// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_33_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_33_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_33_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_bold_33_latin_ext_BITMAP_HEIGHT        302
#define STB_FONT_arial_bold_33_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_bold_33_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_bold_33_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_bold_33_latin_ext_LINE_SPACING          21

static unsigned int stb__arial_bold_33_latin_ext_pixels[]={
    0x33333331,0x33333333,0x00710013,0x1aaaa800,0x00033000,0x0016665c,
    0x200eaa60,0xc980aaaa,0x0135733c,0xaaaa9800,0x2aa00009,0x9998802a,
    0x00199999,0x06601300,0x02666400,0x4cc4f326,0x19998009,0x026aaa20,
    0x200ccc40,0x26001999,0x00000aaa,0x0d55d4cc,0x33320000,0x1e65401c,
    0x10009993,0x00001333,0x8802aaa8,0x99999999,0x00999999,0x006aa600,
    0x0006aaa0,0x88099990,0x3ffea199,0xffffffff,0x403fffff,0x00001ffb,
    0x001dfff1,0x0002fc88,0x001dfff1,0x17fffaa0,0x20bfff50,0xfff55ffb,
    0xfc98007f,0xcfffffff,0x7ffe4000,0x7fff402f,0xffffffff,0xfd8001de,
    0x80027d41,0x7dc07fff,0x0bfffd5f,0x910ffff0,0x19ffffff,0x00fffe80,
    0x9803fffe,0xfffffffd,0x3f260003,0xffffffff,0x7dc0002d,0xffc804ff,
    0x001ffee5,0x001ffffe,0x3ffffa80,0x7fffff40,0xffffffff,0xffd8006f,
    0x9002ffff,0x0003ffff,0x813fffee,0xff50fffe,0xffffffff,0x07ffffff,
    0x0006ffcc,0x00fffc80,0x017ffd40,0x00effb80,0xfffff100,0x05ffe80b,
    0x7fd57fee,0xf7003fff,0xffffffff,0x26005fff,0x00ffffff,0x3ffffffa,
    0xffffffff,0x4efd4002,0x0001fea8,0xfb80ffff,0x5ffffd5f,0xe87fff80,
    0xffffffff,0x07fff406,0x201ffff0,0xfffffffb,0x2001efff,0xffffffea,
    0xefffffff,0xbffd0000,0xb97ff200,0x7d4007ff,0x0002ffff,0xffffff88,
    0x3ffffa01,0xffffffff,0x7dc006ff,0x00ffffff,0xefffffa8,0x7ffcc000,
    0xffd02fff,0x3fffea1f,0xffffffff,0x3603ffff,0x2200005f,0xd8001fff,
    0xf0002fff,0x640001ff,0x205fffff,0x2e00effa,0xffff55ff,0xfffb00ff,
    0xffffffff,0xe8805fff,0x05ffc9ff,0x3ffffffa,0xffffffff,0x7ff4003f,
    0x20005fff,0x7dc07fff,0xdffffd5f,0x647fff80,0xffddffff,0x3ffa04ff,
    0x3fffe00f,0xfffffe80,0x7fffffff,0xbffff900,0xb9533357,0x8007ffff,
    0x32005ffa,0x1ffee5ff,0xfffffb00,0xffb0000d,0x740dff57,0xffffffff,
    0x06ffffff,0x7fffffc0,0xfff8806f,0x4004ffd9,0xfffaaffe,0x10fffe80,
    0xff755555,0x555557ff,0x0f77ec01,0x0ffdc000,0x2fffd800,0x01ec9800,
    0x17fff400,0x20077ec0,0x7f445ffb,0x3fee00ff,0xc99acfff,0x407ffffe,
    0x3ffa4ffd,0x59fffd02,0xffd75555,0xa8800dff,0x40002dfd,0x7dc02aaa,
    0xfffffd5f,0x23fffc09,0x3e62fffe,0x3ffa07ff,0x1333200f,0x2fbfffee,
    0xfffffc99,0x3fffa203,0xffb3000b,0x2f64005f,0x20000000,0xfffffff8,
    0x3fee0001,0x7413ff25,0xaaaacfff,0x02aaaaaa,0x47fffe20,0x3ffd8018,
    0x2005ffd1,0x3bae3eeb,0x00cccb83,0x007fffc4,0x017fff40,0x26000000,
    0x2acfffea,0x0bbfea00,0x06fff800,0x7fdc0040,0x01fffb85,0x03dffff3,
    0x017fffec,0xfffe8000,0x7fffe403,0x00000000,0x57fee000,0x1ffffffe,
    0xfe8ffff0,0x5666c2ff,0x01fffd00,0x3fffe200,0x3ffff604,0x01dffb00,
    0x03ffea00,0x00000000,0xfffff900,0x000009ff,0x0bfffa00,0x7fd40000,
    0x0000005f,0x33300000,0xffff1003,0xdddb0001,0x55100003,0x41d50135,
    0xfffffffc,0xb3bf000f,0x7ffc000d,0x19fd5005,0x542ffdc0,0xff901fff,
    0xff8801ff,0xaa8804ff,0x7ff4009a,0x7ffc403f,0x5544002f,0x9730000a,
    0x71554c37,0x3fffabff,0xfff05fff,0x1efffc8f,0x0fffe800,0xf90aaaa0,
    0xff980dff,0x5ffb83ff,0x22157730,0x89ff7199,0x2201aaa9,0x55532aaa,
    0x15554403,0x3effffe0,0x300007ff,0xfe801555,0x200002ff,0xdfffdaa9,
    0x54c000aa,0x40009aaa,0x2a61bcb9,0x07fffe2a,0x01ffff10,0x4c000000,
    0xfffffffd,0x64dff51d,0xffffffff,0xf51f9800,0x3ffe0001,0xfbdf8805,
    0x217fee04,0xff02fffa,0x2a6009ff,0x7ffec400,0xd01effff,0xf8807fff,
    0xda802fff,0xdfffffff,0xfffd8801,0xfffc8dff,0x3fabff70,0x82ffffff,
    0x7fc47fff,0x74003fff,0x3fe00fff,0x3fffe0ff,0x101ba802,0xffb81fff,
    0xffe8efff,0xfb83ff66,0x3fee05ff,0x0bfff74f,0x5027ffdc,0x3ffadfff,
    0xfb30002f,0x07ffffff,0x000bfffa,0xfffffc80,0x9802ffff,0xfffffffd,
    0x7ec400cf,0xfc8dffff,0x3ffff0ff,0x0ffff880,0x0de54c00,0xfc805553,
    0xffffffff,0x22fffdff,0xfffffffc,0xd5bf000f,0x7ffc000d,0x1f27b805,
    0xfa85ffb8,0xfff982ff,0x2600000f,0xffffffff,0xffe85fff,0x7ffd403f,
    0x7ffe400f,0xffffffff,0x3fffa204,0xffdeffff,0x3abff70f,0xffffefff,
    0x6c3fffc0,0x00efffff,0x401fffd0,0xff10ffff,0x900001ff,0xfffb85ff,
    0xffffffff,0xf88ffe65,0xffd00fff,0x3fffe23f,0x03fffd00,0xfb9fffec,
    0xfb8006ff,0xffffffff,0x7fff41ef,0x3fa00002,0xffffffff,0x7fffdc00,
    0xffffffff,0xffffd102,0xfffbdfff,0x007fffe1,0x001ffff1,0x6fffffec,
    0x880fffc8,0xfffffffe,0xffffffff,0x05fffb03,0x0fffff00,0x027ffc00,
    0x02f4dfcc,0xff30bff7,0xffff507f,0x7fcc0000,0xffffffff,0x7ff43fff,
    0xa99999bf,0x205ffffc,0xffffffe8,0xefffffff,0xfffffc80,0xffffffec,
    0x3fabff70,0x4ffff9ff,0x3f23fffc,0x3fffffff,0x00fffe80,0x7cc3fffe,
    0xf00007ff,0xdfffb8df,0xffffeb8a,0x3f627fc3,0xfff883ff,0x41fffec6,
    0x2206fff8,0xff10ffff,0x7f4003ff,0xffffffff,0x7ff47fff,0xeeeeeeef,
    0xed806eee,0x5eeffffe,0x7ffffec0,0xffffffff,0xffffc82f,0xfffffecf,
    0x03ffff0f,0x00ffff88,0xfffffe88,0x0fffdeff,0xbfffffc8,0xffffb99a,
    0x3fff606f,0x7ffd4002,0xf98002ff,0xffb003ff,0x2ffdc03f,0x5c27ffc4,
    0x2aa06fff,0x0aaaaaaa,0x26fbfff2,0xfffffb98,0x3fffffa0,0xffffffff,
    0x3ff201ff,0xba9abfff,0x444ffffe,0x74c3ffff,0xff70ffff,0x2a3fffab,
    0x3fe1ffff,0x2fffee7f,0x0dfffffd,0x803fffa0,0xff50ffff,0xf50000df,
    0x37ffc49f,0x20ffffdc,0x7ffd45fe,0x43fffb85,0xfb85fffa,0x3fee03ff,
    0x27fff45f,0xeffffb80,0xffffc99b,0x3ffffa3f,0xffffffff,0x3fe6007f,
    0xfff7006f,0xd95359ff,0xf88fffff,0x7f4c3fff,0xffff0fff,0xffff8803,
    0xffffc800,0xfffffcbd,0x7fffcc0f,0xffff100d,0x3fff603f,0x7ffec002,
    0xfd8006ff,0x0a2001ff,0x7417fee0,0x7fdc1fff,0x3fffe06f,0x3a0fffff,
    0xff501fff,0x7fff45ff,0xffffffff,0x3ea00eff,0xb100dfff,0x7d43ffff,
    0xfff506ff,0x753baa1f,0xfffd0fff,0xfb3fffcd,0x7fffdcbf,0x3fffa05f,
    0x43fffe00,0x0006fffb,0x3f22ffd8,0xfff881ff,0x7c37ec0f,0x7ff40fff,
    0x0ffff80f,0xd007fff4,0xffb85fff,0xfff8807f,0x3fff604f,0xfffffd0f,
    0xffffffff,0x7ffd400f,0xffff8804,0x3fff601e,0x1bffea2f,0xf87fffd4,
    0x7c401fff,0x7c400fff,0x7f443fff,0x7ff40fff,0x7ffec07f,0xfffb05ff,
    0x7ffc4005,0x7001ffff,0x200dfffb,0x01bcccba,0x3ee0bff7,0xff51dfff,
    0x7fffc0ff,0xf10fffff,0x7f401fff,0x3fffa4ff,0xffffffff,0xfffe801b,
    0xfffe800f,0x80fffee6,0x3a00ffff,0xfff30fff,0xf9fffe7f,0x7ff4c4ff,
    0xfffd04ff,0x87fffc01,0x0006fffb,0xff10ffe8,0x37ffc0bf,0x7fe42ff4,
    0x1bffe23f,0xf11fffe4,0x7fcc0dff,0xffff887f,0x37ffe402,0x4ffffe60,
    0xcccdfffe,0x04cccccc,0x00ffff20,0x003ffff2,0x5c9ffff1,0x3fe03fff,
    0x3ffff0ff,0x0ffff880,0x83fffd40,0x220ffffb,0x3203ffff,0x0fffffff,
    0x002fffd8,0x3ffffff2,0xfff8804f,0x7fdc01ef,0x85ffffff,0x3f205ffb,
    0xfff33fff,0x3fffe01f,0x3e0fffff,0x8000dfff,0xba9bfffe,0x400effff,
    0x003ffff8,0x321ffff5,0x3fa02fff,0x3ffa00ff,0x3ffff20f,0x3fe7fff8,
    0x7fec40ff,0x1fffd07f,0xa87fffc0,0x80007fff,0x3ffea6ff,0x89fff102,
    0xff984ff8,0x0fffee5f,0xf72fffcc,0x7fe407ff,0xeaaaaaef,0x7fc06fff,
    0x1ba802ff,0x0017fff4,0x17ffec00,0x027fffc0,0xffc80a98,0x3fffa02f,
    0x803ffff0,0x400ffff8,0xf305fffb,0x7fcc1fff,0x3bff207f,0xd82ffff9,
    0x3e002fff,0x7fffbfff,0x2ffff880,0x7ffffd40,0x5c5fffff,0x3fe205ff,
    0xffff13ff,0x26666605,0x3f60ffff,0x00bdffff,0x887fffd0,0x201fffff,
    0x4007fffa,0xffb2ffff,0x7fff405f,0x03fffa00,0xfff9fffd,0x077ffe4f,
    0x740fffec,0x3fe00fff,0xffff10ff,0xf0375001,0x0fffdcbf,0x543fff98,
    0xfffd03ff,0x803fffa1,0xffd0fffe,0x7fffc01f,0xffffffff,0xff101fff,
    0x740001ff,0x00002fff,0x400ffff8,0x000ffff9,0x02fffd80,0x7fc3fffa,
    0x7fc401ff,0x7fec00ff,0x3fffe03f,0x41bffee0,0xfff0fffb,0x5fffb07f,
    0x5bffea00,0x4402fffe,0x202fffff,0xecbdffff,0x3ee1ffff,0xfffd105f,
    0x2ffff47f,0x0ffff880,0x3fffffe2,0x3a02ceff,0xffa83fff,0xff700eff,
    0xffe800ff,0x07fff93f,0xd007fffc,0xffa81fff,0x2a7fffff,0x4c2fffff,
    0xffe81fff,0x3fffe00f,0x00ffffe0,0xff8fbff6,0x403fff23,0x7ec1fffb,
    0x7fff700f,0xb80bfff1,0xfff8bfff,0x3fffea05,0xffffffff,0xff304fff,
    0xfe8000ff,0x400002ff,0xa807fff8,0x00007fff,0x7c07fff9,0xffff0fff,
    0xffff8803,0x1fffec00,0x641fffd0,0xffa85fff,0x13fff61f,0x400bfff2,
    0xff73fffd,0xff9300df,0x3ffa60ff,0x23fffe85,0xff905ffb,0x7fd413bf,
    0xff8802ff,0x7ffd40ff,0xefffffff,0x03fffe81,0x20bffff9,0x4006fffc,
    0xff74fffd,0x3ffe60bf,0x3a13310f,0xffd80fff,0x7ec7ffff,0xf50cffff,
    0x3fffa0ff,0x83fffe00,0x4c07fffc,0x3fe2ffff,0x407fff24,0x7fdc7ffe,
    0x37ffe204,0x4402fffb,0xfffbdfff,0x3ffff602,0xffffffff,0xff507fff,
    0xfe8000df,0x400002ff,0xb805fff9,0x2aa06fff,0x0aaaaaaa,0x260bfff7,
    0xfff0ffff,0xfff8803f,0x7ffe400f,0x83fffe05,0x7cc5fffd,0x7ffe42ff,
    0x8cfffc85,0x3fffe201,0x03ffff10,0x00bfff20,0x7fff7013,0xff82ffdc,
    0x3fffa06f,0x3ffaa02f,0xffc880ff,0xffffffff,0x01ffff42,0xb05ffffd,
    0xc800bfff,0xfff35fff,0xfffe885f,0x3abff70f,0xff880fff,0xfd87ffff,
    0xffbeffff,0x1fffd04f,0x107fffc0,0x301bffff,0xfe8ffffd,0x20fffee5,
    0x3ea6fffb,0x7fec00ff,0xb007ffef,0x0fffdfff,0x4cffffc4,0xf9999999,
    0xffb82fff,0x7f40006f,0x400002ff,0xb804fffa,0x3fe06fff,0x0fffffff,
    0x885ffff3,0xff0ffffe,0xff8803ff,0x7fd400ff,0xffff307f,0x137ffe41,
    0xffb07fff,0xffff709f,0x3fee03ff,0x27fff45f,0x03fff980,0x3fff6a20,
    0x217fee3f,0x2a04fff8,0xacdfffff,0xfffffdca,0x3f6a200f,0x2fffffff,
    0x980ffffa,0x640effff,0x6c006fff,0x3ff64fff,0xfffcaeff,0xbff70fff,
    0x5c03fffa,0x507fffff,0xffffffff,0x07fff40b,0xb81ffff0,0xbacfffff,
    0x43fffffe,0xfff30ffd,0x7fffd41d,0x02fffb8d,0xffffffa8,0xffff5004,
    0x7fe409ff,0xfffb006f,0x0dfff70d,0xdfffe800,0xcccccccc,0x7e400ccc,
    0xffa803ff,0x3fffe07f,0x360fffff,0xfcaeffff,0xff0fffff,0xff8803ff,
    0x7fcc00ff,0x7ff442ff,0x3ffee0ff,0x209ffd17,0xf883fffe,0xd02fffff,
    0xffb85fff,0x3ffe007f,0x3ff6a204,0x23ffffff,0xff985ffb,0x7ffd403f,
    0xffffffff,0x4003ffff,0x4ffffeb9,0x900ffffa,0xfa89ffff,0x7f4007ff,
    0x3ffe63ff,0xffefffff,0x2bff70ff,0x3a00fffe,0x2207ffff,0x07fffffe,
    0xf007fff4,0xffb01fff,0xffffffff,0x7ff50bff,0x76ffffe4,0xffffffff,
    0x3fe001ff,0x2001ffff,0x01ffffff,0x400ffffe,0x541ffffa,0x40007fff,
    0xfffffffe,0xffffffff,0x0fffec01,0x07fffc40,0xfffffff8,0x3ffe60ff,
    0xffefffff,0x3ffff0ff,0x0ffff880,0xcffffd80,0xffffffca,0x27fffea0,
    0x3fe05ffe,0xfff502ff,0xfff305ff,0x5ffff10f,0x417ffe00,0xeffffff9,
    0x3ee3fffe,0x2fffa85f,0xfffff980,0xdfffffff,0xf9003100,0x7fff4dff,
    0xffffe803,0x03fffe61,0x42ffff80,0xeffffff9,0xf70fffe8,0x03fffabf,
    0x07ffff98,0x3fffffb8,0x803fffa0,0xf700ffff,0xffffffff,0x137fc0bf,
    0x9ffffffb,0x1dffffff,0xffffc800,0x7ffe4006,0x3ffea06f,0x3ffe000f,
    0x7fffc44f,0x741ba800,0xffffffff,0x1fffffff,0x007fffc0,0x301fffe8,
    0xffff3333,0xfffff981,0x0fffe8ef,0x8803ffff,0x8800ffff,0xfffffffe,
    0x220ffffe,0x5fffffff,0x03fffee0,0x7e401330,0xaaaaaeff,0xf006fffe,
    0xfff30bff,0x3fee17bf,0x217fee3f,0x1002fffa,0xffffffb5,0x3ff6037b,
    0x7ffc404f,0x07fffd0f,0x4dffff30,0x004ffff8,0x101ffff7,0x3a17bfb7,
    0xbff70fff,0x9003fffa,0x2200ffff,0xd00ffffe,0x7fc01fff,0x3b6200ff,
    0x01dfffff,0x36e27fe4,0xbfb51def,0x00998837,0x00ffffe6,0x07ffff30,
    0x002fffec,0x3e1ffff2,0xfd803fff,0xffffd3ef,0xffffffff,0x7c403fff,
    0x3f2006ff,0xff1005ff,0xfb7101ff,0x3fffa17b,0x003ffff0,0x7ffcc000,
    0xffe8efff,0x7fffe40f,0x3ffe00ef,0x04ccc05f,0xfffffff0,0xffffffff,
    0x0bfff003,0xf709fff9,0x2ffdc7ff,0x0017ffd4,0x00bfff22,0x007fffe4,
    0x801ffff5,0x4000acca,0x400ffffd,0x006ffff8,0x7dcffff0,0x5665405f,
    0x03531000,0x9105fffd,0x7fc01379,0xdfb3007f,0x3fa20017,0xf700003f,
    0x7fc401ff,0x7c4000ff,0x00000fff,0xfc817ee0,0x7fcc07ff,0x7f4002ff,
    0x3ffea002,0x3ffee005,0xfff8801f,0xfff8000f,0x007fffe7,0x20006662,
    0xfd0bdfda,0xfff881ff,0xffb101ff,0x7fc403ff,0xffff503f,0xffffffff,
    0xfd009fff,0x3fffd0df,0x5c7fffb0,0xfffb85ff,0x7f754001,0xff9802ff,
    0x3ffa04ff,0xfffc805f,0x3fe2002f,0xfd301fff,0x774c3fff,0xfff881cc,
    0x9017fee6,0x8805ffff,0x7e40ffff,0xfff883ff,0xffff106f,0x3ffbb600,
    0x3ffe6006,0xfb10000d,0xffc807ff,0xffc8005f,0x4000005f,0x3fe204fc,
    0xfe980dff,0xff8007ff,0x3fff2001,0x3ffe2004,0x3faa02ff,0x9dd30fff,
    0xdfff1039,0x400ffffc,0x0000fffe,0x6c1fffe0,0x99bfffff,0x4fffffb9,
    0x81fffc40,0xfffffffd,0xffffffff,0xcfffd807,0x89fffd0a,0x2e4ffffa,
    0xff7515ff,0xf80001ff,0xfffd006f,0xffb559ff,0x22007fff,0x5c006ff9,
    0xabdfffff,0x4fffffdb,0x20effff8,0x2e4fffd9,0xf98805ff,0xfffe806f,
    0x3ffff31d,0x717fe4c0,0x00dfffd9,0x4005ff50,0x1acffffa,0xffffa980,
    0xfff93084,0x3261005f,0x0002ffff,0x202fec00,0xacfffffb,0x3fffffeb,
    0x01ffc400,0xffff7353,0xfffa8003,0xecaacdff,0x20ffffff,0x260effff,
    0x3fe4fffd,0xffe801ff,0x6774c00f,0x6fff881c,0xffffffa8,0xffffffff,
    0x7fc400df,0xffff883f,0x99999999,0x402ffff9,0x95fffffb,0xfd9dffff,
    0x7dc9ffff,0xfffff55f,0xff88000d,0xffff1006,0xffffffff,0x7c4001df,
    0xffd8007f,0xffffffff,0xfd80efff,0xffffffff,0x3fee0fff,0x0fff1005,
    0xffffff50,0x900dffff,0x7fff45ff,0xfc8005ff,0x7f44001f,0xbcefffff,
    0xfffffedc,0xffffb02f,0x3f600dff,0x006fffff,0xbffc8000,0xfffd8088,
    0xffffffff,0xdfd0005f,0xfffd8263,0x70007fff,0xffffffff,0x7fffffff,
    0xffffffd8,0x20ffffff,0xe801ffff,0xff800fff,0x3fa60eff,0x7ffcc4ff,
    0xfffffffd,0x2003ffff,0xffc80fea,0xfffb006f,0xfffff00d,0x3ffffa2b,
    0x6fffcfff,0x7fd57fee,0x6c002fff,0x02fffeee,0x3ffffea0,0x05ffffff,
    0xfffeeec8,0xfff70003,0xffffffff,0x7fff4407,0x2fffffff,0xec82ffdc,
    0x003fffee,0xfffffff7,0xeee981ff,0xff10efff,0x9801ffff,0x05fffeee,
    0x3fffae00,0xffffffff,0x3200cfff,0x01ffffff,0xffffff90,0x30000003,
    0x209fffff,0xfffffffb,0x20005fff,0x21fffffb,0x3fffffff,0x3ffe6000,
    0xffffffff,0xffe880cf,0xffffffff,0x00ffffc2,0xd8037f6c,0xffffffff,
    0x7f40efff,0xffff913f,0x8001bdff,0xffff06fc,0x3ffea007,0x7fe4401f,
    0x3fff625f,0x3fffb1ef,0x7fd57fee,0xfd8001df,0x0000bdff,0xfffffff7,
    0x3ff2007b,0x40001dff,0xfffffec8,0xfd5000de,0x019dffff,0x3f20bff7,
    0x4001dfff,0xcfffffd9,0xeffff980,0x3fffe60b,0xffe9801d,0x100003ef,
    0xfffffdb7,0x2e005bdf,0x001dffff,0x077fffee,0xdb800000,0x36202eff,
    0x1dfffffe,0x7f644000,0xffdb10df,0x100007df,0xdfffffd5,0xfd50037b,
    0x019dffff,0x027d4000,0xfffffe88,0x880fffff,0x0353104d,0x4077c400,
    0x000ffffa,0x0013fffe,0x01331013,0x4c426620,0x00000000,0x01353100,
    0x00000000,0x80000d4c,0x09988009,0x22000000,0x19800001,0x00000000,
    0x00019880,0x4c000098,0x00000000,0x4cc40004,0x01000001,0x00000130,
    0x00004ccc,0x8000004c,0x54001ffc,0xcdfffffe,0x00000000,0x3fff6028,
    0x7ffe4005,0x00000007,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x001dd000,0x00001300,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x02000000,0x40000000,0x203103cc,0x00f32018,0x26203333,0x332e0019,
    0xaa80000c,0x8199882a,0x32e01999,0x199980cc,0x20000000,0x98009998,
    0x13331199,0x13333300,0x15554000,0x33320000,0x00399954,0x0002aaa8,
    0x6c437ba2,0x3b6000de,0x007bb61e,0x33333322,0x6665400c,0x802ccccc,
    0x00e4c2ca,0x00666440,0x03333220,0x6654b320,0x51665400,0x33220599,
    0x000000cc,0x0015554c,0x02620262,0x19700000,0x3ea00990,0x885f903f,
    0x07ff206f,0xe81ffff8,0xfa800fff,0x40005fff,0x742ffffb,0x7ffc0fff,
    0xffffb80f,0x007fff85,0x077f6600,0x805fffd0,0xffb7fff9,0xfffb807f,
    0xf70001ff,0x00005fff,0x7fcbffee,0x7fd4005f,0x2e0003ff,0x07ffd5ff,
    0xf96ffa80,0x3fe200bf,0x401fffff,0xfffffffc,0x7ffec04f,0x001febdf,
    0x8000efe8,0x5003fffc,0x005ff7ff,0xff33fff1,0x7ffdc01f,0x74000004,
    0x44001fff,0x401fd86f,0x0009aaa8,0x0bf313ea,0x4403ffa0,0x2fd98aef,
    0xf817fe60,0xffe81fff,0x7ffc400f,0x30003ffe,0x41ffffff,0x7fc0fffe,
    0x7ffcc0ff,0x7ffc2ffe,0x3b600007,0x7ff406eb,0x7ffcc02f,0x407fffb7,
    0x01fffffa,0xfffff300,0xfd00001f,0x01bfee7f,0xffffff10,0x7ff40001,
    0x90006ffe,0x01fffdff,0x4cccccc0,0xffffc801,0x2204ffff,0xfffffeff,
    0x05fc8007,0x09fff100,0x03fffb80,0x3fbbfea0,0x7ffb803f,0x3ea00000,
    0xfb0002ff,0x20df7137,0xffffffd8,0xbff001ef,0x7003ffb7,0xffd809ff,
    0xfe807fff,0x3ffff01f,0x801fffd0,0xfff8bffd,0xaffe8001,0x3ffa5ffc,
    0x07fffc0f,0x3fe6bffa,0x01fffe0f,0xf997c400,0x0bfffa01,0x36ffff30,
    0xff503fff,0x40005fff,0x5ffcaffe,0x27fd4000,0xe8001ffd,0x06ffbaff,
    0x3fffe200,0x3fa0000f,0x26001fff,0x000f644e,0x993ea000,0xd3001dec,
    0x2001ec89,0x26004ffb,0x800f644e,0x005ffffc,0x0000fff2,0x001ffec0,
    0xffffff30,0xfffff305,0x0bffffff,0x9fffff50,0x007ffe00,0x002b7f6a,
    0x7fc17fea,0xcccb81ff,0xa93baa00,0x7e4004ee,0x5cfffa4f,0x66640ccc,
    0xd5277544,0x03fffc9d,0xf91bd000,0x17fff401,0x6dfffe60,0xff983fff,
    0x20002fff,0x3ff64ffc,0x8f2e0003,0x64001cc8,0x0fff65ff,0x2ccca800,
    0x6664c000,0x22fcc003,0x000002fd,0x3e600000,0xb0017ec5,0x5f98009d,
    0xc88017ec,0x64000ccc,0x9800005e,0x880003ff,0xf981ceeb,0xffffffff,
    0x3003ffff,0x7fdc0059,0x44000006,0xfff81fff,0x0000001f,0x00000000,
    0x3ffe0000,0x3ee00007,0x7ff403ff,0x7ffcc02f,0x987fffb7,0x002fffff,
    0x44000000,0x99800999,0x00000019,0x00555440,0x80099988,0x33311999,
    0x98a98351,0x1665c199,0x99887995,0x19998009,0x83513331,0x419998a9,
    0x332a2ccb,0x544ccc43,0x4ccc54c1,0x951665c1,0x8b32e079,0x00003cca,
    0x40000000,0x89befffc,0x0fffffb9,0xfff00000,0x00999889,0xfd819998,
    0x1ffff85f,0x4c0aaaa8,0x2a201aaa,0x4cc002aa,0x0aaaa819,0x55015554,
    0x1fffe055,0x886aaaa2,0x02a20999,0x3ffa3333,0x7ffcc02f,0x447fffb7,
    0x402fffff,0x22009998,0x22009999,0xfffd0999,0x7fff9805,0x80066666,
    0x2a009999,0xfffffffd,0x3fffa01d,0xbfffcc02,0x4c02fffe,0x7ff47fff,
    0xfd1bff24,0xff9805ff,0x05fffd7f,0x747fff98,0x1bff24ff,0x9805fffd,
    0x7ff47fff,0x741bff24,0x1bff24ff,0x4cccc400,0x99999999,0x00999999,
    0x3fa03333,0xfff501ff,0x5e5cc05f,0xf50aaa61,0xfffe83ff,0x3fffcc02,
    0x3e07ffdc,0xffe81fff,0x2fffdc0f,0x009fff70,0x743fffcc,0x7ffc0fff,
    0x1ffff00f,0xe88ffff0,0x3fa0efff,0x7fcc02ff,0x05fffd7f,0xfb7fff98,
    0x3ffa27ff,0xffd803ff,0x3fff204f,0x3fff205f,0x805fffd5,0x3f27fff9,
    0xfc802fff,0xff902fff,0xffffffff,0x3fffa09f,0xbfffcc02,0x4c02fffe,
    0x7ff47fff,0xfd1bff24,0xff9805ff,0x05fffd7f,0x747fff98,0x1bff24ff,
    0x9805fffd,0x7ff47fff,0x741bff24,0x1bff24ff,0x7fffe400,0xffffffff,
    0x05ffffff,0xf883ffff,0x3fa00fff,0xffd884ff,0xffc8dfff,0x03fff20f,
    0x9805fffd,0xff987fff,0x0ffffc2f,0x2207fff4,0xfd00ffff,0x7cc003ff,
    0xfffe87ff,0x807fffc0,0xff80ffff,0x7fffec7f,0x017fff40,0x7f5fffe6,
    0x7fcc02ff,0x17fffb7f,0x007ffffd,0xe81bffee,0x3a07ffff,0xfffd3fff,
    0x7fff9805,0x01bfffe2,0x10bffff1,0xfffffffd,0x1dffffff,0x402fffe8,
    0xffd7fff9,0xfff9805f,0xf927ff47,0x2fffe8df,0xebfffcc0,0x7cc02fff,
    0x27ff47ff,0xffe8dff9,0x7ffcc02f,0xf927ff47,0x93ffa0df,0x88006ffc,
    0xffffffff,0xffffffff,0xfff05fff,0xbffff03f,0x3fa20001,0xdeffffff,
    0x3ffa0fff,0x02fffe87,0x443fffcc,0x7ffc3fff,0x0fffe81f,0x883fffd8,
    0x4c006fff,0xffe87fff,0x07fffc0f,0xf80ffff8,0x3fff67ff,0x2fffe81f,
    0xebfffcc0,0x7cc02fff,0x7fffb7ff,0x01fffffb,0x41fffe60,0x1ffffff8,
    0x3a3ffff0,0x7cc02fff,0x7ffd47ff,0x3fff603f,0xffffc80f,0xfeba9abf,
    0x7ff44fff,0x7ffcc02f,0x805fffd7,0x0007fff9,0x402fffe8,0xffd7fff9,
    0xfff9805f,0xffe80007,0x7ffcc02f,0x00000007,0xffffc800,0xffffffff,
    0x5fffffff,0xb03ffff0,0x17bfffff,0x7fffe400,0xfffffecf,0x0dfff10f,
    0x9805fffd,0xfff07fff,0x81ffff8b,0xfa80fffe,0xfffb85ff,0x7ffcc003,
    0x40fffe87,0xff00ffff,0xffff01ff,0x407ffff2,0x4c02fffe,0xfffd7fff,
    0x7fff9805,0xfffffffb,0x7c00bfff,0xffb81fff,0xf983ffff,0x3fffa7ff,
    0x3fffcc02,0x407fffec,0xa83ffff9,0x100dffff,0x743ffffb,0x7cc02fff,
    0x5fffd7ff,0x07fff980,0x2fffe800,0xebfffcc0,0x7cc02fff,0xe80007ff,
    0x7cc02fff,0x000007ff,0x7fc40000,0x7ffff0ff,0x55555555,0x3fffe035,
    0xfffff881,0x202cefff,0x4c3ffff8,0xf30ffffe,0xfffd0bff,0x7fff9805,
    0xff8dfff0,0xfffe81ff,0x81ffff00,0x4000fffe,0xfe87fff9,0x7fffc0ff,
    0x01ffff00,0xfff7ffff,0x7fff403f,0xbfffcc02,0x4c02fffe,0xfffb7fff,
    0xffffffff,0x3fffa007,0xfffffd83,0x5fffb85f,0x300bfffa,0xff10ffff,
    0xfffd0bff,0x3ffffa0b,0x6fffe800,0x300bfffa,0x3ffaffff,0x7ffcc02f,
    0x54055557,0x5fffd2aa,0xd7fff980,0xf9805fff,0x055557ff,0xffe95554,
    0x7ffcc02f,0x54055557,0x055552aa,0xb8015554,0x3ffe5fff,0x7fc0001f,
    0xfff501ff,0xdfffffff,0x0dfff503,0x4c3fffea,0xffe84fff,0x7ffcc02f,
    0xf8fffd07,0xffe81fff,0x7fff900f,0x0037ffc4,0x743fffcc,0x7ffc0fff,
    0x1ffff00f,0xfffffff0,0xfffe80bf,0xbfffcc02,0x4c02fffe,0xfffb7fff,
    0xfffd7fff,0xfff9001f,0xffdfff0b,0x7fffb0ff,0x2017fff4,0xf707fff9,
    0x7fdc3fff,0xfff880ff,0xfff5003f,0x0bfffa1f,0x3affff30,0x7cc02fff,
    0x1ffff7ff,0x3affff10,0x7cc02fff,0x5fffd7ff,0xf7fff980,0xff101fff,
    0x0bfffaff,0x3effff30,0xff880fff,0x01ffff7f,0x200ffff1,0x3fe1ffff,
    0x7c0001ff,0x32201fff,0xffffffff,0x7ffdc2ff,0x43fffe03,0xfe83fffa,
    0x7fcc02ff,0x3fffb07f,0x740ffffc,0xff300fff,0x1fffdcbf,0x3fffcc00,
    0x3e07fff4,0xfff00fff,0xfffff01f,0x7403ffff,0x7cc02fff,0x5fffd7ff,
    0xb7fff980,0x267fffff,0xa805ffff,0x7fcc6fff,0x41fffdcf,0x3fa1fffe,
    0x7fcc02ff,0x3fffa07f,0x07ffff16,0x001fffea,0x3fa5ffff,0x7fcc02ff,
    0x05fffd7f,0xff7fff98,0xfff101ff,0x00bfffaf,0x3faffff3,0x7fcc02ff,
    0x01ffff7f,0x3faffff1,0x7fcc02ff,0x01ffff7f,0x3feffff1,0xfff880ff,
    0x6fffb807,0x000ffffc,0x007fffe0,0x3ffff6a2,0x3f22ffff,0x3ffa02ff,
    0x07fff50f,0x9805fffd,0xff907fff,0x0ffffc3f,0xd007fff4,0x3ffa1fff,
    0xff98000f,0x0fffe87f,0xf807fffc,0xfff80fff,0x06ffffff,0x300bfffa,
    0x3ff6ffff,0x7ffd403f,0x89ffffb6,0x402ffffc,0x2e0ffff8,0xfffaafff,
    0xd1fffe23,0xf9805fff,0x3fe607ff,0x6fffcbff,0x01fffee0,0x3a7fffd0,
    0x7cc02fff,0x5fffd7ff,0xf7fff980,0xff101fff,0x0bfffaff,0x3affff30,
    0x7cc02fff,0x1ffff7ff,0x3affff10,0x7cc02fff,0x1ffff7ff,0x3effff10,
    0xff880fff,0xfffe807f,0x00ffffc2,0x07fffe00,0x3ffae600,0x3fff64ff,
    0x43fffa02,0xfe83fff9,0x7fcc02ff,0x1fff907f,0x740ffffc,0x3ee00fff,
    0x5fff8bff,0xffff3000,0xf81fffd0,0xfff00fff,0xfffff01f,0x205fffd9,
    0x4c02fffe,0xfffb7fff,0x6fffa807,0xf109fffb,0xe801ffff,0x3ff62fff,
    0x25fff88f,0x7f45fffa,0x7fcc02ff,0x7ffe407f,0x201fffff,0x4006fffc,
    0xffd4fffd,0xfff9805f,0x805fffd7,0xfff7fff9,0xffff101f,0x300bfffa,
    0x3ffaffff,0x7ffcc02f,0x101ffff7,0x3ffaffff,0x7ffcc02f,0x101ffff7,
    0x3ffeffff,0x7fff880f,0x437ffd40,0xeeeeffff,0x205eeeee,0x3101ffff,
    0x4dfff900,0x3e03fffc,0xfff10fff,0x05fffd09,0xb07fff98,0xffff8fff,
    0x00fffe81,0x3ef7ffe2,0xf30002ff,0xfffd0fff,0x00ffff81,0xff01ffff,
    0x3ffe69ff,0x05fffd06,0xf97fff98,0xffd80dff,0x07fffb5f,0x017fffee,
    0x7fc7fff9,0xc9fffa6f,0x7ff43fff,0x7ffcc02f,0xffffe807,0x7fec04ff,
    0x7fe4005f,0x05fffd5f,0xfd7fff98,0xff9805ff,0x01ffff7f,0x3faffff1,
    0x7fcc02ff,0x05fffd7f,0xff7fff98,0xfff101ff,0x00bfffaf,0x3feffff3,
    0xfff880ff,0x101ffff7,0xfe80ffff,0xffff83ff,0xffffffff,0x3fffe06f,
    0x027ffec1,0x5c3fffe2,0xff305fff,0x2fffc1ff,0x2017fff4,0xfb07fff9,
    0x1ffff8df,0x400fffe8,0x7ffefffd,0x3ffe6000,0x40fffe87,0xff00ffff,
    0xffff01ff,0xe83fffd8,0x7cc02fff,0xffff57ff,0x3fffe609,0x407fffb3,
    0x202ffffe,0xff35fffa,0x8fffe49f,0x7f41fffd,0x7fcc02ff,0xfffa807f,
    0x7e400fff,0x7ec006ff,0x5fffd4ff,0xd7fff980,0xf9805fff,0x1ffff7ff,
    0x3affff10,0x7cc02fff,0x5fffd7ff,0xf7fff980,0xff101fff,0x0bfffaff,
    0x3effff30,0xff880fff,0x01ffff7f,0x4c0ffff1,0xff80ffff,0xffffffff,
    0x3fe06fff,0x7ffe41ff,0x3ffea00f,0x5ffff30f,0x0ffffe88,0x3fa17ff6,
    0x7fcc02ff,0x89fff07f,0xfe81ffff,0x7fd400ff,0x0004ffff,0x3a1fffe6,
    0x7ffc0fff,0x1ffff00f,0xf98ffff0,0x7ff40fff,0x7ffcc02f,0xdffffd17,
    0xffffb759,0x0ffff63f,0x0effffa8,0x2effff10,0x3fea1fff,0x81ffff3f,
    0x4c02fffe,0xfb007fff,0xf5005fff,0xfe800fff,0x5fffd3ff,0xd7fff980,
    0xf9805fff,0x1ffff7ff,0x3affff10,0x7cc02fff,0x5fffd7ff,0xf7fff980,
    0xff101fff,0x0bfffaff,0x3effff30,0xff880fff,0x01ffff7f,0x6c0ffff1,
    0xfff04fff,0xdddddddf,0x7ffc0bdd,0x7fffcc1f,0x17fffa04,0x95dffffb,
    0x41ffffff,0xffe86ffc,0x7ffcc02f,0x43fff887,0xfe81ffff,0xfff800ff,
    0x20001fff,0xfe87fff9,0x7fffc0ff,0x01ffff00,0xff90ffff,0x2fffe8bf,
    0x33fffcc0,0xffffffff,0x6cbfffff,0x7ec03fff,0x3fe04fff,0x47ffe8ff,
    0xff9dfff8,0x2fffe86f,0x037ffd40,0x007fff98,0x001ffff3,0xfe97fffc,
    0x7fd402ff,0x05fffd6f,0xff6fffa8,0xfff101ff,0x00bfffaf,0x3fadfff5,
    0x7fd402ff,0x01ffff6f,0x3faffff1,0x7fd402ff,0x01ffff6f,0x3feffff1,
    0xfff880ff,0xbffff307,0xfff99999,0xff80003f,0xfffe81ff,0xffdaacff,
    0x7fcc3fff,0xfeffffff,0x3fee0fff,0x17fff40f,0x21bffea0,0x7fc2fff9,
    0xfffe81ff,0xffffc800,0x7fcc0006,0x0fffe87f,0xf807fffc,0xfff80fff,
    0x1ffff887,0x500bfffa,0xffa8dfff,0xffffffff,0x1fffec5f,0x3ffffe20,
    0xf7fffb01,0xfffd0bff,0xfb09fff7,0xffa807ff,0xfff3006f,0x3ffe200f,
    0xfff7004f,0x0ffff61f,0x36dfff50,0x7d403fff,0x1ffff6ff,0x36ffff10,
    0x7d403fff,0x7fffb6ff,0xf6fffa80,0xff101fff,0x0ffff6ff,0x3edfff50,
    0xff880fff,0x01ffff7f,0x360ffff1,0xffffffff,0x01ffffff,0x0ffffc00,
    0x7fffffc4,0xefffffff,0xfffff980,0x0fffe8ef,0xfb0bffe6,0xffa807ff,
    0x87ffb86f,0xfe81ffff,0xff9800ff,0x3b2603ff,0x6fff984e,0x7c0fffe8,
    0xfff00fff,0x0ffff01f,0xfd9bffee,0x7fd403ff,0xffdb886f,0xd82dffff,
    0xfc803fff,0xff706fff,0x907fffff,0x5fffdfff,0x80dfff90,0x3005fffd,
    0x6c00ffff,0x4400ffff,0x3f26ffff,0x7fec06ff,0x0dfff95f,0xff5fffd8,
    0xfff301ff,0x01bfff2f,0x3f2bfffb,0x7fec06ff,0x01ffff5f,0x3f2ffff3,
    0x7fec06ff,0x01ffff5f,0x3feffff3,0xfff980ff,0xfffff887,0xffffffff,
    0x7c0001ff,0xff501fff,0xffffffff,0xfdb880bf,0x1fffd0bd,0x7e44ffd8,
    0x7fec06ff,0x84ffd85f,0x07fe00ff,0x0ffff880,0x21bffea0,0x8005fffa,
    0x3fe07fff,0x5995007f,0x6fffc803,0x02fffec0,0x0006bfe2,0x00056654,
    0xffffff98,0xffff981f,0xffa80fff,0xfff304ff,0x3fe6007f,0x3fe2007f,
    0xfd301fff,0x7fd43fff,0xfff304ff,0x3fffea7f,0x7ffff304,0x3207fff6,
    0xfff57fff,0x3ffe609f,0x9ffff53f,0x4ffffe60,0xfc81fffd,0xffff57ff,
    0x3fffe609,0x903fffb3,0x3ff6ffff,0x7fffc81f,0xffffffc8,0xffffffff,
    0x7fc0001f,0x7fdc01ff,0x03dfffff,0x87fff800,0x7fd47ff9,0xfff304ff,
    0x1fff887f,0xff103fcc,0x7ffe4001,0x7fffcc05,0x027ffe41,0x41fffe20,
    0x7007fff8,0x5407ffff,0xf304ffff,0xf8807fff,0x3f20000f,0xf0002fff,
    0x40ffffff,0x06ffffff,0x33bffffa,0xfffffdba,0xffff3000,0xffffb800,
    0xffdbabdf,0xffe84fff,0xfdbaceff,0x3fa0ffff,0xdbacefff,0xf90fffff,
    0x7fd41dff,0x3fffa7ff,0xffdbacef,0x3ffa0fff,0xfdbaceff,0xff90ffff,
    0x7ffd41df,0x3ffffa7f,0xfffdbace,0xdfff90ff,0xbffffd41,0x2a0efffc,
    0x7c47ffff,0x7fc03fff,0x7c0001ff,0xb3001fff,0xe98017df,0xff881cce,
    0x83ffb06f,0xaceffffe,0x0fffffdb,0x7d437fd4,0x03ff301f,0xffffc984,
    0xfffff802,0x2ffffebc,0xfffd9500,0xfffecb8f,0x3fe62006,0x7ffff406,
    0xfffdbace,0x7fcc00ff,0x7cc40002,0xffb0006f,0x7ec0bfff,0x2e04ffff,
    0xffffffff,0x004fffff,0x001fffe6,0x3ffffff6,0xefffffff,0xfffffb80,
    0xffffffff,0x7ffffdc4,0xffffffff,0x3ffffee4,0x7ffffffe,0x3fffffee,
    0x4fffffff,0x7fffffdc,0x4fffffff,0x3bffffee,0x27ffffff,0xfffffffb,
    0x24ffffff,0xfefffffb,0xf77fffff,0xfffdffff,0xffc8ffff,0xffff807f,
    0xcccccccd,0xffff04cc,0x3fbae003,0x7ffc00ff,0x3ff660ef,0x89ff304f,
    0xfffffffb,0x84ffffff,0xff882ffe,0x3fe2189d,0x7fec189d,0x7006ffff,
    0xffffffff,0x7f4009ff,0x7f45ffff,0x4005ffff,0x7dc07fe8,0xffffffff,
    0xf004ffff,0x400063bf,0x70007ff8,0x407fffff,0x02fffffb,0x7fffffd4,
    0x004fffff,0x003fffcc,0xffffffb8,0x403fffff,0xfffffffa,0xf504ffff,
    0xffffffff,0xfffb09ff,0xffb5ffff,0xfffffa8f,0x04ffffff,0xfffffff5,
    0xfb09ffff,0xb5ffffff,0xfffa8fff,0xffffffff,0xfffffd84,0x27ffdaff,
    0xfffffffd,0x3e27ffda,0xff804fff,0xffffffff,0xf80fffff,0x98001fff,
    0x7fec04ff,0xffffffff,0x3ff600ff,0x7ffffd40,0x84ffffff,0x3f605ff9,
    0x7fe47fff,0x3ff20fff,0x2001ffff,0xfffffffd,0x3fe2006f,0x3e20ffff,
    0x400fffff,0x3fffeeeb,0xfffffa80,0x04ffffff,0x3fffff20,0xfeeec800,
    0xf30003ff,0x4c03ffff,0x800fffff,0xffffffd8,0xf98001df,0x220007ff,
    0xefffffec,0xffb1000d,0x03bfffff,0xfffffd88,0x3f201dff,0xffb1dfff,
    0xffffb10f,0x8803bfff,0xfffffffd,0x3fff201d,0x0fffb1df,0xffffffb1,
    0x7fe403bf,0xfffb1dff,0x1dffffc8,0x7fdcfffb,0xfff800ff,0xffffffff,
    0xff80ffff,0xfa8001ff,0x7ff4403f,0xffffffff,0x41ffcc02,0xffffffd8,
    0x3ffb01df,0x2fffe4c0,0x717fff22,0x003bffff,0xffffff70,0x7fcc0019,
    0x7fcc1dff,0xfb801dff,0x2002dfff,0xffffffd8,0x644001df,0xf9005fff,
    0x0003bfff,0x807ffff8,0x8006ffff,0x00009a99,0x003fffcc,0x00035300,
    0x00135330,0x0026a660,0x98000330,0x300009a9,0x98001353,0x54cc0001,
    0x00cc0009,0x3a001980,0xff005fff,0xffffffff,0xf01fffff,0xdd003fff,
    0x400ffffd,0xefffffea,0x0133000c,0x8009a998,0x00200099,0x00013002,
    0x0006a620,0x01100310,0x98000000,0x000009a9,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x033bfffa,0x00009800,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x66400000,0x9970001c,0x00066643,0x06a20aa2,
    0x5c599500,0x998001cc,0x19999999,0x13bba200,0x33322000,0x9910000c,
    0x32600199,0x4c0004cc,0x22003ccc,0x7ec03101,0x000003ff,0x6eed8000,
    0x33326000,0x0cccc004,0x66540000,0xc880001c,0x199973cc,0x33322000,
    0x4ccc400c,0x33310999,0x55100333,0x2e000035,0x44001ccc,0xeeeeeeee,
    0x0a98000e,0x326002a8,0x00f3263c,0x65c39970,0xfe88001c,0xffa8000e,
    0x005ffc8e,0x1fd81fd0,0x47ffc400,0x71006ffa,0xffffffff,0x2003ffff,
    0x0006fff8,0x002fffc8,0x00bfff20,0x005fff90,0x3ffffa20,0xd09f5002,
    0x3fff601f,0x2e000003,0x7ffc001d,0x7fe40007,0x3ffe002f,0x7cc00007,
    0x0000ffff,0x7c4fffe4,0x320003ff,0xfb802fff,0xfd5fffff,0x803fffff,
    0x000ffffd,0x02fffcc0,0x7ffffc40,0x8000ffff,0x02fcc3fb,0x3e2fffa0,
    0x7cc001ff,0x06ffb8ff,0x002fe400,0xfffeffc8,0x9df70000,0x2000bfb7,
    0x1fffeffb,0xfffff980,0xffffffff,0xfff1001f,0xff88000d,0x3e20003f,
    0xfb0003ff,0x3f2000df,0x000fffef,0x9f9315ff,0x01fffec0,0x01fd0000,
    0x007fff80,0x005ffd80,0x0001fffe,0xffeffe88,0x3fe20005,0x00bff92f,
    0x01fffc40,0xffffffb8,0xffffffd5,0x7fffdc03,0x7ec0006f,0xff10006f,
    0x1fffffff,0x2f7fe000,0x44001ffd,0x03ffefff,0xffdff700,0x9d30003f,
    0x74001ec8,0x0002ffff,0x0f7fffec,0xffffb000,0xfffd1007,0xffffffff,
    0x22003fff,0x40006fff,0x40004ffb,0x40004ffb,0x54001ffd,0x0bff96ff,
    0x3ffffee0,0x3fff600f,0xf1000003,0xffff000b,0x3ff60000,0x0ffff001,
    0xa7fec000,0x70003ffe,0x1bfe27ff,0x07ff7000,0x7ffffdc0,0xfffffd5f,
    0x3ffe603f,0x0003ffe8,0x0001dff1,0x2e000000,0x004fffff,0x0dffff70,
    0xffffd800,0x8bf30003,0x64c002fd,0x100003cc,0x10000397,0x2e009999,
    0xffffffff,0x0ceffecc,0x70000000,0x97000079,0x99100007,0x1ccb8005,
    0x4c003332,0x6c00befc,0x00003fff,0x00007f70,0x33220000,0x0ffff002,
    0x93322000,0x70004cc8,0x00664c79,0x000f2e00,0xfd5fff88,0x3ffa00ff,
    0x003fff12,0x00019930,0x002aaa20,0x00aca800,0x06665c00,0x33322000,
    0x26662003,0x4c54c1a8,0x55440199,0x4c00009a,0x0009aaaa,0x005554c0,
    0x7fffffec,0x09ffb0ff,0x9aaaa980,0x04ccc400,0x200cccc0,0x4009aaa8,
    0x98009998,0x13331199,0x00333300,0x3fffd800,0x1fb00000,0x15553000,
    0xaaa88000,0x0ffff000,0x55510000,0x2a200001,0x100000aa,0x10001555,
    0x3ffabfff,0x00000007,0x000aaa98,0xfffffda8,0x20001dff,0x20009998,
    0x99999998,0x4cc40019,0x00099999,0x300bfffa,0xfb10ffff,0x3dffffff,
    0x7ffecc00,0x00cfffff,0x3ffff660,0x3fe03fff,0x0fffffff,0xb3009ffb,
    0xffffffff,0x3fffa019,0x3fffcc02,0x7ffffec4,0xffd01eff,0xfff9805f,
    0x805fffd7,0x3317fff9,0x33333333,0x7ec13333,0x880003ff,0x006fccb9,
    0x3fffff66,0x36a003ff,0xdfffffff,0x99fffe01,0x2a001bcb,0xfffffffd,
    0x7ed4001d,0x1dffffff,0x7ffed400,0x001dffff,0x3fabfff1,0x1333107f,
    0x80333300,0xffffffd9,0xfff9003f,0xffffffff,0x3ffe0009,0x3ffa007f,
    0xffffffff,0x3fa01def,0xffffffff,0x3ffa02ee,0x7ffcc02f,0x7ffffcc7,
    0x05ffffff,0xffffffb8,0x02ffffff,0xffffffb8,0xf81effff,0xffffffff,
    0xb809ffb0,0xffffffff,0xfe82ffff,0x7fcc02ff,0x7fffcc7f,0x5fffffff,
    0x402fffe8,0xffd7fff9,0xfff9805f,0xffffffd7,0xffffffff,0x01fffecd,
    0x3fffea00,0xfb804fff,0xffffffff,0x7fe401ef,0xffffffff,0x1ffff04f,
    0x1bfffff9,0xfffffc80,0x04ffffff,0xffffff90,0x009fffff,0x3ffffff2,
    0x804fffff,0xffd5fff8,0x0ffffa0f,0x40ffff30,0xfffffffb,0xd101efff,
    0xffffffff,0x01dfffff,0x7ffffd40,0xffffd002,0xffffffff,0x3ffa05ff,
    0xffffffff,0xffe81eff,0x7ffcc02f,0x3ffffe67,0xffffffff,0x3ffff603,
    0xffffffff,0x3ffa02ff,0xffffffff,0xfffd87ff,0xfb0fffff,0x7ffec09f,
    0xffffffff,0x7ff42fff,0x7ffcc02f,0x3ffffe67,0xffffffff,0x017fff43,
    0x7f5fffe6,0x7fcc02ff,0xfffffd7f,0xffffffff,0x1fffecdf,0xffffb000,
    0x01dfffff,0x3ffffffa,0x07ffffff,0xffffffd1,0xdfffffff,0xfeffff81,
    0x0effffff,0xfffffe88,0xffffffff,0xfffd100e,0xffffffff,0x3a201dff,
    0xffffffff,0x00efffff,0x7f57ffe2,0x7fffd07f,0x07fff980,0xfffffffd,
    0x20ffffff,0xabfffffc,0xffffeba9,0x3fff6004,0xffd006ff,0xffffffff,
    0xd07fffff,0xffffffff,0x83ffffff,0x4c02fffe,0x3ff27fff,0xfb989bef,
    0xfb80ffff,0xa9acffff,0x07ffffec,0x37dffff7,0x7fffff93,0xffffffb8,
    0x09ffb0ff,0x33ffffee,0xfffeca9a,0x17fff47f,0xc9fffe60,0x989befff,
    0x20fffffb,0x4c02fffe,0xfffd7fff,0x7fff9805,0xfffffffd,0xdfffffff,
    0x001fffec,0xcfffffa8,0xb84fffff,0x99beffff,0x83fffffc,0xabfffffc,
    0xffffeba9,0x7fffffc4,0x5fffffce,0xbfffffc8,0xfffeba9a,0xffff904f,
    0xfd75357f,0x3f209fff,0xa9abffff,0x04ffffeb,0x7f57ffe2,0x7fffd07f,
    0x87fff980,0x9beffffb,0x3fffffc9,0x06ffffd4,0x1ffffd88,0xfffff880,
    0xffe801ff,0xbaaaaacf,0xe86ffffe,0xbaaacfff,0x46fffffc,0x4c02fffe,
    0x3ffa7fff,0xffff501f,0xeffff885,0x3ffff601,0x27fffc42,0x81ffffb0,
    0xfffffffe,0xf109ffb0,0x6c03dfff,0x3fa2ffff,0x7fcc02ff,0x07fffa7f,
    0xd17fffd4,0xf9805fff,0x5fffd7ff,0xd7fff980,0x55559fff,0x45555555,
    0x8003fffd,0x98bffff8,0x20ffffef,0x204ffff8,0x2a0ffffd,0x100dffff,
    0x7c3ffffb,0x7dc2ffff,0x3fea1fff,0xfb100dff,0xffa83fff,0xfb100dff,
    0xffa83fff,0xfb100dff,0x3e203fff,0x0fffd5ff,0x300ffffa,0xff88ffff,
    0x3ff604ff,0x3fffa0ff,0xfffe800f,0xffffc806,0xfe804fff,0x7fe403ff,
    0x7fff40ff,0x3fffee02,0x00bfffa3,0x3e2ffff3,0x3fa00fff,0x7ffe44ff,
    0x7ffc400f,0x37ffe44f,0x0ffffe60,0xffffffb1,0x3213ff61,0x4400ffff,
    0x3fa4ffff,0x7fcc02ff,0x1ffff17f,0xd27fff40,0xf9805fff,0x5fffd7ff,
    0xd7fff980,0x20005fff,0x8003fffd,0x3ee6fffa,0x320acdca,0x7cc06fff,
    0x3ffa3fff,0xffe800ff,0x0ffffe6f,0xfd27ffec,0xfd001fff,0xfffe8dff,
    0xfffe800f,0x07ffff46,0x837fff40,0xffd5fff8,0x0ffffa0f,0xc8ffff30,
    0x7cc06fff,0xfff13fff,0x3fea007f,0x7ffc00ff,0x807fffbf,0x4403fffe,
    0x7f42ffff,0x7fe402ff,0x5fffd0ff,0x27fff980,0x000dffff,0x009ffff0,
    0x7ffc02a6,0x01ba802f,0x87ffedcc,0xfff84ffd,0x0153004f,0x9805fffd,
    0x3ffe7fff,0xfe8000df,0x7fcc02ff,0x05fffd7f,0xfd7fff98,0x360005ff,
    0xb8003fff,0x03fa3fff,0x005ffff0,0xfff88375,0xfff5003f,0x07fffe1f,
    0xf8afffd4,0xf5003fff,0x3fe21fff,0xff5003ff,0x3ffe21ff,0xfff5003f,
    0xbfff101f,0x7f41fffa,0x7fcc03ff,0x17fffc7f,0x3ea0dd40,0x7fc007ff,
    0x3fea02ff,0x05fffd6f,0x403fffe8,0x742ffff8,0x7c402fff,0xfffd1fff,
    0x7fff9805,0x37fffff6,0xfff3000b,0xf100001f,0x00001fff,0x361fff50,
    0x7ffcc4ff,0xfe80000f,0x7fcc02ff,0x3ffff67f,0xfd000bdf,0xff9805ff,
    0x05fffd7f,0xfd7fff98,0x360005ff,0xc8003fff,0x0bf12fff,0x00ffff88,
    0x1fffea00,0x25ffff00,0xf300ffff,0x3ffeadff,0x7fffc007,0x00ffff52,
    0xf52ffff8,0xff800fff,0xfff882ff,0x3a0fffd5,0x7cc03fff,0x3ffe27ff,
    0x3ee0000f,0x7f4007ff,0x3ff603ff,0x0dfff73f,0x403fffe8,0x740ffffa,
    0xfe802fff,0x5fffd2ff,0x27fff980,0xfffffff8,0x3ea02cef,0x300007ff,
    0x0000ffff,0x6c3ffea0,0x7ffd44ff,0xffd00007,0xfff9805f,0x3ffffe27,
    0x202cefff,0x4c02fffe,0xfffd7fff,0x7fff9805,0x0005fffd,0x000ffff6,
    0x7dcbfff6,0x3fffcc03,0x3ffee000,0x7fff4007,0x4c0ffff3,0xfff76fff,
    0xfffe800f,0x00ffff73,0xf73fffe8,0xfe800fff,0xfff883ff,0x3a0fffd5,
    0x7cc03fff,0x3ffe67ff,0x7fe40007,0x7fec006f,0xffff104f,0x07fffe21,
    0x99bfffe8,0xfffca999,0x2fffe85f,0xd4fffd80,0xf9805fff,0x7ffd47ff,
    0xefffffff,0x06fffb81,0x2aaaaaaa,0xdfff50aa,0x3ea00000,0x89ffb0ff,
    0x2a06fffb,0xaaaaaaaa,0x805fffd0,0x7d47fff9,0xffffffff,0xfffe81ef,
    0xbfffcc02,0x4c02fffe,0xfffd7fff,0xdddddddd,0xfffd8ddd,0xfffb8003,
    0xfa801fb3,0x640006ff,0x6c006fff,0xffff4fff,0x57ffe601,0x4006fffc,
    0xff94fffd,0xffd800df,0x0dfff94f,0x84fffd80,0xffd5fff8,0x3bfffa0f,
    0xeeeeeeee,0x3fea7fff,0x7ec0006f,0x7e4005ff,0xfff705ff,0x04fffe8b,
    0x3ffffffa,0xffffffff,0x2fffe81f,0xd5fffc80,0xf9805fff,0xffc887ff,
    0xffffffff,0x037ffdc2,0xffffffff,0x1bffee1f,0x7fd40000,0xb89ffb0f,
    0x3fe06fff,0x0fffffff,0x9805fffd,0xfc887fff,0xffffffff,0x17fff42f,
    0x75fffe60,0x7cc02fff,0xffffd7ff,0xffffffff,0x3fffd8ff,0x5fff9800,
    0x8566d4df,0x0006fffb,0x002fffec,0x7fd7fff2,0xfff702ff,0x017fff69,
    0x36bfff90,0x64005fff,0xfffb5fff,0xfffc800b,0xd5fff885,0x3ffa0fff,
    0xffffffff,0x2e7fffff,0x40006fff,0x4006fffc,0xfd04fffd,0xfffb85ff,
    0x3ffffa07,0xffffffff,0xfffd00ef,0xdfff9005,0x300bfffa,0x5440ffff,
    0xfffffffd,0x1fffea2f,0xfffffff8,0xdfff70ff,0x3ea00000,0x89ffb0ff,
    0x3e07fffa,0xffffffff,0x805fffd0,0x2207fff9,0xffffffda,0x3fffa2ff,
    0xbfffcc02,0x4c02fffe,0xfffd7fff,0xffffffff,0xfffd8fff,0xccccccce,
    0xfff10ccc,0x7ff49f7f,0x0dfff72f,0x6fffc800,0xa7ffec00,0xfd06ffff,
    0x3fff27ff,0x7ffec006,0x00dfff94,0xf94fffd8,0xfd800dff,0xfff884ff,
    0x3a0fffd5,0xffffffff,0x7fffffff,0x001bffee,0x00ffff50,0x983fffe8,
    0xff887fff,0xfffd02ff,0xffffffff,0xfffe8037,0x5fffc802,0x9805fffd,
    0x26007fff,0x24ffffeb,0xf00ffff8,0xffffffff,0x01fffea1,0x7ffd4000,
    0xf889ffb0,0xfff00fff,0x21ffffff,0x4c02fffe,0x26007fff,0x24ffffeb,
    0x4c02fffe,0xfffd7fff,0x7fff9805,0x999bfffd,0x89999999,0xfffffffd,
    0x0fffffff,0x27fffffa,0x2a7fffc9,0x40007fff,0x4007fffa,0xfff3fffe,
    0x3faa1bff,0xfff50fff,0xfffe800f,0x00ffff53,0xf53fffe8,0xfe800fff,
    0xfff883ff,0x3a0fffd5,0xeeeeefff,0x7fffeeee,0x001fffea,0x01ffff30,
    0x417fffc0,0xaaaefffc,0x06fffeaa,0x7537fffd,0x801dffff,0xd802fffe,
    0xfffd4fff,0x6fffa805,0x7fe400c4,0x0ffff46f,0xff999998,0xffff10ff,
    0x00375001,0x7ec3ffea,0x1fffe84f,0xff333330,0x3fffa1ff,0x37ffd402,
    0x3ff20062,0x0bfffa6f,0x3adfff50,0x7d402fff,0x5fffd6ff,0x3fff6000,
    0xffffffff,0x3fe60fff,0xffffffff,0x3fffe23f,0x4c1ba800,0x2000ffff,
    0xfff2ffff,0xffffffff,0x7ffcc7ff,0x3ffe000f,0x1ffff32f,0x97fffc00,
    0x000ffff9,0x220bfffe,0xfffd5fff,0x00ffffa0,0x7c4ffff3,0xba800fff,
    0x27fffc41,0x0ffffb80,0xfffffff8,0xffffffff,0x43fffe81,0x01fffff8,
    0x200bfffa,0xffb3fffe,0xfffa807f,0x809fffb6,0x320ffff8,0xf1005fff,
    0x7ffc1fff,0xeffd803f,0x87ffd403,0xffc84ffd,0xfff1005f,0x0ffff61f,
    0x36dfff50,0x7c404fff,0xfffb0fff,0x6fffa807,0xa807fffb,0xfffd6fff,
    0x3ff60005,0xffffffff,0x7dc0ffff,0xffffffff,0x03ffff84,0xf13effd8,
    0x2e009fff,0xfff0ffff,0xffffff7f,0xffff889f,0xffff7004,0x13fffe21,
    0x87fffdc0,0x004ffff8,0x101ffff7,0x3ffabfff,0x07fffd07,0x7c7fff98,
    0xfd803fff,0x3fff63ef,0x7ffc400f,0xffffa86f,0xffffffff,0xffe84fff,
    0xffffa83f,0x5fffd00e,0x1ffff880,0xd80dfff9,0xfff95fff,0x7ffd401f,
    0x3fffee0f,0xffff8801,0x01ffff20,0x805ffff3,0xffb0fffa,0x3ffff709,
    0x1ffff100,0xb01bfff2,0x3ff2bfff,0x3fea00ff,0xdfff90ff,0x95fffd80,
    0xfd80dfff,0x5fffd5ff,0x33220000,0x7f4c001b,0x902effff,0xf980ffff,
    0x3ff62fff,0x7fc400ff,0x5fffe6ff,0x02ffffe9,0x801ffffb,0x6c6ffff8,
    0x4400ffff,0x7ec6ffff,0x7c400fff,0xff106fff,0x41fffabf,0x4c03fffe,
    0x7fe47fff,0x7ffcc07f,0x3fffe22f,0xfffd301f,0xffffb03f,0xffffffff,
    0xffd0ffff,0x3fff207f,0x5fffd05f,0x0ffffc80,0x209ffff5,0xf33ffff9,
    0x7f409fff,0x7ffc45ff,0x3faa02ff,0x3fe20fff,0xfe980dff,0xffa807ff,
    0x109ffb0f,0x405fffff,0x50ffffea,0x2609ffff,0xff33ffff,0x7ff409ff,
    0x3fffea5f,0x7ffff304,0x413fffea,0xfd3ffff9,0x200005ff,0x005ffff9,
    0x004d4ff4,0x037fffe2,0x11ffffa6,0x203fffff,0x21ffffe9,0x04c47fff,
    0x3ffffe20,0xffffd301,0xfffff883,0xffffd301,0xfffff883,0xffffd301,
    0x57ffe203,0xffd07ffe,0xfff9807f,0x6ffffc47,0x7fffe980,0xdfffffb8,
    0xffffdbab,0xffff884f,0x99999999,0x742ffff9,0x3fa03fff,0xffe82fff,
    0x3ffee02f,0x7ffff42f,0xfffdbace,0x3fffa0ff,0xffdaacff,0xffa83fff,
    0xcaacdfff,0x0ffffffe,0x67ffffdc,0xfffffeba,0x0fffa803,0x3ea09ffb,
    0xaacdffff,0xffffffec,0x3bffffa0,0xffffdbac,0x3ffffa0f,0xfffdaacf,
    0x7fff43ff,0xffdbacef,0x3ffa0fff,0xfdbaceff,0xffd0ffff,0x9800005f,
    0xf1001ffd,0xfff7000b,0xffd759ff,0xff707fff,0xb757bfff,0xf89fffff,
    0x2e0007ff,0xabdfffff,0x4fffffdb,0xbfffff70,0xffffb757,0x3ffee09f,
    0xfdbabdff,0x2204ffff,0xfffd5fff,0x00ffffa0,0xf70ffff3,0xd759ffff,
    0x207fffff,0xfffffffd,0x0effffff,0x006fffc8,0xfe8dfffb,0x3fe603ff,
    0x7ff40eff,0xedccccdf,0xfb85ffff,0xffffffff,0x7c44ffff,0xffffffff,
    0x700effff,0xffffffff,0x7fffffff,0x3fffff60,0x5fffffff,0x21fff500,
    0x3ee04ffd,0xffffffff,0x43ffffff,0xfffffffb,0x44ffffff,0xfffffff8,
    0x0effffff,0x7fffffdc,0x4fffffff,0x7fffffdc,0x4fffffff,0x3337fffa,
    0xcccccccc,0x2ffc800c,0x0007f700,0x3ffffff6,0x05ffffff,0x3ffffff6,
    0xefffffff,0x003fffc0,0x3fffff60,0xffffffff,0x3fff600e,0xffffffff,
    0x3f600eff,0xffffffff,0x440effff,0xd5fff999,0x74333fff,0x7cc03fff,
    0xfffb07ff,0xffffffff,0xfffb80bf,0xffffffff,0x0ffffe03,0x0ffffd40,
    0xc807fffd,0x7f44ffff,0xffffffff,0x500fffff,0xffffffff,0x3ea09fff,
    0xffffffff,0xff9805ff,0xffffffff,0x7dc00cff,0xffffffff,0x3fea005f,
    0x809ffb0f,0xfffffff9,0x00cfffff,0xfffffff5,0x2a09ffff,0xffffffff,
    0x3ea05fff,0xffffffff,0xfff504ff,0xffffffff,0xfffffe89,0xffffffff,
    0x7774c1ff,0x36006fff,0x3ee0000f,0xffffffff,0xfffb805f,0xffffffff,
    0x00ffff03,0xfffff700,0x07ffffff,0x3ffffee0,0x03ffffff,0xffffff70,
    0x207fffff,0x5ffffffb,0x3ffffffd,0x300ffffa,0x7dc0ffff,0xffffffff,
    0xfd91005f,0x01bdffff,0x007fffd4,0x749ffff0,0xfe803fff,0x3ffa1fff,
    0xffffffff,0x6c400dff,0xdfffffff,0xffffb801,0x2003dfff,0xfffffea8,
    0x22001bde,0xdfffffed,0x7ffd4001,0x1009ffb0,0xdfffffd5,0xfb10037b,
    0x3bffffff,0xfffff700,0xb1007bff,0xbfffffff,0xfffd8803,0xe81dffff,
    0xffffffff,0x1fffffff,0x1effffcc,0x000df100,0xffffdb10,0x644003bf,
    0xdefffffe,0x01fffe00,0x7ff64400,0x000defff,0x7ffff644,0x44000def,
    0xefffffec,0x3ffee00d,0xfffd5fff,0x3ffa3fff,0x7ffcc03f,0x7ff6c407,
    0x0001dfff,0xfd8006a6,0x7e4005ff,0x3fffa7ff,0xffff9803,0x3fffffa6,
    0x01cdefff,0x009a9980,0x01353100,0x02666000,0x0ccc4000,0x1ddd3000,
    0x2000fbb2,0x40000999,0x00009a99,0x00013531,0x0004d4cc,0x4009a998,
    0xfffffffe,0xffffffff,0xb8800001,0x4c400003,0x53000019,0x3776c003,
    0x1a980000,0x0d4c0000,0x06a60000,0xfffffb80,0xfffffd5f,0x0ffffa3f,
    0x00ffff30,0x0000ccc4,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xcc980000,0x1000004c,0x00019999,0x00cccc88,
    0x05999500,0x0ded8800,0x0001bdb1,0x0000ccc4,0x00079993,0x7439dd50,
    0x5eeb8007,0x8003bba6,0xeeeeeeed,0x1ccb801e,0x9300732e,0x99900999,
    0x2775c039,0xdd309dd5,0x0177741d,0x005eee88,0x9970e65c,0xccc80003,
    0x665c001c,0x9970002c,0x400e65c3,0x33264cc8,0x1e665403,0x03999700,
    0x0f332a00,0x07999300,0x03333200,0x80e665c0,0x7542cccb,0x4eeeeeee,
    0x017ffe40,0x7ffe4000,0xffb80003,0xff30003f,0x80001fff,0x7ffd5ffb,
    0xfffd8000,0xfffb0001,0xff980003,0x05feefff,0x2a7ffc80,0x3e000fff,
    0xffffffff,0x8fff9801,0xfd806ffb,0x7fd402ff,0xaffe804f,0xf980fff9,
    0x0fffe1ff,0x037ffc40,0x2e3ffe60,0x540005ff,0x88004fff,0x30007ffe,
    0xdff71fff,0x467fec00,0x7fc02ffe,0xff3000ef,0x7fc000bf,0x7f4000ef,
    0x64002fff,0xa805ffff,0xd106ffff,0xfffb8dff,0x805fffff,0x00006ffc,
    0x0003fff8,0x0007fff0,0x2fff7ff4,0x77ff4000,0xd80006ff,0x98001fff,
    0x80002fff,0xfffebdfc,0xffc8003f,0x003ffea7,0xfffffff8,0xff7001ff,
    0x9801fffd,0xfe802fff,0xfff3005f,0x3e607ffd,0x0fffe1ff,0x037ffc40,
    0x7ff7fe40,0x7f40000f,0x3e20004f,0xf70002ff,0x001fffdf,0x7ff7ff44,
    0x07ffdc04,0x00bffb00,0x007ffd40,0x3ffbff20,0xdff3000f,0x7c405ffd,
    0x304ffeff,0x7fdc5fff,0x05ffffff,0x0005ffb0,0x0027fdc0,0x004ffb80,
    0x7ed3ff20,0x7c40003f,0x0000ffff,0x001fffd8,0x0002ffd8,0x65c41970,
    0x99950001,0x0006664c,0xffb00000,0xff9007ff,0x0bff3007,0x5ffffb80,
    0xc8333220,0xff1001cc,0x3fa000df,0x40002fff,0x80005ffa,0x20006ff9,
    0x003ffffe,0x0effff98,0x000fff40,0x0001dff3,0x2000fff4,0xffb8eff9,
    0x9fff8805,0xfb00fff9,0x05ffd17f,0x0001bfe6,0x0002cc80,0x0000f2e0,
    0x20003cb8,0x9910ccc8,0x99500009,0x2a000059,0xc8000ccc,0x1000002c,
    0x00001555,0x4002aaa2,0x98009998,0x66440199,0x3ed8803c,0x00199500,
    0x88199970,0x99800999,0x80000019,0x0003ccc8,0x00004ca8,0x40003326,
    0x0003ccc8,0x1007332a,0xca800399,0x3220000c,0xccb8001c,0x500732e1,
    0x16654599,0x9931e64c,0x40664c07,0x44001999,0x00000999,0x80026662,
    0x98009998,0x33100199,0x44000013,0x44000999,0x99999999,0x21999999,
    0x99999998,0xda800019,0xdfffffff,0x7fed4001,0x01dfffff,0x300bfffa,
    0x2662ffff,0x99999999,0x20999999,0x00001998,0xe8199980,0x7cc02fff,
    0x333317ff,0x33333333,0x4ccc4133,0x99999999,0x4ccc0999,0x26660019,
    0x33333109,0x33333333,0x99998813,0x99999999,0x26662199,0x21999800,
    0x33101999,0x33333333,0x4c433333,0x99999999,0x22099999,0x99999999,
    0x20999999,0x40001998,0x99801999,0x3ffff019,0x3ffffc00,0xffff0000,
    0x7fff400f,0x07fff805,0x00fffff0,0x3ffffc00,0x3fffea00,0xffffffff,
    0x3fffa7ff,0xffffffff,0x3f2001de,0xffffffff,0xff9004ff,0xffffffff,
    0x3fffa09f,0xbfffcc02,0xfffffffa,0xffffffff,0x03fffa3f,0x0007fffb,
    0x741ffff8,0x7cc02fff,0xffffd7ff,0xffffffff,0x7fff4dff,0xffffffff,
    0x7fe46fff,0xffc802ff,0xffffd2ff,0xffffffff,0xfffa8dff,0xffffffff,
    0x3ffa7fff,0x7fff805f,0x2a07fffe,0xffffffff,0x27ffffff,0xfffffffe,
    0x6fffffff,0x3ffffffa,0xffffffff,0x003fffa6,0x01ffff80,0x7c0ffffc,
    0xf5001fff,0x0005ffff,0x5fffff50,0x3ffffa00,0x03fffc02,0x17ffffd4,
    0x7ffd4000,0x3ea002ff,0xffffffff,0x3a7fffff,0xffffffff,0x02ffffff,
    0x7fffff44,0xffffffff,0xfffd100e,0xffffffff,0xffe81dff,0x7ffcc02f,
    0xffffff57,0xffffffff,0x7fff47ff,0x01fffec0,0x07fffe00,0x9805fffd,
    0xfffd7fff,0xffffffff,0x7ff4dfff,0xffffffff,0x7c46ffff,0x7c406fff,
    0x3ffa5fff,0xffffffff,0x7d46ffff,0xffffffff,0x3a7fffff,0x7c02ffff,
    0x3fffe7ff,0xfffffa81,0xffffffff,0x3ffffa7f,0xffffffff,0x3fffa6ff,
    0xffffffff,0x3ffa6fff,0x3fe0000f,0x7ffc01ff,0x1ffff81f,0xfffffb00,
    0xffb0000d,0x3a00dfff,0x7c06ffff,0xffd807ff,0x80006fff,0x06fffffd,
    0x3ffffea0,0xffffffff,0x3ffffa7f,0xffffffff,0x3f203fff,0xa9abffff,
    0x04ffffeb,0x57fffff9,0xffffd753,0x02fffe89,0xfabfffcc,0xffffffff,
    0x3fffffff,0xfb03fffa,0xf80007ff,0x7ff41fff,0x7ffcc02f,0xffffffd7,
    0xffffffff,0x7fffff4d,0xffffffff,0xffffa86f,0x3ffff603,0x3fffffa0,
    0xffffffff,0x7fffd46f,0xffffffff,0x3fffa7ff,0x3fffc06f,0xf503ffff,
    0xffffffff,0x74ffffff,0xffffffff,0x26ffffff,0xfffffffe,0x6fffffff,
    0x0003fffa,0x401ffff8,0xff81ffff,0xff8801ff,0x001fffff,0x3ffffe20,
    0xffe801ff,0x3fe04fff,0x7ffc407f,0x0001ffff,0x3fffffe2,0x5551001f,
    0xfd555555,0x7ff4bfff,0xbaaaaacf,0x506ffffe,0x201bffff,0x41ffffd8,
    0x00dffffa,0x43ffffb1,0x4c02fffe,0x55517fff,0x7ffff755,0x74155555,
    0x7fec0fff,0x7fc0003f,0x7fff41ff,0xbfffcc02,0xaaacfffe,0x2aaaaaaa,
    0x2ab3fffa,0xaaaaaaaa,0x1ffffb02,0x87ffff30,0xaaacfffe,0x2aaaaaaa,
    0x55555544,0xffffeaaa,0x3fffffa5,0xf9fffe04,0xaa881fff,0xeaaaaaaa,
    0x3fa5ffff,0xaaaaacff,0x3a2aaaaa,0xaaaacfff,0x22aaaaaa,0x0000fffe,
    0xf007fffe,0xfff03fff,0xfff9003f,0x0009ffff,0x7fffffe4,0xfffe804f,
    0xfff01fff,0xffffc80f,0x20004fff,0xfffffffc,0x3ee00004,0x3fa0efff,
    0x7fe403ff,0xfffe80ff,0xfffe800f,0x07ffff46,0xd37fff40,0xf9805fff,
    0x7fc407ff,0xffe800ff,0x1fffec0f,0x3fffe000,0x017fff41,0x7f5fffe6,
    0xfd0002ff,0x100005ff,0xfd0bffff,0xfffd0bff,0xb8000005,0x3a0effff,
    0x01ffffff,0x7ffcffff,0xff70001f,0x7ff41dff,0xffd0002f,0x3fa0005f,
    0x3e0000ff,0x7fc01fff,0xffff81ff,0xbffff801,0x20007fff,0xfffbffff,
    0xffffe807,0xffff05ff,0xfbffff80,0x3e0007ff,0x7fffbfff,0xfff30000,
    0xfffe83ff,0x7fffc403,0x1ffffc42,0x0ffffa80,0x007ffff1,0x743fffea,
    0x7cc02fff,0x7fc407ff,0xffe800ff,0x1fffec0f,0x3fffe000,0x017fff41,
    0x7f5fffe6,0xfd0002ff,0x200005ff,0x2e1ffffb,0xfe80ffff,0x000002ff,
    0x07ffffe6,0xbffffffd,0xff9fffe0,0xf98001ff,0x7f41ffff,0xfd0002ff,
    0x3a0005ff,0x79510fff,0xffff8015,0x0ffffc01,0x200ffffc,0xffd6fffa,
    0xff50005f,0x0bfffadf,0xffffffd0,0x0ffff05f,0xfeb7ffd4,0xfa8002ff,
    0x5fffd6ff,0xfff88000,0xfffe82ff,0x7fffc403,0x03fffd42,0x54bfffe0,
    0x7c007fff,0xfffd2fff,0x7fff9805,0x07fffc40,0x207fff40,0x0003fffd,
    0x3a0ffffc,0x7cc02fff,0x5fffd7ff,0x3fffa000,0x3fa00002,0xffff16ff,
    0x0bfffa07,0x7fc40000,0xffe82fff,0xf82fffff,0x3fffe7ff,0x7ffc4001,
    0xfffe82ff,0xfffd0002,0x3ffa0005,0xfffffb8f,0x3fffe01f,0x0ffffc01,
    0x200ffffc,0xff73fffd,0xffb000df,0x1bffee7f,0xffdfffd0,0x7fff81ff,
    0x5cffff60,0xd8006fff,0xfff73fff,0xffe8000d,0xfffd03ff,0xffffa807,
    0x03fffdc0,0x5cffffa0,0x74007fff,0xfffd3fff,0x7fff9805,0x07fffc40,
    0x207fff40,0x0003fffd,0x3a0ffffc,0x7cc02fff,0x5fffd7ff,0x3fffa000,
    0x3e600002,0xfffcbfff,0x0bfffa06,0x7ff40000,0xfffd03ff,0xf81ffffd,
    0x3fffe7ff,0x7fff4001,0x5fffd03f,0x3fffa000,0xfffd0002,0xfffffffb,
    0x3fffe01f,0x0ffffc01,0x100ffffc,0x3e21ffff,0x22001fff,0xff10ffff,
    0x7ff403ff,0x44ffff9f,0xff107fff,0x3ffe21ff,0x3fe2001f,0xffff10ff,
    0x3ff20003,0x3ffa05ff,0xa99999bf,0xc85ffffc,0x6c006fff,0xfff94fff,
    0xfffd800d,0x805fffd4,0x4407fff9,0xe800ffff,0x7fec0fff,0x7fc0003f,
    0x7fff41ff,0xbfffcc02,0xeeeefffe,0x46eeeeee,0xeeeefffe,0x06eeeeee,
    0xffffff90,0x7ff403ff,0xeeeeeeef,0x32006eee,0x3a05ffff,0xffff9fff,
    0xff3fffc4,0x7e4003ff,0x3fa05fff,0xeeeeeeff,0x7f46eeee,0xeeeeeeff,
    0x7f46eeee,0xfdbdffff,0xfff04fff,0xffff803f,0x01ffff81,0xfd17ffee,
    0x7dc009ff,0x7fff45ff,0x23fffa04,0x3e1ffffa,0xfff707ff,0x04fffe8b,
    0xd17ffee0,0x70009fff,0x401dffff,0xfffffffe,0xffffffff,0x05fffd81,
    0xdafffe40,0x64005fff,0xfffd5fff,0x7fff9805,0x07fffc40,0x207fff40,
    0x0003fffd,0x3a0ffffc,0x7cc02fff,0xffffd7ff,0xffffffff,0xffffe8ff,
    0xffffffff,0x3ffa007f,0x7404ffff,0xffffffff,0x007fffff,0x01dffff7,
    0x7d47fff4,0x3ffe1fff,0x007fffe7,0x077fffdc,0xffffffd0,0xffffffff,
    0xffffffe8,0x7fffffff,0x20fffff4,0xff06fffb,0xfff803ff,0x1ffff81f,
    0x70bfffa0,0x7400ffff,0x7fdc2fff,0x3fffa07f,0x7cdfffd0,0xfffd07ff,
    0x07fffb85,0x70bfffa0,0x9800ffff,0x400fffff,0xfffffffe,0x0effffff,
    0x00dfff90,0xf94fffd8,0xfd800dff,0x5fffd4ff,0x07fff980,0x007fffc4,
    0x3607fff4,0x40003fff,0x7f41ffff,0x7fcc02ff,0xfffffd7f,0xffffffff,
    0xfffffe8f,0xffffffff,0x3ffea007,0x7f400fff,0xffffffff,0x9807ffff,
    0x400fffff,0xffd0fffe,0xf3fffcdf,0xf3003fff,0xe801ffff,0xffffffff,
    0x747fffff,0xffffffff,0x747fffff,0xff884fff,0x3ffff07f,0x81ffff80,
    0xf301ffff,0xfff10fff,0xfff3005f,0x5ffff10f,0x4c3fffa0,0xfff3ffff,
    0x0ffff30f,0x005ffff1,0xf10ffff3,0x22005fff,0x801fffff,0xfffffffe,
    0x401bffff,0x4007fffa,0xff53fffe,0xffe800ff,0x05fffd3f,0x407fff98,
    0x800ffff8,0x7ec0fffe,0x7c0003ff,0x7ff41fff,0x7ffcc02f,0x99bfffd7,
    0x99999999,0xccdfffe8,0x4ccccccc,0x7fffec00,0xdfffe802,0xcccccccc,
    0x7ffc404c,0xffe801ff,0x7ffff30f,0xfff9fffe,0x7ffc401f,0xffe801ff,
    0xccccccdf,0x7ff44ccc,0xccccccdf,0x7ff44ccc,0x0ffff02f,0xf007fffe,
    0xfff03fff,0x3fff203f,0xfeaaaaae,0xffc806ff,0xeaaaaaef,0xffd06fff,
    0x7fffe41f,0xfc87fff8,0xaaaaaeff,0xc806fffe,0xaaaaefff,0x006fffea,
    0x007ffffd,0x2a6ffffa,0x00effffb,0x007fffcc,0x265ffff0,0x2000ffff,
    0xffd2ffff,0xfffa805f,0x7fffc406,0x0fffe800,0x001fffec,0xd07fffe0,
    0xfa805fff,0x5fffd6ff,0x3fffa000,0xf3000002,0x3fa00fff,0xd00002ff,
    0x2007ffff,0x3f20fffe,0x7fff8fff,0xd007fffe,0x2007ffff,0x0002fffe,
    0x0005fffd,0x7c07fffa,0xffff07ff,0x1ffff803,0xf01ffff8,0xffffffff,
    0x03ffffff,0xfffffff8,0xffffffff,0x40fffe81,0xfffcfffe,0xffffff87,
    0xffffffff,0x7fffc01f,0xffffffff,0x7ec01fff,0x3a004fff,0x7fc43fff,
    0x3e201fff,0xf7004fff,0x3fe21fff,0xff7004ff,0x3fff61ff,0x37ffd403,
    0x03fffe20,0xb03fffa0,0x80007fff,0x7ec1ffff,0x7fd403ff,0x05fffd6f,
    0x0bfffa00,0x7fcc0000,0xfffd007f,0xffb00005,0x7f4009ff,0x7fff40ff,
    0x3fe7fffc,0x3ff601ff,0x3fa004ff,0xfd0002ff,0x3a0005ff,0xfff00fff,
    0x07fffe0f,0xf03ffff0,0xff503fff,0xffffffff,0x409fffff,0xfffffffa,
    0xffffffff,0x40fffe84,0xfffffffa,0x7ffffd47,0xffffffff,0x3fea04ff,
    0xffffffff,0x204fffff,0x006ffffb,0x541ffff4,0x200effff,0x400ffffd,
    0x6c6ffff8,0x4400ffff,0x3f26ffff,0x7fec06ff,0x7ffc405f,0xfffe800f,
    0x01fffec0,0x07fffe00,0xd80dfff9,0xfffd5fff,0x3ffa0005,0x3000002f,
    0x3a00ffff,0x40002fff,0x006ffffb,0x2a07fff4,0x7fffffff,0x5c07fffe,
    0x4006ffff,0x0002fffe,0x0005fffd,0x7c03fffa,0xffff07ff,0x1ffff803,
    0xd81ffff8,0xffffffff,0x7fffffff,0x3fffff60,0xffffffff,0xfffe87ff,
    0xfffffd80,0x7fffec7f,0xffffffff,0x3f607fff,0xffffffff,0x07ffffff,
    0x01fffff3,0x03fffe80,0x40bffff9,0x01fffff8,0x83ffffd3,0x01fffff8,
    0x43ffffd3,0x304ffffa,0x8807ffff,0xe800ffff,0x7fec0fff,0x7fc0003f,
    0x7ffd41ff,0xffff304f,0x00bfffa7,0x017fff40,0xfff98000,0x5fffd007,
    0x7ffcc000,0x7f4000ff,0xfffd80ff,0x3ffe7fff,0xffff981f,0x7ff4000f,
    0xffd0002f,0x3fa0005f,0xffff00ff,0x007fffe0,0xff03ffff,0xfff883ff,
    0x9999999f,0x82ffff99,0x999ffff8,0xff999999,0x7fff42ff,0xfffff880,
    0x3fffe27f,0x99999999,0x882ffff9,0x9999ffff,0xfff99999,0x7fffc42f,
    0xffe8001f,0x3fffa03f,0x3ffee02f,0xfdbabdff,0xf704ffff,0x757bffff,
    0x09fffffb,0x59dffffd,0x1fffffb7,0x0ffff880,0x40fffe80,0x0003fffd,
    0x740ffffc,0xbaceffff,0xd0fffffd,0x20005fff,0x0002fffe,0x0ffff300,
    0x00bfffa0,0x7ffffc40,0xfffe8001,0xfffff880,0x07fffe7f,0x03fffff1,
    0x05fffd00,0x0bfffa00,0x07fff400,0xff07fff8,0xfff803ff,0x1ffff81f,
    0x8037ffe4,0xfc86fffd,0xffb006ff,0x0fffe8df,0xffffff70,0x8037ffe4,
    0xfc86fffd,0xffb006ff,0xffffc8df,0xccccccce,0xffd1cccc,0x7ffcc07f,
    0x3ff600ef,0xffffffff,0x3600efff,0xffffffff,0x80efffff,0xfffffffb,
    0x04ffffff,0x00ffff88,0x6c0fffe8,0xccccefff,0x80cccccc,0xfb81ffff,
    0xffffffff,0x3fa4ffff,0xcccccdff,0xd0cccccc,0x9999bfff,0x19999999,
    0x1fffe600,0x66ffff40,0xcccccccc,0xffff90cc,0x9999999d,0x3fa39999,
    0xfff700ff,0x7fffcfff,0x77fffe41,0xcccccccc,0xfffd1ccc,0x9999999b,
    0x3fa19999,0xcccccdff,0xd0cccccc,0x3fe01fff,0x3ffff07f,0x81ffff80,
    0x7fc1ffff,0xff5003ff,0xffff83ff,0xffff5003,0x007fff43,0x7cfffffd,
    0xf5003fff,0xfff83fff,0xfff5003f,0x7fffe43f,0xffffffff,0xffd3ffff,
    0xfffc807f,0x7ffdc04f,0xffffffff,0xffff7003,0x7fffffff,0xfffffa80,
    0x04ffffff,0x01ffff10,0xd81fffd0,0xffffffff,0x80ffffff,0xf501ffff,
    0xffffffff,0xfffe89ff,0xffffffff,0xffd1ffff,0xffffffff,0x003fffff,
    0x401fffe6,0xfffffffe,0xffffffff,0xffffff91,0xffffffff,0x3fffa7ff,
    0x3ffffa00,0x907fffe7,0xffffffff,0xffffffff,0x3fffffa7,0xffffffff,
    0xffffd1ff,0xffffffff,0x3ffa3fff,0x0ffff00f,0xf007fffe,0xfff03fff,
    0x7fffd43f,0x3fffe000,0x03fffea4,0x24ffff80,0x2600fffe,0xff57ffff,
    0x7fc001ff,0x3ffea4ff,0x3ffe000f,0x3ffff24f,0xffffffff,0xffd3ffff,
    0xfffd007f,0xfec8803f,0x00deffff,0x7fff6440,0x1000deff,0xfffffffb,
    0x7fc4003b,0xffe800ff,0x7fffec0f,0xffffffff,0xffff80ff,0x3fff6201,
    0xe81dffff,0xffffffff,0x1fffffff,0xfffffffd,0xffffffff,0x3ffe6003,
    0xffffd007,0xffffffff,0x3ff23fff,0xffffffff,0xd3ffffff,0x7cc01fff,
    0x3ffe7fff,0x7fffe41f,0xffffffff,0xffd3ffff,0xffffffff,0x3a3fffff,
    0xffffffff,0x1fffffff,0x3e01fffd,0xffff07ff,0x1ffff803,0x361ffff8,
    0x64005fff,0x3ff67fff,0x7fe4005f,0x03fffa7f,0x36ffff90,0x64005fff,
    0x3ff67fff,0x7fe4005f,0x3ffff27f,0xffffffff,0xffd3ffff,0xfff3007f,
    0x1a9800df,0x0d4c0000,0x4d4cc000,0xfff10000,0xfffd001f,0xfffffd81,
    0xffffffff,0x1ffff80f,0x01353300,0xffffffe8,0xffffffff,0xfffffd1f,
    0xffffffff,0x3e6003ff,0xffd007ff,0xffffffff,0x323fffff,0xffffffff,
    0xffffffff,0x801fffd3,0x3fe7fffc,0x7ffe41ff,0xffffffff,0xfd3fffff,
    0xffffffff,0x23ffffff,0xfffffffe,0xffffffff,0x201fffd1,0xfff07fff,
    0xffff803f,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0de4c000,
    0x003000f2,0x323eed80,0x76c004ee,0x013bb22e,0xe873baa0,0xeea8000f,
    0x003bba66,0x5c5bf910,0x7776403f,0x002eeeee,0x3bbbbba2,0xb0000eee,
    0x4eeb801d,0x0001bbaa,0xaa880000,0x9100001a,0x10001999,0x10000000,
    0x00035995,0x00019997,0x2005554c,0x59301998,0x64c03950,0x2a01ca82,
    0x0f3262cc,0x500ccb80,0x33325999,0x33330004,0xaaa86662,0x02af2a22,
    0x65439970,0xcccb802c,0x7fffd400,0x5004fdbe,0x20005dff,0x3ff64ffe,
    0x1fffc005,0x8800bffb,0xfeffffff,0xfff70006,0x000fffcc,0x3bfffffa,
    0x7fec01ff,0x03ffffff,0x3ffffe20,0x8000ffff,0x7e402ff9,0x01ffee6f,
    0x01355510,0xfd9801d5,0x1effffff,0x3fff2000,0x67f54002,0x27fe4000,
    0xfffff900,0x7ec001bf,0x6cc000ff,0xdfffffff,0x81fffe81,0x00fe86f8,
    0x03fa1be2,0xf89fff88,0x3fe001ff,0x23bffa07,0x0002fffb,0xff51ffff,
    0x5dbffa3f,0x02ffffff,0x3ea3bfea,0xffd800ff,0x777ec01f,0x002fffff,
    0x000db3bf,0xffd93ffa,0x1fffc005,0xb800bffb,0xffffdbdf,0xfff70004,
    0x000fffcc,0xfffb7df1,0xfffb00df,0x007fffff,0x7fffffc4,0x32000fff,
    0x02efffff,0x7fdcdff9,0xfffd9807,0xf51dffff,0x7ffe40df,0xffffffff,
    0xfff88004,0x5efc4003,0x33ea004f,0x7f4402fc,0xffffffff,0x1fffb001,
    0x7fffe400,0x4fffffff,0xc80ffff4,0x04feccef,0xfeccefc8,0xeeffa804,
    0x3e6004ff,0x1fff505f,0x8000fffa,0xffa8ffff,0xf9dffd1f,0x3fffffff,
    0x7feffe40,0xfffb002f,0x2e27f803,0x3f3002ed,0x2e0003ea,0x0f32a2cc,
    0x5c599900,0x654003cc,0x00072e20,0x3224cc98,0x326000cc,0x00016542,
    0x00000000,0xffffffe8,0x3cca86ff,0xf9013326,0xffffffff,0x05fffbff,
    0xffffffd1,0xdfffffff,0x27fe4001,0x0f93dc00,0x80bd36c0,0xfcdffffc,
    0xfb006fff,0x3fa001ff,0xffffffff,0xfd0effff,0x3fa203ff,0x8800efff,
    0x00effffe,0x0dffff90,0xd03ffb80,0x13fea3ff,0x1ffff000,0x3fa3fff5,
    0xfdbdffff,0x7f405fff,0x36004fff,0x00001fff,0x1bab7e00,0x99999880,
    0x99999999,0x0ccccc09,0x01333300,0x00266620,0x09998800,0x02666200,
    0x4c466660,0x99999999,0x00099999,0x00026662,0xfffffff9,0x4cc07fff,
    0xffe88019,0xffffffff,0x903fffff,0x357fffff,0xbfffff75,0x00276c00,
    0x05e9bf98,0x0fe67ee0,0x41ffff98,0xa802fffd,0xfb800aaa,0xa9abffff,
    0xd4ffffeb,0xb8801fff,0xbb88000b,0x776c4000,0x7fec000e,0x322ee881,
    0xff80005e,0x0fec98ff,0xc83ffffd,0x74c06fff,0x54c005ee,0x266000aa,
    0xfff80019,0x3ffa007f,0xffffffff,0x7e46ffff,0xfc802fff,0xff002fff,
    0x40000fff,0x2007ffff,0xf805fffe,0xffffd7ff,0xffffffff,0x7fc00dff,
    0x3e2007ff,0xe9ff8eff,0x3ffe06ff,0x7ffe401f,0xfb99abff,0xf306ffff,
    0x2201bfff,0x001ffffd,0x3ff60000,0x3fa2001f,0x3ff200ef,0x5fff984f,
    0xff880000,0xfb100dff,0x03fc1fff,0x00000000,0x3ffc0000,0xf0000000,
    0xd3fc1fff,0xff107fff,0x000000ff,0x7fffc000,0x3ffea001,0xffd002ff,
    0xffffffff,0xf88dffff,0x7c406fff,0xf5005fff,0x0005ffff,0x5fffff50,
    0x3ffffa00,0xebfffc02,0xffffffff,0x06ffffff,0x5fffff50,0x4bffe600,
    0x1defa8ff,0x403ffff0,0x00dffff9,0x03fffff1,0x001ffffd,0x300dfffd,
    0x75457995,0x00028800,0x3ff60066,0x0ffff02f,0x01acca88,0x007fffec,
    0xfaaffff4,0x56654406,0x80aaaa01,0x2a202aaa,0x26001acc,0x155545ff,
    0x4c055550,0x3ffe1bcb,0x7f49f90f,0xffff01ff,0x5665cc40,0x99731001,
    0x3ffe0035,0x3ff6001f,0xfd006fff,0xffffffff,0x50dfffff,0x6c07ffff,
    0xb000ffff,0x00dfffff,0xfffffb00,0x3fffa00d,0xbfffc06f,0xfffffffe,
    0x6fffffff,0xfffffb00,0x3ffea00d,0x7c001ff1,0x3fa01fff,0x7fec07ff,
    0x7fc45fff,0xff5003ff,0x3f6201ff,0xfcefffff,0x332ea03f,0x555501bc,
    0xff155540,0xffffffff,0x7e40ffff,0x80dfffff,0x003ffff8,0xff7ffff5,
    0x7fffe403,0xfff80dff,0x7fff880f,0xffffff90,0x9ff7001b,0x880ffff8,
    0xfd887fff,0xff8dffff,0x20efb8ff,0xff01fffe,0x3ffea0ff,0x200dffff,
    0xfffffffa,0x7fffc00d,0xffff1001,0xfd003fff,0x555559ff,0x20555555,
    0x980ffffd,0x1003ffff,0x3fffffff,0x7ffc4000,0xe801ffff,0x204fffff,
    0xfffd7fff,0x55555559,0xf1005555,0x03ffffff,0x3e9fff30,0x3ffe000f,
    0xffff101f,0x7fffe407,0x3fe60fff,0x7ffc007f,0xffffa82f,0x4fffffff,
    0xffffff70,0xffff0bff,0x4ffff101,0xffffffff,0x40ffffff,0xffffffe8,
    0x7fcc1fff,0x3fe000ff,0xd103ffff,0xffffffff,0x0ffff83f,0x447fff88,
    0xfffffffe,0x7fec01ff,0x407fffc2,0x7447fff8,0xefffffff,0x8388ffff,
    0xff00fffe,0xffffb0ff,0x01dfffff,0xfffffffb,0x7fc01dff,0xff9001ff,
    0x009fffff,0x0005fffd,0x0bffff10,0x400bfffd,0xfffffffc,0x3ff20004,
    0x804fffff,0x1ffffffe,0x3faffff0,0x400002ff,0xfffffffc,0xffff8804,
    0x3e000ffd,0xff301fff,0x77fe40ff,0x2a2ffff9,0x74007fff,0x7fc43fff,
    0xffecdfff,0xfffa83ff,0x5fffffff,0x4407fffc,0x3ffe7fff,0xccccccdf,
    0x7fe40ccc,0xffffcdff,0x03fffd46,0x03bfffa0,0xcdffffc8,0x7fc6ffff,
    0xfff880ff,0x6ffffe47,0x406ffffc,0x7ffc0fff,0x7fff880f,0x67ffffe4,
    0x0ffffffe,0x403fffa0,0x7fd47fff,0xfffdcfff,0x7fffd45f,0x5ffffdcf,
    0x007fffe0,0x7fdffffc,0xfffe807f,0xff700002,0x7ffdc3ff,0x3ffe000f,
    0x007fffbf,0x3effffe0,0xffe807ff,0xff05ffff,0x0bfffaff,0xffff0000,
    0x200ffff7,0xbffffffc,0x3ffff000,0x41bffee0,0xfff0fffb,0x37ffe47f,
    0x13fff600,0xe83bfffb,0x7fc0ffff,0xffecbdff,0x3fffe1ff,0x27fff880,
    0x8003fffe,0x6c1ffff9,0x3fee2fff,0x7fec006f,0x3ffe605f,0x17ffec1f,
    0xf101ffff,0x7ffccfff,0x17ffec1f,0xff86ff98,0xfff880ff,0x0ffffe27,
    0x01ffffd3,0xf807fff4,0x7fff47ff,0x3fffe60b,0x82ffffa0,0xf00ffff9,
    0xf5003fff,0x3fffadff,0x17fff402,0xfffd0000,0x0ffffe2d,0xd6fffa80,
    0x50005fff,0x3ffadfff,0x7fff402f,0xff82ffff,0x05fffd7f,0x7ffd4000,
    0x005fffd6,0xffffffd1,0xfff803bf,0xbfff901f,0x6c3fff50,0x3ff24fff,
    0x7fe4005f,0x1bffe65f,0x8ffffff6,0xfe85ffe9,0x3fffe3ff,0x27fff880,
    0xe985fffc,0x7ffe41bc,0x25fff984,0x4005fffc,0x3205fffc,0xff984fff,
    0x03fffe5f,0xfc9fffe2,0xfff984ff,0xf09ff705,0xff101fff,0x37ffdcff,
    0x00ffffb8,0x7c03fffa,0x3ffea7ff,0x2159bb06,0xbb06fffa,0x3ffe0159,
    0xfffd801f,0x80dfff73,0x0002fffe,0x2ffffe60,0x4006fffc,0xff73fffd,
    0xffb000df,0x1bffee7f,0xffdfffd0,0x7fff81ff,0x0005fffd,0xb9fffec0,
    0x36006fff,0xffffffff,0x07fffe02,0x262fffec,0x7fe42fff,0x1bfff25f,
    0x49fffb00,0x7e43fffa,0x305fffbf,0x47fff701,0xf880ffff,0x3ffe27ff,
    0x3fffa0bf,0x817ffec3,0x3ff27fff,0x7fec006f,0x3fff604f,0x7cffff02,
    0xff880fff,0x0bfff67f,0xfd83fffc,0x0ffff82f,0x327fff88,0xff103fff,
    0x7ff401ff,0x4ffff00f,0x4004fffb,0x0004fffb,0x200ffffc,0xf10ffff8,
    0x7f403fff,0xeeeeeeff,0x9006eeee,0xffffffff,0x7ffc4003,0x3ffff10f,
    0x7fffc400,0x03ffff10,0x7fcffff4,0xbfffc4ff,0xeeeefffe,0x06eeeeee,
    0x887fffc4,0x2001ffff,0xffffffc9,0x3ffff01f,0x89bfff20,0xffd83fff,
    0x1fffea4f,0x47fffd00,0x3ee2fffc,0x06fff89f,0xffffda88,0x203fffe3,
    0x7e47fff8,0xfffdffff,0xfffff85f,0xffffffff,0x01fffea7,0x407fffd0,
    0xffffffff,0x3e7fffff,0xff880fff,0x3ffffe7f,0xffffffff,0xf01ffd07,
    0xff101fff,0x17ffecff,0x401ffff0,0xff00fffe,0x1fffe4ff,0x0ffff200,
    0x3ffff000,0x45fffb80,0x3a04fffe,0xffffffff,0x007fffff,0x3ffffffa,
    0x7ffdc004,0x027fff45,0xe8bfff70,0x3fa04fff,0xffffa8ff,0x7f5fffe1,
    0xffffffff,0x5c07ffff,0x7ff45fff,0xdff8004f,0xff05ffff,0x3fee03ff,
    0x09ffd17f,0xf98ffffa,0x88080fff,0x3f61ffff,0x45ff52ff,0xda887fff,
    0xffffffff,0x203fffe3,0xfc87fff8,0xffffffff,0xffffff80,0xffffffff,
    0x01ffff30,0x0bfffe20,0xfffffff8,0x0fffffff,0xf101ffff,0x7fffcfff,
    0xffffffff,0x37fc40ff,0x880ffff8,0x3ff67fff,0x3fffe02f,0x03fffa00,
    0xffb3fffc,0xffd8007f,0x7fc0003f,0x7ff401ff,0x3fffdc2f,0xffffffd0,
    0xffffffff,0x7fffd400,0x7f4000ff,0x7ffdc2ff,0x3fffa007,0x03fffdc2,
    0x3fa1fffd,0x5fffe6ff,0xfffffffe,0x07ffffff,0x2e17fff4,0xf8007fff,
    0x07fff98f,0x2a03ffff,0xffe9ffff,0x8bfffe05,0xc83ffff8,0x3fffee1e,
    0x26fffee0,0x3ffe24ff,0x7ffffcc6,0x23fffeef,0xf880ffff,0xffd507ff,
    0x3e03bfff,0xccccdfff,0xf10ccccc,0x2e009fff,0x3e00ffff,0xccccdfff,
    0xff0ccccc,0xfff101ff,0x66ffffcf,0xcccccccc,0xf827fd40,0xff880fff,
    0x0bfff27f,0x200ffff8,0xff00fffe,0x1fffe4ff,0x0ffff200,0x3ffff000,
    0x43fffcc0,0xd02ffff8,0x9999bfff,0x00999999,0x02ffffd8,0x43fffcc0,
    0x802ffff8,0xf887fff9,0xffd02fff,0x3fffe61f,0x3faffff3,0xcccccdff,
    0x2604cccc,0xff887fff,0x866202ff,0x0fff90ff,0x4407fffe,0x5fffffff,
    0x03fffee0,0x441ffffb,0xfff9dfff,0x6fffd46f,0x7ffcc5ff,0x37fffe65,
    0x47fff70b,0xf880ffff,0xaff807ff,0x1ffff400,0x7fffec00,0x7fffc400,
    0x1ffff405,0x03fffe00,0xfe9fffe6,0xf90003ff,0x3fffe05f,0x27fff980,
    0xf304fffb,0x44001fff,0x7dc01bcc,0x59b505ff,0x417ffee1,0xff00acda,
    0x7fe403ff,0xeaaaaaef,0xffd06fff,0x2000005f,0x8007fff9,0xaaaefffc,
    0x06fffeaa,0xaaefffc8,0x6fffeaaa,0x641fffd0,0xfff8ffff,0x005fffd7,
    0x5dfff900,0xfffd5555,0x43fffa0d,0x0fff70ff,0xc807fffe,0x00efffff,
    0x2217fffe,0xb10effff,0xffffffff,0xfffff883,0x23fffe85,0xfb84fffc,
    0x3fffe3ff,0x07fff980,0x64007fc4,0xce985fff,0x7fffc41b,0xfffd301e,
    0xfffc803f,0x21bce985,0xfc81fffd,0x3fff27ff,0x81bce985,0xffb00ffe,
    0xffff903f,0x407fffd4,0x000ffffc,0x817fffe6,0xe80ffff9,0xfff32fff,
    0x5fffd01f,0x807fffe0,0xffffffff,0x1fffffff,0x002fffe8,0xffff3000,
    0xfffff000,0xffffffff,0xfff803ff,0xffffffff,0xfe81ffff,0x7fff40ff,
    0xffd7fffc,0xff00005f,0xffffffff,0x903fffff,0x43fe9fff,0xfff06ffe,
    0x7ffc403f,0xffb101ff,0x3ff203ff,0xfc9acfff,0x904fffff,0x7545ffff,
    0x7ff46fff,0x3fffd81f,0x3207fff6,0x7cc07fff,0xfff8802f,0x3fffa0bf,
    0xfffffb83,0xfffcbabd,0xff8804ff,0x3ffa0bff,0x3bfff23f,0x9ffffea0,
    0x20bffff8,0x7c43fffe,0x3fff207f,0x3fffea0e,0x877fff47,0x0fffffd9,
    0x1ffd9800,0x2fffffa0,0x0ffffc98,0x22fffffa,0x00ffffc9,0x2a03ffff,
    0xffffffff,0x4fffffff,0x002fffe8,0xffff3000,0xffffa800,0xffffffff,
    0x3ea04fff,0xffffffff,0x84ffffff,0x7d40fffe,0xd7ffffff,0x80005fff,
    0xfffffffa,0xffffffff,0xcffff984,0x3fffd9ff,0x803ffff0,0x9bfffffd,
    0xfffffb99,0x7fffec04,0xffffffff,0xfff104ff,0xffffffff,0x4fffe83f,
    0x927fffd4,0x7d41dfff,0x7c407fff,0x320189ef,0xffdfffff,0x3ff605ff,
    0xffffffff,0x9000dfff,0xffbfffff,0xfffb8bff,0xfffffeff,0x7fffe47f,
    0x85ffffdf,0x3ee05ffa,0xfffeffff,0x7fd47fff,0xffffffff,0x90000fff,
    0x7fcc05ff,0xffffffff,0x7fffcc3f,0x3fffffff,0x407fffe0,0xfffffffd,
    0xffffffff,0x02fffe87,0xfff30000,0xfffd800f,0xffffffff,0x3607ffff,
    0xffffffff,0x7fffffff,0xd80fffe8,0xd7ffffff,0x80005fff,0xfffffffd,
    0xffffffff,0xfffff907,0x40dfffff,0x2a01ffff,0xffffffff,0xdfffffff,
    0xffffb800,0xffffffff,0x7fdc3fff,0xffffffff,0xffffc81e,0xfffffece,
    0x3ffffee4,0x7ffffffe,0xfffffc80,0x3ffff200,0x400fffff,0xfffffffb,
    0x8003ffff,0xfffffffc,0xfffd80ff,0xffdaffff,0xfffffc87,0xfc80ffff,
    0x7ffec03f,0xffdaffff,0xfffffc87,0x0fffcbff,0xffeee980,0xfffa806f,
    0x04ffffff,0xfffffff5,0xfff809ff,0xffff881f,0x99999999,0x742ffff9,
    0x00002fff,0x00ffff30,0x4cffffc4,0xf9999999,0xff882fff,0x999999ff,
    0x2ffff999,0x4407fff4,0xd7ffffff,0x40005fff,0x999ffff8,0xff999999,
    0xffe882ff,0x0effffff,0x407fffe0,0xfffdfff9,0xffffffff,0x7f644003,
    0xfcceffff,0xff32ffff,0xdfffd955,0x7fff4409,0xfffcffff,0x7ffffec6,
    0x07ffdaff,0x0dfffc88,0x7ffff540,0xd91001df,0x19dfffff,0x7ff54000,
    0x3201dfff,0xfb1dffff,0x3ffaa0ff,0xfd01dfff,0xfff9003f,0x1fff63bf,
    0x977fff54,0x9800fffc,0x003dffff,0x3fffff62,0x7fec402e,0xf802efff,
    0xffc81fff,0xfffb006f,0xcdfffe8d,0xcccccccc,0xff3000cc,0x7fe400ff,
    0xfffb006f,0x0dfff90d,0xd1bfff60,0x3ee01fff,0xffd7ffff,0x999999bf,
    0x64199999,0xfb006fff,0x7f5c0dff,0xf803efff,0xffd01fff,0x3ffff227,
    0x0000deff,0xfe981a88,0x4c41e46f,0xfffb1000,0x3fff63df,0x6ffffe41,
    0x800fffb1,0x13530000,0x01a98000,0x13530000,0x0000cc00,0x2a004d4c,
    0x00cc002a,0x00026200,0x22000000,0xa880009a,0x3ffe0009,0x3ffff81f,
    0x3ffff500,0x7ffffff4,0xffffffff,0xfff3001f,0x7fffc00f,0xffff5003,
    0x03ffff83,0x43ffff50,0x3a00fffe,0xffd7ffff,0xffffffff,0x7c3fffff,
    0xf5003fff,0xf8803fff,0x3ffe001f,0x209b101f,0x00001a98,0x005d7000,
    0x09988000,0x00033000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffff8000,0x07fffd41,0x49ffff00,0xfffffffe,
    0xffffffff,0xffff3001,0x3fffea00,0x3fffe000,0x03fffea4,0x24ffff80,
    0x2600fffe,0xffd7ffff,0xffffffff,0x2a3fffff,0x2000ffff,0xf804ffff,
    0x3ffe000f,0x0000001f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x7ec1ffff,
    0x7e4005ff,0x3fffa7ff,0xffffffff,0x3001ffff,0x3600ffff,0x64005fff,
    0x3ff67fff,0x7fe4005f,0x03fffa7f,0x3affff90,0xffffffff,0x1fffffff,
    0x800bfffb,0xf807fffc,0x3ffe000f,0x0000001f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x0001ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x50155540,0x33310555,0x01555101,
    0x006665c0,0x44003333,0x4c400999,0x000009aa,0xcccba800,0x4ccc401b,
    0x11999800,0x10001333,0x164c0333,0xcc800e54,0x1ccca8cc,0x09aaa880,
    0x99751000,0x01100057,0x800d54c0,0xccb804cb,0x200f32a2,0x88004ccc,
    0x9100cccc,0x20001999,0x04400008,0x54599700,0x000003cc,0x006665c0,
    0x03999900,0x00cccc88,0x06662000,0x00019998,0x3fe000c4,0xfff880ff,
    0x23fffd87,0x4fffffeb,0x5ffffa80,0x007fffe0,0x9837ffd4,0xfffffffd,
    0xefc8800d,0x2e0bf30b,0xffffffff,0x0bfffa05,0x2effff30,0xe8003fff,
    0xdf100fff,0xf5001fd0,0x17ffa7ff,0xfffffb10,0x7e44007f,0x2fffffff,
    0x7fff6c40,0xfffd101d,0x7fcc01bf,0x24ffe804,0x7dc06ffc,0x5c004fff,
    0x7e404fff,0x36a003ff,0x000dffff,0x1bffffb3,0x364ffe80,0xffb805ff,
    0x200ff11c,0x004ffffb,0x009fff50,0x0013ffee,0x3ffee0cc,0x1bfff500,
    0xfea807d5,0xf802efff,0xff880fff,0x3fffd87f,0xfffffffb,0x7ffc409f,
    0xfff03ffe,0x3fea003f,0xffffb86f,0x1fffffff,0x7ffffe40,0xffa83ffe,
    0xffffffff,0x05fffd05,0xf77fff98,0xcc8807ff,0x3cffffcc,0xfd99df90,
    0x53ffa009,0x2200effa,0xffffffff,0xfffb004f,0x1fffffff,0x3ffffa60,
    0xffe82fff,0x3605ffff,0xffe800ff,0x981bff24,0x01ffffff,0x4013ffe0,
    0xf7007ffc,0x7fffffff,0xfffffb80,0x3fa01fff,0x017ff64f,0xfffffff5,
    0xfff3009f,0xd0005fff,0xfc800bff,0x322000ff,0x07ffdc2f,0xdfffff30,
    0x7fffec05,0x7c06ffff,0xff880fff,0xcfffd87f,0xfffffffe,0xffb01fff,
    0xf03fff17,0x2a003fff,0x7fdc6fff,0xffffffff,0x3fa03fff,0x1ffffebb,
    0xcbdffff8,0xe81ffffe,0x7cc02fff,0x7fff77ff,0xfffff980,0xd105ffff,
    0x001dffff,0x7ff4bff3,0x77ffec01,0x01fffebb,0x55efffd4,0xd06fffdb,
    0xffffffff,0x8b7fd41f,0xff981fff,0x49ffd004,0xfd106ffc,0x01dff53f,
    0x800bff50,0x7dc02ffd,0xffffffff,0xffff901f,0x01ffffff,0xffd93ffa,
    0x6de7ec05,0xe802ffff,0x0fff9aff,0x017fea00,0x801ffe40,0x7dc2fffa,
    0x7fdc00ff,0x3fee00ff,0xffffffff,0x03fffe04,0x361fffe2,0xbeffffff,
    0x5ffffeba,0x3aa4eea8,0x1ffff84e,0x4dfff500,0xbefffff9,0xfffffca9,
    0xbb887901,0x85ffe980,0xfe83fffe,0x7fcc02ff,0x05fff77f,0xffffff98,
    0x5c405fff,0x97b2000b,0xff802ee9,0x3ffe60ff,0x07ffe403,0x2a066fec,
    0xfd9aefff,0x93fee4ff,0xffd82ffd,0xb8000000,0x0fbae3ee,0x40017b60,
    0x7ff405ec,0xfffea9cf,0xdffff886,0x03fffea9,0x112e0000,0xdd500175,
    0x002775c9,0x40001bd9,0xffb005ec,0x07fc985f,0x3fff7fae,0x33fffe06,
    0x0ffffb89,0x101ffff0,0xffb0ffff,0x3f605fff,0x00001fff,0x2003ffff,
    0x3f26fffa,0xff303fff,0x00000bff,0x3ffee026,0x02fffe83,0x363fffcc,
    0xffe8001f,0x0000000f,0x7fffc000,0x013ffe20,0x005bfff9,0x222fffe8,
    0xff90ffff,0x261ffe47,0x000005ff,0x00000000,0xfff98000,0x07fffcc5,
    0xf50ffff2,0x00000dff,0x00000000,0x00000000,0x40bfff60,0x4c77a07f,
    0xff885fff,0x1fffd87f,0x101ffff0,0xffb0ffff,0x7fcc07ff,0x973103ff,
    0x3ffe0359,0xfff5001f,0x02ffff4d,0xa87fffee,0x2aaa02aa,0x7fed4402,
    0xfffe83ff,0x3fffcc02,0x65cc03fe,0x03fffa1b,0x006b2e60,0x006b2e60,
    0xfb2fffec,0xffa805ff,0x01bdffff,0x361bffe6,0x7ff92fff,0x3f627fe4,
    0x2aaa800f,0x554aaaa0,0x4aaaa02a,0x2aa02aaa,0x4055552a,0xd9732aaa,
    0x41ffff05,0xa80ffff8,0xcb98009a,0xcb98001a,0xcb98001a,0xcb98001a,
    0xcb98001a,0x3faa601a,0x3f22acff,0x644cc204,0x7fc42fff,0x2fffb84f,
    0x101ffff0,0xffb0ffff,0xffff00df,0xfffff50b,0xfff81bff,0xfff5001f,
    0x400ba88d,0x3e5ffff8,0xff880fff,0x7fed447f,0x83ffffff,0x4c02fffe,
    0x9fb17fff,0xfffffb10,0x01fffd1b,0x3fffff66,0x7ecc01ef,0x01efffff,
    0x65ffffd4,0xfb007fff,0xffffffff,0x0bfff507,0x3ee9fff7,0x98fff63f,
    0xfff005ff,0xffff101f,0x2203fffe,0xffff7fff,0x2ffff101,0xf880ffff,
    0xff3007ff,0x5fff98df,0x3ff66000,0x401effff,0xffffffd9,0x7fecc01e,
    0x401effff,0xffffffd9,0x7fecc01e,0xc81effff,0xffffffff,0x36206fc8,
    0xfffcffff,0xd86ffe87,0x3ffe07ff,0x7fff880f,0x805fffd8,0x7ec6fffd,
    0xffffffff,0x07fffe0e,0x037ffd40,0x9bfff600,0xf880ffff,0x3ffe67ff,
    0xfffeefff,0x02fffe83,0x7effffcc,0x7ff440df,0xffefffff,0xfff980ff,
    0x3fffffff,0xffffff30,0xd807ffff,0xffffffff,0xfff91001,0x1dffffff,
    0x5427ffdc,0xdff54fff,0xffb0fffc,0x3fffe001,0xf7fff880,0xff101fff,
    0x03fffeff,0x7fdfffe2,0xfff880ff,0xfffea807,0xaa7ffd43,0x7cc01bcc,
    0xffffffff,0xffff303f,0x07ffffff,0x3fffffe6,0xf303ffff,0xffffffff,
    0x3ffe607f,0x3fffffff,0x7fffffe4,0x2a0288ff,0xffffffff,0x7fe43fff,
    0xfffb88cf,0x03fffe05,0x361fffe2,0xfc804fff,0x3ffea6ff,0xffffdcff,
    0x007fffe5,0xa9b7ffd4,0xaaaaaaaa,0xfffcaaaa,0x203fffe7,0xff37fff8,
    0x3ee17bff,0xfffe83ff,0x7fffcc02,0xfff901ce,0xffffd9ff,0xfff881ff,
    0xffffeeff,0x7fffc42f,0xfffffeef,0x3fffe202,0x88001eff,0xffffffdb,
    0x0fffee4f,0xfe97ffea,0x265fffef,0x3fe005ff,0xfff880ff,0x101ffff7,
    0x3ffeffff,0x7fff880f,0xf101ffff,0x7fcc0fff,0xffb83fff,0xfffffdcf,
    0xfffff104,0x5fffffdd,0xefffff88,0x42fffffe,0xeefffff8,0x442fffff,
    0xfeefffff,0x7c42ffff,0xffeeffff,0x3ff22fff,0x00ffffff,0x7fffffc4,
    0x86ffffff,0xfffffffc,0x3ffe00df,0x7fff980f,0x803fffd8,0x3fa6fffc,
    0x3fe60bff,0x3ffff0ff,0x5bffea00,0xfffffffc,0xffffffff,0xffff0fff,
    0x2ffff101,0xfb84fffc,0xfffe83ff,0x3fffcc02,0x33fffe20,0x3ffffa60,
    0x177fff40,0x41ffffb3,0x262efffe,0x880ffffd,0x0ffffffd,0xff730000,
    0x7ffe4dff,0x26fff983,0x0effffe9,0xf8007ff6,0xff880fff,0x01ffff7f,
    0x3feffff1,0xfff880ff,0x101ffff7,0x7d40ffff,0xff903fff,0xffffffff,
    0xdfffd0bf,0x7fffecc5,0x8bbfffa0,0x20ffffd9,0x262efffe,0x3a0ffffd,
    0x3662efff,0x3fa0ffff,0x3f662eff,0x7fec0fff,0x3ff6002f,0xffc88cff,
    0xffc80fff,0xd806ffff,0xffc82fff,0x3fffd87f,0x57fffb80,0x3760dfff,
    0x3ffff0ac,0x5bffea00,0xfffffffd,0xffffffff,0xffff1fff,0x2ffff101,
    0xfd81fffe,0xfffe83ff,0x3fffcc02,0x41bffea0,0x220ffffa,0xfd00ffff,
    0x3ffe27ff,0x7fffd00f,0xfffffe98,0xb88025ff,0xff880eec,0x0ffff67f,
    0x2a1fffe6,0x2ffcc2cc,0x7ffc04cc,0x7fff880f,0xf101ffff,0x3fffefff,
    0xf7fff880,0xff101fff,0x7ffdc0ff,0xfffd84ff,0xfffdadff,0x3fffe22f,
    0x27fffd00,0xd00ffff8,0x3fe27fff,0xfffd00ff,0x03fffe27,0xf89ffff4,
    0xffd00fff,0x2fffd87f,0x3ffff300,0x85ffff10,0xfffffffa,0x7ffe404f,
    0xffff710e,0x07fffb0f,0x2effff70,0x7c004fff,0xf5001fff,0x3ffeedff,
    0xffffffff,0x0fffffff,0xf101ffff,0x3fffafff,0x27fffd44,0x2017fff4,
    0x5c07fff9,0xff103fff,0x7ffd41ff,0x53ffee04,0x2e04fffa,0x3fea4fff,
    0xffffdeff,0xe817bf93,0xffb84fff,0x0ffff25f,0x001bffe6,0x7fdc3ffb,
    0x3ffe0dff,0x7fff880f,0xf101ffff,0x3fffefff,0xf7fff880,0xff101fff,
    0x6d4cc0ff,0x3f20efff,0x7fd43fff,0x13ffea6f,0xf54fffb8,0x7fdc09ff,
    0x09fff54f,0xfaa7ffdc,0x3fee04ff,0x09fff54f,0x3627ffdc,0xf7002fff,
    0x7fe40bff,0x3fffee4f,0x0efffebc,0xdfffff70,0x0fffffff,0x7007fffb,
    0x3ff2dfff,0x7ffc003f,0xfff5001f,0x27bffead,0x99999999,0xff0ffffb,
    0xfff101ff,0x3bffff2f,0x4fffffec,0x402fffe8,0x6c07fff9,0x3fe02fff,
    0x3fff20ff,0x5bffe603,0x2603fffc,0x3ffa6fff,0x3ffff65f,0x540ffff9,
    0xfddfffff,0x3f21ffff,0xfffa83ff,0x97fe6005,0x6ffffffb,0x2203fffe,
    0xffff7fff,0x2ffff101,0xf880ffff,0x1ffff7ff,0x00ffff10,0xf917ffe4,
    0xff883fff,0x7fff90ff,0xcb7ffcc0,0x3e603fff,0x7fff96ff,0xcb7ffcc0,
    0x3e603fff,0x7fff96ff,0x237ffcc0,0x9002fffd,0x7d407fff,0xdfff15ff,
    0x02fffd81,0x3ffffff6,0xd87ffdaf,0xfc803fff,0x7fffb6ff,0x1ffff800,
    0x2dfff500,0x800ffff8,0x3fe7fffc,0xfff880ff,0xfffffd17,0x0dfff9ff,
    0xa805fffd,0x7ec06fff,0x3ffa02ff,0x0bfff60f,0xfb7fff98,0x7fcc05ff,
    0x8ffff17f,0xffffffe8,0xffff705f,0x87ffffff,0xfa84fffb,0x3f6004ff,
    0x22bffe1f,0xffff2ffe,0x2ffff101,0xf880ffff,0x1ffff7ff,0x3effff10,
    0xff880fff,0x3fea007f,0x1bffee5f,0xfd8ffff4,0x3fe602ff,0x05fffb7f,
    0xfdbfffcc,0x3fe602ff,0x05fffb7f,0xfdbfffcc,0x3fe602ff,0x17ffec7f,
    0x03fffd80,0x7d5bffe6,0xfff983ff,0x7fffe405,0xb0fffb1d,0xf9007fff,
    0x3fff2dff,0x7fffc003,0xa83eeca9,0x3ffe5fff,0xfffe802f,0x203fffe5,
    0x3627fff8,0xfb1effff,0xfffd83ff,0x37ffd403,0x80ffff20,0x3ee0ffff,
    0x3fea03ff,0x07fff75f,0xfbafffd4,0xfff984ff,0x2602ffff,0xdffffffd,
    0x85fffa81,0x3004fffb,0x37fccbff,0x3ffe9ff7,0x7fff880f,0xf101ffff,
    0x3fffefff,0xf7fff880,0xff101fff,0x7fc400ff,0xffff50ff,0x5cbfff20,
    0x3ea03fff,0x7fff75ff,0xbafffd40,0x3ea03fff,0x7fff75ff,0xbafffd40,
    0x3ea03fff,0x7ffec5ff,0x9fff9002,0xcafffd40,0xfff01fff,0x3a06200f,
    0x7fffb01f,0x29fffd00,0xb505fffb,0x3fffe159,0xb85fffb9,0x3ff64fff,
    0x7ffd406f,0x03fffe2f,0x221fffe6,0x827e4099,0x6c06fffc,0x7dc05fff,
    0xfff104ff,0x2fffcc1f,0x269fff90,0x3f205fff,0x9fff94ff,0x3ffffea0,
    0x3bfb2006,0x1bffe602,0x400ffff2,0x3fea1ffd,0x7fd7fea5,0xfff980ff,
    0x301ffff7,0x3ffeffff,0x7fff980f,0xf301ffff,0x3fbaefff,0x27fffa81,
    0xe81ffff9,0xfff30fff,0xa7ffe40b,0x3205fff9,0xfff34fff,0xa7ffe40b,
    0x3205fff9,0xfff34fff,0x27ffe40b,0x400bfff6,0x3205fffb,0xfffb4fff,
    0x0ffff107,0xb01ff800,0xf8807fff,0xfff33fff,0x5fffd01f,0x3ea7fffe,
    0x7fec0fff,0x3fffe23f,0xdffff304,0xc81fffd8,0x6c007fff,0xffff503f,
    0x3fffe609,0x7fffd403,0x0ffffc80,0x207fffe2,0xf12ffff8,0xff103fff,
    0x3ffee5ff,0xffffd107,0x3bba003d,0x3ffa05ff,0x3fffe21f,0x45ff9800,
    0x3fea5ffa,0x903fffb6,0x3ff6ffff,0x7fffc81f,0xf903fffb,0x3fff6fff,
    0x97fffc81,0xff90bfff,0x4fffe8bf,0xf13fffc4,0xff103fff,0x3ffe25ff,
    0xffff881f,0x03ffff12,0x225ffff1,0xf881ffff,0xfff12fff,0xffff103f,
    0x02fffd85,0x03ffff30,0x2e5ffff1,0xffb86fff,0x3e20005f,0x7fffb02f,
    0xffd9ac88,0x3fffa1ff,0xfffc98bf,0x13ffff0f,0xd79fffff,0xfa83ffff,
    0xcaabefff,0x641fffff,0x3ea0efff,0x74007fff,0x3fffa04f,0xffdbacef,
    0xfe800fff,0xffb31eff,0xffd81fff,0xffc89cff,0x7ffec5ff,0xfffc89cf,
    0x3fffe65f,0xffff512d,0x8007ffff,0xff701ffb,0xfff913bf,0x07ff6009,
    0x7fdcbff3,0x41dfff95,0xf97ffffa,0x7fd41dff,0xdfff97ff,0xbffffd41,
    0x2a0efffc,0xff37ffff,0xff9339ff,0xfffa87ff,0xfffea8cf,0x67fffec4,
    0x5ffffc89,0x4e7fffec,0x45ffffc8,0x89cffffd,0x6c5ffffc,0xc89cffff,
    0x7ec5ffff,0xfc89cfff,0xffc85fff,0xfc8018cf,0xfc89cfff,0x3fe65fff,
    0xfff71cff,0xff80007f,0x3ff6131e,0x7fffe43f,0x7fcc4fff,0xffffffff,
    0x47fffe3f,0xfffffffc,0xff903fff,0xffffffff,0xfff707ff,0xfffffdff,
    0xffd800ff,0x7ffd4132,0xffffffff,0xff5004ff,0xffffffff,0xfe881fff,
    0xffffffff,0x7ff440ff,0xffffffff,0x7fffe40f,0xffffffff,0x004fffff,
    0x7c403ff6,0xffffffff,0x5ff9801f,0x3f27ff88,0xfffff74f,0xfffffffd,
    0x3bffffee,0x77ffffff,0xffdfffff,0x3eefffff,0xfffeffff,0x3ff27fff,
    0xffffffff,0xfffffd05,0x881fffff,0xfffffffe,0x7440ffff,0xffffffff,
    0x7f440fff,0xffffffff,0x7ff440ff,0xffffffff,0x7fff440f,0xffffffff,
    0xfffffb80,0x7ffc401f,0xffffffff,0x7fffe40f,0x06ffffff,0xffffc800,
    0x87fffb1f,0x6fffffff,0xffffff50,0xfff89fff,0xffffd11f,0xd80bffff,
    0xffffffff,0x3ff602ff,0xfdafffff,0x7fd4007f,0x7fd43fff,0xffffffff,
    0x7fdc004f,0xfcbfffff,0xffd880ff,0x1effffff,0xfffffb10,0x3203dfff,
    0xffffffff,0xefffbaff,0xffddd500,0xfff9809f,0x003fffff,0x3f603ffb,
    0x20fffcef,0xfffffffd,0x3f67ffda,0xdaffffff,0x3fff67ff,0xffdaffff,
    0x3fffff67,0x47ffdaff,0xfffffffd,0xffb100df,0x03ffffff,0x3fffff62,
    0xb101efff,0xffffffff,0x3ff6203d,0x1effffff,0xfffffb10,0x2203dfff,
    0xfffffffd,0xfff301ef,0xd3005fff,0xffffffff,0x3fff603d,0x01ffffff,
    0xfffc8800,0x47fffb0d,0xeffffec8,0x3fff6201,0xfff82eff,0x7fffdc1f,
    0xea800cff,0x0cffffff,0xdffffc80,0x000fffb1,0x103dffd7,0xffffffd9,
    0x3a60003b,0xff92efff,0x7fedc01f,0xb7004eff,0x009dffff,0xffffffd3,
    0x00ff4c19,0x05bfffd5,0x3ffff620,0xbff3001e,0x7ffff440,0xffffc83f,
    0xc8fffb1d,0xfb1dffff,0xffffc8ff,0xc8fffb1d,0xfb1dffff,0xffff50ff,
    0x3f2007ff,0x800dffff,0x4effffdb,0xffffb700,0x3f6e009d,0x7004efff,
    0x09dffffb,0x3ffff6e0,0xfffa804e,0x3ae002ff,0x804fffff,0xcfffffea,
    0x01800000,0x0004cc00,0x000026a2,0x80006662,0x300009a9,0x04000003,
    0x0026a600,0x00098800,0x00013300,0x980004cc,0x000c009a,0x01330000,
    0x401eec80,0x401cedb8,0x03300019,0x40006600,0x26200019,0x35100009,
    0x004cc000,0x00013300,0x300004cc,0x4cc00013,0x00998000,0x00266200,
    0x0006a620,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x39711aaa,
    0x0b332e00,0xca88aaaa,0x2ccb801b,0xb801332a,0x20000ccc,0x4401cccc,
    0x8000cccc,0x01accb98,0x22000980,0x202c983c,0x33263cca,0x70000004,
    0x20001999,0x6402cccb,0x30001ccc,0x50000355,0x5c007999,0x97000ccc,
    0x01665439,0x33035510,0x33333333,0xcca80333,0x40333222,0x2a6002a8,
    0x002a8801,0x32a006a6,0x0133263c,0x55100026,0x06aa6000,0xca8b32a0,
    0x3220003c,0x98800ccc,0x46fffc19,0x4c05ffff,0xfff05fff,0x3ffffeed,
    0x97ff601f,0xf7007ffc,0x2000bfff,0x7004fffa,0xa8009fff,0xdfffffff,
    0x7fff5400,0x81fd004e,0x3ff201fd,0x803ffea6,0x3fa1cfeb,0x7fffd400,
    0xfff98006,0x5fffa805,0x3fffaa00,0x20002eff,0x5001fffe,0x200dffff,
    0xffa8effa,0xfffb800f,0xfff0dfff,0xffffffff,0x7fec03ff,0xd81ffe63,
    0xff8800ff,0x00ffd801,0x8801ff88,0xffe8affe,0xdfff9102,0x00ff6007,
    0xfffffe98,0x3ffe202e,0x001fff88,0x00ffff20,0xff07fff4,0x5ffffddf,
    0x00effd80,0xfff9dfff,0x201fffff,0x3ff25ffd,0xffff9807,0xfe8002ff,
    0x7fdc005f,0xfffb000f,0x1dffffff,0xfffffb10,0xfa801dff,0x405febce,
    0x3fea6ffc,0xffff300f,0x880dfdff,0x03ffefff,0x0037fec0,0x5003fff5,
    0xffffffff,0xff50003f,0x3fe2003f,0x9003ffef,0x05fffbff,0xffffffb0,
    0xffff3fff,0xffffffff,0x17ff403f,0xfd30dff7,0x9f9001ff,0x0fffe980,
    0x2004fc80,0x5ffdfff9,0x3fb7ff20,0x07fcc00f,0xfffff980,0x2e03ffff,
    0x03ffeeff,0x13ffe200,0x20fffe80,0xffffffff,0x077fc407,0xbffffff0,
    0x09ffffb7,0xffc97ff6,0x9affe807,0x2a000fff,0xf90005ff,0xfff5007f,
    0xffffb9ff,0xfffff90b,0x801fffff,0x01effffd,0xff537fe4,0x2f7ee01f,
    0x403ffffd,0xfff8bffd,0x1dff3001,0x04ffb800,0x6f7fffcc,0x8006ffff,
    0x36002ffe,0x1fff8bff,0x9ffffd00,0xfffffb00,0xffffffff,0xffffffff,
    0x3e203fff,0x13ff60ff,0x01fffff9,0x3200ff98,0x400fffff,0x5c000ff9,
    0x100effff,0x13fe27fd,0x26005fd0,0xffefffff,0x3f601fff,0x40005fff,
    0x74004ffb,0x3ffe0fff,0x40298aff,0x7fc00deb,0x7fec1fff,0x2000005f,
    0x3bae4eea,0x037b2004,0x805ec800,0x260bfffe,0x3e60ffff,0xffc9cfff,
    0xbb8804ff,0x70000001,0x400ba819,0x3baa5ee9,0x01bd7005,0x8037ae00,
    0x3e65fffc,0x26000fff,0x3aa002ee,0x013baa5e,0x402f774c,0x9bfffff9,
    0xfffffeb9,0xaaaaaaae,0xfff300aa,0x7e42ffe8,0x6c00ffcb,0x65fe403f,
    0x1fec00ff,0x1eeed800,0x0bff2a00,0x32006fa8,0xfb10dfff,0x76c40bff,
    0x6c0000ee,0xccb8004e,0x17fffe0c,0xfff80000,0x6fff983f,0x00000000,
    0x00000000,0x41bffea0,0x3f20acdd,0x7ffd43ff,0x0000000f,0x00000000,
    0x00000000,0x07fffa00,0x0000ffff,0x00000000,0x3bfff600,0xbffffb00,
    0x5ffb8000,0x4307ffe2,0x3ea00ffc,0x3ff21807,0x001fea00,0x3fe20000,
    0x00ff404f,0x981fffd0,0x00007fff,0x00000000,0x4003ffff,0x01accb98,
    0xf103ffff,0xca880fff,0x544001ac,0x44001acc,0x4001acca,0x201acca8,
    0x8004fffb,0xff81fffe,0x32ea03ff,0x75001bcc,0x20037999,0x01bcccba,
    0x37999750,0x3332ea00,0x9975001b,0x3ffa0379,0x17ffea0f,0x5e65d440,
    0x32ea2002,0x2a2002bc,0x2602bccb,0x2202ffff,0x4005ffff,0xffffeeec,
    0xeefffeee,0x200ffc80,0x7e4002fe,0x00bfa00f,0x5e665d40,0xffed9801,
    0x400bf703,0x5706fff8,0x01555413,0x2a605555,0x5d41accc,0x2aaa00bc,
    0x03fffe0a,0x7ffffd40,0x7ffc0dff,0x7fff881f,0x3fffff20,0xffc800df,
    0x800dffff,0xdffffffc,0xffffc800,0xffc80dff,0xfff8003f,0x09fffb07,
    0xfffffff7,0x7ffdc0bf,0x205fffff,0xfffffffb,0x3ffee05f,0x205fffff,
    0xfffffffb,0x3ffee05f,0xf85fffff,0x3ff60fff,0x7fe4402f,0x02ffffff,
    0x3fffff22,0x32202fff,0xffffffff,0x06fffb82,0x005fffd8,0x7fffffec,
    0xffffffff,0x00ffc80f,0xf9000df7,0x01bee01f,0x3ffffee0,0x36005fff,
    0x01ff887f,0x0037ffc0,0x2203fffe,0x7f4c7fff,0xadffffff,0x3ffffffe,
    0x3e0fffe8,0xfd800fff,0xffffffff,0x03fffe0e,0x7443fffc,0xffffffff,
    0xfffd101f,0x03ffffff,0x3fffffa2,0xd101ffff,0xffffffff,0x3fffd83f,
    0x0ffff800,0x545fffc8,0xffffffff,0xfffa85ff,0x5fffffff,0xffffffa8,
    0xfa85ffff,0xffffffff,0xffffa85f,0x85ffffff,0xfffffffa,0x7ffc5fff,
    0x01bffe67,0x3ffffff6,0xfb00ffff,0xffffffff,0x3fff601f,0x0fffffff,
    0x402fffe4,0x4005fffb,0xfffffffd,0xffffffff,0x880ffc80,0xfc8001ff,
    0x01ff880f,0x7ffffd40,0x445fffff,0x03ff62ed,0xfb0009f9,0x7fc001ff,
    0xfff880ff,0x3ffffe67,0xffffffff,0x43ffffff,0x3fe0fffe,0xfffa807f,
    0xffffdcff,0x403fffe5,0xffc87fff,0xffffcdff,0xbffff906,0x20dffff9,
    0xfcdffffc,0xff906fff,0xffff9bff,0x03fffc8d,0x82fffe80,0x7fc6fffe,
    0xffecbdff,0x7fffc1ff,0xffffecbd,0x5effffc1,0x41ffffec,0xecbdffff,
    0x7fc1ffff,0xffecbdff,0x7fffc1ff,0xffffecbd,0xfc9fffe1,0x7fd403ff,
    0xffdbabdf,0xdfffa86f,0x6fffdbab,0xabdfffa8,0x6c6fffdb,0xfa804fff,
    0xeeeeefff,0x2aa62eee,0xfaaafffc,0xf902acff,0x00bf901f,0x3203ff20,
    0xfff8005f,0xfffecbdf,0x65fff41f,0x07fcc4ff,0xfffb3100,0x7c033337,
    0xff880fff,0x3bfff67f,0xfffffebc,0xffffcbdf,0xf83fffa2,0xffe807ff,
    0x3ffe60bf,0x01ffff0f,0xff31fffe,0xfffd83ff,0x0ffffcc2,0xf30bfff6,
    0xffd83fff,0x7fffcc2f,0x717ffec1,0x36a0bfff,0x3fff20ac,0x3ffffc44,
    0xfd0bffd3,0x7ff4c7ff,0x23fffe85,0xfe85ffe9,0x3ffa63ff,0x23fffe85,
    0xfe85ffe9,0x3ffa63ff,0x23fffe85,0x3ffa7fff,0x7ffe404f,0x40cdfd80,
    0xfd80fffc,0x7ffe40cd,0x20cdfd80,0x9803fffe,0xffffffff,0xf702ffff,
    0x0fffc4bf,0xf103ff20,0x3f20001f,0x007fc40f,0x217ffa60,0x7cc3fffe,
    0x6c0effff,0x7ff4003f,0x7fffffff,0x203fffe0,0xfd17fff8,0xffffb0df,
    0x27fff889,0x3fe0fffe,0x7ffd407f,0x2159bb06,0xff00ffff,0x4fffc8ff,
    0x645fff98,0xff984fff,0x27ffe45f,0x322fffcc,0xff984fff,0x3fffe65f,
    0x22fffe80,0xb9dffff8,0x307fffff,0x07fff701,0x3ffee026,0xff701303,
    0x2e02607f,0x01303fff,0x2607fff7,0x23fffb80,0x3ff27fff,0x3ff202ff,
    0x7e4002df,0x64002dff,0x2002dfff,0x9803ffff,0xffffffff,0xfb02ffff,
    0x03ffcc7f,0x3f606654,0x54009884,0x027ec0cc,0x404c0553,0x9303fffb,
    0x40df5017,0x7fff42a9,0x07ffffff,0x2203fffe,0x80987fff,0xa80ffffa,
    0xfffd2fff,0x203fffc1,0x4004fffb,0xff00ffff,0x2fffd8ff,0xfd8ffff0,
    0xffff02ff,0xf02fffd8,0xfffd8fff,0xe8ffff02,0xc98bffff,0x7dc0ffff,
    0xffffffff,0xda8807ff,0x8803ffff,0x03ffffda,0xffffda88,0xffda8803,
    0xda8803ff,0x8803ffff,0x23ffffda,0x3fe27fff,0xff501fff,0x037bffff,
    0xffffffa8,0x7fd401bd,0x01bdffff,0x2013fffa,0xeeeffffa,0xd02eeeee,
    0x2ffdc5ff,0x41ff3000,0x03dfffe9,0x8807fcc0,0xb51005ff,0x0007ffff,
    0x7fc40bfa,0x7fffff45,0x3e07ffff,0xff880fff,0x7654407f,0xff306fff,
    0x83fffa9f,0x7e407fff,0x7fc003ff,0xffff00ff,0xfffffff8,0x47ffffff,
    0xffffffff,0x7c7fffff,0xffffffff,0x7fc7ffff,0xffffffff,0x7fcc7fff,
    0xffffffff,0xffff703f,0x0dfff7ff,0xfffffb51,0xb5107fff,0xffffffff,
    0xfffb5107,0x107fffff,0xffffffb5,0xfb5107ff,0x7fffffff,0xffffb510,
    0x7fc7ffff,0x7fffcc7f,0xffffb00f,0x407fffff,0xfffffffd,0x3ff603ff,
    0x3fffffff,0x804fffd8,0x4005fffa,0xabfffba9,0x2aadffda,0x3a1ff400,
    0x01fffeff,0x7440ffa0,0xfb5105ff,0x7fffffff,0x20df7000,0x3605ffe8,
    0xff000fff,0xfff101ff,0xffffb50f,0xffffffff,0x2bffffff,0x3fe0fffe,
    0x7ffec07f,0x7fffc003,0xf8ffff00,0xffffffff,0x3e0fffff,0xffffffff,
    0x3e0fffff,0xffffffff,0x3e0fffff,0xffffffff,0x540fffff,0xffffffff,
    0x6edcc04f,0x45fff98c,0xeffffff9,0x7cc3fffe,0xfeefffff,0x7ffcc3ff,
    0xfffeefff,0x7ffffcc3,0x43fffeef,0xeffffff9,0x7cc3fffe,0xfeefffff,
    0x1fffe3ff,0x41bfffea,0xffffffc8,0xc880efff,0xffffffff,0xffc880ef,
    0xefffffff,0x017ffee0,0x0017fff2,0xfffffffb,0xffffffff,0x31bea001,
    0x17fe27ff,0xfb037d40,0xfff30bff,0xfffddfff,0x1ff88007,0x40bfffb0,
    0x3e007fff,0xff880fff,0x3fffa67f,0xffffefff,0xffffffff,0x41fffd5f,
    0x7e407fff,0x7fc003ff,0xffff00ff,0xccdffff8,0x0ccccccc,0x3337fffe,
    0x0ccccccc,0x3337fffe,0x0ccccccc,0x3337fffe,0x0ccccccc,0xfffffd88,
    0x3ee0002e,0x3ffe64ff,0xfff70bdf,0x6ffffcc7,0x47fff70b,0x0bdffff9,
    0x7cc7fff7,0xf70bdfff,0x7ffcc7ff,0xfff70bdf,0x6ffffcc7,0x47fff70b,
    0xff507fff,0x6dc407ff,0x4fffffff,0x3fff6e20,0x2204ffff,0xffffffdb,
    0x3fffea4f,0x2ffff400,0x3ffff600,0xffffffff,0xfd000fff,0xf10a9885,
    0x0bfa00bf,0x22ff77dc,0x0bdffff9,0x8007fff7,0xddf705fc,0x3ffe60bf,
    0x3fffe006,0x17fff880,0x237ffffd,0xcccefffa,0xd3cccccc,0x66441fff,
    0x3ffee01b,0x0159b505,0x23fffc40,0x8003fffe,0x8003fffe,0x8003fffe,
    0x0003fffe,0x002efda8,0xfffb0131,0x427ffe47,0x3f23fffb,0xfffb84ff,
    0x213fff23,0x3f23fffb,0xfffb84ff,0x213fff23,0x3f23fffb,0xfffb84ff,
    0xb81fffe3,0x26005fff,0x006ffffb,0x1bfffee6,0xffffb980,0x0ffffe26,
    0x05ffff98,0x77fff640,0xeefffeee,0x5fb800ee,0x005ffb00,0x3fea0bf7,
    0x7fe45fd8,0x3fffb84f,0x203fe200,0x05fd8ffa,0x4003fff9,0xf980ffff,
    0xbfff57ff,0x01ffff70,0x307fff40,0x260bffff,0xfe80ffff,0x3ea002ff,
    0x7ffe47ff,0x41bce985,0xe985fffc,0x7ffe41bc,0x41bce985,0xe985fffc,
    0x777401bc,0x3fee05ff,0x3fffc44f,0x3607fffa,0x3ffa3fff,0x3fffd81f,
    0x3607fffa,0x3ffa3fff,0x3fffd81f,0x3607fffa,0x3ffa3fff,0x3fffd81f,
    0xf881fffe,0x3b2e27ff,0x7fff880e,0x203bb2e2,0x2e27fff8,0xff880eec,
    0x7fffe47f,0xfffff881,0x5fff0005,0x4002ffdc,0x74401ff8,0xff8804ff,
    0xfb2ff981,0x81fffe8b,0x2003fffd,0x2ff984fd,0xfff70bfb,0xfffd8009,
    0x97fffc81,0xff905fff,0x59b707ff,0x203fffa1,0xfd01ffd9,0xf9317fff,
    0x99001fff,0xf88dffff,0x3fa0bfff,0x7ffc43ff,0x3fffa0bf,0x5ffffc43,
    0x10ffffa0,0x7417ffff,0x2e003fff,0xfff301ff,0xffff715f,0x44fffe87,
    0x3a4ffffa,0x7fd44fff,0x3fffa4ff,0x27fffd44,0xfa89fffd,0x3ffa4fff,
    0x7fffd44f,0x513fffa4,0x7fc9ffff,0x7dcf627f,0x7fff46ff,0x45fffb84,
    0xfb84fffe,0x7fff45ff,0x45fffb84,0xbdfffff8,0xffffffdb,0xccccccce,
    0x3ffe22cc,0x0013ff20,0xff3013f2,0x13f2009f,0x7f6677f4,0x9fffd1cf,
    0x04ffffa8,0xfd01ff30,0x39ffd99d,0x3fbfffee,0x5ecabcef,0xa83bfff2,
    0xff97ffff,0xffff98bf,0x3ffea2ef,0x01fffd2f,0x7cc07ff6,0xffffffff,
    0xfff003ff,0xff909fff,0xffffbfff,0x3ffff20b,0x05ffffdf,0xfbfffff9,
    0x3f20bfff,0xfffdffff,0x7fec005f,0x3ffffa00,0x40ffffff,0xeceffffc,
    0x324fffff,0xfeceffff,0x3f24ffff,0xffecefff,0x3ff24fff,0xfffeceff,
    0x3fff24ff,0xffffecef,0x3ffff24f,0xfffffece,0x7d5fffe4,0x3fffffff,
    0x6fffffd4,0x41fffffd,0xddfffffa,0x541fffff,0xfddfffff,0xfc81ffff,
    0xffffffff,0xffffffef,0x4fffffff,0xffd1ffea,0x0ff88005,0x00bffe60,
    0xff807fc4,0x2fffffff,0xd9dffff9,0x009fffff,0x7ffc0ffa,0x72ffffff,
    0xffffffff,0x21ffffff,0xfefffffb,0xf57fffff,0xffd9dfff,0xfdffffff,
    0x7f4bffff,0xfeeea8ff,0x7fd405ff,0x4fffffff,0xfffff100,0x3fff201d,
    0x00ffffff,0x3ffffff2,0x3f200fff,0xffffffff,0x3ffff200,0x200fffff,
    0x4fffeeea,0x7ffffc40,0xe880efff,0xcfffffff,0x3fa26fff,0xfcffffff,
    0x3ffa26ff,0xffcfffff,0x3fffa26f,0xfffcffff,0x3ffffa26,0x6fffcfff,
    0x3fffffa2,0x26fffcff,0xffd17fff,0x2e0dffff,0xffffffff,0xfff703ff,
    0x7fffffff,0x3ffffee0,0x203fffff,0xfffffffb,0xfffff8ef,0xffffffff,
    0xff17fee4,0x3fd8001f,0x33bffe20,0x0ff603cc,0xfeaaaaa8,0xfffd10ae,
    0xfff9ffff,0x40df500d,0xefeaaaaa,0xfffff10a,0xffffffff,0x7fffec9f,
    0x7ffdafff,0x3ffffff6,0xfffeadff,0x20efffff,0xffa8fffe,0xb1003dff,
    0x05dfffff,0x6ffffcc0,0x7fff5401,0xea801dff,0x01dfffff,0xfffffea8,
    0xffea801d,0x5401dfff,0x002dfffe,0x9fffffb1,0xffffd880,0x43fffb1e,
    0x1effffd8,0x6c43fffb,0xfb1effff,0x7fec43ff,0xfffb1eff,0x7fffec43,
    0x43fffb1e,0x1effffd8,0x3fe3fffb,0x3fff627f,0x7fecc04f,0x401dffff,
    0xffffffd9,0x7fecc01d,0x801dffff,0xdfffffd9,0xfffffff0,0x49ffffff,
    0x3fe63ffd,0x07fcc007,0xffffff70,0x03fe60df,0xb10bfb00,0x363dffff,
    0x7f401fff,0x42fec002,0xdba9adfc,0x43effffe,0xb1dffffc,0x7fe44fff,
    0x7dc2dfff,0xe83fffff,0x00000fff,0x00004d44,0x2a600031,0x35300009,
    0x26a60001,0x13530000,0x88000000,0x4c4000a9,0x99880009,0x09988000,
    0x00998800,0x00099880,0x00009988,0x26000660,0x33000199,0x26600033,
    0x2a600019,0xaa800000,0x00aaa20a,0xcb805d90,0x03cccccc,0x970005d9,
    0x004cc407,0x0009d500,0x80110797,0x0cc00998,0x800a9800,0x00001998,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x53000000,0x55440355,0x2ea6002a,
    0xca8001ab,0x00f32a2c,0xa986f2e6,0x3310002a,0xbba98003,0x2666001a,
    0x2aa00001,0x4ccc402a,0x21999800,0x300004cc,0x54c00333,0x00009aaa,
    0x00055544,0x026aaa20,0x15553000,0x31199880,0x13331033,0x0ccc4000,
    0x2ccc9800,0x00666200,0x00019988,0x20026662,0x32201999,0x44000ccc,
    0x99999999,0x99999999,0xccca8099,0x002ccccc,0x00199991,0x2cca8066,
    0x2a20f326,0x555301aa,0x817ffee3,0x4404fffb,0xfffffffc,0xff1000be,
    0x03fff11f,0x7ffffec4,0x00fffc8d,0x00fffe80,0x7ffffe44,0x7c00beff,
    0x200007ff,0x7f407fff,0x7fcc02ff,0x003ffa7f,0x0ffff300,0xfffffd98,
    0x2000cfff,0xffffffda,0xfb1001df,0x3dffffff,0x7ffecc00,0xfd03ffff,
    0x3fff53ff,0x004fffc8,0x003fffa0,0x1fffff10,0x03fffa00,0x007fff40,
    0x02fffe80,0x903fffcc,0x90005fff,0xffffffff,0xffffffff,0xfff90bff,
    0x009fffff,0x200ffff2,0x3e202fc8,0x1fff89ff,0x904fffa8,0x3fe27fff,
    0xfffd00ff,0x7fffdc03,0xfffffddf,0xddff7001,0x7f4407ff,0xdeffffff,
    0xe8000fff,0x3ee00fff,0xffddffff,0x3fe01fff,0x3e00007f,0x7ff407ff,
    0x7ffcc02f,0x000bff27,0x40ffff30,0xfffffffb,0x802fffff,0xfffffffc,
    0x4c04ffff,0xffffffff,0xfb805fff,0xffffffff,0x7fff41ef,0x641fffa9,
    0x20004fff,0x4000fffe,0x05ffeffd,0x801fffd0,0xccffffca,0xffd001cc,
    0xfff9805f,0x07fff107,0xfffff100,0xffffffff,0x0bffffff,0xfffffff9,
    0xfff1009f,0x5fff5007,0xfeeffa80,0x9fff503f,0xd8ffff20,0xff883fff,
    0x3bff606f,0xffeb981b,0xffffb003,0xffffc80b,0xfffffecf,0xffe8000f,
    0x7dffb00f,0x7ffd7303,0x001fffe0,0x407fff80,0x4c02fffe,0x3fea7fff,
    0x7fcc0004,0xffffb07f,0xffffffff,0x3fa205ff,0xffffffff,0x980effff,
    0xffffffff,0x203fffff,0xfffffffe,0x747fffff,0xfffa9fff,0x027ffe41,
    0x01fffd00,0xfeaffdc0,0xfffe803f,0x7fffe400,0x402fffff,0xacfffeaa,
    0xfbaaaaaa,0x7e42afff,0xff90004f,0xffffffff,0xffffffff,0x333310bf,
    0x70013333,0x3f2009ff,0xffd802ff,0x3fea06ff,0x7fff904f,0x5c2fffd4,
    0xff903fff,0x3ffa200b,0xeeed8802,0x3fffe200,0x7ffff4c3,0xfffe8000,
    0x005ffc80,0xff05ffd1,0x740000ff,0x7ff406ee,0x7ffcc02f,0x001bfe27,
    0x70ffff30,0x359fffff,0xfffffd95,0x3fffff20,0xffeba9ab,0xfffc84ff,
    0xffb989be,0xffb80fff,0xfc99beff,0x3fa3ffff,0x0fec99ff,0x2a27ffe4,
    0x1fffd002,0x437b6200,0x7400ded8,0x7e400fff,0xffffffff,0x7ffffc02,
    0xffffffff,0xffffffff,0x40013b60,0xff0ffff8,0x555557ff,0x00035555,
    0x00276c00,0x1005fff9,0x5401dddb,0xff904fff,0x0ffff87f,0x5407fff4,
    0x1bb985ff,0x0007ff44,0x1bffea00,0x007fffd4,0x207fff40,0x55555ffa,
    0xffe88355,0x003fffc0,0xffe80000,0x7ffcc02f,0x0007ff47,0x88ffff30,
    0x201effff,0x542ffffd,0x100dffff,0xe83ffffb,0xff501fff,0xfff885ff,
    0x3fff604f,0x43fffd0f,0x7ffe40fe,0x7400bee4,0x00000fff,0x07fff400,
    0x00fffe80,0x7fffffc0,0xffffffff,0x0fffffff,0x3fee0000,0x07fffe5f,
    0x80aaaa00,0x00002aaa,0x59fffd53,0x7d400005,0xfff904ff,0x23fffc87,
    0xfd06fff8,0xfffff98b,0x017fa21f,0xb806b2e6,0x3fe03fff,0x797300ff,
    0x207fff43,0x3fffe5fe,0x3a21ffff,0x33fffc5f,0xc8003797,0x7ff406ee,
    0x7ffcc02f,0x0017fe47,0xc8ffff30,0x4400ffff,0x7f44ffff,0xfe800fff,
    0x3ffe26ff,0x3fffa00f,0x037ffe44,0x74ffffe6,0x0bf71fff,0x3f69fff9,
    0xfffd002f,0x81555411,0x5501aaa8,0x03fffa55,0x887fff40,0xd5501bca,
    0x55559fff,0xffff7555,0x0aaaa855,0x0ffffc00,0x0003ffff,0xf101ffff,
    0x8aaaafff,0xc80abca8,0xffffffff,0x54455550,0xffa80abc,0x7fff904f,
    0x2e5fff98,0xff983fff,0x2f3ffe20,0x3fe60efe,0xffffd980,0xffc81eff,
    0x3fffa02f,0x7fffec40,0x0fffe8df,0xdff83fe6,0x4c7ffccc,0x5fffe0ff,
    0x0dfffffd,0x80fffd00,0x4c02fffe,0x7fd47fff,0x3fe60004,0x27fffc7f,
    0xf880a980,0xf5003fff,0x7ffc1fff,0xff0000df,0x375005ff,0xfb9fffe8,
    0xdfffc80e,0xd001fffe,0x321d5fff,0xffc81fff,0x5fff985f,0x2001fffd,
    0xffb8fffe,0xfd01ffff,0xff9805ff,0x1fffd07f,0x37ffdc00,0x0007fffe,
    0x2203fffe,0xdffd7fff,0x3fffffee,0x7ffffe42,0xdffd0fff,0x3fffffee,
    0x827ffd42,0xfe83fffc,0x1fffd0ff,0xefe8dfb0,0xff13fe20,0xfffff987,
    0x6c3fffff,0x3fa02fff,0x3ffa20ff,0xffefffff,0xf1bf60ff,0x41ffa83f,
    0x3fffe3ff,0xfffffffe,0x7ffc400f,0x17fff405,0x11fffe60,0x4c000dff,
    0x3fe67fff,0xa80000ff,0x7c007fff,0x3ff62fff,0x000bdfff,0x001ffff1,
    0x44ffff40,0x3ffff203,0x3a000eff,0xf30fffff,0xfffd09ff,0x25fff90f,
    0xd000fffe,0xffffbfff,0xfd01ffff,0xff9805ff,0x1fffd07f,0x17fff400,
    0x0007fffe,0x2203fffe,0xdffd7fff,0xfffffff9,0x7fffe43f,0xffd0ffff,
    0xffffff9d,0x7ffd43ff,0x07fff904,0xff17fff7,0x893fa0bf,0xd81982ff,
    0x3fffe25f,0xfffffeef,0x80ffff22,0x3f20ffff,0xffecffff,0x3fa0ffff,
    0x3e60ffc4,0xff2fec1f,0xff9dffff,0x7440bfff,0x7f403fff,0x7fcc02ff,
    0x00ffe87f,0x4ffff300,0x0007fffa,0x00ffff70,0x223fffe8,0xffffffff,
    0x3fe602ce,0x7f40007f,0xffc801ff,0x4000dfff,0x7c5ffffe,0x7ffc46ff,
    0x7fff41ff,0x2a1fffd0,0xfffe82aa,0xfffdbeff,0xefffe84f,0xeeeeeeee,
    0xffd07fff,0x3fea001f,0xeffff86f,0xeeeeeeee,0x407fffc5,0xffd7fff8,
    0xffb7bfff,0xfff90bff,0xfffffd05,0xbffffb7b,0xc82fffd4,0xff883fff,
    0x02fffbdf,0x07fcc3ff,0x7f4df700,0x3f662eff,0xfff70fff,0x3fffe60b,
    0x19ffff10,0x07ffff4c,0x9bff85ff,0xfb86feaa,0x0bffffe6,0x103ffff7,
    0x801dfffb,0x4c02fffe,0xffc87fff,0xfff30002,0x037ffdcf,0x55555555,
    0x1bfff215,0x89fffb00,0xfffffffa,0xfa81efff,0x740006ff,0xfc801fff,
    0xd0004fff,0xff909fff,0x7fffd41f,0x97ffe23f,0xfff0fffe,0xffffe81f,
    0x42fffdc1,0xfffffffe,0xffffffff,0x01fffd07,0x20ffffa0,0xffffffff,
    0x7c6fffff,0xff880fff,0x3ffffd7f,0xc86fffc8,0xffe82fff,0x7ffe41ff,
    0x41bffea6,0xfb03fffd,0x20fffdff,0x3fee0ff8,0x45fe6000,0xfd00ffff,
    0x3ffe67ff,0x7fff442f,0x0dfff50f,0x443fffea,0x7fffc0ff,0xf980cfff,
    0x40ffffe7,0x7443fffd,0xe800ffff,0x7cc02fff,0x4ffa87ff,0xffff3000,
    0xf037ffdc,0xffffffff,0x017fff61,0x10bfff90,0xfffffff9,0xffb85fff,
    0x7f40006f,0xffd801ff,0x3fe0005f,0xfffa80ff,0x3fffff22,0xe8bffea5,
    0xffff0fff,0x84fffe81,0xfe86fff8,0xffffffff,0x07ffffff,0x3001fffd,
    0xff01ffff,0xffffffff,0xfff8dfff,0x7fff880f,0xf107fffd,0xfff90fff,
    0x07fffd05,0x7d4ffff1,0x7fcc0fff,0xfff503ff,0x7fc09fff,0x8007fea2,
    0x9fff56fb,0xb27ffdc0,0xf95dffff,0x2e1fffff,0xff103fff,0x217fc1ff,
    0x0dffddff,0x7ffcdf70,0x9fff700f,0x0fffff44,0x02fffe80,0x443fffcc,
    0xf30006ff,0x7ffd4fff,0x3ffffe07,0xff90ffff,0xffd800df,0x3f6a204f,
    0x2fffffff,0x001bffee,0x403fffd0,0x04ffffd8,0xffffe880,0x25fff880,
    0x27ffefff,0x3fa0fffd,0x1ffff0ff,0x882fffe8,0xffe87fff,0xeeeeeeef,
    0xd07fffee,0xfb001fff,0x3ffe09ff,0xeeeeeeef,0x7fffc5ee,0xd7fff880,
    0x3fe03fff,0x3fffb27f,0x3ffa5eef,0x4ffff01f,0x30effffa,0x407ffffd,
    0x01ffffff,0x4ff993fa,0xafec1cb8,0x2603fffc,0x3fe66fff,0xfeffffff,
    0xfffb0fff,0x07fffc05,0x11ff89fd,0x97f60bff,0x3ea07fff,0x3fff66ff,
    0x3ffa000e,0x7ffcc02f,0x000fff07,0xf89fffe6,0xfff00fff,0x21ffffff,
    0x4007fffa,0x2003fffe,0x4ffffeb9,0x001fffea,0x403fffd0,0x04fffffd,
    0xfffffe80,0x22fffb00,0x1fff9fff,0xffe8bfff,0x81dddb0f,0xff01fffe,
    0x5fffd0ff,0x07fff980,0x9801fffd,0xcccdffff,0x01ffffcc,0x80ffff80,
    0xffd7fff8,0x9fffe03f,0xfffffffd,0x407fffa6,0x3fea7fff,0xffffffff,
    0x3f203fff,0x7e406fff,0xf3077f46,0xfb3ff87f,0x7fcc05ff,0x7fffcc7f,
    0xfffe8eff,0x405fffb0,0x3f20fffe,0xff50ffc6,0x7fc7ff07,0x3ffe607f,
    0x01ffff36,0x02fffe80,0xd837ffd4,0xf98001ff,0x7fff47ff,0xf3333301,
    0x3fe61fff,0x3fe000ff,0x400c42ff,0x3e26fffc,0xba800fff,0x00ffff41,
    0x09fffffd,0xffffdd00,0x27ffea01,0x7ffd6ffb,0xfe87fff3,0xffd000ff,
    0x1fffe01f,0x300bfffa,0x3fa0ffff,0x7fec00ff,0xffffffff,0x8001ffff,
    0xf880ffff,0x1fffd7ff,0xec9fffe0,0x25eeffff,0xff00fffe,0x6fffd4ff,
    0xffdfffff,0x3ffe603f,0x07fcc03f,0xff99fff3,0xf70ff98d,0x7fd407ff,
    0xdfdb885f,0x21fffd0b,0x3e03fffc,0x3fe60fff,0xffb07fe0,0xff07fcc1,
    0x3fea01ff,0x09fff75f,0xfd84d644,0x7fd403ff,0x87ff706f,0xf984eec9,
    0x7ffe46ff,0xffff1005,0x13fffe21,0x87fffdc0,0x4404fffd,0x3fe0ffff,
    0xffd803ff,0x03fffd3e,0x27ffe674,0xfffea400,0xb9fff100,0x37ff29ff,
    0x7f40fffc,0xffd000ff,0x1fffe01f,0x300bfffa,0x3fa0ffff,0x3fe200ff,
    0xffffffff,0x001fffff,0x980ffff8,0xfffd7fff,0x21fffe01,0xfe82fffc,
    0xffff00ff,0x7d67ffd4,0x3fff9cff,0x03fffe20,0xff517fa0,0x7443dfff,
    0x17ffe65f,0x004fffc8,0x3ee7fff8,0xfff104ff,0x3e5fe81f,0x8a7fcc1f,
    0x7fffc5fe,0x29fff702,0x3204fffa,0xfff92fff,0x5fffd80d,0xfa8bff30,
    0xfffa86ff,0x0ffffdc5,0x07fffc40,0x801ffffb,0x326ffff8,0x2a00ffff,
    0x3f20ffff,0x7fcc07ff,0x3fffd2ff,0x4fffc940,0x3fffa000,0x3fbffa00,
    0xdfff52ff,0xfffd0dff,0x3fffa001,0xd0ffff00,0xf9805fff,0xfffd07ff,
    0x7fffe401,0xffffffff,0xd8001fff,0xffc81fff,0x01fffd7f,0x3f21fffe,
    0xfffe82ff,0x54ffff00,0x002a4fff,0x017fff20,0x2a22ffcc,0x7ff441bb,
    0x07fffe20,0x4cbfffe2,0xf881ccee,0x3ffea6ff,0xffffc80f,0x546ffcc0,
    0xe8aaa80a,0x7fffc0ff,0x27fffd05,0x980ffff9,0xff50ffff,0x3fe609ff,
    0x1ffe03ff,0xc83ffff3,0x7fc44fff,0x3aa02fff,0x3e20ffff,0xd301ffff,
    0x7cc3ffff,0x3fa04fff,0x7ffc45ff,0xffe980df,0x07fffa7f,0x013fff20,
    0x00fffe80,0x3fffffee,0xffffff10,0x01fffd07,0x403fffa0,0xffe87fff,
    0x7ffcc02f,0x01fffd07,0x00ffffe2,0x0003ffff,0x541dfff9,0xffd7ffff,
    0x1fffe01f,0x8633fff2,0xff00fffe,0x27ffd4ff,0xffc98400,0x3ee002ff,
    0xffd1005f,0x9ffffb05,0xbffff913,0x20effff8,0x744fffd9,0xfb31efff,
    0xf701ffff,0x3fa200bf,0xfffff82f,0xffffd50d,0x8befffe8,0x45fffec9,
    0xaceffffe,0x0fffffdb,0xff07ff60,0xffd79fff,0xfff505ff,0xd9559bff,
    0x81ffffff,0xbdfffffb,0xfffffdba,0xfffffe84,0xffffdaac,0xffffb83f,
    0xfffebacf,0x3fffa3ff,0xefffc801,0xcccccccc,0x7fff40cc,0x3fffe200,
    0x7ffff46f,0x0fffe81f,0x01fffd00,0x3fa1fffe,0x7fcc02ff,0x1fffd07f,
    0x01ffff20,0x3337fffe,0x4ccccccc,0x3bffffee,0xd7ffffff,0x3fe01fff,
    0xffffb87f,0x1fffd1ff,0xfa9fffe0,0xfd8004ff,0x006fffff,0x41beffc8,
    0x03fffca8,0xffffffd1,0xd81fffff,0xffffffff,0x7d40ffff,0xffffffff,
    0xf900ffff,0xd95037df,0x3ffe07ff,0xffffffff,0x7ffc42ff,0xffffffff,
    0x7fffdc0e,0xffffffff,0x1ffdc04f,0x3fffffee,0x2e04ffff,0xffffffff,
    0x3fffffff,0xffffffb0,0xdfffffff,0xfffff101,0xffffffff,0x3fff601d,
    0xffffffff,0x0ffff45f,0x7ffffe40,0xffffffff,0x07fff41f,0x13ffffa0,
    0x20dffff7,0xd000fffe,0x3fe01fff,0x2fffe87f,0x83fffcc0,0xf880fffe,
    0xff804fff,0xffffffff,0x360fffff,0xafffffff,0xfffd7ffd,0x21fffe01,
    0x2ffffff8,0x3e01fffd,0x3ffea7ff,0xfffc8004,0x50001fff,0xfdbfffff,
    0x8803dfff,0xfffffffd,0xffe881ef,0xffffffff,0xfffff702,0x1fff97ff,
    0x7ffffd40,0x1effffdd,0x3ef7ffe0,0x04ffffff,0xffffffb3,0x7fd40bff,
    0xffffffff,0x5ff9804f,0xffffffd8,0xff9806ff,0xffffffff,0x7dc00cff,
    0xffffffff,0x7fd403ff,0xffffffff,0xfffb805f,0x5fffffff,0x801fffe8,
    0xfffffffc,0x1fffffff,0x2007fff4,0x4c2ffffb,0xfd04ffff,0x3fa001ff,
    0xffff00ff,0x805fffd0,0xfd07fff9,0xfff701ff,0xffff001f,0xffffffff,
    0xffc81fff,0xfffb1dff,0x7c03fffa,0xffd507ff,0x3fffa5ff,0x54ffff00,
    0xb8004fff,0x001dffff,0x7fff5c40,0x000befff,0x3bffff6e,0xfffea804,
    0x4c00ceff,0xf92efffe,0xeb8801ff,0xbeffffff,0xaafffc00,0x802ffffe,
    0x2cdffeda,0xffffd880,0x2001dfff,0xfff707ff,0x20019fff,0xfffffea8,
    0x22001bde,0xefffffec,0x3fee000d,0x03dfffff,0x3fffb620,0xffd01dff,
    0xfff9003f,0xffffffff,0xffe83fff,0x7ffcc00f,0x1ffff80f,0x001fffd0,
    0x7c03fffa,0xfffe87ff,0x3fffcc02,0xe80fffe8,0xff005fff,0xffffffff,
    0x201fffff,0xfffd0019,0x01fffe01,0xfffe8131,0x54ffff00,0x20003eee,
    0x30000009,0x00015575,0x40001330,0x13100009,0x5d4c0000,0x100000aa,
    0x00000013,0x0026a660,0x22015540,0x980001a9,0x20000099,0x880001a9,
    0x800009a9,0x00001998,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x00009998,0x1c982c98,0x66654000,0x002ccccc,0x440f332a,
    0x99999999,0x99999999,0x03332e00,0xc88f3260,0x4ccc404c,0x00009999,
    0x99999993,0x45995079,0xaa983cc9,0x10000009,0x13333333,0x99993000,
    0x33079999,0x99980133,0x01999701,0x00013331,0x07333220,0x66545555,
    0xc88f3262,0x66540ccc,0x98933263,0x99980099,0x004cc401,0x20026662,
    0x22099999,0x98801999,0x40188009,0x0cc01999,0x4cccccc4,0x33310009,
    0x00333333,0x21bca880,0x3310aaa9,0x027ffdc3,0xfe87f800,0x239ff910,
    0xfffc86f8,0x004fffff,0x5407fffa,0xffffffff,0xffffffff,0x03fffa03,
    0xfe9fff40,0x7fff403f,0xeeffffff,0xffff7002,0xf10dffff,0x3fff13ff,
    0x3fffffd4,0xf11cffb8,0xffffe80d,0x2eefffff,0xfffffb80,0xffc86fff,
    0x3ffee05f,0x5ffffa86,0x002fffe8,0x09fff700,0x7fc4ffff,0x41fff88f,
    0x7ec4fffa,0xe9ffee5f,0xff805fff,0xfffc887f,0xfd80dfff,0x7fdc03ff,
    0x3fea1fff,0x7ffcc07f,0xffffb304,0x3ffff07d,0xfd05f910,0xffffffff,
    0x3ffa07df,0xffffffff,0xf9001def,0xf91dffff,0x3fffa1ff,0x009fff70,
    0x2f3bee00,0x3ffee4fe,0xc84fffff,0xffffffff,0x3fff5004,0x7ffffd40,
    0xffffffff,0x3fa03fff,0xff1000ff,0xd00bffbf,0xffffffff,0x801bffff,
    0xfffffffb,0xddff506f,0x7ffd49ff,0xffa86fff,0x04ffffff,0x7ffffff4,
    0x0dffffff,0x3ffffee0,0xff886fff,0xfffd01ff,0xfefff887,0x17fff43f,
    0x4ffe8000,0xfa8ffff0,0x703ffeef,0x7fec1fff,0xfe9ffee5,0x7fc02fff,
    0x7fffcc7f,0x43ffffff,0x2a03fffd,0x541fffff,0x3a207fff,0xffd84fff,
    0x1effffff,0xf507fffe,0xfffd05ff,0xffffffff,0xfffe81df,0xffffffff,
    0x7ec02fff,0xceffffff,0xfffd0fff,0x00fffee1,0x7ffec400,0x2eff61ef,
    0x881ffffe,0x99999999,0x05ffd000,0xffffffa8,0xffffffff,0x3ffa03ff,
    0x3fea000f,0xfe800fff,0xffffffff,0x202fffff,0x99999998,0x3fff2009,
    0x7fffe46f,0xbcfd83dd,0x402ffffd,0xfffffffe,0x2fffffff,0x33333310,
    0x3ff60133,0x7fffa85f,0xff9bffe8,0x0bfffa0f,0x17fea000,0xfd87fff8,
    0x7e405fff,0xb97ff64f,0x3fffa7ff,0x3fffc06f,0xdffffff1,0x6c7fffff,
    0xff503fff,0xff505fff,0x7ffec0ff,0x7fffdc4f,0x26ffffff,0x7ec1ffff,
    0xfffe82ff,0xffffffff,0x3ffa1fff,0xffffffff,0x703fffff,0xfdbfffff,
    0x3a1fffff,0xfff70fff,0xb8800007,0x5c44c80b,0x4000000b,0xa8802ee8,
    0xfffbaaaa,0x0aaaaabf,0x002aaaa0,0x005ddd90,0x2ab3fffa,0xffffecba,
    0x6c000006,0x7ff41eee,0x2225c02f,0xffe800ba,0xecbaaacf,0x0006ffff,
    0x0ffff980,0x2a1ffff4,0x93baa4ee,0x999bfffe,0x2f640009,0x221bbba0,
    0xc800eeed,0x3fa0005e,0x3e04ffff,0x3fffa7ff,0x3ffee22e,0x07fffb0f,
    0x05fffff3,0x221fffea,0x24fffffd,0x9adffff8,0xff3ffffc,0xfffd83ff,
    0xacfffe82,0xffffcbaa,0x33fffa5f,0xfebaaaaa,0xff886fff,0x3fa60dff,
    0xfffd0fff,0x0002fd81,0x80000000,0x0001acb9,0xfff88000,0x0000000f,
    0x3ffa0000,0x3ffee02f,0x6654403f,0xff00001a,0x000001ff,0x405fffd0,
    0x203ffffb,0x01bcccba,0xf527ffec,0xd0000fff,0xffffffff,0x00009fff,
    0x00000000,0x3ffffa00,0xffff01ff,0x407fffe2,0xffb2fffd,0xffff987f,
    0x3ffea02f,0x7ffffdc7,0x3ffea4ff,0xf5fffc86,0x3aa63fff,0x3a2acfff,
    0xfd102fff,0x3ffa1fff,0x7ffe403f,0x7fffcc0f,0x0ffff980,0xff81fffd,
    0x221aaa89,0x55401bca,0x2aaa00aa,0x3ff6600a,0x501effff,0x55555555,
    0xf1003555,0x55001fff,0x55555555,0xaaaa8355,0xaaaaaaaa,0x05fffd01,
    0x00ffffc8,0xbffffff9,0x0aaaa801,0xa807fffc,0x2f2a22aa,0x7fff400a,
    0x7fffe402,0x7ffffdc0,0x3e605fff,0xfffd0fff,0x0aaaa807,0xffffffe8,
    0x1effffff,0x9711aaa8,0x540ee883,0x039711aa,0x2a02aaaa,0xffe80aaa,
    0xff05ffff,0x13ffe6ff,0xfb4fffa8,0x7ffc47ff,0x7fcc02ff,0x3ffff27f,
    0x3f24ffff,0xfff984ff,0x323ffff6,0xffffffff,0x405fffd0,0xfd1ffffa,
    0xff8807ff,0x7ffdc2ff,0x43fffe04,0xfd30fffe,0x6d3ffe69,0x00efffff,
    0x7401fffd,0xff300fff,0xffffffff,0xffffff07,0x0bffffff,0x01ffff10,
    0xfffffff0,0xf8bfffff,0xffffffff,0xffd05fff,0xfff8805f,0x7fff441f,
    0x01ffffff,0xff03fffa,0x3ffa01ff,0xffffff76,0x17fff405,0x87fffe20,
    0xfffffffa,0x3f605fff,0x7fff9bff,0x80fffe80,0xfffffffe,0x1fffffff,
    0x7fc6fffc,0x07fe65ff,0xfff1bfff,0x1fffd0bf,0xd01fffd0,0x5fffffff,
    0x130ffff0,0xd9fffe40,0xffd13fff,0xff1007ff,0x577fe4df,0x4cc4fffa,
    0x5fff980a,0x3f23ffff,0x0fffffff,0x4405fffd,0xffd1ffff,0xfff8807f,
    0x27ffe42f,0x3a1fffd0,0x1bf90fff,0x3fb3ffe6,0x06ffffff,0x7401fffd,
    0xff880fff,0xfffeefff,0x7fffc2ff,0xffffffff,0xffff8805,0xfffff800,
    0x5fffffff,0x7ffffffc,0xd05fffff,0xfd005fff,0xfffc85ff,0x6ffffcdf,
    0xf03fffa0,0x3fa01fff,0xfffffcef,0xffd01fff,0xfffd005f,0x5effffc5,
    0x01ffffec,0xffbdfff3,0xfffd007f,0x59fffd01,0xfffd9555,0xeefff8bf,
    0x3ea2ffff,0x777ffc2f,0xfe82ffff,0xfffe80ff,0xfefffe80,0x7ffc0fff,
    0x7ffcc007,0x17fffb0f,0x007ffffd,0xfc97ffe2,0x013ffea3,0x3e9fff90,
    0xfff91fff,0x3a1fffff,0x3ea02fff,0xfffd0fff,0xffffa807,0x01fffe40,
    0x3fa1fffb,0xf98510ff,0xebcfffff,0xfe82ffff,0x3ffa00ff,0xefffe80f,
    0x3ffff662,0x3fffffe0,0x04ffffff,0x00ffff88,0xfffffff8,0x7c4fffff,
    0xffffffff,0xffd04fff,0xfffb005f,0x0ffffcc9,0x740bfff6,0x7ffc0fff,
    0xffffd00f,0xffffb7bf,0x0bfffa0b,0x4d3fff60,0xffe85ffe,0x3fff603f,
    0xfd007fff,0xfffd01ff,0x7fffec05,0x3fffffe0,0x1ffdc7ff,0x3ffffffe,
    0x1fffd07f,0xd01fffd0,0xffff3fff,0x007fff89,0xd97fffe6,0xfffdbfff,
    0x3fe000ff,0xff502a5f,0x7fc4009f,0x3ffff2ff,0xe82fffd8,0xfd302fff,
    0x7fff4dff,0xca99999b,0xfb85ffff,0x3ffa04ff,0x01fffd0f,0x077fffcc,
    0x3a13fffa,0x3fa00fff,0x7ffc40ff,0x7fffd00f,0xdffff300,0x3fffe200,
    0x3fe60000,0x3e6006ff,0xfff86fff,0x7fffffff,0x325fffc8,0xff984fff,
    0x1fffd05f,0xd00ffff8,0xfc83ffff,0x7fffc6ff,0x87ffffff,0x0985fffc,
    0x263fffb8,0xffffffff,0x04ffffff,0xfd01fffd,0x7fd405ff,0x3fffe1ff,
    0x7e4298af,0x7ffffc4f,0xffd0298a,0x1fffd01f,0xf51fffd0,0x7ffc3fff,
    0xffff5007,0xfffffd8d,0x005fffff,0xf5013ffa,0x3a2009ff,0x3ffe5fff,
    0x17ffec1f,0x666ffff4,0xfffffdcc,0x3fffffa4,0xffffffff,0xfffa81ff,
    0x1ffff105,0x9803fffa,0xfb81ffff,0xfffe84ff,0x03fffa00,0x5c09fff5,
    0x7c404fff,0x9500efff,0xbffff999,0x22005999,0x000effff,0x01dffff1,
    0xffffffff,0xfff90fff,0x817ffecd,0xffd07fff,0x0ffff81f,0x107fffd0,
    0xfff8ffff,0x7fffffff,0x406fffc8,0x3ffffda8,0x3fffffe6,0xffffffff,
    0x01fffd04,0x4405fffd,0x3fe1ffff,0x7fe405ff,0x02ffffc4,0xe80fffe8,
    0xffe80fff,0x4dfffd0f,0xf9807fff,0xffd85fff,0xffffffff,0x7ffb003f,
    0x04fffa80,0x0ffffe88,0xfb07fffe,0xfffd05ff,0xffffffff,0xfffe8dff,
    0xffffffff,0xff300eff,0xfff901ff,0x03fffa1f,0x507fff98,0xffd0bfff,
    0x7fff401f,0x01fffe40,0x440dfff3,0x201ffffe,0xfffffffc,0x805fffff,
    0x01ffffe8,0x3ffffd10,0x3ffffba0,0xfc85eeee,0x3fffe5ff,0xffffffff,
    0x1fffd07f,0xd00ffff8,0x3fe03fff,0x7fff747f,0xc85eeeef,0x6d445fff,
    0xffffffff,0x3ffffe63,0xffffffff,0x1fffd04f,0x405fffd0,0x3e0ffffa,
    0x7ec01fff,0x0ffffc5f,0x80fffe80,0xfe80fffe,0xffff30ff,0x101fffe7,
    0x360bffff,0xebffffff,0xd800ffff,0x7fd402ff,0x7ff4404f,0x7fffc2ff,
    0x417ffec1,0xfffffffe,0x40efffff,0xfffffffe,0x801bffff,0xb33efffd,
    0x3a1fffff,0x3e600fff,0xfff306ff,0x01fffd0b,0x3607fff4,0x3e602fff,
    0x3ffa07ff,0x7fe402ff,0xffffffff,0xffe805ff,0x3fa002ff,0xfe802fff,
    0xffd802ff,0x3ffffe4f,0xffffffff,0x0fffe80f,0xe807fffc,0xfff01fff,
    0x0bfffa0f,0x993fff60,0xeeffffff,0x4ccc3fff,0x9affff99,0xffd00999,
    0x5fffd01f,0x1bfffa20,0xe801ffff,0x7fffc6ff,0x1fffd000,0xd01fffd0,
    0x7fe41fff,0x07fff8ff,0xb02fffdc,0x267fffff,0xc805ffff,0x7fd402ff,
    0x3ffa204f,0xffff83ff,0x417ffec1,0xfffffffe,0xfd02deff,0xff7537ff,
    0xf3001dff,0xffffffff,0x3fa1ffff,0x3fe600ff,0xbfff306f,0x401fffd0,
    0x7dc0fffe,0x3fea03ff,0xffffb05f,0xfff10007,0xffd8001f,0x3f6003ff,
    0xfd003fff,0xffd005ff,0x6ffffc5f,0xcccccccc,0x0fffe80c,0xe807fffc,
    0xfff00fff,0x0bfffa0f,0x4cbfffa0,0x70bdffff,0x99987fff,0x9affff99,
    0xffd00999,0xbfffd01f,0xfffb9999,0xffff89ff,0x23fffc00,0xd000ffff,
    0xffd01fff,0x1fffd01f,0xffcfffe8,0x7ffe407f,0x3ffff600,0x17fffe44,
    0x5007fee0,0x3a209fff,0xff03ffff,0xfffd83ff,0x02fffe82,0x87fffd00,
    0x01fffff8,0xffffffb8,0xd0fffecf,0x7cc01fff,0xfff306ff,0x01fffd0b,
    0x2607fff4,0x3f205fff,0xfffc84ff,0xff10004f,0x7e4001ff,0x32004fff,
    0x2004ffff,0x4402fffe,0x3fa1ffff,0x3a0003ff,0x7ffc0fff,0x1fffd00f,
    0x741fffe0,0x7c402fff,0xfff91fff,0x47fff709,0xfffffff9,0x4fffffff,
    0xd01fffd0,0xffffffff,0xf0dfffff,0xfff00fff,0x007fff8f,0x3a03fffa,
    0xffe80fff,0x7fffd40f,0x7f407fff,0x7ffec07f,0xfffff884,0x003fea00,
    0xd109fff5,0x7c05ffff,0x7fec1fff,0x2fffe82f,0x7fffd000,0x1dffff50,
    0xdfffd300,0x743fffa7,0x3e600fff,0xfff306ff,0x01fffd0b,0x2207fff4,
    0xf881ffff,0x7fdc2fff,0x220004ff,0x7000ffff,0x4009ffff,0x004ffffb,
    0x2017fff4,0x320ffffb,0xce985fff,0x1fffd01b,0xd00ffff8,0x3fe01fff,
    0x5fffd07f,0x0ffffb80,0xfb03fffd,0x7ffcc7ff,0xffffffff,0xffd04fff,
    0xffffd01f,0xffffffff,0x0ffff01d,0x20ffff88,0x3a007fff,0xffe80fff,
    0x0fffe80f,0xffffffd8,0x01e65c07,0x5c0ffff6,0x2605ffff,0xfffa804c,
    0x2ffffd84,0x20ffffc0,0xfe82fffc,0xfd0002ff,0x3ff207ff,0x262005ff,
    0xe87fff40,0x3e600fff,0xfff306ff,0x01fffd0b,0x6c07fff4,0xc89cffff,
    0x7d45ffff,0x40005fff,0x800ffff8,0x005ffffa,0x017fffea,0x80bfffa0,
    0x443ffffc,0x3a0bffff,0xffd03fff,0x0ffff81f,0x201fffd0,0xffd07fff,
    0x7ffe405f,0x13fffa3f,0x4c9ffff5,0xffffffff,0x04ffffff,0xfd01fffd,
    0xffffffff,0x7ffc05bd,0x7fffc407,0x801fffe1,0xfe80fffe,0xfffe80ff,
    0xfffff880,0x3600007f,0x3fa03fff,0x80002fff,0x7dc4fffa,0xff803fff,
    0x7ffe41ff,0x3fffa18c,0xfffd0002,0x7ffff407,0x7ff40002,0x01fffd0f,
    0x9837ffcc,0xffe85fff,0x3fffa00f,0xffffe880,0x0fffffff,0x2fffffe6,
    0x0ccccccc,0x07fffc40,0x3ffffe60,0xcccccccb,0x7fffff30,0x19999999,
    0x99bfffd0,0xffffdd99,0x3ffff20d,0x05ffffdf,0xff03fffa,0x3ffa01ff,
    0x0ffff00f,0x3337fffa,0xffffeecc,0x77fffe46,0x4fffffec,0x00fffe80,
    0x203fffa0,0x0002fffe,0xf101fffe,0x7ffc3fff,0x3fffa007,0x80fffe80,
    0xf700fffe,0xe80fffff,0x3f601fff,0x3fea03ff,0x7fc40eff,0x7ffd406f,
    0x3ffffe24,0x5eeeeeee,0xfb83ffff,0xfd1fffff,0x3a0005ff,0x3e603fff,
    0x0000efff,0x7f43fffa,0x3fe600ff,0xbfff306f,0x401fffd0,0xb100fffe,
    0xffffffff,0xffffb83d,0xffffffff,0x7ffc400f,0x7ffdc00f,0xffffffff,
    0xffff70ff,0xffffffff,0xffffd01f,0xffffffff,0x7fe403ff,0x0fffffff,
    0xf03fffa0,0x3fa01fff,0xffff00ff,0x3fffffa0,0xffffffff,0x7fff441f,
    0xfffcffff,0x0fffe806,0x03fffa00,0x000bfffa,0x4407fff8,0x3fe1ffff,
    0x3ffa007f,0x0fffe80f,0x200fffe8,0x407ffffe,0x3601fffe,0x7ec03fff,
    0x7fc44fff,0x7ffd406f,0x3ffffea4,0x7fffffff,0xf883ffff,0xfd2fffff,
    0x3a0005ff,0x7e403fff,0x20004fff,0xffd0fffe,0x7ffcc01f,0x0bfff306,
    0x7401fffd,0x6dc00fff,0x704effff,0xffffffff,0x801fffff,0x400ffff8,
    0xfffffffb,0x70ffffff,0xffffffff,0xd01fffff,0xffffffff,0x001bffff,
    0xbfffffd5,0x0fffe803,0xe807fffc,0xfff00fff,0x3ffffa0f,0xffffffff,
    0xfffb100d,0x3fff63df,0x07fff401,0x01fffd00,0x0005fffd,0x2203fffc,
    0x3fe1ffff,0x3ffa007f,0x0fffe80f,0x200fffe8,0x407ffff9,0x3601fffe,
    0x7c403fff,0x3e21ffff,0x7fd406ff,0x3ffff64f,0xffffffff,0x503ffff7,
    0x3a5fffff,0xd0002fff,0xfd007fff,0x20003fff,0xffd0fffe,0x7ffcc01f,
    0x0bfff306,0x7401fffd,0x26000fff,0x7ffdc009,0xffffffff,0x7fc400ff,
    0x7fdc00ff,0xffffffff,0xfff70fff,0xffffffff,0xfffd01ff,0x9bdfffff,
    0x26a60003,0x1fffd000,0xd00ffff8,0x3fe01fff,0xffffd07f,0x39bdffff,
    0x00266200,0x01fffd00,0x407fff40,0x0002fffe,0xd101fffe,0x7ffc1ddd,
    0x3fffa007,0x80fffe80,0x6400fffe,0x7f407fff,0x3ff601ff,0xfffc803f,
    0x1bffe26f,0x229fff50,0xffffffff,0xff7fffff,0x04cc03ff,0x000bfffa,
    0x401ffff4,0x006ffff9,0x3a1dddb0,0x00000fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x15554000,0x22037951,0x99800999,0x4cc40019,0x3bbba201,
    0x43eeeeee,0x88001999,0x33000199,0x4cc00333,0x33331099,0x33333333,
    0x04cccc13,0x01333100,0x310d5544,0x33333333,0x13333333,0x26666662,
    0x99999999,0x26666620,0x26200099,0x44009999,0x00099999,0x80013331,
    0x98009999,0x4cc41999,0x99999999,0x26219999,0x26620099,0x26620099,
    0x33333109,0x36001333,0xc8003fff,0xeeeeeeee,0x510eeeee,0x3332a555,
    0xfb3ccccc,0x3ffa07ff,0x0ffff60f,0x7ffd8000,0x51000000,0x55555555,
    0x54155555,0x155552aa,0x7fe57ffe,0x7f40dfff,0x7fcc03ff,0x7fec007f,
    0xffff500f,0x89ffffff,0xe8007fff,0xc8000fff,0xc802ffff,0xffd2ffff,
    0xffffffff,0x7fec9fff,0xfff1006f,0xfffd107f,0x3ffea9ff,0xffffffff,
    0xfd3fffff,0xffffffff,0x74dfffff,0xffffffff,0x3fa02eef,0x7c04ffff,
    0x003fffff,0x800fffff,0x200ffffe,0x544ffffa,0xffffffff,0x27ffffff,
    0x3204fffd,0x3205ffff,0xfffd5fff,0xffffffff,0xfffb017d,0xfffb0007,
    0xffffffff,0x3ffe61ff,0xffffff76,0x3fff6bff,0x41fffd03,0x0003fffd,
    0x001fff60,0xa8af32a6,0x4000260e,0x3affff13,0xdfff0fff,0xfffffffb,
    0x1ffff41d,0x01fffe60,0x00ffffb8,0xfffffff9,0xfff89fff,0xfffe8007,
    0xfff88000,0x7ffc406f,0x3ffffa5f,0xffffffff,0x3fffea4f,0xffffa800,
    0xfffffd80,0xfffff52f,0xffffffff,0x3ffa7fff,0xffffffff,0x3fa6ffff,
    0xffffffff,0xfe81efff,0x2a06ffff,0x03ffffff,0x2fffffa8,0x3fffe600,
    0x1bfffa05,0x3fffffea,0xffffffff,0x81bffee7,0x207ffffe,0xffd3fffe,
    0xffffffff,0xfd81ffff,0xfd8003ff,0xffffffff,0xff30ffff,0x3fffeedf,
    0xffb5ffff,0x3fffa07f,0x00ffff60,0x07ffd800,0x3ffff620,0x23ffceff,
    0x22700009,0xfffd7fff,0x3fffffe1,0x5fffffcf,0x300ffffa,0x2200ffff,
    0xb00fffff,0xffffffff,0x7fff89ff,0x0fffe800,0xffff5000,0x7fffec07,
    0x3fffffa0,0xffffffff,0x0ffffe24,0x217fff60,0xeceffff8,0xffffff51,
    0xffffffff,0x3fffa7ff,0xffffffff,0x3ffa6fff,0xffffffff,0x7f41ffff,
    0x900fffff,0x07ffffff,0xdfffffb0,0xffffc800,0x2ffffb81,0xffffffa8,
    0xffffffff,0x41fffe67,0x1ffffff8,0x3a3ffff0,0xffffffff,0x0effffff,
    0x000ffff6,0x3ffffff6,0x25ffffff,0x3316fff9,0x21333333,0xfd03fffd,
    0x7ffec1ff,0x3f600003,0xfff5007f,0xffffffff,0x70000989,0x7f5fffe2,
    0xfffff0ff,0x7fffe447,0x807fffd1,0xb007fff9,0x201fffff,0x7c006fff,
    0xfe8007ff,0x360000ff,0xf980ffff,0x7ff43fff,0xaaaaaacf,0x7fec1aaa,
    0x7ffc406f,0x6fff982f,0x75555510,0x5557ffff,0x3fffa155,0xaaaaaaac,
    0x3ffa2aaa,0xfcbaaacf,0x7f46ffff,0xd03fffff,0x07ffffff,0xffffff88,
    0x3fa2001f,0x7ffc46ff,0x5555105f,0xffd55555,0xffff8bff,0xfffffb81,
    0x7fff983f,0x2ab3fffa,0xfffebaaa,0x0ffff62f,0x7ff40000,0x13bba20e,
    0x0ffff600,0xfffd8ff0,0x3f600003,0xfff8807f,0xfffecdff,0x80004c3f,
    0x3abddd13,0xffff0fff,0x53fff609,0x4c03fffe,0xfb807fff,0x880fffff,
    0x7c004fff,0xfe8007ff,0x220000ff,0xfe85ffff,0xfffe85ff,0xfff50003,
    0x7ffd403f,0x0bfff507,0x0ffff880,0x017fff40,0x02fffe80,0xe8ffffee,
    0x85ffffff,0xfffffff8,0x7fffe403,0x54004fff,0x3f63ffff,0x20000fff,
    0x40effffb,0xfd83fffe,0xb85fffff,0x3ffa5fff,0x7ffec03f,0x00ffff64,
    0x3fff2000,0xaaaa8000,0x01fffec0,0xfffd8df5,0xaaa88003,0xaafffeaa,
    0x3ff61aaa,0x7fff41df,0x4000260f,0x87fff403,0xf501ffff,0x3fffabff,
    0x3fffcc03,0x3ffffe20,0xfff980ff,0x3ffe0023,0x1aaaa887,0x5443fffa,
    0xfb800abc,0x3fee1fff,0xfffe80ff,0x3ffe0003,0x3fff603f,0x7ffe54c4,
    0xf8801aad,0x7f400fff,0xfd0002ff,0xffc805ff,0xbfffd0ff,0xfff50fff,
    0xf807fffb,0x7fffbfff,0xffffd800,0x02ffffa8,0x3fffe600,0x5fffc81f,
    0xfffefff8,0x23fffd87,0x5403fffe,0x3ff65fff,0x4c00003f,0xd0003fff,
    0xffd81fff,0x85ff503f,0x8003fffd,0xfffffff9,0x3fffffff,0xfb0dfff3,
    0x04c7ffff,0x7f403800,0x1ffff0ff,0x75bffe60,0x7cc03fff,0x7ff407ff,
    0xb80fffee,0xeffddfff,0x8ffff00c,0x20efffe8,0xffb8fffe,0xe801ffff,
    0xfff16fff,0x3fffa07f,0x3ff20003,0x3fffe06f,0x7ffffe41,0xf8804fff,
    0x7f400fff,0xfd0002ff,0xff8805ff,0x7fffd1ff,0xffc83fff,0x203fffbf,
    0xffd6fffa,0xff88005f,0x5ffffeff,0x3ffe2000,0xfff502ff,0xdcfff98d,
    0x7ff41fff,0x0ffffa1f,0x6c7fff90,0x00003fff,0x00037ff4,0xfd81fffd,
    0x4ff883ff,0x003fffd8,0xffffff98,0xffffffff,0xc87fff53,0x25fffbff,
    0x80700009,0xfff0fffe,0xb7ffcc0f,0x4c03fffe,0x3ee07fff,0x0fffd8ff,
    0xffffffc8,0xff81ffff,0x7fffec7f,0x7effff40,0x0fffffff,0x5ffffcc0,
    0x3a06fffc,0x20003fff,0xa81ffff9,0xffc87fff,0x04ffffff,0x00ffff88,
    0x0017fff4,0x802fffe8,0xffd2fffe,0xe87fff3f,0x3fffbdff,0x5cffff60,
    0xa8006fff,0xffffffff,0x3ffa0000,0x3fe203ff,0x3ffee0ff,0x223fffaa,
    0x7ff47fff,0x3ffea03f,0x0ffff60f,0xfffb8000,0x3ffa0002,0x1fffec0f,
    0xfffb01b8,0x81555507,0xfffffff9,0x3fffffff,0x7dc5fff9,0x26fff89f,
    0x80700009,0xfff0fffe,0x3ffe601f,0xdddfffd5,0xffdddddd,0x3ffe60ff,
    0xd01fffb3,0xffffffff,0xfff81fff,0x07ffff67,0x37fffffa,0x04ffffdb,
    0xffffffc8,0x3ffa01ff,0xccccccdf,0x3ffa00cc,0x4fffd84f,0xffffeeb8,
    0xff8803ee,0x7ff400ff,0xeeeeeeef,0x7ff46eee,0xfffd802f,0x3fafffd4,
    0x2fffe25f,0xf103fffb,0x3fe21fff,0xfd8001ff,0x003fffff,0x17ffff20,
    0xd8bfffa0,0xfff88fff,0xd17ffea5,0xdddddfff,0x85ffffdd,0x0003fffd,
    0x001fffa0,0xd81fffd0,0xd8003fff,0xffe83fff,0x5555441f,0xaaafffea,
    0x5fffb1aa,0xfff8bfea,0x1c000267,0x7c3fffa0,0xff702fff,0x3ffffa9f,
    0xffffffff,0xffd07fff,0x407ffecd,0xc99cffff,0x7fc5ffff,0x3ffff97f,
    0x07ffffa0,0x200dfff7,0x4ffffffe,0x7fffff40,0x1fffffff,0x21bfff20,
    0x2a01ffff,0x44004fff,0x7400ffff,0xffffffff,0x747fffff,0xfc802fff,
    0x2fffd5ff,0x3fea7ffc,0x03fffb9f,0xfe8bfff7,0xf88004ff,0x0006ffff,
    0x03bfffee,0xf8ffff20,0x9fffa6ff,0x7f43fffc,0xffffffff,0xfd81ffff,
    0x500003ff,0x80009fff,0x7ec0fffe,0xfd8003ff,0xfffe83ff,0x0fffb001,
    0xf9bfffb8,0x9bffe24f,0x80700009,0xfff0fffe,0x3fffa0df,0xffffffd3,
    0xffffffff,0x1fff90ff,0x4c07ffec,0xfffa81ca,0x2ffffe0f,0x3a01ffff,
    0xff884fff,0xfff5007f,0xfe801fff,0xffffffff,0x3e601fff,0x3fea1fff,
    0x7ffd406f,0x7ffc4004,0x7fff400f,0xffffffff,0x7fff47ff,0x6fffc802,
    0x3feafffd,0x2efff91f,0xffd03fff,0x7fffb85f,0xffff8800,0xff30005f,
    0x2a001fff,0xfff35fff,0xd8fffe49,0x7ff41fff,0xffffffff,0x7ec0efff,
    0xd00003ff,0x80003fff,0x7ec0fffe,0xfd8003ff,0xfffe83ff,0x0fffb001,
    0xffdfffa8,0x32fffcc5,0xd00e0001,0x3ffe1fff,0xffd52eff,0x3fffa1ff,
    0xeeeeeeee,0x7cc7fffe,0x7ffec3ff,0xfff88000,0x3ffffe1f,0x7f405fff,
    0xffff02ff,0x7fffec00,0xffffe802,0xffffffff,0x27fff401,0xa807fff9,
    0x44004fff,0x7400ffff,0xccccdfff,0x744ccccc,0xfc802fff,0x2fffd5ff,
    0xffd3fff8,0x20fffeeb,0xf887fff9,0x6c002fff,0x02ffffff,0x7ffffc40,
    0x3ffe2001,0x543fff77,0xffff3fff,0xeefffe81,0xfffeeeee,0x3fff63ff,
    0xff980003,0x7ffcc05f,0x40fffe86,0x8003fffd,0xec83fffd,0xffb000ee,
    0xffff880f,0x3fffe85f,0x89c00026,0xfffd7fff,0x3fffffe1,0x3fffffff,
    0x300ffffa,0xffe8ffff,0x00fffd86,0x47fffb00,0xffffffff,0x3fffa01f,
    0x00ffff01,0x803fffcc,0x0003fffe,0x3e7fffb8,0x7d400fff,0x7c4004ff,
    0x7f400fff,0xfd0002ff,0xffb005ff,0xe9fffa9f,0x3fff8eff,0xf907fff7,
    0x55555dff,0x400dfffd,0xfffffffa,0x3ffa000f,0xff8003ff,0x47ffe8ff,
    0xff9dfff8,0x3fffe86f,0x3ffff620,0x007fffb0,0x05fff700,0xe86fff98,
    0x7fec0fff,0xffd8003f,0x3600003f,0xffc807ff,0x3ffaa2ff,0x80004c6f,
    0x3affff13,0xffff0fff,0xfffffff7,0x03fffe89,0xf53fffcc,0xfdddddff,
    0x009ddfff,0x3e3fffd8,0xffffffff,0x03fffa06,0x3003fffc,0x3a00ffff,
    0x80003fff,0xfa9ffff8,0xffa806ff,0x7fc4004f,0x7ff400ff,0xffd0002f,
    0xfffd005f,0xfc9fffa7,0x71fffbff,0xfff07fff,0xffffffff,0x1003ffff,
    0xffffffff,0x3ff6009f,0xfb0004ff,0x0bfff7ff,0xfff7fffd,0x07fffd09,
    0x365fffd0,0x80003fff,0xf9807ffe,0xfffe86ff,0x01fffec0,0x01fffec0,
    0x0bdd9000,0xffffff10,0x83ffffff,0x22700009,0xfffd7fff,0x74dfffe1,
    0xfe82ffff,0x7fcc03ff,0x3fffee7f,0xffffffff,0x7d9935ff,0x43ffff10,
    0xfecfffff,0xfffd02ff,0x01fffe01,0x007fff98,0x0007fffd,0x333fff60,
    0xfa803fff,0x7c4004ff,0x7f400fff,0xfd0002ff,0xff8805ff,0x4fffd1ff,
    0x7ffffffa,0xf50fffee,0xffffffff,0x09ffffff,0x93ffffb0,0xb805ffff,
    0x0006ffff,0x3fffffee,0xefffc83f,0xffe82fff,0xfffc803f,0x007fffb5,
    0x05fff880,0xe85fff98,0x7fec0fff,0xffd8003f,0x0000003f,0x3ffffee0,
    0x81efffff,0x22700009,0xfffd7fff,0x311fffe1,0x1ffff401,0xb9fffe60,
    0xffffffff,0x55ffffff,0xff50ffff,0x7fffc1ff,0x20dfff34,0xff00fffe,
    0x7fcc00ff,0xfffd007f,0x3ee00007,0x0fffffff,0x04fffa80,0x07fffc40,
    0x00bfffa0,0x017fff40,0x743ffff2,0x3ffe27ff,0x3fee5fff,0x7fffec3f,
    0xffffffff,0x7d407fff,0xfff14fff,0x3fe601ff,0x20000fff,0xfffffff9,
    0xfffff981,0xfffe80ff,0x5fffe803,0x0007fffb,0x004fffa8,0x3ffa13ea,
    0x1fffec0f,0x1fffec00,0x77774c00,0xeeeeeeee,0x55ff32ee,0x09dfffd9,
    0x0380004c,0x00ffff00,0x807fffd0,0x3aa7fff9,0xfeeeeeee,0xf14eefff,
    0x3ae3bfff,0x7ffc4fff,0x41fffec7,0xff00fffe,0x7fcc00ff,0xfffd007f,
    0x3e200007,0x05ffffff,0x009fff50,0x00ffff88,0x0017fff4,0x202fffe8,
    0x3a2ffffb,0x7fff47ff,0x3ffee3ff,0x27fffe23,0x99999999,0xf102ffff,
    0x7d41ffff,0xff884fff,0x80001fff,0x07ffffff,0x1bfffffe,0x201ffff4,
    0xfb3ffffa,0x99999dff,0x70199999,0x64007fff,0x0fffe83f,0x6677ffec,
    0xcccccccc,0x99dfffb0,0x99999999,0x3ffffe61,0xffffffff,0x2620f23f,
    0x00009800,0x3ffe0007,0xfffe8007,0x3fffcc03,0x03fff600,0x3fffffee,
    0x7c0effff,0x7ffcc7ff,0x07fff40f,0x2007fff8,0xd007fff9,0x00007fff,
    0x7fffffec,0x9fff5002,0xffff8800,0x6ffff400,0xcccccccc,0xfffd0ccc,
    0xfdb9999b,0xffe8bfff,0x7ffffe47,0xc8fffee1,0xfb006fff,0x3ff60dff,
    0xfffd82ff,0x7fffe42f,0xccccccce,0xfb01cccc,0x6c0bffff,0xd04fffff,
    0x9999bfff,0xfffffd99,0x3fffff63,0xffffffff,0x2fffc80f,0x80efc880,
    0x7ec0fffe,0xffffffff,0xfb0fffff,0xffffffff,0x261fffff,0xffffffff,
    0x03ffffff,0x555cc000,0xaaaaaaaa,0xf0003aaa,0xfd000fff,0xff9807ff,
    0x7fec007f,0xffffb00f,0xf01dffff,0xfff90fff,0x00fffe8b,0x4c00ffff,
    0xfd007fff,0x400007ff,0x07fffffa,0x013ffea0,0x01ffff10,0xffffffe8,
    0xffffffff,0xfffffd1f,0xffffffff,0x47ffe81f,0x5c7ffffa,0x3ffe3fff,
    0xfff5003f,0xffffa83f,0xdffff105,0x7ffffe41,0xffffffff,0xff703fff,
    0x7dc07fff,0xfd02ffff,0xffffffff,0x47ffffff,0xfffffffd,0x0fffffff,
    0x801fffd8,0xffd01efa,0xffffd81f,0xffffffff,0xffffb0ff,0xffffffff,
    0x3ffe61ff,0xffffffff,0x00003fff,0x80000000,0xe8007fff,0x7cc03fff,
    0x7ec007ff,0x3faa00ff,0x3e04efff,0xfff887ff,0x03fffa1f,0x3003fffc,
    0x3a00ffff,0x00003fff,0x027ffffc,0x009fff50,0x00ffff88,0x7ffffff4,
    0xffffffff,0xfffffd1f,0xbfffffff,0x88fffd01,0x7dc5ffff,0xffff53ff,
    0x7fffc001,0x3ffffe24,0x3fffee00,0x3fffff24,0xffffffff,0xff303fff,
    0x7cc03fff,0xfd00ffff,0xffffffff,0xd89fffff,0xffffffff,0x80ffffff,
    0x7000fffe,0x40fffe80,0xfffffffd,0x0fffffff,0xfffffffb,0x1fffffff,
    0x00000000,0x00000000,0x2001bbb6,0x4c03fffe,0x6c007fff,0x98800fff,
    0x7fff800a,0x74dfff70,0xfff00fff,0x7ffcc00f,0x7fffd007,0xffc80000,
    0x3ea002ff,0x7c4004ff,0x7f400fff,0xffffffff,0xd1ffffff,0xffffffff,
    0x7f4039bd,0x3fffe87f,0xfd9fffdc,0x7e4005ff,0x3fff27ff,0xfffe803f,
    0xfffff92f,0xffffffff,0x7fc07fff,0xfff807ff,0x3fffa06f,0xffffffff,
    0x000000bd,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2f332ea0,0x565cc001,0x80aaaa01,
    0x55532aaa,0x1acb9801,0x44055550,0x202bccba,0x2aa02aaa,0x332a202a,
    0x0000001a,0x0d665cc4,0x06b2e600,0x02af2e62,0x9800000c,0x54c00199,
    0x5d41accc,0x800000bc,0x5c46aaa1,0x88aaaa1c,0xa880abca,0x2b2e61aa,
    0x80acb980,0xaa882aaa,0x2aaaa1aa,0x51555400,0x2aa20555,0x4555501a,
    0xaaaaaaaa,0x2a61aaaa,0x55500aaa,0x11006035,0x05ddd300,0x26209988,
    0x86660009,0x66400998,0x0551001c,0x2e00004c,0xffffffff,0x7ffecc05,
    0xff81efff,0xfff880ff,0x305fff97,0xdffffffd,0x887fff83,0xfffffffc,
    0x0ffff82f,0x907fff88,0x1bffffff,0x2cc025c0,0xffffff50,0x7ecc01bf,
    0x30efffff,0x5ffffffd,0x00017f90,0x007fffc0,0x7fffff4c,0xfffeadff,
    0x80003fff,0x37ffe6eb,0xfd5ffff8,0x3fffeedf,0x7ffc42ff,0xfffffe8c,
    0xfffffb12,0x40ffff89,0x2e0efffe,0x3ea05fff,0x3fff25ff,0x85fffc81,
    0x3fe5fff9,0xffffffff,0x3ffe25ff,0xffffc86f,0xd101fd80,0xfff9801d,
    0x8fffc403,0xf7006ffa,0x017ff4bf,0x200bfff5,0x3f220ffd,0xfff83eff,
    0xfffffa87,0x305fffff,0xffffffff,0xffff87ff,0x97fff880,0xff985fff,
    0xffffffff,0x361fffe4,0xffffffff,0x7fffc0ff,0x47fff880,0xffffffe8,
    0xffa81fff,0xaadeec9c,0xfffd85ff,0x0effffff,0xffffff88,0xfffdffff,
    0x44ffffff,0x001cfffc,0x00ffff80,0x7fffffcc,0xffffffff,0x003fffff,
    0x26fffc88,0xfffeefff,0xf9dffd2f,0x3fffffff,0x7f6fffc4,0xebffffff,
    0x3fffffff,0xfd83fffe,0x7fc40fff,0xfffb00ff,0x427ffcc5,0xfc87fffe,
    0x3fffe2ff,0xffffffff,0x1ffffcc5,0xb05ffff3,0xfe883fff,0x3fe600ef,
    0x6ffb803f,0xf300fffa,0x1bff21ff,0x03ffffd0,0x907fff54,0x81ffdbff,
    0xfff87fff,0xfffecbdf,0x7fffc41f,0xfffffeef,0x203fffe2,0xff97fff8,
    0x7fffc45f,0xfffffeef,0xfa8ffff2,0xfdbabdff,0x7fffc6ff,0x47fff880,
    0xfcdffffc,0x7fc46fff,0xffffffff,0x3ea2ffff,0xffdcffff,0x7ff445ff,
    0xffffefff,0xfdbeffff,0x3ff22fff,0x0002dfff,0xb003fffe,0xfd79dfff,
    0x97bfffff,0x2005ffff,0x6fffffd9,0x3ffffffe,0x3ffffa7f,0xffffdbdf,
    0x3ffffe25,0xfffffcce,0xffffccff,0x643fffe7,0xfb01ffff,0xfff107ff,
    0x88dfff0f,0x741fffff,0x3ffe0fff,0xffffffff,0xffffc84f,0x84fffe88,
    0x11fffff8,0x403ffffd,0xd003fff9,0x3ffe67ff,0x4d3ffa01,0x3ea01fff,
    0xf904ffff,0x3a21ffff,0xf89ff13f,0x7ff4c7ff,0x43fffe85,0x262efffe,
    0xff0ffffd,0xfff101ff,0xe87ffaef,0x3662efff,0xfee8ffff,0x407ffe46,
    0x3fe0cdfd,0xfff880ff,0x07fffe67,0xfa85fffb,0xffffffff,0x7ff44fff,
    0x3ffe60bf,0x3bfffa0f,0x3ffffaa2,0x37ffc43f,0xfffffff7,0xed80017d,
    0x3fa200ee,0xffffd86f,0x03fffc44,0x3fffffaa,0x3fffe5ff,0x3fa298af,
    0x7fe41fff,0x3fffe26f,0x7ffffd46,0x43fffe20,0xffb8ffff,0x3fe601ff,
    0x4fffb86f,0x2a0fffc8,0x223fffff,0xf3005fff,0x7f40dfff,0xefffcdff,
    0xfffff300,0x03ffffd5,0x003fff98,0x3f63fff5,0x1fff906f,0xd80bffd1,
    0x80ffffff,0x00ffdbfd,0xff85ff95,0x2e02607f,0x3fe23fff,0xfffd00ff,
    0x203fffe7,0x7f47fff8,0x01ffff10,0x7ccffffa,0x16fffe45,0x01ffff00,
    0x7e4ffff1,0xfff984ff,0xeffffc85,0x546ffffd,0x9bb06fff,0x3fffe215,
    0xfffff880,0x20fffd80,0xfffffeb8,0x00001cff,0x7fd404c0,0xfffa80ff,
    0x7fffe442,0x7c0befff,0x3fa05fff,0xfff883ff,0x07fffe27,0x3a0ffffe,
    0xffff1fff,0x005ffff7,0xfe81fffd,0xfffa80ff,0x3fffff22,0x00bffea5,
    0x03bfffe2,0xffffff98,0x7fcc01ff,0x1fffffff,0x7dd55554,0x2aaaadff,
    0x3e6dffd0,0x7ffd44ff,0x401fff92,0xfffcfff9,0x03ff2184,0x4413ffe2,
    0xfb51006f,0x7fd47fff,0x3ffee04f,0x101ffff4,0x3fccffff,0x5c09fff5,
    0x89fb5fff,0xdffffffa,0x3fffe01b,0x27fff880,0xff02fffd,0x3fffd0ff,
    0x70ffff44,0x98009fff,0x3f205fff,0xfff505ff,0x3fff2605,0x511dffff,
    0x55555555,0x80355555,0x6fffeca8,0x269fff30,0xfffffffd,0x3fffe01d,
    0x07fffa01,0xff13fffc,0xffff01ff,0x25fffb05,0xffffffff,0x7fff7005,
    0x882fffcc,0x3ffe5fff,0x3ff67ffe,0x7ff4400f,0xffb801ff,0x3003ffff,
    0x5fffffff,0xffffffb0,0xffffffff,0x653ffe60,0xfff11fff,0x00fffead,
    0x3ff6fffb,0x03ff200f,0x20fffb66,0xfb5105fb,0x7fffffff,0x301fffe4,
    0x3ffedfff,0xffff880f,0x3f22ffc8,0x3fe603ff,0xd80efdff,0xffffffff,
    0x0ffff83f,0x3e7fff88,0xffffffff,0x7c47ffff,0xfffa84ff,0x00ffff22,
    0x409fff70,0xfffffffb,0x03ffffff,0xfffffda8,0xffffff36,0xffffffff,
    0xffffb507,0xffffffff,0x2bffffff,0xbefffffc,0x0ffff800,0x407fffa0,
    0x3fe27fff,0x3ffff07f,0x3e5fffb0,0xffffffff,0x6fff8801,0xd80bfff2,
    0x3fff17ff,0x3ffe3fff,0xffffe805,0x3fff6002,0x7fcc005f,0xffb03fff,
    0xffffffff,0x7f40ffff,0x5fff98ff,0x3f67fff5,0x3fe601ff,0x07fff54f,
    0x36007fe4,0x40ffdc7f,0xeffffff9,0x3f63fffe,0x3fe602ff,0x01ffff7f,
    0xfffffff1,0x02fffd87,0x37ffffe6,0xffff9100,0x41dfffff,0xf880ffff,
    0x3fffe7ff,0xffffffff,0x3ffe60ff,0x6c7fff02,0x64003fff,0x3ee03fff,
    0xffffffff,0x2004ffff,0xf36fffe9,0xffffffff,0x4c7fffff,0xeffffffe,
    0xffffffff,0xf95fffff,0xf8005fff,0x3fa00fff,0xffff00ff,0xf837ffc4,
    0xffd80fff,0xffffff2f,0x3600dfff,0xffff1fff,0xb9fffa80,0x37ffd6ff,
    0xfd807fff,0x64003fff,0x2006ffff,0xffffffe8,0xfffffd81,0xffffffff,
    0x29fff307,0x3f61fffc,0x5fff88ff,0xf87fff20,0x3ff206ff,0x7ec5db10,
    0x307ff10f,0x217bffff,0x3ee3fffb,0x3fea03ff,0x01ffff5f,0x17bffff1,
    0x407fff70,0x002ffffa,0xfffffb71,0x7fffc9ff,0x27fff880,0xcccdffff,
    0x20cccccc,0xfa84fff8,0x3fff22ff,0x7ffdc003,0x3bfff205,0xcccccccc,
    0xffc9802c,0xfff36fff,0xffffffff,0x3fa27fff,0xff51bfff,0x999999df,
    0x3ff27999,0xf002efff,0xffe80fff,0x4ffff00f,0xff06fff8,0xfffb01ff,
    0x33ffffe5,0x9803fffe,0xfffacfff,0x67ffc404,0xbff94ffd,0x6401fff9,
    0x4004ffff,0x4ffffff9,0xffffe880,0x5541ffff,0xdfffbaaa,0xfd02aaaa,
    0x0fffe6df,0x3ee9fff1,0xfff881ff,0x817ffe46,0x3ffa0ffc,0x0544ffcb,
    0xb84fffc8,0x3fe63fff,0x3fff205f,0x301ffff4,0xf980ffff,0x3ff205ff,
    0x2e60004f,0x3fe6ffff,0xfff980ff,0x00ffffa7,0x10ffff40,0x7dc3fffb,
    0x59b505ff,0x81fffea1,0x0006fffd,0x7ffff5c4,0x55512eff,0x55555555,
    0x3fea3555,0xffffb85f,0x3ff66000,0x01cfffff,0xfd01fffe,0x3ffe01ff,
    0x41bffe27,0xfd80ffff,0x9ffff2ff,0x003fffe6,0x3ff7fffa,0xeffe800f,
    0xfff52fff,0x7dc0dffd,0x44004fff,0xfffffffe,0x3fffa201,0x1fffffbf,
    0x01fffcc0,0xfb0fffb8,0x3ffee0bf,0xf90dffb0,0xfff885ff,0x4c1ff906,
    0x00efffff,0x207fffa0,0x3e23fffd,0xff881fff,0x5fffb2ff,0x80ffff90,
    0x881ffff8,0x2202ffff,0xf880eecb,0x3fff67ff,0x27fffc81,0xe985fffc,
    0xfffb81bc,0x6ffffdef,0x407fffcc,0xff12fffe,0xfff305ff,0x59b903ff,
    0xffffd981,0x0002dfff,0x82fffc80,0xb83ffffc,0x7e4c0acd,0xaeffffff,
    0x203fffc0,0xff00fffe,0x37ffc4ff,0xd80ffff8,0xffff2fff,0x027ffec1,
    0x7fffffdc,0xffff7005,0x3ffe21ff,0xff503fff,0xf9000bff,0xdfffbdff,
    0xffffd101,0x3ffffe63,0x0fffe601,0x54fffe20,0x3f600fff,0x45fff15f,
    0xfb07fff8,0x199503ff,0x00017930,0xfa89fffd,0x7fec4fff,0xffc89cff,
    0x3fff25ff,0x3fffea0e,0xffffd807,0xffffc89c,0x4fffe806,0x325fffb8,
    0x3ea0efff,0x3fe27fff,0x3ffa0bff,0x7fffcc3f,0xffffffff,0x5fffff44,
    0x0ffffc98,0x22fffff2,0xffffffd9,0x3fffee1e,0xfffffd50,0xd80039ff,
    0x3f200eee,0x7ffcc5ff,0x3fea2eff,0xff7102ff,0x49ffffff,0x7f407fff,
    0xffff00ff,0xf837ffc4,0xffd80fff,0x41ffff2f,0x400ffff8,0x2ffffff8,
    0xfffff100,0xfffffe8d,0xfffff981,0xcccccccb,0x4ffffd40,0xb04ffff8,
    0xff983fff,0x3fe600ef,0x5ffc803f,0xf100bffa,0x1bfea3ff,0x00000000,
    0x7fffe400,0xfffffece,0x7ffff444,0x0fffffff,0x3bffffee,0x07ffffff,
    0xfffffe88,0x00ffffff,0xdfffffa8,0x21fffffd,0xfefffffb,0x647fffff,
    0xffdfffff,0x7ffc45ff,0xffffffff,0x3fe62fff,0xffffffff,0xffffe83f,
    0xffffffff,0xffffefff,0x3ffff24f,0xf0000bff,0x7d401fff,0xffecefff,
    0xfeffffff,0x5005ffff,0x4dfffffd,0x7f407fff,0xffff00ff,0xf837ffc4,
    0xffd80fff,0x81ffff2f,0xd805fffc,0x4007ffff,0x5c4ffffe,0xf706ffff,
    0xffffffff,0x7c41ffff,0x3fee4fff,0x05fb02ff,0xf3003be6,0xff8807ff,
    0x00bff70f,0xffd9bfea,0x00000003,0xffe88000,0xffcfffff,0xfffd886f,
    0x81efffff,0xfffffffd,0x2007ffda,0xfffffffd,0x3ee001ef,0xffffffff,
    0xffffd83f,0x7ffdafff,0xffffffc8,0xffa80fff,0xaadeec9c,0xfffa85ff,
    0x04ffffff,0xffffffb1,0xfffd5bff,0xc89fffff,0x0002efff,0x400ffff8,
    0xfffffffd,0xffffeadf,0x000effff,0xf37ffecc,0xffe80fff,0x4ffff00f,
    0xff06fff8,0xfffb01ff,0x103fffe5,0x9805ffff,0x4004ffff,0x4c2ffffb,
    0xf704ffff,0xffffffff,0x7ec1ffff,0xfffe86ff,0x4c01880f,0x3fff9800,
    0x00000000,0x00000000,0xffb10000,0x3ff63dff,0xfffb701f,0xffd809df,
    0xfffb1eff,0xfffdb800,0xb30004ef,0x3bffffff,0x6ffffe40,0x2a0fffb1,
    0x1dfffffe,0x166012a0,0xfffffd88,0xffeb802e,0x7fe43eff,0xfc82efff,
    0x3e00001d,0x64400fff,0x42dfffff,0x3ffffffb,0x37e44000,0xfe80ffff,
    0xffff00ff,0xf837ffc4,0xffd80fff,0x01ffff2f,0xd00dfff7,0x98003fff,
    0xff80ffff,0xfff701ff,0xffffffff,0x3ffee1ff,0xffff881f,0x00000005,
    0x00000000,0x00000000,0x4cc40000,0x09980000,0x0000cc00,0x00013300,
    0x000cccc0,0x26000066,0x0000009a,0x00135100,0x88013310,0x00260099,
    0x0aaaa000,0x10015300,0x00000333,0x00000005,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x554400cc,0x4d54400a,0xaaaaaa80,
    0xaaaaaaaa,0x2aaaaaa2,0xaaaaaaaa,0x200f2a02,0x99880aa9,0x43333109,
    0x65409998,0x008802cd,0x05dddc40,0x33320444,0x5534cccc,0x07777305,
    0x2eee0000,0x74caeea1,0xeeeeeeee,0x2eeeeeee,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x88000000,0x80cffffc,0x02fffffc,0x8dfffffb,0xfffffffd,0x27ffffff,
    0xfffffffd,0x07ffffff,0xfd8817f2,0x7fe43fff,0x4ffff55f,0x6f43fffe,
    0xfea85ffe,0xd880beff,0xd13ffee1,0x7ffc1fff,0xffd6ffff,0x2fffd81f,
    0x3fffffe6,0xffffffff,0x47ffd3ff,0xfff35ffd,0xffffffff,0x007fffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xff900000,0xfc87ffdd,0x42ffffff,0xfffefffb,
    0x3fffff63,0xffffffff,0x3fffff67,0xffffffff,0x40bf7047,0x3ffffffe,
    0x7d57fff2,0x3fffa7ff,0xc83ff203,0xffffffff,0x41fecaad,0x3fa0fffb,
    0x3fffe0ff,0xfffd6fff,0x217ffcc1,0xfffffff9,0xffffffff,0x6c7ffd3f,
    0xdddd35ff,0xdddddddd,0x0007dddd,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4ff88000,
    0xfff89ff6,0x5c6ffc8a,0xd93fea6d,0xffffffff,0x367fffff,0xffffffff,
    0x7c7fffff,0xfb8cfb9d,0xb117ff51,0x3fff21ff,0x74ffff55,0x3f203fff,
    0x3ffffe0f,0xffffffff,0x3ffc81ff,0xff83fffa,0xfd6fffff,0x1ffe41ff,
    0x66666644,0xcccccccc,0x47ffd2cc,0x00005ffd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0xa9ffa099,0x3ffe25ff,0xbff95100,0x4cccccc4,0x7ffd9999,
    0x26666662,0x19999999,0x3bfbffea,0x8df94fff,0xfff92ff9,0xe9fffeab,
    0xbbd53fff,0xeff89fff,0xffffffcc,0xd900ffff,0x507fff4b,0x23555555,
    0xdb10dddc,0x00000007,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x32000000,
    0x0fff23ff,0xfec83ffd,0x0005ffff,0x0000fffb,0xffffdb88,0x8dfb2cef,
    0xfff72ff8,0xc9bffe29,0xffd52fff,0x305f05bd,0x1bffffd7,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xb1000000,0x3ffb8bff,
    0xffd0fff4,0x00bff79d,0x989fff60,0x99999999,0xf5019999,0x5ff707ff,
    0xff987fe4,0xb97ffe2f,0x08000fff,0x000aa980,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffd10000,0x44bff509,0xbff30fff,
    0x8002ffd4,0x3ff67ffd,0xffffffff,0xffa87fff,0x7f442ffc,0x224fffef,
    0x3ff61fff,0x001ffe63,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x03fff880,0xfb37fff1,0x8affd4df,0xb0005ffd,
    0x7ffecfff,0xffffffff,0xaffcc7ff,0x7f4c1ffd,0x5540dfff,0x510554c2,
    0x00000055,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x74000000,0x0eeeefff,0x3fffffee,0x7ffff41f,0xb0006fff,0x7ffecfff,
    0xffffffff,0x8fec47ff,0xcb880ef8,0x0000002c,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ffe6000,0x540fffff,
    0xa81effff,0x7fdbfffd,0x49995000,0xcccccccb,0x04cccccc,0x00000183,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x50000000,0x99999999,0x44004cc0,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_33_latin_ext_x[560]={ 0,2,1,0,1,1,1,1,1,0,0,1,1,0,
2,-1,1,2,0,1,0,1,1,1,1,0,2,2,1,1,1,1,0,0,2,1,2,2,2,1,2,2,0,2,
2,2,2,1,2,1,2,1,0,2,-1,0,0,-1,0,2,-1,0,1,-1,0,1,1,1,1,0,0,1,2,2,
-2,1,2,1,2,1,2,1,1,0,0,2,0,0,0,0,0,0,2,0,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,1,0,0,0,
2,0,0,-1,0,1,1,0,-1,-1,1,0,0,0,2,1,-1,2,0,1,0,1,1,1,0,1,0,0,0,0,
0,0,-2,1,2,2,2,2,-1,1,-1,-1,-1,2,1,1,1,1,1,1,0,2,2,2,2,-1,2,2,1,1,
1,1,1,1,1,1,0,0,0,0,-1,1,-1,-1,1,2,1,1,1,1,1,0,1,2,2,2,2,0,2,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,2,1,-1,1,2,0,2,0,2,0,2,0,2,0,1,1,
1,1,1,1,1,1,2,2,0,0,-2,-1,-1,-1,-1,-1,1,1,2,2,2,2,0,-2,2,1,2,2,1,2,
-1,2,2,2,2,0,0,2,2,2,2,2,2,-1,2,2,1,1,1,1,1,1,1,1,2,1,2,0,2,1,
1,0,1,0,1,0,1,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,0,0,-1,0,
-1,0,0,0,0,0,0,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,3,3,-1,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,2,2,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,-1,-1,1,
1,2,2,2,2,2,2,2,2,2,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,1,-2,1,0,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__arial_bold_33_latin_ext_y[560]={ 26,4,4,4,3,4,4,4,4,4,4,8,21,16,
21,4,4,4,4,4,4,5,4,5,4,4,10,10,7,10,7,4,4,4,4,4,4,4,4,4,4,4,4,4,
5,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,29,4,10,4,10,4,10,4,10,4,4,
4,4,4,10,10,10,10,10,10,10,5,10,10,10,10,10,10,4,4,4,12,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,26,10,4,4,7,4,
4,4,4,4,4,11,10,16,4,0,4,6,4,4,4,10,4,13,26,4,4,11,4,4,4,10,-1,-1,-1,0,
0,0,4,4,-1,-1,-1,0,-1,-1,-1,0,4,0,-1,-1,-1,0,0,8,3,-1,-1,-1,0,-1,4,4,4,4,
4,4,4,3,10,10,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,7,9,4,4,4,4,4,4,4,
0,5,-1,4,4,10,-1,4,-2,4,-1,4,-1,4,-1,4,4,4,0,5,-2,4,-1,4,4,10,-1,4,-2,4,
-1,4,-1,4,4,2,-2,-1,4,4,-1,4,0,5,-2,4,4,4,-1,10,4,4,-2,4,4,4,10,-1,-1,5,
4,5,4,5,4,4,4,-1,4,4,10,-1,4,4,4,10,0,5,-2,4,-1,4,4,10,-1,4,4,10,-1,4,
-1,4,-2,4,4,10,-1,4,4,5,-1,4,4,5,-1,4,0,5,-2,4,-2,3,-1,4,4,10,-2,4,-2,4,
0,-1,4,-1,4,-1,4,4,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,4,7,7,4,7,7,7,
7,7,7,7,7,7,7,7,7,7,4,10,7,7,7,7,7,7,7,7,7,7,7,7,7,4,10,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,-1,4,-1,4,-1,
4,-1,4,-1,-1,-1,-1,-1,-1,-1,-1,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,-4,-2,-2,4,-2,4,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7, };
static unsigned short stb__arial_bold_33_latin_ext_w[560]={ 0,6,12,17,15,24,20,5,8,9,11,16,6,9,
5,10,14,10,15,15,16,15,15,15,15,16,5,5,15,16,15,16,29,22,18,19,18,17,15,21,18,5,15,20,
16,21,17,21,17,22,20,18,18,17,21,28,20,21,18,8,10,8,15,18,8,15,16,15,16,16,11,16,15,5,
9,16,5,24,15,16,15,16,11,16,10,14,17,23,17,16,15,11,4,11,17,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,6,15,16,16,17,
4,16,10,23,11,14,16,9,23,18,10,16,10,10,8,15,18,5,9,7,11,14,24,23,25,16,22,22,22,22,
22,22,31,19,17,17,17,17,8,8,11,11,21,17,21,21,21,21,21,15,23,17,17,17,17,21,17,16,15,15,
15,15,15,15,24,15,16,16,16,16,8,8,11,11,16,15,16,16,16,16,16,16,17,14,14,14,14,16,15,16,
22,15,22,15,23,17,19,15,19,15,19,15,19,15,18,21,21,17,17,16,17,16,17,16,17,16,17,16,21,16,
21,16,21,16,21,16,18,15,22,17,11,10,10,10,10,10,8,8,5,5,19,13,17,11,20,16,15,16,8,16,
9,16,10,16,11,18,9,17,15,17,15,17,15,20,18,15,21,16,21,16,21,16,28,26,20,11,20,12,20,11,
18,16,18,16,18,16,18,16,18,10,18,15,18,10,17,14,17,14,17,14,17,14,17,15,17,17,28,23,21,16,
21,18,15,18,15,18,15,9,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,20,16,16,18,16,16,16,
16,16,16,16,16,16,16,16,16,16,25,21,16,16,16,16,16,16,16,16,16,16,16,16,16,23,20,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,22,15,10,10,21,
16,17,14,17,14,17,14,17,14,17,14,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,22,15,31,24,23,17,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16, };
static unsigned short stb__arial_bold_33_latin_ext_h[560]={ 0,22,9,23,26,23,23,9,29,29,11,15,10,5,
5,23,23,22,22,23,22,22,23,21,23,23,16,21,17,11,17,22,29,22,22,23,22,22,22,23,22,22,23,22,
21,22,22,23,22,25,22,23,22,23,22,22,22,22,22,28,23,28,13,3,5,17,23,17,23,17,22,23,22,22,
29,22,22,16,16,17,22,22,16,17,22,17,16,16,16,23,16,29,29,29,7,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,22,28,23,17,22,
29,29,4,23,12,14,11,5,23,4,10,20,12,12,5,22,28,5,7,12,12,14,23,23,23,23,27,27,27,26,
26,26,22,29,27,27,27,26,27,27,27,26,22,26,28,28,28,27,27,15,25,28,28,28,27,27,22,23,23,23,
23,23,23,24,17,23,23,23,23,23,22,22,22,22,23,22,23,23,23,23,23,17,19,23,23,23,23,29,28,29,
26,22,27,23,29,23,28,23,29,23,28,23,28,23,27,23,22,23,26,22,28,23,27,23,29,23,27,23,29,29,
28,29,28,29,29,31,28,27,22,22,27,22,26,21,28,22,29,29,27,16,23,29,29,29,29,29,16,27,27,28,
29,21,22,21,22,22,22,27,22,29,23,27,22,22,23,23,27,22,29,23,28,23,23,17,27,22,29,23,27,22,
28,23,29,23,29,23,28,23,32,30,27,23,22,22,28,23,27,22,29,23,29,24,28,23,29,23,28,22,28,29,
26,27,22,27,22,27,22,22,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,23,19,19,29,19,19,19,
19,19,19,19,19,19,19,19,19,19,23,17,19,19,19,19,19,19,19,19,19,19,19,19,19,23,17,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,27,23,27,22,28,
23,28,23,28,28,28,28,28,28,28,28,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,30,29,28,23,30,24,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19, };
static unsigned short stb__arial_bold_33_latin_ext_s[560]={ 511,398,99,340,181,257,204,93,37,64,70,
421,503,155,149,414,242,405,416,342,36,53,358,380,492,130,499,396,244,53,186,
360,321,252,344,259,211,193,124,196,17,432,180,377,363,230,342,218,449,233,467,
240,174,151,140,315,275,102,296,378,169,369,468,210,140,1,117,143,76,109,162,
59,86,506,291,69,505,288,272,17,1,488,260,77,438,94,329,347,387,1,371,
95,123,128,122,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,
482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,511,302,229,
449,126,242,241,264,199,18,24,453,36,155,93,180,82,447,1,492,171,495,80,
165,112,484,12,438,382,358,423,134,1,24,65,76,99,13,405,301,345,428,446,
36,492,400,480,197,128,122,265,347,303,151,173,405,209,158,121,176,269,323,272,
243,227,211,195,179,163,274,219,114,97,80,63,46,321,396,260,330,475,188,442,
425,408,391,374,202,464,327,312,297,282,351,287,368,158,226,448,147,385,110,406,
14,409,38,245,495,60,479,492,441,204,152,140,150,194,365,287,322,429,305,305,
397,466,488,38,20,99,224,140,20,387,464,373,355,1,33,501,402,500,22,74,
83,505,505,54,127,109,141,206,153,313,241,232,212,281,413,279,430,343,290,309,
47,452,246,463,382,479,1,19,30,426,44,202,170,325,187,311,159,130,290,181,
1,471,309,139,260,162,277,1,225,19,294,1,61,213,459,77,468,369,95,195,
437,46,382,170,290,256,425,188,1,227,319,274,92,54,409,61,111,96,363,112,
178,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,74,482,482,447,
482,482,482,482,482,482,482,482,482,482,482,482,482,339,55,482,482,482,482,482,
482,482,482,482,482,482,482,482,128,34,482,482,482,482,482,482,482,482,482,482,
482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,88,407,
258,167,296,42,318,466,336,354,387,405,420,438,1,453,482,482,482,482,482,482,
482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,
482,482,482,72,107,468,481,37,256,482,482,482,482,482,482,482,482,482,482,482,
482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,
482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,
482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,
482,482,482,482,482,482,482,482,482, };
static unsigned short stb__arial_bold_33_latin_ext_t[560]={ 1,221,285,173,121,149,149,285,32,32,285,
267,267,285,285,121,149,221,221,149,244,244,149,244,149,173,244,244,267,285,267,
221,1,244,244,197,244,244,244,197,244,221,197,221,244,244,221,197,221,121,221,
197,244,197,244,244,244,244,244,64,197,64,267,285,285,267,197,267,197,267,244,
197,244,173,1,244,221,267,267,267,244,221,267,267,221,267,267,267,267,197,267,
1,1,1,285,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,
244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,1,221,64,
173,267,221,1,1,285,197,285,267,285,285,197,285,285,244,285,267,285,197,64,
285,285,267,285,267,173,173,173,197,93,93,93,121,121,121,197,1,93,93,93,
121,93,93,93,121,221,121,64,64,64,93,93,267,121,64,64,64,93,93,221,
173,173,173,173,173,173,121,267,173,173,173,173,173,221,197,221,221,149,221,149,
149,149,149,149,267,244,149,149,149,149,1,64,1,121,221,64,173,1,149,64,
173,1,149,64,121,64,121,64,121,221,149,121,221,64,121,93,121,1,121,93,
121,1,1,64,33,64,1,1,1,64,93,197,197,121,221,93,244,32,221,32,
32,1,244,149,32,32,32,32,32,267,93,93,64,1,244,197,244,197,197,197,
93,197,1,121,93,197,221,149,173,64,221,1,149,64,149,173,267,93,221,1,
173,64,221,64,173,1,173,34,149,64,173,1,1,93,149,221,197,32,149,93,
197,32,121,32,121,32,121,32,149,32,197,32,32,121,93,221,93,221,93,221,
221,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,149,244,244,1,
244,244,244,244,244,244,244,244,244,244,244,244,244,121,267,244,244,244,244,244,
244,244,244,244,244,244,244,244,149,267,244,244,244,244,244,244,244,244,244,244,
244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,93,173,
93,221,32,197,32,173,32,32,32,32,32,32,64,32,244,244,244,244,244,244,
244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,
244,244,244,1,1,32,173,1,121,244,244,244,244,244,244,244,244,244,244,244,
244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,
244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,
244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,
244,244,244,244,244,244,244,244,244, };
static unsigned short stb__arial_bold_33_latin_ext_a[560]={ 131,157,224,263,263,420,341,112,
157,157,184,276,131,157,131,131,263,263,263,263,263,263,263,263,
263,263,157,157,276,276,276,289,461,341,341,341,341,315,289,368,
341,131,263,341,289,394,341,368,315,368,341,315,289,341,315,446,
315,315,289,157,131,157,276,263,157,263,289,263,289,263,157,289,
289,131,131,263,131,420,289,289,289,289,184,263,157,289,263,368,
263,263,236,184,132,184,276,354,354,354,354,354,354,354,354,354,
354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,
354,354,354,354,354,354,354,354,131,157,263,263,263,263,132,263,
157,348,175,263,276,157,348,261,189,259,157,157,157,272,263,131,
157,157,173,263,394,394,394,289,341,341,341,341,341,341,473,341,
315,315,315,315,131,131,131,131,341,341,368,368,368,368,368,276,
368,341,341,341,341,315,315,289,263,263,263,263,263,263,420,263,
263,263,263,263,131,131,131,131,289,289,289,289,289,289,289,259,
289,289,289,289,289,263,289,263,341,263,341,263,341,263,341,263,
341,263,341,263,341,263,341,340,341,289,315,263,315,263,315,263,
315,263,315,263,368,289,368,289,368,289,368,289,341,289,341,289,
131,131,131,131,131,131,131,131,131,131,371,263,263,131,341,263,
263,289,131,289,131,289,182,289,226,289,131,341,289,341,289,341,
289,335,342,289,368,289,368,289,368,289,473,446,341,184,341,184,
341,184,315,263,315,263,315,263,315,263,289,157,289,226,289,157,
341,289,341,289,341,289,341,289,341,289,341,289,446,368,315,263,
315,289,236,289,236,289,236,131,354,354,354,354,354,354,354,354,
354,354,354,354,354,354,354,343,354,354,263,354,354,354,354,354,
354,354,354,354,354,354,354,354,403,336,354,354,354,354,354,354,
354,354,354,354,354,354,354,392,342,354,354,354,354,354,354,354,
354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,
354,354,354,354,354,341,263,131,131,368,289,341,289,341,289,341,
289,341,289,341,289,354,354,354,354,354,354,354,354,354,354,354,
354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,
354,354,341,263,473,420,368,289,354,354,354,354,354,354,354,354,
354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,
354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,
354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,
354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,
354,354,354,354,354,354,354,354, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_33_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_bold_33_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_33_latin_ext(stb_fontchar font[STB_FONT_arial_bold_33_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_33_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_bold_33_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_33_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_33_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_33_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_33_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_33_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_33_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_33_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_33_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_33_latin_ext_s[i] + stb__arial_bold_33_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_33_latin_ext_t[i] + stb__arial_bold_33_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_33_latin_ext_x[i];
            font[i].y0 = stb__arial_bold_33_latin_ext_y[i];
            font[i].x1 = stb__arial_bold_33_latin_ext_x[i] + stb__arial_bold_33_latin_ext_w[i];
            font[i].y1 = stb__arial_bold_33_latin_ext_y[i] + stb__arial_bold_33_latin_ext_h[i];
            font[i].advance_int = (stb__arial_bold_33_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_33_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_33_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_33_latin_ext_s[i] + stb__arial_bold_33_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_33_latin_ext_t[i] + stb__arial_bold_33_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_33_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_33_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_33_latin_ext_x[i] + stb__arial_bold_33_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_33_latin_ext_y[i] + stb__arial_bold_33_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_33_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_33_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_33_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_33_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_33_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_33_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_33_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_33_latin_ext_LINE_SPACING
#endif

