// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_35_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_35_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_35_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_bold_35_latin_ext_BITMAP_HEIGHT        330
#define STB_FONT_arial_bold_35_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_bold_35_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_bold_35_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_bold_35_latin_ext_LINE_SPACING          23

static unsigned int stb__arial_bold_35_latin_ext_pixels[]={
    0x55555551,0x55555555,0x00000355,0x00000000,0x001aaaa8,0x00000930,
    0x00000000,0x19998800,0x00998800,0x88333100,0x99980099,0x44000009,
    0x26600199,0x31000099,0x00333333,0x004ccc40,0x2a0d5540,0x260000aa,
    0x50000199,0x55544355,0x372e0000,0x8866201e,0x31000019,0x10000333,
    0x98003333,0x00000999,0x405eeeb8,0x99999998,0x7774c099,0xfffff500,
    0xffffffff,0x1007ffff,0x98000099,0x0001ffff,0x03bffea0,0x00bf9100,
    0x00bfffb0,0x7fff4000,0x7f400005,0xe98004ff,0xf88001ff,0x3fff32ff,
    0x0dfff900,0x7ff44000,0x3fff2003,0xfffb0006,0x0001ffff,0x00dffff1,
    0x323fff30,0x2a0006ff,0x0004ffff,0xfb0fffa8,0x3a6000bf,0x2a02ffff,
    0x04ff9bff,0x9fffb000,0xfffd0000,0xfffc8009,0x7c400006,0x7d400fff,
    0xffffffff,0x807ffcc3,0xfffffffa,0xffffffff,0x7fd403ff,0x7ec00007,
    0x400002ff,0x4000fffe,0x4005fffa,0x0006fff9,0x1bffe600,0xfff30000,
    0x7ec4000b,0xffa8000f,0x003fff9f,0x0007fff6,0x000f7ec0,0x0017ffe4,
    0x6666665c,0xfffd0004,0xf90007ff,0x03fff7df,0x3fffe200,0xd80001ff,
    0x0fffbdff,0xffffd000,0xfffa805f,0xf300005f,0x30000bff,0x2000bfff,
    0x0002fffc,0x007ffee0,0x3fffffea,0x7fcc3fff,0xffff500f,0xffffffff,
    0x407fffff,0x0001dff8,0x00fffe60,0x3fff3000,0xbfff9000,0x0effd800,
    0x3f600000,0x400000ef,0x20005ffd,0x03359718,0xfffffd80,0x5ffd8006,
    0x32662000,0xd800198c,0x188006ff,0xfc800198,0x01fffaef,0xfffffe80,
    0x3ffa0003,0x000effcc,0x7ffff440,0xff50002f,0x4403ffff,0x019aaaa9,
    0x05ffd800,0x0bffb000,0x05ffd800,0x07ffe000,0x666664c0,0x7cc1cccc,
    0x555100ff,0xdfffd555,0x03555555,0x00007fd4,0x000fff20,0x007ff600,
    0x02fffe40,0x001dff10,0x77fcc000,0x7cc00000,0x7f40006f,0x10007fc1,
    0x001ffffd,0x0007ffa0,0x03fe0ff4,0x007ff600,0x0ff83fd0,0x47ffe600,
    0x88006ffc,0x0005ffff,0xffe9bfee,0xff980004,0x320005ff,0xfd005fff,
    0x0000ff83,0x0003bfe2,0x003bfe60,0x007ff600,0x00bbaa00,0x3fe60000,
    0xffc8000f,0xff70006f,0x640000ff,0x5000003c,0x988005dd,0x099efffc,
    0x00066540,0x0332a000,0x26620000,0x0ff40000,0x530003fe,0x44000355,
    0xfd000099,0x0000ff83,0xfe800355,0x10007fc1,0x09998133,0x09998800,
    0x82666000,0x00001998,0x80003331,0xd002fffc,0x000ff83f,0x00026620,
    0x000554c0,0x00013300,0x00000000,0x0001fff3,0x000dfff9,0x001fffee,
    0x000c0000,0x00bfbfe6,0xffffffb8,0x035005ff,0x00000000,0x00aaaa60,
    0xa98aaaa2,0x99818aaa,0xeb82aaa9,0x0fbba0ee,0x10055553,0x554c5555,
    0x999818aa,0xeeb82aaa,0x30fbba0e,0x30315555,0x4c555533,0xa8802aaa,
    0x2aaa62aa,0x2aaa8802,0x9bb75100,0x88000135,0x09acddba,0x1fffd800,
    0x18aaaa98,0x2aaa9998,0x9bb75100,0x75c00135,0x0fbba0ee,0xcddba880,
    0x9988009a,0x4ccc4009,0xd07775c0,0xfff987dd,0xfffc8000,0xddd50006,
    0x7510000b,0xb81579db,0xe9f2003f,0x3ffee006,0x405fffff,0x0005fffa,
    0x2aaaaaa0,0xaaaaaaaa,0xb0aaaaaa,0xf500bfff,0x3ff61fff,0xfffa805f,
    0x07ffe40f,0xffd89fff,0xfffa805f,0x0bfffb0f,0x81ffff50,0x3fe0fffc,
    0x2fffec4f,0x87fffd40,0xa805fffd,0xffb0ffff,0xfff500bf,0x7ffd401f,
    0x3fffffff,0xffffa800,0x03ffffff,0x40fffec0,0xa805fffd,0x2a00ffff,
    0xffffffff,0xff9003ff,0x027ffc1f,0x7fffffd4,0x5c03ffff,0x7ec07fff,
    0x7ffe44ff,0xf313ffe0,0xf90001ff,0x00000dff,0xfffd3000,0x17ffffff,
    0x2003fff5,0xb801b66d,0xffffffff,0x7dcf7405,0xff980002,0xffffffff,
    0xffffffff,0xbfffb2ff,0x1ffff500,0x2017fff6,0x640ffffa,0x3ffe0fff,
    0x02fffec4,0xd87fffd4,0xfa805fff,0x7fe40fff,0xb13ffe0f,0xf500bfff,
    0x3ff61fff,0xfffa805f,0x0bfffb0f,0x01ffff50,0x3ffffff2,0x0effffff,
    0xfffff900,0xdfffffff,0x3fff6001,0x05fffd80,0x00ffffa8,0xfffffff9,
    0x01dfffff,0x3e0fffc8,0x7fe404ff,0xffffffff,0xff100eff,0x3fe205ff,
    0x7ffe41ff,0xf313ffe0,0xf90001ff,0x31000dff,0x19988377,0x7ffffdc0,
    0xffffffff,0x2a003fff,0x2004fddf,0x9efffc98,0xf8fe2009,0xffd80004,
    0xffffffff,0xffffffff,0xbfffb2ff,0x1ffff500,0x2017fff6,0x5c0ffffa,
    0x3bba0eee,0x02fffec3,0xd87fffd4,0xfa805fff,0x775c0fff,0xb0fbba0e,
    0xf500bfff,0x3ff61fff,0xfffa805f,0x0bfffb0f,0x01ffff50,0xfffffffb,
    0xffffffff,0xffffd803,0xffffffff,0xfe801fff,0xfffd80ff,0xffffa805,
    0xfffffd80,0xffffffff,0x3bae01ff,0x80fbba0e,0xfffffffd,0xffffffff,
    0x0bfffb01,0x2e1bffea,0x3bba0eee,0x007ffcc3,0x037ffe40,0x3ffffea0,
    0x01fffd2f,0x3ffffffa,0xffffffff,0x7e4004ff,0xc8006fff,0x3a005fff,
    0x0001fc9e,0x7fffffcc,0xffffffff,0x2fffffff,0x500bfffb,0x3f61ffff,
    0xffa805ff,0xb00000ff,0xf500bfff,0x3ff61fff,0xfffa805f,0xfb00000f,
    0xff500bff,0x3fff61ff,0xffffa805,0x00bfffb0,0xb81ffff5,0x9adfffff,
    0xfffffb98,0x3fffee06,0xfb989adf,0xf806ffff,0xfffb07ff,0xffff500b,
    0xfffffb81,0xffb989ad,0x00006fff,0x3ffffee0,0xffb989ad,0xff506fff,
    0x3fff60ff,0x3e600003,0xfc8000ff,0x3f2006ff,0xbfffffff,0xfb80fffe,
    0x89adffff,0xffffffb9,0x7fffc000,0x7e4001ff,0x3ea005ff,0xc80005ff,
    0xfff16fff,0x5555559f,0x3f615555,0xffa805ff,0xbfffb0ff,0x1ffff500,
    0x3ff60000,0xfffa805f,0x0bfffb0f,0x01ffff50,0x3fff6000,0xffffa805,
    0x00bfffb0,0x361ffff5,0xfa805fff,0x3fe20fff,0x36203fff,0xf883ffff,
    0x2203ffff,0x203ffffd,0xfb06fffa,0xff500bff,0x7ffc41ff,0x3f6203ff,
    0x00003fff,0x3fffff88,0x3ffff620,0x85ffff03,0x000ffff8,0x03ffe600,
    0x1bfff200,0x7ffffcc0,0xffffffde,0x7fffc40f,0x3ffe202f,0x3ea003ff,
    0x005fffff,0x002fffe4,0x44000054,0xff12ffff,0xfb0003ff,0xff500bff,
    0x3fff61ff,0xffffa805,0x20133310,0xffb19998,0xfff500bf,0x17fff61f,
    0x43fffea0,0x31009998,0x3fff6333,0xffffa805,0x00bfffb0,0x361ffff5,
    0xfa805fff,0x3ff60fff,0xfff003ff,0xfffd81ff,0xffff003f,0xffff501f,
    0x17fff607,0x83fffea0,0x003ffffd,0x441fffff,0x33100999,0x7fffec33,
    0xfffff003,0x8bfff901,0x4c46fffa,0x33310099,0x003ffe63,0x01bfff20,
    0x20fffff4,0x40fffffc,0x403ffffc,0x07fffffe,0x3fffff60,0x3f2000ff,
    0x753005ff,0x40005799,0x3e26fffc,0xd8001fff,0xfa805fff,0xfffb0fff,
    0xffff500b,0x40ffffa1,0xffb7fffa,0xfff500bf,0x17fff61f,0x43fffea0,
    0xf503fffe,0x3fff6fff,0xffffa805,0x00bfffb0,0x361ffff5,0xfa805fff,
    0x3ffe0fff,0x3fee006f,0x7fffc3ff,0x3ffee006,0x3fffe23f,0x3fff606f,
    0xffffa805,0x01bfffe0,0x23ffffb8,0xf503fffe,0x7fffcfff,0x3ffee006,
    0x7fff983f,0x3a1fffec,0xff503fff,0x03ffe6ff,0x1bfff200,0x0ffffe60,
    0x207ffff4,0x6c06ffff,0x3fffffff,0xfffff880,0x32003fff,0x6cc05fff,
    0xffffffff,0x7ffc4002,0x3fffe23f,0xfffd8001,0xffffa805,0x00bfffb0,
    0x3a1ffff5,0xff503fff,0x17fff6ff,0x43fffea0,0xa805fffd,0xffd0ffff,
    0x3ffea07f,0x00bfffb7,0x361ffff5,0xfa805fff,0xfffb0fff,0xffff500b,
    0x0ffffe61,0x49ffff00,0x003ffff9,0xf127fffc,0x6c01bfff,0xfa805fff,
    0xfff30fff,0xfff8007f,0x0ffffa4f,0xf9bfffd4,0x7c003fff,0xffd04fff,
    0x3fffe25f,0x81ffff40,0xff37fffa,0xff90001f,0xfff500df,0x3fff203f,
    0x3fffe20f,0x27fff203,0xc804ffff,0xfffcefff,0x3fff2006,0x3fffe205,
    0x3fffffff,0x3fffee00,0x07fffe20,0x17fff600,0x43fffea0,0xa805fffd,
    0xffd0ffff,0x3ffea07f,0x00bfffb7,0x361ffff5,0xfa805fff,0xfffd0fff,
    0x5fffea07,0xa805fffd,0xffb0ffff,0xfff500bf,0x17fff61f,0x43fffea0,
    0x002ffffb,0xf72ffff4,0xe8005fff,0x3fe25fff,0x3f601eff,0xffa805ff,
    0xffff70ff,0xfffe8005,0x40ffffa5,0xff77fffa,0xfe8005ff,0xfff705ff,
    0x217ffeab,0xf503fffe,0x3ffe6fff,0xfffc8000,0x7fffb806,0x83fffea0,
    0x701ffff9,0x3ffe3fff,0xfffe805f,0x01ffff9b,0x40bfff70,0xfdeffffd,
    0x2007ffff,0x7c44ffff,0xccccdfff,0x362ccccc,0xfa805fff,0xfffb0fff,
    0xffff500b,0x40ffffa1,0xffb7fffa,0xfff500bf,0x17fff61f,0x43fffea0,
    0xf503fffe,0x3fff6fff,0xffffa805,0x00bfffb0,0x361ffff5,0xfa805fff,
    0xfff70fff,0xffd8003f,0x3fffee6f,0x7ffec001,0x3ffffa26,0xbfffb00f,
    0x1ffff500,0x007fffee,0x74dfffb0,0xff503fff,0x3fffeeff,0x7ffec001,
    0x2ffff106,0xfe82fffd,0xfff503ff,0x003ffe6f,0x01bfff20,0x8817fff2,
    0x3ee0ffff,0xffa80fff,0x1bfff62f,0x21ffff50,0x7005fffe,0x3e60bfff,
    0x7fd41fff,0xffb801ff,0x7ffc40ff,0xffffffff,0x3ff63fff,0xfffa805f,
    0x0bfffb0f,0x21ffff50,0xf503fffe,0x3fff6fff,0xffffa805,0x00bfffb0,
    0x3a1ffff5,0xff503fff,0x17fff6ff,0x43fffea0,0xa805fffd,0xffb0ffff,
    0xfff500bf,0x3ffff21f,0x7ffe4000,0x03ffff27,0x0ffff900,0x209fffd3,
    0xa805fffd,0xff90ffff,0xfc8001ff,0x3fffa7ff,0x2ffff503,0x000ffffc,
    0xb03fffe4,0xffff5fff,0x40ffffa0,0xff37fffa,0xff90001f,0xfff900df,
    0x7fffcc0d,0x21ffff20,0x7e43fffa,0x7fec07ff,0x3fffee5f,0xffffb800,
    0x1dd4c2aa,0x802ffff8,0xf885fffe,0xffffffff,0x363fffff,0xfa805fff,
    0xfffb0fff,0xffff500b,0x40ffffa1,0xffb7fffa,0xfff500bf,0x17fff61f,
    0x43fffea0,0xf503fffe,0x3fff6fff,0xffffa805,0x00bfffb0,0x361ffff5,
    0xfa805fff,0xfff70fff,0xffc8001f,0x3fffee7f,0x7ffe4000,0x0dfff507,
    0x2017fff6,0xf70ffffa,0xc8001fff,0x3ffa7fff,0xffff503f,0x003fffee,
    0x40ffff90,0xfffffffa,0x07fffd04,0x7cdfffea,0xfc8000ff,0xffa806ff,
    0xfff500ff,0x7fffdc1f,0x213ffe60,0x2207fffc,0x3e22ffff,0xfa803fff,
    0x005fffff,0x0bfffea2,0x03ffff50,0xfffffff1,0x7fffffff,0x402fffec,
    0xfb0ffffa,0xff500bff,0x3fffa1ff,0x2ffff503,0xa805fffd,0xffb0ffff,
    0xfff500bf,0x0ffffa1f,0xfdbfffd4,0xffa805ff,0xbfffb0ff,0x1ffff500,
    0x2017fff6,0xf50ffffa,0xd8003fff,0x3fea6fff,0x7ec001ff,0x3ffa06ff,
    0x0bfffb07,0x21ffff50,0x001ffffa,0xfd37ffec,0x3fea07ff,0x3ffff57f,
    0x6fffd800,0x7fffffc0,0x7fffd01f,0x4dfffea0,0xc8000fff,0xf9806fff,
    0xffb02fff,0x7ffd41ff,0x0bfff11f,0xb81bfff6,0xffe87fff,0xffff006f,
    0x65440dff,0x2ffffffe,0x4f7fff40,0xfffa9999,0x999999bf,0x3ff60999,
    0xfffa806f,0x0dfffb0f,0x21ffff50,0xf503fffe,0x3fff6fff,0xffffa806,
    0x00dfffb0,0x3a1ffff5,0xff503fff,0x1bfff6ff,0x43fffea0,0xa806fffd,
    0xffb0ffff,0xfff500df,0x3fffe61f,0x7fffc002,0x0bfffe65,0x0bffff00,
    0x6c07fff4,0xfa806fff,0xfff30fff,0xfff8005f,0x0ffffa5f,0xf9bfffd4,
    0x7c002fff,0x7e405fff,0x3a06ffff,0xff503fff,0x03ffe6ff,0x1bfff200,
    0x077fffc0,0x1fffff91,0x45ffffcc,0x3fa05ffe,0x3ffa05ff,0xffffb84f,
    0xfffe9801,0xfffea86f,0x2fffffff,0x3ffffe60,0xffffffff,0xfc8001ff,
    0xffb806ff,0x1bfff27f,0xe9fffee0,0xff503fff,0x1bfff2ff,0xc9fffee0,
    0xfb806fff,0x3fffa7ff,0x2ffff503,0xb806fffc,0x3ff27fff,0xfffb806f,
    0x01bfff27,0xf89fffee,0x26004fff,0x3e23ffff,0x26004fff,0x3603ffff,
    0xffc80fff,0xfffb806f,0x13fffe27,0x3ffff980,0x540ffffa,0xfff17fff,
    0x7fcc009f,0x7fcc03ff,0x3fa03fff,0xfff503ff,0x003ffe6f,0x01bfff20,
    0x67ffffd4,0xfffffffc,0x37fffe20,0xf100effe,0x3e607fff,0xff881fff,
    0x2a2005ff,0xfffff701,0x5fffd59d,0x7ffffec0,0xffffffff,0xfb8001ff,
    0xffc807ff,0x1fffee7f,0xe9ffff20,0xff703fff,0x1fffeeff,0xb9ffff20,
    0xfc807fff,0x3fffa7ff,0x2ffff703,0xc807fffb,0x3fee7fff,0xfffc807f,
    0x01fffee7,0xff1ffff2,0x36003fff,0x7fc2ffff,0xfb001fff,0x7ec05fff,
    0xfffb81ff,0x7fffc807,0x00fffffc,0x22ffffd8,0xf703fffe,0x7fffcfff,
    0xfffb001f,0xfffd005f,0x7fff401f,0x2ffff703,0x0000fff9,0x7ffe4000,
    0xffdfffff,0x7fff40ff,0x3200efff,0xf902ffff,0xdddddfff,0x01fffffd,
    0xf5033310,0xfe839fff,0xfff302ff,0xffffffff,0x003fffff,0x09ffff50,
    0x537fffc4,0x4409ffff,0x3f66ffff,0xfff904ff,0x13fffeaf,0x26ffff88,
    0x204ffffa,0x366ffff8,0xff904fff,0x3fffeaff,0x3fffe204,0x13fffea6,
    0x26ffff88,0x204ffffa,0x546ffff8,0xa805ffff,0xfa86ffff,0xfa805fff,
    0x7ec06fff,0xfffa81ff,0x3ffe204f,0x7fffd46f,0xffffa805,0x827ffec6,
    0x3ea7fffc,0xfa805fff,0xfd006fff,0xffd80bff,0xffff904f,0x0003ffe6,
    0x00026662,0x9ffffffd,0xa81ffff1,0x01ffffff,0x81bfffe6,0xffffffff,
    0xffffffff,0x87ffe803,0xfd05fffc,0x3ff605ff,0xeeeeeeff,0x01ffffee,
    0xfffff880,0xffffc882,0x3ffffe23,0xffffc882,0x217fff23,0xf17ffff8,
    0x9105ffff,0x7c47ffff,0xc882ffff,0x3f23ffff,0xfff885ff,0xfffff17f,
    0xffff9105,0x7ffffc47,0xffffc882,0x3ffffe23,0xffffc882,0xeffffe83,
    0xfffff701,0x3ffffa03,0xffff701e,0xfffc803f,0xfffff882,0xffffc882,
    0xeffffe83,0xfffff701,0x85fffc83,0x747ffff8,0x701effff,0x003fffff,
    0x805ffff5,0xf885fffc,0xfff37fff,0xfff70001,0xdd73000d,0x1fffe259,
    0x06fffff4,0x1fffffa8,0xffffff50,0xffffffff,0xffd00dff,0x09fffd0f,
    0x107ffff3,0x9809ffff,0x0001ffff,0xbffffff9,0xffffffd9,0xfffffc81,
    0xffffecdf,0x3ffee0ff,0xfffd50bf,0x7fffe4ff,0xfffecdff,0x7fe40fff,
    0xfecdffff,0x2e0fffff,0xd50bffff,0x7e4fffff,0xecdfffff,0x40ffffff,
    0xdffffffc,0xffffffec,0x7ffffe40,0xffffecdf,0xfff980ff,0xfdccefff,
    0x204fffff,0xeffffff9,0xfffffdcc,0xfffb804f,0x7ffe419e,0xffecdfff,
    0xf980ffff,0xccefffff,0x4ffffffd,0x0bffffb8,0x8fffffd5,0xeffffff9,
    0xfffffdcc,0xffea804f,0xfffb807f,0xfffd50bf,0x03ffe6ff,0x1bffee00,
    0xfff30000,0x3ffff20f,0xfdcaacff,0x3604ffff,0xffffffff,0xffffffff,
    0x3fff401f,0x307fffec,0x907ffffd,0x9803ffff,0xeeeeffff,0x4eeeeeee,
    0x3fffffe2,0xffffffff,0xfffff884,0xffffffff,0x7fffcc4f,0xffefffff,
    0x3fffe27f,0xffffffff,0xfff884ff,0xffffffff,0x7fcc4fff,0xefffffff,
    0x3fe27fff,0xffffffff,0xf884ffff,0xffffffff,0x884fffff,0xffffffff,
    0x04ffffff,0x3fffffea,0xffffffff,0x7ffd400d,0xffffffff,0xa800dfff,
    0x22ffffff,0xfffffff8,0x4fffffff,0x3ffffea0,0xffffffff,0xfff980df,
    0xfeffffff,0xfffa87ff,0xffffffff,0xdb00dfff,0x07ffffff,0xffffff30,
    0xffffdfff,0x0003ffe6,0x201bffee,0x502bcde8,0xff50dfff,0xffffffff,
    0x1bffffff,0x0ffffe20,0x17fffe20,0xf70bfdb0,0xffdbffff,0xf889ffff,
    0xf9805fff,0xffffffff,0x46ffffff,0xffffffe8,0x203fffff,0xffffffe8,
    0x703fffff,0xbfffffff,0xe88ffff1,0xffffffff,0x3a203fff,0xffffffff,
    0xff703fff,0xf1bfffff,0xffe88fff,0xffffffff,0x3ffa203f,0xffffffff,
    0x3ffa203f,0xffffffff,0xffd8803f,0xffffffff,0x3f62003f,0xffffffff,
    0x7f4003ff,0x7442ffff,0xffffffff,0xd8803fff,0xffffffff,0x7dc03fff,
    0x8dffffff,0xfb107fff,0xffffffff,0xffc807ff,0x000effff,0xfffffff7,
    0x26ffff1b,0xb8000fff,0xff004fff,0xfe883fff,0x7ffcc4ff,0xffffffed,
    0x403fffff,0x000ffffc,0x801ffffb,0xfffb02fc,0xff9dffff,0xffffc8df,
    0xffff9802,0xffffffff,0xfd706fff,0x3bdfffff,0x3fffae00,0x401defff,
    0x24efffeb,0xfd707fff,0x3bdfffff,0x3fffae00,0x401defff,0x24efffeb,
    0xfd707fff,0x3bdfffff,0x3fffae00,0x001defff,0xffffffd7,0xda8003bd,
    0xceffffff,0xffb50000,0x019dffff,0xffffb100,0x3fffae05,0x001defff,
    0x7ffffed4,0xd7000cef,0x7fc9dfff,0x7fed407f,0x00ceffff,0xdfffffb8,
    0x7ff5c000,0x5fffe4ef,0x8000fff9,0xb002fd98,0xdbdfffff,0xd83fffff,
    0x3ffaa5ff,0x00ceffff,0x005ffff8,0x80ffffea,0x3f200efd,0xff14ffff,
    0x3ffe21ff,0xfff3006f,0xffffffff,0x880dffff,0x40001aa9,0x0001aa98,
    0x88000151,0x40001aa9,0x0001aa98,0x88000151,0x40001aa9,0x0001aa98,
    0x000d54c4,0x00153100,0x01531000,0x65d4c000,0x0d54c401,0x15310000,
    0x00a88000,0x02a62000,0x2b32a200,0x05440001,0x004cc880,0x4003fee0,
    0xffffffe8,0xb01fffff,0x00d4c40b,0x0bfffea0,0x0dffff00,0x153001ec,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xc8000000,0x644002ff,0xffffffff,0x0000001e,0x00ffffb0,0x03ffff90,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x000d8800,0x2f2eaa20,0x0000001a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x000aaaa8,0x76544000,
    0xeea80abc,0x213bb60e,0x000bcde9,0x2f442754,0x01555500,0x06aaaa20,
    0x00080000,0x005fffe8,0x02666600,0x2f775c00,0x4ccc4000,0x03bba601,
    0x37b32a20,0x5c0001bc,0x9800ffff,0xa8802aaa,0x326002aa,0x440003cc,
    0x33311999,0x85553001,0x10001aaa,0x2a6003b7,0xaaaaaaaa,0x02aaaaaa,
    0x30035553,0x40379db9,0x00019998,0x1bfff600,0x53011000,0x2aaaa201,
    0x55550aaa,0x3bb25555,0x0bfffa2e,0xffa80000,0xb81fffff,0x3ffa1fff,
    0xfffff985,0x03fe2002,0x7f400bf9,0xff9003ff,0x00000dff,0xfb8007f4,
    0x0003ffff,0x00efffa8,0xfffff980,0x7ff40004,0x3ffe604f,0x3fff6600,
    0x2effffff,0xffff9800,0xfffd805f,0xffffa805,0xdfff5000,0xfffd8000,
    0x001ffff2,0x3ea5fff1,0xf88000ff,0xfd803fff,0xffffffff,0x06ffffff,
    0x4407fffb,0xfffffffd,0x7fffc80c,0xff700000,0x10007fff,0xd137dffb,
    0x3ffea03f,0xffb1ffff,0x3f6dffff,0x3fffa3ff,0xf1000002,0x1fffffff,
    0x743fff70,0xfff985ff,0x7ec007ff,0x01ffecdf,0x00ffffa0,0x0ffffffc,
    0x37cc0000,0xfcfff980,0x740001ff,0xd0000fff,0x05fffbff,0x17ffe600,
    0x201fff30,0xfffffffb,0x05ffffff,0x7fe7ff40,0x7ffec03f,0xffffa805,
    0xdfff5000,0x7ffcc000,0x003fff73,0x7fd7ffd4,0x1f70003f,0x3ff601b6,
    0xffffffff,0xb06fffff,0x7f407fff,0xffffffff,0x07fffc85,0xfff98000,
    0x4001fffc,0xfffffffc,0x3ffea07f,0xffb1ffff,0x3f6dffff,0x3fffa3ff,
    0xf7000002,0x0dfdffff,0xed83bbaa,0xffff984e,0x362003ff,0x003fffff,
    0x401ffff4,0x5ffffffa,0x3fb80000,0x93ffe880,0x54000dff,0x90001fff,
    0x3ffeedff,0x5ffd8000,0x80fff980,0xfffffffc,0xffffffff,0x2bff9004,
    0x3601fffa,0xfa805fff,0xf5000fff,0x6c000dff,0x0fffa5ff,0x3ffff200,
    0x9f20005f,0x7fec00fc,0xffffffff,0xb06fffff,0x3ee07fff,0xffecdfff,
    0x7ffe43ff,0xfe800007,0x00dff94f,0xffdabfe8,0x3fea04ff,0xfb1fffff,
    0x36dfffff,0x3ffa3fff,0xb000002f,0x0221dfff,0xff900000,0x9510009f,
    0x99700017,0xfffb0039,0x0001ffff,0xa801fe80,0x0e6643cc,0x01ffe800,
    0x41ddd100,0x4c003eec,0xff3006ff,0xffffa81f,0xec989bef,0x401fffff,
    0x32e0ccc8,0x3fff603c,0xffffa805,0x79993000,0x9bfe2000,0x20004ffa,
    0x000ffffe,0x13f37e60,0x2bbfff60,0xaaaaaaaa,0xfffb02aa,0x17fff607,
    0xfc8dfff9,0x400007ff,0x66644cc9,0x2a132001,0x7ff4001b,0x05fffb1f,
    0x7f413331,0x000002ff,0x0007fffd,0xfff98000,0x00000004,0xffff1000,
    0x0007ffff,0x0003fc40,0x09980000,0x00000000,0x30009988,0x7fc41fff,
    0x7ec03fff,0x00004fff,0x05fffd80,0x00ffffa8,0x4c400000,0x00066209,
    0x00133310,0x019fd700,0x00dfffb0,0x0ffff600,0x262fffec,0x7fe42bcd,
    0x0000007f,0x00000000,0xfb1fffe8,0x555505ff,0x317fff43,0x98001577,
    0x9affff99,0x04ccc409,0x20266620,0x5305fff8,0x55100555,0x4ccc4055,
    0x77ffe400,0x0006fffc,0x13f72ea2,0xcedba880,0x2a20002b,0x401acddb,
    0x44009998,0x2a200999,0x402bcedb,0x3ee0fff9,0xf8804fff,0x51006fff,
    0x80359bb7,0xa805fffd,0x8800ffff,0x01acddba,0x4015554c,0x1002aaa8,
    0x0359bb75,0x082aaa98,0xfb155544,0x20000dff,0xf703fffd,0x64007fff,
    0x00007fff,0xcdedcb88,0x5554c01b,0x2aaa8802,0x6c7fffa0,0xffe82fff,
    0x2bfffa4f,0x3fffffe9,0xfffff500,0xb83fffff,0x7ec07fff,0xfff884ff,
    0x0bfffb06,0x01ffff50,0xd00ffffa,0xfff37fff,0xfd88003f,0x02ffffff,
    0x7fffff44,0x2003ffff,0xffffffe9,0xff700dff,0xfffd80ff,0xffffe884,
    0x303fffff,0x7fec1fff,0x375000ff,0xfffd3001,0x01bfffff,0x2017fff6,
    0x200ffffa,0xffffffe9,0xffb00dff,0xfff500bf,0x7ff4c01f,0x0dffffff,
    0x00bfffb0,0x361ffff5,0x00006fff,0x2207fffb,0x00dffffe,0x007fffc8,
    0x3fff6200,0x2effffff,0x00bfffb0,0x201ffff5,0xffb1fffe,0x9fffd05f,
    0x7feffff4,0x05ffffff,0xffffffb8,0xff887fff,0xfff102ff,0xdfff103f,
    0x017fff60,0x403fffea,0x2a03fffe,0xffd0ffff,0x7fd400bf,0xffffffff,
    0xfffff304,0xbfffffff,0xfffff700,0x7fffffff,0x05ffff10,0x307fffe2,
    0xffffffff,0xf30bffff,0x3ffe21ff,0x7000004f,0xffffffff,0xfb07ffff,
    0xff500bff,0x3fee01ff,0xffffffff,0xfffd83ff,0xffffa805,0xfffff700,
    0x7fffffff,0x00bfffb0,0x361ffff5,0x00006fff,0x5c07fffb,0x02ffffff,
    0x003fffe4,0xfffffb80,0xffffffff,0x05fffd84,0x00ffffa8,0x3f63fffd,
    0xfffe82ff,0x3fffffa4,0xfffffeef,0x7fffec03,0xb06fffff,0x3ea0bfff,
    0x3ffe06ff,0x0bfffb06,0x01ffff50,0xd80ffffa,0x3fee5fff,0xff8800ff,
    0xfffeffff,0x7ffc42ff,0xffffffff,0x3f604fff,0xffffffff,0xd82fffff,
    0xff505fff,0xffff88df,0xffffffff,0x7ffcc4ff,0x05ffff30,0xfffb0000,
    0xffffffff,0xffd85fff,0xfffa805f,0xffffd80f,0xffffffff,0x7ffec2ff,
    0xffffa805,0xfffffd80,0xffffffff,0x2fffec2f,0x87fffd40,0xcccffffd,
    0x4ccccccc,0x40ffff60,0xfffffff9,0xfff900df,0xff70000f,0xffffffff,
    0xd89fffff,0xfa805fff,0xffd00fff,0x0bfff63f,0xfe93fffa,0x3aa2efff,
    0xb000ffff,0xf5009fff,0x3ff60fff,0x1fffe03f,0x402fffec,0xd00ffffa,
    0x3e207fff,0x3fe22fff,0xffd803ff,0xfffc8bff,0x7ffdc6ff,0xfca88acf,
    0xfa80ffff,0xa8acffff,0x0ffffffc,0xd83fffd4,0x7fdc3fff,0xca88acff,
    0x260fffff,0xfff50fff,0xa800003f,0x8acfffff,0xffffffca,0x017fff60,
    0x503fffea,0x159fffff,0xffffff95,0x02fffec1,0x207fffd4,0xacfffffa,
    0xfffffca8,0x17fff60f,0x43fffea0,0xfffffffd,0x7fffffff,0x20ffff60,
    0xffeffff9,0xfc82ffff,0x4c0007ff,0x9befffff,0xffffeca8,0x17fff61f,
    0x03fffea0,0xfd8ffff4,0xfffe82ff,0x03ffffa4,0x00ffffe2,0x8017fffc,
    0x7c42ffff,0x3f600fff,0xfffd83ff,0xffffa805,0x07fffd00,0x3a1fffee,
    0x7cc06fff,0x27fa2fff,0x3f60deff,0x3ff204ff,0xfffe82ff,0x3fffa01e,
    0x2ffff83f,0x207fffc4,0x3204fffd,0x3e62ffff,0xffff70ff,0x3fffe603,
    0x743fffff,0x3a01efff,0x3f63ffff,0xffa805ff,0x7fff40ff,0x3fffa01e,
    0x17fff63f,0x03fffea0,0x403dfffd,0x363ffffe,0xfa805fff,0xfffb0fff,
    0xffffffff,0x7ec0ffff,0xfffc83ff,0xffffff71,0x07fffc85,0x7ffffc00,
    0x7fffec03,0x017fff64,0x403fffea,0xffb1fffe,0x9fffd05f,0xb027fff4,
    0xf1009fff,0x32003fff,0x7fd45fff,0x7ffd406f,0x3fff60af,0xffffa805,
    0x07fffd00,0x2e13fffa,0x2a01ffff,0x5be67fff,0x7ffff009,0x27fffc40,
    0x00bfffee,0x90bffff5,0xffa8bfff,0x3ffff86f,0x13fffe20,0x7ffd4333,
    0xffff301f,0x5c7fffff,0x5402ffff,0x3f65ffff,0xffa805ff,0x3ffee0ff,
    0x7ffd402f,0x17fff65f,0x83fffea0,0x402ffffb,0x365ffffa,0xfa805fff,
    0xfffb0fff,0xffffffff,0x7ec0ffff,0x6ffe83ff,0x7fffff4c,0x01ffff21,
    0x4ffffa80,0x6ffff880,0x2017fff6,0xd00ffffa,0x3ff63fff,0x4fffe82f,
    0xc80ffffa,0xf9805fff,0x3e6007ff,0x7ffec7ff,0xffffe803,0x0bfffb0f,
    0x01ffff50,0x260ffffa,0xf881ffff,0x3ee05fff,0x00fee6ff,0x807bfffa,
    0x3fffa018,0x01599006,0xfb1fffe6,0xfffd07ff,0x000c403d,0x40bfffe6,
    0xfffffff9,0x3fffa3ff,0x81599006,0xa805fffd,0x3fa0ffff,0x599006ff,
    0x05fffd81,0x20ffffa8,0x9006fffe,0xfffd8159,0xffffa805,0x33dfffb0,
    0x33333333,0x1fffec03,0x2207fffc,0x326ffffd,0x20007fff,0x000ffffd,
    0xffd81375,0xfffa805f,0x3fffd00f,0x3a0bfff6,0x3ffa4fff,0x3ffee02f,
    0x6fffb806,0x97fff400,0x000ffff8,0x361ffffb,0xfa805fff,0xffd00fff,
    0xffff907f,0xffdddddd,0x3f201fff,0x007fa5ff,0x37fffff2,0x7ffc000b,
    0x7400003f,0xfff12fff,0xffff901f,0x000017bf,0x207ffff1,0xffeeeee9,
    0x3fffe3ff,0xffc80003,0xfffa806f,0x01ffffc7,0x2fffec00,0x07fffd40,
    0x0007ffff,0x00bfffb0,0x361ffff5,0x00006fff,0xfb07fffb,0x3ff20bff,
    0xffff90ff,0x3ffe2000,0xfb00004f,0xff500bff,0x3ffa01ff,0x05fffb1f,
    0x7f49fffd,0x3fee03ff,0xfffc806f,0x7ffdc005,0x00bfff55,0x43ffffa2,
    0xa805fffd,0xfd00ffff,0xffff07ff,0xffffffff,0x3207ffff,0x0df15fff,
    0x3ffffe20,0x402cefff,0x002ffff8,0xafffdc00,0xf105fffa,0xdfffffff,
    0x7fc00059,0x3e2006ff,0xfff13fff,0xf900005f,0xff700dff,0x7fffc4ff,
    0xffd80002,0xfffa805f,0x5ffff10f,0xfffb0000,0xffff500b,0x01bfff61,
    0x1fffec00,0x06ffffdc,0xfc8fffec,0xf30007ff,0x00007fff,0x2017fff6,
    0xd00ffffa,0x3ff63fff,0x4fffe82f,0xc813fffa,0xfe805fff,0x7c4003ff,
    0x5fffb7ff,0x3ffffe00,0x0bfffb0e,0x01ffff50,0xf50ffffa,0xffffffff,
    0xdfffffff,0x55bffea0,0xff50024f,0xffffffff,0xfff3019f,0x8800003f,
    0xfffb7fff,0x7fffd405,0xcfffffff,0x7ffe4000,0xfff1002f,0x3fffe67f,
    0xffc80001,0xfffc807f,0x07fffe67,0x3fff6000,0xffffa805,0x03ffff30,
    0xbfffb000,0x1ffff500,0x001bfff6,0x41fffec0,0x2ffffff8,0xfc87ffdc,
    0xf50007ff,0x00003fff,0x2017fff6,0xd00ffffa,0x3ff63fff,0x4fffe82f,
    0xe81bfffa,0xff804fff,0xfd8002ff,0x07fffaff,0x81dfff70,0xa805fffd,
    0xfd00ffff,0xfffd87ff,0xffffffff,0x81ffffff,0xfd8ffff8,0x20b7bfa2,
    0xffffffe9,0x540effff,0x0000ffff,0xfafffd80,0xfe9807ff,0xffffffff,
    0x266440ef,0x03bfffe2,0x4ffffe60,0x000ffffa,0x3ffffa80,0x97fffe20,
    0x000ffffa,0x05fffd80,0x50ffffa8,0x0001ffff,0x00bfffb0,0x361ffff5,
    0x00006fff,0x2607fffb,0x0dffffff,0x7fe4dffd,0xff70007f,0x3fe603ff,
    0x3fffffff,0x500bfffb,0x3a01ffff,0xfffb1fff,0x49fffd05,0xa83ffffe,
    0x4402ffff,0x8000ffff,0xfffffffa,0x5fffb004,0x00bfffb0,0x201ffff5,
    0x3e23fffe,0xf8803fff,0xffd05fff,0x7fd4ffbf,0x3f2a01ff,0xffffffff,
    0x3fffee0e,0xfa800001,0x04ffffff,0x3ffff2a0,0x20efffff,0x7e40fff9,
    0x9101ffff,0x2e7fffff,0x0001ffff,0x2fffff88,0x4ffffc88,0x007fffee,
    0x17fff600,0x43fffea0,0x001ffffb,0x05fffd80,0xb0ffffa8,0x0000dfff,
    0x980ffff6,0xdeffffff,0x3ff22fff,0xff50007f,0x3fe603ff,0x3fffffff,
    0x500bfffb,0x3a01ffff,0xfffb1fff,0x49fffd05,0x9bfffffe,0x06ffffd9,
    0x007fffa8,0x3fffffe0,0xffff001f,0x017fff60,0x403fffea,0x3f23fffe,
    0xfb000fff,0xff901fff,0xff73dfff,0x5cc00dff,0x4ffffffe,0x00bfffe6,
    0x7fffc000,0x30001fff,0xffffffd7,0x207ffcc9,0xefffffe8,0xffffeccd,
    0xfff33fff,0x3200005f,0xcdffffff,0x1ffffffe,0x00bfffe6,0x17fff600,
    0x43fffea0,0x002ffff9,0x05fffd80,0xb0ffffa8,0xddddffff,0xdddddddd,
    0x07fffb03,0xfffffd88,0x7fe42fff,0xeeeeeeff,0xf10eeeee,0x3e605fff,
    0xffffffff,0x00bfffb3,0x201ffff5,0xffb1fffe,0x9fffd05f,0x7ffffff4,
    0x2fffffff,0x06fffb80,0x3ffff200,0x3ffe006f,0x0dfffb06,0x01ffff50,
    0xff8ffffa,0x3ea005ff,0xfe883fff,0xffffffff,0x910001ff,0x7c4dffff,
    0x01003fff,0xfffffc80,0xf9100006,0x7fccdfff,0xfffd880f,0xffffffff,
    0x3e23ffff,0x01003fff,0xffffffd0,0xbfffffff,0x03ffff88,0x7ffec010,
    0xffffa806,0x07ffff10,0xfffd8020,0xffffa806,0xffffffb0,0xffffffff,
    0xfffb05ff,0x3ffea007,0xffc85fff,0xffffffff,0x3a0fffff,0xdd303fff,
    0x7ffffddd,0x201bfff6,0xd00ffffa,0x3ff63fff,0x4fffe82f,0x3faffffa,
    0x03ffffff,0x009fff90,0x7ffffcc0,0xdfff1003,0x01bfff20,0xe81fffee,
    0xfff53fff,0xfff8005f,0xffff306f,0x85ffffff,0xb803ccaa,0x3fe0ffff,
    0x9f9004ff,0xffff3005,0x6655407f,0xffffb803,0x401fff30,0xfffffffc,
    0x80dfffff,0x9004ffff,0x3fe2059f,0xffffffff,0xffff04ff,0x0b3f2009,
    0x700dfff9,0xfff8ffff,0x59f9004f,0x806fffc8,0x3f67fffb,0xffffffff,
    0x2fffffff,0x003fffd8,0x3fffff62,0x7ffffe42,0xffffffff,0x3fff20ff,
    0x3ffe2006,0x0dfff93f,0x40ffff70,0xffb1fffe,0x9fffd05f,0xfc97fff4,
    0x2001efff,0x0003fffe,0x007ffff4,0x705fff88,0xf900ffff,0x7ff40fff,
    0x0ffffb3f,0x3ffff900,0x3ffff620,0xffc80dff,0xfff9806f,0x3ffffa1f,
    0x6ffff800,0x0ffffe80,0x01bfff20,0x4c7fffe6,0x5c400fff,0xdffffffe,
    0x3fffa01b,0xffff800f,0x3fff2606,0x201dffff,0x800ffffe,0x3ee6ffff,
    0xffc807ff,0x7ffff47f,0x6ffff800,0x201fffee,0x3f67fffc,0xffffffff,
    0x2fffffff,0x003fffd8,0x47ffffa8,0xfffffffc,0xffffffff,0x0bfffee0,
    0x9ffffc40,0xc807fffb,0x3fa07fff,0x5fffb1ff,0x749fffd0,0x04cc2fff,
    0x0ffffc00,0x3fffa000,0x3ffe2005,0x9ffff505,0x37fffc40,0x005fffd0,
    0x8037dc00,0x401aacfb,0x402ffffa,0x2a0ffffd,0x6404ffff,0xe803ffff,
    0x7d405fff,0x7ec02fff,0xfff30fff,0x3ff66001,0x3fea001e,0x7fe404ff,
    0xdf7003ff,0x3fea0013,0x7fe404ff,0x3ffea3ff,0x3ffe204f,0x7fffd46f,
    0x7fffe404,0x13fffea3,0x06ffff88,0x9003ff00,0x4cc01579,0x1ffff982,
    0x005665c0,0x0effff98,0x3ffff980,0x409ffff5,0x206ffff8,0xffb1fffe,
    0x9fffd05f,0x0017fff4,0x0ffff980,0x3ffea000,0x3fea002f,0xffff105f,
    0xfff9105f,0x7fffc07f,0x3f200002,0x001fd005,0x17ffffc4,0x85ffff98,
    0x884ffffd,0x00fffffc,0x017fffd4,0x0bffffe2,0x32ffffcc,0x3a001fff,
    0x001ffffe,0x213ffff6,0x0fffffc8,0x000bf900,0x109ffffb,0x41fffff9,
    0x82fffff8,0x83ffffc8,0x884ffffd,0x20fffffc,0x82fffff8,0x03ffffc8,
    0x800ff980,0x441fffff,0xff82ffff,0x7fec02ff,0xff9002ff,0x32205fff,
    0xf13fffff,0x9105ffff,0x7407ffff,0xfffb1fff,0x49fffd05,0x0002fffe,
    0xfffb3133,0x7f54000d,0xb33007ff,0x7e409fff,0xecdfffff,0x40ffffff,
    0x1ffffdba,0x1bf60000,0x2001be20,0xdffffffc,0xfffffdcb,0xfffff883,
    0xffffecdf,0x7f5403ff,0xff9007ff,0xb97bffff,0x4c7fffff,0xa8000fff,
    0x3e2004ff,0xecdfffff,0x03ffffff,0x2001ff60,0xdffffff8,0xffffffec,
    0xfffffc83,0xffffecdf,0xfff880ff,0xffecdfff,0xfc83ffff,0xecdfffff,
    0x00ffffff,0x801ffa80,0xd85ffc99,0x3ea1efff,0x4c400fff,0xd1006ffb,
    0x9bdfffff,0xffffffd9,0x7fffe47f,0xfffecdff,0x3fa00fff,0x5fffb1ff,
    0x749fffd0,0x90002fff,0x7fffffff,0xfffed800,0xf9803fff,0x202fffff,
    0xfffffff8,0x4fffffff,0xffffffe8,0x3f200000,0x027dc02f,0xfffffe80,
    0xffffffff,0x3fffea05,0xffffffff,0xfffdb04f,0x74007fff,0xffffffff,
    0x4c5fffff,0x98000fff,0x7d4005ff,0xffffffff,0x4004ffff,0xa8002ffc,
    0xffffffff,0x104fffff,0xffffffff,0x09ffffff,0x7fffffd4,0x4fffffff,
    0xffffff10,0xffffffff,0x3fe60009,0xfff1000d,0xdfffff50,0x00dffffd,
    0x1000ffe8,0xfffffffd,0xffffffff,0xfffff887,0xffffffff,0x7fffd44f,
    0xfffb1fff,0x3ffadfff,0x0bfffa4f,0x7ffff400,0x64001fff,0x0effffff,
    0xfffff980,0xfffe8806,0xffffffff,0xfffff883,0x4c00004f,0xd87eefff,
    0xfb10001f,0xffffffff,0xfd1009ff,0xffffffff,0x7ffe409f,0x2000efff,
    0xffffffd8,0x984fffff,0x64c00fff,0x02fffdbc,0xffffe880,0x04ffffff,
    0xeffff880,0x3ffa2007,0xffffffff,0x7fff4404,0xffffffff,0xfffe8803,
    0x4fffffff,0x7ffff440,0x3fffffff,0x7fff4000,0xb79912fe,0x3ee09fff,
    0xffffffff,0x32f3200f,0xd8005ffe,0xffffffff,0x100cffff,0xfffffffd,
    0xf507ffff,0x23ffffff,0x6ffffffd,0x7f49fffd,0xf88002ff,0x02ffffff,
    0xfffffb80,0xfff3000d,0x75c003bf,0xdeffffff,0xfffff301,0x3600000b,
    0x7d87ffff,0xffea8000,0x02deffff,0x7fffedc0,0x7dc01dff,0x000dffff,
    0xfffffd50,0x3e605bdf,0x7fdc00ff,0x0002dfff,0x7ffffedc,0x320001df,
    0x8007ffff,0xffffffdb,0x3fae001d,0x1defffff,0x7ffedc00,0x2001dfff,
    0xffffffeb,0xa80001de,0xf32fffff,0x807fffff,0xffffffea,0x7fffc00d,
    0x260004ff,0xeffffffc,0xfd7001bd,0x3bdfffff,0x3ffffea0,0xffffb1ff,
    0x33100dff,0x26200013,0x00009bba,0x00359951,0x001abc88,0x006aa620,
    0x00565d44,0x2ee20000,0x20000001,0x00001a98,0x880026a2,0x0001acca,
    0x4006a620,0x98804cc8,0x000001aa,0x00001351,0x0000ddc4,0x00004d44,
    0x0006aa62,0x0009a880,0x00d54c40,0x15730000,0x001aaa98,0x0055e54c,
    0x009aaa98,0x26a62000,0x54c40000,0x5551001a,0x2aa15555,0x002aaaaa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x005eeeb8,0xaaaaaa88,
    0x20aaaaaa,0x54c1aaaa,0x555002aa,0x00000005,0x55506aaa,0x307d5001,
    0x5d44009d,0x0002bced,0x002ccca8,0x007dddb0,0x20277754,0x0000aaaa,
    0x66edd440,0xaaa9801a,0x31eec801,0x55555555,0x00013555,0x274c1f5c,
    0x2ea20000,0x02ccdedc,0x98077640,0xa8802aaa,0x8002aaaa,0xa986fffd,
    0x555441aa,0x13331002,0x40026662,0x55541aaa,0xa8355300,0x555400aa,
    0x002aaa21,0x4ccccc40,0x00001999,0x07fffff3,0x3ffff660,0xffffffff,
    0x13fffa1f,0x803ffff9,0x800ffff8,0x03fd83fd,0x647ffea0,0xff3006ff,
    0x8804fd81,0xfffffffe,0x320003ff,0xb8004fff,0x001fffff,0xe80bfff7,
    0x00002fff,0xffffffd3,0x7ec01bff,0x7fcc03ff,0x3fffff66,0xffffffff,
    0xffa8003f,0x00027ec0,0xfffffda8,0x1cffffff,0x904ffb80,0xfb00dfff,
    0x8003ffff,0x44fffffa,0x7d43fffd,0xffd007ff,0x1dfff15f,0x47ffe600,
    0x3e606ffc,0x0dff91ff,0x361fff70,0x360005ff,0xffffffff,0x7c40000f,
    0x01fffdff,0x7fffffcc,0xffffffff,0x13fffa1f,0x80dffff9,0x800ffff8,
    0xff511ffb,0xeffc8003,0x2001fffb,0xfffdeffe,0x7fffcc00,0xffffffff,
    0xfff90005,0xfff98009,0xb800effd,0x7f405fff,0xb80002ff,0xffffffff,
    0xfb03ffff,0xffd807ff,0x3fffff63,0xffffffff,0xfe8004ff,0x00fffddf,
    0x7fff4c00,0xffffffff,0xf804ffff,0xfffc80ff,0x7fffec06,0x7fc4001f,
    0x362fffcf,0x7fd43fff,0xfffa807f,0x003fff93,0xffaeffc8,0x77fdc01f,
    0xb001fffa,0x1fff9bff,0x7ffec000,0x00ffffff,0xcaffec00,0x3fe206ff,
    0xffffffff,0x21ffffff,0x7e44fffe,0x2203ffff,0xd000ffff,0x0bffffff,
    0x3ffffa00,0x7ec4003f,0x4402ffff,0xffffffff,0x04ffffff,0x04fffc80,
    0x74fffa20,0xffb804ff,0x7fff405f,0x7fec0002,0xffffffff,0xfd82ffff,
    0x3fe603ff,0x3ffff60f,0xffffffff,0x4004ffff,0x2fffffd9,0x7ffdc000,
    0x3109abef,0x1dffff95,0x6427fe40,0x3f206fff,0x8001ffff,0xfff74ffd,
    0x50ffff61,0xfd00ffff,0x0bffe29f,0x7ffff400,0xfffd003f,0x7c4007ff,
    0x002fffff,0x666665c0,0x40004ccc,0x3b60dee9,0xffff702e,0xf99dffff,
    0x7f419dff,0x7ffe44ff,0xff100fff,0x2e2001ff,0x0004fffe,0x017fffe6,
    0x00aca880,0xacffffb8,0xffffca88,0x6654000f,0x3bae002c,0x007bb625,
    0xe8013331,0x20002fff,0xacfffffa,0xfffffca8,0x16665c0f,0xfd89ffb0,
    0xaaaaaeff,0x7ffffeba,0x17971000,0xfffd8000,0x7fe4001d,0x3ffe606f,
    0x837ffe40,0x02fffffc,0x20ccc980,0x99972ccb,0x04ccc985,0xff72ffcc,
    0x7fc40007,0x3e2006ff,0xa8006fff,0x0004ffff,0x00000000,0xffffb000,
    0x3e2bffff,0xfffe83ff,0x7ffffe44,0xffff105f,0x01330001,0x13331000,
    0xd8000000,0x3f204fff,0x00002fff,0x00000000,0x02fffe80,0x3bfffa00,
    0x3ffffa01,0xfff30003,0x06fffd85,0x01ffffc8,0x5c000000,0x20003fff,
    0x3a05ffe8,0x7ffe44ff,0xfffffb86,0x00000002,0x83310000,0x88000198,
    0x44000999,0x10000999,0x40000333,0x9acddba8,0xb9880000,0x20ccc41b,
    0xffffffff,0x07fff15f,0xfc89fffd,0x82ffffff,0x800ffff8,0xbcdedcb8,
    0xdba88001,0x44002bce,0x4cc41bb9,0x01ffffc1,0x009ffff1,0x337b72e2,
    0x4cc4001b,0xbb988009,0xfd0ccc41,0x333105ff,0xffffb813,0x7fffd402,
    0x804ccc45,0xffd87ffe,0xfff9806f,0x2ea2003f,0x0009acdd,0x9817ffcc,
    0x266621bb,0x901fff88,0x7fe41fff,0x7fffd46f,0x5300002f,0x33310555,
    0x01999881,0xacddba88,0x55510009,0x55555555,0x2a055555,0x88001aaa,
    0x0001aaaa,0x7fffffd4,0x0003ffff,0x3fffffea,0x7c1fffd2,0xffffffff,
    0xd07fff15,0xffc89fff,0x886fffff,0x2200ffff,0xfffffffd,0xe8802eff,
    0xffffffff,0xfffa803f,0xfffd2fff,0x0f7fff41,0x6c400310,0xffffffff,
    0xffd002ef,0xfffa807f,0xfffd2fff,0x30bfffa1,0xe81dffff,0x99006fff,
    0x7fffb015,0xb0bfff10,0xf100dfff,0xf5007fff,0xffffffff,0x7ff4007f,
    0xfffffc83,0x51fffd8e,0x3fe609ff,0x9bfff24f,0x03fffffa,0x3fff2000,
    0x43fffd86,0x2a07fffa,0xffffffff,0xffa803ff,0xffffffff,0x80ffffff,
    0x8004fffe,0x006ffffc,0x3fffff20,0xefffffff,0x7ffe4000,0xfebfffff,
    0x3fff60ff,0xf15fffff,0xfffd07ff,0xfefffc89,0x7fc44fff,0xfff700ff,
    0xffffffff,0x7fcc09ff,0xffffffff,0x3ff205ff,0xebffffff,0x3ff20fff,
    0x000bdfff,0x3ffffee0,0xffffffff,0x3fffe804,0x3fffff20,0xfffebfff,
    0x445fffd0,0xf80fffff,0x00003fff,0xf507fffb,0xfffb07ff,0xffff500d,
    0xffffc805,0xffffffff,0x2ffd400e,0x7fffffec,0x20ffffef,0xfff00ffe,
    0x9b7ffe4b,0x003fffff,0x37ffe400,0x2a1fffec,0xff907fff,0xffffffff,
    0x7d401dff,0xffffffff,0x0fffffff,0x004fffe8,0x1ffffff8,0xffffd800,
    0xffffffff,0xf3001fff,0xffdfffff,0x5c1fffff,0xffffffff,0xd07fff15,
    0xffc89fff,0x1ffffdbf,0x203fffe2,0xfffffffb,0xffffffff,0xfffff884,
    0xffffffff,0xffff984f,0xfffffeff,0x3ffe20ff,0x2cefffff,0x3fffee00,
    0xffffffff,0x7f404fff,0xfff303ff,0xffffdfff,0x3ffa1fff,0xffffd12f,
    0x5ffff103,0x3ff60000,0x2fffd83f,0x206fffd8,0x0fffffa8,0x3fffff60,
    0xffffffff,0x3ff601ff,0x5ffffec0,0x6fffffd9,0xff817fe4,0x3bfff27f,
    0x06fffff9,0xfffc8000,0x43fffd86,0xfd87fffa,0xffffffff,0x01ffffff,
    0xfffffff5,0xffffffff,0x9fffd01f,0xffffa800,0x7dc005ff,0x89adffff,
    0x6fffffb9,0x7ffffd00,0x3ffff661,0x7ffff40f,0xfff15fff,0x89fffd07,
    0xff8bfffc,0x3ffe25ff,0x7fffcc0f,0xeca89bef,0x5c1fffff,0x88acffff,
    0x0fffffca,0x85fffff4,0x0fffffd9,0x7fffffd4,0x00cfffff,0x3bffffe6,
    0xffeca89b,0x3fa01fff,0xfffd03ff,0x3ff6617f,0xfffd0fff,0x07ffffa5,
    0x00ffffcc,0x3fffd800,0xd81ffff8,0xffffffff,0xffffffff,0x3fffee03,
    0xfb989adf,0xf106ffff,0x5fffb8df,0x44ffffb8,0xffd03ffa,0x3ffff21f,
    0x2fffffff,0x7fe40000,0x3fffd86f,0x2e3fffd4,0x9adfffff,0xfffffb98,
    0x55555106,0xfff75555,0x3ffa0bff,0x7fec004f,0x000fffff,0x07fffff1,
    0x1ffffec4,0x0bfffe60,0x207ffff4,0xffffffe9,0xd07fff15,0xffc89fff,
    0x5ffff73f,0xf03fffe2,0xd807ffff,0x7ec4ffff,0x3ff204ff,0x3ffe62ff,
    0xffffd02f,0xffffd301,0x1dffffff,0x0fffffe0,0x09ffffb0,0x4c1ffff4,
    0xfd02ffff,0x3ffa1fff,0x1ffffdaf,0x03fffea0,0x7ffec000,0x80ffff83,
    0xfffffffd,0xffffffff,0x3fffe203,0x3ff6203f,0x3ffb83ff,0x4c07fffc,
    0x7cc2ffff,0x3fffb03f,0x3ffffff2,0x00ffffff,0x3fff2000,0x43fffd86,
    0x3e27fffa,0x2203ffff,0x003ffffd,0x3bffff60,0x09fffd00,0x7ffffc40,
    0xfb003fff,0x3e007fff,0x2a00ffff,0x3ea07fff,0xfd700fff,0x3fe2bfff,
    0x4fffe83f,0xfd1fffe4,0xfff11fff,0x7fffd41f,0xffff8804,0x01ffffc6,
    0x549ffff1,0x3ea07fff,0x32a00fff,0xffffffff,0x7ffd40ef,0xfff8804f,
    0x3fffa06f,0x07fffa83,0x743fffea,0xffffefff,0x7fffdc02,0xffb00001,
    0x7fff887f,0xffffffb0,0x9dffffff,0xffffd803,0xfffff003,0x2e0ffd81,
    0x3fe04fff,0x1ffcc1ff,0xf93fffc8,0xfbffffff,0x0000bfff,0x6c37ffe4,
    0x7fd43fff,0x3ffff67f,0xfffff003,0xfff90001,0x7ff401ff,0x3ff2004f,
    0x06fffcef,0x00dffff0,0x01ffffdc,0x4c0dfff7,0xf800ffff,0x7fff15ff,
    0xc89fffd0,0x3fea3fff,0xffff8cff,0x03ffff60,0x7404dd40,0x2201efff,
    0x0dfff701,0x007fffcc,0xffffeb98,0x7ffec4ff,0x1375000f,0x83fffe80,
    0x2606fffb,0xffd0ffff,0x09ffffff,0x02ffff98,0x7fffb000,0xb07fff98,
    0xfdb9ffff,0x2003ffff,0x2006ffff,0x743ffffb,0x07fff47f,0xf70ffff0,
    0x3ffee05f,0xffffff94,0x0bffffa7,0x7ffe4000,0x43fffd86,0x3fe7fffa,
    0x3ee006ff,0x54003fff,0x402fffff,0x2004fffe,0xff9bfffe,0x7fcc01ff,
    0x7fc003ff,0x3ff204ff,0x3ffe205f,0x5fff800f,0xfd07fff1,0xfffc89ff,
    0x4ffffec3,0xff10ffff,0x400009ff,0xbdfffffc,0x3fff2000,0x3fffe205,
    0xffc88000,0x3ffe26ff,0xd000004f,0xff907fff,0x7ffc40bf,0xfffffd0f,
    0x4403ffff,0x1003ffff,0x43fffd80,0xfb06fffa,0xffe98dff,0x7fcc03ff,
    0x7fc003ff,0x237fc4ff,0x3e207fff,0x1ffd86ff,0x32bfff50,0x264fffff,
    0x000fffff,0x86fffc80,0x7d43fffd,0xffff37ff,0xffff8007,0x3ffe6004,
    0xffe803ff,0xfff5004f,0x17fffa1f,0x05ffff70,0x05fffe80,0x9817fff2,
    0xf800ffff,0x7fff15ff,0xc89fffd0,0x7fc43fff,0x0ffffeff,0x007ffff3,
    0x7fffc400,0x02ceffff,0x302fffe4,0x2aa1ffff,0xffb803cc,0xffff30ff,
    0x3a000007,0xffc83fff,0x3ffe605f,0xfffffd0f,0xf80bffff,0xf9004fff,
    0x7fffb059,0xb05fff98,0xff10dfff,0x7dc07fff,0x74002fff,0x2ffc5fff,
    0x540dfff1,0x7ff84fff,0x657ffea0,0xfd84ffff,0x80005fff,0xfd86fffc,
    0x7ffd43ff,0x05ffff77,0x05fffe80,0xbffffd10,0x13fffa00,0x72fffec0,
    0x5c01ffff,0x4001ffff,0x2e06fffd,0x3ea06fff,0xff800fff,0x07fff15f,
    0xfc89fffd,0xfffb83ff,0xf50fffff,0x00003fff,0xffffffa8,0x80cfffff,
    0x2a06fffb,0xff90ffff,0xfff300df,0x3fffea3f,0xfd000001,0xfff707ff,
    0x7fffd40d,0x19ffffd0,0x7405ffff,0xf800ffff,0x7fec6fff,0x37ffc43f,
    0x506fffd8,0x203fffff,0x001ffffb,0x3e37ffec,0x17ffe66f,0x642fffc8,
    0x3fea04ff,0x0dfff93f,0x0bffffe2,0xdfff9000,0xa87fffb0,0xfff77fff,
    0xffd8003f,0xfffb006f,0x7ff400df,0xfff8804f,0x3fffe22f,0x3ffff203,
    0x7ffe4000,0x3fffea07,0x1ffffb01,0x22bfff00,0xffe83fff,0x1fffe44f,
    0xffffffe8,0x3ffff70f,0x3ffffe60,0xe983ffff,0xffffffff,0x7fd40eff,
    0xfffb01ff,0x3fffea1f,0x7fffec02,0x03ffff70,0x3fffffe6,0xffd03fff,
    0xffff507f,0x3ffff603,0x64bfffd0,0x3ea06fff,0x7e404fff,0x7fec3fff,
    0x07fff83f,0x640dfffb,0xc80effff,0x4000ffff,0x7f47fffc,0x41fffe27,
    0x2a0ffff8,0x3ee00fff,0xdfff92ff,0x77fffdc0,0x3ff20000,0x3fffd86f,
    0xfcbfffd4,0x64000fff,0xfc807fff,0x2000ffff,0xb804fffe,0xffe87fff,
    0x3ffee06f,0x7fe4000f,0x7fffc07f,0x3fff221e,0xfff800ff,0xd07fff15,
    0xffc89fff,0xffff303f,0x3fea1fff,0xfff301ff,0x07ffffff,0x7ffffe54,
    0x7c0effff,0x3221efff,0xf10fffff,0x2605ffff,0x3ea5ffff,0xff301fff,
    0x7fffffff,0x40ffffa0,0x221effff,0xd0fffffc,0x7fc45fff,0x3ff603ff,
    0xffc884ff,0x7fec0fff,0x07ffd83f,0x440dfffb,0xb84ffffe,0x4000ffff,
    0x7ec7fffc,0x40ffffc7,0x3e67fffc,0x7fdc03ff,0x0dfff91f,0x04ffffe8,
    0x1bfff200,0xf50ffff6,0x3ffeefff,0x7fe4000f,0x7ffdc07f,0x7f4001ff,
    0xffe804ff,0xffffb84f,0x3ffff501,0x6fffd800,0x7ffffe40,0xffffffcd,
    0x5fff800f,0xfd07fff1,0xfffc89ff,0x3ffff203,0xffff10ff,0x3fffe605,
    0x003fffff,0xfffffd73,0xffffc89f,0xfffffcdf,0x3fff20ff,0xfdcbdfff,
    0x3e23ffff,0xff302fff,0x7fffffff,0x40ffffa0,0xcdfffffc,0x0fffffff,
    0xfb85fffd,0xff100fff,0xfd9bffff,0xb07fffff,0xff907fff,0xdfffb01f,
    0xfffff980,0x0ffffd41,0x1bfff600,0x7fec5ff9,0xfff911df,0x9fff93ff,
    0x21fffb00,0x5406fffc,0x001fffff,0xb0dfff90,0xffa87fff,0x3ffff57f,
    0x6fffd800,0x3ffffe60,0xfffe8003,0x7fffcc04,0x5ffff881,0x05ffff30,
    0x05ffff80,0x7fffff44,0xffffdfff,0x15fff800,0xffd07fff,0x3fffc89f,
    0x3ffffe20,0x0ffffa0f,0x7f77774c,0x88003fff,0x446ffffc,0xfffffffe,
    0x40ffffdf,0xfffffffe,0x85ffffff,0xd303fffe,0xffffdddd,0x0ffffa07,
    0x7fffff44,0xffffdfff,0xd05fffd0,0x7d409fff,0xffffffff,0xfb04ffff,
    0xfff707ff,0x0dfffb03,0x8dffff90,0x002ffff9,0x222ffffc,0x3ffe26ff,
    0xfffffeff,0x03ffffff,0x7e4fffd0,0xffd806ff,0xf90006ff,0xfffb0dff,
    0x37fffa87,0x8005ffff,0xf105ffff,0x0009ffff,0x9013fffa,0xddddffff,
    0x1fffffdd,0x09ffff10,0x1ffffcc0,0xfffffd80,0x0ffff8cf,0xf15fff80,
    0xfffd07ff,0x03fffc89,0x07ffffd4,0x400dfff9,0x553ffff8,0xff700799,
    0xfffb01ff,0xfff19fff,0xfffd881f,0xffffffff,0x0dfff904,0x1ffffc40,
    0x403fffe8,0xcffffffd,0xfd0ffff8,0xfff505ff,0x7ff4403f,0xffffffff,
    0x0ffff604,0x3613ffe6,0xe8806fff,0x3e23ffff,0x26004fff,0xfe83ffff,
    0x3fffea1f,0xffffbfff,0xf1002fff,0x7ffe4bff,0xffff9806,0x9029984f,
    0xffb0dfff,0x7fffa87f,0x009ffff1,0x81ffffcc,0x006ffffe,0x013fffa0,
    0xffffffff,0xffffffff,0x3ffffe07,0xffffb001,0x77654005,0x1ffff12c,
    0x22bfff00,0xffe83fff,0x1fffe44f,0x07fffec0,0x005ffff7,0x64ffffe2,
    0xf9806fff,0xd9501fff,0x3ffe259d,0xfffd500f,0x405bdfff,0x002ffffb,
    0x207ffff1,0xa803fffe,0xff12ceec,0x3fffa1ff,0x0dfffd02,0xfffffb70,
    0xffd803bf,0x0dfff03f,0x200dfffb,0x20fffff9,0x001fffff,0x505ffffb,
    0x76441dff,0xbfb50cef,0x81998137,0x3f22fffa,0xff9006ff,0x3fea3fff,
    0xbfffb07f,0xa87fffb0,0x3ffe7fff,0xffb001ff,0xfff905ff,0x740001df,
    0x3ea04fff,0xffffffff,0x6fffffff,0x0bffff50,0x0dffff50,0x7ffcc000,
    0x2bfff007,0xff83fff8,0x9bcc8002,0xffff3000,0xfff3001d,0x3fffea7f,
    0x7fffec02,0xfff98000,0x5bfd9007,0x3fffe600,0xfff9800e,0x5fffd03f,
    0xfff98000,0x26f32207,0x7f5c0000,0x0ffa002d,0x001fff70,0x0004de64,
    0x017fffea,0x81bfffea,0x00006ffd,0x7e437fe4,0x799000ff,0x7fcc0013,
    0xfffe81ff,0xfffa8004,0x17fffea7,0x1bfffea0,0x07ffffee,0x9fffd000,
    0x7ffffec0,0xffffffff,0xfd01ffff,0x2e03dfff,0x401fffff,0x502bcde8,
    0x3e00dfff,0x7fff15ff,0x8001ff88,0x000fffff,0x05fffff9,0x3fffff22,
    0x5fffff13,0x97fffe60,0x502bcde8,0xf100dfff,0x200dfffd,0x02fffffc,
    0x7fffff91,0x05ffff10,0x20579bd1,0x2206fffa,0x000fffff,0xbfffdf30,
    0x100bfe00,0x7c005fff,0x4000ffff,0x01effffe,0x03fffff7,0x00f7ff44,
    0x3fff6200,0x005ffe81,0x003ffffe,0x227fffc4,0x003ffffa,0x746fffb8,
    0x701effff,0x983fffff,0x002fffff,0x04fffe80,0x007ffff1,0x20bffff1,
    0xeffffff9,0xfffffdcc,0xffff004f,0xfffe883f,0x2bfff004,0x7cc3fff8,
    0xc998002f,0xfd1005ff,0x99bdffff,0xfffffffd,0x7ffffe47,0xfffdcbdf,
    0x7fffc3ff,0x7fff441f,0x2ffc8004,0xffffe880,0xffeccdef,0x2a3fffff,
    0x01ffffdb,0x883fffff,0x4c04fffe,0x0004ffca,0x8801ffb0,0xffc803ff,
    0x3f266004,0x7fcc005f,0xdcceffff,0x04ffffff,0x1dffff98,0x7ffdc400,
    0x1fff882f,0x3ff26600,0x3fffa005,0xffffecdf,0xf751000f,0xff98bfff,
    0xdcceffff,0x84ffffff,0xeefffffc,0xeeeeeeee,0xfffe83ee,0x1ffff904,
    0x3ffff600,0xfffff500,0xffffffff,0x3f6001bf,0xffdeffff,0xf000ffff,
    0x3ffe2bff,0x006ffc43,0x006ff980,0x3fffffa2,0xffffffff,0xfffe83ff,
    0xffffffff,0xfffd85ff,0xffffdeff,0xfb8000ff,0xffd1002f,0xffffffff,
    0xe87fffff,0x00ffffff,0xbdfffffb,0x01ffffff,0x001bfe60,0x400ffec0,
    0x7c400eff,0xff98007f,0xfffa8006,0xffffffff,0x1000dfff,0x7bfffffb,
    0xd9553355,0x203dffff,0x30005ffc,0x7cc00dff,0xffffffff,0x3ea001ff,
    0xa84fffff,0xffffffff,0x0dffffff,0xffffffc8,0xffffffff,0xffe84fff,
    0xbffff04f,0x7fffd400,0x3fff6203,0xffffffff,0x7ff44003,0xffffffff,
    0x3ffe003f,0xb07fff15,0x207fdfff,0xfffdccc9,0xfffd8003,0xffffffff,
    0xffb100cf,0xffffffff,0x3ffa209f,0xffffffff,0xbbca803f,0xd8006ffd,
    0xffffffff,0x440cffff,0x03ffffff,0x3fffffa2,0x03ffffff,0xfffb9993,
    0x97970007,0x3200bffd,0x904fefff,0x664c07ff,0x003fffdc,0xfffffb10,
    0x07ffffff,0x3fffee00,0xffffffff,0x00cfffff,0x26007ffe,0x3fffdccc,
    0x7fffe400,0x003fffff,0x7fffffe4,0xffffb100,0x7fffffff,0x7ffffe40,
    0xffffffff,0xfe84ffff,0xfffa84ff,0x7ffc002f,0xffda806f,0x00ceffff,
    0xffff9100,0x005dffff,0xff15fff8,0xfffd307f,0x3ffea07f,0x20003fff,
    0xffffffc9,0xd5001bde,0xbdffffff,0xfffc8805,0x02efffff,0xbfffffb0,
    0x3f260003,0xbdefffff,0xfffff301,0xfff9100b,0x05dfffff,0x77ffffd4,
    0xfffd0002,0x260019ff,0x104ffffe,0x7fd40dff,0x0003ffff,0xfffffda8,
    0x80000cef,0xffffffca,0x0aefffff,0x8027fdc0,0x3ffffffa,0xfffd3000,
    0xb0005dff,0x003fffff,0xffffffb5,0xffc8019d,0xffffffff,0x4fffffff,
    0xd84fffe8,0xc8007fff,0x2001ffff,0x00000a98,0x55e5d4c4,0x13330001,
    0x73004ccc,0x554c4015,0x4400001a,0x800009a9,0x10001a98,0x03579753,
    0x09aa9880,0x2a620000,0x95310009,0xa9880015,0x8801abcb,0x0001aaa9,
    0x004d54c4,0x400ab980,0x53100ccb,0x00000355,0x00002a62,0x99553300,
    0x5c001355,0x531000cc,0x20000355,0x00009a98,0x0006f2e6,0x000054c4,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xb8000000,0x0000ffff,0x00999980,0x26620000,0x55500019,0x00155441,
    0x33333331,0x26200033,0x40000199,0x00001999,0x000cccc4,0x98000988,
    0x055541aa,0x99998800,0x7fec0000,0x3310006f,0x4c000033,0xa8800999,
    0x01554c2a,0x804cccc0,0x2aa22aaa,0x4cc4000a,0x54400099,0x0aaa61aa,
    0x09998800,0xe884e980,0x90571005,0x1aa98009,0x4c005554,0x00ed885e,
    0x30099988,0x40001333,0x05fffff9,0xfffc8000,0x36000006,0x90004fff,
    0x3ffa2dff,0x3fff2004,0x01ffffff,0x17fffc40,0xfff50000,0x6c00009f,
    0x70005fff,0xff3000bf,0x03bff23f,0x37ffe400,0x3ffea000,0xe88004ff,
    0x80002fff,0x001ffff9,0x3fe69ffd,0x7fd4002f,0xbffd01ff,0x0017ffd4,
    0x0017fff2,0xfc8fffe2,0xf88000ff,0xf8806fff,0x402fe41f,0xbacffffc,
    0x7fcc006f,0x01dff91f,0xfb83ff10,0xffffd006,0x1ffff501,0x33ffa000,
    0x00003fff,0x002fffc8,0x5fff9800,0x67ff4000,0x64006ffd,0xffffffff,
    0x7fdc001f,0x2200003f,0x01ffffff,0x5fff9800,0xefeb9800,0x7fdc001b,
    0x001fffae,0x01dfff10,0x67ffc400,0x88002fff,0x80006fff,0x2002fffc,
    0xffeafff8,0xfffd8004,0xa97ffa01,0x22002fff,0x10006fff,0x7fe47fff,
    0xffe8000f,0xfd803fff,0x02ffecdf,0xfffffff8,0xfb8004ff,0x01fffaef,
    0x3b3bff20,0xffc802ff,0xff705fff,0xff90007f,0x007ffead,0x17ff6000,
    0x3ff60000,0xff980006,0x4001ffff,0xccccccca,0x7fc000cc,0x6c00003f,
    0x0effccff,0x37fe4000,0x7fffe400,0x2000dfff,0x04fffffe,0x03bfee00,
    0x29ffd000,0x8000fffb,0x0002fff9,0x000bffe2,0x1bffffee,0x0bffe600,
    0x7d4bffd0,0x3f2002ff,0xf10000ef,0x7ffe47ff,0x77fe4000,0x4401fffa,
    0x03fffffd,0xeb98efa8,0xd0001dff,0x009fffff,0x9fffff90,0xf5fff500,
    0x3ff207ff,0x66644006,0x000f32a0,0x00ffec00,0x1dff1000,0x3fee0000,
    0x000003ff,0x09ff7000,0xeffb8000,0x000bffb0,0x00077fc4,0x3ffffffa,
    0x22006fff,0x0006ffff,0x00007ffc,0x99713326,0x3fe60005,0x3ff20006,
    0x3ff60003,0xfd8001ff,0x0998802f,0x40026662,0x0000eff8,0x33104ccc,
    0xfff98003,0x200dff91,0x1001bca8,0x00011035,0x06ffff88,0x00de5400,
    0xfa97ffc4,0x5ff900ff,0x00000000,0x00099800,0x00266200,0x03333000,
    0x00aaaa60,0x100aaaa2,0x30000033,0x0ccc4133,0x01331000,0xeffffb80,
    0x02ffffff,0x00266620,0x00013300,0x20000000,0x22000198,0x4c400019,
    0x55000099,0x0aaaa605,0x80aaaa20,0x00000998,0x359bb751,0x09988001,
    0x00004ccc,0x6edd4400,0x200009ac,0x00009998,0x0ccc4000,0x99802662,
    0x80555550,0x401aaaaa,0x1001aaaa,0x00035555,0x0d555440,0x05555300,
    0xfd8aaaa0,0xffa805ff,0x555530ff,0x35555555,0x55100001,0x54c00355,
    0x555002aa,0xbaffff85,0x46fff9df,0xaaaaaaa8,0xaaaaaaaa,0x2aaa21aa,
    0xaaaaaaaa,0x5542aaaa,0x51000aaa,0x2aa65555,0xaaaaaaaa,0x262aaaaa,
    0xaaaaaaaa,0x2aaaaaaa,0x2aaaaaa6,0x009aaaaa,0xd8355530,0xfa805fff,
    0x33310fff,0x7d400003,0xffffffff,0x5554c03f,0xaaaaaaaa,0x5502aaaa,
    0x3ea00355,0xffffffff,0x5554c03f,0xaaaaaaaa,0x2a62aaaa,0xaaaaaaaa,
    0x02aaaaaa,0xa8035555,0xfff91aaa,0xfffff80f,0x3fffe606,0xffff9002,
    0x7e40000d,0x32006fff,0x4401ffff,0xffb0ffff,0xfff500bf,0x3ffff61f,
    0xffffffff,0x320003ff,0x2006ffff,0x401ffffc,0xf10ffff8,0x6d7eebff,
    0x3fea0def,0xffffffff,0x3fffffff,0x3fffffea,0xffffffff,0x3ffee0ff,
    0xfffd006f,0x3ffff65f,0xffffffff,0x3ff66fff,0xffffffff,0x366fffff,
    0xffffffff,0x03ffffff,0x361fffec,0xfa805fff,0xfff90fff,0x3f20000f,
    0xffffffff,0xfb00efff,0xffffffff,0x0dffffff,0x2013fffa,0xfffffffc,
    0x00efffff,0xfffffffb,0xffffffff,0x7ffffecd,0xffffffff,0xfffd06ff,
    0x4fffe809,0x201ffff7,0x0ffffff9,0x01ffff50,0x3fffffe0,0xfff00001,
    0x32003fff,0x4406ffff,0xffb0ffff,0xfff500bf,0x3ffff61f,0xffffffff,
    0xf0004fff,0x003fffff,0x01bffff2,0x261ffff1,0x0bf74fff,0xffffff50,
    0xffffffff,0x7fd47fff,0xffffffff,0x40ffffff,0x402ffffe,0x365ffffa,
    0xffffffff,0x6fffffff,0x3ffffff6,0xffffffff,0x3ffff66f,0xffffffff,
    0x3f604fff,0x7ffec3ff,0xffffa805,0x00ffff90,0xfffffb00,0xffffffff,
    0xfffb03ff,0xffffffff,0x3a0dffff,0x7ec04fff,0xffffffff,0x81ffffff,
    0xfffffffd,0xffffffff,0x3fffff66,0xffffffff,0xfffd06ff,0x4fffe809,
    0x205ffff3,0x2ffffffb,0x00dfff90,0x3fffffea,0xffa80005,0x9005ffff,
    0x407fffff,0xfb0ffff8,0xff500bff,0x3fff61ff,0xffffffff,0x004fffff,
    0x7fffffd4,0xffff9005,0x7ffc407f,0x2dfff10f,0xffa805fb,0xffffffff,
    0x3fffffff,0x3fffffea,0xffffffff,0x7ffcc0ff,0xfff100ff,0x7ffec1ff,
    0xffffffff,0x3f66ffff,0xffffffff,0x26ffffff,0xfffffffd,0xffffffff,
    0x7fffb04f,0x805fffd8,0xf90ffffa,0xb8000fff,0x9adfffff,0xfffffb98,
    0xfffffd86,0xffffffff,0xfffd06ff,0x7fffdc09,0xfb989adf,0xfd86ffff,
    0xffffffff,0x26ffffff,0xfffffffd,0xffffffff,0x09fffd06,0x3e4fffe8,
    0xffd04fff,0x3a09ffff,0xfb004fff,0x01ffffff,0xffffd800,0xfc800fff,
    0x100fffff,0x3f61ffff,0xffa805ff,0xdfffb0ff,0xd7555555,0x800fffff,
    0xfffffffd,0xffffc800,0xfff100ff,0x77fffc1f,0xaa8805fc,0xfffeaaaa,
    0x1aaaaaae,0x2aaaaaa2,0xffffbaaa,0xffff905f,0x3ffff209,0x577ffec3,
    0xaaaaaaaa,0x3fff62aa,0xaaaaaaae,0x3f62aaaa,0xaaaaaeff,0x7ffffeba,
    0xd87fffb0,0xfa805fff,0xfff90fff,0x7fc4000f,0x36203fff,0x7ec3ffff,
    0xaaaaaeff,0x02aaaaaa,0x2209fffd,0x203fffff,0x43ffffd8,0xaaaefffd,
    0xaaaaaaaa,0x2bbfff62,0xaaaaaaaa,0xfffd02aa,0x4fffe809,0x221bfff6,
    0x6fffffff,0x02ffff88,0xffffff88,0x220003ff,0xffffffff,0xffffc803,
    0xfff105ff,0x17fff61f,0x43fffea0,0xc806fffd,0x1001ffff,0xffffffff,
    0xffff9007,0x3fe20bff,0x3fff20ff,0x0000dfff,0x001bfff2,0xdffffb00,
    0x7ffff401,0x37fffc40,0x0037ffec,0x00dfffb0,0x037ffec0,0x40ffffe4,
    0x7ec3fffd,0xffa805ff,0xffff90ff,0x7ffec000,0xffff003f,0x37ffec1f,
    0xfffe8000,0x7ffffb04,0x3ffffe00,0x01bfff60,0x06fffd80,0x9fffd000,
    0x24fffe80,0xfa87fffb,0x0ffffeff,0x007fffcc,0x7e77ffe4,0x320006ff,
    0xfffcefff,0xffffc806,0xff882fff,0xbfffb0ff,0x1ffff500,0x201bfff6,
    0x003ffff9,0xff9dfff9,0xfff900df,0xf105ffff,0x7fc41fff,0x1dffffff,
    0x6fffc800,0x3ff20000,0x7cc00fff,0x7fec5fff,0xfffd81ff,0x3ff60006,
    0x3f60006f,0xff9806ff,0xfffd83ff,0x02fffec3,0xc87fffd4,0x20007fff,
    0x2006ffff,0x363ffffb,0x00006fff,0x3e09fffd,0x2e006fff,0x3f63ffff,
    0x360006ff,0x00006fff,0xe809fffd,0x3fe64fff,0x7ffe41ff,0x5c2fffeb,
    0xfd006fff,0xffff37ff,0x3ffa0003,0x1ffff9bf,0x7ffffe40,0xfff886ff,
    0x0bfffb0f,0x21ffff50,0x8806fffd,0xd003ffff,0xfff37fff,0xfffc803f,
    0xf886ffff,0x7f440fff,0x5fffffff,0x37ffe400,0xfffa8000,0xffb002ff,
    0x3ffea5ff,0xdfffb04f,0x7ffec000,0x3ff60006,0xfff8806f,0x3fffd83f,
    0x402fffec,0xf90ffffa,0x26000fff,0x4003ffff,0x3f64ffff,0xd00006ff,
    0xff309fff,0xff8007ff,0x3fff64ff,0x3ff60006,0xfd00006f,0xffe809ff,
    0x1ffffc4f,0x3f27fffa,0x7ffec4ff,0xffffa804,0x00bfffd0,0x21ffff50,
    0x6405fffe,0xffffefff,0x87fffc44,0xa805fffd,0xffb0ffff,0xfff500df,
    0xfff5005f,0x17fffa1f,0xffdfff90,0xfff889ff,0xfffd700f,0x400dffff,
    0x0006fffc,0x3fffff98,0x3fffe200,0x06fffe8e,0x001bfff6,0x006fffd8,
    0x01bfff60,0x20bfffea,0x7ec3fffd,0xffa805ff,0xffff90ff,0x3ffee000,
    0x7ff4002f,0x1bfff65f,0x7fff4000,0x2ffffb84,0x2ffff400,0x000dfffb,
    0x0037ffec,0x04fffe80,0x3a27fff4,0x3fe24fff,0x8dfff57f,0xd802ffff,
    0x3fee5fff,0x7ec000ff,0x3ffee5ff,0x3fff200f,0x21ffffdb,0xfb0ffff8,
    0xff500bff,0x3fff61ff,0x3ffea206,0xffd800ff,0x3fffee5f,0x2ffff200,
    0x221ffffd,0x6400ffff,0x2fffffff,0x0dfff900,0xfffe8800,0xffa8005f,
    0x1ffffeff,0x33ffff60,0xcccccccc,0x7fffec4c,0xcccccccc,0x7ffec4cc,
    0x3ffea206,0xfffd80ff,0x02fffec3,0xc87fffd4,0x70007fff,0x8003ffff,
    0x3f66fffd,0xcccccfff,0x204ccccc,0xfb84fffe,0x6c001fff,0x3ff66fff,
    0xccccccff,0x7ec4cccc,0xcccccfff,0x204ccccc,0x7404fffe,0x7fe44fff,
    0x97ffea6f,0xff10ffff,0xff8801ff,0x3ffe22ff,0x3fe2003f,0x3ffe22ff,
    0x3fff203f,0x25ffff8b,0xfb0ffff8,0xff500bff,0x3fff61ff,0xffffffff,
    0x803fffff,0x222ffff8,0x3203ffff,0xfff8bfff,0x3fffe25f,0x7d6fdc00,
    0xf9005fff,0xd8000dff,0x0006ffff,0x3ffffff6,0x7ffec04f,0xffffffff,
    0x7fec7fff,0xffffffff,0x7ec7ffff,0xffffffff,0x3fffffff,0xd87fffb0,
    0xfa805fff,0xfff90fff,0x3ff2000f,0x7e4000ff,0x3fff67ff,0xffffffff,
    0x3fa07fff,0xfffc84ff,0x7fe4000f,0x3ffff67f,0xffffffff,0x7ffec7ff,
    0xffffffff,0x3fa07fff,0x7ff404ff,0x7fffd44f,0x6c5fff90,0xfff52fff,
    0xffff700f,0x00dfffd0,0x743fffdc,0x3f206fff,0xffff73ff,0x43fffe25,
    0xa805fffd,0xffb0ffff,0xffffffff,0x007fffff,0x3a1fffee,0x3f206fff,
    0xffff73ff,0x03fffe25,0x3fe2bf70,0xfff9006f,0x7fe4000d,0x20000fff,
    0xfffffff8,0x7fffec00,0xffffffff,0x7ffec7ff,0xffffffff,0x7fec7fff,
    0xffffffff,0x203fffff,0x7ec3fffd,0xffa805ff,0xffff90ff,0x3ffee000,
    0x7fe4000f,0x3ffff67f,0xffffffff,0x3ffa07ff,0xffffb84f,0x7ffe4000,
    0x3fffff67,0xffffffff,0x7fffec7f,0xffffffff,0x3ffa07ff,0x7fff404f,
    0x8ffffc44,0x3ee0fffe,0xbfff94ff,0x09fffd00,0x003ffff7,0x2e13fffa,
    0xf901ffff,0x7fff47ff,0x0ffff88f,0x500bfffb,0x3f61ffff,0xffffffff,
    0x001cefff,0x2e13fffa,0xf901ffff,0x7fff47ff,0x0ffff88f,0x3ee19955,
    0x401fffa5,0x0006fffc,0x03fffff7,0xffff7000,0xfffb005f,0xffffffff,
    0xffd8ffff,0xffffffff,0x7ec7ffff,0xffffffff,0x401cefff,0x7ec3fffd,
    0xffa805ff,0xffff90ff,0x3ffea000,0x7fec001f,0x3ffff66f,0xffffffff,
    0x3ffa07ff,0xffffa84f,0x7ffec001,0x3fffff66,0xffffffff,0x7fffec7f,
    0xffffffff,0x3ffa07ff,0x7fff404f,0x8bfffe84,0x7fcc6fff,0x07fffb6f,
    0x81ffff98,0x805ffff8,0x881ffff9,0xf905ffff,0x7ffd47ff,0x0ffff8cf,
    0x500dfffb,0x3f61ffff,0xffedcfff,0x4c001fff,0xf881ffff,0xff905fff,
    0x7fffd47f,0xb0ffff8c,0x97ee9fff,0xf9006fff,0xf3000dff,0x0007ffff,
    0x037fff40,0x99efffd8,0x99999999,0x4f7ffec1,0x99999999,0x7fffec19,
    0xfffffedc,0x7fffb001,0x806fffd8,0xf90ffffa,0x26000fff,0x4002ffff,
    0x3f65ffff,0x99999eff,0x20199999,0xf984fffe,0x7c002fff,0x3ff65fff,
    0x999999ef,0x7ec19999,0x99999eff,0x20199999,0x7404fffe,0xffc84fff,
    0x84fffbdf,0xfff8ffff,0x7ffe401f,0xfeeeeeef,0x6400ffff,0xeeeeffff,
    0x0fffffee,0x6c3fffc8,0xfff9ffff,0x0dfff90f,0x6cffff70,0x7f4c6fff,
    0x32003fff,0xeeeeffff,0x0fffffee,0x6c3fffc8,0xfff9ffff,0x3ffff50f,
    0x3ffeabf7,0xdfff9004,0xffff8800,0x7400004f,0xfb004fff,0x6c000dff,
    0x20006fff,0x74c6fffd,0xd803ffff,0x7fe43fff,0xfffb806f,0x01ffff27,
    0x27fffc40,0x7ffff300,0x0037ffec,0x84fffe80,0x004ffff8,0xd8ffffe6,
    0x20006fff,0x0006fffd,0x809fffd0,0xfa84fffe,0x2fffdfff,0xffbfffd8,
    0xffff807f,0xffffffff,0x7c03ffff,0xffffffff,0x3fffffff,0x443fffc8,
    0xfffeffff,0x0ffff70f,0x6cffff90,0xff886fff,0xff003fff,0xffffffff,
    0x07ffffff,0xf887fff9,0xffffefff,0xbfffff10,0x3ffff9bf,0x1bfff200,
    0xdffffd00,0xffd00000,0x3ff6009f,0x3f60006f,0x360006ff,0xff886fff,
    0x7ec03fff,0x7ffdc3ff,0x7fffc807,0x001ffff2,0x01fffff8,0x45ffffb0,
    0x0006fffd,0x209fffd0,0x001fffff,0x6c5ffffb,0x20006fff,0x0006fffd,
    0x809fffd0,0xf884fffe,0x0fffffff,0xffffffb8,0x7ffd405f,0xffffffff,
    0x206fffff,0xfffffffa,0xffffffff,0x3fffc86f,0xffffffb8,0xffff50ff,
    0x7fffc409,0x41bfff66,0x01fffffa,0x7fffffd4,0xffffffff,0xfffc86ff,
    0xfffffb83,0x3fea0fff,0xffffffff,0x3ff2004f,0x3ff2006f,0x00000eff,
    0x004fffe8,0x000dfffb,0x0037ffec,0x20dfffb0,0x01fffffa,0xf50ffff6,
    0x7c409fff,0x3ff26fff,0x3ea0007f,0xfa805fff,0x7fec6fff,0xfd00006f,
    0x3fea09ff,0xffa805ff,0x7ffec6ff,0x3ff60006,0xfd00006f,0xffe809ff,
    0xfffff04f,0x3fe60dff,0x403fffff,0xfffffffd,0xffffffff,0xfffb01ff,
    0xffffffff,0x83ffffff,0xfd03fffc,0x21ffffff,0x82fffff8,0x23ffffc8,
    0x3206fffd,0x200effff,0xfffffffd,0xffffffff,0x7ffe41ff,0xfffffd03,
    0xfffc81ff,0x04ffffff,0x037ffe40,0x1fffffb8,0xffd00000,0x3ff6009f,
    0x3f60006f,0x360006ff,0x3f206fff,0xfb00efff,0xfff887ff,0xffc882ff,
    0x3fff23ff,0x7ff40007,0xff701eff,0xffd83fff,0xfd00006f,0x7ff409ff,
    0xff701eff,0xffd83fff,0x3f60006f,0xd00006ff,0xfe809fff,0xfffb04ff,
    0x7fc09fff,0x201fffff,0x803ffff8,0x885ffff8,0x8803ffff,0x7e45ffff,
    0xfff303ff,0x7e41ffff,0xecdfffff,0x20ffffff,0x2206fffd,0x104ffffe,
    0x1007ffff,0xfc8bffff,0xfff303ff,0xd301ffff,0x05bfffff,0x0dfff900,
    0x5fffff30,0x7f400000,0xffb004ff,0x7ec000df,0x360006ff,0x3a206fff,
    0xfb04ffff,0xfff907ff,0xffd9bfff,0x7e41ffff,0x4c0007ff,0xceffffff,
    0xffffffdc,0x06fffd84,0x9fffd000,0x7ffffcc0,0xfffdccef,0xffd84fff,
    0x3f60006f,0xd00006ff,0xfe809fff,0xfff704ff,0x7ec05fff,0x6407ffff,
    0xb000ffff,0xfc81ffff,0xfb000fff,0x7fe41fff,0x3fff203f,0x3fe20fff,
    0xffffffff,0x7ec4ffff,0x7fcc06ff,0xffc81fff,0xffb000ff,0x7ffe41ff,
    0x3ffff203,0x3f2200ff,0x7fe40005,0xfffc806f,0xeeeeeeff,0x03eeeeee,
    0x013fffa0,0x777fffec,0xeeeeeeee,0xffffb1ee,0xdddddddd,0x3f63dddd,
    0x7fcc06ff,0xffd81fff,0xffff883f,0xffffffff,0x7ffe44ff,0xeeeeeeef,
    0xfa80eeee,0xffffffff,0x80dfffff,0xeeeffffd,0xeeeeeeee,0x4fffe81e,
    0x7ffffd40,0xffffffff,0xfffd80df,0xeeeeeeef,0xfb1eeeee,0xdddddfff,
    0x3ddddddd,0x809fffd0,0xf304fffe,0x401fffff,0x05fffffa,0x002ffffc,
    0xf87ffff5,0x2a005fff,0x3f23ffff,0x3fe203ff,0x7440ffff,0xffffffff,
    0xffd83fff,0xfffc806f,0x5ffff86f,0x3fffea00,0x80ffff23,0x0ffffff8,
    0x0002fdc0,0x201bfff2,0xfffffffc,0xffffffff,0x3fa004ff,0xffb004ff,
    0xffffffff,0x25ffffff,0xfffffffd,0xffffffff,0x0dfffb2f,0x0dffff90,
    0x2207fffb,0xfffffffe,0xfc83ffff,0xffffffff,0x00ffffff,0xffffffb1,
    0x407fffff,0xfffffffd,0xffffffff,0x4fffe82f,0xffffd880,0x3fffffff,
    0x3fffff60,0xffffffff,0xfffb2fff,0xffffffff,0xd05fffff,0xfe809fff,
    0x3ffe04ff,0x7fc405ff,0x3ea03fff,0x7c002fff,0x3fea6fff,0x7fc002ff,
    0x3fff26ff,0x7fffd403,0xfffd700f,0x203bdfff,0x8806fffd,0x2a3ffffe,
    0x4002ffff,0x3f26ffff,0x7fd403ff,0x7dc00fff,0x7fe40005,0xfffc806f,
    0xffffffff,0x04ffffff,0x013fffa0,0x7fffffec,0xffffffff,0xffffb2ff,
    0xffffffff,0x3f65ffff,0xfe8806ff,0x7fec3fff,0x7ff5c03f,0x01deffff,
    0xfffffff9,0xffffffff,0xfffda801,0x400cefff,0xfffffffd,0xffffffff,
    0x4fffe82f,0x3fff6a00,0x400cefff,0xfffffffd,0xffffffff,0xfffffb2f,
    0xffffffff,0xffd05fff,0xfffe809f,0x3ffff604,0xffffe803,0x1ffff601,
    0x3ffff200,0x00ffffb1,0x23ffff90,0xd803fffc,0x4400ffff,0xfb001aa9,
    0x3e600dff,0xffb0ffff,0xff9000ff,0x3fff23ff,0xffffd803,0x0004c400,
    0x01bfff20,0x3ffffff2,0xffffffff,0x3a004fff,0xfb004fff,0xffffffff,
    0x5fffffff,0x3ffffff6,0xffffffff,0xdfffb2ff,0x3fffe600,0x0ffff60f,
    0x00d54c40,0xffffffc8,0xffffffff,0x2a62000f,0x7ffec000,0xffffffff,
    0xe82fffff,0x10004fff,0xfd800153,0xffffffff,0x2fffffff,0xfffffffb,
    0xffffffff,0x9fffd05f,0x04fffe80,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x10000000,0x00013333,0x013fffa2,0x02ccca80,0x5506aa60,
    0x26200035,0x33100099,0x30110133,0x1aaa8035,0x3000aaa6,0x1aaa8555,
    0x21554c00,0x30001aaa,0x8000bddd,0x00cb82b8,0xca817700,0x4ccc4001,
    0x80199999,0x55542aa9,0x99999881,0x31009999,0x33333333,0x02dc9800,
    0x36ea2000,0x00009acd,0x20030000,0x6c0000a8,0x50004eee,0x654c0003,
    0xdd50001a,0x3331009d,0x5437d401,0x3200006f,0x20005fff,0x02fffffd,
    0x09fff900,0xb8fffcc0,0xd0000eff,0x9001ffff,0xfd88bfff,0x1fe89bef,
    0xc8fffe20,0x32000fff,0x3ffe0fff,0x3ffe4005,0x40013ffe,0x0007fff9,
    0x2b3ffff2,0xf98006fb,0xfeabdfff,0x7fff4001,0x807fffff,0x3fe27ffd,
    0xffffb84f,0x902fffff,0xffffffff,0x3fe6003f,0x4c0002fe,0xfffffffe,
    0x440003ff,0x0abcedba,0x3ee01fdc,0xf30004ff,0xa8001dff,0x54005fff,
    0x2fffffff,0x2fffd400,0x01ffff40,0x3a617ff1,0xf100004f,0x54000dff,
    0x0fffcfff,0x4fffc800,0x577fdc00,0x90001fff,0x80bfffff,0x640efff8,
    0xffffffff,0x1fffc407,0x4001fff9,0x3fe0fffc,0x7fe4005f,0x0027ffc7,
    0x007fff98,0x3fffffe0,0xc8004fff,0xffffffff,0xfffe8007,0x807fffff,
    0x3fe27ffd,0xffffb84f,0x902fffff,0xffffffff,0xe9f2003f,0x3fee0006,
    0xffffffff,0x4c001eff,0xfffffffe,0xfffa8bff,0xf93bf101,0xdffb0001,
    0x73dd0001,0x3ff2005f,0x5fffffff,0x17ffea00,0x00ffffa0,0xfffffff7,
    0x3f200001,0xf10000ef,0x17ff65ff,0x13fff200,0x3ffff600,0xff30004f,
    0x407fff5f,0xfe80effb,0x4ffffcab,0x91fffc40,0x64001fff,0x3ffe0fff,
    0x3ffe4005,0x40013ffe,0x0007fff9,0xfd731df3,0xfd0003df,0x7fffb513,
    0x99997000,0xb0099999,0x7ffc4fff,0xccccc984,0x9501cccc,0x99999999,
    0x6d9b6001,0xffffd000,0xffffffff,0x2e003fff,0xffffffff,0xffffffff,
    0x7cc7ea03,0x7ffcc003,0x23f88000,0xfffa804f,0xfffffeff,0xbfff5003,
    0x07fffd00,0x3dfffb50,0x3fe20000,0x32a0000e,0x0333223c,0x05999500,
    0xdffff100,0x3ffe2000,0x203fff33,0x09900fff,0x26600375,0x00666209,
    0x99833310,0x4cc40009,0x0004ccc1,0x00033330,0x002206a2,0x01882a80,
    0x88000000,0x04ccc199,0x00000000,0x27eefd40,0x7fffdc00,0xfb989adf,
    0xe806ffff,0xffffffff,0xffffffff,0x6cefc404,0x775c000f,0x27ba0001,
    0xffe801fc,0xfff711df,0x3331001f,0x7fffd001,0x000d4400,0x00266200,
    0x00000000,0x33310000,0x26620001,0x9804cc41,0x00000009,0x006aaaa2,
    0xaaaaaa98,0xaaaaaaaa,0x5555542a,0x55551000,0x55555445,0xaaaaaaaa,
    0x2a2002aa,0x26001aaa,0x55002aaa,0x55440055,0x550001aa,0x55530355,
    0x55555555,0x2a055555,0xc8001aaa,0x4006ffff,0x03fffff8,0x0fffffa2,
    0xdfffffb8,0xfffb989a,0xfb800fff,0x000003ff,0x17ffea00,0x03fffee0,
    0x000ffff6,0xa8800000,0x54001aaa,0x1000aaaa,0x2a655555,0xaa8802aa,
    0x555530aa,0x55555555,0x554c5555,0x9aaaaaaa,0x35555000,0x2aaaa000,
    0x0d555401,0x7fffe400,0x3fff6006,0xffffffff,0x7dc6ffff,0xfd006fff,
    0x7fd45fff,0xffffffff,0x00ffffff,0x0dffff90,0x0ffffe40,0x03fffe20,
    0x37fffe40,0x4fffe800,0xffffffd8,0xffffffff,0x9fffd06f,0xfffff000,
    0x7fe4003f,0xff8803ff,0xff880fff,0x3e202fff,0x1003ffff,0x2a600015,
    0x036e0abc,0xfc800540,0xfff705ff,0x3595300b,0x4006aa00,0x006ffffc,
    0x037fffdc,0xb2ffffe8,0xf300dfff,0x3ff63fff,0xffffffff,0x366fffff,
    0xffffffff,0x6c04ffff,0xd0003fff,0xfe809fff,0xff8004ff,0xb001ffff,
    0xffffffff,0xdfffffff,0x05ffffd0,0x45ffffa8,0xfffffffa,0xffffffff,
    0xffff000f,0x3f2003ff,0x7c406fff,0xff000fff,0x0003ffff,0xfb09fffd,
    0xffffffff,0x0dffffff,0x0013fffa,0xbffffff5,0x37fffc00,0x7ffff700,
    0x07ffff90,0x7fffffe8,0x8804ccc4,0xff701999,0xf7bfffff,0x65d4c07f,
    0x7fec02bc,0xdcccccef,0x3ea06fff,0x02ffffff,0xff8027fc,0x4001ffff,
    0x402ffffe,0x365ffffa,0xf9806fff,0xfffb1fff,0xffffffff,0x7ecdffff,
    0xffffffff,0xb02effff,0x20007fff,0x7404fffe,0x54004fff,0x05ffffff,
    0xffffffb0,0xffffffff,0xffff30df,0x3ffe201f,0x7ffd40ff,0xffffffff,
    0x800fffff,0x5ffffffa,0xfffff900,0x7fffc407,0xffffa800,0xfe8005ff,
    0xfffd84ff,0xffffffff,0xfd06ffff,0xfd8009ff,0x00ffffff,0x03ffff88,
    0x427fffc0,0x6c06ffff,0x3fffffff,0x540ffffa,0x7ec47fff,0xffffffff,
    0xffb305ff,0x05ffffff,0x3ffffffe,0x7fffffff,0xffffff90,0x3e20bfff,
    0xfffa805f,0x4c005fff,0x100fffff,0x6c1fffff,0xf9806fff,0xfffb1fff,
    0xffffffff,0x7ecdffff,0xffffffff,0x83ffffff,0x0003fffd,0xe809fffd,
    0x6c004fff,0x0fffffff,0xaefffd80,0xaaaaaaaa,0xfff902aa,0x3fff209f,
    0xaaaa883f,0xffbaaaaa,0xfb005fff,0x01ffffff,0xffffff90,0x3fffe201,
    0xffffd800,0x74000fff,0xffd84fff,0xaaaaaaef,0xd02aaaaa,0x44009fff,
    0xffffffff,0xffff9803,0x7fff4002,0x1ffffc45,0xff3fff90,0x7fff49ff,
    0x8ffff503,0xfdfffffe,0x882fffff,0xffffffff,0xfff83fff,0xffffffff,
    0x7d40ffff,0xfffeffff,0x5ff883ff,0xfffffd80,0x7e4000ff,0xff904fff,
    0xfffd87ff,0xffff9806,0x55dfffb1,0x55555555,0x77ffec55,0xffcbaaaa,
    0x7ec0ffff,0xfd0003ff,0xffe809ff,0x3fe2004f,0x03ffffff,0x006fffd8,
    0x3ffffa00,0x37fffc40,0x3fff6000,0xff8800ef,0x03ffffff,0xffffffc8,
    0x1ffff105,0xfffff880,0x74003fff,0xffd84fff,0xfd00006f,0x7e4009ff,
    0x6fffceff,0x1ffffb80,0x37ffec00,0x407fffe6,0xfff1fffb,0x1ffff4bf,
    0x2e7fffa8,0x7d43ffff,0xffd86fff,0xffffdeff,0xcfffe87f,0x99999999,
    0xdfffe819,0x1ffff711,0x4406ff98,0xffffffff,0xfffe8003,0x7fffc40f,
    0x06fffd86,0xb1ffff98,0x4000dfff,0x2205fffd,0x6c4ffffc,0xd0003fff,
    0xfe809fff,0x3f2004ff,0x6fffceff,0x06fffd80,0x3ffe6000,0x7fffec5f,
    0x3ff20001,0xf9000fff,0xdfff9dff,0xfffff900,0xfff105ff,0xfffc801f,
    0x006fffce,0x6c27fff4,0x00006fff,0x4009fffd,0xff9bfffe,0x7fe401ff,
    0x7e4000ff,0x7ffdc7ff,0x2fffa80f,0xfe9bfff6,0xfff503ff,0x0ffffe2f,
    0x8bfffff6,0x541ffff9,0x7ec1ffff,0xb80106ff,0xfd80ffff,0x3ffd43ff,
    0x33bfff20,0x98006fff,0x7ec5ffff,0xffd81fff,0xfff9806f,0x0dfffb1f,
    0x2fffec00,0x0fffff40,0x5447fffb,0x3ffa01ac,0x7fff404f,0x3fffa004,
    0x01ffff9b,0x0037ffec,0x3ffff600,0x09ffff52,0x7fffd400,0x3ffa002f,
    0x1ffff9bf,0x7ffffe40,0xfff886ff,0x7fff400f,0x01ffff9b,0x213fffa0,
    0x0006fffd,0x009fffd0,0x743fffea,0x7dc05fff,0x64000fff,0x7fe47fff,
    0x3fffa87f,0xfd3fffe4,0x3fea07ff,0x0ffff37f,0xbfffdff9,0xff03ba98,
    0xfffa85ff,0x3defd81f,0xb82fffe4,0x7fdc5fff,0x3fffa00f,0x01ffff9b,
    0x2ffffd80,0x209ffff5,0x9806fffd,0xffb1ffff,0x7ec000df,0xff9805ff,
    0x3fff63ff,0xfffffd8b,0x4fffe80d,0x027fff40,0xd0ffffa8,0xfd80bfff,
    0x400006ff,0xe8effff8,0x20006fff,0x03fffff9,0x43fffea0,0x6405fffe,
    0xffffefff,0x07fffc44,0x21ffff50,0x2005fffe,0xfd84fffe,0xd00006ff,
    0x36009fff,0x3fee5fff,0x3fea00ff,0x7ec001ff,0x7ffdc6ff,0x13ffe60f,
    0xfe9ffff2,0xfff503ff,0x717ffeef,0xdfff75ff,0x7ffd4400,0xefffe82f,
    0x7ffff70b,0xccefffd8,0x6fffdccc,0xa807ffe4,0xffd0ffff,0xff1000bf,
    0xfffd1dff,0x37ffec0d,0x8ffffcc0,0x0006fffd,0x4017fff6,0x3f64ffff,
    0xffffedff,0x7f40efff,0x7ff404ff,0xfffb004f,0x07fffdcb,0x99ffffb0,
    0x99999999,0x3ffea009,0x01ffffef,0xffffd100,0xfffd800b,0x03fffee5,
    0xfdbfffc8,0x3fe21fff,0x3ff600ff,0x3fffee5f,0x9fffd000,0x99ffffb0,
    0x99999999,0x27fff409,0x17fffc40,0x407ffff1,0x002ffff9,0x2a27fffc,
    0xff11ffff,0x3fff60bf,0x40ffffa6,0xff97fffa,0x99ffd49f,0x2a207fff,
    0xffffffec,0xfffffa82,0x86ffffff,0xffffffff,0x47ffffff,0xfb01fffc,
    0x7ffdcbff,0xffa8000f,0x1ffffeff,0x33ffff60,0xdccccccc,0xffb1ffff,
    0x999999ff,0xfd899999,0xffd005ff,0x7fffecbf,0xffffdeff,0x27fff43f,
    0x013fffa0,0x88bfffe2,0x3603ffff,0xffffffff,0x07ffffff,0x3fffff60,
    0x360004ff,0x4006ffff,0x222ffff8,0x3203ffff,0xfff8bfff,0x3fffe25f,
    0x5ffff100,0x01ffffc4,0xd84fffe8,0xffffffff,0x07ffffff,0x2013fffa,
    0xfe87fffb,0x3fe206ff,0x981504ff,0x7cc3ffff,0xffe8bfff,0x97fffa05,
    0xf503fffe,0x3ffeefff,0x7cc9ff35,0xffea87ff,0xffffffff,0xfffff502,
    0xf01dffff,0xffffffff,0x41ffffff,0xf882fffd,0x3fe22fff,0xfb0003ff,
    0x09ffffff,0xffffffd8,0xffffffff,0xfffb1fff,0xffffffff,0xffd8ffff,
    0xfffb005f,0x77fffecd,0x1bfffe20,0xe809fffd,0xfb804fff,0xfffe87ff,
    0x3ffff606,0xffffffff,0x3e2007ff,0x00ffffff,0xfffff900,0xfffb8001,
    0x06fffe87,0x7dcffff2,0xfff12fff,0x3ffee01f,0x06fffe87,0xb09fffd0,
    0xffffffff,0x0fffffff,0x4027fff4,0xfb84fffe,0x3fa01fff,0x7fc40fff,
    0x5ffffb0c,0xedffff88,0xff100eff,0x7fff47ff,0x2ffff503,0xff8efffa,
    0x237ffd45,0xcefffffb,0x202fffea,0xffffffd8,0x9fffd00b,0x33333333,
    0x3fffe833,0xe87fffb8,0x10006fff,0x1fffffff,0xfffffd80,0xffffffff,
    0xffb1ffff,0xffffffff,0xfd8fffff,0xff9005ff,0x7fffecff,0x46fffb80,
    0x7404fffe,0xfe804fff,0xfffb84ff,0xffffb01f,0xffffffff,0xfb800fff,
    0x0002ffff,0x03fffff7,0x09fffd00,0x203ffff7,0x3fa3fffc,0xfff88fff,
    0x9fffd00f,0x03ffff70,0xb09fffd0,0xffffffff,0x0fffffff,0x2027fff4,
    0x881ffff9,0x2a05ffff,0x7e45ffff,0xffffcfff,0xfffffd06,0x7fe401df,
    0x3fffa2ff,0x2ffff703,0xefeffff9,0x527ffec0,0xe839ffff,0xf7002fff,
    0xfffb003d,0xfff0020d,0x9fffd09f,0x03ffff70,0x3fffee00,0xfffd802f,
    0xffffffff,0xb1ffffff,0xffffffff,0x8fffffff,0xb005fffd,0x7fecffff,
    0xffff506f,0x404fffe8,0x4c04fffe,0xf881ffff,0xffb05fff,0x333333df,
    0x00033333,0x000dfffd,0x0fffffe6,0x3fffe600,0x5ffff881,0x547fff90,
    0xff8cffff,0xfff980ff,0xffff881f,0x4fffe805,0x99efffd8,0x99999999,
    0x13fffa01,0xddffff90,0xffffdddd,0x7fff401f,0xfff910df,0x205fffff,
    0x1ffffffa,0x1bfffe60,0x3209fffb,0x3ffa7fff,0x7fcc0fff,0x3fff21ff,
    0x05fffd05,0x54017f20,0xfd81ffff,0x7fffc3de,0x0ffffcc4,0x02ffffc4,
    0x0dfffd00,0x27bfff60,0xb9999999,0xffb1ffff,0x333333df,0xfd833333,
    0xffb005ff,0x2fffecdf,0x747fff98,0x7f404fff,0x7fe404ff,0xeeeeeeff,
    0xd80fffff,0x00006fff,0x027fff40,0x7ffffc40,0xfff90004,0xfddddddf,
    0xf901ffff,0xfffd87ff,0x80ffff9f,0xeeeffffc,0xfffffeee,0x27fff400,
    0x0037ffec,0x04fffe80,0x7ffffffc,0xffffffff,0x3ffe603f,0xfdbbdfff,
    0x405fffff,0x00dffffe,0x83fffff5,0xf885fffc,0x3fe67fff,0xff712dff,
    0xfffe89ff,0x3ffff984,0x400dfd00,0x70befffe,0xff87ffff,0x7ffe44ff,
    0xfeeeeeef,0x0000ffff,0x2009fffd,0x9806fffd,0xffb1ffff,0x7ec000df,
    0xffd005ff,0x27ffecbf,0x747fff98,0x7f404fff,0x7ffc04ff,0xffffffff,
    0xd83fffff,0x00006fff,0x027fff40,0x37ffff40,0xfffff000,0xffffffff,
    0xff907fff,0xffff887f,0xf80ffffe,0xffffffff,0x3fffffff,0x427fff40,
    0x0006fffd,0x409fffd0,0xfffffffa,0xffffffff,0x7ffdc06f,0xffffffff,
    0x201dffff,0xcffffffc,0xffffdcaa,0xffffb84f,0xffffd50b,0xfffffe8f,
    0x0fffffff,0x307fffec,0x007ffffd,0x5400bff6,0xffffffff,0xfff86fff,
    0x7ffffc4f,0xffffffff,0xd0003fff,0x36009fff,0xf9806fff,0xfffb1fff,
    0x7fec000d,0xffff005f,0x81fffec9,0x7f47fff9,0x7ff404ff,0x3ffea04f,
    0xffffffff,0xd86fffff,0x00006fff,0x027fff40,0x3bffff20,0xfff50000,
    0xffffffff,0x90dfffff,0xff707fff,0x81ffffff,0xfffffffa,0xffffffff,
    0x7fff406f,0x06fffd84,0x9fffd000,0x7ffffec0,0xffffffff,0x4401ffff,
    0xfffffffd,0xffffffff,0x7fffd41d,0xffffffff,0x980dffff,0xffffffff,
    0x2e7fffef,0xffffffff,0xfb80dfff,0xffedffff,0x3004ffff,0x80dddfff,
    0xfffffffa,0xfff80eff,0x3fffea4f,0xffffffff,0x0006ffff,0x2009fffd,
    0x9806fffd,0xffb1ffff,0x7ec000df,0xffa805ff,0x3fff62ff,0x8ffff303,
    0x7404fffe,0x3f604fff,0xffffffff,0xffffffff,0x037ffec1,0x3ffa0000,
    0x3fee004f,0x20001fff,0xfffffffd,0xffffffff,0x7ffe41ff,0xfffffd03,
    0xfffd81ff,0xffffffff,0x01ffffff,0x3613fffa,0x00006fff,0x2209fffd,
    0x8803ffff,0x5005ffff,0xbfffffdb,0xbfffff99,0x7f6fffcc,0xffffffff,
    0x7fdc03ff,0xf8dfffff,0x59ff37ff,0x5dfffffb,0xfffffd80,0x6fffceff,
    0x3ffff600,0xfffd8806,0xff00bfff,0x7ffec9ff,0xffffffff,0x01ffffff,
    0x04fffe80,0x00dfffb0,0x363ffff3,0x20006fff,0xe805fffd,0x7fec6fff,
    0xffff303f,0x404fffe8,0xf104fffe,0xf1007fff,0xffd8bfff,0x4000006f,
    0x3004fffe,0x005fffff,0x1ffffc40,0x2ffffc40,0x4c0ffff2,0x0fffffff,
    0x00ffffe2,0x817fffe2,0xfd84fffe,0xd00006ff,0x3f209fff,0xfb000fff,
    0x88001fff,0xffe980a9,0xa97ff61f,0xeffffffe,0xffd7000c,0x3fffc9df,
    0x01a988b7,0x7ffffe40,0x01ffff14,0x000ddc40,0x4c00ccc4,0xfff10999,
    0xfff1007f,0xffd000bf,0x3ff6009f,0xfff9806f,0x0dfffb1f,0x2fffec00,
    0x5ffffd30,0x303fffd8,0xffe8ffff,0x7fff404f,0x1ffff904,0x3ffff600,
    0x3bffff60,0xeeeeeeee,0x3a001eee,0xf9004fff,0xddddffff,0xdddddddd,
    0x07fffe47,0x0ffffd80,0xc80ffff2,0x20ffffff,0x000ffffc,0x201ffffb,
    0xfd84fffe,0xeeeeefff,0x1eeeeeee,0xf04fffe8,0x5400bfff,0x0003ffff,
    0xbb0bd700,0x000d4c40,0x00002a20,0x02a60000,0x00000000,0x7fe40000,
    0xffb000ff,0xfe8001ff,0xffb004ff,0xfff300df,0x3ffff63f,0xeeeeeeee,
    0xffb1eeee,0xfdddddff,0xb0bfffff,0x3e607fff,0x7fff47ff,0x27fff404,
    0x005ffff8,0xd8ffffea,0xffffffff,0xffffffff,0x3fffa002,0xffff9004,
    0xffffffff,0x7c9fffff,0x2a005fff,0x3f23ffff,0x3fe203ff,0x3fe0ffff,
    0x3ea005ff,0xffd03fff,0xffffb09f,0xffffffff,0xfd05ffff,0xfff509ff,
    0xfff8005f,0x4000006f,0x00000000,0x00000000,0x00000000,0x20000000,
    0x2005ffff,0x003ffffa,0x8027fff4,0x9806fffd,0xffb1ffff,0xffffffff,
    0x25ffffff,0xfffffffd,0xffffffff,0x03fffd80,0xfe8ffff3,0x7ff404ff,
    0xffffa84f,0x7fffc002,0x3fffff66,0xffffffff,0x3a002fff,0xf9004fff,
    0xffffffff,0xffffffff,0x0bfffea9,0x4dffff00,0x5403fffc,0xf50fffff,
    0xf8005fff,0xffd06fff,0xffffb09f,0xffffffff,0xfd05ffff,0xfffb09ff,
    0xfff9000f,0x0000003f,0x00000000,0x00000000,0x00000000,0xf5000000,
    0xf8005fff,0x74006fff,0xfb004fff,0xff300dff,0x3fff63ff,0xffffffff,
    0xfb2fffff,0xffffffff,0x2019ffff,0xf303fffd,0xfffe8fff,0x27fff404,
    0x003fffec,0xd8ffffe4,0xffffffff,0xffffffff,0x3fffa002,0xffff9004,
    0xffffffff,0x369fffff,0xc8007fff,0xff91ffff,0xfffb007f,0x1ffff61f,
    0x3ffff200,0x84fffe81,0xfffffffd,0xffffffff,0x4fffe82f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fffec00,0x7fffe400,
    0x3fffa001,0xdfffb004,0x3ffff300,0x3ffffff6,0xffffffff,0xffffb2ff,
    0x99dfffff,0x3fffd801,0xe8ffff30,0x7f404fff,0x000004ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x201a8818,0x01db05e8,0x82aaa800,0x01db05e8,
    0x02aaa800,0x00bddd50,0x4aaaa200,0x1001aaa8,0x5405dddd,0x3bba25ee,
    0x997bae01,0x32e00eee,0xddb001cd,0xcca98001,0x2a2000ab,0x5541bcdb,
    0xaaaaaaaa,0x26622aaa,0x33331009,0xdeeea800,0x7ddd9000,0x3007bbb6,
    0x00579975,0x1db05e88,0xd901db00,0x03555503,0x85555440,0x65441998,
    0x2aaa980a,0x02cdcb98,0x2e619998,0xb753000a,0x2601359b,0x55531aaa,
    0x55551005,0xd70aaaa2,0x1f7741dd,0x202aaaa2,0xc89cfffd,0x217fc03f,
    0x126007fb,0x7fc1fffa,0x0003fd43,0x003fffe2,0x09fffff1,0xffff3000,
    0x007fff51,0x2013ffee,0xffe8cffe,0x8bffe804,0xfd104ffe,0xa809ffff,
    0x3aa005ff,0xdfffffff,0x7fffd401,0xfff0efff,0xffffffff,0x7fff4fff,
    0x0ffff503,0x02fffe80,0x2abfff10,0x36603fff,0xffffffff,0x50ffe002,
    0x13f600ff,0xffd01ff3,0x7fd4009f,0x1fffd0ff,0xdfffffd1,0x337ffe41,
    0xdfffffff,0xcbfffc01,0x2602ffff,0xfffffffe,0xfffc83ff,0x00bfffb5,
    0xf31ffff5,0xfffc8fff,0xf113ffe0,0xffa87fff,0x1fffffff,0x7677fdc0,
    0xfc8803ff,0x707ffe85,0x7ffd9dff,0xeeeec800,0x205effff,0x2fffdffe,
    0x7ffcc000,0x03fffa8f,0x200bfff0,0x6ffefff9,0xfdfff300,0x7ffec0df,
    0x3a02fffd,0xff7001ff,0xffffffff,0x3fff603f,0xafffffff,0xffffffff,
    0x3a7fffff,0xff503fff,0x7fd400ff,0x3ff2002f,0x40bffd0e,0xfffffff8,
    0x7003ffff,0x7ffd9dff,0x37ffe600,0xffd05ffe,0x7fd4009f,0x5fffd0ff,
    0xfffffffd,0xbb7ffe4b,0xffffffff,0x3fffe05f,0x00fffffb,0xfffffff9,
    0x41dfffff,0xffb5fffc,0xfff500bf,0x8ffff31f,0x3fe0fffc,0x7fffc44f,
    0x76567e43,0xf9006fff,0x5009ffff,0xffd0bfff,0x7fff5c0f,0xffd8004f,
    0x6fffffff,0x3eedff90,0x260000ff,0xffa8ffff,0x5ffb803f,0x7fffdc00,
    0x3fee001f,0xff301fff,0x41bff21f,0xf3005ffa,0xfb99dfff,0xff70dfff,
    0xffffffff,0xffffffff,0xffffffff,0xa81ffff4,0x3a007fff,0x3e2003ff,
    0x0dff30ff,0xdeffffd8,0x007fffff,0x13ffffae,0xffffd700,0x3fffa01b,
    0x3ffea004,0xfffffd0f,0xfffffddf,0x37bfff27,0xffffffff,0xfff02fff,
    0x0bffffff,0x3ffffff6,0xffffffff,0x2bfff91f,0xa805fffd,0xff98ffff,
    0x07775c7f,0xff887ddd,0x2065c3ff,0xc98001a9,0xfff9001b,0x00df550b,
    0x20003793,0xfffffffd,0xeee886ff,0x000fbb21,0x88ffff98,0xed802fda,
    0xeec8000d,0xeed8003e,0x9bfea03e,0xffd07ff9,0x3ffee003,0x0efffa83,
    0x33ffffe2,0xffffb98a,0xaaaaafff,0x3fa2aaaa,0xfff503ff,0x0fba200f,
    0x54399300,0x3fe600cc,0x7ffd41ff,0x5e4c001f,0x2ee60001,0x27fff402,
    0x1ffff500,0x83bffffa,0xf94ffff9,0x5bffffff,0xdffffd73,0x3bffffe0,
    0xffa82dab,0x989adfff,0x76fffffb,0x3ff69fdd,0xfffa805f,0x06fee98f,
    0xffff1000,0x00000007,0x17fff200,0x00002fcc,0xffff8800,0x00000000,
    0xd83fffe6,0x0000001f,0xb8000000,0x3ffe65ff,0x002ffd40,0x501bfff9,
    0x3ffff203,0xffffd102,0xfffd000d,0x1fffea07,0x00000000,0xf81dd4c0,
    0x00002fff,0xfe800000,0x3ea004ff,0xfffd0fff,0xbfff901f,0x17fffff2,
    0x1fffff44,0x00fffffc,0x0bffffa2,0x2ffffd88,0x7ffecff2,0xffffa805,
    0x00017ea0,0x89ffffc4,0x33100999,0xaca98033,0x7fe4c401,0xfb1099ef,
    0x804ccc45,0x31019998,0x3fe21577,0x654c00ff,0x31000abc,0x3fe61377,
    0x80df50ff,0x00abcca9,0x0ab2ea20,0x57995300,0x997ff201,0x7ff41fff,
    0x3ffea001,0x4401bdff,0x5405ffff,0x8006ffff,0xf503fffe,0x2a200fff,
    0x88002acb,0x00009bca,0x17fffd44,0x13795100,0xccba9800,0x3fffa02b,
    0x3ffea004,0x0bfffd0f,0x7e5bffee,0x2a00efff,0xff85ffff,0xffc805ff,
    0xfff003ff,0xfd97f4df,0xffa805ff,0x453f20ff,0x33100999,0x3fffe233,
    0x207fffd2,0xf507fffa,0x05ffffff,0x3fffffee,0xe8bff4ff,0xff503fff,
    0xffff50ff,0xffff15ff,0x3fffaa01,0x201dffff,0xaffffffa,0xfb8ffff9,
    0xfffd501f,0x403bffff,0xffffffd8,0x7ff5403f,0x41dfffff,0x3fe66ffb,
    0x017fea0f,0xffffff10,0xf505bfff,0xfd005fff,0xfd000dff,0x3fea07ff,
    0x7fec407f,0x803fffff,0xffffffec,0xd951000c,0x05ffffff,0xfffffd90,
    0xfd98019f,0x2fffffff,0x004fffe8,0x743fffea,0xff504fff,0x3ffff2ff,
    0x7fffc402,0x04ffff86,0x006ffff8,0x3affffee,0x17fff66f,0x43fffea0,
    0xfffd0ffb,0x9fffea07,0xffd1ffff,0x3ffea07f,0xfffffc87,0xfb85ffff,
    0x4fffffff,0x7fffd057,0x91fffea0,0xffffffff,0x701ffffb,0xffffffff,
    0xff903fff,0xfbffffff,0x01b11fff,0x3fffffee,0xa81fffff,0xffffffff,
    0xfff704ff,0xffffffff,0xf73ffd43,0x01ffe8ff,0xfffff980,0x21efffff,
    0x9007fffb,0xd000dfff,0x3ea07fff,0x3fea07ff,0xffffffff,0x3ffff604,
    0x01efffff,0x3fffffaa,0x402fffff,0xfffffffd,0xff101eff,0xffffffff,
    0x4fffe87f,0x3fffea00,0x209fffd0,0xff97fffa,0xffd001ff,0x7ffff0ff,
    0x3ffff880,0x7ffffc00,0x3fff61ef,0xffffa805,0x3fa2ffec,0xfff503ff,
    0xe8ffffcf,0xff503fff,0xffffa8ff,0x3fffffef,0x7fffffdc,0x7ff404ff,
    0xffff503f,0x7fffffcc,0xfffffffe,0x77fffcc0,0x6ffffdcc,0x7fffffd4,
    0xfffffffe,0x7fffcc00,0xffffdcce,0x7ffffc46,0x3fffffef,0x677fffcc,
    0x46ffffdc,0xfffceffe,0x0017fea3,0xfffffc88,0xf90fffff,0x3ee00fff,
    0xcccccfff,0x7ff44ccc,0xffff503f,0x3ffffe20,0x3fffffef,0xffffffd8,
    0x80ffffff,0xcefffffb,0x202fffea,0xfffffffd,0xd80fffff,0xffdeffff,
    0x7ff47fff,0x3fea004f,0x7fffd0ff,0x65fffea0,0xfb007fff,0xffff0fff,
    0xffff9805,0x7fff4002,0x5fffd83f,0xfffffa80,0x7fff40df,0x4ffff503,
    0xffd0fffe,0x3ffea07f,0x8effff47,0x20ffffb8,0x9efffc98,0x7fff4009,
    0x4ffff503,0x30bffffe,0x81fffffb,0xfa83fffb,0x3ffa0eff,0xffb30bff,
    0xfb801fff,0xfffa83ff,0x3ffff20e,0xdfffb10b,0xa83fffb8,0x3ea0efff,
    0x746fffff,0x300001ff,0xffffffb7,0x01bfff69,0x7fffffd4,0x0fffffff,
    0x5c0ffffa,0xff907fff,0x3f6217ff,0x7ffe46ff,0xfffb32ef,0xffffa8bf,
    0x17fff41c,0x2effffc8,0x8bffffb3,0x541ffff9,0x3fa1ffff,0x3ea004ff,
    0xfffd0fff,0x5fffea07,0xb006fffc,0xff81ffff,0x7fd402ff,0x7ec001ff,
    0xfffb07ff,0xffff500b,0x1ffff403,0x367fffa8,0x3fffa7ff,0x4ffff503,
    0xd80ffffb,0xffc83fff,0x3ffa005f,0xffff503f,0x40bfffe6,0x640ffffe,
    0x1a80dfff,0x02ffff98,0x801ffffd,0xa80dfffc,0x2ffff881,0x20deff98,
    0xa80dfffc,0x3bfb6201,0x002ffd43,0xffea80c0,0x0bfffd6f,0x3ffffea0,
    0xffffffff,0x40ffff60,0xf887fffc,0xff982fff,0x3fffe0de,0x5ffff504,
    0xe82fffe4,0xfff02fff,0x3ffea09f,0x81dd4c2f,0x3fa2ffff,0x3ea004ff,
    0xfffd0fff,0x5fffea07,0x9006fffc,0xff81ffff,0x7fdc02ff,0x7e4000ff,
    0xffd80fff,0xfffa805f,0x3fffa00f,0x4ffff503,0x3ffa7ffc,0xffff503f,
    0xb82fffe4,0xffc85fff,0x3ffa005f,0xffff503f,0xb81fffea,0x7d40ffff,
    0x01bdffff,0x7037ffdc,0xa801ffff,0x1bdfffff,0x03fffd40,0x3ffea013,
    0x0001bdff,0xc887ffa0,0xed883dfe,0xfff703ff,0x01bfffab,0x7fffffd4,
    0x0fffffff,0x221bfff2,0xfa87ffff,0x202607ff,0x200ffff9,0x3fa4fffe,
    0xfff984ff,0xffff983f,0x13fffa00,0xffffa880,0x013fffa2,0xd0ffffa8,
    0x3ea07fff,0xdfff97ff,0x3ffff200,0x017fffc0,0x003fffee,0x20ffff90,
    0xa805fffd,0x3a00ffff,0xff503fff,0xd37fdcff,0x3ea07fff,0x3fff67ff,
    0xfdccccce,0xfffc86ff,0x3fffa005,0x2ffff503,0x2606fffb,0x7c40ffff,
    0xffffffff,0x5fffc82d,0x03fffea0,0xffffff10,0xf705bfff,0x22000dff,
    0xffffffff,0x2a0002df,0x3ffa25ff,0x7ec0efff,0x7f4c2fff,0xffff93ff,
    0x3bffee00,0x99999999,0x5ffffdc1,0xfffffd50,0x00dfff70,0x80dfff70,
    0x3f65fffc,0x3fa60fff,0xffb83fff,0x7ffe406f,0x3fb2a205,0x3a2fffff,
    0x2a004fff,0xffd0ffff,0x3ffea07f,0x00dfff97,0xf03ffff2,0xfa805fff,
    0x6c001fff,0xffb06fff,0xfff500bf,0x7fff401f,0x4ffff503,0x3ffa5ffb,
    0xffff503f,0x7ffffffc,0x7fffffff,0x005fffc8,0x540ffffa,0xfff97fff,
    0x7fffc40b,0xfffff980,0x21efffff,0x2604fffd,0x9800ffff,0xffffffff,
    0x3ff21eff,0x3e60005f,0xffffffff,0xfe8001ef,0x33bff61f,0x7fcc4fff,
    0xfffeffff,0xfff70fff,0x3fff200f,0xfff98006,0xfeffffff,0xfffc87ff,
    0xfffd8005,0x3fffdc05,0xdbfffff7,0x09ffffff,0xb80bfffb,0xfea87fff,
    0xffffffff,0x13fffa2f,0x0ffffa80,0x2a07fffd,0xfff97fff,0x3fff200d,
    0x17fffc0f,0x0bfffe60,0x0bffff00,0x201bfff6,0x200ffffa,0xf503fffe,
    0x27fd4fff,0x2a07fffd,0x3ffe7fff,0xffffffff,0x7e40ffff,0x3fa005ff,
    0xfff503ff,0x817fff2f,0x100ffff9,0xfffffff9,0x3ff21fff,0x3ffe605f,
    0xff91000f,0xffffffff,0x01bfff21,0xffff9100,0x01ffffff,0xf12ffd40,
    0x1ffea1ff,0x3fffffe6,0x2a1fffff,0xe801ffff,0x70006fff,0xdfffffff,
    0xf90ffff1,0xf9000dff,0xffb80bff,0x7fffec6f,0xfffcefff,0x05fffc86,
    0x2e37ffdc,0xacefffff,0x3fa2fffe,0x40a624ff,0xfd0ffffa,0x3fea07ff,
    0x0dfff97f,0x21ffff20,0x4402ffff,0x2005ffff,0x903ffff9,0xf700dfff,
    0xffe80fff,0xffff503f,0xffd27fcc,0x3ffee07f,0x273fffa7,0x99999999,
    0x05fffc81,0x40ffffa0,0xff77fffb,0x7ffd40df,0xfdb9800f,0xf74fffff,
    0x7fd40bff,0xb98000ff,0x4ffffffd,0x040dfff7,0x3ff6e600,0x2004ffff,
    0x3fea1ffe,0x207ffe27,0xffffffc8,0x7ffcc0cf,0x7ffc404f,0x3ae0006f,
    0x3fe4efff,0x6fffb87f,0x7ffd4020,0x2fffe406,0xa7ffffe4,0x540ffff8,
    0x7e406fff,0x3ffea5ff,0x7fff41cf,0x233fffa2,0xfa81ffff,0x3fffa7ff,
    0x2ffff503,0xb006fffc,0xfff0ffff,0xfffd005f,0x3ff6003f,0xfff702ff,
    0xffff900f,0x03fffe80,0x7c4ffff7,0x13fff63f,0xfb3fffe4,0x20020dff,
    0x2005fffc,0xf904fffd,0x3ffeafff,0xffff900f,0xfea80c01,0xffff56ff,
    0x3ffff201,0x75406000,0xfff56fff,0x37bfa01f,0x3faa0302,0xff5006ff,
    0x226ffb8b,0x6cc02fff,0x3fa00cff,0x3f200fff,0x80006fff,0x07fc40a8,
    0x00ffffa8,0x3e25bdfd,0x3fa01fff,0x02a603ff,0x7fc40bfa,0x3ffa01ff,
    0x17fff23f,0xfd17fff4,0x3fffe9ff,0x06fffc83,0x97fffa80,0x3e00dfff,
    0x79905fff,0xfffa8013,0xfffa805f,0x3ffea06f,0x3ffe204f,0x7ffec06f,
    0x8ffff904,0x3fff2099,0x7ffff885,0x207fffea,0xfb83defd,0x3f2005ff,
    0xfff885ff,0x9ffff17f,0x1fffff10,0x81fff6c4,0xff15fffb,0xfff109ff,
    0x76c401ff,0xfff703ff,0x13fffe2b,0x447fffea,0xf703ffed,0x3fa00bff,
    0x137fdc1f,0xfb805fff,0xf502fffe,0xf901dfff,0x000dffff,0x103fcc00,
    0xf509ffff,0x7ff43fff,0xfffc80df,0x3ff0001f,0x06ffff40,0xd0ffffe4,
    0xff309fff,0x7fff47ff,0x41dfffd4,0x005fffe8,0xf96fffc8,0xff500dff,
    0xfff109ff,0xffd801ff,0xff700eff,0x7c403fff,0xf901ffff,0xfc807fff,
    0xfff885ff,0xb866667f,0xd50bffff,0xfe8fffff,0xff70beff,0xfff707ff,
    0xfb80555f,0xfd50bfff,0x7fe4ffff,0xffc89cff,0x7ec0ffff,0x7f4c2fff,
    0x3fff23ff,0xfffc89cf,0x7ec00fff,0x7f4c2fff,0x3ffee3ff,0xfffb9bff,
    0x7fffec6f,0x1ffff4c2,0x542ffd40,0x3ffe27ff,0x1bfe2001,0xefffffe8,
    0xffffffdc,0xeeeeeeff,0x4001eeee,0x3ee01ffa,0xfb9bffff,0x7fdc6fff,
    0xffb9cfff,0x30004fff,0x7fdc07ff,0xffb9cfff,0x7fec4fff,0x3ffa60ff,
    0x3fffa3ff,0x9dffff74,0x05fffffb,0x3fff2e20,0x0dfff96f,0xffff77b9,
    0x3f26603f,0x7ffcc04f,0xfdccefff,0x804fffff,0xdffffffc,0xffffffdc,
    0x7fffdc00,0xffffd50b,0x98ffffcf,0xffffffff,0x547fffef,0xffffffff,
    0xff506fff,0x980bffff,0xffffffff,0x227fffef,0xffffffff,0x40ffffff,
    0xeffffff9,0x20ffffff,0xfffffff8,0x0fffffff,0x7ffffcc0,0xffffffef,
    0x7fffff40,0x41ffffff,0xeffffff9,0x00ffffff,0xf881ffe8,0x0fff51ff,
    0x4c0dff00,0xffffffff,0xffffdfff,0xffffffff,0x7cc002ff,0x7fff404f,
    0xffffffff,0xfffffb81,0x06ffffff,0x03bfe200,0xffffffb8,0xb86fffff,
    0xfedfffff,0x3a4fffff,0x3ffa4fff,0xffffffff,0x3ffea004,0xfff94fff,
    0xffffff0d,0xff3009ff,0xffff500d,0xffffffff,0xf1001bff,0xffffffff,
    0x009fffff,0xfffffff3,0x4ffffdff,0x3ee1ffff,0x8dffffff,0xffa87fff,
    0xefffffff,0x3ffffe00,0xfffb806f,0xff8dffff,0x7fffcc7f,0xffe9ffff,
    0xffff980f,0x1fffffff,0xffffffa8,0x0fffe9ef,0xfffff980,0x81ffffff,
    0xffffffe9,0xff302fff,0xffffffff,0xbff5003f,0x7efffec0,0x332204ff,
    0x403ffecb,0xffffffe9,0xffff8dff,0xffffffff,0xfe8002ff,0x74c1feff,
    0xffffffff,0x3ffee02f,0x0dffffff,0x7ffec000,0xfffb83fe,0x0dffffff,
    0xffffffb0,0x4dfff9df,0x3ea4fffe,0xffffffff,0x7ffe4006,0xfff90fff,
    0xfffffa8d,0x664c0eff,0x003fffdc,0xffffffb1,0x005fffff,0xfffffd88,
    0x03ffffff,0x3ffffee0,0x7fff8dff,0xd707fffe,0x7fc9dfff,0xfffb107f,
    0x98017fff,0x006ffffe,0x49dfffd7,0xfd887fff,0xffd0dfff,0x3ff2201f,
    0x00cfffff,0x37ffff62,0x001fffd0,0x3fffff22,0x75c00cff,0x01dfffff,
    0x7ffffe44,0xfd000cff,0x7ff4403f,0x2200efff,0x03ffffff,0xfffff910,
    0x7ffffc9d,0xffffffff,0xffb8002f,0xfd701fff,0x003bffff,0xdffffd95,
    0x3a600005,0x9503ffff,0x05dffffd,0x9fffff90,0x743fffe2,0x7ec44fff,
    0x00cfffff,0x7ffffec0,0x31bfff22,0x3bffffd9,0xdfffff50,0xffb50007,
    0x019dffff,0x7fff5c00,0x000dffff,0x4efffeb8,0xfff9fffe,0x0015101f,
    0x00333100,0x20003510,0x4c0000a8,0x53100001,0x03300013,0x2a620000,
    0xa9880009,0x35310001,0x4ee98001,0x07bdb700,0x026aa660,0x004cc400,
    0xa8000000,0xa98800ac,0x06a20001,0xab980000,0x00351000,0x00002a60,
    0x000cd4c0,0x00379530,0x2009a880,0x001aaa98,0x00153100,0x26a62000,
    0x15100000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4ccc4000,
    0x04ccc400,0x02f77640,0x0013bbb2,0x2203eeb8,0xd7000ab9,0x1f7744dd,
    0x55013100,0x5eeeb800,0xeeeb8000,0xddd9000d,0xee98000b,0x03bbaa0e,
    0x042aaa98,0x01575100,0xd87bba20,0x774c03ee,0x05ddb10d,0x95106662,
    0xddd70035,0x002776c1,0x000bddd7,0x005eeeb8,0x0009ddd9,0x01565d44,
    0x99999988,0x98009999,0x00abddcb,0xc87bba60,0x013005ee,0x3baa0055,
    0xd50000de,0xeb801bdd,0x730005ee,0xf70079bb,0xffd80fff,0x7ffc404f,
    0x7ff4400f,0xffd0001f,0xffffb105,0xffc801df,0x013ffe27,0x4567ffe4,
    0x3e6005fb,0x0004ffff,0x007fffe2,0x01fffe88,0x91ffea00,0xffb00dff,
    0x805fb39f,0xefffffea,0x8effb800,0xd800effc,0x0dffb5ff,0x6c4fffec,
    0x00efffff,0xff83fff2,0xfff3005f,0x220007ff,0x1001ffff,0x8003fffd,
    0xffffffd8,0x7fffc03f,0x3fffffff,0x3ffff660,0x801effff,0x3fa1fffa,
    0x7ffdc06f,0x806fa8ad,0x04fffff8,0x03fffd00,0x00bfff60,0xffffffb8,
    0x3fe202ff,0xfff102ff,0xfffc803f,0x9fff1001,0x03ffe000,0xffffffd3,
    0x7fe405ff,0x013ffe27,0x3fffffe2,0xd1003fff,0x03fffbff,0x07ffee00,
    0x17ffa200,0x46ffc800,0xf7005ffe,0x4019ffff,0xfffffffb,0xffe802ff,
    0x1001fffe,0x1fffdffd,0x757ffec0,0xffffffff,0x41fff900,0xf8805fff,
    0x01fffdff,0x01fffb80,0x02fff440,0xffffff50,0x2209ffff,0xffffffff,
    0xff703fff,0xffffffff,0xffa807ff,0x81bffa1f,0xfffffff8,0xffe804ff,
    0x4002fffd,0x2002fffa,0x3006ffe8,0xffffffff,0x7fec03ff,0xdfff505f,
    0x01fff880,0x007ffcc0,0x3a1ffe60,0xffffffff,0x9bbae07f,0xb803eee8,
    0xfffebadf,0xbffb000e,0x4001bff2,0x20002ffe,0x0001fff8,0xfff89ffd,
    0xfffd3003,0xffffa80b,0x0fffffff,0x7ffffc40,0x7ffcc004,0x7fec03ff,
    0xffeeffff,0xdd703fff,0x02776c1d,0xffcaffec,0x2fff8006,0x1fff1000,
    0xfffff100,0x7fffffdf,0xffffff50,0x707fffff,0xffffffff,0x0bffffff,
    0xd90f774c,0x577d40bd,0x01ffffdb,0xffbb7fe4,0x3ffa000f,0xffe88003,
    0x7fffc402,0x5ffffecf,0x41fffea0,0x5403fffd,0xd30002ee,0xffb8005d,
    0x5ffffcc5,0x03ffffa8,0x1ca80000,0xd3001544,0x1f76c1bd,0x00bba600,
    0x00fba600,0xf317ffc0,0xfea803ff,0x204fffdf,0xb8aefffd,0xa805ffff,
    0x70005eee,0xfb009ddd,0x7c41dfff,0x00006fff,0xb06f74c0,0x754005dd,
    0x74c0002e,0xfffc803e,0xfffb10bf,0xfffff90d,0x87ffffff,0xcffffff8,
    0xffffca9a,0x2000002f,0x015441ca,0xd90f7744,0x3ba6007d,0x3b620003,
    0x7fffdc04,0x01ffff20,0xf885ffff,0x00000fff,0x7ec00000,0x2fffec3f,
    0x001bffee,0x00000000,0x00000000,0x4c000000,0x3fea1fff,0xb1fe400f,
    0xff107fff,0xfffc81ff,0x00000006,0x7fffec00,0x06fffb80,0x00000000,
    0x00000000,0x0bfffe20,0xb037bfe6,0xb8003fff,0x2a06ffff,0x0006ffff,
    0x00000000,0x00000000,0x4fffd800,0x2037ffd4,0x7d45fffc,0x4ccc46ff,
    0x23333100,0x31009998,0x7ffc0333,0x07fffe21,0x803ffff1,0x0009bca8,
    0x01379510,0x26f2a200,0x79510000,0x2a200013,0x764009bc,0xeefffeee,
    0x06efffee,0x7fc44c42,0x76dc41ff,0x07fffa85,0x15e65d4c,0x4de54400,
    0x2fffec00,0x807fffa8,0x0001aca9,0x00035953,0x0006b2a6,0x200d654c,
    0x2607fffa,0x03fffe00,0x3ffffd00,0x2ffffb80,0x2f32ea60,0x32ea6002,
    0x2a6002bc,0x2002bccb,0x02bccba9,0x2f32ea60,0x0ffff602,0x9807fffb,
    0x7fec7fff,0x1ffff43f,0xfd7fffa8,0x3fea07ff,0x8fff307f,0xe80ffff9,
    0xfd903fff,0x019fffff,0x3ffffb20,0xd9000cff,0x19ffffff,0x3fffb200,
    0x9000cfff,0x9ffffffd,0x3ffff601,0xffffffff,0x3ae07fff,0xfffdefff,
    0xfffc8006,0xffffb305,0x9005ffff,0x9ffffffd,0x13fff601,0x503fffcc,
    0x5fffffff,0x3fffea00,0xf5002fff,0x05ffffff,0x3ffffea0,0xfff702ff,
    0x3fe2000d,0x9510006f,0x3fffa007,0xffffd986,0x2602ffff,0xfffffffd,
    0x3ff6602f,0x02ffffff,0x3fffff66,0x36602fff,0xffffffff,0x23fffe82,
    0x801ffff8,0xff12fffe,0xfffe81ff,0x2ffff503,0xf503fffe,0x3fee0fff,
    0x83fffd45,0xfd83fffd,0xffffffff,0x7ffec01e,0x1effffff,0x7ffffec0,
    0x401effff,0xfffffffd,0x7ec01eff,0xffffffff,0xffffd81e,0xffffffff,
    0xfd887fff,0xffffffff,0x3e6002ff,0xff882fff,0xffffffff,0x3fff603f,
    0x1effffff,0x304fffd8,0x3f20ffff,0xffffffff,0x7fffe405,0x405fffff,
    0xfffffffc,0x7fe405ff,0x5fffffff,0x005fffc8,0xb7dfff30,0x000059df,
    0x88ffff90,0xffffffff,0xff883fff,0xffffffff,0xffff883f,0x3fffffff,
    0xffffff88,0x883fffff,0xffffffff,0x7ff43fff,0x17fff22f,0xaafffdc0,
    0xffe85fff,0xffff503f,0x540ffffa,0xffb07fff,0x06fffb87,0xfd89fffb,
    0xffffffff,0xffb00fff,0xffffffff,0x3ff601ff,0xffffffff,0xfffb00ff,
    0xffffffff,0x3fff601f,0xffffffff,0x7e665c0f,0xffdccdff,0xffd84cdf,
    0xffffffff,0xffc805ff,0xffb03fff,0xffffbdff,0x3fff60ff,0xffffffff,
    0x1fffec0f,0xa87fff98,0xffefffff,0xff503fff,0xffffdfff,0x3ffea07f,
    0xfffffeff,0xfffff503,0x87fffffd,0x0006fffc,0xfffffff7,0x00009fff,
    0x20ffffa8,0xfdeffffd,0xfd87ffff,0xfffdefff,0xfffd87ff,0xfffffdef,
    0xeffffd87,0x87fffffd,0xfdeffffd,0x7f47ffff,0x3fffe2ff,0xffff1001,
    0x3a0bfff6,0xff503fff,0x0ffffaff,0xf83fffd4,0x7ffdc1ff,0x4bfff906,
    0x32effffc,0x90bffffb,0x265dffff,0xc85ffffd,0xb32effff,0xf90bffff,
    0x3665dfff,0xfc85ffff,0xfb32efff,0x7cc0bfff,0x3ffea1ff,0xfffff700,
    0xfffff939,0xfffff00f,0x3fffe605,0x0ffffd41,0x4bbffff2,0x45ffffd9,
    0xf303fffd,0xfffd0fff,0x3ffee23b,0xdfffe80f,0x1ffff711,0x23bfffd0,
    0x80ffffb8,0x711dfffe,0x7dc1ffff,0xc80206ff,0xffffffff,0x7fdc5fff,
    0xffffffff,0xffffffff,0x3ffff31f,0x21ffffa8,0x541ffff9,0x3e61ffff,
    0x7fd41fff,0x3ffe61ff,0x7fffd41f,0x07fffe61,0x743ffff5,0xfff32fff,
    0x7fec003f,0xd07fffaf,0x3ea07fff,0x7fffd7ff,0x21fffea0,0xffc87ff9,
    0xdfff906f,0xa827fffc,0x7fc2ffff,0xfff504ff,0x4ffff85f,0x85ffff50,
    0xf504ffff,0xfff85fff,0xffff504f,0x91ffee05,0x3fe20dff,0x7ec40eff,
    0x3e201fff,0x300cffff,0x3ffe0775,0x27fffc2f,0x22ffffa8,0xf303fffd,
    0xfffb8fff,0x3fffd80f,0x407fffdc,0x7dc3fffd,0xffd80fff,0x7fffdc3f,
    0x23fffd80,0xd00ffffa,0x7ff45bdf,0xfffdbdff,0x3fff22ff,0xffffffff,
    0xffffffff,0x7c0eea62,0x5d4c2fff,0x85ffff03,0xfff03ba9,0x03ba985f,
    0xa985ffff,0x5ffff03b,0xf997fff4,0x2a005fff,0x4fffffff,0x207fffd0,
    0xffd7fffa,0x3ffea07f,0xc85ffb87,0xff906fff,0x3fffe6df,0x93fffa00,
    0x200ffff9,0x3e64fffe,0x3fa00fff,0x3ffe64ff,0x3fffa00f,0x03fffe64,
    0x904fffe8,0x4ffe8dff,0x03ffff30,0x80ffffe2,0xfffffcd8,0x7fd44003,
    0x3ffe62ff,0x3fffa00f,0x40ffff64,0x7e47fff9,0xfff705ff,0x05fffc8b,
    0xfc8bfff7,0xfff705ff,0x05fffc8b,0x7c4bfff7,0xffa84fff,0x3bfb21ff,
    0x3ffff4c1,0xfffffff7,0xffffffff,0x2007ffff,0x02ffffa8,0x3fffea20,
    0x3fea2002,0x2a2002ff,0x2002ffff,0x22ffffa8,0x3fa2fffe,0x3e005fff,
    0x01ffffff,0x2a07fffd,0xfffd7fff,0x1fffea07,0x3ee0fff6,0xfff906ff,
    0x01bffeeb,0x7dcbfff9,0x7fe406ff,0x1bffee5f,0x5cbfff90,0x7e406fff,
    0x3ffee5ff,0x2fffe406,0x7fc4ffe8,0xffff703f,0x05fffd80,0x03fffea0,
    0xfffeca88,0x3fee2fff,0x7ffe406f,0x40ffff65,0x7ec7fff9,0xccccceff,
    0x7ec6fffd,0xccccceff,0x7ec6fffd,0xccccceff,0x7ec6fffd,0xccccceff,
    0x7dc6fffd,0xfb9bffff,0xc8006fff,0xff50ffff,0x999999ff,0xfffb9999,
    0x3b2a205f,0x02ffffff,0x3fffb2a2,0x2a202fff,0xffffffec,0x3fb2a202,
    0x202fffff,0xffffeca8,0x3fffa2ff,0x3ffffe22,0xffff9004,0x7fff40df,
    0x2ffff503,0xf503fffe,0x3ffd0fff,0x20dfff70,0xffb4fffd,0xfffb80bf,
    0x017fff67,0x7ecffff7,0x7fdc05ff,0x17fff67f,0x6cffff70,0x7dc05fff,
    0x3fff67ff,0xffffffff,0x3f27ffff,0x7fe406ff,0x7ff4006f,0xfffea83f,
    0x2fffffff,0x7017fff6,0x7fecffff,0xffff303f,0xfffffff8,0x7fffffff,
    0x7ffffffc,0x7fffffff,0x7ffffffc,0x7fffffff,0x7ffffffc,0x7fffffff,
    0xffffffe8,0x001fffff,0x11ffff98,0x2005ffff,0x541ffffb,0xfffffffe,
    0xfea82fff,0xffffffff,0xfffea82f,0x2fffffff,0xfffffea8,0xa82fffff,
    0xfffffffe,0x3ffa2fff,0x7fffcc2f,0xfff9802f,0x3ffa03ff,0xffff503f,
    0x540ffffa,0x7fc47fff,0x7fffa80f,0x327fffb0,0x7dc05fff,0x3fff26ff,
    0x37ffdc05,0xb80bfff9,0x3ff26fff,0x7ffdc05f,0x017fff26,0x7ecdfff7,
    0xffffffff,0x27ffffff,0x5c06fffc,0x5c006fff,0x7fdc6fff,0xfeacefff,
    0x3fff22ff,0x37ffdc05,0x2607fffb,0x7ffc7fff,0xffffffff,0x3fe0ffff,
    0xffffffff,0x3e0fffff,0xffffffff,0x20ffffff,0xffffffff,0x0fffffff,
    0x7fffff4c,0x0002ffff,0xff8bfffe,0xffb004ff,0x7ffdc1ff,0xffeaceff,
    0x7fffdc2f,0xfffeacef,0x7ffffdc2,0x2fffeace,0x77ffffdc,0x42fffeac,
    0xcefffffb,0x3a2fffea,0xff982fff,0xfe801fff,0x3fa00fff,0xfff703ff,
    0x40ffffaf,0x7d47fffb,0xffff306f,0x27fffd01,0x6406fffa,0x3fea5fff,
    0x7ffe406f,0x01bffea5,0x7d4bfff9,0x7fe406ff,0x1bffea5f,0x6cbfff90,
    0xffffffff,0x7fffffff,0xb01fffee,0x54c49fff,0x4ffff700,0x41cffffa,
    0x3ea2fffe,0x7fe406ff,0x0ffff65f,0x3a3fffcc,0x9999cfff,0x74199999,
    0x9999cfff,0x74199999,0x9999cfff,0x74199999,0x9999cfff,0x20199999,
    0xdfffffeb,0xff004401,0x7ffec5ff,0xffff8806,0x33fffea5,0x517fff41,
    0xe839ffff,0x3fea2fff,0x7ff41cff,0x3fffea2f,0x17fff41c,0x839ffff5,
    0x3fa2fffe,0xfff302ff,0xfffd009f,0x4fffd80b,0x36ffff90,0xff904fff,
    0x04ffc8ff,0x883ffff1,0xff11ffff,0x7ff403ff,0x3fffe23f,0x8ffffa01,
    0x201ffff8,0x3e23fffe,0x3fa01fff,0x3ffe23ff,0x3fffa01f,0x3bffaa63,
    0xadffeaaa,0x3ffe62aa,0xffff101f,0x417fff67,0x3f26fffe,0xfffd05ff,
    0x0ffffc45,0x807fffd0,0xd800accb,0x80106fff,0x0106fffd,0x106fffd8,
    0x06fffd80,0xfec88001,0x3ffaa00d,0x1ffff307,0x01ffffdc,0xc8fffff6,
    0xffd05fff,0x2fffe45f,0x322fffe8,0xffd05fff,0x2fffe45f,0x322fffe8,
    0xffd05fff,0x17fff45f,0x80dfff90,0x402ffffa,0xf885fffc,0xfff97fff,
    0xfffff10b,0x3602ffe8,0x7fe45fff,0x6ffff46f,0x1ffffc80,0x406ffff4,
    0x741ffffc,0xfc80dfff,0x7ff41fff,0xfffc80df,0x6ffff41f,0x1ffffc80,
    0x7fc4ffe8,0x7fffc03f,0xffffc80e,0x83ffff51,0x3a4ffff8,0xff984fff,
    0x7fff43ff,0xffffc80d,0x7fffec01,0x7fffd402,0x43defd81,0xd81ffffa,
    0x7fd43def,0xdefd81ff,0x0ffffd43,0x201ef7ec,0x02fffefb,0xb07ffff3,
    0xffb0dfff,0x3ff207ff,0x7fff46ff,0x3ffff984,0x2613fffa,0x3fa3ffff,
    0xfff984ff,0x13fffa3f,0xe8ffffe6,0xff984fff,0x3fffa3ff,0xffff5042,
    0x3ffff540,0x5ffffdc0,0xfffffd50,0x42ffffee,0x27ffffea,0x2600fff8,
    0xfb9cffff,0x7fdc2fff,0xffb9cfff,0xffb84fff,0xffb9cfff,0xffb84fff,
    0xffb9cfff,0xffb84fff,0xffb9cfff,0xffb84fff,0xffb9cfff,0xff884fff,
    0x07ffe62f,0x9fffff50,0x9fffff93,0x67ffffc4,0x1fffffc9,0x983ffff6,
    0x5c3ffffe,0xb9cfffff,0x804fffff,0x806ffb98,0x70befffe,0xfd07ffff,
    0x3ee17dff,0xffe83fff,0xfff70bef,0xdfffd07f,0x3fffee17,0x1bfe2003,
    0x9cffffe8,0x82ffffea,0xcefffff8,0xfffffecb,0x07fffec1,0x47ffffd3,
    0x260ffffd,0x363ffffe,0x3a60ffff,0x3f63ffff,0x3fa60fff,0x3ff63fff,
    0x3ffa60ff,0x3fffa3ff,0xfb35f912,0xffed8bff,0x9803ffff,0xffffffff,
    0xf37fffef,0xffffffff,0x7d4ffffd,0xfffe806f,0x07ffffff,0xfffffff7,
    0x5c0dffff,0xffffffff,0x3ee06fff,0xffffffff,0x3fee06ff,0xffffffff,
    0x3ffee06f,0xffffffff,0x43fff306,0xfb007ffa,0xffffffff,0xfff50dff,
    0xffffffff,0xfffffb87,0xffffffed,0xfffffb84,0x06ffffff,0x400ffe80,
    0xfffffffa,0xf506ffff,0xffffffff,0x3fea0dff,0xffffffff,0xffff506f,
    0xdfffffff,0x40dff000,0xfffffff9,0x2605ffff,0xffffffff,0xb83fffff,
    0xfedfffff,0x2e4fffff,0xfedfffff,0x2e4fffff,0xfedfffff,0x2e4fffff,
    0xfedfffff,0x2e4fffff,0xfedfffff,0x3a4fffff,0xfff8afff,0x42ffffff,
    0xeffffffc,0xffff7000,0xfff1bfff,0x7ffffdcf,0x7fff8dff,0x22013ff2,
    0xfffffffe,0x3ffee01e,0x0dffffff,0x7ffffdc0,0x400dffff,0xfffffffb,
    0x7dc00dff,0xffffffff,0x7ffdc00d,0x0dffffff,0xfc8fff70,0x3ff2006f,
    0xdfffffff,0xfffff700,0x3609ffff,0xefffffff,0xf706fffc,0xffffffff,
    0xcbcc801b,0xf5005ffe,0xffffffff,0x7ffd401d,0x0effffff,0x3ffffea0,
    0x200effff,0xfffffffa,0x32200eff,0x03ffecbc,0x7fffffd4,0xfa804fff,
    0xffffffff,0x3ff602ff,0xfcefffff,0x7ffec6ff,0xffceffff,0x7fffec6f,
    0xfffcefff,0x7ffffec6,0x6fffceff,0x7fffffec,0x26fffcef,0xff52fffe,
    0x70bfffff,0x01bfffff,0xefffeb80,0xd71fffe4,0x7fc9dfff,0x00bffa7f,
    0xdfffffc8,0xffeca800,0x2a002eff,0x2effffec,0x3ffb2a00,0x2a002eff,
    0x2effffec,0x3ffb2a00,0x7e402eff,0x027fec5f,0x3ffffa60,0xfe9802ef,
    0x401effff,0x14fffffc,0x2a01ffff,0x2effffec,0xffffff00,0xffd88009,
    0x800bffff,0xffffffd8,0xffd8800b,0x800bffff,0xffffffd8,0x7ffc400b,
    0xb1003fff,0x05dfffff,0x7fffe440,0xc800beff,0xf14fffff,0xffc81fff,
    0xfff14fff,0xffffc81f,0x1ffff14f,0x4fffffc8,0xc81ffff1,0xf14fffff,
    0x3ffa1fff,0x3fff6a2f,0x5995103f,0x0a880003,0x00151000,0x40005554,
    0x220001a8,0xa880001a,0x1a880001,0x01a88000,0x001a8800,0x55506aaa,
    0x0d4c0003,0x00353000,0x00001530,0x260006a2,0x00009aaa,0x0000ccc4,
    0x40003331,0x20001998,0x4c001998,0x00009aa9,0x10000353,0x20001353,
    0x260000a9,0x2a60000a,0x02a60000,0x000a9800,0x000d4400,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0179d993,0x4eeec800,0x2f774c00,
    0x10dee980,0x80005ddb,0x000deeea,0x51bddd10,0xeb809ddd,0x310005ee,
    0x3a600357,0x5ddb10de,0xddba8800,0x530001ac,0x19988037,0x00055dc4,
    0x00135753,0x179bb730,0x007db100,0x0000275c,0x44005555,0x0bceedcb,
    0x01555500,0x03ed8800,0xdb013ae0,0x5c40001d,0x00bceedc,0x00555530,
    0x88055551,0x02bcedba,0x376ea200,0x000009ac,0x998aaaa6,0x26662019,
    0xfffb1000,0x0009ffff,0x0fffffea,0x06fffa80,0x7ed7ff60,0xfe80006f,
    0x320001ff,0xdffd2fff,0x7fffcc01,0x3fa6004f,0x801dffff,0xdffb5ffd,
    0x7fff4c00,0x00dfffff,0xffffff70,0x23fffa09,0x3fffffe9,0x7ffffd40,
    0xfd3003ff,0x07ffffff,0x1004ffd8,0x200003ff,0x400ffff8,0xffffffc8,
    0x7c01dfff,0x40002fff,0xf1004ffd,0x2ffd803f,0xfffc8800,0x1dffffff,
    0x02fffec0,0x407fffd4,0xffffffe8,0x2a003fff,0xffffffff,0x900003ff,
    0x3fe6dfff,0x3fffa07f,0xffffd003,0x009fffff,0xffdfff88,0xfff5001f,
    0x7ff4400d,0x0000fffe,0x0017ffd4,0x2a7fff10,0x7f401fff,0x802fffdf,
    0xfffffffb,0x7f4401ff,0x000fffef,0xfffffff7,0x807fffff,0xfffffffd,
    0x7fff40ef,0xfffffffa,0xffffb05f,0x80bfffff,0xfffffff9,0xfea83fff,
    0xbfb004ff,0x7fc40000,0x3fea00ff,0xffdbdfff,0x3fe03fff,0xd50002ff,
    0x36009fff,0x4ffb805f,0x7fffd400,0xfffecbdf,0x3fff603f,0xffffa805,
    0x7ffffcc0,0x5fffffff,0xfffffc80,0xefffffff,0x7fe40000,0x0ffff36f,
    0x401ffff4,0xb9cffffb,0x2001ffff,0xdff95ffd,0x1bffea00,0xfffff300,
    0xffd00007,0xffb80007,0x900bff64,0x3ffeedff,0x3fffee00,0x0effffff,
    0x7ffffcc0,0xffffb003,0xffffffff,0x3ff205ff,0xffffffff,0x7fffff46,
    0xffffffff,0x7ffffd43,0x03ffffff,0xddfffff1,0x643fffff,0x804fffff,
    0x00000ff9,0x403fffe2,0x101beffc,0x3e0bffd7,0xc8002fff,0x804fffff,
    0xf9800ff9,0x3ff2006f,0xfd7101be,0x3fff60bf,0xffffa805,0x3ffffe20,
    0xffffffff,0x3fff604f,0xffffffff,0x0001ffff,0x7cdbfff2,0x3ffa07ff,
    0xfffd803f,0x01fffdc4,0x360deea8,0x998802ee,0xeeb80009,0xe980004e,
    0xcc80003e,0x100f3223,0x77641ddd,0x3ffffe03,0x2ffffb8a,0x04eeeb80,
    0x9fffff50,0xffff9515,0xfff981ff,0xfffea9df,0x3ffffa2f,0xfffb88bf,
    0x3fffa0ff,0xffffb31e,0x87bffee0,0x324ffff9,0x804ffbcf,0x400004fe,
    0xb80ffff8,0x32000dff,0xffff84ff,0xbcfc8002,0x4fe804ff,0x003ffe00,
    0x80037fee,0xffd84ffb,0xfffa805f,0x3fffee0f,0xffca88ac,0xffb80fff,
    0x989adfff,0x06fffffb,0x5bfff200,0x3a07fff9,0xfd803fff,0x7ffd44ff,
    0x00000004,0x00000000,0x00000000,0x2e000000,0xffd86fff,0x2000005f,
    0x201efffe,0x643ffffe,0xffd85fff,0x3ffffa6f,0x3ffff880,0xf107fffe,
    0xffb01fff,0xdfff907f,0x04ffa84c,0x00007fd4,0x03fffe20,0x95109ff3,
    0x85ff7017,0x8002ffff,0x809ff509,0x36000ffa,0x7fcc02ff,0x55555534,
    0xd85ff701,0xfa805fff,0x3ff60fff,0x3fff204f,0x7fffc42f,0x3ff6203f,
    0xf90003ff,0x3ffe6dff,0x0ffffa07,0x47fffee0,0x401fffe8,0x31009998,
    0x5d440333,0x266202ac,0x33331009,0x15665540,0x2005654c,0x31009998,
    0xba880333,0x7ff402ac,0x09aa983f,0x01aca980,0x02ffffb8,0x22ffffd4,
    0xfa82fffd,0xfffd2fff,0xa7ffec0b,0xfd07fff8,0xffff03ff,0x03579103,
    0xff013fea,0x2e620007,0xffff10ab,0xfc86fd81,0x6c0effff,0x17fffc6f,
    0x50015773,0x3ff809ff,0x027fdc00,0xfffd9bf6,0x6c0effff,0x2fffec6f,
    0x07fffd40,0x4407ffff,0x7ec4ffff,0xff003fff,0x90001fff,0x3fe6dfff,
    0x3fffa07f,0xffff8803,0x07fffd8e,0x503fffe8,0xfb10ffff,0x07ffffff,
    0x2a07fffd,0xffc87fff,0xabffffff,0x4efffffe,0x207fffd0,0xb107fffa,
    0x7fffffff,0x01ffff10,0xffffa800,0x3fa02fff,0x599006ff,0x03fffd01,
    0x3a7ffff1,0x3ee03fff,0x3fffa5ff,0x83fffc41,0x0001fffe,0xfb813fea,
    0xfff50006,0xfff15fff,0x217fcc1f,0xffdcfffc,0xff17fc45,0xfffd35ff,
    0xffa807ff,0x001bee04,0xf981bfe6,0x333ff62f,0x7c46ffec,0x17fff62f,
    0x83fffea0,0x201efffe,0x3fffe018,0x3ffee006,0xffc8003f,0x0ffff36f,
    0x801ffff4,0xfffffffb,0xffe801ff,0xffff503f,0xffffffa8,0x7f44ffff,
    0xfff503ff,0xfffffd8f,0xffffffff,0x84ffffff,0xf503fffe,0xfff50fff,
    0x9fffffff,0x317fff98,0x3f200357,0xffffffff,0x07ffff05,0x3fffe000,
    0x29ffff01,0x2e02fffe,0x3fee6fff,0xfff910df,0x0ffff609,0x04ffa800,
    0x90005ff1,0xffffffff,0x641ffffb,0x33fea0ff,0xfd0ffea0,0x7effffcb,
    0x5fffffff,0x4413fea0,0xff0002ff,0x83ff201f,0x0ffc86fd,0xfffb2ff4,
    0xffff500b,0x7ffffe41,0x3e6000bd,0x7c003fff,0xc8004fff,0xfff36fff,
    0x1ffff40f,0xfffffd00,0x3fa003df,0xfff503ff,0x7ffffc4f,0x3fffffef,
    0x540ffffa,0x3fee7fff,0xfffedfff,0xfedfffff,0x7ff44fff,0xffff503f,
    0xffffff88,0x23fffffe,0xfe9efffa,0x2a00efff,0xffefffff,0x7fc43fff,
    0xb00002ff,0xff105fff,0x3fffabff,0x1bffee03,0xffdffffb,0x3ee01dff,
    0x2a0005ff,0x0bf904ff,0xfffff300,0xffffffdf,0x3237f41f,0xc815706f,
    0x3ffffe7f,0xfffffeff,0x09ff503f,0xe80017f2,0x8dfd02ff,0x1ffa86fd,
    0xfffb3fe4,0xffff500b,0x7ffffc41,0x402cefff,0x002ffffb,0x002ffff4,
    0xf9b7ffe4,0x3ffe07ff,0xffd3003f,0x4001dfff,0xf503fffe,0x7ffe4fff,
    0xfffb10bf,0x81ffff4d,0x3fe7fffa,0x7ffcc4ff,0x7ffcc6ff,0x0ffffa2f,
    0x323fffd4,0xb10bffff,0x7fdcdfff,0xffffffff,0xfffd02ff,0x3ffee23b,
    0x3fffe60f,0xff900001,0xffff70bf,0x813fffad,0xfb85fffc,0x04ffffff,
    0xdffffdd9,0x2a007ddd,0x1ff984ff,0xffffe800,0xffffb30b,0x3a1ffc1f,
    0x7fd4004f,0x5dfffff0,0x07ffff54,0x7cc27fd4,0x3f20001f,0xd89ff04f,
    0x437f446f,0xfffb0ffa,0xffff500b,0xfffffa81,0x0cffffff,0x01ffffb8,
    0x037ffec0,0x9b7ffe40,0xff00ffff,0xff7007ff,0x03ffffff,0x81ffff40,
    0xff17fffa,0xdff305ff,0x0ffffa1b,0x313fffd4,0x3fffa097,0x5fffa80f,
    0x540ffffa,0x3fe27fff,0xeff982ff,0xfffff90d,0xfffffddf,0x0ffffb81,
    0x2a3fffd8,0x0000ffff,0x17ffff30,0x5fffffaa,0x3a06fffe,0xffc84fff,
    0x80efffff,0xfffffffd,0xd3004fff,0x009fb07d,0x05ffff30,0x443ffffa,
    0x13fe21ff,0x3e3ff100,0xf980ffff,0xee983fff,0x0004fd83,0x7c437fd4,
    0x7fffec1f,0xf882ffff,0x0bfffb1f,0x01ffff50,0xffffffd3,0xc81dffff,
    0x4000ffff,0x8007fffc,0xff36fffc,0xfff105ff,0xfffc807f,0x0effffff,
    0xffd01595,0x3ffea07f,0x40ffff57,0x3fffe809,0x00ffff50,0x1bfffaa2,
    0x3fa7fff8,0xfff503ff,0x03fffd4f,0xffff9013,0x7fff4c5f,0x82fffe44,
    0x3ee5fffb,0x00001fff,0x3bfffff2,0xd6ffffff,0xf507ffff,0x7f445fff,
    0xffffefff,0x7fffec2f,0x04ffffff,0x00ffa800,0xffa83fee,0x3ffee07f,
    0xf88bfe0f,0x7fc4004f,0x409ffff1,0x4004fffd,0x76d40ffa,0x3fe202de,
    0x6c2ff80f,0x03ffffff,0x7fec7fe2,0xfffa805f,0x3ff2a00f,0xefffffff,
    0x03fffee0,0x0ffff900,0x2dfff900,0xd85ffff9,0x2e03ffff,0xfc8dffff,
    0xfffd5fff,0x03fffe85,0x3eeffff5,0xfe8006ff,0xfff503ff,0x3fb2a20f,
    0xccefffff,0xffffcccc,0x207fffd0,0x3ee7fffa,0xfb8006ff,0xffa85fff,
    0x77ffec7f,0xffdccccc,0x3fffe66f,0x3a200002,0xefffffff,0xfffd5fff,
    0xffb35dff,0xfffe8dff,0xffff911d,0x7ff665c1,0x002cccef,0x2a03fe80,
    0x3fee0fff,0x3ffe606f,0xff13fe0f,0x3ee0260b,0x07ffff0f,0x002fffe4,
    0xfff90ffa,0x7f405fff,0x6c4ff81f,0x03ffd56f,0x7fec3fea,0xfffa805f,
    0xfd73000f,0x549fffff,0x4001ffff,0x8006fffd,0xff36fffc,0xf9339fff,
    0x7407ffff,0x7ff44fff,0x0ffffcff,0xa81ffff4,0xfff97fff,0xfffd000b,
    0x1fffea07,0xffffffb3,0xffffffff,0x3fffffff,0x540ffffa,0x3ff27fff,
    0xffa8005f,0xffff03ff,0x7fffffc1,0xffffffff,0x0ffffe27,0xff700040,
    0xfff95fff,0x3fffffa9,0xffffffff,0x03fffe22,0x640ffffa,0x00004fff,
    0xff3037dc,0x7ffe41ff,0x3fffe205,0xffb1bf60,0x6c3ff881,0x0bfffe7f,
    0x006fffb8,0xdff11bee,0x640dff75,0x46fd83ff,0x3ffa26fd,0x3f67fd80,
    0xffa806ff,0xc88000ff,0x3e66ffff,0x7c002fff,0xc8005fff,0xfff36fff,
    0xffffffff,0x3e207fff,0x7fc40fff,0x85ffffff,0xf503fffe,0x3fff2fff,
    0xfffe8006,0x4ffff503,0xdffffffa,0xffffffdb,0xffffffff,0x207fffd2,
    0x3f27fffa,0xfa8006ff,0xfff01fff,0x7ffffc3f,0xffffffff,0x3fffe0ff,
    0x059f9004,0xffd86a60,0xd7fffd4f,0x7fffffff,0x705fffa8,0x3fa0bfff,
    0x200002ff,0xfd102ff8,0x7fe41fff,0x3ffe605f,0x983fee0f,0xffb11eff,
    0x3fe4ff83,0x3fee02ff,0x5ff1006f,0x3f22fea8,0x0bff501f,0x37ec1ff7,
    0x3fe13fea,0x01bfff24,0xaa9fffee,0xffb803cc,0xffff10ff,0x7ffcc009,
    0x9029983f,0x3fe6dfff,0xfffffdff,0xf703fffd,0x3fe60dff,0xe81fffff,
    0xff703fff,0x1bffeeff,0x7fffd008,0x45fffee0,0x6c1effff,0x9999efff,
    0xd0999999,0x3ee07fff,0x3ffee7ff,0x7fcc0206,0xffff03ff,0x4e7fff41,
    0x99999999,0x07ffff41,0x037fffc0,0xd3fffe80,0x3ff25fff,0xffc81eff,
    0xffff504f,0x01ffff10,0x037e4000,0x41ff9dfb,0x2a06fffb,0x3e20ffff,
    0x77ffe43f,0x7fd43fff,0x80ffffe1,0x9005fffc,0x3fe200df,0x0fff100f,
    0x37ec7ff1,0xff307ff4,0x03fffdc3,0xf93fffe4,0xff300dff,0x7fffc3ff,
    0xfffb001f,0x3fffd45f,0xf35fffd8,0xfffd1fff,0x207fff75,0x500ffffb,
    0x20bfffff,0xf904fffd,0x3ffeafff,0x5bdfd00f,0x6413fff6,0xfff57fff,
    0x3ffff60d,0x3ff60100,0xffff904f,0x807fffd4,0x3fe2defe,0xfff885ff,
    0x837ffec7,0x7fffd400,0x7fffe404,0x41dd5443,0xfd1ffff9,0x009985ff,
    0x641fffee,0xffd86fff,0x2200002f,0x1ff901ff,0x7fd41ff7,0xfff900ff,
    0x42ffc81f,0x43effffa,0x7ffc5ff9,0x3fffa06f,0x01ff8804,0x404ffe88,
    0xffc81ffe,0xff50dfb2,0xf517fe6b,0x7c409fff,0x3fea6fff,0x7fec02ff,
    0x3ffea0ff,0xfffa805f,0x7fffcc6f,0x34fffe81,0x0544ffff,0x3fffea00,
    0xfffff703,0xbfff907f,0x2fffff10,0xa84ffff8,0xff91ffff,0xffff10bf,
    0x217fff2f,0x83fffff8,0x3f24dffb,0xfff885ff,0x3fffe27f,0x1ffffa84,
    0x703fffee,0xffa8dfff,0xdefd81ff,0x4ffffd83,0xfffffc88,0x07fffd40,
    0xfe97fff2,0xfa8002ff,0xfff81fff,0x6fffe44f,0x001101a8,0x7fd417f6,
    0x7c41ff71,0xff884fff,0x7f440fff,0x980a882f,0x7ffc0fff,0xfffa82ff,
    0x05fd802f,0x805fff98,0xfe883ffc,0x330098af,0x881fff33,0x882fffff,
    0x223ffffc,0x302fffff,0xfd0bffff,0x2e03dfff,0x441fffff,0x7d44ffff,
    0xfff33fff,0x3fa0000f,0xeb9adfff,0xffffffff,0x3fffee0d,0xffffd50b,
    0x7ffffdcf,0x6ffffb9b,0x42ffffee,0x77ffffea,0x6c43ffff,0x8bffffff,
    0x25ffffa8,0x50bffffb,0xb8fffffd,0xb9bfffff,0x7c46ffff,0xfd9cffff,
    0xffe82fff,0xfff70bef,0xffff107f,0xfffd9bff,0xff107fff,0xffd55bff,
    0x7fff43ff,0xfff88002,0xffea8cff,0x3fff22ff,0xceffffff,0xf9804fec,
    0xddfff00f,0x7e49dffd,0xfc89cfff,0x980fffff,0xf3002fff,0xffff05ff,
    0xffb317ff,0xff300dff,0x4fffa801,0x20bff500,0x3002fff9,0x3f205fff,
    0xecdfffff,0x40ffffff,0xdffffffc,0xfffffdcb,0xfffff983,0xfffdccef,
    0xffd04fff,0xfffd9bff,0x3ffe61ff,0xff500007,0xffffffff,0xffffffff,
    0x7ffffccd,0xfffeffff,0x7fffff47,0x21ffffff,0xfffffff9,0x37fffeff,
    0xfddfffff,0xffffffff,0x1fffffff,0x7fffffcc,0x7fffefff,0xffffffe8,
    0xc81fffff,0xffffffff,0xfff505ff,0xffffffff,0x7fffd40d,0xffffffff,
    0x3fff204f,0x5fffffff,0x0017fff4,0xffffffa8,0x5c4fffff,0xffffffff,
    0x0fffffff,0xff027f40,0xdfffffff,0x7fffffc4,0xffffffff,0x9dfff500,
    0xfffeb985,0xfdffff02,0xffffffff,0x809fd003,0x2002fffa,0x3ea07ff8,
    0x5cc1beff,0x2202fffd,0xffffffff,0x04ffffff,0xfffffffd,0x0bffffff,
    0x7fffffd4,0xffffffff,0xffff300d,0x3fffffff,0x003fffcc,0xfffff500,
    0x73dfffff,0xfb81ffff,0x8dffffff,0x7f4c7fff,0xffffffff,0xfffffb82,
    0x7fff8dff,0x3ffffff2,0xffeabfff,0x1fffffff,0xffffffb8,0x87fff8df,
    0xffffffe9,0x3ee02fff,0xefffffff,0x3fffea00,0x00efffff,0x7fffff44,
    0x804fffff,0xfffffffe,0x2fffe84f,0x3ffee000,0x0dffffff,0xfffffff8,
    0xffffffff,0x803fea04,0xffdaaaaa,0x7fffcc2b,0xffe9ffff,0x3ffa200f,
    0xffffefff,0x3ffe01ef,0xfffffe8f,0xffa803ff,0x3fffe200,0x7c01eeee,
    0x3fa201ff,0xfffeffff,0xe8801eff,0xffffffff,0x36203fff,0xffffffff,
    0xd8804fff,0xffffffff,0xfc803fff,0xffffffff,0x03fffcc3,0x3ff22000,
    0x4c3effff,0xffd702fe,0x3fffc9df,0xfffffeb8,0x3ffae01d,0x1fffe4ef,
    0x9dfffff5,0xfffffc81,0x3fae00cf,0x3ffe4eff,0x3fffae07,0xea801dff,
    0x003fffff,0xffffffb1,0x7edc0017,0x01dfffff,0xfffff910,0x3fffa05d,
    0x7ecc0002,0x202fffff,0xca98befc,0x2efffffe,0x2000ffa0,0xfb100ffb,
    0x3fa1bfff,0xfda800ff,0x2dffffff,0x367fff80,0x001effff,0xffb807fd,
    0x02ffffff,0x5401ffec,0xfffffffd,0xfeb8002d,0x1defffff,0xffffd500,
    0x8005bdff,0xffffffda,0x3a6000ce,0x82efffff,0x0007fff9,0x006a6200,
    0x002a200a,0x00353100,0x30000a88,0x53100135,0x00a88003,0x01a98800,
    0x0002a600,0x00019988,0x00009a88,0x4c400d4c,0x20000099,0x088009a9,
    0x4009a880,0x950005ea,0x00330019,0xaca98800,0x26000009,0x17aa0009,
    0x333332e0,0x54c01ccc,0x2a62001a,0x800009ac,0x0001aa98,0x0001a988,
    0x0002a620,0x0026a620,0x00003333,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x30006ee2,0x710001bd,0x0379bdb9,0x41bb9880,0x5cc01998,
    0x066620ac,0x00266620,0xdb07774c,0x5555305d,0xd9000000,0xaa9809dd,
    0x5540002a,0x640001aa,0x2a603eee,0x5554c1aa,0x7776c001,0x2aaa0004,
    0xaaaaaaaa,0xaaaaaaaa,0x0333310a,0x46aaa600,0xbdd52aaa,0x310f7744,
    0x4ccc0333,0x744274c1,0x2aaaaa25,0xaaaaaaaa,0x1981aaaa,0x554c1a98,
    0xaaa8802a,0x8049800a,0xeeeeeee9,0x554c03ee,0xaaaaaaaa,0x01310001,
    0x7774c055,0x02eeeeee,0xddddddd1,0xffd107dd,0x3a003fff,0x7ec4004f,
    0xffffffff,0xfffa802e,0xfffd2fff,0xffffd301,0x03fff67f,0x009fff90,
    0xffcb7fe4,0x0bfff706,0xff980000,0x7fdc00ef,0x7ec0007f,0x2e0003ff,
    0xb02fffff,0xffd87fff,0x3fe6003f,0xf30000ef,0xffffffff,0xffffffff,
    0x3ff25fff,0xffb0007f,0xe9fffa9f,0x89ffd4ff,0xf107fffc,0x7fc41fff,
    0xff52fe41,0xffffffff,0x7fffffff,0x4df7fec4,0x7fec1fe8,0xfff9806f,
    0x17f2201f,0x3ffffe60,0x6c04ffff,0xffffffff,0x2004ffff,0xb8acfffc,
    0x3ffea05f,0x03ffffff,0xfffffff3,0xbff909ff,0xf500bff9,0x7fdc001f,
    0xffffffff,0x3f204fff,0xbfffffff,0x7dc0fffe,0xbfffffff,0x6400fffd,
    0x74004fff,0x01fffeff,0x000bfff7,0x0fffd800,0x07fffb80,0xffffd700,
    0x200ddddd,0xfffdfff9,0x43fffd80,0x2003fffd,0x0000effd,0x3ffffff6,
    0xffffffff,0x92ffffff,0x2000ffff,0xffd4fffd,0x7f7ffc4f,0x7ffe40ef,
    0x1ffff107,0xffdeffd8,0x3fffea1f,0xffffffff,0x323fffff,0xffffffff,
    0x06fffd87,0x01ffff98,0x300bfff5,0xffffffff,0xfffd809f,0xffffffff,
    0x7c402eff,0xffffffff,0x3fffea02,0x303fffff,0xffffffff,0x74bdb09f,
    0x1ff400ff,0xfffff700,0xffffffff,0xfff309ff,0xffffdfff,0x7fc41fff,
    0xfffeffff,0x6400ffff,0x4c004fff,0x203fffff,0x0005fffb,0x07ffe200,
    0x03fffdc0,0xfffffc80,0xd007ffff,0x17ff69ff,0xfb0ffff6,0x3e2007ff,
    0x260000ff,0xffffffff,0xffffffff,0xf92fffff,0x36000fff,0xfffd4fff,
    0x1fffffa8,0x107fffc8,0xc881ffff,0x543fffff,0xffffffff,0xffffffff,
    0x32affa3f,0x2aa4ffff,0xaaaefffe,0xffcaaaaa,0x7dc0abff,0x000005ff,
    0x3fffff60,0xffffffff,0x37ee03ff,0x0efffeba,0x00000000,0x05ffba80,
    0xf30037dc,0x137dffff,0xfffffd95,0xbffffe83,0xfffffb30,0x67fffec1,
    0xfffffb31,0x4fffc801,0x4eeeb800,0x02ff7540,0x3dd70000,0x3fffdc00,
    0x7ffe402c,0x07ffffff,0x3625eeb8,0x7ffec1ee,0x01fffec3,0x0001eeb8,
    0xf8b7ffe4,0xaaaacfff,0x90aaaaaa,0x2000ffff,0xf754fffd,0x07ddd90d,
    0x441ffff2,0x65407fff,0xaaaa880b,0xaefffeaa,0x321aaaaa,0x7fc1a984,
    0xffffffff,0xffffffff,0x7dc2ffff,0x000005ff,0x2bbfff60,0xfffcbaaa,
    0x39500fff,0x00002a88,0x3a000000,0x3e200fff,0x3ffe002f,0x7fec03ff,
    0x3ffe64ff,0xffffd02f,0x13fffe21,0x007fffec,0x00000000,0x000009f9,
    0xfff70000,0xb003f44f,0x00007fff,0x1fffec00,0x000ffff6,0xfff10000,
    0x3fffe25f,0xfffc8001,0xfffb0007,0x0002fcc9,0x980ffff9,0x2000007f,
    0x0006fffc,0xffffff00,0xffffffff,0xffffffff,0x3fff2625,0xa980099e,
    0x3f6001ac,0x3f2205ff,0x00004fff,0x10099988,0x2a603333,0x8802bccb,
    0x900effee,0x7fd400bf,0xff8804ff,0x3ffea6ff,0x3fffea07,0x01ffff30,
    0x003fffe6,0x88035551,0x56544199,0x9897f401,0x0d654419,0x2a20ccc4,
    0x7fdc01ac,0x00fff37f,0x511fffec,0x33100159,0x7ffec013,0x0ffff613,
    0x5cc33330,0x3ff2000a,0x3fffe26f,0xfffc8001,0xfffb0007,0x998bf629,
    0xc82ae619,0x7dc07fff,0x02666206,0x0dfff900,0x01333100,0x5dfffd55,
    0x95555555,0x2157ffff,0xfffffffb,0x3ffea05f,0xd802ffff,0xfe805fff,
    0x26620fff,0x80d65441,0xf503fffe,0xffd98fff,0x02ffffff,0xf307ff70,
    0x7fec003f,0x375000ff,0x06fffb81,0x5c3fffe6,0x3e207fff,0x7d400fff,
    0x7fec05ff,0xffffd89f,0x37ec40ef,0xfd11fffd,0x6c1bffff,0xffd89fff,
    0xf700efff,0xdfff5fff,0x5fffec00,0xefffffd8,0x0ffff600,0x4bbfffd8,
    0xf807fffb,0xffff97ff,0xffff1005,0x0ffffc47,0x3fffe400,0x4fffd800,
    0x7fff8bff,0x325ffff9,0x3ea07fff,0x3fff602f,0x7ffe4003,0xfffd8006,
    0x1bfff603,0x07fffe60,0xfffffff7,0x3fff20bf,0x05ffffff,0x402fffec,
    0x363ffff9,0xffd89fff,0x7f40efff,0xfff503ff,0x7ffffc4f,0x23ffffff,
    0x3fe63cc8,0x2004fd85,0x004ffff8,0x0bfff900,0xc87fffc4,0x7fc06fff,
    0x7fdc00ff,0x7ffec03f,0xffffffea,0x87bf60ff,0xfffafffe,0x366fffff,
    0xfffeafff,0xb80fffff,0xdfffffff,0x3fff6000,0xffffffed,0x3fff605f,
    0x3ffff603,0x07fffb4f,0xffbffff8,0xfb800fff,0x3fe20fff,0xfc8001ff,
    0xfb0007ff,0x3e0b29ff,0xffffbfff,0x0ffff90f,0xfb017fea,0xfc8007ff,
    0xfd8006ff,0x3ff603ff,0xfff9806f,0x7fffdc1f,0xfa85ffff,0xfffeffff,
    0x3ff603ff,0xffff005f,0x757ffec9,0xffffffff,0x40ffffa0,0x3f67fffa,
    0xfffdefff,0x57ff47ff,0x7cc1ffd9,0x3fe6000f,0x900003ff,0x7cc0bfff,
    0xfff70fff,0x7fffc40d,0x3fffa200,0x7fffec01,0xffffeeff,0x3fa1263f,
    0xfeefffff,0xffb2ffff,0xffddffff,0xff707fff,0x0009ffff,0xdffffffb,
    0x07fffffd,0xd80ffff6,0xfb3fffff,0xfff807ff,0x05ffffff,0x889ffff0,
    0xcccdffff,0x22cccccc,0x0007fffc,0xf809fffb,0xffffffff,0x81ffff25,
    0xfffd802e,0x7ffe4003,0xfffd8006,0x3ffff603,0xcccccccc,0x441ffffd,
    0x99efffc9,0x1dfffe80,0x01ffff71,0x4017fff6,0x3f65fffe,0xfeefffff,
    0x3fa3ffff,0xfff503ff,0x07fffe6f,0x543ffff5,0x85ffffff,0x7d4003fe,
    0x00001fff,0x540dfff7,0xff50ffff,0x7ffcc0ff,0xfffd100f,0xfffd801f,
    0x3ffe20ef,0xfffe806f,0x3ffe60df,0xdffffb5f,0x37fffc41,0x1fffffdc,
    0xffffd800,0x3fffe22e,0x07fffb05,0xb17fffec,0x3fee7fff,0xdfffff6f,
    0xf7005b57,0xff881fff,0xffffffff,0x3f23ffff,0xfff887ff,0x27ffec0f,
    0x3bffffe0,0x3ff22dab,0xfd80007f,0x7e4003ff,0xfd8006ff,0x3ff603ff,
    0xffffffff,0x1fffffff,0x40bfff70,0xd80ffffb,0x76643fff,0xccccffff,
    0x26fffd82,0x20effffd,0x3a6ffff8,0xff503fff,0x81dd4cff,0x5cc2ffff,
    0x7fa81cfe,0xffffb800,0xfffff301,0x3ea7ffff,0xffb01fff,0x3ffe61ff,
    0xffff700f,0xffffd101,0xffffb005,0x0dfff701,0x01ffffd0,0x3f6bfff9,
    0xffb80fff,0xffffb86f,0x3ff60001,0xfffb80ff,0x07fffb07,0x3627ffec,
    0xfff73fff,0x07ffffed,0x17fffa00,0x3fffffe2,0xffffffff,0x21ffff23,
    0x6c0ffff8,0x7fc04fff,0x3f201fff,0xd80007ff,0x2a603fff,0xefffeaaa,
    0x6c01aaaa,0x3f603fff,0xffffffff,0xffffffff,0x0bfff701,0xb82fffe4,
    0x7ffc5fff,0xffffffff,0x27fffc84,0xb80ffffd,0x3ffa6fff,0xffff503f,
    0x3ffea200,0x5ff0002f,0xf507fe40,0x3e603fff,0xffffffff,0x87bfffe3,
    0x0fffffc8,0x2217fffe,0x440fffff,0x002ffffe,0x2a0bfffb,0xfe807fff,
    0xfff704ff,0x417fff6d,0x7d47fffa,0x40007fff,0xf505fffd,0x3ff60fff,
    0xffff503f,0x73fffd87,0x3ffedfff,0xffa8005f,0xfff881ff,0xffffffff,
    0x3ff23fff,0xffff887f,0x027ffec0,0x9017fffe,0x0000ffff,0x5c07fffb,
    0xffffffff,0x404fffff,0x3603fffd,0xffffffff,0xffffffff,0x7fe4c41f,
    0x7ec099ef,0xccccceff,0x7fc6fffd,0xffffffff,0x7fffc84f,0x5417fff6,
    0x3ffa7fff,0xffff503f,0x3ffb2a20,0x8002ffff,0x3fea06fb,0x3fffe20f,
    0xfffff302,0x7e47ffff,0xffcdffff,0x2e0fffff,0xc8aeffff,0x20ffffff,
    0x03ffffe8,0x413fff60,0xe807fff9,0xff703fff,0x13fff6df,0xf73fffcc,
    0x000fffff,0x304fffd8,0x3f60ffff,0xfffb83ff,0x7ffec3ff,0x3edfff73,
    0xe8004fff,0x9999efff,0x9bffffa9,0x99999999,0x21ffff20,0x6c0ffff8,
    0x7fc04fff,0x7fe404ff,0xfd80007f,0x3fee03ff,0xffffffff,0x7ec04fff,
    0x3ff603ff,0x999999ef,0x1ffffb99,0x7fffffe4,0x7fffc3ff,0xffffffff,
    0x7eccc7ff,0x09999eff,0x366fffd8,0xff304fff,0x1ffff4ff,0x547fffa8,
    0xfffffffe,0x44002fff,0xfff301ff,0x3fffe81f,0xfddddd30,0x7f447fff,
    0xdfffffff,0x7f40ffff,0xffffffff,0x3f20ffff,0x6c002fff,0xff304fff,
    0xfffd00ff,0x5bffea05,0xf304fffd,0x7fff4fff,0x6c0007ff,0xff304fff,
    0x3fff60ff,0xfffffe83,0x89fffec3,0xffff0999,0xfff98007,0xffffffff,
    0x8001ffff,0x3307fffc,0x9fffb033,0x03ffff80,0x003fffe4,0x01fffec0,
    0xffd99993,0x059999ff,0x203fffd8,0x9806fffd,0x7e41ffff,0x3fffffff,
    0x7ffffffc,0xffffffff,0x05fffd80,0x6cbfffb0,0xff304fff,0x1ffff4ff,
    0x2e7fffa8,0xacefffff,0x4002fffe,0xffd105fc,0xfffc81ff,0x3ffe2006,
    0xffffd83f,0xffff8cff,0x7ffffcc0,0xffffafff,0x05ffff10,0x07fffb00,
    0x201fffe6,0xf502fffe,0x3fff6dff,0x4ffff303,0x07fffefe,0x1fffec00,
    0xb07fff98,0xb7d07fff,0xffd87fff,0x7fffc03f,0x7ffec002,0xffffffff,
    0x8001ffff,0x0007fffc,0xf809fffb,0x7e402fff,0xd80007ff,0x64003fff,
    0xd8006fff,0x3f603fff,0xff9806ff,0x7ed4c1ff,0x740aaeff,0x9999cfff,
    0xb0199999,0x3e00bfff,0x3ff63fff,0xffff303f,0xb81ffff4,0xfff57fff,
    0xfffe839f,0x03fe6002,0x07fe77ec,0x00bfffee,0x81ffffc4,0xf12ceeca,
    0xfb101fff,0xff11bfff,0x3ffea1ff,0x84d64c06,0xf303fffd,0xffd00fff,
    0x3ffea05f,0x207fffb6,0x27a7fff9,0x0007fffb,0x981fffec,0xffb07fff,
    0x3ff6307f,0x1fffec3f,0x00bfffe0,0xffffff98,0xffffffff,0xfc8001ff,
    0xfb0007ff,0xfff809ff,0x7ffe402f,0xffd80007,0x7fe4003f,0xffd8006f,
    0x3fff603f,0xffff9806,0x0bfff701,0x0837ffec,0x0bfffb00,0x45ffff50,
    0xf303fffd,0x7ffecfff,0x2ffff904,0xfd05fffc,0x7ec005ff,0xf91ff904,
    0xffff981f,0xfff9800e,0xff98003f,0x4419807f,0xff50ffff,0xfffe80df,
    0x207fffb3,0xe807fff9,0xff502fff,0x0ffff6df,0x213fffcc,0x0007fffb,
    0x981fffec,0xffb07fff,0x7ffec07f,0x01fffec3,0x800bfffe,0xeeeffffd,
    0xfffeeeee,0xffc8001f,0xffb0007f,0xffff809f,0x3fffe402,0x7ffec000,
    0x7ffe4003,0xfffd8006,0x1bfff603,0x07fffe60,0x502fffdc,0xfb03ffff,
    0x3ff607bd,0x7ff4405f,0x3fff60ff,0x4ffff303,0xf885fffc,0xfffd7fff,
    0x7ffff309,0x203fea00,0x1ff91ffa,0x5fffff90,0x3ffff220,0x579bd13f,
    0x01bffea0,0x87fffc40,0x502ffff8,0x3f61ffff,0xfff303ff,0x5fffd00f,
    0x6dbffea0,0xff303fff,0xffff70ff,0xfffd8000,0x0ffff303,0xd80ffff6,
    0x7fec3fff,0x7fffc03f,0xffff1002,0xffff9809,0xfffc8001,0xfffb0007,
    0x2ffff809,0x03fffe40,0x1fffec00,0x1bfff200,0x0ffff600,0x806fffd8,
    0x701ffff9,0x0555ffff,0x217dfffd,0xb03ffffb,0x7cc0bfff,0x7ec2ffff,
    0xfff303ff,0x5ffffdcf,0xfffffd50,0x983ffff6,0x003ffffe,0x3ffe07fd,
    0x44effeee,0xefffffe8,0xffffeccd,0x3ffe3fff,0x7ff441ff,0xff10004f,
    0x7ffec1ff,0xfff730bf,0x1fffecbf,0x807fff98,0xf502fffe,0x3fff6dff,
    0x0ffff303,0xdddffff7,0xdddddddd,0x03fffd83,0x360ffff3,0x3f603fff,
    0x7ffec3ff,0x17fffc03,0x1ffffc80,0x77fffcc0,0xeeeeeeee,0xffff94ee,
    0xdddddddd,0x3ff61ddd,0x7fffc04f,0x7fffe402,0xeeeeeeee,0xffd80eee,
    0x7fe4003f,0xffd8006f,0x3fff603f,0xffff9806,0xfffff501,0xffff50bf,
    0xdfffffff,0x77fffec0,0xfffffeee,0xfffd85ff,0x4ffff303,0xfffffff9,
    0x77fffeff,0xfdbfffff,0x009fffff,0x7ffc0df7,0x86ffffff,0xffffffe8,
    0xffffffff,0x7fffec3f,0xfffffdef,0xff10000f,0x7ffc41ff,0xffffffff,
    0x3fff60ef,0x0ffff303,0x205fffd0,0xffb6fffa,0x3ffe607f,0xfffffb87,
    0xffffffff,0x7ffec1ff,0x0ffff303,0xd80ffff6,0x7fec3fff,0x7fffc03f,
    0xffff8802,0xffff9805,0xffffffff,0xfff96fff,0xffffffff,0x3f61ffff,
    0x7ffc04ff,0x7ffe402f,0xffffffff,0xfd80ffff,0x7e4003ff,0xfd8006ff,
    0x3ff603ff,0xfff9806f,0x3fffa01f,0xfff506ff,0x1dffffff,0x7ffffec0,
    0xffffffff,0xfffd80ff,0x8ffff303,0xfffffffb,0x367fff8d,0xefffffff,
    0x4406fffc,0x2aaa02ff,0x02bffdaa,0x3ffffff6,0x0cffffff,0xfffffe88,
    0x03ffffff,0x3fffe200,0x7ffff4c0,0x40dfffff,0xf303fffd,0xffd00fff,
    0x3ffea05f,0x207fffb6,0xfb87fff9,0xffffffff,0x41ffffff,0xf303fffd,
    0x3ff60fff,0x3fff603f,0x01fffec3,0x200bfffe,0x802ffffc,0xfffffff9,
    0xffffffff,0xffffff96,0xffffffff,0x13fff61f,0x805ffff0,0xfffffffc,
    0xffffffff,0x03fffd80,0x037ffe40,0x01fffec0,0x300dfffb,0x4403ffff,
    0x206ffffe,0xffffffd8,0x7ffec00b,0xffffffff,0xffb00cff,0x3ffe607f,
    0xefffeb87,0xf91fffe4,0x3e29ffff,0x3f200fff,0x0ffc8006,0xffffc980,
    0x401bdeff,0xffffffc8,0x40002eff,0x700ffff8,0x9dffffff,0x40ffff60,
    0xe807fff9,0xff502fff,0x0ffff6df,0x5c3fffcc,0xffffffff,0x1fffffff,
    0x981fffec,0xffb07fff,0x7ffec07f,0x01fffec3,0x100bfffe,0x200dffff,
    0xfffffff9,0xffffffff,0xffffff96,0xffffffff,0x13fff61f,0x805ffff0,
    0xfffffffc,0xffffffff,0x03fffd80,0x037ffe40,0x01fffec0,0x300dfffb,
    0x1003ffff,0x99880035,0x3fff6001,0xceffffff,0x7ffec00c,0x0ffff303,
    0x98000544,0x3620000a,0xcca8001e,0x4d4c4000,0x75310000,0x00003579,
    0x4400cccc,0x000001a9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xddb10000,0xaaa8005d,0x5554c02a,0x55555302,0x00355555,0x2eeee880,
    0x17777440,0x009ddd50,0x7777774c,0x6c402eee,0x0fbb21ee,0x1bcddb98,
    0x774cbdd5,0x0fbbb61e,0x00055553,0xdd12f764,0x0666625d,0x15554c00,
    0x55555440,0x9aba9802,0x88126000,0xaaaaaaaa,0x2aaaaaaa,0x00555554,
    0x02aaaa88,0x03555510,0x98d55540,0xaaaaaaaa,0x4c0099aa,0xaaaaaaaa,
    0x5530009a,0x02aaaa35,0x0aaaa600,0x53155540,0x2aaaa355,0xaaa98001,
    0xaaaaaaaa,0x5402aaaa,0x000acddb,0x8001e65c,0x00fffffd,0x03fffee0,
    0xb06fffe8,0xffffffff,0x0009ffff,0x2013fff2,0x5c04fffc,0x2a005fff,
    0xffffffff,0xfffb803f,0x700fffb8,0x49ffffff,0xffe8cffe,0x07fffcc4,
    0x000dfffb,0xff13ffec,0x1ffff27f,0x37ffe400,0x7ffffec0,0x3fffaa01,
    0x2200cfff,0x3fea05fc,0xffffffff,0x20ffffff,0x006ffffb,0x005ffffd,
    0x01bffff2,0xfb4fffe8,0xffffffff,0x203bffff,0xfffffffd,0x404fffff,
    0xffd3fffd,0xff90005f,0xff8803ff,0x7fffb0ff,0x000ffff6,0x3ffffff6,
    0xffffffff,0x3fffa06f,0x2a001fff,0xa8006fff,0x06ffefff,0x13fffe20,
    0x80ffffd4,0xfffffffd,0x2effffff,0x13ffe200,0x017ffe20,0x8017ffee,
    0xfffffffa,0xffb003ff,0x2a05fffd,0x2fffffff,0x3ffbffe6,0x47fff306,
    0x0006fffd,0xff89fff6,0x0ffff93f,0x1bfff200,0x3fffffb0,0x7ffffec0,
    0xa80fffff,0x3ea05fff,0xffffffff,0x0fffffff,0x017ffff4,0x017fffea,
    0x1ffffff8,0x29fffd00,0xfffffffd,0xffffffff,0xfffffd81,0xffffffff,
    0x7fffb02e,0x000bfffa,0x01bffff2,0x361ffff1,0xfffb3fff,0xfffb0007,
    0xffffffff,0x360dffff,0x07ffffff,0x1bfffe20,0x15fff100,0x64007fff,
    0xfe80ffff,0x3ff606ff,0xffffffff,0x003fffff,0x2e00bff7,0xff7005ff,
    0x000000bf,0x7ffffc40,0x3fffee04,0x7fdc1ccd,0x3ea01fff,0x1bfff67f,
    0x25eec800,0xff92eee8,0x3f2000ff,0x3ff206ff,0x3ee01fff,0xffffffff,
    0xfffc86ff,0x3fffea05,0xffffffff,0x7cc0ffff,0xf100ffff,0x2001ffff,
    0x5ffffffa,0x29fffd00,0xfffffffd,0xffffffff,0x7fffec0f,0xffffffff,
    0xffd83fff,0x05fffd3f,0xfffff900,0x7fffc407,0x367fffb0,0xd8003fff,
    0xffffffff,0x6fffffff,0x99fffff0,0x7ffec009,0x7764006f,0x0037ba64,
    0x227fffc4,0x202ffffa,0xaaaefffd,0xfffffcba,0x05ed800f,0x40037b60,
    0x00009998,0x77540000,0x7ffec05e,0x3eeec805,0xfb2eea80,0x33333dff,
    0xf9000003,0x32000fff,0xff906fff,0xff805fff,0xfda8beff,0x7fe42fff,
    0x2aaa205f,0xfbaaaaaa,0xf905ffff,0x3f209fff,0x36003fff,0x0fffffff,
    0xb4fffe80,0x5555dfff,0xfffff755,0xaefffd87,0xfffcbaaa,0x7fec0fff,
    0x05fffd3f,0xfffff900,0x3ffe201f,0x2599970f,0x8003fffd,0xaaaefffd,
    0xaaaaaaaa,0x2ffff882,0xffffa800,0x0000006f,0x0ffffc80,0xb01bfff6,
    0x6440bfff,0x0004ffff,0x00000000,0x09bca880,0xfe800000,0x000003ff,
    0x3fffff60,0x3fffffff,0xfff90000,0x3ff2000f,0xffffb86f,0x7ffcc02f,
    0x4ffff81f,0x3dfff931,0x3f600013,0x3a00efff,0x7c40ffff,0x22006fff,
    0xffffffff,0x4fffe803,0xd00dfffb,0xffd8bfff,0x3ff2205f,0x7ffec4ff,
    0x005fffd3,0xffffff90,0x3fffe20b,0x1fffec00,0x37ffec00,0x7ffcc000,
    0x7fc4000f,0x9886ffff,0x33310099,0x20666601,0xf33ffff8,0xfd805fff,
    0xffe805ff,0x4ccc40ff,0x99999999,0x04ccc409,0x4cccccc4,0x00999999,
    0x3fffffb2,0x266200cf,0x99999999,0x3fffa099,0x09998803,0xd84ccc40,
    0xffffffff,0x00dfffff,0x32026662,0x90007fff,0xffa8dfff,0xfb802fff,
    0xfff906ff,0x3ffffeeb,0xc8005fff,0x400fffff,0x6c5ffff9,0x2001ffff,
    0xffcefffc,0xfffe806f,0x00dfffb4,0xfd8dfff9,0xffe805ff,0x3fff61ff,
    0x105fffd3,0x7e413333,0x82ffffff,0x310ffff8,0x3fff6133,0x406b2a23,
    0x0006fffd,0x3fffea62,0xffb00199,0xf90dffff,0x3ffe07ff,0xffff883f,
    0xb7fffc80,0xfb00dfff,0xff300bff,0xfffe87ff,0xffffffff,0x1fffec3f,
    0x7ffffff4,0x03ffffff,0xfffffffb,0x3fa03dff,0xffffffff,0x3ffa3fff,
    0xfffd803f,0x9fffec03,0xfffffffd,0xffffffff,0x07fffb01,0x000ffff9,
    0xfa9bfff2,0x1003ffff,0x3f205553,0xffff75ff,0x800bffff,0x02fffffa,
    0x25ffffb0,0x004ffffa,0x7cdffff4,0x7f401fff,0xdfffb4ff,0x89fff900,
    0x9805fffd,0x3f63ffff,0x5fffd3ff,0x0effff98,0x3ffffff2,0xffff886f,
    0x367fffb0,0xffd8bfff,0x7ec0dfff,0x320006ff,0xffffffff,0x7ffdc01f,
    0xfa86fffd,0xfff986ff,0x5fffa85f,0xf5ffff10,0xfb005fff,0x3fe00bff,
    0x7fff44ff,0xffffffff,0x1fffec3f,0x7ffffff4,0x83ffffff,0xfffffffd,
    0xe80fffff,0xffffffff,0x3fa3ffff,0xffd803ff,0x7ffec03f,0x99ffffb3,
    0xffffd999,0x3fff60bf,0x07fffc83,0x2dfff900,0x03fffff9,0xffff8000,
    0xffffff73,0x7cc00bff,0x2003ffff,0xe8effff8,0x54006fff,0xffd0ffff,
    0xfffe80bf,0x80dfffb4,0x6c1ffff9,0xff005fff,0x7ffec9ff,0x445fffd3,
    0x640fffff,0xffffefff,0x87fffc44,0xffb3fffd,0xfffffdbf,0x7fec1dff,
    0x3f20006f,0xffffffff,0x37ffe201,0xff06fff9,0xfffb81ff,0x3fffc87f,
    0x3fffff20,0xffb006ff,0x3ffa00bf,0x7ffff45f,0xffffffff,0x41fffec3,
    0xfffffffe,0x643fffff,0xb32effff,0xfd0bffff,0xffffffff,0x7ff47fff,
    0xfffd803f,0x9fffec03,0x2606fffd,0xd80fffff,0xffc83fff,0xff90007f,
    0xfffff3df,0xf500000d,0x32623fff,0x0099efff,0xbffffd10,0xffff5000,
    0x003ffffd,0x2e5fffd8,0x3a00ffff,0xfffb4fff,0xb999999f,0xfb09ffff,
    0x3fa00bff,0x3fff65ff,0x225fffd3,0xc81ffffe,0xfffdbfff,0x3fffe21f,
    0x367fffb0,0xdeffffff,0x363fffff,0xccccffff,0x44cccccc,0xfffffffc,
    0x3ff601ff,0x06fff98f,0xfe85fffb,0x7fc1ffff,0x3bba20ff,0xfffffffe,
    0x6642eeee,0xcccffffe,0x6fffd82c,0x4ccd5554,0x40effffc,0xaa83fffd,
    0xffc999aa,0x7ffc0eff,0xffff504f,0x99aaaa85,0x0effffc9,0x200ffffa,
    0x6c03fffd,0xfffb3fff,0xffffc80d,0x83fffd81,0x0007fffc,0xfffffff9,
    0x0005ffff,0x2ffffc40,0x002fffe4,0x037fffec,0xfffffb00,0xf88009ff,
    0x3fe22fff,0x3ffa03ff,0xfffffb4f,0xffffffff,0x3fff607f,0xdfffb005,
    0xfe9fffec,0xffffd2ff,0x2ffff203,0x225ffff8,0xffb0ffff,0x3ffff67f,
    0x3fffe20e,0x3fffff66,0xffffffff,0x7fd4c47f,0x2e0199ff,0xfff33fff,
    0x93ffea0d,0x3ffffff8,0xf31bffe6,0xffffffff,0x87ffffff,0xffffffff,
    0xffc84fff,0xfff5007f,0xfffb01ff,0x7ffd4007,0x7ffcc0ff,0x3fffa00f,
    0xffff5004,0x3fffe81f,0x03fffd80,0xfd9fffec,0x7fcc06ff,0xfffd82ff,
    0x07fffc83,0xfffff900,0x1fffffff,0xffd10000,0xfff901ff,0xfffc800b,
    0x220000ff,0x0fffffff,0x3fffdc00,0xd037fff4,0x3ff69fff,0xffffffff,
    0xfb03ffff,0x3f200bff,0x3fff67ff,0xfb5fffd3,0x7e403fff,0xffff73ff,
    0x43fffe25,0xffb3fffd,0xfff701ff,0x7ffffecd,0xffffffff,0xffff307f,
    0x4bfff100,0xf106fff9,0x7ffd4fff,0x3fee5fff,0x7fffcc3f,0xffffffff,
    0x7ffc3fff,0xffffffff,0x07fffc84,0x1fffff98,0x007fffb0,0x07ffffe6,
    0x901bffee,0xf300bfff,0xfd03ffff,0xffb007ff,0xfffd807f,0x80dfffb3,
    0xd81ffffb,0xffc83fff,0xff90007f,0xffbfffff,0x88000bff,0x903ffffe,
    0x5c00bfff,0x001fffff,0xfffffb80,0xfffe8002,0x1ffffb84,0x369fffd0,
    0xffffffff,0xefffffff,0x02fffec1,0x367fffd8,0xfffd3fff,0x805ffffd,
    0x3fa3fffc,0xfff88fff,0x27fffb0f,0xf506fffd,0x7ffecfff,0xffffffff,
    0xff307fff,0xfffd00ff,0x037ffcc1,0x3f23fffb,0x3a7ffcff,0x66441fff,
    0xefffeccc,0x4c1ccccc,0x99efffd9,0xfffd8099,0x7fffc406,0x3fff602f,
    0xffff8803,0xbfffb02f,0x07fffb80,0x17ffffc4,0x803fffe8,0x6c03fffd,
    0xfffb3fff,0xffffe80d,0x83fffd80,0x0007fffc,0x7ffffff9,0x00bffffa,
    0x7ffff440,0x17fff204,0x7ffffcc0,0x3fa00003,0xf98006ff,0xff881fff,
    0xfffd05ff,0x27bfff69,0xfca99999,0x3f60ffff,0xffb005ff,0x9fffecdf,
    0xfffffffe,0x7ffe404f,0x33fffea3,0xfb0ffff8,0x3fff67ff,0x4ffff305,
    0x999efffd,0x19999999,0x80ffff30,0x7cc3fffb,0x3fee06ff,0xf3bffd3f,
    0xdfff13ff,0x2fffdc00,0x17fff600,0x02fffec0,0x07ffffd1,0x403fffd8,
    0x03ffffe8,0x7017fff2,0x7440dfff,0x3a03ffff,0xfd803fff,0x7fec03ff,
    0x0dfffb3f,0xdffffd31,0x20ffff60,0x0007fffc,0x49fffff9,0x00fffff9,
    0x7ffff440,0x2fffe404,0x7ffffc40,0x7f400004,0xfc8004ff,0xeeeeefff,
    0x80fffffe,0xffb4fffe,0xfff300df,0x2fffec5f,0x25fffe80,0xffd3fffd,
    0x3fffffff,0x21fffe40,0xff9ffffd,0x7fffb0ff,0x4c13fff6,0x3ff67fff,
    0xf980006f,0x3fe607ff,0xfa9999ef,0x44099fff,0xfff8dfff,0xff57fff3,
    0x9999109f,0x99dfffd9,0x3f603999,0xfff005ff,0x7fff407f,0xfffd804f,
    0x7ffff403,0x37ffd404,0x817fff20,0x404ffffe,0xd803fffe,0x7ec03fff,
    0xffffb3ff,0xffffffff,0x3f605fff,0xfffc83ff,0xfff90007,0xffffb09f,
    0x7ff4400b,0xffc804ff,0xfffe805f,0xe800006f,0xf8004fff,0xffffffff,
    0x3fffffff,0xfb4fffe8,0x3fa00dff,0x3fff65ff,0x9ffff005,0xfe9fffec,
    0xffffffff,0x0ffff205,0xffdffff1,0x3fff61ff,0x207fffb3,0x3f67fff9,
    0x980006ff,0x3ea07fff,0xffffffff,0x85ffffff,0xfffbfffe,0xffbbffb0,
    0xffff303f,0xffffffff,0x3f607fff,0xffa805ff,0xfffb02ff,0x3ff600bf,
    0x3fff603f,0xfff8805f,0x3fffa01f,0xbffffb03,0x07fffd00,0x807fffb0,
    0xffb3fffd,0xffffffff,0x6c09ffff,0xffc83fff,0xff90007f,0x3ffe20df,
    0xfe8802ff,0xf7003fff,0xffc80bff,0x00000eff,0x004fffe8,0x7fffffd4,
    0xffffffff,0xfffe86ff,0x00dfffb4,0xfd9ffff6,0xffa805ff,0x3fff62ff,
    0x19ffffd3,0x3205ffff,0xffb83fff,0xb0ffffff,0x3ff67fff,0xffff303f,
    0x0037ffec,0x03fffcc0,0xfffffff5,0xffffffff,0xfffff70b,0x7fffdcdf,
    0xfff307ff,0xffffffff,0x3607ffff,0x74405fff,0xfc80ffff,0x36005fff,
    0xff903fff,0x7f400bff,0xffc80dff,0xfffc81ff,0xfffd005f,0x7fffb007,
    0xb3fffd80,0xffffffff,0x807fffff,0xfc83fffd,0xf90007ff,0x7fdc0dff,
    0x7ec00eff,0x2e003fff,0x3ee05fff,0x0001ffff,0x09fffd00,0xfffffd80,
    0xffffffff,0x7f41ffff,0xdfffb4ff,0x9bfffe00,0xe805fffd,0x7fec6fff,
    0x4bfffd3f,0xf906fffc,0x3ffa07ff,0xfb0fffff,0x3fff67ff,0x4ffff303,
    0x0006fffd,0x207fff98,0xfffffffa,0xffffffff,0xfffff885,0x3fffe64f,
    0xddd104ff,0xdffffddd,0x3605dddd,0x3e605fff,0xfb82ffff,0x2000efff,
    0xfb83fffd,0x2000efff,0x9cfffffb,0x84fffffb,0x00effffb,0x007fffd0,
    0xd807fffb,0xfffb3fff,0x99dddddf,0x3fff6005,0x07fffc83,0x0dfff900,
    0x04ffffe8,0x017ffff2,0x55ffff70,0x7ffffcc5,0x3a000002,0x22004fff,
    0x8803ffff,0x7f45ffff,0xdfffb4ff,0xffffd880,0x817fff64,0x42ffffe9,
    0xffd3fffd,0x7fffc45f,0x03fffc83,0xfffffff3,0x6cffff61,0xff303fff,
    0x37ffecff,0x7ffcc000,0x2aaaa207,0xfffbaaaa,0xffd01aaf,0xfff85fff,
    0x5c001fff,0x6c005fff,0xeeeeffff,0x5fffffff,0xdfffff98,0x6eeeeeee,
    0x261fffec,0xeedfffff,0xb86eeeee,0xffffffff,0xff986fff,0xeeeedfff,
    0x3ffa6eee,0xfffd803f,0x9fffec03,0x0006fffd,0x907fffb0,0xddddffff,
    0x1ddddddd,0x501bfff2,0x203fffff,0xffffffff,0x546fffff,0x25ffffff,
    0xeefffffc,0xeeeeeeee,0x3fa003ee,0x3f2004ff,0xfb000fff,0x7ff41fff,
    0xdffffb4f,0xffdddddd,0x7ec3ffff,0xeeeeefff,0x85ffffff,0xffd3fffd,
    0xffffb85f,0x01fffe40,0x1ffffff9,0x7ecffff6,0xfff303ff,0x77fffecf,
    0xeeeeeeee,0x7fcc1eee,0x7cc0007f,0xffc806ff,0x7fec0fff,0xfb8007ff,
    0x7ec005ff,0xffffffff,0x80ffffff,0xfffffffb,0x47ffffff,0x7dc3fffd,
    0xffffffff,0xf707ffff,0xffffffff,0xffff701b,0xffffffff,0x1ffff4ff,
    0x01fffec0,0x7ecffff6,0xb00006ff,0xff907fff,0xffffffff,0x321fffff,
    0xfd806fff,0xffa86fff,0xffffffff,0xfff86fff,0x3ff26fff,0xffffffff,
    0x4fffffff,0x13fffa00,0x05ffff80,0x8ffffea0,0xffb4fffe,0xffffffff,
    0x87ffffff,0xfffffffd,0xffffffff,0xd3fffd80,0xffd05fff,0x3fffc89f,
    0x3ffffe20,0x27fffb0f,0xf303fffd,0x7ffecfff,0xffffffff,0x4c2fffff,
    0x40007fff,0x9806fff9,0xfa86ffff,0xb8004fff,0x6c005fff,0xffffffff,
    0x00cfffff,0xfffffff7,0x8fffffff,0x7dc3fffd,0xffffffff,0x2a07ffff,
    0x2effffec,0x3ffffee0,0xffffffff,0x00ffffa7,0xb00ffff6,0x3ff67fff,
    0xfb00006f,0xfff907ff,0xffffffff,0x3f21ffff,0xff9806ff,0x7fec4fff,
    0xffffffff,0xfe986fff,0x3ff26fff,0xffffffff,0x4fffffff,0x13fffa00,
    0x17fffd40,0x9bfffe00,0xffb4fffe,0xffffffff,0xb09fffff,0xffffffff,
    0x019fffff,0x7f4ffff6,0xfffa82ff,0x0ffff21f,0x1fffff50,0x7ecffff6,
    0xfff303ff,0x7ffffecf,0xffffffff,0x7fcc2fff,0x7cc0007f,0xfff006ff,
    0xffff109f,0xfff70005,0xfffd800b,0xceffffff,0x7ffdc00c,0xffffffff,
    0x7ffec7ff,0x7ffffdc3,0xffffffff,0x00351007,0x3fffffee,0x7fffffff,
    0x200ffffa,0x6c03fffd,0xfffb3fff,0x3f60000d,0xfffc83ff,0xffffffff,
    0xff90ffff,0x3ff200df,0xfff11fff,0xffffffff,0x5440dfff,0xfffffc81,
    0xffffffff,0x2004ffff,0xb004fffe,0x9000ffff,0x3fa3ffff,0xffffb4ff,
    0xdfffffff,0x3ff6017b,0xefffffff,0x7fec00cc,0x05fffd3f,0xfc9bfffa,
    0xffd803ff,0x7fffb0ff,0x4c0ffff6,0x3ff67fff,0xffffffff,0x42ffffff,
    0x0007fff9,0x0037ffcc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x53000000,
    0x55100555,0x2aaaa155,0xaaa802aa,0x33312aaa,0x33333333,0x5554c333,
    0x9aaaaaaa,0x0aaaaa00,0x03555550,0x2a1aaaa8,0x54002aaa,0x26662aaa,
    0x2aaaaa61,0x09aaaaaa,0x05555500,0x05555510,0x40399930,0x01abcba8,
    0x2aaaaaa2,0xaaaaaaaa,0x55531aaa,0x55555555,0x98803555,0x775c0099,
    0x1eeeeeee,0x33333332,0xcccccccc,0x20000002,0x0001aaa9,0x20137951,
    0x0009bca9,0x41566554,0x4000aca9,0x02bccba9,0x44026662,0x2a201999,
    0x26202acb,0x33310099,0x00266623,0x00035953,0x0026f2a2,0xfb013333,
    0xff300dff,0x3fff63ff,0x3e201fff,0xf96fffff,0xffffffff,0x7ecfffff,
    0xffffffff,0xfc80dfff,0x7ffc07ff,0x3fe606ff,0x3fff62ff,0xfff3001f,
    0x8ffffc7f,0xfffffffd,0x3fffffff,0x27fffec0,0x13ffff20,0x20bfffa0,
    0xffffffc8,0xfffa81ef,0xffffffff,0xb3ffffff,0xffffffff,0x09ffffff,
    0x404fffa8,0xfffffffc,0x000511ff,0x2f2a601c,0x20036e0a,0x4005fffc,
    0xffffffec,0x3ffffa63,0xffc803ff,0xabffffff,0x4efffffe,0x7fffecc0,
    0xfe82ffff,0xfff503ff,0xffffb10f,0xffd07fff,0x3ffea07f,0x209fff97,
    0xfffffffa,0xfffd9002,0x3e019fff,0xffd82fff,0xfff9806f,0xfffffb1f,
    0x7ffd407f,0xfff96fff,0xffffffff,0x7ffecfff,0xffffffff,0x7fdc2fff,
    0xfff300ff,0x3ea01fff,0x3fea0fff,0xff9003ff,0x7fffc1ff,0xffffffb1,
    0xffffffff,0x7ffc409f,0xfff301ff,0xfff900df,0xffff985f,0x4fffffff,
    0x7fffffd4,0xffffffff,0xfffb3fff,0xffffffff,0xfa809fff,0x7fe404ff,
    0x1fffffff,0x81c00051,0xfffffffb,0xc803ffbd,0x36005fff,0xffffffff,
    0xfffffbef,0xb00effff,0xffffffff,0xffffffff,0x3e209fff,0xffffffff,
    0x7fff43ff,0x8ffff503,0xfffffffa,0x7ff44fff,0xffff503f,0x3213fff2,
    0xffffffff,0x7ffec05f,0x1effffff,0xd82ffff8,0xf9806fff,0xfffb1fff,
    0x7e40bfff,0xf96fffff,0xffffffff,0x7ecfffff,0xffffffff,0x22ffffff,
    0x702ffff9,0x05ffffff,0x3e1bfff2,0xfd006fff,0xffff8dff,0xffffffb1,
    0xffffffff,0x7fd409ff,0xfffd06ff,0xfffa803f,0x3ffe22ff,0xfffedfff,
    0x3ffea3ff,0xffffffff,0xb3ffffff,0xffffffff,0x09ffffff,0x004fffa8,
    0x00014400,0xffffd887,0x5fffffff,0x0bfff900,0x3fffff20,0xffffffff,
    0xfffedfff,0xffffb85f,0xfffffedf,0xfffedfff,0xffffd84f,0x7fffffde,
    0xa81ffff4,0x3fe27fff,0xfffeffff,0x3fffa3ff,0x2ffff503,0x7d44fffc,
    0xfffeffff,0xfffb03ff,0xffffffff,0x2ffff81f,0x806fffd8,0xfb1ffff9,
    0x40ffffff,0x6fffffff,0xddddddd7,0x49ffffdd,0xaaaefffd,0xfffffdaa,
    0x827fffc6,0x4ffffffe,0x909fffd0,0x9803ffff,0x7fc3ffff,0xdfffb1ff,
    0xd7555555,0xd80fffff,0x7dc3ffff,0x7e404fff,0x362fffff,0x220affff,
    0x510ffffc,0xffd55555,0x555555df,0x2bbfff63,0xaaaaaaaa,0x7ffd401a,
    0x14400004,0xffe87000,0xffffdfff,0xff9002ff,0xfff700bf,0x3ffaa1bf,
    0x261dffff,0x7fc1fffe,0x7ffcc4ff,0x7ffcc6ff,0x3fffe62f,0x0ffffd41,
    0x2a07fffd,0x3ff27fff,0xffb10bff,0x1ffff4df,0xf97fffa8,0xfffe89ff,
    0xffff711d,0xeffffc81,0xbffffb32,0xd82ffff8,0xf9806fff,0xfffb1fff,
    0xf103ffff,0x0dffffff,0x22fffd40,0x2606fffd,0x361fffff,0xff886fff,
    0x886fffff,0xf982ffff,0x7dc04fff,0xfb000fff,0xff900dff,0x7fc403ff,
    0xfff10fff,0x3fea01ff,0x22ffffff,0xf104ffff,0xf9005fff,0xffb00dff,
    0x540000df,0x22004fff,0x02880999,0xfffb8e00,0x7fffd43f,0x3a000006,
    0xff905fff,0xff703fff,0x04b9889f,0x501ffffd,0xba98bfff,0x45ffff03,
    0xf503fffe,0x3ffe2fff,0xdeff982f,0x207fffd0,0x7e47fffa,0x03fffee3,
    0xff0ffff6,0x3fea09ff,0x7ec002ff,0xff9806ff,0xbfffb1ff,0xff709fff,
    0x00dfffbf,0xb03fffa2,0xfc80dfff,0x3fee2fff,0xefffa87f,0x7cc0ffff,
    0xffd00fff,0xfffe80df,0x3fff6005,0xffff9806,0x7fffdc03,0x05ffffb5,
    0x3fffffee,0xfff32fff,0x7ffe401f,0x6fffc804,0x06fffd80,0x73333300,
    0x33339fff,0x7fffb013,0x9c000510,0xd83ffff8,0x002fffff,0xffff8800,
    0xdffff101,0x01bffe20,0x6fffea88,0x801fffe0,0x22ffffa8,0xf503fffe,
    0x3ffeafff,0x3fa02607,0xfff503ff,0x3f22fe8f,0xfff705ff,0x07fffccb,
    0x009fffd0,0x806fffd8,0xfb1ffff9,0x0dfff7ff,0xfff7fffb,0x3fff200d,
    0x06fffd82,0x317fffcc,0xfc83ffff,0x2fffebff,0x7037ffdc,0x2603ffff,
    0x2002ffff,0x8806fffd,0xe803ffff,0xfffcffff,0x3ffee05f,0x42ffff9e,
    0x7fec0198,0xfffc803f,0x6fffd806,0xffff9800,0xffffffff,0xffd83fff,
    0x0002883f,0x43fffcce,0x5fffeffc,0x3fffffe6,0xffffffff,0x0ffff52f,
    0xccefffe8,0xffffcccc,0xffd95100,0x999dffff,0x1ffff999,0x3ffb2a20,
    0x3fa2ffff,0xfff503ff,0x01bffeef,0x40ffffa0,0x3ee7fffa,0x677ffec6,
    0xfffdcccc,0x01bffee6,0x800bfff9,0x9806fffd,0xffb1ffff,0x81fffb5f,
    0xfffaefff,0x5fffa806,0x80dfffb0,0x7c1ffffb,0x7ff43fff,0x44fffc9f,
    0x2204fffd,0xf704ffff,0x6c001fff,0xfa806fff,0xf8802fff,0xffffffff,
    0xf93fee00,0x98002fff,0xc801ffff,0xfd806fff,0xf98006ff,0xffffffff,
    0x83ffffff,0x2883fffd,0x7fdce000,0x5d7fdc5f,0x3fe66fff,0xffffffff,
    0xf72fffff,0xffd80dff,0xffffffff,0x6cc0ffff,0xffffffff,0xffffffff,
    0x541fffff,0xfffffffe,0x3ffa2fff,0xffff503f,0x0017fff2,0x540ffffa,
    0xffebffff,0x7fffffc1,0xffffffff,0x017fff67,0x800ffff7,0xcccffffd,
    0xffdccccc,0x5fffb1ff,0x7cc5fff7,0x6fffacff,0x00fffe80,0x440dfffb,
    0xfe87fffe,0x3ffe24ff,0xf8dfff57,0x7f402fff,0xfffd07ff,0xfffd800b,
    0x3ffea206,0xff7000ff,0x807fffff,0x7fffc0cb,0x7ffd4002,0xfff9006f,
    0xdfffb00d,0x55555555,0x7fffcc15,0xffffffff,0xffd83fff,0x0002883f,
    0x527ffe4e,0x3ffe67ff,0x3ffffe67,0xffffffff,0xdfff72ff,0xfffffd80,
    0xffffffff,0x3fffea1f,0xfffdbdff,0xffffffff,0x3fee2fff,0xfeacefff,
    0x3fffa2ff,0x2ffff503,0x8006fffc,0xf503fffe,0x01bfffff,0xffffffff,
    0x1fffffff,0x7017fff2,0xd800dfff,0xffffffff,0xffffffff,0x35fffb1f,
    0x7fdc9fff,0x06fffaaf,0xb02fffd4,0x5333dfff,0xdfffff95,0x54dfff90,
    0x3ffe5fff,0x1ffff10f,0x1ffffb80,0x017fffc4,0x3fffff60,0xffffffff,
    0x74003fff,0x005fffff,0x00bfffe0,0x0fffffb8,0x0dfff900,0xffffffb0,
    0x3fffffff,0x7777774c,0xeeeeefff,0x3fffd82e,0x4e000288,0xff35fffb,
    0x33fffcc9,0xffffffff,0x5fffffff,0x803fffea,0x999efffe,0x21999999,
    0x41effff8,0x999efffd,0x09999999,0x839ffff5,0x3fa2fffe,0xfff703ff,
    0x81bffeef,0x07fffd00,0x02bfffee,0x99cfffe8,0x19999999,0x901bffea,
    0xd800bfff,0xffffffff,0xffffffff,0x25fffb1f,0x3ff66fff,0x06fffa8f,
    0xb017fff4,0xffffffff,0x3fffffff,0x21ffff50,0x3f62fffc,0xffff52ff,
    0x9ffff100,0x007fffb8,0xffffffd8,0xffffffff,0xffb8003f,0x20002fff,
    0x5002ffff,0x001dffff,0x4037ffe4,0xfffffffd,0x01ffffff,0x004fffa8,
    0x220ffff6,0x7d4e0002,0x45ff8eff,0x0006fffa,0x3ffff980,0x1fffff30,
    0x7ffd4020,0x1ffffb06,0x7ffe4020,0x45fffd05,0xf904fffd,0x3ffeafff,
    0x5bdfd00f,0x6413fff6,0xfd807fff,0x440106ff,0x3a01ffff,0x6c003fff,
    0xffffffff,0xffffffff,0x25fffb1f,0xfff0fffd,0x81bffead,0x6c07fff9,
    0xffffffff,0x02ffffff,0x3a3ffff1,0x3fee0fff,0x0bfff94f,0xd1ffff60,
    0x4cc09fff,0x3ffff619,0xffffffff,0xf88001ce,0x006fffff,0x00bfffe0,
    0x03bfffe6,0x0dfff900,0xffffffb0,0x3fffffff,0x09fff500,0x41fffec0,
    0x4ce00028,0x0efeffff,0x4027ffec,0xe8009998,0x6c40efff,0xc83fffff,
    0x3ff24eff,0xffff885f,0x4dffb83f,0x2613fffa,0x3f23ffff,0xfff885ff,
    0x9ffff17f,0x23ffff50,0xf885fffc,0xfa807fff,0xefd81fff,0x6ffff43d,
    0x1ffffc80,0x36026666,0x9999efff,0xfffb9999,0x25fffb1f,0xff9afffb,
    0x0dfff54f,0x2027ffec,0xfffffffd,0x01dfffff,0x7c5ffff4,0x7ffcc6ff,
    0x007fffb6,0x447fffea,0x3e01ffff,0xfffb1fff,0xffffdb9f,0x7ec0003f,
    0x03ffffff,0x05ffff00,0x01dfffd0,0x0dfff900,0x55dfffb0,0x15555555,
    0x09fff500,0x41fffec0,0xe8e00028,0x4c0fffff,0xc801ffff,0xf9805fff,
    0xfc9befff,0xbfffffff,0x4ffffa88,0x887fffee,0xbffffffd,0x5ffffa88,
    0x983ffff6,0x2e3ffffe,0xd50bffff,0x7dcfffff,0xfb9bffff,0x3fee6fff,
    0xffd50bff,0x3fa00fff,0xff70beff,0xfffb87ff,0xfffb9cff,0x7fffc4ff,
    0x06fffd82,0xb1ffff98,0x3fe65fff,0x52fffbcf,0x7fc0dfff,0x7fec00ff,
    0xaaccccff,0xfff9000a,0xf09fff7b,0xffff1fff,0x3ffe2003,0x0dfff74f,
    0xfb1ffff8,0xffe98dff,0xfa8003ff,0xffffffff,0xffff8001,0x7fffc402,
    0xfff90000,0xdfffb00d,0x7fd40000,0x3ff6004f,0x0002883f,0xdffff98e,
    0x9ffff712,0x17fff200,0x7ffffe40,0xffffffff,0xffffffff,0x3ffe60ef,
    0xffffeeff,0xffffffff,0x3ee0ffff,0xffedffff,0x3e64ffff,0xffffffff,
    0x7f47fffe,0xffffffff,0x3ffe61ff,0xfeffffff,0xff5007ff,0xffffffff,
    0x3ffee0df,0xffffffff,0x82ffff86,0x9806fffd,0xffb1ffff,0x77fffc5f,
    0xfff50fff,0x17ffea0d,0x01bfff60,0x7fffd400,0xfd82fffd,0x07fffbff,
    0xebfffec0,0x7fc03fff,0xdfffb1ff,0x7fffff10,0x7fffc400,0x06ffffcf,
    0x02ffff80,0x002fffcc,0x00dfff90,0x000dfffb,0x027ffd40,0x107fffb0,
    0x3a1c0005,0xffffffff,0x9000ffff,0x5c00bfff,0xffffffff,0xffffe9cf,
    0xc80effff,0xffffffff,0xffffeabf,0xd81fffff,0xefffffff,0x7dc6fffc,
    0x8dffffff,0x7f4c7fff,0xffffffff,0xfffffb82,0x7fff8eff,0x3fffea00,
    0x00efffff,0x3fffffee,0xff80dfff,0xfffd82ff,0xffff9806,0x6c5fffb1,
    0x26ffffff,0xf906fffa,0xffb005ff,0x220000df,0xffffffff,0xfffffb80,
    0x7d4005ff,0xffffbfff,0x87fffc00,0xf506fffd,0x2003ffff,0xfb4ffffd,
    0xf8007fff,0x7d402fff,0x320004ff,0xfd806fff,0x200006ff,0x2002ccc9,
    0x2883fffd,0xffb8e000,0xffffffff,0x3f2000df,0x6cc005ff,0x41dfffff,
    0xbffffffb,0x3fffea00,0x7fe40cef,0x200cffff,0x14fffffc,0xeb81ffff,
    0x3fe4efff,0xfffd707f,0x75c03bff,0x3fe4ffff,0x7ec4007f,0x00bfffff,
    0xffffeca8,0x3fffe02e,0x06fffd82,0xb1ffff98,0x7fdc5fff,0x3ea4ffff,
    0xfffd06ff,0xdfffb003,0x7ffc0000,0xf306ffff,0x07ffffff,0xffffff00,
    0x3e200dff,0x81bfff67,0x00effffc,0x877fffd4,0x01fffff8,0x00bfffe0,
    0x00013331,0x4037ffe4,0x0006fffd,0xffb00000,0x0005107f,0xdacff99c,
    0x02efffff,0x00999880,0x2006a200,0x4c001998,0xa988009a,0x0054c001,
    0x00015100,0x4001a988,0x000000a8,0x80006662,0x200001a8,0x9806fffd,
    0xffb1ffff,0x7fffcc5f,0x3ffea2ff,0x0ffff886,0x06fffd80,0x3fff6000,
    0x3fe04fff,0x001fffff,0xffffffc8,0x4ff5003f,0x2206fffd,0x204ffffe,
    0x42fffff8,0x006ffffb,0x100bfffe,0x40001333,0xd806fffc,0x98006fff,
    0xffffffff,0x3fffffff,0x883fffd8,0x5b8e0002,0x0000d4c4,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xd8000000,0xf9806fff,
    0xfffb1fff,0xffffff85,0x21bffea0,0xb007fff9,0x0000dfff,0x7fffffdc,
    0x3ffff602,0xff30007f,0x001fffff,0x7fec7ff5,0x7ffcc06f,0xfffb01ff,
    0x3fffa0bf,0xffff003f,0x6fffa805,0x3fff2000,0x6fffd806,0xffff9800,
    0xffffffff,0xffd83fff,0xaaac883f,0xaaaaaaaa,0x00003aaa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x806fffd8,
    0xfb1ffff9,0xfffd85ff,0x37ffd46f,0x8037ffd4,0x0006fffd,0x3ffffe60,
    0x3ffea00f,0x3a0005ff,0x805fffff,0x7fec5ff9,0xfffc806f,0xffffa86f,
    0xffff300f,0xffff003f,0x6fffa805,0x3fff2000,0x6fffd806,0xffff9800,
    0xffffffff,0xffd83fff,0x0000003f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffb0000,0xffff300d,0x70bfff63,
    0xfa89ffff,0xfffb86ff,0xdfffb005,0xfff80000,0x7fc405ff,0x20003fff,
    0x02fffffc,0xfffb05b0,0xfffd100d,0x7fffc47f,0x7ffe402f,0xffff806f,
    0x37ffd402,0xdfff9000,0x0dfffb00,0xfffff300,0xffffffff,0xfffb07ff,
    0x00000007,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fff6000,0xffff9806,0x985fffb1,0x7d42ffff,0xfffc86ff,
    0xdfffb004,0xffd80000,0xffe803ff,0x260001ff,0x000fffff,0x037ffec0,
    0x0fffff98,0x00bffff9,0x00fffffa,0xa805ffff,0x20006fff,0xd806fffc,
    0x00006fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x30000000,0x7f400300,
    0x000000ff,0x77100000,0x7775c003,0x39995000,0xa99f6c40,0xaaaaaaaa,
    0x982aaaaa,0x2a01bcdb,0xa980bcdc,0xaaaaaaaa,0x222aaaaa,0xdd500999,
    0x19bb7003,0x44555530,0x5510aaaa,0x00000155,0x102b7726,0x79510011,
    0x06666013,0x15799530,0x00000260,0x99894400,0x33310099,0x30cccc13,
    0x00000157,0x88013331,0x26621999,0x00d65441,0x33333331,0x98133333,
    0x0ddcc099,0x880aca88,0x33100999,0x86666013,0x98809998,0x26620999,
    0x301fdc09,0x3ffa00bf,0x3ffe200f,0x005fff12,0x7c4bffe2,0x3ffa22ff,
    0x7c401fff,0x7c403fff,0xb04fffff,0x3fff69ff,0xffffffff,0x7ff47fff,
    0x6c44ffff,0x41efffff,0xfffffffd,0x7fffffff,0x540ffffa,0x3fa200ff,
    0x7e42ffff,0xfff30fff,0x3fffea5f,0x37bf7221,0xdb06e00b,0x3f61fffd,
    0xffd903ff,0xf819ffff,0xfea81fff,0x1dffffff,0x0000efdc,0x16fc8800,
    0xd01fffff,0x7fc1ffff,0x5ffff97f,0x897005a8,0x6407fffb,0x3ff65fff,
    0xffffd89f,0xfffe80ef,0xffffffff,0xab7ffc3f,0x20ffffff,0x45fffffc,
    0xff03fffc,0xfff107ff,0x0ffffa1f,0x41fffff3,0x3ee3fffd,0xfff983ff,
    0x0fffe805,0xb87ffdc0,0xfd800fff,0x917ff65f,0x0bff9bff,0x07ffffc8,
    0x7fe6ffe4,0x3fffaa0f,0xffffffb4,0xffffffff,0x7677fdcf,0x3ff20fff,
    0x20ffffff,0xfffffffd,0x7fffffff,0x218ffffa,0xfd060ff9,0x43fffdff,
    0xf30ffffc,0x3fea5fff,0xfffd31ff,0x4c5bffff,0x3fea01fd,0xb07fffb4,
    0xffffffff,0x7fffc3ff,0x7ffffdc1,0x21ffffff,0x002efffb,0xfffb3000,
    0x2ffffd4d,0xf0bffff2,0xffff7fff,0x46ffcc1f,0xfb9ceeeb,0x3fffe24f,
    0x8bfffe02,0xffeafffd,0x40ffffff,0xfffffffe,0x7c3fffff,0xffffbeff,
    0xffd9ffff,0x2a5fffff,0xff986fff,0xfffa85ff,0x88ffffa5,0x6c1ffffe,
    0xfff13fff,0x7ffcc7ff,0x7ff401ff,0x5ffe800f,0xf7017ffa,0x3ffee3ff,
    0xffd2f6c1,0x3fffe201,0xdff102ff,0xffca7fd4,0xfffb4fff,0xffffffff,
    0x6e54ffff,0x7c47ffa0,0x9fff33ff,0x7fffffec,0xffffffff,0xf8ffffa7,
    0xfd77f9be,0xff327fd4,0x87fffe4b,0xf52ffff9,0x3ffe3fff,0xffffffff,
    0x201fffff,0xfffb5ff9,0xfffffd87,0x0fffffff,0x7cc3ffff,0xfdccefff,
    0x3fee6fff,0x000bffff,0xffffea80,0x7fffe46f,0x09ffff32,0xffffffff,
    0x7fffc4bf,0xffffffff,0x3ff62fff,0xffff505f,0xffffffd8,0x3fffffee,
    0x7ffffff4,0x43ffffff,0xdfffffff,0xffffffff,0x2fffffee,0xf703fffe,
    0xff90ffff,0x9ffff47f,0x81ffffe8,0x3e63fffd,0xff9bffff,0xfe802fff,
    0xffa800ff,0x05fff52f,0x7cd3ffe2,0x7dd404ff,0x3ffee05f,0x04c06fff,
    0x33f27ff7,0x99954ffb,0x99999999,0x2a209999,0xff52fffc,0x2a5ffc8f,
    0xcccccccc,0x27fffccc,0xff52fffe,0xffffffff,0xfb03ff23,0x33fffdcf,
    0x3ea5ffff,0xffff1fff,0xffffffff,0x3263ffff,0xb0fffdbb,0x7fe47fff,
    0xff710cff,0x3fffedff,0x20fffee1,0xf70efffa,0x9fffffff,0xffc88003,
    0x85ffffff,0xfe8ffffe,0xfff80eff,0x42dabeff,0xfffffffa,0x44ffffff,
    0xd80ffffa,0x7fec4fff,0x3fe20eff,0x555546ff,0xffffc999,0x7ffffc0e,
    0x7fffff43,0x8ffffe62,0x7f42fffd,0x7fc1ffff,0x3fffa0ff,0x03ffffb3,
    0xf30ffff6,0xffffffff,0x3ffa005f,0xfffd000f,0x203fffa1,0xffd0fffe,
    0xfffe801f,0x33bffe00,0xf5002fff,0x7d4261ff,0xb800004f,0x2ffffffe,
    0xffa8bff7,0x3ffe0007,0xb711fe87,0x9bffffff,0xf903ff21,0x137ffd4f,
    0x3e23ffff,0x15df0fff,0x3ffffae2,0x3fea3fff,0x2662efff,0x3fffe099,
    0x5ffff504,0xffc83fe2,0x101a80df,0xffffffd7,0xfd9805bf,0xcfffffff,
    0xfffff301,0x3e03ffff,0xb801ffff,0xffefffff,0xffd05fff,0xffff885f,
    0x07fffec0,0x8037ffdc,0x80fffffa,0xfa85ffff,0xffc84fff,0x93ffea4f,
    0x3ffffff8,0xfd1bffe6,0xffff97ff,0x1fffec05,0x7fffffcc,0xfffd82ff,
    0xffffffff,0xff987fff,0x8bfff35f,0xff93fffc,0xfee8807f,0xfffb80ef,
    0x805fff9b,0xf502fffb,0xd800009f,0xffebdfff,0xfa8bff72,0x3fe0007f,
    0x407fcc7f,0xa80efff8,0x97fe23ff,0x7f45fff8,0x93fffc7f,0xcefec980,
    0x04d54c41,0x1ffff300,0xaa7fff40,0x7fffd47f,0x4c001bdf,0xfffffffd,
    0x3ffaa0be,0x0aefffff,0xfffffb80,0x3ffe03ff,0xfff9005f,0x3fff223b,
    0x8bfff707,0xfd85fffb,0xfff505ff,0xffff300f,0x3fffe03f,0x2ffff983,
    0x225fffb8,0x3fea7fff,0x3ee5ffff,0x7fff43ff,0x403ffffe,0xf303fffd,
    0x205fffff,0xfffffffd,0x7fffffff,0x367fffb0,0xfff33fff,0x01bffe6d,
    0xfd07ff70,0x3fffa1ff,0x07fff601,0x9954ffa8,0x99999999,0x3e699999,
    0x4bffe0ff,0x7fe47ffa,0x3ffe0005,0x2213fa67,0xd05ffefe,0x5fffbdff,
    0x7ec4fff8,0x02ffec6f,0x40000000,0x6406fffb,0x3fe9efff,0x7fffffc4,
    0x2002dfff,0xfffffeb8,0xfffff76f,0xb00019ff,0x80dfffff,0xf004ffff,
    0xffd01fff,0xffff103f,0x417fff41,0xf304fffd,0xff880fff,0x3fe02fff,
    0xfff982ff,0x6fffb81f,0xfc8fffec,0x3a7ffcff,0x7ff41fff,0x05ffffff,
    0x981fffec,0x03ffffff,0xfffffffb,0xffffffff,0x6cffff60,0xfff13fff,
    0x1ffff11f,0x7cc79910,0x2fffd45f,0x360bfff5,0x7d400eff,0xfffffb4f,
    0xffffffff,0xa9bfeaff,0xfff12fff,0x00fffea7,0x3e7fff80,0x7ff440ef,
    0xf984ffa9,0xb84fffff,0x1e6541cc,0x0000b32a,0x4cccccc0,0x13333099,
    0xb80bfffb,0x05ffffff,0xfffffff3,0x8003dfff,0x76ffffc9,0x005bffff,
    0xfffff880,0x1ffffc01,0x82fffc40,0xfb02fffa,0x3ffe67ff,0x09fffb07,
    0x881fffe6,0x403ffffe,0xf981ffff,0xffb80fff,0x9fffdc6f,0xfff9dffe,
    0xe86fff89,0xffffffff,0x3fff601f,0xfffff983,0xffd83fff,0xffffffff,
    0xf987ffff,0xbfff35ff,0xf54fffa8,0x3ffa09ff,0x741ffd9a,0x7ffc2fff,
    0x6fffec0f,0xffa82ccc,0xffffffb4,0xffffffff,0x7f77ffcf,0x3ff22fff,
    0x006fffff,0x793fffc0,0xfe93fa20,0xdeec880d,0x00000001,0xffff8000,
    0xffb2ffff,0x0bfff97f,0x2effffb8,0x7fffe440,0x00ffffff,0xffffd510,
    0x3ffffeed,0x3f20000c,0x7c06ffff,0xff002fff,0x3ffee0df,0x2dfff502,
    0xfb04fffc,0x3fe607ff,0x3fffa07f,0xffff804f,0x07fff981,0xf88dfff7,
    0x3fff8dff,0xfff57fff,0xfffffd09,0x6c0dffff,0x7fcc3fff,0xffffffff,
    0x1fffd003,0x43fffa00,0xfd80fffe,0x3fffb1ff,0xffffff50,0x86fffa8b,
    0x3e24fffc,0x4fffffff,0xffb4ffa8,0xffffffff,0x7dcfffff,0x3ffcffff,
    0x77ffffe4,0x7ffc0001,0x53064007,0x00000000,0xff000000,0x25ffffff,
    0xffabfffd,0x7ffe406f,0xfdb98006,0x404fffff,0xffffffc9,0xfffff75f,
    0x98005bff,0x3fffffff,0x00bfffe0,0x740ffff4,0x3fa01fff,0x0ffff9ff,
    0x207fffb0,0xfb07fff9,0x3e00bfff,0xff981fff,0xdfff707f,0xff7fffd0,
    0x377ff61f,0xffe81fff,0xffff8dff,0x47fffb02,0x9afffff9,0x803fffff,
    0xa800fffe,0xfff52fff,0x57ffe205,0x7305fff8,0xffb039fd,0xffff307f,
    0x3bbbbaa1,0xee983eee,0x55555533,0x55555555,0x50aca885,0x57973055,
    0x26660000,0x00000001,0x00000000,0xfffff000,0x3ff65fff,0x1ffff8bf,
    0x013fffe0,0xfffd5018,0xfffd710d,0x985bffff,0xfffffffc,0x7f4401cf,
    0x1fffffff,0x005ffff0,0x22ffffee,0x406fffea,0xfffdfffb,0x0ffff605,
    0x643fffcc,0x2005ffff,0xf981ffff,0xfff707ff,0xfffff70d,0x7fffdcdf,
    0xfffd07ff,0x07fffdcb,0xf89fffec,0x3e62ffff,0x7402ffff,0xfe800fff,
    0x017ffa5f,0x3ea3fff5,0x2a0001ff,0x55500aaa,0x00000015,0x00000000,
    0x00000000,0x00000000,0x80000000,0xffffffff,0x3a7fffb2,0xff905fff,
    0x76c403ff,0xfff703ff,0x7fffe4cb,0x401cffff,0xffffffb8,0xff902eff,
    0xdffff5ff,0x00bfffe0,0x7fffffe4,0x00efffff,0x3fffffe2,0x3fff602f,
    0x8ffff303,0x00effffb,0x207fffe0,0xf707fff9,0xfff10dff,0x7fcc9fff,
    0xfd04ffff,0xffff87ff,0x23fffd84,0xf982fffa,0xffe804ff,0x7ffdc00f,
    0x001dff70,0x7fe4dff9,0x00000006,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xeffffb80,0xffffda9a,0xffffd804,0x9ffff4c2,
    0xfffffffb,0xea8000bf,0x6fffffff,0xb9ffffd4,0xff84ffff,0xffb802ff,
    0xffffffff,0x3600efff,0x407fffff,0xf303fffd,0x7ffccfff,0xeeeeedff,
    0x7fffc6ee,0x07fff981,0x3a0dfff7,0x7c2fffff,0xd01fffff,0xffa87fff,
    0x7ffec0ff,0xf3017d43,0x3fffa009,0x47ffe200,0x1001fff8,0x3fa25ffd,
    0x0000002f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffffb800,0xefffffff,0xffff9800,0xfffffeff,0xfffff70f,0x2600005d,
    0x26fffffd,0x6c6ffff8,0x7fc2ffff,0xffe802ff,0xffffffff,0x2a02ffff,
    0x404fffff,0xf303fffd,0x7ffdcfff,0xffffffff,0x7fffc7ff,0x07fff981,
    0x320dfff7,0x6c0fffff,0x3a07ffff,0xffe83fff,0x1fffec5f,0x90004004,
    0x00001ddd,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x5c000000,0xffffffff,0x3e6000df,0xffffffff,0x3ffee1ff,
    0x1000001d,0x7ecdfff9,0x7fc41fff,0x3ffe0fff,0x4fe8802f,0x3e659973,
    0xfffe802f,0x7ffec01f,0x4ffff303,0xfffffffb,0x47ffffff,0xf981ffff,
    0xfff707ff,0x3fffe60d,0x4ffffa86,0x20ffffa0,0x361ffff9,0x00003fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xc9800000,0x02effffe,0xffff9100,0xfb819fff,0x0000000c,
    0x7ffddbae,0xffff704f,0x017fffcb,0x05300388,0x01bffee0,0x4c0ffff6,
    0x3fee7fff,0xffffffff,0x7ffc7fff,0x7fff981f,0x40dfff70,0xf884ffff,
    0x3fa02fff,0xfffb03ff,0x01fffecd,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00006a20,
    0x40135310,0x00000000,0x0000000c,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2eeee880,0x910fbbb6,0x99999999,0x99999999,0xe993bb65,0x777711ee,
    0x77777777,0x00377777,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffc80000,0x7fffc44f,0x3ffffe60,
    0xffffffff,0xffd3ffff,0x997ffccb,0xffffffff,0xffffffff,0x0000003f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4c13ffe2,0x3fe63fff,0xffffffff,0x3fffffff,0x7fccbffd,
    0xfffff32f,0xffffffff,0x0007ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2ffdc000,0x331bfe60,
    0x33333333,0x13333333,0xee993bb6,0x3333312e,0x33333333,0x00013333,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x026e4000,0x0001dda8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__arial_bold_35_latin_ext_x[560]={ 0,2,1,0,1,1,1,1,1,1,0,1,1,0,
2,-1,1,2,0,1,0,1,1,1,1,0,3,2,1,1,1,1,0,0,2,1,2,2,2,1,2,2,0,2,
2,2,2,1,2,1,2,1,0,2,-1,0,0,-1,0,2,-1,0,1,-1,0,1,2,1,1,0,0,1,2,2,
-2,2,2,1,2,1,2,1,2,0,0,2,0,0,0,0,0,0,2,0,1,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,1,0,0,0,
2,0,0,-1,0,1,1,0,-1,-1,1,0,0,0,2,1,-1,2,0,1,0,1,1,1,0,1,0,0,0,0,
0,0,-2,1,2,2,2,2,-1,1,-1,-1,-1,2,1,1,1,1,1,1,0,2,2,2,2,-1,2,2,1,1,
1,1,1,1,1,1,0,0,0,0,-1,1,-1,-1,1,2,1,1,1,1,1,0,1,2,2,2,2,0,2,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,2,1,-1,1,2,0,2,0,2,0,2,0,2,0,1,1,
1,1,1,1,1,1,2,2,0,0,-2,-2,-1,-1,-1,-1,1,1,2,2,2,2,0,-2,2,2,2,2,1,2,
-1,2,2,2,2,0,0,2,2,2,2,2,2,-1,2,2,1,1,1,1,1,1,1,1,2,2,2,0,2,1,
1,0,1,0,1,0,1,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,0,0,-1,0,
-1,0,0,0,0,0,0,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,3,3,-1,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,2,2,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,-1,-1,1,
1,2,2,2,2,2,2,2,2,2,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,1,-2,1,0,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__arial_bold_35_latin_ext_y[560]={ 28,5,5,5,3,5,5,5,5,5,5,9,23,17,
23,5,5,5,5,5,5,5,5,5,5,5,11,11,8,11,8,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,31,5,11,5,11,5,11,5,11,5,5,
5,5,5,11,11,11,11,11,11,11,6,11,11,11,11,11,11,5,5,5,13,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,28,11,5,5,8,5,
5,5,5,5,5,12,11,17,5,1,5,6,5,5,5,11,5,14,28,5,5,12,5,5,5,11,-1,-1,-1,0,
0,1,5,5,-1,-1,-1,0,-1,-1,-1,0,5,0,-1,-1,-1,0,0,9,4,-1,-1,-1,0,-1,5,5,5,5,
5,5,5,4,11,11,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,8,10,5,5,5,5,5,5,5,
0,6,-1,5,5,11,-1,5,-1,5,-1,5,-1,5,-1,5,5,5,0,6,-1,5,-1,5,5,11,-1,5,-1,5,
-1,5,-1,5,5,2,-1,-1,5,5,-1,5,0,6,-1,5,5,5,0,11,5,5,-1,5,5,5,11,-1,-1,5,
5,5,5,5,5,5,5,-1,5,5,11,-1,5,5,5,11,0,6,-1,5,-1,5,5,11,-1,5,5,11,-1,5,
-1,5,-1,5,5,11,-1,5,5,6,-1,5,5,6,-1,5,0,6,-1,5,-1,4,-1,5,5,11,-1,5,-1,5,
0,-1,5,0,5,-1,5,5,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,5,8,8,5,8,8,8,
8,8,8,8,8,8,8,8,8,8,5,11,8,8,8,8,8,8,8,8,8,8,8,8,8,5,11,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,-1,5,-1,5,-1,
5,-1,5,-1,-1,-1,-1,-1,-1,-1,-1,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,-4,-2,-2,5,-2,5,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__arial_bold_35_latin_ext_w[560]={ 0,6,13,18,16,26,22,6,9,8,12,16,6,10,
5,10,15,11,16,16,17,16,16,16,16,16,5,6,16,16,16,17,31,23,20,21,20,18,16,22,19,5,15,21,
17,22,19,23,18,23,21,19,19,19,22,30,21,22,19,8,10,9,16,19,8,16,16,16,17,17,12,17,16,5,
9,16,5,25,16,18,16,17,11,16,11,15,18,25,18,17,16,12,5,12,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,6,16,17,17,18,
5,17,11,25,11,15,16,10,25,19,11,17,10,10,8,16,19,5,9,7,12,15,25,25,26,17,23,23,23,23,
23,23,32,21,18,18,18,18,8,8,11,11,23,19,23,23,23,23,23,16,24,19,19,19,19,22,18,17,16,16,
16,16,16,16,26,16,17,17,17,17,8,8,11,11,17,16,18,18,18,18,18,17,18,15,15,15,15,17,16,17,
23,16,23,16,24,18,21,16,21,16,21,16,21,16,20,22,23,18,18,17,18,17,18,17,18,17,18,17,22,17,
22,17,22,17,22,17,19,16,23,18,12,12,11,11,11,11,8,8,5,5,21,13,18,12,21,16,16,17,8,17,
10,17,10,17,11,19,9,19,16,19,16,19,16,21,20,15,23,18,23,18,23,18,30,28,21,11,21,13,21,12,
19,16,19,16,19,16,19,16,19,11,19,16,19,11,19,15,19,15,19,15,19,15,19,16,19,18,30,25,22,17,
22,19,16,19,16,19,16,9,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,21,17,17,19,17,17,17,
17,17,17,17,17,17,17,17,17,17,26,22,17,17,17,17,17,17,17,17,17,17,17,17,17,24,21,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,23,16,11,11,23,
18,19,15,19,15,19,15,19,15,19,15,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,23,16,32,26,24,18,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17, };
static unsigned short stb__arial_bold_35_latin_ext_h[560]={ 0,23,9,24,29,24,24,9,30,30,11,16,11,6,
5,24,24,23,23,24,23,24,24,23,24,24,17,23,18,12,18,23,30,23,23,24,23,23,23,24,23,23,24,23,
23,23,23,24,23,26,23,24,23,24,23,23,23,23,23,30,24,30,13,4,5,18,24,18,24,18,23,24,23,23,
30,23,23,17,17,18,24,24,17,18,23,18,17,17,17,24,17,30,30,30,8,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,24,30,24,17,23,
30,30,4,24,12,15,12,6,24,4,10,22,12,13,5,24,30,6,7,12,12,15,24,24,24,24,29,29,29,28,
28,27,23,30,29,29,29,28,29,29,29,28,23,28,30,30,30,29,29,16,26,30,30,30,29,29,23,24,24,24,
24,24,24,25,18,24,24,24,24,24,23,23,23,23,24,23,24,24,24,24,24,18,20,24,24,24,24,30,30,30,
28,23,29,24,30,24,30,24,30,24,30,24,30,24,29,24,23,24,28,23,29,24,29,24,30,24,29,24,30,30,
30,30,30,30,30,33,29,29,23,23,29,23,28,22,29,23,30,30,28,17,24,30,30,30,30,30,17,29,29,30,
30,23,23,23,23,23,23,29,23,30,24,29,23,23,24,24,29,23,30,24,30,24,24,18,29,23,30,24,29,23,
30,24,30,24,30,24,30,24,33,32,29,24,23,23,30,24,29,23,30,24,30,25,30,24,30,24,29,23,29,30,
28,29,23,28,23,29,23,23,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,24,20,20,30,20,20,20,
20,20,20,20,20,20,20,20,20,20,24,18,20,20,20,20,20,20,20,20,20,20,20,20,20,24,18,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,29,24,29,23,30,
24,30,24,30,30,30,30,30,30,30,30,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,32,31,30,24,32,25,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20, };
static unsigned short stb__arial_bold_35_latin_ext_s[560]={ 507,504,463,173,186,178,1,456,251,339,431,
269,424,495,506,51,62,185,251,210,493,369,134,44,225,191,502,134,58,365,41,
197,307,323,353,169,374,461,235,28,1,347,474,229,211,21,418,450,61,368,141,
430,215,410,111,80,163,300,280,495,373,485,329,93,84,393,330,426,286,465,480,
51,444,438,89,401,395,177,143,483,208,69,94,24,268,410,124,203,75,1,160,
370,501,56,477,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,507,505,124,
242,106,27,221,406,113,304,382,302,407,495,384,125,444,252,346,318,75,490,19,
505,495,357,394,286,260,347,1,87,32,56,142,233,147,344,246,220,266,285,397,
171,502,125,490,301,46,257,443,403,322,428,373,252,392,206,150,282,335,25,180,
493,476,459,442,425,408,452,366,352,334,316,298,280,171,87,200,199,192,462,154,
135,116,97,78,319,300,35,19,24,488,467,1,38,277,495,1,346,99,308,161,
272,250,117,292,40,334,144,87,104,438,68,313,420,471,17,68,487,376,469,452,
151,442,1,68,111,149,185,227,21,48,108,384,181,134,371,332,270,416,339,39,
242,504,246,363,389,370,172,348,203,229,355,326,424,395,321,297,279,222,161,212,
166,144,48,263,80,105,122,401,385,483,113,283,327,403,289,222,337,120,234,261,
422,304,308,201,127,141,87,129,205,91,161,1,88,203,35,351,408,465,1,100,
479,69,52,356,417,314,100,272,253,1,1,243,183,190,223,70,213,96,427,132,
149,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,386,282,282,18,
282,282,282,282,282,282,282,282,282,282,282,282,282,436,1,282,282,282,282,282,
282,282,282,282,282,282,282,282,463,443,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,459,227,
447,159,346,244,302,57,262,485,226,427,383,190,170,246,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,64,100,117,73,39,433,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282, };
static unsigned short stb__arial_bold_35_latin_ext_t[560]={ 1,157,304,182,97,157,207,304,66,66,304,
304,304,312,312,182,182,281,257,182,257,182,207,281,207,207,281,281,305,304,305,
281,66,257,257,207,257,257,281,232,281,257,207,257,257,281,257,207,281,127,281,
207,281,207,281,281,281,257,257,35,207,35,304,323,323,281,207,281,207,281,257,
232,257,257,35,257,257,305,305,281,207,232,305,305,257,281,305,305,305,182,305,
1,1,35,304,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,
281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,1,127,35,
207,305,257,35,35,323,207,304,304,304,312,207,323,304,281,304,304,323,207,66,
304,304,304,304,304,207,207,232,232,97,97,97,127,127,127,232,66,97,97,97,
127,97,127,97,127,257,127,1,1,1,97,97,304,127,1,1,1,97,127,257,
182,182,182,182,182,182,127,281,182,182,182,182,182,257,257,232,257,182,232,182,
182,182,182,182,281,281,182,182,207,157,1,35,35,127,232,127,157,35,157,35,
157,35,207,35,207,35,157,127,157,232,157,127,232,97,157,127,127,35,127,97,
207,35,66,66,66,66,66,35,1,127,127,232,232,127,232,127,281,97,232,66,
66,35,305,157,66,66,66,66,66,305,97,97,35,35,232,232,232,232,232,232,
97,232,66,182,97,232,232,157,157,66,257,66,157,66,157,157,281,97,232,66,
157,97,232,35,157,35,157,66,157,66,157,1,1,97,157,232,232,35,157,97,
232,35,157,35,127,35,207,35,157,97,257,97,35,127,97,257,127,257,66,257,
257,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,182,281,281,35,
281,281,281,281,281,281,281,281,281,281,281,281,281,157,305,281,281,281,281,281,
281,281,281,281,281,281,281,281,157,281,281,281,281,281,281,281,281,281,281,281,
281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,66,182,
66,257,1,182,1,207,1,1,1,1,1,1,1,1,281,281,281,281,281,281,
281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,
281,281,281,1,1,1,207,1,127,281,281,281,281,281,281,281,281,281,281,281,
281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,
281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,
281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,
281,281,281,281,281,281,281,281,281, };
static unsigned short stb__arial_bold_35_latin_ext_a[560]={ 139,167,238,279,279,446,362,119,
167,167,195,293,139,167,139,139,279,279,279,279,279,279,279,279,
279,279,167,167,293,293,293,306,489,362,362,362,362,334,306,390,
362,139,279,362,306,418,362,390,334,390,362,334,306,362,334,473,
334,334,306,167,139,167,293,279,167,279,306,279,306,279,167,306,
306,139,139,279,139,446,306,306,306,306,195,279,167,306,279,390,
279,279,251,195,140,195,293,376,376,376,376,376,376,376,376,376,
376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,
376,376,376,376,376,376,376,376,139,167,279,279,279,279,140,279,
167,369,186,279,293,167,369,277,200,275,167,167,167,289,279,139,
167,167,183,279,418,418,418,306,362,362,362,362,362,362,501,362,
334,334,334,334,139,139,139,139,362,362,390,390,390,390,390,293,
390,362,362,362,362,334,334,306,279,279,279,279,279,279,446,279,
279,279,279,279,139,139,139,139,306,306,306,306,306,306,306,275,
306,306,306,306,306,279,306,279,362,279,362,279,362,279,362,279,
362,279,362,279,362,279,362,360,362,306,334,279,334,279,334,279,
334,279,334,279,390,306,390,306,390,306,390,306,362,306,362,306,
139,139,139,139,139,139,139,139,139,139,393,279,279,139,362,279,
279,306,139,306,139,306,193,306,240,306,139,362,306,362,306,362,
306,355,362,306,390,306,390,306,390,306,501,473,362,195,362,195,
362,195,334,279,334,279,334,279,334,279,306,167,306,240,306,167,
362,306,362,306,362,306,362,306,362,306,362,306,473,390,334,279,
334,306,251,306,251,306,251,139,376,376,376,376,376,376,376,376,
376,376,376,376,376,376,376,364,376,376,279,376,376,376,376,376,
376,376,376,376,376,376,376,376,428,356,376,376,376,376,376,376,
376,376,376,376,376,376,376,416,363,376,376,376,376,376,376,376,
376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,
376,376,376,376,376,362,279,139,139,390,306,362,306,362,306,362,
306,362,306,362,306,376,376,376,376,376,376,376,376,376,376,376,
376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,
376,376,362,279,501,446,390,306,376,376,376,376,376,376,376,376,
376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,
376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,
376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,
376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,
376,376,376,376,376,376,376,376, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_35_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_bold_35_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_35_latin_ext(stb_fontchar font[STB_FONT_arial_bold_35_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_35_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_bold_35_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_35_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_35_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_35_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_35_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_35_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_35_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_35_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_35_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_35_latin_ext_s[i] + stb__arial_bold_35_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_35_latin_ext_t[i] + stb__arial_bold_35_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_35_latin_ext_x[i];
            font[i].y0 = stb__arial_bold_35_latin_ext_y[i];
            font[i].x1 = stb__arial_bold_35_latin_ext_x[i] + stb__arial_bold_35_latin_ext_w[i];
            font[i].y1 = stb__arial_bold_35_latin_ext_y[i] + stb__arial_bold_35_latin_ext_h[i];
            font[i].advance_int = (stb__arial_bold_35_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_35_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_35_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_35_latin_ext_s[i] + stb__arial_bold_35_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_35_latin_ext_t[i] + stb__arial_bold_35_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_35_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_35_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_35_latin_ext_x[i] + stb__arial_bold_35_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_35_latin_ext_y[i] + stb__arial_bold_35_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_35_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_35_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_35_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_35_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_35_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_35_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_35_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_35_latin_ext_LINE_SPACING
#endif

