// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_36_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_36_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_36_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_bold_36_latin_ext_BITMAP_HEIGHT        352
#define STB_FONT_arial_bold_36_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_bold_36_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_bold_36_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_bold_36_latin_ext_LINE_SPACING          23

static unsigned int stb__arial_bold_36_latin_ext_pixels[]={
    0x00000000,0x00155553,0x49800140,0xeed80000,0x5551004e,0x002aaa21,
    0x00000000,0x0f777540,0x00000000,0x00000000,0xaaa98000,0x04cc4001,
    0x40006662,0x4c401aa9,0x004cc409,0x00000000,0x00000000,0x00000000,
    0x04d54400,0x00000000,0x01aa9800,0x55400000,0x3ffe600a,0xffffffff,
    0x07ffffff,0x07ffff00,0x001f6600,0x00003ff6,0x00efffa8,0x263fff30,
    0x3a601fff,0xf88003ff,0x17ff63ff,0x05fffd00,0x3ffff700,0x3bfee000,
    0xffff9801,0x406fffff,0x000ffffc,0xfffffea8,0xfff3003f,0x00fffe25,
    0x0bffff70,0xf31fffa8,0xfd8005ff,0x3fe604ff,0x5403ff94,0x3fffffff,
    0xfffff300,0xfffd8001,0xb300ffff,0xffffffff,0xa80bffff,0xfffffffd,
    0xffb8000c,0x000000ff,0x3ffffff2,0x7ffd4005,0x3ffb802f,0x3ffffe60,
    0xffffffff,0x8007ffff,0x8004fffb,0x4007ffc8,0x0000dffc,0x003fff60,
    0xf31fff98,0xfd8803ff,0xffa8001f,0x00fffc9f,0x00fffea0,0x017fff40,
    0x00dff980,0xffffff30,0xf900dfff,0xfb8009ff,0xffffffff,0x1fff7005,
    0xc800bffd,0x805fffff,0xffe8effc,0xfffd8005,0x7effd404,0x7ffd402f,
    0x9003ffff,0x007fffff,0xffffffd8,0xffffd80f,0xffffffff,0x3ff205ff,
    0xffffffff,0xffc8002f,0x9000004f,0x9fffffff,0x2fffe800,0x01fff100,
    0x3fffffe6,0xffffffff,0xe8007fff,0xf70005ff,0x7c400fff,0x4c00004f,
    0x4c001fff,0xfff31fff,0x017ae003,0x7ff7fec0,0x7ff4002f,0xfff50004,
    0x1f6c0005,0x3bbba200,0x005eeeee,0x2001fffb,0xfffffff9,0xd004ffff,
    0x01ffffff,0x7ffffc40,0xfffd005f,0xb0001fff,0xd7009fff,0xff5005dd,
    0x007fffff,0x1bfffffe,0xfffffb00,0xfffc81ff,0xffffffff,0xe985ffff,
    0xffffffff,0x003fffff,0x000fffd8,0x7fffc400,0x2002ffff,0x4003fff9,
    0xdd304ffd,0xfffddddd,0xdddddddf,0x05ffa800,0x1fffee00,0x0cdff980,
    0x3dd70000,0x3fff3000,0xc807ffe6,0x0027e44f,0x0bffffd1,0x004ee980,
    0x000fffa0,0x09f913f2,0x36000000,0xff7003ff,0x3ff225ff,0xff8800ff,
    0x54002fff,0x01abffff,0x5fffff30,0x3fff6000,0xf913f204,0x75554409,
    0xfa803fff,0x02ffffff,0x2b7fff60,0x7fffd42a,0xffffffff,0xfe85ffff,
    0xfdceffff,0x01ffffff,0x003ffd80,0x7fffd400,0x2000cbad,0xa8003ffd,
    0x5c000fff,0x0000ffff,0x0003fb30,0x003fffdc,0x003ffff5,0x26000000,
    0xfff31fff,0x3227e403,0x664c004f,0x000000cc,0x003cc880,0x4fc89f90,
    0x10000000,0x3f600799,0x7ffc46ff,0x9995001f,0xfff70007,0x332a0009,
    0x0000003c,0x04fc89f9,0x00ffff60,0x3ffffff6,0x3ff6005f,0x3fff203f,
    0x367fffff,0xfff707ff,0xffd503df,0x32000dff,0x6400003c,0x0000ffff,
    0x40007991,0x5c004fff,0x0000ffff,0x009fffd0,0xffffeea8,0x7fd405ee,
    0x100001ff,0x2e403553,0x7cc7ffe6,0x06a601ff,0x55100353,0x01554c15,
    0x00cffc88,0x260aaa88,0x353002aa,0xa8801a98,0x0aaa60aa,0x260aaa88,
    0x3ff202aa,0x000c41ff,0xffc80000,0x5310003f,0x00000013,0x035306a6,
    0x01fffec0,0x3fbfffe2,0xfb000fff,0x7ff407ff,0x27ffffff,0xff887ffd,
    0x7fcc06ff,0x22001fff,0x000009a9,0x002fffec,0x0026a620,0x003fff20,
    0x00ffffb8,0xd8bf9800,0x3fee000f,0x07ffffff,0x000cccc4,0x3ffff6a0,
    0x3ee2efff,0x47ffe65f,0xffb1fff9,0x3ffe00ff,0x17ffdc5f,0x7001fffb,
    0x7007fbbf,0x7fec5fff,0x3fffec0f,0x45ffff80,0x3f62fffb,0xfff700ff,
    0x807ffec5,0x02fffff9,0x00ffffb0,0x6417fffe,0x2e003fff,0xffffffed,
    0x7764002e,0x0ffffb3e,0x417fffe0,0x5c03fffd,0xfff9ffff,0xfffb003f,
    0x7ffffc07,0x3f67ffff,0xffffc87f,0xbdffc802,0x7ff6dc01,0x002effff,
    0xfffeee88,0x7004eeef,0xffffffdb,0x3fea005d,0x3fee004f,0xc80000ff,
    0x4005f30f,0xfffffffb,0x0000007f,0xffffffb1,0xf9dfffff,0x7ffcc7ff,
    0x363fff31,0xff007fff,0xfffb8bff,0x003fff62,0xb806d97a,0x3ff62fff,
    0x3fffec0f,0x45ffff80,0x3f62fffb,0xfff700ff,0x007ffec5,0x19fffff9,
    0x07fffd80,0x20bffff0,0x8803fffc,0xfffffffd,0x000dffff,0x3f69fffb,
    0xfff007ff,0x3fff60bf,0xa7fff403,0xb006fffd,0x7f407fff,0x7fffffff,
    0x3fa1fff6,0x031006ff,0x3ffff620,0xdfffffff,0x3ffe6000,0x4fffffff,
    0x7fffec40,0xdfffffff,0x06fff800,0x03fffee0,0x273e6000,0x3aa000fd,
    0x5eeffffe,0x33bfb6a0,0x207ddd50,0xfffffffa,0xffffffff,0x7ffcc4ff,
    0x363fff31,0xff007fff,0xfffb8bff,0x003fff62,0xb806e9ba,0x3ff62fff,
    0x3fffec0f,0x45ffff80,0x3f62fffb,0xfff700ff,0x007ffec5,0xfffffff7,
    0x3fffec05,0x05ffff80,0xa805fff9,0xffffffff,0x2fffffff,0xb4fffd80,
    0x3e00ffff,0xffb05fff,0x7ffd407f,0x5ffff51f,0x07fffb00,0x7fffffec,
    0x1fff67ff,0x0013fffe,0xfffff500,0xffffffff,0x3ee005ff,0xffffffff,
    0x3ffea02f,0xffffffff,0x7402ffff,0x3ee007ff,0x80000fff,0x00fffff9,
    0x07fffb80,0x7ffffec4,0x4fffb9ff,0xffffff88,0xfffeccde,0xff985fff,
    0x23fff31f,0xf007fffd,0xaa88bfff,0x00aaa60a,0x017f77dc,0x53055544,
    0xffffb055,0x17fffe00,0x54c15551,0x2aaa202a,0xb80aaa60,0xffffffff,
    0xfffd80df,0xbffff007,0x807fff60,0xfffffff8,0xffffedcd,0x7fec01ff,
    0x0ffffb4f,0x417fffe0,0x3603fffd,0x3fe26fff,0xffd805ff,0x3ffe603f,
    0x367fffff,0x7ffc47ff,0x2200003f,0xdfffffff,0xfffffedc,0xecca801f,
    0x0cccffff,0xffffff10,0xfffdb9bf,0x7ec03fff,0xff7001ff,0x900001ff,
    0x007fffff,0x80ffff70,0xfffffffe,0x84fffdff,0x02fffffc,0x0dffffd3,
    0x3e63fff3,0xffffb1ff,0x17fffe00,0x36a00000,0x8000002d,0xf007fffd,
    0x0000bfff,0xff500000,0xfffff5df,0xfffd83df,0xbffff007,0x803fffe0,
    0x02fffffd,0x0bffffd3,0xfb4fffd8,0x3fe00fff,0xfffb05ff,0x3fffe207,
    0x07fffec3,0x00ffff60,0xfffffffb,0x263ffecf,0x0002ffff,0x3fffff60,
    0xffffd302,0xfffc800b,0xffffb006,0x3ffa605f,0x3ff205ff,0xfff7002f,
    0xff00001f,0x000dffff,0x540ffff7,0xbabeffff,0x44fffffe,0x00effff9,
    0x3fffffa2,0x98fffcc2,0xfffb1fff,0x3fffe00f,0x00000005,0xfd800000,
    0xfff007ff,0x000000bf,0x3fff9000,0x3fffff62,0x1ffff60e,0x42ffffc0,
    0x2a07fffa,0x400effff,0x02ffffe8,0x7ed3fff6,0xfff007ff,0x3fff60bf,
    0x1ffff703,0x03ffff98,0x401fffec,0x7ffffffc,0xff51fff6,0x200005ff,
    0x00effffa,0x17ffff44,0x09fffd00,0x1dffff50,0xffffe880,0x09fff902,
    0x03fffee0,0xffff5000,0xb8005fff,0x3fa07fff,0x7f440eff,0x7ff44fff,
    0x7ff402ff,0x7cc6ffff,0x7fec01ff,0xffff007f,0x80fbbb2b,0xc882eeee,
    0x0ceffffe,0x203eeec8,0xffb2eeee,0x3ffe00ff,0x07ddd95f,0xec977774,
    0x3bba03ee,0x21fffa2e,0x26fffffb,0xf007fffd,0x7e54bfff,0x3f603fff,
    0xf3002fff,0x7ec0ffff,0xffffb4ff,0x17fffe00,0xe81fffec,0xfff05fff,
    0xfffd80df,0xffb73003,0x23ffecff,0x003ffffa,0x5ffffb00,0x3fffe600,
    0x3fffe007,0xffffd803,0xffff3002,0x17ffee0f,0x07fffdc0,0x3fff6000,
    0x4005ffff,0xf307fffb,0x3ee09fff,0x7ffc4fff,0x7ffec06f,0x261ffffe,
    0x7ec01fff,0xfff007ff,0x13fff6bf,0x5c2ffff8,0xffffffff,0x7ffec1ff,
    0x4bfffe04,0xf007fffd,0x3ff6bfff,0x3fffe04f,0x409fffb2,0x3fe2ffff,
    0xffe982ff,0xffffb2ff,0x97fffe00,0x00efffff,0x00dffff1,0x00ffffd8,
    0x3f69fffb,0xfff007ff,0x3fff60bf,0xcffff983,0xffd99999,0x3ff602ff,
    0xffe8003f,0xf31fff67,0x00007fff,0x00dffff1,0x00ffffd8,0x01ffff88,
    0x037fffc4,0x03ffff60,0x401bffea,0x000ffffb,0x3bfffe20,0x2000ffff,
    0xf507fffb,0x3e605fff,0x3fe24fff,0x3ff203ff,0x2ffffb9f,0xb007ffe6,
    0x3e00ffff,0xfffb5fff,0x17fffc09,0xfffffff5,0x6c3fffff,0x3fe04fff,
    0xffffb2ff,0x57fffe00,0x3e04fffd,0xfffb2fff,0x17fffc09,0x103ffff9,
    0x3f69fffd,0xfff007ff,0x37fffcbf,0x13fffea0,0x3ffff500,0x6d3fff60,
    0xff007fff,0x3ff60bff,0xffffc83f,0xffffffff,0x3f605fff,0xfe8003ff,
    0x21fff67f,0x2004ffff,0x9ffff502,0xffffa800,0xffffa801,0x7fffd400,
    0x7ffd4004,0x7fff981f,0x1ffff700,0x7ffdc000,0x03ffff9f,0x41fffee0,
    0x200ffffb,0x3ea4ffff,0xff702fff,0x3fffea5f,0x007ffe63,0x200ffffb,
    0xffb5ffff,0x7fffc09f,0x2fbfffa2,0x4ffffdba,0xf813fff6,0xfffb2fff,
    0x3fffe00f,0x409fffb5,0xffb2ffff,0x7fffc09f,0x3ffffea2,0xb5fff982,
    0x3e00ffff,0x3ffe5fff,0x3fea03ff,0x7cc003ff,0xffb03fff,0x1ffff69f,
    0x82ffffc0,0xff83fffd,0xffffffff,0x0fffffff,0x007fffb0,0x7ecfffd0,
    0x6fffe87f,0x15bff300,0x00ffffea,0x07ffff30,0x00ffff70,0x007ffff5,
    0x83ffff98,0x7006fff9,0x0001ffff,0xfda7fff4,0x3ee006ff,0xfff907ff,
    0x4fffd80d,0x207fffee,0x3e63fffa,0x3fe64fff,0x7ffec01f,0xbffff007,
    0xf813fff6,0xffd12fff,0xbfffd03f,0xf027ffec,0x3ff65fff,0xffff007f,
    0x813fff6b,0xffb2ffff,0x7fffc09f,0x7fffff42,0x4fffe60d,0xf007fffd,
    0x7fecbfff,0xff702fff,0xf88005ff,0xffb04fff,0x1ffff69f,0x82ffffc0,
    0x7d43fffd,0xffffffff,0xffffffff,0x07fffb03,0x6cfffd00,0xfffd87ff,
    0xfffc802f,0x5ffff72f,0xffff8800,0x5fffc804,0x2ffffb80,0x7fffc400,
    0x05fff984,0x01ffff70,0x3fffea00,0x05ffff51,0x41fffee0,0x200ffffb,
    0x3f24fffe,0x7fd41fff,0x7fffc44f,0x447ffe65,0xfffb0ccc,0x3fffe00f,
    0x409fffb5,0x1982ffff,0x6cdfff70,0x3fe04fff,0xffffb2ff,0x57fffe00,
    0x3e04fffd,0xfffb2fff,0x17fffc09,0x3fffffa2,0x23fffb2f,0xf007fffd,
    0xffb0bfff,0x3fff20df,0x7fc4001f,0xfffb05ff,0x01ffff69,0xd82ffffc,
    0x7fec3fff,0xeeeeeeff,0x6ffffeee,0x007fffb0,0x7ecfffd0,0xffff887f,
    0x3ffe600e,0x3ffff27f,0x7ffc4001,0xfffe805f,0xffffc804,0x7ffc4001,
    0x4fffa85f,0x1ffff700,0x3fff6000,0x17fffe26,0x67fffd40,0x3fffea4a,
    0x93fffe02,0x262ffffb,0xff885fff,0x3ffe64ff,0x363fff31,0xff007fff,
    0x3fff6bff,0x0bfffe04,0x3ffb2620,0x13fff66f,0xfb2ffff8,0x3fe00fff,
    0x9fffb5ff,0xd97fffc0,0x3fe04fff,0xffd882ff,0xfffeffff,0x01ffff64,
    0x442ffffc,0xfb80ffff,0x44002fff,0xfb04ffff,0x3fff69ff,0xbffff007,
    0x88ffff60,0x9004ffff,0xfb05ffff,0xfd0007ff,0x83ffecff,0x41effffc,
    0x3fffffb8,0x00bfffee,0x09ffff10,0x005ffff0,0x005ffff7,0x84ffff88,
    0x7003fffb,0x0001ffff,0xd87ffff1,0x9800ffff,0x0fffffff,0x209ffff1,
    0x2a4ffffb,0xff13ffff,0x3ffe60bf,0x47ffe63f,0xff91fff9,0x3ffe00ff,
    0x09fffb4f,0x9817fffc,0xffffffec,0x13fff66f,0xf92ffff8,0x3fe00fff,
    0x9fffb4ff,0xd97fffc0,0x3fe04fff,0x3fee02ff,0x45ffffff,0xf007fffc,
    0x3f609fff,0xfff981ff,0x7fcc003f,0xfffb03ff,0x01ffff29,0xd827fffc,
    0x3ff23fff,0xff3001ff,0xfffb0bff,0xfffd0007,0xfd03ffec,0xfbbdffff,
    0x41dfffff,0x003ffff9,0x01ffffcc,0x007fffe2,0x00ffffe6,0x07ffff30,
    0x2005fff9,0x000ffffb,0x40ffffb8,0x003ffff9,0x3ffffffd,0x10fffff4,
    0x49fffff7,0xe8dffff9,0xff500eff,0x7ffcc5ff,0x323fff31,0xff007fff,
    0x3fff69ff,0x0bfffe04,0xfffffff9,0x7ecdffff,0x3ffe04ff,0x0ffff92f,
    0x6d3fffe0,0x3fe04fff,0x9fffb2ff,0x017fffc0,0x3fffffa6,0x3fffe40f,
    0x04ffff80,0xf105fff9,0xa8009fff,0xfb02ffff,0x3fff29ff,0x9ffff007,
    0xf8ffff60,0x74006fff,0x7ec0ffff,0xfe8003ff,0x81fff67f,0xffffffe9,
    0x0fffffff,0x027fffc4,0x0bfffea0,0x01ffff50,0x09ffff10,0x2ffffa80,
    0x000fffd8,0x001ffff7,0x20bfffd0,0x1006ffff,0x43dffffd,0xcdfffff9,
    0x4fffffff,0x3bbfffe2,0x3f600eff,0x3fe60fff,0x23fff31f,0xf007fffc,
    0x3ff69fff,0x3fffe04f,0x3fffff62,0x6fffb9bd,0xf813fff6,0xfff92fff,
    0x3fffe00f,0x409fffb4,0xffb2ffff,0x7fffc09f,0xffff7002,0x7fffc8df,
    0x09ffff00,0x7c0bfff2,0x74007fff,0xfb00ffff,0x3fff29ff,0x9ffff007,
    0x54ffff60,0x4003ffff,0x6c3ffffb,0xe8003fff,0x1fff67ff,0xfffffb10,
    0x03dfffff,0x001ffffe,0x801ffffd,0x2006fffb,0x4007ffff,0xf80ffffe,
    0x3ee007ff,0x4c000fff,0x999cffff,0x2ffffd99,0xb806a200,0xffffffff,
    0x6c4fffee,0x1fffffff,0x1ffffe60,0x3e63fff3,0xffff71ff,0xffff8803,
    0x20bfffb3,0xf52ffff8,0xfb817fff,0x3fff66ff,0x5ffff105,0x007fffee,
    0x367ffff1,0xff105fff,0x3fff65ff,0x5ffff105,0x7fff4c00,0x3fffee2f,
    0x7fffc401,0x07fff903,0x00fffffa,0x03ffffd4,0x3ee9fffb,0x7c401fff,
    0xffb03fff,0x3ffff67f,0x7ffc4000,0x1fffec7f,0xb3fff400,0x36a00fff,
    0x2effffff,0x1fffff40,0x7ffffa80,0x05fffd80,0x0fffffa0,0x3ffffd40,
    0x0027ffcc,0x3ff20000,0xffffffff,0x005fffff,0xffffd800,0xfffd8dff,
    0x7ffffcc4,0x7fff401f,0x8fffcc2f,0xff51fff9,0xffd80dff,0xbfffb2ff,
    0x4bfffe60,0xf906fffc,0x7ffecdff,0x5ffff305,0x01bfffea,0x365ffffb,
    0xff305fff,0x3fff65ff,0x5ffff305,0xf8815310,0x3fea4fff,0x7fec06ff,
    0xfff702ff,0x3fffe607,0x7ff4401f,0x3ffa02ff,0xdffff54f,0x2ffffd80,
    0x007fffb0,0xb02ff800,0xd0007fff,0x3ffecfff,0x2fff6a00,0xffff3000,
    0xffe8803f,0xffe802ff,0x3fe6003f,0x74401fff,0xfb82ffff,0x000001ff,
    0x7fffffc0,0xffffffff,0xfd800fff,0x6dc401ff,0x3fff63de,0xeffffd83,
    0xffffd301,0x23fff30b,0xff11fff9,0xb8819fff,0xf70fffff,0xffd01fff,
    0x3fff65ff,0x6fffe885,0x203fffee,0xf12ffffe,0x8819ffff,0x70fffffb,
    0xfd01ffff,0x3fee5fff,0xfffe80ff,0x3fffe22f,0x25fffc84,0x0cfffff8,
    0x7ffffdc4,0x09fff700,0x1fffffe4,0x5fffffa8,0x8a7fff40,0x40cfffff,
    0x0fffffb8,0x007fffb0,0x80ffc400,0x8003fffd,0x3ff67ffe,0x7fffc007,
    0xff9000ff,0x3ea07fff,0x8805ffff,0x4002ffff,0x03fffffc,0x0bfffff5,
    0x3001bff6,0x4001ffff,0xfffffffa,0xffffffff,0xffd803ff,0x7f40001f,
    0xfffb83ff,0xdcacdfff,0x81ffffff,0xff31fff9,0x7fffdc3f,0xfffeceff,
    0x3fea4fff,0xffb51dff,0x3ff25fff,0x3ff662ff,0x3ffea7ff,0xfffb51df,
    0x7ffdc5ff,0xffecefff,0x3ea4ffff,0xfb51dfff,0x3ea5ffff,0xfb51dfff,
    0xfd85ffff,0x3fe21fff,0x7ffdc4ff,0xffecefff,0x2a04ffff,0x8809ffff,
    0xefffffff,0xffffffdc,0xffda981f,0x3ffee3ff,0xffecefff,0x3604ffff,
    0x00003fff,0x7ec0bfe6,0xfe8003ff,0x01fff67f,0x004ffb80,0xfffffff1,
    0xfffffb9d,0x223103ff,0x000ffffc,0x7fffffc4,0xffffdcef,0xff881fff,
    0x7fcc003f,0x3f6000ff,0xeeeeefff,0xffffeeee,0x1fffd806,0x015e6f44,
    0xfa85ffff,0xffffffff,0xffffffff,0x23fff302,0x7f41fff9,0xffffffff,
    0x220fffff,0xffffffff,0x52fffeff,0xfdffffff,0x44ffffff,0xffffffff,
    0x42fffeff,0xfffffffe,0x0fffffff,0x3fffffe2,0xfffeffff,0xffffff12,
    0xfffdffff,0xfffffa85,0x2fffffde,0xffffffe8,0xffffffff,0x3fffe600,
    0xffe985ff,0xffffffff,0xfd02ffff,0xe83fffff,0xffffffff,0x20ffffff,
    0xfffffffa,0x3e600003,0xffffb05f,0xfd001fff,0x03ffecff,0x00bff300,
    0x7fffff4c,0xffffffff,0xffff902f,0x2000dfff,0xffffffe9,0xffffffff,
    0x00fff702,0x01ffff30,0x13fffe20,0x17fffe40,0x7c1ffb20,0xfc82ffff,
    0x3fe60fff,0xfffffddf,0x0dffffff,0x4c7ffe60,0x7ec41fff,0xffffffff,
    0xffa80dff,0xd9ffffff,0x3ff62fff,0xfbffffff,0x3fea1fff,0xd9ffffff,
    0x7ec42fff,0xffffffff,0xffa80dff,0xd9ffffff,0x3fea2fff,0xd9ffffff,
    0xffb82fff,0xffffffff,0xffffb104,0xbfffffff,0xffffb001,0x7ffe40bf,
    0xffffffff,0xffff100d,0xffb10bff,0xffffffff,0xfffa81bf,0x0003ffff,
    0x76ffff40,0xffffffb4,0xfffd001f,0xa803ffec,0x1fffcaaa,0xffffc800,
    0xdfffffff,0x3ffffa00,0x40003fff,0xfffffffc,0x200dffff,0x98002ffe,
    0x9000ffff,0x2003ffff,0x805ffff9,0xfffb05f9,0xfffb9dff,0x5ffd8bff,
    0x3fffff66,0xf9802def,0x3fff31ff,0x3ffffaa0,0x5403efff,0xb0dffffe,
    0xffb85fff,0xffb0dfff,0xfffea89f,0x5fffb0df,0x3ffffaa0,0x5403efff,
    0xb0dffffe,0xfea85fff,0xffb0dfff,0x3ffee05f,0x803fffff,0xffffffea,
    0x362003ef,0x4c05ffff,0xefffffed,0x7ffcc02d,0x3aa00fff,0xefffffff,
    0xfffff503,0x800007ff,0xb4fffffa,0x1fffffff,0x6cfffd00,0xff9007ff,
    0x0007ffff,0x7ffff6cc,0x7c402def,0x04ffffff,0xffdb3000,0x805bdfff,
    0x10006ffa,0x7c00bf95,0x74006fff,0x2e00ffff,0xffd102ff,0xffffffff,
    0x01d901ff,0x00026a62,0x3a23ddd1,0x54c401ee,0xa880009a,0x06a60001,
    0x001a8800,0x09aa9880,0x001a8800,0x00006a20,0x02f3772a,0x13553100,
    0xdcca8000,0x04d4c004,0x57bb7100,0x2aa62001,0xaaa88009,0x0000aaaa,
    0x0acda880,0x55555553,0x98aaaa00,0x953002aa,0x00001579,0x40009a98,
    0x02bddca9,0x26a60000,0x07bb2000,0x03fe8800,0x07ffff50,0x3ffffb80,
    0xb1007b60,0xffffffff,0x000401df,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0dff9800,0x1ffffb00,
    0xffff8800,0x71000207,0x0379bd99,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x44000000,0x0000003f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000008,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xeeea8000,0x0000000e,0x00000000,0x2aaa6620,0xaa880009,0xa8800009,
    0x44001aaa,0x2000aaaa,0x015502a8,0x22000000,0x44001aa9,0x2aa60aaa,
    0x0000000a,0x00000000,0x00000000,0x00006e60,0x01777744,0xcb826440,
    0x2aaa0001,0x5100000a,0x88000555,0x0ccc4199,0x00660000,0x3fa20000,
    0x640006ff,0x0000ffff,0xdfffff10,0x3fee0000,0xfb0001ff,0x00001fff,
    0x3fffff26,0x00beffff,0x1bffff30,0x7ffec000,0xfffd8005,0x3fe6005f,
    0x7407fcc0,0x00004fff,0xffffffb5,0xff5005df,0x07ffe45f,0x803fffec,
    0xff95ffff,0xff9003ff,0xfffb80bf,0x05fffb8e,0x4ffff880,0x3fff6000,
    0xffe80005,0xf8000fff,0x00ffc42f,0x1ffff880,0xfff30000,0xff88000f,
    0x017ffa4f,0x215bfd70,0xffd806fa,0x7fec005f,0x40003fff,0x0003fffd,
    0xfffdffb0,0xffd00007,0x3ee0005f,0x0005ffff,0x7fffff54,0xffffffff,
    0x7fcc00df,0x10006fff,0x8001dfff,0x2ffffffb,0x26fbfa00,0xffd05feb,
    0xf700009f,0xffffffff,0x7d401bff,0x3fff22ff,0x07fffd80,0x32bffff0,
    0xc806ffff,0x7f405fff,0x1dfff0ff,0xbfff7000,0x467c4000,0x2e0001fc,
    0x05ffefff,0xcacffd80,0x220006fe,0x0001ffff,0x00ffff30,0x93fff300,
    0x54001fff,0xfeffffff,0xfffd805f,0x3ffea005,0x0001fffc,0x0003ffec,
    0x7d47ffdc,0x2a0001ff,0x10002fff,0x7fff9fff,0x3fff2000,0xcbbcdeff,
    0x1efffffe,0x3ffffe60,0xffc8003f,0x7fc4000e,0x00fffcaf,0xffffff30,
    0x3fffa01f,0x7fec0004,0xffffffff,0x3ea05fff,0x3fff22ff,0x07fffd80,
    0x32bffff0,0x403fffff,0x2a05fffc,0xfff51fff,0x3ffa0001,0x8fdc0005,
    0xf30003f8,0x7fff35ff,0xfffe8800,0x20001fff,0x001ffff8,0x0ffff300,
    0x3fff2000,0x64002fff,0xffffecef,0xfffd802f,0x7fff1005,0x0001bff6,
    0x8000bffa,0x3b22eed8,0x3fa0005e,0x3fa0003f,0x03fff75f,0x77fff440,
    0xffc8800b,0xd75101ff,0x8800bfff,0xe8000fff,0x17ff65ff,0xdfffd980,
    0x13fffa00,0xffff9800,0xfffdbcef,0x55103fff,0x05554c15,0x803fffec,
    0xff95ffff,0x6401ffff,0x3fa05fff,0x00bffa2f,0x0077fd40,0x3677e200,
    0xddb0000f,0x006f7547,0x0677f640,0x3bba2000,0xd300000e,0x40000ddd,
    0x004ffffe,0x36e20ed8,0xfffb001c,0x0f32a00b,0x80003999,0x00003cc8,
    0x32200000,0x3260003c,0x0f32e0cc,0x17fff440,0xfffe9800,0x37ffcc00,
    0x00266200,0x2620ccc0,0x40000019,0x0004fffe,0x403ffff2,0x006ffffc,
    0xffffb000,0x57fffe00,0x5ffffffc,0x417fff20,0x33222cc8,0x332e0002,
    0xff900000,0x0000009f,0x00000000,0x00000000,0x99930000,0x00000019,
    0x05fffd80,0x009a9880,0x00000000,0x00cd554c,0x00000000,0xeffd8000,
    0xffe80001,0x3fffc406,0x00000000,0xe8000000,0x20004fff,0x2204fffe,
    0x0007ffff,0x0ffffb00,0x657fffe0,0x2fffffff,0x00bfff90,0x54400000,
    0x8800009a,0x2200000b,0x000009aa,0x55100000,0x26000013,0x00019aaa,
    0x0026aa20,0xfb000000,0x36e00bff,0xeffffffe,0x3fffec02,0x05ffff80,
    0x7ffffecc,0x3601dfff,0xff007fff,0x3fff6bff,0xbffff007,0x301fff70,
    0x9119dfd7,0x3ffe2999,0x83fffc01,0x4c05eeeb,0xdd71eeee,0xeee980bd,
    0xdfdb501e,0x4fbbaa19,0xdb34fffe,0x7f4039df,0x665c06ff,0xbddd70cc,
    0x1eeee980,0x200ffffb,0xff95ffff,0x20dfffff,0xffb5fffc,0x3ffe00ff,
    0x7fed405f,0x00cfffff,0x200ffffb,0x5405ffff,0xfffffffd,0xffffb00c,
    0x17fffe00,0xfffffb50,0x980019ff,0xfffffffd,0xda8001df,0xcfffffff,
    0x0ffffb00,0x217fffe0,0x4405fffd,0xfffffffd,0xb00dffff,0x3e00ffff,
    0x3f205fff,0xffffffff,0xffb05fff,0x3ffe00ff,0x0ffffb5f,0x117fffe0,
    0xffb05fff,0xff5dffff,0x027fd4df,0x7d41fffe,0x3f202fff,0x3ffea7ff,
    0x3fff202f,0xffffd887,0xfffb9fff,0xf59fffd4,0x07ffffff,0x077ffff6,
    0x3fffea00,0x9ffff202,0xf007fffd,0x3ff2bfff,0x83ffffff,0xffb5fffc,
    0x3ffe00ff,0x3fff205f,0xffffffff,0x07fffd82,0x40bffff0,0xfffffffc,
    0xfd82ffff,0xfff007ff,0x7ffe40bf,0xffffffff,0xffff9002,0xffffffff,
    0x7ffe400b,0xffffffff,0x07fffd82,0xb0bffff0,0x7d40bfff,0xffffffff,
    0x82ffffff,0xf007fffd,0xfd10bfff,0xffffffff,0xb0bfffff,0x3e00ffff,
    0xfffb5fff,0x3fffe00f,0x222ffdc5,0xffeffffd,0x7c4fffff,0x7fffc07f,
    0x09ffff00,0x3e27fff4,0x3fa04fff,0xfffe84ff,0xfdffffff,0xffffd4ff,
    0xffffffff,0xffff509f,0x0015bfff,0xe813fffe,0x3ff64fff,0xffff007f,
    0x3b7fff2b,0x7e40ffff,0xffffb5ff,0x17fffe00,0x3fffffa6,0xffffffff,
    0x03fffec3,0x985ffff8,0xfffffffe,0x43ffffff,0xf007fffd,0xfd30bfff,
    0xffffffff,0x4407ffff,0xfffffffe,0x5fffffff,0x7ffff4c0,0xffffffff,
    0x3fffec3f,0x85ffff80,0xf105fffd,0x9bffffff,0xffffffdb,0x07fffd83,
    0xd0bffff0,0x9dffffff,0xfffffffb,0x07fffd89,0x36bffff0,0xff007fff,
    0x0ffe8bff,0x896ffff4,0x42fffffc,0x3fa01ffd,0xfff900ff,0x3fffe60f,
    0x83fffe41,0x541ffff9,0xdadfffff,0xd4ffffff,0x59ffffff,0x03fffff9,
    0xfffffffb,0x64017dff,0xff307fff,0x7ffec3ff,0xbffff007,0x3eb7fff2,
    0x7fe45fff,0x0ffffb5f,0x217fffe0,0xcefffffe,0xfffffffd,0x01ffff61,
    0x742ffffc,0xdcefffff,0x1fffffff,0x401ffff6,0xfe85ffff,0xfdceffff,
    0x01ffffff,0xdffffffd,0xffffffb9,0x7fff409f,0xfffdceff,0x3f61ffff,
    0xfff007ff,0xbfffb0bf,0x3fffff60,0xffffd302,0x07fffd8b,0xc8bffff0,
    0x303fffff,0x41fffffb,0xf007fffd,0x3ff6bfff,0xffff007f,0x2e37fccb,
    0xfff06fff,0x2ffc83ff,0x40bfffa0,0xb82ffff9,0xff986fff,0xfffb82ff,
    0x1efffe86,0xa7ffff4c,0x40dffffe,0x885ffff9,0xfffffffe,0xf304ffff,
    0xff705fff,0x7fffd8df,0x2bffff00,0xffb5fffc,0x7ffe45ff,0x00ffffb5,
    0xf717fffe,0xd503dfff,0x7ecdffff,0xfff007ff,0xffffb8bf,0xfffea81e,
    0x1ffff66f,0x22ffffc0,0x81effffb,0x86ffffea,0x03fffffc,0x1fffffb3,
    0x3dffff70,0xdffffd50,0x803fffec,0xfd85ffff,0xfffa85ff,0x7f4400ef,
    0x3ff62fff,0xffff007f,0x7ffffc4b,0x7fff4401,0x1ffff63f,0xdaffffc0,
    0xff007fff,0x1ffe4bff,0x6407fffa,0xffa87fff,0x1bffee02,0xe84fffe8,
    0xffd03fff,0x7fffd09f,0x02ffff98,0x3a9ffff5,0xf900ffff,0x7fdc0fff,
    0xffffffff,0x9fffd05f,0xd87fffd0,0xff007fff,0x3fff2bff,0x1dffff15,
    0x7ed7fff2,0xfff007ff,0x7fffc4bf,0x7fffcc06,0x0ffffb1f,0x897fffe0,
    0x4c06ffff,0xfb1fffff,0x3fe00fff,0x3ffe25ff,0x7ffcc06f,0x3ffe21ff,
    0x7f4401ff,0x7fc43fff,0x7fcc06ff,0xfffb1fff,0x3fffe00f,0x85fffd85,
    0x002ffffd,0x6cfffff3,0xff007fff,0x7ffdcbff,0xbff3003f,0x3fffec39,
    0xb5ffff80,0x3e00ffff,0x3ff65fff,0x817ffea0,0xfc85fffa,0x3ffe202f,
    0x7fdc0bef,0x7fffcc7f,0x8ffff700,0x540ffff9,0x7fc07fff,0xbfffd4ff,
    0x0ffffcc0,0x3ffff260,0xb85fffff,0x7fcc7fff,0x7ffe40ff,0xbffff007,
    0xfb97fff2,0xfff94fff,0x01ffff6b,0xf92ffffc,0xf9005fff,0x3ff637bf,
    0xffff007f,0x17fffe4b,0x8deffe40,0xf007fffd,0x7fe4bfff,0xffc802ff,
    0x3ffee1bd,0xbff3003f,0xffffc839,0xbdffc802,0x00ffffb1,0x3617fffe,
    0x7fc45fff,0x7ec006ff,0xfffb0fff,0x3fffe00f,0x03ffffa5,0x3ff60080,
    0xffff007f,0x01ffff6b,0xfd2ffffc,0x02fffd8f,0x3a13ffee,0x7fdc00ff,
    0x7fc43fff,0x3ffee2ff,0x3fffe205,0x217ffee2,0x7407fffb,0xfffd4fff,
    0x7fffc409,0x3f6e2002,0x441fffff,0x3ee2ffff,0xfffc85ff,0x9ffff007,
    0xfd17fff2,0xfff93fff,0x01ffff6b,0xfd2ffffc,0x06200dff,0x803fffec,
    0x3fa5ffff,0x031006ff,0x401ffff6,0x3fa5ffff,0x031006ff,0x007ffff4,
    0xfffe8010,0x36031006,0xff007fff,0xfffb0bff,0x4ffffa8b,0x7fffd400,
    0x00ffffb1,0x7c57fffe,0x00005fff,0x401ffff6,0xffb5ffff,0x3ffe00ff,
    0xfd1ffe5f,0x7fec03ff,0x007ff82f,0xb07ffff7,0x7ff49fff,0x7ffec02f,
    0x20bfffa4,0x6c06fffc,0xfffd4fff,0x3ffff809,0xfffb1000,0x9fffb07f,
    0x6417fff4,0xff007fff,0x3fff29ff,0x77fffcc5,0xffb5fffc,0x3ffe00ff,
    0x13fffe5f,0x3fff6000,0xbffff007,0x0027fffc,0x03fffec0,0x3e5ffff8,
    0x80004fff,0x005ffff8,0x27fffc00,0x7ffec000,0xbffff007,0xa8bfffb0,
    0x4003ffff,0xfb3ffff9,0x3fe00fff,0xffff35ff,0x7ec00009,0xfff007ff,
    0x1ffff6bf,0xf2ffffc0,0x0ffff8df,0x503fffa0,0xfd300dff,0xff507fff,
    0x1fffe6ff,0x4dfffea0,0xff907fff,0xfffe80ff,0x40bfffd4,0x972ffff8,
    0x3fe00bdb,0xfffa85ff,0x20ffff37,0x800ffffc,0xff94ffff,0xffff90bf,
    0x3f6bffff,0xfff007ff,0x3fffe2bf,0xffd80003,0xffff007f,0x0ffffe2b,
    0x3fff6000,0xbffff007,0x00ffffe2,0x3fffe600,0x3e200004,0x80003fff,
    0xf007fffd,0xffb0bfff,0xffffb8bf,0x7ffc4002,0x0ffffb4f,0x557fffe0,
    0x2a03ffff,0xaaaaaaaa,0x01ffff62,0xfdaffffc,0xfff007ff,0xf13ff4bf,
    0x7fcc0fff,0x0fff447f,0x6fffff40,0x75ffff01,0x3e009fff,0xfffbafff,
    0x1ffff704,0xea7fffc0,0x3e606fff,0xfff91fff,0xfffd001f,0x2bfffe0d,
    0xf704fffb,0xf8803fff,0xfff93fff,0xfffff10b,0x3ff6bfff,0xffff007f,
    0x0bfffe6b,0x3fff6000,0xbffff007,0x00bfffe6,0x1ffff600,0x9affffc0,
    0x0002ffff,0x03ffffa8,0x2aaaaaaa,0x3ffe62aa,0xfd80002f,0xfff007ff,
    0xbfffb0bf,0x01ffffc8,0xaffffc40,0xf007fffd,0x3feabfff,0x3ffe02ff,
    0x0fffffff,0x200ffffb,0xffb5ffff,0x3ffe00ff,0xff1ff65f,0x3ff603ff,
    0x02ffec5f,0x00ffffdc,0x3fb3fff2,0xff9001ff,0x03fffd9f,0x40ffffe6,
    0xfd4ffffb,0x3ee01fff,0xfff30fff,0xfffa809f,0x9fff904f,0x2603fffd,
    0x6c06ffff,0xff92ffff,0x3ffea0bf,0xffb5ffff,0x3ffe00ff,0x5ffff55f,
    0xfffb0000,0x3fffe00f,0x05ffff55,0xffffb000,0x57fffe00,0x002ffffa,
    0x2ffffa80,0x3fffffe0,0xff50ffff,0xb00005ff,0x3e00ffff,0xffd85fff,
    0x7fffdc5f,0x7ffc4002,0x0ffffb4f,0x557fffe0,0x3e03ffff,0xffffffff,
    0x0ffffb0f,0x6d7fffe0,0xff007fff,0x0ffe4bff,0xf309fffb,0x7fe49fff,
    0xfffc801f,0xffff8803,0x22006fff,0x6fffffff,0x5fffff40,0xfffff710,
    0x17ffffa9,0xf1bfffe2,0x1039ffff,0x203ffffd,0xfffffff8,0x3fffe206,
    0x7fdc40cf,0xfff90fff,0x7fffec0b,0xffffb5ff,0x57fffe00,0x003ffffa,
    0x07fffd80,0x2abffff0,0x0003ffff,0x007fffd8,0x3eabffff,0x80003fff,
    0x203ffffa,0xffffffff,0xffff50ff,0xffb00007,0x3ffe00ff,0x5fffd85f,
    0x01ffffcc,0x4ffffe60,0xf007fffc,0x3fe69fff,0x3ffe04ff,0x0fffffff,
    0x200ffff9,0xff94ffff,0x3ffe00ff,0xb8ffee4f,0xf513ffff,0xfd5bffff,
    0x3fa005ff,0xffd001ff,0x8009ffff,0x4ffffffe,0x7ffffdc0,0xffffffdf,
    0xfffffd4f,0xffff935b,0xffffb83f,0xffdcceff,0x7f407fff,0x404fffff,
    0xeffffffb,0xffffffec,0x817fff25,0x5ffffff9,0x200ffff9,0xff34ffff,
    0x900007ff,0x3e00ffff,0xfff34fff,0xf900007f,0x3fe00fff,0xffff34ff,
    0xff300007,0x7ffc09ff,0x0fffffff,0x007ffff3,0x0ffff900,0x213fffe0,
    0x7c45fffd,0x54004fff,0xff92ffff,0x3ffe00ff,0xbffff14f,0x76666640,
    0xff90ffff,0x3ffe00ff,0x0ffff94f,0x893fffe0,0x7fff47ff,0xffffffff,
    0x01ffffff,0x003fffe0,0x7fffffdc,0x7ffdc001,0xfd801fff,0xefffffff,
    0xffd4fffe,0xffffffff,0x3f60bfff,0xffffffff,0x401fffff,0x1ffffffb,
    0xfffffc80,0xffffffff,0x17fff21f,0xbfffff90,0x401ffff2,0x3fe4ffff,
    0x40a004ff,0xf007fffc,0x7ffc9fff,0x640a004f,0xff007fff,0x7fffc9ff,
    0x7c40a004,0x33205fff,0xffffeccc,0x013fffe0,0xffff9028,0x13fffe00,
    0x3e17fff6,0x74007fff,0xff90ffff,0x3ffe00ff,0x3ffffa4f,0x3fff2000,
    0x0ffff90f,0x653fffe0,0xff007fff,0x3ffd89ff,0x3fffffa2,0xfffffcdf,
    0x7fc000ef,0x3fe2007f,0x88006fff,0x006fffff,0x3ffffff2,0xd4fffd8d,
    0xfff99fff,0x201bffff,0xffffffd8,0x00efffff,0x6fffff88,0x3ffffa00,
    0xffffffff,0x02fffe41,0xcafffff4,0xff007fff,0x7fff49ff,0x5bff3006,
    0x01ffff21,0xfd27fffc,0x3e600dff,0xfff90adf,0x3fffe00f,0x01bfffa4,
    0xd056ffcc,0x4001ffff,0x3a0ffffc,0xf3006fff,0x3ff215bf,0xffff007f,
    0x0bfffb09,0x007ffffd,0xb9ffffea,0x4401ffff,0x3ee3ffff,0x32005fff,
    0xff70ffff,0xff8803ff,0xffff73ff,0xffff8803,0x20fffd43,0x322defdb,
    0x9981bdee,0x01fffe01,0x07ffffb0,0x3ffff600,0x7f654003,0x53fff63d,
    0xff74fffe,0x26007fff,0xfffffffd,0x7fec004d,0x5cc003ff,0xeffffffe,
    0x5fffc80b,0x5ffffa80,0x803ffff7,0x363ffff8,0xc802ffff,0xff72ffff,
    0xff8803ff,0x3fff63ff,0xfffc802f,0x3ffff72f,0x3ffff880,0x00bffff6,
    0xb8bffff2,0x2005ffff,0x360ffffc,0xc802ffff,0xff72ffff,0xff8803ff,
    0xfffd83ff,0xfffff985,0x7fff4401,0x3fffea2f,0x7fffec06,0x3ffffe22,
    0xfffd8802,0xdffff50f,0x2ffffd80,0x80dffff5,0xd82ffffd,0x00000fff,
    0x4417ffa2,0x64007fff,0x0000ffff,0x001ffff9,0x3fffe800,0xa889fffd,
    0x3faa0000,0xf90000be,0x40001fff,0x0001bff9,0x4005665c,0x406ffffa,
    0x222ffffd,0x200effff,0x2a7ffff9,0x6c06ffff,0x3e22ffff,0x2600efff,
    0x3ea7ffff,0x7ec06fff,0x3fe22fff,0x3e600eff,0x7fc47fff,0xd8802fff,
    0x3e20ffff,0x2600efff,0x3ea7ffff,0x7ec06fff,0xbcc82fff,0xffff900a,
    0x3ffea07f,0x7ffc45ff,0x7dc40cff,0x7dc0ffff,0x7104ffff,0x21ffffff,
    0x0cfffff8,0x7ffffdc4,0x9fffff10,0xffffb881,0xfffe880f,0xfe880002,
    0xfff300ff,0x7ffc400f,0xff10005f,0xbd100bff,0x7ffc0579,0x09fffd2f,
    0xfffd0000,0xf88003ff,0x40005fff,0x80000ff9,0x403ffffd,0x0cfffff8,
    0x7ffffdc4,0x77fffe40,0x7fffdc41,0x3fffe23f,0x7fdc40cf,0x7fe40fff,
    0x7dc41eff,0x3e23ffff,0x440cffff,0x40fffffb,0x41effffc,0x3fffffb8,
    0x4fffffb8,0xfffff710,0xffffc81f,0x7ffdc41e,0x3ffe23ff,0x7dc40cff,
    0xff80ffff,0xff882fff,0xdcefffff,0x1fffffff,0xffffffb8,0xfffffece,
    0xffffb04f,0xffdbbdff,0x41ffffff,0xeffffffb,0xffffffec,0x7ffffdc4,
    0xffffecef,0x3fe604ff,0x88001dff,0x302ffffc,0x200dfffb,0x02ffffd9,
    0xffffd980,0xfffff002,0x1ffff905,0x0013fffa,0x5ffa8200,0x3fff6600,
    0x7d40002f,0xa880001f,0x5c00fffb,0xceffffff,0x4ffffffe,0xdfffffd0,
    0xffffffbb,0xffffb81d,0xfffeceff,0xffd04fff,0xffbbdfff,0xb81dffff,
    0xceffffff,0x4ffffffe,0xdfffffd0,0xffffffbb,0x3fff601d,0xfeddefff,
    0x0fffffff,0xefffffe8,0xffffffdd,0x7fffdc0e,0xfffeceff,0x95304fff,
    0x3fa60dff,0xffffffff,0x202fffff,0xfffffffe,0x0fffffff,0xfffffb10,
    0xffffffff,0xffd03bff,0xffffffff,0xfd01ffff,0xffffffff,0x801fffff,
    0xdfffffd8,0xa99999ab,0x1effffec,0xffffff98,0x3ffbb204,0x32006fff,
    0x6fffffee,0x3ffff600,0xffffecef,0x13fffa4f,0xff100000,0xffeec80d,
    0x80006fff,0x00004ffa,0x74017ff4,0xffffffff,0x00ffffff,0xffffffd3,
    0x1fffffff,0x3fffffa0,0xffffffff,0xfffd300f,0xffffffff,0x3ffa01ff,
    0xffffffff,0xd300ffff,0xffffffff,0x401fffff,0xffffffd8,0xffffffff,
    0xffd301df,0xffffffff,0x3fa01fff,0xffffffff,0x800fffff,0x3f200fff,
    0xffffffff,0x6c400dff,0xffffffff,0xb800dfff,0xffffffff,0x202effff,
    0xffffffd8,0x00dfffff,0xffffffb1,0x01bfffff,0x7ffffdc0,0xffffffff,
    0x204fffff,0x0ffffff9,0x3ffffee0,0x3ee001ff,0x01ffffff,0x3ffffa20,
    0xffffffff,0x013fffa0,0xcaaa9800,0x7dc02ffe,0x01ffffff,0xbffff000,
    0x2ae2007d,0x00fffdba,0xfffffd88,0x0dffffff,0x7fffec40,0x1effffff,
    0x3ffff620,0xdfffffff,0x7ffec400,0xefffffff,0x3fff6201,0xffffffff,
    0x7fec400d,0xffffffff,0xfff7001e,0xffffffff,0xfb1005df,0xffffffff,
    0x7ec403df,0xffffffff,0x55c40dff,0x806ffdca,0xfffffed9,0x754002de,
    0xefffffff,0x7f5c4003,0x2cdfffff,0x3fffaa00,0x003effff,0xffffffd5,
    0x220007df,0xffffffda,0xbeffffff,0x7fffcc00,0x7ffdc02f,0x5c002fff,
    0x02ffffff,0xffffd880,0x40dfffff,0x0004fffe,0x3ffffee0,0xfffb804f,
    0x00002fff,0x0fffffee,0x7ffffc40,0x754001ef,0xefffffff,0x7fed4003,
    0x002effff,0x3fffffaa,0x54003eff,0xeffffffd,0x3ffaa002,0x03efffff,
    0x7fffed40,0x88002eff,0xffffffeb,0xda8002cd,0x2effffff,0x3fffaa00,
    0x303effff,0x1bffffff,0x01353000,0x35531000,0x26200001,0x880000aa,
    0x00009aa9,0x0026aa62,0x32eaa000,0x00aacced,0x02f37a60,0x2f377260,
    0xddc98000,0x440000bc,0x1accecca,0x00355550,0x5e5d4c00,0xbb93000a,
    0x00000179,0x00157b71,0x00d66654,0x26aa6200,0x53100000,0xa9880003,
    0x1000009a,0x88000353,0x00009aa9,0x00035310,0x00554c40,0x06a62000,
    0x35531000,0x79951001,0x00000015,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0cd54cc0,0x2aaa2000,0x00000002,0x4c400000,0x004cc409,
    0x65c0f260,0x5554c001,0x00000001,0x06f77540,0x2aaa8800,0x80000000,
    0x00001aa9,0x00000000,0x774c0000,0x000001ee,0x76c40000,0x000003ee,
    0x00777754,0x10000000,0x09988133,0x7fffe400,0x26203fff,0x004cc409,
    0xcca80000,0x3ffff22c,0xffffffff,0x4c03ffff,0xfffffffc,0xfe8001df,
    0x3fa04fff,0xfc8004ff,0xfe8807ff,0x2601ffff,0xfff11fff,0x1ff88007,
    0x30007fcc,0x003fffff,0xf96fffb8,0xf9800bff,0x0005ffff,0x000ffff3,
    0x03ffff50,0xfb0fff40,0xfffd8bff,0x92ffff85,0xffffffff,0x059dffff,
    0x00dfffb0,0xdffffd10,0xefffd800,0x36000000,0x001fffff,0xffff1000,
    0x260000df,0x4002ffff,0xff11fff9,0xffc8007f,0x203fffff,0xff31fffa,
    0xfffb805f,0x04ffffff,0xf92fffe4,0xffffffff,0x7fffffff,0x7ffffec0,
    0x5fffffff,0x3fffee00,0xfffd01ff,0xfff90009,0xfffe880f,0xffc801ff,
    0x005ffe8e,0xd959dfd0,0xffe800bf,0x7c006fff,0xfff88eff,0xeffe8006,
    0x98002fff,0x80007fff,0x2002fffe,0x7fec6ffa,0x2fffec5f,0xfc97fffc,
    0xffffffff,0x04ffffff,0x0037ffec,0x7fff7fe4,0xdfff1004,0x54000001,
    0x06ffefff,0xdffb0000,0x00009fff,0x0007fffb,0x3fa3fff2,0x0000005f,
    0xff8effd8,0xfffb804f,0x04ffffff,0xf92fffe4,0xffffffff,0x7fffffff,
    0xfffffd10,0xffffffff,0xfff300bf,0xd01dffb5,0x90009fff,0xfe80ffff,
    0x2001ffff,0x0ffffffe,0xffff1000,0x64001fff,0x4fff9eff,0x23fff700,
    0x4000fffb,0xffb8effc,0x7fcc000f,0x7d40007f,0x7f4002ff,0x2fffec3f,
    0x3e17fff6,0xfff92fff,0xffffffff,0x01bfffff,0x001bfff6,0xff53fff5,
    0xfff9005f,0x44000001,0xfff8bfff,0x7dc00004,0x1fffa8ff,0x3ffe2000,
    0x7ff40004,0x8000ffff,0x027e44fc,0x3fffffa2,0xeeea800e,0x03eeeeee,
    0xf92fffe4,0xdddddfff,0x5ddddddd,0xffffffd0,0xfffff99d,0x7f4409ff,
    0x217ffa4f,0x8004fffe,0x3607fffc,0x002fffff,0x17ffffcc,0x3fb22000,
    0x3ea000ce,0x3fff31ff,0x7c3ffd00,0x744001ff,0x13bb21ee,0x0dddd300,
    0x03ffe800,0x207ffd40,0x7ec5fffd,0xffff85ff,0xddffff92,0xfffddddd,
    0x3f605fff,0x76c006ff,0x017bae3e,0x0003fff1,0x24eec800,0x0000eee9,
    0x645ddb10,0x320005ee,0x980004ff,0x002fffff,0x4fc89f90,0xfffff980,
    0x40000001,0x3f22ccca,0xc80007ff,0x303fffff,0x01fffffb,0x33106662,
    0x09fffd03,0x0ffff900,0x0bfffff6,0x1e665400,0x80000000,0x4cc40998,
    0x31664400,0x00000599,0x00000000,0x2000f322,0x00005ffe,0x3fffe400,
    0x3ffff620,0x0dfffb05,0x93000000,0x00000039,0x00000000,0x33200000,
    0x32a00003,0x260003cc,0x800d4c1a,0x0002ccca,0x00013531,0x01ffff20,
    0xfffff100,0xfffe8803,0xe800003f,0xc8004fff,0xffc87fff,0x20002fff,
    0x0001aa98,0x00135310,0x31000000,0x20000135,0x0001aa98,0x53100000,
    0x7fdc0035,0x0000002f,0x803fffe4,0xfb07ffff,0x00000dff,0x00000000,
    0x00000000,0x00000000,0xb0000000,0x3e00ffff,0x00005fff,0x7ffff6dc,
    0x7ec02eff,0x3fff26ff,0x7fdc0007,0xff3003ff,0x76d4039b,0xddd50cef,
    0x213fffa7,0x325eeeea,0x7fdc7fff,0xa8002fff,0xfffffffd,0x76dc002e,
    0x2effffff,0x1f776400,0xfffdb700,0x8005dfff,0xffffffda,0xdb5002ef,
    0x3baa19df,0xfffb503e,0x805dffff,0xec80fffe,0x777644ee,0x91eeee84,
    0x3200ffff,0xfd80ffff,0xf50006ff,0xff903fff,0xffffffff,0xd8059dff,
    0x7e407fff,0x2a01ffff,0x3f61ffff,0xf1005fff,0x7cc1ffff,0xffffffff,
    0x4fffffff,0x7fffffcc,0xffffffff,0x3fff64ff,0xbffff007,0x00dfffb0,
    0xffffffb1,0x01bfffff,0xfc9bfff6,0x740007ff,0x2000ffff,0xfffd8800,
    0xffb9ffff,0x89fffd4f,0x20effffa,0x3ee7fffc,0x8003ffff,0xfffffffb,
    0x400dffff,0xffffffd8,0x00dfffff,0x009fffb0,0xffffffb1,0x01bfffff,
    0xffffff70,0x01bfffff,0x3fffff62,0x4fffb9ff,0xffffffb8,0x80dfffff,
    0xfb05fff8,0xfffd8bff,0x92ffff85,0x3600ffff,0xffb07fff,0x3ea000df,
    0xffc81fff,0xffffffff,0x204fffff,0x201ffffb,0x03fffffe,0xf11ffff2,
    0xb005ffff,0xf987ffff,0xffffffff,0x4fffffff,0x7fffffcc,0xffffffff,
    0x3fff64ff,0xbffff007,0x80dfffb0,0xfffffffa,0xffffffff,0x26fffd82,
    0x0007fffc,0x017fffe2,0x3fffa000,0xfdffffff,0x9fffd4ff,0x0fffffcc,
    0x7d5ffff2,0x8003ffff,0xfffffffd,0x05ffffff,0x3fffffea,0xffffffff,
    0xfffd802f,0x7fffd404,0xffffffff,0x3f602fff,0xffffffff,0xfd05ffff,
    0xffffffff,0xfd89fffb,0xffffffff,0xfb85ffff,0xfffb04ff,0x85fffd8b,
    0xff92ffff,0xfff300ff,0x3fff60df,0xfff50006,0xffff903f,0xffffffff,
    0x301bffff,0x2205ffff,0x05ffffff,0x2a17fffa,0x5406ffff,0xf986ffff,
    0xffffffff,0x4fffffff,0x7fffffcc,0xffffffff,0x3fff64ff,0xbffff007,
    0x40dfffb0,0xfffffff8,0xffffedcd,0x7ffec1ff,0x3fffff26,0xffffffff,
    0x3ffe64ff,0x5400004f,0xdadfffff,0xd4ffffff,0x3fe29fff,0xffc81fff,
    0xfffffaff,0x7fcc002f,0xfdbcefff,0x883fffff,0xdfffffff,0xfffffedc,
    0x7ffec01f,0x3fffe204,0xfedcdfff,0x981fffff,0xbcefffff,0x3ffffffd,
    0x6fffffd4,0xffffffda,0x3ffffe64,0xffffdbce,0x7ffec3ff,0x8bfffb03,
    0xff85fffd,0xffff92ff,0x95555555,0x205fffff,0x0006fffd,0x903ffff5,
    0xddddffff,0xfffffddd,0x3fffe05f,0xfffff504,0x3ffe20ff,0xffffb03f,
    0x7ffff407,0xeeeee981,0xfffeeeee,0x774c3fff,0xeeeeeeee,0x23ffffff,
    0xf007fffd,0xffb0bfff,0x7ffec0df,0xffd302ff,0xfffd8bff,0x3fffff26,
    0xffffffff,0x3ffea4ff,0x2aaaa03f,0x742aaaaa,0x74c1efff,0xffd4ffff,
    0xffffd19f,0x3ffff203,0xffffffff,0x3fff2000,0xffff900f,0xfffffb0d,
    0x3fffa605,0x7ffec05f,0x3ffff604,0xfffd302f,0xffff90bf,0x3ffff201,
    0x0f7fff46,0x93ffffa6,0x900ffffc,0xff8dffff,0xfffb02ff,0x85fffd8b,
    0xff92ffff,0xffffffff,0x0bffffff,0x0037ffec,0x81ffffa8,0x4407fffc,
    0xd05ffffd,0x3f20dfff,0x81ffffff,0x101ffff9,0x701fffff,0x0009ffff,
    0x6fffff88,0x3ffe2000,0x7ffec6ff,0xbffff007,0x20dfffb0,0x00effffa,
    0x17ffff44,0x7e4dfffb,0xffffffff,0x24ffffff,0x202ffffa,0xffffffff,
    0xffff30ff,0x3fffea05,0xfb9fffd4,0x7e405fff,0xffffffff,0x3a005fff,
    0x3e204fff,0x7fd47fff,0x74400eff,0x3602ffff,0xff504fff,0xe8801dff,
    0x7f42ffff,0x3fe204ff,0x3ffe67ff,0xffff502f,0x027fff49,0xf8fffff1,
    0xffb01fff,0x5fffd8bf,0xf92ffff8,0xffffffff,0x07ffffff,0x006fffd8,
    0x03ffff50,0x200ffff9,0xf907ffff,0xffd01fff,0x707fffff,0xfb80ffff,
    0x7fc45fff,0x40000fff,0x00effffe,0x3ffffa00,0x3fffec0e,0x85ffff80,
    0xfb06fffd,0x26005fff,0x3f67ffff,0x3fff26ff,0xeeeeeeef,0x3e63eeee,
    0x3fe03fff,0xffffffff,0x80ffff50,0xffd4ffff,0x09ffffff,0xffffffc8,
    0x2ffffebf,0x0dfffd00,0x20ccccb8,0x002ffffd,0x40fffff3,0xfb04fffd,
    0x26005fff,0x7f47ffff,0x665c06ff,0xffff50cc,0x24ffff80,0x5c06fffe,
    0xff10cccc,0x3ff601ff,0x2fffec5f,0xfc97fffc,0xffffffff,0x800bdfff,
    0x0006fffd,0x903ffff5,0x3200ffff,0xfa80ffff,0x7fc41fff,0x85fffcff,
    0xe806fffd,0x3f21ffff,0x40002fff,0x01fffffd,0x3ffff600,0x7fffd81f,
    0x0bffff00,0xf10dfffb,0xd800dfff,0xffb0ffff,0x3fffe4df,0xffff1000,
    0x7ffffc09,0xf70fffff,0xffe80fff,0xfffffd4f,0x6401ffff,0x53ffffff,
    0x001fffff,0x03bffffb,0xdffff100,0xffffd800,0x09fffb00,0x00dffff1,
    0x20ffffd8,0x01dffffd,0x07fffb80,0xfb27fff4,0x0003bfff,0x6c0ffff3,
    0x7fec5fff,0x2ffff85f,0x955ffff9,0x01dffffb,0x01bfff60,0x0ffffd40,
    0x803fffe4,0xf107fffd,0xffa87fff,0x87fff9df,0x9804ffff,0xff36ffff,
    0xb8000bff,0x002fffff,0x3ffffee0,0x0ffffb02,0x217fffe0,0xfa86fffd,
    0x54004fff,0xffb1ffff,0x3fffe4df,0x3fffe000,0x33333205,0xf90ffffe,
    0xffd80dff,0xfffffd4f,0x640bffff,0x744fffff,0xa804ffff,0xdfffffff,
    0xfffa800a,0x7fd4004f,0xfffb01ff,0x9ffff509,0xffffa800,0x3ffffea1,
    0xc800adff,0x7ec06fff,0x3ffea4ff,0x00adffff,0x207fff98,0x7ec5fffd,
    0xffff85ff,0x70ffff92,0x005fffff,0x000dfffb,0x207fffea,0x9807fffc,
    0x3a06ffff,0x7fec5fff,0x43ffff3f,0x002ffff8,0xfd7ffff9,0x40001fff,
    0x04fffff9,0x3fffe600,0x3fff604f,0xbffff007,0x50dfffb0,0x8007ffff,
    0xfb3ffff9,0x7ffe4dff,0x7ff40007,0x3f2001ff,0xfff90fff,0x4fffe80f,
    0xfdfffffd,0x3f203fff,0xff984fff,0xfd802fff,0xffffffff,0xfff500be,
    0xff98007f,0xfffb03ff,0x7ffff509,0xffff9800,0x7ffffec3,0x00beffff,
    0xe80ffff9,0x7fec4fff,0xefffffff,0xffff100b,0x22fffec0,0xff85fffd,
    0xffff92ff,0x3fffff20,0x37ffec01,0xffffa800,0xaffffc81,0xfcaaaaaa,
    0x3202ffff,0x7ffc7fff,0x47fffb1f,0x000ffffa,0xfffffff1,0x440007ff,
    0x005fffff,0x3ffffe20,0x3fffec05,0x85ffff80,0xfb86fffd,0x44002fff,
    0xffb4ffff,0x3fffe4df,0x3ffee000,0x3ff2005f,0xffff70ff,0xa7fffc01,
    0xfb4ffffe,0x3ff20dff,0x3fff207f,0x7f4400ef,0xffffffff,0xfffb84ff,
    0x7fc4002f,0xfffb04ff,0x5ffff709,0xffff8800,0x7ffff444,0x4fffffff,
    0x00ffffb8,0xd113fffe,0xffffffff,0x3fe09fff,0x3fff607f,0x42fffec5,
    0xff92ffff,0x7fff40ff,0x7ffec06f,0xfff50006,0xffff903f,0xffffffff,
    0xa80bffff,0xff30ffff,0x2fffdcff,0x800dfff9,0xfffffffa,0x7ff40006,
    0x20000eff,0x00effffe,0x803fffec,0xfd85ffff,0xfffc86ff,0x7fc4001f,
    0xdfffb5ff,0x003fffe4,0x1fffff40,0x7fffec40,0x07ffff30,0x753fffee,
    0x3fe65fff,0xfffc82ff,0x3fffe207,0xfff7004f,0xffffffff,0x1ffffc8b,
    0x7fffc400,0x09fffb05,0x003ffff9,0x05ffff88,0xfffffff7,0xf98bffff,
    0xff703fff,0x3fee09ff,0xffffffff,0x0fffe85f,0xd8bfffb0,0xfff85fff,
    0x0ffff92f,0x27ffffc4,0x00dfffb0,0x07fffea0,0x3ffffff2,0xffffffff,
    0xfff8803f,0x4bfff72f,0x3fa7fff9,0xfd8004ff,0x001fffff,0x3fffff60,
    0x3ff60001,0xfd801fff,0xfff007ff,0xdfffb0bf,0x05ffff70,0x4ffff880,
    0x7e4dfffb,0xa80007ff,0x00cfffff,0x1ffffff7,0x85fffff4,0x4fffffb8,
    0xfd89fffd,0x7fe40fff,0x7ffdc07f,0x326001ff,0xffffffff,0x3fffee5f,
    0x7ffc4002,0x9fffb04f,0x05ffff70,0x4ffff880,0x7fffe4c0,0x745fffff,
    0x710bffff,0x809fffff,0xffffffc9,0x7fec5fff,0xbfffb01f,0xf85fffd8,
    0xfff92fff,0xffffb80f,0xdfffb01f,0x3ffea000,0xffffc81f,0xffffffff,
    0x3fe000bd,0x7fffb4ff,0xf89ffff8,0x88002fff,0x004fffff,0x3ffffee0,
    0x3fee0002,0xf9002fff,0x3fe00fff,0xfffd84ff,0x3ffff986,0x7fffcc00,
    0x64dfffb3,0xeeeeffff,0xeeeeeeee,0xfffffd85,0xfffeddef,0x2e0fffff,
    0xfdffffff,0xd4ffffff,0xff889fff,0x7ffe44ff,0xffffe807,0xfb710006,
    0x263fffff,0x4003ffff,0xb03ffff9,0xff309fff,0xf98007ff,0x22003fff,
    0xffffffdb,0x3ffffee1,0xffffffdf,0x36e2004f,0x21ffffff,0xfb02fffb,
    0xfffd8bff,0x92ffff85,0xfd00ffff,0x3f60dfff,0xf50006ff,0xff903fff,
    0xffb955ff,0xd8001dff,0xffff5fff,0x9bfffd83,0x0000ffff,0x001ffff9,
    0x3ffffea0,0x3fea0003,0x32003fff,0xff007fff,0xfffb09ff,0x9ffff10d,
    0xffffa800,0x64dfffb2,0xffffffff,0xffffffff,0xfffff906,0xffffffff,
    0xffb03bff,0xddffffff,0x3ffa9fff,0xffffc84f,0x01ffff20,0x13ffffea,
    0xfffb1000,0x3fffe27f,0x7ffd4004,0x9fffb02f,0x09ffff10,0x2ffffa80,
    0xfffb1000,0xffffd87f,0xffeeffff,0xfb10004f,0x7fd47fff,0xbfffb03f,
    0xf85fffd8,0xfff92fff,0xffff100f,0xdfffb07f,0x3ffea000,0x7fffc81f,
    0x2fffffb8,0x3fffee00,0xfb87fff9,0x6fffbdff,0x3fff2000,0xfff10007,
    0x44000bff,0x005fffff,0x803fffe4,0xfd84ffff,0xffff06ff,0xfffe800f,
    0x4dfffb0f,0xfffffffc,0xffffffff,0x3ffee06f,0xffffffff,0x7fe402ff,
    0xfd8dffff,0x9fffd4ff,0x4bffff10,0xb007fffc,0x5c3fffff,0xff005edc,
    0x7fffcbff,0x7fff4007,0x9fffb00f,0x01ffffe0,0x21ffffd0,0xf005edcb,
    0xff90bfff,0xfb1bffff,0x3b72e9ff,0xbffff005,0xd82fffcc,0x7fec5fff,
    0x2ffff85f,0x200ffff9,0x40fffffb,0x4c46fffd,0xfff504ba,0xffff903f,
    0x3fffff20,0xffff3001,0xf109fffb,0x9fffbfff,0x7ffe4000,0xffe88007,
    0x220006ff,0x006ffffe,0x01ffffb8,0x41ffffc4,0xfd06fffd,0x2a007fff,
    0x3f67ffff,0x3fff26ff,0xffffffff,0x406fffff,0xfffffda8,0x5000acdf,
    0x7ec7bfd9,0x9fffd4ff,0x47fffee0,0x1007fffc,0x64dfffff,0xe800ffff,
    0x3ffa6fff,0xff5003ff,0x7fec0fff,0xffffd04f,0x3ffea007,0x3ffff27f,
    0x6fffe800,0x47bfd950,0xff94fffd,0xffd001ff,0x07ffe8df,0xfd8bfffb,
    0xffff85ff,0x00ffff92,0x22ffffec,0x7d46fffd,0xffb80fff,0xfffc81ff,
    0x3ffffa07,0x3fffe006,0xfd02ffff,0x05ffffff,0x3fffe400,0x7fffec00,
    0x3f60000f,0x8000ffff,0x406ffffa,0xd82ffffd,0xff306fff,0xe8803fff,
    0x3f62ffff,0xfb0006ff,0x3f22000b,0x000003ff,0xc80ffffa,0x20000abc,
    0x4000accb,0x404ffff9,0x264ffffa,0x401fffff,0x02ffffe8,0x4c13fffa,
    0x401fffff,0x22ffffe8,0x404ffff9,0x004ffffa,0x267fffd0,0x5404ffff,
    0x7dc4ffff,0x04fd81ff,0x0bfffe00,0x002b32e0,0x7cc0ffa0,0xffc82fff,
    0xfffc80ff,0x3fffe207,0xfffb004f,0x3201ffff,0x0fffffff,0x3fff2000,
    0x7ffdc007,0x2e0001ff,0x001fffff,0x9fffff10,0xffffb881,0x6fffd80f,
    0x3fffff20,0xfffff503,0x06fffd8b,0x0007fd00,0x13fffbee,0x15e6f440,
    0x405ffff0,0x002fffff,0x07ffffb0,0xcfffff80,0xffffe881,0x7ffffe41,
    0xfffff503,0x4ffff80b,0x3fffff20,0xfffff503,0x9fffff0b,0xffffd103,
    0x0af37a23,0x3e2ffff8,0x881cffff,0xf81ffffe,0x03fe83ff,0x5ffff100,
    0x7ffffb00,0x102ff800,0x4c1dffff,0xf906ffff,0xffb80fff,0xfb801fff,
    0x206fffff,0x7ffffffa,0x7ffe4000,0x3ffea007,0x2a0003ff,0x003fffff,
    0x7ffffdc0,0xffffecef,0xfffb04ff,0x7fffc40d,0xffdcefff,0x6c1fffff,
    0xf0006fff,0x882000bf,0xff000fff,0xff905fff,0x5d4c01ff,0x510006ff,
    0x4001fff7,0xeffffffb,0xfffffdcc,0xfffff887,0xfffdceff,0xa981ffff,
    0x203ffffd,0xfffffff8,0xfffffdce,0xfffb81ff,0xfdccefff,0x7fc7ffff,
    0xffc82fff,0x3ffee0ff,0xfdccefff,0xf707ffff,0x009ff0df,0xffffeba8,
    0xffba8801,0x7ff1000f,0x77fffec0,0x2fffffec,0x00ffff90,0x00dffffd,
    0x9ffffff3,0x7ffffc40,0x7e40005f,0x3f2007ff,0xeeeeffff,0xeeeeeeee,
    0xfffff90e,0xdddddddd,0xe81ddddd,0xffffffff,0x00ffffff,0x980dfffb,
    0xfffffffe,0x2fffffff,0x006fffd8,0x0001fff0,0x2003ffd0,0xcefffffd,
    0x04fffffe,0x0007ffe0,0x8005ffd0,0xfffffffd,0x1fffffff,0xfffffd30,
    0xffffffff,0x3fffa05f,0x74c02fff,0xffffffff,0x02ffffff,0x3ffffff6,
    0xffffffff,0x7ffffec1,0xfffffece,0xfffffd84,0xffffffff,0x07ffe01f,
    0x22001fff,0x07ffffff,0x002ffe80,0x2601dff1,0xffffffff,0x3f204fff,
    0xff8807ff,0x7c403fff,0x402fffff,0x03fffffe,0x3fffe400,0xfffff900,
    0xffffffff,0x321fffff,0xffffffff,0xffffffff,0x7fec40ff,0xffffffff,
    0x3ff600df,0xfff9006f,0xffffffff,0x3fff601b,0xfff90006,0xaa880ddb,
    0x006ffdba,0x3fffffa2,0x0fffffff,0xfdcaab88,0x2ae2006f,0x00fffdba,
    0x7fffec40,0xefffffff,0xffffc800,0xdfffffff,0xfffff100,0x7fe400bf,
    0xffffffff,0x7ec400df,0xffffffff,0xfe880eff,0xffffffff,0xfd880fff,
    0xffffffff,0x7dc00eff,0x6fffe44f,0x3ffea06e,0x2e204fff,0x0fffdbaa,
    0x37fff600,0x7fffdc5e,0x406fffff,0x7007fffc,0x801fffff,0x00fffffe,
    0x0fffffe4,0x3fff2000,0x3fff2007,0xffffffff,0x0fffffff,0xfffffff9,
    0xffffffff,0x3aa01fff,0xefffffff,0x6fffd803,0x3ffb6600,0x402defff,
    0x0006fffd,0x0dfffff1,0xffffff98,0x7ec4000d,0xffffffff,0xffff300d,
    0x44001dff,0x1effffff,0x3ff66000,0x04dfffff,0x7fff6cc0,0x4c02deff,
    0x00ffffff,0x7fff6cc0,0x4002deff,0xffffffd9,0x7ec404df,0xffffffff,
    0x7fecc00d,0x04dfffff,0x4c1fff10,0x206fffff,0x05fffffc,0x7fffffc4,
    0x7fcc001e,0xfe985fff,0x00cfffff,0x003fffe4,0x80bffffb,0x806ffffc,
    0x007ffffa,0x07fffc80,0x3fffff20,0xffffffff,0xf90fffff,0xffffffff,
    0xffffffff,0xaa98801f,0x7fec0009,0x2a60006f,0x00000009,0x002b36a0,
    0x00379751,0x9d995100,0xca880359,0x50000acc,0x00035999,0x009a9880,
    0x026a6000,0x1bdcb880,0x13530000,0x2a620000,0xca880009,0x001accec,
    0x0009a988,0xb505dd70,0x6e4c0159,0x995001bd,0x44000359,0x4c00acda,
    0x0000019a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x09988000,0x0000ccc4,
    0x4cc40000,0x0004cc40,0xeee98000,0x4cc0002e,0x004ccc09,0x4ccc0ccc,
    0x4ea80000,0x00006e88,0x0000076a,0x00000000,0x00000000,0x4cc19988,
    0x00000009,0x00000000,0x0d440cc0,0x03bbbaa0,0x20991000,0x000002ca,
    0x00000000,0x0bddd700,0x15554400,0x81333000,0x40000999,0xff12fff9,
    0x7fdc007f,0x5fffffff,0x87ffd400,0x0002fff9,0x9fffb000,0xdff90000,
    0x003ffee1,0xffd97ffa,0xff300006,0x0006fc83,0x2000bf60,0x002ffffa,
    0x2ffff980,0x1ffff900,0x3ffff200,0xffd80000,0x0037ffc7,0x0bfffea0,
    0x7ff44000,0xd300006f,0xfb137dff,0xffffb809,0x3ff80000,0x20017fc4,
    0x002ffffa,0x00ffffd8,0x03ffff60,0x7ffffcc0,0xfff50004,0x7ffc000f,
    0x013ffe66,0x23ffee00,0x5c005ffe,0xffffffff,0xffd8005f,0x004fff8e,
    0xfff30000,0x7f400009,0x03fff9df,0xf75fff10,0x400003ff,0xfffdeffe,
    0x1fe00002,0x17fff400,0xfffd8000,0x7ffec003,0x3fff2003,0xffd80004,
    0x0037ffc7,0x00bfffa0,0xffffd800,0xfd80003f,0xffffffff,0x7fffdc02,
    0xffc80000,0x00ffebad,0x017ffec0,0x7ffffdc0,0xffff7005,0xfff100bf,
    0x0003fffd,0x000ffff5,0xff337ffc,0x3a00009f,0x00ffffff,0x77777540,
    0x8004eeee,0x6ffffff8,0x32000000,0x400005ff,0x5ffffff9,0x7fffdc00,
    0x400003ff,0x3fffffe8,0x17ea0000,0x0fffe600,0x7ffcc000,0xfffb0003,
    0x0fffd800,0x3ffec000,0x8001bffe,0x0003fff9,0x3f3ffea0,0x7c0001ff,
    0xffffdbbf,0xffffb806,0xffd00000,0x8003ffff,0x8003fff9,0xfffcfff9,
    0x67ffc403,0x7ec03fff,0x01dff96f,0x07fffa80,0x99bffe00,0x00004fff,
    0x05fffff1,0x00000000,0x03fffff3,0x36200000,0x7000005e,0x001fffff,
    0x0bffffb0,0x66540000,0x6400001b,0xffd8003f,0x3f600004,0x7ec0004f,
    0x7fec003f,0x66540003,0x001e6644,0x0007ffb0,0xd9fffc40,0x220006ff,
    0x001ca83c,0x001ffff7,0x6f7f5c00,0x4ffd8000,0x2bffd000,0x3a00fffb,
    0x3fff75ff,0xd83bba60,0x754003ee,0x320005ee,0x333223cc,0x32a00002,
    0x000003cc,0x332e0000,0x0000002c,0xb8000000,0x10001ccc,0x00019999,
    0x26aaa600,0x7fc00001,0x1e644000,0x0f320000,0x0f322000,0x000f3200,
    0x10000000,0x80000799,0x66643cca,0x53100001,0x7fdc0013,0x000000ff,
    0x03cc8000,0x41999300,0x99302ccb,0x01e65c19,0x00000000,0x09a98800,
    0x00000000,0x803fffec,0x0005ffff,0x00000000,0x00000000,0x00000000,
    0xffffffb3,0x44003bff,0x0fffffdc,0x00000000,0x00000000,0x7fec0000,
    0xffff007f,0x0000000b,0x20000000,0xfffffedb,0x7fdc02ef,0x000000ff,
    0x00000000,0x00000000,0x00000000,0xfffdb700,0x8005dfff,0xfffffff9,
    0xffffffff,0x3fff67ff,0xbffff007,0x3fffe600,0xd000000f,0xffffffff,
    0xffffffff,0x3f23ffff,0xfc801fff,0xffff95ff,0xffffffff,0xf900059d,
    0xffffffff,0xf700bfff,0xffffffff,0x3ffff905,0x4bfff900,0x005ffffd,
    0x01fffff1,0x200dfffb,0x00fffff9,0x01ffff60,0x802ffffc,0x00fffff9,
    0x3ffe6000,0x220000ff,0xfffffffd,0x700dffff,0x0001ffff,0xfffffff9,
    0xffffffff,0x3bbbaa7f,0xfffc8000,0xffffffff,0xd83fffff,0xffc86fff,
    0xfffd007f,0x3fffff2b,0xffffffff,0xfb103fff,0xffffffff,0x26001bff,
    0xffffffff,0xffffffff,0x1ffff67f,0x02ffffc0,0x3fffffc8,0xffa80000,
    0xffffffff,0xffffffff,0xfff91fff,0xfff900df,0x3fffff2b,0xffffffff,
    0xfd1004ff,0xffffffff,0x40bfffff,0xfffffffc,0x7e43ffff,0xfc806fff,
    0x3ffe25ff,0xffd802ff,0xfffb03ff,0x3fff200d,0x3f6003ff,0xfff007ff,
    0x3ff200bf,0x00003fff,0x0ffffff2,0x7fffd400,0xffffffff,0xffb82fff,
    0xfc8000ff,0xffffffff,0x3fffffff,0x001ffff7,0xffffff90,0xffffffff,
    0xfffb07ff,0x0ffff90d,0x657fffa0,0xffffffff,0xffffffff,0xfffffa83,
    0xffffffff,0xff9802ff,0xffffffff,0x7fffffff,0x401ffff6,0xf005ffff,
    0x00dfffff,0xffffb000,0xffffffff,0xffffffff,0x3ffff23f,0x7ffe403f,
    0xffffff95,0xffffffff,0xfe801bff,0xdcefffff,0x4fffffff,0xefffff98,
    0x47fffffc,0x03fffffc,0x2a2fffe4,0x5406ffff,0x3606ffff,0xff006fff,
    0x400dffff,0xf007fffd,0x3e00bfff,0x006fffff,0x3ffffe00,0xff88006f,
    0xdcdfffff,0x1ffffffe,0x007fffdc,0x7ffffe40,0xffffffff,0xfff73fff,
    0xff90001f,0xffffffff,0x07ffffff,0xf90dfffb,0x3fa00fff,0xffff95ff,
    0xffffffff,0xf887ffff,0xcdffffff,0xffffffed,0x77774c01,0xeffffeee,
    0x366eeeee,0xff007fff,0xff500bff,0x005fffff,0x7fffcc00,0xeffffeac,
    0xeeeeeeee,0xffff91ee,0x7fe401ff,0xdffff95f,0xffdddddd,0x6405ffff,
    0x303fffff,0x81fffffb,0xf71efffe,0x647ffffb,0x00ffffff,0x3617fff2,
    0x3a03ffff,0x3601ffff,0xfa806fff,0x02ffffff,0x00ffffb0,0x2017fffe,
    0xfffffffa,0xffa80002,0x002fffff,0x17ffffec,0x5ffffe98,0x007fffdc,
    0x77fffe40,0xeeeeeeee,0xfff72eee,0xff90001f,0xddddddff,0x05dddddd,
    0xf90dfffb,0x3fa00fff,0xffff95ff,0xdddddddd,0xfd85dddd,0xd302ffff,
    0x000bffff,0x007fffdc,0x803fffec,0xd805ffff,0x5fffffff,0x3ff60000,
    0x1bfff66f,0x7fffe400,0x3ff205ff,0x0ffff95f,0x5ffffd88,0x3fffff10,
    0xffffe880,0x8bfffe63,0x1bcedafd,0x3ffffff2,0x17fff205,0x03ffffe2,
    0x013fffee,0xb00dfffb,0xbfffffff,0x1ffff600,0x02ffffc0,0x7fffffec,
    0xfd80005f,0x05ffffff,0x3bfffea0,0x7fff4400,0x3fffee2f,0xfffc8000,
    0x3fee0007,0xfc8000ff,0xb00007ff,0xff90dfff,0x3ffa00ff,0x0ffff95f,
    0xffffa800,0x7ff4400e,0xf70002ff,0xfb001fff,0x3fe00fff,0x7fc405ff,
    0x0ffffeff,0xfff88000,0x1bfff63f,0x7fffe400,0xff902fff,0x1ffff2bf,
    0x83ffffc0,0x003ffffb,0x5439bff3,0x03fc7fff,0x7fffffe4,0xbfff902f,
    0x17fffee0,0x01fffff1,0x406fffd8,0xffeffff8,0xffd800ff,0xffff007f,
    0xffff880b,0x000ffffe,0x3bfffe20,0xb000ffff,0x2005ffff,0x2e7ffff9,
    0x8000ffff,0x0007fffc,0x003fffee,0x01ffff20,0x37ffec00,0x803fffe4,
    0xff95fffe,0xfd8000ff,0xf3002fff,0x2000ffff,0x800ffffb,0xf007fffd,
    0xfb80bfff,0xffff9fff,0xffc80003,0x3fff60ff,0xfff90006,0x320dffff,
    0xfff95fff,0x3fff200f,0xffffe80f,0xfb802000,0x017ea7ff,0x3ffffff2,
    0xbfff906f,0x0fffff40,0x005ffff9,0xb80dfffb,0xfff9ffff,0xfffd803f,
    0xbffff007,0x9ffffb80,0x0003ffff,0x3e7fffee,0xf8803fff,0x6c006fff,
    0xff70ffff,0xf90001ff,0x5c000fff,0x8000ffff,0x0007fffc,0x90dfffb0,
    0x3a00ffff,0xfff95fff,0x7fc4000f,0x7ec006ff,0xb8000fff,0xd800ffff,
    0xff007fff,0xffe80bff,0x0dfffb4f,0xffff8800,0x037ffec4,0xfffffc80,
    0xffc83fff,0x0ffff95f,0x21ffff60,0x005ffff8,0x9bfff200,0xffc803fc,
    0x83ffffff,0x2605fffc,0xff36ffff,0x3f600bff,0x7ff406ff,0x0dfffb4f,
    0x00ffffb0,0xd017fffe,0x3ff69fff,0x3fa0006f,0xdfffb4ff,0x9ffff500,
    0xffffa800,0x01ffff71,0x0ffff900,0x7fffdc00,0xfffc8000,0xffb00007,
    0xffff90df,0x57fffa00,0x0007fffc,0x013fffea,0x03ffff50,0x1ffff700,
    0x0ffffb00,0x817fffe0,0xf51ffffa,0x40005fff,0x6c0ffffc,0x90006fff,
    0xfffdbfff,0x5fffc81f,0x300ffff9,0xf30dffff,0x00009fff,0xff3fffdc,
    0xbfff9001,0xc81ffffd,0x7e405fff,0xfffebfff,0xfffb000f,0x7fffd40d,
    0x05ffff51,0x007fffd8,0x540bffff,0xff51ffff,0xf50005ff,0x3fea3fff,
    0x7fd402ff,0x7cc003ff,0xfff73fff,0xff90001f,0x7dc000ff,0xc8000fff,
    0x00007fff,0xf90dfffb,0x3fa00fff,0xffff95ff,0x7ffd4000,0x7fcc003f,
    0xfb8003ff,0xfd800fff,0xfff007ff,0x7ffec0bf,0x17fffe26,0x7fffc400,
    0xfffffd85,0xffffffff,0x37fff22f,0x645ffffa,0xfff95fff,0x5555555f,
    0x05fffff9,0x407ffff5,0xaaaaaaaa,0x3fffe62a,0x02626f98,0x3eb7fff2,
    0x7fe45fff,0x7ffc405f,0x03ffffff,0x81bfff60,0x3e26fffd,0x7ec05fff,
    0xfff007ff,0x7ffec0bf,0x17fffe26,0x9bfff600,0x405ffff8,0x002ffffb,
    0xba7fffc4,0x8000ffff,0xfffffffc,0xffffffff,0x03fffee4,0x3ffff200,
    0xffffffff,0xffb04fff,0xffff90df,0xffffffff,0x32bfffff,0xffffffff,
    0x4fffffff,0x00bfffee,0x09ffff10,0x1ffff700,0x0ffffb00,0x417fffe0,
    0x6c3ffff8,0x8000ffff,0xd81ffffb,0xffffffff,0x22ffffff,0xffb5fffc,
    0x7ffe45ff,0xffffff95,0xffffffff,0x3fea0bff,0x3ffe02ff,0x0fffffff,
    0x3eebfffe,0xc97fff23,0xfffb5fff,0x2fffe45f,0x7ffffd40,0x7ec006ff,
    0xfff106ff,0xffffd87f,0x1ffff600,0x82ffffc0,0x6c3ffff8,0x2000ffff,
    0x6c3ffff8,0x3200ffff,0x4001ffff,0xf75ffff8,0x90001fff,0xffffffff,
    0x9fffffff,0x007fffdc,0x7ffffe40,0xffffffff,0xfffb04ff,0xfffff90d,
    0xffffffff,0x3f2bffff,0xffffffff,0x24ffffff,0x001ffffc,0x02ffffc4,
    0x07fffdc0,0x03fffec0,0x705ffff8,0xf981ffff,0xf8003fff,0xffb06fff,
    0xffffffff,0x7e45ffff,0xffff15ff,0x57fff21d,0xfffffffc,0xffffffff,
    0x3fffea03,0x3ffffe03,0x360fffff,0x11feefff,0x7e49ffff,0xffff15ff,
    0x17fff21d,0x7ffffec0,0x7fec001f,0xffff706f,0x3ffff981,0x01ffff60,
    0xb82ffffc,0x7cc0ffff,0x2e003fff,0x7cc0ffff,0x3ee03fff,0x44002fff,
    0xff74ffff,0xf90001ff,0xffffffff,0x49ffffff,0x000ffffb,0xffffffc8,
    0xffffffff,0xdfffb04f,0xffffff90,0xffffffff,0x3ff2bfff,0xffffffff,
    0x2e4fffff,0x4002ffff,0x004ffff8,0x00ffffb8,0x007fffc8,0x3a09ffff,
    0xfff05fff,0xffa800df,0xfffb02ff,0xdddddddf,0x7fe43ddd,0x3fffee5f,
    0x32bfff94,0xffffffff,0x00bdffff,0x027fffcc,0xffffffff,0x7ffdc1ff,
    0xffeb9fff,0x3fff21ff,0x53fffee5,0x1005fffc,0x009fffff,0x20dfffb0,
    0xff05fffe,0x7fe40dff,0xffff007f,0x17fffa09,0x0037fffc,0x3e0bfffd,
    0x3e606fff,0x4c003fff,0xff73ffff,0xddddddff,0x329ddddd,0xeeeeffff,
    0x3eeeeeee,0x003fffee,0x3bffff20,0xeeeeeeee,0xfffb03ee,0xfffff90d,
    0xffffffff,0x3f2bffff,0xeeeeefff,0x23eeeeee,0x003ffff9,0x01ffffcc,
    0x07fffdc0,0x03fffe40,0x984ffff8,0x999cffff,0x2ffffd99,0x3ffffa00,
    0xfeaaaaaa,0xf90006ff,0xfffe8bff,0x95fffc9f,0xb955ffff,0x001dffff,
    0x40bffff1,0xffeccccc,0x7fff40ff,0xffffffff,0x22fffe44,0xfc9ffffe,
    0x3f2005ff,0xd8000fff,0xff986fff,0x99999cff,0x902ffffd,0x3e00ffff,
    0xff984fff,0x99999cff,0x802ffffd,0x99cffff9,0xffffd999,0x9ffff102,
    0xffffa800,0xffffff72,0xffffffff,0x1ffff2bf,0xffffb800,0xfffc8000,
    0xffb00007,0xffff90df,0x57fffa00,0x0007fffc,0x013fffe2,0x05ffff50,
    0x1ffff700,0x0ffff900,0x213fffe0,0xfffffffc,0xffffffff,0xffff5005,
    0xffffffff,0x2000dfff,0x7cc5fffc,0xfffcefff,0x70ffff95,0x005fffff,
    0x001ffffd,0x207fffe4,0xffffffe8,0xffc85fff,0x7fffcc5f,0x005fffce,
    0x001ffff2,0x6437ffec,0xffffffff,0x5fffffff,0x00ffff90,0x3213fffe,
    0xffffffff,0x5fffffff,0xfffffc80,0xffffffff,0x3ffe05ff,0x7ff4007f,
    0xffff70ff,0xffffffff,0x3ff2bfff,0x3ee0007f,0xc8000fff,0x00007fff,
    0xf90dfffb,0x3fa00fff,0xffff95ff,0xffff8000,0x7fff4007,0xffb8000f,
    0xffb800ff,0x7fc401ff,0xffff83ff,0xffffffff,0x800fffff,0xfffffffe,
    0xffffffff,0xfff90006,0xfffff90b,0x3ff2bfff,0xffff907f,0xfffb803f,
    0x3ff2005f,0xfff900ff,0x3205dfff,0xffc85fff,0x05ffffff,0x01ffff20,
    0x437ffec0,0xffffffff,0xffffffff,0xffffb80f,0x7fffc401,0xffffff83,
    0xffffffff,0x7fc00fff,0xffffffff,0x0fffffff,0x07ffffd0,0x9ffffea0,
    0xfffffffb,0xffffffff,0x00ffff95,0x07fffdc0,0x3fffe400,0xfffd8000,
    0x07fffc86,0x32bfffd0,0x40007fff,0x003ffffe,0x00fffff5,0x03fffee0,
    0x1bfffea0,0x85ffffb0,0xfffffffa,0xffffffff,0x7fcc03ff,0xffffffff,
    0x06ffffff,0x0bfff900,0xfffffff1,0x1ffff2bf,0x06ffffe8,0x17ffffc4,
    0x7fffec40,0x355bf500,0x5fffc801,0xffffff88,0x3f2005ff,0xfb0007ff,
    0xfffa8dff,0xffffffff,0x83ffffff,0x406ffffa,0x542ffffd,0xffffffff,
    0xffffffff,0x3ffea03f,0xffffffff,0x03ffffff,0x03fffff3,0x2ffffe88,
    0x00566540,0x003fffe4,0x01ffff70,0x0ffff900,0x3fff6000,0x07fffc86,
    0x32bfffd0,0x40007fff,0x01fffff9,0x17ffff44,0xffffb800,0xffff8800,
    0x7fdc40cf,0x7fec0fff,0xeeeeeeff,0x6ffffeee,0x67fffec0,0xfccccccc,
    0x90006fff,0x3ea0bfff,0x95ffffff,0x7c40ffff,0x5c04ffff,0x104fffff,
    0x1ffffff7,0x9000bf60,0x3ea0bfff,0x05ffffff,0x01ffff20,0x237ffec0,
    0xeeeffffd,0xffeeeeee,0xfff886ff,0x7dc40cff,0x7ec0ffff,0xeeeeefff,
    0xffffeeee,0x3ffff606,0xeeeeeeee,0x206ffffe,0x03fffffc,0x0bfffff5,
    0x0bffff90,0x007fffc8,0x03fffee0,0x1ffff200,0x7ffec000,0x07fffc86,
    0x32bfffd0,0x80007fff,0x03fffffc,0x0bfffff5,0x7fffdc00,0xffff7000,
    0xfffd9dff,0xff889fff,0xff9004ff,0x3fe605ff,0xffe805ff,0xff90006f,
    0x7ffec0bf,0xfff95fff,0xffffb80f,0x7ffec01f,0xfeddefff,0x0fffffff,
    0xc8001ff0,0x3f605fff,0x005fffff,0x001ffff2,0xf137ffec,0x32009fff,
    0xfb82ffff,0xecefffff,0x44ffffff,0x004ffff8,0x105ffff9,0x2009ffff,
    0x102ffffc,0xdfffffff,0xffffffb9,0xf531003f,0x7fe403ff,0x3ee0007f,
    0xc8000fff,0x00007fff,0xf90dfffb,0x3fa00fff,0xffff95ff,0xfff10000,
    0xfb9dffff,0x03ffffff,0x7fffdc00,0x3fffa000,0xffffffff,0x7fe40fff,
    0xff3001ff,0x3ff20bff,0xffe802ff,0xeeeeeeff,0xf93eeeee,0x7fcc0bff,
    0xff95ffff,0xfffd00ff,0xffd880df,0xffffffff,0x01dfffff,0xf9000bf3,
    0x7fcc0bff,0x2005ffff,0x0007fffc,0x7e4dfffb,0xf3001fff,0x3fa0bfff,
    0xffffffff,0x640fffff,0x3001ffff,0xf90bffff,0x26003fff,0x2605ffff,
    0xfffffffe,0x2fffffff,0x03ffc800,0x3bbffff2,0xeeeeeeee,0xffff75ee,
    0xdddddddd,0x3ff29ddd,0xeeeeeeff,0x85eeeeee,0xfc86fffd,0xffd007ff,
    0x3ffff2bf,0xeeeeeeee,0xe985eeee,0xffffffff,0x02ffffff,0x7fffdc00,
    0x3ff62000,0xffffffff,0xffff80df,0x7fff4006,0x7fffc40f,0xffffd006,
    0xffffffff,0x3ff29fff,0x7ffe405f,0xffff95ff,0xfffff100,0xffff7007,
    0xffffffff,0x03fc805d,0x05fffc80,0x2fffffe4,0x0ffff900,0x9bfff600,
    0x4006ffff,0x880ffffe,0xfffffffd,0xf80dffff,0x74006fff,0x7fc0ffff,
    0x7f4006ff,0x7e400fff,0xffffffff,0xab800dff,0x01fffcba,0x3ffffff2,
    0xffffffff,0xffff76ff,0xffffffff,0x3ff2bfff,0xffffffff,0x86ffffff,
    0xfc86fffd,0xffd007ff,0x3ffff2bf,0xffffffff,0x3206ffff,0xffffffff,
    0x0000dfff,0x00ffffb8,0xffffea80,0xf503efff,0xb8007fff,0x7e43ffff,
    0xfd003fff,0xffffffff,0x29ffffff,0xe805fffc,0xff95ffff,0x3fee00ff,
    0xb8800fff,0xdffffffe,0x01fd002c,0x0bfff900,0x0bffffd0,0x03fffe40,
    0x56fffd80,0x8007ffff,0x203ffffb,0xffffffea,0xfff503ef,0xffb8007f,
    0x3ffea3ff,0x7fdc003f,0xed9803ff,0x2defffff,0x3ffffe00,0x7fe402ff,
    0xffffffff,0x76ffffff,0xffffffff,0xbfffffff,0x3ffffff2,0xffffffff,
    0xfffd86ff,0x07fffc86,0x32bfffd0,0xffffffff,0xffffffff,0x7ff6cc06,
    0x002defff,0x3fffee00,0x2a620000,0xffd8009a,0x7c4000ff,0x3fe27fff,
    0xfd000fff,0xffffffff,0x29ffffff,0xa805fffc,0xff95ffff,0x7fec00ff,
    0x4c4005ff,0x060000aa,0x2fffe400,0x2ffffd40,0x0ffff900,0x5bfff600,
    0x000ffffd,0x03ffffc4,0x004d54c4,0x007fffec,0x9ffffe20,0x000ffffd,
    0x03ffffc4,0x0004d4c0,0x02accba8,0xffffff90,0xffffffff,0x3ffeedff,
    0xffffffff,0xff95ffff,0xffffffff,0x0dffffff,0xf90dfffb,0x3fa00fff,
    0xffff95ff,0xffffffff,0x800dffff,0x000009a9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x32600000,0x00019903,0x204cc400,0x44001998,
    0x0ccc4099,0x00000000,0x05e88013,0x000003db,0x2604ccc0,0x00000099,
    0x83331000,0x4c400999,0x00ccc419,0x03333200,0x4ffff880,0x2a206600,
    0x00000001,0x4000ff30,0x802a8098,0x26209998,0x64c00019,0x31000001,
    0x00000155,0x26000000,0x0000aaaa,0x20000000,0x801ffffb,0xf31ffffa,
    0x00ffa81f,0x009fffd1,0xf12fff98,0xf98007ff,0x7fff12ff,0x3fffa000,
    0x6ffe4405,0x3e017ee1,0x007fd43f,0x7fffffe4,0x7fc03fff,0x13ffe66f,
    0xffffc800,0x803fffff,0x3fe0fffd,0x7ffdc06f,0x003fff61,0x01ffff80,
    0x017fff20,0x4df7ff4c,0x54003fd8,0xffffffff,0x3ee2006f,0xffc8001f,
    0x00ff72cf,0x7e45fff5,0xfd0000ff,0x200009ff,0xffffffda,0x200003ef,
    0x3201aa98,0x7fff4005,0x7fe44004,0xeeed800c,0x02dffc88,0x3bffffe6,
    0x17fff400,0x3f2b3bfa,0x7ffc405f,0x7fdc000f,0x006ffe8f,0xfd1fff70,
    0x3e6000df,0x7dc00eff,0xffefffff,0xdfffb804,0xf9005ffe,0xffffffff,
    0x26fff807,0x0004fff9,0x3ffffff2,0xfd803fff,0x1bffe0ff,0x6c3fff70,
    0x20000fff,0x1001ffff,0x6c00bfff,0xffffffff,0x7fd4002f,0x6fffffff,
    0xffffd980,0xff5004ff,0xbfffffff,0x45fff500,0x8000fffc,0x00fd8bf9,
    0x3fff6200,0xffffffff,0xfb50000e,0x5dffffff,0xa802ffdc,0xb8005fff,
    0xe803fddf,0xfffd9fff,0xbffd105f,0x7d40bffd,0xfff982ff,0x9800efff,
    0xe8004fff,0x00ffffff,0x3ffffa00,0xfb0000ff,0xbfd001df,0x1fffffd9,
    0x3ffff200,0xdd7000df,0x5ddddddd,0x266fff80,0x20004fff,0xeeeeeeeb,
    0xffd802ee,0x01bffe0f,0x7ec3fff7,0x3e0000ff,0xf7001fff,0xbff800df,
    0x06ffffdb,0xeeeee980,0x5404eeee,0xffffffff,0x6fe400ef,0x1ffffeca,
    0x22fffa80,0x8000fffc,0x005f30fc,0x3ffffea0,0xffffffff,0x362003ff,
    0xffffffff,0xfffcefff,0x0bffb003,0x06d97a00,0xffefffe8,0xff902fff,
    0x40bffe6d,0x32203ffe,0x4c004efe,0x44000fff,0x002fffff,0x7ffffc40,
    0xfff30003,0x931ba001,0xb980019d,0x000002cc,0x44799900,0x00002ccc,
    0x99950000,0x4c03ccc8,0x332e0ccc,0x66640004,0x1bdb000c,0x541e4400,
    0x0000001c,0x3ffffe20,0x05ffffff,0x2ee6065c,0x39993000,0x00066654,
    0x07ece7cc,0x7fffc400,0xfedcdfff,0x801fffff,0xfffffffa,0xffffffff,
    0xff3004ff,0x9ba0001d,0xfffe806e,0x107fffff,0x66543999,0x003cc884,
    0x39930000,0x79995000,0x332a0000,0x32a0003c,0x0000001c,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xf7dfffb0,
    0x05ffff7f,0x00000000,0x3ffe6000,0xfc8000ff,0xd302ffff,0x880dffff,
    0xdeffffff,0xfffffecc,0x2662005f,0x3bee0000,0xffe802fe,0x00531eff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x1fffff30,0x3fff6000,
    0xfff98006,0x200000ff,0x00fffff9,0x0dfffb00,0x017ffff6,0x07ffffc4,
    0xfffffff3,0xffffffff,0x5fffd89f,0xffff9800,0x3ff2000f,0xffffffff,
    0x23ffffff,0x7f98ffff,0x7e49fff9,0xfc801fff,0xffff95ff,0xffffffff,
    0x2007ffff,0x03fffffc,0x77fffcc0,0x7fff4400,0x3fff202f,0xffd302ff,
    0x80000dff,0x05bb5002,0x0bffffa0,0x00bfffb0,0x81bfff60,0xfc86fffd,
    0xffffffff,0x3fffffff,0xfffffff9,0x807bffff,0xfffffffc,0xffffffff,
    0xfffff93f,0xffffffff,0x3f607fff,0xfc8006ff,0x0003ffff,0x000dfffb,
    0x07fffff9,0x7ffe4000,0xfb0003ff,0x3fe20dff,0xfd802fff,0x7fcc3fff,
    0xffffffff,0x44ffffff,0x8005fffd,0x03fffffc,0x3fffff20,0xffffffff,
    0xfff13fff,0x5645fe6b,0x3ffff209,0x5fffc806,0xfffffff9,0xffffffff,
    0x3ffe007f,0x74006fff,0x3002ffff,0x260fffff,0x200effff,0x2fffffe8,
    0xeffeca80,0x001bf72d,0xdfffd000,0x0bfffb00,0x1bfff600,0xc86fffd8,
    0xffffffff,0xffffffff,0xffffff93,0xdfffffff,0x3ffff203,0xffffffff,
    0xff93ffff,0xffffffff,0x07ffffff,0x001bfff6,0x1bfffffe,0x37ffec00,
    0x7ffffc00,0x3e00006f,0x006fffff,0x40dfffb0,0x406ffffa,0x986ffffa,
    0xffffffff,0xffffffff,0x02fffec4,0x7fffffc0,0x3fff2006,0xffffffff,
    0xf13fffff,0x01fe6dff,0x0ffffff2,0x32bfff90,0xffffffff,0xffffffff,
    0xffffa803,0x3e002fff,0x6c006fff,0xfe80ffff,0x7f402fff,0x206fffff,
    0xffffffd8,0x105ffeff,0x9dffffd9,0x2ffff401,0x02fffec0,0x06fffd80,
    0x321bfff6,0xffffffff,0xffffffff,0xffffff93,0xffffffff,0xffff909f,
    0xffffffff,0x3f27ffff,0xffffffff,0x3fffffff,0x00dfffb0,0xffffffa8,
    0xffd8002f,0x7fd4006f,0x002fffff,0xfffffa80,0xfd8002ff,0x7fec06ff,
    0x3ffa03ff,0xeee981ff,0xfeeeeeee,0x6c3fffff,0x54005fff,0x2fffffff,
    0xdffff900,0xdddddddd,0x7ffc5ddd,0xc807f9af,0x00ffffff,0x7e57fff2,
    0xeeeeefff,0x2eeeeeee,0xfffffd80,0xff1005ff,0xfa8009ff,0xfff81fff,
    0x7ffec06f,0x981ffffe,0xffffffff,0xf706ffff,0xffffffff,0x3fffa03f,
    0x5fffd804,0xdfffb000,0x437ffec0,0xeeeffffc,0xeeeeeeee,0xdffff92e,
    0xffffdddd,0xffc83fff,0xeeeeeeff,0x92eeeeee,0xddddffff,0xdddddddd,
    0x1bfff605,0xfffffb00,0xfb000bff,0xfd800dff,0x05ffffff,0xffffd800,
    0xd8005fff,0x7c406fff,0xfb80ffff,0x40004fff,0x86fffff8,0x4005fffd,
    0xfffffffd,0xffff9005,0xfffe8000,0xfc807fef,0x205fffff,0xff95fffc,
    0x100000ff,0xfffdffff,0xfff3001f,0xff98007f,0x7ffc43ff,0x3fff203f,
    0x42ffffb9,0xacffffe8,0x87ffffeb,0xfffffffa,0xe81fffff,0xfd804fff,
    0xfb0005ff,0x7fec0dff,0x7fffc86f,0x3fff2000,0x3fffaa07,0x3fffe46f,
    0xffff9000,0x7fec0000,0x3fe2006f,0x0ffffeff,0x37ffec00,0xdffff100,
    0x0001ffff,0x7f7fffc4,0x6c000fff,0xfb806fff,0x7fc45fff,0x40000fff,
    0x80effffe,0x2005fffd,0xffeffff8,0xffc800ff,0x7cc0007f,0x0bffffff,
    0x3fffff20,0xfff902ff,0x01ffff2b,0x3ffee000,0x03ffff9f,0x02ffffb8,
    0x27fffc40,0x40bfffea,0xff52fffb,0xfffc87ff,0x7fff441f,0x77fff43f,
    0xffffdbab,0x04fffe84,0x005fffd8,0x40dfffb0,0xfc86fffd,0x320007ff,
    0xfd807fff,0x3ff23fff,0x3f20007f,0x200007ff,0x2006fffd,0xff9ffffb,
    0x7ec003ff,0x3ee006ff,0xffff9fff,0x3fee0003,0x3ffff9ff,0x37ffec00,
    0x1ffffe80,0x00bffff2,0xfffffb00,0x17fff603,0x9ffffb80,0xc803ffff,
    0x80007fff,0xfffffffc,0xfffc81ef,0xf906ffff,0x3fff2bff,0xfe800007,
    0xdfffb4ff,0x3ffff700,0xffff8800,0x0ffffdc5,0xf31fffd4,0x7fc49fff,
    0xfffd83ff,0x3ffa27ff,0x5fffe81f,0x803fffe8,0xb915fffd,0x3f607bff,
    0x3ff606ff,0x7fffc86f,0x3fff2000,0xffff8807,0x01ffff27,0x07fffc80,
    0x3fff6000,0x3fffa006,0x00dfffb4,0x006fffd8,0x7ed3fffa,0x3a0006ff,
    0xfffb4fff,0xfffd800d,0xffff3006,0x17fffe6d,0xffff7000,0x7ffec05f,
    0x3fffa005,0x00dfffb4,0x000ffff9,0x3ffffee0,0x7e43ffff,0x3fffffff,
    0xf95fffc8,0x80000fff,0xf51ffffa,0xfb805fff,0x44002fff,0x7e44ffff,
    0x7fd41fff,0x7fffc44f,0x21fffe65,0xffffbffc,0xff701981,0x7fffd0df,
    0x3bfffb00,0xbffffffd,0x06fffd81,0x321bfff6,0x20007fff,0x9007fffc,
    0x3f21ffff,0x320007ff,0x00007fff,0x401bfff6,0xf51ffffa,0x6c005fff,
    0xf5006fff,0x3fea3fff,0xfa8002ff,0xfff51fff,0x7fec005f,0x3ff2006f,
    0xffffebff,0x3fe60000,0x7ec04fff,0xff5005ff,0x3ffea3ff,0x7ffe402f,
    0x2e200007,0xfffffffe,0x3b7fff23,0x7e40ffff,0xffff95ff,0xffd80000,
    0x3fffe26f,0x7fffcc05,0x7ffcc003,0x7fffdc3f,0x217ffe62,0x2e4ffff8,
    0x7fdc6fff,0x005ffff3,0xdfffd931,0x007fffd0,0xfffdfffb,0x89ffffff,
    0x3606fffd,0xffc86fff,0x3f20007f,0xff7007ff,0x3fff23ff,0x3ff20007,
    0x3600007f,0xfb006fff,0x7ffc4dff,0x3ff6005f,0xfffb006f,0x2ffffc4d,
    0x37ffec00,0x00bffff1,0x0037ffec,0xfffffff1,0x440007ff,0x805fffff,
    0xb005fffd,0x7fc4dfff,0x7fe405ff,0xffffffff,0x804fffff,0xfffffff9,
    0x2b7fff27,0x7e45ffff,0xffff95ff,0xffffffff,0x7c409fff,0x7fec3fff,
    0x3fe200ff,0x7dc004ff,0x7fd41fff,0xbfff13ff,0x8ffffe60,0x3ea5fffc,
    0x13fffa4f,0x7ffff64c,0xffe86fff,0xfffd803f,0xffcabeff,0x3ff60fff,
    0x3fff606f,0xfffffc86,0xffffffff,0x3fff24ff,0xffff5007,0x3fffff25,
    0xffffffff,0x3fff24ff,0xffffffff,0x3604ffff,0xf8806fff,0x7fec3fff,
    0xffb000ff,0xfff100df,0xffffd87f,0x3ffe2000,0x7fffec3f,0xdfffb000,
    0xffffa800,0x40006fff,0x00effffe,0x805fffd8,0x6c3ffff8,0x3200ffff,
    0xffffffff,0x4fffffff,0xff97f980,0x3fff23ff,0x45ffffb5,0xff95fffc,
    0xffffffff,0x409fffff,0x4c0ffffb,0x7c03ffff,0x07506fff,0x981ffffd,
    0xfe8dffff,0xfff500ef,0xb7ffdc5f,0x7ff45ff9,0x7fffe43f,0x6fffffff,
    0x803fffe8,0xb86ffffd,0x3f62ffff,0x3ff606ff,0xffffc86f,0xffffffff,
    0x3ff24fff,0xfff3007f,0x3ffff27f,0xffffffff,0x3ff24fff,0xffffffff,
    0x204fffff,0xb806fffd,0x7cc0ffff,0xfb003fff,0xff700dff,0xfff981ff,
    0x3fee003f,0x7ffcc0ff,0xfffb003f,0xfffb000d,0x40003fff,0x01fffffd,
    0x00bfffb0,0x981ffff7,0x3203ffff,0xffffffff,0x4fffffff,0x3f67f980,
    0xbfff92ff,0x43bfffe2,0xff95fffc,0xffffffff,0x409fffff,0xff05fffe,
    0xffe80dff,0x3ffe82ff,0x10fffff5,0xffddffff,0x7ffec01d,0x3fffea0f,
    0x7fc0eff9,0x3fff61ff,0xffb9bdff,0x3fffe86f,0x0ffffd80,0x6c5ffff0,
    0x3f606fff,0xfffc86ff,0xffffffff,0x3f24ffff,0xff1007ff,0x3fff29ff,
    0xffffffff,0x3f24ffff,0xffffffff,0x04ffffff,0x201bfff6,0xff05fffe,
    0x3f600dff,0xffe806ff,0xdffff05f,0x2ffff400,0x006ffff8,0x000dfffb,
    0x09fffff1,0x7fffdc00,0x3ff6002f,0xfffe805f,0x0dffff05,0x777fffe4,
    0xeeeeeeee,0x4bb72e3e,0x3ffee7f9,0x5cbfff92,0xff94ffff,0x3ffff2bf,
    0xeeeeeeee,0xff303eee,0x333339ff,0x405ffffb,0x20effff9,0xfeeffffa,
    0xffb03fff,0x403fffff,0x447ffff9,0x0fffffff,0xa87fffd4,0x5c0bffff,
    0x79906fff,0xfffd8015,0x8ffffe07,0x3606fffd,0xffc86fff,0xeeeeeeff,
    0x323eeeee,0xf3007fff,0x3ff27fff,0xeeeeeeff,0x323eeeee,0xeeeeffff,
    0x3eeeeeee,0x01bfff60,0x339ffff3,0xffffb333,0xdfffb005,0xcffff980,
    0xffd99999,0xff9802ff,0x99999cff,0x802ffffd,0x0006fffd,0x001ffff9,
    0x3ffffea0,0x7ffec003,0x7fffcc05,0xfd99999c,0xff902fff,0x7e4000ff,
    0x64ff36ff,0xfff91fff,0x9ffffe8b,0xff95fffc,0x320000ff,0xffffffff,
    0x5fffffff,0x7ffffe40,0x3ffff662,0x3e606fff,0x401fffff,0xd82ffffe,
    0x441fffff,0x3f25fffe,0xfff906ff,0x3ffffe0d,0x1bfff602,0x363ffff8,
    0x3f606fff,0xfffc86ff,0x3ff20007,0xfff5007f,0x1ffff25f,0x7fffc800,
    0x3ff60000,0x7ffe406f,0xffffffff,0xd805ffff,0x7e406fff,0xffffffff,
    0x05ffffff,0xffffffc8,0xffffffff,0xfffd805f,0xfff90006,0x3fe2000f,
    0xd8005fff,0x7e405fff,0xffffffff,0x05ffffff,0x000ffff9,0x4dffffd4,
    0x1ffff17f,0xf317fff2,0xfff9dfff,0x01ffff2b,0x7ffffc00,0xffffffff,
    0x2200ffff,0xceffffff,0xffffffcb,0x7ffec01f,0xffd301ef,0x3fe20bff,
    0xfa89bfff,0x3f60ffff,0xffe885ff,0xff95306f,0x2fffec0d,0x6c7fffd0,
    0x3f606fff,0xfffc86ff,0x3ff20007,0xfff7007f,0x1ffff23f,0x7fffc800,
    0x3ff60000,0x7fffc06f,0xffffffff,0x400fffff,0x7c06fffd,0xffffffff,
    0xffffffff,0x7ffffc00,0xffffffff,0x6c00ffff,0x90006fff,0x1000ffff,
    0x00dffffd,0x017fff60,0xffffffff,0xffffffff,0xffff901f,0xfffe8000,
    0xfffbffdf,0x17fff24f,0x3ffffff2,0xffff95ff,0xfff50000,0xffffffff,
    0x07ffffff,0xfffffe98,0xffffffff,0x3ee00cff,0xacdfffff,0xffffffdc,
    0x3ffff601,0xffffffff,0x17fffe42,0x0fffffb3,0xb00fff88,0x7f40bfff,
    0x3fff63ff,0x1bfff606,0x001ffff2,0x007fffc8,0x321ffff9,0x20007fff,
    0x0007fffc,0x81bfff60,0xfffffffa,0xffffffff,0x7fec03ff,0x3ffea06f,
    0xffffffff,0x03ffffff,0x3fffffea,0xffffffff,0x7ec03fff,0xf90006ff,
    0xfb000fff,0x0001ffff,0xa817fff6,0xffffffff,0xffffffff,0x7fffc83f,
    0x7ffcc000,0xffffffff,0x17fff20f,0x3fffffe2,0xffff95ff,0xfffb0000,
    0xdddddddf,0x0dffffdd,0xfffff910,0xffffffff,0xfa819fff,0xffffffff,
    0xffffffff,0x3fffea02,0xefffffff,0xfffffa82,0xffffffef,0x3b2aaa67,
    0x3ff606ff,0x3fffa05f,0x81bfff63,0xfc86fffd,0x320007ff,0xf8807fff,
    0x3ff27fff,0x3f20007f,0x200007ff,0x3606fffd,0xeeeeffff,0xfffeeeee,
    0x7ffec06f,0x3ffff606,0xeeeeeeee,0x206ffffe,0xeeeffffd,0xffeeeeee,
    0x7fec06ff,0xff90006f,0xffb800ff,0x20001fff,0x3605fffd,0xeeeeffff,
    0xfffeeeee,0x7fffc86f,0xfffb8000,0x0effffff,0xa82fffe4,0x5fffffff,
    0x000ffff9,0x04ffff88,0x05ffff90,0x3fffb660,0xffebceff,0x3fe62fff,
    0xfffffddf,0x0dffffff,0x3277fe20,0x0cefffff,0x3fffff60,0xffffbfff,
    0xffffff51,0x7ffec01b,0x8ffffa05,0x3606fffd,0xffc86fff,0x3f20007f,
    0xffc807ff,0x3fff22ff,0x3ff20007,0x3600007f,0xff106fff,0x3f2009ff,
    0x3f602fff,0xfff106ff,0x3ff2009f,0xfff882ff,0xfff9004f,0x7ffec05f,
    0xfff90006,0x7ffd400f,0x6c0003ff,0xff105fff,0x3f2009ff,0x7fe42fff,
    0xb300007f,0x07dfffff,0xd817fff2,0x95ffffff,0x8000ffff,0x001ffffc,
    0x00bffff3,0x7e406a60,0x2ffec6ff,0xffffffb3,0x1ae005bd,0xb80026a6,
    0xb0dfffff,0x32a29fff,0xfd800abc,0x3ffa05ff,0x1bfff63f,0xc86fffd8,
    0x20007fff,0x2607fffc,0x645ffffd,0x20007fff,0x0007fffc,0x41bfff60,
    0x001ffffc,0x40bffff3,0xf906fffd,0x26003fff,0xfc85ffff,0xf3001fff,
    0x7ec0bfff,0xf90006ff,0x7e400fff,0xeeeeffff,0xeeeeeeee,0x17fff60e,
    0x00ffffe4,0x45ffff98,0xeeeffffc,0xeeeeeeee,0x07fdc05e,0x817fff20,
    0x5ffffff9,0xdddffff9,0xdddddddd,0x37fffcbd,0x3ffffa00,0xb3000000,
    0x201d905f,0x00009a98,0x2a600000,0xb0000001,0x7f40bfff,0x3fff63ff,
    0x1bfff606,0x3bbffff2,0xeeeeeeee,0xffff95ee,0xffffdddd,0xfc83ffff,
    0xeeeeefff,0x5eeeeeee,0xdddffff9,0xdddddddd,0x3fff60bd,0x0dffff06,
    0x0ffffe80,0x20dfffb0,0x4006ffff,0x7c0ffffe,0x74006fff,0xfb00ffff,
    0x32000dff,0x32007fff,0xffffffff,0xffffffff,0x3fff60ff,0x0dffff05,
    0x0ffffe80,0x3ffffff2,0xffffffff,0x3fcc06ff,0x02fffe40,0x57fffff2,
    0xfffffffc,0xffffffff,0x7ffff56f,0xffffb800,0x04000003,0x00000010,
    0x00000000,0x3ff60000,0x3fffa05f,0x81bfff63,0xfc86fffd,0xffffffff,
    0x6fffffff,0xfffffff9,0xffffffff,0xfffff907,0xffffffff,0x3ff2dfff,
    0xffffffff,0x06ffffff,0xf50dfffb,0xb8007fff,0xfb03ffff,0xfff50dff,
    0xffb8007f,0x3ffea3ff,0x7fdc003f,0xfffb03ff,0x3ff2000d,0x3ff2007f,
    0xffffffff,0xffffffff,0x217fff60,0x003ffffa,0x91ffffdc,0xffffffff,
    0xffffffff,0x807f980d,0xe805fffc,0xff95ffff,0xffffffff,0x2dffffff,
    0x000ffffd,0x03ffffc4,0x00000000,0x00000000,0x00000000,0xd02fffec,
    0x7fec7fff,0x3fff606f,0xfffffc86,0xffffffff,0xfff96fff,0xffffffff,
    0x3f203bff,0xffffffff,0x6fffffff,0xfffffff9,0xffffffff,0x3fff60df,
    0x0ffffd86,0x7fffc400,0x0dfffb07,0x001ffffb,0x27ffff88,0x000ffffd,
    0x83ffffc4,0x0006fffd,0x400ffff9,0xfffffffc,0xffffffff,0x3ff60fff,
    0xffffd85f,0x7ffc4000,0x3ffff27f,0xffffffff,0x9806ffff,0x5fffc801,
    0x5ffffa80,0xfffffff9,0xffffffff,0x000000df,0x00000000,0x00000000,
    0x00000000,0x0bfffb00,0xfb1ffff4,0x7fec0dff,0xffffc86f,0xffffffff,
    0xff96ffff,0xdfffffff,0xffc8059b,0xffffffff,0x96ffffff,0xffffffff,
    0xffffffff,0x1bfff60d,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000008,0x01555440,0xaa855530,0x9815401a,0x2aa2001a,0x540000aa,
    0x00002aaa,0x00000000,0x55530001,0x4002aaa8,0x2aa20000,0x54c4002a,
    0x55510009,0x55551000,0x40554001,0xaa8001a9,0x000001aa,0x00000000,
    0x664b332e,0x555441cc,0x800aaa60,0x00002aa8,0x02aa2000,0xc9800000,
    0xccc98ccc,0x4c055403,0x0000001a,0x003efc88,0x7fff7050,0x07fffcc0,
    0x53fff880,0xff803fff,0x2002ff82,0x005ffffd,0x0bfffe20,0x3fff6000,
    0x7ff6d404,0xb7002def,0x0019dfff,0x3ea9fff1,0xed9801ff,0x2000ceff,
    0x000ffff8,0x07fffff7,0x0007ff90,0x00bffffb,0x1ff41ff4,0x3bffee00,
    0xffd00000,0x03fffa9f,0x3ffffb22,0x7cc000ce,0xfffa8eff,0x22bffd05,
    0x32003fff,0xdfffb5ff,0x6fffe800,0x3fffff20,0xffff90df,0xffffffff,
    0xfffe80bf,0x803fffd2,0x03fe83fe,0x2e23ddd9,0x2002dffd,0x002fdcfd,
    0x3fee1f66,0x3ffe603f,0x3fea000f,0x803fffbf,0xfda9bffc,0xfff5000f,
    0x20005fff,0x8003fffc,0xffeaaaa9,0x7f440adf,0xffffffff,0xfffd100e,
    0x005fffff,0xfff7fff3,0xffff7009,0x2003dfff,0x800ffff8,0xfffffffb,
    0x03ffe203,0xfffff700,0x3ff2005f,0x00ffda9c,0x007fff40,0x9fffd000,
    0xf703fffa,0xffffffff,0x7fec003f,0x01dffb0f,0x3fafffe2,0x7ff4005f,
    0x00dfffb3,0x986fffe8,0xfffffffe,0xffffc9ff,0xffffffff,0x3ffe605f,
    0x007fff54,0xfb539ff9,0x3fff601f,0xffffff9a,0x24f8805f,0xffc8805f,
    0x03fffb87,0x003fffe6,0xbfffffb0,0x3fffa200,0xf1002fff,0x1fff97ff,
    0x3fff8800,0xffff9000,0x85ffffff,0xfffffffd,0xe886ffff,0xffffffff,
    0xffc801ff,0xfb806fff,0xffffffff,0xfff8801f,0x7ffc400f,0x00fffd8c,
    0x88007ff9,0xfffcafff,0xffffd000,0xfa8007ff,0x400001ff,0xffd4fffe,
    0x7fffd41f,0xffffffff,0x1fff9801,0xa803fff3,0x00ffffff,0xfd8fffc0,
    0x7f4006ff,0x7ffcc6ff,0xffffffff,0xffffffef,0x5fffffff,0xfd97ff60,
    0x3ffa004f,0x3603ffff,0xffffdfff,0x804fffff,0x7009f15f,0xff70ffff,
    0x7774405f,0x7f44000e,0x22000fff,0x001dfffc,0xffd97ffa,0x27fdc005,
    0xffff9000,0x45ffffff,0x89bffff9,0x42ffffda,0xeceffffc,0xd006ffff,
    0xf003ffff,0xffb9ffff,0xdd1009ff,0xffa801dd,0x03fff10f,0x8001fff1,
    0x3ff65ffe,0x3fff2005,0xffe8002e,0xfe800001,0x1fffd4ff,0x55f7fff4,
    0x04ffffdb,0x3f62ffc8,0xfffb002f,0xff98005f,0x01bfff67,0xd8dfffd0,
    0xccefffff,0xfffffffe,0xeeeeeeee,0xdff304ee,0x4002ffcc,0x402efffc,
    0xbefffffd,0x07ffffda,0x01ffefc8,0x207fffb8,0x000001fd,0x00099988,
    0x19980000,0x2000ccc4,0x54000198,0xfffecccc,0x3ffee1ce,0x839bfb04,
    0x7dc4fffe,0x98801fff,0xffa80099,0x3ffee0ff,0xb800000f,0x17ffc7ff,
    0x4001ffe4,0x0ccc4199,0x4c000000,0xd0000009,0x3fc49fff,0xd03fffd1,
    0x3300bfff,0x40009981,0xb8001999,0x3fff65ff,0x7fff4006,0x3ffffe66,
    0xfffff981,0x4c40003f,0x00066209,0xfffd8000,0xffffc86f,0x01dea800,
    0x20ffff70,0x00000ff8,0x00000000,0x00000000,0xffb00000,0xffff709f,
    0x7fcc0017,0x7ffc40ff,0xd000002f,0xfff09fff,0x9000007f,0x3fff8dff,
    0x0007ffc4,0x00000000,0x00000000,0x7d49fffd,0x3ee03305,0x000006ff,
    0xfd800000,0x1bfff63f,0x4dfffd00,0x201ffffe,0x03fffff8,0x00000000,
    0x3fff6000,0xffff880f,0x75400001,0x5eeffffe,0x65407fd5,0x000cdffe,
    0xbdfffdb5,0x3fb2a005,0xb5000cdf,0x05bdfffd,0x3fffb6a0,0xfb7002de,
    0x3ff619df,0xffff984f,0x3002ceff,0xffff1055,0x7fee4403,0xff100cef,
    0xfff905ff,0x7fee440d,0xff700cef,0x643fff8d,0x220003ff,0x0cefffdc,
    0x407ddd90,0x9102eeee,0x019dfffb,0x33bff6e0,0x2e9fffd0,0x931001ff,
    0x320dfffd,0x3ba03eee,0xfd9502ee,0x7c0019bf,0x3fff62ff,0x7fff4006,
    0x0bffff36,0x07ffffb0,0x3f6e6000,0x4c002cef,0x02ceffdb,0x441bfff6,
    0x3b22ffff,0x3bba03ee,0xfffff72e,0x13f2ffff,0xffffffd8,0x3fa202ff,
    0xffffffff,0x3fff600e,0x202fffff,0xffffffe8,0xd100efff,0xffffffff,
    0x3f6201df,0xdaffffff,0xffd04fff,0xbfffffff,0x3ff20005,0x3ffee07f,
    0x83ffffff,0xb80ffff9,0xff706fff,0x7fffffff,0x7c4fff50,0x3ffe22ff,
    0xfff70000,0x07ffffff,0x7c09fffb,0xffb82fff,0x3fffffff,0x3ffff620,
    0xfffe9fff,0xc9805fd4,0xfffffffe,0x09fffb06,0x6c17fffc,0xffffffff,
    0x0fff9802,0x001bfff6,0x3eadfffd,0xf9802fff,0x40003fff,0xffffffe8,
    0x74400dff,0xffffffff,0x6fffd80d,0xd8ffffe0,0x3fe04fff,0xffff72ff,
    0x062fffff,0xffffffe8,0xfb04ffff,0xffffffff,0x3ffa0dff,0xffffffff,
    0xfffffb04,0x0dffffff,0x3ffffff6,0xd06fffff,0xffffffff,0x209fffff,
    0xffffffe8,0x000dffff,0x09ffff95,0x3ffffff2,0x543fffff,0xfa80ffff,
    0xfffc87ff,0xffffffff,0xb9fffc43,0x3ff20fff,0xfff90003,0xffffffff,
    0x04fffd87,0xf90bfffe,0xffffffff,0x3ffa07ff,0xffffffff,0x40134fff,
    0xfffffffc,0xfb06ffff,0x7ffc09ff,0x7ffff42f,0x04ffffff,0x3f637fdc,
    0x7f4006ff,0xffff76ff,0xffff1001,0x7f440007,0xffffffff,0xffd101ff,
    0xffffffff,0x5fffd83f,0xd8ffffe0,0x3fe04fff,0xffdd52ff,0x700bddff,
    0xf77fffff,0xf981ffff,0xda89bfff,0x7dc2ffff,0xffbbffff,0x7fcc0fff,
    0xfda89bff,0x7fcc2fff,0xfda89bff,0x7fd42fff,0xfebadfff,0x4c04ffff,
    0xfffffffd,0xffd805ff,0xff303fff,0xffb7dfff,0x7fd41fff,0xffff507f,
    0x7ffffcc1,0xfffffdbe,0x7ffffe40,0x3ffe24ff,0xfff98000,0xfffdbeff,
    0x3fff60ff,0x8bfffe04,0xbefffff9,0x40fffffd,0xadfffffb,0x4ffffffb,
    0xfffffd80,0x6fffb9bd,0x409fffb0,0x3ee2ffff,0xffbbffff,0x3f600fff,
    0x37ffec4f,0x5bfffa00,0x000ffffc,0xffffffff,0x10dfffff,0x99dffffd,
    0x10dffffd,0x99dffffd,0xd8dffffd,0x3fe04fff,0x3fff63ff,0x0bfffe04,
    0x400ffff7,0xd84ffff8,0x7fdc4fff,0x39bfb04f,0x427fffc4,0x7dc4fffd,
    0x9bfb04ff,0x04fffb83,0xff839bfb,0x7f441eff,0x26004fff,0xffffffdb,
    0x7ffff400,0x3bfffa03,0x1ffffcc1,0x2a0ffff7,0x3fa1ffff,0x7fcc1eff,
    0x7fec43ff,0x3f20dfff,0xffd0004f,0xfff983df,0x13fff63f,0x3a2ffff8,
    0x7cc1efff,0x3fe23fff,0x7f441eff,0x7d404fff,0x7dc0bfff,0xfffb06ff,
    0x97fffc09,0xd84ffff8,0x3fe04fff,0x37ffec2f,0x5bfffa00,0x2007fffd,
    0xffffffff,0xd86fffff,0xfc83ffff,0x7fec3fff,0xfffc83ff,0x13fff63f,
    0x363ffff8,0x3fe04fff,0x7ffdc2ff,0x3ffee007,0xffffa80f,0x2ffffee0,
    0x3ffee000,0xffffa80f,0x2ffffee0,0x7ffdc000,0x3e6000bf,0xff502fff,
    0x054c09ff,0x0ffffe44,0x3fffffe0,0x7fffc40c,0x4379db02,0xf307fffc,
    0x3fe23fff,0x79db02ff,0x0b32ea03,0x3101fff1,0x17fffc40,0x361bced8,
    0x3fe04fff,0xffff12ff,0x86f3b605,0x502ffff9,0xc809ffff,0xff906fff,
    0x3fff60df,0x4bfffe04,0xa80ffffb,0xf980ffff,0x7ffec0ff,0x7fff4006,
    0x00ffffd6,0x7ffffff4,0x86ffffff,0x3a04ffff,0x7ffc7fff,0x3fffa04f,
    0x813fff67,0x3f63ffff,0x3ffe04ff,0x3fffdc2f,0x0dfff900,0xf30ffffc,
    0x59dfffff,0x06fffc80,0xf987fffe,0x2cefffff,0xfffff980,0x7d402cef,
    0x7ffc07ff,0x7fff444f,0x3ffff305,0xfffbab80,0x3ffea1ff,0xffc8000f,
    0xffff507f,0x03fffea3,0xffb00000,0x4ffffc89,0x00ffffa8,0x04fffd80,
    0x7d4bfffe,0xb8000fff,0x7fc07fff,0x7fec04ff,0xfffe885f,0x09fffb06,
    0xfc97fffc,0x3ffe06ff,0x86ffb81f,0x4006fffd,0xffb6fffe,0x7ffc00ff,
    0xeeeeeeef,0x7ffcc5ee,0x3ffea00f,0x1ffff30f,0x87fffd40,0x3e04fffd,
    0x3ff63fff,0x3fffe04f,0x03fffdc2,0xddffffb0,0xffffdddd,0xfffffe85,
    0xd82dffff,0xeeeeffff,0x42ffffee,0xfffffffe,0x3fa02dff,0xffffffff,
    0x7fffb82d,0x427fff40,0x20bffffd,0x007fffd9,0x2e4fffe8,0x70007fff,
    0x3ea0ffff,0xfff70fff,0x8800000f,0x3ff60fff,0x7dc6ffff,0xfb0007ff,
    0x7ffc09ff,0x0ffff72f,0x1bfff200,0x809ffff0,0x262ffffc,0xb07ffffd,
    0x7fc09fff,0xffffb2ff,0xffdddddd,0x9ff905ff,0x00dfffb0,0xf96fffe8,
    0x3e001fff,0xb8003fff,0x7c407fff,0xfff72fff,0xffff880f,0x409fffb2,
    0x3f63ffff,0x3ffe04ff,0x3fffdc2f,0xffffff00,0xffffffff,0xfffe887f,
    0xdfffffff,0x3fffffe0,0xffffffff,0x7fff443f,0xdfffffff,0xffffe880,
    0x0dffffff,0xd01bfff2,0xff109fff,0xfffdffff,0x70005fff,0x7fe4ffff,
    0xff50006f,0x3ffea0ff,0x01bfff27,0x9ffb0000,0x7ddfffd4,0x3fff23ff,
    0xfffb0006,0x97fffc09,0x0006fffc,0xe80dfffb,0x7d404fff,0xffefffff,
    0xfb07ffff,0x7ffc09ff,0xffffff2f,0xffffffff,0x05ffd07f,0x800dfffb,
    0xff76fffe,0xff1003ff,0xf90007ff,0xfff00dff,0x1bfff27f,0x6cffffe0,
    0x3fe04fff,0x3fff63ff,0x0bfffe04,0x400ffff7,0xfffffffe,0x4fffffff,
    0xfffffb30,0x7f4bffff,0xffffffff,0x304fffff,0xfffffffb,0x7ecc0bff,
    0xffffffff,0x01fffee5,0x2609fffd,0xffffffff,0x10004fff,0x3ee5ffff,
    0xf30007ff,0xff701fff,0x3fffdcff,0xff300000,0x92ffec1f,0x7ffdcdff,
    0xfffb0007,0x97fffc09,0x0007fffb,0xe80dfff9,0xfd804fff,0xbfffffff,
    0xfd81ffff,0x3ffe04ff,0xfffffd2f,0xffffffff,0x0fff889f,0x336fffd8,
    0x3ffa0575,0x7ffff55f,0x7ffff700,0xffff7000,0x2ffff880,0x880ffff7,
    0xffb2ffff,0x7fffc09f,0x813fff63,0x7dc2ffff,0x3f6007ff,0x400005ff,
    0xfffffdb9,0x0bfffb0f,0xfdb98000,0x800fffff,0xfffffdb9,0x0ffff50f,
    0x204ffff8,0xffffffb8,0xba9881df,0x7ffff302,0x403fffea,0xfff98098,
    0x6fffc81f,0x403fffea,0xfb000098,0x23ffe89f,0x3fea7ffb,0x013100ff,
    0x220bfffb,0xff52ffff,0x026201ff,0xf01fffee,0x2e009fff,0xb0dfffff,
    0xffb09fff,0x3ffe20bf,0x0bfffb2f,0x83ffd400,0xffd6fffd,0x3fffe09f,
    0x0dffff15,0x07ffffb0,0x0ffff300,0x31ffff98,0xf980ffff,0xfffb1fff,
    0x1ffffc09,0x220bfffb,0x7dc2ffff,0x3f2007ff,0x00300fff,0xff910153,
    0x3fff23ff,0x5300300f,0xffff9101,0x91015303,0x3e63ffff,0xff302fff,
    0x366009ff,0x3f201dff,0xfff707ff,0x3fffe63f,0x8bfff902,0xfe83ffff,
    0x3ffe64ff,0xbfff902f,0x07ffcc00,0xffa8bffe,0x5ffff30f,0xd97fff20,
    0xff305fff,0x3ffe65ff,0xbfff902f,0x80ffffd4,0x004ffffa,0x37dc0d4c,
    0x20bfffb0,0xf92ffff9,0x00601fff,0x3f60bff9,0xdfffb6ff,0x49ffff10,
    0x202ffffd,0x03fffffa,0x07ffff00,0x3e3fffe4,0x3f203fff,0xff0007ff,
    0x7ffec5ff,0x5ffff305,0x007fffb8,0x20ffffe6,0xd10deffb,0x3e60bfff,
    0xfff31fff,0xbdff707f,0x17fffa21,0x88ffffcc,0xf305fffe,0x3fe23fff,
    0x7f440eff,0xf5004fff,0x2a0bfffd,0x7443ffff,0x3fe0ffff,0x7fc40eff,
    0x7ffe44ff,0x3fffea0f,0x077fffc1,0x013fffe2,0xff84ffd8,0xf1ffea3f,
    0xf881dfff,0x3fee4fff,0xfffe80ff,0x3bfffe2f,0x27fffc40,0x81dffff1,
    0x04ffffe8,0x817f6000,0xe80ffffb,0xff32ffff,0xdff707ff,0x03ffe81b,
    0x3f2dfffb,0x3f222fff,0x3fe62fff,0xffa83fff,0x0003ffff,0x503ffffd,
    0xfe89ffff,0xffa81fff,0xf98004ff,0x3fee2fff,0xfffe80ff,0x7fffd42f,
    0xffe804ac,0xfff51cff,0xffffd8df,0x3fff660b,0x67ffff47,0x8dffff51,
    0x20bffffd,0x6c7fffd9,0x260bffff,0x7dc7fffd,0xfc9aefff,0x004fffff,
    0x80fff441,0xcadfffff,0x543fffff,0xb9beffff,0x441ffffe,0xfbadffff,
    0xffa85fff,0xfeb9beff,0xf3001fff,0x7ffd01ff,0x3ea3ffdc,0xeb9befff,
    0x3ea1ffff,0xfb51dfff,0x7d45ffff,0xeb9befff,0x7dc1ffff,0xfc9aefff,
    0x004fffff,0xa81bfa00,0xb51dffff,0x745fffff,0xf51cffff,0xff88dfff,
    0xdfffb01f,0x37ffffe6,0x86fffffd,0xeffffffd,0xfffffffe,0xffffffff,
    0x3ea1ffff,0xcaabffff,0x540effff,0xaabfffff,0x00effffc,0x3fffaee0,
    0x3fffea2f,0xffffb51d,0xffff985f,0xff9807ff,0xffffffff,0x7ffc41ff,
    0xffffefff,0x7ffcc2ff,0xffffffff,0x7fffc41f,0xfffffeff,0x7fffc42f,
    0xfffffeff,0xffffe82f,0xffefffff,0xff90004f,0x3fffe605,0x6fffffff,
    0xffffffd0,0x209fffff,0xfffffffd,0xffd02fff,0xffffffff,0x7fec009f,
    0x74dff904,0xfffe85ff,0xffffffff,0x7ffffc44,0xffefffff,0x7ffff42f,
    0x4fffffff,0xffffff88,0xfffeffff,0x3fa00004,0xffff101f,0xfdffffff,
    0x7ffcc5ff,0xffffffff,0x03ffd41f,0x7e4dfffb,0xffffffff,0xfff880ff,
    0xffffffff,0xffffffdf,0xffffffff,0x7ffffd41,0x2fffffff,0xffffff50,
    0x05ffffff,0x7ffffc40,0x3ffe20ff,0xefffffff,0xffe82fff,0x9800ffff,
    0xfffffffe,0xfff302ff,0xffffffff,0x3fffa609,0x02ffffff,0xfffffff3,
    0x2609ffff,0xffffffff,0xfd304fff,0x77ffffff,0x57009fff,0x80dffb75,
    0xfffffffa,0xfb100dff,0xffffffff,0xffffd80b,0x2203ffff,0xfffffffd,
    0x3e6005ff,0xfff300ff,0x103fffdd,0xfffffffb,0x3fea0bff,0xd9ffffff,
    0x7ec42fff,0xffffffff,0x3fffa605,0xffbaffff,0x2a00004f,0x547defff,
    0xffffffff,0x4c2fffd9,0xfffffffe,0x5ffc82ff,0x89bfff60,0xfffffffe,
    0x3fa202ff,0xffffffff,0xffffffc9,0xffffffff,0xfffffa81,0x401effff,
    0xfffffffa,0x4c001eff,0x84ffffff,0xfffffffa,0x82fffd9f,0x1effffe8,
    0xfffd9100,0xb88039ff,0xdfffffff,0x7ff64401,0x4401cfff,0xfffffffb,
    0x7fdc401d,0x01dfffff,0x2effffc8,0xf009fff7,0x03dfffff,0xfffffb10,
    0x3faa005f,0x002effff,0x3dffffd7,0x3fffaa00,0x6c002eff,0x7fdc04ff,
    0x5404ffff,0x2efffffe,0x7ffff540,0x05fffb0d,0x3fffffaa,0xffc8802e,
    0xfff71eff,0xfe800009,0xfea87fff,0xffb0dfff,0xffd9105f,0x3a039fff,
    0x3ff603ff,0xffffb86f,0xd9002dff,0x21bfffff,0xfffffffc,0x1fffffff,
    0xffffd930,0x764c009d,0x004effff,0xdfffff70,0x7ffff540,0x05fffb0d,
    0x20000d44,0x80009a98,0x00019a98,0x00013531,0x00033531,0x00066a62,
    0x4000054c,0x001accaa,0x00013530,0x80004d4c,0x200009a8,0x880009a9,
    0xc9800eee,0x4c002dee,0x5440009a,0x35300001,0x02a60001,0x26000000,
    0x2a201bdc,0xa9880001,0x05554009,0x9a988000,0x02a60000,0x4c000000,
    0x99800009,0x6dcc0000,0x351001bd,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2aaa2000,0x2aa20002,0x555401aa,0x0100002a,0x98000800,
    0x2aaa0aaa,0xaa980002,0xaaa88000,0x00000002,0x00055553,0x00000020,
    0x35533000,0x40554000,0x000002a8,0x35555100,0x20aaa880,0x51002aa9,
    0x44000555,0x5401aaaa,0x00002aaa,0xaa880000,0x2aa20009,0x80aaa60a,
    0x2a61aaa8,0x54c000aa,0xaa880009,0x510000aa,0xdd903555,0x0aaa887d,
    0x7400aaa6,0x0004ffff,0x300bfffb,0x0005ffff,0x33bffb6e,0xfffeb800,
    0xffb801df,0x41fff61f,0x2a0ffffb,0x0dfffffd,0x3ffff600,0x8f776404,
    0x03dffdb8,0x02ffff88,0xbfffd900,0x7ff4c007,0x4009913f,0xffffffe9,
    0x84fd8003,0xeca804fd,0x0000cdff,0x801dfff9,0x3f62fffb,0xffe800ff,
    0xf90004ff,0xff300bff,0x910005ff,0x019dfffb,0xffffda80,0xd800cfff,
    0x7fff15ff,0x71fffcc0,0xd7003fff,0x05dfffff,0x2ffffec0,0xefffb800,
    0x44fffd80,0x3f62fffb,0x7fe400ff,0x4001ffff,0x000efff8,0x800bfff3,
    0xffffffd8,0xffd301ff,0x0bffffff,0x361fffb8,0xfff707ff,0x3ffff61f,
    0x800fffff,0x2ffffffb,0x26bfff60,0xefffffff,0x37ffcc00,0x3fffa600,
    0x000dffff,0xffdfffb1,0x3ffea00b,0x05ffffff,0x5567fd40,0x7ec01ffc,
    0x2fffffff,0x77ffc400,0x2fffb800,0x9003fff6,0x03ffffff,0x0efff880,
    0x0bfff300,0xfffffb80,0x9003ffff,0xffffffff,0xf8805fff,0x05ffecff,
    0xf71fffcc,0xffc803ff,0x4fffffff,0xfffffa80,0xfff8002f,0x9fffb00f,
    0x362fffb8,0x3e600fff,0x0effd9ff,0x03bff200,0x03fff500,0x3ffffa20,
    0x40ffffff,0xfffffff8,0x2e04ffff,0x3ff61fff,0x3ffff707,0xfffffffd,
    0xf9809fff,0x0fffcaff,0xffbfffb0,0xbfffffff,0x05fff300,0x3ffffe60,
    0x00efffff,0x07ffff60,0x7ffffc40,0x03ffffed,0x7ffffec0,0x7fff404f,
    0x4fffffff,0x03ffee00,0xb17ffdc0,0x7cc01fff,0x0effd9ff,0x03bff200,
    0x03fff500,0x3fffff20,0x03ffffff,0x3fffffa6,0xffffffff,0x7fffd403,
    0x7fcc00ff,0x07ffee3f,0xffffffd8,0x202fffff,0xffbbfff8,0x3fee000f,
    0x3fff601f,0xb17ffdc4,0x3a201fff,0x9ffd14ff,0x03ffe200,0x02ffd400,
    0xcfffffd8,0x645ffffe,0xfcbeffff,0x5301ffff,0x15554155,0xffffffb8,
    0xfffedfff,0x3fa01fff,0x417ffa4f,0xbefffffd,0x0fffffca,0x005ffa80,
    0xfbdffffd,0x3009ffff,0x09fffffb,0x83fffee0,0x8006fffa,0x402effeb,
    0xbbfffffb,0x000fffff,0x44003fff,0x2aa60aaa,0x53ffa202,0x1004ffe8,
    0x20001fff,0xf9805ffa,0xfdbeffff,0xfd00ffff,0xfb9dffff,0x03ffffff,
    0x02ffffd8,0x261aaa88,0xff300aaa,0xff735bff,0x7ff40fff,0x801bff65,
    0x76401ffe,0x555443ee,0x880aaa60,0x0ccc4199,0x00099880,0x4400cc40,
    0x320cffff,0x7ff47fff,0x3ffff84f,0xff700000,0x9839ffff,0x106ffffe,
    0x19988333,0x0dffffb0,0x005ffff7,0x3ea00662,0x3f622fff,0x3f200fff,
    0x3fffd8cf,0x85fffc80,0x00007ffe,0x4ffff880,0x004fffd8,0x00000133,
    0x88333100,0x33100199,0x19880001,0x1efffe80,0x41ffffcc,0x81effffb,
    0x06ffffea,0x00019998,0x3ffee000,0x1ffffb86,0x33303330,0x0004cc00,
    0x00000000,0x00000000,0x1bfff200,0xf833bbe2,0xffc81fff,0x7000004f,
    0x409fffff,0x00fffff8,0xfffd8000,0xffff880f,0xfc800002,0xfff985ff,
    0x8832603f,0x5c02ffff,0x3e60ffff,0x000006ff,0x80ffffb8,0x000ffffa,
    0x00000000,0x00000000,0xfff88000,0x379db02f,0x06ffff88,0x0fffffcc,
    0x00000000,0x883fffe8,0x0001deff,0x97000000,0xec800007,0x3bba03ee,
    0x07ddd92e,0xec977774,0x3bba03ee,0x0ffffe2e,0x07fffa00,0x300ffff2,
    0x059dffb7,0x037fffdc,0x017ffff4,0x59dffb73,0x037ffec0,0x4c07ffff,
    0x02ceffdb,0x7c0ffff6,0x5cc06fff,0x6fffaacc,0xaffffcc0,0x004fffe8,
    0x3ffffb22,0xfffc80ce,0x07fffe06,0xceffdb98,0x3fb2a002,0x95000cdf,
    0x0019bffd,0x337ffb2a,0xffd95000,0x3fea019b,0xf90000ff,0xf9005fff,
    0x3bb237bf,0x3bbba03e,0xfffec882,0x3fa00cef,0x200102ff,0xeffffec8,
    0x7f64400c,0xd00cefff,0x1f7764df,0x365dddd0,0x3fe04fff,0x9fffb2ff,
    0xd97fffc0,0x3fe04fff,0xffff12ff,0xfff90003,0x03fffd09,0x3fffffa2,
    0xfb80dfff,0xfb802fff,0xfe883fff,0xdfffffff,0x05fffd80,0x220ffffe,
    0xfffffffe,0xffff80df,0x0ffff902,0x3fffff62,0x403ffffe,0xfecffffd,
    0xf7001fff,0xffffffff,0xffffd83f,0xffeeeeee,0xffe882ff,0x0dffffff,
    0x7ffffec0,0x7ec02fff,0x2fffffff,0x7ffffec0,0x7ec02fff,0x2fffffff,
    0x007fffb8,0x01bfffa0,0xfffd80c4,0x0bfffe04,0xfffffff7,0x3f603fff,
    0x2e0003ff,0xffffffff,0xfff701ff,0x3fffffff,0x7fecdff0,0x3fffe04f,
    0x409fffb2,0xffb2ffff,0x7fffc09f,0x409fffb2,0xff32ffff,0xbdd931ff,
    0x7fffcc07,0x6fffda9c,0xfffffd10,0x83ffffff,0x801ffffb,0x444ffffa,
    0xfffffffe,0x7ec1ffff,0x3ffa05ff,0x7fff443f,0xffffffff,0x81ffff41,
    0x4c0ffffc,0xffffffff,0x200fffff,0xfffffff8,0xff5002ff,0xffffffff,
    0x7fffc3ff,0xffffffff,0x7f443fff,0xffffffff,0xfffd01ff,0x9fffffff,
    0x3fffffa0,0xd04fffff,0xffffffff,0x3ffa09ff,0xffffffff,0x037ffe44,
    0x09ffff00,0x9fffb000,0x517fffc0,0xffffffff,0xf703ffff,0x2a000bff,
    0xffffffff,0x7d41ffff,0xffffffff,0x3fe21fff,0x813fff67,0xffb2ffff,
    0x7fffc09f,0x409fffb2,0xffb2ffff,0x7fffc09f,0xf7ffff52,0x01bfffff,
    0x3fffffe6,0xe880dfff,0xecceffff,0x7dc6ffff,0xf9801fff,0x3fa24fff,
    0xfeccefff,0x7fec6fff,0x3fffa05f,0x3ffffa23,0xffffecce,0x827ffec6,
    0x741fffff,0xffefffff,0x402fffff,0xeffffffb,0x3fffa001,0xfffdbabe,
    0x3ffffa4f,0xffffffff,0x3ffa24ff,0xffecceff,0xfffb86ff,0xffffbbff,
    0x7fffdc0f,0xfffffbbf,0x7ffffdc0,0x0fffffbb,0x5fffffdc,0x20fffffb,
    0x0007fffb,0x007ffff1,0x09fffb00,0xfd17fffc,0xfb757dff,0x5cc49fff,
    0x9999ffff,0xefffe801,0xffffdbab,0x5f7fff44,0x4ffffdba,0x7ec3ffe2,
    0x3ffe04ff,0x09fffb2f,0xfd97fffc,0x3ffe04ff,0x09fffb2f,0xfb97fffc,
    0xffffffff,0xf100ffff,0x0dffffff,0x41ffffec,0x2e3ffffc,0x9800ffff,
    0x3f65ffff,0xffc83fff,0x3fff63ff,0x8ffffa05,0xc83ffffd,0x3ee3ffff,
    0x7fcc0fff,0x3ff21fff,0x3fa62eff,0x3ee04fff,0x00ffffff,0x07fffa20,
    0xfd97fffa,0xfb0005ff,0xff907fff,0x7ffc47ff,0x4fffd84f,0x213fffe2,
    0x3e24fffd,0xffd84fff,0x3fffe24f,0x24fffd84,0x100ffffa,0xffff3013,
    0xffb00005,0x7fffc09f,0x03fffd12,0x7ecbfffd,0xffffffff,0x7ff4407f,
    0x5fffe81f,0x207fffa2,0x3e65fffe,0x9fffb1ff,0xd97fffc0,0x3fe04fff,
    0x9fffb2ff,0xd97fffc0,0x3fe04fff,0xffff92ff,0xfffd5bff,0xfffd109f,
    0x20bfffff,0x3a04ffff,0x3fee7fff,0xff8800ff,0x3fffe5ff,0x9ffffa04,
    0x3a05fffd,0x3ffe3fff,0x3fffa04f,0x3ffffe27,0xfffffb8b,0xdffff12f,
    0x1bfffe20,0x7fffffec,0x330006ff,0xc9bffee0,0x0300ffff,0xd027fffc,
    0x7fdcffff,0xfffa80ff,0x1ffff70f,0x21ffff50,0xa80ffffb,0xff70ffff,
    0xfff501ff,0x3fffe61f,0x4bfff902,0x002ffffa,0x04fffd80,0x260bfffe,
    0x4dfff701,0xfffffffd,0x26007fff,0x0dfff701,0x7ffdc066,0x6c7ffea6,
    0x3fe04fff,0x9fffb2ff,0xd97fffc0,0x3fe04fff,0x9fffb2ff,0xc97fffc0,
    0x5c1fffff,0x3e61ffff,0xffdcffff,0x3fe60eff,0x3fea00ff,0xffff70ff,
    0xffff1001,0x03fffe6b,0xb0ffffa8,0x7f40bfff,0xffff33ff,0x7fffd401,
    0x3ffffea0,0xffffffff,0x03ffff32,0x223fffdc,0xfeeffffe,0x7bf14fff,
    0x764c4005,0x3fe66fff,0xeffb83ff,0x1ffff30d,0x87fffd40,0x3e06fffc,
    0xfff91fff,0x8ffffc0d,0x3e06fffc,0xfff91fff,0x0ffffc0d,0x881dffff,
    0x3ea4ffff,0x80003fff,0x3e04fffd,0x98802fff,0x366fffec,0xffffffff,
    0x220007ff,0x06fffec9,0xfffd9310,0xd97ffdcd,0x3fe04fff,0x9fffb2ff,
    0xd97fffc0,0x3fe04fff,0x9fffb2ff,0xb97fffc0,0xfd06ffff,0x7fff45ff,
    0x3fffa20c,0x01fffee4,0x2e5ffff1,0x8800ffff,0xff75ffff,0xfff880ff,
    0x0bfffb2f,0xfb9ffff4,0x7fc407ff,0x7ffdc2ff,0xfffdffff,0x1ffff71f,
    0x0ffffcc0,0x269ffff7,0xfbafffff,0x764c06ff,0x6fffffff,0x8e7ffff4,
    0x2e6ffffa,0x7c407fff,0xfffb2fff,0xfddddddf,0x3ff65fff,0xeeeeeeff,
    0xffb2ffff,0xddddddff,0x3f65ffff,0xeeeeefff,0x2a2ffffe,0xb9beffff,
    0x261ffffe,0x0003ffff,0x204fffd8,0x9302ffff,0xfffffffd,0x7fe4cc4d,
    0x001999ef,0x7ffff64c,0x32606fff,0xfffffffe,0x6cffff26,0x3fe04fff,
    0x9fffb2ff,0xd97fffc0,0x3fe04fff,0x9fffb2ff,0xa97fffc0,0xfb03ffff,
    0x3ffe29ff,0x7fffb80f,0x201bfff2,0xff73ffff,0xff1001ff,0x3fff29ff,
    0x3ffff806,0x740bfffb,0xfff93fff,0x7ffff00d,0x5dfffb30,0x321ffff3,
    0x7c407fff,0x3ffa2fff,0x7fffd44f,0x903fffef,0xffffffff,0xff98dfff,
    0xffffffff,0x3fff21ff,0x3ffff806,0xffffffff,0x7fffffff,0x3ffffffe,
    0xffffffff,0xfffffff3,0xffffffff,0x3fffffe7,0xffffffff,0x7ffff43f,
    0x4fffffff,0x004ffff8,0x27ffec0a,0xc85ffff0,0xffffffff,0xff906fff,
    0x3f2000bf,0xffffffff,0xfffc86ff,0xffffffff,0x6d3fff26,0x3fe04fff,
    0x9fffb2ff,0xd97fffc0,0x3fe04fff,0x9fffb2ff,0x997fffc0,0xf902ffff,
    0x3ffeebff,0x3ffff106,0x101fffee,0x3ee5ffff,0xf8800fff,0xfff74fff,
    0xffff880f,0x40bfffb2,0xff73fffe,0xfff880ff,0x3ea0402f,0x3ffee7ff,
    0x7fffcc07,0x03ffff11,0xfffffff7,0xffffb03f,0xfff737bf,0xffffd30d,
    0xb85fffff,0x7c407fff,0xfffd2fff,0xffffffff,0x3ffa9fff,0xffffffff,
    0xffd4ffff,0xffffffff,0x3fa9ffff,0xffffffff,0x444fffff,0xfffffffd,
    0xfffd05ff,0x37fe600d,0x09fffb0a,0xfb17fffc,0x737bffff,0x3fa0dfff,
    0xfd8003ff,0xb9bdffff,0x7fec6fff,0xfb9bdfff,0x3fff66ff,0x409fffb5,
    0xffb2ffff,0x3ffe20bf,0x0bfffb2f,0x6cbfffe2,0xff105fff,0x3ffe25ff,
    0x9fff905f,0xf81bfff2,0xfff32fff,0xffff980f,0x01ffff71,0x27ffff50,
    0x4c07fff9,0xffb1ffff,0x7fff40bf,0x80ffff33,0x001ffff9,0xf537ffe4,
    0x7d401fff,0xfff70fff,0x7fffec0f,0xfffa85ff,0x7ffdc0bf,0xfffd9106,
    0xff3039ff,0xfff980ff,0x0bfffb1f,0x0bfffb00,0x0bfffb00,0x0bfffb00,
    0xfffd5000,0x7ec05dff,0xfc802fff,0xfffb2fff,0x3fffe20b,0x17ffff52,
    0x886fffb8,0x4001ffff,0x40bffffa,0x3ea6fffb,0x7dc0bfff,0x3fffa6ff,
    0x20bfffb5,0xfb2ffff8,0x3fe60bff,0xbfffb2ff,0x4bfffe60,0xf305fffd,
    0x7ff45fff,0x7fffd07f,0x203fffee,0x3e1ffffa,0x3f203fff,0x3ffee7ff,
    0xfffb800f,0x0ffffe2f,0x407fffc8,0xf800acca,0x3f203fff,0x332a67ff,
    0x49ffff05,0x203ffff9,0x3ee7fffd,0xfd102fff,0xf905ffff,0x3ff20dff,
    0x9ff9806f,0x1ffffc00,0x64ffff90,0x0300ffff,0x403ffff2,0x1ffff901,
    0x7ffe4060,0xb800300f,0xf8802dfe,0x2600efff,0x3f67ffff,0xfff305ff,
    0x1bfff25f,0x6c37ffe4,0xc8003fff,0xff906fff,0x37ffe4df,0x3e6fffc8,
    0xfffb6fff,0x3fffe60b,0x01ffff72,0x2e5ffffd,0xfe80ffff,0xfff72fff,
    0xffffd01f,0x1ffffd45,0x4c7fffe6,0xfd83ffff,0x3ffa0fff,0xfffa81ff,
    0x3fffee4f,0xffffe800,0x07ffffa1,0x013fffea,0x80bffff9,0xa81ffffe,
    0x3e64ffff,0x7fdc1fff,0x7fff40ff,0xffffa81f,0x17fffe64,0x7fffffd4,
    0x2fffec2f,0x037fff44,0xfe803fd4,0xffa81fff,0x3ffe64ff,0xdeffb83f,
    0x07ffff30,0x261bdff7,0xfb83ffff,0xfff30def,0xbdff707f,0x7ff7d401,
    0xfffc805f,0x7fdc41ef,0x3fee3fff,0xfffe80ff,0x0bfffb2f,0xd8dfffd1,
    0x0aa9efff,0x7ffec288,0x6fffe885,0x2217fff6,0x3fe6fffe,0xffff76ff,
    0x5ffffd01,0x477fffea,0x2fffffda,0x23bffff5,0x2fffffda,0x23bffff5,
    0x2fffffda,0x577ffff4,0x7c5ffffd,0xeaadffff,0x7d45ffff,0xcaabffff,
    0x2e0effff,0x7cc0ffff,0x5ffffecd,0x5fffffd4,0xeffffcaa,0x7fd4c400,
    0x3ffea01f,0xffcaabff,0x7ffc0eff,0xfffeabef,0xffff984f,0xfffcaaef,
    0x7fff40ef,0xffdbacef,0x4fffffff,0x98bffff2,0x807ffffd,0xfa800ffc,
    0xcaabffff,0x740effff,0xf51cffff,0xffe8dfff,0xfff51cff,0xffffe8df,
    0xdffff51c,0x1cffffe8,0x80dffff5,0x007ffa20,0x3bfffffa,0xffffffdd,
    0x3fffea0e,0xffffb51d,0x3ffff25f,0x3ffff662,0x3fffff27,0xecefffff,
    0x3fff20ff,0x3fff662f,0x3ffff27f,0x3ffff662,0x55bfffe7,0xb51dffff,
    0x225fffff,0xffffffff,0x12fffeff,0xffffffff,0x25fffdff,0xfffffff8,
    0x2fffefff,0x7fffffdc,0x4c0fffff,0xffffffff,0xfa80ffff,0xffffffff,
    0x7fdc2fff,0x7ffec0ff,0xa80fffff,0xffffffff,0x4002ffff,0x7d403ffc,
    0xffffffff,0xffb82fff,0xffffffff,0xffff900f,0xffffffff,0xfffff305,
    0xffffffff,0x27ffffff,0xeffffffa,0x07ffffff,0x5003ffb8,0xffffffff,
    0xf305ffff,0xffffffff,0xff983fff,0xffffffff,0x7ffcc1ff,0xffffffff,
    0x7fffcc1f,0xffffffff,0x17fe4001,0x7ffff4c0,0xffffffff,0x7fffc40f,
    0xfeffffff,0xffff52ff,0xfffffdff,0x7fffd4ff,0xffffffff,0x3fea4fff,
    0xfffeffff,0x3fea7fff,0xfffeffff,0x3ffe7fff,0xfffff16f,0xffdfffff,
    0x7fffd45f,0xffd9ffff,0x3fffea2f,0xffd9ffff,0x3fffea2f,0xffd9ffff,
    0xffffa82f,0x502fffff,0xffffffff,0x7fd403ff,0xefffffff,0x0ffffb81,
    0x3fffffe2,0x3fea03ff,0xefffffff,0x65d55c01,0xfa801fff,0xffffffff,
    0x3fff601e,0x00efffff,0x7fffffdc,0x2602efff,0xfffffffe,0xffd8bfff,
    0x7fffec5f,0xfffbffff,0x7ffc401f,0x3ea02ede,0xffffffff,0x3ffa601e,
    0x2fffffff,0xfffffd30,0x2605ffff,0xfffffffe,0xffd302ff,0x5fffffff,
    0xfdbaab80,0x3f62006f,0xffffffff,0xfff501ef,0xfb3fffff,0x7ffec5ff,
    0xffbfffff,0x3fffe1ff,0xffffffff,0x3f60ffff,0xbfffffff,0x3f61ffff,
    0xbfffffff,0xfff1ffff,0x7fffd4df,0xffd9ffff,0x7fff542f,0x5fffb0df,
    0xdffffea8,0xa85fffb0,0xb0dffffe,0x36605fff,0x00dfffff,0x7ffffe44,
    0xec9800cf,0x204effff,0x220ffffb,0x3fffffdb,0xfffec980,0xfff004ef,
    0x4005ffff,0xeffffec9,0xffff7004,0x6c4009df,0x0cffffff,0xfffff900,
    0xefb819ff,0xfffffb80,0x09fffb0d,0x5fffffb0,0xfffec980,0xd91004ef,
    0x039fffff,0xffffec88,0x764401cf,0x01cfffff,0x7ffff644,0xfff801cf,
    0x8001efff,0xffffffda,0xffea802e,0xfffb0dff,0xfffffb85,0x49fffb0d,
    0xb988befb,0xcfffffed,0x7ffffdc0,0x89fffb0d,0x0dfffffb,0x2aa9fffb,
    0x7ff542aa,0xfffb0dff,0x0006a205,0x20001a88,0x300001a8,0x2a600035,
    0x4cc0000a,0xa9800000,0x13300009,0xaccba800,0x09980002,0x01353000,
    0x009a8800,0x026a6200,0x1a980330,0x36e20000,0x4cc0009b,0x2a620000,
    0xa9880009,0xa9880009,0xa9880009,0x32aa0009,0x100001ac,0x22000353,
    0x2a60001a,0x40044001,0xa9801a98,0x06a60001,0x06a20000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26aa6200,0x2a600000,0x00001abb,
    0x01abba98,0x00000000,0x20000000,0x2a60aaa8,0x0000002a,0x0cd554c0,
    0x00000000,0x541aaa80,0x000001aa,0x03553100,0x35310000,0x88000001,
    0x540009a9,0x310000aa,0x00000355,0x000aa600,0x54c00155,0x00554002,
    0x26000310,0x0000002a,0x53055544,0xaa980055,0x322000aa,0x1effffff,
    0xfff93000,0x017dffff,0x7ffe4c00,0x00beffff,0x677f6d40,0x327ddd50,
    0xfd931eee,0x3ffa039d,0xfd80003f,0x09ffd16f,0x9fffb000,0xffffd980,
    0x201dffff,0xf007fffd,0x3ff6bfff,0x3ffe205f,0xd8fffe62,0xff007fff,
    0x7ecc0bff,0x1defffff,0xfffd5000,0x205dffff,0x5c03ffff,0xffffffed,
    0x3ffe802e,0x3fff6a00,0x002effff,0x0ffffd40,0x7002ffcc,0x3e6001ff,
    0x3fee005f,0xfffdb800,0x5ff1000c,0x77f6d400,0x07ddd51c,0x7fc57ff6,
    0x7f44003f,0x3fa003ff,0xffffffff,0x7ffe4002,0xffffffff,0xffc8003f,
    0xffffffff,0xfd8803ff,0xb9ffffff,0xfffd4fff,0xffffff53,0x7fffd07f,
    0xffd10000,0x000dffb9,0x813fff60,0xfffffffc,0xb05fffff,0x3e00ffff,
    0xfffb5fff,0x07ffd40b,0x7ec3fff5,0xfff007ff,0xfffd10bf,0xffffffff,
    0x7fec4007,0xffffffff,0x7fffc0df,0xffffb103,0xbfffffff,0x02ffe401,
    0xffffffb8,0x00dfffff,0x3ffff500,0x005fffb8,0x2e007ff1,0xf1005fff,
    0xfff5007f,0x3200bfff,0x3ff2006f,0xfaafffff,0xfff104ff,0x000bffd9,
    0x401bffe2,0xfffffffc,0x8800ffff,0x21bdfffe,0x0dfffdb9,0xdfffe880,
    0x3ff6e61b,0x3ffa00df,0xdfffffff,0xfffd4fff,0xfffffffb,0xfffe89ff,
    0xff300003,0x0003ffff,0x213fff60,0xffffffe8,0xffffffff,0x07fffd85,
    0x36bffff0,0x3f205fff,0x23ffe47f,0xf007fffd,0xfe88bfff,0xffffffff,
    0x9804ffff,0xffffffff,0x2fffffff,0x2a0ffffe,0xffffffff,0x2fffffff,
    0xb00dff50,0xffffffff,0x00bfffff,0x47fffea0,0x05ffffe9,0xd300df90,
    0x200bffff,0xffd006fc,0x3007ff61,0x3f6003ff,0xffffffff,0x2a04fffd,
    0x00ffffff,0x0bffe600,0x19ffff30,0x03ffffb1,0x003fff88,0x880dffb1,
    0x32003fff,0xfff506ff,0xfffb5bff,0x3ffa9fff,0xffbdffff,0x3fa1ffff,
    0x200003ff,0x003ffffc,0x13fff600,0x3ffffffa,0xfffffdce,0x7ffec4ff,
    0xbffff007,0xd817fff6,0x37fec5ff,0x401ffff6,0x7ec5ffff,0xdcefffff,
    0x05ffffff,0x3fffffa2,0xfffedcdf,0xffff1fff,0xfffff887,0xffedcdff,
    0xf881ffff,0x3fe600ff,0xfdbcefff,0x003fffff,0x91ffffa8,0x00bffbff,
    0xf9005ff1,0x100bffbf,0x262005ff,0xb007ff61,0x3fe600bf,0xffdbffff,
    0x6c04ffff,0x0002ffff,0x5c06ff98,0x7fc46fff,0x7fec02ff,0x7fdc0201,
    0x007ff604,0x3a13fea0,0x74c1efff,0xffd4ffff,0xffb83dff,0x3fffa5ff,
    0x4cc00003,0x6c000019,0x7fe44fff,0xfb303fff,0x7ec1ffff,0xfff007ff,
    0x13f6a6bf,0x7fc3fff8,0x3fffec4f,0x25ffff80,0x0cfffff9,0x1fffffb8,
    0x5fffff90,0x3ffffa60,0x42ffaa8f,0x02fffffd,0x0bffffd3,0xfc80bffa,
    0xff900fff,0xf5000dff,0x232e3fff,0xfd805ff8,0xf1197005,0x0bfb00bf,
    0x13fff200,0x2001ff50,0x4c2ffffe,0x804ffffe,0x00001999,0xffb00662,
    0xffff98bf,0x10bfee00,0x817bffb7,0xffb81ffc,0xdddddd52,0x1ffc817b,
    0x40bfffe6,0xfd4ffffa,0x3f203fff,0x3fffa7ff,0x00000003,0x3fff6000,
    0x3ffffe24,0x7fff4401,0x1ffff63f,0x22ffffc0,0x755533fe,0xf7559fff,
    0x3f6359ff,0xfff007ff,0x7fffe4bf,0x7fffd405,0xeffff985,0xffffd800,
    0x7d43ff13,0x4400efff,0xc82ffffe,0x3ffa04ff,0x3ffe204f,0xffa8007f,
    0x5ff881ff,0x000ffcc0,0x2602ffc4,0xfd0001ff,0x4fe807ff,0x9ffff100,
    0x13fffe60,0x00000000,0x913fff60,0xfe80dfff,0xfffffe85,0xf85fe86f,
    0x3fffee5f,0x740effff,0x1fffea5f,0x3a9ffff0,0x3e606fff,0xfffd1fff,
    0x33bfb267,0xffec8801,0xb800ceff,0xfb0ceffd,0x7ffdc9ff,0xbff3003f,
    0x3fffec39,0x25ffff80,0xfffb0ff9,0xffffffff,0x367fffff,0xff007fff,
    0x7f654bff,0xfffd800f,0x7fffec1f,0xffff3003,0xffb1bf2d,0x3e6005ff,
    0xffa87fff,0x1bfffa06,0x01999970,0x1ffffa80,0x7405ff88,0xff10005f,
    0x005fe80b,0x13ff66a0,0x98007fdc,0x3a01ffff,0x2e604fff,0x002ceffd,
    0xffffec88,0xfffd80ce,0x0ffffe24,0x7ec1ffa8,0x3ffc9adf,0xff507fdc,
    0x4ccffdc5,0x7dc3ffda,0x0ffff70f,0xfd4fffe8,0x7fc409ff,0x7fffd2ff,
    0xfffffff7,0x7fffdc07,0x01ffffff,0xffffffb1,0x49fffb5f,0x000ffffe,
    0x7fffd802,0x1bffff00,0x7fec7ff7,0xffffffff,0xb3ffffff,0x3e00ffff,
    0x03105fff,0x0ffffe60,0x800dffff,0xffeffffd,0x1bfffe21,0x1ffffb00,
    0xb00fff88,0x003bffff,0x7ffd4000,0x05ff881f,0x40003fea,0x3ea05ff8,
    0x2088000f,0xff887ff8,0x3ffee003,0x3fff600f,0xffffe884,0x000dffff,
    0xfffffff7,0xffe83fff,0x1bffee4f,0xffa8ffb0,0x260efd83,0x83ff63ff,
    0x5ff887fb,0xffc9ffcc,0x7ffec06f,0x809fffd4,0xffd3ffff,0xffffffff,
    0xff509fff,0xffffffff,0xfffd03ff,0xffffffff,0x3ffe29ff,0x3600005f,
    0xff007fff,0x87ffffff,0xfffffffd,0xffffffff,0x0ffffb3f,0x017fffe0,
    0x3fffe200,0x13fffe24,0xfffff500,0xffffa85d,0x7ffd4004,0x02ffe81f,
    0xfffffff5,0x4000015b,0x881ffffa,0x0ffa05ff,0x05ff8800,0xf1000ffa,
    0x437fccdf,0x7dc006fc,0x7fe407ff,0x7fff444f,0xffffffff,0x7fffd401,
    0xffffffff,0xe93fffa1,0x7f404fff,0x0103fe45,0x46fe97fe,0x4ff887fb,
    0xfff95ff8,0x4fffe80f,0x440bfffd,0xffd2ffff,0xf959ffff,0xfe83ffff,
    0xfdbabeff,0x7fd44fff,0xfebadfff,0xff34ffff,0x400009ff,0xf007fffd,
    0x017bffff,0x9fff3331,0x39fff333,0x1ffff613,0x8affffc0,0xaaaaaaaa,
    0xfaaaaaaa,0x3fe66fff,0x7cc003ff,0xff505fff,0xf98007ff,0xffc83fff,
    0x3ffff604,0x0befffff,0x7ffd4000,0x05ff881f,0x40001ff7,0xff705ff8,
    0xbff90001,0xf885fff9,0x7fd4002f,0x7ffec07f,0x3ffffa24,0xffffecce,
    0x77fff406,0xffffdbab,0x453fffa4,0x7c05ffff,0x0037ec3f,0x87ff37ec,
    0xeaaabffb,0x76fc80ff,0x7c01ffff,0xfffd4fff,0x7fffcc0d,0x1bffffd1,
    0x25ffff98,0xe81fffe8,0x7ffc5fff,0x7ff441ef,0xffff54ff,0x55555407,
    0x3f62aaaa,0xfff007ff,0x7fcc00bf,0x0bffe22f,0x401ffff6,0xff75ffff,
    0xffffffff,0xffffffff,0x7fffd4ff,0x7ffc4002,0xffff705f,0xfff88005,
    0x06ffa84f,0x3fffffa2,0x04ffffff,0x3fffea00,0x885ff881,0x440002ff,
    0x2ff885ff,0xfffd1000,0x0bfb0bff,0x1ffff300,0xb27fff40,0xf907ffff,
    0x3a207fff,0xffe81fff,0x93fffa5f,0x103ffffe,0x05ff83ff,0xff17fb80,
    0xfffffb85,0xff702eff,0x40ffffe6,0xfd4ffffb,0x3ee01fff,0xfffd0fff,
    0x3fff601f,0x3ee03307,0x3ffe66ff,0xffff502f,0x0bfffea9,0xfffffff8,
    0xfffb0fff,0x3fffe00f,0x3ffea005,0x203ffea0,0xf007fffd,0x3ff2bfff,
    0xffffffff,0xffffffff,0x3fffee7f,0x7ffc4001,0xffff905f,0xfff88003,
    0x0fff885f,0x7ffffdc0,0x05ffffff,0x3ffff500,0xf9079910,0x2009880d,
    0x6fc83cc8,0x73001310,0x3ff3039b,0x3e204c40,0xff302fff,0x7fffc9ff,
    0x1ffffa04,0x7fdc0660,0x93fffa6f,0x03fffffa,0x06fe87ff,0x3fe6fc80,
    0x7ff7fdc3,0x9bf200ef,0x10bffffe,0x29fffff7,0x885ffffe,0x3fa6ffff,
    0x3fea05ff,0xc98800ff,0x3ea6fffe,0x7ffc07ff,0x7ffff54f,0x7fffffc0,
    0xffb0ffff,0x3ffe00ff,0x3ff2005f,0xd83ffe47,0xff007fff,0x3ffeabff,
    0xffffffff,0xffffffff,0x0bfffee7,0x9ffff100,0x0bfffee0,0x9ffff100,
    0x4007ffe0,0xffffffc9,0xa8005fff,0x4001ffff,0x3e601ff9,0xff30006f,
    0xffffea83,0x27f40003,0xfd0dff30,0xffb01dff,0x3ffe69ff,0x3ffea00f,
    0x64c4000f,0x3fa6fffe,0x7ffe44ff,0x45fe81ff,0x017307fd,0x22ff4bff,
    0x1bfea7fb,0x3fee5fe8,0xfffdffff,0xffd4ffff,0xf935bfff,0x7f43ffff,
    0x3fe604ff,0xfd9301ff,0x4dffffff,0x7407fffb,0xfff34fff,0x7fffc09f,
    0x90ffffff,0x3e00ffff,0x4c404fff,0x999effe9,0x0999effe,0x200ffff9,
    0xff34ffff,0x555559ff,0xfff55555,0x7fffccff,0x7ffcc003,0xffff303f,
    0xfff98007,0x07ffb03f,0xfffb7100,0xa8003fff,0x4001ffff,0x3fa205fd,
    0xbfb0006f,0xffffff98,0xff50001f,0x1bffa201,0x33ffffea,0xfffffea9,
    0x80ffff74,0x802ffff8,0xfffffec9,0x3fffa6ff,0xfffffd84,0x3ee3fec0,
    0x20ffe83f,0x1ff64ff9,0x4ffb8ff7,0x7ec4ff88,0xefffffff,0xffd4fffe,
    0xffffffff,0xffe8bfff,0x3ffe203f,0x7fffe42f,0x6fffffff,0xd01bfff2,
    0x3fe29fff,0x333205ff,0x0ffffecc,0x200ffff9,0x6c04ffff,0xffffffff,
    0xffffffff,0x00ffff93,0xff93fffe,0xff1004ff,0x7ffc4dff,0x7fdc004f,
    0xfff102ff,0xffa8009f,0xbff702ff,0xffd88000,0x7d4003ff,0x2a001fff,
    0x3ff601ff,0xffa8006f,0x5457fec1,0xfd0005ff,0x37ffec07,0xffffffe8,
    0x4fffffff,0xf00dfff9,0x7e407fff,0xffffffff,0x3fffa6ff,0xdffffb04,
    0x7f41ffa8,0x3ffc98cf,0xff507fdc,0x7f43fdc3,0x407fd40f,0xdffffffc,
    0xfd4fffd8,0xffff99ff,0xfe81bfff,0x3fe204ff,0x3fff61ff,0xffb9bdff,
    0x1fffee6f,0x749fffd0,0x2000ffff,0xf90ffffc,0x3fe00fff,0x7fec04ff,
    0xffffffff,0x93ffffff,0x3e00ffff,0x3ffa4fff,0xfff5006f,0x7ffff89f,
    0x7ffff400,0x1ffffe00,0x1ffffd00,0x971ffe60,0x3fe00bdb,0x975315ff,
    0x07fffea0,0x3204fe80,0x8006ffff,0x45dc84fe,0xfb8007ff,0x3ffff207,
    0xffffd106,0xfffb9fff,0x01fffee9,0x205ffff1,0xbdfffffd,0x3a6fffb9,
    0x3f604fff,0x27fc0fff,0x3fffffe6,0xf85fe86f,0x2a1fee4f,0x02fec5ff,
    0x6c7bfd95,0xfffd4fff,0x3ffffee9,0x0bfffd03,0xa87fffcc,0x5c0bffff,
    0x3fea6fff,0x7fffc07f,0x17fffee4,0x0ffffc80,0x803ffff7,0x403ffff8,
    0xfffffffd,0xffffffff,0x3ffff73f,0x3ffff880,0x007ffff6,0xb07ffff6,
    0x2007ffff,0x407ffffa,0x003ffffe,0x80fffff5,0x3ff21fff,0xffe800ff,
    0x1ffff56f,0x03ffff70,0x5403fee0,0x006ff9ff,0xb8007fdc,0x7c4005ff,
    0xf3ff702f,0xfffc80df,0x9fffb2ef,0x301fffe6,0xf503ffff,0xfb817fff,
    0x3fffa6ff,0x3fffe204,0x2217fdc2,0x40befffc,0xffb82ffc,0x3fa0ff72,
    0x005ff72f,0xe9ffff40,0x05444fff,0x03ffffa0,0xf93fffe4,0x3ff20dff,
    0x3fffe66f,0x9ffff302,0x17ffffc4,0x7fffec40,0x0dffff50,0x02ffffd8,
    0x4fffecc4,0x99fffd99,0xffff5099,0xffffd80d,0x1bfffea2,0x0fffff50,
    0x03fffff3,0x2ffffe88,0x7ffffcc0,0x7fff4401,0x1ffec02f,0x809ffff3,
    0xf34ffffa,0xff905fff,0xff1001ff,0x7cffe607,0x3fe2006f,0x1fff7003,
    0x306fc800,0x01bfe7ff,0x3ff6054c,0x0ffffe4f,0x907fffc8,0x3f20dfff,
    0x3fffa6ff,0x3fffe044,0x101ffd83,0x813fee01,0xa8001ffd,0x66f444ff,
    0x3fffe02b,0x009fffd2,0x17ffffa0,0xd97fffe2,0xfe885fff,0x3ffe26ff,
    0x7ff440ef,0x7ffdc4ff,0xff7104ff,0x3e21ffff,0xa80cffff,0x000fffff,
    0xffd8bffd,0x3fffe205,0x7fdc40cf,0x7fe40fff,0xffb80dff,0xff902fff,
    0x3ea07fff,0x9005ffff,0x207fffff,0x05fffffa,0x7fc5ffb8,0xe881cfff,
    0xff11ffff,0x7fcc1dff,0xdf9006ff,0xff93fe20,0x01bf2006,0x0017ffec,
    0x3e207fe6,0x001bfe4f,0x749fffb0,0xfa81ffff,0xffb04fff,0xfffd10bf,
    0x927fff4d,0xffff93bf,0x07fff103,0x2037fe40,0x2003fff8,0xfff06ffc,
    0xfff905ff,0x13fffa1f,0x7ffff400,0xfffc9adf,0x3fff21ff,0x3fff662f,
    0x7fffdc7f,0xffffc9ae,0xfffd84ff,0xfeddefff,0x0fffffff,0x3fffffee,
    0xfffffdce,0x3ffe004f,0x2027ffc3,0xeffffffb,0xffffffec,0xfffffd04,
    0xffffdb9b,0x7ffc40bf,0xfdceffff,0x01ffffff,0xffffff10,0xffffb9df,
    0xf3003fff,0xffffb8ff,0xffdcceff,0x7fec7fff,0xfffeceff,0xff8802ff,
    0xfffff902,0x8809ffff,0x7f4402ff,0xfd8001ef,0xfffff905,0x0009ffff,
    0xfa93fff6,0xcaabffff,0x900effff,0x6cc5ffff,0x3fa7ffff,0xffffd4ff,
    0x4c0dffff,0x20bdfffe,0x0dfffdb9,0xdfffe980,0x3ff6e60b,0xfffb00df,
    0xfffd9dff,0x7fff49ff,0xfffd0004,0xfffffffd,0xfffa8bff,0xffffefff,
    0xfffe87ff,0xfeffffff,0xffd884ff,0xffffffff,0x81dfffff,0xfffffffe,
    0x0fffffff,0x45fff300,0xe802fff8,0xffffffff,0x00ffffff,0xfffffff1,
    0x1dffffff,0xffffe980,0xffffffff,0x74c002ff,0xffffffff,0x02ffffff,
    0xfb07ffe0,0xffffffff,0x983fffff,0xffffffff,0xfb004fff,0x7fffe40d,
    0x404fffff,0x7f4406fd,0xf98000ef,0xffff900f,0x009fffff,0x513fff60,
    0xffffffff,0x5405ffff,0xfeffffff,0x3a7fffff,0xffd14fff,0x003fffff,
    0xfdfffffb,0x007fffff,0xdfffffb0,0x07ffffff,0xfffffe88,0x0fffffff,
    0x0013fffa,0x7e4ffff4,0x0dffffff,0xffffffd8,0x1ffffbff,0x7fffff4c,
    0x4fffbbff,0x3ffffee0,0xefffffff,0x7fffe402,0xdfffffff,0x3ffea000,
    0x003ffea0,0x3fffff62,0x0dffffff,0x7ffff4c0,0x05ffffff,0x7ffffe40,
    0x0dffffff,0x3fff2000,0xffffffff,0x7fec000d,0x7fffec43,0xefffffff,
    0xfffff700,0x200dffff,0x2a601ff9,0xafffaaaa,0x007fe601,0xddddfffb,
    0x813fa00d,0xffaaaaa9,0xfb0001ae,0xfff509ff,0x3dffffff,0xfffffb00,
    0xffff7fff,0x893fffa3,0x00dffffd,0x3ffff260,0x000bffff,0x3ffff260,
    0x000bffff,0xffffffb1,0xfe81bfff,0xfd0004ff,0x3ffae3ff,0x7fdc03ff,
    0xffb0dfff,0x3fff209f,0x9fff72ef,0xfffeb880,0x002cdfff,0x3ffffb66,
    0xc8003eff,0x3ffe47ff,0x3fffaa00,0x003effff,0x7fffffdc,0xb30001cf,
    0xbdfffffd,0x36600005,0xdefffffe,0xbff70002,0x3ffff660,0x9804dfff,
    0xcffffffe,0x00bfd000,0x3a01bfe0,0x7ffc405f,0x807fffff,0xf8000ffa,
    0x7ec0006f,0xfd9304ff,0x8009dfff,0x0dfffffb,0x8009fffb,0x22000099,
    0x001abba9,0x5dd4c400,0x2a20001a,0x01accecc,0x00035555,0x0002a200,
    0x30000353,0x44000015,0x00000aa9,0x000026a6,0xaa985555,0x55310002,
    0x31000013,0x00000335,0x00000353,0x00026a60,0x200aaa20,0x00009a98,
    0x300066a6,0x320001dd,0x0774c03c,0x33333260,0xed804ccc,0x07990003,
    0x1aaaa800,0x00013300,0x00001a98,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2aaa0000,0x0000002a,
    0x026a6200,0x00000140,0x10000000,0x554c1555,0x00000002,0x03777540,
    0x2aaaaaa0,0x00002aaa,0x6fe4c000,0x0003fe21,0x55440000,0x2aaaaaaa,
    0x54000000,0xaaaaaaaa,0x03eeec82,0x880bbbba,0x3f60adfc,0x077774c2,
    0x205eeea8,0x0002aaa8,0x00555530,0x220aaa80,0x554c02aa,0xdfc8802a,
    0x2000ff42,0x2a02aaaa,0x554c1aaa,0x980d5542,0x0000aaaa,0x03ffff50,
    0x7ffffcc0,0xffffffff,0x7447ffff,0x207fffff,0xfff907d8,0xffb8000f,
    0xb000006f,0x3ffe2dff,0x95fffc83,0x3ff65fff,0x3ea0005f,0x3e2007ff,
    0xffffffff,0x7fffe407,0xdfffffff,0xffff1003,0x80ffdbff,0xfffffffc,
    0x003dffff,0xfffffff3,0x7fd40dff,0x220001ff,0xffffffff,0x4fffd87f,
    0x80bfffe0,0xddfffffe,0x7ffcc1ff,0xffff700f,0x03fffd40,0x7fffc400,
    0x3f20001f,0x09ffd16f,0x0fffffcc,0x3fffffa0,0x2000ffdd,0x201ffff9,
    0x260ffffb,0xfff72fff,0x13fffa01,0xfffe8000,0x7ffcc001,0xffffffff,
    0x27ffffff,0xffffffe8,0x07ffc885,0x000ffff9,0x006fffb8,0x9fff1000,
    0x3f20dffd,0x5fff95ff,0x0017fff6,0x007fffa8,0x3fffffe2,0x7e407fff,
    0xffffffff,0x401effff,0xffffdffa,0x7fe404ff,0xffffffff,0x4c01efff,
    0xffffffff,0x3ffea06f,0x3e20001f,0xffffffff,0x04fffd87,0x440bfffe,
    0xffffedff,0xffff986f,0x0ffff700,0x003fffd4,0x7fffff40,0x3fa0000e,
    0x00effdcf,0x3bfffffa,0xfdbff300,0x800dffff,0xb802fffd,0x7fdc3fff,
    0x502fffbf,0x00009fff,0x0017ffcc,0x7fffffcc,0xffffffff,0x3fea7fff,
    0xb84fffff,0xff907fff,0xfb8000ff,0x000006ff,0x3fffffea,0x2bfff900,
    0xffb2fffc,0x7d4000bf,0x322007ff,0xcccccccc,0x7fffe404,0xffffffff,
    0x3f604fff,0x00fbb263,0x3ffffff2,0xffffffff,0x3332204f,0x03cccccc,
    0x007fffea,0x99999900,0xffb09999,0x7fffc09f,0x5c4bf502,0xff980cfd,
    0xfff700ff,0x3fffd40f,0x3fff2000,0x0005ffe8,0x3fffffe6,0x23bff201,
    0x9f704ffe,0x0067f5c4,0x005fff10,0x7ec37fe4,0x3a05ffff,0x400005ff,
    0x30002ffd,0xfddddddd,0xdddddfff,0x7fffdcdd,0x3ffee021,0x0ffff907,
    0x6fffb800,0x7e400000,0x3f203fff,0x3fff95ff,0x0017fff6,0x006eeea8,
    0xffc80000,0xfeeeeeff,0x01ffffff,0x7fe40000,0xfeeeeeff,0x01ffffff,
    0x3fea0000,0x000c41ff,0x7ffec000,0x0bfffe04,0x3fe60000,0xfff700ff,
    0x37774c0f,0x3fff3000,0x000bffe6,0x04ffffb8,0x7cc7ffe6,0x000002ff,
    0x0007ff90,0xff885ffb,0xff300fff,0x3300000b,0x2e000001,0xd800ffff,
    0xfb805fff,0xfff907ff,0x999bdddf,0x7ed4c037,0x98000005,0x7fe40199,
    0xfd87f45f,0x000005ff,0x64000000,0x3aa07fff,0x0006ffff,0x3fffe400,
    0xdffffd50,0x7d400000,0x0ba61fff,0x3f600000,0x3ffe04ff,0x9800002f,
    0xf700ffff,0x00000fff,0x31026620,0x99800013,0x04cc4019,0x00002662,
    0x000cc400,0x33101330,0x00cc4013,0x00000000,0x0ffffb80,0x04fffd80,
    0x3ffffbaa,0x3fff25ee,0xffffffff,0x27ec04ff,0x00000000,0xf997fff2,
    0x017fff67,0x00dddd00,0x9bffd950,0xffff9001,0x7ffffb00,0xd01f7764,
    0xff905ddd,0xfffb00ff,0x1f77647f,0xa85dddd0,0xff51ffff,0x7f644005,
    0xd80cefff,0x3fe04fff,0x3b2202ff,0x80ceffff,0x700ffff9,0x0000ffff,
    0x00000000,0x80000000,0x2ceffdb9,0x00000000,0x40000000,0xcefffeda,
    0x7bffd910,0x3fee0003,0xffd800ff,0x3ffee04f,0x327fffff,0xffffffff,
    0x1effffff,0xdd92ff98,0x3ff6e23d,0x1eeec83d,0x07bffb71,0x3eabfff9,
    0x17fff62f,0x7fff8800,0x7fffec00,0x6402ffff,0xf8807fff,0x3ff67fff,
    0x3fffe04f,0x07fffc82,0x27ffff88,0x3e04fffd,0x7fd42fff,0x2fffb9ff,
    0xfffff700,0xd83fffff,0x3fe04fff,0xfff702ff,0x3fffffff,0x00ffff98,
    0x76cffff7,0xeeeeeeee,0x3bb25eee,0x9ddd702e,0xb17bbaa0,0xdddddddd,
    0x320bdddd,0x74404eee,0xffffffff,0xddddb00d,0xdddddddd,0x13bbb20b,
    0x3613bbb2,0xffc88eee,0x3ffe202d,0xdfffffff,0xffffffff,0xfffb8006,
    0xfffd800f,0x3fffee04,0x3f27ffff,0xffffffff,0x47ffffff,0x3ff65ffb,
    0xfffff9af,0x3ff60eff,0xfffff9af,0x3ff20eff,0xfd87fb5f,0x260005ff,
    0x3a006fff,0xffffffff,0x3ff204ff,0xfff9007f,0x13fff61f,0xc82ffff8,
    0xf9007fff,0x3ff61fff,0x3fffe04f,0x77fffd42,0xa800dfff,0xffffffff,
    0x3f61ffff,0x3ffe04ff,0xffffa82f,0xffffffff,0x03fffe61,0xfd3fffdc,
    0xffffffff,0x7fdcffff,0xffffd05f,0xd13fff20,0xffffffff,0x360fffff,
    0x3a205fff,0xffffffff,0xffe81fff,0xffffffff,0xfffb07ff,0x0bfffb0b,
    0xffb3fffd,0x3fe20bff,0xffffffff,0xffffffff,0x5c005fff,0xd800ffff,
    0x3aa04fff,0x5eeffffe,0x267ffff2,0xfffca999,0xb13ee3ff,0xffffbfff,
    0x6cbfffff,0xffffdfff,0x325fffff,0xb0115fff,0x2000bfff,0x004fffe8,
    0x77fffff7,0x201fffff,0x7007fffc,0x3f63ffff,0x3ffe04ff,0x7fffc82f,
    0x3ffff700,0xf813fff6,0x7fd42fff,0x004fffff,0x2afbfffa,0x24ffffdb,
    0x3e04fffd,0xffe82fff,0xffdbabef,0x3ffe64ff,0xffff901f,0x7ffffff4,
    0x27ffffff,0x440ffff8,0xf81fffff,0x7ff42fff,0xffffffff,0xfffb07ff,
    0x3fffa20b,0xfffeccef,0xffffe86f,0xffffffff,0x0bfffb07,0xfd0bfffb,
    0xfffffdff,0x3ffff205,0xffffdbad,0xffcabeff,0x3ee004ff,0xfd800fff,
    0xffb804ff,0xffff907f,0x5ffffb80,0x3fff6062,0xffcabeff,0xfffb0fff,
    0xff957dff,0x3ff21fff,0x7ffec05f,0x01555515,0x07ffffa2,0x13fffe20,
    0x6413fff6,0xf5007fff,0x3ff65fff,0x3fffe04f,0x07fffc82,0x25ffff50,
    0x3e04fffd,0x7fd42fff,0x2003ffff,0xe81fffe8,0x3ff65fff,0xffff105f,
    0x1fffe885,0x265fffe8,0xf901ffff,0x7fff4fff,0xffffefff,0x17fff46f,
    0x0fffffea,0xfd0ffff3,0xffdfffff,0x3f60dfff,0xfffb05ff,0xffff907f,
    0xfffffe87,0x6fffffef,0xb0bfffb0,0xffd0bfff,0x0fffffff,0x6c1fffec,
    0x4c0fffff,0x7001ffff,0xb001ffff,0xf7009fff,0x3ff20fff,0xffff807f,
    0xffffd806,0x1ffffc85,0x70dffffb,0x3f25ffff,0x7fec05ff,0x1ffff35f,
    0x7ffffd10,0x3fffee00,0x0ffffa80,0x3ffffffe,0xf987ffff,0xfffb3fff,
    0x17fffc09,0xffffffff,0xff30ffff,0x3fff67ff,0x0bfffe04,0x03fffff5,
    0xfb80cc00,0x3fff66ff,0x5ffff305,0xffb80cc0,0x3fffe66f,0x0ffffd04,
    0x3bfffee0,0x227ffdc0,0x45fffffc,0x4005fffb,0x00effffb,0x3e0bfffb,
    0x3fa04fff,0x3ee007ff,0xfb00efff,0xfffb0bff,0xdffffd0b,0x06200a63,
    0x81ffffd4,0xc983fffc,0xffffdccc,0x6c0ccccd,0xfb804fff,0xfff907ff,
    0xffffd00f,0x1ffffb00,0x25ffff10,0x880ffffd,0xff92ffff,0xfffd80bf,
    0x81ffff35,0x03ffffe8,0x81bfff20,0x3fe1ffff,0xffffffff,0xffff887f,
    0x409fffb4,0x3fe2ffff,0xffffffff,0xffff887f,0x409fffb4,0x7dc2ffff,
    0x00002fff,0x7fff64c4,0x03fffee6,0x00bffffa,0xfffec988,0x3bfffe66,
    0x3ffffdc0,0x7ffffd40,0x46fff981,0x47fffffe,0x2002fffe,0x01fffffa,
    0x2617fff6,0x2a00ffff,0xa800ffff,0x201fffff,0xfd85fffd,0xfffe85ff,
    0x7300002f,0x203ffffd,0xfa86fffa,0xffffffff,0x6c0fffff,0x32a04fff,
    0x2ccffffd,0x101ffff2,0xb00bffff,0x7fc0dfff,0xdfffb3ff,0xc9ffffc0,
    0x7ec05fff,0xffff35ff,0x7ffff441,0x7ffec004,0xfeeeeeef,0x3ffe2fff,
    0xffffffff,0x4ffff987,0x7c09fffb,0x3ffe2fff,0xffffffff,0x4ffff987,
    0x7c09fffb,0x3ff22fff,0x80001fff,0xfffffec9,0x3ffea6ff,0xffda89df,
    0x64c02fff,0xfffffffe,0x3ffffe66,0xffffc9ae,0x7ffd407f,0x3ffa02ff,
    0xfdfff11f,0x3ffe23ff,0xfff5000f,0xffd805ff,0x7fffb85f,0x17fffc40,
    0x3ffffea0,0x2fffec02,0x742fffec,0x20006fff,0xfffffeca,0xeeeeefff,
    0xa87fffee,0xffffffff,0x40ffffff,0x3204fffd,0xffffffff,0x01ffff25,
    0x009ffff9,0x7c0bfffb,0xfffb3fff,0x9ffffc0b,0x6c05fffc,0xfff35fff,
    0x7fffe41f,0xffff8003,0xffffffff,0xffc83fff,0xfff3007f,0x13fff65f,
    0xc82ffff8,0xf3007fff,0x3ff65fff,0x3fffe04f,0xffffff92,0x7fe40003,
    0xffffffff,0x3fffe26f,0xfeffffff,0xfff902ff,0xffffffff,0x7ffffccd,
    0xffffffff,0x3ffe607f,0x7fe403ff,0xf5fff53f,0x3ffea7ff,0xffff3005,
    0xfffb007f,0x0dfff90b,0x407ffff0,0x03fffff9,0xd85fffd8,0xffe85fff,
    0xffb8005f,0xffffffff,0xffffffff,0xa887ffff,0xffffdaaa,0xfd82aaab,
    0x3ff204ff,0x25ffffff,0x999ffffc,0xffffea99,0xfffd802f,0x4ffffe05,
    0x3a05fffd,0xfff93fff,0x5fffd80b,0x3ffff880,0xffffd000,0xffffffff,
    0xfff909ff,0x3ffea00f,0x09fffb1f,0x6417fffc,0xf5007fff,0x3ff63fff,
    0x3fffe04f,0xffffffd2,0x3ff60003,0xfb9bdfff,0x7ffd46ff,0xfd9fffff,
    0xfffd82ff,0xffb9bdff,0x3fffe66f,0xfcfffffc,0xfff107ff,0xff3009ff,
    0x75fff2bf,0x7fff95ff,0xfffff100,0x3fff6009,0x07fffb85,0x817fffc4,
    0x04fffff8,0xb0bfffb0,0xffd0bfff,0xffb8009f,0xfaacefff,0xffffffff,
    0x00ffffff,0x00ffffb8,0x204fffd8,0x9ffffc98,0x3ffff209,0xffffffff,
    0xfb005fff,0x7ffc09ff,0x0bfffb3f,0xfc9ffff4,0x7fec05ff,0xfff9805f,
    0x0d5e400f,0x000bfffb,0x007fffc8,0x361ffff9,0xff105fff,0xfff905ff,
    0x3fff200f,0x0bfffb0f,0x74bfffe2,0x01ffffcf,0xbffffa80,0x437ffdc0,
    0x0dffffda,0xfa85fffb,0x7dc0bfff,0x3ffe66ff,0x9cfffc8f,0xfe887fff,
    0x3e005fff,0x5fff8fff,0xfff1fff9,0xffe8801f,0x3f6005ff,0xfff985ff,
    0x7fffcc07,0xffffe881,0x3fff6005,0x85fffd85,0x2004fffe,0x41dffff8,
    0x001ffffa,0x7fffdc00,0x4fffd800,0x07fffb80,0xfffffff9,0xdfffffff,
    0x27ffec00,0x367ffff0,0x3fa05fff,0xbfff93ff,0x05fffd80,0x00ffff98,
    0xfc9fffee,0x00300fff,0x200ffff9,0x3f67ffff,0xfff305ff,0xffff905f,
    0x9ffffe00,0xf305fffd,0x2a365fff,0x8001ffff,0xf906fffc,0x0d440dff,
    0xffc827ec,0xdfff906f,0x887fffcc,0x3ff6000a,0x7e4006ff,0x53fffbff,
    0xdfff7fff,0xdffffb00,0x5fffd800,0x407ffff0,0xfb07fffc,0xd800dfff,
    0xffd85fff,0x4fffe85f,0x1fffea00,0x827fffdc,0xffb80008,0xffd800ff,
    0xfffa804f,0xfffff907,0xffffffff,0x7fec0019,0x3fffe04f,0x40bfffb3,
    0xff93fffe,0xfffd80bf,0xffff8805,0x9ffff103,0x41ffffcc,0xc80deffb,
    0xfd807fff,0x3fee3fff,0xfffe80ff,0x7fffc82f,0x3ffffd80,0x203fffee,
    0x542ffffe,0x8001ffff,0xe885fffd,0xd0006fff,0x3fff607f,0x6fffe885,
    0x003fffe6,0x77fffe40,0x7ffd4000,0xff11ffff,0x807fffff,0x00effffc,
    0x82fffec0,0xa81ffffe,0xfc84ffff,0x4000efff,0xfd85fffd,0xfffe85ff,
    0x3fff2003,0xfffffd07,0x00fbffa0,0x007fffdc,0x4027ffec,0x4acffffa,
    0x333ffff2,0x00abcccc,0x04fffd80,0x7ecffffe,0x3ffa05ff,0x0bfff93f,
    0x005fffd8,0x417ffffb,0x41ffffda,0x51cffffe,0x320dffff,0xb3107fff,
    0xfa8dffff,0xfb51dfff,0xf905ffff,0x36620fff,0x7d46ffff,0xfb51dfff,
    0xfa85ffff,0xc8001fff,0x3662ffff,0x0007ffff,0x3ff209ff,0x3ff662ff,
    0x3ffe67ff,0xffb8000f,0xf0000eff,0xd8ffffff,0x00ffffff,0x03bfffee,
    0x17fff600,0x5fffffd4,0xeffffcaa,0x77fffdc0,0xfffd8000,0x85fffd85,
    0x2003fffe,0x223ffffa,0xeffffffc,0xffffd98a,0xffff7002,0x9fffb001,
    0xfffff300,0x3fff21ff,0xfb000007,0x7ffc09ff,0x0bfffb3f,0xfc9ffff4,
    0x7fec05ff,0xfff1005f,0xffffdfff,0xfff309ff,0xffffffff,0x3fff203f,
    0xfffeeeef,0x441fffff,0xffffffff,0x82fffeff,0xeeeffffc,0xfffffffe,
    0x7fffc41f,0xfeffffff,0x7ffd42ff,0xeeeeeeef,0xff54eeee,0xfffdffff,
    0x1000ffff,0xff501fff,0xfffdffff,0x7fccffff,0x7d4000ff,0xeeeeffff,
    0xb02eeeee,0xb8bfffff,0x206fffff,0xeefffffa,0x2eeeeeee,0x205fffd8,
    0xfffffffa,0x542fffff,0xeeefffff,0x82eeeeee,0xfd85fffd,0xfffe85ff,
    0x3ffe2003,0xffffefff,0xffffffff,0x2005ffff,0x800ffffb,0xb004fffd,
    0x23ffffff,0x0007fffc,0x09fffb00,0xfd9ffffc,0x3ffa05ff,0x0bfff93f,
    0x005fffd8,0x3fffffe6,0x203fffff,0xffffffe9,0x3f202fff,0xffffffff,
    0x04ffffff,0xfffffff5,0x05fffb3f,0xfffffff9,0xffffffff,0x3fffea09,
    0xffd9ffff,0x7fffd42f,0xffffffff,0x3ff66fff,0xfbffffff,0xe8001fff,
    0x365ddfff,0xffffffff,0xf31ffffb,0xb8001fff,0xffffffff,0x03ffffff,
    0x85fffff5,0x03fffff9,0x3fffffee,0xffffffff,0x05fffd83,0x7fffffd4,
    0xfb81efff,0xffffffff,0xd83fffff,0xffd85fff,0x3fffe85f,0x7fffdc00,
    0xd9dfffff,0xffffffff,0x3ee000ef,0xfd800fff,0xfb1004ff,0x3f23dfff,
    0x000007ff,0x7c09fffb,0xfffb3fff,0x9ffff40b,0x6c05fffc,0x44005fff,
    0xfffffffc,0xfec8802e,0x401cffff,0xfffffffc,0x1effffff,0x7ffff540,
    0x05fffb0d,0xfffffff9,0x3dffffff,0xffffea80,0x85fffb0d,0xfffffffa,
    0xffffffff,0x7ffffdc6,0x09fffb0d,0xfffff300,0xfffffb8d,0x29fffb0d,
    0x000ffff9,0x7fffffdc,0xffffffff,0xfffff103,0x3fffff01,0x7ffffdc0,
    0xffffffff,0x5fffd83f,0xfffec980,0x3fee04ef,0xffffffff,0xfd83ffff,
    0xfffd85ff,0x03fffe85,0xffffea80,0x7ff541df,0x8003efff,0x800ffffb,
    0x8004fffd,0x7fffc819,0xffb00000,0x7fffc09f,0x40bfffb3,0xff93fffe,
    0xfffd80bf,0x95310005,0x22000137,0xf90009a9,0xffffffff,0x880059bd,
    0xff90001a,0xdfffffff,0xa880059b,0xfffa8001,0xffffffff,0x5306ffff,
    0x44000003,0x5301bcda,0x55544003,0xfffb8002,0xffffffff,0x3f603fff,
    0xfffb06ff,0xffffb80d,0xffffffff,0xfffd83ff,0x00998005,0xffffffb8,
    0xffffffff,0x85fffd83,0xfe85fffd,0x220003ff,0x35300099,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x55544000,0x02aaaaaa,0x222aaaa8,0x2615502a,0x0d5542aa,0x00000000,
    0x00000000,0x55530000,0x00000015,0x1554c000,0x0000aaaa,0x99880000,
    0x3b200009,0xeeeeeeee,0x17bbae5e,0x03dddd30,0x10000220,0x33000033,
    0x00000013,0x00000500,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fffe600,0x406fffff,0x261ffff9,0x87fcc0ff,0xff53fff8,0xffff903f,
    0x17fffa00,0x803ffff6,0x6c3ffffa,0xffb05fff,0xd80000bf,0x80005fff,
    0xfffffffe,0xffffffff,0xfb1fffff,0x26fff8ff,0x403ffffe,0x02fffff8,
    0x82fffe80,0xf84ffff8,0xffffffff,0x3ffea7ff,0x3fff202f,0x7fff5c07,
    0xfb1002ef,0x01bfffff,0x04fffa80,0x1fffff30,0x83ecc000,0xfffffffc,
    0x0befffff,0xffffff90,0x07bfffff,0xffffffc8,0xffffffff,0xffff93ff,
    0xffffffff,0x3ff21fff,0xfffd007f,0x99bfff6b,0xffffffff,0xffffffff,
    0x757fff64,0x40004fff,0xfffffff9,0x7fec06ff,0x9befe82f,0x7fd45feb,
    0x903fffbf,0x3a00ffff,0xff985fff,0x3ffa04ff,0x5fffd87f,0x77fff54c,
    0x0000aaaa,0x000bfff3,0xffffff50,0xffffffff,0x3fffffff,0xfff1fff6,
    0x7ffffccd,0x3ffff200,0xfffb8005,0xffff882f,0x7ffffc44,0x47ffffff,
    0x3a04ffff,0xfd304fff,0xdfffffff,0x7fffe401,0x04ffffff,0x09ffff10,
    0x3fffff20,0xffc88003,0xfffff907,0xffffffff,0xfff905ff,0xffffffff,
    0x3f203dff,0xffffffff,0x3fffffff,0xfffffff9,0xffffffff,0x01ffff21,
    0xfdaffff4,0x3ffe66ff,0xffffffff,0x364fffff,0xfffd5fff,0xcc880009,
    0x3ccccccc,0x40bffe60,0xfffffff9,0xfffffc80,0x1ffff206,0x82ffff40,
    0x980ffffd,0xfd83ffff,0x7ffe45ff,0x2fffffff,0x0dffb000,0x3fff6000,
    0xffffffff,0xffffffff,0x8fffb1ff,0x7fe46fff,0xfff305ff,0xf98001ff,
    0xf882ffff,0x7fd44fff,0xffffffff,0x3fffe47f,0x81ffff98,0xfffffff8,
    0xf906ffff,0xffffffff,0xfd009fff,0x3e009fff,0x006fffff,0x907fffb8,
    0xffffffff,0xffffffff,0xfffffc85,0xffffffff,0xfffc84ff,0xffffffff,
    0xf93fffff,0xffffffff,0x21ffffff,0xd007fffc,0x3ff6bfff,0x3fffe66f,
    0xffffffff,0x3f64ffff,0x9fffd5ff,0x00000000,0xd9807ff9,0x3a00dfff,
    0xff80ffff,0xffffffff,0xffffffff,0x7cc7ffff,0xffd83fff,0xbfffb07f,
    0xffffffc8,0x8002ffff,0x0000eff8,0xacffff98,0xeeeffffe,0xeeeeeeee,
    0xaa855531,0xffffe82a,0x3ffffe82,0xffffe800,0xffff882f,0x56fffe44,
    0x42aaaaaa,0xb82ffff9,0xffb06fff,0xfffbbfff,0xfffa89ff,0xfeb99cff,
    0xfb102fff,0x5009ffff,0x5fffffff,0x7fffb800,0xddffff90,0xfffddddd,
    0xfffc8fff,0xffeeeeef,0x641fffff,0xeeeeffff,0xeeeeeeee,0xddffff92,
    0xdddddddd,0x1ffff21d,0xdaffff40,0x3ba66fff,0xeeeeeeee,0x23ffffff,
    0xffd5fffd,0x0000009f,0x00033300,0x02666200,0x7ffffffc,0xffffffff,
    0x7fffffff,0x4c7fffd8,0xfb03ffff,0xfeca8bff,0x1cccceff,0x00998800,
    0xdfffb000,0x0037ffec,0x7fd40000,0x3fee0fff,0xfc8006ff,0x882fffff,
    0x7ec4ffff,0xfe8002ff,0xfffe84ff,0x5ffff883,0x23ffff44,0xd00ffffe,
    0xff50dfff,0x009fffff,0xfffffffb,0xfffb800b,0x0ffff907,0x1ffffe98,
    0xa81ffff2,0x646ffffe,0x20007fff,0x0007fffc,0x200ffff9,0xffb5fffe,
    0xff1000df,0xffd8dfff,0x09fffd5f,0x3f6e6000,0x00002cef,0xff000000,
    0xffffffff,0xffffffff,0xf30fffff,0x7fec7fff,0x3fff607f,0x0bfffb05,
    0x00000000,0xd8ffffe2,0x00006fff,0xffff9000,0x3ffffe29,0x7ffcc001,
    0xf882ffff,0x7ffc4fff,0xffb8001f,0x7fffcc7f,0x1ffffa80,0x10ffffb8,
    0x5407ffff,0x3fa67fff,0x4fffffff,0x77fffc40,0xa800ffff,0xeeffffee,
    0x01ffff25,0xc8ffffe6,0xfd807fff,0x3ff23fff,0x3f20007f,0xf90007ff,
    0x3fa00fff,0xdfffb5ff,0xffffd000,0x5fffd81d,0x0009fffd,0xfffffe88,
    0xd900dfff,0xeec809dd,0x1dddb04e,0xc85bff91,0xfd007fff,0xffd80bff,
    0x7ffff36f,0x3afffec0,0xc8afffec,0xec82cffd,0xffb711ee,0xff90007b,
    0x7ffec1ff,0xeec80006,0xfff8804e,0xffffc9ff,0xfffe8003,0xff02ffff,
    0x7ffc49ff,0x10015517,0x7dc5ffff,0xfdd505ff,0x3fffe60f,0x80dd9911,
    0xf70ffff9,0xfffddfff,0xffffb809,0x803ffff9,0xfffffffb,0x1ffff27f,
    0x8bfffe20,0x8807fffc,0x3f27ffff,0x320007ff,0x90007fff,0x3a00ffff,
    0xfffb5fff,0xfffd800d,0xfffd81ff,0x509fffd5,0xd10bdddd,0xffffffff,
    0xffb03fff,0xfffd80bf,0xb3fffd05,0xfc8bffff,0xffd007ff,0xfff980bf,
    0x07fffcaf,0x36efffec,0x3a77fff6,0x45ffffff,0xff9afffd,0x00efffff,
    0x89ffff10,0x0006fffd,0x005fffd8,0xffdffff5,0xf9000dff,0x5ffff5ff,
    0x98ffffa0,0xfffeffff,0x7fec01ef,0x0bfffa4f,0xffff7000,0x3fee0001,
    0x53ffee6f,0x7404fffd,0xfffb4fff,0xffff700d,0x7e4fffff,0xffa807ff,
    0x3fffe47f,0x0ffffc80,0x000ffff9,0x003fffe4,0x007fffc8,0x3f6bfffd,
    0x3ee006ff,0xfb02ffff,0x3fffabff,0x77fffd44,0x7ffff440,0xffffecce,
    0x05fffd86,0xe82fffec,0xffffefff,0x3fffe42f,0x05fffe80,0xffdfffd8,
    0x7fec03ff,0x7fec6fff,0xffffffef,0x3ff64fff,0xffffffdf,0xf9005fff,
    0xffd81fff,0xfd80006f,0x3f6005ff,0x1fffffff,0xafffcc00,0xfb02ffff,
    0x7ffdc5ff,0xffffffff,0x5fffea04,0x0007fff9,0x006fffd8,0x49ffff50,
    0x3ff62efb,0x3ffea04f,0x5ffff51f,0xfffeea80,0x3ff25eef,0x7ff5407f,
    0x3fffe45f,0x1ffffb80,0x000ffff9,0x003fffe4,0x007fffc8,0x3f6bfffd,
    0xff3006ff,0x7ec09fff,0x9fffd5ff,0x0fffffcc,0x41ffffec,0x6c3ffffc,
    0x7ec05fff,0xfffd05ff,0x90ffffff,0xffffffff,0xffffffff,0x2e6660bf,
    0xffffffff,0xffd81999,0x7fec2fff,0xfcabefff,0xffb0ffff,0xf957dfff,
    0x8801ffff,0xfd85ffff,0xffffffff,0xb02fffff,0x4400bfff,0x4fffffff,
    0x0fffe800,0x3605ffff,0x3ff21fff,0xffffffff,0x3ffe02ff,0x04fffbaf,
    0x7fffcc00,0xfffb8004,0x360660ff,0x3f604fff,0x3ffe26ff,0xfff7005f,
    0x3ffff20f,0xffffeeee,0xffc85fff,0xfff5007f,0x3ffff25f,0xffffffff,
    0x3ff24fff,0xeeeeeeff,0x7fe43eee,0xffffffff,0x5fffffff,0x100dfffb,
    0x80bfffff,0xffd5fffd,0x3fffe29f,0x9ffff01f,0x23ffff40,0x6c05fffd,
    0xffd05fff,0x20a63dff,0xfffffffc,0xffffffff,0xfff985ff,0xffffffff,
    0xfd87ffff,0xffd81fff,0xfffb85ff,0xdffffb2f,0x05ffff70,0x81ffffb8,
    0xfffffffd,0x2fffffff,0x00bfffb0,0xefffffb8,0x7ffe4000,0x40bfffe2,
    0x3fa1fffc,0xfda9bfff,0xf900ffff,0x3fffd9ff,0x7ffc4000,0xffb8006f,
    0xfb001fff,0x3fe209ff,0x7ffec3ff,0xfffb800f,0xfffff907,0xffffffff,
    0x3fff209f,0xffff3007,0x3fffff27,0xffffffff,0x3fff24ff,0xffffffff,
    0x7ffe44ff,0xffffffff,0xb5ffffff,0xfd00dfff,0xd801dfff,0xfffd5fff,
    0x3ffffd19,0x03fffe60,0x20ffffa8,0x6c05fffd,0xffd05fff,0xff9005ff,
    0xffffffff,0xbfffffff,0xffffff30,0xffffffff,0xbfffb0ff,0x07ffff60,
    0xfd9ffffc,0xff880fff,0x7ffc02ff,0xffffb06f,0xffffffff,0x3ff605ff,
    0x7fdc005f,0x4c006fff,0x7ffc5fff,0x1fff702f,0x5406e5d4,0xf103ffff,
    0x0dffffff,0x7fffcc00,0x7fd4002f,0x36001fff,0xff704fff,0xfff981ff,
    0xfffb803f,0xfffff907,0xffffffff,0xfff907ff,0x3ffe200f,0xfffff94f,
    0xffffffff,0x7ffe49ff,0xffffffff,0x7ffe44ff,0xffffffff,0xb5ffffff,
    0xfd80dfff,0xd801ffff,0xfffd5fff,0x05ffffb9,0x203fffdc,0x362ffff8,
    0x7ec05fff,0xfffd05ff,0x3fff200d,0xffffffff,0x85ffffff,0xfffffff9,
    0xffffffff,0x2ffffe47,0x206fffd8,0xffb3ffff,0x7fffc0df,0x3fffea03,
    0xdffffb02,0xdddddddd,0x3fff603d,0x3ffe2005,0x1003ffff,0xff81fffd,
    0xfff502ff,0x3fffa000,0x3ffffa04,0xf30004ff,0x8009ffff,0x00effff9,
    0x827ffec0,0xff05fffe,0xff700dff,0x3fff20ff,0xffffffff,0x21efffff,
    0x3007fffc,0x3f27ffff,0xeeeeefff,0x23eeeeee,0xfffffffc,0x44ffffff,
    0xfffffffc,0xffffffff,0xdfffb5ff,0x7ffffdc0,0xbfffb002,0x3ffffffa,
    0x7fe404ff,0xffff806f,0x017fff63,0x3a0bfffb,0xf9005fff,0x3fa00fff,
    0xaaa885ff,0xbffffcaa,0x3f62aaaa,0xfb05ffff,0x7ffc0dff,0x0bfffb3f,
    0xd01ffffc,0x5555ffff,0x0dfffd55,0xbfffb000,0x7fffec00,0xc800ffff,
    0xfff82fff,0x0dff302f,0x1bfff600,0xffffffb8,0xfff98001,0xfd8005ff,
    0xd8000eff,0xff984fff,0x99999cff,0x402ffffd,0xf907fffb,0xfd980fff,
    0x3ff25fff,0xfff5007f,0x1ffff25f,0xffffc800,0x99999999,0x3fffe409,
    0xb5fffe80,0x3ea0dfff,0x2003ffff,0xffd5fffd,0x1fffffff,0x03fffdc0,
    0xd8bfffe2,0x7ec05fff,0xfffd05ff,0x3fff2009,0xbfffd007,0x3fffd400,
    0x7fffff40,0x0bfffb05,0xfd9ffff4,0x3ffa05ff,0xffff503f,0xffffffff,
    0x0000dfff,0x200bfffb,0xfffffffa,0x7fcc05ff,0xfcccccff,0x20ccdfff,
    0x90006ff9,0x7c40dfff,0x8006ffff,0x05fffff9,0x03fffd00,0x13fff600,
    0x3ffffff2,0xffffffff,0x7ffdc05f,0x0ffff907,0x43ffff20,0x7007fffc,
    0x3f23ffff,0x320007ff,0x90007fff,0x3a00ffff,0xfffb5fff,0xfffff10d,
    0xfffd800b,0xffffffd5,0x7cc0bfff,0x7fcc07ff,0x3fff61ff,0x2fffec05,
    0x004fffe8,0x200ffff9,0xe885fffe,0xfffeeeee,0x25eeeeef,0x05fffdae,
    0x740bfffb,0xfffb3fff,0x1ffff40b,0xffffffe8,0xffffffff,0xfd80006f,
    0xff8805ff,0xfffebfff,0x3ffea03f,0xffffffff,0x220fffff,0x029985ff,
    0xb017fff6,0x8007ffff,0x04fffff9,0x0ffff100,0x27ffec00,0x7ffffffc,
    0xffffffff,0x3fee00ff,0xffff907f,0x3fffe600,0x00ffff92,0x643ffff2,
    0x20007fff,0x0007fffc,0x200ffff9,0xffb5fffe,0xfffe88df,0xffd8006f,
    0xfffffd5f,0x403ffffd,0x3203ffff,0x7fec7fff,0x7ffec05f,0x09fffd05,
    0x01ffff20,0x4c2ffff4,0xffffffff,0x7fffffff,0x82fffec2,0x3a05fffd,
    0xfffb3fff,0x1ffff40b,0x7fffffcc,0xffffffff,0xd80006ff,0xfd805fff,
    0xfff55fff,0x3fea01ff,0xffffffff,0x40ffffff,0x3ffee4ff,0x9fffd01f,
    0x0ffffc80,0x3fffe200,0x3e60004f,0x360006ff,0x7fd44fff,0xffffffff,
    0x3fffffff,0x41fffee0,0x3007fffc,0x3f29ffff,0xff8807ff,0x3fff27ff,
    0x3ff20007,0xff90007f,0x3ffa00ff,0x8dfffb5f,0x00fffffd,0xd5fffd80,
    0x3f69ffff,0x3ffa06ff,0xfffa81ff,0x2fffec4f,0x417fff60,0x9003fffe,
    0x3a00ffff,0xff985fff,0xffffffff,0xd87fffff,0xffb05fff,0x7fff40bf,
    0x40bfffb3,0xfd83fffe,0xcccccfff,0x6ffffccc,0xfffd8000,0x7fffd405,
    0x3ffff60f,0xfffff505,0xffffffff,0xf1001fff,0xff70bfff,0x7fc403ff,
    0x7f4005ff,0x00004fff,0x3ff60000,0x7fffec4f,0xeeeeeeee,0x206ffffe,
    0xf907fffb,0x3f200fff,0xfff92fff,0xffff900f,0x03fffe45,0x0ffff900,
    0x1ffff200,0xdaffff40,0x3fee6fff,0xb0001fff,0x3ffabfff,0x3fffe65f,
    0xfffff502,0xffff9557,0x5fffd81d,0x82fffec0,0x9003fffe,0x3a00ffff,
    0xee885fff,0xffffeeee,0xd85eeeee,0xffb05fff,0x7fff40bf,0x40bfffb3,
    0x7cc3fffe,0xfe805fff,0xd80006ff,0x3e205fff,0x7c43ffff,0xa883ffff,
    0xaaaaaaaa,0x0aacffff,0xfe86aaaa,0xfeaadfff,0x36605fff,0x2002ffff,
    0x99effffc,0x80199999,0x000aaaa8,0x449fffb0,0x9004ffff,0x2a05ffff,
    0x24acffff,0x4407fffc,0x90fffffc,0x6cc0ffff,0x7e45ffff,0x320007ff,
    0x90007fff,0x3a00ffff,0xfffb5fff,0x3ffffead,0x3ff60003,0x89fffd5f,
    0x500ffffd,0xffffffff,0xfb05ffff,0xffd80bff,0x7fffd05f,0x1ffff200,
    0x02ffff40,0x00ffff50,0xd82fffec,0x3fa05fff,0xbfffb3ff,0x21ffff40,
    0x802ffffc,0xeeeffffe,0xeeeeeeee,0x05fffd83,0x41bffff6,0x00fffffa,
    0x05ffff00,0xf88ffffa,0xffffffff,0x77640eff,0x006fffff,0x7ffffffc,
    0x1fffffff,0x0ffffcc0,0x4fffd800,0x007ffff2,0x82ffffcc,0xfffffff9,
    0xddffff90,0xfffffddd,0x7fe4bfff,0xffeeeeff,0x41ffffff,0xeeeffffc,
    0xeeeeeeee,0x0ffff95e,0x1ffff200,0xdaffff40,0xfff96fff,0xddddddff,
    0x1ddddddd,0x7f57fff6,0x7ffc44ff,0x3ffea04f,0x1effffff,0x80bfffb0,
    0xfd05fffd,0x3f2007ff,0xffd007ff,0x7fd400bf,0x3ff6007f,0xbfffb05f,
    0xd9ffff40,0x3fa05fff,0x3ffe23ff,0xfffd006f,0xffffffff,0xfb09ffff,
    0x3fea0bff,0x3f601fff,0xf0005fff,0x3fa05fff,0x7ffcc3ff,0x0effffff,
    0xffffffb8,0x3fea001f,0xffffffff,0x4c01ffff,0x0001ffff,0x7fc9fffb,
    0x7f4006ff,0xffd00fff,0x3f23ffff,0xffffffff,0xefffffff,0x3fffff20,
    0xffffffff,0xfffc83ff,0xffffffff,0xf96fffff,0x32000fff,0xfd007fff,
    0x3fff6bff,0xffffff96,0xffffffff,0x3f61ffff,0x9fffd5ff,0x01ffff90,
    0x7ffff64c,0x7ffec04e,0x2fffec05,0x003fffe8,0x200ffff9,0x2005fffe,
    0x2007fffa,0xfb05fffd,0x7ff40bff,0x0bfffb3f,0xf91ffff4,0x3a007fff,
    0xffffffff,0x4fffffff,0x885fffd8,0x404fffff,0x03fffff8,0x02ffff80,
    0x9107fffd,0x09dfffff,0x7fffffdc,0x7ffec002,0xffffffff,0x7cc01fff,
    0xb0001fff,0x3fea9fff,0x7dc003ff,0xfd103fff,0x3f23dfff,0xffffffff,
    0x1effffff,0x7fffffe4,0xdfffffff,0xfffff901,0xffffffff,0x3ff2dfff,
    0xff90007f,0x3ffa00ff,0x2dfffb5f,0xfffffffc,0xffffffff,0xfffb0fff,
    0x213fffab,0x005ffff8,0x7ec00266,0x7fec05ff,0x7fffd05f,0x1ffff200,
    0x02ffff40,0x00ffff50,0xd82fffec,0x3fa05fff,0xbfffb3ff,0x89ffff40,
    0x000fffff,0xfffffffd,0xffffffff,0x0bfffb09,0x00dffff9,0x03ffffee,
    0x05ffff00,0x300ffffa,0xb9300135,0xf000179b,0xffffffff,0x03ffffff,
    0x01ffff98,0x29fffb00,0x000ffffd,0x03ffffc4,0x3ff206a2,0xffffffff,
    0xf901ceff,0xffffffff,0xfc8059bd,0xffffffff,0x6fffffff,0x000ffff9,
    0x401ffff2,0xffb5fffe,0x3ffff2df,0xffffffff,0xb0ffffff,0x3ffabfff,
    0xffff704f,0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x13551000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3bbbaa00,0xeeea8000,0x7ddd900e,0x5c19dd50,0x5555535f,
    0x76c35555,0xdddd52ee,0xddd70001,0xdddddddd,0xf9105ddd,0x001fe85b,
    0x980bddd1,0x99999999,0x01999999,0x00005000,0x00000000,0x00000000,
    0x6d3bbb20,0x02ffffff,0x7fffffe4,0x36bfffb4,0xc8005fff,0xc801ffff,
    0xff505fff,0x3f29ffff,0xffffffff,0x3f204eff,0xffffffff,0x402cefff,
    0xfffffff9,0xffffffff,0x7fff47ff,0x3ff2001f,0xffffb1ff,0xfffffc80,
    0x3fffea01,0x00ffff91,0x3fffffd1,0x05ffffd8,0x1fffff10,0x003fffee,
    0x03fffee0,0x2e27ffec,0xfdefffff,0xfffff94f,0x7fc7ffff,0xffff73ff,
    0xfff90001,0xffffffff,0xffd07fff,0x1ffbbfff,0x1bffe200,0x555555b0,
    0x55555555,0x7f654019,0x1bf72def,0xffffd910,0xb910019d,0x0019dfff,
    0x677fedcc,0x77fee441,0x3b2a002d,0xfb00cdff,0x3fff6bff,0x7f404fff,
    0xfb4fffff,0x3fff6bff,0xfffc8005,0xfffc806f,0xfffffa85,0xffff92ff,
    0xffffffff,0xfff903df,0xffffffff,0x4c09ffff,0xffffffff,0xffffffff,
    0x7fffdc7f,0x3fffe004,0x07fffee6,0x3fffffe8,0xc9ffff20,0x74407fff,
    0x881fffff,0x802fffff,0x2e3ffffd,0x8000ffff,0xb00ffffb,0xefd89fff,
    0x1ffffffd,0xfffffff9,0x7fffc7ff,0x01ffff73,0xfffff900,0xffffffff,
    0xedff987f,0x006fffff,0x701bffe2,0x44054000,0xfffffffd,0xfb85ffef,
    0xffffffff,0x3ffee01f,0x03ffffff,0x7fffffcc,0xffd34fff,0x01bfffff,
    0xffffffd8,0xfffd82ff,0xffffffb5,0x7fffc40f,0xfffb4fff,0x017fff6b,
    0x3fffff20,0x2fffe403,0x7ffffff4,0xfffff91f,0xffffffff,0xfffc87ff,
    0xffffffff,0x80dfffff,0xfffffff9,0xffffffff,0x7ffc47ff,0xfff5006f,
    0x7fffcc7f,0xfffff102,0x7fff40bf,0x01ffff25,0x03fffffd,0x037fffd4,
    0x71bfffea,0x0001ffff,0x201ffff7,0x7fc4fffd,0x43bfb510,0xccccccca,
    0x3fffe2cc,0x01ffff73,0xfffff900,0xffffffff,0x224fb85f,0x2000bfeb,
    0x1c06fff8,0xf9815000,0xffffffff,0xffa86fff,0xffffffff,0xfffc81ff,
    0xffffffff,0xfffff503,0xfdffffff,0xffffffff,0x3ffa01df,0xffffffff,
    0xdafffec4,0x1fffffff,0xffffff50,0x57fff69f,0x8005fffd,0x0ffffffc,
    0x217fff20,0x410dffff,0xeeeffffc,0xffffffee,0x3ffff20f,0xfeeeeeee,
    0x982fffff,0xfeeeeeee,0xeeeeefff,0xffffd86e,0xffffc801,0x827fffc0,
    0x7ffffffa,0x47ffff10,0x3607fffc,0x802fffff,0x203ffffd,0x5c1ffffe,
    0x8000ffff,0x700ffffb,0x00007fd9,0x5dddb000,0x003fffee,0x2aaaaa60,
    0xfffeaaaa,0x10000004,0x0380dfff,0xfe882a00,0xfebacfff,0xffe87fff,
    0xffdbabef,0x7ffcc4ff,0xfffdbeff,0x7ffc40ff,0xfffeceff,0x9aefffff,
    0xb85ffffc,0xfbbfffff,0x3f60ffff,0xffffb5ff,0x3f207fff,0x04ffffff,
    0x002fffec,0x7fffffe4,0x17fff205,0x205ffff1,0x2e07fffc,0x324fffff,
    0x6c407fff,0x4005ffff,0x000ffffb,0x013fffea,0x3a1bfffe,0xff906fff,
    0x303fffff,0x7e43ffff,0xfffb07ff,0x3e2005ff,0xfb80ffff,0xffb84fff,
    0xfb8000ff,0x7fc00fff,0x00000002,0x03fffee0,0x7fd40000,0x0000005f,
    0x701bffe2,0xf9054000,0xfe883fff,0x3fa23fff,0xfffe81ff,0x0f7fff45,
    0x90ffffe6,0xea87ffff,0x40ffffff,0x220ffff8,0xfd84ffff,0x3fff64ff,
    0xffdfffb5,0x3fffa0bf,0x6c04fffe,0xc8005fff,0x2fffffff,0x88bfff90,
    0xf901ffff,0xffa80fff,0x3fff26ff,0xfffff007,0xffffb800,0x7fffc000,
    0x7fffcc07,0x0ffffc83,0xffffffe8,0x7fffb83f,0x643fffe4,0x002fffff,
    0x22ffffdc,0x80fffff8,0x000ffffb,0x00ffffb8,0xec803fe6,0x776404ee,
    0x7fdc004e,0x800000ff,0x640ffff8,0xfb711eee,0xddd107bf,0xdffffddd,
    0x00ebdddd,0xfff10a80,0xffffb07f,0x5c0660ff,0x3fe26fff,0x79db02ff,
    0x05fffe83,0x09fffff1,0xfb8ffff6,0xffa80fff,0xbfffb0ff,0x3ff3fff6,
    0xefff887f,0xdd94fffd,0x57fff69d,0x83dffdc8,0xfffffffc,0x2bfff906,
    0xeffffeeb,0x3fff23ee,0x7ffff807,0x401ffff2,0x000ffffc,0x003fffee,
    0x03ffff90,0x407fffe4,0x441ffffa,0xfffcffff,0x46fffd85,0x7dc7fffc,
    0x0002ffff,0x643ffffd,0xf702ffff,0x70001fff,0x3201ffff,0x7fec03ff,
    0x7ffec05f,0x7ffdc005,0xd800000f,0xffd83fff,0xfffff9af,0x3fe60eff,
    0xffffffff,0x076fffff,0xff985400,0xfbffc87f,0x98801fff,0x2a6fffec,
    0x8000ffff,0x201ffff8,0x502ffffc,0x7fe4dfff,0x3fffe06f,0x36bfffb1,
    0xfffdcfff,0x6e7ffd41,0xfffb4fff,0x277fff6b,0xdffffffe,0x3fffff20,
    0xffc83fff,0xfffff95f,0x7e49ffff,0xffe807ff,0x1ffff26f,0x03fffec0,
    0x03fffee0,0x9ffff500,0x82ffffc0,0x543ffff8,0xfff9dfff,0x44ffff87,
    0x3ee7fffc,0x0003ffff,0x4dbfffe6,0x2e05ffff,0x8000ffff,0xd00ffffb,
    0xfffb009f,0x5fffd80b,0x7fffdc00,0x7d400000,0xfffb06ff,0xfffffffb,
    0x7ffccbff,0xffffffff,0x0076ffff,0xfffb8540,0xff9ffdc6,0xfd9302ff,
    0x4dffffff,0x0007fffb,0x401ffff5,0xeeeffffa,0x6fffeeee,0x3bbffff6,
    0xffffeeee,0x36bfffb2,0xfffbcfff,0x6d7ffe43,0xfffb4fff,0x3fbfff6b,
    0xffffffff,0x3b7fff24,0x7e40ffff,0xffff95ff,0x649fffff,0x7cc07fff,
    0x3ff25fff,0xfff9807f,0x7fdc006f,0xff8000ff,0xfff307ff,0x7fff405f,
    0xf9fffec5,0x3fe21fff,0x7ffe42ff,0x7fffff57,0xfff90000,0x1ffffd7f,
    0x07fffdc0,0x2e0d5554,0x3300ffff,0x17fff600,0x00bfffb0,0x00ffffb8,
    0x7fff4000,0xfffffb02,0xffff957d,0x3fffe61f,0xffffffff,0x00076fff,
    0x5fffc854,0xffe93fea,0x7fffe44f,0x6fffffff,0x001bfff2,0x203fffdc,
    0xfffffff9,0x7fffffff,0x3ffffffe,0xffffffff,0x36bfffb3,0xfff9cfff,
    0x6c7fff45,0xfffb4fff,0x3fffff6b,0xffffcabe,0x5bfff90f,0xfc8bffff,
    0xffdd75ff,0x647dddff,0x3a607fff,0x3f23ffff,0xaaaaafff,0xfffffcaa,
    0x7ffdc002,0xffc8000f,0xfffc81ff,0x3fff200f,0xd8ffffc7,0x3fea3fff,
    0x7ffe40ff,0xffffffaf,0xff880002,0x3fffffff,0x07fffdc0,0x2e27fff4,
    0x0000ffff,0x405fffd8,0x4005fffd,0x000ffffb,0x1fffe600,0x86ffffd8,
    0x512ffffb,0xfff75555,0x2555555d,0x5c2a0003,0xbff36fff,0x363fffe8,
    0x9bdfffff,0x3ee6fffb,0xf70007ff,0x7d401fff,0xffffffff,0x3a7fffff,
    0xffffffff,0xb4ffffff,0x3ff6bfff,0x44ffff4f,0xfffb6fff,0x6d7fff69,
    0xfb86ffff,0xfff92fff,0x8bffff6b,0x7c45fffc,0xff901fff,0xdb9999ff,
    0x43ffffff,0xfffffffc,0xffffffff,0xffb8005f,0xf98000ff,0xfff84fff,
    0x7ffd405f,0x4ffff30f,0x3f25fffb,0xfffc86ff,0xffffffff,0xfa80000f,
    0x06ffffff,0x80ffffb8,0x7dc4fffe,0x80000fff,0x6c05fffd,0x5c005fff,
    0x0000ffff,0x813fff60,0x880ffffd,0x4402ffff,0x01c06fff,0x3fea1500,
    0x40eff9ff,0xff51ffff,0xffb817ff,0x3fffea6f,0xf3013100,0x7dc05fff,
    0xd8001fff,0xd8005fff,0xfffb5fff,0x547fff69,0xfffb4fff,0x6d7fff69,
    0xff00ffff,0x3fff25ff,0x1dffff15,0xf117fff2,0x3f203fff,0xffffffff,
    0x43ffffff,0xfffffffc,0xffffffff,0xfff70003,0x3fa0001f,0x7ffcc7ff,
    0x7ffc402f,0x4bfff72f,0x3fa7fff9,0xfffc84ff,0xffffffff,0xfb00005f,
    0x003fffff,0xd01ffff7,0xffb89fff,0xd80000ff,0x7ec05fff,0x555505ff,
    0x03fffee1,0x7ffcc000,0x3fff600f,0x0ffffe06,0x80dfff10,0x442a0003,
    0x0fffffff,0xc87fffd4,0xff906fff,0x7fffccdf,0x4bfff902,0x205ffff8,
    0x304ffffe,0x3ffff203,0x3ff60300,0x29fffb5f,0xff94fffb,0x53fff65f,
    0xffb5fffd,0x7fffc0ff,0x5cbfff93,0xff94ffff,0xffff88bf,0xfffff901,
    0xffffffff,0xffff909f,0xffffffff,0x5c00017b,0x0000ffff,0x645ffff7,
    0xff007fff,0x3fff69ff,0x44ffffc3,0xfc82ffff,0xebffffff,0x0002ffff,
    0x4fffff88,0x1ffff700,0xb89fffd0,0x0000ffff,0x405fffd8,0xff05fffd,
    0x3ffee7ff,0xf900000f,0xffd80bff,0x3fffe05f,0x37ffc403,0x0a8000e0,
    0x07fffff6,0x6cbfffd1,0xfe885fff,0x7fffc6ff,0x7fffc40e,0x17fffec4,
    0x3fffff22,0x4effe887,0x20ffffe6,0xfb0deffb,0x3fff6bff,0x3edfff34,
    0xfffb0fff,0x6d7fff69,0x3fe06fff,0xbfff93ff,0xc9ffffe8,0x7fc45fff,
    0xfff901ff,0xffffffff,0x3ff203bf,0xffdcaaff,0x40000eff,0x000ffffb,
    0x49ffff10,0xb004fffe,0x3ffebfff,0x5fffec1f,0xc80ffff9,0x53ffffff,
    0x001fffff,0x1ffff900,0x3fffee00,0xfffb8000,0xfd80000f,0x7fec05ff,
    0x7ffff05f,0x003fffee,0x17fffc00,0x817fff60,0x4403fffe,0x01c06fff,
    0x7fc41500,0xfa89bfff,0x3f20ffff,0x3f662fff,0x7fd47fff,0xfeb9beff,
    0x7fc41fff,0xffcacfff,0xbeffffff,0x1ffffd98,0x8e7ffff4,0x366ffffa,
    0xfffb5fff,0x7cffffc9,0x3fff66ff,0x36bfffb4,0x3fa05fff,0xbfff93ff,
    0xceffff98,0x7fc45fff,0xfff901ff,0x1333333f,0x0ffff900,0x05fffff7,
    0x7fffdc00,0x3ffa0000,0x3ffff37f,0x3fffee00,0xfb87fff9,0x6fffbdff,
    0x9fffff90,0x04ffffe8,0x7fffc800,0x3fffee00,0xfffb8000,0xfd80000f,
    0x7fec05ff,0x7ffff05f,0x003fffee,0x1fffe600,0x817fff60,0x4403fffe,
    0x01c06fff,0xffd81500,0xffffffff,0x7ffd42ff,0xffffefff,0xfffe87ff,
    0xffffffff,0xfffff704,0xffffffff,0xffffffff,0xfff30bff,0xffffffff,
    0xafffec3f,0x3f64fffd,0x24fffeff,0xffb4fffd,0x17fff6bf,0xf93fffe8,
    0xfff90bff,0x88bfffff,0xf901ffff,0xc8000fff,0xff907fff,0x20003fff,
    0x000ffffb,0x2bfffee0,0x2006fffc,0xffdffff9,0xffff884f,0xf904fffd,
    0xff309fff,0x80005fff,0x2007fffc,0x000ffffb,0x00ffffb8,0x5fffd800,
    0x82fffec0,0xff72ffff,0x700001ff,0xfb009fff,0x7ff40bff,0x5554403f,
    0x50001c02,0x7ffffd41,0x2effffff,0xffffffb0,0x3ffff7ff,0xfffffd88,
    0x5405ffff,0xffffffff,0xffffb9ef,0x205fffff,0xffffffe9,0x7fec2fff,
    0x49fffb5f,0xfffffffb,0x6d3fff62,0xfffb5fff,0x9ffff40b,0xf885fffc,
    0x5fffffff,0x80ffffc4,0x0007fffc,0xd03fffe4,0x000dffff,0x003fffee,
    0xdffff880,0x4003fffe,0xffffffff,0xfffffd02,0x3ff205ff,0x3fff207f,
    0x320000ef,0x2e007fff,0x8000ffff,0x000ffffb,0x05fffd80,0x202fffec,
    0xffff71ff,0xffb00001,0xfffb007f,0x1ffff40b,0x33333333,0x13333333,
    0x10a8000e,0xfff93bff,0xb8019dff,0xb0dfffff,0x3aa09fff,0x02efffff,
    0xfffffb10,0xfffd987d,0xc8802eff,0x1cfffffe,0x93fff600,0xfffffff9,
    0x6d3fff60,0xfffb5fff,0x9ffff40b,0xf505fffc,0x8bffffff,0x901ffff8,
    0x8000ffff,0x2207fffc,0x004fffff,0x00ffffb8,0x7fffec00,0x4001ffff,
    0xfffffffd,0xfffff900,0x3ff201ff,0x3ffe207f,0x320004ff,0x2e007fff,
    0x8000ffff,0x000ffffb,0x05fffd80,0x302fffec,0x3ffee1ff,0xff80000f,
    0xffd802ff,0x3fffa05f,0xffffff33,0xffffffff,0xa8000edf,0x26a61ae0,
    0x01a98000,0x01353000,0x004d4400,0x80004d4c,0x80009a98,0x7fc4fffd,
    0x7ec6ffff,0xbfffb4ff,0xe817fff6,0xfff93fff,0x7fffec0b,0x7ffc45ff,
    0xffff901f,0xfffc8000,0x7fffdc07,0x7fdc001f,0x540000ff,0x6fffffff,
    0xffffb800,0x3fea06ff,0x3207ffff,0x7dc07fff,0x0001ffff,0x400ffff9,
    0xeeeffffb,0xeeeeeeee,0xddffff74,0xdddddddd,0x3fff609d,0x2fffec05,
    0x3ee4fe98,0xeeeeefff,0x84eeeeee,0x801ffff8,0x3a05fffd,0xfff33fff,
    0xffffffff,0x00edffff,0x00000a80,0x00000000,0x00000000,0xd8000000,
    0x7fec4fff,0x7fec4fff,0x2bfffb4f,0x3a05fffd,0xfff93fff,0x7fffcc0b,
    0x7ffc45ff,0xffff901f,0xfffc8000,0xffffe807,0x7ffdc006,0x7c40000f,
    0x03ffffff,0xfffff980,0x3ffe204f,0x3f205fff,0xffe807ff,0xf90006ff,
    0x7dc00fff,0xffffffff,0x75ffffff,0xffffffff,0xbfffffff,0x017fff60,
    0xf10bfffb,0x7ffdc1df,0xffffffff,0xf985ffff,0xfd800fff,0x3ffa05ff,
    0xfffff33f,0xffffffff,0x33336dff,0xcccccccc,0x0000dccc,0x00000000,
    0x00000000,0x80000000,0x7dc4fffd,0x7ec2ffff,0xbfffb4ff,0xe817fff6,
    0xfff93fff,0xffffc80b,0x7fffc45f,0x0ffff901,0x7fffc800,0xfffff880,
    0x3ffee003,0xfd80000f,0x000fffff,0xffffff88,0x7ffff402,0x3fff203f,
    0xffffa807,0xffc8004f,0x3fee007f,0xffffffff,0xf75fffff,0xffffffff,
    0x0bffffff,0xb017fff6,0x1360bfff,0x3fffffee,0xffffffff,0x7fffa85f,
    0x0bfffb00,0xf99ffff4,0xffffffff,0x06ffffff,0x00000000,0x00000000,
    0x00000000,0x36000000,0x7fcc4fff,0x7fec0fff,0x2bfffb4f,0x3a05fffd,
    0xfff93fff,0xffffd00b,0x1ffff88b,0x00ffff90,0x07fffc80,0x1fffff70,
    0x3fffee00,0xffa80000,0x20005fff,0x00fffffe,0x0fffffe4,0x00ffff90,
    0x07fffff6,0x0ffff900,0x7ffffdc0,0xffffffff,0xffff75ff,0xffffffff,
    0x3f60bfff,0x7fec05ff,0x7fdc005f,0xffffffff,0xb85fffff,0xfb006fff,
    0x7ff40bff,0x0000003f,0x00000000,0x00000000,0x00000000,0xfd800000,
    0xffff84ff,0xb4fffd86,0x3ff6bfff,0x3fffa05f,0x00bfff93,0x88bffff5,
    0xf901ffff,0xc8000fff,0x36007fff,0x7005ffff,0x0001ffff,0x0bffffe0,
    0xffffc800,0xffffa806,0x3fffe407,0xfffff880,0x7ffe4006,0x00000007,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x77764000,0x2bbbba03,0x001eeee8,
    0x00000000,0x407ddd90,0x4c02eeee,0x00006eee,0x01555300,0xa83eeec8,
    0x3b25eeee,0x774405ee,0x5ddd92ee,0x413bbae0,0x0005eeea,0x05001400,
    0x01bdddd3,0x64bdddd3,0x3bb63eee,0xeeeeeeee,0x554c05ee,0xa88aaa62,
    0x06aaa0aa,0x02aaa200,0x800aa880,0x44009a98,0x40aa6001,0x20000aa9,
    0x2ceffdb9,0x205eeea8,0x2ceffdb9,0x1ea80000,0xdfffdb50,0x3b6a005b,
    0x910cefff,0x4037bffd,0x6c0001db,0x3fe04fff,0xffff8aff,0x223ddd92,
    0xd03dffdb,0x7f6d4ddd,0x7fed40bd,0x7ffec0bd,0x0bfffe04,0x80ffff50,
    0xfc88eeed,0x7fe402df,0x7ffec02f,0x7ffffcc4,0x07fffea1,0x70ffffb8,
    0x3fa0bfff,0xfff907ff,0xa803b109,0xa98ff605,0x3613f20a,0xfe84ffff,
    0x3ffa1fff,0x3ffffa4f,0xffffffff,0x4bffe607,0x7ec4fff8,0x03bff25f,
    0x09fffb00,0xfffffd70,0x3ffff207,0xfffdb83f,0x17fe600c,0x1bffffd5,
    0x7fff4400,0x20dfffff,0xe886fffb,0xffffffff,0x5c40000d,0x7f441fff,
    0xffffffff,0xffff100e,0xfbffffff,0xdfffffff,0x00bbfee0,0x027ffec0,
    0xff15ffff,0x3fff65ff,0xffffff9a,0x7fffc0ef,0xffffffc8,0xfffffb0e,
    0x7ffec1df,0x0bfffe04,0x80ffff50,0xffd9fffe,0x7fe405ff,0x7ffec02f,
    0x3ffffe24,0x04fffe81,0xf893fffa,0x7fc40fff,0xfff81fff,0x0fff442f,
    0xfd85ffa8,0xfffffdff,0x443fffde,0x321ffffe,0x7f43ffff,0x3fffa4ff,
    0xffffffff,0x9bffa07f,0x7cc0fffd,0x9fff13ff,0x7fffcc00,0x3ffe600f,
    0x541fffff,0x0fffffff,0x3fffffea,0x4bfff705,0xfffffffa,0xffe8800f,
    0xffffffff,0x8dfff71f,0xffffffe8,0x001fffff,0xfffffc98,0x7ffffec1,
    0x86ffffff,0xfffffff8,0xffffffff,0x85ffffff,0x0bfffffb,0x13fff600,
    0xf8affff8,0xfffb1fff,0xfffffffb,0xffff8bff,0xfffffffd,0xfffffeef,
    0x3ff65fff,0x3fffe04f,0x3fffd402,0x3fbfffa0,0x6402ffff,0x7ec02fff,
    0xfffd14ff,0x3ffee03f,0x3ffff307,0x542fffe8,0x4c3fffff,0x7f447fff,
    0x7fd41fff,0x3ffa24ff,0xffffffff,0xf984ffff,0xfff36fff,0x9fffd0bf,
    0x7ffffff4,0x06fffffe,0x3ea3fff9,0xfff902ff,0x00bffee1,0x27ffffe4,
    0xd117ff90,0x1ffe87ff,0x7ff49ff5,0x7cc3ffb0,0x3fa5ffff,0x4fffcbef,
    0x7ffff440,0xffffecce,0x44dfff76,0xcceffffe,0x006ffffe,0x3fffff6a,
    0x3ffe61ff,0xffda89bf,0x7ffe42ff,0xfffdbadf,0xfcabefff,0x7fdc4fff,
    0x01cfffff,0x204fffd8,0xee8affff,0xffffb1ff,0xfff957df,0x7fffc1ff,
    0xffebadff,0xfcadffff,0xffb0ffff,0x7fffc09f,0x26664c02,0x3fffffa0,
    0xfc807fff,0x7fec02ff,0x5ffffd4f,0x17fffc40,0x5c37ffe4,0x7fe44fff,
    0x7fdc5fff,0xffffc85f,0xfffff51f,0xffffe885,0xffffffff,0x3ffff204,
    0x80ffffec,0x7003eeec,0x301dffff,0x3fe29fff,0x3ffe206f,0x003fffa6,
    0xfffffff1,0x3f621801,0x98f3224f,0xd86626ff,0x37ff21ff,0x3fff35ff,
    0x3603ffdc,0xfc83ffff,0xfeeabfff,0x0fffff65,0x80fffff2,0xfffffeb8,
    0x3ee0cfff,0x9bfb04ff,0x83fffd83,0x40fffffd,0x261ffff9,0xfffffffd,
    0x3ff602df,0x3fffe04f,0x7ec3fe22,0xffb86fff,0x3fffe2ff,0x7fffd43f,
    0x7fffcc4f,0x409fffb1,0x0002ffff,0x77ffff40,0xff900531,0xfffd805f,
    0x02ffffdc,0xf85fffd8,0xff983fff,0x7ffff46f,0x17fff47f,0xbfffffc8,
    0x502fffff,0xf97fffff,0xe801ffff,0xffffffff,0x3ea00002,0xe881ffff,
    0xfffb0fff,0x3fffb803,0xc80bfff5,0x3fffefff,0x3ffb2a20,0xffd804ff,
    0x89fff904,0x75ff98bb,0xfffa8fff,0x13fffe00,0x327fffe8,0x13fffe4f,
    0x887fffe8,0xfffffffc,0xfff702df,0x2200017f,0x7ffff501,0x20ffff20,
    0xfffffeb8,0x7ec0beff,0x3ffe04ff,0xfd9fea2f,0xff880fff,0x3fffe2ff,
    0x0dffff05,0x7ecffffe,0x3ffe04ff,0x5555512f,0x55555555,0x3fffa555,
    0x2aaa602f,0xacfffdaa,0xffb0aaaa,0x0bffffff,0x83fffea0,0xd00ffffa,
    0x3fe23fff,0xf11fffef,0x7e401fff,0xffffffff,0x13fff602,0x807fffb1,
    0xfffffff8,0x3ea00004,0xfb02ffff,0x3ffee7ff,0x3ffff005,0x440bfffa,
    0xfff9ffff,0xfffff306,0xfd809fff,0xfffd00ef,0xbaffcc07,0x7ffc45ff,
    0x1ffff301,0x87fffd40,0xffff33fe,0x7fffd401,0xfffffb30,0x98017fff,
    0xceffffff,0x75cc0002,0xf501ffff,0xfc980dff,0xcfffffff,0x409fffb0,
    0xff52ffff,0x037ffec5,0x7fc7ffff,0xffff03ff,0x4ffffa0b,0x3e04fffd,
    0xfff32fff,0xffffffff,0x3fadffff,0x7fe406ff,0xffffffff,0xfb3fffff,
    0xffffffff,0x3fffa003,0x813fff63,0xff53fffc,0x2a7fff5f,0xfc805fff,
    0x02ffffff,0x5407fffc,0xfb805fff,0x000effff,0xfffff300,0x5fffe607,
    0x001ffff8,0x3e6dfff7,0xffb80fff,0x05fffb4f,0xf915bfff,0x3ffa209f,
    0x3f66a01e,0x2bff304f,0x7fcc7ffb,0xffff700f,0xcffff880,0x3ffee6fe,
    0x7fffc407,0xffffff72,0xffe8005b,0xdfffffff,0xffeca802,0xeeffffff,
    0xfffeeeee,0x3ffaa007,0xffb2ffff,0x7fffc09f,0x7ec4ffed,0x3ffe05ff,
    0x0ffffe3f,0xe827fffc,0xfffb4fff,0x97fffc09,0xfffffff9,0xffffffff,
    0x80bfffd6,0xfffffffc,0xffffffff,0xffffffb3,0x2e00bfff,0xfff16fff,
    0x7ffcc03f,0x3fafff95,0x07fff95f,0x3fffff60,0x06fff803,0x7c01bffe,
    0x0005ffff,0x9fffff10,0xb2fffe80,0x32007fff,0xfff74fff,0x43fffe0b,
    0x7cc6fffa,0x427ff47f,0x100efff9,0x983ffc41,0x3fff35ff,0xf903ffdc,
    0xfff00dff,0x7e43dfff,0xfff806ff,0xdffff73f,0x3fa20001,0xffffffff,
    0xfffb80df,0xffffffff,0xffffffff,0x98007fff,0xfb2ffffe,0x7ffc09ff,
    0xfd81dfff,0x3ffa05ff,0x0bfffe3f,0xe827fff4,0xfffb4fff,0x97fffc09,
    0xfffffff9,0xffffffff,0x809fffd6,0xfffffffc,0xffffffff,0xdfffffb3,
    0x1005ffff,0xff51ffff,0xffff00df,0x3f2bfff1,0x0ffff8ff,0xfffffa80,
    0x7ffc01ff,0x5fff980f,0xfffffc80,0x7440002f,0x9805ffff,0xfff16fff,
    0xfff9801f,0x01ffff16,0xff8bfff7,0x3ffe21ff,0x45fffc8a,0xf104fff9,
    0x837fccdf,0x3ffa5ff9,0x04fffcbf,0x101fffee,0x707fffff,0xf880ffff,
    0xfff72fff,0x00019fff,0x3fffff66,0x7dc5ffff,0xaaceffff,0xffffffff,
    0x0fffffff,0xffff9300,0x3fff65ff,0x7ffff105,0x05fffd80,0xff8ffffa,
    0xfffd02ff,0x53fffa07,0xf105fffd,0x33225fff,0xcccccccc,0xfd3ccccc,
    0xcca809ff,0xdfffeccc,0xfb1ccccc,0x3ff6bfff,0xfffb006f,0x007fffb7,
    0xfff7fff9,0x3efffea7,0xffa806ff,0x1fffffff,0x213fff60,0x4c04fffd,
    0xffffffff,0x3ff60000,0x3ee006ff,0x9fff53ff,0x91fffd80,0x3fa05fff,
    0x7ffe42ff,0x7ffffec5,0x7ff45fff,0x327fffff,0x2fffcdff,0x7ccbff30,
    0x0effffff,0x03fffe60,0x02ffff98,0x980ffff3,0xff31ffff,0x5bffffff,
    0x7edcc000,0xf10fffff,0xfa83bfff,0x00001fff,0xfffffd51,0x3ff63dff,
    0xffff305f,0x5fffd805,0xf8ffffa0,0xffd02fff,0x3fffa07f,0x20bfffb4,
    0x002ffff9,0x27fff400,0x2fffc800,0x337ffec0,0x5007ffff,0xffffdfff,
    0xffff5001,0x3fe23fff,0x403fffff,0xfdfffffa,0xf501ffff,0xff77dfff,
    0xfe801fff,0x5fffffff,0xffff9000,0xffe8001d,0x03fff90f,0x7ccfffea,
    0xfff505ff,0x3ffff10f,0x4efffecc,0x3ffe67ff,0x227fffff,0x05fffffe,
    0xfd317fe6,0xf001bfff,0x7ec07fff,0x7ffc07ff,0x3fff203f,0xffffea87,
    0x401cffff,0xffc880a9,0xffff51ff,0x13fffee0,0x7e4c0044,0xdfffffff,
    0x07fffdc1,0x017ffff4,0xe817fff6,0x3ffe3fff,0x7fffd02f,0x5d3fffa0,
    0xfe80ffff,0x54402fff,0x7ff402aa,0xff90003f,0xfffd805f,0x07fffe44,
    0x7fffff40,0x3ffe005f,0x7fec7fff,0x2a00ffff,0xf92fffff,0xf903ffff,
    0xffffffff,0x7e407fff,0xfffdafff,0x1aaaa83f,0x03bfffee,0x53ffe200,
    0xfd05ffe8,0x077fecdf,0xb04fffe8,0x02609fff,0x99999930,0x9b730999,
    0x03cc8803,0x74001331,0xfa81ffff,0x7f405fff,0xffa81fff,0x3f2604ff,
    0xdfffffff,0x17fffa22,0xc8ffffcc,0xffd07fff,0x3ffa0fff,0x3ffae23e,
    0x0cffffff,0x3bffff50,0x3fffff6a,0x2fffec02,0x7c7fffd0,0xffd02fff,
    0x3fffa07f,0x3bffff54,0x3fffff6a,0x3fffd402,0x00ffffa0,0x017ffe40,
    0xf113fff6,0xf7009fff,0x003fffff,0x2fffffec,0x1bffffee,0x85fffff0,
    0x645ffffc,0xffffffff,0x83ffffff,0xf15ffffa,0xfe81ffff,0xffff54ff,
    0xdddddddf,0x3fee05dd,0x85fff30f,0xff50fffb,0x4cccc03f,0x03333100,
    0x00000000,0xa8000000,0xaabfffff,0x00fffffc,0x5fffffd4,0xeffffcaa,
    0xfffc8800,0x361fffff,0x260bffff,0x3ea7fffd,0x3f223fff,0x8aefffff,
    0x22ffffd9,0xfffffffb,0x7fc400be,0xffffffff,0x6c02fffe,0x3fa05fff,
    0x3fffe3ff,0x07fffd02,0x7c53fffa,0xffffffff,0x402fffef,0x7407fffa,
    0x90003fff,0xfd805fff,0xfffb84ff,0x7ffc401f,0x7d4006ff,0x7cc2ffff,
    0x4c03ffff,0xff902fff,0xefffd81d,0xfeffffff,0x7ffc44ff,0x3ffee0ff,
    0xa7fff46f,0xfffffffb,0x3fffffff,0xeb8fbb60,0xb1776c4e,0x000007dd,
    0x00000000,0x00000000,0x7fffffd4,0x02ffffff,0xffffff50,0x05ffffff,
    0xffffd500,0x7fffc43f,0xfffffeff,0x3fffe22f,0xfffffeff,0xffffffff,
    0x7fdc5fff,0x4002dfff,0xfffffffa,0x02fffd9f,0xd02fffec,0x7ffc7fff,
    0x7fffd02f,0xa93fffa0,0xffffffff,0x402fffd9,0x7407fffa,0x90003fff,
    0xfd805fff,0xfffd04ff,0xffffb00b,0xfff88007,0xffff80ff,0x02f9801f,
    0x4fd80764,0x7ec55751,0x2ffffd85,0x23ffffd8,0xff74fffe,0xffffffff,
    0x0007ffff,0x00000000,0x00000000,0x00000000,0xfffff500,0x003dffff,
    0xffffffa8,0x0001efff,0x20fffecc,0xfffffff9,0xfb84ffff,0xffffffff,
    0xfffffd9d,0x5c0effff,0x0001cfff,0x37ffffae,0x805fffb1,0x3a05fffd,
    0x3ffe3fff,0x7fffd02f,0x513fffa0,0x21bffffd,0x5402fffd,0x7f407fff,
    0x950003ff,0xffd80399,0xffff504f,0xffffa805,0xfffd8000,0x0dfffb06,
    0x40080040,0x3ee0e003,0xff105fff,0x3ffa3fff,0xfffff74f,0xffffffff,
    0x0000007f,0x00000000,0x00000000,0x20000000,0xeffffec9,0x3b260004,
    0x004effff,0x40fe4400,0xffffffb8,0x3faa01df,0x541dffff,0x3efffffe,
    0x00017f70,0x0000d440,0xd02fffec,0x7ffc7fff,0x7fffd02f,0x413fffa0,
    0x000001a8,0x03fffe80,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4c000000,0x98000009,
    0x40000009,0x4d4c4008,0x04cc4001,0x4009a980,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xdd700000,0xdddddddd,0x205ddddd,0xdd700aa8,
    0xdddddddd,0x105ddddd,0x55540353,0x8000001a,0x200addb9,0x01001aa8,
    0xbb857777,0x15dd42bb,0x5dcc6eee,0x9999992b,0x2aaa6599,0x77777711,
    0x77777777,0x4cc47777,0x99999999,0x19999999,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fffe400,0xffffffff,0xff303fff,0x3ffff205,0xffffffff,
    0x7fdc3fff,0xffd81eff,0x9ffff34f,0x653fffe2,0x7ec1ffff,0x7542ffff,
    0x00beffff,0xffff98b9,0x07fffd41,0x7fc4dffd,0x2bfff94f,0xffffffff,
    0x26bfff95,0xffffffff,0xffffffff,0x3fffe67f,0xffffffff,0x007fffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fffffe4,0xffffffff,0x05ff103f,
    0x3ffffff2,0xffffffff,0x3fffee3f,0x7fec1fff,0x9ffff34f,0x653fffe2,
    0x3041ffff,0x7ffdcdff,0xbdffffff,0x7ec5feba,0xfff701ff,0xf137ff47,
    0x3fff29ff,0xfffffff5,0x57fff2bf,0xfffffff9,0xffffffff,0x3ffe67ff,
    0xffffffff,0x07ffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7ffffe40,
    0xffffffff,0x7c3363ff,0x3f21b51f,0xffffffff,0x13ffffff,0xff937fff,
    0x34fffd8d,0x3e29ffff,0xfff94fff,0x27ff803f,0xffffffff,0xffffffff,
    0x00bffe65,0x7ff4dff9,0x653ffe26,0xffff5fff,0x3f2bffff,0x555515ff,
    0x55555555,0x44555555,0xcccccccc,0xcccccccc,0x0000004c,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4cc40000,0x99999999,0xf13fffc9,0xfd7ff9ff,0x2666627f,
    0x99999999,0x5ff70999,0x3f60ffc8,0xffff33ff,0x53fffe29,0x711ffffb,
    0x47ffd955,0xffedefff,0xffffffff,0x400fff24,0x35532ffc,0xff91aaa8,
    0x3bbbbabf,0xfff94eee,0x0000000b,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2a7fff90,0xffffffff,0x400005ff,0x7fd40ffc,0xff13fd82,
    0x7fffc7ff,0x21ffff54,0x4ffffffa,0x3ae206fc,0x44ffffff,0x4cc00199,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x30ffff20,0x157fffd7,0xff700000,0x441ffc85,0x3fffa1ff,0x4cbfffa1,
    0x2ea27fff,0x80280abc,0x000addc9,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7ffe4000,0x3ffffa83,0xffffffc8,
    0xffffffff,0x15dff33f,0xfd88fff7,0x907ffec6,0x7ffc3fff,0x00000006,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7e400000,0x6ffd43ff,0x7fe43ffc,0xffffffff,0x323fffff,0x2fffffff,
    0x3ee0fffc,0x23ffdc7f,0x00004ffe,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf31fffe4,0x3fff11ff,
    0x7fffffe4,0xffffffff,0x7fffe43f,0x880dc82f,0x0ccc4099,0x00002662,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xb87fff90,0xf90fea3f,0xffffffff,0x07ffffff,0x00015951,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40c0c000,0x99999998,0x99999999,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_36_latin_ext_x[560]={ 0,2,1,0,1,1,1,1,1,1,0,1,1,1,
2,-1,1,2,0,1,0,1,1,1,1,1,3,2,1,1,1,1,0,0,2,1,2,2,2,1,2,2,0,2,
2,2,2,1,2,1,2,1,0,2,-1,0,0,-1,0,2,-1,0,1,-1,0,1,2,1,1,1,0,1,2,2,
-2,2,2,1,2,1,2,1,2,0,0,2,0,0,0,0,0,0,2,0,1,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,1,0,0,0,
2,0,0,-1,0,1,1,1,-1,-1,1,0,0,0,2,1,-1,2,0,1,0,1,1,1,0,1,0,0,0,0,
0,0,-2,1,2,2,2,2,-1,1,-1,-1,-1,2,1,1,1,1,1,1,0,2,2,2,2,-1,2,2,1,1,
1,1,1,1,1,1,1,1,1,1,-1,1,-1,-1,1,2,1,1,1,1,1,0,1,2,2,2,2,0,2,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,2,1,-1,1,2,1,2,1,2,1,2,1,2,1,1,1,
1,1,1,1,1,1,2,2,0,0,-2,-2,-1,-1,-1,-1,1,1,2,2,2,2,0,-2,2,2,2,2,1,2,
-1,2,2,2,2,0,0,2,2,2,2,2,2,-1,2,2,1,1,1,1,1,1,1,1,2,2,2,0,2,1,
1,0,1,0,1,0,1,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,0,0,-1,0,
-1,0,0,0,0,0,0,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,-1,4,4,4,
4,4,4,4,4,4,4,4,4,4,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,2,2,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,1,-1,-1,1,
1,2,2,2,2,2,2,2,2,2,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,0,1,-2,1,0,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__arial_bold_36_latin_ext_y[560]={ 29,5,5,5,4,5,5,5,5,5,5,9,24,18,
24,5,5,5,5,5,5,6,5,6,5,5,12,12,8,12,8,5,5,5,5,5,5,5,5,5,5,5,5,5,
6,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,32,5,11,5,11,5,11,5,11,5,5,
5,5,5,11,11,11,11,11,11,11,6,12,12,12,12,12,12,5,5,5,14,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,29,12,6,5,9,5,
5,5,5,5,5,13,12,18,5,1,5,7,5,5,5,12,5,15,29,5,5,13,5,5,5,12,-1,-1,-1,0,
0,1,5,5,-1,-1,-1,0,-1,-1,-1,0,5,0,-1,-1,-1,0,0,9,4,-1,-1,-1,0,-1,5,5,5,5,
5,6,5,4,11,11,5,5,5,5,5,5,5,5,5,6,5,5,5,6,5,9,11,5,5,5,5,5,5,5,
0,6,0,5,5,11,-1,5,-1,5,-1,5,-1,5,-1,5,5,5,0,6,-1,5,-1,5,5,11,-1,5,-1,5,
0,5,-1,5,5,3,-1,-1,5,5,-1,6,0,6,-1,5,5,5,0,12,5,5,-1,5,5,5,12,-1,0,6,
5,6,5,6,5,5,5,-1,5,5,11,-1,5,5,5,11,0,6,-1,5,-1,5,5,11,-1,5,5,11,-1,5,
-1,5,-1,5,5,11,-1,5,5,6,-1,5,5,6,-1,6,0,6,-1,5,-1,4,-1,5,5,12,-1,5,-1,5,
0,-1,5,0,5,-1,5,5,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,5,8,8,5,8,8,8,
8,8,8,8,8,8,8,8,8,8,5,11,8,8,8,8,8,8,8,8,8,8,8,8,8,5,12,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,-1,5,-1,5,-1,
5,-1,5,0,-1,-1,-1,-1,-1,-1,-1,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,-4,-1,-1,5,-1,5,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__arial_bold_36_latin_ext_w[560]={ 0,6,13,18,16,27,22,6,9,9,12,17,6,9,
5,10,16,11,17,16,18,16,16,16,16,16,5,6,17,17,17,18,32,24,20,21,20,18,17,23,19,5,16,22,
17,23,19,23,19,24,22,19,20,19,23,31,22,23,20,9,10,9,16,20,8,16,17,17,17,16,12,17,16,5,
9,16,5,26,16,18,17,17,11,17,11,16,18,26,18,18,16,12,5,12,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,5,17,18,18,18,
5,17,11,25,12,16,17,9,25,20,11,17,10,11,9,16,19,5,10,7,12,16,26,26,27,18,24,24,24,24,
24,24,33,21,18,18,18,18,8,8,11,11,23,19,23,23,23,23,23,17,25,19,19,19,19,23,19,17,16,16,
16,16,16,16,27,17,16,16,16,16,8,9,11,11,18,16,18,18,18,18,18,17,18,16,16,16,16,18,17,18,
24,16,24,16,25,19,21,17,21,17,21,17,21,17,20,23,23,19,18,16,18,16,18,16,18,16,18,16,23,17,
23,17,23,17,23,17,19,16,24,18,12,12,11,11,11,11,8,8,5,5,21,14,19,12,22,16,16,17,9,17,
10,17,11,17,12,19,9,19,16,19,16,19,16,22,20,16,23,18,23,18,23,18,31,29,22,11,22,13,22,12,
19,17,19,17,19,17,19,17,20,11,20,16,20,11,19,16,19,16,19,16,19,16,19,16,19,18,31,26,23,18,
23,20,16,20,16,20,16,10,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,22,17,17,19,17,17,17,
17,17,17,17,17,17,17,17,17,17,27,22,17,17,17,17,17,17,17,17,17,17,17,17,17,25,22,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,24,16,11,11,23,
18,19,16,19,16,19,16,19,16,19,16,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,24,16,33,27,25,18,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17, };
static unsigned short stb__arial_bold_36_latin_ext_h[560]={ 0,24,10,25,29,25,25,10,31,31,12,17,11,5,
5,25,25,24,24,25,24,24,25,23,25,25,17,23,19,12,19,24,31,24,24,25,24,24,24,25,24,24,25,24,
23,24,24,25,24,27,24,25,24,25,24,24,24,24,24,31,25,31,14,4,6,19,25,19,25,19,24,25,24,24,
31,24,24,18,18,19,25,25,18,19,24,18,17,17,17,24,17,31,31,31,7,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,24,30,25,17,24,
31,31,5,25,13,15,12,5,25,4,11,22,13,13,6,24,31,5,7,13,13,15,25,25,25,24,30,30,30,29,
29,28,24,31,30,30,30,29,30,30,30,29,24,29,31,31,31,30,30,17,27,31,31,31,30,30,24,25,25,25,
25,24,25,26,19,25,25,25,25,25,24,24,24,24,25,23,25,25,25,24,25,18,20,25,25,25,25,31,31,31,
29,24,29,25,31,25,31,25,31,25,31,25,31,25,30,25,24,25,29,24,30,25,30,25,31,25,30,25,31,31,
30,31,31,31,31,33,30,30,24,24,30,23,29,23,30,24,31,31,29,17,25,31,31,31,31,31,17,30,29,30,
31,23,24,23,24,24,24,30,24,31,25,30,24,24,25,25,30,24,31,25,31,25,25,19,30,24,31,25,30,24,
31,25,31,25,31,25,31,25,35,33,30,25,24,24,31,24,30,24,31,25,31,26,31,25,31,24,30,24,30,31,
29,30,24,29,24,30,24,24,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,25,21,21,31,21,21,21,
21,21,21,21,21,21,21,21,21,21,25,19,21,21,21,21,21,21,21,21,21,21,21,21,21,25,18,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,30,25,30,24,31,
25,31,25,30,31,31,31,31,31,31,31,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,33,31,30,25,32,26,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21, };
static unsigned short stb__arial_bold_36_latin_ext_s[560]={ 511,233,69,227,328,231,234,83,241,501,19,
239,62,156,166,390,196,313,276,161,214,240,69,334,86,198,376,309,43,32,107,
294,109,325,362,396,383,404,423,177,441,461,372,201,316,1,48,317,81,409,101,
352,124,246,145,169,191,224,467,381,341,345,433,172,129,423,124,440,159,488,68,
88,31,25,315,494,488,165,148,24,106,471,227,61,350,192,274,293,357,257,382,
278,103,142,101,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,
386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,511,505,168,
452,338,80,109,240,138,36,450,399,1,156,62,193,50,368,463,474,119,349,391,
150,90,486,494,416,389,416,443,158,239,284,309,284,167,384,145,411,39,98,413,
365,230,18,432,217,235,345,433,477,1,334,483,320,434,25,69,89,264,206,73,
18,1,488,471,332,435,479,79,378,361,344,327,310,475,20,427,179,215,351,179,
291,143,439,103,209,404,52,35,18,1,155,211,249,192,296,130,257,355,336,328,
294,370,259,412,213,458,178,58,312,194,123,309,177,376,70,464,35,1,274,79,
373,45,44,144,193,434,203,20,59,444,1,55,109,117,284,155,297,27,30,298,
251,504,505,401,260,307,146,79,62,257,395,274,358,500,266,133,248,145,276,99,
186,128,288,162,101,116,93,122,493,480,1,122,474,159,455,423,458,327,496,275,
496,121,42,221,105,183,87,229,143,102,52,1,47,1,18,29,61,480,218,22,
259,392,277,350,1,308,356,268,313,350,383,382,174,229,406,458,253,366,427,410,
50,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,266,386,386,457,
386,386,386,386,386,386,386,386,386,386,386,386,386,289,1,386,386,386,386,386,
386,386,386,386,386,386,386,386,201,125,386,386,386,386,386,386,386,386,386,386,
386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,42,142,
468,484,291,489,258,418,448,206,186,169,325,135,115,223,386,386,386,386,386,386,
386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,
386,386,386,22,152,67,1,77,460,386,386,386,386,386,386,386,386,386,386,386,
386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,
386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,
386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,
386,386,386,386,386,386,386,386,386, };
static unsigned short stb__arial_bold_36_latin_ext_t[560]={ 1,268,338,215,132,163,189,338,69,1,338,
318,338,338,338,163,163,268,268,163,268,268,189,293,189,189,318,293,318,338,318,
268,37,268,268,189,268,268,268,215,268,268,215,293,293,293,293,215,293,132,293,
215,293,215,293,293,268,293,268,1,215,1,318,338,338,293,215,293,215,293,293,
215,293,293,1,268,268,318,318,318,215,215,318,318,268,318,318,318,318,268,318,
1,1,37,338,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,
293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,1,189,101,
189,318,268,1,1,338,215,318,318,338,338,215,338,338,293,318,318,338,242,1,
338,338,318,318,318,215,215,215,242,101,101,101,132,132,132,268,1,132,132,101,
132,101,132,101,132,242,132,1,1,37,101,101,318,132,37,37,37,101,101,242,
215,216,189,189,242,189,132,318,189,189,189,189,189,242,268,242,268,189,293,189,
189,189,242,189,318,293,189,189,189,190,37,37,37,132,242,132,189,1,163,37,
163,37,163,37,163,37,163,132,163,242,163,132,242,101,163,101,163,69,189,132,
163,37,69,101,37,37,69,69,1,101,132,268,268,132,293,132,293,132,268,69,
69,69,293,163,69,69,69,69,69,318,101,132,101,37,293,242,293,242,242,268,
101,268,37,189,101,242,242,189,163,69,268,69,163,69,163,163,293,69,242,69,
132,101,268,69,163,69,163,37,163,69,163,1,1,101,163,242,242,37,242,101,
242,37,163,37,163,37,163,37,242,69,242,69,37,132,69,242,132,242,69,242,
242,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,215,293,293,1,
293,293,293,293,293,293,293,293,293,293,293,293,293,215,318,293,293,293,293,293,
293,293,293,293,293,293,293,293,215,318,293,293,293,293,293,293,293,293,293,293,
293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,101,215,
69,242,1,215,1,189,69,1,1,1,1,1,1,1,293,293,293,293,293,293,
293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,
293,293,293,1,1,101,242,1,132,293,293,293,293,293,293,293,293,293,293,293,
293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,
293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,
293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,
293,293,293,293,293,293,293,293,293, };
static unsigned short stb__arial_bold_36_latin_ext_a[560]={ 143,172,244,287,287,458,372,123,
172,172,201,301,143,172,143,143,287,287,287,287,287,287,287,287,
287,287,172,172,301,301,301,315,503,372,372,372,372,344,315,401,
372,143,287,372,315,429,372,401,344,401,372,344,315,372,344,487,
344,344,315,172,143,172,301,287,172,287,315,287,315,287,172,315,
315,143,143,287,143,458,315,315,315,315,201,287,172,315,287,401,
287,287,258,201,144,201,301,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,143,172,287,287,287,287,144,287,
172,380,191,287,301,172,380,285,206,283,172,172,172,297,287,143,
172,172,188,287,430,430,430,315,372,372,372,372,372,372,516,372,
344,344,344,344,143,143,143,143,372,372,401,401,401,401,401,301,
401,372,372,372,372,344,344,315,287,287,287,287,287,287,458,287,
287,287,287,287,143,143,143,143,315,315,315,315,315,315,315,283,
315,315,315,315,315,287,315,287,372,287,372,287,372,287,372,287,
372,287,372,287,372,287,372,371,372,315,344,287,344,287,344,287,
344,287,344,287,401,315,401,315,401,315,401,315,372,315,372,315,
143,143,143,143,143,143,143,143,143,143,405,287,287,143,372,287,
287,315,143,315,143,315,199,315,247,315,143,372,315,372,315,372,
315,365,373,315,401,315,401,315,401,315,516,487,372,201,372,201,
372,201,344,287,344,287,344,287,344,287,315,172,315,247,315,172,
372,315,372,315,372,315,372,315,372,315,372,315,487,401,344,287,
344,315,258,315,258,315,258,143,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,374,387,387,287,387,387,387,387,387,
387,387,387,387,387,387,387,387,440,367,387,387,387,387,387,387,
387,387,387,387,387,387,387,428,373,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,372,287,143,143,401,315,372,315,372,315,372,
315,372,315,372,315,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,372,287,516,458,401,315,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_36_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_bold_36_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_36_latin_ext(stb_fontchar font[STB_FONT_arial_bold_36_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_36_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_bold_36_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_36_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_36_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_36_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_36_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_36_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_36_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_36_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_36_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_36_latin_ext_s[i] + stb__arial_bold_36_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_36_latin_ext_t[i] + stb__arial_bold_36_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_36_latin_ext_x[i];
            font[i].y0 = stb__arial_bold_36_latin_ext_y[i];
            font[i].x1 = stb__arial_bold_36_latin_ext_x[i] + stb__arial_bold_36_latin_ext_w[i];
            font[i].y1 = stb__arial_bold_36_latin_ext_y[i] + stb__arial_bold_36_latin_ext_h[i];
            font[i].advance_int = (stb__arial_bold_36_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_36_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_36_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_36_latin_ext_s[i] + stb__arial_bold_36_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_36_latin_ext_t[i] + stb__arial_bold_36_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_36_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_36_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_36_latin_ext_x[i] + stb__arial_bold_36_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_36_latin_ext_y[i] + stb__arial_bold_36_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_36_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_36_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_36_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_36_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_36_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_36_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_36_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_36_latin_ext_LINE_SPACING
#endif

