// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_39_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_39_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_39_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_bold_39_latin_ext_BITMAP_HEIGHT        411
#define STB_FONT_arial_bold_39_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_bold_39_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_bold_39_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_bold_39_latin_ext_LINE_SPACING          25

static unsigned int stb__arial_bold_39_latin_ext_pixels[]={
    0xfffffff3,0xffffffff,0x1009ffff,0x00000000,0x00016a00,0x0d5554c0,
    0xaaa98000,0x0555501a,0x0009aa98,0x30000000,0x00005555,0x00033331,
    0x0d5402aa,0x09a98800,0x00000000,0x0004d544,0x015554c0,0x03531000,
    0x2aaa6000,0x52aaa802,0x00000355,0x01355531,0x2aaa6000,0x2620000a,
    0x000009aa,0x00266660,0x8800aaa8,0xff901a99,0xfff301ff,0xffffffff,
    0xffffffff,0x001f5409,0x1ffffe80,0xfff98000,0x7c400000,0x0000efff,
    0x01dffff0,0x7dc17ffe,0x02efffff,0x073f6600,0xffff1000,0x7c40009f,
    0x8002ffff,0x1ff984fe,0x3fff6e00,0x002effff,0x3f60bf90,0xffff9805,
    0x3f20001e,0x5c0007ff,0xefffffed,0xff88000d,0x7fc04fff,0x00dff75f,
    0xfffd7100,0x5bffffff,0x3ffa2000,0x64c005ff,0xffffffff,0x3600002d,
    0x3006ffff,0x64401fff,0xf904ffff,0xff301fff,0xffffffff,0xffffffff,
    0x7ffb109f,0xfff50000,0xd100003f,0x00001bff,0x00efffb8,0xffff5000,
    0x22fffc01,0xffffffe8,0x88005fff,0x000ffeff,0x3fffffa0,0xffb0001f,
    0x8001ffff,0xfd50bffc,0xffd1001f,0xffffffff,0xfa8003df,0x01ffcc1f,
    0x7fffffcc,0xfff90002,0x3f62000f,0xffffffff,0x7f4003ff,0x201fffff,
    0xfff15fff,0x3f660005,0xffffffff,0x03ffffff,0x7ffffec0,0xffe8802f,
    0xffffffff,0x40001eff,0x3ffffffa,0x205ffd80,0x4ffffff8,0x01ffff90,
    0xfffffff3,0xffffffff,0xf989ffff,0x80003fff,0x0002fffe,0x0007ff70,
    0x03fffe00,0xfffe8000,0x22fffc01,0xfffffffd,0x4004ffff,0x007f51fb,
    0x3efffee0,0x5c000eff,0x6fffcfff,0x7fffc400,0x9802ffff,0xfffffffe,
    0x0effffff,0x3bffa200,0x800effec,0x6ffffff9,0xffff9000,0xffff5000,
    0xffffffff,0xf9001dff,0x1dfff5ff,0xfc97ffe0,0xffc8006f,0xeeffffff,
    0xfffffffe,0xfffa800e,0x200fffeb,0xfffffff9,0xffffffff,0xff10001f,
    0x03fffbbf,0x700fffcc,0x09ffffff,0x403ffff2,0xe9999999,0x999affff,
    0x7fcc0999,0x4c0003ff,0x00003fff,0x002afff2,0x1fffb800,0x3fea0000,
    0x5fff801f,0x2fffffe6,0x1fffffca,0x7c43f600,0xfff98005,0x00bfff34,
    0xfaa7ffcc,0x74c003ff,0x003fffff,0xfffffffd,0xfffffffd,0xfff9800b,
    0x1001ffff,0x5fffffd9,0xffff9000,0xffffa800,0xffffffff,0x4c05ffff,
    0xfff34fff,0x997ffe09,0xd1002fff,0x017dffff,0x7fffe4c4,0x3ffe201f,
    0x20dfff15,0xfffffff9,0xffffffff,0xd8001fff,0xffe88fff,0x01bffa06,
    0x7ddfffff,0x02aaaa60,0x3ffffa00,0x3ffe6001,0x7ec0003f,0x6c00003f,
    0x0001ffff,0x0007bb60,0x005dd900,0xffb97ffe,0x7ffd42ff,0x37ea003f,
    0xb8001fda,0x666544cc,0x8bdd9000,0x8000deec,0x3000aba9,0x437dffff,
    0xfffffea8,0x76dc4001,0xf10000bd,0x10007fff,0xe8003333,0x21bfffff,
    0xffffffda,0x51332e02,0xfff01999,0x806ffe8b,0x01dffff9,0xffffd880,
    0x41999500,0x7441ccc9,0x1aefffff,0x3ffffb26,0x7754005f,0x0fbba62e,
    0x880fffea,0x0004ffff,0x3fffa000,0xfa98801f,0x0099cfff,0x00bec980,
    0x3fffa000,0x0000001f,0x00040000,0x7fdcbfff,0xbccd84ff,0x7ffec001,
    0x00000005,0x00000000,0xffffb800,0x3fffe202,0x0000003f,0x04fffe80,
    0x7dc00000,0x2601efff,0x005fffff,0x17ffe000,0x4405fff7,0x0003fffe,
    0x006fff98,0xffffc800,0xfffe803f,0x000000ff,0x803fffa0,0x801ffff8,
    0x00019998,0x003ffffd,0xfffffff7,0xf9800dff,0x00006fff,0x007bbbb2,
    0x01353000,0xfb3004d8,0xbfff007d,0x0fffffcc,0x05cc0000,0x13333100,
    0x01333300,0x0026a620,0x88155300,0x7fec1999,0x7fe400ff,0x530005ff,
    0xfd800013,0x54c004ff,0x0cccc40a,0x07ffffe2,0x3fffff20,0x20554c00,
    0x3fe19998,0x37ffcc5f,0x403fffb0,0xfa8009a8,0x4cc403ff,0x3ffe2019,
    0xff3003ff,0x00007fff,0x1bffea00,0x03ffff30,0x01ffff90,0x3ffffd00,
    0xfffff700,0x800dffff,0x005f91fc,0x40000000,0xfffffedb,0x2ffe43ef,
    0x17f6ff40,0xfb17ffe0,0x4007ffff,0x004ffffb,0x2e7ffff9,0x4c03ffff,
    0x2e04ffff,0xfffffffd,0x3fee002e,0xff53ffff,0x7ffe41ff,0x4cd4404f,
    0xfd970009,0x07bfffff,0x0bfffb00,0x3ffffee0,0x1ffff53f,0x02ffffe4,
    0x00acef88,0x3fffffee,0x21ffff53,0xffe85fff,0x2fffa82f,0xffffec98,
    0x64ffff75,0x7fe406ff,0xfff700ff,0xbdb800ff,0x3ee0000a,0x3f604fff,
    0x7fcc04ff,0xffc800ff,0xfe8000ff,0xfb801fff,0xffffffff,0xf33f4006,
    0x2a600009,0x0cccc40a,0x3ffff620,0xffffffff,0x404fffcb,0xf01be3fa,
    0xfff88bff,0xb800efff,0x9004ffff,0x3e27ffff,0x7e406fff,0xfe881fff,
    0xffffffff,0x36201eff,0xffffffff,0x20ffffab,0xbefffffb,0xfd300000,
    0xffffffff,0x6c003dff,0x6c405fff,0xffffffff,0x20ffffab,0x002ffffd,
    0x7ffec400,0xfabfffff,0xbfff0fff,0xf0bfff90,0xfff30bff,0xfbbfffff,
    0x7ff44bff,0x3ffff201,0x7ffffd00,0x40000000,0x204ffffb,0x4c01ffff,
    0xc800ffff,0x8000ffff,0x801ffffe,0xeffffeea,0x7dc004ee,0x0001fd9b,
    0x7fffffdc,0x01ffff53,0x3fffffee,0xffffffff,0xb805ffff,0xff01ba2f,
    0xffffb8bf,0x5c03ffff,0x9004ffff,0x7ec7ffff,0x3fe01fff,0xffe986ff,
    0xffffffff,0xfb00efff,0xffffffff,0x41ffffdf,0xfffffff8,0x70001bef,
    0xffffffff,0x9fffffff,0x17fff200,0xffffffb0,0xfffdffff,0x7ffff41f,
    0x7ec00000,0xffffffff,0xf0ffffef,0xfff70bff,0x40fffa8f,0xdefffff9,
    0x4fffffff,0xf9027fe4,0x3fe01fff,0x00001fff,0x3ffee000,0xffff304f,
    0xffffa801,0xffffc800,0xfffe8000,0x3fe6001f,0x2e0003ff,0x001fffff,
    0xfffffb10,0xfff57fff,0xffff701f,0xffffffff,0x0dffffff,0x3f6fbe20,
    0x72fffc03,0xffffffff,0x3ee01dff,0xf9004fff,0x7fd47fff,0xfff303ff,
    0xffffd07f,0xffffdfff,0xff30bfff,0xd535bfff,0x81ffffff,0xfffffffa,
    0x002dffff,0xfffffff7,0xffffffff,0xff900bff,0x7ffcc0df,0xfea9adff,
    0x3e0fffff,0x00007fff,0x6fffffcc,0xffffea9a,0x0bfff0ff,0x6c3ffff5,
    0x7ffcc3ff,0x3ffa61df,0x7fdc2fff,0x3ffff205,0xfffff880,0x00000000,
    0x413fffee,0xa807fffc,0xf9007fff,0xd0001fff,0x4003ffff,0x003ffff9,
    0x3fffffa0,0xfffb0004,0xdfffffff,0xf881ffff,0x09cfffff,0x3ffffee6,
    0x3fee003f,0x7ffc00df,0x95ffff35,0x5fffffff,0x09ffff70,0x0fffff20,
    0x320dffff,0x7cc0ffff,0x221befff,0x1fffffea,0x41fffff4,0x0fffffe8,
    0xffffffb8,0x1effffff,0x3ffffe20,0x3ee60adf,0x402fffff,0xd00ffffb,
    0xd107ffff,0x221fffff,0x0007ffff,0x1fffff40,0x7fffff44,0xf30bfff0,
    0x3fe27fff,0x37ffec1f,0x0fffffa8,0xf9037fcc,0xff301fff,0xaaa80fff,
    0x2aaaaaaa,0xffff7000,0x1ffff609,0x01bfff20,0x007fffe4,0x0fffff40,
    0x7ffff300,0x3ffe6000,0x4000ffff,0xacfffff9,0xfffffea9,0x7fffec0f,
    0x7ffcc02f,0x0a8007ff,0x2ebfff00,0x3fea4fff,0x5c1fffff,0x9004ffff,
    0xfc87ffff,0xfff81fff,0xffffb86f,0x3fffe202,0x3fffe23f,0x3fffe606,
    0xfffd300f,0xffffffff,0x3fffa03f,0x7f4c02ff,0x7c406fff,0xff884fff,
    0x3fe606ff,0xfff30fff,0x440000df,0x2606ffff,0xff0fffff,0xffff10bf,
    0xf31bfee7,0x3e205fff,0xff887fff,0x3ffff207,0x6ffff980,0x7fffff40,
    0x0007ffff,0x209ffff7,0x4406fffe,0x9004ffff,0x0001ffff,0x003ffffd,
    0x01ffffcc,0xfffffc80,0x7f4003ff,0xfe884fff,0x3ea0ffff,0x4402ffff,
    0x3ffffffe,0xaaba9880,0xfffd8001,0x7fffec43,0x3ffee0ff,0xfff9004f,
    0xffff987f,0x17fffcc3,0x007fffec,0x997ffff2,0x7404ffff,0x4c00ffff,
    0xffffffeb,0x7d41ffff,0x1002ffff,0x807fffff,0x0acffffd,0x809ffff3,
    0xf30ffffe,0x0000ffff,0x027fffcc,0x7c3ffffa,0xfff885ff,0xd89ff94f,
    0x7f405fff,0x6ff985ff,0x03ffff20,0x01ffffe2,0xfffffffd,0x2e000fff,
    0xff04ffff,0x3aa20bff,0x9001ffff,0x0001ffff,0x003ffffd,0x01ffffcc,
    0xffffff80,0x3e2006ff,0xf700ffff,0x7ec1ffff,0x74406fff,0x6fffffff,
    0x3ffff6a0,0x2004ffff,0xf705fffe,0x7dc9ffff,0xf9004fff,0xffd07fff,
    0xffffc8df,0x4ffffc80,0x04ccd440,0x807ffff5,0x000ffffd,0x3ffff2a2,
    0x7fec5fff,0x7e4006ff,0x7cc07fff,0xf52fffff,0xfd807fff,0xfff10fff,
    0x540000ff,0x6c03ffff,0xfff0ffff,0x57fffe0b,0x7ffc2ffd,0x7fffc02f,
    0x205ffb83,0xf00ffffc,0x7401ffff,0xffffffff,0xff70007f,0x3ffe09ff,
    0xfffff04f,0x7fe4009f,0xfe8000ff,0x26001fff,0x8003ffff,0xfffffffa,
    0xff3001ff,0x7fc40dff,0x3ffa0fff,0x7fec01ff,0x0fffffbf,0xffffffb8,
    0x005fffff,0x205ffff9,0x2e6ffff9,0x9004ffff,0xf707ffff,0x7ff41fff,
    0xffff705f,0x700017df,0xc805ffff,0x0000ffff,0x1fffffaa,0x005fffff,
    0x0fffff88,0x7ffff4c0,0x05ffff72,0x20ffffc8,0x000fffff,0x5ffff700,
    0x0ffffc80,0x3fa0bfff,0x45ffd5ff,0x201ffff9,0xd81ffff8,0x3ff204ff,
    0xfffd00ff,0x7776403f,0x07ffffee,0x9ffff700,0x07ffff10,0x00fffffe,
    0x01ffff90,0x3ffffd00,0x7fffcc00,0xfffd8003,0x04ffffbf,0x09ffff50,
    0x20ffffe8,0x200fffff,0xfff3fffd,0xfff985ff,0xffffffff,0xff9804ff,
    0xff503fff,0x3ffee1ff,0xfff9004f,0xffff107f,0x0bfffe67,0x7fffffc4,
    0x7001beff,0xd807ffff,0x5310ffff,0x3fa00195,0xfff31fff,0xfd0001ff,
    0xf9803fff,0xff72ffff,0xffd807ff,0x3fff60ff,0x33b6002f,0x1ffffdc1,
    0x43ffff60,0xffd05fff,0xa87ffabf,0x7cc07fff,0xfff80fff,0x3ffff202,
    0x9ffffb00,0xfffff000,0x3ffee000,0xffff884f,0x9fffff03,0xffffc800,
    0xfffe8000,0x3fe6001f,0x7c4003ff,0xfff8dfff,0xffb800ff,0x7fe402ff,
    0xffff30ff,0x27ffe40f,0xd87ffffb,0xb9acffff,0x007ffffd,0x1bffffff,
    0x7dcffff0,0xf9004fff,0x3f607fff,0xffff96ff,0xfffffa80,0x2dffffff,
    0x0ffffea0,0x21ffffd0,0x003ffffc,0x267ffff9,0x0007ffff,0x407ffffb,
    0x2ffffff9,0x807ffff5,0x320ffffe,0x1005ffff,0x2a3fffff,0x7403ffff,
    0xfff0ffff,0x4ffffa0b,0x3fee1ffe,0x7ffdc06f,0x407ffb86,0x700ffffc,
    0x001fffff,0x007ffff8,0x09ffff70,0x7c0ffffe,0x005fffff,0x003ffff2,
    0x07ffffa0,0x3ffff980,0x7fffdc00,0x07ffff92,0x07ffff70,0x50ffffd8,
    0x2e0dffff,0x7fe45fff,0x3ff624ff,0xffffd05f,0xf504ccc1,0x45ffffff,
    0x3ee5fffa,0xf9004fff,0x3ea07fff,0xfffe8fff,0xffffb804,0xffffffff,
    0xffff981e,0x3fffe206,0xdffff30f,0x3ffffa00,0x0dffff52,0x3ffff200,
    0x3ffffa04,0x3fffe61b,0x3fffe206,0x3fffe60f,0xfffb801f,0x3fffe66f,
    0x3fffe206,0x20bfff0f,0xffb2ffff,0x03fffdc5,0x989ffff1,0x7e403fff,
    0x3fa00fff,0x7c004fff,0x70007fff,0x3609ffff,0xd7104fff,0x2003ffff,
    0x000ffffc,0x01ffffe8,0x13fffe60,0x4ffffd00,0x806ffff9,0x405ffff9,
    0xf70ffffe,0xff50bfff,0xffff70df,0x6402a20b,0x3fe0ffff,0x7fffd45f,
    0xffe9dfff,0x3fffee2f,0xffff9004,0x6ffffc07,0x3001ffff,0xfffffffd,
    0xf03fffff,0x3605ffff,0x3e0fffff,0x5404ffff,0x3ee7ffff,0x70005fff,
    0x260bffff,0xff03ffff,0x3f605fff,0x7e40ffff,0x2a01efff,0x7c3fffff,
    0xfb02ffff,0x3fe1ffff,0x3ffff05f,0xff98fff2,0xfff700ff,0x37ffc47f,
    0x07fffe40,0x9fffff70,0xffffb300,0x3fee000f,0xfff904ff,0xffff980b,
    0xffff9004,0xfffd0001,0x7fc4003f,0x405ddfff,0x744ffff9,0x4401ffff,
    0x2207ffff,0xf50fffff,0xff98dfff,0xfffc80ef,0x75cc004f,0x3fe1ffff,
    0xfffe985f,0x4fffffff,0x027fffdc,0x02ffffc8,0x3ffffff2,0xeb98006f,
    0xffffffff,0x7ffdc1ff,0x3ff622ff,0x3f60ffff,0xb80dffff,0x2a5fffff,
    0x0006ffff,0x209ffff9,0x700ffffa,0x445fffff,0x0ffffffd,0x7fffffc4,
    0xfffd711b,0xffb81fff,0x3f622fff,0xff0fffff,0xffff10bf,0xf893fee1,
    0xff984fff,0xffd32fff,0xfff9005f,0xfffe801f,0x2a21aeff,0x7ffffffc,
    0xffff7000,0x17ffee09,0x01bfff20,0x007fffe4,0x0fffff40,0x3ffffe00,
    0x7fec07ff,0x7ffe41ff,0xfffe804f,0xffffb02f,0x3fffe61f,0x03fffe67,
    0x01ffffec,0x3ffff6e6,0x3fe0ffff,0x3fff205f,0xb84fffff,0x9004ffff,
    0x4c05ffff,0x3fffffff,0x7e544000,0x45ffffff,0xfffffff8,0xffffffff,
    0x3fffe20f,0xfffeffff,0x263fffff,0x0007ffff,0x207ffffb,0x2206fffb,
    0xffffffff,0xffffffff,0xfffffb80,0xffffffff,0xff882fff,0xffffffff,
    0xf0ffffff,0xfff30bff,0x907ffccf,0x935bffff,0xbbffffff,0x2003ffff,
    0x400ffffc,0xffffffe9,0xffffffff,0x0006ffff,0x209ffff7,0xa806fff9,
    0xf9007fff,0xd0001fff,0x8003ffff,0x7ffffffc,0x1bfffe20,0x03ffffe2,
    0x5fffff90,0x7ffffec4,0xfffff10f,0x03fffd13,0x40fffff4,0xffffffc8,
    0x20ffffff,0x74c05fff,0x82ffffff,0x004ffffa,0x805ffff9,0x0ffffffe,
    0x7f540000,0xff987fff,0xdfffffff,0x4c0ffffd,0xffffffff,0x3fffffff,
    0x00fffff8,0x1ffffe80,0x80bfff90,0xfffffff9,0xffffddff,0xfffff700,
    0xffffffff,0x7ffcc07f,0xddffffff,0xfff0ffff,0x8dfff70b,0x3fe23ffe,
    0xffffffff,0xffffffff,0x3ff2001e,0xfe8800ff,0xffffffff,0xdfffffff,
    0xfff70000,0x3ffe209f,0x7ffcc00f,0xfffc800f,0xffe8000f,0xfb8001ff,
    0x700effff,0x3a09ffff,0xe803ffff,0xffffffff,0x0fffffff,0x3afffffe,
    0x3e202fff,0x74c0ffff,0xbeffffff,0x3e0ffffd,0xff9005ff,0xfa83ffff,
    0xfb004fff,0xfb805fff,0x4405ffff,0xd000caa9,0xf303ffff,0x2bffffff,
    0xa80ffffd,0xfffffffe,0xd01fffff,0x8005ffff,0x00fffff8,0x300bfff9,
    0xbfffffff,0x803ffff6,0xffffffe9,0x803fffff,0xfffffff9,0x21ffffb5,
    0xffc85fff,0x237fdc4f,0xffffffe9,0xffffff9e,0x7e4000ef,0x36000fff,
    0xffffffff,0x01dfffff,0xfff70098,0x7fffc07f,0x7fffcc02,0xffffc800,
    0x00000000,0xfe801a98,0xff701fff,0xff100dff,0xbfffffff,0x6c1ffffb,
    0xffffffff,0x7fffdc02,0x7ffffc47,0x3ffee0ad,0x017ffe0f,0x5fffff98,
    0x02ffffcc,0x01ffffd8,0x17ffffc4,0x0fffff20,0x1ffffe40,0x2ceedb88,
    0x501ffff6,0xffffffff,0x7fec01bf,0x7e4006ff,0x3f607fff,0xb71005ff,
    0x7fec59dd,0xffb7007f,0x017fffff,0x6776dc40,0xf9ffff62,0xfffe85ff,
    0x42fffc41,0x2a3deedb,0xa80acefd,0xfff902aa,0xdb88001f,0xceffffff,
    0x3ffa600a,0xffff703f,0x27ffe407,0x03fffe60,0x03ffff20,0x00000000,
    0xfffff980,0xfeeeeeee,0xa801ffff,0x5ffffffe,0xf98ffffb,0x03ffffff,
    0x27ffffc4,0x413fffea,0x3e0ffffc,0x819885ff,0x447ffff8,0x401fffff,
    0x00fffff8,0x03ffffc4,0x037fffcc,0x02ffffe8,0x1ffff600,0x1cffec80,
    0xfffff500,0x3ffe2007,0x3ff604ff,0x3600004f,0x54007fff,0x0000bffd,
    0x9ffff600,0x7fc45fff,0x9fff706f,0x3f200000,0xfff902ff,0x3260001f,
    0x2000cfff,0x905ffff9,0x4407ffff,0x7cc06fff,0xfd800fff,0xc8000fff,
    0x8001ffff,0x6406fffa,0xffffffff,0xffffffff,0x3b26004f,0x3fff62ce,
    0xfffffd87,0x7fff4405,0x7ffe40ef,0xffffb00f,0xfd2fffc1,0xffb01fff,
    0xffff81ff,0x7ffec06f,0xfffc807f,0xffff004f,0xfffa809f,0x4d5e6c7f,
    0x1bfffa00,0x7ffffc40,0xfffb002f,0xfe9807ff,0x3a00ffff,0x33604fff,
    0x3fa009ab,0x3e6006ff,0x001fffff,0x4013579b,0x3fe6fffe,0x1fffdc5f,
    0x01bfffb0,0x7ffe4000,0x3ffff604,0xfffb0000,0x7c400bff,0xffd06fff,
    0xffd803ff,0x3ffe600f,0xff73101f,0x32000fff,0x8001ffff,0x7c06fffa,
    0xffffffff,0xffffffff,0xb00000ff,0xff30ffff,0x2a07ffff,0x82ffffff,
    0xa83ffffc,0x3e1fffff,0x3fff25ff,0x7ffff84f,0xdfffffc8,0xfffb511b,
    0xff9807ff,0xfb001fff,0x701bffff,0xd8bfffff,0xf506ffff,0x22009fff,
    0x00dff911,0x3fffffe2,0x3fee60ad,0x2602ffff,0x3603ffff,0xf506ffff,
    0x44009fff,0x00bff931,0x41bffff6,0x3e4ffffa,0x7ffec5ff,0x7ffff400,
    0x7f540003,0xfb9886ff,0x20007fff,0x2fffa889,0x3ffffe00,0xffffb30d,
    0x5fff300f,0x27fffc40,0xffffffe8,0xfff90006,0xff50003f,0x7ffd40df,
    0xffffffff,0xffffffff,0x13579b03,0x437fff40,0xfffffffb,0xffffedef,
    0xff705fff,0xf9315dff,0x7c3fffff,0x3ffe65ff,0xffebbeff,0xfff885ff,
    0xffffffff,0x40ffffff,0xffffebca,0x3fe2006f,0xfeffffff,0x3fffffff,
    0x6fffffe4,0xffffdcab,0xff10001f,0x3fee001f,0xffffffff,0x5fffffff,
    0xffffee88,0x3fff202f,0xfdcabdff,0x0001ffff,0x2003ffe2,0xbdfffffc,
    0xfffffdca,0xf897ffe1,0xfd8804ff,0x00bdffff,0x7fff6544,0xfffe80df,
    0x00006fff,0xb8013ff6,0xffffffff,0x004fffff,0xff80bffb,0xf13effff,
    0x09ffffff,0x3ffff200,0xfffa8000,0x3ffff605,0xaaaaaaac,0x6ffffcaa,
    0x0dffffb0,0x513fffea,0xffffffff,0xffffffff,0x3e2019ff,0xffffffff,
    0x22ffffff,0x7fe45fff,0xffffffff,0xfff700ff,0xffffffff,0xf707ffff,
    0x3fffffff,0xffff9800,0xffffffff,0xff883fff,0xffffffff,0x1004ffff,
    0x005ffc98,0x7fffffdc,0xffffffff,0xfff980cf,0x7c407fff,0xffffffff,
    0x004fffff,0x09ffb302,0x3ffffe20,0xffffffff,0x72fffc4f,0x54001fff,
    0xffffffff,0xffffeeef,0x103fffff,0x7fffffff,0xfa881000,0x7f4002ff,
    0xffffffff,0xf3000eff,0x7fdc03ff,0xff54ffff,0x000bffff,0x0037f75c,
    0x103fda88,0x400fffff,0x81fffff8,0xbdfffffc,0xfffffdba,0x2ffffe62,
    0xfffffffe,0x802fffff,0xfffffffa,0x5ffff9ef,0x3f217ffe,0xffffffff,
    0x7ff4c02f,0xffffffff,0xfff502ff,0x0007ffff,0x3fffffaa,0x1fffffff,
    0x3ffffe60,0xdfffffff,0xfffff000,0x10003fff,0xfffffffd,0x405fffff,
    0x2ffffff9,0xfffff980,0xdfffffff,0x3fffe000,0x2000ffff,0xfffffff9,
    0x40dfffff,0x3ffe5fff,0xfec88003,0xffffffff,0xbeffffff,0x3fffea00,
    0xf90006ff,0x0bffffff,0xffffd300,0x01dfffff,0x404ffd80,0x74fffffe,
    0x01bdffff,0x009fb000,0xc80ffcc0,0x4004ffff,0x884ffffd,0xffffffff,
    0x45ffffff,0x3aa1fffc,0xdfffffff,0x3fa6000c,0x3f24ffff,0xbfff0fff,
    0x3ffff660,0x91000cff,0xffffffff,0x7fcc019d,0x0002efff,0xffffffa8,
    0x8800dfff,0xffffffeb,0x7f4001df,0x000cefff,0x7fff6dc0,0x400bdfff,
    0x01dffff9,0x3fffae20,0x001dffff,0xcefffff8,0xfeb88000,0x1dffffff,
    0x3eebfff0,0xb980006f,0xfffffffe,0x7001deff,0x019dffff,0x3fffee00,
    0x640001bd,0xbfffffff,0xfff98000,0x7fffdc00,0x0002a624,0x00ffe440,
    0x204ffb80,0x001fffff,0x07ffffd4,0x7fffffcc,0x0dffffff,0x26202fb8,
    0x8800009a,0x554000a9,0x0999802a,0x554c4000,0x54c4000a,0x30000009,
    0x00033553,0x0009a998,0x00000100,0x40009a98,0x000019a8,0x00013533,
    0x40000040,0xa8009a99,0x035532aa,0x2a620000,0x98800019,0x00400000,
    0x9a988000,0xaaa80001,0x03531000,0xffd80000,0x07a60002,0x06ffffa8,
    0x7fffff00,0x3fffae20,0x402dffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x1b300000,0xfb000000,
    0x20007fff,0x006ffffc,0x00133533,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x54c2aaa8,0x260000aa,0x00000999,
    0x000cccc4,0x00000000,0x00355553,0x00aaaa60,0x55555000,0x99300000,
    0x40000799,0x004cccc8,0x950f3320,0x55500199,0x55555555,0x33332600,
    0x10000003,0x80001333,0x004ffffb,0x007ffff9,0x0fffffdc,0x332a0000,
    0x599991cc,0x6665c000,0x3fee001c,0x991001ff,0x80000999,0xaaaaaaaa,
    0xee980002,0x000002ee,0x401aa880,0x7ec7fff8,0xf90002ff,0x0000dfff,
    0x05ffffd8,0xd837e400,0x7f40005f,0x98000eff,0x003fffff,0xfffff500,
    0xfd800005,0x00001fff,0x00bffff2,0x33fffa80,0x3a009fff,0xffffffff,
    0xff9000ff,0x000003ff,0x1fffff98,0x3ffee000,0xfff9004f,0x7ff4007f,
    0x00004fff,0xfbaffff4,0x30000fff,0x8009ffff,0x001ffffb,0x00bfffee,
    0xfffff800,0x80006fff,0x002ffff9,0x3fb20000,0x882effff,0x7fec7fff,
    0xffa8002f,0x0004ffff,0xffffff70,0x7fd40005,0x001ffcc2,0x01ffff50,
    0x3ffffa00,0x440001ff,0x0fffffff,0xfff30000,0x4400003f,0x0002ffff,
    0xffafffd8,0x3ffa006f,0xffffffff,0x3fff6000,0x22000005,0x06fffffe,
    0x3fffee00,0xffff9004,0x3ffe6007,0x0000ffff,0x74dfff50,0x20001fff,
    0x8005fffd,0x001ffffb,0x0037ffe4,0x99999900,0x30000799,0x0005ffff,
    0x3fff2000,0x880fffff,0x7fec7fff,0x7fc4002f,0x01fffdef,0x6fffcc00,
    0x0000fffe,0x3fb3bffa,0x3a0000ff,0x90001fff,0xdfff5fff,0xfffe8000,
    0x0005fffa,0x005fff90,0x3fffb800,0xffd10000,0x4003ffff,0xeeeeeeec,
    0x6c000eee,0x00000fff,0xff7fff90,0x3ee0009f,0xf9004fff,0x32007fff,
    0x3fffffff,0xdffd0000,0x00bffea1,0x05fff980,0x3ffff700,0x3fff9000,
    0x00000000,0x7fffcc00,0x98000002,0xffffffff,0x71333207,0xd8003999,
    0xffe88fff,0x3fa0000e,0x6fff88ef,0x3ffe6000,0x0001ffff,0x0007ffea,
    0xf99fffd4,0xf70004ff,0x3ffee5ff,0x7fc40003,0xf800002f,0x400004ff,
    0x03fffff9,0x20000000,0x0004ffe8,0x93fffa80,0x70005fff,0x2009ffff,
    0x003ffffc,0xffffffff,0xff30000d,0x027ff41f,0x01bff200,0x1ffffb80,
    0x0bffb000,0x70bfe000,0xd30000ff,0x00005ddd,0xfffff900,0x0000bfbb,
    0x5ddd5000,0x001f774c,0x2a1eeeb8,0x40002eee,0x000cdedb,0x00166540,
    0xca879970,0x644000cc,0x2665c3cc,0x0b326000,0x33260000,0x55000003,
    0x00000555,0x99910000,0xddb00000,0x005eed89,0x04ffffb8,0x07ffff90,
    0xffffff50,0x80003fff,0x33221cca,0xccc80003,0x3fee0000,0x320001ff,
    0xf80000cc,0x003fdc2f,0x00000000,0x05ffffb0,0x00000000,0x00000000,
    0x00000000,0x00000000,0x9a980000,0x00000000,0x09a98000,0x00000000,
    0x54c2aaa8,0x000000aa,0x00000000,0x27fffdc0,0x3ffffc80,0xbffffd80,
    0x0004ffff,0x20000000,0x70001a98,0x0003ffff,0x000026a6,0x0aa20554,
    0x0d4c4000,0xff800000,0x4cc406ff,0x99980099,0x54c40009,0x99800001,
    0x000009aa,0x99988000,0x99998009,0x09ffff70,0x0fffff20,0x3fffb2e0,
    0xb803dfff,0x9004ffff,0x7007ffff,0xffffffd9,0xfff7007b,0x3ff2009f,
    0x7ffc43ff,0x217ffec7,0x004ffffb,0x007ffff9,0xb8000000,0x9004ffff,
    0x8807ffff,0xff8dffff,0xf7000fff,0x32009fff,0xb803ffff,0xefffffed,
    0xfff7000d,0x3b2e003f,0x3dffffff,0x4ffffb80,0x7ffff900,0xfffdb700,
    0x0001bdff,0x3fea6620,0xb8199dff,0x4c03ffff,0xb804ffff,0xefffffed,
    0xf930000d,0xbfffffff,0xffffb805,0xffff9004,0x0ffffee7,0x29ffff30,
    0x004ffffb,0x407ffff9,0xffffffe9,0x01efffff,0x013fffee,0x01ffffe4,
    0xffffffd3,0x03dfffff,0x027fffdc,0x43ffffc8,0x7ec7fff8,0x7ffdc2ff,
    0xfff9004f,0x3ffff67f,0x7fffdc02,0x7ffcc05f,0x9ffff75f,0x3ffff200,
    0x7fffdc03,0x07ffff92,0x13fffee0,0x1ffffe40,0xfffffb10,0x07ffffff,
    0x03ffff70,0xfffffe98,0x1effffff,0x13fffee0,0x1ffffe40,0xfffffb10,
    0x07ffffff,0xffffb000,0x0fffffff,0x80dffff1,0x201ffffc,0xffffffd8,
    0x003fffff,0x3fffff62,0xefffffff,0x9ffff701,0x3ffff200,0x0dffff13,
    0x71ffffc8,0x2009ffff,0x703ffffc,0xffffffff,0x9fffffff,0x13fffee0,
    0x1ffffe40,0xffffffb8,0xffffffff,0xffff704f,0x3fff2009,0x3fffc43f,
    0xf70bfff6,0x32009fff,0xff73ffff,0xffd809ff,0x7dc07fff,0xfff73fff,
    0x3ff2009f,0x7ff403ff,0x3fffe67f,0xffff7006,0x3fff2009,0xffff503f,
    0xffffffff,0x7dc01dff,0x3ee01fff,0xffffffff,0x04ffffff,0x009ffff7,
    0x40fffff2,0xfffffffa,0xefffffff,0x3ffe0000,0xffffffff,0x3ffffb06,
    0x037fffc0,0xfffffff5,0xdfffffff,0xffff9801,0xffffffff,0xfb81ffff,
    0xf9004fff,0x7fec7fff,0x3ffe01ff,0x3fffee6f,0xffff9004,0xfffff707,
    0xffffffff,0xf70bffff,0x32009fff,0xfb83ffff,0xffffffff,0xffffffff,
    0x4ffffb85,0x7ffff900,0xcb899990,0x7ffdc1cc,0xfff9004f,0x3fffe67f,
    0x7ffffc06,0x3ff601ff,0xffff72ff,0x3fff2009,0x3ffe603f,0x7ffff44f,
    0xffffb801,0xffff9004,0xfffff507,0xffffffff,0x7dc0bfff,0xff701fff,
    0xffffffff,0xbfffffff,0x09ffff70,0x0fffff20,0x3fffffea,0xffffffff,
    0xf10005ff,0xffffffff,0x3fea09ff,0xfff303ff,0x3ffea07f,0xffffffff,
    0x205fffff,0xfffffff9,0xffffffff,0x7fdc1fff,0xff9004ff,0x7ffd47ff,
    0xffff303f,0x27fffdc7,0x3ffffc80,0x7fffffc4,0x3fee60ad,0x7dc2ffff,
    0xf9004fff,0xff887fff,0x20adffff,0xffffffb9,0x27fffdc2,0x3ffffc80,
    0x7fdc0000,0xff9004ff,0x3ffe27ff,0x3ffe607f,0x3e03ffff,0xff70ffff,
    0x3f2009ff,0x3f603fff,0x7fe41fff,0xffb804ff,0xff9004ff,0xfffd07ff,
    0x7ed437ff,0x702fffff,0xf103ffff,0x15bfffff,0x7ffffdcc,0x7fffdc2f,
    0xffff9004,0xfffffd07,0x7ffed437,0x88002fff,0xfffffaaa,0x3fe01aaa,
    0xfff906ff,0x3fffa01f,0x3f6a1bff,0x882fffff,0xaefffffe,0x3fffb2a1,
    0x7ffdc5ff,0xfff9004f,0x6ffff87f,0x41ffff90,0x004ffffb,0xe87ffff9,
    0x402fffff,0x46ffffe9,0x004ffffb,0xe87ffff9,0x402fffff,0x46ffffe9,
    0x004ffffb,0x007ffff9,0xffffb800,0xffff9004,0x0fffff47,0xffffffc8,
    0xffff105f,0x27fffdcd,0x3ffffc80,0x0dffff10,0x01fffff1,0x04ffffb8,
    0x87ffff90,0x01effffb,0x17ffffe6,0x40ffffdc,0x02fffffe,0x37ffff4c,
    0x013fffee,0x21ffffe4,0x01effffb,0x17ffffe6,0x3fffe000,0x3fff2006,
    0x6ffff81f,0x3dffff70,0x7ffffcc0,0xfffffc85,0xffffe803,0x3fffee0f,
    0xffff9004,0x1ffffc87,0x5c6ffff8,0x9004ffff,0x7d47ffff,0x1002ffff,
    0x5c7fffff,0x9004ffff,0x7d47ffff,0x1002ffff,0x5c7fffff,0x9004ffff,
    0x2627ffff,0x4cc40199,0x9ffff709,0x3ffff200,0x0fffff23,0x7ffffff4,
    0xffff507f,0x27fffdc9,0x2ffffc80,0x09ffff70,0x00fffffa,0x009ffff7,
    0x88fffff2,0x801fffff,0x80fffffc,0x541ffffb,0x002fffff,0x47fffff1,
    0x004ffffb,0x447ffff9,0x801fffff,0x00fffffc,0x3fffe600,0x3ffe6004,
    0x7fffcc3f,0xfffff882,0xffffc801,0x3fffe20f,0xfff3003f,0x7ffdc7ff,
    0xfff9004f,0xffff987f,0x17fffcc3,0x013fffee,0xb1ffffe4,0x800dffff,
    0x2e7ffffc,0x9004ffff,0x7ec7ffff,0x64006fff,0x3ee7ffff,0xf9004fff,
    0x3ff27fff,0x3ffa00ff,0x9ffff76f,0x3ffff200,0x13fffea3,0x3fbfffe2,
    0xffc81fff,0x3ffee2ff,0xfff9004f,0x3fffa05f,0xffff701f,0xffffb80d,
    0xffff9004,0x2ffffe47,0x0acef880,0x83ffff70,0x006ffffd,0x73ffffe4,
    0x2009ffff,0x323ffffc,0x1005ffff,0x000159df,0x03ffffa8,0x237fff40,
    0xc80ffffc,0x1005ffff,0xfb8159df,0x5c006fff,0x7fdc0abd,0xff9004ff,
    0xfffd07ff,0x0ffffc8d,0x027fffdc,0x23ffffc8,0x002fffff,0x87ffffc4,
    0x004ffffb,0x7c7ffff9,0x4002ffff,0x70fffff8,0x2009ffff,0xf93ffffc,
    0x7f401fff,0xffff76ff,0x3fff2009,0x3fffe23f,0xaffffa86,0xfe83ffff,
    0x3fea0fff,0xff9004ff,0xfff305ff,0xddddddff,0x03fffffd,0x027fffdc,
    0x23ffffc8,0x002ffffd,0xffffb800,0x17ffffc1,0x3fffe200,0x9ffff70f,
    0x3ffff200,0x0bffff63,0xb8000000,0x4001ffff,0x3a0ffffb,0xffb05fff,
    0x400005ff,0x003ffffe,0x7fffdc00,0xffff9004,0x1ffff707,0x5c2ffff4,
    0x9004ffff,0x3e67ffff,0x8000ffff,0xf71ffffe,0x32009fff,0xff33ffff,
    0xd0001fff,0x3ee3ffff,0xf9004fff,0x3ff27fff,0x3ffa00ff,0x9ffff76f,
    0x3ffff200,0x07ffff43,0x7f5ffff2,0xffff85ff,0x27fffd46,0x2ffffd80,
    0xffffffc8,0xffffffff,0x3ee04fff,0xf9004fff,0x7ff47fff,0x800000ff,
    0x261ffffb,0x000fffff,0x71ffffe8,0x2009ffff,0x3a3ffffc,0x0000ffff,
    0x3ff60000,0x7c4000ff,0xfff33fff,0x3fffa05f,0x3e00000f,0x0001ffff,
    0x27fffdc0,0x3ffffc80,0x33ffff88,0xf705ffff,0x32009fff,0xff33ffff,
    0x36000fff,0xff73ffff,0x3f2009ff,0xfff33fff,0x3f6000ff,0xfff73fff,
    0x3ff2009f,0xffff93ff,0xb7fff401,0x004ffffb,0xc87ffff9,0x7f42ffff,
    0xffff94ff,0x44ffff98,0x005ffffa,0xf03ffffb,0xffffffff,0xffffffff,
    0x3fee01ff,0xff9004ff,0x7fffc7ff,0xf7000007,0x7fcc3fff,0xfb0007ff,
    0x3fee7fff,0xff9004ff,0x7fffc7ff,0x00000007,0x003ffff4,0xf96fffd8,
    0x7ffc0fff,0x2200007f,0x000fffff,0x7fffdc00,0xffff9004,0x5bfff607,
    0xf707fffc,0x32009fff,0xff53ffff,0x32000dff,0xff74ffff,0x3f2009ff,
    0xfff53fff,0x3f2000df,0xfff74fff,0x3ff2009f,0xffff93ff,0xb7fff401,
    0x004ffffb,0xa87ffff9,0x3e23ffff,0xfff52fff,0x7fffdc3f,0x7ffffc42,
    0x7fffc400,0x7fffd40f,0xffffffff,0x3fffffff,0x09ffff70,0x4fffff20,
    0x007ffff8,0xffff7000,0x37fffd43,0xffffc800,0x09ffff74,0x4fffff20,
    0x007ffff8,0x7fc00000,0xf50005ff,0xfffd1fff,0x3fffe209,0x3e600007,
    0x55407fff,0xaaaaaaaa,0x13fffee2,0x1ffffe40,0xe8ffffa8,0xff704fff,
    0x3f2009ff,0xfff73fff,0x3ee000bf,0xfff75fff,0x3ff2009f,0xffff73ff,
    0x3fee000b,0xffff75ff,0x3fff2009,0x1ffff93f,0xbb7fff40,0x9004ffff,
    0xf887ffff,0x3fea5fff,0xffff10ff,0x07fffec7,0x037ffffc,0x21fffff6,
    0xaacffffd,0xcaaaaaaa,0xf706ffff,0x32009fff,0xff33ffff,0x00000dff,
    0xb87fffee,0x0005ffff,0x2ebffff7,0x9004ffff,0x3e67ffff,0x00006fff,
    0x3ffe6000,0x3fe0004f,0x1ffffdff,0x0dffff30,0x7ffcc000,0x7fff406f,
    0x27ffffff,0x004ffffb,0x407ffff9,0xfffdffff,0xffff701f,0x3fff2009,
    0xdffff52f,0x3fff2000,0x9ffff74f,0x3ffff200,0x0dffff52,0x3ffff200,
    0x09ffff74,0x4bffff20,0x200ffffc,0xff76fffe,0x3f2009ff,0xfff82fff,
    0x1bfff27f,0x7f4bfffd,0xfffb07ff,0x2a237bff,0x45fffffd,0x007ffff8,
    0x07ffffe2,0x013fffee,0x997fffe4,0x0007ffff,0x3ffff700,0x037fffd4,
    0x4ffffc80,0x009ffff7,0x4cbffff2,0x0007ffff,0x3fea0000,0x320002ff,
    0x6fffffff,0x1ffffe60,0xfff98000,0x7fff407f,0x27ffffff,0x004ffffb,
    0x405ffff9,0xfffffffc,0x3fffee06,0xffff9004,0x1ffffe65,0x7fffec00,
    0x09ffff73,0x4bffff20,0x007ffff9,0x27ffffb0,0x004ffffb,0x325ffff9,
    0x3a00ffff,0xfff76fff,0x3ff2009f,0xfffd82ff,0x89ffff0f,0xff17fffc,
    0x3fe60bff,0xffffffff,0x1fffffff,0x027fffe4,0x13ffff60,0x013fffee,
    0x897fffe4,0x0007ffff,0x3ffff700,0x03ffffcc,0x3ffffd80,0x009ffff7,
    0x44bffff2,0x0007ffff,0x3ff20000,0x260001ff,0x3fffffff,0x1ffffe20,
    0xfff88000,0x3ffa00ff,0x7fffffff,0x013fffee,0x017fffe4,0xfffffff3,
    0x7fffd407,0xffff9004,0x07ffffc5,0x7ffff400,0x09ffff51,0x8bffff20,
    0x000fffff,0x51ffffe8,0x2009ffff,0xf92ffffc,0x7fc03fff,0xffff56ff,
    0x3fff2009,0xffffb82f,0x42ffff9a,0xfa9ffffa,0x3ee03fff,0xffffffff,
    0x84ffffff,0x001fffff,0x07ffffd4,0x013fffea,0xf17fffe4,0x0001ffff,
    0x3ffff700,0x00fffff8,0x1ffffe80,0x009ffff5,0xf8bffff2,0x0000ffff,
    0xfffb0000,0xffd0000f,0xf801ffff,0x0000ffff,0x07ffffe0,0xfeeeeec8,
    0x3fea7fff,0xff9004ff,0xffe805ff,0x2a00ffff,0xb004ffff,0x7f45ffff,
    0x44002fff,0xf50fffff,0x36009fff,0x3fa2ffff,0x44002fff,0xf50fffff,
    0x36009fff,0xff92ffff,0x7ffc03ff,0x9ffff56f,0x3ffff600,0xcffff982,
    0x440ffffb,0xffcbffff,0x7fdc01ff,0xffffffff,0xffa83fff,0xff0006ff,
    0xffa87fff,0xffb004ff,0x7ffec5ff,0x33b6002f,0x3fffee01,0x17ffff41,
    0x3fffe200,0x9ffff50f,0x3ffff600,0x0bffff62,0x001ced80,0x037fff40,
    0x7fffdc00,0xfffd805f,0x33b6002f,0x4ffffd81,0x7ffff800,0x013fffea,
    0x017fffec,0x17ffffee,0x0bffff30,0x87ffff60,0x006ffffd,0x33ffffe4,
    0x200bffff,0x361ffffd,0x4006ffff,0x267ffffc,0xb005ffff,0x3f23ffff,
    0x3fe01fff,0xffff36ff,0x3fff600b,0xdffff01f,0x3a0dfffb,0xfffddfff,
    0xffd91007,0x17ffffff,0x0fffff60,0x7fffe400,0x2ffffcc6,0x1ffffd80,
    0x017ffff2,0x0fffffc4,0x20ffffdc,0x006ffffd,0x33ffffe4,0x200bffff,
    0x321ffffd,0x1005ffff,0x003fffff,0x0bffff10,0xffff1000,0xfff9005f,
    0x3fe200bf,0x3fea1fff,0x7c000fff,0x3fe67fff,0xffb005ff,0xff8803ff,
    0x7c402fff,0x4401ffff,0x2a0fffff,0x003fffff,0x49fffff1,0x01fffff8,
    0x07ffffc4,0x07fffff5,0x3ffffe20,0x3ffffe24,0x7fffc401,0x3ffff90f,
    0x5bfffe20,0x01fffff8,0x07ffffc4,0xffffffd8,0xfff704ff,0x00bfffff,
    0x137ff710,0xb8000000,0xfff100ff,0xff8803ff,0x3fe60fff,0xfb801fff,
    0x99706fff,0xffff5059,0x3fe2007f,0x3fe24fff,0x7c401fff,0x3e60ffff,
    0xb801ffff,0x0006ffff,0x007ffff3,0xfffff100,0x3fffe600,0xfffb801f,
    0x7fffc46f,0x7ffc004f,0x3fffe27f,0x7ffc401f,0x7fc400ff,0xfff007ff,
    0xffd80dff,0xfffd87ff,0x7f4c03ff,0x7fc0ffff,0x7ec06fff,0xffd87fff,
    0x74c03fff,0x7c0fffff,0x6c06ffff,0x3ea7ffff,0xff502fff,0x7fffcdff,
    0x7ffec06f,0x3ffee07f,0x301fffff,0xffffffff,0x3fee0007,0x00000000,
    0xfff80ff9,0x7fec06ff,0xfffc87ff,0x3fea01ef,0xffb03fff,0xffd81fff,
    0x74c03fff,0x7c0fffff,0x6c06ffff,0xfc87ffff,0x2a01efff,0x003fffff,
    0x05ffff70,0xffff9000,0x7ffe4009,0x3fea01ef,0xffc83fff,0xd9804fff,
    0x7fc7ffff,0x7ec06fff,0xfc807fff,0xf9004fff,0x237bffff,0xfffffda8,
    0xfffff883,0x3ee60adf,0xc82fffff,0x1bdfffff,0xfffffb51,0xfffff107,
    0x7dcc15bf,0xc82fffff,0x1bdfffff,0xfffffb51,0x37fffcc7,0x37ffffc4,
    0x7bfffff9,0x3fff6a23,0x3fe603ff,0x407fffff,0xffffffff,0x3ff90001,
    0x20000000,0x3f200ffd,0x11bdffff,0x7fffffb5,0xffffff10,0x3ffae237,
    0x7500ffff,0xf88bfff9,0x0adfffff,0x3ffffee6,0xffffc82f,0xfb511bdf,
    0xf107ffff,0x237fffff,0xfffffeb8,0xffb0000f,0x980001ff,0x001fffff,
    0x3fffffe2,0xfffd711b,0x3fa01fff,0x20aeffff,0xfffffca8,0x7fffe47f,
    0xfb511bdf,0x9807ffff,0x001fffff,0xfffffff1,0xffffffff,0x3fee01ff,
    0xffffffff,0x5fffffff,0xffffff10,0xffffffff,0x3ee01fff,0xffffffff,
    0xffffffff,0xfffff105,0xffffffff,0x7c41ffff,0xcabdffff,0x26ffffff,
    0xfffffff8,0xffffffff,0x3fe200ff,0x405fffff,0x7ffffffd,0x0fff2000,
    0x74000000,0x3fe202ff,0xffffffff,0x0fffffff,0xffffff70,0xffffffff,
    0x3ee005ff,0xffffb86f,0xffffffff,0x105fffff,0xffffffff,0xffffffff,
    0x3ffee01f,0xffffffff,0x002fffff,0x0fffff10,0xffd79500,0x7000dfff,
    0xffffffff,0xffffffff,0x7fffcc05,0xffffffff,0x6fffffff,0x7fffffc4,
    0xffffffff,0x5e540fff,0x06fffffe,0x7ffffdc0,0xffffffff,0x7fdc03ff,
    0xffffffff,0x00cfffff,0x3fffffee,0xffffffff,0x7ffdc03f,0xffffffff,
    0x200cffff,0xfffffffb,0xffffffff,0xfffffd83,0xffdfffff,0x7fffdc6f,
    0xffffffff,0xfe803fff,0x403fffff,0x5ffffffb,0x3ffee000,0x00003bad,
    0x59fff700,0xffffb857,0xffffffff,0x7dc03fff,0xffffffff,0x883fffff,
    0x17ffe620,0x7fffffdc,0xffffffff,0x3fee00cf,0xffffffff,0x403fffff,
    0xfffffffb,0x3fffffff,0x3fbbee00,0x8004ffff,0xfffffffb,0xff70001f,
    0xffffffff,0x3007ffff,0xfffffffd,0xffffffff,0xfff701bf,0xffffffff,
    0xf707ffff,0x3fffffff,0xfffd3000,0xffffffff,0x3fa2005f,0xffffffff,
    0xd3002fff,0xffffffff,0x2005ffff,0xffffffe8,0x02ffffff,0xfffffd30,
    0x5fffffff,0x3ffffa20,0xffc8efff,0xfffe986f,0xffffffff,0xfff9002f,
    0xf9803fff,0x003fffff,0x3ffffe20,0x0000006f,0x9ffffff1,0xfffffd30,
    0x5fffffff,0x3fffa600,0xffffffff,0xfffff503,0x74401dff,0xffffffff,
    0x3002ffff,0xfffffffd,0x005fffff,0x3fffffa6,0x03ffffff,0x7ffffec0,
    0xa8002fff,0x3fffffff,0x7ff4c000,0xffffffff,0x3f62003f,0xffffffff,
    0x401dffff,0xffffffe9,0x02ffffff,0xfffffff5,0x7e440007,0xefffffff,
    0xedb8000c,0xbdffffff,0x7fe44000,0xceffffff,0xfedb8000,0x0bdfffff,
    0x7ffe4400,0x0cefffff,0x7fffec40,0xdfff90ce,0x3ffff220,0x00ceffff,
    0x3ffffea0,0xfffff007,0xd980003f,0x0004efff,0x3ffea000,0xff9103ef,
    0x9dffffff,0xffb70001,0x017fffff,0x77ffffd4,0xfdb7000b,0x17bfffff,
    0xfffc8800,0x0cefffff,0xfffdb800,0x000bffff,0xfffffff8,0xff30005f,
    0x0005dfff,0x7fffedc0,0x0000bfff,0xffffff91,0x400379df,0xffffffc8,
    0x2600ceff,0x02efffff,0x2aa62000,0x9800000a,0x2000009a,0x000aaa98,
    0x009a9800,0x2aa62000,0x2a20000a,0x53100000,0x44000155,0x005fffff,
    0x00fffffb,0x00009800,0x02660000,0x0aaa9880,0x55440000,0x00980009,
    0x01353000,0x554c4000,0x4400000a,0x200009aa,0xffffffe8,0x54c40004,
    0x40000009,0x00009aa8,0x00d54c40,0x55531000,0x9a988001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00153000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ffea000,0xa80fffff,0x5554c2aa,0x01571000,0x00000399,
    0x7ffffdc0,0xffffffff,0x9007ffff,0xccca8799,0x55100000,0x2aa00055,
    0x5440002a,0xf7002aaa,0x0fffffff,0x970f3322,0x4c400099,0x00013100,
    0x01aaaa98,0x5442aaa0,0x3100002a,0x00000333,0x007bbba6,0x33326000,
    0xccb8003c,0x0733260c,0x83ffff70,0x000ffffc,0xffffff70,0xddffffff,
    0x00000059,0x00aaaaa8,0x5ffff900,0x19998800,0x55554c00,0x3ffffea1,
    0xffb80fff,0x0bfff12f,0x37fffea0,0x001ffb8b,0x17f20df9,0xffffffb8,
    0xffffffff,0xf7007fff,0x3ffea7ff,0x3f600004,0xd10000df,0xd8000bff,
    0xb800ffff,0x7fffffff,0x5cbfff20,0x20003fff,0x07ff05fd,0xffffe800,
    0x3bfea000,0x0001ffe8,0x09ffffd0,0xfff50000,0xb000005f,0x0003ffff,
    0x3e2bfff1,0xffb806ff,0x7ffe41ff,0xff70000f,0xffffffff,0x1dffffff,
    0xf3000000,0x4000bfff,0x002ffffc,0x0bffffe2,0x0effff80,0x3fffffea,
    0xfffb00ff,0x001fffd3,0x3ffffffa,0x5000ffff,0x3ff985ff,0x3ffffee0,
    0xffffffff,0x2007ffff,0xfffafffd,0x3f200006,0xf900004f,0xfe80007f,
    0xffb804ff,0x407fffff,0xfffafffe,0x7fdc0005,0x03ff910b,0x7fffd400,
    0xfffa8001,0x900001ff,0x03ffffff,0xfffa8000,0x4400002f,0x0001ffff,
    0x3f6fffee,0xffb801ff,0x7ffe41ff,0xff70000f,0xffffffff,0xffffffff,
    0xc8000003,0x40006fff,0x002ffffc,0x3ffffffa,0xffffb800,0x7f7774c0,
    0xff100fff,0x005fffff,0x3f6effe6,0x4004ffff,0xffeceffe,0x3ffee00f,
    0xffffffff,0x07ffffff,0x3ffffe20,0x100001ff,0x80000599,0x440004ca,
    0x5c00fffe,0x5eeeffff,0x7ffffc40,0xe80000ff,0x4fffffff,0x7ffec000,
    0x332a0001,0xf500002c,0x1dfff9ff,0x7fd40000,0x400002ff,0x0002fffc,
    0xffffffd8,0xffff7003,0x0ffffc83,0xffff7000,0xffffffff,0x0fffffff,
    0x7fc40000,0x640000ef,0x7002ffff,0xbfff9fff,0x03fffd00,0x01ffff50,
    0x2fffffd4,0x950bd500,0xfd300039,0x805fffff,0x99cffffb,0x99999999,
    0x7cc00199,0x0003ffff,0x3fdc2ff8,0x5c2ff800,0xfd10007f,0xfffb807f,
    0xfffb8007,0x100002ff,0x1bfffffd,0x7ffcc000,0x85ff0002,0x220007fb,
    0xfff36fff,0x74c00009,0x00001eee,0x000bffe2,0x7ffffc40,0x2aaa6005,
    0x7fffe40a,0xfff70000,0x333333bf,0xffffff73,0x32000003,0x80000eff,
    0x802ffffc,0xff74fff9,0x7ffd407f,0xffff5001,0xccccb801,0x00000000,
    0x066f6dc0,0x27fffdc0,0xaa800000,0xf00002aa,0x007fb85f,0x7fb85ff0,
    0x0f322000,0x00ffff70,0x00aaaaa0,0x2f2ea000,0xcca80001,0x0bfe0002,
    0x5c000ff7,0x3bae0dee,0x0000001e,0x59930000,0xaa980000,0x400000aa,
    0x000ffffc,0x09ffff70,0x13ffffa0,0x6f6c0000,0xff900000,0xddb005ff,
    0x00deec8b,0x54005dd9,0xaa80ffff,0x05554c2a,0x00000000,0xffff7000,
    0x40000009,0x000009a9,0x02a88155,0xa8815500,0x0aaaa002,0xfb815553,
    0x310007ff,0x80000135,0x0009aa99,0xa9855550,0x155000aa,0x00002a88,
    0x4c000000,0x00009aa9,0x0026a620,0x03531000,0x81999880,0x300ffffc,
    0x7dc13333,0xf7004fff,0x0000dfff,0x64000000,0x0002ffff,0x54000000,
    0x7c40ffff,0x7ffec7ff,0x27fffdc2,0x3ffffc80,0x3ee00000,0x00004fff,
    0x3fffb2e0,0xb803dfff,0x9004ffff,0x3ee7ffff,0xf9004fff,0xff887fff,
    0x17ffec7f,0x801fffee,0xffffffdb,0x930002ef,0xffffffff,0x3fe2005b,
    0x17ffec7f,0x013fffee,0x01ffffe4,0x30000000,0xfffffff9,0xb70005bf,
    0xdfffffff,0x3b6e0005,0x0defffff,0x0ffffdc0,0x203ffff2,0x20effffd,
    0x004ffffb,0x00dffff3,0x00000000,0x017fffe4,0xffb80000,0xffa801ff,
    0x7ffc40ff,0x217ffec7,0x004ffffb,0x2e7ffff9,0xffffffff,0xffffffff,
    0x3fffee7f,0xe9800004,0xffffffff,0x2e01efff,0x9004ffff,0x3ee7ffff,
    0xf9004fff,0xff887fff,0x17ffec7f,0x201fffee,0xffffffe8,0x01efffff,
    0xfffffb10,0xdfffffff,0x7fff8803,0x2e17ffec,0x9004ffff,0x7ec7ffff,
    0x2000ffff,0x00fffffd,0x3fffff62,0xefffffff,0xfffe8801,0xffffffff,
    0xffb1001e,0xffffffff,0x7ffdc07f,0x7fffe41f,0x7ffffe40,0x27fffdc1,
    0x5ffffb80,0x7ffc4000,0xffffffff,0xffffffff,0x7fe45fff,0x7ffdc2ff,
    0xfff7004f,0x3fffee7f,0xffffa801,0x23fffc40,0x7dc2fffd,0xf9004fff,
    0x3fee7fff,0xffffffff,0x7fffffff,0x273fffee,0x99999999,0x7fdc0199,
    0xffffffff,0x704fffff,0x2009ffff,0xf73ffffc,0x32009fff,0x7c43ffff,
    0x7ffec7ff,0x03fffdc2,0x3fffffa6,0xffffffff,0x7ffcc00e,0xffffffff,
    0x201fffff,0x7ec7fff8,0x7ffdc2ff,0xfff9004f,0x7fffc47f,0xfff5005f,
    0x7fcc05ff,0xffffffff,0x01ffffff,0x3fffffa6,0xffffffff,0x7ffd400e,
    0xffffffff,0xfb80efff,0x7fe41fff,0x3fff20ff,0xfffb81ff,0xffe9804f,
    0x5c0004ff,0xffffffff,0xffffffff,0x45ffffff,0x5c2ffffc,0x7004ffff,
    0x3ee7ffff,0xfa801fff,0xccc80fff,0x20e665c4,0x004ffffb,0x2e7ffff9,
    0xffffffff,0xffffffff,0x3fffee7f,0xffffffff,0x700fffff,0xffffffff,
    0xffffffff,0xffff70bf,0x3fff2009,0x9ffff73f,0x3ffff200,0x5c4ccc83,
    0x7fdc1ccc,0x7fff407f,0xfffeffff,0x2605ffff,0xffffffff,0xffffffff,
    0x333201ff,0x20e665c4,0x004ffffb,0xb87ffff9,0x802fffff,0x205ffffe,
    0xfffffff9,0xffffffff,0xffd01fff,0xffdfffff,0x40bfffff,0xfffffffa,
    0xffffffff,0xffffb85f,0x87fffe41,0x01fffffb,0x55bffff7,0xff975555,
    0x0001ffff,0xfffffff8,0xffffffff,0xffffffff,0x17fffe45,0x013fffee,
    0xb9ffffdc,0xa801ffff,0x0000ffff,0x27fffdc0,0x3ffffc80,0xfffffff7,
    0xffffffff,0x7ffdcfff,0xffffffff,0x80ffffff,0xdffffff8,0x3ffee60a,
    0x7fdc2fff,0xff9004ff,0x3ffee7ff,0xfff9004f,0xb800007f,0x3e607fff,
    0x221befff,0x1fffffea,0xfffffe88,0x3fb2a1ae,0x0005ffff,0x9ffff700,
    0x3ffff200,0x6ffffe83,0x7ffffdc0,0xffffd100,0x765435df,0x985fffff,
    0x21beffff,0xfffffea8,0xfffffd01,0x7ffed437,0x7fdc2fff,0x7ffe41ff,
    0xfffffa8f,0x3fffee02,0xffffffff,0x02ffffff,0x7fffd400,0xffffffee,
    0xffffffff,0x7fe45fff,0x7ffdc2ff,0xfff7004f,0x3fffee7f,0xffffa801,
    0x7dc00000,0xf9004fff,0x3fee7fff,0x99999cff,0x19999999,0x3fffffee,
    0xffffffff,0xffe80fff,0x74c02fff,0x7dc6ffff,0xf9004fff,0x3fee7fff,
    0xff9004ff,0x800007ff,0x2e07fffb,0x2202ffff,0xc83fffff,0x803fffff,
    0x00fffffe,0xfffb8000,0xfff9004f,0xffff307f,0x3ffe207f,0x3ff203ff,
    0xfe803fff,0x7dc0ffff,0x3e202fff,0xfb83ffff,0x2601efff,0x5c5fffff,
    0x7e41ffff,0xffffafff,0x7ffdc02f,0xffffffff,0x01efffff,0xffffe800,
    0x37ffff90,0x33333333,0xfffc8133,0x7fffdc2f,0xffff7004,0x07fffee7,
    0x43fffea0,0x44019998,0xfff70999,0x3ff2009f,0xffff73ff,0xffb80009,
    0xffffffff,0x0fffffff,0x17ffffd4,0xfffff880,0x13fffee3,0x9ffffe40,
    0x004ffffb,0x227ffff9,0x4c401999,0xffff7099,0x07fffec0,0x17ffff20,
    0x07fffff1,0x3ffffe60,0x00666623,0x3ee13331,0xf9004fff,0x3f207fff,
    0xfd80ffff,0x3e206fff,0x3003ffff,0xd87fffff,0x6400ffff,0x7c45ffff,
    0xc801ffff,0x2e0fffff,0x7e41ffff,0xffffffff,0xffffb804,0xffffffff,
    0x0000adff,0x24ffffa8,0x002ffffc,0x17fffe40,0x013fffee,0xb9ffffdc,
    0xa801ffff,0xff90ffff,0x7ff401ff,0x9ffff76f,0x3ffff200,0x09ffff73,
    0xffffb800,0xffd80004,0x7e4006ff,0x3fee7fff,0xff9004ff,0x3ffee7ff,
    0xfff9004f,0x3ffff27f,0x5bfffa00,0x3207fffb,0x4404ffff,0x7dc0999a,
    0x5c006fff,0x7fe40abd,0x3ffa00ff,0x9ffff76f,0x3ffff200,0x3ffffa03,
    0x7ffffcc5,0x3fffee01,0x55edc006,0x4ffffc80,0x04ccd440,0x017ffff2,
    0x205677c4,0x641ffffb,0xffffffff,0x7fdc00ff,0xffecceff,0x0001efff,
    0x87ffffa0,0x002ffffc,0x17fffe40,0x013fffee,0xb9ffffdc,0xa801ffff,
    0xff90ffff,0x7ff401ff,0x9ffff76f,0x3ffff200,0x09ffff73,0xffffb800,
    0xfff80004,0x7c4002ff,0xff70ffff,0x3f2009ff,0xfff73fff,0x3ff2009f,
    0xffff93ff,0xb7fff401,0x2e07fffb,0x0befffff,0xffffd000,0xfc800007,
    0x3fa00fff,0xffff76ff,0x3fff2009,0x3ffea03f,0x3fffa1ff,0x7fff404f,
    0xb800003f,0x0befffff,0xffffb000,0x7dc00005,0x7fe41fff,0xffffffff,
    0x7fffdc04,0x7fffec44,0xf980002f,0x7fe45fff,0x640002ff,0x7dc2ffff,
    0xf7004fff,0x3fee7fff,0xffa801ff,0xffff90ff,0xb7fff401,0x004ffffb,
    0x2e7ffff9,0x0004ffff,0x027fffdc,0x3fffe600,0xffe8000f,0xffff71ff,
    0x3fff2009,0x9ffff73f,0x3ffff200,0x01ffff93,0xfbb7fff4,0x3fe207ff,
    0xbeffffff,0x3fffe001,0x6400001f,0x3a00ffff,0xfff76fff,0x3ff2009f,
    0x7fec03ff,0xffff56ff,0xfffff00d,0xf1000003,0xdfffffff,0x7ff40037,
    0x200000ff,0x641ffffb,0xffffffff,0x3ee00fff,0xffd04fff,0x80005fff,
    0x642ffffd,0x0002ffff,0x217fffe4,0x004ffffb,0x2e7ffff7,0xa801ffff,
    0xff90ffff,0x7ff401ff,0x9ffff76f,0x3ffff200,0x39ffff73,0x33333333,
    0xfffb8333,0x7cc0004f,0xb0007fff,0x3ee7ffff,0xf9004fff,0x3fee7fff,
    0xff9004ff,0x3fff27ff,0x3fffa00f,0x80ffff76,0xfffffffa,0x202dffff,
    0x00fffff8,0x7ffe4000,0x3fffa00f,0x09ffff76,0x0fffff20,0x7fffff10,
    0x805fffff,0x00fffff8,0xfff50000,0xffffffff,0xffff805b,0x7dc00007,
    0x7fe41fff,0xfffadfff,0x3ffee05f,0xffff104f,0x260003ff,0xfc86ffff,
    0x9999bfff,0x80999999,0x5c2ffffc,0x999dffff,0xfc999999,0xfff73fff,
    0xfff5003f,0x3ffff21f,0x5bfffa00,0x004ffffb,0x2e7ffff9,0xffffffff,
    0xffffffff,0x3fffee0f,0x7fd40004,0xf90006ff,0x3fee9fff,0xff9004ff,
    0x3ffee7ff,0xfff9004f,0x3ffff27f,0x5bfffa00,0xb807fffb,0xffffffff,
    0x981effff,0x5407ffff,0xaaaaaaaa,0x3ffff22a,0x5bfffa00,0x004ffffb,
    0x007ffff9,0xfffffff7,0xff300bff,0xaaa80fff,0x2aaaaaaa,0xffffff70,
    0x3dffffff,0x0fffff10,0xfffb8000,0x7fffe41f,0x0bffff65,0x027fffdc,
    0x0dfffff5,0x3ffff200,0xfffffc83,0xffffffff,0xfffc85ff,0x7fffdc2f,
    0xffffffff,0x3fffffff,0x003ffff7,0x321ffff5,0x3a00ffff,0xfff76fff,
    0x3ff2009f,0xffff73ff,0xffffffff,0x5c1fffff,0x0004ffff,0x02ffffdc,
    0x5ffffb80,0x009ffff7,0x5cfffff2,0x9004ffff,0x3f27ffff,0x3fa00fff,
    0xffff76ff,0x3fffa600,0xffffffff,0x7fffcc1f,0x7ffff406,0x327fffff,
    0x3a00ffff,0xfff76fff,0x3ff2009f,0xffd003ff,0x01ffffff,0x0dffff30,
    0xffffffe8,0x3a607fff,0xffffffff,0x7cc1ffff,0x00006fff,0x20ffffdc,
    0x220ffffc,0xf706ffff,0xfd809fff,0x4003ffff,0x907ffff8,0xffffffff,
    0xbfffffff,0x85ffff90,0xfffffffb,0xffffffff,0xff73ffff,0xff5003ff,
    0x3fff21ff,0x3fffa00f,0x09ffff76,0x4bffff20,0xfffffffb,0xffffffff,
    0x3ffee0ff,0x999999cf,0x09999999,0x00dffff5,0x53ffff20,0x004ffffb,
    0x2e5ffff9,0x9004ffff,0x3f25ffff,0x3fa00fff,0xffff76ff,0xffeb9800,
    0xffffffff,0x1ffffe61,0xffffffd0,0x7fe4ffff,0x3ffa00ff,0x9ffff76f,
    0x3ffff200,0xffff3002,0x26007fff,0x7407ffff,0xffffffff,0xfeb9807f,
    0xffffffff,0x3fffe61f,0x7dc00007,0x7fe41fff,0x7ffe40ff,0xffffb83f,
    0x7fffc404,0x3f2001ff,0xff904fff,0xffffffff,0x90bfffff,0xfb85ffff,
    0xffffffff,0xffffffff,0xffff73ff,0xffff5003,0x03ffff21,0xf76fffe8,
    0x32009fff,0xff72ffff,0xffffffff,0x1fffffff,0x7fffffdc,0xffffffff,
    0xff33ffff,0x36000fff,0xff73ffff,0x3f2009ff,0xfff72fff,0x3ff2009f,
    0xffff92ff,0xb7fff401,0x0007fffb,0x3ffff2a2,0x3fe25fff,0x3fa00fff,
    0xffffffff,0x03ffff27,0xf76fffe8,0x32009fff,0x2002ffff,0x06fffffb,
    0x3ffffe20,0x3ffffa00,0x007fffff,0x7fffe544,0x3fe25fff,0x400007ff,
    0x641ffffb,0x7c40ffff,0x7dc0ffff,0xfa804fff,0x1006ffff,0x201fffff,
    0xfffffffc,0xffffffff,0x2ffffc85,0x7fffffdc,0xffffffff,0xf73fffff,
    0xf5003fff,0x3ff21fff,0x3ffe01ff,0x9ffff56f,0x3ffff200,0x09ffff72,
    0xffffb800,0xffffffff,0x23ffffff,0x000fffff,0x51ffffe8,0x2009ffff,
    0xf52ffffc,0x32009fff,0xff92ffff,0x7ffc03ff,0x0ffff76f,0x7ff54000,
    0x7fffc7ff,0x3bbb201f,0x27ffffee,0x201ffffc,0xff56ffff,0x3f2009ff,
    0x7c002fff,0x4001ffff,0x201fffff,0xffeeeeec,0x540007ff,0x7c7ffffe,
    0x0000ffff,0x07fffee0,0x701ffff9,0xfb89ffff,0xfb004fff,0x7007ffff,
    0x333bffff,0xffffb333,0xffc80005,0x7ffdc2ff,0xfff7004f,0x3fffee7f,
    0xffffa801,0x03ffff90,0xfab7fffc,0xfb004fff,0x3fee5fff,0x5c0004ff,
    0xffffffff,0xffffffff,0x3fffa3ff,0x7fc4002f,0xfff50fff,0x3ff6009f,
    0xffff52ff,0x3fff6009,0x3ffff92f,0xbb7fffc0,0x53107fff,0x3fa00195,
    0x3ff61fff,0xff8004ff,0x3fff27ff,0x3fffe01f,0x09ffff56,0x0bffff60,
    0x1ffffd00,0xffffd800,0xffff8004,0x032aa627,0x0fffff40,0x005ffffb,
    0x7dc0e76c,0x7fe41fff,0xfffd00ff,0x7fffdc3f,0xffff1004,0xfff801ff,
    0xffffffff,0x02ffffff,0x7fffe400,0x27fffdc2,0x3ffffb80,0x003ffff7,
    0x321ffff5,0x3e01ffff,0xfff36fff,0x3ff600bf,0xffff71ff,0xffb80009,
    0xffffffff,0xffffffff,0x1bffff63,0xfffff900,0x02ffffcc,0x31ffffd8,
    0x200bffff,0xf91ffffd,0x7fc03fff,0xffff76ff,0x0fffff20,0x1ffffe40,
    0x01fffff5,0x27ffff80,0x201ffffc,0xff36ffff,0x3f600bff,0x74001fff,
    0x4000ffff,0x00fffffa,0x93ffffc0,0x2007ffff,0x323ffffc,0x1005ffff,
    0x5c3fffff,0x7e41ffff,0xff500fff,0x7ffdcbff,0x3fea004f,0x3ee05fff,
    0xffffffff,0xffffffff,0x7fe40002,0x7ffdc2ff,0xfff7004f,0x3fffee7f,
    0xffffa801,0x03ffff90,0x45bfffe2,0x401fffff,0x70fffff8,0x0009ffff,
    0x07fc8000,0x1fffffd4,0xfffff880,0x3ffffe24,0x7fffc401,0xfffff10f,
    0xffff8803,0x3ffff90f,0x5bfffe20,0xf307fffb,0x3a00dfff,0x3e22ffff,
    0x4004ffff,0x3f27ffff,0xff101fff,0x3ffe2dff,0x7fc401ff,0x74000fff,
    0x4000ffff,0x04fffff8,0x33ffffc0,0x200dffff,0x262ffffe,0x801fffff,
    0x646ffffb,0x664c007f,0xc80000bc,0x80001bcc,0xfffffffe,0xffffffff,
    0x6c0002ff,0x3ffee06f,0xfff7004f,0x3fffee7f,0xffffa801,0x05ffff50,
    0xf9bfffea,0x6c06ffff,0x3ee7ffff,0x00004fff,0x4037ec00,0x03fffffd,
    0x7fffff4c,0x37ffffc0,0x1fffff60,0x80dfffff,0x2a7ffffd,0xf502ffff,
    0x3feedfff,0x3fffe07f,0x7ffd404f,0xffffc87f,0xffd9804f,0x3ffea7ff,
    0xffff502f,0x37ffffcd,0x1fffff60,0x3ffffa00,0xfffc8000,0xfd9804ff,
    0x7ffc7fff,0x7fd404ff,0xfffc87ff,0x3fea01ef,0x37ec3fff,0x3fffea00,
    0x7fc0003f,0x20006fff,0xfffffffa,0xffffffff,0x40002fff,0x3fee05fe,
    0xff7004ff,0x3ffee7ff,0xfffa801f,0xdffff30f,0xdfffff10,0x6fffffe4,
    0xfffb511b,0x7ffdc7ff,0x0000004f,0x7c403ff4,0x0adfffff,0x3ffffee6,
    0xffffc82f,0xfb511bdf,0xfc87ffff,0x11bdffff,0x7fffffb5,0x437fffcc,
    0x76fffff8,0x7ec0ffff,0xb80dffff,0xd05fffff,0x15dfffff,0x7fffe544,
    0x3ffe67ff,0xffff886f,0x3ffff26f,0xfb511bdf,0x0007ffff,0x001ffffd,
    0x3fffffa0,0x3f2a20ae,0x6c7fffff,0x80dfffff,0x85fffffb,0xbffffff8,
    0xffffd711,0x07fe81ff,0x7ff65440,0x2ea0000f,0x0003fffd,0x339ffffd,
    0xfb333333,0x80005fff,0x3fee06ff,0xff7004ff,0x3ffee7ff,0xeeee981f,
    0xff10ffff,0xf957bfff,0x44dfffff,0xffffffff,0xffffffff,0x3fffee0f,
    0x9999999c,0x00999999,0x003fff00,0xfffffff7,0xffffffff,0x3fe20bff,
    0xffffffff,0x0fffffff,0x7fffffc4,0xffffffff,0x3fe20fff,0xfcabdfff,
    0xf76fffff,0x4bdddfff,0xfffffff8,0xffffffef,0xfff303ff,0xffffffff,
    0xffffffff,0x7ffffc4d,0xffffcabd,0x3ffe26ff,0xffffffff,0x00ffffff,
    0x0ffffe80,0xffff3000,0xffffffff,0xdfffffff,0xffffff88,0xfffffeff,
    0xff703fff,0xffffffff,0x05ffffff,0x20003fff,0x0002fff8,0x0009ffb0,
    0x01fffff3,0x37ffff90,0x33333333,0x7ffc4333,0x9ffff700,0x3fffee00,
    0x03ffff73,0xfffffff5,0x7fffec1f,0xfdffffff,0x7ffdc6ff,0xffffffff,
    0x7dc3ffff,0xffffffff,0xffffffff,0xff90003f,0x2e05759f,0xffffffff,
    0xcfffffff,0x3fffee00,0xffffffff,0xff703fff,0xffffffff,0xb07fffff,
    0xffffffff,0x2dfffbff,0xfffffffb,0x7ffffcc7,0xffffffff,0x7f4c03ff,
    0xffffffff,0xdfffffff,0x7ffffec0,0xffdfffff,0x7fffdc6f,0xffffffff,
    0xd0003fff,0x0001ffff,0x7fffff4c,0xffffffff,0xf980dfff,0xffffffff,
    0x03ffffff,0x7fffffdc,0xffffffff,0x59fffd03,0xfc981057,0x204000ff,
    0x003fffa9,0x04ffffd8,0xffffff90,0xffffffff,0x7ffc3fff,0xff71babe,
    0x3ee009ff,0xfff73fff,0xffff503f,0x7441ffff,0xefffffff,0x986fffc8,
    0xfffffffe,0xb82fffff,0xffffffff,0xffffffff,0xf30003ff,0x407fffff,
    0xffffffe8,0x02ffffff,0xfffffd30,0x5fffffff,0xffffe980,0xffffffff,
    0xffffd102,0xff91dfff,0x3fffeedf,0xfea87fff,0xffffffff,0xb1001fff,
    0xffffffff,0x03bfffff,0x3fffffa2,0xfffc8eff,0xffffe986,0xffffffff,
    0x3ffa0002,0x440000ff,0xfffffffd,0x1dffffff,0x7ffff540,0xffffffff,
    0xfffd3001,0xffffffff,0x7fffd407,0xfffe84ff,0x8003ffff,0xfffffffc,
    0xfff98005,0xff9001ff,0xffffffff,0x3fffffff,0x7fffffdc,0x09ffff73,
    0x4ffffee0,0xa81ffffb,0xffffffff,0x7fffec40,0xdfff90ce,0x3ffff220,
    0x00ceffff,0xfffffff7,0xffffffff,0x40007fff,0x02effffb,0xffffedb8,
    0x4000bdff,0xffffffc8,0x1000ceff,0xfffffff9,0xd88019df,0x90ceffff,
    0x3feedfff,0x207fffff,0xfffffffa,0x88000dff,0xfffffffc,0xd8801bce,
    0x90ceffff,0x3220dfff,0xffffffff,0x740000ce,0x0000ffff,0xfffff910,
    0x00379dff,0xffffffa8,0x8000dfff,0xffffffdb,0xfda800bf,0xffe82eff,
    0x0001cfff,0x5bfffff9,0x3fff6000,0x3ff2005f,0xffffffff,0x1fffffff,
    0x8f7fff5c,0x004ffffb,0x2e7ffff7,0x0001ffff,0x0000a880,0x01555310,
    0x3ffffee0,0xffffffff,0x003fffff,0x0004cc40,0x00013530,0x05554c40,
    0x554c4000,0x2a20000a,0x80000000,0x0019aa99,0x06aa6200,0x002a2000,
    0x5554c400,0x7f400000,0x00000fff,0x001aa988,0x4d54cc00,0x2a200001,
    0x3100009a,0x00002200,0x10000310,0x005fffff,0x7fffffe4,0xffffffff,
    0x03101fff,0x009ffff7,0x00ffffee,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffb8000,0x7fffc41f,0x3332a004,0x0599991c,0x017fffea,
    0x997fffcc,0x0004eeee,0x013fffea,0x7fffffe4,0x3332e001,0x6440001c,
    0x2665c2cc,0x85999100,0x00004ccb,0x33322000,0x002665c2,0x641ccc98,
    0x554003cc,0xaaaaaaaa,0x19997002,0x000e664c,0x33332600,0xcc880003,
    0x665c04cc,0x0733260c,0xa8000000,0xaaaaaaaa,0x0dd4002a,0x44001654,
    0x0003cccc,0xcb879991,0x64c000cc,0x266643cc,0x2aaaa200,0x5c07fd41,
    0x3fffee7f,0x27fffc41,0x2bfffd00,0x500ffffb,0x005fffff,0x2a5ffff3,
    0x0005ffff,0x013fffea,0x3fffffee,0x3ffe2001,0xf900005f,0x3ffee3ff,
    0x7ffe4003,0x005fff71,0x0001bf20,0x3ee3fff9,0x360002ff,0xfffb0fff,
    0xfffe8003,0x0fffffff,0x15fff980,0x0000dfff,0x03ffffb0,0xffff9000,
    0x5fff8803,0x400dfff1,0x001ffffa,0x7fffff40,0x3007ffff,0x337dfffd,
    0xf90007ff,0x20003fff,0x7f46fff9,0x7d4001ff,0x3fffc5ff,0x3ffff600,
    0x113fe20e,0x7ffdcbfd,0x7fffc41f,0xdfff5004,0x500ffff4,0x01ffffff,
    0x52ffff98,0x000bffff,0x027fffd4,0x3fffffee,0x7ffe4001,0x7f400006,
    0x05fffaef,0xf5dffd00,0x22000bff,0x40000efd,0xfffaeffe,0x7fc40005,
    0x03fffbdf,0xfffffe80,0x000fffff,0xffd7fff7,0x8800003f,0x0001ffff,
    0x02ffff88,0xfd7fff70,0x7d4003ff,0x40001fff,0xfffffffe,0xff9007ff,
    0xffffffff,0xfff88003,0x3e60002f,0x7fff46ff,0x7ffd4001,0x003fffc5,
    0x9ffffff7,0xfedfffd8,0x3ffee1ff,0x7fffc41f,0x1dffd004,0x500bffea,
    0x09ffffff,0x52ffff98,0x000bffff,0x027fffd4,0x3ffffff5,0xefff8800,
    0x7cc00000,0x00ffffff,0xfffff300,0xeb8001ff,0x03efffff,0xfffff300,
    0x500001ff,0x0dffffff,0x3bbbb600,0x00eeeeee,0x3fffff60,0xc800003f,
    0x00002fff,0x8005fff9,0x3ffffffd,0x7fffd400,0x776c0001,0x6eeeeeee,
    0xf959ff00,0x000bffff,0x0005fff9,0x746fff98,0x54001fff,0x7ffc5fff,
    0x9fff3007,0x7445fff9,0x43ffffff,0xa80aaaa9,0xf9801aaa,0x13ffa0ff,
    0x3ffffea0,0x3fe601ff,0xffff52ff,0x7fd4000b,0xfff304ff,0x70005fff,
    0x00001dff,0x3ffffee0,0x7fdc0002,0x22002fff,0xfffffffd,0xb8000eff,
    0x002fffff,0x3ffff600,0x0000000f,0x7fffc400,0x8800005f,0x00003fff,
    0x0007fff1,0x0bfffff1,0x3ffff500,0x00000000,0x32607744,0xff88001c,
    0xc880003f,0x6665c3cc,0x6664c000,0x80266643,0x3ffa6ffe,0x6776dc0f,
    0x40000001,0x33221cca,0xffff5003,0x7cc0dfff,0xfff52fff,0x7d4000bf,
    0xff984fff,0x0002ffff,0x00001997,0x02aaaa80,0x55555000,0xffffd800,
    0x5fffffff,0x55555000,0xaa880000,0x000001aa,0x55530000,0x30000015,
    0x40000599,0x20003cc9,0x000aaaa9,0x00aaaa88,0x04d4c000,0x00000000,
    0x00007993,0x40000000,0x4c0009a9,0x33221ccc,0x3310002c,0x26666033,
    0x09a98000,0x7fffd400,0xf303ffff,0x3fea5fff,0x2a0005ff,0x7c44ffff,
    0x002fffff,0x00000000,0x00000000,0x3ffffea0,0xffffeefe,0x00000003,
    0x7dc00000,0xf9004fff,0x00007fff,0x00000000,0x00000000,0x00000000,
    0xfffffd97,0x000007bf,0x70000000,0x2009ffff,0x803ffffc,0xfffffecb,
    0x000003df,0xffff7000,0x4ffff883,0xfffecb80,0xa803dfff,0xffffffff,
    0xffff980f,0x0bffff52,0x7fffd400,0x3ffffa24,0xfff7002f,0xffffffff,
    0x30059ddf,0xffffffff,0xffffffff,0x7fc49fff,0xffffffff,0xffffffff,
    0x23bfff60,0xfffe8efc,0x7ffdc006,0x7d4001ff,0xf3005fff,0x3fee5fff,
    0xff9004ff,0x3ffee7ff,0xffffffff,0x1002ceef,0xffffffff,0xffffffff,
    0x3ffea1ff,0xfff3005f,0xffff905f,0x3fffe207,0xffffffff,0x00ffffff,
    0x3fffffa6,0x1effffff,0x3ffff200,0xfffffb03,0x7ffec001,0xffff70ff,
    0x3fff2009,0x3ffa603f,0xffffffff,0xff9001ef,0x7fe407ff,0xfffb83ff,
    0x7fffc41f,0x3fffa604,0xffffffff,0x3ffea01e,0x85ffffff,0xf52ffff9,
    0x4000bfff,0xd14ffffa,0x007fffff,0x7fffffdc,0xffffffff,0x3e600eff,
    0xffffffff,0xffffffff,0x3ffe24ff,0xffffffff,0x0fffffff,0x7e4bfffe,
    0x00bdff76,0x4fffffe8,0x7fffd400,0xfff9802f,0x9ffff72f,0x3ffff200,
    0xffffff73,0xffffffff,0xf8801dff,0xffffffff,0xffffffff,0xfffff50f,
    0xffff3005,0x7ffff905,0x3ffffe20,0xffffffff,0x700fffff,0xffffffff,
    0x9fffffff,0x3ffff200,0xfffff103,0x3ffea00b,0x3ffee2ff,0xfff9004f,
    0x3ffee07f,0xffffffff,0xc804ffff,0x3203ffff,0xfb83ffff,0x7fc41fff,
    0xfff704ff,0xffffffff,0x2a09ffff,0xfffbffff,0x7ffcc1ff,0xbffff52f,
    0x7ffd4000,0xfffffd4f,0xfffb8007,0xffffffff,0x1fffffff,0xffffff30,
    0xffffffff,0x449fffff,0xffffffff,0xffffffff,0xffff10ff,0x0009bf23,
    0xffffff30,0x7fd4001f,0x4c00ffff,0xff72ffff,0x3f2009ff,0xfff73fff,
    0xffffffff,0x3fffffff,0x7ffffc40,0xffffffff,0xf50fffff,0x801fffff,
    0xc82ffff9,0xf103ffff,0xffffffff,0xffffffff,0xffff701f,0xffffffff,
    0x00bfffff,0x407ffff9,0x02fffffb,0x45ffffe8,0x004ffffb,0x707ffff9,
    0xffffffff,0xffffffff,0xfffc80bf,0x3fff203f,0xffffb83f,0x27fffc41,
    0x7fffffdc,0xffffffff,0xffa85fff,0xffffc9ff,0x97fffcc6,0x005ffffa,
    0x37fffea0,0x5ffffffd,0x7fffdc00,0xffffffff,0x07ffffff,0xfffffff3,
    0xffffffff,0x7c49ffff,0xffffffff,0xffffffff,0x4ffffe0f,0xc80006fc,
    0x3fffffff,0x3fffea00,0x7fcc04ff,0xffff72ff,0x3fff2009,0xfffff73f,
    0xffffffff,0x40ffffff,0xfffffff8,0xffffffff,0xfff50fff,0xf9809fff,
    0xffc82fff,0xfff103ff,0xffffffff,0x1fffffff,0xffffff88,0x3fee60ad,
    0x6402ffff,0x7403ffff,0x5c06ffff,0x5c0fffff,0x9004ffff,0xf887ffff,
    0x0adfffff,0x3ffffee6,0x3fff202f,0x3fff203f,0xffffb83f,0x27fffc41,
    0x3fffffe2,0x3fee60ad,0x7d42ffff,0xfff89fff,0x3ffe63ff,0xbffff52f,
    0x7ffd4000,0xffffffff,0x3ee002ff,0x9999dfff,0xffffb999,0x333301ff,
    0xffffd333,0x13333335,0x99999998,0xfffe9999,0x7fff45ff,0x0006fcaf,
    0xfffffff8,0x3fea006f,0x201fffff,0xf72ffff9,0x32009fff,0xff73ffff,
    0x33333bff,0xfffff733,0x4cccc03f,0xe9999999,0x2a5fffff,0x1fffffff,
    0x0bfffe60,0x80fffff2,0x99999999,0xffffe999,0xffffe85f,0x7ff4c02f,
    0x7fe406ff,0x7fcc03ff,0xff103fff,0xff707fff,0x3f2009ff,0x7ff43fff,
    0x74c02fff,0x3206ffff,0x3203ffff,0xfb83ffff,0x7fc41fff,0x7fff44ff,
    0x7f4c02ff,0x7fd46fff,0xffff51ff,0x3fffe61f,0x0bffff52,0x7fffd400,
    0xffffffff,0xff7000ff,0x3fa009ff,0xe8004fff,0x0001ffff,0xfffffb80,
    0xfffffb86,0x540006ff,0xffffffff,0xfff5001f,0x4c0dffff,0xff72ffff,
    0x3f2009ff,0xfff73fff,0x3ffa009f,0xb80004ff,0x546fffff,0x6fffffff,
    0x0bfffe60,0x00fffff2,0x3fffee00,0xffffa86f,0xfff1002f,0x7fe407ff,
    0xffc803ff,0xffd80fff,0xfff706ff,0x3ff2009f,0x3ffea3ff,0xff1002ff,
    0x3f207fff,0x3f203fff,0xffb83fff,0x7ffc41ff,0x3fffea4f,0xfff1002f,
    0x7ffd47ff,0x3ffff61f,0x25ffff35,0x005ffffa,0x3ffffea0,0xffffcfff,
    0xfff7004f,0x3fee009f,0xfe8006ff,0x00001fff,0x7fffffd4,0xfffff880,
    0x0001cfff,0xff7ffffb,0x3ea009ff,0x3fffffff,0x25ffff30,0x004ffffb,
    0x2e7ffff9,0x7004ffff,0x000dffff,0xffffffa8,0x7ffffd40,0xff303fff,
    0xfff905ff,0xfa80007f,0xd80fffff,0x4006ffff,0x207ffffc,0x003ffffc,
    0x98bffffd,0x701fffff,0x2009ffff,0x363ffffc,0x4006ffff,0x907ffffc,
    0x6407ffff,0xfb83ffff,0x7fc41fff,0x3fff64ff,0x7fe4006f,0x3ffea7ff,
    0x3fffe21f,0x2ffff9af,0x00bffff5,0x7ffffd40,0xffff73ff,0xfff7003f,
    0x3fe6009f,0xfe8006ff,0x00001fff,0x3fffffe2,0x3fffea01,0x02efffff,
    0x37fffe20,0x00fffff8,0xffffffa8,0xff980fff,0xffff72ff,0x3fff2009,
    0x9ffff73f,0x3fffe600,0x3fe20006,0xfa81ffff,0xffffffff,0x2ffff980,
    0x03ffffc8,0x3fffe200,0xffff01ff,0xff88005f,0xff900fff,0x3ea007ff,
    0x3fa1ffff,0x3ee04fff,0xf9004fff,0x7ffc7fff,0x7c4002ff,0xfc80ffff,
    0x3f203fff,0xffb83fff,0x7ffc41ff,0x3ffffe4f,0x7ffc4002,0xffff50ff,
    0xeffffb83,0xf52ffffa,0x4000bfff,0x4ffffffa,0x037ffff4,0x027fffdc,
    0x05ffffb8,0x1ffffe80,0xffd10000,0xd3007fff,0xffffffff,0x3fee009f,
    0xffff92ff,0xffff5007,0x30bfffff,0x3ee5ffff,0xf9004fff,0x3fee7fff,
    0xff7004ff,0x22000bff,0x03fffffe,0xfffffff5,0xfff30bff,0xffff905f,
    0x3fa20007,0xf303ffff,0x0001ffff,0x203ffffd,0x003ffffc,0x55bffff6,
    0x5c06ffff,0x9004ffff,0x3e67ffff,0x8000ffff,0xc81ffffe,0x3203ffff,
    0xfb83ffff,0x7fc41fff,0xffff34ff,0xffd0001f,0x3ffea3ff,0xffffe81f,
    0xf52ffffe,0x4000bfff,0x84fffffa,0x04fffffa,0x027fffdc,0x27ffff4c,
    0x7ffff400,0xffb00001,0xa8009fff,0xfffffffe,0xfffe804f,0x1bfffe67,
    0x2ffffea0,0x4c1fffff,0xff72ffff,0x3f2009ff,0xfff73fff,0xffd3009f,
    0x360009ff,0x204fffff,0xffbffffa,0x7fcc1fff,0xfffc82ff,0xffb0003f,
    0x7cc09fff,0xb0007fff,0x3207ffff,0x2003ffff,0xfbfffff8,0x5c02ffff,
    0x9004ffff,0x3e67ffff,0xb0007fff,0xf907ffff,0x7e407fff,0xffb83fff,
    0x7ffc41ff,0xfffff34f,0x3fff6000,0x3ffff53f,0xffffff30,0x3fea5fff,
    0x2a0005ff,0x3605ffff,0x201fffff,0xaadffffb,0xffcbaaaa,0x8000ffff,
    0x001ffffe,0xfffffb80,0x3ff60005,0x01ffffff,0xd13fffe6,0xa803ffff,
    0xffc9ffff,0x7ffcc6ff,0x9ffff72f,0x3ffff200,0x5bffff73,0xf9755555,
    0x001fffff,0xbfffff70,0x9ffffa80,0x4c6ffffc,0xfc82ffff,0xb8003fff,
    0x405fffff,0x006ffffa,0x09ffff90,0x00fffff2,0xffffff70,0xf700bfff,
    0x32009fff,0xff53ffff,0x32000dff,0xfc84ffff,0x3f203fff,0xffb83fff,
    0x7ffc41ff,0xdffff54f,0x3fff2000,0x3ffff54f,0x3fffff60,0xfff52fff,
    0x7d4000bf,0x3e604fff,0x2e06ffff,0xffffffff,0xffffffff,0xfd0002ff,
    0x80003fff,0x0efffffa,0x27bf2000,0x204ffffe,0x641ffffd,0x5404ffff,
    0xff89ffff,0x3fe63fff,0xffff72ff,0x3fff2009,0xfffff73f,0xffffffff,
    0x005fffff,0xdfffff50,0xffffa801,0x3fffff89,0x20bfffe6,0x003ffffc,
    0x77ffffd4,0x7fffdc00,0xfff70005,0x3fff20bf,0xffe8003f,0x00ffffff,
    0x04ffffb8,0x27ffff90,0x005ffffb,0x0bffff70,0x407ffff9,0xb83ffffc,
    0x7c41ffff,0xfff74fff,0x3ee000bf,0xfff55fff,0x3ffe203f,0xf52fffff,
    0x4000bfff,0x404ffffa,0x04fffffc,0xfffffff7,0xffffffff,0x740003df,
    0x0001ffff,0x3fffffe6,0x37e40001,0x220bfffd,0xf886ffff,0x2a00ffff,
    0xff51ffff,0x3fe61fff,0xffff72ff,0x3fff2009,0xfffff72f,0xffffffff,
    0x0003dfff,0x3ffffff3,0x3ffff500,0x43ffffea,0xc82ffff9,0x2003ffff,
    0x1ffffff9,0x6ffffa80,0xffff9000,0x3ffff209,0xfff98003,0x7003ffff,
    0x2009ffff,0xf52ffffc,0x2000dfff,0xc84ffffc,0x3203ffff,0xfb83ffff,
    0x7fc41fff,0xffff54ff,0x3ff2000d,0xffff54ff,0x7fffdc03,0xfff52fff,
    0x333333bf,0x54333333,0x4404ffff,0x81ffffff,0xfffffffb,0xdfffffff,
    0x7f40000a,0x10001fff,0x05fffffd,0xf90d4cc0,0x837ffdcd,0xd04ffffb,
    0x5407ffff,0x3f61ffff,0xfff35fff,0x3fffee5f,0xffff9004,0x3ffffee5,
    0xffffffff,0x88000adf,0x02fffffe,0x43ffff50,0xf35ffffd,0xff905fff,
    0x3a2007ff,0x002fffff,0x00fffff3,0x0fffff60,0x01ffffe4,0xfffffb80,
    0x3ffee006,0xfff9004f,0x3fffe65f,0xfffb0007,0xffff907f,0x7fffe407,
    0x1ffffb83,0x9a7fffc4,0x0007ffff,0x2a7ffffb,0x7401ffff,0x52ffffff,
    0xffffffff,0xffffffff,0x3fffea3f,0xffffb804,0xffffb86f,0xffffecce,
    0xd00001ef,0x0003ffff,0x13fffff6,0x0ffffc80,0x7ffdcdf9,0x3ffffd05,
    0x1bfffee0,0x21ffffa8,0x9afffff8,0xff52ffff,0x3f2009ff,0xfff72fff,
    0xfffd99df,0x40003dff,0x04fffffd,0x87fffea0,0x9afffff8,0xfc82ffff,
    0xfb003fff,0x8009ffff,0x000fffff,0x01ffffe8,0x007ffff9,0x0fffffc0,
    0x9ffff500,0x3ffff200,0x03ffffe2,0x3ffffa00,0x3ffffc81,0x0fffff20,
    0x107fffee,0x7fc9ffff,0xe8000fff,0xff51ffff,0xff9803ff,0xff52ffff,
    0xffffffff,0x3fffffff,0x013fffea,0x1ffffff4,0x113fffee,0x05fffffb,
    0xffffd000,0xfff90003,0xfa800bff,0x4df93fff,0xf983fffe,0xeeeeffff,
    0xfffffeee,0x3ffff501,0xaeffffb8,0xff52ffff,0x3f6009ff,0xfff72fff,
    0xfffd889f,0xfc8002ff,0x4005ffff,0x5c1ffffa,0xffaeffff,0xfffc82ff,
    0xfffc803f,0xfe8005ff,0x44002fff,0x900fffff,0x0007ffff,0x007ffff4,
    0x09ffff50,0x8bffff60,0x002ffffe,0x07ffffc4,0x01ffffe4,0x707ffff9,
    0xf883ffff,0x3ffa4fff,0x7c4002ff,0xff50ffff,0xff9003ff,0x3fea5fff,
    0xffffffff,0x1fffffff,0x009ffff5,0x3fffffe6,0x13fffee0,0x17fffff4,
    0x3fffa000,0x7fd4001f,0x4000efff,0xcafffff8,0x3ffff76f,0xffffff90,
    0xffffffff,0x3ea09fff,0xffe81fff,0x2ffffeff,0x00bffff3,0x5c7ffff6,
    0xfd04ffff,0x4005ffff,0x0efffffa,0x7fffd400,0xeffffe81,0xfc82ffff,
    0x7d403fff,0x000effff,0x06ffffd8,0x3ffffe40,0x07ffff90,0x7ffff400,
    0x3ffe6000,0xfffb005f,0x7fffec3f,0x7ffe4006,0xffff907f,0x7fffe407,
    0x1ffffb83,0xb27fffc4,0x800dffff,0x2a7ffffc,0x8801ffff,0xf52fffff,
    0xffffffff,0xffffffff,0x13fffea3,0xfffffd80,0x13fffee5,0x7fffffc4,
    0x3ffa0001,0x3e6001ff,0x000fffff,0xffffff90,0xbffffddf,0x3fffffe0,
    0xffffffff,0xa80fffff,0xf981ffff,0xffffffff,0x3fffff12,0xfffff880,
    0x09ffff70,0x3fffffe2,0xffff9801,0xfa8000ff,0xff981fff,0x2fffffff,
    0x03ffffc8,0x3fffffe6,0xfff50000,0x3e2007ff,0x3204ffff,0x0003ffff,
    0x003ffffa,0x1fffff88,0x7ffffc40,0x3ffffea0,0xffff1003,0x3fff209f,
    0x3fff203f,0xff10003f,0x7ffd49ff,0xff1003ff,0x64009fff,0x40001bcc,
    0x0001bccc,0x00379990,0x09ffff70,0x37ffffd4,0xffffd000,0x3ffa2003,
    0x40002fff,0xfffffffe,0xa80fffff,0xffffffff,0xffffffff,0xffa83fff,
    0xfffb01ff,0x7c5fffff,0x6c06ffff,0x3ee7ffff,0x3ea04fff,0x4406ffff,
    0x02fffffe,0x3ffff500,0x3fffff60,0xffc82fff,0xffd103ff,0x80005fff,
    0x03fffffd,0x7fffff4c,0x3ffff200,0x3ffa0003,0x7fc000ff,0x7ec06fff,
    0xffd87fff,0x74c03fff,0x900fffff,0x6407ffff,0x0003ffff,0xd89ffff3,
    0x403fffff,0x0fffffe9,0x3ffffe00,0x3ffe0006,0x40000eff,0x006fffff,
    0x027fffdc,0x0ffffff6,0x7ffff400,0xffffb001,0xd100007f,0xffffffff,
    0x3ff601df,0xaaaaacff,0xfffcaaaa,0xffffa86f,0xfffff101,0x7fe45fff,
    0x511bdfff,0x47fffffb,0x404ffffb,0x03fffffd,0x0ffffff6,0xffffa800,
    0xfffff101,0xff905fff,0x3ff607ff,0x80003fff,0xdffffff8,0x3ffee60a,
    0x7e402fff,0x20003fff,0x000ffffe,0x6fffffe4,0xfffb511b,0xfff107ff,
    0x4c15bfff,0x2ffffffb,0x0fffff20,0x03ffffc8,0x3ffa6620,0x7ffc43ff,
    0x260adfff,0x2ffffffb,0x7fedd400,0xb750003f,0x80009fff,0x03fffdba,
    0x13fffee0,0xffffff10,0xfffd0003,0xfff7003f,0x33333dff,0x33333333,
    0x3fffae01,0x3e203eff,0x22007fff,0x541fffff,0x2e01ffff,0x2fffffff,
    0x3fffffe2,0xffffffff,0x3fee0fff,0x7fc404ff,0xfb81ffff,0x999effff,
    0x99999999,0xffff5099,0x7fffdc03,0xffc82fff,0xfffb83ff,0x99999eff,
    0x99999999,0xfffffb80,0xffffffff,0xc805ffff,0x0003ffff,0x003ffffa,
    0xffffff10,0xffffffff,0x3ee01fff,0xffffffff,0xffffffff,0x7fffe405,
    0x3ffff203,0x3ffee003,0xfb82ffff,0xffffffff,0xffffffff,0x7fec0005,
    0xffd80004,0x3f600005,0x3fee004f,0xffa804ff,0xe8006fff,0xc801ffff,
    0xffffffff,0xffffffff,0x6c404fff,0xffc800ef,0x7ec004ff,0x7fd44fff,
    0x7ff401ff,0x7dc2ffff,0xffffffff,0x43ffffff,0x804ffffb,0x86fffffa,
    0xfffffffc,0xffffffff,0xff54ffff,0xffe803ff,0xfc82ffff,0xffc83fff,
    0xffffffff,0xffffffff,0xffff704f,0xffffffff,0x90019fff,0x0007ffff,
    0x007ffff4,0x7ffffdc0,0xffffffff,0x7fdc03ff,0xffffffff,0x00cfffff,
    0x01ffffe4,0x007ffff9,0x7fffffe4,0xffff700f,0xffffffff,0x20019fff,
    0x1fffd4c0,0x7d441100,0x408003ff,0x003fffa9,0x013fffee,0x1fffffec,
    0x3ffffa00,0xffffc801,0xffffffff,0x4fffffff,0xf006fc80,0x8003ffff,
    0x20fffffa,0x401ffffa,0x2ffffff9,0xfffffe98,0x2fffffff,0x04ffffb8,
    0x7fffffb0,0xffffffc8,0xffffffff,0xf54fffff,0xf9803fff,0xc82fffff,
    0xfc83ffff,0xffffffff,0xffffffff,0x3fa204ff,0xffffffff,0x32002fff,
    0x0003ffff,0x003ffffa,0x7ffff4c0,0xffffffff,0xfffd1002,0xffffffff,
    0x3ff2005f,0x3ff203ff,0x3fa003ff,0x401fffff,0xffffffe8,0x02ffffff,
    0x7ffffe40,0x7dc005ff,0x05ffffff,0xfffff900,0xfb800bff,0xf1004fff,
    0x001fffff,0x00fffff4,0x7fffffe4,0xffffffff,0x804fffff,0xffa806fc,
    0xff0006ff,0x7fd47fff,0xffc801ff,0xf9102fff,0xdfffffff,0x3ffee019,
    0xfff1004f,0x7fe41fff,0xffffffff,0xffffffff,0x3ffff54f,0xfffff900,
    0x7ffff905,0xffffff90,0xffffffff,0x009fffff,0xfffffdb7,0xc80017bf,
    0x0003ffff,0x003ffffa,0xffffc880,0x00ceffff,0xfffedb80,0x000bdfff,
    0x80fffff2,0x003ffffc,0x0b7ffffe,0xfffedb80,0x000bdfff,0xdfffffc8,
    0xfffb8002,0x20002eff,0x2dfffffc,0xffffb800,0x3ffea004,0x3fa005ff,
    0xfc801fff,0xffffffff,0xffffffff,0x2a9804ff,0x3ffffd80,0xffff9000,
    0x0ffffd4d,0x7ffffc40,0xaaa98802,0xffff7000,0x7ffd4009,0x3fff25ff,
    0xffffffff,0xffffffff,0x03ffff54,0x5fffff10,0x07ffff90,0xfffffff9,
    0xffffffff,0x0009ffff,0x80001353,0x003ffffc,0x03ffffa0,0x554c4000,
    0x9800000a,0x3200009a,0x3203ffff,0x4003ffff,0x30000199,0x40000135,
    0x22000018,0x18800001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x26000000,0x077440bc,0x99993000,0xffb50007,0xffffffff,0x3ff23fff,
    0x900000ff,0x10039999,0x00262013,0x00ccccc8,0x00555530,0x266664c0,
    0x95000000,0x1e664403,0x0001332e,0x000aaaaa,0x33332200,0x65c00003,
    0x5c001ccc,0x0001cccc,0x01aaaa80,0x43ccc800,0x8000cccb,0x5006eeeb,
    0x2a63ffff,0xaaaaaaaa,0x5555500a,0x00555555,0x95066664,0x332e0399,
    0x0b33261c,0x44599930,0x40004ccc,0x2ed82cb8,0xfffd0000,0x0ffb57df,
    0xffffd800,0x3ffee000,0xffffffff,0xf91fffff,0x00001fff,0x009ffff3,
    0x27f41bf2,0x9ffff300,0xfffff300,0x7fe40009,0x000001ff,0xfc809f90,
    0x7fff71ff,0xfffa8000,0x400002ff,0x001ffffc,0x3fffe200,0xfff88005,
    0x5c00006f,0x001fffff,0xa97ffdc0,0x90004fff,0x2a00ffff,0xff91ffff,
    0xffffffff,0x3ffffa05,0x00ffffff,0x641ffff0,0xffb03fff,0x2fffdc5f,
    0x893ffee0,0x20007fff,0xaceffffb,0x80002ffb,0xfffffff8,0x20005fff,
    0x001ffff9,0x3fffffe6,0xffffffff,0xfff91fff,0xfb00001f,0x7d4009ff,
    0x5ff710cf,0xffffa800,0x7ffff400,0x320001ff,0x00005fff,0xd003ff00,
    0xbfff5fff,0xfff88000,0x0000ffff,0x05ffff10,0xfffc8000,0x3fe60005,
    0x300001ff,0x0dffffff,0x5fffb000,0x4000dfff,0x5007fffc,0x3f23ffff,
    0xffffffff,0xffffd02f,0x01ffffff,0xc83fffe0,0xffb03fff,0x2fffdc5f,
    0x893ffee0,0x20007fff,0xfffffffe,0x80000fff,0xffca9efb,0x20001eff,
    0x2001fffd,0xfffffff8,0xffffffff,0xfff91fff,0xf980001f,0xfd8005ff,
    0x06ffffff,0x09fff500,0x7fd7ffe4,0x360000ef,0x00001fff,0x9803fcc0,
    0x0fffffff,0x7ffec000,0x0005fffa,0x005fff90,0xefff8800,0x7fcc0000,
    0xfd00005f,0x09fff5df,0xffff8800,0x20000fff,0x5007fffc,0x3ae3ffff,
    0xeeeeeeee,0xddddb01e,0x01dddddd,0xc83fffe0,0xffb03fff,0x2fffdc5f,
    0x893ffee0,0x10007fff,0xffd735ff,0x200007ff,0x02b982ca,0x17ffc400,
    0x3fffee00,0xaaefffff,0x90acfffe,0x0001ffff,0x0005ffd8,0xbfffffb1,
    0x7fdc0001,0x4fff980f,0x0009fff3,0x0004ffd8,0x002fe400,0x05fffff7,
    0x2fffb800,0x0007fff5,0x003fff88,0x0effb800,0xfff50000,0xffc80001,
    0x05fff91f,0xffffa800,0x75c0003f,0x993006ee,0x00000199,0xccc80000,
    0x07332a0c,0x930e665c,0xcc980599,0x1333222c,0x44264c00,0x000000bb,
    0x00004d4c,0x40016654,0xfffffffd,0x3fff66ff,0x07fffe42,0x03332000,
    0x57973000,0x332e0000,0x544ccb81,0x20000ccc,0x00004cc8,0x20017f40,
    0x0002aaaa,0x65c3ccc8,0x64c0004c,0x7000003c,0x80000199,0x20002cca,
    0x65c2ccc8,0xaa80003c,0x000002aa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3b2e0000,0x3dffffff,0xd0000000,0xffffffff,0x17ffecdf,
    0x883ffff2,0x000009aa,0x00000000,0x00000000,0x26000000,0x000ffbba,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7fe40000,
    0xfffc83ff,0xffffb83f,0xffffffff,0x2e7fffff,0xffffffff,0xffffffff,
    0xffff907f,0x3fee0007,0x54001fff,0x3005ffff,0x8005ffff,0xffffffe9,
    0x01efffff,0x013bbba6,0xffffff00,0x7ecdffff,0x7ffe42ff,0xffffd88f,
    0x3ff200df,0xfb8003ff,0x0001ffff,0x5cfffff2,0x0001ffff,0xfffff700,
    0xfe880003,0x03ffffff,0xfffffff7,0x07bdffff,0xffffff70,0xffffffff,
    0xb800ffff,0x001fffff,0x7fffffdc,0xffffffff,0x3fee7fff,0xffffffff,
    0x7fffffff,0x7fffdc00,0x7fdc001f,0xffffffff,0x7fffffff,0x3fffffee,
    0xffffffff,0x3ff27fff,0xfffc83ff,0xffffb83f,0xffffffff,0x2e7fffff,
    0xffffffff,0xffffffff,0xffff907f,0x3ffa0007,0x54004fff,0x802fffff,
    0x002ffff9,0x3fffffee,0xffffffff,0xffff504f,0xffe8000b,0x6fffffff,
    0xf90bfff6,0xfffd5fff,0x203fffff,0x003ffffc,0x4fffffe8,0x3fff2000,
    0x3ffff73f,0x3fa00000,0x0004ffff,0x3fffffee,0x5c0dffff,0xffffffff,
    0x1effffff,0x3ffffee0,0xffffffff,0x4007ffff,0x04fffffe,0x7ffffdc0,
    0xffffffff,0x3ee7ffff,0xffffffff,0xffffffff,0x7fff4007,0x7dc004ff,
    0xffffffff,0xffffffff,0x3ffffee7,0xffffffff,0x3f27ffff,0xffc83fff,
    0xfffb83ff,0xffffffff,0x27ffffff,0xfffffffb,0xffffffff,0xfff907ff,
    0xff30007f,0x001fffff,0x7fffffd4,0x7fffcc00,0xffff7002,0xffffffff,
    0x50bfffff,0x000bffff,0xffffffc8,0x3ff66fff,0x7fffe42f,0xffffffff,
    0xffc80fff,0x7cc003ff,0x00ffffff,0x7ffff900,0x007fffee,0x3ffe6000,
    0x8000ffff,0xfffffffb,0x5c6fffff,0xffffffff,0xffffffff,0xffffb80d,
    0xffffffff,0x007fffff,0x3fffffe6,0x3fee000f,0xffffffff,0x7fffffff,
    0x3fffffee,0xffffffff,0x26007fff,0x0fffffff,0x3fffee00,0xffffffff,
    0x2e7fffff,0xffffffff,0xffffffff,0x3ffff27f,0x3ffffc83,0xffffffb8,
    0xffffffff,0x3fee7fff,0xffffffff,0x7fffffff,0x07ffff90,0xfffff900,
    0x7d4007ff,0x404fffff,0x802ffff9,0xdffffff8,0x3ffee60a,0x7fd42fff,
    0x4c0005ff,0xffffffff,0x0bfff66f,0x9ffffff9,0xfffff733,0x7ffff90b,
    0xffffc800,0x90003fff,0x3ee7ffff,0x00001fff,0xffffffc8,0x7fc4003f,
    0xffbadfff,0x3ee2ffff,0xffffffff,0xffffffff,0xfffffb84,0xffffffff,
    0x2007ffff,0xfffffffc,0x3ffee003,0xffffffff,0x27ffffff,0xfffffffb,
    0xffffffff,0x3f2007ff,0x03ffffff,0x3ffffee0,0xffffffff,0x3ee7ffff,
    0xffffffff,0xffffffff,0x0fffff27,0x20fffff2,0x99cffffb,0x99999999,
    0x3ffee199,0x999999cf,0x01999999,0x007ffff9,0xfffffff0,0x7fd400df,
    0x201fffff,0x802ffff9,0x02fffffe,0x37ffff4c,0x017fffea,0x3ffff200,
    0x3f66ffff,0x7ffe42ff,0xfff882ff,0x7ffe41ff,0x7ffc003f,0x006fffff,
    0x27ffff90,0x001ffffb,0xfffff800,0x6c006fff,0x3f23ffff,0x2e6ffffd,
    0x999cffff,0xffffdaa9,0x7ffdc1ff,0x999999cf,0x01999999,0x3fffffe0,
    0x3ee006ff,0x9999cfff,0x99999999,0x33fffee1,0x99999999,0x20019999,
    0xffffffff,0x3ffee006,0x999999cf,0x21999999,0x99cffffb,0x99999999,
    0x3fff2199,0xffffc83f,0x4ffffb83,0x7ffdc000,0x3200004f,0x4003ffff,
    0xfffffffa,0xff5001ff,0x40dfffff,0x402ffff9,0x02fffffa,0x7fffff10,
    0x02ffffd4,0xffffb800,0x3ff66fff,0x7fffe42f,0x3fffee05,0x1ffffe44,
    0xfffff500,0x0003ffff,0x2e7ffff9,0x0001ffff,0x7ffffd40,0x2001ffff,
    0x7fc6ffff,0x2e2cdfd9,0x4c04ffff,0x5c6ffffe,0x0004ffff,0x3fffea00,
    0x001fffff,0x009ffff7,0x4ffffb80,0x3ea00000,0xffffffff,0xffff7001,
    0xffb80009,0x640004ff,0xfc83ffff,0xffb83fff,0x5c0004ff,0x0004ffff,
    0x0fffff20,0x7ffffb00,0x2009ffff,0xfffffffa,0xffff303f,0xffffd805,
    0x7ffe4006,0x3fffea7f,0x2e200005,0x366ffffd,0x7fe42fff,0x3fe202ff,
    0x7ffe45ff,0x3ff6003f,0x4ffffbff,0xffffc800,0x83ffff73,0xd8000aa9,
    0xfffbffff,0xfff3004f,0x403fcc9f,0x804ffffb,0x23fffff9,0x004ffffb,
    0x3fff6000,0x04ffffbf,0x09ffff70,0xffffb800,0x36000004,0xfffbffff,
    0xfff7004f,0xfb80009f,0x40004fff,0xc83ffffc,0xfb83ffff,0x40004fff,
    0x004ffffb,0x3ffff200,0x3ffe2003,0xfffff8df,0xffffa800,0x980fffff,
    0x7c02ffff,0x4002ffff,0x50fffff8,0x000bffff,0x9bffea00,0x7e42fffd,
    0x7fc01fff,0x7ffe46ff,0xfff1003f,0xfffff1bf,0xfffc8001,0x3ffff73f,
    0x3ffffff2,0xffff1002,0x1fffff1b,0x7ffff500,0x7dc02fe4,0xf9004fff,
    0x7fdcbfff,0x000004ff,0xf1bffff1,0x7001ffff,0x0009ffff,0x04ffffb8,
    0xfff10000,0xfffff1bf,0xffff7001,0xffb80009,0x640004ff,0xfc83ffff,
    0xffb83fff,0x5c0004ff,0x0004ffff,0x0fffff20,0x2ffffb80,0x007ffff9,
    0xfffffff5,0xfff30bff,0x7ffcc05f,0xfe8000ff,0xfff51fff,0x200000bf,
    0x3f66fffa,0x7ffe42ff,0x7fffc00f,0x1ffffe47,0x2ffffb80,0x007ffff9,
    0x73ffffc8,0xffb5ffff,0x07ffffff,0x25ffff70,0x803ffffc,0x3a2ffffb,
    0xfffb802f,0xfff1004f,0x7fffdcdf,0xf7000004,0x3ff25fff,0xffb803ff,
    0x5c0004ff,0x0004ffff,0x5ffff700,0x00fffff2,0x013fffee,0x9ffff700,
    0xfffc8000,0xffffc83f,0xcffffb83,0x99999999,0x7fdc1999,0x99999cff,
    0x01999999,0x00fffff2,0x267fffe8,0xa806ffff,0xfffbffff,0x7ffcc1ff,
    0x3ffe602f,0xffb0007f,0x3ffea7ff,0x5000005f,0x7fecdfff,0x7fffe42f,
    0x3ffff401,0x00fffff2,0xf33ffff4,0xc800dfff,0xff73ffff,0xffffffff,
    0x801fffff,0x3e67fffe,0xfb806fff,0x1ff13fff,0x9ffff700,0x3ffffc00,
    0x339ffff7,0x33333333,0x3ffa0033,0x3fffe67f,0xffffb806,0x9999999c,
    0x7dc19999,0x9999cfff,0x19999999,0x4ffffd00,0x806ffff9,0x99cffffb,
    0x99999999,0x7fffdc19,0x9999999c,0x7e419999,0xffc83fff,0xfffb83ff,
    0xffffffff,0x20ffffff,0xfffffffb,0xffffffff,0xfff900ff,0x3fe6007f,
    0x7fff44ff,0x7ffd401f,0x6ffffc9f,0x017fffcc,0x00dffff5,0x53ffff20,
    0x005ffffa,0xdfff5000,0x3217ffec,0x7c01ffff,0x7fe46fff,0xff9803ff,
    0x7fff44ff,0x3ff2001f,0xffff73ff,0xff7359ff,0x7cc09fff,0x7ff44fff,
    0x7fd401ff,0x00bf73ff,0x013fffee,0x70ffffe8,0xffffffff,0xffffffff,
    0xfff9801f,0x7ffff44f,0x7fffdc01,0xffffffff,0x2e0fffff,0xffffffff,
    0xffffffff,0x7ffcc00f,0x7ffff44f,0x7fffdc01,0xffffffff,0x2e0fffff,
    0xffffffff,0xffffffff,0x3ffff20f,0x3ffffc83,0xffffffb8,0xffffffff,
    0x3fee0fff,0xffffffff,0x0fffffff,0x07ffff90,0x07ffff60,0x809ffff9,
    0xf89ffffa,0x3e63ffff,0x3ee02fff,0x70005fff,0x3eabffff,0x00005fff,
    0x6cdfff50,0x7fe42fff,0x3fe203ff,0x7ffe44ff,0xfffd803f,0x7fffe41f,
    0x3fff2004,0xfffff73f,0xbffff507,0x0ffffec0,0x013ffff2,0x36bffff3,
    0x2af3aa3f,0x09ffff70,0x8ffffec0,0xfffffffb,0xffffffff,0x7fec00ff,
    0x7ffe41ff,0x7ffdc04f,0xffffffff,0x20ffffff,0xfffffffb,0xffffffff,
    0x7fec00ff,0x7ffe41ff,0x7ffdc04f,0xffffffff,0x20ffffff,0xfffffffb,
    0xffffffff,0x3fff20ff,0xffffc83f,0xfffffb83,0xffffffff,0x3ee0ffff,
    0xffffffff,0xffffffff,0x7ffff900,0xdffff100,0x1fffff10,0x8ffffd40,
    0x30fffffa,0x5405ffff,0x0006ffff,0x2a9ffff9,0x0005ffff,0x4dfff500,
    0x7e42fffd,0x3f206fff,0x7fe43fff,0x7fc403ff,0xfff886ff,0xff9000ff,
    0x3ffee7ff,0x3fffe05f,0xdffff106,0x1fffff10,0x9fffff80,0x3fffa1ff,
    0x9ffff71f,0x7fffec00,0xffffff72,0xffffffff,0x7c401fff,0xff886fff,
    0x3ee00fff,0xffffffff,0xffffffff,0x3ffffee0,0xffffffff,0x2200ffff,
    0xf886ffff,0x2e00ffff,0xffffffff,0xffffffff,0x3fffee0f,0xffffffff,
    0x320fffff,0xfc83ffff,0xffb83fff,0xffffffff,0x0fffffff,0x3fffffee,
    0xffffffff,0xff900fff,0xff7007ff,0x3ffa09ff,0x3fea03ff,0x3fff61ff,
    0x5ffff35f,0x3ffffcc0,0xffffd800,0x0bffff53,0x3fea0000,0x0bfff66f,
    0x0bfffff9,0x81fffff3,0x403ffffc,0xd04ffffb,0x2007ffff,0xf73ffffc,
    0x7f409fff,0xfff706ff,0x3fffa09f,0x7ffe403f,0x3fea6fff,0x3ffee6ff,
    0x3ffa004f,0xffff72ff,0xffffffff,0x401fffff,0xd04ffffb,0x5c07ffff,
    0xffffffff,0xffffffff,0x3fffee0f,0xffffffff,0x200fffff,0xd04ffffb,
    0x5c07ffff,0xffffffff,0xffffffff,0x3fffee0f,0xffffffff,0x320fffff,
    0xfc83ffff,0xffb83fff,0x5c0004ff,0x0004ffff,0x0fffff20,0x07ffffa0,
    0x037fffdc,0x443ffff5,0xf9afffff,0x7fc02fff,0xe8000fff,0xff51ffff,
    0x00000bff,0xfd9bffea,0x7ffe42ff,0xfcbcefff,0xfc84ffff,0x7f403fff,
    0xff701fff,0x3f200dff,0xfff73fff,0x7fff407f,0x3ffffd07,0x1bfffee0,
    0xffffff30,0xfffffd9d,0x27fffdc7,0x3fffff00,0x013fffee,0xffffd000,
    0x3fffee03,0x3fffee06,0x7fdc0004,0x400004ff,0x701ffffe,0x5c0dffff,
    0x0004ffff,0x027fffdc,0x3ffff200,0x3ffffc83,0x04ffffb8,0x7fffdc00,
    0x3f200004,0x7cc03fff,0xeeeeffff,0xfffffeee,0x3ffff501,0xaeffffb8,
    0x7402ffff,0x4002ffff,0x50fffff8,0x000bffff,0x9bffea00,0x7e42fffd,
    0xffffffff,0x80ffffff,0x203ffffc,0xeefffff9,0xfffeeeee,0xffc801ff,
    0xffff73ff,0x3ffff405,0x77ffffcc,0xffeeeeee,0x7dc01fff,0xffffffff,
    0x7fdc5fff,0x3fe004ff,0xfff70fff,0x4c00009f,0xeeefffff,0xffffeeee,
    0xffff701f,0xffb80009,0x200004ff,0xeefffff9,0xfffeeeee,0xfff701ff,
    0xfb80009f,0x40004fff,0xc83ffffc,0xfb83ffff,0x40004fff,0x004ffffb,
    0x3ffff200,0x7fffe403,0xffffffff,0x504fffff,0xfd03ffff,0xffffdfff,
    0xffffd805,0x7ffe4006,0x3fffea7f,0xf5000005,0x7ffecdff,0x4ffffe42,
    0xfffffffe,0xffff900e,0x7fffe407,0xffffffff,0x804fffff,0xf73ffffc,
    0x7f403fff,0xfffc87ff,0xffffffff,0x04ffffff,0xffffffb8,0x5c0effff,
    0x1004ffff,0x7dcfffff,0x00004fff,0x3ffffff2,0xffffffff,0xff704fff,
    0xb80009ff,0x0004ffff,0x3fffff20,0xffffffff,0xf704ffff,0x80009fff,
    0x004ffffb,0x1ffffe40,0x41ffffe4,0x004ffffb,0x27fffdc0,0xfff90000,
    0xffff807f,0xffffffff,0x0fffffff,0x81ffffa8,0xfffffff9,0x7fd402ff,
    0xf1003fff,0x7d49ffff,0x00005fff,0x6cdfff50,0x7fe42fff,0xffff90ff,
    0xfffc809f,0x3fffe03f,0xffffffff,0x0fffffff,0x9ffffe40,0x201ffffb,
    0xff87fffe,0xffffffff,0xffffffff,0xffe9800f,0x702effff,0x2009ffff,
    0x2e5ffffb,0x0004ffff,0x3fffffe0,0xffffffff,0xb80fffff,0x0004ffff,
    0x027fffdc,0xfffff000,0xffffffff,0x01ffffff,0x009ffff7,0x4ffffb80,
    0x7ffe4000,0xffffc83f,0x4ffffb83,0x7ffdc000,0x3200004f,0x2a03ffff,
    0xffffffff,0xffffffff,0xffa83fff,0xfffb01ff,0x005fffff,0x07fffffb,
    0xfffffe98,0x17fffea0,0x7fd40000,0x0bfff66f,0x981ffff9,0xfff9000a,
    0x3ffea07f,0xffffffff,0xffffffff,0x7fffe403,0x03ffff73,0x2a3ffff4,
    0xffffffff,0xffffffff,0xfd003fff,0xb8013557,0x8804ffff,0x2e3fffff,
    0x0004ffff,0xffffff50,0xffffffff,0x707fffff,0x0009ffff,0x04ffffb8,
    0xffff5000,0xffffffff,0x7fffffff,0x09ffff70,0xffffb800,0x7fe40004,
    0xfffc83ff,0xffffb83f,0x7fdc0004,0x200004ff,0x203ffffc,0xaacffffd,
    0xcaaaaaaa,0xfa86ffff,0xff101fff,0x05ffffff,0xffffff10,0x7fdcc15b,
    0x7d42ffff,0x00005fff,0x6cdfff50,0x7fe42fff,0x640000ff,0xfb03ffff,
    0x55559fff,0xff955555,0xffc80dff,0xffff73ff,0x3ffff403,0x2b3ffff6,
    0xaaaaaaaa,0x806ffffc,0xfb8007f9,0x64404fff,0x7dc6ffff,0x00004fff,
    0x559ffffb,0x95555555,0xf70dffff,0x80009fff,0x004ffffb,0x9ffffb00,
    0x55555555,0x0dffff95,0x009ffff7,0x4ffffb80,0x7ffe4000,0xffffc83f,
    0xcffffb83,0x99999999,0xf7099999,0x33339fff,0x33333333,0xffff9013,
    0x3fffe207,0x3ffe2007,0x7ffd41ff,0x3ffee01f,0x7002ffff,0xffffffff,
    0xffffffff,0xffff50bf,0x3333333b,0x20033333,0x3f66fffa,0x7ffe42ff,
    0x7e40000f,0xff883fff,0x3e2007ff,0x3201ffff,0xff73ffff,0x7ff403ff,
    0x3fffe27f,0x3ffe2007,0x2fdc01ff,0x7fffdc00,0xba99999c,0x41ffffff,
    0x99cffffb,0x99999999,0x3fe20999,0x3e2007ff,0x7dc1ffff,0x9999cfff,
    0x99999999,0x9ffff709,0x33333333,0x44133333,0x2007ffff,0x41fffff8,
    0x99cffffb,0x99999999,0xfff70999,0x3333339f,0x13333333,0x20fffff2,
    0xb83ffffc,0xffffffff,0xffffffff,0xffff73ff,0xffffffff,0x07ffffff,
    0x207ffff9,0x004ffffc,0x227fffec,0x401ffffa,0x2ffffffe,0x3fffee00,
    0xffffffff,0xfa80cfff,0xffffffff,0xffffffff,0x6fffa801,0xf90bfff6,
    0x80001fff,0xc83ffffc,0x4004ffff,0x204ffffd,0xf73ffffc,0x7f403fff,
    0x3fff27ff,0x7fec004f,0x1fec04ff,0x7fffdc00,0xffffffff,0xb84fffff,
    0xffffffff,0xffffffff,0x3fff23ff,0x7fec004f,0x7ffdc4ff,0xffffffff,
    0x3fffffff,0xfffffff7,0xffffffff,0x7fe47fff,0x7ec004ff,0x7fdc4fff,
    0xffffffff,0xffffffff,0xffffff73,0xffffffff,0x3f27ffff,0xffc83fff,
    0xfffb83ff,0xffffffff,0x3fffffff,0xfffffff7,0xffffffff,0xff907fff,
    0x3ffe07ff,0x7d4001ff,0x3ea0ffff,0x7cc01fff,0x002fffff,0x7fffff44,
    0x2fffffff,0x3ffffea0,0xffffffff,0xa801ffff,0x3ff66fff,0x7fffe42f,
    0x7fe40000,0xffff83ff,0x7fd4001f,0xff900fff,0x3ffee7ff,0x3fffa01f,
    0x07ffffe7,0xfffff500,0x003fe201,0x3ffffee0,0xffffffff,0xfb80dfff,
    0xffffffff,0xffffffff,0x3ffffe3f,0x7ffd4001,0x3ffee0ff,0xffffffff,
    0x3fffffff,0xfffffff7,0xffffffff,0x7ffc7fff,0x7d4001ff,0x3ee0ffff,
    0xffffffff,0xffffffff,0xfffff73f,0xffffffff,0x327fffff,0xfc83ffff,
    0xffb83fff,0xffffffff,0xffffffff,0xffffff73,0xffffffff,0xf907ffff,
    0xff507fff,0x3e000dff,0x3ea3ffff,0xfc801fff,0x0002ffff,0xfffffdb7,
    0xfa8017bf,0xffffffff,0xffffffff,0x6fffa801,0xf90bfff6,0x80001fff,
    0x543ffffc,0x0006ffff,0x207fffff,0xf73ffffc,0x7f403fff,0xffff57ff,
    0x3ffe000d,0x0df503ff,0x3fffee00,0xffffffff,0x3ee02eff,0xffffffff,
    0xffffffff,0xdffff53f,0x3fffe000,0x3fffee3f,0xffffffff,0x73ffffff,
    0xffffffff,0xffffffff,0x3ffea7ff,0xfff0006f,0x7ffdc7ff,0xffffffff,
    0x3fffffff,0xfffffff7,0xffffffff,0x3ff27fff,0xfffc83ff,0xffffb83f,
    0xffffffff,0x73ffffff,0xffffffff,0xffffffff,0xfff907ff,0xffffb07f,
    0x3ff20007,0x3ffea6ff,0xfff8801f,0x300002ff,0xfa800135,0xffffffff,
    0xffffffff,0x4eee9801,0xd707bbb2,0x80001ddd,0x6c3ffffc,0x0003ffff,
    0x20dffff9,0xf73ffffc,0x7f403fff,0xffffb7ff,0x3ff20007,0x079306ff,
    0x3fffee00,0xdeffffff,0xfffb802c,0xffffffff,0x3fffffff,0x007ffffb,
    0x9bffff20,0xfffffffb,0xffffffff,0xfff73fff,0xffffffff,0x7fffffff,
    0x00fffff6,0x37fffe40,0xfffffff7,0xffffffff,0x3fee7fff,0xffffffff,
    0xffffffff,0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40bca800,0xa80005e9,0xaaaaaaaa,
    0xcc80002a,0x0e66544c,0xbec98000,0x00000000,0x2a600000,0x08000009,
    0x554c0000,0x020001aa,0x00554400,0x0006aa60,0x00055544,0x13553300,
    0x55530000,0x2aaa8005,0x2005554c,0x5541aaa8,0x9a88002a,0x50000000,
    0x006a6035,0x26555550,0x3000aaaa,0x00135755,0x00353100,0x55555000,
    0x82666201,0x999882a8,0xfffe8009,0x06fdabdf,0x7fffc400,0x06ffffff,
    0x47fff800,0x0002fffd,0x06ffff98,0x4d4c0000,0x70026c00,0xffffffdb,
    0x4c00019b,0x80003efd,0x00effff8,0x03efd980,0xdffffd10,0x5fff1003,
    0xffffa800,0x30003fff,0xfffffff9,0x320005bf,0x64007fff,0xfff32fff,
    0x3fffa00b,0x005fff70,0x3fffff62,0xffff30ce,0xffffffff,0xdf905fff,
    0x9800ffe0,0xffb2ffff,0xfff700bf,0x05bfffff,0xfffedb80,0x0000deff,
    0x027fffd4,0x3f2bfffb,0x3fee5fff,0x7fcc02ff,0xffffffff,0x7fc40005,
    0xffffffff,0xfff80006,0x017ffec7,0xfc8fe400,0x36e00002,0xeffffffe,
    0x202ffe43,0xffffffd8,0x02efffff,0x5fdbfd00,0xfffb8000,0xff88000e,
    0x7c401ffd,0x1fffffff,0x0037fe40,0xffffffb1,0x2001bfff,0xffffffd8,
    0x1effffff,0x3fffe400,0x4ffff400,0x1000effe,0xfff3bfff,0x3ffea00b,
    0x9fffffff,0xfffffff9,0xffffffff,0x31cffa82,0x6c003ff9,0xfff33fff,
    0xfffe880d,0xffffffff,0xfffd8803,0xffffffff,0x3ff60003,0x7ffec05f,
    0x4fffffad,0x00bfffee,0xff953df9,0x80001dff,0xeeeeeee8,0x80005eee,
    0x7fec7fff,0x7e80002f,0x200013e6,0xffffffd8,0xcbffffff,0x3ee04fff,
    0xffffffff,0x0cffffff,0x6f8fea00,0x7fffc000,0x25f70000,0x7fec05f8,
    0x05fffbbf,0x800bffe2,0xfffffffe,0x9806ffff,0xffffffff,0xffffffff,
    0x3fff2001,0xfff88007,0x4001ffff,0xeffffffb,0xffffc800,0xffffffff,
    0xfffffffc,0xffffffff,0xfffffb02,0x7c4009ff,0x3fff64ff,0x7fffec00,
    0xffffffff,0x3ffea01f,0xffffffff,0x4000efff,0xd805fff9,0xffffffff,
    0x3ffee1ff,0x4165c02f,0x000002ba,0x99000000,0x1ccca899,0x9bfb8000,
    0x5c0001fd,0xffffffff,0xffffffff,0x3fee05ff,0xffffffff,0x5fffffff,
    0x6e8bee00,0x3ffea000,0x87ee0001,0x3ffe206f,0x403fff24,0x2a006ffc,
    0xb9dfffff,0x203fffff,0xfffffff9,0xffffffff,0xf9001fff,0x2e000fff,
    0x004fffff,0x3fffffb0,0xfffff300,0xffffffff,0xffffffff,0xffffffff,
    0x3fff6205,0x7e4004ff,0x07ffe65f,0x39ffff10,0x3ffff261,0xfffff505,
    0xffffffff,0xd800bfff,0xffb006ff,0xffdfffff,0x02ffffb8,0x00000000,
    0x00000000,0x3ee00000,0x0001ffff,0x3fffffee,0xffffffff,0x2206ffff,
    0xadffffff,0x3fffee60,0xdf1002ff,0x40007fb7,0x40001ccb,0x02fdbef8,
    0xfa8bffe6,0xfff882ff,0x3fffa002,0x7fffd80f,0xfffffd10,0x7f65435d,
    0x1005ffff,0x40003333,0x0004cccb,0x00f33322,0x5ffffff4,0x3ffff261,
    0x9999afff,0x00999999,0x00055d44,0x99506664,0xffff5005,0x0b37fa01,
    0x5ffffff4,0x3ffff6a1,0x332002ff,0xfffb000c,0x30a619ff,0x40039999,
    0x01fffffb,0xfffb8000,0xfd8001ff,0x2000ffff,0x00fffffd,0x3fffffa0,
    0xfff10004,0x4c139fff,0x3ffffffb,0x3fffff60,0x7fff4c02,0x3fee006f,
    0x000000df,0x3ffee000,0x0fffd405,0xf907fff5,0x7fd400df,0xfff505ff,
    0xffff907f,0xfffd007f,0x000001ff,0x00000000,0xfffff500,0x7fffd403,
    0x000000ff,0x00000000,0x03bffff5,0x3fffee00,0x3ffe601e,0x000005ff,
    0x037fffec,0x7ff40000,0x00004fff,0x4fffffe8,0xffff8800,0xfff5005f,
    0x7cc005ff,0x00ffffff,0xfffffd80,0x7fffcc02,0xffff507f,0x3fe2005f,
    0x54004fff,0xb9880000,0x0026409a,0x3fee002a,0x0fffe61f,0x4005fff1,
    0x102ffffb,0xf889ffff,0x3003ffff,0x007fffff,0x00015551,0x00055544,
    0x13575530,0x4ffffe80,0xfffffd80,0x2a200000,0x980000aa,0x3e2001aa,
    0xbdffffff,0xffff8800,0xfffc801f,0x554c00ff,0xfd8009ab,0x93003fff,
    0x7fcc0019,0x000fffff,0x3fffe600,0xb8000fff,0x802fffff,0x005ffffe,
    0x7fffffe4,0x7fd4003f,0x74402fff,0x83ffffff,0x006ffffd,0x03ffffe4,
    0x0d55d4c4,0x7fffdc00,0xffbadfff,0x00666623,0x3ea13331,0x3ffea2ff,
    0x0037fe42,0x333ffff2,0xfffccccc,0x7fffdc5f,0x55edc006,0x7fffd400,
    0x2a003fff,0x3fffffff,0x3fffee00,0x882dffff,0x800fffff,0x00fffff9,
    0xffffa800,0x22003fff,0xffffffdb,0xfffe800d,0xceffffff,0xbffff900,
    0x2b3be200,0x3fffee00,0x202dffff,0x002ffffd,0x64005ff7,0x3fffffff,
    0x3ff20000,0x003fffff,0x0dffffd0,0x0fffffb8,0x7ffffc00,0x6c006fff,
    0x4406ffff,0xfffffffe,0x2ffffe86,0x7fffc400,0xfffb500f,0x009fffff,
    0xffffffb1,0x1dffffff,0x007fffe4,0x3e6dfffd,0x3ffee3ff,0x00bffe21,
    0xffffffd0,0xffffffff,0xffffe8df,0xb1000003,0xffffffff,0x7ec401bf,
    0xffffffff,0x3ffa200d,0xffffffff,0x7fffcc3f,0x3fffa005,0x3620000f,
    0xffffffff,0x7fcc00df,0xffffffff,0x7ff4403f,0xffffffff,0x7ffec0cf,
    0x4400002f,0xfffffffe,0xfb03ffff,0x32003fff,0x3fe003ff,0x06ffffff,
    0x3fffe000,0x0006ffff,0x07fffff3,0x0fffffe2,0xfffff500,0x4003ffff,
    0x401ffffe,0xfffbfffd,0x7fffc0ff,0xffe8000f,0xfffb81ff,0xffffffff,
    0x3fffe205,0xffffffff,0x7ffe40ff,0x3fffa00f,0x267bffa6,0x7fe46ffe,
    0xfffe8006,0xffffffff,0x7fc6ffff,0x00001fff,0xffffffd0,0x40dfffff,
    0xfffffffe,0x3606ffff,0xffffffff,0x2a1fffff,0x2004ffff,0x99affffd,
    0x09999999,0xffffffe8,0x206fffff,0xfffffff9,0x04ffffff,0x7ffff5c4,
    0x45ffffff,0x000ffffe,0x7fffec00,0xffffffff,0xffffd81f,0x09ffb000,
    0x3ffffea0,0x0001ffff,0xffffffa8,0x90001fff,0xb01fffff,0x000dffff,
    0xff7ffffb,0x7fc009ff,0x3f600fff,0xfffff3ff,0x3ffffc45,0xffffd800,
    0x7ffffcc2,0xffffffff,0xdffffb04,0xffffb537,0xffffc87f,0x9bfffa00,
    0xfffffffa,0x0bffe22f,0x3ffff600,0xaaaaaaab,0x3fe22aaa,0x00000fff,
    0xdfffffa8,0x3fffffb9,0xdfffffa8,0x3fffffb9,0x9cffff88,0xbffff930,
    0x027fffdc,0xffffffb0,0xffffffff,0xfffffa85,0xfffffb9d,0xfffff883,
    0xfffebbcf,0xd73002ff,0xffffffff,0x03ffffc5,0x3ffe2000,0xff9309cf,
    0xfffb0bff,0x3ffa001f,0xffffb004,0x009ffff7,0x7ffffb00,0x0009ffff,
    0x22fffff4,0x01fffff9,0x6ffffc40,0x00fffff8,0x07ffff98,0xfd93fff2,
    0x3fea3fff,0xf90006ff,0xffd89fff,0xfdb9acff,0xffb87fff,0xffe885ff,
    0x3ff20fff,0x3ffa00ff,0x7fffdc6f,0x37fe43ff,0xffffc800,0xfff30001,
    0xaaaa80ff,0x42aaaaaa,0xd80ffffe,0xffe87fff,0xfffd80ff,0x0ffffa87,
    0x6459bfd0,0x2003ffff,0xfffffffc,0x2fffffff,0x407ffff4,0xfb87fffd,
    0xfb80efff,0x4000efff,0xfffffca8,0x0fffff14,0xfffa8000,0x59bfd00f,
    0x01ffffb0,0x2017ffe0,0xf8dffff8,0x0000ffff,0x237fffe2,0x000fffff,
    0x3fffff50,0x027ffff4,0x97fffdc0,0x803ffffc,0x706ffffa,0xffc8bfff,
    0x3ffee4ff,0xff70005f,0x7fec4bff,0xffffd05f,0x0fffff81,0xffffffd8,
    0x03ffff23,0x986fffe8,0x7c41bddb,0x401102ff,0x103ffffa,0xff98357b,
    0x7ff406ff,0x7fffffff,0x417fffea,0x2a3ffffa,0xf505ffff,0xffa87fff,
    0x6c001dff,0x2003ffff,0xfffffffc,0x2fffffff,0x417fffea,0x6c3ffffa,
    0x3601ffff,0x54c3ffff,0x3fe605dc,0xffff34ff,0xfa80000d,0x0001dfff,
    0x001ffffb,0x2e01bffe,0xff92ffff,0x5c0007ff,0xff92ffff,0x6c0007ff,
    0xff56ffff,0x3a000dff,0x3fe67fff,0xffb806ff,0xfffa85ff,0x5ffffb86,
    0x01bfffea,0x27fffe40,0xff900a88,0x7ffc41ff,0xfcffc84f,0x3ff25fff,
    0x3ffa00ff,0xff90006f,0xffffd88d,0x3fffff04,0x47ffffb0,0x407ffff9,
    0xfffffffe,0x3ffee7ff,0xffff102f,0x17fffdc9,0x44ffff88,0xfffffff8,
    0x7fe400bd,0x3f2004ff,0xffffffff,0x2e2fffff,0xf102ffff,0xfff89fff,
    0x7ffcc05f,0x7ffff44f,0x7ffff503,0x01ffffe6,0xffff1000,0x0017bfff,
    0x003ffff6,0x201fffe2,0x3e67fffe,0x20006fff,0x3e67fffe,0x20006fff,
    0xfbfffff8,0x8002ffff,0x744ffff9,0x5401ffff,0x7cc6ffff,0xffc80eff,
    0x3ffe24ff,0xffb0007f,0xb98005ff,0x261ffffe,0x7dc2ffff,0x4dfffd5f,
    0x200ffffc,0x8006fffe,0x3e22fff8,0x86ffffff,0xadfffffb,0x0fffffda,
    0x03ffffe2,0xffffffe8,0x3ff27fff,0xccccccff,0x325ffffc,0xccccffff,
    0x5ffffccc,0xffffffe8,0xb80cefff,0x2004ffff,0x000ffffd,0xccffffc8,
    0xfffccccc,0x3fffe65f,0x6ffff803,0x67ffffdc,0xfffeb98a,0xfffff11f,
    0xffd00000,0xdfffffff,0x7ffec019,0xfff9800f,0x7fffcc07,0x0fffff44,
    0x7fffcc00,0x0fffff44,0xffff7000,0x00bfffff,0x07ffff60,0x809ffff9,
    0x267ffff9,0xfb00ffff,0xfff87fff,0xfe8000ff,0x5cc01fff,0xfffffffd,
    0x3fffee0f,0xfd9bfea1,0xfff90fff,0x7fff401f,0x6ffc8006,0x7f6fffec,
    0x7fec43ff,0xffffffff,0xffff82ff,0x3bbb201f,0x27ffffee,0xfffffffe,
    0xffffffff,0x3fffffa6,0xffffffff,0xffe886ff,0xffffffff,0x3ffea0cf,
    0x3ffa005f,0xfe8000ff,0xffffffff,0x26ffffff,0x802ffffb,0xfd87fffe,
    0xffffffff,0x7fc3ffff,0x00000fff,0x7fffff44,0x0cffffff,0x00ffffd8,
    0x00ffffa8,0x907ffff6,0x0009ffff,0xc83ffffb,0x0004ffff,0x7ffffff4,
    0xf88000ff,0xff886fff,0x3e200fff,0xfe89ffff,0x3ffa01ff,0x7fff41ff,
    0xf103101f,0x9101ffff,0xffffffff,0x7d41ffff,0xdff32fff,0x87fffe41,
    0x201ffffc,0x4006ffff,0x3e62fff8,0x1fffa3ff,0x7fffffe4,0xfb02ffff,
    0xf0009fff,0x7ff4ffff,0xffffffff,0x3a6fffff,0xffffffff,0x6fffffff,
    0xffffd710,0x4bffffff,0x006ffff9,0x003ffffe,0x3fffffa0,0xffffffff,
    0x3ffee6ff,0xffff802f,0xfffffb07,0x09ffffff,0x005ffffb,0x7100e76c,
    0xfffffffd,0xffb0bfff,0xff5001ff,0x3fe203ff,0xfff886ff,0x3e2000ff,
    0xff886fff,0x20000fff,0xfffffff9,0xfff70003,0x3fffa09f,0x7fffc03f,
    0x02fffebf,0x03ffffe2,0x20dffffb,0x3ff20dfc,0xffe987ff,0xfdbeffff,
    0x3fe60fff,0x0fff8bff,0xf937ffec,0x7fc03fff,0x7e4006ff,0x0fffd46f,
    0x2a01fff7,0xcffffffd,0x3fffea01,0x7ffc000f,0x3ffff67f,0xaaaaaaab,
    0x3ff62aaa,0xaaaaabff,0x802aaaaa,0xfffffeb9,0xfff12fff,0xff5003ff,
    0xb0001fff,0x5557ffff,0x55555555,0x01ffffd4,0x302ffffc,0xfffffffb,
    0x3fff203b,0xfff1005f,0xeb9803ff,0xffffffff,0x07fffec2,0x17fffdc0,
    0x04ffffb8,0x007ffffd,0x827fffdc,0x003ffffe,0x7ffffdc0,0x3ffa0006,
    0xfff701ff,0xfffd80df,0x402fffff,0xa87ffffb,0x442fffff,0xff9cffff,
    0x7fc44fff,0x2e0adfff,0x3e20ffff,0x1ffedfff,0x325ffff8,0x3e01ffff,
    0x22006fff,0x7fdc2fff,0x07ffee0f,0x0027ff20,0x13ffffe2,0x4fffff00,
    0x001ffffc,0x03ffff90,0x65440000,0x3a4fffff,0xd805ffff,0x000fffff,
    0x01ffffc8,0xbffff300,0x4ffff980,0x19ffd500,0xfffff980,0xffffb801,
    0x7e544006,0xcb84ffff,0xffc802cc,0xfffd03ff,0x3ffee03f,0x3ffa006f,
    0xfff701ff,0xff0000df,0x20003fff,0xeefffff9,0xfffeeeee,0x3fe601ff,
    0x403fffff,0x04fffff8,0x43fffffb,0xffffffe9,0x7d40ffff,0xff904fff,
    0xfffe81ff,0xffb82fff,0x3fff23ff,0xffff101f,0x37fe400d,0xf707ffe4,
    0xdfb005ff,0xffffc800,0xffd9804f,0x3ffea7ff,0x357b103f,0x03ffffa8,
    0x530357b1,0x7fcc0bb9,0x3ffea4ff,0x3ff202ff,0x8000ffff,0x103ffffa,
    0xfff0357b,0x7ff403ff,0xffb002ff,0xfc80bfff,0x2a01efff,0x4c3fffff,
    0x3e605dca,0xffd84fff,0x3f201fff,0xff983fff,0xeeeeefff,0x1fffffee,
    0xfffff980,0xfeeeeeee,0x0001ffff,0x007ffff4,0xfffffc80,0xffffffff,
    0x6c04ffff,0x405fffff,0x0effffe8,0xffffff10,0x7fff5417,0xfc83ffff,
    0xffb00fff,0xfffa81ff,0xfffa84ff,0x7fffd46f,0xdffff502,0x0bffe200,
    0xfb83ffee,0x6ff801ff,0xffffe800,0x32a20aef,0x47ffffff,0xd81fffff,
    0x7fc3ffff,0xffd81fff,0x7fff43ff,0xffff503f,0xfffffe87,0xffca889c,
    0x99afffff,0x99999999,0x07ffffe0,0x90fffff6,0x903dffff,0x400dffff,
    0x1fffa889,0x3ffffe20,0xffd711bf,0xfe81ffff,0xff503fff,0xf97307ff,
    0x7fe40bff,0xfffc83ff,0xffffffff,0x04ffffff,0xffffffc8,0xffffffff,
    0x40004fff,0x000ffffe,0xfffffff0,0xffffffff,0x4c01ffff,0x03ffffff,
    0x5ffffff5,0xfffffc80,0xffffefff,0xf906ffff,0xff507fff,0xffb03fff,
    0xfb77bfff,0xf983ffff,0xff886fff,0xf9006fff,0x3ffea0df,0x003fff21,
    0x30007ffe,0xffffffff,0xffffffff,0xffb8dfff,0xfdaadfff,0x7dc0ffff,
    0xdaadffff,0x5c0fffff,0x8acfffff,0x1ffffeb9,0x7fffffcc,0xffffffff,
    0xffffffff,0x6fffffff,0x37ffffee,0xfffffdaa,0x7ffffc40,0xfffeccdf,
    0x360001ff,0x7fdc03ff,0xffffffff,0x82ffffff,0xacfffffb,0xffffeb98,
    0x03ffdc01,0xf07ffff9,0xffffffff,0xffffffff,0xfff801ff,0xffffffff,
    0xffffffff,0x3ffa0000,0xfa8000ff,0xffffffff,0xffffffff,0x3fee03ff,
    0xdeffffff,0xfffffffe,0xffff7005,0xffffffff,0x83bfffff,0x8aeffffb,
    0xffffffc9,0xfffffb81,0xffffffff,0xfffff884,0xffffcabd,0xff8806ff,
    0xbfff103f,0x401bffa2,0x2babeffc,0xffffe980,0xffffffff,0x440dffff,
    0xfffffffd,0x882fffff,0xfffffffd,0xb02fffff,0xffffffff,0x207fffff,
    0xfffffffc,0xffcfffff,0xffffffff,0x226fffff,0xfffffffd,0x302fffff,
    0xffffffff,0x007fffff,0x1fff5102,0xfffff700,0xffffffff,0x7ffec07f,
    0xffffffff,0xd31043ff,0x7fe40bff,0x7ffd43ff,0xffffffff,0xffffffff,
    0x3fffea03,0xffffffff,0x3fffffff,0x3fffa000,0xffd8000f,0xaaaaacff,
    0xfffcaaaa,0xffff506f,0xffffffff,0x19ffffff,0x7fff4400,0xffffffff,
    0x0cffffff,0xfffffff1,0xffffffff,0xfffffa85,0xffffffff,0x3ffff602,
    0xfdffffff,0xffc806ff,0x77ffe406,0x3002ffff,0x07ffffff,0x3ffff620,
    0xffffffff,0x7fe401df,0xffffffff,0x7fffe402,0x02ffffff,0x7fffffec,
    0x404fffff,0xfffffffa,0xfff99fff,0xffffffff,0xfc86ffff,0xffffffff,
    0x7ff4c02f,0xffffffff,0x3fff2002,0x2004ffff,0xffffffe9,0x803fffff,
    0xfffffffd,0x7cc4ffff,0x0effffff,0x0fffff20,0x559ffffb,0x95555555,
    0x6c0dffff,0xaaacffff,0xfcaaaaaa,0x20006fff,0x000ffffe,0x03ffffc4,
    0x3fffff10,0xebffff98,0xffffffff,0x0002ffff,0x3ffffb6e,0xfffcbdef,
    0x3fea2fff,0x9effffff,0x3e25ffff,0xfffea9ff,0x4400dfff,0xfffffffe,
    0x06fffc8e,0x201fffc4,0xffffffe8,0x7ffdc005,0x644002ef,0xefffffff,
    0x36a001bc,0x1cffffff,0xffffb500,0x260039ff,0xfffffffd,0xffb1001d,
    0x263bffff,0xffffffff,0x6fffffff,0xfffffb50,0x6540039f,0x0ceffffe,
    0x7fffdc00,0xb70002df,0x7fffffff,0x7fecc001,0x81dfffff,0xbefffff9,
    0x7fffe400,0x1ffffe23,0xfffff880,0x7ffff881,0x3fffe200,0xffd0001f,
    0xfc8001ff,0x6c004fff,0x7e44ffff,0x3ffaa1ff,0x0cdfffff,0x4d4c0000,
    0x6fffe980,0xfffffe98,0x83ffff24,0x4d4c41fa,0x7fec4000,0xff90ceff,
    0x6ffc80df,0x37bf6e00,0x13310002,0x55310000,0x54400003,0x2200009a,
    0x200009aa,0x00019a99,0x000054c4,0x9aa88000,0x4d440000,0x00100000,
    0x13551000,0x35330000,0x0004c003,0x3ffff200,0x7ffec004,0xffffc84f,
    0x7ffec004,0xffd0004f,0xff8001ff,0x54001fff,0x5c0fffff,0x26a6202f,
    0x00000000,0x4405ff70,0x000000a9,0x01510000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7ffffc00,0x7ffd4001,0x7fffc0ff,0x7fd4001f,0xe8000fff,
    0x2000ffff,0x006ffffa,0x07fffff0,0x00000001,0x00280000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfa800000,0xf0006fff,0x7d47ffff,
    0xf0006fff,0x0007ffff,0x001ffffd,0x01ffffec,0x6ffffc80,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffb00000,
    0x320007ff,0x3f66ffff,0x90003fff,0x000dffff,0x001ffffd,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4ccc4000,0x000aa980,
    0x0009a980,0x54c06a60,0xaaa88002,0x5310002a,0x22000013,0x000009a9,
    0x2a355551,0x55302aaa,0x0000aa20,0x00004d44,0x03355530,0x5554c000,
    0x0cccc402,0x20266620,0xa8809998,0x0000001a,0x5530aaaa,0x2aa60015,
    0x54c0002a,0x00001aaa,0x4c06a600,0x0d55402a,0x85555100,0x8800aaaa,
    0x55541aaa,0x5554c002,0x2a200002,0x22002aaa,0x0002aaaa,0x32355553,
    0x3ff26fff,0x2002efff,0xfffffecb,0x7dc003df,0x005fe80f,0x01ffffd8,
    0x3ffff6e0,0x8002efff,0xffffffea,0x7fe40003,0xffff98ef,0xb01ff502,
    0x3ffea0bf,0x7ff6544f,0x30002eff,0xfffffff9,0x4400019f,0x204fffff,
    0x200ffffc,0xfb86fffe,0x3fff26ff,0x64c02fff,0x801cdffe,0x7ec7fff8,
    0xff9802ff,0x20003fff,0x800ffffe,0x3defedb9,0x203fee00,0x7ff405fe,
    0x3ffe2005,0x00ffff47,0xf51fffd8,0x7c4009ff,0x0004ffff,0x03ffffb0,
    0x1ffffd80,0xefffe800,0xb1dfff90,0xffffffff,0xfffe9805,0xffffffff,
    0xbff3001e,0x00fff263,0x05ffff10,0x3ffffa20,0xefffffff,0xffffb001,
    0x00dfffff,0x43fffe20,0x2203fffd,0xff731dff,0x3fffea07,0x3fffff24,
    0x2004ffff,0xffffffe8,0x0dffffff,0xffffe800,0xfff901ff,0x7fff401f,
    0x8efffb86,0xfffffffd,0xffff704f,0x8809ffff,0x7fec7fff,0xfffe802f,
    0x98001fff,0xa801ffff,0xffffffff,0xdff9801e,0x807ff931,0x22007ffc,
    0x7ff47fff,0xffd1001f,0x00dfff3d,0xffffffd8,0x7fcc0001,0xfb0001ff,
    0xfa8009ff,0x3ff20fff,0xfffffeff,0x701fffff,0xffffffff,0x9fffffff,
    0x3ffff200,0xc8006fff,0xd3002fff,0xffffffff,0x01dfffff,0xffffffc8,
    0x004fffff,0xf11fffc8,0xff7009ff,0x40dfffff,0xe8cffffa,0xffffffff,
    0xfa802fff,0x98bdffff,0x1effffdb,0x2fffee00,0xfc80effe,0x3fa00fff,
    0xfffb86ff,0xffffffef,0x7ec1ffff,0xffffffff,0xfff100df,0x02fffd8f,
    0x7fd7ffe4,0xffd8006f,0xfffb801f,0xffffffff,0xffffc801,0xfa806fff,
    0xff1000ff,0x1fffe8ff,0x3fffe600,0x2e001fff,0xfffebfff,0x3ff20000,
    0x3a20002f,0x3a000fff,0x7fe41fff,0xc9adffff,0xb83fffff,0xffffffff,
    0xffffffff,0xfff9005f,0x88001bff,0x3a003fff,0xefffffff,0x5fffffff,
    0x57ffffc0,0x0ffffc98,0x8bffe200,0x2e006ffc,0x00dfffff,0x3fbfffea,
    0xffffffff,0x200fffff,0x801cfffb,0x801fffd9,0xff34fff9,0xffff90bf,
    0x37fff401,0x7fffffdc,0xffffb9ad,0x3fffea4f,0xffffffff,0x71333204,
    0x7d403999,0x9fff33ff,0x17ffcc00,0x7ffffcc0,0x6fffffff,0xfffff900,
    0xfff1001b,0x33322005,0x006665c4,0x3ffffee0,0x3ffe6003,0x00bfff34,
    0x00fffe20,0x13ffa200,0x40fffcc0,0x83fffffc,0x444ffffc,0xadffffff,
    0x3fffee60,0x751002ff,0x32600035,0x3fe6003c,0x2a21beff,0x01fffffe,
    0xf07ffff3,0x4c005fff,0x066642cc,0x06aea200,0x3ffffea0,0xb98adfff,
    0x03ffffff,0x0005fff3,0xb801fff7,0x666544cc,0x07fffe40,0x70dfffd0,
    0x707fffff,0x3e2bffff,0xd98cffff,0x000fffff,0x2665c000,0x4003332a,
    0xf9002cca,0x3aa19fff,0x1002ffff,0xe8003575,0x000004ff,0x33332000,
    0x2665c003,0x0003332a,0x0000b326,0x5004cc88,0x3ff20599,0xfff105ff,
    0xffffe8bf,0x7ff4c02f,0x000006ff,0xff700000,0x7fc405ff,0xff303fff,
    0xfffb09ff,0x00000007,0x3fea0000,0x2605ffff,0x886fffff,0x55551fff,
    0x3ea03355,0x2000005f,0x200ffffc,0xfb86fffe,0x3fe05fff,0xffff56ff,
    0x9ffff705,0x00000000,0x3e000000,0xffa86fff,0x000004ff,0x000dff90,
    0x00000000,0x00000000,0x00000000,0x7fffe400,0x9bfffe02,0x02fffffa,
    0x7fffff10,0x200cccc4,0x98009998,0xfd801aba,0x7e400fff,0x3fe05fff,
    0x3fe60fff,0x4cc400ff,0x4ccc4019,0x55d4c400,0x7ffd401a,0x7ec00eff,
    0xffc87fff,0x3fffffe3,0xffc84fff,0xabaa9802,0x3fff2009,0x3fffa00f,
    0x3ffffb86,0x65ffffa0,0x3fe07fff,0x33310fff,0x09998803,0x88033331,
    0x33310999,0x09998803,0x105ffb91,0x400bffff,0x54001aa9,0x30000fff,
    0x30000355,0x80003575,0x00001aa9,0x00003553,0x44006aa6,0xffc81999,
    0x3ffa01ff,0x3ffff66f,0x7ffe4006,0x3ffff27f,0x1bfffa00,0x7ffffec4,
    0xff900bff,0x9a8809ff,0x3ff60099,0xffff56ff,0xffff900d,0x37fff401,
    0xfffffda8,0xff504fff,0xf5003fff,0xff83ffff,0x7f77ffc5,0xfe83ffff,
    0x3fffee06,0xc82dffff,0x3a00ffff,0xffb86fff,0x3ffa02ff,0x0dfffb7f,
    0xc8ffffec,0x3a00ffff,0xfff96fff,0x7fff401f,0x01ffff96,0x0837fff4,
    0x05ffff50,0x7fffedc4,0xf8800dff,0xb71002ff,0x1bffffff,0x7ffec400,
    0x800bffff,0xfffffdb8,0x2e2000df,0xdffffffd,0x3f6e2000,0x00dfffff,
    0x907fffee,0x7403ffff,0x3ffe6fff,0x7c4002ff,0xff90ffff,0x7ff401ff,
    0xffffb86f,0x0effffff,0xefffffb8,0xf880000b,0xfffeffff,0xffc802ff,
    0x3ffa00ff,0xffffb86f,0x5fffffff,0x07ffffa8,0x8bffffe0,0x37fc2ffa,
    0x7dc3ffdc,0x7fff441f,0xffffffff,0x0ffffe43,0x70dffff0,0x7403ffff,
    0xfffd7fff,0x7fffe40d,0x01ffff92,0xfcb7fff4,0x3fa00fff,0xffff96ff,
    0x37fff401,0x3ffffa00,0xfffff300,0x07ffffff,0x3009ffd0,0xffffffff,
    0xf7007fff,0xffffffff,0x7fcc01df,0xffffffff,0xfff9803f,0xffffffff,
    0xffff9803,0x3fffffff,0x83ffff70,0x201ffffc,0xff36fffe,0xd0001fff,
    0x3f23ffff,0x3fa00fff,0x7ffdc6ff,0xffffffff,0x7ffc40ef,0x1befffff,
    0x3ffea000,0x02ffffff,0x01ffff90,0x2637fff4,0xffffffff,0x544fffff,
    0x2006ffff,0x363fffff,0xd06ff86f,0x3ff881ff,0x7fffffec,0x1fffffff,
    0x807ffff2,0xfb86ffff,0x3fa01fff,0xffffb7ff,0x9ffffec0,0x200ffffc,
    0xff96fffe,0x7ff401ff,0x1ffff96f,0x037fff40,0x7ffff654,0xfffff304,
    0xffffffff,0x06ffd809,0x7fffffcc,0x4fffffff,0x3ffffee0,0xefffffff,
    0xfffff980,0xffffffff,0x3fffe604,0xffffffff,0x3ffe604f,0xffffffff,
    0xfffb84ff,0x7fffe41f,0x5bfffa01,0x007ffff9,0x27ffffb0,0x200ffffc,
    0x3e26fffe,0xcaadffff,0xa83fffff,0xffffffff,0x4002dfff,0xfffffff8,
    0x3ff2001e,0x3ffa00ff,0x7fffec6f,0xfffdb9ac,0x7fffd47f,0x3fffa005,
    0x3e17fa3f,0x20dff06f,0x3ffe25fe,0xff9309cf,0x7ffe4bff,0x3fffe01f,
    0x1ffffb86,0x65ffffa0,0xf880ffff,0xff94ffff,0x7ff401ff,0x1ffff96f,
    0xcb7fff40,0x3a00ffff,0x7c406fff,0x103fffff,0x79ffffff,0x5fffffd7,
    0x807ffdc0,0xcffffff8,0xfffffebb,0xfffff882,0xffffcaad,0x7fffc43f,
    0xffebbcff,0xff882fff,0xebbcffff,0x882fffff,0xbcffffff,0x2fffffeb,
    0x20ffffdc,0x201ffffc,0xff56fffe,0x32000dff,0xff94ffff,0x7ff401ff,
    0x3ffff26f,0x7ffff983,0xffffff70,0x3dffffff,0xfffff500,0xc8003fff,
    0x3a00ffff,0x3f626fff,0xfffd05ff,0x7fffd41f,0x3fff6005,0x3e13fe3f,
    0xfebaaaef,0x54dfb03f,0xfd00ffff,0x7ffe459b,0xffff101f,0x3ffff70d,
    0xabffff40,0xfa84ffff,0xff94ffff,0x7ff401ff,0x1ffff96f,0xcb7fff40,
    0x3a00ffff,0x7cc06fff,0x2e04ffff,0xb80effff,0x300effff,0x3ee05fff,
    0xfb80efff,0x7e40efff,0xff983fff,0x7ffdc7ff,0xfffb80ef,0x7ffdc0ef,
    0xfffb80ef,0x7ffdc0ef,0xfffb80ef,0x3ffee0ef,0x7fffe41f,0x5bfffa01,
    0x005ffffb,0x2bffff70,0x200ffffc,0x3fe6fffe,0x37f606ff,0x3ffa602c,
    0xffffffff,0x3ff601ff,0xefffffff,0x3fff2000,0x3fffa00f,0x32015106,
    0x3ea0ffff,0x36004fff,0xff14ffff,0xffffff07,0x7e407fff,0x37fffea7,
    0x7ffd4001,0xffff702f,0x3ffff70d,0xd3ffff40,0x913bffff,0x2bffffff,
    0x200ffffc,0xff96fffe,0x7ff401ff,0x1ffff96f,0x037fff40,0x3fffffea,
    0xffffd82f,0x3ffff601,0x413ffe03,0x201ffffd,0x7c3ffffd,0x3f606fff,
    0x7ffec2cd,0x3fff601f,0x7fffec3f,0x3ffff601,0x0ffffec3,0x47ffffb0,
    0x641ffffb,0x3a01ffff,0xfff56fff,0x3f2000df,0xfff94fff,0x7fff401f,
    0x09ffff16,0xfeb98000,0xffffffff,0xffffd81f,0x5fffffef,0xf902b372,
    0x7f401fff,0x5cc006ff,0x2a1ffffe,0x2004ffff,0x3e4ffffc,0xfefff83f,
    0x7ec00eff,0x3ffffe26,0x4c00bdff,0xf886ffff,0xfb86ffff,0x3fa01fff,
    0x3ffe67ff,0xffffffff,0xfff95fff,0x7fff401f,0x01ffff96,0xfcb7fff4,
    0x3fa00fff,0x565406ff,0x42fffffd,0x4c05ffff,0x3604ffff,0xffff06ff,
    0xffff980b,0x13fffe24,0x5ffff800,0x27fffcc0,0x3017fffe,0xff89ffff,
    0x7fcc05ff,0x3ffee4ff,0x7fffe41f,0x5bfffa01,0x007ffff9,0x27ffffb0,
    0x200ffffc,0xff56fffe,0x000007ff,0x7fffe544,0x7fd45fff,0xfff74fff,
    0x3fffe7ff,0x07fffe45,0x80dfffd0,0xfffffdb9,0x3fea0fff,0x3f6004ff,
    0x17fa3fff,0x7fe45bfe,0xd17fa00e,0xffffffff,0xff1019df,0xfb57dfff,
    0x70dfffff,0x7403ffff,0x7fdc7fff,0xfeffffff,0xfff94fff,0x7fff401f,
    0x01ffff96,0xfcb7fff4,0x3fa00fff,0x7cc006ff,0xff30ffff,0xfff007ff,
    0x3ffdc0df,0x01ffffcc,0xf537fffc,0x20007fff,0x803ffff9,0x3e66ffff,
    0xff803fff,0x3ffe66ff,0xffff803f,0x07fffee6,0x403ffff9,0x3fe6fffe,
    0xe8000fff,0xff91ffff,0x7ffc03ff,0x5ffff76f,0x54000000,0x747ffffe,
    0x7ec3ffff,0xfffcffff,0x7fffe42f,0x1bfffe01,0x3fffff22,0x0fffffff,
    0x013fffea,0x23ffffd8,0x46ff86fd,0xff105ffc,0xffffe889,0xcfffffff,
    0x7ffffec0,0xffdfffff,0xffffb86f,0x1ffffa01,0x3fffffa6,0x93ffff9b,
    0x7c03ffff,0xfff96fff,0x7fffc03f,0x03ffff96,0x0037fffc,0xba7fffe4,
    0xe802ffff,0x3e607fff,0x7ffdc1ff,0xfffe802f,0x0bfffee7,0x7fffdc00,
    0x7fffe802,0x00bfffee,0xfb9ffffa,0xfe802fff,0x3ffee7ff,0x7fffe41f,
    0x9bfffa01,0x002ffffe,0x87ffffc4,0x201ffffc,0xff76ffff,0x220007ff,
    0xd000caa9,0x3e63ffff,0xffd07fff,0x0fffffff,0x403ffff9,0x74c6ffff,
    0xbeffffff,0x2a0ffffd,0x2004ffff,0x2e3ffffd,0x237fc1ff,0xfb81fff8,
    0xffeb881f,0xffffffff,0x7ffff445,0xffc8efff,0xffffb86f,0x1ffffa01,
    0xf50aba88,0x3ff25fff,0x3ffe01ff,0x3ffff96f,0xcb7fffc0,0x3e01ffff,
    0x98006fff,0xff75ffff,0xfff005ff,0x3fff80ff,0x017fffdc,0xf73ffffc,
    0x20007fff,0x802ffffb,0x3ee7ffff,0xff802fff,0x3ffee7ff,0xffff802f,
    0x07fffee7,0x403ffff9,0x3f66fffe,0x64006fff,0x3f27ffff,0x3fe01fff,
    0xffff56ff,0x3ff20009,0xff9003ff,0x3ffea7ff,0xffff104f,0xf909ffff,
    0x7fc03fff,0x3ffe26ff,0x3ee0adff,0x3fea0fff,0x3fa004ff,0x3fe22fff,
    0x7dc37fc5,0x806fe86f,0xfffffeb9,0x76442fff,0xf90cefff,0xfff70dff,
    0x7fff403f,0xfffb8007,0x3ffff91f,0xcb7fffc0,0x3e01ffff,0xfff96fff,
    0x7fffc03f,0x7fc40106,0xffff56ff,0xbffff007,0x545ffd80,0xf803ffff,
    0x3fea5fff,0xf50004ff,0xff007fff,0x7ffd4bff,0xffff803f,0x0ffffea5,
    0xb97fffe0,0x0001ffff,0xf537fffc,0x2007ffff,0x24fffff8,0x101ffffc,
    0x3e2dffff,0x3aa05fff,0xfff30abc,0x3ffa00df,0xffff52ff,0x7fffcc09,
    0xffc80fff,0xfff101ff,0x7fffd4df,0x1ffff904,0x027fffd4,0x83fffff0,
    0x1bfe2ffc,0xff71fff4,0xfca88007,0x2204ffff,0x006fc80a,0x001bccc8,
    0xfffe8062,0x3ffff90f,0x5bfffe20,0x101ffffc,0x3f2dffff,0xff101fff,
    0x3fbaadff,0xffff501f,0x17fffe6b,0x09ffff30,0x7cc7ffb8,0x7cc05fff,
    0x3fe24fff,0x33aa05ff,0xffff30ab,0xffff980b,0x17fffe64,0x49ffff30,
    0x405ffff9,0x2e4ffff9,0x0001ffff,0xb1bfffe2,0x807fffff,0x0fffffe9,
    0x40bfffea,0x3e6ffffa,0xfd00ffff,0x7ffc3fff,0x7fd404ff,0x3ffe67ff,
    0x3ff600ff,0xfa81ffff,0xff502fff,0x7ffe4dff,0xffffb00f,0x27fffd41,
    0x7ffff980,0x990fff88,0x4cf32a07,0xdca986ff,0x3fffe605,0x0bfb0004,
    0xdfffff00,0x3fffa601,0x4ffff983,0x40bfffea,0xf56ffffa,0x3ea05fff,
    0xfff56fff,0x3ffea05f,0xbffff56f,0x8fffff60,0x201fffff,0x402ffffe,
    0x7fc1fff9,0x3fa01fff,0x7ffc2fff,0xfffd00ff,0x7ffffc3f,0x3ffffa01,
    0x0fffffc2,0x85ffffd0,0x201fffff,0x2e2ffffe,0x8001ffff,0x5ffffd99,
    0x7fffffc4,0x3fee60ad,0x7cc2ffff,0xff886fff,0x3ff26fff,0x7fd40dff,
    0x7ffec6ff,0xffb80dff,0x7ffc5fff,0x7ec40cff,0x3fffffff,0x437fffcc,
    0x26fffff8,0xa83ffffc,0x2a1fffff,0x1504ffff,0x1bffffa2,0x000f7fd4,
    0x7407ffd4,0xf503ffff,0x20007fff,0xba8006ff,0x3e04fffd,0x3a20ffff,
    0x3e60ffff,0xff886fff,0xfff36fff,0xffff10df,0x3fffe6df,0xfffff886,
    0x5fffff16,0x1fffffb8,0x07bffff2,0x01bffff2,0x3f21fffc,0xfc81efff,
    0xffc86fff,0x7fd40dff,0x7ffe46ff,0xfffc81ef,0xffffc86f,0xffffc81e,
    0xeffffc86,0x6ffffc81,0x00ffffdc,0x3ffffe20,0xfffb84ff,0xffffffff,
    0x85ffffff,0xbdfffff8,0xffffffca,0x3ffffe26,0xffffeccf,0x7fffc43f,
    0xfffeffff,0x5c3fffff,0xcdffffff,0xfffffffd,0xf10dffff,0x957bffff,
    0x4dffffff,0x8aeffffb,0xffffffc9,0x13fffea1,0x3fffbfee,0x3f202fff,
    0xf91003ff,0x3fee05ff,0xb98acfff,0x001ffffe,0x0001fff0,0xfb02ffec,
    0xff9bffff,0xff88bfff,0xfcabdfff,0xf16fffff,0x957bffff,0x2dffffff,
    0xbdfffff8,0xffffffca,0x3fffff26,0xffffffcf,0x7ffffc44,0xfffeccdf,
    0xffd001ff,0xfffff88b,0xfffeccdf,0xfff881ff,0xffeccfff,0x7fc43fff,
    0xeccdffff,0x881fffff,0xcdffffff,0x1fffffec,0xffffff88,0xffffeccd,
    0x7fffdc1f,0x7ffd4001,0xf701ffff,0xffffffff,0x19ffffff,0x3fffff60,
    0xffdfffff,0x7fffdc6f,0xffffffff,0xfffff305,0xffffffff,0x3ffa07ff,
    0xffffffff,0xffffffff,0x3fff61ff,0xdfffffff,0x3fe26fff,0xffffffff,
    0x2a2fffff,0xfe84ffff,0x5fffffff,0xcffffb80,0x3ff26209,0x7fec01ff,
    0xffffffff,0x20003fff,0x2babeffe,0x3fea2088,0x3ffe203f,0xffffffff,
    0xffffd80e,0xfdffffff,0x3fff66ff,0xdfffffff,0x3ff66fff,0xffffffff,
    0x7f46fffd,0xffffffff,0xfff306ff,0xffffffff,0x7e4007ff,0xffff987f,
    0xffffffff,0x3ffee03f,0xffffffff,0xffff305f,0xffffffff,0x7ffcc07f,
    0xffffffff,0x3fe603ff,0xffffffff,0xffb83fff,0x7e4001ff,0x404fffff,
    0xffffffe8,0x02ffffff,0x7fffff44,0xfffc8eff,0xfffffa86,0x00efffff,
    0x3fffffaa,0x1fffffff,0x7ffffe40,0x53ffffff,0xe887ffff,0xefffffff,
    0x546fffc8,0xffffffff,0x25ffff9e,0x4c4ffffa,0xffffffff,0xffd3000f,
    0xffffffff,0x36001bff,0xffffffff,0x40004fff,0x3ffffffb,0xffffffb8,
    0xfffa805f,0x0dffffff,0xfffffd10,0xfff91dff,0x7ffff44d,0xffc8efff,
    0x3fffa26f,0xfc8effff,0x7ff446ff,0xdfffffff,0x3fffa600,0x2fffffff,
    0x0fffd400,0x7fffff4c,0x802fffff,0xfffffffa,0x2600efff,0xfffffffe,
    0xe9802fff,0xffffffff,0xfe9802ff,0xffffffff,0xffff702f,0xfffd8003,
    0x36e004ef,0xdffffffe,0xffb1000b,0x3f219dff,0xffb106ff,0x005dffff,
    0x7fffffd4,0x3000dfff,0xfffffffb,0x04fd881b,0x9dffffb1,0x21bfff21,
    0x4fffffe9,0x543ffff2,0x6cc4ffff,0x1dffffff,0xfffda800,0x01cfffff,
    0xffffd980,0x0001dfff,0x5dfffd70,0xdfffff70,0x7fecc005,0x8803efff,
    0x0ceffffd,0xd88dfff9,0x90ceffff,0xfd88dfff,0xf90cefff,0x3fea0dff,
    0x002effff,0x3ffffb2a,0xf88000ce,0x3b2a03ff,0x00ceffff,0x3ffff620,
    0x2a002eff,0xceffffec,0x7f654000,0x000cefff,0x7ffff654,0x3fee00ce,
    0x988001ff,0xa980000a,0xa8800009,0x53100000,0x99800013,0x400019aa,
    0x28009a98,0x00015100,0x0000a988,0x26aa6200,0xa9880000,0x00009acc,
    0x00335330,0x004c4000,0x440000c4,0x220001a9,0x5440000a,0x05440000,
    0x4d4c4000,0x4d440000,0xaaa80000,0x01351001,0x13531000,0x09a88000,
    0x13510000,0x26a20000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x26000000,0x40002aaa,0x54c01aaa,0x0cccc40a,0x53000000,0x00000555,
    0x85555100,0x2000aaaa,0x0002aaa9,0x01aaaa98,0x01aaaa98,0x35753000,
    0x80000000,0x01aaba98,0x4c2aaa80,0x54c01aaa,0x40002aaa,0x0002aaa9,
    0x02aaaa88,0x02aaaa88,0x4d54c400,0x33331000,0x13333001,0xaaaa8000,
    0x3000000a,0x00033555,0x40009988,0x4c400198,0x0cc40009,0x98555500,
    0x32000aaa,0x0000ffff,0x2e07fff1,0x53ffffff,0x5c01ffff,0x003defed,
    0x27ffffc4,0x3ffb2200,0x7c400cef,0x7fff47ff,0xffff3001,0xfe80007f,
    0xe8800eff,0x0000ffff,0xffffffb1,0x2e20017f,0x003effec,0xffffffb5,
    0x7fc009ff,0x3fff20ff,0xffffd803,0xfff10000,0xd80009ff,0xb001ffff,
    0x0003ffff,0xffffffb5,0xfffb803b,0x7ffcc03f,0x3e20004f,0x00005fff,
    0x7ffffe4c,0x8000cfff,0x74003ffd,0x7fec006f,0x037f4003,0x225fff70,
    0x64005fff,0x0000ffff,0xd883fff5,0xffffffff,0x80ffffab,0xffffffd8,
    0xffd000ef,0x2003ffff,0xfffffffc,0x3fe204ff,0x0ffff47f,0x7ffff440,
    0xf50000ff,0x44001fff,0x8003fffe,0xfffffffb,0x4c00efff,0xfffffffe,
    0x3ffee01e,0xffffffff,0x1ffff005,0x401fffe4,0x004fffe8,0xffffffb0,
    0x3fe60005,0x7ec001ff,0x7d4005ff,0xffffffff,0x3ffe202f,0x7ffe406f,
    0x3f20001f,0x200006ff,0xffffffd8,0x0dffffff,0x3fffc880,0x007fea00,
    0x01fffe44,0x8003ff50,0xffe9fffd,0x7fe4000f,0xf90000ff,0xffffb0ff,
    0xfdffffff,0xfe881fff,0xffffffff,0x7ffdc01f,0x400efffb,0xfffffffb,
    0xf104ffff,0xfffe8fff,0xafffd801,0xd0006fff,0x10003fff,0xb800fffd,
    0xffffffff,0x500effff,0xffffffff,0xff301fff,0xffffffff,0xff009fff,
    0x7ffe41ff,0xfffd1003,0xfffb8001,0x000fffeb,0x002fffc8,0x001fffd0,
    0x3fffffe2,0x00ffffff,0x807ffff6,0x0006ffff,0x003bffe2,0x7fffd400,
    0xfdb98bdf,0x9101efff,0x007fffff,0x64402ff4,0x003fffff,0x220017fa,
    0x2fffffff,0xffffc800,0xbffb0000,0xdfffff98,0xffffea9a,0x7ffdc0ff,
    0xffffffff,0x53ffe605,0x2605fff9,0xfeffffff,0x882fffff,0x665c4ccc,
    0x7ffd400c,0x007fff53,0x001fff98,0x00bffe20,0x6fffffc4,0xfffffcaa,
    0xfffff983,0x6fffffff,0xacffffd8,0x7ffffdb9,0x20cccc80,0x2001ccca,
    0x2003ffe8,0xff34fff9,0xff8800bf,0x3a20003f,0xffd004ff,0xfff97bff,
    0x7fd407ff,0xfff303ff,0x7e40007f,0x700000ef,0x30039fff,0xf703fffb,
    0x007fffff,0x2e007fee,0x03ffffff,0x0003ff70,0x17ffffea,0x0cccc400,
    0x87fff000,0x883ffffe,0x40fffffe,0xd31fffff,0x2e01ffff,0x666544cc,
    0x9ffff900,0x3fffee21,0xc8000005,0x6665c3cc,0x0b32a000,0x0f326000,
    0x1ffffe40,0x43ffffcc,0x264ffffd,0x220ffffe,0xfd05fffd,0x00001fff,
    0x1e64c000,0xa8999700,0x26000ccc,0x880002cc,0xff9804cc,0x7ffdc5ff,
    0x7fffc05f,0x1ffff906,0x06664000,0xfff98000,0xfffb8002,0x7ece7dc0,
    0x4ff8803f,0xfb39f700,0x9ff1007f,0xcccb8000,0x0000000c,0x117ffcc0,
    0x4c0dffff,0x2e0fffff,0x7d43ffff,0x00004fff,0x41ffff60,0x0006fffe,
    0x00000000,0x00000000,0xb037fffc,0xff8859bf,0xfffa84ff,0x2015103f,
    0x000ffffc,0x00000000,0x00000000,0x2a000000,0x7cc2ffff,0x7e403fff,
    0xfff81fff,0x0000006f,0x0fff4400,0xf501bb98,0x3f6098bf,0x0ffc803f,
    0x7fec1300,0x00ffc803,0x40000000,0x8001aba9,0x3e60fffb,0x7f404fff,
    0x3ffa0fff,0xffffd07f,0x06aea600,0x417fffa0,0x8807fffc,0x20000aaa,
    0x0000aaa8,0x0002aaa2,0x800aaa88,0x004ffff8,0x07ffff20,0x0004d5e4,
    0x3ffffae6,0x57531001,0x99988035,0x04ccc401,0x35575310,0x57531000,
    0x53100035,0xfb803557,0x7fdc1fff,0x7fcc01ff,0x7ffcc3ff,0x7553002f,
    0x57510135,0x3ff20015,0xfffffc82,0x02ffc84f,0xf300fff6,0x7ec0007f,
    0x1ffcc03f,0x03333100,0x20099988,0xffffffd8,0xffb000bf,0x3ffffa8d,
    0x07fffec0,0x320dffff,0xb100ffff,0x7fffffff,0x1bfff201,0x502fffec,
    0x7fffffff,0x7fffd400,0x2a003fff,0x3fffffff,0x3fffea00,0x3ea03fff,
    0x20003fff,0x0006ffff,0x3fff6e60,0x400fffff,0xffffffda,0xfff904ff,
    0x7fff401f,0xffffda86,0xa804ffff,0xfffffffd,0xffda804f,0x04ffffff,
    0xe83ffff9,0xfd007fff,0xfffc8dff,0x3ff2200f,0x8bffffff,0xffffffd9,
    0x42ffc01d,0xffeffffb,0x206fe82f,0x7ec03ffd,0x7fec0006,0x0037ec03,
    0x803ffff2,0xf706fffe,0xffffffff,0xfff001df,0x2ffffb89,0x87fffe40,
    0x704ffff8,0xf703ffff,0xffffffff,0xfff501df,0xffff883f,0xffffd882,
    0x00dfffff,0x3fffff62,0x200dffff,0xffffffd8,0x2200dfff,0xfffffffd,
    0xffb80dff,0x3e0002ff,0x00445fff,0xfffff910,0x1fffffff,0x7ffffdc0,
    0x85ffffff,0x200ffffc,0x7dc6fffe,0xffffffff,0x3fee05ff,0xffffffff,
    0x3ffee05f,0xffffffff,0x0ffffc85,0x00ffffea,0xd07fffdc,0x7440bfff,
    0xffffffff,0xffffffff,0x500fffff,0xeffa85ff,0x703ffe63,0x3ff603ff,
    0x00bfea03,0x407ffb00,0x64002ffa,0x3a00ffff,0xffb86fff,0xffffffff,
    0x3e600eff,0x7ffdc2ff,0x7ffec03f,0x9ffff30f,0x0bfffea0,0xfffffff7,
    0x81dfffff,0xacffffe8,0x80effffc,0xfffffffe,0x3a06ffff,0xffffffff,
    0x3fa06fff,0xffffffff,0x3ffa06ff,0xffffffff,0xffffb86f,0xfff10003,
    0xdfff919f,0x7ff4c019,0xfdbeffff,0xff300fff,0xffffffff,0xffc89fff,
    0x3ffa00ff,0x3fffe66f,0xffffffff,0xffff984f,0xffffffff,0xffff984f,
    0xffffffff,0x7fffe44f,0x01ffffa0,0x33ffff88,0x7405ffff,0xffffffff,
    0xffffffff,0x0effffff,0xffe86fd8,0x442dfa81,0x7ffb03ff,0x00037f40,
    0xfd01ffec,0xfff9000d,0x7fff401f,0x7ffffc46,0xffffcaad,0x3ffee03f,
    0x1ffffd40,0x43ffffa0,0x503ffff9,0x7c47ffff,0xcaadffff,0x903fffff,
    0xffffffff,0xfff501bf,0xfff73bff,0xfff507ff,0xfff73bff,0xfff507ff,
    0xfff73bff,0xfff507ff,0xfff73bff,0xfffa87ff,0xff30004f,0xffffdbff,
    0xff105fff,0x5c15bfff,0xfb00ffff,0xb7359fff,0xfc8fffff,0x3fa00fff,
    0x3fff66ff,0xffdb9acf,0xfffd87ff,0xffdb9acf,0xfffd87ff,0xffdb9acf,
    0x7ffe47ff,0xbffff10f,0x6fffd800,0x5c0ffff9,0xa9bdffff,0xfffffffd,
    0xffffc99c,0xff85fe85,0x0bfd0005,0x7dc0fff6,0xfd80001f,0x03ff703f,
    0x1ffff900,0x237fff40,0x983ffffc,0x3607ffff,0xfff986ff,0x3ffe206f,
    0xffff50ff,0x3fffea07,0x0fffff24,0x81ffffe6,0xfffffffd,0x3ffffa06,
    0x87fffd80,0xd80ffffe,0xffe87fff,0xfffd80ff,0x0ffffe87,0x447fffd8,
    0x2a05ffff,0xff50abce,0xffffffff,0xfa83ffff,0xff904fff,0xffb101ff,
    0x3fffa0bf,0x3ffff20f,0x5bfffa00,0xd05fffd8,0x6c41ffff,0xffd05fff,
    0x7fec41ff,0xffffd05f,0x87fffe41,0x006ffffa,0x747fffd4,0x3b204fff,
    0xffe80eff,0xffa82fff,0x227fc3ff,0xb0004ff9,0x0fff60df,0x00017fe2,
    0x7c41ffec,0xff90005f,0x7ff401ff,0x37fffc6f,0x4059bfb0,0xfff04fff,
    0x3ff605ff,0xfff70fff,0x3ffea07f,0x1bfffe4f,0x902cdfd8,0xffffffff,
    0xfffa81bf,0xffff505f,0x2ffffd47,0x23ffffa8,0x505ffffa,0x7d47ffff,
    0xff505fff,0xffff87ff,0xffffd00f,0x3ffffee3,0xffffbcff,0x7fffe46f,
    0x1ffffb00,0xf900a880,0x7fe41fff,0x3ffa00ff,0x900a886f,0x2201ffff,
    0xffff900a,0x6402a201,0x3f20ffff,0xfff10fff,0xff8009ff,0x1ffffdff,
    0x3ee03300,0x3f606fff,0x0ffe25ff,0x20007ff7,0x399707fc,0x8801ff90,
    0x0e65c019,0x03007fe4,0x007fffe4,0x7c4dfffd,0x80004fff,0xf702fff8,
    0x6c45ffff,0x70ffffff,0x2a07ffff,0xff14ffff,0x440009ff,0xfcdffffd,
    0x2e1effff,0xf102ffff,0x7fdc9fff,0xfff102ff,0x7fffdc9f,0x9ffff102,
    0x817fffdc,0x644ffff8,0x540dffff,0x3ee6ffff,0x640dffff,0x3f23ffff,
    0xffa83fff,0x30001fff,0x43ffffd7,0x200ffffc,0x2006fffe,0x1ffffeb9,
    0x7ff5cc00,0x5cc001ff,0x321ffffe,0x3f60ffff,0x2004ffff,0xfffffffc,
    0x6dcc0006,0x2e04ffff,0x1ffc7fff,0x40013fea,0xf88006fd,0x3ffcc04f,
    0x09ff1000,0x85dffff7,0x200ffffc,0x3ea6fffe,0x80003fff,0xf100fffa,
    0xffffffff,0x1fffffff,0x40ffffea,0xf53ffffa,0x40007fff,0x542ffffc,
    0x3f26ffff,0xcccccfff,0x25ffffcc,0xcccffffc,0xffffcccc,0x33ffff25,
    0xffcccccc,0x3fff25ff,0xcccccccf,0x7c45ffff,0xeccfffff,0x2a3fffff,
    0xd01fffff,0x7fdcbfff,0xfc98aeff,0x001fffff,0xfffffb73,0x7fe41fff,
    0x3ffa00ff,0x3f6e606f,0x0fffffff,0x7ffedcc0,0x400fffff,0xfffffdb9,
    0x3ff20fff,0x7fff40ff,0xff3003ff,0x007fffff,0xffffdb98,0xcccdffff,
    0xffffdccc,0xff313fa0,0xbfd0140b,0x01ffb000,0x003fffc4,0xfd81ffb0,
    0x21ffffff,0x200ffffc,0x3ee6fffe,0x80002fff,0x7cc07ffc,0xffffffff,
    0x30ffffdd,0x2a09ffff,0xff72ffff,0x7c0005ff,0xff905fff,0x3fffa3ff,
    0xffffffff,0x3fa6ffff,0xffffffff,0x26ffffff,0xfffffffe,0xffffffff,
    0x3fffffa6,0xffffffff,0xfffb86ff,0xffffffff,0x7fffcc5f,0x9ffff607,
    0xfffffff8,0xffffffff,0x3fff2202,0xffffffff,0x3ffff20f,0x1bfffe01,
    0xffffff91,0x01ffffff,0xffffff91,0x01ffffff,0xffffff91,0x41ffffff,
    0x440ffffc,0x01fffffe,0xffffffd0,0xfff71001,0xffffffff,0xffffffff,
    0x6c3fffff,0x07ffc46f,0x3e21ffdc,0x7fcc004f,0x3ffff403,0x43ff9800,
    0xfdabfff8,0x3ffff25f,0x9bfffe01,0x003ffffb,0x805ffe80,0xfffffff9,
    0x21ffffb5,0x704ffff8,0x3ee5ffff,0x30003fff,0x2605ffff,0xffd3ffff,
    0xffffffff,0x74dfffff,0xffffffff,0x6fffffff,0x3ffffffa,0xffffffff,
    0x3ffffa6f,0xffffffff,0xff506fff,0xffffffff,0xffff881d,0x3ffff206,
    0x3ffffea0,0xfff9efff,0xfffd305f,0xffb7dfff,0x7ffe41ff,0x3fffe01f,
    0x3ffffa66,0xfffdbeff,0x7fff4c0f,0xffdbefff,0x7ff4c0ff,0xfdbeffff,
    0x3ff20fff,0xffe880ff,0xfb800fff,0x8805ffff,0xeffffffe,0xffffffcc,
    0xffffffff,0x07fee2ff,0x7c43bff7,0x0ffdc0ff,0xb01bfa00,0x000fffff,
    0x3ff21bfa,0x643ffe25,0x3e01ffff,0x3fea6fff,0x440004ff,0x71003fff,
    0x7ec59ddb,0x3ffe27ff,0xffff905f,0x13fffea3,0x7fffdc00,0x57fffe01,
    0xaabffffd,0xaaaaaaaa,0x2fffff62,0xaaaaaaaa,0x3fff62aa,0xaaaaaabf,
    0x3f62aaaa,0xaaaabfff,0x02aaaaaa,0x3fffff62,0x3ffe02ef,0x3fff207f,
    0x7fff4c0f,0x3fff24ff,0x7fffc40f,0x3fee0adf,0x3fff20ff,0x3fffe01f,
    0xbfffff16,0x7fffdc15,0x3ffffe20,0x3ffee0ad,0x3fffe20f,0x3fee0adf,
    0x3fff20ff,0xfffd100f,0xfff1009f,0xffb005ff,0x7d417fff,0xaaaacfff,
    0x0aaaaaaa,0x3fa17fe2,0x3fffedff,0x54006fe8,0x3fee02ff,0xa8007ffb,
    0xa82202ff,0x3fff27ff,0x3fffe01f,0x17fffe26,0x40abcea8,0x0001fffa,
    0xf1ffff60,0x3f60dfff,0xfff10fff,0x5e7540bf,0x7ffff70a,0x57fffe60,
    0x001ffffc,0x03ffff90,0x3ffff200,0xfff90001,0x9800003f,0xe801cfec,
    0xf900ffff,0x54c40dff,0x500ffb80,0x3209ffff,0x3f20ffff,0xff101fff,
    0x3ffeadff,0xffff904f,0x27fffd41,0x20ffffc8,0x904ffffa,0x7e41ffff,
    0x3e600fff,0xf8806fff,0xf8807fff,0xff705fff,0xc80009ff,0x7fec42ff,
    0xfb85ffff,0x2ff4003f,0xff19ff50,0x0bfd000f,0x927ffcc0,0x2203ffff,
    0x7fc6ffff,0xffd00fff,0x7ffc83ff,0x04d5e6c0,0xc8dfffd0,0x7c41ffff,
    0x7ffc5fff,0xfffd00ff,0x3fffe63f,0x7ffff706,0x40ffffea,0x7d41abd8,
    0x7b103fff,0xffffa835,0x8357b103,0x103ffffa,0x3600357b,0x405fffff,
    0xf04ffffb,0x4000bfff,0x3ff207fc,0xfffb00ff,0x7fffd41f,0xdffff502,
    0x403ffff2,0x320ffffd,0xfb00ffff,0x7fe41fff,0xfffb00ff,0x7fffe41f,
    0x3ffff400,0x27fffe40,0x17fffd40,0x06ffffc8,0x7c406b32,0xddca80ff,
    0x06ff980a,0x880ffdc0,0x0fff15ff,0x001ffb80,0xfa8dfff5,0xff502fff,
    0xfffc8dff,0x7ffd40df,0x05ffe86f,0x837fffec,0x4c4ffffa,0x7e46ffff,
    0x7fe41fff,0x7fd40dff,0x7fffc6ff,0x7fff4c2f,0x3ffffe2f,0x3ffffd81,
    0x40fffffc,0x7c3ffffd,0xfd81ffff,0x7ffc3fff,0xfffd81ff,0xa889803f,
    0x3e201fff,0x3223ffff,0x0003ffff,0xffc81ffa,0xfffa83ff,0x3ffe61ff,
    0xffff886f,0x7ffff96f,0x3fffff50,0x41ffffe4,0x21fffffa,0xa83ffffc,
    0x321fffff,0x05c0ffff,0x980fffff,0x801fffff,0x884ffffa,0x84ffffff,
    0x506ffffa,0x50003dff,0x44001fff,0xffd104ff,0x13fff333,0x009ff100,
    0x303bffee,0xf10dffff,0xf88dffff,0xeccfffff,0x443fffff,0x7e403fff,
    0xcabdffff,0x81fffffd,0xecfffffd,0xf886ffff,0xeccfffff,0x643fffff,
    0xdbefffff,0x5c6fffff,0xaadfffff,0x40fffffd,0xadfffffb,0x0fffffda,
    0x6fffffdc,0xfffffdaa,0x7ffffdc0,0xffffdaad,0xffd8000f,0x7fffdc03,
    0xfffffcff,0x7ff40006,0xdffff702,0xffff9315,0x7ffc43ff,0xffcabdff,
    0xff76ffff,0xf9315dff,0x5c3fffff,0x98aeffff,0x1ffffffc,0x2bbfffee,
    0xfffffc98,0x3ffff21f,0xfb7dff50,0xbca8bfff,0x06fffffe,0x7fffff30,
    0xffffd711,0xf957dfff,0x6405ffff,0x91003fff,0xc8005fff,0xfff300ff,
    0xbfffffff,0x001ff900,0x220bfff9,0xabdfffff,0x6ffffffc,0xffffffb8,
    0x85ffffff,0x4401fffa,0xffffffff,0x04ffffff,0xfffffff5,0x2e05ffff,
    0xffffffff,0xfd05ffff,0xffffffff,0xfd881fff,0xffffffff,0xfd882fff,
    0xffffffff,0xfd882fff,0xffffffff,0xfd882fff,0xffffffff,0x20402fff,
    0x400fffa8,0xffffffe8,0x001fffff,0x567ffdc0,0xfffff12b,0xffffffff,
    0xfffd85ff,0xdfffffff,0xfff16fff,0xffffffff,0x7c45ffff,0xffffffff,
    0x22ffffff,0xfffffff8,0xffffffff,0x23ffff22,0xfffffff8,0x7fdc1fff,
    0x01ffffff,0x3fffffa0,0xffffffff,0xffffffff,0xfb805fff,0x2609cfff,
    0x01ffffd9,0x301ffcc0,0xffffffff,0xff980bff,0x3fffc803,0x7ffffec0,
    0xffdfffff,0xffff506f,0x1dffffff,0x200fff90,0xfffffff9,0x00dfffff,
    0x3fffffe6,0x7d403fff,0xffffffff,0xffd100ef,0xffffffff,0x7fffe405,
    0x02ffffff,0x7fffffe4,0x6402ffff,0xffffffff,0x7fe402ff,0xffffffff,
    0xffffc802,0xb1004fff,0xffffffff,0xf100005f,0x549fffff,0xffffffff,
    0x45ffff9e,0xffffffe8,0x6fffc8ef,0x3fffffea,0xffff9eff,0x7ffffd45,
    0xfff9efff,0x7fffd45f,0xff9effff,0x3fff25ff,0xfffff30f,0xff507fff,
    0x007fffff,0xffffff98,0xfa8cffff,0xffffffff,0x3fa6005f,0xffffffff,
    0x8000dfff,0x999806fd,0x09fff999,0x54037ec0,0xffffffff,0x3fffa21f,
    0xfc8effff,0x3f6206ff,0x02efffff,0x88017ffa,0xffffffeb,0xfb1001df,
    0x003dffff,0x3fffff62,0xfd5002ef,0x019fffff,0xfffffb50,0x36a0039f,
    0x1cffffff,0xffffb500,0x2a0039ff,0xcffffffd,0xffff7001,0xd70005bf,
    0x01bfffff,0x7ffdc000,0x7ff4c2ef,0x3ff24fff,0x7fec40ff,0xff90ceff,
    0xfffe98df,0x3fff24ff,0x7fff4c0f,0x3fff24ff,0x7fff4c0f,0x3fff24ff,
    0x1ffff90f,0x77fffecc,0xfffff302,0x3620005d,0x0defffff,0x7ffffe44,
    0xb50002ef,0xffffffff,0x3ea00039,0xff10002f,0x05ff500f,0xffffffb0,
    0xfd883fff,0xf90cefff,0x26200dff,0xaaa8009a,0x2a660001,0x54c00009,
    0x54c40001,0x53100009,0x54400015,0x2200009a,0x200009aa,0x00009aa8,
    0x00026aa2,0x22000008,0x000001a9,0x31002662,0x51000015,0x54c40001,
    0x54c40000,0x54c40000,0x26000000,0x9a98800a,0x53100000,0x2a620013,
    0x31000009,0x00135995,0x0006fe80,0x3a017ba2,0xdddb006f,0x01dddddd,
    0x00000544,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80003553,
    0x4cc00018,0x35300000,0x30000001,0x44000135,0xa8001999,0x5554c2aa,
    0x5554c000,0x50155540,0xaaa98555,0x4ffffb80,0x7ffff900,0x54dffffa,
    0x0d55442a,0x15555440,0x3ffffb00,0x551002dc,0xffb00003,0x3fffe6ff,
    0x3ff20000,0x266200ff,0x19999999,0x0aaaa880,0x819d9300,0x008003ec,
    0xfffc8080,0xa8155535,0xaaa801aa,0x815440aa,0x266202a8,0x19999999,
    0x2aaaa800,0x30aaaa00,0x50001555,0xdffffffd,0x3faa0039,0x54002dff,
    0xb70001ff,0xbffffffd,0x2ffffc07,0xffffd910,0xfb0003df,0xf7000fff,
    0x3ffe25ff,0xfffc8005,0x81bffe20,0xff13fffa,0x3ffee0df,0xfff9004f,
    0x5ffffa7f,0xfd14fff9,0xff9001df,0xfb8005ff,0x0fffcfff,0x7ffff5c0,
    0x3f60005f,0xffff37ff,0x26662001,0x19ffffd9,0xffffffd0,0xe801ffff,
    0xa805ffff,0xcbefffff,0x3a6003ff,0x20faa003,0xfd15fffc,0x0fffe4df,
    0x13fffea0,0x3f207fe6,0x3ffffa06,0x00ffffff,0x037fff40,0x225fff70,
    0x4c005fff,0xfffffffe,0x4404ffff,0x2fffffff,0x00bff100,0xfffffd10,
    0x3dffffff,0x20bffff0,0xffffffe8,0x6c004fff,0xb0007fff,0xfffd3fff,
    0xfffd0001,0x404fff98,0xffe9fffd,0xffff700f,0x3fff2009,0x4ffffd3f,
    0xffdafffc,0xfff8801f,0xff30002f,0xb8019fff,0x5fffffff,0x3fff6000,
    0x01ffff37,0x3fffffa0,0xd07fffff,0xffffffff,0x7fe401ff,0x6c03ffff,
    0xffffffff,0xfd8801ff,0xffd8803f,0x25fffc83,0xffbcfff9,0xfffe804f,
    0x22bbfe04,0x3a04ffb8,0xffffffff,0x7f4000ff,0x7ec006ff,0x0fffe9ff,
    0x3fffe600,0xffffffff,0xffb00dff,0x00dff739,0x70003fee,0xffffffff,
    0x9fffffff,0x985ffff8,0xffffffff,0x2003ffff,0x0007fffd,0xfffffff1,
    0xfff10005,0x02fffb8b,0x7fffff44,0x3ffee03f,0xfff9004f,0x1ffffa7f,
    0x9ffffffd,0x0ffff200,0x7ffe4400,0x7fc403ff,0x03ffffff,0x5ffff600,
    0x2007fff9,0xfffffffe,0xffd07fff,0xffffffff,0x33ffea01,0x3e01fffe,
    0xfffca8af,0xfff9803f,0x7ffcc03f,0x5fffc83f,0x7fffffe4,0x5fff9806,
    0x7ffffd40,0x3fa00fff,0xffffffff,0x7ff4000f,0x7fc4006f,0x002fffff,
    0x3fffffe6,0xffffffff,0xdcb80fff,0x801fff10,0x54004ff8,0xffffffff,
    0xffffffff,0x17fffe5f,0x33fffffe,0x0ffffffc,0x0ffffb00,0x7fffd400,
    0xff30005f,0x1fffd87f,0xfffff980,0x7fffdc05,0xffff9004,0x11bfbb27,
    0x00dfffff,0x000fffe2,0x3efbff22,0x3e602fff,0x1aabefff,0x3fff6000,
    0x00ff7517,0x7ffffff4,0x0007ffff,0x2bfff100,0x2a06fff8,0x4c005302,
    0x4c03ffff,0xa983ffff,0xfffe84fd,0xffd800ff,0xffff7005,0x000003df,
    0x37fff400,0x7fffd400,0x7ff4005f,0x511befff,0x09fffffd,0x05ffeb88,
    0x2000ffc8,0xcffffff8,0x3ffee609,0xffdd3fff,0x5ffff989,0x03ffffd8,
    0x00999970,0x0ccccb80,0x5fff7000,0x2007ffe8,0x400ccccb,0x004ffffb,
    0xd87ffff9,0xcccca85f,0x07993001,0xf7177c00,0x3ee03fff,0x00003fff,
    0xf71ffff6,0xffc8000d,0x000000ff,0xc983332a,0x000001cc,0x03ffff98,
    0x01ffffcc,0x999107fd,0x33320059,0x2aea2000,0x00000001,0x00099988,
    0x01999970,0x7ffffcc0,0x7fffe405,0x3ffee00f,0x03ff9806,0x7ffffe40,
    0x7fff4402,0x70ffa1ff,0xf303ffff,0x0000bfff,0x00000000,0x7c41fff9,
    0x000006ff,0x027fffdc,0x43ffffc8,0x000004ff,0x36030000,0xff906fff,
    0xa98003ff,0x3fffec0a,0x53007fd1,0xffffc815,0x15551000,0x20000000,
    0x31001aa9,0x339ffff5,0x7ffd4c41,0x3ea099cf,0x0000000f,0x4c000000,
    0x000001aa,0x90000000,0x001fffff,0x40bffffb,0x00dfffec,0xf3001bf6,
    0x2005ffff,0x14fffff8,0xfffd85ff,0x02af3606,0x026664c0,0x00d54c00,
    0xffeeeec8,0xffeeeeff,0x4c406eff,0x5c01aaba,0x9004ffff,0x7e47ffff,
    0x1999880f,0x26666620,0x99999999,0x7ffedc01,0x83ffffad,0x000ffffc,
    0x5ffffff7,0x7d5ffff6,0x7ffdc06f,0xfff92fff,0xfffa801f,0x1003ffff,
    0x22003333,0xffffffdb,0x3ffee00d,0x26ffffff,0xfffffffb,0x87ff95ff,
    0x2a209998,0x20999882,0x4cc402a8,0xfb710019,0x01bfffff,0x99999988,
    0x19999999,0x4cccccc4,0x19999999,0x01f6dcc0,0x0fffff98,0x81fff440,
    0x6c002ffa,0x4006ffff,0xe8fffffc,0x7fffc86f,0xffb80000,0xdb88007f,
    0x0dffffff,0x3fffff60,0xffffffff,0xb507ffff,0xffffffff,0x3fffee09,
    0xffff9004,0x207ffb57,0xb01ffffb,0xffffffff,0x03ffffff,0xffffffb1,
    0x81ffffff,0x400ffffc,0xffffffd8,0x7fffdcff,0x362019f1,0xffffffff,
    0x00ffffdc,0xffffffb1,0xb801bfff,0x4c01ffff,0xffffffff,0xff703fff,
    0xdfffffff,0x7fffffdc,0x05f75fff,0x3f2bfffb,0x3ff65fff,0xbffff95f,
    0x07fffee0,0xffffff30,0x407fffff,0xfffffffd,0x1fffffff,0x3ffffff6,
    0xffffffff,0xfd000001,0x154c5fff,0x7f41bfee,0xfffe8005,0x7fc4002f,
    0x81ffffff,0x000ffffb,0x37ffe400,0x3fffe600,0x3fffffff,0xffffffb0,
    0xffffffff,0xff70ffff,0xffffffff,0xffff70bf,0x3fff2009,0x202effff,
    0xb01ffffb,0xffffffff,0x83ffffff,0xfffffff8,0x4fffffff,0x007fffe4,
    0x3ffffff6,0xffffffff,0xfffb0027,0xffffffff,0x3a01ffff,0xffffffff,
    0x7dc06fff,0x3e601fff,0xffffffff,0xfb84ffff,0xffffffff,0x3ffffee6,
    0x4025ffff,0xffadfffd,0x3ff64fff,0xfffffadf,0x3ffff704,0x7ffffcc0,
    0xffffffff,0xfffffb04,0xffffffff,0x7fffec3f,0xffffffff,0x000001ff,
    0x7c7ffff9,0x17ff61ff,0x20007fee,0x000fffff,0xefffffe8,0x5ffff301,
    0x7f440000,0x3e6004ff,0xffffffff,0xfd84ffff,0xffffffff,0xffffffff,
    0x7ffffcc7,0xffffffff,0x27fffdc4,0xeffffc80,0xfffb802c,0xffffb01f,
    0xffffffff,0xfffd83ff,0xfffedeff,0x7fe47fff,0x3fea00ff,0xea9acfff,
    0x007fffff,0x5bfffff3,0xfffffd53,0xffff501f,0xffff73bf,0x7ffdc07f,
    0xffff101f,0xffd779ff,0xeea85fff,0x4eeeffff,0x3ffffbaa,0xfd804eee,
    0xffffffff,0x3ffff61f,0x01ffffff,0x203ffff7,0xcffffff8,0xfffffebb,
    0xfffffd82,0xffffffff,0x3ffff61f,0xffffffff,0xccc981ff,0xcccccccc,
    0xffdccccc,0x3ffee4ff,0x442fffed,0xf88004ff,0xb0007fff,0x2a0bffff,
    0xadffffba,0x88002aaa,0x002ffffe,0x9ffffff1,0xfffffd77,0x0fffd805,
    0xd817ffe2,0xb9acffff,0x5c7ffffd,0x9004ffff,0x4007ffff,0x901ffffb,
    0xdddddddd,0x41dfffff,0x42fffffb,0x1fffffe9,0x803ffff2,0x883ffffe,
    0x007ffffe,0x109ffffd,0x01fffffd,0xb01ffffd,0x7dc0ffff,0xff701fff,
    0xff701dff,0xff301dff,0xff9807ff,0x7ec003ff,0xfeffffff,0x7ffffec7,
    0x2e07feff,0xf701ffff,0xf701dfff,0xec81dfff,0xfeeeeeee,0x320effff,
    0xeeeeeeee,0x80efffff,0xfffffffa,0xffffffff,0x45ffffff,0x3ffffffd,
    0x8000ffc8,0x006ffff9,0x0bffff90,0x3ffffff6,0x007fffff,0x37ffff44,
    0xdffff700,0xdffff701,0x23fff401,0xb104fff9,0x3fa0bfff,0x3fee0fff,
    0xff9004ff,0x7dc007ff,0xd0001fff,0xf83fffff,0xf102ffff,0x7e49ffff,
    0xff100fff,0x7fd40dff,0xff8807ff,0x3fea07ff,0x7fd40fff,0xfff505ff,
    0x3ffee07f,0xffffb01f,0x7fffec03,0x3ffff983,0x1ffffcc0,0x3ffff600,
    0xfd8530cf,0x530cffff,0x0ffffdc0,0x01ffffd8,0x00fffff6,0x3fffffd0,
    0xffffe800,0xffff701f,0xffffffff,0xffffffff,0x9bb710df,0x807ff101,
    0x7ffd4198,0xff70005f,0x3ff60bff,0xffffffff,0x3fa2007f,0x2001ffff,
    0x201ffffd,0x103ffffd,0xffb8bfff,0x00a8802f,0x5c1ffff9,0x9004ffff,
    0x4005ffff,0x001ffffb,0x1fffffd8,0x037fffc4,0xc97fffee,0xf300ffff,
    0xff807fff,0xff9807ff,0x7ffc04ff,0x7ffdc0ff,0xffff102f,0x3fffee09,
    0x0bffff01,0x84ffff98,0x403ffff9,0x003ffff9,0x037fffec,0x037fffec,
    0x07fffee0,0x202ffffc,0x004ffff9,0x07fffff6,0xfffffb00,0x7fffd403,
    0xffffffff,0xffffffff,0x3f60006f,0x23ffcc06,0x006ffffa,0x09ffff90,
    0x3ffffff6,0x007fffff,0x1dfffff3,0x5ffff800,0x27fffcc0,0x643fff98,
    0x20000fff,0x1ffffeb9,0x013fffee,0x017fffe4,0x03ffff70,0xfffffc80,
    0x4ffffa83,0x37fffc40,0x201ffff9,0x402ffffa,0xa807fffe,0x7403ffff,
    0x7e40ffff,0xcccccfff,0x05ffffcc,0x303ffff7,0xf007ffff,0x654cdfff,
    0x1aadffff,0x03ffff98,0x1ffffec0,0x1ffffec0,0x3fffee00,0x3ffff981,
    0x06ffff80,0x7fffff90,0xffffc800,0x7ffc403f,0xccccccff,0xffdccccc,
    0xf30005ff,0x7ffc405f,0x3ffffcc7,0xffffd800,0xff755503,0x05555bff,
    0x3bffffa0,0x7ffcc000,0xffff803f,0x85fff706,0x4c007ffe,0xffffffdb,
    0x3ffea0ff,0xfff9004f,0x7fdc005f,0x3ee001ff,0xf704ffff,0xff007fff,
    0x7ffe4fff,0xffff900f,0x7fffd803,0x2ffffb80,0x07fffec0,0x3ffffffa,
    0xffffffff,0xffff706f,0x5ffff703,0x4ffffd00,0xfffffffc,0xfff983ff,
    0x7fec003f,0xffd802ff,0x7dc002ff,0xffb81fff,0xffe802ff,0xfffb807f,
    0x7dc004ff,0xf004ffff,0x4001ffff,0x005ffffc,0xfe80dfd0,0xffff87ff,
    0xffe8000f,0xff9801ff,0xfc8003ff,0x8000dfff,0x802ffffb,0x3f67fffe,
    0xffffffff,0xffffffff,0xffffc887,0xffffffff,0x13fffea0,0x17fffec0,
    0x3ffff700,0x3fffea00,0x3ffee05f,0xffff803f,0x03ffff26,0x017fffdc,
    0x201ffff6,0x402ffffb,0x740ffffd,0xffffffff,0x6fffffff,0x03ffff70,
    0x005ffff7,0x7e4fffff,0xffffffff,0x3ffff983,0x7fffec00,0xffffd801,
    0x7ffdc001,0xffffb81f,0x7ffff802,0x7ffffd40,0x7ffd4005,0x3f6005ff,
    0x3a001fff,0x8003ffff,0x3f601ffa,0xffe87fff,0x7c4002ff,0xb800ffff,
    0x8001ffff,0x000effff,0x05ffff70,0x6cfffff0,0xffffffff,0xffffffff,
    0x7fff4c7f,0xffdbefff,0x3ffe60ff,0xfffb005f,0x7fdc003f,0xff9801ff,
    0x7d406fff,0x7c404fff,0x3ff25fff,0xfff500ff,0xfffe805f,0xffffa807,
    0x7ffff403,0x5ffffec0,0xaaaaaaaa,0xfff702aa,0xffff503f,0xbffff007,
    0x7fffee54,0xff982cce,0x7ec003ff,0xfd800fff,0x5c000fff,0xfa81ffff,
    0xff803fff,0x3fe605ff,0x4c006fff,0x006fffff,0x027fffe4,0x1fffff88,
    0x205ff800,0x87ffbffb,0x006ffffd,0x03ffffe4,0x007fffd8,0x04ffff88,
    0xf509acc8,0xff007fff,0x7ffecbff,0xffffffff,0x27ffffff,0xadfffff8,
    0x83fffee0,0x01fffff8,0x07ffffc4,0x3ffff700,0xfffff880,0x7ffc400e,
    0x7ffd406f,0x3ffff24f,0x9ffff300,0x3ffffc40,0x2ffffcc0,0x03ffffe0,
    0x003ffff9,0x3ffff700,0x0bffff30,0x84ffff98,0x403ffff9,0x003ffff9,
    0x007fffec,0x007fffec,0x07fffee0,0x017fffe6,0x209ffff3,0x0efffff8,
    0x3fffe200,0x7d4000ef,0xd801ffff,0x8006ffff,0xff500ffb,0xf50fff19,
    0x2007ffff,0x04fffff8,0x02ffff98,0x3ffff880,0x9ffffd40,0x405ffff9,
    0x324ffff9,0xeeefffee,0xeeeffffe,0x3fffea6e,0x1ffff904,0x06fffff8,
    0x03ffffec,0x07fffee0,0xfffffe88,0xfffff000,0x7ffff403,0x03ffff22,
    0x03ffffc4,0x00fffff7,0x01fffff1,0x03ffffee,0x207ffff5,0x2e01abd8,
    0xff01ffff,0x7f403fff,0xff982fff,0x7fcc03ff,0x7ec003ff,0xfd800fff,
    0x5c000fff,0xff01ffff,0x7f403fff,0xfe882fff,0x2000ffff,0x0fffffe8,
    0xffffb000,0x7ffd401d,0x7c4003ff,0x2bff104f,0xffb07ff8,0xe9807fff,
    0x8806ffff,0x0005ffff,0x803ffffe,0x3e0ffffe,0x3a01ffff,0xfb82ffff,
    0x3fff42ff,0x03ffff20,0x207fffec,0xbdfffffc,0xffff9510,0xffb8007f,
    0x3ffa01ff,0x2e001fff,0xd81effff,0x7e46ffff,0x3f600fff,0xff985fff,
    0xfb007fff,0xf981dfff,0xf80fffff,0xfd81ffff,0xff703fff,0x3ff203ff,
    0xffc81eff,0xfff306ff,0xfff9809f,0x7fec004f,0xffd800ff,0x7dc000ff,
    0xff901fff,0xff903dff,0x3ffa0dff,0x74001fff,0x001fffff,0x3ffffe20,
    0x3ff660ae,0xc8006fff,0xffe880ff,0x09fff999,0x7fffffc4,0x3fee609d,
    0x4402ffff,0xeccffffe,0x036e21bd,0x819ffffb,0x45ffffc8,0x81effffc,
    0xb06ffffc,0x7fc41fff,0x7ffe405f,0xffffa83f,0x7fffc41f,0xffffffff,
    0x000fffff,0x80ffffdc,0x9bfffffd,0x09999999,0x6ffffff4,0xfffffecc,
    0x07fffe41,0xdfffff10,0xfffff979,0x3fe200ff,0xfcacefff,0x80ffffff,
    0xadfffffb,0x0fffffda,0x03ffff70,0x3fffffe2,0xffffeccd,0xffff101f,
    0xff10bbbf,0x00bbbfff,0x001ffffb,0x001ffffb,0x01ffffb8,0xbffffff1,
    0xfffffd99,0xfffffb03,0x33333337,0x7fffec13,0x999999bf,0x7fcc0099,
    0xffefffff,0x01ffffff,0x981ffcc0,0xffffffff,0xfffb85ff,0xffffffff,
    0x05ffffff,0xffffffc8,0xffffffff,0x7ffc44ff,0xffecefff,0x7c41ffff,
    0xccdfffff,0x01fffffe,0xff98fffd,0x7ffdc04f,0xffc98aef,0xfa81ffff,
    0xffffffff,0x03ffffff,0x1ffffb80,0xffffffa8,0xffffffff,0x7fffcc5f,
    0xffffffff,0xffffc84f,0x7fffe400,0xfdffffff,0x3f2007ff,0xffffffff,
    0x80ffffdf,0xffffffd8,0x02ffffff,0x807fffee,0xfffffff9,0x03ffffff,
    0x7ffffffc,0xffffff07,0xfffb00ff,0xfffb001f,0xffb8001f,0x3fe601ff,
    0xffffffff,0xffa83fff,0xffffffff,0xf55fffff,0xffffffff,0x0bffffff,
    0xffffff70,0xffffffff,0x0dfb0003,0x7fffffcc,0xf705ffff,0xffffffff,
    0x09ffffff,0x3ffffe60,0xffffffff,0x7cc0ffff,0xffffffff,0xf301ffff,
    0xffffffff,0x2207ffff,0x7fdc5fff,0x7ffc402f,0xffffffff,0xd302ffff,
    0xffffffff,0x0005dfff,0x207fffee,0xfffffffa,0xffffffff,0xffffd885,
    0x02ffffff,0x001ffff9,0xfffffff9,0x0ffff55f,0xfffffb80,0xfffaafff,
    0x3fff200f,0x2fffffff,0x0ffffdc0,0x3ffffa60,0x02ffffff,0xffffffa8,
    0xfffff907,0xfffb00ff,0xfffb001f,0xffb8001f,0x7f4c01ff,0xffffffff,
    0xffff502f,0xffffffff,0x3feabfff,0xffffffff,0x005fffff,0xfffffff7,
    0x001dffff,0x9805ff50,0xfff99999,0x3ffa2009,0xffffffff,0x7f4002ef,
    0xffffffff,0x3fffffff,0xfffffd98,0x400effff,0xffffffe9,0x2a02ffff,
    0x7fe43fff,0xfffa800f,0xf9efffff,0x75c05fff,0xefffffff,0x3ee0000c,
    0xffa81fff,0xffffffff,0x205fffff,0xffffffeb,0x3fff200c,0xffd5000f,
    0x3fea3bff,0xfea8007f,0xff51dfff,0xfda801ff,0x01cfffff,0x01ffffb8,
    0xffffd950,0x7e40019d,0x900effff,0x01dfffff,0x00ffffd8,0x00ffffd8,
    0x0ffffdc0,0xfffeca80,0x3ea00cef,0xffffffff,0x55ffffff,0xffffffff,
    0xbfffffff,0x7ffe4400,0x002dffff,0x40017fa0,0x2e007ff8,0xffffffed,
    0xfa8000cd,0xfb73109c,0x03bfffff,0x6ffff6d4,0x32a000ac,0x0ceffffe,
    0x217ffdc0,0x26007ffe,0x24fffffe,0x000ffffc,0x00015531,0x0ffffdc0,
    0x7fffffd4,0xffffffff,0x1353005f,0x3ffff200,0x00d44000,0x06620000,
    0x2aa20000,0x3fee0009,0xa88001ff,0x54400009,0x006a6001,0x00ffffd8,
    0x00ffffd8,0x0ffffdc0,0x004d4400,0xffffffa8,0xffffffff,0xfffff55f,
    0xffffffff,0x22000bff,0x00009aa9,0x8000ffdc,0x20005ee8,0x000009a9,
    0x26a62003,0x00008000,0x80026a20,0x5540aaa9,0xa988002a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2aa20000,0x4cc402aa,0x19999999,0x03ffffc8,0x2ffffcc0,
    0x640cec98,0x54c0003e,0xa80002aa,0x5554c2aa,0x26666200,0x00199999,
    0x03555530,0x88026666,0xb5009999,0x41ed817b,0x2a60aaaa,0x000001aa,
    0x00000000,0xcccccc98,0x00cccccc,0x000004c0,0xba7fffdc,0x9004ffff,
    0x0007ffff,0x007fffe4,0x26204d44,0x09a98099,0x03551000,0x7fec3333,
    0x800000ff,0x7ffffb00,0x7ffff980,0x07fffff4,0x7ffffec0,0x3ffffee0,
    0xeeffffff,0x7ffdc01c,0x3fffa02f,0x0fffffff,0x01ffffe4,0x17fffe60,
    0x3bffffea,0x0003ffcb,0x0fffffe6,0x7fff5000,0xb01bffe2,0xffffffff,
    0xff0001ff,0xff101dff,0x7fdc09ff,0xfffc82ff,0x1ffdbdff,0xf70ffff4,
    0xff7009ff,0x7f5c40bf,0x0002ceff,0x403fffe8,0xfffffffc,0x401fffff,
    0xeffffeda,0xfb80000c,0xfff74fff,0x3ff2009f,0x320003ff,0x3600ffff,
    0x93ffffff,0x3f62dfff,0x000dffff,0x9ffffff5,0x6c3fffe6,0x0000ffff,
    0x7cc0faa0,0x7ec07fff,0x7fcc3fff,0x7cc04fff,0x7dc3ffff,0xffffffff,
    0x05ffffff,0xd037ffe4,0xffffffff,0xfffc81ff,0x7fcc003f,0xfffd85ff,
    0x1fffffff,0xfffd1000,0x80003fff,0xffe9fffd,0x7ffec00f,0x0fffffff,
    0x77ffd400,0x9ffff100,0x17fffdc0,0x7ffffffc,0xffe87fff,0x13ffee1f,
    0x0bffff10,0x3ffffff2,0x0000dfff,0x807ffff9,0xfffffffe,0x101fffff,
    0xfffffffb,0x80007fff,0xf74ffffb,0x32009fff,0x0003ffff,0x403ffff2,
    0xfffffffd,0xd1dfff92,0xffffffff,0xffffc803,0xff9cffff,0xffffb0ff,
    0xfb100001,0x7ffec07f,0xffff302f,0x3ffff20f,0x3fffa01f,0xffffb86f,
    0xffffffff,0x200effff,0xfd02fffd,0xffffffff,0xffffc81f,0x7ffcc003,
    0x952ff85f,0x0007ffff,0x7fd7ffe4,0x7440006f,0x03ffffff,0xffffffd8,
    0x4000ffff,0x2201fffe,0x2e04ffff,0x7cc2ffff,0xfffca89f,0x1fffe82e,
    0xb013ffee,0xf90bffff,0xffffffff,0x98001dff,0x403fffff,0xffffffff,
    0x881fffff,0xffffffff,0x005fffff,0x53fffee0,0x004ffffb,0x007ffff9,
    0x07fffe40,0x7fffffdc,0xffff91ff,0xfffffffd,0x3f201fff,0xffffffff,
    0xb0ffffef,0x0001ffff,0x03ffff98,0x41bfffe6,0x203ffffc,0x706ffffe,
    0x703fffff,0xffffffff,0xffffffff,0x5ffd809f,0xffc80000,0x7cc003ff,
    0x02a85fff,0xfa800053,0x9fff53ff,0xfff98000,0x000005ff,0x0fffd400,
    0x13fffe20,0x42ffffb8,0x405302a8,0x3260cccb,0x3ff602cc,0x7fd45fff,
    0xffffffff,0x74004fff,0x203fffff,0xeeeffff8,0x81eeeeee,0xbefffffe,
    0x3ffffffc,0xffff7000,0x13fffee9,0x1ffffe40,0xffff9000,0xbffff901,
    0x7ffe4755,0xfcaadfff,0xf885ffff,0xb9beffff,0x0ffffffe,0x001ffffb,
    0x3ffff980,0x17fffec0,0x01ffffe2,0x87fffff3,0x04fffff8,0x339ffff7,
    0xfffd7333,0xcc801fff,0x6400000c,0x4003ffff,0x005ffff9,0xccb80000,
    0x006665c3,0x33332a00,0x00000000,0x4400e654,0x2e04ffff,0x0002ffff,
    0x75400000,0x45ffffff,0x31dffffe,0x03fffff9,0x3fffff20,0x3ffea03f,
    0xffb8000f,0xff981eff,0xb8000fff,0xff74ffff,0x3f2009ff,0x20003fff,
    0xd80ffffc,0xf900ffff,0xf307ffff,0xfd83ffff,0xffb05fff,0x3ff61fff,
    0x4c0000ff,0x4c03ffff,0x7e46ffff,0xfc803fff,0x3f60ffff,0x3ee06fff,
    0x7dc04fff,0x8002ffff,0x44019998,0xfff90999,0xff98007f,0x2a6205ff,
    0x00001aab,0x00000000,0x55d4c400,0x0000001a,0x409ffff1,0x312ffffb,
    0x99880333,0x6cc00009,0xffffffff,0x1bfffe25,0x017fffec,0x7fffffcc,
    0x3fff203f,0xfffb0007,0x7ffdc05f,0xffb8002f,0xffff74ff,0x3fff2009,
    0x0554c03f,0x203ffff2,0x3206fffe,0x3206ffff,0x7fc4ffff,0xff300fff,
    0x3ff61fff,0x26aa20ff,0x3fea6200,0xd0099cff,0x3e23ffff,0xf1007fff,
    0x3eabffff,0x2e02ffff,0xf804ffff,0x3103ffff,0x7ffe4333,0x3fffa00f,
    0x07ffff96,0x5ffff980,0xfffffda8,0x33104fff,0x4ccc4013,0x86666201,
    0xa8809998,0xffda801a,0x04ffffff,0x51013331,0x3ffe2035,0x3ffee04f,
    0x1ffff92f,0x437fff40,0xf3019998,0xffffffff,0x7fffd4bf,0x9ffff503,
    0xffffe880,0x3f603fff,0xff0005ff,0xff880bff,0xfb8004ff,0xfff74fff,
    0x3ff2009f,0xfff703ff,0x3ff25fff,0xff3310ff,0x41333dff,0x202ffffc,
    0x225ffff8,0x6c05ffff,0xffb0ffff,0xfffd11ff,0xff701bff,0xdfffffff,
    0x57fffea0,0x003ffffc,0x2bffffea,0x404ffffe,0x804ffffb,0x704ffffc,
    0x3f23ffff,0x3fa00fff,0xffff96ff,0xfff98007,0x7fffdc5f,0x5fffffff,
    0x207fffc8,0xb00ffffe,0x7fdcffff,0x3ffff26f,0xfff702ff,0xffffffff,
    0x4dfff70b,0x2ffffffc,0x027fffc4,0x325ffff7,0x3a00ffff,0xffb86fff,
    0xfff981ff,0x5ffffaff,0x40772ea6,0x403ffff9,0xfffdfffc,0x3fffe03f,
    0x00accb8c,0x200dd4cc,0x004ffff8,0x74ffffb8,0x2009ffff,0x443ffffc,
    0xfffffffd,0x0ffffdcf,0xfffffff9,0x7fe47fff,0x7ffc01ff,0x3fffe66f,
    0x7fffe404,0xf5ffffb0,0xffffffff,0xfffffb85,0x3a06ffff,0xfff8ffff,
    0xffd8007f,0xffffffff,0x7fffdc00,0xffffd804,0x3ffff703,0x803ffff2,
    0xff96fffe,0xf98007ff,0x3fe65fff,0xffffffff,0x7fd44fff,0xfff881ff,
    0xffff02ff,0x477ffdc9,0xfffffffd,0x7fffcc4f,0xffffffff,0x77ffdc4f,
    0xffffffd8,0x3ffe24ff,0x3ffee04f,0x1ffff92f,0x437fff40,0x981ffffb,
    0xfff0dfff,0x3f2000bf,0x3ea02fff,0xffff9fff,0xfffff103,0x09ffffff,
    0x7ffe4000,0xffb8001f,0xffff74ff,0x3fff2009,0x7fffec3f,0xffffffff,
    0xfff90fff,0x7fffffff,0x007fffe4,0xfa9ffffa,0x7dc03fff,0xfffb0fff,
    0xffffffff,0x7dc1ffff,0xffffffff,0x3fffea06,0x003ffffe,0xffffff88,
    0xfb802fff,0x7c404fff,0xf701ffff,0x3ff23fff,0x3ffa00ff,0x7ffff96f,
    0xffff9800,0x33ffff65,0xffffdb9a,0x83ffff87,0x84fffffa,0x2e1ffffa,
    0xfffeffff,0x1fffffff,0x2b3ffff6,0x7ffffdb9,0x7f7fffdc,0xffffffff,
    0xbffff11f,0x97fffdc0,0x200ffffc,0xfb86fffe,0xef981fff,0x02ffffc2,
    0x0ffffe80,0x15ffff10,0x2607ffff,0xffffffff,0x000effff,0x3ffffdc0,
    0xffffb800,0x09ffff74,0x8fffff20,0xadfffff9,0xfffffea9,0xfffff90f,
    0x647fffff,0x7401ffff,0x3fea7fff,0x7fe403ff,0xffffb0ff,0xff7337ff,
    0x7754bfff,0x4eeeffff,0x7ff4cccc,0x99ffffff,0xff700099,0x00bfffff,
    0x813fffee,0x0fffffe9,0x23ffff70,0x200ffffc,0xff96fffe,0xf98007ff,
    0xffb15fff,0x3fffa0bf,0x37ffec0f,0x37ffffe4,0x2e3fffe4,0xadffffff,
    0x4fffffb9,0x20bfffb1,0x2e0ffffe,0xadffffff,0x4fffffb9,0x40bffff1,
    0xf92ffffc,0x7f401fff,0xfffb86ff,0xff01881f,0xf7000bff,0x7ec0bfff,
    0xffff15ff,0x3fffee07,0xffffffff,0x3f20005f,0x0002ffff,0x2e9ffff7,
    0x9004ffff,0x7f47ffff,0xfe884fff,0x9950ffff,0x999fffff,0x17fffe43,
    0x99bfffe0,0x6c04ffff,0xffb0ffff,0xff303fff,0xff983fff,0xfff103ff,
    0xffffffff,0x05ffffff,0x7ffffec0,0xfff7000f,0xddb999df,0x0dffffff,
    0xc8ffffdc,0x3a00ffff,0xfff96fff,0xff98007f,0x00a885ff,0xa81ffff9,
    0x7f40ffff,0x740fffff,0x7fdc4fff,0xffb83fff,0x00a885ff,0x5c1ffff9,
    0xb83fffff,0xff15ffff,0x7fec0fff,0xffff92ff,0x37fff401,0x00ffffdc,
    0x017fffe0,0x3fffff50,0x43fffea0,0x903ffff8,0x735bffff,0x05fffffd,
    0xfffffb00,0x7fdc0007,0xffff74ff,0x3fff2009,0xfffff13f,0x7ffffd40,
    0x06ffff80,0x80fffff2,0x224ffff8,0x7405ffff,0xffb0ffff,0x7fe40bff,
    0x7ffcc3ff,0xffff103f,0xffffffff,0x005fffff,0x37fffff4,0xfffff700,
    0xffffffff,0x5c01dfff,0xff91ffff,0x7ff401ff,0x7ffff96f,0xffff9800,
    0x3fae6005,0x7fc41fff,0x3ffe22ff,0x3e62ffff,0x7fdc2fff,0x3ffe05ff,
    0x3ae6006f,0x3ee1ffff,0x3fe05fff,0xffff16ff,0xffff103f,0x3ffff25f,
    0x1bfffa00,0x007fffee,0x00bffff0,0x27ffffd4,0x22ffff88,0x503ffff8,
    0x3ee07db9,0x6c006fff,0x003fffff,0xa7fffdc0,0x004ffffb,0x265ffff9,
    0x7c04ffff,0xff80ffff,0x3ff206ff,0x3ff207ff,0x7fffc3ff,0xffff500f,
    0x3ffff61f,0x3fffe601,0x1ffffcc4,0xffffff88,0xffffffff,0xf7002fff,
    0x09ffffff,0x3ffffee0,0xffffffff,0x7dc01fff,0xfff91fff,0x7fff401f,
    0x07ffff96,0x5ffff980,0x3fff6e60,0xd80fffff,0x3fea4fff,0x2e4fffef,
    0xffb87fff,0x3ffa03ff,0x3f6e607f,0x0fffffff,0x80ffffee,0xff17fffe,
    0xffb0dfff,0x3ff25fff,0x3ffa00ff,0xffffb86f,0x7fffc001,0xffff5005,
    0x3ff601df,0x7fffc44f,0xffe80003,0x3fee007f,0x80002fff,0xf74ffffb,
    0x32009fff,0xff52ffff,0xffe807ff,0xffff80ff,0x3ffff206,0xffff985f,
    0x7fffdc0f,0x7fffcc0d,0xffffb0ff,0x7fffc401,0x1ffffcc5,0xcccccc88,
    0xcccfffff,0xf8801ccc,0xffffffff,0xffffb801,0xffffffff,0xfb800cff,
    0xfff91fff,0x7fffc03f,0x07ffff96,0x5ffff980,0x7ffffe44,0x0fffffff,
    0x327fffb8,0x6fffafff,0x2e17fff6,0x3a02ffff,0x7e447fff,0xffffffff,
    0x3fee0fff,0x3ffa02ff,0xfffff17f,0xfffd99df,0x3ff25fff,0x3ffe01ff,
    0xffffb86f,0x7fffc001,0xffffa805,0xfff500ef,0xffff881f,0xffd80003,
    0xfff000ff,0x200005ff,0xf54ffffb,0x32009fff,0xff72ffff,0xffd805ff,
    0xffff80ff,0x3ffff206,0xffcbceff,0xfff04fff,0xff959dff,0x361fffff,
    0x7c00ffff,0x7fcc6fff,0xfe8003ff,0x6c0007ff,0xffffffff,0xfffb806f,
    0xbcccccef,0x3ee0009a,0xfff91fff,0x7fffc03f,0x07ffff96,0x3ffea013,
    0x3fffa65f,0xffdbefff,0xfff880ff,0x3afffd1f,0xfff88fff,0xffffb82f,
    0x9ffffa01,0xffffffe9,0x0ffffdbe,0x807fffee,0xff17fffe,0xffffffff,
    0x25ffffff,0x201ffffc,0xfb86ffff,0x7c001fff,0x7d405fff,0x100effff,
    0x3337ffff,0x39ffff33,0x3f200013,0xf8801fff,0x4c002fff,0x7ffff700,
    0x013fffea,0xb97fffec,0x6c02ffff,0xff80ffff,0x3ff206ff,0xffffffff,
    0x500fffff,0xffffffff,0x1fffffff,0x003ffff6,0xf98dffff,0x2aa03fff,
    0xfffeaaaa,0x0aaaaaaf,0x7ffffd40,0x04fffffd,0x027fffdc,0x3ffee000,
    0x3ffff91f,0xcb7fffc0,0xfe8bffff,0xfff504ff,0x3fffe29f,0x3fee0adf,
    0xfffd00ff,0x32bfff17,0xfffaafff,0xffffb80f,0x5ffffa01,0xadfffff8,
    0x83fffee0,0x201ffffb,0xff17fffe,0xffffdbff,0x25ffff7f,0x201ffffc,
    0xfb86ffff,0x7c001fff,0x3ea05fff,0x200effff,0xfffffffa,0xffffffff,
    0xf90004ff,0xf5003fff,0xfd300fff,0x3fee07ff,0xffff33ff,0x3fff600b,
    0x7ffff51f,0x0ffffe80,0x206ffff8,0xfe9ffffc,0x0effffff,0x7ffffdc0,
    0xfffcbfff,0x3ffffb0f,0x2ffffc40,0x40ffffe6,0xfffffff8,0xffffffff,
    0x3fe202ff,0xfff96fff,0x7fdc03ff,0x400004ff,0xf91ffffb,0x3e203fff,
    0xfff96fff,0xdffff17f,0x53fffee0,0x904ffffa,0x2e01ffff,0xfffaefff,
    0xf99fff33,0x3fee0bff,0x3ffa01ff,0x9ffff57f,0x83ffff20,0x201ffffb,
    0xff17fffe,0xfffd19ff,0x25ffff17,0x101ffffc,0xf70dffff,0xf8003fff,
    0xff505fff,0xa801dfff,0xffffffff,0xffffffff,0x7db9714f,0x07fffec0,
    0x03fffdc0,0x82ffffcc,0xf13ffffc,0x8803ffff,0xf30fffff,0xff80bfff,
    0xfff80fff,0x3fff206f,0xfffff90f,0x7ff54009,0xfff91eff,0x3ffff61f,
    0x3fffe603,0x1ffffcc4,0xffffff88,0xffffffff,0x3f602fff,0xff11ffff,
    0x7dc0dfff,0x00004fff,0xa8ffffdc,0xf502ffff,0x3ff2dfff,0xfffff3ff,
    0x5ffffb01,0x403ffff2,0x300ffffd,0xfffbffff,0x7ff7ffc3,0xfff703ff,
    0x7fff403f,0x01ffff97,0xb83ffff6,0x3a01ffff,0xfff17fff,0x40054c9f,
    0x502ffffa,0xf70dffff,0xf8003fff,0xff985fff,0xf5005fff,0xffffffff,
    0xffffffff,0x1ffffe29,0x037fffc4,0x803ccca8,0xd06ffff8,0x7fc3ffff,
    0x7ec06fff,0x3fe27fff,0xff700fff,0xfff01fff,0x7ffe40df,0x00054c0f,
    0xfc813510,0xfffb0fff,0x7ffe40df,0x7fffcc3f,0xfffff103,0xffffffff,
    0x2a05ffff,0x544fffff,0x704fffff,0x0009ffff,0x1ffffb80,0x10dffff3,
    0x32dfffff,0xffd3ffff,0x3f261bff,0xff90ffff,0xfff507ff,0x7ff403ff,
    0x7ec7ffff,0x00ffffff,0x403ffff7,0xff97fffe,0xfff507ff,0x7ffdc3ff,
    0x3fffa01f,0x09ffff17,0x3fffe600,0xfffff886,0x1ffffb86,0x2ffffc00,
    0x037ffff4,0xffffff50,0xffffffff,0x7ff49fff,0x7fecc3ff,0x000002ff,
    0x86fffffc,0x47ffffd9,0xbdfffffc,0xffffb511,0xffffd87f,0x7fffcc0e,
    0xffff80ff,0x3ffff206,0x40000000,0xfb0ffffc,0xf50bffff,0xf981ffff,
    0x2aa04fff,0xfffeaaaa,0x0aaaaaaf,0x6fffff88,0x3fffffb0,0x09ffff70,
    0xfffb8000,0xfffff11f,0xffff957b,0x3fff2dff,0xfffff53f,0xffffffff,
    0x77fffdcb,0xffffc98a,0x3ff201ff,0x7dc5ffff,0x206fffff,0x201ffffb,
    0xff77fffe,0xf9315dff,0x5c3fffff,0x3a01ffff,0xfff17fff,0x3e20009f,
    0xcabdffff,0x86ffffff,0x001ffffb,0x322ffffc,0xaacfffff,0x01aaaaaa,
    0x1ffffc40,0xffffffb8,0x6fffffdb,0x3bbbaa00,0xffffb801,0xffffffff,
    0x7fffc44f,0xffffffff,0x440fffff,0xacefffff,0xfffffffc,0x06ffff80,
    0x003ffff2,0xff900000,0x3fff61ff,0xfdbcefff,0xf883ffff,0x05ddffff,
    0x00ffffd0,0x2fffffd8,0xdfffff10,0x09ffff70,0xfffb8000,0x3ffff61f,
    0xfdffffff,0xffff96ff,0x7ffffec7,0x0fffffff,0x3fffffe2,0xffffffff,
    0x3ffe602f,0x7fcc3fff,0x2e03ffff,0x3a01ffff,0xfff17fff,0xffffffff,
    0x7dc5ffff,0x3fa01fff,0xffff17ff,0x7fec0009,0xffffffff,0xfb86fffd,
    0x7c001fff,0x7ff45fff,0xffffffff,0x4004ffff,0x203ffff8,0xfffffffd,
    0x001effff,0x007fffee,0x7ffffff4,0x80efffff,0xfffffffb,0xffffffff,
    0xfffff903,0xffbfffff,0xffff01ff,0x7fffe40d,0x40000000,0xfb0ffffc,
    0xffffddff,0x40ffffff,0x7fffffff,0x0ffffd00,0x7ffffd40,0x7fffdc05,
    0x7fffdc4f,0x7dc00004,0x3fa21fff,0x8effffff,0xff96fffc,0x7ff447ff,
    0xffffffff,0xfffffa81,0xfff9efff,0x7fffc05f,0xffff81ff,0x3fee00ff,
    0x3ffa01ff,0x3fffea7f,0xff9effff,0x3ffee5ff,0x3fffa01f,0x09ffff17,
    0x7fff4400,0xfc8effff,0xfffb86ff,0x7ffc001f,0x3fffe65f,0xffffffff,
    0x44004fff,0x6c03ffff,0xffffffff,0x7dc000ef,0xd3001fff,0xffffffff,
    0x7f4c01df,0xffffffff,0x7dc02fff,0xafffffff,0xf80ffffa,0x3f206fff,
    0x00000fff,0x7fffe400,0xd1bfffb0,0xdfffffff,0x7fffe401,0xffd007ff,
    0x3fe200ff,0xe800ffff,0x2e1fffff,0x0004ffff,0x0ffffdc0,0x3bffff62,
    0x2dfff90c,0xb83ffffc,0xcfffffff,0x3fffa600,0x3fff24ff,0x3fff200f,
    0xffffb07f,0xffffb80d,0x1ffffa01,0x9fffffd3,0xb87fffe4,0x3a01ffff,
    0xfff17fff,0xd880009f,0x90ceffff,0xff70dfff,0xff8003ff,0x3fff25ff,
    0xffffffff,0x4004ffff,0x803ffff8,0xefffffea,0xfff70004,0xffc8003f,
    0x00bfffff,0xfffffc88,0x000cefff,0x3bffffd5,0x203fffea,0x3206ffff,
    0x0000ffff,0x7ffe4000,0x4bfffb0f,0x04fffffc,0xdfffff70,0xffffd001,
    0x3ffff200,0xfff3002f,0x7ffdcdff,0x5c00004f,0x2201ffff,0x2000000a,
    0x40019a98,0x80000a98,0x705ffffa,0xb807ffff,0x3a01ffff,0x53107fff,
    0xfffb8001,0x3fffa01f,0x09ffff17,0x00544000,0x1ffffb80,0x2ffffc00,
    0xffffffff,0xffffffff,0xfff88009,0x2a62003f,0x7dc00009,0x10001fff,
    0x40003353,0x000aaa98,0x0000cc40,0x5c0dffff,0x0000eeee,0x7775c000,
    0x02a2000e,0x000d4c00,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x70000000,0xd003ffff,0x0005ffff,0xfffffff1,0xffffffff,
    0xbfffffff,0x3ffffee0,0xdeffffff,0x33331003,0x0277774c,0x5c1dddd9,
    0x0004ffff,0x66666654,0xcccccccc,0x3fee003c,0x5c001fff,0xffffffff,
    0x0beeffff,0x26666620,0xf7099999,0xffffffff,0x7007bdff,0xffffffff,
    0xffffffff,0x7fffd4ff,0xffffffff,0x6cc5ffff,0xb9f640be,0x7004ffff,
    0x3f27ffff,0xfff73fff,0x4bfffe5f,0x004ffffa,0x3ffffff9,0xc8ffffdc,
    0x0000ffff,0x009dddd3,0x8ffffdc0,0x001ffffb,0xffffff98,0xffffffff,
    0xf74fffff,0x01ffffff,0xffffff88,0xbffff54f,0x3fffe600,0x0ffffdc2,
    0x007fffee,0x00bffffa,0x3ffffee0,0xffffffff,0xffffffff,0xffff705f,
    0xffffffff,0xfd803dff,0xfff50fff,0x7ffec0bf,0x3fffee0f,0x7fdc0004,
    0xffffffff,0x006fffff,0x13fffffa,0xfffff700,0xffffffff,0x3f209fff,
    0xffffffff,0xfffff72f,0xffffffff,0x7fdc03df,0xffffffff,0x7fffffff,
    0x3fffffea,0xffffffff,0x3ffea5ff,0x3ffcbeff,0x009ffff7,0x64ffffee,
    0xff73ffff,0x3fffe5ff,0x09ffff52,0xffffff70,0x1ffffb83,0x001ffff9,
    0x17fffea0,0xffffb800,0x03ffff71,0xfffff300,0xffffffff,0x29ffffff,
    0xfffffffb,0x7fffd402,0xfff54fff,0xff3005ff,0xfffb85ff,0x7fffdc1f,
    0xffffe801,0xffff8002,0xffffffff,0xffffffff,0xff705fff,0xffffffff,
    0x19ffffff,0x43ffff60,0x205ffffa,0x2e0ffffd,0x0004ffff,0x7fffffdc,
    0xffffffff,0xfff3006f,0x4001ffff,0xfffffffb,0xffffffff,0xfffc84ff,
    0x2fffffff,0xfffffff7,0xffffffff,0xfff701bf,0xffffffff,0x4fffffff,
    0xfffffffa,0xffffffff,0x3ffff65f,0x70ffffff,0x2009ffff,0xf93ffffb,
    0x3fee7fff,0x5ffff2ff,0x013fffea,0x3ffffff7,0x23ffff70,0x000ffffc,
    0x0bffff50,0x7fffdc00,0x03ffff71,0xfffff300,0xffffffff,0x29ffffff,
    0xfffffffb,0x7fffe404,0xfff54fff,0xf9801fff,0x7fdc2fff,0x7ffdc1ff,
    0xfffe801f,0x7fd4002f,0xffffeeff,0xffffffff,0x705fffff,0xffffffff,
    0xffffffff,0x3fff60bf,0xbffff50f,0x07fffec0,0x009ffff7,0xfffffb80,
    0xffffffff,0xff9006ff,0x007fffff,0x7fffffdc,0xffffffff,0x7e43ffff,
    0xffffffff,0xfffff72f,0xffffffff,0xf709ffff,0xffffffff,0xffffffff,
    0x7ffffd4f,0xffffffff,0x5ff15fff,0x7ffff951,0x027fffdc,0x93ffffb8,
    0x3ee7ffff,0xffff2fff,0x13fffea5,0xffffffa8,0x3ffff701,0x003ffff2,
    0x2ffffd40,0xffff7000,0x07fffee3,0x3fffe600,0xffffffff,0x4fffffff,
    0xfffffff7,0xffffe80f,0xfff54fff,0xf9809fff,0x7fdc2fff,0x7ffdc1ff,
    0xfffe801f,0x7ff4002f,0xffff90ff,0x33333337,0x2e013333,0x999cffff,
    0xffffdaa9,0xfffd81ff,0xbffff50f,0x23fffec0,0x99cffffb,0xa8019999,
    0xeeeeeeee,0x1fffffee,0xffffff00,0x7dc00dff,0x9999dfff,0xffffc999,
    0xfb80005f,0x9999cfff,0xfffffdaa,0x7fffdc1f,0x9999999c,0x2a199999,
    0x999dffff,0x99999999,0x0a605510,0x013fffee,0xc9ffffdc,0xff73ffff,
    0x3feaa5ff,0x09ffff51,0x3fffffe6,0x3fffee02,0x01ffff91,0x3fffea00,
    0x2aa60005,0xffff70aa,0x26660003,0xfffe9999,0x999999af,0xffffff70,
    0x3fe203ff,0x54ffffff,0x3fffffff,0x17fffcc0,0x707fffee,0xd003ffff,
    0x4005ffff,0x324ffffa,0x0002ffff,0x09ffff70,0x6ffffe98,0x2a4ccca8,
    0xb805ffff,0x7fffdc6f,0xffffffff,0x20000bff,0x003ffff8,0xfffffff5,
    0x3ee003ff,0xf8804fff,0x80007fff,0x404ffffb,0x46ffffe9,0x004ffffb,
    0x27fffd40,0x2e000000,0x7004ffff,0x3f27ffff,0xfff73fff,0xa87fcc5f,
    0xf984ffff,0x402fffff,0xf91ffffb,0x20001fff,0x005ffffa,0xffff7000,
    0xfd000003,0xf7003fff,0x7fffffff,0x3ffffea0,0xfff54fff,0x4c0dffff,
    0x7dc2ffff,0x7fdc1fff,0xffd801ff,0x3fa001ff,0x3ff21fff,0x700002ff,
    0x1009ffff,0x005fffff,0x02ffffd4,0x3fee2ff4,0xffffffff,0x01ffffff,
    0x09fffb00,0x5ffffec0,0x7004ffff,0x2009ffff,0x100ffffe,0x3ee03333,
    0xf9804fff,0x3ee3ffff,0x40004fff,0x004ffffa,0x03333100,0x013fffee,
    0xc9ffffdc,0xff73ffff,0x52fec5ff,0xf889ffff,0x802fffff,0xf91ffffb,
    0x26601fff,0x3fea0999,0x220005ff,0x3fee1999,0x0554c1ff,0xffffe800,
    0xffffb801,0xf905fffd,0x9ffffbff,0x3fffffea,0xfff303ff,0xffffb85f,
    0x0ffffdc1,0x07fffec0,0x5ffff980,0x017fffe4,0xffffb800,0xffff9004,
    0x7ffd400b,0x17fd405f,0x3fffffee,0xffffffff,0x54000fff,0x1000ffff,
    0xff1bffff,0xf7001fff,0x3a009fff,0x3ee06fff,0xffb81fff,0xff9004ff,
    0x7ffdcbff,0x7d40004f,0x00004fff,0x703ffff7,0x2009ffff,0xf93ffffb,
    0x3fee7fff,0x0ffe8aff,0x893fffea,0x02fffffe,0x23ffff70,0xd80ffffc,
    0x2a0effff,0x0005ffff,0x5c7fffee,0xff91ffff,0x8005ffff,0x801ffffe,
    0xffbffffb,0x7fffd07f,0x3ea9ffff,0xffffffff,0x2ffff980,0x54ffffdc,
    0x03ffff74,0x00ffff90,0x217fffec,0x002ffffc,0x9ffff700,0x3fffe200,
    0x3ffea006,0x17ff605f,0x3fffffee,0xffffffff,0x22005fff,0x2002ffff,
    0xf92ffffb,0xf7007fff,0xf3009fff,0x7dc09fff,0xffb81fff,0xff1004ff,
    0x7ffdcdff,0x7d40004f,0x00004fff,0x703ffff7,0x2009ffff,0xf93ffffb,
    0x3fee7fff,0xa83bd2ff,0xfd14ffff,0x4007ffff,0xf91ffffb,0xffc81fff,
    0x7fd41fff,0x2e0005ff,0xff71ffff,0xffffb5ff,0x4007ffff,0x801ffffe,
    0xff9ffffb,0x7ffc41ff,0x54ffff9f,0xffffffff,0xffff30bf,0xdffffb85,
    0x3ffff74f,0x0ffff700,0x1bfffe60,0x26fffff2,0x99999999,0x3ffee009,
    0x3ffe004f,0x3fea007f,0x33f205ff,0x4ffffb80,0xfffff510,0x3ff6003f,
    0x7ff4005f,0x3fffe67f,0xffffb806,0x3ffee604,0x3fee01ff,0xfffb81ff,
    0x3ffe004f,0x3fffee7f,0x9999999c,0x7d419999,0x00004fff,0x703ffff7,
    0x333bffff,0xf9333333,0x3ff27fff,0xffff73ff,0x7ffd4025,0xfffffd4f,
    0xfffb8007,0x1ffff91f,0x0fffffe4,0x02ffffd4,0x3ffff700,0x3fffffee,
    0xffffffff,0xfffd000f,0xfff7003f,0x87fffd1f,0xff8efffa,0xffff54ff,
    0x83fffff7,0x5c2ffff9,0x74ffffff,0x3263ffff,0xfff50ccc,0x3fff200d,
    0xffffc83f,0xffffffff,0x3ee05fff,0x3e004fff,0x5000ffff,0x440bffff,
    0x3fffee01,0x7fffc404,0xfff9802f,0x3fe6002f,0x7fff44ff,0x7ffdc01f,
    0xffffffff,0x01ffffff,0x40ffffdc,0x004ffffb,0x5c3ffffa,0xffffffff,
    0xffffffff,0x3fffea0f,0xeeeeeeef,0x7fdc06ee,0xfffb81ff,0xffffffff,
    0xffffffff,0x27ffff93,0x402ffffb,0xfddffffa,0x005fffff,0xc8ffffdc,
    0xff70ffff,0x3ea03fff,0x20005fff,0xf71ffffb,0x359fffff,0x09fffff7,
    0x07ffffa0,0x23fffee0,0x7e45fffb,0xffff8cff,0x93ffff54,0xf98dffff,
    0x7fdc2fff,0xff70efff,0x3ffee3ff,0x0bfff51f,0x0fffff10,0x3ffffff2,
    0xffffffff,0xfffff85f,0x6fffffff,0x03ffffd0,0x17fffea0,0xffffb800,
    0xffffd804,0x7fffc803,0x7fffec00,0x27fffe41,0x3ffffee0,0xffffffff,
    0xfb800fff,0xffb81fff,0x3f6004ff,0xfff71fff,0xffffffff,0x41ffffff,
    0xfffffffa,0x7fffffff,0x0ffffdc0,0x7fffffdc,0xffffffff,0xf93fffff,
    0x3fee7fff,0x7fd402ff,0xffffffff,0x2e002fff,0xff91ffff,0xffff51ff,
    0x7ffd405f,0x3ee0005f,0xfff71fff,0xfff507ff,0x3ffa00bf,0xffb801ff,
    0x7fff98ff,0x7c57fffc,0xfff54fff,0xfffff13f,0x17fffcc7,0x717fffee,
    0x3ee3ffff,0xfff31fff,0xffff900b,0x3ffff209,0xffffffff,0xfff85fff,
    0xffffffff,0xffffb06f,0x3ffea005,0x3ee0005f,0xfc804fff,0x7c404fff,
    0x22004fff,0xf886ffff,0x2e00ffff,0xffffffff,0xffffffff,0x7ffdc03f,
    0xffffb81f,0x3fff6004,0xfffff72f,0xffffffff,0x7d41ffff,0xffffffff,
    0x407fffff,0xb81ffffb,0xffffffff,0xffffffff,0xfff93fff,0x3fffee7f,
    0x7fffd402,0xffffffff,0xff7000ff,0x3fff23ff,0x2fffffaf,0x2ffffd40,
    0xffff7000,0x17fffee3,0x006ffff8,0x003ffffd,0x3e1ffff7,0xfff32fff,
    0x9ffff11f,0x547fffea,0xf30fffff,0xffb85fff,0x7ffdc1ff,0x3ffff71f,
    0x1013ffe2,0x201fffff,0xfffffffc,0xffffffff,0xffffff85,0x06ffffff,
    0x005ffffb,0x017fffea,0x4ffffb80,0x3ffffe80,0x07fffe40,0x9ffff700,
    0x0fffffa0,0xffffffb8,0xffffffff,0x2e05ffff,0xfb81ffff,0x3a004fff,
    0xff72ffff,0xffffffff,0x1fffffff,0x7fffffd4,0xffffffff,0x7fffdc07,
    0xfffffb81,0xffffffff,0x93ffffff,0x3ee7ffff,0x7d402fff,0xcfffffff,
    0x004fffff,0x323ffff7,0xffffffff,0xfffa804f,0x3ee0005f,0xfff71fff,
    0x7fff409f,0xffffd006,0xffff7003,0x5d3fffa1,0xfff16fff,0x3fffea9f,
    0x57ffff61,0x2a2ffff9,0x5c1fffff,0xff71ffff,0x1fffc3ff,0x37fffee0,
    0xfd999999,0x00002fff,0x009ffff7,0x90fffff4,0x3ea1dddd,0x20005fff,
    0x404ffffb,0x01fffff9,0x002ffffc,0x407ffffa,0x206ffffb,0x99dffffb,
    0xfda99999,0xf702ffff,0xff703fff,0x7fc009ff,0xfff71fff,0xfa80009f,
    0xaaaadfff,0x402aaaaa,0xb81ffffb,0x7004ffff,0x3f27ffff,0xfff73fff,
    0xfffa805f,0xff73ffff,0xf7003fff,0x3ff23fff,0xffffffff,0x7fffd400,
    0x3fee0005,0xffff71ff,0x3ffff407,0x1ffffe80,0x0ffffb80,0x3f6dfff7,
    0xffff14ff,0x87fffea9,0x9afffff8,0xff72ffff,0xfb83ffff,0x33311fff,
    0x402fff83,0xffffffff,0xffffffff,0xf700002f,0x7c009fff,0x7fec7fff,
    0xffff50ff,0x7fdc000b,0xff7104ff,0xfa80ffff,0x26002fff,0xeeefffff,
    0xffffeeee,0xffff701f,0x3ffee009,0xffff705f,0x9ffff703,0x7ffffc00,
    0x09ffff70,0xffffa800,0xff700004,0xfff703ff,0x3fee009f,0xffff93ff,
    0x0bfffee7,0xffffff50,0x6ffffe89,0x1ffffb80,0xfffffff9,0xfa809fff,
    0x20005fff,0xf71ffffb,0x7f405fff,0xffd007ff,0xff7003ff,0x3ffe61ff,
    0x12ffff8f,0x3ea9ffff,0x7fdc1fff,0xffffaeff,0xffffffd2,0x1ffffb83,
    0x405ffd00,0xfffffffb,0xffffffff,0x700002ff,0x2009ffff,0x6c6ffff8,
    0xff50ffff,0x5c000bff,0xffffffff,0xffffffff,0x7ffe404f,0x7ffe4007,
    0xffffffff,0x04ffffff,0x009ffff7,0x407ffffc,0xb81ffffb,0x1004ffff,
    0x7dcfffff,0x40004fff,0x004ffffa,0x3ffff700,0x09ffff70,0x4ffffee0,
    0xf73ffffc,0xfa805fff,0xfa84ffff,0x5c04ffff,0xff91ffff,0xffffffff,
    0x7ffd401f,0x3ee0005f,0xfff71fff,0x7fff403f,0xffffd007,0xffff7003,
    0x33fffe21,0xff10ffff,0x3ffea9ff,0xffffe81f,0xbd2ffffe,0xb83ffff9,
    0xb001ffff,0x7ff403ff,0xffffffff,0x2fffffff,0xfff70000,0x3fee009f,
    0x7ffec5ff,0xbffff50f,0x7ffdc000,0xffffffff,0x805fffff,0x4004fffe,
    0xffffffff,0xffffffff,0xffb80fff,0x3fa004ff,0xffb82fff,0xfffb81ff,
    0xfff7004f,0x7fffdcbf,0x7fd40004,0x700004ff,0xf703ffff,0x2e009fff,
    0xff93ffff,0x3ffee7ff,0x7ffd402f,0x3fff605f,0x3fee01ff,0xffff91ff,
    0xbffff5bf,0x2ffffd40,0xffff7000,0x07fffee3,0x007fffe8,0x003ffffd,
    0x741ffff7,0x6fffffff,0x553fffe2,0xf981ffff,0xffffffff,0x3fffee72,
    0x0ffffdc1,0x500cca80,0xffffffff,0xffffffff,0x200005ff,0x004ffffb,
    0xd87ffffd,0x3fea7fff,0x2e0005ff,0xffffffff,0xefffffff,0x7fffcc00,
    0x3ffea002,0xffffffff,0xffffffff,0x4ffffb83,0xfffff100,0x3ffff703,
    0x09ffff70,0x7fffff10,0x027fffdc,0x3fffea00,0xff700004,0xfff703ff,
    0x3fee009f,0xffff93ff,0x0bfffee7,0x09ffff50,0x37ffffcc,0x23ffff70,
    0x365ffffc,0xf502ffff,0x4000bfff,0xf71ffffb,0x7f403fff,0xffd007ff,
    0xff7003ff,0x7ffe41ff,0x3e24ffff,0xfff54fff,0x3fff603f,0x5c2fffff,
    0x7dc1ffff,0x00001fff,0x273ffffa,0xd9999999,0x0002ffff,0x09ffff70,
    0x6ffffe88,0xffa9bee0,0x2e0005ff,0xffffffff,0x01dfffff,0x01ffff70,
    0x67fffec0,0xaaaaaaaa,0x86ffffca,0x004ffffb,0x01fffff7,0x703ffff7,
    0x8809ffff,0x5c6ffffc,0x0004ffff,0x027fffd4,0xffffb800,0x4ffffb81,
    0x7ffff700,0x5cfffff2,0x5402ffff,0x6404ffff,0x704fffff,0x3f23ffff,
    0x3fe20fff,0xfff506ff,0x7dc000bf,0xfff71fff,0x7fff403f,0xffffd007,
    0xffff7003,0x7ffffcc1,0x3ffe22ff,0x3ffff54f,0x3ffffe20,0x7fdc2fff,
    0x7ffdc1ff,0xeeeb801f,0x7fffcc0e,0xfffc800f,0x999999bf,0x70199999,
    0x3339ffff,0xffff7533,0x2ff403ff,0x33bffff5,0x33333333,0x7fffdc33,
    0x0999999c,0x7fffc800,0x3fffe200,0x3ffe2007,0x7ffdc1ff,0x999999df,
    0xfffffda9,0x3ffff706,0x39ffff70,0xff753333,0xfb83ffff,0x9999cfff,
    0x99999999,0x9ffff509,0x3fee0000,0xfffb81ff,0xfff7004f,0x3ffff27f,
    0x05ffff73,0x04ffffa8,0x7fffffc4,0x1ffffb81,0xc81ffff9,0xfa83ffff,
    0x9999dfff,0x19999999,0x5c7fffee,0x3a01ffff,0xfd007fff,0xf7003fff,
    0x7fc41fff,0x220fffff,0xff54ffff,0x7fdc03ff,0x5c2fffff,0x7dc1ffff,
    0xfc801fff,0x7fec0fff,0xff9004ff,0xffffffff,0x3fffffff,0xffffff70,
    0xffffffff,0x7dc09fff,0x3fffea2f,0xffffffff,0xf71fffff,0x00009fff,
    0x005fffd8,0x013ffff2,0x89ffffb0,0xfffffffb,0xffffffff,0xf702ffff,
    0xff703fff,0xffffffff,0x9fffffff,0xffffff70,0xffffffff,0x3ea7ffff,
    0x00004fff,0x703ffff7,0x2009ffff,0xf93ffffb,0x3fee7fff,0x7fd402ff,
    0xffb804ff,0xffb86fff,0xffff91ff,0xfffff881,0x7ffffd40,0xffffffff,
    0xff71ffff,0x3ffee3ff,0x3fffa01f,0xffffd007,0xffff7003,0xfffffe81,
    0xa7fffc46,0x401ffffa,0x2ffffffe,0x20ffffdc,0x801ffffb,0x260ffffc,
    0x001fffff,0xfffffff9,0xffffffff,0xfff703ff,0xffffffff,0x01dfffff,
    0xff517ff6,0xffffffff,0x3fffffff,0x013fffee,0x9fffd000,0x7ffffc00,
    0x7ffd4001,0x3ffee0ff,0xffffffff,0x3fffffff,0x07fffee0,0x3fffffee,
    0xffffffff,0xffb80dff,0xffffffff,0xffffffff,0x09ffff53,0x3ffee000,
    0xffffb81f,0xffff7004,0x4fffff27,0x402ffffb,0x004ffffa,0x87fffffd,
    0xf91ffffb,0xff701fff,0xfffa89ff,0xffffffff,0x71ffffff,0x3ee3ffff,
    0x3fa01fff,0xffd007ff,0xff7003ff,0xfffc81ff,0x7ffc44ff,0x3ffff54f,
    0xfffff980,0x7fffdc2f,0x0ffffdc1,0x07fffe40,0x00bffffb,0x7fffffe4,
    0xffffffff,0xffb81fff,0xffffffff,0x402effff,0xfffa84fc,0xffffffff,
    0x71ffffff,0x0009ffff,0x04ffff80,0x0dffff50,0x3ffffe00,0x3ffffee3,
    0xffffffff,0x5c04ffff,0xfb81ffff,0xffffffff,0x02efffff,0x3fffffee,
    0xffffffff,0xff53ffff,0x200009ff,0xb81ffffb,0x7004ffff,0x3f27ffff,
    0xfff73fff,0xfffa805f,0xfff3004f,0x7fdc1fff,0xffff91ff,0x3ffffa01,
    0x3ffffea1,0xffffffff,0xff71ffff,0x3ffee3ff,0x3fffa01f,0xffffd007,
    0xffff7003,0xfffffa81,0xa7fffc42,0x801ffffa,0x42fffffc,0x5c1ffffb,
    0xc801ffff,0xff10ffff,0x64005fff,0xffffffff,0xffffffff,0xffffb81f,
    0xdeffffff,0x2031002c,0xfffffffa,0xffffffff,0xffff71ff,0x7c400009,
    0xfb003fff,0x20007fff,0x2e6ffffc,0xffffffff,0x2defffff,0x3ffff700,
    0xffffff70,0x59bdffff,0xfffff700,0xffffffff,0x2a7fffff,0x0004ffff,
    0x03ffff70,0x009ffff7,0x64ffffee,0xff73ffff,0xffa805ff,0x3f6004ff,
    0x3ee5ffff,0xfff91fff,0x3ffea01f,0x3fffea5f,0xffffffff,0xf71fffff,
    0x3fee3fff,0x3ffa01ff,0xfffd007f,0xfff7003f,0xffff881f,0x7fffc40f,
    0x03ffff54,0x5fffff10,0x01ffffb8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x90000000,0x0003ffff,0x3fffee00,0xeee98001,0xfb80004e,0xf7004fff,
    0x3e207fff,0x20006fff,0xfffffff9,0xffffffff,0xb304ffff,0x43ec817d,
    0xfffffffb,0xceefffff,0x7ffdc002,0xffffffff,0xff1003de,0xffffffff,
    0xffffffff,0x7ffffec1,0x3fff6000,0x3fffa0ff,0x7fcc004f,0xfffb0fff,
    0xfffb805f,0x7fcc05ff,0xcca805ff,0xcccb803c,0xcccccccc,0x004ccccc,
    0x2a600000,0x4cccc01a,0x27300000,0x44019998,0x33310999,0xaba98803,
    0x2a60001a,0x510001ab,0x33100155,0xfffc8033,0x4400001f,0x9affffc9,
    0xffa80199,0xb80005ff,0x7004ffff,0x2207ffff,0x0006ffff,0x3fffffe6,
    0xffffffff,0xa84fffff,0xcbefffff,0x7ffdc3ff,0xffffffff,0x00efffff,
    0xffffff70,0xffffffff,0xfff8803d,0xffffffff,0x0fffffff,0x17ffffe2,
    0x7ffffd40,0x3ffffdc2,0x3ffff200,0x13fffee5,0xffffffb0,0x3ffffb80,
    0x05fffc80,0x03800038,0x409ab988,0x7edc404c,0x80dfffff,0x0006ffff,
    0xffcaff54,0x3ffa00ff,0x3ffff76f,0xfffffb50,0x22009fff,0xfffffffd,
    0xfffa800b,0x2e03ffff,0x3201ffff,0x0001ffff,0x7ffffe40,0x01ffffff,
    0x02ffffd4,0x7fffdc00,0xffff7004,0x3fffe207,0x3fe60006,0xffffffff,
    0xffffffff,0xffffd84f,0x40ffffff,0xfffffffb,0xffffffff,0xfb801fff,
    0xffffffff,0xcfffffff,0xfffff100,0xffffffff,0xb81fffff,0x802fffff,
    0x885ffffe,0x001fffff,0x98bffffa,0x7c06ffff,0x01ffffff,0x00bffff6,
    0x2017fff2,0x20380003,0xfffffffb,0x303ffbad,0xffffffff,0xfff87fff,
    0xfc88006f,0xfff95fff,0x7fff401f,0x83ffff76,0xfffffffb,0x5c05ffff,
    0xffffffff,0xfb100eff,0xffffffff,0xffff701b,0x7fffe403,0x7e400001,
    0xffffffff,0x7fd401ff,0x2e0005ff,0xceffffdc,0xcccccccc,0x4ceffffe,
    0x837fffc4,0xffff9800,0xffffffff,0x4fffffff,0x65457fc4,0xfb83ffff,
    0xffffffff,0xffffffff,0xfffb807f,0xffffffff,0x05ffffff,0xfffffff1,
    0xffffffff,0xffd01fff,0xffb80dff,0xffb00fff,0x3e6009ff,0x7fc47fff,
    0x3fe607ff,0x203fffff,0x800fffff,0x3805fffc,0xd8838000,0xffffffff,
    0x980effff,0xffffffff,0x3e5fffff,0x26006fff,0x5ffffffd,0x401ffff9,
    0xff76fffe,0x7ffcc3ff,0xffffffff,0xfff704ff,0xffffffff,0xfffd01df,
    0xffffffff,0x3ffff70d,0x07ff75c0,0x3ff20000,0xffffffff,0x7ffd401f,
    0x3fa0005f,0xffffffff,0xffffffff,0x47ffffff,0xc86ffff8,0x33333003,
    0x5ffffd33,0x81333333,0x405302a8,0x99dffffb,0xffb99999,0x5c01ffff,
    0x999cffff,0xffffdaa9,0x333301ff,0xd3333333,0x20bfffff,0x03fffff9,
    0x07fffff1,0x03ffffd4,0x84ffffc8,0x901ffffe,0xbfffffff,0x1bfffe20,
    0x02fffe40,0x21c0001c,0xfffffff8,0x0fffffff,0xfffffe88,0xffffebbc,
    0x0bffff2f,0xfffffd50,0x3ff2bfff,0x3ffa00ff,0x3ffff76f,0x567fffec,
    0x7ffffdb9,0xdfffff88,0xfffffcaa,0x7ffffd43,0xfffffb9d,0x0ffffdc3,
    0x0003fdc0,0x3ffff700,0xffff5000,0x7ff4000b,0xffffffff,0xffffffff,
    0x447fffff,0x3626ffff,0xfe80003f,0x00001fff,0x3fffee00,0xffffd004,
    0xffffb809,0x7fff4c04,0x7dc0006f,0x6406ffff,0xd80fffff,0x4406ffff,
    0x802fffff,0xc81ffffe,0xfd03ffff,0x0fffffff,0x013fffea,0x402fffe4,
    0x6c380003,0xa9beffff,0x83fffffd,0x80effffb,0xc8fffffb,0xf7105fec,
    0xffffffff,0x3fff217d,0x3fffa00f,0x21ffb956,0xd05fffd8,0xfc81ffff,
    0xff983fff,0x7fff47ff,0x7fffd80f,0x00ffffdc,0x9998b7ec,0x801aa881,
    0x4c1ffffb,0xfff500aa,0x65c000bf,0xcceffffd,0xeccccccc,0x44ceffff,
    0xd16ffff8,0xd00007ff,0x1003ffff,0x55101333,0x3fffee03,0xffff7004,
    0xffffb80d,0xffff8804,0xff50002f,0xd001ffff,0xf98bffff,0xd801ffff,
    0x4c04ffff,0xf507ffff,0xff109fff,0x3ffffdff,0x05ffff90,0x017fff20,
    0xb8e0000e,0xe885ffff,0x6c0fffff,0x3601ffff,0x3fa3ffff,0x7fffe4c4,
    0x81cfffff,0x200ffffc,0x7d46fffe,0x32015107,0x7fc0ffff,0x37f606ff,
    0x3fffea2c,0x7ffff505,0x00ffffdc,0x7fd4bfee,0xfffd70ff,0x7fdc07ff,
    0xffff91ff,0xfffa85df,0xfb80005f,0xf7004fff,0x3e207fff,0xfff9efff,
    0xfe80002f,0xfb801fff,0x3fff26ff,0x7fdc2fff,0xff3004ff,0xffb80dff,
    0xff9004ff,0xf1000bff,0x003fffff,0x87ffffea,0x004ffffe,0x80fffff5,
    0x104ffffb,0xf50dffff,0xffff5fff,0x1ffffd07,0x7fffffc4,0xffffffff,
    0x00072fff,0x7ffffc70,0xfffffd80,0x2ffffc3f,0x53fffe60,0xffd32ff8,
    0x5dffffff,0x7fffe401,0x1bfffa00,0xb9800df9,0x221ffffe,0x0004ffff,
    0x205ffff7,0x2e4ffff8,0x3601ffff,0x3ffea5ff,0xfffffc8f,0xff706fff,
    0xffffb5ff,0x7d45ffff,0x80005fff,0x004ffffb,0x207ffff7,0xfffffff8,
    0xd00003ff,0x7003ffff,0xffb1dfff,0x49ffffff,0x004ffffb,0x80bffff7,
    0x004ffffb,0x00dffff1,0xfffffe88,0x7ffec003,0xdffff56f,0xfffff800,
    0x3ffffa02,0x3ffffa01,0xebfffe40,0xfff85fff,0x7fffc46f,0xffffffff,
    0x072fffff,0x3fe27000,0xcffc84ff,0x3e65ffff,0xff803fff,0x26fe9eff,
    0xfffffffa,0xfff9000c,0x7fff401f,0x300bfea6,0xffffffb7,0x7ffd41ff,
    0xff90003f,0x999999ff,0x5cbffff9,0x2e01ffff,0x7fffd43f,0xfffffffe,
    0xffb82fff,0xffffffff,0xf50fffff,0x0000bfff,0x339ffff7,0x93333333,
    0x2207ffff,0xffffffff,0x3fa00002,0xfb801fff,0xffffefff,0x71ffffff,
    0x3009ffff,0x809ffffd,0x004ffffb,0x001ffffe,0x09fffffb,0xfffff100,
    0x05fffff7,0x5ffffc80,0x0dffff30,0x42ffffc8,0xff94fffe,0xffff98ff,
    0x7ffffc44,0xffffffff,0x0072ffff,0x3ffe6700,0xeaffdc2f,0x3fee6fff,
    0xffe802ff,0x2a1fffff,0x003fffff,0x01ffffc8,0x36bbfffe,0xff9105ff,
    0xffffffff,0x7ffdc1ff,0xffd0002f,0xffffffff,0x5cdfffff,0x0401ffff,
    0x7fffffd4,0xffffb9bd,0xffffb86f,0xffb99bff,0xfff54fff,0x3332e0bf,
    0x3fffee04,0xffffffff,0x3fffffff,0xffffff10,0xe800003d,0xb801ffff,
    0xadffffff,0x4fffffb9,0x55bffff7,0xff975555,0xb801ffff,0x2004ffff,
    0x000fffff,0x0bfffff7,0x7fffdc00,0x005fffff,0x07ffff98,0x807ffff7,
    0x223ffffa,0xff52ffff,0x7ffdc3ff,0x7fffc42f,0xffffffff,0x072fffff,
    0x3fee7000,0x9bfea1ff,0xf70ffffd,0xff005fff,0xa819ffff,0x2dffffff,
    0x3ffff200,0x3ffffe01,0xfd303fff,0xb7dfffff,0x7dc1ffff,0xd0003fff,
    0xffffffff,0xdfffffff,0x00ffffdc,0x7ffffd40,0x7ffff985,0x2fffffb8,
    0x55ffffa8,0x360bffff,0x3ee07fff,0xffffffff,0xffffffff,0xfff103ff,
    0x00001bff,0x03ffffd0,0x7fffff70,0x2bffff70,0xfffffffb,0xffffffff,
    0x3fe02fff,0xffffffff,0xfffd06ff,0xfff5003f,0x80001dff,0xfffffffe,
    0xffd0000f,0xfffd05ff,0xfff8801f,0x3fffea5f,0x47ffff10,0xa80ffffd,
    0xffdaaaaa,0xaaaaaaef,0x27000070,0xf32ffffa,0x7ffe41df,0x7ffff50f,
    0x3fffff00,0x3ffffe60,0x400bffff,0x201ffffc,0x01cfffff,0x37ffffe2,
    0x3fffee0a,0x13fffea0,0x7fffec00,0xaaaaaaab,0x3fee2aaa,0xfa8001ff,
    0xfd00efff,0xfff70fff,0x7fffc0df,0x0bffff56,0xb81ffff6,0xffffffff,
    0xffffffff,0xff503fff,0x10000dff,0xfff99999,0x59999bff,0x05ffffb8,
    0x7ddbfffe,0xffffffff,0xefffffff,0x7ffffc01,0x6fffffff,0x05ffffb0,
    0xffffff98,0xff980001,0x003fffff,0x17ffff20,0x00bffff1,0xfc9ffffe,
    0x7fff46ff,0x01ffffa5,0x00bfff90,0x26700007,0xff8bffff,0x37ffec0f,
    0x80bffff3,0x404ffff9,0xffffffb8,0xf902dfff,0x3e203fff,0xfa806fff,
    0xff904fff,0x7ffc41ff,0x2f3aa05f,0x3ffff90a,0x3ffee000,0xffa8001f,
    0x3ff605ff,0x7ffdc0ff,0x3fffa03f,0x0bffff57,0xb81ffff6,0xffffffff,
    0xffffffff,0xffa83fff,0x80006fff,0xfffffff8,0xffffffff,0x1ffffdc4,
    0x2effffd0,0xffffffff,0xadffffff,0xfffff800,0x6fffffff,0x05ffffb0,
    0x7fffff44,0x3ee00002,0x0006ffff,0x07ffffcc,0x007ffff7,0x7c3ffff6,
    0x7fe44fff,0xbffff17f,0x5fffc800,0x38000380,0xfdbffff1,0xbffff03f,
    0x01fffff8,0x00bffffa,0xfffffea8,0x2a0cffff,0xf502ffff,0xf900dfff,
    0x3f601fff,0x7ffc0fff,0xfffd00ff,0x3fffea3f,0x8357b103,0x001ffffb,
    0x03ffffa8,0x703ffff2,0x7405ffff,0xfff57fff,0x3fff60bf,0x3fffee07,
    0xffff7004,0xfffffb87,0xf880006f,0xffffffff,0x44ffffff,0x202ffffb,
    0xff77fffe,0xffd99dff,0x0003dfff,0x009ffff7,0x00fffff4,0x09fffffb,
    0xffff0000,0xfd00003f,0x7ff45fff,0xff7000ff,0xffff35ff,0x9ffffa85,
    0x003ffffa,0x402fffe4,0x3a380003,0x82ffffff,0x643ffffb,0xc81effff,
    0x000effff,0xfffffd98,0xff34ffff,0xfff10dff,0xff900dff,0xfff507ff,
    0xfffc83ff,0x7ffd40df,0x7ffffc6f,0x3ffffd81,0x007fffee,0x0ffffea0,
    0x40ffffc8,0x202ffffb,0xff57fffe,0x26620bff,0x3ffee019,0xfff7004f,
    0xffffe87f,0x880006ff,0xfffccccc,0x2ccccdff,0x00ffffdc,0x3eeffffd,
    0x7ec44fff,0x4002ffff,0x004ffffb,0xc81ffffe,0x005fffff,0xffffd000,
    0xff700001,0x3ffe2bff,0x3fe6005f,0xffffbcff,0x5ffffc40,0x001ffffc,
    0x402fffe4,0x2a380003,0xa84fffff,0xf886ffff,0xccdfffff,0x01fffffe,
    0x7ffe4400,0xff15ffff,0xf957bfff,0x00dfffff,0x15dffff7,0xffffff93,
    0xfffff883,0xffffeccf,0x7fffdc3f,0xfffdaadf,0x3ffee0ff,0xffa8001f,
    0x3ff203ff,0x7ffdc0ff,0x3fffa01f,0x0bffff57,0xffff7000,0x3ffee009,
    0x7ff7f43f,0x000006ff,0x007ffffa,0x807fffee,0xff77fffe,0x3ffa09ff,
    0x2e002fff,0x1004ffff,0x2a0dffff,0x00efffff,0xfffd0000,0xf100001f,
    0xff71ffff,0xff8005ff,0x6fffdeff,0xfbbfffd0,0xf9000fff,0x00700bff,
    0xfffd8700,0xffdbbdff,0xff301fff,0xffffffff,0x00007fff,0x5ffffeb8,
    0x3ffffff6,0xfffdffff,0xffff8806,0xffffffff,0xffb82fff,0xffffffff,
    0xffd885ff,0xffffffff,0x7ffdc2ff,0xffa8001f,0x3ff203ff,0x7ffdc0ff,
    0x3fffa01f,0x0bffff57,0xffff7000,0x3ffee009,0x7fce743f,0x000006ff,
    0x007ffffa,0x807fffee,0xff77fffe,0x3fe209ff,0x7001ffff,0x2009ffff,
    0x985ffffb,0x00ffffff,0x3ffa0000,0xb00000ff,0xffd5ffff,0xffb000ff,
    0x09ffffff,0x3fffffee,0xfc8005ff,0x003805ff,0x7ffdc380,0xffffffff,
    0x7f4c04ff,0xffffffff,0x2000002f,0x3a25ffda,0xefffffff,0x006fffc9,
    0xfffffff5,0xbffff3df,0x3ffffea0,0x00efffff,0x3ffffff2,0xfb82ffff,
    0xa8001fff,0x3203ffff,0x7dc0ffff,0x3fa01fff,0xffff57ff,0xff70000b,
    0x3ee009ff,0xf8943fff,0x00006fff,0x07ffffa0,0x07fffee0,0xf77fffe8,
    0x7d409fff,0x7006ffff,0x2009ffff,0x443ffffe,0x02fffffe,0x7ff40000,
    0x500000ff,0xfffdffff,0xff70009f,0x03ffffff,0x3fffffe6,0x000003ff,
    0x47000070,0xfffffffa,0x02ffffff,0x3fffb2a0,0x00000cef,0xd88b9300,
    0x90dfffff,0x4c00dfff,0x24fffffe,0x100ffffc,0xdffffffb,0x3ff6a005,
    0x701cffff,0x0003ffff,0x407ffff5,0x5c0ffffc,0x3a01ffff,0xfff57fff,
    0xf70000bf,0x2e009fff,0xf103ffff,0x0000dfff,0x0fffff40,0x0ffffdc0,
    0x2effffd0,0x6c04ffff,0x803fffff,0x404ffffb,0x86ffffe8,0x03fffffd,
    0xffe80000,0x100000ff,0xffffffff,0xff30003f,0x80ffffff,0xffffffff,
    0x2aaaaa01,0xaaaaaaaa,0x0070aaaa,0x3ffe2700,0xfffffea9,0x220000df,
    0x0000009a,0x01530000,0x2a620000,0x26200000,0x2200009a,0x000009aa,
    0x7ffff500,0x07fffe40,0x807fffee,0xff57fffe,0x33333bff,0x03333333,
    0x009ffff7,0x40ffffee,0x99effff8,0x99999999,0xffd00099,0xff7003ff,
    0x7ff403ff,0x9ffff77f,0xfffff880,0x7ffdc01f,0xa99999cf,0x1ffffffb,
    0x77ffffdc,0x99999999,0x00099999,0x007ffff4,0xffffb000,0x2000ffff,
    0xfffffff8,0x7fffec05,0x3fe207ff,0xffffffff,0x2fffffff,0x54700007,
    0x04d4c41f,0x00000000,0x00000000,0x00000000,0x00000000,0xfa800000,
    0x3f203fff,0x7fdc0fff,0x3ffa01ff,0xfffff57f,0xffffffff,0xfb83ffff,
    0xf7004fff,0x3e207fff,0xffffffff,0xffffffff,0xffffd002,0xffff7003,
    0xbffff403,0x804ffffb,0x06fffffa,0x7fffffdc,0xffffffff,0xffc84fff,
    0xffffffff,0xffffffff,0x7ff4004f,0x200000ff,0xfffffffa,0x3ffa0004,
    0x5c03ffff,0x05ffffff,0x3fffffe2,0xffffffff,0x99992fff,0x99999999,
    0x00b99999,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x203ffffa,0x5c0ffffc,0x3a01ffff,0xfff57fff,0xffffffff,0x83ffffff,
    0x004ffffb,0x207ffff7,0xfffffff8,0xffffffff,0xffd002ff,0xff7003ff,
    0x7ff403ff,0x9ffff77f,0x3ffff600,0x3ffee03f,0xffffffff,0x80efffff,
    0xfffffffc,0xffffffff,0x4004ffff,0x000ffffe,0x7ffffc00,0x320001ff,
    0x01ffffff,0x7fffffcc,0x3fffe203,0xffffffff,0x002fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfff50000,0x7ffe407f,
    0x7fffdc0f,0x5ffffa01,0xfffffffa,0xffffffff,0x7ffdc1ff,0xfff7004f,
    0x3ffe207f,0xffffffff,0x02ffffff,0x03ffffd0,0x03ffff70,0xfbbffff4,
    0xf1004fff,0x201fffff,0xfffffffb,0xefffffff,0x3ffff202,0xffffffff,
    0x4fffffff,0x7ffff400,0x7e400000,0x0006ffff,0x3fffffd4,0xffffff80,
    0x3fffe201,0xffffffff,0x002fffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfff50000,0x7ffe407f,0x7fffdc0f,0x5ffffa01,
    0xfffffffa,0xffffffff,0x7ffdc1ff,0xfff7004f,0x3ffe207f,0xffffffff,
    0x02ffffff,0x03ffffd0,0x03ffff70,0xfbbffff4,0x2a004fff,0x705fffff,
    0xffffffff,0x0059bdff,0xfffffff9,0xffffffff,0x8009ffff,0x000ffffe,
    0x7fffcc00,0x7c40003f,0xb005ffff,0x000fffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x801aa980,0x4c009aa9,0x4c000002,0x2009abaa,
    0x44019998,0x53000999,0xa9800035,0xa8809aba,0x98800aab,0x99999999,
    0x26219999,0x20aa2099,0x54409998,0x0554401a,0x20200040,0xa8809998,
    0x3333101a,0x46666600,0x22009998,0x26201999,0x26662199,0x26660099,
    0x00000099,0x4c033331,0x70009999,0x31009999,0x00620333,0xeee88014,
    0xd87bbae3,0x3bba64ee,0x55530002,0x09988001,0x40035530,0x22001a98,
    0x01880099,0xfffb7100,0x6c41bfff,0x1effffff,0x0019ff50,0x7fffdc00,
    0xc82dffff,0x3a00ffff,0xb7106fff,0x1bffffff,0x3fff2200,0x98bfffff,
    0xdffffffd,0x3ffff601,0xffffffff,0xbfffb1ff,0xe97ffff2,0xffd34fff,
    0xffb87fff,0xf302efff,0x70be6005,0x7fe4dfff,0x7e42ffff,0x7c402fff,
    0xfff95fff,0x7ffff40f,0x4ffffb00,0x05fffff8,0x01fffff7,0x00bfffe0,
    0xb01ffff9,0x003fffff,0x201ffffa,0x441ffffc,0x1fec01ff,0x987fff40,
    0x7fdc5fff,0x03fffa2f,0x9ffff100,0x43ffd800,0xefffffe9,0xffffb101,
    0x7ff5407f,0xfea80dff,0xf3002dff,0xffffffff,0xfffd35ff,0x07ffffff,
    0x03bffff5,0x7fff4400,0xffffffff,0x07fffe43,0x30dfffd0,0xffffffff,
    0xe8807fff,0xffffffff,0xffffffff,0xb00fffff,0xffffffff,0x23ffffff,
    0xffadfffd,0x3ffa4fff,0xfffffacf,0xfff93fff,0x883fffff,0xfec9afff,
    0x2fff9ade,0x363bffee,0xffffffff,0x1bfffe24,0x25ffff70,0x881ffffa,
    0xf02fffff,0xffa89fff,0x7fcc2fff,0x3e002fff,0x7e402fff,0x7fe40fff,
    0x3a001fff,0xfc807fff,0x3fe21fff,0xfffb01ff,0x1fffdc07,0xfd03fffd,
    0x3ffe61ff,0x7ffdc005,0xfd8800ff,0x7fff43ff,0x440fffff,0xffffffff,
    0xfffff985,0x7ffc46ff,0x4c02ffff,0xffffffff,0xffffffff,0xffffffff,
    0x7fffd42f,0xd8002eff,0xffffffff,0x321fffff,0x3a00ffff,0x7fcc6fff,
    0xffffffff,0x3fa04fff,0xffffffff,0xffffffff,0x80efffff,0xfffffffd,
    0x1fffffff,0xfffffffb,0x7ff43fff,0xffffffef,0xfffeffff,0x0fffffff,
    0x3ffffffa,0xffffffff,0xffff71ff,0xfffffffd,0x7fec3fff,0x3ffa00ff,
    0x1ffffc7f,0x27ffffd4,0x40ffffd4,0x20effffd,0x004ffffe,0x2017fffc,
    0x2e0ffffc,0x001fffff,0x403ffff4,0x3a1ffffc,0x6c1fffff,0x981fffff,
    0x3ff26fff,0xbfff504f,0x001fffec,0x07ffffff,0x7ffffe44,0x2affff23,
    0x7e42fffc,0xffffdfff,0x54effe42,0x3ff62ffe,0x406ffb9c,0xbdfffffe,
    0xffffffec,0xffc88cff,0x3fea0fff,0xbfffffff,0xffff8800,0xfff9309c,
    0x7fffe4bf,0x9bfffa00,0xcffffff8,0xfffffebb,0xdffffb82,0xffffda9b,
    0xfc99cfff,0xeec85fff,0xffeeeeee,0xffb0efff,0xffdfffff,0xefffffe8,
    0xffffea9b,0xffd9beff,0x3fee3fff,0xffffffff,0x2e4fffff,0xadffffff,
    0x4fffffb9,0x40ffffea,0x6c4ffff9,0xffc86fff,0xffc86fff,0xfffd107f,
    0x3fffee9f,0x7ffc000e,0x7ffe402f,0xfffff50f,0xfffd0005,0xffff900f,
    0x7ffffcc3,0xfffffb1f,0x4bfffa05,0x200ffff9,0xff13fffd,0xff7001ff,
    0x5c0dffff,0x23ffffff,0x7ffc2b98,0x897ffe23,0x7ff46fff,0xcb97ff21,
    0x01fff10d,0x07bfffee,0x3ffffff6,0x3ffff883,0x7ffffed4,0x201cffff,
    0xd00ffffa,0x7fe459bf,0x3ffa00ff,0x3fffee6f,0xffffb80e,0x77ff640e,
    0xfffffe80,0x3ffffa82,0x7ffff400,0x3ffff61f,0xfe8530cf,0x7cc0ffff,
    0x5c0fffff,0x7dc4ffff,0xffffffff,0x7dc4ffff,0xfb83ffff,0x7ffc5fff,
    0xffff906f,0x0ffffa81,0x7ffffff4,0x027fff40,0xf7fffff3,0x0003ffff,
    0xc805ffff,0xff98ffff,0x10002fff,0x95003333,0xff981999,0xfffdffff,
    0xfff902ff,0x0ffffa2b,0x21ffff30,0xe806fffc,0x2fffffff,0xffb19f70,
    0x7fedcc07,0x0bffea3f,0x3a00fffb,0xfd7103ff,0x7ffec0bf,0x3fffe01f,
    0xfff701ff,0x3ffae20d,0x2dffffff,0x1dffffa8,0x7fffe400,0x9bfffa00,
    0x201ffffd,0x203ffffd,0xffff7019,0x2fffec0d,0xfffffb00,0x6ffffd83,
    0x2ffffe80,0x05fffff0,0x98bffff1,0xb9cfffff,0x5c3ffffe,0x3e05ffff,
    0x7fe46fff,0xffff81ff,0x2ffff885,0x3fffffe2,0x3fffe62f,0x7fffdc02,
    0x003fffff,0x805ffff0,0xffaffffc,0x00003fff,0xff300000,0xffffffff,
    0x3fffea05,0x00dfff91,0x7c5bfff6,0x3ea03fff,0x6fffceff,0x1ffec130,
    0x3fffffaa,0x3ffee4ff,0x007ffdc0,0x5c03fff2,0x7fc06fff,0x7fdc06ff,
    0x3fe606ff,0x7e4c00ff,0xefffffff,0x3ffffe22,0x6400bdff,0x3a00ffff,
    0x3ffe6fff,0x7ffcc05f,0x6dcc004f,0x2e04ffff,0xf9007fff,0xfb07ffff,
    0xfd007fff,0x3fe01fff,0xff880fff,0x7ffe45ff,0x6fffd80f,0x01ffffdc,
    0xf88ffffd,0x7fd44fff,0xfffb02ff,0x7f7ffd49,0x3ffee4ff,0xffffd007,
    0xca80dfff,0xfffccccc,0x3cccccdf,0xfffffff9,0x99100bff,0x99999999,
    0x19999999,0xffff3000,0x2207ffff,0xff54ffff,0x3e2005ff,0xfff73fff,
    0x3fffa03f,0x01ffff8b,0x3ee3ffd8,0xfffbefff,0x703ffee4,0x36203fff,
    0x3b202fff,0xf880dfff,0x7cc04fff,0xccccefff,0x1ffffccc,0xfffd7100,
    0xffe8bfff,0xefffffff,0xffffc80c,0x5bfffa00,0x803ffff9,0x4c06ffff,
    0xffffffdb,0xcccccdff,0x00ffffdc,0x27ffffdc,0x02ffffd8,0x207fffe8,
    0x3e07ffff,0x7fec5fff,0xffff504f,0x02ffffb8,0x361ffffa,0x7fec7fff,
    0x3ffee07f,0x3ebfff27,0x3fff66ff,0xffff1005,0xfc801fff,0xffffffff,
    0x6fffffff,0xfffffff9,0xf8801fff,0xffffffff,0xffffffff,0xfff30001,
    0x74409fff,0xfff34fff,0x3fe2005f,0xffff34ff,0x1ffff505,0x2017fff6,
    0x3ffe3ffd,0x49fff10d,0x7ec2fffa,0xfffd307f,0x3ffa2005,0x3ffffa83,
    0x7ffffc40,0xffffffff,0x98002fff,0x445ffffe,0xfffffffe,0x320cffff,
    0x3e01ffff,0xfff76fff,0xfffd005f,0xffff710f,0xffffffff,0xffffffff,
    0x5403ffff,0x205fffff,0x801ffffd,0x3a07fffe,0x3fe06fff,0x7fff45ff,
    0x83fffe01,0x201ffffb,0xfa87fffe,0xfff12fff,0x7ffc409f,0x3afffd1f,
    0xfff88fff,0x3fee002f,0xfc804fff,0xffffffff,0x6fffffff,0xfffffff9,
    0xf8809fff,0xffffffff,0xffffffff,0xfffb0001,0x4c03ffff,0xff91ffff,
    0x3ff200df,0x9fffd0ef,0xa97fffa0,0x6c01ffff,0x3fff33ff,0xf127ffd4,
    0x7ffc49ff,0x1efff986,0xffb85530,0x3ffffa86,0x7ffffcc0,0xffffffff,
    0x22003fff,0x5ffffffb,0xffffeb88,0x25ffffff,0x201ffffc,0xff76ffff,
    0xfff005ff,0xfffe88ff,0xffccefff,0xffffffff,0x02ffffff,0x0dfffff3,
    0x00ffffd8,0x207fffe8,0x3e06fffe,0x7fec5fff,0xffff304f,0x0ffffdc1,
    0x20ffffd0,0xff75ffff,0xffe801ff,0x95fff8bf,0xfff55fff,0x7ff4001f,
    0x6400ffff,0xffffffff,0xffffffff,0xffffff96,0x403fffff,0xfffffff8,
    0xffffffff,0xfd8001ff,0xffffffff,0x97fff201,0x4403fffe,0xff71ffff,
    0xfff301df,0x4ffff85f,0xff1ffec0,0xffff75df,0xcefffc89,0x7cc2ffff,
    0x3fe00eff,0x217ff61f,0x406ffff9,0xaaeffffa,0xaaaaaaaa,0xffda801a,
    0x05ffffff,0x7ffff5cc,0xff92ffff,0x7ffc03ff,0x7ffff56f,0x8bffff00,
    0x0bfffffd,0x2b3fffea,0xaaaaaaaa,0xfff880aa,0x7ec00eff,0xfe800fff,
    0x3ffa07ff,0x3fffe06f,0x83fffe45,0x7dc7fffd,0x3fa01fff,0xfff907ff,
    0x0bfffd1f,0xf5dfff70,0x3ffe67ff,0x005fffcc,0x3fffffee,0x7ffe405f,
    0xffffffff,0xf96fffff,0xff3bffff,0x7fc40dff,0xffffffff,0x1fffffff,
    0x7fffec00,0x1fffffff,0x4cbfffa0,0x3600ffff,0xfff14fff,0x3fff603f,
    0x0ffffc86,0xfc8fff60,0xffffffff,0x7ffffc44,0xffe85fff,0x25ffffff,
    0xffedfffb,0xffff882f,0x3ffee00f,0x9100007f,0xffffffff,0xa88003bf,
    0x94fffffc,0x2203ffff,0xff36ffff,0xff980bff,0x3ffe24ff,0xffff705f,
    0xfe880009,0xd800ffff,0xe800ffff,0x3fa07fff,0x3ffe06ff,0x7fffcc5f,
    0xfffda8be,0x7fffdc4f,0x1ffffa01,0x7dffffc4,0xf9802fff,0x1fffdfff,
    0x3fffbffe,0xfff3003f,0x07ffffff,0x0bfffe00,0x4dffff90,0x002ffffc,
    0x36000000,0xf9afffff,0x301fffff,0x7fe4dfff,0xdfff304f,0x9827ffe4,
    0xf883ffff,0x3f604fff,0x3ffb223f,0x886ffabf,0x83fffffd,0xfffffff8,
    0x7ffec5ff,0x3fa03fff,0xff103fff,0x2e05ffff,0xfda81abc,0xffffffff,
    0xbb95300c,0xa7fffcc0,0x502ffffa,0x7fcdffff,0x3fa01fff,0x3fea2fff,
    0xfff902ff,0x0d6640df,0x1fffffe8,0x1ffffb00,0x0ffffd00,0xf037fff4,
    0xff98bfff,0xffffffff,0x7fdc3fff,0x3ffa01ff,0x3fff607f,0x2007ffff,
    0x7ffffffe,0x7fffffec,0xfffd000f,0x3fffffbf,0x5ffff000,0x1ffffc80,
    0x01bfffe2,0x6c000000,0x262fffff,0x00ffffff,0x7f47fff9,0xfffe80ff,
    0x40dfff11,0xb00ffffd,0x2e01ffff,0x003301cc,0xc9806a60,0xcccccccc,
    0x0cddb883,0x7ffffd40,0x7fffec42,0x7fcc0dff,0x3ffe67ff,0x3effffff,
    0x3ffffe80,0x27ffff50,0x886ffff9,0x326fffff,0xc81effff,0x7d46ffff,
    0xff884fff,0xfa84ffff,0x7fec6fff,0x9999bfff,0xffb09999,0xffd001ff,
    0x7fff40ff,0x97fffe06,0xfffffff8,0xffffffff,0x07fffee3,0x207fffe8,
    0xfffffffa,0x3fff2004,0x7fdc5fff,0x9006ffff,0x3f6bffff,0xf8006fff,
    0x7e402fff,0x7fdc0fff,0x7f4003ff,0xeeb807ff,0x3ffee0ee,0xffff982f,
    0x87fff405,0x7d45fff9,0x3fff63ff,0x02666601,0x00199988,0x00000000,
    0xd8000000,0xdcefffff,0xffffffff,0xfffcacff,0x3ffea3ff,0x001dffff,
    0x33ffffee,0xfffeb98a,0xfffff11f,0xffff957b,0x7ffc4dff,0xfeccdfff,
    0x7cc1ffff,0xb88bffff,0xfffffffe,0xffffcabe,0x3fffea2f,0xffffffff,
    0xfffb5fff,0xfffd001f,0x37fff40f,0x74bffff0,0xffffffff,0xffffffff,
    0x03ffff71,0x203ffff4,0x1fffffff,0x3fffe600,0x7ffcc3ff,0xfa803fff,
    0xff10ffff,0xf8009fff,0x7e402fff,0x7fc40fff,0x3a000fff,0xfc807fff,
    0x7fdc1fff,0x017fe602,0xeb8fbba6,0x97bb60ee,0x0003eee9,0x00000000,
    0x00000000,0x7ffc4000,0xffffffff,0xffffffff,0x46ffffff,0x0cfffffa,
    0xffffb000,0xffffffff,0xffffd87f,0xfdffffff,0x7ffcc6ff,0xffffffff,
    0xfffd03ff,0xffffffff,0xffffffff,0xa8bfffff,0xffffffff,0x5fffffff,
    0x001ffffb,0x740ffffd,0x3fe06fff,0x3ffe65ff,0xbffffeac,0x3ee4fffa,
    0x3fa01fff,0x7fe407ff,0xf8006fff,0xf81fffff,0x400fffff,0x43fffff8,
    0x01fffffb,0x00bfffe0,0x701ffff9,0x400bffff,0xc807fffe,0x3b81ffff,
    0x00005980,0x00000000,0x00000000,0x00000000,0x3ff62000,0xefffffff,
    0xfffffe99,0x540effff,0x0000beff,0xffffffd8,0x884fffff,0xfffffffe,
    0x86fffc8e,0xffffffe9,0x2602ffff,0xffffffff,0xfffa8cff,0x5fffffff,
    0xffffffa8,0xffffffff,0x1ffffb5f,0x0ffffd00,0xf037fff4,0x4f98bfff,
    0x5c4fa808,0x3a01ffff,0x7c407fff,0x8002ffff,0xb07ffffc,0xb00dffff,
    0x360dffff,0x000effff,0xc805ffff,0xfd00ffff,0x3a003fff,0xfc807fff,
    0x00001fff,0x00000000,0x00000000,0x00000000,0x80000000,0xefffffea,
    0xffffeb83,0x05b502ef,0xffb30000,0x03bfffff,0x77fffec4,0x0dfff90c,
    0x7ffff654,0xfd8800ce,0x40deffff,0xffffffc8,0xffff502e,0xffffffff,
    0x3ff6bfff,0xffe800ff,0x3fffa07f,0x17fffe06,0xf7030002,0x7f403fff,
    0xffd807ff,0xff50007f,0x3fee0bff,0x7fd403ff,0xff100fff,0x2a00bfff,
    0x7e400aaa,0xff500fff,0x3b200dff,0xffc805ee,0x000001ff,0x00000000,
    0x00000000,0x00000000,0x40000000,0x988009a9,0x0000009a,0x33533000,
    0x00151000,0x004d4400,0x009a9880,0x00135310,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2aa00000,0x2aaaa602,0xaaaaaaaa,0x5532aaaa,0x55555555,
    0x05555555,0xeb8026a2,0xfff10eee,0x3ffea1ff,0xbffff76f,0x01bdcb88,
    0x4006f2e6,0x0aaaaa09,0x302eeee6,0x2ea35555,0x1bbbbbbb,0x2a3dddd5,
    0x2aa60aaa,0x2666661a,0x99999999,0x10999999,0x99999999,0x99999999,
    0x00005999,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x1ffa0000,0xffffffc8,0xffffffff,
    0xffff96ff,0xffffffff,0xd88dffff,0xc80cffff,0xff10ffff,0x3fea1fff,
    0xffff76ff,0xfffffb8b,0x7ffffcc7,0x3f501cff,0x21ffffd4,0x741ffffb,
    0xffd0ffff,0x27ffffff,0xfd1ffffb,0x7ffdc1ff,0xffffff33,0xffffffff,
    0x267fffff,0xffffffff,0xffffffff,0x00003fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0ffb0000,0x7fffffe4,0xffffffff,0xffff96ff,0xffffffff,0x7c4dffff,
    0x86ffffff,0xf10ffffc,0x3ea1ffff,0xfff76fff,0xfd3198bf,0x3fffee7f,
    0xbeffffff,0x5c1ffeba,0x7fdc6fff,0x3ffea1ff,0x3ffffa1f,0xff73ffff,
    0x3fffa3ff,0x4cfffee0,0xffffffff,0xffffffff,0xfff33fff,0xffffffff,
    0xffffffff,0x00000007,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x226fc8ae,0x3fffff23,
    0xffffffff,0xfff96fff,0xffffffff,0x74dfffff,0xfffccfff,0x87fffe44,
    0x50fffff8,0x3eedffff,0x7dc05fff,0xfffffd6f,0xffffffff,0xf903ffff,
    0x7ffdc5ff,0x07fff61f,0xfffffffd,0x3fffee7f,0x5c1fffd1,0xfff33fff,
    0xffffffff,0xffffffff,0x2eeeee27,0xbbbbbbbb,0x01bbbbbb,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xff000000,0xfb3bf95d,0x3ffff23f,0xffffffff,0xff96ffff,
    0xffffffff,0x2dffffff,0x7fc46ff9,0x07fffe47,0x2a1fffff,0xff55ffff,
    0xa8822bff,0xfffd2ffe,0xffffffdd,0x03ffffff,0xffb9bff2,0x5fff31ff,
    0xffffffd0,0x3ffee7ff,0x4199991f,0x0002ccca,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x98000000,0xffffffff,0x00004fff,0xfff70000,0x360ffead,
    0x47fb81ff,0x3e26fffe,0xfff14fff,0x3fffea9f,0x2bfa6fff,0x3fff6a20,
    0x402fffff,0x33310ccc,0x98166543,0xaaaaaaaa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0xfffffda8,0x0002ceff,0xff700000,
    0x20ffeedf,0x6fd81ffd,0x3e2fffe4,0x3ffe2fff,0xfffff32f,0x4400d87d,
    0x00bdffeb,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0037ffe4,0xb8000000,0xdff36fff,0xfa87ff88,0x27ffdc3f,
    0xfe87fff6,0x000881ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xff700000,0xdd709ffd,0xdddddddd,0x0bdddddd,
    0x37ffdc00,0xff97fffd,0x86ffd89f,0x75c2eee9,0x3bbae0ee,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3a3ffea0,0x7ffe43ff,0xffffffff,0x006fffff,0x99bffee0,0xefffffff,
    0x00067e40,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfff88000,0x643fff32,0xffffffff,0xffffffff,
    0x3fee0006,0x7fff4c6f,0x001880df,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x5e980000,0x3ff20f6c,
    0xffffffff,0x06ffffff,0x1bffee00,0x0000554c,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x08800000,
    0xcccca804,0xcccccccc,0x0003cccc,0x000f3326,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_39_latin_ext_x[560]={ 0,3,1,0,1,1,1,1,1,1,0,1,1,1,
2,-1,1,2,0,1,0,1,1,1,1,1,3,2,1,1,1,1,1,0,2,1,2,2,2,1,2,2,0,2,
2,2,2,1,2,1,2,1,0,2,-1,0,0,-1,0,2,-1,0,1,-1,0,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,0,0,2,0,0,0,0,0,1,3,0,1,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,1,0,0,0,
3,1,0,-1,0,1,1,1,-1,-1,1,0,0,0,3,1,-1,2,0,1,0,1,1,1,0,1,0,0,0,0,
0,0,-2,1,2,2,2,2,-1,1,-1,-1,-1,2,1,1,1,1,1,1,1,2,2,2,2,-1,2,2,1,1,
1,1,1,1,1,1,1,1,1,1,-1,2,-1,-1,1,2,1,1,1,1,1,0,1,2,2,2,2,0,2,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,2,1,-1,1,2,1,2,1,2,1,2,1,2,1,1,1,
1,1,1,1,1,1,2,2,0,0,-2,-2,-1,-1,-1,-1,1,1,2,2,2,2,0,-2,2,2,2,2,2,2,
-1,2,2,2,2,0,0,2,2,2,2,2,2,-1,2,2,1,1,1,1,1,1,1,1,2,2,2,0,2,1,
1,0,1,0,1,0,1,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,0,0,-1,0,
-1,0,0,0,0,0,0,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,-1,4,4,4,
4,4,4,4,4,4,4,4,4,4,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,2,2,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,1,-1,-1,1,
1,2,2,2,2,2,2,2,2,2,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,0,1,-2,1,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__arial_bold_39_latin_ext_y[560]={ 31,6,6,5,3,5,5,6,5,5,5,9,26,19,
26,5,5,5,5,5,5,6,5,6,5,5,12,12,9,12,9,5,5,6,6,5,6,6,6,5,6,6,6,6,
6,6,6,5,6,5,6,5,6,6,6,6,6,6,6,6,5,6,5,34,5,12,6,12,6,12,5,12,6,6,
6,6,6,12,12,12,12,12,12,12,6,12,12,12,12,12,12,5,5,5,15,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,31,12,6,5,9,6,
5,5,5,5,5,14,12,19,5,1,5,7,5,5,5,12,6,16,31,5,5,14,5,5,5,12,-1,-1,-1,0,
0,1,6,5,-1,-1,-1,0,-1,-1,-1,0,6,0,-1,-1,-1,0,0,10,4,-1,-1,-1,0,-1,6,5,5,5,
5,6,5,4,12,12,5,5,5,5,5,5,5,5,6,6,5,5,5,6,5,9,11,5,5,5,5,5,6,5,
0,6,-1,5,6,12,-1,5,-2,5,-1,5,-1,5,-1,6,6,6,0,6,-2,5,-1,5,6,12,-1,5,-2,5,
-1,5,-1,5,5,3,-2,-1,6,6,-1,6,0,6,-2,5,6,6,0,12,6,6,-2,5,6,6,12,-1,-1,6,
6,6,6,6,6,6,6,-1,5,6,12,-1,5,6,5,12,0,6,-2,5,-1,5,5,12,-1,5,6,12,-1,5,
-1,5,-2,5,5,12,-1,5,6,6,-1,6,6,6,-1,6,0,6,-2,5,-2,4,-1,5,6,12,-2,5,-2,5,
0,-1,5,-1,5,-1,5,5,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,5,9,9,5,9,9,9,
9,9,9,9,9,9,9,9,9,9,5,12,9,9,9,9,9,9,9,9,9,9,9,9,9,6,12,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,-1,5,-1,5,-1,
5,-1,5,-1,-1,-1,-1,-1,-1,-1,-1,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,-5,-2,-2,5,-2,5,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9, };
static unsigned short stb__arial_bold_39_latin_ext_w[560]={ 0,6,14,20,17,29,24,6,10,9,13,18,7,10,
6,11,17,12,18,17,19,18,18,17,17,17,6,7,18,18,18,19,33,26,22,23,22,20,18,25,21,6,17,24,
19,25,21,25,20,26,24,21,21,21,25,33,24,25,21,9,11,10,18,21,9,18,18,18,19,18,13,19,17,6,
10,18,6,27,17,20,19,19,13,18,12,17,19,28,20,19,17,12,4,13,19,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,6,18,19,19,20,
4,18,12,27,13,17,18,10,27,21,12,19,11,11,8,18,21,6,10,8,13,17,28,28,29,19,26,26,26,26,
26,26,36,23,20,20,20,20,9,9,12,12,25,21,25,25,25,25,25,18,26,21,21,21,21,25,20,19,18,18,
18,18,18,18,29,18,18,18,18,18,9,8,12,12,20,17,20,20,20,20,20,19,20,17,17,17,17,19,19,19,
26,18,26,18,27,20,23,18,23,18,23,18,23,18,22,25,25,21,20,18,20,18,20,18,20,18,20,18,25,19,
25,19,25,19,25,19,21,17,25,19,13,13,12,12,12,12,9,9,6,6,23,15,20,13,24,18,18,19,8,19,
10,19,12,19,13,21,10,21,17,21,17,21,17,24,22,17,25,20,25,20,25,20,33,31,24,13,24,15,24,14,
21,18,21,18,21,18,21,18,21,12,21,17,21,12,21,17,21,17,21,17,21,17,21,18,21,20,33,28,25,19,
25,21,17,21,17,21,17,10,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,23,18,18,21,18,18,18,
18,18,18,18,18,18,18,18,18,18,29,24,18,18,18,18,18,18,18,18,18,18,18,18,18,27,24,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,26,18,12,12,25,
20,21,17,21,17,21,17,21,17,21,17,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,26,18,36,29,26,20,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18, };
static unsigned short stb__arial_bold_39_latin_ext_h[560]={ 0,25,9,27,32,28,27,9,34,34,13,19,11,6,
5,27,27,26,26,27,26,26,27,25,27,27,19,25,20,13,20,26,34,25,25,27,25,25,25,27,25,25,26,25,
25,25,25,27,25,29,25,27,25,26,25,25,25,25,25,33,27,33,15,4,6,20,26,20,26,20,26,27,25,25,
33,25,25,19,19,20,26,26,19,20,26,20,19,19,19,27,19,34,34,34,8,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,26,32,27,19,25,
34,34,5,27,14,16,13,6,27,4,12,24,14,14,6,26,32,6,8,14,14,16,27,27,27,27,32,32,32,31,
31,30,25,34,32,32,32,31,32,32,32,31,25,31,33,33,33,32,32,17,29,33,33,33,32,32,25,27,27,27,
27,26,27,28,20,27,27,27,27,27,26,26,26,26,26,25,27,27,27,26,27,19,22,27,27,27,27,34,32,34,
31,26,32,27,33,27,33,27,34,27,33,27,33,27,32,26,25,26,31,26,33,27,32,27,33,27,32,27,34,34,
33,34,33,34,34,36,33,32,25,25,32,25,31,25,33,26,33,33,31,19,26,33,34,34,33,33,19,32,32,33,
33,25,25,25,25,25,25,32,26,33,27,32,26,25,27,27,32,26,34,27,33,27,27,20,32,26,33,27,32,26,
33,27,34,27,34,27,33,27,37,36,32,26,25,26,33,26,32,26,34,27,34,28,33,27,33,27,33,26,33,34,
31,32,26,32,26,32,26,26,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,27,22,22,34,22,22,22,
22,22,22,22,22,22,22,22,22,22,27,20,22,22,22,22,22,22,22,22,22,22,22,22,22,26,20,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,32,27,32,26,33,
27,33,27,33,33,33,33,33,33,33,33,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,36,34,33,27,35,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22, };
static unsigned short stb__arial_bold_39_latin_ext_s[560]={ 508,15,74,146,192,220,104,89,473,368,1,
308,66,153,164,20,52,206,219,348,238,258,202,134,89,276,366,85,398,15,33,
277,378,152,179,445,215,238,259,269,292,314,297,334,385,452,478,19,489,135,154,
82,430,315,253,279,464,227,205,182,387,1,428,184,127,442,411,461,337,480,357,
32,412,405,497,366,359,172,220,89,371,391,158,52,430,71,238,258,287,356,140,
484,363,285,107,333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,
333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,508,504,181,
85,200,443,129,134,171,406,456,392,34,153,190,206,53,313,484,496,144,156,47,
137,96,447,470,410,434,463,25,105,154,244,313,1,457,81,22,319,292,271,223,
423,126,89,499,444,59,484,434,205,157,1,473,373,108,271,183,135,451,425,113,
336,317,298,279,53,242,162,110,183,164,145,126,107,1,502,344,193,245,136,481,
460,439,357,399,346,352,261,330,312,294,115,69,23,28,119,99,148,349,221,399,
63,43,70,482,1,354,420,200,277,179,303,402,325,52,386,361,295,73,250,340,
314,67,343,214,217,306,299,426,63,479,136,66,26,411,278,389,202,1,438,469,
378,382,499,29,14,452,412,98,388,327,27,501,78,423,93,321,46,1,92,500,
328,138,56,258,237,101,1,167,1,385,451,259,366,30,405,352,1,123,424,407,
488,281,409,332,469,195,218,237,426,192,333,1,23,148,391,114,378,30,175,259,
11,93,45,153,202,377,129,327,237,293,72,280,175,55,306,227,363,472,170,490,
266,333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,1,333,333,1,
333,333,333,333,333,333,333,333,333,333,333,333,333,55,373,333,333,333,333,333,
333,333,333,333,333,333,333,333,186,417,333,333,333,333,333,333,333,333,333,333,
333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,210,167,
350,214,94,125,231,492,460,253,120,240,258,12,142,164,333,333,333,333,333,333,
333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,
333,333,333,36,110,432,376,83,181,333,333,333,333,333,333,333,333,333,333,333,
333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,
333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,
333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,
333,333,333,333,333,333,333,333,333, };
static unsigned short stb__arial_bold_39_latin_ext_t[560]={ 1,318,391,263,108,175,207,391,1,1,391,
370,391,391,391,235,235,291,291,207,291,291,235,318,235,207,370,318,344,391,370,
291,1,318,318,175,318,318,318,175,318,318,291,318,318,318,318,207,291,175,344,
207,318,291,344,344,291,344,344,74,207,74,370,391,391,344,291,344,291,344,291,
235,318,318,1,318,318,370,370,370,291,291,370,370,291,370,370,370,370,235,370,
1,1,1,391,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,
344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,1,175,142,
263,370,291,1,1,391,235,370,370,391,391,207,391,391,344,370,370,391,291,142,
391,391,370,370,370,235,235,263,263,142,142,142,175,142,175,318,1,142,142,142,
142,142,142,108,142,318,142,38,38,38,142,108,370,175,38,38,38,108,108,318,
235,235,235,235,291,235,175,370,235,235,235,235,235,291,207,263,291,263,344,207,
207,207,263,207,370,344,235,207,207,207,38,142,38,175,291,142,207,38,235,38,
207,38,235,38,235,74,207,142,263,344,263,142,263,74,175,142,175,74,175,142,
175,38,1,74,1,74,1,1,1,74,142,344,344,108,318,142,318,108,263,74,
74,142,344,291,108,1,1,108,74,370,142,74,108,38,318,318,344,318,344,318,
108,291,108,207,108,291,344,207,207,108,263,1,207,108,175,175,370,108,263,74,
175,108,263,74,175,1,207,1,175,74,175,1,1,108,263,344,263,74,291,108,
291,38,207,1,175,38,207,38,207,38,291,74,1,175,108,263,108,263,108,263,
263,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,263,344,344,39,
344,344,344,344,344,344,344,344,344,344,344,344,344,263,344,344,344,344,344,344,
344,344,344,344,344,344,344,344,263,344,344,344,344,344,344,344,344,344,344,344,
344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,108,263,
108,263,74,263,38,235,38,38,74,74,74,74,74,74,344,344,344,344,344,344,
344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,
344,344,344,1,1,74,235,1,175,344,344,344,344,344,344,344,344,344,344,344,
344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,
344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,
344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,
344,344,344,344,344,344,344,344,344, };
static unsigned short stb__arial_bold_39_latin_ext_a[560]={ 155,186,265,311,311,497,403,133,
186,186,217,326,155,186,155,155,311,311,311,311,311,311,311,311,
311,311,186,186,326,326,326,341,545,403,403,403,403,373,341,434,
403,155,311,403,341,465,403,434,373,434,403,373,341,403,373,527,
373,373,341,186,155,186,326,311,186,311,341,311,341,311,186,341,
341,155,155,311,155,497,341,341,341,341,217,311,186,341,311,434,
311,311,279,217,156,217,326,419,419,419,419,419,419,419,419,419,
419,419,419,419,419,419,419,419,419,419,419,419,419,419,419,419,
419,419,419,419,419,419,419,419,155,186,311,311,311,311,156,311,
186,412,207,311,326,186,412,308,223,307,186,186,186,322,311,155,
186,186,204,311,466,466,466,341,403,403,403,403,403,403,559,403,
373,373,373,373,155,155,155,155,403,403,434,434,434,434,434,326,
434,403,403,403,403,373,373,341,311,311,311,311,311,311,497,311,
311,311,311,311,155,155,155,155,341,341,341,341,341,341,341,307,
341,341,341,341,341,311,341,311,403,311,403,311,403,311,403,311,
403,311,403,311,403,311,403,401,403,341,373,311,373,311,373,311,
373,311,373,311,434,341,434,341,434,341,434,341,403,341,403,341,
155,155,155,155,155,155,155,155,155,155,438,311,311,155,403,311,
311,341,155,341,155,341,215,341,268,341,155,403,341,403,341,403,
341,396,404,341,434,341,434,341,434,341,559,527,403,217,403,217,
403,217,373,311,373,311,373,311,373,311,341,186,341,268,341,186,
403,341,403,341,403,341,403,341,403,341,403,341,527,434,373,311,
373,341,279,341,279,341,279,155,419,419,419,419,419,419,419,419,
419,419,419,419,419,419,419,406,419,419,311,419,419,419,419,419,
419,419,419,419,419,419,419,419,476,397,419,419,419,419,419,419,
419,419,419,419,419,419,419,463,404,419,419,419,419,419,419,419,
419,419,419,419,419,419,419,419,419,419,419,419,419,419,419,419,
419,419,419,419,419,403,311,155,155,434,341,403,341,403,341,403,
341,403,341,403,341,419,419,419,419,419,419,419,419,419,419,419,
419,419,419,419,419,419,419,419,419,419,419,419,419,419,419,419,
419,419,403,311,559,497,434,341,419,419,419,419,419,419,419,419,
419,419,419,419,419,419,419,419,419,419,419,419,419,419,419,419,
419,419,419,419,419,419,419,419,419,419,419,419,419,419,419,419,
419,419,419,419,419,419,419,419,419,419,419,419,419,419,419,419,
419,419,419,419,419,419,419,419,419,419,419,419,419,419,419,419,
419,419,419,419,419,419,419,419, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_39_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_bold_39_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_39_latin_ext(stb_fontchar font[STB_FONT_arial_bold_39_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_39_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_bold_39_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_39_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_39_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_39_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_39_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_39_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_39_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_39_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_39_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_39_latin_ext_s[i] + stb__arial_bold_39_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_39_latin_ext_t[i] + stb__arial_bold_39_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_39_latin_ext_x[i];
            font[i].y0 = stb__arial_bold_39_latin_ext_y[i];
            font[i].x1 = stb__arial_bold_39_latin_ext_x[i] + stb__arial_bold_39_latin_ext_w[i];
            font[i].y1 = stb__arial_bold_39_latin_ext_y[i] + stb__arial_bold_39_latin_ext_h[i];
            font[i].advance_int = (stb__arial_bold_39_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_39_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_39_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_39_latin_ext_s[i] + stb__arial_bold_39_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_39_latin_ext_t[i] + stb__arial_bold_39_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_39_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_39_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_39_latin_ext_x[i] + stb__arial_bold_39_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_39_latin_ext_y[i] + stb__arial_bold_39_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_39_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_39_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_39_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_39_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_39_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_39_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_39_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_39_latin_ext_LINE_SPACING
#endif

