// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_40_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_40_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_40_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_bold_40_latin_ext_BITMAP_HEIGHT        424
#define STB_FONT_arial_bold_40_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_bold_40_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_bold_40_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_bold_40_latin_ext_LINE_SPACING          26

static unsigned int stb__arial_bold_40_latin_ext_pixels[]={
    0x99999991,0x99999999,0x00199999,0x00000038,0x26666200,0xf7000001,
    0x0000bfff,0x0ccccc40,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x98000000,0xffffffff,0xffffffff,0x7000ffff,0x540003ff,
    0xff900004,0x000007ff,0x8017fffe,0xf9007fff,0x20009fff,0xcdffecb9,
    0x4400000b,0x2cdefedb,0x0000dff9,0x03ffffea,0x6777fcc0,0x65400000,
    0xdeffffed,0x3600000b,0x0004ffff,0x01fffb22,0xdffdb751,0xd800019b,
    0x0004ffff,0x3ffffe60,0xb7100000,0x39bdfffd,0x7fcc0000,0xfc800fff,
    0x5c004fff,0x4002ffff,0x0bfb04fe,0x9ffffb00,0x4fffa000,0xfff9ffff,
    0xffffffff,0xffffffff,0xfffb800f,0x5fe98003,0xfff88000,0x7000004f,
    0x4001dfff,0xf8807fff,0x98004fff,0xfffffffe,0x00002fff,0xfffffff1,
    0x07ffe2bf,0xffff1000,0x3e600bff,0x001fffff,0x7fffe4c0,0xffffffff,
    0x540003ef,0x02ffffff,0xfffffb80,0x3fffea07,0xcfffffff,0xfffa8000,
    0x00002fff,0x0dfffffd,0xfffd9800,0xffffffff,0x7440001d,0x406fffff,
    0x2ffffffa,0x3fffee00,0x0ffe4002,0x5000ffe6,0x05ffffff,0xf0fffa80,
    0xffff3fff,0xffffffff,0xffffffff,0x1eff8801,0x7ffe4400,0xffc80005,
    0x2000005f,0x4000effe,0xfb807fff,0xfb8005ff,0xffffffff,0x000dffff,
    0x7fffff40,0x3ff63fff,0x7fec0006,0x802fffdf,0x6ffffff9,0xfffb1000,
    0xffffffff,0x3dffffff,0xdfff1000,0x4001ffff,0x7ffffff8,0xffffff70,
    0xffffffff,0x7ffc4003,0x000ffffe,0x7efffe40,0xf70003ff,0xffffffff,
    0x07ffffff,0x6fffe400,0xff103fff,0x01ffffdf,0x0bfffee0,0x9dfff100,
    0x4001fffd,0xfffefff8,0x3ffa000f,0x3a3fffe5,0xffeeeeee,0xeeeeefff,
    0x7d400eee,0xff98003f,0x440005ff,0x00005fff,0x003ffea0,0x201fffe0,
    0x44005fff,0xfffffffe,0xffffffff,0x3fe60006,0x1fffffff,0x000bffea,
    0x745fffdc,0x7cc00fff,0x03ffffff,0x7ffffcc0,0xa999abcf,0xfffffecb,
    0x7ffec003,0x005fffa8,0x3ffffff6,0xfffffc87,0xffffffff,0x3fa006ff,
    0x5fff98ff,0x3ffea000,0x003fffb4,0xffffffd8,0xffffffff,0xa8002fff,
    0xfffd4fff,0x33fffb03,0x2e00bfff,0x8002ffff,0xfffffffa,0x7fff4002,
    0x005fffa8,0x7fc3fff7,0xfffc807f,0x7dc0003f,0x26004fff,0x0005ffff,
    0x00037fdc,0x00fae200,0x203fffc0,0x4000effb,0xdffffffc,0xfffffdbb,
    0xf70004ff,0x7535dfff,0x000dfff0,0x7ccbfff3,0xb99805ff,0x2005ffff,
    0x0aeffffb,0x3fffa600,0xfff7003f,0x01fffdc7,0x9bffffe8,0xffffff81,
    0xfffba9bd,0xfb804fff,0x3ffee2ff,0xfff88003,0x01bffe26,0xffffffb8,
    0xfffcabde,0x000fffff,0xf89bffe2,0x7ffdc6ff,0x00fffee3,0x00733326,
    0x6f7f6c40,0x7ffdc000,0x00fffee2,0xfff1bffe,0xffff900f,0xffc80007,
    0x3e6004ff,0x00005fff,0x36000000,0x4000ffff,0x00007fff,0x3ffffe20,
    0xfffa880e,0xc8000fff,0xc803ffff,0x00002fff,0x3ffa0000,0xfff7006f,
    0xfa80005f,0x00001fff,0x9ffff000,0x37fffcc0,0x1bffffe0,0x00000000,
    0x7fcc0000,0x2603ffff,0x04fffffe,0x00000000,0x00000000,0x00000000,
    0xff87fff7,0xfffc807f,0x7e40003f,0xc9804fff,0xcceffffd,0x90000004,
    0x9df98001,0x7fc004fb,0x1cd9807f,0x3ffff600,0xffffb805,0xffe8004f,
    0xff9800ff,0x0000006f,0x1bfff600,0x07bffe60,0x7ffc4000,0x0000000f,
    0x203ffff8,0x402ffffc,0x00fffffb,0x00000000,0xfffe8000,0xff8801ff,
    0x00007fff,0x00000000,0x00000000,0xff880000,0x3fffc1ff,0x1ffffe40,
    0x26662000,0xfffb8009,0x0fffffff,0xffd97300,0xdfb059bd,0xd0fe4001,
    0x7fff800f,0x1ffffe40,0x7ffffd40,0xbfffd001,0xf9995007,0x3999ffff,
    0x017fffc0,0x3ffbae60,0x4000cdef,0xe806fffc,0xb7300eff,0x6665c59d,
    0xa87fff52,0xb802cccc,0xf880cccc,0x3f602fff,0xee803fff,0x54401eee,
    0xcdeffedb,0x65cc0000,0x00bcdffe,0x3fffff98,0x3bffee00,0xcc88000c,
    0x995004cc,0x32a00399,0x3320bdfe,0x3b2a02cc,0x33320bdf,0x3fb2a02c,
    0x333320bd,0x437ffdc2,0xfc807fff,0x00003fff,0xffff7000,0x01ffffff,
    0xfffffe98,0x92efffff,0x54009fff,0x800bf13f,0x77c07fff,0xfc807e98,
    0x26005fff,0x7fec001b,0xffffffff,0x3fff602f,0xfffd3005,0xffffffff,
    0x3ff2003b,0x7ffe407f,0xfffffa81,0xffff8dff,0xf51bff23,0xf880dfff,
    0xff107fff,0x7fdc05ff,0x00002fff,0x7fffffd4,0x00cfffff,0x7ffff4c0,
    0x02ffffff,0x037fffdc,0x40000d40,0x007ffff8,0x805ffff7,0xffffffe8,
    0x09ffff1f,0xffffffd1,0x13fffe3f,0x3fffffa2,0x9ffff1ff,0xf84fffd8,
    0xffc807ff,0x2a0003ff,0x320bdfec,0xfff72ccc,0x1fffffff,0x7ffffe40,
    0xffffffff,0x005fffff,0x1fff7fc4,0x81fffe00,0x007f23fa,0x005ffffb,
    0xfffd0000,0xffffffff,0x3fffdc03,0x7ffffdc0,0xffffffff,0xffc802ff,
    0x3ffe207f,0xfffffa84,0xfffeffff,0x20fffc2f,0x200fffff,0x104ffffa,
    0x4c05ffff,0xceffffff,0x3ee0000a,0xffffffff,0x001fffff,0xfffffff7,
    0x1bffffff,0x0fffffa0,0x88000000,0x7007ffff,0x4c05ffff,0xffffffff,
    0x4ffffaff,0x7fffffcc,0xfffaffff,0x7fffcc4f,0xfaffffff,0x7ffc4fff,
    0x07fff82f,0x03ffffc8,0xffffe880,0xffff1fff,0x3ffeea29,0xd102aaef,
    0xffffffff,0xffffffff,0xf7000dff,0x800dffff,0x3e207fff,0xe807e88e,
    0x0002ffff,0xfffff800,0x07ffffff,0x00ffffd4,0xfffffffb,0xffffffff,
    0xffb805ff,0x1bfee07f,0x33ffffea,0xffffffc9,0x21fff40f,0x203ffffc,
    0x301ffffd,0xd803ffff,0xffffffff,0x32001bdf,0xffffffff,0x6fffffff,
    0x7ffff440,0xffffffff,0xfff06fff,0x000005ff,0x7fffc400,0xffff7007,
    0x7ffff405,0xfffffeff,0x7ff44fff,0xfffeffff,0x744fffff,0xfeffffff,
    0x4fffffff,0x207fffea,0xfc807fff,0x4c003fff,0xffffffff,0x4ffffaff,
    0x02ffffcc,0x7fffffec,0xffdcaace,0x000fffff,0xffffffe8,0x1fffe001,
    0x09ffff90,0x03fffff0,0x33300000,0x335ffffb,0xffff9803,0xfffff703,
    0xffb57bdf,0x01ffffff,0x807fffd4,0x7fcc4ffe,0x7fc40dff,0xffc87fff,
    0x37fffcc4,0x06ffff88,0x003fffea,0xffffffd1,0x17dfffff,0xffffff80,
    0xfffba9bd,0x3f204fff,0xbbdfffff,0xfffffffd,0x7ffffc44,0x00000001,
    0x01ffffe2,0x817fffdc,0x43fffffa,0x4ffffffa,0x0fffffea,0x9ffffff5,
    0x1fffffd4,0x3fffffea,0x03ffff24,0x3201fffe,0x4003ffff,0xeffffffe,
    0xffffffff,0x2ffffcc4,0x3ffffea0,0x3ffaa02f,0x4c002fff,0x5fffffff,
    0x01fffe00,0x2200b76a,0x000fffff,0x7ff40000,0x3e2000ff,0xff985fff,
    0x2603ffff,0x04fffffe,0x20ffffe6,0x7ec1fff9,0xffb00fff,0xbff70bff,
    0x01ffffd0,0x407ffff5,0x1007fffc,0xfffffffb,0x01dfffff,0x01bfffe6,
    0x20dfffff,0x0efffff8,0xfffffa88,0x3fffe60f,0x3bbaa00f,0x3eeeeeee,
    0xffff8800,0xffff7007,0x3ffffa05,0xfffff303,0x1fffff49,0x4fffff98,
    0x40fffffa,0x24fffff9,0xff07fffd,0xfff900ff,0x7fd4007f,0x7fd43fff,
    0x7cc4ffff,0x7f405fff,0x4c00efff,0x06ffffff,0x7ffffe40,0xff000fff,
    0x300000ff,0x000fffff,0xffff0000,0xffff000d,0xfffffd0d,0xffff1003,
    0xfffe80ff,0x237fdc0f,0x203ffff8,0xa83ffffb,0xfffb86ff,0xffffd83f,
    0xbffff300,0xfffea800,0xffffffff,0xffffc80e,0x7fffdc02,0xffffd80f,
    0xffffb805,0x3fffe64f,0x3ffee00f,0x4fffffff,0xffff8800,0xffff7007,
    0xfffff105,0x4ffffd80,0x80fffff1,0xf14ffffd,0xfd80ffff,0x3ffa4fff,
    0x0bddb07f,0x07ffff90,0x1fffff40,0x4fffff98,0x02ffffcc,0x05fffff7,
    0xfffffe88,0x3fe001ff,0x3fffffff,0x20ffff00,0xeeffeeb8,0xffff101b,
    0x0000001f,0x02ffffcc,0x237fff40,0x03fffff8,0x33bffee0,0x3fffee00,
    0x89ff72df,0x4c06fffc,0xfc81ffff,0xffff885f,0x2ffffc46,0x7ffffe5c,
    0xfb710001,0xffffffff,0xffffd81f,0xeeeee803,0x7ffffd41,0xbfffd001,
    0x7ffffc47,0x3fffee01,0x04ffffff,0x7ffff880,0x5ffff700,0x0bffff30,
    0x34ffffb8,0xb80bffff,0xff34ffff,0xffb80bff,0x3fffe4ff,0xff900006,
    0x3e2007ff,0x3600ffff,0x7cc4ffff,0x3f605fff,0x74405fff,0xffffefff,
    0xffff5005,0x00dffffd,0x3f61fffe,0xffffffff,0xfffff03f,0x40000003,
    0x003ffffa,0x647fffe8,0x8006ffff,0x7fec001a,0x7ffb5fff,0x404fffe8,
    0xe80ffffb,0xfffb03ff,0x7fffd41f,0xffffff82,0x95100004,0x5ffffffd,
    0x2fffffb8,0xfffc8000,0x06e6005f,0x02fffff8,0x3fffffee,0x8004ffff,
    0x007ffff8,0x505ffff7,0xa809ffff,0xff54ffff,0xffa809ff,0xffff54ff,
    0xffffa809,0x017fffe4,0x7fffe400,0xffff3003,0xffffb80b,0x2ffffcc4,
    0x05ffffd0,0xfbbfffd8,0xfb006fff,0xfffd3fff,0xffff003f,0xffffffd8,
    0x84ffffff,0x002ffffe,0xff90000c,0xfb0005ff,0xfffe8fff,0x0000003f,
    0x757ffff6,0x7fffc2ff,0x37ffe403,0xf502fff8,0x7fec7fff,0xfffff07f,
    0x5c000007,0x4c4fffff,0xceffffff,0xffd8000a,0x400002ff,0x203ffffe,
    0xfeccccc9,0x88004fff,0x7007ffff,0xf705ffff,0xf9807fff,0xfff74fff,
    0xfff9807f,0x7ffff74f,0x4ffff980,0x009ffff1,0x3ffff200,0xffff5003,
    0xffffa809,0x2ffffcc4,0x03fffff0,0xfaa7ffec,0xf8807fff,0xfff76fff,
    0xffff00bf,0x7fffffd4,0xfffffffe,0x27fffec0,0x059ff500,0x1ffffd80,
    0x6fffd800,0x017ffffc,0xffa80000,0x3ffd5fff,0x017fffc4,0x2613fffa,
    0x3fe00fff,0xffff16ff,0x3ffffe09,0x6654c00e,0xfff5002e,0xffffb0df,
    0x37bfffff,0x3ffffa00,0x7e400002,0xb8006fff,0x8004ffff,0x007ffff8,
    0x505ffff7,0xa809ffff,0xff54ffff,0xffa809ff,0xffff54ff,0xffffa809,
    0x013fffe4,0x7fffe400,0xffff7003,0xffff9807,0x2ffffcc4,0x0fffff98,
    0x4cbfff90,0x400fffff,0xf13ffffb,0xf801ffff,0x3fffa7ff,0x7fff4c2f,
    0x7fffdc3f,0xfff9000f,0x7ff400df,0xffb0007f,0x7fffc4bf,0x8000001f,
    0x4ffffff9,0x7fd45ffd,0x3fe201ff,0x5ffe83ff,0x47fffe40,0xd01ffffa,
    0x01ffffff,0x02ffffdc,0x87ffff88,0xffffffe8,0x0befffff,0x07ffffe0,
    0xfff30000,0xfb8005ff,0x88004fff,0x7007ffff,0xf305ffff,0xfb80bfff,
    0xfff34fff,0xfffb80bf,0xbffff34f,0x4ffffb80,0x0017fffe,0x1ffffe40,
    0x4ffffa80,0x27fffd40,0x417fffe2,0x707ffffa,0xff88dfff,0x7f401fff,
    0x3ffa0fff,0x7ffc03ff,0x413fb2a7,0x443ffffb,0x804fffff,0x03fffff9,
    0x0dffff10,0x93fffa00,0x00fffff9,0x3bbbbbaa,0x3603eeee,0x360bffff,
    0x3ffe63ff,0x3fff201f,0x07ffec1f,0x2ffffe60,0x4c06fffd,0x203ffffd,
    0x00fffff9,0x06ffffb8,0xffffffb1,0x1dffffff,0x1fffff10,0xffb00000,
    0x64001dff,0x8004ffff,0x007ffff8,0x105ffff7,0x401fffff,0xf14ffffe,
    0x7401ffff,0xff14ffff,0x7f401fff,0x3ffa4fff,0x0333306f,0x07ffff90,
    0x17fffe20,0x89ffff70,0x506ffff8,0xf50fffff,0xfff01dff,0x7fcc05ff,
    0x7ffd45ff,0x3fffc06f,0x7fffcc00,0xfffffb84,0x3fffa203,0xff3000ff,
    0x3a0009ff,0x3fe63fff,0x3ee00fff,0xffffffff,0xffff104f,0x449ff909,
    0xf103ffff,0xffb8ffff,0xfffd004f,0x007ffffd,0x80dffff1,0x406fffff,
    0x04fffff8,0x7fffff54,0x0effffff,0x03ffffcc,0xfff98000,0x64401eff,
    0x004fffff,0x07ffff88,0x05ffff70,0x413ffffa,0x24fffffb,0x704ffffe,
    0x749fffff,0xf704ffff,0x7f49ffff,0xffff06ff,0x7ffff900,0x7ffffc00,
    0x3ffffa00,0x7ffffc44,0xfff30fde,0x7ffcc1ff,0xffff880f,0x3fff601f,
    0x7fffc42f,0x1fffe01f,0x7ffedcc0,0xfffd04ff,0x2e615bff,0x04ffffff,
    0x0ffffea0,0x17fffc00,0x03fffff1,0x7fffffdc,0xf304ffff,0xff703fff,
    0x0efffe8d,0x3ffffec4,0x001dfff7,0x3fffffee,0xff7000ff,0xfffc80ff,
    0x2a20aeff,0x01fffffe,0xffffb710,0x41ffffff,0x00fffff8,0xfffb0000,
    0x26159fff,0xffffffca,0xff88004f,0xff7007ff,0x3fea05ff,0xf910cfff,
    0x549fffff,0x10cfffff,0x9ffffff9,0x67ffffd4,0xfffff910,0x3fffe49f,
    0xc807fff8,0x2003ffff,0x704ffffe,0xd09fffff,0x3fffffff,0x47ffffe2,
    0x301ffff9,0x440fffff,0xd80fffff,0x3e05ffff,0xfb7107ff,0xffffffff,
    0x3fffe609,0xffffffff,0x4006ffff,0x002ffffc,0x40ffff98,0x202fffff,
    0xfffffffb,0xff504fff,0x3ffe20ff,0x3ffffea1,0xffffeb9c,0xeffffdff,
    0x3ffe2000,0x2006ffff,0x401ffff9,0xfffffffe,0xffffffff,0x9510006f,
    0x5ffffffd,0x01fffff8,0xffb10000,0xffffffff,0xffffffff,0xff10007f,
    0x3ee00fff,0x3fe02fff,0xffffffff,0x44ffffff,0xffffffff,0xffffffff,
    0x7fffffc4,0xffffffff,0x3ffea4ff,0x07fff80f,0x03ffffc8,0x3ffffea0,
    0xffff910c,0xfff709ff,0x7fc5ffff,0xffe8afff,0x3ffea02f,0x3ffee06f,
    0xffff505f,0x1fffe01f,0xffffffd3,0x09ffffff,0x7fffffd4,0xffffffff,
    0x7fec000e,0xfa8000ff,0xfffe87ff,0x3332603f,0x4ffffecc,0x40ffff70,
    0x7fec4ffd,0xffffffff,0xffffffff,0xfffb0005,0x44007fff,0x4401ffff,
    0xffffffff,0xffffffff,0xff700001,0xffe89fff,0x00c002ff,0x3fffff60,
    0xffffffff,0x0002ffff,0x00fffff1,0x80bfffee,0xffffffe9,0xffffbeff,
    0x7ffff4c4,0xffbeffff,0x7ff4c4ff,0xbeffffff,0x3e24ffff,0xfff81fff,
    0xffffc807,0x7ffec003,0xffffffff,0xf704ffff,0x745dffff,0xffecffff,
    0x7ffe402f,0x3fffa05f,0x999999bf,0xf03fffff,0x7ffccfff,0xfaadffff,
    0x6c404fff,0xffffffff,0x8000dfff,0x0007ffff,0xf90dfff9,0x7000dfff,
    0x2e09ffff,0x3ea07fff,0x3ff220ff,0xfbbfffff,0x04ffffff,0x3fffea00,
    0x3e2000ff,0xe9802fff,0xffffffff,0x981effff,0x5002ecca,0xfd8dffff,
    0x2a004fff,0xf7002cff,0xffffffff,0x017fffff,0x7c406a62,0xf7007fff,
    0xe8805fff,0x8effffff,0x884ffffa,0xeffffffe,0x84ffffa8,0xffffffe8,
    0x4ffffa8e,0x7c1ffff4,0x000007ff,0x3fffffa0,0xfffbefff,0x80d4c04f,
    0xfffffffc,0x7ffc403f,0xfff304ff,0xffffffff,0x0dffffff,0x7fc5fffe,
    0x7cc0cfff,0xb5004fff,0xbffffffd,0x3fe20003,0xfd0005ff,0xfff307ff,
    0xfb8005ff,0xff904fff,0xefff80df,0x66ff6540,0x06f7fb20,0x7c00d554,
    0x4005ffff,0x002ffff8,0x3fffffaa,0x2e03dfff,0x1005ffff,0xfb8fffff,
    0x9000ffff,0x200dffff,0xfffffda8,0x2a01bdff,0xf305ffff,0x2e00dfff,
    0x8802ffff,0x50aceeca,0x2207ffff,0x50aceeca,0x2207ffff,0x50aceeca,
    0xfc87ffff,0x7fff86ff,0x26000000,0xeffffffe,0x03ffffa8,0x7fffc400,
    0xfd804fff,0xf900ffff,0xffffffff,0xffffffff,0x2ffff03f,0x305ffffa,
    0x8009ffff,0x003efec9,0x4ffff980,0xffff8800,0xdfffff00,0xffffc800,
    0x0dfff904,0x005fffa8,0x3fff6000,0xffffe801,0x7ffc4002,0xfb70002f,
    0xf30019ff,0x7001ffff,0xf88dffff,0x9804ffff,0x003fffff,0x0f7ff5c4,
    0xdffff100,0x1bfffea0,0x17fffe40,0xfffa8000,0x3ea0003f,0x20003fff,
    0x443ffffa,0x7fc0ffff,0xeee9807f,0x36e0002e,0xff50acef,0x3ba607ff,
    0xfff900ee,0xff900dff,0x7fc07fff,0xffffffff,0xffffffff,0x97fff85f,
    0x2e05ffff,0x4004ffff,0x04ffffff,0x7fffe400,0xfffa8003,0x3fffea05,
    0x7e4401ef,0xfb04ffff,0xff900dff,0x400001bf,0x803fffd8,0x007ffffa,
    0x007ffff0,0x3fffffa0,0xfffff005,0xffff880d,0xffffb84f,0x3ffa203f,
    0x5c000fff,0x01ffffff,0x03ffffe0,0x013ffff2,0x80ffffe4,0x2009abcc,
    0x322ffffb,0x2e009abc,0x3322ffff,0x3ee009ab,0xffc82fff,0x03fffc2f,
    0x01ffffd4,0xfff50000,0x3ffe607f,0xffff100f,0xe9883bff,0x206fffff,
    0xfffffffa,0xffffffff,0x7c0fffff,0xffff97ff,0xfffff109,0xb88a800b,
    0x10000fff,0x003ffffd,0x805fff90,0xcffffffd,0xfff9530a,0xf109ffff,
    0x3a00bfff,0x0004ffff,0x05ffffb8,0x4ffffe88,0xdffff000,0x71150001,
    0xf9003fff,0x415dffff,0xfffffea8,0xfffffd01,0x3fee615b,0x8004ffff,
    0x5ffd9899,0x3ffffa00,0xffff711e,0x7d44405f,0xfb01ffff,0x3a20ffff,
    0x3f60ffff,0xfd107fff,0x7fec1fff,0xffd107ff,0xfff101ff,0x807fff89,
    0x003ffffa,0x8026af32,0x302ffffb,0x2e01ffff,0xffffffff,0xfffffeef,
    0x3f601fff,0x9999cfff,0xff999999,0x7ffc3fff,0x9fffff57,0xfffff933,
    0xfe8000bf,0x9df7003f,0x00dfffff,0x00dfff10,0xffffffd1,0xffffffff,
    0x227fffff,0x4fffffed,0xffffb100,0x510017bf,0x09fffff9,0x3fff6eea,
    0xd0000fff,0x0bddffff,0x027fec00,0xffffffe8,0xffffffff,0x3fe606ff,
    0xffffffff,0x06ffffff,0x1fff5000,0x3fffea00,0xffffffff,0x7fffc06f,
    0xf700ffff,0x537bffff,0x8bffffd9,0xbdfffffb,0xffffeca9,0x7ffffdc5,
    0xffeca9bd,0x3ff205ff,0x403fffc7,0x003ffffa,0x03fffff6,0x03ffffa2,
    0xa83fffcc,0xffffffff,0xffffffff,0x3e201eff,0x2000ffff,0x7c6ffffc,
    0xffff17ff,0xffffffff,0x2000dfff,0x000fffa8,0xfffffffb,0xff70009f,
    0x3f62003f,0xffffffff,0xffffffff,0x3ffffe62,0x7d4001ff,0xefffffff,
    0xfffeedde,0x202fffff,0xfffffffb,0x3ea0004f,0x007fffff,0x01fffa88,
    0xffffff10,0xffffffff,0xffa803ff,0xffffffff,0x000effff,0x06ffd880,
    0x7fffff40,0x2fffffff,0x3ffffe20,0x3fe205ff,0xffffffff,0x440fffff,
    0xffffffff,0x0fffffff,0x7fffffc4,0xffffffff,0x3ffe200f,0x201fffe2,
    0x001ffffa,0x37ffffee,0xfffeca9b,0x3f72206f,0xaffff985,0xfffffffd,
    0x804fffff,0x005ffffc,0x17ffffcc,0x7fd4ffff,0xbfffffff,0x800ffffc,
    0xffffeefe,0x3fffe004,0x001fffff,0x8005ffe8,0xfffffffc,0xbfffffff,
    0x7ffffcc0,0xf910005f,0xffffffff,0xffffffff,0xffa8019f,0x00efffff,
    0x7ffff400,0xeefe807f,0x4005ffff,0xffffffe9,0x1effffff,0xffffb100,
    0xbfffffff,0xdff50001,0x005fffff,0xfffffe88,0x402fffff,0xfffffffa,
    0x7fffcc00,0xffffffff,0xffff303f,0xffffffff,0x3ffe607f,0xffffffff,
    0xffc803ff,0x801fffe6,0x7c4007fa,0xffffffff,0x01ffffff,0xffc83fe8,
    0x3fff662f,0x01ceffff,0x05fffff0,0xbffffd00,0x3a63fffc,0x50dfffff,
    0xd007ffff,0x07dfffff,0x7ffffc40,0xa8001fff,0x10000fff,0xffffffd7,
    0x7cc057bd,0x0003ffff,0xffffd930,0xbfffffff,0x7ffcc005,0x0000cfff,
    0x7ffffc88,0xfffffe80,0x3aa0003f,0xffffffff,0xdb50003d,0x3bffffff,
    0x7ffd4000,0x0001bdff,0x3fffffee,0xffb801cf,0x1002efff,0xfffffff9,
    0xc88019ff,0xffffffff,0x7e4400cf,0xffffffff,0xfff1000c,0x401fffe3,
    0x98004fe9,0xffffffff,0x403fffff,0xf700efe9,0x0d54c405,0x7fffd400,
    0xffb8000f,0x99990fff,0x0006a620,0x01333300,0x55d4c400,0x332a0000,
    0x26600003,0x3220009a,0x000001aa,0x2aeaa662,0x2a00009a,0x0000aaba,
    0x04ba9880,0x00133330,0xaaa98800,0x22000009,0x000009a9,0x00006662,
    0x026aa620,0x01575300,0x2eaa6200,0x988001aa,0x001aabaa,0xaabaa988,
    0x59970001,0x2e013332,0x10000eff,0xfffffff9,0xf3003bff,0x00003009,
    0xbffffb00,0x3ffe2000,0x000003ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00007f10,0x555dd54c,0x0000c000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000100,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2a215554,0x800001aa,0x001aaaaa,0x09998800,0x13331000,0x2aaa0000,
    0x00d55442,0x4ccccc40,0x4c400199,0x99999999,0xaaa80009,0x000000aa,
    0xa8800000,0x00002aaa,0x00000000,0x15555500,0x3cccc980,0x99999100,
    0x4cccc400,0xaa880000,0x555532aa,0x26620001,0x50000019,0x2200039b,
    0x20019999,0xccccccc9,0x3fb2200c,0x0000ceff,0x02ffffdc,0x5c3ffff0,
    0xa8005fff,0x3ff64fff,0x4400001f,0x000effff,0x27ffd400,0xdffd3000,
    0x3fea0000,0x07fff64f,0x3ffff600,0x2001ffff,0xfffffffd,0xb8004fff,
    0x0004ffff,0x7fffe400,0xffc80006,0x000003ff,0x09ffffb0,0xff500000,
    0xff500bff,0x3e200bff,0x3a007fff,0x0005ffff,0xf1ffffc8,0x2000bfff,
    0x04ffffe8,0x7ffec000,0xffd0002f,0x3ee005ff,0x1fffffff,0xffffff70,
    0x40009fff,0x4005ffff,0x3ee1ffff,0xf90005ff,0x7fff95ff,0xff900000,
    0x800001df,0x0002fff8,0x0009ffb0,0x32bfff20,0xb0003fff,0xffffffff,
    0x7ffec003,0x4fffffff,0xffff7000,0x26000001,0x03ffffff,0x6fffd800,
    0xfb800000,0x001fffff,0x7fff4000,0xffff5006,0x3ffe200b,0xfff7007f,
    0x40007fff,0xf52ffff8,0x20001dff,0x1ffffffd,0x1bf30000,0x22000df3,
    0x7005fffe,0xffffffff,0xfffff503,0x0bffffff,0x0dfff700,0x43ffff00,
    0x0005fffb,0xffffffd1,0xf100000d,0x00001fff,0x0001bd90,0x001eeb80,
    0xffffe880,0x000006ff,0x3fff6000,0x4fffffff,0x3fff2000,0xe8800004,
    0x1fffefff,0xfffd8000,0x26000002,0xffffefff,0xf3000000,0x2a001dff,
    0x1005ffff,0x300fffff,0xfffdbfff,0x3fee0001,0x03fffa3f,0x6fffd400,
    0x0000ffff,0x03f62fb8,0x7fff4400,0xffffb801,0xff81ffff,0xfffdffff,
    0x74003fff,0xf8000eff,0x3fee1fff,0x3e60005f,0x000fffff,0x1fffb800,
    0x0fb20000,0x20003dd1,0x0f7443ec,0xffff3000,0x640001ff,0x00f7443e,
    0x80000000,0x0000fffd,0x44fffec0,0x00006fff,0x0000dffd,0x547fff40,
    0x00005fff,0x001dffb0,0x02ffffd4,0x07ffff88,0x4c7fff44,0xf0006fff,
    0x7ffd49ff,0xfff10001,0x017ffead,0x2637e600,0x7c40006f,0xffb805ff,
    0x98199aff,0x7d46ffff,0x2a006fff,0x30000eff,0x99988333,0x775c0000,
    0x000002ee,0x00003fff,0x7fc44fe8,0x89fd0002,0x40002ff8,0x002eeeeb,
    0x3e227f40,0x0000002f,0x0fff6000,0xfffa8000,0x013ffea4,0x07ffa200,
    0x3ff20000,0x0bfff22f,0xfff10000,0xfffa8001,0xfff1005f,0xfffc80ff,
    0x013ffea1,0xfe8bff50,0x3fa0003f,0x3fff20ff,0xffe80002,0x980002ff,
    0x7dc00fff,0x7dc01fff,0xffe84fff,0x331000ef,0x00000001,0x00000000,
    0x80000000,0x0f7443ec,0x443ec800,0x000001ee,0x43ec8000,0x00001ee8,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfffa8000,0xfff1005f,
    0x000000ff,0x00000000,0x50000000,0x0000039b,0x3fffee00,0x7fffcc01,
    0x00009987,0x00000000,0x7f654c00,0x0001bcef,0xdffd9530,0x32600379,
    0x91003ccc,0x664c9999,0x991003cc,0x6664c999,0x9991003c,0x66664c99,
    0x99991003,0x87fffe09,0x8005fffb,0xceffeca9,0x0000001b,0x66664c00,
    0x99991003,0x00000009,0x33332600,0x99991003,0x2ffffd49,0x7ffff880,
    0x00f33326,0x32666644,0x20079999,0x004cccc8,0x3bffb2a6,0x993001bc,
    0x32200799,0xfff04ccc,0x2fffdc3f,0x00ffffdc,0x3bffffe2,0x3332a000,
    0xcccb802c,0x5999950c,0x19999700,0xfffffa80,0x1effffff,0xffff5000,
    0xdfffffff,0xffffa803,0xffff1005,0x2ffffd4f,0x7ffff880,0x017fffea,
    0x53ffffc4,0x200bffff,0xf07ffff8,0x7fdc3fff,0x3fea005f,0xffffffff,
    0xccb801ef,0x22000ccc,0xf52ccccc,0x2200bfff,0x32e7ffff,0x64401ccc,
    0x400ccccc,0xf52cccca,0x2200bfff,0x3ea7ffff,0xf1005fff,0x7fd4ffff,
    0xff1005ff,0x7ffd4fff,0xfff1005f,0xfff500ff,0xffffffff,0xfffa803d,
    0xfff1005f,0x3fffe0ff,0x217ffee1,0x801ffffb,0x3ffffffa,0xdffff500,
    0x7ffff880,0x01bfffea,0x40fffff1,0xffffffd8,0xffffffff,0x3ff62003,
    0xffffffff,0x2a03ffff,0x1005ffff,0x7d4fffff,0xf1005fff,0x7fd4ffff,
    0xff1005ff,0x7ffd4fff,0xfff1005f,0x3fffe0ff,0x017ffee1,0x3fffff62,
    0xffffffff,0x7ffd403f,0x3f6004ff,0xff51ffff,0x3e200bff,0x3ff27fff,
    0x7fd404ff,0x6c02ffff,0xff53ffff,0x3e200bff,0x3fea7fff,0xff1005ff,
    0x7ffd4fff,0xfff1005f,0x7fffd4ff,0xffff1005,0x7ffec40f,0xffffffff,
    0x3ea03fff,0xf1005fff,0x3fe0ffff,0x3ffee1ff,0x1ffffb85,0xfffffd00,
    0xfff001bf,0x7fd401ff,0x7fffc4ff,0x3ffea00f,0xffff104f,0xffffffff,
    0x01dfffff,0xffffff88,0xffffffff,0xfa80efff,0xf1005fff,0x7fd4ffff,
    0xff1005ff,0x7ffd4fff,0xfff1005f,0x7fffd4ff,0xffff1005,0x87fffe0f,
    0x4405fffb,0xffffffff,0xffffffff,0x3ff600ef,0xf9801fff,0x3ea4ffff,
    0xf1005fff,0x7fd4ffff,0x7fe406ff,0x7404ffff,0xff51ffff,0x3e200bff,
    0x3fea7fff,0xff1005ff,0x7ffd4fff,0xfff1005f,0x7fffd4ff,0xffff1005,
    0x3fffe20f,0xffffffff,0x80efffff,0x005ffffa,0x20fffff1,0x3ee1ffff,
    0xfffb85ff,0xfffd801f,0x03ffffff,0x01ffffe4,0xc83ffffb,0x3603ffff,
    0xfb01ffff,0x79dfffff,0xfffffd97,0xfffd809f,0xcbbcefff,0x4ffffffe,
    0x05ffffa8,0x4fffff10,0x005ffffa,0x54fffff1,0x1005ffff,0x7d4fffff,
    0xf1005fff,0x2660ffff,0x04ccc419,0x3fffff60,0xfecbbcef,0x204fffff,
    0x06fffff8,0x46ffffe8,0x005ffffa,0x44fffff1,0x200fffff,0x6ffffffe,
    0x9ffffe20,0x005ffffa,0x54fffff1,0x1005ffff,0x7d4fffff,0xf1005fff,
    0x7fd4ffff,0xff1005ff,0x3ff60fff,0xbbceffff,0xffffffec,0x5ffffa84,
    0xfffff100,0x31066660,0xfff70133,0xfffd803f,0xffffffff,0xffff300d,
    0x3fffe20d,0x6ffff986,0x0dffff10,0x3fffffea,0x3fffea02,0xfff501ff,
    0x7d405fff,0x541fffff,0x1005ffff,0x7d4fffff,0xf1005fff,0x7fd4ffff,
    0xff1005ff,0x7ffd4fff,0xfff1005f,0x800000ff,0x2ffffffa,0x3ffffea0,
    0x3ffee01f,0x3fee03ff,0x7fd42fff,0xff1005ff,0xfffe8fff,0xffff101f,
    0x2a01ffff,0x3ea5ffff,0xf1005fff,0x7fd4ffff,0xff1005ff,0x7ffd4fff,
    0xfff1005f,0x7fffd4ff,0xffff1005,0xfffff50f,0x7ffd405f,0x7fd41fff,
    0xff1005ff,0x00000fff,0x807fffee,0xe89ffffa,0x0fffffff,0x01ffffd0,
    0x207ffff5,0xa80ffffe,0xf883ffff,0x800effff,0x86ffffe8,0x0efffff8,
    0xffffe880,0x2ffffd46,0x7ffff880,0x017fffea,0x53ffffc4,0x200bffff,
    0x2a7ffff8,0x1005ffff,0x000fffff,0x7fffc400,0xfe8800ef,0x7f406fff,
    0xf880ffff,0xfa85ffff,0xf1005fff,0xffc8ffff,0xfff503ff,0x205fffff,
    0x2a3ffffb,0x1005ffff,0x7d4fffff,0xf1005fff,0x7fd4ffff,0xff1005ff,
    0x7ffd4fff,0xfff1005f,0xffff88ff,0xfe8800ef,0x7fd46fff,0xff1005ff,
    0x00000fff,0x807fffee,0x7dc5fffc,0x80efffff,0xd83ffffb,0xf700ffff,
    0xffb07fff,0xfff701ff,0x7d4005ff,0x7dc3ffff,0x2002ffff,0x23fffffa,
    0x005ffffa,0x54fffff1,0x1005ffff,0x7d4fffff,0xf1005fff,0x7fd4ffff,
    0xff1005ff,0x66654fff,0x3332a01c,0x3fffee1c,0x3fea002f,0x3e603fff,
    0xfc84ffff,0xfa80ffff,0xf1005fff,0xffb8ffff,0xfff905ff,0x209fffff,
    0x2a1ffffd,0x1005ffff,0x7d4fffff,0xf1005fff,0x7fd4ffff,0xff1005ff,
    0x7ffd4fff,0xfff1005f,0xffffb8ff,0x3fea002f,0x3fea3fff,0xff1005ff,
    0x66654fff,0x3332a01c,0x3ffff71c,0x427fff40,0x5ffffff9,0x46ffff88,
    0x205ffff8,0x446ffff8,0xfb05ffff,0xd000dfff,0xfd8bffff,0xe8006fff,
    0x3ea5ffff,0xf1005fff,0x7fd4ffff,0xff1005ff,0x7ffd4fff,0xfff1005f,
    0x7fffd4ff,0xffff1005,0x17fffdcf,0x45ffff90,0x006ffffd,0x05ffffe8,
    0x0fffffe4,0x05fffff3,0x017fffea,0x23ffffc4,0xd07ffff9,0xfffdbfff,
    0x1ffffe0d,0x00bffff5,0xa9ffffe2,0x1005ffff,0x7d4fffff,0xf1005fff,
    0x7fd4ffff,0xff1005ff,0xfffd8fff,0xffe8006f,0x3ffea5ff,0xfff1005f,
    0x7fffdcff,0x3ffff202,0x03ffff72,0x883ffff4,0x80fffffd,0x2a0ffffd,
    0x6c02ffff,0x3ea0ffff,0xff882fff,0xa8002fff,0x3e26ffff,0x8002ffff,
    0x2a6ffffa,0x1005ffff,0x7d4fffff,0xf1005fff,0x7fd4ffff,0xff1005ff,
    0x7ffd4fff,0xfff1005f,0x7fffdcff,0x3ffff202,0x5fffff12,0xffff5000,
    0xffffd00d,0x2ffffecd,0x0bffff50,0x1ffffe20,0x103ffffe,0xff97ffff,
    0xfff981ff,0x7fffd46f,0xffff1005,0x2ffffd4f,0x6ffff980,0x017fffea,
    0x53ffffc4,0x200bffff,0x227ffff8,0x002fffff,0x26ffffa8,0x005ffffa,
    0x5cfffff1,0x3202ffff,0xff72ffff,0x7fdc03ff,0x3ff205ff,0xfffa82ff,
    0x1ffff63f,0x8ffffea0,0xf307fffd,0x0003ffff,0x4cfffff3,0x001fffff,
    0x27ffff98,0x005ffffa,0x54fffff1,0x1005ffff,0x7d4fffff,0xf1005fff,
    0x7fd4ffff,0xff1005ff,0x7ffdcfff,0x3fff202f,0xfffff32f,0xfff30003,
    0xfff300ff,0xffff55ff,0x7ffd401f,0xfff1005f,0xffffb0ff,0x9ffffb85,
    0x542ffffa,0x7d44ffff,0xf1005fff,0x7fccffff,0xff3006ff,0x7ffd4dff,
    0xfff1005f,0x7fffd4ff,0xffff1005,0x7ffffccf,0xfff98001,0x3fffea7f,
    0xffff1005,0x17fffdcf,0x25ffff90,0x201ffffb,0x0efffff9,0x209fffd0,
    0xff16ffff,0x3fe009ff,0xffff16ff,0x3fffe609,0xff88000f,0xfff30fff,
    0xf10001ff,0x3ea1ffff,0xf1005fff,0x7fd4ffff,0xff1005ff,0x7ffd4fff,
    0xfff1005f,0x7fffd4ff,0xffff1005,0x17fffdcf,0x25ffff90,0x00fffff9,
    0xfffff880,0xffffc800,0x03ffffef,0x02ffffd4,0x87ffff88,0x6c4ffffb,
    0xfff17fff,0xffffc89f,0x2ffffd42,0x7ffff880,0x01ffffe6,0x537fffd4,
    0x200bffff,0x2a7ffff8,0x1005ffff,0x7ccfffff,0x8000ffff,0x50fffff8,
    0x200bffff,0x2e7ffff8,0x3202ffff,0xff72ffff,0xffe803ff,0xfd82ffff,
    0xfff902ff,0x3ffff51f,0x3ffff200,0x01ffffa8,0x00fffff5,0x8fffffc0,
    0x007ffffa,0x47ffffe0,0x005ffffa,0x54fffff1,0x1005ffff,0x7d4fffff,
    0xf1005fff,0x7fd4ffff,0xff1005ff,0x7ffdcfff,0x3fff202f,0xfffff52f,
    0x7fffc000,0xfff8801f,0x06ffffff,0x05ffffa8,0x0fffff10,0xf8dffff3,
    0x3ffa5fff,0x7ffff46f,0x2ffffd40,0x7ffff880,0x01fffffc,0x527fffec,
    0x200bffff,0x2a7ffff8,0x1005ffff,0x7d4fffff,0x20007fff,0xf51fffff,
    0x2200bfff,0x3ee7ffff,0x3f202fff,0xfff72fff,0xfff8803f,0xf10dffff,
    0x3e601fff,0xfffdbfff,0x3ffe6006,0x06fffdbf,0x01ffffea,0x2fffff80,
    0x00fffff5,0x97ffffc0,0x005ffffa,0x54fffff1,0x1005ffff,0x7d4fffff,
    0xf1005fff,0x7fd4ffff,0xff1005ff,0x7ffdcfff,0x3fff202f,0xfffff52f,
    0x7fffc000,0xfff5002f,0x003fffff,0x00bffff5,0x41ffffe2,0x3e67ffff,
    0x3ff23fff,0x3fffe0ff,0x5ffffa86,0xfffff100,0x0fffffe8,0x3ffffea0,
    0x17fffea3,0x3ffffc40,0x00bffff5,0xa9ffffe2,0x0007ffff,0x54bffffe,
    0x1005ffff,0x7dcfffff,0x3f202fff,0xfff72fff,0xffd1003f,0xfb5fffff,
    0xffe80dff,0x03ffffef,0x7f7fff40,0x3e603fff,0x10007fff,0x263fffff,
    0x0007ffff,0x23fffff1,0x005ffffa,0x54fffff1,0x1005ffff,0x7d4fffff,
    0xf1005fff,0x7fd4ffff,0xff1005ff,0x7ffdcfff,0x3fff202f,0xfffff32f,
    0x3ffe2000,0x3f6001ff,0x004fffff,0x00bffff5,0x41ffffe2,0xf71ffffe,
    0x7fcc1fff,0xffff32ff,0xbffff509,0x3fffe200,0x7ffffe47,0xfca88adf,
    0x2a1fffff,0x1005ffff,0x7d4fffff,0xf1005fff,0x7fccffff,0xf10007ff,
    0x3ea3ffff,0xf1005fff,0x7fdcffff,0x3ff202ff,0xffff72ff,0x3ff62003,
    0xffffffff,0x7ffdc00e,0x000fffff,0x7fffffdc,0x3fe200ff,0x98000fff,
    0xf10fffff,0x0001ffff,0x21fffff3,0x005ffffa,0x54fffff1,0x1005ffff,
    0x7d4fffff,0xf1005fff,0x7fd4ffff,0xff1005ff,0x7ffdcfff,0x3fff202f,
    0xfffff12f,0xfff30001,0x7c4001ff,0x000fffff,0x00bffff5,0x41ffffe2,
    0xfb3ffffc,0xffff0dff,0x0bfffee9,0x017fffea,0x23ffffc4,0xfffffff8,
    0xffffffff,0x7ffd45ff,0xfff1005f,0x7fffd4ff,0xffff1005,0x7ffffc4f,
    0xfff98000,0xffff50ff,0x3ffe200b,0x3fffee7f,0x3ffff202,0x03ffff72,
    0xfffffa80,0x8800efff,0x6fffffff,0xffff8800,0xff806fff,0xa8001fff,
    0x7fc6ffff,0xa8001fff,0x3ea6ffff,0xf3005fff,0x7fd4ffff,0xff3005ff,
    0x7ffd4fff,0xfff3005f,0x7fffd4ff,0xffff3005,0x17fffdcf,0x45ffff90,
    0x001fffff,0x06ffffa8,0x3ffffd80,0x3fffea00,0xffff3005,0x3fffea0f,
    0xb09ffff4,0x3ff6dfff,0xfffa80ff,0xfff3005f,0xffff50ff,0xffffffff,
    0xfa81dfff,0xf3005fff,0x7fd4ffff,0xff3005ff,0xffff8fff,0xffa8001f,
    0x3ffea6ff,0xfff3005f,0x7fffdcff,0x3ffff202,0x03ffff72,0xffffb100,
    0x7ec00dff,0x003fffff,0xffffffb0,0xffffd007,0xfffb0009,0xffffe8bf,
    0xfffd8004,0x3fffea5f,0xffff3006,0x37fffd4d,0x6ffff980,0x01bfffea,
    0x537fffcc,0x200dffff,0x2e6ffff9,0x3202ffff,0x3fa2ffff,0xd8004fff,
    0x8005ffff,0x003ffffc,0x01bfffea,0x837fffcc,0xf9effff8,0xffb82fff,
    0x6fffe8ff,0x0dffff50,0x1bfffe60,0x7fffffcc,0xefffffff,0x6ffffa80,
    0xdffff300,0x037fffd4,0x46ffff98,0x004ffffe,0x25ffffd8,0x006ffffa,
    0x5cdffff3,0x3202ffff,0xff72ffff,0x540003ff,0x04ffffff,0xffffff50,
    0x3fea0001,0xc800ffff,0x001fffff,0x13ffffe6,0x03fffff9,0x7ffffcc0,
    0x1ffffe64,0x37fffd40,0x00fffff3,0x99bfffea,0x5007ffff,0x7ccdffff,
    0xf5007fff,0x7fdcdfff,0x3ff202ff,0x3fff22ff,0x3e6001ff,0x8004ffff,
    0x003ffffc,0x01ffffe6,0x037fffd4,0xff9ffffd,0xfff301ff,0x09ffff7f,
    0x01ffffe6,0x037fffd4,0x3fffffae,0x2602dfff,0x5007ffff,0x7ccdffff,
    0xf5007fff,0xffc8dfff,0x26001fff,0x264fffff,0x5007ffff,0x7dcdffff,
    0x3f202fff,0xfff72fff,0xd880003f,0x000fffff,0x00bfffff,0x5fffff80,
    0xfffff300,0x7ffec00b,0x7ffcc0ff,0x3f6005ff,0x3e20ffff,0xd803ffff,
    0x3e25ffff,0xd803ffff,0x3e25ffff,0xd803ffff,0x3e25ffff,0xd803ffff,
    0x3ee5ffff,0x3f603fff,0x3fe62fff,0x36005fff,0x000fffff,0x03ffffc8,
    0x3ffffe20,0xffffd803,0x3ffff205,0x3e06ffff,0xffffffff,0xfffff102,
    0xffffb007,0x6ffcc00b,0xfff1001a,0xffb007ff,0x7ffc4bff,0xffd803ff,
    0x7ffcc5ff,0x3f6005ff,0x3e20ffff,0xd803ffff,0x3ee5ffff,0x3f603fff,
    0xfff72fff,0x0a62003f,0x017fffec,0x02ffffe8,0x7ffff400,0x3fff2002,
    0x36200dff,0x903fffff,0x01bfffff,0x7ffffec4,0xfffffe83,0x3fffea00,
    0x7ffff43f,0x3ffea00f,0x7fff43ff,0x3fea00ff,0x7ff43fff,0x3ea00fff,
    0x3ea3ffff,0xff104fff,0xffc85fff,0x2200dfff,0x03fffffd,0x7ffff900,
    0xffffe800,0x3ffea00f,0x3fea03ff,0x04ffffff,0x3ffffff6,0x3ffa00ff,
    0x3ea00fff,0x2003ffff,0xe8003ff8,0x200fffff,0x43fffffa,0x00fffffe,
    0x0fffffea,0x37fffff2,0x3fff6200,0xfffe83ff,0x3fea00ff,0x3fea3fff,
    0xfff104ff,0x3ffee5ff,0x7ffec01f,0xffffa81f,0xffffa803,0x7fd40007,
    0xfe8007ff,0x89bfffff,0xfffffb98,0x7fff406f,0x9889bfff,0x6ffffffb,
    0xffffff70,0x3fee6159,0x7dc0ffff,0x0acfffff,0xffffff73,0xfffffb81,
    0xff730acf,0xfb81ffff,0x0acfffff,0xffffff73,0x7ffffc41,0xfffffe80,
    0xfffffe82,0xfb9889bf,0x006fffff,0x0fffff20,0xfffff700,0x3ee6159f,
    0x200fffff,0xfffffff8,0x3ffee02f,0x5c07ffff,0xacffffff,0xfffff730,
    0x7fd4001f,0xfffb8004,0x730acfff,0x81ffffff,0xcffffffb,0xffff730a,
    0x3ffa01ff,0x889bffff,0xffffffb9,0xfffff706,0x3ee6159f,0x220fffff,
    0xe80fffff,0xf72fffff,0xfc803fff,0xffc85fff,0x7f4402ff,0x20004fff,
    0x04ffffe8,0xfffffa80,0xffffffff,0x402fffff,0xfffffffa,0xffffffff,
    0x3fa02fff,0xffffffff,0x3fffffff,0xffffffd0,0xffffffff,0x3ffa07ff,
    0xffffffff,0x03ffffff,0xfffffffd,0xffffffff,0xfffff07f,0xffff959f,
    0xff505fff,0xffffffff,0xffffffff,0x7fe40005,0xfe8003ff,0xffffffff,
    0x3fffffff,0xffffff80,0x3fe600ff,0x805fffff,0xfffffffe,0xffffffff,
    0x7fd4003f,0xfffd0006,0xffffffff,0x207fffff,0xfffffffe,0xffffffff,
    0x3ffea03f,0xffffffff,0x2fffffff,0x3fffffa0,0xffffffff,0xfff83fff,
    0xffcacfff,0xf72fffff,0x1999bfff,0xefffff98,0xfffffcab,0x7feddd40,
    0x2000ffff,0xffffdbba,0xf50000ff,0xffffffff,0x3dffffff,0x3fffea00,
    0xffffffff,0x4c01efff,0xffffffff,0xefffffff,0xfffff300,0xffffffff,
    0x3e601dff,0xffffffff,0x0effffff,0xffffff30,0xffffffff,0xfff901df,
    0x9fffffff,0x2a05ffff,0xffffffff,0xefffffff,0x7fe40001,0xf98003ff,
    0xffffffff,0x0effffff,0xfffffd80,0xffff806f,0xf9803fff,0xffffffff,
    0x0effffff,0x6fffcc00,0xf9801a9a,0xffffffff,0x0effffff,0xffffff30,
    0xffffffff,0xffa801df,0xffffffff,0x01efffff,0x7fffffcc,0xffffffff,
    0xfffc80ef,0xcfffffff,0xff72ffff,0x03ffffff,0xfffffff9,0x709fffff,
    0xffffffff,0xfffb8009,0x004fffff,0x7fffe440,0xffffffff,0xffc88004,
    0xffffffff,0x3a2004ff,0xffffffff,0x8804ffff,0xfffffffe,0x804fffff,
    0xffffffe8,0x04ffffff,0xfffffe88,0x4fffffff,0x7ffffec0,0xfff9afff,
    0x3ff2202f,0xffffffff,0x900004ff,0x0007ffff,0x3fffffa2,0x4fffffff,
    0x3fffee00,0xffc803ff,0x1001ffff,0xfffffffd,0x009fffff,0x7fffff40,
    0xffd1002f,0xffffffff,0xfd1009ff,0xffffffff,0x44009fff,0xfffffffc,
    0x004fffff,0x3fffffa2,0x4fffffff,0x7ffffec0,0xfff9afff,0xfffff72f,
    0x3f603fff,0xffffffff,0xffff506f,0x8001dfff,0xfffffffa,0x9500000e,
    0xdffffffd,0xca800039,0xeffffffe,0xfd70001c,0xbdffffff,0xffeb8005,
    0x2defffff,0x7fff5c00,0x02deffff,0x7ffff5c0,0x002defff,0x3bffffd9,
    0x00bfffe6,0x3ffffb2a,0x0001ceff,0x0fffff20,0xfffd7000,0x05bdffff,
    0xfffff980,0xfffa801f,0xeb8007ff,0xefffffff,0x6cc0002d,0x001fffff,
    0x7fffff5c,0x4002deff,0xffffffeb,0x50002def,0xffffffd9,0x2e00039d,
    0xfffffffe,0xfd9002de,0x3e63bfff,0xfff72fff,0x403fffff,0xffffffea,
    0x3ffe602f,0x8000cfff,0xcffffff9,0x26000000,0x000001aa,0x0000d54c,
    0x06aaa620,0x554c4000,0x3100001a,0x00003555,0x006aaa62,0x00035100,
    0x00d54c00,0xfff90000,0x2200007f,0x0001aaa9,0x07fffff8,0xbfffff10,
    0x554c4000,0x1000001a,0x88000155,0x0001aaa9,0x03555310,0x2aa60000,
    0x4c400001,0x40001aaa,0x4c4001a8,0x01999999,0x03577530,0x02aaeaa0,
    0x55755000,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x33000000,
    0xca800333,0xcccccccc,0x8803cccc,0x002a9809,0x26609988,0x26620009,
    0x00099981,0xaa885555,0x3332601a,0x332e003c,0x7999934c,0x66666400,
    0x33332a3c,0x99950000,0x20000039,0x1dd305ea,0x99995000,0x0aaaaa23,
    0x6664c000,0xcc88001c,0x00002ccc,0x0aaaaa80,0x55530000,0xc8000055,
    0x00003ccc,0x99555544,0x9300aaaa,0x99999999,0x01559999,0x03999930,
    0x3a60bd50,0x0000000e,0x00333331,0x3ffee000,0xffc8804f,0xffffffff,
    0x205fffff,0x21cfffd8,0xf98005fd,0x05ffa8ef,0x91fffdc0,0x2e005fff,
    0xffd12fff,0x7ffd401f,0xffd002ff,0x3fffeaff,0xffffb006,0x7ffe43ff,
    0xff90001f,0x000005ff,0x3f60bfe6,0xfff70007,0x3fffe65f,0xff500006,
    0xf70007ff,0x000dffff,0xffffa800,0x3fa00005,0x00001fff,0x002ffffc,
    0x3fffee00,0x40bfffd1,0xfffffffa,0xffffffff,0x3fea00ef,0xff9803ff,
    0x0007fd83,0x3fff6000,0xf000003f,0xd100bfff,0xffffffff,0xffffffff,
    0x7fffe40b,0x04ffffff,0xffdff500,0x3ff6000d,0x04fffb9f,0x6c7fff40,
    0x7d402fff,0x800fffff,0xff57fffe,0xff900dff,0xfc83ffff,0x90001fff,
    0x0005ffff,0x5efff400,0x0004ffeb,0x265ffff7,0x0006ffff,0x07ffff50,
    0xfffffd00,0x4000003f,0x0006fffd,0x0bfffea0,0x3ffe0000,0x7c00005f,
    0xfff52fff,0x7ffd401d,0xffffffff,0x1fffffff,0x07ffff50,0x2ef7ffa0,
    0x00004ffe,0x9ffff100,0x3ea00000,0xffb005ff,0xffffffff,0xbfffffff,
    0x7f677fc0,0x001fffff,0x037bbae0,0x77ffc400,0x88006fff,0x4fffffff,
    0xfffffa80,0xfffe804f,0x0dffff57,0xffffffc8,0x1ffffc81,0xffff9000,
    0x4c000005,0x6fffffff,0x3ffee000,0xdffff32f,0x3fea0000,0x7cc003ff,
    0x05ffffff,0xfff30000,0x6c00001d,0x00002fff,0x00bffff0,0x1fffdc00,
    0xa801fffd,0xffffffff,0xffffffff,0xffa82fff,0xff3003ff,0x00dfffff,
    0x7fe40000,0x2000004f,0xa800effe,0xffffffff,0xffffffff,0x1ff305ff,
    0x00e7f5c4,0x7443ec80,0xffa8001e,0x0001ffff,0x1dfffff5,0xfffff500,
    0xffe803ff,0xdffff57f,0x7ffffdc0,0xffff901f,0x3ff20003,0x000002ff,
    0x27fffec4,0x3ffee000,0xdffff32f,0x3fea0000,0x7e4003ff,0x0fffffff,
    0xffd80000,0x2600000e,0x00003fff,0x017fffe0,0x25ffe800,0xa801fffa,
    0xeeefffff,0xfffeeeee,0xffa85fff,0x362003ff,0x0004ffff,0x3ffe2000,
    0x2a000005,0xf9000eff,0xffffffff,0x17ffea1f,0x20000000,0x17fc44fe,
    0xffffc800,0x77640003,0xff5001ee,0x80dfffff,0xff57fffe,0x3fea0dff,
    0x3202ffff,0x0001ffff,0x005ffff9,0x00440000,0x7fcc0000,0x500006ff,
    0x8007ffff,0xffffffff,0x4400003f,0x00000fff,0x00027fec,0x80000000,
    0x7ff45ffa,0xffff5003,0xfffd300b,0x800000ff,0x00000008,0x0006ffb8,
    0xfb000000,0xffffffff,0x17ffea1f,0x20000000,0x0f7443ec,0x00000000,
    0xfffa8000,0x202fffff,0xff57fffe,0xfff50dff,0xfc805fff,0x90001fff,
    0x0005ffff,0x00000000,0xdffff300,0x3fea0000,0x3ea003ff,0xffffefff,
    0x00000006,0x00000000,0x00000000,0xffa80000,0xff3005ff,0x00003fff,
    0x00000000,0xf0000000,0x7fdc3fff,0xfffff05f,0x21ffffff,0x64c5fffa,
    0x91003ccc,0x664c9999,0x991003cc,0x3ffe0999,0x17ffee1f,0x7f6dd440,
    0x5400cdef,0xffffffff,0xffffd00f,0x31bfffea,0x05ffffff,0x03ffff90,
    0x47999991,0x712ffffc,0x00059dfb,0x77ff654c,0x950001bc,0x3fe63999,
    0x500006ff,0x4007ffff,0xfe9ffffd,0x40001fff,0xeffedba8,0x4c0000cd,
    0xbcdffecb,0x75cc0000,0x0cdefffe,0x7654c000,0x001bceff,0x00bffff5,
    0x21fffff4,0x4c1cccc9,0x1003cccc,0x00099999,0x80000000,0x3ee1ffff,
    0xfffd05ff,0x1fffffff,0xf517ffea,0x2200bfff,0x3ea7ffff,0xf1005fff,
    0x3fe0ffff,0x3ffee1ff,0xffffa805,0xcfffffff,0xfffff500,0x3a09ffff,
    0xfff57fff,0x7fffccdf,0xff9003ff,0xfffd03ff,0x7ffe41ff,0xfffff9af,
    0x2a000dff,0xffffffff,0x4001efff,0xf32ffffb,0x0000dfff,0x00ffffea,
    0xbb7fffc4,0x0005ffff,0x3fffffea,0x00cfffff,0x7ffff4c0,0x02ffffff,
    0xffffe980,0xdfffffff,0x7ffd4001,0xffffffff,0x7ffd401e,0x3ffa005f,
    0x7ffd43ff,0x7fffd43f,0xffff1005,0x6654000f,0xcccccccc,0xcccccccc,
    0xff02cccc,0x7ffdc3ff,0xfffffb05,0x2a1fffff,0x7fd45fff,0xff1005ff,
    0x7ffd4fff,0xfff1005f,0x3fffe0ff,0x017ffee1,0xfffffff7,0x3fffffff,
    0xfdffff50,0xfd03ffff,0x3ffeafff,0xfffff16f,0x7fe4007f,0x7ffec1ff,
    0x7ffe41ff,0xffffffdf,0x4401ffff,0xfffffffd,0x3fffffff,0x3fffee00,
    0x0dffff32,0x3ffea000,0xfff7003f,0x3fffe27f,0xffb8000f,0xffffffff,
    0x7001ffff,0xffffffff,0x01bfffff,0x3ffffee0,0xffffffff,0xfd8802ff,
    0xffffffff,0x203fffff,0x005ffffa,0x83fffff3,0x543ffffa,0x1005ffff,
    0x000fffff,0x3fffffe2,0xffffffff,0xffffffff,0x3ffff04f,0xb82fffdc,
    0xffffffff,0xbfff50ff,0x05ffffa8,0x4fffff10,0x005ffffa,0x20fffff1,
    0x3ee1ffff,0x3ff205ff,0xffffffff,0xa86fffff,0xffdbffff,0xfffe86ff,
    0x1dffff57,0x0dfffffd,0x1ffffc80,0x07fffff2,0x3ffffff2,0xfffffeff,
    0x3ffe206f,0xffffffff,0x0effffff,0x2ffffb80,0x00dffff3,0x3fffea00,
    0xffffd003,0x1fffff41,0x3ffff200,0xffffffff,0x74406fff,0xffffffff,
    0x6fffffff,0xfffffd80,0xffffffff,0x2202ffff,0xffffffff,0xffffffff,
    0xfffa80ef,0xfff9805f,0xfffa86ff,0x7fffd43f,0xffff1005,0x3fee000f,
    0xffffffff,0xffffffff,0x304fffff,0x99988333,0x3ffffa00,0xf50fffff,
    0xfffa8bff,0xfff1005f,0x7fffd4ff,0xffff1005,0x1066660f,0x7fc01333,
    0xa9bdffff,0x4ffffffb,0x45ffffd4,0x743fffff,0xfff57fff,0xfffffddf,
    0x7e4005ff,0xfff71fff,0x3ff205ff,0x7dc2ffff,0xfb02ffff,0x79dfffff,
    0xfffffd97,0xfff7009f,0x3fffe65f,0xff500006,0xff3007ff,0xfffa8bff,
    0x7ffc006f,0xba9bdfff,0x04ffffff,0x3ffffff2,0xffffdbbd,0x3ee04fff,
    0xbdefffff,0xffffffda,0xfffb00ff,0x9779dfff,0x9ffffffd,0xdfffff50,
    0xffdddddd,0x505fffff,0xfa87ffff,0xf1005fff,0x2000ffff,0xffffffff,
    0xffffffff,0xffffffff,0x4c000004,0xffffffff,0x8bfff50f,0x005ffffa,
    0x54fffff1,0x1005ffff,0x000fffff,0x7fffcc00,0x7ffffc06,0x9ffffd46,
    0x20fffffc,0xff57fffe,0xffffffff,0x2001ffff,0xfa9ffffc,0x3202ffff,
    0x702fffff,0xf50dffff,0x405fffff,0x1ffffffa,0x97fffdc0,0x006ffff9,
    0x7ffff500,0x5ffffb00,0x1fffff88,0xdffff300,0x6fffff80,0xdfffff10,
    0xffff5101,0xfff301ff,0x74c07fff,0xa84fffff,0x02ffffff,0x3fffffea,
    0x7ffffd41,0xffffffff,0x504fffff,0xfa87ffff,0xf1005fff,0x7000ffff,
    0xf53bffff,0xddddffff,0xdddddddd,0x10000007,0xfffffffb,0x517ffea1,
    0x200bffff,0x2a7ffff8,0x1005ffff,0x000fffff,0x7fffe400,0x7fffdc02,
    0x3fffea0f,0x97ffffa3,0xff57fffe,0xffffffff,0x2009ffff,0xffcffffc,
    0x7e403fff,0x7fc05fff,0x3fe20fff,0x8800efff,0x406ffffe,0xf32ffffb,
    0x0000dfff,0x00ffffea,0x01fffff1,0x00bffffb,0x00bffff2,0x01fffff7,
    0x00bffffb,0x09fffff7,0x03fffffd,0xffffff10,0xefffff88,0xfffe8800,
    0x7fffd46f,0xffffffff,0x202fffff,0x543ffffa,0x1005ffff,0x000fffff,
    0x263ffffd,0x0006ffff,0x00e66654,0x40399995,0x0ffffdb9,0xfa8bfff5,
    0xf1005fff,0x7fd4ffff,0xff1005ff,0x66654fff,0x3332a01c,0x3ffff61c,
    0xeeeee803,0x8ffffea1,0xd2fffffa,0x3feaffff,0xcbffffff,0x801fffff,
    0xfffffffc,0xffc807ff,0x7fec03ff,0x3ffee1ff,0x3ea002ff,0x2e03ffff,
    0xff32ffff,0x20000dff,0x403ffffa,0x505ffffb,0x001fffff,0x007ffffb,
    0xa83ddddd,0x001fffff,0x887bfffd,0x003fffff,0x833bffee,0x02fffffb,
    0x3ffffea0,0x3ffffea3,0xffffffff,0xffa801bf,0x7ffd43ff,0xfff1005f,
    0xffa800ff,0x3ffe65ff,0x7dc0006f,0x3f202fff,0xf8802fff,0xfff50fff,
    0x5ffffa8b,0xfffff100,0x02ffffd4,0x27ffff88,0x202ffffb,0x2e2ffffc,
    0x002fffff,0x1ffffd40,0x75bffff6,0xfff57fff,0x3e29ffff,0xc806ffff,
    0xffffffff,0x7fe403ff,0x7fe402ff,0x3fff62ff,0xffe8006f,0x3fee05ff,
    0xffff32ff,0x3ea0000d,0x7f403fff,0x9999bfff,0x3fffff99,0xfffffb80,
    0xffc80002,0x2e6005ff,0x3ffff201,0x201a8006,0x006ffffd,0x25ffffe8,
    0xaaeffffa,0xdfffffdb,0xffffa800,0x2ffffd43,0x7ffff880,0x7ffff400,
    0x1bfffe62,0xffff7000,0x7fffe405,0xffff8802,0xa8bfff50,0x1005ffff,
    0x7d4fffff,0xf1005fff,0x7fdcffff,0x3ff202ff,0x3ffe62ff,0x00acefff,
    0x1ffffd40,0x2fffffe2,0xff57fffe,0xfb89ffff,0x6404ffff,0xffffffff,
    0x3f200fff,0x7dc02fff,0xfff13fff,0xf50005ff,0x7dc0dfff,0xfff32fff,
    0x2a0000df,0x2603ffff,0xffffffff,0xffffffff,0xfff9806f,0x00acefff,
    0x2ffffd80,0x7ff40000,0x400003ff,0x02fffff8,0x6ffffa80,0x217fffea,
    0x1efffffa,0x1ffffd40,0x017fffea,0x03ffffc4,0x8dffff50,0x006ffff9,
    0x17fffdc0,0x05ffff90,0x21ffff10,0x7d45fffa,0xf1005fff,0x7fd4ffff,
    0xff1005ff,0x7ffdcfff,0x3fff202f,0x7fffec2f,0x1bdfffff,0x3ffffa80,
    0xffffffb8,0xfff57fff,0x3ffa09ff,0x3f201fff,0xffefffff,0x3ff204ff,
    0x7fe402ff,0xffff32ff,0xff30003f,0x7fdc0fff,0xffff32ff,0x3ea0000d,
    0x3f203fff,0xffffffff,0xffffffff,0xfffd801f,0xbdffffff,0xffffd001,
    0xff800005,0x00002fff,0x0fffffcc,0x7fffcc00,0x17fffea7,0x7fffffd4,
    0x3fffea00,0x2ffffd43,0x7ffff880,0x3ffff600,0x37fffcc3,0x3ffee000,
    0x3fff202f,0xfff8802f,0x8bfff50f,0x005ffffa,0x54fffff1,0x1005ffff,
    0x7dcfffff,0x3f202fff,0x7f442fff,0xffffffff,0xf500beff,0x3fa07fff,
    0x7fffffff,0x40dffff5,0x06fffffa,0x37fffff2,0x01ffffe8,0x807ffff9,
    0xf31ffffc,0x0001ffff,0x01fffff1,0x4cbfffee,0x0006ffff,0x07ffff50,
    0x7ffffffc,0xffffffff,0x8805ffff,0xfffffffe,0x00beffff,0x007ffffe,
    0xffff8800,0x4c00001f,0x000fffff,0x0fffff88,0x40bffff5,0x06fffffc,
    0x50ffffea,0x200bffff,0x007ffff8,0x30fffff3,0x999fffff,0x99999999,
    0x2ffffb85,0x0bffff20,0x43fffe20,0x7d45fffa,0xf1005fff,0x7fd4ffff,
    0xff1005ff,0x7ffdcfff,0x3fff202f,0xfffd882f,0xffffffff,0xfffa80ef,
    0xffff303f,0x3eafffff,0x7ec06fff,0xf903ffff,0x7fd4bfff,0xfff906ff,
    0xfffe80bf,0xfffff50f,0x7fffc000,0xffff701f,0x1bfffe65,0x7ffd4000,
    0xffff503f,0xffffffff,0xffffffff,0xfffb1001,0xffffffff,0xfff101df,
    0x400001ff,0x00fffff9,0x3bbbbbaa,0xff53eeee,0x7c000fff,0xff51ffff,
    0xffe80bff,0xff503fff,0xfffa87ff,0xfff1005f,0x3ff600ff,0xfff983ff,
    0xffffffff,0x5c4fffff,0x3202ffff,0x8802ffff,0xff50ffff,0xffffa8bf,
    0xffff1005,0x2ffffd4f,0x7ffff880,0x80bfffee,0x202ffffc,0xffffffea,
    0x40efffff,0x203ffffa,0xfffffffc,0x0dffff57,0xffffff88,0x1ffffc81,
    0x417ffff4,0x01fffffc,0x54fffff3,0x0007ffff,0x40bffffe,0xf32ffffb,
    0x0000dfff,0x40ffffea,0x99cffffd,0x99999999,0x003fffff,0x3fffffaa,
    0x0effffff,0x03ffffcc,0x3ffe6000,0x3fee00ff,0xffffffff,0x0fffff54,
    0x7ffffc00,0x0bffff52,0xffffff98,0x3ffffa81,0x02ffffd4,0x07ffff88,
    0x0fffff88,0xffffff98,0xffffffff,0x7ffdc4ff,0x3fff202f,0xfff8802f,
    0x8bfff50f,0x005ffffa,0x54fffff1,0x1005ffff,0x7dcfffff,0x3f202fff,
    0xb8802fff,0xfffffffd,0x3fea0fff,0x3fe203ff,0xf57fffff,0xf900dfff,
    0xf90dffff,0xff983fff,0xfffc86ff,0x7f441fff,0x3fe64fff,0xf10007ff,
    0x2e03ffff,0xff32ffff,0x55555fff,0x55555555,0x07ffff50,0x01fffff1,
    0x37fffe40,0x7fedc400,0xffffffff,0x3ffffe20,0x3e200000,0x2e01ffff,
    0xffffffff,0xffff34ff,0x3fe2000f,0xfff51fff,0xfff700bf,0xfff50dff,
    0xffffa87f,0xffff1005,0xffff900f,0x3fffe609,0xffffffff,0x7dc4ffff,
    0x3f202fff,0xf8802fff,0xfff50fff,0x5ffffa8b,0xfffff100,0x02ffffd4,
    0x27ffff88,0x202ffffb,0x002ffffc,0x7fff6544,0x3fea2fff,0x7fd403ff,
    0xff57ffff,0xff100dff,0xfc87ffff,0xffd81fff,0x7ffe43ff,0xfdbdffff,
    0x220fffff,0x000fffff,0x0fffff98,0x25ffff70,0xfffffff9,0xffffffff,
    0xfffa85ff,0xffffc83f,0x7ffcc005,0x220002ff,0xfffffeca,0x7ffffc2f,
    0x7fc00001,0x3ee02fff,0xffffffff,0xfffff14f,0xfff30001,0x3ffea1ff,
    0xfffd005f,0xfffa87ff,0x7fffd43f,0xffff1005,0xffff880f,0xffff301f,
    0xdddddddf,0xfb87dddd,0x3f202fff,0xf8802fff,0xfff50fff,0x5ffffa8b,
    0xfffff300,0x02ffffd4,0x27ffff98,0x202ffffb,0x002ffffc,0x7ffffdc0,
    0x0ffffea4,0x3fffff60,0x0dffff57,0x3ffffea0,0x3ffff20f,0xfffff881,
    0x3fffff20,0xffffffff,0xffff83ff,0xffa8001f,0x3fee06ff,0xffff32ff,
    0xffffffff,0x50bfffff,0xff07ffff,0xd0005fff,0x000bffff,0x7ffffdc0,
    0x17ffff44,0xffd00600,0x664c07ff,0xffffeccc,0x07ffffe4,0x3fffea00,
    0x17fffea6,0x7ffffcc0,0x3fffea0f,0x2ffffd43,0x7ffff980,0x7ffffe40,
    0xfdcccccc,0x40006fff,0x202ffffb,0x802ffffc,0xf50ffff8,0xfffa8bff,
    0xfff3006f,0x7fffd4df,0xffff3006,0x17fffdcd,0x25ffff90,0x002ecca9,
    0x54dffff5,0x8803ffff,0xf57fffff,0x7400dfff,0x325fffff,0xf901ffff,
    0x7fe4bfff,0xffffcaff,0xfd03ffff,0xb0009fff,0x5c0bffff,0xff32ffff,
    0xffffffff,0xbfffffff,0x87ffff50,0x00fffffa,0xfffffb80,0x176654c0,
    0x6ffffa80,0x027fffec,0x9059ff50,0x000dffff,0x749ffff7,0x8004ffff,
    0x2a5ffffd,0x2005ffff,0x25fffffb,0x543ffffa,0x3006ffff,0x440dffff,
    0xffffffff,0xffffffff,0x7dc0006f,0x3f202fff,0xf8802fff,0xfff50fff,
    0x7ffff98b,0xdffff500,0x03ffffcc,0x26ffffa8,0x202ffffb,0xf72ffffc,
    0x2200bfff,0x3ea7ffff,0xf9003fff,0x3feaffff,0x3e6006ff,0xf93fffff,
    0x3e203fff,0xff91ffff,0x3ffee5ff,0x3f201eff,0x2001ffff,0x04fffff9,
    0x4cbfffee,0xffffffff,0xffffffff,0xffffa85f,0x2ffffec3,0xffff8800,
    0x7fffdc3f,0xffff1005,0xfffffb8f,0xffff9000,0xfffff98d,0x7ffdc002,
    0x3ffff24f,0x3fe6001f,0x3fea4fff,0x7f4005ff,0xff52ffff,0xfff987ff,
    0xfff5007f,0x7ffdc0df,0xffffffff,0x06ffffff,0x7fffdc00,0x3ffff603,
    0xffff8802,0x88bfff50,0x803fffff,0x225ffffd,0x803fffff,0x2e5ffffd,
    0x3603ffff,0xff32ffff,0xf7001fff,0x5c00dfff,0x00002ccc,0x00059997,
    0x06f33220,0x0bffff20,0x3e600351,0x2005ffff,0x00fffffd,0x00bffff2,
    0x00059997,0x00059997,0x40bff000,0x00fffff9,0x46ffffb8,0x04fffff8,
    0x3fffff98,0x06fffff8,0x27fffe40,0x0bfffff3,0x7ffffec0,0x3332e000,
    0x0ffb8002,0x7fffff10,0xbffffb00,0x7fffffc0,0xffffffff,0x0006ffff,
    0x827fffd4,0x02fffff8,0x50ffff88,0xffd0bfff,0x7d401fff,0x7f43ffff,
    0x2a00ffff,0x2a3fffff,0xf104ffff,0x7fc5ffff,0x7c406fff,0x2004ffff,
    0x01fffffd,0x7fffec00,0x7c40001f,0x6405ffff,0x0002ffff,0xdfffffc8,
    0x3fff6200,0x7fe403ff,0x7fec01ff,0x36001fff,0x001fffff,0x09ff1000,
    0x06fffff8,0x27ffffc4,0x1fffffdc,0xfffffd10,0xfffff501,0xffc8803d,
    0x7fe44fff,0x2200dfff,0x03fffffd,0x7ffffec0,0x01ff2001,0x01fffffd,
    0x1fffffd4,0xffffffa8,0xffffffff,0x0006ffff,0x07ffffc4,0x17fffff4,
    0x87fffc40,0xfb85fffa,0x0acfffff,0xffffff73,0xfffffb81,0xff730acf,
    0x7c41ffff,0xfe80ffff,0x3f22ffff,0x20aeffff,0xfffffea8,0x3f72e001,
    0x5c0006ff,0x006fffdc,0x7ff66440,0x3fff203f,0xfd00002f,0x137fffff,
    0xfffff731,0x7fd420df,0x65c01fff,0x2006fffd,0x07fffdcb,0x9ff30000,
    0xfffffc80,0x3faa20ae,0xfd01ffff,0x215bffff,0xffffffb9,0x3ffff604,
    0x9530acff,0x9fffffff,0xffffffd0,0xff731137,0x000dffff,0x0dfffb97,
    0x7007ff40,0x59ffffff,0x3fffee61,0xfffd00ff,0xfff3009f,0xff0000df,
    0xf959ffff,0x05ffffff,0x21ffff10,0xfd05fffa,0xffffffff,0x7fffffff,
    0x3fffffa0,0xffffffff,0xfff83fff,0xffcacfff,0x742fffff,0xffffffff,
    0xffffffff,0x3fee0006,0xf700000f,0x400001ff,0x3f205ffe,0x00002fff,
    0xfffffff5,0xffffffff,0x3fe05fff,0x00ffffff,0x003ffee0,0x003ffea0,
    0x1bfea000,0x3fffffa0,0xffffffff,0x3e606fff,0xffffffff,0x6fffffff,
    0x7ffff440,0xffffffff,0x3fffffff,0xffffffa8,0xffffffff,0x0002ffff,
    0x8007ffdc,0x7f402ffe,0xffffffff,0x3fffffff,0x1fffff50,0xfffff300,
    0x55555555,0xfc855555,0xffffffff,0x02ffffcf,0x50ffff88,0x3e60bfff,
    0xffffffff,0x0effffff,0xffffff30,0xffffffff,0xfff901df,0x9fffffff,
    0xf885ffff,0xffffffff,0x1fffffff,0xdffd1000,0x3fa20000,0x2a00006f,
    0x3f203fff,0x00002fff,0x3fffffea,0xffffffff,0xfff101ef,0x400bffff,
    0x8006ffe8,0x0007ffe8,0x2b7ffe00,0x7ffc41a9,0xffffffff,0x401fffff,
    0xfffffffa,0xefffffff,0xfffd8800,0xffffffff,0x02ffffff,0x3fffffea,
    0xffffffff,0x440001ef,0x36006ffe,0x42a9beff,0xfffffff9,0xffffffff,
    0xffffd00e,0x3ffe600b,0xffffffff,0x87ffffff,0xfffffffd,0x2ffff9af,
    0x0ffff880,0x440bfff5,0xfffffffe,0x804fffff,0xffffffe8,0x04ffffff,
    0x7fffffec,0xffff9aff,0xffffe982,0xffffffff,0xdff5001e,0x005fffff,
    0xfffdff50,0x360005ff,0xeffffeef,0x3ffff200,0x64400002,0xffffffff,
    0x5404ffff,0x0fffffff,0xfffdff50,0xffa805ff,0x02fffffe,0x3ff20000,
    0xe982ffff,0xffffffff,0x001effff,0xffffffb1,0x01bfffff,0xfffffc80,
    0xffffffff,0xfc8800bf,0xffffffff,0xa8004fff,0xfffffeff,0x3ffea002,
    0xfe886fff,0xffffffff,0x3e604fff,0x3002ffff,0xffffffff,0xffffffff,
    0x3ffb20ff,0xfff31dff,0xfff1005f,0x17ffea1f,0x3ffffae0,0x002defff,
    0x7fffff5c,0x9002deff,0x23bffffd,0x202ffff9,0xffffffea,0x54003dff,
    0x1dffffff,0xffff5000,0x40003bff,0xbffffffd,0x7fffe400,0x95000002,
    0xdffffffd,0xfff70039,0x7d403dff,0x01dfffff,0xffffffa8,0x4000001d,
    0x1fffffe8,0x3ffffaa0,0x003dffff,0xffffdb50,0x40003bff,0xfffffeb8,
    0x0002bdef,0xfffffd95,0x200039df,0xdffffffa,0xffeb8001,0x3fae05ff,
    0xdeffffff,0x7fffec02,0x3ffe6006,0xffffffff,0x07ffffff,0x00000d44,
    0x4c400000,0x00001aaa,0x00355531,0x0001a880,0x4d554c40,0x2a660000,
    0x98000099,0x000099a9,0x019a9988,0x00000000,0x00035530,0x4002aea6,
    0x00099a99,0x004cd4cc,0x2ea00000,0x54c4001a,0x000009aa,0x00026a62,
    0x04d4cc00,0xaa980000,0x26600001,0x8000099a,0x310009b9,0x4c003555,
    0x003fffff,0x3fffffe6,0xffffffff,0x00007fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x64000000,0x00003ccc,0x664c0540,
    0x01cccccc,0x2a05554c,0x000002aa,0x99993000,0x99999999,0x85999999,
    0x4c2cccca,0xcb81cccc,0x000004cc,0x55550000,0x55500035,0x01aaa885,
    0x55551000,0x554c0005,0x0155540a,0x83555100,0x5000aaa9,0xaaa88555,
    0x4ccc4001,0x09999999,0x21555400,0x0001aaa8,0x01aaaaa8,0xaaaaa800,
    0x33100000,0x00000033,0x00155555,0x00133330,0x00000000,0x00bffff0,
    0x07fcc000,0x3fffffea,0x7fc402ff,0x0fffee6f,0x20ff7000,0x3ea00ffb,
    0xffffffff,0xffffffff,0x7fffe44f,0x1ffffd44,0x007ffff4,0x04ffffd8,
    0xfff98000,0xff90006f,0x3fffa25f,0xffb00000,0x4c0005ff,0x3ff25fff,
    0x7ec0003f,0xdfff31ff,0x1fffdc00,0x8001fffd,0xfffffffd,0x64003fff,
    0xffd12fff,0xf980001f,0x80006fff,0x005ffffa,0xfffff100,0x4c000007,
    0x8005ffff,0x00fffffc,0x5407fdc0,0x800000ff,0x0005ffff,0x2a1bee00,
    0xffffffff,0xcfffa802,0x0005fff9,0x7443ff98,0x7ffd406f,0xffffffff,
    0x4fffffff,0x227fffe4,0xe83ffffa,0xb800ffff,0x02ffffff,0x7ffec000,
    0x3fa0000e,0x2fffd8ff,0xfff30000,0xf700007f,0xbfff57ff,0xfff10000,
    0x01fffd1d,0xc9fffd80,0xd8003fff,0xffffffff,0xfe8003ff,0x1fffd8ff,
    0xfffd8000,0xfe80000e,0x200006ff,0x1ffffffe,0xffb00000,0xf98001df,
    0x005fffff,0x3a227fcc,0xf000007f,0x0000bfff,0x7d41ff40,0x2fffffff,
    0xfffffb00,0x200001ff,0xffdcfffe,0x7ffd402f,0xffffffff,0x4fffffff,
    0x227fffe4,0xe83ffffa,0x4400ffff,0xffffefff,0xff300000,0x980001df,
    0x4fffffff,0x3ff60000,0x3600003f,0x0fffffff,0xfff50000,0x0007ffff,
    0xfffffff1,0x3ff6000b,0xffffffff,0xfff98003,0x0004ffff,0x00efff88,
    0xefff9800,0xff700000,0x00dfff9f,0xdfff3000,0xfff88001,0x002fffde,
    0x7eefffec,0x000003ff,0x000bffff,0x207fe200,0xfffb9998,0xffd1002f,
    0x00005fff,0x7fffff44,0xfffa804f,0xeeeeeeff,0x3eeeeeee,0x227fffe4,
    0xe83ffffa,0x7400ffff,0xfffa8fff,0xff900005,0x2e00001f,0x006fffff,
    0x13ffe200,0xfff10000,0x00005fff,0x5fffffc8,0x3ffea000,0x00000fff,
    0x3ee00000,0x0006ffff,0x001fff90,0x03bff600,0x7ffcc000,0x009fff75,
    0x0effd800,0x9fffd800,0x000fffe8,0x3fffffa2,0x0000005f,0xfa800000,
    0xffff3007,0x7774c005,0x7000004e,0x2003bdfd,0x005ffffa,0x9ffff900,
    0x32000000,0x3fee2fff,0x7c40003f,0x400001ff,0x001eeeec,0x017ff200,
    0x77754000,0xb000004e,0x0001bddd,0x02eeeec8,0x00000000,0x01eeeec8,
    0x1fff8800,0xfff30000,0x7f400001,0x3fff60ff,0xff100001,0xff50003f,
    0x2fffcc7f,0x6f7edc00,0x00000002,0x9fb00000,0x3fffe600,0x00000002,
    0xfa800000,0x00005fff,0x009ffff9,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x99300000,0x32200799,0x00004ccc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0xcdffecb9,0xcb98000b,
    0x003ffffe,0x005ffff3,0x37ffb2e6,0x4c0000bc,0xdefffeeb,0x7ffd400c,
    0xf900005f,0xcc989fff,0xcccb81cc,0x00000004,0x33333220,0x6664c002,
    0xcccccccc,0x993001ac,0x99999999,0x00155999,0x99999993,0x55999999,
    0x99993001,0x6665c007,0x99999934,0x99999999,0x7d459999,0xf1005fff,
    0x6644ffff,0xcccccccc,0xcccccccc,0x999930cc,0x6665c007,0x66666644,
    0xcccccccc,0x4002cccc,0x02ccccc8,0xcccccb80,0x33322000,0xccca82cc,
    0x3220002c,0x0002cccc,0x7ffff4c0,0x02ffffff,0x3ffffee0,0x9803ffff,
    0x4c02ffff,0xfffffffe,0x98002fff,0xfffffffe,0x501dffff,0x000bffff,
    0x13ffff20,0xd07ffff5,0x3261ffff,0x32003ccc,0x5c004ccc,0x006fffff,
    0x7fffffd4,0xffffffff,0x7ffd400d,0xffffffff,0x00efffff,0x3fffffea,
    0xffffffff,0x3ea00eff,0xd002ffff,0x3feaffff,0xffffffff,0xffffffff,
    0x17fffea4,0x3ffffc40,0xfffffff3,0xffffffff,0x2a1fffff,0x002fffff,
    0x7c4ffffd,0xffffffff,0xffffffff,0x7fdc004f,0xa8006fff,0x004fffff,
    0x07fffff6,0x013ffff2,0xfffffb80,0x3ee00006,0xffffffff,0x200dffff,
    0xffffffe8,0x405fffff,0x202ffff9,0xfffffffb,0x0dffffff,0xfffff700,
    0xffffffff,0xfff505ff,0x320000bf,0x7d44ffff,0xffe83fff,0xffff50ff,
    0x7fffc00b,0x3ffa000f,0x2001ffff,0xfffffffa,0xffffffff,0x3ffea04f,
    0xffffffff,0x1fffffff,0xffffff50,0xffffffff,0x2a03ffff,0x00ffffff,
    0xf57fffe8,0xffffffff,0xffffffff,0x7fffd49f,0xffff1005,0x7ffffccf,
    0xffffffff,0x0fffffff,0x1ffffff5,0x4ffffd00,0xfffffff8,0xffffffff,
    0x74004fff,0x01ffffff,0xfffffd80,0xffff9801,0xffff904f,0x7ff40009,
    0x0001ffff,0x7fffff44,0xffffffff,0x3ff206ff,0xfffeffff,0x3e603fff,
    0xfe882fff,0xffffffff,0x06ffffff,0xffffffd8,0xffffffff,0x7fd42fff,
    0xccccceff,0x2ccccccc,0x44ffffc8,0xe83ffffa,0xff50ffff,0x7fc00bff,
    0xf3000fff,0x0bffffff,0x7ffffd40,0xffffffff,0xf506ffff,0xffffffff,
    0xffffffff,0xfff505ff,0xffffffff,0xffffffff,0xfffff505,0xfffd009f,
    0x3ffffeaf,0xffffffff,0x2a4fffff,0x1005ffff,0x7ccfffff,0xffffffff,
    0xffffffff,0xfff50fff,0xfd009fff,0x7ffc4fff,0xffffffff,0x4fffffff,
    0x3fffe600,0x88005fff,0x806fffff,0x206ffffe,0x004ffffc,0xffffff30,
    0xfc8000bf,0xbbdfffff,0xfffffffd,0xfffff984,0xfffff98b,0x3ffe607f,
    0xffffc82f,0xffdbbdff,0x204fffff,0xeffffffb,0xffffdabd,0x3ea0ffff,
    0xffffffff,0xffffffff,0x4ffffc84,0x41ffffd4,0xf50ffffe,0x7c00bfff,
    0x9000ffff,0xffffffff,0x3ffea001,0xeeeeeeff,0x3fffffff,0xefffffa8,
    0xfeeeeeee,0xa85fffff,0xeeefffff,0xfffeeeee,0xffa85fff,0x401fffff,
    0xff57fffe,0xdddddfff,0xdddddddd,0x2ffffd47,0x7ffff880,0x3bbbbba2,
    0xeefffffe,0x50eeeeee,0x3fffffff,0x27fffe80,0xeeeeeee8,0xfffeeeee,
    0x32003fff,0xffffffff,0xfffb8000,0x3fee03ff,0x3f202fff,0x90004fff,
    0xffffffff,0x3fe20001,0xa880efff,0x40ffffff,0x2e2ffffe,0x3ffffdef,
    0x85ffff30,0x0efffff8,0xfffffa88,0xffff980f,0x3fa603ff,0x3ea4ffff,
    0xffffffff,0xffffffff,0x4ffffc84,0x41ffffd4,0xf50ffffe,0x7c00bfff,
    0xf000ffff,0xffffffff,0x3ffea007,0x3fee205f,0x7d40ffff,0xe9805fff,
    0xfa87ffff,0xe9805fff,0xfa87ffff,0x06ffffff,0xfabffff4,0x80005fff,
    0x005ffffa,0x00fffff1,0x01ffffe4,0xffffffa8,0x7fff406f,0x3ff60007,
    0x7c005fff,0xffffffff,0xfffd0003,0xfff101ff,0xffc80bff,0xff0004ff,
    0x7fffffff,0x3fff6000,0xfffb805f,0x7fffc4ff,0x5ecdff46,0x3ffe600a,
    0x7fffec2f,0xffffb805,0xffffe84f,0xfff8801f,0x3ffea7ff,0xffffffff,
    0x84ffffff,0x544ffffc,0xfe83ffff,0xfff50fff,0x7ffc00bf,0xffa800ff,
    0x6ffffeff,0xbffff500,0xfffff100,0x5ffffa8b,0xfffff300,0x5ffffa83,
    0xfffff300,0xfffffa83,0x3fa02fff,0xffff57ff,0xff50000b,0x3e200bff,
    0x32007fff,0x5003ffff,0xffffffff,0x3ffff405,0xffffc800,0x3ea000ef,
    0xffffefff,0xfff30006,0xfff909ff,0xffc801ff,0xfa8004ff,0xffffefff,
    0xfffa8006,0xffd001ff,0x7ffcc7bf,0x007fe25f,0x45ffff30,0x01fffffa,
    0x87bfffd0,0x03fffff8,0x33bffee0,0xdfffff50,0xdddddddd,0xff907ddd,
    0xfffa89ff,0xffffe83f,0x0bffff50,0x07ffffc0,0x4ffffec0,0x801ffffe,
    0x005ffffa,0x43fffff7,0x005ffffa,0x50fffffa,0x400bffff,0x543ffffe,
    0xffffffff,0xffffd00f,0x017fffea,0x3fffea00,0xffff1005,0x7ffe400f,
    0xfff5003f,0x01ffffff,0x001ffffa,0x3fffffea,0x7ffec000,0x1ffffe9f,
    0xffff9000,0x7fffcc3f,0xfffc802f,0xffd8004f,0xffffe9ff,0x7ffe4001,
    0x06e6005f,0x527fffd4,0xff3000df,0x7ffe45ff,0x06e6005f,0x06ffffc8,
    0xff501a80,0x20000bff,0x544ffffc,0xfe83ffff,0xfff50fff,0x7ffc00bf,
    0x7fc400ff,0xffff76ff,0xffff500b,0x7fff400b,0x3fffea3f,0x3fffa005,
    0x7fffd43f,0x3fffa005,0x7fffd43f,0xd04fffff,0x3feaffff,0xa80005ff,
    0x1005ffff,0x400fffff,0x003ffffc,0xfffffff5,0x3ffa09ff,0x7fcc007f,
    0x4002ffff,0xf76ffff8,0x4000bfff,0x366ffffe,0x9005ffff,0x8009ffff,
    0xf76ffff8,0xd800bfff,0x0002ffff,0x8ffffee0,0xf98004fd,0x3ff62fff,
    0x400002ff,0x003ffffe,0x7fffd400,0xff900005,0xfffa89ff,0xffffe83f,
    0x0bffff50,0x07ffffc0,0x4ffffee0,0x00fffff8,0x02ffffd4,0x4bffff90,
    0x005ffffa,0x83fffff3,0x005ffffa,0x83fffff3,0xffeffffa,0xffe81fff,
    0xbffff57f,0xfff50000,0x3fe200bf,0x3f2007ff,0xf5003fff,0xffffdfff,
    0xffffd03f,0x7fff4400,0xfb8003ff,0xfff13fff,0x260001ff,0xfaafffff,
    0x9000ffff,0x8009ffff,0xf13ffffb,0x4001ffff,0x002ffffe,0x3fffee00,
    0x2000bfe4,0x3a2ffff9,0x0002ffff,0x17ffffc0,0x3fea0000,0x900005ff,
    0xfa89ffff,0xffe83fff,0xffff50ff,0x7fffc00b,0x7fff400f,0x3ffffa0f,
    0x7fffd403,0x3ffea005,0x3fffea6f,0xffff9805,0xffffa86f,0xffff9805,
    0xffffa86f,0x86ffffdb,0xff57fffe,0x99999dff,0x59999999,0x05ffffa8,
    0x0fffff10,0x1ffffe40,0xbffffa80,0xe86ffffd,0x36007fff,0x005fffff,
    0x41ffffd0,0x003ffffe,0x3fffff20,0x003ffffe,0x013ffff2,0x41ffffd0,
    0x003ffffe,0x007ffffe,0xffffa800,0x2000ff35,0x3e2ffff9,0x0001ffff,
    0x3ffffe20,0x7d400001,0x00005fff,0xa89ffff9,0xfe83ffff,0xfff50fff,
    0x999999ff,0xffff9999,0x7ffcc01f,0x7fffd45f,0x7fffd406,0x3ffea005,
    0x3fffea7f,0xeeeeeeef,0x2fffffff,0xefffffa8,0xffeeeeee,0xa82fffff,
    0xff8bffff,0x7ff43fff,0xfffff57f,0xffffffff,0xfa89ffff,0xf1005fff,
    0x6400ffff,0x5003ffff,0xff17ffff,0xffe87fff,0xfff9007f,0x26000dff,
    0x7d45ffff,0x20006fff,0xfffffff8,0x7e4006ff,0x26004fff,0x7d45ffff,
    0xf1006fff,0x0001ffff,0xb7fffcc0,0x37be25fc,0xffff302c,0x3ffffe25,
    0x3e600000,0x2a00ffff,0xeeeeeeee,0xffff53ee,0x3f20000b,0x7fd44fff,
    0xfffe83ff,0xfffff50f,0xffffffff,0x1fffffff,0x17fffec0,0x07ffffe2,
    0x05ffffa8,0x9ffffe60,0xfffffffa,0xffffffff,0xff504fff,0xffffffff,
    0xffffffff,0x3fffea09,0x1fffff93,0xfabffff4,0xffffffff,0xffffffff,
    0x2ffffd44,0x7ffff880,0x3ffff200,0xffff5003,0x3fffff27,0x01ffffa0,
    0x3fffffea,0xfffb0000,0xffff885f,0x3ea0001f,0x1fffffff,0x7fffe400,
    0x3fff6004,0x7fffc42f,0xfff9801f,0xe800007f,0x2feaffff,0x417ffff2,
    0xf32ffff9,0x0000ffff,0x0fffff98,0x3ffffee0,0xf54fffff,0x0000bfff,
    0x513ffff2,0xfd07ffff,0x3fea1fff,0xffffffff,0xffffffff,0xfff100ff,
    0xfffb01ff,0x7ffd40bf,0x3fe6005f,0x3ffea7ff,0xffffffff,0x02ffffff,
    0x3fffffea,0xffffffff,0x3ea02fff,0x3ffa3fff,0x3fffa5ff,0xffffff57,
    0xffffffff,0xffa89fff,0xff1005ff,0x7e400fff,0xf5003fff,0x7ff47fff,
    0x3fffa5ff,0x7fffcc07,0xf10001ff,0xfb01ffff,0x8000bfff,0x4ffffffd,
    0xffffc800,0xffff1004,0xffffb01f,0xffff100b,0xb800001f,0x0fffffff,
    0x03fffff3,0x44bfffe6,0x000fffff,0x3fffe200,0x3ffee01f,0x4fffffff,
    0x55dffff5,0x55555555,0xffc85555,0x7ffd44ff,0xffffe83f,0xffffff50,
    0xffffffff,0x01ffffff,0x417fffee,0x00fffffa,0x00bffff5,0x537fffd4,
    0xffffffff,0x37ffffff,0xfffff500,0xffffffff,0xff50037f,0x7ffd47ff,
    0xffffd2ff,0x3bffffea,0xeeeeeeee,0x7fd43eee,0xff1005ff,0x7e400fff,
    0xf5003fff,0x7fd47fff,0xfffd2fff,0x7fffc40f,0x2e0003ff,0xf505ffff,
    0x0001ffff,0x7fffffc4,0xfffc8000,0xfff7004f,0x3ffea0bf,0xfff800ff,
    0x400001ff,0xfffffff8,0x6fffffec,0x8bfffe60,0x001fffff,0x7ffffc00,
    0x3fffee02,0x54ffffff,0xffffffff,0xffffffff,0x7fe41fff,0x7ffd44ff,
    0xffffe83f,0xdfffff50,0xdddddddd,0x01fffffd,0x26fffffa,0xfff99999,
    0xfff503ff,0x7fdc00bf,0x3ffea5ff,0xffdbaaef,0xa800dfff,0xbaaeffff,
    0x0dfffffd,0x3ffffa80,0xeb7fffec,0xfff57fff,0xf50000bf,0x2600bfff,
    0x2007ffff,0x003ffffc,0xd87ffff5,0xffd6ffff,0x7fff40ff,0x740004ff,
    0x999bffff,0xfffff999,0x7fec0003,0xf90003ff,0x3a009fff,0x999bffff,
    0xfffff999,0xffffe803,0x4c00c002,0xffffffff,0x200fffff,0x3a2ffff9,
    0x4002ffff,0x7ffff401,0x33332603,0x54ffffec,0xffffffff,0xffffffff,
    0x7fe41fff,0x7ffd44ff,0xffffe83f,0x0bffff50,0x07ffffc0,0x7fffffcc,
    0xffffffff,0xff506fff,0x7e400bff,0x3fea4fff,0xfffa85ff,0x7d401eff,
    0xffa85fff,0x5401efff,0x7c43ffff,0xffebffff,0xbffff57f,0xfff50000,
    0x3fe600df,0x3f2006ff,0xf5003fff,0xff887fff,0xfffebfff,0xfffff907,
    0xff98000d,0xffffffff,0x6fffffff,0x7ffe4000,0xff90003f,0xff3009ff,
    0xffffffff,0xdfffffff,0x9ffffb00,0x167fd400,0xffffff50,0x803fffff,
    0x362ffff9,0x2004ffff,0xfc82cffa,0xb8006fff,0xff54ffff,0xffffffff,
    0xffffffff,0x7fffe41f,0x1ffffd44,0xa87ffff4,0x2005ffff,0xc80fffff,
    0xffffffff,0xffffffff,0xfffa81ff,0x3ff6005f,0x3ffea3ff,0xffff505f,
    0x7fd401ff,0xfff505ff,0x7d401fff,0xffb83fff,0x7fffffff,0x00bffff5,
    0xfffff300,0x3fffea00,0x3fff2006,0xfff5003f,0xffff707f,0x70ffffff,
    0x01ffffff,0xffffc800,0xffffffff,0x01ffffff,0x3ffff200,0xfff90003,
    0xfff9009f,0xffffffff,0x3fffffff,0xfffffb80,0xffff9000,0x7ffec40d,
    0x800bffff,0x2e2ffff9,0x000fffff,0x98dffff9,0x002fffff,0xaa7fffdc,
    0xffffffff,0xffffffff,0x3ff20fff,0x7ffd44ff,0xffffe83f,0x0bffff50,
    0x07ffffc0,0x7ffffffc,0xffffffff,0xfa85ffff,0xf1005fff,0x7d45ffff,
    0x3f205fff,0x2a06ffff,0x3205ffff,0x206fffff,0xd03ffffa,0xffffffff,
    0x17fffeaf,0x3ffe2000,0xffd803ff,0x3f2005ff,0xf5003fff,0x3fa07fff,
    0x7fffffff,0x7fffffcc,0xfff80001,0xffffffff,0xffffffff,0x3ff20005,
    0xf90003ff,0xff009fff,0xffffffff,0xffffffff,0xfff880bf,0xff9804ff,
    0x7ec03fff,0x40009aad,0x222ffff9,0x804fffff,0x83fffff9,0x006fffff,
    0x027fffe4,0x403ff980,0xe80007fc,0x3fea7fff,0x3fe005ff,0x7fd40fff,
    0xffffffff,0xffffffff,0x7ffd40ff,0xfffb005f,0xffffa8df,0x7ffff405,
    0xffff503f,0xffffe80b,0xffff503f,0x3fffe607,0xff57ffff,0x20000bff,
    0x00fffffe,0x0fffffea,0x3ffffc80,0x7ffff500,0x3ffffe60,0x3fe27fff,
    0x0002ffff,0xffffffa8,0xffffffff,0x00ffffff,0x7ffff900,0x3fff2000,
    0x7ffd404f,0xffffffff,0xffffffff,0x7ffdc00f,0x3fa203ff,0x7c00ffff,
    0x7cc0001f,0x7fdc2fff,0x3a203fff,0xa80fffff,0x01efffff,0x7ffffe44,
    0x3ff50004,0x0006fd80,0x2a7ffff8,0x2005ffff,0x6c0fffff,0x999cffff,
    0xf9999999,0x7d43ffff,0xfb805fff,0x7d41ffff,0x7cc05fff,0xa81fffff,
    0x4c05ffff,0x81ffffff,0x203ffffa,0xfffffffc,0x0bffff57,0x3ffee000,
    0x730acfff,0x01ffffff,0x1ffffe40,0x3ffffa80,0x3fffff20,0x3fffa7ff,
    0xb00004ff,0x3339ffff,0xf3333333,0x0007ffff,0x00fffff2,0x27fffe40,
    0x33ffff60,0x99999999,0x3fffff99,0xfffffe80,0xfff730ad,0xfa809fff,
    0xff980007,0xfffe82ff,0xf730adff,0x409fffff,0xcffffffd,0xfff9530a,
    0x0009ffff,0xff00bfee,0x2e22000f,0x3ea7ffff,0x3e005fff,0x3e20ffff,
    0x2000ffff,0x546ffffc,0xaaaeffff,0xfffecaaa,0xfffa85ff,0xfffb805f,
    0xfffa86ff,0xfffb805f,0xfffa86ff,0x3ffe203f,0xff57ffff,0x55555dff,
    0x55555555,0xfffffd05,0xffffffff,0xc8007fff,0x5003ffff,0x4407ffff,
    0x7fffffff,0x5ffffff7,0x55555555,0x44155555,0x000fffff,0x01bffff2,
    0x1ffffe40,0xffffc800,0x3fffe204,0x3ff2000f,0xff9806ff,0xffffffff,
    0x06ffffff,0x98004fc8,0xffffdccc,0xfffff982,0xffffffff,0x74406fff,
    0xffffffff,0xffffffff,0x90003fff,0xfff809ff,0x7ffcc001,0x3ea5ffff,
    0x3e005fff,0x3f20ffff,0x4c005fff,0x2a2fffff,0xffffffff,0xffffffff,
    0xfffa80ff,0xfffd005f,0xfffa87ff,0xfffd005f,0xfffa87ff,0x7ffd403f,
    0xfff57fff,0xffffffff,0xffffffff,0xfffff981,0xffffffff,0x64000eff,
    0x5003ffff,0xa807ffff,0x97ffffff,0xffffffff,0xffffffff,0x7e43ffff,
    0x4c005fff,0x002fffff,0x03ffffc8,0x9ffff900,0x2ffffe40,0x3fffe600,
    0xfffa802f,0xffffffff,0xf800efff,0xffa8002f,0x02ffffff,0xfffffff5,
    0xdfffffff,0xfffb1001,0xffffffff,0x05ffffff,0x67ffcc00,0x77ff43a9,
    0x7d402a9b,0x23ffffff,0x005ffffa,0xf83ffffe,0x8002ffff,0x2a5ffffe,
    0xffffffff,0xffffffff,0xffff502f,0x3ffe600b,0x3fea0fff,0xff3005ff,
    0x7d41ffff,0xfd803fff,0xff57ffff,0xffffffff,0xffffffff,0xfffd101f,
    0xffffffff,0x3f20009f,0xf5003fff,0xfb007fff,0x3f2fffff,0xffffffff,
    0xffffffff,0x3ffe1fff,0xfe8002ff,0xc8005fff,0x0003ffff,0x409ffff9,
    0x002fffff,0x05ffffe8,0xfffffb10,0x1bffffff,0x001ff300,0xffffff50,
    0x7ec405ff,0xffffffff,0x64000dff,0xffffffff,0x0bffffff,0xfffe8000,
    0x3fee0fff,0x6405ffff,0x45ffffff,0x005ffffa,0x543ffffe,0x000fffff,
    0x0fffffb8,0xfffffff5,0xffffffff,0x7ffd4019,0x3fee005f,0x3fea5fff,
    0x3ee005ff,0x3ea5ffff,0xf8803fff,0xff57ffff,0xffffffff,0xffffffff,
    0x7ff5c01f,0x2defffff,0x3fff2000,0xfff5003f,0xfff1007f,0x3fff2fff,
    0xffffffff,0xffffffff,0xfffff51f,0xfff70001,0xfc8001ff,0x90003fff,
    0x2a09ffff,0x000fffff,0x0fffffb8,0x3ffb6a00,0x001dffff,0x54001766,
    0xffffffff,0xffeda802,0x001dffff,0x3fffae20,0x02bdefff,0x7ffd4000,
    0x7fe40fff,0x7f404fff,0x540dffff,0x2005ffff,0xfb0fffff,0x2000bfff,
    0x53fffff8,0xffffffff,0x0179bdff,0x0bffff50,0xfffffe80,0x0bffff52,
    0xfffffe80,0x07ffff52,0x5fffff20,0xfffffffa,0xffffffff,0x8800ffff,
    0x0001aaa9,0x0fffff20,0x1ffffd40,0x7ffffc80,0xfffffff9,0xffffffff,
    0x363fffff,0x0005ffff,0x07fffff1,0x3ffffc80,0xffff9000,0x3ffff609,
    0xfff10005,0x220007ff,0x000009a9,0x33331000,0x80013333,0x00009a98,
    0x01353300,0x75100000,0x01b98015,0x40375510,0x005ffffa,0x003ffffe,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x42aaa800,0x0001aaa8,0x54c15555,0x988001aa,
    0x31000999,0x54003333,0x0000aaaa,0x01555551,0x33310000,0x13333333,
    0x55544000,0x00d554c2,0x46aaaaa0,0x55442aaa,0x0aaaa01a,0xa8015553,
    0x2000aaaa,0x00019998,0x774c17aa,0x99930000,0x54000039,0x002cb80a,
    0x03555530,0x55530000,0x0dea8055,0x9881ee98,0x9802a880,0x5440004c,
    0x555542aa,0x99998800,0x00999999,0x07dddd10,0x15555000,0x00155544,
    0x897ffe40,0x0000fffe,0x7dc1ffff,0xfe8005ff,0xfb005fff,0x2e005fff,
    0x0004ffff,0x01ffffe4,0x7ffec000,0x3fffffff,0x3ffe2000,0x027ffe47,
    0x1dffff10,0xfd93ffea,0x3ff201ff,0x1dfff12f,0x5ffffa80,0xffffd100,
    0x3fe60009,0x0007fd83,0x00bfffee,0x3fffea00,0x03ff98ad,0xfffff100,
    0xfd800001,0x7cc02fff,0x447fc83f,0x362cfffd,0x0ffb805f,0x3ffe6000,
    0x01fffec6,0x7fffffe4,0x1004ffff,0x0009ffff,0x545fffd0,0x00006fff,
    0xffb1fffd,0x7fc0005f,0x3ffee0ff,0x7ffdc005,0x7cc03fff,0x3a003fff,
    0x00005fff,0x000ffff9,0xfffffb00,0x007fffff,0x23fffc40,0x2004fffc,
    0x640ffffc,0xfffbafff,0x8fffe804,0x7001fffd,0xb001ffff,0x05ffffff,
    0x2f7ffa00,0x0004ffeb,0x00bfffee,0x3ffffa00,0x02ffffff,0x3fffe600,
    0x3e600003,0xfd002fff,0x9ffd77bf,0xffffffc8,0x7104ffff,0x039dfffb,
    0x8dfff300,0xc803fffd,0xffffffff,0xff1004ff,0xd00009ff,0x7fd45fff,
    0xf100006f,0x09ffffff,0x0ffff800,0x8017ffee,0xffedfff9,0x3fff601f,
    0x3ffea004,0x7ec00005,0x400003ff,0xfffffffd,0x20003fff,0x7e47fff8,
    0xff1004ff,0x3ffa03ff,0x3006ffff,0x9fffffff,0x4fffc800,0x7efffd40,
    0x98000fff,0x6fffffff,0x7ffdc000,0x7cc0002f,0xffffeccf,0xf980006f,
    0x200006ff,0x2003fffd,0xfffffff8,0x7677f40e,0x81ffffff,0xffffffe9,
    0x26000dff,0x7fec6fff,0xfffc803f,0x4fffffff,0x9ffff100,0xfffd0000,
    0x037ffd45,0xffff7000,0xff0000df,0x7ffdc1ff,0xfffd1005,0x20dfff31,
    0x4004fff8,0x0000effe,0x006ffd80,0x00000000,0xc8ffff10,0xf7004fff,
    0x7fcc03ff,0x2001ffff,0x06fffffb,0x01fff900,0x7d5bffe2,0xb10005ff,
    0x0009ffff,0x05ffff70,0x446fb800,0x00002ddb,0x000bffea,0x013ffe20,
    0x3ffff620,0x10ffc40c,0xf503bfd7,0xffffffff,0x7cc00dff,0x7ffec6ff,
    0x00000003,0x007dddd1,0x45fffd00,0x0006fffa,0x0f777640,0x00000000,
    0x2a1fffc8,0xffc84fff,0x77fcc005,0xd1000000,0x000005ff,0x00000000,
    0x17ff4000,0x1f7775c0,0x77776c00,0x3ff60001,0x41fffb03,0x0002fffb,
    0x00000044,0x00000000,0x6ffa8000,0x4ffc8000,0x00088000,0xffff1000,
    0xffffffff,0x0000009f,0x00000000,0x00000000,0x00000000,0x00f33326,
    0x02666644,0x00000000,0x00000000,0xd9530000,0x00379dff,0x3fb2a600,
    0x0001bcef,0x00000000,0x00000000,0x00000000,0x40000000,0xceffeca9,
    0x0000001b,0x00000000,0xf9000000,0x5ff79fff,0x001ffffd,0x2ccccc88,
    0x3332a000,0x3333202c,0xcccccccc,0x42cccccc,0x00cccccb,0x33333220,
    0xccc88002,0x7d4002cc,0xf1005fff,0x664cffff,0x930001cc,0x55103999,
    0x00000555,0x2ccccc88,0xfff50000,0xffffffff,0x3ea0003d,0xffffffff,
    0xca801eff,0x32a02ccc,0x33202ccc,0xcccccccc,0xcccccccc,0x59999502,
    0x33333326,0xcccccccc,0x3262cccc,0xcccccccc,0xcccccccc,0x3333262c,
    0xcccccccc,0x02cccccc,0xffffffa8,0x01efffff,0x6666664c,0xcccccccc,
    0x3262cccc,0xcccccccc,0xcccccccc,0x9999502c,0x99995005,0x57fffa05,
    0xfffa8ffb,0x7fdc002f,0x20006fff,0x104ffffc,0xffffffff,0xffffffff,
    0xfffa89ff,0x3f6004ff,0x8001ffff,0x06fffffb,0x2ffffd40,0x7ffff880,
    0x00ffffee,0x1ffffd40,0x037fffcc,0x3fee0000,0x40006fff,0xffffffd8,
    0xffffffff,0x3ff62003,0xffffffff,0x6403ffff,0x3204ffff,0xf104ffff,
    0xffffffff,0xffffffff,0x3fff209f,0xfffff54f,0xffffffff,0x549fffff,
    0xffffffff,0xffffffff,0x3ffea4ff,0xffffffff,0x4fffffff,0x3ffff620,
    0xffffffff,0x3fea03ff,0xffffffff,0xffffffff,0x3ffffea4,0xffffffff,
    0x904fffff,0x9009ffff,0x3e09ffff,0x1ff72fff,0x00026af2,0x3ffffffd,
    0x3fff2000,0xffff104f,0xffffffff,0x09ffffff,0x03fffffb,0x9fffff30,
    0x3fffa000,0x2a001fff,0x1005ffff,0x7dcfffff,0x50003fff,0xf307ffff,
    0x0000dfff,0xfffffe80,0xff10001f,0xffffffff,0xdfffffff,0xffff8801,
    0xffffffff,0x00efffff,0x409ffff9,0x104ffffc,0xffffffff,0xffffffff,
    0x3ff209ff,0xffff54ff,0xffffffff,0x49ffffff,0xfffffffa,0xffffffff,
    0x3fea4fff,0xffffffff,0xffffffff,0xfffff104,0xffffffff,0x501dffff,
    0xffffffff,0xffffffff,0x7ffd49ff,0xffffffff,0x4fffffff,0x09ffff90,
    0x09ffff90,0x7dcffffe,0xf980000f,0x05ffffff,0x9ffff900,0x3ffffe20,
    0xffffffff,0x884fffff,0x806fffff,0x006ffffe,0xffffff30,0x7fd400bf,
    0xff1005ff,0x7ffdcfff,0xff50003f,0xfff307ff,0x400000df,0xfffffff9,
    0xfffb0005,0x9779dfff,0x9ffffffd,0xfffffd80,0xfecbbcef,0x904fffff,
    0x6409ffff,0xf104ffff,0xffffffff,0xffffffff,0x3fff209f,0xfffff54f,
    0xffffffff,0x549fffff,0xffffffff,0xffffffff,0x3ffea4ff,0xffffffff,
    0x4fffffff,0xffffffb0,0xffd9779d,0xf509ffff,0xffffffff,0xffffffff,
    0x7fffd49f,0xffffffff,0x04ffffff,0x009ffff9,0x209ffff9,0xff76fffe,
    0xff900001,0x01ffffff,0x9ffff900,0x3bbbba20,0xfeeeeeee,0x703fffff,
    0x407fffff,0x02fffffb,0xfffff900,0x2a001fff,0x1005ffff,0x7dcfffff,
    0x50003fff,0xf307ffff,0x0000dfff,0x7ffffe40,0x54000fff,0x02ffffff,
    0x3fffffea,0xfffff501,0x7ffd405f,0xffc81fff,0x3ff204ff,0xddd104ff,
    0xdddddddd,0x7ffffffd,0x53ffff20,0xeefffffa,0xeeeeeeee,0x3fea3eee,
    0xeeeeefff,0xeeeeeeee,0x3ffffea3,0xeeeeeeee,0xa83eeeee,0x02ffffff,
    0x3fffffea,0x7ffffd41,0xeeeeeeee,0x2a3eeeee,0xeeefffff,0xeeeeeeee,
    0xfff903ee,0xfff9009f,0x3fff609f,0x000ffcef,0xffffff80,0xc8003fff,
    0x0004ffff,0xbfffffb0,0xfffffe80,0xfffff880,0x3ffe0005,0x03ffffff,
    0x0bffff50,0x9ffffe20,0x003ffffb,0x07ffff50,0x00dffff3,0x7fffc000,
    0x003fffff,0x3bffffe2,0xfffe8800,0xffff886f,0xfe8800ef,0xffc86fff,
    0x3ff204ff,0xb00004ff,0x40bfffff,0xf54ffffc,0x0000bfff,0x00bffff5,
    0xbffff500,0x3fe20000,0x8800efff,0x546ffffe,0x0005ffff,0x05ffffa8,
    0x7ffe4000,0xfffc804f,0xffff304f,0x0001ffff,0xfeffffa8,0xc8006fff,
    0x0004ffff,0xefffffc8,0x7fffcc00,0xffffc84f,0xff50000f,0xdffffdff,
    0x3fffea00,0xffff1005,0x1ffffdcf,0xffffa800,0x6ffff983,0xff500000,
    0xdffffdff,0x7fffdc00,0x3fea002f,0x7fdc3fff,0x2a002fff,0x643fffff,
    0x3204ffff,0x0004ffff,0xefffffc8,0x3ffff200,0x0bffff54,0xffff5000,
    0xff50000b,0x20000bff,0x02fffffb,0x3ffffea0,0x17fffea3,0x3ffea000,
    0x6400005f,0xc804ffff,0x3604ffff,0xffffffff,0xffb0002d,0xffffd3ff,
    0xfffc8003,0x7d40004f,0x000fffff,0x43fffff9,0x02fffff9,0x3ffff600,
    0x01ffffe9,0x05ffffa8,0x4fffff10,0x2a3ffffb,0xa80bdeec,0xf983ffff,
    0x00006fff,0xd3ffffb0,0x2003ffff,0x006ffffd,0x45ffffe8,0x006ffffd,
    0x45ffffe8,0x204ffffc,0x004ffffc,0x7ffffd40,0x7ffe400f,0xbffff54f,
    0xfff50000,0xf50000bf,0x0000bfff,0x01bffff6,0x97ffffa0,0x005ffffa,
    0x5ffffa80,0x7fe40000,0xffc804ff,0x3f6204ff,0xffffffff,0x3fe2001f,
    0xffff76ff,0xfffc800b,0x3e60004f,0x002fffff,0xb37ffff4,0x000bffff,
    0xbb7fffc4,0xa805ffff,0x1005ffff,0x7dcfffff,0xffe8bfff,0x542fffff,
    0xf983ffff,0x00006fff,0x76ffff88,0x100bffff,0x005fffff,0x4dffff50,
    0x02fffff8,0x6ffffa80,0x027fffe4,0x009ffff9,0x7ffffcc0,0xfffc802f,
    0xbffff54f,0xfff50000,0xf50000bf,0x0000bfff,0x05fffff1,0xdffff500,
    0x02ffffd4,0x7fffd400,0x7e400005,0xfc804fff,0xfc804fff,0xffffffff,
    0xfff7003f,0x3fffe27f,0x3ff2000f,0xd10004ff,0x007fffff,0x5fffff30,
    0x01fffff5,0x7fffdc00,0x1fffff13,0x5ffffa80,0xfffff100,0x76ffffdc,
    0xffffffff,0x3fffea2f,0x6ffff983,0xffb80000,0xffff13ff,0xfff9801f,
    0xf98001ff,0x3fe67fff,0x98001fff,0x7e47ffff,0x3f204fff,0x10004fff,
    0x07fffffd,0x53ffff20,0x005ffffa,0x5ffffa80,0xfffa8000,0xf980005f,
    0x8001ffff,0x2a7ffff9,0x0005ffff,0x05ffffa8,0x7ffe4000,0xfffc804f,
    0xfd71004f,0x3fffffff,0x1ffffd00,0x01fffff4,0x09ffff90,0x3ffff600,
    0x3f20005f,0xfffeffff,0x7f40003f,0x3ffa0fff,0x7fd403ff,0xff1005ff,
    0x7ffdcfff,0xffefffff,0x3ea5ffff,0xff983fff,0x800006ff,0x3a0ffffe,
    0x4c03ffff,0x000fffff,0x0fffff88,0x01fffff3,0xfffff100,0x27fffe41,
    0x09ffff90,0x3ffff600,0x3ff2005f,0xffff54ff,0x9999999d,0xa8599999,
    0xccceffff,0xcccccccc,0x7fffd42c,0xccccccce,0x4c2ccccc,0x000fffff,
    0x0fffff88,0x99dffff5,0x99999999,0xfffa8599,0xccccccef,0x02cccccc,
    0x013ffff2,0x013ffff2,0xfffdff70,0xff980bff,0x7ffd45ff,0x3ff2006f,
    0xfc8004ff,0x0006ffff,0x7fffffc4,0x40006fff,0x545ffff9,0x5406ffff,
    0x1005ffff,0x7dcfffff,0x642fffff,0xf50fffff,0xff307fff,0x80000dff,
    0x545ffff9,0x5406ffff,0x0007ffff,0x547ffffe,0x0007ffff,0xc87ffffe,
    0x3204ffff,0x8004ffff,0x06fffffc,0xa7fffe40,0xfffffffa,0xffffffff,
    0x7ffd44ff,0xffffffff,0x44ffffff,0xfffffffa,0xffffffff,0x7ffd44ff,
    0x3fe0007f,0xfff51fff,0xffffffff,0x89ffffff,0xfffffffa,0xffffffff,
    0x3ff204ff,0xffc804ff,0x7dc004ff,0x7ffffb8f,0x17fffec0,0x07ffffe2,
    0x27fffe40,0x3fffea00,0xa80000ff,0xffffffff,0x7fec0001,0x7ffc42ff,
    0x3fea01ff,0xff1005ff,0x7ffdcfff,0xfffd02ff,0x3fffea3f,0x6ffff983,
    0x7fec0000,0x7ffc42ff,0x3fea01ff,0x3e0007ff,0xff52ffff,0x7c000fff,
    0x3f22ffff,0x3f204fff,0x54004fff,0x00ffffff,0xa7fffe40,0xfffffffa,
    0xffffffff,0x7ffd44ff,0xffffffff,0x44ffffff,0xfffffffa,0xffffffff,
    0x7ffd44ff,0x3fe0007f,0xfff52fff,0xffffffff,0x89ffffff,0xfffffffa,
    0xffffffff,0x3ff204ff,0xffc804ff,0x7dc004ff,0x3ffff70f,0x3ffffe20,
    0x5ffffd80,0x9ffff900,0x7fffcc00,0x200001ff,0x4ffffffd,0x7ffc4000,
    0xfffd80ff,0x3ffea05f,0xfff1005f,0x7fffdcff,0x3ffff206,0x07ffff52,
    0x00dffff3,0x7fffc400,0xffffd80f,0x3fffe605,0xfff10007,0x3ffe63ff,
    0xff10007f,0x7fe43fff,0x3ff204ff,0x3e6004ff,0x001fffff,0x54ffffc8,
    0xffffffff,0xffffffff,0xffffa89f,0xffffffff,0x544fffff,0xffffffff,
    0xffffffff,0x7fffcc4f,0xfff10007,0x3ffea3ff,0xffffffff,0x44ffffff,
    0xfffffffa,0xffffffff,0x3ff204ff,0xffc804ff,0xcaa884ff,0x7c43fee4,
    0xff701fff,0x3fea0bff,0xfc800fff,0xf1004fff,0x007fffff,0xffff8800,
    0x5c0000ff,0xf505ffff,0x2a01ffff,0x1005ffff,0x7dcfffff,0x3ee05fff,
    0xfff52fff,0xffff307f,0x7dc0000d,0xff505fff,0x3e201fff,0x8000ffff,
    0x10fffff9,0x001fffff,0x1fffff30,0x027fffe4,0x009ffff9,0x3fffffe2,
    0xfff90003,0x3fffea9f,0xeeeeeeef,0x543eeeee,0xeeefffff,0xeeeeeeee,
    0x7fffd43e,0xeeeeeeef,0x443eeeee,0x000fffff,0x0fffff98,0xddfffff5,
    0xdddddddd,0xfffa87dd,0xeeeeeeff,0x03eeeeee,0x013ffff2,0x213ffff2,
    0xf71ffffc,0x3fffe21f,0x7ffffd00,0xff333333,0xf9007fff,0x3a009fff,
    0x004fffff,0xffffb000,0xffd00007,0x333337ff,0x07fffff3,0x017fffea,
    0x73ffffcc,0x5c09ffff,0xff53ffff,0xfff307ff,0x740000df,0x999bffff,
    0xfffff999,0x3ffffe03,0xfffa8001,0x7ffffc6f,0xfffa8001,0x7fffe46f,
    0x3ffff204,0xffffd004,0x7e40009f,0xfff54fff,0xf50000bf,0x0000bfff,
    0x00bffff5,0x3ffffe00,0xfffa8001,0x3fffea6f,0xffa80005,0x400005ff,
    0x804ffffc,0x984ffffc,0xff75ffff,0x41fffee1,0xfffffff9,0xffffffff,
    0xffc806ff,0xffc804ff,0x00006fff,0x0fffff20,0xffff3000,0xffffffff,
    0x20dfffff,0x006ffffa,0x5cdffff3,0x2e03ffff,0xff53ffff,0xfff307ff,
    0x260000df,0xffffffff,0xffffffff,0x3fffa06f,0xffd8004f,0x7fff45ff,
    0xffd8004f,0x7ffe45ff,0x3fff204f,0xfffc804f,0x640006ff,0xff54ffff,
    0x50000bff,0x000bffff,0x0bffff50,0x3fffa000,0xffd8004f,0x3ffea5ff,
    0xfa80005f,0x00005fff,0x027fffe4,0x827fffe4,0xfbdfffff,0x4ffffa8f,
    0xffffff90,0xffffffff,0xc803ffff,0x5c04ffff,0x00ffffff,0x3ff20000,
    0x640003ff,0xffffffff,0xffffffff,0xfff981ff,0xfff5007f,0x7fffdcdf,
    0x3fffee03,0x07ffff53,0x00dffff3,0x3ffff200,0xffffffff,0x01ffffff,
    0x03fffff9,0x7ffffcc0,0x7ffffe44,0x3ffe6001,0x7ffe44ff,0x3fff204f,
    0x7ffdc04f,0x40000fff,0xf54ffffc,0x0000bfff,0x00bffff5,0xbffff500,
    0x3ff20000,0x26001fff,0x2a4fffff,0x0005ffff,0x05ffffa8,0x7ffe4000,
    0xfffc804f,0xffff704f,0xfffdffff,0x3ffe01ff,0xffffffff,0xffffffff,
    0x7fffe405,0x3fffe604,0x000001ff,0x01ffffe4,0x3ffffe00,0xffffffff,
    0x85ffffff,0x03fffff8,0x25ffffd8,0x203ffffb,0xf53ffffb,0xff307fff,
    0x20000dff,0xffffffff,0xffffffff,0xff305fff,0x6c00bfff,0x4c0fffff,
    0x005fffff,0x03fffff6,0x409ffff9,0x204ffffc,0x1ffffff9,0xfffc8000,
    0xbffff54f,0xfff50000,0xf50000bf,0x0000bfff,0x17ffffe6,0xfffffd80,
    0x17fffea0,0x3ffea000,0x6400005f,0xc804ffff,0x3604ffff,0xffffffff,
    0xf503ffff,0xffffffff,0xffffffff,0x7e401fff,0xff104fff,0x0005ffff,
    0xffff9000,0x7fd40007,0xffffffff,0xffffffff,0xfffe80ff,0x3fea00ff,
    0x3fee3fff,0x3fee03ff,0xffff53ff,0xdffff307,0xfff50000,0xffffffff,
    0xffffffff,0x3fff201f,0x36200dff,0x903fffff,0x01bfffff,0x7ffffec4,
    0x4ffffc83,0x13ffff20,0x7fffffc4,0xff900002,0x3ffea9ff,0xfa80005f,
    0x80005fff,0x005ffffa,0x3ffff200,0x3f6200df,0x7d43ffff,0x80005fff,
    0x005ffffa,0x7fffe400,0xffffc804,0x3fff6204,0x2fffffff,0x33ffff60,
    0x99999999,0x3fffff99,0x13ffff20,0x27fffff4,0xfc800000,0x20003fff,
    0x99cffffd,0x99999999,0xb83fffff,0xacffffff,0xfffff730,0x7fffdc1f,
    0x3fffee03,0x07ffff53,0x00dffff3,0x9ffffb00,0x33333333,0x7fffff33,
    0x7fffff40,0xfb9889bf,0x406fffff,0xbffffffe,0xfffb9889,0xff906fff,
    0x7fe409ff,0xfffd04ff,0x400009ff,0xf54ffffc,0x0000bfff,0x00bffff5,
    0xbffff500,0xffe80000,0x889bffff,0xffffffb9,0x5ffffa86,0xfffa8000,
    0x6400005f,0xc804ffff,0xa804ffff,0xcefffffe,0x3fffe200,0x3ff2000f,
    0x3ff206ff,0xfffb84ff,0xaaaaafff,0xaaaaaaaa,0x7fe4000a,0xf10003ff,
    0x4001ffff,0xd06ffffc,0xffffffff,0xffffffff,0x3ffffb87,0x4ffffee0,
    0x983ffffa,0xaaafffff,0xaaaaaaaa,0x3fffe22a,0x3ff2000f,0x3fea06ff,
    0xffffffff,0xffffffff,0x7fffd402,0xffffffff,0x02ffffff,0x409ffff9,
    0xb84ffffc,0xaaffffff,0xaaaaaaaa,0xfc80aaaa,0xfff54fff,0x555555df,
    0x55555555,0x577fffd4,0xaaaaaaaa,0x3ea2aaaa,0xaaaaefff,0xaaaaaaaa,
    0xffff502a,0xffffffff,0x05ffffff,0x55dffff5,0x55555555,0x7fd45555,
    0xaaaaaeff,0xaaaaaaaa,0x9ffff902,0x9ffff900,0x0ffe4400,0x5ffffc80,
    0x7fffcc00,0xffff902f,0xfffff909,0xffffffff,0x3fffffff,0xffffc800,
    0xfff90003,0xff9800bf,0xff982fff,0xffffffff,0x40efffff,0x203ffffb,
    0xf53ffffb,0xff307fff,0xffffffff,0xbfffffff,0x02ffffe4,0x3ffffe60,
    0x3fffea02,0xffffffff,0x5001efff,0xffffffff,0xdfffffff,0x7fffe403,
    0x3ffff204,0xfffffc84,0xffffffff,0x1fffffff,0x54ffffc8,0xffffffff,
    0xffffffff,0x3fea1fff,0xffffffff,0xffffffff,0xfffff50f,0xffffffff,
    0x01ffffff,0x3fffffea,0xffffffff,0xfff501ef,0xffffffff,0xffffffff,
    0x3ffffea1,0xffffffff,0x80ffffff,0x804ffffc,0x004ffffc,0xf8007fdc,
    0x8002ffff,0x905ffffe,0xf909ffff,0xffffffff,0xffffffff,0xc8003fff,
    0x0003ffff,0x005fffff,0x0bffffd0,0x3fffffa2,0x4fffffff,0x07ffff70,
    0xa9ffffdc,0xf983ffff,0xffffffff,0xffffffff,0x0bffffe5,0x3ffffa00,
    0x7ffe4405,0xffffffff,0xfc88004f,0xffffffff,0xfc804fff,0x3f204fff,
    0xffc84fff,0xffffffff,0xffffffff,0xfffc81ff,0xfffff54f,0xffffffff,
    0x21ffffff,0xfffffffa,0xffffffff,0xff50ffff,0xffffffff,0xffffffff,
    0x7fe4401f,0xffffffff,0x7fd404ff,0xffffffff,0xffffffff,0xfffff50f,
    0xffffffff,0x01ffffff,0x009ffff9,0x009ffff9,0xa800ffb8,0x000fffff,
    0x0fffffb8,0x84ffffc8,0xfffffffc,0xffffffff,0x001fffff,0x01ffffe4,
    0x7ffffd40,0xfffb8000,0x3fae00ff,0xdeffffff,0x3fffee02,0x3fffee03,
    0x07ffff53,0xfffffff3,0xffffffff,0x3ffeabff,0xfb8000ff,0xa800ffff,
    0xffffffec,0x540001ce,0xffffffec,0xff9001ce,0x7fe409ff,0xfffc84ff,
    0xffffffff,0xffffffff,0xffffc81f,0xffffff54,0xffffffff,0x2a1fffff,
    0xffffffff,0xffffffff,0xfff50fff,0xffffffff,0xffffffff,0xffd95001,
    0x039dffff,0xffffff50,0xffffffff,0x2a1fffff,0xffffffff,0xffffffff,
    0xffc80fff,0xffc804ff,0x64c004ff,0xffffb004,0x3fe2000b,0xffc83fff,
    0xfffc84ff,0xffffffff,0xffffffff,0x7fe4001f,0xfd8003ff,0x10005fff,
    0x007fffff,0x00355531,0x01ffffdc,0x2a7ffff7,0xf983ffff,0xffffffff,
    0xffffffff,0x0bffffb5,0x3fffe200,0xaa98003f,0x4c000001,0xf90001aa,
    0x7e409fff,0xffc84fff,0xffffffff,0xffffffff,0xfffc81ff,0xfffff54f,
    0xffffffff,0x21ffffff,0xfffffffa,0xffffffff,0xff50ffff,0xffffffff,
    0xffffffff,0x5530001f,0xfff50003,0xffffffff,0xffffffff,0x3ffffea1,
    0xffffffff,0x80ffffff,0x804ffffc,0x004ffffc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2eeee980,
    0x44155550,0x40002aaa,0x01cb80aa,0x220aaaa8,0x33102aaa,0x33333333,
    0x26620001,0x99999999,0x0d4c0000,0x40001e4c,0x000002c9,0x00000000,
    0x00000000,0x00006400,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x33099998,0xccc98333,0x7ffff52c,
    0x98bfffa0,0x70007fff,0x3159ffff,0xffb005ff,0x3fffcc5f,0xffffffd8,
    0x0004ffff,0xfffffffd,0x20005fff,0x9befffe9,0x40006fd8,0x000ffffd,
    0x7f65cc00,0x0001bcef,0x019dffb5,0x003ffea0,0xffd97300,0xdfb059bd,
    0x7ffe4001,0x2fff404f,0x3b2e6000,0x000bcdff,0x7ff75cc0,0x2000cdef,
    0x3f21fffd,0xccc882ff,0xfedb983c,0x260001de,0xbceffeca,0x2ea20001,
    0x0cdeffed,0x1bffa000,0x7cc07fd4,0x06fc801f,0xfe800ff7,0xfff98eff,
    0x7fffd43f,0x07ffff53,0xf98bfffa,0xff0007ff,0xffffffff,0xfffb003f,
    0x83fffcc5,0xfffffffd,0xd0004fff,0xffffffff,0x320005ff,0xffffffff,
    0x260004ff,0x004fb9df,0xffffd300,0x3dffffff,0x7fffec00,0xfe801eff,
    0x3a60004f,0xffffffff,0xfff92eff,0x3ffe2009,0x7ffd805f,0xfffd3000,
    0x5fffffff,0xfffd3000,0xffffffff,0xfff1003b,0x09fff71d,0x89bfffe6,
    0xfffffffe,0x7fd4004f,0xffffffff,0x7d4001ef,0xffffffff,0x44000cff,
    0xff104fff,0x200ffb09,0x7fc42ffa,0x3ffea005,0x09fffb1f,0x2a7ffff5,
    0xfd03ffff,0x7ffcc5ff,0xcffa8007,0x5fffffec,0x45fffb00,0xfb07fff9,
    0xffffffff,0x3fa0009f,0xffffffff,0xdfd0002f,0xffffffb7,0x0fe40003,
    0xf90000fd,0xffffffff,0x009fffff,0xffdffff5,0xfffa80df,0xfff90000,
    0xffffffff,0xbfffffff,0x2fffdc00,0x00fffb80,0x7ffffdc0,0xffffffff,
    0xfff7000d,0xffffffff,0x3005ffff,0xdfffbfff,0xb7fffcc0,0xfffffff9,
    0x8804ffff,0xfffffffd,0x3fffffff,0xfffff700,0xffffffff,0x7fd4003f,
    0x3fff602f,0x003fffdd,0x3f73bffa,0x3fa001ff,0xdfff31ff,0x4ffffea0,
    0xd03ffffa,0x7fcc5fff,0x5fc8007f,0x0016f5c4,0x7cc5fffb,0x000007ff,
    0x00000000,0xdb507fe2,0xfa800019,0x4000bf13,0xffffffe8,0xffffffff,
    0x3fa00eff,0x5fff90ef,0x0027ff40,0x7fffff44,0xffffffff,0x006fffff,
    0x30037ffc,0x22005fff,0xfffffffe,0xffffffff,0xffffd806,0xffffffff,
    0x802fffff,0x1ffffffc,0x3bfffe60,0xfffffffb,0x02ffffff,0x3fffffe2,
    0xffffffff,0x3200efff,0xffffffff,0x6fffffff,0x03fff200,0xfffffe88,
    0x7fcc005f,0x003fffff,0xfd8bffe6,0xfff500ef,0x0000007f,0x00000000,
    0x00000000,0x00000000,0x40000000,0x03ffeff8,0x3ffff600,0xecbbceff,
    0x05ffffff,0x7cc9fff1,0xfff504ff,0xfffb0001,0x9559dfff,0xfffffffb,
    0x77fdc001,0x27ffc000,0xfffffc80,0xfffdbbdf,0x2e04ffff,0xdeffffff,
    0xfffffdab,0xfe800fff,0x7cc03fff,0xffffffff,0xffffeccf,0x3ff606ff,
    0xbbceffff,0xffffffec,0x3ffffe04,0xffba9bdf,0xb004ffff,0x3ae00dff,
    0x10002dff,0x003bdfd9,0x3e24ffd8,0x2aa201ff,0x999951aa,0x33333265,
    0xcccccccc,0x002ccccc,0x16666644,0x99995000,0x99999305,0x99999999,
    0x00599999,0x2ccccc88,0x66664c00,0x3332e003,0x3ffee004,0xf50006ff,
    0x405fffff,0x1ffffffa,0x223fff98,0xffd05fff,0xfff5000b,0x75405fff,
    0x002fffff,0x20002662,0xf8806ffd,0x880effff,0x0ffffffa,0xffffff98,
    0x3fffa603,0x000004ff,0xfffffff3,0xffff5039,0xfff503ff,0x7d405fff,
    0x981fffff,0x7c06ffff,0xf006ffff,0x000009ff,0x00000000,0x7fe40000,
    0xffff54ff,0xffffffff,0x09ffffff,0xfffffb80,0x3ff20006,0xfffa84ff,
    0xffffffff,0x4fffffff,0x7fffdc00,0x7fd4006f,0xfd002fff,0x7f400fff,
    0x001fffff,0x0effffe8,0xffffe880,0x22fffa86,0xfa86fff8,0xfe8000ff,
    0x4c00efff,0x06ffffff,0xf7028000,0xffd801ff,0xffb805ff,0xffe84fff,
    0xf8801fff,0x0007ffff,0xfffff300,0xfffb809f,0x7ffc43ff,0xe8800eff,
    0xfc86ffff,0x7dc02fff,0x4c00ffff,0x00002fff,0x00000000,0x2ee98000,
    0x553ffff2,0xffffffff,0xffffffff,0x7f4004ff,0x001fffff,0x09ffff90,
    0xfffffff5,0xffffffff,0xe8009fff,0x01ffffff,0x3ffffea0,0xfffe800f,
    0xffff3007,0xb800bfff,0x002fffff,0x0fffffea,0x7c47fff5,0x5ffe85ff,
    0xffffb800,0x7ff4402f,0x801fffff,0x2cefedba,0x3fe613f2,0x3ffea02f,
    0xffd001ff,0xfff887bf,0x3ee003ff,0x2a00ceff,0x01bcefdc,0x1bffffe6,
    0x3ffffe20,0x7ffffdc5,0x3ffea002,0x7ffec3ff,0xeeee803f,0x7ffdc01e,
    0xeeca8800,0xca8002bd,0x001bcefd,0xbdeeca88,0x24ffb802,0xf54ffffc,
    0xffffffff,0xffffffff,0x7fcc009f,0x005fffff,0x09ffff90,0xfffffff5,
    0xffffffff,0x4c009fff,0x5fffffff,0x3fffea00,0xffe804ff,0xfff9007f,
    0x001fffff,0x037fffec,0x2fffff40,0xf88fffe6,0x7ffd44ff,0xfffd8000,
    0x7ff4405f,0x05ffffef,0x3fffff62,0xeffcffff,0x204fff80,0x005ffffc,
    0xffc806e6,0x1a8006ff,0xffffd880,0xf303ffff,0x2003ffff,0x6c6ffffd,
    0x8006ffff,0x5c5ffffe,0x002fffff,0x07ffd800,0x7fffff54,0x8801efff,
    0xfffffffd,0xffd5003f,0x3dffffff,0xf927fdc0,0x3fea9fff,0xeeeeefff,
    0xeeeeeeee,0x3fff2003,0x000fffff,0x84ffffc8,0xeefffffa,0xeeeeeeee,
    0x32003eee,0xffffffff,0xffff5000,0xfe803fff,0xfff007ff,0x07ffffff,
    0x17ffff40,0x7fffd400,0x52fffc46,0xffe87fff,0xfffd0005,0xfffd805f,
    0x06ffffbb,0xfffffff7,0x1dffffff,0xd81bff60,0x0002ffff,0x1fffff40,
    0xff980000,0xffffffff,0x7ffcc0df,0xff7000ff,0x7ffc4fff,0xfa8002ff,
    0x7fcc6fff,0x0aceffff,0x5fff8000,0x3fffff20,0x3fffffff,0x3ffffe60,
    0x0dffffff,0x3fffff20,0x3fffffff,0x7e4bff90,0xfff54fff,0x000000bf,
    0xffffffff,0xff90007f,0xfff509ff,0x000000bf,0xffffffff,0x3fea007f,
    0x406fffff,0xa807fffe,0xfffeffff,0x3ffe006f,0xf98001ff,0xffc87fff,
    0x0ffffbdf,0x0007ffea,0x00fffffc,0x3ea9fffb,0xff987fff,0xffeeffff,
    0x2e04ffff,0xffd00fff,0x800005ff,0x002fffff,0xffffd000,0xffffffff,
    0x7ffff989,0x3fffea00,0x3ffffe67,0xfff98001,0xffffd87f,0x1bdfffff,
    0x3fff9800,0xffffff70,0xffffffff,0x3ffffa05,0xffffffff,0xfffff704,
    0xffffffff,0x4dffb05f,0xf54ffffc,0x0000bfff,0xeffffa80,0x8006ffff,
    0xa84ffffc,0x0005ffff,0x7fffd400,0x006ffffe,0xfffffff5,0x7fff405f,
    0xffffd807,0x01ffffe9,0x0fffff88,0xffff8800,0x7fffc40f,0x7f43ffff,
    0xff30005f,0x3f201fff,0x3ffe65ff,0x7fff40ff,0x3ff660df,0xff300fff,
    0x3fffe05f,0x2200001f,0x001fffff,0xffffb800,0x3fffae2e,0x3fffe60f,
    0x3ffea007,0xffff30ff,0xff10001f,0xfe881fff,0xffffffff,0x7000beff,
    0xff303fff,0x5115dfff,0x81fffffd,0x22effffb,0x40ffffeb,0xaefffff9,
    0xffffea88,0x93fff40f,0x3ea9ffff,0x00005fff,0x4ffffec0,0x001ffffe,
    0x427fffe4,0x005ffffa,0x7ffec000,0x1ffffe9f,0xfffffa80,0xfd00ffff,
    0xff880fff,0xffff76ff,0xffff500b,0x7ffc000f,0xffd881ff,0x7fd42fff,
    0xff50001f,0x3fee0fff,0x7fffc46f,0x3ffff21f,0xfffffd04,0x427ffc0b,
    0x00fffff8,0x3ffe6000,0x3baa00ff,0xeeeeeeee,0x1fffff13,0x49ffff10,
    0x006ffff9,0x43ffffe6,0x007ffffa,0x07ffffe0,0x3fffff62,0xefffffff,
    0x07ffd800,0x40dffff9,0x225ffffd,0x880fffff,0x7e44ffff,0x3f606fff,
    0x7ffc5fff,0x53ffff27,0x005ffffa,0x3ffe2000,0xbffff76f,0xffffc800,
    0x5ffffa84,0x3e200000,0xfff76fff,0xfff500bf,0x09ffffff,0x701ffffa,
    0x3e27ffff,0x5400ffff,0x0007ffff,0x80bffffe,0xffd01aa8,0x0157510b,
    0x21ffffea,0xf80efffa,0x3fe2ffff,0xffd80fff,0xd00fffff,0xfff30dff,
    0x980000ff,0x200fffff,0xfffffffb,0xfff54fff,0x7ffe40bf,0x1bfffe67,
    0xfffff980,0x0fffff50,0x7ffffc00,0x3fffaa02,0xffffffff,0x2fffc00e,
    0x01ffffe8,0xa9ffffe6,0x3205ffff,0x7ff47fff,0x3fe601ff,0x7fffc7ff,
    0x29ffff90,0x005ffffa,0x3ffee000,0xfffff13f,0x7ffe4001,0xffffa84f,
    0x2e000005,0xff13ffff,0xfa801fff,0xffffefff,0x7fffe81f,0x07ffff40,
    0x807ffffd,0x007ffff9,0x1fffff10,0x7ffd4000,0x7ffffe41,0xfffff984,
    0x03fffe60,0x47ffffe2,0xc85ffff8,0xffffcdff,0x10fff901,0x001fffff,
    0x7fffc400,0x3ffee01f,0x4fffffff,0x407ffff7,0xf30ffffb,0x4c00dfff,
    0xf30fffff,0x2000ffff,0x01fffff8,0xffffdb88,0x00ffffff,0xf107fff1,
    0xfb00bfff,0x3fee3fff,0x3fee03ff,0xffff10ff,0xffffb00b,0x47fffe23,
    0xf54ffffc,0x9999dfff,0x99999999,0x3fffa005,0x3ffffa0f,0x3fff2003,
    0xffffa84f,0xccccccce,0x002ccccc,0x741ffffd,0x5403ffff,0xffdbffff,
    0xfffe86ff,0x3fffe607,0x37fffd45,0x3ffffe20,0xfff98000,0x7f40007f,
    0x7ffff45f,0x7fc46fff,0xfff31fff,0x3ffe603f,0x3fffe67f,0xfbb7fdc3,
    0xff503fff,0xfffff03f,0xff800003,0x3ee02fff,0xffffffff,0xdffff94f,
    0xfddddddd,0x3fe61fff,0x3e6006ff,0xff10ffff,0x30001fff,0x001fffff,
    0xfffeca88,0xff502fff,0xffff503f,0xffff9009,0x3bffff25,0xfeeeeeee,
    0xfff50fff,0xfff9009f,0x3fffe65f,0x29ffff92,0xfffffffa,0xffffffff,
    0xff9804ff,0x7ffd45ff,0x3ff2006f,0xfffa84ff,0xffffffff,0x04ffffff,
    0x45ffff98,0x406ffffa,0xf8bffffa,0x7f43ffff,0x3ff607ff,0x7ffc42ff,
    0x7ffc01ff,0xfa8001ff,0x20006fff,0x3ea1fffa,0xfffdadff,0x57ffffc2,
    0x202fffe8,0x2a6ffffa,0x3ea3ffff,0xffff30ef,0x0fffe209,0x00bffffa,
    0xfffe8030,0x3332603f,0x4ffffecc,0xfffffffd,0xffffffff,0x3fffe63f,
    0x3ffe6006,0x3fffe0ff,0xffa8001f,0xb80006ff,0x904fffff,0x3fee0fff,
    0xffb803ff,0xffffd3ff,0xffffffff,0x3ee3ffff,0xfb803fff,0xfff53fff,
    0x3ffff27f,0xffffff54,0xffffffff,0xfb009fff,0xff885fff,0xf9001fff,
    0xff509fff,0xffffffff,0x9fffffff,0x5ffffb00,0x1fffff88,0x4ffffea0,
    0x20fffffc,0xf107fffe,0xfb01ffff,0xfe80bfff,0x03204fff,0x017ffff6,
    0x6c5ffe80,0x3ffe27ff,0x67ffff45,0x6402fffe,0x3ea5ffff,0xfff33fff,
    0x1ffffcc1,0xfb0bffd0,0x54009fff,0xffc82cff,0xfb8006ff,0xfffb4fff,
    0xffffffff,0x265fffff,0x2006ffff,0x747ffff9,0x8004ffff,0x265ffffd,
    0x5002ecca,0x3a0dffff,0xfff705ff,0xfff9009f,0x3ffff67f,0xffffffff,
    0xff72ffff,0xff9009ff,0x3ffea7ff,0x9ffff94f,0x3fffffea,0xffffffff,
    0x7c404fff,0xfd80ffff,0xf9005fff,0xff509fff,0xffffffff,0x9fffffff,
    0xfffff880,0x5ffffd80,0x8ffffea0,0x3a5ffffe,0xff707fff,0x3fea0bff,
    0x3f200fff,0xfb80ffff,0xffff30cf,0x3ea0009f,0x2fffc1ff,0xff91fffa,
    0x07ffffff,0x4fffff88,0x237fffe2,0x7fd41fff,0x3ff202ff,0xfffffb87,
    0xffff9000,0xfffff98d,0x7ffdc002,0x5ffff94f,0x33333333,0x3fe61333,
    0x3ea006ff,0x7fe47fff,0x26001fff,0x2e4fffff,0x1005ffff,0xf10fffff,
    0x3fea07ff,0xffd805ff,0xffff91ff,0x33333335,0x3ea13333,0xfd805fff,
    0xfff71fff,0x3ffff29f,0xdfffff54,0xdddddddd,0xfb807ddd,0xff505fff,
    0xf9001fff,0xff509fff,0xdddddfff,0x7ddddddd,0x5ffffb80,0x1fffff50,
    0x8ffffea0,0xd2fffffa,0x3fa0ffff,0x9999bfff,0x3fffff99,0x3ffffe60,
    0xbffffe84,0x01fffffd,0xf0bffd00,0x7ffe8bff,0x7fffffc4,0xfffd804f,
    0x7fffc0ff,0xfc82ffee,0x3ea01fff,0x7ffc41ff,0xff9804ff,0xfff83fff,
    0x7e4006ff,0xfff74fff,0x3e60005f,0x32006fff,0x7cc6ffff,0x2005ffff,
    0x20fffffd,0x00fffff9,0x86ffffb8,0xf301fffa,0xff00ffff,0x3fee1fff,
    0xf30002ff,0xff00ffff,0x3ff21fff,0xffff95ff,0x17fffea9,0x3ffa0000,
    0x99999bff,0x03fffff9,0x84ffffc8,0x005ffffa,0xffffe800,0xf999999b,
    0xf503ffff,0xffd87fff,0xffffd6ff,0xffffff30,0xffffffff,0xfc80dfff,
    0x7dc4ffff,0xffffffff,0xff50004f,0x5fff883f,0x3207ffec,0x806fffff,
    0x83fffffc,0x3ffffffd,0x07ffff98,0x5c1fffc4,0x203fffff,0x0fffffe8,
    0xefffffa8,0x7ffe4401,0xffff54ff,0x0d66ec0b,0x00dffff3,0x427ffff4,
    0x0dfffffc,0x3ffff620,0xfffff83f,0x7fffc406,0x07ffc84f,0x01fffff4,
    0x54dffff7,0x3605ffff,0x7ff41acd,0x3fee03ff,0x3fff26ff,0x9ffff95f,
    0x017fffea,0xffff3000,0xffffffff,0x00dfffff,0x509ffff9,0x000bffff,
    0xfffff980,0xffffffff,0xf506ffff,0xff887fff,0xfffebfff,0xfffffc87,
    0xffffffff,0x201fffff,0xeffffff8,0xffffb10a,0x0001ffff,0x7fc17ffa,
    0x43fff45f,0xdffffff8,0x7fff4c41,0xfff306ff,0xffd30bff,0xffd005ff,
    0x3ffffa0b,0xff730adf,0x6c09ffff,0xacffffff,0xffff9530,0x7ff49fff,
    0xfffb83ff,0x3fffe66f,0x7fe43506,0xffd02fff,0x1137ffff,0xffffff73,
    0x3ffff20d,0x3aa20aef,0xe81fffff,0x7fdc06ff,0xffb83fff,0x7ff41fff,
    0xfffb83ff,0x7fffdc6f,0xffffb83f,0x3ffff21f,0x29ffff95,0x005ffffa,
    0x7fffe400,0xffffffff,0x01ffffff,0x427fffe4,0x005ffffa,0x7fffe400,
    0xffffffff,0x81ffffff,0xb83ffffa,0xffffffff,0xfffff87f,0xffffffff,
    0x05ffffff,0x7fffffd4,0xffffffff,0x0003ffff,0x3a03fff5,0x37ffc6ff,
    0x7fffffdc,0xfffeefff,0x201fffff,0xcefffffc,0x5fffffdb,0x20fff900,
    0xfffffff9,0xffffffff,0x7ff4406f,0xffffffff,0xffffffff,0x3fffea3f,
    0xfffdabff,0x3ffe62ff,0xffff886f,0x206fffff,0xfffffffa,0xffffffff,
    0x3fa02fff,0xffffffff,0x6fffffff,0x804fff88,0xdefffffe,0x4fffffed,
    0xffffffa8,0xfffffdab,0xfffffe82,0xffffedde,0x7fffe44f,0x29ffff95,
    0x005ffffa,0x7ffffc00,0xffffffff,0x05ffffff,0x427fffe4,0x005ffffa,
    0x7ffffc00,0xffffffff,0x85ffffff,0xd03ffffa,0xffffffff,0xfffffa8f,
    0xffffffff,0x0fffffff,0x7ffffd40,0xffffffff,0x00cfffff,0x902fff40,
    0x3fee5fff,0x7fffd44f,0xffffffff,0x1effffff,0x7ffffdc0,0xffffffff,
    0xfff5000e,0x3fffea03,0xffffffff,0xd8800eff,0xffffffff,0xffffffff,
    0xffffd82f,0xffffffff,0x37fffcc5,0x7fffffe4,0x7d401fff,0xffffffff,
    0x1effffff,0x7ffffc40,0xffffffff,0xffa81fff,0xfff8802f,0xffffffff,
    0xffb00eff,0xffffffff,0x3fe20bff,0xffffffff,0x7e40efff,0xfff95fff,
    0x3fffea9f,0x3ea00005,0xffffffff,0xffffffff,0x3f200fff,0xffa84fff,
    0x200005ff,0xfffffffa,0xffffffff,0x540fffff,0xf303ffff,0xffffffff,
    0x9cffffd8,0x99999999,0x03fffff9,0xfffffc88,0xffffffff,0x00bfffff,
    0x201fffa8,0xffeffff8,0x3ffe60ff,0xfffffdaf,0x4fffffff,0xfffff980,
    0xffffffff,0x7ffc4004,0x3fff6203,0xffffffff,0x7fe4000d,0xffffffff,
    0x200bffff,0xfffffffb,0xff985fff,0xffff86ff,0x004fffff,0xffffff91,
    0x09ffffff,0x7ffff4c0,0xffffffff,0x1fff901e,0x3fff6200,0x4fffffff,
    0xfffffb80,0x405fffff,0xffffffd8,0xf904ffff,0x3ff2bfff,0xffff54ff,
    0x7ec0000b,0x9999cfff,0xff999999,0x3f203fff,0xffa84fff,0x200005ff,
    0x99cffffd,0x99999999,0x543fffff,0x3203ffff,0x7fffffff,0x03ffffe2,
    0x6ffffc80,0x3ffb2a00,0xeacdffff,0x00ffffff,0xa805ffe8,0x2fffffff,
    0xb317ffe4,0xdfffffff,0x3ffe0039,0xfffffda9,0xff0001df,0xfdb500bf,
    0x03bfffff,0x7ff5c400,0x2bdeffff,0x3fff6600,0xf302efff,0xfb88dfff,
    0x03ffffff,0xfffeca80,0x001cefff,0xfffffd50,0xe807bfff,0xca8006ff,
    0x1dfffffe,0x3fff6600,0x2002efff,0xfffffeca,0x2666201d,0x9ffff909,
    0x2bbfffea,0xaaaaaaaa,0x7c42aaaa,0x2000ffff,0x206ffffc,0xa84ffffc,
    0xaaaeffff,0xaaaaaaaa,0x7ffc42aa,0x3f2000ff,0x7fd46fff,0x3fe203ff,
    0x327fffff,0x4005ffff,0x02fffff9,0x20155100,0x803ffffb,0x1001fffb,
    0x203bdfdb,0x2a6202fb,0x5f30001a,0x000aa988,0x002aa980,0x0004d4c4,
    0x09a99800,0x35310000,0xa9800001,0x000009aa,0x00003553,0x13555310,
    0x006aaa00,0x00153100,0x01353100,0x00a98800,0xffffc800,0xffffff54,
    0xffffffff,0x641fffff,0x4005ffff,0x02fffff9,0x509ffff9,0xffffffff,
    0xffffffff,0x7fe41fff,0x7cc005ff,0x3ea2ffff,0x7d403fff,0x3e7fffff,
    0x8002ffff,0x005ffffe,0x7fec4000,0x00000000,0x000000c0,0x00000010,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xa7fffe40,0xfffffffa,0xffffffff,0x3fe0ffff,0xe8002fff,
    0xf905ffff,0xff509fff,0xffffffff,0xffffffff,0x7ffffc1f,0xfffe8002,
    0x3fffea5f,0xffffd803,0xfffff57f,0xfff70001,0x000001ff,0x00000510,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fffe400,0xffffff54,0xffffffff,
    0x2a1fffff,0x000fffff,0x0fffffb8,0x84ffffc8,0xfffffffa,0xffffffff,
    0xff50ffff,0x70001fff,0x2a1fffff,0x8803ffff,0xfb7fffff,0x2000bfff,
    0x03fffff8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffc80000,
    0xffff54ff,0xffffffff,0x1fffffff,0x017ffff6,0x7ffffc40,0x4ffffc83,
    0xffffffa8,0xffffffff,0xfb0fffff,0x2000bfff,0x53fffff8,0x2007ffff,
    0x007ffffc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0x00001cd9,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x99997000,0x43fffb05,0x2001fffd,0xacdffdba,
    0x333332e0,0xcccccccc,0x7fd400cc,0x2e0002ff,0x0002ffff,0x009ffffb,
    0x5ffffc80,0xfff98000,0xff8800ef,0x00000fff,0x27fffe40,0xffe80000,
    0x7fd402ff,0x001ff980,0x027fffe4,0xffecb980,0xff9000be,0x1fffdc5f,
    0x7ffff900,0x77ffc400,0x01fffd10,0x2a2fffe8,0x7fc06fff,0x3ffee1ff,
    0x3fff6005,0x7d40004f,0xe8805fff,0x0001ffff,0xdeffeda8,0x3ff20002,
    0x0fffee2f,0xb83fffe0,0xffb05fff,0xfff107ff,0x00fffeed,0xffffffc8,
    0xfffb1eff,0xffffffff,0xa803ffff,0x0002ffff,0x00bfffee,0x3ffffea0,
    0xff50002f,0x0005ffff,0x00efffd8,0x13fffe60,0xff880000,0x000005ff,
    0x005ffff5,0xffb09ff1,0xffffa800,0x7dc002ff,0xffffffff,0x1fffd003,
    0x800bfff5,0x007e98ef,0xfdafffcc,0xffe802ff,0x1bffea2f,0x5c3ffff0,
    0xf7005fff,0x003fffff,0x077fff40,0x5ffff880,0x3ffa6000,0x0dffffff,
    0x1fffd000,0x200bfff3,0x3ee0ffff,0xfffb05ff,0x3ffea07f,0x1006fffd,
    0xfffffffd,0xffb5ffff,0xffffffff,0x803fffff,0x002ffffa,0x0bfffee0,
    0xfdfff100,0x88001fff,0xffffefff,0xfff30000,0xff30001f,0x000001ff,
    0x0017ffee,0x3fffe800,0x37fff600,0x2003fffd,0xfffefff8,0xfff9000f,
    0xffffffff,0xdfff1007,0x4001ffff,0x007f23fa,0xffbfff90,0x3ffa009f,
    0x1bffea2f,0x5c3ffff0,0xf8805fff,0x0ffffeff,0xefffa800,0x7ffcc000,
    0xff88000f,0xffffffff,0xff10005f,0x01ffffdf,0xb83fffe0,0xffb05fff,
    0x7fec07ff,0xd000ffff,0xffffffff,0xffffffff,0xffffffff,0x803fffff,
    0x002ffffa,0x0bfffee0,0x51fffb00,0xd800bfff,0xfff99fff,0xfff90005,
    0x7fd40003,0xf000003f,0x00000dff,0x0027ffcc,0x3fffffa2,0x7fec005f,
    0x05fff99f,0xffffffc8,0x1fffffff,0xfffffb80,0x77c4002f,0xd0007e88,
    0x00dfffff,0xf517fff4,0xfff80dff,0x17ffee1f,0x2a3fffa0,0xe8005fff,
    0x30000fff,0xb0009fff,0xd79dffff,0x0007ffff,0x3fffffee,0x3fffe002,
    0x417ffee0,0x203ffffd,0x03ffffe8,0xffffff70,0xfffd957b,0xdddfffff,
    0xdddddddd,0xcccc9801,0x33260001,0x3ee001cc,0x3ffee3ff,0x7fff7003,
    0x001fffdc,0x0007ffe2,0x001ffea0,0x03bfee00,0xffd80000,0x3fae0004,
    0x7dc002df,0x3ffee3ff,0x7ffffc03,0xffffd50c,0x3fff600b,0xff90004f,
    0x260009ff,0x001fffff,0x98826662,0x4ccc0099,0x004ccc41,0xfc8bfff2,
    0x3e6002ff,0x540001ff,0x7c000fff,0xffe87fff,0x3f60005f,0x4c005fff,
    0x4ccc4199,0x7ffffb00,0x3e200000,0x901effff,0x0bffffff,0x00000000,
    0x00000000,0x80000000,0x00000998,0x00000662,0x00002662,0x00033300,
    0x00000000,0x27fffcc0,0x03ffffc4,0xda800000,0x0000002d,0x00000000,
    0x00000000,0x00004cc4,0x20009988,0xa85ffff8,0x00007fff,0x80000000,
    0x003ffffd,0xffff7000,0xfffb801f,0x000005ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffffc800,0x1dfffb01,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x640fffff,
    0x00005fff,0x80000000,0x102ffffc,0x19bdfd97,0x4fffff80,0xfffff880,
    0x2e200005,0x00cdefec,0x677ee540,0x65c4001b,0x000cdefe,0xbdeeca88,
    0xecb88002,0x4000cdef,0x1bcefdca,0x7f76d400,0x76dc0cde,0xa8002def,
    0x2deefeec,0x3fbae200,0x2001beef,0xdeefeeca,0x7fffc802,0x65402620,
    0x32a01ccc,0xd7101ccc,0x037ddffd,0x77f76540,0x2e2002de,0x1beeffee,
    0x03999950,0xa8e66654,0x2a01cccc,0x9951cccc,0x66540399,0x999951cc,
    0x66665403,0xbffffb01,0x01ffffd4,0x7ff75c40,0x44001bee,0x02bdeeca,
    0x417fffe4,0xfffffffb,0xff880dff,0xf9000fff,0x0000bfff,0x3fffffee,
    0x4400dfff,0xfffffffd,0xfff7003f,0x1bffffff,0xffffd500,0x003dffff,
    0x3fffffee,0x4400dfff,0xfffffffd,0xfffa803f,0xcfffffff,0xfffffffb,
    0xfea802ff,0xffffffff,0x7ffec01f,0x3fffffff,0x7ffff540,0x01ffffff,
    0x003fffee,0x17fffdc0,0x05ffff90,0xfffffffb,0xea807fff,0xffffffff,
    0x7fec01ff,0xffffffff,0x2ffffb83,0x4bffff20,0x202ffffb,0xf72ffffc,
    0x7e405fff,0xfff72fff,0x7ffe405f,0xffff502f,0xfffff77f,0xfffd8001,
    0x3fffffff,0xffffea80,0x701effff,0x6c43ffff,0xffffffff,0xff985fff,
    0x3ea006ff,0x40005fff,0xffffffd8,0x205fffff,0xfffffff9,0x100dffff,
    0xfffffffb,0xc80bffff,0xffffffff,0x2203ffff,0xfffffffd,0x2605ffff,
    0xffffffff,0xf500dfff,0xffffffff,0xffffffff,0x07ffffff,0x7fffffcc,
    0x1fffffff,0xffffffb0,0x09ffffff,0x3fffffe6,0x1fffffff,0x05ffff50,
    0x3fffee00,0x3ffff202,0x7ffffec2,0x4fffffff,0xffffff30,0x3fffffff,
    0x3fffff60,0x4fffffff,0x017fffdc,0x2e5ffff9,0x3202ffff,0xff72ffff,
    0x7fe405ff,0xffff72ff,0x7fffe405,0x3ffff202,0x02ffffff,0x7ffffec0,
    0x4fffffff,0x3fffff20,0x3fffffff,0x20ffffa8,0xfffffffc,0x44ffffff,
    0x006ffffa,0x33bfffe6,0xcccccccc,0xffffc80c,0xffffffff,0xffffd04f,
    0xffffffff,0x3ffff209,0xffffffff,0xffff704f,0xffffffff,0x3ff205ff,
    0xffffffff,0xffd04fff,0xffffffff,0xfff109ff,0xffffdfff,0xdfffffff,
    0x03ffffff,0x37fffffa,0x6fffffec,0xffffffa8,0xfffffffe,0xfffffe80,
    0xfffffecd,0x9ffff106,0x3ffee000,0x3fff202f,0x3fffea2f,0xfffffeff,
    0xfffe80ff,0xfffecdff,0xfffa86ff,0xffffefff,0x3fee0fff,0x3ff202ff,
    0xffff72ff,0x7fffe405,0x05ffff72,0xb97fffe4,0x3202ffff,0x2202ffff,
    0xffffffff,0x7fd4002f,0xfffeffff,0xfb80ffff,0xffffffff,0x4c2fffff,
    0x3fe67fff,0xf710bfff,0x7dc1ffff,0x26005fff,0xffffffff,0x1fffffff,
    0x5fffffcc,0xfffff710,0xeffffb81,0x3ffffae2,0x7ffffcc0,0xffff710b,
    0xffff981f,0xfea88aef,0x7cc0ffff,0x710bffff,0xb81fffff,0x2e2effff,
    0x640ffffe,0x260cffff,0x3ffffffe,0x437fffd4,0x882ffff9,0x742ffffe,
    0x74c2ffff,0x7cc3ffff,0xfe882fff,0x3bb22fff,0xeeefffff,0x7fdc01ee,
    0x3ff202ff,0x3fffa2ff,0x7fff4c2f,0x7fffcc3f,0xffffe882,0x17ffff42,
    0x8fffffa6,0x202ffffb,0xf72ffffc,0x7e405fff,0xfff72fff,0x7ffe405f,
    0x5ffff72f,0x17fffe40,0xfffffd30,0xfd0001bf,0xfe985fff,0x7fcc3fff,
    0xa88aefff,0x20fffffe,0x3f67fff8,0xffb03fff,0x7ffe49ff,0x3fe2004f,
    0xffffffff,0x6c1fffff,0xfb03ffff,0x7fc49fff,0xff880fff,0x7ffec4ff,
    0xffffb03f,0x6ffffc89,0x17ffff60,0x207ffffb,0x224ffffd,0x880fffff,
    0x5cc4ffff,0xfff506ed,0x3fee09ff,0x7ffd41ff,0x157b301f,0x209fd950,
    0x543ffffb,0xb301ffff,0xfffd8157,0xffffffff,0x7ffdc02f,0x3fff202f,
    0x13fb2a2f,0x21ffffdc,0x301ffffa,0xd950157b,0x3ffee09f,0x3fffee3f,
    0x3ffff202,0x05ffff72,0xb97fffe4,0x3202ffff,0xff72ffff,0x7fe405ff,
    0xffd882ff,0x05ffffff,0x09fd9500,0x90ffffee,0x6c0dffff,0x3e25ffff,
    0x3fffe6ff,0x02af6607,0x009ffffb,0x7fffffc4,0xffffffff,0x3ffffc1f,
    0xa8157b30,0x3205ffff,0x7ffc7fff,0x2af6607f,0x1ffffe80,0x1ffffe60,
    0x4c0fffff,0x7fd40abd,0x3ff205ff,0x3fe0007f,0x3fe01fff,0x7ffcc4ff,
    0x0000acff,0x9ffff300,0xcfffff98,0x3ff6000a,0xffffffff,0x7fdc02ff,
    0x3ff202ff,0xf98002ff,0x7fcc4fff,0x000acfff,0xffff3000,0x17fffdc9,
    0x25ffff90,0x202ffffb,0xf72ffffc,0x7e405fff,0xfff72fff,0x7ffe405f,
    0x7fff442f,0x4fffffff,0xf300000c,0xffe89fff,0x3fe601ff,0xafffc7ff,
    0x005ffff8,0x17ffff20,0xfffff980,0xeeeeeeee,0x3ffe20ee,0x3ee0005f,
    0x3ee03fff,0xfff10fff,0x7c4000bf,0xfd805fff,0xfff11fff,0x7dc000bf,
    0x3ee03fff,0x51000fff,0x0ffffffb,0x446fffe8,0xffffffff,0x4c0001be,
    0x4fffffdb,0x7fffffc4,0x6c01beff,0xffffffff,0x5c02ffff,0x3202ffff,
    0x3002ffff,0x9fffffb7,0xffffff88,0x0001beff,0x7fffedcc,0x3fffee4f,
    0x3ffff202,0x05ffff72,0xb97fffe4,0x3202ffff,0xff72ffff,0x7fe405ff,
    0x7fff42ff,0xffffecff,0x17bff32f,0xffdb9800,0x3fe24fff,0xffd805ff,
    0x57ffa1ff,0x004ffffa,0x1bfffea0,0x5ffff980,0xffff5000,0x7fe40009,
    0xeeeeeeff,0x50ffffee,0x0009ffff,0x027fffd4,0xa97fffe4,0x0004ffff,
    0x3bbffff2,0xffeeeeee,0xfb7100ff,0xffffffff,0xffffffff,0xf90fffff,
    0xffffffff,0x710019ff,0xfffffffb,0xfff909ff,0xffffffff,0xf3331019,
    0x3333bfff,0xffffb801,0x3ffff202,0xfffb7102,0x09ffffff,0xfffffff9,
    0x0019ffff,0xfffffb71,0x7dc9ffff,0x3f202fff,0xfff72fff,0x7ffe405f,
    0x5ffff72f,0x97fffe40,0x202ffffb,0x2e2ffffc,0xd13fffff,0xf91fffff,
    0xb8801fff,0xfffffffd,0x3ffea4ff,0xfffc804f,0x5d3ff62f,0x0004ffff,
    0x01ffffe6,0x05ffffa8,0x9ffff700,0x7fff4000,0xffffffff,0xf71fffff,
    0x40009fff,0x803ffffb,0xf73ffffb,0x40009fff,0xfffffffe,0xffffffff,
    0x7ffecc1f,0xffffffff,0xffffffff,0x907fffff,0xffffffff,0x2607ffff,
    0xfffffffe,0x904fffff,0xffffffff,0x4407ffff,0x8004ffff,0x202ffffb,
    0x4c2ffffc,0xfffffffe,0x904fffff,0xffffffff,0x2607ffff,0xfffffffe,
    0x2e4fffff,0x3202ffff,0xff72ffff,0x7fe405ff,0xffff72ff,0x7fffe405,
    0x05ffff72,0xf17fffe4,0xf987ffff,0xfffeffff,0x3ffa606f,0xffffffff,
    0x3ffee4ff,0xfffb803f,0x54fff63f,0x0004ffff,0x03ffffe2,0x2ffffe40,
    0xffffa800,0x3ff60004,0xffffffff,0x52ffffff,0x0009ffff,0x027fffdc,
    0xa9ffffe4,0x0004ffff,0x3ffffff6,0xffffffff,0x3ffe22ff,0xf9bdffff,
    0xffffffff,0xffffffff,0xffff9300,0x5fffffff,0xffffff98,0xffffaadf,
    0x3fff2604,0xffffffff,0x5ffff702,0xffff7000,0x7fffe405,0x3ffffe62,
    0xfffaadff,0x3ff2604f,0xffffffff,0x7fffcc2f,0xffaadfff,0x3ffee4ff,
    0x3fff202f,0x5ffff72f,0x97fffe40,0x202ffffb,0xf72ffffc,0x7e405fff,
    0xfff32fff,0xfff501ff,0x07ffffff,0x3fffffe6,0xffffaadf,0x13fffee4,
    0x8fffff20,0xfff32ffc,0xff8000bf,0xff004fff,0x2000bfff,0x005ffff9,
    0x2bffff20,0x99999999,0xfff30999,0x7d4000bf,0xfd805fff,0xfff31fff,
    0x7e4000bf,0x9999afff,0x09999999,0x0bbffffa,0x33fffff1,0x33333333,
    0xd9510033,0xdfffffff,0x67ffffc4,0x27fffcc0,0x7ff65440,0xb06fffff,
    0x0001ffff,0x405ffff7,0xf12ffffc,0x9819ffff,0x8804ffff,0xfffffeca,
    0x3ffe26ff,0x7fcc0cff,0x3ffee4ff,0x3fff202f,0x5ffff72f,0x97fffe40,
    0x202ffffb,0xf72ffffc,0x7e405fff,0xfff52fff,0x7ffe40bf,0x880fffff,
    0x40cfffff,0x2a4ffff9,0xd805ffff,0x2a61ffff,0xfffff10a,0x166f7c40,
    0x01fffff6,0x17ffffea,0x7fffc400,0x337be207,0x0bfffee2,0x7fffc400,
    0x337be207,0x1ffffe62,0x43ffffe0,0x207ffff8,0x2e2cdef8,0x0002ffff,
    0x20dffff1,0x00fffff8,0x6d440000,0x3ea7ffff,0xff305fff,0x510009ff,
    0x30fffffb,0x0007ffff,0x80ffffee,0xf52ffffd,0x3e60bfff,0x88004fff,
    0x27ffffda,0x305ffffa,0x7dc9ffff,0x3f603fff,0xfff72fff,0x7ffec07f,
    0x7ffff72f,0x97fffec0,0x203ffffb,0xf52ffffd,0xfd80dfff,0x503fffff,
    0x260bffff,0x3e64ffff,0xff807fff,0xff800fff,0xff702fff,0xfff98bff,
    0x3fea05ff,0x0005ffff,0x40bffffe,0x2a5ffffb,0x3605ffff,0x7ffc1acd,
    0xfff702ff,0xffffe8bf,0x3fffee03,0x17ffffc6,0x25ffffb8,0x205ffffa,
    0x3ea1acdd,0xff503fff,0x3a607fff,0x6e540abd,0x3ffa00fe,0xffff90ff,
    0x3fffee05,0x07f6e544,0x41ffffd0,0x005ffff9,0x13fffea0,0x97ffffc4,
    0x702ffffc,0xca89ffff,0x3fa00fed,0xfff90fff,0x3ffee05f,0x3fffea4f,
    0xfffff104,0x13fffea5,0x97ffffc4,0x104ffffa,0x2a5fffff,0xf104ffff,
    0x3e25ffff,0x2a01ffff,0x0dffffff,0x02ffffc8,0xe89ffff7,0x2e03ffff,
    0x3f26ffff,0xfff72fff,0xfff983ff,0xfffc82ff,0xca99aeff,0xefffffff,
    0xaaaaaaaa,0x3fee1aaa,0x7fcc1fff,0x7ff42fff,0xfffb83ff,0x7fffdc6f,
    0x7fffcc1f,0x7fffdc2f,0xffffb83f,0x7fffdc1f,0x7fffcc1f,0x7ffff42f,
    0x6ffffb83,0x41bfffea,0x1ffffffe,0x44ffffe8,0x104ffffe,0x7e4dffff,
    0xff884fff,0x7ff45fff,0xfff104ff,0x7fffc4df,0x1bcefddf,0xff889b71,
    0xffe80fff,0xfff92fff,0xffff109f,0xffffe8bf,0xdffff104,0x427fffe4,
    0x25fffff8,0x80fffff8,0x12fffffe,0xd01fffff,0x225fffff,0xe80fffff,
    0xf12fffff,0xfd01ffff,0x7f45ffff,0xfc81efff,0xefffffff,0x27fffe41,
    0x2fffffc4,0x0fffffee,0x87ffffee,0x3a2ffffc,0xecefffff,0x106fffff,
    0xffffffff,0xffffffff,0xffffffff,0x8bffffff,0xcefffffe,0x86fffffe,
    0xbffffffa,0x2fffffda,0xefffffe8,0x6fffffec,0xdfffffd0,0xfffffdbb,
    0x3ffffa09,0xffffecef,0xffffa86f,0xfffdabff,0x3ffe22ff,0xfeb89dff,
    0xefffffff,0xfffffecb,0x7ffffd40,0xffeba9bd,0x3ffea4ff,0xffc99cff,
    0x7d45ffff,0xa9bdffff,0x24ffffeb,0xfffffffc,0xffffffff,0x7fffc0ff,
    0xfffcacff,0xff52ffff,0xf9339fff,0xa8bfffff,0x9bdfffff,0x4ffffeba,
    0x33ffffea,0xfffffc99,0x7ffffc5f,0xffffcacf,0x3ffe2fff,0xffcacfff,
    0x3e2fffff,0xcacfffff,0x2fffffff,0x33fffffe,0xffffffca,0x3fffea2f,
    0xfffecfff,0xffffffff,0x3fffea4f,0xfffc99cf,0xffe85fff,0xfeddefff,
    0x7e44ffff,0x3fe62fff,0xffffffff,0x3ee01fff,0xffffffff,0xfffdcfff,
    0xffffffff,0x7cc5ffff,0xffffffff,0xfb01ffff,0xffffffff,0x3e60bfff,
    0xffffffff,0xf101ffff,0xffffffff,0x201dffff,0xfffffff9,0x01ffffff,
    0xfffffffb,0xb0bfffff,0xffffffff,0xffffffff,0xffffffff,0x3fff207f,
    0xffffffff,0x7ffc46ff,0xffffffff,0xfc86ffff,0xffffffff,0x7cc6ffff,
    0xffffffff,0xffffffff,0x7ffffe44,0xffcfffff,0xffff12ff,0xffffffff,
    0xff90dfff,0xffffffff,0xff88dfff,0xffffffff,0x646fffff,0xffffffff,
    0x2ffffcff,0x3ffffff2,0xfffcffff,0x3ffff22f,0xfcffffff,0x3ff22fff,
    0xffffffff,0x6c2ffffc,0xffffffff,0xffffffff,0x3e25ffff,0xffffffff,
    0x86ffffff,0xfffffff8,0x0effffff,0x217fffe4,0xffffffe9,0x9802ffff,
    0xffffffff,0xffffb4ff,0xffffffff,0xfd30bfff,0xffffffff,0xfffb805f,
    0x5fffffff,0x7ffff4c0,0x02ffffff,0x7ffffec4,0x804fffff,0xffffffe9,
    0x5c02ffff,0xffffffff,0xfff105ff,0xbfffffff,0xfffffb13,0x807fffff,
    0xfffffffc,0xa80effff,0xffffffff,0x0ffffcbf,0xffffffc8,0x80efffff,
    0xfffffffd,0xffffffff,0x7ffec0ff,0xf9afffff,0x3fea2fff,0xbfffffff,
    0xc80ffffc,0xffffffff,0xfa80efff,0xffffffff,0x40ffffcb,0xfffffffd,
    0x2ffff9af,0x7fffffec,0xffff9aff,0x7ffffec2,0xfff9afff,0x7fffec2f,
    0xff9affff,0xfffb82ff,0xffffffff,0xefffd88d,0x7ffffd40,0xffcbffff,
    0xffd880ff,0xffffffff,0x5ffff904,0x3ffffb20,0x22000cff,0xdfffffec,
    0x3fffff63,0xffffffff,0x3fb205ff,0x00cfffff,0xfffffb30,0x764005df,
    0x0cffffff,0x3ffb2a00,0x4001dfff,0xffffffec,0xffb3000c,0x805dffff,
    0xffffffc8,0xfffea82d,0x3001cfff,0xfffffff9,0xffe9805d,0xff50dfff,
    0x3f2607ff,0x2effffff,0x98277ea0,0xfffffedb,0xffec80be,0xfff31dff,
    0xfffe985f,0xfff50dff,0x3ff2607f,0x02efffff,0x7fffff4c,0x7ffff50d,
    0xbffffd90,0x0bfffe63,0x37ffffb2,0x05ffff31,0x3bffffd9,0x20bfffe6,
    0x1dffffec,0x205ffff3,0xffffffd8,0x1ffa82ef,0xfffffd30,0x3fffea1b,
    0x3ffb2a03,0x0001dfff,0x004d4c40,0x00d4c400,0x31000000,0x88000135,
    0x200009a9,0x00009a98,0x0000a988,0x0009a988,0x004d4c40,0x0026a620,
    0x0009aa98,0x006aa660,0x0006a620,0x01aa9980,0x9a980060,0x00351000,
    0x001a9880,0x06aa6600,0x006a6200,0x0006a200,0x00006a20,0x200006a2,
    0x200001a8,0x8800aa98,0x01a98802,0x054c4000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000200,
    0x00000000,0x00000100,0x26600000,0x33331199,0x039b3001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fbae200,0x0001beef,
    0xcb800000,0x00541ccc,0xeb93332a,0x4c0002ce,0x9952cccc,0x90000079,
    0x000bffff,0x0effffa8,0xffff5000,0x3fa2001d,0x00002fff,0x7ffff644,
    0x200002de,0xceffecba,0x3332601b,0x3b22002c,0x02deffff,0x3fffb800,
    0x2017ffec,0xfb4ffff9,0xfc801fff,0x3e003fff,0x3ff20fff,0x3ffa004f,
    0x5c0003ff,0x9005ffff,0x7fdc5fff,0x0ffa803f,0x4401ff98,0x001ffffe,
    0xeffeca80,0xa8000abd,0x0beeffed,0x3ffff600,0x03ffffff,0x02ffffe8,
    0x6c400950,0xfeaaffff,0xbfffe403,0x00fffffd,0x3fffea00,0xc8bfffb3,
    0x2004ffff,0x2ffffffa,0x3fffa000,0x3f60000e,0x44000eff,0x0005fffe,
    0xfffffb30,0x09ffffff,0x7fff4c00,0xefffffff,0x3ffffa81,0xffffd980,
    0x4fffffff,0x3fff2000,0x007fff41,0x7c57fff6,0x7c401fff,0x2006f98e,
    0x3f20ffff,0xff7004ff,0x0003ffff,0x002ffffc,0x3ea3fffa,0xff1005ff,
    0x200ffb09,0x005fffe8,0x3ffffae0,0x03ffffff,0x3fffffa0,0xd802ffff,
    0xffffffff,0x4404ffff,0x4c06fffe,0xfb8005fe,0x01dfffff,0x7e7fffe4,
    0x0006ffff,0xd9ffffd4,0x3fe25fff,0x3e2004ff,0x0ffffeff,0xefff9800,
    0x3fe60000,0xf10000ff,0x80003fff,0xdffffffc,0xefffffec,0x3ff22001,
    0xffffffff,0x7d44ffff,0x7e403fff,0xdcdfffff,0x01efffff,0x20fffe80,
    0x4c07fff8,0x3ff26fff,0x23fa803f,0xfff001fc,0x27ffe41f,0x7f7ffcc0,
    0xf70006ff,0xf1000dff,0x1ffffdff,0x6fffec00,0x2003fffd,0x001ffff8,
    0xffffffd8,0xdfffffff,0x7fffec00,0x1fffffff,0x3ffffea0,0xffffffef,
    0x7ff4400f,0xbfff901f,0xfffb1000,0x3ff2009f,0xffffffff,0x7fd40003,
    0xbfffb3ff,0x002fffe4,0x3e67fff6,0xfd8005ff,0x6c0001ff,0x40001fff,
    0x0005fff9,0x37bfffd1,0xfffd9510,0xfffd1005,0xffffffff,0x21dfffff,
    0x103ffffa,0x017bfffd,0x5fffd951,0x46fff800,0x6c05fff9,0xfff10eff,
    0x237e2009,0x3fe006e8,0x3fff20ff,0x7fff4404,0x004fffb8,0x000effe8,
    0xffffff70,0xffe88005,0x8005ffff,0x4005fff9,0xfffffffd,0xffffffff,
    0xffff701e,0xffffffff,0x7ffff40d,0x7ffff4c2,0x5fff8803,0x05ffff88,
    0x3ffff220,0xfc802fff,0xdbdfffff,0x7d40000f,0xffd93fff,0x01bffe29,
    0x5c7fff70,0x22003fff,0x40001fff,0x0001fff8,0x001fff30,0x003dffb0,
    0x401fffc8,0xeffffffc,0xfffecbbc,0xfff55fff,0x3bffa07f,0x7ffdc001,
    0x9fff3001,0x203fffb8,0x3f21fff8,0x7fec005f,0x266003ff,0x04ccc419,
    0xc87fff20,0x2a001fff,0x40000eff,0x004ffffd,0x0b7ffae0,0x0fff9800,
    0xfffff700,0xffb77dff,0x3e0dffff,0x3ee2ffff,0x32a07fff,0xfff704fe,
    0x3fe6007f,0x7fffc41f,0x2fffe005,0x01ffffc8,0x1fffffe4,0x3ea00002,
    0x9fec3fff,0x0000effb,0x33100000,0x33100001,0x98800001,0x7fe40009,
    0xff500405,0x3ffe601f,0x3ea02fff,0x98bfffff,0xffc82ff9,0x3fe60005,
    0xfffb800f,0x017ffe43,0xea800000,0x0000002d,0x88000000,0x00000099,
    0x00000000,0x20013310,0x0bffffff,0xfffffd88,0x2ffffcc3,0x007ffffc,
    0x3fffe600,0x02662004,0x00bffff1,0x7fff41e4,0x3fff200e,0x5000007f,
    0xff87ffff,0x00013312,0x00000000,0x00000000,0xeff98000,0x77fedc40,
    0x05ffb81c,0x01dffffd,0xfffffd10,0x3e60ffd4,0xdddd90ef,0xf7037bdd,
    0x999988bf,0x999bfffd,0x009afffe,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfa800000,0xd805ffff,0x2a0fffff,0xff83ffff,0x730006ff,
    0x09fffffb,0xffdc9800,0x804cceff,0xff99aba8,0x3ff204ff,0x950004ff,
    0x3ea17bfd,0xbfd33fff,0xeb880000,0x01beeffe,0xdffdd710,0xa880037d,
    0x002bdeec,0x7bdd9510,0x07ff6005,0x3ffffff6,0x41ffd83f,0x02fffffb,
    0x3ffffea0,0xfd81ffb2,0x3ffffa1f,0xd83fffff,0x3fff21ff,0xffffffff,
    0x3fffffff,0x40399995,0x951cccca,0x65403999,0x32a01ccc,0x001bcefd,
    0x5e77ee54,0x7ee54001,0x88001bce,0x02bdeeca,0x00e66654,0x20399995,
    0xeeffeeb8,0x3ff6a01b,0xff8800ff,0x3fee3fff,0x7ffd42ff,0xfb71003f,
    0xffffffff,0x99993009,0x3ffffee3,0x100fffff,0xddfffffb,0x3203ffff,
    0x4003ffff,0xffffffe8,0x3ffffa9f,0x664c1dfd,0x3f6001cc,0xffffffff,
    0x7ffec03f,0x3fffffff,0xffffea80,0x001effff,0xffffffd5,0x7c403dff,
    0xdfffd84f,0x4c1fffda,0x7ffec4ff,0xffe8006f,0x42ffdeff,0x7ff44ff8,
    0xfffdcaab,0xf927fc41,0xffffffff,0xffffffff,0x3fffee7f,0x3ffff202,
    0x05ffff72,0x417fffe4,0xffffffd8,0xfd8803ff,0x3fffffff,0xffffd880,
    0x5003ffff,0xfffffffd,0x3fee03df,0x3ff202ff,0xfffd82ff,0x3fffffff,
    0x2002b980,0x2e6ffffb,0x7f42ffff,0x74c01fff,0xffffffff,0xa804ffff,
    0xff73ffff,0xffffffff,0xfffff501,0xffffffff,0x3ffff20b,0x3ffea002,
    0xdfffffff,0x0753ffff,0x007ffff5,0x3ffffff6,0x04ffffff,0xfffffffb,
    0x409fffff,0xfffffffc,0x403fffff,0xfffffffc,0x903fffff,0xeffb83ff,
    0x6c37fd40,0x3fffa0ff,0xffa8002f,0xc84fffff,0x83ff41ff,0x7fd83ffd,
    0x3ffffff2,0xffffffff,0xff73ffff,0x7fe405ff,0xffff72ff,0x7fffe405,
    0x7ffffcc2,0x0dffffff,0xffffff30,0x01bfffff,0x3fffffe6,0x00dfffff,
    0x3ffffff2,0x83ffffff,0x202ffffb,0x6c2ffffc,0xffffffff,0x0004ffff,
    0x7ffff980,0x98bffff2,0x4c05ffff,0xdfffffff,0x04ffffaa,0x73ffffa8,
    0xffffffff,0xfff981ff,0xffffffff,0xfc81ffff,0x3a002fff,0xfeffffff,
    0x3fffffff,0x1ffffd40,0x7ffffd40,0xffffffef,0x7fffd40f,0xfffffeff,
    0xfffb80ff,0xffffffff,0xff702fff,0xffffffff,0xfb05ffff,0x203ffb0d,
    0x1ffa81bb,0x007ffffe,0x3ffffe60,0xd0dfb01e,0x13fee0ff,0x66547fea,
    0xccdfffec,0xccdfffec,0x05ffff71,0xb97fffe4,0x3202ffff,0x7f42ffff,
    0xffffffff,0xffd04fff,0xffffffff,0x3ffa09ff,0xffffffff,0xfff704ff,
    0xffffffff,0xffb85fff,0x3ff202ff,0x3ffea2ff,0xffffefff,0x00000fff,
    0x90fffff8,0x7ec5ffff,0x3e201fff,0x4c0cffff,0xa804ffff,0x7513ffff,
    0x555dffff,0x9fffffd0,0xfffffb75,0xffff909f,0x3ffee005,0x7ffd43ff,
    0x7d403fff,0xfe803fff,0x7f4c2fff,0x7ff43fff,0x7ff4c2ff,0x7ffcc3ff,
    0xea88aeff,0x4c0fffff,0x8aefffff,0xfffffea8,0x7fc2ffc0,0x5ff30007,
    0x03ffffe2,0x3fffe200,0x217fe02f,0xffd887fe,0x902ff981,0xffe83fff,
    0xffffb80f,0x3ffff202,0x05ffff72,0x717fffe4,0x5c5dffff,0x5c0ffffe,
    0x2e2effff,0x5c0ffffe,0x2e2effff,0x4c0ffffe,0x8aefffff,0xfffffea8,
    0x0bfffee0,0x22ffffc8,0x4c2ffffe,0x263ffffe,0xffffffff,0xffffffff,
    0x91ffffff,0x7fc5ffff,0x3ea00fff,0xff305fff,0xff5009ff,0xfff887ff,
    0x3fff205f,0xfffa81ff,0xfffc86ff,0xffff001f,0x3ffea07f,0x7fd403ff,
    0xeca803ff,0xffff704f,0x04feca87,0xc87ffff7,0x3606ffff,0x7e45ffff,
    0x3f606fff,0x27fc5fff,0x4001bfe2,0xfff33ff8,0x7fc000ff,0x3fe02fff,
    0xdccffe84,0xf106fffe,0x3fffa07f,0x41bffe20,0x202ffffb,0xf72ffffc,
    0x7e405fff,0xfff12fff,0xfff101ff,0x7fffc49f,0xffff880f,0x3ffffe24,
    0x4ffff880,0x037fffe4,0x5cbffffb,0x3202ffff,0x32a2ffff,0xfff704fe,
    0x7fffd47f,0xffffffff,0xffffffff,0xffff93ff,0x3ffffe25,0x3ffff203,
    0x9ffff702,0x7ffff500,0x05ffff88,0x80bffffe,0x40fffffb,0x801ffffc,
    0x406ffff8,0x403ffffe,0x003ffffa,0x3fffe600,0xfff30004,0xffffe89f,
    0x3fffe601,0x0fffff47,0x4fffff30,0x7fcc3ff8,0x53fe0005,0x007ffffa,
    0x0bffffe0,0x7f41ffc4,0x2effffff,0x7c427fc0,0x7ffcc6ff,0x5ffff705,
    0x97fffe40,0x202ffffb,0xf52ffffc,0x7e40bfff,0x3ffea7ff,0x3fff205f,
    0x17fffea7,0x747fffc8,0x2601ffff,0x3ee7ffff,0x3f202fff,0x98002fff,
    0x3ea4ffff,0xffffffff,0xffffffff,0xf93fffff,0x7fec5fff,0xff902fff,
    0xfff109ff,0xff500bff,0xfff887ff,0xffff105f,0xfffff00d,0x1ffffc83,
    0x4ffff980,0x1ffffe40,0x0ffffea0,0xffb73000,0x4c009fff,0x4fffffdb,
    0x017fffe2,0x447ffff6,0xd805ffff,0x3fe1ffff,0x0037fc44,0xff33ff88,
    0x22000fff,0x201fffff,0xcffe84ff,0x4403fffd,0xfff983ff,0x81fffdc4,
    0x202ffffb,0xf72ffffc,0x7e405fff,0xfff72fff,0x7ffdc07f,0x7ffff70f,
    0x87fffdc0,0x203ffffb,0xf10ffffb,0xfb00bfff,0x3fee3fff,0x3ff202ff,
    0xb73002ff,0x549fffff,0xffffffff,0xffffffff,0x93ffffff,0x7cc5ffff,
    0xa82fffff,0x99cfffff,0x5ffffffc,0x3ffffa80,0xdffffb95,0x7ffd4799,
    0xfffd805f,0x7fffe42f,0xffffa801,0x7fffdc03,0x7fffd403,0x7edc4003,
    0xffffffff,0x3ff6e204,0x4fffffff,0x013fffea,0x54bffff2,0xc804ffff,
    0x3fa2ffff,0x2e07ff85,0x12ff980b,0x003fffff,0x1fffff30,0x7f42ff40,
    0x80fffa27,0x73312ff9,0xb3339fff,0x13337fff,0x80bfffee,0xf72ffffc,
    0x7e405fff,0xfff92fff,0xdddddddf,0x321ffffd,0xeeeeffff,0xffffeeee,
    0xddffff90,0xffdddddd,0x3ffea1ff,0xfffc804f,0x5ffff72f,0x17fffe40,
    0xffffdb88,0x264fffff,0xaabfffff,0xaaaaaaaa,0x92fffffa,0xfa85ffff,
    0x440fffff,0xffffffff,0x6fffffff,0x3ffffa80,0xfffffff9,0x7ffdcbff,
    0xfffc804f,0x7fffe43f,0xffffb801,0x7fffd403,0x7fffd403,0xfffd3003,
    0xffffffff,0xfffd309f,0xffffffff,0x7fffdc9f,0xffffb803,0x07ffff73,
    0x47ffff70,0x7fec0ffd,0x40fff983,0x3ffe1ffc,0xfa8002ff,0x7ec06fff,
    0x223ff40f,0xff701fff,0x3fffff23,0xffffffff,0xf73fffff,0x7e405fff,
    0xfff72fff,0x7ffe405f,0xfffffd2f,0xffffffff,0x3ffa3fff,0xffffffff,
    0xd1ffffff,0xffffffff,0xffffffff,0x0ffffee3,0x4ffffee0,0x202ffffb,
    0x4c2ffffc,0xfffffffe,0x224fffff,0x001fffff,0x47ffffe2,0xb82ffffc,
    0x40efffff,0xfffffffa,0xffffcbff,0x7fffd400,0xffffff93,0x7fd4bfff,
    0xffc804ff,0x7ffe42ff,0xfffb801f,0x7ffd403f,0x7ffd403f,0xfff9803f,
    0xfaadffff,0x7fcc4fff,0xaadfffff,0x3ee4ffff,0xfc804fff,0xfff73fff,
    0xfff9009f,0x21ffd47f,0xd30cfff9,0x8dff07ff,0x005ffffe,0x05ffffd8,
    0x3fa1ffd4,0xf06ffb87,0x7fffe4df,0xffffffff,0x73ffffff,0x6405ffff,
    0xff72ffff,0x7fe405ff,0xffffb2ff,0xffffffff,0x3f65ffff,0xffffffff,
    0x2fffffff,0xfffffffb,0xffffffff,0x3fffee5f,0xffffc804,0x05ffff73,
    0x317fffe4,0xbfffffff,0x89ffff55,0x003ffffe,0x43ffffee,0x702ffffc,
    0x30bfffff,0x1bfffffd,0x00ffffea,0x267ffff5,0xaeffffba,0x3fffe62a,
    0xffffd805,0x0ffffe41,0x27fffd40,0x0ffffee0,0x07ffff50,0xcfffff88,
    0x27fffcc0,0x19fffff1,0x24ffff98,0x805ffffa,0xf51ffffd,0xfb00bfff,
    0x6ff83fff,0xfeffffc8,0x2ffb85ff,0x0fffffe4,0xfffff300,0xe8dff009,
    0x87fff07f,0x3ff22ffa,0xffffffff,0xffffffff,0x05ffff73,0xb97fffe4,
    0x3202ffff,0xff92ffff,0x333335ff,0x21333333,0x99affffc,0x99999999,
    0x5ffff909,0x33333333,0x3fea1333,0xffd805ff,0xffff71ff,0x7fffe405,
    0x9fffff12,0x4ffff981,0x037fffe4,0x4bffffb0,0x202ffffc,0x00fffffb,
    0xff103531,0x3ffea007,0x7fffc43f,0xfffff105,0x7fffc401,0x15999507,
    0x6ffff980,0x1ffffec0,0x0ffffea0,0x0bffff50,0xa93fffe6,0xf305ffff,
    0x7fcc9fff,0xfff807ff,0xffff30ff,0xfffff00f,0xa84ffc81,0x0dffffff,
    0x7c43ffc4,0x2005ffff,0x00fffffd,0x3fa4ffc8,0x21fff707,0x6e547ff8,
    0xecccefff,0xccccdfff,0x07ffff71,0xb97fffec,0x3603ffff,0xff72ffff,
    0x2e0005ff,0x0002ffff,0x005ffff7,0x1ffffe60,0x43ffffe0,0x203ffffb,
    0xf52ffffd,0x3e60bfff,0x7fcc4fff,0xfa803fff,0x3f22ffff,0x7ec02fff,
    0x30002fff,0x3ea005ff,0x7fc43fff,0x3ffa05ff,0x3ff204ff,0xfff906ff,
    0xfff805ff,0xfff301ff,0xffa807ff,0x7fe403ff,0xfff702ff,0x7fffe49f,
    0x9ffff702,0x03ffffe8,0xd1bfffee,0x5c07ffff,0xe886ffff,0xcca882ff,
    0x05ffd00a,0x37fffff2,0x3fff6200,0xfd1003ff,0xa80aaa5f,0x05ffd0aa,
    0xf90fffee,0x7fd403ff,0xfff104ff,0x3ffea5ff,0xffff104f,0x3fffea5f,
    0x86b37605,0x205ffffa,0x3ea1acdd,0x37605fff,0x7fff41ac,0x3ffee03f,
    0x3fffea6f,0xfffff104,0x0bffff25,0x427fffdc,0x01fffffd,0x3fffffe6,
    0x0bffff20,0x09ffff50,0x00bfee00,0x21ffffd4,0x206ffff8,0x83fffffa,
    0x01fffffc,0x0ffffb95,0x1fffffc8,0x7fffff44,0x7fffd403,0x7fffe403,
    0xfffff884,0x13ffff25,0x17ffffe2,0x07fffff7,0x83fffff7,0x83fffffb,
    0x01fffffb,0x0007fff3,0xe809ffd1,0x9bffffff,0xfffeb988,0x7cc006ff,
    0xe88003ff,0x3ff204ff,0x07fff41f,0x1fffff10,0x5fffffd0,0x03ffffe2,
    0x8bfffffa,0xb83ffffe,0x7f46ffff,0xffb83fff,0x7fff46ff,0xffffb83f,
    0x7ffffdc6,0xfffffb83,0x3ffffe21,0xfffffe80,0x09ffff92,0x0bfffff1,
    0x9ffffff1,0x7fffe4c3,0x7ffe42ff,0xff91dc2f,0x2e0005ff,0xff5005ff,
    0xffff07ff,0xfd81fbdf,0xedceffff,0x004fffff,0x4403fff5,0xbdffffff,
    0xfffffffd,0x7fffd403,0x7fffd403,0xfffc99cf,0x3fea5fff,0xfc99cfff,
    0xe85fffff,0xddefffff,0x04fffffe,0xbdfffffd,0x9fffffdb,0x0dfffa80,
    0x0dfff500,0xffffff50,0xffffffff,0x0003ffff,0x001bfff5,0xd01bffea,
    0xfff81fff,0xfffff806,0xffffcacf,0x3ffe2fff,0xffcacfff,0x2a2fffff,
    0xabffffff,0x42fffffd,0xbffffffa,0x2fffffda,0x7fffffd4,0xfffffdab,
    0xfffffe82,0xffffedde,0xfffff84f,0xffffcacf,0xfff52fff,0xff9339ff,
    0x2e0bffff,0xffffffff,0xffffffff,0x2ffffc85,0xffbbffd5,0x20003fff,
    0xb99cfff9,0x3ffffa80,0xffffffe8,0x7fff441f,0xffffffff,0xfd8800ef,
    0xfffb807f,0xdfffffff,0x5403ffff,0x4403ffff,0xffffffff,0x6fffffff,
    0x3fffffe2,0xffffffff,0xffff886f,0xffffffff,0xfff100ef,0xffffffff,
    0xf3001dff,0x2137bfff,0x4ffffc99,0x3fffea00,0xffffffff,0x0001efff,
    0x2b7fffe6,0x3ffee621,0x7ffc404f,0x027ffcc6,0x7fffffe4,0xfffcffff,
    0x3ffff22f,0xfcffffff,0x7fec2fff,0xffffffff,0xfffb05ff,0xffffffff,
    0x3fff60bf,0xffffffff,0xffff105f,0xffffffff,0xfff901df,0x9fffffff,
    0x3e25ffff,0xffffffff,0x06ffffff,0x3fffffee,0xffffffff,0x5ffff904,
    0x3ffffffa,0x40005fff,0x0ffffffe,0x83ffffa8,0xfffffff9,0xffffc882,
    0x04ffffff,0xffffdff3,0x3fee007f,0xf4ffffff,0xfa807fff,0xfa803fff,
    0xffffffff,0x20ffffcb,0xfffffffa,0xffffcbff,0xffffd880,0x04ffffff,
    0xfffffd88,0x004fffff,0x7ffffec4,0xffffffff,0xffc88002,0xffffffff,
    0x100004ff,0xfffffffb,0x05ffffff,0xa89fff30,0xfb003fff,0x5fffffff,
    0xd85ffff3,0xffffffff,0x82ffff9a,0xfffffffb,0x7dc05fff,0xffffffff,
    0x7ffdc05f,0x5fffffff,0x7fffec40,0x04ffffff,0x7fffffec,0xffff9aff,
    0x3ffffea2,0xffcbffff,0x3fea00ff,0xffffffff,0x3ff203ff,0xfffd12ff,
    0x001dffff,0xfffff980,0xffffa80f,0xffffd703,0x7ff5405d,0x201dffff,
    0xdffffff9,0x7ff4c002,0x3ffe2eff,0x7ffd403f,0xffd3003f,0x3ea1bfff,
    0x7f4c3fff,0xf50dffff,0x65407fff,0x1dfffffe,0x7ff65400,0x0001dfff,
    0x3fffff26,0x000befff,0x7fff6540,0x001cefff,0xfffc9800,0x0befffff,
    0x87fff700,0x2001fffc,0x1dffffec,0x905ffff3,0x23bffffd,0x302ffff9,
    0xdffffffb,0x3ff66005,0x002effff,0xffffffb3,0x7654005d,0x01dfffff,
    0xbffffd90,0x0bfffe63,0xbfffffd3,0x0ffffea1,0x3ffffee0,0x6400bfff,
    0x3222ffff,0x004ffffe,0x02aea200,0x03ffffa8,0x4c000d44,0x266000aa,
    0x8000099a,0xa80000a9,0x4003ffff,0x40001a98,0x00001a98,0x000054c4,
    0x0000a988,0x5e654c40,0x2000000a,0x00001aa9,0x332a6200,0xa98000ab,
    0x1554c0aa,0x001a8800,0x0001a880,0x0026a620,0x009a9880,0x026a6200,
    0x01531000,0x000d4400,0x0006a620,0x26aa6200,0x51000000,0x00000003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xeca80000,0x202deefe,0x201cccca,0x001cccca,0x00000000,
    0x0b333260,0x00000000,0x00000000,0x40000000,0x950cccc8,0x76544999,
    0xcc980ace,0x991003cc,0x33322999,0x0000002c,0x132206a6,0x00000000,
    0x5e77ee54,0x40d4c001,0x000004c9,0xdefecb88,0x3332600c,0x5eff6544,
    0x54000000,0x8002cccc,0x201ccccb,0x03c981aa,0x26000000,0xfc82cccc,
    0x75405fff,0xffffffff,0xfffb81ff,0x3fff202f,0x7ec0002f,0x00004fff,
    0x9ffff500,0x7fffcc00,0x7fec000e,0x3f2000ff,0x3fff22ff,0x3ff6e202,
    0x1ff50cde,0xa803ff30,0x0ffff984,0x3a2ffff7,0x1fffffff,0x02ffffd4,
    0x37ffff88,0xf70bffff,0x7ffdc7ff,0xfffd8803,0x07fd89be,0x3fffff10,
    0x2e2fffb8,0xfd883fff,0x3fffffff,0xefffe880,0x987fd89b,0x3fe25fff,
    0x7ffdc06f,0x0dffffff,0x88ffffb8,0xfffffffe,0x7ffdc002,0xffff905f,
    0xfffd0009,0xfffd305f,0x0bfd117d,0x7d45fffd,0x2a0006ff,0x7d44ffff,
    0x302fffff,0xffffffff,0xb83fffff,0x3202ffff,0x0002ffff,0x3fffffea,
    0x75c00002,0xffffeeee,0xffd802ef,0xfd8000ef,0x74000fff,0xfffa8fff,
    0x3fffa205,0xff10ffff,0x4c0ffb09,0xfff985fe,0x3ffff70f,0xffffffff,
    0x7ffd41ff,0xfff1005f,0x3fffe6ff,0x33fffd05,0x2e00bfff,0xffffffff,
    0xff7005ff,0x3ffa05ff,0x85fff98f,0xfffffff9,0x200dffff,0xfffffffb,
    0xff705fff,0x1fffd17f,0x3ffff620,0x5fffffff,0xe9ffffb8,0xffffffff,
    0x3ffe002f,0x3fff205f,0xffe8004f,0xfffc82ff,0x4fffffff,0x2a2fffe8,
    0x20006fff,0x224ffffa,0xffffefff,0xfffffe80,0xfffffecd,0x17fffdc6,
    0x05ffff90,0x3bffe200,0x0000ffff,0x3fffff20,0x03ffffff,0x007fffcc,
    0x0ffffd80,0x77ffcc00,0x3a00ffff,0x6fffffff,0x7eefffec,0xffc883ff,
    0xffff985f,0xffffff70,0xfffffdff,0x7fffd4df,0xffff1005,0x17fffe6f,
    0x7ff7ffc4,0xdfb000ff,0xffffffb7,0x3fffa005,0x3bffe202,0xfe80ffff,
    0xffffffff,0x3f604fff,0xfffffdbe,0x3fff601f,0x3203fffd,0xffffffff,
    0x5c4fffff,0xffffffff,0x6ffffffe,0x0dfff700,0x04ffffc8,0x2ffffe80,
    0xffdbdff8,0xfe80ffff,0x3ffea2ff,0x3fea0006,0x3fff64ff,0x4c5fff99,
    0xe882ffff,0x3ee2ffff,0x3f202fff,0xd0002fff,0xfff51fff,0x7e40000b,
    0xffffffff,0x7fe403ff,0x3f60001f,0xb8000fff,0x02ffffff,0x3fffffe2,
    0x7ff445ee,0xf305ffff,0xdd30bfff,0x3ffee1ff,0xfb10afff,0x7fd4ffff,
    0xff1005ff,0x3ffe6fff,0x3ffea04f,0x3e002fff,0x06764c2f,0x03fffa80,
    0xffffffa8,0xeffffb82,0x3ffffae2,0xc985ff00,0x7fc400ce,0x2605ffff,
    0x10bfffff,0x41fffff7,0xaffffffb,0xfffff910,0x1dffd003,0x4ffffc80,
    0xffffe800,0x2a07fcc2,0xffd00bed,0x37ffd45f,0xffff5000,0xb8fffee9,
    0x3fea3fff,0x57b301ff,0x2ffffb81,0x0bffff20,0x8bffee00,0x0002fffc,
    0xf9555530,0x4035bfff,0x0001fff8,0x00666654,0x4ffffd80,0x2ffffcc0,
    0x2dffeb80,0x17fffe60,0x3fee7f98,0xff883fff,0xfff50fff,0x3fe200bf,
    0x3fe667ff,0x7fffec03,0x00000005,0xb001fff4,0xf10bffff,0xf101ffff,
    0x00009fff,0xfffff500,0x7fffec01,0x9ffffb03,0x1fffffdc,0x01ffffe8,
    0x40077fd4,0x004ffffc,0x02ffffe8,0x99988000,0x00266620,0x4ffffa80,
    0x7ffcc000,0x2000acff,0x202ffffb,0x002ffffc,0x00000000,0x13fffea0,
    0x00026620,0x00000000,0x0ffffee0,0x7fcc0000,0x9bf205ff,0x206ffffb,
    0xf51ffffc,0x2200bfff,0x7c47ffff,0x0000002f,0x19980000,0xff500000,
    0x7fe40bff,0x0000007f,0xfffff000,0x2055ecc0,0x206ffffb,0x402ffffc,
    0xf9000998,0xd0009fff,0x0005ffff,0x00000000,0x027fffd4,0x3fffe200,
    0x01beffff,0x017fffdc,0x005ffff9,0x40000000,0x50bdfeca,0x0009ffff,
    0x00000000,0xfff70000,0x9800005f,0xceffffdc,0xb87ff24c,0x3204ffff,
    0xff52ffff,0x3e200bff,0x7fdc7fff,0x20000000,0x2bdeeca8,0x00000000,
    0x80ffffee,0x100ffffb,0x7ddffdd7,0xf1000003,0x4000bfff,0x204ffffb,
    0x003ffffb,0xffffc800,0xfffe8004,0x3999952f,0x0e666540,0x3b2a0000,
    0xfff50bdf,0x9999309f,0x7fffe403,0xcfffffff,0x2ffffb80,0x0bffff20,
    0x9813332e,0x3201cccc,0xfe883ccc,0xaaffffff,0xca84ffff,0xcccccccc,
    0x542ccccc,0xcccccccc,0x42cccccc,0xccccccca,0x2ccccccc,0x00bfffee,
    0x40e6664c,0xfffffffb,0x87ff57ff,0x203ffffb,0xf52ffffb,0x2200bfff,
    0x3ee7ffff,0x1333264f,0x017bfd95,0xfffffd50,0x2a03dfff,0x3bae4ccc,
    0x9999302c,0xdffff903,0xfddddddd,0xffb01fff,0xffffffff,0x93332a07,
    0x3ea2ceeb,0x20004fff,0x203ffffb,0x933ffffb,0xfeca8999,0xfffc80bd,
    0xffe8004f,0xffff72ff,0x7fffe405,0x1cccc982,0x7ffff440,0xfffaafff,
    0xffffa84f,0x7fffe403,0xffffffff,0x17fffdc3,0x05ffff90,0x203ffff7,
    0x504ffffc,0xf987ffff,0xffffffff,0x84ffffdf,0xfffffffd,0x4fffffff,
    0x7fffffec,0xffffffff,0x7ffffec4,0xffffffff,0x3fffee4f,0xffff5002,
    0xfffff707,0x0ecfffff,0x017fffdc,0x2a5ffff7,0x1005ffff,0xff9fffff,
    0xffffb8bf,0xfffffe88,0x3ff202ff,0xffffffff,0xfffc83ff,0x1fffffb7,
    0x07ffff50,0xfffffffd,0xffffffff,0xffffd83f,0xffffffff,0xb7fffc84,
    0x2e1fffff,0x0004ffff,0x80ffffee,0xf73ffffb,0xffd11fff,0xc85fffff,
    0x8004ffff,0xf72ffffe,0x7e405fff,0xffa82fff,0x3fe603ff,0xffffffff,
    0xa84ffffd,0x9803ffff,0xfffffffc,0x3ee2ffff,0x3f202fff,0xff982fff,
    0xfffd03ff,0x3fff20df,0x7ffff40f,0xfffffeff,0xffd84fff,0xffffffff,
    0x7ec4ffff,0xffffffff,0x6c4fffff,0xffffffff,0x24ffffff,0x002ffffb,
    0x707ffff5,0xffffffff,0xfff700ff,0x7ffdc05f,0xbffff52f,0x3fffe200,
    0xfb82efff,0xfffe9fff,0x82ffffff,0xfffffffb,0x2fffffff,0x7e7fffe4,
    0xf506ffff,0xffb07fff,0xffffffff,0x45ffffff,0xeffffffa,0x0fffffff,
    0x7e7fffe4,0x3ea6ffff,0x20004fff,0x203ffffb,0xf73ffffb,0xfffd3fff,
    0x45ffffff,0x004ffffc,0x72ffffe8,0x6405ffff,0xfa82ffff,0x3fa03fff,
    0xffefffff,0x84ffffff,0x003ffffa,0x3fffb2a2,0x3ee6ffff,0x3f202fff,
    0xffd02fff,0xffff10bf,0xfffd01ff,0xfffffa8d,0x7ffffd43,0xffffd84f,
    0xffffffff,0x7ffec4ff,0xffffffff,0x7fec4fff,0xffffffff,0x3ee4ffff,
    0xf5002fff,0x75307fff,0x555dffff,0x5ffff700,0x97fffdc0,0x005ffffa,
    0x15fffff1,0x7ffffdc0,0xffffefff,0x7ffcc6ff,0xea88aeff,0x320fffff,
    0xffffffff,0xfff503ff,0xffff907f,0x33333335,0x7f413333,0x7f4c2fff,
    0x7fe43fff,0xffffffff,0x17fffe63,0xffffb800,0x3fffee03,0xffffff73,
    0xfffffdff,0x7fffe4df,0xfffe8004,0x5ffff72f,0x17fffe40,0x81ffffd4,
    0x43fffffa,0x4ffffffa,0x03ffffa8,0x3ff6a200,0x3ffee7ff,0x3fff603f,
    0xffff902f,0xfffffb81,0x7fffc42f,0x1fffffc3,0x4fffffa8,0xaaaaaba8,
    0xffffffba,0x55555d40,0xfffffbaa,0x5555d40f,0xffffbaaa,0x3ffee0ff,
    0xfff5002f,0x7ffcc07f,0x7fdc005f,0x3fee02ff,0xffff52ff,0x3ffe200b,
    0xfffb807f,0xf910afff,0x7e43ffff,0x3f606fff,0x3ff25fff,0xfdbdffff,
    0x7ffff500,0x05ffff70,0x27f65400,0x43ffffb8,0xdffffffc,0x3fe20fdb,
    0x3be207ff,0x3ffee2cd,0x3ffee03f,0xfffff73f,0x3ff2215f,0xfff91fff,
    0xffd0009f,0x3ffee5ff,0x3fff202f,0xffffa82f,0x7fffff03,0x3ffffea0,
    0x3ffffa84,0x01fdb950,0xa87ffff4,0xf304ffff,0x2605ffff,0x7ec2ffff,
    0x5c4fffff,0x3e21ffff,0x7f407fff,0x44004fff,0x01fffffe,0x7ffff440,
    0x7f44001f,0x7dc1ffff,0xf5002fff,0x7cc07fff,0x5c005fff,0x2e02ffff,
    0xff52ffff,0x3e200bff,0xfb807fff,0xfd03ffff,0x7ff43fff,0x3fe601ff,
    0x3fff27ff,0xf50043ff,0xff507fff,0x66ec0bff,0xff30001a,0xfffc89ff,
    0x7fc043ff,0xff702fff,0x7ffdcbff,0x3ffee03f,0xfffff73f,0x3ffffa07,
    0x09ffff91,0x5ffffd00,0x80bfffee,0xa82ffffc,0xf883ffff,0x7f407fff,
    0xffa84fff,0xfffd03ff,0x3ffe209f,0x3fffe26f,0xffffe80f,0x3fffe02f,
    0x7fffffc4,0x37ffec6f,0x017fffe6,0x009ffff7,0x2fffffd8,0xffffd800,
    0xffd8002f,0xffb82fff,0xff5002ff,0x7fcc07ff,0x7dc005ff,0x3ee02fff,
    0xfff52fff,0x3fe200bf,0xffb807ff,0x3ff206ff,0xffff12ff,0xffffb00b,
    0x1fffff23,0x7ffff500,0x0fffffa0,0x01bfffee,0xffffdb98,0x7fffe44f,
    0xffff7007,0xffff983f,0x3fffee2f,0x3fffee03,0x0dffff73,0xc97fffe4,
    0x8004ffff,0xf72ffffe,0x7e405fff,0xffa82fff,0xfff983ff,0x7ffdc05f,
    0xffffa84f,0xfffff503,0xffd7537b,0xffff89ff,0xfffdacff,0x3202ffff,
    0x3fe67fff,0x20ffffef,0x7d44ffff,0x7dc04fff,0x36004fff,0x003fffff,
    0x3fffffd8,0xffffd800,0xffff703f,0x3ffea005,0x3ffe603f,0x7fdc005f,
    0x3fee02ff,0xffff52ff,0x3ffe200b,0xfffb807f,0x3ffee04f,0x9ffff53f,
    0x5ffff900,0x013ffff2,0x07ffff50,0x3fffffea,0xfffffdab,0x3ff6e202,
    0x4fffffff,0x027fffe4,0xdfffffd0,0xdfffffd9,0x03ffffb8,0x5cffffee,
    0x2e04ffff,0xff93ffff,0xfd0009ff,0x3fee5fff,0x3ff202ff,0xfffa82ff,
    0xffffa83f,0x7fffdc04,0x3ffffa84,0x3fffff20,0xffffffff,0xfffffc86,
    0xffcfffff,0x3fea02ff,0x9fff71ff,0x3ea5fff9,0x7fdc1fff,0x7fd403ff,
    0xff9004ff,0x90009fff,0x009fffff,0x9fffff90,0x17fffdc0,0x3ffffa80,
    0x17fffe60,0x5ffff700,0x97fffdc0,0x005ffffa,0x00fffff3,0x407ffff7,
    0xf73ffffb,0xf7007fff,0x3ff27fff,0x7d4003ff,0x3f603fff,0xffffffff,
    0xfd305fff,0xffffffff,0xffc89fff,0x3e6003ff,0xffffffff,0x7dc1ffff,
    0x3ee03fff,0xfff73fff,0x7ffdc07f,0x9ffff93f,0xffffd000,0x0bfffee5,
    0x82ffffc8,0xb83ffffa,0x5403ffff,0xfa84ffff,0x7e403fff,0xffffffff,
    0xffb00eff,0x35ffffff,0xf805ffff,0xfffb3fff,0x329fff55,0xffa87fff,
    0x7fd404ff,0xffb804ff,0xb8005fff,0x005fffff,0x5fffffb8,0x17fffdc0,
    0x3ffffa80,0x17fffe60,0x5ffff700,0x97fffdc0,0x006ffffa,0x00dffff3,
    0x407ffff7,0xf73ffffb,0xf9009fff,0x3ff27fff,0x7d4002ff,0x7dc03fff,
    0xffffffff,0xffff305f,0xff55bfff,0xfffc89ff,0x7f4c002f,0xffffffff,
    0xffffb82f,0x3fffee03,0x07ffff73,0xc9ffffdc,0x2624ffff,0x3fffa02a,
    0x5ffff71f,0x17fffe40,0x41ffffd4,0x404ffffa,0xa84ffffa,0x9803ffff,
    0xfffffffc,0x7f64402e,0xff31dfff,0xffd805ff,0x11ffff5f,0x3ffadfff,
    0xffff984f,0x7fffdc04,0x7fffd404,0x7d4000ef,0x000effff,0x77ffffd4,
    0x7fffdc00,0xffff5002,0x7fffcc07,0x7ffdc005,0x3ffee02f,0xfffff32f,
    0x3fffea00,0xffffb806,0x3fffee03,0x0bffff53,0x23ffffb0,0x002ffffc,
    0x01ffffd4,0x7ffffecc,0xfff102ef,0xff9819ff,0x7ffe44ff,0xfd90002f,
    0x019fffff,0x80ffffee,0xf73ffffb,0x7dc07fff,0xfff93fff,0x1ffffe9f,
    0x71ffffe8,0x6405ffff,0xfa82ffff,0xff983fff,0x7fdc04ff,0xfffa84ff,
    0x7ed4003f,0x44000cef,0x02ff981a,0xf5ffff50,0x7fff4dff,0x882ffffa,
    0x6c06ffff,0x2604ffff,0x00ffffff,0x7ffffcc0,0x7fcc000f,0xb800ffff,
    0x5002ffff,0x4c07ffff,0x0005ffff,0x7fffe400,0x7fffff12,0xbffffb00,
    0x7ffff700,0x9ffffdc0,0x807ffff9,0xf90fffff,0xa8005fff,0x4003ffff,
    0x5400affb,0xf305ffff,0xffc89fff,0x220002ff,0x000defeb,0x00599970,
    0x407ffff7,0xf93ffffb,0x3ffa9fff,0xffff01ff,0x3fffee1f,0x3ffff603,
    0x3ffffa82,0x06ffff88,0x427fffec,0x003ffffa,0x7fffffdc,0xff500000,
    0x3ffe2003,0x323fffef,0x7fffefff,0x07ffffe0,0x27ffffc4,0xffffff88,
    0x7ffc4001,0x44001fff,0x01ffffff,0x05ffff70,0x0ffffea0,0x05ffff98,
    0x7fec0000,0x3fffa2ff,0x3fea00ff,0xfb803fff,0x3ee03fff,0x3ffa3fff,
    0x3fee03ff,0x3fff26ff,0x7fd4001f,0x7e4003ff,0xfffc800f,0xffff702f,
    0x1ffffc89,0x3ffee000,0xd8000fff,0x201fffff,0x203ffffb,0xf93ffffb,
    0x3ff69fff,0xfffa83ff,0x3fffea7f,0xfffff104,0x7ffff505,0x07ffffe0,
    0x27ffffc4,0x01ffffd4,0x3faa2660,0xf900004f,0x7fec003f,0x2a1fffff,
    0x5fffffff,0x3ffffee0,0x7ffff441,0xfffe884f,0x744001ff,0x001fffff,
    0x7fffff44,0x3ffee001,0xfff5002f,0x7ffc407f,0x8800006f,0x1fffffa8,
    0x3bffffee,0xffca88ac,0xb800ffff,0x2e03ffff,0x3ee3ffff,0xfb83ffff,
    0x3f21ffff,0x54001fff,0x4003ffff,0xfc800ffd,0xff884fff,0x7fe45fff,
    0x260001ff,0x04ffea89,0xfffdcb80,0x3fffee06,0x3fffee03,0x29ffff93,
    0x0bfffffb,0x4bffffd5,0x80fffff8,0x82fffffe,0x703ffffa,0x883fffff,
    0x84fffffe,0x003ffffa,0x003ffd40,0x004ffc80,0x3fffffee,0x7ffffc47,
    0x3fe202ff,0xfcbdffff,0x84ffffff,0x9bfffffd,0xaaaaaaaa,0x3fffff60,
    0xaaaaaa9b,0x3fff60aa,0xaaaa9bff,0xff70aaaa,0x3ea005ff,0x3e203fff,
    0x0fdeffff,0xfffe8000,0x7f40ffff,0xffffffff,0x4fffffff,0x7ffff700,
    0x1ffffdc0,0x3bfffffa,0xfffffedd,0x0ffffe44,0x3fffea00,0x1ffec003,
    0x7ffffd40,0xffffc99c,0x7ffe45ff,0x2a00001f,0x5c0007ff,0xff700fff,
    0x7fdc07ff,0xffff93ff,0x3ffffe29,0xffffffff,0x7ffffc1f,0xffffcacf,
    0xffa82fff,0xfff103ff,0xff97bfff,0x509fffff,0x0007ffff,0x0027ff4c,
    0x9cfffb80,0x3ffe2039,0xffe85fff,0x5c00ffff,0xffffffff,0x4ffffdff,
    0x7fffffd4,0xffffffff,0xffff50ff,0xffffffff,0x3ea1ffff,0xffffffff,
    0x0fffffff,0x005ffff7,0x00ffffea,0xfffffffd,0xff880003,0x986fffff,
    0xffffffff,0xefffffff,0xffff7000,0x7fffdc07,0x7ffffc43,0xffffffff,
    0x7fffe40e,0x7ffd4001,0x7fdc003f,0xf883a9bf,0xffffffff,0x46ffffff,
    0x001ffffc,0x09ffd300,0x37ff4400,0x07ffff70,0xc9ffffdc,0x3ee4ffff,
    0xffffffff,0xffc85fff,0xffffffff,0xa82ffffc,0x2e03ffff,0xffffffff,
    0x4ffffdff,0x03ffffa8,0xfffddf70,0x200001ff,0x7ffffff9,0x7fffff40,
    0xfffffc83,0xffff5005,0x3fe9ffff,0x7ffd44ff,0xffffffff,0xf50fffff,
    0xffffffff,0x1fffffff,0x3fffffea,0xffffffff,0xffff70ff,0x3ffea005,
    0x7ffdc03f,0x0002ffff,0x7fffffcc,0xfffb100f,0xffffffff,0xffb8009f,
    0x3fee03ff,0xffd883ff,0xffffffff,0x3ffff904,0xffffa800,0x7ffc4003,
    0xff506fff,0x7fffffff,0x641ffff9,0x8001ffff,0xffffeefb,0xdff5000f,
    0x405fffff,0x203ffffb,0xf93ffffb,0xffc89fff,0xffffffff,0x3ffff604,
    0xff9affff,0xfffa82ff,0x7ffd403f,0xff4fffff,0xfff509ff,0x3fee007f,
    0x000cffff,0x7fff5400,0x7ffdc07f,0xfff981ff,0x3a6002ff,0x3e3effff,
    0x7fd44fff,0xffffffff,0x50ffffff,0xffffffff,0xffffffff,0x3ffffea1,
    0xffffffff,0xfff70fff,0x3fea005f,0xffb803ff,0x0002efff,0x77ffffdc,
    0xffeda802,0x01dfffff,0x3ffffb80,0x0ffffee0,0xffffeca8,0x3ff201df,
    0x7d4001ff,0xb8003fff,0x206fffff,0xdfffffe9,0x47ffff50,0x001ffffc,
    0xffffffb8,0x3fea000c,0x401dffff,0x203ffffb,0xf93ffffb,0xfd309fff,
    0x05bfffff,0xbffffd90,0x0bfffe63,0x00ffffea,0x3bffffa6,0x213fffe3,
    0x003ffffa,0x00026662,0x02ae6000,0x1ffffe60,0x00fffff8,0x00015300,
    0xfffffff5,0xffffffff,0x3fffea1f,0xffffffff,0xff50ffff,0xffffffff,
    0x21ffffff,0x002ffffb,0x007ffff5,0x00000d4c,0x0002b2a6,0x0009aa98,
    0x1ffffdc0,0x07ffff70,0x4002a620,0x001ffffc,0x01ffffd4,0x00aba880,
    0x00035310,0x003ffff9,0x00266620,0x099a9980,0x7ffff700,0x1ffffdc0,
    0x13553000,0x00351000,0x1ffffd40,0x0002a600,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x66664c00,0x99991003,0x3332a009,0x76dc001c,
    0xfd8001de,0x3fea000f,0x27fc4004,0x009ff500,0x2004ff88,0x99999998,
    0x2a099999,0x0000cccc,0x5665cc40,0x32e60001,0x100002bc,0xcc899999,
    0x332203cc,0x372a03cc,0x332e1bdf,0x36e6202c,0xca8001ac,0x3320bdfe,
    0x32a602cc,0x654009bc,0xcb802ccc,0x2a600ccc,0x200abcdc,0x2a24ccca,
    0x0002ceec,0x3cccc980,0x54000000,0x26005eee,0x004c981a,0x2af32ea2,
    0xddb10000,0x504a801d,0x200bffff,0x007ffff8,0x005ffff9,0x7ffffff4,
    0x0ffe6002,0x04fff980,0x8007fe40,0x4004fff9,0x2e000ffc,0xffffffff,
    0x3f25ffff,0x00001fff,0x3fffffe6,0x3ee000df,0x1dffffff,0x7ffc4000,
    0x37fffc7f,0x0dffff10,0xffffffb1,0x13fffa5f,0x7fffffec,0xfe8800df,
    0xf1ffffff,0xfb109fff,0x07ffffff,0x037fffd4,0x41ffffe2,0xffffffd8,
    0xfff902ff,0x3ffffe6f,0x93000dff,0x2a79dffb,0x0005ffff,0x3ffe2000,
    0xffe8806f,0x7fd89bef,0xffffc880,0x8003ffff,0x300ffffc,0x3fea0bfd,
    0xff1005ff,0x3f200fff,0xf7002fff,0x0dffd9ff,0x88037f40,0x004ffffc,
    0x2200ffe6,0x004ffffc,0x9000ffe6,0xffffffff,0x7e4bffff,0x00001fff,
    0xfffffff7,0xfb003dff,0xffffffff,0x7c40003f,0x7ffc7fff,0x3ffe206f,
    0x7fff446f,0xeaffffff,0x7f444fff,0xffffffff,0x3ffe601f,0xafffffff,
    0x7d44ffff,0xffffffff,0x3fffe05f,0x3ffea00f,0xffff884f,0x5fffffff,
    0xfaffffc8,0xffffffff,0x7ffd401f,0xff55ffff,0x00000bff,0x37fffec0,
    0x7ffffdc0,0x405fffff,0xfffffff8,0x000effff,0x81fffff3,0x505fffc8,
    0x200bffff,0x007ffff8,0x005ffff9,0xffe8bffa,0x02ffa802,0xffffff98,
    0x01ff6004,0x3fffffe6,0x01ff6004,0x3fffffa0,0x5fffffff,0x007ffff2,
    0x3fffe600,0x6fffffff,0x7fffff40,0x0effffff,0xffff1000,0x06ffff8f,
    0xb1bfffe2,0xffffffff,0x9fffffff,0xffffffe8,0x00ffffff,0xdffffffd,
    0xffffffff,0x7ffffc49,0x6fffffff,0x07ffff90,0x40ffffec,0xfffffffe,
    0x642fffff,0xffffffff,0x6fffffff,0x3ffffe60,0xfff54fff,0x000000bf,
    0x1bffffea,0x3f6fbf60,0x201fffff,0xffffffe8,0x05ffffff,0xffffff88,
    0x2ffffcc0,0x05ffffa8,0x0fffff10,0x0bffff20,0x7ffcc300,0x006fe801,
    0x9ffbbff5,0x00bfea00,0x3ff77fea,0x05ff5004,0xffffff00,0xbfffffff,
    0x00ffffe4,0x7fffec00,0xfffffcbe,0xfffff502,0xfffff959,0x3fe20007,
    0x7fffc7ff,0x3fffe206,0x3ffffe66,0x3fffea0d,0x3ffea4ff,0xfffdadff,
    0xfffa84ff,0x7ffd43ff,0x3ff64fff,0xfffbcfff,0xff982fff,0xfff106ff,
    0xffff50df,0xfffd539f,0xffffc8ff,0xff910bff,0x3ee05fff,0x2eeeffff,
    0x00bffff5,0xfff10000,0xff00dfff,0x00cec985,0x77ffffe4,0xffffffcb,
    0x3fffea03,0x7fcc0fff,0xfff505ff,0x3fe200bf,0x553007ff,0xf3000155,
    0xf7007fff,0x432a003f,0xfd004ffc,0x6432a00d,0xdfd004ff,0xffff1000,
    0x55555559,0x7fffe435,0x7fc40001,0x7ffcc6ff,0xffffd05f,0x5ffff983,
    0xffff1000,0x06ffff8f,0xd9bfffe2,0xf305ffff,0x7ec9ffff,0x7fd41fff,
    0xfffe87ff,0xffff303f,0x3fffe69f,0x3fff220e,0xffffd05f,0x7ffff501,
    0x05ffff90,0x643ffffb,0x902fffff,0x320dffff,0xf503ffff,0xddddffff,
    0x00379bdd,0x7ffffec0,0x0000006f,0x20bffffa,0x985ffffc,0xfffffffd,
    0x7fffcc0f,0xbffff505,0x3fffe200,0x40000007,0x402ffffa,0x20005ff8,
    0xfb804ffc,0xff90001f,0x03ff7009,0x3ffff500,0xffffc800,0x7fe40001,
    0xfffd82ff,0x7fffd41f,0x0bdffd04,0x3fffe200,0x037fffc7,0x7cdffff1,
    0x3601ffff,0xff14ffff,0x3ffe0bff,0x3ffe20ff,0x7ffec07f,0x5ffff74f,
    0x07ffffa0,0x20ffffee,0xe80ffffd,0xff507fff,0x7ffe45ff,0x3ffe206f,
    0xfffd80ff,0xffff501f,0xffffffff,0x8001bfff,0xfffffffb,0x10000006,
    0x260bffff,0x7e47ffff,0xffffffff,0xfffb930f,0x7d4999df,0xf1005fff,
    0x2200ffff,0x8002ffff,0x03fffcba,0x80003ff2,0x7c404ffc,0x3f20005f,
    0x2ffc404f,0x7fffc800,0xffffc800,0x59dfb711,0x07fffe80,0xd87ffff5,
    0x0101ffff,0x3ffe2000,0x37fffc7f,0x2dffff10,0x406ffff8,0x224ffffa,
    0xffd01ca9,0xffff98ff,0x7fffdc05,0x01ffff94,0x213fffee,0x446ffff8,
    0xfb05ffff,0x3fe60dff,0x3fff21ff,0x7ffec03f,0x7fffe81f,0x3ffffea0,
    0xffffffff,0x1001ffff,0xffffffff,0x1333260d,0x017bfd95,0x80ffffea,
    0x3e27ffff,0xfffeffff,0xffff70ff,0x21ffffff,0x005ffffa,0x00fffff1,
    0x00bfffe6,0x20fff700,0x40004ff9,0x7e404ffc,0x3f20000f,0x07fe404f,
    0x6fffd800,0xffffc800,0xffffffa9,0xffff00ef,0x3fffe60f,0x03ffffc4,
    0x7fc40000,0x7fffc7ff,0x3fffe206,0x0bffff36,0x04ffff98,0x2ffffcc0,
    0x013fffea,0x369ffff5,0x3ea07fff,0xffb05fff,0x7ffd41ff,0xffff702f,
    0x8ffff903,0x402ffffc,0x952ffffc,0x99fffff9,0x7fffd479,0xffffffff,
    0x006fffff,0xffd9fffb,0x3ffee0df,0xffffe88f,0x4cc02fff,0xdffff100,
    0x46ffffc4,0xf70ffffe,0xffffffff,0x3fffea1f,0xffff1005,0x3ffea00f,
    0xedc8800f,0x203ffea0,0x40000ffd,0x3e204ffc,0x7e40004f,0x13fe204f,
    0xeffff800,0x01ceffdb,0xffbffff9,0xffffffff,0x5ffff883,0x8bffff10,
    0x7316ffff,0x20000159,0x7c7ffff8,0x3e206fff,0xfff56fff,0xfff8809f,
    0x3f66004f,0x7fdc2fff,0x7fcc03ff,0xffffb4ff,0x37fffcc0,0x23ffffa8,
    0x2207fffd,0x260dffff,0x7e45ffff,0x7dc02fff,0xfff93fff,0xbfffffff,
    0x677fffd4,0xffeccccc,0x5c03ffff,0xffe8efff,0xffff706f,0xffffffd3,
    0x40005fff,0x225ffffa,0x3ffa3fff,0xffff70ff,0x21ffffff,0x005ffffa,
    0x00fffff1,0x00dfffd1,0x74c67fec,0x3ff986ff,0x4ffc8000,0x0003ff60,
    0x6c09ff90,0xf10000ff,0xffffffff,0xff907fff,0xfdffffff,0x98dfffff,
    0xf105ffff,0x7fc4dfff,0xfffe9dff,0x40000dff,0x7c7ffff8,0x3e606fff,
    0xfff36fff,0xfff980bf,0xfffc804f,0xffa83fff,0x7fd404ff,0xffff94ff,
    0x3fffea01,0x5bfffe07,0x404ffff8,0xedfffffa,0x640effff,0x5c02ffff,
    0xff92ffff,0xffffffff,0x2ffffd4b,0x3ffffea0,0x3fffe206,0x20dfffd2,
    0xfffffffb,0xffffffef,0x3ff60006,0x20fa23ff,0x510ffffe,0x55dffff7,
    0x2ffffd45,0x7ffff880,0x7ffff440,0x3ffe6004,0xe82fffff,0xf900006f,
    0x0ffe609f,0x13ff2000,0x0001ffcc,0xfffffff3,0x8bffffff,0x2ffffffc,
    0x17ffffdc,0x40bffff3,0x3e67ffff,0xffffefff,0x001effff,0x1ffffe20,
    0x4c0fffff,0xff16ffff,0xffa80bff,0xfff804ff,0xff302fff,0xffb80bff,
    0xffff74ff,0x3ffff205,0x3ffff207,0x01ffffa8,0xfffffe98,0xff905fff,
    0xffc807ff,0xffff91ff,0x4bffffff,0x805ffffa,0x207ffffc,0x3fa4fffe,
    0xfff706ff,0x32215fff,0x001fffff,0x0fffffb8,0x1ffffd00,0x05ffff98,
    0x00bffff5,0x81ffffe2,0x0fffffe8,0x7fffdc00,0x2ffa82ef,0x9ff90000,
    0x0001bfa0,0xfe827fe4,0x7fdc0006,0xfffeffff,0x3f22ffff,0xf901ffff,
    0x7fd4dfff,0x3ffe05ff,0x3fffea7f,0xffffffff,0x220006ff,0x7fc7ffff,
    0xff700fff,0x7fffcdff,0x7fffe407,0x7fffc404,0xfff102ef,0x7ff401ff,
    0xffff34ff,0xffff981d,0xfff300ff,0x0dfffb7f,0x3ffff620,0xf902ffff,
    0xfe80bfff,0xd3310fff,0x1333ffff,0x02ffffd4,0x07ffffcc,0xd077ffdc,
    0x3ee0dfff,0xfd03ffff,0xa8003fff,0x002fffff,0x303ffffa,0x2a0bffff,
    0x1005ffff,0x220fffff,0x02fffffe,0x03555100,0x91017fe2,0x09988059,
    0x9882ffa8,0x4c4009aa,0x02ffa809,0x7e416644,0x3aa0cfff,0x3f26ffff,
    0x3e205fff,0x3fee7fff,0x3ffe04ff,0xffff70ff,0xff715dff,0x20007fff,
    0x7c7ffff8,0xfd03ffff,0x7ff4dfff,0xfff102ff,0xff9809ff,0x81efffff,
    0x704ffffe,0x649fffff,0xdacfffff,0x1fffffff,0x3fbfffa0,0xfa803fff,
    0xffffffff,0xfffc84ff,0xfff301ff,0x3fffa0ff,0x3fffea07,0xffff9805,
    0x7fffcc0f,0x837fff42,0x206ffffb,0x002ffffc,0x1bffffea,0x1ffffd00,
    0x05ffff98,0x00bffff5,0x21ffffe2,0x1ffffff9,0xfb800000,0x27ff401f,
    0x21bfa000,0x2ffffffb,0x01bfa000,0x26213ffa,0x3ffe02ca,0xffff92ff,
    0xffffd807,0x09ffff51,0xf53ffffc,0x3e0bffff,0x8000ffff,0x7c7ffff8,
    0x641fffff,0x2a6fffff,0x441fffff,0x04fffffe,0x7fed4544,0x7fd40fff,
    0xf910cfff,0x449fffff,0xffffffff,0x0fffffff,0x3ffffee0,0x7cc00fff,
    0xfbacffff,0x320effff,0x41efffff,0x04ffffe8,0x540ffffd,0xb805ffff,
    0xfe87ffff,0xfffe84ff,0x9ffff706,0x1ffffdc0,0xfffffb80,0x7ff4000e,
    0x7ffcc0ff,0xffff505f,0x3ffe200b,0xffffe87f,0x8000001e,0x7ec04ff8,
    0x2e0004ff,0x7ffd41ff,0x000fffff,0x6c01ffb8,0x40004fff,0xf93ffffb,
    0xfc805fff,0xfff32fff,0x7fffc0bf,0x3ffffe67,0x3ffff702,0xffff1000,
    0xffffff8f,0xffffecdf,0x7fff46ff,0xfffdbdff,0x8004ffff,0xf85ffffc,
    0xffffffff,0x4fffffff,0x7fffff44,0x7fffedff,0x7ffffc40,0xffd806ff,
    0xfffc81ff,0x3ffff22f,0xffdcdfff,0xfd00ffff,0x7fd40fff,0x7f4405ff,
    0x7fe45fff,0xfffe80ef,0x7ffff706,0x1ffffdc0,0x7ffffdc0,0xffe8001f,
    0x7ffcc0ff,0xffff505f,0x3ffe600b,0x7fffe47f,0x0000000e,0x7dc01ffb,
    0x10004fff,0x9ffb0bff,0x009ffd11,0x5c05ff88,0x0004ffff,0xca7fffd4,
    0x6401ffff,0xff33ffff,0x3fe20bff,0x3ffe26ff,0xfff500ff,0xff10005f,
    0xffff8fff,0xffffffff,0x7cc6ffff,0xffffffff,0x04ffffff,0xfffff980,
    0x7ffff4c0,0xffbeffff,0xfff904ff,0x3fffe7ff,0xffffd806,0xfff803ff,
    0xffff106f,0x7ffffe4b,0xffffffff,0x3ffa03ff,0x3ffea07f,0x999999ef,
    0x3ffffffb,0x2b3fffe6,0xfffeaaaa,0x3fee2aaf,0x3fee03ff,0x7fdc03ff,
    0x0000efff,0x981ffffd,0xf505ffff,0x2600dfff,0x7fc6ffff,0x00000fff,
    0x407ff300,0x04fffffa,0x881ff900,0x3fee0fee,0x07fe4006,0x9fffff50,
    0xfff98000,0x5ffff95f,0x2ffffc80,0x20dffff1,0x7c5ffff8,0x3e607fff,
    0x54c44fff,0xfffff101,0xfceffff8,0xffddffff,0xffffa86f,0xffadffff,
    0xfd0004ff,0xfd103fff,0x51dfffff,0x8809ffff,0x3fffe209,0xffffa805,
    0x7fcc00ff,0x3ffa03ff,0x3ffff27f,0xffffffca,0x7ff403ff,0x3ffea07f,
    0xffffffff,0x0effffff,0x3fffffea,0xffffffff,0xff70ffff,0x7fdc07ff,
    0x3fee03ff,0x0000efff,0x303ffffa,0x260bffff,0x5007ffff,0x7c4dffff,
    0xca805fff,0xfb0001ab,0x5f7fcc0d,0xf98004ff,0x7ff4004f,0x13fe6005,
    0xffbeff88,0x7fd40004,0xffff94ff,0xffffd807,0x41ffffe1,0x7c4ffff9,
    0xf300ffff,0x3fea7fff,0xfff305ff,0x6ffff8df,0xfb1bfffb,0x3fa60dff,
    0xff33efff,0x015309ff,0x817fffec,0x0aceeca8,0x007ffff5,0x0bffff30,
    0x17ffffe0,0x0bfffee0,0x91ffffc8,0x3ee5ffff,0x801effff,0x2a07fffe,
    0xffffffff,0xffffffff,0x7fffd40f,0xffffffff,0x70ffffff,0x5c07ffff,
    0xf503ffff,0x001dffff,0x0ffffe80,0x82ffffcc,0x03fffff8,0x25ffffd8,
    0x805ffff8,0x8007ffff,0xfd102ffa,0x009ff71f,0x4001ffb0,0x2001fffc,
    0xfd100ffd,0x989ff71f,0x2e05feed,0xff93ffff,0xffe80bff,0x3fffa0ff,
    0xffffb80f,0x17ffff43,0x12ffffa8,0x2a0dffff,0x7fc6ffff,0x006a26ff,
    0x4c0a9880,0xff54ffff,0x3fe207ff,0x20000fff,0x443ffffa,0xfff901a9,
    0x3ffa007f,0xffa802ff,0x3ffe05ff,0xffff90ff,0x4001a885,0x2a07fffe,
    0xffffffff,0xefffffff,0xfffffa81,0xffffffff,0xf70fffff,0x7dc07fff,
    0xff983fff,0x0000efff,0x40ffffe8,0x205ffff8,0x00fffffe,0x0fffffea,
    0x401ffffd,0x004ffffb,0x3f606fe8,0x009ff71f,0x1002ffa8,0x4007fffd,
    0x3f602ffa,0x889ff71f,0xd01fffff,0x3f23ffff,0xf500ffff,0xffb8ffff,
    0xfffe84ff,0x7fffd40f,0x3ffffb06,0x407ffffc,0x7c4ffffc,0x00006fff,
    0x3fffe600,0x0dffff34,0x91ffffee,0x5c013579,0xff32ffff,0x3ffe0bff,
    0xfff5007f,0x3fe200ff,0xfff307ff,0x7fffe4ff,0xffd00002,0x7ffd40ff,
    0xffffffff,0x3a602dff,0xeeeeeeee,0xeefffffe,0x7ffff70e,0x1ffffdc0,
    0x3fffffa2,0xffd00000,0xfff881ff,0x3ffee06f,0x730acfff,0x81ffffff,
    0x80dffffc,0x01fffffa,0xc80ffdc0,0xffdaadff,0xdfd001ad,0x3fffa600,
    0x037f4003,0xfb55bff7,0x7fec35bf,0x3f220dff,0x3ff25fff,0x74c0efff,
    0x7c43ffff,0x3ee0ffff,0xffd04fff,0x3ee23bff,0x7ff46fff,0xff711eff,
    0xfff85fff,0x0000006f,0xf93fffe6,0x2a0cffff,0x6c4fffff,0xd107ffff,
    0x7fc1ffff,0x7fec1fff,0xfe8803ff,0x3e004fff,0x220cffff,0x325ffffd,
    0x0002ffff,0x40ffffd0,0x99effffa,0x00000999,0x20dfffd0,0x203ffffb,
    0x643ffffb,0xccefffff,0x04cccccc,0x81ffffd0,0xdefffff8,0x7ffff40f,
    0xffffffff,0xf883ffff,0xcbefffff,0x06ffffff,0xb02ffc40,0xffffffff,
    0xff7007ff,0xffff3003,0x1ffb8003,0x3fffff60,0x2a3fffff,0xddffffff,
    0x21ffffff,0xfffffffc,0xfffffdbd,0xfffff906,0x3fffffdb,0x3ffffea0,
    0xffffffdf,0x7ffffd41,0xffffffff,0x06ffff86,0x3e600000,0x3fee4fff,
    0xfffdffff,0x7dc0ffff,0xa9bdffff,0x45ffffec,0xdefffffc,0x80fffffe,
    0xffffdbba,0x3ee000ff,0xfddfffff,0x321fffff,0x0002ffff,0x40ffffd0,
    0x005ffffa,0x7ff40000,0xffff706f,0x7fffdc07,0x7fffff43,0xffffffff,
    0xffe800ff,0xfffe80ff,0x7cc1ffff,0xffffffff,0x0effffff,0xffffff30,
    0xbfffffff,0x01ff9000,0x7fffffec,0x4403ffff,0xff9805ff,0x7c4000ef,
    0x7ffec05f,0x3fffffff,0x7fffffe4,0x43ffffff,0xffdffffc,0xffffffff,
    0xfffff302,0x0bffffff,0xffffffd8,0xd05fffff,0xffffffff,0xff05ffff,
    0x00000dff,0x27fffcc0,0x3ffffff6,0x81ffffff,0xfffffff8,0xffffffff,
    0x7ffffc40,0x2fffffff,0xffffff70,0xfb0009ff,0xffffffff,0xffc87fff,
    0xd00002ff,0x7d40ffff,0x00005fff,0x37fff400,0x03ffffb8,0x98ffffee,
    0xffffffff,0xffffffff,0xffffe800,0xfffffb80,0xffe882ff,0xffffffff,
    0xfe9804ff,0xffffffff,0xff88004f,0x4cccc404,0x009dffc9,0x7400ffe4,
    0xffffffff,0x00ffe407,0x32666662,0xfc809dff,0xffffffff,0x7fffc82f,
    0xfffffff9,0xffe8805f,0x05ffffff,0xffffff90,0x74409fff,0xffffffff,
    0xffff02ff,0x4000000d,0x444ffff9,0xfffffffd,0x3e602eff,0xffffffff,
    0xf303ffff,0xffffffff,0x7ffd403d,0x000effff,0xffffffb0,0xf909ffff,
    0x00005fff,0xa81ffffa,0x0005ffff,0x7fff4000,0x7ffff706,0x1ffffdc0,
    0xfffffff9,0xffffffff,0xfffd001f,0x3ffee01f,0x3ae02eff,0xefffffff,
    0x7f54002d,0x02ceffff,0x001ffb00,0x2013fee0,0xf9804ff8,0xffffffff,
    0x013fe207,0x404ffb80,0xefffffd9,0xffff901d,0x6fffff5c,0xfffb1001,
    0xa8007dff,0x1efffffe,0xfffff700,0x7fc039ff,0x000006ff,0x13fffe60,
    0x7fffff54,0xff91004f,0x9fffffff,0xfffd8801,0x4c00deff,0x0cffffff,
    0x7ff4c000,0x901effff,0x0005ffff,0x81ffffa0,0x005ffffa,0x7ff40000,
    0xffff706f,0x7fffdc07,0x3fffffe3,0xffffffff,0xfe800fff,0x54c00fff,
    0x554c4001,0x2200001a,0xf9800019,0x3aa0003f,0x0ffd803e,0xeeeeea80,
    0x3605eeee,0x2a0000ff,0x2a6003ee,0x5100000a,0x9a880003,0x1a980000,
    0x2aa62000,0x99998009,0x00000000,0x0554c400,0xbaa98800,0x988001aa,
    0x554000aa,0x00000aab,0x000d54c4,0x3fa00000,0x000007ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xccca8000,
    0x5c00001c,0xb802cccc,0xeb82cccc,0xeeeeeeee,0x6664c03e,0xcccccccc,
    0x991001ac,0x99999999,0x99999999,0x26662199,0x99999999,0x93099999,
    0x64007999,0xdd904ccc,0xdddddddd,0x66664c05,0x33332003,0x33332604,
    0xcc980001,0xcccccccc,0x93001acc,0x99999999,0x00155999,0x79dd9750,
    0x33326005,0xcc88001c,0x4c002ccc,0x1ccccccc,0xccccca80,0x999950cc,
    0x3bbbb205,0x03eeeeee,0x99999993,0x55999999,0x55555100,0x0d555440,
    0x00b3332e,0x4f3332e0,0x003cccc9,0x3213332e,0x20004ccc,0x641cccc9,
    0x0002ffff,0x37fffd40,0x3ffffe20,0xfffffc80,0x404fffff,0xfffffffa,
    0xdfffffff,0x7fffcc00,0xffffffff,0xffffffff,0xffffff70,0xffffffff,
    0x3ffea5ff,0x3ffe005f,0xfffd80ff,0x3fffffff,0x17fffea0,0x0fffff80,
    0x07ffff70,0xffff5000,0xffffffff,0xfa801bff,0xffffffff,0x0cffffff,
    0xffffe980,0x402effff,0x003ffffa,0x6fffffb8,0x7fffdc00,0xfd804fff,
    0x91ffffff,0x3609ffff,0xffffffff,0xfff504ff,0xffffffff,0x017fffff,
    0x81bfffe6,0x644ffffa,0x8007ffff,0xf53fffff,0x2005ffff,0x7c47fffe,
    0x20007fff,0x643ffffa,0x0002ffff,0x2ffffe80,0x13ffff20,0x7fffffe4,
    0x5404ffff,0xffffffff,0xffffffff,0x3fffe603,0xffffffff,0xffffffff,
    0xffffff70,0xffffffff,0x3ffea5ff,0x3ffe005f,0xfffd80ff,0x3fffffff,
    0x17fffea0,0x0fffff80,0x7ffff75c,0x003eeeee,0x7fffffd4,0xffffffff,
    0x3fea03ff,0xffffffff,0x0effffff,0x3fffff20,0x5fffffff,0x0ffffea0,
    0x3ffffa00,0x3ee001ff,0x06ffffff,0xfffffff8,0x9ffff91f,0x3fffff60,
    0x504fffff,0xffffffff,0xffffffff,0x3ffe60bf,0x3ffea06f,0x7fffcc4f,
    0x3fea002f,0xfff50fff,0xfd001fff,0xfff88fff,0x3ea0007f,0x7fe43fff,
    0x800002ff,0x106ffffb,0x201fffff,0xaaaaaaa9,0x7d401aaa,0xffffffff,
    0xffffffff,0xfffff306,0xffffffff,0x1fffffff,0x3fffffee,0xffffffff,
    0xffff52ff,0x7fffc00b,0xaaaa980f,0x81aaaaaa,0xeffffb98,0x99999999,
    0x9fffff99,0xfffff909,0x09ffffff,0xfffffa80,0xffffffff,0xf506ffff,
    0xffffffff,0xffffffff,0x3fffee0d,0xffffffff,0xfff504ff,0xff98007f,
    0x005fffff,0x3fffffee,0x3fe600ff,0x91ffffff,0x2609ffff,0xaaaaaaaa,
    0xfff501aa,0xffffffff,0xbfffffff,0x0dffff30,0x427fffd4,0x004ffffe,
    0xa97ffff2,0x04ffffff,0x447fffe8,0x0007ffff,0x90ffffea,0x0003ffff,
    0x3ffffe00,0x4ffffc82,0xf5000000,0xddddffff,0xffffffdd,0xdddd107f,
    0xfffffddd,0xdddddddd,0x3ffffee1,0xffffffff,0xfff50fff,0x7ffc00bf,
    0x800000ff,0xfffffffe,0xffffffff,0xffffffff,0xfffff94f,0x09ffffff,
    0xfffffa80,0xffeeeeee,0xa83fffff,0xeeefffff,0xfffffeee,0x7ffcc2ff,
    0xf930bdff,0xf505ffff,0xc8007fff,0xffffffff,0xffff7000,0x5c05ffff,
    0xffffffff,0x09ffff91,0x7fd40000,0xcccccfff,0xfffffecc,0x7fffcc1f,
    0x3fffea06,0x7ffffb83,0x3ffffe00,0x3ffffea2,0x7ff401ff,0x7fffc47f,
    0xff500707,0xfb9887ff,0x7000000f,0xf88dffff,0x0000ffff,0xffff5000,
    0xffffb80b,0x7e4000ff,0x31003fff,0x33333333,0x43ffff93,0x005ffffa,
    0x003ffffe,0x3fffa000,0xffffffff,0xffffffff,0x534fffff,0x55bffff9,
    0xfa800355,0x7dc05fff,0x540fffff,0x2205ffff,0x46fffffd,0x205ffffc,
    0xa85ffffa,0x4003ffff,0xffffffff,0xfff7003f,0x409fffff,0xfffffffe,
    0x9ffff91f,0x7d400000,0xfa805fff,0x7cc3ffff,0x2a206fff,0xff882ffa,
    0xfa802fff,0x7fd47fff,0x406fffff,0x7c47fffe,0x2f447fff,0x1ffffd40,
    0x00007fc8,0x0fffffc0,0x00bffff9,0xddffdd71,0xfff50037,0xfff100bf,
    0xfc800bff,0x00003fff,0x21ffffc4,0x005ffffa,0x803ffffe,0x1bcefdca,
    0x3fffffa0,0xffffffff,0xffffffff,0x7fdc4fff,0xa80003ff,0x8805ffff,
    0x545fffff,0xd805ffff,0x7f47ffff,0x7f401fff,0xfffa87ff,0x3fea003f,
    0x6ffffeff,0xdffff700,0x3e20dfff,0xffffefff,0x09ffff91,0xbdeeca88,
    0x7fffd402,0xffff9005,0x6ffff98b,0xd02ff980,0x900bffff,0xfa89ffff,
    0x2fffffff,0x11ffffa0,0x7ccfffff,0xfffa805f,0x22bfd03f,0x2e61cccc,
    0x5c01cdfd,0xff15ffff,0xfd801fff,0xffffffff,0x7ffd403f,0xfff7005f,
    0x7e4003ff,0x00003fff,0x542fffec,0x2005ffff,0x880fffff,0xfffffffd,
    0x7ffd403f,0x3ffe005f,0xfff700ff,0x6776547f,0x7ffd400a,0xfff7005f,
    0x7ffd43ff,0xfffa805f,0x3ffb60ff,0xffffc805,0x9ffffd40,0xffffd802,
    0x01ffffe9,0xfcffffb8,0xffa80fff,0x1ffffcff,0x209ffff9,0xffffffea,
    0xff501eff,0x3e600bff,0x7fcc4fff,0xffb806ff,0xfffff700,0x3fffff00,
    0xffffffa8,0xffd00fff,0xffff88ff,0x00bfff57,0xa87ffff5,0xfff10ffe,
    0x3ffff25f,0x7fc04fff,0xfffb8fff,0x7ffec05f,0xffffffff,0x3ffea04f,
    0x3ffa005f,0x3f2003ff,0x00003fff,0x203fffee,0x005ffffa,0x303ffffe,
    0xffffffff,0x2a01bfff,0x2005ffff,0x700fffff,0xfb17ffff,0x03ffffff,
    0x02ffffd4,0x47ffffd0,0x805ffffa,0x00fffff8,0x3fffe002,0xbffffa87,
    0x7ffc406c,0xbffff76f,0x5ffff700,0xf905ffff,0xffff7dff,0x13ffff23,
    0x3ffffff2,0x83ffffff,0x005ffffa,0x985ffff9,0x6406ffff,0x3fe204ff,
    0x3e602fff,0xffa87fff,0x4fffffff,0x88ffffd0,0xffcfffff,0xffa803ff,
    0x17fec3ff,0xfb7ffff1,0xffffffff,0x7fffdc0b,0x00ffffeb,0x3fffffea,
    0xfffffffe,0xbffff500,0x7fffe400,0x3fff2005,0xf100003f,0x3ea07fff,
    0x3e005fff,0x7f40ffff,0xffffffff,0xff504fff,0x7fc00bff,0xff700fff,
    0xffffdbff,0x201fffff,0x005ffffa,0xa97ffff2,0xb805ffff,0x0007ffff,
    0x427fffdc,0x6ffffffa,0x9ffffdc0,0x00fffff8,0x6d7fffdc,0xffe85fff,
    0x1ffffbcf,0xb89ffff9,0xffffffff,0x42ffffff,0x805ffffa,0x987ffff9,
    0x2e06ffff,0xffd806ff,0x3ff205ff,0xfffa84ff,0x1fffffef,0x447fffe8,
    0xffffffff,0xfff5002f,0x440d987f,0xffffffff,0xfffffffe,0xfffff100,
    0xe80bffff,0x74c2ffff,0xf503ffff,0x5400bfff,0x2006ffff,0x003ffffc,
    0x0ffffb00,0x67ffffd4,0xcccccccc,0x20fffffc,0x22effffb,0x80ffffeb,
    0xcceffffa,0xcccccccc,0x700fffff,0xffffffff,0xdffffffd,0x17fffea0,
    0x6ffffa80,0x017fffea,0x0bffffd1,0x7fffdc00,0xffffa81f,0x7ff405ff,
    0x3fffa0ff,0x7ffdc03f,0x47fffbaf,0xfbaffff8,0xfff91fff,0x7fffcc9f,
    0xfea88aef,0x3ea0ffff,0xaaaaefff,0xffffdbaa,0xffff982f,0x400fe206,
    0x00fffffa,0x503fffff,0xffb7ffff,0xfffd0dff,0xfffff88f,0x2a001eff,
    0x1003ffff,0x19ffffff,0x1fffffd4,0xfffd9999,0x99bfffff,0x4feca879,
    0x87ffff70,0xeffffcaa,0xa80aaaaa,0x2007ffff,0x003ffffc,0x4ffff880,
    0x3ffffea0,0xffffffff,0x0fffffff,0x01fffff1,0x509ffff1,0xffffffff,
    0xffffffff,0x2e01ffff,0x21ffffff,0x0fffffb8,0x3ffff2aa,0x80aaaaae,
    0x2a7ffffa,0x9885ffff,0x3ffffffa,0xffffb000,0x3ffea07f,0x7fcc05ff,
    0x7ffd45ff,0x7ffdc06f,0x1ffff9af,0x2e3fffea,0xff91ffff,0x7ffe49ff,
    0x3fff606f,0x3fffea5f,0xffffffff,0x301fffff,0x000dffff,0x7ffffc40,
    0x6ffff982,0x17ffff50,0xe87fffff,0x7fc47fff,0x000effff,0x01ffffd4,
    0x5fffff88,0x29ffff90,0xfffffff8,0xffffffff,0xf30006ff,0xfff89fff,
    0xffffffff,0xfff981ff,0x3ff2007f,0xc80003ff,0x2a00ffff,0xffffffff,
    0xffffffff,0xff50ffff,0x7fe40bff,0xffffa87f,0xffffffff,0xffffffff,
    0xfffff700,0x3ffffa03,0x3fffffe2,0x1fffffff,0x27ffff98,0xfffffffa,
    0xffffffff,0xd8000fff,0x204fffff,0x804ffffa,0x442ffffd,0x201fffff,
    0xff2ffffb,0x7ffe47ff,0x23ffff76,0x3a4ffffc,0x2601ffff,0x3ea7ffff,
    0xffffffff,0xcfffffff,0xdffff300,0xffd80000,0xfffc85ff,0xffff503f,
    0x3fffff27,0x11ffffa0,0x00bfffff,0x0ffffea0,0x7ffffc40,0x9ffff500,
    0x3fffffe2,0xffffffff,0x26006fff,0x4fffffdb,0x7ffffffc,0x81ffffff,
    0x887ffff9,0xffffffff,0x7fffffff,0x3fffe200,0x7fffd405,0xffffffff,
    0xffffffff,0x07ffff70,0x207fffdc,0xfffffffa,0xffffffff,0x700fffff,
    0x640dffff,0x3fe2ffff,0xffffffff,0xff981fff,0x3ffea7ff,0xffffffff,
    0x01ffffff,0xfffffd80,0x7fffe403,0x7fffc403,0xffffd80f,0x3fffee05,
    0x74bfffb2,0xfff74fff,0x3ffff23f,0x0bffff14,0x23ffffb0,0xfffffffa,
    0xffffffff,0xff983fff,0x400006ff,0x40fffffa,0x500fffff,0x7f47ffff,
    0x3ffa5fff,0x7fffdc7f,0x3fea0007,0xff1003ff,0x7fcc0dff,0xffff15ff,
    0xffffffff,0x40dfffff,0xfffffdb8,0x7744ffff,0xeefffffe,0xffa81eee,
    0xfff887ff,0xffffffff,0x2007ffff,0x402ffffb,0xeefffffa,0xeeeeeeee,
    0xf90fffff,0xdddddfff,0x1ffffddd,0xefffffa8,0xeeeeeeee,0x00fffffe,
    0x409ffff7,0x3a3ffffb,0xefffffee,0xfa81eeee,0x3fea7fff,0xffffffff,
    0x02ffffff,0xfffffb80,0x7fffec02,0x7ffdc03f,0xffff505f,0x3ffee01f,
    0x2ffff72f,0xf72ffff8,0x3ff23fff,0xffff54ff,0xffff9009,0x3ffffea5,
    0xffeeeeee,0x44ffffff,0x006ffff9,0xfffff800,0x1bfffe62,0x23ffffa8,
    0xd2fffffa,0x7fe4ffff,0x20007fff,0x003ffffa,0x40dffff1,0x265ffff9,
    0xffd99999,0x99999aff,0xffffe980,0xffffffff,0xbffff504,0x7fffd400,
    0xfffff885,0xffffffff,0x3fe007ff,0xffa807ff,0x3fe005ff,0xfffd0fff,
    0xffffffff,0xa83fffff,0x2005ffff,0x700fffff,0x5c09ffff,0xfa83ffff,
    0x2a005fff,0x3ea5ffff,0xffffffff,0x00bfffff,0x7ffffb00,0xfffffd80,
    0x7fff403f,0x999999bf,0x703fffff,0x3e65ffff,0xfffa9fff,0x3ffff70f,
    0x5d3ffff2,0xb803ffff,0xff53ffff,0xfd300bff,0x7cc1ffff,0x00006fff,
    0x25ffffc8,0x203ffffc,0x6c3ffffa,0xffd6ffff,0x3ffff6ff,0x2a0007ff,
    0x1003ffff,0x440bffff,0xc805ffff,0x3001ffff,0xbfffffff,0x09ffff55,
    0x017fffea,0x04ffffb8,0xffb55555,0x55555bff,0x3fffe600,0xffffa803,
    0x3fffe005,0xfffffb0f,0xffffffff,0xffa85fff,0x3fe005ff,0xff700fff,
    0x7fdc07ff,0xfffa83ff,0x3fee005f,0x3ffea4ff,0x99aaaaef,0xff800009,
    0xffe804ff,0x2603ffff,0xffffffff,0xffffffff,0xffff706f,0x65ffffc5,
    0x3fee6fff,0xffff91ff,0x13fffee9,0x4fffff20,0x005ffffa,0x98bffffa,
    0x0006ffff,0xfffff980,0x01ffffd0,0x21ffffd4,0xebfffff8,0xfffd7fff,
    0x4000ffff,0x003ffffa,0x40bffff1,0x325ffff8,0xffeccccc,0xcccccdff,
    0x3ffffe23,0x7fffcc0c,0xbffff504,0x7fffec00,0x3fff2003,0x3ee0003f,
    0xfa800fff,0x3e005fff,0xff90ffff,0x333335ff,0x81333333,0x005ffffa,
    0x403ffffe,0x203ffffb,0xa83ffffb,0x2005ffff,0x2a3ffffd,0x0005ffff,
    0x7fffcc00,0xffbce802,0x3ff203ff,0xffffffff,0xffffffff,0x2ffffb81,
    0x3fbbfff6,0x3ffee4ff,0x9ffff91f,0x017fffea,0x547ffff6,0x2005ffff,
    0x265ffffb,0x0006ffff,0x7ffffd00,0x80bffff3,0xb83ffffa,0xffffffff,
    0xfffbfd7f,0x7d4000ff,0xf1003fff,0x7c40bfff,0xfff15fff,0xffffffff,
    0x4dffffff,0x305ffffa,0x2a09ffff,0x1005ffff,0x003fffff,0x01ffffe4,
    0x0bfffd00,0x17fffea0,0x0fffff80,0x005ffff7,0x5ffffa80,0x3ffffe00,
    0x7ffff700,0x1ffffdc0,0x02ffffd4,0x1fffff88,0x017fffea,0xfff50000,
    0x3ea5003f,0x3fe03fff,0xffffffff,0xffffffff,0xffffb85f,0x3ffffee2,
    0x3fee2fff,0xffff91ff,0x1ffffe69,0x43ffffe0,0x005ffffa,0x99ffffea,
    0x0006ffff,0xbffff700,0x805ffff9,0xd03ffffa,0xffffffff,0x3ffe2faf,
    0x3ea0007f,0xf1003fff,0x7c40bfff,0xfff15fff,0xffffffff,0x4dffffff,
    0x702ffffc,0x2a09ffff,0x9005ffff,0x001fffff,0x01ffffe4,0x4ffff880,
    0xbffff500,0x7ffffc00,0x0bffff50,0x540d66ec,0x2005ffff,0x700fffff,
    0x5c07ffff,0xfa83ffff,0xf9005fff,0x7d41ffff,0x00005fff,0x01555440,
    0x0ffffea0,0x7fffffd4,0xffffffff,0x40ffffff,0x262ffffb,0xffffffff,
    0x47fffee0,0x3a4ffffc,0x2e03ffff,0x3ea6ffff,0x32005fff,0x3e66ffff,
    0x00006fff,0xffffff30,0xf500ffff,0x3e607fff,0x7fffffff,0x1ffffe23,
    0xffffa800,0xffff1003,0x7fffc40b,0xffffff15,0xffffffff,0x7fe4dfff,
    0xfff884ff,0xfff505ff,0xfffb00bf,0xfc8005ff,0x50003fff,0x2005ffff,
    0x005ffffa,0xe83ffffe,0xfb83ffff,0xffa86fff,0x3fe005ff,0xff700fff,
    0x7fdc07ff,0xfffa83ff,0xfffd805f,0x7ffd42ff,0x0000005f,0x7ffd4000,
    0xffffb03f,0x33333339,0xfffff333,0x2ffffb87,0x7ffffffc,0x8ffffdc6,
    0x2e4ffffc,0xb83fffff,0x2a1fffff,0x3005ffff,0x4c9fffff,0x0006ffff,
    0x3ffffa00,0xa804ffff,0x3203ffff,0x7fffffff,0x03ffffc4,0x7ffff500,
    0x3fffe200,0x3fffe205,0x26666665,0x99affffd,0x3fea0999,0xfc99cfff,
    0x505fffff,0x555dffff,0xfffd9555,0xf9000bff,0x20007fff,0x000ffffb,
    0x00bffff5,0x507ffffc,0x57ffffff,0x05fffffb,0x00bffff5,0x807ffffc,
    0x203ffffb,0xa83ffffb,0xaaaeffff,0xfffecaaa,0xfffa85ff,0x4000005f,
    0x004ffffa,0x20ffffea,0x00fffff8,0x1bffff20,0xd85ffff7,0x44ffffff,
    0xf91ffffb,0xffe89fff,0xfeddefff,0x7d44ffff,0xaaaaefff,0xfffcaaaa,
    0x3fe62fff,0xaaaaafff,0x2aaaaaaa,0xfffff700,0xf5005fff,0x7c407fff,
    0x47ffffff,0xaafffff8,0xaaaaaaaa,0xffff52aa,0x3ffe2007,0x3ffe205f,
    0xfffc805f,0xfff8801f,0xffffffff,0xf506ffff,0xffffffff,0xffffffff,
    0xff90001f,0x320007ff,0x2a007fff,0x2005ffff,0x6c0fffff,0xffffffff,
    0xf505ffff,0x7c00bfff,0xf700ffff,0x7dc07fff,0xffa83fff,0xffffffff,
    0xffffffff,0x5ffffa80,0x7d400000,0x2a004fff,0xfc83ffff,0x4c005fff,
    0x2e2fffff,0x7dc2ffff,0x5c2fffff,0xff91ffff,0xfff889ff,0xffffffff,
    0x7fd40eff,0xffffffff,0xffffffff,0x7fffcc5f,0xffffffff,0x005fffff,
    0xfffffff1,0x3ffea00f,0x7ffd403f,0x7fc47fff,0xffffffff,0x7fffffff,
    0x007ffff5,0x817fffe2,0x805ffff8,0x001ffffc,0xfffffff5,0xffff97ff,
    0xfffff501,0xffffffff,0x0005ffff,0x00fffff2,0x037ffec0,0x0bffff50,
    0x07ffffc0,0x7fffffdc,0x2a05ffff,0x2005ffff,0x700fffff,0x5c07ffff,
    0xfa83ffff,0xffffffff,0xffffffff,0xbffff502,0xfa800000,0x2a004fff,
    0xff83ffff,0xe8002fff,0x3ee5ffff,0x7fcc2fff,0x7dc0ffff,0xfff91fff,
    0xfffb109f,0x9fffffff,0x3ffffea0,0xffffffff,0x40efffff,0xfffffff9,
    0xffffffff,0x3f6005ff,0x004fffff,0x007ffff5,0x8ffffffb,0xfffffff8,
    0xffffffff,0xffff57ff,0x3ffe2007,0x3ffe205f,0xfffc805f,0x3fa6001f,
    0xf50dffff,0xff507fff,0xffffffff,0x019fffff,0x7fffe400,0xfffd0003,
    0x7ffd400d,0x3ffe005f,0xffb300ff,0x805dffff,0x005ffffa,0x403ffffe,
    0x203ffffb,0xa83ffffb,0xffffffff,0xcfffffff,0x3fffea00,0x54000005,
    0x2004ffff,0x543ffffa,0x000fffff,0x0fffffb8,0xf05ffff7,0xf70dffff,
    0x3ff23fff,0x3b2a04ff,0x01dfffff,0x3fffffea,0xffffffff,0xf981efff,
    0xffffffff,0xffffffff,0x3ffea005,0xf5001fff,0xf1007fff,0xf88fffff,
    0xffffffff,0xffffffff,0x07ffff57,0x17fffe20,0x05ffff88,0x01ffffc8,
    0x001a9880,0x3ffffea0,0xcdefffff,0xfc80000b,0xf0003fff,0x5400bfff,
    0x2005ffff,0x800fffff,0x50009a98,0x400bffff,0x700fffff,0x5c07ffff,
    0xfa83ffff,0xffffffff,0x800bcdef,0x005ffffa,0x7ffd4000,0x3fea004f,
    0x7ffec3ff,0xff10005f,0x3fee7fff,0xfffd82ff,0xffffb84f,0x09ffff91,
    0x4002a620,0xfffffffa,0xdeffffff,0x3ffe600b,0xffffffff,0x05ffffff,
    0x3ffffe20,0x3ffea006,0xfff9003f,0xffff88ff,0xffffffff,0xf57fffff,
    0x00007fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x33260000,0xcccccccc,
    0x95001acc,0x00001999,0x27930353,0x931cccc9,0x20003999,0x002aaaa8,
    0x073332e0,0x99999910,0xcccca801,0x25999932,0x3322ccca,0x91004ccc,
    0x54479999,0x20002aaa,0xccccccc8,0xcccccccc,0x930ccccc,0x99999999,
    0x01559999,0x99950000,0x99999999,0x99999999,0x3b205999,0xeeeeeeee,
    0xcccc983e,0xcccccccc,0x22cccccc,0x003cccc9,0x0f333332,0x01999997,
    0x66666440,0x99999932,0x99999999,0x33261999,0x332001cc,0xcccccccc,
    0xcccccccc,0x3bbbbae2,0x2a3eeeee,0x8800cccc,0xa9801999,0xaaaaaaaa,
    0xaaaaaaaa,0xffdd7100,0xff5037dd,0xffffffff,0x801bffff,0x001ffffc,
    0x3bfffa60,0xf55fe89b,0x3fee7fff,0xf30003ff,0x4000dfff,0x404ffffc,
    0x2ffffffa,0x9ffffec0,0xfb3ffffa,0x7ffdcbff,0xffc804ff,0x3fe62fff,
    0x260006ff,0xffffffff,0xffffffff,0xff50ffff,0xffffffff,0x1dffffff,
    0x3fe20000,0xffffffff,0xffffffff,0xb04fffff,0xffffffff,0xfff509ff,
    0xffffffff,0x9fffffff,0x037fffd4,0xffffffd8,0x7ffffd41,0x3fff6004,
    0xffff51ff,0xffffffff,0x2a3fffff,0x1003ffff,0xffffffff,0xffffffff,
    0x7ffe49ff,0x4fffffff,0x007ffff2,0x201fffea,0x9999999b,0x99999999,
    0xfffd82a9,0x3fffffff,0x7fffffd4,0xffffffff,0x3ff204ff,0x320001ff,
    0xffffffff,0xffff54ff,0x0ffffee7,0x7fffcc00,0x3fea0006,0x7fe406ff,
    0x7404ffff,0xff51ffff,0x3fff67ff,0x7ffffec5,0x3fffe601,0x7fffcc5f,
    0x3fe60006,0xffffffff,0xffffffff,0xffff50ff,0xffffffff,0x03ffffff,
    0xffff7000,0xffffffff,0xffffffff,0x3f609fff,0xffffffff,0xffffa84f,
    0xffffffff,0x24ffffff,0x806ffffa,0x1ffffffc,0x3fffffb0,0xfffff300,
    0x7ffffd49,0xffffffff,0xff51ffff,0x3e2007ff,0xffffffff,0xffffffff,
    0x3ffff24f,0x24ffffff,0x801ffffc,0x3807fffa,0x6c288000,0xffffffff,
    0x3ea4ffff,0xffffffff,0xffffffff,0x3ffff906,0x5effc000,0x0ffffffd,
    0x2e7ffff5,0x0003ffff,0x00dffff3,0x7ffffc40,0x3ffffa00,0x3fe206ff,
    0x3ffea7ff,0x8bfffb3f,0x06fffff8,0x03fffffa,0x00dffff3,0x7ffffcc0,
    0xffffffff,0x0fffffff,0xfffffff5,0xffffffff,0x0005ffff,0xfffffff8,
    0xffffffff,0xffffffff,0x5555304f,0x03555555,0xfffffff5,0xffffffff,
    0x7fd49fff,0x7fe406ff,0x2201ffff,0x806fffff,0x546ffffe,0xffffffff,
    0xffffffff,0x7ffff51f,0x3fffe200,0xffffffff,0x24ffffff,0xaaaaaaa9,
    0x3ff21aaa,0xffa801ff,0x0003807f,0x3ffea288,0xffffefff,0xfff50fff,
    0xddddddff,0x7fffffff,0x03ffff90,0x503fe200,0x7fd417db,0xffff73ff,
    0x3fe60007,0x740006ff,0xf101ffff,0x1fffffff,0x97fffea0,0xd93ffffa,
    0xfff709ff,0xfff705ff,0xfff305ff,0x744000df,0xffeeeeee,0xeeeeefff,
    0xfff50eee,0xddddddff,0xffffffdd,0x7fdc000b,0xfffa9dff,0xeeeeeeff,
    0x03eeeeee,0xfff50000,0xddddddff,0x7ddddddd,0x037fffd4,0x3ffffff7,
    0xfffff700,0x7fffdc07,0x7fffd42f,0xeeeeeeef,0xf50eeeee,0x22007fff,
    0xeeeeeeee,0xffffeeee,0xc80003ff,0xa801ffff,0x03807fff,0x3fa28800,
    0x7f4c2fff,0xfff53fff,0x7fdc40bf,0x7e40ffff,0x00001fff,0x3fee0000,
    0xf30003ff,0x8000dfff,0x503ffffc,0xffffffff,0x3fffee05,0x0ffffea3,
    0x3ffa07fb,0x3fe20fff,0xff305fff,0x00000dff,0x01ffffe4,0x05ffffa8,
    0x7ffffe98,0x3fffa000,0xdffff31f,0x00000000,0x02ffffd4,0x7fffd400,
    0xfffff506,0x7ff4005f,0xff880fff,0xffa85fff,0x2a0006ff,0x0003ffff,
    0xfffffb00,0x2a60000b,0xfa800aaa,0x003807ff,0x3b2a2880,0xffff704f,
    0x17fffea7,0x3ffffe20,0x0ffffe45,0x00000000,0x007ffff7,0x1bfffe60,
    0xffff7000,0x3ffff20b,0xfb04ffff,0x7fd43fff,0x0bfe23ff,0x27ffffcc,
    0x01fffffb,0x01bfffe6,0xfffc8000,0xfff5003f,0x3fe600bf,0xa8001fff,
    0x3e65ffff,0x40006fff,0x201cccca,0xf51cccca,0x0000bfff,0x50dffff5,
    0x05ffffff,0xfffff980,0xfffffc84,0x6ffffa80,0x3ffea000,0xc800003f,
    0x00efffff,0x00733326,0xffff5000,0x10000700,0xfff30005,0x3fffea9f,
    0xffff7005,0x7fffe43f,0xccccc881,0x33332603,0x1cccc981,0x547ffff7,
    0x980bdeec,0x0006ffff,0x83ffffcc,0xffedfffe,0xfffff06f,0x33ffffa8,
    0xffc80bfd,0xfff99fff,0x3fe603ff,0x000006ff,0x00fffff2,0x02ffffd4,
    0x07ffffd0,0x5ffffd00,0x037fffcc,0x3fffee00,0x3ffff202,0x0bffff52,
    0xffff5000,0xfffff98d,0xff90002f,0x7fcc3fff,0xff502fff,0x54000dff,
    0x0003ffff,0x7ffffd40,0x7ffd400f,0x5550003f,0xffff9555,0x25555557,
    0x02880003,0xffffb730,0x3fffea9f,0x3fffa005,0x3ffff23f,0xfffffe81,
    0x3fffea00,0x3ffffa83,0xd17ffff7,0x5fffffff,0x06ffff98,0xfffff800,
    0x5ffffc40,0x4c0ffffc,0x7d46ffff,0x1dfd3fff,0xdffffd00,0x80dffffd,
    0x006ffff9,0x3fff2000,0xfff5003f,0x7ff400bf,0x7d4003ff,0x7fcc6fff,
    0x5c0006ff,0x3202ffff,0xff52ffff,0x50000bff,0x7ccdffff,0x003fffff,
    0x37ffff40,0x40bffffb,0x006ffffa,0x0ffffea0,0xfff98000,0xfa802fff,
    0x88003fff,0xffffffff,0xffffffff,0x1000075f,0x3ff6e205,0x4fffffff,
    0x00bffff5,0x92ffffe4,0xfd83ffff,0x5401ffff,0xfa83ffff,0xfff73fff,
    0xfffffdbf,0x7cc5ffff,0x80006fff,0x5c2ffffd,0xffa9ffff,0x7ffd42ff,
    0x7fffd44f,0x7cc00753,0xffffffff,0x7ffcc01f,0x2000006f,0x003ffffc,
    0x00bffff5,0x07ffffe6,0x7ffffb00,0x06ffff98,0x7fffdc00,0x3ffff202,
    0x0bffff52,0xffff5000,0x3ffffe2d,0xf980003f,0xffaaffff,0x3ea00fff,
    0x20006fff,0x003ffffa,0xffffd100,0x3fea007f,0xf88003ff,0xffffffff,
    0xffffffff,0x51000075,0xfffffe98,0x4fffffff,0x00bffff5,0x937fffd4,
    0x7e43ffff,0xa801ffff,0xfa83ffff,0xfff73fff,0xffdfffff,0x7ccbffff,
    0x80006fff,0x6c4ffffb,0xfff17fff,0xffffc89f,0x1ffffd42,0xffff9000,
    0x3009ffff,0x000dffff,0x7fffe400,0xffff5003,0xffff300b,0xff9800df,
    0xfff987ff,0xccccccff,0x5c2ccccc,0x3202ffff,0xff52ffff,0x99999dff,
    0x59999999,0x8effffa8,0x06fffffe,0x3fff2000,0x3ffffeff,0x77fffd40,
    0x99999999,0x7ffd4099,0xfb00003f,0x400bffff,0x003ffffa,0xffffff88,
    0xffffffff,0x00075fff,0x7ffcc510,0xfaadffff,0xfff54fff,0x7fd400bf,
    0x3fff27ff,0xfffff71f,0x3ffea005,0xffffa83f,0xffffff73,0xfffffc85,
    0x0dffff30,0x40ffffee,0x7c6ffff9,0x3ffa5fff,0x7ffff46f,0x1ffffd40,
    0xffff1000,0x2600dfff,0x0006ffff,0x3ffff200,0xffff5003,0xdddddddf,
    0x5fffffff,0xffffd800,0xfffff983,0xffffffff,0x7fdc4fff,0x3ff202ff,
    0xffff52ff,0xffffffff,0xa89fffff,0xffeeffff,0x002fffff,0xfffff100,
    0x500dffff,0xffffffff,0x7fffffff,0x33ffffa8,0x2009ffff,0x06fffffc,
    0x1ffffd40,0x7fffc400,0xffffffff,0x075fffff,0x3e251000,0x4c0cffff,
    0xff54ffff,0x7cc00bff,0x3ff27fff,0xffffa9ff,0x3fea002f,0xfffa83ff,
    0xfffff73f,0x3ffffa05,0x0dffff31,0x80ffffee,0x3e67ffff,0x3ff23fff,
    0x3fffe0ff,0x3ffffa86,0x7ffd4000,0xf3001fff,0x0000dfff,0x1ffffe40,
    0xfffffa80,0xffffffff,0x004fffff,0x07ffffc4,0x7fffffcc,0xffffffff,
    0x7ffdc4ff,0x3fff202f,0xfffff52f,0xffffffff,0xfa89ffff,0xffffffff,
    0x000fffff,0xfffff500,0xf5003fff,0xffffffff,0x87ffffff,0xf33ffffa,
    0xf5009fff,0x001fffff,0x03ffffa8,0x33333300,0x333ffff7,0x000e1333,
    0x7ffd4a20,0xffff305f,0x17fffea9,0x7ffff980,0x3f3ffff2,0x4003ffff,
    0xa83ffffa,0xff73ffff,0x7fe40dff,0xffff32ff,0x3fffee0d,0x3ffffa03,
    0x41ffff71,0xf32ffff9,0xff509fff,0xe80007ff,0x03ffffff,0x0dffff30,
    0x7fe40000,0xff5003ff,0xffffffff,0x5fffffff,0xffff9000,0x3fffe609,
    0xffffffff,0x7dc4ffff,0x3f202fff,0xfff52fff,0xffffffff,0x89ffffff,
    0xfffffffa,0x4fffffff,0x3ff60000,0x5004ffff,0xffffffff,0x7fffffff,
    0x33ffffa8,0x9809ffff,0x01ffffff,0x3ffffa80,0x7fd40000,0x0003807f,
    0xffff9288,0x3fffee05,0x0bffff54,0x37fffd40,0xfffffff9,0xf5000fff,
    0xff507fff,0x3ffee7ff,0x3ffee05f,0xdffff32f,0x0ffffee0,0xb3ffffc8,
    0xfff0dfff,0x3fffee9f,0x3ffffa82,0x3ffee000,0x801fffff,0x006ffff9,
    0x3fff2000,0xfff5003f,0xffffffff,0x00037fff,0x07ffffe2,0x77ffffcc,
    0xeeeeeeee,0x7ffdc3ee,0x3fff202f,0xfffff52f,0xdddddddd,0xfa87dddd,
    0xbfffffff,0x01fffffc,0xffff1000,0x3ea001ff,0xffffffff,0x43ffffff,
    0xf33ffffa,0x7c409fff,0x003fffff,0x07ffff50,0x007ffff2,0x201fffea,
    0x92880003,0xf109ffff,0x3eabffff,0x2e005fff,0x3f25ffff,0xffffffff,
    0x7fd4003f,0xfffa83ff,0x9ffff73f,0x9ffffdc0,0x706ffff9,0x5407ffff,
    0xfff4ffff,0xdfffb09f,0x203ffff6,0x003ffffa,0xffffff10,0xf300dfff,
    0x0000dfff,0x1ffffe40,0xeffffa80,0xffffdbaa,0xf90000df,0x9999ffff,
    0xdffffb99,0xfffb8000,0x3fff202f,0xbffff52f,0xfff50000,0x3e29ffff,
    0x0006ffff,0x0fffff60,0xeffffa80,0x99999999,0x7ffd4099,0x9ffff33f,
    0x7fffff40,0x3fea0004,0xfff903ff,0xfff5003f,0x0000700f,0x3fffea51,
    0xfffc99cf,0xfff55fff,0x7fe400bf,0x3fff24ff,0xffffffff,0x3ffea000,
    0xffffa83f,0x07ffff73,0x99ffffdc,0x0006ffff,0x3dffff10,0xf705ffff,
    0xfffd1fff,0x3fffea0d,0xfffb0003,0x7fffffff,0x6ffff980,0x3f200000,
    0xf5003fff,0xff50bfff,0x8003dfff,0xfffffff8,0xffffffff,0x5c0006ff,
    0x3202ffff,0xff52ffff,0x50000bff,0x89ffffff,0x04fffffb,0xffff9000,
    0x7ffd4007,0x3ea0006f,0xc8003fff,0x006fffff,0x1ffffd40,0x01ffffc8,
    0x807fffa8,0x12880003,0xffffffff,0xdfffffff,0x017fffea,0x23ffffd8,
    0xeffffffc,0x2004ffff,0xa83ffffa,0xff73ffff,0x7fdc07ff,0xffff33ff,
    0x7f40000d,0xffffcfff,0xbffff980,0xf504ffff,0x50007fff,0xfdbfffff,
    0x4c03ffff,0x0006ffff,0x3ffff200,0xffff5003,0x3fffea0b,0x3ee000ff,
    0xffffffff,0xffffffff,0x7fdc0006,0x3ff202ff,0xffff52ff,0xff50000b,
    0x3fa09fff,0x0001ffff,0x03ffffc8,0x1bfffea0,0xffffa800,0x7ffdc003,
    0x40000fff,0x903ffffa,0x5003ffff,0x0700ffff,0x7d451000,0xffffffff,
    0xa8ffffcb,0x1005ffff,0x645fffff,0xe8dfffff,0x5001ffff,0xf507ffff,
    0x3fee7fff,0x3fee03ff,0xffff33ff,0x7e40000d,0x6fffffff,0x3fffffe0,
    0xff502fff,0xf88007ff,0xf98fffff,0x2606ffff,0x0006ffff,0x3ffff200,
    0xffff5003,0x7fffe40b,0x3ffe006f,0xffffffff,0x6fffffff,0x7ffdc000,
    0x3fff603f,0xbffff52f,0xfff50000,0x7ffd40df,0xc80006ff,0x2003ffff,
    0x006ffffa,0x0ffffea0,0xfffff980,0xfa80001f,0xff903fff,0xdd5001ff,
    0x000700dd,0xffe98510,0xff50dfff,0xffff57ff,0x3fff600b,0x7fffe46f,
    0x1bfffea5,0x1ffffd40,0xb9ffffd4,0x2e03ffff,0xff33ffff,0x40000dff,
    0xfffffffa,0x3fff604f,0x500fffff,0x8007ffff,0x22fffffd,0x03fffffc,
    0x00dffff3,0x7ffe4000,0xfff5003f,0xfffe80bf,0xffa803ff,0xffffffff,
    0xffffffff,0x7fd40006,0xfff104ff,0x3ffea5ff,0xfa80005f,0x7ec06fff,
    0x0003ffff,0x01ffffe4,0x0dffff50,0x7fffd400,0xffff1003,0x200005ff,
    0x403ffffa,0x00000ffa,0x51000070,0x8006a620,0x805ffffa,0x41fffffb,
    0x741ffffc,0xa802ffff,0xfa83ffff,0xfff73fff,0x7ffdc07f,0xdffff33f,
    0x7fc40000,0x02ffffff,0x3fffffee,0x3ffea07f,0x3fea003f,0xffe85fff,
    0xff980fff,0x000006ff,0x00fffff2,0x02ffffd4,0x3fffffe6,0x7ffff401,
    0xffff9804,0x7fc40006,0xffe80fff,0xfff52fff,0xf50000bf,0xf880dfff,
    0x001fffff,0x0fffff20,0x6ffffa80,0x3ffea000,0xfffd003f,0x400009ff,
    0x403ffffa,0x333227fc,0xcccccccc,0x73cccccc,0x00510000,0xffffa800,
    0xcaaaaaae,0x85fffffe,0x4c1ffffc,0xa806ffff,0xfa83ffff,0xfff73fff,
    0x7ffdc07f,0xfffff33f,0x55555555,0x7c055555,0x0fffffff,0x3ffffe60,
    0x3fea05ff,0xff1003ff,0xf301ffff,0xf30dffff,0x5555ffff,0x55555555,
    0x3fff2005,0xfff5003f,0xfff700bf,0x7fd40dff,0xf9800fff,0xaaaaffff,
    0xaaaaaaaa,0x7fffffc2,0xfffffcac,0xffff52ff,0x5555555d,0x45555555,
    0x806ffffa,0x06fffffc,0x3ffff200,0x3ffea003,0x3ea0006f,0xfb803fff,
    0xaaafffff,0xaaaaaaaa,0xffa80aaa,0x3fe603ff,0x3ffffe24,0xffffffff,
    0x0075ffff,0x00005100,0xffffffa8,0xffffffff,0xfc80ffff,0xffd81fff,
    0x7fd403ff,0xfffa83ff,0x7ffff73f,0x9ffffdc0,0xfffffff9,0xffffffff,
    0x3ff605ff,0xf806ffff,0x03ffffff,0x00ffffea,0x1fffffec,0x7fffff90,
    0xffffff98,0xffffffff,0xf9005fff,0x2a007fff,0xd005ffff,0x207fffff,
    0x005ffffe,0xfffffff3,0xffffffff,0xfffc8fff,0xcfffffff,0xff52ffff,
    0xffffffff,0xffffffff,0x3fffea1f,0xffff8806,0xf90003ff,0x54007fff,
    0x0006ffff,0x00ffffea,0x3ffffff2,0xffffffff,0x81ffffff,0x903ffffa,
    0xfff88dff,0xffffffff,0x75ffffff,0x99999999,0x99999999,0xa800005b,
    0xffffffff,0xffffffff,0xffff902f,0xfffff103,0x7fffd401,0x3ffffa83,
    0x407ffff7,0xf33ffffb,0xffffffff,0xffffffff,0x7fffdc0b,0xffc803ff,
    0x2a01ffff,0xa803ffff,0x406fffff,0x0ffffff8,0x3fffffe6,0xffffffff,
    0xf9005fff,0x2a007fff,0x3005ffff,0x81ffffff,0x02fffff9,0xffffff30,
    0xffffffff,0xffb0ffff,0x35ffffff,0x3ea5ffff,0xffffffff,0xffffffff,
    0xffff50ff,0x3ffea00d,0xc8000fff,0x2003ffff,0x006ffffa,0x0ffffea0,
    0x3fffff20,0xffffffff,0x1fffffff,0x03ffffa8,0xff881bf9,0xffffffff,
    0x5fffffff,0x00000000,0x7ffffd40,0xffffffff,0x3f200cff,0xff901fff,
    0x7fd40bff,0xfffa83ff,0x7ffff73f,0x9ffffdc0,0xfffffff9,0xffffffff,
    0x3fe605ff,0xa801ffff,0x407fffff,0x403ffffa,0x1ffffff8,0xfffffa80,
    0x3ffffe66,0xffffffff,0x9005ffff,0x2007ffff,0x005ffffa,0x17ffffee,
    0x00dffffb,0x7fffffcc,0xffffffff,0xfd907fff,0x3e63bfff,0xfff52fff,
    0xffffffff,0xffffffff,0x1bfffea1,0xfffffe80,0xfffc8005,0x3fea003f,
    0x2a0006ff,0xc803ffff,0xffffffff,0xffffffff,0xfa81ffff,0x05103fff,
    0x3fffffe2,0xffffffff,0x00005fff,0x7d400000,0xffffffff,0x800bcdef,
    0x101ffffc,0x203fffff,0xa83ffffa,0xff73ffff,0x7fdc07ff,0xffff33ff,
    0xffffffff,0x80bfffff,0x007fffff,0x0bfffff1,0x03ffffa8,0x1fffffe4,
    0xfffffb00,0x3ffffe67,0xffffffff,0x9005ffff,0x2007ffff,0x005ffffa,
    0x97fffff4,0x03fffff9,0x3ffffe60,0xffffffff,0x4407ffff,0x7fd4001a,
    0xffffffff,0xffffffff,0xdffff50f,0x7fffcc00,0x7e4003ff,0x2a003fff,
    0x0006ffff,0x00ffffea,0x3ffffff2,0xffffffff,0x01ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x14000000,
    0x00000002,0xca802200,0x001bcefd,0xbdeeca88,0x39999302,0x88000000,
    0x02bdeeca,0x00e66654,0x2a399995,0x2a01cccc,0x9991cccc,0x776d4099,
    0x6dc0cdef,0x8002defe,0xcdefecb8,0x77654000,0x8002deef,0x2bdeeca8,
    0x79dfb950,0x66664c01,0x26000c81,0x23cccb82,0x81bdfdb9,0x81bdfdb9,
    0x6544ccc9,0xca80bdfe,0x33bae4cc,0x073332a2,0x473332a0,0x2604cccb,
    0x3201cccc,0x99933ccc,0x66640599,0x666543cc,0xcccccccc,0x33262ccc,
    0xccb801cc,0xffa8002c,0x3fb6ea04,0xa93f22ce,0x000000cf,0x40fe4c00,
    0xffffffd8,0xfd5003ff,0xdfffffff,0x3ffffb83,0x1ffffc80,0x7fff5400,
    0x01efffff,0x405ffff7,0xf72ffffc,0x7e405fff,0xffff2fff,0xfffff50f,
    0xf79fffff,0xffffffff,0x3ffee005,0x0dffffff,0x7ffff540,0x01ffffff,
    0xfffffea8,0xfb10dfff,0x7fffffff,0x0ffffea0,0x2a621df9,0xb0bfe61a,
    0x3feebfff,0x2e2fffff,0x3fffffff,0x447fffdc,0xfffffffe,0xdbfffe42,
    0xf50fffff,0xff00bfff,0x3fee1fff,0xfff901ff,0x3ffea09f,0x3ffff63f,
    0xffffb80f,0x7fffec1f,0xffffffff,0x3ffee4ff,0xfffd802f,0x7ffcc004,
    0xffffd884,0xffcfffff,0x3bfff50e,0xa8000000,0x7cc1fffd,0xffffffff,
    0x3f200dff,0xffffffff,0x3fee3fff,0xffc803ff,0x3f2001ff,0xffffffff,
    0xffb83fff,0x3ff202ff,0xffff72ff,0x7fffe405,0xa8fffff2,0xffffffff,
    0xffffffff,0x3fffffff,0x3ffff620,0x5fffffff,0x3ffffe60,0xffffffff,
    0x3ffff201,0xffffffff,0xfffffffc,0xfa85ffff,0x3fee3fff,0xfffffcef,
    0x22ffffcf,0xffcdfffd,0xafffffff,0xfffffffc,0x3ffee2ff,0xfffffe9f,
    0x3f22ffff,0xffffcfff,0x7ffffc6f,0x3fffea00,0x0ffffe64,0x837ffff4,
    0x220ffffc,0x445fffff,0xd83fffff,0xffffffff,0x24ffffff,0x802ffffb,
    0x1004fffd,0xb89ffff9,0xffffffff,0x20efffff,0x2efffffa,0x2e200000,
    0x41fffffe,0xfffffffe,0x704fffff,0xffffffff,0x25ffffff,0x803ffffb,
    0x001ffffc,0xfffffff7,0x5fffffff,0x02ffffb8,0x5cbffff2,0x3202ffff,
    0xfff2ffff,0x7fffc4ff,0xfffffeff,0xfeffffff,0x901fffff,0xffffffff,
    0x209fffff,0xcdfffffe,0x06fffffe,0xfffffff7,0xffffffff,0xfffbffff,
    0xffa87fff,0x3fffa3ff,0xffffffff,0x364fffff,0xefffffff,0xffffffff,
    0xffffffff,0x3fffee7f,0xfffeffff,0x3ff26fff,0xffffffff,0x1ffffe43,
    0x83ffffb0,0xf885fffe,0xe80fffff,0xffa86fff,0x3ffa3fff,0xfffb05ff,
    0xffffffff,0x7fdc9fff,0xffd802ff,0xfffa804f,0x3fe64fff,0xffeeffff,
    0x7d44ffff,0xbfffffff,0xf9100000,0x3fffffff,0x177fffdc,0x81ffffd7,
    0xaefffff9,0xffffea88,0x2ffffb8f,0x1ffffc80,0xfffff980,0xffea88ae,
    0x3fee0fff,0x3ff202ff,0xffff72ff,0x7fffe405,0x64dffff2,0x260cffff,
    0x3ffffffe,0x437fffd4,0x0bfffff9,0x1fffff71,0x82ffff98,0x42ffffe8,
    0xaefffff8,0xfffffb98,0x7f544fff,0x3fea0fff,0x3ffa23ff,0xffffffff,
    0x7ec4ffff,0x2e0dffff,0x1effffff,0x3fffff71,0x3fffffee,0xffff910a,
    0x3ffff23f,0x40fdbdff,0x106ffff8,0xf90dffff,0xffb81fff,0x7c42ffff,
    0xff903fff,0xfff71fff,0x2aea01ff,0xffbaaaaa,0x3ee0ffff,0xfd802fff,
    0xffa804ff,0x3fa4ffed,0x3660dfff,0x260fffff,0xfffffffe,0x50001cff,
    0xfffffffb,0x3fe21dff,0xff880fff,0x7ffe44ff,0x3fff606f,0x1ffba8df,
    0x1eeeeb80,0x6ffffc80,0x97ffff60,0x202ffffb,0xf72ffffc,0x7e405fff,
    0xfd552fff,0x8376dccb,0x04fffffa,0xd83ffff7,0xfb03ffff,0xffa89fff,
    0x57b301ff,0xdffff701,0xfffff101,0x3ffe20df,0x3fffea2f,0x7ffffc43,
    0xffffffef,0xeffffd86,0xfffffe80,0x2ffffd81,0x07fffff7,0x647ffffa,
    0x043fffff,0x81ffffd8,0x983ffffb,0x7ec2ffff,0x5c4fffff,0x3a01ffff,
    0xfffeffff,0xd10002ff,0x983fffff,0xd800aaaa,0xca804fff,0x3f29ff90,
    0xffd04fff,0xf930bfff,0xffffffff,0x3fae005d,0xffffffff,0x7fffd41c,
    0x1ffff205,0x403ffffd,0x2a7ffff9,0x000000ff,0x807ffffa,0x2e7ffff9,
    0x3202ffff,0xff72ffff,0x7fe405ff,0x027f42ff,0x1fffff80,0xf13fffe0,
    0x6cc0ffff,0xfff980ab,0x4000acff,0x202ffffd,0x04fffffb,0xfa97fff6,
    0x7fcc3fff,0x3faa2dff,0x7fec0fff,0xfff903ff,0x3ffee0bf,0xdffff73f,
    0x97fffe40,0x007ffffc,0x213fffea,0xf00ffffe,0xfff89fff,0x7ec6ffff,
    0x7fcc06ff,0x5fffffff,0x3fff6000,0x200002ff,0x8004fffd,0xffff4ffc,
    0xffffb01f,0x2e201fff,0xfffffffe,0x7e440bff,0xffffffff,0x3ffee02d,
    0x3ffee03f,0xbffff10f,0x3ffffb00,0x00001bf6,0x05ffff88,0x71ffffd8,
    0x6405ffff,0xff72ffff,0x7fe405ff,0x0bfe62ff,0x7ffed440,0x7ff407ff,
    0x3fffe26f,0x7fc40005,0xbeffffff,0x6ffff801,0x2fffff80,0xa9fffee0,
    0x7e43ffff,0xff980fff,0x7ffec2ff,0xffff901f,0x3fffee07,0x09ffff73,
    0xc9ffffdc,0x4004ffff,0x7cc7ffff,0x3f204fff,0x3ffe67ff,0x3e0ffffe,
    0xfb804fff,0x0effffff,0xffffb000,0xff70007f,0xffffffff,0x5fffffff,
    0x3e33ff20,0xffc85fff,0x01ffffcd,0xfffffc98,0xff31ffff,0x7fffffff,
    0xffff9001,0xdddddddd,0x3ea1ffff,0xfc804fff,0x2ffecfff,0x3fffffe2,
    0xffffffff,0xfff55fff,0xfff9009f,0x3fffee5f,0x3ffff202,0x05ffff72,
    0x997fffe4,0x36e205ff,0xffffffff,0xffffffff,0x2a7fffff,0x0004ffff,
    0xffffffc8,0x80cfffff,0x805ffff8,0xfffffffe,0xffffffff,0x7ffff50f,
    0x205fffd8,0x7ec3fffe,0xff900fff,0x3fea05ff,0xffff73ff,0x7fffdc07,
    0x07ffff93,0x1ffffc80,0x807ffff2,0xf71ffffa,0x5fff99ff,0x007fffea,
    0x7fffffec,0xfff90001,0x2e0009ff,0xffffffff,0xffffffff,0x39ff902f,
    0xfb87ffff,0x7ffff76f,0xfffda800,0xfff51fff,0x8005bfff,0xfffffffe,
    0xffffffff,0x7ffff71f,0xfffff700,0xfff889ff,0xffffffff,0x75ffffff,
    0x7007ffff,0x3ee7ffff,0x3f202fff,0xfff72fff,0x7ffe405f,0x80effedf,
    0xffffffd9,0xffffffff,0xffffffff,0x3ffee7ff,0xf900004f,0xffffffff,
    0xffa87fff,0xffd804ff,0xffffffff,0x51ffffff,0xfe87ffff,0x3ff603ff,
    0x7fffec4f,0x5ffff900,0x4ffffea0,0x203ffffb,0xf93ffffb,0x88005fff,
    0x3fe4ffff,0xfff806ff,0x55fffb3f,0x3ff29fff,0x3fe6007f,0x70006fff,
    0x00bfffff,0x7ffffdc0,0xffffffff,0xf902ffff,0x7ffff59f,0xf9877fd4,
    0x88004fff,0x51fffffc,0x019fffff,0xfffffb00,0xffffffff,0x3fee5fff,
    0xffc804ff,0xf881dfff,0xffffffff,0xffffffff,0x09ffff75,0x27ffff90,
    0x202ffffb,0xf72ffffc,0x7e405fff,0x04ffffff,0xfffffff1,0xfffff37b,
    0xffffffff,0x3ea1ffff,0x00004fff,0x3fffff26,0x22ffffff,0x805ffffa,
    0xfffffffe,0xffffffff,0x7ffff51f,0x106fffd8,0xfd87ffff,0xff900fff,
    0x3fea05ff,0xffff73ff,0x7fffdc07,0x05ffff93,0x2ffffb00,0x803ffff9,
    0xfff5fffd,0x2dfff11f,0x2004fffe,0x4ffffffe,0x7fffd400,0x2e0000ef,
    0xffffffff,0xffffffff,0x59ff902f,0x3e67ffff,0x3ffe60ff,0x3f6a003f,
    0x51ffffff,0xbfffffff,0x7ffe4005,0x999999af,0xf5099999,0xfb00bfff,
    0x7c407fff,0xffffffff,0xffffffff,0x0bffff55,0x23ffffb0,0x202ffffb,
    0xf72ffffc,0x7e405fff,0x7401cfff,0x442effff,0x999fffff,0x99999999,
    0x17fffe61,0x32a20000,0xfffffffe,0x1ffffe26,0x2bffffe0,0x99999999,
    0xfff50999,0xffffb87f,0x1ffffb82,0x807fffec,0x502ffffc,0x3ee7ffff,
    0x3ee03fff,0xfff93fff,0xff50005f,0xffff95ff,0xffff5001,0x7f4dfff5,
    0x2ffffaff,0xfffff700,0x26003fff,0x00ffffff,0x66665400,0xceffffcc,
    0x901ccccc,0xffff19ff,0xa83fff1b,0x4402ffff,0xfffffffb,0xffd10dff,
    0x7fffffff,0xffffb801,0xfff30002,0xfff801ff,0x332200ff,0xcccccccc,
    0x3ccccccc,0x00fffff3,0x2e1fffff,0x3603ffff,0xff72ffff,0x7fec07ff,
    0x7fc402ff,0xfff106ff,0x220001ff,0x2207ffff,0x8002cdef,0x7ffffda8,
    0x017ffffc,0x05fffff3,0x3fffea00,0x7ffffc43,0xffffebad,0x0ffffd86,
    0x05ffff90,0x5cffffea,0x2e03ffff,0xff93ffff,0x3e0003ff,0xffffdfff,
    0xffff1005,0x7e47fffd,0x07fffeff,0xffffff30,0x8801dfff,0x01ffffff,
    0x7fec0000,0xffc8004f,0xfddffff4,0xffff905f,0x3fff6a03,0x1cffffff,
    0xfffff930,0x205bffff,0x205ffffa,0x7f41acdd,0x3ee03fff,0x00006fff,
    0xffffe800,0x3fffee03,0x13fffea6,0x97ffffc4,0x104ffffa,0x805fffff,
    0x503ffffa,0x207fffff,0x7c0abde9,0xf702ffff,0xdca8bfff,0x3ffa00fe,
    0x3fff60ff,0x3fff605f,0x9bd105ff,0x7fffd437,0x7ffffcc3,0xffffffff,
    0x7fffec0e,0x5ffff900,0x4ffffea0,0x203ffffb,0xf93ffffb,0x20003fff,
    0xfffffffc,0x3ff6001f,0x2a1fffff,0x5fffffff,0xbffffd00,0x40bfffff,
    0x1fffffe8,0xfd800000,0x988004ff,0xfffffb09,0xffff307f,0xffffc88f,
    0x0bffffff,0xffff9100,0x17ffffff,0x83ffffe8,0x5c6ffffb,0xb83fffff,
    0x002fffff,0x00666620,0x1fffffdc,0x0fffffdc,0x01fffff1,0x25fffffd,
    0x81fffff8,0x02fffffe,0x837fffd4,0x1ffffffe,0x44ffffe8,0x41fffffb,
    0x42fffff9,0x104ffffe,0xf98dffff,0xfd84ffff,0x83ffffff,0x2a5ffffc,
    0x3e63ffff,0xffffffff,0x0effffff,0x403ffff6,0x502ffffc,0x3ee7ffff,
    0x3ee03fff,0xfff93fff,0x3e20003f,0x06ffffff,0x7ffffdc0,0x7fffc47f,
    0xfc802fff,0xfff56fff,0x3ff605ff,0xaaa9bfff,0xf70aaaaa,0xfb005fff,
    0x200009ff,0x85fffff9,0x22ffffe9,0xfffffff9,0x40002eff,0xffffffea,
    0x3fea1fff,0xfdabffff,0xfe82ffff,0xeddeffff,0x005fffff,0x0ffffe40,
    0xfffffe80,0xffffedde,0xfffff84f,0xffffcacf,0x3ffe2fff,0xffcacfff,
    0x402fffff,0x9dfffff8,0xfffffeb8,0xfecbefff,0xfe80ffff,0xfeceffff,
    0xfa86ffff,0xa9bdffff,0x84ffffeb,0xdffffffc,0xfffffffd,0xfdbbffff,
    0x3ea1ffff,0x3ffa3fff,0xffffffff,0x25ffffff,0x900ffffd,0x2a05ffff,
    0xff73ffff,0x7fdc07ff,0xffff93ff,0x7fec0003,0x4003ffff,0x5ffffff8,
    0xffffffe8,0x7fffd400,0x3ffff61f,0x7fffd40f,0xffffffff,0xff70ffff,
    0xffb005ff,0x6400009f,0xbcefffff,0x45fffffd,0xfffffffa,0x4c00001d,
    0xfffffffd,0x7ffffec1,0x5fffffff,0xffffff10,0xdfffffff,0xffc80001,
    0xff1001ff,0xffffffff,0xf901dfff,0xffffffff,0x45ffff9f,0xfffffffc,
    0xffffcfff,0xffffd802,0xffffffff,0xffffffff,0x303fffff,0xffffffff,
    0x203fffff,0xfffffffc,0x06ffffff,0x3ffffffa,0xffffffff,0xffffffff,
    0x7fd44fff,0x3ffa23ff,0xbeffec9c,0x360effd8,0xf900ffff,0x3ea05fff,
    0xfff73fff,0x7ffdc07f,0x3ffff93f,0x7ffd4000,0xe8000fff,0xc83fffff,
    0x405fffff,0x44fffff8,0x45fffff8,0xfffffffa,0xffffffff,0x5ffff70f,
    0x09fffb00,0x7ffdc000,0xffffffff,0x7fd40eff,0x0000cfff,0x7ffe4400,
    0xfffb81ff,0x5fffffff,0x7fffec40,0x04ffffff,0xffff9000,0x7fec4003,
    0xffffffff,0x7fffec04,0xff9affff,0x7ffec2ff,0xf9afffff,0xf8802fff,
    0xffffffff,0xfffd89df,0x3fffffff,0x7ffff4c0,0x02ffffff,0x7fffffe4,
    0x00efffff,0x7fffffe4,0xff73ffff,0xffffffff,0x7ffff509,0x36004e88,
    0x7fffec0e,0x5ffff900,0x4ffffea0,0x203ffffb,0xf93ffffb,0x80003fff,
    0x005fffff,0x3fffff70,0x5fffff30,0xeffffd80,0xfffffb80,0x3ffffea3,
    0xffffffff,0xfff70fff,0xfffb005f,0x3e600009,0xffffffff,0xf504ffff,
    0x000005df,0x3ffd7100,0x3ffff660,0x2a002eff,0xdfffffec,0x3f200001,
    0xa8001fff,0xdfffffec,0xfffd9001,0x3ffe63bf,0x7ffec42f,0xfff32dff,
    0x3f22005f,0x82dfffff,0xffffffea,0x3fb2001c,0x00cfffff,0xfffff930,
    0x4c005dff,0xdffffffd,0x7fffec40,0xff501dff,0x000107ff,0x1ffffb01,
    0x0bffff20,0xb9ffffd4,0x2e03ffff,0xff93ffff,0xc80003ff,0x0002ffff,
    0x40fffff3,0x200fffff,0x01fffffa,0x47fffff6,0xfffffffa,0xffffffff,
    0x5ffff70f,0x03555500,0x27ffe000,0xffffffda,0x0076a01d,0x54000000,
    0x9a98801d,0x54c40000,0xd7000000,0x80003ddd,0x20000a98,0x880001a8,
    0x1000001a,0x4c001353,0x200009aa,0x00009a98,0x000d54cc,0x80055440,
    0x00009aa8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x17cc0000,0x0002aa62,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000200,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x881cccca,
    0x003ccccc,0x02666000,0x20001333,0x4ccc1998,0x00000000,0x36e00000,
    0x6dc03dee,0x00001dee,0xeeea8000,0xeeeeeeee,0x52eeeeee,0xdddddddd,
    0xdddddddd,0x3ffff25d,0x43333322,0x30ccccc8,0xa8899999,0x0000cddc,
    0x22222000,0x40444440,0xdddddddc,0x2202224d,0x3fffea08,0x22222223,
    0x88888888,0x2a088888,0x5513ffff,0x55555555,0x55555555,0x00000055,
    0x00000000,0x00000000,0x00000000,0xffffb800,0xfffffd82,0xd100b701,
    0x43fffb05,0x4000fffe,0x3ea4fff9,0x7fec03ff,0x3b66005f,0x75c01def,
    0xd00cffff,0x0dffffff,0x3ffffffa,0x01ffd802,0x07dffb50,0xfffffff7,
    0xffffffff,0x3ffee5ff,0xffffffff,0x92ffffff,0x7fc5ffff,0xfff11fff,
    0x3ffea1ff,0x7fffd47f,0xfec981ff,0x24c00bde,0xb13fffee,0xfe87ffff,
    0x5fffffff,0x7d43fffd,0xffff56ff,0x3ffffe67,0xffffffff,0x27ffffff,
    0xf33ffffa,0xffffffff,0xffffffff,0x00000fff,0x00000000,0x00000000,
    0x00000000,0xfffb8000,0x7fffec2f,0x0bff701f,0x2617ff44,0x3fea6fff,
    0x3fa2005f,0xdfff10ff,0xfffff880,0xffffc801,0xff904fff,0x81ffffff,
    0xffddfffa,0x67ffdc2f,0xfc806ffe,0xfffd801f,0x7fdc5fff,0xffffffff,
    0x2fffffff,0xfffffff7,0xffffffff,0x3fff25ff,0x3ffffe2f,0x1fffff11,
    0x31ffffea,0x8bffb313,0xfffffffc,0x25fb82df,0xb05ffff8,0xffe8dfff,
    0xd5ffffff,0x7fd43fff,0x7ffff56f,0x3fffffe6,0xffffffff,0x2a7fffff,
    0xff33ffff,0xffffffff,0xffffffff,0x000000ff,0x00000000,0x00000000,
    0x00000000,0xffffb800,0x3fffff22,0xbffff702,0x5ffffd10,0x364fffc8,
    0xf9002fff,0x7ffec7ff,0x7fffe402,0x7ffd404f,0x42ffffff,0xffdefff9,
    0x1fff44ff,0xffe8dff7,0x830bffa2,0x7dc00ffc,0x4fffffff,0x3fffffee,
    0xffffffff,0xfff72fff,0xffffffff,0x25ffffff,0x3e2ffffc,0xff11ffff,
    0x3fea1fff,0x7fcc07ff,0xfffffb0f,0xbfffffff,0x7dcbfffb,0x7ff405ff,
    0x3ffffa2f,0xffd5ffff,0xb7ffd43f,0xf33ffffa,0xffffffff,0xffffffff,
    0x7ffd4fff,0xddddd33f,0xdddddddd,0x0ddddddd,0x00000000,0x00000000,
    0x00000000,0x80000000,0xf72ffffb,0x6405ffff,0x225fffff,0x43fffffe,
    0xf31ffff8,0xfa801fff,0x3ffee6ff,0x7fffc406,0x3fe00fff,0xfffb8bff,
    0xd1bf6a0f,0x0baa8bff,0x30c1bfee,0x3fd83fff,0x8ff22ff7,0xf50bfff8,
    0x3bbaa3ff,0xeeeeeeee,0x52eeeeee,0xdddddddd,0xfffddddd,0x3ffff25f,
    0x47ffffe1,0x50fffff8,0x4c0fffff,0x3ffa5ffd,0xffffffff,0x5fffffff,
    0x1003bffa,0x7ff4dffd,0xd5ffffff,0x7fd43fff,0x7ffff56f,0x44444444,
    0x88888888,0x3ea08888,0x00003fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x5ffff700,0x07fffff5,0xbfffff90,0x7fffffd1,0xc9bffee0,
    0x3e205fff,0xfff32fff,0xfffc803f,0xf304ffff,0xfffd89ff,0x6ffe9801,
    0x04ffe880,0x10ffffe6,0xbffbffff,0x7fccbfff,0x003ffc86,0x22000000,
    0x7d42ffff,0x3ffffa0f,0x99ffffe0,0xff56ffff,0x43fffffd,0xfdcceffe,
    0xffffffff,0x1dff54ff,0x47ffa200,0x88888888,0x10111108,0x00000111,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7fffdc00,
    0x03fffffc,0x3fffff20,0x03ffffff,0xf8a7fff4,0xffb03fff,0x27fff4bf,
    0x3bfffe20,0xff507fff,0x2fffb85f,0xffffdb98,0x7ff4c06f,0x3ffea00e,
    0x7fff4c2f,0x7fffffff,0x3ea0ffee,0x0000004f,0x3fffe200,0x3f63fe42,
    0x7fff47ff,0xaa7fffc6,0x1dffffff,0x6d440774,0x3fffffff,0x10002222,
    0x00000111,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fffffdc,0x4000ffff,0xfffffffc,0xffa803ff,0xffff71ff,
    0x1ffffb81,0x801ffff9,0xff8ffffb,0xfffb83ff,0x11fffcc1,0xfffffffb,
    0x7ffd40df,0x7e5d401f,0xfda883ff,0x4c1acfff,0x3ffc86ff,0x00000000,
    0x98bfffe2,0x7ffdc4ff,0x22fffe46,0x2623fffe,0x400e0199,0x00acedb8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffffb80,0x004fffff,0xffffffc8,0x3ffa003f,0xdffff0ef,
    0x9affffc4,0xf804ffff,0xfffb4fff,0x85fff50d,0x3fa3fffa,0xffd8acff,
    0x1dfff706,0x07ffb800,0x40bffff6,0xf50bfff8,0x3ffee3ff,0xffffffff,
    0x02ffffff,0x3fffe200,0xa81fff92,0x7fdc4fff,0x17ffe44f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffff700,0x01ffffff,0xfffff880,0x7ff4006f,0x9ffff15f,
    0x3a6fffd8,0x7d406fff,0xfff30fff,0x4fff985f,0xf88fffe4,0x37ffc3ff,
    0x806fffe4,0x3ea0edc8,0xcffd80ff,0xff701fff,0x49ffffff,0xfffffffb,
    0xffffffff,0x220002ff,0xdf92ffff,0x83555103,0x54c0aaa8,0x000000aa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ee00000,0xffefffff,0x3a2005ff,0x5fffffff,0x1ffff700,
    0x103bfff2,0x3e67ffff,0x3fa02fff,0x7fff45ff,0x52efff86,0x3e61ffff,
    0x3ffea3ff,0x577ffdc6,0x7fec2aaa,0x86ffe98c,0xfff76ffd,0x3ffff601,
    0x3fee0dff,0xffffffff,0x2fffffff,0x3ffe2000,0x0000512f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ee00000,0xfe8effff,0xe8801fff,0xffffffff,0x7ffc405f,
    0x3ffff32f,0x43fffea0,0xf506fffc,0xffb85fff,0x7ffd41ff,0x42ffffff,
    0xffedfffe,0x7fff46ff,0x4c7fffff,0xffffffff,0xd0ffec42,0x7f5405ff,
    0xfffb83ef,0xffffffff,0x02ffffff,0x3fffe200,0x00000002,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffffb800,0xdffff30e,0xffffe880,0x5fffffef,0xe97fff20,
    0x7ec04fff,0x3fffa4ff,0x87fffe83,0xc85ffff8,0x4fffffff,0xffffffa8,
    0x3fe67ffd,0x7fffffff,0xefffffb8,0x1b316e02,0x2aa60000,0xaaaaaaaa,
    0x0aaaaaaa,0x55554000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffffb800,
    0x1ffffec2,0xfffffe88,0xbfffff93,0x21ffff30,0x8806fffa,0xff31ffff,
    0x7ffcc1ff,0xffffb04f,0xbdfdb301,0x6f75cc03,0x26219991,0x99999999,
    0x03555101,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffff7000,0xfffff985,0xfffffd80,0x7ffffe43,0xd0ffff45,0x2a001fff,
    0x3fee5fff,0x3ffff64f,0x9ffff300,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x417fffdc,0x984ffffc,
    0xf903ffff,0x7fd41fff,0x0fffee4f,0x45fff900,0x0000fffd,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2ffffb80,0x1fffff88,0x6403ff98,0x2f76c1ff,0x0009ddb1,0x7449ddb1,
    0x000003ee,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0x702ffffb,0x260bffff,0x00039003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffb8000,0x3fffa02f,0x0000002f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_40_latin_ext_x[560]={ 0,3,1,0,1,1,1,1,1,1,0,1,2,1,
2,-1,1,2,0,1,0,1,1,1,1,1,3,2,1,1,1,1,1,0,2,1,2,2,2,1,2,2,0,2,
2,2,2,1,2,1,2,1,0,2,-1,0,0,-1,0,2,-1,0,2,-1,0,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,0,0,2,0,0,0,0,0,1,3,0,1,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,1,0,0,0,
3,1,0,-1,0,1,1,1,-1,-1,1,0,0,0,3,1,-1,2,0,1,0,1,1,1,0,1,0,0,0,0,
0,0,-2,1,2,2,2,2,-1,1,-1,-1,-1,2,1,1,1,1,1,1,1,2,2,2,2,-1,2,2,1,1,
1,1,1,1,1,1,1,1,1,1,-1,2,-1,-1,1,2,1,1,1,1,1,0,1,2,2,2,2,0,2,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,2,1,-1,1,2,1,2,1,2,1,2,1,2,1,1,1,
1,1,1,1,1,1,2,2,0,0,-2,-2,-1,-1,-1,-1,1,2,2,2,2,2,0,-2,2,2,2,2,2,2,
-1,2,2,2,2,0,0,2,2,2,2,2,2,-1,2,2,1,1,1,1,1,1,1,1,2,2,2,0,2,1,
1,0,1,0,1,0,1,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,0,0,-1,0,
-1,0,0,0,0,0,0,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,-1,4,4,4,
4,4,4,4,4,4,4,4,4,4,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,2,2,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,1,-1,-1,1,
1,2,2,2,2,2,2,2,2,2,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,0,1,-2,1,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__arial_bold_40_latin_ext_y[560]={ 32,6,6,5,4,5,5,6,5,5,5,10,27,20,
27,5,6,6,6,6,6,6,6,6,6,6,13,13,9,13,9,6,5,6,6,5,6,6,6,5,6,6,6,6,
6,6,6,5,6,5,6,5,6,6,6,6,6,6,6,6,5,6,5,35,5,13,6,13,6,13,5,13,6,6,
6,6,6,13,13,13,13,13,13,13,6,13,13,13,13,13,13,5,5,5,15,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,32,13,6,5,10,6,
5,5,5,5,5,14,13,20,5,1,5,7,6,6,5,13,6,17,32,6,5,14,6,6,6,13,-1,-1,-1,0,
0,1,6,5,-1,-1,-1,0,-1,-1,-1,0,6,0,-1,-1,-1,0,0,10,5,-1,-1,-1,0,-1,6,5,5,5,
5,6,5,5,13,13,5,5,5,5,5,5,5,5,6,6,5,5,5,6,5,9,12,5,5,5,5,5,6,5,
0,7,-1,5,6,13,-1,5,-2,5,-1,5,-1,5,-1,6,6,6,0,7,-1,5,-1,5,6,13,-1,5,-2,5,
-1,5,-1,5,5,3,-2,-1,6,6,-1,6,0,7,-1,5,6,6,0,13,6,6,-2,5,6,6,13,-1,-1,6,
6,6,6,6,6,6,6,-1,5,6,13,-1,5,6,5,13,0,7,-1,5,-1,5,5,13,-1,5,6,13,-1,5,
-1,5,-2,5,5,13,-1,5,6,6,-1,6,6,6,-1,6,0,7,-1,5,-1,5,-1,5,6,13,-2,5,-2,5,
0,-1,5,0,5,-1,5,5,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,5,9,9,5,9,9,9,
9,9,9,9,9,9,9,9,9,9,5,13,9,9,9,9,9,9,9,9,9,9,9,9,9,6,13,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,-1,5,-1,5,-1,
5,-1,5,-1,-1,-1,-1,-1,-1,-1,-1,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,-4,-2,-2,5,-2,5,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9, };
static unsigned short stb__arial_bold_40_latin_ext_w[560]={ 0,6,15,20,18,30,25,6,10,10,14,19,6,10,
6,11,18,13,19,18,20,18,18,18,18,18,6,7,19,19,19,20,34,26,23,24,23,21,19,25,22,6,18,24,
19,26,21,26,21,27,24,22,22,22,25,34,24,25,22,10,11,10,17,22,9,18,19,19,19,18,13,19,18,6,
10,18,6,28,18,20,19,19,13,19,12,18,20,28,20,20,18,13,4,13,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,6,18,20,20,20,
4,18,12,28,13,17,19,10,28,22,12,19,12,12,9,18,21,6,11,8,13,18,29,28,30,20,26,26,26,26,
26,26,37,24,21,21,21,21,9,9,13,12,26,21,26,26,26,26,26,18,26,22,22,22,22,25,21,19,18,18,
18,18,18,18,30,19,18,18,18,18,9,9,12,12,20,18,20,20,20,20,20,19,20,18,18,18,18,20,19,20,
26,18,26,18,28,21,24,19,24,19,24,19,24,19,23,25,26,21,21,18,21,18,21,18,21,18,21,18,25,19,
25,19,25,19,25,19,22,18,26,20,13,13,12,12,12,12,9,8,6,6,24,16,21,13,24,18,18,19,9,19,
11,19,12,19,13,21,10,21,18,21,18,21,18,24,23,18,26,20,26,20,26,20,34,32,24,13,24,15,24,14,
22,19,22,19,22,19,22,19,22,12,22,18,22,12,22,18,22,18,22,18,22,18,22,18,22,21,34,28,25,20,
25,22,18,22,18,22,18,11,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,24,19,19,21,19,19,19,
19,19,19,19,19,19,19,19,19,19,30,25,19,19,19,19,19,19,19,19,19,19,19,19,19,28,24,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,26,18,12,12,26,
20,22,18,22,18,22,18,22,18,22,18,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,26,18,37,30,26,20,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19, };
static unsigned short stb__arial_bold_40_latin_ext_h[560]={ 0,26,10,28,32,29,28,10,35,35,14,19,11,6,
5,28,27,26,26,27,26,27,27,26,27,27,19,25,21,13,21,26,35,26,26,28,26,26,26,28,26,26,27,26,
26,26,26,28,26,30,26,28,26,27,26,26,26,26,26,34,28,34,15,5,7,20,27,20,27,20,27,27,26,26,
34,26,26,19,19,20,27,27,19,20,27,20,19,19,19,27,19,35,35,35,8,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,27,34,28,19,26,
35,35,6,28,15,17,13,6,28,4,13,25,14,14,7,27,34,5,8,14,15,17,27,27,27,27,33,33,33,32,
32,31,26,35,33,33,33,32,33,33,33,32,26,32,34,34,34,33,33,18,29,34,34,34,33,33,26,28,28,28,
28,27,28,28,20,27,28,28,28,28,27,27,27,27,27,26,28,28,28,27,28,20,22,28,28,28,28,35,34,35,
32,26,33,28,34,27,34,28,35,28,34,28,34,28,33,27,26,27,32,26,33,28,33,28,34,27,33,28,35,35,
34,35,34,35,35,37,34,33,26,26,33,26,32,25,33,27,34,34,32,19,27,34,35,35,34,34,19,33,33,34,
34,26,26,26,26,26,26,33,27,34,27,33,27,26,28,27,33,26,34,28,34,28,28,20,33,27,34,27,33,27,
34,28,35,28,35,27,34,28,38,37,33,27,26,27,34,27,33,26,34,28,34,28,34,28,34,27,34,27,34,35,
32,33,27,32,27,33,27,27,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,28,23,23,35,23,23,23,
23,23,23,23,23,23,23,23,23,23,28,20,23,23,23,23,23,23,23,23,23,23,23,23,23,27,20,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,33,28,33,27,34,
28,34,28,34,34,34,34,34,34,34,34,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,36,35,34,28,36,29,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23, };
static unsigned short stb__arial_bold_40_latin_ext_s[560]={ 111,505,244,170,401,196,439,260,496,182,169,
483,237,319,343,431,187,497,477,283,437,148,206,116,362,322,476,445,42,197,22,
274,233,306,388,287,1,302,375,312,135,360,225,324,177,333,458,381,252,168,220,
408,197,14,432,104,152,349,409,499,275,45,97,350,309,493,167,223,491,62,401,
302,65,58,304,25,502,324,353,127,381,263,372,243,1,148,386,407,436,341,457,
289,111,219,279,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,
473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,111,504,26,
265,303,26,507,1,330,81,129,79,217,319,141,380,184,453,143,156,299,244,81,
373,267,503,115,60,118,89,58,37,100,179,415,30,420,141,245,135,330,352,237,
8,227,181,468,57,225,119,227,89,430,303,154,41,227,280,338,384,28,442,415,
370,326,20,1,342,344,305,192,376,156,267,248,229,412,498,1,478,435,458,60,
39,115,275,484,107,1,420,401,382,363,20,257,41,92,47,482,226,347,390,399,
136,349,95,1,56,56,1,206,472,66,85,70,158,259,464,281,76,107,323,302,
338,193,476,81,456,424,436,374,24,156,51,177,204,387,44,447,432,374,176,129,
502,1,296,434,139,400,422,213,238,22,80,70,315,335,412,139,84,395,480,295,
370,415,191,396,280,256,1,357,208,127,367,277,443,450,483,21,263,230,296,477,
456,255,361,376,206,326,245,303,14,168,324,1,44,347,189,93,422,103,459,324,
283,1,307,457,210,407,191,361,34,303,56,254,268,483,392,107,460,126,204,145,
164,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,345,473,473,160,
473,473,473,473,473,473,473,473,473,473,473,473,473,110,81,473,473,473,473,473,
473,473,473,473,473,473,473,473,227,167,473,473,473,473,473,473,473,473,473,473,
473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,1,465,
191,310,62,286,162,286,185,208,116,62,126,149,139,480,473,473,473,473,473,473,
473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,
473,473,473,84,116,24,175,57,254,473,473,473,473,473,473,473,473,473,473,473,
473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,
473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,
473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,
473,473,473,473,473,473,473,473,473, };
static unsigned short stb__arial_bold_40_latin_ext_t[560]={ 37,213,403,242,146,180,213,403,1,1,403,
381,403,403,403,180,299,299,299,299,299,299,299,327,299,299,381,354,381,403,381,
327,1,327,327,180,354,354,354,180,327,327,299,354,354,327,327,180,327,180,354,
180,354,299,327,354,354,354,354,40,180,111,403,403,403,354,299,381,271,381,299,
299,354,354,75,354,327,381,381,381,299,299,381,381,299,381,381,381,381,299,381,
1,1,1,403,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,
354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,37,180,111,
213,381,327,1,40,403,242,403,403,403,403,242,403,403,354,403,403,403,299,75,
403,403,381,403,403,299,299,299,299,146,111,111,180,146,180,354,1,146,146,146,
180,146,146,111,180,327,180,40,40,40,146,146,403,180,40,40,40,146,111,299,
242,242,242,242,271,213,213,381,271,213,242,242,242,242,242,271,271,242,299,242,
242,213,271,213,381,381,213,213,213,213,40,75,40,180,327,111,213,75,242,75,
213,1,213,111,213,111,213,111,242,327,271,180,327,146,180,146,213,111,271,111,
180,1,1,111,1,75,1,1,1,111,146,327,327,146,354,146,354,146,271,111,
75,180,381,271,111,1,1,75,75,403,146,146,75,75,327,354,354,354,327,327,
111,271,75,271,111,271,327,180,271,146,327,75,180,75,180,213,381,111,271,75,
242,111,271,75,213,1,213,1,271,75,213,1,1,111,271,327,242,75,271,111,
354,76,242,40,242,40,242,40,271,40,271,40,1,146,111,271,146,271,146,271,
271,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,242,354,354,1,
354,354,354,354,354,354,354,354,354,354,354,354,354,242,381,354,354,354,354,354,
354,354,354,354,354,354,354,354,271,381,354,354,354,354,354,354,354,354,354,354,
354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,146,213,
146,271,40,242,40,213,40,40,40,75,75,75,40,40,354,354,354,354,354,354,
354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,
354,354,354,1,1,76,213,1,180,354,354,354,354,354,354,354,354,354,354,354,
354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,
354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,
354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,
354,354,354,354,354,354,354,354,354, };
static unsigned short stb__arial_bold_40_latin_ext_a[560]={ 159,191,272,319,319,509,414,136,
191,191,223,335,159,191,159,159,319,319,319,319,319,319,319,319,
319,319,191,191,335,335,335,350,559,414,414,414,414,382,350,446,
414,159,319,414,350,477,414,446,382,446,414,382,350,414,382,541,
382,382,350,191,159,191,335,319,191,319,350,319,350,319,191,350,
350,159,159,319,159,509,350,350,350,350,223,319,191,350,319,446,
319,319,286,223,160,223,335,430,430,430,430,430,430,430,430,430,
430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,
430,430,430,430,430,430,430,430,159,191,319,319,319,319,160,319,
191,422,212,319,335,191,422,316,229,314,191,191,191,330,319,159,
191,191,209,319,478,478,478,350,414,414,414,414,414,414,573,414,
382,382,382,382,159,159,159,159,414,414,446,446,446,446,446,335,
446,414,414,414,414,382,382,350,319,319,319,319,319,319,509,319,
319,319,319,319,159,159,159,159,350,350,350,350,350,350,350,314,
350,350,350,350,350,319,350,319,414,319,414,319,414,319,414,319,
414,319,414,319,414,319,414,412,414,350,382,319,382,319,382,319,
382,319,382,319,446,350,446,350,446,350,446,350,414,350,414,350,
159,159,159,159,159,159,159,159,159,159,450,319,319,159,414,319,
319,350,159,350,159,350,221,350,274,350,159,414,350,414,350,414,
350,406,414,350,446,350,446,350,446,350,573,541,414,223,414,223,
414,223,382,319,382,319,382,319,382,319,350,191,350,274,350,191,
414,350,414,350,414,350,414,350,414,350,414,350,541,446,382,319,
382,350,286,350,286,350,286,159,430,430,430,430,430,430,430,430,
430,430,430,430,430,430,430,416,430,430,319,430,430,430,430,430,
430,430,430,430,430,430,430,430,489,407,430,430,430,430,430,430,
430,430,430,430,430,430,430,475,415,430,430,430,430,430,430,430,
430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,
430,430,430,430,430,414,319,159,159,446,350,414,350,414,350,414,
350,414,350,414,350,430,430,430,430,430,430,430,430,430,430,430,
430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,
430,430,414,319,573,509,446,350,430,430,430,430,430,430,430,430,
430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,
430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,
430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,
430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,
430,430,430,430,430,430,430,430, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_40_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_bold_40_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_40_latin_ext(stb_fontchar font[STB_FONT_arial_bold_40_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_40_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_bold_40_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_40_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_40_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_40_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_40_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_40_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_40_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_40_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_40_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_40_latin_ext_s[i] + stb__arial_bold_40_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_40_latin_ext_t[i] + stb__arial_bold_40_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_40_latin_ext_x[i];
            font[i].y0 = stb__arial_bold_40_latin_ext_y[i];
            font[i].x1 = stb__arial_bold_40_latin_ext_x[i] + stb__arial_bold_40_latin_ext_w[i];
            font[i].y1 = stb__arial_bold_40_latin_ext_y[i] + stb__arial_bold_40_latin_ext_h[i];
            font[i].advance_int = (stb__arial_bold_40_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_40_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_40_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_40_latin_ext_s[i] + stb__arial_bold_40_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_40_latin_ext_t[i] + stb__arial_bold_40_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_40_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_40_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_40_latin_ext_x[i] + stb__arial_bold_40_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_40_latin_ext_y[i] + stb__arial_bold_40_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_40_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_40_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_40_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_40_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_40_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_40_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_40_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_40_latin_ext_LINE_SPACING
#endif

