// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_41_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_41_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_41_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_bold_41_latin_ext_BITMAP_HEIGHT        442
#define STB_FONT_arial_bold_41_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_bold_41_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_bold_41_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_bold_41_latin_ext_LINE_SPACING          27

static unsigned int stb__arial_bold_41_latin_ext_pixels[]={
    0x26666666,0x99999999,0x00099999,0x80000044,0x00deeee9,0x00003800,
    0x03fffff3,0x3ffea000,0x000000ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x02ffffe8,0x04ccc400,0x40006662,0x801dcca8,
    0x4c409998,0xdddb0019,0x99988001,0x36200009,0x00001acc,0x01333330,
    0x88000000,0xddb09999,0x3ffe601d,0xffffffff,0xffffffff,0x7f91004f,
    0x3f200000,0x40002fff,0xb00006ea,0x0003ffff,0x0ffffec0,0xffffe880,
    0x7f4c0003,0x2e0000ef,0x3fe64fff,0x3fe6006f,0x005ffd0f,0xfffff880,
    0x7ff40001,0x3ff2002f,0xffffffff,0x3ffee007,0x005fffff,0xfffff900,
    0x7d40001f,0x3ffe65ff,0x7fe44006,0xf9802fff,0x3ffe65ff,0x1fffd006,
    0x7fffc400,0xf10000ff,0x001bffff,0x7fffdc00,0xbb000006,0xffff7005,
    0x403fffa9,0xfffffff9,0xffffffff,0x804fffff,0x0006fff8,0x3ffff880,
    0x3ff62000,0xff880006,0x200002ff,0x001ffff9,0x03ffff44,0x2ffec400,
    0x3fff6000,0x01fffe8a,0x7ef7fd40,0xfc80003f,0x40002fff,0x4000effc,
    0xfffffffc,0x2e007fff,0xffffffff,0xffa80005,0x005fffff,0x45fffe40,
    0x4000ffff,0x2ffffffe,0x17fff900,0x2001ffff,0x2000fffe,0x3ffffffb,
    0xffff1000,0x40000dff,0x000efffe,0x005ff000,0x3a9ffff7,0xff300fff,
    0xffffffff,0xffffffff,0xffb009ff,0x9000003b,0x40007fff,0x006ffff8,
    0x02fffc80,0x7ffec000,0xffd10002,0x2e00005f,0x220003ff,0xfffdffff,
    0xfff70003,0xf100009f,0x80005fff,0x90004ffa,0xffffffff,0x4c400fff,
    0x09999999,0x7ffc4000,0x02fffd8f,0x77fff400,0x54003fff,0x2fffffff,
    0x3bfffa00,0x3a003fff,0x3a000fff,0x07ffffff,0xfffff100,0x500007ff,
    0x0001dfff,0x401fea00,0xfd4ffffb,0x3fe601ff,0xffffffff,0xffffffff,
    0x7fc404ff,0xf1000006,0x880009ff,0x0006ffff,0x001fffc4,0x0bffe200,
    0xdfff1000,0x89e54000,0x8003ca99,0x5ffffffa,0x99bca800,0x0003ca99,
    0x000fffee,0xa84c5e54,0x2662003c,0x99999999,0x20f2a001,0x6c0003ca,
    0xffd11fff,0x7cc0001f,0x005fffff,0xcfffffd8,0x3fe6001c,0x4005ffff,
    0x3000fffe,0xffffffff,0xd9910005,0x000dffff,0x001fffd0,0x02fe4000,
    0xd4ffffb8,0x4cc01fff,0xffb99999,0x99999eff,0x7fcc0099,0x400003ce,
    0x80004da8,0x006ffff8,0x00155440,0x01554c00,0x2fff9800,0xb0df9000,
    0x3f2000bf,0x8000ffff,0x05fd86fc,0x013ffe00,0xfd86fc80,0x00000005,
    0x5fd86fc8,0x2aaa2000,0x00d55442,0x3fffee00,0xffe8000f,0x2e0000ff,
    0x000fffff,0x8007fff4,0xfffffffc,0xfe80005f,0x540007ff,0x00001fff,
    0x9801ffc0,0xffd1aaaa,0x3ea0001f,0x40006fff,0x006ffffa,0x77ff5400,
    0x3fe20002,0x000006ff,0x4c000880,0x5300000a,0x3f200035,0x0005fd86,
    0x00026666,0x2fec37e4,0x02aa8800,0x6c37e400,0x0000005f,0xfd86fc80,
    0x00000005,0x00000000,0x000bffff,0x3fa00000,0xfff000ff,0x1fffffff,
    0xfffc8000,0x2620000f,0x40000009,0x80000ff9,0x0000fffe,0x00dffff5,
    0x6ffffb80,0x67f40000,0xfb8006fc,0xffffffff,0x654c002f,0xfd009acc,
    0xfffd3003,0xeeec8007,0x03bbba22,0x31333331,0x33113101,0xddd90133,
    0x07777445,0x22666662,0x98898809,0xeec80999,0x3bbba22e,0x4ccccc40,
    0x88988098,0xec809999,0x3bba22ee,0x4cccc40e,0x89880989,0x00099998,
    0x2f332ea2,0x9988009a,0x26200199,0xfff00999,0xa980009f,0x4000abcc,
    0xa800fffe,0xffddffff,0x5c0003ff,0x0000ffff,0x2af32e62,0x54c40000,
    0x00006fda,0x0001fffd,0x01bfffea,0x79999300,0x27cc0000,0xfb8003f9,
    0xffffffff,0xffeb802f,0xdfffffff,0x007fff61,0x01fd79f9,0x11ffff40,
    0xfa83ffff,0x36007fff,0xfe84ffff,0x3ffe23ff,0x7fffd41f,0x3fff6007,
    0x3fffe84f,0x507fffe2,0x400fffff,0xe84ffffd,0x3fe23fff,0x7ffd41ff,
    0x3ff6007f,0xfda804ff,0xffffffff,0x3fea00cf,0x3f6007ff,0xfff04fff,
    0xfd90009f,0xffffffff,0xfffd001b,0xffffb001,0x0fffff55,0xffffb800,
    0xffea8000,0x2effffff,0x7fff5c00,0x7001efff,0x3fa9ffff,0xf50000ff,
    0x0000dfff,0xfa800000,0x70007f24,0xffffffff,0x7ec405ff,0xffffffff,
    0xffddffff,0x537c405f,0x7ff4007f,0x3fffe23f,0x3ffffd41,0x9ffffb00,
    0x447fffd0,0x7d41ffff,0x36007fff,0xfe84ffff,0x3ffe23ff,0x7fffd41f,
    0x3fff6007,0x3fffe84f,0x507fffe2,0x400fffff,0x204ffffd,0xffffffd8,
    0xffffffff,0xfffff503,0x7fffec00,0x09ffff04,0x7ffff4c0,0xffffffff,
    0x7fff403f,0x7fffc400,0x5fffff17,0x7ffdc000,0x3f62000f,0xffffffff,
    0x4c00dfff,0xfffffffe,0xfb803fff,0xfffd4fff,0x3fea0001,0x980006ff,
    0xd000001a,0x000df99f,0xfffffff7,0x3ea05fff,0xffffffff,0xffffffff,
    0x6f8806ff,0xfe800fea,0x3ffe23ff,0x7fffd41f,0x3fff6007,0x3fffe84f,
    0x507fffe2,0x400fffff,0xe84ffffd,0x3fe23fff,0x7ffd41ff,0x3ff6007f,
    0xfffe84ff,0x07fffe23,0x00fffff5,0x827fffec,0xffffffe9,0xffffffff,
    0xfffa83ff,0x3ff6007f,0xffff04ff,0x3ffee007,0xffffffff,0x00efffff,
    0xb801fffd,0x3f24ffff,0x20005fff,0x001ffffb,0xfffffff5,0xffffffff,
    0x3ffe601f,0xffffffff,0x7fdc04ff,0x1fffd4ff,0x3ffea000,0xfd30006f,
    0x321bffff,0x44007fff,0x00ffffff,0xdffff100,0xfffff500,0xfffdffff,
    0x1dffffff,0x3f37f200,0x332e000f,0x3333221c,0x3ffffd40,0x9ffffb00,
    0x44399970,0x7d40cccc,0x36007fff,0xcb84ffff,0x333221cc,0x7fffd40c,
    0x3fff6007,0x1cccb84f,0x50333322,0x400fffff,0x884ffffd,0xffffffff,
    0xffffffef,0x7fd42fff,0x3f6007ff,0xff884fff,0xffa803ff,0xefffffff,
    0xffffffff,0x01fffd06,0x21ffffe8,0x00fffff9,0x3ffff500,0xfffff300,
    0xffffdfff,0x3a0dffff,0xfcdfffff,0x00ffffff,0x753fffee,0x50000fff,
    0x000dffff,0xfffffff5,0xffff91df,0xffffb800,0xf10003ff,0xfd00dfff,
    0x815dffff,0xffffffb8,0x3ff62005,0x0000003f,0x03ffffd4,0x09ffffb0,
    0xfff50000,0x7fec00ff,0x800004ff,0x007ffffa,0x013ffff6,0x3ffea000,
    0x3ff6007f,0xfffd84ff,0x6541bfff,0x47fffffe,0x007ffffa,0x213ffff6,
    0x402ffffa,0xffffffe8,0x7ffe4c0a,0xffe84fff,0x3ffe600f,0xffffe86f,
    0xfff30004,0xfffb005f,0x2a213bff,0x3ffffffd,0x8fffffd4,0xffffeff8,
    0x3fffee04,0x001fffd4,0x1bfffea0,0xfffff700,0xfdffffff,0xfe800fff,
    0x007fffff,0x0dffff10,0xdfffffb8,0x7fffd400,0x144001ff,0xa8000000,
    0x2007ffff,0x004ffffd,0xffffa800,0x3fff6007,0xa800004f,0x2007ffff,
    0x004ffffd,0xffffa800,0x3fff6007,0x7fffdc4f,0x7fc401ef,0x3ea2ffff,
    0x36007fff,0xfc84ffff,0x7e400fff,0x400dffff,0x0fffffe9,0xb007fff4,
    0xf909ffff,0x4000ffff,0x5406ffff,0x403fffff,0x47fffffa,0x2a3ffffe,
    0x5efff9ff,0x53fffee0,0x0000fffe,0x00dffff5,0xdffffff8,0xfffffebb,
    0x3fe6007f,0x02ffffff,0x6ffff880,0x3ffffe20,0xffff8806,0x33004fff,
    0x00013555,0x7ffd4000,0x3ff6007f,0x800004ff,0x007ffffa,0x013ffff6,
    0x3ffea000,0x3ff6007f,0x800004ff,0x007ffffa,0xd13ffff6,0x001fffff,
    0x97ffffea,0x007ffffa,0x713ffff6,0x980dffff,0x006fffff,0x17ffffe2,
    0x2201fffd,0x881fffff,0x002fffff,0x19ffff90,0x17ffffa0,0x7ffffec0,
    0x91ffffe2,0x20026abf,0x554ffffb,0x7d400055,0x2e006fff,0xb81fffff,
    0x007fffff,0x3ffffff2,0xf88005ff,0x3f206fff,0x4401ffff,0xfffffffe,
    0xfff9100f,0x03dfffff,0x813fffee,0xf56ffff9,0x6c00ffff,0xff74ffff,
    0x7fcc09ff,0xffff56ff,0x7ffec00f,0x9ffff74f,0xb7fffcc0,0x007ffffa,
    0x5d3ffff6,0x2604ffff,0xff56ffff,0x7ec00fff,0x3fe64fff,0x64003fff,
    0x3ea09bce,0x36007fff,0xffb4ffff,0xc805ffff,0x001fffff,0x0fffffe4,
    0x2e01fffd,0x3a06ffff,0x0005ffff,0xdffffff3,0x1fffffa8,0x37bff100,
    0x237fffcc,0xfb8002ff,0x00004fff,0x037fffd4,0x07fffff0,0x03ffffec,
    0xfffffff0,0x88001fff,0x3606ffff,0x4405ffff,0xfffcfffe,0xfff883ff,
    0xffffffff,0xffffb82f,0x3fffe604,0x0fffff56,0xa7fffec0,0x204ffffb,
    0xf56ffff9,0x6c00ffff,0xff74ffff,0x7fcc09ff,0xffff56ff,0x7ffec00f,
    0x9ffff74f,0xb7fffcc0,0x007ffffa,0xc93ffff6,0x0006ffff,0x7ffffa80,
    0x3ffff600,0x7ffffff4,0xbffffd00,0xffff1000,0x07fff45f,0xadffffe8,
    0xffdaaaaa,0x50000fff,0xc8ffffff,0x4005ffff,0x3fffea00,0x0003fe65,
    0x013fffee,0xffff5000,0x3ffe200d,0x3fe600ff,0xff5007ff,0xffffbbff,
    0xfff88007,0x3fffa06f,0x7ffec03f,0x89fffff4,0xffffffe8,0x2fffffff,
    0x027fffdc,0x2adffff3,0x2007ffff,0xf74ffffd,0x7cc09fff,0xfff56fff,
    0x7fec00ff,0xffff74ff,0x7fffcc09,0x0fffff56,0xa7fffec0,0x204ffffb,
    0xf56ffff9,0x6c00ffff,0x3fa4ffff,0x00004fff,0x07ffffa8,0x53ffff60,
    0x804fffff,0x03fffff8,0x7ffffd00,0x4c07fff4,0xffffffff,0xffffffff,
    0x2e0004ff,0x7ec7ffff,0x00004fff,0xb97fffee,0xff70006f,0x800009ff,
    0x006ffffa,0x80dffff3,0x007ffff8,0xf55ffffb,0x8800ffff,0x3e06ffff,
    0x3202ffff,0x3ff65fff,0x7ffdc5ff,0xffcbbdff,0x7fdc5fff,0x3fe604ff,
    0xffff56ff,0x7ffec00f,0x9ffff74f,0xb7fffcc0,0x007ffffa,0x5d3ffff6,
    0x2604ffff,0xff56ffff,0x7ec00fff,0xfff74fff,0x7ffcc09f,0xfffff56f,
    0x7fffec00,0x0fffffe4,0x3fea0000,0x3f6007ff,0xffff4fff,0xff9807ff,
    0xb0002fff,0x7f4bffff,0xfffc80ff,0xffffffff,0x7fffffff,0xffff5000,
    0xffffe8ff,0x3ea00003,0x0ffa6fff,0x7fffdc00,0x7d400004,0xf5006fff,
    0xff00bfff,0xff100fff,0x3ffe2fff,0x3e2002ff,0xff307fff,0x3f203fff,
    0x7ffe46ff,0x7ffffc6f,0x7ffffa81,0x027fffdc,0x2adffff3,0x2007ffff,
    0xf74ffffd,0x7cc09fff,0xfff56fff,0x7fec00ff,0xffff74ff,0x7fffcc09,
    0x0fffff56,0xa7fffec0,0x204ffffb,0xf56ffff9,0x6c00ffff,0xff14ffff,
    0x00005fff,0x0fffff50,0xa7fffec0,0x2ffffffd,0x3ffffe60,0xfff90001,
    0x07fff4df,0x7ffffffc,0xffffffff,0x002fffff,0x7fffffcc,0x17ffffc5,
    0xfff30000,0x887fe2ff,0xffff7000,0xfa800009,0xf7006fff,0xff00bfff,
    0xff700fff,0x7ffe49ff,0x3fe2005f,0xfff507ff,0xfff701ff,0xffffb81d,
    0x81e54c47,0x5c7ffff8,0x2604ffff,0xff56ffff,0x7ec00fff,0xfff74fff,
    0x7ffcc09f,0xfffff56f,0x7fffec00,0x09ffff74,0xab7fffcc,0x2007ffff,
    0xf74ffffd,0x7cc09fff,0xfff56fff,0x7fec00ff,0xffff34ff,0x7ffc403f,
    0xffffffff,0x0fffff52,0x27fffec0,0x0dffff71,0x07ffffd4,0xffffb800,
    0x503fffa7,0xffffffff,0xffffffff,0x800bffff,0x884ffffd,0x001fffff,
    0x3fffe200,0x7f47fb8f,0xff700cef,0x0aaaa9ff,0xffffa800,0xffff3006,
    0xfffff00d,0x3ffffd00,0x07ffffcc,0xfffff880,0x7fffd420,0x7fffd40f,
    0x7ffffb80,0xffff3000,0x4ffffb8f,0x5bfffe60,0x007ffffa,0x5d3ffff6,
    0x2604ffff,0xff56ffff,0x7ec00fff,0xfff74fff,0x7ffcc09f,0xfffff56f,
    0x7fffec00,0x09ffff74,0xab7fffcc,0x2007ffff,0xf14ffffd,0x4405ffff,
    0xffffffff,0xfff52fff,0x7fec00ff,0xfffe84ff,0xffff500f,0x3ee0001f,
    0x3ffa7fff,0x7fffec0f,0x3ffee004,0x3fe000ff,0xfff306ff,0x800003ff,
    0xfddffffe,0x3ffffea4,0x9ffff700,0x0003fffa,0x037fffd4,0x07ffff88,
    0x03ffffc4,0x21bfffe6,0x004ffffe,0x3bfffffe,0xfffff32f,0x0ffffcc5,
    0x06ffffc8,0xfffd9730,0x7fdc1fff,0x3fe604ff,0xffff56ff,0x7ffec00f,
    0x9ffff73f,0xb7fffcc0,0x007ffffa,0x5cfffff6,0x2604ffff,0xff56ffff,
    0x7ec00fff,0xfff73fff,0x7ffcc09f,0xfffff56f,0x7fffec00,0x0fffffe3,
    0xffffff88,0xf52fffff,0x6c00ffff,0xfa83ffff,0xff101fff,0x20003fff,
    0x3a6ffffc,0x3fe20fff,0x22001fff,0x004fffff,0x407ffff1,0x002fffff,
    0x7fffd400,0xffd32fff,0x7fdc0bff,0x1fffd4ff,0x3ffea000,0x3ffe006f,
    0x3ff202ff,0x7fec07ff,0xfffc84ff,0x3ff6007f,0x3e3fffff,0xff13ffff,
    0x7fec05ff,0xfb5105ff,0xffffffff,0xffffb8ff,0x3fffe604,0x0fffff56,
    0x9ffffec0,0x204ffffb,0xf56ffff9,0x6c00ffff,0xff73ffff,0x7fcc09ff,
    0xffff56ff,0x7ffec00f,0x9ffff73f,0xb7fffcc0,0x007ffffa,0xf8fffff6,
    0x2204ffff,0xffffffff,0xfff52fff,0x7fec00ff,0xfff883ff,0x3fffe03f,
    0xffb0002f,0x7fff4bff,0x1bffff20,0x3ffff600,0xffff5007,0x7ffff403,
    0xfe800003,0xfedfffff,0x201fffff,0xfd4ffffb,0x2a0001ff,0x2006ffff,
    0x80effffd,0x07fffff9,0x07ffffe2,0x0bffffe2,0x7ffffd40,0x3fffe4ff,
    0x3fffe8cf,0x1fffff40,0x7fffffd4,0x7fffffff,0x027fffdc,0x26dffff3,
    0x2007ffff,0xf73ffffd,0x7cc09fff,0xfff36fff,0x7fec00ff,0xffff73ff,
    0x7fffcc09,0x0fffff36,0x9ffffec0,0x204ffffb,0xf36ffff9,0x6c00ffff,
    0x3fa3ffff,0x55405fff,0xffffaaaa,0xfffff32f,0x7fffec00,0x07ffff03,
    0x01fffff4,0x3ffffe80,0xfe83fffa,0xa8003fff,0x802fffff,0x201ffffa,
    0x004ffffd,0x3fe60154,0xffffffff,0x7dc03fff,0xfffd4fff,0x3fea0001,
    0x3e6006ff,0x98aeffff,0x7ffffffb,0x1bfffee0,0x05ffffe8,0x3ffffea0,
    0x3ffffa4f,0x403fffee,0x42fffff9,0xdffffffb,0x8ffffd1b,0x204ffffb,
    0xf36ffff9,0x7400ffff,0xff73ffff,0x7fcc09ff,0xffff36ff,0x7fff400f,
    0x9ffff73f,0xb7fffcc0,0x007ffff9,0x5cfffffa,0x2604ffff,0xff36ffff,
    0x7f400fff,0x3fee3fff,0xf8001fff,0xff32ffff,0x7f400fff,0xfff03fff,
    0x7ffec09f,0xff98006f,0x3ffa2fff,0xfffff50f,0x3ffe0001,0xffb805ff,
    0x3ff200ff,0x7f4006ff,0xfe980adf,0xffffffff,0xfffb804f,0x01fffd4f,
    0x3fffea00,0x7ffdc006,0xffffffff,0x3a07ffff,0xaaadffff,0xffffdaaa,
    0x4d4c000f,0xfffffa80,0xfd804fff,0x3e20ffff,0xfd03ffff,0xfffb8fff,
    0x3ffea04f,0xfffff16f,0x3fffe003,0x9ffff72f,0xb7fffd40,0x01fffff8,
    0x25fffff0,0x204ffffb,0xf16ffffa,0x2003ffff,0xf72fffff,0x7d409fff,
    0xfff16fff,0x3fe003ff,0x3fe22fff,0xf8005fff,0xff12ffff,0x3e003fff,
    0xff02ffff,0x7fdc09ff,0x74003fff,0x3a0fffff,0xfffb0fff,0x7e4000df,
    0x5c00ffff,0x2a00ffff,0x002fffff,0x05fffff3,0x7fffffec,0xff7001df,
    0x3fffa7ff,0x00000000,0x7fffffec,0xffffafff,0xfffff307,0xffffffff,
    0x009fffff,0xffffd000,0xff300bff,0xffa89fff,0x3ffe05ff,0x7fffd47f,
    0x3fffee05,0x1bffffe6,0x3ffffea0,0x0bffff51,0xf37fffdc,0x500dffff,
    0x2a3fffff,0x2e05ffff,0x3fe6ffff,0xfa806fff,0xff51ffff,0x7fdc0bff,
    0x3fffe6ff,0xfffa806f,0x7ffec1ff,0x3e2002ff,0x3fe2ffff,0xfa806fff,
    0xff01ffff,0x7fc409ff,0x5000ffff,0xe89fffff,0x00000fff,0x4003ff70,
    0x400ffffb,0x006ffffe,0x80fffffd,0x01aaaefc,0x3ffffb80,0x0001fffd,
    0xfe880000,0xf1ffffff,0x3f20ffff,0xffffffff,0xffffffff,0xddd1007f,
    0x3ffee03d,0x7d400fff,0x640fffff,0xf303ffff,0x7cc1ffff,0x3fa06fff,
    0x3ff66fff,0x3e203fff,0x3e67ffff,0x3fa06fff,0x3ff66fff,0x3e203fff,
    0x3e67ffff,0x3fa06fff,0x3ff66fff,0x3e203fff,0x3e67ffff,0x3fa06fff,
    0x3ff66fff,0x3e203fff,0xf987ffff,0x803fffff,0x2ffffffb,0x0ffffff6,
    0x7fffff88,0x017fffe0,0x5ffffff5,0xfffffc80,0x07fff40f,0xffc80000,
    0x3fff2000,0x7ffd400f,0x3f600dff,0x7404ffff,0xfc80003f,0xfffd3fff,
    0x3ba20001,0x2a0005ee,0x3e0bdfed,0xfff07fff,0xffffffff,0xffffffff,
    0xfff1005f,0x7fffc05f,0x2620bfff,0x3ffffffc,0x06ffffc8,0x41fffffd,
    0x83fffff8,0x26fffffc,0xeffffff9,0xffeb989c,0x3fe23fff,0xffc83fff,
    0x3fe66fff,0x89ceffff,0xfffffeb9,0x3ffffe23,0xfffffc83,0x3ffffe66,
    0xeb989cef,0x223fffff,0xc83fffff,0x266fffff,0xceffffff,0xfffeb989,
    0xfff703ff,0x3157dfff,0xffffff95,0x7ffcc5ff,0x989cefff,0x3fffffeb,
    0x03ffffa0,0xffffffb0,0xfd75137b,0xd07fffff,0x00001fff,0x4003ff60,
    0x007fffe8,0x7ffffffb,0xfffd7315,0x7c401fff,0x7cc0000f,0xffd2ffff,
    0x3e20001f,0x00006fff,0x43ffffc0,0xfffffffa,0xffffffff,0x805fffff,
    0x502ffff8,0xffffffff,0xfffffdff,0x3ea0dfff,0xc9adffff,0x0fffffff,
    0x6ffffff4,0xffffffcb,0x7fffec6f,0xffffffff,0x740fffff,0xcbdfffff,
    0x6fffffff,0x7fffffec,0xffffffff,0x7ff40fff,0xffcbdfff,0x6c6fffff,
    0xffffffff,0xffffffff,0x7ffff40f,0xffffcbdf,0x7fec6fff,0xffffffff,
    0x0fffffff,0x3fffff60,0xffffffff,0x0effffff,0x7fffffec,0xffffffff,
    0x3f600fff,0x81ceffff,0xfffffff9,0xffffffff,0xffd06fff,0x2000001f,
    0x32203ffe,0x06fffffd,0xffffff10,0xffffffff,0xfb805fff,0x3ffe0006,
    0xfd1fffff,0x220001ff,0x2006ffff,0x2009abcc,0xd86ffff8,0x2004ffff,
    0x00fffffb,0x40ffffc4,0xfffffffa,0xffffffff,0x7404ffff,0xffffffff,
    0x1fffffff,0x7fffffdc,0xffedffff,0x7fff4c6f,0xffffffff,0xfb83ffff,
    0xffffffff,0x46fffedf,0xffffffe9,0xffffffff,0xffffb83f,0xedffffff,
    0x7f4c6fff,0xffffffff,0x83ffffff,0xfffffffb,0xfffedfff,0x7ffff4c6,
    0xffffffff,0xfc803fff,0xffffffff,0xffffffff,0xfffe980d,0xffffffff,
    0x5403ffff,0x2fffffff,0xfffffd30,0xffffffff,0x7ff409ff,0xb000000f,
    0x45317dff,0xfffffff8,0x3ffa2003,0xffffffff,0xd803ffff,0xff10004f,
    0x21ffffff,0x0000fffe,0x00dffff1,0x0fffffec,0x44ffffc8,0x01fffff8,
    0x3ffffe20,0x3ff74404,0x65ffffcc,0xffffffff,0x801effff,0xfffffff9,
    0xffffacff,0xfffffc84,0xfffd4fff,0xffffb10d,0xffffffff,0x7ffe403d,
    0xfd4fffff,0xffb10dff,0xffffffff,0x7e403dff,0x4fffffff,0xb10dfffd,
    0xffffffff,0x403dffff,0xfffffffc,0x0dfffd4f,0xffffffb1,0x3dffffff,
    0x7fffd400,0xffffffff,0x6c401dff,0xffffffff,0x001effff,0x5ffffffd,
    0xfffffb80,0xefffffff,0x07fff401,0xffb80000,0x3e27ffff,0x007fffff,
    0xffffff70,0x05ffffff,0x0003ff10,0x3fffffea,0x03fffa2f,0x7fffc400,
    0x3ffee004,0xda99beff,0x642fffff,0x8006ffff,0x007ffffd,0xfff70bf7,
    0x7fffe445,0x003dffff,0x7ffffec4,0x1ffffe1e,0x6fffff5c,0x81bfffa2,
    0xffffffea,0xd7004eff,0x745bffff,0x3aa06fff,0xffffffff,0xffd7004e,
    0x7ff45bff,0x3ffaa06f,0x4effffff,0xffffd700,0x37fff45b,0xfffffd50,
    0x0009dfff,0x7ffffed4,0x000aceff,0x7fffff54,0x4004efff,0x2fffffc8,
    0xfffec880,0x003defff,0x0001fffd,0x7fffec00,0x3fffe27f,0x260001df,
    0xffffffec,0x1fa6003f,0xffffb800,0x7fff43ff,0x3e660000,0x3fe2002f,
    0xffffffff,0xe85fffff,0x8003ffff,0x02fffffa,0x5c0bff22,0x4d54c03f,
    0xa9880000,0x35100001,0x54c40000,0x0000aaaa,0x40000351,0x0aaaaa98,
    0x00351000,0x5554c400,0x510000aa,0x4c400003,0x000aaaaa,0x0554cc00,
    0x55310000,0x80001555,0x001dcca9,0x0009a988,0x000eeed8,0x5e64c000,
    0x2f33a209,0xa9800001,0x0040001a,0x57b97100,0x01dddb01,0x00ffc800,
    0x7ffffcc0,0xffffffff,0x7fffd40e,0xfff0000f,0x77cc0bff,0x00000c01,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x30000000,0x20009ffd,0xffffffd9,0xd80cffff,0x0006ffff,0x03fffff2,
    0x000000b8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0000f7c4,0x66e65d44,0x0000002c,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00002a00,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xbccca880,0x26000002,0x2209accb,
    0x99999999,0x33333310,0x33300133,0x33333333,0xfd000333,0x00005fff,
    0x6e5d5440,0x00002acc,0x2f32e620,0x9980000a,0x20000999,0x99999998,
    0x99999999,0x20001999,0x00199998,0x9dddd300,0xeee98000,0x0000004e,
    0x5cc40000,0x0009abcc,0x01333330,0x19999880,0x26666200,0x4ccc4000,
    0x4cc00019,0x26666199,0x00000001,0x00065c40,0x3bbba200,0x9999101e,
    0xffffc885,0x0003ffff,0x3ffffee0,0xfff52fff,0x2a9fffff,0xffffffff,
    0xffff9103,0xffffffff,0x5c003fff,0x00ffffff,0x3fae2000,0xffffffff,
    0x00002dff,0xffffffd5,0x40005dff,0x006ffffa,0x3ffffea0,0xffffffff,
    0x00ffffff,0x9ffffb00,0xffd10000,0x40005fff,0x02fffffe,0xffff9000,
    0x3f20000d,0xffffffff,0xffc8003f,0x7d4005ff,0x36007fff,0x4004ffff,
    0x002fffff,0x57fffe60,0x003ffffb,0x07ffffd4,0x7ffd4000,0x3200004f,
    0x2603ffff,0x3a24ffff,0xffffffff,0xa80005ff,0xffffffff,0xfffff50f,
    0x3fea9fff,0x83ffffff,0xfffffffb,0xffffffff,0xff3001ff,0x00bfffff,
    0xffffb300,0xffffffff,0x003dffff,0x3ffff620,0xffffffff,0xff70000d,
    0x2a0005ff,0xffffffff,0xffffffff,0x98000fff,0x0005ffff,0xffffff90,
    0xff90001f,0x001fffff,0xfffff980,0x3a20004f,0xffffffff,0x001fffff,
    0x007fffec,0x0fffff50,0x27fffec0,0x7ffff500,0xfffd8000,0x09fffd0e,
    0xfffff880,0xfe80005f,0x0000feaa,0x04ffff88,0xb27fffcc,0xffffffff,
    0x0009ffff,0xffffffe8,0x3ffea6ff,0xf54fffff,0x7fffffff,0xffffffa8,
    0xffffffff,0x8801ffff,0xffc8fffe,0x3ee0003f,0xeeffffff,0xffffedcc,
    0x54004fff,0xffffffff,0xffffffff,0xfff90000,0x3fea000d,0xffffffff,
    0xffffffff,0xffc8000f,0xf500005f,0xbfff5bff,0xdfffa800,0x0006fffa,
    0x3fbfffa2,0xe98001ff,0xffffffff,0x0fffffff,0x27ffec00,0xfffff500,
    0x7fffec00,0x3fffa004,0x7fc40003,0xbfff50ff,0xdfffd000,0x40005fff,
    0x00fea4f9,0x13ffee00,0x53fffe60,0x9cfffff8,0x0fffffc9,0xffff1000,
    0x4c9db9df,0xffffdccc,0x9bffff54,0x7ffc4599,0xffffffff,0xffffffff,
    0x2fffc801,0x0007fffa,0x9fffffb1,0xffd53003,0x3e600dff,0xefffffff,
    0xffffffff,0x3ff20006,0xffa8001f,0xffffffff,0xffffffff,0x7fc4000f,
    0xf100006f,0x3ff21dff,0xfff1003f,0x0ffff21d,0x57ffec00,0x000efff9,
    0x7fffffec,0xffffeddf,0xfe8006ff,0xff5000ff,0x7ec00fff,0xf5004fff,
    0x900009ff,0x7ff43fff,0x7fdc000e,0x0ffff8bf,0x64df1000,0xff80002f,
    0xfff3005f,0x3fffea9f,0x2ffffd85,0xffff5000,0xfff8800f,0x5ffff54f,
    0x7ffffdc0,0xaacfffff,0x00abffff,0x5442aaa8,0x3a2001aa,0x0002ffff,
    0x013fffee,0x37fffff6,0xfffb5109,0x40007fff,0xa8005ffd,0x999fffff,
    0x99999999,0xfc800199,0x500000ef,0xccc83999,0x39995004,0x8004ccc8,
    0x3ea4fffa,0x3e2004ff,0x981cffff,0x02fffffe,0x01fff440,0x07ffffa8,
    0x13ffff60,0x002fff40,0x517ffc40,0x98001fff,0x3fe65fff,0x3f60005f,
    0x80006fee,0x4c004cc9,0xfff50999,0x599d50ff,0x3fee0003,0x7c4004ff,
    0xfff54fff,0x7ffe405f,0x2fffffff,0x0007fffe,0x3f600000,0x80000eff,
    0x203fffd8,0x03fffffa,0x3fffffd4,0x00666000,0x1ffffea0,0x98800000,
    0x00000009,0x00000000,0x4c0ccc40,0x3ea00199,0x7d405fff,0x8003ffff,
    0xf5000998,0x6c00ffff,0x3004ffff,0x22000033,0x04cc4099,0x04ccc400,
    0x80006662,0x001dffc8,0x26200000,0xfff10999,0x000009ff,0x017fffec,
    0x53fffe20,0x202ffffa,0xfffffffe,0x3ffe2fff,0xb988001f,0x4000abcc,
    0x4405fffa,0xfff1001a,0x3fffa01f,0xfffb005f,0xa98005ff,0x4000abcc,
    0x007ffffa,0x32a60000,0x00000abc,0x54c00000,0x53000001,0x00015799,
    0x007ffff9,0x44bffffd,0x20019999,0xf5099998,0x6c00ffff,0x3314ffff,
    0x4c400333,0x33310999,0x4cc40033,0x33331099,0x4ccc4003,0x33333109,
    0x33310110,0x40000013,0x366ffffb,0x00dfffff,0xffffb800,0x6fffffff,
    0x4ffff880,0x405ffff5,0xffffffff,0x3ffe2fff,0x3faa001f,0xefffffff,
    0x5fff8802,0xffffd930,0x4bfffea9,0xfa83fff9,0x1001ffff,0x20037bff,
    0xffffffec,0xa800dfff,0x0007ffff,0x7fff6400,0x0dffffff,0x5ffffb80,
    0x4ffffc80,0xfffffd30,0x1ffff21b,0x7ffff640,0x00dfffff,0x0fffff70,
    0x41355530,0x007ffffa,0x553ffff6,0x2007ffff,0xf54ffffd,0x6c00ffff,
    0xff54ffff,0x7ec00fff,0xfff54fff,0x7fec00ff,0xffff54ff,0x7ffec00f,
    0xbffff74f,0x9ffff900,0x89bfffee,0x2fffffff,0x7ffe4000,0xffffffff,
    0xffff8805,0x05ffff54,0x7ffffff4,0x3fe2ffff,0xfd8801ff,0xffffffff,
    0x3600dfff,0xffa80fff,0xcdffffff,0x3f20ffff,0xffffc86f,0x20004005,
    0xffffffe9,0x3fffffff,0x3ffffd40,0xfe980000,0xffffffff,0x4403ffff,
    0x400fffff,0xb81ffffe,0xffffffff,0x07fffc8e,0x7fffff4c,0xffffffff,
    0xffffa803,0x50000bff,0x400fffff,0xf54ffffd,0x6c00ffff,0xff54ffff,
    0x7ec00fff,0xfff54fff,0x7fec00ff,0xffff54ff,0x7ffec00f,0xfffff54f,
    0x7fffec00,0x1fffff14,0x1ffffe80,0x44dffff7,0xfffffffe,0xffd0000d,
    0xffffffff,0xfff1007f,0x3fffea9f,0x3ffff202,0x22ffffff,0x5401ffff,
    0xffffffff,0xffffffff,0x83fff880,0xfffffffb,0x6fffffff,0x360fffc4,
    0x0004ffff,0x3fffee00,0xffffffff,0x500effff,0x000fffff,0xfffff700,
    0xffffffff,0x6c01dfff,0x2603ffff,0xfb86ffff,0xffffffff,0x07fffeff,
    0x3fffffee,0xffffffff,0x3e200eff,0xefffffff,0x3fea001b,0x3f6007ff,
    0xfff54fff,0x7fec00ff,0xffff54ff,0x7ffec00f,0xfffff54f,0x7fffec00,
    0x0fffff54,0xa7fffec0,0x007ffffa,0xd93ffff6,0x2603ffff,0x3ee6ffff,
    0xffd16fff,0xffffffff,0xdddb0005,0xdddfffff,0xffff1005,0x0bfffea9,
    0xffffff98,0x3fe2ffff,0x3fe601ff,0xfeffffff,0x6fffffff,0xfb86ffb8,
    0xf712efff,0xf0bfffff,0xfffe85ff,0x5000003f,0xffffffff,0xffffffdf,
    0x3fea0dff,0xffffffff,0xffffffff,0xfffff500,0xfffdffff,0x40dfffff,
    0x205ffffa,0xf83ffffb,0xbbdfffff,0x7ffffffe,0xffffff50,0xffffdfff,
    0xa80dffff,0xffffffff,0x5402dfff,0x2007ffff,0xf54ffffd,0x6c00ffff,
    0xff54ffff,0x7ec00fff,0xfff54fff,0x7fec00ff,0xffff54ff,0x7ffec00f,
    0xfffff54f,0x7fffec00,0x17fffea4,0x23ffffb8,0xe8effffb,0xfffcefff,
    0x0004ffff,0x00fffff2,0x53fffe20,0x402ffffa,0xfffffffd,0x3fffe2ff,
    0x3ffff601,0xfb5109df,0xe87fffff,0x7ffc44ff,0xffff706f,0x87ffb07f,
    0x002fffff,0xfffe8800,0x64c0afff,0x84ffffff,0xfffffffa,0xffffffff,
    0xfe880fff,0x40afffff,0xffffffc9,0xfffff104,0x3ffffa01,0x7ffffdc0,
    0xfffffb81,0xffffe887,0x7e4c0aff,0x404fffff,0xfffffffc,0x04ffffff,
    0x00fffff5,0xaa7fffec,0x2007ffff,0xf54ffffd,0x6c00ffff,0xff54ffff,
    0x7ec00fff,0xfff54fff,0x7fec00ff,0xffff54ff,0x7ffec00f,0x3fffe24f,
    0xffffd00f,0x77fffdc1,0xf50ffffa,0x0bffffff,0x3ffff600,0xfff88002,
    0x5ffff54f,0xffffd880,0x3fe2ffff,0xfff501ff,0xffa807ff,0x3fe67fff,
    0x7fffe41f,0xfffff101,0x449ff903,0x001fffff,0xffffc800,0x7f4c00df,
    0x7d40ffff,0xffffffff,0xffffffff,0xffffc80f,0x7f4c00df,0xf900ffff,
    0xff307fff,0xffff0bff,0x7ffec07f,0xffffc87f,0x7f4c00df,0x5400ffff,
    0xffffffff,0xa85fffff,0x2007ffff,0xf54ffffd,0x6c00ffff,0xff54ffff,
    0x7ec00fff,0xfff54fff,0x7fec00ff,0xffff54ff,0x7ffec00f,0xfffff54f,
    0x7fffec00,0x1ffffe44,0x22ffffcc,0xfceffffb,0x7fec45ff,0x8004ffff,
    0x000ffffe,0x54ffff88,0x2005ffff,0xffffffeb,0x407fffe2,0x005ffffe,
    0x25fffffb,0x7fc46ffa,0x7ff404ff,0x4ffc80ff,0x07ffffe6,0xfff30000,
    0x7c400dff,0x7d45ffff,0xffffffff,0xffffffff,0x7fffcc0f,0x3fe2006f,
    0xff305fff,0xfff70bff,0xffff885f,0x7fffcc07,0x7ffffcc7,0x3ffe2006,
    0xdb8805ff,0xffffffff,0x3ea0efff,0x36007fff,0xff54ffff,0x7ec00fff,
    0xfff54fff,0x7fec00ff,0xffff54ff,0x7ffec00f,0xfffff54f,0x7fffec00,
    0x0fffff54,0x27fffec0,0x217fffe6,0x5c2ffffb,0xffeeffff,0xffff706f,
    0x7c4005ff,0x10007fff,0x3ea9ffff,0x44002fff,0x3e2ffffa,0xffa81fff,
    0xf1001fff,0x7fdc37bf,0x07fffdc5,0x41bfffa0,0x7ffc3ffe,0x400002ff,
    0x01fffffc,0x7ffffe40,0x3ffffea1,0xaaaaaaaa,0x640aaaaa,0x001fffff,
    0x0fffffe4,0x40ffffe8,0x4c0ffffe,0x4406ffff,0x7e47ffff,0x4001ffff,
    0x01fffffc,0x3fff6e20,0x25ffffff,0x007ffffa,0x553ffff6,0x2007ffff,
    0xf53ffffd,0x6c00ffff,0xff54ffff,0x7ec00fff,0xfff54fff,0x7fec00ff,
    0xffff54ff,0x7ffec00f,0xffffe84f,0x07ffff40,0x37bfffee,0xf301ffff,
    0x400bffff,0x006ffff9,0x29ffff10,0x002ffffa,0x7c5ffff0,0xffc81fff,
    0x004005ff,0xffd89ffb,0xffff807f,0x42fff884,0x003ffffe,0x7ffff400,
    0xfff88005,0x3ffea2ff,0xfd00007f,0x1000bfff,0x205fffff,0x223ffffb,
    0xfa85ffff,0xff805fff,0x7fff47ff,0xff88005f,0x20002fff,0xffffffb9,
    0x1ffffea7,0x4ffffd80,0x00fffff3,0xa9ffffec,0x2007ffff,0xf54ffffd,
    0x6c00ffff,0xff54ffff,0x7ec00fff,0xfff54fff,0x7fec00ff,0xfffb84ff,
    0x3fffe23f,0xeffffb85,0x01fffffa,0x00ffffd1,0x027fffd4,0x4ffff880,
    0x005ffff5,0xf8bfffe0,0xffd81fff,0x200004ff,0x7ff43ffe,0x7ffc405f,
    0x0fffa83f,0x027fffec,0x7fc40aa0,0xd0003fff,0x7d47ffff,0x80007fff,
    0x03fffff8,0x7ffffd00,0x97fffe20,0xb82ffffb,0xe805ffff,0x3fe27fff,
    0xd0003fff,0x0007ffff,0xfffff910,0x1ffffea3,0x4ffffd80,0x00fffff3,
    0xa9ffffec,0x2007ffff,0xf54ffffd,0x6c00ffff,0xff54ffff,0x7ec00fff,
    0xfff54fff,0x7fec00ff,0xfff884ff,0x3fffee5f,0xeffffb82,0x3ffffff8,
    0x00ffff70,0x01ffffe4,0x4ffff880,0x005ffff5,0xf8bfffe0,0xffe81fff,
    0x200003ff,0x7ffc2ffe,0x7ffd404f,0x86ffc81f,0x006ffffc,0x9856fff4,
    0x002fffff,0x4bffffb0,0x007ffffa,0xfffff980,0xfffb0002,0x7ffec0bf,
    0x0ffffd0f,0x01bfffea,0xf99ffffe,0x0002ffff,0x54bffffb,0x2004feec,
    0xf53ffffe,0x6c00ffff,0xff34ffff,0x3a001fff,0xff53ffff,0x7ec00fff,
    0xfff54fff,0x7fec00ff,0xffff54ff,0x7ffec00f,0xfffff54f,0x7fffec00,
    0x1ffffb04,0x5c1ffffa,0xffb6ffff,0xa81bffff,0x36006fff,0x0001ffff,
    0x2a9ffff1,0x0002ffff,0x7fc5ffff,0xffff81ff,0x3600002f,0x3ffe23ff,
    0x7ffec03f,0x82fffa87,0x02fffffa,0x5fffff30,0x07ffffe6,0x7fffe400,
    0x1ffffea6,0x3ffe6000,0xf90001ff,0x7d40dfff,0xfff8bfff,0xffff304f,
    0xffff880f,0x3ffffe67,0xfff90001,0x7fffd4df,0x3fff6007,0xfffff54f,
    0x7fffec00,0x3fffff14,0x3ffffe00,0x0fffff52,0xa7fffec0,0x007ffffa,
    0x553ffff6,0x2007ffff,0xf54ffffd,0x6c00ffff,0xf504ffff,0xfff17fff,
    0x3ffee09f,0x3ffff66f,0x3ff62fff,0x3ffe004f,0xf10000ff,0x3fea9fff,
    0xff0002ff,0x7fffc5ff,0x7ffffc41,0x3f200001,0x27fffc4f,0x8dffff30,
    0x3a06fff8,0xd006ffff,0x7d4fffff,0x0000ffff,0x54fffff7,0x0007ffff,
    0x0fffffa8,0xffff7000,0xdffff80f,0x101ffffb,0x405fffff,0x2a7ffffc,
    0x000fffff,0x4fffff70,0x02fffff8,0x2fffff98,0x00fffff5,0xf27fffec,
    0x500bffff,0x2a1fffff,0x2007ffff,0xf54ffffd,0x6c00ffff,0xff54ffff,
    0x7ec00fff,0xfff54fff,0x7fec00ff,0x3ffe04ff,0x1ffffbdf,0x8dffff70,
    0xfffffffd,0x01ffffcd,0x0fffff10,0x7fffc400,0x05ffff54,0x8bfffe00,
    0x7cc1ffff,0x0001ffff,0xfd17fee0,0x7fec0dff,0x3ffa24ff,0x3ffea02f,
    0x3f600dff,0x3ea4ffff,0x0000ffff,0x54fffff7,0x0007ffff,0x0fffffa8,
    0xffff7000,0xffffc80f,0x6c06fffe,0xf306ffff,0x7d4fffff,0x0000ffff,
    0xe8fffff7,0x401fffff,0x2a7ffffd,0x2007ffff,0x364ffffd,0x203fffff,
    0x27fffff8,0x007ffffa,0x553ffff6,0x2007ffff,0xf54ffffd,0x6c00ffff,
    0xff54ffff,0x7ec00fff,0x3f204fff,0x6fffefff,0x1bfffee0,0x3fffffee,
    0x001fffff,0x017fffe6,0x4ffff880,0x005ffff5,0xf8bfffe0,0xfff81fff,
    0x200002ff,0x7fe47ffa,0xfffb82ff,0xfffd33ff,0xffffb009,0xd73157ff,
    0x41ffffff,0x01fffff8,0xdffff900,0x57ffffd4,0xaaaaaaaa,0xf11aaaaa,
    0x0003ffff,0x01bffff2,0xfffffff3,0xfffa807f,0xfb98aeff,0x227fffff,
    0x001fffff,0x8dffff90,0xcffffffb,0xfffd5309,0x7ffd4bff,0x3ff6007f,
    0x3ffee3ff,0xa89cefff,0x5ffffffd,0x01ffffea,0x53ffffd8,0x400fffff,
    0xf53ffffd,0x6c00ffff,0xff53ffff,0x7ec00fff,0x3e603fff,0x3fffffff,
    0x1bfffee0,0x7fffff4c,0x5c002fff,0x0004ffff,0x553fffe2,0x0002ffff,
    0x7fc5ffff,0xfffe81ff,0x2200003f,0x3fe22fff,0xfebaefff,0xfeffffff,
    0xf1004fff,0xffffffff,0xffffffff,0x5fffff05,0x3fff6000,0x3fffea5f,
    0xffffffff,0x4fffffff,0x00bffffe,0x2ffffec0,0x7fffff40,0xffe800ff,
    0xffffffff,0x7c7fffff,0x0002ffff,0xb0bffffb,0xffffffff,0xffffffff,
    0x7fffd45f,0x3fff6007,0x7ffff43f,0xffffffff,0x2a1fffff,0x2007ffff,
    0xf53ffffd,0x6c00ffff,0xff53ffff,0x7ec00fff,0xfff53fff,0x7fec00ff,
    0x7ff403ff,0x200fffff,0x406ffffb,0xfffffffc,0x7ffe4001,0x3e20002f,
    0xfff54fff,0x3fe0005f,0x3fffe2ff,0x4ffffd81,0xfb015400,0xffffb8df,
    0xffffffff,0x2fffffff,0x7fff4400,0xffffffff,0xffd03fff,0x3a0007ff,
    0x3ea3ffff,0xffffffff,0xffffffff,0x3fffa4ff,0xffd0003f,0xff7007ff,
    0x200bffff,0xffffffe8,0xffffafff,0x1fffff47,0xffffe800,0xffffe883,
    0xffffffff,0x7fcc4fff,0x3f6007ff,0x7fcc3fff,0xffffffff,0x43ffffff,
    0x007ffff9,0x4cfffff6,0x2007ffff,0xf33ffffd,0x6c00ffff,0xff33ffff,
    0x7ec00fff,0x7dc03fff,0x405fffff,0x806ffffb,0xffffffe9,0x3fff6000,
    0x3e20001f,0xfff54fff,0x3fe0005f,0x3fffe2ff,0x6ffffc81,0x56fff400,
    0x70bffea0,0xbfffffff,0xfffffff3,0x7dc0003f,0xffffffff,0x3f602fff,
    0x98006fff,0x2a2fffff,0xffffffff,0xffffffff,0x3ff64fff,0xf98006ff,
    0x8802ffff,0x02ffffff,0x3ffff620,0xffff2fff,0x6ffffd8f,0xffff9800,
    0xfffb102f,0xffffffff,0xfff307ff,0x7ff400ff,0xffe883ff,0xffffffff,
    0xff982fff,0x3fa007ff,0xfff33fff,0x7ff400ff,0xffff33ff,0x7fff400f,
    0xfffff33f,0x7ffff400,0x7fffc403,0x7fdc02ff,0x3f2006ff,0x2004ffff,
    0x0007ffff,0xaa7fffc4,0x0002ffff,0x7fc5ffff,0xfffa81ff,0xff3002ff,
    0xfff85fff,0x77ee440f,0x33bf662c,0x1aaa880a,0xfffec980,0xb803ffff,
    0x003fffff,0x07fffff4,0xfffffff5,0xffffffff,0x7dc9ffff,0x4003ffff,
    0x00fffffe,0x0fffffb0,0x37fb2a00,0x1ffffe0b,0x07fffff7,0xfffffe80,
    0x7ffecc00,0x0cefffff,0x3fffff10,0x3ffffe00,0x3fff6a02,0x0befffff,
    0x3fffff10,0x3ffffe00,0x3fffff12,0x3ffffe00,0x3fffff12,0x3ffffe00,
    0x3fffff12,0x3ffffe00,0xffffd802,0xffffb807,0xff702986,0x3e200dff,
    0x40006fff,0xf54ffff8,0x20005fff,0x3fe2ffff,0xfffd01ff,0x3ffa00df,
    0xfff987ff,0x1000000e,0x4001fffd,0x00dffeb9,0x3ffffe20,0xfff5000f,
    0xd00009ff,0xfff880df,0xf5000fff,0x4009ffff,0x004ffffd,0x3fffe000,
    0x7ffffc47,0xfff5000f,0xca8009ff,0xf001dfff,0x500dffff,0x003fffff,
    0x026bffa6,0x37ffffc0,0x7ffffd40,0x1bffffe1,0x3ffffea0,0x1bffffe1,
    0x3ffffea0,0x1bffffe1,0x3ffffea0,0xffffd801,0xffffb804,0x05ffff96,
    0x00fffff1,0x017fffea,0x9ffff100,0x00bfffea,0xf17fffc0,0x3ea03fff,
    0x200dffff,0x04fffffd,0x003dfff7,0xfffe9800,0x7ffec002,0x2a000fff,
    0x02ffffff,0x7fffffe4,0x5ff80000,0xfffffa80,0x7ffe402f,0xf3000fff,
    0x2003ffff,0x2009abcc,0xa86ffff8,0x02ffffff,0x7fffffe4,0x7ffe4000,
    0xfd800fff,0x2203ffff,0x007fffff,0x6c0037f4,0x203fffff,0x47fffff8,
    0x03fffffd,0x1fffffe2,0x07fffffb,0x3fffffc4,0x0ffffff6,0x7fffff88,
    0xfffff980,0xffffb801,0x0dffff76,0x00dffff3,0x00fffff6,0x9ffff100,
    0x00bfffea,0xf17fffc0,0x7ec03fff,0x8abfffff,0xfffffeb9,0x3fff600f,
    0x440000cf,0x004ffffc,0xffea99a8,0x7ffec004,0xa89bdfff,0xffffffeb,
    0xff880003,0xffffb005,0x75137bff,0x7ffffffd,0x3fff6200,0x3ff6006f,
    0xff900fff,0x3ff609ff,0x89bdffff,0xfffffeba,0x99a8003f,0x9804ffea,
    0xceffffff,0xfffeb989,0x7fc003ff,0xfff98006,0x989cefff,0x3fffffeb,
    0x7fffffcc,0xfeb989ce,0x7cc3ffff,0x9cefffff,0xffffeb98,0x7fffcc3f,
    0xb989ceff,0x03fffffe,0x37fffec4,0x6ffffb80,0x7dfffff3,0x9ffffd73,
    0xffd9bd70,0x98001fff,0xffffdccc,0x9bffff54,0x3fe00599,0x3fffe2ff,
    0x3fffe201,0xffffffff,0x402fffff,0xdfffffd8,0xf951000b,0x0009ffff,
    0x001ffee0,0xfffffff3,0xffffffff,0x0000dfff,0x2003ffe6,0xfffffff9,
    0xffffffff,0x2a606fff,0xffffffca,0x3ffee003,0xcb99beff,0x301fffff,
    0xffffffff,0xffffffff,0x20000dff,0xfb007ffa,0xffffffff,0xffffffff,
    0x7ffc4001,0xfffd8000,0xffffffff,0x80ffffff,0xfffffffd,0xffffffff,
    0xfffd80ff,0xffffffff,0x80ffffff,0xfffffffd,0xffffffff,0x6554c0ff,
    0x03ffffff,0x4dffff70,0xfffffffc,0x80ffffff,0xfffffffd,0xffa8006f,
    0x54ffffff,0xffffffff,0x3fffe007,0x007fffe2,0xffffffd1,0xffffffff,
    0x7ffd4007,0xceefffff,0xfffeedcc,0x0002ffff,0x00dffb10,0xfffffd30,
    0xffffffff,0x400009ff,0x98adfff8,0xffffd301,0xffffffff,0xfa809fff,
    0x6fffffff,0x7fffc400,0xffffffff,0x74c04fff,0xffffffff,0x4fffffff,
    0xffb10000,0x3ffa600f,0xffffffff,0x003fffff,0x98adfff8,0xfffe9802,
    0xffffffff,0xd303ffff,0xffffffff,0x7fffffff,0x3ffffa60,0xffffffff,
    0xfd303fff,0xffffffff,0x07ffffff,0xfffffff5,0x7fdc00df,0x7ffec6ff,
    0xffffffff,0xffffff02,0x50007fff,0xffffffff,0x3ffffea9,0xff003fff,
    0x7fffc5ff,0xffff7001,0xffffffff,0xff910005,0xffffffff,0xffffffff,
    0x2e00019f,0xffffedee,0x3fee0002,0xffffffff,0x00001eff,0xffffffe8,
    0x7fffdc04,0xffffffff,0xfff9801e,0x001fffff,0xffffff98,0xefffffff,
    0xffff7000,0xffffffff,0x3ae0003d,0x2ffffede,0x3fff6200,0xffffffff,
    0xfb0001ef,0x00bfffff,0x3fffff62,0xefffffff,0x7ffec401,0xffffffff,
    0x7ec401ef,0xffffffff,0x4401efff,0xfffffffd,0x01efffff,0xfffffff3,
    0x7fdc003f,0xfffa86ff,0x01efffff,0xfffffff3,0x3ea0007f,0x4fffffff,
    0xfffffff5,0x3ffe007f,0x07fffe2f,0xfffec980,0x0003ffff,0xfffffb50,
    0xffffffff,0xf900005b,0x03bfffff,0xffd91000,0x07bdffff,0x7fcc0000,
    0x8804ffff,0xffffffec,0x3e2003de,0x01efffff,0x3fff2600,0x3fffffff,
    0xffec8800,0x03deffff,0x7fffe400,0x50002eff,0xfffffffd,0x880009df,
    0x05fffffd,0x7ffff540,0x004effff,0x7fffff54,0x4004efff,0xffffffea,
    0x54004eff,0xfffffffe,0x7fc404ef,0x001effff,0x665d4000,0xa98801ac,
    0x0000accc,0x2aaaaaa2,0x555511aa,0x20035555,0x26609999,0x54c00019,
    0x4000001a,0xccdcbaa9,0x000009aa,0x02aaeaa2,0xa9880000,0x00000009,
    0x000de65c,0x0009a988,0x0af372e0,0xcba88000,0x0009accc,0x01353100,
    0x5d544000,0x100000aa,0x01555553,0xbcb88000,0x2a620001,0x0000aaaa,
    0x555554c4,0x54c40000,0x0000aaaa,0x555554c4,0x3372e000,0x0000002b,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x59700cc8,0x04cccc40,
    0x3bb60000,0x3bbba22e,0x03333300,0x04cccc40,0x00660080,0xdd304ec8,
    0x4ccccc03,0x99999999,0x53000001,0x00001555,0x5e665d44,0x4c40009a,
    0x31000999,0x99988133,0x00000000,0x99819998,0x13bae019,0x00666660,
    0x99999988,0x3bbbaa00,0xfff50003,0x500000df,0x00015555,0x26666200,
    0xddd30001,0xd000009d,0x3105ffff,0x80001333,0x44099998,0x98809999,
    0x22000999,0x3ff984ff,0x0ffffee0,0xfffd0000,0x07fffc47,0x17ffffcc,
    0x4ffffa80,0x067ff540,0x32003ff3,0x07fd80ff,0x3fffffe6,0xffffffff,
    0x00000cef,0x003ffffb,0xffffb300,0x19ffffff,0x3fffea00,0xdfff1004,
    0x03fffa21,0x0fffff88,0x7fdc0000,0x13ffee3f,0x201fff98,0x007ffff9,
    0xffffffd1,0x3fffe203,0x7c4001ff,0x004fffff,0x7fffec00,0xfd000000,
    0x20005fff,0x005ffff9,0x7fffdc00,0x7ffdc0ff,0x7dc0003f,0x7fd45fff,
    0xfffb84ff,0x7fec003f,0x1ffeb9ac,0x0ffffee0,0xfffd0000,0x07fffc47,
    0x37ffffcc,0x4ffffa80,0x3ffffea0,0x00fffdef,0x537dff30,0x7cc0bff9,
    0xffffffff,0xffffffff,0xfd80001f,0x20001fff,0xffffffd8,0xffffffff,
    0xffffa804,0x3ffea004,0x805fffb5,0x00fffff8,0xfffe8000,0x806fff99,
    0x3e605ffe,0xfd007fff,0x403fffff,0xfffffffd,0x3fff6000,0x0001ffff,
    0x03ffff60,0x3fea0000,0x260003ff,0x0005ffff,0x3ffffe60,0x7ffdc6ff,
    0x7dc0003f,0x7fd45fff,0xfffb84ff,0x7fc4003f,0x03ffffff,0x01ffffdc,
    0x3fffa000,0x03fffe23,0x3fffffe6,0xffffa804,0x3ffff204,0x05ffffff,
    0x7ffffe40,0x3e600fff,0xffffffff,0xffffffff,0x6c0003ff,0x0001ffff,
    0xffffffd3,0xffffffff,0xffa809ff,0x7e4004ff,0x05fffeff,0x0fffff88,
    0xff880000,0x01fffeef,0x301fffb8,0xb00fffff,0x03ffffff,0x7de7ffdc,
    0xff7005ff,0x1dfff39f,0x3ff60000,0x800000ff,0x0004fffe,0x02ffffcc,
    0x1fffd000,0x7dc7fff9,0x40003fff,0x545ffffb,0xfb84ffff,0x98003fff,
    0x03fffffe,0x03ffffb8,0x6665c000,0x03333221,0x3fffffe6,0x7ffd401f,
    0x44ffe04f,0x00dfffda,0xfffffb80,0x7ffcc00d,0xffffffff,0xffffffff,
    0x3f60000f,0x88001fff,0xffffffff,0xffffffef,0x3ea03fff,0xe8004fff,
    0x00ffffff,0x0fffff88,0xff500000,0x2007ffff,0xf305fff8,0xfd80ffff,
    0x201fffff,0x3f66fff9,0x7fcc02ff,0x17ffea6f,0x7ffec000,0x5400000f,
    0x80004fff,0x005ffff9,0x45fff900,0xff71fffe,0xb80007ff,0x7d45ffff,
    0xffb84fff,0x260003ff,0xf7000aba,0x00007fff,0xff300000,0x80bfffff,
    0x204ffffa,0x009880aa,0x0d54c400,0xfffff980,0x99999999,0x3ffffffb,
    0x2aaa6000,0xffd8000a,0x4c1bffff,0x7fffffec,0x13fffea0,0x3fffe600,
    0xfff1002f,0x000001ff,0x037fffec,0x207fff20,0x207ffff9,0x2ffffffc,
    0x10e665c0,0xa9809999,0x555540aa,0xaaa80000,0x400000aa,0x00005ffd,
    0xaa800000,0x8d55442a,0x003ffffb,0x2ffffdc0,0x206aaaa2,0x001aaaa9,
    0xffb80000,0x000003ff,0xfff98000,0x202fffff,0x004ffffa,0x00000000,
    0x0fffff30,0x3ffffe20,0x00000005,0x77ffffdc,0xffffd801,0xffff502f,
    0x26620009,0x3fe20009,0x00000fff,0x004cccc0,0x21bffea0,0x707ffff9,
    0x05ffffff,0x00000000,0x00000000,0x00666000,0x00000000,0xfffb8000,
    0x7dc0003f,0x00005fff,0x19999880,0x26666200,0x87ffff70,0x00000aa8,
    0xffff3000,0x201fffff,0x314ffffa,0x44003333,0x98009999,0x7fcc001a,
    0x3f2007ff,0x10007fff,0x01579973,0x3fffffc0,0x3ffffe00,0x9ffff505,
    0x99731000,0xff100157,0x00001fff,0x2f32e620,0xff10009a,0xfff985ff,
    0xffffb87f,0x000002ff,0x332e6200,0x800009ab,0xabcccba8,0x4c400009,
    0x009abccb,0x0006a600,0x33331000,0x7ffff701,0xfffb8000,0x8000005f,
    0x007ffffa,0x5d3ffff6,0xfd33ffff,0x5c09ffff,0xc805ffff,0xff34ffff,
    0x9fffffff,0x53fffea0,0x007ffffa,0x413ffff6,0xdfffffe9,0x4cffff90,
    0x2007ffff,0x00fffffa,0x3ffffaa0,0x402effff,0x03fffff9,0x04de75c0,
    0x04ffffa8,0x3ffffaa0,0x202effff,0x00fffff8,0x7ffe4000,0x3fffffff,
    0x8dfffb00,0x547ffff9,0x02ffffff,0x9ffff700,0x7fffe400,0x03ffffff,
    0xffffb500,0x19ffffff,0xffffc800,0x03ffffff,0x3ffffa60,0xffff90df,
    0x7fff4000,0xffffb83f,0xfffff883,0x7fffdc0f,0x27fffd45,0x81ffffdc,
    0x007ffffa,0x5d3ffff6,0xffbbffff,0x0dffffff,0x0fffff88,0x8fffff40,
    0xfffffff9,0xffa81fff,0xffff54ff,0x7ffec00f,0xffffb84f,0xfc8effff,
    0x3ffe67ff,0x3ff2007f,0xfb1007ff,0xffffffff,0x3201bfff,0x0006ffff,
    0x7fffd400,0xfffd8804,0xffffffff,0xfff880df,0x100000ff,0xfffffffd,
    0x03ffffff,0x20ffffb8,0x267ffff9,0x03ffffff,0x3fffee00,0xfffe8804,
    0xffffffff,0xfb1001ff,0xffffffff,0x007fffff,0xffffffd1,0x3fffffff,
    0xfffffb80,0xffc8efff,0x3fa0007f,0xffb83fff,0x7ff443ff,0xffb81fff,
    0x7ffd45ff,0xffffb84f,0xfffff503,0x7fffec00,0xffffff74,0xffffffff,
    0x3fff60df,0x3ffe603f,0x3fffe66f,0x86ffffed,0xf54ffffa,0x6c00ffff,
    0x7dc4ffff,0xffffffff,0x27fffeff,0x007ffff9,0x0bffffd1,0xffffff50,
    0xffffffff,0xfffd01ff,0x8000009f,0x404ffffa,0xfffffffa,0xffffffff,
    0x7fffc40f,0xe980000f,0xffffffff,0x0fffffff,0x8bfffea0,0xf37ffff9,
    0x007fffff,0x4ffffb80,0x7ffff4c0,0xffffffff,0x74c00fff,0xffffffff,
    0xffffffff,0x3fffa603,0xffffffff,0xf700ffff,0xffffffff,0x0ffffdff,
    0x7ffff400,0x3ffffb83,0x0fffffec,0x45ffffb8,0xb84ffffa,0xf503ffff,
    0x6c00ffff,0xff74ffff,0x979fffff,0x07fffffd,0x40bffff5,0x263ffffb,
    0xffacffff,0x7fd43fff,0xffff54ff,0x7ffec00f,0x7ffffc4f,0xfffebbdf,
    0x3fe67fff,0x99999fff,0xffffba99,0x7fcc02ff,0xfeffffff,0x6fffffff,
    0x03fffff8,0x7fd40000,0x3fe604ff,0xfeffffff,0x6fffffff,0x07ffffc4,
    0x7ffec000,0xfeddffff,0x206fffff,0x264ffff9,0xff9fffff,0x002fffff,
    0x27fffdc0,0x3fffff60,0xfffeddff,0x3e206fff,0xffffffff,0xfffffffe,
    0xfffb02ff,0xfdbbffff,0x20dfffff,0xbdffffff,0xffffffeb,0x3ffa0007,
    0xfffb83ff,0x3ffff63f,0x3ffee01f,0x7fffd45f,0x3ffffb84,0x0fffff50,
    0xa7fffec0,0x1efffffb,0x0fffffc8,0x07ffffc4,0x20ffffe8,0xfb4ffff9,
    0x7d41ffff,0xfff54fff,0x7fec00ff,0x3ffee4ff,0xfffb81ff,0x3ffe67ff,
    0xffffffff,0xffffffff,0xffffd805,0xfb5109df,0x447fffff,0x002fffff,
    0x7ffd4000,0x3fff604f,0xb5109dff,0x47ffffff,0x00fffff8,0x7fffc400,
    0xffe981cf,0xff102fff,0x7ffccdff,0xffffffff,0x20000fff,0x204ffffb,
    0x1cfffff8,0xfffffe98,0xfffffb02,0xfeca837f,0xf887ffff,0x981cffff,
    0x42fffffe,0x81fffffb,0x07fffffb,0x3ffffa00,0x3ffffb83,0x05fffff9,
    0x45ffffb8,0xb84ffffa,0xf503ffff,0x6c00ffff,0xff74ffff,0x7fc05fff,
    0xffc83fff,0xfff983ff,0x7fffcc5f,0xbfffff14,0xaa7fffd4,0x2007ffff,
    0x3e4ffffd,0x3603ffff,0x3e67ffff,0xffffffff,0xffffffff,0xfffa804f,
    0x7fd403ff,0x3fe67fff,0x3e201fff,0xffffffff,0xfffa82ff,0xffff504f,
    0xfffa807f,0x3ffe27ff,0x540000ff,0x5405ffff,0x203fffff,0x3e67ffff,
    0xffffffff,0x004fffff,0x13fffee0,0x05ffffa8,0x1fffffd4,0x77ffffdc,
    0x7fffc401,0x7ffd42ff,0x7ffd405f,0x7fffc3ff,0x3fff603f,0x3fa0007f,
    0xffb83fff,0xffffbbff,0xfffb802f,0x7fffd45f,0x3ffffb84,0x0fffff50,
    0xa7fffec0,0x406ffffb,0x984ffffb,0xfb85ffff,0x7fcc2fff,0x3ffee4ff,
    0xffff51ff,0x1ffffea9,0x4ffffd80,0x80fffff1,0x267ffff9,0xffffffff,
    0xffffffff,0xfffd002d,0x3ff600bf,0xfff12fff,0x7fc405ff,0xffffffff,
    0xffffa82f,0xbffffd04,0x3ffff600,0xfffff12f,0xffc80001,0xffe803ff,
    0x3ffa05ff,0xffff30ff,0xffffffff,0x20003fff,0x204ffffb,0x803ffffc,
    0xe85ffffe,0x000fffff,0x8bfffff5,0x803ffffc,0x225ffffe,0x4c07ffff,
    0x0007ffff,0x20fffffa,0xffeffffb,0xf7003fff,0xffa8bfff,0xfffb84ff,
    0xffff503f,0x7ffec00f,0xbffff74f,0x5ffff980,0x81ffffd0,0x4c0ffffe,
    0x7f44ffff,0xfff56fff,0x3fffea9f,0x3fff6007,0xdffff34f,0x7ffff880,
    0x3fffffe6,0xffffffff,0x3fea000d,0xf1001fff,0xfff837bf,0x3fe203ff,
    0xffffffff,0xffffa82f,0xfffffa84,0x7bff1001,0x7ffffc43,0x7fdc0000,
    0xaa9807ff,0x3ff6009a,0xffff30ff,0xff17ffff,0x2000dfff,0x204ffffb,
    0x807ffffb,0x4c09aaa9,0x003fffff,0x204de764,0x807ffffb,0x2609aaa9,
    0x4406ffff,0x0007ffff,0x20fffffa,0xfffffffb,0xf7002fff,0xffa8bfff,
    0xfffb84ff,0xffff503f,0x7ffec00f,0x9ffff74f,0x7ffff980,0x47ffff70,
    0x985ffff8,0x7cc4ffff,0xffabffff,0xffff54ff,0x7ffec00f,0xbffff54f,
    0x4fffff00,0x317ffff9,0x9fffffd5,0x7fffe400,0x3a004005,0x2204ffff,
    0xffffffff,0xffa82fff,0xfffc84ff,0x1004005f,0x001fffff,0xfffffa80,
    0x900000bf,0x3e63ffff,0x24ffffff,0x04fffffc,0x4ffffb80,0x3ffffea0,
    0x320000bf,0x0006ffff,0xfffff500,0x2a00017f,0xf805ffff,0x20007fff,
    0xb83ffffe,0xffffffff,0xfb800fff,0x7fd45fff,0xfffb84ff,0xffff503f,
    0x7ffec00f,0x7ffff74f,0x7ffff880,0x4bffff10,0x982ffffb,0xfc84ffff,
    0xfffbffff,0xfffff54f,0x7fffec00,0x0bffff74,0x4cffffd0,0xf907ffff,
    0x001dffff,0x009ffffb,0xffffd800,0x55555405,0x82fffffa,0xd84ffffa,
    0x0004ffff,0x3ffffe20,0x7fc40000,0xbeffffff,0x3fee0001,0xffff31ff,
    0xfff889ff,0x5c001fff,0x2204ffff,0xffffffff,0x7f4001be,0x00004fff,
    0xffffff10,0x40037dff,0x805ffffb,0x0007fffe,0x20fffffa,0xfffffffb,
    0xb804ffff,0x7d45ffff,0xffb84fff,0xfff503ff,0x7fec00ff,0xffff74ff,
    0xffff8809,0x3ffff606,0x20ffffd0,0x884ffff9,0xffffffff,0xffff54ff,
    0x7ffec00f,0xdffff54f,0x4fffff00,0x207ffff9,0x05fffffd,0x03ffffe8,
    0x7ffe4000,0xff8001ff,0xffa82fff,0xfffe84ff,0x2200003f,0x000fffff,
    0xfffffa80,0x2dffffff,0x7fffe400,0x9fffff30,0x3ffffea0,0x7ffdc006,
    0x7ffd404f,0xffffffff,0xffff802d,0x2000003f,0xfffffffa,0x402dffff,
    0x806ffffa,0x0007ffff,0x20fffffa,0xdffffffb,0x400fffff,0x545ffffb,
    0xfb84ffff,0xff503fff,0x7ec00fff,0xfff74fff,0xfff980bf,0x3ffea05f,
    0x4ffff8bf,0x09ffff30,0x3fffffea,0xfff54fff,0x7fec00ff,0xffff34ff,
    0xffff880f,0x1ffffe67,0xffffff88,0x7ffffc03,0x7c400002,0x8005ffff,
    0xa82fffff,0xff84ffff,0x00002fff,0x03ffffe2,0x7ffe4000,0xffffffff,
    0xff9004ff,0x7fffccff,0x7ffff407,0x3fee003f,0xffc804ff,0xffffffff,
    0xff104fff,0x00005fff,0xfffffc80,0xffffffff,0xfffff304,0x7ffff880,
    0x3fffa000,0xffffb83f,0xbffff95f,0x5ffffb80,0x427fffd4,0x503ffffb,
    0x400fffff,0xf74ffffd,0x5c01ffff,0x7c04ffff,0xfffbdfff,0xffff301f,
    0x7fffec09,0xff54ffff,0x7ec00fff,0xfff14fff,0x7fe405ff,0x3ffe67ff,
    0x7ffd407f,0xff101fff,0x00003fff,0x5fffff90,0x7fffc400,0xffffa82f,
    0x7ffffc44,0x3e200001,0x0000ffff,0x3ffffea0,0xffffffff,0x6fffd805,
    0x01ffffe6,0x3ffffff3,0x3fffee00,0xffff5004,0xffffffff,0xffff30bf,
    0x7ffc403f,0xffffffff,0xfffff502,0xffffffff,0xfffff10b,0x7fffe405,
    0x3ffa0007,0xfffb83ff,0xffff10ef,0x7ffdc03f,0x7fffd45f,0x3ffffb84,
    0x0fffff50,0xa7fffec0,0x03fffffb,0x00fffffe,0xffdffff9,0x7ffcc0df,
    0x3ffe604f,0xf54fffff,0x6c00ffff,0x3f64ffff,0xff306fff,0x7fccffff,
    0xffd807ff,0xff306fff,0x00003fff,0xffffff10,0xffff7007,0xfff505ff,
    0xffff989f,0x2200001f,0x000fffff,0x7fedc400,0xffffffff,0x3ff600ef,
    0x3fffe65f,0xffffd807,0xfff7006f,0x6dc4009f,0xffffffff,0x3e20efff,
    0x2202ffff,0xffffffff,0x2e202fff,0xfffffffd,0x6c0effff,0xf306ffff,
    0x000fffff,0x41fffff4,0x5c3ffffb,0x2e06ffff,0x7d45ffff,0xffb84fff,
    0xfff503ff,0x7fec00ff,0xffff73ff,0xffd887ff,0xff9807ff,0x03ffffff,
    0x013fffe6,0xfffffff9,0x1ffffea9,0x3ffffd80,0x3bffffea,0xffffb98a,
    0x3ffe67ff,0xfff8807f,0xfff03fff,0x000005ff,0x3ffffff2,0xeca98abd,
    0x2fffffff,0x84ffffa8,0x002fffff,0x3fffe200,0xaaaaaabf,0x00aaaaaa,
    0xffffb710,0x40bfffff,0x3e63fffe,0xf8807fff,0x803fffff,0x004ffffb,
    0xffffb710,0xf8bfffff,0x2203ffff,0xffffffff,0x71002fff,0xfffffffb,
    0xfffa8bff,0xfb98aeff,0x007fffff,0x0fffffa0,0x20ffffee,0x703ffffe,
    0xfa8bffff,0xffb84fff,0xfff503ff,0x7fec00ff,0xffff73ff,0xffb9dfff,
    0x2007ffff,0xfffffffe,0x3fffe600,0xffffe804,0xffff54ff,0x7ffec00f,
    0x7ffff43f,0xffffffff,0x3fe67fff,0xff5007ff,0xfd01ffff,0x00007fff,
    0x7ffffe40,0xffffffff,0x0effffff,0x84ffffa8,0x003ffffe,0x3fffe200,
    0xffffffff,0x01ffffff,0xffff7300,0x3fe20fff,0x3ffe62ff,0xfff7007f,
    0xfb801fff,0x00004fff,0xffffff73,0x4fffff8f,0x3ffffe20,0x02ffffff,
    0xffff7300,0xfffd0fff,0xffffffff,0x000fffff,0x41fffff4,0xa83ffffb,
    0xb80fffff,0x7d45ffff,0xffb84fff,0xfff303ff,0x7fec00ff,0xffff73ff,
    0xffffffff,0x5c00dfff,0x05ffffff,0x027fffcc,0x7fffffd4,0x0fffff34,
    0x1ffffec0,0x3fffffa2,0xfffaffff,0x3fffe67f,0x3fff6007,0xfffd85ff,
    0x0154004f,0xffffff70,0xffffffff,0x2a01bfff,0xfd84ffff,0x54004fff,
    0xfffff102,0xffffffff,0x003fffff,0xffffc880,0xffff981f,0x1ffffe61,
    0xfffffe80,0x7fffdc05,0x64400004,0x3a1fffff,0x5405ffff,0xfffaaaaa,
    0x440002ff,0x41fffffc,0xffffffe8,0xffffafff,0x3ffa0007,0xfffb82ff,
    0xffffb03f,0xbffff709,0x84ffffa8,0x303ffffb,0x400fffff,0xf73ffffe,
    0xfff77fff,0x01bfffff,0x7ffffc40,0x7ffcc02f,0xfffb004f,0x3ffe69ff,
    0x3ffa007f,0xffd883ff,0xff2fffff,0x7ffccfff,0x3fe2007f,0x7e42ffff,
    0x74006fff,0x5400adff,0xffffffff,0x1dffffff,0x27fffd40,0x037fffe4,
    0x42b7ffa0,0xfffffff8,0xffffffff,0xdd951fff,0x7ff4009f,0xfffb83ff,
    0x3ffffcc7,0xfffff500,0x7ffdc07f,0xfdd9504f,0x7fff4009,0x3fffee3f,
    0xfff8001f,0xfdd952ff,0x7fff4009,0xfffd883f,0xfff2ffff,0x6554c4ff,
    0x3ffffa02,0x3ffffb82,0x1fffff30,0x45ffffb8,0xb84ffffa,0xf103ffff,
    0x2003ffff,0xf72fffff,0x3fa67fff,0x0003efff,0x00fffffb,0x009ffff3,
    0x53ffffe2,0x01fffff8,0x05fffff0,0x05eff654,0x7ccfffff,0x54007fff,
    0x20ffffff,0x02fffffa,0x5fffff30,0x3ffb2600,0x0aceffff,0x9ffff500,
    0x5fffff50,0x3fffe600,0xfffff12f,0xffffffff,0x2a3fffff,0x2007ffff,
    0xd84ffffd,0x7fcc4fff,0x7ec007ff,0x700fffff,0x2a07ffff,0x2007ffff,
    0x224ffffd,0x005fffff,0x52fffff8,0x400fffff,0x204ffffd,0x20bdfeca,
    0x3e67ffff,0x3fe05fff,0xffb82fff,0x3ff603ff,0x7ffdc5ff,0x7fffd45f,
    0x3ffffb84,0x1bffffe0,0x3ffffea0,0x87ffff71,0x40000a98,0x004ffffd,
    0x0accca80,0x3ffffe00,0xffffa806,0x7fc0001f,0x32a007ff,0x20000acc,
    0x006ffffe,0x00fffffd,0x07fffd50,0x56665400,0xdffffd00,0x3ffffa00,
    0xaccca807,0xffff1000,0xfff3005f,0xffff05ff,0xccca8003,0xfb80000a,
    0xff103fff,0xf3005fff,0xfd85ffff,0x2002ffff,0x12fffff8,0x005fffff,
    0x05fffff3,0x7ffff800,0x41ffffe2,0x01fffff8,0x00af3320,0x0000ffc8,
    0x01ffffdc,0x07fffffb,0x3fffffc4,0x007ffff7,0x3ffe6000,0xb80001ff,
    0x004fffff,0x07fffffb,0x3fffffc4,0x8026af32,0x006ffff8,0x13ffffee,
    0x7fffd400,0x3ff600df,0x44004fff,0x04ffffff,0xfffff900,0xfffff507,
    0x7ffec01b,0xffc804ff,0xfd003fff,0xd803ffff,0xf987ffff,0xfb8006ff,
    0x0004ffff,0x01ffffe4,0x03fffffd,0x87ffffd8,0x3ffffff9,0xfffffb80,
    0x3ffffa2f,0x7ffec01f,0x4d5e647f,0x3fffe200,0x17ffffc6,0x03ffffdc,
    0x3fffffe0,0x007fd801,0x3ffffc80,0x3ffffe60,0xeb989cef,0x2e3fffff,
    0x0003ffff,0xffffd880,0xb9500006,0x3003fffd,0x9dffffff,0xfffd7313,
    0xfffd87ff,0xfff900ff,0x6e54009f,0x0001fffe,0x7ffffffb,0xfffd7315,
    0x88001fff,0x1fffc99a,0xffdca800,0xfffd80ff,0xb98abfff,0x0ffffffe,
    0xfffdca80,0xfffb801f,0x5309cfff,0x0bfffffd,0x0009fff9,0x3fffdb95,
    0x3ffe6000,0x3fee02ff,0x309cffff,0xbfffffd5,0x3ffffee0,0xca98abef,
    0xffffffff,0x3ffffee2,0xfd5309cf,0xfd8bffff,0xf900ffff,0xffe89fff,
    0xfb98bfff,0x4005ffff,0x06fffecc,0x40007fe8,0x02fffff9,0x7fffffec,
    0xffffffff,0x3fee0fff,0x980003ff,0xfffffcaa,0x8800003f,0xfb003fff,
    0xffffffff,0xffffffff,0xfffffb81,0xffcb99be,0x10001fff,0x20007fff,
    0xfffffff8,0xffffffff,0xf00002ff,0x980007ff,0xff882fff,0xffffffff,
    0x2fffffff,0x3fff9800,0xfffffb00,0xffffffff,0xfd05ffff,0x880001ff,
    0x7c003fff,0x1fffffff,0x7ffffec0,0xffffffff,0x3602ffff,0xffffffff,
    0xffffffff,0x7ec0efff,0xffffffff,0xffffffff,0x7ffffdc2,0xffcb99be,
    0x7fcc1fff,0xffffffff,0x0001ffff,0xf003fff2,0xff0005ff,0x03ffffff,
    0xfffffe98,0xffffffff,0x7ffdc3ff,0xfa80003f,0x6fffffff,0xff700000,
    0x3fa6005f,0xffffffff,0x83ffffff,0xfffffff8,0xffffffff,0x3fee0004,
    0x3a20002f,0xffffffff,0x03ffffff,0x5fff5000,0xfffc8000,0xffffd101,
    0xffffffff,0x2e0007ff,0xd1001fff,0xffffffff,0x9fffffff,0x007fff50,
    0x05fff700,0x7ffffc40,0x74400fff,0xffffffff,0x4fffffff,0xfffffc80,
    0xffffffff,0x880dffff,0xfffffffe,0xffffffff,0xfffff884,0xffffffff,
    0xfffb04ff,0xffffffff,0xfe80009f,0xeffe806f,0x7c40298a,0x07ffffff,
    0xfffffb10,0xdfffffff,0x7ffff703,0xfff30000,0x003fffff,0xfeeee880,
    0x44006fff,0xfffffffd,0x01efffff,0x3fffffe6,0xefffffff,0xeeee8800,
    0x0006ffff,0xffffff70,0x05ffffff,0xfbddd100,0x4c00dfff,0xffffeeee,
    0xffffb805,0xffffffff,0xeeee9802,0x4005ffff,0xffffffd8,0x3fffffff,
    0x800dffb0,0xfffeeee8,0x7fd4006f,0x002fffff,0xffffffb1,0x7fffffff,
    0x7fffd400,0xffffffff,0x6c401dff,0xffffffff,0x203fffff,0xfffffff9,
    0x0effffff,0xfffffb10,0x009fffff,0x7ff7775c,0xffc802ff,0x5407ffff,
    0x1fffffff,0x7fff5400,0x04efffff,0x00ffffee,0x3fffe200,0x80001eff,
    0xfffffff8,0xfd50000c,0xdfffffff,0x3ff26009,0xffffffff,0x3ffe2003,
    0x000cffff,0x3ffb2600,0x003fffff,0x3ffffe20,0x7d4004df,0x03ffffff,
    0x3fffb260,0x2003ffff,0xfffffff9,0x3f660004,0xefffffff,0x5fff300c,
    0xffff8800,0x4000cfff,0x4ffffffb,0xfffd9800,0x0cefffff,0xfffb5000,
    0x159dffff,0xfffd9800,0x0cefffff,0xffffc980,0x03ffffff,0xffffff50,
    0xfc8005bf,0x02efffff,0x3fffff60,0x7fffe407,0x220003ff,0x00aaaaa9,
    0x00999988,0x79b97000,0xaa800005,0x00001abb,0x2aaaaa62,0x97510000,
    0x00135999,0x03577550,0x2a600000,0x2600001a,0x20001baa,0x01abcaa8,
    0x01aa9800,0x2aeeaa00,0x4c400001,0xb8009aaa,0x550005ee,0x40003577,
    0x001bcba8,0x35553100,0x99800001,0x400000aa,0x009aaa98,0x99975100,
    0x10001359,0x00013553,0x02ab2aa2,0x0de5c400,0x4dee5c40,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x19910000,0x0000b2e0,0x21333310,
    0x80019999,0x26625eeb,0x00000099,0x0fffffc4,0x26662000,0x004ccc40,
    0x7fcc0000,0x00000eff,0xfffff300,0x31000001,0x30001333,0x33330333,
    0x99998000,0x99800009,0x01999819,0x30333300,0x4c000333,0x09998099,
    0x26066620,0x33220199,0x00059700,0x0ccccc40,0x26620000,0x00000199,
    0x26660000,0x00000099,0x00999998,0x309ff100,0x400007ff,0xf55ffff9,
    0x88007fff,0x3fea3fff,0x000004ff,0x017fffe4,0x37ffcc00,0x001ffff1,
    0xffe88000,0x00004fff,0xfffffd00,0xf880000b,0x8002ffff,0x3f22fffc,
    0x2a0003ff,0x000effff,0x23fffc80,0x0004fffb,0x7dc7fff7,0x360004ff,
    0x3ff22fff,0x3ffee03f,0x817ffea4,0xff984ff8,0x3fa00003,0x00002fff,
    0x01fffff4,0x11ffff40,0x0001ffff,0x017ffff2,0xfff50000,0x6c0001df,
    0xfeb9acff,0x3200001f,0xffd0efff,0xff90009f,0x7fffd41f,0x22000004,
    0x0002ffff,0x753ffee0,0x00001fff,0xfffffd80,0x000002ff,0x7fffffe4,
    0x2e00003f,0x0002ffff,0xf51fffd1,0xe8000dff,0x0000efff,0x2a7fffa0,
    0x40006fff,0xff99fffe,0x7c40006f,0xfffb8fff,0xafffd805,0x400efff9,
    0xeb99cffe,0x500000ff,0x0007ffff,0x4ffffa80,0x7fffd000,0x007fffc4,
    0x3ffff900,0x7f400000,0x40000eff,0xfffffff8,0x2200003f,0xff50ffff,
    0xff1000df,0xffffa8bf,0x2e000004,0x00003fff,0xffefffd8,0x8000004f,
    0xff8cfffa,0x000000ff,0xff1bfff5,0x200001ff,0x0003fffe,0x7ff7ffcc,
    0x2a0000ff,0x0000ffff,0x7f7ffcc0,0x40000fff,0xfffefff8,0xfa80001f,
    0x0ffffeff,0xeffff880,0xf8801fff,0x3fffffff,0x3ffa0000,0xd800004f,
    0x20004fff,0x3e23fffe,0x40000fff,0x0005fffd,0x1ffff500,0x3fa60000,
    0x0003ffff,0xd0fffe40,0x90001dff,0xffa83fff,0x000004ff,0x00013ffe,
    0x7ffffc40,0x8000006f,0xf50efff8,0x00000bff,0x261ffff1,0x80006fff,
    0x0004fffa,0xffffff70,0xffd80005,0x7000001f,0x07ffffff,0x3ffea000,
    0x00003fff,0x3ffffff2,0x3ffea002,0x26004fff,0x03fffffe,0x3ffea000,
    0xf9800004,0x740005ff,0x3fe23fff,0xd80000ff,0x00000fff,0x001fffd8,
    0x0aba9800,0x7fc40000,0x07ffe62f,0x1bffe200,0x006aaaa2,0x15544000,
    0x3ea00000,0x0001ffff,0x0aaa9800,0x00055554,0x06aaa600,0x00015553,
    0x0004ffe8,0x2fffff40,0x3ffe6000,0x6c000001,0x0005ffff,0x37fffec0,
    0x7ff40000,0xfc8004ff,0x30006fff,0x00001575,0x0005ffd8,0x00bffb00,
    0x81333100,0x00001999,0x00013ffa,0x003fff30,0x00000000,0x31026620,
    0x3f600013,0x000004ff,0x00000000,0x004cccc0,0x00000000,0x00000000,
    0x01998000,0x99988000,0x99880001,0x88000000,0x00009999,0x00000000,
    0x00033331,0x00000000,0x00333000,0x00ccc000,0x0ccccc40,0x13333100,
    0x02662000,0x13310000,0x2a600000,0x0000abcc,0x57995300,0x3fe60001,
    0x000001ff,0x26666620,0x99999999,0x99999999,0x26666099,0x99999999,
    0x4cc40019,0x99880099,0x98800999,0x26660999,0x98800199,0x4cc09999,
    0x99999999,0x99999999,0x99999981,0x99999999,0x4cc19999,0x99999999,
    0x98001999,0x99999999,0x99999999,0x44000999,0x00009999,0x40033333,
    0x88099998,0x31009999,0x33333333,0x33333333,0x99999833,0x99988001,
    0x26666099,0x26662001,0xfffff509,0x7fffec00,0x4ccc4004,0x99880009,
    0x99999999,0x99999999,0xfffd9001,0x1bffffff,0xffec8000,0xdfffffff,
    0x3ffee000,0x9ffff507,0xfff90000,0xffffffff,0xffffffff,0x3e67ffff,
    0xffffffff,0xceffffff,0x7fffec00,0xffffe805,0xfffe806f,0x3ffff22f,
    0x3fe2004f,0x7fc0ffff,0xffffffff,0xffffffff,0x7ffffc0f,0xffffffff,
    0x30ffffff,0xffffffff,0xdfffffff,0xfff98019,0xffffffff,0xffffffff,
    0x3fe2004f,0x4000ffff,0x02fffff9,0x09ffff50,0x20dffff7,0xfffffffa,
    0xffffffff,0x3f20ffff,0x2004ffff,0x0ffffff8,0x05fffff3,0x53fffea0,
    0x007ffffa,0x013ffff6,0xffffff88,0x7ffd4000,0xffffffff,0xffffffff,
    0x3fffa600,0xffffffff,0xe98003ff,0xffffffff,0x003fffff,0x2a0bfffd,
    0x0004ffff,0x7fffffc4,0xffffffff,0xffffffff,0xffff33ff,0xffffffff,
    0x03ffffff,0x03ffffdc,0x3fffffe2,0x3ffe200f,0x7fff40ff,0xff9001ff,
    0xfff05fff,0xffffffff,0xffffffff,0xffffff81,0xffffffff,0xf30fffff,
    0xffffffff,0xffffffff,0x7ffcc03f,0xffffffff,0xffffffff,0x3fee004f,
    0x4003ffff,0x06fffff9,0x09ffff50,0x20dffff7,0xfffffffa,0xffffffff,
    0x7f40ffff,0x9001ffff,0x4c5fffff,0x006fffff,0x2a9ffff5,0x2007ffff,
    0x004ffffd,0x3fffffee,0x7ffd4003,0xffffffff,0xffffffff,0xfffff700,
    0xffffffff,0x2001dfff,0xfffffffb,0xffffffff,0x3fe200ef,0xfff503ff,
    0xfc80009f,0xffffffff,0xffffffff,0x3fffffff,0xfffffff3,0xffffffff,
    0x2607ffff,0x200fffff,0xfffffffa,0x3fffea02,0xfffff987,0xffff9805,
    0xfffff05f,0xffffffff,0x81ffffff,0xffffffff,0xffffffff,0xfff30fff,
    0xffffffff,0xffffffff,0x3fffe607,0xffffffff,0xffffffff,0x3fffa004,
    0x4c007fff,0x04ffffff,0x84ffffa8,0x506ffffb,0xffffffff,0xffffffff,
    0xff981fff,0xf9805fff,0x7cc5ffff,0x804fffff,0xf54ffffa,0x6c00ffff,
    0x2004ffff,0x7ffffffe,0x7fffd400,0xffffffff,0x0fffffff,0xffffffa8,
    0xffffefff,0xa806ffff,0xffffffff,0xffffffef,0x3fea06ff,0xfff502ff,
    0x7c40009f,0xffeeffff,0xffffffff,0xffffffff,0xffffff33,0xffffffff,
    0x01ffffff,0x80bffffe,0xfffffffc,0x3fffee04,0xfffffb05,0xffffd805,
    0xfffff00f,0xffffffff,0x81ffffff,0xffffffff,0xffffffff,0xfff30fff,
    0xffffffff,0xffffffff,0xffff301f,0xffffffff,0xffffffff,0x3ffe6009,
    0x002fffff,0x3fffffe6,0x7ffd401f,0xffffb84f,0xfffff506,0xffffffff,
    0x01ffffff,0x05fffffb,0x0fffffd8,0x7fffffcc,0x7ffd401f,0xfffff54f,
    0x7fffec00,0xffff3004,0x4005ffff,0xfffffffa,0xffffffff,0x7440ffff,
    0x0affffff,0x7ffffe4c,0x3ffa204f,0x4c0affff,0x4ffffffc,0x05ffff90,
    0x013fffea,0x5ffffb80,0x26fffffa,0x99999999,0xfff30999,0x333333ff,
    0xfffff733,0x3fff607f,0x3fffe04f,0x3606ffff,0xf103ffff,0x201fffff,
    0x03fffffa,0x26666666,0xfffa9999,0x99984fff,0x99999999,0x4ffffffa,
    0x27ffffe6,0xb9999999,0x03ffffff,0x73333333,0x333dffff,0x20013333,
    0xfffffffc,0x3fe6005f,0x405fffff,0xb84ffffa,0xf506ffff,0x3333ffff,
    0x33333333,0x3ffe2033,0xff500fff,0xff307fff,0x80bfffff,0xf54ffffa,
    0x6c00ffff,0x9004ffff,0xffffffff,0x7ffd400b,0x999999ff,0x19999999,
    0xdfffffc8,0x7fff4c00,0xfff900ff,0xe9801bff,0xd80fffff,0xf501ffff,
    0x40009fff,0x3a2fffff,0x0003ffff,0x01ffffe6,0x2fffffc4,0x05ffffb8,
    0xfffffff3,0x3ffe01ff,0x3fea01ff,0xffd04fff,0x40000dff,0x06fffffe,
    0xffffe800,0x7fffcc6f,0xffff1007,0xff5000bf,0x20000dff,0xffffffff,
    0xff3000ff,0x05ffffff,0x427fffd4,0x506ffffb,0x000fffff,0xfffff500,
    0x3ffffa09,0xfffff306,0x7d405fff,0xfff54fff,0x7fec00ff,0xfff004ff,
    0x1fffffff,0x3fffea00,0xff300007,0x4400dfff,0x985fffff,0x006fffff,
    0x17ffffe2,0x403ffffa,0x004ffffa,0x8dffff50,0x003ffffe,0x1ffffe60,
    0x7ffffc80,0x0fffff30,0x3fbfffee,0xff981fff,0xffd807ff,0x7fdc0fff,
    0x00001fff,0x1ffffffb,0xfffd8000,0x7fcc0fff,0x3f2007ff,0xa8007fff,
    0x0006ffff,0xddffffa8,0x3003ffff,0xffffffff,0x3ffea01f,0xffffb84f,
    0xfffff506,0x3f600000,0x7dc0ffff,0xf301ffff,0xffffffff,0x3fffea01,
    0x0fffff54,0x27fffec0,0x6ffffd40,0x003ffffd,0x00fffff5,0x3ffff200,
    0x7fe4001f,0x7fe41fff,0x64001fff,0x741fffff,0x3ea07fff,0xd0004fff,
    0xfe87ffff,0x20003fff,0x007ffff9,0x03ffffea,0x40fffffc,0xffaffffd,
    0xfffa84ff,0xfff8805f,0x3ffe25ff,0x700004ff,0x03ffffff,0xffffb800,
    0xfff981ff,0x3fea007f,0x54000fff,0x0006ffff,0xaaffffd8,0x3007ffff,
    0xffffffff,0x3ffea09f,0xffffb84f,0xfffff506,0x3e200000,0x3e25ffff,
    0x2604ffff,0xffffffff,0xffff504f,0x1ffffea9,0x4ffffd80,0xaffffd80,
    0x007ffffa,0x00fffff5,0x3ffffa00,0xfff88005,0x7fff42ff,0xff88005f,
    0x7ffc2fff,0x3ffea06f,0xffa8004f,0xfffe87ff,0x3e60003f,0x32007fff,
    0x3a07ffff,0xff83ffff,0xffff8eff,0x3ffffc86,0xfffff700,0x3bffff65,
    0xff980000,0x0002ffff,0x7fffffcc,0xfffff302,0x7fffe400,0xfffa8007,
    0x7c40006f,0xfff17fff,0xff3005ff,0xffffffff,0x9ffff503,0x0dffff70,
    0x01ffffea,0xfffb8000,0xffffb2ff,0x7ffcc01d,0x1fffffff,0x54ffffa8,
    0x400fffff,0x404ffffd,0xf17ffff8,0x5005ffff,0x000fffff,0x7fffff10,
    0x3fffa000,0x3fffe23f,0xffd0003f,0xffff87ff,0x3fffea05,0xfffe8004,
    0xffffe83f,0x3fe60003,0xfd1007ff,0x7e40bfff,0x7fcc4fff,0xffffd3ff,
    0x03ffffd0,0x77ffff40,0x02fffff9,0xffff8800,0x440004ff,0x04ffffff,
    0x01ffffe6,0x2fffff44,0x7fffd400,0x7fdc0006,0x3fff24ff,0xfff9805f,
    0x6ffffedf,0x84ffffa8,0x506ffffb,0x000fffff,0xffffe800,0x2fffff9e,
    0x6ffffcc0,0xa86ffffe,0xff54ffff,0x7ec00fff,0x7dc04fff,0x3ff24fff,
    0xffa805ff,0x980007ff,0x002fffff,0x4bffffb0,0x02fffff9,0xbffffb00,
    0x206ffff8,0x004ffffa,0x07ffffcc,0x7ffffff4,0xffffffff,0x3ffe62ff,
    0x999999ff,0xfffffba9,0x3ffea02f,0x7fffdc6f,0x83ffff71,0x4007ffff,
    0xfffffff9,0x00005fff,0x0bfffffd,0xffffd000,0xfff980bf,0x999999ff,
    0xfffffba9,0xffa8002f,0x740006ff,0x3e61ffff,0x4c00ffff,0xffacffff,
    0x7fd43fff,0xfffb84ff,0xffff506f,0xffffffff,0x01ffffff,0x3ffffe60,
    0x805fffff,0xfacffff9,0x7d43ffff,0xfff54fff,0x7fec00ff,0x7ff404ff,
    0x3ffe61ff,0x7fd400ff,0xffffffff,0xffffffff,0x3ffffe60,0xfff90001,
    0x7fffccdf,0xff90001f,0xfffe8dff,0x3fffea06,0x7ffec004,0xffffd04f,
    0xffffffff,0x7cc5ffff,0xffffffff,0xffffffff,0x7fc405ff,0x3ff60fff,
    0x3fffe67f,0x17fffe63,0x3ffff200,0x000fffff,0xfffffd80,0x7ec0000e,
    0x400effff,0xfffffff9,0xffffffff,0x0005ffff,0x00dffff5,0x37fffcc0,
    0x027ffff4,0x6d3fffe6,0x2a0fffff,0xfb84ffff,0xff506fff,0xffffffff,
    0xffffffff,0x7ffe4001,0x00ffffff,0xb4ffff98,0x541fffff,0xff54ffff,
    0x7ec00fff,0x3e604fff,0xffe86fff,0x7fd404ff,0xffffffff,0xffffffff,
    0x3ffffea0,0xfff70000,0x7fffd4ff,0xff70000f,0xfffe8fff,0x3fffea07,
    0x3ffe6004,0xfffd01ff,0xffffffff,0x4c5fffff,0xffffffff,0xffffffff,
    0xffd004ff,0x7fffc3ff,0x737fffc5,0x0007ffff,0xfffffff1,0xf700007f,
    0x003fffff,0xfffffb80,0xfff9801f,0xffffffff,0x4fffffff,0x3ffea000,
    0x3f60006f,0xffc84fff,0x7fcc07ff,0xffff14ff,0x7fffd4bf,0x6ffffb84,
    0xffffff50,0xffffffff,0x4001ffff,0xfffffff8,0xfff3003f,0x3fffe29f,
    0x3fffea5f,0x0fffff54,0x27fffec0,0x09ffffb0,0x80fffff9,0xfffffffa,
    0xffffffff,0x3fea0fff,0x70000fff,0x7d4fffff,0x0000ffff,0xd8fffff7,
    0xf500ffff,0x64009fff,0x3a05ffff,0xffffffff,0xffffffff,0x3ffffe62,
    0xffffffff,0x2002dfff,0xf33ffffc,0xffd87fff,0x3ffff67f,0xfff50001,
    0x0000dfff,0x5ffffff5,0xfffa8000,0xf3002fff,0xffffffff,0xbfffffff,
    0xffa80005,0xf10006ff,0xf103ffff,0x4c05ffff,0x3ee4ffff,0xff51ffff,
    0xfff709ff,0x3ffea0df,0xffffffff,0x0fffffff,0x7fffd400,0x3e6006ff,
    0x3fee4fff,0xfff51fff,0x3fffea9f,0x3fff6007,0xffff103f,0xffff103f,
    0x7ffd405f,0xffffffff,0x0fffffff,0x07ffffe2,0x7fffe400,0x3ffffe26,
    0xfff90001,0xffffb8df,0x9ffff500,0x3fffe200,0x3fffa02f,0xaaaaaacf,
    0x260aaaaa,0xffffffff,0x0dffffff,0xffffa800,0x83ffff95,0xfd1ffffb,
    0x40001fff,0x01fffffd,0x7fffc400,0x440003ff,0x03ffffff,0x3ffffe60,
    0xffffffff,0x500000df,0x000dffff,0x81bfffee,0x205ffffe,0x744ffff9,
    0xff56ffff,0xfff709ff,0x3ffea0df,0xaaaaaaff,0x0aaaaaaa,0xffffd800,
    0x3fe6001f,0x7fff44ff,0x9ffff56f,0x01ffffea,0x03ffffd8,0x40dffff7,
    0x205ffffe,0xaafffffa,0xaaaaaaaa,0x7ffc0aaa,0xfb0002ff,0xfff8bfff,
    0xfb0002ff,0xff98bfff,0xfff501ff,0x3ff2009f,0xeeeeefff,0x3fffffee,
    0x3ffe6000,0xffd5317f,0x10009fff,0x3fafffff,0xfff987ff,0x6ffff8bf,
    0x7ffdc000,0x7440006f,0x005fffff,0x7ffff440,0x7fcc005f,0xfd5317ff,
    0x0009ffff,0x1bfffea0,0x7ffff400,0xdaaaaaad,0x300fffff,0xf989ffff,
    0xffabffff,0xfffb84ff,0xffff506f,0x4000000f,0x006ffffb,0x227fffcc,
    0xabfffff9,0xff34ffff,0x7ec00fff,0xffd03fff,0x55555bff,0x1fffffb5,
    0x1ffffea0,0x7fff4000,0xffd0003f,0xfffe87ff,0xffd0003f,0xffff07ff,
    0x3fffea07,0xffff8804,0xffffffff,0x03ffffff,0x3fffe600,0xfffff907,
    0xfff8001d,0x5ffff9ff,0xf5bffff0,0x80009fff,0x006ffffb,0x7ffffec0,
    0x7ec0000e,0x000effff,0x83ffffcc,0x0efffffc,0x7ffd4000,0xff98006f,
    0xffffffff,0xffffffff,0x9ffff304,0x7fffff90,0xf709ffff,0x3ea0dfff,
    0x00007fff,0x3fffee00,0x7ffcc006,0xffffc84f,0x34ffffbf,0x400fffff,
    0x983ffffe,0xffffffff,0xffffffff,0xfff504ff,0x360000ff,0x8006ffff,
    0x42fffff9,0x006ffffd,0x2fffff98,0x505fffe8,0x7009ffff,0xffffffff,
    0xffffffff,0x4c0007ff,0x3607ffff,0x005fffff,0x7effffec,0xffb02fff,
    0x5ffff9ff,0xfffb8000,0x3ee0006f,0x000fffff,0x7ffffdc0,0xff98000f,
    0x3ff607ff,0x40005fff,0x006ffffa,0xffffffc8,0xffffffff,0xf307ffff,
    0xff109fff,0xffffffff,0xdffff709,0x1ffffea0,0xfb800000,0x4c006fff,
    0xf884ffff,0xffffffff,0xfffff14f,0x3fffe003,0xffffc82f,0xffffffff,
    0x07ffffff,0x00fffff5,0x3fffee00,0x7ff4003f,0x7fdc0fff,0x74003fff,
    0xb80fffff,0xff507fff,0xfff009ff,0xffffffff,0xffffffff,0x7fcc0007,
    0x3fe207ff,0x2003ffff,0xfffffffb,0xfff500ff,0x01ffffff,0xffffb800,
    0xfff50006,0x80003fff,0x1ffffffa,0xffff3000,0x7fffc40f,0x2a0003ff,
    0x8006ffff,0xffffffff,0xffffffff,0xf982ffff,0xff504fff,0x9fffffff,
    0x0dffff70,0x01ffffea,0xffb80000,0x7cc006ff,0xff504fff,0x9fffffff,
    0x037ffffc,0x0fffffd4,0x7ffffffc,0xffffffff,0xa82fffff,0x0007ffff,
    0xffffff10,0x3ffea001,0xfff884ff,0xf5000fff,0x7c09ffff,0xffb81fff,
    0xffff7001,0xdddddddf,0x7fffffdd,0x7ffcc000,0x7ffd407f,0xf3001fff,
    0xdfffffff,0x7ffffc40,0x80006fff,0x006ffffb,0xffffff98,0x7fcc0003,
    0x0003ffff,0x01ffffe6,0x3ffffff5,0x3ffea000,0x7fd4006f,0xffffffff,
    0xffffffff,0xfff985ff,0x3fff604f,0xb84fffff,0xf506ffff,0x0000ffff,
    0x7fffdc00,0x7ffcc006,0x3fff604f,0x364fffff,0x203fffff,0x87fffff8,
    0xfffffffa,0xffffffff,0xa85fffff,0x0007ffff,0x3ffffea0,0x7ffe402f,
    0xff500fff,0xc805ffff,0x00ffffff,0x320fffee,0xffd000ff,0x3fa00bff,
    0x20003fff,0x807ffff9,0x06fffffd,0x3fffffe0,0x7ff404ff,0x004fffff,
    0x6ffffb80,0x7fff4400,0x440005ff,0x05fffffe,0x7fffcc00,0xffffd807,
    0xff50006f,0xfd800dff,0x2e004fff,0x4c0fffff,0x2604ffff,0xffffffff,
    0x6ffffb84,0x0fffff50,0x7dc00000,0x4c006fff,0x2604ffff,0xffffffff,
    0x3ffffe64,0xeb989cef,0xd83fffff,0x2004ffff,0x40fffffb,0x007ffffa,
    0x7fffec00,0xba89bdff,0x3ffffffe,0x7ffffec0,0xeba89bdf,0x03ffffff,
    0xfd86fff8,0xfffa800f,0xffd001ff,0x555559ff,0x55555555,0x01ffffe6,
    0x3fffffe2,0xffffb003,0xfc805fff,0x02ffffff,0xffffb800,0x7ffe4006,
    0xaaaabfff,0xaaaaaaaa,0xfffff91a,0x5555557f,0x35555555,0x01ffffe6,
    0x3fffffe2,0xfffa8003,0x3fe2006f,0x22001fff,0x4c4fffff,0x6404ffff,
    0x4fffffff,0x06ffffb8,0x55fffff5,0x55555555,0x80035555,0x006ffffb,
    0x027fffcc,0x3ffffff2,0x7fffec4f,0xffffffff,0x440fffff,0x001fffff,
    0x13ffffe2,0x55fffff5,0x55555555,0xf3035555,0xffffffff,0xffffffff,
    0xfff300df,0xffffffff,0xdfffffff,0x03ffee00,0xfd007ffd,0x7400dfff,
    0xffffffff,0xffffffff,0xfffff37f,0x3fffea00,0xffb800ff,0x400fffff,
    0xfffffffa,0xffb80000,0x7e4006ff,0xffffffff,0xffffffff,0xfff95fff,
    0xffffffff,0xffffffff,0x3fffe6bf,0xffff5007,0xfa8001ff,0x32006fff,
    0x8006ffff,0x4c7ffffd,0xe804ffff,0x84ffffff,0x506ffffb,0xffffffff,
    0xffffffff,0xb8009fff,0x4006ffff,0x804ffff9,0x4ffffffe,0x7fffff4c,
    0xffffffff,0xfffc83ff,0xffd8006f,0x7ffd47ff,0xffffffff,0xffffffff,
    0xffffd304,0xffffffff,0x4c009fff,0xfffffffe,0xffffffff,0x3ffe2004,
    0x45f7fec4,0x7fffcc29,0x3ffa002f,0xffffffff,0x7fffffff,0x00fffff3,
    0x2fffffec,0x7ffffcc0,0xfff8806f,0x00006fff,0x00dffff7,0xffffffc8,
    0xffffffff,0x95ffffff,0xffffffff,0xffffffff,0x3e6bffff,0x36007fff,
    0x005fffff,0x037fffd4,0x07ffffd0,0xfffff500,0x27fffcc5,0x7ffffd40,
    0xffffb84f,0xfffff506,0xffffffff,0x09ffffff,0x6ffffb80,0x7fffcc00,
    0xffffa804,0xffd884ff,0xffffffff,0xffd01eff,0xf50007ff,0x7d45ffff,
    0xffffffff,0xffffffff,0x7fdc04ff,0xffffffff,0x70001eff,0xffffffff,
    0x003dffff,0xfa8fff90,0x6c7fffff,0x4007ffff,0xfffffffe,0xffffffff,
    0xffff37ff,0x7ffc400f,0x7c402fff,0x004fffff,0x09fffffd,0x3ffee000,
    0x7fe4006f,0xffffffff,0xffffffff,0xffff95ff,0xffffffff,0xffffffff,
    0x1ffffe6b,0xfffff880,0x3fea002f,0xff5006ff,0x20001fff,0x265fffff,
    0xb004ffff,0x709fffff,0x2a0dffff,0xffffffff,0xffffffff,0x5c004fff,
    0x4006ffff,0x004ffff9,0x09fffffb,0x7fffff54,0x2a04efff,0x000fffff,
    0x4bfffff0,0xfffffffa,0xffffffff,0x8804ffff,0xffffffec,0x880003de,
    0xffffffec,0x220003de,0x7fe43fff,0x3fe67fff,0x74003fff,0xffffffff,
    0xffffffff,0xfffff37f,0xffffa800,0x7ff400ff,0xf9002fff,0x0007ffff,
    0x1bfffee0,0xfffff900,0xffffffff,0xbfffffff,0x3ffffff2,0xffffffff,
    0x35ffffff,0x800fffff,0x0ffffffa,0xdffff500,0x3ffff600,0x3ff20006,
    0xfff30fff,0x3fe2009f,0xffb84fff,0xfff506ff,0xffffffff,0xffffffff,
    0xfffb8009,0x7fcc006f,0xff1004ff,0x31009fff,0x00155555,0x00dffffb,
    0x7ffffe40,0xffffff50,0xffffffff,0x009fffff,0x00135310,0x9a988000,
    0x3ae00000,0x1379504e,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x31033310,0x18800033,0x40000660,0x006ffffa,0x13333100,0x55544000,
    0x9988001a,0x3ea00199,0x009fd00f,0x00133333,0x00333331,0x00000000,
    0xc9866008,0x000b3204,0x03333000,0x00003333,0x0ffcc000,0x80005fe8,
    0x40000aa8,0xfffffffb,0x00007fff,0x00000000,0x40000000,0x00199998,
    0x00000000,0xfb800000,0x3ffea4ff,0xff910005,0x03fdc39f,0x7fffc400,
    0x440004ff,0x001fffff,0x17fffe60,0x3ffffa00,0x13fe2002,0x3200bfea,
    0x8805ffff,0x001fffff,0x45ffff00,0x2007fff9,0x20beffb8,0x0ffe67fb,
    0xf700bfea,0x2001dfff,0x3ee3fffc,0xfa8004ff,0x4000ffff,0xffa85ff8,
    0xff980003,0x7fdc0002,0xffffffff,0x7fc40007,0x3ffee0ff,0xfff90006,
    0x02ffff89,0x00bffff3,0x1fffff40,0x7fec0000,0x400005ff,0x006ffffc,
    0x22bfff60,0x0000ffff,0xfffffff9,0x0000dffd,0xfffffffb,0x7fe40003,
    0x4c0002ff,0x4005ffff,0x003ffffa,0xdbbdffd8,0xf9000fff,0xf3003fff,
    0x0000bfff,0xf98bfffe,0x3ee007ff,0xfdefffff,0x4dfffc7f,0x200ffeb9,
    0x4ffffff9,0x27fffa00,0x8006fff9,0x5ffffff8,0xbeffd800,0x000fffdb,
    0x56ffe4c0,0xfff70000,0xffffffff,0xfff88000,0x1bffee0f,0x27ffe400,
    0x4c0bfffe,0x0005ffff,0x007ffff5,0xffff5000,0x200005ff,0x3ffffff9,
    0xffff1000,0x0005fffd,0x7fff7ffc,0x0003ffff,0x7ce7ffdc,0x88000eff,
    0x0002ffff,0x05ffff98,0x027fff40,0xfffff880,0x6c001fff,0xf3004fff,
    0x00001fff,0x7cc5ffff,0x3fa007ff,0xffffffff,0x7fffcc4f,0x7402ffff,
    0x2fffefff,0xfdfff300,0xb0003fff,0x7fffdfff,0xffff8800,0x0002ffff,
    0x3fffffee,0xa98004ff,0xaaaaaaaa,0x7c40002a,0x3fee0fff,0xff90006f,
    0x2ffff89f,0x0bffff30,0x13fffa00,0x3fe20000,0x00ffffef,0x7fffc400,
    0x0001fffe,0x9ffffff5,0x0ffcc000,0x007fff93,0x26fff980,0x8005fffa,
    0x0003fffb,0x0bffff30,0x027ffcc0,0x3fff6200,0xfb0001ef,0x3ea001ff,
    0xf80004ff,0x3fe62fff,0x5ff1007f,0x33fff6e2,0xffffea80,0x7ffe402f,
    0x00ffff8b,0xffffff70,0xfff70007,0x01fffd19,0xffffc880,0xfb10001e,
    0xffffffff,0x000001df,0x3fe20000,0x3ffee0ff,0xfff90006,0x02ffff89,
    0x00bffff3,0x00bfff30,0x3fffa000,0x006fffa9,0x4d7ffec0,0x20006fff,
    0x006ffffc,0x00601980,0x05554c00,0x0002aaaa,0x00009ffd,0x00d55544,
    0x000bffb0,0x00009980,0x0027ff44,0x0001fff5,0x4c099998,0x55100199,
    0x26002620,0x7cc009ba,0x3ffea5ff,0x3fff6005,0xff98005f,0x1bffe66f,
    0x00099800,0x7ffffec0,0x5fffffff,0x79953000,0x4c000015,0x4ccc4199,
    0x33310000,0x00999981,0x00bffff3,0x000bffb0,0x8fffee00,0x0003fffc,
    0x7dc9fff5,0x260004ff,0x00000999,0x055e654c,0x00000000,0x0000ccc0,
    0x26600000,0xba880001,0x009abccc,0x00133100,0x00009988,0x2af32a60,
    0x00000000,0x26662000,0x000ccc40,0x00133331,0x88133310,0x98800199,
    0x30000999,0xffbfffff,0x05fffffb,0x3ffffb20,0x00dfffff,0x26662000,
    0x99880009,0x99999999,0x99999999,0x99800001,0x26000001,0x19998199,
    0x03331000,0x4c403333,0x99999999,0x99999999,0xffd90019,0xbfffffff,
    0x26666001,0x26662001,0x20000009,0x99999998,0x99999999,0x4cc41999,
    0x6d400099,0xffffffff,0x31000cff,0x26621333,0x99999999,0x99999999,
    0xfffd9001,0x1bffffff,0x33331000,0x33331001,0x13333101,0x26662000,
    0x99999999,0x33100009,0x44000133,0x00ffffff,0x9ffffc80,0xfff9aff9,
    0x7ff4c05f,0xffffffff,0x80003fff,0x0ffffff8,0x7fffd400,0xffffffff,
    0x0fffffff,0x880004cc,0x00009999,0x26666200,0x99988000,0x99999999,
    0x19999999,0x3fffffea,0xffffffff,0x200fffff,0xffffffe9,0x3fffffff,
    0x3ffffcc0,0xbffff900,0x03ffffe2,0xffffa800,0xffffffff,0x0fffffff,
    0x01bfffee,0x7ffffec4,0xffffffff,0xfffb803f,0xfffff56f,0xffffffff,
    0x01ffffff,0x7fffff4c,0xffffffff,0x7ffdc003,0xfffb806f,0xffffa86f,
    0xfff50004,0xffffffff,0x40019fff,0x006ffffb,0x3ffffee0,0xffe8003f,
    0x365ff35f,0x3ee04eff,0xffffffff,0xefffffff,0x3fee0000,0x4003ffff,
    0xfffffffa,0xffffffff,0x3e60ffff,0xff88005f,0x0000ffff,0xfffff880,
    0x7fd4000f,0xffffffff,0xffffffff,0xfffff50f,0xffffffff,0x01ffffff,
    0x3fffffee,0xffffffff,0xff300eff,0x7e400fff,0xfff15fff,0x540001ff,
    0xffffffff,0xffffffff,0x3fee0fff,0xfe9806ff,0xffffffff,0x3fffffff,
    0xb7fffdc0,0xfffffffa,0xffffffff,0xf700ffff,0xffffffff,0xdfffffff,
    0x3ffee001,0xfffb806f,0xffffa86f,0xfff50004,0xffffffff,0x007fffff,
    0x01bfffee,0xfffffe80,0xfff8007f,0x225ff33f,0xffffa800,0xffefffff,
    0x06ffffff,0x3ffffa00,0x7d4007ff,0xffffffff,0xffffffff,0x17fea0ff,
    0x3fffee00,0x800003ff,0x3ffffffb,0x7fffd400,0xffffffff,0x0fffffff,
    0xfffffff5,0xffffffff,0xf501ffff,0xffffffff,0xfffffffd,0x3ffe60df,
    0x3ff2007f,0xffff15ff,0x7d40001f,0xffffffff,0xffffffff,0x3ffee0ff,
    0x7ffc406f,0xfeffffff,0xffffffff,0x3fffee02,0xffffff56,0xffffffff,
    0x501fffff,0xffffffff,0xffffffdf,0x3ee00dff,0xfb806fff,0xffa86fff,
    0xf50004ff,0xffffffff,0xffffffff,0xfffb801d,0xff30006f,0x05ffffff,
    0x36fffe80,0x744005ff,0x0affffff,0x7ffffe4c,0xff98004f,0x02ffffff,
    0x3ffffea0,0xffffffff,0x20ffffff,0xe8006ffb,0x07ffffff,0xfffe8000,
    0x54007fff,0xffffffff,0xffffffff,0xfff50fff,0xffffffff,0xffffffff,
    0xffffe881,0x7e4c0aff,0x984fffff,0x2007ffff,0xf15ffffc,0x0001ffff,
    0x7fffffd4,0xffffffff,0x2e0fffff,0x6c06ffff,0x1bffffff,0x7ffff654,
    0x3ffee07f,0xfffff56f,0xffffffff,0x81ffffff,0xffffffe8,0x7ffe4c0a,
    0xfb804fff,0xfb806fff,0xffa86fff,0xf50004ff,0xffffffff,0xffffffff,
    0xfffb80bf,0xff90006f,0x0bffffff,0xbffffd80,0x32002ff9,0x00dfffff,
    0x7fffff4c,0x7ffe4000,0x005fffff,0x27ffffea,0x99999999,0x7e419999,
    0x7fcc007f,0x02ffffff,0x3ffe6000,0x002fffff,0x3fffffea,0xffffffff,
    0xf50fffff,0x3333ffff,0x33333333,0xffff9033,0xfe9801bf,0x7cc0ffff,
    0x32007fff,0xff15ffff,0x40001fff,0x99fffffa,0x99999999,0x7fdc1999,
    0x3fee06ff,0x4401efff,0x02ffffff,0x2adffff7,0x999fffff,0x99999999,
    0xfffc8199,0x74c00dff,0x400fffff,0x806ffffb,0xa86ffffb,0x0004ffff,
    0x33fffff5,0xffd73333,0x5c05ffff,0x0006ffff,0xffffffff,0x7dc001ff,
    0x2ffeffff,0xfffff300,0x7ffc400d,0x7fc005ff,0xffffffff,0xffff5000,
    0x3f20000f,0x3f2000ff,0x5fffffff,0x3ff20000,0x05ffffff,0x3ffffea0,
    0x99999999,0x2a199999,0x0007ffff,0xdfffff30,0x7fffc400,0x7fffcc5f,
    0x3fff2007,0xfffff15f,0x7fd40001,0x700007ff,0x740dffff,0x000fffff,
    0x0bfffff5,0x55bfffee,0x0007ffff,0xdfffff30,0x7fffc400,0x7ffdc05f,
    0xfffb806f,0xffffa86f,0xfff50004,0xffd500ff,0x7fdc0dff,0xfa8006ff,
    0xfffddfff,0x7ffc003f,0x01dfffff,0x1fffffc8,0x7fffe400,0xfff5001f,
    0x7ffffbbf,0x3fffea00,0xffb00007,0x7ffc001f,0x0fffffff,0xffff0000,
    0x01ffffff,0x1ffffea0,0x3ffea000,0xf900007f,0x8003ffff,0x21fffffc,
    0x007ffff9,0x457ffff2,0x000fffff,0x1ffffea0,0x7ffdc000,0xffff306f,
    0xcec8007f,0xfff7009b,0x3fffeadf,0xff900007,0xc8003fff,0x201fffff,
    0x806ffffb,0xa86ffffb,0xa984ffff,0x3fffea01,0xffff5007,0x3ffee09f,
    0xffd8006f,0xffffaaff,0x7ffd4007,0x3effffff,0x17ffffa0,0x3fffe200,
    0xfffb002f,0xfffff55f,0x3fffea00,0xffd00007,0x3fea003f,0xffffddff,
    0xffa80003,0xffffddff,0xffff5003,0xff50000f,0x20000fff,0x005ffffe,
    0x2fffff88,0x01ffffe6,0x15ffffc8,0x001fffff,0x3ffffd40,0xfffb8000,
    0xffff906f,0xb800000d,0xff56ffff,0x20000fff,0x005ffffe,0x2fffff88,
    0x1bfffee0,0x1bfffee0,0x453fffea,0x0dfffffd,0x03ffffd4,0x0fffffb0,
    0x01bfffee,0x2fffff10,0x02fffff8,0x7ffffd40,0x40efffff,0x03fffff8,
    0x7ffffd00,0xfffff100,0x0bffffe2,0x1ffffea0,0x7fffc000,0xffffb002,
    0x0fffff55,0xffffb000,0x0fffff55,0x1ffffea0,0x3ffea000,0xf880007f,
    0x0003ffff,0x4c7ffffd,0x2007ffff,0xf15ffffc,0x0001ffff,0x03ffffd4,
    0xffffb800,0x9ffffd06,0xfb800000,0xfff56fff,0xf10000ff,0x0007ffff,
    0x80fffffa,0x806ffffb,0xa86ffffb,0xff9cffff,0x2fffffff,0x01ffffea,
    0x0fffff98,0x06ffffb8,0x27fffdc0,0x00bffff9,0xfffff910,0x4c3fffff,
    0x002fffff,0x0bffffb0,0x49ffff70,0x805ffffc,0x007ffffa,0x07ffff00,
    0x2fffff10,0x02fffff8,0x3fffe200,0x5fffff17,0xfffff500,0xfff50000,
    0xf30000ff,0x0005ffff,0x997ffff6,0x2007ffff,0xf15ffffc,0x0001ffff,
    0x03ffffd4,0xffffb800,0x7fffff06,0xfb800000,0xfff56fff,0xf30000ff,
    0x0005ffff,0x817ffff6,0x806ffffb,0xa86ffffb,0xfffeffff,0x7fffffff,
    0x01ffffea,0x2fffff88,0x06ffffb8,0x0fffff40,0x01fffff3,0x3fff2200,
    0x266fffff,0x001fffff,0x0dffff90,0x43ffffd0,0x00fffff9,0x7fffffd4,
    0xffffffff,0x3e20ffff,0xfb804fff,0x3ff24fff,0x2e0005ff,0x3f24ffff,
    0xfa805fff,0x80007fff,0xfffffffa,0xffffffff,0x3fe60fff,0x90001fff,
    0x7ccdffff,0xffffffff,0xffffffff,0xfff15fff,0x540001ff,0xffffffff,
    0xffffffff,0x7ffdc0ff,0xffff886f,0x4000002f,0xf56ffffb,0xffffffff,
    0xffffffff,0x7fffcc1f,0xff90001f,0x7fdc0dff,0xffb806ff,0xfffa86ff,
    0xecbdffff,0xf52fffff,0xf800ffff,0xfb83ffff,0x26006fff,0xfe86ffff,
    0x20004fff,0xffffdff9,0xffff52ff,0x3ee0001f,0x7cc07fff,0xffe86fff,
    0x7fd404ff,0xffffffff,0xffffffff,0x13fffe60,0x87ffffa0,0x00fffff9,
    0x3ffffd00,0x07ffffcc,0x3ffffea0,0xffffffff,0x2a0fffff,0xffffffff,
    0xffffffff,0x3ffea0ff,0xf70000ff,0x7fccffff,0xffffffff,0xffffffff,
    0xffff15ff,0x7d40001f,0xffffffff,0xffffffff,0x7fffdc0f,0xfffff986,
    0x3fffe201,0x2fffffff,0x56ffffb8,0xffffffff,0xffffffff,0x7ffd41ff,
    0xf70000ff,0x7dc0ffff,0xfb806fff,0xffa86fff,0xfe81ffff,0xfff55fff,
    0xffe800ff,0xfffb84ff,0x3ff6006f,0xfffc84ff,0x3e60007f,0xffffc8af,
    0x1fffff53,0x3ffee000,0x7ffec07f,0xffffc84f,0x7fffd407,0xffffffff,
    0x20ffffff,0x405ffffa,0xe86ffff9,0x8004ffff,0xe86ffff9,0x5404ffff,
    0xffffffff,0xffffffff,0x3ffea0ff,0xffffffff,0x0fffffff,0x03ffffea,
    0x7fffdc00,0x3ffffe67,0xffffffff,0x5fffffff,0x01fffff1,0x7fffd400,
    0xffffffff,0x40ffffff,0x886ffffb,0x202fffff,0xfffffff8,0xfb82ffff,
    0xfff56fff,0xffffffff,0x1fffffff,0x07ffffd4,0xffffb800,0x3fffee07,
    0xffffb806,0xfffffa86,0xbffff502,0x01ffffea,0x09ffffd0,0x00dffff7,
    0x07ffffe2,0x0bffffe2,0x897fcc00,0xff15ffff,0x20003fff,0x206ffffc,
    0x81fffff8,0x02fffff8,0x3fffffea,0xffffffff,0x3ee0ffff,0x7ec06fff,
    0xffc84fff,0xfd8007ff,0xffc84fff,0x7fd407ff,0xffffffff,0xffffffff,
    0x3ffffea0,0xffffffff,0x220fffff,0x001fffff,0x4dffff90,0xfffffff9,
    0xffffffff,0xf15fffff,0x0001ffff,0x7fffffd4,0xffffffff,0x7dc0ffff,
    0xfff06fff,0x7fc407ff,0xffffffff,0xffffb82f,0xffffff56,0xffffffff,
    0x7c41ffff,0x0001ffff,0x40dffff9,0x806ffffb,0xa86ffffb,0x2207ffff,
    0xff56ffff,0xfe800fff,0xffb84fff,0xff7006ff,0x7ff40dff,0x32e605ff,
    0x45ff30ed,0x3fe5fffd,0xb0002fff,0x5c0bffff,0x3a06ffff,0x2a05ffff,
    0xaaafffff,0xaaaaaaaa,0x3ffee0aa,0x3ffe207f,0xfff881ff,0x3e2002ff,
    0xf881ffff,0x2a02ffff,0xffffffff,0xffffffff,0x3ffea0ff,0xaaaaaaff,
    0x0aaaaaaa,0x017ffffc,0x5ffffd80,0x33ffffe6,0xcccccccc,0x15ffffec,
    0x001fffff,0x7ffffd40,0xaaaaaaaa,0x5c0aaaaa,0xff06ffff,0x7c409fff,
    0xffffffff,0xfffb82ff,0xfffff56f,0x55555555,0xf8155555,0x0002ffff,
    0x40bffffb,0x806ffffb,0xa86ffffb,0x2206ffff,0xff56ffff,0xff800fff,
    0xffb83fff,0xffd006ff,0x55555bff,0x1fffffb5,0x4ffffee0,0x3ffa2ff9,
    0x3ffffa4f,0xfffd0003,0x7fff407f,0xaaaaaadf,0x00fffffd,0x00fffff5,
    0xfffff700,0x37fffdc0,0x0bffffd0,0x37fffdc0,0x0bffffd0,0x57ffffd4,
    0xaaaaaaaa,0x3ea0aaaa,0x00007fff,0x007ffffd,0x8fffffa0,0x007ffff9,
    0x457ffff2,0x000fffff,0x1ffffea0,0x7ffdc000,0xffffd06f,0xaaaaa80b,
    0x82fffffa,0xf56ffffb,0x0000ffff,0x00fffffa,0x1fffff40,0x0dffff70,
    0x0dffff70,0x40bffff5,0xf57ffff8,0x4400ffff,0xb82fffff,0x9806ffff,
    0xffffffff,0xffffffff,0xfff304ff,0x25ff31ff,0x362ffff9,0x8006ffff,
    0x02fffff9,0xfffffff3,0xffffffff,0x3ea09fff,0x80007fff,0x207ffffb,
    0xaadffffe,0xfffdaaaa,0xffd000ff,0x55555bff,0x1fffffb5,0x1ffffea0,
    0x3ffea000,0xfb00007f,0x3000dfff,0x4c5fffff,0x2007ffff,0xf15ffffc,
    0x0001ffff,0x03ffffd4,0xffffb800,0xfffff706,0xffff0003,0xffff705f,
    0x1ffffead,0x7ffec000,0xff98006f,0x3ee02fff,0xfb806fff,0xffa86fff,
    0x3fe204ff,0xffff57ff,0x7ffcc00f,0xfffb81ff,0xfffc806f,0xffffffff,
    0x7fffffff,0x3bffffa0,0xffe9affa,0x3ffee0ff,0x7f4003ff,0xf900ffff,
    0xffffffff,0xffffffff,0x3ffea0ff,0xfb80007f,0xff307fff,0xffffffff,
    0xffffffff,0xffff3009,0xffffffff,0x09ffffff,0x01ffffea,0x3fffea00,
    0xff700007,0xe8007fff,0x260fffff,0x2007ffff,0xf15ffffc,0x0001ffff,
    0x03ffffd4,0xffffb800,0xfffff106,0xffff000b,0xffff705f,0x1ffffead,
    0x7ffdc000,0x7f4003ff,0x2e00ffff,0xb806ffff,0xfa86ffff,0x3e204fff,
    0xfff57fff,0x7fd400ff,0xfff707ff,0xffff00df,0xffffffff,0xffffffff,
    0x3fffea05,0xfffeffff,0x7ffc43ff,0xf5000fff,0x7c09ffff,0xffffffff,
    0xffffffff,0xffa82fff,0xb80007ff,0xf907ffff,0xffffffff,0xffffffff,
    0xfff900ff,0xffffffff,0xffffffff,0x1ffffea0,0x3ffea000,0xf100007f,
    0x001fffff,0x13ffffea,0x00fffff3,0x8affffe4,0x000fffff,0x1ffffea0,
    0x7ffdc000,0x3fff606f,0x3e2002ff,0xfb82ffff,0xfff56fff,0x220000ff,
    0x00ffffff,0x9fffff50,0x6ffffb80,0x6ffffb80,0x04ffffa8,0x55ffffe2,
    0x2007ffff,0x706ffffd,0xa80dffff,0xffffffff,0xffffffff,0x3205ffff,
    0xffffffff,0xf505ffff,0x805fffff,0x0ffffffc,0xffffff50,0xffffffff,
    0x0bffffff,0x00fffff5,0xfffff700,0x3fffffe0,0xffffffff,0x02ffffff,
    0x7ffffffc,0xffffffff,0xa82fffff,0x0007ffff,0x07ffffa8,0x3ffea000,
    0x7e402fff,0x4c0fffff,0x2007ffff,0xf15ffffc,0x0001ffff,0x03ffffd4,
    0xffffb800,0x3fffe606,0xffb803ff,0xfb82ffff,0xfff56fff,0x540000ff,
    0x02ffffff,0x7fffffe4,0x7fffdc00,0xffffb806,0x4ffffa86,0x5ffffe20,
    0x007ffffa,0x05fffff5,0x01bfffee,0x009ffffb,0x07ffffdc,0xffffff90,
    0xd809ffff,0xbdffffff,0xfffeba89,0x3f603fff,0x2e004fff,0x540fffff,
    0x0007ffff,0x81999988,0xfffffffa,0xffffffff,0x205fffff,0xfffffffa,
    0xffffffff,0xa85fffff,0x0007ffff,0x07ffffa8,0x7ffec000,0xa89bdfff,
    0xffffffeb,0x7ffff983,0x3ffff200,0x1fffff15,0x7ffd4000,0xf700007f,
    0xfb80dfff,0xabefffff,0xffffca98,0xfb82ffff,0xfff56fff,0xd80000ff,
    0xbdffffff,0xfffeba89,0xfb803fff,0xfb806fff,0xffa86fff,0x3fe204ff,
    0xffff57ff,0xfffd500f,0x7ffdc0bf,0x3ffe206f,0x3e2001ff,0x5404ffff,
    0xdffffffd,0xffff9802,0xffffffff,0x06ffffff,0x07ffffe2,0xfffff880,
    0x7ffffd44,0xaaaaaaaa,0x01aaaaaa,0x27fffec0,0xfffff700,0x3ffff601,
    0x3ffee004,0x7ffd40ff,0xfa80007f,0xaaaaffff,0xaaaaaaaa,0xfff981aa,
    0xffffffff,0x6fffffff,0x0fffff30,0xaffffe40,0xabfffff8,0xaaaaaaaa,
    0xfff50aaa,0x555555ff,0x55555555,0x37fffdc3,0x7ffffec0,0xffffffff,
    0x0effffff,0x56ffffb8,0x555fffff,0x55555555,0xff303555,0xffffffff,
    0xffffffff,0x3ffee00d,0xfffb806f,0xffffa86f,0x3fffe204,0x5fffff57,
    0xfd997555,0x403fffff,0x206ffffb,0x006ffffc,0x07ffffd8,0x007ff710,
    0xfffffd30,0xffffffff,0xffc809ff,0xfd8006ff,0x7fd47fff,0xffffffff,
    0xffffffff,0x3fe2004f,0x22001fff,0x884fffff,0x001fffff,0x13ffffe2,
    0x55fffff5,0x55555555,0x3ea35555,0xffffffff,0xffffffff,0xffd304ff,
    0xffffffff,0x409fffff,0x007ffff9,0x457ffff2,0xffffffff,0xffffffff,
    0xffff51ff,0xffffffff,0x9fffffff,0x037fffdc,0xffffffc8,0xffffffff,
    0xf700dfff,0x3feadfff,0xffffffff,0xffffffff,0xfffd304f,0xffffffff,
    0x4009ffff,0x806ffffb,0xa86ffffb,0x2204ffff,0xff57ffff,0xffffffff,
    0xffffffff,0xffffb809,0x3ffffa06,0xfffa8003,0xff3002ff,0x7fdc0005,
    0xffffffff,0xfe801eff,0xa8003fff,0x2a2fffff,0xffffffff,0xffffffff,
    0x32004fff,0x8006ffff,0xc87ffffd,0x8006ffff,0x547ffffd,0xffffffff,
    0xffffffff,0xfff54fff,0xffffffff,0xffffffff,0xffffb809,0xffffffff,
    0x7ffcc01e,0x3ff2007f,0xffff15ff,0xffffffff,0x23ffffff,0xfffffffa,
    0xffffffff,0x3ee4ffff,0x2a006fff,0xffffffff,0x1dffffff,0xb7fffdc0,
    0xfffffffa,0xffffffff,0x5c04ffff,0xffffffff,0x001effff,0x037fffdc,
    0x437fffdc,0x204ffffa,0xf57ffff8,0xffffffff,0xffffffff,0xffff7009,
    0x3fffea0d,0xfff0000f,0x3e600bff,0x6440002f,0xeffffffe,0xfff5003d,
    0x3e0001ff,0x3ea5ffff,0xffffffff,0xffffffff,0x3fa004ff,0xa8003fff,
    0x742fffff,0x8003ffff,0x22fffffa,0xfffffffa,0xffffffff,0xff54ffff,
    0xffffffff,0xffffffff,0xfd91009f,0x7bdfffff,0x3fffe600,0x3fff2007,
    0xfffff15f,0xffffffff,0x2a3fffff,0xffffffff,0xffffffff,0x3fee4fff,
    0xda8006ff,0xefffffff,0xff7000ac,0x3ffeadff,0xffffffff,0xffffffff,
    0xffec8804,0x03deffff,0xdffff700,0xdffff700,0x09ffff50,0xabffffc4,
    0xffffffff,0xdfffffff,0xffff7001,0x3ffff60d,0x3ff20006,0xc8800fff,
    0x4400001c,0xd80009a9,0x0006ffff,0x43fffff2,0xfffffffa,0xffffffff,
    0x5004ffff,0x001fffff,0x97ffffe0,0x00fffffa,0xbfffff00,0x7fffffd4,
    0xffffffff,0xf54fffff,0xffffffff,0xffffffff,0x310009ff,0xf3000135,
    0x6400ffff,0xff15ffff,0xffffffff,0xffffffff,0x3ffffea3,0xffffffff,
    0x24ffffff,0x006ffffb,0x00554cc0,0xdffff700,0x3fffffea,0xffffffff,
    0x004fffff,0x0009a988,0x6ffffb80,0x6ffffb80,0x04ffffa8,0x55ffffe2,
    0xffffffff,0x01cceeff,0x37fffdc0,0x00000000,0x00000000,0x00000000,
    0x00000000,0xdffffb00,0x7ffe4000,0xffffb0ff,0x7fe4000d,0xfff50fff,
    0xffffffff,0xffffffff,0x00000009,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xf7000000,0xffffffff,0xfff900ff,0xccc800df,0x0000004c,
    0x03100000,0x40000662,0x00133009,0xffffc800,0x06ffffff,0xfffffff7,
    0x2000ffff,0xfffffffd,0x00005fff,0x00000330,0x35799530,0x00000000,
    0xe8800088,0x2001eeee,0x4002bcca,0x40005eec,0x300000a9,0xee980005,
    0x000003ee,0x105eb800,0xdd7005db,0x6f76c45d,0x3bba6000,0x3000004e,
    0xf7003333,0xffffffff,0xfff880ff,0x7fc000ef,0xd80007ff,0x7ffc4fff,
    0x3660001f,0x3f61beff,0x7fdc0006,0x0bfe62df,0xf11ffff4,0x3ff23fff,
    0xffffffff,0xfffff706,0x00ffffff,0x3fffff60,0x005fffff,0x77ff5400,
    0x75c00002,0xffffffff,0x400001df,0x09accca9,0xc8003fd0,0x3003ffff,
    0x1bfffffd,0x07fff100,0x3fffa600,0x3fa60003,0xf30003ff,0xf7009fff,
    0xf900bfff,0xff509fff,0x003ff705,0x361fffd1,0x74002fff,0x002fffff,
    0xfffff800,0x7fffdc00,0x07ffffff,0x0077ffdc,0x03ffffc0,0x27ffec00,
    0x0007fffe,0xffffffd8,0x0005ffef,0x3fffffea,0xd01fffef,0x7fc47fff,
    0xffff91ff,0x0dffffff,0x3fffffee,0x0007ffff,0xfffffffb,0x0000bfff,
    0x06fccfe8,0xfffb1000,0xffffffff,0xb80007ff,0xfffffffe,0x3ff61dff,
    0xfff1001f,0x3fe2007f,0x06ffffff,0x0007ffc8,0x03faf3f2,0x7de7ec00,
    0xff98000f,0xff8804ff,0x7f400fff,0xff881fff,0x6ffc99bf,0x37ffe600,
    0x4005fffb,0xfffffffc,0x55510000,0x7fffff55,0x55554c05,0x02aaaaaa,
    0x0007fff4,0x007ffff8,0x44fffd80,0x0001ffff,0xfffdfff1,0x0005ffff,
    0x7fff7fe4,0x3a06ffff,0x3fe23fff,0x555531ff,0x05555555,0x2aaaaaa6,
    0x0002aaaa,0x55555553,0x00005555,0x03f927cc,0xffffb800,0xffffffff,
    0x001effff,0x7ffffec4,0xffffffff,0x005fffdd,0x8013fff2,0xfd9bfffc,
    0x3fe203ff,0xdf10003f,0x44001fd4,0x000fea5f,0x013fffe6,0x01ffffec,
    0x40dffff3,0xfffffffa,0x7fe4001f,0x000fffff,0x3eb7ffea,0xf50006ff,
    0xffffffff,0x00000fff,0x003fff50,0x03ffffc0,0x27ffec00,0x0007fffe,
    0xda887fd4,0x40002eff,0x3fae63fe,0x3ffa00cf,0x3fffe23f,0x00000001,
    0x00000000,0x649f5000,0x3ea0001f,0xffffffff,0xfffffffe,0xff5000ff,
    0xffffffff,0xffffffff,0x7fc400df,0x7ffc004f,0x81bffe26,0x20007ffc,
    0x00fea6f8,0x3fb9be20,0xffff9800,0xffff5004,0x7fffdc0b,0x7fffd403,
    0xfd0001ef,0x4005ffff,0xf90efff8,0xf50007ff,0xffffffff,0x26662fff,
    0x26620019,0x03553099,0x00000000,0x99813331,0x26200019,0x40000600,
    0x00110099,0x99813331,0x33331019,0x33333101,0x33333333,0x00333333,
    0x01333310,0x67f40000,0x740006fc,0x0affffff,0x7ffffe4c,0xfffa804f,
    0xfeffffff,0xffffffff,0x3326000e,0x7ffc4003,0x883fffc4,0x40003fff,
    0x00ffcdfc,0xff9bfb00,0x80000001,0x00fffff8,0x001ffffd,0x00035531,
    0x03cccc88,0x20e66540,0xa8004ccc,0xffffffff,0xfff57fff,0x7fec00ff,
    0x333314ff,0x4ccccc01,0x99999999,0x4c199999,0x80019999,0x00999998,
    0x04cccc40,0x19999800,0x26666200,0x09999880,0x6ffffb80,0xffffffa8,
    0xffffffff,0x000fffff,0x3fffffe2,0xf8800000,0x000fffff,0xbfffff70,
    0xffff9801,0x7ff401ff,0x440aefff,0x5ffffffb,0x26000000,0x7ff44fff,
    0x07ffc80f,0xfffd8800,0x3f660003,0x000002ef,0x7ffff900,0x0bffff30,
    0x00000000,0x00000000,0x1fffff00,0x03ffffd4,0x29ffffb0,0x204ffffa,
    0xffffffff,0xffffffff,0x3ff20fff,0x22004fff,0x00ffffff,0x3ffffe20,
    0x7fcc000f,0xf5002fff,0xff709fff,0xff700dff,0xfff50dff,0xffffffff,
    0xffffffff,0x7ffdc001,0x00003fff,0xffffffb8,0xfff88003,0x3e6006ff,
    0x2e05ffff,0x00dfffff,0x7fffffd4,0x55544001,0x7fd43c81,0x07fff43f,
    0x000fffe2,0x00002880,0x260000a6,0x7cc000aa,0xffb85fff,0x2a6002ff,
    0x0000000a,0x2aaa6200,0x2a600019,0x0fffff81,0x01ffffea,0x54ffffd8,
    0x7c09ffff,0xffffffff,0xffffffff,0x7fff40ff,0xff9001ff,0xb8005fff,
    0x03ffffff,0x7ffffcc0,0xffff5006,0xdffff709,0xdffff700,0xffffff50,
    0xffffffff,0x001fffff,0x7ffffff4,0xfe800007,0x007fffff,0x1fffffc8,
    0x7fffe400,0xffff881f,0xfff8806f,0x8804ffff,0xfffffffd,0x263ffb8c,
    0x7ff44fff,0x007ffd87,0x35553300,0x00000001,0x7ffffec4,0xffd001df,
    0xfffe81ff,0x7fec400f,0x201dffff,0x204ffffb,0x306ffff9,0xfffffffb,
    0xfd30017f,0x3e1bffff,0x3ea0ffff,0x36007fff,0xff54ffff,0x7ffc09ff,
    0xffffffff,0xffffffff,0x7ffffcc0,0xffff9805,0xffe8005f,0x4007ffff,
    0x4ffffff9,0x4ffffa80,0x06ffffb8,0x86ffffb8,0xfffffffa,0xffffffff,
    0x3000ffff,0xffffffff,0x7cc00005,0x2fffffff,0x7fffec00,0xfff88005,
    0xfffc82ff,0x7f4401ff,0x0fffffff,0x3ffffee0,0xffffffff,0x17ffe20e,
    0xff88dfff,0x3220003f,0xffffffff,0xffff701e,0x7fffcc09,0xfffffa86,
    0x803fffff,0x223ffffb,0x5405ffff,0xffffffff,0xfff703ff,0x7ffcc09f,
    0xffffc86f,0xefffffff,0x3fffee00,0xff9effff,0x3fea0fff,0x3f6007ff,
    0xfff54fff,0x7fffc09f,0xffffffff,0x0fffffff,0x2fffffd8,0x7ffffec0,
    0x7ffcc000,0x002fffff,0x3fffffe6,0x7ffd401f,0xffffb84f,0xffffb806,
    0xfffffa86,0x99999999,0x00199999,0x3ffffff2,0x200005ff,0xfffffffc,
    0x7ff4005f,0xfd0003ff,0xffb07fff,0xfe880bff,0xfffffcff,0xfffffb03,
    0xffffffff,0x3fffd03f,0xfb13ffee,0x7c4000ff,0xffffffff,0xffb82fff,
    0x3fe604ff,0x7ffdc6ff,0xffffffff,0x7ffc404f,0x3fffee5f,0x3fffee02,
    0xffffffff,0x4ffffb84,0x1bfffe60,0xfffffff7,0x1dffffff,0xffffff70,
    0xffffffff,0x7ffd41ff,0x3ff6007f,0xffff54ff,0x4ccccc09,0xfa999999,
    0x104fffff,0x01ffffff,0x0fffffea,0x3ffff200,0x2005ffff,0xfffffff9,
    0x7fffd405,0x6ffffb84,0x6ffffb80,0x07ffffa8,0xfff80000,0x0fffffff,
    0xffff0000,0x01ffffff,0x17ffffc0,0xffffd800,0x3ffffe85,0xfa7ffec0,
    0xfb84ffff,0xdbceffff,0x81ffffff,0xffeffffa,0x3ffe60ff,0xffd10003,
    0xffffffff,0xffb85fff,0x3fe604ff,0x3ffe26ff,0xfffbdfff,0x7ec00fff,
    0xfffd0fff,0x7fffc40f,0xffffbdff,0x7ffdc0ff,0x3ffe604f,0x7ffffc6f,
    0xfffca9ac,0x7ffc43ff,0xfebbdfff,0x20ffffff,0x007ffffa,0x553ffff6,
    0x0004ffff,0xdfffffd0,0xfffffa80,0xdffffd04,0x3fffe000,0x00ffffff,
    0xffffff30,0x7fd405ff,0xfffb84ff,0xfffb806f,0xffffa86f,0x54000007,
    0xffddffff,0xa80003ff,0xffddffff,0xff1003ff,0x20003fff,0xf86ffffc,
    0x3202ffff,0x3ff65fff,0x7ffc45ff,0xfff983ff,0xfffb06ff,0xfd87ffff,
    0x3ee0007f,0xcbbdffff,0x5c5fffff,0x2604ffff,0x3f66ffff,0x7d40dfff,
    0x7d405fff,0xfff8bfff,0x3fff604f,0x7ffd40df,0x7fffdc5f,0x3fffe604,
    0x0bfffe66,0x2277ffd4,0x82fffffc,0x0ffffffb,0x01ffffea,0x54ffffd8,
    0x0009ffff,0xffffffb0,0xffffb001,0xffffb81f,0xffa8001f,0xffffddff,
    0xffff3003,0x201fffff,0xb84ffffa,0xb806ffff,0xfa86ffff,0x00007fff,
    0x57fffec0,0x007ffffa,0xaffffd80,0x007ffffa,0x01fffff5,0x3fffee00,
    0x7ffffcc7,0x8dfff901,0x6c6ffffc,0xfd04ffff,0x205fffff,0x41dfffea,
    0x0003fff9,0x207ffffe,0x5c7ffffa,0x2604ffff,0xff16ffff,0x3f201fff,
    0x7fc01fff,0xffffbdff,0xfffff101,0x3ffff201,0x13fffee1,0x26ffff98,
    0x00dffffa,0x7fffc035,0x3fffa03f,0x3ffea0ff,0x3ff6007f,0xffff54ff,
    0xffb80009,0x1001ffff,0x44bfffff,0x004fffff,0x55ffffb0,0x200fffff,
    0xfffffff9,0xfff504ff,0xffff709f,0xffff700d,0xfffff50d,0x7c400000,
    0xfff17fff,0x440005ff,0xff17ffff,0xf3005fff,0x0001ffff,0x51ffffee,
    0x701fffff,0xfb81dfff,0x7ffc7fff,0xeffd80ff,0x0805ffff,0x261fff60,
    0x3102cddc,0x3fe20795,0x7ffdc7ff,0x3ffe604f,0xdffff56f,0x1ffffcc0,
    0x3bffff20,0x3ea06fff,0x3e606fff,0x3fee3fff,0x3fe604ff,0x3ffe26ff,
    0x000bdfff,0x80fffff1,0x20fffffa,0x007ffffa,0x553ffff6,0x0004ffff,
    0x3fffffe6,0x7ffdc002,0xffffb2ff,0xff10001d,0x3ffe2fff,0xff9802ff,
    0xffffffff,0x4ffffa81,0x06ffffb8,0x86ffffb8,0x007ffffa,0x3ffee000,
    0x3ffff24f,0x3fee0005,0x3fff24ff,0xfff8805f,0xf90001ff,0xffa8dfff,
    0x7fd40fff,0xfffb80ff,0x3fffe27f,0xf9effc86,0x20006fff,0x7e43fff9,
    0x00dfffff,0xfffff300,0x04ffffb8,0x5dbfffe6,0x999cffff,0xffff9999,
    0x7fffcc04,0x2e03ffff,0x999cffff,0xffff9999,0x13fffee4,0x46ffff98,
    0xffffffff,0x3e602cef,0x7c406fff,0x3ea0ffff,0x36007fff,0xff54ffff,
    0x220009ff,0x04ffffff,0xdffffd00,0x05fffff3,0x3fffee00,0x17ffff24,
    0x37fffe60,0xa86ffffe,0xfb84ffff,0xfb806fff,0xffa86fff,0xffffffff,
    0xffffffff,0xffffe800,0x3ffffe61,0xfffd0000,0x7fffcc3f,0xffff800f,
    0xffb0002f,0xfff989ff,0x3ffe62ff,0xffff901f,0x27fffccd,0x7fc3bfee,
    0x360007ff,0x7ffdc7ff,0x005fffff,0xffffd973,0x7ffdc1ff,0x3ffe604f,
    0xfffff96f,0xffffffff,0xfd009fff,0x01ffffff,0x7fffffe4,0xffffffff,
    0x3ffee4ff,0x3ffe604f,0x7fffcc6f,0xffffffff,0x7fffd40c,0xfffff805,
    0x1ffffea0,0x4ffffd80,0x009ffff5,0x3fffffa0,0x3fe60005,0xffffffff,
    0x3ffa0005,0x3ffe61ff,0x7fcc00ff,0xffffacff,0x7fffd43f,0x6ffffb84,
    0x6ffffb80,0xffffffa8,0xffffffff,0x4c00ffff,0xfe86ffff,0x98004fff,
    0xfe86ffff,0xfe804fff,0xd0003fff,0xff07ffff,0x3fe27fff,0x3ff602ff,
    0x3ffea5ff,0x83ffea4f,0x000ffffe,0x223fff98,0xfe99efff,0xfda881ff,
    0xffffffff,0x7fffdc7f,0x3fffe604,0xffffffb6,0xffffffff,0xff700bff,
    0xd80bffff,0xffffffff,0xffffffff,0x13fffee5,0x86ffff98,0xfffffffa,
    0x21ffffff,0x805ffffb,0x2a0fffff,0x2007ffff,0xf54ffffd,0xb0009fff,
    0x01dfffff,0xffffc800,0x000fffff,0x0dffff30,0x809ffffd,0xfb4ffff9,
    0x7d41ffff,0xffb84fff,0xffb806ff,0xfffa86ff,0xffffffff,0x0fffffff,
    0x27fffec0,0x03ffffe4,0x27fffec0,0x03ffffe4,0x037fffec,0xffff3079,
    0xfffff05f,0x07fffd19,0x23ffffe8,0xf35ffff9,0xfffe83ff,0xfffb0007,
    0x2a3fffa8,0x7fd44fff,0xffffffff,0x7fdc7fff,0x3fe604ff,0xffffb6ff,
    0xffffffff,0x100dffff,0x05ffffff,0xffffffd8,0xffffffff,0x3ffee6ff,
    0x3ffe604f,0x3ff6a06f,0xffffffff,0x17fffea6,0x83ffffe0,0x007ffffa,
    0x553ffff6,0x4004ffff,0x1ffffffb,0xfff88000,0x003fffff,0x13ffff60,
    0x01fffff2,0x229ffff3,0x2a5fffff,0xfb84ffff,0xfb806fff,0xffa86fff,
    0xffffffff,0xffffffff,0x3fffe200,0xffff881f,0x3fe2002f,0xff881fff,
    0x7dc02fff,0xf882ffff,0x3fffa2ff,0xfffe80ff,0x03fffeef,0x17ffffcc,
    0xd1dffff1,0xffff05ff,0xfff3000d,0x22fffb87,0x3ee5fff9,0x1bdfffff,
    0xfb8ffffd,0x3e604fff,0xfff96fff,0x2000005f,0x807ffffd,0x002ffffc,
    0x13fffee0,0x06ffffa8,0xfffeca88,0xff32ffff,0xff880dff,0x3fea0fff,
    0x3f6007ff,0xfff53fff,0x7fd4009f,0x0002ffff,0x3ffffea0,0x3e20006f,
    0xf881ffff,0x2602ffff,0x3ee4ffff,0xff51ffff,0xfff709ff,0xfff700df,
    0xffff50df,0x5555555f,0x01555555,0x037fffdc,0x00bffffd,0x037fffdc,
    0x80bffffd,0x86fffff8,0xfceffffc,0xf505ffff,0x9fffffff,0xfffffb00,
    0xefffff81,0xfffa83ff,0xffd8004f,0x21fffc87,0xff16fff8,0x3fa07fff,
    0x7ffdc7ff,0x3ffea04f,0x9ffff76f,0x3f600000,0xfb804fff,0x20004fff,
    0x205ffffa,0x206ffffb,0xffff7100,0x3fffe27f,0x3ffea00f,0x3ffea0ff,
    0x3ff6007f,0xffff53ff,0x3ffe2009,0x00003fff,0x1fffffd8,0x3ffee000,
    0x3fffa06f,0x3ffe605f,0x7ffff44f,0x09ffff56,0x00dffff7,0x50dffff7,
    0x000fffff,0xbffffd00,0xfb555555,0x2001ffff,0xaadffffe,0xfffdaaaa,
    0x7fd400ff,0x3661efff,0xffffffff,0x3ffa00ff,0x9805ffff,0xc84fffff,
    0x04ffffff,0x005ffffd,0xc83fff98,0x3fe21fff,0xbffff56f,0x23ffffc0,
    0x205ffffa,0xf36ffffb,0x3201ffff,0x9800acdf,0x801fffff,0x00fffff9,
    0x4c159bf9,0x3a06ffff,0x36e6ffff,0x3ee02ffe,0x3ffa3fff,0x3ffa04ff,
    0x3fe60fff,0x3f6007ff,0xfff53fff,0xffd1009f,0x0000bfff,0x1bfffee0,
    0xffffd000,0xb555555b,0x201fffff,0x4c4ffff9,0xfabfffff,0xffb84fff,
    0xffb806ff,0xfffa86ff,0x4c00007f,0xffffffff,0xffffffff,0xff9804ff,
    0xffffffff,0xffffffff,0xffffe804,0xff709bff,0x07ffffff,0xffffffb8,
    0x7fffd400,0xfff880ff,0x7ec40eff,0xd8005fff,0xfff707ff,0xcafffcc5,
    0xf303ffff,0x7cc1ffff,0x3fa06fff,0x3ff66fff,0x7fcc0dff,0x6c401fff,
    0x2006ffff,0x40dffffd,0x21fffff9,0x83fffff8,0x26fffffc,0x206ffffd,
    0x2a1ffffd,0xd83fffff,0x20ffffff,0x007ffff9,0x54fffffa,0xd804ffff,
    0x00efffff,0xfff70000,0x7cc000df,0xffffffff,0xffffffff,0xffff304f,
    0xfffff909,0x709ffff7,0x700dffff,0xf50dffff,0x0000ffff,0xffffffc8,
    0xffffffff,0xc807ffff,0xffffffff,0xffffffff,0xff9807ff,0xffffffff,
    0xffffffff,0xffff800f,0x2620bfff,0x3ffffffc,0x3ffffee0,0xffffdcdf,
    0x7cc000ff,0xfff503ff,0xca7ffd47,0xfd06ffff,0x7c41ffff,0xfc83ffff,
    0x3e66ffff,0xdadfffff,0x985fffff,0xfffffcaa,0x3fe6003f,0xfdadffff,
    0xfe85ffff,0xfcbdffff,0x26ffffff,0xcefffff9,0xffffecaa,0x7ffff40f,
    0xfffedcef,0x3e20ffff,0xf001ffff,0x3ea5ffff,0x7dc04fff,0x000fffff,
    0x3ffee000,0x3f20006f,0xffffffff,0xffffffff,0xffff307f,0xfffff109,
    0x709fffff,0x700dffff,0xf50dffff,0x0000ffff,0xfffffff8,0xffffffff,
    0x402fffff,0xffffffff,0xffffffff,0x9802ffff,0xfffffffe,0xffffffff,
    0x3ea03fff,0xffffffff,0xffffffef,0x7fd406ff,0xffffffff,0x8002ffff,
    0x3e207ffd,0xffd88eff,0xfffff52f,0xffff935b,0xffe81fff,0xffcbdfff,
    0x5c6fffff,0xffffffff,0xa81fffff,0xffffffff,0xfffb8006,0xffffffff,
    0xfffb81ff,0xdfffffff,0x7dc6fffe,0xffffffff,0xa81fffff,0xffffffff,
    0xffffdeff,0x37ffffc0,0x7ffffd40,0x09ffff51,0x7fffffd4,0x5c000001,
    0x0006ffff,0x3ffffffe,0xffffffff,0x982fffff,0xf504ffff,0xffffffff,
    0xdffff709,0xdffff700,0x0fffff50,0x7ffd4000,0xffffffff,0xffffffff,
    0x3ffea05f,0xffffffff,0xffffffff,0x3fee005f,0xffffffff,0xffffffff,
    0x7fffd42e,0xffffffff,0x4fffffff,0x7ffffcc0,0xffffffff,0xff98001e,
    0x7ffe403f,0x746fffff,0xffffffff,0x1fffffff,0x7fffffdc,0xffedffff,
    0xffffa86f,0x1fffffff,0xffffff30,0x2a0003ff,0xffffffff,0x3f201fff,
    0x4fffffff,0xf70dfffd,0xffffffff,0x7cc05fff,0xefffffff,0x40ffffc8,
    0x03fffffd,0x9fffffe2,0x304ffffa,0x07ffffff,0xff700000,0x2a000dff,
    0xffffffff,0xffffffff,0xf985ffff,0x3f604fff,0x4fffffff,0x06ffffb8,
    0x86ffffb8,0x007ffffa,0x3ffff600,0x3ffee004,0xfffb00ff,0x7fdc009f,
    0x22000fff,0xffffffec,0xffffbbce,0x3ffe65ff,0xfffffcbf,0xefffffff,
    0x9afff801,0xeffffffc,0x3ff60003,0xfffd8807,0x7cc1efff,0xffffffff,
    0x84ffffac,0xfffffffc,0x0dfffd4f,0x3ffffb66,0x3e200bff,0x01efffff,
    0x7ff6cc00,0x800bffff,0x2dffffeb,0x441bfffa,0xfffffffc,0xfd8800cf,
    0x3f24ffff,0x7fcc0fff,0x89ceffff,0xfffffeb9,0x13fffea3,0x3fffffa2,
    0x70000005,0x000dffff,0x013ffff6,0x0fffffb8,0x027fffcc,0xfffffff3,
    0xffff709f,0xffff700d,0xfffff50d,0x55555555,0x43555555,0x01fffff8,
    0x3ffffe20,0xfffff884,0x3ffe2001,0x220004ff,0xffd101a9,0x7ffdc3ff,
    0x3ffff222,0x003dffff,0x2aa60fe6,0xff980001,0x3f6e003f,0x3f6204ef,
    0x3e1effff,0xfd707fff,0x7f45bfff,0xa98806ff,0x372e0019,0x800002bc,
    0x00019a98,0x40000351,0x0009aa99,0x80002a60,0xfffffffd,0xffffffff,
    0x3ffea0ff,0xffffc84f,0xaaaaabff,0xaaaaaaaa,0x7ffdc001,0xff88006f,
    0x22001fff,0x4c4fffff,0x6404ffff,0x4fffffff,0x06ffffb8,0x86ffffb8,
    0xfffffffa,0xffffffff,0x3f24ffff,0xd8006fff,0xfc87ffff,0xd8006fff,
    0x0007ffff,0x0bff7000,0xaa9807f7,0x00200009,0x00000000,0x1a988000,
    0x03510000,0x00000000,0x00000000,0x00000000,0x00000000,0xfffffe98,
    0xffffffff,0x7ffd43ff,0xffffc84f,0xffffffff,0xffffffff,0x7ffdc005,
    0xffc8006f,0xfd8006ff,0x7fcc7fff,0xffe804ff,0xfb84ffff,0xfb806fff,
    0xffa86fff,0xffffffff,0xffffffff,0x3ffffa4f,0xfffa8003,0x7fff42ff,
    0xffa8003f,0x00002fff,0x00c02a00,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfffb1000,0xffffffff,
    0xfff503df,0xffff909f,0xffffffff,0xffffffff,0xfffb800b,0xffe8006f,
    0xfa8003ff,0x3e62ffff,0xfa804fff,0xb84fffff,0xb806ffff,0xfa86ffff,
    0xffffffff,0xffffffff,0xffff54ff,0x3fe0001f,0x3fea5fff,0xf0000fff,
    0x000bffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fff5400,0x04efffff,0x213fffea,
    0xfffffffc,0xffffffff,0x005fffff,0x037fffdc,0x3ffffea0,0xffff0000,
    0x7fffccbf,0xffffb004,0xffff709f,0xffff700d,0xfffff50d,0xffffffff,
    0x29ffffff,0x006ffffd,0x3fffff20,0x0dffffb0,0x7fffe400,0x0000000f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x0aaaaa98,0x4ffffa80,0xffffffc8,0xffffffff,
    0x05ffffff,0x37fffdc0,0x3ffff600,0x3ff20006,0xfff30fff,0x3fe2009f,
    0xffb84fff,0x000006ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x02f77754,
    0x33333000,0x2004cccc,0x019aaa98,0x307776c0,0x00009ddd,0x0f777744,
    0x7774c000,0x1000004e,0xe9801333,0x40004eee,0x881bcba8,0x99999999,
    0x19999999,0x77776c00,0x7775c003,0x1bddd92e,0x2aaa6600,0x4c000009,
    0x3bbb200a,0x417bb621,0x00099998,0x20333330,0x7db00ee9,0x03530000,
    0x20199998,0x000accb9,0x2b332ea0,0x3ba60000,0xc807db00,0x3ba22eee,
    0xdd3000ee,0xb00009dd,0x0005dddd,0x1ffffe80,0x3ffe0000,0x5ffff17f,
    0x3ffff660,0x800bffff,0xfd16fff9,0x400003ff,0x003ffffb,0xbffff300,
    0xfd038000,0x7f4409ff,0x8002ffff,0xffffffe8,0xffff50ef,0xffffffff,
    0x5400ffff,0x8005ffff,0xff35ffff,0xfc8805ff,0xefffffff,0xffff9001,
    0x5dfffd11,0x74dfff10,0xff701fff,0xf3000dff,0x3e20ffff,0x03ff984f,
    0x4c7fffee,0x1dfffffd,0x23ffffcc,0xffffffd9,0x7fd4004f,0x0cffffff,
    0x84ff8800,0x7f403ff9,0x3ffe23ff,0xffe8801f,0x20002fff,0x004ffffb,
    0x7fffd400,0x7fc00001,0xffff17ff,0xfffff905,0x1dffffff,0xb9fff700,
    0x00007fff,0x004ffff8,0x3fffe600,0x0dd50005,0xc813fffa,0x0fffffff,
    0x3fffea00,0x9fffffff,0xfffffffa,0xffffffff,0x3fffa007,0xfffb8005,
    0x013fff66,0xfffffff1,0x005fffff,0xfd1ffff9,0x2e05ffff,0xfffccfff,
    0x3fffee04,0xfff98006,0x33ffa07f,0x00ffeb9a,0x2a7fffee,0xffffffff,
    0x3fffe60f,0x3ffffee7,0x005fffff,0xfffffff9,0x2000dfff,0xeb9acffe,
    0x7ff400ff,0x3fffe23f,0xffffd801,0xd0000fff,0x0000bfff,0x003fffd0,
    0xfffff000,0x70bfffe2,0xffffffff,0x01dfffff,0xffffffb0,0xfb80000b,
    0x400005ff,0x005ffff9,0xe837fecc,0xff504fff,0x0bfff5bf,0x3ffffee0,
    0xffffffff,0xfffffffd,0xffffffff,0xdfff3007,0xdffd0001,0x017ffe21,
    0xffffffd1,0x5fffffff,0xeffffc80,0x00ffffff,0x3ffffff6,0x7fffdc06,
    0xfff98006,0x3ffe207f,0x403fffff,0xffcffffb,0xffffffff,0xfffff30e,
    0xffffff91,0x09ffffff,0xffffffa8,0x04ffffff,0xfffff880,0xfe803fff,
    0x3ffe23ff,0x7ffd401f,0x005fffad,0x005fffa8,0x2fffa800,0xfff00000,
    0x3fffe2ff,0x67ffffc2,0xffffca9a,0xfff8803f,0x00000fff,0x0002fff4,
    0x2ffffcc0,0xdffff100,0x20ffffa0,0xf90efff8,0xff8807ff,0xfeffffff,
    0xffffffff,0xffffffff,0xb007ffff,0x50001dff,0x7fe43fff,0x7ffdc00e,
    0xffcbbdff,0x7e405fff,0xffffffff,0x7ffc405f,0x7dc00fff,0x98006fff,
    0x4c07ffff,0x03fffffe,0xffffffb8,0xffffcbdf,0xffff33ff,0xffffffdf,
    0xffffffff,0x7fffec03,0xffffb30c,0xffd30001,0x2e007fff,0x33221ccc,
    0x3fe200cc,0x7fff90ef,0x06ffe800,0x59950000,0x7fc00000,0x3fe667ff,
    0x0bfffe61,0x0277ffd4,0x02cccca8,0x26644000,0x00000000,0x06ffff88,
    0x9507fd31,0x4ccc8399,0x7ffffe40,0x7ffecc1e,0x999affff,0x19999999,
    0x00199900,0x990732e0,0xffff0019,0xffff503f,0xffffc80f,0x01c98bff,
    0x02cccc98,0x06ffffb8,0x7ffff980,0x01355300,0x3ffffee0,0x7fffc40f,
    0xfffff35f,0x2617dfff,0x4ffffffc,0x21ffffe0,0x002ffff9,0x0026aa60,
    0x65400000,0x266641cc,0x01999100,0x00000000,0x7ffff800,0xff507fd4,
    0x06a01bff,0x00000000,0x00000000,0xffff8800,0x00bfe206,0xfff98000,
    0x7fe404ff,0x0001ffff,0x00000000,0x3ca98800,0x0fffff10,0x4fffffc8,
    0x5c000000,0x8006ffff,0x007ffff9,0x7ffdc000,0xfff702ff,0x3fffe6bf,
    0x3ea02fff,0x3e07ffff,0xff80ffff,0x000002ff,0x00000000,0x00000000,
    0x2aaa6200,0x53100019,0x4fffff03,0x7fc45fd8,0x00bdffff,0x9aa98800,
    0x55310000,0x2a620135,0x2200009a,0x10009aa9,0x640dffff,0xa98800ff,
    0xffd8009a,0xffd007ff,0x00003fff,0x01355310,0x00353000,0x3ffe6000,
    0x7ffe407f,0x260000ff,0xff7000aa,0xf3000dff,0x4c00ffff,0x3fee001a,
    0x3fe606ff,0xffff36ff,0xffd007ff,0x3f603fff,0x7fdc4fff,0x000000ff,
    0x00000000,0x00000000,0xffffd980,0x800bffff,0xdfffffe9,0x26fffff0,
    0xfff80fff,0xceffffff,0x7ff5c002,0x002dffff,0xffffffb5,0x3ff663df,
    0x001dffff,0x3fffffae,0xfff702df,0x5fffffff,0xb805ffd1,0xdffffffe,
    0x3ffffe02,0xffff7004,0x5c00003f,0xdffffffe,0x3f6e6002,0x003effff,
    0x3ffb2e60,0x3200ffff,0x8005ffff,0xffffffd8,0x3ffee01d,0xff98006f,
    0x36e607ff,0x03efffff,0x02ffffdc,0x26dffff1,0x005fffff,0x05fffff7,
    0x4bffffee,0x805ffffb,0x204ffffb,0xf76ffff9,0x7cc09fff,0xfff76fff,
    0x7ffcc09f,0x9ffff76f,0x37fffcc0,0xfffffc80,0x0effffff,0x3ffffee0,
    0xfff9efff,0x203df17f,0xfffffff9,0x00cfffff,0x3fffffa2,0x405fffff,
    0xfffffffd,0xfffeffff,0x3fffffff,0x7ffff440,0x85ffffff,0xfffffffb,
    0x05fd2fff,0x7fffff44,0x885fffff,0x000fffff,0x007ffffe,0x3fffa200,
    0x5fffffff,0xfffffd80,0x01efffff,0xffffda88,0x07ffffff,0x027fffe4,
    0x3ffffea0,0x703fffff,0x000dffff,0x20fffff3,0xfffffffd,0xf701efff,
    0x7c409fff,0xfff36fff,0x3e2007ff,0x3a03ffff,0xffdfffff,0xfb802fff,
    0x3e604fff,0xfff76fff,0x7ffcc09f,0x9ffff76f,0xb7fffcc0,0x204ffffb,
    0x806ffff9,0xfffffffb,0x0effffff,0xffffffb8,0xffffffff,0x3ea0067f,
    0xffffffff,0xf981ffff,0xffffffff,0xf904ffff,0xffffffff,0xffffffff,
    0x9fffffff,0x3ffffe60,0xffffffff,0x7ffffdc4,0x132fffff,0x7ffffcc0,
    0xffffffff,0x3ffffcc4,0x3ffffe00,0x7fcc0001,0xffffffff,0xfd104fff,
    0xffffffff,0x5405ffff,0xffffffff,0x407fffff,0x003ffffc,0x3fffffee,
    0x84ffffff,0x006ffffb,0x47ffff98,0xffffffe8,0x2fffffff,0x04ffffb8,
    0x4dbfffe2,0x002fffff,0x813ffffe,0xfffffff9,0xf7002fff,0x7cc09fff,
    0xfff76fff,0x7ffcc09f,0x9ffff76f,0xb7fffcc0,0x204ffffb,0x806ffff9,
    0x9acfffff,0x3fffffca,0x7fffffc4,0xffffebbd,0xb50007ff,0xffffffff,
    0xfffb0dff,0xfffb9bff,0xff983fff,0xfdbbefff,0xefffffff,0xfffffdbb,
    0xfffffd81,0xfffffdcd,0x3fffee1f,0x02ffffff,0xbfffffb0,0xffffffb9,
    0x3ffffd43,0x3ffffa00,0xffffffff,0xfffb07ff,0xfffb9bff,0xff903fff,
    0xfdbdffff,0x701fffff,0x7bffffff,0x01ffffa3,0x007ffff9,0x3fffffe2,
    0xffffffbd,0x37fffdc0,0x7fffcc00,0x7ffffe47,0xffffedef,0x7ffdc0ff,
    0x3ffe204f,0xfffff36f,0x7fffc003,0x7ffe405f,0x001effff,0x813fffee,
    0xf76ffff9,0x7cc09fff,0xfff76fff,0x7ffcc09f,0x9ffff76f,0x37fffcc0,
    0x0bfffe60,0x2277ffd4,0x81fffffc,0x07fffffc,0x7f654400,0x22ffffff,
    0x41fffffa,0x45ffffd8,0x983ffffd,0x84ffffff,0x545ffffa,0x441fffff,
    0x885ffffd,0x8006ffff,0x41fffffa,0x25ffffd8,0x006ffffb,0x7fffffec,
    0xffffffff,0xfffffa87,0x7fffec41,0x7ffffcc5,0x7fffd40d,0x7fffc45f,
    0xffffd03f,0x3ffffc80,0xbffffb00,0x5ffffa81,0x037fffdc,0x3ffffcc0,
    0x1bfffff3,0x5fffffa8,0x027fffdc,0x26dffff1,0x000fffff,0x817ffffa,
    0xfffffffc,0x7fdc000f,0x3fe604ff,0xffff76ff,0x7fffcc09,0x09ffff76,
    0xbb7fffcc,0x2604ffff,0x5406ffff,0x500dffff,0x7ffffc03,0x3ffffa03,
    0x22010007,0x23fffffb,0x303ffffe,0x510bdfff,0x7fffc099,0x3fff206f,
    0x3ffffa0f,0xbdfff303,0x0dffff10,0x7ffffd00,0x97bffe60,0x005ffffc,
    0x7fffffe4,0xffffffff,0x3ffffe87,0x8bdfff30,0x205ffffc,0x22fffff9,
    0x205ffffa,0x6407ffff,0x8803ffff,0x900fffff,0x7dc3ffff,0x98006fff,
    0x3f27ffff,0x3e605fff,0x3ee2ffff,0x3e204fff,0xfff36fff,0xffe800ff,
    0xffe985ff,0x3fffffff,0x7fffdc00,0x3fffe604,0x09ffff76,0xbb7fffcc,
    0x2604ffff,0xff76ffff,0x7fcc09ff,0x7fc406ff,0x00bdffff,0x0fffff10,
    0x07ffffa8,0x05ffdb70,0xf1ffffdc,0x9a80ffff,0x7f440000,0x3ea04fff,
    0x3ffe2fff,0x004d407f,0x00dffff1,0x80fffff0,0xfffc809a,0x7fec006f,
    0xffffffff,0xff87ffff,0x04d407ff,0x01ffffe8,0x927fffe4,0x2607ffff,
    0x200fffff,0x803ffffc,0x206ffffa,0x2e3ffff9,0x8006ffff,0x3a7ffff9,
    0x6401ffff,0x3ee4ffff,0x3e204fff,0xfff36fff,0xffd800ff,0x7ffcc5ff,
    0xffffffff,0x5c02aa1f,0x2604ffff,0xff76ffff,0x7fcc09ff,0xffff76ff,
    0x7fffcc09,0x09ffff76,0x037fffcc,0x7ffffffc,0x2602ceff,0x4c05ffff,
    0xb007ffff,0x6c0dffff,0xff11ffff,0x00000dff,0x3fffb2a6,0x9999bfff,
    0x4ffffa99,0x00dffff1,0xdffff100,0xffff8800,0x3fee0006,0x7ec007ff,
    0xaaaacfff,0x442aaaaa,0x0006ffff,0x01bfffe2,0xc97fffea,0xfd06ffff,
    0x6401ffff,0xb803ffff,0x999cffff,0xffff9999,0x1bfffee4,0x3fffe600,
    0x0dffff17,0x4bffff50,0x204ffffb,0xf36ffff8,0xd800ffff,0x3e25ffff,
    0xfacfffff,0xff0effff,0xfffb89ff,0x3ffe604f,0x9ffff76f,0xb7fffcc0,
    0x204ffffb,0xf76ffff9,0x7cc09fff,0xf9806fff,0xffffffff,0x7d40cfff,
    0x7c404fff,0xf3007fff,0x559dffff,0x1fffffd9,0x017fffea,0xfffda800,
    0xffffffff,0xffffffff,0xff55ffff,0x10000bff,0x800dffff,0x005ffffa,
    0x1ffffea0,0x3ffffd00,0x3ffea000,0x3ea0005f,0xf9805fff,0x3fea7fff,
    0xfc9adfff,0x00ffffff,0x00fffff2,0x3ffffff2,0xffffffff,0x3ffee4ff,
    0xff98006f,0xffff57ff,0xffff300b,0x27fffdcf,0x2dffff10,0x007ffff9,
    0x72ffffec,0x5c5fffff,0xf9dfffff,0x7fdc4fff,0x3fe604ff,0xffff76ff,
    0x7fffcc09,0x09ffff76,0xbb7fffcc,0x2604ffff,0x5006ffff,0xffffffff,
    0x5c3fffff,0xf804ffff,0x2e007fff,0xffffffff,0x21ffffff,0x005ffffa,
    0xffffea80,0xffffffff,0xffffffff,0xf55fffff,0x0000bfff,0x00dffff1,
    0x05ffffa8,0x3fffe600,0x3ffe000f,0xf50001ff,0x4000bfff,0x804ffffb,
    0x747ffff8,0xffffffff,0x1fffffff,0x0fffff20,0x3fffff60,0xffffffff,
    0x3fee5fff,0xf98006ff,0xfff77fff,0xfff1009f,0x7fffdcff,0x3fffe204,
    0x0fffff36,0x5ffffe80,0x20fffffe,0xfffffffd,0x7fdc2fff,0x3fe604ff,
    0xffff76ff,0x7fffcc09,0x09ffff76,0xbb7fffcc,0x2604ffff,0x4006ffff,
    0xffffffda,0x3ea6ffff,0x7c405fff,0x5c007fff,0xffffffff,0x7d42ffff,
    0x40006fff,0xeffffff9,0xffffd8ac,0xffffffff,0xff56ffff,0x10000dff,
    0x800dffff,0x006ffffa,0x3ffffe20,0xffff5002,0x3ea0003f,0x20006fff,
    0x805ffffa,0x4c6ffff9,0xffffffff,0x4ffffacf,0x0fffff20,0x3fffff60,
    0xffffffff,0x3fee6fff,0x975316ff,0x3fffea01,0x0bffff57,0x4dffff30,
    0x204ffffb,0xf36ffff8,0xe800ffff,0xff14ffff,0xfd101fff,0xffffffff,
    0x09ffff70,0xbb7fffcc,0x2604ffff,0xff76ffff,0x7fcc09ff,0xffff76ff,
    0x7fffcc09,0xd9510006,0x5fffffff,0x017fffe6,0x00fffff3,0xfffff910,
    0xf1019fff,0x0880ffff,0x3bffffa0,0x2ffffd81,0xffff1000,0x4400880f,
    0x4006ffff,0x407ffff8,0x3fffe008,0xfff9006f,0x220003ff,0x4407ffff,
    0xdffff300,0xbffff500,0xfffffb10,0x3ffffc3d,0x07ffff90,0x05ffff90,
    0x7fffdc00,0x03ffffb6,0x4dbfffea,0xa806ffff,0x3ee5ffff,0x3e204fff,
    0xfff36fff,0xfff800ff,0xffff53ff,0x7fffc40d,0xfb83ffff,0x3ea04fff,
    0xfff76fff,0x7ffd409f,0x9ffff76f,0xb7fffd40,0x204ffffb,0x006ffffa,
    0xfffb8804,0xffff13ff,0x7ffdc01f,0x64c0007f,0x7c01deff,0x3a00ffff,
    0xff11ceff,0x7ff40dff,0x3e0004ff,0x3a00ffff,0x7c41ceff,0xf8006fff,
    0x3a00ffff,0x3f21ceff,0x4401ffff,0x01ffffff,0x3ffffe00,0x33bffa00,
    0x3fffff11,0x4ffffd80,0x7406a620,0x9995006f,0xfffb8015,0x3ee0004f,
    0xfff96fff,0x3ffee07f,0xfffff15f,0xffffd803,0x3fe60004,0xffff36ff,
    0x7ffc400f,0xffff32ff,0x7ffd401f,0xff507fff,0x7fdc0bff,0xffff56ff,
    0x7fffdc0b,0x0bffff56,0xab7fffdc,0x2e05ffff,0x5c06ffff,0x2e02ffed,
    0x3fe3ffff,0x3fe03fff,0x40007fff,0x2ffffffa,0x13ffffa0,0x87ffffcc,
    0x105ffffa,0x01ffffff,0xe82b37f2,0xf304ffff,0xf881ffff,0xe8007fff,
    0xf304ffff,0x7c41ffff,0x101effff,0x3ffffffd,0x7fff4000,0xffff304f,
    0x7fffec1f,0x3fffe605,0x7fc0001f,0xffff9005,0x7ffcc07f,0x9bf900ff,
    0x7fffdc15,0x0dffff76,0xd93ffffa,0x2605ffff,0x001fffff,0x5bfffea0,
    0x007ffff9,0x47ffffee,0x03fffff8,0x3fffffa2,0xffff984f,0x3ffffa06,
    0x0dffff36,0x9b7ffff4,0x3a06ffff,0xff36ffff,0x7ff40dff,0x7fec06ff,
    0x3ff606ff,0x3ffee1ff,0x7fec43ff,0x40007fff,0x6ffda999,0x3ffffea0,
    0x7fffecc3,0x3ffffe65,0xfffffd80,0x7ffd40df,0x3ffea1ff,0x7fecc3ff,
    0xfff885ff,0x2a0020ff,0x4c3fffff,0xb85ffffd,0xacffffff,0xfffffcb9,
    0xaaaacfff,0x1aaaaaaa,0x0fffffea,0x8bffffb3,0x0dfffffa,0x2fffffd4,
    0x1bfe2000,0x7ffee540,0x3fff601f,0x7ffcc0df,0x3ffee1ff,0xfffff36f,
    0xfffb313b,0x7ffd45ff,0x7fd40dff,0x08005fff,0x2bffffb1,0x507ffff9,
    0x3fffea37,0x7ffff46f,0x7ffdc0bf,0x0dffffff,0x0fffffe2,0x5bfffff2,
    0x83fffff8,0x16fffffc,0x907fffff,0x22dfffff,0xc83fffff,0x406fffff,
    0xcefffff9,0xffffecaa,0x7ffff40f,0xffffdcef,0x00007fff,0xb017ffc4,
    0xdbffffff,0x45ffffff,0xbefffff8,0xfffffeb9,0xfdbdffff,0xfd85ffff,
    0xfedfffff,0xf02fffff,0x5fdfffff,0x3ffff600,0xffffedff,0xffff02ff,
    0xffffffff,0xffffffff,0xffffffff,0xffd89fff,0xffedffff,0xfd82ffff,
    0xfdefffff,0x00ffffff,0x07ffcc00,0x0fffe600,0xffffff98,0xfffffdad,
    0x37fffdc5,0xfffffffb,0x0dffffff,0xdffffffb,0xfffffffb,0xfff90001,
    0x3e69ffff,0xffd07fff,0x5fffffff,0xffffff98,0xfffffeef,0xffffffff,
    0x3fffffa2,0xfffffcbd,0x3fffa6ff,0xfffcbdff,0x3fa6ffff,0xfcbdffff,
    0x26ffffff,0xbdfffffe,0xfffffffc,0xffffb806,0xffffffff,0xfffa81ff,
    0xefffffff,0x0007fffd,0x00fffdc0,0xfffffff3,0x07ffffff,0xfffffffb,
    0xffffffff,0xffffffff,0xff303fff,0xffffffff,0x7ec07fff,0x03ffffff,
    0xffffff30,0x7fffffff,0x7ffffd40,0xefffffff,0xfffffffb,0xffffffff,
    0x7fffcc4f,0xffffffff,0xfffd103f,0xffffffff,0x100005ff,0x3315bfff,
    0x01fffb80,0x7fffffdc,0x1fffffff,0x137fffdc,0xffffffff,0x103fffff,
    0xfffffffd,0x05ffffff,0x3ffff600,0xfff32fff,0xffff30ff,0x20bfffff,
    0xfffffffc,0xefffffff,0x22ffffff,0xfffffffb,0xfffedfff,0x3ffffee6,
    0xfedfffff,0x3ffee6ff,0xdfffffff,0x3ee6fffe,0xffffffff,0x06fffedf,
    0xffffff70,0x05ffffff,0x7fffffd4,0xfffc8eff,0xddd30007,0x00bffffd,
    0xffffffd1,0x2209ffff,0xfffffffe,0xfff72eff,0xffffffff,0x7fff4403,
    0x4fffffff,0x7ffffd40,0x3a2004ff,0xffffffff,0xfe8804ff,0xffffffff,
    0xfffffa8e,0xffffffff,0xfe884fff,0xffffffff,0x7fec404f,0xffffffff,
    0x3a00000e,0x34ffffff,0xffffdddd,0x3ffea00b,0xffffffff,0x6ffffb81,
    0x7fffffd4,0x201fffff,0xffffffd8,0x000effff,0x3fffffe0,0x3fffe65f,
    0xfffffc87,0x2a00ffff,0xffffffff,0xff52efff,0xfff909ff,0x3a9fffff,
    0x7fe46fff,0xd4ffffff,0xffc8dfff,0xd4ffffff,0xffc8dfff,0xd4ffffff,
    0x4400dfff,0xfffffffc,0xfd8800cf,0x3f24efff,0xf50007ff,0x07ffffff,
    0xffffeb80,0xfc801dff,0x83efffff,0xffffffd8,0xfd7000bf,0x03bfffff,
    0x3ffffea0,0xfeb8003f,0x01dfffff,0x7ffff640,0xfff50cef,0xffffffff,
    0x409fffff,0xffffffeb,0x36e6001d,0x03efffff,0xffe88000,0xfff34fff,
    0x8009ffff,0xfffffed9,0xfff700bf,0xfffb10df,0x0019ffff,0x3ffff6e6,
    0x4c0003ef,0x0effffff,0x21ffffe6,0xffffffea,0xffc8801d,0x84efffff,
    0x3ae05fd8,0x3a2dffff,0xfeb86fff,0x3fa2dfff,0xffeb86ff,0x3ffa2dff,
    0xfffeb86f,0x3fffa2df,0x55330006,0x54c00013,0x22000000,0x001abaa9,
    0x001aa980,0x40015530,0x00019a98,0x0000d54c,0x00001353,0x00006aa6,
    0x00004d4c,0x2aa60000,0x35300001,0x2e000000,0x5d541bcc,0x880001ab,
    0x000019a9,0x00355530,0x00035300,0x56edd440,0xa9880000,0x3100009a,
    0x02a00355,0x00006a20,0x200006a2,0x880001a8,0x0000001a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xb1000000,0x0005dddd,0x001ddd70,0xb0001331,
    0x77443ddd,0x008000ee,0x26000262,0x0005eeee,0x1f7776c0,0xddddb100,
    0x80200005,0x2a600019,0x99880009,0x0774c000,0x98003ec8,0xd88000aa,
    0x777545ee,0x0f776c03,0x800dddd3,0x003eeeea,0xeeeee880,0xeeed9801,
    0x3100001e,0x00001355,0x22000353,0x00809999,0xe85ddd90,0x02001eee,
    0x26000988,0x0004eeee,0x05ddddb0,0x07bbbb62,0x0dffff30,0x0fffd000,
    0xeffffeb8,0x3fffe004,0x03fffe62,0x1cffda80,0x2000bfe2,0x03fffffe,
    0xffff5000,0xfff3000b,0xea8000df,0x3fea0bef,0x8ffffd41,0xefffffd9,
    0x7ff6cc01,0xf1004eff,0x07ff309f,0x3ffff620,0x2e001dff,0xfff34fff,
    0x5ffff00d,0x003fffcc,0x3ffffff1,0xfffc8000,0x3fea003f,0x5c0005ff,
    0xdffffffe,0x3fb22002,0x000cffff,0x47bfffa6,0xffb005ea,0x1ffff87f,
    0x1cffda80,0xe800bfe2,0x003fffff,0x2ffffd40,0x17fffe60,0x07fffea0,
    0x5fff8800,0xfffffb10,0xf001dfff,0x7fcc5fff,0xff1000ff,0xfdbfffff,
    0xffc8003f,0x001fffff,0x05fffe80,0x3fffe600,0xfff50002,0xfffbdfff,
    0x9ffffa81,0xfffffff9,0xfff502ff,0x3dffffff,0x359ffd00,0x5001ffd7,
    0xffffffff,0x7ec007ff,0x1fffeaff,0x22ffff80,0x2007fff9,0xeffffffd,
    0xfff10000,0xff70009f,0xd10001ff,0xffffffff,0xfd300bff,0xffffffff,
    0x7fec4003,0x006ffeff,0xff87fffb,0x7fcc01ff,0xfedfffff,0xfff9001f,
    0x0001ffff,0x802ffff4,0x801ffffa,0x0005fffa,0x740fffea,0xffffffff,
    0x7fc00fff,0x3ffe62ff,0xfff7000f,0xffffffff,0xdfff9800,0x0006fffa,
    0x0077ffcc,0x1bffea00,0x7fffec00,0x85ffffff,0xffcffffa,0xffffffff,
    0x7fffdc0f,0xffffffff,0x7fffc400,0xb803ffff,0xffffffff,0x1004ffff,
    0x9fffffff,0x8bfffe00,0x7007fff9,0xfff79fff,0x3fee0009,0x3ee0004f,
    0x7cc004ff,0xffffffff,0x2a04ffff,0xffffffff,0x4000ffff,0x01effffc,
    0xf0ffff60,0xfb803fff,0xffffffff,0xfff5006f,0x00dfff5b,0x01bffea0,
    0x00bfff70,0x0003ffee,0x540fffe4,0xffffffff,0x6403ffff,0x33221ccc,
    0x57fa004c,0x1dfffca8,0x3fffe200,0x009fff70,0x0077fec0,0x1fffa800,
    0x513ff800,0x501bfffb,0xbfffffff,0xfffffd97,0x7ffffc47,0xffffffef,
    0xfffe9805,0xff8803ff,0xffbdffff,0x5000ffff,0x00dfffff,0x910e6664,
    0xff300999,0x17ffecdf,0x02fffc00,0x07ffe400,0xfffffb00,0xfffffb9b,
    0xffff103f,0xfffffdff,0x7fdc00bf,0x2002ffff,0x6642cccb,0xa7f400cc,
    0x1dfffca8,0x0ffff880,0x0007fff9,0x0001dffb,0x2001fff7,0xb0002ccb,
    0x3ffa0fff,0x3ffea3ff,0x0000007f,0x06601550,0x07332a00,0x00019997,
    0x00003332,0x00059950,0x01310155,0x7fffffd4,0x7ffffc40,0x37fffee5,
    0xfffff711,0x26aa6003,0xffffb000,0xffffa81b,0x3332e005,0x0000000c,
    0x883332e0,0x4c003ccc,0x200004cc,0xf5001ccb,0xd883ffff,0xfc85ffff,
    0x3ea0efff,0x5c00ffff,0xfffdcfff,0x0000001f,0x06601550,0x41ccca80,
    0x2000cccb,0x0000ccc8,0x0000b32e,0x85fff800,0xd86ffff9,0x0003ffff,
    0x00000000,0x00000000,0x00000000,0x7d400000,0xf502ffff,0x7ff4bfff,
    0xfffe80ff,0x2000003f,0x00fffff8,0x003ffff9,0x00000000,0x00000000,
    0x80000000,0x303ffffe,0xf88bdfff,0xfd80ffff,0x7ec02fff,0x3bfffa0c,
    0x00000000,0x00000000,0x00000000,0x4c000000,0xffd83fff,0xfff982ff,
    0x0d4c006f,0x06a60000,0x03530000,0x01a98000,0x00d4c000,0xfa800000,
    0x3e607fff,0xfd916fff,0x3ffee0bf,0xaa99804f,0x7fd4009a,0x3fe606ff,
    0xa98803ff,0x200019aa,0x80000aa9,0x80000aa9,0x80000aa9,0x3e000aa9,
    0x4d407fff,0x9ffff700,0x026af260,0xfff30110,0xa99800bf,0x300009aa,
    0x00135553,0x26aaa660,0x55330000,0x20000135,0x204ffffb,0x206ffff9,
    0xfe81fffb,0xfff00fff,0xfdb980ff,0x003effff,0xffffdb98,0xb98003ef,
    0x3efffffd,0xffdb9800,0x8003efff,0xfffffdb9,0x7ffdc03e,0x3ffe604f,
    0xbffff56f,0x3ffffc40,0xfffb0088,0x3ff2203f,0x1effffff,0x39ffff70,
    0xff333333,0x7ecc09ff,0xbfffffff,0xfffd8800,0x2001dfff,0xffffffd8,
    0x3f62001d,0x01dfffff,0x3ffff620,0x3e201dff,0x40006fff,0x001ffffe,
    0x3ff72200,0x2ffffcad,0x7fffe440,0x801effff,0xffffffc8,0xc8801eff,
    0xffffffff,0xffc8801e,0x1effffff,0x4ffffa80,0x409ffff7,0x206ffff9,
    0xfff07ffd,0x7fff40ff,0xffffb00f,0x3dffffff,0x3ffff600,0x1effffff,
    0xfffffb00,0x03dfffff,0x3fffff60,0x01efffff,0xffffffb0,0x203dffff,
    0x204ffffb,0xf56ffff9,0x7c40bfff,0x44007fff,0xf107ffff,0xffffffff,
    0xff905fff,0xffffffff,0x09ffffff,0x3ffffff2,0x00efffff,0x3fffffea,
    0xa803ffff,0xffffffff,0xffa803ff,0xffffffff,0xffffa803,0x03ffffff,
    0x00bffff5,0x0fffff80,0xfff70000,0xffffffff,0x7ffc40df,0xffffffff,
    0x3ffe202f,0xffffffff,0x3ffe202f,0xffffffff,0x3ffe202f,0xffffffff,
    0x7ffd402f,0x9ffff74f,0x37fffcc0,0xf10bfff0,0x7ec0ffff,0x7f441fff,
    0xffffffff,0x2202ffff,0xfffffffe,0x02ffffff,0x3fffffa2,0xffffffff,
    0x3fffa202,0xffffffff,0x3fa202ff,0xffffffff,0xfb82ffff,0x3e604fff,
    0xfff56fff,0x7ffc409f,0xfd73007f,0xfd109fff,0xffffffff,0xfd85ffff,
    0xffffffff,0x5fffffff,0xffffffb8,0xefffffff,0xfffffb80,0x4fffffff,
    0x3ffffee0,0x4fffffff,0x3ffffee0,0x4fffffff,0x3ffffee0,0x4fffffff,
    0x05ffffa8,0xbffffc00,0x02cefec9,0xffffffb0,0xffffffff,0xffffd107,
    0xffffffff,0xfffd105f,0xffffffff,0xffd105ff,0xffffffff,0xfd105fff,
    0xffffffff,0x5405ffff,0xff74ffff,0x7fcc09ff,0xfff306ff,0xdffff107,
    0x17fffec0,0x3ffffff2,0xfffffede,0xffff900f,0xfffdbdff,0x3f201fff,
    0xedefffff,0x00ffffff,0xdffffff9,0xffffffdb,0x3ffff201,0xfffedeff,
    0x7fdc0fff,0x3fe604ff,0xffff56ff,0x7fffc409,0xffffc807,0xfff703ff,
    0xff977bff,0xffd8bfff,0xffffffff,0x86ffffff,0x9acfffff,0x3fffffca,
    0x7fffffc4,0xffffffbd,0xfffff880,0xfffffbdf,0xffff880f,0xffffbdff,
    0xfff880ff,0xfffbdfff,0x7fd40fff,0x220006ff,0xffaeffff,0x404fffff,
    0xfffffffa,0xffffffff,0xfffffb86,0xffffcbbd,0xffffb85f,0xfffcbbdf,
    0xfffb85ff,0xffcbbdff,0xffb85fff,0xfcbbdfff,0x2a05ffff,0xff74ffff,
    0x7fcc09ff,0xfff706ff,0xdffff303,0x1ffffec0,0x1bfffff3,0x5fffffa8,
    0xdfffff98,0x7ffffd40,0xfffff985,0x7fffd40d,0xffff985f,0x7ffd40df,
    0xfff985ff,0x7fd40dff,0x7fdc5fff,0x3fe604ff,0xffff56ff,0x7fffc409,
    0xffffd807,0x3fffe02f,0xffffa81f,0x17fffe47,0x3ffe6000,0xdfff502f,
    0xdffffd89,0x2ffffd40,0x06ffffec,0x217fffea,0x40dffffd,0xd85ffffa,
    0x540dffff,0x7c45ffff,0x04407fff,0xffffff98,0xffffffff,0xfffff106,
    0x3ff6615f,0x7fc0ffff,0xffa81fff,0xffff87ff,0xffffa81f,0x1fffff87,
    0x87ffffa8,0xa81fffff,0x2a07ffff,0xff74ffff,0x7fcc09ff,0xfffb06ff,
    0xdffff501,0x1ffffec0,0x40bffff9,0x42fffff9,0x205ffffc,0x42fffff9,
    0x205ffffc,0x42fffff9,0x205ffffc,0x42fffff9,0x205ffffc,0x22fffff9,
    0x204ffffb,0xf56ffff9,0x7c409fff,0xfe807fff,0x103effff,0x3e207953,
    0x7fdc7fff,0x540004ff,0x500dffff,0x3fffe203,0xffff900f,0x7ffffc43,
    0x3ffff900,0x07ffffc4,0x21ffffc8,0x00fffff8,0xf83ffff9,0x3a00ffff,
    0xff51ceff,0xfbffffff,0xb07fffff,0x201dffff,0x43fffffc,0xf103ca98,
    0x5310ffff,0x3ffe2079,0x3ca9887f,0x0fffff10,0x22079531,0x2a07ffff,
    0xff74ffff,0x7fcc09ff,0xdfff06ff,0x1bfffea0,0x24ffffd8,0x401ffffe,
    0x744ffffc,0x6401ffff,0x7f44ffff,0x7e401fff,0x7ff44fff,0x7fe401ff,
    0x7fff44ff,0x7ffe401f,0x3fffee4f,0x3fffe604,0x09ffff56,0x03ffffc4,
    0x7ffff77c,0xf30000df,0xff98ffff,0xbf900fff,0xfff88159,0x000bdfff,
    0x40dffff5,0x2a3ffff9,0x2606ffff,0x3ea3ffff,0x3e606fff,0x3fea3fff,
    0x3fe606ff,0x7fff43ff,0xffff304f,0x3fffea1f,0xff711dff,0xfff81fff,
    0x7ff402ff,0xf30005ff,0x4000ffff,0x007ffff9,0x1ffffe60,0xffff9800,
    0x3fffea07,0x09ffff74,0x437fffcc,0xf504fff8,0x7ec0dfff,0xfff13fff,
    0xfff500df,0x7fffc4bf,0xffffa806,0x1bfffe25,0x97fffea0,0x806ffff8,
    0x225ffffa,0xa806ffff,0x3ee5ffff,0x3e604fff,0xfff56fff,0x7ffc409f,
    0x7f54007f,0x73005fff,0xffffffd9,0xdffffd81,0x7ffffcc0,0xffffff81,
    0x202cefff,0x99cffffb,0xfff99999,0x3fffee4f,0x9999999c,0x3ee4ffff,
    0x9999cfff,0x4ffff999,0x273fffee,0xff999999,0x7ffd44ff,0x7fecc3ff,
    0x3ffe65ff,0xfff706ff,0x7fffc49f,0xffffb807,0xfd973006,0x001fffff,
    0x3fffb2e6,0x73000fff,0xffffffd9,0x3b2e6001,0x00ffffff,0x2e9ffff5,
    0x2604ffff,0xfa86ffff,0xfff302ff,0x7ffec0df,0xbffff52f,0xfffff300,
    0x02ffffd4,0x53ffffcc,0x300bffff,0x7d4fffff,0xf9805fff,0x3fea7fff,
    0xff9805ff,0x3ffee7ff,0x3ffe604f,0x9ffff56f,0x3ffffc40,0x7fffc400,
    0xffda881f,0xffffffff,0xfffff987,0xffffdadf,0xffff305f,0xffffffff,
    0xffffc819,0xffffffff,0x3f24ffff,0xffffffff,0x4fffffff,0x3ffffff2,
    0xffffffff,0x3fff24ff,0xffffffff,0xd84fffff,0xedffffff,0x22ffffff,
    0x02fffff9,0x54bffff1,0xa806ffff,0x5107ffff,0xfffffffb,0x5440ffff,
    0xfffffffd,0x2a207fff,0xfffffffd,0x2a207fff,0xfffffffd,0x3ea07fff,
    0xfff74fff,0x7ffcc09f,0x0fffc86f,0x0dffff10,0xb8ffffec,0x8804ffff,
    0x3ee7ffff,0xf8804fff,0x3fee7fff,0xff8804ff,0x3ffee7ff,0xfff8804f,
    0x3fffee7f,0xffff8804,0x13fffee7,0x56ffff98,0x4409ffff,0x0007ffff,
    0xa89ffffd,0xffffffff,0x707fffff,0xffffffff,0x403fffff,0xfffffffa,
    0x21ffffff,0xfffffffd,0xffffffff,0x3ffff65f,0xffffffff,0x3f65ffff,
    0xffffffff,0x5fffffff,0x3ffffff6,0xffffffff,0xfff985ff,0xffffffff,
    0x7ffc43ff,0x3ffe01ff,0x3fffee7f,0xffff9805,0xfffffa87,0xffffffff,
    0xfffff507,0xffffffff,0x3fffea0f,0xffffffff,0xffff507f,0xffffffff,
    0x7ffd40ff,0x9ffff74f,0x37fffcc0,0x3e037ff4,0x3fa07fff,0xfff50fff,
    0xfff300bf,0x7fffd4df,0xffff9805,0x17fffea6,0x9bfffe60,0x805ffffa,
    0x2a6ffff9,0x9805ffff,0x3ee6ffff,0x3e604fff,0xfff56fff,0x7ffc409f,
    0xff70007f,0x7ffdcbff,0xfd1bdfff,0x7fd40fff,0xffffffff,0xffb5001f,
    0xffffffff,0x7ffffecd,0xffffffff,0x3ff66fff,0xffffffff,0x26ffffff,
    0xfffffffd,0xffffffff,0x3ffff66f,0xffffffff,0xd106ffff,0xffffffff,
    0x3ffe09ff,0x3ffa01ff,0x3fffea7f,0xffff9806,0x7ffffdc6,0xfffd1bdf,
    0xfffff70f,0x3ffa37bf,0xffffb87f,0xffd1bdff,0xffff70ff,0x3fa37bff,
    0x3fea07ff,0xffff74ff,0x7fffd409,0x027ffc46,0x403ffffe,0x3e67ffff,
    0xfa806fff,0x3fe65fff,0xffa806ff,0x3ffe65ff,0xfffa806f,0x3fffe65f,
    0xffffa806,0x1bfffe65,0x97fffea0,0x204ffffb,0xf56ffffa,0x7c409fff,
    0x2a627fff,0x3ffee01b,0xfffff15f,0x1ffffa07,0xffffdb30,0x100017ff,
    0xfffffd95,0x3fff25ff,0x3f20002f,0x20002fff,0x002ffffc,0x0bffff20,
    0xffd70000,0x403bffff,0x202ffffe,0x3e27ffff,0xfb807fff,0x3fe25fff,
    0xffd03fff,0xffff88ff,0xffffd03f,0x3fffff88,0x88ffffd0,0xd03fffff,
    0x7d40ffff,0xfff54fff,0x7ffdc0bf,0x17ffd46f,0x0bffffa0,0x89bfffe6,
    0x401fffff,0x224ffffd,0x401fffff,0x224ffffd,0x401fffff,0x224ffffd,
    0x401fffff,0x224ffffd,0x401fffff,0x2a4ffffd,0x2e05ffff,0x5406ffff,
    0x5c00accc,0x3a05ffff,0xff54ffff,0x7ffc0bff,0x3fe6007f,0x2010001c,
    0x3fffffb8,0x009ffff7,0x27fffdc0,0xffff7000,0x7fdc0009,0x800004ff,
    0x01dffeb8,0x04ffffd8,0xff17fffe,0xfd803fff,0x3fea3fff,0x3ffe05ff,
    0x7fffd47f,0x1ffffe05,0x40bffff5,0x7d47ffff,0x3fe05fff,0x3fea07ff,
    0xffff34ff,0x7ffff40d,0x007ffe46,0x21bfffea,0x6c3ffffc,0x2605ffff,
    0x6c1fffff,0x2605ffff,0x6c1fffff,0x2605ffff,0x6c1fffff,0x2605ffff,
    0x6c1fffff,0x2605ffff,0x261fffff,0x3a06ffff,0x6406ffff,0x203fffff,
    0x80fffff9,0x92fffff9,0x2607ffff,0x000fffff,0x5c005ff5,0x2e02ffed,
    0xff33ffff,0x3f201fff,0x3fe60acd,0xbf900fff,0x7ffcc159,0x9bf900ff,
    0x7fffcc15,0x59bf900f,0xffff5001,0xff9805ff,0xffa80fff,0x7ffec4ff,
    0x3ffea06f,0x3fff21ff,0xffff303f,0x7fffe41f,0xfffff303,0x1ffffe41,
    0x0fffff98,0x40fffff2,0x00fffff9,0x229ffff5,0xc83fffff,0x746fffff,
    0xfff006ff,0x7ffcc5ff,0x7ffd40ff,0x7fd40dff,0xffa85fff,0x7d40dfff,
    0xfa85ffff,0x540dffff,0xa85fffff,0x40dfffff,0x85fffffa,0x0dfffffa,
    0x2fffffd4,0x0fffffe2,0x1bfffff2,0xffffb950,0x7ffff403,0x3fffaa2d,
    0xffff90ff,0x3ffffa0d,0x5ff7000f,0x7fffec00,0x3ffff606,0x37ffff61,
    0x7ffffcc0,0x6ffffec1,0x7ffffcc0,0x6ffffec1,0x7ffffcc0,0x6ffffec1,
    0x7ffffcc0,0xda999801,0xffd806ff,0x3fee3fff,0x7fcc1fff,0x7d40dfff,
    0x7e44ffff,0xffd06fff,0x7fe41fff,0xfffd06ff,0x7ffe41ff,0xffffd06f,
    0x7fffe41f,0xfffffd06,0x3fffea01,0x3fffffa4,0xfffffcbd,0x3ffe26ff,
    0xffff9004,0xfffffdff,0x3ffff609,0xffffdeff,0xffb00fff,0xffbdffff,
    0x201fffff,0xeffffffd,0xfffffffd,0xfffffb00,0xfffffbdf,0x3ff601ff,
    0xffdeffff,0xe80fffff,0xcbdfffff,0x6fffffff,0x0fffe600,0xffffffa8,
    0xfffffffe,0x3ffffea2,0xffffc9ad,0xf9000fff,0x7fcc00bf,0xcaacefff,
    0x20fffffe,0xdffffff9,0x5fffffda,0xffffff98,0xfffffdad,0xfffff985,
    0xffffdadf,0xffff985f,0xfffdadff,0xf10005ff,0xff9805ff,0xffffffff,
    0xff705fff,0xffbdffff,0xa81fffff,0x9adfffff,0xfffffffc,0x3ffffea0,
    0xffffc9ad,0x3fea0fff,0xfc9adfff,0x20ffffff,0xadfffffa,0xffffffc9,
    0xffff500f,0x7ffffdc9,0xfedfffff,0x3ffea6ff,0xfffd1003,0xffffffff,
    0x3fffa201,0xffffffff,0x3fa202ff,0xffffffff,0x2202ffff,0xfffffffe,
    0x02ffffff,0x3fffffa2,0xffffffff,0x3fffa202,0xffffffff,0xfff702ff,
    0xbfffffff,0x400dfffd,0x6401fffb,0xffffffff,0xfe84ffff,0xffffffff,
    0x01ffffff,0x139fff70,0x7ffdc015,0xffffffff,0xffb81fff,0xffffffff,
    0xff701fff,0xffffffff,0x3ee03fff,0xffffffff,0xf701ffff,0xffffffff,
    0x0003ffff,0x2007ffee,0xfffffffc,0x200fffff,0xfffffffe,0x02ffffff,
    0xfffffffd,0xffffffff,0xfffffe83,0xffffffff,0x7fff41ff,0xffffffff,
    0x7f41ffff,0xffffffff,0x01ffffff,0xc89ffff5,0xffffffff,0x64dfffd4,
    0x22001fff,0xfffffffd,0x7ec401ef,0xffffffff,0xfd8800ef,0xffffffff,
    0xfd8800ef,0xffffffff,0xfd8800ef,0xffffffff,0xfd8800ef,0xffffffff,
    0x7fe400ef,0xd4ffffff,0xdd30dfff,0x0bffffdd,0x3fffff20,0x303fffff,
    0xffffffff,0x9ffff59f,0x3fffe600,0x7dc01fff,0xffffffff,0x3ea02fff,
    0xffffffff,0x7fd401ff,0xffffffff,0x7ffd401f,0xffffffff,0x7fffd401,
    0x1fffffff,0xfeeee980,0x2e005fff,0xffffffff,0xffb800ef,0xffffffff,
    0x3ffe601e,0xacffffff,0x7cc4ffff,0xffffffff,0x44ffffac,0xfffffff9,
    0xffffacff,0x7ffffcc4,0xffacffff,0xfff504ff,0xfffd709f,0x7fff45bf,
    0x001fffa6,0x7fffff64,0x36e6000d,0x03efffff,0xfffdb980,0x98003eff,
    0xefffffdb,0xfdb98003,0x003effff,0xffffdb98,0x3ae003ef,0x3a2dffff,
    0xff986fff,0x004fffff,0x7ffffecc,0x7ec400df,0x3e1effff,0x2e007fff,
    0x01ffffff,0xfffffc88,0x9800cfff,0xffffffed,0xfdb3000b,0x017fffff,
    0x3fffb660,0x3000bfff,0xffffffdb,0x3fea0017,0x003fffff,0xfffffd98,
    0x7ecc003f,0x03efffff,0xfffffb10,0x3ffffc3d,0x7ffffec4,0x1ffffe1e,
    0x3fffff62,0x1ffffe1e,0x3fffff62,0x1ffffe1e,0x027fffd4,0x55000351,
    0xa8800055,0x5300000a,0xa9800003,0x54c00001,0x54c00001,0x54c00001,
    0x0d440001,0x2eeaa000,0xa980001a,0xa988001a,0x73000001,0x30001599,
    0x00013553,0x000cd4c4,0x0066a620,0x03353100,0x19a98800,0xbaa98800,
    0x5300001a,0x51000013,0x4c400035,0x9880001a,0x9880001a,0x9880001a,
    0x0000001a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x02eeeed8,
    0x6665d400,0xeeb8002a,0x37bb622e,0x80000000,0x000abba8,0x20007990,
    0xe88deeed,0x00004eee,0x3bba2000,0x02f774c4,0x8001a988,0x98003cc8,
    0x322001cc,0xcc98003c,0x15300001,0x2a620000,0x8800abcc,0x26621999,
    0x26200199,0x33310999,0xca880013,0x000acdec,0x33330000,0x006a6003,
    0x99753000,0x20000035,0xacdecca8,0x4ccc4000,0x00000009,0xfff98000,
    0xfd50006f,0x3dffffff,0x7fff4400,0x005fffb0,0x09ffff50,0x7ffffdc0,
    0x7fdc002f,0xfffa8001,0x1ffff92f,0x027fffdc,0x00dffff3,0x2e27ffd4,
    0x36605fff,0x1effffff,0x00dffb00,0xd800dfd0,0xfe8006ff,0xffffb806,
    0xfffffb50,0x3fee0009,0xffffffff,0xffffb00d,0x1ffffea3,0x4ffffd80,
    0x007ffff9,0x3fffff6a,0x002dffff,0x7fffc000,0xfffd300f,0x3ff21bff,
    0xffeb807f,0x3effffff,0xffda8000,0xdfffffff,0xffff9002,0xfff00007,
    0xfffd80ff,0x7ffcc01f,0x7fcc002f,0xffffffff,0x3fe6002f,0x05fffbdf,
    0x9ffff500,0x3fffe600,0x22007fff,0xfd0005ff,0x3ffe27ff,0x7fffdc1f,
    0x3fffe604,0x3fff2006,0x81fffe42,0xfffffffc,0x36204fff,0x5c006fff,
    0xfb1002ff,0xfb800dff,0xfffb802f,0xfffffb8f,0x1000dfff,0xfffffffb,
    0x07ffffff,0x2a3ffffb,0x2007ffff,0xf94ffffd,0xd8807fff,0xffffffff,
    0x01efffff,0xffff0000,0xffff701f,0xf91dffff,0x7fcc0fff,0xffffffff,
    0x8000dfff,0xffffffd8,0xefffffff,0x7fffe401,0xfff80003,0x7ffec07f,
    0xfffa801f,0x3ffe2005,0xffffffff,0x3f2000ff,0x00ffffff,0x9ffff500,
    0x237ff600,0x9003ffe8,0xf50003ff,0x7ffe49ff,0x4ffffb82,0x1bfffe60,
    0x41fffd80,0xfb81fffe,0xffffffff,0x7e443fff,0x2006ffff,0xc8805ff8,
    0x006fffff,0x5c017fe2,0xfffdffff,0x6fffffff,0xfffffb80,0xffffffff,
    0x3f61efff,0xfff51fff,0x7fec00ff,0xffff94ff,0x7fffd407,0x7ed441ad,
    0x00002fff,0x40fffff8,0xfffffffb,0xfffeffff,0xfffff307,0xffffffff,
    0x54003dff,0x40adffff,0x2ffffd98,0x0fffff20,0x3fffe000,0x7fffec07,
    0x3fff7001,0x3ffffa00,0xffffd9be,0x7ff4002f,0x20002fff,0x004ffffa,
    0x7fec3975,0x04ff9804,0x44bffb00,0xff704fff,0x7fcc09ff,0x3fe006ff,
    0x0ffff87f,0x7fffffc4,0xffffffde,0x3ffffea1,0x3ff2006f,0xffffa801,
    0x3f2006ff,0xfff7001f,0xfb9bffff,0x407fffff,0xfffffff9,0xfffffeff,
    0xffb0ffff,0x3ffea3ff,0x3ff6007f,0xffff94ff,0x37ffea05,0xfffb1000,
    0xff800007,0x7ffc0fff,0xfebbdfff,0x987fffff,0xffffffff,0xffffffff,
    0xffa801ff,0xf91000df,0x3ff207ff,0xf80003ff,0x7ec07fff,0x2a001fff,
    0xff8802cc,0x7ff40fff,0x644003ff,0x40003ccc,0x004ffffa,0x03fffb70,
    0x0001ffb0,0x64c19991,0x3ffee03c,0x3ffe604f,0xfff3006f,0x86fff98d,
    0x21effffb,0x23ffffd8,0x6ffb9dfa,0x009ff300,0x3fee77ea,0x09ff3006,
    0x7ffffdc0,0x7ffec42f,0xfffd00ff,0xb9815dff,0x95ffffff,0x3ea1ffdd,
    0x36007fff,0xdd74ffff,0xfff103ff,0x3fea0007,0x3e00001f,0x3ee0ffff,
    0xfb81ffff,0xfd87ffff,0x0adfffff,0xfffffd51,0x3fff880b,0x3fff5000,
    0x07ffff90,0xfffff000,0x1ffffd80,0x3e600000,0xffc85fff,0x000002ff,
    0x20000000,0x802ffff9,0x00003ffa,0x3ffee000,0x3ffe604f,0xfff5006f,
    0x84fffb89,0x982ffffc,0x8225ffff,0xfb006ffb,0xb822001f,0xffb006ff,
    0x7ffdc001,0x3ffe02ff,0xfffb83ff,0x74c00dff,0x2e2fffff,0x3fffea7f,
    0x3fff6007,0x40ffd44f,0x95103ffe,0x3ffea017,0xfff00000,0x7fffc1ff,
    0x3fff603f,0x7fffc47f,0x3f6201ff,0x3a02ffff,0x355533ff,0x3e601333,
    0x7ffe40ff,0xff80003f,0x7fec07ff,0xa99801ff,0x7d4009aa,0xffe84fff,
    0x4cc000ff,0x00009aaa,0x0004ccc4,0x17ffffd4,0x0001bfa0,0xfff70000,
    0x7ffcc09f,0xeeeeb86f,0xeeeefffe,0x25eefffe,0x3a07fffd,0x3ee06fff,
    0x3ffa806f,0x1bfee000,0x000ffea0,0x80dffff7,0x444ffffb,0x006fffff,
    0x9bffffe2,0x3ffea7fd,0x3ff6007f,0x07fe44ff,0x3a217fee,0x83efffff,
    0x26004ffc,0xfffff81a,0x0fffff10,0x47ffff98,0x04fffffb,0x0dffffd0,
    0xffc97fee,0x2effffff,0x7e44ffb8,0x55443fff,0xfffff000,0x1ffffd80,
    0xfffff910,0x2e03dfff,0x7cc4ffff,0x91005fff,0xffffffff,0x3fe0003d,
    0x108005ff,0x2e01fff9,0x7dc002ff,0x3e604fff,0x3fee6fff,0x3fe604ff,
    0xfffc86ff,0xffffffff,0x7fffffff,0x203fffee,0x204ffff8,0xfe806ffb,
    0x7fdc0006,0x006fe806,0x05ffffb8,0x22ffffcc,0x02fffffb,0x7ffffe40,
    0x3ea3ffb9,0x36007fff,0x3e64ffff,0x40ffe84f,0xffffffe8,0x0ffe81ff,
    0x3ffffa60,0xfffff0df,0x1bfffe61,0x0fffff10,0x400dfb73,0x82fffffa,
    0x3ff20ffe,0xffffffff,0x320ffe82,0xfd53ffff,0xf809ffff,0x7ec07fff,
    0xff881fff,0xffffffff,0xfffb82ff,0x7fffec3f,0xffff8802,0xffffffff,
    0x7ffc4002,0x1062004f,0xff105fff,0xfff7000d,0x7ffcc09f,0x3fffee6f,
    0x3fffe604,0xfffffc86,0xffffffff,0x267fffff,0xfb83ffff,0x3ee01fff,
    0x17fdc06f,0x1bfee000,0x0005ff70,0x807ffff7,0x6c7ffff8,0x8006ffff,
    0xfffffff8,0x7fffd46f,0x3fff6007,0x0fffb9cf,0x3a227fd4,0xff712eff,
    0x207ff70d,0xfffffffb,0xfffff9ef,0x0bffff50,0x00fffff0,0xffff8001,
    0x227fd43f,0x7ecc2ffc,0x23ffa86f,0xfcbffffc,0xefffffff,0x0fffff00,
    0x41ffffd8,0xffffffe8,0x2fffffff,0x11ffffdc,0x100dffff,0xfffffffd,
    0x05ffffff,0x17fffcc0,0x517ffc40,0xff905fff,0xfff70003,0x7ffcc09f,
    0x3fffee6f,0x3fffe604,0xfffffc86,0xffffffff,0x747fffff,0xc99cffff,
    0x5c07ffff,0x3fe206ff,0xffb80006,0x01bfe206,0x1ffffdc0,0x1ffffe20,
    0x007ffffd,0x3fffffa0,0x7ffd40cf,0x3ff6007f,0x0dffffff,0x7d40ffd8,
    0x87ffb06f,0xffb86ff8,0xffffffff,0x70ffffff,0xd00bffff,0x0000ffff,
    0x8bffffb0,0x7fe40ffd,0x80fff882,0x3fff26ff,0xffffffff,0xff06ffff,
    0xffe80fff,0x7ffdc1ff,0xffcbbdff,0x7fdc5fff,0x3fff23ff,0xfffb803f,
    0xffcbbdff,0xd1005fff,0x2001ffff,0xffbcfffb,0x2ffc40ff,0xffffb800,
    0x3fffe604,0x13fffee6,0x86ffff98,0xfffc9998,0xfffc999c,0x7ec4199d,
    0xffffffff,0x7fdc00ef,0x007ff206,0x81bfee00,0x70001ffc,0x8809ffff,
    0x7fc6ffff,0xb0002fff,0x203fffff,0x007ffffa,0x3bfffff6,0x21bfa02c,
    0x03102ffc,0x3fe23fec,0xebbdffff,0x0fffffff,0x00dffff5,0x544fffff,
    0xaaaaaaaa,0xaaaaaaaa,0x746ffffd,0x82ffc86f,0xffb06ff8,0x7fffffe4,
    0xfffecacf,0xffff83ff,0x3fffa00f,0x7ffffc1f,0x7ffffa81,0xd1ffffdc,
    0xf009ffff,0xf503ffff,0xd100ffff,0x800dffff,0xfffffffe,0x000ffd81,
    0x09ffff70,0x737fffcc,0x5409ffff,0xc806ffff,0x7fe42fff,0xfffc803f,
    0x005fffff,0x3e20dff7,0xf700005f,0x17fe20df,0xffffb800,0x7fffcc05,
    0x3ffffe25,0xfff90001,0x7ffd40ff,0x3ff6007f,0xbff004ff,0x0001ffd0,
    0xffc83ff2,0xffb82fff,0xff30ffff,0xff880fff,0x3ffe67ff,0xffffffff,
    0xffffffff,0x2ffc7fff,0x36617fe4,0x1ff903ff,0x3bfffff2,0xfffffd80,
    0x07ffffc0,0x83fffff0,0xf103ca98,0xffb8ffff,0x3fff63ff,0x54c400ff,
    0xffff103c,0xfffe880f,0x644001ff,0x980dffff,0x2e0004ff,0x2604ffff,
    0x3ea6ffff,0x3ee04fff,0xfe806fff,0x7fff41ff,0x7fff5401,0x01efffff,
    0xfb06ffb8,0x2e00001f,0x1ffb06ff,0x7ffdc000,0x3fee00ff,0x3ffe64ff,
    0xf70000ff,0x7d40ffff,0x36007fff,0x8804ffff,0x07ff84ff,0xf87fee00,
    0x3a03ffff,0xf10fffff,0x6405ffff,0x3ea7ffff,0xffffffff,0xffffffff,
    0x10ffffff,0xfff909ff,0x1dffffff,0x7e47fea0,0xf101ffff,0xff87ffff,
    0xff102fff,0x20003fff,0x5c7ffff9,0x3ea3ffff,0x000effff,0x7ffff980,
    0x3ffffa20,0x0440003f,0x9003ffa0,0xfffb83dd,0x3ffe604f,0x3fffe66f,
    0x3ffffa06,0x87fff806,0x7dc07fff,0xffffffff,0x40003fff,0xcb884ff9,
    0x40000cde,0xec804ff9,0x7fffdc1e,0x3fffe03f,0x3fffea3f,0xff70000f,
    0x7fd40fff,0x3f6007ff,0xf8804fff,0x03ffc44f,0x223ff700,0x5407ffff,
    0x360fffff,0xf306ffff,0x7d4fffff,0xffffffff,0xffffffff,0x10ffffff,
    0xfff909ff,0x803bffff,0xfff91ffb,0xfffc80bf,0x7ffffc4f,0xfffff905,
    0x3b2e6003,0x20ffffff,0x6c3ffffb,0x00efffff,0x7ff65cc0,0xf980ffff,
    0x002fffff,0x3ffa8000,0x20fffdc0,0x204ffffb,0x226ffff9,0xc82fffff,
    0x406fffff,0x7cc6fff9,0x3fea06ff,0xfc88afff,0x0004ffff,0xff503ffa,
    0x005fffff,0x2007ff40,0x7dc2fffb,0x443fffff,0x447ffffd,0x001fffff,
    0x0dffff90,0x03ffffd4,0x07ffffb0,0x3fe17fe0,0xff90000f,0x1bfffe61,
    0x1fffff10,0x77ffffd4,0xffffb98a,0x3ffe67ff,0xffffffff,0xffffffff,
    0x2ffc7fff,0x7ed5ffe4,0x7fe401ff,0x09ffff90,0x45ffffa8,0x43ffffff,
    0x1ffffffa,0xffffb510,0x8fffffff,0xe83ffffb,0x405fffff,0xfffffda8,
    0xd07fffff,0x003fffff,0x1bfa0000,0x83ffff50,0x204ffffb,0x7c6ffff9,
    0xdbefffff,0x6fffffff,0xfffcaa98,0xfffcaaad,0x3f62aaae,0xff881fff,
    0xf50007ff,0xdfffd07f,0x2000dfff,0x7d403ffa,0x7fdc2fff,0xdcefffff,
    0x83ffffff,0x002fffff,0x0bffffb0,0x03ffffd4,0x07ffffb0,0x3f61bfa0,
    0x017d502f,0x7ffd4ffb,0xffff805f,0x7ffff40f,0xffffffff,0x3fe27fff,
    0x9999bfff,0xc9999999,0x7f47ffff,0x2a2ffc86,0x3f601fff,0x0fffff27,
    0x8dffff30,0xefffffff,0xffffffec,0xffffa81f,0xffffffff,0x7fffdc7f,
    0xffffe883,0xffff504f,0xffffffff,0xffff70ff,0x0000003f,0xf980bfee,
    0x7dc1ffff,0x3e604fff,0x7fdc6fff,0xffffffff,0xc86fffed,0xffffffff,
    0xffffffff,0x3fffe7ff,0x3ffff607,0x86fe8001,0xff10fffa,0xdfd0005f,
    0xfffff880,0x7ffffdc2,0xffffffff,0xfffd06ff,0x3fa0007f,0x3e603fff,
    0x36007fff,0x9003ffff,0x6ffb83ff,0xf885fff0,0x3fffee5f,0xfffff805,
    0x7ffff440,0xffafffff,0x3ffe27ff,0x7ec003ff,0x7fe46fff,0x3217fe41,
    0xbff106ff,0x01ffffe4,0xf1ffffe2,0xffffffff,0xffffffff,0xfffffb83,
    0xfffd1bdf,0x3ffffb8f,0xfffffd10,0xfffffb85,0xfffd1bdf,0x3ffffd0f,
    0x22000000,0x3fa205ff,0x7dc1ffff,0x3e604fff,0xffc86fff,0xd4ffffff,
    0xff90dfff,0xffffffff,0xffffffff,0x13fffe6f,0x03ffffa8,0x5c17fdc0,
    0x27ff44dc,0x80bfee00,0x2fffffe8,0x5dffffdc,0xffffffff,0xffffb00d,
    0xfff5000f,0x7fcc05ff,0x3fa007ff,0xf3003fff,0x7fffd09f,0x70bffb51,
    0x7ffd45ff,0xffff805f,0xfffd880f,0xfff2ffff,0xffffd8ff,0x7fffc005,
    0x227fcc4f,0x7fc42ffc,0x22ffb82f,0x403ffffc,0x7c6ffff9,0xfffaffff,
    0xffffbfff,0x3ffffe21,0x8ffffd03,0x203ffffb,0x25ffffe8,0x03fffff8,
    0xf88ffffd,0x9b006fff,0xf9000155,0x57fec03f,0x7fdc1ffe,0x3fea04ff,
    0xffd706ff,0x7ff47bff,0xffffc86f,0xffffffff,0x77ffffff,0x4c09ffff,
    0x2005ffff,0x4c005ff8,0x22002fff,0x7fec05ff,0x7dc2ffea,0xffd33fff,
    0xfb807dff,0x4003ffff,0x00fffffe,0x07ffffe2,0x17ffffc0,0x981ffd00,
    0xffffffff,0x23ff440f,0x406ffff9,0x00fffff8,0x82f7fb2a,0x7dc7ffff,
    0x5001ffff,0xd03fffff,0x17fe41ff,0x3a07ffdc,0x7fffe47f,0x7fffd404,
    0xcbffffc5,0xffa9efff,0x3ffea1ff,0x3fffe05f,0x1ffffdc7,0x9bfffe60,
    0x205ffffa,0x7c47ffff,0xfa806fff,0x4c003fff,0x3ff204ff,0xfa83ffd3,
    0x3ee05fff,0x54406fff,0x4c0bfd01,0xaaefffca,0xaaefffca,0xffff32aa,
    0x7fffd40d,0x07ff2003,0x05fffa80,0x900ffe40,0x0bffa7ff,0x887ffff7,
    0xff1000a9,0x2001ffff,0x04fffffa,0x06fffff8,0x1fffffa8,0x217fee00,
    0xdfffffd8,0x444ffd81,0x200fffff,0x00fffffa,0x3ffffc00,0x1bffffe2,
    0x3ffffe20,0x64dff707,0x9fff02ff,0x3f227fe4,0x7e407fff,0x7ffc4fff,
    0x8006a27f,0x303ffffc,0x5c1fffff,0xf803ffff,0x3ff27fff,0xfff303ff,
    0xfffe81ff,0x7fff402f,0x7fec000f,0x74bff500,0x7ffcc1ff,0x3fffa06f,
    0x7fc0006f,0x4fffb804,0x1027ffd4,0x203fffff,0x002ffffd,0x5c009ff1,
    0x2000ffff,0x3ea04ff8,0x70bffa5f,0x0007ffff,0x3ffffea0,0x7ffe402f,
    0xfd800fff,0x2203ffff,0x007fffff,0x5304ffd8,0x37fdc057,0x04ffffe8,
    0x83fffffa,0x2009abcc,0xc86ffff8,0x204fffff,0x3fffffd8,0x4c53ff60,
    0x23331009,0xffc86ffa,0xff103fff,0xfff85fff,0x7e40007f,0xffd06fff,
    0x7fdc1fff,0xf32dc3ff,0x7fe4dfff,0xfffd06ff,0xfffc81ff,0xffd880ef,
    0x7cc005ff,0x7fff103f,0x159fff55,0x0fffffe2,0x1bfffff2,0x05ff9800,
    0x642fffc8,0x7f402fff,0x3222efff,0x000fffff,0x32001ffb,0x4000efff,
    0xff100ffd,0x9ffd557f,0x3fffee15,0x3f600003,0x9bdfffff,0xffffeba8,
    0xff3003ff,0x137bffff,0xfffffd95,0xfff10007,0xff90001b,0x3ffea03f,
    0xfffd83ff,0x3ff60fff,0xff900fff,0xfff109ff,0x3135dfff,0xdffffff7,
    0x05fff880,0x03fff900,0x5ffffff9,0x6ffffe88,0x007ffff8,0x7ffffd40,
    0xffffc9ad,0x3fee0fff,0xdffd33ff,0x4bfffffb,0xadfffffa,0xffffffc9,
    0x7fff440f,0xffebbeff,0x4002ffff,0x3fea06fe,0xffffffff,0x3ffffa1f,
    0xffffcbdf,0x20006fff,0xfe807ffa,0x7fff41ff,0x7fffd401,0xffffdeff,
    0xff3004ff,0x3fff6007,0x3ff98005,0x3ffffe60,0x71ffffff,0x0007ffff,
    0x7ffffcc0,0xffffffff,0x006fffff,0x7fffffec,0xffffffff,0x30000fff,
    0x2005dfff,0x402fffe9,0xcefffffe,0xffffffed,0x3fffee0f,0xfcb99bef,
    0xf301ffff,0xffffffff,0xffffffff,0xdfff3003,0x3ff66005,0xffff902f,
    0xffb9dfff,0xff05ffff,0xd0000fff,0xffffffff,0x3fffffff,0xc9ffffdc,
    0xffffffff,0x7fff40ff,0xffffffff,0xf981ffff,0xffffffff,0x002fffff,
    0xf5017fd4,0xffffffff,0x7ffdc3ff,0xdfffffff,0x0006fffe,0x4c73ffe6,
    0x7c3fffc1,0xff9007ff,0xffffffff,0x7f400dff,0x9fffb007,0x01ffa000,
    0xfffffff3,0x3ee3ffff,0x00003fff,0x7fffff44,0xffffffff,0xe98004ff,
    0xffffffff,0x3fffffff,0x7ff4c000,0xa989abff,0x01efffeb,0xffffffa8,
    0xffdeffff,0x3ffe20ff,0xffffffff,0x4c04ffff,0xffffffff,0x1effffff,
    0x3fffa600,0xd73119be,0x6403dfff,0xfffcffff,0x6fffffff,0x00fffff0,
    0xfffff300,0xff59ffff,0x7ffdc9ff,0x3ffff23f,0xf982ffff,0xffffffff,
    0x04ffffac,0xffffffd5,0x003fffff,0x4406ff88,0xfe999999,0xfffc81bf,
    0xfd4fffff,0xe8000dff,0x24ffffff,0x7cc5fff9,0x3f2006ff,0xffffffff,
    0xff5000df,0xffff5005,0x809fffff,0x99802ffa,0xbffe9999,0x0ffffee1,
    0x7fdc0000,0xffffffff,0x40001eff,0xfffffffc,0x01efffff,0x3fff2000,
    0xffffffff,0x26000dff,0xffffffff,0x0ffffc8e,0x7fffffcc,0xefffffff,
    0xfffe9800,0xffffffff,0xff90000d,0xffffffff,0xc801bfff,0xffb8ffff,
    0x05ffffff,0x001ffffe,0x7fffec40,0x3fffe1ef,0x0ffffee7,0x3dffffd7,
    0x7fffec40,0x3fffe1ef,0x7fffdc07,0x000cefff,0x0001ffb8,0xeb807ffa,
    0x3a2dffff,0x40006fff,0x4fffffe9,0xf513ffee,0xd98009ff,0x2fffffff,
    0x8037fc00,0xfffffffd,0x37fc04ff,0x0bffa000,0x007ffff7,0x7f644000,
    0x3defffff,0x3b660000,0xefffffff,0x91000004,0xffffffff,0x2200039f,
    0x24fffffd,0x980ffffc,0xfffffffc,0xa8003fff,0xfffffffe,0xc880001d,
    0xffffffff,0xff9001cf,0x3ff6a1ff,0x7fc03eff,0x400007ff,0x00001a98,
    0x0004d440,0x00003531,0x009ba988,0x017fe200,0x003ddb00,0x00000351,
    0x41bcc980,0x54c0aaa9,0x260000aa,0xb80009aa,0xddd001ff,0x7ddddddd,
    0x000ffdc0,0x3107bb60,0x00001333,0x04d4c400,0xa9800000,0x0000009a,
    0x55e5d4c0,0x54c00001,0xba880000,0x009acccc,0x19aa9800,0x2a600000,
    0x0001abcb,0x4002a600,0x00019999,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x5e654c00,0x2200000a,0x09abccb9,0x4cc40000,0x2a200099,
    0x09abcccb,0x2eeeb800,0x0037bb62,0xbccb9880,0x9ddb000a,0x33333100,
    0x4cccc400,0x79973000,0x0d4c0005,0x01530000,0x88000000,0x00009999,
    0x09999880,0x2e033331,0x776c2eee,0x4c40000d,0x99999999,0x99999999,
    0x00999999,0x0177775c,0x2aaaaa60,0x202aaaaa,0x0fb605ea,0x32033004,
    0x3b621eee,0xddd9005e,0x2666209d,0x88020009,0x27774c09,0x0007bbb2,
    0xffffffd9,0x0001bfff,0x3ffffff2,0x0003ffff,0x0fffffa0,0x3ffff6a0,
    0x0cffffff,0x3fffa200,0x005fffb0,0x3ffffaa0,0x402effff,0xfa807ffd,
    0x36007fff,0x2204ffff,0xfffffffd,0xffb1002e,0x3ee3bfff,0xfb300fff,
    0x405bffff,0x00fffff8,0x321ffffe,0x0002ffff,0x5ffffa80,0x740ffff7,
    0xfff90fff,0xff900007,0xffffffff,0xffffffff,0x807fffff,0x002ffffc,
    0x7fffffe4,0x2607ffff,0x2ffa83ff,0x82fbfae2,0xff880ffb,0x5fffb0ef,
    0xdffff100,0x3fffea01,0xcffda804,0x360bfe21,0xfff52fff,0x7ff4c00b,
    0xffffffff,0x22003fff,0xfffffffe,0x01ffffff,0xffffe800,0x3fff6203,
    0xffffffff,0x26003fff,0xfffbdfff,0xffd88005,0xffffffff,0xff700dff,
    0xfffa801f,0x3ff6007f,0xffd104ff,0xffffffff,0xffff9809,0xfb9fffff,
    0xffc80fff,0x4fffffff,0x1fffff10,0x43ffffc0,0x002ffffc,0xffffa800,
    0x40ffff75,0xffbefff9,0xf880005f,0xffffffff,0xffffffff,0x3fffffff,
    0x17fffe40,0x3ffff200,0x07ffffff,0x5cce7ff4,0x3fee0fff,0xffdeffff,
    0x37ffea07,0x9004fffc,0x5401dfff,0x4c04ffff,0xdfffffff,0xfe881ffe,
    0x0ffffaff,0xfffff700,0xffffffff,0x9801dfff,0xfffffffe,0xffffffff,
    0x7ff40000,0xffd303ff,0xffffffff,0x07ffffff,0x7ffffe40,0x7d4000ff,
    0xffffffff,0x0fffffff,0x402fff98,0x007ffffa,0x213ffff6,0xfffffff9,
    0x02ffffff,0xfffffff3,0xfffbffff,0xffffd81f,0xdfffffff,0x7ffffc40,
    0x1ffffe00,0x00bffff2,0x3ffea000,0x0ffff75f,0xffffffb8,0xfc80000f,
    0xffffffff,0xffffffff,0x3fffffff,0x17fffe40,0x3bbbae00,0x05eeeeee,
    0x7fffffcc,0x7fff42ff,0x4fffffff,0x7ffffe40,0xfff1006f,0xfffa801f,
    0x7ffdc04f,0x6fffffff,0x3ffffe60,0xff5002ff,0xdfffffff,0xffffffff,
    0xffffd80d,0xffeddfff,0x0006ffff,0x41fffff4,0xfffffff8,0xfffffeff,
    0x2002ffff,0x02fffffe,0x7ffffcc0,0xffffefff,0xff06ffff,0xfffa809f,
    0x3ff6007f,0xfffd84ff,0xfffcadff,0xfffd07ff,0xffd99dff,0x541fffff,
    0xffffffff,0x443fffff,0x200fffff,0xfc87ffff,0x00002fff,0x75ffffa8,
    0xfb00ffff,0x0005ffff,0xdfffff10,0xfffffffd,0xffffffff,0xfc807fff,
    0x00002fff,0x7ff54000,0x7fc42fff,0x9fffb712,0xfffe8801,0xff7001ff,
    0xfff5003f,0x15fe809f,0x03bfff95,0x4fffffc8,0xffffd100,0xfc9815ff,
    0x104fffff,0x039fffff,0x5fffffd3,0x7fff4000,0xffffd83f,0x76541bff,
    0x007fffff,0x00f33322,0x3fffff60,0xffb5109d,0xfd07ffff,0xfffa80df,
    0x3ff6007f,0x7ffc44ff,0x7ffc40ff,0x7ffd42ff,0xfffb83ff,0xffd10fff,
    0x3faa3bff,0x7fc47fff,0x3fe00fff,0xfeeb87ff,0xa800001f,0x7315ffff,
    0x999100df,0x2e000079,0x3fa5ffff,0x9999bfff,0x99999999,0x00000000,
    0x2aa60000,0x22055101,0x33260009,0x32e002cc,0xfff5001c,0x00aa809f,
    0x66640033,0x3ff2004c,0x4c00dfff,0x80fffffe,0x405ffffa,0x03fffffa,
    0x3ffffa00,0x7ffffdc3,0x7ffc401e,0x00002fff,0x3fffea00,0x7ffd403f,
    0xfffc87ff,0x3fffea00,0x3fff6007,0x7fffd44f,0x9ffff904,0x05ffffe8,
    0x43fffff2,0xd05ffffa,0x7c47ffff,0xc800ffff,0x03fea06f,0x3fea0000,
    0x02fe45ff,0x3e000000,0x3fa2ffff,0x00003fff,0x26000000,0x0000001a,
    0x00000000,0xfff50000,0x0000009f,0x3fe60000,0x22006fff,0xc85fffff,
    0xe803ffff,0x0005ffff,0xd0fffffa,0x001fffff,0x17ffffea,0x00035300,
    0x00bffffd,0x0bfffff6,0x5405fff5,0x2007ffff,0x644ffffd,0xd101ffff,
    0xfff81579,0x3fe601ff,0xfff70fff,0x3ffea05f,0x3fffe26f,0x05ff800f,
    0x88003ff2,0x3fea00aa,0x0ffe65ff,0x0026a600,0x6ffffa80,0x01fffff4,
    0x00000000,0xfffffb73,0x0000007d,0x00000000,0xfa8054c0,0x20004fff,
    0x200009a9,0x3ff200a9,0x64001fff,0x5c1fffff,0x9807ffff,0x00009aaa,
    0x98fffffa,0x003fffff,0x004de764,0x3ffff6e6,0xffa803ef,0xf1001fff,
    0xff1037bf,0x7ffd409f,0x3ff6007f,0x7ffdc4ff,0xff10001f,0xfff00fff,
    0x3fff21ff,0xffff101f,0x3fffe21f,0x17fdc00f,0x3fe4ffa8,0x3ffb24ff,
    0xffa83fff,0x8bff75ff,0xb31ffffa,0x03dfffff,0x7ffffd00,0x03ffffe8,
    0x7fffec00,0xffffffff,0x3ff607ff,0xffffffff,0xfffa801e,0xfffa804f,
    0x3fff604f,0xffffffff,0x3ff27fff,0xfffe88ff,0x7fffd42e,0x3ffea1b4,
    0xffffb31f,0xfff903df,0xdfffd11f,0xbffffd05,0xffff1000,0xffffa85f,
    0x00000bff,0x7ffffd00,0x037fffe4,0x7fec0000,0xffffffff,0x3fff201e,
    0x8004005f,0x3ea06ffe,0x36007fff,0x7d44ffff,0x30002fff,0xd00dffff,
    0x3f61ffff,0x3fe00fff,0xfff11fff,0x3f6201ff,0x8dffb05f,0xfd8cffff,
    0x5fffffff,0xbaffffd4,0x7ffd40df,0xfffff99f,0x2002ffff,0xe87ffffa,
    0x0003ffff,0x7fffffec,0xffffffff,0xffffe887,0xffffffff,0x7ffd402f,
    0xfffa804f,0x3fff604f,0xffffffff,0x3ff27fff,0xffffe8ff,0x7fffd42f,
    0xfff50fed,0xfffff33f,0xfc85ffff,0xfffe8fff,0x7ffc42ff,0xfd0003ff,
    0xff887fff,0xbeffffff,0x3a000001,0x3fa3ffff,0x00004fff,0x3ffffa20,
    0xffffffff,0xffffb02f,0x32000009,0xff500fff,0x7ec00fff,0x7fcc4fff,
    0xf50004ff,0xfd00dfff,0x3ff61fff,0x3ffe01ff,0xffff12ff,0x37fe201f,
    0xf81bf900,0xfffedfff,0x2fffffff,0x197fffea,0xf9ffff50,0xffffffff,
    0x3fa001ff,0xffe83fff,0x6c0003ff,0xffffffff,0x87ffffff,0xeffffffc,
    0xffffffed,0x3fffea00,0xffffa804,0x3ffff604,0xffffffff,0x3fff27ff,
    0xffffffef,0x7ffffd40,0xffff50ff,0xfffffff9,0x7e41ffff,0xffffefff,
    0x7ffcc0ff,0xfb0002ff,0xff50bfff,0xffffffff,0x800005bf,0x3e3ffffe,
    0x0003ffff,0x3ffff200,0xfffedeff,0xffe80fff,0x000003ff,0x2a05fff5,
    0x2007ffff,0xf84ffffd,0x30007fff,0xd00dffff,0x3ee1ffff,0xff102fff,
    0x3fe27fff,0x0ae00fff,0x3ffe0510,0xdbceffff,0x2a6fffff,0xa805ffff,
    0xdfffffff,0xfffffecb,0xffff9803,0xffffe80f,0xffffffff,0x7ec2ffff,
    0xffffffff,0x4c7fffff,0x40dfffff,0x05fffffa,0x013fffea,0x813fffea,
    0xfffffffd,0x7fffffff,0x3ffffff2,0xfa85ffff,0x2a4fffff,0xdfffffff,
    0xfffffecb,0x3fffff23,0x985fffff,0x001fffff,0x0dffff90,0x3ffffff2,
    0x4fffffff,0xfffd0000,0x3fffe27f,0x3000002f,0x81bfffff,0x85fffffa,
    0x002fffff,0x9fff1000,0x1ffffea0,0x4ffffd80,0xfffffffb,0x009fffff,
    0xf00fffff,0x3ea1ffff,0xff705fff,0x3fe27fff,0x00000fff,0x3fffffe0,
    0xfffffc83,0x0bffff50,0xffffff50,0xfffff881,0xffffd805,0xfffffd04,
    0xffffffff,0x99885fff,0xfff11999,0xffc83fff,0x3fe605ff,0xff502fff,
    0xff5009ff,0x4cc409ff,0xfff11999,0x7fe43fff,0xc98bffff,0xfffffa81,
    0x7ffffd43,0x7fffc40f,0x3ffff25f,0x81c98bff,0x00fffffa,0xfffff700,
    0x7ffffd40,0xffffffff,0xffe80005,0xffff33ff,0x7ffc403f,0xffffffff,
    0x17ffff22,0x2fffff98,0x07ffffe2,0xffe80000,0xfffff506,0x7fffec00,
    0xffffffb4,0x09ffffff,0x03fffff0,0x07ffffd4,0x419ffffd,0x4ffffffb,
    0x01fffff1,0x7ffc0000,0x3ffe05ff,0xffff50ff,0xffff500b,0x3ffea05f,
    0x7ffcc05f,0xfffd01ff,0xffffffff,0x005fffff,0x7fffff44,0x1ffffe82,
    0x27fffe40,0x04ffffa8,0x04ffffa8,0xffffd100,0xffffc85f,0xfff5004f,
    0xffff50bf,0x3ffea05f,0x3ffff25f,0xfff5004f,0x2e0001ff,0x4407ffff,
    0xffffffdb,0x00efffff,0x3ffffa00,0x5fffff13,0x7ffffc40,0x22ffffff,
    0x401ffffe,0x264ffffc,0x001fffff,0x1fff2000,0x03ffffd4,0x29ffffb0,
    0xfffffffd,0x804fffff,0x204ffffd,0x20fffffe,0xdffffffa,0xffffffff,
    0x1fffff14,0x7fc00000,0x3fa01fff,0xfff51fff,0xfff500bf,0x7ffcc0ff,
    0x7ffe406f,0x3fffa05f,0xffffffff,0x002fffff,0x7fffffd1,0x0dffff10,
    0x0bffff50,0x013fffea,0x013fffea,0x3ffffa20,0xffffc83f,0xffd8800f,
    0xfffa84ff,0x3ffe607f,0x3ffff26f,0xfff1000f,0x320003ff,0x2006ffff,
    0xfffffdb8,0x0005ffff,0xf8fffffa,0x2203ffff,0xffffffff,0xfff12fff,
    0xfff500df,0xfffff8bf,0x2a000002,0xffa81fff,0x3f6007ff,0xddd93fff,
    0xdddfffff,0xfff3007d,0xffd887ff,0x7ec0ffff,0xffffffff,0xf13fffff,
    0x0001ffff,0x7ffffc00,0x3ffff600,0x0bffff51,0x0bffff50,0x03ffffc4,
    0x05fffff1,0x567ffff4,0xaaaaaaaa,0xffb000aa,0x3ea09fff,0xf9805fff,
    0xff507fff,0xff5009ff,0xfb0009ff,0x3209ffff,0x8805ffff,0x84fffffe,
    0x205ffffa,0x327ffff8,0x4005ffff,0x002fffff,0x0bffffb0,0x7ffdcc00,
    0x20007fff,0x3e3ffffe,0x2204ffff,0xffffffff,0xfff52fff,0xfff300bf,
    0xffffe8ff,0x22000003,0xffa83fff,0x3f6007ff,0xfff03fff,0x7ec000ff,
    0xfdceffff,0x0fffffff,0xffffffb8,0x2ffffcdf,0x01fffff1,0x7ffc0000,
    0x7ffec07f,0xbffff51f,0xbffff500,0x3ffffc40,0xdfffff90,0xffdddddd,
    0x00007fff,0xbfffff90,0x27fffdc0,0x3ffffc40,0x04ffffa8,0x04ffffa8,
    0x7ffffe40,0x3ffff205,0xffffd804,0xfffa84ff,0x3ffe205f,0x3ffff27f,
    0x7fff4004,0xffd0003f,0x100007ff,0x03fffff9,0x3ffffa00,0x17ffffa2,
    0xf5555550,0x3ee5ffff,0xf8804fff,0x7fec7fff,0x154004ff,0x30bfff00,
    0x400fffff,0x883ffffd,0x0005ffff,0x3fffffe2,0xffffffff,0xfd9300ff,
    0x3fff67bf,0xfffff12f,0x7c000001,0x7ec07fff,0xfff51fff,0xfff500bf,
    0x7ffc409f,0xffff107f,0xffffffff,0x07ffffff,0xfffb8000,0x7fd406ff,
    0xff9805ff,0xfff506ff,0xfff5009f,0x7fdc009f,0x7e406fff,0xfe803fff,
    0xa84ffffe,0x2204ffff,0x3f27ffff,0x6c003fff,0x8006ffff,0x22fffff9,
    0x004feeca,0x44fffffa,0x3a02caa9,0x3ee2ffff,0x8001ffff,0xf52fffff,
    0xf300bfff,0xffc8dfff,0x7f4006ff,0x3f600adf,0xffff987f,0x3fffa007,
    0xffffa83f,0x7fcc0004,0x8effffff,0x000fffff,0x23ffffd0,0x00fffff8,
    0x3ffe0000,0x7ffec07f,0xbffff51f,0x9ffff500,0x3ffffc40,0xffffffb8,
    0xffffffff,0x0003ffff,0x3ffffea0,0x7ffcc00e,0xfffa806f,0xffff505f,
    0xffff5009,0x3ffea009,0x7e400eff,0xbe803fff,0xa84ffffa,0x2204ffff,
    0x3f27ffff,0x5c003fff,0x003fffff,0x07fffff4,0x00fffff5,0x9a7fffec,
    0x3e05ffff,0x3e22ffff,0x8005ffff,0xf32fffff,0xf500dfff,0xffa8bfff,
    0xf3002fff,0x5c05ffff,0x7fc41fff,0xff001fff,0xffb05fff,0x100003ff,
    0x1bfffffb,0x003ffffe,0x87ffffc0,0x00fffff8,0x3ffe0000,0x7ffec07f,
    0xbffff51f,0x9ffff500,0x3ffffc40,0xfffffff8,0xffffffff,0x0003ffff,
    0xffffff30,0xffff1003,0xfffd803f,0xffff504f,0xffff5009,0xffff3009,
    0xff9003ff,0x2a3007ff,0xfa84ffff,0x3e204fff,0x3ff27fff,0x7c4003ff,
    0x000fffff,0x89fffff5,0x02fffff8,0x2fffff98,0x20fffff1,0x41fffff8,
    0x02fffffd,0x3ffffe20,0x3fffff12,0x4ffffd80,0x06ffffe8,0x0fffffd0,
    0xf83fff98,0xa806ffff,0x541fffff,0x0004ffff,0xff80a980,0x2a660fff,
    0xffff502b,0x7ffffc4d,0x3e000000,0x7ec07fff,0xfff51fff,0xfff500bf,
    0x7ffc409f,0xffffb87f,0xeeeeeeef,0x3fffffee,0xfff88000,0x36001fff,
    0x2605ffff,0x501fffff,0x5009ffff,0x8809ffff,0x01ffffff,0x07ffff90,
    0x27fffd40,0x027fffd4,0x64fffff1,0x8003ffff,0x2ffffffa,0x7ffffe40,
    0xffffe80f,0x7ffec01f,0x7ffffc7f,0x7ffffb82,0xffffff98,0xffffb803,
    0x3fff62ff,0x3ffe605f,0xfffa81ff,0x3f600dff,0xf804ffff,0xfffd85ff,
    0x3fe203ff,0x7fcc7fff,0x000006ff,0x0fffff80,0x20fffff1,0x222ffffd,
    0x000fffff,0x3fffe000,0x7fffec07,0x0bffff51,0x09ffff50,0x43ffffc4,
    0x005ffffe,0x007ffffd,0xffffe880,0x7fd4002f,0x7d40dfff,0x2a05ffff,
    0xa804ffff,0x2204ffff,0x02fffffe,0x0fffff20,0x4ffffa80,0x04ffffa8,
    0xc9ffffe2,0x0003ffff,0xbffffffb,0xffd75137,0x2e07ffff,0x9cffffff,
    0xffffd530,0xffffe8bf,0xfffb98bf,0xfff705ff,0x3157dfff,0xffffff95,
    0x7ffd45ff,0x7fd40dff,0x3f605fff,0x8abfffff,0xfffffeb9,0x7ffd800f,
    0xffffff98,0xfeb989ce,0x3e63ffff,0xffedffff,0xfdb99ace,0xfff80000,
    0x3fffa0ff,0x3fff20cf,0x7fffc46f,0xaaaaaabf,0x00aaaaaa,0x80fffff0,
    0xf51ffffd,0xf500bfff,0x7c409fff,0x7fd47fff,0xfd001fff,0x55559fff,
    0x55555555,0x7fffff45,0xaaaaaaad,0x7ffec1aa,0xfffdefff,0x2a00ffff,
    0xa804ffff,0x3a04ffff,0xaadfffff,0x1aaaaaaa,0x007ffff9,0x427fffd4,
    0x204ffffa,0x327ffff8,0x0003ffff,0xfffffff3,0xffffffff,0xfd80dfff,
    0xffffffff,0xffffffff,0x7ffffcc2,0xffffffff,0x3fff601f,0xffffffff,
    0xffffffff,0x7fffec0e,0xffffdeff,0x3e200fff,0xffffffff,0xffffffff,
    0x3fff7002,0xffffffb0,0xffffffff,0x7fe41fff,0xffffffff,0x4fffffff,
    0xffff8000,0x3fffee0f,0xfffffdff,0x7fffc42f,0xffffffff,0x01ffffff,
    0x80fffff0,0xf51ffffd,0xf500bfff,0x7c409fff,0x7ff47fff,0x3fa006ff,
    0xffffffff,0xffffffff,0xffffff57,0xffffffff,0xffe889ff,0xffffffff,
    0x7d402fff,0xfa804fff,0xff504fff,0xffffffff,0x29ffffff,0x003ffffc,
    0x213fffea,0x204ffffa,0x327ffff8,0x0003ffff,0x3fffffa6,0xffffffff,
    0xfe8804ff,0xffffffff,0x04ffffff,0xfffffffb,0x009fffff,0xfffffff9,
    0xffffffff,0xfd101bff,0xffffffff,0x1005ffff,0xfffffffd,0x7fffffff,
    0x1fffcc00,0x7fffff4c,0xffffffff,0x7ffc43ff,0xffffffff,0x0fffffff,
    0x7fffc000,0x7ffff40f,0x5fffffff,0xffffff88,0xffffffff,0xf001ffff,
    0xfd80ffff,0xfff51fff,0xfff500bf,0x7ffc409f,0x3fffe67f,0x3ffa002f,
    0xffffffff,0x7fffffff,0xfffffff5,0xffffffff,0xfffb109f,0xdfffffff,
    0xffff5001,0xffff5009,0x3fffea09,0xffffffff,0xff94ffff,0x7d4007ff,
    0xffa84fff,0x3fe204ff,0x3fff27ff,0xfb80003f,0xffffffff,0x2001efff,
    0xffffffd8,0x3fffffff,0x3ffff620,0x04ffffff,0x3ffffea0,0xffffffff,
    0x7ec401df,0xffffffff,0x7dc000ef,0xffffffff,0xf8002fff,0xffb105ff,
    0xffffffff,0x3f603dff,0xffffffff,0xffffffff,0x7ffc0003,0x7ffc40ff,
    0x3fffffff,0xffffff10,0xffffffff,0x2003ffff,0x6c07ffff,0xff51ffff,
    0xff500bff,0x7fc409ff,0x3fff67ff,0x7ff4007f,0xffffffff,0x7fffffff,
    0xfffffff5,0xffffffff,0x7edcc09f,0x003effff,0x013fffea,0x413fffea,
    0xfffffffa,0xffffffff,0x7ffff94f,0x7fffd400,0x4ffffa84,0x9ffffe20,
    0x003ffffc,0xfffd9100,0x007bdfff,0x7fffecc0,0x00ceffff,0xffffff50,
    0x2a0005bf,0xfffffffd,0x4c000ace,0xefffffdb,0x3b260003,0x3fffffff,
    0x1fff6000,0xfffffd50,0x9809dfff,0x32a209df,0xdffffffe,0x7ffc0001,
    0xffc880ff,0x201dffff,0xfffffff8,0xffffffff,0xff001fff,0xffd80fff,
    0xffff51ff,0xffff500b,0x7fffc409,0x7fffff37,0xffffe800,0xffffffff,
    0xf57fffff,0xffffffff,0x9fffffff,0x000d4c00,0x04ffffa8,0x04ffffa8,
    0xfffffff5,0xffffffff,0x3ffff29f,0x3ffea003,0xffffa84f,0x3fffe204,
    0x0fffff27,0x54c40000,0x88000009,0x0009aaa9,0x026aa620,0xaa998000,
    0xa9800000,0x53000001,0x26000035,0x531002aa,0x40015555,0x06aa2001,
    0x99998000,0x0554c401,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2a200000,0x4409accb,0x00009999,0x00199998,
    0x00266662,0x33333331,0x00133333,0x2aaaaa60,0x802aaaaa,0x99999998,
    0x00099999,0xdddd1000,0x3600000b,0x2602eeee,0x99999999,0x99999999,
    0xd1000999,0x3103dddd,0x31001333,0x2a603333,0xaaaaaaaa,0x401c002a,
    0xaaaaaaa9,0x33102aaa,0x80000333,0x404eeee9,0x00deeeea,0x3bb20000,
    0x97bb621e,0x00099998,0x00199998,0x117776c0,0x0001dddd,0x55400000,
    0x220000aa,0x80009999,0x5c099998,0x3fffffff,0x027fffd4,0x3fffe600,
    0x3fff2007,0x7ffd404f,0xffffffff,0x2000cfff,0xfffffffc,0xfa807fff,
    0xffffffff,0x00cfffff,0x3fffa000,0x400003ff,0x205ffffa,0xfffffff9,
    0xffffffff,0x004fffff,0x207ffff9,0x806ffffc,0x906ffffc,0xffffffff,
    0x3aa00fff,0xffffc806,0x07ffffff,0x00fffff5,0x7fffc400,0x3ffa02ff,
    0x3ffe21ff,0x220000ff,0xffd0efff,0x7fffd43f,0xffff8004,0x3fa0001f,
    0x3ffe23ff,0xfffff10f,0x20000001,0x001ffffb,0xffffff10,0xfffb8001,
    0x3fffee6f,0x9531ffff,0x555bffff,0x7fcc0055,0x3f2007ff,0x7d404fff,
    0xffffffff,0x3fffffff,0xfffff900,0x00ffffff,0xfffffff5,0xffffffff,
    0xf900007f,0x03ffffff,0x7fff4000,0x7fffcc05,0xffffffff,0xffffffff,
    0xffff8804,0x3fffe204,0x3ffe202f,0xfff902ff,0xffffffff,0x06ffd880,
    0xffffffc8,0xf507ffff,0x0000ffff,0x7fffffec,0xffff980f,0x7ffffc42,
    0x7fd40000,0x44fffcdf,0x004ffffa,0x01fffff8,0x8ffffa00,0xf10ffff8,
    0x0001ffff,0xffff3000,0x3ee0003f,0x003fffff,0xf37fffdc,0xffffffff,
    0x3fffff21,0x06ffffff,0x1ffffe60,0x4ffffc80,0x7ffffd40,0xffffffff,
    0x400effff,0xeeeeeeeb,0xfa805eee,0xffffffff,0xffffffff,0xff30000e,
    0x0dfff5bf,0x3ffe6000,0xffff9806,0xffffffff,0xffffffff,0x4fffb804,
    0x6ffffc80,0x1bffff20,0xeeeeeeb8,0x2205eeee,0xb806ffff,0xeeeeeeee,
    0xfff505ee,0x2a0000ff,0xfffbcfff,0x82fffd85,0x00fffff8,0xffffd800,
    0xfffa86ff,0xfff8004f,0x3a0001ff,0x3fe23fff,0xffff10ff,0x0000001f,
    0x03fffffd,0x3ffffa00,0x7dc007ff,0xfff16fff,0x645337ff,0xffffffff,
    0xed806fff,0xeefffffe,0xeeeeeeee,0xeeffffff,0xfffffa81,0xffffffff,
    0x006fffff,0x7fd40000,0xffffffff,0xffffffff,0xffe88006,0x09fff70f,
    0x1dffb000,0xfffff300,0xffffffff,0x9fffffff,0x00bffd00,0x07ffffe2,
    0x0bffffe2,0x3e200000,0x00006fff,0xfffff500,0xfff10000,0x31fffe4d,
    0x3e207fff,0x0000ffff,0xfffffe88,0x4ffffa81,0xfffff800,0x99700081,
    0x66664439,0x1fffff10,0xfc800000,0x001fffff,0xffffff98,0x3ee002ff,
    0xfff56fff,0x7ffe40df,0xffffffff,0xffffe806,0xffffffff,0xffffffff,
    0xa81fffff,0x999fffff,0xfffda999,0x00002fff,0x3fffea00,0xa999999f,
    0x2ffffffd,0x0e665400,0x0003332e,0x000ccc88,0x26666666,0x99effffb,
    0x40099999,0x64004cc9,0xfc85ffff,0x00006fff,0xdffff100,0x2a000000,
    0xaaafffff,0xa801999a,0x66641ccc,0x880f32a4,0x000fffff,0x59999300,
    0x13fffea0,0x3ffffe00,0x000074c1,0xfffff100,0x4c000001,0x1fffffff,
    0xffffc800,0x2005ffff,0xf76ffffb,0xf5009fff,0x20009fff,0xfffffffe,
    0xffffffff,0xffffffff,0xfffa81ff,0xffea807f,0x2a6007ff,0xffa8000a,
    0xfea807ff,0x00007fff,0x00000000,0xffffa800,0x00000006,0x87ffffe2,
    0x02fffff8,0xff100000,0x99800dff,0x54009aaa,0xffffffff,0x3fffffff,
    0x10000000,0x001fffff,0xff500000,0xff0009ff,0x7fd43fff,0x22000000,
    0x000fffff,0x3fffa000,0x8001ffff,0xffffffff,0xff7000ff,0x3ffeedff,
    0xfffa804f,0x201a984f,0xfffffdcb,0xcccccccc,0xeffffecc,0xfffa80cc,
    0xfff5007f,0x7ec409ff,0x01dfffff,0x0fffff50,0x3ffffea0,0x00000004,
    0x40000000,0x006ffffa,0x004d4c00,0x72ffffe4,0x2e0dffff,0x2604ffff,
    0xff76ffff,0xffffffff,0xffff9105,0x203dffff,0xfffffffa,0xffffffff,
    0x000000ef,0x7ffffc40,0x80000000,0x004ffffa,0x71fffff8,0x00001fff,
    0x7ffffc40,0xf9000000,0x3fffffff,0xffffa800,0x03ffffdd,0x2dffff70,
    0x804ffffb,0xb14ffffa,0x03bfffff,0x01ffffe6,0x04ffffc8,0x03ffffd4,
    0x0fffffb0,0x3fffffea,0xa803ffff,0x2007ffff,0x327ffffd,0xf301ffff,
    0x7e40dfff,0x3ff62fff,0xffffffff,0x2007ffff,0x006ffffa,0x263ffff5,
    0x1efffffd,0x3ffffe20,0x05fffff0,0x813fffee,0xf76ffff9,0xffffffff,
    0xffff885f,0xffffffff,0xfffffa82,0xffffffff,0x500effff,0x2a09ffff,
    0xf884ffff,0x0000ffff,0x09ffff50,0x013fffea,0x27ffffe0,0x000ffffc,
    0x827fffd4,0x00fffff8,0xfff98000,0x01ffffef,0x57fffec0,0x007ffffa,
    0x2edffff7,0xa804ffff,0xff9cffff,0x0fffffff,0x07ffff98,0x13ffff20,
    0x0fffff50,0x7ffffcc0,0x7ffffdc1,0x4fffffff,0x3ffffd40,0xfffff300,
    0x0ffffea3,0x07ffffdc,0x6c7fffe8,0xffffffff,0x07ffffff,0x1bfffea0,
    0x4ffffd40,0xfffffff9,0x3ff602ff,0xffffacff,0x3fffee06,0x3fffe604,
    0xffffff76,0x7445ffff,0xffffffff,0x542fffff,0xffffffff,0xffffffff,
    0xfff505ff,0x3ffea09f,0xffff884f,0xf500000f,0x3ea09fff,0xf8004fff,
    0xfffeffff,0xffa8002f,0xfff104ff,0x000001ff,0xff99fffd,0x7c4003ff,
    0xfff17fff,0xff7005ff,0x3ffeedff,0xfffa804f,0xffffffef,0xf986ffff,
    0x32007fff,0x5404ffff,0x2007ffff,0x22fffff8,0xdffffff8,0x0ffffffb,
    0x1ffffea0,0xfffff880,0x417fffe2,0x82fffffd,0x6c5ffff8,0xffffffff,
    0x07ffffff,0x1bfffea0,0x67fffd40,0xffffffff,0xff300fff,0xffffbdff,
    0x7fffdc05,0x3fffe604,0xffffff76,0x7dc5ffff,0xcbbdffff,0x545fffff,
    0x999fffff,0xfffda999,0xffa81fff,0xfff504ff,0xffff109f,0x2a00001f,
    0xf504ffff,0xf0009fff,0xdfffffff,0x3fea0003,0xfff104ff,0x800001ff,
    0xfc8efffc,0x2e001fff,0x3f24ffff,0xfb805fff,0xfff76fff,0xfff5009f,
    0xd979ffff,0x987fffff,0xffffffff,0xffffffff,0x5404ffff,0x4007ffff,
    0x363ffffe,0x540dffff,0x2a05ffff,0x4007ffff,0x363ffffe,0xfff07fff,
    0xff709fff,0xfffd85ff,0xffffffff,0x2a007fff,0x5006ffff,0xbfffffff,
    0xfffffd97,0x7fffec07,0x5c06ffff,0x2604ffff,0x7c46ffff,0x3fe06fff,
    0xffa81fff,0x7ffd47ff,0xfffc807f,0xfffa83ff,0xffff504f,0xfffff109,
    0x0aaaaa01,0x09ffff50,0xa93fffea,0xfff02aaa,0x001dffff,0x27fffd40,
    0x0fffff88,0x3fe60000,0xffff91ff,0x7fff4003,0x3fffe61f,0x7ffdc00f,
    0x9ffff76f,0xfffff500,0xffffd01d,0xfffff98b,0xffffffff,0x4fffffff,
    0xffffddd0,0x07dddddf,0x453ffffa,0x900fffff,0xee83ffff,0xeefffffe,
    0xffd03eee,0x7ffd49ff,0x7fffcc2f,0xfffd86ff,0x4cccc40f,0xfffff119,
    0x7fd4003f,0xff5006ff,0xf881ffff,0xff15ffff,0xffffffff,0xffffffff,
    0x27fffdc5,0x8dffff30,0x206ffff8,0xf103ca98,0xffa8ffff,0xfff007ff,
    0xfff509ff,0x3ffea09f,0xffff884f,0xffff880f,0x7fffd407,0x9ffff504,
    0xf83ffffc,0x005fffff,0x4ffffa80,0x1fffff10,0x3fa20000,0x3fff24ff,
    0xfff3001f,0xffffd0df,0xffffb809,0x09ffff76,0x5fffff50,0x1bfffea0,
    0xfffffff3,0xffffffff,0x209fffff,0xffffffff,0xd04fffff,0x3ea9ffff,
    0x3e606fff,0x7ffc3fff,0xffffffff,0xfffd04ff,0x7fffc49f,0x7ffffdc4,
    0x7fffc0ff,0x7ff44005,0x26602fff,0xffffb999,0x4099999e,0x02fffffa,
    0x22bffff5,0xffffffff,0xffffffff,0x3ffee2ff,0x3ffe604f,0x7fffc46f,
    0xff980006,0x7ffd47ff,0xfffb007f,0xffff50bf,0x3fffea09,0xfffff884,
    0x7ffff880,0x27fffd40,0x24ffffa8,0xff07ffff,0x00009fff,0x413fffea,
    0x00fffff8,0xdfff9000,0x01ffffc8,0x09ffffb0,0x80fffff9,0xf76ffffb,
    0xf5009fff,0x7c40ffff,0x7fcc6fff,0xffffffff,0xffffffff,0xffff04ff,
    0xffffffff,0x3fffa09f,0x9ffff74f,0xf3333333,0xfff89fff,0xffffffff,
    0xfffd04ff,0x6fffd89f,0x7fffffec,0x3fffea2f,0x3ffa2003,0x7fc03fff,
    0xffffffff,0x43ffffff,0x207ffffa,0xf16ffff9,0xffffffff,0xffffffff,
    0x7fffdc5f,0x3fffe604,0x37fffc46,0x7f65cc00,0x2a0fffff,0xd007ffff,
    0xf509ffff,0x3ea09fff,0xff884fff,0xff880fff,0x7fd407ff,0xfff504ff,
    0x3ffffc9f,0x0fffffec,0xfffa8000,0xffff104f,0xf500001f,0xffc83fff,
    0xff8801ff,0xff881fff,0x3ee02fff,0xfff76fff,0xfff5009f,0x7ffc40df,
    0x7fffcc7f,0xcccccccf,0xffffeccc,0xfffb9904,0x599999ff,0x4fffffa0,
    0xfffffffc,0xffffffff,0x7fee644f,0xcccccfff,0x7ffffd02,0x20ffffb8,
    0xfffcffff,0x03ffff24,0xfffffd80,0xfffff804,0xffffffff,0x7fd43fff,
    0x3fe205ff,0xffff17ff,0xffffffff,0x45ffffff,0x204ffffb,0xd76ffff9,
    0xddfffffd,0x3ff6a20d,0xffffffff,0x3ffffd47,0x7ffffcc0,0x4ffffa82,
    0x09ffff50,0x01fffff1,0x80fffff1,0x504ffffa,0x7fc9ffff,0x3ffa27ff,
    0x0001ffff,0x09ffff50,0x03ffffe2,0xffff1000,0x3ffff909,0xdffff700,
    0x2fffff40,0x2dffff70,0x804ffffb,0x205ffffa,0x4c7ffff8,0x2007ffff,
    0x404ffffc,0x007ffffa,0xd97ffffc,0xffffffff,0xffffffff,0xfffff505,
    0xfffff800,0x9ffffc42,0xff9efff9,0x1bfffa6f,0xfffffc80,0xfffff005,
    0xffffffff,0xffa87fff,0x3fe205ff,0xffb807ff,0xff7004ff,0x7fcc09ff,
    0xffff96ff,0x50ffffff,0xffffffff,0xa8ffffff,0x4407ffff,0x81fffffd,
    0x504ffffa,0xf109ffff,0xd101ffff,0xfa80bddd,0xff504fff,0x777749ff,
    0x3fffff66,0x500001ff,0x2209ffff,0x000fffff,0x837ffec0,0x801ffffc,
    0xaadffffe,0xfffdaaaa,0xfff700ff,0x3fffeedf,0xffffa804,0x3fffe204,
    0x3ffffcc7,0x9ffff900,0x7ffffa80,0x3fffe200,0xfffffb0f,0xffffffff,
    0x3ea0dfff,0x22007fff,0xe80fffff,0xfff95fff,0x223fffe9,0x7003ffff,
    0x00dfffff,0x7dcccccc,0x9999efff,0x7fffd409,0x3fffe204,0xffffb807,
    0xffff7004,0x7fffcc09,0xffffff96,0xffb8ffff,0xd1bdffff,0xffa8ffff,
    0xaaaaafff,0xffffffcb,0x9ffff507,0x13fffea0,0x03ffffe2,0x7ffd4000,
    0xffff504f,0x3fffa009,0x0001ffff,0x09ffff50,0x03ffffe2,0xffff9800,
    0xfeeeeeee,0x83eeefff,0xfffffff9,0xffffffff,0xff704fff,0x3ffeedff,
    0xfffa804f,0x3ffe204f,0x7fffcc7f,0x3fff2007,0x7ffd404f,0x3fea007f,
    0x3fff27ff,0xf500002f,0x5400ffff,0xf707ffff,0x3fffafff,0xf75fffb2,
    0xf5001fff,0x001dffff,0x6ffffa80,0x9ffff500,0xbffffc40,0xeeeeeee8,
    0xeeefffff,0x3fee1eee,0x3fea04ff,0xff3316ff,0x44333fff,0xd03fffff,
    0xffa8ffff,0xffffffff,0xffffffff,0x9ffff502,0x13fffea0,0x03ffffe2,
    0x7ffd4000,0xffff504f,0x3f3fa009,0x0001ffff,0x09ffff50,0x03ffffe2,
    0xffffa800,0xffffffff,0x84ffffff,0xfffffffc,0xffffffff,0xff707fff,
    0x3ffeedff,0xfffa804f,0x3ffe204f,0x7fffcc7f,0x3fff2007,0x7ffd404f,
    0x3ff6007f,0x3ffee6ff,0xf500004f,0x6c00ffff,0xf306ffff,0xffff5fff,
    0x377ffee1,0xf9806fff,0x001fffff,0x6ffffa80,0x9ffff500,0xbffffc40,
    0xfffffff8,0xffffffff,0x3fea2fff,0x3fee05ff,0x7ffc46ff,0xffff507f,
    0x3ffffc0b,0x3fffffea,0xffffffff,0x3ea03fff,0xff504fff,0xfff109ff,
    0x200001ff,0x504ffffa,0x2009ffff,0x3fffff2d,0x3fea0000,0xfff104ff,
    0x540001ff,0xffffffff,0xffffffff,0xffff84ff,0xffffffff,0xffffffff,
    0x6ffffb82,0x009ffff7,0x409ffff5,0x4c7ffff8,0x2007ffff,0x404ffffc,
    0x007ffffa,0x47fffff5,0x00fffff9,0x20159bf9,0x007ffffa,0x07fffff5,
    0x7ff7fff4,0x3fffe26f,0x4403ffff,0x01ffffff,0xffff5000,0x3ffea00d,
    0x3ffe204f,0xfffff17f,0xffffffff,0x4c5fffff,0x3a06ffff,0x7c46ffff,
    0xff907fff,0x3fe607ff,0x3fea0fff,0xffffffff,0x03ffffff,0x827fffd4,
    0x884ffffa,0x000fffff,0x9ffff500,0x13fffea0,0xfffff040,0x3ea00003,
    0xff104fff,0x40001fff,0xfffffffa,0xffffffff,0x7fd44fff,0xffffffff,
    0xffffffff,0xfffb85ff,0x9ffff76f,0x9ffff500,0x3ffffc40,0x01ffffe6,
    0x04ffffc8,0x03ffffd4,0x37ffffdc,0x06ffffec,0x07ffffe6,0x03ffffd4,
    0x37ffffdc,0x3fffff20,0x7fff43ff,0x2201ffff,0x02fffffe,0x3ffea000,
    0xfff5006f,0x7ffc409f,0xfffff17f,0xffffffff,0x445fffff,0xc83fffff,
    0xf86fffff,0x6420ffff,0xfd06ffff,0x7d41ffff,0xffffffff,0x002defff,
    0x209ffff5,0x884ffffa,0x000fffff,0x9ffff500,0x13fffea0,0x3ffffe00,
    0xff500001,0x3fe209ff,0x20000fff,0xeeeeeee9,0xffffeeee,0x7fec3eee,
    0x3ee004ff,0x7dc0ffff,0xfff76fff,0xfff5009f,0x7ffc409f,0x7fffcc7f,
    0x3fff2007,0x7ffd404f,0xbaaaaaff,0xffffffec,0xfffff981,0xffffdadf,
    0x3ffea05f,0xbaaaaaff,0xffffffec,0x7fffcc01,0x7fe41fff,0x7406ffff,
    0xaadfffff,0x1aaaaaaa,0xdffff500,0x3fffea00,0x3fffe204,0x26666667,
    0x99dffffb,0x7f409999,0xfcbdffff,0x86ffffff,0xfeffffff,0xbfffff52,
    0xfffff935,0x7ffd41ff,0x5400007f,0xf504ffff,0xff109fff,0x55557fff,
    0x55555555,0x9ffff501,0x13fffea0,0x3ffffe00,0xaaaaaaab,0xa80aaaaa,
    0xf104ffff,0x5557ffff,0x55555555,0xff900015,0x3fe203ff,0x22001fff,
    0x5c4fffff,0xff76ffff,0xff5009ff,0x7fc409ff,0x7ffcc7ff,0x3ff2007f,
    0x7fd404ff,0xffffffff,0xffffffff,0x3fffee04,0xffffffff,0x3ffea01f,
    0xffffffff,0x4fffffff,0xffffff00,0xfffff50f,0x7ffd409f,0xffffffff,
    0x004fffff,0x00dffff5,0x813fffea,0x807ffff8,0x004ffffb,0x3fffffee,
    0xffedffff,0xffffd86f,0x3ffa3fff,0xffffffff,0x2a1fffff,0x0007ffff,
    0x27fffd40,0x84ffffa8,0xfffffff8,0xffffffff,0xffa81fff,0xfff504ff,
    0xfff0009f,0xffffffff,0x7fffffff,0x09ffff50,0x3fffffe2,0xffffffff,
    0x8001ffff,0x901ffffc,0x000dffff,0xb8fffffb,0xff76ffff,0xff5009ff,
    0x7fc409ff,0x7ffcc7ff,0x3ff2007f,0x7fd404ff,0xffffffff,0xdfffffff,
    0x7fffd400,0x1fffffff,0x7ffffd40,0xffffffff,0x000dffff,0x0bfffff9,
    0x3ffffff1,0x7ffffd40,0xffffffff,0xf5004fff,0x2a00dfff,0x2204ffff,
    0xb807ffff,0x4004ffff,0xfffffffc,0x0dfffd4f,0xfffffff3,0x7ffffcc9,
    0xffacffff,0x3ffea4ff,0x5400007f,0xf504ffff,0xff109fff,0xffffffff,
    0xffffffff,0x9ffff503,0x13fffea0,0x3ffffe00,0xffffffff,0xa83fffff,
    0xf104ffff,0xffffffff,0xffffffff,0xff90003f,0x3ffa03ff,0xfa8003ff,
    0x3ee2ffff,0xfff76fff,0xfff5009f,0x7ffc409f,0x7fffcc7f,0x3fff2007,
    0x7ffd404f,0xffffffff,0x001effff,0x3ffffb66,0xfa800bff,0xffffffff,
    0x1effffff,0x7fffd400,0xffffd03f,0xffffa80f,0xffffffff,0x5004ffff,
    0x200dffff,0x204ffffa,0x807ffff8,0x004ffffb,0xdffffeb8,0x41bfffa2,
    0x4fffffea,0x7ffffec4,0x9ffffe1e,0x007ffffa,0x7fffd400,0x9ffff504,
    0xffffff10,0xffffffff,0xf503ffff,0x3ea09fff,0xf8004fff,0xffffffff,
    0xffffffff,0xffffa83f,0xfffff104,0xffffffff,0x003fffff,0x03ffff90,
    0x01fffff5,0x3ffffe00,0x5bfffee5,0x804ffffb,0x204ffffa,0x4c7ffff8,
    0x2007ffff,0x404ffffc,0xfffffffa,0x2cceefff,0x4d4c4000,0x7ffd4001,
    0xefffffff,0x20002cce,0x901fffff,0xa809ffff,0xffffffff,0xffffffff,
    0xffff5004,0x3ffea00d,0x3ffe204f,0xfffb807f,0x2a20004f,0x35100001,
    0x01a98801,0x7ffffa80,0x7fd40000,0xfff504ff,0xffff109f,0xffffffff,
    0x03ffffff,0x209ffff5,0x004ffffa,0xfffffff8,0xffffffff,0xffa83fff,
    0xfff104ff,0xffffffff,0x3fffffff,0xffff9000,0xdffffb03,0x7ffe4000,
    0xffff70ff,0x0000000d,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7ffffcc0,
    0xffffffff,0x10007000,0x10035753,0x26213333,0x00999999,0x33333330,
    0x00ccccc3,0x21333310,0x99999998,0x00099999,0x26666662,0x99999999,
    0x26219999,0x33310999,0x99800013,0x99999999,0x09999999,0x22133331,
    0x00009999,0x4ccccccc,0x99999999,0xa8801999,0x4cc1abcc,0x99999999,
    0x98001999,0x99999999,0x99999999,0x26660999,0x33000099,0x26621333,
    0x99880099,0x98800999,0x26660999,0x26200199,0x4cc09999,0x26200199,
    0x4c099999,0x80019999,0x00999998,0x00155530,0x26006a62,0xaaaaaaaa,
    0xffb802aa,0xffffffff,0x75400fff,0x3ffaa006,0x01dfffff,0x2abffffb,
    0x5fffffff,0xfffff880,0xffff37ff,0x3fea005f,0xffff54ff,0xffffffff,
    0xfa8019ff,0xffffffff,0xffffffff,0xffff50ff,0x0ffffee9,0xffff9800,
    0xffffffff,0xf55fffff,0x3fea9fff,0x7c0004ff,0xffffffff,0xffffffff,
    0x3ff600ff,0xf30fffff,0xffffffff,0x9dffffff,0xffff9801,0xffffffff,
    0xffffffff,0x1fffff64,0x3fffea00,0xbffffb0f,0xfffffd00,0xffffd00d,
    0x7ffffe45,0xffff8803,0x3ffe60ff,0xffd1007f,0xfc83ffff,0x2004ffff,
    0x0ffffff8,0x3ffff880,0x3ffff620,0xff902eff,0xffffffff,0xffff900d,
    0xffffffff,0x3ff6201f,0xfffe9806,0xffffffff,0x7fffec0c,0xffffff55,
    0xfff700ff,0x3e6fffff,0x5006ffff,0x3ea9ffff,0xffffffff,0x3fffffff,
    0x3ffffea0,0xffffffff,0x50ffffff,0x3ee9ffff,0x20003fff,0xfffffff9,
    0xffffffff,0xffff55ff,0x13fffea9,0xfffff000,0xffffffff,0x01ffffff,
    0x3ffffff6,0x3fffe67f,0xffffffff,0x01ffffff,0x3fffffe6,0xffffffff,
    0x24ffffff,0x02fffffa,0x37fffec0,0x80fffff7,0xfffffff8,0x3fffe200,
    0x3fffe20f,0x7fe400ff,0x7fcc3fff,0xffd007ff,0x3a03ffff,0x001fffff,
    0x05fffff9,0x0fffff20,0x7fffffe4,0x640dffff,0xffffffff,0xffe806ff,
    0xffffffff,0xff880fff,0x7f4406ff,0xffffffff,0x7ec5ffff,0xfff55fff,
    0x803fffff,0xfffffffd,0xffffff37,0xffff5009,0x3ffffea9,0xffffffff,
    0xa80effff,0xffffffff,0xffffffff,0xfff50fff,0x3fffee9f,0x3fe60003,
    0xffffffff,0x5fffffff,0x2a9ffff5,0x0004ffff,0x7ffffffc,0xffffffff,
    0xfa80ffff,0x6fffffff,0x3fffffe6,0xffffffff,0x303fffff,0xffffffff,
    0xffffffff,0xff89ffff,0x22005fff,0x263fffff,0x200fffff,0xfffffffa,
    0x3fffea02,0xfffffa87,0x3fffe605,0xffff986f,0xffffd807,0x3fe601ff,
    0xf9805fff,0x7005ffff,0x707fffff,0xffffffff,0xeb8dffff,0xeeeeeeee,
    0xffff805e,0xeeeeeeef,0xfff880ee,0x7ffec06f,0xffcacfff,0x3f64ffff,
    0xfff55fff,0x807fffff,0xffffffff,0xffffff37,0xfffa803f,0xfffff54f,
    0xffffffff,0x50bfffff,0xffffffff,0xffffffff,0x3fea1fff,0xffff74ff,
    0x7fcc0007,0xffffffff,0x5fffffff,0x2a9ffff5,0x0004ffff,0x7ffffffc,
    0xffffffff,0xfb80ffff,0x199aefff,0x3fffffe6,0xffffffff,0x80ffffff,
    0xfffffff9,0xffffffff,0x644fffff,0x2007ffff,0x40fffffa,0x202fffff,
    0xfffffffc,0x3fffee04,0xfffffb05,0x3ffffa05,0xffff981f,0x7fffec07,
    0xffd801ff,0x7ec02fff,0xb800ffff,0x43ffffff,0xfffffff9,0x4fffffff,
    0xff100000,0x440007ff,0x2a06ffff,0x502fffff,0x361fffff,0xff55ffff,
    0x0bffffff,0x7fffffcc,0xffff37ff,0xfa80bfff,0xfff54fff,0x333333ff,
    0xffffffd7,0xfffffa85,0x99999999,0x2a199999,0xff74ffff,0x4c0007ff,
    0x999fffff,0x99999999,0x35555109,0x013fffea,0x33333300,0xff533333,
    0x3209ffff,0x2603ffff,0x999fffff,0xffb99999,0x3303ffff,0xff733333,
    0x33333dff,0xfffa8133,0xffb002ff,0xfffb0bff,0x7fffc09f,0x3606ffff,
    0xf103ffff,0xb81fffff,0x304fffff,0x640fffff,0x02ffffff,0xffffff10,
    0x3fffea01,0x7fecc03f,0x6c3fffff,0x262effff,0x00fffffd,0xfffa8000,
    0x3e20002f,0x3f206fff,0x7f402fff,0xfffb2fff,0x3fffeabf,0x2e07ffff,
    0xffffffff,0xffffff37,0x7fd405ff,0xffff54ff,0xfffd500f,0xffffa8df,
    0xffa80007,0xffff74ff,0x7fcc0007,0x000007ff,0x009ffff5,0x7ff40000,
    0x3f606fff,0x3e601fff,0xf1007fff,0x000bffff,0x00dffff5,0x0bfffff0,
    0x5fffff10,0x0bffff70,0x3fffffe6,0xfff00fff,0x7fdc03ff,0x3fe24fff,
    0x3e606fff,0xff707fff,0x8005ffff,0x04fffffa,0x40dffffd,0xffffffc8,
    0x7ffc3fff,0xfff880ff,0x800001ff,0x000ffffc,0xffffffb8,0x3fa2ffff,
    0xffa807ff,0xffff94ff,0x37fffeab,0xfb02ffff,0xfffffbff,0x3fffffe6,
    0xff500fff,0x3ffea9ff,0xfff5007f,0x7ffd49ff,0xfa80007f,0xfff74fff,
    0x7cc0007f,0x00007fff,0x09ffff50,0x40000353,0x0ffffffd,0x07ffff60,
    0x07ffff98,0x1fffff20,0x3fffea00,0xfffc8006,0x7fd400ff,0xfff307ff,
    0x3ffee0ff,0x81ffffef,0x807ffff9,0x91fffffd,0x403fffff,0xb87ffff9,
    0x02ffffff,0xfffffb00,0xfffffb81,0xfffff101,0x47ffffff,0x205ffff9,
    0xa83ffffd,0x2004ffff,0x7517fffd,0xfffb8015,0x2fffffff,0x200f2ea6,
    0xf74ffffa,0x3fea9fff,0x4ffffbff,0xff7ffff0,0x3ffe6fff,0x04ffffff,
    0x2a9ffff5,0x2007ffff,0x2a7ffffd,0x0007ffff,0x74ffffa8,0xf107ffff,
    0x4c1fffff,0x0007ffff,0x553fffea,0xfb14ffff,0x001bffff,0x7ffffdc0,
    0xffffc81f,0x47ffffff,0x007ffff9,0x03ffffea,0xdffff500,0xffff3000,
    0xfffd805f,0x3fffe04f,0xffffd81f,0xa84ffffa,0x8805ffff,0xf9efffff,
    0x4c04ffff,0x7d47ffff,0x002fffff,0x3ffffe20,0x3ffffe25,0x3fffe204,
    0x3ffffcdf,0x80fb72e2,0xa83ffffc,0x2004ffff,0xffefffff,0xf701efff,
    0xffffffff,0xfd80005f,0xfff71fff,0x3fffea7f,0x986fffdb,0xfff9ffff,
    0xfffff37f,0x503fffff,0x3ea9ffff,0x26007fff,0xf50fffff,0x0000ffff,
    0x2e9ffff5,0x7443ffff,0x4c1fffff,0x0007ffff,0x553fffea,0xff9cffff,
    0x2fffffff,0xffff9800,0xfff902ff,0xffffffff,0x07ffff98,0x1fffff20,
    0x3fffea00,0xfffd0006,0x7ffc40bf,0x3ffa02ff,0xffff83ff,0x86ffff8e,
    0x003ffffc,0xfffffff7,0x9801ffff,0x3e67ffff,0x003fffff,0xfffffb80,
    0x1dffffb2,0x9ffffc40,0x003ffffc,0x07ffffa0,0x013fffea,0x7fffffc4,
    0x3fffffff,0xffffffb8,0x0002ffff,0xa9ffffee,0xff52ffff,0xffff77ff,
    0xf7fffb81,0x3fe6ffff,0xffffedff,0x4ffffa86,0x00fffff5,0x97ffffc4,
    0x007ffffa,0x4ffffa80,0xd87ffff7,0x981fffff,0x0007ffff,0x553fffea,
    0xfffeffff,0x7fffffff,0x7fffc400,0x3ff204ff,0xffffffff,0x3ffffcc7,
    0xffffe880,0xfffa8005,0xff70006f,0x3ea01fff,0x7e407fff,0x7fcc4fff,
    0xffffd3ff,0x03ffffd0,0x7fffff40,0x9802ffff,0xff37ffff,0x0007ffff,
    0x77ffff40,0x02fffff9,0xf90e7fc4,0x20007fff,0x80fffff9,0x004ffffa,
    0xfffffff3,0x5fffffff,0x1bfffe20,0x7ffe4000,0x3ffe63ff,0x7ffff52f,
    0xd85ffff1,0xffff5fff,0x33fffe6f,0x43fffffa,0xf54ffffa,0xf800ffff,
    0xff53ffff,0xffffffff,0xffffffff,0xa7fffd41,0x363ffffb,0x301fffff,
    0x999fffff,0x99999999,0x54ffffa8,0xbfffffff,0xfffffd97,0x7fff4005,
    0x7fe405ff,0xffffffff,0x7ffffcc7,0xa9999999,0x2ffffffb,0xffffa800,
    0xfff10006,0x3ff605ff,0x7fd404ff,0x7ffdc6ff,0x3ffff71f,0x007ffff8,
    0x7fffffcc,0xff3005ff,0xffff3fff,0x00005fff,0x7fffffcc,0x8805ffff,
    0xffffc80c,0xfff90003,0x3ffea0bf,0xfff7004f,0xfff99dff,0xf101ffff,
    0x0000dfff,0x8bfffffb,0xf51ffff8,0x3ffe7fff,0x9ffffc4f,0xff37ffff,
    0x3fff69ff,0x3ffea0ff,0xfffff54f,0xffffe800,0xffffff54,0xffffffff,
    0x7d41ffff,0xfff74fff,0x3ffff27f,0x3ffe602f,0xffffffff,0x7d47ffff,
    0xfff54fff,0xffd03fff,0x3f600bff,0x000effff,0x807ffff6,0xfffffff9,
    0xffffffff,0x0005ffff,0x00dffff5,0x2fffff40,0x01fffff8,0x07ffffc4,
    0x7ccffffb,0x3fe63fff,0xfc8005ff,0x00ffffff,0xffffff30,0xffffffff,
    0x7e400001,0xffffffff,0x7fe40000,0xfb8003ff,0xf501ffff,0x2e009fff,
    0xfa83ffff,0xf884ffff,0x20006fff,0x4fffffe8,0x2a1ffff0,0xffb3ffff,
    0x7fffccdf,0x26fffff1,0xff14ffff,0x7fd4bfff,0xffff54ff,0xfffe800f,
    0xfffff54f,0xffffffff,0x541fffff,0xff74ffff,0xffff77ff,0xfff9805f,
    0xffffffff,0x7d47ffff,0xfff54fff,0x3fea05ff,0xffb805ff,0x4001ffff,
    0x201ffffd,0xfffffff9,0xffffffff,0x20004fff,0x006ffffa,0x3ffffee0,
    0x37fffd40,0x1ffffe80,0xff17fffe,0x7ffdcdff,0xff98003f,0x2004ffff,
    0xfffffff9,0x4fffffff,0x3fe20000,0x03ffffff,0xffffc800,0x7ffdc003,
    0x3fea04ff,0x4c4004ff,0x3fffee01,0x6ffff886,0x3fff6000,0x3ffe04ff,
    0x4ffffea7,0xf70ffffb,0x7fffcfff,0x49ffff37,0x51fffffb,0x3ea9ffff,
    0x74007fff,0xff54ffff,0xffffffff,0xffffffff,0xa7fffd41,0xffeffffb,
    0xf9803fff,0xffffffff,0x47ffffff,0xf54ffffa,0x7c40ffff,0x7d406fff,
    0x002fffff,0x01ffffd8,0x3fffffe6,0xffffffff,0x40002dff,0x006ffffa,
    0x3ffffe20,0x1ffffec3,0x3ffffc80,0xd87ffff3,0x3ff67fff,0xfe8001ff,
    0x00ffffff,0xffffff30,0xffffffff,0x5400003f,0x06ffffff,0xffff9000,
    0x7ffdc007,0x3ea00fff,0x00004fff,0x87ffff88,0x006ffff8,0x7fffff50,
    0x2a7ffe80,0xff13ffff,0x3fffa5ff,0x4dffffe5,0x7f44ffff,0xfff56fff,
    0x3fffea9f,0x7fffc007,0xfffff53f,0x55555555,0x54155555,0xff74ffff,
    0xffffffff,0xffff3005,0xdddddddf,0xffa8bddd,0xffff54ff,0x7fffc40d,
    0x3fffe206,0xfb0003ff,0x7cc03fff,0xffffffff,0x00dfffff,0xffff5000,
    0xffd8000d,0x7fffc5ff,0xfff5000f,0x3ffff2bf,0x8ffffdc1,0x000ffffe,
    0x7fffffdc,0xff3005ff,0x17ffffff,0x00dfffff,0xffffd800,0xf900001f,
    0x2e007fff,0x01ffffff,0x027fffd4,0xffff8000,0x7fffc40f,0xfff90006,
    0xdffb009f,0xf1ffffd4,0xfff1bfff,0xbffffc7f,0x4c4ffff9,0xfabfffff,
    0xfff54fff,0x7fc400ff,0xfff52fff,0xf50000ff,0x3fee9fff,0xffffffff,
    0x7ffcc00f,0x3ea0007f,0xfff54fff,0x7ffc40bf,0xfffd107f,0x6c000bff,
    0x2601ffff,0x5317ffff,0x09fffffd,0x3ffea000,0x7d40006f,0xff50ffff,
    0x7c400dff,0xfffd7fff,0x7ffff30f,0x00dffff1,0xffffff88,0x9803ffff,
    0x4fffffff,0x13fffff2,0xfffb8000,0x3200006f,0xb803ffff,0x01ffffff,
    0x04ffffa8,0xfffd0000,0xffff883f,0xfffd0006,0x97ff200d,0x363ffffa,
    0xfffaffff,0x5ffffe1f,0xc84ffff9,0xffbfffff,0xffff54ff,0x7ffcc00f,
    0xffff51ff,0xff50000f,0x3ffee9ff,0xffffffff,0x7fffcc04,0x3fea0007,
    0xffff54ff,0x7fffc409,0xfffffb07,0x7ec0001d,0x3e601fff,0xff907fff,
    0x0001dfff,0x06ffffa8,0x7fffc400,0x7ffff93f,0xfffff800,0xf05ffff9,
    0xfff5bfff,0xffd8009f,0xffffffff,0x7ffcc00f,0x7fc44fff,0x0001ffff,
    0x0dffff70,0x7ffe4000,0x7ffdc03f,0xf5001fff,0x30009fff,0xfffff801,
    0x37fffc40,0x4ffff800,0x549ff900,0x3ee3ffff,0x7fffefff,0xf9bffffc,
    0xff884fff,0xffffffff,0x0fffff54,0x3ffffd40,0x00fffff5,0x9ffff500,
    0x3fffffee,0x00fffffd,0x01ffffe6,0x4ffffa80,0x409ffff5,0xb87ffff8,
    0x00ffffff,0x7fffec00,0x3fffe601,0x3ffff607,0x7d40005f,0x80006fff,
    0xff6ffffd,0xd8001fff,0xfffdffff,0xffffb02f,0x005ffff9,0x77ffffd4,
    0x05fffffb,0x27ffffcc,0x6fffffa8,0xfff70000,0x640000df,0x2e03ffff,
    0x01efffff,0x13fffea0,0x1ffffa60,0x87ffff88,0x007ffff8,0x03ffff88,
    0x7d49ff70,0x3fe23fff,0x45ffffff,0xff37ffff,0x3fea09ff,0x4fffffff,
    0x00fffff5,0x537fffec,0x000fffff,0x29ffff50,0x95fffffb,0x4c0bffff,
    0x0007ffff,0x553fffea,0x2204ffff,0x7d47ffff,0x001fffff,0x1ffffd80,
    0x1ffffe60,0xffffff88,0x3fea0003,0xa80006ff,0xffbfffff,0xfb8005ff,
    0xffffffff,0xfffff500,0x2001ffff,0x1ffffff8,0x07fffffb,0x03ffffcc,
    0x0ffffffa,0x3ffee000,0x3200006f,0xf703ffff,0x001dffff,0x04ffffa8,
    0x07fffff0,0x217ffff2,0x007ffff8,0x00133330,0xffa82662,0x7fffc3ff,
    0x7fc3ffff,0xffff37ff,0x7fffec09,0xff54ffff,0x3ea00fff,0x3ea2ffff,
    0x80007fff,0xf74ffffa,0x3e21dfff,0xf301ffff,0x4000ffff,0xf54ffffa,
    0x7c409fff,0x3fe67fff,0x0003ffff,0x03ffffb0,0x03ffffcc,0x3fffffea,
    0xfff50001,0x3e0000df,0xffffffff,0xff98002f,0x06ffffff,0x3fffffe2,
    0x3f6006ff,0x3e23ffff,0x300fffff,0x980fffff,0x01ffffff,0x7fffdc00,
    0x3f200006,0xff983fff,0x8000efff,0x004ffffa,0x45fffffb,0x0fffffc8,
    0x0fffff88,0x00000002,0x21ffffd4,0xfffffffd,0x9bffffc1,0x2604ffff,
    0xffffffff,0x0fffff54,0xbffffd50,0x07ffffa8,0xffffa800,0x87ffff74,
    0x306ffffb,0x000fffff,0xaa7fffd4,0x2204ffff,0xfd17ffff,0x000bffff,
    0x0ffffec0,0x0fffff30,0xdfffffb0,0x3ffea000,0xf900006f,0xffffffff,
    0x7fffc000,0x7404ffff,0x4fffffff,0xfffff500,0xfffff70d,0x3fffe60b,
    0xffffd807,0x7dc0006f,0x00006fff,0x10fffff2,0x03fffffd,0x3fffea00,
    0xffff3004,0xffffbfff,0x7ffc09ff,0x802fefff,0x807ffff8,0xf53ffffb,
    0xffb87fff,0xff87ffff,0xffff37ff,0xffffc809,0xfff54fff,0x975555ff,
    0xffffffd9,0xfffffa83,0xaaaaaaaa,0x51aaaaaa,0x3ee9ffff,0xffe83fff,
    0xfff983ff,0x3ea0007f,0xfff54fff,0x7ffc409f,0xfffff97f,0x5555557f,
    0x35555555,0x03ffffb0,0x03ffffcc,0x7fffffc4,0xfffa8003,0xf300006f,
    0xbfffffff,0x7ffec000,0x6402ffff,0x2fffffff,0xfffff880,0xffffd01f,
    0xffff305f,0xffff100f,0x5c0007ff,0x0006ffff,0x0fffff20,0x9dfffff7,
    0x99999999,0x9ffff505,0x7fffd400,0xffffffff,0x7fffec05,0xf8803fff,
    0xfb807fff,0xfff53fff,0xffff987f,0xffff85ff,0x09ffff37,0xffffffd0,
    0x3ffffea9,0xffffffff,0xa84fffff,0xffffffff,0xffffffff,0xfff54fff,
    0x3fffee9f,0xfffffa83,0x3ffffcc0,0xffff5000,0x13fffea9,0x97ffff88,
    0xffffffff,0xffffffff,0xfb0bffff,0x7cc03fff,0xf5007fff,0x001fffff,
    0x06ffffa8,0x3fffa000,0x0002ffff,0x3fffffee,0x7ffd400f,0xd800ffff,
    0x204fffff,0x0ffffff9,0x03ffffcc,0xffffffb8,0xfff70000,0x640000df,
    0x7f43ffff,0xffffffff,0x84ffffff,0x004ffffa,0x7fffffdc,0xa804ffff,
    0x4fffffff,0x7ffff880,0x3ffffb80,0xf07ffff5,0xf07fffff,0x3fe6ffff,
    0xffa804ff,0xff54ffff,0xffffffff,0x9fffffff,0x3ffffea0,0xffffffff,
    0x54ffffff,0x3ee9ffff,0xffb03fff,0xfff989ff,0x3ea0007f,0xfff54fff,
    0x7ffc409f,0xfffff97f,0xffffffff,0xbfffffff,0x03ffffb0,0x03ffffcc,
    0xbfffffb0,0xffffa800,0x3ee00006,0x007fffff,0x7ffffcc0,0xfff8806f,
    0xfa806fff,0x400effff,0x45fffffc,0x007ffff9,0x17fffffa,0x7fffdc00,
    0x3f200006,0x3fe63fff,0xffffffff,0x84ffffff,0x004ffffa,0xfffffd88,
    0x3ea002df,0x804fffff,0x807ffff8,0xf53ffffb,0xffb07fff,0xfff03fff,
    0x3fffe6ff,0xffffb004,0x3fffea9f,0xffffffff,0x2a01dfff,0xffffffff,
    0xffffffff,0xfff54fff,0x3fffee9f,0xfffff303,0x3ffffcc1,0xffff5000,
    0x13fffea9,0x97ffff88,0xffffffff,0xffffffff,0xfb0bffff,0x7cc03fff,
    0x22007fff,0x02ffffff,0x1bfffea0,0xfff88000,0x40004fff,0x4ffffff8,
    0xfffffd00,0xffff8809,0xffd002ff,0x7fcc5fff,0x3ea007ff,0x003fffff,
    0x06ffffb8,0x3fff2000,0x3ffff23f,0xffffffff,0xfa84ffff,0x40004fff,
    0x40001aa9,0x220009a9,0xb807ffff,0xff53ffff,0xfff707ff,0x3fffe0ff,
    0x09ffff37,0x3ffffe20,0xffffff54,0x99ddffff,0xffff5003,0xffffffff,
    0x9fffffff,0x5d3fffea,0x3603ffff,0x3e65ffff,0x20007fff,0xf54ffffa,
    0x7c409fff,0xfff97fff,0xffffffff,0xffffffff,0xffffb0bf,0x7fffcc03,
    0x7ffd4007,0xf5000fff,0x0000dfff,0x1fffffe8,0xfffe8000,0xff9002ff,
    0xfc807fff,0x2005ffff,0x0ffffff9,0x00fffff3,0xffffffd8,0x7ffdc000,
    0x3200006f,0x3fa3ffff,0xffffffff,0x4fffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x33330000,0x4ccc4003,0x26666609,0x99999999,
    0x33331000,0x33333333,0xffff7001,0xffffffff,0x000bffff,0x01eeee88,
    0x2a000000,0xcccccccc,0xcccccccc,0x554cc05c,0x9800009a,0x3551001a,
    0x55310000,0x00000013,0x0d4c0000,0x54c00000,0xa9880001,0x531009aa,
    0x22000135,0x0019aaa9,0x0002aa60,0x004a8000,0x000c9800,0x00000000,
    0x80000000,0xf9808000,0x32007fff,0xff35ffff,0xffffffff,0x05bfffff,
    0x7fffffd4,0xffffffff,0xffff702e,0xffffffff,0x3eebffff,0xf9803fff,
    0x80002fff,0x3c81aaa8,0x24000054,0x7ffffe44,0x2001efff,0xfffffdb9,
    0xffffc83e,0x5c002eff,0xdffffffe,0x9ffff702,0xb7fffcc0,0x204ffffb,
    0xfffffdb9,0xfffff04e,0x7fedcc01,0x4003efff,0xffffffda,0xfffb31ef,
    0x2003bfff,0xffffffd9,0xd8800bff,0x1dffffff,0xfc880000,0x9ffff75f,
    0xb7fffcc0,0x0001dff9,0x77ffffc4,0xfffffb00,0x0ffffe41,0x06ffff98,
    0x10bffff2,0x17d4009d,0x01ffffe6,0x35ffffc8,0xffffffff,0xffffffff,
    0xfff501df,0xffffffff,0x81dfffff,0xfffffffb,0xffffffff,0x7ffff75f,
    0x5ffff300,0x3ff62000,0xb8cfffff,0x0002a3ff,0xffff1120,0xffffffff,
    0xffffb005,0x1bffffff,0xffffffd3,0x8801bfff,0xfffffffe,0xffb85fff,
    0x3fe604ff,0xffff76ff,0x3ffff609,0x1effffff,0x807ffffc,0xfffffffd,
    0xd801efff,0xffffffff,0xffffefff,0x03ffffff,0x7fffffe4,0x00efffff,
    0x3fffffea,0x0003ffff,0xbffffb30,0x813fffee,0xf36ffff9,0x0005dfff,
    0x27ffffd4,0x17ffffdc,0x40ffffea,0x00fffffb,0xe88ffffd,0xfedb8cff,
    0x1fffa8ce,0x01ffffe6,0x35ffffc8,0xffffffff,0xffffffff,0xfff50dff,
    0xffffffff,0x1dffffff,0x7fffffdc,0xffffffff,0xffff75ff,0xffff3007,
    0xfff70005,0xffffffff,0x00541dff,0xffd12400,0xffffffff,0x7f405fff,
    0xffffffff,0xffffffff,0xffffffff,0x3fffe605,0xffffffff,0x7fffdc4f,
    0x3fffe604,0x09ffff76,0xfffffffd,0x45ffffff,0x440fffff,0xfffffffe,
    0x02ffffff,0x3ffffff2,0xffffffff,0xffffffff,0xfff704ff,0xffffffff,
    0xff701dff,0xffffffff,0x540009ff,0x5ffffffe,0x409ffff7,0xf36ffff9,
    0x17ffffff,0xffffb000,0x7fffc43f,0xbffff04f,0x3fffff60,0x5ffff882,
    0x7ffffff4,0xffffffff,0xfff30fff,0x7fe400ff,0xffff35ff,0xffffffff,
    0x9fffffff,0xffffffa8,0xffffffff,0x3aa4ffff,0xeeeeeeee,0x0fffffee,
    0x007ffff7,0x005ffff3,0xffffffd8,0xffffffff,0x40000541,0x3ffffee4,
    0xffffcbbd,0xffff905f,0xffffddff,0x7dffffff,0x7fffffb5,0x3fffff60,
    0xfffffdcd,0x3fffee1f,0x3fffe604,0x89ffff76,0xeffffffc,0xffffffed,
    0x81fffff0,0xeffffffc,0xffffffed,0xfffff980,0xffffdbbe,0xdbbeffff,
    0xf81fffff,0xa9acffff,0x43fffffc,0xdffffff8,0x0ffffffb,0x3ffee200,
    0x75ffffff,0x4c09ffff,0xff36ffff,0x9fffffff,0x7ff44003,0x3fff66ff,
    0xfffb00ef,0x3ffffe0f,0xffffb84f,0x7ffffdc2,0xffffffff,0x3fe64fff,
    0x3f2007ff,0xfff35fff,0x333333ff,0xfffff933,0xfffffa8d,0xfb999999,
    0x00ffffff,0x1ffffb80,0x00ffffee,0x00bfffe6,0xefffffb8,0xfffffdbc,
    0x0000541f,0x3fffff24,0x0fffff50,0x1dfffff3,0xffffffb8,0xfffe885f,
    0xfffffa87,0x7fffec41,0x13fffee5,0x76ffff98,0x7cc7ffff,0x4c0dffff,
    0xff5fffff,0xfff98fff,0x7fd40dff,0xffd85fff,0xfff983ff,0xffa84fff,
    0x7ffcc5ff,0xdfff502f,0xdffffd89,0x2ffffd40,0x7fffe4c0,0x1cffffff,
    0x409ffff7,0x2a6ffff9,0xfffffffe,0xf3002eff,0xff77ffff,0x7d403fff,
    0x7fcc2fff,0xfd86ffff,0xffb80fff,0xffffffff,0x7cc4ffff,0x32007fff,
    0xff35ffff,0x3ea00fff,0x3ea0ffff,0xfc807fff,0x4003ffff,0x003ffff8,
    0x5ffff300,0x3fffe200,0xffff983f,0x0000546f,0x07953124,0x21ffffe2,
    0x206ffffb,0x2ffffffb,0x85ffff30,0x303ffffe,0x7dcbdfff,0x3e604fff,
    0x7fc46fff,0x17ffff22,0x2fffff98,0xfff91bf2,0x7ffcc0bf,0x4ca882ff,
    0x1bffffe0,0x20ffffc8,0x00dffffa,0x3ffe2035,0xfff900ff,0x3ffaa03f,
    0xdfffffff,0x4ffffb82,0x1bfffe60,0x3fffff26,0x00bfffff,0x7fffffe4,
    0x4403ffff,0x7dc4ffff,0x40ffffff,0x3e05ffff,0xebcfffff,0x4c1fffff,
    0x2007ffff,0xf35ffffc,0x7c00ffff,0x3ea2ffff,0xf8807fff,0x4004ffff,
    0x4006fffe,0xfffffff8,0xffffffff,0x3ff61fff,0xfffd04ff,0x00545fff,
    0x4c002400,0xfd87ffff,0x7f402fff,0x7fc07fff,0x7fffc4ff,0x5c04d407,
    0x2604ffff,0x7d46ffff,0x3ffffa1f,0x7fffec01,0xffd17fe4,0xffc803ff,
    0xd10004ff,0x5409ffff,0x3e22ffff,0x0bdfffff,0xdffff500,0x1ffffcc0,
    0x3fffffee,0x200befff,0x204ffffb,0x406ffff9,0xffffffda,0x3a01cfff,
    0xffffffff,0xdfffb006,0xffffffd8,0x3fffea2f,0x9ffff503,0x89ffff50,
    0x007ffff9,0x4d7ffff2,0x2007ffff,0x2a0ffffe,0xd007ffff,0x400bffff,
    0x001ffffb,0x7fffffc4,0xffffffff,0x3fe1ffff,0xffd80fff,0x2a5ffffe,
    0x80480000,0xffffecb9,0x7fffc0ff,0xffffc807,0x9999999e,0x3e26fffe,
    0x20006fff,0x204ffffb,0x6c6ffff9,0x3fffe26f,0xffffa806,0x7c45ff76,
    0xfa806fff,0x53005fff,0xffffffd9,0x53333337,0xff89ffff,0xefffffff,
    0x3ffee02c,0x999999cf,0x264ffff9,0xffffffff,0xfff7001d,0x7ffcc09f,
    0xff71006f,0x0bffffff,0x7fffffc4,0xff7000ff,0x7fffc1ff,0x3f24fffc,
    0xff900fff,0x3ffa01ff,0x7fffcc6f,0x3fff2007,0xfffff35f,0x3fffe600,
    0x3ffffd45,0x4ffffe80,0x9ffff100,0xffff1000,0xffffffff,0x23ffffff,
    0xc86ffff8,0xffff9eff,0x200002a6,0xfffda884,0x7fffffff,0x037fffc4,
    0x7fffffdc,0xffffffff,0x3ffea7ff,0x3ee0005f,0x3e604fff,0xffd36fff,
    0x2ffffd43,0x7ffffcc0,0x7fd45ffd,0xff9805ff,0x3f6a07ff,0xffffffff,
    0xffffffff,0x45ffffff,0xfffffff9,0x40cfffff,0xfffffffc,0xffffffff,
    0x3fffe64f,0x5c000bef,0x2604ffff,0x8006ffff,0x5fffffda,0x7ffffdc0,
    0x3fe2002f,0xdfff33ff,0x7f4dfff3,0x3ff606ff,0x3ffea05f,0x3ffffcc7,
    0xbffff900,0x01ffffe6,0x0fffffaa,0x00fffff5,0x05fffff1,0x03ffff20,
    0x3fffe200,0xffffffff,0x31ffffff,0xfb89ffff,0xfffff0ef,0x24000054,
    0x3fffffea,0x7fffffff,0x037fffd4,0x7fffffd4,0xffffffff,0x3ffea7ff,
    0x3ee0005f,0x3e604fff,0xfffeffff,0x27fffdc3,0x7ffffc40,0x7fdc0dff,
    0xff8804ff,0xffea87ff,0xffffffff,0xffffffff,0x5fffffff,0xffffffa8,
    0x1fffffff,0x3ffffff6,0xffffffff,0x3ffe65ff,0x4000beff,0x204ffffb,
    0x006ffff9,0xfffffd98,0x7fffc405,0x7f4002ff,0x9fff95ff,0x3e23fffe,
    0x3f603fff,0x3fee05ff,0x7fffcc7f,0xffffffff,0xffffffff,0xdfffff35,
    0xffdddddd,0xf507ffff,0xe880ffff,0x801fffff,0x005ffff8,0xdddddd10,
    0xdddffffd,0x3ea3dddd,0x3fea4fff,0x3ffffa0f,0x90000150,0x7fffffdc,
    0xffffd1bd,0x07ffff98,0xffffffb8,0xffffffff,0xfff50fff,0x7dc000df,
    0x3e604fff,0x0cefffff,0x05ffffa8,0xefffff98,0xbffff501,0xdffff300,
    0xffffff98,0xfffd8ace,0xffffffff,0x206fffff,0xffffffda,0x3f66ffff,
    0xffffffff,0x6fffffff,0x3fffffe6,0xf7002dff,0x7cc09fff,0x71006fff,
    0xfffffffd,0xffffe80b,0x2e000fff,0xfffd7fff,0x2ebfff65,0x3200ffff,
    0xfd00ffff,0xfff98dff,0xffffffff,0xffffffff,0xfffff35f,0xffffffff,
    0x2a05ffff,0xaaafffff,0xffffdbaa,0xff7007ff,0x000005ff,0x005ffff3,
    0x26bffff3,0x7ff41fff,0x00002a7f,0x7ffffc52,0x8ffffd03,0x01fffff8,
    0x02ffffe4,0xfffff100,0xff700880,0x7fd409ff,0x7cc00eff,0xfa806fff,
    0x7cc06fff,0xfa806fff,0x7ff45fff,0xffd81eff,0x800002ff,0xffffeca8,
    0xfff92fff,0xfb80005f,0xffffffff,0x3fee00be,0x3fea04ff,0x7ed406ff,
    0xffffffff,0x3ffee01d,0x005fffff,0x3ebfffe6,0xfff70fff,0x80dfffbb,
    0x40dffffa,0x4c4ffffb,0xffffffff,0xffffffff,0xff35ffff,0xffffffff,
    0x9fffffff,0xfffff501,0xffffffff,0x005fffff,0x001ffffe,0x7fffcc00,
    0xffff8802,0xf82ffe8e,0x002a6fff,0x7ffd5200,0x3fffe05f,0x4ffffe87,
    0x37ffffc0,0x3fffe000,0x3bffa00f,0xbffff51c,0x37fffdc0,0x7ffffc40,
    0x7fffec01,0x7fffc404,0x7ffec01f,0x3fffe24f,0x3ffffa06,0x40200004,
    0x3fffffb8,0x009ffff7,0x3fffaa00,0x2dffffff,0x05ffffa8,0x21bfffee,
    0xffffffb8,0x400cffff,0xfffffff9,0x3a003fff,0x6fffefff,0x3fffffe2,
    0xffe803ff,0xfffcdfff,0x7fcc1fff,0xffffffff,0xffffffff,0xffff35ff,
    0xffffffff,0x5fffffff,0xffffffa8,0xffffffff,0xf7003fff,0x00007fff,
    0x0bfffe60,0x77ffffc0,0xfffa83ff,0x00002a4f,0x1ffffe52,0x0fffff98,
    0x077fffe4,0xffffffb8,0x59bdf501,0x04ffffe8,0x21fffff3,0x206ffff9,
    0x006ffffe,0x40bffffb,0x01fffff9,0x05ffffd8,0x87ffffe6,0x105ffffa,
    0x01ffffff,0xb82b37f2,0x2e02ffed,0xff33ffff,0x3f201fff,0x6cc00acd,
    0xffffffff,0xfff30bff,0x7fff40df,0x3fff6a6f,0xbeffffff,0xffffd000,
    0x3fffffbb,0x3ffff200,0x7ff43fff,0x401fffff,0xfffffffa,0x5fffffff,
    0x67ffffcc,0xcccccccc,0x35ffffec,0x999fffff,0xffdb9999,0x7d45ffff,
    0xffffffff,0x3fffffff,0x3ffffa00,0x7fffdc00,0xffff9803,0xffff9002,
    0x3ffa09ff,0x0002a2ff,0x7fffe520,0xfffffd06,0xfffff881,0x7fffdc0e,
    0x7c41efff,0x7d43ffff,0x6cc3ffff,0x3e25ffff,0xfc83ffff,0x5006ffff,
    0x81bfffff,0x05fffffa,0xbfffff50,0xfffffa81,0x7ffffcc5,0xfffffd80,
    0x7ffd40df,0x3fff61ff,0x3fff606f,0x3ffff61f,0x7fffcc0d,0xff91001f,
    0xbfffffff,0x0fffffe2,0x5bfffff2,0xfffffff9,0x64002dff,0xf88fffff,
    0x3006ffff,0x3fffffff,0xffffffc8,0x7fffd406,0xffffffff,0x3e65ffff,
    0x32007fff,0xff35ffff,0x3e600fff,0x3ea7ffff,0xffffffff,0x003eefff,
    0x02ffffc4,0x01ffffdc,0x017fffcc,0xefffff88,0x7fffec40,0x40000545,
    0xbfffff54,0xfffff935,0xfff701ff,0xfffdffff,0xffffffff,0xfffffb7d,
    0x3ffff60f,0xffffedff,0x7fff42ff,0xfffcbdff,0x2006ffff,0xeffffffd,
    0xfffffffd,0x3fff6000,0xfffdefff,0x7c40ffff,0xb9beffff,0xfffffffe,
    0xfffdbdff,0x7ffcc5ff,0xecaaceff,0x260fffff,0xadffffff,0x05fffffd,
    0xffffd700,0x7fff4bff,0xfffcbdff,0xff36ffff,0x039fffff,0xfffff500,
    0x7ffffd45,0xfffff004,0xffff50ff,0xffd809ff,0xffffffff,0x1fffffff,
    0x00fffff3,0x9affffe4,0x2007ffff,0x52fffff9,0x000fffff,0x3fffea00,
    0xffffb802,0xffff9803,0x3ffee002,0xffdcdfff,0x0540ffff,0xffd24000,
    0xffffffff,0x203fffff,0xfffffffd,0xffffffff,0xffffffff,0xff301fff,
    0xffffffff,0xff707fff,0xffffffff,0x00dfffdb,0x7fffff44,0xffffffff,
    0x7ff44002,0xffffffff,0xffb02fff,0xffffffff,0xffffffff,0xffffffff,
    0xfffff703,0xffffffff,0xffff703f,0xffffffff,0xda80003f,0x3ee5ffff,
    0xffffffff,0x36fffedf,0x017fffff,0x3fffe200,0xffffd85f,0xfffc801f,
    0xfff885ff,0xfd801fff,0x7bddb54f,0x4c3fff51,0x2007ffff,0xf35ffffc,
    0xf800ffff,0xff54ffff,0x00000fff,0x401ffff6,0x803ffffb,0x001cccc8,
    0x3fffffea,0xffffffff,0x80000a82,0x3ffffe64,0xffacffff,0x3fee04ff,
    0xffffffff,0xffffe88d,0x01ffffff,0x7fffff44,0x204fffff,0xfffffffc,
    0x0dfffd4f,0xfffff900,0x01dfffff,0x3fff6200,0xefffffff,0x3fffa200,
    0x2effffff,0xfffffff7,0x5c03ffff,0xffffffff,0x2a02ffff,0xffffffff,
    0x00001fff,0xf917ff26,0x9fffffff,0x7cdbfffa,0xd80002ef,0x880fffff,
    0x00efffff,0x1fffffd4,0x07ffffe8,0xfa801360,0x3ffffcc1,0xbffff900,
    0x01ffffe6,0x29ffffd0,0x007ffffa,0xbffff000,0x3fffee00,0x4c000002,
    0xffffffff,0x01efffff,0x89000015,0xefffffd8,0x01ffffe1,0xffffffb1,
    0xfffd705d,0x40019fff,0xffffffeb,0xffec801d,0x3ffa3eff,0xb730006f,
    0x07dfffff,0x3f6e6000,0x003effff,0x3ffffff2,0xfffd883e,0x800bffff,
    0xffffffc8,0xd9800cff,0xbffffffe,0x71000000,0xffffd709,0xb7fff45b,
    0x500001d9,0x407fffff,0x04fffffb,0x01fffff8,0x009ffff9,0xf9808000,
    0x32007fff,0xff35ffff,0x7cc00fff,0xff52ffff,0x00000fff,0x009ffff3,
    0xdd11ff98,0xdddddddd,0xdddddddd,0x64d7ffc3,0x3effffff,0x40000540,
    0x00353104,0x03531000,0x000d54c0,0x000d54c0,0x00001a88,0x000d4c00,
    0x00d4c000,0x002aa600,0x0019a988,0x026aa660,0x19a98800,0x00000000,
    0x00000351,0x00000000,0x00000000,0xff300000,0x7e400fff,0xfff35fff,
    0x3f6200ff,0xff50ffff,0x00000fff,0x005ffff5,0xff10ffb8,0xffffffff,
    0xffffffff,0x54c1fcc3,0x002a001a,0x00001200,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7ffcc000,0x3ff2007f,0xffff35ff,0x5555555f,
    0xffffff97,0x3ffffd4f,0x7fdc0000,0x3a2001ff,0x3fffe26f,0xffffffff,
    0x41ffffff,0x65400000,0xcccccccc,0xcccccccc,0x00000005,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0fffff30,0xaffffe40,0xfffffff9,
    0xffffffff,0x2a2fffff,0x0007ffff,0x0ffffc80,0x43fff700,0xfffffff8,
    0xffffffff,0x00001fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4c000000,0x2007ffff,0xf35ffffc,0xffffffff,0xffffffff,
    0xfffa87ff,0xd800007f,0x32007fff,0x7ffc42ff,0xffffffff,0x1fffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fffcc00,0x3fff2007,0xfffff35f,0xffffffff,0x507fffff,0x000fffff,
    0x0ffffd00,0x00002440,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fcc0000,0x3f2007ff,0xfff35fff,0xffffffff,
    0x4039ddff,0x007ffffa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4009a880,0x80000aa8,0x300009a9,0x00000015,
    0x4c000000,0x0002cccc,0x33310000,0x00000003,0x05100288,0x706665c0,
    0x665c1999,0x006665c4,0x02f774c0,0x02aeea20,0x03597510,0x33333331,
    0x33333333,0x32ea0133,0xcc8800ac,0x33333313,0x33333333,0x97101333,
    0x7001599b,0x654005dd,0x4c4001bc,0x26661999,0x26662099,0xcddca809,
    0x004d4c01,0x6eee4110,0x8888882d,0x44440888,0x06aaaa20,0x21bbbbb3,
    0x3621dddc,0x3ff60ddd,0x3fffb26f,0x7ff541ef,0xffa83eff,0xfffb31ff,
    0xffc83dff,0xfffe88ff,0xbffff92e,0xbffff500,0x7fffffec,0xffffffff,
    0xffff7007,0xffff5009,0x13fffea9,0x01ffff20,0x213fffee,0x1fffffe8,
    0x4403fe88,0xffa802fe,0x17ffea5f,0x7dc9fff7,0xfd8004ff,0xf7002fff,
    0x205fffff,0x5ffffffb,0x7fffffdc,0xffffffff,0x7f4c6fff,0x402fffff,
    0xfff76ffd,0xffffffff,0x8dffffff,0xfffffffa,0x17fe400e,0x7ffff4c0,
    0x7fffdc4f,0x1fffff53,0xe8fffffe,0x7d44ffff,0xc82fffff,0x0befffff,
    0xff887a60,0x7fff46ff,0x2a7fffff,0xff54ffff,0xfffd89ff,0x8bfffa2f,
    0x360ffff8,0xffd8efff,0x71ffffff,0xffffffff,0x9ffffa87,0xfffffff9,
    0x3fff22ff,0xfffffe8f,0x1fffff12,0x2ffffd80,0x3ffffff6,0xffffffff,
    0xffff7007,0xffff5009,0x13fffea9,0x01ffff20,0x213fffee,0x81fffffe,
    0x103fffe8,0x4405fffd,0xff10ffff,0xfffd01ff,0x017fff43,0xdfffff30,
    0xfffff300,0xfff30fff,0x5c7fffff,0xffffffff,0xffffffff,0x3fffe26f,
    0x983fffff,0xff76fffd,0xffffffff,0xdfffffff,0x7fffff44,0x7dc05fff,
    0x7ffc402f,0x2e4fffff,0xff53ffff,0x3ffe1fff,0x3fffa3ff,0x6d4d4c4f,
    0x3ffa66ff,0xdfffffff,0x83ff930a,0x3a2ffff9,0xffffffff,0x53fffea7,
    0x224ffffa,0x7f42ffff,0x3ffe22ff,0x3ffff60f,0xfffffffe,0xffffdfff,
    0x22ffffff,0xffcffffa,0xffffffff,0xdffff90f,0x41ffffff,0x202ffffd,
    0x6c7ffff8,0xffffffff,0x07ffffff,0x09ffff70,0x29ffff50,0x804ffffa,
    0xb807fffc,0x7ec4ffff,0xfb02ffff,0xe887ffff,0xb00fffff,0x7fec7fff,
    0xdfff504f,0x03fffea1,0x7ffffec0,0x6ffec01f,0x643ffe88,0xffc88dff,
    0x3ffffee6,0xffffffff,0x3f66ffff,0xfffebfff,0xffffb10f,0x3fffeedf,
    0xffffffff,0x326fffff,0xfe99afff,0xfa86647f,0xffd0ea1f,0x5fffb59f,
    0x54ffffee,0xff0fffff,0x7ff47fff,0x7fc404ff,0xfffffb2f,0xffffffff,
    0x303fffff,0x7ff4dfff,0x27ffffff,0xf54ffffa,0x7fe49fff,0x2fffe83f,
    0xd83fffe2,0xceffffff,0xffffffdb,0xfffebdff,0x3ffea6ff,0xecbdffff,
    0xf93fffff,0xffffffff,0xffffa8bf,0x3fffee05,0x7ffffec4,0xffffffff,
    0xfff7007f,0xfff5009f,0x3fffea9f,0x7fffc804,0x4ffffb80,0x0bfffff2,
    0xffffff98,0xfffffd13,0x9bffee07,0x200ffffb,0x3f64fffd,0xff8805ff,
    0x405fffff,0x3ff61cba,0xf117f6c4,0x3ffee3ff,0xffffffff,0x16ffffff,
    0xffc8dfff,0xfffff53f,0x3fffeedf,0xffffffff,0x446fffff,0x23ffe42a,
    0x9ffacfff,0x3fe27ffc,0xbaffe40f,0xff53ffff,0x3ffe1fff,0x3fffa3ff,
    0x7ffdc04f,0xffffffb1,0xffffffff,0x2a03ffff,0xfffd1fff,0x54ffffff,
    0xff54ffff,0x3ffe29ff,0x43999704,0x360cccc8,0xe84fffff,0x41ffffff,
    0x50fffffb,0x81ffffff,0x95fffff8,0x17ffffff,0xffff0393,0x3fffa01f,
    0x4cccc40f,0xfffff119,0x2aa2003f,0xffa801aa,0xffff54ff,0xffff9009,
    0x9ffff700,0x0bffffee,0x3ffffe60,0xfffffecf,0x5ffff303,0x00ffffe2,
    0x265ffff3,0x6402ffff,0xffffffff,0x3ff6e000,0xfff7001f,0x5555554c,
    0xaaaaaaaa,0xfff32aaa,0x54fffa89,0x2dff739f,0xaaaaaaa9,0xfeaaaaaa,
    0x36e606ff,0xff30ffff,0xffffffff,0x17fea3ff,0x7fddbfe6,0xffff33ff,
    0x3ffffe1f,0x4fffffa2,0xfffeeee9,0x2b3bf65f,0xfffffda9,0x00dfffff,
    0x7ff4f32a,0x27ffffff,0xb34ffffa,0x33267bbb,0xfb000004,0x3ea0dfff,
    0xff03ffff,0x3fea1fff,0xff502fff,0x3fff2bff,0xff9004ff,0xfff307ff,
    0xfe8800bf,0x0002ffff,0x7fd40000,0xffc804ff,0xfffb807f,0xfffffacf,
    0x3ffe6003,0xffffffff,0x9bfffa03,0x9006fffe,0x3f21ffff,0xff100fff,
    0x9ffff7ff,0x3fffe600,0x9fff5002,0x7dc00000,0x7ffc42ff,0x37fdc116,
    0x3fff6000,0x7fffecc6,0x9510ffff,0xfffffffd,0x17fea19b,0xff31bfe6,
    0x9bfffe25,0x321ffffd,0xff52ffff,0xd87fffff,0x3ffae205,0x0003ffff,
    0x00000000,0xffd80000,0xfff304ff,0x3ffa01ff,0xffff51ff,0x7fffcc0f,
    0x1fffff96,0x3fffe200,0x2ffffc86,0x3fffa200,0x555503ff,0x55555555,
    0x01555555,0x29ffff50,0xdaaaaaa9,0xaaaaffff,0xffff72aa,0x09fffffd,
    0xfffff300,0x6407ffff,0xff91ffff,0x3e2003ff,0xfff15fff,0x3fff20bf,
    0x0ffffc8f,0xfffffa80,0x37ffe402,0x3ee00000,0x7ffc42ff,0x00dff706,
    0x26fffd80,0xddfffffb,0xff500fff,0x3fe203ff,0x22ffe40f,0x3ffa1ffb,
    0x3fffee5f,0x43fffee0,0x01abaa98,0x5e5cc005,0x00000001,0x00000000,
    0x0bffff60,0x03ffffcc,0x2a3ffffd,0x2205ffff,0xff97ffff,0xfd800bff,
    0x7ffc1fff,0x7fec007f,0xff104fff,0xffffffff,0xffffffff,0xffff5003,
    0x3ffffee9,0xffffffff,0xff76ffff,0xffffffff,0x3fe60007,0x203fffff,
    0xf16ffff8,0xc800dfff,0xff92ffff,0xfff885ff,0x7ffff34f,0x3ff22100,
    0xdfffb00f,0xaaaaa981,0xaaaaaaaa,0xff52aaaa,0x5fffa89f,0x000dff70,
    0x3e6fffd8,0x3ff21fff,0xffff980f,0xfffd00ef,0x45fffb59,0x7fec6fe8,
    0x1fffea4f,0x000ffff3,0x00000000,0x00000000,0xffb00000,0x3fe605ff,
    0x3ff606ff,0xffff51ff,0x7fffc40b,0x09ffff97,0x4ffffa80,0x013fffea,
    0x5fffffc8,0x3ffffe20,0xffffffff,0x801fffff,0xf74ffffa,0xffffffff,
    0xffffffff,0x3ffffeed,0x00ffffff,0xffffe880,0x7fe403ff,0xffff71ff,
    0x7fff4003,0x21bfffa6,0x3a1ffffb,0x06207fff,0xe885fff1,0xff704fff,
    0xffffffff,0xdfffffff,0xf91bffe2,0x3fee07ff,0x7fec0006,0x87fff36f,
    0x7cc0ffff,0x06ffcaff,0xfffffff1,0x0fffdc9f,0xf88bffee,0x7ffc45ff,
    0x44444446,0x88888888,0x00088888,0x00000000,0x00000000,0x203ffffb,
    0x206ffff9,0xf51ffffd,0x7c409fff,0xfff97fff,0xfff0007f,0x7fffecff,
    0xffff7000,0xfff880df,0xffffffff,0x1fffffff,0x4ffffa80,0xfffffff7,
    0xffffffff,0x3ffeedff,0xffffffff,0x7ff44004,0x03ffffff,0xfd37fff4,
    0x3ee00dff,0xfff71fff,0xdffff03f,0x42ffffa8,0x3ea2fff8,0x3ffa22ff,
    0x3ffee03f,0xffffffff,0x26ffffff,0xfdbefffd,0xff700fff,0xffd8000d,
    0x3dfff16f,0x41ffff91,0xff15fff8,0x3ffa60bf,0x7fe44fff,0x20000002,
    0xfffffff9,0xffffffff,0xf34fffff,0xffffffff,0xffffffff,0x00009fff,
    0x00000000,0x407ffff6,0x205ffff9,0xf51ffffd,0x7c409fff,0xfff97fff,
    0xff90007f,0xffff15ff,0x3ffea00b,0x7c400eff,0xffffffff,0xffffffff,
    0xfffa801f,0xfffff74f,0xffffffff,0x3eedffff,0xffefffff,0xd1001fff,
    0xffffffff,0x7fcc07ff,0xffff32ff,0xffff8805,0x07ffff13,0xf07ffff7,
    0xff70dfff,0x1ffff79f,0x777fffe4,0xfff71eee,0xffffffff,0x4dffffff,
    0xfffffff8,0x3fee03ff,0x7fec0006,0x3ffff26f,0x41ffffff,0x3bea1ffa,
    0x0de65401,0x00000644,0x3fffe600,0xffffffff,0xffffffff,0xffffff34,
    0xffffffff,0x09ffffff,0x00000000,0x3fff6000,0xffff301f,0x7fffec0b,
    0x09ffff51,0xcbffffc4,0x8003ffff,0xfbcffff8,0xf9802fff,0x001fffff,
    0x55555555,0x55555555,0xff500155,0x2aaa69ff,0xffffdaaa,0x72aaaaaa,
    0x71dfffff,0x100bffff,0xf9fffffd,0x407fffff,0x3ee6fffb,0x7fe406ff,
    0x1bfff26f,0x407ffff4,0xe82ffffc,0x1fffffff,0x7ffffffc,0xfff72fff,
    0xffffffff,0x8dffffff,0xffffffe9,0x037fdc03,0x9bfff600,0xafffffe9,
    0x83882fff,0x00000003,0xff980000,0xffffffff,0xffffffff,0xffff34ff,
    0xffffffff,0xffffffff,0x00000009,0x3f600000,0xff301fff,0x7fec0bff,
    0xffff51ff,0x7fffc409,0x07ffff97,0x3ffff600,0x8807fffd,0x01ffffff,
    0x00000000,0x009ffff5,0x700ffff9,0x741dffff,0x2202ffff,0x33fffffe,
    0x07ffffff,0xfb1ffff4,0x3fe607ff,0xffff30ff,0x9ffff501,0x17fffe60,
    0x37ffff22,0x7ffffd40,0x532fffff,0x55555555,0x55555555,0x2b36ea05,
    0x06ffb800,0x04ccc400,0xaa8565c4,0x0000001a,0x00000000,0x99999998,
    0x99999999,0x31099999,0x33333333,0x33333333,0x00001333,0x00000000,
    0x407ffff6,0x205ffff9,0xf51ffffd,0x7c409fff,0xfff97fff,0x3ea0007f,
    0x4fffffff,0x7ffff440,0x5100002f,0x80003555,0x804ffffa,0xb807fffc,
    0x7d44ffff,0x3f606fff,0x7cc3ffff,0x100fffff,0x3e21ffff,0xffd80fff,
    0x0ffff63f,0x00e6665c,0x40199997,0x00000008,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x301ffffd,
    0x6c0bffff,0xff51ffff,0x7fc409ff,0xffff97ff,0x7ffc0007,0x401fffff,
    0xadfffffe,0xaaaaaaaa,0xffffb801,0xffffa804,0x09ffff54,0x00ffff90,
    0xd09ffff7,0x2207ffff,0xf303fffe,0xfb805fff,0x3ffee4ff,0x52fffd44,
    0x0000bfff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ffffb00,0x17fffe60,0x51ffffd8,
    0x4409ffff,0xff97ffff,0x640007ff,0x06ffffff,0x7fffffd4,0xffffffff,
    0xffb804ff,0xffa804ff,0xffff54ff,0xffff9009,0x9ffff700,0x1fffff30,
    0x300ffa20,0x3b6005ff,0x3bbb20ee,0xd837bb60,0x00000dee,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x1ffffd80,0x0bffff30,0xa8ffffec,0x2204ffff,0xff97ffff,
    0x440007ff,0x02ffffff,0x7fffffd4,0xffffffff,0xffb804ff,0xffa804ff,
    0xffff54ff,0xffff9009,0x9ffff700,0x13ffff60,0x05300288,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfb000000,0x3e603fff,0x3f605fff,0xfff51fff,
    0x7ffc409f,0x7ffff97f,0xfffd8000,0xfffa807f,0xffffffff,0x804fffff,
    0x804ffffb,0xf54ffffa,0xf9009fff,0xff700fff,0x3fe209ff,0x00001fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x301ffffd,0x6c0bffff,
    0xff51ffff,0x7fc409ff,0xffff97ff,0xffa80007,0xffa804ff,0xffffffff,
    0x04ffffff,0x02cccc98,0x54ffffa8,0x1009ffff,0xf7003333,0x7e409fff,
    0x00006fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_41_latin_ext_x[560]={ 0,3,2,0,1,1,1,1,1,1,0,1,2,1,
2,-1,1,2,0,1,0,1,1,1,1,1,3,3,1,1,1,1,1,0,2,1,2,2,2,1,2,2,0,2,
2,2,2,1,2,1,2,1,0,2,-1,0,0,-1,0,2,-1,0,2,-1,0,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,0,0,2,0,0,0,0,0,1,3,0,1,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,1,0,0,0,
3,1,0,-1,0,1,1,1,-1,-1,1,0,0,0,3,1,-1,2,0,1,0,1,1,1,0,1,0,0,0,0,
0,0,-2,1,2,2,2,2,-1,1,-1,-1,-1,2,1,1,1,1,1,1,1,2,2,2,2,-1,2,2,1,1,
1,1,1,1,1,1,1,1,1,1,-1,2,-1,-1,1,2,1,1,1,1,1,0,1,2,2,2,2,0,2,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,2,1,-1,1,2,1,2,1,2,1,2,1,2,1,1,1,
1,1,1,1,1,1,2,2,0,0,-2,-2,-1,-1,-1,-1,1,2,2,2,2,2,0,-2,2,2,2,2,2,2,
-1,2,2,2,2,0,0,2,2,2,2,2,2,-2,2,2,1,1,1,1,1,1,1,1,2,2,2,0,2,1,
1,0,1,0,1,0,1,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,0,0,-1,0,
-1,0,0,0,0,0,0,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,-1,4,4,4,
4,4,4,4,4,4,4,4,4,4,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,2,2,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,1,-1,-1,1,
1,2,2,2,2,2,2,2,2,2,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,0,1,-2,1,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__arial_bold_41_latin_ext_y[560]={ 33,6,6,6,4,6,6,6,6,6,6,10,27,20,
27,6,6,6,6,6,6,7,6,7,6,6,13,13,10,13,10,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,36,6,13,6,13,6,13,6,13,6,6,
6,6,6,13,13,13,13,13,13,13,7,13,13,13,13,13,13,6,6,6,16,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,33,13,6,6,10,6,
6,6,6,6,6,15,13,20,6,1,6,8,6,6,6,13,6,17,33,6,6,15,6,6,6,13,-1,-1,-1,0,
0,1,6,6,-1,-1,-1,0,-1,-1,-1,0,6,0,-1,-1,-1,0,0,11,5,-1,-1,-1,0,-1,6,6,6,6,
6,6,6,5,13,13,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,10,12,6,6,6,6,6,6,6,
1,7,0,6,6,13,-1,6,-1,6,-1,6,-1,6,-1,6,6,6,1,7,-1,6,-1,6,6,13,-1,6,-1,6,
0,6,-1,6,6,3,-1,-1,6,6,-1,6,1,7,-1,6,6,6,0,13,6,6,-1,6,6,6,13,-1,0,6,
6,6,6,6,6,6,6,-1,6,6,13,-1,6,6,6,13,1,7,-1,6,-1,6,6,13,-1,6,6,13,-1,6,
-1,6,-1,6,6,13,-1,6,6,7,-1,6,6,7,-1,6,1,7,-1,6,-1,5,-1,6,6,13,-1,6,-1,6,
0,-1,6,0,6,-1,6,6,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,6,10,10,6,10,10,10,
10,10,10,10,10,10,10,10,10,10,6,13,10,10,10,10,10,10,10,10,10,10,10,10,10,6,13,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,-1,6,-1,6,-1,
6,-1,6,-1,-1,-1,-1,-1,-1,-1,-1,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,-4,-1,-1,6,-1,6,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10, };
static unsigned short stb__arial_bold_41_latin_ext_w[560]={ 0,6,14,20,18,30,25,7,11,10,14,19,6,11,
6,12,18,13,19,18,20,19,19,18,18,18,6,6,19,19,19,20,35,27,23,24,23,21,19,26,22,6,18,25,
20,26,22,27,21,28,25,22,22,22,26,35,25,26,22,10,12,10,18,22,9,19,20,19,20,19,14,20,18,6,
10,19,6,29,18,21,20,20,13,19,12,18,20,29,21,20,18,13,5,14,20,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,6,19,20,20,21,
5,19,13,29,13,18,19,11,29,22,12,20,12,12,9,19,22,6,11,8,13,18,30,29,31,20,27,27,27,27,
27,27,37,24,21,21,21,21,9,10,13,13,26,22,27,27,27,27,27,19,27,22,22,22,22,26,21,20,19,19,
19,19,19,19,30,19,19,19,19,19,9,9,13,13,21,18,21,21,21,21,21,20,21,18,18,18,18,20,20,20,
27,19,27,19,29,21,24,19,24,19,24,19,24,19,23,26,26,22,21,19,21,19,21,19,21,19,21,19,26,20,
26,20,26,20,26,20,22,18,27,20,14,14,12,12,12,12,9,9,6,6,24,16,21,14,25,19,19,20,9,20,
11,20,13,20,14,22,11,22,18,22,18,22,18,26,23,18,27,21,27,21,27,21,35,33,25,13,25,15,25,14,
22,19,22,19,22,19,22,19,22,12,22,18,22,12,22,18,22,18,22,18,22,18,22,19,22,21,35,29,26,20,
26,22,18,22,18,22,18,11,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,25,19,19,22,19,19,19,
19,19,19,19,19,19,19,19,19,19,31,26,19,19,19,19,19,19,19,19,19,19,19,19,19,29,25,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,27,19,13,13,27,
21,22,18,22,18,22,18,22,18,22,18,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,27,19,37,30,27,21,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19, };
static unsigned short stb__arial_bold_41_latin_ext_h[560]={ 0,27,11,28,33,29,28,11,35,35,13,20,12,6,
6,28,28,27,27,28,27,27,28,26,28,28,20,26,21,14,21,27,35,27,27,28,27,27,27,28,27,27,28,27,
27,27,27,28,27,30,27,28,27,28,27,27,27,27,27,35,28,35,15,5,6,21,28,21,28,21,27,28,27,27,
35,27,27,20,20,21,28,28,20,21,27,21,20,20,20,28,20,35,35,35,8,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,28,35,28,20,27,
35,35,5,28,14,17,14,6,28,5,12,25,14,15,6,28,35,6,8,14,14,17,28,28,28,28,34,34,34,33,
33,32,27,35,34,34,34,33,34,34,34,33,27,33,35,35,35,34,34,18,30,35,35,35,34,34,27,28,28,28,
28,28,28,29,21,28,28,28,28,28,27,27,27,27,28,27,28,28,28,28,28,20,23,28,28,28,28,35,35,35,
32,27,33,28,35,28,35,28,35,28,35,28,35,28,34,28,27,28,32,27,34,28,34,28,35,28,34,28,35,35,
34,35,35,35,35,38,34,34,27,27,34,27,32,26,34,27,35,35,33,20,28,35,35,35,35,35,20,34,33,35,
35,27,27,27,27,27,27,34,27,35,28,34,27,27,28,28,33,27,35,28,35,28,28,21,34,27,35,28,34,27,
35,28,35,28,35,28,35,28,39,37,34,28,27,27,35,28,33,27,35,28,35,29,35,28,35,28,34,27,34,35,
33,34,27,33,27,34,27,27,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,28,23,23,35,23,23,23,
23,23,23,23,23,23,23,23,23,23,28,21,23,23,23,23,23,23,23,23,23,23,23,23,23,28,21,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,34,28,34,27,35,
28,35,28,35,35,35,35,35,35,35,35,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,37,35,34,28,36,29,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23, };
static unsigned short stb__arial_bold_41_latin_ext_s[560]={ 507,55,402,157,406,319,404,394,57,292,359,
139,387,460,472,20,33,460,474,200,455,1,379,70,178,223,125,89,379,282,418,
34,114,476,24,120,112,136,185,71,1,504,52,407,434,62,89,1,48,240,269,
29,295,158,318,345,381,433,231,55,145,44,237,440,450,159,469,213,371,359,254,
392,212,205,490,165,158,1,31,286,258,202,50,339,21,399,64,460,438,409,85,
352,394,430,429,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,
139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,507,503,470,
181,490,227,501,1,496,341,345,199,325,460,439,417,374,96,269,256,486,490,66,
479,417,316,302,218,227,197,83,62,461,1,29,84,453,212,323,150,243,489,57,
481,233,195,364,135,109,112,175,225,295,101,265,179,269,346,392,438,438,388,301,
21,1,481,461,441,421,350,308,359,339,319,299,279,501,337,323,420,399,475,140,
118,96,74,52,104,117,1,487,468,449,484,24,45,184,281,378,219,400,256,445,
214,89,158,159,119,223,68,340,21,62,489,162,89,366,430,173,389,203,239,79,
294,302,274,206,112,367,417,184,24,129,321,34,13,293,415,149,494,308,402,480,
69,505,132,314,490,438,329,303,460,159,152,24,248,211,242,290,347,382,397,463,
415,208,66,181,329,304,263,380,361,425,380,1,339,29,234,178,179,252,449,133,
278,117,494,394,1,344,469,323,48,269,259,1,73,278,139,185,268,89,162,1,
249,1,430,461,370,415,115,369,135,143,136,179,253,57,206,166,34,361,229,430,
1,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,413,139,139,21,
139,139,139,139,139,139,139,139,139,139,139,139,139,279,259,139,139,139,139,139,
139,139,139,139,139,139,139,139,311,233,139,139,139,139,139,139,139,139,139,139,
139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,301,42,
352,368,366,98,329,450,279,260,237,218,195,176,153,134,139,139,139,139,139,139,
139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,
139,139,139,45,114,79,88,86,297,139,139,139,139,139,139,139,139,139,139,139,
139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,
139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,
139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,
139,139,139,139,139,139,139,139,139, };
static unsigned short stb__arial_bold_41_latin_ext_t[560]={ 1,362,418,276,148,184,218,418,113,77,418,
418,418,418,418,247,247,362,362,247,334,362,247,390,276,305,418,390,390,418,390,
362,41,334,390,305,362,362,362,305,390,334,305,362,334,362,362,305,390,184,362,
305,362,305,362,362,362,362,362,41,305,41,418,427,418,390,276,390,276,390,362,
276,362,362,1,362,362,418,418,390,276,305,418,390,362,390,418,390,390,184,418,
1,1,1,418,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,1,148,1,
305,390,334,1,41,418,276,418,418,418,418,276,427,418,390,418,418,418,276,41,
418,418,418,418,418,276,276,276,276,113,149,149,184,148,184,305,41,148,113,149,
148,148,148,148,184,334,184,41,41,41,148,148,418,184,41,41,41,113,113,334,
276,276,247,247,247,247,184,390,247,247,247,247,247,247,334,334,334,247,305,247,
247,247,247,247,418,390,247,218,218,218,41,77,77,184,334,148,247,1,218,1,
218,41,218,77,218,77,218,148,218,334,184,184,334,113,184,148,184,41,247,148,
218,1,41,148,77,77,77,77,1,148,148,334,334,148,305,184,362,148,305,77,
113,41,418,218,77,77,77,77,77,418,148,184,77,77,305,305,334,334,334,305,
113,334,77,247,113,305,305,218,218,148,305,113,218,113,218,218,390,113,305,77,
218,113,305,77,218,77,184,41,218,77,247,1,1,113,218,334,334,77,247,184,
334,77,218,41,184,41,276,41,276,113,334,113,41,184,113,334,184,305,113,305,
334,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,276,390,390,41,
390,390,390,390,390,390,390,390,390,390,390,390,390,276,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,276,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,113,276,
113,334,1,305,1,184,1,1,1,1,1,1,1,1,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,1,1,113,218,1,184,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390, };
static unsigned short stb__arial_bold_41_latin_ext_a[560]={ 163,196,278,327,327,522,424,140,
196,196,229,343,163,196,163,163,327,327,327,327,327,327,327,327,
327,327,196,196,343,343,343,359,573,424,424,424,424,392,359,457,
424,163,327,424,359,489,424,457,392,457,424,392,359,424,392,554,
392,392,359,196,163,196,343,327,196,327,359,327,359,327,196,359,
359,163,163,327,163,522,359,359,359,359,229,327,196,359,327,457,
327,327,294,229,164,229,343,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,163,196,327,327,327,327,164,327,
196,433,217,327,343,196,433,324,235,322,196,196,196,338,327,163,
196,196,214,327,490,490,490,359,424,424,424,424,424,424,587,424,
392,392,392,392,163,163,163,163,424,424,457,457,457,457,457,343,
457,424,424,424,424,392,392,359,327,327,327,327,327,327,522,327,
327,327,327,327,163,163,163,163,359,359,359,359,359,359,359,322,
359,359,359,359,359,327,359,327,424,327,424,327,424,327,424,327,
424,327,424,327,424,327,424,422,424,359,392,327,392,327,392,327,
392,327,392,327,457,359,457,359,457,359,457,359,424,359,424,359,
163,163,163,163,163,163,163,163,163,163,461,327,327,163,424,327,
327,359,163,359,163,359,226,359,281,359,163,424,359,424,359,424,
359,416,425,359,457,359,457,359,457,359,587,554,424,229,424,229,
424,229,392,327,392,327,392,327,392,327,359,196,359,281,359,196,
424,359,424,359,424,359,424,359,424,359,424,359,554,457,392,327,
392,359,294,359,294,359,294,163,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,426,440,440,327,440,440,440,440,440,
440,440,440,440,440,440,440,440,501,417,440,440,440,440,440,440,
440,440,440,440,440,440,440,487,425,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,424,327,163,163,457,359,424,359,424,359,424,
359,424,359,424,359,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,424,327,587,522,457,359,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_41_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_bold_41_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_41_latin_ext(stb_fontchar font[STB_FONT_arial_bold_41_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_41_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_bold_41_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_41_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_41_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_41_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_41_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_41_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_41_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_41_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_41_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_41_latin_ext_s[i] + stb__arial_bold_41_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_41_latin_ext_t[i] + stb__arial_bold_41_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_41_latin_ext_x[i];
            font[i].y0 = stb__arial_bold_41_latin_ext_y[i];
            font[i].x1 = stb__arial_bold_41_latin_ext_x[i] + stb__arial_bold_41_latin_ext_w[i];
            font[i].y1 = stb__arial_bold_41_latin_ext_y[i] + stb__arial_bold_41_latin_ext_h[i];
            font[i].advance_int = (stb__arial_bold_41_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_41_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_41_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_41_latin_ext_s[i] + stb__arial_bold_41_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_41_latin_ext_t[i] + stb__arial_bold_41_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_41_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_41_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_41_latin_ext_x[i] + stb__arial_bold_41_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_41_latin_ext_y[i] + stb__arial_bold_41_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_41_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_41_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_41_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_41_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_41_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_41_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_41_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_41_latin_ext_LINE_SPACING
#endif

