// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_42_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_42_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_42_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_bold_42_latin_ext_BITMAP_HEIGHT        467
#define STB_FONT_arial_bold_42_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_bold_42_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_bold_42_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_bold_42_latin_ext_LINE_SPACING          27

static unsigned int stb__arial_bold_42_latin_ext_pixels[]={
    0x3e200000,0xffffffff,0xffffffff,0x0800ffff,0x776c0000,0x000004ee,
    0x0277776c,0x00155550,0x02aaaaa8,0x77776c00,0x40553003,0x300001aa,
    0x00001353,0x00155554,0x9301cc88,0x71000019,0x31000001,0xaa800035,
    0x555541aa,0x33000001,0x77540001,0x200004ee,0x00eeeed8,0x01999800,
    0x4ccc4000,0x26a20009,0x70000009,0x0007dddd,0x01555540,0x005c8800,
    0xfffffff1,0xffffffff,0x01ffffff,0x00000fb8,0x01dffff3,0x7fcc0000,
    0x36000eff,0x26002fff,0x001fffff,0x17fffee0,0x980ffb80,0x930003ff,
    0xffffffff,0xff80007d,0x3e0007ff,0x00ffb05f,0x5fffd880,0x76e44000,
    0x2dffffff,0x27ffec00,0x0013fffa,0xffffec80,0x3e2004ef,0x002fffff,
    0xfffffb00,0x3f62000d,0x01dfffff,0xffffb800,0x3ffe2004,0x200003ff,
    0x1ffffff9,0xfffb8000,0x5c0003ff,0xff1007ff,0xffffffff,0xffffffff,
    0x3a601fff,0xb00000ff,0x0001dfff,0xefffd800,0x7ffec000,0x3fff2002,
    0x7f40001f,0x7cc005ff,0x3ff620df,0x7ff4c001,0xffffffff,0xf0003fff,
    0x4000ffff,0xf710bffd,0xfb8000bf,0x0002febe,0xfffffff5,0x03dfffff,
    0xd13fff60,0x00009fff,0x3ffffff6,0x3fa005ff,0x00ffffff,0x7fffd400,
    0x5c003fff,0xffffffff,0x5c0005ff,0x2004ffff,0x6ffffff8,0xfffd0000,
    0x0001ffff,0x7fffffcc,0xff30001f,0xff1001bf,0xffffffff,0xffffffff,
    0xffb01fff,0x300001ff,0x0001ffff,0xffff8800,0xfffd8000,0xffff1002,
    0xffa80005,0xffb0006f,0x0bfffddf,0xfffffb80,0xffffffff,0xf8005fff,
    0x20007fff,0xfffffff8,0x740000ff,0x2001be27,0xfffffffb,0xffffffff,
    0x4fffd801,0x0027fff4,0x7ffffdc0,0x7003ffff,0xfff79fff,0x7fc4000b,
    0x1ffff9ff,0xfffff500,0x9fffffff,0x7ffdc000,0x3fe2004f,0x003fffff,
    0x65fffe40,0x20005fff,0xfffcfffe,0x5ffd0006,0x66664400,0xffffdccc,
    0xccccccdf,0xfffff80c,0xffc80000,0x8000001f,0x0001fffc,0x2005fffb,
    0x0002fffc,0x000effe8,0xfffffd10,0x7e4001df,0xffffffff,0xffffffff,
    0x7ffc004f,0x7cc0007f,0x02ffffff,0x3e27f800,0x7ffdc006,0xffffffff,
    0x00efffff,0x3a27ffec,0x80004fff,0xfffffffd,0xff9801ff,0x0ffff66f,
    0x97fff400,0xf006fff9,0xfbbfffff,0x005fffff,0x13fffee0,0xfffff880,
    0x2a0007ff,0x3ff66fff,0xffc8002f,0x09fff94f,0x033fff00,0x3ffe6000,
    0xff8001ff,0x40000fff,0x0001fed8,0x03999000,0x17ffec00,0x01fffc40,
    0x06664400,0x776dc000,0x7fd4002d,0xacdfffff,0xffffffca,0x332002ff,
    0x880004cc,0x000bcecb,0xfd7bf900,0xfffe8005,0xc999acff,0x05ffffff,
    0x80000000,0x88dfffff,0x99970039,0x02666443,0x21e664c0,0x4401ccca,
    0x6c1fffff,0x0005ffff,0x00599993,0xfffff510,0x332e0001,0x1333220c,
    0x8dfff300,0x2002fffe,0x01fffff8,0xffff9800,0xfff8001f,0xb80000ff,
    0x00002dff,0x36000000,0x33002fff,0x01000003,0x20000000,0xeffffff8,
    0x3fff6600,0x000005ff,0x00000000,0x02ffff44,0x3ffffe20,0x3fffe200,
    0x0000007f,0x7fffc400,0x0000000f,0x00000000,0x30fffff5,0x000dffff,
    0x3f200000,0x00001fff,0x00000000,0x7fffcc00,0xf980001f,0x1001ffff,
    0x7fffff75,0xf7000355,0x0001ffdf,0x01353000,0x7fec3e88,0x0000002f,
    0x00bbfaa0,0xf9000000,0x4009ffff,0x01fffffe,0x00000000,0x1b980000,
    0xffffb800,0xffffb805,0x0000000f,0x3fffea00,0x54c00006,0x98800001,
    0xff88001a,0x09982fff,0x03530000,0xffffb800,0xa9880001,0x0000009a,
    0xfff30000,0x300003ff,0x003fffff,0x3fffffee,0x8004ffff,0x007f50fe,
    0xffd97000,0x819dffff,0x3ff64ffe,0x5555532f,0x2aaaaa00,0x7f7fd400,
    0xdb98001f,0x2aa21bde,0x7fffc1aa,0x7fcc006f,0x2e602dff,0x2a21bded,
    0xfff31aaa,0x3e6001ff,0xff30ffff,0x26001fff,0x320fffff,0x8806ffff,
    0x261eefff,0x5002aaaa,0x88015555,0xffffdaaa,0x4000aaad,0xfffffecb,
    0xc88001de,0xffffffed,0xfffd002d,0x800005ff,0xfffffecb,0x7d4001de,
    0x30002fff,0xfffffff9,0x730005df,0x54437bdb,0x99801aaa,0x30000199,
    0x003fffff,0x3fffffee,0x4004ffff,0x017e25f8,0xfffe9800,0xffffffff,
    0x5fffd8cf,0x7d4bfff6,0x5400ffff,0xd807ffff,0x800bf31f,0xfffffffb,
    0x49ffff35,0x02fffffa,0xb800ab80,0x5fffffff,0x269ffff3,0x000fffff,
    0x21fffff3,0x00fffff9,0x1fffff30,0x67ffffd4,0x7fd40000,0x7d400fff,
    0xfb807fff,0xffffffff,0xd3001fff,0xffffffff,0x20019fff,0xfffffffa,
    0x01efffff,0x7fffffd4,0x74c0000c,0xffffffff,0x5000cfff,0x8005ffff,
    0xffffffe8,0x3fffffff,0xfffff700,0x3ffe6bff,0x0000004f,0x3ffffe60,
    0xffff7001,0x09ffffff,0xfb15fd00,0x3f200005,0xffffffff,0xffffffff,
    0x3ff60eff,0x3ffffe2f,0x7fffec02,0x3fc7f804,0xffffd880,0xfaefffff,
    0x3ff64fff,0x000006ff,0x3fffff62,0xffaeffff,0xffff34ff,0x3fe6001f,
    0xfff30fff,0x3e6001ff,0x3e20ffff,0x2cffffff,0x3fffe000,0x7ffec02f,
    0xfffc804f,0xffffffff,0xfffb800f,0xffffffff,0x5c01ffff,0xffffffff,
    0x1fffffff,0x7ffffec0,0xf70002ff,0xffffffff,0x03ffffff,0x05ffff50,
    0x7ffffdc0,0xffffffff,0x36205fff,0xffffffff,0x4ffffaef,0x2f7b6e60,
    0x06aaaa21,0x7ffffcc0,0xff993001,0x05999fff,0xfffffb00,0xffd00005,
    0xffffffff,0xffffffff,0xfffd81df,0x17ffff22,0x03fffff0,0x9f717f90,
    0x3ffff200,0xffffffff,0x3fa4ffff,0x00005fff,0x3fffff20,0xffffffff,
    0xfff34fff,0x3e6001ff,0xff30ffff,0x26001fff,0x6c0fffff,0xffffffff,
    0x32001bdf,0x7c05ffff,0xd801ffff,0xffffffff,0xfd806fff,0xffffffff,
    0xffffffff,0xfffff700,0xffffffff,0x2a01dfff,0xffffffff,0x3f6000df,
    0xffffffff,0xffffffff,0x7fffcc00,0xffff9002,0xffffffff,0x09ffffff,
    0x3ffffff2,0xffffffff,0xfff704ff,0x3e6bffff,0xf3004fff,0x0003ffff,
    0x001fffff,0x7ffffc40,0x7e40005f,0xbcefffff,0xffffdba9,0xffd81fff,
    0x3fffe62f,0xffff500f,0x3ffe600d,0xff8801ff,0xa88affff,0x4ffffffe,
    0x013ffffe,0x7ffc4000,0xea88afff,0x34ffffff,0x001fffff,0x43ffffe6,
    0x00fffff9,0x1fffff30,0xfffffe88,0xbeffffff,0x7fffcc00,0xffff500f,
    0x32aaa00d,0xaaafffff,0x7fffd402,0xfdaaceff,0x06ffffff,0x59fffffd,
    0xffff9333,0xfff50bff,0xffffffff,0xfff5003f,0xb559dfff,0xdfffffff,
    0x3ffff980,0xfffffa80,0xdbaacdff,0x2fffffff,0x7fffffc4,0xfffea88a,
    0x7ec44fff,0xffffffff,0x04ffffae,0x3fffff30,0xfffff000,0x7fdc0001,
    0x000fffff,0xffffff10,0xfffea80b,0xfffd84ff,0x17ffff42,0x03ffffc8,
    0x002fb220,0x07ffffe4,0x4fffffd8,0x07fffff1,0xaaaaaa98,0x3f22aaaa,
    0xfb00ffff,0x3e69ffff,0x3000ffff,0x261fffff,0x000fffff,0x01fffff3,
    0xffffffd3,0x7fffffff,0x2ffffe80,0x07ffff90,0xbffff500,0x7fffc400,
    0xff5103ff,0xf885ffff,0x2200ffff,0x447fffff,0xfe9dffff,0x03ffffff,
    0x3fffffe2,0xffff5103,0x7fc405ff,0x7fc406ff,0x200effff,0x6fffffe8,
    0x07ffffe4,0x4fffffd8,0x7fffffe4,0xffffffff,0xff3004ff,0xf0003fff,
    0x0001ffff,0x7ffffff4,0xffb0004f,0xf3007fff,0x81ffffff,0x7dc2fffd,
    0xfff05fff,0x000001ff,0x07fffff0,0xa7ffffcc,0x03fffff8,0x7fffffec,
    0x3fe7ffff,0x3e603fff,0xff34ffff,0x26001fff,0xf30fffff,0x2001ffff,
    0x00fffff9,0x3ffffff2,0x4fffffff,0x17fffee0,0x007ffffc,0x27fffe40,
    0xfffff900,0xffff9003,0xffffb8bf,0xffffb805,0x3fffea0f,0x3fffff20,
    0xfff903ff,0xff9003ff,0xfd80bfff,0x3f202fff,0x3004ffff,0x43ffffff,
    0x203fffff,0x24fffff9,0xaffffff8,0xffffea88,0xff3004ff,0xf0003fff,
    0x0001ffff,0x3fffffe6,0xfa8007ff,0x8805ffff,0xffffffff,0x217ffec3,
    0x40fffff8,0x005ffffa,0xbddfdd95,0x3ffe2015,0x7ff400ff,0x3fffe4ff,
    0x7ffec03f,0x7fffffff,0x01fffff1,0x34ffffe8,0x001fffff,0x43ffffe6,
    0x00fffff9,0x1fffff30,0xfffda880,0xffffffff,0xfffff105,0x5ffffa81,
    0xffffb000,0x3ffe2007,0xff1005ff,0xffc89dff,0xff8806ff,0x3ff21eef,
    0xffffa86f,0x7fc42fff,0xf1005fff,0xa809dfff,0x80beffff,0x006fffff,
    0x96ffffdc,0x00fffff8,0x927ffff4,0x201fffff,0x04fffffd,0x3fffff30,
    0xfffff000,0x3ff20001,0x2fffffff,0x7fffe400,0x7ff4401f,0x47ffffff,
    0xfd82fffd,0x7fe42fff,0x7fd402ff,0xffffffff,0xffff981f,0xffffd807,
    0x13ffffa4,0xffffffb0,0x3e6fffff,0xfd807fff,0xfff34fff,0x3e6001ff,
    0xff30ffff,0x26001fff,0x000fffff,0x3fffb2a2,0xb01fffff,0xfc85ffff,
    0xf0002fff,0x2003ffff,0x01fffffb,0x5402b2a0,0x00cfffff,0x7ffff400,
    0xffffd880,0x7fffdc7f,0x2b2a001f,0x3fffa000,0x3fea2fff,0xb8002fff,
    0xffff980a,0xffffd807,0x0fffffe4,0x4fffff98,0xfffff300,0xffff0003,
    0x3fe0001f,0xffffefff,0x7ffec005,0xfffe805f,0x0fffffbc,0x2a0bfff6,
    0x7fc5ffff,0x7fd407ff,0xffffffff,0x7fd42fff,0xffc806ff,0x3fff64ff,
    0x7ffec05f,0x7fffffff,0x00dffff5,0x269ffff9,0x000fffff,0x21fffff3,
    0x00fffff9,0x1fffff30,0x7fdc4000,0xf504ffff,0xfff8bfff,0xff10007f,
    0x32001fff,0x0006ffff,0xfffff880,0x90002cff,0x6409ffff,0x321fffff,
    0x0006ffff,0xfffb1000,0x7ffec5ff,0xa800006f,0xc806ffff,0xff14ffff,
    0xfe801fff,0xf3004fff,0x0003ffff,0x001fffff,0x3dffff50,0x001fffff,
    0x027ffffc,0x7d57fff6,0x3f61ffff,0xffff02ff,0x3fffe61f,0x3fffe604,
    0xffffffff,0x7ffd47ff,0xfffc806f,0x3ffff24f,0x2666200f,0x7ffffc99,
    0x00dffff5,0x269ffff9,0x000fffff,0x21fffff3,0x00fffff9,0x1fffff30,
    0x74400260,0x3e06ffff,0xff30ffff,0x260009ff,0x2006ffff,0x005ffffd,
    0xffffb000,0x37bfffff,0x3fffe600,0x3ffee04f,0x3ffff63f,0x20000005,
    0x22fffffa,0x005ffffe,0xffffa800,0xffffc806,0x0fffff34,0x09ffff90,
    0x3ffffe60,0xffff8001,0xffd8000f,0xffffd3ff,0x3ffe2009,0x3ff203ff,
    0x3fffe66f,0x0bfff62f,0xc97fffe4,0x3201ffff,0x30aeffff,0x43fffff9,
    0x807ffff9,0x2e4ffffd,0x003fffff,0x37ffffb8,0xb00fffff,0x3e69ffff,
    0x3000ffff,0x261fffff,0x000fffff,0x21fffff3,0x006fffeb,0x81ffffea,
    0xf92ffffc,0x20003fff,0x005ffffb,0x013ffffa,0x7ff44000,0xffffffff,
    0x7fc00bef,0x880dffff,0x3fa3ffff,0x00004fff,0xfffff700,0x7ffffc5f,
    0xf9800004,0xfd807fff,0xfff54fff,0xfff900df,0x3fe6009f,0xf8001fff,
    0x4000ffff,0x70fffff8,0x200fffff,0x02fffff9,0x441dfff9,0x364fffff,
    0xff302fff,0x3fffebff,0x7fff6c06,0x5fffff01,0x07ffffc4,0x13ffffa0,
    0x00ffffff,0x2fffff70,0x00fffff8,0x9a7ffff4,0x000fffff,0x21fffff3,
    0x00fffff9,0x1fffff30,0x03ffffe6,0x7ffffd40,0xbffff300,0x001bfffe,
    0x04ffffc8,0x0fffffe0,0xfe980000,0xffffffff,0x2e03ffff,0x2fffffff,
    0xf0ffffc4,0x0007ffff,0xffff1000,0x3fe239df,0x54c03fff,0xaaaaaaaa,
    0xfffff12a,0xffffe801,0x0dffff54,0x09ffff90,0x3ffffe60,0xffff8001,
    0x7fdc000f,0x3ffe25ff,0xffa802ff,0xffb81fff,0xffff80ff,0x0bfff65f,
    0xfaffffe8,0x31003fff,0x7fffe403,0x27ffffc3,0x9fffff50,0x5fffffb8,
    0x7fffec00,0x13ffffe7,0x4fffffa8,0x01fffff3,0x3ffffe60,0x1fffff30,
    0x3fffe600,0x3ffffe0f,0xffffd005,0xffffe80d,0x003ffffa,0x0bffff60,
    0x7ffffc40,0xc8000002,0xffffffff,0x204fffff,0xfffffffc,0x4ffff90d,
    0x02fffff8,0xffc80000,0xfff885ff,0x7fec03ff,0xffffffff,0x13ffffe7,
    0x4fffffa8,0x00fffff3,0x009ffffb,0x07ffffe6,0x3ffffe00,0xffd00112,
    0xfffe85ff,0xfff9805f,0x7ffd42ff,0xfffff01f,0x017ffec9,0xfffffff7,
    0x100001ff,0x87ffffd5,0x81fffffc,0x4fffffe8,0xefffffe8,0x7fff5400,
    0x3fff27ff,0xffe881ff,0xfff34fff,0x3e6001ff,0xff30ffff,0x26001fff,
    0x360fffff,0x403fffff,0x04fffffa,0x7fffffdc,0x20000fff,0x001fffff,
    0x07fffff1,0x2a200000,0xfffffffd,0x3205ffff,0xffffffff,0x223ffffc,
    0x003fffff,0xfffe8000,0xfffff107,0xffffd807,0x27ffffff,0x81fffffc,
    0x4fffffe8,0x003ffffe,0x009ffffd,0x07ffffe6,0x3ffffa00,0x7cc05fef,
    0x7d40ffff,0x4401ffff,0x263fffff,0xf102ffff,0x7ec7ffff,0x3fe202ff,
    0x06ffffff,0xffdb7100,0x987fffff,0x9bffffff,0xffffffb9,0xffffa84f,
    0xa99bdfff,0xffffffec,0x3fffe67f,0xffb99bff,0xf34fffff,0x2001ffff,
    0x30fffff9,0x001fffff,0x83ffffe6,0xeffffffa,0xffda999b,0x4401ffff,
    0xffffffff,0x3fe20006,0x7fc007ff,0x00004fff,0xfeca8800,0x1fffffff,
    0x3ffffa60,0x84ffffff,0x004fffff,0xffff8000,0x3ffffe04,0x7fffec04,
    0x27ffffff,0xbffffff9,0xfffffb99,0x3fffa4ff,0x3ffea04f,0xff3004ff,
    0x90003fff,0xdfffffff,0x5ffffd80,0x4fffff88,0x5fffff80,0x407ffff1,
    0x21fffff9,0x6c02fffd,0x3fffffff,0x3ffb2600,0xffffffff,0xffffd83f,
    0xffffffff,0xf504ffff,0xffffffff,0xffffffff,0xffd89fff,0xffffffff,
    0x34ffffff,0x001fffff,0x43ffffe6,0x00fffff9,0x1fffff30,0xffffffc8,
    0xffffffff,0xfb006fff,0x07ffffff,0x7fffcc00,0x7fff4006,0x0000005f,
    0xffffb880,0x7ec404ff,0x4fffffff,0x0bffffd0,0xff980000,0x3ffa03ff,
    0x7fec05ff,0xffffffff,0x7ffffec7,0xffffffff,0x3ff24fff,0xfe881fff,
    0x3004ffff,0x003fffff,0xffffff30,0x7ffc40ff,0xfffb02ff,0xfffd00ff,
    0x9fffd1df,0xfffffa80,0x00bfff60,0xfffffff5,0x3ffee001,0xfeefffff,
    0xffb03fff,0x9fffffff,0x409ffff9,0xfffffff9,0xffffffff,0xffb02fff,
    0x9fffffff,0x269ffff9,0x000fffff,0x21fffff5,0x00fffff9,0x1fffff50,
    0xffffffd0,0xffffffff,0x3ea001ff,0x00ffffff,0x3fffee00,0x7ffe4005,
    0x56c4006f,0x10009800,0x00dffffd,0x3fffffea,0xffff905f,0x0ad8800d,
    0x3ffff980,0x1fffff60,0x93333310,0xfb0fffff,0xffffffff,0x49ffff99,
    0xbffffff8,0xfffffb99,0xff3004ff,0x20003fff,0x5fffffe9,0x1ffffee0,
    0x2fffffa8,0x7ffffec0,0xe804fffe,0x7ec7ffff,0xfff802ff,0xf9005fff,
    0x159dffff,0x80ffffee,0xfffffffc,0x07ffff94,0xfffffe98,0xffffffff,
    0xfffc803f,0xff94ffff,0x3ffe27ff,0xff5001ff,0x7ffc4fff,0xff5001ff,
    0x3f220fff,0xffffffff,0x000dffff,0x2ffffffc,0x3fff2000,0x7fdc003f,
    0x2e001fff,0x3ae3dfff,0x2a006fff,0x2007ffff,0xffffffd8,0xfffffb83,
    0x3ffee001,0x3ffea03d,0x3ffea02f,0xfb8003ff,0xff907fff,0x329fffff,
    0x7d43ffff,0xffffffff,0x4fffffff,0x40000000,0xfe800aa8,0xccccefff,
    0xfffffccc,0x7fffcc05,0xa805ffff,0x6c5fffff,0xfc802fff,0x8802ffff,
    0x903fffff,0x9807ffff,0x321bdfdb,0x1003ffff,0xffffffd7,0x980037bf,
    0x321bdfdb,0x3fe3ffff,0xf9003fff,0xfff8dfff,0xff9003ff,0xfc880dff,
    0xffffffff,0xff90002d,0x80005fff,0x002ffffe,0x27ffffcc,0xdffffd00,
    0x07ffffcc,0xfffffa80,0x7ffd4000,0xfff987ff,0x3fa004ff,0x3ea06fff,
    0x7fc02fff,0x4000ffff,0x207ffffb,0x21bdfdb9,0xc83ffffc,0xffffffff,
    0x4ffffccf,0x00000000,0x3fffe600,0xffffffff,0x1fffffff,0x7ffffec0,
    0xffe8806f,0x7fec1fff,0xfffb802f,0xfff5007f,0x7ffec0df,0xfc80003f,
    0x4c003fff,0x000dfffc,0xfffc8000,0x3ffffa3f,0x7ffc400f,0x7fff45ff,
    0x7fc400ff,0x22005fff,0x002ffffc,0x7ffffb80,0xffff8000,0xffd8000f,
    0xfc801fff,0x7fc3ffff,0xfd005fff,0x4cc0dfff,0xfffff980,0xfffffd81,
    0xffffc801,0x3ffea03f,0x7ffe402f,0x7ec004ff,0x40007fff,0xb03ffffc,
    0x9fffffff,0x00fffff2,0x00eeeed8,0x0fbbba00,0xffffff90,0xffffffff,
    0x809fffff,0x3ffffff9,0x7ffff4c0,0x2fffd84f,0x7ffffc40,0xffff9004,
    0x3fffa209,0x0d565c3f,0x17fffec0,0x3ffffa00,0x32e000ef,0xffd801aa,
    0x3fff22ff,0x7fec05ff,0x7fe43fff,0x7ec05fff,0x2003ffff,0x3ffffffa,
    0x3ffe2000,0x4c0004ff,0x0007ffff,0x5ffffff1,0x7ffffdc0,0x7fffec0f,
    0x7ffd403f,0x7ffe44ff,0xffffb04f,0xfffff105,0x7ffdc05f,0x3ee00fff,
    0x7c401fff,0x00efffff,0x7fffff54,0x006ab2e7,0x80bffff6,0x21bdfed9,
    0x003ffffc,0x007ffffe,0x04ffff80,0x7ffffffc,0xffffffff,0x807fffff,
    0xdffffffe,0xfff95109,0x3f60dfff,0x7fdc02ff,0xf7001fff,0xfb01ffff,
    0xfc89ffff,0xf302ffff,0x8001ffff,0x4fffb99a,0x3ffff200,0xffff302f,
    0x7fffc41f,0xb99bdfff,0x0ffffffe,0x7fffffc4,0xfeb99bdf,0x000fffff,
    0x3ff6a6a6,0x3fee0007,0x40001fff,0x005ffffc,0x3ffffee0,0xfeb99bdf,
    0xa84fffff,0xbeffffff,0xfffda999,0x7fdc1fff,0xffe80fff,0xfff701ff,
    0x7337bfff,0x9ffffffd,0x1ffffd80,0xfffffa80,0xcb99bdff,0xfffffffe,
    0x3fffff27,0xfffff302,0xffd80001,0x3fe002ff,0x20001fff,0x2a04ffff,
    0xeeefffff,0xeeeeeeee,0x202fffff,0xfffffffa,0xffffffff,0xb02fffff,
    0x4d4c5fff,0x5fffffca,0x3fffea00,0xfffc9bef,0x7dc4ffff,0x88aeffff,
    0x5ffffeba,0x7ffc8000,0x3fffee00,0xeba88aef,0xfc85ffff,0xffffffff,
    0xffffffff,0xfffff903,0xffffffff,0x0007ffff,0x802fff88,0xfffca9a9,
    0x754005ff,0xfffffdbc,0x7ff40003,0xffffffff,0x05ffffff,0x3ffffff2,
    0xffffffff,0xff886fff,0xd98befff,0x200fffff,0xfffffffe,0xffffffff,
    0xfecc885f,0x9000ffff,0xffffffff,0xffffffff,0x7dc9ffff,0x88aeffff,
    0x5ffffeba,0x400d565c,0x001ffffe,0x007ffffe,0x03ffff80,0x017ffff6,
    0x0bfffff0,0x3fffffea,0xffffffff,0x01efffff,0xfa8bfff6,0xffffffff,
    0x7fff4001,0xffffffff,0x7c45ffff,0xffffffff,0x1fffffff,0x6ffe8000,
    0x3fffe200,0xffffffff,0xd881ffff,0xffffffff,0xefffffff,0xffffb100,
    0xffffffff,0x0001dfff,0x802fffa8,0xfffffffa,0x7e4001ff,0xffffffff,
    0x7ec40000,0xffffffff,0x00efffff,0x7ffffff4,0xffffffff,0xfff900ff,
    0xffffffff,0xfd8809ff,0xffffffff,0x80efffff,0xfffffff8,0x7ffdc005,
    0xffffffff,0x2fffffff,0x7fffffc4,0xffffffff,0x7ffe41ff,0xfff302ff,
    0x7fc001ff,0x740007ff,0xff101ffe,0xc8005fff,0x4c1fffff,0xffbbffff,
    0xffffffff,0xfd804fff,0x3ffe62ff,0x004fffff,0xffffff88,0xfff8dfff,
    0x7ffd40ff,0xffffffff,0x6c004fff,0xffffdccc,0x7ffd4002,0xffffffff,
    0x7dc04fff,0xffffffff,0x7003ffff,0xffffffff,0x007fffff,0xffdccda8,
    0xff3006ff,0x09ffffff,0xffffff00,0x0000dfff,0x7fffffd4,0x0cffffff,
    0xffffc880,0xffffffff,0x7fec00df,0xffffffff,0x3fea006f,0xffffffff,
    0xff100cff,0x003fffff,0xfffffd30,0xffffffff,0x3fea017f,0xffffffff,
    0xfb84ffff,0x88aeffff,0x6fffffb9,0x2ff55400,0x03fcc000,0x01fffff7,
    0xfffff980,0x11fffdc4,0xfffffff7,0x360039df,0x3fe22fff,0x004fffff,
    0x3ffff220,0x3fff23ef,0xfffd983f,0xefffffff,0xffff8002,0x0002ffff,
    0xffffffb3,0x005dffff,0x3fffff66,0x001dffff,0x7ffffecc,0x001dffff,
    0xffffffb8,0xff1000cf,0x009fffff,0xffffff10,0x00001dff,0xffffec88,
    0x8000cfff,0xffffffc8,0x2002dfff,0xfffffffb,0x44000cff,0xffffffec,
    0x7fc400cf,0x0002ffff,0x7ffffe4c,0x002bdeff,0xffffffb3,0x205dffff,
    0xfffffff8,0xffffffff,0xff98002f,0x7fd40003,0x3ffffa05,0xfffd0005,
    0x809f50ff,0x0000aa99,0xec85fffb,0x0000bdee,0x00135310,0xddb99300,
    0x4000579d,0x02bcccba,0xdb993000,0x000579dd,0x0d55554c,0xaaa98000,
    0x440001aa,0x00accccb,0xbdeeec80,0x95310000,0x00059bdb,0x26aa2000,
    0x26200000,0x0001aaaa,0x33bb72e2,0x5100000b,0x7c400135,0x00003cee,
    0x009aa988,0x76e64c00,0xa802bcee,0xffffffff,0x04ffffff,0x00fffc80,
    0x813fe600,0x02fffffa,0xfffff700,0x00000305,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7ed40000,0xffffffff,
    0xff0002ff,0x5900001b,0x7ffffd80,0x3ffe2000,0x000005ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x93000000,
    0x59bdddb9,0x003b8000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x54400000,0x555000aa,0x91000055,0x03326039,0x000aaa60,0x0006a660,
    0x04d54c40,0x2a000000,0x1004eeee,0x00035555,0xfd8dfff3,0x220003ff,
    0xbdd51eed,0x3ffe6000,0x01fffec6,0xeeeed800,0xdd300001,0x1ddddddd,
    0x76c00000,0x00002eee,0x77777754,0x981eeeee,0x000fffff,0x01fffff3,
    0x09ddd500,0xffffd000,0x03ffffe5,0x09dddd90,0x7fffd400,0x002aaaa5,
    0x0000d4c0,0x13333100,0xfff90000,0x3fffee00,0xff80003f,0x200ffb06,
    0x8000fffa,0x04ffffd8,0xfffdb500,0x17dfffff,0x7c400000,0x802fffff,
    0x01fffffd,0x74fffb80,0x0000bfff,0xfff5fff5,0x7fe40001,0x0bfff74f,
    0x3ffee000,0x80000eff,0xfffffffa,0x000000ff,0x1ffffff7,0x7fdc0000,
    0xffffffff,0xffff982f,0xfff3000f,0xf88001ff,0xa80004ff,0xff53ffff,
    0xfd1005ff,0x20001fff,0x365ffffa,0x97002fff,0xbdfffffd,0x7dc00003,
    0x40004fff,0x9803fff9,0x1fffffff,0x5ffe4000,0x00bff710,0x2002fffc,
    0x4ffffffa,0x3fff2600,0xffffffff,0x002effff,0xffffd800,0x3ee00fff,
    0x006fffff,0xff9fffd0,0x200001ff,0x01fffffb,0xcfffe800,0x0000ffff,
    0xffffff98,0xa880005f,0x2aaaaaaa,0xff300000,0x00bfffff,0x7fffdc00,
    0x2fffffff,0x0fffff98,0xfffff300,0x2ffe8001,0xfffd0000,0x01ffff49,
    0x09ffff10,0x3fffea00,0x00bfff65,0xffffffd3,0x019fffff,0xffff7000,
    0xffd80009,0xfffe800f,0x0006fffc,0x7fffffc4,0x32001fff,0x3e001fff,
    0x04ffffff,0xffffff90,0xffffffff,0x019fffff,0x3ffee000,0x305fffbc,
    0xfffbffff,0xfff10009,0x0005ffff,0x55553310,0x88000333,0x2fffffff,
    0xfffd0000,0x005fffd3,0x98819880,0xfd000001,0x5fffd3ff,0x33260000,
    0xcccccccc,0xffff981c,0xfff3000f,0x998801ff,0x01989aa9,0x97ffe600,
    0x8004fffa,0x000ffff9,0x25ffffa8,0x2e02fffd,0xffffffff,0x1fffffff,
    0x7ffdc000,0x3e60004f,0xffc805ff,0x09fffb3f,0xfffe9800,0x44002fff,
    0xf7005fff,0x09ffffff,0xfffffe88,0x53109abe,0xdfffff97,0xff980003,
    0x0ffff66f,0x7f4bfffa,0xfa8002ff,0x0005ffff,0xfa81ff50,0x7dc0001f,
    0x0004ffff,0x227fff90,0x0000ffff,0xff503fea,0xfc800003,0xffff13ff,
    0x00000001,0x3ffffe60,0xffff3000,0x0ffa801f,0x8000ffd4,0x7ff46ffd,
    0x3fe60006,0xeea8003f,0x3fff64ee,0xfffffb02,0xffffffff,0x0001ffff,
    0x027fffdc,0x03fffb00,0x745fffa8,0x80001fff,0x000bdecb,0x003fffb0,
    0x01bffff9,0x9fffff50,0xffc88003,0x20000fff,0x3221cccb,0x7ffe44cc,
    0x03fffe24,0x2aaaaa00,0xff500000,0x001ffa81,0x02aaaa80,0x79991000,
    0x002ccca8,0xf503fea0,0x4400003f,0x664c4ccc,0x0000002c,0xfffff300,
    0x3ffe6001,0x7fd400ff,0x000ffd40,0x91066644,0x98000199,0x800003cc,
    0xfa82fffd,0xacefffff,0xffffffda,0x3260006f,0x30002ccc,0x0000ffff,
    0x00000000,0x0bfff500,0x01ffffb0,0x1bffff30,0xffd88000,0x0000006f,
    0x40000000,0x400001a8,0x664c0cc9,0x00000000,0x00000000,0xc9819930,
    0x0000000c,0x54c00000,0x555541aa,0xfffff981,0xffff3000,0x0cc9801f,
    0x0000664c,0x55300000,0x1aaaa835,0xfffd8000,0x7ffffc42,0xfff5103f,
    0x00005fff,0xfffd0000,0x00000009,0x000d4400,0x07fffe20,0x00ffffd0,
    0x0013fffa,0x09fffb00,0x00000000,0x3b2a2000,0xbdefffff,0xffff9800,
    0xfff3000f,0x3ffe61ff,0xff3000ff,0x00001fff,0x3ffe6000,0xff3000ff,
    0x00001fff,0x36000000,0x7ff45fff,0xffff984f,0xfff3000f,0x3ffe61ff,
    0xff3000ff,0x3fe61fff,0xf3000fff,0xfb01ffff,0xfffe8bff,0xaaaa8804,
    0x90bfff61,0x003fffff,0x0bfffff9,0x26aa6200,0xfff98000,0xaaaa982f,
    0x55555002,0xfd951001,0x17bdffff,0x5fffe800,0x037fff40,0x3017ffe4,
    0x55459bb7,0xfffd12aa,0xffc80001,0x551006ff,0xfa800355,0xffffffff,
    0x4c03ffff,0x000fffff,0x21fffff3,0x00fffff9,0x1fffff30,0x27ffffec,
    0x3fffea00,0x3fffe66f,0xfff3000f,0x3fff61ff,0xfffb805f,0x7c401fff,
    0xfd82ffff,0x7fff45ff,0xfffff984,0xffff3000,0x3fffe61f,0xfff3000f,
    0x3ffe61ff,0xff3000ff,0xffb01fff,0x4fffe8bf,0x5ffffa80,0xf88bfff6,
    0x1005ffff,0x009dffff,0x7ffffe4c,0x9002efff,0x3ea0ffff,0x5400ffff,
    0xa807ffff,0xffffffff,0x003fffff,0x803fffee,0x5406fffe,0xff705fff,
    0x3e9fffff,0x3fe66fff,0x7e40003f,0xf5006fff,0x2200bfff,0xfffffffc,
    0xffffffff,0xffff300d,0x3fe6001f,0xfff30fff,0x3e6001ff,0x3e20ffff,
    0x000fffff,0x87fffffa,0x00fffff9,0x1fffff30,0x01ffffee,0x3ffffff6,
    0x7fffd403,0x5fffd80f,0x4c27fff4,0x000fffff,0x21fffff3,0x00fffff9,
    0x1fffff30,0x03ffffe6,0x7ffffcc0,0x45fffd80,0xa804fffe,0x3f65ffff,
    0x3ffee2ff,0x32a001ff,0x3fa2000a,0xffffffff,0x7403ffff,0x3fe05fff,
    0x7ec02fff,0x32204fff,0xffffffff,0xdfffffff,0xffff9800,0x1bfffe02,
    0x901fffd0,0xffffffff,0x8bffffbf,0x40006ffc,0x006ffffc,0x00bffff5,
    0x3ffffffa,0xffffffff,0xf981ffff,0x3000ffff,0x261fffff,0x000fffff,
    0x81fffff3,0x05fffffb,0x9fffff70,0x0fffff98,0xfffff300,0x3ffffe61,
    0x7ffffc01,0x7fdc05ff,0xfffb06ff,0x84fffe8b,0x00fffff9,0x1fffff30,
    0x03ffffe6,0x7ffffcc0,0x1fffff30,0x3fffe600,0x5fffd80f,0x4027fff4,
    0x365ffffa,0x3ff22fff,0x000006ff,0xffffffb8,0xffffffff,0xfff105ff,
    0x7ffe40bf,0x7fffc05f,0x3fffa01f,0xffffffff,0x1fffffff,0x27fffc40,
    0x40bffff0,0xfc82fff9,0xfebdffff,0x43ffffff,0x0000fffa,0x01bffff2,
    0x02ffffd4,0x7fffffe4,0xfecaabdf,0x986fffff,0x000fffff,0x21fffff3,
    0x00fffff9,0x1fffff30,0x5fffffd0,0xfffff880,0xfffff986,0xffff3000,
    0x3fffe21f,0x3ffe602f,0x6c07ffff,0x0004ffff,0x3fffe600,0xfff3000f,
    0x3ffe61ff,0xff3000ff,0x3fe61fff,0xf3000fff,0x0001ffff,0x3ffea000,
    0x8bfff65f,0x005ffffd,0x7ffe4000,0xffffffff,0x4fffffff,0x04ffffa8,
    0x03ffffe6,0x037fffd4,0xfffffff9,0xffd9557b,0xf00dffff,0x7fc0ffff,
    0x3ff204ff,0xdffffb87,0x7ffffd41,0x0fffc41f,0xffff9000,0x3ffea00d,
    0x7ffcc05f,0x2a00dfff,0x43ffffff,0x00fffff9,0x1fffff30,0x03ffffe6,
    0x7ffffcc0,0xfffff980,0x7fffec06,0xffff982f,0xfff3000f,0x7fff41ff,
    0x3ffee04f,0x201fffff,0x002fffff,0x3ffe6000,0xff3000ff,0x3fe61fff,
    0xf3000fff,0x3e61ffff,0x3000ffff,0x001fffff,0x3fea0000,0x3fff65ff,
    0x13ffffa2,0xffa80000,0xacdfffff,0xfffffdba,0x7ffe42ff,0x7fff403f,
    0xffff902f,0x3fffe607,0x3ea00dff,0x403fffff,0xa80fffff,0x3e03ffff,
    0x7ffc44ff,0x3fffa06f,0x2fff80ff,0x3fff2000,0xfff5006f,0xfffe80bf,
    0xfd1003ff,0x7cc1ffff,0x3000ffff,0x261fffff,0x000fffff,0x01fffff3,
    0x0ffffff2,0x2fffffcc,0x0fffff98,0xfffff300,0x37fffe41,0xffffffb0,
    0x3fe607ff,0x00000fff,0x3ffffe60,0xffff3000,0x3fffe61f,0xfff3000f,
    0x3ffe61ff,0xff3000ff,0x00001fff,0x3fffea00,0xf8bfff65,0x0003ffff,
    0xfffff100,0x7f4401df,0x7ec6ffff,0x7dc02fff,0xfff05fff,0x3ffa01ff,
    0xd1003fff,0x401fffff,0xd81ffffe,0xf302ffff,0xfffc83ff,0x3fff202f,
    0x07ffd06f,0x7fffe400,0xffff5006,0x7fffd40b,0x7fd4006f,0x3fe64fff,
    0xf3000fff,0x3e61ffff,0x3000ffff,0x201fffff,0x0ffffff8,0x0fffffe8,
    0x1fffff30,0x3fffe600,0x3fffea0f,0xfffff00f,0x2a0bffff,0x5446ffff,
    0x55401aaa,0xfff30aaa,0x3e6001ff,0xff30ffff,0x26001fff,0xf30fffff,
    0x2001ffff,0x10fffff9,0xa8035555,0xf500aaaa,0x7fecbfff,0xfffff12f,
    0x32000005,0x004fffff,0x3ffffff3,0x00ffffec,0x03ffffe2,0x20bffff5,
    0x06fffffa,0x7ffffd40,0x3ffff604,0x3ffff662,0x11bfea06,0x980dffff,
    0xff04ffff,0x7e40007f,0xf5006fff,0x7e40bfff,0x8001ffff,0x267ffffe,
    0x000fffff,0x21fffff3,0x00fffff9,0x1fffff30,0x7ffffd40,0x7ffffdc5,
    0x3fffe603,0xfff3000f,0x7ffc41ff,0xfff981ff,0x07ffffdf,0xa89ffff9,
    0x7405ffff,0xff32ffff,0x26001fff,0xf30fffff,0x2001ffff,0x30fffff9,
    0x001fffff,0x43ffffe6,0x405ffffa,0x502ffffe,0x4c4bffff,0xffff1099,
    0x2000007f,0x006fffff,0x16ffffdc,0x001ffffd,0xc85ffffb,0xf902ffff,
    0x0003ffff,0x40fffffd,0xfd3ffffc,0x405fffff,0x7fd45ffb,0x7fd402ff,
    0xfff983ff,0x3ff20001,0xff5006ff,0x7ffc0bff,0xf50005ff,0x3e61ffff,
    0x3000ffff,0x261fffff,0x000fffff,0x01fffff3,0x1fffffd8,0x0dfffff1,
    0x0fffff98,0xfffff300,0x3ffffe81,0xdaffffb8,0xfe81ffff,0x7fd42fff,
    0x7ff405ff,0xffff32ff,0x3fe6001f,0xfff30fff,0x3e6001ff,0xff30ffff,
    0x26001fff,0xf50fffff,0xfe80bfff,0xff502fff,0x3fe00bff,0x00004fff,
    0x2fffffa8,0xf00ab800,0x2a00ffff,0x7fc5ffff,0x3ffe07ff,0xf50005ff,
    0x2e01ffff,0xffd3ffff,0xfd805fff,0x7fffe44f,0x7fffdc01,0x00fffa81,
    0x3ffff200,0xffff5006,0x3fffe20b,0xff30004f,0x3fe63fff,0xf3000fff,
    0x3e61ffff,0x3000ffff,0x801fffff,0x96fffff8,0x803fffff,0x00fffff9,
    0x1fffff30,0x85ffffc8,0xfb8ffffe,0x7fc43fff,0x7fd41fff,0x7ff405ff,
    0xffff12ff,0x3fea003f,0x3ffe67ff,0xff3000ff,0x3fe61fff,0xf3000fff,
    0x3ea1ffff,0x7f405fff,0xff502fff,0x3fa00bff,0x00005fff,0x06ffffd8,
    0xffff0000,0x7fffc00f,0x9ffff30f,0x3ffffe20,0xfff30004,0x3fea03ff,
    0xffffd3ff,0x89ffd00b,0xd807fffd,0xff907fff,0xffc8000f,0xff5006ff,
    0x3fe20bff,0x10003fff,0x265fffff,0x000fffff,0x21fffff3,0x00fffff9,
    0x1fffff30,0xfffff700,0x07fffff9,0x1fffff30,0x3fffe600,0x7fffd40f,
    0xb7fffc47,0x4c5ffff9,0xfa87ffff,0x7f405fff,0xfff12fff,0x3ea003ff,
    0x3fe67fff,0xf3000fff,0x3e61ffff,0x3000ffff,0x2a1fffff,0x7405ffff,
    0xf502ffff,0x3200bfff,0x4006ffff,0xffd00ad8,0x00000bff,0x801ffffe,
    0xf92ffffc,0x3e203fff,0x0003ffff,0x05fffff1,0x74bfffee,0x00efffff,
    0xffd0fffa,0xfffd00df,0x09fff10d,0xffffc800,0xffff5006,0x3fffe60b,
    0x3fe0002f,0xfff34fff,0x3e6001ff,0xff30ffff,0x26001fff,0x000fffff,
    0xfffffffd,0x3e600dff,0x3000ffff,0x981fffff,0x2a0fffff,0x3fe4ffff,
    0x7ffdc7ff,0xffffa85f,0x7ffff405,0x0fffffe2,0x37fffe40,0x01fffff3,
    0x3ffffe60,0x1fffff30,0x3fffe600,0xbffff50f,0x2ffffe80,0x0bffff50,
    0x3ffffee0,0x3ffee001,0x7ffffc3d,0xfd000004,0x26001fff,0xfff5ffff,
    0x7ffcc0df,0x3e0002ff,0xf704ffff,0x3fae3fff,0x3604ffff,0x7fffc4ff,
    0x7fffd406,0x00fffd84,0x7fffe400,0xffff5006,0x3fffea0b,0x3fa0001f,
    0xfff35fff,0x3e6001ff,0xff30ffff,0x26001fff,0x000fffff,0xfffffff3,
    0x3e6003ff,0x3000ffff,0xf01fffff,0x7e45ffff,0x3ff61fff,0x3fff61ff,
    0xffffa83f,0x7ffff405,0x3fffffa2,0x7fffc400,0x3fffe65f,0xfff3000f,
    0x3ffe61ff,0xff3000ff,0x3fea1fff,0x7ff405ff,0xfff502ff,0x3fe600bf,
    0x3a004fff,0x3e26ffff,0x4c03ffff,0xaaaaaaaa,0x3fff62aa,0x3ffa000f,
    0x3ffffaff,0x3ffffea0,0x3ffa0001,0xfff905ff,0xfffff30f,0xb17ff201,
    0xfe80ffff,0x7fe42fff,0xfc80004f,0xf5006fff,0x3e60bfff,0x0002ffff,
    0x4d3ffffe,0x000fffff,0x21fffff3,0x00fffff9,0x1fffff30,0x7fffe400,
    0x26004fff,0x000fffff,0x01fffff3,0x749ffffb,0x7fdc7fff,0x3fffe3ff,
    0xffffa81f,0x7ffff405,0x3fffff22,0x7fffec05,0x3fffe64f,0xfff3000f,
    0x3ffe61ff,0xff3000ff,0x3fea1fff,0x7ff405ff,0xfff502ff,0x0e665cbf,
    0x07fffff6,0x3fffff20,0x3ffffe23,0x7fffec03,0x27ffffff,0x001ffffc,
    0x3fffffee,0x3e600fff,0x0002ffff,0x413ffffe,0xf906fffc,0x3ee05fff,
    0x7fffe46f,0xfffff501,0x07fffd43,0x7ffe4000,0xfff5006f,0x3ffe20bf,
    0xf10003ff,0x3e67ffff,0x3000ffff,0x261fffff,0x000fffff,0x01fffff3,
    0x7ffff440,0x3e6000ff,0x3000ffff,0x701fffff,0x3e2bffff,0x7fcc5fff,
    0xffff15ff,0x3fffea0f,0x7ffff405,0x3ffffe62,0xfdb9bdff,0x21ffffff,
    0x00fffff9,0x1fffff30,0x03ffffe6,0x7ffffcc0,0x0bffff50,0x02ffffe8,
    0x6cbffff5,0x7fc42fff,0x2e02ffff,0x20ffffff,0x03fffff8,0x7fffffec,
    0x3ee7ffff,0x22002fff,0xffffffff,0x7fffc406,0xff10003f,0x3fa07fff,
    0xfff105ff,0x3ffea07f,0x37fffea0,0x7ffffcc0,0xffffc88f,0xff900002,
    0x3ea00dff,0x3fe05fff,0x30004fff,0x263fffff,0x000fffff,0x21fffff3,
    0x00fffff9,0x1fffff30,0xffffa800,0x7fcc002f,0xf3000fff,0xf301ffff,
    0x3feaffff,0xffff83ff,0x0bffff57,0x017fffea,0xd85ffffd,0xffffffff,
    0xffffffff,0x7fffcc5f,0xfff3000f,0x3ffe61ff,0xff3000ff,0x3fea1fff,
    0x7ff405ff,0xfff502ff,0x17ffecbf,0x7fffffdc,0xffeb99bd,0xff84ffff,
    0x7ec04fff,0xffffffff,0x3fffe67f,0x7ffec003,0xf803ffff,0x0004ffff,
    0x03fffff3,0xf813fffe,0x3fe05fff,0x7ffff44f,0xffffdbcf,0xffffefff,
    0x3200001f,0x5006ffff,0x6c0bffff,0x0005ffff,0x21fffff7,0x00fffff9,
    0x1fffff50,0x03ffffe6,0x7ffffd40,0x7ffcc000,0x7cc001ff,0x5000ffff,
    0x201fffff,0xfc9fffff,0xffc81fff,0xffffc9ff,0xbffff503,0x2ffffe80,
    0x7fffff44,0xffffffff,0x7fcc0eff,0xf5000fff,0x3e61ffff,0x5000ffff,
    0x2a1fffff,0x7405ffff,0xf502ffff,0x7fecbfff,0xffffd02f,0xffffffff,
    0x3a0bffff,0x6c05ffff,0xffffffff,0x7fffc7ff,0x7ffd4005,0xd800ffff,
    0x0005ffff,0x01fffff7,0x407ffff1,0x3205ffff,0x7ffcc7ff,0xffffffff,
    0xffffffff,0x6400000e,0x5006ffff,0x640bffff,0x001fffff,0x27ffffe8,
    0x01fffff8,0x4fffff50,0x01fffff8,0x0fffff50,0xfffff300,0xfff88003,
    0xff5001ff,0x7fec0fff,0x7fffeaff,0xd7ffff50,0x2a03ffff,0x7405ffff,
    0xd882ffff,0xffffffff,0x80dfffff,0x01fffff8,0x4fffff50,0x01fffff8,
    0x4fffff50,0x405ffffa,0x502ffffe,0x7ecbffff,0xffb102ff,0xffffffff,
    0x201dffff,0x407ffffd,0xfc999998,0x7fec7fff,0xfff8007f,0xf9005fff,
    0x0003ffff,0x20fffffd,0x201ffffa,0x2606fffe,0x7f4c3fff,0xb9efffff,
    0xdfffffff,0xecca8800,0x3ffff204,0xffff5005,0x7fffd40b,0x7fdc006f,
    0x7ffc5fff,0xff9003ff,0xffff8dff,0xfff9003f,0xff3000df,0xf0003fff,
    0x2007ffff,0x206ffffc,0xffeffffb,0xfff105ff,0x0fffffbf,0x037fffd4,
    0x80bffffe,0xffffffd9,0x7c01cfff,0x9003ffff,0xff8dffff,0xf9003fff,
    0x7fd4dfff,0x7ffc06ff,0xfff502ff,0x17ffecbf,0x3ffffea0,0xcfffffff,
    0x3fffea00,0xffb8003f,0x7ffd47ff,0x7fe4001f,0xf5002fff,0x800dffff,
    0x05fffffb,0xe80dfff9,0x7f406fff,0xfedb82ff,0x5efee43d,0x21555301,
    0x206ffff9,0x005ffffd,0x80bffff5,0x03fffffe,0xffffff10,0xfffffe83,
    0x7fffc400,0x7ffff45f,0x7ffc400f,0xf98005ff,0x8001ffff,0x00fffffe,
    0x2fffffc4,0xffffff50,0x7f407fff,0x6fffffff,0x1bfffe60,0x2fffff88,
    0x37ff9100,0x7fff4001,0x7fc400ff,0x7ff45fff,0x7c400fff,0x3e65ffff,
    0x3e206fff,0xf702ffff,0x7fecbfff,0xfec8802f,0x0cffffff,0xffffff00,
    0xfffb8001,0x3fffe87f,0x7fffdc00,0x7fff4007,0xff1003ff,0x3a03ffff,
    0x7f403fff,0x7fcc06ff,0x000001ff,0xf89bffe6,0xfd00ffff,0x2e009fff,
    0x4c05ffff,0x05ffffff,0x7fffffd4,0xfffffc84,0x7fffec05,0x7fffe43f,
    0x7ffec05f,0xf98003ff,0x8001ffff,0x05fffffc,0x1fffffec,0xffffff10,
    0x7e403fff,0x4fffffff,0x3ffffe20,0xfffff900,0x07fe4005,0x7fffe400,
    0x7ffec05f,0x7ffe43ff,0x7fec05ff,0x3fe23fff,0xff900fff,0x3ee05fff,
    0x3ff64fff,0x36a2002f,0xc8002eff,0x004fffff,0x43ffffec,0x2005fffa,
    0x04fffff8,0x7ffffcc0,0x7ffd405f,0xff104fff,0xffe801ff,0xfffb807f,
    0xa800002f,0x7fc1ffff,0xff984fff,0xf7002fff,0xf9009fff,0x59dfffff,
    0xffffb753,0xff101fff,0x37bfffff,0xfffffd73,0xffff881f,0xb99bdfff,
    0x0ffffffe,0xffff9800,0xff88001f,0x9bdfffff,0xfffffeb9,0x7fff400f,
    0x5407ffff,0xffffffff,0x7ffffc02,0xfffffb85,0x3ff6002f,0xfff88001,
    0x99bdffff,0xffffffeb,0x7ffffc40,0xeb99bdff,0x40ffffff,0xb85fffff,
    0x82ffffff,0x24ffffe8,0x2002fffd,0x3ffffffa,0x7fffc400,0x75400eff,
    0xd07fffff,0x7dc00fff,0x8001ffff,0xeffffffc,0xffdba9ac,0x700fffff,
    0xfb00bfff,0xf9003fff,0x0001bfff,0x7ffffb30,0x9fffffb0,0xfffff735,
    0xfff1001f,0xff1009ff,0xffffffff,0xffffffff,0x7ffe405f,0xffffffff,
    0x03ffffff,0xfffffff9,0xffffffff,0x260007ff,0x001fffff,0xffffff90,
    0xffffffff,0xf9007fff,0x09ffffff,0xffffff88,0x7ff400ff,0xffccefff,
    0x02ffffff,0x000fffa0,0x7fffffe4,0xffffffff,0xff903fff,0xffffffff,
    0x7fffffff,0xdfffffd0,0xffffff99,0x7fffc5ff,0x3f63ffff,0x2a6002ff,
    0x007ffda9,0xffffffa8,0xecb99bdf,0x7fffffff,0x305fff70,0xffff9535,
    0x3e2000bf,0xffffffff,0xffffffff,0x3ffa02ff,0xfffc801f,0x3602cdff,
    0x0bdfffff,0x3ff6a200,0xff303fff,0xffffffff,0xf809ffff,0x3fffffff,
    0xffffb100,0xffffffff,0x8803dfff,0xfffffffd,0xffffffff,0xfffb100e,
    0xffffffff,0x001dffff,0x3ffffe60,0xffb10001,0xffffffff,0x01dfffff,
    0xffffff50,0xfffd005f,0xf500dfff,0xffffffff,0x5ffff9df,0x177fec00,
    0xffb10013,0xffffffff,0x01dfffff,0x3fffff62,0xffffffff,0xffa80eff,
    0xffffffff,0x12ffffce,0xffffffff,0x017ffec3,0x05fff100,0xfffff900,
    0xffffffff,0x9fffffff,0x542fff40,0xffffffff,0x3620001f,0xffffffff,
    0xefffffff,0x17ffe601,0x7ffffcc0,0x7fd404ff,0xceefffff,0xfedccbbc,
    0x01ffffff,0x7fffffe4,0x0effffff,0x3ffffe20,0x54001fff,0xffffffff,
    0x004fffff,0x7fffffdc,0x3fffffff,0xfffff700,0xffffffff,0xff980007,
    0x40001fff,0xfffffffb,0x03ffffff,0x3ffffe20,0xffc800ff,0x7004ffff,
    0xffffffff,0x5ffff71d,0x7fffdc00,0x2e001fff,0xffffffff,0x003fffff,
    0xfffffff7,0x07ffffff,0xffffffb8,0xfffb8eff,0xfffff52f,0xfffd89ff,
    0x3fea0002,0xff70002f,0xffffffff,0xffffffff,0x0fffb805,0x7fffffcc,
    0x500004ff,0xffffffff,0x009fffff,0x4003fff9,0x4ffffffd,0xffffc880,
    0xffffffff,0xffffffff,0xffd8800c,0xffffffff,0x7ffd400e,0x0004ffff,
    0xfffffb91,0x00039dff,0x3fffff66,0x001dffff,0x7ffffecc,0x001dffff,
    0xfffff980,0xfd980001,0xffffffff,0xffe8001d,0xf3006fff,0x005fffff,
    0x77ffff5c,0x0bfffee4,0xfffffd00,0xfd98003f,0xffffffff,0x7ecc001d,
    0xffffffff,0xffd7001d,0x7fdc9dff,0xffff72ff,0xfffb0bff,0xb99b5005,
    0x000dffff,0xfffffe98,0xffffffff,0xfff000bf,0xfffff889,0x400004ff,
    0xfffffdc8,0x8801ceff,0x44004fff,0x04fffffd,0x3fff6a20,0xffffffff,
    0x0002dfff,0xffffffd5,0x3fee007d,0x0006ffff,0x002aa620,0x2aaa6000,
    0x300001aa,0x00355555,0xffff9800,0x4c00001f,0x001aaaaa,0x7ffffec0,
    0x3fffe004,0x988000ff,0x2000000a,0x001bdeb9,0x555554c0,0x55300001,
    0x40003555,0x4c000a98,0xb01bdeec,0xf7005fff,0x19ffffff,0x3f260000,
    0xdeffffff,0xffb8002b,0x6f77640f,0x8000000b,0x8000aa98,0x0000fffb,
    0x009ddb93,0x3b32ea20,0x0abcceee,0x55310000,0xdc980033,0x00002dee,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfb000000,0x971005ff,0x00015999,0x4d54c400,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x77754000,0x00f77644,
    0x03dddb10,0xfff50000,0x000003ff,0xd2ffffe8,0x8003ffff,0x6c0bdfc8,
    0x3ffee05f,0x3e60004f,0xffffffff,0xffffffff,0x000005ff,0x3fffe600,
    0x1006ffff,0x003ddddb,0x3fffffea,0x3fee06ff,0x3fffa24f,0x3fffee01,
    0x90000005,0x001dffff,0x3ffff200,0x6400002f,0x0006ffff,0x7fffc400,
    0x5c00003f,0x000effff,0x540bba20,0x3fe600ee,0xd90006ff,0x00009ddd,
    0x3bbbae00,0xffb00005,0x17ffee5f,0x1bff6200,0x7fdc0000,0x000004ff,
    0x54ffffe6,0x4002ffff,0xdffffff8,0x2e04ffcb,0x0004ffff,0x3fffffe6,
    0xffffffff,0x005fffff,0x882fbf66,0xff9803ff,0x06ffffff,0xdfffffb0,
    0xffff5001,0xe80dffff,0xfffb2fff,0xffffb807,0x88000005,0x000fffff,
    0xfffff100,0xb00000bf,0x0005ffff,0x7fffdc00,0xff800004,0x80000fff,
    0x0ffd06ff,0x06ffff98,0xeffff980,0x88000000,0x000fffff,0x7ffff100,
    0x0001ffff,0x0002ffdc,0x0ffffb80,0xffb00000,0x1ffff49f,0x7fffd400,
    0x2fffffff,0x13fffee0,0xffff9800,0xffffffff,0x5fffffff,0xfffff500,
    0x05ffd9df,0xffffff30,0xff700dff,0x009fffff,0xfffffff5,0xfff880df,
    0x806fffcf,0x005ffffb,0xfffb8000,0x2e00001f,0x0fffffff,0xffd80000,
    0x2000006f,0x0004ffff,0x1ffffb80,0x9ff90000,0x09ffb515,0x06ffff98,
    0x0efffd80,0xf9000000,0x00003fff,0xffffffa8,0x1988002f,0x00331553,
    0x4fffc800,0xff980000,0x17ffe65f,0x54f7ec00,0x05ffffec,0x027fffdc,
    0xfffff300,0xffffffff,0x0bffffff,0x3fffff20,0x00ffffff,0xffffff98,
    0x7fc406ff,0x2fffe8ff,0x7ffffd40,0xfa806fff,0x00ffffff,0x05ffffb8,
    0xffe80000,0x7400001f,0x4fffffff,0xffd00000,0x7000005f,0x0000bfff,
    0x007fffa0,0xffff8800,0x400effff,0x006ffff9,0x007fffc4,0xff880000,
    0x000001ff,0x09fffff9,0x503fea00,0x800003ff,0x0000fffd,0xb077fec0,
    0x6c000dff,0x00cb982e,0x04ffffb8,0x3fffe600,0xcccccccf,0x2ccccccc,
    0x7319ff00,0x007ffffd,0x7ffccccc,0x7fff406f,0x01ffff31,0x4e7fffd4,
    0xffb00099,0x2e005fff,0x0005ffff,0x17ffd400,0x3fe60000,0x07ffffff,
    0xffd10000,0xfd00000b,0x200000bf,0x0002fffa,0xffffe980,0xee9800ef,
    0x7e4005ee,0x000001ff,0x00bffee0,0x99990000,0x3ea00019,0x00ffd40f,
    0x0e65c000,0x33320000,0x00333220,0x5c000000,0x0004ffff,0x03ffffe6,
    0x39900000,0x00007530,0x4c0dffff,0x66543ccc,0x3ffea02c,0x5510004f,
    0x7dc00555,0x00005fff,0x001665c0,0x7fffe400,0x002fffff,0x19991000,
    0x66440000,0x7000000c,0x00000599,0x002bcba8,0x66640000,0x40000001,
    0x00002ccb,0x541aaa98,0x26001aaa,0x0664c0cc,0x06a20000,0x54400000,
    0x00000001,0x9ffff700,0x7ffcc000,0x000000ff,0x0001a880,0x01bfffe0,
    0x7fd40000,0x220004ff,0x7dc001a9,0x00005fff,0x40000000,0xffefffff,
    0x000005ff,0x4c000000,0x8800001a,0x000001a9,0x0026aa62,0x55530000,
    0x01aaaa83,0x00000000,0x17fff600,0xf309fffd,0x2001ffff,0x00fffff9,
    0xfffeca88,0x000bdeff,0x7ff65440,0x00bdefff,0x0fffff98,0xfffff300,
    0x13fffee1,0x1555554c,0x01fffff3,0xca880000,0xdefffffe,0xfff0000b,
    0x3fffe6df,0xfff3000f,0x3ffea1ff,0x3722004f,0xdffffffe,0x7fffdc02,
    0x2f7b6e65,0x3fffe601,0xfff3000f,0xff5001ff,0xffff3dff,0x7fcc001f,
    0xf3000fff,0x2001ffff,0xfffffecb,0xc88001de,0xffffffed,0x64c0002d,
    0xffffffff,0x5554402e,0x7ffec02a,0x027fff45,0x00000000,0x8bfffb00,
    0xf984fffe,0x3000ffff,0x801fffff,0xfffffffa,0x03ffffff,0xfffff500,
    0xffffffff,0xffff9807,0xfff3000f,0x3ffee1ff,0xffff984f,0x3ffe61ff,
    0x000000ff,0x3fffffea,0x3fffffff,0x6ffff800,0x01fffff3,0x3ffffe60,
    0x09ffff50,0x3ffffea0,0xefffffff,0xbffff701,0x3ffffff2,0xffff304f,
    0x3fe6001f,0xfd800fff,0xfffd3fff,0x7fcc009f,0xf3000fff,0x9801ffff,
    0xfffffffe,0x000cffff,0xfffffff5,0x03dfffff,0xffffe880,0xffffffff,
    0xffff303f,0x5fffd80d,0x0027fff4,0x7ffffcc0,0xffffffff,0xffffffff,
    0xffd81fff,0x27fff45f,0x07ffffcc,0xfffff980,0xffff9100,0xffffffff,
    0x2001bfff,0xffffffc8,0xffffffff,0xfff300df,0x3e6001ff,0xff70ffff,
    0xffe889ff,0x7fcc1fff,0x00000fff,0xfffffc88,0xffffffff,0x3e000dff,
    0xfff36fff,0x3e6001ff,0xff50ffff,0xff7009ff,0xffffffff,0x703fffff,
    0xffbdffff,0xbfffffff,0xfffff981,0xffff3000,0xfff8801f,0xffff70ff,
    0x7ffcc00f,0xff3000ff,0x7dc01fff,0xffffffff,0x01ffffff,0x7fffffdc,
    0xffffffff,0xfff7001f,0xffffffff,0x30bfffff,0xd80dffff,0x7ff45fff,
    0xfd80004f,0xffffffff,0xffffffff,0x1fffffff,0x745fffd8,0xff984fff,
    0xf3000fff,0x3a01ffff,0xffffffff,0xffffffff,0xffe801ff,0xffffffff,
    0xffffffff,0xfffff981,0xffff3000,0x3fffee1f,0x3ffffa24,0xffff981f,
    0xaaaaaabf,0x01aaaaaa,0x7ffffff4,0xffffffff,0xf001ffff,0x3fe6dfff,
    0xf3000fff,0x3ea1ffff,0x7dc04fff,0xffffffff,0xefffffff,0x7ffffdc0,
    0xffffffff,0x7fcc4fff,0xf3000fff,0xb801ffff,0x3e25ffff,0x3002ffff,
    0x001fffff,0x03ffffe6,0x7fffffec,0xffffffff,0xff700fff,0xffffffff,
    0x1dffffff,0xfffffc80,0xffffffff,0x4c4fffff,0x6c06ffff,0x7ff45fff,
    0x7c40004f,0xffffffff,0xffffffff,0xffffffff,0xf3000001,0x2001ffff,
    0x80fffff9,0xfffffffc,0xffecaabd,0x6406ffff,0xdfffffff,0xfffecaab,
    0xff986fff,0xf3000fff,0x3ee1ffff,0x3ff64fff,0xff302fff,0xffffffff,
    0xffffffff,0x7fffe409,0xcaabdfff,0x6ffffffe,0x2dffff00,0x00fffff9,
    0x1fffff30,0x013fffea,0x59fffffd,0xffff9333,0xfffb8bff,0xa88aefff,
    0x21fffffe,0x00fffff9,0x1fffff30,0x2ffffe80,0x02fffff4,0x0fffff98,
    0xfffff300,0xfffff501,0xffb559df,0x20dfffff,0xacfffffe,0xffffc999,
    0x3fea05ff,0xacdfffff,0xfffffdba,0x3ffe62ff,0x0000006f,0x7fffe400,
    0xffffffff,0xffffffff,0x001fffff,0xffff3000,0x3fe6001f,0x7fcc0fff,
    0x200dffff,0x3ffffffa,0xffffff30,0x7ffd401b,0x7fcc3fff,0xf3000fff,
    0x3ee1ffff,0xfff94fff,0x7fcc05ff,0xffffffff,0xffffffff,0xfffff304,
    0x7fd401bf,0xf803ffff,0xfff36fff,0x3e6001ff,0xff50ffff,0x7fc409ff,
    0x3e200fff,0x7dc7ffff,0x880effff,0x265ffffe,0x000fffff,0x01fffff3,
    0x07ffffcc,0x07ffffea,0x3ffffe60,0xffff3000,0xffff881f,0xff5103ff,
    0xf885ffff,0x2200ffff,0x107fffff,0x1dffffff,0x7ffff440,0x3fffe66f,
    0x00000006,0x3ffffe20,0xfffffb9a,0xcccccccc,0x000ccccc,0xffff3000,
    0x3fe6001f,0x7ff40fff,0xd1003fff,0xd01fffff,0x007fffff,0x3fffffa2,
    0x3ffffe60,0xffff3000,0x3fffee1f,0x3fffffcc,0x7ffffcc0,0xffffffff,
    0xd04fffff,0x007fffff,0x3fffffa2,0xb7fffc00,0x00fffff9,0x1fffff30,
    0x813fffea,0x805ffffb,0x20fffffb,0x02fffffb,0x99ffffee,0x000fffff,
    0x01fffff3,0x42ffffec,0x04fffff8,0x0fffff98,0xfffff300,0xfffffc81,
    0xffffc801,0x7fffdc5f,0xffffb805,0xffffc80f,0xfff3004f,0x3fe63fff,
    0x000006ff,0x3ffee000,0x3fffea6f,0x55440007,0x555401aa,0xffff30aa,
    0x3fe6001f,0x3fea0fff,0x54006fff,0x544fffff,0x006fffff,0x27ffffd4,
    0x01fffff3,0x3ffffe60,0xffffff70,0x3009ffff,0xffffffff,0xffffffff,
    0xfff509ff,0xfa800dff,0x7c04ffff,0xfff36fff,0x3e6001ff,0xff50ffff,
    0x7fe409ff,0xff8806ff,0x3fee1eef,0xfff807ff,0xffff31ff,0x3fe6001f,
    0xff100fff,0x3f605fff,0xf9807fff,0x3000ffff,0x441fffff,0x005fffff,
    0x89dffff1,0x806ffffc,0x81eefff8,0x006fffff,0x96ffffdc,0x886ffff9,
    0x5401aaaa,0x4000aaaa,0x2a2fffff,0x0007ffff,0x02ffffd4,0x4cbffffa,
    0x000fffff,0x41fffff3,0x01fffffc,0x7ffffe80,0x0fffffe4,0x7ffff400,
    0x3ffffe67,0xffff3000,0x3fffee1f,0x06ffffff,0xafffff98,0x99999999,
    0xfc809999,0x8001ffff,0x407ffffe,0xff36ffff,0x26001fff,0xf50fffff,
    0x7d409fff,0x000cffff,0x37fffdc0,0x97ffff40,0x00fffff9,0x1fffff30,
    0x1ffffee0,0x2fffffa8,0x7ffffcc0,0xffff3000,0x7fffdc1f,0x2b2a001f,
    0xfffff500,0xf5000019,0x0005ffff,0xfff30157,0xffff50df,0xffffe80b,
    0x3ffee002,0x7fffd47f,0x7fd40007,0x7ff405ff,0xffff32ff,0x3fe6001f,
    0x3ffe0fff,0xf50005ff,0x7fc1ffff,0x50005fff,0x261fffff,0x000fffff,
    0x21fffff3,0xfffffffb,0x4c03ffff,0x000fffff,0xbfffff00,0x3ffea000,
    0x3ffe00ff,0xfffff36f,0x3ffe6001,0xffff50ff,0x7fffc409,0x0002cfff,
    0x00bffff7,0x267ffffb,0x000fffff,0x01fffff3,0x33bffffa,0xffcccccc,
    0x7cc05fff,0x3000ffff,0x641fffff,0x0006ffff,0xfffff880,0x20002cff,
    0x006ffffd,0xffff9800,0x5ffffa86,0x17ffff40,0x7ffffd00,0x07ffffa8,
    0x7fffd400,0x7ffff405,0x1fffff32,0x3fffe600,0xfffff10f,0x3fe60009,
    0xfff11fff,0x260009ff,0xf31fffff,0x2001ffff,0x70fffff9,0xffffffff,
    0x4c01ffff,0x000fffff,0xfffff880,0xfff30004,0x7ffc03ff,0xfffff36f,
    0x3ffe6001,0xffff50ff,0xffffd809,0x1bdfffff,0xbffff700,0x7ffffb00,
    0x03ffffe6,0x7ffffcc0,0xfffff980,0xffffffff,0x01ffffff,0x03ffffe6,
    0x7ffffcc0,0x17ffff60,0x7fec0000,0xdfffffff,0x3ffa001b,0x800005ff,
    0xa86ffff9,0x7405ffff,0x5002ffff,0xa81fffff,0x0007ffff,0x02ffffd4,
    0x4cbffffa,0x000fffff,0x21fffff3,0x03fffff8,0xfffff100,0x3ffffe25,
    0xfff10003,0x3ffe65ff,0xff3000ff,0x3fee1fff,0xffddffff,0x3fe604ff,
    0x80000fff,0x03fffff8,0xfffff100,0xb7fffc05,0x00fffff9,0x1fffff30,
    0x013fffea,0xffffffd1,0x17dfffff,0x37fffdc0,0x97ffff40,0x00fffff9,
    0x1fffff30,0xffffff90,0xffffffff,0x409fffff,0x00fffff9,0x1fffff30,
    0x027ffff4,0xffe88000,0xffffffff,0x7fc00bef,0x00004fff,0x86ffff98,
    0x405ffffa,0x002ffffe,0x509ffffd,0x555fffff,0x55555555,0x7fffd415,
    0x7ffff405,0x1fffff32,0x3fffe600,0xfffff30f,0x7ffc0005,0xffff34ff,
    0x7fc0005f,0xfff34fff,0x3e6001ff,0xff70ffff,0xff31dfff,0x3e603fff,
    0x0000ffff,0x2fffff98,0x3fffe000,0x3fffe04f,0x1fffff36,0x3fffe600,
    0x9ffff50f,0xffffd300,0xffffffff,0x3ffee07f,0xffff807f,0xfffff31f,
    0x3ffe6001,0xffff80ff,0xffffffff,0xffffffff,0x3fffe607,0xfff3000f,
    0x7fffc1ff,0x2000003f,0xffffffe9,0x3fffffff,0x7fffff10,0xaaaaa980,
    0xf32aaaaa,0xff50dfff,0xffe80bff,0xffa802ff,0xffa81fff,0xffffffff,
    0x1fffffff,0x017fffea,0x265ffffd,0x000fffff,0x21fffff3,0x01fffffa,
    0x3ffffa00,0x3fffff55,0x7fff4000,0xfffff35f,0x3ffe6001,0xffff70ff,
    0x7fffe41d,0xfffff305,0xff500001,0x40003fff,0x205ffffe,0xff36ffff,
    0x26001fff,0xf50fffff,0x64009fff,0xffffffff,0xb84fffff,0x201fffff,
    0x30fffff9,0x001fffff,0x03ffffe6,0xddfffff5,0xdddddddd,0x05fffffd,
    0x03ffffe6,0x7ffffcc0,0x5fffff10,0xf9000000,0xffffffff,0xf109ffff,
    0xd807ffff,0xffffffff,0xffff37ff,0xbffff50d,0x2ffffe80,0x5ffffd80,
    0xffffff50,0xffffffff,0x7fd43fff,0x7ff405ff,0xffff32ff,0x3fe6001f,
    0xfff30fff,0x7c0005ff,0xff34ffff,0x40005fff,0xf34fffff,0x2001ffff,
    0x70fffff9,0xf889ffff,0xf982ffff,0x0000ffff,0x2fffff98,0x3fffe000,
    0x3fffe04f,0x1fffff36,0x3fffe600,0x9ffff50f,0xffda8800,0xffffffff,
    0x7fffdc5f,0x3fff605f,0x3fffe66f,0xfff3000f,0xfffd81ff,0x7ffc005f,
    0xfff305ff,0x3e6001ff,0xff10ffff,0x00007fff,0x3ff6a200,0xffffffff,
    0x7fffc45f,0x7ffec03f,0x7fffffff,0x50dffff3,0xe80bffff,0x4c02ffff,
    0x502fffff,0xffffffff,0xffffffff,0x7fffd43f,0x7ffff405,0x1fffff32,
    0x3fffe600,0xfffff10f,0x3fe20007,0xfff13fff,0x220007ff,0xf33fffff,
    0x2001ffff,0x70fffff9,0xf709ffff,0xff30dfff,0x99999fff,0x99999999,
    0x3ffe2199,0xf10003ff,0x7c07ffff,0xfff36fff,0x3e6001ff,0xff50ffff,
    0x440009ff,0xfffffeca,0x3fee1fff,0x640dffff,0x262fffff,0x000fffff,
    0x41fffff3,0x02fffff8,0x7ffffe40,0xfffff981,0xffff3000,0x7ffffc1f,
    0x80000004,0xffffeca8,0x7fc1ffff,0x7ec04fff,0xffffffff,0xdffff37f,
    0x0bffff50,0x02ffffe8,0x037fffec,0xfffffff5,0xffffffff,0x7ffd43ff,
    0x7fff405f,0xfffff32f,0x3ffe6001,0x3fffe0ff,0xff30004f,0x7ffc3fff,
    0xf30004ff,0x3e63ffff,0x3000ffff,0x2e1fffff,0xf884ffff,0x7cc3ffff,
    0xffffffff,0xffffffff,0x3ffe1fff,0xf30004ff,0x7c03ffff,0xfff36fff,
    0x3e6001ff,0xff50ffff,0x400009ff,0xffffffb8,0x3ffffee4,0xfffdefff,
    0x7fcc6fff,0xf3000fff,0x7dc1ffff,0x4000ffff,0x84fffff9,0x00fffff9,
    0x1fffff30,0x02fffff4,0x44000000,0x4ffffffb,0x02fffff4,0x3ffffff6,
    0xff37ffff,0xfff50dff,0xfffe80bf,0x3ffe202f,0x3fea02ff,0x99999fff,
    0x41999999,0x405ffffa,0xf32ffffe,0x2001ffff,0x20fffffa,0x005ffffd,
    0x1fffff70,0x02ffffec,0xfffffb80,0x1fffff30,0x3fffea00,0x9ffff70f,
    0x3ffffee0,0x3ffffe60,0xffffffff,0x1fffffff,0x017ffff6,0x7ffffdc0,
    0x5bfffe00,0x00fffff9,0x1fffff50,0x013fffea,0xfe88004c,0x3fee6fff,
    0xffffffff,0x41ffffff,0x00fffff9,0x1fffff50,0x02fffff4,0x7ffffe80,
    0x0fffff98,0xfffff500,0x37fffe41,0x002b6200,0x7f440026,0x7fec6fff,
    0x4cc407ff,0xffffc999,0x0dffff37,0x80bffff5,0x202ffffe,0xfffffffc,
    0xffffffff,0x540007ff,0x7405ffff,0xff12ffff,0x2a003fff,0x7e47ffff,
    0x8001ffff,0x647ffffe,0x001fffff,0x27ffffe8,0x01fffff8,0x4fffff50,
    0x204ffffb,0x264ffffe,0xffffffff,0xffffffff,0x3f21ffff,0x8001ffff,
    0x407ffffe,0xff16ffff,0x2a003fff,0x3ea7ffff,0xfd704fff,0x7d400dff,
    0x3fee7fff,0xfffe9dff,0x881fffff,0x001fffff,0x54fffff5,0x002fffff,
    0x5fffff70,0x1fffff88,0xfffff500,0x1fffffb8,0x37ffee00,0x1bfffae3,
    0x7ffffa80,0x1fffffd4,0x7fffdc00,0x0dffff37,0x80bffff5,0x102ffffe,
    0xffffffff,0xffffffff,0xa8000fff,0x7c06ffff,0x3fe2ffff,0xf9003fff,
    0xffa8dfff,0x5c006fff,0x545fffff,0x006fffff,0x2fffffdc,0x00fffffe,
    0x737fffe4,0x5409ffff,0xf31fffff,0xffffffff,0xffffffff,0x7fd43fff,
    0x5c006fff,0x405fffff,0x3fe6ffff,0xf9003fff,0x7fd4dfff,0xfff304ff,
    0x3ea001ff,0xff70ffff,0x3ff62bff,0x3e00dfff,0x9003ffff,0x7ecdffff,
    0x20007fff,0x85fffff8,0x003fffff,0x98dffff9,0x004fffff,0x99bffffa,
    0x000fffff,0x81fffff5,0x00ffffff,0xbffffdc0,0xa86ffff9,0x7c06ffff,
    0xf902ffff,0xffffffff,0xffffffff,0xf98000ff,0x3e206fff,0x3fa2ffff,
    0x4400ffff,0xe85fffff,0x003fffff,0x3ffffff1,0x7fffffd0,0x3fffe200,
    0x7fff41ff,0x7fc400ff,0xcb805fff,0x00000abc,0xd003ff70,0x007fffff,
    0x3fffffe2,0x37fffc01,0x01fffffd,0x5fffff88,0x813fffea,0x005fffff,
    0x5cdffffd,0xa985ffff,0xffffd001,0xfff8801f,0x000005ff,0x3fa037fc,
    0x4400ffff,0xd85fffff,0x801fffff,0x43fffffc,0x005fffff,0x90dffffd,
    0x009fffff,0x57ffffd8,0x7fcc05ff,0x3fe206ff,0xff882fff,0xffffffff,
    0xffffffff,0x7c40007f,0xf900ffff,0x7e45ffff,0x6c05ffff,0x983fffff,
    0x05ffffff,0x7fffffd4,0xfffff304,0xfffa80bf,0xffc84fff,0x7ec05fff,
    0xd803ffff,0x003fffff,0x00ffc800,0xffffff98,0x7fffd405,0xfff804ff,
    0x3ffff26f,0x7ffec05f,0x3ffea3ff,0x3fff604f,0x7fd403ff,0x3fee4fff,
    0xc80005ff,0x405fffff,0x03fffffd,0x3fe20000,0x7fffe405,0x7ffec05f,
    0xfff883ff,0x3ee02fff,0x6c0fffff,0x403fffff,0x84fffffa,0xeffffff8,
    0x7fff5400,0x03ff77ff,0x07ffffc4,0x2fffffc8,0xcfffffb8,0xcccccccc,
    0x007ffffd,0x5fffff80,0xffffffb8,0x3ffffe22,0xeb99bdff,0x00ffffff,
    0xdffffff9,0xffb75359,0x401fffff,0xeffffffc,0xffdba9ac,0x880fffff,
    0xdfffffff,0xfffeb99b,0xcb800fff,0x001ffffe,0x007fec00,0xffffffc8,
    0xfdba9ace,0x00ffffff,0x226ffff8,0xdfffffff,0xfffeb99b,0x3fea0fff,
    0x3fea04ff,0x99beffff,0xfffffda9,0x3fffee1f,0xff880005,0x9bdfffff,
    0xfffffeb9,0x2000000f,0x7c405ff9,0xbdffffff,0xffffeb99,0xfff700ff,
    0x7337bfff,0x9ffffffd,0xffffff50,0xfb53337d,0x203fffff,0xfffffffa,
    0xfecb99bd,0xb7ffffff,0xfff803ff,0xfffb85ff,0xffe82fff,0xff7006ff,
    0xd0000fff,0x99dfffff,0xffffffff,0xfffffc85,0xffffffff,0x2203ffff,
    0xffffffff,0xffffffff,0x7c402fff,0xffffffff,0xffffffff,0x3ff202ff,
    0xffffffff,0x3fffffff,0x3fffa800,0x7ff40000,0xffff1003,0xffffffff,
    0x5fffffff,0xff755510,0xfffc8dff,0xffffffff,0x43ffffff,0xaadffffa,
    0x7fffe42a,0xffffffff,0x5c6fffff,0x0005ffff,0xffffff90,0xffffffff,
    0x00007fff,0x807ffa80,0xfffffffc,0xffffffff,0x7ff403ff,0xffffffff,
    0x05ffffff,0x3ffffff2,0xffffffff,0x7e406fff,0xffffffff,0xffffffff,
    0x9ffd4fff,0xfffffe80,0xfffffcce,0x7fd42fff,0xf7002fff,0x9999ffff,
    0x99999999,0x7fffd479,0xceffffff,0x6c42ffff,0xffffffff,0xefffffff,
    0x7ffec400,0xffffffff,0x001effff,0xffffffb1,0xffffffff,0xfd8803df,
    0xffffffff,0x0effffff,0x1fffb800,0x7ff40000,0x6c40262e,0xffffffff,
    0xefffffff,0xfffff301,0xfd88dfff,0xffffffff,0x0effffff,0x7fffffd4,
    0xfffe86ff,0xffffffff,0x5c0fffff,0x0005ffff,0xfffffb10,0xffffffff,
    0x00001dff,0x1cfff980,0xfffd8831,0xffffffff,0x400effff,0xffffffd8,
    0xffffffff,0x7fff400e,0xffffffff,0x800fffff,0xfffffffb,0xffffffff,
    0x3ff62fff,0x7d4130ae,0xffffffff,0x2ffffcef,0x03fffff4,0xffffff70,
    0xffffffff,0xfb8bffff,0xefffffff,0x02ffffb8,0xfffffff7,0x07ffffff,
    0xfffffa80,0xffffffff,0xfff50004,0xffffffff,0xfb8009ff,0xffffffff,
    0xa803ffff,0xfffedccd,0xfc800006,0x01ffffff,0x7fffffd4,0x4fffffff,
    0x7ffffcc0,0xff706fff,0xffffffff,0x3ea07fff,0x6fffffff,0xfffffc88,
    0xffffffff,0xffffb80d,0x7dc00005,0xffffffff,0x0003ffff,0xffff1000,
    0x3ee0bfff,0xffffffff,0x4003ffff,0xfffffffa,0x00cfffff,0xfffffc88,
    0xffffffff,0x3fa6000d,0xffffffff,0x40bfffff,0xfffffffb,0x7ffffdc2,
    0xffb8efff,0x3ffea2ff,0x3ee003ff,0xffffffff,0xffffffff,0xfffeb85f,
    0x3ffee4ef,0x3ff6602f,0xdfffffff,0xfb910001,0x9dffffff,0xdc880003,
    0xefffffff,0xfb30001c,0xffffffff,0x3fee003b,0x00dfffff,0xfffd0000,
    0x91003fff,0xfffffffb,0xff30039d,0x0dffffff,0x7ffffecc,0x201dffff,
    0xfffffffa,0x3ff2206f,0xdfffffff,0x3fffee02,0xd9800005,0xffffffff,
    0x000001df,0x7ffffd40,0x3ff6605f,0xdfffffff,0xfd910001,0x19ffffff,
    0xfff91000,0x5bffffff,0x7fe4c000,0xbdefffff,0x7fffec02,0xffeb82ff,
    0x3fee4eff,0x3fffa2ff,0x3ee000ff,0xffffffff,0xffffffff,0x02a6205f,
    0x55530000,0x00000355,0x00015531,0x0aa98800,0xaa980000,0x98001aaa,
    0x00accdcc,0xedb80000,0x310001bd,0x91000155,0x79999999,0x2aaaa600,
    0x9993001a,0x00799999,0x06aaaa62,0x0d555440,0x2a600000,0x0001aaaa,
    0x764c0000,0x53000ace,0x00035555,0x01355100,0x554c4000,0x800001aa,
    0x0009aa98,0x09bdeb88,0x0002a620,0x09fffff3,0xfffffb80,0xffffffff,
    0x005fffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x64400000,0x0001cccc,
    0x07ffffe2,0x7ffffcc0,0xff8801ff,0x3ffee0ff,0x0e644005,0x0000cc98,
    0x00066666,0x037fffcc,0x3fffea00,0x4400001f,0x000eeeee,0x43ffffd4,
    0x986ffff9,0x1007ffff,0x001ddddb,0x7f776440,0xffffffff,0xffff35ff,
    0x7ff4005f,0x3ff200ff,0x3fffe23f,0xddd30000,0xdddddddd,0xee980005,
    0xd8000dee,0x8006ffff,0x00fffffb,0xffffb000,0x0000001d,0x98000000,
    0x204c981b,0xffff33cb,0xdfffffff,0x80159ddd,0x02fffff8,0x3fffe200,
    0xfff8801f,0x2001ffff,0xff36fffa,0xff0001ff,0x001ff60b,0x01fffff0,
    0xdffff300,0xfffd8000,0xe800002f,0x006fffff,0x43ffffd4,0x986ffff9,
    0x9007ffff,0x00dfffff,0xfffffb10,0xffffffff,0x3fe6bfff,0x3a006fff,
    0x7400ffff,0xfffd1fff,0x7fcc0005,0xffffffff,0x7f40003f,0x4005ffff,
    0x00effff8,0x1ffffe80,0xfff10000,0x500001df,0x7cc15dfd,0x8000002f,
    0x2ffa86fc,0xff34ff88,0xffffffff,0xffffffff,0x7fffc405,0x3e20002f,
    0x4401ffff,0x1ffffffe,0xcfffc800,0x0002fffe,0x2e217ffb,0x7c0005ff,
    0x8000ffff,0x006ffff9,0x0bfffe60,0x3ff20000,0x003fffff,0x21ffffea,
    0x986ffff9,0xa807ffff,0x4fffffff,0x3fffa200,0xffffffff,0x35ffffff,
    0x07ffffff,0x03ffffa0,0xf9dfff30,0x98000bff,0xffffffff,0x20003fff,
    0xfffffffc,0x3fff2003,0xffa8000e,0x200001ff,0x000efffc,0xfffffb80,
    0x01ffecdf,0x4fe80000,0x30aeff88,0x3fe65ffb,0xffffffff,0xffffffff,
    0xffff103f,0x7c40005f,0x2201ffff,0x1ffffffe,0x3fffa000,0x20004fff,
    0xfffffff8,0x7c0000ff,0x8000ffff,0x006ffff9,0x00ffff60,0x3ffe6000,
    0x01ffff8e,0x0fffff50,0x30dffff3,0x880fffff,0xfff9ffff,0xfffb001f,
    0xffffffff,0xbfffffff,0x3fffffe6,0xfffe800f,0xfffb800f,0x0000ffff,
    0x66666644,0x002ccccc,0xf3dfff50,0xf1001fff,0x20001fff,0x0002fffe,
    0x07fffe20,0x7fff4000,0x6fffffff,0xf8800000,0xffff701f,0x7ccbffff,
    0xffffffff,0xffffffff,0xff883fff,0x20002fff,0x01fffff8,0x3ffffff6,
    0x7fcc0001,0x80006fff,0xfffffffa,0xfff80001,0xf98000ff,0x10006fff,
    0x00009fff,0x23fffd10,0x5006fff9,0xd30fffff,0xdd10bddd,0xffd80bdd,
    0x0dfff32f,0xffffff50,0xfddfffff,0x269dffff,0x5fffffff,0x0ffffe80,
    0xfffffb00,0x00000003,0x3ffe2000,0x0dfff50f,0x003fff90,0x00bffea0,
    0x3fff7000,0x3fe20000,0xfffec98b,0x8000002e,0x7fe407fb,0x260dffff,
    0xccdfffff,0xffeccccc,0xf886ffff,0x0002ffff,0x07ffffe2,0x7fffffec,
    0x55300002,0x20000155,0x00bcecb8,0x99999000,0x3ffe6000,0x9950006f,
    0x2a000007,0x66542ccc,0xfffa801c,0x0000007f,0x950f3326,0xffc80599,
    0xffffffff,0x313fff64,0xffffffff,0xffffe805,0x55551000,0x44000005,
    0x9500001a,0xcccb8599,0x00e66401,0x00599500,0x03997000,0x06644000,
    0x0000154c,0x3009fb00,0xf3059db9,0x5001ffff,0x81fffffd,0x02fffff8,
    0x3fffe200,0xffffc81f,0x800002ff,0x000001a9,0x00000000,0x6ffff980,
    0x00d44000,0x1a880000,0xffff5000,0x0000000f,0x7fec0000,0xffffffff,
    0x313fff64,0xffffffff,0x7fff401f,0x0000000f,0xffeca880,0x00bdefff,
    0x00000000,0x00000000,0x00000000,0x80000000,0x00002ff8,0x03ffffe6,
    0x7ffffd40,0x7ffffc43,0x3fe20002,0x7fe41fff,0x0002ffff,0xffffd970,
    0x00003bdf,0x00000000,0xdffff300,0x7f654400,0x0bdeffff,0x76544000,
    0xbdefffff,0xffffa800,0x2aaaa887,0x02aaaa88,0x3fe00000,0xffffffff,
    0x13fff64f,0xfffffff3,0x7ff409ff,0xffff10ff,0xffffffff,0xffffffff,
    0xfffa801f,0xffffffff,0x7fcc03ff,0xffffffff,0xffffffff,0x7fffd45f,
    0xfffff987,0x3fffa002,0x7ffffc0f,0xffffffff,0x05ffffff,0xfffffc80,
    0xba800002,0x00ffeeed,0x3ffe6000,0x3fe000ff,0x7fc45fff,0x20002fff,
    0x21fffff8,0x2ffffffb,0xffe98000,0xffffffff,0xfff300cf,0xffffffff,
    0xffffffff,0x7ffffccb,0xffffffff,0x05ffffff,0x00dffff3,0x3fffffea,
    0x3fffffff,0xffff5000,0xffffffff,0xfffa807f,0xffff987f,0x7ffff986,
    0x01fffff3,0x3ffffe20,0x3fffffa1,0x364fffff,0x7fcc4fff,0xffffffff,
    0x1ffffd01,0x3fffffe2,0xffffffff,0x0fffffff,0xfffff910,0xffffffff,
    0x3e601bff,0xffffffff,0xffffffff,0x7ffd45ff,0xffff987f,0x3ffa006f,
    0x7fffc0ff,0xffffffff,0x5fffffff,0x7fffc400,0x200005ff,0xffffffe9,
    0x7d401eff,0xff987fff,0x3e000fff,0x7c44ffff,0x0002ffff,0x47ffffe2,
    0x3ffffffa,0xfffb8000,0xffffffff,0xf981ffff,0xffffffff,0xffffffff,
    0x3ffe65ff,0xffffffff,0xffffffff,0xdffff305,0xffffc880,0xffffffff,
    0x1000dfff,0xfffffff9,0xffffffff,0x3ffea01b,0xffff987f,0x7ffff986,
    0x01fffff3,0x3ffffe20,0x3fffff61,0x364fffff,0x7fcc4fff,0xffffffff,
    0x1ffffd06,0x3fffffe2,0xffffffff,0x0fffffff,0xffffffd0,0xffffffff,
    0xf303ffff,0xffffffff,0xffffffff,0xfffa8bff,0xffff987f,0xffd003ff,
    0xffff81ff,0xffffffff,0x5fffffff,0x7fffdc00,0x80000fff,0xfffffffb,
    0x203fffff,0x987ffffa,0x000fffff,0x87fffff3,0x02fffff8,0x3fffe200,
    0xfffffa9f,0xfd80004f,0xffffffff,0xffffffff,0x7ffffcc0,0xffffffff,
    0x25ffffff,0xfffffff9,0xffffffff,0xf305ffff,0xfe80dfff,0xffffffff,
    0xffffffff,0xfffe801f,0xffffffff,0x1fffffff,0x87ffffa8,0x986ffff9,
    0xff37ffff,0x22001fff,0x321fffff,0xffffffff,0x3fff64ff,0x77fffcc4,
    0x82fffffb,0xf10ffffe,0xffffffff,0xffffffff,0xf901ffff,0x7bffffff,
    0xffffd955,0xfff30dff,0xffffffff,0xffffffff,0x7ffffa8b,0xffffff98,
    0xfffe800f,0x7ffffc0f,0xffffffff,0x05ffffff,0x7fffff40,0x540004ff,
    0xffffffff,0x01ffffff,0x30fffff5,0x001fffff,0x3fffffd3,0x2fffff88,
    0x3ffe2000,0xfffffbff,0x20000fff,0xeffffffa,0xffffdaac,0x7fcc6fff,
    0xffffffff,0xffffffff,0x3fffe65f,0xffffffff,0x5fffffff,0x0dffff30,
    0x7fffffe4,0xfecaabdf,0x406fffff,0xfffffffc,0xffecaabd,0xfa86ffff,
    0xff987fff,0xfff986ff,0xfffff37f,0x3ffe2001,0x3ffe21ff,0x4fffffff,
    0xf313fff6,0x3ffadfff,0x7ff40fff,0x999910ff,0xffffb999,0x999999bf,
    0xffff9819,0x3ea00dff,0x4c3fffff,0xcccfffff,0xcccccccc,0x7fd42ccc,
    0xfff987ff,0xe805ffff,0x6640ffff,0xcccccccc,0xfffffecc,0x3fe6003f,
    0x07ffffff,0x7ffff400,0xffffd9bf,0xfff505ff,0xffff30ff,0x999999bf,
    0xffffffd9,0xfffff109,0x7fc40005,0xffffffff,0x0004ffff,0x7ffffff1,
    0x3fffea20,0x3ffe62ff,0xccccccff,0xcccccccc,0x3ffffe62,0xcccccccc,
    0x02cccccc,0x20dffff3,0xdffffff9,0x3fffea00,0xfff303ff,0x5401bfff,
    0x43ffffff,0x987ffffa,0xf986ffff,0xfff37fff,0x3e2001ff,0x7dc1ffff,
    0xffffffff,0x313fff64,0x3e6dffff,0x7f44ffff,0xf3000fff,0x8003ffff,
    0x03fffffe,0xfffffd10,0x7ffffcc1,0xff500000,0xfff30fff,0x805fffff,
    0x000ffffe,0x3ffffe60,0x7fe4005f,0x2fffffff,0xffff7000,0x7feff41d,
    0xffa81fff,0xfff987ff,0xffffffff,0xffffffff,0xffff880e,0x3e20002f,
    0xffffffff,0x01ffffff,0xfffffc80,0xffffc801,0x3fffe65f,0xf980000f,
    0x0000ffff,0x37fffcc0,0x3fffffe8,0xffffd100,0xffffd01f,0x3fa2007f,
    0x3ea0ffff,0xff987fff,0xfff986ff,0xfffff37f,0x3ffe2001,0xfffa81ff,
    0x364fffff,0x7fcc4fff,0x3fff26ff,0x3fffa1ff,0xfff3000f,0x7d4003ff,
    0x4006ffff,0x24fffffa,0x00fffff9,0xffff5000,0xfffff30f,0x7401ffff,
    0x0000ffff,0xdfffffd1,0xffff8001,0x05ffffef,0x7ffffd00,0x77ecffc4,
    0xfffa81bc,0xffff987f,0xffffffff,0x0dffffff,0x5fffff10,0x7ffc4000,
    0xfdffffff,0x4006ffff,0x05fffff8,0x9dffff10,0x07ffffcc,0x7ffcc000,
    0x400000ff,0xa86ffff9,0x006fffff,0x27ffffd4,0x1bffffea,0xfffff500,
    0x3ffffd49,0x437fffcc,0xf37ffff9,0x2001ffff,0x01fffff8,0xfffffd91,
    0x227ffec9,0x226ffff9,0x3a6fffff,0x3000ffff,0x003fffff,0x0fffffe4,
    0x7ffff400,0x3ffffe67,0xff500000,0xfff30fff,0x09ffffff,0x007ffff4,
    0xfffffd80,0x7fd4000f,0xffff9eff,0xfff8000f,0x05fee0ff,0x7ffffa80,
    0xffffff98,0xffffffff,0x7c402cef,0x0002ffff,0x3fffffe2,0xffffb3ff,
    0x7fdc009f,0x2a001fff,0xfff980ac,0x980000ff,0x000fffff,0x7fffcc00,
    0xfffffc86,0xfffe8001,0x7fffe47f,0xffe8001f,0x3ffea7ff,0xffff987f,
    0x7ffff986,0x01fffff3,0x3ffffe20,0x9fffd001,0x2627ffec,0x7dc6ffff,
    0xffd3ffff,0x3e6001ff,0x2001ffff,0x005fffff,0x1fffff50,0x03ffffe6,
    0x7ffd4000,0xffff987f,0x01ffffff,0x001ffffd,0xffffff90,0xfffb0003,
    0x3ffffa7f,0x7ffc4004,0x0027ec7f,0x21ffffea,0xeefffff9,0xfffffffe,
    0xffff1001,0x7c40005f,0x24ffffff,0x1ffffff8,0xdffff900,0xff980000,
    0x80000fff,0x00fffff9,0x7ffcc000,0xfffff86f,0xfff50005,0x7fffc1ff,
    0xff50005f,0x3fea1fff,0xfff987ff,0xffff986f,0x1fffff37,0x3fffe200,
    0xfffd001f,0x227ffec9,0xe86ffff9,0xfe8fffff,0xf3000fff,0x2003ffff,
    0x04fffff8,0xfffff300,0x3ffffe63,0xff500000,0xfff30fff,0xdfffffff,
    0x03ffffa0,0xfffff500,0xff10007f,0x3fee1fff,0x7d4007ff,0x3fe26fff,
    0x7ffd4002,0xffff987f,0x7fffd40f,0xff8803ff,0x20002fff,0x4ffffff8,
    0x6fffffb8,0xbffffb00,0xff980000,0x80000fff,0x00fffff9,0x7ffcc000,
    0x7fffc46f,0xff30004f,0x3fe23fff,0x30004fff,0x2a3fffff,0xf987ffff,
    0xff986fff,0xffff37ff,0x3fe2001f,0xfd001fff,0x7ffec9ff,0x37fffcc4,
    0x6fffffcc,0x000ffffe,0x03fffff3,0x3ffffe20,0xfff10003,0x3ffe65ff,
    0xaaaaabff,0x1aaaaaaa,0x87ffffa8,0xfbeffff9,0xfe82ffff,0x26000fff,
    0x05ffffff,0xbffff700,0x17ffffc4,0xdffff500,0x54003fd4,0xf987ffff,
    0xf880ffff,0x404fffff,0x02fffff8,0x3fffe200,0x3fffa04f,0xffe803ff,
    0x400004ff,0xabfffff9,0xaaaaaaaa,0x7fcc1aaa,0xaaaabfff,0xaaaaaaaa,
    0x3fffe601,0x7ffffc46,0xfff10003,0x3ffe25ff,0xf10003ff,0x3ea5ffff,
    0xff987fff,0xfff986ff,0xfffff37f,0x55555557,0xfffff755,0x3fffa003,
    0x313fff64,0x320dffff,0xffffffff,0xff3000ff,0x26003fff,0x002fffff,
    0x53ffffe0,0xfffffff9,0xffffffff,0xffa84fff,0xfff987ff,0xfffffd6f,
    0x0ffffe81,0xffffd100,0x7f4000df,0x7ff42fff,0x3ea005ff,0x17f27fff,
    0x3fffea00,0xfffff987,0xfffff500,0x7ffc407f,0x220002ff,0x201fffff,
    0x1ffffffa,0x1fffffc0,0x3fe60000,0xffffffff,0xffffffff,0x7ffffcc4,
    0xffffffff,0x204fffff,0x4c6ffff9,0x002fffff,0x53ffffe0,0x02fffff9,
    0x3ffffe00,0x0fffff54,0x30dffff3,0x3e6fffff,0xffffffff,0xffffffff,
    0xd001ffff,0x7fec9fff,0x7fffcc4f,0xffffd106,0x001fffff,0x07ffffe6,
    0x7ffffd40,0x3ffa0001,0xffff35ff,0xffffffff,0x09ffffff,0x30fffff5,
    0x3e6dffff,0x7f44ffff,0xfb000fff,0x001fffff,0x3ffffe60,0x7ffffd40,
    0xffff3001,0xa88ffe1f,0x7fffd401,0xfffff987,0x3ffff200,0xfff101ff,
    0x440005ff,0x401fffff,0x06fffffd,0x0bffffe2,0xfff30000,0xffffffff,
    0x9fffffff,0xffffff98,0xffffffff,0x2604ffff,0x7d46ffff,0x0001ffff,
    0x557ffffa,0x001fffff,0x57ffffa0,0x987ffffa,0xf986ffff,0xfff37fff,
    0xffffffff,0xffffffff,0x3fa003ff,0x3fff64ff,0x37fffcc4,0xffffff50,
    0x26001fff,0x001fffff,0x05fffff3,0x7ffffc00,0xffffff34,0xffffffff,
    0xf509ffff,0xff30ffff,0x7ffe4dff,0x3fffa1ff,0xfffc800f,0x20001fff,
    0x885ffffd,0x004fffff,0x37fffff1,0x7ffe41ff,0xffffa84e,0xfffff987,
    0x7ffff400,0xffff106f,0x7c40005f,0x4c01ffff,0x03ffffff,0x07fffff1,
    0xfff98000,0xffffffff,0x4fffffff,0x7fffffcc,0xffffffff,0x2604ffff,
    0x7cc6ffff,0x0002ffff,0x4d3ffffe,0x002fffff,0x53ffffe0,0x987ffffa,
    0xf986ffff,0xfff37fff,0xffffffff,0xffffffff,0x3fa003ff,0x3fff64ff,
    0x37fffcc4,0x3fffff60,0xf3000fff,0x2003ffff,0x03fffff8,0xfffff100,
    0x3ffffe67,0xffffffff,0xa84fffff,0xf987ffff,0x3fe26fff,0x3ffa6fff,
    0x7fd400ff,0x0003ffff,0x0bffffe2,0x03ffffec,0x9dffffb0,0x7fffc4df,
    0xffffa83f,0xfffff987,0x7fffcc00,0xfff883ff,0xcccccdff,0x3ccccccc,
    0x03fffff1,0xffffff90,0x3ffffe01,0x7cc00004,0xffffffff,0xffffffff,
    0x7fffcc4f,0xffffffff,0x04ffffff,0x11bfffe6,0x007fffff,0x3ffffe20,
    0x7fffff13,0x3ffe2000,0xffff53ff,0xdffff30f,0x2fffff30,0xfffffff9,
    0xffffffff,0x01ffffff,0x6c9fffd0,0x7fcc4fff,0x7fc406ff,0x00ffffff,
    0x3fffff30,0x7ffffc00,0xfff30004,0x3ffe63ff,0x99999aff,0x09999999,
    0x87ffffa8,0x5c6ffff9,0xfd3fffff,0x7cc01fff,0x004fffff,0x3ffffdc0,
    0x5fffff50,0x3fffea00,0xffb34fff,0xff501fff,0xfff30fff,0xff9001ff,
    0xf881ffff,0xffffffff,0xffffffff,0xfffff16f,0xffff1003,0x3ffa0bff,
    0x400005ff,0x9afffff9,0x99999999,0x7fcc0999,0x9999afff,0x99999999,
    0x3fffe600,0x4fffff86,0xffff3000,0x7ffffc3f,0xfff30004,0x3ffea3ff,
    0xffff987f,0x7ffff986,0x35fffff3,0x33333333,0x03fffff5,0xd93fffa0,
    0x7fcc4fff,0xffb806ff,0x000fffff,0x03fffff3,0x2ffffec0,0xffffb800,
    0xfffff30f,0x3ea00001,0xff987fff,0xfffe86ff,0xffffe8ff,0xffffd100,
    0xfd0000bf,0x9999dfff,0xfffff999,0x7ffec00b,0xfffeefff,0xff505fff,
    0xfff30fff,0x3fa001ff,0x7c45ffff,0xffffffff,0xffffffff,0xfffff16f,
    0x3ffee003,0xffc83fff,0x6c4006ff,0xffff980a,0xf980000f,0x0000ffff,
    0x37fffcc0,0x02ffffec,0xfffffb80,0x17ffff60,0x7fffdc00,0xfffff50f,
    0x0dffff30,0x26fffff3,0x000fffff,0x03fffff1,0xd93fffa0,0x7fcc4fff,
    0xffd006ff,0x2001ffff,0x01fffff9,0x3fffff20,0xfffe8001,0x3fffe67f,
    0xf500000f,0xff30ffff,0xfff30dff,0xffffdbff,0x3ffff601,0x4c0000ef,
    0xffffffff,0xffffffff,0xf1001fff,0xffffffff,0x540dffff,0xf987ffff,
    0x3000ffff,0x45ffffff,0xfffffff8,0xffffffff,0xfff16fff,0x7f4003ff,
    0x5c0fffff,0x001fffff,0x98f7ffee,0x000fffff,0xfffff980,0x7cc00000,
    0xffc86fff,0xe8001fff,0x7e47ffff,0x8001ffff,0x2a7ffffe,0xf987ffff,
    0xff986fff,0xffff37ff,0x3fe2001f,0xfd001fff,0x7ffec9ff,0x37fffcc4,
    0xfffff980,0xfff3000f,0x7d4003ff,0x4006ffff,0x25fffffb,0x00fffff9,
    0xffff5000,0xdffff30f,0x3fffff20,0xc80fffff,0x01ffffff,0xffffc800,
    0xffffffff,0x4fffffff,0x3fffa600,0xefffffff,0x3fffea00,0xfffff987,
    0x3fff2000,0xfff10fff,0xffffffff,0xdfffffff,0x07ffffe2,0xfffff980,
    0x7fffcc5f,0x3ffa004f,0x3ffe66ff,0x980000ff,0x000fffff,0x7fffcc00,
    0xfffffa86,0x7ffdc006,0x7ffd45ff,0x7dc006ff,0x3ea5ffff,0xff987fff,
    0xfff986ff,0xfffff37f,0x3ffe2001,0xffd001ff,0x27ffec9f,0x01bfffe6,
    0x0fffffc8,0xfffff300,0xfffe8003,0xff1003ff,0x7cc3ffff,0x0000ffff,
    0x0fffff50,0x20dffff3,0xffffffe8,0x7fd40fff,0x0002ffff,0xfffffff0,
    0xffffffff,0x00ffffff,0xffffff90,0xff5005df,0xfff30fff,0xfe8001ff,
    0x4c04ffff,0x0001bccc,0x03799910,0xffffd800,0xfffc801f,0x3ffe63ff,
    0x980000ff,0x000fffff,0x56665400,0xfffffd00,0x3ffe2007,0xffe81fff,
    0xf1003fff,0x5c3fffff,0x980001ff,0xff36ffff,0x22001fff,0x001fffff,
    0x7ec9fffd,0x644004ff,0x00001bcc,0x07ffffe6,0xfffff300,0xfffa80bf,
    0x7fcc4fff,0x00000fff,0x30fffff5,0x540dffff,0xffffffff,0x3fffe60f,
    0x500004ff,0xdddfffff,0xdddddddd,0x005fffff,0x9aaaffa8,0x3ffea000,
    0xcc88007f,0x200001bc,0x0dfffffa,0x7ffcc000,0x10000eff,0x05ffffff,
    0x7fffffdc,0x3ffffe60,0xff980000,0x00000fff,0x27ffffe4,0x7fffffcc,
    0x7fffd405,0xfff304ff,0xfa80bfff,0x644fffff,0x980000ff,0xff36ffff,
    0x22001fff,0x001fffff,0x7ec9fffd,0x7cc004ff,0x000effff,0xfffff980,
    0xfffc8001,0xa9acefff,0xffffffdb,0x7fffcc0f,0xf500000f,0xff30ffff,
    0xffd80dff,0x10ffffff,0x0bffffff,0x7ffec000,0x7ffc005f,0x7ec005ff,
    0x7fd40005,0xf98007ff,0x000effff,0xffedc980,0x6440004f,0x005fffed,
    0x3ffffee0,0xfeb99bdf,0x4c4fffff,0x000fffff,0xfffff980,0x65400000,
    0xc82ffffe,0xceffffff,0xfffdba9a,0x3200ffff,0xceffffff,0xfffdba9a,
    0x7f40ffff,0x6c40000f,0xff36ffff,0x22001fff,0x001fffff,0x7ec9fffd,
    0x644004ff,0x005fffed,0xfffff980,0xfff88001,0xffffffff,0xffffffff,
    0xfffff982,0xcccccccc,0x0ccccccc,0x21ffffea,0x406ffff9,0xfffffff8,
    0xfffff90f,0x999999bf,0x99999999,0x7ffffc41,0x7ffe4002,0x3fe001ff,
    0x7fd40002,0xc88007ff,0x005fffed,0x06ffe800,0x3fff4000,0x3fffa000,
    0xffffffff,0x985fffff,0xcccfffff,0xcccccccc,0xff30cccc,0x99999fff,
    0x99999999,0xff980199,0xffff884f,0xffffffff,0x2fffffff,0x7ffffc40,
    0xffffffff,0x82ffffff,0xb0003fff,0x9ffffffd,0x03ffffe6,0x7ffffc40,
    0x9fffd001,0x0027ffec,0x001fffa0,0x3ffffe60,0xffb10001,0xffffffff,
    0x03dfffff,0x3fffffe6,0xffffffff,0x21ffffff,0x987ffffa,0xb806ffff,
    0x0fffffff,0xfffffff9,0xffffffff,0x43ffffff,0x00fffffb,0x7ffffcc0,
    0x01ff5004,0xffffa800,0xffe80007,0x7c400007,0x200005ff,0x0006fff8,
    0x7ffffec4,0xffffffff,0xfff980ef,0xffffffff,0xffffffff,0xfffff31f,
    0xffffffff,0x3fffffff,0x03fffa80,0xffffffb1,0xffffffff,0x362003df,
    0xffffffff,0xefffffff,0x45dffd01,0xffff8009,0xff33ffff,0x22001fff,
    0x001fffff,0x7ec9fffd,0x220004ff,0x80006fff,0x01fffff9,0x7fffd400,
    0xffffffff,0x7ffcc04f,0xffffffff,0xffffffff,0x3fffea1f,0x6ffff987,
    0xfffffd00,0x3ffff21f,0xffffffff,0xffffffff,0x3ffffa1f,0xfffd0005,
    0x17f200ff,0x3ffea000,0x7c40007f,0xd10006ff,0xffffdb99,0x33360003,
    0x02ffffec,0xffff5000,0xffffffff,0x3ffe6019,0xffffffff,0xffffffff,
    0xfffff31f,0xffffffff,0x3fffffff,0x3fb73366,0x7d400eff,0xffffffff,
    0x0004ffff,0xfffffff5,0x09ffffff,0xffffffc8,0x7ffc400f,0x3e65ffff,
    0x1000ffff,0x003fffff,0xfd93fffa,0x99b004ff,0x05ffffd9,0xffff3000,
    0x9100003f,0xfffffffb,0xff30039d,0xffffffff,0xffffffff,0x7ffd43ff,
    0xffff987f,0xffff3006,0x3fff21ff,0xffffffff,0xffffffff,0xffff51ff,
    0x3ee0005f,0xe802ffff,0xfa80003f,0x36007fff,0xffffeccc,0xfff10002,
    0x005dffff,0x7fffffc0,0x400002ff,0xfffffec8,0x7cc00cff,0xffffffff,
    0xffffffff,0xfff31fff,0xffffffff,0xffffffff,0x3fffea3f,0x1000dfff,
    0xffffffb9,0x800039df,0xfffffdc8,0xd001ceff,0x01ffffff,0xffffffa8,
    0x3fffe60f,0xfff1000f,0x3fa003ff,0x3fff64ff,0xfffff004,0x00005fff,
    0x07ffffe6,0x2a620000,0xff98000a,0xffffffff,0xffffffff,0x3ffea1ff,
    0xffff987f,0x3fff2006,0xffff90ff,0xffffffff,0xffffffff,0x3ffff63f,
    0x3fe20007,0x7c405fff,0xfa80000f,0x3e007fff,0x2fffffff,0x6665c000,
    0xb80001bc,0x001bcdcc,0x35510000,0x7ffcc001,0xffffffff,0xffffffff,
    0xfffff31f,0xffffffff,0x3fffffff,0x2f3372e2,0x54c40000,0x4000000a,
    0x0000aa98,0x006f7b26,0x2afbbb26,0x7ffffcc0,0xffff1000,0x2aaa003f,
    0x06aaa61a,0x5e6e65c0,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x03000000,0x3ffea000,0x332e007f,0x00001bcd,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7ffffc40,
    0xfff88003,0x400003ff,0x03fffff8,0x00000000,0x03bbbba6,0x41dfff30,
    0x8004fffc,0x00deeeea,0x0bffffb0,0x0dffffb0,0x88ffff60,0x4000ffff,
    0xeeeeeee9,0x0002eeee,0x0055554c,0x3bbaa000,0x700000de,0xeec89ddd,
    0xdd10003e,0x003baa05,0x23fffd80,0x200ffff8,0x322aaaa8,0x3fe23fff,
    0xfffc80ff,0x03fffe23,0x7ffdc000,0x000000ff,0x3ffffee0,0xdd900000,
    0x2eeed87d,0x3bba2000,0x700001ee,0x0009ffff,0x037fffcc,0x3ffee000,
    0x2200004f,0x7ec1cffc,0xffffd006,0xfff700bf,0x01bffeab,0x17ffff40,
    0x6ffff980,0x3ffffa00,0xffff8801,0x02fffe89,0xfffffa80,0x03ffffff,
    0x7fffec00,0x3e200002,0x004fffff,0x8bfff900,0x0004fffd,0x3ff41bfe,
    0x3ffa2000,0x05fffd1f,0x46ffff98,0xffd1fffe,0x7fff405f,0x005fffd1,
    0xffffc800,0x20000003,0x001fffff,0x13fff600,0x0007fffd,0x37fffff4,
    0xfffe8000,0xff980005,0x200002ff,0x0004ffff,0x7fffffc0,0x805ffdce,
    0xfffffffc,0xcfffd803,0x8000ffff,0x003ffff9,0x003bfff6,0x05fffe88,
    0xfbdfff30,0x2a0009ff,0xffffffff,0x40003fff,0x002ffffd,0x3ffff600,
    0x80002fff,0x7ec5fffc,0x320004ff,0xfca8adff,0xf980004f,0x4fffdeff,
    0x6ffff980,0x7ef7ffcc,0x7fcc05ff,0x05fffcef,0xfffb0000,0x2000000d,
    0x001ffffa,0x27ffec00,0x000ffffa,0x7fffffdc,0x7d40004f,0x200005ff,
    0x0006fffa,0x00bfff50,0xffffa800,0x2fffffff,0x477ffcc0,0x4401ffff,
    0x3fffffff,0x7fffb000,0x77ffc400,0xffe88000,0xfff9000f,0x4000dfff,
    0xccccccc9,0x0001cccc,0x017fffec,0xdfffb800,0x000ffff9,0x22fffe40,
    0x0004fffd,0x3fffffa2,0x00000eff,0xdffffff9,0xffff3001,0xfffff70d,
    0xff7001df,0x001fffff,0x7ffec000,0xe8000002,0x00002fff,0x744fffd8,
    0x98003fff,0xfff8efff,0x3fa0001f,0xa800006f,0x80002fff,0x00006ffe,
    0xdb88efc8,0x4404ffff,0xff30ffff,0xfff500df,0x26000bff,0x64004fff,
    0x20001fff,0x2004fff8,0x01fffffe,0x00000000,0x0bffff60,0x3ffe2000,
    0x0bfff70f,0x3ccca800,0x0016665c,0x3ffffa20,0x400000ef,0x01fffffe,
    0x0dffff30,0x07fffff6,0xfffffd80,0xe8000002,0x000006ff,0x0017ffd4,
    0x2cccb800,0x0016665c,0x4c7fffa2,0x8000efff,0x0000ccc8,0x00599500,
    0x00ccc880,0x82cb8000,0xca800ba8,0x666542cc,0xaaaaa801,0x9dd70000,
    0x03999000,0x09993000,0x0d555440,0x00000000,0x2aaaa600,0xcca80000,
    0x0e665c1c,0x00000000,0x15e5d400,0xaa880000,0x322002aa,0x55103ccc,
    0xa8800555,0x00002aaa,0x01999100,0x66540000,0x40000002,0xa80001a8,
    0x66542ccc,0x0000002c,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7cc00000,0x3000ffff,0x001fffff,0x00000000,0x7ffcc000,
    0xff3000ff,0x00001fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x54400000,0xefffffec,0x000000bd,0xfffff300,0xffffffff,0x4bffffff,
    0xfffffff9,0xffffffff,0x3e65ffff,0xffffffff,0xaceeeeff,0x7fffcc00,
    0x3ffa002f,0xfffa80ff,0xffff307f,0xdfffffff,0x80159ddd,0x886ffff9,
    0x001ccccc,0xfffff500,0x17ffffcc,0x1ffffd00,0x03ffffe6,0x7ffffcc0,
    0x7fffffc0,0xffffffff,0x005fffff,0x2fffffc8,0xffff9800,0xfff3000f,
    0xfc8001ff,0x0002ffff,0x3ffffffe,0xffffffff,0x3ea5ffff,0xff507fff,
    0x3fe60fff,0xffffffff,0x0002ceee,0x7ffffe40,0x32000002,0x002fffff,
    0x3fffea00,0xffffffff,0x7ffd403f,0x7cc0006f,0xffffffff,0xffffffff,
    0x3ffe65ff,0xffffffff,0xffffffff,0x3ffffe65,0xffffffff,0x202fffff,
    0x06fffff9,0x03ffffa0,0x41ffffea,0xfffffff9,0xffffffff,0x3e602fff,
    0xff886fff,0x00002fff,0x4cfffff5,0x006fffff,0x4c3ffffa,0x000fffff,
    0x81fffff3,0xffffffff,0xffffffff,0x44005fff,0x05ffffff,0xfffff980,
    0xffff3000,0x7fc4001f,0x0005ffff,0x3ffffffe,0xffffffff,0x3ea5ffff,
    0xff507fff,0x3fe60fff,0xffffffff,0x02efffff,0xffff8800,0x000005ff,
    0xbffffff1,0xff910000,0xffffffff,0x01bfffff,0x01bfffea,0xfffff300,
    0xffffffff,0x4bffffff,0xfffffff9,0xffffffff,0x3e65ffff,0xffffffff,
    0xffffffff,0xfff303ff,0x3a007fff,0xfa80ffff,0xff307fff,0xffffffff,
    0xffffffff,0x3ffe607f,0xffff886f,0xf500002f,0x7fccffff,0xd003ffff,
    0x3e61ffff,0x3000ffff,0xf81fffff,0xffffffff,0xffffffff,0x7dc005ff,
    0x00ffffff,0x7ffffcc0,0xffff3000,0x7fdc001f,0x000fffff,0xfffffff0,
    0xffffffff,0x7d4bffff,0xff507fff,0x3fe60fff,0xffffffff,0xdfffffff,
    0x3fee0000,0x000fffff,0xffffb800,0x40000fff,0xfffffffe,0xffffffff,
    0xffa81fff,0x4c0006ff,0xffffffff,0xffffffff,0x3fe65fff,0xffffffff,
    0xffffffff,0x3fffe65f,0xffffffff,0xffffffff,0xfffff983,0xffe800ff,
    0xfffa80ff,0xffff307f,0xffffffff,0xffffffff,0xdffff307,0x5fffff10,
    0x3fea0000,0x3ffe67ff,0xe800ffff,0xff30ffff,0x26001fff,0x7c0fffff,
    0xffffffff,0xffffffff,0x7f4005ff,0x04ffffff,0x7ffffcc0,0xffff3000,
    0x7ff4001f,0x004fffff,0xfffffff0,0xffffffff,0x7d4bffff,0xff507fff,
    0x3fe60fff,0xffffffff,0xffffffff,0xffd0000f,0x009fffff,0xffffd000,
    0x40009fff,0xfffffffc,0xffecaabd,0xfa86ffff,0x40006fff,0xccfffff9,
    0xcccccccc,0x3e62cccc,0xccccffff,0xcccccccc,0x3ffe62cc,0xcccccdff,
    0xfffffecc,0xffff986f,0xfe805fff,0xffa80fff,0xfff307ff,0x99999bff,
    0xfffffd99,0xffff30df,0xfffff10d,0x3ea00005,0x3fe67fff,0x805fffff,
    0xf30ffffe,0x2001ffff,0x40fffff9,0xcccccccc,0xfffecccc,0x26003fff,
    0xffffffff,0x7ffcc007,0xff3000ff,0x26001fff,0xffffffff,0x99990007,
    0x99999999,0x7ffffffd,0x83ffffd4,0x307ffffa,0x999fffff,0xffffdb99,
    0x30009fff,0xffffffff,0xf980000f,0x7fffffff,0xffff3000,0x7d401bff,
    0x543fffff,0x0006ffff,0x07ffffcc,0x7ffcc000,0x980000ff,0x800fffff,
    0x0fffffea,0x7fffffcc,0x7ff402ff,0xfffa80ff,0xffff307f,0xffd5001f,
    0xff981fff,0xfff886ff,0x500002ff,0x7ccfffff,0x2fffffff,0x87ffff40,
    0x00fffff9,0x1fffff30,0x7ffcc000,0x64005fff,0xffffffff,0x3fe6002f,
    0xf3000fff,0x2001ffff,0xfffffffc,0x000002ff,0x7fffffcc,0x3ffffd45,
    0x07ffffa8,0x01fffff3,0x7ffffe44,0x7fe4001f,0x2fffffff,0x3ff20000,
    0x2fffffff,0xffffe800,0xffd1003f,0x7fd41fff,0x4c0006ff,0x000fffff,
    0xfffff980,0xff980000,0xf5000fff,0xf987ffff,0xffffffff,0x3ffffa00,
    0x7ffffa80,0x1fffff30,0x3fffea00,0x7fffcc3f,0xfffff886,0xff500002,
    0x7ffccfff,0x00ffffff,0x4c3ffffa,0x000fffff,0x01fffff3,0x3fffa200,
    0x7c000eff,0xfffeffff,0x3fe6005f,0xf3000fff,0x2001ffff,0xffefffff,
    0x000005ff,0x3fffffa2,0x7fffd40e,0xfffff507,0x3ffffe60,0xffff9800,
    0x7ffc006f,0x5ffffeff,0x3ffe0000,0x5ffffeff,0x7fffd400,0x7fd4006f,
    0x3fea4fff,0x4c0006ff,0x000fffff,0xfffff980,0xff980000,0x3e000fff,
    0x7cc5ffff,0xffffffff,0x3ffffa04,0x7ffffa80,0x1fffff30,0x7ffffc00,
    0x37fffcc5,0x17ffffc4,0xfffa8000,0x3fffe67f,0x204fffff,0xf30ffffe,
    0x2001ffff,0x00fffff9,0xfffffb00,0xffa8001f,0xffff9eff,0xfff3000f,
    0x3e6001ff,0xa800ffff,0xff9effff,0x00000fff,0xffffffb0,0xfffff501,
    0x1ffffea0,0x07ffffcc,0xfffffc80,0xffff5002,0x1fffff3d,0xfff50000,
    0xfffff3df,0x7ffe4001,0xfe8001ff,0x3fea7fff,0x3b2a26ff,0x3fe602cd,
    0x80000fff,0x00fffff9,0xffff9800,0x3ffe000f,0x7ffcc4ff,0x1fffffff,
    0x01ffffd0,0x20fffff5,0x00fffff9,0x13ffffe0,0x10dffff3,0x005fffff,
    0x3fffea00,0x3ffffe67,0xd01fffff,0x3e61ffff,0x3000ffff,0x001fffff,
    0xffffff90,0xfffb0003,0x3ffffa7f,0xffff3004,0x3fe6001f,0xfd800fff,
    0xfffd3fff,0x9000009f,0x03ffffff,0x41ffffea,0x307ffffa,0x001fffff,
    0x13ffffe2,0x9ffffec0,0x004ffffe,0x3ffffd80,0x009ffffd,0x02fffffc,
    0xfffffa80,0x2dffff50,0xfffffffa,0xffff980e,0xf980000f,0x0000ffff,
    0x0fffff98,0xfffff300,0xfffff987,0xd06fffff,0xf501ffff,0x3e60ffff,
    0x3000ffff,0x987fffff,0xf886ffff,0x0002ffff,0x4fffff50,0xfffffff9,
    0xffd06fff,0x3ffe61ff,0xff3000ff,0xa8001fff,0x03ffffff,0xfffff880,
    0x0fffff70,0x3ffffe60,0xffff3000,0xfff8801f,0xffff70ff,0xfa80000f,
    0x203fffff,0x507ffffa,0x260fffff,0x000fffff,0x01bffff6,0x43ffffe2,
    0x007ffffb,0x7ffffc40,0x0fffff70,0x3ffffe20,0xfff30004,0x3ffea3ff,
    0xfffffbef,0x4c0fffff,0xaabfffff,0xaaaaaaaa,0x7ffcc1aa,0xaaaaabff,
    0x1aaaaaaa,0x07ffffcc,0x7ffff4c0,0x7fffcc1f,0x2fffffbe,0x80ffffe8,
    0x307ffffa,0x001fffff,0x3fffffd3,0x86ffff98,0x02fffff8,0xffff5000,
    0x77fffccf,0x82fffffb,0xf30ffffe,0x2001ffff,0x00fffff9,0x3ffffe60,
    0xff70005f,0x7ffc4bff,0xff9802ff,0xf3000fff,0xb801ffff,0x3e25ffff,
    0x0002ffff,0xffffff30,0xffffa80b,0xfffff507,0x3ffffe60,0x3ffee000,
    0xfffb807f,0x3fffe25f,0x3ee0002f,0x3fe25fff,0xf8802fff,0x0003ffff,
    0x25fffff1,0xfffffffa,0xffffffff,0x7fffcc4f,0xffffffff,0x44ffffff,
    0xfffffff9,0xffffffff,0x7fcc4fff,0xccccdfff,0xffffeccc,0xfff984ff,
    0xfffffd6f,0x0ffffe81,0x07ffffa8,0x9bfffff3,0xfd999999,0x309fffff,
    0xf10dffff,0x0005ffff,0x9ffffea0,0xfd6ffff9,0xfe81ffff,0xfff30fff,
    0x3e6001ff,0x1000ffff,0x0dfffffd,0x7ffff400,0x2fffff42,0x7ffffcc0,
    0xffff3000,0xfffe801f,0x7ffff42f,0xfe880005,0xa806ffff,0xf507ffff,
    0x3e60ffff,0x2000ffff,0x00fffffb,0x217ffff4,0x005ffffe,0x0bffffa0,
    0x00bffffd,0x05fffff3,0x7ffffc00,0xffffff54,0xfff5117d,0x7fcc1fff,
    0xffffffff,0xffffffff,0x7ffffcc4,0xffffffff,0x4c4fffff,0xffffffff,
    0xffffffff,0xf980efff,0xfff36fff,0xfffe89ff,0xffffa80f,0xfffff307,
    0xffffffff,0x1dffffff,0x0dffff30,0x05fffff1,0x3ffea000,0x3fffe67f,
    0x9fffff36,0x30ffffe8,0x001fffff,0x03ffffe6,0x7ffffec0,0xff30000f,
    0xffa81fff,0x7cc01fff,0x3000ffff,0x401fffff,0x40fffff9,0x01fffffa,
    0x7fffec00,0xffa800ff,0xfff507ff,0x3ffe60ff,0x3ea000ff,0x2600ffff,
    0x540fffff,0x001fffff,0x0fffff98,0x0fffffd4,0x3ffffea0,0x3ffa0001,
    0xffff55ff,0xfff301ff,0x7ffcc3ff,0xffffffff,0x4fffffff,0x7fffffcc,
    0xffffffff,0x7cc4ffff,0xffffffff,0xffffffff,0xfff300df,0x7fffe4df,
    0x3ffffa1f,0x7ffffa80,0xffffff30,0xffffffff,0x201bffff,0x886ffff9,
    0x002fffff,0xfffff500,0x937fffcc,0x743fffff,0xff30ffff,0x26001fff,
    0x800fffff,0x1ffffffc,0x3fff6000,0xffff885f,0x7ffcc04f,0xff3000ff,
    0x7ec01fff,0xff885fff,0x20004fff,0x1ffffffc,0xfffff500,0x1ffffea0,
    0x07ffffcc,0xfffff500,0x7fffec03,0xfffff885,0xfffd8004,0xffff885f,
    0x7ffcc04f,0x3e0002ff,0xff54ffff,0x7f405fff,0x3fe62fff,0xffffffff,
    0xffffffff,0x7ffffcc4,0xffffffff,0x4c4fffff,0xffffffff,0xefffffff,
    0x7ffcc02c,0x3fffe26f,0x3ffffa6f,0x7ffffa80,0xffffff30,0xffffffff,
    0xf98059df,0xff886fff,0x00002fff,0x4cfffff5,0x3e26ffff,0x3fa6ffff,
    0xfff30fff,0x3e6001ff,0x5400ffff,0x03ffffff,0x3fffe200,0xffffb02f,
    0xffff980f,0xfff3000f,0x3fe201ff,0xffb02fff,0x2a000fff,0x03ffffff,
    0x1ffffea0,0x83ffffd4,0x00fffff9,0x3ffffea0,0xfffff100,0x3ffff605,
    0x7ffc4007,0xfffb02ff,0xfff880ff,0xf10003ff,0x3ea7ffff,0x3600ffff,
    0x3e62ffff,0x999affff,0x99999999,0x7fffcc09,0x999999af,0x40999999,
    0xeefffff9,0xfffffffe,0xffff3001,0xfffffb8d,0x01ffffd3,0x20fffff5,
    0xeefffff9,0xfffffffe,0xffff3001,0xfffff10d,0x3ea00005,0x3fe67fff,
    0x7ffdc6ff,0xffffd3ff,0x3ffffe61,0xffff3000,0x7ffcc01f,0x40004fff,
    0x207ffffb,0x02fffffa,0x03ffffe6,0x7ffffcc0,0xfffff700,0x7ffffd40,
    0x7ffcc002,0x54004fff,0xf507ffff,0x3e60ffff,0x2000ffff,0x207ffffb,
    0x207ffffb,0x02fffffa,0x1ffffee0,0x2fffffa8,0x27ffffc0,0xffff9800,
    0xfffff51f,0x2ffffd80,0x03ffffe6,0x3ffe6000,0x980000ff,0x540fffff,
    0x03ffffff,0x86ffff98,0xe8fffffe,0xfa80ffff,0xff307fff,0xffa81fff,
    0x9803ffff,0xf886ffff,0x0002ffff,0x4fffff50,0xe86ffff9,0xfe8fffff,
    0xfff30fff,0x3ea001ff,0xd100ffff,0x00bfffff,0xdffffd00,0xf9999999,
    0x4c0bffff,0x000fffff,0x01fffff5,0x33bffffa,0xffcccccc,0x22005fff,
    0x05fffffe,0x7ffffa80,0x0fffff50,0x03ffffe6,0x6ffffb80,0x3bffffa0,
    0xfccccccc,0x2005ffff,0xcceffffe,0xfffccccc,0x7fec05ff,0xf70005ff,
    0x3ea1ffff,0x7ec07fff,0x3fe62fff,0x80000fff,0x00fffff9,0xffff9800,
    0xffff880f,0x7fcc04ff,0xfff986ff,0xffffedff,0x7ffffa80,0x1fffff30,
    0xffffff10,0xffff9809,0xfffff886,0xff500002,0x7ffccfff,0xffff986f,
    0x0ffffedf,0x03fffff1,0x1ffffea0,0xefffffd8,0x7fcc0000,0xffffffff,
    0xffffffff,0xffff101f,0x3fea003f,0xfff307ff,0xffffffff,0xffffffff,
    0x3fff6003,0xa8000eff,0xf507ffff,0x3e60ffff,0x2000ffff,0x305ffffd,
    0xffffffff,0xffffffff,0xf3003fff,0xffffffff,0xffffffff,0x7fe403ff,
    0xe8001fff,0x3ea7ffff,0x7ec06fff,0x3fe62fff,0x80000fff,0x00fffff9,
    0xffff9800,0xffff500f,0x7fcc07ff,0xfff906ff,0x1fffffff,0x0fffff50,
    0x03ffffe6,0x7fffffd4,0x3fffe603,0xfffff886,0xff500002,0x7ffccfff,
    0xffff906f,0x41ffffff,0x003fffff,0x20dffff9,0x1ffffffc,0xfffc8000,
    0xffffffff,0xffffffff,0x3ffffe04,0xffff9003,0x3ffff20d,0xffffffff,
    0x4fffffff,0xfffffc80,0xff50001f,0x3fea0fff,0xfff307ff,0x7f4001ff,
    0xff904fff,0xffffffff,0xffffffff,0xfff9009f,0xffffffff,0xffffffff,
    0x7fffd409,0x7fdc006f,0x3fea5fff,0x7fec06ff,0x3ffe62ff,0x980000ff,
    0x000fffff,0xfffff980,0x3ffff200,0xfff301ff,0x3ffa20df,0x0fffffff,
    0x07ffffa8,0x01fffff3,0x7fffffe4,0xdffff301,0x5fffff10,0x3fea0000,
    0x3ffe67ff,0xfffd106f,0x41ffffff,0x00fffffe,0x2fffffc4,0x7fffffd4,
    0xfff00002,0xffffffff,0xffffffff,0x7fff40ff,0x7fc400ff,0xfff05fff,
    0xffffffff,0xffffffff,0xfffa80ff,0x20002fff,0x507ffffa,0x260fffff,
    0x000fffff,0x05fffff7,0x3ffffffe,0xffffffff,0x807fffff,0xffffffff,
    0xffffffff,0x7407ffff,0x003fffff,0x3ffffff1,0x037fffd4,0x98bffff6,
    0x000fffff,0xfffff980,0xff980000,0x7f400fff,0xf306ffff,0x7d40dfff,
    0xffffffff,0x7ffffa80,0x1fffff30,0xfffffe80,0xdffff306,0x5fffff10,
    0x3fea0000,0x3ffe67ff,0x3ffea06f,0x20ffffff,0x05fffffc,0x1fffffec,
    0x3fffffe6,0xff500004,0xdddddfff,0xffdddddd,0x3f205fff,0x6c05ffff,
    0xa83fffff,0xeeefffff,0xeeeeeeee,0x302fffff,0x09ffffff,0xffffa800,
    0xfffff507,0x3ffffe60,0xfffff000,0x3fffea0f,0xeeeeeeef,0xffffeeee,
    0x3ffea02f,0xeeeeeeff,0xfffeeeee,0x3fe602ff,0x5405ffff,0x44ffffff,
    0x406ffffa,0x262ffffd,0x000fffff,0xfffff980,0xff980000,0x7cc00fff,
    0x983fffff,0x6c06ffff,0xffffffff,0x7ffffa80,0x1fffff30,0xfffff980,
    0xffff983f,0xfffff886,0xff500002,0x7ffccfff,0x7ffec06f,0x220fffff,
    0xdfffffff,0xfffeb99b,0x3fe20fff,0x0005ffff,0x17ffff60,0xbfffff00,
    0x3ffffe20,0xeb99bdff,0x80ffffff,0x005ffffd,0x42fffffc,0x5ffffff8,
    0xfffa8000,0xffff507f,0x3fffe60f,0x7ff5400f,0xffb03fff,0xff800bff,
    0x3f605fff,0x7c005fff,0x6405ffff,0xceffffff,0xfffdba9a,0x7d40ffff,
    0x7ec06fff,0x3fe62fff,0xcccccfff,0xcccccccc,0xffff30cc,0x9999999f,
    0x99999999,0x3ffffe61,0xffffc800,0x7ffcc0ff,0x7ffc406f,0xa80fffff,
    0xf307ffff,0x9001ffff,0x81ffffff,0x886ffff9,0xccdfffff,0xcccccccc,
    0xfffa83cc,0x3fffe67f,0x7fffc406,0x7e40ffff,0xffffffff,0xffffffff,
    0x7ffffe43,0xccccccdf,0xcccccccc,0x3ffffe20,0x7ffe4002,0xfff901ff,
    0xffffffff,0x07ffffff,0x05fffff1,0xfffffc80,0x7ffffe41,0xccccccdf,
    0xcccccccc,0x0fffff50,0x41ffffea,0xccfffff9,0xffedcccc,0x880effff,
    0x002fffff,0x0fffffe4,0x17ffffc4,0x3ffff200,0x3ffe201f,0xffffffff,
    0xffffffff,0x6ffffa82,0x17fffec0,0xfffffff3,0xffffffff,0x263fffff,
    0xffffffff,0xffffffff,0xff31ffff,0x3a001fff,0x4c5fffff,0xb806ffff,
    0x0fffffff,0x07ffffa8,0x01fffff3,0x3fffffa0,0x37fffcc5,0x7fffffc4,
    0xffffffff,0xfa86ffff,0x3fe67fff,0xffb806ff,0x440fffff,0xfffffffd,
    0xffffffff,0x7fffe40e,0xffffffff,0xffffffff,0x3fffee1f,0x7fcc000f,
    0xfb104fff,0xffffffff,0x1dffffff,0x1fffff70,0xffff9800,0x7fffe44f,
    0xffffffff,0xffffffff,0xfffff51f,0x1ffffea0,0x7fffffcc,0xffffffff,
    0x701fffff,0x001fffff,0x4fffff98,0x0fffffb8,0x7fffcc00,0x7fec404f,
    0xffffffff,0x01efffff,0x80dffff5,0x262ffffd,0xffffffff,0xffffffff,
    0xff31ffff,0xffffffff,0xffffffff,0x3ffe63ff,0xff3000ff,0x7cc5ffff,
    0xfd006fff,0x501fffff,0x260fffff,0x000fffff,0x5ffffff3,0x437fffcc,
    0xfffffff8,0xffffffff,0xffa86fff,0x3ffe67ff,0xfffd006f,0x3ee01fff,
    0xffffffff,0xf903ffff,0xffffffff,0xffffffff,0x7f43ffff,0xd0005fff,
    0xb80fffff,0xffffffff,0x203fffff,0x005ffffe,0x8fffffd0,0xfffffffc,
    0xffffffff,0x51ffffff,0x2a0fffff,0xf307ffff,0xffffffff,0xffffffff,
    0x7fff403d,0xffd0005f,0xfffd0fff,0x3fa000bf,0xf5007fff,0xffffffff,
    0xa809ffff,0x6c06ffff,0x3e62ffff,0xffffffff,0xffffffff,0xfff31fff,
    0xffffffff,0xffffffff,0x3fffe63f,0x3ff2000f,0xff30ffff,0x3e600dff,
    0xa80fffff,0xf307ffff,0x4001ffff,0x0ffffffc,0x10dffff3,0xffffffff,
    0xffffffff,0xfff50dff,0x7fffccff,0xffff3006,0x7ecc01ff,0xffffffff,
    0x3fff201d,0xffffffff,0xffffffff,0xffff51ff,0x3ee0005f,0x4c02ffff,
    0xfffffffd,0x3ea01dff,0x0002ffff,0x45fffff7,0xfffffffc,0xffffffff,
    0x51ffffff,0x2a0fffff,0xf307ffff,0xffffffff,0x7fffffff,0xfffffa80,
    0xfff70002,0x7ffd45ff,0xf70002ff,0x2005ffff,0xfffffdc8,0xa801ceff,
    0x6c06ffff,0x3e62ffff,0xffffffff,0xffffffff,0xfff31fff,0xffffffff,
    0xffffffff,0x3fffe63f,0x7ff4000f,0xfff34fff,0x7fe400df,0xffa80fff,
    0xfff307ff,0xfe8001ff,0xff34ffff,0xfff10dff,0xffffffff,0xdfffffff,
    0x4fffff50,0x006ffff9,0x03fffff2,0x555554c0,0xffff9001,0xffffffff,
    0xffffffff,0x3ffff63f,0x3fe20007,0x26005fff,0x001aaaaa,0x00fffffb,
    0x7ffffc40,0x3fffff25,0xffffffff,0xffffffff,0x0fffff51,0x41ffffea,
    0xfffffff9,0xbcdeffff,0xffffd800,0x3fe20007,0x3ff65fff,0x220007ff,
    0x005fffff,0x00155310,0x0dffff50,0x02ffffd8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xeffffc80,0xfff70000,0x01fffe8b,0x442ded98,
    0xffb802ff,0x3fffa24f,0x00000001,0xddddddd9,0x7001dddd,0xeeb8bddd,
    0xee98004e,0xeeeeeeee,0xddb0002e,0x1eeee85d,0x00200000,0xbddd5000,
    0x004eeeb8,0xdddddd70,0x003ddddd,0xdb0fbbb2,0x000005dd,0x54400000,
    0xa8000001,0x0002aaaa,0x02000004,0x00353000,0x0006aaa0,0x89555544,
    0x2602aaaa,0x80aa602a,0x00002aaa,0x03ffffe2,0x7fffb000,0x2013fff2,
    0xdffffffb,0xb001ffeb,0x3ff65fff,0x3e00003f,0xfffb004f,0xffffffff,
    0xdfff9001,0x005fffc8,0xffffffa8,0x003fffff,0xf87ffff0,0x00002fff,
    0x002dffb8,0x8ffff700,0x0006fffc,0xfffffff9,0x2003ffff,0x7fc4fffe,
    0x530003ff,0x03e88013,0x7fff65c0,0x000cdeff,0x3fffe600,0xfd50001f,
    0xea80005d,0x7dc002ef,0x2004ffff,0x0001fffb,0x365ffff9,0x2a01ffff,
    0x0bff02ff,0x0003fff4,0x03ffff70,0xffff1000,0x200dfff9,0xfffffffd,
    0x22007fff,0xfffcffff,0x3e200006,0xfffb005f,0xffffffff,0xdfff9001,
    0x005fffc8,0xffffffa8,0x003fffff,0xf87ffff0,0x00002fff,0x07ff7fdc,
    0x7ffdc000,0x037ffe47,0xfffffc80,0x01ffffff,0xf89fffd0,0x97003fff,
    0xdffffffd,0x04ffe819,0xfffffe98,0x3fffffff,0xfffb0000,0x3ea0003f,
    0x0001ffef,0x03ffdff5,0x3fffff60,0xfff006ff,0x3fe2000b,0xffff13ff,
    0x1eff8805,0xc80bff22,0x00000fff,0x0003ffff,0x7ffffd40,0xff8801ff,
    0xffffda9c,0x7fd4002f,0x000fffff,0x7fff6440,0x32a02dff,0xcccccccc,
    0xffc800cc,0x2fffe46f,0x66664c00,0x1ccccccc,0x7ffff000,0x002ffff8,
    0xfa87f400,0xffb80003,0x37ffe47f,0xcccca800,0x0ccccccc,0x89fffd00,
    0x4c03ffff,0xfffffffe,0xd8cfffff,0x7e405fff,0xffffffff,0x0effffff,
    0x3ffe2000,0x3f60002f,0x2000bf31,0x00bf31fd,0xff9ffff5,0xffb807ff,
    0xff90001f,0x1fffe49f,0xeefffc80,0x7d406fff,0xa80002ff,0x00002fff,
    0x3fffffc8,0x501dd300,0x7e400079,0x0002ffff,0x7fffffd4,0x000dffff,
    0x99950000,0x03ccca87,0x00000000,0x99073332,0x40000399,0x017e25f8,
    0x13332600,0x00079995,0xcb800000,0x666642cc,0x3ffff201,0xffffffff,
    0xefffffff,0x3ffffa00,0xffffffff,0x01ffffff,0x05fff900,0x3fc7f800,
    0x3fc7f800,0x887fff40,0x3e00ffff,0xf10005ff,0x7ffc4bff,0x7ffec005,
    0x4401efff,0x80004fff,0x00002ccb,0x00aaaaa0,0x10000000,0x00055555,
    0xffffffa8,0x06ffffff,0x00000000,0x00000000,0x00000000,0xfd8afe80,
    0x00000002,0x00000000,0x3fa00000,0xffffffff,0xffffffff,0x3f200eff,
    0xbdffffff,0xffffecba,0xf88006ff,0xc80003ff,0x004fb8bf,0x9f717fb0,
    0x46fff880,0xf701fffd,0x2e0003ff,0x3ff20eff,0xfdb50006,0x7ff4007b,
    0x00000006,0x00000000,0x00000000,0x7ffff400,0xffffffff,0x3ffea04f,
    0x3fff607f,0x7d4004ff,0x3e66ffff,0xffffffff,0xffffffff,0xfc8005ff,
    0x0002ffff,0x3ffff600,0xff98002f,0xffffffff,0xffffffff,0xffc8005f,
    0x40002fff,0x807ffffa,0xeffffffc,0xffdba9bc,0x201fffff,0xdffffff8,
    0x3fffee00,0x4c4003ff,0xf3000019,0x0003ffff,0x03ffffe6,0xd8bfff30,
    0xfff02fff,0x0000000b,0x64000000,0x3f600fff,0x4004ffff,0x26fffffa,
    0xfffffff9,0xffffffff,0x2a05ffff,0x0007ffff,0x17ffffe4,0xffffb800,
    0xffbcff8d,0x3fea07ff,0x3fe207ff,0x2000ffff,0x21fffffe,0xfffffff9,
    0xffffffff,0x4005ffff,0x5ffffff8,0xff100000,0x000bffff,0xfffffff3,
    0xffffffff,0x800bffff,0x5ffffff8,0x7ffd4000,0x7ffc407f,0x75405fff,
    0x204fffff,0x03fffffd,0xffffff30,0x06000001,0x00bec880,0x05f64400,
    0x227ffd40,0xfb83fffc,0x000001ff,0x00000000,0x880bffea,0x00ffffff,
    0x3fffffa0,0x3ffffe61,0xffffffff,0x05ffffff,0x01ffffea,0xfffff880,
    0xffb0005f,0x6d3fe1ff,0xf501ffff,0xfb80ffff,0x7005ffff,0x989fffff,
    0xffffffff,0xffffffff,0x5c005fff,0x0fffffff,0xffb80000,0x000fffff,
    0x7fffffcc,0xffffffff,0x005fffff,0x7fffffdc,0x3ea0000f,0x7ec07fff,
    0x9803ffff,0x0fffffff,0x6fffffa8,0x7fffdc00,0xb951005f,0x7e419bdd,
    0x00000003,0x3ffe6000,0x417ffe45,0x00005fff,0x2b37b6e2,0xeca88000,
    0xf1002bde,0xffb809ff,0xf7005fff,0xf989ffff,0xffffffff,0xffffffff,
    0x3fea05ff,0x2e0007ff,0x0fffffff,0x5fffe800,0x55e4d3fe,0xffff5009,
    0xffffd00f,0xfff8805f,0xfff986ff,0xffffffff,0xffffffff,0x7fff4005,
    0x0004ffff,0xfffffe80,0x7cc004ff,0xffffffff,0xffffffff,0x7f4005ff,
    0x04ffffff,0x3fffea00,0x3fffea07,0xfff8805f,0xc83fffff,0x001fffff,
    0x07ffffe8,0xffffffb8,0xeffcdfff,0x3fbb2a00,0x5100adee,0xaa803555,
    0xfff10aaa,0x41fffd8b,0x0001fffb,0x7ffffec4,0x2004ffff,0xfffffffb,
    0xfff800ef,0xffffe806,0x7ffc402f,0xfff986ff,0xffffffff,0xffffffff,
    0x3fffea05,0x3ffa0007,0x004fffff,0x3e5fffe8,0xffa8004f,0xff9807ff,
    0x7ec06fff,0xf982ffff,0xccccffff,0xcccccccc,0x3e6002cc,0x7fffffff,
    0x7fcc0000,0x07ffffff,0x7ffffcc0,0xcccccccc,0x02cccccc,0x3ffffe60,
    0x20007fff,0x207ffffa,0x01fffffc,0x7fffff44,0xffd87fff,0xf70005ff,
    0x2201ffff,0xfffffffe,0x1fffffff,0xffffff50,0x503fffff,0xe80bffff,
    0x3fe2ffff,0x07fffc7f,0x00017ffe,0xfffffff3,0x03dfffff,0x7ffffec4,
    0x02ffffff,0x2007ffec,0x06fffff9,0x17ffffec,0x67ffffcc,0xcccccccc,
    0x202ccccc,0x007ffffa,0xffffff30,0xfb000fff,0x13fe1fff,0x3fffea00,
    0xffff9007,0x3ffe607f,0xfff305ff,0x000001ff,0xffffff90,0x00005fff,
    0x7fffffe4,0x26002fff,0x000fffff,0xfffc8000,0x02ffffff,0xfffff500,
    0x2ffffec0,0x5e7fff40,0x740fffff,0x0004ffff,0x03fffff3,0xffffffd1,
    0xffffffff,0x3fffea07,0xffffffff,0x7fffd42f,0x7ffff405,0x277fff22,
    0x7dc5fffc,0x220001ff,0xffffffff,0x0fffffff,0xffffff90,0x3fffffff,
    0x017ffdc0,0x1fffffe4,0x5fffff98,0x1fffff30,0xff500000,0x32000fff,
    0xffffffff,0x7fe4002f,0x04ff9eff,0x7ffffa80,0xfffff100,0xffffd01f,
    0x3ffe601f,0x000000ff,0xfefffff8,0x00005fff,0x3fbffffe,0x26005fff,
    0x000fffff,0xffff8000,0x05ffffef,0xfffff500,0x27ffffc0,0x557fff60,
    0x7c1fffff,0x0003ffff,0x05fffff1,0x39fffff9,0x3fffff26,0xfffff986,
    0xffffffff,0x7fffd47f,0x7ffff405,0x3ffffe22,0x7fc1ffff,0x7f40005f,
    0xbabeffff,0x85fffffd,0xaefffff9,0x5ffffeb8,0x013ffe60,0x3fffffe2,
    0xfffffe80,0xfffff300,0xf5000001,0x2000ffff,0xffefffff,0x7cc005ff,
    0x4fffffff,0xffffa800,0x3ffea007,0x7ffdc5ff,0x3fe603ff,0x00000fff,
    0x77fffd40,0x00fffff9,0xffffa800,0x0fffff9e,0xfffff300,0xa8000001,
    0xff9effff,0xa8000fff,0xf107ffff,0x6407ffff,0x3fe66fff,0x3fe22fff,
    0x20002fff,0x4c3fffff,0x882fffff,0x43fffffe,0x0aeffffc,0x3fffff93,
    0x02ffffd4,0x30bffffa,0x5ffffffd,0x001fffb8,0x3ffffea0,0xfffff704,
    0x3ffffe87,0x03ffffb0,0xa8037ffc,0x5c5fffff,0x203fffff,0x00fffff9,
    0xfffa8000,0xffa8007f,0xffff9eff,0x7fec000f,0x2dffffff,0x3fffea00,
    0x7ffec007,0xffff11ff,0xfff980df,0x000000ff,0xe9ffffec,0x0004ffff,
    0xd3ffffd8,0x2009ffff,0x00fffff9,0x7fec0000,0xffffd3ff,0xfff50009,
    0x3ffe60ff,0xfff902ff,0x7fffc41d,0x3fffea4f,0x3fe0001f,0x7fec4fff,
    0xfffb04ff,0xfed8ffff,0xffff01ff,0x7fffd45f,0x7ffff405,0xbdecb882,
    0x205fff80,0xffffc800,0x7fffec05,0x1ffffe67,0x05ffff88,0x4003fff6,
    0x11fffffd,0x80dfffff,0x00fffff9,0xfffa8000,0xffd8007f,0xffffd3ff,
    0xffe88009,0xffffffff,0xffffa803,0x7ffc4007,0xffff96ff,0xfff9803f,
    0x000000ff,0x43ffffe2,0x007ffffb,0x7ffffc40,0x0fffff70,0x3ffffe60,
    0x22000000,0xf70fffff,0x5000ffff,0x2a0fffff,0xb81fffff,0xff80ffff,
    0x3fe65fff,0x20002fff,0x7c4fffff,0xfd80ffff,0x1ffffedf,0x3f201988,
    0x3fea3fff,0x7ff405ff,0x2e0002ff,0x7ecc1fff,0xffd03eff,0xff8803ff,
    0xfff50fff,0xfffe80bf,0x07ffee07,0x7ffffc40,0x3fffff96,0xfffff980,
    0xfa800000,0x44007fff,0xf70fffff,0x2000ffff,0xfffffffd,0x2a00dfff,
    0x8007ffff,0xfcfffffb,0x9803ffff,0xaabfffff,0xaaaaaaaa,0xff7001aa,
    0x7ffc4bff,0x2e0002ff,0x3e25ffff,0x9802ffff,0xaabfffff,0xaaaaaaaa,
    0xff7001aa,0x7ffc4bff,0x7d4002ff,0xff307fff,0xffa85fff,0xffff01ff,
    0x7fffc49f,0xff10003f,0x7fc45fff,0xeffc87ff,0x02ffffd8,0x7fff5440,
    0x3fffea3f,0x7ffff405,0x3ffe0002,0x7ffffdc5,0x3fe20dff,0xffd007ff,
    0x3ffee5ff,0xaaaaaadf,0x207fffea,0x2003fff9,0xfcfffffb,0x9803ffff,
    0xaabfffff,0xaaaaaaaa,0x7fd401aa,0x7dc007ff,0x3fe25fff,0x30002fff,
    0xfffffffb,0x7fd40dff,0xfd0007ff,0xffffffff,0x3ffe600d,0xffffffff,
    0x4fffffff,0x5ffffd00,0x05ffffe8,0x3ffffa00,0x2fffff42,0x7ffffcc0,
    0xffffffff,0x004fffff,0xe85ffffd,0x4005ffff,0x107ffffa,0x4c7fffff,
    0xf102ffff,0xff87ffff,0x30004fff,0x4c3fffff,0x7d46ffff,0xffff90ff,
    0xfedb8809,0x23ffffff,0x405ffffa,0x002ffffe,0x443fff70,0xfffeffff,
    0x3fffea3f,0xffffb006,0x3fffff27,0xffffffff,0x3e00ffff,0x7f4005ff,
    0xffffffff,0xffff3006,0xffffffff,0x09ffffff,0x07ffffa8,0x17ffff40,
    0x017ffffa,0xfffff100,0x2a05ffff,0x0007ffff,0xfffffff3,0x3e6003ff,
    0xffffffff,0xffffffff,0xfff9804f,0x7ffd40ff,0xf98001ff,0x7d40ffff,
    0x4c01ffff,0xffffffff,0xffffffff,0xff9804ff,0x7fd40fff,0x2a001fff,
    0x3e07ffff,0xff15ffff,0x7fcc07ff,0x7fec1fff,0xf70005ff,0x7d41ffff,
    0x3fe65fff,0x3fffee1f,0xfffec984,0xffffffff,0x17fffea3,0x05ffffd0,
    0x8bfff100,0xff13fffc,0x3ffee1ff,0xfffb006f,0x3ffff69f,0xffffffff,
    0x201fffff,0x4c007ffd,0xffffffff,0xfff3001f,0xffffffff,0x9fffffff,
    0x7ffffa80,0x3fffe600,0x7fffd40f,0x7fc0001f,0x6fffffcd,0x0fffff50,
    0x7fffe400,0x26004fff,0xffffffff,0xffffffff,0xffd804ff,0xfff885ff,
    0xfd8004ff,0xff885fff,0x7cc04fff,0xffffffff,0xffffffff,0xfffd804f,
    0xffff885f,0x3fea004f,0x3ffa07ff,0xfffe8eff,0x7fffd404,0x7fffe40f,
    0xd05d700f,0xf88fffff,0xfff37fff,0x3ffffb85,0x7fffffdc,0xffffeeff,
    0x17fffea3,0x05ffffd0,0x83fff700,0x3f60fffe,0xffff52ff,0x3fffa00f,
    0xdffff92f,0xdddddddd,0x5c03dddd,0x64001fff,0x4fffffff,0x3fffe600,
    0xffffffff,0x04ffffff,0x03ffffd4,0x0bffffb0,0x09fffff1,0xf34ff800,
    0x3ea0ffff,0x20007fff,0xffffffe8,0x3ffe6000,0xffffffff,0x4fffffff,
    0x7ffffc40,0xfffffb02,0xffff8800,0xffffb02f,0xffff980f,0xffffffff,
    0x04ffffff,0x17ffffc4,0x07ffffd8,0x1ffffea0,0xefffffd8,0xfe804fff,
    0xffa87fff,0xffd05fff,0x3fffea3d,0xfffff85f,0xfd83ffe9,0x3ff22fff,
    0x70acefff,0x7d47ffff,0x7f405fff,0x44002fff,0xfff85fff,0x99fffdc6,
    0x800fffff,0xf71fffff,0x00009fff,0x003fff98,0x7fffff44,0x3fe6000f,
    0xffffffff,0xffffffff,0x7fffd404,0xffff1007,0x3fff605f,0x7fc0007f,
    0x03ffff24,0x01ffffea,0xfffff500,0xfff98005,0x99999aff,0x09999999,
    0x3ffffdc0,0x5fffff50,0x7fffdc00,0x3fffea07,0x3ffe602f,0x99999aff,
    0x09999999,0x3ffffdc0,0x5fffff50,0x3fffea00,0x3fffe607,0xa805ffff,
    0xd05fffff,0xa83fffff,0xfedfffff,0xfe81ffff,0x84ffffff,0x10fffff8,
    0x207fffff,0x2a3ffffc,0x7c06ffff,0x4002ffff,0x7c41fffb,0x7ffdc6ff,
    0x0fffffe4,0x4fffff50,0x405ffffa,0x7ffc4000,0xfffa8005,0x7cc002ff,
    0x999affff,0x99999999,0x7ffd4009,0xfff7007f,0x7ffd40ff,0x3b2a02ff,
    0xa93fe2fe,0xfa80ffff,0x40007fff,0x01fffff9,0x7ffffcc0,0xfe800000,
    0xccccefff,0xfffffccc,0x3fffa005,0xccccccef,0x05fffffc,0x03ffffe6,
    0x3ffa0000,0xccccceff,0x5fffffcc,0xfffff500,0xfffffd80,0xffe8806f,
    0xff301fff,0xea87ffff,0xffffffff,0xffff704f,0x3ff20bff,0x3ffea6ff,
    0x3fff606f,0x3fffe63f,0x3fffe206,0x3fe2002f,0x6fff885f,0xf927ffdc,
    0x2201ffff,0x225ffffe,0x501fffff,0xd0079dff,0xf3000fff,0x8003ffff,
    0x00fffff9,0xfffa8000,0xfffd007f,0x999999df,0x0bfffff9,0xf2ffffd4,
    0x3fffe49f,0x07ffffa8,0x7fffcc00,0x7fcc001f,0x00000fff,0x7fffffcc,
    0xffffffff,0x801fffff,0xfffffff9,0xffffffff,0xf301ffff,0x0001ffff,
    0xfffff980,0xffffffff,0x01ffffff,0x07ffffa8,0x7fffffcc,0x7fff4c03,
    0x7fe404ff,0x89bdffff,0xffffffe9,0x3ffa00ff,0xffc82fff,0x3ff21fff,
    0xffd104ff,0x7ffc47ff,0xfff900ff,0x7dc005ff,0xdfff01ff,0x263fffb8,
    0x42ffffff,0x0fffffe9,0x177fffe4,0x17ffffe2,0x007fff20,0x3fffff30,
    0xffff9800,0xa800000f,0x9807ffff,0xffffffff,0xffffffff,0xff101fff,
    0x93fe3fff,0xf506ffff,0x8000ffff,0x01fffff9,0x7ffffcc0,0x7e400000,
    0xffffffff,0xffffffff,0xffc804ff,0xffffffff,0xffffffff,0xffff304f,
    0xc800001f,0xffffffff,0xffffffff,0xfa804fff,0xfe807fff,0x09dfffff,
    0xfffff951,0xfff100df,0xffffffff,0xffffffff,0xffffa809,0xfffdceff,
    0x7fdc3fff,0xffd80fff,0x7ffc4fff,0xfffb85ff,0xf1002fff,0x7ff40bff,
    0x0bfff60f,0xfffffff9,0xfffffffd,0xfffff107,0xffffb7df,0xff5001ff,
    0xff98007f,0x4c001fff,0x000fffff,0xffffa800,0xffffc807,0xffffffff,
    0x4fffffff,0x3fffffa0,0xffd9cffa,0xfff503ff,0xf98000ff,0x4001ffff,
    0x00fffff9,0x7fffc000,0xffffffff,0xffffffff,0xfffff807,0xffffffff,
    0x7fffffff,0x1fffff30,0xfff80000,0xffffffff,0xffffffff,0xfffa807f,
    0x7ffd407f,0xffffffff,0xffffffff,0xffb1002f,0xffffffff,0xffffffff,
    0x3ffea05d,0xffffffff,0xffa85fff,0xfc9befff,0x44ffffff,0xcefffffe,
    0xfffffffc,0xfff7002f,0xa7ffe403,0xe80ffff9,0xffffffff,0x205fffff,
    0xfffffffa,0x03ffffff,0x00bfff10,0x1fffff98,0x7fffcc00,0xa800000f,
    0xf807ffff,0xffffffff,0xffffffff,0x3e607fff,0xffffffff,0x206fffff,
    0x007ffffa,0x7ffffcc0,0x7ffcc001,0x200000ff,0xeefffffa,0xeeeeeeee,
    0x02fffffe,0x3bffffea,0xeeeeeeee,0x2fffffee,0x0fffff98,0x3fea0000,
    0xeeeeefff,0xffeeeeee,0x7d402fff,0x3ea07fff,0xffffffff,0xffffffff,
    0xa8001eff,0xffffffff,0xffffffff,0x3e61dfff,0xffffffff,0x203fffff,
    0xfffffffe,0xffffffff,0x7ffffd45,0xfcefffff,0xf8802fff,0x7fc405ff,
    0x3fffffff,0x3ffffee0,0x02ffffff,0xffffff98,0x003fffff,0x2003fff4,
    0x01fffff9,0x7ffffcc0,0xfa800000,0x7d407fff,0xeeeeffff,0xfeeeeeee,
    0x3202ffff,0xffffffff,0x201fffff,0x007ffffa,0x7ffffcc0,0x7ffcc001,
    0x200000ff,0x005ffffd,0x02fffffc,0x00bffffb,0x85fffff8,0x00fffff9,
    0x3fff6000,0x7ffc005f,0x7fd405ff,0xfff307ff,0xfffff77f,0xffffffff,
    0xdb880009,0xdffffffe,0xfffffeab,0x22fffa2f,0xfffffffc,0x7ffc400d,
    0x8dffffff,0x5c0fffff,0xffffffff,0x2ffffb8e,0x01fffb80,0xffffffa8,
    0xfdb9805f,0x00deffff,0x3fffb220,0x8001cfff,0x2000fffc,0x01fffff9,
    0x7ffffcc0,0xfa800000,0x7ec07fff,0x7c005fff,0x5c05ffff,0xffffffff,
    0x7d400eff,0x40007fff,0x01fffff9,0x7ffffcc0,0xcccccccc,0x0ccccccc,
    0x0bffffe2,0xfffff900,0xfffff103,0xfffc8005,0x7ffcc1ff,0xccccccff,
    0xcccccccc,0x3fffe20c,0x7fe4002f,0x3ea01fff,0xff707fff,0x7ffdc47f,
    0x1cefffff,0x55300000,0x3fffee01,0x4cc274c6,0x6440009a,0x23efffff,
    0xb83ffffc,0x24effffe,0x402ffffb,0x2005fff8,0x02dffed8,0x00135100,
    0x026aa600,0x0aaa8800,0x3fffe600,0x7fcc001f,0xcccccfff,0xcccccccc,
    0xfff500cc,0x7ffc40ff,0x7e4002ff,0x4c01ffff,0xdffffffd,0xffff5003,
    0xff98000f,0x4c001fff,0xffffffff,0xffffffff,0x3ee1ffff,0x4000ffff,
    0x84fffff9,0x00fffffb,0x7ffffcc0,0x7ffffcc4,0xffffffff,0x1fffffff,
    0x03ffffee,0xfffff300,0x7fffd409,0x3013ea07,0x00001553,0xfd880000,
    0x0000082f,0x004d4c40,0x0054c400,0x00000000,0x00000000,0x00000000,
    0x3ffffe60,0x7ffcc001,0xffffffff,0xffffffff,0xffff501f,0x7fffdc0f,
    0x7fcc000f,0x2a004fff,0x54000dff,0x0007ffff,0x0fffffcc,0x3fffe600,
    0xffffffff,0xffffffff,0x17ffffa1,0x7ffff400,0x5ffffe87,0xffffd000,
    0xfffff98f,0xffffffff,0x1fffffff,0x017ffffa,0x3fffff40,0x0fffff50,
    0x00000018,0x22000000,0x00000003,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fffff30,0xffff9800,0xffffffff,0xffffffff,0xfffff501,
    0x2fffff40,0xffffe800,0x027fc007,0x3ffffd40,0x3ffe6000,0x7cc001ff,
    0xffffffff,0xffffffff,0xfff51fff,0x2e0005ff,0x2a2fffff,0x002fffff,
    0x5fffff70,0x7fffffcc,0xffffffff,0x51ffffff,0x005fffff,0x3ffffee0,
    0xfffff502,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x01fffff9,0x7ffffcc0,0xffffffff,0x1fffffff,
    0x0fffff50,0x0bffffea,0x7fffdc00,0x13fe002f,0x3fffea00,0x7fcc0007,
    0x4c001fff,0xffffffff,0xffffffff,0xffb1ffff,0x44000fff,0x365fffff,
    0x0007ffff,0x97ffffe2,0xfffffff9,0xffffffff,0xfb1fffff,0x4000ffff,
    0x05fffff8,0x00fffff5,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3e600000,0x4001ffff,0xfffffff9,0xffffffff,
    0x501fffff,0x360fffff,0x0007ffff,0x17ffffe2,0x0003ee80,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00d44000,0x80000000,0xa80001a8,
    0x55540aaa,0x5554000a,0x9800002a,0x0000001a,0x00009980,0xaaa80000,
    0x0555540a,0x04d4c400,0x0aa88000,0x00005510,0x2aaa0000,0x5540002a,
    0x0aaaa82a,0x55554c00,0x55440002,0x20001aaa,0x00000a98,0x002aaaa8,
    0xa8805544,0x00000002,0x98d5554c,0x0000aaaa,0x1aaa9800,0x440d554c,
    0xa802aaaa,0xbdfffffd,0x3fffffa0,0xffffffff,0x951007ff,0xbdfffffd,
    0xff980017,0x1bffea6f,0xfffff100,0xfdb70000,0x17bdffff,0x9ffffe20,
    0x41fffff8,0xfffffdc9,0x765c4003,0x54002cdf,0x3fea6fff,0x7fdc006f,
    0x003fffff,0xd827fc40,0x6dcc007f,0x0002cdfe,0x07fffff7,0x1fffe200,
    0x0007fffe,0x007ffffd,0x6ffffb80,0xfffeb800,0x002cdfff,0x7ffffdc0,
    0x13fe2003,0x22003fec,0x02defeca,0x77fffc40,0x05ffff88,0x5e77ee54,
    0x3ffe2000,0x1ffff10f,0x0fffff30,0xffffffc8,0xffd1ffff,0xffffffff,
    0x00ffffff,0xfffffff5,0x07ffffff,0x8cfffc80,0x4001ffff,0x007ffff8,
    0x3ffffa60,0xffffffff,0x7ffff883,0x87ffffe2,0xfffffffc,0xf9800eff,
    0xdfffffff,0x3fff2000,0x00ffff8b,0xfffffd10,0x001dffff,0x2a0fff40,
    0x3f6005ff,0xdfffffff,0x3ffe6000,0x8001ffff,0x7cc5fffa,0x7d4007ff,
    0x80003fff,0x000effff,0x3fffffee,0x0dffffff,0xffff9800,0x3a001fff,
    0x2ffd41ff,0xfffff700,0x2003dfff,0xf90ffffb,0x36201dff,0xffffffff,
    0x3ffea003,0x02fffe8d,0x20fffff3,0xffffffe8,0xebffffff,0xffffffff,
    0x7fffffff,0x3ffff220,0xffffffff,0x2000dfff,0xfffefffe,0xfff88003,
    0xff90007f,0xffffffff,0x41bfffff,0x227ffff8,0xe89fffff,0xffffffff,
    0x7dc06fff,0xffffffff,0x3fa000ef,0x03fffeff,0xfffffd10,0x0bffffff,
    0x7fffcc00,0x800ffffe,0xffffffe8,0x001fffff,0xfff9fffd,0xfff9000d,
    0x06fffa87,0x027fff40,0x77ffdc00,0x3fff2000,0xffffffff,0x4001efff,
    0xfffcfffe,0x3ffe6006,0x00ffffef,0xffffff90,0x001fffff,0x3e23ffff,
    0xff501fff,0xffffffff,0x7fec009f,0x205fffef,0xd07ffff9,0xffffffff,
    0xffffffff,0xffffffff,0x0fffffff,0x7ffffff4,0xffffffff,0x3001ffff,
    0x0bffffff,0x3fffe200,0xfffe8007,0xffffffff,0x1fffffff,0x44fffff1,
    0xffbfffff,0xffffffff,0xf104ffff,0xffffffff,0x4c00bfff,0x05ffffff,
    0x3ffffee0,0xffffebac,0x3fee0003,0x002fffff,0xfffffffd,0x00dfffff,
    0x3f67fff9,0x7ec004ff,0x7ffe42ff,0x3ffe6004,0xffd00005,0x7fe4001f,
    0xffffffff,0x2fffffff,0x27fff900,0x2004fffc,0xfffffffb,0xffffb002,
    0xffffffff,0x2fffa80d,0x440bffee,0xffffffff,0x005fffff,0xdfffffd1,
    0x7fffcc01,0xfffffa87,0xfecaacef,0xcfffffff,0xcccccccc,0xfff904cc,
    0x557bffff,0xffffffd9,0x7ffdc00d,0x320000ff,0x5c004ccc,0xdeffffff,
    0xfffecaab,0xff88ffff,0x3ffe27ff,0xdfffffff,0xfffffecb,0xffff907f,
    0xffffb57f,0x7fdc003f,0x36000fff,0x7c43ffff,0x40005fff,0x00cefec9,
    0xdfffff30,0xfffffd55,0x2fffd407,0x8007fffa,0x7f40ffff,0x3f6002ff,
    0xf500005f,0x7d4003ff,0xcfffffff,0xfffffdba,0x7fd400ff,0x0ffff46f,
    0x9dfd9300,0x3ffe6001,0xffdaadff,0x3fa02fff,0x01fffc3f,0x5bfffff9,
    0x1fffffd7,0x3fffe600,0x6664401f,0xffffe84c,0x3fff603f,0x80006fff,
    0xdffffff9,0x3fffea00,0x000003ff,0xf1000000,0x80bfffff,0x5ffffffa,
    0x7c4dfb33,0xaeffffff,0xfffffb80,0x7fffc42f,0x7fffec1f,0x40000004,
    0xc81ffffe,0x00006fff,0x7ffe4000,0xffffd83f,0x80000005,0xff87fff8,
    0x266001ff,0x26200001,0x7ff40009,0xd101dfff,0x009fffff,0x00000000,
    0x27fffec0,0x02ffffe4,0xfff10000,0xffe883ff,0x000004ff,0xffffa800,
    0xfffd803f,0xe80006ff,0x003fffff,0x1fffffd1,0x00000000,0xffffb000,
    0x3fa2007f,0x3fa1ffff,0x3ffffe25,0x7fe401ff,0x7fdc5fff,0xfff985ff,
    0x000000ff,0x13ffff60,0x0017fffa,0xfff00000,0xfff501ff,0x800000ff,
    0xffb99998,0xffa999ef,0x000099ff,0x40000000,0x0ffffff9,0xfffffe80,
    0x00000000,0xfff98000,0xdfff307f,0x5400000b,0xf504ffff,0x0001ffff,
    0xd0555000,0x200fffff,0x06fffff9,0x7fffd400,0x7fd4006f,0x54404fff,
    0x002bdeec,0xbdeeca88,0xffff9802,0x7fd4006f,0x7ff54fff,0x7fffffc4,
    0xffff9802,0x7fffec6f,0x5ffffb03,0xddd97500,0x7fdc0059,0x3ff21fff,
    0x440002ff,0x00acdedb,0x304cb988,0x200dffff,0x2ceeecba,0x3fffff20,
    0xffffffff,0x03ffffff,0x677765d4,0x76644002,0x400bceee,0x03ffffda,
    0xbfffff30,0xeeecc880,0x54000bce,0xadeefeec,0x3ffff200,0xaa880604,
    0x555401aa,0xffff70aa,0x7ffff405,0x06aaaa23,0x41555550,0xfff86ff8,
    0x3fa003ff,0x40006fff,0x01fffffc,0x7ffffe80,0x3ffffee0,0x7000efff,
    0xffffffff,0x7ffdc01d,0xfe8001ff,0x6ffbffff,0x2fffffc4,0xfffffd00,
    0x01ffffe8,0x407ffff9,0xffffffe8,0xf8802fff,0xfd8effff,0x8000ffff,
    0xffffffd8,0x00004fff,0x809ffff9,0xffffffe8,0xffc82fff,0xffffffff,
    0xffffffff,0xfffd103f,0x05ffffff,0xfffffc88,0x00dfffff,0x64004b98,
    0x9107ffff,0xffffffff,0xfa801bff,0xffffffff,0xfffd01ff,0x3ea0005f,
    0x7f405fff,0xfffb2fff,0x7ffec05f,0x3fffea4f,0x7ffff405,0xf11ffe62,
    0x4003ffff,0x006ffffb,0x2fffffc0,0xffffa800,0x7ffec40f,0xffffffff,
    0x3fff6202,0xffffffff,0xdffffb02,0x3ffea000,0x441fffff,0x004fffff,
    0x87fffff2,0x700fffff,0x2e09ffff,0xffffffff,0xb803ffff,0xffffffff,
    0x98002fff,0xffffffff,0x001effff,0x3ffffe20,0x3fffee01,0xffffffff,
    0x7ffffe43,0xffffffff,0x83ffffff,0xfffffffb,0x103fffff,0xfffffffd,
    0x01dfffff,0x3fea0000,0x7f441fff,0xffffffff,0xf500efff,0xffffffff,
    0xff05ffff,0x554c3fff,0x7fffd400,0x7ffff405,0x03ffffb2,0x52ffffe4,
    0xe80bffff,0x3ea2ffff,0x3ffe60ff,0x3ee000ff,0xaaaaefff,0x42aaaaaa,
    0x04fffff8,0xfffff300,0xfffffc83,0xffffffff,0xfffff901,0xffffffff,
    0x9ffffd03,0x3ffe6000,0xf880dfff,0x2003ffff,0x11fffffb,0x201fffff,
    0xa85ffffb,0xffffffff,0x02ffffff,0xffffffd8,0x88002fff,0xffffffff,
    0x0fffffff,0x3ff2a200,0x3ea04fff,0xffffffff,0x2e2fffff,0xffffeeee,
    0xffffeeee,0x7fd42eee,0xffffffff,0xfd82ffff,0xffefffff,0x004fffff,
    0xffff1000,0xffffd85f,0xfffffeff,0xfff984ff,0xffffffff,0xfff87fff,
    0xffffb8ff,0xfff501ef,0xfffe80bf,0x5ffff92f,0x37fffec0,0x80bffff5,
    0x2e2ffffe,0x3fea1fff,0x7d4007ff,0xffffffff,0x46ffffff,0x03fffff8,
    0xfffff100,0x7ffffcc5,0xfffeb8ae,0xffff985f,0xffeb8aef,0xffff85ff,
    0xff10003f,0x7c409fff,0x2002ffff,0x11fffffb,0x540fffff,0xfe86ffff,
    0xc99bffff,0x806ffffe,0xfffffffc,0xffd0000e,0xb757dfff,0x00bfffff,
    0x7fffffdc,0x7ffff403,0xffec99bf,0x3fea06ff,0x3fffcc5f,0x3fffffa0,
    0xfffec99b,0x7fffc46f,0x7ffe441e,0x333220ff,0xcccccccc,0xfccccccc,
    0x3e23ffff,0x6441efff,0x640fffff,0x30aeffff,0x43fffff9,0xfcfffff8,
    0x4fffffff,0x05ffffa8,0xa97ffff4,0x3a04ffff,0x3ea7ffff,0x7f405fff,
    0x3ff22fff,0x3fffee1f,0x7ffcc007,0xffffffff,0x7cc6ffff,0x0002ffff,
    0xe93ffffe,0xfb03ffff,0xffe83fff,0xfffb03ff,0x7fffc43f,0x3fe0002f,
    0x3e204fff,0x2001ffff,0x32fffffa,0x540fffff,0x7dc6ffff,0xf980ffff,
    0xd302ffff,0xffffffff,0x3fea0005,0xff704fff,0x32007fff,0x404fffff,
    0x80fffffb,0x02fffff9,0xfa87fff9,0x3fee05ff,0xff980fff,0x3fe62fff,
    0x37fa03ff,0x3ffe60ac,0xffffffff,0xffffffff,0x3e64ffff,0x3fa03fff,
    0x7f6c0acd,0xffff01ff,0x7fffcc5f,0xffffffff,0x7fd44fff,0x7ff405ff,
    0xffff32ff,0xffff501f,0x7fffd4ff,0x7ffff405,0xc8bfff22,0x4007ffff,
    0xfffffff9,0xffffffff,0x7ffffd46,0x3ffa0001,0xffff35ff,0x7fffc40f,
    0x1ffffe65,0x25ffff88,0x01fffff9,0x3ffffa00,0x3fffe205,0x3fea001f,
    0xfff52fff,0x7ffd40ff,0x7ffff47f,0x2f3bf603,0xfffffa81,0x00ffffff,
    0x5ffffc80,0x3ffffec0,0xfffffd80,0xfffd03ff,0x677ec07f,0x5fffb01b,
    0x204fffc8,0x203ffffe,0x261bcefd,0x00bfffff,0xfffffa80,0xffffffff,
    0xffffffff,0x3ffe65ff,0x40000bff,0x3ff20198,0x3ffea3ff,0xfcbfffff,
    0x2a1fffff,0x7405ffff,0x3f62ffff,0xc88bffff,0x0fffffff,0x80bffff5,
    0x362ffffe,0x3fee3fff,0x7cc007ff,0xffffffff,0x46ffffff,0x02fffff9,
    0x3ffffe00,0x0bffff54,0x2a7fffe8,0x7405ffff,0x3fe67fff,0x20002fff,
    0x204fffff,0x01fffff8,0x3ffffe60,0x0fffff52,0x23ffffd4,0x200fffff,
    0xffffa800,0xfffffeff,0x402b3a65,0x401ffffe,0x00fffff8,0xffffccd8,
    0xffff84ff,0xf800200f,0x7fec0fff,0x3fffe02f,0xf100200f,0x7bffffff,
    0x3ffe6003,0xffffffff,0xffffffff,0x3e25ffff,0xbdffffff,0x54400001,
    0x2a3ffffe,0x43ffffff,0x25ffffd8,0x405ffffa,0x222ffffe,0xffffffff,
    0x7fffffff,0x017fffea,0x745ffffd,0x3fea4fff,0x2a000fff,0x999effff,
    0x09999999,0x1fffffc4,0xffff8800,0xbffff73f,0xd5555555,0x7fdcffff,
    0xaaaaadff,0x27fffeaa,0x03fffff8,0xfffff100,0x7fffc407,0x3fe6001f,
    0xfff32fff,0x7ffd40ff,0x3fffe26f,0x7fc40007,0xffd3ffff,0x3ff29fff,
    0x7ffc43ff,0xfffd007f,0xff50005f,0x7fc43fff,0x300007ff,0xfff0ffff,
    0x3ffe201f,0xfd80007f,0xffffffff,0xff300adf,0xdddddfff,0xdddddddd,
    0xd89fffff,0xffffffff,0x4000adff,0xffffedb8,0x3fe63fff,0xff106fff,
    0x3fea1fff,0x7ff405ff,0x7ffd42ff,0xffffffff,0x3fea7fff,0x7ff405ff,
    0x3fffe2ff,0x3ffffe65,0x3ffee001,0x7fc0006f,0x30004fff,0x323fffff,
    0xffffffff,0xffffffff,0xfffff90f,0xffffffff,0x7fc1ffff,0x30004fff,
    0x403fffff,0x01fffff8,0x3ffffea0,0x0fffff11,0x52ffffd4,0x000dffff,
    0x1fffffc8,0x3fffffe2,0x40fffffa,0x006ffffa,0x007ffffb,0x9bffff60,
    0x006ffffa,0x3ffbbae0,0xffeeeeff,0x52eeeeff,0x000dffff,0xfffffd10,
    0x7fffffff,0x7fffff10,0xffff8800,0x7fff443f,0xffffffff,0x7f64c03f,
    0xffffffff,0x3ffe23ff,0x3ff604ff,0xffff51ff,0xffffe80b,0xffffe982,
    0xffffadff,0x17fffea6,0x45ffffd0,0x3e25ffff,0x2002ffff,0x006ffffc,
    0x2ffffec0,0xffffb800,0xfffffb0f,0xffffffff,0x3f63ffff,0xffffffff,
    0xffffffff,0x1bffff61,0x7fffdc00,0x3ffe200f,0x3ea001ff,0xff11ffff,
    0x3ee01fff,0x3fea4fff,0x7c0007ff,0xf984ffff,0xffffffff,0xffffb86f,
    0xffffb006,0x3fea0009,0xfff50fff,0x7e4000ff,0xffffffff,0xffffffff,
    0xffff53ff,0x3620000f,0xffffffff,0xff85ffff,0x54005fff,0x883fffff,
    0xfffffffd,0x705fffff,0xffffffff,0x87ffffdd,0x202fffff,0xf52ffffc,
    0xfe80bfff,0x32a02fff,0xfff52cee,0x7fffd4bf,0x7ffff405,0x8dffff12,
    0x005fffff,0x01bffffe,0xfffff900,0xfffd0003,0x7fffe4ff,0xeeeeeeee,
    0xf91eeeee,0xdddddfff,0xdddddddd,0x7ffffe43,0xfffe8001,0x7ffc407f,
    0x3ea001ff,0x3fe1ffff,0xff901fff,0x7ffcc9ff,0x3e20007f,0xf701ffff,
    0xffffffff,0xfffff507,0x3ffffa00,0xfff10002,0x3ffe63ff,0x3f20007f,
    0xffffffff,0xffffffff,0xffff33ff,0xb880000f,0xfffffffe,0x7fe43fff,
    0x7e4007ff,0x2200ffff,0xffffffeb,0x7e43ffff,0x0aceffff,0xf87ffff7,
    0x2e03ffff,0xff53ffff,0xffe80bff,0xf70002ff,0x7fd49fff,0x7ff405ff,
    0xffff32ff,0xfffffe8f,0xffff9800,0x7d40006f,0x4006ffff,0x25fffffb,
    0x004ffffb,0x13fffee0,0xffff5000,0xffb800df,0x7c405fff,0x2001ffff,
    0x20fffffc,0xb02ffffe,0x7c47ffff,0x2200ffff,0xffff981a,0x7fffe407,
    0xff306fff,0xff001fff,0x2a623fff,0x3fe603cb,0xfff10fff,0x0d4401ff,
    0x7fffffe4,0xffffffff,0xf13fffff,0x4401ffff,0xca88001a,0x6ffffffe,
    0x1fffffd4,0xfffff880,0x3b2a2006,0x26ffffff,0x03fffff8,0xe87ffff9,
    0x3204ffff,0xff52ffff,0xfff80dff,0xfb0002ff,0x7fd47fff,0x7ffc06ff,
    0xffff52ff,0x7fffdc1f,0xfffd803f,0xe80006ff,0x003fffff,0x3ffffff1,
    0x02ffffd4,0xffffa802,0x7f400405,0x1003ffff,0x01ffffff,0x1fffff88,
    0x3ffff600,0x27fffec7,0x41ffffe8,0x203fffff,0xf14efffb,0xe805ffff,
    0x03ffffff,0x00fffffe,0x54fffff5,0x3207ffff,0x7fc7ffff,0x3ee03fff,
    0xf5314eff,0xf3333fff,0x33333fff,0x1fffffc1,0x09dfff70,0xffd98062,
    0xffff87ff,0xffd800ff,0x06203fff,0x7ffffd98,0x81bfffea,0x643ffffd,
    0x3606ffff,0xff31ffff,0x7fc40dff,0x32aa2fff,0xffff105c,0x7fffcc3f,
    0x3fffe206,0xfffff52f,0xfffffe81,0x3ffff603,0x980006ff,0x05ffffff,
    0x7fffffd4,0x7ffffc44,0x79dff501,0x0fffffc4,0x83ceffa8,0x4ffffff9,
    0x7ffffd40,0xfff8804f,0xff1001ff,0xff98bfff,0x7fd40fff,0xfffd86ff,
    0x3fffe06f,0x3ffffe3f,0x3fff6205,0xf902ffff,0x2201ffff,0x225ffffe,
    0xf02fffff,0xfd8bffff,0x3fe06fff,0x7fd43fff,0x3fffc45f,0x37fffec0,
    0x47fffff0,0x203fffec,0xa87ffff9,0x01efffff,0x3bfffff2,0x1ffff640,
    0x4fffff30,0x104ffffc,0x887ffffd,0x882fffff,0x3e27ffff,0xf900ffff,
    0x3e25ffff,0xfb81ffff,0x7fc45fff,0xff900fff,0x3fea5fff,0x7fd40fff,
    0xbaceffff,0xffffffed,0xccccccff,0x81cccccc,0xeffffffc,0xffdba9ac,
    0xc80fffff,0x442effff,0x645fffff,0x442effff,0x905fffff,0x9dffffff,
    0xfffb7535,0x2200dfff,0x881fffff,0xfffe99bd,0xfffe83ff,0xfffd30df,
    0xffff305f,0x7fe4c1bf,0x3ff60fff,0x2a21cfff,0xffffffff,0xfff984ff,
    0x7f4c2fff,0x7f40ffff,0xd50bffff,0x985fffff,0x20dfffff,0x0fffffc9,
    0x2a1fffe4,0xf9805fff,0x260dffff,0x20fffffc,0x00fffffc,0x20bffff7,
    0xcffffffe,0xfffeba9a,0xffc82fff,0xff700fff,0x7ffdcbff,0xfffd80ff,
    0xfffc84ff,0xffd70dff,0xffff8bff,0xffffb85f,0x3fff62ff,0x3ffee1df,
    0xffff81ff,0xffffb85f,0xffff52ff,0xffffd01f,0xffffffff,0xffffffff,
    0xffffffff,0xff107fff,0xffffffff,0xffffffff,0x3ffe205f,0xffdbefff,
    0x7c40ffff,0xdbefffff,0x00ffffff,0xffffffd1,0xffffffff,0x2005ffff,
    0x81fffff8,0xfffffffc,0xffa80fff,0xfffeffff,0x3ff207ff,0xffeeffff,
    0x7c45ffff,0xefffffff,0xffffffff,0x41efffff,0xfffffffc,0xfffffffe,
    0xfffff983,0xffffffff,0xffff905f,0xffffddff,0xfffd0bff,0x03fffc85,
    0xffffff90,0xffffffdd,0xfffff98b,0xffecabdf,0xfd102fff,0xffffffff,
    0x9fffffff,0x3ffffe60,0xffecabdf,0x3fea2fff,0xfc9befff,0x84ffffff,
    0xfffffff8,0x0fffffff,0x77fffff4,0xffffffcc,0x3ffee2ff,0xffffefff,
    0xfffd05ff,0xfff99dff,0x2a5fffff,0x980fffff,0xfffffffe,0xfeafffff,
    0xffffffff,0x3fffffff,0xfffffb10,0xffffffff,0xfa803dff,0xffffffff,
    0xf503ffff,0xffffffff,0x8807ffff,0xfffffffd,0xffffffff,0x3fe2001e,
    0xfff81fff,0x4fffffff,0x3fffffa0,0x03ffffff,0x3fffffe2,0xefffffff,
    0xfffffa80,0xffffffff,0xfffffeef,0xffffe80e,0xffffffff,0x3ffee05f,
    0xffffffff,0xfff100ff,0xffffffff,0xfff01dff,0x2fffd81f,0xfffff100,
    0xffffffff,0xffff501d,0xffffffff,0xff8809ff,0xffffffff,0x403fffff,
    0xfffffffa,0x4fffffff,0xffffffe8,0xffffffff,0xffff705f,0xffffffff,
    0xfffff505,0xf9dfffff,0xffd85fff,0xffffffff,0xfff500ef,0xdfffffff,
    0x2a5ffff9,0x100fffff,0xfffffffb,0x3ffa5fff,0xffffffff,0x03ffffff,
    0x7fffffd4,0x4fffffff,0x3fffe600,0x3fffffff,0x7ffffcc0,0x03ffffff,
    0x3ffffea0,0xffffffff,0xfff88004,0x7ffd41ff,0x05ffffff,0xffffffd8,
    0xd8802fff,0xffffffff,0x3a600eff,0xffffffff,0x3ff24fff,0x3fee00ff,
    0xffffffff,0xfffb802f,0xdfffffff,0x7ffec400,0xefffffff,0x87fff980,
    0x2000ffff,0xffffffd8,0x200effff,0xfffffffa,0x005fffff,0xffffffb1,
    0x05ffffff,0x3ffffea0,0x5fffffff,0xffffff10,0xfff1bfff,0x3fea01ff,
    0xffffffff,0x3fffee02,0xfb8effff,0x7f442fff,0xffffffff,0xffffb805,
    0xfb8effff,0xfff52fff,0xfeb801ff,0x22dfffff,0xfffffffe,0xffffffff,
    0xfdc8803f,0xceffffff,0xfec88001,0x01cfffff,0xffffd910,0x100039ff,
    0xfffffdb9,0x200039df,0x41fffff8,0xffffffc9,0x3fae003f,0x001effff,
    0x7fffff54,0x3b2002ef,0xdfffffff,0x802ffa81,0xfffffdb9,0x362000de,
    0x2effffff,0x7fff5400,0x2a02efff,0x7fc45fff,0xfd50007f,0x05dfffff,
    0x3fffee20,0x001dffff,0xfffffd98,0x88003eff,0xfffffffb,0x7e4401df,
    0x323effff,0x2203ffff,0xdffffffd,0xfffeb800,0x3ffee4ef,0xffff702f,
    0x5c007dff,0x24effffe,0x512ffffb,0x40015555,0x00000aa8,0x54c40000,
    0x9800000a,0x400009aa,0x00009aa9,0x002aa620,0x4c400000,0x20001aaa,
    0x00001a98,0x00013553,0x8009aa98,0x35100028,0x55300001,0x2a600003,
    0xaa98009a,0x1555441a,0x4d54c000,0x2a620000,0x2000019a,0x0009aa99,
    0x33553100,0x13531000,0xaa880000,0x15310000,0x2aa60000,0x54c40001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x00001a98,
    0x2aaaa600,0x2aa60002,0x0d55541a,0x0aaaaa00,0x5554c000,0x5555002a,
    0x55400035,0x02aaa82a,0xa8355550,0xa8001aaa,0x80002aaa,0x0002aaaa,
    0x155554c0,0x2aaaaa00,0x2aa20001,0x00055100,0x2aaa2000,0x37b2a20a,
    0x5553001b,0x01aaa983,0x4c1aaa98,0x80001aaa,0x2a0001a9,0x55541aaa,
    0x2aa2000a,0x500002aa,0x10055555,0x00155555,0x02aaa200,0x5506aaa6,
    0x22000355,0xfffffedc,0x000002df,0x00bffffe,0x45fffd80,0x2004fffe,
    0x03fffffb,0xfffff800,0xffff7002,0x7fe4000d,0x13fff24f,0x227fff40,
    0x8003fffe,0x0007ffff,0x27ffffd4,0xfffd0000,0xffa8007f,0x220007ff,
    0x0ffb04ff,0x77f76540,0x3fea00bd,0xffff52ff,0x8801dfff,0xff10ffff,
    0xff1001ff,0x3ffe21ff,0xecb8000f,0x1defffff,0x13fffa00,0x4007ffff,
    0x02fffffc,0x7fffc400,0xfff9001f,0x320000bf,0xffc81fff,0x27ffec5f,
    0x7fffd400,0xffffffff,0x5c00001e,0x0003ffff,0x3a2fffec,0xf3004fff,
    0x03ffffff,0x7fffdc00,0x7ffdc003,0x3fa0002f,0x6fffa9ff,0x13fffa00,
    0x0007fffd,0x000fffff,0x7fffffc4,0xfa80001f,0x70004fff,0x0007ffff,
    0x3ea0fff4,0xffd8805f,0x3fffffff,0x95ffff50,0xffffffff,0xfff500df,
    0x05fffd1b,0x46fffd40,0x4002fffe,0xffffffe9,0x00cfffff,0x7c4fffe8,
    0xf5003fff,0x01ffffff,0x7fffe400,0x7ffe4001,0xfe80001f,0xbfff907f,
    0x004fffd8,0x7fffffdc,0xffffffff,0x3a00001f,0x80004fff,0x7f45fffd,
    0xffd004ff,0x00dfff9f,0x01ffff40,0x06fffc80,0x3fffe600,0x2001ffff,
    0x7f44fffe,0xff8003ff,0x3a0007ff,0xefffcfff,0x7ff40000,0x7dc0004f,
    0x260006ff,0xfffeffff,0x7ffc400f,0xffffffff,0xffffa84f,0xffffffff,
    0xd805ffff,0x5fffefff,0xefffd800,0x5c004fff,0xffffffff,0x1fffffff,
    0x227fff40,0x8803ffff,0xfffdffff,0xfff10005,0x3f60005f,0x440005ff,
    0xff905fff,0x4fffd8bf,0x3fffee00,0xffffffff,0x000effff,0x04fffa80,
    0xbfffb000,0x804fffe8,0xff93fffc,0xff50009f,0xfc80009f,0x2e0001ff,
    0x03ffffff,0x227fff40,0x8003fffe,0x0007ffff,0x3f29fff7,0x260004ff,
    0x00005fff,0x0005fff9,0x7fffffdc,0xfffd802f,0xffffffff,0x7ffd42ff,
    0xb88befff,0x807fffff,0xefffffe8,0xfff88000,0x2000efff,0xfffffffd,
    0xffffffff,0x3ffa00ff,0x1ffffc4f,0xe97ffec0,0xb8002fff,0x40003fff,
    0x0000fffd,0x640fffea,0x7fec5fff,0x3ffa004f,0x999acfff,0x5ffffffc,
    0x5ffe8000,0x00000000,0xd17ffea0,0xe8003fff,0xb00005ff,0xd8000bff,
    0x0005ffff,0x99000000,0xf3000999,0xfffd8dff,0xbffb0002,0xffc80000,
    0x764c0006,0xfa800cef,0xb8adffff,0x546ffffe,0x80ffffff,0x01fffffb,
    0x1fffff98,0x3ffe6000,0x3ea001ff,0xacefffff,0xffffffda,0x0000006f,
    0xf893ffee,0x7c000fff,0x880003ff,0x20004ffe,0x0002fffb,0x7ffc4000,
    0x3fe200ff,0x80007fff,0x00000199,0x00000000,0x000ccc00,0x00066600,
    0x00000000,0x00000000,0x4c000000,0x30000019,0x00000033,0x2ffffdc0,
    0x07ffffc4,0x05fffff5,0x00fffffc,0x00000000,0xfffff880,0xfff5103f,
    0x00005fff,0x00000000,0x80000666,0x20000998,0x0000fffd,0x7ffdc000,
    0xfffb805f,0x000000ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffd80000,0xfffb02ff,0x7fffd43f,
    0x7ffff407,0x00000002,0xfff90000,0xff9003ff,0x0000bfff,0x00000000,
    0x00000000,0x00dfff00,0xff900000,0xff100dff,0xb8803ddf,0x82cdeeed,
    0x03deeecb,0x00d55544,0x442aaaaa,0x5401aaaa,0x5510aaaa,0xaaa80355,
    0x555510aa,0xaaaaa803,0x3bb32200,0x0000bcee,0x159bdb71,0x3b2ea000,
    0x10002cee,0x0159bdb7,0x6f6dc400,0x220000ac,0x00acdedb,0x00d55544,
    0xc82aaaaa,0xf900ffff,0x7fd41fff,0x7ff406ff,0xdb8802ff,0x8000acde,
    0xdeefeeca,0x3ffe200a,0xff1005ff,0xa8809dff,0x002bdeec,0xbdeeca88,
    0xeca88002,0x88002bde,0x02bdeeca,0x04fff980,0xeefeeca8,0x3ea000ad,
    0x000cffff,0x3fff6200,0xaeffffff,0xffffffea,0xfff503ff,0xfffe80bf,
    0xbffff52f,0x2ffffe80,0x80bffff5,0xf52ffffe,0xfe80bfff,0xfc882fff,
    0xffffffff,0xfd8800df,0xffffffff,0x3ffa2004,0x2fffffff,0xffffd880,
    0x004fffff,0x3fffff62,0x2004ffff,0xffffffd8,0x3ea04fff,0x7f405fff,
    0x3fea2fff,0xffff03ff,0x6ffffa8d,0x17fffec0,0xfffffd88,0x5004ffff,
    0xffffffff,0x3ee03fff,0x2001ffff,0xfb800aca,0xefffffff,0xffff7000,
    0x001dffff,0x3fffffee,0xf7000eff,0xdfffffff,0x7ffdc001,0x3fffea02,
    0x1fffffff,0xfffff100,0x800059ff,0xffffffe8,0xffffffff,0xffffffff,
    0xffffa84f,0x7ffff405,0x0bffff52,0x52ffffe8,0xe80bffff,0xff52ffff,
    0xffe80bff,0x7ff442ff,0xffffffff,0x3e600eff,0xffffffff,0x5c01efff,
    0xffffffff,0x2603ffff,0xffffffff,0x401effff,0xfffffff9,0x01efffff,
    0x7fffffcc,0x1effffff,0x05ffffa8,0x117ffff4,0xa81dffff,0x7d44ffff,
    0x7ec05fff,0xff982fff,0xffffffff,0x3ea01eff,0xffffffff,0xfc82ffff,
    0x00006fff,0xfffffb10,0x05ffffff,0x7ffffec4,0x02ffffff,0x3fffff62,
    0x02ffffff,0x3fffff62,0x02ffffff,0x201fffb0,0xfffffffa,0x02ffffff,
    0xffffffb0,0x0037bfff,0xffffffe8,0xffffffff,0xffffffff,0x7fd43fff,
    0x7ff405ff,0xffff52ff,0xffffe80b,0x0bffff52,0x52ffffe8,0xe80bffff,
    0x7ec2ffff,0xffefffff,0x104fffff,0xffffffff,0x1fffffff,0x3ffffea0,
    0xffffffff,0xffff882f,0xffffffff,0xff100fff,0xffffffff,0x201fffff,
    0xfffffff8,0xffffffff,0x2ffffd40,0x0bffffa0,0x7bfffff7,0x81dffffd,
    0x405ffffa,0x442ffffd,0xffffffff,0x0fffffff,0xffffff98,0xffffffff,
    0x5ffffd87,0xff900000,0xffffffff,0x3f203fff,0xffffffff,0xf901ffff,
    0xffffffff,0x3203ffff,0xffffffff,0x801fffff,0xff306fff,0xffffffff,
    0x200fffff,0xffffffe8,0x0befffff,0x7ffffd40,0xfffca89b,0x989dffff,
    0x21fffffc,0x405ffffa,0xf52ffffe,0xfe80bfff,0xfff52fff,0xfffe80bf,
    0xbffff52f,0x2ffffe80,0x07bfffe2,0x1fffff91,0xdfffffd0,0xffffb757,
    0x3fffa0bf,0xfec99bff,0xffe86fff,0xdbabefff,0xd05fffff,0x57dfffff,
    0xbfffffb7,0x3fffffa0,0xfffdbabe,0x7ffd45ff,0x7fff405f,0xffff982f,
    0x0dffffff,0x05ffffa8,0x217fffec,0xbefffffe,0xfffffdba,0xeffffc85,
    0xffff930a,0xffffe83f,0xf9800004,0xb8aeffff,0x985ffffe,0x8aefffff,
    0x85ffffeb,0xaefffff9,0x5ffffeb8,0xefffff98,0xffffeb8a,0x27ffcc05,
    0xaeffffc8,0xfffff930,0x3ffa6003,0xffffffff,0x3ae03fff,0xffd03fff,
    0x3ee0bfff,0x3fea4fff,0x7ff405ff,0xffff52ff,0xffffe80b,0x0bffff52,
    0x52ffffe8,0xe80bffff,0x3e62ffff,0x3fa03fff,0x7fd40acd,0xff704fff,
    0xffb87fff,0xff980fff,0x3fea2fff,0xff704fff,0xffa87fff,0xff704fff,
    0xffa87fff,0xff704fff,0x7fd47fff,0x7ff405ff,0xfff502ff,0x40dfffff,
    0x405ffffa,0x2a2ffffd,0x704fffff,0xd87fffff,0xff01fffe,0xfff85fff,
    0x800003ff,0xb03ffffe,0xfe83ffff,0xffb03fff,0xfffe83ff,0xffffb03f,
    0x3ffffe83,0x03ffffb0,0xd817ffdc,0xff01fffe,0xc8005fff,0xffffffff,
    0x804fffff,0x3ffee029,0x3ffa01ff,0x3fffea7f,0x7ffff405,0x0bffff52,
    0x52ffffe8,0xe80bffff,0xff52ffff,0xffe80bff,0x3ffe62ff,0x90000bff,
    0xd80bffff,0x7f47ffff,0x3f603fff,0x3ff21bce,0x7fec05ff,0x7ffe47ff,
    0x7ffec05f,0x7fffe47f,0x7fffec05,0x17fffea7,0x05ffffd0,0xfffffff9,
    0xf501dfff,0xfd80bfff,0x3ff22fff,0x7fec05ff,0x033107ff,0x11ffffe4,
    0x005fffff,0xffff9800,0x3fffe207,0x1ffffe65,0x25ffff88,0x207ffff9,
    0x265ffff8,0x2207ffff,0x3605ffff,0x4c400fff,0x3ffff201,0xfda88003,
    0xffffffff,0x510005ff,0x80fffffb,0xf51ffffc,0xfe80bfff,0xfff52fff,
    0xfffe80bf,0xbffff52f,0x2ffffe80,0x80bffff5,0x222ffffe,0xdfffffff,
    0x3ffa001b,0x7fc401ff,0x3ffe0fff,0xd00200ff,0x8803ffff,0x3a0fffff,
    0x4401ffff,0x3a0fffff,0x4401ffff,0xf50fffff,0xfe80bfff,0x7fec2fff,
    0xfffeefff,0x7fd41fff,0x7fec05ff,0x3fffa2ff,0x7ffc401f,0x544000ff,
    0x223ffffe,0x003fffff,0x7fffd400,0x3ffff405,0x80bffff5,0x3ea7fffe,
    0x7f405fff,0x3ffea7ff,0x7fff405f,0x01fffe07,0xfffd5100,0xa880007f,
    0xffffffec,0xcb9801ff,0xfffffffe,0xaaaaaaae,0xf52ffffd,0xfe80bfff,
    0xfff52fff,0xfffe80bf,0xbffff52f,0x2ffffe80,0x80bffff5,0x6c2ffffe,
    0xffffffff,0xf100adff,0x3a00ffff,0xff12ffff,0x44000fff,0xd007ffff,
    0x3e25ffff,0xfd007fff,0x3fe25fff,0xffd007ff,0x3ffea5ff,0x7fff405f,
    0x3fffea2f,0x3fff221e,0x3ffea0ff,0x7ffec05f,0xfffff12f,0x3ffffa00,
    0x7f6dc402,0x43ffffff,0x004fffff,0x7fffdc00,0xaaaaaaad,0x3ee7fffe,
    0xaaaadfff,0x7fffeaaa,0x2b7fffee,0xfeaaaaaa,0x3ffee7ff,0xaaaaaadf,
    0x107fffea,0x8800bfff,0xfffffedb,0x400003ff,0xffffffb8,0xffff9104,
    0xffffffff,0xffffffff,0x2a7fffff,0x7405ffff,0xff52ffff,0xffe80bff,
    0xffff52ff,0xffffe80b,0x0bffff52,0x42ffffe8,0xffffffe8,0x83ffffff,
    0x006ffffa,0x2a7ffffb,0x0006ffff,0x01bfffea,0xa9ffffec,0xb006ffff,
    0x3ea7ffff,0xfb006fff,0x3fea7fff,0x7ff405ff,0x3fff62ff,0xffffb02f,
    0x2ffffd47,0x4bffff60,0x006ffffa,0x307ffffb,0xffffffd9,0xe87fffff,
    0x0005ffff,0x7ffffe40,0xffffffff,0xff90ffff,0xffffffff,0x1fffffff,
    0x3ffffff2,0xffffffff,0xfff90fff,0xffffffff,0x01ffffff,0x3007fff5,
    0xffffffd9,0x007fffff,0xfe88004c,0xffb86fff,0xefffffff,0xffffffff,
    0xffffffff,0xbffff53f,0x2ffffe80,0x80bffff5,0xf52ffffe,0xfe80bfff,
    0xfff52fff,0xfffe80bf,0xfffd882f,0xffffffff,0x7fffdc5f,0xffffb006,
    0x1ffffea9,0xffffb800,0xffffb006,0x1bfffee9,0xa7fffec0,0x006ffffb,
    0x2a9ffffb,0x7405ffff,0x3fe2ffff,0x3fea07ff,0x3ffea5ff,0x7ffec05f,
    0xdffff72f,0x3ffff600,0x7ffffdc4,0xfffeefff,0x7fffe43f,0x056c4006,
    0x7fffffec,0xffffffff,0xfffb1fff,0xffffffff,0x23ffffff,0xfffffffd,
    0xffffffff,0xffffb1ff,0xffffffff,0x903fffff,0xfb803fff,0xefffffff,
    0x203ffffe,0x006fffeb,0x51ffffea,0x7bffffff,0x3ffffee3,0xeeeeeeee,
    0xff53eeee,0xffe80bff,0xffff52ff,0xffffe80b,0x0bffff52,0x52ffffe8,
    0xe80bffff,0x2202ffff,0xffffffeb,0x3ea3ffff,0xfd007fff,0x3fe65fff,
    0x2a0007ff,0xd007ffff,0x3ea5ffff,0xfd007fff,0x3fea5fff,0xffd007ff,
    0x3ffea5ff,0x7fff405f,0xbffff32f,0x27ffff80,0x405ffffa,0xf52ffffd,
    0x3a00ffff,0x3f22ffff,0x0aceffff,0xb87ffff7,0x001fffff,0xc8f7ffee,
    0xeeeeffff,0xeeeeeeee,0xdffff91e,0xdddddddd,0x3f23dddd,0xeeeeefff,
    0xeeeeeeee,0xddffff91,0xdddddddd,0xffd03ddd,0xffffc80f,0xff70acef,
    0x7fcc07ff,0xf5000fff,0x7f41ffff,0xfb81dfff,0x20006fff,0x406ffffa,
    0xf52fffff,0xff80dfff,0xfff52fff,0xffff80df,0xdffff52f,0x2fffff80,
    0xffd95100,0x7ccdffff,0xf800ffff,0xff11ffff,0x54401fff,0xfffff981,
    0xfffff800,0x1fffff31,0x3fffff00,0x03ffffe6,0x47ffffe0,0x406ffffa,
    0xf52fffff,0xff80bfff,0x20000fff,0xf32ffffe,0xf001ffff,0x3e23ffff,
    0xf903ffff,0xff987fff,0x3a004fff,0x3ee6ffff,0x20004fff,0x004ffffb,
    0x13fffee0,0xffffb800,0xff880004,0x3ffe205f,0xfff903ff,0xffff807f,
    0xfffd005f,0x7fffc4df,0x3ffff207,0xf980200f,0x3e206fff,0xff32ffff,
    0x7fc40dff,0xfff32fff,0x7ffc40df,0xffff32ff,0x7fffc40d,0x4c03102f,
    0x7c7ffffd,0x5403ffff,0x7fc7ffff,0x3ee03fff,0x3ffe4eff,0x7fd403ff,
    0x7fffc7ff,0x7ffd403f,0x7ffffc7f,0x7fffd403,0x1bfffe67,0x2fffff88,
    0x40dffff3,0x007ffff8,0x17ffffc0,0x807fffff,0x2a7ffffa,0x3606ffff,
    0xfd83ffff,0xc801ffff,0x2a3fffff,0x0405ffff,0x0bffff50,0x3ffea008,
    0xf500405f,0x0080bfff,0x203fffa8,0x206ffffa,0x403ffffd,0x03fffffd,
    0x27ffffd4,0x40dffff3,0x03fffffe,0x2179dff1,0x00fffff8,0x25fffff9,
    0x00fffff8,0x25fffff9,0x00fffff8,0x25fffff9,0x00fffff8,0x45fffff9,
    0x203fffec,0x647ffff9,0x100fffff,0xd8bffffd,0x3e06ffff,0x3f23ffff,
    0xd100ffff,0xfc8bffff,0xd100ffff,0xfc8bffff,0xd100ffff,0x7c4bffff,
    0xf900ffff,0x7fc5ffff,0xff702fff,0x5c000bff,0x321fffff,0x100fffff,
    0x64bffffd,0xd104ffff,0xf107ffff,0x405fffff,0x0ffffffb,0x07ffffe2,
    0x11e77fd4,0x203fffff,0x223ceffa,0x501fffff,0x7c479dff,0xf501ffff,
    0xff9079df,0x7ffe403f,0xfffd104f,0xfffa807f,0x999befff,0xffffffda,
    0x3ffffe61,0xfffffb82,0xfffd83ff,0x7ffffc7f,0xfffffb85,0x3ffffe2f,
    0xfffffb85,0x3ffffe2f,0xfffffb85,0x3ffffe2f,0xfffffb85,0x3ffff22f,
    0xffff700f,0xfffff98b,0x7fff4c2f,0x7ffcc0ff,0x3f260dff,0x3e60ffff,
    0x4c2fffff,0x40fffffe,0x2ffffff9,0x7fffff4c,0x7ffffcc0,0x7fff4c2f,
    0x7fffc0ff,0xffffb85f,0x3fffa2ff,0xff910bff,0x98007fff,0xffffffff,
    0x3ffffe60,0x7fff4c2f,0x3ffee0ff,0xfffd80ff,0xfff704ff,0x7337bfff,
    0x9ffffffd,0x5dffff90,0x5fffff88,0x177fffe4,0x17ffffe2,0x85dffff9,
    0x45fffff8,0x42effffc,0x85fffff8,0x7dc07ffe,0xfd80ffff,0xc804ffff,
    0xffffffff,0xffffffff,0xfffff86f,0xfffeb9cf,0xcfffffff,0x3ffffffd,
    0x77fffff4,0xffffffcc,0x3fffa2ff,0xfffcceff,0x3a2fffff,0xccefffff,
    0xffffffff,0x3fffffa2,0xfffffcce,0x3fe62fff,0xcabdffff,0x82fffffe,
    0xfffffffc,0xfffffffe,0xfffff903,0xfffffddf,0xffff90bf,0xffffdfff,
    0x3f207fff,0xfeffffff,0x03ffffff,0xfffffff9,0xfffffffd,0xfffffd07,
    0xfffff99d,0x7fcc5fff,0xffdfffff,0x8006ffff,0xfffffffb,0xfffffc86,
    0xfffffeff,0x7ffd43ff,0xffc9beff,0x204fffff,0xfffffffe,0xffffffff,
    0xffff105f,0xfffb7dff,0xff881fff,0xfdbeffff,0x440fffff,0xbeffffff,
    0x0ffffffd,0x7fffffc4,0xfffffdbe,0x2fffc40f,0x3ffffea0,0xffffc9be,
    0xfd004fff,0xffffffff,0x1fffffff,0xffffff90,0xffffffff,0xffffffff,
    0xf50bffff,0xffffffff,0x5ffff9df,0x7fffffd4,0xffceffff,0x3ffea2ff,
    0xefffffff,0x2a2ffffc,0xffffffff,0xffffceff,0x7ffffd42,0xffffffff,
    0x3fffa04f,0xffffffff,0x3fe205ff,0xffffffff,0xfd00efff,0xffffffff,
    0xe80bffff,0xffffffff,0x405fffff,0xfffffffe,0x05ffffff,0xfffffff5,
    0xfff9dfff,0xffffb85f,0xffffffff,0xffd8001f,0xd01fffff,0xffffffff,
    0x20bfffff,0xfffffffe,0xffffffff,0x3fff6205,0xffffffff,0x2a00efff,
    0xffffffff,0x503fffff,0xffffffff,0x207fffff,0xfffffffa,0x03ffffff,
    0xfffffff5,0x07ffffff,0xd007fff5,0xffffffff,0xbfffffff,0x3fff2200,
    0xffffffff,0x3fa00dff,0xffffffff,0xffffd33f,0x0bffffff,0x7fffffdc,
    0xfffb8eff,0x7fffdc2f,0xfb8effff,0x7fdc2fff,0x8effffff,0x5c2ffffb,
    0xffffffff,0x2ffffb8e,0xffffffa8,0x05ffffff,0xffffffb8,0x802fffff,
    0xffffffd8,0x400effff,0xfffffffb,0x7002ffff,0xffffffff,0x2e005fff,
    0xffffffff,0x7dc02fff,0xefffffff,0x82ffffb8,0xfffffffb,0x0002ffff,
    0x7ffffffd,0xfffffb80,0x02ffffff,0x3fffffe2,0xfff8dfff,0x7fd400ff,
    0xffffffff,0xf9800cff,0xffffffff,0x7fcc03ff,0xffffffff,0x7ffcc03f,
    0xffffffff,0x7fffcc03,0x3fffffff,0x003fff90,0xfffffff1,0xffff1bff,
    0x7e44001f,0xffffffff,0xfff7002d,0x7019dfff,0xbffffffd,0xfffd7005,
    0x7ffdc9df,0xfffeb82f,0x3ffee4ef,0xfffeb82f,0x3ffee4ef,0xfffeb82f,
    0x3ffee4ef,0xfff7102f,0x03bfffff,0x7ffedcc0,0x4000deff,0xffffffea,
    0x36e6002e,0x0defffff,0x7fedcc00,0x000defff,0x7fffedcc,0xd7000def,
    0x5c9dffff,0x9102ffff,0x9fffffff,0x765c0001,0x73000bdf,0xbdfffffb,
    0xfff91001,0x7fe47dff,0xec8803ff,0xcfffffff,0x7f644000,0x01cfffff,
    0xffffd910,0x220039ff,0xffffffec,0xfd91001c,0x039fffff,0x1003fff4,
    0x7dfffff9,0x01ffffe4,0xaaaa9880,0x2aa60001,0x4d54c001,0x0a988000,
    0x0a988000,0x0a988000,0x0a988000,0x2a620000,0x1000019a,0x20000135,
    0x00009aa9,0x00009a88,0x00026a20,0x0009a880,0x0002a620,0x00aaa980,
    0x00000000,0x20001351,0x00009a98,0x026aa200,0x9aa98000,0x554c0000,
    0x54c00009,0x4c00009a,0xaa8009aa,0xa988002a,0x00000009,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x0009aa98,0x2aa66000,0x80000009,
    0x0009aa99,0x15555400,0xaaa98000,0x5555002a,0x31000035,0x88000135,
    0x33100019,0x00331000,0x20006620,0x4c400018,0x99800009,0xaaa88000,
    0x9998802a,0x99999999,0xfdd95000,0x00015bdd,0x75c166d4,0x3ffea005,
    0x001660ef,0x57bdd951,0x2602a980,0xfffff52a,0x3fff6000,0x7e40004f,
    0xfff93fff,0x0555544f,0x059dd951,0x1aaaaa88,0x00fffff9,0x7ffffe4c,
    0x0002efff,0xfffffc98,0x0000cfff,0x3ffff260,0x000cffff,0x7ffffdc0,
    0xfff80003,0xff5002ff,0x22000dff,0xffffffeb,0x7fcc000c,0x7fcc000f,
    0x7ffcc005,0x2ffcc000,0xffffd880,0xffd8001d,0xfec98000,0x001dffff,
    0x03fffffb,0xffffffb8,0x402fffff,0xfffffffa,0x8001ffff,0xacfffffe,
    0x4c005ffa,0xfdbfffff,0xfff7003f,0x01dfffff,0x7fc0bfea,0x0fffff55,
    0x3ffff600,0x7fe40004,0xffff93ff,0xa9ffffd4,0xefffffff,0xbffff701,
    0x03ffffe4,0x7fffff44,0xffffffff,0xffe98003,0xffffffff,0x20000dff,
    0xffffffe9,0x0dffffff,0xffff9800,0x20001fff,0x003ffffb,0x017fffdc,
    0x3ffffa20,0x02ffffff,0x01ffff30,0x000ffd80,0x003fffe6,0x2001ffb0,
    0xfffffffe,0x0ffea000,0x3fffee00,0x04ffffff,0x7fffffd4,0x3ffee00e,
    0xffffffff,0x3fffea02,0xffffffff,0x3fe6002f,0xffffffff,0xfe88004f,
    0x802effff,0xffffffd8,0x882fffff,0x3f221eff,0xfffff53f,0x3fff6000,
    0x7e40004f,0xfff93fff,0x5ffffd4f,0xfffffffb,0xfff81fff,0x3fff20ef,
    0x7ffdc07f,0xffffffff,0x005fffff,0x33bffff2,0xfffcbaab,0xfc8002ff,
    0xaabcefff,0x2fffffcb,0x67fff400,0x20006fff,0x0003fffe,0x400dfff9,
    0xfffffff8,0x01ffffff,0x3fffff66,0x13fea000,0x7fffecc0,0x3fea000f,
    0x9fff7004,0x4007fff7,0x64000ffe,0xffffffff,0xf103ffff,0xbfffbfff,
    0x7ffffdc0,0x02ffffff,0xfffffff3,0xffffffff,0x5dffdc00,0x0ffffffd,
    0xffff7000,0x3ff2003f,0xffffffff,0xffb81fff,0x26fffeff,0x007ffffa,
    0x09ffffb0,0xffffc800,0x54ffff93,0xffffffff,0xffffffff,0x077ffdc5,
    0x81fffff2,0xfffffffc,0xffffffff,0x74404fff,0xa801dfff,0x1004fffd,
    0x003bfffb,0x009fffd5,0x7e53fff2,0xfa8004ff,0x640004ff,0xf9002fff,
    0xffbfffff,0x260bffff,0x0fffffff,0x003ffa00,0x3fffffe6,0x3ffa000f,
    0x47ffb000,0xf7007ffc,0xffb8005f,0xfffeffff,0xfe81ffff,0x5fffd2ff,
    0x26666620,0x00999999,0x15dffff9,0x3fffff26,0x509d9001,0x2e0005bb,
    0xfffffffe,0x7fffcc01,0xffeb8aef,0xfffb05ff,0x7d43dfff,0xb0007fff,
    0x0009ffff,0x73ffffc8,0x7fd4dfdd,0x88beffff,0x0ffffffb,0x3203fffa,
    0xf507ffff,0x9bffffff,0xffffb755,0x7ec05fff,0xfb8002ff,0xffd803ff,
    0xffb8002f,0x7ffd403f,0x00ffff46,0x0017ffa0,0x802ffec0,0x6c5ffffe,
    0xf306ffff,0x01fff9bf,0x400ffee0,0xfffcdff9,0x07ff7000,0x7ff4c100,
    0x06ff8805,0xdffffe80,0x3ffffea1,0x127ffdc4,0x0001ffff,0x7fff6c00,
    0x5fffff01,0x00000000,0xfd13bffb,0x7f401dff,0xffb03fff,0x3b6a03ff,
    0xfffa83df,0xffb0007f,0xc80009ff,0x7e43ffff,0x3ffffea5,0xffffa80f,
    0x03fff51f,0x21fffff2,0xeffffff8,0x3fffa200,0xdff706ff,0x7fcc0001,
    0x3bfee01f,0xff300400,0x0000003f,0x0000ccc0,0x22006660,0x540fffff,
    0x9307ffff,0x003ffea3,0x9801bfe2,0x01fff51c,0x000dff10,0x00effff8,
    0x4001ffc8,0x707ffff8,0x000fffff,0x10000000,0x7ffe4033,0x0000003f,
    0x7cc1ca80,0xff306fff,0x7fc40fff,0x540005ff,0x0007ffff,0x009ffffb,
    0x3ffffc80,0xfff527f4,0x7ffc05ff,0x013311ff,0x43ffffe4,0x04fffffc,
    0xffffff30,0x51fff983,0xbddddddd,0x0fff5017,0x2607ffe6,0x81bdffdb,
    0x00006ffa,0x00000000,0x7ffcc000,0xffffa86f,0x1fff5004,0x005ff900,
    0x007ffd40,0x00017fe4,0x01bffff1,0x8005ff88,0x104ffffb,0x001dffff,
    0x3bb2a000,0x000adeef,0x7fff5440,0xdb88003f,0x0000acde,0x7fe46aa2,
    0xfffa83ff,0x7fff405f,0x7fd40007,0xfb0007ff,0x5cc09fff,0x3f21bded,
    0xffb13fff,0x3ffffd41,0x0bffffa0,0xdffff700,0x0dfffff0,0xdffffb80,
    0xf71ffe42,0xffffffff,0x07ff905f,0xff307ff9,0x07ffffff,0xca807ff9,
    0x0adeefee,0x3fbb2a00,0x2000adee,0xdeefeeca,0xffff500a,0x5ffffb0b,
    0x03ffea00,0x000bff10,0x400fffa8,0x40005ff8,0x0effebc9,0x0007ff60,
    0x80bffff2,0xaa88009a,0xffa802aa,0xffffffff,0x36e2001f,0xfffffffe,
    0xfffb1003,0x09ffffff,0xfffffb80,0x0fffffcf,0x56ffffdc,0xfeaaaaaa,
    0x555107ff,0xffff5055,0x3ff6000f,0xfff904ff,0x3f29ffff,0x5ffd3fff,
    0x07ffffa8,0x897fffec,0xfa82aaaa,0x7fd45fff,0xb8002fff,0x8dff100a,
    0xdccceffb,0x7c40ffff,0x437fc46f,0xecbefff9,0x7fc42fff,0xfffff506,
    0x03ffffff,0xffffffa8,0x401fffff,0xfffffffa,0xfa81ffff,0x7fcc5fff,
    0xf5000fff,0xffd801ff,0x7fd40001,0x0ffec00f,0xfff10000,0x013fe607,
    0x1ffffd40,0xfff98000,0x7ffd406f,0xffffffff,0x3b2602ff,0xffffffff,
    0xf9803fff,0xffffffff,0x4401efff,0xfffffffd,0x44ffffff,0xfffffffc,
    0xffffffff,0xfff980ff,0xffffa86f,0xfffb0007,0xfffe889f,0xdeffffff,
    0x3d53ffff,0x0dffff50,0x32ffffd8,0xf50dffff,0xffd89fff,0x000006ff,
    0xffb87ff7,0x82fff884,0x3fee1ffc,0x427ffc43,0xffd86ffd,0x7ffffd41,
    0xffffffff,0xfffff502,0xffffffff,0x3fffea05,0xffffffff,0x7fffdc2f,
    0x27fffe45,0x01fff500,0x00027fcc,0x3007ffd4,0x510009ff,0x5fff8399,
    0x0001ffd0,0x017fffe6,0x7fffcc00,0x3fffe606,0xffffffff,0xfff707ff,
    0xfddfffff,0xf8807fff,0xffffffff,0x00ffffff,0x3ffffffa,0xffffffff,
    0x3ffff60f,0xffffffff,0x981fffff,0xfa86ffff,0xb0007fff,0xfc89ffff,
    0xffffffff,0x3fffffff,0x6ffffa80,0x97fffec0,0x986ffff9,0x7f44ffff,
    0x00005fff,0xfb81ffb0,0x07ff904f,0x7fec7ff3,0x8837fd40,0x7fcc0bde,
    0x3ffffe63,0xffffffff,0xffff987f,0xffffffff,0xfff987ff,0xffffffff,
    0x7fdc7fff,0x3ffe25ff,0x3ea000ff,0x3ffa00ff,0xffa80000,0x03ffa00f,
    0x52ffec00,0xff507fff,0xfff80007,0xf300007f,0x7e40dfff,0x930aefff,
    0xc83fffff,0xacefffff,0x07ffff70,0xefffffe8,0xffffdbab,0xffff905f,
    0xfffb9bff,0x7e47ffff,0xeeeeefff,0xeeeeeeee,0x6ffff981,0x07ffffa8,
    0x9ffffb00,0x7fffffcc,0xfffea88a,0xfa803fff,0x7ec06fff,0xfff32fff,
    0xffff10df,0x4fffff87,0xdfd00000,0x3a09ff70,0x49ff01ff,0x3ffb86fe,
    0x49ff1000,0x0aeffffc,0x3fffff93,0xaeffffc8,0xfffff930,0xeffffc83,
    0xffff930a,0x7fffdc3f,0x1bfffee5,0x01fff500,0x0000ffea,0xa807ffd4,
    0x260003ff,0xfffeffff,0x006fe80f,0xffff5530,0x0555557f,0x6ffff980,
    0x07fffb60,0x117ffffc,0x207fffff,0x203ffffc,0x04fffffa,0x87fffff7,
    0x0efffff9,0x7fffff44,0x13fffee5,0x7ffcc000,0xffffa86f,0xfffb0007,
    0x7fffec9f,0xfffe880f,0xffa803ff,0x7fec06ff,0xffff32ff,0x8bfffe0d,
    0x03fffff8,0x5555554c,0x3fe2aaaa,0xaadffb85,0x206ffeba,0x217fe6ff,
    0x20002ffd,0x3ffb66ff,0xfffff01f,0x1fffed85,0x85fffff0,0xf01fffed,
    0x7dc5ffff,0x3ff25fff,0x2a000fff,0xdfd00fff,0x7fd40000,0x00dfd00f,
    0xfffff900,0x5ff703df,0x3fff6000,0xffffffff,0x7fcc007f,0x198806ff,
    0x8fffff20,0x206ffffa,0x203ffffd,0x405ffffc,0x6c7ffffd,0x2207ffff,
    0x50ffffff,0x080bffff,0xdffff300,0x0fffff50,0x3ffff600,0x0fffffe4,
    0x3fffffa8,0x6ffffa80,0x97fffec0,0xf06ffff9,0x7fc43fff,0x7ec03fff,
    0xffffffff,0x709ff17f,0xffffffff,0xbff403bf,0xfff84ff8,0x1ffa0001,
    0xffc80662,0x033103ff,0x81ffffe4,0x3ff20198,0x3ffee3ff,0x3fffea5f,
    0x3326005f,0x805ff704,0x13326000,0x44017fdc,0x3bb26019,0x0dff103d,
    0xffd83310,0xffffffff,0x7cc007ff,0x40006fff,0x3ffffea8,0x413ffff2,
    0x03ffffe8,0x007ffffa,0x41fffff1,0x403fffff,0x11fffffa,0x203fffff,
    0x303ceffa,0xf50dffff,0x2000ffff,0xf14ffffd,0xff00ffff,0xf5007fff,
    0xfd80dfff,0xfff32fff,0x3fffa0df,0x3ffffe21,0x7fffec03,0x27ffffff,
    0xfffb85ff,0x801fffff,0x217fe6fe,0x20002ffe,0x544006ff,0x003ffffe,
    0xffffea88,0xfea88003,0x3fee3fff,0x7fffc5ff,0x100005ff,0xfd910dff,
    0x80003bff,0xfa806ff8,0xf900007f,0x7ffa803f,0x7fffffec,0x07ffffff,
    0x37fffcc0,0x3fb6e200,0x23ffffff,0x80fffffb,0x04fffffd,0x00fffff1,
    0x44bffffa,0x400fffff,0x22fffff8,0x42effffc,0x05fffff8,0x50dffff3,
    0x000fffff,0x4d3ffff6,0xe806ffff,0xa803ffff,0x6c06ffff,0xff32ffff,
    0x3ff60dff,0x7ffffc0f,0x7fffec04,0x27ffffff,0x4ffb86ff,0x801dffb5,
    0x21bfe5ff,0x00203ffd,0xdb880bff,0xfffffffe,0xfedb8803,0x03ffffff,
    0xfffedb88,0x3ee3ffff,0x7fcc5fff,0x0004ffff,0x7cc1ffc8,0x2fffffff,
    0x07ff2000,0x00ffff30,0x80bff300,0x65c7fff9,0xcfffffcc,0x4c004ccc,
    0x9806ffff,0xffffffec,0x2a3fffff,0x9befffff,0xfffffffc,0xdffff504,
    0x3ffff600,0x0fffff53,0x8fffffe0,0xeffffff8,0xffffffdb,0xdffff300,
    0x0fffff50,0x3ffff600,0x0dffff54,0x07ffffb0,0x0dffff50,0x32ffffd8,
    0x320dffff,0xfffe87ff,0x7ffec05f,0x7fffffff,0x3fee1ff6,0x102ffec4,
    0x43fec9ff,0xdf105ffc,0x84ff9819,0xfffffec9,0x03ffffff,0xfffffd93,
    0x07ffffff,0x3ffffb26,0x3fffffff,0x217fffee,0x3ffffffa,0x17fe6000,
    0x3b37fffa,0x98000fff,0x7f4405ff,0xd80007ff,0x3fa200ff,0x7ff407ff,
    0x4c0000ff,0x5c06ffff,0xffffffff,0x43ffffee,0xfffffffe,0xffffffff,
    0xdffff705,0x3ffff600,0x0fffff54,0x0fffffa0,0xfffffff5,0x07ffffff,
    0x437fffcc,0x007ffffa,0x29ffffd0,0x806ffffb,0x803ffffc,0x406ffffa,
    0xf32ffffd,0x3ee0dfff,0xffffd87f,0x4cccc407,0x27ffffc9,0x7fdc2ffc,
    0x817ffc44,0x3ff22ffc,0x417ffcc2,0xffc86ffd,0x7ffffdc2,0xfffeefff,
    0xffffb83f,0xffeeffff,0xfffb83ff,0xfeefffff,0x3fee3fff,0xfff505ff,
    0x20003fff,0x7fc40ffd,0x0bffe63f,0x003ff600,0x00fffffb,0x404ffa80,
    0x207ffffd,0x007ffff8,0x6ffff980,0x3fffff20,0xfff70ace,0xffff887f,
    0xf8dfffff,0xfa80ffff,0xfd007fff,0x3fe65fff,0xfff007ff,0xfff305ff,
    0xffffffff,0xffff9807,0x7ffffa86,0x407d9953,0xf53ffffe,0xfb00dfff,
    0xf5007fff,0xfd80dfff,0xfff32fff,0x1bfee0df,0x0fffffea,0x3fffee00,
    0xf71bfe27,0x1fff909f,0xff88fff0,0xaefffc85,0xf82fffda,0x7fffe47f,
    0xff70acef,0xfffc87ff,0xf70aceff,0xffc87fff,0x70acefff,0x7dc7ffff,
    0x3ea05fff,0x8006ffff,0xba884ffa,0x07ffe60c,0x809ff500,0x07ffdffc,
    0x007ff400,0x0fffdff9,0x02ffffd4,0x7fffcc00,0xfffff106,0x3ffff207,
    0xffffc883,0x3fff23ef,0xffff983f,0xffff800f,0xfffff11f,0xffff8801,
    0xffd9100f,0x0039ffff,0x50dffff3,0x3eefffff,0x3fe04fff,0xfff33fff,
    0xfffd00ff,0xfff5007f,0xfffd80df,0xdffff32f,0x7c17fea0,0x000fffff,
    0x23ffffdc,0x3fee2ffd,0x44fff884,0xffd83ffb,0xfffffd81,0xffb84fff,
    0x3ffffe23,0x7ffff903,0x1fffffc4,0x23ffffc8,0x03fffff8,0x5c7ffff9,
    0x5405ffff,0x001fffff,0x20007ff4,0xe8007ffd,0x3fea00ff,0x0007ff9d,
    0xfa80ffee,0x207ff9df,0x002ffffd,0x6ffff980,0x0dffff50,0x01ffffec,
    0xf7013531,0xffff805f,0x7ffd403f,0x7ffffc7f,0x7fffdc04,0x27bfe007,
    0x3ffe6000,0xffffa86f,0x0dffff57,0x8bffffe2,0x202fffff,0x03fffff8,
    0x2f332600,0xffff9801,0x3ff20006,0x6c004fff,0x7d47ffff,0x09ff70ff,
    0x7cc3ffee,0xfffa80ff,0xfffffb80,0x0fff982d,0x81bfffea,0x2a3ffffd,
    0x3606ffff,0x3ea3ffff,0x3f606fff,0x3fee3fff,0xffe805ff,0x3ee003ff,
    0x3f62003f,0x7dc002ff,0x3bfe603f,0x0007ff98,0x7cc0dff1,0x07ff98ef,
    0x009ffff5,0x3fffe600,0x9ffff906,0x3ffffa20,0x7fe40003,0x7fffe400,
    0xfffd100f,0xffffc8bf,0xffff100f,0x3fe200bf,0xfff98005,0xffffa86f,
    0x5fffff37,0x1fffff70,0x02fffff4,0x07fffffb,0x7fffd400,0x3fe600df,
    0x999886ff,0xffff8809,0x75400eff,0xc87fffff,0x013316ff,0x7f444ccc,
    0x17ff202f,0x3e202a88,0x7ffe42ff,0xfffd104f,0x7fffe47f,0xffffd104,
    0x27fffe47,0x3ffffe88,0x017fffee,0x013ffff2,0x30037fc4,0x8009fffd,
    0x3a206ff8,0x0fff31ff,0x40bff200,0xff31fff8,0xdffff50f,0x98020062,
    0xf706ffff,0xfb01ffff,0x0009ffff,0x4c01ffd8,0x42ffffff,0x0fffffe9,
    0x7fffffc4,0x7ffffcc1,0xbff3000f,0xffff3000,0xfffff50d,0x5ffffffc,
    0xfffffb99,0x7ffffd46,0xfffffc85,0x3260003f,0x204fffed,0xa86ffff9,
    0xf505ffff,0x7bffffff,0xfffd9733,0x3a0fffff,0x98001eff,0xfe804fff,
    0xfa8001ef,0xfffb84ff,0xfffd80ff,0x3ffee4ff,0xfffd80ff,0x3ffee4ff,
    0xfffd80ff,0x3ffee4ff,0xe88f545f,0x9002ffff,0x3e6005ff,0xc8003fff,
    0x3ff602ff,0xcfffdcce,0x17fe2004,0xdcceffd8,0xff34cfff,0xfffddfff,
    0x9fb7359b,0x37fffcc0,0xefffffa8,0xfffffc9b,0x740004ff,0xffc803ff,
    0xffefffff,0x503fffff,0xdfffffff,0x7fffffff,0x03ffd400,0x37fffcc0,
    0x73ffffd4,0xffffffff,0x05ffffff,0xbffffffd,0xfffffffb,0x7400007f,
    0x3fe606ff,0xfffa86ff,0x3fff205f,0xffffffff,0xffffffff,0xfffd104f,
    0xff910017,0x3fa200df,0xc9800bff,0xff506fff,0xf937dfff,0x49ffffff,
    0xbefffffa,0xffffffc9,0x3fffea4f,0xfffc9bef,0x3ee4ffff,0xffd35fff,
    0xffffffdf,0x0bff1001,0x0bfffea0,0x017fe200,0xfffffffd,0x6c00ffff,
    0x3ffa01ff,0xffffffff,0xffffff77,0xffffffff,0x2601ffff,0x3a06ffff,
    0xffffffff,0x5fffffff,0x77ff4000,0x3ffa0262,0xffffffff,0x7ec05fff,
    0xffffffff,0x4005ffff,0x311cfffa,0x6ffff980,0x47ffffa8,0xfffffffe,
    0x305fffff,0xffffffff,0xffff9fff,0x3e200007,0x3fe605ff,0xfffa86ff,
    0x7ffdc05f,0xffffffff,0x2fffffff,0x7fffec40,0xda9889ac,0x4004ffff,
    0xadffffd8,0xffdba999,0x7ff404ff,0xffffffff,0x745fffff,0xffffffff,
    0x5fffffff,0x7ffffff4,0xffffffff,0x3fffee5f,0xffffff55,0x2009ffff,
    0xfa801ffd,0x9999afff,0x01ffd800,0x7ffffff4,0x3007ffff,0xffe809ff,
    0xffffffff,0xffffff17,0xffffffff,0x2609ffff,0x2206ffff,0xffffffff,
    0xfffff8df,0x3fee0000,0x701fffff,0xffffffff,0x2a005fff,0xffffffff,
    0x88002fff,0x5fffffff,0x37fffcc0,0x23ffffd4,0xffffffe8,0x4c05ffff,
    0xfffffffe,0x3ffff99f,0x6e674400,0x201ffffe,0xa86ffff9,0x9805ffff,
    0xfffffffe,0xbfffffff,0x3ffee000,0xffffffff,0x20002fff,0xfffffffb,
    0x2fffffff,0xfffff880,0xff8dffff,0x3fe20fff,0xdfffffff,0x20fffff8,
    0xfffffff8,0xffff8dff,0xbffff70f,0x7fffffd4,0xff3006ff,0x3fffa009,
    0x02ffffff,0x00027fcc,0xe800fff3,0xf30000ff,0xffff90ff,0xfffffffd,
    0x20ffffff,0x406ffff9,0xefffffc8,0x0fffff23,0xffffd000,0x6dcc03ff,
    0x0defffff,0x7ffec400,0x000dffff,0x3ffffea0,0x7ffcc05f,0xffffa86f,
    0xfffff707,0x22005bff,0x0dfffffd,0x007ffff3,0xffffff88,0x7fcc02ef,
    0xfffa86ff,0x3f26005f,0xdeffffff,0x2e20002b,0xfffffffe,0x100002df,
    0xffffffd7,0x88005bff,0x3efffffc,0x10fffff2,0x7dfffff9,0x21ffffe4,
    0xefffffc8,0x4fffff23,0x545ffffb,0x03fffffd,0x2003ffa0,0xfffffff9,
    0x7f402fff,0x3e60000f,0x3fea007f,0x3fe60003,0x209df987,0xffffdca8,
    0xff303eff,0x26200dff,0x0000009a,0x06f7b6e0,0x00135100,0x026a6200,
    0xeec98000,0x7fcc00ac,0x100006ff,0x00013553,0x00000d4c,0x37999970,
    0x3fffe600,0x44000006,0x00009aa9,0x79975300,0x40000015,0x0abccba9,
    0x4d4c4000,0x54c40000,0x4c400009,0x0000009a,0x2a000d4c,0xdd7003ff,
    0xdddddddd,0x01ffd405,0x01bba600,0x40006fe8,0x00306ee9,0x0004d4c4,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x9ffff900,
    0x4ccccc40,0x00999999,0x4c2aaaa6,0x2a20bdec,0x555441aa,0xeecc8802,
    0x0000bcee,0x1ffff201,0x36a00040,0x403ed81c,0x99999998,0x00009999,
    0x20555555,0x401aaaa8,0x000aaaaa,0x0aaaaa80,0x55300000,0x51000555,
    0x98003555,0x554c0aaa,0x1351000a,0x2aaaa800,0x0b36a000,0x553013b2,
    0x1aaa9835,0x0aaaaa88,0x07ffffcc,0xfffff980,0x21fffff0,0x5540aaaa,
    0x65d400aa,0x2002ceee,0x99999998,0x20009999,0x40aaaaa9,0x5541aaaa,
    0x800000aa,0x204ffffc,0xfffffffb,0x2e02ffff,0xff99ffff,0x7ff47fff,
    0x3fffd11f,0x7fffe440,0x0dffffff,0x3203ee00,0xfb807fff,0xffff8800,
    0x3ffb9cef,0x7ffffdc0,0x02ffffff,0xfffff880,0xbffff501,0x2ffffe80,
    0x7ffd4000,0x800004ff,0x02fffff8,0x4ffffa80,0x37ffcc00,0x880dfff3,
    0x5ffffffd,0x7ffff880,0xffffd000,0x0bff559d,0x10ffff88,0x3201ffff,
    0x7cc5ffff,0x3000ffff,0x3e1fffff,0xff50ffff,0x37ffd4bf,0xfffffd10,
    0x7005ffff,0xffffffff,0x74005fff,0xfe84ffff,0x7fffc3ff,0x3fe20003,
    0xffffffff,0xfffb84ff,0xffffffff,0x3fffee02,0x4ffffffa,0x6c77ffcc,
    0x3a204fff,0xffffffff,0x400effff,0xfc80ffe9,0x3fa607ff,0xfffb800f,
    0xffffffff,0x7fffdc02,0x2fffffff,0xffffc800,0x3fffea02,0x7ffff405,
    0x3fe20002,0x002fffff,0x7fffdc00,0xfff50002,0xff70009f,0x3ffff19f,
    0x7ffff440,0xf8804fff,0x98007fff,0xffffffff,0xfa803fff,0x7fffd6ff,
    0x1ffffd80,0x03ffffe6,0x7ffffcc0,0x41fffff0,0xff9bfffc,0xfff700ff,
    0xffffffff,0xfffb807f,0xffffffff,0xffff3002,0x0ffffa09,0x0007ffff,
    0x7fffffc4,0x84ffffff,0xfffffffb,0x2e02ffff,0xffffffff,0xffb81fff,
    0x406fffef,0xeffffffd,0x4fffffff,0x03ffff60,0x6c1ffff2,0xd800ffff,
    0xfffdbaef,0xffb806ff,0xffffffff,0x7fc4002f,0x7fd402ff,0x7ff405ff,
    0x360002ff,0xffffcfff,0x3fa00000,0x2a0003ff,0x0004ffff,0xfffdfffd,
    0xffffe807,0x8803ffff,0x8007ffff,0xffdbaffc,0x9000efff,0xbfffdfff,
    0x93fff600,0x00fffff9,0x1fffff30,0x883ffffe,0xfffefffe,0xfffff502,
    0xffffffff,0x7ffdc05f,0xffffffff,0xbfffb002,0x21ffff40,0x0003ffff,
    0x3fffffe2,0x84ffffff,0x99999998,0x2e009999,0xefffffff,0x3ff606fe,
    0x2201ffff,0x441effff,0x80fffffc,0x80fffff8,0xff07feeb,0xdb001fff,
    0x02ddb885,0x33333310,0x00133333,0x803fffb8,0x405ffffa,0x002ffffe,
    0x2ebfff70,0x00005fff,0x0009fff5,0x04ffffa8,0xfffff100,0xffff00df,
    0x003d9bff,0x00fffff1,0xbb507d90,0xfffd0005,0x74001fff,0xfff30fff,
    0x3e6001ff,0xfff0ffff,0xfff981ff,0x3fa05fff,0xc99bffff,0x206ffffe,
    0x99999998,0x88009999,0x7f405fff,0x7fffc3ff,0x55540003,0xdffffdaa,
    0x4000001a,0x1ffffffb,0xfff88062,0x7fcc03ff,0x37fa03ff,0xfff880ac,
    0x1bf200ff,0x007ffffc,0x00000000,0x27ffc000,0x5ffffa80,0x17ffff40,
    0x77ffcc00,0x00ffff60,0x013ffa00,0x33332600,0x3fea0002,0x7c400fff,
    0x8000ffff,0x004cccc8,0x4c000000,0x002fffff,0xf9a7ff44,0x3000ffff,
    0x261fffff,0xff707fc9,0x3ee01fff,0xf980ffff,0x0002ffff,0x3bff2000,
    0x00000000,0xffffc800,0x70000004,0x009fffff,0x3fe60000,0x0000bfff,
    0x03ffffe2,0xfff04fe8,0x000001ff,0x00000000,0x7d400333,0x7f405fff,
    0x00002fff,0x33000000,0x00000003,0xfa800000,0x00006fff,0x00000000,
    0x31000000,0x3fffe613,0xfff3000f,0x06fe81ff,0xffffd000,0x5e77ec07,
    0x20000001,0x00000998,0xedb98000,0x3fff22bd,0xeca8804f,0xf7002bde,
    0x0001ffff,0x3ffe2000,0x01bdffff,0xffff7510,0x3623557f,0x3eaa20ff,
    0x1aabffff,0x006aaaa2,0x22155555,0x5401aaaa,0x0000aaaa,0xbffff500,
    0x2ffffe80,0x00000000,0x00000000,0x40000000,0x005ffffa,0x013332a0,
    0xefeeca80,0x00000ade,0x7fcc0000,0xf3000fff,0x7c41ffff,0xff00004f,
    0x00401fff,0xcdedb880,0x0000000a,0xff700000,0x32bfffff,0x5c04ffff,
    0xffffffff,0x7ffdc00e,0x2aa6007f,0x7bd930aa,0xfffffb01,0x15bfffff,
    0x3ffffee0,0xfd4fffff,0xffffb87f,0x24ffffff,0x405ffffa,0xf52ffffe,
    0xfe80bfff,0x55512fff,0x77654415,0xffff502c,0xffffe80b,0x0aaaa982,
    0x02aaaaa0,0x4c2aaaa8,0xaaaaaaaa,0x0aaaaaaa,0x5555554c,0xaaaaaaaa,
    0x55554c0a,0xaaaaaaaa,0x3fea0aaa,0x360005ff,0xa8007fff,0xffffffff,
    0xaa881fff,0x3b2a20aa,0xaa8802ce,0xffff32aa,0x3fe6001f,0xffd10fff,
    0x2aaaa201,0xfffff102,0x7ec40000,0xffffffff,0x2aaaa604,0x017bd930,
    0x00aaaaa2,0x3ffff620,0xfdefffff,0xfb104fff,0xffffffff,0x7fdc05ff,
    0x3ee005ff,0xfff99fff,0xffe887ff,0xffffffff,0xfffb83ff,0x4fffffff,
    0xfff703d5,0x9fffffff,0x02ffffd4,0x54bffffa,0x7405ffff,0xff52ffff,
    0x3ffea7ff,0x541effff,0x7405ffff,0xfb82ffff,0xff103fff,0x3e205fff,
    0x7fe46fff,0xffffffff,0x643fffff,0xffffffff,0x3fffffff,0x7fffffe4,
    0xffffffff,0x3fffea3f,0x3ffa0005,0x7fd4006f,0xffffffff,0x7fd42fff,
    0xffff53ff,0x4c03dfff,0xff36ffff,0x26001fff,0xfdbfffff,0x3fe602ff,
    0xfff506ff,0x260000df,0xffffffff,0xb81effff,0xff99ffff,0xff307fff,
    0xf9000dff,0xffffffff,0x9fffffff,0x3fffff20,0xffffffff,0xbffff701,
    0x7fffdc00,0x4ffffffa,0xfffffb10,0xbfffffff,0xffffffb8,0xb804ffff,
    0xffffffff,0x3ffea4ff,0x7fff405f,0xbffff52f,0x2ffffe80,0xf77ffff5,
    0xffffffff,0x7fffd43f,0x7ffff405,0x5ffff982,0x9fffff50,0x13fffee0,
    0xfffffff9,0xffffffff,0xfffffc87,0xffffffff,0x7ffe43ff,0xffffffff,
    0x3ea3ffff,0x10005fff,0x4009ffff,0xfffffff9,0x7fffffff,0x5dffffd4,
    0xffffffff,0xfff301ff,0x3fffe6df,0xfff3000f,0x01bfffff,0x06ffff98,
    0x00fffff5,0xfffff100,0xffffffff,0xfffb81ff,0xffffffaf,0xdffff304,
    0xffff8800,0xfea88aff,0x984fffff,0x8aefffff,0x05ffffeb,0x00bffff7,
    0x7fffffdc,0x401fffff,0xfffffeb8,0x263fffff,0xcfffffcc,0xcc9802cc,
    0xcccfffff,0x17fffea2,0x25ffffd0,0x405ffffa,0xf52ffffe,0xffffffff,
    0xbfffffff,0x02ffffd4,0x40bffffa,0xf907fffe,0x360dffff,0x7e41ffff,
    0xffffffff,0x43ffffff,0xfffffffc,0xffffffff,0x7ffffe43,0xffffffff,
    0x3ffea3ff,0xfe88005f,0x32003fff,0x30aeffff,0x43fffff9,0xfffffffa,
    0xffffffff,0xffff305f,0x3ffffe6d,0xffff3000,0x260017bf,0xf306ffff,
    0x0000ffff,0x7dfffffd,0xfffffb75,0xfffffb8b,0x01ffffff,0x00dffff3,
    0x0fffffd8,0x9fffffd0,0x07ffffd0,0x207ffff6,0x005ffffb,0x3fffffee,
    0x4006feef,0xffffeca8,0xfff886ff,0x3e0000ff,0xf500ffff,0xfe80bfff,
    0xfff52fff,0xfffe80bf,0xfffff52f,0xff7117df,0x3ea1ffff,0x7fc06fff,
    0xff902fff,0xfffd03ff,0xfff01fff,0xdddd70ff,0xfffdbddd,0xeeb83fff,
    0xfedeeeee,0x5c1fffff,0xdeeeeeee,0x1ffffffe,0x017fffea,0xfffffd10,
    0x7ff6c001,0xfffff01f,0x7ffffd45,0xffb88bef,0xf980ffff,0xfff36fff,
    0x3e6001ff,0x4000ffff,0x106ffff9,0x401fffff,0xfff501a8,0x3fee09ff,
    0x3fee3fff,0xfeefffff,0x3fffe606,0x7fffc006,0x3ffe603f,0x7ffcc4ff,
    0x3ffe207f,0xffffb85f,0x3ffee004,0x00621fff,0x7fecc031,0xfff887ff,
    0x3e0000ff,0xf500ffff,0xfe80bfff,0xfff52fff,0xfffe80bf,0xfffff52f,
    0xffff501f,0x3fffea3f,0x3fffe206,0xffff302f,0xfffff889,0x7ffcc2ff,
    0xff98004f,0x8001ffff,0x1ffffff9,0xffff9800,0x7ffd41ff,0x3fa2005f,
    0x0003ffff,0x7fe40331,0x3ffea3ff,0xffa80fff,0xff981fff,0xffff36ff,
    0x3fe6001f,0x4c000fff,0x3e06ffff,0x2e03ffff,0x3f24efff,0x7ec05fff,
    0x3fee7fff,0x0621ffff,0x06ffff98,0x3ffffe20,0x7ffff400,0x2ffffd44,
    0x21ffffa0,0x004ffffb,0x13ffffee,0x1ffff640,0x0fffff30,0x01fffff1,
    0x7ffffc00,0xbffff500,0x2ffffe80,0x80bffff5,0xf52ffffe,0x7c05ffff,
    0xff11ffff,0x3f601fff,0x3e02ffff,0x7fd46fff,0x645fffff,0x4002ffff,
    0x2ffffff8,0xffff8800,0xf88002ff,0xa82fffff,0x3005ffff,0x09ffffff,
    0x3aa20000,0x3ea3ffff,0x3e02ffff,0xf981ffff,0xfff36fff,0x3e6001ff,
    0x4000ffff,0x206ffff9,0x206ffffd,0x3a3fffff,0x4401ffff,0xf70fffff,
    0x8009ffff,0x006ffff9,0x01ffffe6,0x713ffff6,0x555bffff,0xfffd5555,
    0x9ffff70f,0x7fffdc00,0xfff9000f,0x3fee01ff,0xfff885ff,0x4c4000ff,
    0x99fffff9,0x3fffea09,0x7ffff405,0x0bffff52,0x52ffffe8,0xe80fffff,
    0x3fe2ffff,0xffb85fff,0x3202ffff,0x3f20ffff,0x47ffffff,0x4007fffe,
    0x4fffffe8,0xfffe8800,0xe88004ff,0x504fffff,0x300bffff,0x07ffffff,
    0x76dc4000,0x3fffffff,0x01ffffea,0x305ffffd,0x3e6dffff,0x3000ffff,
    0x001fffff,0x06ffff98,0x37ffffe6,0x3ffff260,0xfffff10f,0x3ffffa00,
    0x1fffff72,0xffff9800,0x3ffea006,0xfffc806f,0x7fffe44f,0xffffffff,
    0x5c0fffff,0x2004ffff,0x007ffffb,0x3fffffe6,0xfffecabd,0xfff882ff,
    0x7e4000ff,0xffffffff,0x3fffea2f,0x7ffff405,0x0bffff52,0x52ffffe8,
    0xd80fffff,0x3fa2ffff,0xfddfffff,0x2fffffff,0x8ffffea0,0xfffbfffe,
    0xbffff11f,0xffffe800,0xffd0005f,0x2000bfff,0x05fffffe,0x017fffea,
    0x0bfffffa,0x3fb26000,0xffffffff,0x3ffea3ff,0x7ffec07f,0xffff982f,
    0x1fffff36,0x3fffe600,0x7fcc000f,0x7fe406ff,0xffeeffff,0x3ea5ffff,
    0xfb006fff,0x3fee7fff,0xf98007ff,0x2a006fff,0xc806ffff,0x7ec4ffff,
    0xffffffff,0xffffffff,0x27fffdc1,0xbffff700,0xffffa800,0xffffffff,
    0xfff104ff,0xfc8001ff,0xffffffff,0x3fffea2f,0x7ffff405,0x0bffff52,
    0x52ffffe8,0xd80dffff,0x3ea2ffff,0xffffffff,0x2ffffcef,0x8affffc0,
    0xffe8ffff,0x5ffff73f,0x7fffec00,0xffb0006f,0x2000dfff,0x06fffffd,
    0x02ffffd4,0x07ffffee,0x3ffee000,0xfeefffff,0x3fea3fff,0x7fec06ff,
    0xfff982ff,0xfffff36f,0x3ffea001,0x7cc000ff,0x7c406fff,0xffffffff,
    0x2e0effff,0xb006ffff,0x3ee9ffff,0x98005fff,0x2006ffff,0x807ffff9,
    0x644ffffd,0xeeeeffff,0xeeeeeeee,0x7fffdc1e,0x3ffee004,0xffa8005f,
    0xffffffff,0x3fe205ff,0x64000fff,0xffffffff,0x3ffea2ff,0x7fff405f,
    0xbffff52f,0x2ffffe80,0x80dffff5,0x5c2ffffd,0xffffffff,0x2ffffb8e,
    0xabfffec0,0xfff76fff,0x03ffff6b,0x7ffffe40,0xffc8000e,0x8000efff,
    0x0efffffc,0x2ffffd40,0x0bffffa0,0x3fff2000,0xf70aceff,0x7fd47fff,
    0x7fec06ff,0xfff982ff,0xfffff16f,0x3ffea003,0xff98007f,0xfd8806ff,
    0xffffffff,0x7ffd40ef,0xfffd007f,0x3fffee5f,0xfff98005,0x3fe2006f,
    0xffe807ff,0x7ffdc4ff,0xfb80004f,0x2e004fff,0x0005ffff,0xffffff71,
    0xf8803bff,0x0000ffff,0x403ffffe,0x406ffffa,0xf52fffff,0xff80dfff,
    0xfff52fff,0xfffd80df,0xfffdb82f,0x3ffee4ef,0x7ffd402f,0x34fffc9f,
    0x3ffeffff,0xfff7005f,0x70001fff,0x01ffffff,0xfffff700,0xfff5001f,
    0xffff80bf,0xabcb800f,0x3ffffe21,0x7ffff903,0x037fffd4,0x20bffff6,
    0x3e6ffff9,0x9003ffff,0x000dffff,0x00dffff3,0x7fffff54,0xfff302ef,
    0xfff001ff,0x3ffee3ff,0xff98005f,0x7fc006ff,0x3e202fff,0x7d44ffff,
    0x00405fff,0x00accc98,0x0bffff70,0xfff91000,0x3fe2005b,0x20000fff,
    0x300fffff,0x440dffff,0xf32fffff,0x7c40dfff,0xff52ffff,0xffd80dff,
    0x054c02ff,0x8800ffdc,0xffecffff,0x2ffffe2f,0xa802ffff,0x01ffffff,
    0xfffffa80,0xffa8001f,0x5001ffff,0xf80bffff,0xf800ffff,0x3fea7fff,
    0x3ff606ff,0x3ffea3ff,0x7ffec06f,0xffff982f,0x3fffffa6,0x7fffc400,
    0xff98005f,0xda8006ff,0xff803eff,0x7d403fff,0x3fee7fff,0xf98005ff,
    0x74006fff,0x3206ffff,0x444fffff,0x501fffff,0x2e079dff,0x805fffff,
    0x004ffffb,0xfffff880,0xffff005f,0x7fc0001f,0xff100fff,0x3f201fff,
    0xff12ffff,0x3f201fff,0xff52ffff,0xffd80dff,0x360002ff,0x3f6000ff,
    0x0fffffff,0x3ffffff6,0x7fcc00ff,0x8002ffff,0x2ffffff9,0xffff9800,
    0x3ea002ff,0x7f405fff,0x7dc03fff,0x3ff24fff,0xffd104ff,0x7ffd47ff,
    0x7ffec06f,0xffff982f,0x3fffff26,0x7fffec05,0xff98003f,0x7c4006ff,
    0x405fffff,0x00fffffc,0x4bffffd1,0x004ffffb,0x06ffff98,0x7ffffcc0,
    0x7fffe40d,0xfffc84ff,0x7ffc42ef,0xfd9305ff,0xfb807fff,0x80004fff,
    0xfffc99a8,0xfffff801,0xff800112,0xf8113fff,0xfb85ffff,0x3e2fffff,
    0xfb85ffff,0xf52fffff,0xfd80dfff,0x20002fff,0x2e000ffe,0x6fffffff,
    0x7fffffdc,0x7ffc405f,0x88002fff,0x02ffffff,0xfffff880,0x7fd4002f,
    0x7fe405ff,0xff500fff,0x7fdc3fff,0xffd80fff,0x3fea4fff,0x7fec06ff,
    0xfff982ff,0x3fffe26f,0xca9bdfff,0x0ffffffe,0xffff9800,0x4cd44006,
    0x2601fffc,0x42ffffff,0x0fffffe9,0x013fffee,0x1bfffe60,0x3ffff600,
    0xffffdeff,0xf884ffff,0xdbefffff,0x00ffffff,0x405fff88,0x004ffffb,
    0x0bffd000,0xdffffff0,0xffe800bf,0x745fefff,0xccefffff,0xffffffff,
    0x3fffffa2,0xfffffcce,0xfff52fff,0xfffd80df,0x3fe0002f,0x3fe2002f,
    0x4c4fffff,0x3fffffff,0x3ffffa20,0xcccccaef,0x3fa24ccc,0xccaeffff,
    0x24cccccc,0xefffffe8,0xccccccca,0x3fffea4c,0x7fff4405,0xffcabeff,
    0x7d46ffff,0xc9beffff,0x4fffffff,0x01bfffea,0x305ffffb,0xfc8dffff,
    0xffffffff,0xffffffff,0xfff30004,0xfd0000df,0xfffc80bf,0xfffeffff,
    0x7dc3ffff,0x98004fff,0x8006ffff,0xfffffff9,0xfffcffff,0xffff504f,
    0xffffffff,0x3fe6007f,0x7ffdc04f,0x8800004f,0xfc804fff,0x05ffffff,
    0x7ffffec0,0x7ffd46ff,0xefffffff,0x2a2ffffc,0xffffffff,0xffffceff,
    0x0dffff52,0x02ffffd8,0x87bffa00,0x3fffa009,0xfff81fff,0x2a00ffff,
    0xffffffff,0xffffffff,0x3ffffea7,0xffffffff,0x3fea7fff,0xffffffff,
    0x27ffffff,0x805ffffa,0xfffffff9,0xefffffff,0xfffffe80,0xffffffff,
    0x3ffea5ff,0x7ffec06f,0xffff982f,0x7fffec46,0xffffffff,0x0000efff,
    0x00dffff3,0x04fff880,0xffffffe8,0x5fffffff,0x04ffffb8,0x6ffff980,
    0xfffd3000,0xf33fffff,0x7cc09fff,0xffffffff,0xcce883ff,0x01ffffed,
    0x027fffdc,0xd999d100,0x3003ffff,0xdfffffff,0xffff8800,0xffb87fff,
    0x8effffff,0x5c2ffffb,0xffffffff,0x2ffffb8e,0x80dffff5,0x002ffffd,
    0x3fffff20,0x3fee00ff,0xffb07fff,0xfa80dfff,0xffffffff,0x7fffffff,
    0x3fffffea,0xffffffff,0x3ffea7ff,0xffffffff,0x2a7fffff,0x5005ffff,
    0xffffffff,0x440bffff,0xffffffff,0xfffff8df,0x0dffff50,0x82ffffd8,
    0x706ffff9,0xffffffff,0x007fffff,0x6ffff980,0xd999d100,0x2003ffff,
    0xfffffffb,0xf702ffff,0x30009fff,0x000dffff,0x7ffffe44,0x9ffff31d,
    0xfffec880,0xf301cfff,0x3dffffff,0x9ffff700,0x7ffcc000,0x001dffff,
    0x3fffffe6,0xffe98005,0xfd705fff,0x7dc9dfff,0xfeb82fff,0x3ee4efff,
    0xfff52fff,0xfffd80df,0x3a20002f,0x00ffffff,0x17ffffe6,0x1fffffdc,
    0x3ffffea0,0xffffffff,0x3fea7fff,0xffffffff,0x27ffffff,0xfffffffa,
    0xffffffff,0x3fffea7f,0x7ffdc005,0x04efffff,0xfffffc88,0x3ffff23e,
    0x0dffff53,0x82ffffd8,0x206ffff9,0xfffffec8,0x0001deff,0x06ffff98,
    0xffffff30,0xb98003bf,0xdefffffd,0x3fffee00,0xfff98004,0x5100006f,
    0x26000003,0x5c4009aa,0x001bccdc,0x013fffee,0xcccca880,0x2a20001a,
    0xa880000a,0x1531000a,0x15310000,0xffffa800,0x7fffec06,0xec980002,
    0xffe801bd,0xfff103ff,0xffa803ff,0xffffffff,0x27ffffff,0xfffffffa,
    0xffffffff,0x3fffea7f,0xffffffff,0x3ea7ffff,0x88005fff,0x009bcca9,
    0x009a9880,0x37fffd40,0x0bffff60,0x01bfffe6,0x001aa988,0xffff9800,
    0x99951006,0x20000359,0xf70009a8,0x30009fff,0x000dffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x50000000,0x44015555,0x0002aaaa,0x00000000,
    0x33320000,0xcccccccc,0x018002cc,0x7fe40000,0xffff36ff,0x3fe6001f,
    0xfff70fff,0x8000009f,0xb73001a9,0x554437bd,0x555511aa,0x5ef6dc41,
    0x765c4001,0x55510abe,0x00010035,0x9ffff900,0x00aaaaa6,0xd8555554,
    0x8806ffff,0x003fffff,0xffffff30,0xffffffff,0xffffffff,0xfff303ff,
    0xdfffffff,0xf80059dd,0xffffffff,0xffffffff,0xfffa85ff,0x3e60006f,
    0x0000ffff,0xffffff88,0xffffffff,0x0fffffff,0x237fffcc,0x200fffff,
    0x005ffffb,0x980bfff9,0x1cdefedc,0xffd10000,0xfff300bf,0xffffffff,
    0xdb7009ff,0x017bdfff,0x7ffe4000,0xfffff36f,0x3ffe6001,0xffff70ff,
    0xb5000009,0x07dfffff,0x3fffffee,0x9ffff35f,0x64bfffee,0x4fffffff,
    0xfffff500,0xfff11dff,0x00fb809f,0x7ffe4000,0xfffff54f,0xffffa801,
    0x3ffffe67,0x7fffe402,0xffb0000f,0xffffffff,0xffffffff,0x03ffffff,
    0xfffffff3,0xffffffff,0x3ffe005d,0xffffffff,0xffffffff,0x6ffffa85,
    0x3ffe6000,0x880000ff,0xffffffff,0xffffffff,0x4c0fffff,0x7fc6ffff,
    0x3ee00fff,0xf9805fff,0xfb305fff,0xffffffff,0xfc800019,0xfb805fff,
    0xffffffff,0x2a04ffff,0xfffffffe,0x00003fff,0x26dffff9,0x000fffff,
    0x21fffff3,0x004ffffb,0x7fffd400,0x6c42ffff,0xffffffff,0x4ffffaef,
    0xfb5ffff7,0xffffffff,0x7ffe401b,0x9effffff,0xd304ffff,0x800001ff,
    0x3e4ffffc,0x6c02ffff,0x7f44ffff,0x3e206fff,0x0003ffff,0xfffffff1,
    0xffffffff,0xffffffff,0xfff303ff,0xffffffff,0x1bffffff,0xffffff80,
    0xffffffff,0x2e5fffff,0xffffffff,0x9801ffff,0x000fffff,0xfffff880,
    0xffffffff,0xffffffff,0x37fffcc0,0x803ffffe,0x805ffffb,0x885ffffe,
    0xffffffff,0x000effff,0xbfffff50,0xfffff900,0xffffffff,0x3ffff209,
    0xffffffff,0xfc80006f,0xfff36fff,0x3e6001ff,0xff70ffff,0x400009ff,
    0xfffffff8,0x7ffe41ff,0xffffffff,0xf74fffff,0xffffffff,0x9fffffff,
    0x3ffffea0,0xffffffff,0xffd84fff,0x400000ff,0x324ffffc,0x7c05ffff,
    0x7d41ffff,0xf901ffff,0x0001ffff,0x3ffffff2,0xffffffff,0xffffffff,
    0xff981fff,0xffffffff,0xffffffff,0x3fffe00f,0xffffffff,0x5fffffff,
    0x3fffffee,0x01ffffff,0x0fffff98,0xfff88000,0xffffffff,0xffffffff,
    0x7ffcc0ff,0x7ffffc6f,0x3fffee00,0x7fffec05,0xffffe85f,0xffffffff,
    0xff88005f,0xe805ffff,0xffffffff,0xa84fffff,0xefffffff,0x5fffffff,
    0x7ffe4000,0xfffff36f,0x3ffe6001,0xffff70ff,0x7d400009,0x6dcfffff,
    0x7fffffc4,0xfffea88a,0xfff74fff,0x7337ffff,0x03ffffff,0x39fffffd,
    0xfffffd53,0xfffff09f,0xfc800001,0x3fe64fff,0xff500fff,0x3ffa0dff,
    0xfff885ff,0xf10003ff,0xf735ffff,0x9999ffff,0x99999999,0xffff3019,
    0xdd99999f,0x9fffffff,0x66666640,0xfecccccc,0x2e3fffff,0xffffffff,
    0x9801ffff,0x000fffff,0xccccc880,0xfffffdcc,0xcccccccd,0x37fffcc0,
    0x803ffffe,0x305ffffb,0xbffffffd,0xffffffb8,0xfffffdac,0x7fec002f,
    0xf805ffff,0x9999efff,0x44099999,0x0befffff,0x3fffff2a,0x3ff20003,
    0xffff36ff,0x3fe6001f,0xfff70fff,0x5c00009f,0x6406ffff,0xb00fffff,
    0x2e9fffff,0x80ffffff,0x45fffff9,0x02fffffb,0x09fffffb,0x001fffff,
    0xffffc800,0x17ffff44,0x03ffffc8,0x83fffff5,0x00fffffb,0xdffff700,
    0x03ffffd4,0xffff3000,0x7fe4401f,0x0001ffff,0xffffff98,0x7ffe54c5,
    0x0aaaaaef,0xfffff980,0xdeeeeeee,0x260000bc,0x001fffff,0x237fffcc,
    0x200fffff,0x445ffffb,0xfffffffc,0x7ffff45f,0xfffff884,0x3ffea004,
    0x4405ffff,0x0004ffff,0x01dffff7,0x02ffffe4,0xdffff900,0x03ffffe6,
    0x7ffffcc0,0x09ffff70,0x7ffe4000,0x7fffc04f,0x3ffe603f,0xffff74ff,
    0x7ffdc07f,0x7ffff47f,0x3fffe205,0xfffff84f,0x7e400000,0x7fdc4fff,
    0xffff05ff,0x7fff401f,0x7ffffc4f,0x3ffe0003,0x3ffea2ff,0x2600007f,
    0x800fffff,0x06fffff9,0x7fff4400,0xff500eff,0x4c000dff,0xffffffff,
    0xffffffff,0xff98000d,0x4c001fff,0x7fc6ffff,0x3ee00fff,0x3fee5fff,
    0xffffffff,0x3ffffe25,0xdffff900,0x3fffe200,0x5405ffff,0x0003ffff,
    0x805ffffb,0x007ffff9,0x5bffff20,0x00fffff9,0x1fffff30,0x993fffee,
    0x001bdedb,0x407ffffb,0x00fffff8,0xba7ffff4,0xf807ffff,0x3fe1ffff,
    0x7ec01fff,0xf7514fff,0x3557ffff,0xbdedb980,0x13ffff22,0x81fffff1,
    0x405ffffa,0x70fffffa,0x001fffff,0x1ffffee0,0x00fffff5,0x7fffcc00,
    0xfff9000f,0x6c0005ff,0x00ffffff,0x89bfffea,0x301bdeca,0xffffffff,
    0xffffffff,0xf98001df,0x4001ffff,0x316ffff9,0x401fffff,0x3e5ffffb,
    0xffefffff,0x3ffea5ff,0x3ffe606f,0xfffb007f,0x80bfffff,0x001ffffc,
    0x00fffdb0,0x003ffffa,0xb7fffe40,0x00fffff9,0x1fffff30,0x653fffee,
    0x4fffffff,0xfffd5530,0x4c1555bf,0xd807ffff,0xff74ffff,0xffd00dff,
    0x3ffe25ff,0x7fe400ff,0xffff74ff,0x09ffffff,0x7fffffdc,0x9ffff95f,
    0x85ffffb0,0x802ffffc,0xfd4ffffe,0x40007fff,0x543ffffe,0x0007ffff,
    0x3ffffe60,0xffff1000,0x3f20009f,0x401fffff,0xf56ffffa,0x1fffffff,
    0xffffff98,0xffffffff,0x4006ffff,0x01fffff9,0x77fffcc0,0xfffffae9,
    0x3fffee00,0x2bffffe5,0x885ffffa,0x3fea01a9,0xffa806ff,0x5ffffbff,
    0x57fffec0,0x002cefdb,0x3fe20022,0x320007ff,0xff36ffff,0x26001fff,
    0xf70fffff,0xfffdbfff,0x1dffffff,0xffffffc8,0x2a2fffff,0xc806ffff,
    0xff74ffff,0xffb00bff,0x3ffe67ff,0xfffb807f,0xfffff74f,0x109fffff,
    0xfffffffb,0xffffbdff,0xbffff509,0x007ffff8,0xf3fffff5,0x0001ffff,
    0x03ffffea,0x00fffff5,0x7fffcc00,0x3ff6000f,0xfa8006ff,0x803fffff,
    0xfbeffffa,0xffffffff,0x7ffffcc6,0xfeeeeeee,0x02ffffff,0x3ffffe60,
    0x7ffcc001,0xfffaffff,0x3fee01ff,0x3bffe5ff,0x0bffff50,0x7fffec00,
    0x7fffc404,0x05ffff9c,0x7ffffffc,0x00efffff,0x3fff2000,0x3f20004f,
    0xfff36fff,0x3e6001ff,0xff70ffff,0xffffffff,0x89ffffff,0xfffffffc,
    0x3ea2ffff,0xfc806fff,0xfff74fff,0xfffb00bf,0x3fffe67f,0xffffb807,
    0xffffff74,0xf909ffff,0xffffffff,0x9fffffff,0x43ffffe0,0x004ffff9,
    0x3fbffffa,0x20003fff,0xa84ffffe,0xaaafffff,0xaaaaaaaa,0xffff300a,
    0x7fdc001f,0x7cc007ff,0x005fffff,0xfffffff5,0xffffffff,0x7fffcc9f,
    0x3ff6200f,0x26006fff,0x001fffff,0x7fffffcc,0x1fffffaf,0x97fffee0,
    0x7ffd42df,0xff10005f,0xfd807fff,0xffff36ff,0x7fffc40b,0xffffffff,
    0xc80002ff,0x002fffff,0x5bffff20,0x00fffff9,0x1fffff30,0x3fffffee,
    0xfffa88ae,0x3ff21fff,0xffffffff,0x3fffe62f,0xffffd807,0x0dffff74,
    0x25ffffd0,0x807ffff8,0x934ffffc,0x99fffff9,0xffff8859,0xfea88aff,
    0x904fffff,0x3f25ffff,0x2aa01fff,0xfffffdaa,0xaaabffff,0xffff5002,
    0xffff503f,0xffffffff,0x983fffff,0xafffffa9,0xf5009999,0x2001ffff,
    0x6fffffe8,0x3fffea00,0xea88aeff,0x3e67ffff,0xe800ffff,0x000fffff,
    0x03fffff3,0xfffff980,0x5fffff3f,0x2ffffe40,0x3fffea03,0xfff90005,
    0x7fdc01ff,0xffff31ff,0x7fffcc0b,0xffffffff,0x10000fff,0x09fffffb,
    0xffffc800,0x1fffff36,0x3fffe600,0xfffff70f,0x3fffe20d,0x3fb32a5f,
    0x1cccdfff,0x03ffffe2,0x29ffffd0,0x807ffffb,0x3e1ffffe,0x6c00ffff,
    0xff84ffff,0x3f600fff,0xfd00ffff,0x2609ffff,0xfff5ffff,0xffff80df,
    0xffffffff,0x06ffffff,0x0bffffb0,0x3fffffea,0xffffffff,0x7ffc1fff,
    0xffffffff,0xfff506ff,0x3f6003ff,0x000fffff,0x1bffffea,0x8fffffd4,
    0x00fffff9,0x1fffffb8,0xfffff300,0xfff98003,0x3fffe2ff,0x3fffa04f,
    0xfffa805f,0xffb8005f,0x3e202fff,0x3fe64fff,0x3fee05ff,0xd99acfff,
    0x004fffff,0xfffffe88,0xffc80005,0xffff36ff,0x3fe6001f,0xfff70fff,
    0x7fdc03ff,0xfffb07ff,0xffff807f,0x3ffea04f,0xffff74ff,0x7ffcc05f,
    0x3fffa0ff,0x3ffe203f,0xffff84ff,0x3fffe00f,0x3ffe603f,0x3ffa04ff,
    0x3ffffaff,0x7fffffc0,0xffffffff,0x9806ffff,0x502fffff,0xffffffff,
    0xffffffff,0xfffff83f,0xffffffff,0xfffff506,0xffff9003,0xfa8003ff,
    0x3a03ffff,0xff32ffff,0xf5001fff,0x9903ffff,0xffffb999,0x099999bf,
    0x237fffd4,0x80efffff,0x05fffffa,0x05ffffa8,0x7ffffdc0,0x37ffec06,
    0x817fffe6,0x901ffeca,0x001fffff,0x7fffff44,0xff900005,0x3ffe6dff,
    0xff3000ff,0x3fee1fff,0x7fc406ff,0xffd80fff,0x7fe403ff,0xfe881fff,
    0xff74ffff,0x7ec0dfff,0x7fe46fff,0x3ff206ff,0xfff84fff,0xfff100ff,
    0xffe801ff,0x3fee04ff,0x0fffffff,0x7fffffc0,0xffffffff,0xd806ffff,
    0x2a06ffff,0xffffffff,0xffffffff,0x7ffffc1f,0xffffffff,0xfffff506,
    0xffffa803,0xfa8003ff,0x3600ffff,0xff32ffff,0xf9001fff,0xff01ffff,
    0xffffffff,0x0fffffff,0x1bffffe6,0x8bffffff,0x5ffffff9,0x5ffffa80,
    0x3ffff200,0x3fee01ff,0x7ffcc1ff,0xf100005f,0x4005ffff,0x04fffffd,
    0x3fff2000,0xfffff36f,0x3ffe6001,0xffff70ff,0xfffff00b,0x7ffffb03,
    0xfffff980,0xfffb99bf,0xff74ffff,0xc81bffff,0x442fffff,0x40dfffff,
    0x4ffffffc,0x00fffff8,0x00fffff3,0x409ffffb,0xfffffff8,0xeeee806f,
    0xfffffeee,0x04eeeeee,0x17ffffc4,0x3fffff50,0x33333333,0xf5330333,
    0x3335ffff,0x3ffee013,0x7ffcc07f,0x50004fff,0xd80fffff,0xff33ffff,
    0xfd001fff,0x3fe0dfff,0xffffffff,0x87ffffff,0x6ffffffa,0x7ffffffc,
    0xffffffdf,0xffa805ff,0xff9005ff,0x4403ffff,0xf984ffff,0x00005fff,
    0x00fffff6,0x27ffffcc,0x3ff20000,0xffff36ff,0x3fe6001f,0xfff70fff,
    0xfffd009f,0xffffb05f,0xffffb007,0xffffffff,0x3ee9ffff,0xdfffffff,
    0x6ffffffd,0xffffff90,0xffffffbb,0xffff09ff,0x3ffea01f,0xfffc806f,
    0x7ffec04f,0x0003ffff,0x01bfffe6,0xfffffc80,0xffffffff,0x0007ffff,
    0x3ffffe60,0x3ffee000,0x3ffa206f,0x20005fff,0x406ffffa,0xf33ffffd,
    0x4401ffff,0x05fffffd,0xffdddddb,0xdddddfff,0xfffffd0b,0xfffff8df,
    0xffffffff,0xa805ffff,0xc805ffff,0x01ffffff,0x9837fff4,0x0005ffff,
    0x17ffff20,0x2ffffdc0,0x7fe40000,0xffff36ff,0x3fea001f,0xfff70fff,
    0xfffd009f,0xffffb07f,0x3fff6007,0xccffffff,0xff74ffff,0xffffffff,
    0x03ffffff,0x3fffffe2,0xffefffff,0xffff84ff,0xffff500f,0xffff900d,
    0xffffa809,0x20000fff,0x006ffff9,0xffffff10,0xffffffff,0x000fffff,
    0x7ffffcc0,0x3fff2000,0x3fff605f,0x20000eff,0x406ffffa,0xf33ffffd,
    0x9999ffff,0xfffffd99,0x7cc005ff,0xd001ffff,0x8dffffbf,0xffafffff,
    0xfffaffff,0xfffa805f,0x7ffe405f,0x7cc01fff,0xffffffff,0xffffffff,
    0x7e40007f,0xf9005fff,0x51001fff,0x7e409d99,0xfff15fff,0x3ea003ff,
    0x3fee7fff,0xffe805ff,0xfffd82ff,0x3ff2003f,0xf94fffff,0x3fee7fff,
    0xfffe9dff,0x401fffff,0xffffffe9,0xffffcaff,0x0fffff84,0x0fffff30,
    0x09ffffb0,0xbffffff0,0x3ffffe00,0xffffffff,0x206fffff,0xfffffffc,
    0xffffffff,0x00007fff,0x03ffffe6,0x4fffff80,0xffffff90,0xffa80003,
    0x7fec06ff,0xffff33ff,0xffffffff,0x09ffffff,0xfffff980,0xff33b001,
    0xffff8dff,0x3ffffa8f,0x500bffff,0x640bffff,0x01ffffff,0xffffff98,
    0xffffffff,0x9887ffff,0x7ffec02a,0xfffd003f,0x3ffe600f,0x3fff606f,
    0x3ffffe5f,0xffff9003,0x37fffdcd,0x0fffffc0,0x01ffffec,0x2f7f6e60,
    0x4fffff21,0xb15ffffb,0x01bfffff,0x7ffffe40,0x9ffff91d,0x01fffff0,
    0x01ffffe2,0x013ffffa,0x0bfffff2,0x7fffffc0,0xffffffff,0xf106ffff,
    0xffffffff,0xffffffff,0x40000fff,0x00fffff9,0x5fffff30,0xffffff50,
    0xff500005,0xffd80dff,0xffff33ff,0xffffffff,0x00bfffff,0x3fffff30,
    0x7ffcc200,0x7ffffc6f,0x00002a60,0x20bffff5,0x1ffffffb,0xfffff300,
    0xffffffff,0x4cffffff,0x201fffff,0x002ffffe,0x200dfffd,0x00fffff8,
    0x749ffffd,0x400fffff,0x25fffff8,0x01fffffb,0x41ffffe6,0x003ffffd,
    0xffffc800,0x0bffff73,0x98000353,0xffffc81a,0x0fffff84,0x0bffffe0,
    0x4fffff88,0x7ffffb80,0x3ffffe00,0xffffffff,0x706fffff,0x999fffff,
    0xfb999999,0x0000ffff,0x07ffffcc,0x7ffff440,0xfffff986,0xf500004f,
    0xfd80dfff,0xfff33fff,0xffffffff,0x019fffff,0xfffff300,0xfff98003,
    0x7ffffc6f,0xfa800000,0xff985fff,0x2000ffff,0xfffffff9,0xffffffff,
    0x7ff47fff,0xfff505ff,0x000001ff,0x09fffff0,0x45fffff3,0x05fffffc,
    0x1fffffec,0x0bfffff7,0x837fffec,0x403ffffd,0xd801aacb,0xff72ffff,
    0x00000bff,0x3ffff200,0x0fffff84,0x1bffffa0,0x4fffffc8,0x7ffffc40,
    0x3fffe004,0xffffffff,0x06ffffff,0x00dffffd,0x01ffffee,0xffff9800,
    0x7ffcc00f,0x7fc42fff,0x0005ffff,0x1bfffea0,0x27ffffb0,0xfffffff9,
    0x3ceeefff,0x7ffcc000,0x7cc001ff,0x7ffc6fff,0x800000ff,0x445ffffa,
    0x01fffffe,0x66666440,0xffdccccc,0x644cceff,0x10bfffff,0x09fffff9,
    0x00cccc40,0x9fffffb0,0xfffff735,0x7fffc41f,0xb99bdfff,0x0ffffffe,
    0x3fffffee,0xfffffc85,0x7ffffb02,0xfffffc80,0xfffff302,0x17fffee1,
    0x64000000,0xff84ffff,0x98112fff,0x40dfffff,0x4ffffffc,0x7ffffdc0,
    0xff980001,0x7d4006ff,0x7002ffff,0x999fffff,0x99999999,0xfff30799,
    0x999999ff,0xffffffd9,0xfffff90b,0x999999bf,0x99999999,0x6ffffa81,
    0x9ffffec0,0x00fffff9,0xff980000,0x4c001fff,0x7fc6ffff,0x00000fff,
    0x45ffffa8,0xeffffffb,0xeeeeeeee,0xfff30006,0x7ffc40bf,0xfffdffff,
    0x2000ffff,0x001ffffe,0xfffffff3,0x9fffffff,0xffffff90,0xffffffff,
    0xffb87fff,0xddffffff,0x06ffffff,0x00fffff6,0x5dfffff7,0xfffd7511,
    0x7fffdcbf,0x00000005,0xd09ffff9,0xbfdfffff,0xffffffb0,0xffffffbd,
    0x54d4c9ff,0x05fffffc,0xffff3000,0xfffe800d,0x3fee007f,0xffffffff,
    0xffffffff,0xfffff985,0xffffffff,0x80ffffff,0xfffffffc,0xffffffff,
    0x41ffffff,0x406ffffa,0xf33ffffd,0x0001ffff,0xffff3000,0xff98003f,
    0x7fffc6ff,0xa800000f,0x7f45ffff,0xffffffff,0x07ffffff,0xbffff300,
    0xfffff980,0xffffffff,0x7fff4001,0x3ff2001f,0xffffffff,0xfd880eff,
    0xffffffff,0x0effffff,0x7e7fffdc,0xffffffff,0x3ff601ff,0x7fc403ff,
    0xffffffff,0x21ffffff,0x005ffffb,0xff900000,0xfff909ff,0xf30dffff,
    0xffffffff,0x9ffff9ff,0x7fffffd4,0x00001fff,0x00dffff3,0x1fffffd4,
    0xfffff700,0xffffffff,0x30bfffff,0xffffffff,0xffffffff,0x3ff205df,
    0xffffffff,0xffffffff,0x7fd41fff,0x7fec06ff,0xffff33ff,0x0000001f,
    0x03fffff3,0x6ffff980,0x007ffffc,0x7ffd4000,0x3fffe65f,0xffffffff,
    0x0007ffff,0x00bffff3,0xfffffff5,0x0001dfff,0x003ffffd,0x7ffffec4,
    0x00efffff,0x7fffffdc,0x3fffffff,0x33ffff70,0xffffffff,0xfffd803d,
    0xfffa803f,0xffffffff,0x7fdc4fff,0x000005ff,0x9ffff900,0xffffff30,
    0x3ffa60ff,0x99ffffff,0x3e64ffff,0x4fffffff,0x3fe60000,0x3fa006ff,
    0x2000ffff,0xfffffffb,0xffffffff,0xff985fff,0xffffffff,0x03ffffff,
    0x7fffffe4,0xffffffff,0x1fffffff,0x037fffd4,0x4cfffff6,0x000fffff,
    0xfff98000,0x7cc001ff,0x7ffc6fff,0x800000ff,0x2e5ffffa,0xffffffff,
    0xffffffff,0xfff30007,0x3f2200bf,0x04efffff,0x3ffffa00,0xffea8001,
    0x003effff,0x3fffff66,0x201dffff,0xb11ffffb,0x01bfffff,0x07ffffb0,
    0x3ffff660,0x2effffff,0x05ffffb8,0xf9000000,0x3a609fff,0x205fffff,
    0xdfffffc8,0x49ffff31,0xfffffff8,0x7cc00004,0xf3006fff,0x8009ffff,
    0xfffffffb,0xffffffff,0xff985fff,0xffffffff,0x800bcdef,0xfffffffc,
    0xffffffff,0x41ffffff,0x406ffffa,0xf33ffffd,0x0001ffff,0xffff3000,
    0xff98003f,0x555546ff,0xa800000a,0x3fa5ffff,0xffffffff,0x7fffffff,
    0xffff3000,0x3531000b,0x3ffa0000,0x220001ff,0x00019aa9,0x0d55554c,
    0x06a60000,0x7ffffb00,0xedcc9800,0x2202bcee,0x0001aaaa,0x55530000,
    0x0aa88035,0x000d4400,0x0bdeeec8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffff9000,0xf8000007,0x0003ffff,0x01bfffe6,0x0e666644,
    0xffff3000,0xffffffff,0xbfffffff,0x9b7fffcc,0x9932ffff,0x99999999,
    0x19999999,0x07333322,0x22cccca8,0x001aaaa8,0x17ffffe4,0x7fffcc00,
    0xefffffff,0x4400bdee,0x99999999,0x3ffe6199,0xefffffff,0xf3002cee,
    0x3feedfff,0x740004ff,0x0007ffff,0x4cdffffd,0xff56ffff,0x4c000dff,
    0xffffffff,0xffffffff,0x5edc41ff,0xf9977440,0x1000ffff,0x2a3fffff,
    0x3e27ffff,0x3001ffff,0x3fffffff,0x0e666644,0xffff5000,0x3200dfff,
    0x4fffffff,0x2e0b36a0,0xffff905e,0xf8000007,0x0003ffff,0x01bfffe6,
    0x17ffffc4,0xffff3000,0xffffffff,0xbfffffff,0x9b7fffcc,0xff52ffff,
    0xffffffff,0x3fffffff,0x0bffffe2,0x24ffffc8,0x005ffffb,0x3fffffe2,
    0xfff98005,0xffffffff,0x0dffffff,0xffffffb0,0x261fffff,0xffffffff,
    0xefffffff,0x7fffcc02,0x09ffff76,0xffffb800,0x7fc4002f,0x3fe63fff,
    0xffff56ff,0x7fcc000d,0xffffffff,0xffffffff,0x3ffffea1,0x31ffd9bd,
    0x001fffff,0x47ffffe2,0x227ffffa,0x801fffff,0xfffffff8,0x7ffffc41,
    0x3fea0002,0x00ffffff,0xffffffe8,0xffffd04f,0x0bff559f,0x00fffff2,
    0xffff0000,0x7cc0007f,0xf1006fff,0x0005ffff,0x7fffffcc,0xffffffff,
    0x265fffff,0xff36ffff,0x3ffea5ff,0xffffffff,0x11ffffff,0x405fffff,
    0x2e4ffffc,0x2005ffff,0xfffffffb,0x7ffcc000,0xffffffff,0xefffffff,
    0xfffffd80,0x30ffffff,0xffffffff,0xffffffff,0x3fe601bf,0xffff76ff,
    0xff880009,0x5c005fff,0x260fffff,0xff56ffff,0x4c000dff,0xffffffff,
    0xffffffff,0x3fff61ff,0xffffffff,0x1fffff30,0x3fffe200,0xfffff51f,
    0x0fffffc4,0x3ffffa20,0xfff881ff,0x2a0002ff,0xffffffff,0x7fffc402,
    0xf984ffff,0xffffffff,0xfff903ff,0x8000007f,0x003fffff,0x1bfffe60,
    0x7ffffc40,0x3fe60002,0xffffffff,0xffffffff,0x3fffe65f,0x25ffff36,
    0xfffffffa,0xffffffff,0xffff11ff,0x7ffe405f,0x3fffee4f,0x3fffa005,
    0x4004ffff,0xfffffff9,0xffffffff,0xfd86ffff,0xffffffff,0xffff30ff,
    0xffffffff,0x1fffffff,0x2dffff30,0x004ffffb,0x7ffffe80,0x7ffff400,
    0xb7fffcc6,0x006ffffa,0x3ffffe60,0xffffffff,0x3e1fffff,0xfffecadf,
    0x3ffe64ff,0xff1000ff,0x3fea3fff,0x3ffe27ff,0x3fa201ff,0x101fffff,
    0x005fffff,0x7ffffd40,0x7d405fff,0x4fffffff,0xfdbbffc8,0x900fffff,
    0x0007ffff,0xfffff800,0xf9802983,0xf1006fff,0x0005ffff,0x67ffffcc,
    0xcccccccc,0x262ccccc,0xdd36ffff,0x3ffea3ff,0xffffffff,0x10efffff,
    0x405fffff,0x2e3ffffc,0x3005ffff,0xffffffff,0xfff9800f,0xcccccdff,
    0xfffffecc,0x4cccc42f,0x21999999,0xccfffff9,0xfffedccc,0xf984ffff,
    0xfff76fff,0xf700009f,0x2005ffff,0x43fffff8,0xf55eeee9,0x4000dfff,
    0xcdfffff9,0xcccccccc,0x1dd30ccc,0x4c1cdb88,0x000fffff,0x23fffff1,
    0x227ffffa,0x201fffff,0x1ffffffd,0x3ffffe20,0x3fea0002,0x07ffffff,
    0x7fffffe4,0x84ec84ff,0x4c402dda,0x00002ffa,0x1fffffc0,0x3e600fea,
    0xf1006fff,0x0005ffff,0x07ffffcc,0x7ffcc000,0x887fcc6f,0x99999999,
    0xffffe999,0x3ffffe21,0x3feea602,0x0b333262,0x7ffffe40,0x2002ffff,
    0x00fffff9,0x4fffffa8,0xfff30000,0x7e4401ff,0x4c1fffff,0xff76ffff,
    0x100009ff,0x00bfffff,0x03ffffee,0x6ffffa80,0x3ffe6000,0x000001ff,
    0xfffff300,0x3ffe2001,0xffff51ff,0x7ffffc4f,0xfffffb01,0xfff8805f,
    0x2a0002ff,0xffffffff,0x3fffa01f,0x004fffff,0x1ffb8000,0x7fc00000,
    0x3ff23fff,0xffff9803,0xffff1006,0x7cc0005f,0x0000ffff,0x46ffff98,
    0xf70007fb,0xff885fff,0xfa802fff,0xff00001f,0xffffdfff,0x7ffcc00b,
    0xffb000ff,0x20000dff,0x00fffff9,0x6fffff98,0xbb7fffcc,0x0004ffff,
    0x1fffffb0,0xbffffd00,0xffffa800,0x3fe60006,0x00001fff,0xffff3000,
    0x3fe2001f,0xfff51fff,0x7fffc4ff,0xffffc81f,0xff8802ff,0x20002fff,
    0xffeffffa,0xfff103ff,0x09ffffdf,0xffb00000,0x30aaaaa1,0x8037bdb7,
    0xfb3fffff,0xff3007ff,0x3e200dff,0x0002ffff,0x03ffffe6,0x3ffe6000,
    0x00ffee6f,0x13fffe60,0x0bffffe2,0x0003ff60,0x3bfffea0,0x00fffff9,
    0x1fffff30,0x3fffea00,0x2aaaa205,0xfffff302,0x3fff2001,0x3ffe62ff,
    0x9ffff76f,0x2aaaaa60,0xfffff502,0xffff8805,0xaaaa882f,0x4dffff52,
    0x02cdeca8,0x03fffff3,0x55544000,0xffff302a,0x3fe2001f,0xfff51fff,
    0x7fffc4ff,0x7fffe41f,0xff1002ff,0x40005fff,0xfedffffa,0xfff505ff,
    0x29ffff9f,0x220aaaa8,0x202ceeca,0x3fa2ffe9,0xfffd16ff,0x7c07ffff,
    0xffecffff,0xff9801ff,0xff1006ff,0x40005fff,0x00fffff9,0xffff9800,
    0x000bff76,0x203bfffa,0x02fffff8,0x0013ff22,0x9ffffec0,0x004ffffe,
    0x01fffff3,0x0fffff20,0x06ffff98,0x01fffff3,0x3ffffe20,0x5bfffe64,
    0x984ffffb,0x01ffffff,0x017ffffe,0x01fffff7,0x2adffff3,0xff56ffff,
    0x81dfffff,0x01fffff9,0x3ffe6000,0xffff306f,0x3fe2001f,0xfff51fff,
    0x7fffc4ff,0x3fffee1f,0x3e2002ff,0x0002ffff,0x337fffea,0xff907fff,
    0x9ffff5ff,0x54ffffea,0xefffffff,0x745ffe81,0xffe9efff,0x4fffffff,
    0xfffffff0,0x26003dff,0x1006ffff,0x005fffff,0x7ffffcc0,0xff980000,
    0x005d16ff,0x0bfffee0,0x17ffffc4,0x000dffd0,0x3ffffe20,0x0fffff70,
    0x3ffffe60,0xffff8800,0x3ffe601f,0xffff306f,0x7fec001f,0x3ffe66ff,
    0x9ffff76f,0xfffffe88,0x7fffe401,0x3fffa00f,0xffff305f,0x3bfffead,
    0xfffffffb,0x3fe60fff,0x00001fff,0x41bfffe6,0x00fffff9,0x3fffff10,
    0x89ffffea,0xf51fffff,0x007fffff,0x2fffff88,0x3ffea000,0x1ffffadf,
    0xfadffff8,0xfff54fff,0xfffff77f,0xa83fffff,0xffffe82e,0xffffffff,
    0xff80ffff,0x0effffff,0x3fffe600,0xffff1006,0x7cc0005f,0xaaabffff,
    0xaaaaaaaa,0x7fffcc1a,0xff880006,0x3fe205ff,0x3ee02fff,0xf700000c,
    0x7fc4bfff,0xf9802fff,0x999affff,0xfffc9999,0x7fcc05ff,0xfff306ff,
    0x7dc001ff,0x3fe67fff,0xffff76ff,0x7ffff449,0xfff9801f,0xfff102ff,
    0x3fe605ff,0xffff56ff,0xffffffff,0x7cc9ffff,0x0001ffff,0x1bfffe60,
    0x5fffffcc,0xaaaaaaaa,0x1fffffba,0x44fffff5,0xfa9fffff,0x004fffff,
    0x2fffff88,0x3ffea000,0x3ffff8df,0x55ffffc4,0xff54ffff,0xffffffff,
    0x0bffffff,0x7fffff40,0xffd98acf,0xfff84fff,0x8005ffff,0x2e6ffff9,
    0xff11cccc,0x32e05fff,0x7fcc1ccc,0xffffffff,0xffffffff,0x37fffcc4,
    0x7ffe4000,0x3ffe202f,0x000c02ff,0x3ffffa00,0x2fffff42,0x7ffffcc0,
    0xffffffff,0x804fffff,0x306ffff9,0x001fffff,0x87ffffdc,0xf76ffff9,
    0x7fec9fff,0x3e002fff,0xf705ffff,0x7cc0ffff,0xfff56fff,0x5117dfff,
    0x21ffffff,0xfffffff9,0xffffffff,0x7ffcc03f,0xffff306f,0xffffffff,
    0xffffffff,0x3fffea3f,0x3ffffe27,0xfffffffb,0x7fc4000f,0x20002fff,
    0xfd5ffffa,0xfffb8dff,0x4ffffa8f,0xdffffff5,0xffff7117,0x3fa001ff,
    0xe884ffff,0xff84ffff,0x0003ffff,0x6cdffff3,0xff12ffff,0x3f605fff,
    0x7fcc2fff,0xffffffff,0xffffffff,0x37fffcc4,0x3ffe2000,0x7ffc406f,
    0x000002ff,0x3ffffe60,0x7ffffd40,0x7fffcc01,0xffffffff,0x004fffff,
    0x20dffff3,0x00fffff9,0x3ffffea0,0x2dffff30,0xf94ffffb,0x8005ffff,
    0x80fffffc,0x204ffffd,0xf56ffff9,0x301fffff,0x263fffff,0xffffffff,
    0xffffffff,0x7fffcc03,0xfffff306,0xffffffff,0xffffffff,0x9ffffea3,
    0xfffffff8,0x4fffffff,0x7fffc400,0x3ea0002f,0xfff95fff,0xbfffec1f,
    0xf54ffffa,0x501fffff,0x003fffff,0x81bffffa,0x445ffffb,0x003fffff,
    0x9bfffe60,0xf12ffffd,0x3605ffff,0x7cc2ffff,0xffffffff,0xffffffff,
    0x7fffcc4f,0x7fdc0006,0x7fc403ff,0x00002fff,0x3ffff600,0xfffff885,
    0x7fffcc04,0xffffffff,0x1dffffff,0x37fffcc0,0x0fffff98,0x3fffea00,
    0xdffff31f,0x333fffee,0x003fffff,0x3fffff98,0x0fffffc4,0x2dffff30,
    0x02fffffa,0x4cbffffa,0xffffffff,0xffffffff,0x7fffcc03,0xfffff306,
    0xffffffff,0xffffffff,0x9ffffea3,0xfffffff8,0xffffffff,0x3ffe2001,
    0x2a0002ff,0xff55ffff,0x7fffc5ff,0x29ffff55,0x02fffffa,0x007ffffe,
    0x01fffff4,0x4cdffff5,0x03fffffe,0x3fffe600,0x4bffff66,0x02fffff8,
    0x985ffffb,0xffffffff,0xffffffff,0x7ffcc4ff,0x7f40006f,0x7c400fff,
    0x0002ffff,0x40266662,0x02fffff8,0x80fffffb,0xfffffff9,0xffffffff,
    0x201fffff,0x306ffff9,0x001fffff,0x87ffffd4,0xf76ffff9,0xffffffff,
    0x7f40009f,0x7fdc5fff,0x7fcc06ff,0xffff56ff,0x7ffec01f,0xfffff32f,
    0xffffffff,0xf9807fff,0xff306fff,0xffffffff,0xffffffff,0x3fea3fff,
    0x3ffe27ff,0xfdffffff,0x2006ffff,0x02fffff8,0x3fffea00,0x29ffff15,
    0xf53ffff9,0x3fea9fff,0x7ff407ff,0xffd002ff,0x7fd405ff,0xffff56ff,
    0x40007fff,0x366ffff9,0xff12ffff,0x3f605fff,0x7fcc2fff,0x9999afff,
    0x99999999,0x37fffcc0,0xffff5000,0xffff100b,0x7dc0005f,0xff705fff,
    0x7fd40fff,0x3e602fff,0x999affff,0xffdbaa99,0xf300ffff,0x3e60dfff,
    0x2000ffff,0x267ffffb,0xff76ffff,0xffffffff,0x7fdc000d,0x3ff60fff,
    0x7fcc03ff,0xffff56ff,0xffffd80f,0xbfffff32,0x99999999,0xff980399,
    0xfff306ff,0x333335ff,0xfff53333,0x3ffea3ff,0x3fffe27f,0xffb3ffff,
    0x22009fff,0x002fffff,0x97fffea0,0xff76fffe,0x3ffea1ff,0xfffff54f,
    0x2ffffd80,0x5ffffd00,0xb7fffcc0,0xfffffffe,0x3fe60003,0x2aaaa6ff,
    0xfffff10a,0x2aaaaa05,0x7ffffcc0,0xff980000,0x360006ff,0x8802ffff,
    0x002fffff,0x17fffee0,0x677ffff4,0xffcccccc,0x3e605fff,0x7000ffff,
    0x20bfffff,0x306ffff9,0x001fffff,0x337fffdc,0x3eedffff,0xffffffff,
    0xf10003ff,0x3e27ffff,0x4c00ffff,0xff56ffff,0xffd80fff,0xffff32ff,
    0x4c00003f,0xf306ffff,0x2001ffff,0x51fffff8,0x7c4fffff,0x24ffffff,
    0x1ffffff8,0xfffff880,0x3fea0002,0x3fff25ff,0x27fffd8f,0xf54ffffa,
    0xfd80dfff,0xfd002fff,0x7cc03fff,0xfffd6fff,0x0007ffff,0x037fffcc,
    0x2fffff88,0x3ffe6000,0x980000ff,0x0006ffff,0x401bfffe,0x02fffff8,
    0x3fffee00,0xfffff985,0xffffffff,0x01ffffff,0x01fffff3,0x3ffffec0,
    0x06ffff98,0x01fffff3,0x2ffffec0,0x2edffff3,0xffffffff,0x0000ffff,
    0x2adffffd,0x9806ffff,0xff56ffff,0xffd80dff,0xffff32ff,0x4c00003f,
    0xf306ffff,0x2001ffff,0x51fffff8,0x7c4fffff,0xb84fffff,0x806fffff,
    0x02fffff8,0x3fffea00,0x2bfffea5,0x3ea5ffff,0xfff54fff,0xfffd80df,
    0xfffd002f,0x7ffcc03f,0xfff5fd6f,0x4c0007ff,0x1006ffff,0x005fffff,
    0x7ffffcc0,0xff980000,0xf50006ff,0x22007fff,0x002fffff,0x17fffee0,
    0x3ffffff2,0xffffffff,0x304fffff,0x001fffff,0x07ffffdc,0x837fffcc,
    0x00fffff9,0x93ffffa0,0xf76ffff9,0xfbbfffff,0x20009fff,0xd8fffffb,
    0x9803ffff,0xff56ffff,0xffd80dff,0xffff32ff,0x4c00003f,0xf306ffff,
    0x2001ffff,0x51fffff8,0x7c4fffff,0x3a04ffff,0x403fffff,0x02fffff8,
    0x3fffea00,0x3bfffe25,0x3ea3ffff,0xfff54fff,0xfffd80df,0xfffd002f,
    0x7ffcc03f,0x3ffe3b6f,0x260003ff,0x1006ffff,0x005fffff,0x7ffffcc0,
    0xff980000,0xf90006ff,0x22003fff,0x002fffff,0x13fffee0,0x3ffffffe,
    0xffffffff,0x307fffff,0x001fffff,0x0fffffdc,0x837fffcc,0x00fffff9,
    0x5fffff70,0xbb7fffcc,0x98efffff,0x001fffff,0xcfffff88,0x800fffff,
    0xf56ffff9,0xfd80dfff,0xfff32fff,0x400003ff,0x306ffff9,0x001fffff,
    0x47ffffe2,0x227ffffa,0x201fffff,0x1ffffffa,0x3ffffe20,0x3fea0002,
    0x7fff45ff,0x2a1fffff,0xff54ffff,0xffd80dff,0xffd002ff,0x7fcc03ff,
    0xffff86ff,0x3e60003f,0xf1006fff,0x0005ffff,0x07ffffcc,0x7ffcc000,
    0xffd0006f,0x7fc400ff,0x80002fff,0x7fd43ff8,0xeeeeefff,0xffeeeeee,
    0xff982fff,0x3a000fff,0xf307ffff,0x3e60dfff,0xf000ffff,0xf98fffff,
    0xfff76fff,0x7ffe41df,0xffb0005f,0xbfffffff,0x3fffe600,0x0dffff56,
    0x32ffffd8,0x003fffff,0x7fffcc00,0xfffff306,0x3ffe2001,0xffff51ff,
    0x7ffffc4f,0x7fffec01,0x3ffe206f,0x2a0002ff,0x7e45ffff,0x47ffffff,
    0xf54ffffa,0xfd80dfff,0xfd002fff,0x7cc03fff,0xfff86fff,0x260003ff,
    0x1006ffff,0x005fffff,0x7ffffcc0,0xff980000,0xf88006ff,0x22006fff,
    0x002fffff,0x6c2ffa80,0x4005ffff,0x985fffff,0x800fffff,0x5fffffb8,
    0x0dffff30,0x03ffffe6,0xfffffd50,0x6ffff987,0x889ffff7,0x002fffff,
    0xffffffa8,0xf3002fff,0x3feadfff,0x7fec06ff,0xffff32ff,0x4c00003f,
    0xf306ffff,0x2001ffff,0x51fffff8,0x7c4fffff,0x4c01ffff,0x03ffffff,
    0x05fffff1,0x7fffd400,0x7ffffd45,0x7ffd45ff,0xdffff54f,0x2ffffd80,
    0x3ffffd00,0x37fffcc0,0x66fffffc,0xcccccccc,0xfff34ccc,0x3fe200df,
    0xccccdfff,0xcccccccc,0x9fffff33,0x99999999,0x21999999,0x006ffff9,
    0x04ffff98,0x3ffffe20,0xcccccccd,0x223ccccc,0x3fe20ffd,0x64002fff,
    0x4c1fffff,0xccdfffff,0xffcccccc,0x303fffff,0x260dffff,0xcccfffff,
    0xfffedccc,0x7cc0efff,0xfff76fff,0xffff709f,0x3ffe000d,0x00ffffff,
    0x2dffff30,0x406ffffa,0xf32ffffd,0x0003ffff,0x37fffcc0,0x0fffff98,
    0xfffff100,0x9ffffea3,0x01fffff8,0xffffffc8,0xfffff880,0xcccccccd,
    0xf53ccccc,0xff88bfff,0x543fffff,0xff54ffff,0xffd80dff,0xffd002ff,
    0x7fcc03ff,0xffff86ff,0xffffffff,0x37ffffff,0x200dffff,0xfffffff8,
    0xffffffff,0xfff36fff,0xffffffff,0xffffffff,0x3fffe63f,0xfffa8006,
    0x3fe2003f,0xffffffff,0xffffffff,0xb85fff56,0x000fffff,0x27ffffcc,
    0x3fffffe6,0xffffffff,0x05ffffff,0x41bfffe6,0xfffffff9,0xffffffff,
    0xf981ffff,0xfff76fff,0xffff109f,0xff90007f,0x00bfffff,0xab7fffcc,
    0x6c06ffff,0xff32ffff,0x00003fff,0x837fffcc,0x00fffff9,0x3fffff10,
    0x89ffffea,0x801fffff,0x5ffffff8,0xffffff88,0xffffffff,0xff56ffff,
    0xfffd0bff,0xffa83fff,0xffff54ff,0xffffd80d,0xffffd002,0x7fffcc03,
    0xffffff86,0xffffffff,0xff37ffff,0x3e200dff,0xffffffff,0xffffffff,
    0xfffff36f,0xffffffff,0x3fffffff,0x01bfffe6,0x0bfffee0,0xfffff880,
    0xffffffff,0xf96fffff,0xffffd09f,0x3ffa000b,0x7ffcc7ff,0xffffffff,
    0xffffffff,0x3ffe600e,0xffff306f,0xffffffff,0x03dfffff,0x5dbfffe6,
    0xf704ffff,0x8001ffff,0xfffffffa,0x3ffe6002,0xdffff56f,0x2ffffd80,
    0x03fffff3,0x7ffcc000,0xffff306f,0x3fe2001f,0xfff51fff,0x7fffc4ff,
    0xfff7001f,0xff887fff,0xffffffff,0xffffffff,0x0bffff56,0x0ffffff9,
    0x2a9ffff5,0x6c06ffff,0xd002ffff,0x4c03ffff,0xff86ffff,0xffffffff,
    0xffffffff,0x0dffff37,0x3ffffe20,0xffffffff,0xf36fffff,0xffffffff,
    0xffffffff,0x3fe63fff,0xfc8006ff,0x22001fff,0xffffffff,0xffffffff,
    0x503b16ff,0x005fffff,0x3ffffee0,0x3ffffe62,0xffffffff,0x00dfffff,
    0x837fffcc,0xfffffff9,0xffffffff,0x7ffcc03f,0x9ffff76f,0x27ffff40,
    0x7ffffc00,0x7fcc007f,0xffff56ff,0xffffd80d,0x3fffff32,0x7fcc0000,
    0xfff306ff,0x3e2001ff,0xff51ffff,0x7ffc4fff,0x3fa001ff,0x220fffff,
    0xffffffff,0xffffffff,0xffff56ff,0xfffff50b,0x9ffff50b,0x01bfffea,
    0x005ffffb,0x807ffffa,0xf86ffff9,0xffffffff,0xffffffff,0xdffff37f,
    0x3fffe200,0xffffffff,0x36ffffff,0xffffffff,0xffffffff,0x3e63ffff,
    0xd8006fff,0x2001ffff,0xfffffff8,0xffffffff,0xfd806fff,0x20007fff,
    0x25fffff8,0xfffffff9,0xefffffff,0xff3000bd,0x3fe60dff,0xffffffff,
    0x800bcdef,0xf76ffff9,0x7d409fff,0x4001ffff,0x04fffffc,0xb7fffcc0,
    0x406ffffa,0xf32ffffd,0x0003ffff,0x37fffcc0,0x0fffff98,0xfffff100,
    0x9ffffea3,0x01fffff8,0x3ffffe60,0x3fffe25f,0xffffffff,0x56ffffff,
    0xf10bffff,0xf507ffff,0x3fea9fff,0x7fec06ff,0x000002ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fffcc00,0x3ffa002f,0xffff30ff,0xdddfffff,
    0xf30039bd,0x2001ffff,0x41fffff8,0x805ffffd,0x1ffffffb,0x7ffffc40,
    0xffffff32,0xdddfffff,0x4c00159d,0xffffffff,0x02ceeeff,0xffffff10,
    0xffffffff,0x1fffffff,0x27ffffec,0x3fffea00,0x7ffff46f,0xfff5003f,
    0xaa800dff,0xaa8801aa,0xaaaaaaaa,0xaaaaaaaa,0x20c00001,0x401aaaa8,
    0x550aaaaa,0x26001555,0x40000999,0x0acdedb9,0x03555510,0x6f776dc4,
    0xeeecb82c,0x2e20003d,0x300acded,0x0379ddb7,0x37b6e200,0xca8000ac,
    0x0adeefee,0x25555510,0x302aaaa8,0x00dfffff,0x987ffff4,0xffffffff,
    0xffffffff,0x3ffe600d,0xff1000ff,0xffb83fff,0xffd807ff,0x5403ffff,
    0xf30fffff,0xffffffff,0xffffffff,0x3fe6005f,0xffffffff,0x02efffff,
    0x7fffffc4,0xffffffff,0x0fffffff,0x3fffffe2,0x3fffa000,0x7ffcc1ff,
    0xfe800fff,0x4001ffff,0x9804ffff,0x03880001,0x6f76e544,0xfa8ff20c,
    0x7f405fff,0xffff2fff,0xfff3003f,0xfb1000df,0xffffffff,0xbffff709,
    0xfffffb10,0xd55dffff,0xffffffff,0x3ff62007,0x3fffffff,0x3fffff62,
    0xb1004fff,0xffffffff,0x3fea009f,0xffffffff,0xffff981f,0x0dffff36,
    0x3fffffe6,0xffffd003,0x3ffffe61,0xffffffff,0x301fffff,0x001fffff,
    0x07ffffe2,0x03fffff3,0xfffffff8,0x7fffdc05,0x3ffffe66,0xffffffff,
    0x03ffffff,0xffffff98,0xffffffff,0xf100dfff,0xffffffff,0xffffffff,
    0xfb81ffff,0x7005ffff,0x209fffff,0x05fffffc,0x27ffffe4,0x27fffc00,
    0x40000cc0,0x3ffee038,0xcdffffff,0xfff50eff,0xfffe80bf,0x3fffff2f,
    0xdffff300,0xfffe9800,0xffffffff,0x3fffee1e,0x7ffff445,0xffffffff,
    0xffffffff,0x74c04fff,0xffffffff,0xffeadfff,0xffffffff,0x3ffe600e,
    0xffffffff,0x3fea01ef,0xffffffff,0x7fcc2fff,0xffff36ff,0x3fffe60d,
    0xfe800fff,0xfff30fff,0xffffffff,0xffffffff,0xffffbaa8,0xaaaaaabf,
    0xffffbaaa,0xfff12abf,0x7fcc05ff,0x407fffff,0x264ffffd,0xffffffff,
    0xffffffff,0x4c03ffff,0xffffffff,0xffffffff,0xff880fff,0xffffffff,
    0xffffffff,0xffe80fff,0x7c402fff,0x7406ffff,0x302fffff,0x01ffffff,
    0x09ffff00,0x10000330,0xffffd107,0xffffffff,0x7ffd43ff,0x7fff405f,
    0x3fffff2f,0xdffff300,0x7fffc400,0xffffffff,0xfff71fff,0xffffe8bf,
    0xffffffff,0xffffffff,0x103fffff,0xffffffff,0xffffffff,0xffffffff,
    0x3e20bfff,0xffffffff,0x80ffffff,0xfffffff9,0x7fffffff,0x9b7fffcc,
    0xf306ffff,0x0bffffff,0x21ffffd0,0xccfffff9,0xfffedccc,0x3fa3ffff,
    0xffffffff,0xffffffff,0xffffffff,0x13ffffa6,0xffffffb8,0x3ffe01ff,
    0x3ffe62ff,0xcccccdff,0xfffffecc,0x7ffcc06f,0xecccccff,0xfffffffe,
    0xccccc884,0xfffffdcc,0xcccccccd,0xfffff980,0x7fffec06,0x7ffcc02f,
    0xfffb06ff,0x3e0005ff,0x19804fff,0x44388000,0xfffffffe,0x3fffffff,
    0x02ffffd4,0x7cbffffa,0x9800ffff,0x2006ffff,0xbdfffffe,0xfffffdba,
    0x4bffff76,0x9bfffffa,0xfffffca8,0xfc989dff,0xfd81ffff,0xbaceffff,
    0xfffffffe,0xffd711ef,0xfffd07ff,0xfb757dff,0xf90bffff,0x2615dfff,
    0x21fffffc,0xf36ffff9,0x3e60dfff,0x2fffffff,0x87ffff40,0x00fffff9,
    0x3fffffa6,0x3fffffa7,0xffffffff,0xffffffff,0x3f26ffff,0x3f606fff,
    0x3fffffff,0x1fffff30,0x07ffffcc,0x7ffff540,0x3ffe600f,0x3f2200ff,
    0x001fffff,0x0fffffcc,0xffffc800,0xffff303f,0x3ff200bf,0x7fd44fff,
    0x20005fff,0x9804ffff,0x43880001,0x1cfffffc,0xdfffff93,0x05ffffa8,
    0xc97ffff4,0x9800ffdc,0x5006ffff,0x209fffff,0x9bfffffb,0x3ae4ffcc,
    0xffd03fff,0x3ee0bfff,0x7fcc4fff,0xff904fff,0x101fffff,0xfa8dfffd,
    0xf704ffff,0xed87ffff,0xfff01fff,0x666445ff,0xdffff33c,0x3ffffe60,
    0x3a00ffff,0xff30ffff,0xff001fff,0x3fa1ffff,0xffffffff,0xffffffff,
    0xffffffff,0x3ffffea6,0xffffff00,0x3ea0bfff,0x7fcc6fff,0xf5000fff,
    0x4c07ffff,0x800fffff,0x06fffff9,0x7ffffcc0,0xfff10001,0xffd01fff,
    0x22001fff,0x11ffffff,0x01ffffff,0x27fffc00,0x40000cc0,0x3fffe638,
    0xfffe882f,0x3ffea3ff,0x7fff405f,0x003fe42f,0x7ffe4000,0x7ffec05f,
    0x40ffe27f,0x3ffee029,0x3ffa01ff,0x7fffdc7f,0x7ffff406,0x3ffee05f,
    0x3ffff21f,0x7fffec05,0x64033107,0x3003ffff,0x260dffff,0xffffffff,
    0x3fffa04f,0xfffff30f,0xffff9001,0x3fea623f,0x9999afff,0xffa99999,
    0x2209afff,0x981fffff,0xfffdffff,0xffff907f,0xfffff989,0x3fffe000,
    0x3ffe605f,0xff9000ff,0x4c005fff,0x001fffff,0x3ffffea0,0x7ffffdc5,
    0x7ffd4003,0xffff95ff,0x5555007f,0xbffff555,0x23555555,0x38800019,
    0x413ffff6,0x7ffffffd,0x017fffea,0xe85ffffd,0x8000006f,0x401ffffe,
    0x70fffff8,0xa88005ff,0x407ffffd,0x361ffffc,0x5402ffff,0x203fffff,
    0x3a3ffff9,0x4401ffff,0x000fffff,0x7ffff544,0xffff3003,0x3fffe60d,
    0x01ffffff,0x261ffffd,0x800fffff,0x41fffffa,0x00fffff9,0x3fffff10,
    0x0fffffa0,0x36bfffee,0xfe81ffff,0x7fcc2fff,0x3e000fff,0x2604ffff,
    0x000fffff,0x09fffff1,0x7ffffcc0,0x7fec0001,0xfff11fff,0x36000dff,
    0xffcfffff,0xf8806fff,0xffffffff,0xffffffff,0x0000335f,0x7ffffc71,
    0xfedffd80,0xfff51fff,0xfffe80bf,0x90bfee2f,0x99999999,0x99999999,
    0x3fffe259,0xffffd007,0x300dff55,0xfffffd97,0x55555dff,0x5ffffb55,
    0x007ffffc,0x2fffffe2,0xfbaaaaaa,0xfff15fff,0x3ffa00ff,0x6dc402ff,
    0xfffffffe,0xffff3003,0x3fffe60d,0x06ffffff,0x261ffffd,0x800fffff,
    0x40fffffc,0x00fffff9,0x3fffff10,0x17ffff20,0x2e3ffffa,0x7c43ffff,
    0x7cc1ffff,0x3000ffff,0x407fffff,0x00fffff9,0x1bffff60,0xfffff980,
    0x7fc40001,0xfff96fff,0x220003ff,0xffffffff,0xf8800fff,0xffffffff,
    0xffffffff,0x0000335f,0x3fffe271,0xd8effc87,0xff52ffff,0xffe80bff,
    0x5ffdaaff,0x7fffffc4,0xffffffff,0xff55ffff,0x3f600dff,0x1fffefff,
    0xfffff910,0xffffffff,0xffffffff,0x3e27ffff,0xff007fff,0xffffffff,
    0xbfffffff,0x01bfffea,0x41ffffec,0xfffffec9,0x03ffffff,0x0dffff30,
    0x2fbfffe6,0xe82fffff,0xff30ffff,0xe8801fff,0xf986ffff,0xaaabffff,
    0xfbaaaaaa,0xf501ffff,0xff88ffff,0xffff36ff,0x7ffff98b,0x0fffff98,
    0xffffe980,0x3ffe601f,0x3ee000ff,0x26007fff,0x001fffff,0xfffffb80,
    0x03fffffc,0x7fffd400,0x003fffff,0xfffffff1,0xffffffff,0x0066bfff,
    0x7fcce200,0x7ffd46ff,0x29ffff90,0x405ffffa,0xfffffffe,0xffff884f,
    0xffffffff,0x75ffffff,0x200dffff,0xeffffffd,0xfffff701,0xfffdffff,
    0xffffffff,0x27ffffff,0x007ffffa,0xffffffff,0xffffffff,0x3fffeedf,
    0xffffb006,0xfffffb89,0xfffeefff,0xfff3003f,0x3ffe60df,0xfffffd6f,
    0x0ffffe81,0x01fffff3,0x7fffff4c,0xfffff984,0xffffffff,0xffffffff,
    0xfffff301,0x27fffd41,0xfb8fffff,0xff985fff,0xccccdfff,0xffffeccc,
    0xf53304ff,0x3335ffff,0x3ffea013,0xff3000ff,0x00003fff,0x3ffffffa,
    0x00006fff,0xfffffffb,0x7ffc400d,0xffffffff,0x5fffffff,0x71000033,
    0x997fffea,0x3fee1fff,0xffff54ff,0xffffe80b,0xff101cef,0xffffffff,
    0xffffffff,0x1ffffeab,0x77ffff40,0x3fffea02,0xff71bdff,0xdddddfff,
    0x7ddddddd,0x07ffffe2,0xdfffff10,0xdddddddd,0x3feabddd,0xffd007ff,
    0x7ffe45ff,0xf70aceff,0x26007fff,0xf306ffff,0x3fe6dfff,0x7ff44fff,
    0xffff30ff,0xfddddddf,0x5fffffff,0xffffff30,0xffffffff,0x3fffffff,
    0x17ffffc0,0x6c3ffff9,0x3f61ffff,0xff983fff,0xffffffff,0xffffffff,
    0xffff00ef,0xffffffff,0x3ffea0df,0xff3001ff,0x00003fff,0x3fffffe6,
    0x00001fff,0xfffffff1,0xaaaa8003,0xdffffaaa,0x31aaaaaa,0x27100003,
    0xf37ffff8,0xfffb85ff,0xdffff53f,0x2fffff80,0xfffff880,0xffffffff,
    0xf35fffff,0xf001ffff,0xe805ffff,0xb81dffff,0x0006ffff,0x01fffffc,
    0x07ffffe6,0x7fffcc00,0xffff800f,0xfffff11f,0x3ffff207,0xffff3003,
    0x3fffe60d,0x3fffff26,0x43ffffa1,0xfffffff9,0xffffffff,0xff304fff,
    0xffffffff,0xffffffff,0x7ec03fff,0x3ffa4fff,0x7fffdc7f,0x07ffffe3,
    0x3fffffe6,0xffffffff,0x200dffff,0xffffffff,0x506fffff,0x003fffff,
    0x07ffffe6,0xfffc8000,0x0004ffff,0x3ffffe20,0x200000ff,0x9804ffff,
    0x23880001,0xfe9fffff,0xffffd83f,0x0dffff32,0x17ffffc4,0x99999980,
    0x99999999,0x3fe09999,0x7d403fff,0x7c407fff,0x3f207fff,0x0200ffff,
    0x0dffffd0,0x3fffffd8,0xfff80220,0x7fd403ff,0x3ffea7ff,0x3fff606f,
    0xfff3003f,0x3ffe60df,0x3fffe26f,0x3ffffa6f,0xffffff30,0xffffffff,
    0x7cc0bfff,0xffffffff,0xffffffff,0x2e01ffff,0xff15ffff,0xfff98bff,
    0xfffff15f,0x3ffffe60,0xffffffff,0xf802ceff,0xffffffff,0xf506ffff,
    0x2003ffff,0x01fffff9,0x3ffa2000,0x0000ffff,0x3fffffa0,0x200005ff,
    0x9804ffff,0x23880001,0xfffffffe,0xfffff884,0x1fffff10,0x3fffff20,
    0x00000002,0x03fffff2,0x2fffff44,0x1bfffe60,0x3fffffe8,0x179dff10,
    0x0fffffe4,0xffffff98,0x33bffa06,0x3fffff21,0xffffd100,0x27fffe4b,
    0x3ffffe88,0xf984cccc,0xff306fff,0xfffb8dff,0xffffd3ff,0x3ffffe61,
    0xffffffff,0x7cc03fff,0x999affff,0xfa999999,0x2601ffff,0xff57ffff,
    0xffff07ff,0x17fffeaf,0x77ffffcc,0xffffffee,0x2a66001f,0x99afffff,
    0xfff70099,0x7fcc00ff,0x00001fff,0x17ffffd4,0xfff70000,0x05ffffff,
    0x3fffe000,0x00019804,0x3ffee388,0xff905fff,0xffff8dff,0xffffb85f,
    0x440002ff,0x3003cccc,0x85ffffff,0x1fffffe9,0x7ffffcc0,0xfffffb82,
    0xfffd83ff,0xffffe87f,0x3ffea0af,0x41dfffff,0x21fffffb,0x2ffffff9,
    0x7fffff4c,0x3ffffee0,0xfffffd80,0x5bfffe64,0x306ffff9,0xfd0dffff,
    0xffd1ffff,0x3ffe61ff,0xeeeeeeff,0xf3002cde,0x2001ffff,0x01fffff8,
    0x64fffffc,0xfc81ffff,0xfffc9fff,0xffff303f,0xffffa81f,0x7cc003ff,
    0x2000ffff,0x006ffffb,0x07ffffe6,0xfff30000,0x200003ff,0xfffffff8,
    0x0000ffff,0x804ffff8,0x38800019,0x17fffff4,0x0fffffe4,0x3bfffffa,
    0xffffffcc,0x4c0002ff,0x2006ffff,0xfffffffc,0xfffffffe,0xfffff003,
    0xfffd739f,0x9fffffff,0x7ffffffb,0xffffff30,0xffffffdf,0x9bffffff,
    0x0bfffffd,0xfffffff9,0xfffffffd,0xfffffa87,0xffffc9be,0x3fe64fff,
    0xffff36ff,0x3fffe60d,0xfffff986,0x30ffffed,0x001fffff,0x7fffcc00,
    0xfff1000f,0xffd803ff,0x7fffeaff,0xd7ffff50,0x2603ffff,0x880fffff,
    0x04ffffff,0x3ffffe60,0x3fff2000,0x3fe6005f,0x00001fff,0x0fffffcc,
    0xfffd8000,0xffffffff,0xfff80005,0x0019804f,0x7fd43880,0xfdceffff,
    0xa83fffff,0xffffffff,0xffffceff,0x7fcc0002,0x7ec006ff,0xffffffff,
    0x2005ffff,0xfffffffc,0xffffffff,0xffffffff,0x3f205fff,0xffffffff,
    0xfffeffff,0xffffffff,0xfffd00ef,0xffffffff,0x3ffa0bff,0xffffffff,
    0x265fffff,0xff36ffff,0x3fe60dff,0xfff906ff,0x1fffffff,0x03ffffe6,
    0xfff98000,0xff1000ff,0xfb803fff,0xffffefff,0xbffff105,0x4c0fffff,
    0x500fffff,0x07ffffff,0x3ffffe60,0x3fffe000,0x3fe6004f,0x00001fff,
    0x0fffffcc,0x7ffd4000,0xfffe8eff,0x7c0002ff,0x19804fff,0x54388000,
    0xffffffff,0x05ffffff,0x3fffffee,0xfffb8eff,0x7cc0002f,0xb8006fff,
    0xffffffff,0xe8002fff,0xffffffff,0xfffd33ff,0xbfffffff,0xfffff500,
    0x23dfffff,0xfffffffb,0x5c00efff,0xffffffff,0x3e202fff,0xffffffff,
    0x0fffff8d,0x26dffff3,0xf306ffff,0x3a20dfff,0xffffffff,0xfffff30f,
    0x7cc00001,0x1000ffff,0x803fffff,0xfffffffa,0x3ffa03ff,0x06ffffff,
    0x03ffffe6,0xffffffc8,0xffff9801,0xfff3000f,0x7cc005ff,0x0001ffff,
    0x7ffffcc0,0x7fc40001,0xff52ffff,0x0001ffff,0x400d5554,0x38800019,
    0x3fffffe6,0xffffffff,0xfffeb803,0xfff70cef,0xf980005f,0x10006fff,
    0xdfffffb7,0x7dc0001b,0x0cefffff,0xfffffeb8,0x322002df,0x3efffffe,
    0xfffffd88,0x2e6002ef,0xdefffffd,0xfffc8800,0x3ff23eff,0xffff33ff,
    0x1bfffe6d,0x037fffcc,0xfffffff5,0x3ffe61ff,0x200000ff,0x00fffff9,
    0x3fffff10,0xfffff880,0x3201ffff,0xffffffff,0x3fffe604,0x7fff400f,
    0xff9806ff,0xe8800fff,0x4006ffff,0x01fffff9,0x7ffcc000,0x6c0001ff,
    0x6c5fffff,0x005fffff,0x00cc0000,0xffd1c400,0xfffff917,0x88001bff,
    0x000000aa,0x07999910,0x026a2000,0x35530000,0x09aa9800,0x4d4c4000,
    0x13551000,0x13510000,0x26a62000,0x00000000,0x80dffff3,0xfffffffd,
    0xfffff30f,0x7cc00001,0x1000ffff,0x003fffff,0xfffffffd,0xffffa80f,
    0x2602ffff,0x400fffff,0x3ffffff9,0x7ffffcc0,0x7fffcc00,0x7cc002ff,
    0x0001ffff,0x7ffffcc0,0x3fea0001,0x7c40ffff,0x102fffff,0xdddddddd,
    0xdddddddd,0x000669dd,0x84e98e20,0x00009a99,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x1bfffe60,0xffffff10,
    0x3ffe61ff,0x200000ff,0x00fffff9,0x3fffff10,0xfffff900,0xff8809ff,
    0x00ffffff,0x03ffffe6,0x3fffff20,0x3ffe600f,0xccccccff,0xffffffec,
    0xfff98005,0x400001ff,0x01fffff9,0xfffff100,0x3ffea05f,0xff880fff,
    0xffffffff,0xffffffff,0x10000335,0x00000087,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x6ffff980,0xfffffb80,
    0xffff30ff,0x4c00001f,0x000fffff,0x03fffff1,0xffffff50,0xfffd005f,
    0xf980dfff,0xd000ffff,0x40bfffff,0xfffffff9,0xffffffff,0x8000ffff,
    0x01fffff9,0x7ffcc000,0xfb0001ff,0xd80bffff,0x885fffff,0xffffffff,
    0xffffffff,0x999b35ff,0x99999999,0x07999999,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x30000000,0x200dffff,
    0x0ffffffe,0x01fffff3,0x7ffcc000,0xff1000ff,0xf1003fff,0x01ffffff,
    0xffffff90,0xffff9809,0xfff3000f,0x3e605fff,0xffffffff,0xffffffff,
    0xff30002e,0x00003fff,0x1fffff98,0xffffa800,0x7fc400ff,0x7c42ffff,
    0xffffffff,0xffffffff,0x0000005f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x30000000,0x200dffff,0x0ffffff9,
    0x01fffff3,0x7ffcc000,0xff1000ff,0x3a003fff,0x006fffff,0x5ffffff3,
    0xfffff980,0x3fff2000,0xff980fff,0xffffffff,0x03ffffff,0x7fffcc00,
    0x4c00001f,0x001fffff,0x7fffffc4,0xffff7003,0x7ffc41ff,0xffffffff,
    0x5fffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xff300000,0x7e400dff,0xff30ffff,0x00001fff,
    0x07ffffcc,0xfffff880,0xffffb001,0x7ffc009f,0x7cc00fff,0x4000ffff,
    0x84fffffe,0xfffffff9,0xbcdeffff,0xff980000,0x00001fff,0x0fffffcc,
    0x3ffff200,0x7ff4006f,0x00005fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0xceeeecc8,0xcba8000b,0x0002ceee,
    0x01109800,0x95100000,0x88057bdd,0x5401aaaa,0x5530aaaa,0x2aa00355,
    0x55530aaa,0xacedba85,0xbdedb880,0x0aaaa881,0x0b3bb2a2,0xaaaaaa98,
    0xaaaaaaaa,0x8005700a,0x5555441b,0x55555301,0x855554c5,0x000bdec9,
    0x00199993,0x40155553,0x200aaaaa,0x2a22aaaa,0x2202aaaa,0x001aaaaa,
    0x00000000,0x2a000000,0x44000aaa,0x10009aa9,0x98800135,0x00662000,
    0xaa980031,0x26666201,0x3fff2200,0xdfffffff,0xfffe8800,0x02ffffff,
    0x0fda8000,0x00003bf3,0x3ffffee0,0xf500efff,0xfe80bfff,0xfff52fff,
    0xfff300ff,0x3fff61ff,0xfffffd17,0x7ffd41df,0x7d45ffff,0xfff53fff,
    0x903dffff,0xffffffff,0x7fffffff,0x54c5ff70,0x87fee0aa,0x885ffffa,
    0x21ffffff,0xf99ffffb,0x5007ffff,0x7003ffff,0x2207ffff,0x102fffff,
    0xfd8dffff,0xfb03ffff,0xf503ffff,0x003f3003,0xfc87fff6,0x3fff63ff,
    0x013ffee2,0x0ffffea0,0x7fffec40,0xff500dff,0x4403dfff,0x03fffffc,
    0x2207ffd4,0x01dffffd,0x2a04ffb8,0xd105ffff,0xffffffff,0x401dffff,
    0xfffffffb,0x003fffff,0xfffeb880,0x05dfff30,0x3ff62000,0xffffffff,
    0xffffa82f,0x7ffff405,0x0bffffe2,0x49ffff90,0xfe9ffffd,0xefffffff,
    0xffffffb8,0x3fea4fff,0xffffbbff,0x41ffffff,0xfffffffc,0xffffffff,
    0x67fffd43,0xcefffffe,0xff51ffff,0xffe88bff,0x7fdc1fff,0xfffffaff,
    0xfff5004f,0xfff3003f,0x3ffea0bf,0xfff704ff,0xffff889f,0x7ffdc0ff,
    0xfffa83ff,0x07ffe601,0x54bfff70,0x7fcc6fff,0xffff10ff,0xfffe8003,
    0xfffb007f,0xb0bfffff,0xffffffff,0xfffff105,0x3e60bfff,0x7ff40fff,
    0x400fffff,0x3ea04ffa,0xffb05fff,0xfffdffff,0x2a09ffff,0xffffffff,
    0x02ffffff,0xffff9100,0x3ffe61ff,0x0000cfff,0x3ffffff2,0x1fffffff,
    0x02ffffd4,0xc8bffffa,0x7c05ffff,0x3f61ffff,0xffffffff,0xffffffff,
    0xffffffff,0xffff52ff,0xffffffff,0xfc8bffff,0xffffffff,0x43ffffff,
    0xfffffffe,0xffffffff,0xffff54ff,0xfffffe8b,0xfffffb82,0x01ffffff,
    0x03ffff50,0x41ffffa0,0x06fffffc,0x503ffffb,0x44bfffff,0xa85fffff,
    0x981fffff,0x301fffff,0x3e21ffff,0xffc82fff,0x1bffea5f,0xfffffa80,
    0x7ffcc02f,0x1ffffdce,0x3fffffea,0x7ec0ffff,0xfffdbcff,0x3ffff661,
    0x33ffee0f,0x04c3fffb,0x2a187ff3,0xf885ffff,0x6441efff,0xe80fffff,
    0x99bfffff,0x06ffffec,0x7fffed40,0xff30ffff,0x3bffffff,0xffff9800,
    0xffeb8aef,0x7ffd45ff,0x7fff405f,0x3fffe62f,0xffff500f,0xfffffd8d,
    0xffe989cf,0x99bfffff,0x55fffffd,0x7dffffff,0xfffff711,0x77775c1f,
    0xfffedeee,0x7f441fff,0xffffffff,0x24ffffff,0x365ffffa,0x702fffff,
    0xdfffffff,0x7d400dfd,0xf9001fff,0xffd03fff,0xff01ffff,0x7fe40fff,
    0xfffb2fff,0xfff901ff,0x7fcc3fff,0xfd03ffff,0x7ffec9ff,0x5ffff105,
    0x8027fff4,0x6ffffffe,0x7076e4c0,0x7ffc3fff,0x9fffb33f,0x3e24fff8,
    0xffff33ff,0x7fec1fff,0xfb1fff23,0x715ff31b,0x3ffea1fd,0xffff985f,
    0x2b37fa03,0x7ffffdc0,0xfffff980,0x7ff5c402,0xffffffff,0xffffff30,
    0x005dffff,0x40fffffa,0x2a1ffffd,0x7405ffff,0x7ec2ffff,0xffb03fff,
    0xfffd87ff,0xfffa84ff,0xffc83fff,0xffff56ff,0xfff501ff,0x7cc003ff,
    0x101fffff,0xfffffffd,0x8bffffff,0xf95ffffa,0x5c07ffff,0x21ffffff,
    0x3fea0018,0xff3001ff,0xfff889ff,0x7cc2ffff,0x7f404fff,0xfffbffff,
    0x3ff202ff,0xff99ffff,0xf903ffff,0x3fea1fff,0x3fee01ff,0xffff30ff,
    0xffff9803,0x8002ffff,0xf32fffc9,0xfff98dff,0xf10554c6,0x37fea5ff,
    0x2080fffc,0x3e25ffe9,0xfdffdfff,0xfff52fff,0xffff309f,0x3a00017f,
    0x3603ffff,0x9101bcef,0xffffffff,0x36a05bff,0xffffffff,0xff300bff,
    0x7fc40fff,0x3ffea5ff,0x7fff405f,0x7fffd42f,0xfffff886,0x37fffec0,
    0x0bfffff0,0x55ffffea,0x202fffff,0x001fffff,0x5ffffff1,0x7ffffc40,
    0xffffd51d,0xdffffa8d,0x03fffffb,0x27ffffdc,0x3ffea000,0x3ffe001f,
    0x7fffd46f,0x7fe45fff,0x7fcc02ff,0xffffffff,0xffffc805,0xffffffff,
    0x5ffff303,0x013fffe2,0xfd97fffa,0x3f600eff,0x5ffffeff,0xfffdb980,
    0xfff53fff,0x00ffff09,0x6543fff6,0x401fff51,0x260effff,0xfffffffe,
    0x7c44ffff,0xffff883f,0x001bdfff,0x803ffffe,0xfffd9800,0xbeffffff,
    0xffd71000,0x9fffffff,0x5ffffa83,0x53ffff40,0xe80bffff,0xff82ffff,
    0x7fdc0fff,0xfffd84ff,0x3fffe05f,0xffff303f,0x1ffffeaf,0x05ffffd0,
    0xfffffd10,0xffffb809,0x3ffffb04,0x7fffffd4,0xb805ffff,0x800fffff,
    0xdcccccc9,0xcccdffff,0x7fe41ccc,0x3fff20ff,0x7f47ffff,0xff7007ff,
    0x1dffffff,0x3ffff200,0x03ffffff,0x6cdffff1,0xa800ffff,0xff33ffff,
    0x3fe609ff,0xffffbbff,0x3ffff601,0xf73fffff,0xfffd05ff,0x7ffec401,
    0x03ffea03,0x06ffffc4,0x7fffe544,0xffa80abd,0xfffffb02,0x15bfffff,
    0x1ffffe20,0xfffe8800,0x1cffffff,0x7fecc000,0xdfffffff,0x5bffff70,
    0xfd555555,0x7ffd4fff,0x7fff405f,0xffffc82f,0x0fffff43,0x01ffffec,
    0x205fffff,0xf57ffff9,0xfd80ffff,0xfe802fff,0xc805ffff,0xf500ffff,
    0x7fd45fff,0xffffffff,0xffffb806,0xffff7007,0xffffffff,0x85ffffff,
    0x3a3ffffa,0xffffbfff,0x0bffff11,0x7fffff40,0x7e4001ff,0x3fffffff,
    0x47ffff60,0x003ffffb,0x643ffffa,0xfc82ffff,0xfff88fff,0xdfffb05f,
    0x27fff537,0xff84fffa,0xffd100ff,0xfffa80bf,0xffd79300,0x3ffee01d,
    0x3ff6205f,0xffffd100,0xffffffff,0xdffff507,0x7ffcc000,0x00aeffff,
    0x7f5c4000,0x91ffffff,0xffffffff,0xffffffff,0x3fffea1f,0x7ffff405,
    0x6ffff982,0x41bfffe6,0x203ffffd,0x101ffffe,0x3eafffff,0x7ec06fff,
    0x7ec02fff,0xb006ffff,0xff80bfff,0x3ffea3ff,0xffffffff,0x7fffdc03,
    0xffff7005,0xffffffff,0x05ffffff,0x3e2bffff,0xfffe8fff,0x05ffff73,
    0x7ffffc40,0xffb0004f,0x4409ffff,0xfd0fffff,0x54003fff,0xff34ffff,
    0xfff88dff,0x3ffff65f,0x237ffc40,0xff33fffc,0x7fff98df,0x09ffff30,
    0x001fff50,0xf707fff1,0x509ffbdf,0xd8807fff,0xffffffff,0x7d45ffff,
    0x20007fff,0x1efffff9,0xd3000000,0x363fffff,0xffffffff,0xffffffff,
    0xbffff51f,0x2ffffe80,0x23ffffb0,0xb03ffffc,0x7407ffff,0xf101ffff,
    0x3feaffff,0x7fec06ff,0x3ff202ff,0x9000efff,0x2601ffff,0x3ea2ffff,
    0xffffffff,0x3ee00fff,0xf7005fff,0xffffffff,0xffffffff,0xffffb05f,
    0x7ddbffea,0xffffb5ff,0x7ffc4001,0x98006fff,0xffffffff,0x3fffea01,
    0x0bffff33,0x87ffff40,0x641ffffd,0x3ea1ffff,0x7fcc4fff,0x1ffff44f,
    0x3225ffff,0xffa85fff,0xff5002ff,0x0732a21f,0xffb8bfff,0x43fff89f,
    0x22004ffc,0xffffffeb,0x3e63ffff,0x20007fff,0xeffffff9,0x1000000b,
    0xffffffd7,0x3bffff23,0xeeeeeeee,0xff51eeee,0xffe80bff,0xfff502ff,
    0x3ffffa9f,0x7ffffb00,0x0fffff40,0x57ffff88,0xd80dffff,0xf702ffff,
    0x001fffff,0x81ffffdc,0x2a1ffffc,0xdeffffff,0x2e05ffff,0x7005ffff,
    0xffffffff,0xffffffff,0xfff505ff,0x29fff93f,0xfff7fff9,0xffe800bf,
    0x004fffff,0x3fffffe6,0x3601ffff,0xff70ffff,0xff7005ff,0x3ffe65ff,
    0x7fffc43f,0x0fffff86,0x75e7fff4,0x3ee3ffff,0xffffefff,0x7fffcc0f,
    0x5009999a,0x7fec1fff,0x88fffea5,0x3ff25ffe,0x0007620f,0xfffeca88,
    0x3fe26fff,0x2a200fff,0xfffff981,0x001dffff,0xffffb300,0x2e3fffff,
    0x0004ffff,0x01bfffea,0x405fffff,0xff9fffff,0x3ff605ff,0x3ffa03ff,
    0xfff101ff,0x3fffeaff,0x7fffec06,0xfffffa82,0x7fc4001f,0x3ee23eff,
    0x7fd47fff,0xff88efff,0xff701fff,0x26200bff,0xffb99999,0x99999bff,
    0xffff8809,0x3e2fffec,0xffffbfff,0x3ffee002,0x01ffffff,0xffffff98,
    0x01ffffff,0x6cbffff1,0x7c406fff,0x3ffa4fff,0xffffb86f,0x3ffffb83,
    0x7fffffdc,0x7ec3ffff,0x3fffffff,0xffffffd8,0xff504fff,0x7fffcc1f,
    0xd80ffffe,0x0006f40f,0xfb300c40,0xfff8ffff,0x3fee03ff,0x3ff264ef,
    0xefffffff,0x75c4000b,0xffffffff,0x3ffea1cf,0xf300405f,0x7c40dfff,
    0x3202ffff,0xfffdffff,0x3fff601f,0x3fffa03f,0xffff101f,0x1bfffeaf,
    0x85ffffb0,0x2ffffff9,0xffffd000,0xfffffbff,0xffffa89f,0x3ffff20e,
    0x9ffff706,0xfff50000,0xffb0003f,0x41ffffff,0xfffffffd,0xfff3000f,
    0xdfffffff,0x7fffcc01,0xffffcbff,0xfff501ff,0x3fffe23f,0x9bfff202,
    0x440ffffa,0x880fffff,0xfc86ffff,0xffc8dfff,0xfffffb86,0xffff881e,
    0x04ffffff,0xfc81fff5,0x01efffff,0x90000206,0x4c07fffd,0x7ec7ffff,
    0x3fe06fff,0xfc883fff,0xffffffff,0x7ed402df,0xffffffff,0xfff880bf,
    0xdff501ff,0x7fffc479,0xffff900f,0x7ffc405f,0x406fffff,0x203ffffd,
    0x101ffffe,0x3eafffff,0x7ec06fff,0x3fe22fff,0x0002ffff,0xfffffff7,
    0xffffffff,0x2ffffd45,0x0bffffe2,0x013fffee,0x3fffea00,0xfffb8001,
    0x7dc6ffff,0x05ffffff,0x3bffffa0,0x04fffffa,0x7ffffff3,0x7fffffe4,
    0x4bfff901,0xf307fffb,0x3fe23fff,0xfffb83ff,0x3fff605f,0x0099882f,
    0x2009a980,0xccccccc9,0x99302ccc,0x37bb2609,0x00000003,0x01fffff9,
    0x317fffee,0x41bfffff,0x0fffffc9,0x7ffff540,0x23ffffff,0xfffffeb8,
    0x802effff,0x42effffc,0x45fffff8,0xb85fffff,0x02ffffff,0x7fffffec,
    0x7ffec03f,0x3fffa03f,0xffff101f,0x1bfffeaf,0x25ffffb0,0xefffffe8,
    0xccccccca,0x7fffdc4c,0xffffffff,0xf52fffff,0xff70bfff,0xffb81fff,
    0xa80004ff,0x8001ffff,0xfffffff8,0x7ffffcc4,0xff9003ff,0x3ff63fff,
    0xffc82fff,0xffd83fff,0x3fa04fff,0x3fff62ff,0x24fffd83,0x3105fffc,
    0x4c401333,0x00000999,0x00000000,0x00000000,0x7fffcc00,0xfecabdff,
    0xfc82ffff,0xfeefffff,0x005fffff,0x3fffff66,0xff30ffff,0xbfffffff,
    0x7ffc4003,0xffdbefff,0x7f40ffff,0xfcceffff,0x2fffffff,0x7ffffd40,
    0x7fec00ff,0x3ffa03ff,0xfff101ff,0x3fffeaff,0x7fffec06,0xffffff52,
    0xffffffff,0xfffc8fff,0xffffffef,0x53ffffef,0x3a0bffff,0x7dc4ffff,
    0x80004fff,0x001ffffa,0xffffffd0,0xffffff03,0xfff5001f,0x7ffc49ff,
    0xffd80fff,0x3fff603f,0x37ffcc05,0x541ffff1,0x3fe26fff,0x000000ff,
    0x00000000,0x00000000,0x40000000,0xfffffffa,0x4fffffff,0xffffff10,
    0xdfffffff,0xff910001,0x261fffff,0xcfffffff,0xfff50000,0xffffffff,
    0xfff507ff,0xdfffffff,0x005ffff9,0x0bffffff,0x07ffffb0,0x80fffff4,
    0xf57ffff8,0xfd80dfff,0xfff52fff,0xffffffff,0x90ffffff,0x372e29ff,
    0x49ffb0bc,0x505ffffa,0x5c1fffff,0x0004ffff,0x01ffffa8,0xfffff700,
    0x3ffff60f,0xfff8806f,0xfffa86ff,0x07fb05ff,0x2e00bfb0,0x3baa2eee,
    0x83bbb23e,0x0002eeeb,0x00000000,0x00000000,0x00000000,0xfffff500,
    0xbfffffff,0xffffd880,0x0effffff,0x7f5c4000,0xfff30fff,0x200007df,
    0xfffffff9,0x2e03ffff,0xffffffff,0x2ffffb8e,0xfffffc80,0xffffd802,
    0x3ffffa03,0xfffff101,0x01bfffea,0x2a5ffffb,0xffffffff,0xffffffff,
    0xd8009907,0x2ffffd44,0x4bffffd0,0x004ffffb,0x1ffffa80,0xffff3000,
    0x3ffee0bf,0xffd803ff,0xffb01fff,0x00a07fff,0x00000038,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ffffee2,0x2001dfff,0xffffffea,
    0xa800002e,0xbff30ffd,0x91000005,0x9ffffffd,0xfffd7003,0x7ffdc9df,
    0xfff8802f,0xfffb006f,0x7fff407f,0xffff101f,0x1bfffeaf,0x25ffffb0,
    0xfffffffa,0xffffffff,0x4000007f,0x205ffffa,0x71fffff9,0x0009ffff,
    0x00333310,0x3ffffe80,0x3fffff10,0xfffffa80,0x3fffe204,0x000000ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x31000000,0x00003355,
    0x00013553,0x26193000,0x0000001c,0x00026aa6,0x00002a62,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0xeeeeeeea,0xeeeeeeee,0xddd51eee,
    0xdddddddd,0x3ddddddd,0xf30054c0,0x3fe3ffff,0x3ff24fff,0xddba87ff,
    0xbb95101c,0x20e20059,0x2a1aaaaa,0xa981aaaa,0xaaaaaaaa,0x54222220,
    0x55541aaa,0x9999930a,0x3fffffe6,0xffffffff,0x27ffffff,0xeeeeeee9,
    0xeeeeeeee,0x006eeeee,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x5c000000,0xffffffff,
    0xffffffff,0xffff72ff,0xffffffff,0x05ffffff,0x05fffff7,0x23fffff3,
    0x324fffff,0x7cc7ffff,0x4c4fffff,0xfffffffe,0xa8bf301c,0x2a0effff,
    0xfd86ffff,0xffffffff,0x2dffff31,0x7fc3fffe,0xffff32ff,0x3ffffe6d,
    0xffffffff,0x7fffffff,0x3fffffe6,0xffffffff,0x07ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0xfffffffb,0xffffffff,0xfff72fff,0xffffffff,
    0x5fffffff,0xffffffd8,0x7fffcc4f,0x9fffff1f,0x23ffffe4,0xfffda9a9,
    0xffffff70,0x59dfffff,0xfe8bffb7,0xffb80eff,0x7ffec2ff,0x31ffffff,
    0x3fadffff,0x7fffc3ff,0x2dffff32,0xfffffff9,0xffffffff,0x267fffff,
    0xffffffff,0xffffffff,0x0007ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7dc00000,
    0xffffffff,0xffffffff,0xfffff72f,0xffffffff,0x5c5fffff,0xfffdffff,
    0x3fffe62f,0x9fffff1f,0x03ffffe4,0xffda7ffc,0xffffffff,0xffffffff,
    0x03fffea5,0x6c6fffc8,0xffffffff,0xdffff31f,0xff0ffffa,0x3ffe65ff,
    0x7777716f,0x77777777,0x77777777,0x5dddddc4,0xbbbbbbbb,0x03bbbbbb,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0xfffffffb,0xffffffff,0xfff72fff,
    0xffffffff,0x5fffffff,0xd8867ffc,0x3ffe66ff,0xfffff1ff,0x3ffffe49,
    0x6cfffe60,0xffffffff,0xffffffff,0x3fff65ff,0x1fffc801,0x3ffffff6,
    0xfff31fff,0x0ffffadf,0x3e65ffff,0x00006fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x25ffff50,0x7c40fff9,0xffff10ff,
    0x3ffff61f,0x5bfffee3,0xffecccd9,0x15bfb0ff,0x3ffff6a2,0x30efffff,
    0x6c005fff,0x3bbb25ff,0x31eeeeee,0x444dffff,0x22088880,0x0002bbbb,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x5ffff500,
    0x7f417fea,0x9ffffe1f,0x262ffffc,0xff34ffff,0x43bfffff,0x7f5c403d,
    0x4443efff,0x08880008,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0xf32ffffa,0xfff881ff,0xa9bfff60,
    0x3e21ffff,0x99513fff,0x00103599,0x0000aa88,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x666664c0,0xcccccccc,
    0x001ccccc,0x17fffd40,0x36219fff,0x7ffe46ff,0x21fffe64,0x0001ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffffffb8,0xffffffff,0x0002ffff,0x717fffd4,0xfffdffff,
    0x2ccc985f,0x65c1e664,0x000000cc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xb8000000,0xffffffff,0xffffffff,
    0x540002ff,0x7ec2ffff,0x04ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffffff70,
    0xffffffff,0x0005ffff,0x82ffffa8,0x02fffffb,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ffffee0,0xffffffff,0x002fffff,0x17fffd40,0x00001310,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x10000000,0x33333333,0x33333333,0x00000133,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__arial_bold_42_latin_ext_x[560]={ 0,3,2,0,1,1,1,1,1,1,0,1,2,1,
2,-1,1,2,0,1,0,1,1,1,1,1,3,3,1,1,1,1,1,0,2,1,2,2,2,1,2,2,0,2,
2,2,2,1,2,1,2,1,0,2,-1,0,0,-1,0,2,-1,0,2,-1,0,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,0,0,2,0,0,0,0,0,1,3,0,1,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,1,0,0,0,
3,1,0,-1,0,1,1,1,-1,-1,1,0,0,0,3,2,-1,2,0,1,0,1,1,1,0,1,0,0,0,0,
0,0,-2,1,2,2,2,2,-1,1,-1,-1,-1,2,1,1,1,1,1,2,1,2,2,2,2,-1,2,2,1,1,
1,1,1,1,1,1,1,1,1,1,-1,2,-1,-1,1,2,1,1,1,1,1,0,1,2,2,2,2,0,2,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,2,1,-1,1,2,1,2,1,2,1,2,1,2,1,1,1,
1,1,1,1,1,1,2,2,0,0,-2,-2,-1,-1,-1,-1,2,2,2,2,2,2,0,-2,2,2,2,2,2,2,
-1,2,2,2,2,0,0,2,2,2,2,2,2,-2,2,2,1,1,1,1,1,1,1,1,2,2,2,0,2,1,
1,0,1,0,1,0,1,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,0,0,-1,0,
-1,0,0,0,0,0,0,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,-1,4,4,4,
4,4,4,4,4,4,4,4,4,4,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,2,2,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,1,-1,-1,1,
1,2,2,2,2,2,2,2,2,2,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,0,1,-2,1,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__arial_bold_42_latin_ext_y[560]={ 34,7,7,6,4,6,6,7,6,6,6,11,28,21,
28,6,6,6,6,6,6,7,6,7,6,6,14,14,10,14,10,6,6,7,7,6,7,7,7,6,7,7,7,7,
7,7,7,6,7,6,7,6,7,7,7,7,7,7,7,7,6,7,6,38,6,14,7,14,7,14,6,14,7,7,
7,7,7,14,14,14,14,14,14,14,7,14,14,14,14,14,14,6,6,6,17,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,34,14,7,6,11,7,
6,6,6,6,6,15,14,21,6,2,6,8,6,6,6,14,7,18,34,6,6,15,6,6,6,14,0,0,0,0,
1,1,7,6,0,0,0,1,0,0,0,1,7,0,0,0,0,0,1,11,5,0,0,0,1,0,7,6,6,6,
6,7,6,5,14,14,6,6,6,6,6,6,6,6,7,7,6,6,6,7,6,10,13,6,6,6,6,6,7,6,
1,7,0,6,7,14,0,6,-1,6,-1,6,0,6,0,7,7,7,1,7,-1,6,-1,6,7,14,0,6,-1,6,
0,6,-1,6,6,3,-1,0,7,7,0,7,1,7,-1,6,7,7,0,14,7,7,-1,6,7,7,14,0,0,7,
7,7,7,7,7,7,7,0,6,7,14,0,6,7,6,14,1,7,-1,6,0,6,6,14,0,6,7,14,0,6,
0,6,-1,6,6,14,0,6,7,7,0,7,7,7,0,7,1,7,-1,6,-1,5,0,6,7,14,-1,6,-1,6,
1,0,6,0,6,0,6,6,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,6,10,10,6,10,10,10,
10,10,10,10,10,10,10,10,10,10,6,14,10,10,10,10,10,10,10,10,10,10,10,10,10,7,14,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,0,6,0,6,0,
6,0,6,0,0,0,0,0,0,0,0,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,-4,-1,-1,6,-1,6,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10, };
static unsigned short stb__arial_bold_42_latin_ext_w[560]={ 0,6,14,21,19,31,26,7,11,10,14,20,6,11,
6,12,19,13,20,19,21,19,19,19,19,19,6,6,20,20,20,21,36,28,24,25,24,22,20,26,23,7,18,26,
20,27,23,27,22,28,25,23,23,23,27,36,26,27,23,10,12,10,18,23,10,19,20,19,20,19,14,20,19,6,
10,19,6,29,19,21,20,20,14,20,13,19,21,30,21,21,19,13,5,14,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,7,19,21,20,21,
5,19,13,29,13,18,20,11,29,23,13,20,12,12,9,18,22,6,11,9,14,18,30,30,31,21,28,28,28,28,
28,28,38,25,22,22,22,22,10,10,13,13,27,23,27,27,27,27,27,18,28,23,23,23,23,27,22,20,19,19,
19,19,19,19,31,19,19,19,19,19,9,9,13,13,21,19,21,21,21,21,21,20,21,19,19,19,19,21,20,21,
28,19,28,19,29,22,25,19,25,19,25,19,25,19,24,27,27,22,22,19,22,19,22,19,22,19,22,19,26,20,
26,20,26,20,26,20,23,19,27,21,14,14,13,13,12,12,9,9,7,6,25,16,22,14,26,19,19,20,9,20,
11,20,13,20,14,22,11,23,19,23,19,23,19,26,24,19,27,21,27,21,27,21,36,33,25,14,25,16,25,15,
23,20,23,20,23,20,23,20,23,13,23,19,23,13,23,19,23,19,23,19,23,19,23,19,23,22,36,30,27,21,
27,23,19,23,19,23,19,11,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,25,20,20,22,20,20,20,
20,20,20,20,20,20,20,20,20,20,32,26,20,20,20,20,20,20,20,20,20,20,20,20,20,30,26,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,28,19,13,13,27,
21,23,19,23,19,23,19,23,19,23,19,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,28,19,38,31,28,21,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20, };
static unsigned short stb__arial_bold_42_latin_ext_h[560]={ 0,27,10,29,34,30,29,10,36,36,14,20,13,6,
6,29,29,28,28,29,28,28,29,27,29,29,20,27,21,14,21,28,36,27,27,29,27,27,27,29,27,27,28,27,
27,27,27,29,27,31,27,29,27,28,27,27,27,27,27,35,29,35,16,4,7,21,28,21,28,21,28,28,27,27,
35,27,27,20,20,21,28,28,20,21,28,21,20,20,20,28,20,36,36,36,8,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,0,28,35,29,20,27,
36,36,6,29,15,18,14,6,29,4,13,26,15,15,7,28,35,6,8,15,15,18,29,29,29,28,34,34,34,34,
33,33,27,36,34,34,34,33,34,34,34,33,27,34,35,35,35,35,34,19,31,35,35,35,34,34,27,29,29,29,
29,28,29,30,21,28,29,29,29,29,28,28,28,28,28,27,29,29,29,28,29,21,23,29,29,29,29,36,35,36,
33,28,34,29,35,28,35,29,36,29,36,29,35,29,34,28,27,28,33,28,35,29,35,29,35,28,34,29,36,36,
35,36,36,36,36,39,35,34,27,27,34,27,33,27,35,28,35,35,34,20,28,35,36,36,35,35,20,34,34,35,
35,27,27,27,27,27,27,34,28,35,28,34,28,27,29,29,34,28,36,29,35,29,29,21,34,28,35,28,34,28,
35,29,36,29,36,28,35,29,39,39,34,28,27,28,35,28,34,28,36,29,36,30,35,29,35,28,35,28,35,36,
33,34,28,34,28,34,28,28,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,29,24,24,36,24,24,24,
24,24,24,24,24,24,24,24,24,24,29,21,24,24,24,24,24,24,24,24,24,24,24,24,24,28,21,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,34,29,34,28,35,
29,35,29,35,35,35,35,35,35,35,35,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,38,36,35,29,37,30,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24, };
static unsigned short stb__arial_bold_42_latin_ext_s[560]={ 511,503,65,293,96,425,204,57,60,122,487,
272,502,134,146,474,164,20,34,253,55,77,423,124,286,463,493,165,42,1,63,
97,147,172,201,368,240,87,347,1,383,407,119,415,442,463,1,38,25,334,113,
1,167,138,292,76,219,191,407,290,499,255,403,174,123,473,162,22,275,84,183,
198,327,320,499,272,265,146,176,451,219,240,257,1,261,104,124,293,324,296,196,
133,118,448,92,267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,
267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,511,503,1,
263,216,318,1,402,153,58,422,365,22,134,28,198,43,246,451,474,113,1,299,
167,80,464,436,384,200,169,231,318,404,433,251,480,181,210,340,7,24,1,398,
239,168,421,97,291,379,73,104,192,220,227,462,346,305,400,346,266,280,1,453,
148,128,108,88,340,487,385,385,435,454,434,414,394,380,493,285,492,364,491,244,
222,200,342,158,337,288,117,97,77,57,124,325,307,262,299,304,403,370,319,424,
315,352,273,422,180,108,184,379,445,139,1,158,24,134,479,157,86,204,386,29,
66,463,490,474,166,33,214,187,1,275,490,48,431,52,368,116,226,21,406,248,
501,357,500,419,258,184,207,81,184,237,147,137,60,180,144,110,66,51,28,500,
432,172,322,473,179,360,1,139,306,370,455,94,231,132,457,1,417,47,477,34,
44,111,61,450,335,378,382,283,77,301,137,22,46,346,98,476,118,160,132,203,
152,235,266,259,405,455,443,407,192,350,215,298,72,130,456,246,227,266,333,286,
306,267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,356,267,267,329,
267,267,267,267,267,267,267,267,267,267,267,267,267,106,358,267,267,267,267,267,
267,267,267,267,267,267,267,267,390,310,267,267,267,267,267,267,267,267,267,267,
267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,67,348,
365,421,222,326,274,483,326,387,431,1,250,60,80,479,267,267,267,267,267,267,
267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,
267,267,267,60,146,21,25,89,363,267,267,267,267,267,267,267,267,267,267,267,
267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,
267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,
267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,
267,267,267,267,267,267,267,267,267, };
static unsigned short stb__arial_bold_42_latin_ext_t[560]={ 1,280,446,220,185,185,220,446,40,40,424,
424,424,446,446,250,220,339,339,220,339,339,220,368,250,220,396,368,424,446,424,
339,40,368,368,250,368,368,368,280,368,368,339,368,368,368,396,220,396,185,396,
250,396,339,368,396,396,396,339,77,185,77,424,446,446,396,339,424,339,424,339,
339,368,368,40,368,368,424,424,396,339,339,424,424,339,424,424,424,424,339,424,
40,1,1,446,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,1,220,114,
280,424,339,41,1,446,280,424,424,446,446,280,446,446,396,424,424,446,339,113,
446,446,424,424,424,280,280,280,310,150,150,150,113,185,185,339,41,150,150,113,
185,150,113,150,185,339,150,77,113,113,77,150,424,185,77,77,77,150,185,339,
280,280,280,280,310,250,185,396,310,250,250,250,250,310,280,280,310,280,368,250,
250,250,280,250,396,396,250,250,250,250,1,77,1,185,280,150,220,77,280,77,
220,1,220,1,250,113,220,150,280,396,310,185,310,113,185,113,220,77,280,185,
220,1,1,77,1,41,1,1,1,113,150,396,339,185,368,185,368,114,280,113,
77,150,396,280,113,40,40,113,77,424,150,150,113,113,368,368,368,368,368,339,
113,310,113,280,150,310,368,220,250,113,310,40,220,77,185,220,396,150,310,114,
310,150,310,77,220,1,220,1,310,77,250,1,1,113,310,339,310,77,310,150,
310,1,250,1,185,40,220,40,310,40,310,40,40,185,113,310,150,310,150,310,
310,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,220,396,396,1,
396,396,396,396,396,396,396,396,396,396,396,396,396,220,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,310,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,185,250,
150,310,40,250,40,220,40,40,40,78,40,77,77,40,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,1,1,78,250,1,185,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396, };
static unsigned short stb__arial_bold_42_latin_ext_a[560]={ 167,200,285,335,335,535,434,143,
200,200,234,351,167,200,167,167,335,335,335,335,335,335,335,335,
335,335,200,200,351,351,351,367,587,434,434,434,434,401,367,468,
434,167,335,434,367,501,434,468,401,468,434,401,367,434,401,568,
401,401,367,200,167,200,351,335,200,335,367,335,367,335,200,367,
367,167,167,335,167,535,367,367,367,367,234,335,200,367,335,468,
335,335,301,234,168,234,351,451,451,451,451,451,451,451,451,451,
451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,
451,451,451,451,451,451,451,451,167,200,335,335,335,335,168,335,
200,443,223,335,351,200,443,332,241,330,200,200,200,347,335,167,
200,200,220,335,502,502,502,367,434,434,434,434,434,434,602,434,
401,401,401,401,167,167,167,167,434,434,468,468,468,468,468,351,
468,434,434,434,434,401,401,367,335,335,335,335,335,335,535,335,
335,335,335,335,167,167,167,167,367,367,367,367,367,367,367,330,
367,367,367,367,367,335,367,335,434,335,434,335,434,335,434,335,
434,335,434,335,434,335,434,432,434,367,401,335,401,335,401,335,
401,335,401,335,468,367,468,367,468,367,468,367,434,367,434,367,
167,167,167,167,167,167,167,167,167,167,472,335,335,167,434,335,
335,367,167,367,167,367,232,367,288,367,167,434,367,434,367,434,
367,426,435,367,468,367,468,367,468,367,602,568,434,234,434,234,
434,234,401,335,401,335,401,335,401,335,367,200,367,288,367,200,
434,367,434,367,434,367,434,367,434,367,434,367,568,468,401,335,
401,367,301,367,301,367,301,167,451,451,451,451,451,451,451,451,
451,451,451,451,451,451,451,437,451,451,335,451,451,451,451,451,
451,451,451,451,451,451,451,451,513,428,451,451,451,451,451,451,
451,451,451,451,451,451,451,499,436,451,451,451,451,451,451,451,
451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,
451,451,451,451,451,434,335,167,167,468,367,434,367,434,367,434,
367,434,367,434,367,451,451,451,451,451,451,451,451,451,451,451,
451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,
451,451,434,335,602,535,468,367,451,451,451,451,451,451,451,451,
451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,
451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,
451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,
451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,
451,451,451,451,451,451,451,451, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_42_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_bold_42_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_42_latin_ext(stb_fontchar font[STB_FONT_arial_bold_42_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_42_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_bold_42_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_42_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_42_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_42_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_42_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_42_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_42_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_42_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_42_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_42_latin_ext_s[i] + stb__arial_bold_42_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_42_latin_ext_t[i] + stb__arial_bold_42_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_42_latin_ext_x[i];
            font[i].y0 = stb__arial_bold_42_latin_ext_y[i];
            font[i].x1 = stb__arial_bold_42_latin_ext_x[i] + stb__arial_bold_42_latin_ext_w[i];
            font[i].y1 = stb__arial_bold_42_latin_ext_y[i] + stb__arial_bold_42_latin_ext_h[i];
            font[i].advance_int = (stb__arial_bold_42_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_42_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_42_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_42_latin_ext_s[i] + stb__arial_bold_42_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_42_latin_ext_t[i] + stb__arial_bold_42_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_42_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_42_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_42_latin_ext_x[i] + stb__arial_bold_42_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_42_latin_ext_y[i] + stb__arial_bold_42_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_42_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_42_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_42_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_42_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_42_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_42_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_42_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_42_latin_ext_LINE_SPACING
#endif

