// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_43_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_43_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_43_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_bold_43_latin_ext_BITMAP_HEIGHT        480
#define STB_FONT_arial_bold_43_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_bold_43_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_bold_43_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_bold_43_latin_ext_LINE_SPACING          28

static unsigned int stb__arial_bold_43_latin_ext_pixels[]={
    0x99999991,0x99999999,0x05999999,0x12600000,0x99500000,0x00001999,
    0x666664c0,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x5c000000,0x2604cccc,
    0x000ccccc,0x00000000,0x05999993,0x66664400,0x7ffffc44,0xffffffff,
    0xffffffff,0x0001b805,0x0003ffb1,0x7ffff400,0x74000003,0x0003ffff,
    0x6f7ff64c,0xfb00000b,0x3601dfff,0xdff13fff,0xffb0019d,0x6440007f,
    0x0acdeffe,0x5ffffd00,0xdfff9000,0x007fffc8,0x07feed98,0x03fffff7,
    0x372e6000,0x2cdefffe,0x1fff7000,0x2fff9800,0xfffff880,0x1ffb8004,
    0x2000ffb0,0x03fffff8,0xffff8800,0x3ffea01f,0xb88000ff,0xcceffeec,
    0x3f200001,0x0007ffff,0x11ffffe6,0xffffffff,0xffffffff,0x40bfffff,
    0xd0001fea,0x00005fff,0x0ffffea0,0xff300000,0x440009ff,0xfffffffd,
    0x4c0003ff,0x200effff,0xff13fffd,0xd809ffff,0x10003fff,0xffffffff,
    0x3ffa003f,0xfc8002ff,0x7ffe46ff,0x3ff22007,0xff887fff,0x0006ffff,
    0x3ffffae2,0xffffffff,0x3e2001df,0x7f4004ff,0xfffb007f,0x98003fff,
    0x5ff884ff,0xffffb000,0xc80003ff,0x5402ffff,0x000fffff,0x3fffff6a,
    0x2effffff,0x7ffc4000,0x0003ffff,0x88fffff3,0xffffffff,0xffffffff,
    0x985fffff,0x8001fffe,0x0000effb,0x13fffa00,0x3f600000,0x740005ff,
    0xffffffff,0x20004fff,0x400efffd,0xff13fffd,0x405fffff,0x8003fffd,
    0xffffffe8,0x3fa007ff,0xc8002fff,0x7fe46fff,0x3ff2007f,0xfe87ffff,
    0x04ffffff,0x7fffec40,0xffffffff,0x0dffffff,0x01fffb00,0x00fffea0,
    0x3fffffea,0x7f4000ff,0xfffdabef,0xfffb8002,0x0006ffff,0x00bfffe2,
    0x03ffffea,0x7ffffec0,0xffffffff,0x70000eff,0xdfffffff,0x3ffe6000,
    0x7fffc47f,0xffffffff,0xffffffff,0xfffff85f,0x1ffd8001,0x3e600000,
    0x000005ff,0x005fff98,0x7ffffe40,0xffffffff,0xfff88003,0xfffd801f,
    0xffffff13,0x7ffec0df,0xfffa8003,0x06ffffff,0x0bffffa0,0x1bfff200,
    0x200ffff9,0xfffffff8,0x46fffe47,0x3001ffff,0xdfffffff,0xfdb9579b,
    0x05ffffff,0x009fff30,0x1003fffa,0xffb1ffff,0xff9800bf,0x04ffffff,
    0x8ffff980,0x0004fffd,0x2007fff7,0x00fffffa,0x7fffff44,0xffffffff,
    0x0005ffff,0xfffffffd,0xff30003f,0x33330fff,0xffff3333,0x3333339f,
    0xfffff013,0xdffd0003,0xb000005d,0x00000bff,0x001bff60,0x37ffffe0,
    0xffffda89,0xfffc8007,0x7fffb001,0x7fffee5c,0x7fffb01f,0xffff9000,
    0x009d97bf,0x017ffff4,0x21e66540,0x7004ccca,0x59bfffff,0xa87fffcc,
    0x5c00efff,0x02dfffff,0x3ffff660,0xfffe803f,0x2fffd400,0xd17fff40,
    0x98005fff,0x03fffffd,0x25fffd00,0x002fffe8,0x2004fff8,0x00fffffa,
    0x7ffffff4,0xffffefff,0x005fffff,0x7fffffcc,0x88004fff,0x8002aaaa,
    0x004fffff,0x01fffff8,0x3fffff80,0xfc880000,0x0000001d,0x7fcc0000,
    0x7fc40fff,0x64001fff,0x3f6001cc,0xfff903ff,0x3fff607f,0xfffe8003,
    0x0000005f,0x40000000,0x703ffffc,0xcca83999,0x3fff602c,0x260000cf,
    0x401ffffe,0x7405fffb,0x64c02fff,0x666443cc,0x35530004,0x33260001,
    0x1e664c3c,0xf5000000,0x6401ffff,0x9effffff,0x7fff64c0,0x32001fff,
    0xffffffff,0x000000ff,0x9fffff00,0xfffff000,0xffff0003,0x8800007f,
    0x002fffff,0x88000000,0xfffff984,0x1accdc82,0xfb000000,0x3fee07ff,
    0xfffb03ff,0xffff0007,0x0000005f,0x80000000,0x001ffffd,0x7ffd4000,
    0x2e00003f,0x2200efff,0xf701ffff,0x00000fff,0x00000000,0x54000000,
    0xff5000cd,0x3ea01fff,0x803fffff,0x4fffffe8,0x3ffffe00,0x03fffffb,
    0xff000000,0x2a009fff,0xffffffff,0x999006ff,0x80000599,0x06fa8cfc,
    0xca988000,0x82cceffd,0xfff85fe8,0x00000eff,0x3ff60000,0xffff503f,
    0x0ffff607,0xfffff300,0x0d440001,0x00000000,0x01ffffb0,0x7fc40000,
    0x054401ff,0x09fff900,0xf05fffe8,0x8800bfff,0x4400001a,0x0000001a,
    0xffff0000,0xfff5007f,0x3ff601ff,0x22003fff,0x007fffff,0x36fffff5,
    0x4006ffff,0x007ffff9,0x04fffff8,0xffffff50,0x000dffff,0x3fc00000,
    0x800007fa,0xfffffffa,0x3a2effff,0x7fe44fff,0x4001efff,0x007ffffc,
    0x369ffffd,0xff303fff,0x3ff609ff,0x7ffcc03f,0xffffffff,0xffd9005f,
    0x7ff45dff,0x3ffff27f,0xffffd007,0x3ffff609,0xffffa800,0x1fffe807,
    0xdfffd950,0x97fffe67,0x3200fffe,0x7d41ffff,0xd9002fff,0x745dffff,
    0x76407fff,0x3a2effff,0x3ff27fff,0xffd007ff,0xdfa809ff,0xfa806fb9,
    0xf880ffff,0x8006ffff,0x001acdfc,0x2a9ffffb,0x001fffff,0x01ffffe6,
    0x13ffffe0,0x7ffffd40,0x006fffff,0x00000351,0x07f897ec,0xfffb1000,
    0xffffffff,0xfffbdfff,0xffffd01d,0x7c4009ff,0x4402ffff,0xfb1fffff,
    0x3fe607ff,0xfffb04ff,0xffffa807,0xffffffff,0x7fff4404,0xfd4fffff,
    0x7ffc4fff,0x7fc402ff,0xffb01fff,0xff5001ff,0xffb80fff,0xffff904f,
    0xff79ffff,0x7ffcc7ff,0x3fffe603,0x07fffe43,0x3ffffa20,0xffd4ffff,
    0x3ffa20ff,0xd4ffffff,0x7fc4ffff,0x7c402fff,0x7401ffff,0x5007f61f,
    0x701fffff,0x005fffff,0x7fc40000,0xfff11fff,0x7cc009ff,0xf8007fff,
    0x5004ffff,0xffffffff,0xfec80dff,0x3fa2efff,0xfa8007ff,0x0005ffef,
    0xffffffa8,0xffffffff,0x0effffff,0xffffffb0,0x3fa003df,0x7dc05fff,
    0x3ff66fff,0xffff303f,0x0ffff609,0xffffff70,0x07ffffff,0x7fffffc4,
    0xfedfffff,0x7fff47ff,0x7ffdc05f,0x3fffa06f,0xffff5007,0x06ffe80f,
    0xfffffff9,0xffffffff,0x206ffd83,0x745ffff8,0x7c407fff,0xffffffff,
    0x7fffedff,0xffffff88,0xfedfffff,0x7fff47ff,0x7ffdc05f,0x22fc806f,
    0x7fd400fe,0xffd80fff,0x000007ff,0x3ffffdc0,0x03fffff2,0x3ffffcc0,
    0x7ffffc00,0xff331004,0x01337fff,0x3fffffa2,0xfffd4fff,0xfff9000f,
    0x88000fff,0xffffffff,0xfffffeef,0x901fffff,0xffffffff,0xff7009ff,
    0xffe80fff,0x3fff63ff,0xbffff103,0x00ffff60,0xfffffffb,0x403fffff,
    0xeffffffd,0xffffffec,0x7fffdc7f,0x7ffff407,0x1ffffa03,0x3ffffd40,
    0xb05fff30,0x519fffff,0xfffffffb,0xf80fff70,0x3fe27fff,0x7fec06ff,
    0xfeceffff,0x87ffffff,0xeffffffd,0xffffffec,0x7fffdc7f,0x7ffff407,
    0xedff9803,0xfffa805f,0xfffe80ff,0x0000006f,0x227ffff4,0x03fffff9,
    0x0fffff30,0x9fffff00,0xfffff000,0xffff8803,0xdfffffff,0x4007fffe,
    0xfffffff8,0x3ff60003,0x881cffff,0x7ffffffc,0xfdffffb0,0x3dffffff,
    0x7ffffc40,0xfffff102,0x81fffec1,0xb06ffff8,0x44007fff,0x001fffff,
    0x1dfffff3,0xffffff98,0x7ffffc47,0xfffff102,0x37fffc01,0x7ffffa80,
    0x2e1fff60,0xf705ffff,0xf50dffff,0x7ff401ff,0xffff71ff,0x7fffcc0b,
    0x7ffcc0ef,0x7fcc7fff,0x7cc0efff,0x447fffff,0x102fffff,0x001fffff,
    0x0037ffee,0x03ffffea,0x017ffffe,0xff980000,0xffe81fff,0xff3006ff,
    0xff000fff,0xf0009fff,0xd803ffff,0xdeffffff,0xfffffffe,0x7ffdc007,
    0x0006ffff,0x5ffffff5,0xfffff700,0xffff987f,0xffffff54,0x7fec03ff,
    0xfff705ff,0x3fffd8bf,0x07ffffa0,0x800ffff6,0x007ffff9,0x03fffff6,
    0x3fffffcc,0x82ffffec,0x205ffffb,0x004ffffa,0x20fffff5,0xff84fff8,
    0x3fe00fff,0xff884fff,0x3fff601f,0x9ffff93f,0x7ffffec0,0xfffff300,
    0xfffffd8f,0xfffff300,0xbffffb0f,0x17fffee0,0xa8002a00,0x440fffff,
    0x404fffff,0xeeeeeee9,0x3603eeee,0xf906ffff,0x3003ffff,0x000fffff,
    0x009fffff,0x03fffff0,0x77ffffcc,0x7ffffcc0,0x7ff4007f,0x01ffffff,
    0x7ffffc40,0xfff9801f,0x7dc6ffff,0x3fa20fff,0x01ffffff,0x20fffff3,
    0x642ffffd,0x3ee02eee,0xffd85fff,0x3fee003f,0x3fe006ff,0x7ec03fff,
    0xff987fff,0xfffb07ff,0x3ffa205f,0xff5003ff,0x3fe60fff,0x7fffdc1f,
    0x7ffff403,0x405fff02,0xf93ffffc,0x7fc07fff,0x7ec03fff,0x7ffc7fff,
    0x7fec03ff,0xfff987ff,0xffffb07f,0x2a662005,0xffa8019a,0x7fc40fff,
    0x7d404fff,0xffffffff,0xfff104ff,0x3fe607ff,0xf9804fff,0xf8007fff,
    0x8004ffff,0x201fffff,0x00fffffd,0x0ffffff3,0x7ffffcc0,0x4004ffff,
    0x05fffffb,0xffffff88,0x3ff62fff,0xffff707f,0x3fa01dff,0x7fc42fff,
    0x20000fff,0xbefffff8,0x007fffb1,0x02ffffe4,0x1fffff88,0x3ffffd40,
    0x42ffffe8,0x40fffff8,0x7ffffeb9,0x3fffea00,0xf0fff507,0xfb00dfff,
    0xff303fff,0x7ffdc03f,0x5ffffb4f,0x3ffffe20,0x7fffd401,0x3ffffe27,
    0x7fffd401,0x5ffffd07,0x0fffff88,0x7fffed40,0x500cffff,0xf01fffff,
    0xa80bffff,0xffffffff,0xff704fff,0x7f401fff,0x4c00ffff,0x8007ffff,
    0x004fffff,0x01fffff8,0x013ffffe,0x00fffffb,0x7fffffe4,0x2000ffff,
    0x01fffffc,0x7effff44,0x3f65ffff,0xff302fff,0x3207ffff,0x7dc5ffff,
    0x80005fff,0x5ffffffb,0x4007fffb,0x003ffffd,0x01fffff3,0x07ffff98,
    0xb8bffff9,0xfe85ffff,0x002fffff,0x41ffffea,0x7fcc6ffb,0xffe804ff,
    0x1fff707f,0xaffffdc0,0x301ffffe,0x801fffff,0x267ffff9,0x400fffff,
    0x907ffff9,0xfb8bffff,0x7ec05fff,0xffffffff,0xffa80eff,0xffe80fff,
    0x7fd406ff,0xffffffff,0xffffd04f,0xffffffff,0x07ffffff,0x07ffff98,
    0x4fffff80,0xfffff800,0xfffff101,0xffffa803,0x3fffe007,0x3fffffbf,
    0x3ffff600,0x5fffe806,0x5cdfffff,0x100effff,0x20bffffd,0x6c7ffff8,
    0x0002ffff,0xbfffff50,0x800ffff6,0x002fffff,0x00fffff5,0x20fffff1,
    0x6c7ffff8,0xfe82ffff,0x4001ffff,0xb07ffffa,0xfffa8bff,0xffff803f,
    0x80dffb05,0xff5ffffa,0x3ea01fff,0xf8807fff,0x3fea7fff,0xff8807ff,
    0xfff107ff,0xffffd8ff,0x3ffff602,0xffffffff,0x7ffd40ff,0xfffd80ff,
    0x7774c07f,0xfffffeee,0xfffff984,0xffffffff,0x06ffffff,0x03ffffcc,
    0x27ffffc0,0x7ffffc00,0xfffff301,0xffff9801,0xffff5007,0x1bffff6f,
    0x5fffff80,0x877ffec0,0x227ffffd,0x00efffff,0x40fffff1,0xf12ffffe,
    0x0000ffff,0xafffffd4,0x1003fffd,0x001fffff,0x03ffffea,0x0fffff30,
    0x897ffff4,0xfd07ffff,0x8003ffff,0xd07ffffa,0xfffb89ff,0x7ffcc02f,
    0x0bfff04f,0xf5ffff98,0x2a01ffff,0x400fffff,0x2a7ffff9,0x400fffff,
    0x207ffff9,0xf12ffffe,0x7cc0ffff,0xecefffff,0x43ffffff,0x80fffffa,
    0x02fffffb,0x9fffff00,0xffffff90,0xffffffff,0x03ffffff,0x03ffffcc,
    0x27ffffc0,0x7ffffc00,0xfffff501,0xfffff100,0x3ffff600,0x3fffff54,
    0xfffff100,0x77ffe409,0x3fffff20,0x3fffffa0,0xdfff903f,0xaffffd40,
    0x004ffffa,0xfffff700,0x0ffff6bf,0x3ffffcc0,0xfffff300,0xffffa803,
    0x3fffea07,0x09ffff55,0x3ffffffa,0x3ffea002,0x89ffb07f,0x400ffffd,
    0xa82ffffb,0x7d402fff,0xfffd4fff,0x3ffe601f,0x7fd401ff,0x3ffe67ff,
    0x7fd401ff,0x3fea07ff,0xffff55ff,0x7fffec09,0x7fff440d,0x7fffd45f,
    0xffff980f,0xfff0006f,0xffff09ff,0xffffffff,0xffffffff,0x7ffcc09f,
    0xfff8007f,0xff8004ff,0xff302fff,0xf9801fff,0xf8807fff,0xff11ffff,
    0xf3009fff,0x2e07ffff,0x7dc0ffff,0x3ea1ffff,0x0dffffff,0x1027ffec,
    0x3f6fffff,0x80001fff,0xbefffff8,0x007fffb1,0x01bfffee,0x2fffff88,
    0x3ffffe40,0x2fffff10,0x501ffffd,0x0dfffffb,0x3ffffd40,0x7ec5ffc8,
    0x7f400fff,0x7fcc0fff,0xfffa806f,0x3ffffb2f,0x3ffffe20,0x7fffe402,
    0x3ffffe27,0x7fffe402,0x3fffe207,0x03ffffb7,0x807f6e54,0x546ffffb,
    0xd00fffff,0x005fffff,0x89fffff0,0xeefffffa,0xeeeeeeee,0x0ffffffe,
    0x0fffff30,0x9fffff00,0xfffff000,0x3fffe205,0x7ffd400f,0xfffb807f,
    0x7fffe47f,0x7ffcc00f,0xfffb83ff,0xffffa81f,0x7fffd42f,0xff52ffff,
    0xffc805ff,0x6ffffbff,0x80bbbb20,0xd85ffffc,0xf9003fff,0xf8009fff,
    0x2206ffff,0x407fffff,0xffbffffc,0xff8806ff,0xf5002fff,0x3ee0ffff,
    0x7fffe46f,0x3fffee01,0x17fff447,0x8ffffdc0,0x202ffffd,0x206fffff,
    0x47fffff8,0x206fffff,0x07fffff8,0x7dffffe4,0x00006fff,0x51bfffe6,
    0x201fffff,0x1efffff9,0x3fffea00,0x7fffec4f,0x7ffdc006,0xfff303ff,
    0xfff000ff,0xff0009ff,0xf0629fff,0xc805ffff,0xe807ffff,0x7cc4ffff,
    0x4403ffff,0x544fffff,0xf702ffff,0xf503ffff,0xbfffffff,0x300bffff,
    0xffffffff,0x7ffec07f,0x3ffffa03,0x03fffd81,0x07ffffd0,0xfffffb80,
    0xffffd883,0x7ffcc07f,0x03ffffff,0x09ffff70,0x1ffffea0,0x3ea3ffd4,
    0x3fa04fff,0x7fec5fff,0xfff7005f,0x3ffff21f,0x3fffee03,0xfffd883f,
    0x7ffdc7ff,0xffd883ff,0x7cc07fff,0xffffffff,0x65440003,0x547fffff,
    0x200fffff,0x2ffffffd,0x7fffecc0,0x3ffe24ff,0x7c4003ff,0xf306ffff,
    0xf000ffff,0x0009ffff,0xfffffffd,0x6ffffd8f,0x3ffffe20,0x7fffcc07,
    0xffffe81f,0xfffff806,0x0ffffe65,0x07ffffc8,0x3fffff62,0x00efffff,
    0xffffffd0,0x7fec01ff,0x3fffe03f,0x07fffb06,0x07ffffe0,0xfffff100,
    0xffd757bf,0xd00fffff,0xffffffff,0x7fffc001,0xffff5005,0x87ffe60f,
    0x42fffff8,0x5fffffe8,0x01dfffd5,0xa9ffff60,0x2203ffff,0xbdffffff,
    0xfffffeba,0x7fffc47f,0xfebabdff,0x807fffff,0xfffffffe,0x6d44000f,
    0xfffffffe,0x7fffd47f,0x3ffe600f,0xabceffff,0xfffffecb,0x3fee4fff,
    0xd8000fff,0x981fffff,0x8007ffff,0x004fffff,0xffffffb8,0x3fff20ff,
    0xffd883ff,0x7ec07fff,0xff906fff,0xfe803fff,0xfff17fff,0xfffd809f,
    0xfffb806f,0x00efffff,0x3ffffee0,0x7fec05ff,0xffff103f,0x0ffff60b,
    0x3ffffe20,0xfffc8000,0xffffffff,0x807fffff,0xfffffffb,0x7fff4005,
    0xffff5007,0x22fffc0f,0xbefffffc,0xfffffffd,0x0dffffff,0x9bfffa00,
    0x404ffff8,0xfffffffc,0xffffffff,0xffffc87f,0xffffffff,0xb807ffff,
    0x5fffffff,0x3fffae00,0xffffffff,0x7fffd47f,0x7ffcc00f,0xffffffff,
    0xffffffff,0x3fffa1ff,0xff50006f,0xff309fff,0xff000fff,0x10009fff,
    0xffffffff,0x7ffff443,0xffebabdf,0x2207ffff,0x303fffff,0x809fffff,
    0xe9fffffd,0xff804fff,0xd1005fff,0x3fffffff,0x7fffc400,0x7ec02fff,
    0xfff103ff,0x3fff609f,0xffffa803,0x3ff20007,0xefffffff,0x807ffffa,
    0xfffffff8,0x7fff4002,0xffff5007,0x07ffe40f,0x3ffffffa,0xffffffff,
    0x004fffff,0x22ffffc4,0xc806fffe,0xffffffff,0x7ffffaef,0xffffff90,
    0xfff5dfff,0xfff100ff,0x2005ffff,0xfffffffc,0x7ffffcdf,0x07ffffd4,
    0x7ffff440,0xffffffff,0x20dfffff,0x03fffffa,0x3ffffe00,0x7fffcc0f,
    0xffff8007,0xfd30004f,0x983dffff,0xffffffff,0xffffffff,0x3fffee07,
    0x3fffa00f,0x3ff200ff,0x5fffffff,0xfffffb80,0x7ffdc004,0x2000efff,
    0x07fffffd,0x303fffd8,0x3609ffff,0xfb803fff,0x40005fff,0xfffffffb,
    0x7ffff98d,0xfffffb00,0xfffb000f,0x3ffea00f,0x3ffe207f,0x7fffec44,
    0xfff8cfff,0x003fffff,0x43ffff98,0x800ffffc,0xfffffffb,0x7ffff98d,
    0x3ffffee0,0xfff98dff,0xfffb007f,0x3f600fff,0x21bdffff,0x547ffff9,
    0x000fffff,0xffffffb1,0xffffffff,0xffffb03b,0x7e40001f,0x7cc3ffff,
    0x00007fff,0x35510000,0xfffffb80,0xffaeffff,0x3ffa07ff,0xffffffff,
    0xffffffff,0x3fffe203,0x800effff,0x01ffffff,0xffffe880,0x3fea003f,
    0xfd804fff,0xfff303ff,0x3fff609f,0xffffc803,0xdb980004,0x3fe62cef,
    0xff5007ff,0xb0009fff,0x5001ffff,0xd80fffff,0xeca83fff,0x3b261cef,
    0x55300ace,0xffff7015,0x2ffffa81,0x9dfb7300,0x3ffffcc5,0x33bf6e60,
    0x1ffffe62,0x7ffffd40,0xffff8804,0xffff303f,0x002ffb8f,0x3fff6a20,
    0x0aceffff,0x54000000,0x3fe602ff,0x00000003,0x7fe40000,0x98dfffff,
    0xf307ffff,0xffffffff,0xffffffff,0xffc80dff,0x800effff,0x05fffffc,
    0xffe804c4,0x3ea005ff,0xd801ffff,0xff303fff,0x3ff607ff,0xfffe803f,
    0x0000002f,0x00fffff3,0x07ffffea,0x3ffff600,0xffffa800,0x7fffc406,
    0x5c000002,0xffb05fff,0x3fffa0bf,0x3e600004,0x80007fff,0x007ffff9,
    0x03fffff5,0x0dffff50,0x23ffffd4,0x80001ffc,0x02ffffb8,0xc8000000,
    0x3fee01ff,0x3bb20002,0x360003ee,0x91004eee,0x7cc59dfd,0xff907fff,
    0xffffffff,0xffffffff,0x7fc403ff,0x200dffff,0xffffffd8,0x5fffec80,
    0x0dffff70,0x37ffff40,0x03fffd80,0x207ffff5,0xf803fffd,0x8001ffff,
    0xa8019acb,0xd006ffff,0x000dffff,0x007ffff6,0x01bfffee,0x00ffffea,
    0x7ffdc000,0xffff880f,0x0dfff702,0x20066b2e,0x5c6ffffa,0xfa8019ac,
    0xfd006fff,0x3200dfff,0x3606ffff,0x7ec7ffff,0xfc80001f,0x002fffff,
    0x7ec00000,0x0bff201f,0xffffd800,0x3ffe0004,0x2a00006f,0xff06ffff,
    0xffffffff,0xffffffff,0xfd809fff,0x9bffffff,0xfffeba88,0xff703fff,
    0xff903fff,0x3ea00bff,0xb004ffff,0x3f207fff,0xffb03fff,0xfffa807f,
    0xff90007f,0x7ec07fff,0xfa804fff,0x0004ffff,0x807ffff9,0x06ffffe8,
    0x3dffff90,0x3fa60000,0xff502fff,0x7ffc40ff,0xffffc80f,0x3fff603f,
    0x7fffe44f,0x3fff603f,0xfffa804f,0xff7004ff,0xff703fff,0xffe8ffff,
    0x9ab80004,0x000fffeb,0x3fa00000,0x17ff604f,0xffffd800,0x3ffe0004,
    0x3359706f,0xdffff700,0xdfffff50,0xdddddddd,0xffffffdd,0x3fffea01,
    0xffffffff,0xffffffff,0x3fffe206,0xffb88bef,0x99883fff,0xffffffb9,
    0x7fffb000,0x7fffedd4,0x7fffb02f,0x7fe566d4,0x50005fff,0x15ffffff,
    0x3ffff6a2,0x5cccc41f,0x00ffffff,0xfffff700,0x7ff74579,0x2004ffff,
    0xbdfffffc,0x7ed44000,0x3603ffff,0x7ec03fff,0xfffa84ff,0xb510afff,
    0xa83fffff,0x0affffff,0xfffffb51,0xfb999883,0x000fffff,0xbffffff3,
    0xffffff95,0x77fec1ff,0x30000221,0x00005fff,0x77ff4000,0x7ffe4222,
    0xffd80042,0x3e0004ff,0xff905fff,0x7ec09fff,0xffd84fff,0x7dc006ff,
    0xf983ffff,0xffffffff,0xffffffff,0xfc803fff,0xffffffff,0xa80fffff,
    0xffffffff,0x3ff6004f,0xfffff13f,0x3f601fff,0x3fff23ff,0x03ffffff,
    0xfffff100,0xffffffff,0xff50bfff,0x9fffffff,0x7ffcc000,0xff17ffff,
    0x07ffffff,0xffffea80,0xaaccdeff,0xfffeccba,0x2201efff,0xf8806fff,
    0xfff887ff,0xffffffff,0x885fffff,0xffffffff,0xffffffff,0xfffffa85,
    0x4004ffff,0xfffffffd,0xffffffff,0x3ffff21f,0x40002fef,0x0002fffb,
    0x3ff20000,0xf72fffff,0x09fdffff,0x0bffff60,0x4ffff800,0xffffff50,
    0x3ff66215,0x7fc42fff,0x44003fff,0x4c6fffff,0xfeacffff,0xffffffff,
    0x2001efff,0xfffffffd,0x302fffff,0xffffffff,0x7fec001d,0xfffff13f,
    0x7fec07ff,0x3ffffa3f,0x000fffff,0x3ffffea0,0xffffffff,0xfff980ff,
    0x00efffff,0x7fffe400,0xffff57ff,0x2000dfff,0xffffffc8,0xffffffff,
    0xcfffffff,0x17ffdc00,0x82fffc80,0xfffffffa,0xffffffff,0xfffff500,
    0xffffffff,0xfff301ff,0x01dfffff,0xffffe880,0xfc9effff,0x3fa24fff,
    0x002fffff,0xffb95795,0x000000df,0xffffe880,0x3fffa2ff,0x95004fff,
    0x80001ffb,0xff101fe8,0xffffffff,0x0dffffff,0x01fffff7,0xfffffb00,
    0x227ffdc3,0xffffffea,0x88003def,0xfffffffc,0x3e202fff,0x0fffffff,
    0x9fffec00,0x5ffffff8,0x89fffec0,0xffffffff,0xea80001f,0xffffffff,
    0xf100dfff,0x1fffffff,0xffb10000,0x3feeffff,0x000fffff,0x7ffedc40,
    0xffffffff,0x00aeffff,0x400dfff0,0xd506fff8,0xffffffff,0xa801bfff,
    0xfffffffe,0x100dffff,0xffffffff,0x3f220001,0x30cfffff,0xb50dffff,
    0x20017bff,0xfffffffd,0x0000000e,0xdfffc880,0x6fff640b,0x37ec001b,
    0x1ff62000,0xffffff50,0xffffffff,0xffffd03f,0x3fea000d,0x2fd44fff,
    0x006aa620,0xffec8800,0xfd003def,0x0005bfff,0x7c4ffff6,0xd801deff,
    0xb9713fff,0x0039dffd,0xfeeda800,0x801cdeff,0x02dffffe,0xfeda8000,
    0xfffdb57f,0x88000039,0xfffeedcb,0x000bcdef,0x000fffd4,0xa807ffee,
    0xdefffeed,0x76d4001c,0x1cdefffe,0xdffffe80,0x2a600002,0x0000000a,
    0x37bbb2a0,0x0000001c,0x00000000,0x007ffb30,0x00f7fc40,0x7fffff54,
    0x0effffff,0x3fffffa8,0x3fffe000,0x0000c0ff,0x00000000,0x98800000,
    0x40002099,0x00009998,0x00000000,0x00000000,0x00000030,0x40000000,
    0x30001998,0x00000133,0x00000000,0x00000000,0x00000000,0x00000000,
    0xe8000000,0xd80003ff,0x76d4000d,0x1ceffffe,0x3fffff60,0x3ff20000,
    0x00003fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x100001ea,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x66666440,0x00000000,0x66666440,0xcccccccc,
    0x0ccccccc,0xcccc8800,0x00000004,0x6664c000,0x9999914c,0x073332e0,
    0x00002600,0x55403550,0x32e00001,0x00001ccc,0x10000000,0x10199999,
    0x00399999,0x01e6665c,0x1aa806aa,0x00000000,0x66665400,0x20000002,
    0x003cccc9,0xddd70000,0x3bbbaa9d,0x66666444,0x5c004ccc,0x0002cccc,
    0x77777440,0x7ec00002,0x0004ffff,0x3ffffcc0,0xfffff300,0xffffffff,
    0x3fffffff,0xffffb000,0x2000009f,0x007ffff8,0xbffffd40,0xd07ffff9,
    0x4005ffff,0x000cffea,0x260ffb00,0x500004ff,0x01ffffff,0x76dd4400,
    0x001bceef,0x7fffec00,0xffff985f,0x3ffa002f,0x37f405ff,0x0003ff98,
    0x3bfb2e62,0x00000acd,0x3ffffff1,0xf1000000,0x005fffff,0xfff88000,
    0xdfffd0ef,0xfffff981,0x5000ffff,0x03ffffff,0x7ffe4000,0x5c00005f,
    0x2fffffff,0x3fe60000,0x3e6007ff,0xffffffff,0xffffffff,0x5c001fff,
    0x1fffffff,0xff880000,0x540007ff,0xff37ffff,0x3ffa0fff,0xff1002ff,
    0x0000bffb,0xfb10ffee,0xf100005f,0x0bffffff,0x3ffff200,0xcfffffff,
    0xffa80000,0x4c2fffff,0x002fffff,0x017ffffa,0xfd887ff9,0xff50001f,
    0xffffffff,0xfd00007f,0x00dfffff,0xfffb0000,0x0001ffff,0x7fffdc00,
    0x03ffff51,0xfffffff3,0xff1001ff,0x00dfffff,0x3fffe200,0x7c400005,
    0xffffbfff,0xff300000,0x7cc00fff,0xffffffff,0xffffffff,0x26001fff,
    0xfffbffff,0x4400000e,0x0007ffff,0x9bffffd4,0xfd07ffff,0x32005fff,
    0x0003fa2f,0x37fffe20,0x0005fffe,0xfd9fffb0,0x744007ff,0xffffffff,
    0x02ffffff,0x3fffe200,0x260ffffb,0x002fffff,0x017ffffa,0xfdbffff1,
    0xb1000bff,0xffffffff,0x03dfffff,0x37fff200,0x0004fffd,0x3bffea00,
    0x0005fffc,0x87fffe00,0xf302fffe,0xffffffff,0x9fffb001,0x0009fffb,
    0x00dfff90,0x5fffd000,0x0017fff2,0x3ffffcc0,0xfffff300,0xffffffff,
    0x3fffffff,0x97fff400,0x0005fffc,0x3ffffc40,0x3ffea000,0xfffff37f,
    0x0bffffa0,0x5fb0ff40,0x3fe60000,0x00efffff,0x5fffb800,0x001ffff3,
    0xffffffd3,0xffffffff,0x360003ff,0xfff73fff,0x7ffffccb,0x3fffa002,
    0xfffa805f,0x000effff,0x7fffff4c,0xffffffff,0x4c002fff,0xfe88efff,
    0x800002ff,0xfd0ffff8,0x000007ff,0x7d45fff5,0x3fe603ff,0x04ccceff,
    0xf15fffb8,0x40003fff,0x000efff8,0x2fffe400,0x000ffff6,0x1ffffe60,
    0xfffff980,0x9999999b,0x01999999,0xd13fff20,0x00005fff,0x03ffffc4,
    0x2aaaa200,0x05555512,0x002aaaaa,0x37d46fdc,0x3f220000,0x00004eff,
    0x541ffff1,0xfc806fff,0xcdefffff,0xffffffed,0xfffb8006,0x99fffec5,
    0x002fffff,0x017ffffa,0x1f7ffec4,0x7fffc400,0xfeefffff,0x0fffffff,
    0x3fffd100,0x007fffcc,0x3fffa000,0x07fffe22,0x7dd90000,0x4c04eec8,
    0x4005ffff,0x260deed8,0x20005eee,0x0000deea,0x00000000,0xff300000,
    0x00005fff,0x00000000,0x00000000,0x40000000,0x003fffff,0x00002000,
    0x7c000000,0x500dffff,0x05ffffff,0x3e600000,0x2002ffff,0x005ffffe,
    0x7e400008,0x40afffff,0xffffffc8,0x00000005,0x00000000,0x80000000,
    0x005ffff9,0x00000000,0x00000000,0x00000000,0x2fffff98,0x00000000,
    0x00000000,0x00000000,0x33ae2000,0x00000001,0x00000000,0x0fffff98,
    0x7ffffd40,0x30000004,0x005fffff,0x02fffff4,0x3e600000,0x400effff,
    0x0ffffffa,0x00000000,0x00000000,0x0e666644,0x79999700,0x817fffe6,
    0x01ccccc8,0x4f3332e0,0x01ccccc8,0x0f3332e0,0xfd973100,0x000159bd,
    0xefecb988,0x7cc00acd,0x0002ffff,0xfdb73000,0x00399ddf,0x3fb6e600,
    0x001cceef,0x37ffffa8,0x3a0fffff,0x9912ffff,0x5c003999,0x2003cccc,
    0xcdffdca9,0x4400009a,0xceefedba,0xfffb801b,0xfffd006f,0x644000df,
    0xf980cccc,0x2002ffff,0x915ffffe,0x40039999,0x6c3ccccb,0x000fffff,
    0x47fffff7,0x02cccccb,0xcccccb80,0x07999972,0x33333320,0xcccc9802,
    0xfffff30c,0x7fff4005,0xbffff35f,0x7ffffcc0,0x3fffa002,0xfffff35f,
    0x7fff4005,0x3fea005f,0xffffffff,0xff50003f,0xffffffff,0x7ffcc07f,
    0x000002ff,0x7fffff54,0x2effffff,0xfffd5000,0xffffffff,0x7fd4005d,
    0xffff37ff,0x3ffffa0f,0x5fffff32,0x7ffff400,0xffffb805,0xffffffff,
    0xfff90002,0xffffffff,0x7ffdc019,0xaca801ff,0x260002aa,0x981fffff,
    0x002fffff,0x4d7ffffa,0x002fffff,0x997ffffa,0x004fffff,0x82b3bfe2,
    0x0ffffffa,0x3fffe600,0xffff90ff,0xffff300f,0xff700dff,0x7ffccfff,
    0x3fa002ff,0xfff35fff,0x7ffcc0bf,0x3fa002ff,0xfff35fff,0x7f4005ff,
    0xd8805fff,0xffffffff,0x01efffff,0xfffffb10,0xffffffff,0xffff303d,
    0x4000005f,0xfffffffc,0xffffffff,0x7ffe4006,0xffffffff,0x5006ffff,
    0x3e6fffff,0xffd07fff,0x3ffe65ff,0x3fa002ff,0x3a205fff,0xffffffff,
    0x0dffffff,0xffffd100,0xffffffff,0x3fe605ff,0x000cffff,0x3fe60000,
    0xff981fff,0x3a002fff,0xff35ffff,0x74005fff,0x3ee5ffff,0x4000ffff,
    0x7ffec009,0x3fa004ff,0x3ea2ffff,0x5c01ffff,0x0fffffff,0x2ffffec0,
    0x05fffff3,0xafffff40,0x205ffff9,0x02fffff9,0x57ffffa0,0x02fffff9,
    0x17ffffa0,0xfffffd30,0xffffffff,0xe9805fff,0xffffffff,0xffffffff,
    0x7ffffcc2,0xeeeeeeee,0x00eeeeee,0x3fffffa2,0xffffffff,0x8805ffff,
    0xfffffffe,0xffffffff,0xffa805ff,0xffff37ff,0x3ffffa0f,0x5fffff32,
    0x7ffff400,0xfffff505,0xffffffff,0x805fffff,0xffffffe9,0xffffffff,
    0xffff01ff,0x037dffff,0xff980000,0xff981fff,0x3a002fff,0xff35ffff,
    0x74005fff,0x3f25ffff,0x00007fff,0xffffff10,0xffff7003,0xffff88bf,
    0x7ffec03f,0x7c02ffff,0x3e64ffff,0x2002ffff,0xf35ffffe,0x7cc0bfff,
    0x2002ffff,0xf35ffffe,0x4005ffff,0x205ffffe,0xfffffff8,0xffffeeff,
    0xf100ffff,0xffffffff,0xffffffdd,0x7ffcc1ff,0xffffffff,0xffffffff,
    0x3ffffa00,0xfeefffff,0x5fffffff,0x7fffff40,0xffeeffff,0x05ffffff,
    0x9bffffd4,0xfd07ffff,0x3fe65fff,0x3a002fff,0xf885ffff,0xffffffff,
    0xffffffee,0x3f201fff,0xcdefffff,0xffffffed,0xfffff506,0x5bffffff,
    0xf9800001,0xf981ffff,0x2002ffff,0xf35ffffe,0x4005ffff,0x365ffffe,
    0x0006ffff,0x3fffee00,0x7ffc406f,0xffe80fff,0x7ffc05ff,0x204fffff,
    0x22fffff9,0x02fffff9,0x57ffffa0,0x205ffff9,0x02fffff9,0x57ffffa0,
    0x02fffff9,0x17ffffa0,0xffffffc8,0x7ffe440a,0xff905fff,0x8815ffff,
    0x5ffffffc,0x3fffffe6,0xffffffff,0x900fffff,0x3dffffff,0xffffd501,
    0x3ff203ff,0x809effff,0xffffffea,0x3fffea01,0x0fffff37,0x4cbffffa,
    0x002fffff,0x217ffffa,0xcffffffe,0xffffc981,0x3ffe05ff,0xff500dff,
    0x3205ffff,0xffffffff,0x01cfffff,0xffff3000,0xffff303f,0x7ff4005f,
    0xffff35ff,0x7ff4005f,0x3fffa5ff,0x4000005f,0x03fffffe,0x0ffffff2,
    0x037fffec,0xfffffff5,0x7ffd40df,0x3ffe60ff,0x3fa002ff,0xfff35fff,
    0x7ffcc0bf,0x3fa002ff,0xfff35fff,0x7f4005ff,0xff305fff,0xa801dfff,
    0x40ffffff,0x0efffff9,0x7ffffd40,0xfffff30f,0xffffffff,0x01ffffff,
    0x7ffffff5,0xfffff100,0xffff509f,0xff1007ff,0x5409ffff,0xff37ffff,
    0x3ffa0fff,0xffff32ff,0x7ff4005f,0x7ffdc5ff,0xf9802fff,0x982fffff,
    0x400fffff,0x04fffffa,0x3ffffff2,0xffffffff,0xff980002,0xff981fff,
    0x3a002fff,0xff35ffff,0x74005fff,0x3fe5ffff,0x00004fff,0x7ffffcc0,
    0xffff980f,0x3ffee06f,0xfff900ff,0x01ffffff,0x31bffff2,0x005fffff,
    0x9afffff4,0x2605ffff,0x002fffff,0x4d7ffffa,0x002fffff,0x417ffffa,
    0x00fffffd,0x7fffff70,0x0fffffd8,0xfffff700,0x3ffffe67,0xeeeeeeee,
    0x80eeeeee,0x03fffffd,0x3ffffea0,0xfffffd87,0x3ffea003,0x3fea07ff,
    0xffff37ff,0x3ffffa0f,0x5fffff32,0x7ffff400,0x3ffffe25,0x3fe6001f,
    0x7dc0ffff,0xfd006fff,0xd880dfff,0xffffffff,0x003fffff,0x7ffffcc0,
    0xfffff981,0x3fffa002,0xfffff35f,0x7fff4005,0xfffff15f,0x90000009,
    0xb09fffff,0x403fffff,0x02fffff9,0xffdffffd,0x3ffa05ff,0x7ffcc4ff,
    0x3fa002ff,0xfff35fff,0x7ffcc0bf,0x3fa002ff,0xfff35fff,0x7f4005ff,
    0xff985fff,0x22004fff,0x260aceff,0x004fffff,0x42b3bfe2,0x02fffff9,
    0xffff1000,0xbfb000df,0xfff88359,0xfd8006ff,0x3ea01acd,0xfff37fff,
    0x3fffa0ff,0xfffff32f,0x7fff4005,0x3fffea5f,0xffc8005f,0x7fdc3fff,
    0xca801fff,0x51002aaa,0xfffffffb,0x0007ffff,0x0fffffcc,0x17ffffc4,
    0x9ffffd00,0x0bffffe6,0x5ffffe80,0x017ffffe,0x3fa20000,0x3ea1ffff,
    0xf804ffff,0xf883ffff,0xfffbefff,0xffff884f,0x7fffcc2f,0x3ffa002f,
    0xffff35ff,0x7fffcc0b,0x3ffa002f,0xffff35ff,0x7ff4005f,0xfffb85ff,
    0x04c000ff,0x1fffff70,0xf3009800,0x0005ffff,0x3ffffee0,0xf7000002,
    0x0005ffff,0xffff5000,0x1ffffe6f,0x997ffff4,0x002fffff,0xd97ffffa,
    0x001fffff,0x4fffff88,0x7fffffcc,0x0000000c,0xfffffd73,0x4c000dff,
    0x881fffff,0x002fffff,0x4d3ffffa,0x002fffff,0xe97ffffa,0x0006ffff,
    0xffff5000,0x7ffff4df,0xfffd800f,0xffffa85f,0x86ffff9c,0x40fffff9,
    0x02fffff9,0x57ffffa0,0x205ffff9,0x02fffff9,0x57ffffa0,0x02fffff9,
    0x17ffffa0,0x01fffff2,0x3fff2000,0x4c00007f,0x002fffff,0xfffffb00,
    0x7ec00000,0x00007fff,0xfffff500,0x41ffffe6,0xf32ffffe,0x4005ffff,
    0x3e5ffffe,0x0006ffff,0x21bffffa,0xffffffff,0x000001be,0xfffff910,
    0x3e60001f,0xf881ffff,0x2002ffff,0xf34ffffe,0x4005ffff,0x365ffffe,
    0x0006ffff,0x3fff6000,0xffffbaff,0xfff7002f,0xffff90ff,0x03ffffe5,
    0x30dffff7,0x005fffff,0x9afffff4,0x2605ffff,0x002fffff,0x4d7ffffa,
    0x002fffff,0x217ffffa,0x006ffffd,0xffffd800,0x7cc00006,0x0002ffff,
    0x0dffffd0,0x7ff40000,0x000006ff,0x2fffff50,0xd07ffff9,0x3e65ffff,
    0x2002ffff,0xf15ffffe,0x000bffff,0x43ffffec,0xfffffffa,0x00adffff,
    0x40055330,0x02fffffa,0xfffff300,0x3ffffe03,0x3fffe003,0xfffff34f,
    0x7fff4005,0x3ffff25f,0x0bdd8007,0x3fffe200,0x5fffffff,0x3fffe600,
    0x7ffff41f,0x85ffffb0,0x984ffffd,0x002fffff,0x4d7ffffa,0x2605ffff,
    0x002fffff,0x4d7ffffa,0x002fffff,0x217ffffa,0x005ffffe,0xffffe800,
    0x7cc00005,0x0002ffff,0x0bfffff0,0x7ffc0000,0x000005ff,0x2fffff50,
    0xd07ffff9,0x3e65ffff,0x2002ffff,0xf15ffffe,0x0009ffff,0x07ffffe4,
    0x7fffffe4,0xcfffffff,0xfffff701,0x7fffc001,0xff30004f,0x3fe03fff,
    0xf1005fff,0x3e65ffff,0x2002ffff,0x2a5ffffe,0x003fffff,0x0bbfffe2,
    0x7ffffdc0,0x000fffff,0x117ffffc,0x7dcdffff,0x7ffc4fff,0xfff982ff,
    0x3fa002ff,0xfff35fff,0x7ffcc0bf,0x3fa002ff,0xfff35fff,0x7f4005ff,
    0xfff85fff,0x800004ff,0x004fffff,0x7fffcc00,0xf880002f,0x4c04ffff,
    0xeeeeeeee,0xfff13eee,0xee9809ff,0xeeeeeeee,0xffff503e,0x1ffffe6f,
    0x997ffff4,0x002fffff,0x4d7ffffa,0x003fffff,0x3ffffee0,0xfffff901,
    0xffffffff,0xffff305f,0x7ff4005f,0xf30004ff,0x3603ffff,0x802fffff,
    0x31fffffd,0x005fffff,0x12fffff4,0x00ffffff,0x17ffffdc,0xfffffd00,
    0xd0007fff,0x7d49ffff,0x3fe24fff,0x3ffe26ff,0xfff980ff,0x3fa002ff,
    0xfff35fff,0x7ffcc0bf,0x3fa002ff,0xfff35fff,0x7f4005ff,0x7fc45fff,
    0x00004fff,0x27ffffc4,0x3fe60000,0x80002fff,0x04fffff8,0x7fffffd4,
    0xf14fffff,0xa809ffff,0xffffffff,0xff504fff,0x3ffe6fff,0xffffd07f,
    0x3ffffe65,0x3fffa002,0xfffff35f,0x7fd40007,0x36202fff,0xffffffff,
    0xf83fffff,0x800effff,0x02fffff9,0xfffff300,0x3fffee03,0x3fee01ff,
    0xff30ffff,0x74005fff,0x7e45ffff,0x9803ffff,0x007fffff,0x7fffffcc,
    0xff90006f,0x7ffecdff,0x7ffff42f,0x0fffff50,0x0bffffe6,0x5ffffe80,
    0x40bffff3,0x02fffff9,0x57ffffa0,0x02fffff9,0x17ffffa0,0x017ffffe,
    0x3fffe000,0x4c00005f,0xccdfffff,0xcccccccc,0x3fe3cccc,0x7d405fff,
    0xffffffff,0x3fffe4ff,0x7ffd405f,0xffffffff,0xfffff504,0x41ffffe6,
    0xf32ffffe,0x4005ffff,0xf15ffffe,0x0009ffff,0x0fffffdc,0x7ffed440,
    0xffffffff,0x7ffffec3,0x3ffa200d,0x260007ff,0x101fffff,0xffffffff,
    0xffffb75b,0x7fccbfff,0x3a002fff,0xfe85ffff,0x2a05ffff,0x04fffffe,
    0xfffffc80,0xff50001f,0x7fffcfff,0x7fffe40f,0x0bffff92,0x0bffffe6,
    0x5ffffe80,0x40bffff3,0x02fffff9,0x57ffffa0,0x02fffff9,0x17ffffa0,
    0x01bffffa,0x3fffa000,0x4c00006f,0xffffffff,0xffffffff,0x3fa5ffff,
    0x7d406fff,0xffffffff,0x3fffa4ff,0x7ffd406f,0xffffffff,0xfffff504,
    0x41ffffe6,0xf32ffffe,0x4005ffff,0x3e5ffffe,0x0005ffff,0x01fffff2,
    0x7fff5cc0,0x7cc6ffff,0xacffffff,0xffffca99,0x260005ff,0x201fffff,
    0xfffffffc,0xffffffff,0x3fe61fff,0x3a002fff,0xfa85ffff,0xbcefffff,
    0xfffffdba,0xff0000ff,0x40009fff,0x99fffff8,0xfa86ffff,0xfffd4fff,
    0x3ffe207f,0x3fa002ff,0xfff34fff,0x7ffc40bf,0x3fa002ff,0xfff14fff,
    0x7f4005ff,0xffd84fff,0x800006ff,0x006ffffd,0x7fffcc00,0xffffffff,
    0xffffffff,0x1fffffa5,0xdddddd30,0x749fffff,0x4c07ffff,0xffeeeeee,
    0xff504fff,0x3ffe6fff,0xffffd07f,0x3ffffe25,0x3fffa002,0x3ffffa4f,
    0x3ff60006,0x880006ff,0x0ffffffc,0x7fffffdc,0xffffffff,0x0002ffff,
    0x07ffffe6,0xffffffb0,0xffffffff,0xfff887ff,0x3fa002ff,0xffb04fff,
    0xffffffff,0x3fffffff,0x7fffc000,0x7f40004f,0xfffbbfff,0xffff883f,
    0x03fffff6,0x0bffffe2,0x4ffffe80,0x40bffff3,0x02fffff8,0x53ffffa0,
    0x02fffff8,0x13ffffa0,0x01fffff2,0x3202f760,0x8007ffff,0x7fcc0bdd,
    0xffffffff,0xffffffff,0x3fff25ff,0xff0001ff,0x7fe49fff,0xf0001fff,
    0x2a09ffff,0xff37ffff,0x3ffa0fff,0xffff12ff,0x7ff4005f,0x3fff64ff,
    0xff0000ff,0x5330bfff,0x7ffd4005,0xfffd82ff,0xffffffff,0x003fffff,
    0x7ffffcc0,0xffffc801,0xffffffff,0xfff882ff,0x3fa002ff,0x3ee04fff,
    0xffffffff,0x02ffffff,0x7ffffc00,0x7fe40004,0xffffddff,0x5ffffd01,
    0xf80fffff,0x2003ffff,0xf34fffff,0xff80bfff,0x3e003fff,0x3fe4ffff,
    0x3e003fff,0xfa84ffff,0x2003ffff,0x22effff8,0x03fffffa,0x3bfffe20,
    0xffffff32,0xffffffff,0x4bffffff,0x06fffff9,0x9fffff00,0x37ffffcc,
    0xfffff800,0xfffff504,0x41ffffe6,0x3e2ffffe,0x2003ffff,0x2e4fffff,
    0x004fffff,0x4fffffb8,0x03ffffee,0x4fffff80,0xffffff70,0xffffffff,
    0xffdb9107,0x7ffffd40,0xfff91001,0x5dffffff,0x3fffff80,0x3ffffe00,
    0x7fff4c04,0xffffffff,0xff80002e,0x40004fff,0xfffffffa,0x3ff207ff,
    0x5ffffeff,0x37ffffc0,0xfffff880,0x0bffff33,0x06fffff8,0x7fffff10,
    0x037ffffc,0x3fffff88,0x7fffff88,0x3fffee00,0x3fffe22f,0x3fee007f,
    0x20002fff,0xfe805ff8,0x8002ffff,0x744fffff,0x002fffff,0x04fffff8,
    0x00dffff5,0x45fffff0,0x006fffff,0x47fffff1,0x0ffffff9,0x3fffe200,
    0x3ffe61ff,0x3fa002ff,0x32204fff,0xffffffff,0xff300bef,0x7fd40fff,
    0x88000fff,0x001adffb,0x01bffffe,0x1fffffc4,0xffffdb80,0x0002efff,
    0x13ffffe0,0xffff1000,0x40bfffff,0xfffffffa,0x7fec03ff,0xfd803fff,
    0xff32ffff,0xffd80bff,0xfd803fff,0x3f62ffff,0xd803ffff,0x902fffff,
    0x007fffff,0x0ffffff3,0x07fffff9,0xffffff30,0x4ff98000,0xfffffb80,
    0x3fea001e,0x7fdc4fff,0x2001efff,0x04fffffa,0x00dffff7,0x43fffff0,
    0x03fffffd,0x2fffffd8,0x6fffffe4,0xffffb000,0xfffff0bf,0xfff3001d,
    0x764005ff,0xf000cfff,0x3205ffff,0x0007ffff,0x2000ffea,0x03fffffd,
    0x2fffffd8,0x7ff65400,0xff000004,0x00009fff,0xffffffff,0x7ffc407f,
    0x01ffffff,0x7fffffdc,0x3fffea01,0x3fffe67f,0x7fffdc05,0x3fea01ff,
    0x7fdc7fff,0x2a01ffff,0x407fffff,0x05fffffe,0x3fffffaa,0xfffffd04,
    0x7fff540b,0x540004ff,0xffd004ff,0x9807ffff,0x4ffffffe,0xffffffe8,
    0x7fff4c03,0xfe884fff,0x5c006fff,0x2e1fffff,0x01ffffff,0x1fffffea,
    0x3fffffe2,0x3ffa601e,0xfd80ffff,0x200dffff,0x07ffffe8,0x3ffffe20,
    0xfffd006f,0xfff881df,0x2e0006ff,0xfb8003ff,0x201fffff,0x07fffffa,
    0x7ffffc40,0xf800006f,0x0004ffff,0xffffffd8,0x7ff401ff,0x007fffff,
    0xbfffffff,0xfffb7557,0x7fcc7fff,0xfff805ff,0xaabdffff,0xffffffdb,
    0xffffff83,0xfdbaabdf,0x403fffff,0xeffffffa,0xfffdbabc,0xf500ffff,
    0x79dfffff,0xfffffb75,0xc80001ff,0xff3006ff,0x79dfffff,0xffffdb75,
    0xf309ffff,0x9dffffff,0xfffdb757,0x749fffff,0x4ffffffe,0xffffeb80,
    0x7ffc0fff,0xaabdffff,0xffffffdb,0xfffff703,0xb9559bff,0x7fffffff,
    0x3ffffe60,0xca99acff,0x05ffffff,0x3f2a6e60,0xffc802ff,0xebabefff,
    0x003fffff,0x001bff20,0x7ffffffc,0xffdbaabd,0x4003ffff,0xfffca9b9,
    0x7fc00002,0x80004fff,0xfffffffb,0xffffb807,0xf7005fff,0xffffffff,
    0xffffffff,0x7fffcc1f,0xfb82aaae,0xffffffff,0xffffffff,0xffffb80f,
    0xffffffff,0x00ffffff,0xffffffd8,0xffffffff,0x7ec01fff,0xffffffff,
    0xffffffff,0xffb80001,0x7d4020bf,0xffffffff,0xffffffff,0xf501ffff,
    0xffffffff,0xffffffff,0x3e23ffff,0x3fffffff,0xfffffd80,0xfffb86ff,
    0xffffffff,0x0fffffff,0x3fffffa0,0xffffffff,0x406fffff,0xfffffffb,
    0xffffffff,0x40002fff,0xf8806ffe,0xffffffff,0x007fffff,0x057ffdc0,
    0xffff7001,0xffffffff,0x01ffffff,0x0dffb000,0xffff8000,0xf980004f,
    0x05ffffff,0xffffff98,0x3ff2003f,0xffffffff,0x42ffffff,0xfffffff9,
    0xfffc80ff,0xffffffff,0x202fffff,0xfffffffc,0xffffffff,0x3fee002f,
    0xffffffff,0x002fffff,0xfffffff7,0xffffffff,0x3e600005,0x05feffff,
    0x3fffffe6,0xffffffff,0x400dffff,0xfffffff9,0xffffffff,0x3ea0dfff,
    0x06ffffff,0xffffffd0,0x3fff203f,0xffffffff,0x802fffff,0xfffffffb,
    0xffffffff,0xfffb003f,0xffffffff,0x007fffff,0x00dfff00,0x3fffffee,
    0x2fffffff,0x7ffcc000,0x9005feff,0xffffffff,0xffffffff,0x3fe00005,
    0x7c00006f,0x0004ffff,0xfffffff0,0x3fffe007,0x54001fff,0xffffffff,
    0x80efffff,0xfffffff9,0xfff500ff,0xffffffff,0xf5001dff,0xffffffff,
    0x001dffff,0xfffffd30,0x5dffffff,0xfffe9800,0xffffffff,0x6400002e,
    0x05ffffff,0x7ffffec4,0xffffffff,0x362001df,0xffffffff,0x1dffffff,
    0xffffffb8,0xfff8800f,0x5403ffff,0xffffffff,0x00efffff,0x3ffffa60,
    0xffffffff,0x7fdc001e,0xffffffff,0x2003ffff,0xffdbbcc8,0x3f2002ff,
    0xffffffff,0xb00002ff,0x0bffffff,0x7ffffd40,0xffffffff,0x6644000e,
    0x2ffffdbb,0x7ffc0000,0xb00004ff,0x01ffffff,0x3fffff60,0xffb10007,
    0xdfffffff,0x7fffcc07,0x200fffff,0xffffffd8,0x4003efff,0xffffffd8,
    0x0003efff,0xfffffdb8,0x40002eff,0xffffffdb,0x000002ef,0x0737ffaa,
    0x7fff5c40,0x0acdffff,0x3fae2000,0xcdffffff,0x3ffaa00a,0xb1000bdf,
    0x0059dfff,0x3fffff62,0x003effff,0x3fffb6e0,0x003defff,0x3ffff220,
    0x0befffff,0x7fffcc00,0x8003ffff,0xffffffe9,0x400000cf,0x01bdffc9,
    0x7fffec40,0x03efffff,0xfffff300,0x00007fff,0x09fffff0,0x3ffee000,
    0x3ee006ff,0x0006ffff,0x9aaaaa98,0xeeee9800,0x000eeeee,0x13555553,
    0x55530000,0x00001355,0x006aaa20,0x55544000,0x00000001,0xaa988000,
    0x2000000a,0x000aaa98,0x00000000,0xaaaaa980,0x98000009,0x000001aa,
    0x026aaaa6,0xeedc8800,0x300003cd,0x00003555,0x98000000,0x009aaaaa,
    0x776e4400,0x000003cd,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x05999991,
    0x33332600,0x44000003,0x3a20deed,0x40000dee,0x33322ccc,0x33660001,
    0x000ee982,0xa7777540,0x004eeeea,0x0133332e,0x40599000,0xaaa802cc,
    0x200001aa,0x004cccc8,0x40000300,0x00deeeec,0x44eeea80,0x2604eeeb,
    0x0003cccc,0x87bbb600,0x001eeed8,0x1eeeeea8,0x332e0000,0x64c0001c,
    0x6664c3cc,0x77440003,0x00003eee,0x00599997,0x33326000,0x000000cc,
    0x0bffff90,0x7fffd400,0xb8000006,0xffd15fff,0xf500005f,0x0bffb3ff,
    0x7fffec00,0x0ffd9acf,0x7fff4000,0x1ffffd0f,0x7fff4400,0x3600002f,
    0x3ff980ff,0x3fffff80,0x3fe60000,0x880007ff,0x440001ff,0x001fffff,
    0x4cffff60,0x2a00ffff,0x0006ffff,0x3fffe600,0x009fffb0,0x27fffec0,
    0xffb10000,0xfd80001f,0xffff13ff,0xffc80003,0x500005ff,0x01ffffff,
    0xfffd0000,0x0000007f,0x01bfffe2,0xdffff500,0x36000000,0xfffdbfff,
    0x3ea00005,0x0005ffff,0x3fffffe2,0x006fffff,0x8ffffd40,0x001ffff9,
    0x05ffff88,0x33fee000,0x007ffa61,0x00fffffe,0xffff9800,0xffa80007,
    0x7fe40000,0x440001ff,0xfffaffff,0x7ffd402f,0x4000006f,0xffbdfffc,
    0xfd80006f,0x00000fff,0x00037fe4,0x367fffe2,0x40004fff,0x005ffff8,
    0xfffff100,0x80000bff,0x004ffffa,0x3fee0000,0x540000ef,0x0006ffff,
    0xffff1000,0x0001ffff,0x04ccca80,0x5e7fdc00,0x3ffffffd,0x7fff4000,
    0x00ffff62,0x1ffff980,0x3ffa0000,0x04ffffef,0x07fffff0,0x7ffcc000,
    0xfd80007f,0x7fc40005,0x500002ff,0xbfffffff,0xdffff500,0xfd000000,
    0x03ffffff,0x3fffa000,0xca800004,0x7d40001c,0x06ffffff,0x6fffb800,
    0x3ffa0000,0x03fffebf,0x3fff6000,0x40000004,0x0000efff,0x06ffffa8,
    0x3ea00000,0x002fffff,0xf05ff300,0xdfb0009f,0x0039db50,0x23fffa80,
    0x0004fff9,0x005fff98,0x3fffa600,0x3e005fff,0x0003ffff,0x1ffffe60,
    0x00ffe000,0x07fff700,0xfffd8000,0xfa800fff,0x00006fff,0xfffff880,
    0x2200003f,0x0000fffe,0x7fc17fcc,0xfff90004,0x00003fff,0x0001dfff,
    0x457ffee0,0x0001ffff,0x005fff98,0x7fd40000,0xf500001f,0x0000dfff,
    0xeeeec800,0x3e600003,0x004ff82f,0x40000000,0x775c4eec,0x3ea00005,
    0x400000ff,0x002deedb,0x01fffffc,0xffff3000,0xffa8000f,0x776c0000,
    0xd8800003,0x5001eeee,0x000dffff,0x3bbaa000,0x8800005e,0x40002eed,
    0x4ff82ff9,0xdddb1000,0xd500007d,0x200001bd,0x2a0deee8,0x80004eee,
    0x00005ffd,0x00000000,0x01bfffea,0x00000000,0x05dd1000,0x000007db,
    0x00000000,0x00000000,0x3e000000,0x0003ffff,0x1ffffe60,0x00df9000,
    0x00000000,0xfff50000,0x000000df,0x00000000,0x2ee88000,0x00003ed8,
    0x00000000,0x00000000,0x00000000,0x50000000,0x510dffff,0x54c00003,
    0x9acdffdc,0x99991000,0x665c0039,0x999913cc,0x665c0039,0x2a6003cc,
    0x9acdffdc,0xfffc8000,0x03fffdc7,0xffedb980,0xf001ccee,0x0007ffff,
    0x3ffffcc0,0x3aaa6200,0x2620004f,0xacdefecb,0xb7510000,0x0379ddfd,
    0x06ffffa8,0x5cc40000,0x0acdefec,0x66666440,0x3332e001,0x9999913c,
    0x6665c003,0x7fffc83c,0x003fffdc,0xddfdb751,0x30000379,0x59bffb95,
    0xff900013,0x7fffb8ff,0x332e0000,0xcccccccc,0xcccccccc,0x50cccccc,
    0x7e4dffff,0x002effff,0xffffff70,0x05ffffff,0x5fffff30,0x7ffff400,
    0x5fffff35,0x7ffff400,0xffffb805,0xffffffff,0x7ffe4002,0x03fffdc7,
    0x3ffffaa0,0xefffffff,0x7ffffc02,0x3e600003,0xd9807fff,0x5fffffff,
    0xffff5000,0x7fffffff,0xffffc800,0xcfffffff,0xdffff500,0x3ffffea0,
    0xfff5000f,0xffffffff,0x7fffcc07,0x3ffa002f,0xffff35ff,0x7ff4005f,
    0xfffc85ff,0x03fffdc7,0xffffffc8,0x00cfffff,0xfffffb80,0x2fffffff,
    0x3fffe400,0x001fffee,0x7ffffcc0,0xffffffff,0xffffffff,0xff50ffff,
    0xfffd1dff,0x009fffff,0x7fffff44,0xffffffff,0x3fe600df,0x3a002fff,
    0xff35ffff,0x74005fff,0x2205ffff,0xfffffffe,0xdfffffff,0xffff9000,
    0x007fffb8,0x3ffffff2,0xffffffff,0x3fffe06f,0x2600003f,0x5c07ffff,
    0xffffffff,0xb1001eff,0xffffffff,0x03dfffff,0xfffffe88,0xffffffff,
    0xffffa82f,0xfffff986,0xffd8801f,0xffffffff,0xf981efff,0x2002ffff,
    0xf35ffffe,0x4005ffff,0xc85ffffe,0x7fdc7fff,0x7ff4407f,0xffffffff,
    0x1002ffff,0xfffffffd,0xbfffffff,0x3fff2001,0x03fffdc7,0xffffd800,
    0xffffffff,0xffffffff,0xf50fffff,0xffffffff,0xbfffffff,0xfffff500,
    0xffffffff,0x205fffff,0x02fffff9,0x57ffffa0,0x02fffff9,0x17ffffa0,
    0x7fffffd4,0xffffffff,0xc802ffff,0x7fdc7fff,0xffe8807f,0xffffffff,
    0x5fffffff,0x07fffff0,0x7ffcc000,0x3fffa07f,0xffffffff,0x7f4c02ff,
    0xffffffff,0x2fffffff,0xfffffd30,0xffffffff,0xffa83fff,0x7ffc46ff,
    0xe9801fff,0xffffffff,0xffffffff,0x7ffffcc2,0x3fffa002,0xfffff35f,
    0x7fff4005,0x7fffc85f,0x303fffdc,0xfffffffd,0xffffffff,0xfffa803f,
    0xffffffff,0x2fffffff,0x47fffc80,0x0007fffb,0xffffff88,0xffffffff,
    0xffffffff,0xff50ffff,0xbbffffff,0x5ffffffd,0x7ffffc40,0xffeeffff,
    0x1fffffff,0x2fffff98,0x3ffffa00,0x5fffff35,0x7ffff400,0xfffff885,
    0xffeeffff,0x1fffffff,0x22666540,0xe804ccc9,0xffffffff,0xfffffeef,
    0xfff85fff,0x200003ff,0x707ffff9,0xddffffff,0x0dffffff,0x7fffffc4,
    0xfffeefff,0xc80fffff,0xdeffffff,0xfffffedc,0x7fffd46f,0x3ffffa26,
    0xfff8802f,0xeeffffff,0xffffffff,0x3ffffe60,0x3fffa002,0xfffff35f,
    0x7fff4005,0x4ccca85f,0x9026664c,0xbdffffff,0xfffffdb9,0x7ffc40df,
    0xeeffffff,0xffffffff,0x6665401f,0x026664c4,0x7fffe400,0xfffffcce,
    0xffffffff,0x50ffffff,0x1bffffff,0x6fffffa8,0x3fffffa0,0xffc981cf,
    0xf985ffff,0x2002ffff,0xf35ffffe,0x4005ffff,0xe85ffffe,0x1cffffff,
    0xfffffc98,0x0000005f,0x7fffffe4,0xffea809e,0x7fc1ffff,0x00003fff,
    0x21ffffe6,0x0efffff8,0xfffffff7,0x3ffff205,0x7e440aff,0xf85fffff,
    0x500dffff,0x45ffffff,0x3a6ffffa,0x002fffff,0x5ffffff9,0xffffc881,
    0x3ffe65ff,0x3fa002ff,0xfff35fff,0x7f4005ff,0x00005fff,0x6fffffc0,
    0xfffff500,0x3fffa05f,0xc981cfff,0x05ffffff,0x40000000,0x22fffff8,
    0x99cfffff,0x99999999,0x3ffea199,0x3fea06ff,0xffb82fff,0x9802ffff,
    0x42ffffff,0x02fffff9,0x57ffffa0,0x02fffff9,0x17ffffa0,0x5ffffff7,
    0xfffff300,0x0000005f,0x3fffffea,0xffff8803,0x7fffc4ff,0x2600003f,
    0xfc87ffff,0x6fec7fff,0x986ffffd,0x00efffff,0x7fffffd4,0x3ffffe60,
    0x7fffd400,0x3fffea4f,0x7fffffb6,0x3fffe600,0x7fd400ef,0xff30ffff,
    0x74005fff,0xff35ffff,0x74005fff,0x0005ffff,0x3fffe600,0x7ffd400f,
    0xfffb84ff,0xf9802fff,0x002fffff,0x32000000,0x7fc7ffff,0x40003fff,
    0x02fffffa,0x227ffff4,0x1ffffff8,0x3fffe600,0x3ffe60ff,0x3fa002ff,
    0xfff35fff,0x7f4005ff,0x3fe25fff,0x2001ffff,0x0ffffff9,0xfd800000,
    0x2003ffff,0x47fffffa,0x003fffff,0x3fffe600,0x3ffffe87,0x566cdffc,
    0xfffffb01,0x3ffee001,0x3ffee3ff,0xfffd006f,0x7fffd4df,0x3fffffce,
    0x3ffff600,0xfff7000f,0x3ffe67ff,0x3fa002ff,0xfff35fff,0x7f4005ff,
    0x00005fff,0x1bfffee0,0x37ffff40,0x3fffffe2,0x3ffe6001,0x00000fff,
    0xfff88000,0x7fffc3ff,0x7d40003f,0x6400ffff,0x7d45ffff,0x8005ffff,
    0x23fffffc,0x02fffff9,0x57ffffa0,0x02fffff9,0x97ffffa0,0x05fffffa,
    0xfffffc80,0x1ffffea3,0x4bffff70,0x06fffff8,0x1acdfd80,0x01fffffc,
    0xffff3000,0x3fffff0f,0x98007fd4,0x004fffff,0x82b3bfe2,0x01fffffb,
    0x22aaaca8,0xfffffffa,0x26006fff,0x004fffff,0x42b3bfe2,0x02fffff9,
    0x57ffffa0,0x02fffff9,0x57ffffa0,0x407ffffa,0x2e5ffffb,0x801fffff,
    0x542aaaca,0x005fffff,0x3fffffc8,0x01ffffea,0x00bffff7,0x0fffffb8,
    0x01fffffc,0x3fffea00,0xffffb807,0x7ffffec6,0xfff88001,0x3ffe64ff,
    0x3fa002ff,0xfff35fff,0x7f4005ff,0x3ff65fff,0x88001fff,0x2a4fffff,
    0x5c07ffff,0x3ee5ffff,0x0002ffff,0x7fffff00,0x7fcc0000,0x7ffc47ff,
    0x01bf20ff,0x0fffffb8,0xf3004c00,0x019fffff,0x7fffd400,0x2fffffff,
    0xfffff700,0x30098001,0x005fffff,0x9afffff4,0x002fffff,0x557ffffa,
    0x5c07ffff,0x3e65ffff,0x00cfffff,0x7fffec00,0xff88001f,0x3fea4fff,
    0x7fdc07ff,0x7fc005ff,0xfff84fff,0x540003ff,0xa806ffff,0x7fc7ffff,
    0x20006fff,0x266ffffe,0x002fffff,0x4d7ffffa,0x002fffff,0xf97ffffa,
    0x0006ffff,0xa9bffffa,0x5c07ffff,0x3f65ffff,0x00007fff,0x0fffffe0,
    0xfff98000,0x7fffd47f,0x90027fc7,0x000fffff,0x3ffffe00,0x001befff,
    0x7fffffd4,0x006fffff,0x00fffff9,0xffff9800,0x3ffa002f,0xffff35ff,
    0x7ff4005f,0xffff55ff,0xffffb80f,0x7fffffc5,0x8001beff,0x006fffff,
    0x9bffffa0,0x407ffffa,0x005ffffb,0x07ffffea,0x00fffffe,0xfffff500,
    0xfffff500,0x2fffffc4,0xffffb000,0x7ffffccf,0x3fffa002,0xfffff35f,
    0x7fff4005,0xfffff15f,0x7fec000b,0x3ffea7ff,0x7ffdc07f,0x3ffffa5f,
    0x3e000006,0x0003ffff,0x1ffffe60,0x21fffff5,0x36001ff9,0x0006ffff,
    0xfffff500,0x5bffffff,0xffffa801,0xffffffff,0xffffd803,0x7cc00006,
    0x2002ffff,0xf35ffffe,0x4005ffff,0xf55ffffe,0xfb80ffff,0x7fd45fff,
    0xffffffff,0x7c400adf,0x0005ffff,0xa9fffff6,0x5c07ffff,0x2005ffff,
    0xf05ffffe,0xddddffff,0xdddddddd,0x7ffffa8d,0x6ffffb80,0x13ffffe2,
    0xffffc800,0xfffff30f,0x7fff4005,0xfffff35f,0x7fff4005,0xfffff15f,
    0x7fe40009,0xfff50fff,0xfffb80ff,0x3ffffe5f,0x3e000005,0x0003ffff,
    0x1ffffe60,0x23fffff3,0x7f4007fb,0x00005fff,0x3fffff20,0xffffffff,
    0xffff501c,0xffff7dff,0xfffe801f,0x4c00005f,0x002fffff,0x4d7ffffa,
    0x002fffff,0x557ffffa,0x5c07ffff,0xfc85ffff,0xffffffff,0x101cffff,
    0x009fffff,0x7ffffe40,0x0fffff50,0x05ffffb8,0x3fffff50,0x3fffffe0,
    0xffffffff,0x7fd47fff,0x7e401fff,0x3fe65fff,0x20003fff,0x31fffffb,
    0x005fffff,0x9afffff4,0x002fffff,0x4d7ffffa,0x003fffff,0x3ffffee0,
    0x0fffff51,0x15ffffb8,0x809fffff,0xeeeeeee9,0x3fe3eeee,0x00003fff,
    0x11ffffe6,0x3a3fffff,0x404d644f,0x004fffff,0x7ffe4000,0xffffffff,
    0xffa82fff,0xffd0efff,0xfff80bff,0x400004ff,0x02fffff9,0x57ffffa0,
    0x02fffff9,0x57ffffa0,0x407ffffa,0x905ffffb,0xffffffff,0x05ffffff,
    0x07fffff3,0x7fffdc00,0xfffff51f,0x5ffffb80,0xdffffd00,0x7fffffc0,
    0xffffffff,0x7fd47fff,0x7f404fff,0x3fe64fff,0x20003fff,0x32fffffa,
    0x005fffff,0x9afffff4,0x002fffff,0x4d7ffffa,0x003fffff,0x3ffffea0,
    0x0fffff52,0x15ffffb8,0x809fffff,0xfffffffa,0x3fe4ffff,0x00003fff,
    0x21ffffe6,0xf8dfffff,0x3fffe62f,0xfffff11f,0x10000009,0xfffffffb,
    0x87ffffff,0x20fffffa,0x01fffff9,0x09fffff1,0xfff98000,0x3fa002ff,
    0xfff35fff,0x7f4005ff,0xfff55fff,0xfffb80ff,0x3ff6205f,0xffffffff,
    0x7fcc3fff,0x20003fff,0x52fffffa,0xb80fffff,0x9805ffff,0x202fffff,
    0xffffffff,0xffffffff,0x7fffd47f,0xfff501ff,0x7ffc45ff,0x2e0004ff,
    0xf31fffff,0x4005ffff,0xf35ffffe,0x4005ffff,0xf15ffffe,0x0009ffff,
    0x8fffffdc,0x407ffffa,0x3e5ffffb,0x5405ffff,0xffffffff,0x3ffe4fff,
    0x200003ff,0xc87ffff9,0xffcfffff,0x1bffff60,0x00bfffff,0x6d440000,
    0xffffffff,0x3fea3fff,0xfffd86ff,0x3fffe06f,0x4c00005f,0x002fffff,
    0x4d7ffffa,0x002fffff,0x557ffffa,0x5c07ffff,0x8805ffff,0xffffffda,
    0x223fffff,0x004fffff,0x3ffffee0,0x0fffff51,0x05ffffb8,0x07ffffd8,
    0x777ffffc,0xeeeeeeee,0x7ffd46ee,0x7d42ffff,0xff86ffff,0x20005fff,
    0x267ffffc,0x002fffff,0x4d7ffffa,0x002fffff,0xf97ffffa,0x0005ffff,
    0xa9fffff2,0x5c07ffff,0x3fa5ffff,0x7d406fff,0xffffffff,0x3fffe4ff,
    0xccccccef,0x1ccccccc,0x87ffff98,0xfffffff9,0xfffff935,0x6ffffe89,
    0x20000000,0xfffffeb9,0x3ffea6ff,0xffff986f,0xffffd02f,0xf980000d,
    0x2002ffff,0xf35ffffe,0x4005ffff,0xf55ffffe,0xfb80ffff,0x98005fff,
    0xffffffeb,0x7ffffc6f,0x3ff20005,0x3ffea7ff,0x7ffdc07f,0x7ffcc05f,
    0x99999cff,0x3fffff99,0x7ffd4000,0xfeffffff,0x81ffffff,0x006ffffe,
    0x9bffff60,0x02fffff8,0x53ffffa0,0x02fffff8,0x93ffffa0,0x006ffffe,
    0x9bffff60,0x407ffffa,0x3a5ffffb,0x4c07ffff,0xffeeeeee,0x3ffe4fff,
    0xffffffff,0xffffffff,0x7ffff982,0xffffff90,0xffffffdf,0xffffd81f,
    0x00000006,0xfffff910,0x3fffea1f,0xfffff906,0xdffffb01,0xff880000,
    0x3a002fff,0xff14ffff,0x74005fff,0xff54ffff,0xffb80fff,0x440005ff,
    0x0ffffffc,0x01bffffa,0x6ffffd80,0x01ffffea,0x80bffff7,0xfffffffc,
    0xffffffff,0x40003fff,0xfefffffa,0xffffffff,0xffffb05f,0x3fe0001f,
    0x3fe25fff,0x3a002fff,0xff14ffff,0x74005fff,0x3f64ffff,0x0000ffff,
    0x54bfffff,0x5c07ffff,0x3f25ffff,0x0001ffff,0x7c9fffff,0xffffffff,
    0xffffffff,0xfff982ff,0x3fffa07f,0xffffffff,0xfffc81ff,0xbdd8007f,
    0x00553300,0x97ffffd4,0x106ffffa,0x909fffff,0x000fffff,0xff8817bb,
    0x3a002fff,0xff14ffff,0x74005fff,0xff54ffff,0xffb80fff,0x154cc5ff,
    0xfffff500,0x7ffffec5,0xffff0000,0x7fffd4bf,0x7fffdc07,0x3fffe205,
    0xffffffff,0x3fffffff,0x7ffd4000,0xffffd8ef,0x2e04ffff,0x004fffff,
    0x4fffffb8,0x01fffffc,0x49fffff0,0x003fffff,0xb93ffffe,0x004fffff,
    0x4fffffb8,0x01ffffea,0x4cbffff7,0x006fffff,0x49fffff0,0xffffffff,
    0xffffffff,0xff982fff,0x3f6207ff,0xffffffff,0xfff502ff,0x7c4007ff,
    0xff72efff,0x7c001fff,0xff54ffff,0x7fdc0dff,0x7fd40fff,0x22003fff,
    0x3e2effff,0x2003ffff,0x3e4fffff,0x2003ffff,0xf54fffff,0xfb80ffff,
    0xfff75fff,0x7fc001ff,0x3fee4fff,0xb8004fff,0x2a4fffff,0x5c07ffff,
    0x3205ffff,0xffffffff,0xffffffff,0x40003fff,0x326ffffa,0x02efffff,
    0x7fffffcc,0x3ffe2000,0x7ffc1fff,0xff1006ff,0x7ffc7fff,0xff1006ff,
    0x7fcc7fff,0x2000ffff,0x1ffffff8,0x01ffffea,0xe8bffff9,0x002fffff,
    0x24fffff8,0xffffffff,0xffffffff,0xff982fff,0xffa807ff,0x0cffffff,
    0x3ffffe20,0x3ffee007,0xffff32ff,0x7ff4005f,0xffff54ff,0xffffe80d,
    0x7ffffc45,0x3ffee007,0x3fffe2ff,0xfff1006f,0x7fffc7ff,0xfff1006f,
    0x3ffea7ff,0x7ffe407f,0xfffff35f,0x7fff4005,0x3fffe64f,0x3e2000ff,
    0x2a1fffff,0x6407ffff,0xf105ffff,0xffffffff,0xffffffff,0x80007fff,
    0x886ffffa,0x3f20009a,0x000dffff,0x0bfffffb,0x07fffffb,0x5fffffb0,
    0x1fffffec,0x7ffffec0,0x7ffffe42,0xfffb000d,0xfff98bff,0x3ffa00ff,
    0x7ffdc5ff,0x2a001eff,0x804fffff,0x0002bccc,0x00159995,0x13557ff3,
    0x7fffe400,0xfff9803f,0x7fffc7ff,0xff9800ef,0x65402fff,0x64000acc,
    0x803fffff,0x47fffff9,0x03fffffd,0x2fffffd8,0x0ffffff6,0x3fffff60,
    0x1fffff32,0x2fffff40,0x01dfffff,0x5fffff30,0xdfffffc8,0xffffb000,
    0xffff98bf,0x3fffa00f,0xffff705f,0x999999bf,0xfffff999,0xffa80007,
    0x200006ff,0xeffffff8,0x3fffa601,0xffb80fff,0x2a01ffff,0x5c7fffff,
    0x01ffffff,0x1fffffea,0x3fffffe2,0x3ffa601e,0x7cc0ffff,0xf502ffff,
    0xfd0bffff,0x807fffff,0xffffffe9,0x7fffc404,0x7e4001ff,0x6405ffff,
    0xfe80007f,0x2a05ffff,0x44fffffe,0x0dfffffd,0x3ffffa20,0xffffc807,
    0x7ff4005f,0x3aa05fff,0x5c4fffff,0x01ffffff,0x1fffffea,0x3ffffff7,
    0x7ffffd40,0x3ffffe67,0xfffff502,0x7ffffecb,0x3ffa200d,0xfff887ff,
    0x2601efff,0x0ffffffe,0x17ffffcc,0x5fffffa8,0x0dfffff0,0x3ffffe20,
    0x7fd40003,0x400006ff,0xfffffffb,0xffdcaacd,0x203fffff,0xdfffffff,
    0xfffdbaab,0xfff83fff,0xaabdffff,0xffffffdb,0xfffff703,0xb9559bff,
    0x7fffffff,0xffffff10,0xfffffa81,0xffff985f,0xbabcefff,0xffffffed,
    0x76c404ff,0x4007ffff,0x4ffffedb,0x00013fa0,0x3fffffea,0xffdbabce,
    0x4c0fffff,0xcfffffff,0xfffca99a,0xdb805fff,0x004ffffe,0x3fffffea,
    0xffdbabce,0xf80fffff,0xbdffffff,0xffffdbaa,0xffff83ff,0xbaabdfff,
    0x3ffffffd,0x3fffffe2,0x7ffffd40,0x3fffe65f,0xa99acfff,0x5ffffffc,
    0xffffff70,0xfb9559bf,0x07ffffff,0x1ffffff1,0xffffffa8,0xfffffb85,
    0xffff1003,0x999999bf,0x59999999,0x01bfffea,0x3fffa000,0xffffffff,
    0x6fffffff,0x7ffffdc0,0xffffffff,0xb80fffff,0xffffffff,0xffffffff,
    0x3ffa00ff,0xffffffff,0xffffffff,0x3ffffa06,0xffffcdff,0xf505ffff,
    0xffffffff,0xffffffff,0x8003ffff,0x0001fffd,0x220dfff1,0xb00002ff,
    0xffffffff,0xffffffff,0x3ffee03f,0xffffffff,0x2fffffff,0x37ffc400,
    0x3ffff600,0xffffffff,0x701fffff,0xffffffff,0xffffffff,0xfff701ff,
    0xffffffff,0x1fffffff,0xffffffe8,0xffffffcd,0x7ffdc5ff,0xffffffff,
    0x2fffffff,0x3fffffa0,0xffffffff,0x206fffff,0xdffffffe,0xfffffffc,
    0xffffe85f,0xfff1000f,0xffffffff,0xffffffff,0x1bfffea9,0x7fdc0000,
    0xffffffff,0x03ffffff,0xffffff90,0xffffffff,0x7fe405ff,0xffffffff,
    0x02ffffff,0xffffffb8,0xffffffff,0x7fcc03ff,0xffffffff,0x05ffffbf,
    0x3fffffe6,0xffffffff,0x000dffff,0x000fffd8,0x20bfff30,0x400007fb,
    0xfffffffb,0xffffffff,0x7fffec02,0xffffffff,0x8003ffff,0x8005fff9,
    0xfffffffb,0xffffffff,0x7fffe402,0xffffffff,0x3202ffff,0xffffffff,
    0xffffffff,0xfffff982,0xfbffffff,0xffd85fff,0xffffffff,0x03ffffff,
    0xffffffb8,0xffffffff,0x7fcc03ff,0xffffffff,0x45ffffbf,0x04fffffa,
    0x3ffffe20,0xffffffff,0x54ffffff,0x000dffff,0x7fff4c00,0xffffffff,
    0x7d4001ef,0xffffffff,0x800effff,0xfffffffa,0x0effffff,0x3fffa600,
    0xffffffff,0xff5001ef,0x3fffffff,0x80bffff1,0xffffffd8,0xffffffff,
    0xbbcc801d,0x805fffec,0xffdcacc9,0x0bfb02ff,0xffd30000,0xffffffff,
    0x3ee005df,0xffffffff,0x403fffff,0xffdcacc9,0xd30002ff,0xffffffff,
    0x2005dfff,0xfffffffa,0x0effffff,0xfffffa80,0xffffffff,0x3ffea00e,
    0x89ffffff,0xf705ffff,0xffffffff,0x007fffff,0x7fffff4c,0xefffffff,
    0xffff5001,0xf13fffff,0xffe8bfff,0x22001fff,0xffffffff,0xffffffff,
    0xfff54fff,0x000000df,0xfffffdb7,0x40007bdf,0xffffffd8,0x4003efff,
    0xffffffd8,0x0003efff,0x3ffffb6e,0x8003deff,0xceffffda,0x0bffff10,
    0x3fffae20,0x0acdffff,0x3ffffe00,0xf5005fff,0x5fffffff,0x00017fc0,
    0xffffb700,0x0005dfff,0xffffff91,0x0017dfff,0xfffffff5,0xb700005f,
    0xdfffffff,0xffb10005,0xdfffffff,0xffd88007,0xefffffff,0xfffb5003,
    0x3fe219df,0x3f2205ff,0xffffffff,0xb70000be,0xdffffffd,0xfb50007b,
    0x2219dfff,0x3e65ffff,0x4005ffff,0xfffffff8,0xffffffff,0x9934ffff,
    0x00000799,0x00355300,0x2aaa6000,0x800009aa,0x09aaaaa9,0xaa980000,
    0x54c00001,0x22000000,0x0000aaa9,0x5ef77764,0x3bb66000,0xa8802cee,
    0x10000000,0x00003555,0x09aaaa98,0x7776cc00,0x000002ce,0x00035551,
    0x555554c0,0xa9800009,0x0009aaaa,0x00002a60,0x26aaaa60,0xa9800000,
    0x4c00001a,0x0000000a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x33220000,
    0x24cccccc,0xccccccc8,0xaabccccc,0x2aa0000a,0x0006aa01,0x4c1bddd1,
    0x88005eee,0xccccccba,0x0ccccccc,0x00000000,0x09ddddb0,0x66666440,
    0x3332a001,0x0aa63ccc,0x20002a98,0x0001cccc,0x99999991,0x98000599,
    0x002eeeee,0x33333220,0x33326001,0x332a002c,0xc88002cc,0xcccccccc,
    0xddd903cc,0x332200bd,0xcccccccc,0x775c004c,0x1f77643e,0x3bbb2000,
    0x220000de,0x000ccccc,0x3bbbba20,0x3bb62003,0x37bba20d,0xddd70000,
    0x3ffe61bd,0x227fffff,0xffffffff,0xffffffff,0xfe8003ef,0x007ff306,
    0x22bfff70,0x2002fffe,0xffffffd9,0xffffffff,0xffb001ff,0x000007ff,
    0x03bfffea,0xfffff880,0xffff3003,0x7fd43fff,0x000ffd02,0x000bfff2,
    0xffffff88,0x80004fff,0x006ffffa,0x3ffffe20,0x3ffee006,0xfff3005f,
    0x98001fff,0xffffffff,0xfd105fff,0xf1003fff,0xffffffff,0xe8800fff,
    0xfff51fff,0xff88000d,0x40001fff,0x06fffffc,0x3fffee00,0xfffb8005,
    0x00bfffa5,0x2fffff80,0x3fffffe6,0x3ffe27ff,0xffffffff,0xffffffff,
    0x3ff2000e,0x007fec42,0xdbfffe80,0x32004fff,0xffffffff,0xffffffff,
    0xffb001ff,0x000007ff,0x003bfffa,0x7fffff10,0xfffff300,0xeff883ff,
    0x002ffd40,0x000f7fd4,0x33333220,0x0002cccc,0x05ffff70,0x3fffe200,
    0xff7003ff,0xfd100bff,0x00bfffff,0xffffff98,0x205fffff,0x805ffff8,
    0xfffffff8,0x8007ffff,0xffaffff9,0x640001ff,0x0001ffff,0x7fffffd4,
    0xfff0004f,0x7ec000df,0x5fffdbff,0x3ffee000,0x7fffcc3f,0x3e27ffff,
    0xffffffff,0xffffffff,0x22006fff,0xffedffff,0x3e20005f,0x06ffffff,
    0x3ffffea0,0xffffffff,0x01ffffff,0x07ffffb0,0xfff30000,0xff10003f,
    0xf8807fff,0x01ffffff,0xffbdfff9,0x990003ff,0x00000009,0x7fe40000,
    0xff10006f,0x001fffff,0x00bffff7,0xffd9fffb,0x774c007f,0xeeeeeeee,
    0x7ffcc04e,0x7ffc401f,0xffffffff,0xfff90007,0x0007ffff,0x02ffff88,
    0x7fffc400,0x001ffffa,0x0077ffdc,0xfffff100,0x40001fff,0xc883fffe,
    0x7ffffccc,0x3fffffe2,0xffffffff,0x2fffffff,0x3fffea00,0x0000efff,
    0x7fffffd4,0xffff1001,0xffffffff,0xffffffff,0x3fff6003,0xd800003f,
    0x10001fff,0x407fffff,0xffffffe8,0x7ffff401,0xf3003fff,0x009ff05f,
    0x3e0bfe60,0x6400004f,0x88001fff,0x5fffffff,0x5ffffb80,0x8b7ffd40,
    0x0001ffff,0x3fe60000,0x0000005f,0x3ffffa00,0xfb80006f,0xd80002ff,
    0xfff53fff,0x7ff4001d,0xfa80000e,0x002fffff,0x013ffea0,0x227ffff8,
    0x99bfffff,0xfc999999,0x004fffff,0x1f7ffec4,0xddd90000,0x7fdc007d,
    0xffffffff,0xffffcaaf,0xffb000ab,0x800007ff,0x0002eee8,0x0fffffe2,
    0x7fffff44,0xffd7002f,0x7cc003bf,0x004ff82f,0xff05ff30,0xd9000009,
    0xff10009d,0x05ffffff,0x05ffffb8,0xa83fffe2,0x00006fff,0x6f754000,
    0x00000000,0x1ddddd10,0x7ddb0000,0xddd50000,0x03eeeb89,0x001bdd30,
    0x77776400,0x77640004,0x7fffc004,0x3ffffe27,0xffff1002,0x004000df,
    0x80000000,0xfffffffc,0x3fea7fff,0x000000ff,0x00000000,0x1fffffc4,
    0xffffffe8,0x00010002,0x3b60bba2,0x5dd10003,0x00007db0,0xff100000,
    0x0dffffff,0x05ffffb8,0x00000000,0xcc880000,0x2e001ccc,0x0003cccc,
    0x00000000,0x00000000,0x00000000,0xff000000,0x7ffc4fff,0x3f6002ff,
    0x0000ffff,0x33322000,0x32e001cc,0x3ffa3ccc,0xffffffff,0x03fffea7,
    0x00000000,0x9bffb953,0x3e200135,0xfd83ffff,0x002fffff,0x33322000,
    0x32e001cc,0x99913ccc,0x65c00399,0x26003ccc,0xacdffdca,0xfff10009,
    0x09ffffff,0x02ffffdc,0x7e400000,0x7ffdc7ff,0x66664c07,0xfffff30c,
    0x7fff4005,0x9999915f,0x6664c003,0x9999912c,0x79999999,0x30001555,
    0x10199999,0x00399999,0x8966664c,0xcccccccc,0xaaabcccc,0x33326000,
    0xfff800cc,0x3fffe27f,0x3fee002f,0x66441fff,0xcccccccc,0xcccccccc,
    0xffff30cc,0x7ff4005f,0x3fffe5ff,0x7fffffff,0x103fffea,0x99999999,
    0x99999999,0x70019999,0xffffffff,0x1005ffff,0xd87fffff,0x02ffffff,
    0xccccc980,0xfffff980,0x3fffa002,0xfffff35f,0x7fff4005,0xfffb805f,
    0xffffffff,0xfff8802f,0x1fffffff,0x2bffff70,0x01ccccc8,0x0f3332a0,
    0xf71ffff2,0xffa80fff,0xfff30fff,0x7f4005ff,0xfff15fff,0x7dc00dff,
    0xfff15fff,0xffffffff,0x7dffffff,0x7fffd400,0xffff880f,0x3fee006f,
    0xffff15ff,0xffffffff,0x07dfffff,0x1fffff50,0x4fffff00,0x02fffff8,
    0x3fffff20,0x7ffffcc0,0xffffffff,0x1fffffff,0x05fffff3,0x2fffff40,
    0xfffffffd,0x7fd4ffff,0x7ffcc0ff,0xffffffff,0xffffffff,0x3ffa201f,
    0xffffffff,0x200dffff,0x23fffff8,0x3ffffffc,0xffff5000,0xffff301f,
    0x7ff4005f,0xffff35ff,0x7ff4005f,0x3fa205ff,0xffffffff,0x00dfffff,
    0x3fffffe2,0xf705ffff,0x3fe2bfff,0x36002fff,0xfc86ffff,0x7ffdc7ff,
    0x7fffd407,0xfffff30f,0x7fff4005,0xfffff15f,0x3fee007f,0xffff15ff,
    0xffffffff,0xdfffffff,0xffff5001,0xffff101f,0x3ee007ff,0xfff15fff,
    0xffffffff,0xffffffff,0x7ffd401d,0xfff800ff,0x3fffe27f,0xffd1002f,
    0xfff30fff,0xffffffff,0xffffffff,0x3fffe63f,0x3ffa002f,0x3fff65ff,
    0x7fffffff,0x303fffea,0xffffffff,0xffffffff,0x2a03ffff,0xffffffff,
    0xffffffff,0xfff102ff,0x3ffee7ff,0x20003fff,0x80fffffa,0x02fffff9,
    0x57ffffa0,0x02fffff9,0x17ffffa0,0x7fffffd4,0xffffffff,0xf102ffff,
    0xfffbffff,0xfff705ff,0x3fffe2bf,0x3ff6002f,0xfffc86ff,0x03fffdc7,
    0x43ffffea,0x02fffff9,0x57ffffa0,0xfffffff8,0xffffb800,0xffffff15,
    0xffffffff,0x0dffffff,0x1fffff50,0xffffff10,0xfff7001f,0x3fffe2bf,
    0xffffffff,0xffffffff,0x3fffea06,0xffff800f,0x3ffffe27,0x7ff54402,
    0xff984fff,0xffffffff,0xffffffff,0xffff31ff,0x7ff4005f,0x3ffea5ff,
    0x7fffffff,0x303fffea,0xffffffff,0xffffffff,0xf103ffff,0xffffffff,
    0xffffffdd,0xff103fff,0xfff77fff,0x0001ffff,0x07ffffd4,0x17ffffcc,
    0xbffffd00,0x0bffffe6,0x5ffffe80,0xffffff88,0xfffeefff,0x81ffffff,
    0xf8fffff8,0x5c0fffff,0xff15ffff,0x6c005fff,0xca86ffff,0x6664c4cc,
    0x7fffd404,0xfffff30f,0x7fff4005,0xfffff15f,0xff700bff,0x3ffe2bff,
    0xffffffff,0xffffffff,0x7fd402ff,0xff880fff,0x805fffff,0xf15ffffb,
    0xffffffff,0xffffffff,0x2a05ffff,0x800fffff,0x3e27ffff,0xeeeeffff,
    0xfffffffe,0xf980ffff,0xffffffff,0xffffffff,0xfff31fff,0x7f4005ff,
    0x7fec5fff,0x7fffffff,0x303fffea,0xffffffff,0xffffffff,0xfd03ffff,
    0x039fffff,0xffffff93,0xfffff10b,0xfffffffb,0x7d40009f,0xf980ffff,
    0x2002ffff,0xf35ffffe,0x4005ffff,0xe85ffffe,0x1cffffff,0xfffffc98,
    0xffff885f,0x9fffff77,0x15ffffb8,0x005fffff,0x037fffec,0x7fd40000,
    0xfff30fff,0x7f4005ff,0xfff15fff,0x805fffff,0xf15ffffb,0x3337ffff,
    0xff933333,0xa809ffff,0x880fffff,0xffffffff,0x7fffdc02,0x7fffff15,
    0x33333333,0x9ffffff9,0x3ffffea0,0x7ffff800,0x3fffffe2,0xffffffff,
    0x01ffffff,0x37fffff3,0x33333333,0x7cc33333,0x2002ffff,0x4c5ffffe,
    0xffffffff,0x3fffea7f,0x7ffffcc0,0x9999999b,0x81999999,0x2ffffffb,
    0xfffff980,0x7fffc42f,0xffffffff,0x50001fff,0x301fffff,0x005fffff,
    0x9afffff4,0x002fffff,0x717ffffa,0x05ffffff,0xffffff30,0x7ffff885,
    0x87fffffa,0xf15ffffb,0x4005ffff,0x006ffffd,0xfffa8000,0xffff30ff,
    0x7ff4005f,0xffff15ff,0xb80dffff,0xff15ffff,0x22005fff,0x406fffff,
    0x80fffffa,0xfffffff8,0x7ffdc06f,0xfffff15f,0x3ffe2005,0xfff506ff,
    0xfff001ff,0x7fffc4ff,0xffffffff,0x0dffffff,0x3ffffe60,0xff980002,
    0x3a002fff,0xd885ffff,0x7fffffff,0x303fffea,0x005fffff,0x3fffe200,
    0x3e6001ff,0x220fffff,0xffffffff,0x6fffffff,0xffff5000,0xffff301f,
    0x7ff4005f,0xffff35ff,0x7ff4005f,0x3ffe25ff,0x26001fff,0x20ffffff,
    0x267ffff8,0x2e6fffff,0xff15ffff,0x6c005fff,0x0006ffff,0xffffa800,
    0xfffff30f,0x7fff4005,0xfffff15f,0x5c09ffff,0xff15ffff,0x6c005fff,
    0x200fffff,0x80fffffa,0xfffffff8,0x3fee04ff,0xffff15ff,0x7fec005f,
    0xffa80fff,0xff800fff,0x3ffe27ff,0xffffffff,0x00bdffff,0x2fffff98,
    0xfff98000,0x3fa002ff,0x2e605fff,0x2a7ffffd,0x7cc0ffff,0x0002ffff,
    0xbfffff50,0xffff9000,0x7fffc47f,0xfdbfffff,0x8004ffff,0x80fffffa,
    0x02fffff9,0x57ffffa0,0x02fffff9,0x97ffffa0,0x05fffffa,0xfffffc80,
    0x1ffffe23,0x27fffff9,0xf15ffffb,0x4005ffff,0xf56ffffd,0xfb80ffff,
    0xffa85fff,0xfff30fff,0x7f4005ff,0xfff15fff,0x3fffffff,0x57fffee0,
    0x02fffff8,0x3ffffee0,0x3fffea01,0xffff880f,0x01ffffff,0x22bffff7,
    0x002fffff,0x07ffffee,0x03ffffea,0x89ffffe0,0xcbcfffff,0xeffffffd,
    0xffff3000,0xf300005f,0x4005ffff,0x005ffffe,0x7d4ffff9,0x7fcc0fff,
    0x00002fff,0x03fffffb,0xfffff100,0x7ffffc49,0xfff34fff,0xa8003fff,
    0x980fffff,0x002fffff,0x4d7ffffa,0x002fffff,0xd97ffffa,0x001fffff,
    0x4fffff88,0x11ffffe2,0x71ffffff,0x3e2bffff,0x2002ffff,0xf56ffffd,
    0xfb80ffff,0xffa85fff,0xfff30fff,0x7f4005ff,0xfff15fff,0xbfffffff,
    0x57fffee0,0x02fffff8,0x3fffff20,0x3fffea00,0xffff880f,0x05ffffff,
    0x22bffff7,0x002fffff,0x03fffff2,0x03ffffea,0x89ffffe0,0xc82fffff,
    0x01ffffff,0x2fffff98,0xfff98000,0x3fa002ff,0xf9005fff,0x7ffd4fff,
    0x7fffcc0f,0xff00002f,0x4000dfff,0x226ffffe,0x4fffffff,0x37ffffe4,
    0x3fffea00,0xffff980f,0x3ffa002f,0xffff35ff,0x7ff4005f,0x3fffe5ff,
    0x3fa0006f,0x3fe26fff,0xfffa87ff,0xffffbcff,0x5fffff15,0x7fffec00,
    0x0fffff56,0x85ffffb8,0x30fffffa,0x005fffff,0x8afffff4,0xffdfffff,
    0xffb82fff,0xffff15ff,0x3fa2005f,0x7d407fff,0xf880ffff,0xfffdffff,
    0xfffb82ff,0xfffff15f,0x3ffa2005,0xfff507ff,0xfff001ff,0x7fffc4ff,
    0xffff902f,0xff9805ff,0x80002fff,0x02fffff9,0x17ffffa0,0x53fffe40,
    0xf981ffff,0x0002ffff,0x5fffff88,0x3fff6000,0x3fffe27f,0xfff884ff,
    0x2a003fff,0x980fffff,0x002fffff,0x4d7ffffa,0x002fffff,0x457ffffa,
    0x005fffff,0x9fffff60,0xb07ffff8,0xffbfffff,0x3ffe2bff,0x3f6002ff,
    0xfff56fff,0xfffb80ff,0xffffa85f,0xfffff30f,0x7fff4005,0xfffff15f,
    0x1ffffff1,0x15ffffb8,0x805fffff,0xfffffea8,0x7fffd404,0xffff880f,
    0xffffff8f,0xaffffdc0,0x02fffff8,0x7ffff544,0xffff504f,0xffff001f,
    0x7ffffc4f,0x3ffffa02,0x3fe600ff,0xeeeeefff,0xeeeeeeee,0x3fffe60e,
    0x3ffa002f,0xff9005ff,0x7fffd4ff,0x7ffffcc0,0xeeeeeeee,0x20eeeeee,
    0x04fffff8,0x3ffff200,0xfffff10f,0x7fffdc09,0xff5001ff,0xff301fff,
    0x74005fff,0xff35ffff,0x74005fff,0xff15ffff,0x40009fff,0x10fffffc,
    0x220fffff,0xffffffff,0xffff15ff,0xdddddddf,0xffffdddd,0x3fffeadf,
    0x7fffdc07,0xfffffa85,0x5fffff30,0x7ffff400,0x2fffff15,0x44fffffb,
    0xf15ffffb,0xddddffff,0xfffffffd,0xa801ffff,0x880fffff,0xff77ffff,
    0xffb89fff,0xffff15ff,0xffdddddf,0xffffffff,0x3ffea01f,0xfff800ff,
    0x3fffe27f,0x3ffe202f,0x3e606fff,0xffffffff,0xffffffff,0x3ffe60ff,
    0x3fa002ff,0xf9005fff,0x7ffd4fff,0x7fffcc0f,0xffffffff,0x0fffffff,
    0x0fffffe6,0xffffb800,0xfffff11f,0xffffe807,0xfff5006f,0xfff301ff,
    0x7f4005ff,0xfff35fff,0x7f4005ff,0xfff35fff,0x5c0007ff,0xf11fffff,
    0x7dc0ffff,0xffffffff,0xffffff15,0xffffffff,0xdfffffff,0x01ffffea,
    0x50bffff7,0x261fffff,0x002fffff,0x457ffffa,0x3fa7ffff,0x3ee1ffff,
    0xfff15fff,0xffffffff,0xffffffff,0xfff5003f,0xfff101ff,0x7ffff4ff,
    0x3fffee1f,0xffffff15,0xffffffff,0x03ffffff,0x07ffffd4,0x13ffffc0,
    0x805fffff,0x3ffffffb,0xffffff30,0xffffffff,0x4c1fffff,0x002fffff,
    0x017ffffa,0xf53fffe4,0xff981fff,0xffffffff,0xffffffff,0x3fffe60f,
    0x3ea0003f,0xff12ffff,0xfa807fff,0x803fffff,0x80fffffa,0x02fffff9,
    0x57ffffa0,0x02fffff9,0x57ffffa0,0x03fffff9,0x3fffea00,0xfffff12f,
    0xfffffe80,0xfff15fff,0xffffffff,0xffffffff,0x3ffeadff,0x7ffdc07f,
    0xffffa85f,0xfffff30f,0x7fff4005,0xfffff15f,0x37ffffcc,0x22bffff7,
    0xffffffff,0xffffffff,0xf5000dff,0xf101ffff,0x7fccffff,0x3fee6fff,
    0xffff15ff,0xffffffff,0x1bffffff,0xfffffa80,0x7ffff800,0x0bffffe2,
    0x3fffff60,0xffff980f,0xffffffff,0x0fffffff,0x0bffffe6,0x5ffffe80,
    0x4ffff900,0x4c0ffffa,0xffffffff,0xffffffff,0x3fe20fff,0x20004fff,
    0x11fffffb,0x007fffff,0x1ffffffb,0xfffffa80,0xfffff980,0x3fffa002,
    0xfffff35f,0x7fff4005,0xfffff15f,0x7fdc0009,0xfff11fff,0xfff980ff,
    0xf15fffff,0xffffffff,0xffffffff,0x3eadffff,0x7dc07fff,0xffa85fff,
    0xfff30fff,0x7f4005ff,0xfff15fff,0xffffc8ff,0xbffff73f,0x3fffffe2,
    0xffffffff,0x54000bdf,0x880fffff,0x7e47ffff,0xff73ffff,0x3ffe2bff,
    0xffffffff,0x00bdffff,0x1fffff50,0x4fffff00,0x02fffff8,0xffffff88,
    0xfffff985,0xeeeeeeee,0x20eeeeee,0x02fffff9,0x17ffffa0,0x53fffe40,
    0xf981ffff,0xeeeeffff,0xeeeeeeee,0x7fffc0ee,0x3f20005f,0x3fe27fff,
    0xf8803fff,0x405fffff,0x80fffffa,0x02fffff9,0x57ffffa0,0x02fffff9,
    0x97ffffa0,0x005fffff,0x9fffff20,0x807ffff8,0xfffffffd,0xffffff15,
    0xffffffff,0xdfffffff,0x01ffffea,0x50bffff7,0x221fffff,0x002fffff,
    0x453ffffa,0x7c47ffff,0xfb8fffff,0xfff15fff,0xffb979ff,0x001dffff,
    0x1fffff50,0x8fffff10,0x8ffffff8,0xf15ffffb,0xb979ffff,0x1dffffff,
    0x7fffd400,0xffff800f,0x3ffffe27,0xffff5002,0xfff985ff,0x880002ff,
    0x002fffff,0x013ffffa,0xf53fffe4,0xff981fff,0x00002fff,0x00dffffd,
    0x37fffec0,0x07fffff1,0x3fffff20,0x3ffea02f,0xfff880ff,0x3fa002ff,
    0xfff14fff,0x7f4005ff,0x3ffa4fff,0x360006ff,0x3e26ffff,0xf8807fff,
    0x15ffffff,0x005fffff,0xab7fffec,0x5c07ffff,0xfa85ffff,0xff10ffff,
    0x74005fff,0xff14ffff,0xfff50fff,0xffff79ff,0x3ffffe2b,0xfffffc82,
    0x7fd4001f,0xff880fff,0xfffa87ff,0xffffbcff,0x5fffff15,0xffffff90,
    0x3ffea003,0xfff800ff,0x3fffe27f,0x3ff6002f,0x3e60ffff,0x0002ffff,
    0x2fffff88,0x3ffffa00,0xffff9004,0x207fffd4,0x02fffff9,0xffffb000,
    0x3fe0001f,0x3fe25fff,0xf1003fff,0x01ffffff,0x03ffffea,0x0bffffe2,
    0x4ffffe80,0x05fffff1,0x27ffff40,0x01fffffb,0x3ffffe00,0x1ffffe25,
    0x7ffffdc0,0xfffff15f,0x7ffec005,0xfffff56f,0x5ffffb80,0x0fffffa8,
    0x00fffffe,0x14fffff8,0x360fffff,0xffdfffff,0xffff15ff,0x3fff205f,
    0x2a002fff,0x880fffff,0xfb07ffff,0xfffbffff,0x3fffe2bf,0xffff902f,
    0xff5005ff,0xff001fff,0x7ffc4fff,0x3e2002ff,0x264fffff,0x002fffff,
    0x7fffff00,0x7ffffc00,0xffff9004,0x207fffd4,0x02fffff9,0xffff7000,
    0xff70009f,0x7fc49fff,0x2a003fff,0x05ffffff,0x01fffff5,0x00fffffe,
    0x24fffff8,0x003fffff,0xb93ffffe,0x004fffff,0x4fffffb8,0x01ffffe2,
    0x5fffffe8,0x05fffff1,0xb7fffec0,0x407ffffa,0xa85ffffb,0x3e0fffff,
    0x1006ffff,0x227fffff,0xf107ffff,0xffffffff,0x3fffe2bf,0x3fffa02f,
    0xf5000fff,0xf101ffff,0x3e20ffff,0xffffffff,0xfffff15f,0x7ffff405,
    0x7fd400ff,0xff800fff,0x3ffe27ff,0x7d4002ff,0xf31fffff,0x0005ffff,
    0x1bffffe0,0x7ffffc40,0xffff9003,0x207fffd4,0x02fffff9,0xffff3000,
    0x7c4001ff,0x221fffff,0x003fffff,0x7ffffff4,0xfffffa82,0xdfffff00,
    0x3fffe200,0x3ffffe3f,0xffff1006,0x7fffcc7f,0x3e2000ff,0x221fffff,
    0x2007ffff,0x15fffff9,0x005fffff,0xab7fffec,0x6407ffff,0xfa85ffff,
    0x3f60ffff,0xd803ffff,0xf12fffff,0x7dc0ffff,0xffffffff,0x5fffff15,
    0x7ffffc40,0xfff5006f,0xfff101ff,0x7ffdc0ff,0x15ffffff,0x405fffff,
    0x6ffffff8,0x7ffffd40,0x7ffff800,0x15e66400,0xffff9800,0xfb00002f,
    0xb007ffff,0x005fffff,0xfa9ffff2,0x7fcc0fff,0x00002fff,0x37fffff2,
    0xffffb000,0x999000bf,0xf5000057,0x3601ffff,0x803fffff,0x22fffffd,
    0x03fffffd,0x2fffffd8,0x6fffffe4,0xffffb000,0x999000bf,0x7fc40057,
    0x36002fff,0xff36ffff,0x7f401fff,0xffa85fff,0x3fee0fff,0x2a01ffff,
    0x227fffff,0x7407ffff,0xffffffff,0x5fffff15,0xfffffb80,0xfffa803f,
    0xfff880ff,0x7fff407f,0xf15fffff,0xb805ffff,0x03ffffff,0x03ffffea,
    0x01ffffe0,0x5ffffff0,0xffff9800,0xf700002f,0x403fffff,0x07fffffa,
    0xa9ffff20,0x7cc0ffff,0x0002ffff,0x3ffffe20,0x3fa601ef,0x000fffff,
    0x2ffffff8,0x3ffea000,0xfff700ff,0x7d403fff,0x7dc7ffff,0x201fffff,
    0x87fffffa,0xeffffff8,0x3fffa601,0xf8000fff,0x802fffff,0x02fffff8,
    0x5bffff60,0x02fffff9,0x0bfffff5,0x81fffff5,0xdfffffff,0xfffdbaab,
    0x3fe23fff,0x7fcc07ff,0x15ffffff,0x005fffff,0x1ffffffb,0xfffffa80,
    0x7ffff880,0x7ffffcc0,0xfff15fff,0xffb005ff,0x2a01ffff,0x800fffff,
    0x4007ffff,0x0fffffdd,0x3fffe600,0x3e00002f,0xbdffffff,0xffffdbaa,
    0x3f2003ff,0x3ffea7ff,0x7fffcc0f,0x5c00002f,0xdfffffff,0xfffdcaac,
    0x0003ffff,0x1fffffbb,0x3ffea000,0x3ffe00ff,0xaabdffff,0xffffffdb,
    0xffffff83,0xfdbaabdf,0x703fffff,0xbfffffff,0xfffb9559,0x0007ffff,
    0x3fffff76,0x7fffc400,0x3ff6002f,0xffff16ff,0xfffa81ff,0xffa85fff,
    0x7fdc0fff,0xffffffff,0xffffffff,0x1ffffe20,0x3fffff60,0xffff15ff,
    0xfff1005f,0xfa80bfff,0xf880ffff,0xfd807fff,0x15ffffff,0x005fffff,
    0xbffffff1,0x3ffffea0,0x7d555440,0x20007fff,0x2002fffc,0xcdfffff9,
    0xcccccccc,0x5c3ccccc,0xffffffff,0xffffffff,0x3f2000ff,0x3ffea7ff,
    0x7fffcc0f,0xccccccdf,0xcccccccc,0xfffffd03,0xffffffff,0x00dfffff,
    0x0bfff200,0x7fffd400,0x3ffee00f,0xffffffff,0x0fffffff,0xffffffb8,
    0xffffffff,0x3a00ffff,0xffffffff,0xffffffff,0x900006ff,0xf8805fff,
    0x2002ffff,0x3a6ffffd,0xcdffffff,0xffffffff,0xfffffa85,0xfffffc80,
    0xffffffff,0x7fc42fff,0xff8807ff,0xf15fffff,0x2005ffff,0x2ffffffa,
    0x3ffffea0,0x7ffff880,0xfffff880,0xffff15ff,0x3fea005f,0xfa82ffff,
    0x7cc0ffff,0x7fffffff,0x3fff2000,0x3ffe6001,0xffffffff,0xffffffff,
    0xffffc85f,0xffffffff,0x4002ffff,0x3ea7fffc,0x7fcc0fff,0xffffffff,
    0xffffffff,0x3fee05ff,0xffffffff,0x03ffffff,0x3fff2000,0xfff50001,
    0xffc801ff,0xffffffff,0x02ffffff,0x3ffffff2,0xffffffff,0xffb802ff,
    0xffffffff,0x03ffffff,0x3fff2000,0x7fffc401,0x3ff6002f,0x3ffe66ff,
    0xffffffff,0xa85ffffb,0x500fffff,0xffffffff,0x01dfffff,0x00fffff1,
    0x3fffffee,0x5fffff15,0x7fffec00,0xfff500ff,0xfff101ff,0x3fee00ff,
    0xff15ffff,0x6c005fff,0x40ffffff,0x40fffffa,0xfffffff9,0xbbcb807f,
    0x006fffec,0x7fffffcc,0xffffffff,0x05ffffff,0xfffffff5,0x1dffffff,
    0xffff9000,0x207fffd4,0xfffffff9,0xffffffff,0x405fffff,0xffffffe9,
    0x1effffff,0x97797000,0x000dfffd,0x07ffffd4,0x7ffffd40,0xffffffff,
    0xfffa800e,0xffffffff,0x26000eff,0xfffffffe,0x01efffff,0xd9779700,
    0xf100dfff,0x4005ffff,0x546ffffd,0xffffffff,0x5ffff89f,0x0fffffa8,
    0x3ffff620,0x03efffff,0x01ffffe2,0x5fffffe8,0x05fffff1,0x7ffffc40,
    0xffff504f,0xffff101f,0x7fff400f,0xffff15ff,0x7fc4005f,0x7d44ffff,
    0x7cc0ffff,0x7fffffff,0xfffffe80,0x4c000eff,0xffffffff,0xffffffff,
    0x2205ffff,0xfffffffd,0x20003eff,0x3ea7fffc,0x7fcc0fff,0xffffffff,
    0xffffffff,0xdb7005ff,0xbdffffff,0xffe80007,0x00efffff,0x3fffea00,
    0xffb1000f,0xdfffffff,0xffd88007,0xefffffff,0x3b6e0003,0xdeffffff,
    0x7ff40003,0x00efffff,0x2fffff88,0x3ffff600,0xffffda86,0xffff10ce,
    0xfffff50b,0x2aaa6001,0xf88009aa,0x26007fff,0xf15fffff,0x8005ffff,
    0x1ffffffa,0x0fffffa8,0x07ffff88,0x3ffffe60,0x5fffff15,0xffffa800,
    0x3ffea1ff,0x7774c0ff,0x806eeeee,0x1cdeeedb,0xffff3000,0xffffffff,
    0xffffffff,0x2aaa600b,0x800009aa,0x3264ccca,0xfff984cc,0xffffffff,
    0xffffffff,0x5530005f,0xdb800003,0x001cdeee,0xfffffa80,0xaaa98000,
    0x800009aa,0x09aaaaa9,0xaa980000,0x6dc00001,0x001cdeee,0x0bffffe2,
    0x6ffffd80,0x000054c0,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x33333320,
    0x004ccccc,0xd90fbbb2,0x332005dd,0x20001ccc,0x7643eeeb,0xc80003ee,
    0x000deeee,0x277776c4,0xcccc8800,0xddd5002c,0x200003dd,0x01eeeeea,
    0x82dda800,0xd30006eb,0xeeea8bdd,0x3a600004,0x0002eeee,0x66405990,
    0x26200002,0x20000999,0x64c4ccc9,0x80000ccc,0x001ccccc,0x00333330,
    0x77777440,0x3aa00003,0x0001eeee,0xd80bdb88,0x3bbae03e,0x01f77643,
    0x1ccccb80,0x37fffd40,0x3ffffe20,0x07ffffff,0x47fffe20,0x7005fffc,
    0x01dfffff,0x3fffa200,0x00dfff52,0xfffff100,0x3fe60003,0xc8000fff,
    0x2005ffff,0x003ffffe,0x3ffffa00,0xfff80003,0xffaadfff,0x3ff60007,
    0x3ffff33f,0x7fe40000,0x200004ff,0x7ff507fd,0x7fdc0000,0x2e0004ff,
    0x7fd47fff,0x640000ff,0x006fffff,0x07ffff88,0x3ffff200,0xfc800005,
    0x40005fff,0xbdfffffa,0x2203ffb9,0xff51fffe,0x3ee000df,0x200fffff,
    0x406ffffa,0xfffffff8,0x4007ffff,0xffaefffa,0xff9800ff,0x005fffff,
    0x27fffe60,0x0001ffff,0x02ffffc8,0x7fffcc00,0x7ffc4004,0x3fea006f,
    0x200003ff,0x004ffff9,0xfffffa80,0x05ffffff,0x3fffe200,0x003fffea,
    0x3fffe200,0x7dc00005,0x3ffa60cf,0x3ee00001,0x20004fff,0x7d47fffb,
    0x20000fff,0xfffffffa,0x7ffc4004,0xff10007f,0x00000dff,0x007fffec,
    0xfffffb00,0x05ffffff,0xfaffff98,0x98001fff,0x5fffffff,0x1bfffea0,
    0xffffff10,0x00ffffff,0xffffff90,0xffd1005f,0x05ffff5f,0x7fffdc00,
    0x80004fff,0x002ffff8,0x1ffff500,0x77ffdc00,0x3fffa000,0x7ec00004,
    0x900005ff,0xfffb77ff,0x80003fff,0xfffffffa,0x7e400005,0x800005ff,
    0xffefffe8,0x400004ff,0x004ffffb,0x51fffee0,0x0001ffff,0x3ebfffe2,
    0x22001fff,0x0007ffff,0x001dfff7,0xfffd8000,0x3bfe0004,0xfffffecb,
    0xffff9006,0x20007fff,0xffebfffe,0xffff503f,0x0000000d,0xfffffd10,
    0x3fff200b,0x01ffff34,0x7ffff400,0xf700006f,0x800007ff,0x2004fffa,
    0x2000efff,0x0005fff9,0x02fffc40,0x509fd000,0x000017db,0x3ffffff2,
    0x3e200000,0x00000eff,0xfffffd30,0x700000bf,0x0009ffff,0x2a377754,
    0x0000eeee,0x3ea7fffb,0xf1000eff,0x2000ffff,0x0000effe,0x1fffd000,
    0x83ff3000,0x4002eec9,0x06fffffe,0x29fff900,0xa80ffff9,0x0006ffff,
    0xdd300000,0xd3001bdd,0xeeeb8bdd,0x3ba20004,0x00000eee,0x00007ddb,
    0x4017bae0,0x4000fffb,0x00004eeb,0x0005eeb8,0x00000000,0x05ddddb0,
    0xdeea8000,0xb8000000,0x0002deed,0x7dddd500,0x00000000,0x8bddd500,
    0x1003eeeb,0x000ddddd,0x0001bdd3,0x776c4000,0x00000002,0x77777440,
    0xeee88000,0x13bbaa0d,0x00aaaaa2,0x6ffee54c,0x000009ac,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ff72a60,0x00009acd,
    0x00000000,0x00000000,0x00000000,0x39999910,0x66665c00,0x00000003,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffffb800,0xffffffff,
    0xccc98002,0xccc880cc,0xcccccccc,0xcccccccc,0x9999910c,0x99999999,
    0x99999999,0x33333225,0xcccccccc,0x0ccccccc,0x99999991,0x99999999,
    0x22199999,0x5504cccc,0x00003555,0x33333332,0xcccccccc,0x800ccccc,
    0xfffffffb,0x802fffff,0xccccccc8,0xcccccccc,0x2e0ccccc,0x002ccccc,
    0x2cccccb8,0x66664c00,0x3320002c,0xcccccccc,0xcccccccc,0xffff30cc,
    0x7ff4005f,0x64c005ff,0x8002cccc,0x00ccccc9,0x666664c0,0x26000002,
    0x002ccccc,0xccccc980,0x33333200,0xcccccccc,0x0ccccccc,0x00999991,
    0x3fa20000,0xffffffff,0x00dfffff,0x3ffffea0,0xfffff980,0xffffffff,
    0x1fffffff,0xfffffff1,0xffffffff,0x2bffffff,0xfffffff9,0xffffffff,
    0xf31fffff,0xffffffff,0xffffffff,0x3fe63fff,0xffff07ff,0x3e00007f,
    0xffffffff,0xffffffff,0x3a201fff,0xffffffff,0x0dffffff,0x3ffffe60,
    0xffffffff,0x1fffffff,0x3fffffea,0x3ffe6000,0x64000fff,0x007fffff,
    0x3fffffe0,0xffffffff,0x31ffffff,0x005fffff,0x02fffff4,0x3fffff20,
    0xfffa8007,0x7e4000ff,0x0007ffff,0x3ffff200,0xfa80007f,0x3e00ffff,
    0xffffffff,0xffffffff,0xfff31fff,0x000000ff,0xfffffff5,0xffffffff,
    0x2a005fff,0x980fffff,0xffffffff,0xffffffff,0xff11ffff,0xffffffff,
    0xffffffff,0x3fe6bfff,0xffffffff,0xffffffff,0xffff31ff,0xffffffff,
    0xffffffff,0x1ffffe63,0x01fffffc,0xfffff800,0xffffffff,0x1fffffff,
    0xffffff50,0xffffffff,0x2605ffff,0xffffffff,0xffffffff,0x7ec1ffff,
    0x2004ffff,0x02fffffe,0x7ffffc40,0xff0003ff,0xffffffff,0xffffffff,
    0x3ffe63ff,0x3fa002ff,0x22005fff,0x3fffffff,0x7fffd400,0x3fe2000f,
    0x003fffff,0xffff8800,0x40003fff,0x00fffffa,0x3ffffffe,0xffffffff,
    0xf31fffff,0x0000ffff,0xfffff880,0xffeeffff,0x1fffffff,0xfffffa80,
    0xfffff980,0xffffffff,0x1fffffff,0xfffffff1,0xffffffff,0x2bffffff,
    0xfffffff9,0xffffffff,0xf31fffff,0xffffffff,0xffffffff,0x3fe63fff,
    0xffff07ff,0x3e00007f,0xffffffff,0xffffffff,0xff881fff,0xefffffff,
    0xfffffffe,0xfff981ff,0xffffffff,0xffffffff,0x7fffc41f,0xffb801ff,
    0xb8005fff,0x6fffffff,0xfffff000,0xffffffff,0x3fffffff,0x0bffffe6,
    0x5ffffe80,0x3fffee00,0x54006fff,0x000fffff,0x3fffffee,0xb800006f,
    0x6fffffff,0x7ffd4000,0x3ffe00ff,0xffffffff,0xffffffff,0xfffff31f,
    0xfe800000,0x81cfffff,0xffffffc9,0xffffa805,0xffff980f,0xffffffff,
    0xffffffff,0xffffff11,0xffffffff,0xbfffffff,0x3fffffe6,0xffffffff,
    0x31ffffff,0xffffffff,0xffffffff,0x3e63ffff,0xfff07fff,0x200007ff,
    0xffffffff,0xffffffff,0xfe80ffff,0x81cfffff,0xffffffc9,0xfffff985,
    0xffffffff,0x1fffffff,0x6fffffb8,0x7ffffc40,0xffe8000f,0x01ffffff,
    0xffffff80,0xffffffff,0x30ffffff,0x005fffff,0x02fffff4,0xffffffd0,
    0x7d4003ff,0x2000ffff,0xfffffffe,0x7400001f,0xffffffff,0x3fea0001,
    0x3fe00fff,0xffffffff,0xffffffff,0xffff30ff,0x5c00000f,0x02ffffff,
    0xffffff98,0x7fffd402,0xffff980f,0x999999bf,0x19999999,0x4ccccccc,
    0x9cfffff9,0x30999999,0x337fffff,0x33333333,0x7fcc3333,0x9999bfff,
    0x99999999,0x3fffe619,0x7fffff07,0x26660000,0x99999999,0xffffffc9,
    0xfffffb84,0xfff9802f,0x7fcc2fff,0x9999bfff,0x99999999,0x3fffa019,
    0x3ff203ff,0x98003fff,0xffffffff,0x9998004f,0x99999999,0xffffffc9,
    0x3ffffe64,0x3fffa002,0xfff3005f,0x09ffffff,0x7ffffd40,0xffff3000,
    0x009fffff,0x7fffcc00,0x004fffff,0x3ffffea0,0x26666600,0xc9999999,
    0x24ffffff,0x007ffff9,0xffff1000,0x7cc003ff,0x200fffff,0x80fffffa,
    0x02fffff9,0xfff00000,0x3e6009ff,0x0002ffff,0x2fffff98,0xfff98000,
    0xfffff07f,0x00000007,0xbffffff3,0xffffff10,0x7ffcc003,0x3fe60fff,
    0x00002fff,0xffffff98,0xfffff980,0xfff90006,0x1fffffff,0x7cc00000,
    0x4c5fffff,0x002fffff,0x017ffffa,0x7fffffe4,0x5000ffff,0x001fffff,
    0x3ffffff2,0x0000ffff,0xffffff90,0x0001ffff,0x03ffffea,0x7ffcc000,
    0x7fcc5fff,0x000007ff,0x0bfffff5,0xfffff900,0x7fffd407,0xffff980f,
    0x0000002f,0x009fffff,0x0bffffe6,0x3ffe6000,0x980002ff,0xff07ffff,
    0x00007fff,0xffff8800,0xffa80eff,0xc8005fff,0x263fffff,0x002fffff,
    0xffff9000,0xffffb09f,0x3fe0003f,0xffffbfff,0x1000003f,0x1dffffff,
    0x2fffff98,0x3ffffa00,0xfffff005,0x07fffff7,0x3ffffea0,0xfffff000,
    0x07fffff7,0x3fffe000,0x3fffffbf,0xffff5000,0xf100001f,0x81dfffff,
    0x307ffff9,0x4ccc4015,0xfffffb09,0xfff10003,0x7fd409ff,0xff980fff,
    0x00002fff,0x9fffff00,0x3fffe600,0xf980002f,0x0002ffff,0x07ffff98,
    0x007fffff,0xffe80000,0xfb01ffff,0x0003ffff,0x49fffff1,0x02fffff9,
    0xffd10000,0x7fd43fff,0x50004fff,0x3f6fffff,0x00006fff,0xffffffd0,
    0xfffff303,0x7fff4005,0xfffa805f,0xdffffb7f,0x3fffea00,0xfffa800f,
    0xdffffb7f,0xfff50000,0x3ffff6ff,0xfff50006,0xd00001ff,0x03ffffff,
    0x54fffff3,0x84fffffe,0xff6ffffa,0x4000dfff,0x206ffffe,0x80fffffa,
    0x02fffff9,0xfff00000,0x3e6009ff,0x0002ffff,0x2fffff98,0xfff98000,
    0xfffff07f,0x40000007,0x2ffffffc,0x1bffffe0,0xffffe800,0x3ffffe66,
    0x2a000002,0x3a6fffff,0x000fffff,0x29ffffb0,0x01fffffa,0x7ffe4000,
    0xff302fff,0x74005fff,0xd805ffff,0xff54ffff,0xf5003fff,0xb001ffff,
    0x3ea9ffff,0x0001ffff,0xaa7fffec,0x001fffff,0x0fffffa8,0x7ffe4000,
    0xff302fff,0x3fff2fff,0x20efffff,0xf8effffa,0x0005ffff,0x81fffff6,
    0x80fffffa,0x02fffff9,0xfff00000,0x3e6009ff,0x0002ffff,0x2fffff98,
    0xfff98000,0xfffff07f,0x20000007,0x4ffffffb,0x3ffffe20,0x3ff60005,
    0x3ffe67ff,0x000002ff,0x57ffffec,0x02fffffb,0xfffff100,0x3ffffe23,
    0x3ee00004,0x204fffff,0x02fffff9,0x17ffffa0,0x3fffff10,0x13ffffe2,
    0x3ffffea0,0x7fffc400,0xfffff11f,0x7fc40009,0xfff11fff,0xf50009ff,
    0x0001ffff,0x7fffffdc,0x3fffe604,0xffffffdf,0x3ea6ffff,0xfff8efff,
    0x320004ff,0x500fffff,0x301fffff,0xdddfffff,0xdddddddd,0xf8001ddd,
    0x3004ffff,0xdddfffff,0xdddddddd,0x7fcc1ddd,0xeeeeefff,0xeeeeeeee,
    0x3fffe60e,0x7fffff07,0xf3000000,0x80bfffff,0x04fffff8,0x3ffff200,
    0xfffff30f,0xdddddddd,0x01dddddd,0x3ffffe20,0x05ffffff,0x3fffee00,
    0x7ffffe47,0xff980000,0x4c05ffff,0x002fffff,0x017ffffa,0xc8fffff7,
    0x400fffff,0x00fffffa,0x23ffffdc,0x00fffffc,0xfffff700,0x0fffffc8,
    0x7fffd400,0xff30000f,0x980bffff,0xffffffff,0xffffffde,0xdffff51f,
    0x07fffff3,0x7fffdc00,0xffff501f,0xffff301f,0xffffffff,0x1fffffff,
    0xfffff800,0xffff3004,0xffffffff,0x1fffffff,0x7fffffcc,0xffffffff,
    0x260fffff,0xff07ffff,0x00007fff,0xfffff880,0x7fcc00ef,0x20003fff,
    0x31fffffb,0xffffffff,0xffffffff,0x5c001fff,0xffffffff,0x3a0000ff,
    0x7cc4ffff,0x0003ffff,0x7fffffc4,0x7ffcc00e,0x3fa002ff,0x7f405fff,
    0x7fcc4fff,0x7d403fff,0x7400ffff,0x7cc4ffff,0x0003ffff,0x989ffffd,
    0x003fffff,0x07ffffd4,0x7fffc400,0x7cc00eff,0x40efffff,0x54fffffb,
    0xff3bffff,0x40007fff,0x02fffffa,0x01fffff5,0xfffffff3,0xffffffff,
    0x8001ffff,0x004fffff,0xfffffff3,0xffffffff,0x7cc1ffff,0xffffffff,
    0xffffffff,0x3ffe60ff,0xfffff07f,0xe8000007,0x00ffffff,0x3fffff98,
    0x3ffea000,0xffff32ff,0xffffffff,0x1fffffff,0xffffe800,0x0003ffff,
    0x07ffffe6,0x01bffffa,0xfffffd00,0xfff3001f,0x7f4005ff,0x3e605fff,
    0xfe81ffff,0x7d406fff,0x2600ffff,0xe81fffff,0x8006ffff,0x81fffff9,
    0x006ffffe,0x07ffffd4,0x7ffff400,0xff9800ff,0xfb00ffff,0xbff0bfff,
    0x09fffff1,0x7fffdc00,0xffff501f,0xffff301f,0xffffffff,0x1fffffff,
    0xfffff800,0xffff3004,0xffffffff,0x1fffffff,0x7fffffcc,0xffffffff,
    0x260fffff,0xff07ffff,0x00007fff,0x7ffffec0,0xfff1002f,0x5c0009ff,
    0xf31fffff,0xffffffff,0xffffffff,0xf98001ff,0x06ffffff,0x7fffec00,
    0xfffff906,0x3ff60003,0x3002ffff,0x005fffff,0x02fffff4,0x20dffffb,
    0x01fffffc,0x03ffffea,0x06ffffd8,0x03fffff9,0x6ffffd80,0x3fffff90,
    0x7fffd400,0x7fec000f,0x3002ffff,0x407fffff,0x4c6ffffb,0xfffff4ff,
    0x7fe4000b,0x3fea07ff,0xff980fff,0xeeeeefff,0xeeeeeeee,0x7ffc000e,
    0xff3004ff,0xdddddfff,0xdddddddd,0x7fffcc1d,0xeeeeeeef,0x0eeeeeee,
    0x41ffffe6,0x003fffff,0xffff7000,0xff8007ff,0x20005fff,0x267ffffc,
    0xeeefffff,0xeeeeeeee,0xc8000eee,0x01ffffff,0x3fffe200,0xffff303f,
    0xff70009f,0x4007ffff,0x02fffff9,0x17ffffa0,0x1fffffc4,0x4fffff98,
    0x3ffffea0,0xfffff100,0x3fffe607,0x3fe2004f,0xff303fff,0x54009fff,
    0x000fffff,0x3fffffee,0x3ffe6003,0x3fea02ff,0x8ffe46ff,0x006ffffe,
    0x1bffff60,0x0fffffa8,0x2fffff98,0xff000000,0x26009fff,0x002fffff,
    0xfffff980,0xff980002,0xffff07ff,0x3000007f,0x0bffffff,0xdffffd00,
    0x7ffec000,0x3fffe66f,0x0000002f,0x027ffffc,0x3fffee00,0x3fffa00f,
    0x3e6000ff,0x005fffff,0x17ffffc4,0x9ffffd00,0x3ffffee0,0x3ffffa00,
    0xffff500f,0x3ffee01f,0x3ffa00ff,0xf7000fff,0x7401ffff,0x000fffff,
    0x01fffff5,0x3ffffe60,0x7fcc005f,0x3ea01fff,0xffd36fff,0x7ffffec9,
    0xffff0000,0x7ffd40bf,0xfff980ff,0x000002ff,0x09fffff0,0x3ffffe60,
    0xff980002,0x80002fff,0xf07ffff9,0x0007ffff,0xfffff880,0xffb0006f,
    0x20001fff,0x265fffff,0x002fffff,0x7ffc0000,0x740004ff,0xffffffff,
    0xffffffff,0xff1003ff,0x000dffff,0x05fffff1,0x27ffff40,0xffffffe8,
    0xffffffff,0xf503ffff,0x3a01ffff,0xffffffff,0xffffffff,0xffd003ff,
    0xffffffff,0xffffffff,0x3ffea007,0xff8800ff,0x8006ffff,0x00fffff9,
    0x5dbfffea,0x3fee0dff,0xb8004fff,0x204fffff,0x80fffffa,0x02fffff9,
    0xfff00000,0x3e6009ff,0x0002ffff,0x2fffff98,0xfff98000,0xfffff07f,
    0xfe800007,0x000fffff,0x9fffff70,0xffff7000,0x7fffcc9f,0x0000002f,
    0x027ffffc,0xfffff300,0xffffffff,0x0dffffff,0x3fffffa0,0xfff0000f,
    0x7fc007ff,0xff984fff,0xffffffff,0xffffffff,0xffff506f,0xffff301f,
    0xffffffff,0xdfffffff,0xfffff300,0xffffffff,0x0dffffff,0x3ffffea0,
    0xffffe800,0xf98000ff,0x7d407fff,0x05d16fff,0x1ffffff3,0x7fffc400,
    0x3fea01ff,0xff980fff,0x00002fff,0x9fffff00,0x3fffe600,0xf980002f,
    0x0002ffff,0x07ffff98,0x007fffff,0x7fffec00,0x260001ff,0x00ffffff,
    0x3ffffe20,0x3fffe61f,0x0000002f,0x027ffffc,0xfffff900,0xffffffff,
    0x3fffffff,0xfffffd80,0x3fe0001f,0xf1006fff,0xf907ffff,0xffffffff,
    0xffffffff,0xff503fff,0xff901fff,0xffffffff,0xffffffff,0xffc803ff,
    0xffffffff,0xffffffff,0xffa801ff,0x7ec00fff,0x001fffff,0x0fffff30,
    0x06ffffa8,0xbfffff90,0x3fff6001,0x7fd405ff,0xff980fff,0x00002fff,
    0x9fffff00,0x3fffe600,0xf980002f,0x0002ffff,0x07ffff98,0x007fffff,
    0x3fffee00,0xc80003ff,0x00dfffff,0xbfffffb0,0x2fffff98,0x7c000000,
    0x0004ffff,0x3ffffffe,0xffffffff,0x04ffffff,0x3fffffee,0x7fec0003,
    0xfd803fff,0xff82ffff,0xffffffff,0xffffffff,0xffa84fff,0xfff80fff,
    0xffffffff,0xffffffff,0x7ffc04ff,0xffffffff,0xffffffff,0xffa804ff,
    0x3ee00fff,0x003fffff,0x1ffffe60,0x0dffff50,0x3ffffe20,0x3fa601ef,
    0x400fffff,0x80fffffa,0x02fffff9,0xfff00000,0x3e6009ff,0x0002ffff,
    0x2fffff98,0xfff98000,0xfffff07f,0xff500007,0x0009ffff,0x3ffffe20,
    0x3fa601ef,0x4c0fffff,0x002fffff,0x7ffc0000,0xf50004ff,0xddddffff,
    0xfddddddd,0x501fffff,0x09ffffff,0xffff7000,0x7fd403ff,0xffa87fff,
    0xeeeeefff,0xffeeeeee,0x7d40ffff,0x7d40ffff,0xeeeeffff,0xfeeeeeee,
    0x500fffff,0xdddfffff,0xdddddddd,0x01ffffff,0x0fffffa8,0xffffff50,
    0xff980009,0x7fd407ff,0x3ee006ff,0xcdffffff,0xffffdcaa,0xfa803fff,
    0xf980ffff,0x0002ffff,0xfffff000,0x3ffe6009,0x980002ff,0x002fffff,
    0x7ffff980,0x07fffff0,0xffff8800,0x400006ff,0xfffffffb,0xffdcaacd,
    0x983fffff,0x002fffff,0x7ffc0000,0xfb0004ff,0xb800dfff,0x443fffff,
    0x06ffffff,0x3fffe000,0xbaabdfff,0x3ffffffd,0x06ffffd8,0x7ffffdc0,
    0x7ffffd43,0x37fffec0,0x3fffee00,0xffffb03f,0xfffb800d,0x7fd403ff,
    0xff880fff,0x0006ffff,0x07ffff98,0x037fffd4,0x3fffffa0,0xffffffff,
    0x006fffff,0x01fffff5,0x9bfffff3,0x99999999,0x00799999,0x027ffffc,
    0xdfffff98,0xcccccccc,0x33cccccc,0x99bfffff,0x99999999,0x3e679999,
    0xfff07fff,0x99999dff,0x99999999,0x3fffff23,0xccccccdf,0xcccccccc,
    0xfffffd03,0xffffffff,0x20dfffff,0xcdfffff9,0xcccccccc,0x003ccccc,
    0x04fffff8,0xfffff880,0x7ffc4003,0x7ffe46ff,0xccccdfff,0xcccccccc,
    0x7ffdc3cc,0xffffffff,0x0fffffff,0x1fffffc4,0x3fffe200,0x7fffd46f,
    0x3fffe20f,0x7fc4003f,0xff886fff,0x44003fff,0x406fffff,0x80fffffa,
    0xdffffffc,0xcccccccc,0x33cccccc,0xa80fffff,0x8006ffff,0xfffffffb,
    0xffffffff,0x3fea003f,0xff980fff,0xffffffff,0xffffffff,0x3fe005ff,
    0xf3004fff,0xffffffff,0xffffffff,0x3fe6bfff,0xffffffff,0xffffffff,
    0xffff35ff,0x3ffffe0f,0xffffffff,0x92ffffff,0xffffffff,0xffffffff,
    0x40bfffff,0xfffffffb,0xffffffff,0x3ffe603f,0xffffffff,0xffffffff,
    0xfff8005f,0xfb8004ff,0x8000ffff,0x21fffffd,0xfffffffc,0xffffffff,
    0x85ffffff,0xfffffffc,0xffffffff,0xffffb82f,0xffd8000f,0x3fea1fff,
    0x3fee0fff,0xd8000fff,0x5c1fffff,0x000fffff,0x1fffffd8,0x3ffffea0,
    0xfffffc80,0xffffffff,0xffffffff,0x0fffff35,0x06ffffa8,0xffffd300,
    0xffffffff,0xffa8003d,0xff980fff,0xffffffff,0xffffffff,0x3fe005ff,
    0xf3004fff,0xffffffff,0xffffffff,0x3fe6bfff,0xffffffff,0xffffffff,
    0xffff35ff,0x3ffffe0f,0xffffffff,0x92ffffff,0xffffffff,0xffffffff,
    0x80bfffff,0xffffffe9,0x1effffff,0x7ffffcc0,0xffffffff,0x5fffffff,
    0xfffff800,0xfffe8004,0xff50006f,0x7fe49fff,0xffffffff,0xffffffff,
    0xff505fff,0xffffffff,0x3a01dfff,0x0006ffff,0x49fffff5,0x20fffffa,
    0x006ffffe,0x9fffff50,0x06ffffe8,0xfffff500,0x7fffd409,0xffffc80f,
    0xffffffff,0xffffffff,0xfffff35f,0x6ffffa80,0x7f6dc000,0x3defffff,
    0xffff5000,0xffff301f,0xffffffff,0xffffffff,0x7fffc00b,0xfff3004f,
    0xffffffff,0xffffffff,0x3fffe6bf,0xffffffff,0xffffffff,0x0fffff35,
    0x3ffffffe,0xffffffff,0xff92ffff,0xffffffff,0xffffffff,0x2e00bfff,
    0xffffffed,0xff3003de,0xffffffff,0xffffffff,0xff000bff,0xa8009fff,
    0x003fffff,0x3fffffe0,0xffffff90,0xffffffff,0xbfffffff,0x7fffec40,
    0x03efffff,0x0fffffea,0xfffff800,0xfffff50f,0x3ffffea1,0x3ffe0003,
    0xfff50fff,0x7c0007ff,0x500fffff,0x901fffff,0xffffffff,0xffffffff,
    0x26bfffff,0x5407ffff,0x0006ffff,0x000d54c0,0xfffffa80,0xfffff980,
    0xffffffff,0x5fffffff,0x3ffffe00,0xffff3004,0xffffffff,0xffffffff,
    0x3ffffe6b,0xffffffff,0x5fffffff,0x20fffff3,0xffffffff,0xffffffff,
    0xfff92fff,0xffffffff,0xffffffff,0x26000bff,0xf30001aa,0xffffffff,
    0xffffffff,0xf000bfff,0x8009ffff,0x00fffffd,0x3ffff200,0xfffff93f,
    0xffffffff,0xffffffff,0x2aaa600b,0xfd8009aa,0x0000ffff,0x4ffffff2,
    0xb0fffffa,0x001fffff,0x7ffffe40,0x1fffffb3,0x7ffe4000,0xfff503ff,
    0xfff901ff,0xffffffff,0xffffffff,0x3ffe6bff,0x7ffd407f,0x0000006f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xeea80000,0x2777545e,0x66654000,
    0x02666544,0x227775c0,0x0003eeeb,0x543cccb8,0x00003ccc,0xd903bd71,
    0xdb300009,0x01ee9817,0x00000000,0x88333326,0x8000cccc,0xccccccc9,
    0x0002cccc,0x4c4ccc98,0x5400cccc,0xcccccccc,0x99101ccc,0x99999999,
    0x6665c079,0x01e665c2,0x00005ec8,0x00000000,0x00244000,0x00000000,
    0x00000000,0x00000000,0x3fffd800,0x001ffff3,0x8ffff900,0x0007fffb,
    0x3ea5fffd,0x80000eff,0x7ec5fffd,0x980006ff,0xacefffff,0x40005ffb,
    0xbdfffffd,0x0001ffda,0x001dfc88,0x1ffff500,0x00ffffcc,0x7ffffd40,
    0x05ffffff,0xffffa800,0x07fffea0,0xffffffb0,0x205fffff,0xfffffff9,
    0x3a06ffff,0x7fec4fff,0x0dfd005f,0x32a62000,0x09acdffd,0x2a620000,
    0x2cceffdc,0x9105fe88,0x8005bdfd,0x0000fffd,0x0dffffb0,0x3fffe600,
    0xeffff98e,0x76e5c000,0x0009bcef,0x5ffff100,0x0005fffd,0x71ffff20,
    0x2000ffff,0xff9ffff9,0xb00001ff,0xffd8bfff,0xfc80006f,0xffffffff,
    0x220003ff,0xffffffff,0x80007fff,0x02fffff8,0xffffa800,0x07fffe60,
    0x3fffea00,0x5fffffff,0xfffa8000,0x3fffea0f,0x7fffec01,0x2fffffff,
    0xffffff30,0x40dfffff,0x7ec4fffe,0x36e205ff,0x001bdfff,0xffffff50,
    0x07ffffff,0xffff5000,0xdfffffff,0x227fff45,0xfffffffa,0xfff9800d,
    0xff300003,0x20001dff,0xf90ffffd,0x22001fff,0xfffffffb,0x0005ffff,
    0xffffff50,0x640000bf,0x7fdc7fff,0x3ee0007f,0x04ffffff,0x3fff6000,
    0x037ffec5,0x5d77f400,0x0efffffd,0x2ffea000,0xffffffda,0xcfc80003,
    0x80006fa8,0x260ffffa,0x8001ffff,0xfffffffa,0x0005ffff,0x20ffffa8,
    0x401ffffa,0xfffffffd,0xf302ffff,0xffffffff,0x7ff40dff,0x2fffec4f,
    0xffffffc8,0x22004fff,0xfffffffd,0xdfffffff,0xffd88000,0xffffffff,
    0xffdeffff,0x3ffe20ef,0x04ffffff,0x000fffd8,0x1dfffb00,0x3ffe6000,
    0x3ffff11f,0x3fffe200,0xffffffff,0x80000eff,0x0ffffffc,0x3bae0000,
    0x3777545e,0x3fff6000,0x400006ff,0x7644eeec,0x440004ee,0x6edc42ff,
    0x6fc80002,0x000cec98,0x1fe8ff00,0x7774c000,0x3bbba60e,0x00000001,
    0xdddd5000,0x077774c1,0x00000000,0x1f776c00,0xd113bbb2,0xffffffff,
    0xf500dfff,0xffffffff,0xffffffff,0x7fd4005f,0xffffffff,0xffffffff,
    0x7fe40eff,0xffffa8cf,0x0fffe600,0x7ffc4000,0x3f60001f,0x3fff22ff,
    0xffff1003,0xffffffff,0x005fffff,0x5ddddb00,0x00000000,0xeee88000,
    0x000001ee,0x00000000,0x00000000,0x2fd80000,0x00000ff1,0x00000000,
    0x00000000,0x00000000,0x20000000,0xfffffffc,0x04ffffff,0x3fffffe6,
    0xfffeefff,0x01ffffff,0xffffff88,0xfffeefff,0x1fffffff,0x360ffff8,
    0x3f603fff,0x900000ff,0x40003fff,0x3e23fff8,0xff1004ff,0xdfffffff,
    0xffffffff,0x0000005f,0x654c0000,0x09acdffd,0x00000000,0xcccc9800,
    0x2000002c,0x02ccccc9,0xccccc880,0x33326001,0x7fd4002c,0x88005ffe,
    0xcccccccc,0xcccccccc,0x4000cccc,0x02ccccc9,0x99999700,0x99970005,
    0x99930599,0x99910199,0x99999999,0x99999999,0x99993019,0x3ffe6019,
    0xfdffedff,0xfb01ffff,0x039fffff,0xffffff93,0xffffb00d,0xf91039ff,
    0x10ffffff,0xffb8dfff,0x7fff304f,0x66640000,0x66540001,0x002664c3,
    0xbffffff7,0x7ffd4417,0x20006fff,0x02ccccc9,0x7ffdc000,0xffffffff,
    0xccc8802f,0xcccccccc,0x00000aaa,0x3fffffe4,0xff900000,0x1000ffff,
    0x00dfffff,0x02ffffdc,0x3fffff20,0xfff98007,0xffffffff,0xffffffff,
    0x7fe4001f,0x50007fff,0x01ffffff,0x7ffffcc0,0xffffa80f,0xffff980f,
    0xffffffff,0xffffffff,0xfffffa81,0x7ffff900,0x7ffe5bfa,0xffffa84f,
    0xffa802ff,0x2a03ffff,0x02ffffff,0xffffffb8,0x237ffcc3,0xfb05fffa,
    0x000001ff,0x00000000,0x7fffffc0,0x7fff4405,0xf90003ff,0x000fffff,
    0x3ffffa20,0xffffffff,0x3e600dff,0xffffffff,0x1effffff,0xfff88000,
    0x0003ffff,0xfffff880,0x7c4003ff,0x003fffff,0x00bffff7,0x7fffffc4,
    0x7fcc003f,0xffffffff,0xffffffff,0x3e2001ff,0x03ffffff,0xfffffb00,
    0x7fff4009,0xfff502ff,0xfff301ff,0xffffffff,0xffffffff,0xffff503f,
    0x3fff601f,0x3e2dfd0f,0x7f444eff,0x2001ffff,0x0ffffff9,0xffffff88,
    0xffff9801,0x7fcc6fff,0x2fffd46f,0x001fffcc,0x80d54400,0x54c4002d,
    0x7fd40009,0x8800ffff,0x007fffff,0xffffff88,0x7d40003f,0xffffffff,
    0xffffffff,0xffff302f,0xffffffff,0x019fffff,0x7fffdc00,0x00006fff,
    0xffffffb8,0x7fc4006f,0x800fffff,0x005ffffb,0x3fffffee,0x7fcc006f,
    0xffffffff,0xffffffff,0x3ee001ff,0x06ffffff,0xfffff100,0xfff7003f,
    0x7fd40bff,0xff980fff,0xffffffff,0xffffffff,0xfffa81ff,0xfffd00ff,
    0x01137f4d,0x2fffffdc,0x7fffec00,0xffffb83f,0xfff8805f,0x22ffffff,
    0x7dc6fff8,0xfffd85ff,0xfd700000,0x25dfffff,0x5c403ffc,0xdffffffe,
    0xfdba8801,0x3fee002f,0x5c003fff,0x6fffffff,0x3ffe2000,0xeeffffff,
    0xffffffff,0xffff981f,0xffffffff,0x1fffffff,0xffffd000,0x0003ffff,
    0xfffffe80,0x22001fff,0x5fffffff,0x5ffffb80,0x3ffffa00,0x2001ffff,
    0xfffffff9,0xffffffff,0x001fffff,0x3ffffffa,0xf70001ff,0x880dffff,
    0x00ffffff,0x03ffffea,0x3fffffe6,0xffffffff,0x81ffffff,0x00fffffa,
    0x3a1ffffd,0x3ff2006f,0x88001fff,0xc84fffff,0x401fffff,0xffdfffe8,
    0x7ffc5fff,0x21fffe47,0x0003fff9,0xfffffe88,0xffffffff,0x3ffea01f,
    0xffffffff,0x80018004,0x005fffff,0x7ffffff4,0xfd0001ff,0x039fffff,
    0xffffff93,0xfffff30b,0xffffffff,0x0dffffff,0xfffff300,0x0009ffff,
    0x7ffffcc0,0x2004ffff,0xfffffff8,0x7ffdc02f,0xfff3005f,0x09ffffff,
    0x7ffffcc0,0x9999999b,0x01999999,0x3ffffe60,0x0004ffff,0x0ffffffa,
    0x3fffffc8,0x7ffffd40,0xfffff980,0x9999999b,0x01999999,0x01fffff5,
    0x753ffff2,0x3ff6006f,0x3a0006ff,0xfd86ffff,0xfe806fff,0xfffff5ff,
    0x22fffe8d,0x7ec2fffe,0x540000ff,0xffffffff,0x1fffffff,0x3ffffee0,
    0xffffffff,0x4000001e,0x006ffffe,0x3fffffe6,0xb8004fff,0x02ffffff,
    0xffffff98,0x7ffffcc2,0xb999999b,0x3ffffffe,0x7fffe400,0x00ffffff,
    0xffff9000,0x01ffffff,0x3ffffe20,0x7dc06fff,0xf9005fff,0xffffffff,
    0x3fe6001f,0x00002fff,0xfffffc80,0x000fffff,0xffffff30,0xfffff301,
    0xffff500d,0xffff301f,0xa800005f,0x700fffff,0xfddfffff,0x7fff400d,
    0x3f60005f,0xfff87fff,0x7fec05ff,0xffffb0ef,0xcffffa8f,0x7cc6fffe,
    0x440004ff,0xdfffffff,0xfffffffe,0xfffff500,0xffffffff,0x00000dff,
    0x07ffffc8,0x3fffff20,0x000fffff,0x3fffffe2,0x3ffe6001,0x3fe60fff,
    0xfa802fff,0x000fffff,0x3efffffe,0x0003ffff,0xf7fffff0,0x2007ffff,
    0xfffffff8,0x3fee04ff,0xfff005ff,0xfffff7ff,0x3ffe6007,0x000002ff,
    0xfbfffff8,0x0003ffff,0x13fffff2,0x07fffff6,0x3ffffea0,0xfffff980,
    0x7d400002,0x3a00ffff,0xffffffff,0xfffff001,0x7fe40009,0x3fe20fff,
    0x3f204fff,0x3ff20eff,0x7ff40fff,0x42ffffff,0x0000fffe,0x17ffffec,
    0x3fffff22,0xfffff884,0x3ffa60cf,0x7fc43fff,0xffffffff,0xffffffff,
    0x00ffffff,0xf7fffff0,0x4007ffff,0x05fffffa,0xfffffc80,0x3ffffe63,
    0xffff7002,0x3fea009f,0xffffb7ff,0xff50000d,0x3fff6fff,0xfff1006f,
    0x3fffffff,0x17fffee0,0x5ffffea0,0x006ffffd,0x05fffff3,0xffa80000,
    0xffffb7ff,0x7f44000d,0x3ea1ffff,0x5004ffff,0x301fffff,0x005fffff,
    0xffffa800,0x3ffea00f,0xbeffffff,0xfffff300,0x7fdc0007,0x3fe61fff,
    0xff703fff,0xfffb81ff,0xfffc81ff,0x7fcc1eff,0x7d40004f,0xe881ffff,
    0x40ffffff,0x02fffffa,0x83fffff6,0xfffffff9,0xffffffff,0xffffffff,
    0xfffa801f,0xdffffb7f,0x7fffec00,0xff88001f,0x3fe64fff,0x3a002fff,
    0x800fffff,0xf54ffffd,0x0003ffff,0x54ffffd8,0x003fffff,0xfffffff1,
    0x3ee0bfff,0xfd805fff,0xfff54fff,0xff3003ff,0x00005fff,0x4ffffd80,
    0x03fffff5,0x7fffd400,0x3ffffa6f,0xfff5000f,0xfff301ff,0x800005ff,
    0x00fffffa,0x7fffffdc,0x982fffff,0x003fffff,0x3ffffea0,0x3ffffe62,
    0x1ffffb83,0x2fffffa8,0x20357310,0xa880fffe,0x3ff6009a,0xfffb04ff,
    0xfc89ffff,0x7c405fff,0x3e63ffff,0xffffffff,0xffffffff,0x2fffffff,
    0x4ffffd80,0x03fffff5,0x1bffffe0,0xffffe800,0x3ffffe66,0x3ffea002,
    0x7fc402ff,0xfff11fff,0x440009ff,0xf11fffff,0x1009ffff,0xffbfffff,
    0xff705fff,0xff880bff,0xfff11fff,0xff3009ff,0x00005fff,0x7ffffc40,
    0x9fffff11,0xfffd8000,0xffffbaff,0x3fea002f,0xff980fff,0x00002fff,
    0x07ffffd4,0x7ffffd40,0x44ffffff,0x04fffff8,0x3fffee00,0x3fffe20f,
    0x7fffd44f,0xfffff702,0x7fcc0003,0x7ffec44f,0xffff04ff,0x7dff903f,
    0xfe8bffff,0xfc802fff,0x3fe65fff,0xffffffff,0xffffffff,0x01ffffff,
    0x8fffffc4,0x04fffff8,0x5fffff88,0x3fff6000,0x3fffe67f,0x3fe6002f,
    0x7dc03fff,0x7fe47fff,0x70000fff,0xfc8fffff,0x4400ffff,0xff8fffff,
    0x7dc0ffff,0x7dc05fff,0x7fe47fff,0x7cc00fff,0xeeeeffff,0xeeeeeeee,
    0xffb800ee,0x7ffe47ff,0x220000ff,0xffffffff,0x54005fff,0x980fffff,
    0xeeefffff,0xeeeeeeee,0xff500eee,0x54001fff,0xfffffffd,0x7fffc3ff,
    0x3f20005f,0xfff87fff,0x3ffe65ff,0x3fff203f,0x7f40007f,0x3ffe60ff,
    0x446fffff,0xfb87ffff,0xffff98ff,0x3ffffe27,0xffffb800,0x3ffffe26,
    0xccccccce,0xffeccccc,0x7dc01fff,0x7fe47fff,0x7c400fff,0x0004ffff,
    0x43fffff2,0x02fffff9,0x2fffffc0,0x13ffffa0,0x07fffff3,0x3ffffa00,
    0x7ffffcc4,0x7fffc403,0x9fffff77,0x05ffffb8,0x227ffff4,0x03fffff9,
    0x7fffffcc,0xffffffff,0x800fffff,0x4c4ffffe,0x003fffff,0x7ffffdc0,
    0x000fffff,0x07ffffd4,0x7fffffcc,0xffffffff,0x500fffff,0x001fffff,
    0xffffffd0,0x7ff41fff,0x360006ff,0xfe86ffff,0xfff17fff,0xfffd809f,
    0x3ea0006f,0x7ffec4ff,0x22ffffce,0x547ffff9,0xfff11fff,0x3ffea1ff,
    0xfff5007f,0xfffff8ff,0xfffd8005,0x7ff400ff,0x7ffcc4ff,0x7fcc03ff,
    0x20003fff,0x31fffffb,0x005fffff,0x05fffff8,0x07ffffe6,0x01bffffa,
    0x3ffffe60,0x6ffffe81,0x3ffffc40,0x43fffffd,0x205ffffb,0x81fffff9,
    0x406ffffe,0xfffffff9,0xffffffff,0x4c00ffff,0xe81fffff,0x0006ffff,
    0xffffffe8,0xfa8003ff,0xf980ffff,0xffffffff,0xffffffff,0xfff500ff,
    0xfd0001ff,0xfffffb3d,0x3ffffec5,0xffff8060,0xffffd85f,0x04fffe9f,
    0x05fffff8,0x83fffa00,0x3ea6fff9,0x3ffe66ff,0x0bffe67f,0x2a1fffff,
    0x5007ffff,0xfe8fffff,0xf8007fff,0x4c07ffff,0xe81fffff,0x4c06ffff,
    0x003fffff,0x3ffffea0,0x5fffff32,0xffffe800,0x3ffff606,0xfffff906,
    0xfffd8003,0xffff906f,0x7ffc403f,0x3fffe67f,0x3fffee6f,0x3ffff605,
    0xfffff906,0x7fffcc03,0xffffffff,0x0fffffff,0x37fffec0,0x1fffffc8,
    0x7ffcc000,0x0006ffff,0x01fffff5,0xfffffff3,0xffffffff,0x2a01ffff,
    0x000fffff,0x3ff26fe8,0x3ffee3ff,0x3bf303ff,0x3fffffb8,0xffffffc8,
    0xfb805fff,0x0004ffff,0xfb89fff5,0x7fffc4ff,0x1fffff10,0xf987fff1,
    0x3fe67fff,0xfb800fff,0x7fdc6fff,0x26001fff,0x405fffff,0x906ffffd,
    0x403fffff,0x04fffff8,0x3fffee00,0xfffff31f,0xfffe8005,0xffff106f,
    0x3ffe607f,0x3e2004ff,0xf303ffff,0x4409ffff,0x7e47ffff,0xff73ffff,
    0x3fe20bff,0xff303fff,0x7cc09fff,0xeeeeffff,0xeeeeeeee,0x3fe200ee,
    0xff303fff,0x00009fff,0x3ffffff9,0x3ffea000,0xfff980ff,0xeeeeeeff,
    0xeeeeeeee,0xfffff500,0x6fe83001,0x993fffe6,0xb07fffff,0xff11bfff,
    0xf105ffff,0xdfffffff,0xfffff001,0x3fa0003f,0x7ffe40ff,0xf0ffff43,
    0xffd5ffff,0xbffff509,0x0fffffc4,0x2ffffe40,0x17ffffe6,0xfffffd80,
    0x3fffe202,0xffff303f,0xffff809f,0x3f20005f,0x3fe67fff,0x7c002fff,
    0xf705ffff,0x7401ffff,0x000fffff,0x01fffff7,0x07fffff4,0x47ffff88,
    0x8ffffff8,0x705ffffb,0x401fffff,0x00fffffe,0x05fffff3,0xfff70000,
    0x7ff401ff,0x80000fff,0x004fffff,0x3ffffea0,0xfffff980,0x7d400002,
    0xeb80ffff,0x1bfa3fff,0xfc89ffff,0x7c44ffff,0xffefffff,0x3f205fff,
    0x00efffff,0x5fffffc8,0x9fff5000,0xe85fffb0,0x3ff62fff,0xb05fffff,
    0xfe89ffff,0x7c405fff,0xfe83ffff,0xa803ffff,0x407fffff,0x00fffffb,
    0x03fffffa,0x06ffffe8,0x3ffff600,0x3ffffe66,0x7fffc002,0xffffd04f,
    0xffffffff,0x07ffffff,0x3fffffa0,0xffffffff,0x103fffff,0xf50fffff,
    0xff79ffff,0x3ffa0bff,0xffffffff,0xffffffff,0xfffff303,0xfd000005,
    0xffffffff,0xffffffff,0xff00007f,0x40009fff,0x80fffffa,0x02fffff9,
    0x7ffd4000,0xfffa80ff,0xf99bfa7f,0x7fc42fff,0x220dffff,0xfffffffc,
    0x3e201fff,0x00dfffff,0x3fffff62,0xffd0000f,0x5fff901f,0x2a2fffe8,
    0x06ffffff,0x83fffff5,0x02fffffc,0x03fffff6,0x3fffffe6,0x3fffee03,
    0x7ff403ff,0xffffffff,0xffffffff,0x3ffff603,0xfff0000f,0x7ffccbff,
    0x3e2002ff,0xf983ffff,0xffffffff,0xffffffff,0xff9806ff,0xffffffff,
    0xffffffff,0xffff106f,0x3ffff60f,0x85ffffdf,0xfffffff9,0xffffffff,
    0xf306ffff,0x0005ffff,0xfffff980,0xffffffff,0x06ffffff,0xfffff800,
    0x3fea0004,0xff980fff,0x00002fff,0x07ffffd4,0xd4fffff8,0x7fffe4df,
    0xfffffb81,0xfc99bcff,0x4fffffff,0xfffffd80,0xba889bff,0x3ffffffe,
    0x9fff5000,0xd0fffee0,0xffd83fff,0x7dc0bfff,0xf884ffff,0x20cfffff,
    0x3fffffe9,0x3fffff20,0xfdbaabef,0x405fffff,0xfffffff9,0xffffffff,
    0x2e06ffff,0x004fffff,0x4fffffb8,0x0bffffe6,0xfffff980,0xfffffc81,
    0xffffffff,0x1fffffff,0x7ffffe40,0xffffffff,0x1fffffff,0x07ffff88,
    0xfffffff1,0xff90bfff,0xffffffff,0xffffffff,0xfff303ff,0x800005ff,
    0xfffffffc,0xffffffff,0x001fffff,0x27ffffc0,0xffff5000,0xffff301f,
    0xa800005f,0xb00fffff,0xfd9fffff,0xdffffb1d,0x7fffff40,0xffffffff,
    0x01ffffff,0x7fffffd4,0xffffffff,0x06ffffff,0x03fffa00,0xf12fffd4,
    0xff981fff,0xfddfffff,0x206fffff,0xfffffffb,0xffffffff,0xffffe806,
    0xffffffff,0x400fffff,0xfffffffc,0xffffffff,0x301fffff,0x01ffffff,
    0x7ffffc40,0x3fffe61f,0x3ff2002f,0xfff80fff,0xffffffff,0xffffffff,
    0x7ffc04ff,0xffffffff,0xffffffff,0xfff884ff,0x3ffee07f,0x85ffffff,
    0xffffffff,0xffffffff,0x984fffff,0x002fffff,0x7ffffc00,0xffffffff,
    0xffffffff,0x7ffc0004,0x2a0004ff,0x980fffff,0x002fffff,0x7fffd400,
    0xffff100f,0xffffffff,0xfb803fff,0xffffffff,0xffffffff,0xff980dff,
    0xffffffff,0xffffffff,0x2a0003ff,0x3e204fff,0xffc8afff,0xffffa85f,
    0xffffffff,0x7ec01fff,0xffffffff,0x801effff,0xffffffe8,0xffffffff,
    0xffff800e,0xffffffff,0xffffffff,0x3fff204f,0xfb000dff,0xf98bffff,
    0x1002ffff,0x50ffffff,0xdddfffff,0xdddddddd,0x01ffffff,0x3bffffea,
    0xeeeeeeee,0xffffffee,0x3ffffc40,0x3fffffa0,0x7fd45fff,0xeeeeefff,
    0xffeeeeee,0x7cc0ffff,0x0002ffff,0x3ffffea0,0xeeeeeeee,0xfffffeee,
    0x3fe0000f,0x20004fff,0x80fffffa,0x02fffff9,0x7ffd4000,0x3fee00ff,
    0xffffffff,0xd3003fff,0xffffffff,0xffffffff,0x3e619fff,0xffeacfff,
    0xffffffff,0x40001eff,0x6400fffe,0xffffffff,0x7fffcc1f,0xffffffff,
    0xf7000dff,0xffffffff,0xc88009ff,0xffffffff,0x800dffff,0xeefffffa,
    0xeeeeeeee,0x0ffffffe,0xffffff10,0x7ff4c03d,0x7cc0ffff,0x9002ffff,
    0xb07fffff,0x800dffff,0x03fffffb,0x00dffffb,0x3fffffb8,0x03ffffc4,
    0x3fffffe6,0x7ffec5ff,0x7fdc006f,0x7fcc3fff,0x00002fff,0x01bffff6,
    0x7fffff70,0x7fffc000,0x3ea0004f,0xf980ffff,0x0002ffff,0x7ffffd40,
    0x7fffd400,0x2fffffff,0xffedb800,0xbaceffff,0x0fffffff,0xea89fff7,
    0xefffffff,0xfa80003d,0xfd8804ff,0x83ffffff,0xfeb8cffe,0x02efffff,
    0xffecb880,0x0002dfff,0x3fffff22,0x2000cfff,0x006ffffd,0x1fffffdc,
    0xffffff70,0xfb9559bf,0x07ffffff,0x05fffff3,0xfffffd98,0x7fffc40f,
    0x7fc4003f,0xff886fff,0x44003fff,0x446fffff,0xd807ffff,0x5fffffff,
    0x0fffffe2,0xfffff100,0xfffff98d,0xcccccccd,0x3ccccccc,0x0fffffe2,
    0xfffff100,0x7ffc000d,0x2a0004ff,0x980fffff,0xccdfffff,0xcccccccc,
    0xfa83cccc,0x8800ffff,0xeffffffd,0x5300000c,0x3ffa2035,0x02fd44ff,
    0x0006aa62,0x03fffa00,0xdeffea80,0x310bd101,0x80000155,0x00000aa8,
    0x019aa988,0xfffff880,0x7ffc4003,0x7ff406ff,0xffffffff,0xffffffff,
    0xfffff306,0xddb9999b,0x7fffffff,0x1fffff70,0xffffb000,0xffffb83f,
    0xffd8000f,0x3fe21fff,0xff8807ff,0x2e5fffff,0x000fffff,0x1fffffd8,
    0x3fffffe6,0xffffffff,0x25ffffff,0x00fffffb,0xfffffd80,0xffff0001,
    0x7d40009f,0xf980ffff,0xffffffff,0xffffffff,0xffa85fff,0x4c000fff,
    0x00000ffe,0x7ffdc000,0x00000180,0x00000000,0x00000100,0x00000000,
    0xffb80000,0xd8000fff,0x401fffff,0xfffffffb,0xffffffff,0x3ffe603f,
    0xffffffff,0xffffffff,0xdffffd04,0x3ffea000,0x7fff44ff,0xff50006f,
    0x7fc49fff,0xff7007ff,0x7f4bffff,0x50006fff,0x4c9fffff,0xffffffff,
    0xffffffff,0x3fa5ffff,0x50006fff,0x009fffff,0x13ffffe0,0xffffa800,
    0xffff980f,0xffffffff,0xffffffff,0xfffffa85,0x06fe8000,0x20000000,
    0x0000002a,0x00000000,0x00000000,0x00000000,0x7ff40000,0xf50006ff,
    0x3009ffff,0xfffffffd,0x03dfffff,0xffffff98,0xffffffff,0xf503ffff,
    0x0007ffff,0x87fffffc,0x03fffffa,0x3ffffe00,0xfffff10f,0x7ffff400,
    0xfffff55f,0x7ffc0007,0xfff30fff,0xffffffff,0xffffffff,0x3fffeabf,
    0x3fe0003f,0x8000ffff,0x004fffff,0x3ffffea0,0xfffff980,0xffffffff,
    0x5fffffff,0x0fffffa8,0x006fe800,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ffffea0,0x3ffe0003,0xb7000fff,0xdffffffd,
    0x3fe6007b,0xffffffff,0x0cffffff,0x3fffff60,0x3ff20000,0xfffb3fff,
    0x640001ff,0xf13fffff,0x4c00ffff,0xfb5fffff,0x0001ffff,0x9fffffe4,
    0xfffffff9,0xffffffff,0xfb5fffff,0x0001ffff,0x1fffffe4,0x7ffffc00,
    0x3fea0004,0xff980fff,0xffffffff,0xffffffff,0xfffa85ff,0xec8000ff,
    0x00000005,0x00000000,0x00000000,0x00000000,0x00000000,0x3ff60000,
    0x20000fff,0x03fffffc,0x00355300,0x3ffffe60,0xdeffffff,0x000001bc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x000001a9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x988000a9,
    0x00019aa9,0x00003510,0x00000000,0x00000000,0x7ff40000,0x2a0001ff,
    0x41bdfedb,0xccccccc9,0xcccccccc,0x7ff5c03c,0x4003efff,0x7ff304ff,
    0x7fffcc00,0x017ffee0,0x3fb6ea20,0x2001bcee,0xff702ffa,0xfff88001,
    0xccc804ff,0xeca881cc,0x5c002def,0x7fec5fff,0x3e20003f,0x4004ffff,
    0x002ffffe,0x027ffd40,0x0fffffe2,0x32e62000,0x09acdffd,0x0f333260,
    0xfffffb80,0x9ffff501,0x77fffedc,0x7fed400b,0x0cffffff,0xfffec800,
    0x3fffa2ef,0x8bfff707,0x8003fffd,0xdefecb98,0x980000ac,0xceeffedb,
    0xe800001c,0x8001ffff,0xffffffe8,0xfff51eff,0xffffffff,0x20bfffff,
    0xffffffd8,0xb000efff,0x3ffb01ff,0x5fffb800,0x001ffff3,0xffffffc8,
    0x00cfffff,0xff06ff88,0xfffb000d,0xff803fff,0x3f623fff,0xefffffff,
    0x3fff6000,0x00bfff93,0x4ffffc80,0xffffe800,0x7fe40002,0x7ffec02f,
    0x20001fff,0xfffffffa,0x702fffff,0x400dffff,0x201fffff,0xf94ffffa,
    0xdfffffff,0x7ffffec0,0x0effffff,0xffffd100,0x3fa9ffff,0x3ff607ff,
    0x0dfff73f,0xfffff500,0x07ffffff,0x3fffaa00,0xffffffff,0x3a00002e,
    0x4001ffff,0xfffffffa,0xfaafffff,0xffffffff,0x5fffffff,0xffffff98,
    0x1fffffff,0xadfffa80,0x0006ffeb,0xfff9fffd,0x7f44005f,0xffffffff,
    0x802fffff,0xecaceffd,0x7dc003ff,0x06ffffff,0x99fffffc,0xfffffffe,
    0x1000ffff,0xfff7ffff,0x7c40001f,0xd0005fff,0x0005ffff,0x200fffe8,
    0xfffffffb,0xffd88006,0xffffffff,0x5c0dffff,0x7006ffff,0xa805ffff,
    0xffdcffff,0xffffffff,0xfffffd85,0xffffffff,0x7ffc400f,0xffffffff,
    0x207fffed,0xffbffff8,0x362000ff,0xffffffff,0x01efffff,0x3fffff20,
    0xffffffff,0xd00006ff,0x4003ffff,0xfffffffb,0xefffffff,0xffffffff,
    0xffffffff,0xfffffe85,0xffffffdf,0xffffb006,0x0001ffff,0x3fffffe2,
    0x3fa6004f,0xffffffff,0x1fffffff,0x7ffffc40,0x4c006fff,0xffd8ffff,
    0x3fffe04f,0xfffffbbf,0xffffffff,0x3ffea006,0x0002ffff,0x002fffdc,
    0x05ffffd0,0x37ffc400,0xb1ffff30,0x54009fff,0xffffffff,0xffffffff,
    0x3ffee2ff,0xfffd006f,0xffff5005,0xffbdffff,0x4c5fffff,0xceffffff,
    0x3ffffffe,0x7ffffec0,0xffffecef,0x7d407fff,0x03ffffff,0x3ffffa60,
    0xffffffff,0x4402ffff,0xfffffffe,0xffffffff,0xe80005ff,0x1001ffff,
    0xffffffff,0xffffffdd,0xffffffff,0xffffffff,0xfffffa8b,0x3fffaa0c,
    0xfff7002f,0x80001bff,0x0efffffa,0x3ffff200,0xfedcdeff,0x806fffff,
    0x4fffffd8,0x2fffe800,0x205fffd1,0xffefffff,0xffffffff,0x002fffff,
    0x17fffff2,0x3bffa000,0x3ffa0000,0x2a0002ff,0x3fa04fff,0xfffd12ff,
    0xffff1005,0xfddfffff,0xffffffff,0x17fffee3,0x00fffea0,0x7fffffd4,
    0x7fffe41d,0x3ffff64f,0x7fff440d,0x3ffe605f,0x7fcc0eff,0xc807ffff,
    0x005fffff,0x3fffffe2,0xfffeefff,0x200fffff,0xfffffffe,0xffffeeff,
    0x0005ffff,0x3fee0000,0x4c0affff,0xfffffffe,0x9999999b,0x7fc09999,
    0xff103fff,0x4c400dff,0x200000aa,0x001ccccb,0x06fffffc,0xffffffa8,
    0x13531002,0x79993000,0xf03ccc98,0xffffffff,0x7ffe4c59,0x64006fff,
    0x0000cccc,0x0006664c,0x2e000000,0x99302fff,0x3ccc9879,0xfffffd80,
    0xffb981cf,0xea8fffff,0xcb805ffe,0x3fea003c,0xf880ffff,0x32a5ffff,
    0xff700fed,0x7fec0dff,0xff300fff,0x3200ffff,0x2000cccc,0xaffffffc,
    0x7fffe440,0xfff905ff,0x5013dfff,0x3ffffffd,0x10000000,0x03dfffff,
    0xffffffd8,0x3fe60002,0x7fec07ff,0x000001ff,0x98000000,0x400fffff,
    0x04fffffa,0x00000000,0xffffff80,0x7ffdc05f,0x00000fff,0x00000000,
    0x7ec00000,0x000000ff,0xffffff30,0xfffd3005,0x27fc49ff,0xff500000,
    0x7e405fff,0x30005fff,0x7c0dffff,0x6c03ffff,0x0007ffff,0xffff9800,
    0x7fd400ef,0x7d40ffff,0x803fffff,0x4ffffff8,0x00d4c000,0x5fffff90,
    0xfffff100,0x7d40005f,0x7dc06fff,0x31003fff,0x40000135,0x40009a98,
    0x006ffffb,0x00dffffd,0x40000d4c,0x0099aa98,0xeffffff8,0xfffff800,
    0x2a62002f,0x4c400009,0x000099aa,0x0004d4c4,0x800ffff0,0x20009a98,
    0x01fffffe,0x3ffffe60,0x007ff50f,0x20026a62,0x00fffffa,0x01bfffee,
    0xffffca88,0xffff107f,0xfffa803f,0x06a6007f,0xfffffb00,0x3ffee001,
    0x7ffec3ff,0x3ea003ff,0x8007ffff,0xefffffeb,0x7ffff403,0x3fff2007,
    0x2e0002ff,0xccceffff,0xfffdcccc,0x3fae203f,0x01dfffff,0xfffeb880,
    0xb801dfff,0x801fffff,0x402aaaca,0xefffffeb,0x3ff22003,0x2dffffff,
    0x3fffffe0,0xffff9001,0xffd9807f,0x00cfffff,0xfffff910,0x4005bfff,
    0xffffffd9,0x3e6000cf,0xfd9805ff,0x0cffffff,0x3ffffea0,0xfffd8005,
    0x0ffe9bff,0x3ffff660,0xf500cfff,0xfb80ffff,0x2a206fff,0xffffffed,
    0xfff307ff,0xff9801ff,0x7f5c07ff,0x403effff,0x04fffff9,0x2b3bfe20,
    0x3ffffe20,0xcdfd8006,0x3f62001a,0xffffffff,0xfffff00e,0x7ffcc009,
    0x360002ff,0xffffffff,0xffffffff,0xffff504f,0x9fffffff,0x7fffd400,
    0x4fffffff,0x7ffffcc0,0x100000cf,0xfffffffb,0xfa801dff,0xffffffff,
    0xfff05fff,0x7cc00dff,0x2e05ffff,0xffffffff,0x7d402fff,0xffffffff,
    0xfb805fff,0xffffffff,0xff7002ff,0xfffb807f,0xffffffff,0xfffff902,
    0xfff10003,0x05fffdff,0x7fffffdc,0xa82fffff,0x5407ffff,0xeb86ffff,
    0xffffffff,0xf507ffff,0xf100ffff,0x3620ffff,0xffffffff,0xfff700ef,
    0x098001ff,0x3ffffee0,0x40000002,0xfffffff9,0x41ffffff,0x02fffff8,
    0x17ffffc0,0xffffb000,0xffffffff,0x70bfffff,0xffffffff,0x03dfffff,
    0xffffffb8,0xefffffff,0x3ffffe01,0x001befff,0xffffff30,0x3fffffff,
    0x3ffffe60,0xffffffff,0xfffff84f,0x3ffe2005,0xfffb06ff,0xffffffff,
    0x3fe605ff,0xffffffff,0x3604ffff,0xffffffff,0x802fffff,0x3601fffd,
    0xffffffff,0xd82fffff,0x0006ffff,0x3ffffffa,0x3fff603f,0xffffffff,
    0x7ffd42ff,0x7ffd407f,0x7fffe46f,0xffcdffff,0xfff507ff,0xff9801ff,
    0xfff987ff,0xffffffff,0xfffc81ff,0xd800007f,0x0007ffff,0xfffe8000,
    0xffffdfff,0x7ffcc6ff,0x7fc001ff,0xeeeeefff,0x44eeeeee,0xcceffffc,
    0xcccccccc,0x7ffd43cc,0xffffffff,0x2a06ffff,0xffffffff,0x6fffffff,
    0x3ffffea0,0xadffffff,0xffffd000,0xfffffbff,0x3fffa0df,0xffdbbdef,
    0x7fc1ffff,0x7c004fff,0xfb86ffff,0xfeefffff,0x80ffffff,0xbdeffffe,
    0xffffffdb,0xfffffb81,0xfffffeef,0x7ffc00ff,0x3fffee07,0xffffeeff,
    0x7ff40fff,0x360005ff,0x00dfffff,0x3fffffee,0xffffffee,0x3fffea0f,
    0x7fffd407,0x3fffff66,0x3ffe61bd,0xffff307f,0xfffa803f,0xffffe87f,
    0xfffffdff,0xffffd86f,0xfe800006,0x00006fff,0x7fffd400,0x3ffaa0cf,
    0x3ffea2ff,0x7f4001ff,0xffffffff,0x45ffffff,0x005ffffb,0x7ffffc40,
    0x3ffa60cf,0xff883fff,0x260cffff,0x03fffffe,0x3ffffff2,0xcfffffff,
    0x3fffea01,0x3ffaa0cf,0x7ffc42ff,0xfffd106f,0xfffff89f,0x7fffc003,
    0x7fffc46f,0x3fee20ef,0x7fc43fff,0xffd106ff,0xfff889ff,0x3ee20eff,
    0x2603ffff,0xff105fff,0x5c41dfff,0x7c3fffff,0x0004ffff,0x07fffff2,
    0xefffff88,0x3fffee20,0x3fffea3f,0x7fffd407,0x7fffff16,0x1ffffe60,
    0x17ffffc4,0x1fffff20,0x19fffff5,0x17ffff54,0x017ffffa,0x3fffe000,
    0x0000005f,0x81fffffc,0x2e6ffff8,0x000fffff,0x7fffffec,0xffffffff,
    0x7fffd45f,0xf5004c07,0x6c05ffff,0x540fffff,0x202fffff,0x00fffffd,
    0x3ffffff2,0xffffffff,0x7fffff02,0x1bfffe20,0x40bffff3,0xff80abd9,
    0x74003fff,0x7e47ffff,0xfb00ffff,0xff98ffff,0x2f6605ff,0xffffc80a,
    0xffffb00f,0x1fffdc0f,0x0fffffc8,0x4fffffb0,0x03fffff8,0x3fffee00,
    0x3fff202f,0xfffb00ff,0x7fffd4ff,0x7fffd407,0x0dffff56,0x03ffffd4,
    0x40dfffff,0x47fffff8,0x103fffff,0xff8dffff,0x00004fff,0x27ffffc4,
    0x3bbbba60,0x03eeeeee,0x01ffffe6,0x323ffffb,0x000fffff,0x7fffffec,
    0xffffffff,0x7fffc45f,0xdfff303f,0x7fffe439,0x7fffc405,0x7fffe43f,
    0x7fffc405,0x7fec403f,0xffffffff,0x7fcc3fff,0x7fec07ff,0x3ffe21ff,
    0x8000beff,0x003fffff,0x23fffff4,0x203ffffe,0xf881ace9,0x00beffff,
    0x3ffffe80,0x006b3a60,0x3a03fffb,0x2603ffff,0x7fcc1ace,0x20003fff,
    0x02fffffa,0x80fffffa,0x7d41ace9,0x7d407fff,0xfff96fff,0x7ffec0df,
    0x3ffee07f,0xffd883ff,0x3fe67fff,0x7fec07ff,0xffff11ff,0x8800009f,
    0x404fffff,0xfffffffa,0x2a04ffff,0x5c06ffff,0xff73ffff,0xe8003fff,
    0xeeeeffff,0x4eeeeeee,0x2fffffb8,0x0fffffd8,0x00bffffa,0xd17ffff2,
    0x9005ffff,0x200bffff,0xfffffda8,0x23ffffff,0x406ffffa,0x7c3ffffb,
    0xefffffff,0xfff800ac,0x7ec003ff,0x7ffc7fff,0xf80001ff,0xefffffff,
    0xfff800ac,0x200001ff,0x3fe07fff,0x20001fff,0x04fffff8,0x3fffee00,
    0x3fffe01f,0x3ea0001f,0x7d407fff,0xfff76fff,0xfff703ff,0x7fc40fff,
    0xbabdffff,0x7ffffffe,0x01bfffea,0x7c7ffff7,0x0005ffff,0x5fffff80,
    0x7ffffd40,0x04ffffff,0x33bfffee,0xfdcccccc,0xfff53fff,0xff8005ff,
    0x40002fff,0xeffffff8,0xffffffdc,0x3ffffe24,0xffffb800,0x3ffffe26,
    0xffffb800,0xfd730006,0x4dffffff,0xcceffffb,0xffdccccc,0x7ffdc3ff,
    0xffffffff,0x3fffe03d,0x7ff4003f,0x3ffe27ff,0xb80000ff,0xffffffff,
    0xf103dfff,0x0001ffff,0x417ffe20,0x00fffff8,0x7ffffc00,0x3ff20005,
    0x3fe207ff,0x20000fff,0x407ffffa,0xf36ffffa,0x95bfffff,0xffffffff,
    0x7fffe401,0xffffffff,0x3ee7ffff,0xccccefff,0xffffdccc,0x1bffffa3,
    0x3ffa0000,0x7fd406ff,0xffffffff,0x3fff604f,0xffffffff,0x34ffffff,
    0x005fffff,0x02fffff8,0xffff9800,0xffffffff,0x7fffd45f,0xffff5007,
    0x3ffffd4f,0x7ffffa80,0xffc88000,0xffb0ffff,0xffffffff,0x9fffffff,
    0xffffff90,0x5dffffff,0x07fffff0,0x6ffffe80,0x01ffffea,0xffffc800,
    0xffffffff,0x7fffd42e,0x3ea00007,0xfff503ff,0xfd0000ff,0x4000dfff,
    0x206ffffd,0x007ffffa,0x3ffffd40,0x9bfffea0,0xfffffffd,0xffffffff,
    0x7ffe401f,0xaeffffff,0x3f67ffff,0xffffffff,0xffffffff,0x1bffff64,
    0x3ffa0000,0x774c07ff,0xffffeeee,0x3fff604f,0xffffffff,0x15ffffff,
    0x009fffff,0x17ffffcc,0xffe88000,0xffffffff,0x7ffffa85,0xfffff500,
    0x03ffffd4,0x87ffffa8,0x2a002a99,0xfb2fffff,0xffffffff,0xffffffff,
    0x3fffaa0b,0xffffffff,0x7ffffc2f,0x7fff4003,0x3fffea6f,0x2a00000f,
    0xfffffffe,0x2a2fffff,0x000fffff,0x03fff900,0x03ffffea,0xffffb000,
    0xff10001f,0x7d40bfff,0x0000ffff,0x01ffffea,0x44dffff5,0xfffffffe,
    0xffffc9ef,0xffffb804,0xff98dfff,0x3fff67ff,0xffffffff,0x25ffffff,
    0x007ffffc,0xfc80bdd8,0x0001ffff,0x409fffff,0xcceffffc,0xcccccccc,
    0x3fffe3cc,0x3ff2007f,0x00002fff,0x7fffff64,0xfff302ef,0xff7001ff,
    0x7ffccdff,0xffb800ff,0x3ffee6ff,0x3fe000ff,0xfff94fff,0x999999df,
    0x07999999,0xffffec98,0x20ffffff,0x003fffff,0x137ffffc,0x003fffff,
    0xffd93000,0xffffffff,0x3ffffe21,0xffd00001,0x7fffc40f,0x7dc0001f,
    0x8004ffff,0x04fffffb,0x07ffffe2,0xffffa800,0x7fffd407,0x7fffe446,
    0xfff30cff,0x36e600df,0x3fe62cef,0x3fff27ff,0xccccccef,0x23cccccc,
    0x03fffffa,0x3bfffe20,0x3ffffe62,0xffff0006,0x7ffdc09f,0x7ec0005f,
    0xd002ffff,0x005fffff,0x4fff4000,0x7fffc400,0xfffc801f,0x3fffe25f,
    0xfffc801f,0x3fffe65f,0x3ffa002f,0xffff74ff,0x8800000b,0xffffffca,
    0x3ffffe1f,0x3ffe2003,0x7fffc5ff,0x04d5c02f,0x7fe54400,0x3e1fffff,
    0x5c02ffff,0xfff1009a,0xfffff80d,0x404d5c02,0x0ffffff9,0x3fffe200,
    0x7ffc01ff,0x4d5c02ff,0xffb80000,0x2aa606ff,0x005ff880,0xffff9800,
    0x17fffee7,0xffff1000,0x7fdc00ff,0x7ff42fff,0xf8002fff,0x2a04ffff,
    0x4c07ffff,0x3fffe600,0xfffc806f,0x00002fff,0xe801ffa0,0x4405ffff,
    0x743fffff,0x4405ffff,0x7c3fffff,0x800effff,0x52fffff9,0x980fffff,
    0x00a98800,0x8fffffea,0x003fffff,0x0fffffea,0x40bffffd,0x81fffff9,
    0x3ea00a98,0x3fa3ffff,0x3e605fff,0x7d41ffff,0x7ff404ff,0x3fe605ff,
    0x7fe41fff,0xb000dfff,0x00bfffff,0x40bffffd,0x01fffff9,0x3ffff600,
    0x3fe60005,0x0cd65c04,0x37fffd40,0x80fffff5,0x7ffe4009,0xff9803ff,
    0xffb87fff,0x2001efff,0x04fffffa,0x0fffffe2,0x0e77ffcc,0x37fffff6,
    0xfffff700,0x000005ff,0xf9003ffc,0x6c05ffff,0x640fffff,0x202fffff,
    0x40fffffd,0x0dfffffd,0x3ffffa20,0x3ffffe27,0x9dfff303,0x2ffffec3,
    0x8bffffa0,0x003fffff,0x0bfffff6,0x01fffff9,0xb1fffff6,0xe80bffff,
    0x3f22ffff,0xfb00ffff,0xff90ffff,0xfffc805f,0xfffb00ff,0xffff10ff,
    0x74403dff,0x00ffffff,0x0fffffc8,0x0fffffb0,0x7fff4c00,0x3ea0005f,
    0x7ffe404f,0x3ff603ff,0x3ffe24ff,0xfff303ff,0xfffd039d,0x7f540bff,
    0xfd04ffff,0x807fffff,0xffffffe9,0x7fffdc04,0xffffd82f,0x7fffcc0f,
    0xfdbbdfff,0xffffffff,0xcccccccd,0x800ccccc,0x1001fff9,0x19ffffff,
    0x7fffff4c,0xfffff883,0x3ffa60cf,0xff983fff,0x9acfffff,0xfffffca9,
    0x7fffdc5f,0xffffd82f,0x3ffff20f,0xffff302f,0x7ffffc1f,0xf9359b03,
    0x881fffff,0x22ffffff,0x4fffffc9,0x17ffffe4,0x0fffff98,0x3fffffe2,
    0x3ffff262,0x0fffe84f,0x7ffffc40,0x3fff262f,0xfff704ff,0x559bffff,
    0xffffffb9,0x3fe2007f,0x3262ffff,0x004fffff,0xfffffef8,0x3f20004f,
    0x7ffd406f,0xb510afff,0xb83fffff,0xd82fffff,0xa80fffff,0xceffffff,
    0xffffdbab,0xff300fff,0x79dfffff,0xffffdb75,0x8809ffff,0xceffffff,
    0x4ffffffd,0xffffffb0,0xffffffff,0xffffffff,0xffffffff,0xff1003ff,
    0xf70043bf,0xffffffff,0x0dffffff,0x7fffffdc,0xffffffff,0x3ffee06f,
    0xffffffff,0x2fffffff,0x7fffffc4,0xfffffdce,0x7fffc44f,0xfecaceff,
    0x7fc5ffff,0xff983fff,0xffffffff,0xfffff704,0xffffffff,0xfff881ff,
    0xecacefff,0xb85fffff,0xffffffff,0x0fffffff,0x8037ffc4,0xfffffffb,
    0xffffffff,0x3ffffa00,0xffffffff,0x06ffffff,0x7ffffdc0,0xffffffff,
    0x7cc000ff,0x2fffffff,0x3ffee000,0xfff8820b,0xffffffff,0x885fffff,
    0xceffffff,0x4ffffffd,0x3fffff60,0xffffffff,0x5401ffff,0xffffffff,
    0xffffffff,0x801fffff,0xfffffff9,0x05ffffff,0x3fffffa2,0xdfffffff,
    0xfffffffb,0xffffffff,0xffd001ff,0x401ffdff,0xfffffffd,0x1effffff,
    0x7ffffec0,0xffffffff,0x7ffec01e,0xffffffff,0x303fffff,0xffffffff,
    0x20bfffff,0xfffffffa,0xffffffff,0x1fffffc0,0x7fffffec,0x3a00ffff,
    0xffffffff,0x501fffff,0xffffffff,0x1fffffff,0x3fffffa0,0xffffffff,
    0x04fffa81,0x3fffffa0,0xffffffff,0xffffb801,0xffffffff,0x0003ffff,
    0xfffffffd,0x03ffffff,0xfffff500,0x98000bff,0x5fefffff,0x7fffffd4,
    0xffffffff,0xffff300f,0xffffffff,0xfff700bf,0xffffffff,0x2005ffff,
    0xfffffff9,0xffffffff,0x2000dfff,0xffffffe8,0x9005ffff,0xffffffff,
    0x3ffeabff,0xffffffff,0x01ffffff,0xffffff30,0xfffb801f,0xffffffff,
    0x3ffee004,0xffffffff,0x3ffee004,0xffffffff,0x74403fff,0xffffffff,
    0x7fd405ff,0xffffffff,0xfff81eff,0x7ffc43ff,0x1fffffff,0xfffffc80,
    0x02ffffff,0x7fffffd4,0x1effffff,0x7ffffe40,0x02ffffff,0x8005fff9,
    0xfffffffc,0x2002ffff,0xffffffe9,0x1effffff,0x7ffe4000,0xffffffff,
    0xfff90002,0x0001ffff,0xffffff90,0xffffd50b,0xbfffffff,0xfffe8801,
    0x5fffffff,0x3fffa600,0xffffffff,0x7ec4002e,0xffffffff,0x01dfffff,
    0x3fffb200,0x4002efff,0xffffffda,0x3fffea3d,0xffffffff,0x001fffff,
    0x0f3bff66,0x7ff65c40,0x8002dfff,0xffffecb8,0xc88002df,0xffffffff,
    0x32000bef,0xeffffffe,0x3ffae002,0x02efffff,0x10fffffe,0xffffffd7,
    0x7ecc003b,0x0cffffff,0x3fffae00,0x002effff,0x3fffff66,0x3fa00cff,
    0xd98000ff,0xcfffffff,0xfdb70000,0x7bdfffff,0x7ecc0000,0x0cffffff,
    0x3ffae000,0x00000bdf,0x0737ffae,0xfffeeda8,0x64001cde,0xeffffffe,
    0xffb70002,0x05dfffff,0xffeb8800,0xacdfffff,0x54c00000,0x8800009a,
    0x000001aa,0x00000000,0x00002aa2,0x00015510,0x9aaaa980,0xaa980000,
    0x26200009,0x00001aaa,0x01355530,0x09aa8800,0x554c4000,0xa880001a,
    0x5550009a,0x55100005,0x30000013,0x00000355,0x0026aa20,0x00002000,
    0x00000000,0x26aa6000,0x2a200000,0x000001aa,0x00155531,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x066d4000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xff800000,0x20002fff,0xceffedb8,0x7fcc0001,0x3fff20ef,
    0x01fffe05,0xb8ffff90,0x22007fff,0x004fffff,0xfffffc80,0xffffc800,
    0xb980000f,0x00bdefec,0xfff70000,0xc80003ff,0x7fe46fff,0x13fe007f,
    0x2001ffcc,0x04ffffe8,0x7ffdc000,0x7dc001ff,0x0000ffff,0xf11fffec,
    0x64003fff,0xff94ffff,0x930009ff,0x5bdfffdd,0x95300000,0x1359bffb,
    0xffff3000,0x02fffdc1,0x7cc13fe2,0xfffd802f,0x037ffec5,0x07ffffea,
    0xb9dfa800,0xff70006f,0xbfffffff,0x7fe40001,0x1dfff55f,0x00fffec0,
    0xb8ffff90,0x36007fff,0x01ffffff,0x3fffe200,0x3ff6001f,0x220003ff,
    0xfffffffe,0x800003ff,0x002ffffe,0x46fffc80,0x2007fffc,0xffd80ffd,
    0x7ffe4001,0x00002fff,0x007ffffa,0x27fffe40,0x3ffe2000,0x07fffd1f,
    0xaffffc40,0x005ffff8,0x7fffff54,0x0cffffff,0x7ffdc000,0xffffffff,
    0xffb8002f,0x1ffff35f,0xb01ffd00,0xffb001ff,0x6fffd8bf,0x3ffffe20,
    0x3fa0006f,0x70007f60,0xffffffff,0x0001dfff,0x7fe7fff4,0x7fdc01ff,
    0x3ff2003f,0x3fffdc7f,0xfffffb80,0x70000eff,0x0003ffff,0x000ffffb,
    0x3fffffa2,0x04ffffff,0x3ffea000,0xf900002f,0xfffc8dff,0x3ffea007,
    0x06ffebad,0x7ffffd40,0x80000fff,0x002ffffa,0x07fffec0,0x3ffea000,
    0x005fffce,0xf737ffe4,0x22001dff,0xeffffffd,0xffffffee,0xffe88002,
    0xffffffff,0x000dffff,0x7fe7fff4,0xff7002ff,0xbffd759f,0x17fff600,
    0x6c0dfffb,0x4fffffff,0x745f9000,0x3fe6000f,0xffeeffff,0x20005fff,
    0xfffffff8,0x4fff9804,0x1ffff200,0x300ffff7,0xffb1ffff,0x3fe0009f,
    0x3a0002ff,0x4c002fff,0xffffffff,0x02ffffff,0x7fffd000,0x7fe40000,
    0x3fffe46f,0x3ffff600,0x2000ffff,0xfc9ffff8,0xe80005ff,0x00003fff,
    0x0007fffb,0xffffff90,0x7fc4001f,0x3fffe0ef,0xffff3000,0x7fe4c05d,
    0x3ea004ff,0xffffffff,0xffffffff,0x3fe2002f,0x004fffff,0x7fffffec,
    0xffb000ff,0x6fffd8bf,0xf1bfff70,0x30005fff,0x00bfdbff,0x0effffb8,
    0x03ffffa6,0xffffb800,0x3ffe006f,0x3332a006,0x026664c4,0xe897fff4,
    0x54002fff,0x40002fff,0x4006ffe8,0xaefffffc,0x7fffffda,0xfff98000,
    0x65400004,0x666543cc,0xfffb8004,0x6c000dff,0x3ffa3fff,0x3e60003f,
    0x400003ff,0x00007ffe,0x05fffffd,0x21fffb80,0x3001fffb,0x4003dfff,
    0x805fffc8,0xfffffff8,0xffffeeff,0x001fffff,0x3bffffea,0xfffb8000,
    0x2e000dff,0x66543ccc,0xffff983c,0x01ffff30,0x1bfff700,0xffffd800,
    0x1ffffb83,0x6665c000,0x3ff6001c,0x0000000f,0x98799930,0x5c003ccc,
    0x100002cc,0x7c001999,0xfa83ffff,0x0001ffff,0x0001e654,0x00000000,
    0x00015531,0xc8879993,0x2a0004cc,0x800003cc,0x0001ccc8,0x03cccc98,
    0x5c1ccb80,0xff1002cc,0x2a0001bf,0x7f403fff,0x81cfffff,0xffffffc9,
    0x6665c005,0x2620001c,0x000000aa,0x83999700,0x0002ccca,0x7ec0002a,
    0xffa84fff,0x000002ff,0x17ffdc00,0x00000000,0x00000000,0x7cc00000,
    0x3fe07fff,0x00004fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x5ffd8000,0x402b2e60,0xf701fff9,0x005fffff,0x5ffffff3,
    0x00000000,0x00000000,0x00000000,0x7fffdc00,0x7fffec0f,0x26620000,
    0x260019aa,0x00004fff,0x00000000,0x00000000,0x4ffffb80,0x02b37ae0,
    0x04d54cc0,0x0026aa60,0x026a6200,0x00000000,0x0009a988,0x026a6200,
    0x9a988000,0x53100000,0x00001335,0x77fd4000,0xfffffb80,0x6ffb82ef,
    0xffffff88,0x3ffe6001,0x00000fff,0xaa998800,0xa9800019,0x40000001,
    0x407ffffa,0x305ffffb,0x6cbfffff,0x0005ffff,0xffffffb5,0xff0019ff,
    0x7ffd40df,0x7ffdc07f,0xfffff55f,0x5ffffb80,0x80fffff5,0xf55ffffb,
    0xfb80ffff,0x7fdc5fff,0x200004ff,0xffffffc8,0xffb10cff,0x005bffff,
    0xffffeb88,0x7d401dff,0x7dc07fff,0x2e205fff,0xdffffffe,0xfeb88001,
    0x01dfffff,0xfffeb880,0x4001dfff,0xffffffc8,0xff502dff,0xffb80fff,
    0x1ffe85ff,0xffffffb8,0xffd82fff,0x7ffffd41,0xfffc8005,0x3ffea3ff,
    0x7ffdc07f,0xfffb505f,0x019fffff,0x7ffff5c0,0xff3003ef,0x3ea00fff,
    0x7dc07fff,0x3f605fff,0xffedffff,0xd8002fff,0xffffffff,0x6c00efff,
    0xff500fff,0xffb80fff,0xffff55ff,0xffffb80f,0x0fffff55,0x55ffffb8,
    0xb80fffff,0x7cc5ffff,0x00005fff,0xfffffff5,0xffbfffff,0xffffffff,
    0x3ffea009,0xffffffff,0x3fffea04,0x7fffdc07,0xfffff505,0x09ffffff,
    0x7ffffd40,0x04ffffff,0x3ffffea0,0x04ffffff,0xffffff50,0x0bffffff,
    0x80fffff5,0x4c5ffffb,0xfffa86ff,0x1fffd50b,0x7ec5ffa8,0x8001ffff,
    0x24fffff8,0x407ffffa,0xd85ffffb,0xffffffff,0x4400efff,0xfffffffd,
    0x7cc00eff,0xf5007fff,0xfb80ffff,0x3e205fff,0xffffffff,0xfd8003ff,
    0xffffffff,0x200fffff,0xf502fffb,0xfb80ffff,0xfff55fff,0xfffb80ff,
    0xfffff55f,0x5ffffb80,0x80fffff5,0x445ffffb,0x0007ffff,0xffffffa8,
    0xffffffff,0xffffffff,0x7dc05fff,0xffffffff,0xa81effff,0x5c07ffff,
    0xfb85ffff,0xffffffff,0x401effff,0xfffffffb,0x1effffff,0x7ffffdc0,
    0xffffffff,0x3ffe601e,0xffffffff,0x7fd44fff,0x7fdc07ff,0x17fe45ff,
    0x7c41fffc,0x0ffe83ff,0x01bffffe,0x6ffffe80,0x01ffffea,0xd8bffff7,
    0xffffffff,0x00ffffff,0xfffffff3,0x03ffffff,0x03ffffcc,0x07ffffa8,
    0x02ffffdc,0x3fffffea,0x98002fff,0xceffffff,0x3ffffffe,0x413ffe60,
    0x407ffffa,0xf55ffffb,0xfb80ffff,0xfff55fff,0xfffb80ff,0xfffff55f,
    0x5ffffb80,0x01fffff8,0x7ffffc00,0xffffedff,0xddffffff,0x03ffffff,
    0xfffffff5,0xffffffff,0xfffff50d,0x5ffffb80,0x7fffffd4,0xffffffff,
    0x3ffea06f,0xffffffff,0x2a06ffff,0xffffffff,0x6fffffff,0x3bffffa0,
    0xffffdbbd,0x3ffea1ff,0x7ffdc07f,0x4c3ff45f,0x02a606ff,0xff88ffe4,
    0x20005fff,0x2a7ffffd,0x5c07ffff,0x3e65ffff,0xecefffff,0x03ffffff,
    0xbffffffd,0x0dffffff,0x03ffffcc,0x07ffffa8,0x02ffffdc,0xffffffb1,
    0x360001df,0x440dffff,0x405ffffe,0xff506fff,0xffb80fff,0xffff55ff,
    0xffffb80f,0x0fffff55,0x55ffffb8,0xb80fffff,0xdd95ffff,0xdddfffff,
    0xf7003ddd,0xe883ffff,0x0effffff,0x07ffffdc,0x3fffffe2,0x3fffa60c,
    0x7ffd43ff,0x7ffdc07f,0x3fffe25f,0x3fa60cff,0xf883ffff,0x20cfffff,
    0x3fffffe9,0xffffff88,0x3fffa60c,0xfff883ff,0xfffd106f,0x7fffd49f,
    0x7fffdc07,0x7d437fc5,0x3ee0004f,0xfffff12f,0x7fe40009,0xfff50fff,
    0xfffb80ff,0x3ffff65f,0x7fff440d,0xffffa85f,0x3ffaa0cf,0xfff302ff,
    0x3fea00ff,0x7fdc07ff,0xfff705ff,0x1dffffff,0x3b72a000,0xffff700f,
    0x0fffe80d,0x07ffffa8,0xaaffffdc,0x5c07ffff,0xff55ffff,0xffb80fff,
    0xffff55ff,0xffffb80f,0xffffffb5,0x5fffffff,0x5fd97300,0x3ffffea0,
    0xffff900f,0xfffffa87,0x3ffff602,0x3fffea0f,0x7fffdc07,0x3ffffea5,
    0x3ffff602,0x7fffd40f,0x3fff602f,0x7ffd40ff,0x3ff602ff,0x7fcc0fff,
    0x2f6605ff,0x7fffd40a,0x7fffdc07,0x7e42ffc5,0x3ea0004f,0xfffff33f,
    0x7fdc0007,0xfff51fff,0xfffb80ff,0x3fb72a5f,0xdffff700,0x07fffff0,
    0x41bfffe2,0x007ffff9,0x80fffff5,0xb85ffffb,0xffffffff,0x00045fff,
    0x7fffcc00,0x0fffe406,0x03ffffd4,0x557fffee,0x5c07ffff,0xff55ffff,
    0xffb80fff,0xffff55ff,0xffffb80f,0xffffffb5,0x5fffffff,0xff880000,
    0x3e204fff,0x7fe45fff,0x7fc405ff,0x3fea3fff,0x7fdc07ff,0x3fff25ff,
    0x7ffc405f,0x7ffe43ff,0x7ffc405f,0x7ffe43ff,0x7ffc405f,0x7ffc43ff,
    0x4000beff,0x407ffffa,0x225ffffb,0x3ffd85ff,0x53fe6000,0x03fffff9,
    0x3fffea00,0xfffff52f,0x5ffffb80,0xffff3000,0x7ffff98d,0x0ffffec0,
    0x03ffffcc,0x07ffffa8,0x22ffffdc,0xcffffffb,0x23ffffff,0x0002bdfe,
    0xfffff951,0x3fffa80f,0x07ffffa8,0xaaffffdc,0x5c07ffff,0xff55ffff,
    0xffb80fff,0xffff55ff,0xffffb80f,0xffffffb5,0x5fffffff,0xd9510000,
    0x805fffff,0x7f47ffff,0xfc802fff,0x3fea5fff,0x7fdc07ff,0x3fffa5ff,
    0xfffc802f,0x7ffff45f,0xffffc802,0x17ffff45,0x2ffffe40,0x7ffffffc,
    0x5400acef,0x5c07ffff,0x7fc5ffff,0x004ffc86,0x7c4ffea0,0x0004ffff,
    0x47ffffee,0x407ffffa,0x005ffffb,0x3ffff2a2,0x7fffd47f,0x7fffdc06,
    0x7ffff983,0xfffff500,0x5ffffb80,0x3fffffe2,0xffffff52,0x0fffff33,
    0x3ffb6a20,0x07ffffff,0x542fffc4,0x5c07ffff,0xff55ffff,0xffb80fff,
    0xffff55ff,0xffffb80f,0x0fffff55,0x35ffffb8,0xffffd555,0x00155559,
    0xfffd9710,0xddffffff,0xffdddddd,0x3fe21fff,0xfb800fff,0x3fea6fff,
    0x7fdc07ff,0xffff15ff,0xfff7001f,0x7fffc4df,0xfffb800f,0x3fffe26f,
    0xfffb800f,0xffffb86f,0xdfffffff,0xfffff503,0x5ffffb80,0x7fdc3ff4,
    0xfb80a605,0x3ffffe2f,0x3ff20005,0x3ffea7ff,0x7ffdc07f,0x3b6a205f,
    0xffffffff,0x77fffdc7,0xdccccccc,0xf983ffff,0xf5007fff,0xfb80ffff,
    0x3ff65fff,0x7fe41fff,0xfffcefff,0x7ff5c04f,0xffffffff,0xffe807ff,
    0x7ffffa87,0xaffffdc0,0x407ffffa,0xf55ffffb,0xfb80ffff,0xfff55fff,
    0xfffb80ff,0xffffd05f,0xfd980005,0xffffffff,0xffffffff,0xffffffff,
    0xfffff51f,0x3fffea00,0x1ffffea7,0x2bffff70,0x007ffffa,0x54fffff5,
    0x5007ffff,0x7d4fffff,0xf5007fff,0x3f20ffff,0xffffffff,0x7d42efff,
    0x7dc07fff,0x7fec5fff,0x807ffd40,0xffd83ffe,0x1bffffa1,0xffffd800,
    0x1ffffea6,0x0bffff70,0xffffffd7,0x8fffffff,0xfffffffd,0xffffffff,
    0xfff984ff,0xfff5007f,0xfffb80ff,0x3ffffe5f,0xfffffb05,0x405fffff,
    0xfffffffc,0x7ffffcdf,0x41fffc80,0x407ffffa,0xf55ffffb,0xfb80ffff,
    0xfff55fff,0xfffb80ff,0xfffff55f,0x5ffffb80,0x0fffff88,0x3fff2000,
    0xfcefffff,0xffffffff,0xffffffff,0xfffff51f,0x3fffea00,0x1ffffea7,
    0x2bffff70,0x007ffffa,0x54fffff5,0x5007ffff,0x7d4fffff,0xf5007fff,
    0x7540ffff,0xffffffff,0x3ea2ffff,0x7dc07fff,0x7fdc5fff,0x40dffe84,
    0x7c41fffb,0x7fffec6f,0xfff0000f,0x7ffd4bff,0x7ffdc07f,0x7fffe45f,
    0xffcdffff,0x7ffec7ff,0xffffffff,0x85ffffff,0x007ffff9,0x80fffff5,
    0xf15ffffb,0x2205ffff,0xfffffffe,0x3fff607f,0x3e61bdff,0xfa807fff,
    0x7ffd43ff,0x7ffdc07f,0xfffff55f,0x5ffffb80,0x80fffff5,0xf55ffffb,
    0xfb80ffff,0xffa85fff,0x2a0006ff,0xacffffff,0xbfffff10,0x99999999,
    0x3e639999,0xb800ffff,0x3ea6ffff,0x7dc07fff,0xfff35fff,0xff7001ff,
    0x7ffccdff,0xffb800ff,0x3ffe66ff,0xffb800ff,0xec9806ff,0xffffffff,
    0xffff50ff,0xffffb80f,0x4c3ffc45,0xfebcffff,0x3ffb85ff,0x27ffffdc,
    0x7fffdc00,0x3fffea4f,0x7fffdc07,0x3fffff65,0x3ffe61bd,0x7fffe47f,
    0xccccccce,0x983ccccc,0x5007ffff,0xc80fffff,0xff35ffff,0x7c403fff,
    0x2fffffff,0x7fffff10,0x1ffffe60,0x517ffe20,0xc80fffff,0xff55ffff,
    0xffc80fff,0xffff55ff,0xffffc80f,0x0fffff55,0x85ffffc8,0x003ffffd,
    0x37ffffa0,0xfffff880,0x3fe20002,0xfc801fff,0x3fea5fff,0x7fe407ff,
    0xffff15ff,0xfff9003f,0x7fffc4bf,0xfffc801f,0x3fffe25f,0xfffc801f,
    0x6544005f,0x1fffffff,0x80fffff5,0xc85ffffc,0xfffa83ff,0x40efffff,
    0x7cc0fff8,0x000fffff,0x3fffffe2,0x1ffffea1,0x2bffff90,0x03fffff8,
    0xb8fffff3,0x0005ffff,0x0fffff30,0x3ffffe60,0x3ffffa00,0x9fffff15,
    0xfffffa80,0xfff500ff,0x7ffd40df,0xfffd007f,0x0fffff98,0x57ffffa0,
    0x00fffff9,0x4d7ffffa,0x200fffff,0xf35ffffe,0x7401ffff,0x7dc5ffff,
    0x20006fff,0x00fffff8,0x09fffff3,0x3ffa0098,0x7fc405ff,0x3fe63fff,
    0x3fa00fff,0x3ffa5fff,0x7fc405ff,0x7ff43fff,0x7fc405ff,0x7ff43fff,
    0x7fc405ff,0x53103fff,0x7fffd401,0xfffff33f,0x7ffff401,0x81fff985,
    0x3fffffd8,0x3209ffd0,0x00dfffff,0xbfffffb0,0x0fffff98,0x57ffffa0,
    0x206ffffa,0x547ffffa,0x4c07ffff,0xffff9800,0xffff3007,0x3ffea05f,
    0x3fffe5ff,0x7ffe407f,0xc80effff,0x3606ffff,0x9007ffff,0x7fcc3fff,
    0xff502fff,0x3fe6bfff,0xff502fff,0x3fe6bfff,0xff502fff,0x3fe6bfff,
    0xff502fff,0x7fd4bfff,0x00998fff,0x3fffe60c,0xffff900f,0x3ff201ff,
    0x7ffe44df,0x3ff602ff,0x3fe60fff,0xff502fff,0x7fe4bfff,0x3f602fff,
    0x7e40ffff,0x3602ffff,0x640fffff,0x202fffff,0x40fffffd,0x405ffffd,
    0xf32ffffe,0x2a05ffff,0x705fffff,0x4c403fff,0x81bff201,0xeffffff8,
    0x3fffa601,0x7fcc0fff,0xff502fff,0x3ff2bfff,0x3ff606ff,0x7ffc47ff,
    0xfff303ff,0xfff3039d,0x3fe200ff,0x7d40ffff,0x325fffff,0x0befffff,
    0xfffffd51,0xb85fffff,0xb81fffff,0x007fffff,0x7c47fff5,0x540fffff,
    0x15ffffff,0x81ffffff,0x5ffffffa,0x1ffffff1,0xffffffa8,0xffffff15,
    0xfffffa81,0xfffff55f,0x7bffffff,0x441ffb75,0x983fffff,0xefffffff,
    0x7ffffd42,0x7ffffc44,0x3ffa60cf,0x7fc43fff,0x7d40ffff,0x225fffff,
    0x0cffffff,0x3fffffa6,0xfffff883,0x3ffa60cf,0xff883fff,0x260cffff,
    0x83fffffe,0x02fffffc,0x21fffff3,0x0ffffff8,0x7fffffd4,0x0bfff605,
    0x3fffa200,0x7fffdc01,0xcaacdfff,0xfffffffd,0xfffff883,0x7fffd40f,
    0xffff75ff,0xffff703f,0xffff70ff,0xffffb05f,0xffff301f,0x7fff400f,
    0xfffcdfff,0x225fffff,0xfffffffe,0xffffffff,0x5fffffff,0x3fffffe6,
    0xfffffcad,0xf8800fff,0x7fff45ff,0xfffcdfff,0x3a5fffff,0xcdffffff,
    0xffffffff,0x3fffffa5,0xfffffcdf,0x3ffa5fff,0xffcdffff,0x75ffffff,
    0xffffffff,0xffffffff,0xffff89ff,0xffebadff,0xffffffff,0xffffffce,
    0xffffb80f,0xffffffff,0xffd06fff,0xff9bffff,0x8bffffff,0xfffffffb,
    0xffffffff,0x3fffee06,0xffffffff,0x3ee06fff,0xffffffff,0x06ffffff,
    0xdffffff1,0xffffd959,0xffffe8bf,0xffffcdff,0x2205ffff,0x801dfffe,
    0x02ffffb8,0xffffffd0,0xffffffff,0x740dffff,0xcdffffff,0xffffffff,
    0xffffff35,0xfffff95b,0xff881fff,0xfdceffff,0x304fffff,0x400fffff,
    0xfffffff9,0xfffbffff,0x7fffd45f,0xffffffff,0xffffdfff,0x7ffec3ff,
    0xffffffff,0x001fffff,0xff98ffff,0xffffffff,0x25ffffbf,0xfffffff9,
    0xfffbffff,0x3fffe65f,0xbfffffff,0x3e65ffff,0xffffffff,0x5ffffbff,
    0xfffffff1,0xffffffff,0x7dc1ffff,0xffffffff,0xfffeffff,0xffffffff,
    0x3ff602ff,0xffffffff,0xf301efff,0xffffffff,0xbffff7ff,0xffffffb0,
    0xdfffffff,0xffffd803,0xffffffff,0x7fec01ef,0xffffffff,0x2a01efff,
    0xffffffff,0x0fffffff,0x7fffffcc,0xffbfffff,0xffc805ff,0xa99abeff,
    0x1effffdb,0x7fffdc00,0xffffffff,0x4c03ffff,0xffffffff,0xffffbfff,
    0x3fffff65,0xffffffff,0xff981fff,0xffffffff,0x3e605fff,0x54007fff,
    0xffffffff,0x5ffff89f,0xfffffd88,0x0dffffff,0x10bfffd3,0xfffffffd,
    0xffff93df,0x3fff6009,0x7ffffd40,0xff89ffff,0x7ffd45ff,0x89ffffff,
    0x7d45ffff,0xffffffff,0x45ffff89,0xfffffffa,0xffff89ff,0x3bffff25,
    0xfffffffe,0x6c3fffff,0xffffffff,0xfff70dff,0xffffffff,0xffff7005,
    0x9fffffff,0xfffff500,0xff13ffff,0x3fee0bff,0xffffffff,0x3fee004f,
    0xffffffff,0x3fee004f,0xffffffff,0xfff5004f,0xffffffff,0x3fea03df,
    0x9fffffff,0x005ffff8,0xfffffff5,0x9fffffff,0x7ff4c000,0xffffffff,
    0xf5001eff,0xffffffff,0x4bffff13,0xffffffe8,0xfffc9eff,0xfffd104f,
    0xbfffffff,0x7ffff980,0xfffda800,0xfff10cef,0x7ff5c0bf,0x82efffff,
    0x9100efd8,0x19ffffff,0x01bfffe6,0x5417ffdc,0x0ceffffd,0x50bffff1,
    0x19dffffb,0x217fffe2,0xceffffda,0x0bffff10,0x9dffffb5,0x97fffe21,
    0x5cc0aef8,0xffffffed,0xffffa81c,0xd881deff,0xcfffffff,0x3b2e2000,
    0x02dfffff,0x3ffff6a0,0xffff10ce,0x7f65c40b,0x002dffff,0xfffecb88,
    0x88002dff,0xfffffecb,0xfeb8002d,0x2effffff,0xffffda80,0xffff10ce,
    0xffda800b,0xbfffffff,0xdb700000,0xbdffffff,0xffb50007,0x3e219dff,
    0x7e445fff,0x30cfffff,0xc80dffff,0xeffffffe,0xffff9802,0x054c0007,
    0x2aa60000,0x0015000a,0x00002aa6,0x80355510,0x300000a9,0x26000015,
    0x5300000a,0x00060001,0x26003553,0x220009aa,0x00001aa9,0x00001551,
    0x00000153,0x00001551,0x0000aa88,0x00055440,0x1aaa9880,0x002a6000,
    0x97510000,0x00003579,0x00355300,0x000a9800,0x000aa980,0x09aa9800,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0cda8000,0x00000000,0xdb000000,0xdd70003d,
    0x00000005,0x00000000,0x1eed8000,0x02eeb800,0x0f7bb260,0x02f6c400,
    0xa880aa80,0x054c000a,0x00005544,0x93333220,0x0002cccc,0x02666644,
    0x00000000,0x03333326,0x33332200,0x2000000c,0x02fffff9,0xffffd800,
    0xfffd800e,0xff00006f,0xfffc83ff,0xeec98005,0x002defff,0x3ffffe00,
    0x7ffe4003,0x03fffdc7,0xeffedb88,0xff90003d,0xff88005f,0x3fe20006,
    0x00004fff,0x01fffff9,0x3fffff20,0x3ff20000,0x7fc4002f,0x3fff2006,
    0x4000ffff,0x54002ffc,0x321cfffe,0xfd5000ff,0x3ee159ff,0x4c00001f,
    0xff17ffff,0x980009ff,0x2607ffff,0xd12fffff,0xf70bffff,0xa9ff203f,
    0x000fffff,0x1fffff98,0x3ffffee0,0xffffd001,0x4c0001ff,0x000effff,
    0x05ffffd1,0xffff8800,0x027ffec0,0xfffffd50,0x19ffffff,0x4efd4000,
    0x7e4006fb,0x7ffdc7ff,0xffffb807,0x02efffff,0x5ffffb30,0x02ffc800,
    0x3ffff600,0x440001ff,0x001fffff,0x01ffffec,0x7fffecc0,0x17fe4002,
    0xeffff980,0x22006fff,0x7c4005ff,0xefffffff,0x3fe007ff,0xfeffffff,
    0x400000ff,0xf17ffff9,0x5c009fff,0xfffdcccc,0x7ec0ccff,0x7f443fff,
    0x7fc40fff,0x2a5ff885,0x000fffff,0x1fffff98,0x0bffffa0,0x7ffffe40,
    0x360005ff,0x4000ffff,0x005fffe8,0x437ffd40,0x8802ffff,0xeffffffd,
    0xffffffee,0x43fd0002,0x3f2001fd,0x7ffdc7ff,0x7fffe407,0xffffffff,
    0x3fff6201,0x26002fff,0x2e0006ff,0xefffffff,0x3fee0000,0xfb0001ff,
    0x6c400fff,0x02ffffff,0x801bfe60,0x3fee6ffd,0x3ffb001f,0xeeffa800,
    0x4fffffff,0xfdfff300,0x0bffffff,0xfff30000,0x3fffe2ff,0x3fffa004,
    0xffffffff,0x3fffe60f,0x9ffff104,0xb57dffd0,0x7fd45fff,0x98000fff,
    0x501fffff,0x2005ffff,0xfe8efffa,0xf88003ff,0x10001fff,0x0003fffd,
    0x2227ffdc,0x5400ffff,0x202effff,0x04ffffc9,0x3fa2fc80,0x3fff2000,
    0x03fffdc7,0xfffffff3,0x0fffffff,0x7ff7ffcc,0x3ff6002f,0xfff30001,
    0x09fffb1f,0x17fffc00,0x3fffa000,0xdfff3002,0x6c005fff,0x2a6001ff,
    0x03ffee1b,0x0013fe60,0xfda89bf2,0xf9000cff,0x7ffed44f,0x9800000c,
    0xff17ffff,0x7f4009ff,0xffffffff,0x3ff20fff,0x7ffcc04f,0x7fffc40f,
    0x7d45ffff,0x8000ffff,0x01fffff9,0x2007fffd,0xf11ffff8,0xc8003fff,
    0x40001fff,0x0005fff9,0xf50ffff6,0xff980fff,0x7e4001ef,0x7cc005ff,
    0x4005fedf,0x64c4ccca,0x3ff604cc,0xfea9bfff,0xf301ffff,0x05fff33b,
    0x0017fe60,0xd12fffe8,0x50005fff,0x00005fff,0x200dffd1,0xfff99df9,
    0x0bff3002,0xfffcb800,0x01ffd004,0x22035300,0x02a98001,0x00000131,
    0x33ffffcc,0x74007ff3,0xffffffff,0xff10ffff,0x3fe600bf,0xfffd884f,
    0xfffa83ff,0xf98000ff,0xf981ffff,0x32a003ff,0x666542cc,0x0e664003,
    0x4cc98000,0x3fffe000,0x02fffe41,0x001bfff1,0x00fffea0,0x01bfff70,
    0x7c000000,0x7cc3ffff,0x1102ffff,0x8017ffcc,0x30000ffe,0xcc987999,
    0xccb8003c,0x32200002,0x208800cc,0xd002fff9,0xf80001ff,0xf5005fff,
    0x0000007f,0x00000000,0xffff3000,0x002ff88f,0x3ffffcc0,0x2002664c,
    0x2a204cca,0xfff5009a,0xf30001ff,0x9503ffff,0x00000079,0x00000000,
    0x3fe20000,0x7ffec0ff,0x997ff603,0x01999999,0x0007ffe6,0x0000002a,
    0xfffff100,0x3fffff01,0x0bffe600,0x0013fea0,0x00000000,0x00000000,
    0x802fff98,0x40004ffa,0x04fffff8,0x0000fff8,0x19aa9988,0x9a988000,
    0x35100000,0x7ffff981,0x44007fe4,0x7ffcc09a,0x0000007f,0x7ffd4000,
    0xf98000ff,0x0001ffff,0x001a9800,0x00035300,0x54006a60,0xfffdcccc,
    0xfffccccf,0x7fd44cdf,0xfffff30e,0x703bffff,0x26200dff,0x00019aa9,
    0x066aa662,0x1ffffe60,0x01ffffe6,0x802fff98,0x00000fff,0x03355331,
    0x554cc400,0x26200019,0x80019aa9,0xf802fff9,0x080000ff,0x5c07fff5,
    0x540002ff,0xfffffffd,0x2e2000cf,0xdffffffe,0xfffc8001,0xfff32eff,
    0x0bffa2ff,0xdffffd90,0x1ffffe65,0x00000000,0x1fffff50,0xffff3000,
    0x00cc003f,0xfffffeb8,0x7f5c003e,0x003effff,0x7fffff5c,0x3fff203e,
    0xffffffff,0xffffffff,0xf30fff47,0xffffffff,0x3ffb03ff,0x7fffed40,
    0x000cffff,0xffffffb5,0x3e6019ff,0xffc87fff,0x3e6004ff,0x7fdc02ff,
    0xfda80002,0xcfffffff,0xfffb5000,0x019fffff,0x3ffff6a0,0x000cffff,
    0xb805fff3,0x800002ff,0xff106ffd,0xffd8000d,0xffffffff,0xffa800ef,
    0xffffffff,0xffd3004f,0x39ffffff,0x3e2fffff,0x3ffa203f,0x9cffffff,
    0xf987ffff,0x7cc07fff,0xff307fff,0x3fea0fff,0x98000fff,0xf71fffff,
    0x3fee7fff,0xfd881dff,0xffffffff,0x7fec400e,0xefffffff,0x7ffec400,
    0x0effffff,0xffffffc8,0xffffffff,0x267fffff,0x77fcc6ff,0xfffb9999,
    0xb04ffa85,0xffffffff,0xd801dfff,0xffffffff,0xfa80efff,0x7fc46fff,
    0x26001fff,0x3e202fff,0xfd80006f,0xffffffff,0x7ec00eff,0xffffffff,
    0x7ec00eff,0xffffffff,0xf9800eff,0x3fe202ff,0xffd10006,0x907ffe87,
    0x6c0003ff,0xffffffff,0x00ffffff,0x3fffffee,0xefffffff,0x3fffe601,
    0xefffffff,0x02e7ffff,0xffffff88,0xffefffff,0xfff987ff,0x7ffcc07f,
    0xffff307f,0x3fffea0f,0xff98000f,0xfff71fff,0xfffff57f,0xffff981f,
    0xffffffff,0xffff301f,0xffffffff,0x3ffe603f,0xffffffff,0x7ffe41ff,
    0xffffffff,0xffffffff,0xf30bff27,0x1ffea0df,0x3f607ff4,0xffffffff,
    0xb00fffff,0xffffffff,0x81ffffff,0x646ffffa,0x4005ffff,0x3202fff9,
    0x6c0001ff,0xffffffff,0x00ffffff,0xfffffffb,0x1fffffff,0x3fffff60,
    0xffffffff,0x7ffcc00f,0x007ff202,0x9afffe80,0xf985fffc,0x3e60005f,
    0xecefffff,0x03ffffff,0xfffffff5,0xffffffff,0x7fffec0d,0xfffeceff,
    0x2007ffff,0xeffffffd,0xffffffec,0xffff987f,0x7fffcc07,0xfffff307,
    0x3ffffea0,0xfff98000,0xffff71ff,0xbffffffb,0xffffffd0,0xdffffffb,
    0x3fffffa0,0xffffffdf,0xfffffd06,0xffffffbf,0xfbaaa98d,0xeaaaafff,
    0x22aadfff,0x6ff987fe,0x320dff30,0x3ffe61ff,0xffecefff,0xf983ffff,
    0xecefffff,0x43ffffff,0x7c6ffffa,0x4001ffff,0xf302fff9,0xf98000bf,
    0xecefffff,0x83ffffff,0xeffffff9,0xffffffec,0xfffff983,0xffffecef,
    0x7fcc03ff,0x0bff302f,0xffff9800,0xd80effff,0x360001ff,0x440dffff,
    0x885ffffe,0x0cffffff,0x3fffffa6,0xfffffa83,0x7fffd40e,0xff3007ff,
    0xf981dfff,0x987fffff,0x4c07ffff,0xf307ffff,0x3ea0ffff,0x8000ffff,
    0x71fffff9,0xffffffff,0xffa87fff,0x3aa0cfff,0x7d42ffff,0x2a0cffff,
    0x542ffffe,0x20cfffff,0x02ffffea,0x3e1bffea,0xfff01fff,0x360dff30,
    0x5ff503ff,0x06ffffec,0x17ffffa2,0x037ffff6,0x8bffffd1,0x266ffffa,
    0x001fffff,0xd817ffcc,0x6c0001ff,0x440dffff,0xd85ffffe,0x440dffff,
    0xd85ffffe,0x440dffff,0x405ffffe,0xfb02fff9,0xd500003f,0x01bfffff,
    0x80009ff5,0x700fedca,0xf50dffff,0x6c05ffff,0x740fffff,0x2a07ffff,
    0x007fffff,0x01fffffb,0x1fffffe6,0x01ffffe6,0x20fffff3,0x507ffff9,
    0x001fffff,0x3fffff30,0x3fffffee,0x7c0fdbcf,0xf103ffff,0xfff8dfff,
    0xfff103ff,0xfffff8df,0xdffff103,0x227ffe40,0xf00ffff8,0x9fff30bf,
    0x1ffffddb,0xca8ffe60,0xff700fed,0xdb950dff,0x3ffee01f,0x7fffd46f,
    0x3ffffea6,0x55544004,0x104ffa80,0x65403553,0xff700fed,0xdb950dff,
    0x3ffee01f,0xfedca86f,0xdffff700,0x80aaa880,0xa8804ffa,0x55dd401a,
    0x003ffa01,0x80003551,0xc86ffff9,0x4405ffff,0x7c3fffff,0x7403ffff,
    0xf007ffff,0xe807ffff,0xf987ffff,0x7cc07fff,0xff307fff,0x3fea0fff,
    0x98000fff,0xf71fffff,0x801fffff,0x407ffff9,0xf31ffffd,0xfd80ffff,
    0xfff31fff,0xfffd80ff,0x7fffb01f,0x106fffa8,0xfff30bff,0x19ffffff,
    0x0027fcc0,0x06ffff98,0x7fffcc00,0x37fffd46,0x0ffffffe,0x1ffd0000,
    0xfffffc88,0x7cc0002e,0x40006fff,0x006ffff9,0x37fffcc0,0x07ff4000,
    0x017ffa20,0x01ffdc00,0x0017ffa2,0x3ffff2a2,0xffffe87f,0xffffc802,
    0x3ffffe25,0x7fffdc00,0xffff8807,0x7ffdc01f,0xffff987f,0x7fffcc07,
    0xfffff307,0x3ffffea0,0xfff98000,0xffff71ff,0xfff5009f,0xfffb80df,
    0xdffff53f,0x3ffffb80,0x80dffff5,0xf03ffffb,0xffc83fff,0x21bfe05f,
    0xfffefff9,0x3ffa803f,0x3ff2a200,0x88007fff,0x7fffffca,0x237fffd4,
    0x3ffffffb,0x7ff70000,0xffffffd0,0xa88005ff,0x07fffffc,0xfffca880,
    0xa88007ff,0x07fffffc,0x01ffdc00,0x002fffec,0x4037fc40,0x8805fffd,
    0xfffffeda,0x7fc47fff,0xfb800fff,0x3fe66fff,0xffa807ff,0xff9807ff,
    0x7d400fff,0xff987fff,0x7fcc07ff,0xfff307ff,0x3ffea0ff,0xf98000ff,
    0xff71ffff,0xf7003fff,0x9999dfff,0xffffb999,0x3bfffee7,0xdccccccc,
    0xff73ffff,0x99999dff,0x7ffffb99,0x81ffff10,0x3a03fffd,0x26ff987f,
    0x5c04fffa,0x36a202ff,0xfffffffe,0xeda8807f,0xffffffff,0x37fffd47,
    0x7fffffec,0x7fc40002,0xacfffb86,0x4406fffb,0xfffffeda,0xa8807fff,
    0xffffffed,0xda8807ff,0xfffffffe,0x3e20007f,0xfffc806f,0xfc80005f,
    0x7ffe402f,0x3ffae05f,0xffffffff,0x7ffd47ff,0xfff5007f,0x7fffd4ff,
    0xffffa807,0xffffa807,0xffff9807,0x7ffff987,0x3ffffcc0,0x07ffff98,
    0x01fffff5,0xfffff300,0x3ffffee3,0xffffd800,0xffffffff,0xfb4fffff,
    0xffffffff,0xffffffff,0x3fffff69,0xffffffff,0xff94ffff,0xffffffff,
    0xffffffff,0x207fecff,0x7fcc6ff9,0x07ff602f,0x3fffffae,0x7fffffff,
    0x3ffffae0,0xffffffff,0x37fffd47,0xffffffd8,0x3ff20001,0x647ffd82,
    0xffd707ff,0xffffffff,0x7f5c0fff,0xffffffff,0x3ae07fff,0xffffffff,
    0x0007ffff,0xf500bff2,0x000bffff,0x5406ff88,0x905fffff,0xffffffff,
    0x8fffff9b,0x007ffffa,0x54fffff5,0x9807ffff,0xa807ffff,0x9807ffff,
    0xf987ffff,0x7cc07fff,0xff307fff,0x3fea0fff,0x98000fff,0xf71fffff,
    0x3600ffff,0xffffffff,0xffffffff,0xfffffb5f,0xffffffff,0x3f6bffff,
    0xffffffff,0xffffffff,0xffffff95,0xffffffff,0x5cffffff,0x37fcc4ff,
    0x4407ffe4,0xfffc86ff,0xfcdfffff,0xff907fff,0x9bffffff,0xfa8fffff,
    0xfd106fff,0x001fffff,0x220dff10,0x3ffec1a9,0x7fffffe4,0xffffcdff,
    0xfffff907,0xfff9bfff,0x3fff20ff,0xfcdfffff,0x10007fff,0xff980dff,
    0x0005ffdf,0xf300ffec,0xb0bffbdf,0x37bfffff,0x23ffffcc,0x00fffff9,
    0x26ffffb8,0x807ffff9,0x807ffffa,0x00fffff9,0x43ffffd4,0x407ffff9,
    0x307ffff9,0x2a0fffff,0xc98fffff,0x3ea07fed,0xff70ffff,0x3f200dff,
    0xccccefff,0xcccccccc,0x9dffff93,0x99999999,0x3ff27999,0xccccceff,
    0x3ccccccc,0xfffffff9,0xffffffff,0x7c4fffff,0x437fcc7f,0xfb84fff8,
    0x7fffec3f,0x3fe61bdf,0xfffd87ff,0x3e61bdff,0x7fd47fff,0x7fec06ff,
    0xd8003fff,0x7d4001ff,0x7ffec4ff,0x3e61bdff,0xffd87fff,0x261bdfff,
    0xfd87ffff,0x21bdffff,0x007ffff9,0x4403ffb0,0x5ffc9fff,0x17fe6000,
    0xfc9fff88,0x7fffc45f,0xffff303f,0xfffff88f,0xffffc801,0x3ffffe25,
    0x7fffdc01,0xffff8807,0x7ffdc01f,0xffff987f,0x7fffcc07,0xfffff307,
    0x3ffffea0,0x07ffff98,0x43ffffee,0x006ffffb,0x00bffff7,0x2ffffdc0,
    0xffff7000,0x7fe4000b,0xffffffff,0xffffffff,0x31ffe47f,0x3ff20dff,
    0x83ffe20f,0x03fffff8,0x88fffff3,0x303fffff,0xfa8fffff,0x74406fff,
    0x4005ffff,0x5c005ff9,0x3e20efff,0xf303ffff,0xff88ffff,0xff303fff,
    0xfff88fff,0xfff303ff,0xff3000ff,0x92ffe80b,0x74000bff,0x3ffa00ff,
    0xfa8bff92,0x3ea06fff,0xffe87fff,0x7fc405ff,0x7ffc3fff,0x7ff403ff,
    0xfff007ff,0xffe809ff,0xfff987ff,0x7ffcc07f,0xffff307f,0x3fffea0f,
    0xfffff88f,0xfffff901,0x037fffdc,0x07ffffa8,0xfffa804c,0xa804c07f,
    0x4c07ffff,0xfff53100,0xffd3333f,0x8333337f,0xff31fff9,0x97ffe20d,
    0x7fd44ffd,0x3fea06ff,0x7ffd47ff,0x3ffea06f,0x7fffd47f,0xffffa806,
    0x07ff4007,0x3ffff900,0x06ffffa8,0x51ffffea,0x540dffff,0x7d47ffff,
    0x3ea06fff,0xe8007fff,0x3ff200ff,0x0017ff24,0xf9027fd4,0x22ffe49f,
    0x206ffffc,0xc87ffffd,0x202fffff,0x40fffffd,0x00fffffd,0x0ffffff5,
    0x3fffff60,0xfffff501,0xfffff30f,0x7ffff980,0x0fffff30,0x43ffffea,
    0x886fffff,0x2e5fffff,0x1006ffff,0x207fffff,0x11cefff9,0x207fffff,
    0x11cefff9,0x207fffff,0x41cefff9,0xff86fffa,0xff7001ff,0xfc80003f,
    0xffffc86f,0x3ffff606,0x37fffe47,0x8fffffb0,0x806ffffa,0x00fffff9,
    0x2009ff50,0x80efffd8,0x206ffffc,0x647ffffd,0x3606ffff,0x7e47ffff,
    0x3f606fff,0x54007fff,0x3fea04ff,0xeffecccf,0x7ff4002c,0x99fff500,
    0x259dffd9,0x81fffffb,0x87fffffb,0xcffffff8,0x3ffffa60,0xffff983f,
    0x7ffdc1ef,0xf3007fff,0xa83fffff,0x87ffffff,0x407ffff9,0x307ffff9,
    0x2a0fffff,0xfb0fffff,0x757dffff,0x47fffffd,0x006ffffb,0x0bffffee,
    0x83fffff6,0x82fffffb,0x20fffffd,0x82fffffb,0x40fffffd,0x7c44fffc,
    0x36000fff,0x88002fff,0xfb81fffd,0xfb81ffff,0x7dc7ffff,0xfb81ffff,
    0x7d47ffff,0x2f546fff,0x00dffff9,0x44007ff4,0x700dfffe,0x703fffff,
    0xb8ffffff,0xb81fffff,0x5c7fffff,0xb81fffff,0x007fffff,0xf5007ff4,
    0xffffffff,0x7dc00bff,0x3ffea03f,0xffffffff,0xffffff35,0xfffff95b,
    0xff701fff,0xffffffff,0x40dfffff,0xfffffffd,0xfffffffe,0x3ff2007f,
    0xffefffff,0x87ffffff,0x407ffff9,0x307ffff9,0x2a0fffff,0xf10fffff,
    0xffffffff,0xb8dfffff,0x2006ffff,0xeffffff8,0xffffffdc,0x7ffffc44,
    0xffffdcef,0x7ffc44ff,0xffdcefff,0xfd84ffff,0x7ffd43ff,0x7ff44006,
    0xfb8801df,0xff302fff,0xf95bffff,0x1fffffff,0x7fffffcc,0xfffffcad,
    0x3fea0fff,0xfffb16ff,0x9fffffff,0x00ffee00,0x4ceffff4,0x3ffe6199,
    0xffcadfff,0x20ffffff,0xdffffff9,0xffffffca,0x3ffe60ff,0xffcadfff,
    0x00ffffff,0xa807ff70,0xffffffff,0xf1005fff,0xfffa80df,0xffffffff,
    0x3fffff65,0xffffffff,0xffb01fff,0xffffffff,0x4403dfff,0xffffffff,
    0xfffecfff,0x3ffe2007,0xffffffff,0x987fffec,0x4c07ffff,0xf307ffff,
    0x3ea0ffff,0x3f20ffff,0xffffffff,0x7dc2ffff,0x4c006fff,0xffffffff,
    0x305fffff,0xffffffff,0x20bfffff,0xfffffff9,0x05ffffff,0xfb83ffff,
    0xf90004ff,0x3357dfff,0xdffff953,0xffffd803,0xffffffff,0x7ec1ffff,
    0xffffffff,0x1fffffff,0x45bfffea,0xfffffffe,0xf8800fff,0xfff7006f,
    0x1fffffff,0x7fffffec,0xffffffff,0x7ffec1ff,0xffffffff,0x6c1fffff,
    0xffffffff,0xffffffff,0x06ff8801,0x02ffe400,0x000bff20,0xe885ffc8,
    0xffffffff,0x4ffffc9e,0x3ffffee0,0x04ffffff,0xfffffd10,0x3ffa7fff,
    0x7ec4007f,0x3fffffff,0xf30ffffd,0xf980ffff,0xff307fff,0x3fea0fff,
    0x7fe40fff,0xffffffff,0xffffb81f,0xffe88006,0xffffffff,0x7fff4405,
    0x5fffffff,0x7ffff440,0x05ffffff,0xd81ffff1,0x20003fff,0xfffffffa,
    0x4fffffff,0xffffd100,0xf93dffff,0xfe889fff,0xefffffff,0x24ffffc9,
    0x226ffffa,0xfffffffe,0x5ff9002f,0x3ffffa00,0x20ffffff,0xffffffe8,
    0xfffc9eff,0x7fff444f,0xc9efffff,0x7444ffff,0xffffffff,0x4ffffc9e,
    0x002ffc80,0x002ffe40,0x8000bff3,0xf9105ffc,0x219fffff,0x406ffff9,
    0xffffecb8,0xfc8002df,0x3a2effff,0x90007fff,0x45dfffff,0xf987fffe,
    0x7cc07fff,0xff307fff,0x3fea0fff,0xfe980fff,0x0cffffff,0x0dffff70,
    0x7fff6400,0x2002efff,0xffffffec,0x3fb2002e,0x02efffff,0x3e1bffea,
    0x80001fff,0xffffffda,0x4000bfff,0xffffffc8,0xdffff30c,0xfffff910,
    0x3ffe619f,0x3fffea6f,0x7fff6446,0xff3000df,0x3bba200b,0xeeeeeeee,
    0x7fffe440,0xfff30cff,0xfff910df,0x3e619fff,0xfc886fff,0x30cfffff,
    0x980dffff,0xb80005ff,0x3f6004ee,0x75c0001f,0x0aa9804e,0x55100000,
    0x2a200001,0x10000001,0x26000155,0x4c07ffff,0xf307ffff,0x0000ffff,
    0x801aaa98,0x006ffffb,0x01355300,0x09aa9800,0x4d54c000,0x1aaa9800,
    0x0002aaa8,0x5e65d440,0x5300001a,0x26000015,0x000000aa,0x00009a88,
    0x40000000,0x00000aa9,0x00001553,0x00002aa6,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2a620000,0x4c000009,0x0000000a,
    0x666664c0,0x800004c0,0x00000019,0x04cd54c4,0x00000000,0x00733322,
    0x880d4000,0xffffa82a,0x7fffdc07,0xccccc885,0x3332e001,0x9999933c,
    0x00000000,0x00000000,0x00000000,0x00000000,0xcccc9800,0xffc80003,
    0xffd007ff,0xba9809ff,0x30001abc,0x00015995,0x33333333,0x88333333,
    0xb3009999,0x9fffffff,0x3fffe601,0x3ffff6e4,0x3fe600cf,0x3ffee0ff,
    0x3ffee005,0x04fd98ef,0x73ffffb8,0x223bffff,0x3ea0ffff,0x7e4406ff,
    0xdfffffff,0x93fff202,0x802fffe8,0xffff981b,0x7001b803,0x6c39ffff,
    0xffffa87f,0x7fffdc07,0xfffff985,0x3fffa002,0xfffff55f,0x3fff6000,
    0x9000006f,0x001dffff,0x07ffff98,0x237ffd40,0x5403fffd,0x0bcdefdb,
    0x3ffff600,0x4fffe80e,0xfbaffff4,0x80006fff,0x02fffff8,0x0fffffc4,
    0xfffffe98,0xd5001eff,0x5fffffff,0x3fffe200,0xffffffff,0x7fffd47f,
    0xfffffb86,0x82ffffff,0xf94ffff9,0xdfffffff,0xafffdc03,0x000ffff9,
    0x7fffffcc,0xffb803ff,0xffffabff,0x3ffea0ff,0x01ffff36,0x7fffffd4,
    0x05ffffff,0x7ecbfffa,0x7f5404ff,0x3ffff981,0x2007faa0,0xfffffff9,
    0xfa86ffff,0x7dc07fff,0xff985fff,0x3a002fff,0xff55ffff,0xf7000fff,
    0x007fffff,0xffff8800,0xff98000f,0xfd8007ff,0xdfff74ff,0xfffffb80,
    0x3e2007ff,0xfd00efff,0xfffe89ff,0x0dffff75,0x3fffa000,0x7ffdc05f,
    0xffff906f,0x9fffffff,0xfffffc80,0x803fffff,0xfffffff9,0x47ffffff,
    0x6c6ffffa,0xffffffff,0x4c2fffff,0xffddffff,0xffffffff,0x67ffec06,
    0x0002ffff,0x0bfffff1,0x6ffffdc0,0x85ffffff,0xffecfffd,0x3ffe603f,
    0xffffffff,0xff304fff,0x0dfff9ff,0x40ffff4c,0x983ffff9,0xb801fffd,
    0xffffeeff,0xffa83fff,0x7fdc07ff,0xfff985ff,0x3fa002ff,0xfff55fff,
    0xff9800ff,0x01ffffff,0x3fff2000,0xff30001f,0xf1000fff,0xffff7fff,
    0x7fffdc01,0x2006ffff,0x200ffffc,0x7f44fffe,0xffff75ff,0x3ee0000d,
    0x7f407fff,0xffa83fff,0xffffffff,0xff902fff,0xffffffff,0xffb80bff,
    0xffffffff,0x7fd47fff,0x3ffee6ff,0xfffeefff,0x3e60ffff,0xefffffff,
    0xfffffffd,0x3fffe202,0x50005fff,0x1ffffffd,0x3fffee00,0x3fffffff,
    0xfffffe88,0x7fff405f,0xffdbbdef,0xf701ffff,0x03ffffff,0x40fffffc,
    0xf82ffff9,0xe801ffff,0x3ffae25f,0xffff503f,0xffffb80f,0xfffff985,
    0x3fffa002,0xdffff55f,0xafffe800,0x0006fffb,0x03ffff10,0x7fffcc00,
    0xfff30007,0xe807ffff,0xffffffff,0xffff1004,0x4fffe803,0xfbaffff4,
    0x00006fff,0x05fffff1,0x03ffffe2,0xfffffff1,0xffffffd9,0xfffff981,
    0xfffffeef,0x3fff202f,0xffffffff,0x7ffd47ff,0xfffff16f,0x7ffdc41d,
    0x3ffe63ff,0x7e41efff,0x5404ffff,0x00ffffff,0x5f7ff540,0x800effff,
    0xfffffffb,0xf300fdbc,0x401fffff,0x106ffff8,0x409ffffd,0x03fffffd,
    0x80fffffc,0xff81ff99,0xaa801fff,0xfa803101,0x7dc07fff,0xff985fff,
    0x3a002fff,0xdd35ffff,0x7e400bff,0x3fff64ff,0xffb80004,0x7cc0002f,
    0x20007fff,0x05fffffc,0x9dfffff8,0xff700098,0x9997003f,0x73cccb85,
    0x000dffff,0x2ffffec0,0x85ffffb8,0x42fffffa,0x42fffff9,0x22effffe,
    0x06fffff9,0x3bbffffa,0x6eeeeeee,0xcb7fffd4,0xb00fffff,0x7ccfffff,
    0xd00fffff,0x700bffff,0x00039999,0x7fd45df5,0xffb806ff,0x4000ffff,
    0x401ccccb,0x205ffff9,0x4400abd9,0xf804cccc,0x2a01ffff,0xffff80ff,
    0x0000001f,0x80fffff5,0x985ffffb,0x002fffff,0x217ffffa,0x991004ff,
    0x19999099,0x2ccb8000,0x00000000,0x01999990,0x1fffff88,0x05999000,
    0xffb80000,0x200006ff,0xb07ffff9,0xf905ffff,0x3f20bfff,0x3fe64fff,
    0xff980fff,0xfff01fff,0xff0000ff,0x0fffffab,0x4c1ace98,0x202fffff,
    0x006ffffc,0xc80c0000,0x5c04ffff,0x004fffff,0xfff10000,0x00017dff,
    0x3ffe0000,0x1bf601ff,0x00fffffc,0xffa80000,0x7fdc07ff,0xfff985ff,
    0x3fa002ff,0x7fcc5fff,0x00000003,0x00000000,0x80000000,0x007ffffa,
    0x00000000,0x10dffff7,0xffd00035,0xfff885ff,0xfffd80ff,0xffff302f,
    0x27fffd4b,0x0bffffb0,0x00bffff1,0xff4ff980,0x40003fff,0x01fffff9,
    0x01bfffee,0x20002a60,0xf9cefeca,0x2e00ffff,0x001fffff,0xff806600,
    0xceffffff,0x2000000a,0xfffffffb,0xffd36fff,0x7ffffd43,0x2a6fffff,
    0x5c07ffff,0xff55ffff,0xffb80fff,0xfff985ff,0x3fa002ff,0x7fec5fff,
    0x00000000,0x00000000,0x80000000,0x007ffffa,0x0002a600,0x3fffee00,
    0xfffff916,0x3ff2005d,0x7ffdc5ff,0xffff705f,0x3fffea07,0x0fffff23,
    0x87ffffb8,0x004ffffa,0x7c4ffe40,0x0000ffff,0x03ffffe6,0x36ffffa8,
    0x6dc9ffff,0x00cfffff,0x7ffffec4,0x5fffffff,0x3ffffee0,0xffff7000,
    0x37fffee7,0x7ffffdc1,0x3dffffff,0xfffff300,0x3ffffee0,0xf56fffff,
    0xffffa85f,0x26ffffff,0x407ffffa,0xf55ffffb,0xfb80ffff,0xff985fff,
    0x3a002fff,0xfd35ffff,0x7fffec7f,0x3ffff202,0x3fffea05,0x3fffff25,
    0xffffffff,0x7ffe46ff,0xffffffff,0x7e46ffff,0xffffffff,0x26ffffff,
    0x407ffffa,0x2e4ffff9,0x0cfffffd,0x1ffffe60,0x4f7fffdc,0xfffffffe,
    0xfff8804f,0x7fffec7f,0xdffff102,0x87ffff60,0x203ffffd,0x40fffffa,
    0x512ffffc,0xffd30015,0x1ffffea9,0xffff3000,0xffffa80f,0x29ffff36,
    0xfffffffc,0xfff501ef,0xffffffff,0x2e03ffff,0x2007ffff,0xfabffffb,
    0xc80fffff,0xffffffff,0x402effff,0x707ffff9,0xffffffff,0x5405cdff,
    0xffffffff,0x3ffea6ff,0x7ffdc07f,0xfffff55f,0x5ffffb80,0x2fffff98,
    0x3ffffa00,0x544fffff,0x3a05ffff,0x3607ffff,0x3f23ffff,0xffffffff,
    0x46ffffff,0xfffffffc,0xffffffff,0x7ffffe46,0xffffffff,0x3ffea6ff,
    0x7ffcc07f,0xfffff94f,0x2603dfff,0xf707ffff,0xffffffff,0xbfffffff,
    0x5ffffd00,0x01ffffe2,0x239ffffd,0x46ffffc9,0x203ffffc,0x41fffffa,
    0xfedffffd,0x2e03efff,0xfff50eff,0x4c0001ff,0x5407ffff,0xff36ffff,
    0xffffbbff,0x0dffffff,0xfffffff1,0xffffffff,0x3ffee0bf,0x3fee006f,
    0xfffffdff,0x3ffaa05f,0xffffffff,0x3fe602ff,0xfff707ff,0xdfffffff,
    0xfffff500,0x54dfffff,0x5c07ffff,0xff55ffff,0xffb80fff,0xfff985ff,
    0x3fa002ff,0x1dffffff,0x07ffff88,0x3ffffff1,0x83ffffe0,0xfffffffc,
    0xffffffff,0x7ffffe46,0xffffffff,0x7ffe46ff,0xffffffff,0x3ea6ffff,
    0x7cc07fff,0xfffddfff,0x6fffffff,0x0fffff30,0x3fffffee,0xfffeddff,
    0x7d402fff,0xfff55fff,0xffd8809f,0xffffffff,0x7ffdc0ef,0x3ffee04f,
    0x7fffc2ff,0xffffffff,0x42e880df,0x01fffff8,0x3fffe600,0x7fffd407,
    0xffffff36,0xffffbdff,0xffd85fff,0xca9befff,0x0fffffff,0x06ffffb8,
    0x3ffffee0,0x03ffffff,0xffffec98,0x00ffffff,0x20fffff3,0xfffff998,
    0x9880099a,0x9bfffff9,0x3fffea09,0x7fffdc07,0x0fffff55,0x85ffffc8,
    0x02fffff9,0x3bffffa0,0xffffd801,0xfffffa81,0xffff983f,0x7ffffe46,
    0xffffffff,0x7ffe46ff,0xffffffff,0x7e46ffff,0xffffffff,0x26ffffff,
    0x407ffffa,0xfffffff9,0xfffffdef,0xfff982ff,0xffff707f,0xffb81bff,
    0x7c406fff,0xfffb7fff,0x3ff2003f,0x5fffffff,0x0dffff50,0x17ffffec,
    0xfffffff1,0xffffffff,0x7fffc001,0x04d5c02f,0x01ffffe6,0x26dffff5,
    0x1effffff,0x27ffffe4,0x0bfffff7,0x3fffffea,0x6ffffb82,0x3fffee00,
    0x0fdbcfff,0x7fe54400,0x301fffff,0xf00fffff,0x0003ffff,0x80fffffc,
    0x407ffffa,0xf35ffffb,0xfe80ffff,0xff985fff,0x3a002fff,0x7005ffff,
    0xf909ffff,0x90bfffff,0xa987ffff,0xdaaaaaaa,0x41ffffff,0xaaaaaaa9,
    0xffffffda,0x555554c1,0xffffdaaa,0x3ffea1ff,0x7ffcc07f,0x7e41efff,
    0xf984ffff,0xff707fff,0x7dc0dfff,0x6402ffff,0xfffbffff,0x3fee006f,
    0x3fffffff,0x7fffff10,0xffffff50,0x7ffffcc7,0xfffffeff,0x3fa004ff,
    0x3e605fff,0xff31ffff,0xffa80fff,0xffff36ff,0x3ffa01ff,0x3fffa5ff,
    0x3fee00ff,0xffb85fff,0x3ee006ff,0x000fffff,0xfa802a62,0xf303ffff,
    0xff00ffff,0x40003fff,0x501fffff,0xb80fffff,0xff15ffff,0x3ee05fff,
    0xf985ffff,0x2002ffff,0x005ffffe,0xf0dffff1,0x0fffffff,0x001ffffd,
    0xffffff98,0xfff98002,0x98002fff,0x42ffffff,0x407ffffa,0x0ffffff9,
    0x0bffffd0,0x20fffff3,0x02fffffb,0x027ffffc,0x3fffffe6,0xe8803fff,
    0xffffffff,0xff705fff,0xfd57dfff,0x49ffffff,0x42fffffb,0x1fffffe9,
    0xfffff900,0x3ffff601,0x1ffffe67,0x2dffff50,0x02fffff9,0xf9bffff2,
    0xe803ffff,0xfb86ffff,0x2e006fff,0x004fffff,0x80bffffb,0x302ffffe,
    0xf00fffff,0x0003ffff,0x80fffffc,0x407ffffa,0x3e5ffffb,0x540effff,
    0x85ffffff,0x02fffff9,0x17ffffa0,0x0ffffe80,0x3fffffe6,0x3ffe21ff,
    0x7fcc006f,0x8003ffff,0x3ffffff9,0xffff9800,0xfffa83ff,0x7ffcc07f,
    0x3ff202ff,0xfff986ff,0xffff707f,0xffff900f,0xffffd00b,0xd001ffff,
    0xb79fffff,0x01dfffff,0xfffffffd,0xffffffff,0x06e5d447,0x5fffff88,
    0xfffff100,0x7ffe4c5f,0x3ffe64ff,0x7ffd407f,0xfffff36f,0x7fffdc03,
    0x3fffff16,0xfffff900,0x0dffff70,0x7ffffdc0,0xffff9001,0x3ffe605f,
    0xfff300ff,0xffff00ff,0xaa98003f,0xaacfffff,0x1ffffea1,0x4bffff70,
    0xeffffffd,0xfffffffd,0xffff985f,0x3ffa002f,0x3ee005ff,0x3fee2fff,
    0x23fffeef,0x003ffffb,0x3fffffe2,0xfff88004,0x88004fff,0x04ffffff,
    0x80fffff5,0x01fffff9,0x21bfffee,0x707ffff9,0x900dffff,0x700dffff,
    0xbfffffff,0xdffff700,0xffffd981,0xffffe884,0xfffeffff,0x320002ff,
    0x2006ffff,0xfffffffb,0xffffffff,0x1ffffe60,0x2dffff50,0x00fffff9,
    0x55bfffea,0x800fffff,0xb87ffffb,0x2006ffff,0x00fffffb,0xffffff10,
    0xfffd959d,0x7fcc0bff,0xfff807ff,0x7e4001ff,0xffffffff,0x3fffea4f,
    0x7fffdc07,0x3ffffe65,0xfbffffff,0xff885fff,0x3a002fff,0x2004ffff,
    0x365ffff8,0xfffccfff,0x07ffff65,0x7ffff440,0xfe88005f,0x8005ffff,
    0x5fffffe8,0x1ffffea0,0x1fffff30,0x37fffd40,0x83ffffcc,0x806ffffb,
    0x807ffffb,0xfffffff8,0xffffd802,0xfffff503,0x7ffffe40,0x3fffff5f,
    0x7ffd4000,0x7ff4007f,0xffffffff,0x7fcc1fff,0x7fd407ff,0xffff36ff,
    0xffffa80f,0x1fffff56,0xfffff700,0x0dffff70,0x3ffffdc0,0x3fffea00,
    0xffffffff,0x3e600fff,0xff807fff,0x64001fff,0xffffffff,0x3ffea4ff,
    0x7ffdc07f,0x7fffd45f,0xf89fffff,0xff885fff,0x3a002fff,0x4004ffff,
    0x3fe7fffe,0x7fffaaff,0x801bfffe,0x0efffffd,0xffffd800,0xfd8000ef,
    0x200effff,0x407ffffa,0x407ffff9,0x986ffffa,0xf707ffff,0xf500dfff,
    0x3600ffff,0x007fffff,0x401fffff,0x201fffff,0xf11acca8,0x0001ffff,
    0x07ffffcc,0x3ffff200,0x2fffffff,0x07ffff98,0x9b7fffd4,0x5407ffff,
    0xff16ffff,0xf9003fff,0xff70bfff,0x7dc00dff,0xa8006fff,0xffffffff,
    0x401effff,0x807ffff9,0x001fffff,0x7ffff75c,0x3ea3eeef,0x7dc07fff,
    0xfda85fff,0xf10cefff,0x3fe0bfff,0x3e003fff,0x4004ffff,0xf99ffffc,
    0xfff88fff,0x4ffff99f,0xfffff900,0xff90001f,0x0001ffff,0x1ffffff9,
    0x7ffffa80,0x3ffffcc0,0x1bfffea0,0x41ffffe6,0x807ffffb,0x006ffffb,
    0x09fffff5,0x0dffff30,0x04ffffc8,0xfffff300,0xfff98000,0xd98000ff,
    0xcfffffff,0xfffff300,0x6ffffa80,0x80fffff3,0x3e6ffffa,0xd802ffff,
    0xfb84ffff,0x2e006fff,0x0006ffff,0x3fffffae,0xf3002eff,0xff00ffff,
    0x40003fff,0x501fffff,0xc80fffff,0x4c05ffff,0x04ff880a,0x037ffffc,
    0x3fffff88,0x7fffcc00,0x3a6fffbb,0xfffcbfff,0xfffb801f,0xb8001fff,
    0x01ffffff,0xfffffb80,0xfffa801f,0x7ffcc07f,0x7ffd407f,0xffff986f,
    0xfffff707,0xffffc801,0xffff5004,0xfff5003f,0xfffc80df,0xff70004f,
    0xba998fff,0x3ffea00c,0x64c0007f,0x40004eff,0x9802bccc,0x5407ffff,
    0x3fa6ffff,0x7cc06fff,0x9303ffff,0x2e003599,0x0006ffff,0x3effeb88,
    0x7fffcc00,0xfffff807,0x3ffe0001,0xfff301ff,0x7ff401ff,0x2a0005ff,
    0x7fec03ff,0xfd803fff,0x8002ffff,0xffdeffff,0x37fff24f,0xa807fffe,
    0x02ffffff,0xfffffa80,0xffa8002f,0x5002ffff,0x980fffff,0x5407ffff,
    0xf986ffff,0xff707fff,0xff807fff,0xfd003fff,0x2200dfff,0x200fffff,
    0x512ffffe,0x3a01dd99,0x3e24ffff,0x3203ffff,0x0006ffff,0x7ffffffc,
    0xfff88000,0x3e601fff,0x7d407fff,0x3fee6fff,0x3f602fff,0xf500ffff,
    0x801dffff,0x006ffffb,0xffffff00,0x3fe6001f,0xfff807ff,0x3e0002ff,
    0xf302ffff,0x2a05ffff,0x005fffff,0x700ffee0,0x03ffffff,0x3fffffd4,
    0xffffc800,0x3ea2ffff,0x4fffffff,0x7ffffcc0,0xff98002f,0x8002ffff,
    0x2ffffff9,0x3fffea00,0x7fffcc07,0x7fffd407,0x7ffff986,0xffffff70,
    0x3fffee01,0xfffa801f,0x3fe004ff,0xff304fff,0x7ffc3fff,0xfff983ff,
    0x7fff40ff,0xffff107f,0x5c40007f,0x04fffb9a,0xfffed880,0x3ffe607f,
    0x7ffd407f,0x7ffff46f,0x3ffa60cf,0x36a03fff,0x405ffffe,0x006ffffb,
    0xfb9ab880,0xff3004ff,0xfff00fff,0x000629ff,0x22bffffd,0x3ffffe21,
    0x7fffd40f,0x320005ff,0xfff806ff,0xbaceffff,0xffffffed,0xfff30003,
    0x441fffff,0xffffffff,0x3fffe602,0xf98003ff,0x003fffff,0xffffff98,
    0x7ffd4003,0x7ffcc07f,0x7ffd407f,0xffff986f,0xfffff707,0xfffb83ff,
    0x999885ff,0x0ffffffb,0x3ffff600,0xfff711df,0xfffd8dff,0x3ffea2ef,
    0xfffb84ff,0x3fa62dff,0x00006fff,0x000fffc8,0x80fffec0,0x407ffff9,
    0x4c6ffffa,0xefffffff,0x6fffffff,0x1fffa200,0x0dffff70,0x3ff20000,
    0xfff9800f,0xfffe807f,0x4007ffff,0xfffffffd,0x7fffff47,0xfffffcdf,
    0x20005fff,0x2042fffb,0xfffffffb,0xffffffff,0x20000fff,0x6fffffff,
    0xffffffe8,0x3fffa207,0xcccccfff,0xd11ccccc,0x99ffffff,0x99999999,
    0x3ffffa23,0xccccccff,0xff51cccc,0xff980fff,0x7fd407ff,0xfff986ff,
    0xffff707f,0xffdfffff,0x503fffff,0xffffffff,0xff88009f,0xffefffff,
    0x541fffff,0xffffffff,0x80ffffff,0xffffffe8,0xffffffee,0xfd800002,
    0xfd80007f,0xfff300ff,0xfffa80ff,0xffffb86f,0xffffffff,0x3e2001ff,
    0x7fdc06ff,0x000006ff,0x2600fffb,0xb807ffff,0xffffffff,0x3fff2000,
    0x260fffff,0xffffffff,0xffffbfff,0x3fe60005,0xc85fefff,0xffffffff,
    0xffffffff,0x7fec0002,0xfb84ffff,0x205fffff,0xfffffffa,0xffffffff,
    0xffff53ff,0xffffffff,0x2a7fffff,0xffffffff,0xffffffff,0xfffff53f,
    0x7ffff980,0x37fffd40,0x83ffffcc,0xfecffffb,0xffffffff,0xffff304f,
    0x001dffff,0xffffff30,0x9fffffff,0x3fffff20,0x2fffffff,0x3ffffe60,
    0xffffffff,0x5e640003,0x04ffffdb,0x3b2ef320,0x3e605fff,0x7d407fff,
    0xfd306fff,0xffffffff,0x3322019f,0x3fffedcb,0x37fffdc0,0x2ef32000,
    0x004ffffd,0x00fffff3,0xfffffff1,0xffe8001f,0x541fffff,0xffffffff,
    0x5ffff89f,0x7ffec000,0xfd305fff,0xffffffff,0x0001bfff,0xffffff50,
    0xfffff305,0x7ffd405f,0xffffffff,0x53ffffff,0xffffffff,0xffffffff,
    0x3fffea7f,0xffffffff,0xf53fffff,0xf980ffff,0x7d407fff,0xff986fff,
    0xfff707ff,0xffffd17f,0x4407ffff,0xffffffff,0x3fea0000,0xffffffff,
    0x7fff404f,0x1effffff,0xffffe980,0x02ffffff,0xfffff800,0x7c004fff,
    0x5fffffff,0x3ffffcc0,0x1bfffea0,0xfffffd90,0xff9805bf,0x03ffffff,
    0x06ffffb8,0x7ffffc00,0x26004fff,0x3007ffff,0x3dfffffd,0xfffd9800,
    0xfda81eff,0xf10cefff,0x0000bfff,0x039dff93,0xfffffec8,0x0003efff,
    0x3ffffe20,0xfffff00f,0x7ffd401f,0xffffffff,0x53ffffff,0xffffffff,
    0xffffffff,0x3fffea7f,0xffffffff,0xf53fffff,0xf980ffff,0x7d407fff,
    0xff986fff,0xfff707ff,0x3ffb227f,0xfe801eff,0x0002dfff,0xfffff910,
    0x2e003dff,0xceffffff,0x7ffdc000,0x001defff,0x9dddb900,0xdd900017,
    0x30017bdd,0xa80fffff,0x1006ffff,0x44001553,0x0bceeeec,0xdffff700,
    0xeedc8000,0x4c000bce,0x4007ffff,0x00001aa8,0x54c00353,0x00000000,
    0x554c4000,0x20000009,0x206ffffd,0x405ffffd,0xfffffffa,0xffffffff,
    0xffff53ff,0xffffffff,0x2a7fffff,0xffffffff,0xffffffff,0xfffff53f,
    0x7ffff980,0x37fffd40,0x03ffffcc,0x0026a200,0x40000000,0x0001aaa9,
    0x00026aa6,0x002aa620,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x79731000,0x88000013,0x910ccccc,0x40039999,0x003ccccb,0x2f2e6000,
    0x51000009,0x00000003,0x66664400,0x01531004,0xcca98000,0x3ba6000a,
    0xeeeeeeee,0xffffe84e,0x3fffe202,0x9999911f,0x99999999,0x99999999,
    0x16666545,0xcc880000,0x80001ccc,0x00ccccca,0x00cccc98,0x5544054c,
    0x33332200,0xaccccccc,0x997000aa,0x32a00999,0x40004ccc,0xcccccccb,
    0xcccccccc,0xcccccccc,0xdddd300c,0x9ddddddd,0x3bbba600,0x4eeeeeee,
    0x1fffff10,0x01333322,0x3fffffa6,0x200004ff,0x31fffff9,0x005fffff,
    0x02fffff4,0xff9000dc,0x409fffff,0x323ffffa,0x02effffe,0xdefeca80,
    0x7cc0002c,0x75c07fff,0x363effff,0x6400ffff,0xdfffffff,0xffff9800,
    0x5fffffff,0x02ffffe8,0x47ffffe2,0xfffffff8,0xffffffff,0x25ffffff,
    0x004ffffc,0xffff3000,0xf700005f,0xb001ffff,0x2a01ffff,0x2e2cfffe,
    0x3fe601ff,0xffffffff,0x01efffff,0x0fffffdc,0x3ffffe20,0x3fe60005,
    0xffffffff,0xffffffff,0x0fffffff,0xffffff30,0x00bfffff,0x3fffffea,
    0x105fffff,0x261fffff,0x5407ffff,0xffffffff,0x80001eff,0x31fffff9,
    0x005fffff,0x02fffff4,0xb1003fd5,0xffffffff,0xfff501df,0xffffd17f,
    0x4009ffff,0xfffffffd,0x7fcc0005,0xffb107ff,0x2bffffff,0x100ffffd,
    0xfffffffd,0xf9803fff,0xffffffff,0xfffe85ff,0x3ffe202f,0xffff11ff,
    0xffffffff,0xffffffff,0x7fffe4bf,0xf3000004,0x0005ffff,0x1fffff70,
    0xfffffa80,0xffffff00,0x01fffdff,0x7fffffcc,0xffffffff,0x7fc04fff,
    0x7dc05fff,0x0001ffff,0x3ffffff6,0xffffffff,0xffffffff,0xff300fff,
    0xffffffff,0x3fea00bf,0xffffffff,0xffff105f,0x3fffe61f,0x3fffee07,
    0xffffffff,0x7cc0000f,0xff31ffff,0x74005fff,0xe985ffff,0xfe801fff,
    0xffffffff,0xfffa86ff,0xfffffecf,0x805fffff,0xfffffffd,0x7cc0004f,
    0xffd07fff,0xffffffff,0x01ffffbb,0xfffffff5,0x01dfffff,0x7777774c,
    0xe84eeeee,0x2202ffff,0xf11fffff,0xffffffff,0xffffffff,0x7e4bffff,
    0x00004fff,0x5fffff30,0xfff70000,0x7fcc01ff,0xf980ffff,0xfffffeff,
    0x7fcc05ff,0xffffffff,0xffffffff,0xffff701f,0x3ffe203f,0x220005ff,
    0xffffffff,0xffffffff,0xffffffff,0xddd300ff,0xdddddddd,0x3bba6009,
    0xeeeeeeee,0xfffff104,0x1ffffe61,0xfffffff8,0x5ffffffe,0x7ffcc000,
    0xffff31ff,0x7ff4005f,0xffff85ff,0x7ffcc01f,0xffffefff,0x7ffd42ff,
    0xfeffffff,0x02ffffff,0x3fffffe2,0x40002fff,0xb87ffff9,0xefffffff,
    0xffffffff,0xffffe80f,0xfffffdef,0x4000004f,0x202ffffe,0x11fffff8,
    0xffffffff,0xffffffff,0x64bfffff,0x0004ffff,0xfffff300,0xff700005,
    0x3e601fff,0x80ffffff,0x3f6a27fc,0x7cc00cff,0xffffffff,0xffffffff,
    0x3ffe06ff,0xfff705ff,0x640003ff,0xfcceffff,0xffffffff,0xffffffff,
    0x000000ff,0xf1000000,0x3e61ffff,0xff507fff,0x7ec45fff,0x0000ffff,
    0x47ffffe6,0x02fffff9,0x17ffffa0,0x007ffffe,0x21bffffb,0x46ffffd8,
    0xeffffffa,0x7ffffdc1,0x3fffea06,0x000988bf,0x3ffffcc0,0x3fffffe2,
    0x7ffffcc2,0x7ffd40ff,0x3ff222ff,0x000007ff,0x017ffff4,0x43fffff1,
    0x99999999,0x99cfffff,0x2e099999,0x0003ffee,0xfffff300,0x33555559,
    0xffff7003,0xfffc881f,0x980fffff,0x0013102a,0x2fffffe6,0xeb999999,
    0x03ffffff,0x01fffff7,0x00bfffff,0x7ffffc40,0x33ffffe2,0x99999999,
    0x00019999,0x00000000,0x88555554,0xfb02aaaa,0xff307fff,0x40005fff,
    0x31fffff9,0x005fffff,0x42fffff4,0x201fffff,0x41fffff8,0x21fffff8,
    0x0ffffffa,0x5fffff70,0x1ffffee0,0x3fe60000,0x7ffe47ff,0xfff101ff,
    0xffe81fff,0xfff882ff,0x000001ff,0x80bffffa,0x01fffff8,0x13ffffe0,
    0x00bfe600,0x7ffcc000,0xffffffff,0x702effff,0x5c1fffff,0xffffffff,
    0x000000ff,0x2fffff98,0xfffffb80,0xffff880f,0x7fffdc4f,0x3f20001f,
    0x7ffc7fff,0x000003ff,0x0004d4c4,0x4d54cc40,0x40000001,0xd00fffec,
    0x0007ffff,0x8fffffcc,0x02fffff9,0x17ffffa0,0x807ffffe,0x905ffffc,
    0x7d4bffff,0x7403ffff,0xf904ffff,0x2000bfff,0x7fcc09a8,0x7fff47ff,
    0x7ffe405f,0x3ffea0ff,0x2b33207f,0x3fffea0a,0x7fffdc07,0x05ffffd5,
    0x0fffffc4,0x9fffff00,0x03ff9000,0x4c01a880,0xffffffff,0xffffffff,
    0x7ffdc0ef,0xffffd0ff,0x1fffffff,0x00153000,0x0bffffe6,0x7ffffdc0,
    0xfffff704,0x2fffff41,0xffff1000,0xfffff87f,0xb8800003,0xdffffffe,
    0x7fed4001,0x0cffffff,0x000376c0,0xfff10188,0x4c0001ff,0xf31fffff,
    0x4005ffff,0xf55ffffe,0xffffffff,0xffffd8df,0xdffff503,0x07ffffd4,
    0x17ffff20,0x027fffe4,0x3ffffb20,0xfffff32e,0x02fffff8,0x07ffffcc,
    0x009ffffb,0x3ffffd40,0x57fffee0,0x202ffffe,0x01fffff8,0x13ffffe0,
    0x6cdff300,0xd910ffff,0x305dffff,0xffffffff,0xffffffff,0x7fd41dff,
    0x3fffe7ff,0xfffffbff,0x49ffff30,0xcfffffdb,0x3fffe600,0x3ffa002f,
    0xff880fff,0xfff54fff,0x5c0003ff,0x7c0fffff,0x0003ffff,0x7ffffd40,
    0x04ffffff,0xffffffb0,0x01dfffff,0xf983ffe2,0x40007fff,0x006ffffb,
    0x7ffffcc0,0x5fffff31,0x7ffff400,0xffffff55,0xfe8dffff,0xff302fff,
    0x7ffd4fff,0xfffb807f,0x3ffff26f,0x4fffffff,0xfffffd10,0xfff39fff,
    0x7fffc4ff,0x7ffc401f,0x3fffa0ff,0x3ea0003f,0x7dc07fff,0xfffd5fff,
    0x7ffc405f,0x3fe001ff,0x32004fff,0x3ff61fff,0xfffe98ff,0x4c4fffff,
    0xffffffff,0xffffffff,0x3fe64fff,0x3fffe7ff,0xfffff88e,0x29ffff30,
    0xfffffffc,0xfff301ef,0x7dc005ff,0xf902ffff,0x3ffaffff,0x7c0005ff,
    0xff84ffff,0x00003fff,0x3fffffee,0xefffffff,0x3ffff601,0xffffffff,
    0xfff880ff,0x1ffffe61,0xffffa800,0x7cc0003f,0xff31ffff,0x74005fff,
    0xff55ffff,0xffffffff,0x1fffff8d,0x1fffff10,0x01bfffea,0xc9ffffea,
    0xffffffff,0xff884fff,0xffffffff,0x27ffffef,0x00fffff9,0x20fffff8,
    0x952fffff,0xfa8059bb,0x7dc07fff,0xfffd5fff,0x7ffc405f,0x3fe001ff,
    0x36004fff,0x7ffec2ef,0xffffffbf,0x262fffff,0x99bfffff,0xfffcaaaa,
    0xff10ffff,0x1fffcdff,0x21fffff1,0xfddffff9,0xffffffff,0xffff306f,
    0x7fc4005f,0xff104fff,0xffff7fff,0x7d40003f,0xff81ffff,0x00003fff,
    0xfffffff5,0xffffffff,0x3fffe60d,0xfffeceff,0xff983fff,0x3fffe62f,
    0x7f744007,0x0003ffff,0x1fffff98,0x05fffff3,0xafffff40,0xfffffffa,
    0x3fe26fff,0xff101fff,0x3fea3fff,0xffa807ff,0x3fff27ff,0xffffffff,
    0xfffffd84,0xffffecef,0x3fe67fff,0x7c400fff,0x3fe0ffff,0xfffc9fff,
    0xf501efff,0xfb80ffff,0xfffd5fff,0x7ffc407f,0x3fe001ff,0x26004fff,
    0xfffffb04,0xfffdbfff,0x7fccdfff,0x74402fff,0xf13fffff,0x41f4bfff,
    0x30fffff8,0xffffffff,0xffffffbd,0xffff305f,0xfff8005f,0x3ff205ff,
    0x5fffffff,0x7fff4000,0xfffff05f,0xdddddddd,0xf10ddddd,0x419fffff,
    0x3fffffe9,0x0dffffd8,0x2fffff44,0xf317ffd4,0xa800ffff,0x02ffffff,
    0xffff3000,0x3fffe63f,0x3ffa002f,0xff3315ff,0x41337fff,0x01fffff8,
    0x23fffff1,0x807ffffa,0x326ffffb,0xffffffff,0x7fcc4fff,0x7cc0efff,
    0x7c7fffff,0x4c01ffff,0xf10fffff,0xfffdffff,0x07ffffff,0x80fffff5,
    0xfd5ffffb,0x7d409fff,0x2001ffff,0x004fffff,0xfffffb00,0x7ffc417f,
    0xfff30fff,0xff5005ff,0x7ffcbfff,0xfff8804f,0xffff30ff,0xffc83dff,
    0x37324fff,0xccdfffff,0xfff00ccc,0x66664bff,0xfffffffd,0x0ccccdff,
    0xfffff500,0x3ffffe03,0xffffffff,0xfa87ffff,0x3602ffff,0x540fffff,
    0xf700fedc,0xff70dfff,0x7fffcc7f,0x7ffdc007,0x0000beff,0x1fffff98,
    0x05fffff3,0x2fffff40,0x80fffffc,0x00fffff9,0x54bffffe,0x400fffff,
    0x225ffffc,0xdffffd99,0x7fec0999,0xff300fff,0xffe8ffff,0x7fd402ff,
    0xfff30fff,0xffffffff,0xa83fffff,0x5c07ffff,0xffd5ffff,0x7fdc0dff,
    0x3e001fff,0x0004ffff,0x9fffffb0,0x3ffffea0,0x5fffff31,0x3ffffe00,
    0x013fffa6,0x43ffffe2,0x0ffffff9,0x4bffffd0,0xffffffff,0x01ffffff,
    0x7cdffffd,0xffffffff,0xffffffff,0xffd001ff,0x7ffc0dff,0xffffffff,
    0x87ffffff,0x405ffffc,0x03fffff8,0x3fffe600,0x24fffc86,0x007ffff9,
    0x7fffffe4,0x4c0001ff,0xf31fffff,0x4005ffff,0xf85ffffe,0xf501ffff,
    0x7c01ffff,0xff53ffff,0xfe809fff,0xff904fff,0xfff809ff,0x7ff403ff,
    0x7ffec7ff,0x7fff405f,0xffff50ff,0xf915bfff,0xfa8dffff,0x7dc07fff,
    0xfffd5fff,0xfff103ff,0xddb03fff,0xfffffddd,0x05dddddd,0x7ffffd80,
    0x97ffffc0,0x02fffff9,0x4dfffff0,0x8803fffd,0xf30fffff,0x6405ffff,
    0x3fe6ffff,0xffffffff,0xfd01ffff,0x7ffcdfff,0xffffffff,0xffffffff,
    0xffff9801,0x3fffe02f,0xffffffff,0xe87fffff,0xc802ffff,0x4005ffff,
    0xfffffca8,0x25fffc87,0x007ffff9,0x7ffe4d54,0x20001fff,0x31fffff9,
    0x005fffff,0x42fffff4,0x301fffff,0x401fffff,0xf52fffff,0x201fffff,
    0x02fffffa,0x409ffff9,0x01fffff8,0x23ffffdc,0x01fffffb,0x1ffffff5,
    0x3fffffe6,0xfffff883,0x1ffffea2,0x2bffff70,0x1ffffffe,0x3fffffa6,
    0xffffe81f,0xffffffff,0x4003ffff,0x405ffffd,0xf32ffffe,0x3005ffff,
    0x6c9fffff,0xf8802fff,0xff30ffff,0x7dc03fff,0x3ffe6fff,0xffffffff,
    0xfff01fff,0x7fffcbff,0xffffffff,0x1fffffff,0x7ffffd80,0x77ffffc0,
    0xeeeeeeee,0x7fc46eee,0xfb800fff,0x54406fff,0xffffffed,0xfffd87ff,
    0x1ffffe66,0x3fff6000,0x3e60006f,0xff31ffff,0x74005fff,0xff85ffff,
    0xff301fff,0x3e203fff,0xff51ffff,0xa83fffff,0x206fffff,0x204ffffc,
    0x00fffff9,0x23ffffd4,0x1ffffff8,0x7fffffdc,0xfffff10f,0x7fffe40d,
    0x1ffffea4,0x2bffff70,0xfffffffe,0xffffffff,0xfffe81ff,0xffffffff,
    0x003fffff,0x027fffec,0x4cfffffa,0x802fffff,0x22fffffc,0x8801fffc,
    0xf30fffff,0x5401ffff,0xf986ffff,0x4002ffff,0x2a4fffff,0xffbaaaaa,
    0xaaaabfff,0x7fcc00aa,0x9999cfff,0xfffff999,0x7fd40003,0xff5007ff,
    0x3fae0fff,0xffffffff,0xffe87fff,0x3fffe66f,0xffa80007,0x30002fff,
    0x223fffff,0x002fffff,0x213ffffa,0x101fffff,0x203fffff,0x51fffff8,
    0xffffffff,0xffffffdf,0x7ffe403f,0x3ffea04f,0xfff9807f,0xffffb87f,
    0xffffefff,0x3e0fffff,0x2a05ffff,0x3ea5ffff,0x7dc07fff,0xfffd5fff,
    0xffffffff,0x03ffffff,0xff999997,0x9999dfff,0xffd80039,0x7ff404ff,
    0xffff33ff,0x7fec405f,0x3ee0ffff,0xff8800ff,0xfff30fff,0xfffa80ff,
    0xffff986f,0x3fe2002f,0xff003fff,0x40003fff,0xfffffffc,0xffffffff,
    0x40003fff,0x007ffffa,0x90fffff5,0xffffffff,0x0fffff9b,0x7ccfffff,
    0x00007fff,0x009fffff,0x3ffffe60,0x5fffff11,0x7ffff400,0x1fffff84,
    0x07ffffe0,0x87ffffc4,0xfefffffa,0xffffffff,0x7ffe405f,0x3ffea04f,
    0xfff9807f,0xffffd07f,0xfdffffff,0x7fc1ffff,0x3e604fff,0x3fea7fff,
    0x7fdc07ff,0xffffd5ff,0xbfffffd5,0x003ffff9,0x027ffffc,0xffffd800,
    0x7ffff404,0xdfffff33,0xffffdddd,0xa8dfffff,0xf8800fff,0xff30ffff,
    0xffa80fff,0xfff986ff,0x3e6002ff,0x2661ffff,0xfff99999,0x99999aff,
    0x7fffc401,0xffffffff,0x3fffffff,0x7ffcc000,0xffb800ff,0x7ffec6ff,
    0x3e61bdff,0xfff87fff,0xffff30ff,0x3f60000f,0xdb915fff,0x7ffd40ff,
    0x3fffe1ff,0x3ffe003f,0xffff84ff,0x3fffe01f,0xffff302f,0x77fffd4f,
    0xffffffd8,0xffc804ff,0x3fe604ff,0x7d400fff,0xfb107fff,0x9fffffff,
    0x41fffff3,0x204ffffe,0x2a7ffff8,0x6407ffff,0xffd5ffff,0xffff35ff,
    0x3ffff91b,0x7ffffc00,0xffb00004,0xffe807ff,0xffff33ff,0xffffffff,
    0x1dffffff,0x1007ff98,0x261fffff,0x5407ffff,0xf986ffff,0x2002ffff,
    0x20fffffc,0xffffffff,0xffffffff,0x3f201fff,0xffffffff,0xffffffff,
    0x440003ff,0x801fffff,0x225ffffc,0x303fffff,0xf88fffff,0xff31ffff,
    0x99530fff,0xfffe80bd,0xfffff34f,0x7ffffd40,0x1bffffe0,0x7ffffc40,
    0x1fffff83,0x0fffffa0,0x537fffdc,0x7e4dffff,0x002effff,0x409ffff9,
    0x01fffff8,0x03ffffdc,0x3bfffff2,0x1fffff13,0x02ffffec,0x4cdffff3,
    0x200fffff,0xfd5ffffe,0x054c5fff,0xffff0000,0x3600009f,0x7403ffff,
    0xff33ffff,0xffffffff,0xffffffff,0x00bdd103,0x43ffffe2,0x407ffff9,
    0x986ffffa,0x002fffff,0xf1fffffa,0xffffffff,0xffffffff,0x3fe203ff,
    0xffffffff,0xffffffff,0xe80003ff,0x4405ffff,0x2a3fffff,0x2a06ffff,
    0x7cc7ffff,0xff31ffff,0xfff50fff,0x3fe201ff,0x3ffe2fff,0xfff902ff,
    0xffffd8ff,0xfffd803f,0xffff82ff,0x3fff202f,0xffffb06f,0x37fffd49,
    0x20004d44,0x404ffffc,0x404fffff,0x007ffffe,0xff881551,0x3fee0fff,
    0xff700fff,0x7ffcc9ff,0xfff502ff,0x3fffabff,0x4000002f,0x004fffff,
    0x7ffffb00,0x3ffffe80,0xfffffff3,0xffffffff,0x4000019f,0x30fffff8,
    0xa80fffff,0xf986ffff,0x8802ffff,0x42fffffd,0xffffffff,0xffffffff,
    0xff701fff,0x9999bfff,0xfff99999,0x900007ff,0x405fffff,0x20fffffd,
    0x206ffffc,0x547ffffd,0xf32fffff,0x3fe0ffff,0xff904fff,0x7ff43fff,
    0x7fc40eff,0x7fdc6fff,0x2a01ffff,0xf07fffff,0x4405ffff,0x4c2fffff,
    0x2a1fffff,0x0006ffff,0x27fffe40,0x3fffff60,0xfffff501,0xff10000f,
    0xfff81fff,0xfffd04ff,0x7fffc47f,0x7ffd40ff,0xfffd5fff,0x8000005f,
    0x004fffff,0x7ffffb00,0x3ffffe80,0xddfffff3,0x59bddddd,0x4cccc401,
    0xffff8801,0xfffff30f,0x6ffffa80,0x2fffff98,0x7ffff440,0xeeeee85f,
    0xefffffee,0x01eeeeee,0x00dfffff,0x0fffffe2,0x3ffe2000,0x3a60cfff,
    0x5c3fffff,0xb81fffff,0x547fffff,0xf32fffff,0x3f60ffff,0xd51dffff,
    0xc8bfffff,0xabefffff,0x3fffffeb,0xfffffff8,0xffdbaabd,0xff03ffff,
    0x20629fff,0x31effffd,0xa8bffffb,0x0006ffff,0x27fffe40,0x3ffffe60,
    0x7fffd41f,0x880007ff,0x5c0fffff,0x50cfffff,0x81fffffd,0xdffffffe,
    0xfffffffc,0x5ffffd5f,0xff800000,0x00004fff,0x807ffffb,0xf33ffffe,
    0x0005ffff,0x0fffff50,0x1fffff10,0x01ffffe6,0x30dffff5,0x99bfffff,
    0xfffdd999,0x8003ffff,0x001fffff,0x1fffffdc,0xfffff880,0xcccccccd,
    0x42cccccc,0xfffffffb,0xffffffff,0xfffff986,0xffffcadf,0x3ea0ffff,
    0xff32ffff,0x3fe20fff,0xffffffff,0x440fffff,0xffffffff,0x07ffffff,
    0xfffffff7,0xffffffff,0x3fa01fff,0x87ffffff,0xfffffffa,0x42ffffff,
    0x006ffffa,0x7fffe400,0xffffc804,0xffffefff,0x0007ffff,0x0fffff88,
    0x7fffffc4,0xffffffff,0xfffff983,0xfbffffff,0xfffd5fff,0x8000005f,
    0x004fffff,0x7ffffb00,0x3ffffe80,0x05fffff3,0xffff5000,0xffff100f,
    0x3fffe61f,0x7fffd407,0xfffff986,0xffffffff,0x04ffffff,0x1fffff80,
    0x7ffff400,0xfff1000f,0xffffffff,0xffffffff,0xfffffb09,0xffffffff,
    0x3fff603d,0xffffffff,0x2a1fffff,0xf32fffff,0x7d40ffff,0xffffffff,
    0xf702ffff,0xffffffff,0x6405ffff,0xffffffff,0xffffffff,0x3fffee02,
    0xfd80ffff,0xffffffff,0xfffa86ff,0x6400006f,0x8804ffff,0xffffffff,
    0xfffecfff,0xff880007,0xffa80fff,0xffffffff,0x3fea06ff,0x9fffffff,
    0xfd5ffff8,0x00005fff,0x4fffff80,0xfffb0000,0xfffe807f,0xfffff33f,
    0xff500005,0xff100fff,0x3fe61fff,0x7fd407ff,0xfff986ff,0xffffffff,
    0x4fffffff,0xfffff000,0x7ffd4003,0x3e2004ff,0xffffffff,0xffffffff,
    0xfff704ff,0xffffffff,0xfffe8809,0xc9efffff,0x3ea4ffff,0xff32ffff,
    0xffa80fff,0xffffffff,0x7ffe401e,0xffffffff,0xffffa802,0xffffffff,
    0x7fc400ef,0x01ffffff,0xfffffff7,0x3fea0bff,0x400006ff,0x004ffffc,
    0xffffffb1,0x3fffa7ff,0xff880007,0xfd300fff,0xffffffff,0xfffb5009,
    0x3fe219df,0xffffd5ff,0xf8000005,0x0004ffff,0x07ffffb0,0x33ffffe8,
    0x005fffff,0xfffff500,0xfffff100,0x1ffffe61,0x0dffff50,0xfffffff3,
    0xffffffff,0x7c0001bf,0x2001ffff,0x01fffffe,0x3ffffe20,0xffffffff,
    0x04ffffff,0x3fffb2e2,0x91002dff,0x19ffffff,0xa9bfffe6,0xf32fffff,
    0x9100ffff,0x9fffffff,0x7fff4c00,0x000cffff,0x3fffff62,0x003effff,
    0x3fffffa6,0x3ffaa01e,0x2a03efff,0x0006ffff,0x27fffe40,0x3ffff200,
    0x3fffa2ef,0xff880007,0x32200fff,0x1efffffe,0x000a9800,0x00e6665c,
    0x3ffe0000,0xb00004ff,0xe807ffff,0xff33ffff,0x00005fff,0x00fffff5,
    0x21fffff1,0x407ffff9,0x986ffffa,0xffffffff,0x1bcdefff,0xffff8000,
    0xfff3001f,0xf8800bff,0xffffffff,0xffffffff,0x2a2004ff,0x54c0000a,
    0xcc98000a,0xfff31ccc,0xaa8800ff,0x54c00009,0x980001aa,0x009aaaaa,
    0x006aa200,0x20026a60,0x003cccc9,0x7fffe400,0x15510004,0x22000000,
    0x2004cccc,0x00001aa8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xba880000,0x10009acc,0x99999999,
    0x01555999,0xddddd500,0x09dddddd,0x0e666644,0x79999500,0x66666640,
    0xcccccccc,0x20cccccc,0x02cccccc,0x333332e0,0x0f3332e2,0x66666640,
    0xcccc9802,0x3333310c,0x33333333,0x32613333,0x4400cccc,0x1acdecba,
    0x99999100,0x6664c000,0xc88002cc,0xcccccccc,0x01aacccc,0x166665c0,
    0x33322000,0xcccccccc,0x91000aaa,0x99999999,0x99999999,0x33221999,
    0xcccccccc,0xcccccccc,0x09999912,0x93333220,0x003cccc9,0x99999100,
    0x66644000,0x32a001cc,0x99913ccc,0x80000099,0xffffffd9,0xff9803ff,
    0xffffffff,0x01efffff,0x3ffffea0,0x05ffffff,0x0bffffe2,0x6ffffd80,
    0x3fffffe0,0xffffffff,0x21ffffff,0x0ffffffb,0xfffffa80,0x3ffff20f,
    0xffff9807,0xffb806ff,0x3ffea7ff,0xffffffff,0x55ffffff,0x401fffff,
    0xfffffffa,0x7cc02eff,0x20007fff,0x07fffffc,0xfffff880,0xffffffff,
    0x800cffff,0x004ffffe,0x7ffffcc0,0xffffffff,0x7cc01eff,0xffffffff,
    0xffffffff,0xfff11fff,0xffffffff,0xbfffffff,0x01ffffe6,0x53ffffcc,
    0x000dffff,0x1ffffe60,0xffff8800,0x3ff6002f,0xffff36ff,0x6400000f,
    0xffffffff,0x2600efff,0xffffffff,0xffffffff,0xfff5004f,0xffffffff,
    0x7fffc40b,0x3ff6002f,0x3ffe06ff,0xffffffff,0xffffffff,0x7fffec1f,
    0xfffe804f,0x7ffd43ff,0x7fdc01ff,0x400fffff,0x2a5ffffd,0xffffffff,
    0xffffffff,0xfffff55f,0xffffd101,0xffffffff,0x3ffe601b,0xff10007f,
    0x007fffff,0xffffff88,0xffffffff,0x401fffff,0x004ffffe,0x7ffffcc0,
    0xffffffff,0x300cffff,0xffffffff,0xffffffff,0x3e23ffff,0xffffffff,
    0xffffffff,0xfffff35f,0x3fffe600,0x1bfffea7,0xffb95000,0x99999fff,
    0xffff1005,0x7fec005f,0xffff36ff,0x2e00000f,0xffffffff,0x206fffff,
    0xfffffff9,0xffffffff,0x5401ffff,0xeeeeeeee,0x3e204eee,0x2002ffff,
    0x206ffffd,0xffffffff,0xffffffff,0x7c41ffff,0x201fffff,0x86fffffb,
    0x03fffff8,0x7fffffec,0x7fffc02f,0x3fffea4f,0xffffffff,0xf55fffff,
    0xfd01ffff,0xffffffff,0x20bfffff,0x007ffff9,0xffffff70,0xff8800df,
    0xffffffff,0xffffffff,0x3ffa00ff,0x4c0004ff,0xffffffff,0xffffffff,
    0xff981fff,0xffffffff,0xffffffff,0xffff11ff,0xffffffff,0x2bffffff,
    0x007ffff9,0x54fffff3,0x0006ffff,0x7fffffdc,0x03ffffff,0x2fffff88,
    0x3ffff600,0x0fffff36,0xfff30000,0xfffdffff,0x2607ffff,0xffffffff,
    0xffffffff,0x00006fff,0xfffeed80,0xeeeeeeff,0xfffeeeee,0x7c3eefff,
    0xffffffff,0xffffffff,0xffb80fff,0xff106fff,0x3a03ffff,0x7c05ffff,
    0x4fffffff,0x3ffffe60,0x3ffffea2,0xffffffff,0xff54ffff,0xffd81fff,
    0xa9adffff,0x84fffffe,0x007ffff9,0xffffffd0,0x7c4003ff,0xffffffff,
    0xffffffff,0x3fa05fff,0x00304fff,0x3fffffe6,0xffffffff,0x986fffff,
    0xffffffff,0xffffffff,0xff11ffff,0xffffffff,0xffffffff,0x1ffffe6b,
    0x3ffffcc0,0x00dffff5,0xfffffb80,0x3fffffff,0xfffff880,0x3fff6002,
    0xfffff36f,0xff900000,0x2a217fff,0x307ffffe,0x337fffff,0xffd73333,
    0x0007ffff,0xffffe800,0xffffffff,0xffffffff,0x44ffffff,0x99999999,
    0xfffc9999,0x3fa04fff,0xfd83ffff,0x3603ffff,0x2a06ffff,0xffffffff,
    0x3fffea06,0x3bbba60f,0xeeeeeeee,0xf50effff,0x7cc1ffff,0x900cffff,
    0x981fffff,0x8007ffff,0xfffffff9,0x3e2004ff,0x4c02ffff,0x07fffffc,
    0x213ffffa,0xfff3006b,0x333337ff,0xfffffd73,0xffff987f,0x999999bf,
    0x19999999,0x2fffffe2,0x99999999,0xff309999,0x3e600fff,0x3fea7fff,
    0x5c0006ff,0xffffffff,0x8803ffff,0x002fffff,0x4dbffff6,0x0007ffff,
    0x3ffffe80,0x1fffff70,0x5fffff30,0xfffff700,0x0d4c001f,0xfffffe80,
    0xffffffff,0xffffffff,0x004fffff,0x3ffffe60,0x7ffcc05f,0x3fea0fff,
    0x7dc06fff,0xf900ffff,0xffffffff,0x3ffff201,0x7ff40006,0x3ffea1ff,
    0x3ffee0ff,0x7ffc405f,0x7ffcc2ff,0xffc8007f,0xffffffff,0xffff1000,
    0x3fee005f,0xffd01fff,0x06fc89ff,0x5fffff30,0xfffff500,0x7fffcc1f,
    0xf880002f,0x0002ffff,0x01ffffe6,0x53ffffcc,0x000dffff,0x1ffffe60,
    0xffff8800,0x3ff6002f,0xffff36ff,0xf880000f,0xf100ffff,0xf305ffff,
    0x2005ffff,0x04fffffb,0x7fffff5c,0x3f72e03e,0xcccdffff,0xeccccccc,
    0x2ccfffff,0xffff1000,0xf9001dff,0x3a2bffff,0x401fffff,0x02fffff9,
    0xffdffffd,0x3ffa05ff,0x2e0004ff,0x7d42ffff,0x3fa0ffff,0xfc801fff,
    0x7fcc4fff,0xff8007ff,0xffffbfff,0xfff1003f,0x3e2005ff,0xfd03ffff,
    0x3f629fff,0xfff3006f,0x3ee005ff,0x3e64ffff,0x0002ffff,0x2fffff88,
    0x3ffe6000,0xfff3007f,0x7fffd4ff,0xff300006,0x02a60fff,0x2fffff88,
    0x3ffff600,0x0fffff36,0x930002a6,0xff80fdd9,0xff982fff,0x3a002fff,
    0x880fffff,0xfffffffd,0x3e200eff,0x2002ffff,0x006ffffd,0xfffffe80,
    0x3ffa001f,0xfffcafff,0xfff004ff,0xfff107ff,0x9ffff7df,0x5fffff10,
    0x3ffe6000,0xffffa85f,0x1732a60f,0x27fffe40,0x4dffffe6,0xffffa804,
    0x0dffffb7,0x3ffffe20,0x3fffe002,0xffffd01f,0x0dfffd39,0x3ffffe60,
    0x3fffa002,0xffff30ff,0xf100005f,0x0005ffff,0x03ffffcc,0x27ffff98,
    0x506ffffa,0x01ffffff,0x54fffff3,0x0bdffffe,0x17ffffc4,0xdffffb00,
    0xa9ffffe6,0x04fffffe,0xfff30000,0xfff301ff,0x7dc005ff,0x7cc2ffff,
    0xffffffff,0xf101ffff,0x4005ffff,0x006ffffd,0x7ffffe40,0x7fcc002f,
    0xffffffff,0xffb000ef,0xfff50bff,0xdffff39f,0x1fffff30,0x3fffa000,
    0xffffa80f,0xfe80000f,0x7fcc2fff,0x804fbfff,0xf54ffffd,0x1003ffff,
    0x005fffff,0x81ffffea,0xffeffffe,0xf3001eff,0x4005ffff,0x32fffffa,
    0x005fffff,0xfffff100,0x7fcc0005,0xff3007ff,0x7ffd4fff,0xffff986f,
    0xfff301ff,0x3ffff2ff,0x7c46ffff,0x2002ffff,0xf36ffffd,0x3ff2ffff,
    0x0effffff,0x7fdc0000,0xfff307ff,0x7c4005ff,0x7f44ffff,0xffdfffff,
    0xf106ffff,0x4005ffff,0x006ffffd,0x3ffffee0,0xff90004f,0xffffffff,
    0x7ffdc005,0xffffc87f,0x81fffff2,0x006ffffb,0x07ffff70,0x03ffffea,
    0xffff9000,0xfffff30f,0xff8809ff,0xfff11fff,0xff1009ff,0xd5005fff,
    0x7409ffff,0xffffffff,0x3fe6000e,0x26002fff,0xf33fffff,0x0005ffff,
    0x5fffff10,0x7ffcc000,0xfff3007f,0x7fffd4ff,0x7ffffc46,0x3ffe601f,
    0xfffffdff,0x224fffff,0x002fffff,0x4dbffff6,0xffdfffff,0xffffffff,
    0x7f400006,0xff305fff,0xf8005fff,0x3ea5ffff,0x2a0cffff,0x882ffffe,
    0xeeefffff,0xeeeeeeee,0x006fffff,0xffffff30,0x7fc4000b,0x5fffffff,
    0x7fffcc00,0x7ffff41f,0x85ffffb0,0x004ffffd,0x06ffff88,0x03ffffea,
    0xffffd800,0xffff984f,0x7dc02fff,0x7fe47fff,0x7c400fff,0xcccdffff,
    0xfffecccc,0x3fa00dff,0x05ffffff,0xfffff980,0x7fffc002,0xfffff35f,
    0xdddddddd,0x41dddddd,0xacfffff8,0xaaaaaaaa,0x7fffcc2a,0xffff3007,
    0x37fffd4f,0x5fffffd1,0xfffff980,0xfffdefff,0xff12ffff,0xdddddfff,
    0xffdddddd,0x3fe6dfff,0xdeffffff,0x1fffffff,0xfffb0000,0xfdcc83ff,
    0xcccdffff,0xffff00cc,0x7ffffcbf,0xdffff103,0xffffff10,0xffffffff,
    0xdfffffff,0xffff1000,0x80001dff,0xfffffffa,0xfff8000f,0x3ffe22ff,
    0x3fffee6f,0x17ffffc4,0x7fffdc00,0x3fffea03,0xfe88000f,0xf306ffff,
    0x005fffff,0x989ffffd,0x403fffff,0xfffffff8,0xffffffff,0xfe804fff,
    0x003fffff,0x5fffff30,0xfffff800,0xffffff35,0xffffffff,0x441fffff,
    0xffffffff,0xffffffff,0x3ffffcc6,0x26bffff7,0x3ea7ffff,0x3ffa6fff,
    0xf9802fff,0x40dfffff,0x14fffffb,0xffffffff,0xffffffff,0x26dfffff,
    0x0effffff,0x27ffffdc,0x7ffe4000,0xffff84ff,0xffffffff,0xfffd01ff,
    0x3fffe6df,0x7fffec07,0x7ffffc41,0xffffffff,0xffffffff,0xfffe8006,
    0x00000fff,0x5ffffffb,0x3fffa000,0x3fffea4f,0x9bfffe24,0x00fffff8,
    0x0fffff80,0x3ffffea0,0x7ff44000,0xf300efff,0x3003ffff,0xd03fffff,
    0x880dffff,0xffffffff,0xffffffff,0xffe801ff,0x20002fff,0x02fffff9,
    0xb7ffff40,0xfffffff9,0xffffffff,0x3e20ffff,0xffffffff,0x6fffffff,
    0x73ffffcc,0x3e6bffff,0x3fea7fff,0xffffb6ff,0x3fe6007f,0x3f606fff,
    0xfff15fff,0xffffffff,0xffffffff,0x3ffe6dff,0xffb00fff,0xc8000bff,
    0x80ffffff,0xffffffff,0x01ffffff,0x2adffffd,0x5c06ffff,0x7c43ffff,
    0xffffffff,0xffffffff,0x4006ffff,0x2ffffffd,0xfff10000,0x0009ffff,
    0xd9bffff2,0x7f42ffff,0xfff50fff,0xff7000ff,0xffa80bff,0x22000fff,
    0x05fffffe,0x03ffffd4,0x06ffffd8,0x03fffff9,0x7fffffc4,0xffffffff,
    0x00efffff,0x09fffff3,0xffff9800,0x7ff4002f,0xffff36ff,0xffffffff,
    0x1fffffff,0x7fffffc4,0xffffffff,0x7ffcc6ff,0x3fffee7f,0x4fffff35,
    0xfceffffa,0x2003ffff,0x03fffff9,0x45bfffee,0xffffffff,0xffffffff,
    0xf36fffff,0x5c07ffff,0x0006ffff,0x3ffffff2,0xffffff02,0xffffffff,
    0x3ffffe03,0x9dffff75,0xfb999999,0xff887fff,0xffffffff,0xffffffff,
    0x2e006fff,0x03ffffff,0x3fffa000,0x001fffff,0x27ffffa8,0x640fffff,
    0xff92ffff,0xfd000bff,0xfa805fff,0x2000ffff,0x05fffffd,0x3fffffdc,
    0x7ffffc40,0xfffff303,0x7fffc409,0xffffffff,0xffffffff,0x7fffd41f,
    0x4c0004ff,0x002fffff,0x9afffffc,0xeeefffff,0xeeeeeeee,0x3fe20eee,
    0xffffffff,0x46ffffff,0x2e7ffff9,0xff35ffff,0x7ffd4fff,0x6fffffff,
    0x7fffcc00,0x3ffea01f,0xfffff16f,0xffffffff,0xffffffff,0x3ffffe6d,
    0x3fffea02,0xfff90006,0xf3005fff,0x8005ffff,0xfb4fffff,0xffffffff,
    0xffffffff,0xfffff889,0x3fff6002,0xfff3006f,0x0000bfff,0x7fffffdc,
    0x4000efff,0x99fffff8,0xfa86ffff,0xfffd4fff,0xffa8007f,0xffa806ff,
    0xf1000fff,0xc80bffff,0x07ffffff,0x0fffffb8,0x3fffffa0,0xfffff100,
    0xffea9805,0x3fee6fff,0x004fffff,0x7ffffcc0,0x7fffc002,0xfffff34f,
    0xff100005,0x33337fff,0x81333333,0x2e7ffff9,0xff35ffff,0x7ffd4fff,
    0xffffffff,0x3ffe6002,0x3fea00ff,0xffff17ff,0x7fec005f,0xffff36ff,
    0x7ffd403f,0xffc8006f,0x3002ffff,0x005fffff,0x9fffffc4,0xfffffffd,
    0xffffffff,0x7ffc45ff,0x3f6002ff,0xf8806fff,0x006fffff,0x3fffe200,
    0x4fffffff,0xffffe800,0x83ffffbb,0xff6ffff8,0xc8003fff,0xa803ffff,
    0x000fffff,0x00bffff3,0xfffffffd,0xfffffd00,0xffffffff,0x207fffff,
    0x02fffff8,0x3fffff60,0xffffffd2,0xf980009f,0x2002ffff,0x33fffff8,
    0x005fffff,0xfffff100,0x7fcc0005,0x266627ff,0xfffff309,0x7fffffd4,
    0x006fffff,0x03ffffe6,0x17ffffa8,0x005fffff,0x9b7fffec,0x200fffff,
    0x006ffffa,0x7fffffe4,0x3ffe6002,0x3e6002ff,0xff91ffff,0x99999dff,
    0x79999999,0x2fffff88,0x3ffff600,0xffffe806,0x200000ff,0xfefffffd,
    0x001fffff,0x6effffe4,0xfd01ffff,0xffff5fff,0xffff000f,0xfff5001f,
    0x3ee001ff,0xfe802fff,0x407ffffb,0xfffffff9,0xffffffff,0xf106ffff,
    0x4005ffff,0xd4fffff9,0x9fffffff,0xfff98000,0x3e6002ff,0xff31ffff,
    0x00005fff,0x05fffff1,0x7fffcc00,0xffff3007,0x7ffffd4f,0x3fffffff,
    0xfffff300,0x7ffffa80,0x05fffff1,0xb7fffec0,0x407ffff9,0x006ffffa,
    0x3ffffff2,0x7ffcc001,0x3f2002ff,0xff70ffff,0x10000bff,0x005fffff,
    0x037fffec,0x3ffffff6,0x3ea00001,0xfb8fffff,0x4006ffff,0xfffffffa,
    0x3ff207ff,0x5ffffeff,0x7fffcc00,0xffff5005,0x3ff2001f,0x98d800ff,
    0x6407ffff,0xffffffff,0xffffffff,0xf881ffff,0x4002ffff,0xfd6fffff,
    0x09ffffd3,0xffff9800,0x3ff2002f,0xfff30fff,0x100005ff,0x005fffff,
    0x3ffffcc0,0x7ffff980,0x3fffffea,0x0fffffbe,0x7ffff980,0xbffffd40,
    0x02fffff8,0x5bffff60,0x407ffff9,0x006ffffa,0x3ffffff7,0xffff3000,
    0x7ff4005f,0x3ffea7ff,0x2004c07f,0x02fffff8,0x1bffff60,0xffffffb8,
    0x3e200003,0x3a3fffff,0x004fffff,0x3fffffe2,0x3ea05fff,0xffffffff,
    0x7ffdc003,0xfff5003f,0x3ae001ff,0x26000eee,0x7c07ffff,0xffffffff,
    0xffffffff,0xf884ffff,0x2002ffff,0x95fffff8,0x13ffffa1,0xffff3000,
    0x3fe2005f,0x3fe67fff,0x80002fff,0x02fffff8,0x3fffe600,0xffff3007,
    0x7ffffd4f,0xbffffd0e,0xfffff300,0x7ffffa80,0x05fffff1,0xb7fffec0,
    0x407ffff9,0x806ffffa,0x1ffffff9,0xffff3000,0xffb1005f,0x7fc45fff,
    0xff303fff,0xff8839df,0x36002fff,0xf506ffff,0x009fffff,0xffffd800,
    0x7fffcc6f,0x3fe001ff,0x3fffffff,0x3ffffe20,0x4001ffff,0x001ffffd,
    0x01fffff5,0x3e600000,0x3ea07fff,0xeeeeffff,0xfeeeeeee,0x440fffff,
    0x002fffff,0x0fffffea,0x013ffffa,0xfffff300,0x3fff2005,0x3ffe63ff,
    0x880002ff,0x002fffff,0x1ffffe60,0x3ffffcc0,0x41fffff5,0x01fffff9,
    0x03ffffcc,0x45ffffea,0x002fffff,0x4dbffff6,0x5407ffff,0x4406ffff,
    0x02ffffff,0x3fffe600,0x7ff4402f,0xffb85fff,0xffd82fff,0x7fc40fff,
    0x36002fff,0xf886ffff,0x006fffff,0x7fffd400,0xfffc81ff,0x3f6006ff,
    0x1fffffff,0x7fffff40,0xff8007ff,0x3ea007ff,0x1000ffff,0x40013333,
    0x207ffff9,0x006ffffd,0x1fffffdc,0x0bffffe2,0x7ffffd40,0xffffe81f,
    0x7fcc0004,0x6cc02fff,0x20ffffff,0x02fffff9,0xffff8800,0x3e60002f,
    0xf3007fff,0x7fd4ffff,0xfffd86ff,0x7ffcc06f,0x7ffd407f,0xfffff17f,
    0x7ffec005,0xfffff36f,0x6ffffa80,0x7ffffdc0,0xffffffff,0xff983fff,
    0xccccdfff,0xfffffeec,0xfff881ff,0xffdcefff,0xf884ffff,0x2002ffff,
    0xc86ffffd,0xcdffffff,0xcccccccc,0x443ccccc,0x04ffffff,0x9fffffd1,
    0x3fffee00,0xfb807fff,0x05ffffff,0x37fffc40,0xfffff500,0x3fff2001,
    0x3fe6004f,0xfff107ff,0xf88007ff,0x7c46ffff,0xcccdffff,0xffedcccc,
    0xe80fffff,0xccceffff,0xcccccccc,0xffff31cc,0xdb9999bf,0xfffffffd,
    0xfffff987,0xcccccccd,0x3ccccccc,0x05fffff1,0x7fffcc00,0xffff3007,
    0x37fffd4f,0x17ffffcc,0x0fffff30,0x17ffffa8,0x005fffff,0x9b7fffec,
    0x5407ffff,0x7406ffff,0xffffffff,0xffffffff,0xfffff983,0xffffffff,
    0x04ffffff,0x3fffffe6,0x5fffffff,0x5fffff10,0x7fffec00,0xfffffc86,
    0xffffffff,0xffffffff,0x7ffffec5,0x7fffd406,0xff9801ff,0x805fffff,
    0xfffffff9,0x7ffcc003,0x3fea005f,0xf9000fff,0x4c009fff,0xf707ffff,
    0x0001ffff,0x43fffffb,0xfffffff8,0xffffffff,0x02ffffff,0xfffffffd,
    0xffffffff,0x3fe67fff,0xffffffff,0xffffffff,0xffff984f,0xffffffff,
    0xffffffff,0x5fffff15,0x7ffcc000,0xfff3007f,0x7fffd4ff,0xfffff906,
    0x3fffe601,0x7fffd407,0x5fffff17,0x7fffec00,0x0fffff36,0x06ffffa8,
    0x3fffffe2,0xffffffff,0xff983fff,0xffffffff,0xffffffff,0xfffe8804,
    0x5fffffff,0x3ffffe20,0x3fff6002,0xffffc86f,0xffffffff,0xffffffff,
    0x3fffea5f,0xffd801ff,0xff006fff,0x007fffff,0x3ffffffe,0x7ffd4001,
    0x3fea004f,0xf9000fff,0x4c009fff,0xfd07ffff,0x2000dfff,0x24fffffa,
    0xfffffff8,0xffffffff,0x203fffff,0xfffffffe,0xffffffff,0xfff33fff,
    0xffffffff,0x7fffffff,0x3ffffe60,0xffffffff,0x5fffffff,0x05fffff1,
    0x7fffcc00,0xffff3007,0x37fffd4f,0x4fffff88,0x0fffff30,0x17ffffa8,
    0x005fffff,0x9b7fffec,0x5407ffff,0x2e06ffff,0xffffffff,0xffffffff,
    0xffff983f,0xffffffff,0x000dffff,0x7fffff64,0x7fc402ef,0x36002fff,
    0xfc86ffff,0xffffffff,0xffffffff,0xff15ffff,0x2009ffff,0x4ffffff8,
    0xfffffd80,0xfffb000f,0xf7000fff,0x54007fff,0x000fffff,0x009ffff9,
    0x43ffffcc,0x03fffffa,0x3ffffe00,0xfffff10f,0xffffffff,0x07dfffff,
    0xffffffe8,0xffffffff,0xff33ffff,0xffffffff,0x19ffffff,0x7ffffcc0,
    0xffffffff,0x5fffffff,0x05fffff1,0x7fffcc00,0xffff3007,0x37fffd4f,
    0x1fffff70,0x0fffff30,0x17ffffa8,0x005fffff,0x9b7fffec,0x5407ffff,
    0x3a06ffff,0xffffffff,0xffffffff,0xffff983f,0xefffffff,0x80001bcd,
    0x10009aa9,0x005fffff,0x437fffec,0xfffffffc,0xffffffff,0x95ffffff,
    0x01ffffff,0x7ffffd40,0x7ffdc01f,0x3ee006ff,0x8006ffff,0x003ffffc,
    0x03ffffea,0x27fffe40,0xfffff300,0x1fffffb0,0x7ffe4000,0xffff13ff,
    0xffffffff,0x0039ddff,0x3ffffffa,0xffffffff,0xff33ffff,0xffffffff,
    0x00379bdf,0xfffffff3,0xffffffff,0x22bfffff,0x002fffff,0x1ffffe60,
    0x3ffffcc0,0x80dffff5,0x985ffffe,0x5407ffff,0xff17ffff,0x6c005fff,
    0xff36ffff,0xffa80fff,0x000006ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x02a20000,0xccc88d54,0xcccccccc,0xcccccccc,0x999912cc,0x66540039,
    0x5543cccc,0x40001aaa,0xccccccc8,0x9999000c,0x66439999,0x30004ccc,
    0x22599999,0x001ccccc,0xa8b33326,0x0001aaaa,0x66654000,0x99999104,
    0x79999999,0x00001555,0x00bffffe,0x1666665c,0x66665c00,0x9999912c,
    0x55999999,0x66440135,0x333324cc,0x06aaaaa3,0x42aaaa88,0xeeeeeeec,
    0xd001eeee,0x0000ffff,0x00000000,0x4d4c4000,0x26200000,0x0000009a,
    0xfff98000,0x7ffec47f,0x29ff10be,0xfffffff8,0xffffffff,0x15ffffff,
    0x007fffff,0x3fffffe6,0x7ffffc1f,0x7fcc0003,0x02ffffff,0xffffff98,
    0x3fff22ff,0xfc8002ff,0xff11ffff,0x5c00dfff,0x3fe5ffff,0x00003fff,
    0x3fffe200,0xffff880f,0xffffffff,0x03efffff,0x7ffffc00,0xffff5002,
    0x7cc001ff,0xf30fffff,0xffffffff,0x9fffffff,0xfffff301,0xf97fffe1,
    0x2603ffff,0x7ec7ffff,0xffffffff,0xffd002ff,0x336200ff,0xcccccccc,
    0xcccccccc,0x0d544006,0xeb8802d8,0x1dffffff,0xffeb8800,0xd01dffff,
    0x0005ffff,0xff9a6440,0x7ffe47ff,0xfffeffff,0xffffff13,0xffffffff,
    0xbfffffff,0x0fffffe2,0x3ffffe60,0xffff81ff,0x7cc0003f,0x4fffffff,
    0xfffffb80,0x3fe62fff,0xf8005fff,0x3e26ffff,0x003fffff,0x7cbffff7,
    0x0003ffff,0x3fff6000,0xfff880ff,0xffffffff,0xffffffff,0xfff0000e,
    0x7ec005ff,0x2004ffff,0x22fffffe,0xfffffff9,0xffffffff,0x7fcc1fff,
    0xffff0fff,0x1fffffcb,0x8fffff30,0xfffffffd,0xd002ffff,0x2200ffff,
    0x00700002,0xffffffd7,0x80fff25d,0xfffffffa,0x2004ffff,0xfffffffa,
    0xfe84ffff,0x80002fff,0xff34ffd9,0xeffe8fff,0xffffffff,0xffffff10,
    0xffffffff,0xbfffffff,0x0fffffe2,0xffffff10,0x3fffe03f,0x7cc0003f,
    0x6fffffff,0xfffffd80,0x7ff42fff,0x26000fff,0x223fffff,0x0fffffff,
    0x5ffffb80,0x00fffffe,0x7fdc0000,0xf880ffff,0xffffffff,0xffffffff,
    0xf0006fff,0x4005ffff,0x1ffffff8,0xfffffb80,0x7ffffcc5,0xffffffff,
    0x21ffffff,0xf0fffff9,0x7ffcbfff,0x3fe603ff,0x777647ff,0xeeeeeeee,
    0xffffd001,0x0000a200,0xfffd101c,0xffffffff,0x3ee03fff,0xffffffff,
    0x401effff,0xfffffffb,0x1effffff,0x00bffffa,0xffffea80,0x4fffff34,
    0x3f262ff9,0x3fe21dff,0xffffffff,0xffffffff,0xfff15fff,0x7f4407ff,
    0x201fffff,0x003fffff,0x7ffffcc0,0x7c00ffff,0xffffffff,0x7ffffe42,
    0x3fff2002,0x3ffe20ff,0xb805ffff,0x3fe5ffff,0x00003fff,0xfffff880,
    0xfff880ff,0xffffffff,0xffffffff,0xff8002ff,0x5c002fff,0x406fffff,
    0x0ffffff8,0x7fffffcc,0xffffffff,0x265fffff,0xff0fffff,0x7fffc9ff,
    0x3ffe603f,0x0000007f,0x200ffffd,0x07000028,0x3fffffea,0xffffffff,
    0xffff501f,0xffffffff,0x7d40dfff,0xffffffff,0x26ffffff,0x002ffffe,
    0x7ffffdc4,0xffff34ff,0x9805544f,0x33333300,0x9fffff33,0x13333333,
    0x0fffffe2,0x7fffff44,0x7fffc02f,0x7cc0003f,0xffffffff,0x3fffea02,
    0x4c2fffff,0x005fffff,0x11bffffa,0xffffffff,0xffffb805,0x0fffffe5,
    0x3fa00000,0x80ffffff,0x9bfffff8,0xc9999999,0x04ffffff,0x0aaaaa80,
    0xffffe800,0x3fff203f,0xfff983ff,0x99999bff,0xffffffb9,0xfffff31f,
    0xf8ffa661,0x2603ffff,0x0007ffff,0xffffd000,0x0000a200,0x7fffc41c,
    0xfffedfff,0xf880ffff,0x20cfffff,0x3fffffe9,0xffffff88,0x3fffa60c,
    0xffffd4ff,0x3ff26003,0x4fffffff,0x00fffff3,0x7ffc0000,0xff1004ff,
    0x3fa07fff,0x802fffff,0x003fffff,0x7ffffcc0,0x3204ffff,0xffffffff,
    0xffffe82f,0xfff9800f,0x7ffc43ff,0x406fffff,0x3e5ffffb,0x0003ffff,
    0x7fffdc00,0xf880ffff,0x1002ffff,0x00dfffff,0x7cc00000,0x980fffff,
    0x306fffff,0x805fffff,0x4fffffd8,0x41fffff3,0x3ffe3ff8,0xdfd003ff,
    0x3a000000,0x51007fff,0x360e0000,0x442fffff,0x84fffffc,0x02fffffa,
    0x03fffff6,0x05fffff5,0x4fffffec,0x400ffdaa,0xffffffea,0xf31dffff,
    0x0000ffff,0x7ffffc00,0xffff1004,0xffffb07f,0x3fe005ff,0x40003fff,
    0xfeeffff9,0x3ffa06ff,0x2ffffeef,0x2fffffb8,0xfffffc80,0x7ffffc40,
    0x2e04ffff,0x3fe5ffff,0x00003fff,0x3ffffe60,0xf880ffff,0x2002ffff,
    0x00fffffd,0x0f777540,0xffffc800,0xffffd84f,0xffff301f,0xfff5005f,
    0x3ffe6bff,0x83fee0ff,0x803fffff,0x3e605ff8,0x3ba07fff,0xfffeeeee,
    0xeeeeeeff,0x0000510e,0xfffff50e,0xffffd103,0xfffc81ff,0x7ffc405f,
    0x7ffe43ff,0x7ffc406f,0x41ff63ff,0xffffffb8,0x40beffff,0x207ffff9,
    0x007ffff9,0x13ffffe0,0x7ffffc40,0x7ffffec3,0x3ffe002f,0x4c0003ff,
    0xffceffff,0xfff880ff,0x2ffffecf,0x5fffff88,0x5ffffe80,0xffffff88,
    0xf701ffff,0x7ffcbfff,0x000003ff,0x3ffbfffa,0xff880fff,0x2e002fff,
    0x001fffff,0x017fffe4,0xffffe880,0x3fffea1f,0x3ffe604f,0xfff002ff,
    0x3ffe6dff,0x3ffe88ff,0x01fffffc,0xf3017fe4,0x7fc0ffff,0xffffffff,
    0xffffffff,0x0000511f,0x9ffffb0e,0x3fffff60,0x7fff44ff,0xfffc802f,
    0x7ffff45f,0xffffc802,0xc98dff15,0xffffffff,0x3e601cff,0x3e607fff,
    0x20007fff,0x004fffff,0x47fffff1,0x3ffffffc,0x7ffffc00,0x7fcc0003,
    0xffff9eff,0xaffffa82,0xb02ffffe,0x401fffff,0x82fffff9,0xfffffff8,
    0xff705fff,0x7fffcbff,0x9000003f,0xfff3ffff,0xfff101ff,0x7e4005ff,
    0x4000ffff,0x000ffffd,0x3ffffea0,0x3fffffa6,0x3fffe600,0xffff002f,
    0x3fffe6bf,0xf84ff88f,0x2603ffff,0x7cc05ffe,0x3fe07fff,0xffffffff,
    0xffffffff,0x0000511f,0x3fffff0e,0xff7dff90,0x7ffc4bff,0xffb800ff,
    0x3ffe26ff,0xffb800ff,0x1ffe9fff,0x3fffffe6,0x3002dfff,0x4c0fffff,
    0x0007ffff,0x013ffffe,0x9fffffc4,0x3ffffffb,0xfffff800,0x7fcc0003,
    0xffff8eff,0x8ffffc85,0x502ffffe,0x407fffff,0x80fffffc,0xfdfffff8,
    0xfb82ffff,0x3ffe5fff,0x800003ff,0xff4ffff9,0xff101fff,0x22005fff,
    0x007ffffe,0x03ffffc4,0x7fffec00,0xfffffbaf,0x7fffcc02,0xfff9802f,
    0xffff34ff,0x7fc02a1f,0x3ea03fff,0x7fcc00ef,0x3ffe07ff,0xffffffff,
    0xffffffff,0x20000511,0x1ffffe23,0x3e63ffee,0x3fea7fff,0xff5007ff,
    0x7ffd4fff,0xfff5007f,0x989fffff,0xcfffffff,0x7ffcc000,0x3ffe607f,
    0x3fe0007f,0xf1004fff,0xff77ffff,0x001fffff,0x07fffff0,0xffff9800,
    0xd0ffffd6,0x3ffadfff,0xfff102ff,0x7ff40bff,0xfff105ff,0xfffff1ff,
    0xffffb81f,0x0fffffe5,0x3ffa0000,0x3ffffe6f,0xfffff880,0x7ff54402,
    0x22004fff,0x005ffffe,0xfffff880,0x05ffffff,0x2fffff98,0x7ffff440,
    0xfffff32f,0xfffff001,0x3003e807,0x7c0fffff,0xffffffff,0xffffffff,
    0x000511ff,0xffff98e0,0x88fffd47,0xf50fffff,0x2a00ffff,0x3ea7ffff,
    0xf5007fff,0x05dfffff,0x3dfffff3,0x3ffe6000,0x3ffe607f,0x3fe0007f,
    0xf1004fff,0xfffbffff,0x009fffff,0x07fffff0,0xffff9800,0x43ffff96,
    0xfd4ffff8,0x7ec05fff,0xf980ffff,0xf102ffff,0x3feeffff,0x7fdc4fff,
    0x3fffe5ff,0xffff703f,0xffff900d,0x07ffffc3,0x77ffffc4,0xffffeeee,
    0x0fffffff,0xffffd100,0x2e00005f,0xffffffff,0xff9800ff,0x4cc42fff,
    0xfffffffb,0x1fffff30,0x7fffff00,0x7fcc0000,0x266607ff,0xfffe9999,
    0x1999999f,0x1c0000a2,0x4cfffff3,0x7ffc2fff,0xffff30ff,0xfff7001f,
    0x7fffccdf,0xfffb800f,0x3fe603ff,0x0befffff,0x3fffe600,0x3fffe607,
    0x3ffe0007,0xff1004ff,0xffffffff,0x003fffff,0x03fffff8,0x7fffcc00,
    0x47ffff56,0xfd2ffffa,0x7d405fff,0xfb83ffff,0x3e207fff,0x3ffa7fff,
    0x3fee1fff,0x3fffe5ff,0xffff703f,0xffff980d,0x07ffffc4,0x7fffffc4,
    0xffffffff,0x01ffffff,0xfffffd10,0xfe800009,0x3fffffff,0xfffff300,
    0xffffffff,0x4bffffff,0x00fffff9,0x03fffff8,0x3ffe6000,0xffd0007f,
    0x00a200ff,0xfff11c00,0x7fff11ff,0x27ffff98,0x01fffff8,0x25ffffc8,
    0x02fffff8,0x05ffffc8,0x7fffffc4,0x801dffff,0x207ffff9,0x007ffff9,
    0x13ffffe0,0x7ffffc40,0xffffffff,0x7fc006ff,0x40003fff,0xf16ffff9,
    0x7fe4bfff,0xffffd0ff,0xfffff805,0x4ffffe86,0x9ffffe20,0x26fffff9,
    0x3e5ffffb,0xf703ffff,0xfe80dfff,0xffff86ff,0xffff880f,0xffffffff,
    0x0dffffff,0xfffff300,0x300000bf,0xdfffffff,0x7fffcc00,0xffffffff,
    0x46ffffff,0x00fffff9,0x03fffff8,0x3ffe6000,0xffd0007f,0x00a200ff,
    0x3ffe1c00,0x84ffeaff,0x745ffffa,0x4405ffff,0x743fffff,0x4405ffff,
    0x003fffff,0xffffffd5,0x2017dfff,0x207ffff9,0x007ffff9,0x13ffffe0,
    0x7ffffc40,0xffdbffff,0x3e004fff,0x0003ffff,0xd37fffcc,0x7ff4ffff,
    0x3ffffa6f,0x7fffe402,0x3fffe60f,0x3ffe201f,0x7fffe47f,0xbffff73f,
    0x81fffffc,0x206ffffb,0xf81ffffc,0xf880ffff,0xffffffff,0xbdffffff,
    0x3ffe6000,0x00004fff,0x3fffff20,0x3fe6001f,0xffffffff,0xefffffff,
    0x7ffffcc0,0xfffff800,0x3e600003,0xd0007fff,0x2200ffff,0xd8700002,
    0x5fffffff,0x89ffffb0,0x02fffffc,0x03fffff6,0x05fffff9,0x0fffffec,
    0x3fff6600,0xdfffffff,0x3ffffcc2,0x0fffff30,0x7ffffc00,0xffff1004,
    0x3e69ffff,0x001fffff,0x007fffff,0x6ffff980,0x227ffff2,0x3fa4ffff,
    0x7cc02fff,0x3ee3ffff,0x7c406fff,0x7fc47fff,0xffb8ffff,0x3fffe5ff,
    0xffff703f,0x3fffe60d,0x1fffff04,0x9fffff10,0xfffffb97,0xfe8001df,
    0x0003ffff,0xfffff800,0x7ffcc004,0xffffffff,0x302effff,0x001fffff,
    0x007fffff,0x7fffcc00,0xfffd0007,0x000a200f,0x3ffea1c0,0xff506fff,
    0xff883fff,0x260cffff,0x83fffffe,0xbffffff8,0x3ffff660,0x3220004f,
    0xffffffff,0xfff32eff,0x7ffcc0ff,0x3fe0007f,0xf1004fff,0x89ffffff,
    0x06fffffc,0x07fffff0,0xffff9800,0x2ffffea6,0x3a2ffffa,0xf802ffff,
    0x3fa6ffff,0x7c403fff,0xffa87fff,0xfffbcfff,0x3ffffe5f,0x13333103,
    0x3ffffd10,0xfff33333,0x221333ff,0xc82fffff,0x01ffffff,0x5fffff70,
    0x3e000000,0x4004ffff,0xcdfffff9,0x1abccccc,0x7ffffcc0,0xfffff800,
    0x3e600003,0xd0007fff,0x2200ffff,0xb0700002,0x817fffff,0x04fffffb,
    0xfffffff7,0xffffffff,0x7fffdc0d,0xffffffff,0x00006fff,0x3fffffae,
    0xfff34fff,0x7ffcc0ff,0x3fe0007f,0xf1004fff,0x109fffff,0x07ffffff,
    0x07fffff0,0xffff9800,0x3bfffe26,0x3a0ffffd,0xc802ffff,0xf88fffff,
    0x4401ffff,0xfb07ffff,0xfffbffff,0x7ffffcbf,0x7fcc0003,0xffffffff,
    0xffffffff,0xfffff13f,0x3ffff205,0xffd802ff,0x000004ff,0x13ffffe0,
    0xfffff300,0xff300005,0xff001fff,0x00007fff,0x03ffffcc,0x07fffe80,
    0x20000510,0xfffff983,0xffffddff,0x7fec06ff,0xffffffff,0x6401efff,
    0xffffffff,0x01efffff,0xffda8000,0xff34ffff,0x7fcc0fff,0x3e0007ff,
    0x1004ffff,0x409fffff,0x1ffffffb,0x1fffffc0,0x3ffe6000,0x7ffff46f,
    0x7f46ffff,0xf9802fff,0xffbbffff,0xff8806ff,0xfff107ff,0xbfffffff,
    0x01fffffc,0x3fffe600,0xffffffff,0x3fffffff,0x05fffff1,0x7ffffff4,
    0x7ffffc00,0xaacd9801,0xffff8000,0x7fcc004f,0x80002fff,0x00fffff9,
    0x03fffff8,0x3ffe6000,0x5550007f,0x00a20055,0x7fd41c00,0xffffffff,
    0x801fffff,0xfffffffb,0x2004ffff,0xfffffffa,0x0004ffff,0xfffc9800,
    0xfffff34f,0x3ffffcc0,0xfffff000,0x3ffe2009,0x7ff403ff,0x7fc06fff,
    0x40003fff,0x646ffff9,0xffffffff,0x17ffff44,0xeffffe80,0x803ffffe,
    0x207ffff8,0xfffffffb,0x3fffe5ff,0x7cc0003f,0xffffffff,0xffffffff,
    0xffff13ff,0x7ffc405f,0x7fc06fff,0xfc801fff,0xf8003fff,0x4004ffff,
    0x02fffff9,0xffff9800,0xffff800f,0x2600003f,0x0007ffff,0x00144000,
    0x7ffcc380,0xffffffff,0x2000dfff,0xffffecb8,0xa88002df,0xdfffffec,
    0x40000002,0x0004ffb8,0x00fffff3,0x27ffffc0,0xfffff880,0x7fffd403,
    0x3ffe03ff,0x4c0003ff,0x7d46ffff,0x2fffffff,0x017ffff4,0xffffffb8,
    0x8800ffff,0x7407ffff,0xffffffff,0x0fffffe5,0xffff3000,0xffffffff,
    0x7fffffff,0x0bffffe2,0xffffff70,0x7fffec07,0x7fffc404,0xfff8000f,
    0x7cc004ff,0x0002ffff,0x0fffff98,0x3fffff80,0x3fe60000,0x3ffe07ff,
    0xffffffff,0xffffffff,0x20000511,0x5c67ff43,0xeffffffe,0xaa880002,
    0x54400000,0x0000000a,0x20007500,0x007ffff9,0x13ffffe0,0x7ffffc40,
    0xffffd803,0xffff00ff,0xf980007f,0x7fc46fff,0x40ffffff,0x002ffffe,
    0xfffffff1,0x3e200bff,0x7cc07fff,0x5fffffff,0x00fffffe,0x55555100,
    0xff555555,0x23557fff,0x02fffff8,0xffffffd8,0xfffff700,0x3fffa203,
    0xfff0005f,0xf98009ff,0x0002ffff,0x0fffff98,0x3fffff80,0x3fe60000,
    0x3ffe07ff,0xffffffff,0xffffffff,0x20000511,0x4c42f443,0x000000aa,
    0x00000000,0x00000000,0x3fffe600,0x3ffe0007,0xff1004ff,0xf1007fff,
    0x20bfffff,0xccefffff,0xcccccccc,0xfff31ccc,0xffffd0df,0xfffd0dff,
    0x7ff4005f,0x02ffffff,0x0fffff10,0xffffffb0,0x7ffffcbf,0xccccccce,
    0x01cccccc,0x1fffff00,0x5fffff10,0xfffff100,0x3ffa20bf,0xdb9befff,
    0x02ffffff,0x9fffff00,0xffff9800,0xf980002f,0xf800ffff,0xccceffff,
    0xcccccccc,0xfff981cc,0x3fffe07f,0xffffffff,0x1fffffff,0x0e000051,
    0x00000002,0x00000000,0x00000000,0x3ffe6000,0x3fe0007f,0xf1004fff,
    0x2007ffff,0x2ffffffc,0xfffffff8,0xffffffff,0xff32ffff,0xfff90dff,
    0xffd09fff,0x7dc005ff,0x0fffffff,0xfffff100,0xfffff100,0x7fffcbff,
    0xffffffff,0x2fffffff,0xfffff000,0xfffff101,0x3ffea005,0xff302fff,
    0xffffffff,0x007fffff,0x27ffffc0,0x3fffe600,0xf980002f,0xf800ffff,
    0xffffffff,0xffffffff,0xfff982ff,0x3fffe07f,0xffffffff,0x1fffffff,
    0x999999b1,0x99999999,0x0000d999,0x00000000,0x00000000,0x20000000,
    0x007ffff9,0x13ffffe0,0x7ffffc40,0xffff1003,0xfff81fff,0xffffffff,
    0xffffffff,0x0dffff32,0x5ffffff5,0x05ffffd0,0x7ffffc40,0x3e2005ff,
    0xf7007fff,0x7cbfffff,0xffffffff,0xffffffff,0xff0002ff,0xff101fff,
    0x6c005fff,0x00ffffff,0xfffffff5,0x05ffffff,0xfffff800,0x7ffcc004,
    0x980002ff,0x800fffff,0xffffffff,0xffffffff,0xff982fff,0x3ffe07ff,
    0xffffffff,0xffffffff,0x00000001,0x00000000,0x00000000,0x00000000,
    0x1ffffe60,0xfffff800,0xffff1004,0x7fd4007f,0x7fc5ffff,0xffffffff,
    0xffffffff,0xdffff32f,0xffffff10,0x5ffffd01,0xffffd800,0x3e2002ff,
    0x3a007fff,0x3e5fffff,0xffffffff,0xffffffff,0xff0002ff,0xff101fff,
    0x44005fff,0x04ffffff,0x3fffff22,0x001effff,0x4fffff80,0x7fffcc00,
    0xf980002f,0xf800ffff,0xffffffff,0xffffffff,0xfff982ff,0x0000007f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x07ffff98,0x3ffffe00,
    0xffff1004,0xffe8007f,0x3fe2ffff,0xffffffff,0xffffffff,0xdffff32f,
    0x1bffffa0,0x017ffff4,0x3ffffea0,0x7ffc4007,0x3fe6007f,0x3ffe5fff,
    0xffffffff,0xffffffff,0xffff0002,0xffff101f,0xffa8005f,0x4401ffff,
    0x0abdedca,0x3ffe0000,0x7cc004ff,0x0002ffff,0x0fffff98,0xffffff80,
    0xffffffff,0x002fffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x4009aa99,
    0x00009aa9,0x04cd54c4,0x26a62000,0x006a6000,0x35533100,0x53100003,
    0x00000013,0x006a6000,0x03ffffd4,0x557fffee,0x3006ffff,0x00001333,
    0xa9800544,0x15300000,0xa8198000,0x5c07ffff,0x0885ffff,0x44000800,
    0x800eeeee,0x202ffffd,0x205ffffc,0xf55ffffa,0x3e60ffff,0x641fffff,
    0xffffffff,0x6fffffff,0x3fffffe2,0xfffff101,0x7fffcc1f,0x1bffff27,
    0x2ffffe40,0x0035001c,0xffc88000,0x0cffffff,0xffffffb1,0x7e44005b,
    0xdfffffff,0x3fae2002,0x80dfffff,0xefffffeb,0x3ff6a003,0x0cffffff,
    0x3fff6600,0x300cffff,0x8000003b,0xefffffeb,0x3fffea03,0x7fffdc07,
    0x0dffff55,0x09ffff10,0x23ffff90,0xcfffffd8,0x7fffecc0,0x7ffcc0ce,
    0x3fff6e4f,0x7fdc0cff,0xffff73ff,0x3fffea3b,0x7fffdc07,0x00077445,
    0x7c4003fb,0xa800ffff,0x3a05ffff,0x3607ffff,0xff53ffff,0xfff30fff,
    0xff903fff,0xffffffff,0xb8dfffff,0xb06fffff,0x985fffff,0x3e67ffff,
    0xf801ffff,0x7ec2ffff,0x01ffa805,0x337ff722,0x7fffd400,0xffffffff,
    0xfffffffd,0xfa804fff,0xffffffff,0xfa805fff,0xffffffff,0xfffb13ff,
    0x3dffffff,0xfffffd80,0x0effffff,0xfffffb80,0x82ffffff,0x0002eff9,
    0x7fffec40,0x80efffff,0x407ffffa,0xf55ffffb,0xf100dfff,0xf9009fff,
    0xfff33fff,0x54dfffff,0xffffffff,0xa7fffcc5,0xfffffffc,0x3ffee1ef,
    0xfffffabf,0xfffff50f,0x5ffffb80,0x6d477ff4,0xfd8bdefe,0xff1001ff,
    0xf1001fff,0x3e20ffff,0xf01fffff,0x3ea1ffff,0x7f447fff,0xf902ffff,
    0xffffffff,0x0dffffff,0x87fffffb,0x84fffffa,0x747ffff9,0x5404ffff,
    0x7ec7ffff,0x3fea05ff,0xffea81ff,0x501effff,0xffffffff,0xffffffff,
    0xffffffff,0x7ffcc0bf,0xffffffff,0x3ee04fff,0xffffffff,0xfffeffff,
    0xffffffff,0xfffb00ff,0xffffffff,0x7ec01fff,0xffffffff,0x7cc2ffff,
    0x000cffff,0x7ffffcc0,0xffffffff,0x3ffffd41,0x57fffee0,0x806ffffa,
    0x804ffff8,0xffcffffc,0xffffffff,0xffffffcd,0x3e64ffff,0xfffddfff,
    0x6fffffff,0x3f7fffee,0x2a5fffff,0x5c07ffff,0x3f65ffff,0xffffffff,
    0xffffffff,0xfff8800f,0xffb000ff,0xfff503ff,0xff307fff,0x7ffd4dff,
    0x3fffa27f,0x3ff202ff,0xffffffff,0x886fffff,0x11ffffff,0x01dfffff,
    0xa8fffff3,0x6c07ffff,0x3f24ffff,0xfa85ffff,0x220fffff,0xffffffff,
    0xffff80ff,0xfffedfff,0xdfffffff,0x3ffffffd,0xbdffffd0,0xfffffb77,
    0xffff303f,0xffffffff,0xffffffff,0xfffffd9b,0xfffff30d,0xffffd9df,
    0x3fee07ff,0xffeeffff,0x260fffff,0xdfffffff,0xfffd0001,0xffffbfff,
    0xfffa8dff,0x7ffdc07f,0xbffff55f,0x9ffff100,0xfffff900,0xfffdbfff,
    0xbfffffff,0x3fffffff,0x3fffffe6,0xffffdeff,0xfff72fff,0xffffffff,
    0x3ffffd47,0x97fffee0,0xfffffffb,0xffffffff,0xff1004ff,0x2e001fff,
    0xfc84ffff,0xc85fffff,0x3ea3ffff,0x3ff67fff,0x54c03fff,0xdaaaaaaa,
    0x01ffffff,0x2dfffff5,0x01fffffd,0xf0fffff3,0x2205ffff,0x260fffff,
    0x25ffffff,0x3ffffffa,0x5dffffec,0x7dc5ffff,0x7441ffff,0x0effffff,
    0x07ffffdc,0x41bfffe2,0x84ffffe8,0x1dfffffe,0xffffff51,0xfe983fff,
    0x7fec3fff,0x7f440dff,0xff885fff,0x2e20efff,0x263fffff,0xffffffff,
    0x3ea002ef,0x2a0cffff,0x2a2ffffe,0x5c07ffff,0x5515ffff,0xff100bff,
    0xff9009ff,0xfa85ffff,0x23ffffff,0x3fffffc8,0xdffffff3,0xfffffc83,
    0xffffff74,0x541fb79f,0x5c07ffff,0x7dc5ffff,0xffffffff,0x04ffffff,
    0x06666640,0x6ffff880,0xfffffff8,0x0ffffe87,0x65ffffea,0x003fffff,
    0xfffff980,0x7ffe402f,0xfffffdff,0x2aaaa203,0x5ffffc82,0x0bffff70,
    0xbffffff3,0x7ffffff5,0x447fff88,0x2e60ffff,0xff502fec,0x3201ffff,
    0x7cc3ffff,0x36605fff,0xfff980ab,0xffd103ff,0x2207ffff,0x6546ffff,
    0xff700fed,0xfff90dff,0x3ff601ff,0x7ff5c7ff,0xffffffff,0x7fffc00b,
    0xffff103f,0x3ffffd4d,0x17fffee0,0xf1009ff1,0xf9009fff,0x3a09ffff,
    0xd05fffff,0x3e69ffff,0xd00fffff,0x3eebffff,0x400fffff,0x407ffffa,
    0xe85ffffb,0xecffffff,0x00ffffff,0x7f400000,0x3fe60fff,0x21ffffff,
    0x546ffff8,0xffcfffff,0x80004fff,0x3ffffff9,0xfffffd00,0x000dffff,
    0x3ffffe60,0x2ffffe80,0xffffff30,0x07ffffff,0xfd09fff3,0x220003ff,
    0x204fffff,0x445ffff8,0x0befffff,0xffffb800,0x7fffd406,0x3ff200ff,
    0xf30000ff,0xffd0dfff,0x674c07ff,0x3ff6601a,0xffffffff,0xffff981c,
    0x7fffec07,0x0fffff51,0x45ffffb8,0xf8802ffa,0xfc804fff,0x3f207fff,
    0xf900ffff,0x3fe6bfff,0x3f202fff,0xfff76fff,0xff5009ff,0xffb80fff,
    0x7ffc45ff,0x7ff4c2ff,0x000002ff,0x17fffdc0,0xffddfff7,0x7fffdc7f,
    0x7ffffd43,0x007fffff,0xfffff880,0x3fe6004f,0x0fffffff,0x3ffa0000,
    0x7ffcc3ff,0x7ffcc07f,0x3fffffff,0xb07fff50,0x44007fff,0xfffffeca,
    0x3ffffc02,0x7ffffffc,0xd800acef,0xe803ffff,0x5c06ffff,0x2002ffff,
    0xfffffca8,0x1fffff87,0x75c40000,0xffffffff,0x3ffea2ef,0x7ffdc06f,
    0xfffff53f,0x5ffffb80,0xffa97fe6,0xffffffff,0xffffffff,0x0dffff96,
    0x037fffe4,0x26bffff9,0x201fffff,0xf76ffffb,0x5003ffff,0xb80fffff,
    0x7dc5ffff,0xff504fff,0xfff88bff,0xffffffff,0xffffffff,0x2ffffc40,
    0xff99fffb,0x7fffecbf,0x7ffffd41,0x03ffffff,0x3fffa200,0xfb8005ff,
    0x02ffffff,0x7ffd4000,0x7fffe46f,0xffff9804,0x2e03ffff,0xffc83fff,
    0x3b2e203f,0xffffffff,0xeeeeeeef,0x40fffffe,0xfffffffb,0x203dffff,
    0x801fffff,0xeefffffd,0xffeeeeee,0x36a203ff,0xfffffffe,0x7fffc47f,
    0x2000000f,0xffffffc9,0xfff74fff,0x999999df,0x27ffffb9,0x407ffffa,
    0xdaeffffb,0x3fea0fff,0xffffffff,0xffffffff,0x0bffff96,0x02ffffe4,
    0x26bffff9,0x200fffff,0xf76ffffa,0x5001ffff,0xb80fffff,0x7e45ffff,
    0x3fa00fff,0x7ffc46ff,0xffffffff,0xffffffff,0x27fffe80,0xffaaffff,
    0x1bfffe7f,0x3fffffea,0x00ffffff,0xfffffb00,0x3fa0001d,0x0006ffff,
    0x3fffff00,0x007ffffc,0xffffffb8,0x2fffcc06,0x4c17fff4,0xfffffffd,
    0xffffffff,0xffffffff,0xffc81fff,0xffffffff,0x7fcc2eff,0xfc800fff,
    0xffffffff,0xffffffff,0xffffeb84,0xffffffff,0x3ffffd47,0xd5000000,
    0x2bffffff,0xfffffffd,0xffffffff,0xffff54ff,0xffffb80f,0x540dffff,
    0xffffffff,0xffffffff,0xffff96ff,0x7fffe40b,0x3ffff205,0x0fffff35,
    0x76ffffa8,0x200fffff,0x407ffffa,0x645ffffb,0x7ec07fff,0x7ffc47ff,
    0xffffffff,0xffffffff,0x9ffffc80,0xf88ffff9,0xfff99fff,0xffffa84f,
    0xffffffff,0xfffc8004,0x10000fff,0x5fffffff,0xff900000,0x3ffea9ff,
    0xfff5005f,0x40bfffff,0x7c47fff8,0x7fe40fff,0xceffffff,0xffffffff,
    0xffffffff,0xffd501ff,0xffffffff,0x7ffcc5ff,0xffc800ff,0xffffffff,
    0x4fffffff,0x7fffffe4,0xffffcdff,0x7ffffd47,0x20000000,0x5fffffc8,
    0xfffffffb,0xffffffff,0x3ffeabff,0x7ffdc07f,0xf501beff,0xffffffff,
    0xffffffff,0x3ffff2df,0x3ffff204,0x3ffff205,0x0fffff35,0x76ffffa8,
    0x200dffff,0x407ffffa,0x5c5ffffb,0xf102ffff,0xff88dfff,0xffffffff,
    0xffffffff,0xffff980f,0x3a6fffbb,0xfffcbfff,0xffffa81f,0xffffbeff,
    0x3fee001f,0x0001ffff,0x3ffffff6,0x400000ff,0xfb6ffff9,0xf5005fff,
    0xffffffff,0x7ffec0bf,0x5fffeaae,0x7fffffd4,0xffff10ac,0x999999bf,
    0x03999999,0xffffec98,0x10ffffff,0x007fffff,0x99dffffb,0x99999999,
    0x7ffec799,0x3e61bdff,0x7fc47fff,0x00001fff,0xffffc980,0xfff95fff,
    0x999999df,0x27999999,0x407ffffa,0x805ffffc,0xeeeeeeea,0xeeefffff,
    0xfff95eee,0x7ffe409f,0x3fff205f,0xfffff35f,0x6ffffa80,0x00dffff7,
    0x01ffffea,0xa8bffff9,0xf705ffff,0xee889fff,0xeeeeeeee,0xeeeeeeee,
    0xdffff00e,0x7e49fffb,0x7fffedff,0xdfffff50,0x17ffff61,0x7ffffd40,
    0x3ee0002f,0xffffffff,0xfe800005,0xffff9fff,0xffffa807,0xffffffff,
    0xfffff305,0xe83fffff,0x880dffff,0x002fffff,0x7e544000,0x21ffffff,
    0x805fffff,0x005fffff,0x3ffffe20,0xfffff303,0x05fffff0,0x20009ab8,
    0xfffffeb8,0xff73ffff,0x4c000bff,0x200fffff,0x005ffffe,0x27fffc40,
    0x27fffe40,0x0bffff90,0x9affffe4,0x5407ffff,0xff76ffff,0x3e600dff,
    0x3a00ffff,0xff85ffff,0xf932dfff,0x0003ffff,0x3ff20000,0x22ffffff,
    0xfffffffa,0xffff504f,0x7fffcc1f,0x7ffcc02f,0x20002fff,0xfffffff9,
    0x0003ffff,0x77fffd40,0x5404ffff,0x9bffffff,0x05ffffff,0xfffffff5,
    0xffff885f,0xffff300f,0x8009809f,0x3ea00a98,0x3f63ffff,0x7d407fff,
    0x5407ffff,0xdffff501,0x3ffffd40,0x02fffff4,0x03fffff3,0x7ffffecc,
    0x20cfffff,0x407ffffa,0xffff3009,0x3ffea05f,0x440005ff,0xc804ffff,
    0x3204ffff,0x3205ffff,0xff35ffff,0xffa80fff,0xffff76ff,0x3ffe600d,
    0xfff502ff,0xfffd0bff,0xffffffff,0x00001fff,0x3ffe6000,0x220fffff,
    0xffffffff,0xfffff502,0x0dffff90,0x7fffffcc,0x7ff40003,0xffff9fff,
    0x266600ff,0xffff8019,0x201fffff,0x3ffffff9,0x3fffffe6,0xdffd9105,
    0xffff3019,0x3fff201f,0xff900fff,0xfffd89bf,0x7fff405f,0x3fffea2f,
    0xfffd104f,0x3e607fff,0xff91deff,0x7fec0dff,0xfffc87ff,0xfffb00ff,
    0xffd710ff,0xdfffffff,0xffff1017,0x3ffe607f,0xffff11ce,0xfffa81ff,
    0x40005fff,0x804ffff8,0x204ffffc,0x205ffffc,0xf35ffffc,0xfa80ffff,
    0xfff76fff,0x3fe200df,0x7d40ffff,0x645fffff,0xffffffff,0xefffffff,
    0xdddd1000,0x3fe0001d,0xe86fffff,0x07ffffff,0x21ffffea,0x83fffff8,
    0xffffffe8,0xcccccccc,0xfffc81cc,0xffff52ff,0x3ffe60df,0xfffc807f,
    0x5c06ffff,0x983fffff,0x00efffff,0xffff8800,0xffff983f,0x7d42efff,
    0x7e44ffff,0xf302ffff,0xfd81ffff,0x511cffff,0xfffffffd,0x7ff4417f,
    0x3ffee7ff,0xfffb81ff,0xfff887ff,0x3f262fff,0x3624ffff,0xffffffff,
    0xfb802dff,0xfd82ffff,0x3fa0ffff,0xfcdfffff,0x5fffffff,0x7ffc4000,
    0xfffc804f,0x3fff204f,0x3fff205f,0xfffff35f,0x6ffffa80,0x00dffff7,
    0x7ffffff4,0xffffffcd,0x3fff25ff,0xffffffff,0x0effffff,0xfffff880,
    0xfffb0000,0xff709fff,0x540bffff,0xf907ffff,0xfa81ffff,0xffffffff,
    0xffffffff,0x7ffffcc3,0x7ffffec5,0x7ffff984,0xfffff980,0xffb802ff,
    0x3ffe603f,0x3e00000e,0xbadfffff,0xfffffffe,0xfffcefff,0x7c40ffff,
    0xacefffff,0x5fffffec,0xffffff88,0xffffffff,0xdfffffff,0x3ffffffd,
    0x3fffffe6,0xfffffcad,0xffb80fff,0xffffffff,0x260fffff,0xffffffff,
    0x3e2001cf,0xdcefffff,0x44ffffff,0xfffffff9,0xfffbffff,0x7c40005f,
    0xfc804fff,0x3f204fff,0x3f205fff,0xfff35fff,0xfffa80ff,0xdffff76f,
    0x7fffcc00,0xbfffffff,0x3ee5ffff,0xffffdfff,0xffffdfff,0xffff1005,
    0x3ea0001f,0x982fffff,0x02ffffff,0x41ffffea,0x44fffff8,0xfffffffa,
    0xffffffff,0x3ffe23ff,0x7fc40fff,0x7cc1ffff,0xfd007fff,0x400fffff,
    0xef9803fb,0x7dc00000,0xffffffff,0xfffeffff,0xffffffff,0xfff502ff,
    0xffffffff,0x2e01ffff,0xffffffff,0xffefffff,0xffffffff,0xffd84fff,
    0xffffffff,0x01ffffff,0xfffffffd,0x83ffffff,0xfffffff9,0xff30000b,
    0xffffffff,0x3ea0bfff,0xffffffff,0x05ffff89,0x7fffc400,0xffffc804,
    0x3ffff204,0x3ffff205,0x0fffff35,0x76ffffa8,0x800dffff,0xfffffffa,
    0xffff89ff,0x7527fdc5,0x3fea1599,0xfff1000e,0x220001ff,0x00ffffff,
    0x01ffffff,0x03ffffd4,0x43fffff7,0xfffffffa,0xffffffff,0x3fff63ff,
    0xfff502ff,0xfff98dff,0xfff5007f,0x018009ff,0x00000260,0x7fffffec,
    0xf70dffff,0xffffffff,0xffa805ff,0xffffffff,0x74c01eff,0xffffffff,
    0xfffb13ff,0x9fffffff,0x3ffffa20,0xfc9effff,0x3f204fff,0xffffffff,
    0xfff982ff,0x100002ef,0xfffffffd,0xea80bfff,0x11dfffff,0x000bffff,
    0x04ffff88,0x04ffffc8,0x817ffff2,0xf35ffffc,0xfa80ffff,0xfff76fff,
    0xfb5000df,0x2219dfff,0x4a85ffff,0x00075400,0x01fffff1,0x7fffec00,
    0x3ffff606,0x7fffd405,0x7ffff407,0x3ffffea6,0xffffffff,0xff53ffff,
    0xfd80bfff,0x3e64ffff,0x3e007fff,0x0001ffff,0x00000000,0x3fffffea,
    0xffd881de,0x00cfffff,0x3ffffae0,0x4002efff,0xffffffeb,0xfffea80d,
    0x4401dfff,0xcffffffc,0x0dffff30,0xfffffd98,0xff300cff,0x2000003b,
    0xffffffec,0x054c002e,0x00000000,0x13ffff20,0x05ffffc8,0x4d7ffff2,
    0x5407ffff,0xff76ffff,0x98000dff,0x0000000a,0x99990000,0x00000019,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2a600000,0x2620009a,
    0x440001aa,0x0001aaa9,0x40015530,0x80009aa9,0x00000aa9,0x8009aa88,
    0x000000c8,0x0026aa60,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xa8355510,0x555542aa,0x006aaa60,0x00000000,0x99880000,0x99999999,
    0x99999999,0xcdedc980,0x81eed801,0x103deec9,0x33333333,0x33333333,
    0x88000133,0x971ccccc,0x664c7999,0x02201ccc,0xdcba8000,0x0888882c,
    0x98800000,0x332e1999,0x2ccccccc,0x6664c000,0xcccccccc,0xcccccccc,
    0x000002cc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x917fff40,0xffb8bfff,0x3fffe25f,0xffdb3001,0xff8007bd,0xf50004ff,
    0xfffa80df,0xffffffff,0x6fffffff,0x7fffffe4,0x3fff204f,0x7ffffe41,
    0x7ffd40ff,0xffffffff,0x6fffffff,0x1cefec88,0x3fffff98,0x54dffffd,
    0x4c2fffff,0x0beffffd,0x3e60ec40,0x265fffff,0x7ec7ffff,0x3e206fff,
    0x3e63ffff,0x3ff67fff,0x4fffffff,0xfe89fffd,0xffff55ff,0xffffffff,
    0xffffffff,0x0000009f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xf32fffe4,0xffd01fff,0x37ffdc7f,0x7ffffd40,0xf7005fff,
    0x0001ffff,0xfa80dff3,0xffffffff,0xffffffff,0x3fffee6f,0x4c2ffffe,
    0x261ffffd,0xfffeffff,0x7ffffd46,0xffffffff,0x546fffff,0x3fffffff,
    0x9fffffcc,0x2a6ffffe,0x2e2fffff,0xffffffff,0x1ffa82df,0x7fe54d4c,
    0xfffff32f,0x05ffffb0,0x313ffff2,0x7ecfffff,0xffffffff,0xe89fffd4,
    0xfff55fff,0xffffffff,0xffffffff,0x000009ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x47fffea0,0x504fffe8,0x7f43ffff,
    0x3fe203ff,0xffffffff,0xffffe802,0xff98004f,0x7fffd405,0xffffffff,
    0x26ffffff,0xff10effe,0x3fff62bf,0x3ff61fff,0xa87ffee6,0xffffffff,
    0xffffffff,0x3ffe26ff,0x22ffffff,0xd3fffff9,0x7d4dffff,0xff92ffff,
    0xffffffff,0xfffbbfff,0xbffd003f,0x41ffffe6,0xf886fffe,0xff985fff,
    0x3fff67ff,0xd4ffffff,0xffe89fff,0xddddd35f,0xdddddddd,0xdddddddd,
    0x00000007,0x00000000,0x00000000,0x00000000,0x00000000,0x10000000,
    0x7e49ffff,0x3f600fff,0x3ffea6ff,0x7fff701f,0x013ffee2,0xfffffff5,
    0x3e23b900,0xfa876a4f,0xffffffff,0xffffffff,0xd13bb66f,0x3ffe6bff,
    0x2a61fffe,0x83ffee1b,0xfffffffa,0xffffffff,0x3ffa6fff,0xfffeb9cf,
    0x7fffff30,0xa9bffffa,0xfb2fffff,0xffffffff,0xffffffff,0xff8803ff,
    0xfffff35f,0x07fffa20,0x260bfff7,0x3f67ffff,0xffffffff,0xe89fffd4,
    0x00005fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0xf50ffffd,0xf9805fff,0x3ffa3fff,0x2214c06f,0x7f405fff,
    0x03ffffff,0x7fcefffc,0x264ffebb,0xcccccccc,0xcccccccc,0xff8803cc,
    0xf33bf34f,0x7e5c03ff,0x6664c4ff,0xcccccccc,0x6ffffccc,0xf885fff1,
    0xffff32ff,0x3ffffa5f,0x3ffffea5,0xd9dfffb1,0xffffffff,0x221fffff,
    0xfffdbbcc,0xfffff32f,0x22fff440,0x3e606ffe,0x332e7fff,0x2ccccccc,
    0xbb857777,0x000002bb,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x54000000,0xff13ffff,0x3f200dff,0xfff31fff,0xfb73009f,
    0x7d40bfff,0x6fffffff,0x3ffffe60,0x6fffffff,0x10000000,0x8221fffd,
    0x3e01fff9,0x00005fff,0xf9b7fffc,0x47ffb06f,0xf91fffff,0x7fc49fff,
    0x17fb0fff,0xfffffb50,0x7cc3dfff,0x3fffffff,0x200ccccc,0x9910ccc8,
    0x00000019,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x366ffff8,0x1001ffff,0x7ecdffff,0xfd981fff,
    0x5fffffff,0x2fffffa0,0x5102ffff,0xffffffd9,0x00007bdf,0xffff3000,
    0x0fffcc05,0x4fffff88,0x3ffe0000,0x20fff36f,0x3ffa3ffd,0xffff70ff,
    0x27ffff87,0xfeb8801c,0xdc883dff,0x0003cdee,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x23ffffd0,0x005ffffb,0x8a7fffdc,0x2a0effff,0xfcefffff,0xfff305ff,
    0xdffff19f,0x3fffe600,0x0000000d,0x0ffffee0,0x403fff30,0x007fff50,
    0x5bfffe00,0x7c42fff8,0x3fff22ff,0x07fffe66,0x000bfffb,0x00000030,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ffffd00,0x013fffee,0x4dffff50,0x3a1ffffe,
    0xff30bfff,0x3fff60bf,0x3ffff90f,0xffffe880,0xdddd502f,0xdddddddd,
    0x0bdddddd,0x003ffff9,0x2003fff3,0x00006ffd,0x7ecdffff,0xfffb9cff,
    0x17ffee0f,0xfc81ffff,0x000004ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x10000000,
    0x7ecdffff,0x3a001fff,0xff70ffff,0x7ffc47ff,0x42fffdc5,0x265ffff9,
    0x7405ffff,0x1fffadff,0xffffffa8,0xffffffff,0x7e46ffff,0xf3000eff,
    0x3ffa23ff,0x003fff43,0x26ffff80,0xfffffff8,0x4ccc42ff,0x440cccc0,
    0x3ba60999,0xeeeeeeee,0xeeeeeeee,0x00003eee,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x5ffff700,0x017fffe2,0x89ffffdc,0x7c46ffff,0xffd30fff,0xffffb0bf,
    0x1ffffe85,0x363fffb0,0x7fd41fff,0xffffffff,0xffffffff,0x37fffee6,
    0xf303cccc,0x7fff43ff,0x05fffc9a,0xdffff000,0xfffffe98,0x0000003f,
    0x7fffffd4,0xffffffff,0x4fffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x36000000,
    0x3fee6fff,0x7fc402ff,0x3fff25ff,0xffffd80f,0x46fffffe,0xb87ffff8,
    0xf704ffff,0x0f7fc49f,0x3fffffea,0xffffffff,0x3fa6ffff,0xffffffff,
    0x43fff306,0xfffffff9,0xf00000ef,0xb710dfff,0x000019df,0xffff5000,
    0xffffffff,0xffffffff,0x0000009f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xb1ffffc4,
    0xfc80dfff,0xfff30fff,0x3ffe607f,0x6ffdefff,0x427fffe4,0x00fffff8,
    0x503b81d3,0xffffffff,0xffffffff,0x3ffe6dff,0x6fffffff,0xa83fff30,
    0x0dfffffe,0x3ffe0000,0x0000006f,0x6664c000,0xcccccccc,0xcccccccc,
    0x000002cc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x87fffdc0,0x103ffff8,0x7ec5ffff,
    0x7ecc05ff,0x199933ef,0x03ffffe2,0x027fffe4,0x00000000,0x2aaaaaa6,
    0x5102aaaa,0x2eea0155,0x0000001a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x6c000000,0x3fea4fff,0xfffd80ff,0x03fffea4,0x3ff20000,
    0x3fe605ff,0x000007ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x87fffe20,0x7cc4fffd,0x3ffa0eff,
    0x0000002f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x8b332a00,0x65c4ccc8,0x333261cc,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__arial_bold_43_latin_ext_x[560]={ 0,3,2,0,1,1,1,1,2,1,0,1,2,1,
2,-1,1,3,0,1,0,1,1,1,1,1,3,3,1,1,1,1,1,0,2,1,2,2,2,1,2,2,0,2,
2,2,2,1,2,1,2,1,0,2,-1,0,0,-1,0,2,-1,0,2,-1,0,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,0,0,2,0,0,0,0,0,1,3,0,1,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,1,0,0,0,
3,1,0,-1,0,1,1,1,-1,-1,1,0,0,0,3,2,-1,2,0,1,0,1,1,1,0,1,0,0,0,0,
0,0,-2,1,2,2,2,2,-1,1,-1,-1,-1,2,1,1,1,1,1,2,1,2,2,2,2,-1,2,2,1,1,
1,1,1,1,1,1,1,1,1,1,-1,2,-1,-1,1,2,1,1,1,1,1,0,1,2,2,2,2,0,2,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,2,1,-1,1,2,1,2,1,2,1,2,1,2,1,1,1,
1,1,1,1,1,1,2,2,0,0,-2,-2,-1,-1,-1,-1,2,2,2,2,2,2,0,-2,2,2,2,2,2,2,
-1,2,2,2,2,0,0,2,2,2,2,2,2,-2,2,2,1,1,1,1,1,1,1,1,2,2,2,0,2,1,
1,0,1,0,1,0,1,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,0,0,-1,0,
-1,0,0,0,0,0,0,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,-1,4,4,4,
4,4,4,4,4,4,4,4,4,4,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,2,2,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,1,-2,-2,1,
1,2,2,2,2,2,2,2,2,2,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,0,1,-2,1,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__arial_bold_43_latin_ext_y[560]={ 34,6,6,5,4,5,5,6,5,5,5,10,28,21,
28,5,6,6,6,6,6,6,6,6,6,6,14,14,9,13,9,6,5,6,6,5,6,6,6,5,6,6,6,6,
6,6,6,5,6,5,6,5,6,6,6,6,6,6,6,6,5,6,5,38,5,13,6,13,6,13,5,13,6,6,
6,6,6,13,13,13,13,13,13,13,6,14,14,14,14,14,14,5,5,5,16,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,34,14,6,5,10,6,
5,5,5,5,5,15,13,21,5,1,5,8,6,6,5,14,6,17,34,6,5,15,6,6,6,14,-1,-1,-1,0,
0,0,6,5,-1,-1,-1,0,-1,-1,-1,0,6,0,-1,-1,-1,0,0,11,5,-1,-1,-1,0,-1,6,5,5,5,
5,6,5,5,13,13,5,5,5,5,5,5,5,5,6,6,5,5,5,6,5,10,12,5,5,5,5,5,6,5,
0,7,-1,5,6,13,-1,5,-2,5,-2,5,-1,5,-1,6,6,6,0,7,-2,5,-2,5,6,13,-1,5,-2,5,
-1,5,-2,5,5,3,-2,-1,6,6,-1,6,0,7,-2,5,6,6,-1,14,6,6,-2,5,6,6,14,-1,-1,6,
6,6,6,6,6,6,6,-1,5,6,13,-1,5,6,5,13,0,7,-2,5,-1,5,5,13,-1,5,6,13,-1,5,
-1,5,-2,5,5,13,-1,5,6,6,-1,6,6,6,-1,6,0,7,-2,5,-2,5,-1,5,6,14,-2,5,-2,5,
0,-1,5,-1,5,-1,5,5,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,5,9,9,5,9,9,9,
9,9,9,9,9,9,9,9,9,9,5,13,9,9,9,9,9,9,9,9,9,9,9,9,9,6,14,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,-1,5,-1,5,-1,
5,-1,5,-1,-1,-1,-1,-1,-1,-1,-1,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,-5,-2,-2,5,-2,5,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9, };
static unsigned short stb__arial_bold_43_latin_ext_w[560]={ 0,7,15,21,19,32,27,7,10,10,15,20,6,11,
7,12,19,13,20,19,21,20,20,19,19,19,7,6,20,20,20,21,37,28,24,25,24,22,20,27,23,7,19,26,
21,28,23,28,22,29,26,23,23,23,27,37,26,27,23,11,12,11,19,23,10,20,21,20,21,19,14,21,19,7,
10,20,7,30,19,22,21,21,14,20,13,19,21,30,22,21,19,13,5,14,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,7,20,21,21,22,
5,20,13,30,14,19,20,11,30,23,13,21,12,13,10,19,23,7,11,9,14,19,31,31,32,21,28,28,28,28,
28,28,39,25,22,22,22,22,10,10,13,13,27,23,28,28,28,28,28,19,28,23,23,23,23,27,22,21,20,20,
20,20,20,20,32,20,19,19,19,19,10,9,13,13,22,19,22,22,22,22,22,21,22,19,19,19,19,21,21,21,
28,20,28,20,30,22,25,20,25,20,25,20,25,20,24,27,27,23,22,19,22,19,22,19,22,19,22,19,27,21,
27,21,27,21,27,21,23,19,28,21,14,14,13,13,13,13,9,9,7,7,26,17,22,14,26,20,20,21,9,21,
11,21,13,21,14,23,11,23,19,23,19,23,19,27,25,19,28,22,28,22,28,22,37,34,26,14,26,16,26,15,
23,20,23,20,23,20,23,20,23,13,23,19,23,13,23,19,23,19,23,19,23,19,23,20,23,22,37,30,27,21,
27,23,19,23,19,23,19,12,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,26,21,21,23,21,21,21,
21,21,21,21,21,21,21,21,21,21,32,27,21,21,21,21,21,21,21,21,21,21,21,21,21,30,26,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,28,20,14,14,28,
22,23,19,23,19,23,19,23,19,23,19,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,28,20,39,32,28,22,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21, };
static unsigned short stb__arial_bold_43_latin_ext_h[560]={ 0,28,11,30,34,31,30,11,38,38,15,21,13,6,
6,30,29,28,28,29,28,29,29,28,29,29,20,27,22,15,22,28,38,28,28,30,28,28,28,30,28,28,29,28,
28,28,28,30,28,32,28,30,28,29,28,28,28,28,28,36,30,36,16,4,7,22,29,22,29,22,29,30,28,28,
37,28,28,21,21,22,29,29,21,22,29,21,20,20,20,29,20,38,38,38,9,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,0,28,36,30,21,28,
38,38,6,30,16,18,14,6,30,4,13,26,15,15,7,28,36,7,8,15,16,18,30,30,30,28,35,35,35,34,
34,34,28,37,35,35,35,34,35,35,35,34,28,34,36,36,36,35,35,19,31,36,36,36,35,35,28,30,30,30,
30,29,30,30,22,29,30,30,30,30,29,29,29,29,29,28,30,30,30,29,30,21,24,30,30,30,30,38,36,38,
34,28,35,30,37,30,36,30,37,30,37,30,36,30,35,29,28,29,34,28,36,30,36,30,37,30,35,30,37,38,
36,38,37,38,37,40,36,35,28,28,35,28,34,27,36,29,37,37,35,20,29,37,37,38,36,36,20,35,35,36,
36,28,28,28,28,28,28,35,29,36,29,35,29,28,30,30,35,28,37,30,36,30,30,22,35,29,36,29,35,29,
36,30,37,30,37,29,36,30,41,40,35,29,28,29,36,29,35,28,37,30,37,30,36,30,37,29,36,29,36,38,
34,35,29,35,29,35,29,29,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,30,25,25,38,25,25,25,
25,25,25,25,25,25,25,25,25,25,30,22,25,25,25,25,25,25,25,25,25,25,25,25,25,29,21,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,35,30,35,29,36,
30,36,30,36,36,36,36,36,36,36,36,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,39,37,36,30,38,31,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25, };
static unsigned short stb__arial_bold_43_latin_ext_s[560]={ 412,316,365,61,326,405,21,357,335,324,248,
200,505,453,445,279,79,324,1,1,192,484,180,188,444,464,446,505,482,264,132,
216,286,250,279,452,328,353,376,478,463,208,21,40,67,89,146,403,291,346,214,
125,16,41,118,150,123,263,99,449,70,1,228,381,423,90,400,111,136,153,121,
410,487,501,132,420,412,221,252,431,99,158,272,34,65,287,454,351,423,422,403,
257,183,168,381,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,
386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,412,493,251,
163,307,386,162,119,465,372,213,173,322,453,83,479,343,364,285,308,434,221,87,
415,403,298,496,193,273,178,305,241,417,388,351,113,84,166,409,333,115,92,45,
195,349,500,435,312,358,142,252,134,461,194,30,476,376,369,485,461,327,246,293,
156,252,231,210,338,135,114,1,1,41,21,1,473,444,434,493,386,62,338,307,
284,261,359,218,329,408,143,123,103,83,140,41,235,218,472,274,452,471,387,272,
346,1,292,27,258,343,216,59,382,22,410,289,50,40,149,111,1,53,59,223,
432,76,346,189,368,104,213,443,39,305,485,70,441,446,1,275,350,190,455,433,
502,380,503,469,143,262,271,163,322,382,148,138,217,239,328,314,170,397,304,238,
449,366,281,22,384,42,265,190,367,1,449,185,79,140,461,21,55,408,496,13,
85,473,102,437,237,214,169,238,118,298,330,1,25,68,154,241,174,116,188,360,
201,309,241,161,1,425,351,285,208,387,262,359,390,247,170,293,303,313,461,333,
353,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,484,386,386,189,
386,386,386,386,386,386,386,386,386,386,386,386,386,313,454,386,386,386,386,386,
386,386,386,386,386,386,386,386,231,173,386,386,386,386,386,386,386,386,386,386,
386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,1,49,
30,139,63,102,63,432,228,329,204,490,92,417,393,169,386,386,386,386,386,386,
386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,
386,386,386,61,412,1,185,90,438,386,386,386,386,386,386,386,386,386,386,386,
386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,
386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,
386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,
386,386,386,386,386,386,386,386,386, };
static unsigned short stb__arial_bold_43_latin_ext_t[560]={ 39,350,460,289,191,191,258,460,1,1,460,
438,320,460,460,227,350,350,380,350,409,320,350,380,320,320,438,155,409,460,438,
380,1,380,380,227,380,380,380,227,380,380,350,409,409,409,409,258,409,191,409,
227,409,350,409,380,380,409,380,43,258,118,460,470,460,438,320,438,350,438,350,
227,380,350,43,380,380,438,438,409,350,350,438,438,350,438,438,438,438,320,438,
1,1,1,460,409,409,409,409,409,409,409,409,409,409,409,409,409,409,409,409,
409,409,409,409,409,409,409,409,409,409,409,409,409,409,409,409,409,39,350,81,
258,438,350,1,1,460,258,460,460,460,460,289,460,460,409,460,460,460,350,118,
460,460,460,438,460,289,289,289,409,155,155,155,191,191,191,350,43,155,155,155,
191,118,118,118,191,350,191,118,118,81,155,191,438,191,81,43,43,155,155,350,
289,289,289,289,289,289,289,438,320,289,289,289,258,289,289,258,320,320,350,258,
258,258,289,258,438,409,258,258,258,258,1,81,1,191,350,155,258,1,227,81,
227,43,227,43,227,81,227,191,289,380,289,191,380,118,227,118,227,43,227,155,
227,43,1,81,1,43,1,1,1,118,155,380,380,155,409,191,409,118,289,1,
1,155,409,289,43,43,1,118,81,438,155,155,81,81,409,409,409,380,380,380,
118,320,118,320,118,320,350,227,227,155,350,43,227,81,191,227,438,118,289,118,
320,118,320,81,227,43,227,43,320,81,258,1,1,155,320,350,320,81,320,118,
350,43,258,43,258,43,258,43,320,43,320,43,1,191,155,320,155,320,155,320,
320,409,409,409,409,409,409,409,409,409,409,409,409,409,409,409,191,409,409,1,
409,409,409,409,409,409,409,409,409,409,409,409,409,227,409,409,409,409,409,409,
409,409,409,409,409,409,409,409,320,438,409,409,409,409,409,409,409,409,409,409,
409,409,409,409,409,409,409,409,409,409,409,409,409,409,409,409,409,409,191,258,
155,320,81,227,118,258,118,118,118,81,81,81,81,81,409,409,409,409,409,409,
409,409,409,409,409,409,409,409,409,409,409,409,409,409,409,409,409,409,409,409,
409,409,409,1,1,81,258,1,191,409,409,409,409,409,409,409,409,409,409,409,
409,409,409,409,409,409,409,409,409,409,409,409,409,409,409,409,409,409,409,409,
409,409,409,409,409,409,409,409,409,409,409,409,409,409,409,409,409,409,409,409,
409,409,409,409,409,409,409,409,409,409,409,409,409,409,409,409,409,409,409,409,
409,409,409,409,409,409,409,409,409, };
static unsigned short stb__arial_bold_43_latin_ext_a[560]={ 171,205,292,342,342,548,445,146,
205,205,240,360,171,205,171,171,342,342,342,342,342,342,342,342,
342,342,205,205,360,360,360,376,600,445,445,445,445,411,376,479,
445,171,342,445,376,513,445,479,411,479,445,411,376,445,411,581,
411,411,376,205,171,205,360,342,205,342,376,342,376,342,205,376,
376,171,171,342,171,548,376,376,376,376,240,342,205,376,342,479,
342,342,308,240,172,240,360,462,462,462,462,462,462,462,462,462,
462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,
462,462,462,462,462,462,462,462,171,205,342,342,342,342,172,342,
205,454,228,342,360,205,454,340,246,338,205,205,205,355,342,171,
205,205,225,342,514,514,514,376,445,445,445,445,445,445,616,445,
411,411,411,411,171,171,171,171,445,445,479,479,479,479,479,360,
479,445,445,445,445,411,411,376,342,342,342,342,342,342,548,342,
342,342,342,342,171,171,171,171,376,376,376,376,376,376,376,338,
376,376,376,376,376,342,376,342,445,342,445,342,445,342,445,342,
445,342,445,342,445,342,445,443,445,376,411,342,411,342,411,342,
411,342,411,342,479,376,479,376,479,376,479,376,445,376,445,376,
171,171,171,171,171,171,171,171,171,171,483,342,342,171,445,342,
342,376,171,376,171,376,237,376,295,376,171,445,376,445,376,445,
376,436,445,376,479,376,479,376,479,376,616,581,445,240,445,240,
445,240,411,342,411,342,411,342,411,342,376,205,376,295,376,205,
445,376,445,376,445,376,445,376,445,376,445,376,581,479,411,342,
411,376,308,376,308,376,308,171,462,462,462,462,462,462,462,462,
462,462,462,462,462,462,462,447,462,462,342,462,462,462,462,462,
462,462,462,462,462,462,462,462,525,438,462,462,462,462,462,462,
462,462,462,462,462,462,462,511,446,462,462,462,462,462,462,462,
462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,
462,462,462,462,462,445,342,171,171,479,376,445,376,445,376,445,
376,445,376,445,376,462,462,462,462,462,462,462,462,462,462,462,
462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,
462,462,445,342,616,548,479,376,462,462,462,462,462,462,462,462,
462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,
462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,
462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,
462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,
462,462,462,462,462,462,462,462, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_43_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_bold_43_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_43_latin_ext(stb_fontchar font[STB_FONT_arial_bold_43_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_43_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_bold_43_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_43_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_43_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_43_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_43_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_43_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_43_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_43_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_43_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_43_latin_ext_s[i] + stb__arial_bold_43_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_43_latin_ext_t[i] + stb__arial_bold_43_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_43_latin_ext_x[i];
            font[i].y0 = stb__arial_bold_43_latin_ext_y[i];
            font[i].x1 = stb__arial_bold_43_latin_ext_x[i] + stb__arial_bold_43_latin_ext_w[i];
            font[i].y1 = stb__arial_bold_43_latin_ext_y[i] + stb__arial_bold_43_latin_ext_h[i];
            font[i].advance_int = (stb__arial_bold_43_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_43_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_43_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_43_latin_ext_s[i] + stb__arial_bold_43_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_43_latin_ext_t[i] + stb__arial_bold_43_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_43_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_43_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_43_latin_ext_x[i] + stb__arial_bold_43_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_43_latin_ext_y[i] + stb__arial_bold_43_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_43_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_43_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_43_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_43_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_43_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_43_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_43_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_43_latin_ext_LINE_SPACING
#endif

