// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_48_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_48_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_48_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_bold_48_latin_ext_BITMAP_HEIGHT        580
#define STB_FONT_arial_bold_48_latin_ext_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_arial_bold_48_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_bold_48_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_bold_48_latin_ext_LINE_SPACING          31

static unsigned int stb__arial_bold_48_latin_ext_pixels[]={
    0x3bbbbbba,0xeeeeeeee,0xeeeeeeee,0x0110001e,0x00000000,0x13333310,
    0x09999800,0xeeec8000,0x000003ee,0x06666662,0x00262000,0x80002660,
    0x00009999,0x80026620,0x0cc40199,0x26662000,0x26600019,0x99998099,
    0x4ccc4001,0x00000009,0x00002666,0x00099988,0x0004ccc0,0x80026662,
    0x00199998,0x26666200,0xeb800000,0x7404eeee,0x6c0eeeee,0xd305eeee,
    0x3fe5dddd,0xffffffff,0xffffffff,0x02ffffff,0x0027e440,0x0001d880,
    0x7ffffc40,0x3fe6001f,0x4c0002ff,0x005fffff,0x7ffec000,0xc88004ff,
    0xcefffffe,0xfffff800,0xfff3001d,0xd700005f,0x79dfffff,0x880ffec0,
    0x6c0006ff,0x0007ffff,0x88dffff1,0x2007ffff,0x1ffffff9,0x6dc40000,
    0xfffffffe,0x30000bef,0x4000dfff,0x5004fffb,0x009ffffd,0x3fffffe2,
    0xff980003,0x0001ffff,0x77ffffc0,0x7ffffc00,0x7ffff40f,0xfffff507,
    0x3fffffe7,0xffffffff,0xffffffff,0x3e6002ff,0xb80006ff,0x400001ff,
    0x01fffffc,0x17fffcc0,0x3fff2000,0x4000006f,0x04fffff8,0xfffffb80,
    0x03ffffff,0x7ffffffc,0xffff9804,0x7fec0002,0x5fffffff,0x6417fee0,
    0x6c0005ff,0x0007ffff,0x88dffff1,0x1007ffff,0xdffffffd,0xda880001,
    0xffffffff,0xefffffff,0x7ff4000b,0xff88003f,0x7f4c00ff,0x004fffff,
    0xfffffffb,0x7fc40001,0x006fffff,0x3fffee00,0xffff800f,0x7fff40ff,
    0xffff507f,0x3ffffe7f,0xffffffff,0xffffffff,0xf1002fff,0x4000bfff,
    0x001fffea,0x3fffe200,0xff98002f,0x220002ff,0x000effff,0x7ffe4000,
    0xffa8005f,0xffffffff,0x3fe04fff,0x02ffffff,0x017fffcc,0xfffff900,
    0x407fffff,0xbacefff9,0x0001fffe,0x03ffffec,0x6ffff880,0x03ffffc4,
    0xffffffd8,0x320004ff,0xffffffff,0xffffffff,0x002fffff,0x003fffee,
    0x00bfff90,0xfffffffd,0xffff7009,0x000dffff,0x7fffffec,0xd00004ff,
    0x2003ffff,0x40ffffff,0x507ffffe,0x3e7fffff,0xffffffff,0xffffffff,
    0x2fffffff,0x01fff900,0x7fffe400,0x2e00001f,0x0003ffff,0x005ffff3,
    0x077ffe40,0x3e200000,0x98005fff,0xffffffff,0x2fffffff,0xfffffff0,
    0xfff980df,0xff10002f,0xffffffff,0xfffb803f,0x04ffffff,0xffffd800,
    0xfff10007,0xffff88df,0xffffa807,0x02ffffba,0x7ffff440,0xcdefffff,
    0xffffffec,0xf1004fff,0x4400bfff,0x5402ffff,0xffffffff,0x7fffcc04,
    0x03ffffab,0xaffffa80,0x002ffffc,0x0ffffd40,0xffffff00,0x7ffffe81,
    0x7fffff50,0x2aaaaaaa,0xffffffaa,0xaaaaaaac,0x9ffd000a,0xfffc8000,
    0x200001ff,0x0003fffe,0x00bfffe6,0x07fffc40,0x7dc00000,0xf90006ff,
    0x737fffff,0x0ffffffd,0x3fffffba,0x3fe602ff,0xf50002ff,0xddffffff,
    0x3fee00ff,0x004fffff,0xfffffb00,0x3bba2000,0x7777445e,0x7fffc405,
    0x03ffff64,0x7ffffd40,0x98800bef,0xefffffeb,0xffffc800,0xffff9001,
    0xfffffb00,0xfe807ddf,0x3fff26ff,0x3fe2001f,0x3fff64ff,0x3fa0000f,
    0x7fc002ff,0x65c0ffff,0x99304ccc,0x7c005999,0x001fffff,0x3bbffe00,
    0xffc8000e,0x00001fff,0x0009fff5,0x02ffff98,0x03555100,0x3fe00000,
    0xfb0000ef,0xfd03ffff,0xb803ffff,0x203fffff,0x002ffff9,0xbfffff90,
    0x2e200188,0x0001bcec,0x0aaaaa60,0x00000000,0x441dfffd,0xc805fffe,
    0x02dfffff,0x7fffdc00,0xfff9805f,0xfff8805f,0xffff803f,0xff9000ef,
    0xfffd81ff,0x3fffa006,0x2ffff446,0x03555000,0xffffff00,0x00000001,
    0x1ffffff8,0x3ffe0000,0xc8000fff,0x001fffff,0x05fb5100,0xffff9800,
    0x00000002,0x00000000,0x01ffffff,0x07fffff7,0x09fffff0,0x017fffcc,
    0xfffffe80,0x00000002,0x00000000,0x00000000,0x3fffea00,0x2200002f,
    0x804ffffd,0x400ffffe,0x801ffffd,0x003fffff,0x00000000,0x08800000,
    0xfffff800,0x0000000f,0x7fffffc0,0xff100001,0x2001ffff,0xffffd998,
    0x000199af,0x03fffff2,0x7fffcc00,0x0cc40002,0x0003d500,0x7fec0000,
    0x9a884fff,0x7fff4000,0x3ffe604f,0xfff0002f,0x00000fff,0x00000000,
    0x00000000,0x7fc40000,0x00000eff,0x05ffff70,0x03ffffc8,0x01bfffe6,
    0x0bffffe2,0x00000000,0x98000000,0x2001cffc,0x40ffffff,0x10199998,
    0x00133333,0x0ffffffc,0xfff88000,0xf5000fff,0xffffffff,0x10003fff,
    0x09fd79ff,0x3fffe600,0x372a2002,0xceeffffe,0x21fff981,0x00999998,
    0x06666660,0x3ffffff2,0x3f600002,0x3e604fff,0x98802fff,0xfffffa99,
    0x4001999e,0x981bdcb9,0x98009999,0x9981bdcb,0x33310999,0x4cc00133,
    0x4cc01999,0x3a000999,0x4c00dfff,0x2620abcb,0x3ffa1999,0x7ffcc06f,
    0x3fff607f,0xfff8804f,0xb98001ff,0x99981bdc,0x33331099,0x4ccc0013,
    0xff100199,0x2001ffff,0x40ffffff,0x507ffffe,0x007fffff,0x0ffffffc,
    0x00000000,0xfffffff5,0x003fffff,0x3fcc9f90,0xffff9800,0xffff7002,
    0xffffffff,0x3ffe23bf,0x3fffea6f,0xfff1006f,0xfff10dff,0x0019ffff,
    0xbffffb00,0x17fffcc0,0x7ffffe40,0xffffffff,0xffff5007,0x7fc5ffff,
    0x3ea03fff,0x2fffffff,0x54fffffe,0x006fffff,0x0dfffff1,0x06fffff8,
    0x01ffff90,0x3fffff66,0xffff92ff,0x0ffffc4f,0x0bffffe0,0x00fffffc,
    0x0fffffc4,0xfffff500,0x7ffc5fff,0xffff53ff,0x3fe200df,0xf9006fff,
    0x007fb31b,0x03fffffe,0x20fffffd,0x03fffffa,0x3fffffe0,0x00000001,
    0x3ffffea0,0x1fffffff,0x223fd800,0xf98000ff,0x6c402fff,0xffffffff,
    0xffffffff,0x41ffffed,0x00ffffff,0x3fffffb8,0xffffff50,0xd80005ff,
    0x2605ffff,0xd802ffff,0xffffffff,0x805fffff,0xfffffffc,0xffff3fff,
    0x3fff207f,0x3fffffff,0x7c7fffff,0x800fffff,0x03fffffb,0x037ffffc,
    0x817fffc4,0xfffffff9,0xfffeafff,0x27ffd45f,0x13ffff60,0x01ffffe6,
    0x0fffffc4,0xfffffc80,0xff3fffff,0x7ffc7fff,0xfb800fff,0xf003ffff,
    0x8037cc3f,0x40ffffff,0x507ffffe,0x007fffff,0x0ffffffc,0xdcb98000,
    0x9999981b,0xffffff50,0x03ffffff,0x323df500,0xff30005f,0x7fdc05ff,
    0xffffffff,0xffffffff,0xc82fffff,0x803fffff,0x00fffffe,0xfffffff3,
    0x20001bff,0x205ffffc,0x802ffff9,0xfffffffe,0x04ffffff,0x7fffffec,
    0xfcffffff,0xfd83ffff,0xffffffff,0xffffcfff,0x3ffff23f,0xfffe803f,
    0x7ffc00ff,0xffc806ff,0xffff505f,0xffffffff,0xf07fffff,0xffb80fff,
    0xfffb86ff,0xfff1006f,0xffb003ff,0xffffffff,0xfffff9ff,0x7ffffe47,
    0xffffe803,0x45fd000f,0xfff006fa,0xffe81fff,0xfff507ff,0x7fc007ff,
    0x0001ffff,0x7fffffd4,0x3fffe2ff,0xffb5513f,0x15559fff,0xffff1000,
    0x260009ff,0xf702ffff,0xffffffff,0xffffffff,0x05ffffff,0x1bffffe6,
    0xdfffff10,0x3ffffe60,0x2fffffff,0xffffc800,0x3fffe606,0x7fffc402,
    0xffffffff,0x3fe602ff,0xeeffffff,0xffffffff,0x7fffcc3f,0xffeeffff,
    0x3fffffff,0x1bffffe6,0xdfffff10,0xdfffff00,0x01ffff00,0x5dfffff5,
    0xfffff511,0xffb05fff,0x7ffd403f,0x7fff40ff,0xfff3005f,0xff9801ff,
    0xeeffffff,0xffffffff,0x3fffe63f,0x7ffc406f,0x3ee006ff,0x002ffbbf,
    0x81ffffff,0x507ffffe,0x007fffff,0x0ffffffc,0xffff9000,0x27ffffff,
    0xc83fffff,0x001fffff,0xfffffb80,0xf98000ff,0xff882fff,0xbcffffff,
    0xfffd7311,0xe80dffff,0x200fffff,0x83fffffb,0xfffffff9,0x4fffffff,
    0x7fffdc00,0x3fffe607,0xf9999802,0x999fffff,0x7ffff401,0x7fec42ff,
    0x743fffff,0x42ffffff,0xffffffd8,0x7ffff43f,0x3ffee00f,0xfff803ff,
    0x7fd406ff,0xffff985f,0xffff104f,0xff901fff,0x7ffd405f,0x3ffe22ff,
    0xff5004ff,0xffd00fff,0xd885ffff,0x3fffffff,0x07fffff4,0x7fffff70,
    0x7fff4400,0x3ffe006f,0x7ff40fff,0xfff507ff,0x7fc007ff,0x0001ffff,
    0xfffffffb,0xff9fffff,0xff907fff,0x00003fff,0xfffffffd,0xfff30007,
    0xffff905f,0xf7003dff,0x03ffffff,0x1fffffdc,0x1fffffb0,0x1bfffff0,
    0xfffffffb,0x3ea001df,0xf301ffff,0x98005fff,0x005fffff,0x3fffffea,
    0x3ffff600,0x3ffea3ff,0x3f600fff,0x5c3fffff,0x203fffff,0x00fffffd,
    0x06fffff8,0x6c17ffec,0x6406ffff,0x506fffff,0x7cc07fff,0x3e64ffff,
    0xb003ffff,0xa80dffff,0x00ffffff,0x3ffffff6,0x7ffffdc3,0x3ffff603,
    0xdda8000f,0x7fffc002,0x7fff40ff,0xffff507f,0x7ffc007f,0x98001fff,
    0xffffffff,0xffffffee,0xffc83fff,0x40001fff,0xfffffff9,0xff98006f,
    0x7ffcc2ff,0x7000dfff,0xbfffffff,0x7ffffc40,0xfffff106,0xfffff10b,
    0xffffffa8,0x3fe006ff,0xff306fff,0xfa8005ff,0x2004ffff,0x04fffffc,
    0x7fffffc4,0x3fffff23,0x7fffc404,0x7ffc43ff,0xfff106ff,0x3fe00bff,
    0x7fc06fff,0xffff887f,0x7ffcc00f,0xfff305ff,0x7fffc409,0x3fffea5f,
    0xfff8802f,0x7fe404ff,0x7c404fff,0x443fffff,0x106fffff,0x00bfffff,
    0xfff00000,0xffe81fff,0xfff507ff,0x7fc007ff,0x8001ffff,0x2ffffffe,
    0x7ffffec4,0xfffc83ff,0x640001ff,0xffffffff,0x9998001f,0x7ffff409,
    0xff5000ff,0x3fffffff,0x7ffffec0,0xfffffb80,0x5ffffa82,0xfffffe88,
    0xff9005ff,0xf9819fff,0x5c002fff,0x002fffff,0x03fffff6,0x3fffff60,
    0x3fffff63,0xffffd800,0xffffd83f,0xffffb80f,0xffff002f,0x7ffc40df,
    0x5ffffc85,0xfffff880,0x07fff503,0x26fffff8,0x01fffffb,0x7fffff44,
    0x7fffec02,0xfffd800f,0xfffd83ff,0xfffb80ff,0x2a6002ff,0x0bcceecc,
    0xffffff80,0x3fffff40,0x3fffffa8,0x3ffffe00,0x7fd4001f,0x3601ffff,
    0x83ffffff,0x01fffffc,0x3fffe200,0x04ffffff,0x7ffcc000,0xf3004fff,
    0xffffffff,0x7ffd40bf,0xfffd83ff,0xffff907f,0x7fffe40d,0xf9803fff,
    0x0effffff,0x005ffff3,0x1fffffd8,0x3ffffe00,0xffff7007,0x7ffffc7f,
    0xffff7007,0xffff507f,0xffffb07f,0x7fffc00f,0x3ffe606f,0x7ffffc43,
    0xffff9802,0x5fff901f,0x6ffffe80,0x03ffffee,0x7fffff5c,0xffff806f,
    0xfff7007f,0xfff507ff,0xfffb07ff,0x3f6a00ff,0xffffffff,0x3ffe00ef,
    0x7ff40fff,0xfff507ff,0x7fc007ff,0x4001ffff,0x04fffffc,0x7fffffc4,
    0xfffffc83,0x3fee0001,0xffffffff,0x2a00000f,0x00ffffff,0xcfffff98,
    0x407fffff,0x446fffff,0x904fffff,0x403fffff,0x6ffffffa,0xfffff500,
    0x3ffe63ff,0x7ff4002f,0x7fc007ff,0xf5006fff,0x7fc7ffff,0xf5006fff,
    0x3e07ffff,0x7c46ffff,0x2004ffff,0x206fffff,0x7cc2fffa,0xa801ffff,
    0xd00fffff,0xfd803fff,0x3ff27fff,0x3ff607ff,0x800effff,0x006fffff,
    0x07fffff5,0x11bffffe,0x009fffff,0xfffffff7,0x3fffffff,0x3fffffe0,
    0x3fffff40,0x3fffffa8,0x3ffffe00,0x7ff4001f,0xfd801fff,0xfc83ffff,
    0x0001ffff,0x3bfffffa,0x003fffff,0x3fffee00,0xffe8805f,0xffff99ff,
    0x3ff200ff,0x3fea0fff,0xff701fff,0x4401dfff,0x00fffffe,0xffffff30,
    0x0bfffe63,0xdfffff00,0x7fffc400,0xfff5006f,0x3ffe27ff,0xff5006ff,
    0x3f207fff,0x3ea0ffff,0x2001ffff,0x206fffff,0x7dc1fffb,0xf7007fff,
    0x7fc0dfff,0xfffc807f,0x3ffff67f,0x3ffff607,0xff8800df,0xf5006fff,
    0x3207ffff,0x2a0fffff,0x401fffff,0xfffffffa,0xffffffff,0xfffff81f,
    0x7ffff40f,0xfffff507,0x7fffc007,0x7fc001ff,0xf7007fff,0xf907ffff,
    0x0003ffff,0x3bffffe6,0x06fffffa,0x3fff6000,0x7f4404ff,0x3ffe1fff,
    0x3e601fff,0x3f63ffff,0x3e606fff,0x01ffffff,0x0bffffe6,0x7ffffe40,
    0x5ffff31f,0x7fffcc00,0x3fe2005f,0xf5007fff,0x3e27ffff,0x5007ffff,
    0x207fffff,0x23fffff9,0x006ffffd,0x037ffffc,0xfc81fff9,0xfb006fff,
    0x3e609fff,0xffc806ff,0x3fff67ff,0x3fff607f,0xf8801eff,0x5007ffff,
    0x207fffff,0x23fffff9,0x806ffffd,0xffffffff,0xffffffee,0xfffff84f,
    0x7ffff40f,0xfffff507,0x7fffc007,0x3e2001ff,0x5007ffff,0x907fffff,
    0x003fffff,0x3fffff20,0xffffff8a,0xffd00001,0xfd807fff,0x7ff42fff,
    0x7f402fff,0xfff16fff,0xffd807ff,0x203fffff,0x801ffffe,0xfffffffd,
    0x05ffff31,0x7ffffd40,0x7fffc003,0xfff7007f,0x7fffc7ff,0xfff7007f,
    0x7ff407ff,0xffff16ff,0xfff8007f,0x3ff206ff,0x7fffec0f,0xfffff005,
    0x0ffff607,0x9fffff20,0x207ffffc,0xfffffffd,0xfffff801,0xffff7007,
    0x7fff407f,0xfffff16f,0xffffa807,0xfffc81ef,0xffff87ff,0x7fff40ff,
    0xffff507f,0x7ffc007f,0x26001fff,0x006fffff,0x07fffff5,0x03fffff9,
    0x3ffffe00,0xfffff90f,0x3fe00009,0x3602ffff,0xfe83ffff,0x5c03ffff,
    0xfa8fffff,0x4c00ffff,0xffffffff,0x7ffff80e,0xfffffa80,0xfff30cdf,
    0x7fe4005f,0x74002fff,0x800fffff,0x23fffffd,0x00fffffe,0x3fffffd8,
    0x3ffffee0,0x0fffffa8,0x7ffffc00,0x07ffee06,0x009ffffb,0x03fffff5,
    0x200ffff7,0x2e6ffffd,0x500fffff,0xdffffffb,0xfffffd00,0xffffb001,
    0x7ffdc07f,0xffffa8ff,0x7ff5c00f,0xfff100ff,0xffff0fff,0xfffe81ff,
    0xffff507f,0x7ffc007f,0x22001fff,0x006fffff,0x07fffff5,0x03fffff9,
    0xfffff500,0x7ffffccb,0xccc8800f,0xfffff11c,0x3fff203f,0xffffb04f,
    0xfff8809f,0xffffdbff,0xffff3005,0x5c7fffff,0xe805ffff,0x982fffff,
    0x2002ffff,0x00fffffd,0x7ffffec0,0x7fffcc04,0x3fff63ff,0x7fcc04ff,
    0x2203ffff,0xfdbfffff,0xf8005fff,0x2a06ffff,0x7fe42fff,0xffe805ff,
    0xfff987ff,0xfffb003f,0x7fffdcbf,0x7fec401f,0x7ec02fff,0x4c04ffff,
    0x03ffffff,0x2fffffe2,0x005ffffd,0x3f600d44,0x7fc0ffff,0x7f40ffff,
    0xff507fff,0x7c007fff,0x001fffff,0x03fffff4,0x3fffffb8,0x2fffffc8,
    0xffffd800,0x7ffff42f,0xfff9803f,0x3ffffe2f,0xffffb82f,0x3ffffa05,
    0xfffd804f,0x2fffffef,0x3fffe600,0xfadfffff,0x4402ffff,0x303fffff,
    0x4005ffff,0x007ffffe,0xffffffa8,0x3ffff600,0x3ffea3ff,0x3f600fff,
    0x403fffff,0xffeffffd,0xf8002fff,0x2606ffff,0x7fdc3fff,0x7fd407ff,
    0x7fc46fff,0x3fa006ff,0x3fea4fff,0xf8801fff,0x5405ffff,0x00ffffff,
    0x3ffffff6,0x7fffec03,0x02fffffe,0xffe98000,0x7ffc0fff,0x7ff40fff,
    0xfff507ff,0x7fc007ff,0x4001ffff,0x01fffffd,0x3fffffd8,0xffffffb8,
    0x7c401dbb,0xfb87ffff,0x9806ffff,0x3fa2ffff,0x7d44ffff,0x7fc06fff,
    0xa802ffff,0xffffffff,0x6c4000ff,0xffffffff,0x802fffff,0x00fffff9,
    0x005ffff3,0x1bffffe2,0x7ffffc00,0x7ff4c2ff,0x7c3fffff,0x42ffffff,
    0xffffffe9,0x7ffd403f,0x0fffffff,0xfffff800,0x17ffe206,0x07fffff3,
    0x3fffffe6,0x3ffffa65,0x3fffe002,0x3fffe23f,0xfff9002f,0xffff00df,
    0xfe985fff,0x03ffffff,0x7fffffd4,0x0000ffff,0xffffdb98,0x7fc0ffff,
    0x7f40ffff,0xff507fff,0x7c007fff,0x001fffff,0x27ffffdc,0x3ffffe60,
    0xffffa83f,0x403fffff,0x84fffffb,0x1ffffff8,0x17fffcc0,0x4bfffffb,
    0x00effff9,0x3fffffe2,0xfffff001,0x000bffff,0x7fffffdc,0x003fffff,
    0x40dffff7,0x002ffff9,0x09fffff3,0x3fffee00,0xfffeffff,0x3fffffff,
    0x7fffffdc,0xfffffeff,0x803fffff,0xffffffff,0xfff0005f,0xffe80dff,
    0x7ffff40f,0xfff711df,0xfb5dffff,0x4007ffff,0x41fffff8,0x003fffff,
    0x00fffff5,0xfffffff7,0xffffffdf,0xf007ffff,0xffffffff,0x3b26000b,
    0xffffffff,0x7fc0ffff,0x7f40ffff,0xff507fff,0x7c007fff,0x001fffff,
    0x7fffffd4,0x3ffffa01,0xffff03ff,0x807fffff,0x01fffffe,0x09fffffd,
    0x22ffff98,0x36fffffc,0x801fffff,0x0ffffff9,0xfffff900,0x80005fff,
    0xffffffe9,0x3f2006ff,0x3e605fff,0xf5002fff,0x0007ffff,0x7fffffec,
    0xfdffffff,0xfd83ffff,0xffffffff,0xffffdfff,0xfffc803f,0x002fffff,
    0x0dfffff0,0x4c4fffb8,0xffffffff,0xffffffff,0xffffffff,0x7ffd4003,
    0xffffd87f,0xffff3004,0xfffb001f,0xffffffff,0x7fffffbf,0xfffff900,
    0x98005fff,0xfffffffe,0xffffffff,0x7fffffc0,0x3fffff40,0x3fffffa8,
    0x3ffffe00,0x7fc4001f,0x4c2fffff,0xfffffffe,0xfffff903,0x7cc09fff,
    0x2e06ffff,0x00ffffff,0xb8bfffe6,0xe8ffffff,0xa801ffff,0x007fffff,
    0x3fffffe6,0x2e00007f,0xffffffff,0xffff9002,0x7fffcc0b,0xffff9002,
    0xfd80003f,0xffffffff,0xfffffaaf,0xfffffb03,0xf55fffff,0x3007ffff,
    0xffffffff,0x7fffc000,0x7ffc406f,0xfffffb87,0xffefffff,0xffffffff,
    0xffb8002f,0xfffb86ff,0xfff3006f,0x3f6003ff,0xffffffff,0xfffffaaf,
    0xffff9803,0x54007fff,0xffffffff,0xffffdbdf,0x7ffffc0f,0x7ffff40f,
    0xfffff507,0x7fffc007,0xfb8001ff,0xefffffff,0xffffffff,0x3fea03ff,
    0x203effff,0x03fffffc,0x3fffffe2,0x3fffe603,0x3ffffe62,0x01ffffff,
    0xdfffffd0,0xffffe800,0x400004ff,0xffffffe8,0xfffc801f,0x3ffe605f,
    0xfffb002f,0x900001ff,0xffffffff,0x3ffffea3,0x3ffff203,0xff51ffff,
    0x3a007fff,0x04ffffff,0x3ffffe00,0x4fffd806,0xffffffa8,0xffff74ff,
    0x0019ffff,0x0fffff60,0x03ffffe6,0x3ffffe20,0x3fff2001,0xf51fffff,
    0x2007ffff,0x4ffffffe,0x3fffea00,0x7e41beff,0x7fc0ffff,0x7f40ffff,
    0xff507fff,0x00007fff,0x7fff4000,0xffffffff,0x3fffffdf,0x801aa980,
    0xaffffff8,0xd9999999,0x206fffff,0x742ffff9,0xffffffff,0xfff7002f,
    0xb8007fff,0x01ffffff,0xfff70000,0xfb009fff,0x7cc0bfff,0xff002fff,
    0x0000ffff,0x567765c4,0x3ffffea0,0x7765c402,0x3ffea0ac,0xff7002ff,
    0x0003ffff,0x037ffffc,0x417fffd4,0x1cdfedb8,0x56f7fedc,0x03555500,
    0x403ffffe,0x802ffffe,0x01fffff8,0x67765c40,0x3fffea0a,0xfff7002f,
    0x74003fff,0x203fffff,0x20fffffd,0x00007ff8,0x0fffffea,0x88000000,
    0xfffffffe,0xfffaafff,0x800003ff,0xfffffffb,0xffffffff,0x01ffffff,
    0xa85ffff3,0xffffffff,0xffff1003,0xf7000dff,0x000dffff,0x7ffd4030,
    0xffd806ff,0x3fe604ff,0xff8802ff,0x00005fff,0xffffb800,0xf700002f,
    0x2005ffff,0x06fffffb,0x3fffe200,0xfffb006f,0x0000003f,0x407fffe4,
    0x205ffff9,0x804ffffb,0x01fffff8,0xfff70000,0x3ee005ff,0x2006ffff,
    0x06fffff8,0x07ffffec,0x0000dff3,0x1fffffdc,0x55555300,0x7ec40001,
    0x1fffffff,0x07fffff5,0x01555544,0x7ffffff4,0xffffffff,0x4fffffff,
    0x05ffff30,0xdffffffd,0x3fffa600,0xe8002fff,0x003fffff,0x1ffff6cc,
    0x0ffffff0,0x09ffffd0,0x017fffcc,0x27ffffd4,0x019a9800,0x7ffffe40,
    0x00066a61,0x03fffff9,0x3fffffa0,0x3fe20003,0xd1005fff,0x0005ffff,
    0xffffb000,0x3ffff205,0x3fffe202,0xffff8806,0x066a602f,0xfffff900,
    0x3fffa003,0x3ea003ff,0x2203ffff,0x20ffffff,0x00006ffb,0x0bfffff6,
    0xfffffc80,0xec980001,0x3ea0acef,0x2a02ffff,0x4c07ffff,0xffffffff,
    0xffffffff,0x0fffffff,0x82ffff98,0xfffffffa,0xfff7101e,0x000bffff,
    0x1ffffff5,0xffff9800,0xfffd00ff,0xffff00ff,0x7ffcc09f,0xfffc802f,
    0xf50002ff,0x805dffff,0x20fffffe,0x2efffffa,0x7fffff40,0xffffa800,
    0x2e0000ff,0x005fffff,0x37ffffe6,0xe9800000,0x3a05ffff,0xfc807fff,
    0xff800fff,0x3ea04fff,0x402effff,0x00fffffe,0xffffffa8,0x3ffea000,
    0x3ff606ff,0x3f20ffff,0x730000ff,0xffffffd7,0x7ffe4003,0x000001ff,
    0x3ffffee0,0x3fffea02,0x7fffe407,0xffffffff,0xffffffff,0xff983fff,
    0xfffb82ff,0xdeffffff,0xfffffecc,0x4000ffff,0x5ffffffa,0xfffff000,
    0xfffa819f,0x3f6605ff,0x2603ffff,0x2a22ffff,0xfffff711,0x3e60001f,
    0x206fffff,0x46fffffc,0x6ffffff9,0x3fffff20,0xffffa806,0xbc8005ff,
    0x4ffffffd,0x7fffd400,0x80001cff,0xefffffd9,0x9ffff100,0x7ffff300,
    0xffffff00,0xffff3015,0x7fe40dff,0xfa806fff,0x005fffff,0x7fffffc4,
    0x3fff260c,0x3f21ffff,0xf70002ff,0xffffffff,0x7ffe4001,0x54c001ff,
    0x7fe40019,0x3ea01fff,0x7fc07fff,0xffffffff,0xffffffff,0x86ffffff,
    0x542ffff9,0xffffffff,0xffffffff,0x2fffffff,0x7f6ef4c0,0x01ffffff,
    0xfffff900,0xfffd9bff,0xfff07fff,0x03ffffff,0x717fffcc,0xffffffff,
    0xf8000dff,0xdfffffff,0xfffffecb,0xffff82ff,0xecbdffff,0x2fffffff,
    0x7ff6ef4c,0x001fffff,0x7fffffc4,0x98003fff,0xfffffffe,0x262009ac,
    0xffffffdb,0x7ffe404f,0xfffb000f,0xffffb00d,0xff89ffff,0xbdffffff,
    0xffffffec,0x76ef4c2f,0x1fffffff,0xffffe800,0xffffdfff,0x22ffffff,
    0xa9cffffb,0xfffd802b,0x005fffff,0x0fffffe4,0x3fffea00,0x7ff402ef,
    0x7fd407ff,0x3fea06ff,0xa8007fff,0x41ffffff,0x262ffff9,0xffffffff,
    0xffffffff,0x0dffffff,0xfffff880,0x005fffff,0x7ffffec0,0xffffffff,
    0xfffff06f,0xf980dfff,0x3ff62fff,0xffffffff,0x7fd40003,0xffffffff,
    0x5fffffff,0xffffff50,0xffffffff,0xff10bfff,0xffffffff,0xfff5000b,
    0x01ffffff,0x7fffe400,0xffffffff,0xffffffee,0x02ffffff,0x003ffff8,
    0x007fffe6,0xfffffff3,0xffffa89f,0xffffffff,0x885fffff,0xffffffff,
    0xf30005ff,0xffffffff,0xffffdfff,0x7fffc47f,0xe804ffff,0xffffffff,
    0x7ffe4000,0x7cc000ff,0x206fffff,0x05fffffc,0x027ff74c,0x09fffffb,
    0x3ffffe00,0x7fffcc4f,0x3fffff12,0xffffffb3,0xffffffff,0xffff8007,
    0x00efffff,0x7fff4400,0xffffffff,0xffff00ff,0x9803ffff,0x3fe2ffff,
    0xffffffff,0xfc80000f,0xffffffff,0x0effffff,0x3fffff20,0xffffffff,
    0xfff00eff,0x1dffffff,0xffff9000,0x0005ffff,0xfffffd30,0xffffffff,
    0xffffffff,0xff50019f,0xff9000df,0xfffb00bf,0xf909ffff,0xffffffff,
    0x1dffffff,0x3fffffe0,0x0000efff,0x3fffffee,0xffd3ffff,0xfffa8dff,
    0x4404ffff,0xffffffff,0xfaa98001,0xfff0007f,0x97bfffff,0xfffffffb,
    0x07fe6007,0x7fffffc4,0xfff90001,0x7fcc1fff,0xffff32ff,0xffffd983,
    0x0cdeffff,0xffffe800,0x0000efff,0xfffff910,0x019fffff,0x77fffffc,
    0xffff9802,0xffffff32,0x0001dfff,0x7ffff540,0xffffffff,0xfffd5003,
    0xffffffff,0xfffe807f,0x000effff,0xffffffb0,0x8800009f,0xffffffdb,
    0xffffffff,0x74002dff,0x88002fff,0x4400ffff,0x4ffffffc,0xfffffd50,
    0x7fffffff,0xfffffe80,0x80000eff,0xffffffe9,0x3fffee0d,0x77f6cc1f,
    0x764400ac,0x000aceff,0x002ffdc0,0xffffffb8,0xffffffff,0xd3006fff,
    0x7ffdc0ff,0x260006ff,0x23ffffff,0x262ffff9,0x54c402fe,0x800009ab,
    0x1defffec,0xb7100000,0x039bdffd,0x07bffff0,0x97fffcc0,0xefedcba8,
    0x000000bc,0xdffddb93,0x3000179b,0xbdffddb9,0xfd900179,0x0003bdff,
    0xdeffecb8,0x44000002,0xffeedcca,0x00abcdee,0x06fff980,0x13ffee00,
    0x7ff6e4c0,0x776e4c04,0x00bcdeff,0xdefffec8,0x98800001,0x000001aa,
    0x80000000,0x001fffc8,0x3fffff20,0xffffffff,0xfb801eff,0x3ffa02ff,
    0x40003fff,0x06fffffe,0x00001440,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0ffffa00,0x3ffae000,0xffffffff,
    0xf3000dff,0x7ffcc01b,0x40000fff,0x1ffffffb,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0017fdc0,
    0x3bb72600,0x00bdefff,0xffd80280,0x80005fff,0x4ffffff8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000380,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00026600,0x13331000,0x5c000000,0x001eeeee,
    0x777775c0,0x77740001,0x310005ee,0x00003333,0xbdddd900,0x10000001,
    0x20000013,0x155402aa,0xdddddb00,0xeeeb8003,0xddddb3ee,0xdddddddd,
    0xdddddddd,0xeeeed8bd,0x77640005,0x80000dee,0x155402aa,0xddd10000,
    0x00007ddd,0x00054400,0x26662000,0x40000019,0x02eeeeea,0x77640000,
    0x98803eee,0x26001999,0xffffffec,0x20001cef,0xfffffda8,0x0002deff,
    0xfffff300,0x7cc000df,0x006fffff,0x37ffffc0,0xffffd800,0x2000000f,
    0x5ffffffa,0x65440000,0xcefffffd,0xffb00002,0x01ffe205,0x1fffffe8,
    0x7fffe400,0xfffffd4f,0xffffffff,0xffffffff,0x7ffffe8f,0x3ffea000,
    0x80005fff,0xff301ffe,0x7dc0000b,0x00ffffff,0x7ecc0000,0x00000cff,
    0x0fffffd0,0x7fc40000,0x000fffff,0xffff1000,0x3ff200df,0x75c01fff,
    0xffffffff,0x01dfffff,0x7ffffd40,0xffffffff,0x2200002e,0xfffffffe,
    0xfffd0004,0x0009ffff,0x037ffffc,0xfffffd80,0xf1000000,0x7fffffff,
    0x3fee0000,0xffffffff,0x40001eff,0xff906ffb,0x7fff400b,0x7e4001ff,
    0xffd4ffff,0xffffffff,0xffffffff,0xffe8ffff,0xf10007ff,0x5fffffff,
    0x5ffc8000,0x0007ffb0,0x7fffff40,0x000003ff,0x27ff7ff4,0xffe80000,
    0x000007ff,0x3ffffff6,0x9000006f,0x001dffff,0x07fffff2,0x7ffffec4,
    0xffffffff,0xb004ffff,0xffffffff,0xffffffff,0x3f20000b,0xffffdfff,
    0x7ffe4001,0x02ffffdf,0xdfffff00,0x3fff6000,0x000000ff,0xffbdfffb,
    0x440003ff,0xfffffffd,0xffffffff,0xff10000c,0xfffb7bff,0x7ff4003f,
    0x64001fff,0xfd4fffff,0xffffffff,0xffffffff,0xfe8fffff,0xd0007fff,
    0xfffddfff,0x7cc0001f,0xffdbdfff,0x300000ff,0xffffffff,0x4c00000d,
    0x00ff30ff,0x3fffa000,0x7000007f,0xfffbffff,0x8800007f,0x000effff,
    0x07fffff2,0x3fffffa6,0xffffffff,0x04ffffff,0x7fffffe4,0xffffffff,
    0x0003ffff,0xe97fffd4,0x5000efff,0x3fa5ffff,0xf8000fff,0x0006ffff,
    0x01fffffb,0xfff70000,0xdfffd13f,0x3ffea000,0xffffffff,0xefffffff,
    0xfff30000,0x09ffffff,0xfffffe80,0x7ffe4001,0xffffd4ff,0xffffffff,
    0xffffffff,0xffffe8ff,0xfffb8007,0x6ffff89f,0x7ffdc000,0x02ffffff,
    0x3fff2000,0x01ffffff,0x89f90000,0x800002fe,0x007ffffe,0xffff8800,
    0x03ffff94,0x7ffdc000,0x7fe4000f,0x7fc41fff,0xffffffff,0xffffffff,
    0xf103ffff,0xffffffff,0xfffffffd,0x20003fff,0x224ffff8,0x8805ffff,
    0x3e25ffff,0xc8005fff,0x0003cccc,0x01fffffb,0xfff98000,0x3fffe63f,
    0x7ffcc004,0xffffffff,0xffffffff,0x3a60005f,0x03ffffff,0xfffffe80,
    0x7ffe4001,0xffffd4ff,0x5555559f,0x55555555,0xccccb855,0x7ffcc004,
    0x3fffe63f,0x7fd40003,0x002effff,0x3fffe200,0x04ffffff,0x4df50000,
    0x00000ff8,0x07ffffe8,0xfffe8000,0x037fff46,0x3ffff000,0xffff9000,
    0xffffe83f,0x89abdfff,0xffffffca,0xffb80fff,0xa80cffff,0x6ffffffd,
    0x55553000,0x0aaaa981,0x055554c0,0x002aaaa6,0xa9800000,0x00002aaa,
    0x982aaa98,0x74002aaa,0xbfffffff,0xfffb988a,0x002fffff,0x055e5d40,
    0xffffe800,0x7fe4001f,0xfffd4fff,0x000005ff,0x55530000,0x05555305,
    0x79751000,0xf7000005,0xffffffff,0x000001ff,0x17ff3bfe,0x55540000,
    0x400002aa,0x440aaaa8,0x0000aaaa,0x001aaa88,0x19999950,0x7fffffdc,
    0xffe9803f,0xfd83ffff,0xd802ffff,0x00ffffff,0x00000000,0x00000000,
    0x00000000,0x70000000,0x1bffffff,0xfffffc80,0x0000006f,0x3ffffa00,
    0x7fe4001f,0xfffd4fff,0x000005ff,0x00000000,0x00000000,0xfffffd00,
    0x07fffffd,0x3fea0000,0x00001eff,0x00000000,0x00000000,0x7c400000,
    0x01efffff,0x3ffffa20,0x7fffc46f,0xfff1006f,0x00005fff,0x4c400000,
    0x30000099,0x00013333,0x00004cc4,0x01331000,0x7fffc400,0x3f6004ff,
    0x001fffff,0x00026620,0x3fffffd0,0xffffc800,0xfffffd4f,0x98800005,
    0x00001999,0x00000131,0x4c000000,0xfaefffff,0x0006ffff,0x000e5400,
    0x00988000,0x00000000,0x777776c0,0x7775c001,0x066623ee,0x5ffffff7,
    0xffff5000,0x7ffcc3ff,0x3f6006ff,0x0003ffff,0x2eeeeec8,0x7fed4400,
    0x2defffff,0xfffff000,0x7fe4c00d,0xceefffff,0xf9300000,0xddffffff,
    0x3ff20019,0x2000ffff,0x3ffffff8,0x3ff6e200,0x1bceffff,0x3ffffa00,
    0x7fe4001f,0xfffd4fff,0x800005ff,0x007ffffe,0xfffdca88,0xd802ceff,
    0x001eeeee,0x1f77775c,0xfffffc80,0xffffff8a,0x7776c001,0x75c001ee,
    0x1003eeee,0xfffffb95,0x3b20059d,0x002eeeee,0xdddddd70,0x3fffffa5,
    0x7ffe4001,0x1ffee4ff,0x0bfffffd,0x055eec00,0x7fffffc4,0x33331003,
    0x7fec0000,0x2a002fff,0xffffffff,0x02efffff,0x37ffffc0,0x7ffffd40,
    0xffffffff,0xf50001df,0xffffffff,0x03bfffff,0x4ffffff8,0x1bdfc800,
    0x7fffe400,0xffffffff,0xffe800df,0x64001fff,0xfd4fffff,0x0005ffff,
    0x7ffffe80,0x7fffdc00,0xffffffff,0x3fffa01e,0x7e4001ff,0xf004ffff,
    0x321fffff,0x004fffff,0x0ffffff4,0x3ffff200,0xfffb804f,0xffffffff,
    0x7fcc01ef,0x8006ffff,0x6ffffff9,0x07fffffa,0xfffff900,0x987ffdc9,
    0x01ffffff,0xffe80000,0x001dffff,0x3f600000,0xb002ffff,0xffffffff,
    0xffffffff,0x7fffc00b,0x3ff6206f,0xffffffff,0x4fffffff,0x3fff6200,
    0xffffffff,0x04ffffff,0x1ffffff1,0x20001000,0xffffffe9,0xffffffff,
    0x7ff403ff,0x64001fff,0xfd4fffff,0x0005ffff,0x7ffffe80,0xffffb100,
    0xffffffff,0xfd019fff,0x8003ffff,0x04fffffc,0x5fffffa8,0x3fffffe6,
    0x3fffa000,0x7e4001ff,0x2204ffff,0xfffffffd,0xffffffff,0x3fff200c,
    0x6c003fff,0x21ffffff,0x01fffffe,0x7ffffe40,0x5c7fff24,0x007fffff,
    0xfff90000,0x5bffffff,0x40000001,0x02fffffd,0xffffffc8,0xffffffff,
    0xf003ffff,0x260dffff,0xfffffffe,0xffffffff,0x9803ffff,0xfffffffe,
    0xffffffff,0xfa83ffff,0x0006ffff,0x3ffee000,0xffffffff,0xffffffff,
    0xffffd00d,0xffc8003f,0xfffd4fff,0xddddddff,0xdddddddd,0xffffd09d,
    0xffff500f,0xffffffff,0x1dffffff,0x1fffffe8,0x7fffe400,0xfffd804f,
    0x7fff42ff,0x3fa003ff,0x4001ffff,0x04fffffc,0xfffffff5,0xffffffff,
    0x2201dfff,0x0fffffff,0xfffff500,0xffffe89f,0x7fe4001f,0x3ff64fff,
    0xfffff91f,0x2000000d,0xffffffe8,0x1befffff,0x7ec00000,0x4402ffff,
    0xffffffff,0xffffffef,0xf801ffff,0xf886ffff,0xffffffff,0xffffffff,
    0x203fffff,0xfffffff8,0xffffffff,0x3fffffff,0x2fffffdc,0xfa800000,
    0xffffffff,0xffffffff,0xfd06ffff,0x8003ffff,0xd4fffffc,0xffffffff,
    0xffffffff,0xfd0bffff,0xf980ffff,0xffffffff,0xffffffff,0x7ff45fff,
    0x64001fff,0x404fffff,0x87fffff8,0x06fffffb,0x3fffffa0,0x7ffe4001,
    0xfff984ff,0xffffffff,0xffffffff,0x3ffea05f,0xfd005fff,0xe81fffff,
    0x001fffff,0x27ffffe4,0x3f65fffd,0x0005ffff,0x3ffe6000,0xffffffff,
    0x000cffff,0xffffd800,0x7ffdc02f,0xda80cfff,0x06ffffff,0x86fffff8,
    0xfffffffd,0xfb530abe,0x1fffffff,0x3fffff60,0x530abeff,0xfffffffb,
    0x7fffe41f,0x8000004f,0xfffffff8,0xba889bdf,0xfffffffe,0xfffffe83,
    0x7ffe4001,0xffffd4ff,0xffffffff,0xffffffff,0xfffffd0b,0xfffffe80,
    0xb988abff,0xffffffff,0x3fffffa2,0x7ffe4001,0x7fdc04ff,0xff884fff,
    0xd001ffff,0x003fffff,0x4fffffc8,0xffffffe8,0xfb988abf,0x2fffffff,
    0x3fffff60,0x7ffdc02f,0xffe82fff,0x64001fff,0x3e4fffff,0xfffd3fff,
    0x553009ff,0x55555555,0x3fea0555,0xffffffff,0x03ffffff,0x7ffec000,
    0x7fec02ff,0xfd802fff,0x400fffff,0x646fffff,0x3fffffff,0xffffe980,
    0xfffc83ff,0x9803ffff,0x3ffffffe,0x13fffff6,0x3f600000,0x01ffffff,
    0xffffffc8,0x7ffff40f,0x7fe4001f,0xfffd4fff,0xffffffff,0xffffffff,
    0xffffd0bf,0x7fffdc0f,0x7e400dff,0x3a6fffff,0x001fffff,0x27ffffe4,
    0x3fffffa0,0xfffffd01,0x3fffa009,0x7e4001ff,0x7dc4ffff,0x00dfffff,
    0x7fffffe4,0x3fffe206,0x3fe206ff,0xfd05ffff,0x8003ffff,0x24fffffc,
    0xffd4ffff,0xf9007fff,0xffffffff,0x6c40dfff,0xffffffff,0x3fffffff,
    0x3ff60000,0x3e202fff,0x1006ffff,0x05ffffff,0x26fffff8,0xeffffff8,
    0x3ffa2000,0x7fc46fff,0x000effff,0x3fffffa2,0x3fffffa6,0x54000003,
    0x0dffffff,0x3fffe600,0x7fff45ff,0x7e4001ff,0xffd4ffff,0xffffffff,
    0xffffffff,0xfffd0bff,0x3ffe20ff,0x36004fff,0xd1ffffff,0x003fffff,
    0x4fffffc8,0x3ffffe60,0x3fffee06,0xffe800ff,0x64001fff,0x224fffff,
    0x04ffffff,0x3fffff60,0x3ffee01f,0xff903fff,0x3a01ffff,0x001fffff,
    0xa7ffffe4,0xfd5ffff8,0x9009ffff,0xffffffff,0x300dffff,0xffffffd7,
    0x9fffffff,0x3ff60000,0x3e602fff,0x2006ffff,0x03fffffd,0x737ffffc,
    0x05ffffff,0xfffff500,0x7fffdc3f,0xfa8002ff,0xfd1fffff,0x0007ffff,
    0xffffe800,0xfc8000ff,0x3a2fffff,0x001fffff,0xa7ffffe4,0xacfffffe,
    0xaaaaaaaa,0xe82aaaaa,0xf907ffff,0x001fffff,0x7fffffc4,0x3fffffd3,
    0xffffc800,0x3fff204f,0x3fe203ff,0xe803ffff,0x001fffff,0x27ffffe4,
    0x1ffffff9,0x7fffc400,0x7ff403ff,0x7cc0ffff,0x203fffff,0x01fffffe,
    0x7ffffe40,0x2bffff34,0x05fffffc,0xffffffc8,0x06ffffff,0x7ffedcc0,
    0xffffffff,0xffd80003,0x3e202fff,0x003fffff,0x20033331,0x3a6fffff,
    0x005fffff,0x202af760,0x05fffffe,0x02af7600,0x09fffffb,0x7fc40000,
    0x0004ffff,0xbffffff1,0x17fffff4,0x3ffff200,0xfffffd3f,0xfe800005,
    0xfff07fff,0x90009fff,0xffe837bf,0x64001fff,0x104fffff,0x35ffffff,
    0xfb333333,0xd00dffff,0x003fffff,0x4fffffc8,0x13fffffe,0x06f7f200,
    0x7ffffcc0,0x7ffff44f,0x7fff406f,0x7e4001ff,0xff54ffff,0x3ffeedff,
    0xffc806ff,0xffffffff,0x4c0006ff,0xffffffec,0xfd80006f,0x7402ffff,
    0x1dffffff,0xfff00000,0x3ffe6dff,0x00001fff,0x3ffffe60,0x2000001f,
    0x05fffffc,0x3fee0000,0x0000ffff,0x9bffffee,0x02fffffe,0x7ffffe40,
    0x5fffffd3,0xffe80000,0xfff887ff,0x08000fff,0x7fffff40,0x7ffe4001,
    0xfff704ff,0xffffffff,0xffffffff,0xffe803ff,0x64001fff,0xf14fffff,
    0x001fffff,0x7e400010,0xf51fffff,0x803fffff,0x01fffffe,0x7ffffe40,
    0x2fffff54,0x07fffffa,0xcccccca8,0x06fffffd,0x3ffee000,0x0001ffff,
    0x17ffffec,0x3fffff20,0x00adffff,0xfffff000,0x3ffffeed,0x5c000007,
    0x007fffff,0x7ffd4000,0x020006ff,0xbfffffb0,0xfff98000,0x3fff67ff,
    0x7ec002ff,0xffd3ffff,0x00005fff,0x87ffffe8,0x06fffffa,0xfffd0000,
    0xfc8003ff,0xfd04ffff,0xffffffff,0xffffffff,0xe809ffff,0x001fffff,
    0xa7ffffe4,0x06fffffa,0xe8800000,0xf8efffff,0x804fffff,0x01fffffe,
    0x7ffffe40,0x1fffff74,0x5ffffff3,0x7ffdc000,0x2a6626ff,0x7fcc002b,
    0x0002ffff,0x17ffffec,0x3ffffa20,0xefffffff,0x3fe0001b,0xfff96fff,
    0x00000dff,0x6fffffc8,0x7cc00000,0x0007ffff,0xfd017bf7,0x0009ffff,
    0xffffff88,0x7fffffb1,0xffffd800,0xfffffd2f,0xfe800005,0xffb87fff,
    0x00005fff,0x3fffffd0,0xffffc800,0xffff984f,0xffffffff,0xffffffff,
    0x3fa00fff,0x4001ffff,0x74fffffc,0x00bfffff,0x3ea00000,0xffefffff,
    0xe800efff,0x001fffff,0xa7ffffe4,0xf0fffffc,0x00dfffff,0x7ffffdc0,
    0xffffff36,0xffffd000,0xfd80007f,0x9802ffff,0xffffffff,0xcfffffff,
    0x7fffc000,0xfffffb6f,0xd800000b,0x005fffff,0x7ffc4000,0xe8003fff,
    0x3e2effff,0x003fffff,0xffffff80,0xbfffff92,0xfffff800,0xfffffd1f,
    0xfe800005,0xffc87fff,0x00004fff,0x3fffffd0,0xffffc800,0xffffc84f,
    0xffffffff,0xffffffff,0x3fa03fff,0x4001ffff,0x94fffffc,0x009fffff,
    0x7ec00000,0xffffffff,0xffd002ff,0xc8003fff,0xfb4fffff,0x3ee3ffff,
    0x002fffff,0xdfffff70,0x0ffffffc,0x3ffff600,0x7ec0003f,0x5002ffff,
    0xffffffff,0xffffffff,0x7fffc007,0xfffffd6f,0x55553009,0x55555555,
    0x3fffffa5,0xaaaa9804,0xaaaaaaaa,0x3fffffa2,0x7ffcc006,0x3ffe3fff,
    0x80002fff,0x53fffffe,0x05ffffff,0x3ffffee0,0xfffffd0f,0xfe800005,
    0xffd87fff,0x00004fff,0x3fffffd0,0xffffc800,0xfffff84f,0xffffffff,
    0xffffffff,0x3fa06fff,0x4001ffff,0xb4fffffc,0x009fffff,0x7c400000,
    0xffffffff,0x3ffa005f,0x64001fff,0xfd4fffff,0x7fc5ffff,0x000effff,
    0x6fffffc8,0x17fffff6,0xffffff00,0xffd80005,0x22002fff,0xfffffffd,
    0xffffffff,0xfffff003,0x3fffffad,0xffffc803,0xffffffff,0x7fffffd6,
    0xfffff900,0xdfffffff,0x7fffffd4,0x3fffa003,0x3ffe27ff,0x80001fff,
    0x34fffffd,0x1fffffff,0xfffff880,0x3ffffa7f,0x7400002f,0xfe87ffff,
    0x0003ffff,0xfffffd00,0xfffc8003,0x7ffd44ff,0xfa8007ff,0xd01fffff,
    0x003fffff,0x4fffffc8,0x07fffffd,0xb8000000,0xffffffff,0x3ffa000f,
    0x64001fff,0xfd4fffff,0x7dc7ffff,0x01ffffff,0xfffffd30,0x7fffdcdf,
    0xffb003ff,0x0001ffff,0x2fffffd8,0xffeb9800,0xffffffff,0xff804fff,
    0xfffd6fff,0xff9009ff,0xffffffff,0x3fffadff,0xffc804ff,0xffffffff,
    0x7ffec6ff,0xfc803fff,0x7c4fffff,0x002fffff,0xfffffe80,0x3fffffe4,
    0xffd502ef,0x7f4bffff,0x999bffff,0x99999999,0x3a099999,0xfe87ffff,
    0x0003ffff,0xfffffd00,0xfffc8003,0x7ffec4ff,0xff0004ff,0x3a09ffff,
    0x001fffff,0xa7ffffe4,0x03fffffe,0xe8000000,0x3fffffff,0x7ffff400,
    0x7fe4001f,0xfffd4fff,0xffff87ff,0x40acffff,0xfffffda8,0x3fe66fff,
    0x01dfffff,0xffffffd3,0xffb0000b,0x80005fff,0xfffffdb9,0x03ffffff,
    0xdb7ffffc,0x805fffff,0xfffffffc,0xfb6fffff,0x900bffff,0xffffffff,
    0xf88dffff,0x9dffffff,0x7ffff540,0x7ff40fff,0x80003fff,0x22ffffff,
    0xfffffffa,0xfffeefff,0x21ffffff,0xfffffffe,0xffffffff,0x3fffffff,
    0x21fffffa,0x04fffffd,0xfffd0000,0xfc8003ff,0x3e24ffff,0x001fffff,
    0xffffff90,0xfffffd01,0xfffc8003,0xffffb4ff,0x0000009f,0xfffff300,
    0xffd000df,0xc8005fff,0xfd3fffff,0xf987ffff,0xffffffff,0xfffffeff,
    0x5fffffff,0x7fffffdc,0xffeeefff,0x2fffffff,0xfffd8000,0x400002ff,
    0xfffffec9,0x7ffc06ff,0xffff96ff,0xfff900df,0xffffffff,0x3ffff2df,
    0xfffc806f,0xffffffff,0xffffb86f,0xfeefffff,0xffffffff,0xfffffd83,
    0x7fc40004,0x7f41ffff,0xffffffff,0xffffffff,0x7fff45ff,0xffffffff,
    0xffffffff,0x3ffa3fff,0xfffc87ff,0x000005ff,0x05fffffd,0xfffffc80,
    0x3ffffee3,0x3fe60006,0xfe83ffff,0x4002ffff,0x93fffffc,0x00bfffff,
    0x36000000,0x002fffff,0x2fffffe8,0x7fffe400,0xfffffd3f,0xffffd107,
    0xffffffff,0xffffffff,0xfffb01bf,0xffffffff,0xffffffff,0x3f600009,
    0x0002ffff,0x3fffee00,0x3fe01fff,0xfff76fff,0x99500fff,0xfffb9999,
    0x3ffeedff,0xcca807ff,0xfffdcccc,0xfffb06ff,0xffffffff,0x9fffffff,
    0x3fffff20,0x7fcc0005,0x6c40ffff,0xffffffff,0xffffffff,0xffffe85f,
    0xffffffff,0xffffffff,0x3fffa3ff,0xffffa87f,0x8020006f,0x02fffffe,
    0x7ffffe40,0x3fffffa3,0x7ff40003,0xffe86fff,0x64002fff,0xf53fffff,
    0x000dffff,0xfb000004,0x0005ffff,0x05fffffd,0xfffffd80,0x7fffffd3,
    0x3ffff620,0xffffffff,0x3fffffff,0x3ffffa20,0xffffffff,0x005fffff,
    0xffffd002,0x54cc405f,0x7fcc002b,0x3e02ffff,0xff36ffff,0x0003ffff,
    0xb7ffffdc,0x1ffffff9,0x3ffee000,0x3fea06ff,0xffffffff,0x05ffffff,
    0x3fffffea,0x3fee0000,0x3f207fff,0xffffffff,0x04ffffff,0xfffffffd,
    0xffffffff,0x7fffffff,0x43fffff4,0x07fffff9,0x817bf700,0x02fffffe,
    0x7ffffec0,0xffffff33,0xffb80001,0x7f41ffff,0x4002ffff,0x33fffffd,
    0x00ffffff,0x002f7ee0,0xfffffb00,0xfffb0005,0xfd8007ff,0xffd3ffff,
    0xfc807fff,0xffffffff,0x3fffffff,0x3fffee00,0xffffffff,0xb9103fff,
    0xfe809ffd,0xf302ffff,0x000fffff,0x07fffffd,0xd37ffffc,0x00dfffff,
    0x7ffffdc0,0x3fffffa6,0x3fee0006,0x6c406fff,0xffffffff,0x403fffff,
    0x4ffffff9,0xffff1000,0xec880dff,0xffffffff,0x3fa00bef,0xffffffff,
    0xffffffff,0x3a3fffff,0xf887ffff,0x003fffff,0x2effffe8,0x07fffffb,
    0xfffffd80,0xbfffffb3,0xfff10000,0xffd89fff,0x6c003fff,0xf13fffff,
    0x007fffff,0x5dffffd0,0x3fff6000,0xfc8002ff,0x4005ffff,0xd2fffffe,
    0x007fffff,0x3ffffb26,0x00acefff,0xffff9100,0x7dffffff,0x7fffc401,
    0x7fffc05f,0x3ffe01ff,0x6c001fff,0x103fffff,0x64dfffff,0x02ffffff,
    0xfffff700,0x7ffffe4d,0xff70002f,0x2e00dfff,0xffffffed,0xff1003ff,
    0x001fffff,0xffffff70,0x7fcc4007,0x00001acf,0x807ff980,0x7f400fff,
    0x4006ffff,0x3ffffff9,0x0bfffff9,0xfffffe80,0xf0000002,0x7fe403ff,
    0x74005fff,0x3a2fffff,0x006fffff,0x7fffffcc,0xfffb0003,0xf70005ff,
    0x005fffff,0x3fffffee,0x39999971,0xfffda800,0x000000ae,0x17ffffb5,
    0x7ffffc00,0x3fffe207,0x3ff600ff,0x7c005fff,0x102fffff,0x4cbfffff,
    0x0effffff,0xffffc800,0x3fffe66f,0xc8000eff,0x006fffff,0x1f7fedc4,
    0xffffa800,0x7cc005ff,0x006fffff,0x0001fff0,0x37fdc000,0x201ffe20,
    0x3ffffffa,0x3ffffa00,0x3fffee7f,0xff7002ff,0x0003ffff,0x1fff1000,
    0x7ffffdc0,0xfff7002f,0x7fd43fff,0x2003ffff,0x07fffffe,0x3ffff600,
    0xff98002f,0x400fffff,0x7ffffff8,0x7fcc0000,0x002effff,0xfffff000,
    0x7f4009ff,0xf702ffff,0xb80fffff,0x03ffffff,0xffffffb0,0x3fffee01,
    0x7fffe45f,0xd3002fff,0x8dffffff,0xfffffffc,0xfffd3002,0xe800dfff,
    0x05ffffff,0xfffffd00,0xff5001df,0x005fffff,0x001fff10,0x7fe40000,
    0x03ffcc05,0xffffffd8,0xffffc803,0x3ffe64ff,0x4400ffff,0x07ffffff,
    0xff500000,0xffff980f,0x7c400fff,0xd87fffff,0x03ffffff,0xffffffc8,
    0x3ff60004,0xb0002fff,0x5dffffff,0x3ffffaa0,0x3fffa3ff,0x66d4006f,
    0x00ffffec,0x5e6c4000,0x003ffffd,0x5ffffffb,0xffffff98,0x7fffcc05,
    0xd301dfff,0x8bffffff,0xfffffdbb,0xffffe84f,0x4c0acfff,0xffffffda,
    0xfffe86ff,0x40acffff,0xfffffda9,0x22006fff,0xffffdbce,0xfff98004,
    0x41bfffff,0xfffffda8,0xf30005ff,0x000005ff,0x203ffec0,0x8801fffb,
    0xdfffffff,0x7fff5409,0x7ec0ffff,0x02efffff,0xffffffd5,0x20000007,
    0x6c01fffb,0x2effffff,0xfffffd50,0xffff107f,0xa813bfff,0xfffffffe,
    0x3ff60000,0x30002fff,0xffffffff,0xffffdddf,0xfe8fffff,0x80007fff,
    0x0003fffc,0x6fffa800,0xfffff300,0xffffdfff,0x7003ffff,0xffffffff,
    0xffffdddf,0x445fffff,0xffffffff,0xffff983f,0xefffffff,0xffffffff,
    0xf985ffff,0xffffffff,0xfffffeff,0x5fffffff,0x7ffcc000,0xfff90007,
    0xdfffffff,0xffffffff,0x20001fff,0x0005fff9,0x3fff6000,0x0fffee01,
    0x7ffffdc0,0xffeeffff,0x3fffffff,0xffffff98,0xffeeefff,0x07ffffff,
    0x3ee00000,0x7fcc04ff,0xefffffff,0xffffffee,0x3fee07ff,0xefffffff,
    0xfffffffe,0x6c0003ff,0x002fffff,0x3fffff60,0xffffffff,0x43ffffff,
    0x007ffffe,0x05fffa80,0xff880000,0x3ff2007f,0xffffffff,0x005fffff,
    0x3ffffff6,0xffffffff,0x544fffff,0xffffffff,0xffff500f,0xffffffff,
    0xffffffff,0x3ea01bff,0xffffffff,0xffffffff,0x00dfffff,0x0ffff800,
    0xfffd8800,0xffffffff,0xffffffff,0x3e20002f,0x4a9aefff,0xff900000,
    0x257539ff,0x9adffff9,0xffffb03b,0xffffffff,0x09ffffff,0x7fffffec,
    0xffffffff,0x003fffff,0x3fe60000,0x43b9adff,0xfffffffd,0xffffffff,
    0x6c03ffff,0xffffffff,0xffffffff,0xd80004ff,0x002fffff,0x7ffffe40,
    0xffffffff,0xfe84ffff,0x40007fff,0x003fffe9,0x7fecc000,0x3fe2005f,
    0xffffffff,0x000effff,0x3fffffa2,0xffffffff,0xfc85ffff,0x2fffffff,
    0x7ffff440,0xffffffff,0x3fffffff,0xffffe880,0xffffffff,0x3fffffff,
    0xffc98000,0x7d40006f,0xffffffff,0xffffffff,0xfd80000d,0x07ffffff,
    0xfff30000,0x747fffff,0x5fffffff,0x3ffffea0,0xffffffff,0xfc805fff,
    0xffffffff,0xffffffff,0x80000004,0xfffffffe,0xfffffc86,0xffffffff,
    0x5004ffff,0xffffffff,0xffffffff,0x3f60000b,0x0002ffff,0xffffffa8,
    0xffffffff,0xffffd01e,0x3bbf200f,0x0efffffe,0xdff50000,0x3ffffffd,
    0xfffe8800,0xffffffff,0xff70000e,0xffffffff,0x207fffff,0xfffffffd,
    0x3fff2004,0xffffffff,0x003effff,0xffffffc8,0xffffffff,0xf98003ef,
    0xfffffeef,0xd880001f,0xffffffff,0x03ffffff,0x3ffe2000,0x0007ffff,
    0x3fffee00,0x3fe63fff,0x405fffff,0xffffffd8,0x3fffffff,0x3fffea00,
    0xffffffff,0x00001eff,0xffff3000,0x3ea0dfff,0xffffffff,0x01efffff,
    0x7fffec40,0xffffffff,0x3600003f,0x002fffff,0xfffd9100,0x9dffffff,
    0x7ffff401,0xffff9007,0x0009ffff,0xfffffa80,0x0001dfff,0x3fffffee,
    0x80002dff,0xffffffc8,0x00beffff,0x2f7fff6e,0xffb50001,0xdfffffff,
    0xb5000039,0xffffffff,0x400039df,0xfffffff9,0x400001df,0xfffffeca,
    0x000cdeff,0xefec8800,0x000001bd,0x5677f6cc,0x677f6c40,0xfdb7000a,
    0x7fffffff,0x3fb22000,0xffffffff,0x000000ce,0x77f64400,0x3b2201bc,
    0xffffffff,0x20000cef,0xfffffedb,0x00003fff,0x2fffffd8,0xaa880000,
    0x000aaaba,0xedca8000,0x0000bcde,0xdedcc880,0x200001bc,0x009aba98,
    0x2aa60000,0x00009aac,0x53300000,0x00013557,0x55d4cc00,0x1000009a,
    0x379bd997,0x22000000,0x00001ab9,0x00000000,0x00000000,0x01aba980,
    0x55544000,0x0000aaab,0x00000000,0x55d55440,0x000000aa,0x00035753,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xddb00000,0x00003ddd,0x77777540,0x5ddddd53,0x4eeeee88,0x10000000,
    0x03dddddd,0x0a880000,0x7665c400,0xeeeeeeee,0x403eeeee,0x05eeeeea,
    0xcccb8000,0x93000004,0x7dd3017b,0xeee98000,0xb00002ee,0xed889ddd,
    0x644003ee,0x001ccccc,0xeeb80000,0x00001eee,0xeee98000,0x00000dee,
    0x9700665c,0x98000019,0x002eeeee,0x6f775c00,0x02f776c0,0xa9802aa6,
    0xbddddb0a,0x7dc00000,0x0004ffff,0x7ffff400,0x13ffffa6,0x1bffffe2,
    0x64000000,0x002fffff,0x1ffa8000,0xffffc880,0xffffffff,0x04ffffff,
    0x1fffffd8,0x7ec40000,0x400004ff,0xbdfffffd,0x003ffd89,0x3ffffe20,
    0xa80000ff,0x3fa3ffff,0xa8000eff,0x005fffff,0x7fcc0000,0x0006ffff,
    0xffd80000,0x00001fff,0xf103ffc8,0x880000ff,0x0fffffff,0x3fe20000,
    0x3fff25ff,0x27fd401f,0x3fa3ffd0,0x00007fff,0x13ffffa0,0xff300000,
    0x3fea1dff,0xfff105ff,0x00000dff,0xfffff100,0x20000007,0x7cc00ffd,
    0xffffffff,0xffffffff,0xfb004fff,0x0000bfff,0x00bfff20,0x7fffdc00,
    0xffffffff,0x3f60002f,0x06ffffff,0xffff9000,0x03ffff93,0x7fffd400,
    0x0000000f,0xffffffd1,0x0000009f,0x7ffffcc0,0xf5000002,0xbff901ff,
    0xffd80000,0x006fffff,0x7fffd400,0x04ffffab,0xa80fff88,0x3fffa7ff,
    0x5000007f,0x000bffff,0xffffb000,0x077fff41,0x6fffff88,0xb8000000,
    0x0004ffff,0x017fe000,0xfffffff1,0xffffffff,0x09ffffff,0x0fffff40,
    0xffa80000,0xfd80000f,0xfffffdff,0x20006fff,0xffdffffa,0xd00003ff,
    0xffffffff,0xff700009,0x000009ff,0x37ffff60,0x0001ffff,0xfff90000,
    0x8000007f,0xfdcefffe,0x00001fff,0x3f7fffea,0x00003fff,0x7fffffe4,
    0x3f6006ff,0xffecbeff,0x3ffffa3f,0xfd000007,0x00000bff,0x43ffff30,
    0x201ffff9,0x06fffff8,0xff800000,0x000004ff,0xd00ffea0,0xffffffff,
    0xffffffff,0x009fffff,0x02ffff44,0x03cc8800,0x3a000799,0x3ff260ff,
    0x10001dff,0x3f29ffff,0x80001fff,0xfffffff9,0x3f200006,0x00000fff,
    0x97fffd40,0x000efffe,0x7fc40000,0x000003ff,0xffffff98,0x00004fff,
    0x653fffe2,0x0001ffff,0x7fffff40,0x3e2001ff,0xffffffff,0x3fffff46,
    0x7fcc0000,0x000000ef,0x6c2fffc8,0x7c402fff,0x0006ffff,0x7ffd4000,
    0x40000005,0x3e600ffc,0xffffffff,0xffeeefff,0x003eefff,0x007fff44,
    0x42ffcc00,0x70006ff8,0x0054c079,0x1bfffa00,0x000dfffd,0x3ffffee0,
    0x6400001f,0x00003fff,0x93fffe20,0x004ffff8,0x7fe40000,0x0000004f,
    0x3fffff66,0x7400002f,0x7ff46fff,0x4c00006f,0x03ffffff,0xffffd880,
    0x7ff40cff,0x800007ff,0x0000aaa9,0x05555000,0xf1005555,0x000dffff,
    0x2aa98000,0xe8000000,0x7ffdc06f,0xffffffff,0x3ffff22f,0x2aa20002,
    0xf980000a,0x06ff885f,0x00000000,0x20555544,0x000aaaa8,0x35555500,
    0x32e00000,0x2000004c,0xa982aaa9,0x000002aa,0x00155540,0xca980000,
    0x4000009b,0x440aaaa8,0x0000aaaa,0x155554c0,0x332a6000,0xffffd00a,
    0x0000000f,0x00000000,0x7fffc400,0x0000006f,0x00002620,0x027fcc00,
    0x3ffffff6,0x22ffffff,0x002ffffc,0x44000000,0x079903cc,0x00000000,
    0x00000000,0x00002620,0x26066666,0x00001999,0x00000000,0x00998800,
    0x98800000,0x00000009,0x00002662,0x04ccc400,0x3a000000,0x0007ffff,
    0x80000000,0x01eeeeed,0x777775c0,0xdfffff13,0x0abdca98,0x6e544000,
    0x2cefffff,0x654c4000,0x401ffddd,0xffffffff,0x322fffff,0x76c2ffff,
    0x4001eeee,0xb3eeeeeb,0x003ddddd,0x3eeeeeb8,0x03dddddb,0xeeeeeb80,
    0x3dddddb3,0xeeeeb800,0xb951003e,0x59dfffff,0xfffff000,0x0fffff81,
    0x00000000,0x5c400000,0xeffffffd,0x400001bc,0xffffffc9,0x0000ceef,
    0xffffb710,0x00379dff,0xfffb5100,0x05bdffff,0xffe80000,0x2e0007ff,
    0xeeeeeeee,0xeeeeeeee,0xeeeeeeee,0xfffd1eee,0xfc8003ff,0xff14ffff,
    0x3f62dfff,0x04ffffff,0xfffff700,0xdfffffff,0xfff90003,0x1bffffff,
    0x7fffffc0,0x2fffffff,0xd0bffff2,0x003fffff,0x4fffffc8,0x03fffffd,
    0xfffffc80,0x3fffffd4,0xffffc800,0xfffffd4f,0xfffc8003,0xffb804ff,
    0xffffffff,0x3e001eff,0x7fc0ffff,0xeec80fff,0xd3003eee,0x01dddddd,
    0x3bbbbb20,0xffff9002,0xffffffff,0xa80001bf,0xffffffff,0x1dffffff,
    0x3fff2000,0xffffffff,0x50000dff,0xffffffff,0x05dfffff,0x77777740,
    0x7ffffe80,0xffff1000,0xffffffff,0xffffffff,0xffffffff,0x3fffffa5,
    0x7ffe4001,0xffff14ff,0xffffd3df,0x01dfffff,0x3ffff620,0xffffffff,
    0x9800cfff,0xfffffffe,0xb02fffff,0xffffffff,0x7e45ffff,0x7ff42fff,
    0x64001fff,0xfd4fffff,0x8003ffff,0xd4fffffc,0x003fffff,0x4fffffc8,
    0x03fffffd,0xfffffc80,0x3fff6204,0xffffffff,0x800cffff,0x7c0fffff,
    0xfc80ffff,0x9005ffff,0x7fffffff,0x3ffffe00,0x7ff4c01f,0xffffffff,
    0x03ffffff,0xffffd880,0xffffffff,0x004fffff,0x7fffff4c,0xffffffff,
    0x6c003fff,0xffffffff,0xffffffff,0xfffff005,0xffffd01f,0x3fee000f,
    0xffffffff,0xffffffff,0xffffffff,0xffffd2ff,0xffc8003f,0xfff14fff,
    0xffffffff,0xffffffff,0xffffa801,0xffffffff,0x0effffff,0x3ffffea0,
    0xffffffff,0xfffc83ff,0xffffffff,0x3ffff22f,0x7fffff42,0x7ffe4001,
    0xffffd4ff,0xffc8003f,0xfffd4fff,0xfc8003ff,0xffd4ffff,0xc8003fff,
    0x504fffff,0xffffffff,0xffffffff,0xff801dff,0x7ffc0fff,0xfffa80ff,
    0xffd007ff,0x00bfffff,0x0ffffff3,0xffffffb8,0xffffffff,0x00dfffff,
    0xfffffd30,0xffffffff,0x07ffffff,0x3ffffee0,0xffffffff,0x0dffffff,
    0xfffffc80,0xffffffff,0x803fffff,0x80ffffff,0x007ffffe,0xfffffff0,
    0xffffffff,0xffffffff,0x25ffffff,0x01fffffe,0x7ffffe40,0xffffff14,
    0xffddffff,0x409fffff,0xfffffff9,0xffffffff,0x105fffff,0xffffffff,
    0xfffffffd,0xffffa81f,0xffffffff,0x0bffff22,0x03fffffd,0xfffffc80,
    0x3fffffd4,0xffffc800,0xfffffd4f,0xfffc8003,0xffffd4ff,0xffc8003f,
    0xff984fff,0xffffffff,0xffffffff,0x776c05ff,0x7776c0ee,0xffff880e,
    0x7fc401ff,0x07ffffff,0x5fffffb8,0x3ffffea0,0xffffffff,0xffffffff,
    0xffff8806,0xffffffff,0xffffffff,0x7fd403ff,0xffffffff,0xffffffff,
    0x7c406fff,0xffffffff,0xfffffffe,0x7fc01fff,0xfe80ffff,0xa8007fff,
    0xffffffff,0xffffffff,0xffffffff,0xfd2fffff,0x8003ffff,0x14fffffc,
    0xffffffff,0xffffd885,0xfffd01ff,0x1157ffff,0xffffff73,0xfff905ff,
    0x3fe15fff,0x83ffffff,0xfffffffd,0x3f22ffff,0x7ff42fff,0x64001fff,
    0xfd4fffff,0x8003ffff,0xd4fffffc,0x003fffff,0x4fffffc8,0x03fffffd,
    0xfffffc80,0xfffffe84,0xb988abff,0xffffffff,0x20000002,0x02fffffe,
    0x7fffffd4,0x7e401fff,0xf103ffff,0xbfffffff,0xfd751137,0x07ffffff,
    0xffffffd8,0xb530abef,0xffffffff,0x3fffe201,0x89bdffff,0xffffeba8,
    0x3ee03fff,0x80cfffff,0xffffffda,0x7ffffc06,0xffffe80f,0xfffe8007,
    0x3fffe1ff,0xaaaaabff,0xaaaaaaaa,0xfffffd0a,0xfffc8003,0xffff14ff,
    0x7ec01fff,0xfb85ffff,0x00dfffff,0x7fffffe4,0x7ffffcc6,0x3f3fea0f,
    0x440fffff,0xffffffff,0x3ff22fff,0x7fff42ff,0x7e4001ff,0xffd4ffff,
    0xc8003fff,0xfd4fffff,0x8003ffff,0xd4fffffc,0x003fffff,0x4fffffc8,
    0x7fffffdc,0x7ffe400d,0x00006fff,0x3ffff200,0x7ffe404f,0x03ffffff,
    0x0ffffff4,0xffffffd8,0xfffc801f,0xf900ffff,0x07ffffff,0xfffffd30,
    0x3fff607f,0xc801ffff,0x0fffffff,0x5fffffb0,0xfffffb00,0x7fffc01f,
    0xfffe80ff,0x7fd4007f,0x7ffc6fff,0x80000fff,0x01fffffe,0x7ffffe40,
    0xffffff14,0xffff9809,0x7fffc47f,0x3f6004ff,0x321fffff,0x644fffff,
    0xceffd8ff,0xfffe980b,0x22ffffff,0x742ffffc,0x001fffff,0xa7ffffe4,
    0x01fffffe,0x7ffffe40,0x3fffffd4,0xffffc800,0xfffffd4f,0xfffc8003,
    0x3ffe24ff,0x36004fff,0x01ffffff,0xff500000,0xfe80dfff,0xffffffff,
    0x3fffe205,0xffff507f,0x4c001bff,0x85ffffff,0xeffffff8,0x3ffa2000,
    0xffa86fff,0x000dffff,0x3fffffe6,0xfffff885,0xffff1006,0x7ffc05ff,
    0xffe80fff,0x7f4007ff,0x7fc2ffff,0x0000ffff,0x1fffffe8,0x7fffe400,
    0xfffff14f,0xfffd001f,0x7ffe43ff,0x22000fff,0x23ffffff,0x40fffffd,
    0x800316ff,0xffffffec,0x3ffff22f,0x7fffff42,0x7ffe4001,0xffffd4ff,
    0xffc8003f,0xfffd4fff,0xfc8003ff,0xffd4ffff,0xc8003fff,0x324fffff,
    0x00ffffff,0x3ffffe20,0x2666663f,0x99998800,0x7ffffc41,0x3fffe207,
    0x07ffffff,0x17ffffe6,0x7ffffff4,0xfffc8000,0x7fdc2fff,0x8002ffff,
    0x1ffffffa,0x7ffffff4,0xfffc8000,0x7fcc2fff,0x36006fff,0x203fffff,
    0x80ffffff,0x007ffffe,0x1bffffe6,0x03fffffe,0x3fffa000,0x7e4001ff,
    0xff14ffff,0x3200ffff,0x3e2fffff,0x004fffff,0xe81bdfc8,0x7cc7ffff,
    0xa880004f,0x322ffffe,0x7f42ffff,0x4001ffff,0xd4fffffc,0x003fffff,
    0x4fffffc8,0x03fffffd,0xfffffc80,0x3fffffd4,0xffffc800,0x3ffffe4f,
    0xdfc8004f,0xfffff81b,0xffffc806,0x7ffff41f,0xffff501f,0x3fffffbf,
    0x3ffffee0,0xfffff883,0xff10004f,0xfe8bffff,0x0005ffff,0x2202af76,
    0x04ffffff,0xfffff100,0xffff88bf,0x331003ff,0xffff0033,0xfffd01ff,
    0x7fec00ff,0xfff83fff,0x80000fff,0x01fffffe,0x7ffffe40,0xdfffff14,
    0x3fffee00,0xfffff13f,0x0010001f,0xb8dfffff,0x200001ff,0x322ffffd,
    0x7f42ffff,0x4001ffff,0xd4fffffc,0x003fffff,0x4fffffc8,0x03fffffd,
    0xfffffc80,0x3fffffd4,0xffffc800,0xfffff14f,0x0010001f,0x00dfffff,
    0x83fffff9,0x03fffffd,0xf3fffff9,0x3607ffff,0xb81fffff,0x00ffffff,
    0x3fffee00,0x3fffe66f,0x000001ff,0x7fffffdc,0x3fee0000,0xffe86fff,
    0x001dffff,0xfffff800,0xffffe80f,0xffff3007,0xffff01ff,0xd00001ff,
    0x003fffff,0x4fffffc8,0x0bfffff1,0x3ffffea0,0xdfffff54,0x3e200000,
    0x7f46ffff,0x7ec00007,0x3ff22fff,0x7fff42ff,0x7e4001ff,0xffd4ffff,
    0xc8003fff,0xfd4fffff,0x8003ffff,0xd4fffffc,0x003fffff,0x4fffffc8,
    0x0dfffff5,0x7ffc0000,0xffc806ff,0x7fdc1fff,0xfff05fff,0x3fffe9ff,
    0xfffff05f,0x3ffff60f,0x7cc0005f,0x3ee7ffff,0x0007ffff,0xffffd800,
    0x7cc0005f,0xfc87ffff,0xffffffff,0xf80000ad,0xe80fffff,0x9007ffff,
    0x209fffff,0x00ffffff,0xffffe800,0x7fe4001f,0xfff14fff,0x3ee00dff,
    0xff73ffff,0x0000bfff,0x3ffffe20,0x0013fe26,0x5ffffb00,0x217fffe4,
    0x01fffffe,0x7ffffe40,0x3fffffd4,0xffffc800,0xfffffd4f,0xfffc8003,
    0xffffd4ff,0xffc8003f,0xfff74fff,0x00000bff,0x037ffffc,0x0fffffe4,
    0x1bffffe6,0x4bffffe6,0x887ffffd,0xd06fffff,0x009fffff,0xfffff880,
    0xfffff91f,0xd000000d,0x009fffff,0xfffff880,0x7fff441f,0xffffffff,
    0xff0001be,0xfd01ffff,0xf100ffff,0x201fffff,0xeeffffff,0xeeeeeeee,
    0x3fa0eeee,0x4001ffff,0x14fffffc,0x00ffffff,0x4bffffee,0x04fffffc,
    0x3ffe0000,0x0bfea7ff,0xfffb0000,0x7fffe45f,0x7fffff42,0x7ffe4001,
    0xffffd4ff,0xffc8003f,0xfffd4fff,0xfc8003ff,0xffd4ffff,0xc8003fff,
    0xf94fffff,0x0009ffff,0x7ffffc00,0xffffc806,0xfffff81f,0x7fffdc0f,
    0xfffff70f,0xfffffa83,0xffffff04,0xfff00007,0x3ff65fff,0x00005fff,
    0xffffff80,0xfff80003,0xff982fff,0xffffffff,0x00cfffff,0x3fffffe0,
    0x7ffffe80,0xfffffc80,0x3ffffe05,0xffffffff,0x0fffffff,0x07fffffa,
    0xfffff900,0x3ffffe29,0xfffc800f,0xffffb1ff,0x4000009f,0xb0ffffff,
    0x009b81ff,0x5ffffb00,0x217fffe4,0x01fffffe,0x7ffffe40,0x3fffffd4,
    0xffffc800,0xfffffd4f,0xfffc8003,0xffffd4ff,0xffc8003f,0xfffb4fff,
    0x000009ff,0x037ffffc,0x0fffffe4,0x17ffffec,0x99bffff6,0x643fffff,
    0xf02fffff,0x005fffff,0xfffffd00,0x3fffffa7,0xaaaa9804,0xaaaaaaaa,
    0x3fffffe2,0xffe80002,0xff503fff,0xffffffff,0x07ffffff,0x3fffffe0,
    0x7ffffe80,0x7ffffc40,0x3fffe01f,0xffffffff,0xffffffff,0x3fffffa0,
    0x7ffe4001,0xffff14ff,0xffd007ff,0x3ffa1fff,0x00003fff,0x3fffffa0,
    0xffa8bff3,0x36002dff,0x3f22ffff,0x7ff42fff,0x64001fff,0xfd4fffff,
    0x8003ffff,0xd4fffffc,0x003fffff,0x4fffffc8,0x03fffffd,0xfffffc80,
    0x7fffffd4,0x7fc00000,0xfc806fff,0xfb81ffff,0x7fc4ffff,0x7ffc4fff,
    0x7fff45ff,0xfff880ff,0x80001fff,0xd4fffffd,0x007fffff,0xfffffff9,
    0x22dfffff,0x01ffffff,0xffffd800,0x3ff6204f,0xffffffff,0x803fffff,
    0x80ffffff,0x407ffffe,0x06fffffb,0x7ffffffc,0xffffffff,0x3a0fffff,
    0x001fffff,0xa7ffffe4,0xeffffff8,0x3fffea00,0x3ffffa7f,0x2000003f,
    0xaffffffb,0x7ffec3ff,0x3f6002ff,0x3ff22fff,0x7fff42ff,0x7e4001ff,
    0xffd4ffff,0xc8003fff,0xfd4fffff,0x8003ffff,0xd4fffffc,0x003fffff,
    0x4fffffc8,0x07fffffd,0x7ffc0000,0xffc806ff,0xff981fff,0x3fe65fff,
    0x7fec2fff,0x7fffc7ff,0x3fffe06f,0xe80002ff,0xfd4fffff,0x9009ffff,
    0xffffffff,0x7fcdffff,0x0002ffff,0x4fffffe8,0xfffeb980,0xffffffff,
    0x7ffc04ff,0xffe80fff,0x7ffc07ff,0x7fc02fff,0xffffffff,0xffffffff,
    0x3fffa0ff,0x7e4001ff,0xff14ffff,0x01dfffff,0x7ffffff3,0x27ffffec,
    0xff100000,0x1fffffff,0x3fffffd4,0x3ffff600,0x0bffff22,0x03fffffd,
    0xfffffc80,0x3fffffd4,0xffffc800,0xfffffd4f,0xfffc8003,0xffffd4ff,
    0xffc8003f,0xfffb4fff,0x000009ff,0x037ffffc,0x0fffffe4,0x27fffff8,
    0x40fffffb,0x30fffffa,0x409fffff,0x03fffffe,0xfffff800,0xfffffb2f,
    0xffff900b,0xffffffff,0x7fffff4d,0xfff80003,0x4c002fff,0xffffffdb,
    0x203fffff,0x80ffffff,0x207ffffe,0x06fffffb,0xbffffff8,0xaaaaaaaa,
    0x7f42aaaa,0x4002ffff,0x13fffffc,0xffffffff,0xfff7337d,0xffc8ffff,
    0x00005fff,0x7ffffe40,0xffecafff,0x4004ffff,0x322ffffd,0x7f42ffff,
    0x4002ffff,0xd3fffffc,0x005fffff,0x3fffffc8,0x05fffffd,0xfffffc80,
    0x5fffffd3,0xffffc800,0xfffff93f,0x7c00000b,0xd806ffff,0xd01fffff,
    0x363fffff,0xf886ffff,0xff73ffff,0x7ec05fff,0x0004ffff,0x7fffffc4,
    0xdfffff91,0xfffff900,0xdfffffff,0x27ffffec,0x3ffe2000,0x40001fff,
    0xfffffec9,0x3ffe06ff,0xffe80fff,0x3ffa07ff,0xccccefff,0xffffcccc,
    0xe80000ff,0x002fffff,0x9fffffe4,0xfffffff8,0xffffffff,0x7d43ffff,
    0x0006ffff,0x3ffa2002,0xffffffff,0x00efffff,0x17fffec0,0xe85ffff9,
    0x002fffff,0x9fffffe4,0x02fffffe,0x7ffffe40,0x5fffffd3,0xffffc800,
    0xfffffd3f,0xfffc8005,0xffff53ff,0x004000df,0x01bffffe,0x07fffff6,
    0x97ffffe4,0xd04fffff,0x3f2bffff,0x3200ffff,0x005fffff,0x7ffffcc0,
    0xfffff70f,0x9999500f,0xfffffb99,0x7ffffe4d,0x7fcc0005,0x0000ffff,
    0x3ffffee0,0xffff01ff,0xfffd01ff,0x3ffea0ff,0xffffffff,0xffffffff,
    0xe80000ff,0x002fffff,0x9fffffec,0xdefffff8,0xffffffff,0xff985fff,
    0x70007fff,0x7cc017bf,0xffffffff,0x01ffffff,0x2ffffd80,0xd0bffff2,
    0x005fffff,0x3fffffd8,0x05fffffd,0xfffffd80,0x5fffffd3,0xffffd800,
    0xfffffd3f,0xfffd8005,0xffff33ff,0x3ee000ff,0xffff80bd,0xfffd806f,
    0xfff501ff,0xffff59ff,0x3fff203f,0xdffffd7f,0xfffffa80,0x3ee0000f,
    0x3e67ffff,0x001fffff,0x3ffffee0,0x3ffffea6,0x3ee0000f,0x4c47ffff,
    0x4c002ba9,0x02ffffff,0x01ffffff,0x20fffffd,0xfffffffe,0xffffffff,
    0x00ffffff,0xffffd800,0x7fec003f,0xfff13fff,0x3fff2dff,0x03ffffff,
    0x7ffffff1,0xffffd000,0x3ffa605d,0xffffffff,0xfb0001ef,0x7fe45fff,
    0x7ffec2ff,0x7ec003ff,0xffb3ffff,0xd8007fff,0xfb3fffff,0x8007ffff,
    0xb3fffffd,0x007fffff,0x3fffffd8,0x7ffffff1,0xffffd000,0x7ffffc5d,
    0xffffd806,0xffff101f,0xfffff9df,0x7ffffd40,0x04fffff9,0x7fffffcc,
    0xfff10004,0xffe8dfff,0x20006fff,0x26fffffb,0x4ffffff9,0xffff1000,
    0x7ffccdff,0xfe8007ff,0xff03ffff,0xfd01ffff,0xff50ffff,0xffffffff,
    0xffffffff,0x0001ffff,0xbfffff90,0xffffe800,0xfffff12f,0x7ffff54d,
    0x7ff401ef,0x4c006fff,0x03ffffff,0x7fffffe4,0x40002eff,0x322ffffd,
    0x7e42ffff,0x4005ffff,0x92fffffe,0x00bfffff,0x2fffffe8,0x0bfffff9,
    0xfffffe80,0xbfffff92,0xffffe800,0x3ffffa2f,0x7fcc006f,0x3fe3ffff,
    0xfe807fff,0x3a01ffff,0xffefffff,0x3fe205ff,0xffffdfff,0x7ffc402f,
    0x8000ffff,0x3ffffffb,0x7fffffe4,0xfff70002,0x7ffc4dff,0x8000ffff,
    0x3ffffffb,0x0ffffffc,0x3ffff600,0xfffff03f,0xffffd01f,0xfffffb0f,
    0xffffffff,0xffffffff,0xf700001f,0x005fffff,0x3fffffee,0xdfffff11,
    0x40035510,0x3ffffffa,0x3ffffa00,0xcffb807f,0x00009aaa,0x45ffffb0,
    0x5c2ffffc,0x02ffffff,0xffffff70,0x3ffffee3,0xfff7002f,0x3fee3fff,
    0x7002ffff,0x23ffffff,0x2ffffffb,0xfffff700,0x7fffd43f,0x3fa003ff,
    0x7fc7ffff,0xff807fff,0x3201ffff,0xffffffff,0x7ff403ff,0xffffffff,
    0xffffa800,0x7cc005ff,0x986fffff,0x0effffff,0xffffc800,0x7fffd46f,
    0x7cc005ff,0xd86fffff,0x005fffff,0x17fffffc,0x0ffffff8,0xffff3000,
    0xddddddff,0xfffddddd,0x00001fff,0xfffffff3,0xffff8801,0x3ffe27ff,
    0x400006ff,0x3ffffffd,0xfffffc80,0x07fd804f,0x7fec0000,0x3fff22ff,
    0x7fffcc2f,0x7c400fff,0x267fffff,0x0fffffff,0x7ffffc40,0x3fffe67f,
    0x7c400fff,0x267fffff,0x0fffffff,0x7ffffc40,0xffffd87f,0xffc803ff,
    0x7fc4ffff,0x2a00ffff,0x01ffffff,0x3fffffea,0x6401ffff,0xffffffff,
    0x3ffa007f,0x800effff,0xfffffffa,0xfffff902,0x3a6005ff,0x86ffffff,
    0xeffffffe,0xffffa800,0xffb82fff,0xb003ffff,0x01ffffff,0x03fffffe,
    0xb1bbbbb6,0x00dfffff,0x7fffffc4,0xffb00000,0x205dffff,0xffffffea,
    0x3ffffe23,0x7c400006,0x9dffffff,0x7ffff540,0x7c400fff,0x4000005f,
    0x322ffffd,0xfd82ffff,0x02efffff,0xffffffd5,0xfffffd87,0xffd502ef,
    0xfd87ffff,0x02efffff,0xffffffd5,0xfffffd87,0xffd502ef,0xf107ffff,
    0x3bffffff,0xffffea81,0x7ff40fff,0xff305fff,0x403fffff,0xfffffff8,
    0xffa807ff,0x5fffffff,0x3fffe600,0x441bffff,0xffffffda,0x7fff405f,
    0x40acffff,0xfffffda9,0xff986fff,0x1bffffff,0x7fffed44,0xff305fff,
    0x03bfffff,0x3fffffa6,0x3fffe05f,0xfffe80ff,0x3fffe27f,0x3e2003ff,
    0x999fffff,0x99999999,0x3e609999,0xffffffff,0xfffffeee,0x7fc47fff,
    0x00006fff,0xffffffb8,0xfffeefff,0x03ffffff,0x0002ffa8,0x7fffec00,
    0x0bffff22,0x3fffffe6,0xffeeefff,0x87ffffff,0xfffffff9,0xfffeeeff,
    0x987fffff,0xffffffff,0xffffeeef,0xf987ffff,0xffffffff,0xfffffeee,
    0x3ee07fff,0xffffffff,0xffffffee,0xffc83fff,0x931cffff,0xffffffff,
    0xfffff803,0x8805ffff,0xffffffff,0x7fe4003f,0xffffffff,0xfffffffe,
    0x4c00ffff,0xffffffff,0xffffefff,0xffffffff,0xfffff905,0xffdfffff,
    0xffffffff,0x7ffdc01f,0xeeffffff,0xfffffffe,0x3ffe02ff,0xffe80fff,
    0x3fff27ff,0x22000fff,0xffffffff,0xffffffff,0x6c6fffff,0xffffffff,
    0xffffffff,0x7fc43fff,0x00006fff,0xffffffb0,0xffffffff,0x2009ffff,
    0x00000ffc,0x17fffec0,0x205ffff9,0xfffffffd,0xffffffff,0xfb03ffff,
    0xffffffff,0xffffffff,0x3ff607ff,0xffffffff,0xffffffff,0xffffb03f,
    0xffffffff,0x7fffffff,0xfffffd80,0xffffffff,0x304fffff,0xffffffff,
    0xffffffff,0xfd803fff,0x3fffffff,0xfffffb00,0x88003fff,0xfffffffd,
    0xffffffff,0x002fffff,0xfffffff5,0xffffffff,0xbfffffff,0x3fff6201,
    0xffffffff,0xffffffff,0xfffd802f,0xffffffff,0xffffffff,0x7ffffc04,
    0xffffe80f,0xffffff17,0xfff88009,0xffffffff,0xffffffff,0xfffc86ff,
    0xffffffff,0x84ffffff,0x06fffff8,0x3fea0000,0xffffffff,0x05ffffff,
    0x0001bfe0,0x3ffff600,0x0bffff22,0xffffffc8,0xffffffff,0x7e404fff,
    0xffffffff,0xffffffff,0x7fffe404,0xffffffff,0x404fffff,0xfffffffc,
    0xffffffff,0xff5004ff,0xffffffff,0x0bffffff,0xffffffb8,0xf9dfffff,
    0x5c01ffff,0xffffffff,0xffff7000,0x4000ffff,0xfffffffa,0xffffffff,
    0x44000dff,0xfffffffe,0xffffffff,0x5003ffff,0xffffffff,0xffffffff,
    0x3a2001bf,0xffffffff,0xffffffff,0xffff805f,0xfffe80ff,0xfffff97f,
    0xff88001f,0xffffffff,0xffffffff,0xff506fff,0xffffffff,0x203dffff,
    0x06fffff8,0x7ec40000,0xffffffff,0x2003ffff,0x00003ff9,0x2ffffd80,
    0x00bffff2,0xfffffff5,0xdfffffff,0x3ffea003,0xffffffff,0x5001efff,
    0xffffffff,0x3dffffff,0x3fffea00,0xffffffff,0x44001eff,0xfffffffd,
    0x03ffffff,0xffffff90,0x3fe69fff,0x7cc01fff,0x06ffffff,0x3ffffe60,
    0x440005ff,0xfffffffd,0x3fffffff,0x7ffe4000,0xffffffff,0x003effff,
    0xfffffd88,0xffffffff,0xff70003f,0xffffffff,0x007fffff,0x03fffffe,
    0x23fffffa,0x05ffffff,0xfffff880,0xffffffff,0xffffffff,0x3ffb2206,
    0xefffffff,0x3ffe200c,0x000006ff,0xffffdb70,0x0007ffff,0x00003ff7,
    0x5ffffb00,0x017fffe4,0x7ffff644,0x0cefffff,0x7ff64400,0xefffffff,
    0x7644000c,0xffffffff,0x44000cef,0xffffffec,0x000cefff,0x3fffb6e0,
    0x003fffff,0xfffffeb8,0x3fffe63d,0xffff801f,0x7c004fff,0x03ffffff,
    0xffd95000,0x9bdfffff,0x6d400001,0xffffffff,0x80001cef,0xfffffeca,
    0x000cdeff,0x7fffe440,0xbeffffff,0x3fffe000,0x3ee000ff,0x001fffff,
    0xffffff88,0xffffffff,0x6fffffff,0x57555100,0x55400155,0x00002aaa,
    0x35753000,0x00510000,0x2aaa0000,0x2aaa60aa,0x5544000a,0x000aaaba,
    0x57555100,0x20000155,0xaaabaaa8,0x55100000,0x00155575,0x2aea6000,
    0x2a600001,0xfd800001,0x002fffff,0x7fffffec,0x31000001,0x00000357,
    0x555d4cc0,0x40000009,0x0001ab98,0xacaa9800,0xff00009a,0x0001ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x66666440,0x9995000c,
    0x09999709,0x0bbbbbb2,0xddddd300,0x20001bdd,0x002cccc9,0xdddd9000,
    0x6640009d,0x0b33224c,0x3bbbba20,0xeed80004,0x2eeeeeee,0xdddddddb,
    0x99dddddd,0x2a001579,0x001ccccc,0xeeeee880,0x001eeeee,0x989dddb1,
    0x0002eeee,0x54403551,0x4c40001a,0x00001999,0x3bbbba20,0x7ddddd34,
    0x77776c00,0xddb10005,0x00003ddd,0x85dddd30,0x001eeeea,0x99999990,
    0x50007999,0x99999999,0xb0079999,0x003ddddd,0x3ffee000,0x3e2003ff,
    0x3fee4fff,0xfffb02ff,0x7cc005ff,0x0fffffff,0xffff1000,0x22000007,
    0x006fffff,0x467ffcc0,0xf1006ffe,0x000bffff,0xfffffff0,0x3ffa7fff,
    0xffffffff,0xffffffff,0x7fec01ef,0x80003fff,0xfffffff9,0x2a001fff,
    0xfd12ffff,0xf8000dff,0x9ff700ff,0xfffb8000,0x000001ff,0x21fffff9,
    0x006ffffd,0x03fffff4,0xfffff300,0x3200000b,0xff30ffff,0x220009ff,
    0xffffffff,0xfc8005ff,0xffffffff,0x7dc06fff,0x7f43ffff,0xf0007fff,
    0x0009ffff,0xf35ffff5,0x7ec0bfff,0x1002ffff,0xffffffff,0x7fec0003,
    0x2000001f,0x00effffc,0xefffa800,0xf1000eff,0x000bffff,0xfffffff0,
    0x3ffa7fff,0xffffffff,0xffffffff,0x3f604fff,0x0003ffff,0xffffff98,
    0x4001ffff,0xfd8ffffd,0x40000fff,0xff883ffe,0x7dc0002f,0x0001ffff,
    0xfffff880,0x1fffff11,0xffffe800,0x7fd40007,0x00001fff,0xd1dfffd0,
    0x0001dfff,0x3bbbbba2,0x8004eeee,0xfffffffc,0x406fffff,0xe84ffffe,
    0x8007ffff,0x005ffffb,0x3bffff60,0x3600efff,0x802fffff,0xffffffe8,
    0x3ee0001f,0x000000df,0x03bfffe2,0xfffb8000,0x3e2000ef,0x0005ffff,
    0xfffffff8,0xfffd3fff,0xffffffff,0xffffffff,0x3f607fff,0x0003ffff,
    0xffffff98,0x4001ffff,0xfffffff8,0xa80003ff,0xfdbcffff,0xb80006ff,
    0x001fffff,0xffffb800,0x07ffff22,0x3ffffa00,0xffa80007,0x000004ff,
    0xfffffff3,0x000003ff,0x7fe40000,0xffffffff,0x3fea06ff,0xfffd05ff,
    0xffd000ff,0xf88000bf,0x1fffffff,0x7ffffec0,0x7fff4402,0x4001ffff,
    0x79903cc8,0xffb80000,0x880000ff,0x079903cc,0xbfffff10,0xffff0000,
    0x25ddddff,0xfffffffe,0xffffffff,0xffffffff,0xfffffd80,0xee880003,
    0xfffffeee,0xfff98001,0x0005ffff,0x3fffff20,0x0001ffff,0x1fffffb8,
    0xfff80000,0x3fffe23f,0xfffd0002,0x2e0000ff,0x0000ffff,0xfffff700,
    0x880009ff,0x079903cc,0x33333100,0x13333333,0x02ffff40,0x00fffffd,
    0x006fffa8,0xfffff300,0xfffb009f,0xffe805ff,0x001fffff,0xf885ff98,
    0x7c00006f,0x00001fff,0xff10bff3,0xffff100d,0xff0000bf,0x7f409fff,
    0xaaacffff,0xffcbaaaa,0x84ffffff,0x03fffffd,0xfff50000,0x320003ff,
    0x00ffffff,0x7ffdc000,0x0001efff,0x3fffff70,0xffb80000,0x27ffdc4f,
    0xffffd000,0x7e40000f,0x000004ff,0x1bfffff6,0x17fe6000,0x0001bfe2,
    0xfff30000,0xffffe80d,0x6665c007,0x32e00000,0xfb004ccc,0x6c05ffff,
    0x2fffffff,0x0bff3000,0x0000dff1,0x000d5544,0x10bff300,0xff100dff,
    0x0000bfff,0x409fffff,0x02fffffe,0x3ffffee0,0xffffd87f,0x5000003f,
    0x003fffff,0x0d555540,0xca880000,0x400002bc,0x00aaaaa9,0x15554000,
    0x00015554,0x01fffffa,0x05555000,0x55440000,0x80000aaa,0xff885ff9,
    0x00000006,0x2005554c,0x402aaaaa,0x99819999,0x33300199,0x33333033,
    0x3fffff60,0xfffffb02,0x440005ff,0x079903cc,0x4ccc4000,0x32200000,
    0x0079903c,0x0bfffff1,0xfffff000,0x7ffff409,0x7fec002f,0x7ec0ffff,
    0x0003ffff,0xfffff500,0x4cc40003,0x00000000,0x00000000,0x26620000,
    0x7f400000,0x00007fff,0x00001331,0x80000000,0x79903cc8,0x33333000,
    0x00333330,0x7fc00000,0x7ffc0fff,0xfff800ff,0x7fffc0ff,0xffffd80f,
    0xffffc82f,0xdb002fff,0x8003dddd,0x03eeeeeb,0x7fffed44,0x802defff,
    0x01eeeeed,0x777775c0,0xbfffff13,0x4ccccc40,0x3ffffe09,0x3ffffa04,
    0x7fd4002f,0x7ec1ffff,0x0003ffff,0xfffff500,0x7edc4003,0xbcefffff,
    0x00000001,0x00000000,0xfffb7100,0x0379dfff,0x7ffff400,0xfb710007,
    0x79dfffff,0x7776c003,0x75c001ee,0xddb3eeee,0xb8003ddd,0xf03eeeee,
    0xff81ffff,0xddd00fff,0xddd01ddd,0x7fc01ddd,0x7ffc0fff,0xfff800ff,
    0x7fffc0ff,0xffffd80f,0x7fffdc2f,0x3a002fff,0x001fffff,0x27ffffe4,
    0xffffff50,0xdfffffff,0x7ffff405,0x7fe4001f,0xfff14fff,0x3fa20bff,
    0x3e1fffff,0x3a04ffff,0x002fffff,0x7fffffc4,0x7ffffec1,0xf5000003,
    0x2003ffff,0xfffffffc,0x0dffffff,0xeeeeed80,0xeeeeeeee,0xeeeeeeee,
    0x3bbbbb65,0xeeeeeeee,0xeeeeeeee,0x3fff2005,0xffffffff,0xe8000dff,
    0x8007ffff,0xfffffffc,0x0dffffff,0xfffffe80,0x7ffe4001,0xffffd4ff,
    0xffc8003f,0xfff04fff,0xffff81ff,0xfffff00f,0xfffff01f,0x7fffc01f,
    0x7ffffc0f,0xfffff800,0x07ffffc0,0x17ffffec,0xfffffff7,0xfffe8007,
    0x7e4001ff,0xfb04ffff,0xffffffff,0xbfffffff,0x3fffffa0,0x7ffe4001,
    0xffff14ff,0x3fffa0bf,0x7ffc1fff,0x3ffa04ff,0x54002fff,0xd87fffff,
    0x003fffff,0xffff5000,0xffe9803f,0xffffffff,0x03ffffff,0x7ffffff4,
    0xffffffff,0x7fffffff,0x3ffffffa,0xffffffff,0x7fffffff,0xffffe980,
    0xffffffff,0x4003ffff,0x007ffffe,0x3fffffa6,0xffffffff,0x7f403fff,
    0x4001ffff,0xd4fffffc,0x003fffff,0x4fffffc8,0x81fffff0,0xf00fffff,
    0xf01fffff,0x401fffff,0x7c0fffff,0xf800ffff,0x7fc0ffff,0xffd80fff,
    0xfff52fff,0x0007ffff,0x03fffffd,0xfffffc80,0xfffffc84,0xffffffff,
    0xe83fffff,0x001fffff,0xa7ffffe4,0x85fffff8,0x2ffffffd,0x04fffff8,
    0x0bfffffa,0xfffffb00,0xfffffb0d,0x2a000007,0x201fffff,0xfffffffb,
    0xffffffff,0xd00dffff,0xffffffff,0xffffffff,0x74ffffff,0xffffffff,
    0xffffffff,0x407fffff,0xfffffffb,0xffffffff,0x000dffff,0x00fffffd,
    0x3fffffee,0xffffffff,0x00dfffff,0x03fffffd,0xfffffc80,0x3fffffd4,
    0xffffc800,0xfffff04f,0x0fffff81,0x1ffffff0,0x1ffffff0,0x077776c0,
    0x003bbbb6,0xb03bbbb6,0xfb01dddd,0xff35ffff,0x00ffffff,0x3fffffa0,
    0x7ffe4001,0x7ffc44ff,0xfeffffff,0xffffffff,0x7ffff41f,0x7fe4001f,
    0xfff14fff,0xfffc8bff,0xfff02fff,0x7ff409ff,0xd1002fff,0x07ffffff,
    0x07fffffb,0x3fea0000,0xff501fff,0xffffffff,0xffffffff,0x3fa0dfff,
    0xffffffff,0xffffffff,0x3fa7ffff,0xffffffff,0xffffffff,0x2a07ffff,
    0xffffffff,0xffffffff,0x006fffff,0x00fffffd,0xfffffff5,0xffffffff,
    0x0dffffff,0x07fffffa,0xfffff900,0x3fffffa9,0x7ffe4001,0xdddb04ff,
    0xeeeed81d,0xffffff00,0xffffff01,0x00000001,0xffb00000,0xffff9fff,
    0x009fffff,0x3fffffd0,0xffffc800,0x7fffdc4f,0xfda80cff,0x746fffff,
    0x001fffff,0xa7ffffe4,0x25fffff8,0x3ffffffb,0x13ffffe0,0xefffffe8,
    0xeeeeeeee,0xffffffff,0xfffffb06,0x2a000007,0x881fffff,0xffffffff,
    0xeba889bd,0x3fffffff,0xffffffe8,0xffffffff,0x7fffffff,0x3ffffffa,
    0xffffffff,0x7fffffff,0xffffff10,0x51137bff,0xffffffd7,0xfffd007f,
    0xfff880ff,0x9bdfffff,0xfffeba88,0xfe83ffff,0x4001ffff,0xd4fffffc,
    0x003fffff,0x4fffffc8,0xff000000,0xff01ffff,0x0001ffff,0x00000000,
    0xffffffb0,0xffffffff,0xfe8003ff,0x4001ffff,0x44fffffc,0x02fffffd,
    0xffffffd8,0x3fffffa0,0x7ffe4001,0xffff14ff,0x3fffeabf,0x7ffc03ff,
    0x3ffa04ff,0xffffffff,0xffffffff,0xfb01ffff,0x0007ffff,0x3fffea00,
    0xffffd81f,0xfc801fff,0x40ffffff,0xacfffffe,0xaaaaaaaa,0x22aaaaaa,
    0xacfffffe,0xaaaaaaaa,0x02aaaaaa,0xfffffffb,0xffff9003,0xfe801fff,
    0x7ec07fff,0x01ffffff,0xffffffc8,0x7ffff40f,0x7fe4001f,0xfffd4fff,
    0xfc8003ff,0x0004ffff,0xfffff000,0xfffff01f,0x0000001f,0xfb000000,
    0xffffffff,0xdfffffff,0xffffe800,0x7fe4001f,0x3fe24fff,0xf1006fff,
    0x745fffff,0x001fffff,0xa7ffffe4,0x9dfffff8,0x04ffffff,0x04fffff8,
    0x3ffffffa,0xffffffff,0x0effffff,0x3fffff60,0xf5000003,0xfa83ffff,
    0x00dfffff,0x3ffffe60,0x7ffff45f,0x3a00002f,0x002fffff,0xffffa800,
    0x26000dff,0x05ffffff,0x03fffff4,0xbffffff5,0x7ffcc001,0x7ff45fff,
    0x64001fff,0xfd4fffff,0x8003ffff,0x04fffffc,0xfff00000,0xfff01fff,
    0x99981fff,0x99880099,0x4cccc199,0x99988009,0x3ffff619,0xfeffffff,
    0x003fffff,0x07fffffa,0xfffff900,0x7ffffcc9,0x3fff6006,0x3fffa3ff,
    0x7e4001ff,0xff14ffff,0xffffdfff,0x3fe009ff,0x3fa04fff,0xffffffff,
    0xffffffff,0xffd803df,0x00003fff,0x3fffff50,0xffffffe8,0xfffc8000,
    0x3ffa2fff,0x00002fff,0x0bfffffa,0x3ffa0000,0x8000ffff,0x2ffffffc,
    0x1fffffa0,0xffffffe8,0xfffc8000,0x3ffa2fff,0x64001fff,0xfd4fffff,
    0x8003ffff,0x24fffffc,0x80099999,0x7c199998,0xf80fffff,0x7c0fffff,
    0xc806ffff,0x3e1fffff,0xc806ffff,0xfb1fffff,0xffffffff,0xffffff17,
    0x3ffa001f,0x64001fff,0x224fffff,0x03ffffff,0xd0333310,0x003fffff,
    0x4fffffc8,0xfffffff1,0x00bfffff,0x813ffffe,0xfffffffe,0xffffffff,
    0x3f6000cf,0x0003ffff,0xfffff500,0x7ffffc43,0xff10004f,0x7f4bffff,
    0x0002ffff,0x3fffffa0,0x7c400002,0x004fffff,0xffffff10,0x7ffff40b,
    0xfffff107,0x3e20009f,0x3a5fffff,0x001fffff,0xa7ffffe4,0x01fffffe,
    0x7ffffe40,0x1bffffe4,0x3fffff20,0x3fffffe1,0xffffff80,0x37ffffc0,
    0x7ffffe40,0x1bffffe1,0x3fffff20,0xffffffb1,0x7ffd49ff,0xfd005fff,
    0x8003ffff,0x44fffffc,0xdffffffe,0xffe80001,0x64001fff,0xf14fffff,
    0xffffffff,0xf003ffff,0x7409ffff,0x99bfffff,0xffffffba,0x3ff6003f,
    0x00003fff,0x3fffff50,0x7fffffdc,0x3fee0000,0x3ffa6fff,0x00002fff,
    0x0bfffffa,0xfff70000,0x40001fff,0x06fffffb,0x41fffffa,0x0ffffffb,
    0x3ffee000,0x3fffa6ff,0x7e4001ff,0xffd4ffff,0xc8003fff,0x3e4fffff,
    0xc806ffff,0x3e1fffff,0xf80fffff,0x7c0fffff,0xc806ffff,0x3e1fffff,
    0xc806ffff,0xfb1fffff,0x09ffffff,0x7ffffffd,0xfffffd00,0xfffc8003,
    0x7ffe44ff,0xadffffff,0xfffe8000,0x7e4001ff,0xff14ffff,0xffffffff,
    0xff00dfff,0x7f409fff,0xd882ffff,0x0dffffff,0xfffffd80,0xf5000003,
    0x7ec3ffff,0x0005ffff,0x3fffffcc,0x05fffffd,0x7fff4000,0x400002ff,
    0x05fffffd,0x7fffcc00,0x3fffa07f,0xffffb07f,0xf98000bf,0x3fa7ffff,
    0x4001ffff,0xd4fffffc,0x003fffff,0x4fffffc8,0x01bffffe,0x87fffff2,
    0x80ffffff,0x40ffffff,0x806fffff,0x21fffffc,0x806fffff,0xb1fffffc,
    0x09ffffff,0x3fffffe6,0x7fff400f,0x7e4001ff,0x7444ffff,0xffffffff,
    0x001befff,0x03fffffd,0xfffffc80,0xffffff14,0xffffffff,0xfffff805,
    0x3ffffa04,0x3fffa02f,0xfd806fff,0x0003ffff,0xfffff500,0x7fffff43,
    0x7fc40004,0xffd1ffff,0x00005fff,0x17fffff4,0x3ffa0000,0x40004fff,
    0x1ffffff8,0x0fffffd0,0x13fffffa,0xffff1000,0x3fffa3ff,0x7e4001ff,
    0xffd4ffff,0xc8003fff,0x3e4fffff,0xc806ffff,0x3e1fffff,0xf80fffff,
    0x7c0fffff,0xc806ffff,0x3e1fffff,0xc806ffff,0xfb1fffff,0xc809ffff,
    0x05ffffff,0x0ffffff4,0x3ffff200,0xffff984f,0xffffffff,0x3a00cfff,
    0x001fffff,0xa7ffffe4,0xfffffff8,0xffffffae,0x3ffffe00,0x3ffffa04,
    0x3ffe202f,0x6c04ffff,0x003fffff,0xffff5000,0x7ffffc3f,0xff80003f,
    0xffd2ffff,0xdddddfff,0xdddddddd,0xfffe89dd,0xeeeeeeff,0xeeeeeeee,
    0xfffff84e,0xff80003f,0xfd02ffff,0x3fe0ffff,0x0003ffff,0x2ffffff8,
    0x03fffffd,0xfffffc80,0x3fffffd4,0xffffc800,0x3ffffe4f,0xffffc806,
    0x3ffffe1f,0xfffff80f,0x7ffffc0f,0xffffc806,0x3ffffe1f,0xffffc806,
    0xfffffb1f,0xffff8805,0x3fa02fff,0x4001ffff,0x04fffffc,0xfffffff5,
    0xffffffff,0x3fffa07f,0x7e4001ff,0xff14ffff,0x321fffff,0x204fffff,
    0x204fffff,0x02fffffe,0x7fffffd4,0x3fff602f,0x000003ff,0x43fffff5,
    0x02ffffff,0xffffe800,0xfffffd3f,0xffffffff,0xbfffffff,0xffffffe8,
    0xffffffff,0x85ffffff,0x02ffffff,0xffffe800,0xffffd03f,0x3ffffe0f,
    0xfe80002f,0xffd3ffff,0xc8003fff,0xfd4fffff,0x8003ffff,0x24fffffc,
    0x806fffff,0x21fffffc,0x80ffffff,0x40ffffff,0x806fffff,0x21fffffc,
    0x806fffff,0xb1fffffc,0x005fffff,0xfffffff7,0x3ffffa01,0x7fe4001f,
    0x36204fff,0xffffffff,0x3fffffff,0x1fffffe8,0x7fffe400,0xfffff14f,
    0x7fffc43f,0xffff00ff,0x7fff409f,0xffc802ff,0xb00fffff,0x007fffff,
    0x3ffea000,0xffff11ff,0xb00003ff,0x3a9fffff,0xffffffff,0xffffffff,
    0x7f45ffff,0xffffffff,0xffffffff,0x7fc45fff,0x0001ffff,0x4fffffd8,
    0x0fffffd0,0x3ffffff1,0xfffb0000,0x3fffa9ff,0x7e4001ff,0xffd4ffff,
    0xc8003fff,0x3e4fffff,0xc806ffff,0x3e1fffff,0xf80fffff,0x7c0fffff,
    0xc806ffff,0x3e1fffff,0xc806ffff,0xfb1fffff,0x2005ffff,0x5ffffffe,
    0x3fffffd0,0xffffc800,0xfeb9804f,0xffffffff,0x7f44ffff,0x4001ffff,
    0x14fffffc,0x70bfffff,0x20bfffff,0x204fffff,0x02fffffe,0xfffffe88,
    0xffffb05f,0x2000007f,0x21fffffa,0x02ffffff,0xffffe800,0xfffffd4f,
    0xffffffff,0xbfffffff,0xffffffe8,0xffffffff,0x85ffffff,0x02ffffff,
    0xffffe800,0xffffd04f,0x3ffffe0f,0xfe80002f,0xffd4ffff,0xc8003fff,
    0xfd4fffff,0x8003ffff,0x24fffffc,0x806fffff,0x21fffffc,0x80ffffff,
    0x40ffffff,0x806fffff,0x21fffffc,0x806fffff,0xb1fffffc,0x005fffff,
    0x3fffffea,0xffffe82f,0x7fe4001f,0x4c004fff,0xffffffdb,0x3a3fffff,
    0x001fffff,0xa7ffffe4,0x05fffff8,0x03fffffd,0x409fffff,0x02fffffe,
    0xffffff50,0xffffb05f,0x3333339f,0x33333333,0x7fffd403,0x3ffffa1f,
    0xff80003f,0xffd2ffff,0xffffffff,0xffffffff,0xfffe8bff,0xffffffff,
    0xffffffff,0xffffe85f,0xff80003f,0xfd02ffff,0x3fa0ffff,0x0003ffff,
    0x2ffffff8,0x03fffffd,0xfffffc80,0x3fffffd4,0xffffc800,0x3ffffe4f,
    0xffffc806,0x3ffffe1f,0xfffff80f,0x7ffffc0f,0xffffd806,0x3ffffe1f,
    0xffffd806,0xfffffb1f,0x7ffec005,0x7f40ffff,0x4002ffff,0x03fffffc,
    0x7ff64c00,0x3a6fffff,0x002fffff,0x9fffffe4,0x05fffff8,0x0dfffff5,
    0x409fffff,0x02fffffe,0x3fffff20,0x7ffec0ef,0xffffffff,0xffffffff,
    0x3ffea07f,0x3fff61ff,0x440004ff,0xd1ffffff,0x559fffff,0x55555555,
    0xfe855555,0xaaacffff,0xaaaaaaaa,0xffd82aaa,0x40004fff,0x1ffffff8,
    0x0fffffd0,0x13fffff6,0xffff1000,0x3fffa3ff,0x7e4002ff,0xffd3ffff,
    0xc8005fff,0x3e3fffff,0xd806ffff,0x3e1fffff,0xf80fffff,0x7c0fffff,
    0xd806ffff,0x3e1fffff,0xd806ffff,0xfb1fffff,0x4005ffff,0xfffffff9,
    0x7fffff44,0x7ffe4002,0x200003ff,0xfffffffb,0x5fffffd1,0xffffc800,
    0xfffff13f,0x7ffff40b,0x7ffffc3f,0x3ffffa04,0x3fa2002f,0x6c4fffff,
    0xffffffff,0xffffffff,0x2a07ffff,0x321fffff,0x005fffff,0x7ffffcc0,
    0xfffffd0f,0x7f400005,0x0002ffff,0x7ffffe40,0x7fcc0005,0xfd00ffff,
    0x3f20ffff,0x0005ffff,0x7fffffcc,0x5fffffd0,0xffffc800,0xfffffd3f,
    0xfffc8005,0x3fffe3ff,0xfffd806f,0x3fffe1ff,0xffff80ff,0x7fffc0ff,
    0xfffd806f,0x3fffe1ff,0xfffd806f,0xffffb1ff,0xffc8005f,0x3a1fffff,
    0x002fffff,0x1fffffec,0x00575331,0xffffff98,0x5fffffd2,0xffffd800,
    0xfffff13f,0x7fffcc0b,0x3fffe0ff,0x3fffa04f,0x7d4002ff,0x21ffffff,
    0xfffffffd,0xffffffff,0x207fffff,0x21fffffa,0x0ffffffa,0x3ffee000,
    0x3fffa7ff,0x200002ff,0x02fffffe,0x7ffd4000,0x20000fff,0x07fffffb,
    0x41fffffa,0x0ffffffa,0x3ffee000,0x3fffa7ff,0x7ec002ff,0xffd3ffff,
    0xd8005fff,0x3e3fffff,0xd806ffff,0x3e1fffff,0xf80fffff,0x7c0fffff,
    0xd806ffff,0x3e1fffff,0xd806ffff,0xfb1fffff,0x8005ffff,0xfffffff8,
    0x3fffff66,0x7ffec003,0xffff33ff,0xffd000ff,0x3ff67fff,0x6c003fff,
    0xf13fffff,0xd80bffff,0x3e4fffff,0x3a04ffff,0x002fffff,0xffffffc8,
    0x3fffff66,0xffffffff,0x7fffffff,0x3ffffea0,0x3ffffe61,0xff10004f,
    0x7f4dffff,0x0002ffff,0x3fffffa0,0x7cc00002,0x004fffff,0xffffff10,
    0x7ffff40d,0xfffff307,0x3e20009f,0x366fffff,0x003fffff,0x9fffffec,
    0x03fffffd,0x7ffffec0,0x1bffffe3,0x3fffff60,0x3fffffe1,0xffffff80,
    0x3fffffc0,0x7fffff40,0x1fffffe1,0x3fffffa0,0x5fffffb1,0xffff7000,
    0x3ff29fff,0x74005fff,0x3e2fffff,0x001fffff,0x9fffffec,0x05fffffc,
    0x7fffff40,0xbfffff12,0xfffff980,0x9fffff0f,0x7fffff40,0xffe88002,
    0xffb3ffff,0xffffffff,0xffffffff,0x7fd40fff,0x3fe21fff,0x000fffff,
    0xffffffb8,0x3fffffa3,0x3fa00002,0x0002ffff,0x7ffffc40,0xfb8000ff,
    0x203fffff,0x107ffffe,0x1fffffff,0xffff7000,0x7ffe47ff,0x7f4005ff,
    0xff92ffff,0xe800bfff,0x3e2fffff,0xe807ffff,0x3e1fffff,0xf80fffff,
    0x7c0fffff,0xf807ffff,0x3e1fffff,0xf807ffff,0x001fffff,0x006af2e6,
    0xfffffb80,0xfff7002f,0x7fec3fff,0x7c005fff,0xf72fffff,0x005fffff,
    0x3fffffee,0xabcb9801,0x3fffe001,0x5cc0004f,0x00001abc,0x01559950,
    0xffffa800,0x7fffd41f,0x7cc005ff,0x746fffff,0x002fffff,0x3ffffa00,
    0xa800002f,0x05ffffff,0x7ffffcc0,0x332e206f,0x7ffd402a,0x4c005fff,
    0x46ffffff,0x2ffffffb,0xfffff700,0x3fffee3f,0xff7002ff,0x7fc3ffff,
    0xff807fff,0x3fe1ffff,0xff80ffff,0x7fc0ffff,0x2a00ffff,0x21ffffff,
    0x00ffffff,0x3fffffea,0x3fff6001,0x98001eff,0x0fffffff,0x7ffffc40,
    0x7fffdc7f,0xffb003ff,0x3e61ffff,0x00ffffff,0x7fffffc4,0xffff9007,
    0xfff005df,0xd80009ff,0x01efffff,0x3ffe2000,0x20004fff,0x81fffffa,
    0xeffffffe,0xffffa800,0x7ff42fff,0x00002fff,0x0bfffffa,0x7ff40000,
    0x800effff,0xfffffffa,0x3fffe602,0x3ffa04ff,0x800effff,0xfffffffa,
    0x7ffffcc2,0x7fc400ff,0x3e67ffff,0x00ffffff,0x7fffffc4,0x7fffffc7,
    0x3fffea00,0x3fffe1ff,0xffff80ff,0x7fff40ff,0xfff305ff,0x7f43ffff,
    0xf305ffff,0x03ffffff,0x7ffffec0,0xfd8000ff,0x02efffff,0xffffffd5,
    0xfffff987,0xfd301dff,0xd8bfffff,0x2effffff,0xfffffd50,0x3ff2007f,
    0x401fffff,0x004fffff,0x7ffffec0,0x100000ff,0xbfffffff,0x3ffea000,
    0xfff981ff,0x41bfffff,0xfffffda8,0xfffe85ff,0x200002ff,0x02fffffe,
    0xfff30000,0x837fffff,0xfffffda8,0x7fcc05ff,0x303fffff,0xffffffff,
    0xffda8837,0xb05fffff,0x5dffffff,0x3ffffaa0,0x7ffec3ff,0xd502efff,
    0x87ffffff,0x05fffffe,0xfffffff3,0x7fffffc3,0xffffff80,0x7ffffe40,
    0xfff931cf,0x643fffff,0x1cffffff,0xffffff93,0x530003ff,0x0005ffff,
    0xfffffff3,0xfffdddff,0x20ffffff,0xfffffffb,0xfffeeeff,0x42ffffff,
    0xfffffff9,0xfffeeeff,0x007fffff,0x4ffff988,0x27ffffc0,0xffa98000,
    0x400002ff,0x07fffc98,0xfffff500,0x3ffff203,0xfeffffff,0xffffffff,
    0xfffe80ff,0x99999bff,0x99999999,0xfffd0999,0x333337ff,0x33333333,
    0x3f201333,0xffffffff,0xffffffef,0x000fffff,0x0dfffb31,0x7fffffe4,
    0xfffeffff,0xffffffff,0xfffff300,0xfdddffff,0xffffffff,0xffffff30,
    0xffdddfff,0x0fffffff,0x9ffffff9,0x3ffff263,0x3fe1ffff,0xff80ffff,
    0x7cc0ffff,0xffffffff,0xffffffff,0x3ffe61ff,0xffffffff,0xffffffff,
    0x3ff60001,0xffb0003f,0xffffffff,0xffffffff,0x7ffec07f,0xffffffff,
    0xffffffff,0xfffffb04,0xffffffff,0x07ffffff,0x27ffe400,0x3fffffe0,
    0x0003ffff,0x000ffff6,0x7fffc400,0x7fffcc00,0x01ffffff,0xffffffb1,
    0xffffffff,0x05ffffff,0x3ffffffa,0xffffffff,0xffffffff,0xffffffd3,
    0xffffffff,0xffffffff,0x3fff6207,0xffffffff,0xffffffff,0xff98002f,
    0x3ff6207f,0xffffffff,0xffffffff,0x7fec02ff,0xffffffff,0xffffffff,
    0xffffb03f,0xffffffff,0x7fffffff,0xffffff30,0xffffffff,0x7c3fffff,
    0xf80fffff,0xb80fffff,0xffffffff,0xfff9dfff,0x7ffdc1ff,0xffffffff,
    0x1fffff9d,0xfffa8800,0x3f20001f,0xffffffff,0xffffffff,0x7fff4404,
    0xffffffff,0x05ffffff,0x7fffffe4,0xffffffff,0x10004fff,0x805ffff3,
    0xffffffff,0xa88003ff,0x0001ffff,0x6fffd980,0xfffff980,0x401fffff,
    0xfffffffa,0xffffffff,0x3fa00dff,0xffffffff,0xffffffff,0xfd3fffff,
    0xffffffff,0xffffffff,0x807fffff,0xfffffffa,0xffffffff,0x98000dff,
    0xa805fffe,0xffffffff,0xffffffff,0xff9000df,0xffffffff,0x9fffffff,
    0xfffffc80,0xffffffff,0x2e04ffff,0xffffffff,0xfff9dfff,0x3fffe1ff,
    0xffff80ff,0xfff900ff,0x29ffffff,0x81fffff9,0xfffffffc,0xffff34ff,
    0xeefe803f,0x04ffffff,0xffffa800,0xffffffff,0x2e001eff,0xffffffff,
    0x3fffffff,0xfffff500,0xffffffff,0x3f6003df,0xffffffee,0xfffff805,
    0x403fffff,0xffffeefe,0x4c0004ff,0xffffeeff,0xff9802ff,0xffffffff,
    0xfffd8801,0xffffffff,0xfe803fff,0xffffffff,0xffffffff,0xfd3fffff,
    0xffffffff,0xffffffff,0x007fffff,0xffffffb1,0xffffffff,0xddff5007,
    0x03ffffff,0x3ffff620,0xffffffff,0xfa8003ff,0xffffffff,0x01efffff,
    0xffffff50,0xffffffff,0xfff9003d,0x29ffffff,0x21fffff9,0x80ffffff,
    0x00ffffff,0x3fffffae,0x3fffe63d,0xfffd701f,0x7fcc7bff,0x7f401fff,
    0x4fffffff,0x3b220000,0xffffffff,0x88000cef,0xfffffffc,0x000befff,
    0x7ffff644,0x0cefffff,0x3ffff600,0xf004ffff,0xffffffff,0xfffe807f,
    0x004fffff,0xfffff980,0x3001efff,0xffffffff,0x654003ff,0xfffffffe,
    0xfd000cde,0xffffffff,0xffffffff,0x3a7fffff,0xffffffff,0xffffffff,
    0x03ffffff,0x3fffb2a0,0x0cdeffff,0xfffff500,0x0003bfff,0xfffffd95,
    0x0019bdff,0x7fff6440,0xceffffff,0x7f644000,0xffffffff,0x3ae000ce,
    0x23dfffff,0x21fffff9,0x80ffffff,0x00ffffff,0x00003530,0x00003530,
    0xcceedcb8,0x44000002,0x0aaabaaa,0x554c0000,0x00009aac,0x55755510,
    0x32a00015,0x00bcceed,0x33333320,0x5c01cccc,0x02cceedc,0x3b322000,
    0x4001ccde,0xccccccc8,0x20000ccc,0x0001ab98,0x3ffffffa,0xffffffff,
    0xffffffff,0xffffffd3,0xffffffff,0xffffffff,0x5cc40007,0x3260001a,
    0x00bcdeec,0x2ae62000,0x22000001,0x0aaabaaa,0x55510000,0x00015557,
    0x00003530,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2a000000,
    0x002eeeee,0x0bbbbbb2,0xddddd100,0x99988007,0x40000099,0xaaaaaaaa,
    0x000aaaaa,0xdddd9000,0x4000001d,0x0deeeeea,0x75c00000,0x0004eeee,
    0xb113bbb6,0xb8007ddd,0x000eeeee,0xeeeee880,0xdd90001e,0x9dddb0bd,
    0x3ae00000,0x0004eeee,0x889dddb0,0xc803eeed,0x403eeeee,0x5c1eeeea,
    0x0000deee,0x0f33332a,0xeeeee980,0xaa88000d,0xaaaaaaaa,0x44000aaa,
    0x01eeeeed,0xeeec8000,0x000000de,0x7fffffc4,0xfffd000f,0x44001fff,
    0x004fffff,0x17ffffd4,0x3ffe0000,0xffffffff,0x800003ff,0x5ffffffa,
    0x3fa00000,0x0001ffff,0x7fffc400,0x2a0000ef,0x3fa2ffff,0x2a000eff,
    0x06ffffff,0xffffc800,0x3e20003f,0x3ff24fff,0x800001ff,0x0efffff8,
    0xfff50000,0x77fff47f,0xfffe8800,0xfffd807f,0x7ffff50e,0x7ffc4000,
    0x32000eff,0x002fffff,0xffffff30,0x3fffffff,0xffff3000,0xa80000bf,
    0x05ffffff,0x7fec0000,0x005fffff,0x9ffffffd,0x7fffc400,0x7fd4004f,
    0x00002fff,0x7ffffffc,0x03ffffff,0x7ffc4000,0x003fffff,0xffffa800,
    0x8000001f,0x00effffb,0xffffc800,0x01ffffc8,0x3ffffe20,0x20003fff,
    0x03fffff8,0xffffa800,0x03ffffaa,0xfff70000,0x800001df,0xfc9ffffc,
    0x22001fff,0x403fffff,0xf8dffff8,0x40006fff,0x00fffffb,0x3ffffe20,
    0x3fe60002,0xffffffff,0x50001fff,0x003fffff,0x3fffe200,0x0003ffff,
    0xbffff700,0xd007ffff,0x3fffffff,0x3fffe200,0x7fd4004f,0x00002fff,
    0x7ffffffc,0x03ffffff,0x7ffec000,0x01ffffdf,0x7ffec000,0x0000002f,
    0x001fffff,0x3fffa200,0x004fffff,0x7effffec,0x70001fff,0x0009ffff,
    0x7ffffec0,0x00005fff,0x03ffffe0,0x7ff40000,0x04ffffff,0x6ffff980,
    0xfffffa80,0x0000ffff,0x00fffffc,0x0fffff20,0xffff3000,0xffffffff,
    0x7d40003f,0x00005fff,0xffbdfffb,0x800001ff,0xf94ffff8,0xfe803fff,
    0x06ffffff,0x9fffff10,0xffffa800,0x5400002f,0xaaaaaaaa,0x0000aaaa,
    0x27fffee0,0x006fffe8,0x3fffe600,0x50000002,0x0003ffff,0xfffff980,
    0x7dc006ff,0xffe8afff,0xffd0006f,0x880000bf,0xfffffffe,0xf7000000,
    0x00003fff,0x7ffffcc0,0x260006ff,0xd802ffff,0x2fffffff,0x7ffdc000,
    0x7fc4001f,0x880004ff,0xaaaaaaaa,0x000aaaaa,0x07fffdc0,0x3ffee000,
    0x6fffe89f,0x7ff40000,0x37fff46f,0x3fffffa0,0xf8803fff,0x4004ffff,
    0x02fffffa,0x00000000,0x3ffe6000,0x3fffe64f,0xffb00004,0x0000007f,
    0x000ffff4,0xffffb800,0x3e2000ff,0x3fe64fff,0x7d4004ff,0x000005ff,
    0x5ffffff3,0x7f400000,0x000001ff,0xffffffb8,0x7fd40001,0xffe8806f,
    0x80005fff,0x8002fffe,0x0004fffb,0x00000000,0x004fffb8,0x8ffffe60,
    0x004ffff9,0x15555100,0x00aaaa88,0x3ffffffa,0x7c400fff,0x4004ffff,
    0x00aaaaa8,0x4cc40000,0x4c000000,0xaa982aaa,0x5500002a,0x00000055,
    0x000d5544,0x2aaaa000,0x554c001a,0x2aaa982a,0x01554c00,0x2aaa0000,
    0x000002aa,0x0006aaa2,0xaaaa8000,0x5300001a,0x2aa60055,0x40000aaa,
    0x0002ccc8,0x00005555,0x00000000,0x00015554,0x53055553,0x00000555,
    0x7ff40000,0x4fffffff,0x7ffffc40,0x00000004,0xfffb7100,0x0379dfff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3dddddb0,0xeeeeb800,
    0x0000003e,0x00000000,0x3a000000,0xffffffff,0x3fe201ff,0x77644fff,
    0xeeeeeeee,0xeeeeeeee,0x32004eee,0xffffffff,0x00dfffff,0x77744000,
    0xb0003eee,0xdddddddd,0x999ddddd,0x3b200157,0x4002eeee,0x43eeeee8,
    0xeeeeeeec,0xeeeeeeee,0x04eeeeee,0x03bbbbba,0xdddddd90,0xdddddddd,
    0x9ddddddd,0x17777764,0x3bbba200,0xee88003e,0x0003eeee,0x3bbbbbba,
    0xeeeeeeee,0xeeeeeeee,0xddddd01e,0x3bbbb61d,0xeeeeeeee,0x00abccce,
    0x17bbbb60,0x0e666654,0x7fff4000,0x7e4001ff,0xddb4ffff,0xdddddddd,
    0xdddddddd,0x776cbddd,0xeeeeeeee,0xeeeeeeee,0x76c05eee,0x4001eeee,
    0xd4eeeeea,0xffffffff,0x7fc40dff,0x7fec4fff,0xffffffff,0xffffffff,
    0xe9805fff,0xffffffff,0xffffffff,0x3ee00003,0x00ffffff,0xfffffe80,
    0xffffffff,0x1effffff,0x7fffff40,0x3fe2000f,0x7fec4fff,0xffffffff,
    0xffffffff,0x3fe05fff,0x6c00ffff,0xffffffff,0xffffffff,0x3a5fffff,
    0x00ffffff,0x3ffffe20,0xfffb8004,0x0000ffff,0xffffffff,0xffffffff,
    0xffffffff,0x3ffffe05,0xfffffd0f,0xffffffff,0x3dffffff,0xfffffd00,
    0x3fffff60,0xffe80003,0x64001fff,0xfd4fffff,0xffffffff,0xffffffff,
    0x7f4fffff,0xffffffff,0xffffffff,0x7407ffff,0x002fffff,0xafffffdc,
    0xfffffffe,0xf103ffff,0xfd89ffff,0xffffffff,0xffffffff,0x5c05ffff,
    0xffffffff,0xffffffff,0x0000dfff,0xffffffe8,0xffe8003f,0xffffffff,
    0xffffffff,0x3fa04fff,0x004fffff,0x13ffffe2,0xfffffffb,0xffffffff,
    0x0bffffff,0x07fffffc,0x3fffff60,0xffffffff,0xffffffff,0x3fffffa5,
    0x3fe2004f,0xe8004fff,0x3fffffff,0xfffff000,0xffffffff,0xffffffff,
    0x3fe05fff,0xffd0ffff,0xffffffff,0xffffffff,0xfe809fff,0xffb07fff,
    0x00007fff,0x03fffffd,0xfffffc80,0xffffffd4,0xffffffff,0xffffffff,
    0x7ffffff4,0xffffffff,0x7fffffff,0x7fffff40,0x7ffdc002,0xffffd5ff,
    0xffffffbf,0xfffff101,0xfffffd89,0xffffffff,0xffffffff,0x3fffea05,
    0xffffffff,0xffffffff,0x7cc0006f,0x6fffffff,0xffffe800,0xffffffff,
    0xffffffff,0xfffd03ff,0x2003ffff,0x44fffff8,0xfffffffd,0xffffffff,
    0x05ffffff,0x03fffffe,0xffffffb0,0xffffffff,0xbfffffff,0x7ffffff4,
    0xfff1001f,0xf98009ff,0x6fffffff,0xfffff000,0xffffffff,0xffffffff,
    0x3fe05fff,0xffd0ffff,0xffffffff,0xffffffff,0x7407ffff,0xfb07ffff,
    0x0007ffff,0x3fffffd0,0xffffc800,0xfffffd4f,0xffffffff,0xffffffff,
    0x7fffff4f,0xffffffff,0xffffffff,0x7ffff407,0x7fdc002f,0xfffd5fff,
    0xfffff1ff,0xffff10bf,0xffffd89f,0xffffffff,0xffffffff,0xffff105f,
    0x137bffff,0xffffd751,0x40007fff,0xfffffffc,0x7f4001ff,0xffffffff,
    0xffffffff,0x80ffffff,0xfffffffe,0xffff1006,0xffffd89f,0xffffffff,
    0xffffffff,0x3fffe05f,0x7fec00ff,0xffffffff,0xffffffff,0x3ffa5fff,
    0x006fffff,0x09fffff1,0xfffffc80,0x8001ffff,0xffffffff,0xffffffff,
    0xffffffff,0xffffff02,0x3fffffa1,0xffffffff,0xffffffff,0xfffd00ff,
    0x3fff60ff,0xe80003ff,0x001fffff,0xa7ffffe4,0xfffffffe,0xffffffff,
    0x27ffffff,0xfffffffe,0xffffffff,0x07ffffff,0x17fffff4,0x3fffee00,
    0xfffffd5f,0x3fffffee,0x7ffffc42,0x555554c4,0xaaaaaaaa,0xfffffffd,
    0xfffffb03,0xff9003ff,0x001fffff,0xffffff10,0x8009ffff,0xacfffffe,
    0xcbaaaaaa,0xffffffff,0xfffffe84,0xf8803fff,0x54c4ffff,0xaaaaaaaa,
    0xfffdaaaa,0x3e03ffff,0x400fffff,0xaaaaaaa9,0xfdaaaaaa,0x23ffffff,
    0xfffffffe,0xfff8803f,0x3e2004ff,0xffffffff,0xaaa8004f,0xffaaaaaa,
    0xaaacffff,0xf00aaaaa,0x3a1fffff,0xaacfffff,0xfcbaaaaa,0x4fffffff,
    0x0fffffd0,0x0ffffff6,0x3fffa000,0x7e4001ff,0xffd4ffff,0x55559fff,
    0x55555555,0x7ff45555,0xaaaacfff,0xaaaaaaaa,0x7f402aaa,0x4002ffff,
    0xd5fffffb,0x7f4fffff,0x7c46ffff,0x0004ffff,0xffffff98,0xffff504f,
    0x4c001bff,0x05ffffff,0xfffffb80,0x00ffffff,0x3fffffa0,0x3ffee002,
    0xffe87fff,0x0fffffff,0x7ffffc40,0xff980004,0x404fffff,0x00ffffff,
    0xfff98000,0x7f44ffff,0xffffffff,0x7fffc400,0x3fee004f,0xffffffff,
    0xf800000f,0x001fffff,0x3fffffe0,0x5fffffd0,0x7fffdc00,0xfffd07ff,
    0x3fff60ff,0xe80003ff,0x001fffff,0xa7ffffe4,0x02fffffe,0x3fffa000,
    0x000002ff,0x17fffff4,0x3fffee00,0xfffffd5f,0x7fffffcc,0x3ffffe23,
    0x7fc40004,0x205fffff,0x0ffffffe,0xffffc800,0x7f4002ff,0xfffeffff,
    0x3fa003ff,0x4002ffff,0x0ffffffd,0x7ffffff4,0x7c404fff,0x0004ffff,
    0x7fffffc4,0xffff805f,0x400000ff,0xfffffff8,0xfffffe85,0x4404ffff,
    0x004fffff,0x3bfffffa,0x003fffff,0xfffff800,0x3fe0001f,0xffd0ffff,
    0xd8005fff,0x80ffffff,0xb07ffffe,0x007fffff,0xfffffd00,0xfffc8003,
    0xffffd4ff,0x7400005f,0x002fffff,0x7fff4000,0x7dc002ff,0xffd5ffff,
    0xfffc8fff,0xfff10fff,0xe80009ff,0x0effffff,0xffffff10,0x3fe20009,
    0x2005ffff,0xaefffff9,0x006fffff,0x0bfffffa,0xfffff500,0xffffe83f,
    0x01ffffff,0x13ffffe2,0xffffd000,0xff001dff,0x0001ffff,0xfffffe80,
    0xfffe80ef,0x1fffffff,0x3ffffe20,0xffff3004,0xfffff5df,0xff00000d,
    0x0003ffff,0x87fffffc,0x02fffffe,0x7ffffd40,0xffffe81f,0xfffffb07,
    0xffd00007,0xc8003fff,0xfd4fffff,0x0005ffff,0x7fffff40,0x74000002,
    0x002fffff,0xafffffdc,0x447ffffe,0x15ffffff,0x009fffff,0x7ffffe40,
    0x3fee01ff,0x0000ffff,0x1bffffee,0xfffffc80,0xffffff8a,0xffffd001,
    0xff88005f,0x7f41ffff,0xffffffff,0x3ffe206f,0x320004ff,0x1fffffff,
    0xffffff00,0x7e400001,0x01ffffff,0xfffffffd,0x7c40dfff,0x9004ffff,
    0xf15fffff,0x003fffff,0xfffff800,0x3fe0001f,0xffd0ffff,0x88005fff,
    0x81ffffff,0xb07ffffe,0x007fffff,0xfffffd00,0xfffc8003,0xffffd4ff,
    0x7400005f,0x002fffff,0x7fff4000,0x7dc002ff,0xffd5ffff,0xfff50fff,
    0xfff15fff,0x2e0009ff,0x2fffffff,0x7ffffec0,0x7fcc0005,0x3e007fff,
    0xf90fffff,0x2009ffff,0x02fffffe,0x7ffffd40,0xfffffe87,0x03ffffff,
    0x09fffff1,0x3fffee00,0x3e002fff,0x000fffff,0xfffff700,0x7ff405ff,
    0xffffffff,0xffff103f,0x3ffe009f,0xfff90fff,0x800009ff,0x01ffffff,
    0x3ffffe00,0xfffffd0f,0xfffa8005,0xfffd07ff,0x3fff60ff,0xe80003ff,
    0x001fffff,0xa7ffffe4,0x02fffffe,0x3fffa000,0x000002ff,0x17fffff4,
    0x3fffee00,0xfffffd5f,0x3fffff60,0x4fffff9e,0xffff9800,0xfe804fff,
    0x0004ffff,0x7fffffc4,0xffffa801,0x3fffe65f,0xffe800ff,0x6c002fff,
    0xe86fffff,0xffdfffff,0xf880ffff,0x8004ffff,0xfffffff9,0x7fffc004,
    0x980000ff,0x4fffffff,0x7fffff40,0x0ffffffd,0x4fffff88,0xfffffa80,
    0x3ffffe65,0x3e00000f,0x001fffff,0x3fffffe0,0x5fffffd0,0xffffd800,
    0xffffd06f,0x3ffff60f,0xfe80003f,0x4001ffff,0xd4fffffc,0x005fffff,
    0x7ffff400,0x4000002f,0x02fffffe,0x7ffffdc0,0x0fffffd5,0x3fffffe2,
    0x04fffffd,0x7ffffc40,0xfff005ff,0x00007fff,0x05ffffff,0x5fffffb0,
    0x3fffffe8,0xfffffe80,0xfffd1002,0xffd07fff,0xffff1fff,0xfff10bff,
    0xf88009ff,0x05ffffff,0xffffff80,0x7fc40000,0x805fffff,0xf8fffffe,
    0x885fffff,0x804fffff,0x42fffffd,0x03fffffe,0x3fffe000,0x3e0001ff,
    0xfd0fffff,0x2005ffff,0xffffffe8,0xfffffd03,0x3fffff60,0xffe80003,
    0x64001fff,0xfd4fffff,0xddddffff,0xdddddddd,0xffe89ddd,0xeeeeefff,
    0xeeeeeeee,0xffe804ee,0xccccdfff,0xdccccccc,0xfd5fffff,0x7dc0ffff,
    0xffffffff,0x7f4004ff,0x00efffff,0x5ffffff0,0xfffd0000,0xff8807ff,
    0xffb87fff,0xfe806fff,0xeeeeffff,0xfffeeeee,0xd06fffff,0x3eefffff,
    0x442fffff,0x004fffff,0x7ffffff4,0xfff8000e,0x40000fff,0xeffffffe,
    0xffffe800,0xffffff77,0xfffff885,0x7fffc404,0xffffb87f,0x3e00006f,
    0x001fffff,0x3fffffe0,0xdfffffd0,0xdddddddd,0xffffffff,0x7ffff40d,
    0xfffffb07,0xffd00007,0xc8003fff,0xfd4fffff,0xffffffff,0xffffffff,
    0xffe8bfff,0xffffffff,0xffffffff,0xffe805ff,0xffffffff,0xffffffff,
    0xfd5fffff,0xfe80ffff,0xffffffff,0x3ff6004f,0x001fffff,0x3ffffff1,
    0xfffb0000,0xffb809ff,0xff884fff,0x7401ffff,0xffffffff,0xffffffff,
    0x01ffffff,0x74fffffd,0x446fffff,0x004fffff,0x3ffffff6,0xfff0001f,
    0x40001fff,0xfffffffd,0xffffd001,0x7fffff4f,0x7ffffc46,0x7fffdc04,
    0xffff884f,0xf00001ff,0x003fffff,0x7fffffc0,0xffffffd0,0xffffffff,
    0xffffffff,0x7ffff403,0xfffffb07,0xffd00007,0xc8003fff,0xfd4fffff,
    0xffffffff,0xffffffff,0xffe8bfff,0xffffffff,0xffffffff,0xffe805ff,
    0xffffffff,0xffffffff,0xfd5fffff,0xfa80ffff,0xffffffff,0xfff7004f,
    0x8005ffff,0x02ffffff,0xffffe800,0x7fff404f,0xfffd01ff,0xffe809ff,
    0xffffffff,0xffffffff,0x3fa00eff,0x3fe67fff,0x3e23ffff,0x7004ffff,
    0x5fffffff,0x7fffc000,0xf70000ff,0x05ffffff,0x3fffff40,0x7ffffff3,
    0x27ffffc4,0x3fffffa0,0xfffffd01,0x3fe00009,0x0001ffff,0x43fffffe,
    0xfffffffe,0xffffffff,0x00efffff,0x83fffff4,0x03fffffd,0xffffe800,
    0x7fe4001f,0xfffd4fff,0xffffffff,0xffffffff,0xffffe8bf,0xffffffff,
    0xffffffff,0xffffe805,0xffffffff,0xffffffff,0xfffd5fff,0xfffb00ff,
    0x09ffffff,0xffffff30,0xffd0007f,0x00007fff,0x05ffffff,0x37ffffcc,
    0xffffff70,0x7ffff401,0xffffffff,0x3dffffff,0x7ffffe80,0x7fffffe4,
    0x9fffff10,0xfffff300,0xf80007ff,0x000fffff,0xffffff98,0x7ff4003f,
    0x7ffe47ff,0xfff10fff,0x7fcc09ff,0x3ee06fff,0x000fffff,0xffffff80,
    0x3ffe0001,0xfffd0fff,0xffffffff,0xbfffffff,0x3fffa007,0xffffb07f,
    0xfd00007f,0x8003ffff,0xd4fffffc,0xffffffff,0xffffffff,0xfe8bffff,
    0xffffffff,0xffffffff,0xfe805fff,0xffffffff,0xffffffff,0xd5ffffff,
    0x100fffff,0xffffffff,0xfff8809f,0x0005ffff,0x09fffffb,0xffff8800,
    0x3ff201ff,0x3e203fff,0x203fffff,0xfffffffe,0xffffffff,0x3fa000cf,
    0x7fc47fff,0xff15ffff,0xf8809fff,0x05ffffff,0xfffff800,0x7fc4000f,
    0x005fffff,0x47ffffe8,0x5ffffff8,0x09fffff1,0x1fffffe4,0xffffff10,
    0xfff00007,0x40003fff,0xd0ffffff,0xffffffff,0xffffffff,0xffe80019,
    0xfffb07ff,0xd00007ff,0x005fffff,0x3fffffc8,0x59fffffd,0x55555555,
    0xe8555555,0xaacfffff,0xaaaaaaaa,0xe802aaaa,0xccdfffff,0xcccccccc,
    0x5fffffdc,0x00fffffd,0x3fffffee,0x7ff404ff,0x0006ffff,0x17fffff2,
    0xffff3000,0x3fe201ff,0x999affff,0xfffd9999,0x3ffa06ff,0xba99bfff,
    0x3fffffff,0x3ffffa00,0xfffffa87,0xfffff8af,0x7ffff404,0xf00006ff,
    0x001fffff,0xffffffe8,0xfffd0006,0xffff50ff,0xffff15ff,0x3ffe209f,
    0x9999afff,0xffffd999,0xff80006f,0x0001ffff,0x43fffffe,0x9bfffffe,
    0xfffffba9,0x7f4003ff,0xffb07fff,0x00007fff,0x05fffffd,0xfffffc80,
    0x5fffffd3,0x7ff40000,0x00002fff,0x7fffff40,0x7ffdc002,0xffffd5ff,
    0x7fff400f,0x3604ffff,0x0fffffff,0x3ffea000,0x20000fff,0x07fffffb,
    0x3fffffee,0xffffffff,0x1fffffff,0x5fffffd0,0xfffffb10,0xffd001bf,
    0x3ff60fff,0xfff9efff,0x3ff604ff,0x000fffff,0xffffff00,0x7ffec001,
    0x0000ffff,0x20fffffd,0x9efffffd,0x704fffff,0xffffffff,0xffffffff,
    0x003fffff,0xffffff80,0x3ffe0001,0xfffd0fff,0xffb105ff,0x001bffff,
    0x41fffffa,0x03fffffd,0xffffe800,0x7fec002f,0xfffd3fff,0x400005ff,
    0x02fffffe,0x7ff40000,0x5c002fff,0xfd5fffff,0x4c00ffff,0x4fffffff,
    0xffffff70,0xf980003f,0x004fffff,0xffffff10,0x7ffff40d,0xffffffff,
    0xffffffff,0xffffd04f,0x7fff405f,0xfe806fff,0xff107fff,0xfffbffff,
    0x3fee09ff,0x001fffff,0x3ffffe00,0xfff7000f,0x0003ffff,0x83fffff4,
    0xdffffff8,0xd04fffff,0xffffffff,0xffffffff,0x009fffff,0xffffff80,
    0x3ffe0001,0xfffd0fff,0x7ff405ff,0xd006ffff,0x360fffff,0x003fffff,
    0xfffffd80,0x7ffec003,0xffffd3ff,0x7400005f,0x002fffff,0x7fff4000,
    0x7dc002ff,0xffd5ffff,0xfc800fff,0xa84fffff,0x3fffffff,0xfff88000,
    0x8000ffff,0x3ffffffb,0xffffff30,0xffffffff,0xffffffff,0xffffd01f,
    0x7ffc405f,0x7404ffff,0x2e07ffff,0xffffffff,0xffa84fff,0x003fffff,
    0x7ffffc00,0xfffa800f,0x0003ffff,0x03fffff4,0xfffffff7,0xf309ffff,
    0xffffffff,0xffffffff,0x01ffffff,0x7ffffc00,0x3fe0001f,0xffd0ffff,
    0x7c405fff,0x04ffffff,0x07ffffe8,0x07fffffb,0xffff9000,0xffe800bf,
    0xfffd2fff,0x400005ff,0x02fffffe,0x7ff40000,0x5c002fff,0xfd5fffff,
    0x8800ffff,0x44ffffff,0xfffffff8,0x3ea00004,0x005fffff,0x7fffffcc,
    0x3ffff206,0xffffffff,0xffffffff,0xffe83fff,0x7d402fff,0x02ffffff,
    0x01fffffa,0xfffffffd,0xff889fff,0x004fffff,0xfffff800,0x7ffc400f,
    0x0004ffff,0x07ffffe8,0x7ffffff4,0xfc84ffff,0xffffffff,0xffffffff,
    0x03ffffff,0x3ffffe00,0x3fe0001f,0xffd0ffff,0xfa805fff,0x02ffffff,
    0x83fffff4,0x03fffffd,0xffffb800,0xff7002ff,0x3fa3ffff,0x0002ffff,
    0x3fffffa0,0x74000002,0x002fffff,0x2fffffdc,0x35797300,0xfffd1000,
    0x0000dfff,0xffffffd0,0xfff5001d,0x7c05ffff,0xffffffff,0xffffffff,
    0x6fffffff,0x2fffffe8,0xfffffc80,0xfffd00ff,0xfffa80ff,0x4fffffff,
    0x3fffffa2,0xf000006f,0x401fffff,0xffffffe8,0xffd00006,0xffa80fff,
    0xffffffff,0xffffff84,0xffffffff,0xffffffff,0x3e0006ff,0x001fffff,
    0x3fffffe0,0x5fffffd0,0xfffff900,0x7ff401ff,0xfffb07ff,0x300007ff,
    0x1fffffff,0xfffff880,0x3ffffa7f,0x3a00002f,0x002fffff,0x7fff4000,
    0x7dc002ff,0x2005ffff,0x1efffffd,0x3ffff600,0x00000fff,0xffffff98,
    0x6d441bff,0x5fffffff,0x3ffffea0,0xfffa8007,0x7ff41fff,0xe8802fff,
    0x05ffffff,0x00fffffd,0xfffffffb,0x7ffec9ff,0x0000ffff,0xffffff00,
    0x7fffec01,0x00000fff,0x00fffffd,0xfffffffb,0xfffa89ff,0xfa8007ff,
    0x001fffff,0x3ffffff0,0x7fffc000,0xffffd0ff,0xffd1005f,0x740bffff,
    0xfb07ffff,0x0007ffff,0x3fffff60,0xffd502ef,0x7f47ffff,0x0002ffff,
    0x3fffffa0,0x74000002,0x002fffff,0x2fffffdc,0xfffffb00,0xff7001ff,
    0x337fffff,0x33333333,0x01333333,0x3ffffff2,0xfffeffff,0xffffffff,
    0x3ffff600,0xfff0004f,0xffe89fff,0xf5002fff,0x05ffffff,0x00fffffd,
    0xfffffff1,0x3ffee9ff,0x999bffff,0x99999999,0xf0099999,0x201fffff,
    0xfffffffb,0x9999999b,0x99999999,0xfffffd09,0xfffff100,0xfd89ffff,
    0x0004ffff,0x09ffffff,0x3ffffe00,0x3fe0001f,0xffd0ffff,0x2a005fff,
    0x2fffffff,0x0fffffd0,0x33fffff6,0x99999999,0x21999999,0xfffffff9,
    0xfffeeeff,0x747fffff,0x99bfffff,0x99999999,0xd0999999,0x337fffff,
    0x33333333,0x01333333,0x17fffff4,0x3fffee00,0xfa98005f,0xfb802fff,
    0xffffffff,0xffffffff,0x3fffffff,0xfffffb10,0xffffffff,0x5fffffff,
    0x7ffffc40,0xff90001f,0x7f41ffff,0x2002ffff,0xeffffffc,0x3fffff40,
    0xfffffb80,0xfff74fff,0xffffffff,0xffffffff,0x207fffff,0x00ffffff,
    0xfffffff7,0xffffffff,0xffffffff,0x3ffffa7f,0xffff7007,0x7c49ffff,
    0x001fffff,0xffffff90,0xffff0001,0x7c0003ff,0xfd0fffff,0x4005ffff,
    0xeffffffc,0x7ffffe80,0xffffffb0,0xffffffff,0x8fffffff,0xfffffffd,
    0xffffffff,0x7f43ffff,0xffffffff,0xffffffff,0xfd3fffff,0xffffffff,
    0xffffffff,0x407fffff,0x02fffffe,0x7ffffdc0,0x3ff60005,0xfffb803f,
    0xffffffff,0xffffffff,0x403fffff,0xfffffffa,0xffffffff,0x7dc00dff,
    0x0006ffff,0x3fffffe6,0x3fffffa3,0x3ffa2002,0x7f44ffff,0x3a007fff,
    0x4fffffff,0xfffffff7,0xffffffff,0xffffffff,0x3fffe07f,0xfff700ff,
    0xffffffff,0xffffffff,0x3a7fffff,0x2007ffff,0xfffffffe,0x3ffffee4,
    0x3fe60006,0x8003ffff,0x01ffffff,0x3ffffe00,0xfffffd0f,0x7ff44005,
    0xfe84ffff,0xffb07fff,0xffffffff,0xffffffff,0xfff90fff,0xffffffff,
    0x09ffffff,0xfffffffd,0xffffffff,0x7fffffff,0x3ffffffa,0xffffffff,
    0xffffffff,0x3ffffa03,0x7fdc002f,0x88005fff,0x801ffffa,0xfffffffb,
    0xffffffff,0xffffffff,0xffd8803f,0xffffffff,0xd003ffff,0x007fffff,
    0xfffffe80,0x3fffffa6,0x7ffd4002,0x3fa1ffff,0x26007fff,0x4fffffff,
    0xfffffff7,0xffffffff,0xffffffff,0x3fffe07f,0xfff700ff,0xffffffff,
    0xffffffff,0x3a7fffff,0x2007ffff,0xfffffff9,0x3fffffa4,0x7ff40003,
    0xf8006fff,0x001fffff,0x3fffffe0,0x5fffffd0,0xffffa800,0x7ff41fff,
    0xfffb07ff,0xffffffff,0xffffffff,0x3ffea0ff,0xffffffff,0xfd01efff,
    0xffffffff,0xffffffff,0x3a7fffff,0xffffffff,0xffffffff,0x03ffffff,
    0x0bfffffa,0xfffff700,0xfeefe80b,0x004fffff,0xfffffff7,0xffffffff,
    0xffffffff,0x7654007f,0xefffffff,0xff3000cd,0x0001ffff,0xffffffb8,
    0x5fffffd1,0xffff9000,0x7fff4dff,0x7fe4007f,0xff74ffff,0xffffffff,
    0xffffffff,0x07ffffff,0x03fffffe,0x7fffffdc,0xffffffff,0xffffffff,
    0xffffd3ff,0xfffc800f,0xfff34fff,0x80001fff,0x1ffffffb,0x7ffffc00,
    0x3fe0001f,0xffd0ffff,0x90005fff,0x8dffffff,0xb07ffffe,0xffffffff,
    0xffffffff,0x440fffff,0xffffffec,0x200cefff,0xfffffffe,0xffffffff,
    0x3fffffff,0xfffffffd,0xffffffff,0x7fffffff,0x7fffff40,0x7ffdc002,
    0x7ff405ff,0x04ffffff,0x3ffffee0,0xffffffff,0xffffffff,0x20003fff,
    0x0001ab98,0x17fffff6,0x3ffe2000,0xfffd4fff,0xd10005ff,0x27ffffff,
    0x007ffffe,0x7fffffc4,0xffffff74,0xffffffff,0xffffffff,0x3ffe07ff,
    0xff700fff,0xffffffff,0xffffffff,0x27ffffff,0x007ffffe,0x7fffffc4,
    0xbfffffb4,0xfff10000,0xf8009fff,0x001fffff,0x3fffffe0,0x5fffffd0,
    0xfffd1000,0x7ff47fff,0xfffb07ff,0xffffffff,0xffffffff,0x2aa200ff,
    0x000aaaba,0xfffffffd,0xffffffff,0x7fffffff,0x3ffffffa,0xffffffff,
    0xffffffff,0x3ffffa03,0x7fdc002f,0x65c05fff,0x002cceed,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3a600000,
    0x000deeee,0x0f777540,0x0037bbb2,0x00198800,0x222f7764,0x5404eeed,
    0x6541cccc,0xdb001ccc,0xeed889dd,0x3ae0003e,0x77640dee,0xea80005e,
    0x0005eeee,0xcccca800,0x0e666541,0x37260000,0x02ee980b,0x00f32000,
    0x20000999,0x00deeeec,0x3bb60000,0x70002eee,0x97b6059b,0xaaaaaaaa,
    0x001aaaaa,0xec8166d4,0x9500000e,0xcca83999,0xc80001cc,0xccc84ccc,
    0x880000cc,0xee880bdc,0x3f600003,0x0002ffff,0x54dfffd0,0x0002ffff,
    0x000ffec0,0x6c9ffff3,0x6400ffff,0x7e42ffff,0xf3003fff,0x7ff47fff,
    0x220000ff,0x3ee5fffe,0x00002fff,0x05fffff9,0xffc80000,0x7ffe43ff,
    0x3600003f,0x8bdfffff,0x0002ffd8,0x5407ffa0,0xa80005ff,0x05ffffff,
    0xfff30000,0xf5000bff,0x159fffff,0x7fecdff5,0xffffffff,0xfd3005ff,
    0x3159ffff,0x40000fff,0x642ffffc,0x0003ffff,0x40fffff8,0x000fffff,
    0x7ffffe40,0x4ffc89bd,0xfff10000,0x400005ff,0xf9cffff9,0x00005fff,
    0x4002ffd8,0xfbaffffb,0xfc802fff,0x7fe42fff,0x3f2003ff,0xfffc9fff,
    0xf980002f,0xfff9bfff,0x6c00004f,0x0006ffff,0x7fffe400,0x1ffffe43,
    0xfffb8000,0xffffffff,0x200001ff,0x7440dffc,0x440003ff,0xffffffff,
    0xfd800003,0x88005fff,0xffffffff,0x365fffff,0xffffffff,0xd005ffff,
    0xffffffff,0x000dffff,0x17fffe40,0x00fffff2,0x3ffffe00,0x07ffffc0,
    0xffff5000,0xffffffff,0x3200005f,0x0003ffff,0xfffffb80,0x0000ffff,
    0xfffffb70,0x3f60039d,0x5fffffff,0x5ffff900,0x03ffffc8,0x7fffff40,
    0x00004fff,0x3fffffee,0x00000eff,0x01ffffd8,0x3ff20000,0x7ffe43ff,
    0xfd00003f,0xfffffdff,0x0000dfff,0xcdffff88,0x000ffffe,0x6f7fff40,
    0x0000ffff,0x1bfffe60,0x77ffcc00,0xfffffffe,0x3ffff62f,0xffffffff,
    0xefff8805,0xfffffffe,0x3200003f,0x7e42ffff,0x80003fff,0x7c0fffff,
    0x0000ffff,0x3ffbfff2,0x07ffffff,0xffff1000,0x6c000009,0x2fffffff,
    0xffe98000,0xffffffff,0xffff8804,0x9000ffff,0xfc85ffff,0x4c003fff,
    0x6fffffff,0xffe80000,0x001fffff,0x3fffa000,0x32000005,0x7e43ffff,
    0x00003fff,0x32a21fff,0x000dffff,0xffffb800,0x001fffff,0x4ffffdc0,
    0x006ffff8,0x3bfff600,0x7ff50000,0x77fff5c4,0x55555543,0x1aaaaaaa,
    0x225ff980,0x03ffffdb,0x7ffe4000,0x7fffe42f,0xfff80003,0x7fffc0ff,
    0x3f60000f,0x3fff261f,0x700001df,0x00009fff,0xfffff880,0xfa80004f,
    0xffffffff,0xa806ffff,0x02ffffff,0x02aaaa60,0x00155553,0xffffff70,
    0xf1000003,0x009fffff,0xffe88000,0x3000001f,0xa9815555,0x00001aaa,
    0x05540799,0x3aa00000,0x01efffff,0x7fffcc00,0x0ffffe63,0x3ffe2000,
    0x3260000e,0x0055100c,0xcc880000,0x00055101,0x2aaaa600,0x055554c0,
    0x55554000,0x02aaaa82,0x30265c00,0xa8000035,0x000002aa,0x05555530,
    0xffff1000,0xffffffff,0x55009fff,0x00005555,0xaa800000,0x00001aaa,
    0x0aaaaa60,0x54400000,0x000001aa,0x00026620,0x26620000,0x80000000,
    0x0001aca9,0x30555530,0x00005555,0x00015553,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x36000000,0xfeefffff,
    0xffffffef,0x76c00001,0x4001eeee,0x03eeeeeb,0x00000000,0x00000000,
    0x22000000,0xffffffdb,0x00001bce,0x7fffedc4,0x001bceff,0x00000000,
    0x00000000,0x00000000,0xeeeee800,0x7440000e,0x003eeeee,0x3bbbbb20,
    0xdd70002e,0x0005dddd,0x7dddddd1,0x3bbb2000,0x744002ee,0x76c3eeee,
    0xeeeeeeee,0xeeeeeeee,0x0005eeee,0x7dddddd1,0x7ffcc000,0x9ffd8dff,
    0x04fffffa,0x07777774,0x1fffffe8,0x7fffe400,0xdddddb4f,0x9bdddddd,
    0x36001579,0xeeeeeeee,0xeeeeeeee,0x005eeeee,0xdddddd10,0x32000007,
    0xffffffff,0x00dfffff,0xffffc800,0xffffffff,0x400000df,0x3eeeeee8,
    0xddddb000,0x3b20000b,0x002eeeee,0xdddddd70,0x77777405,0xffff000e,
    0xb80001ff,0x0fffffff,0xffff3000,0xf3000dff,0x00dfffff,0x3ffffee0,
    0xfe8000ff,0x000fffff,0x13ffffe2,0xfffffffd,0xffffffff,0x0fffffff,
    0x3fffee00,0x50000fff,0x361fffff,0xffffb1ff,0xfffff80d,0xffffd00f,
    0xffc8003f,0xfffd4fff,0xffffffff,0x39ffffff,0xfffffe80,0xffffffff,
    0xffffffff,0xfff70007,0x0001ffff,0x7ffff4c0,0xffffffff,0x0003ffff,
    0xffffffd3,0xffffffff,0x400007ff,0xfffffffb,0xffff8000,0xf300007f,
    0x00dfffff,0xffffff30,0xfffff80d,0xffff000f,0xe80001ff,0x3fffffff,
    0x3fff2000,0x6c003fff,0x01ffffff,0xfffffd00,0xfd0007ff,0x009fffff,
    0x27ffffc4,0x3ffffffa,0xffffffff,0x7fffffff,0xffffd000,0x20007fff,
    0x365ffffb,0x579b31ff,0xfffff803,0xffffd00f,0xffc8003f,0xfffd4fff,
    0xffffffff,0xffffffff,0x7ffff407,0xffffffff,0xffffffff,0xffd0007f,
    0x007fffff,0x3fffee00,0xffffffff,0xdfffffff,0x3ffee000,0xffffffff,
    0xffffffff,0xfe80000d,0x03ffffff,0x7fffff80,0x3ff20000,0x4003ffff,
    0x1ffffffd,0x7fffffc0,0xfffff000,0x7cc0001f,0x6fffffff,0x3ffe2000,
    0x5000ffff,0x09ffffff,0x3fffe600,0x8006ffff,0xfffffffe,0xffff1001,
    0xffffe89f,0xffffffff,0xffffffff,0xff98007f,0x06ffffff,0xbffff900,
    0x0000ffec,0x01ffffff,0x07fffffa,0xfffff900,0x3fffffa9,0xffffffff,
    0x5fffffff,0xffffffd0,0xffffffff,0xffffffff,0xffff3000,0x000dffff,
    0xffffff50,0xffffffff,0xdfffffff,0x3fffea00,0xffffffff,0xffffffff,
    0x7cc0006f,0x6fffffff,0xfffff800,0x3e200007,0x00ffffff,0xffffff50,
    0xfffff009,0x3ffe001f,0x20000fff,0xfffffffc,0x2a0001ff,0x05ffffff,
    0xffffffd0,0x3ff20001,0x1fffffff,0x7ffff400,0xf1006fff,0xfe89ffff,
    0xffffffff,0xffffffff,0x8007ffff,0xfffffffc,0xfb8001ff,0x3ff67fff,
    0x3ffe0001,0xffd00fff,0xc8003fff,0xfd4fffff,0xffffffff,0xffffffff,
    0xfd07ffff,0xffffffff,0xffffffff,0x000fffff,0xfffffff9,0x440003ff,
    0xffffffff,0xeba889bd,0x3fffffff,0x7ffffc40,0x889bdfff,0xfffffeba,
    0x320003ff,0xffffffff,0x7ffc001f,0x400007ff,0x5ffffffa,0xfffffd00,
    0xffff001f,0x3fe001ff,0x0000ffff,0xfffffff1,0x80009fff,0x2ffffffd,
    0x7ffffdc0,0xff10002f,0xffffffff,0xfffe8009,0x803fffff,0x44fffff8,
    0xacfffffe,0xaaaaaaaa,0x02aaaaaa,0x7ffffc40,0x004fffff,0x4fffffa8,
    0x40003ffb,0x00ffffff,0x03fffffd,0xfffffc80,0x9fffffd4,0xd9975555,
    0xffffffff,0xfffffe81,0xaaaaaaac,0xaaaaaaaa,0x7ffc4002,0x4fffffff,
    0x3fff6000,0xc801ffff,0x0fffffff,0x3fffff60,0xffc801ff,0x000fffff,
    0xffffff88,0x4004ffff,0x007fffff,0xffffd800,0x7fdc02ff,0xf002ffff,
    0x001fffff,0x03fffffe,0x7fffdc00,0x0fffffff,0x3ffe2000,0x3e206fff,
    0x005fffff,0x3ffffee0,0x00ffffff,0x3fffffa0,0x4400ffff,0x744fffff,
    0x002fffff,0x7fdc0000,0xffffffff,0x7fc4000f,0xffeeffff,0x3ffe0001,
    0xffd00fff,0xc8003fff,0xfd4fffff,0x5005ffff,0x9ffffffd,0x2fffffe8,
    0x5c000000,0xffffffff,0xa8000fff,0x0dffffff,0x3fffe600,0xfff505ff,
    0x4001bfff,0x5ffffff9,0xffffb800,0x0fffffff,0x3ffffe00,0xf8800007,
    0x206fffff,0x5ffffff8,0x3ffffe00,0xffff000f,0x3a0001ff,0xffefffff,
    0x40003fff,0x3ffffffb,0xffffff90,0x7ff40001,0xffffefff,0x3ffa003f,
    0x4fffffff,0x7ffffc40,0x7fffff44,0x40000002,0xfefffffe,0x8003ffff,
    0xfffffffc,0x3e0002ff,0xd00fffff,0x003fffff,0x4fffffc8,0x05fffffd,
    0x7ffffec0,0x3ffffa1f,0x0000002f,0x77fffff4,0x003fffff,0xffffffe8,
    0xfffc8000,0xffe82fff,0x8000ffff,0x2ffffffc,0x7ffff400,0x3fffffef,
    0x3ffffe00,0xf7000007,0x207fffff,0x0ffffffc,0x3ffffe00,0xffff000f,
    0xf30001ff,0xff5dffff,0x0000dfff,0x1ffffffd,0xffffff98,0x3fe60003,
    0xfffaefff,0x3fa006ff,0xffffffff,0x3ffe201f,0x7fff44ff,0x000002ff,
    0x3ffffe60,0x6fffffae,0xffff8800,0xbeffffff,0x7fffc000,0xfffd00ff,
    0xfc8003ff,0xffd4ffff,0x44005fff,0x25ffffff,0x02fffffe,0x3e600000,
    0xffaeffff,0x44006fff,0x04ffffff,0xfffff100,0xffff88bf,0xf10004ff,
    0x00bfffff,0x77ffffcc,0x06fffffa,0x1fffffe0,0x006f36e6,0x3fffffa0,
    0x7fffcc0f,0x7fc003ff,0xf000ffff,0x001fffff,0x5fffff90,0x3ffffff1,
    0xfff98000,0x7ff44fff,0x40006fff,0x8afffffc,0x01ffffff,0xffffffd0,
    0x440dffff,0x744fffff,0x002fffff,0x3ff20000,0xfff8afff,0xa8001fff,
    0xffffffff,0x000dffff,0x01ffffff,0x07fffffa,0xfffff900,0x3fffffa9,
    0x7ffe4002,0xfffd0fff,0x000005ff,0x7ffffe40,0xffffff8a,0x3ffee001,
    0x20000fff,0x46fffffb,0x0ffffffb,0x3ffee000,0x3f2006ff,0xff8affff,
    0xf001ffff,0x7dcfffff,0x1effffff,0x3fffe600,0x7fff44ff,0xff8006ff,
    0xf000ffff,0x001fffff,0x1ffffff0,0x13fffff2,0x3fff2000,0xfff51fff,
    0x80003fff,0x90ffffff,0x009fffff,0x3ffffffa,0x103fffff,0xe89fffff,
    0x002fffff,0x3ffe0000,0xfff90fff,0x260009ff,0xfffffffe,0x801fffff,
    0x00ffffff,0x03fffffd,0xfffffc80,0x5fffffd4,0xffff8800,0xffffd1ff,
    0x0000005f,0x87fffffc,0x04fffffc,0x3fffff60,0x7fcc0005,0x7fec7fff,
    0x40005fff,0x07fffff9,0x3fffffe0,0x9fffff90,0x3ffffe00,0xffffffb7,
    0x4005ffff,0x1ffffffc,0x3ffffff5,0xfffff000,0x3ffe001f,0x54000fff,
    0x265fffff,0x00ffffff,0x7fff4400,0xffff8eff,0x540004ff,0x265fffff,
    0x00ffffff,0xdfffffe8,0x80ffffff,0x44fffff8,0x02fffffe,0xff500000,
    0x7fccbfff,0x0000ffff,0xffffff71,0x03ffffff,0x0ffffff8,0x3fffffd0,
    0xffffc800,0xfffffd4f,0xfffd0005,0x3fffa7ff,0x000002ff,0xbfffff50,
    0x7fffffcc,0xffffd000,0xf880009f,0x3a1fffff,0x004fffff,0x7ffffc40,
    0xfffa801f,0x3ffe65ff,0xff800fff,0xfffeffff,0xffffffff,0xffd1000f,
    0xfff1dfff,0x20009fff,0x00ffffff,0x1ffffff0,0xffffd800,0x7ffff42f,
    0xfa80003f,0xffefffff,0x0000efff,0x17ffffec,0x0ffffffa,0x3fffffa0,
    0x5ffffff8,0x4fffff88,0x77fffff4,0xeeeeeeee,0x04eeeeee,0x3fffff60,
    0x7fffff42,0xfea80003,0xffffffff,0x7ffffc06,0xffffd00f,0xffc8003f,
    0xfffd4fff,0xfb0005ff,0x3fa9ffff,0xeeeeffff,0xeeeeeeee,0x36004eee,
    0x742fffff,0x003fffff,0x07ffffff,0xfffff000,0x7ffffc5f,0xff80003f,
    0xd802ffff,0x742fffff,0x803fffff,0xffffffff,0xffffeeff,0x2a004fff,
    0xfeffffff,0x000effff,0x1ffffff0,0x3ffffe00,0x3fe2000f,0xffb87fff,
    0x00006fff,0xfffffffb,0x0005ffff,0x7fffff88,0x6fffffb8,0x7ffffe80,
    0x5ffffff7,0x4fffff88,0x7ffffff4,0xffffffff,0x05ffffff,0xffffff10,
    0xdfffff70,0x3ff60000,0xfffffffe,0x3ffffe02,0xffffd00f,0xffc8003f,
    0xfffd4fff,0xf90005ff,0x3fabffff,0xffffffff,0xffffffff,0xf1005fff,
    0xf70fffff,0x200dffff,0x02ffffff,0xffffe800,0x3ffffe3f,0xfe80002f,
    0x4403ffff,0xb87fffff,0x806fffff,0xffffffff,0x3fffa20a,0x7ec007ff,
    0xffffffff,0x3e0002ff,0x000fffff,0x01ffffff,0x7ffffdc0,0xfffff884,
    0xf880001f,0xffffffff,0xfb80005f,0xf884ffff,0x401fffff,0x3a7ffffe,
    0x446fffff,0x744fffff,0xffffffff,0xffffffff,0x7005ffff,0x109fffff,
    0x03ffffff,0x33ffb000,0x09fffffd,0x07fffffc,0x1fffffe8,0x7fffe400,
    0xfffffd4f,0xfff90005,0x3fffabff,0xffffffff,0xffffffff,0xfff7005f,
    0xfff109ff,0xf8803fff,0x001fffff,0xfffffd80,0xffffff14,0xffb00003,
    0xfb809fff,0xf884ffff,0x401fffff,0x2fffffff,0xffffff10,0x7ffc4001,
    0x5fffffff,0x7fffc000,0xfff000ff,0x74001fff,0xd01fffff,0x009fffff,
    0x3fffee00,0x000fffff,0xfffffe80,0xfffffd01,0xffffe809,0x3ffffe67,
    0x3fffe23f,0x7ffff44f,0xffffffff,0xffffffff,0xffffd005,0x3fffa03f,
    0xd80004ff,0x3fffa1ff,0x3fffe05f,0xfffd00ff,0xfc8003ff,0xffd4ffff,
    0x70005fff,0x3adfffff,0xffffffff,0xffffffff,0xd005ffff,0x203fffff,
    0x04fffffe,0x2ffffff8,0xfffe8000,0x3fffe4ff,0xe80002ff,0x404fffff,
    0x01fffffe,0x09fffffd,0x4ffffff8,0x7ffffec0,0x7ffdc001,0x00ffffff,
    0x7ffffc00,0xffff000f,0x3e6001ff,0x2e06ffff,0x00ffffff,0xffffd000,
    0x00007fff,0x0dfffff3,0x7fffffdc,0x3ffffa00,0x7ffffe47,0xfffff10f,
    0xfffffe89,0xffffffff,0x5fffffff,0xfffff980,0x3fffee06,0x20c000ff,
    0x3fee1ffd,0x3ffe07ff,0xffd00fff,0xc8003fff,0xfd4fffff,0x0005ffff,
    0x2dfffff9,0xfffffffe,0xffffffff,0x805fffff,0x06fffff9,0x3fffffee,
    0x7ffff400,0xff80003f,0x3fa2ffff,0x0003ffff,0x2ffffff8,0x3ffffe60,
    0x3fffee06,0x3ffe00ff,0x7e401fff,0x8001ffff,0xfffffffe,0xfff80003,
    0xff000fff,0x2001ffff,0x03fffffc,0x3fffffe2,0xff300003,0x000dffff,
    0x3fffff20,0x3fffe203,0x3ffa03ff,0x7ffc47ff,0xfff15fff,0xfffe89ff,
    0xaaaaacff,0xaaaaaaaa,0xfffc802a,0x3fe203ff,0x2603ffff,0x361fffed,
    0x3ffe61ff,0x3fffe06f,0xfffd00ff,0xfc8005ff,0xffd3ffff,0x90005fff,
    0x3abfffff,0xaacfffff,0xaaaaaaaa,0xc802aaaa,0x203fffff,0x3ffffff8,
    0x7ffffec0,0x7fc40004,0x3f61ffff,0x0004ffff,0x7fffffc4,0x3ffff201,
    0x3ffe203f,0x3fe03fff,0x6400ffff,0x002fffff,0xffffff98,0xfff00006,
    0x3e001fff,0x800fffff,0xaffffff8,0xd9999999,0x006fffff,0x3ffff600,
    0xf880002f,0x99afffff,0xffd99999,0x3fa06fff,0xffa87fff,0xff8affff,
    0x7ff44fff,0x00002fff,0x3ffffe20,0x999999af,0x6fffffd9,0x3ffffe60,
    0xfb87ff65,0x3fe05fff,0xfd00ffff,0x8005ffff,0xd3fffffc,0x005fffff,
    0xbfffff90,0x0bfffffa,0xff880000,0x999affff,0xfffd9999,0x7fe406ff,
    0x40005fff,0x0ffffff9,0x17fffff2,0xffff3000,0x3fe201ff,0x999affff,
    0xfffd9999,0x3ffe06ff,0xffc807ff,0xb0002fff,0x005fffff,0x3ffffe00,
    0xffff000f,0xff7001ff,0xffffffff,0xffffffff,0x00003fff,0x0bfffff6,
    0x3ffee000,0xffffffff,0xffffffff,0xfffd01ff,0x3fff60ff,0xffff9eff,
    0x7ffff44f,0x2000002f,0xfffffffb,0xffffffff,0x01ffffff,0x43fffffe,
    0x3ffa1ffd,0x3ffe03ff,0xffd00fff,0xd8005fff,0xfd3fffff,0x0005ffff,
    0x29fffffd,0x02fffffe,0x3fee0000,0xffffffff,0xffffffff,0x3ea01fff,
    0x000fffff,0x3ffffee0,0x7ffffd47,0x3ee0000f,0x2e07ffff,0xffffffff,
    0xffffffff,0xf01fffff,0x700fffff,0x005fffff,0x3fffff60,0xfff00002,
    0x3e001fff,0x800fffff,0xfffffffe,0xffffffff,0x04ffffff,0xffffb000,
    0xfd00005f,0xffffffff,0xffffffff,0x3a09ffff,0xf107ffff,0xffbfffff,
    0xffe89fff,0x00002fff,0x3fffffa0,0xffffffff,0xffffffff,0x3ffff204,
    0x71ffd9ff,0x403fffff,0x00ffffff,0x07fffffb,0xfffffd80,0x5fffffd3,
    0xfffff000,0x3ffffa5f,0x2000002f,0xfffffffe,0xffffffff,0x04ffffff,
    0x3fffffe6,0xfff10004,0xff98dfff,0x0004ffff,0xdffffff1,0x7fffff40,
    0xffffffff,0xffffffff,0xffffff04,0xfffff700,0x3ff60005,0x00002fff,
    0x01ffffff,0x3fffffe0,0x7fffcc00,0xffffffff,0xffffffff,0x80000fff,
    0x02fffffd,0x7fffcc00,0xffffffff,0xffffffff,0xffe80fff,0x3fee07ff,
    0xffffffff,0x7ffff44f,0x3000002f,0xffffffff,0xffffffff,0x1fffffff,
    0x3ffffe60,0xfecffeff,0x7c05ffff,0x900fffff,0x00bfffff,0x2fffffe8,
    0x05fffffd,0xfffff980,0xfffffd0f,0x26000005,0xffffffff,0xffffffff,
    0x0fffffff,0xffffff10,0xff70001f,0xf887ffff,0x00ffffff,0xfffffb80,
    0xffff303f,0xffffffff,0xffffffff,0xfff01fff,0xff700fff,0x20005fff,
    0x02fffffd,0xfffff000,0x3ffe001f,0x7e400fff,0xffffffff,0xffffffff,
    0x03ffffff,0xffffd800,0x7e40002f,0xffffffff,0xffffffff,0x83ffffff,
    0x407ffffe,0xfffffffe,0x7ff44fff,0x00002fff,0xffffff90,0xffffffff,
    0xffffffff,0x7ffdc07f,0xffffffff,0x400fffff,0x00ffffff,0x5ffffff7,
    0x3fffee00,0xffffd1ff,0xffe8005f,0x3ffa6fff,0x00002fff,0xffffff90,
    0xffffffff,0xffffffff,0x7ffd407f,0x4c005fff,0x06ffffff,0xbffffff5,
    0xffff9800,0x3ff206ff,0xffffffff,0xffffffff,0xf83fffff,0xb807ffff,
    0x002fffff,0x5fffffb0,0x3ffe0000,0xff000fff,0xf801ffff,0xffffffff,
    0xffffffff,0x6fffffff,0xfffd8000,0x7c0002ff,0xffffffff,0xffffffff,
    0x6fffffff,0x07ffffe8,0x7fffffd4,0x7f44ffff,0x0002ffff,0xffffff00,
    0xffffffff,0xffffffff,0xffd80dff,0xffffffff,0xf801ffff,0x300fffff,
    0x1fffffff,0xfffff880,0x3ffffa7f,0x3fea002f,0x3fa3ffff,0x0002ffff,
    0xffffff00,0xffffffff,0xffffffff,0xffe80dff,0x800effff,0xfffffffa,
    0x3ffffa02,0xfa800eff,0x02ffffff,0x3ffffffe,0xffffffff,0xffffffff,
    0xfffff86f,0xffffb807,0xffb0002f,0x00005fff,0x03fffffe,0x7fffffc0,
    0x3fffea00,0xffa8007f,0x0001ffff,0x17ffffec,0xffff5000,0xff5000ff,
    0xfe83ffff,0xfd807fff,0xffffffff,0x7fffff44,0xfa800002,0x8007ffff,
    0x1ffffffa,0x7ffffe40,0x0effffff,0xffffff00,0x7fffec01,0xfd502eff,
    0x747fffff,0x002fffff,0xfffffff5,0x2fffffe8,0xffa80000,0xa8007fff,
    0x01ffffff,0x3fffffe6,0x6d441bff,0x5fffffff,0x7ffffcc0,0x5441bfff,
    0xfffffffd,0x3fffea05,0xffa8007f,0x7fc1ffff,0xfb807fff,0x0002ffff,
    0x05fffffb,0x3fffe000,0xfff000ff,0x7ec01fff,0x0004ffff,0x09ffffff,
    0xffffd800,0x3f60002f,0x0004ffff,0x89ffffff,0x807ffffe,0xfffffff8,
    0x7fff44ff,0x99999bff,0x99999999,0x7fec0999,0xf0004fff,0x009fffff,
    0xffffffb3,0xff8005bf,0x2600ffff,0xffffffff,0xffffeeef,0x7f47ffff,
    0x999bffff,0xffeb9999,0x743fffff,0x99bfffff,0x99999999,0x40999999,
    0x04fffffd,0xffffff00,0xffffc809,0xfeffffff,0xffffffff,0xffc800ff,
    0xffffffff,0xfffffffe,0x3600ffff,0x004fffff,0x9ffffff0,0x07fffff8,
    0x2fffffb8,0xffffb000,0x3e00005f,0x000fffff,0x01ffffff,0x3fffffe2,
    0xfff90001,0x40001fff,0x02fffffd,0xfffff100,0x3f20003f,0x3a0fffff,
    0x7007ffff,0xffffffff,0xfffffe89,0xffffffff,0xffffffff,0x3fffe23f,
    0xf90001ff,0x001fffff,0x001fff4c,0x1ffffff0,0xfffffd80,0xffffffff,
    0x43ffffff,0xfffffffe,0xffffffff,0x85ffffff,0xfffffffe,0xffffffff,
    0x3fffffff,0x3fffffe2,0xfff90001,0x6c401fff,0xffffffff,0xffffffff,
    0x1002ffff,0xfffffffb,0xffffffff,0x405fffff,0x1ffffff8,0xffff9000,
    0x7fffc1ff,0xfffb807f,0xfb0002ff,0x0005ffff,0x3fffffe0,0xfffff000,
    0x3ffee01f,0x260006ff,0x03ffffff,0x3ffff600,0xff70002f,0x4000dfff,
    0x3ffffff9,0x01fffffa,0xffffffe8,0x7ffff44f,0xffffffff,0xffffffff,
    0x3ffee3ff,0x260006ff,0x03ffffff,0x000ffec0,0x1ffffff0,0xfffff900,
    0xffffffff,0xfd09ffff,0xffffffff,0xffffffff,0xfd01dfff,0xffffffff,
    0xffffffff,0x5c7fffff,0x006fffff,0x3ffffe60,0xfffa803f,0xffffffff,
    0x0dffffff,0xffffa800,0xffffffff,0x00dfffff,0x37ffffdc,0xffff3000,
    0x7fffc7ff,0xfffb807f,0xfb0002ff,0x0005ffff,0x3fffffe0,0xfffff000,
    0x3fffa01f,0x740003ff,0x006fffff,0x3fffff60,0xfffd0002,0xe80007ff,
    0x3a6fffff,0x2007ffff,0xfffffff9,0x7fffff44,0xffffffff,0xffffffff,
    0x3ffffa3f,0x7f40003f,0x4006ffff,0x20001ffd,0x00ffffff,0xffffff50,
    0xffffffff,0x3fffa03d,0xffffffff,0xffffffff,0x3ffffa03,0xffffffff,
    0xffffffff,0x3fffa3ff,0x740003ff,0x006fffff,0xffffffb1,0xffffffff,
    0xfd880007,0xffffffff,0x003fffff,0x07fffffd,0xffffe800,0x3ffffe6f,
    0xffffb807,0xffb0002f,0x00005fff,0x03fffffe,0x7fffffc0,0xfffff980,
    0x7dc0000f,0x001fffff,0x5fffffb0,0xffff3000,0xb80001ff,0xd1ffffff,
    0x800fffff,0x4ffffffc,0x7ffffff4,0xffffffff,0xffffffff,0xffffff33,
    0xffb80001,0x2001ffff,0x20001ffd,0x00ffffff,0x3fffb220,0xceffffff,
    0x3ffffa00,0xffffffff,0x00cfffff,0x7ffffff4,0xffffffff,0xffffffff,
    0xffffff33,0xffb80001,0x2001ffff,0xfffffeca,0x000cdeff,0x3ffb2a00,
    0xcdefffff,0xffff3000,0xb80001ff,0xf1ffffff,0x700fffff,0x005fffff,
    0x3fffff60,0xfff00002,0x3e001fff,0xd80fffff,0x005fffff,0xfffff880,
    0xffb0004f,0xb0005fff,0x00bfffff,0xfffff100,0x3ffffa9f,0x7ffc4007,
    0x7ff44fff,0xffffffff,0xffffffff,0xffb3ffff,0x0000bfff,0x9ffffff1,
    0x00554c00,0xffffff00,0x2aa20001,0x000aaaba,0xfffffffd,0xbdffffff,
    0x3ffa0037,0xffffffff,0xffffffff,0xffb3ffff,0x0000bfff,0x9ffffff1,
    0x55cc4000,0x40000001,0x0001ab98,0x17fffff6,0x3ffe2000,0xffff4fff,
    0xfff700ff,0x360005ff,0x002fffff,0xffffff00,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x26000000,0xaaaaaaaa,0x0002aaaa,0x5073332a,0x64059999,0xccc84ccc,
    0x555100cc,0x55555555,0x10000055,0x000005b9,0x00004c00,0x00000000,
    0x00266200,0x00099880,0x00026620,0x00009988,0x00000020,0x00333333,
    0x00002200,0x200004c4,0x00001999,0x0ccc0000,0x02620000,0x20000000,
    0x99809999,0x26200099,0x99988099,0x77777401,0xfffb800e,0xffffffff,
    0x3f20007f,0x7fe43fff,0x3ffe03ff,0x7fffc0ff,0xffff500f,0xffffffff,
    0x6400001f,0x000fffff,0x372a2000,0xbceffffe,0x10000002,0x0f540033,
    0x017ffd40,0x02fff880,0x05fff500,0x0bffe200,0xbff91000,0xf9000003,
    0x0009ffff,0x01cffc98,0xffffd700,0xff98001b,0xfd98006f,0x0000dfff,
    0x0001bfee,0xdfffdb71,0x77744159,0xeeeeeeee,0x6eeeeeee,0x83bfff60,
    0x002ffffb,0x88bfffea,0x7c04ffff,0x800fffff,0xfffffffb,0x007fffff,
    0x0fffff20,0x407ffff9,0x7c0fffff,0xf500ffff,0xffffffff,0x0001ffff,
    0x3af3fe20,0x7000004f,0xffffffff,0x03dfffff,0x6e544000,0xceeffffe,
    0x01fff981,0x00bfffe2,0x002ffdc0,0x02ffff88,0x00bff700,0xfffff880,
    0x2200001f,0x005fffff,0x7ffffc40,0x3fa2000f,0x2fffffff,0x0ffff600,
    0xfffff500,0x10005fff,0x40003fff,0xfffffffa,0xff11ffff,0xffffffff,
    0xffffffff,0x7fffc40f,0x09ffff35,0x1ffffb00,0x003bfffa,0x01ffffff,
    0xffffff70,0x0fffffff,0x7fffe400,0x1ffffe43,0x81fffff0,0x500fffff,
    0xffffffff,0x001fffff,0xf993f200,0x74400007,0xffffffff,0xffffffff,
    0xffb80003,0xffffffff,0xff11dfff,0x3fee0dff,0x88002fff,0xb8001fff,
    0x002fffff,0x001fff88,0x6c4f7dc0,0x2e00004f,0x0005ffff,0xfd98dfc8,
    0x3fff6003,0x0fffffff,0x07fff980,0xffffff80,0x4000ffff,0x20005ffc,
    0xfffffffc,0x8bffffff,0xffffffff,0xffffffff,0x7fd407ff,0x6ffffbff,
    0xffff1000,0x03ffffbb,0x1ffffff0,0x55555300,0x55555555,0x7ffe4000,
    0x7fffe43f,0x3ffffe03,0x07ffffc0,0xaaaaaa88,0x02aaaaaa,0x88ff6000,
    0x700000ff,0xffffffff,0xffffffff,0x0003dfff,0xffffffb1,0xffffffff,
    0xffffdbff,0xfffffb83,0xfc8002ff,0x7fdc004f,0x002fffff,0x0004ffc8,
    0x3fe62fe8,0xfff00000,0xf00001df,0x8037cc3f,0xb8cffff9,0xd804ffff,
    0x5c003fff,0xffb13fff,0x7fc4007f,0xffb0000f,0xffffffff,0xffbfffff,
    0xffffffff,0xffffffff,0xffff900f,0x0003ffff,0x7fffffcc,0xfff004ff,
    0x00001fff,0x55300000,0xaaa98355,0x2aaaa01a,0x02aaaa82,0x00000000,
    0x2fe47bea,0xfffb8000,0xffffffff,0xffffffff,0x2e000fff,0xffffffff,
    0xffffffff,0x2fffffff,0xfffffff8,0x7fcc002f,0x7ffc000f,0x002fffff,
    0x0007ffcc,0xdf31fec0,0x3fea0000,0xd00000ef,0x8037d45f,0x7ec6fffd,
    0x7fcc07ff,0xdca8007f,0x01fffdc6,0x0009ffb0,0x3fffffea,0xffffffff,
    0xffffffff,0xffffffff,0x807fffff,0xffffffe8,0xffc80003,0x2006ffff,
    0x00ffffff,0x00000000,0x00000000,0x00000000,0xfffff100,0xf100009f,
    0xbfffffff,0xfd951137,0x09ffffff,0x3ffffee0,0xffffffff,0xffffffff,
    0x5dff02ff,0x8005fff9,0xf8003ffd,0x2fffcaef,0x01ffec00,0xbbffa800,
    0xd00003fe,0x00001fff,0x7fddffdc,0x9fffd002,0x00ffffa8,0x000ffff6,
    0x7fffd4c0,0x1fff3001,0x3fffa000,0x989befff,0xffffffda,0xaaaabfff,
    0xaaaaaaaa,0xffff3002,0x740000df,0x001fffff,0x03fffffe,0xddddd100,
    0x3b60007d,0xeeeeeeee,0xeeeeeeee,0x3a05eeee,0xb00eeeee,0xdddddddd,
    0xdddddddd,0x00bddddd,0x3ffffee0,0x640000ff,0x1fffffff,0xfffffc80,
    0x7fc401ff,0xbcffffff,0xfffd7311,0x6c0dffff,0x00bfff22,0x0006ffa8,
    0x17ffe45b,0x00dff500,0xffffe800,0x0000000f,0xffe88000,0x3fe006ff,
    0x7ffd43ff,0xffff301f,0x3fea0000,0x3a001fff,0xf70003ff,0x80bfffff,
    0xfffffffa,0x0000001f,0x00000000,0xffffff80,0x7ffdc000,0x8000ffff,
    0xfffffffe,0xffffffff,0x07ffffff,0x03fffffe,0x7ffffff4,0xffffffff,
    0x7fffffff,0xffffd000,0x40007fff,0xdffffff9,0x3ffea000,0x7e406fff,
    0x01efffff,0xffffffb8,0xfff9001f,0x17ff4005,0xfffc8000,0x0bffa002,
    0x376a0000,0x00000002,0x36a00022,0x3fe2002d,0x7ffcc3ff,0x7fffd02f,
    0x3fee0000,0xf5001eff,0x7fc000df,0x3005ffff,0x3fffffff,0x00000000,
    0x00000000,0x01ffffff,0xfffffe80,0xfe8003ff,0xffffffff,0xffffffff,
    0x3e07ffff,0xd00fffff,0xffffffff,0xffffffff,0x00ffffff,0xffffff30,
    0x74000dff,0x00ffffff,0xfffffc80,0xffff302f,0x2e001bff,0x5fffffff,
    0x05fff900,0x001bfee0,0x02fffc80,0x000dff70,0x80000000,0x2bcdcb98,
    0x00001fd8,0x0ffffe00,0x305ffff3,0x0000ffff,0x7fffeee4,0x02fff803,
    0xfffff700,0x7ff4003f,0x0001ffff,0x3372a600,0x7300001a,0x00359bb9,
    0x07fffffc,0xfffff300,0xd000dfff,0xffffffff,0xffffffff,0x40ffffff,
    0x00ffffff,0xfffffffd,0xffffffff,0x0fffffff,0xfffff900,0x0003ffff,
    0x9ffffff3,0x3ffe2000,0xffd05fff,0x2001ffff,0xfffffffa,0xffc801ff,
    0xfff8802f,0x3f200001,0xff8802ff,0x3330001f,0x33100133,0xfd100333,
    0xffffffff,0x01fff919,0xceecca98,0xfff800bc,0x7fffd44f,0x03fffe81,
    0xfff30000,0x05ffb80f,0x3ffff600,0x7fd4005f,0x0001ffff,0xffffe980,
    0x0004ffff,0xffffffd5,0xff007fff,0x4001ffff,0xfffffffc,0x7f4001ff,
    0xffffffff,0xffffffff,0x3e07ffff,0xd00fffff,0xffffffff,0xffffffff,
    0x00ffffff,0xffffff88,0x8004ffff,0x0ffffffa,0x3fff2000,0xfff986ff,
    0xf3004fff,0xffffffff,0xfff900bf,0x0bff9005,0xfffc8000,0x05ffc802,
    0x3ffffe00,0xffffc806,0x3ffee01f,0xffffffff,0x203fffff,0xffffffda,
    0x200effff,0x7dc5fffe,0x7fcc0fff,0x1100007f,0x203fffb0,0x0001fff8,
    0x0bfffffa,0x3ffffe00,0x5c00001f,0xffffffff,0x1000efff,0xfffffffb,
    0x01dfffff,0x07fffffc,0xfffff880,0x004fffff,0x67fffff4,0xaaaaaaaa,
    0x2aaaaaaa,0x3fffffe0,0xfffffd00,0x55555559,0x55555555,0xfffb8005,
    0xffffffff,0x7ffdc000,0x4c0005ff,0xa87fffff,0x00ffffff,0xcfffff98,
    0x807fffff,0x4402fffc,0x00000fff,0x2017ffe4,0x0000fff8,0x01bffffe,
    0x07fffff2,0x3fffffa2,0xffffffff,0x3ee04fff,0xffffffff,0x901fffff,
    0x7f41ffff,0xfffe86ff,0x7ff40003,0x0ffff40f,0x0004ffc8,0x0ffffffc,
    0x7ffff400,0x3600001f,0xffffffff,0x02ffffff,0x7fffff44,0xffffffff,
    0xffff02ff,0x3ee001ff,0xffffffff,0x3fa000ff,0x0002ffff,0x3ffffe00,
    0xffffd00f,0x0000005f,0xefffffe8,0x003fffff,0x27ffffe4,0x3ffe2000,
    0x7fdc1fff,0xe8805fff,0xff99ffff,0x6400ffff,0x7ec02fff,0xc800004f,
    0x7ec02fff,0x7fc0004f,0xfc806fff,0xfc81ffff,0xeeffffff,0xffffffff,
    0xfffff502,0xffffffff,0xff103fff,0xfffd7fff,0x7fffa85f,0xfffd8000,
    0xffffc89c,0x00fff980,0x3fffe200,0xfd8000ff,0xeeeeffff,0xeeeeeeee,
    0xfffff505,0xffffddff,0xffe80dff,0xffffffff,0x0fffffff,0x0ffffff8,
    0xfffffd00,0x07fffffd,0x7fffff40,0x3e000002,0xd00fffff,0x005fffff,
    0x7fcc0000,0xfffaefff,0x7ec006ff,0x0003ffff,0x2ffffff8,0x27ffffec,
    0x3ffffa20,0x3fffffe1,0x17ffe401,0x001fff30,0x5fff9000,0x007ffcc0,
    0x3ffffe00,0xffffc806,0x7fffcc1f,0x3ae20cff,0xf06fffff,0xdfffffff,
    0xfffffffd,0x3ffff209,0xe86fffff,0x80003fff,0xfffffff9,0xffb03fff,
    0xff980007,0x90007fff,0xffffffff,0xffffffff,0xffff10df,0xffd889ff,
    0xff903fff,0x115dffff,0xffffff93,0xffffff0b,0xffff3001,0xfffff5df,
    0x7fff400d,0x000002ff,0x03fffffe,0x17fffff4,0xf9000000,0xff15ffff,
    0x4003ffff,0x02ffffff,0xffffe800,0x7ffff43f,0x7ffec03f,0x7ffff42f,
    0x7ffe402f,0x00fffa02,0x7ffe4000,0x00fffa02,0x3ffffe00,0xffffc806,
    0x7ffff41f,0xfffd103f,0xffa87fff,0xfc81efff,0x2e07ffff,0xdfffffff,
    0x03fffd40,0xffff5000,0x2a07ffff,0xa80006ff,0x007fffff,0xffffff90,
    0xffffffff,0xff90dfff,0x7ec07fff,0xff886fff,0x2a05ffff,0x42ffffff,
    0x00ffffff,0xafffffc8,0x1ffffff8,0xfffffd00,0x7c000005,0xd00fffff,
    0x005fffff,0x7ffc0000,0xfff90fff,0x3e2009ff,0x001fffff,0xfffffd80,
    0x7fffffc4,0x3ffff602,0xfffffe83,0x17775c03,0x0006ffa8,0x0bbbae00,
    0x00037fd4,0x06fffff8,0x1fffffc8,0x17ffffea,0xffffffe8,0x7fff5c7f,
    0xffff100f,0xfdc980ff,0xfffd02ce,0xc8800007,0x200ceffe,0x80002ffe,
    0x07fffffb,0xfffff700,0xffffffff,0xff0dffff,0xf880ffff,0x7dc3ffff,
    0xb806ffff,0x7c7fffff,0x800fffff,0x90ffffff,0x009fffff,0x0bfffffa,
    0xfff80000,0xffd00fff,0x00005fff,0x3fffea00,0x3fffe65f,0xfff000ff,
    0x00005fff,0x49fffffd,0x1ffffff8,0x09ffff90,0x13fffff6,0x17ffc000,
    0x00fffb80,0x0bffe000,0x5f77f6d4,0x6fffff80,0xfffffc80,0x3fffff21,
    0xfdfffb01,0x2203ffff,0x7ffec01a,0x500000ff,0x36e0ffff,0x0002cefe,
    0x00dff700,0xf503ffee,0x000fffff,0x3ffffff2,0xffffffff,0x7fc46fff,
    0xfe805fff,0x7ff44fff,0xff002fff,0x7fc1ffff,0x5400ffff,0x265fffff,
    0x00ffffff,0x2fffffe8,0x3fe00000,0xfd00ffff,0x0005ffff,0x3fff6000,
    0x7fff42ff,0xffd003ff,0x00007fff,0x87ffffff,0x82ffffff,0x205ffffb,
    0x04fffffe,0x05ffb800,0x01ffff50,0x17fee000,0x3fffff62,0x7ffc1fff,
    0xffc806ff,0x3ff61fff,0xfff907ff,0x5fffff75,0x7ff4c000,0x00000fff,
    0xd887fffd,0x4fffffff,0x7fc40000,0xfffa801f,0x7fffcc0f,0xfd8000ff,
    0xaaabffff,0xaaaaaaaa,0x7ffffcc2,0xffffd804,0x7fffffc5,0xffff9000,
    0x7ffffc3f,0x7ffec00f,0x7fff42ff,0xffe803ff,0xeeeeefff,0xeeeeeeee,
    0x7ffc04ee,0xffd00fff,0xdddddfff,0xdddddddd,0x3e2009dd,0xfb87ffff,
    0xb006ffff,0x009fffff,0xfffff880,0x7ffff43f,0x7fffd44f,0x7ffffc06,
    0x7c40002f,0xff8801ff,0x80000fff,0xfd81fff8,0xffffffff,0x3ffffe0f,
    0xffffc806,0x3ffffe1f,0x33fffb86,0x009fffff,0x7fffedcc,0x0000ffff,
    0xe87fffa8,0xffffffff,0x3200004f,0xff9805ff,0x7fc40fff,0x8001ffff,
    0x01fffffd,0x7fffd400,0xffffffff,0x6fffffff,0x1fffffe2,0xfffffb80,
    0x3fffffe3,0x3fffe200,0xffffb87f,0xfffe806f,0xffffffff,0xffffffff,
    0x7fffc05f,0xfffd00ff,0xffffffff,0xffffffff,0x3fee00bf,0xff884fff,
    0xc801ffff,0x005fffff,0x7ffffcc0,0x7fffec2f,0x3fffe65f,0x3ffe200e,
    0x40001fff,0xe8804ffc,0x000fffff,0x884ffc80,0xe98affff,0x3ffe3fff,
    0xffd806ff,0xfff11fff,0xfffa8bff,0x3ffffe24,0x3ffb2605,0xffffffff,
    0xe80000ff,0x7fd43fff,0xfffebdff,0xf880000f,0x7f4400ff,0xff80ffff,
    0x8002ffff,0x01fffffe,0x7fffdc00,0xffffffff,0x7fffffff,0x1bffffe6,
    0xfffffa80,0x3fffffe4,0x3fffee00,0xffff884f,0x7ff401ff,0xffffffff,
    0xffffffff,0x7ffc05ff,0xffd00fff,0xffffffff,0xffffffff,0x3fa00bff,
    0xfd01ffff,0x5009ffff,0x00dfffff,0x7fffdc03,0x7ffe40ff,0xffff36ff,
    0xfff9801f,0x20000fff,0xd800fff9,0x00ffffff,0x07ffcc00,0x2a2fffd4,
    0x3ffe5fff,0xffd806ff,0x3ffe1fff,0x3ffe66ff,0x7ffffc45,0xffffe985,
    0xffffffff,0x40000fff,0xfe87fffa,0x7fffc5ff,0xffd80004,0xffffd804,
    0xfffe80ff,0x7c4003ff,0x001fffff,0x7ffffe40,0xffffffff,0x27ffffff,
    0x06fffff8,0x3ffffee0,0x3fffffe4,0x3ffffa00,0xffffd01f,0xfffe809f,
    0xffffffff,0xffffffff,0x7fffc05f,0xfffd00ff,0xffffffff,0xffffffff,
    0xfff300bf,0x7fdc0dff,0x4c00ffff,0x03ffffff,0xff1077ee,0xf70dffff,
    0xfd1fffff,0xf5003fff,0x000fffff,0xc803ffd8,0x0fffdfff,0x1ffec000,
    0xfc835330,0x3fffe3ff,0xfffd806f,0x3fffa1ff,0x1dfff17f,0x3fffff98,
    0x7fffffd4,0xffdbdfff,0x40000fff,0xff83fffe,0x7ffec3ff,0x7fcc0006,
    0x7ffe400f,0xfd80fffd,0x4006ffff,0x1ffffffb,0x7ffdc000,0xcccccdff,
    0xcccccccc,0xfffff10c,0x7ffe400f,0x3fffe2ff,0xfff300ff,0x7fdc0dff,
    0x3a00ffff,0xffffffff,0xffffffff,0x7c05ffff,0xd00fffff,0xffffffff,
    0xffffffff,0x900bffff,0x407fffff,0x3ffffff8,0x7ffffc40,0x3fffe07f,
    0xfffff70d,0xffff309f,0x3fffffff,0x3ffffa00,0x3ea0006f,0xfffa807f,
    0x000fffc9,0x001ffea0,0xf0ffffc4,0xb00dffff,0x6c3fffff,0xfe9fffff,
    0xfffa80ff,0x3ffea2ff,0x641befff,0x000fffff,0x21fffea0,0x642ffff8,
    0x40007fff,0x7d403ffe,0x0fffc9ff,0xffffffc8,0x3fff6001,0x40001fff,
    0x04fffffa,0xfffff000,0x3ff6001f,0x3ffe1fff,0xff900fff,0x7c407fff,
    0x203fffff,0xacfffffe,0xaaaaaaaa,0x402aaaaa,0x00ffffff,0x59fffffd,
    0x55555555,0x80555555,0xaffffff8,0xd9999999,0x806fffff,0x3ffffffb,
    0xffffffb8,0xfffffffc,0xfffffd00,0x2005ffff,0x3ffffffb,0x0bffa000,
    0x327fff30,0x20000fff,0x98002ffe,0x7fc4ffff,0xfe807fff,0x3f21ffff,
    0xfffeffff,0xfffffb01,0x7fffff41,0x3ffff603,0x3fa0000f,0xfff983ff,
    0x7fffdc1f,0xdff50000,0x93fff980,0xff101fff,0x200bffff,0xfffffffa,
    0x7fcc0001,0x00005fff,0x07fffffb,0xffffff10,0x0ffffff8,0xffffff88,
    0x9999999a,0x06fffffd,0x0bfffffa,0xfff80000,0xffd00fff,0x00005fff,
    0x7ffffdc0,0xffffffff,0xffffffff,0xffffe801,0x7fe444ff,0xffffffff,
    0x3fea03ff,0x03ffffff,0xffffff10,0x7fdc000d,0x27ff4406,0x0001fff9,
    0x2001bfee,0xf86ffffa,0xf807ffff,0x261fffff,0xffffffff,0xfffff502,
    0x7ffffc4d,0x7fffec06,0xff50000f,0x3ffea0ff,0x7fffdc1f,0x5ffd0000,
    0x927ff440,0x3f201fff,0x404fffff,0xfffffff9,0xff80001f,0x2a00ffff,
    0x540abcef,0x00ffffff,0x37ffffec,0x03fffffe,0x3fffffee,0xffffffff,
    0x1fffffff,0x5fffffd0,0x7fc00000,0xfd00ffff,0x0005ffff,0x7ffff400,
    0xffffffff,0xffffffff,0xfff9804f,0x441effff,0xfffffffc,0xffe806ff,
    0x3006ffff,0x5ffffffd,0x3ffe2000,0x4f7fec01,0x9afffc99,0x3ffe2000,
    0x7ffe4001,0xffff80df,0x3fea00ff,0x7ec1ffff,0x303fffff,0x43fffffd,
    0x03fffffa,0x3fffffe2,0xfffd0000,0x3fffe607,0x03fffe41,0x405ffb80,
    0xc999effd,0x4409afff,0xdfffffff,0xfff9510a,0x35ffffff,0x33333333,
    0x7dc13333,0x3a05ffff,0x443fffff,0x1effffff,0xffffff90,0xffffff83,
    0xfffffe80,0xffffffff,0xffffffff,0xfffffd04,0x7c000005,0xd00fffff,
    0x005fffff,0x3ffe6000,0xffffffff,0xffffffff,0xc800ffff,0xffffffff,
    0xffffecef,0x01ffffff,0xffffffa8,0xff7101ef,0x00bfffff,0x202ffe40,
    0xfffffff8,0x02ffffff,0x0017ff20,0x409ffffb,0x05fffffe,0xfffffff3,
    0xfffff883,0xfca8acff,0x544fffff,0x206fffff,0x0ffffffd,0x7fffa800,
    0x0bfffe20,0x000dfffb,0x4403fff1,0xffffffff,0xb82fffff,0xffffffff,
    0xffffffff,0xffffffff,0xffffffff,0x7fc4ffff,0x2a1effff,0x0ffffffd,
    0xffffffb8,0xffecabcf,0xff83ffff,0x7cc0ffff,0xffffffff,0xffffffff,
    0x80ffffff,0x02fffffe,0x3ffe0000,0xffd00fff,0x00005fff,0x3fffff20,
    0xffffffff,0xffffffff,0xfd8803ff,0xffffffff,0xffffffff,0x400cffff,
    0xfffffffb,0xfeccdeff,0xffffffff,0xfff10000,0xffff8803,0xffffffff,
    0xfff1002f,0x7ffec003,0x7ffe403f,0xf931cfff,0x3fffffff,0xffffff90,
    0xffffffff,0xff881dff,0x260cffff,0xfffffffc,0xfffe8001,0x2ffffc03,
    0x0017fffe,0xf1013ff2,0xffffffff,0x3e05ffff,0xffffffff,0xdfffffff,
    0xffffffff,0xffffffff,0x7fdc4fff,0xffffffff,0x03ffffff,0x3ffffff6,
    0xffffffff,0xffff06ff,0xfffc81ff,0xffffffff,0xffffffff,0xfe83ffff,
    0x0002ffff,0x3ffffe00,0xffffd00f,0x2000005f,0xffffffff,0xffffffff,
    0xffffffff,0x3ffea006,0xffffffff,0xffffffff,0xfa80bfff,0xffffffff,
    0xffffffff,0x02ffffff,0x013ff600,0x3bbbbba2,0x2eefffee,0x009ffb00,
    0x56ffffe4,0x3e61aaaa,0xffffffff,0xffffffff,0x7ffc41ff,0xffffffff,
    0x01efffff,0xfffffffd,0xfffffffb,0xa8005fff,0xfb807fff,0xffd9cfff,
    0x7cc001ff,0x774400ff,0xfffeeeee,0xfd102eef,0xffffffff,0xff19ffff,
    0xffffffff,0xffffffff,0xffff709f,0xffffffff,0xfd8809ff,0xffffffff,
    0x00efffff,0x81ffffff,0xffffffff,0xffffffff,0xffffffff,0xfffffe86,
    0x3e000002,0xd00fffff,0x005fffff,0xffff5000,0xff5000ff,0x4003ffff,
    0xffffffd8,0xffffffff,0xffffffff,0x3ffffe62,0xffffffff,0xffffffff,
    0x260000df,0x80000fff,0x2000fffc,0x1000fff9,0xffffffff,0xffb8bfff,
    0xffffffff,0xfffff9df,0x3ffffa21,0xffffffff,0x7cc03fff,0xffffffff,
    0xffffefff,0x7ff4003f,0xffff003f,0x0bffffff,0x007ffb00,0x01fff900,
    0x3fffff20,0x14ffffff,0xffffffff,0xffffffff,0x3e609fff,0xffffffff,
    0x2e004fff,0xffffffff,0x7c03ffff,0x2a0fffff,0x007fffff,0xffffffa8,
    0x7fffff41,0x3e000002,0xd00fffff,0x005fffff,0xffffb000,0x3fe0009f,
    0x8004ffff,0xfffffeca,0xfdacefff,0x13ffffff,0xb33fffff,0xffffffff,
    0x07ffffff,0x07ffd000,0x3fff2000,0x0fffa000,0xfffffb80,0x85ffffff,
    0xfffffffc,0xffff34ff,0x4fffe43f,0xfffffeb8,0xf7001dff,0xffffffff,
    0x3ffffa7f,0x3ffea006,0xffd3000f,0x01dfffff,0x007ffa80,0x01fff900,
    0x7fffed40,0x3e23dfff,0xffffffff,0xffffffff,0x3b2204ff,0xcfffffff,
    0xfeb88000,0x1defffff,0xfffb0000,0x3e0009ff,0x744fffff,0x99bfffff,
    0x99999999,0x00999999,0x01ffffff,0x2ffffffa,0x99999999,0x99999999,
    0x3ffffe20,0xff90001f,0x0001ffff,0x09abb988,0x6fffffa8,0x307fffe6,
    0xfffffffb,0x00019bdf,0x000dff50,0x007775c0,0x4006ffa8,0xeeeeeeec,
    0xd704eeee,0x47bfffff,0x41fffff9,0xaa9881fd,0xfd300009,0x41bfffff,
    0x01fffffb,0x007fffd0,0xefffec88,0x5ffd0003,0x3bae0000,0x7310000e,
    0x00000015,0x35553000,0x26200001,0x000009aa,0x7fffffc4,0xfff90001,
    0x7ff41fff,0xffffffff,0xffffffff,0xff03ffff,0x3a01ffff,0xffffffff,
    0xffffffff,0x23ffffff,0x06fffffb,0x3fffe600,0x000003ff,0x17ffec40,
    0x3100bfa6,0x00013575,0x00133100,0x31000000,0x00000013,0x00035300,
    0x00000030,0x000d54c4,0x01999800,0x0000c400,0x00000ccc,0x00000000,
    0x00000000,0x00000000,0xffffb800,0x3e60006f,0x3a3fffff,0xffffffff,
    0xffffffff,0x03ffffff,0x01ffffff,0x3ffffffa,0xffffffff,0xffffffff,
    0x3fffffa3,0x7ff40003,0x00006fff,0x20d93000,0x00000028,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x03fffffe,0x7ffff400,0x3ffffa6f,
    0xffffffff,0xffffffff,0xffff03ff,0x3ffa01ff,0xffffffff,0xffffffff,
    0xff33ffff,0x0001ffff,0xffffffb8,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x1ffffff3,0xfffb8000,0xfffd1fff,
    0xffffffff,0xffffffff,0x3fe07fff,0xfd00ffff,0xffffffff,0xffffffff,
    0x367fffff,0x005fffff,0xfffff880,0x0000004f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xbfffffb0,0xfff10000,0x3ffa9fff,
    0xffffffff,0xffffffff,0xff03ffff,0x3a01ffff,0xffffffff,0xffffffff,
    0x03ffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x00099999,0x98803310,0x33331001,0x01333310,0x00988000,0x02660000,
    0x55100000,0x2aa25555,0x20001aaa,0x00999998,0x01999880,0x01333310,
    0xbdcb9800,0x09999981,0x00026666,0xceecca98,0x4cc000bc,0xdb980999,
    0x4c4000ac,0x02662009,0x26662000,0x54c00000,0x5531aaaa,0x40001555,
    0x33000098,0x31001333,0x00003333,0x00004cc4,0x88099998,0x33001999,
    0x33330333,0x3bbbb603,0x3fffe005,0xffb0006f,0x01ffe203,0x227fffc4,
    0xc80efffe,0x882eeeee,0xdffffeca,0x76440001,0x02efffff,0xfffb8000,
    0xffff92ff,0x7f40001f,0x8002ffff,0x9805fffc,0x01ffffff,0xfffffa80,
    0x3ffe2fff,0x3fffa3ff,0xffda8003,0xffffffff,0xffff000e,0x7fffe47f,
    0x3001efff,0x7fe40bff,0xfda88002,0xdeffffff,0x7fec0002,0xfffd0eff,
    0x654400bf,0xcefffffd,0xfffff002,0xffff900d,0x3260003f,0xefffffff,
    0xfc8000ce,0x3fe61fff,0xfff003ff,0xffff81ff,0xffffe80f,0x3fffe007,
    0xff70006f,0x017fee0b,0x92ffffb8,0x3603ffff,0x643fffff,0xffffffff,
    0xf90004ff,0xffffffff,0x400003df,0xf13fffff,0x0003ffff,0x17ffffd4,
    0x3fffe800,0x7ffff440,0x32000eff,0xffffffff,0xfffff3ff,0x02fffe47,
    0x3ffffee0,0xffffffff,0xffff801f,0xfffffb3f,0x003fffff,0x3e207ffe,
    0x7d4000ff,0xffffffff,0x002effff,0x1fffff98,0x01dffff5,0x3ffffee0,
    0xefffffff,0x7ffffc01,0xffffc806,0x7fd4001f,0xffffffff,0x001dffff,
    0xf8b7fff4,0x3e005fff,0x7fc0ffff,0xffe80fff,0x3fe007ff,0x10006fff,
    0xd759dfff,0xd8005fff,0xfffbffff,0x3fff604f,0xfffb13ff,0xffffffff,
    0xffc800bf,0xffffffff,0x80000fff,0x2e4ffffa,0x0003ffff,0x01fffff4,
    0x1ffff880,0x7ffffec0,0xfb004fff,0xffffffff,0xffff9fff,0x3fffd47f,
    0xfffff500,0xffffffff,0xff803fff,0xfffecfff,0xffffffff,0xfffc800e,
    0x6fffdabd,0x7fffec00,0xffffffff,0x4005ffff,0x3a2ffffd,0x8801ffff,
    0xfffffffd,0xffffffff,0xfffff00c,0xffff900d,0x3f62003f,0xffffffff,
    0xffffffff,0x3ffe6004,0x0ffffecf,0x3ffffe00,0x07ffffc0,0x03fffff4,
    0x0dfffff0,0x7fffd400,0x004fffff,0xffffff88,0x7fec06ff,0xffe9bfff,
    0xffffffff,0x7003ffff,0xffffffff,0x0dffffff,0xbfffd000,0x004ffff8,
    0x27fffd40,0xffff5000,0x7fffd401,0x02ffffba,0x7fffffcc,0xffffeeff,
    0x223fffff,0xf000ffff,0xdfffffff,0xfffffffd,0xfffff809,0xffefffff,
    0x05ffffff,0xfffffe88,0x2000ffff,0xfffffffc,0xffffffff,0xf1003fff,
    0x7fcc7fff,0xffa802ff,0xffffffff,0xffffffff,0xfffff80e,0xffffc806,
    0xffe9801f,0xffffffff,0xffffffff,0x3fee003f,0x02ffffff,0x07ffffc0,
    0x203ffffe,0x007ffffe,0x01bffffe,0xfffff700,0x540009ff,0x0fffffff,
    0x7ffffec0,0xfffffffd,0xffffffff,0xffe800ff,0xf931cfff,0x0005ffff,
    0x2e37ffd4,0x80005fff,0x0004fffd,0x1037ffe4,0x7ec9ffff,0x3fa00fff,
    0x442fffff,0xfffffffd,0x017fff43,0x77ffffd4,0xfffffc81,0x7ffffc07,
    0x3ea0bfff,0x007fffff,0xffffffd1,0x7fc4003d,0xefffffff,0xffffffff,
    0xffc801ff,0x1fffec4f,0x7ffffcc0,0xffffffff,0x5fffffff,0x06fffff8,
    0x1fffffc8,0x7ffffc40,0xffffffff,0xffffffff,0x3ff6003f,0x8005ffff,
    0x6c0eeeed,0xcb80eeee,0x2a004ccc,0x0002aaaa,0x1bdecb88,0xfffc8000,
    0xffd803ff,0xffffffff,0xffeca9ab,0x803fffff,0xd06fffff,0x0009ffff,
    0x3606f764,0x40000dee,0x0005fff9,0x204fffe8,0x7446fffe,0xff505fff,
    0x6c01ffff,0x43ffffff,0xb804fffd,0x100ffffe,0x80ffffff,0x2fffffff,
    0xffffff50,0x6ee54001,0xffb8002c,0xa80cffff,0x6ffffffd,0x444eed80,
    0xfd004eee,0x57ffffff,0xffff7311,0xff85ffff,0xfc806fff,0x6c01ffff,
    0xefffffff,0xffb530ab,0x01ffffff,0x3ffffe20,0x0000000f,0x00000000,
    0x00000000,0x7fec0000,0x04ffffff,0x3fffffa2,0x7ffc406f,0xfff704ff,
    0x000000bf,0x00000000,0x17fffc40,0xfc800000,0x4404ffff,0x43ffffff,
    0x4006fffb,0x7fec01a8,0x3fe00fff,0x7404ffff,0x000fffff,0xffd80000,
    0xfd802fff,0x000fffff,0x7fdc0000,0x400dffff,0x6ffffffc,0x037ffffc,
    0x0fffffe4,0xffffff90,0xffd3007f,0x0007ffff,0x00000000,0x00000000,
    0x00000000,0xfffb0000,0x2009ffff,0x1ffffffe,0x37ffffc0,0x04ffffc8,
    0x00000000,0x26000000,0x0000ffff,0xffffb000,0xfffb001f,0xfff987ff,
    0x4c00000f,0x00fffffe,0x03fffffe,0x3fffffb0,0x88000000,0x006fffff,
    0x5ffffff1,0x44000000,0x04ffffff,0x3fffff60,0x3ffffe1f,0xffffc806,
    0xffff101f,0x44001dff,0x06fffffe,0x00000000,0x99998800,0x9b953001,
    0x53000035,0x000359b9,0x676e5d44,0x7fec01bc,0x2006ffff,0x2ffffffa,
    0x7ffffec0,0x7ffffd44,0x97300001,0x000359bb,0x676e5d44,0xf70001bc,
    0x75100dff,0x03799db9,0x0ffffff0,0x3ffffee0,0x02ffff83,0x7fedcc00,
    0x00ffffff,0x01fffffe,0x07fffff2,0x66ee5cc0,0x3fe6001a,0x36006fff,
    0x4c3fffff,0x88009999,0x7e419999,0x000fffff,0x3fffffe2,0x1bffffe3,
    0x3fffff20,0xfffff701,0xff50005f,0x9803ffff,0xbcceecca,0x99999800,
    0x99998800,0x1fffffa1,0xfffffd30,0x30009fff,0xfffffffd,0x7dc4009f,
    0xffffffff,0xfffb03ef,0x44001fff,0x04ffffff,0x7fffffdc,0xffffff52,
    0xffd50000,0x7fffffff,0x7ffdc400,0xefffffff,0x7ffec003,0x3ffee204,
    0xefffffff,0x3ffffe03,0xffff5006,0x9fffb07f,0xffec9800,0xffffffff,
    0x3ffe00ff,0xffc807ff,0x75401fff,0xffffffff,0xfff8803f,0x31003fff,
    0x3ffe0333,0xffc806ff,0x3ffe1fff,0xc8004fff,0xfff81bdf,0xffd806ff,
    0xffd01fff,0x4000bfff,0x5400abdd,0xfffffffd,0x3e00efff,0xc806ffff,
    0xfd1fffff,0x7dc0ffff,0xffffffff,0xf7000eff,0xffffffff,0xf8801dff,
    0xffffffff,0xd85fffff,0x006fffff,0x5fffffe8,0xfffffe80,0xffffffdf,
    0x3f620003,0xffffffff,0x4400efff,0xffffffff,0x05ffffff,0x40bfffe0,
    0xfffffff8,0x5fffffff,0x6fffff88,0xfffff500,0x0dfff707,0x3ffffa60,
    0xffffffff,0x3fe00fff,0xfc807fff,0xb101ffff,0xffffffff,0x801dffff,
    0xdffffffe,0xfff00001,0xff900dff,0x3fe23fff,0x8000ffff,0xfffff800,
    0xffffd806,0xffff981f,0x000001ff,0xffffff70,0xffffffff,0x3ffffe03,
    0xffffc806,0xfffffd1f,0x3fffff60,0xffffffff,0x7ffec02f,0xffffffff,
    0x3fa02fff,0xffffffff,0x45ffffff,0x04fffffd,0xfffffd80,0xffff9806,
    0xffffffff,0x3fa20004,0xffffffff,0x02ffffff,0x3ffffffa,0xffffffff,
    0xfff9805f,0xffffd00f,0xffffffff,0xff88bfff,0xf5007fff,0xf307ffff,
    0xfa801fff,0xffffffff,0xfffffdbd,0x3ffffe00,0xffffc806,0xfffe881f,
    0xffffffff,0x3202ffff,0xffffffff,0xf0000adf,0x900dffff,0x2a3fffff,
    0x006fffff,0x3fffe000,0xfffd806f,0xfffb81ff,0x000007ff,0xffffff50,
    0xffffffff,0xffff03ff,0xfff900df,0x3fffa3ff,0xffffa87f,0xfffeefff,
    0x3ea06fff,0xeeffffff,0x06ffffff,0x9dfffff9,0xfffffb79,0x7ffec3ff,
    0xfc8003ff,0x7006ffff,0xffffffff,0xe80007ff,0xffffffff,0xffffffff,
    0xffffc80f,0xffdbccef,0x401fffff,0xf906fffb,0x799dffff,0xfffffffb,
    0x7fffff83,0xfffff700,0x0bfffe07,0xffffffa8,0x7ffe41be,0x3ffe00ff,
    0xffc806ff,0xffe81fff,0xffffffff,0x0fffffff,0xfffffd10,0x7dffffff,
    0x7fffc003,0xfffc806f,0xffff71ff,0x400000bf,0x806fffff,0x81fffffd,
    0x06fffffc,0xfff00000,0xfddfffff,0x09ffffff,0x00dfffff,0x23fffff9,
    0x447ffffe,0x44ffffff,0x3fffffd8,0xffffff88,0x7fffec44,0xffffe83f,
    0x3ffff205,0x3ffff65f,0xffb8003f,0xf9006fff,0xdfffffff,0xffc80001,
    0x88aeffff,0xffffffc9,0x5ffffe85,0x3fffff20,0x2fffec05,0x05ffffe8,
    0x17fffff2,0x01fffffd,0x7fffffb0,0x813fff60,0x03fffffe,0x03fffff6,
    0x06fffff8,0x1fffffc8,0x7fffffe4,0xffc988ae,0x2605ffff,0xffffffff,
    0xcfffffff,0x7ffffc00,0xffffc806,0xfffff91f,0x7c000009,0xe806ffff,
    0xd81fffff,0x005fffff,0xfffa8000,0xffc81eff,0xfff87fff,0xffc806ff,
    0xfffd1fff,0xffffc8ff,0x3fff603f,0xffffc86f,0x3fff603f,0xfffff86f,
    0x566ff403,0x3fffff61,0xfffb8003,0x7f5407ff,0xffffffff,0x7fc40003,
    0x2a05ffff,0x42ffffff,0x403fffff,0x401acdfe,0xff03ffff,0xfe807fff,
    0x7fec1acd,0x7cc04fff,0x703fffff,0x3e20dfff,0x6c06ffff,0x200fffff,
    0x806fffff,0x21fffffc,0x5ffffff8,0x3ffffea0,0x3ffea02f,0xffffffff,
    0x203fffff,0x806fffff,0xb1fffffc,0x009fffff,0x7fffc000,0xffff807f,
    0xfffe81ff,0xaa9804ff,0xaaaaaaaa,0x3ffae2aa,0xfff100ff,0xffff0fff,
    0xfff900df,0x3fffa3ff,0x7ffffc7f,0x7fffc407,0x7ffffc3f,0x7fffc407,
    0x3fffe23f,0x360002ff,0x003fffff,0x7fffffb8,0x3fffff20,0x1fffffff,
    0x3ffee000,0xffb806ff,0x3fe27fff,0x0002ffff,0x07fffe60,0x3fffffe2,
    0x7fd40002,0x3600ffff,0x03ffffff,0x2a0ffff3,0x203fffff,0x0ffffff8,
    0x1bffffe0,0x3fffff20,0x3ffffee1,0xffffb806,0x7fec407f,0xffffffff,
    0xf03fffff,0x900dffff,0x3a3fffff,0x003fffff,0x3fffe000,0x3fee01ff,
    0xfe81ffff,0xc803ffff,0xffffffff,0x5106ffff,0xffffd803,0x7ffffc0f,
    0xffffc806,0xfffffd1f,0x2fffffc4,0x27ffff40,0x0bfffff1,0x89ffffd0,
    0xfffffffe,0x3f6001bd,0x8003ffff,0x07fffffb,0xfffffff9,0x1fffffff,
    0x3a00564c,0x002fffff,0x41ffffff,0xfffffffe,0x2e0001bd,0x3fa07fff,
    0xbdffffff,0xffff8001,0x7f4c2fff,0x03ffffff,0x2a07fffe,0x206fffff,
    0x0ffffffd,0x1bffffe0,0x3fffff20,0x3fffffa1,0xfffff002,0xfd73001f,
    0xffffffff,0xff09ffff,0xf900dfff,0x3fa3ffff,0x0003ffff,0x3ffffa00,
    0xffff105f,0xffd03fff,0xf9009fff,0xffffffff,0x4000dfff,0x0fffffe9,
    0x037ffffc,0x8fffffe4,0x267ffffe,0x804fffff,0x265ffffd,0x804fffff,
    0x645ffffd,0xffffffff,0x200acfff,0x03fffffd,0xfffffb80,0xfffffb87,
    0xffffbaff,0x3fff25ff,0xfffff05f,0x3ff2001f,0x3ff21fff,0xffffffff,
    0x36000acf,0x3f205fff,0xffffffff,0xb800acff,0xffffffff,0xfffffffe,
    0x3fa03fff,0xfff883ff,0x3260cfff,0x1fffffff,0x1bffffe0,0x3fffff20,
    0x3fffffe1,0xffff9000,0xdb98003f,0xffffffff,0x7ffc3fff,0xffc806ff,
    0xfffb1fff,0x000009ff,0x7fffffe4,0xfffca8ad,0xd81fffff,0x805fffff,
    0xfffffffc,0x006fffff,0x3ffff6e6,0x7fc0ffff,0xfc806fff,0xffd1ffff,
    0x7ffd4fff,0xffffffff,0xffffffff,0x3ffffea6,0xffffffff,0x46ffffff,
    0xffffffe8,0xdfffffff,0xfffffd80,0xfffb8003,0x7ffc47ff,0x3f60efff,
    0xf8cfffff,0xf886ffff,0x2007ffff,0x23fffffb,0xffffffe8,0xdfffffff,
    0x3ffff800,0x3ffffa20,0xffffffff,0x7fec00df,0xffffffff,0xfffffdff,
    0x17fff203,0x7ffffff4,0xffffffdf,0x3e02ffff,0xc806ffff,0xf11fffff,
    0x400fffff,0x03fffffb,0x7ff64c00,0x7c6fffff,0xd806ffff,0xf91fffff,
    0x000bffff,0x7fffcc00,0xffffffff,0x1fffffff,0x6fffffc8,0xfffffc80,
    0x6fffffff,0x3fffb260,0xffffffff,0x7ffffc0f,0xffffd806,0xfffffd1f,
    0x7fffffdc,0xffffffff,0x2e7fffff,0xffffffff,0xffffffff,0xfe887fff,
    0xffffffff,0x6c4fffff,0x003fffff,0x6fffffb8,0x77ffffdc,0x7ffff440,
    0xfffffdff,0xfffff983,0x3ffea006,0x7ff444ff,0xffffffff,0x2204ffff,
    0x4401ffff,0xfffffffe,0x4fffffff,0x7ffffec0,0xfaafffff,0x2a03ffff,
    0xff307fff,0xffffffff,0xfffffdff,0x7ffffc07,0xffffc806,0xfffff31f,
    0x7ffd400d,0x200004ff,0xfffffffb,0x1bffffe1,0x3fffff60,0xdfffff51,
    0x5c004000,0xffffffff,0xfff9dfff,0xfffb81ff,0xcca807ff,0xfffdcccc,
    0xffe986ff,0xffffffff,0x7c0fffff,0xd806ffff,0xfd1fffff,0x7fe4ffff,
    0xffffffff,0xffffffff,0x3ffff27f,0xffffffff,0x7fffffff,0xfffff710,
    0xffffffff,0x7fffec9f,0xffc8003f,0x7fec6fff,0xff104fff,0xffffffff,
    0xfff101ff,0x7dc00dff,0xb884ffff,0xffffffff,0x04ffffff,0x200ffff5,
    0xffffffb8,0xffffffff,0x7fffe404,0xff51ffff,0x7c407fff,0xff701fff,
    0xffffffff,0x1bffffa7,0x06fffff8,0x1fffffc8,0x0dfffff1,0x7ffffdc0,
    0x0aea6624,0xfffff300,0x7ffffc5f,0xffffd806,0xfffff31f,0x37ee000f,
    0x3fff200b,0x34ffffff,0x303fffff,0x03ffffff,0x7fffdc00,0x7fffd46f,
    0xdbdfffff,0x7c0fffff,0xd806ffff,0xfd1fffff,0x7fdcffff,0xccccdfff,
    0xcccccccc,0xffff70cc,0x999999bf,0x99999999,0xffeca801,0xffffffff,
    0xfffffb1f,0xfff90007,0xffff8dff,0x3fea01ff,0xffffffff,0xfffff105,
    0x7ffe400f,0x765402ff,0xffffffff,0xffc81fff,0xeca8005f,0xffffffff,
    0x5c401fff,0x2a0aceec,0x402fffff,0x2603fffe,0xdffffffe,0x3ffffee0,
    0xdfffff01,0xfffff900,0x3ffffe23,0x3fff2007,0xffff32ff,0xffd000ff,
    0x7ffc7fff,0xffd806ff,0xfff11fff,0xd0007fff,0x205dffff,0xdfffffdb,
    0x3ffffe62,0xfffffd01,0x7fdc000d,0x3fea6fff,0x41beffff,0x40fffffc,
    0x806fffff,0xd1fffffd,0x7d4fffff,0x0004ffff,0x4fffffa8,0x71000000,
    0xfffffffb,0x3ffff67f,0xffd8003f,0x7ffc5fff,0xffb807ff,0x1fffffff,
    0x3fffffe0,0xffffb000,0x6dc4003f,0xffffffff,0x03fffe83,0x7fedc400,
    0x03ffffff,0xffff7000,0xfffc805f,0x1aa98805,0x000dff50,0x7fffec00,
    0x3ffffe1f,0xfffb000f,0x7fffc3ff,0x7ec001ff,0x3fe3ffff,0xfe807fff,
    0x3fa1ffff,0x4006ffff,0x3ffffff9,0xf501a980,0xfff900df,0x20005fff,
    0x26fffffb,0x03fffffe,0x03fffff6,0x00ffffff,0x23fffffd,0x267ffffe,
    0x005fffff,0xfffff980,0x03000005,0xfffffea8,0x7fffffb5,0xfffff000,
    0xfffff87f,0xfffd800f,0x6c05ffff,0x803fffff,0x07fffff8,0x3ffaa00c,
    0x7fc45fff,0x00c001ff,0x3fffffaa,0x00066a65,0x03fffff9,0x007fffa8,
    0x013ff200,0xfffe8000,0x3fff61ff,0xff8803ff,0x7fec7fff,0x7c005fff,
    0x3e2fffff,0xf807ffff,0x2a1fffff,0x03ffffff,0x3fffffa0,0xff700007,
    0xffff300b,0x90001dff,0x22dfffff,0x406fffff,0x40fffffd,0x807fffff,
    0xd1ffffff,0xff8fffff,0x2a00ffff,0x7c0abcef,0x200fffff,0x20abcefa,
    0x02ffedca,0xafffffcc,0x03fffffd,0x7ffffcc0,0x7fffec2f,0xfffa803f,
    0x202fffff,0x0ffffffa,0x7ffffec0,0x3ffb72a6,0x7fffcc02,0x3fffd45f,
    0x3ffb72a0,0x7fffcc02,0x3fffea5f,0x7ff402ef,0x7c400fff,0x00001fff,
    0x00009ffb,0x3ffffe20,0x3fffea0f,0x7fec00ff,0x7fdc6fff,0xb003ffff,
    0x41ffffff,0x00ffffff,0x3fffffea,0x7ffffec1,0xfffc803f,0x00004fff,
    0x32009ff9,0x2fffffff,0xffffd300,0x3ffeadff,0x3fe203ff,0x7fc0ffff,
    0x2a00ffff,0xd1ffffff,0xfb8fffff,0x3a05ffff,0x5c3fffff,0x205fffff,
    0x23fffffe,0x06fffffc,0x9fffffd4,0x03fffffd,0x7ff44151,0x7dc0ffff,
    0x102fffff,0xfffffffb,0x3e209fff,0x01efffff,0x3ffffff9,0x37ffffe4,
    0x3ffffea0,0x037ffe43,0x1bfffff2,0x7fffff50,0x7fffffcc,0x3ffff206,
    0xfffd006f,0x3fa00007,0x2a00006f,0xffffffbc,0x7ffffc47,0xfff901ef,
    0xff983fff,0x01dfffff,0xffffffd3,0xfffffe8b,0xfffff305,0xfff883ff,
    0x409dffff,0xffffffea,0xfb00000f,0x7ff400df,0x0acfffff,0x7fffed4c,
    0xff56ffff,0x7ec0dfff,0x740fffff,0x305fffff,0x3fffffff,0x21fffffa,
    0x1effffff,0x3fffff6a,0xfffff80f,0x3ff6a1ef,0x3e20ffff,0x0adfffff,
    0x7fffff54,0x7fffffb1,0x3f7bfee0,0x85ffffff,0xfffffff8,0xfffdbabd,
    0xffffffff,0xffb81eff,0xabcfffff,0xffffffec,0x7ffffc43,0x7f540adf,
    0x7f41ffff,0x7fc404ff,0x40adffff,0x1fffffea,0x7ffffffc,0xfffecbdf,
    0x9002ffff,0x0000bfff,0x0003fffa,0x7ffffec0,0xffb87fff,0xabcfffff,
    0xffffffec,0xfffff703,0xfdddffff,0xffffffff,0xfffffc85,0xfff931cf,
    0x703fffff,0xffffffff,0xfffffddf,0x0007ffff,0x007ffec0,0xffffff98,
    0xffefffff,0xffffffff,0xffff15ff,0x7e4c19ff,0x41ffffff,0xcffffffc,
    0xfffff931,0x3ffa3fff,0xfffb87ff,0xffffffff,0x703fffff,0xffffffff,
    0xffffffff,0xfffff907,0xfffddfff,0x7ecbffff,0xfd03ffff,0xffffffff,
    0x3fea03ff,0xffffffff,0xffffffff,0xffffffff,0xfffffd80,0xffffffff,
    0xff906fff,0xddffffff,0xbfffffff,0x02ffff88,0xffffffc8,0xffffeeff,
    0xffa85fff,0xffffffff,0x5fffffff,0x1fffea00,0x7ffec000,0x001ca9cf,
    0xfffffff8,0xfffb04ff,0xffffffff,0x80dfffff,0xfffffffd,0xffffffff,
    0xf984ffff,0xffffffff,0xffffffff,0xfffb01ff,0xffffffff,0x9fffffff,
    0xffc80000,0x01ba9bef,0xfffffff5,0xffffffff,0xbfffffff,0x7fffff41,
    0xfffffdff,0x4c2fffff,0xffffffff,0xffffffff,0xfffd1fff,0x3ffee0ff,
    0xffffffff,0x7dc04fff,0xffffffff,0x204fffff,0xfffffffd,0xffffffff,
    0x7ffffec6,0xfffff983,0x04ffffff,0x7fffffe4,0xffffffff,0xffffdbff,
    0xffb102ff,0xffffffff,0x401dffff,0xfffffffd,0xffffffff,0x0ffffa86,
    0xfffffb00,0xffffffff,0x7fe40dff,0xffffffff,0x00efffff,0x03fffe20,
    0x3ffea000,0x002fffff,0x7fffffc4,0xfb101fff,0xffffffff,0x01dfffff,
    0xfffffe88,0xffffffff,0x2e05ffff,0xffffffff,0xfff9dfff,0x3fea01ff,
    0xffffffff,0x05ffffff,0xfff98000,0x203fffff,0xffffffe8,0xffffffff,
    0x983fffff,0xffffffff,0xfffeffff,0xfffb83ff,0xffffffff,0x1fffff9d,
    0x40fffffd,0xfffffff9,0x004fffff,0xfffffff3,0x009fffff,0xfffffff9,
    0x1bffffff,0x3fffffd8,0xffffffc8,0x3005ffff,0xfffffffd,0x419fffff,
    0x804ffffb,0xfffffffb,0x003fffff,0xfffffff9,0x1bffffff,0x00dfff90,
    0xffffffc8,0xdfffffff,0x7fff5400,0xffffffff,0xfff0003f,0x3600005f,
    0x2fffffff,0x7fffd400,0xb802ffff,0xffffffff,0x4003ffff,0xfffffffb,
    0xffffffff,0xffffc803,0xf34fffff,0x8803ffff,0xfffffffd,0x03ffffff,
    0x3ff20000,0x803fffff,0xfffffffc,0xffffffff,0x7ffdc03e,0x3fffffff,
    0x20dffffd,0xfffffffc,0xffff34ff,0x3ffffa3f,0x7ff64407,0x00cfffff,
    0x7fff6440,0x000cffff,0x3fffff22,0xb01dffff,0x307fffff,0xfffffff9,
    0xfd90007f,0xbfffffff,0x017fa603,0xffffeb88,0x4001deff,0xffffffc8,
    0x3a01dfff,0x88004fff,0xfffffffc,0x4c001dff,0xdeffeedc,0x360000bc,
    0x00004fff,0x2b37ff6a,0x7f64c000,0x2000ceff,0xfffffeb8,0x10001def,
    0xfffffff9,0x0017dfff,0x7fffff5c,0x3fffe63d,0xfdb7001f,0x7fffffff,
    0x2a000000,0x00aceffd,0x3ffff6a0,0x1cefffff,0x3fffa600,0x3ee0dfff,
    0xd701ffff,0x47bfffff,0x01fffff9,0x2aaa6000,0x53000009,0x80001355,
    0x009aaa98,0x75310000,0x20000357,0x0009aba9,0x4c400032,0x000009aa,
    0x01355531,0x00733320,0x35553100,0x00000001,0x79993000,0x00000000,
    0x40000200,0x0009aa98,0xacaa9800,0x9800009a,0x0000001a,0x00035753,
    0x00000000,0x2aaea660,0x4c400009,0x800001aa,0x000001a9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0ccccc40,0x4ccc0000,0x26000999,
    0x00019999,0x01331000,0x4c400000,0x99980000,0x19999819,0x02666200,
    0x00066662,0x01999988,0x26660000,0x98000999,0x00099999,0x33100000,
    0x00003333,0x359b9530,0x02662000,0x31009988,0x40013333,0x00199999,
    0x00266662,0x80999980,0x98009999,0x99980999,0x33300009,0x80000133,
    0x01999998,0x26666620,0x99988001,0x44000199,0x02ffffff,0x3ffea000,
    0x36000eff,0x003fffff,0xffdb8800,0x1bceffff,0xd9510000,0x019dffff,
    0x0fffff00,0x400fffff,0x222ffffa,0x0004ffff,0x7ffffff1,0xff300000,
    0x0001dfff,0x09fffff9,0x32000000,0x004fffff,0x3fffa600,0x004fffff,
    0xfb027fdc,0x3ffea03f,0xff1006ff,0x2600dfff,0x01ffffff,0x1ffffb00,
    0x017fffd4,0x317fffe6,0x000dffff,0x1ffffff7,0x7fe40000,0x22004fff,
    0x01fffffe,0xfffffd80,0x3ffa0003,0x000fffff,0xdffffd00,0xfffb0001,
    0xc80000ff,0xffffffff,0x00dfffff,0x3fffee00,0x3fffffff,0x3ffffc00,
    0x003ffffc,0x743ffff6,0x0000efff,0xfffffffb,0xfd800003,0x0000ffff,
    0x03fffff6,0xf1000000,0x000bffff,0x7ffffdc0,0x0effffff,0x01fff100,
    0xff80fff3,0xb800ffff,0x803fffff,0xfffffff8,0xffd10006,0x3fffe6bf,
    0xffff9805,0x37fffcc5,0x3fffe600,0x00005fff,0x09fffff1,0xfffff100,
    0x3ff60009,0xf90006ff,0xbfffffff,0xfff30000,0x740001df,0x0003ffff,
    0xfffffe98,0xffffffff,0xe8003fff,0xffffffff,0x004fffff,0x3e1ffffe,
    0x44007fff,0xffddffff,0xf70001ff,0xdfffffff,0x7fc40000,0x80001fff,
    0x003ffffd,0x7fdc0000,0x200005ff,0xfffffffd,0x2fffffff,0x5bfffd00,
    0x809fffb7,0x03fffffc,0x0fffffe8,0xfffffd80,0x30004fff,0xffd9ffff,
    0xff3001ff,0xfff98bff,0x7ff4006f,0x03ffffff,0xffffc800,0x3fe60005,
    0x88000fff,0x002ffffe,0x55ffffcc,0x0003ffff,0x00ffffec,0x3fffa200,
    0x7fdc0006,0xffffffff,0xffffffff,0xff9000df,0xffffffff,0x005fffff,
    0x3e1ffffe,0x98007fff,0xffffffff,0xfff10004,0x9ffff39f,0x3ff20000,
    0x200001ff,0x0007fffd,0x7fffc000,0xf500000e,0xddffffff,0x0dffffff,
    0x3ffffe20,0x400effff,0x06fffff9,0x37ffffc4,0x57fffd40,0x002ffffc,
    0xffffff90,0x3e6003ff,0x7fcc5fff,0x3f2006ff,0xfffd9fff,0x3e20001f,
    0x80005fff,0x004ffff9,0x0dfffd10,0x2ffff440,0x003ffff9,0x07fffe20,
    0x7ff44000,0xff50002f,0xffffffff,0xffffffff,0xf300dfff,0x7bffffff,
    0xfffffffd,0xbdddd001,0x00ddddd0,0x3fffff20,0x3fa0006f,0x3ffee6ff,
    0x7c40001f,0x00002fff,0x01ffff44,0xffb80000,0x100000ef,0x89ffffff,
    0x3fffffd8,0xffffd300,0x3a001bff,0x200fffff,0x03fffffb,0xb27fffc4,
    0x0001ffff,0x3ffffffa,0x3bba6004,0x77774c4e,0xffff3004,0x1bfffa27,
    0xefffb800,0xff500000,0x220001ff,0xb002ffff,0xfe81ffff,0xf90006ff,
    0x800005ff,0x8006fff8,0xfffffff8,0xba889bdf,0xfffffffe,0x7fffdc03,
    0x7ffcc0df,0x00002fff,0xffe80000,0x90001fff,0xfd83ffff,0x20000eff,
    0x0002fffb,0x0dffd100,0x3fa00000,0x200000ef,0x03fffffc,0x01bffff6,
    0x059bb950,0xfffffb80,0x3ffff603,0x7fff400f,0x2ffff446,0xffff8800,
    0x0000006f,0x3fffe200,0x27fffcc5,0x0efff800,0x7fd40000,0x3e60003f,
    0x000005ff,0x00000000,0xfb000000,0x03ffffff,0xffffff90,0x7ffec01f,
    0xfff500ff,0x000009ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffff0000,0xfff880ff,0x000003ff,0x7ffffc40,0xfffff106,0x0000000b,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfffff500,0x7cc001bf,0x105fffff,0x80bfffff,0x006fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x44000000,0x805fffff,0x004ffffe,
    0xffd80000,0xffb80fff,0x00002fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x26666000,0x99988009,0x4ccccc19,0x99998800,0x04ccccc1,
    0x0ccccc40,0x7ffffff4,0xfffc8000,0xff982fff,0x5d403fff,0x9730001a,
    0x400359bb,0x80099999,0x00199998,0x2b3772e6,0x97300001,0x000359bb,
    0x33772e60,0xba80001a,0x01accecc,0x1599d973,0xfffff300,0xffffb009,
    0xd995300b,0x4001799d,0x83fffffa,0x007ffffd,0xccdca988,0x2620001a,
    0x01accdca,0x3372a600,0xa980001a,0x0001acdc,0x1acdca98,0xdca98000,
    0x310001ac,0x7fc03333,0xfc806fff,0x3fe1ffff,0xfc806fff,0x3fe1ffff,
    0xfc806fff,0x3e21ffff,0x004fffff,0xffffff10,0xfffff10b,0x54000007,
    0xfffffffe,0xfff803ff,0xffc806ff,0x75401fff,0xffffffff,0xfd50003f,
    0xffffffff,0x3faa0007,0xffffffff,0x7fdc4003,0xffffffff,0xffffd31d,
    0x4019ffff,0xfffffffa,0xffffffff,0x2a06ffff,0xfffffffd,0xf000efff,
    0xf88dffff,0x4004ffff,0xfffffffc,0x64001dff,0xffffffff,0x3a6001df,
    0xffffffff,0xffe98004,0x04ffffff,0xffffe980,0x8004ffff,0xffffffe9,
    0x7f4004ff,0x3fe07fff,0xfc806fff,0x3fe1ffff,0xfc806fff,0x3fe1ffff,
    0xfc806fff,0x3ee1ffff,0x000fffff,0x3ffffee0,0xbfffff06,0xfb100000,
    0xffffffff,0x7c01dfff,0xc806ffff,0x101fffff,0xfffffffb,0x01dfffff,
    0x3ffff620,0xffffffff,0xffb1000e,0xffffffff,0xd1001dff,0xffffffff,
    0xffdfffff,0xffffffff,0x3fee03ff,0xffffffff,0xffffffff,0xffff707f,
    0xffffffff,0xff9003ff,0x7fd41fff,0xd3001fff,0xffffffff,0x3007ffff,
    0xfffffffd,0x007fffff,0xfffffff7,0x001dffff,0x3fffffee,0x00efffff,
    0xffffff70,0x01dfffff,0x3ffffee0,0x0effffff,0xfffffd00,0x37ffffc0,
    0x7ffffe40,0x1bffffe1,0x3fffff20,0x1bffffe1,0x3fffff20,0x3fffff61,
    0x7fcc0005,0xffb07fff,0x80000fff,0xffffffe8,0xffffffff,0xfffff02f,
    0xffff900d,0xfffd103f,0xffffffff,0x8805ffff,0xfffffffe,0xffffffff,
    0x7fff4402,0xffffffff,0x2202ffff,0xfffffffe,0xffffffff,0xffffffff,
    0xc82fffff,0xffffffff,0xffffffff,0xffa87fff,0xffffffff,0x01ffffff,
    0x1fffffcc,0x00dffffb,0x3fffffea,0xffffffff,0x3ffea03f,0xffffffff,
    0x3603ffff,0xffffffff,0x02ffffff,0x7fffffec,0xffffffff,0x7fffec02,
    0xffffffff,0x7fec02ff,0xffffffff,0xe802ffff,0x3e07ffff,0xc806ffff,
    0x3e1fffff,0xc806ffff,0x3e1fffff,0xc806ffff,0x3a1fffff,0x004fffff,
    0x7ffffc40,0xffffc81f,0x3a00001f,0xffffffff,0xffffffff,0xfffff80f,
    0xffffc806,0xffffe81f,0xffffffff,0x200fffff,0xfffffffe,0xffffffff,
    0x3ffa00ff,0xffffffff,0x0fffffff,0xffffff90,0xfffffddf,0xdfffffff,
    0xdfffffff,0xfffffb81,0xcccccccd,0x0ccccccc,0x7ffffffc,0xfffffeef,
    0xffe804ff,0xffff16ff,0xfff1007f,0xffffffff,0x03ffffff,0xfffffff1,
    0xffffffff,0xfff503ff,0xffddffff,0x540dffff,0xefffffff,0x6ffffffe,
    0x3ffffea0,0xffffeeff,0x3fea06ff,0xfeefffff,0x806fffff,0x207ffffe,
    0x806fffff,0x21fffffc,0x806fffff,0x21fffffc,0x806fffff,0x21fffffc,
    0x03ffffff,0xfffff800,0xffb9972f,0x9999bfff,0xffc80099,0x88aeffff,
    0xffffffc9,0x6fffff85,0xfffffc80,0x7ffffe41,0xfc988aef,0x905fffff,
    0x5dffffff,0xffff9311,0x3ff20bff,0x88aeffff,0xffffffc9,0xfffff885,
    0x3ff220af,0x0bffffff,0x3fffff66,0x7ffffd44,0xff500004,0xf903dfff,
    0x700fffff,0xf51fffff,0x9001ffff,0x15ffffff,0x3ffffae2,0xffffc85f,
    0xfd710aff,0xf88bffff,0x444fffff,0x83fffffd,0x4ffffff8,0x7ffffec4,
    0xfffff883,0x7ffec44f,0xfff883ff,0x7ec44fff,0x7403ffff,0x3e07ffff,
    0xc806ffff,0x3e1fffff,0xc806ffff,0x3e1fffff,0xc806ffff,0x3e1fffff,
    0x002fffff,0xfffffe80,0xffffffb3,0xffffffff,0x7ffc400f,0x3ea05fff,
    0x7c2fffff,0xc806ffff,0x221fffff,0x05ffffff,0x3fffffea,0x7ffffc42,
    0x3ffea05f,0x7fc42fff,0x2a05ffff,0x42ffffff,0x03fffed9,0x3ffffffe,
    0x3ffff604,0x7ffffcc7,0xfd700005,0x3e201fff,0x8807ffff,0xfdbfffff,
    0xf9805fff,0x300fffff,0x41ffffff,0x0ffffff9,0xffffff30,0x7ffffe41,
    0x3ffff603,0xfffffc86,0x3ffff603,0xfffffc86,0x3ffff603,0xfffffc86,
    0x3ffff603,0x7ffff406,0x3ffffe07,0xffffc806,0x3ffffe1f,0xffffc806,
    0x3ffffe1f,0xffffc806,0xfffff11f,0xfb00003f,0x3f69ffff,0xffffffff,
    0x007fffff,0x1bffffee,0x3ffffee0,0x37ffffc7,0x7ffffe40,0x3ffffee1,
    0xffffb806,0x7fffdc7f,0xfffb806f,0x7ffdc7ff,0xffb806ff,0x26207fff,
    0x7fffe402,0x7ffc407f,0x7fffc2ff,0x3bea00ff,0x2a200abc,0x7fffec01,
    0xfffd800f,0x2fffffef,0xfffffc80,0x677fec04,0x3ffff20b,0x77fec04f,
    0x3fffe0bc,0x7ffc407f,0x7fffc3ff,0x7ffc407f,0x7fffc3ff,0x7ffc407f,
    0x7fffc3ff,0x7ffc407f,0x3ffa03ff,0x3ffe07ff,0xffc806ff,0x3ffe1fff,
    0xffc806ff,0x3ffe1fff,0xffc806ff,0x3ffe1fff,0x80002fff,0xb4fffffe,
    0xffffffff,0x0fffffff,0x7fffff40,0xfffff002,0x7ffffc1f,0xffffc806,
    0x3ffffa1f,0xffff002f,0x7fff41ff,0xfff002ff,0x7ff41fff,0xff002fff,
    0x0001ffff,0x7ffffe4c,0xffffe805,0x7ffffdc4,0x3ffffa05,0x74c0003f,
    0x800fffff,0xfffffffa,0xfd800fff,0x4401ffff,0x7fffec01,0x100c401f,
    0x00bfffff,0x449ffffd,0x805fffff,0x224ffffe,0x805fffff,0x224ffffe,
    0x805fffff,0x204ffffe,0x207ffffe,0x806fffff,0x21fffffc,0x806fffff,
    0x21fffffc,0x806fffff,0x21fffffc,0x03fffffe,0xfffff800,0xfffffb2f,
    0xffffffff,0x7ffc00ff,0xf9000fff,0x7fc3ffff,0xfc806fff,0x3fe1ffff,
    0x9000ffff,0x7c3fffff,0x000fffff,0x43fffff9,0x00ffffff,0x3fffff90,
    0x7fedcc00,0x04ffffff,0x86ffffd8,0x1effffff,0x3fffff6a,0x6dcc000f,
    0xffffffff,0xfffff000,0x200bffff,0x007ffffe,0xfffffd00,0xfff30000,
    0xffb009ff,0x7ffccbff,0xffd804ff,0x3ffe65ff,0xffd804ff,0x3ffe65ff,
    0xffd804ff,0x3ffa05ff,0x3ffe07ff,0xffd806ff,0x3ffe1fff,0xffd806ff,
    0x3ffe1fff,0xffd806ff,0x3ff61fff,0x40004fff,0x1ffffff8,0x7fffff50,
    0x7ffc4000,0x3ee007ff,0x3fe3ffff,0xfd806fff,0xff11ffff,0x5c00ffff,
    0xf13fffff,0x400fffff,0x13fffffb,0x00ffffff,0x1fffffdc,0xffffb710,
    0xffffffff,0xffffffff,0x0fffffff,0xfffffff7,0xffffffff,0xfd93007f,
    0xffffffff,0x32001fff,0xffffffff,0xfffff002,0x3fe0000f,0x80007fff,
    0xfffffffa,0xffffffff,0x3ea6ffff,0xffffffff,0xffffffff,0x3ffea6ff,
    0xffffffff,0xffffffff,0x3ffffea6,0xffffffff,0x06ffffff,0x81fffffa,
    0x806fffff,0x21fffffd,0x806fffff,0x21fffffd,0x806fffff,0x21fffffd,
    0x05fffffc,0x7fffcc00,0xfff500ff,0x4c0005ff,0x006fffff,0x93ffffea,
    0x806fffff,0x31fffffd,0x00dfffff,0xa7ffffd4,0x06fffff9,0x3ffffea0,
    0xdfffff34,0x7fffd400,0xfffd984f,0xffffffff,0xffffffff,0xffffffff,
    0xfff707ff,0xffffffff,0xe9809fff,0xffffffff,0x0fffffff,0xfffff300,
    0x3e200fff,0x0006ffff,0x6fffff88,0xfffb8000,0xffffffff,0xffffffff,
    0x3ffffee7,0xffffffff,0x27ffffff,0xfffffffb,0xffffffff,0x3ee7ffff,
    0xffffffff,0xffffffff,0x3ffa07ff,0x3ffe07ff,0xffd806ff,0x3ffe1fff,
    0xffd806ff,0x3ffe1fff,0xffd806ff,0x3fea1fff,0x0000ffff,0x1fffffee,
    0x0fffffc8,0x3ffe2000,0x3ee006ff,0x3fe4ffff,0xfd806fff,0xff11ffff,
    0x5c00dfff,0xf14fffff,0x400dffff,0x14fffffb,0x00dfffff,0x27ffffdc,
    0x3fffffe6,0xffdcefff,0xffffffff,0xffffffff,0xfff300ff,0xffffffff,
    0xfffa809f,0xbdffffff,0x00fffffd,0x3fffffa0,0xfff1004f,0x10000fff,
    0x00ffffff,0xfffff900,0xffffffff,0x4fffffff,0xfffffffc,0xffffffff,
    0x3f27ffff,0xffffffff,0xffffffff,0x3fff27ff,0xffffffff,0xffffffff,
    0x3ffffa07,0x3ffffe07,0xffffd806,0x3ffffe1f,0xffffd806,0x3ffffe1f,
    0xffffd806,0x3fffe61f,0xf10004ff,0x40dfffff,0x007fffff,0x7ffffc40,
    0x3fff2007,0x3fffe2ff,0xfffd806f,0xffff11ff,0x7fe400ff,0xfff12fff,
    0x7e400fff,0xff12ffff,0x6400ffff,0x222fffff,0xdfffffff,0x3fffee0a,
    0xccccccdf,0xcccccccc,0x3ffb2200,0x00cfffff,0x7fffffd4,0x7ffe41be,
    0x3ee000ff,0x001fffff,0x01fffffe,0x7ffffc00,0xffb80007,0xccccdfff,
    0xcccccccc,0xffff70cc,0x999999bf,0x99999999,0x3ffffee1,0xcccccccd,
    0x0ccccccc,0x9bfffff7,0x99999999,0x20199999,0x207ffffe,0x807fffff,
    0x21fffffe,0x807fffff,0x21fffffe,0x807fffff,0x21fffffe,0xfffffff8,
    0xfffb8000,0xff303fff,0x00007fff,0x01ffffff,0x3fffff60,0x1fffffe1,
    0x3fffffa0,0x3fffffe1,0xffffb000,0x7ffffc3f,0xfffb000f,0x7fffc3ff,
    0xffb000ff,0x7fe43fff,0xf701dfff,0x0009ffff,0x33ff6000,0xfffd0009,
    0x7fec07ff,0x2e000fff,0x006fffff,0x07fffff4,0xfe804dc0,0xb800ffff,
    0xffffa809,0xfa80004f,0x0004ffff,0x4fffffa8,0xfffa8000,0x800004ff,
    0x207ffffe,0x807fffff,0x21ffffff,0x807fffff,0x21ffffff,0x807fffff,
    0x41ffffff,0x5ffffffa,0x7fffcc00,0xffd106ff,0x20000dff,0x03fffffd,
    0x7fffff88,0x03fffffc,0x0ffffffc,0x07fffffb,0xffffff10,0x3fffffd8,
    0xfffff880,0x7ffffec7,0xffff8803,0x7ffff47f,0x3fff200f,0x000006ff,
    0x4005ffd0,0x06fffff8,0x07ffffec,0xfffffd00,0xfffd8007,0x7fcc03ff,
    0x3ff62dff,0x7cc03fff,0xff32dfff,0x0000bfff,0x0bfffff3,0xffff3000,
    0xf30000bf,0x000bffff,0xfffffd00,0x7fffffc0,0x3fffea00,0x3fffe1ff,
    0x3fea00ff,0x3fe1ffff,0x2a00ffff,0x81ffffff,0xeffffffe,0xffffa800,
    0xfe882fff,0x0001ffff,0xffffff50,0xffffd801,0x7ffffc6f,0x3ffea00f,
    0x3fea1fff,0x6c00ffff,0x546fffff,0x00ffffff,0x37ffffec,0x3fffffea,
    0x7fffec00,0x7ffffc6f,0x7ffff406,0x3be601ff,0x22000abd,0x2a001fff,
    0x203fffff,0x0ffffff8,0xfffff500,0xffb8001f,0x7e406fff,0x3ee2ffff,
    0x6406ffff,0x3e2fffff,0x200fffff,0x40abcefa,0x00ffffff,0x02af3bea,
    0x01ffffff,0x055e77d4,0x03fffffe,0x0abcefa8,0x1fffffa0,0x5fffffe8,
    0xffffff30,0x7ffff43f,0xffff305f,0x7ff43fff,0xff305fff,0x303fffff,
    0xffffffff,0xffda8837,0xb05fffff,0xd9bfffff,0xb88159df,0xffff880e,
    0xff901eff,0xfe83ffff,0xf305ffff,0x43ffffff,0xeffffff8,0xfffff901,
    0xffff883f,0xff901eff,0xf883ffff,0x01efffff,0x3ffffff9,0x1ffffff8,
    0xffffff70,0x3ffa01bf,0x22004fff,0x2a003fff,0x206fffff,0x0ffffffd,
    0xfffffa80,0xff88005f,0xf504ffff,0xf88fffff,0x504fffff,0xb8ffffff,
    0x205fffff,0x43fffffe,0x05fffffb,0x0ffffffa,0x0bfffff7,0x1ffffff4,
    0x17ffffee,0x3fffffe8,0x1fffffa0,0xffffffc8,0xffff931c,0x7e43ffff,
    0x31cfffff,0xfffffff9,0x7fffe43f,0xff931cff,0x03ffffff,0x3ffffff2,
    0xfffeffff,0xffffffff,0xfffffc80,0xffffffff,0x4ffffeff,0xffffff70,
    0xffd9579f,0xf907ffff,0x239fffff,0xffffffc9,0x7ffdc1ff,0xcabcffff,
    0x3ffffffe,0xffffff70,0xffd9579f,0x2e07ffff,0xcfffffff,0xffffecab,
    0xfffe83ff,0x3ee21dff,0xffffffff,0xffdb89cf,0x2000ffff,0x2006fff8,
    0xcffffff8,0x3ffff260,0x6f4c1fff,0xffffffed,0xff70001f,0x759dffff,
    0x9ffffffd,0xffffff70,0xfffd759d,0xfff09fff,0x6d43dfff,0x80ffffff,
    0x1effffff,0x3fffff6a,0xfffff80f,0x3ff6a1ef,0xff80ffff,0x2a1effff,
    0x0ffffffd,0x1fffffa0,0xffffff98,0xffffffff,0x261fffff,0xffffffff,
    0xffffffff,0x3fe61fff,0xffffffff,0xffffffff,0xfffb101f,0xffffffff,
    0xffffffff,0x3ffe605f,0xffffffff,0xffffffff,0xfffb00ff,0xffffffff,
    0x20dfffff,0xfffffff9,0xffffffff,0xfd81ffff,0xffffffff,0x6fffffff,
    0x7ffffec0,0xffffffff,0x7ec06fff,0xffffffff,0x6fffffff,0xffffff90,
    0xfffffddf,0xffffffff,0xffffffff,0xfff0007f,0x409537df,0xfffffffe,
    0xfffffffd,0x7fc42fff,0xffffffff,0x7ff40005,0xffffffff,0x00efffff,
    0xfffffffd,0xffffffff,0xffff701d,0xffffffff,0x2e07ffff,0xffffffff,
    0xffffffff,0xfffff703,0xffffffff,0x3ee07fff,0xffffffff,0x3fffffff,
    0x3fffff40,0x3ffffee0,0x9dffffff,0x5c1fffff,0xffffffff,0xfff9dfff,
    0x7ffdc1ff,0xffffffff,0x1fffff9d,0x7ffffd40,0xffffffff,0x400dffff,
    0xfffffffe,0xffffffff,0x103fffff,0xfffffffb,0xdfffffff,0x7fffdc01,
    0xdfffffff,0x81fffff9,0xffffffd8,0xffffffff,0x7fec400e,0xffffffff,
    0x400effff,0xffffffd8,0xffffffff,0xfffd100e,0xffffffff,0xffffbbff,
    0xffffffff,0x320009ff,0xffffffff,0xfffff300,0xdfffffff,0xf07fffff,
    0xffffffff,0xe980001d,0xffffffff,0x01ffffff,0x3fffffa6,0xffffffff,
    0x3ffee01f,0xffffffff,0x7dc04fff,0xffffffff,0x404fffff,0xfffffffb,
    0x4fffffff,0x7ffffdc0,0xffffffff,0xfffe804f,0xfffc807f,0x34ffffff,
    0x903fffff,0xffffffff,0x3fffe69f,0xffffc81f,0xf34fffff,0x1003ffff,
    0xfffffffb,0x7fffffff,0x3fffea00,0xffffeeef,0xffffffff,0x7fffdc07,
    0xffffffff,0xffff9003,0x269fffff,0x201fffff,0xfffffffb,0x003fffff,
    0x7fffffdc,0x03ffffff,0x7ffffdc0,0x3fffffff,0xfffff980,0x2effffff,
    0x3fffffaa,0x04ffffff,0x3fffa200,0x2e00ffff,0xffffffff,0xffffd3ff,
    0xfffffd0d,0x00001dff,0x3fffff22,0x1effffff,0xffffc880,0xefffffff,
    0xffff9801,0xffffffff,0xffff3004,0xffffffff,0x3ffe6009,0xffffffff,
    0xfff3004f,0xffffffff,0x3ffa009f,0xfd7007ff,0x4c7bffff,0x701fffff,
    0x7bfffffd,0x0fffffcc,0xfffffeb8,0x3fffe63d,0x3b2a001f,0xefffffff,
    0x7f4000cd,0xfeca880b,0x1dffffff,0xfffeb880,0x001defff,0x7fffff5c,
    0x3fffe63d,0x7f5c401f,0x1defffff,0xffd71000,0x03bdffff,0x3ffae200,
    0x01deffff,0x3ffff220,0x3203dfff,0xfffffffe,0xd700001c,0x30037bff,
    0xbffffffd,0x7ffffdc1,0x77fff641,0x5000001d,0xfffffffd,0xfd50005d,
    0x5dffffff,0xffec8800,0x00cfffff,0x7fff6440,0x000cffff,0x7ffff644,
    0x4000cfff,0xfffffec8,0x3a000cff,0x8007ffff,0x800001a9,0x800001a9,
    0x000001a9,0x006ae620,0x88002600,0x0009aaa9,0x01355310,0x006a6000,
    0xaa988000,0x44000009,0x00009aa9,0x04d54c40,0x2aa62000,0xaa980009,
    0x0000009a,0xaa988000,0x00000001,0x55440000,0x1000009a,0x00013555,
    0x026aaa60,0x5554c000,0x53000009,0x00001355,0x0026aaa6,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x98000000,0x00000001,0x00035531,
    0x99998800,0x33330000,0x03333303,0x00988000,0x98800000,0x00000999,
    0x09999998,0x33333100,0x31000003,0x00000013,0x000d54c4,0x33330000,
    0x26200133,0x02662009,0x04cccc00,0x000cccc4,0x599b9531,0x4ccc4003,
    0x4cc40199,0xeb800099,0x1a83eeee,0x03771000,0x00007326,0x77777540,
    0x0bdddd52,0x3bba6000,0x4ccc42ee,0xfec88019,0x9bceffff,0xda800000,
    0xffffffff,0x7400001c,0x0006ffff,0xff0fffff,0x44000fff,0xffffedca,
    0x74c01bce,0x9803eeee,0x01ffffff,0x3ffee000,0x7ec005ff,0x0002ffff,
    0xfffffd98,0x800003ef,0xffffffda,0x00001cff,0xdfffff50,0x02ffcc00,
    0x10005ff9,0xfd09ffff,0x3f200fff,0xffffffff,0xfffe801d,0x3fe602ff,
    0x8002ffff,0x54fffffb,0xf9000bfd,0x6c37dfff,0x000002ff,0x27fffff7,
    0x006ffffa,0xfffff500,0x7ffffe87,0x3ffff260,0xffffffff,0xb880001e,
    0xffffffff,0x02efffff,0xffffd000,0x3ffe000d,0x7ffff87f,0xffff7000,
    0xffffffff,0x3fe601bf,0x74404fff,0x0effffff,0xfffd0000,0xfd1000df,
    0x4000dfff,0xffffffe8,0x002fffff,0x7fffdc40,0xffffffff,0x400002ef,
    0x00effffe,0x440fffc0,0xa8000fff,0xff82ffff,0x7f4c06ff,0xffffffff,
    0x3e603fff,0x7403ffff,0x0fffffff,0xffff9800,0x004fffff,0x7fffffdc,
    0x1fffffff,0xff700000,0x3fea7fff,0x65c006ff,0xfffdcccc,0xffd3ceff,
    0x3fea0fff,0xffffffff,0x03ffffff,0x3fffa600,0xffeeffff,0x00dfffff,
    0x7ffff400,0xffff0006,0x0fffff0f,0xffffe880,0xffffffff,0xf983ffff,
    0x6404ffff,0xffffffff,0xffa80005,0x10000eff,0x005ffffd,0xfffffd10,
    0xffffffff,0x3fa60003,0xeeffffff,0xdfffffff,0xffa80000,0xc8000eff,
    0xfdabdfff,0xf70006ff,0xff981fff,0x3fea04ff,0xffffffff,0xb03fffff,
    0xc809ffff,0xffffffff,0xffd10005,0x00019fff,0xfffffffd,0x00dfffff,
    0x7ffdc000,0xffff53ff,0xfffd800d,0xffffffff,0xffffd6ff,0xfffff50f,
    0xffffffff,0x00bfffff,0x9fffff70,0xffb51013,0x40003fff,0x006ffffe,
    0xf0fffff0,0x5c00ffff,0xffffffff,0xffffffff,0x3e60efff,0x2a04ffff,
    0xffbaffff,0x740002ff,0x0000efff,0x037fff44,0x7ffffec0,0xffffffff,
    0xffb8007f,0x5101cfff,0x05fffffb,0xffffd800,0xffd10000,0x1fffffff,
    0x3fff6000,0x2ffffb87,0xffffff10,0xffffffff,0xff983fff,0x7fd404ff,
    0xffffbbff,0x7fe44002,0x0005ffff,0x3ae61fff,0x001effff,0x3ffee000,
    0xffff53ff,0xfffd800d,0xffffffff,0xffffd6ff,0xfffffa8f,0xffffffff,
    0x6fffffff,0x3ffff200,0x3f22000b,0xd0002fff,0x000dffff,0x3a1bbbba,
    0xf5006eee,0xffffffff,0xffffffff,0x261fffff,0x104fffff,0x7ec9ffff,
    0x30000fff,0x0001ffff,0x07fffe60,0xfffff980,0xfffebbef,0x32001fff,
    0x000bffff,0x0bffff22,0x7fffcc00,0x7f440001,0x01efffff,0x17fffe00,
    0x407ffff2,0xaffffffc,0xffffd710,0x5fffc8bf,0x2ffffc40,0x001ffffb,
    0xfddfff91,0xd0009fff,0x072e609d,0x3ee00000,0x9933ffff,0xfd800bff,
    0xffffffff,0xffd6ffff,0xffff8fff,0x89adffff,0xfffffdba,0xffa803ff,
    0x2a0001ef,0x8001ffff,0x002aaaaa,0xe8000000,0xcfffffff,0xfeba889b,
    0x35ffffff,0x207fffff,0x220efffd,0x0005fffe,0x0003fffb,0x05fff980,
    0x3ffffee0,0xfffffe85,0xdfff5003,0x7fd40003,0xfd8001ff,0x200001ff,
    0x002cddca,0x27fffc40,0x983ffff4,0x00ffffff,0x1ffffff3,0x2017ffe2,
    0x220efffd,0xe806fffe,0xfff32eff,0x000007ff,0xb8000000,0x443fffff,
    0x54c004ff,0xfffcaaaa,0xffd2adff,0x7ffd4fff,0x5c01ffff,0x0fffffff,
    0x017ffe60,0x3ffa200c,0x00000006,0xf9000000,0x03ffffff,0xffffff70,
    0x3ff2667f,0x00000002,0x00000000,0x7fffec00,0xffffb80f,0xfff9803f,
    0xfd100005,0x000000df,0x00000000,0xf05ffff5,0x3f20bfff,0x6c04ffff,
    0x000bceff,0xa8000000,0xffffb82e,0x0000002f,0x3ee00000,0x7d43ffff,
    0xf500003f,0xfe87ffff,0x3ffa7fff,0x5001ffff,0x09ffffff,0xa8077ff4,
    0x02efffeb,0x0009fff3,0x00000000,0xfffff880,0x3e6000df,0x6c7fffff,
    0x000001ff,0x00000000,0x7ff40000,0xfff907ff,0xffd003ff,0x3bbba61f,
    0x01bdeeee,0x0009fff3,0x00000000,0xffffb800,0x27fffcc0,0x1fffffd8,
    0x00000c40,0x44000000,0x3ffffa09,0xcb98000f,0x0001acdd,0x0dee5cc4,
    0x8fffffee,0x73006fea,0xffa837b9,0x7ff43fff,0xffff17ff,0xfc8007ff,
    0xa80fffff,0xffb01fff,0x1dffffff,0x001fff70,0x33372a62,0x9530001a,
    0x01799dd9,0x3fffff60,0xffc8000f,0xff12ffff,0xcca9801f,0x000bccee,
    0x9dd99530,0x26000179,0xbcceecca,0xfffff800,0xdffffd06,0x43fff500,
    0xfffffffa,0xf705ffff,0x262001ff,0x01accdca,0x00999998,0x21999988,
    0xfffffffc,0xffffffff,0x2fffffff,0x01fffffa,0x4cccc400,0x26662001,
    0xec880019,0xffacffff,0x2a003fff,0xfffffffe,0xfa8003ff,0x1fffffff,
    0x27fffff7,0x5402fffc,0xffffffff,0x7fffff52,0x47ffffe8,0x000feca8,
    0x7fffffc4,0x904ffd84,0xffddffff,0x3ffa0dff,0xffffc803,0x01dfffff,
    0xfffffb50,0x01dfffff,0x7fffffc4,0xfff10004,0xffd1bfff,0x7ffed409,
    0xefffffff,0xfffb5000,0xdfffffff,0x3ff6a001,0xffffffff,0x3fffe00e,
    0xffffa86f,0x4ffe804f,0x7fffffd4,0x04ffffff,0xf9007ffd,0xffffffff,
    0x7fffc03b,0xfffc806f,0xffff91ff,0xffffffff,0xffffffff,0x7fffc5ff,
    0xfd00007f,0x7400ffff,0x4007ffff,0xfffffffb,0xffffffff,0x7ffec400,
    0xffffffff,0xff9000ef,0xffffffff,0x7fffff77,0xf900bbea,0xffffffff,
    0xfffff57f,0x7ffffe87,0xffb00000,0xff98bfff,0xdfffb80f,0x0ffff660,
    0xe981ffea,0xffffffff,0x5c03ffff,0xffffffff,0x01ffffff,0x1ffffff3,
    0x7ffdc000,0x06ffffff,0x3fffffee,0xffffffff,0x7fffdc01,0xffffffff,
    0x7fdc01ff,0xffffffff,0xff01ffff,0xffd0dfff,0xf9803fff,0x7ffd41ff,
    0x3fffd440,0x2607ffa8,0xfffffffe,0xf03fffff,0x900dffff,0x323fffff,
    0xffffffff,0xffffffff,0x12ffffff,0x00dfffff,0x3ffffa00,0x3fffa007,
    0x3ff6007f,0xffffffff,0x05ffffff,0x3fffffa2,0xffffffff,0x7ff402ff,
    0xffffffff,0xffffffff,0x3ff600e3,0xffffffff,0xffffffff,0x3fffff43,
    0xffb80000,0x7fe46fff,0x05fff885,0x3e0dfff1,0xfffa82ff,0xffffffff,
    0xf503ffff,0xffffffff,0x3fffffff,0xbfffff70,0xfff98000,0x00dfffff,
    0xfffffff5,0xffffffff,0x3ffea03f,0xffffffff,0x501fffff,0xffffffff,
    0xffffffff,0xfffff883,0x7ffffcc6,0x85ffc804,0xf700fffa,0x3ffe03ff,
    0xfffffa82,0xffffffff,0xffff83ff,0xfffc806f,0xffff91ff,0xffffffff,
    0xffffffff,0x3ffe25ff,0xd00007ff,0x400fffff,0x007ffffe,0xfffffff9,
    0xffffffff,0x3fa01fff,0xffffffff,0xffffffff,0xfffff500,0xfffddfff,
    0x07ffffff,0x7ffffcc0,0xfffeefff,0x43ffffff,0x007ffffe,0xffff3000,
    0x82ffd8ff,0x2601fff9,0x0fff201b,0xfffffff1,0xffffffff,0xffff03ff,
    0xffddffff,0x909fffff,0x009fffff,0xfffff880,0x7ffc02ff,0xfeefffff,
    0x04ffffff,0xffffffff,0xffffffdd,0x3fffe09f,0xffeeffff,0x444fffff,
    0x6c6fffff,0x801fffff,0xffa82ffd,0x3fff500f,0xf10fff20,0xffffffff,
    0xffffffff,0x6fffff83,0xfffffc80,0xfd999951,0xb9999fff,0x999dffff,
    0x3fffffc3,0xfffe8000,0x3ffa007f,0xff9807ff,0xbbdfffff,0xfffffffc,
    0xffffc83f,0xc988aeff,0x05ffffff,0x5ffffffd,0xfffffe88,0x3fa003ff,
    0x442fffff,0xfffffffd,0xbfffff43,0xffffffff,0xffffffff,0xffffffff,
    0x3ffa0fff,0x007ffb81,0x644ffb80,0x0affffff,0xfffffd71,0xfffffa8b,
    0xffffc81e,0xffffd87f,0xff80003f,0x5404ffff,0x81efffff,0x87fffffc,
    0x1efffffa,0x7fffffc8,0xefffffa8,0xfffffc81,0x7ffffc47,0x7fffffc6,
    0x81ffe800,0xfb00fffa,0x27fdc0df,0x3ffffff2,0xfffd710a,0xffff8bff,
    0xfffc806f,0x3ff601ff,0xffffa87f,0x3ffffa02,0x009b800f,0x00fffffd,
    0x03fffff4,0x77fffff4,0xffffe881,0x7ffc45ff,0x3ea05fff,0x5c2fffff,
    0x00ffffff,0x3ffffffa,0xffff5003,0x7fec03ff,0x7f43ffff,0xffff7fff,
    0xffffffff,0xffffffff,0x3fffffff,0x7ec07ffc,0xfa80006f,0x3fffe65f,
    0xfff300ff,0x7f5c1fff,0xff100fff,0xffd0ffff,0x00005fff,0x09fffffd,
    0x0ffffeb8,0xffffff10,0x1ffffd70,0x3ffffe20,0xffffeb87,0xfffff100,
    0xfffff88f,0x3ffffe26,0x0fff802f,0xaabfffa8,0x03fffeca,0xff997fea,
    0xf300ffff,0x7c1fffff,0xc806ffff,0x201fffff,0xfc85ffff,0x3f600fff,
    0x4c03ffff,0x3a2dffff,0x2007ffff,0x407ffffe,0x0ffffffb,0x7fffff40,
    0x3fffee0f,0xfffb806f,0x7ffec7ff,0x7fcc04ff,0x9003ffff,0x809fffff,
    0x3ffffff9,0x47fffff4,0xffffffff,0xffffffff,0xffffffff,0xfff12fff,
    0x0017ffa0,0xfc9bfe60,0x6c04ffff,0x100bceff,0xfffd8035,0x7fffc0ff,
    0xd80001ff,0x005fffff,0xffb006a2,0x54401fff,0x7fffec01,0x006a200f,
    0x41fffffb,0x46fffff8,0x1ffffffe,0x541ffe20,0xffffffff,0x7cc04fff,
    0x3ffff26f,0x77fec04f,0x3fffe0bc,0xfffc806f,0xfff101ff,0xffffd09f,
    0xfffffb80,0x7fffe406,0x3ffffa2f,0x3fffa007,0x7ffe407f,0xffa804ff,
    0x3fa1ffff,0xf002ffff,0x741fffff,0x800fffff,0x03fffffe,0x1fffffb0,
    0xfffffb00,0x7ffffe87,0xffffffff,0xffffffff,0xffffffff,0x3fe25fff,
    0x05ffe80f,0x26ffa800,0x01fffffd,0x200000c4,0x0fffffe9,0x17fffffc,
    0x7fff4000,0x400004ff,0x0fffffe9,0x7ff4c000,0x40000fff,0x0fffffe9,
    0x1bffffe2,0xfffffff7,0x03ffe201,0x3fffffea,0x9800bfff,0x3fff66ff,
    0x00c401ff,0x01bffffe,0x07fffff2,0x417fffd4,0x4405ffff,0x04ffffff,
    0x8ffffff5,0x007ffffe,0x01fffffa,0x03fffffd,0x3fffffa0,0x3fffffe2,
    0xffff9000,0x7ffffc3f,0xffff9007,0x3ffe007f,0xff9007ff,0xffe87fff,
    0xfffff7ff,0xffffffff,0xffffffff,0x45ffffff,0xffd81fff,0xffb80006,
    0x1fffffa5,0x5cc00000,0xfffffffd,0x7ffff40f,0xff80003f,0x0002ffff,
    0x7fffedcc,0x4000ffff,0xfffffdb9,0x4c000fff,0xffffffdb,0x3ffe20ff,
    0xfffe86ff,0xff00efff,0x3fff503f,0x01dfffb7,0x7f4bff50,0x00007fff,
    0x00dfffff,0x03fffff9,0x303ffff2,0x7009ffff,0x9dffffff,0xfffffd75,
    0xffffe89f,0x3fffa007,0x7fffc07f,0xffb000ff,0x3fe27fff,0x2e007fff,
    0xf13fffff,0x200dffff,0x03fffffc,0x0dfffff0,0x3ffffee0,0xbfffff43,
    0x9cfffffe,0x99999999,0xfffa9999,0x3ffa1fff,0x00fffc82,0xffc80b6a,
    0x1fffffe4,0x764c0000,0xffffffff,0x7ec0ffff,0x0004ffff,0x7fffffc4,
    0x7f64c001,0xffffffff,0x64c00fff,0xfffffffe,0x400fffff,0xfffffec9,
    0x0fffffff,0x1bffffe2,0x3fffffa2,0x2ffe80ef,0x260fffa8,0x5c00efff,
    0x3fffe4ff,0xff00007f,0xfb00dfff,0x2623ffff,0x9ffffe99,0xffffb999,
    0xe809999b,0xffffffff,0xefffffff,0x3fffff40,0xfffffd00,0x7ffffc40,
    0x3fff2007,0xffff34ff,0x7fd400df,0xfff34fff,0x3ee00bff,0x8803ffff,
    0x006fffff,0x87fffff5,0xfd7ffffe,0x000bffff,0x3fffffea,0x2a13ff60,
    0xff103fff,0x4fffa0ff,0x06fffff8,0x7ff4c000,0xffffffff,0x640fffff,
    0x005fffff,0x7ffffcc0,0xffd3000f,0xffffffff,0x201fffff,0xffffffe9,
    0xffffffff,0xfffd300f,0xffffffff,0x7c41ffff,0xf106ffff,0x0dffffff,
    0xff509ffb,0x4fffa81f,0xf89fff40,0x0006ffff,0x0dfffff0,0x3fffffb0,
    0x3ffffff2,0xffffffff,0xffffffff,0xffffe982,0xffffffff,0xfffe81ff,
    0x3ffa007f,0x3fe207ff,0x2e007fff,0xf13fffff,0x400dffff,0x34fffffb,
    0x00dfffff,0x0fffffee,0x3ffffe20,0xffff5006,0xffffe87f,0xffffff97,
    0x3fff2000,0x3ffd47ff,0xc81fffe8,0xff984fff,0xfffff10f,0x7d40000f,
    0xffffffff,0xfffffdbd,0x7ffffd40,0x3ee0000f,0x5007ffff,0xffffffff,
    0xffffb7bf,0xffff501f,0xb7bfffff,0x501fffff,0xffffffff,0xffffb7bf,
    0x7fffc41f,0x3ffe606f,0x7d43ffff,0x7ffd40ff,0x01fffe80,0x3e21fff3,
    0x0007ffff,0x0dfffff0,0x3fffffb0,0x3ffffff2,0xffffffff,0xffffffff,
    0xffff9102,0xdfffffff,0x3ffffa03,0x3fffa007,0x7fffc07f,0xff9000ff,
    0x3fe25fff,0x32007fff,0x3e2fffff,0x9006ffff,0x007fffff,0x01fffffe,
    0x1fffffdc,0x4dfffffa,0x01ffffff,0xfffffe80,0x982fff84,0xecacffff,
    0xfd80ffff,0x7ffffc5f,0xff500007,0x837dffff,0x40fffffc,0x4ffffff9,
    0xffff1000,0xff500dff,0x837dffff,0x40fffffc,0xeffffffa,0x7fffe41b,
    0x7fffd40f,0x7e41beff,0x3e20ffff,0x4406ffff,0x87fffffe,0x7fd43fff,
    0x6fff980f,0xff8bff90,0x00007fff,0x00dfffff,0x23fffffb,0xfffffffc,
    0xffffffff,0x2fffffff,0x7ffff540,0x7402efff,0x2007ffff,0x407ffffe,
    0x01fffffe,0x1fffffd0,0x07fffffc,0xfffffd80,0x1fffffe1,0x7ffffec0,
    0xffffd003,0xfff9001f,0xfffe87ff,0x3ffffe7f,0x7fd4005f,0xfc82ffff,
    0xfffb80ef,0x1fffffff,0x741fff98,0x800fffff,0xfffd009b,0x7fec07ff,
    0x7fc40fff,0x000fffff,0xffffffb8,0xffffe803,0x3fff603f,0x7fff40ff,
    0x3ff603ff,0x7ff40fff,0x3f603fff,0x3e20ffff,0x9806ffff,0x41ffffff,
    0x3ea0effc,0xfffb00ff,0x41fff985,0x00fffffe,0xfff009b8,0xffd00fff,
    0x3ff23fff,0xffffffff,0xffffffff,0x1002ffff,0x005bffd9,0x01fffffa,
    0x07ffffe8,0x27ffffe4,0x7ffffcc0,0x7ffffec7,0xffff8803,0x7fffec7f,
    0x7ffc402f,0xfb003fff,0xf005ffff,0x007fffff,0xffffffc8,0xffff1002,
    0x3fe20fff,0xfffd105f,0xd103bfff,0xfffb0dff,0xff9807ff,0xfff12dff,
    0xffd80dff,0xffa80fff,0x4005ffff,0x6ffffff9,0xfffff880,0x7fffec06,
    0x3fffe20f,0x7ffec06f,0x3ffe20ff,0x7fec06ff,0x3fe20fff,0xf9006fff,
    0xf887ffff,0x3ffea5ff,0x1ffff300,0x7ec37ff4,0x4c03ffff,0x3e2dffff,
    0xf807ffff,0x531fffff,0x55ffffd5,0x9ffff955,0x00155555,0x3ffffffe,
    0xffffe804,0x3fffa007,0x7ffd407f,0x7ec00fff,0x7d45ffff,0x400fffff,
    0x46fffffd,0x05fffffc,0x7fffffdc,0xffff9003,0xfffb80bf,0x44003fff,
    0x1fffffff,0x7fffec40,0x3fee03ff,0x332a603f,0x3fff601b,0xfffffb81,
    0x7fffe406,0xfffff52f,0x7fffc407,0xfffd00ff,0x5001dfff,0x5fffffff,
    0xfffff500,0x7fffc407,0x3ffea0ff,0x3fe203ff,0x3ea0ffff,0x2203ffff,
    0x20ffffff,0x06fffff8,0x9fffff30,0x227fff70,0x4cc40199,0x03fffb09,
    0x0dfffff7,0x2fffffc8,0x03fffffe,0xffffffa8,0x85ffff81,0x000ffffc,
    0x3f6f3620,0x7f403fff,0x3a007fff,0xe807ffff,0x01efffff,0x1ffffffb,
    0xffffff88,0xffff901e,0xfff883ff,0xff504fff,0x007fffff,0x3fffffe2,
    0xfffff305,0xf70007ff,0x19ffffff,0xfffffa88,0xffd806ff,0x6c40004f,
    0xff103fff,0x2a09ffff,0x2a7fffff,0x206fffff,0x0ffffffd,0xffffff30,
    0xca8837ff,0x5fffffff,0xfffff500,0x7fffec0d,0x3ffea0ff,0x3ff606ff,
    0x3ea0ffff,0x3606ffff,0x20ffffff,0x86fffff8,0x7fffdc49,0x9fffb03f,
    0xffd88000,0xffff103f,0x3fea09ff,0x7ff47fff,0xff305fff,0x983fffff,
    0xfd83ffff,0x800006ff,0x7406fffa,0x2007ffff,0x807ffffe,0xfffffff9,
    0xfffecaac,0xff703fff,0x579fffff,0xffffffd9,0x3ffff207,0xfca9bdff,
    0x3fffffff,0x3ffff200,0xfca9bdff,0x3fffffff,0xffffb000,0xfddfffff,
    0xffffffff,0xfffd1003,0xfd30001d,0xffb80bff,0xbaceffff,0x4ffffffe,
    0x3fffffe2,0x3fff260c,0x3201ffff,0xffffffff,0xfffffeff,0x00ffffff,
    0xffffff10,0x7ffe4c19,0x3e21ffff,0x20cfffff,0xffffffc9,0x3fffe21f,
    0x3f260cff,0x21ffffff,0x26fffff8,0xfbadffc8,0x102fffff,0x001dfffd,
    0x0bfffd30,0xffffffb8,0xfffebace,0x7fe44fff,0x931cffff,0xffffffff,
    0x2ffffa83,0x005ffff8,0x7fff8800,0x3fffff40,0xfffffd00,0x3ffff200,
    0xffffffff,0x6c06ffff,0xffffffff,0xffffffff,0x3fffe206,0xffffffff,
    0x3fffffff,0x3fffe200,0xffffffff,0x3fffffff,0x3fffa000,0xffffffff,
    0x2fffffff,0x3fffa200,0xfda801df,0xfd004fff,0xffffffff,0x1dffffff,
    0xffffffe8,0xffffffdf,0x2202ffff,0xfffffffd,0xffffffff,0x002fffff,
    0x7ffffff4,0xffffffdf,0x7f42ffff,0xfdffffff,0xffffffff,0x7ffff42f,
    0xffffdfff,0x22ffffff,0x36fffff8,0xffffffff,0x401dffff,0x1cffffe8,
    0xffffda80,0xffffd004,0xffffffff,0xf981dfff,0xffffffff,0xffffffff,
    0x7ffe41ff,0x7fffc40f,0x6cc00003,0x7f405fff,0x3a007fff,0x2007ffff,
    0xfffffffc,0xefffffff,0x7ffec400,0xffffffff,0x5400efff,0xffffffff,
    0xfff9efff,0x7d4003ff,0xffffffff,0xffff9fff,0x3a20003f,0xffffffff,
    0xffffffff,0xfff90001,0x9779bdff,0x5ffffffb,0x7fff4c00,0xffffffff,
    0xff981fff,0xffffffff,0xfffffeff,0xffffa803,0xffffffff,0x00dfffff,
    0xfffff980,0xefffffff,0x4c3fffff,0xffffffff,0xfffeffff,0x7ffcc3ff,
    0xffffffff,0x3fffffef,0x9bffffe2,0xfffffffc,0x9001ffff,0x9bdfffff,
    0xfffdb955,0x74c005ff,0xffffffff,0x01ffffff,0xfffffff7,0xff3bffff,
    0xffd83fff,0xffffa87f,0xdff50002,0x3ffffffd,0x7ffffe80,0x3ffffa00,
    0x7ffd4007,0xffffffff,0x7fdc003f,0xffffffff,0x3a6003ff,0xffffffff,
    0x7fffff0e,0xfffd3000,0x21dfffff,0x003fffff,0xfffffb80,0xffffffff,
    0x7540000d,0xffffffff,0x1dffffff,0xfffc8800,0xffffffff,0x3ffee01e,
    0x3fffffff,0x00dffffd,0x3fffff62,0xffffffff,0x7dc0002f,0xffffffff,
    0xdffffd3f,0xffffff70,0x3fa7ffff,0xffb86fff,0xffffffff,0x4dffffd3,
    0x46fffff8,0xfffffffc,0x754003ff,0xffffffff,0x1dffffff,0xfffc8800,
    0xffffffff,0x7ffe401e,0x34ffffff,0xf83fffff,0xffc85fff,0xf50000ff,
    0xbfffffff,0xffffd003,0x7fff400f,0xec88007f,0xdfffffff,0xfd710001,
    0x3bdfffff,0xfffb1000,0x7fc19dff,0x10003fff,0x9dfffff9,0x1fffffc1,
    0xffc88000,0xcfffffff,0x6cc00001,0xffffffff,0x80001cff,0xffffffea,
    0xfd3002ef,0x41bfffff,0x01fffffb,0x3fffb2a0,0x0bdeffff,0xffd30000,
    0x5c1bffff,0x981fffff,0xdffffffe,0x3ffffee0,0xffffe981,0x3fee0dff,
    0xfff11fff,0xffb50dff,0x0003dfff,0x7ffffecc,0x01cfffff,0xfffea800,
    0x002effff,0x3fffffae,0x3fffe63d,0x3fffe61f,0x06fffd83,0x3b732200,
    0x3a001bcd,0x2007ffff,0x007ffffe,0x009ba980,0x554c4000,0x22000009,
    0x000000aa,0x00055440,0x26200000,0x00019aba,0xdcaa8800,0x00001acc,
    0x026aaa20,0x0d54c400,0x31000000,0x00000357,0x00355310,0x0d54c400,
    0x55310000,0x80000003,0x000009a9,0x33372aa2,0x2000001a,0x0009aaa8,
    0x0000d4c0,0x90399993,0x00007999,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xb0000000,
    0x003ddddd,0x3eeeeeb8,0x47ddddd3,0x00eeeeee,0x3bbbb200,0x4ccc002e,
    0x26660199,0xcdb98099,0x3331001b,0x03333103,0x501bb880,0x99980199,
    0x05edcc19,0x4c04cccc,0xa8800999,0x1bccedcb,0x80999980,0x00019998,
    0x07dddd70,0x5dc40000,0x00199501,0x4ccccc00,0x88000000,0x00199999,
    0x13333310,0x13333000,0x00133330,0x4c400198,0x80019999,0x00199998,
    0x98802662,0x06666609,0x00066666,0x40000026,0x01fffffe,0x7ffffe40,
    0x9fffff34,0x07fffffc,0xffffb000,0x7fdc005f,0x3fe05fff,0x3fee3fff,
    0x01ffffff,0x117fffd4,0x200bffff,0xbeffffd8,0x401ffd10,0xb1fffff8,
    0x41dfffff,0x2e0efffd,0x2202ffff,0xfffffffb,0x3203efff,0x3e61ffff,
    0xb1003fff,0x3ffff203,0x001d8804,0x7dffffb1,0x003ffe21,0x7fffdc00,
    0x000000ff,0x1fffffec,0xffffb800,0xffe8002f,0x7fffe46f,0x7ff64401,
    0x6402deff,0x004fffff,0x07ffffe8,0xd813fee0,0x3fffe1ff,0x0fffff87,
    0x7fff64c0,0xd8802def,0x3ffffa01,0x7fe4001f,0xfff34fff,0x7fffc9ff,
    0x360000ff,0x002fffff,0x017ffffe,0x367fffff,0xffffffff,0x7fe403ff,
    0xffffd0ff,0x3fff6001,0xffefffff,0x7ffc407f,0xffffd9ff,0x7ffc46ff,
    0x9ffff35f,0x7ffffc40,0xffffffff,0x3fffa05f,0x0dffff16,0x6407fee0,
    0x5c04ffff,0xffb001ff,0xfdffffff,0x20000fff,0xfffffff9,0x26000005,
    0x003fffff,0x3ffffee0,0xfff98002,0x7ffff54f,0xfffff880,0x2204ffff,
    0x004fffff,0x0fffffd0,0x407ffc40,0x7ffc7ff9,0xfffff87f,0x3fffea00,
    0x402fffff,0x3fa01ffb,0x4001ffff,0x34fffffc,0x7c9fffff,0x000fffff,
    0x3fffff60,0xffff5002,0xffff801d,0xfffffecf,0x1fffffff,0x677fff40,
    0x2002ffff,0xffffffff,0x404fffff,0xfdfffff8,0x83ffffff,0xffbffffa,
    0x7ff406ff,0xffffffff,0x105fffff,0xffd9ffff,0xfea801ff,0xfff901ff,
    0x3ffaa09f,0xfff8801f,0xffffffff,0xd00004ff,0xffffffff,0x36000005,
    0x0004ffff,0x17ffffdc,0xffffb800,0x406ffffb,0xfffffff8,0x3f202fff,
    0x20005fff,0x007ffffe,0x5d6ffff4,0x7fc4fffd,0xffff87ff,0xffff300f,
    0x01ffffff,0x807fffaa,0x01fffffe,0x7ffffe40,0x9fffff34,0x07fffffc,
    0xffffb000,0x3ffa005f,0xfff800ef,0xefffffff,0xffffffff,0x7fffcc05,
    0x2004ffff,0xca88eff9,0x00dffffe,0x7fffffc4,0x0fffffff,0xffffff90,
    0x7fe403ff,0xdbccefff,0x1fffffff,0xffffff70,0xffc805ff,0xff901fff,
    0xfff709ff,0xff3003ff,0xfff9511b,0x00001bff,0xfb1ffff9,0x00001fff,
    0x05ffff88,0xffffb800,0x3f60002f,0x0fffffff,0x7ffffe40,0x100fffff,
    0x000bffff,0x07ffffe8,0x7ffffc40,0x7c0effff,0xfff87fff,0xfffb00ff,
    0x0fffffff,0x07fffff2,0x1fffffe8,0x7fffe400,0xfffff34f,0x7fffffc7,
    0x3ff60000,0xfa802fff,0xff000fff,0x17ffffff,0x7fffffcc,0xffffb807,
    0x74c006ff,0x0399302e,0x3ffffe20,0x5fdcefff,0x7fffff40,0x7fff403f,
    0x3fff205f,0x3ff605ff,0xc805ffff,0x501fffff,0xf907ffb9,0x3003ffff,
    0x332605dd,0xff500000,0x3ffa25ff,0x6400006f,0x00005fff,0x05fffff7,
    0x7fffc400,0xfe802fff,0xa9beffff,0x3bffee04,0x7ff40000,0xe98007ff,
    0x0dffffff,0xd86eeee8,0xff00eeee,0x557bffff,0x3ffff207,0x3fffa01f,
    0x7e4001ff,0x2664ffff,0x3ffe2ffc,0x20000fff,0x02fffffd,0x001fffd8,
    0x3ffffffe,0xfffff302,0xfffd001f,0x000003ff,0x3ffe2000,0x0c43ffff,
    0x3ffffe60,0xfffff806,0x566ff403,0x3fffe201,0xffc800ff,0x7d401fff,
    0xffffc82f,0x0000001f,0xffff1000,0x3ffff98b,0xfff10000,0x5440000d,
    0x0000aaaa,0x2fffffd4,0xffffff80,0x3bffe001,0xccb80000,0x2a0004cc,
    0x0002cddc,0xffff1000,0x3f2001ff,0x3a01ffff,0x001fffff,0x27ffffe4,
    0xfff0ffec,0x40001fff,0x02fffffd,0x7ffc0000,0x7f404fff,0x0001ffff,
    0x00000000,0xffffff88,0x40000006,0x2ffffff8,0x00000000,0x07fffff2,
    0xf903ff90,0x0003ffff,0x00000000,0x00000000,0x00000000,0x7fc00000,
    0x00007fff,0x00000000,0x00000000,0x37ffffc4,0xfffff900,0x7ffff403,
    0x7fe4001f,0xfff84fff,0x3fffffe0,0x3ff60000,0x00002fff,0x7fffffc0,
    0x7fffe401,0x0000001f,0x9dd99530,0x3e200179,0x002fffff,0xffe80000,
    0x1bdfffff,0x44000000,0xfffffd99,0x7fdc199a,0x3ff66625,0x4199afff,
    0x80099999,0x00199998,0x00000000,0x00000000,0x80000000,0x006fffff,
    0xa8800000,0x00002aaa,0x30000000,0x80bfffff,0xffffd998,0x7f4199af,
    0x4001ffff,0x44fffffc,0x7ffc4ffd,0x20000fff,0x32fffffd,0x73013333,
    0x7fc0379b,0x6400ffff,0x332fffff,0xb7301333,0x6d400379,0xffffffff,
    0x7c400eff,0x000fffff,0x260ccccc,0xffc80bdb,0xffffffff,0x44000acf,
    0x2a019999,0xffffffff,0xffd1ffff,0x7fffd41f,0xffffffff,0x1bffffe1,
    0x3fffff20,0x03333311,0x01333330,0x09999988,0x26666662,0x99999999,
    0x4cc41999,0x99999999,0x19999999,0x4cccccc4,0x99999999,0x7ffc1999,
    0x999806ff,0x05edcc19,0x3fffea00,0x26620007,0x26200199,0x26201999,
    0xdfffffa9,0x7fd41999,0xffffffff,0x3fffa1ff,0x7e4001ff,0xea8cffff,
    0xffff86ff,0x360000ff,0xff2fffff,0x7fdc7fff,0x81ffffff,0x807fffff,
    0xf2fffffc,0x7dc7ffff,0x1fffffff,0x7ffffdc0,0xffffffff,0x3ffe201f,
    0x7c4007ff,0xffb1ffff,0x7441dfff,0xffffffff,0x00dfffff,0x0fffffd0,
    0x7fffffd4,0x91ffffff,0xfffa83df,0xffffffff,0x3ffffe1f,0xffffc806,
    0xfffff91f,0x7fffcc01,0x7ffe406f,0x3ffee0ff,0xffffffff,0x47ffffff,
    0xfffffffb,0xffffffff,0x7ffdc7ff,0xffffffff,0x47ffffff,0x406fffff,
    0xb1fffff8,0x01dfffff,0x1ffffea0,0xffffe800,0x3fffa007,0x3ffee07f,
    0xffffffff,0x7fffd47f,0xffffffff,0x3fffffa1,0x7ffe4001,0xefffffff,
    0xffffff80,0x3ff60000,0xffff2fff,0x3ffff67f,0x43ffffff,0x807fffff,
    0xf2fffffb,0x3f67ffff,0xffffffff,0xffff503f,0xffffffff,0x2203ffff,
    0x006fffff,0x4fffffc4,0x6ffffffd,0xfffffe88,0xffffffff,0xfffe804f,
    0x3ffea07f,0xffffffff,0x3ea0531f,0xffffffff,0x3ffe1fff,0xffc806ff,
    0xfff31fff,0x7fdc05ff,0x3e00ffff,0x7dc6ffff,0xffffffff,0xffffffff,
    0x7ffffdc7,0xffffffff,0x7dc7ffff,0xffffffff,0xffffffff,0x37ffffc7,
    0x3ffffe20,0xffffffd9,0x3fff2006,0x3fa0005f,0x3a007fff,0x2e07ffff,
    0xffffffff,0x7d47ffff,0xffffffff,0x3ffa1fff,0x64001fff,0xffffffff,
    0x3fffe03e,0x360000ff,0xff2fffff,0xfffd9fff,0xffffffff,0x7ffffc3f,
    0xffffb807,0x9fffff2f,0xfffffffd,0xf03fffff,0xdfffffff,0xfffffffd,
    0x3fffe209,0x7fc4006f,0xffffdfff,0xf7103fff,0xffffffff,0x809fffff,
    0x207ffffe,0xfffffffa,0x801fffff,0xfffffffa,0x3e1fffff,0xc806ffff,
    0x3e1fffff,0x3605ffff,0x02ffffff,0x87fffff3,0xfffffffb,0xffffffff,
    0x7ffdc7ff,0xffffffff,0x47ffffff,0xfffffffb,0xffffffff,0x7fffc7ff,
    0x7ffc406f,0xfffffdff,0xff1003ff,0x40007fff,0x007ffffe,0x81fffffa,
    0xfffffffb,0x547fffff,0xffffffff,0x3fa1ffff,0x4001ffff,0xaefffffc,
    0xfffff800,0x3f60000f,0xfff2ffff,0xdfffffff,0xffffffff,0x3fffffcb,
    0x7ffffdc0,0xfffffff2,0xffffdfff,0xfa8bffff,0xc81effff,0x107fffff,
    0x00bfffff,0xffffff88,0x0fffffff,0xfffeca80,0xffffffff,0x3ffffa01,
    0x3f6aa207,0xaaabffff,0xfdaa8800,0xaaacffff,0x1bffffe0,0x3fffff20,
    0x1fffff21,0xfffffff8,0xfffff704,0xfffffb83,0xffffffff,0x7dc7ffff,
    0xffffffff,0xffffffff,0x7ffffdc7,0xffffffff,0x7fc7ffff,0x7c406fff,
    0xffffffff,0x8800ffff,0x02fffffe,0x3ffffa00,0x3fffa007,0x3ffee07f,
    0xffffffff,0x7ed5447f,0xaaacffff,0x3fffffa0,0x7ffe4001,0x3fe004ff,
    0x0000ffff,0x4bfffff6,0xffffffff,0x3fffe60b,0x3fffe7ff,0xfffb807f,
    0xfffff2ff,0x7cc17fff,0x5c7fffff,0x100ffffe,0x20ffffff,0x05fffff8,
    0x7ffffc40,0x5fdcefff,0xffdb8800,0x03ffffff,0x01fffffa,0x0fffffe4,
    0x3fff2000,0x3ffe01ff,0xffc806ff,0x3fea1fff,0xff981fff,0xb06fffff,
    0x930dffff,0x99999999,0xfffffff9,0xccccc985,0xfffccccc,0x64c2ffff,
    0xcccccccc,0xfffffffc,0x37ffffc2,0x3ffffe20,0x5fdcefff,0xffffe880,
    0x3a0000ff,0x2007ffff,0x207ffffe,0xffffbaa9,0x202aaaef,0x01fffffc,
    0x07fffffa,0xfffff900,0x7fffc009,0x360000ff,0xff2fffff,0x205fffff,
    0x0ffffff9,0x00ffffff,0x25fffff7,0x2fffffff,0xffffff30,0xb006a201,
    0x101fffff,0x00bfffff,0xffffff88,0x0c00c43f,0x3ffffaa0,0x3fffa05f,
    0xfff9007f,0xc80003ff,0x201fffff,0x806fffff,0x41fffffc,0xc83fffff,
    0xffffffff,0x7ffffc40,0x3ffa0004,0x0004ffff,0x3ffffffa,0x3ffa0004,
    0xff84ffff,0x7c406fff,0x43ffffff,0x7ffcc018,0x0001ffff,0x03fffff4,
    0x0fffffd0,0x3ffffe60,0x3fff2004,0x3ffa01ff,0x64001fff,0x004fffff,
    0x03fffffe,0xffffd800,0xffffff2f,0xffffe809,0xffffff1f,0xfffff700,
    0x3fffffe5,0x7ffff404,0x3a60001f,0x880fffff,0x005fffff,0x7fffffc4,
    0xfdb95006,0xfff9805f,0x3ffa05ff,0xff9007ff,0x80003fff,0x01fffffc,
    0x01bffffe,0x07fffff2,0xd0dffffb,0xffffffff,0xfffffa85,0xfffb0001,
    0x4000bfff,0x5ffffffd,0x3fff6000,0xfff05fff,0xff880dff,0x8006ffff,
    0xfffffffa,0xffe80003,0x3fa007ff,0xf3007fff,0x4009ffff,0x01fffffc,
    0x07fffffa,0xfffff900,0x7fffc009,0x360000ff,0xff2fffff,0xc803ffff,
    0xff1fffff,0xf700ffff,0x3fe5ffff,0x6401ffff,0x001fffff,0x3ffff6e6,
    0xf880ffff,0x4005ffff,0x2ffffff8,0xfffff900,0xffffa80d,0x3fffa03f,
    0xfff9007f,0xc80003ff,0x201fffff,0x806fffff,0x41fffffc,0x20fffffa,
    0xfffffff8,0x7ffe44ff,0xff90006f,0x000bffff,0x7fffffe4,0x3ff20005,
    0x3e05ffff,0x4406ffff,0x02ffffff,0x7ffffd40,0xd00002ff,0x400fffff,
    0x007ffffe,0x09fffff3,0x7ffffe40,0x3ffffa01,0x7fe4002f,0x3e003fff,
    0x000fffff,0x3fffff60,0x1ffffff2,0xfffffc80,0x0ffffff2,0x5fffff70,
    0x03fffffe,0x5fffff90,0x7fff64c0,0xffffffff,0xffff880f,0x7fc4005f,
    0x1000ffff,0x5bffffff,0xffffea81,0x3fffa01f,0xfff9007f,0xd70003ff,
    0xdffffffd,0xffff8bdd,0xfffd806f,0x7ffc41ff,0x3ffea2ff,0x46ffffcf,
    0x004fffff,0xffffffb8,0xff70000e,0x001dffff,0x3ffffee0,0x3ffe00ef,
    0x7fc406ff,0x2000ffff,0xfffffff8,0x3fa00002,0x3a007fff,0x3007ffff,
    0x009fffff,0x0fffffe4,0x5fffffd0,0xffffc800,0x3ffe003f,0x20000fff,
    0xf2fffffd,0x900fffff,0x3e5fffff,0xb807ffff,0xff2fffff,0xf900ffff,
    0xd305ffff,0xffffffff,0x1fffffff,0xbfffff10,0xffff8800,0x7fe4007f,
    0xeeffffff,0x5fffffff,0x3fffff40,0xfffffc80,0xfffc8001,0xffffffff,
    0x37ffffc7,0x7ffffec0,0x5ffffd81,0x367ffff2,0xff30ffff,0xa8003fff,
    0x0fffffff,0xffff5000,0x20001fff,0xfffffffa,0x7ffffc00,0x7fffc406,
    0x7fec007f,0x0001ffff,0x3fffff40,0xfffffd00,0x3fffe600,0x3ff2004f,
    0x3fa01fff,0x4002ffff,0x03fffffd,0x3fffffe0,0xffb00200,0x3ffe5fff,
    0xffb807ff,0xffff2fff,0xfff700ff,0x3fffe5ff,0xfffb807f,0x7ffd42ff,
    0xbdffffff,0x80fffffd,0x05fffff8,0x7ffffc40,0xfffd8006,0xffffffff,
    0xe806ffff,0x9007ffff,0x003fffff,0xffffff90,0xf8ffffff,0xd806ffff,
    0xb81fffff,0x3fa7ffff,0xffff77ff,0x1ffffee5,0xfffff300,0x260003ff,
    0x1fffffff,0xffff3000,0xff003fff,0xf880dfff,0x2006ffff,0x0ffffffa,
    0xffe80000,0x3fa007ff,0xf3007fff,0x4009ffff,0x01fffffc,0x0ffffff6,
    0xfffffb00,0x7fffc005,0xfedc88ff,0x7fff404f,0xfffff2ff,0xffff700f,
    0x3ffffe5f,0xffffb807,0xffffff2f,0xfffff700,0x7ffffd45,0x7fe41bef,
    0xff880fff,0x44005fff,0x006fffff,0xffffff90,0xbfffffff,0xffffd001,
    0x3fff200f,0xfc8001ff,0xffffffff,0x7fffc7ff,0xfffd806f,0xfff881ff,
    0xffff89ff,0x29ffff35,0x004ffffe,0x3fffffe2,0xff10002f,0x005fffff,
    0x3ffffe20,0xfff002ff,0xff880dff,0x32006fff,0x002fffff,0xffffd000,
    0x7fff400f,0xfff3007f,0x7e4009ff,0x3201ffff,0x005fffff,0x17fffff4,
    0xffffff00,0xbfffff11,0xffffff80,0x0ffffff1,0x5fffff70,0x01fffffe,
    0x4bffffee,0x807fffff,0x22fffffb,0x03fffffe,0x03fffff6,0x17ffffe2,
    0xfffff100,0x7e44000b,0xffffffff,0x3ffa001d,0xff9007ff,0x80003fff,
    0x01fffffc,0x01fffffe,0x07fffffa,0x55fffff4,0x3fe3ffff,0xffff8eff,
    0xffd1002f,0x0007ffff,0x3fffffa2,0xfd10003f,0x007fffff,0x037ffffc,
    0x17ffffe2,0xfffffd80,0x599d3000,0x7ffff403,0x3fffa007,0xfff3007f,
    0x7e4009ff,0x2e01ffff,0x00ffffff,0xffffff30,0x7fffc003,0xfffff0ff,
    0x7fffc40f,0xfffff0ff,0xffff700f,0x5995005f,0x3ffe0015,0xffb807ff,
    0xfff12fff,0xffd80dff,0x32a00fff,0x22000abc,0x005fffff,0xdffd5100,
    0xffd0003b,0x3f200fff,0x0001ffff,0x0fffffe4,0x0ffffff0,0x3ffffff0,
    0x3bfffee0,0x361ffffc,0xfffbffff,0x3ffa007f,0x0004ffff,0x3ffffffa,
    0x3ffa0004,0x4004ffff,0x406fffff,0x05fffff8,0x1fffff60,0x7ffffd80,
    0x1fffffa0,0x7ffffe80,0xfffff300,0x7ffe4009,0x3fe601ff,0xb005ffff,
    0x00ffffff,0x0ffffff8,0x05fffffd,0x9fffffee,0x807fffff,0x02fffffb,
    0x7fffffc4,0xfffff804,0xffffb807,0xfffff52f,0x7fffc407,0x3ffe00ff,
    0x8800dfff,0x005fffff,0x3ffffe00,0x7f4004ff,0xf9007fff,0x0003ffff,
    0x1fffffc8,0x3fffffe0,0x3fffea00,0xfff101ff,0x8fffffff,0xfffffffb,
    0xffb005ff,0x000bffff,0x7fffffec,0x3ff60005,0x8005ffff,0x406fffff,
    0x05fffff8,0x3ffffee0,0xffff8800,0x3fffa04f,0x3ffa007f,0xff3007ff,
    0x64009fff,0x401fffff,0xeffffffd,0xffffd502,0xff8007ff,0xffb0ffff,
    0xf985ffff,0x3e5fffff,0xb807ffff,0x402fffff,0xfffffff8,0x7ffffc05,
    0xffffb807,0xfffff52f,0x7fffec0d,0x3ffe00ff,0x8806ffff,0x005fffff,
    0xfb79b100,0x74007fff,0x9007ffff,0x005fffff,0xfffffb80,0x3ffffa03,
    0xffff305f,0x7f403fff,0x5fffffff,0x7fffffcc,0xfc802fff,0x005fffff,
    0x3fffff20,0x3f20005f,0x005fffff,0x0dfffff0,0x5fffff88,0x3fffea00,
    0xfffe805f,0x3ffa01ff,0x3fa007ff,0xf3007fff,0x4009ffff,0x02fffffc,
    0x7fffffcc,0xffeeefff,0x0fffffff,0x7ffffc00,0xfffff30f,0xffffdfff,
    0x7fc3ffff,0xfb807fff,0x1002ffff,0x80ffff93,0x807fffff,0x12fffffb,
    0x19ffffff,0x7ffffe4c,0xfc9801ff,0x7c400fff,0x0005ffff,0x1bffea00,
    0x7ffffe80,0xfffff700,0x8003b77f,0xbffffffb,0x3fff21db,0xf931cfff,
    0x3fffffff,0x7ffffe40,0xfff83fff,0x00ffffff,0x7fffffdc,0x9999998e,
    0x3ee09999,0x98efffff,0x99999999,0x3fffee09,0x99998eff,0x20999999,
    0x406fffff,0x05fffff8,0x7fffff40,0xfffe981d,0x7ff407ff,0x3fa007ff,
    0xf3007fff,0x4009ffff,0xbffffffb,0xfffd81db,0xffffffff,0xffffffff,
    0xffff8003,0x3fff20ff,0xffffffff,0x7fc5ffff,0xfb807fff,0x4002ffff,
    0x200ffff8,0x807fffff,0x22fffffb,0xfffffffe,0xfffffffd,0x3e002fff,
    0x7c401fff,0x0005ffff,0x1fffe200,0x7ffffe80,0xfffff500,0x8005ffff,
    0xfffffffa,0x3ffe63ff,0xffffffff,0xffffffff,0x3fffe601,0xfc81ffff,
    0x05ffffff,0x7fffffcc,0xffffffff,0xf34fffff,0xffffffff,0xffffffff,
    0x3ffe69ff,0xffffffff,0xffffffff,0x1bffffe4,0xbfffff10,0xffff9800,
    0xffeeffff,0x02ffffff,0x03fffff4,0x0fffffd0,0x3ffffe60,0x3ffea004,
    0x83ffffff,0xffffffd8,0xffffffff,0xf0004fff,0x441fffff,0xffffffff,
    0x0effffff,0x03fffffc,0x17ffffdc,0xdfffb300,0x7fffff80,0xfffffb80,
    0x3ffffe62,0xefffffff,0x803fffff,0x807fffc8,0x05fffff8,0xffb30000,
    0x7ff400bf,0xff1007ff,0x7fffffff,0xffff8800,0x5c3fffff,0xffffffff,
    0xfff9dfff,0x7ffc01ff,0xf507ffff,0x07ffffff,0xffffff98,0xffffffff,
    0xf34fffff,0xffffffff,0xffffffff,0x3ffe69ff,0xffffffff,0xffffffff,
    0x1bffffe4,0xbfffff10,0xffff5000,0xffffffff,0xd009ffff,0x400fffff,
    0x007ffffe,0x09fffff3,0xffffff80,0x3f203fff,0xffffffff,0x01efffff,
    0x3ffffe00,0x7fff440f,0xffffffff,0xfffff80e,0xffffb807,0xeeff982f,
    0x02ffffff,0x03fffffc,0x17ffffdc,0x3fffffee,0xffd3ffff,0x77fc4dff,
    0x2ffffffe,0xfffff880,0x7fd40005,0xffffffee,0x3fffa001,0x3ff2007f,
    0x04ffffff,0xfffffa80,0xffc84fff,0x4fffffff,0x03fffff3,0xffffffc8,
    0xfffff105,0xff9801ff,0xffffffff,0xffffffff,0xfffff34f,0xffffffff,
    0x29ffffff,0xfffffff9,0xffffffff,0x3fe4ffff,0x7c406fff,0x0005ffff,
    0xffffffd5,0x7fffffff,0x3ffffa00,0x3fffa007,0xfff3007f,0xfc8009ff,
    0x4fffffff,0x7fff6440,0x3effffff,0xffff8000,0xfff700ff,0x05bfffff,
    0x03fffffc,0x17ffffdc,0x7fffffcc,0xff801eff,0xfb807fff,0xe982ffff,
    0x0dffffff,0x47ffffee,0xfffffff8,0xff1002ef,0x8000bfff,0xfffffffa,
    0x7f4001df,0x5c007fff,0x3effffff,0xfffd7000,0x3ae07dff,0x23dfffff,
    0x01fffff9,0x7fffffd4,0x3ffffa02,0xfff9806f,0xffffffff,0xffffffff,
    0xffffff34,0xffffffff,0x269fffff,0xffffffff,0xffffffff,0x3ffe4fff,
    0x7fc406ff,0x40005fff,0xfffffffb,0x2000dfff,0x007ffffe,0x01fffffa,
    0x27ffffcc,0x7fffd400,0x22003eff,0x009abaaa,0x10000000,0x00135753,
    0x00ffffff,0x05fffff7,0x99bdd991,0x7fffc003,0xfffb807f,0x2a6202ff,
    0x9910001a,0x00399bdb,0x5fffff88,0x6e644000,0x0001bcde,0x00fffffd,
    0x0006aa60,0x001aa880,0x00000d4c,0x07fffffc,0x7fffff90,0xfffff300,
    0xffffffff,0x29ffffff,0xfffffff9,0xffffffff,0xff34ffff,0xffffffff,
    0xffffffff,0x7ffffc9f,0x7fffc406,0x9880005f,0x00abddca,0xfffffd00,
    0x7ffff400,0xffff3007,0x54c0009f,0x0000001a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4c000000,0x262eeeee,0xb9809999,0x20000abd,0x881bdca9,
    0x44009999,0x00acedca,0x6f654c00,0x4cc400ab,0x99880199,0xdddb0999,
    0xeb8003dd,0x0003eeee,0xcb980000,0x8000abde,0xaaaaaaa8,0xaaaaaaaa,
    0x372a2000,0x10001bce,0x579ddb95,0xeeeee880,0x00000004,0x97777764,
    0x01eeeeed,0x77764000,0x000000ee,0xeee88000,0x2a2000ee,0x0abceecc,
    0x2aaaaa20,0xaaaaaaaa,0x22aaaaaa,0xeeeeeeee,0xeeeeeeee,0xeeeeeeee,
    0x3bbbae01,0xeeeeeeee,0x3bbba205,0x500001ee,0x227fffff,0xb12fffff,
    0x9fffffff,0xfffe8800,0x3fa3ffff,0x3f203fff,0xefffffff,0x7ff44001,
    0x03ffffff,0x03fffff2,0x9fffff50,0x07fffffa,0xfffff900,0xfecb9809,
    0x0002cdef,0xfffffff7,0xfb8007ff,0xffffffff,0x01ffffff,0xfffffe88,
    0x2000dfff,0xfffffffc,0xff101eff,0x0000bfff,0xfffd8000,0xffffd2ff,
    0xd800005f,0x000fffff,0xd8000000,0x000fffff,0xfffffff7,0x3e205fff,
    0xffffffff,0xffffffff,0x3fffe7ff,0xffffffff,0xffffffff,0x3202ffff,
    0xffffffff,0x2206ffff,0x01ffffff,0xffff5000,0x3fffe27f,0xffffe8af,
    0x00efffff,0xffffffa8,0xffd4ffff,0xffd307ff,0xffffffff,0x3fe6005f,
    0xffffffff,0xffff905f,0xfffa801f,0xffffd4ff,0xffc8003f,0xf9104fff,
    0xffffffff,0x7ec005ff,0xffffffff,0xfb000dff,0xffffffff,0x03ffffff,
    0xffffffa8,0x01ffffff,0x7fffffcc,0x4fffffff,0x5fffff88,0x40000000,
    0xd2fffffd,0x005fffff,0xffffd800,0x0000000f,0x7fffdc00,0x7fc400ff,
    0xffffffff,0x7c40efff,0xffffffff,0xffffffff,0x3fffe7ff,0xffffffff,
    0xffffffff,0x3202ffff,0xffffffff,0x2206ffff,0x01ffffff,0xffff5000,
    0x3fffe27f,0xfffffecf,0x0fffffff,0x3ffffee0,0xcfffffff,0x4c3ffffe,
    0xffffffff,0x04ffffff,0x7fffffcc,0x6fffffff,0x0fffffc8,0x7ffffd40,
    0x3fffffd4,0xffffc800,0xffffb84f,0xffffffff,0x3a201eff,0xffffffff,
    0x006fffff,0xfffffffd,0xffffffff,0x7fffe403,0xffffffff,0x3ffa00ef,
    0xffffffff,0x7c42ffff,0x0005ffff,0x7fec0000,0xfffd2fff,0x800005ff,
    0x00fffffd,0x20000000,0xfffffff8,0x3fffa200,0xffffffff,0x7fc45fff,
    0xffffffff,0xffffffff,0x3ffffe7f,0xffffffff,0xffffffff,0x3f202fff,
    0xffffffff,0x3e206fff,0x001fffff,0xfffff500,0x3ffffe27,0xffffffff,
    0x04ffffff,0xfffffff1,0xffffffff,0xfd87ffff,0xffffffff,0x01ffffff,
    0x3ffffffa,0xffffffff,0x7ffffe43,0x7fffd400,0xfffffd4f,0xfffc8003,
    0x7ffd44ff,0xffffffff,0x00efffff,0xfffffff7,0xffffffff,0xffff8809,
    0xffffffff,0xf701ffff,0xffffffff,0x0bffffff,0x3ffffff2,0xffffffef,
    0x3ffe20ff,0x000005ff,0x7fffec00,0xfffffd2f,0xfd800005,0x0000ffff,
    0x3fa00000,0x00ffffff,0x3ffffff6,0xffffffff,0x3ffe23ff,0xffffffff,
    0xffffffff,0x3fffffe7,0xffffffff,0xffffffff,0x000002ff,0x3ffffe20,
    0xf500001f,0x3e27ffff,0xbfffffff,0x3ffffa60,0xfffc81ff,0x3620cfff,
    0x3fffffff,0x3fffffea,0xffffb88a,0xfff705ff,0xfb317fff,0x641fffff,
    0x400fffff,0xd4fffffa,0x003fffff,0x4fffffc8,0x3fffffe2,0xffdcacdf,
    0xfd05ffff,0x2a5bffff,0x0ffffffd,0x3ffffe60,0xffffffff,0xff881fff,
    0x931dffff,0x01ffffff,0x3bffffff,0x3ffffae2,0x3fffe23f,0x0000005f,
    0x7ffffec0,0x5fffffd2,0xffd80000,0x000007ff,0x3ffee000,0x300fffff,
    0x7dffffff,0xfffff931,0x3ffe21ff,0xffffffff,0xffffffff,0x2aaaaaa3,
    0xfffffaaa,0xaaaaaacf,0x000000aa,0x3ffffe20,0xf500001f,0x3e27ffff,
    0x02ffffff,0xbfffffd1,0xffffff98,0x3ffff203,0x3fffe3ff,0xfff980ff,
    0xffe80fff,0xffe83fff,0x3ff22fff,0x7d400fff,0xffd4ffff,0xc8003fff,
    0x3a4fffff,0x01efffff,0x7fffffd3,0x4fffff98,0x5ffffff0,0x7ffffdc0,
    0x99999999,0xfff90199,0x3ff60bff,0x7fc42fff,0xff306fff,0x7fc49fff,
    0x00005fff,0x7ffec000,0xffffd2ff,0xffffffff,0x80179bdd,0x007ff998,
    0xf3000000,0xffffffff,0x3fffee01,0xfffd105f,0x4cccc3ff,0x99999999,
    0x05fffff9,0xffffff80,0x00000001,0x7ffffc40,0xf500001f,0x3e27ffff,
    0x405fffff,0x47fffff9,0x06fffffb,0x7fffffc4,0x9fffff13,0x7ffffdc0,
    0x7ffffc44,0xfffff506,0x7ffffe4b,0x7fffd400,0xfffffd4f,0xfffc8003,
    0xffff14ff,0xff9801ff,0x7fec5fff,0xff900fff,0x7e409fff,0x80006fff,
    0x01ffffff,0x87fffff3,0x03fffffa,0x89bffffa,0x005fffff,0x7ec00000,
    0xffd2ffff,0xffffffff,0xffffffff,0x0dff3009,0x20000000,0xfffffffe,
    0xfffb00ff,0x7fdc01ff,0x20003fff,0x006ffffd,0x3ffffff0,0x65cc0000,
    0x1001acdd,0x03ffffff,0x837b9730,0x13fffffa,0x03ffffff,0x3fffffd0,
    0x17ffffe4,0x7ffffe40,0x5fffff33,0x7ffffc40,0x3fffee0f,0x3fffe03f,
    0x3ffff27f,0x7ffd400f,0xffffd4ff,0xffc8003f,0xfff54fff,0x3f6005ff,
    0x654c7fff,0x3fea05ed,0x3fa03fff,0x40005fff,0x05fffff9,0xff5004d4,
    0x7e401fff,0x3fe26fff,0x65445fff,0x00000abd,0x5fffffb0,0x3ffffffa,
    0xffffffff,0x405fffff,0x26665ffb,0xcdb98099,0x3ee0001b,0xffffffff,
    0xfffff00f,0xffff980d,0xff50005f,0x20001fff,0x01ffffff,0xfffea800,
    0x03ffffff,0x0ffffff8,0x3ffffea0,0xfff52fff,0x3ffe27ff,0xff9007ff,
    0x7fec5fff,0xfa801fff,0xff73ffff,0xfe803fff,0x3f21ffff,0x3602ffff,
    0xf91fffff,0xa801ffff,0xfd4fffff,0x8003ffff,0x94fffffc,0x400fffff,
    0x01fffffb,0x3fffee00,0x3fffe01f,0x7dc0003f,0x0003ffff,0x3fffff88,
    0x93ffffe0,0x15fffff8,0xfffffffd,0xfb000009,0x3fa5ffff,0xffffffff,
    0xffffffff,0xff705fff,0x7ffffc1f,0x3fffff23,0x4c001eff,0xffdfffff,
    0x75300fff,0xffa809b9,0x88004fff,0x003fffff,0x3fffffe0,0x3f620001,
    0xffffffff,0x3e00efff,0x3207ffff,0xffffffff,0xffffabff,0xfffff13f,
    0x3ffee00d,0x3fffe3ff,0xff9800ff,0xfff93fff,0xffd801ff,0x3ff62fff,
    0x3f201fff,0xff92ffff,0xfa801fff,0xffd4ffff,0xc8003fff,0x224fffff,
    0x36003ba9,0x000fffff,0x1bffffa0,0x2fffff88,0x20015751,0x02fffffd,
    0xffffd000,0x3fffe60d,0x3fffe21f,0xfffff9df,0x00efffff,0x3fff6000,
    0xffffd2ff,0xffffffff,0xffffffff,0x3fffe85f,0xd9fffffc,0xffffffff,
    0x3fa003ff,0xfffcbfff,0x200000ff,0x02fffffc,0x6ffffd80,0x7fffc000,
    0xd10001ff,0xffffffff,0x5fffffff,0x1fffffa0,0x7fffffec,0xffffffff,
    0xff13ffff,0x2a00bfff,0x3e4fffff,0x3007ffff,0x2e7fffff,0x401fffff,
    0x23fffffd,0x00ffffff,0x4fffffee,0x01fffffc,0xa7ffffd4,0x01fffffe,
    0x7ffffe40,0xff880004,0x30005fff,0x07fffffb,0x6fffffd4,0x2ffffffe,
    0x7fffff40,0x57bfb931,0x3fffee00,0xffd711cf,0xfff88fff,0xffffffff,
    0xffffffff,0xffb00000,0x3ffa5fff,0x9999bfff,0xffffcaa9,0x7fec6fff,
    0xcfffff83,0xfffffffe,0x800fffff,0xf95ffffc,0x0001ffff,0x7fffffc0,
    0x7ffd4001,0x7c0001ff,0x001fffff,0xffffffd0,0xffffffff,0xffb01fff,
    0xfff30dff,0xfddfffff,0xffffffff,0x3ffffe27,0xffff5006,0x7ffffc7f,
    0xffff3007,0x3fffea7f,0x7fff402f,0x3fffe4ff,0x3fee00ff,0xfff94fff,
    0xffa803ff,0xfffd4fff,0xfc8003ff,0x0004ffff,0x7fffff44,0x3fb62003,
    0x403fffff,0xfffffffc,0xdfffffff,0xffffff00,0xffffff91,0xffb001bf,
    0xfffdffff,0xf883dfff,0xffffffff,0xffffffef,0xb00004ff,0x3a5fffff,
    0x802fffff,0xffffffe9,0x7fc03661,0xffffffff,0xfffffffe,0x7ffcc04f,
    0xffff90ff,0x2a00001f,0x007fffff,0x05ffffe8,0xfffff800,0xffc8001f,
    0x88aeffff,0xffffffc9,0x5ffffc85,0xffffffe8,0x7fffec42,0xfff13fff,
    0x3ee00fff,0x3fa2ffff,0xa800ffff,0xf13fffff,0x4409ffff,0x14ffffff,
    0x80ffffff,0x94fffffb,0x805fffff,0xd4fffffb,0x003fffff,0x4fffffc8,
    0x3ffa2000,0x2000ffff,0xfffffffa,0xffffd802,0xffffffff,0xff80efff,
    0xfffdffff,0x1fffffff,0xfffffc80,0x0dffffff,0xffffff88,0x7ff442ff,
    0x0001ffff,0x2fffffd8,0x05fffffd,0x3ffffea0,0x3ffe002f,0x20afffff,
    0x7ffffff9,0x1fffff40,0x01fffff9,0xffff1000,0xfa8007ff,0x0001ffff,
    0x1ffffff8,0x7fffc400,0x3fea05ff,0x7e42ffff,0x7fd44fff,0x3601ffff,
    0x13ffffff,0x01ffffff,0x3fffff90,0x0fffffec,0x7ffffdc0,0x3fffffe3,
    0xfffff900,0x3fffe2bf,0x7ffd407f,0xffff95ff,0xfffc805f,0xffffd4ff,
    0xffc8003f,0x30004fff,0x5fffffff,0xffffb800,0xff800cff,0xffffffff,
    0x4fffffff,0x7fffffc4,0xffffffff,0xc800ffff,0xffffffff,0xfff101ff,
    0x7401ffff,0x005fffff,0xfffffd80,0x5fffffd2,0x7ffffc00,0x3ffe003f,
    0xf501ffff,0x640fffff,0x7e45ffff,0x0000ffff,0x7fffff44,0xfffd8006,
    0xff00006f,0x8003ffff,0x06fffffb,0x7fffffb8,0x227fffdc,0x04fffffc,
    0x7fffffcc,0xffffff13,0xffffd007,0x7fffe41f,0xfffe803f,0x3ffea3ff,
    0x7fe41eff,0xf16fffff,0xa80fffff,0xf95fffff,0xd80bffff,0xfd4fffff,
    0x8003ffff,0x04fffffc,0xfffff980,0xfc8003ff,0x4fffffff,0x3ffffe20,
    0xfeb99bdf,0x221fffff,0xffffffff,0xffffcacf,0x3f6205ff,0xffffffff,
    0xff884fff,0x5403ffff,0x007fffff,0xfffffd80,0x5fffffd2,0x7fffec00,
    0x3ffe004f,0x7f404fff,0xf980ffff,0x7e40ffff,0x0000ffff,0x3fffffa2,
    0x7fcc001f,0x2a003fff,0xffcccccc,0xcccdffff,0xfffd03cc,0x3fe005ff,
    0x3ea0ffff,0x7fec3fff,0xfd800fff,0xff13ffff,0xa80fffff,0x547fffff,
    0x406fffff,0x3ffffffa,0x7ffffff4,0xffffffee,0xfff16fff,0xffa80fff,
    0xfff95fff,0x7fcc0fff,0xffd4ffff,0xc8003fff,0x004fffff,0x7fffffd4,
    0xbfb0002f,0xbffffffd,0xffffd301,0x3fffa207,0x3ffe26ff,0x440effff,
    0x82fffffe,0xffffffe8,0xffffffff,0x7ffffc45,0xfffe800f,0x6c0000ff,
    0xfd2fffff,0x4005ffff,0x03ffffff,0x3fffffe0,0x7fffec01,0x7fff441f,
    0xffffc83f,0xfd10000f,0x009fffff,0x1fffffb0,0x7fffdc00,0xffffffff,
    0x06ffffff,0x01ffffff,0x3fffff20,0x0bfffe61,0x00ffffff,0x4ffffff2,
    0xfffffff8,0xfffe980d,0xfffe83ff,0xfff504ff,0xf987ffff,0xffffffff,
    0xffffffff,0xffffff16,0xfffffb80,0xffffff95,0xfffff10b,0x3fffa9ff,
    0x7e4001ff,0x2004ffff,0xfffffff8,0x36200001,0x405fffff,0x7fcc0198,
    0x7ffc7fff,0xf301ffff,0xfd0bffff,0x4c39ffff,0x24fffffe,0x06fffff8,
    0x3fffffb0,0xfffd8000,0xffffd2ff,0x3fea005f,0x2001ffff,0x807fffff,
    0x41fffffc,0x905ffffc,0x001fffff,0xfffffd10,0xff1000bf,0xb800bfff,
    0xffffffff,0xffffffff,0xfff886ff,0x3ee007ff,0x3e23ffff,0x7ffc1fff,
    0xff7006ff,0x3fe27fff,0xbeffffff,0xfffffba9,0xffff507f,0xf9535dff,
    0x7fffffff,0xfffffd30,0xfff7ffff,0x3ffe2bff,0x7fdc07ff,0xfff94fff,
    0x937bffff,0xffffffff,0x3fffffa9,0x7ffe4002,0x3f6003ff,0x001fffff,
    0xffffd000,0x3600003f,0x3e1fffff,0x405fffff,0x4c7ffffd,0x104fffff,
    0x21fffffd,0x05fffff8,0x5fffff90,0xfffd8000,0xffffd2ff,0xffb1005f,
    0xf800ffff,0xc807ffff,0x2a1fffff,0x900fffff,0x001fffff,0xfffffe88,
    0xff90005f,0xb8003fff,0xffffffff,0xffffffff,0xfff986ff,0x3ea006ff,
    0x7fc4ffff,0x3ffe21ff,0xff5006ff,0x3fe27fff,0xffffffff,0xffffffff,
    0x3fffa03f,0xffffffff,0x3fffffff,0x3fffff20,0xffffa8ef,0x3ffffe5f,
    0x3ffee00f,0xffff94ff,0xffffffff,0x9fffffff,0x0bfffffa,0xfffff900,
    0x7fffc007,0x000000ff,0x17ffffea,0x7ffe4000,0x3fffa2ff,0x7fe404ff,
    0x3fee0fff,0x3ea01fff,0xff14ffff,0x2e00bfff,0x003fffff,0x7ffffec0,
    0x5fffffd2,0x7fffdcc0,0x7c006fff,0xc807ffff,0xf11fffff,0x555bffff,
    0xffffb555,0x8805557f,0x5ffffffe,0x3fffa000,0xaa98006f,0xffffaaaa,
    0xaaaaacff,0xfffff882,0x3ffee006,0x7fffc4ff,0x3ffffe20,0xffff5006,
    0x3fffe27f,0xfffffdef,0x05ffffff,0x7fffffcc,0xfdffffff,0x9803ffff,
    0x3fee0acb,0x3ffe3fff,0x3f200fff,0xff93ffff,0xffffdfff,0xffffdfff,
    0x3ffffa9f,0x7fec002f,0xf1003fff,0x0005ffff,0xffff8800,0xf700006f,
    0x7ec7ffff,0x5c03ffff,0x361fffff,0xf806ffff,0xff15ffff,0x2e00bfff,
    0x403fffff,0x7ffff400,0xfffffd2f,0xffffffff,0xffffffff,0xffff8005,
    0xfffc806f,0xffff31ff,0xffffffff,0xffffffff,0x7ff440df,0x0005ffff,
    0x0fffffe2,0xffff0000,0x7c4003ff,0x2007ffff,0x42fffffc,0xfff87ffe,
    0xff7007ff,0x3fe27fff,0xfff96fff,0x07ffffff,0x3ffffa60,0xfa9fffff,
    0x0003ffff,0x17ffffe4,0x03fffffb,0x97ffffec,0xe9fffffc,0xe9ffffff,
    0xffb4ffff,0xd8007fff,0x003fffff,0x00fffff5,0x3ffe0000,0x700007ff,
    0x647fffff,0x403fffff,0x11fffffb,0x009fffff,0x22dffffd,0x006fffff,
    0x25fffff9,0x04ffedc8,0x97fffff4,0xfffffffe,0xffffffff,0x004fffff,
    0x06fffff8,0x1fffffc8,0xfffffff3,0xffffffff,0x0dffffff,0x3fffffa2,
    0x7d40004f,0x0000ffff,0x7fffffc0,0x7fffc001,0xffb000ff,0xffd83fff,
    0xfffffe87,0xffffc800,0xfffff13f,0x7ffff54d,0x644001ef,0x0dffffff,
    0x07fffff5,0xffffe800,0x3ffff21f,0x3fffa02f,0xffff90ff,0xffffd31f,
    0x53ffffa5,0x05fffffc,0x7fffff40,0xffff9002,0x5d4c400d,0x7fc402dc,
    0x53306fff,0xffff9005,0x7fffdc5f,0x7ffdc04f,0xffff30ff,0xffff009f,
    0x3fffe2df,0xfffb007f,0x3ffe23ff,0x7ffc05ff,0xfffd1fff,0xffffffff,
    0xffffffff,0x3ffe000b,0xffc806ff,0xfff31fff,0xffffffff,0xffffffff,
    0x3ffa0dff,0x0004ffff,0x06ffffd8,0xffff8000,0x7ec001ff,0x8803ffff,
    0xc87fffff,0xfffd86ff,0xfff802ff,0xfff13fff,0x35510dff,0x2aa20000,
    0xfffffa80,0x132ea663,0x6fffff98,0x27ffffdc,0x4ffffff0,0x20fffffc,
    0xf7000ab9,0x005fffff,0x3fffffee,0xffff9001,0x7ffc400b,0x7fcc06ff,
    0x7ffc5fff,0x7f401fff,0x3e60ffff,0x6c06ffff,0x7fc7ffff,0x7c406fff,
    0xff15ffff,0x8805ffff,0x20ffffff,0x207fffff,0x0ffffff8,0xfffffffd,
    0xffffffff,0x40007fff,0x806fffff,0x31fffffc,0xffffffff,0xffffffff,
    0x90dfffff,0x09ffffff,0x3fffe000,0xf800004f,0x001fffff,0x7fffffd4,
    0x7fffec00,0xffc8006f,0x7dc05fff,0xf13fffff,0x000dffff,0x3ea00000,
    0x3fa3ffff,0xf900ffff,0xf889ffff,0xb80fffff,0x324fffff,0x000fffff,
    0x7ffffcc0,0x7fc400ff,0x0007ffff,0x7fff4000,0x3ffa02ff,0x7fe43fff,
    0x3ea05fff,0xfd86ffff,0xf103ffff,0xfd8dffff,0x2e01ffff,0xf13fffff,
    0x80dfffff,0x46fffffb,0x02fffffe,0x4ffffff7,0xfffffffe,0xffffffff,
    0xff80003d,0xfc806fff,0xdd11ffff,0xdddddddd,0xffffffdd,0xffa8bddd,
    0x0005ffff,0x5fffff30,0xfff00000,0x88003fff,0x1effffff,0xffffff90,
    0xfff10003,0x3e60bfff,0x13ffffff,0x00dfffff,0x2a000000,0x323fffff,
    0xa84fffff,0x80ffffff,0x44fffffe,0x1ffffff8,0x03fffff2,0x3fff6000,
    0xd502efff,0x07ffffff,0xfc800000,0xc81effff,0x41ffffff,0x2ffffffa,
    0xfffffe88,0xfffffa82,0x7ffec41f,0x7ffe43ff,0xff980eff,0xff12ffff,
    0x20bfffff,0x3ffffff9,0x7fffffec,0x7ffffcc2,0x3ffffa5f,0x999999bf,
    0xff800001,0xfc806fff,0x0001ffff,0x03fffff2,0x7fffffc4,0xaaaaaabf,
    0x2a01aaaa,0x001fffff,0xfffff800,0xffb8001f,0xabcfffff,0xffffffec,
    0x6eeeed83,0xffffffc8,0xfffca9bd,0xf13fffff,0x000dffff,0x3ea00000,
    0x3e63ffff,0xbbefffff,0x4ffffffd,0xffffff50,0xfffff97d,0xffffc8df,
    0xf980000f,0xffffffff,0xfffffeee,0x5c007fff,0x001eeeee,0x3fffffe6,
    0xfffebbef,0xff884fff,0x9befffff,0x6ffffffb,0x3fffffa0,0xffffdbdf,
    0xfff986ff,0xba9bffff,0x26ffffff,0xfffffff8,0xffc99bef,0xf986ffff,
    0xefffffff,0xffffffff,0x3fffffa1,0x40000002,0x806fffff,0x01fffffc,
    0x3ffff200,0xffff500f,0xffffffff,0x0bffffff,0x03ffffdc,0xffff8000,
    0xfb0001ff,0xffffffff,0xdfffffff,0x1fffffa0,0x3fffffe2,0xffffffff,
    0xf13fffff,0x000dffff,0x3ea00000,0x7ec3ffff,0xffffffff,0x00efffff,
    0x3ffffff6,0xffffffff,0x7ffffe41,0xffb00000,0xffffffff,0xffffffff,
    0xffc8007f,0x5c001fff,0xffffffff,0x6fffffff,0x3ffffe60,0xffffffff,
    0x3ea01fff,0xffffffff,0x02ffffff,0xfffffff7,0xffffffff,0x7fffc41f,
    0xffffffff,0x2fffffff,0xffffff90,0xffffffff,0xffffe8bf,0x0000002f,
    0x037ffffc,0x0fffffe4,0xffff9000,0x3fff601f,0xffffffff,0x5fffffff,
    0x1bffff20,0x7ffc0000,0x10001fff,0xfffffffb,0xdfffffff,0x3ffffa01,
    0xfffff507,0x3fffffff,0x227fffff,0x006fffff,0xf5000000,0xf887ffff,
    0xffffffff,0x400dffff,0xffffffe8,0x83ffffff,0x00fffffc,0x3fff2000,
    0xffffffff,0x04ffffff,0xfffffc80,0xfffd8001,0xffffffff,0x7dc01fff,
    0xffffffff,0x801fffff,0xfffffffb,0x04ffffff,0x7fffffe4,0xffffffff,
    0x7ffffc43,0xffffffda,0x205fffff,0xfffffff8,0xefffffff,0x7fffff40,
    0x40000002,0x806fffff,0x01fffffc,0x3ffff200,0xffff880f,0xffffffff,
    0x5fffffff,0x1bffff60,0x7ffc0000,0x40001fff,0xfffffffb,0x403fffff,
    0x207ffffe,0xffffffe9,0xffff0eff,0x3fffe27f,0x0000006f,0xfffff500,
    0xfffff307,0x09ffffff,0xfffffc80,0x902fffff,0x001fffff,0xffffa800,
    0xffffffff,0x90001eff,0x003fffff,0x3ffffee0,0x0dffffff,0xfffff700,
    0x1dffffff,0x7fffcc00,0x2fffffff,0xfffff900,0x5fffffff,0x3fffff10,
    0x3ffffff2,0xe8803fff,0xffffffff,0xfe80efff,0x0002ffff,0x7fffc000,
    0xfffc806f,0x320001ff,0xa80fffff,0xffffffff,0xffffffff,0x3fa05fff,
    0x00005fff,0x3ffffff0,0xfd710000,0x3bdfffff,0xfffffd00,0xffffc880,
    0x3ffe0cef,0xffff13ff,0x000000df,0x3fffea00,0xfff9103f,0x005bffff,
    0x3ffffae0,0x3f201dff,0x0000ffff,0xfffec880,0xceffffff,0x3ff20000,
    0x20001fff,0xffffffd8,0xc88002ef,0xdfffffff,0xec88000c,0x0dffffff,
    0x7ffe4400,0x00cfffff,0x43fffff1,0xefffffeb,0x7ffdc001,0x02dfffff,
    0x0bfffffa,0xff000000,0xf900dfff,0x0003ffff,0x07ffffe4,0x7fffffec,
    0xffffffff,0x205fffff,0x005fffff,0xfffff000,0x8800003f,0x40009aa9,
    0x007ffffe,0x40002aa2,0x002aaaaa,0x51000000,0x88035555,0x0000aba9,
    0x800d5cc0,0x00ccccca,0x55440000,0x000aaaba,0xfffff900,0x2a600003,
    0x200001ab,0x0001ba98,0x0055d440,0x9bba9800,0x54400000,0x9880001a,
    0x00009aba,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3aa00000,0x0003eeee,
    0xddddddb0,0x99bddddd,0x36000157,0xeeeeeeee,0xabccdeee,0xddd70000,
    0xdddddddd,0x3a2000bd,0xeed85eee,0xeed805ee,0xeeeeeeee,0x00abccde,
    0xdddddb00,0x7ddddddd,0x77777640,0xdd70002e,0xdb05dddd,0x8003dddd,
    0x84eeeeea,0x01eeeeed,0x77777540,0xeee88004,0x90003eee,0x005ddddd,
    0xeeeeee98,0x2ee200de,0x50399301,0x00399999,0xdddddb00,0x5c005ddd,
    0xeeeeeeee,0xddddddb4,0xbddddddd,0xd9003799,0x4007dddd,0x92eeeeed,
    0x005ddddd,0x3eeeee88,0x9700bc98,0xfffff709,0x3fa00009,0xffffffff,
    0xffffffff,0x7ff4001c,0xffffffff,0xcfffffff,0x7ffe4001,0xffffffff,
    0xff90006f,0xfffd0dff,0xfffd00ff,0xffffffff,0x39ffffff,0xffffe800,
    0xffffffff,0x3fffe604,0xf98006ff,0xd06fffff,0x005fffff,0x5fffffb8,
    0x2fffffe8,0x7fffdc00,0xffb8005f,0x000fffff,0x2fffffd8,0x3fffe600,
    0x3200ffff,0x21beffff,0xffd82ffd,0x80003fff,0xffffffff,0x3ffa004f,
    0xd5ffffff,0xffffffff,0xffffffff,0x7d405dff,0x800fffff,0x0ffffffa,
    0x1ffffffd,0x7fffc400,0x3fffa64f,0xfff30adf,0x9fffff70,0x3ffa0000,
    0xffffffff,0xffffffff,0x3ffa003f,0xffffffff,0xffffffff,0x3ff2003f,
    0xffffffff,0xf88006ff,0xfe86ffff,0xfe807fff,0xffffffff,0xffffffff,
    0x3fa003ff,0xffffffff,0x7e404fff,0x003fffff,0x7fffffec,0xfffffd01,
    0xfffb8005,0xfffe85ff,0x7dc002ff,0x8005ffff,0xfffffffe,0xfffd8003,
    0xff1002ff,0x03ffffff,0x7fffffdc,0x1fffffff,0x3fffffd8,0xffff8000,
    0x007fffff,0xfffffff1,0x3fffabff,0xffffffff,0xffffffff,0x3fffa05f,
    0xffe803ff,0x3ffa4fff,0x2004ffff,0x24fffff8,0xfffffffe,0xb86fffef,
    0x004fffff,0xfffffd00,0xffffffff,0xbfffffff,0x3ffffa00,0xffffffff,
    0xffffffff,0xffff9005,0xffffffff,0xffe8800d,0xffe86fff,0xffe807ff,
    0xffffffff,0xffffffff,0xffd005ff,0xffffffff,0xff8809ff,0x000fffff,
    0x9ffffff5,0x7fffff40,0x7ffdc002,0xfffe85ff,0x7dc002ff,0x4005ffff,
    0xfffffff9,0xffd8006f,0xe8802fff,0x1fffffff,0x7fffff40,0x6fffffff,
    0x7fffffb0,0xffff0000,0x03ffffff,0xffffff50,0x3ffabfff,0xffffffff,
    0xffffffff,0xff504fff,0xfa80ffff,0x3a0fffff,0x1fffffff,0xfffff100,
    0x3ffffe69,0xffffffff,0xfffffb83,0xfe800204,0xffffffff,0xffffffff,
    0xe803ffff,0xffffffff,0xffffffff,0x003fffff,0xe8800000,0x86ffffff,
    0x807ffffe,0xfffffffe,0xffffffff,0x03ffffff,0x2a000000,0x05ffffff,
    0xffffffd0,0xfffccb81,0xccccdfff,0xdccccccc,0xccefffff,0x5fffffd3,
    0xffffb800,0x7fe4005f,0x1fffffff,0x7fffec00,0x7ff4402f,0x801fffff,
    0xfd730fff,0x3603dfff,0x003fffff,0xffffff80,0xc803ffff,0xffffffff,
    0xfffffd5f,0xffffffff,0xffffffff,0x3fffa05f,0x3ffa03ff,0x7ff44fff,
    0x006fffff,0x29fffff1,0xf9514ffa,0x2e09ffff,0x704fffff,0x7fff4009,
    0xbaaaacff,0xfffffecc,0x7f400fff,0xaaacffff,0xfffeccca,0x000fffff,
    0x3ea00000,0x6fffffff,0x07ffffe8,0xcfffffe8,0xecccaaaa,0xffffffff,
    0x00000000,0x3ffffff6,0x7fffdc02,0xfffe82ff,0xffffffff,0xffffffff,
    0xffffffff,0xffffd5ff,0xffb8005f,0x22005fff,0xffffffff,0x7ec004ff,
    0x7402ffff,0x1fffffff,0x2609dd00,0x7fec01cb,0x80003fff,0xffffffff,
    0xffe805ff,0x5fffffff,0x59fffffd,0x95555555,0xbfffffff,0x3ffffea0,
    0xfffff306,0xffffe81f,0x8803ffff,0xd54fffff,0x02f2a03d,0x4fffffb8,
    0x3a004fc8,0x802fffff,0xffffffea,0x7ffff404,0xffea802f,0x0004ffff,
    0xffc88000,0x6fffffff,0x07ffffe8,0x2fffffe8,0xffffea80,0x000004ff,
    0x3fffe200,0x3fe206ff,0xfd05ffff,0xffffffff,0xffffffff,0xffffffff,
    0x3fabffff,0x4002ffff,0x05fffffb,0x3ffffee0,0x00ffffff,0x3fffff60,
    0x3ffff602,0x00002fff,0xffffb000,0xff00007f,0xffffffff,0xffff880f,
    0xd5ffffff,0x005fffff,0x3fffff22,0x3ffffa07,0xffffd82f,0xffffe84f,
    0x400fffff,0x04fffff8,0xfffb8000,0x3ff624ff,0x3fffa004,0x3f6002ff,
    0x201fffff,0x02fffffe,0x3fffff60,0x4ccccc1f,0x99998800,0x3ffff221,
    0x6fffffff,0x07ffffe8,0x2fffffe8,0x3ffff600,0x953001ff,0x4000359b,
    0x3ffffffb,0xffffff90,0x3ffffa01,0xffffffff,0xffffffff,0xffffffff,
    0xfffffd5f,0xfffb8005,0x3fa005ff,0xfffeffff,0x3f6003ff,0xfb02ffff,
    0x05ffffff,0x6c000000,0x003fffff,0xefffff80,0x201fffff,0xffeffffb,
    0xfffd5fff,0x7c4005ff,0x701fffff,0x98dfffff,0x80ffffff,0xfffffffe,
    0x7fc404ff,0x00004fff,0x4fffffb8,0x009fffd1,0x17fffff4,0xfffff100,
    0x7fff40bf,0x3e2002ff,0x7c5fffff,0xc806ffff,0xf91fffff,0xffffffff,
    0xffd0dfff,0xfe804fff,0x2002ffff,0x5ffffff8,0x7ffff4c0,0x0004ffff,
    0x1ffffffd,0xffffff98,0x3fa66203,0x999bffff,0x99999999,0x9dfffffc,
    0xfffffd09,0xfffb8005,0xff3005ff,0xfff5dfff,0x7ec00dff,0xfc82ffff,
    0x02ffffff,0x01333330,0x40379b73,0x03fffffd,0xfffff800,0x03ffffde,
    0x3f3ffff6,0xffd5ffff,0xd8005fff,0x201fffff,0x22fffffe,0x04fffffd,
    0xfffffffd,0x7c403fff,0x2204ffff,0xb8019999,0xf9cfffff,0x2003ffff,
    0x02fffffe,0x7ffffe40,0xffffd00f,0xffc8005f,0x3fe0ffff,0xfc806fff,
    0xff91ffff,0xfff3dfff,0xfffd0dff,0x7f41aaff,0x4002ffff,0x0ffffffc,
    0xffffff70,0x01dfffff,0xfffff980,0x7ffff44f,0x3ffa006f,0x5c002fff,
    0xe85fffff,0x002fffff,0x2fffffdc,0xfffffc80,0xffffff8a,0xffffb001,
    0xffffb85f,0x3e002fff,0x3ee3ffff,0x1fffffff,0x3fffffd8,0xffff8000,
    0x5ffffbef,0x2bffffe0,0xfd5fffff,0x8005ffff,0x407ffffe,0x15fffffb,
    0x01ffffff,0x3ffffffa,0x2206ffff,0x204fffff,0x807ffffe,0xfefffffb,
    0x4004ffff,0x02fffffe,0x7ffffc40,0xffffd01f,0xff88005f,0x3fe2ffff,
    0xfc806fff,0xff91ffff,0x7fffc9ff,0xffffe86f,0xffd06fbf,0x88005fff,
    0x82ffffff,0xfffffffd,0x2fffffff,0x7fffe400,0xffff51ff,0x7f4003ff,
    0x4002ffff,0x85fffffb,0x02fffffe,0x7ffffdc0,0xfffff005,0x3ffff21f,
    0xfffb004f,0x7ffdc5ff,0x4003ffff,0xfb3fffff,0xffffffff,0xffffd87f,
    0xff80003f,0xfff9efff,0xffff307f,0xbfffff1f,0x0bfffffa,0xfffff980,
    0xfffff804,0xfffffc8f,0x3ffffa04,0x3fffffff,0x9fffff10,0x3fffff40,
    0x7ffffdc0,0x002fffff,0x2fffffe8,0xffffe800,0xffffd03f,0xffd0005f,
    0x7ffc7fff,0xffc806ff,0xdff91fff,0x6fffff85,0xffffffe8,0xffffd06f,
    0xffd0005f,0xffa87fff,0xfeefffff,0x006fffff,0x7fffff44,0xffffff8e,
    0x7fff4004,0x7dc002ff,0xfe85ffff,0x4002ffff,0x05fffffb,0x5fffffa8,
    0x3fffffe6,0xffffd800,0xfffff52f,0xff0007ff,0xfffd9fff,0xffffffff,
    0x7fffec3f,0xff80003f,0xffff6fff,0xffff703f,0x57ffffed,0x02fffffe,
    0xfffffd50,0xffff7005,0xffffff9f,0x7ffff401,0xffffffdf,0xfffff880,
    0x3ffffa04,0xffffb807,0x001fffff,0x5fffffd0,0xffffb000,0x3fffa09f,
    0xfd8002ff,0x3fe5ffff,0xfc806fff,0x5b91ffff,0x1bffffe0,0x3ffffffa,
    0xffffd04f,0xffb0005f,0x7fc4bfff,0x6c44ffff,0x003fffff,0x7fffffd4,
    0x0efffffe,0x7ffff400,0xccccccdf,0xffdccccc,0xffe85fff,0xccccdfff,
    0xdccccccc,0x805fffff,0x42fffffd,0x03fffffe,0xafffffd8,0xfffffff9,
    0xffff0007,0xfdffffff,0xbfffffff,0x1fffffec,0x7fffc000,0x9ffffb6f,
    0x27ffffb0,0xfd5fffff,0x999bffff,0xffd99999,0x4009ffff,0xffffffff,
    0x7f404fff,0xfff8ffff,0xff885fff,0x3fa04fff,0xfb807fff,0x0effffff,
    0x3fffa000,0xfc8002ff,0x2aa5ffff,0xcffffffa,0x202aaaaa,0x25fffffc,
    0x806fffff,0x11fffffc,0x6fffff80,0xffffffe8,0x7ffd5544,0xaaaacfff,
    0x3fff202a,0x3fff25ff,0x3ff603ff,0xfd8006ff,0xffffffff,0xfe8002ff,
    0xffffffff,0xffffffff,0x85ffffff,0xfffffffe,0xffffffff,0xffffffff,
    0x7fffc405,0xffffb87f,0xfffd806f,0xfffffcff,0x8004ffff,0xffffffff,
    0x3fffe60b,0x3fff67ff,0xf80003ff,0xff76ffff,0xffff0dff,0x3ffffe3f,
    0xffffffd5,0xffffffff,0x05ffffff,0x7f666664,0xffffffff,0x22ccccdf,
    0xf77ffffe,0x885fffff,0x204fffff,0x807ffffe,0xdffffffb,0x7ff40000,
    0xc8002fff,0x3e5fffff,0xffffffff,0x06ffffff,0x9bfffff2,0x806fffff,
    0x01fffffc,0x0dfffff0,0x05fffffd,0xffffffff,0xdfffffff,0x7ffffe40,
    0x1fffffe6,0x7fffff10,0xffff8800,0x05ffffff,0xfffffd00,0xffffffff,
    0xffffffff,0xfffd0bff,0xffffffff,0xffffffff,0xb80bffff,0x884fffff,
    0x01ffffff,0x7fffffec,0xffffffff,0x7fc001ff,0x302fffff,0x21ffffff,
    0x03fffffd,0xfffff800,0x1fffff36,0xf3ffffcc,0x3fabffff,0xffffffff,
    0xffffffff,0x7ffc03ff,0xffffffff,0xffffffff,0x3fffa4ff,0x3ffffa7f,
    0x7fffc46f,0x3fffa04f,0xfffc807f,0xd00005ff,0x005fffff,0xdfffff70,
    0x7ffffffc,0xffffffff,0x3fffee06,0x3ffffe6f,0xffffc806,0xffff001f,
    0xffffd0df,0x3ffffe0f,0xffffffff,0x3fee06ff,0xfff16fff,0xffd00bff,
    0xf70009ff,0xffffffff,0x3ffa0001,0xffffffff,0xffffffff,0xe85fffff,
    0xffffffff,0xffffffff,0x5fffffff,0x7fffff40,0xfffffd01,0xffffd809,
    0xffffffff,0x4006ffff,0x04ffffff,0x8ffffff4,0x03fffffd,0xfffff800,
    0x8bffffe6,0x3e6ffffb,0xffd5ffff,0xffffffff,0xffffffff,0x3fe03bff,
    0xffffffff,0xffffffff,0x3ffa4fff,0x3ffe67ff,0x3fe23fff,0x3fa04fff,
    0x7dc07fff,0x004fffff,0xfffffd00,0xfff90005,0x7fffcdff,0xffffffff,
    0x3f206fff,0x3fe6ffff,0xfc806fff,0xf001ffff,0xfc8dffff,0xff07ffff,
    0xffffffff,0x40dfffff,0x36fffffc,0x009fffff,0x00bffffb,0x3fffffa0,
    0x3a0003ff,0xffffffff,0xffffffff,0x5fffffff,0xffffffe8,0xffffffff,
    0xffffffff,0x3ffe605f,0x3fee06ff,0x3600ffff,0xffffffff,0xfffffeff,
    0x3ffe003f,0x7e401fff,0xffb1ffff,0x00007fff,0x6cdfffff,0x3f64ffff,
    0x3ffe4fff,0xffffd5ff,0xffffffff,0xffffffff,0xffff05ff,0xffffffff,
    0xffffffff,0x7ffff49f,0x7ffffe47,0xfffff10f,0x7ffff409,0x3ffff607,
    0x00004fff,0x05fffffd,0xfffff900,0x7ffe664b,0xccccdfff,0x3fff203c,
    0x3fffe4ff,0xfffd806f,0xfff001ff,0x3ff62dff,0x9907ffff,0xbffffff9,
    0x40799999,0x54fffffc,0xffffffff,0xffffffff,0x2000dfff,0x6ffffff9,
    0x7fff4000,0xcccccdff,0xfdcccccc,0xfe85ffff,0xcccdffff,0xcccccccc,
    0x05fffffd,0x0ffffff2,0xffffff88,0x3ffff603,0xf8bfffff,0x00ffffff,
    0x1ffffff0,0xfffffc80,0x7fffffb2,0xffff0000,0x7fffdcdf,0x87ffffe6,
    0xfd5fffff,0x999bffff,0xffd99999,0x85ffffff,0xffffffff,0xffffffff,
    0x3a4fffff,0x7c47ffff,0xf15fffff,0x7409ffff,0xfb07ffff,0x9fffffff,
    0x3ffa0000,0xc8002fff,0xd05fffff,0x005fffff,0x7fffffb0,0x037ffffc,
    0x0fffffec,0x6fffff80,0xfffffffb,0xffffd00f,0xffb0005f,0x3fee7fff,
    0xffffffff,0xffffffff,0x3f60007f,0x0002ffff,0x17fffff4,0x3fffee00,
    0xffffe85f,0x7fdc002f,0xff105fff,0x3335ffff,0xfffb3333,0x7fec0dff,
    0x24ffffff,0x5ffffffa,0xffffff00,0xfffff900,0x3fffff65,0xfff80003,
    0x3ffe66ff,0xffff98ff,0x3ffffe0f,0x5fffffd5,0x7fffdc00,0x4cccc6ff,
    0xffffa999,0x999999ef,0x3ffffa09,0xfffffa87,0xfffff8af,0x3ffffa04,
    0xfffffb07,0x00009fff,0x0bfffffa,0x3ffffa00,0xffffd04f,0xffb0005f,
    0x7ffc5fff,0xffd806ff,0xff001fff,0x3ff6dfff,0x807fffff,0x02fffffe,
    0xfffffd80,0xffffff92,0xffffffff,0x00ffffff,0x7ffffec0,0x7ff40002,
    0x5c002fff,0xe85fffff,0x002fffff,0x2fffffdc,0xffffffb8,0xffffffff,
    0x1fffffff,0xffffffb0,0xffffd09f,0xfff007ff,0xff700fff,0x3ff65fff,
    0x80003fff,0x7c6fffff,0xffbaffff,0x7fffc6ff,0xfffffd5f,0xfff98005,
    0xf1003fff,0x400bffff,0xb07ffffe,0xf3dfffff,0x7409ffff,0xfb07ffff,
    0x9fffffff,0x3ffa0000,0xf8002fff,0xd02fffff,0x005fffff,0x3ffffff0,
    0x037ffffc,0x0fffffec,0x6fffff80,0xffffd5fb,0xffffd00f,0xfff0005f,
    0x3fee3fff,0xccccdfff,0xcccccccc,0xfb0000cc,0x0005ffff,0x2fffffe8,
    0x7fffdc00,0xffffe85f,0x7fdc002f,0xffd05fff,0xffffffff,0xffffffff,
    0x3f609fff,0x304fffff,0x1fffffff,0x7fffff80,0xfffffb80,0x7fffffb2,
    0xffff0000,0xffffd8df,0x44ffffec,0xfd5fffff,0x0005ffff,0x49fffffd,
    0xbaaaaaaa,0xaaefffff,0x3a1aaaaa,0xf107ffff,0xffbfffff,0x7f409fff,
    0x7fb07fff,0x09fffff7,0x3fffa000,0x7cc002ff,0xd00fffff,0x005fffff,
    0x7fffffa8,0x03fffffc,0x0ffffff4,0x6fffff80,0x3ffffa3b,0xffffe807,
    0x7fd4002f,0x3fea7fff,0x00004fff,0xffffd800,0x7f40002f,0x4002ffff,
    0x85fffffb,0x02fffffe,0x7ffffdc0,0xfffff985,0xffffffff,0xffffffff,
    0xfffd80ff,0x7fe404ff,0x7c05ffff,0xb807ffff,0xfb2fffff,0x0007ffff,
    0x8dfffff0,0xfffffffb,0x7ffc2fff,0xffffd5ff,0xff90005f,0x7ffcdfff,
    0xffffffff,0xffffffff,0x3fffa4ff,0x3ffee07f,0xffffffff,0x3ffffa04,
    0x3fee3b07,0x00004fff,0x05fffffd,0xfffffe80,0x3ffffa06,0x7fe4002f,
    0x7ffc6fff,0xfff807ff,0xff001fff,0xffd0dfff,0xffd00fff,0xc8005fff,
    0x266fffff,0x005fffff,0xffd80000,0x40002fff,0x02fffffe,0x7ffffdc0,
    0xfffffe85,0x7ffdc002,0xfffc85ff,0xffffffff,0xffffffff,0xfd83ffff,
    0x4402ffff,0x2fffffff,0x1fffffe0,0x3ffffee0,0x7fffffb2,0xffff0000,
    0xffff98df,0x40ffffff,0xfd5fffff,0x0005ffff,0x4dfffffb,0xffffffff,
    0xffffffff,0x3a4fffff,0x7407ffff,0xffffffff,0x3ffa04ff,0x7dc107ff,
    0x0004ffff,0x5fffffd0,0x7fffd400,0x3ffa03ff,0x2a002fff,0x43ffffff,
    0x00ffffff,0x3fffffea,0xfffff001,0xfffffd0d,0xfffffd00,0x7ffd4005,
    0x7ffc3fff,0x3ea00fff,0x0000abce,0x0bfffff6,0xffffd000,0xffb8005f,
    0xffe85fff,0x5c002fff,0xf85fffff,0xffffffff,0xffffffff,0x6fffffff,
    0x2fffffd8,0xfffffb80,0xffff00ff,0xfff700ff,0x3fff65ff,0xf80003ff,
    0xff86ffff,0x6fffffff,0xd5fffff8,0x005fffff,0xffffff88,0x3fffffe4,
    0xffffffff,0x4fffffff,0x01fffffa,0xfffffff5,0x7f409fff,0xfb807fff,
    0x0004ffff,0x5fffffd0,0x3fffea00,0x7ff407ff,0xf9002fff,0x81ffffff,
    0x05fffffe,0xfffffff3,0x3fffe003,0xffffe86f,0xffffe807,0xfff9002f,
    0xfb81ffff,0x3a05ffff,0x003fffff,0x3fffff60,0x7ff40002,0x5c002fff,
    0xe85fffff,0x002fffff,0x2fffffdc,0x1fffffea,0x3fffea00,0x7ffec1ff,
    0xffd002ff,0x3e0bffff,0xb807ffff,0xfb2fffff,0x0007ffff,0x0dfffff0,
    0xfffffffb,0xfffff09f,0x3fffffab,0x7ffe4002,0x3ffe2fff,0xffffffff,
    0xffffffff,0x3fffa4ff,0xfffd807f,0x04ffffff,0x01fffffa,0x37ffffee,
    0x99999999,0x21999999,0x9bfffffe,0xeb999999,0x3fffffff,0x7fffff40,
    0xa999999b,0xffffffdb,0xffffc83f,0xff931cff,0x03ffffff,0x1bffffe0,
    0x01fffffa,0x2ffffffa,0xba999999,0xfffffffd,0xffffff03,0x7ffed43d,
    0x20000fff,0x02fffffd,0x7ffff400,0x7fdc002f,0xffe85fff,0x5c002fff,
    0x6c5fffff,0x004fffff,0x9ffffff0,0x2fffffd8,0xfffff500,0xffff05ff,
    0xfff700ff,0x3fff65ff,0x99999cff,0x99999999,0xdfffff19,0xffffff70,
    0xffff05ff,0x3ffffabf,0x999999bf,0xffffb999,0x2660ffff,0xffa99999,
    0x9999efff,0x3ffa0999,0xff8807ff,0x4fffffff,0x1fffffa0,0x3ffffee0,
    0xffffffff,0xffffffff,0xffffffd0,0xffffffff,0xbfffffff,0xfffffd00,
    0xffffffff,0xffffffff,0x3fffe60b,0xffffffff,0x1fffffff,0xdfffff00,
    0x0fffffd0,0xffffffd0,0xffffffff,0xbfffffff,0x7ffffdc0,0xffffffff,
    0x40003fff,0x02fffffd,0x7ffff400,0x7fdc002f,0xffe85fff,0x5c002fff,
    0x225fffff,0x01ffffff,0xfffff900,0x7fffec1f,0x3ff6002f,0x7c0fffff,
    0xb807ffff,0xfb2fffff,0xffffffff,0xffffffff,0x3ffeffff,0xfff986ff,
    0xf80fffff,0xffd5ffff,0xffffffff,0xffffffff,0x009fffff,0x2fffffc4,
    0xfffffd00,0x3fffee00,0x3a04ffff,0xb807ffff,0xffffffff,0xffffffff,
    0xfd0fffff,0xffffffff,0xffffffff,0xd001dfff,0xffffffff,0xffffffff,
    0x401dffff,0xfffffffb,0xff9dffff,0xff001fff,0xffd0dfff,0xffd00fff,
    0xffffffff,0xffffffff,0xfb801dff,0xffffffff,0x004fffff,0xfffffd80,
    0x7ff40002,0x5c002fff,0xe85fffff,0x002fffff,0x2fffffdc,0x0dfffff7,
    0x7fffcc00,0x3fff63ff,0x3e6002ff,0x44ffffff,0x807fffff,0xb2fffffb,
    0xffffffff,0xffffffff,0x3fefffff,0xfff06fff,0x3e0dffff,0xffd5ffff,
    0xffffffff,0xffffffff,0x800bffff,0x05fffff8,0x1fffffa0,0xfffffe80,
    0x3ffa04ff,0xffb807ff,0xffffffff,0xffffffff,0xfffd0fff,0xffffffff,
    0xffffffff,0x7fff4007,0xffffffff,0xffffffff,0xfffc800c,0x34ffffff,
    0x003fffff,0x21bffffe,0x807ffffe,0xfffffffe,0xffffffff,0x000cffff,
    0xfffffff3,0x009fffff,0x3ffff600,0x7f40002f,0x4002ffff,0x85fffffb,
    0x02fffffe,0x7ffffdc0,0x3fffffa5,0x7ff40003,0x3ff66fff,0x64002fff,
    0x1fffffff,0x01fffffe,0x4bffffee,0xfffffffd,0xffffffff,0xff7fffff,
    0x3f60dfff,0xf04fffff,0x3fabffff,0xffffffff,0xffffffff,0x000effff,
    0x2fffffc4,0xfffffd00,0x7fffcc00,0x3fa04fff,0xfb807fff,0xffffffff,
    0xffffffff,0xffd0ffff,0xffffffff,0x9fffffff,0xfffe8001,0xffffffff,
    0x0dffffff,0x7fff5c00,0x3fe63dff,0xff001fff,0xffd0dfff,0xffd00fff,
    0xffffffff,0xbfffffff,0xfd910001,0x19ffffff,0x7fec0000,0x40002fff,
    0x02fffffe,0x7ffffdc0,0xfffffe85,0x7ffdc002,0xffff35ff,0xb80001ff,
    0xb1ffffff,0x005fffff,0xffffff88,0x3ffffe6f,0xffffb807,0xfffffb2f,
    0xffffffff,0xffffffff,0x41bffffe,0x2ffffffb,0x2bfffff0,0xfffffffe,
    0xffffffff,0x00cfffff,0xfffff880,0x3fffa005,0x7fe4007f,0x3a04ffff,
    0xb807ffff,0xffffffff,0xffffffff,0xfd0fffff,0xffffffff,0x37bdffff,
    0x3fffa000,0xffffffff,0x001bdeff,0x0001a980,0xdfffff00,0x0fffffd0,
    0xffffffd0,0xdfffffff,0x4000037b,0x0009aaa9,0xffffd800,0x7f40002f,
    0x4002ffff,0x85fffffb,0x02fffffe,0x7ffffdc0,0xbfffffb5,0xfff10000,
    0x3ff69fff,0xb8002fff,0x4fffffff,0x00ffffff,0x25fffff7,0xfffffffd,
    0xffffffff,0xff7fffff,0x3e60dfff,0xf00fffff,0x3fabffff,0xffffffff,
    0xeeffffff,0x7c40001c,0x2005ffff,0x007ffffe,0x7fffffc4,0x3ffffa04,
    0x00000007,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x66666540,0xeed80001,
    0xeeeeeeee,0x01acccce,0x27777744,0x3bb60000,0xd80005ee,0x0005eeee,
    0x26eeeed8,0xdb2eeeed,0xdddddddd,0xdddddddd,0x76cbdddd,0xeeeeeeee,
    0xbccceeee,0xddd9000a,0xdddddddd,0xdddddddd,0x33332a3d,0x6664c01c,
    0x777741cc,0xeeeeeeee,0xeeeeeeee,0xd901eeee,0xdddddddd,0x76c09ddd,
    0x0004eeee,0x3bbbbba2,0x775c0002,0xeeeeeeee,0xeeeeeeee,0xeeeeeeee,
    0xddddd91e,0x3bba6007,0x9000eeee,0x645ddddd,0x02eeeeee,0x77777640,
    0xeeeec82e,0xeeeeeeee,0xeeeeeeee,0x3bbbb64e,0x3bbb2005,0xeeeeeeee,
    0x2666664e,0x03333311,0x7fffffb0,0xfffd0000,0xffffffff,0x5dffffff,
    0x3ffffe20,0x7fc00005,0x80007fff,0x007fffff,0x7ffffe80,0x74fffffa,
    0xffffffff,0xffffffff,0x3a7fffff,0xffffffff,0xffffffff,0x7401efff,
    0xffffffff,0xffffffff,0xffb1ffff,0xfa807fff,0x7fc3ffff,0xffffffff,
    0xffffffff,0x02ffffff,0xfffffffd,0x40bfffff,0x0ffffffc,0xffff5000,
    0x440001ff,0xffffffff,0xffffffff,0xffffffff,0xff92ffff,0x3200bfff,
    0x3fffffff,0xffffff00,0x7ffffcc3,0xff3000ff,0x360dffff,0xffffffff,
    0xffffffff,0x3a5fffff,0x2007ffff,0xfffffffd,0x3e5fffff,0xffb7ffff,
    0xfd801fff,0x0003ffff,0xffffffe8,0xffffffff,0x884fffff,0x005fffff,
    0xfffcc980,0xcccccfff,0x3fffe004,0xfe80007f,0x3ffa7fff,0xffffd3ff,
    0xffffffff,0xffffffff,0x7ffff4ff,0xffffffff,0xffffffff,0x3fffa04f,
    0xffffffff,0xffffffff,0xfffffb1f,0xffffa807,0x7ffffc3f,0xffffffff,
    0xffffffff,0xffd02fff,0xffffffff,0x7fcc0bff,0x0003ffff,0x0dfffffb,
    0xffffb800,0xffffffff,0xffffffff,0xffffffff,0xffffff52,0x3ffffa00,
    0xf9805fff,0xfc87ffff,0x004fffff,0x3ffffffd,0x3fffff60,0xffffffff,
    0xffffffff,0x1fffffa5,0xfffffd80,0x5fffffff,0x6dfffffe,0x400fffff,
    0x03fffffd,0xffffe800,0xffffffff,0xffffffff,0x7ffffc44,0xffb80005,
    0xffffffff,0xf000ffff,0x000fffff,0x4fffffd0,0xfd3ffffe,0xffffffff,
    0xffffffff,0x7f4fffff,0xffffffff,0xffffffff,0xd03fffff,0xffffffff,
    0xffffffff,0x3f63ffff,0x5403ffff,0x7c3fffff,0xffffffff,0xffffffff,
    0x2fffffff,0xffffffd0,0x0bffffff,0x6fffffe8,0xfffff000,0xff80007f,
    0xffffffff,0xffffffff,0xffffffff,0xfff12fff,0xf8803fff,0x7fffffff,
    0xfffffb80,0xfffffd05,0xfffb803f,0x3f604fff,0xffffffff,0xffffffff,
    0x3fa5ffff,0x36007fff,0xffffffff,0x3fe5ffff,0xfffb7fff,0xffd801ff,
    0x80003fff,0xfffffffe,0xffffffff,0x21ffffff,0x05fffff8,0xffffb800,
    0xffffffff,0xfff000ff,0xd0000fff,0x7f4fffff,0xfffd2fff,0xffffffff,
    0xffffffff,0x7fff4fff,0xffffffff,0xffffffff,0xfe80ffff,0xffffffff,
    0xffffffff,0xfffb1fff,0xffa807ff,0x7ffc3fff,0xffffffff,0xffffffff,
    0x002fffff,0x3fee0000,0x4000ffff,0x0ffffffa,0x3ffea000,0xffffffff,
    0xffffffff,0xffffffff,0x3fffa2ff,0x7fd402ff,0x1fffffff,0x7ffffe40,
    0xfffff303,0x7ffc40df,0x7ec06fff,0xffffffff,0xffffffff,0x3fa5ffff,
    0x00007fff,0x3ffffe00,0x1fffffb7,0xfffffd80,0xffe80003,0xaaaacfff,
    0xfffffcca,0x3fe25fff,0x80005fff,0xfffffffb,0x0fffffff,0xffffff00,
    0xfffd0000,0x7fee5cff,0x9fffffd1,0x55555555,0x55555555,0x67fffff4,
    0xbaaaaaaa,0xfffffffc,0xffffe84f,0xaaaaaacf,0xaaaaaaaa,0x7fffffb0,
    0xfffffa80,0x55555542,0xfffffaaa,0xaaaaaacf,0x000000aa,0x3ffffe20,
    0x7fec003f,0x40005fff,0x21fffffe,0xabffffff,0xaaaaaaaa,0x320aaaaa,
    0x404fffff,0xfffffffc,0x7ff403ff,0x3f201fff,0xb03fffff,0x03ffffff,
    0xaaaaaa98,0xdaaaaaaa,0x3fffffff,0x01fffffa,0xfff80000,0xffffb7ff,
    0xfffd801f,0xe80003ff,0x402fffff,0xffffffc8,0xfffff11f,0x5530000b,
    0x55ffffff,0x7c005555,0x0007ffff,0x87ffffe8,0xfffd0ffc,0x400005ff,
    0x02fffffe,0x3ffffee0,0xffffe87f,0xfd80002f,0x4403ffff,0x001ffdaa,
    0x1ffffff8,0x00000000,0x6fffffd8,0x7ffffc00,0x3ea0002f,0x7fc6ffff,
    0x0000ffff,0xdfffff50,0xfffffe80,0x2205ffff,0x407fffff,0xffffffe8,
    0x7ffffd40,0x3000004f,0x9fffffff,0x07ffffe8,0x33200000,0x99974ccc,
    0xfffb0099,0xd00007ff,0x005fffff,0x3fffffee,0xbfffff12,0xfff80000,
    0xf80007ff,0x0007ffff,0x87ffffe8,0x3fffa7fe,0x200002ff,0x02fffffe,
    0x7ffffec0,0x7ffff40f,0xfd80002f,0x2003ffff,0xf8001ffe,0x001fffff,
    0xeecca980,0x2a000bcc,0x00ffffff,0xffffff50,0xfffe8000,0x7fffc2ff,
    0x100000ff,0x40ffffff,0xfffffff8,0x3e607fff,0xa805ffff,0x45ffffff,
    0x0ffffffe,0xff880000,0xe85fffff,0x0007ffff,0x00666662,0xffb00000,
    0x00007fff,0x05fffffd,0x3ffffe20,0xfffff13f,0x4cccc40b,0xffff0099,
    0x9bb730ff,0x7ffffc05,0x1bcdb987,0x1fffffa0,0x7ff47ff9,0x00002fff,
    0x0bfffffa,0xfffff500,0xffffe83f,0xfd80002f,0x1003ffff,0xf0001fff,
    0x003fffff,0x7fffed40,0x0effffff,0xfffff880,0xfff9003f,0x4c0009ff,
    0xf86fffff,0x000fffff,0x3ffffa00,0xffff501f,0x3fffffbf,0x3ffffee0,
    0xffffb003,0x3fff25ff,0x00002fff,0xffffffd0,0xffffd01d,0x7ff4000f,
    0x000007ff,0x7ffffec0,0xffe80003,0x3a002fff,0xf14fffff,0x220bffff,
    0x1ffffffe,0x4ffffff0,0xfffffffb,0xfffff82f,0x3ffffee7,0xffe81eff,
    0xdffd17ff,0x2fffffe8,0x3ffa0000,0x44002fff,0x41ffffff,0x02fffffe,
    0xffffd800,0xffd8803f,0xffff0004,0x2e0003ff,0xffffffff,0x01ffffff,
    0x6fffffd8,0xffffff00,0x7fec0005,0xfff83fff,0x00000fff,0x0ffffff6,
    0x4fffffe4,0xb03fffff,0x003fffff,0x3fffffe2,0xffffff9e,0xf9000005,
    0x03ffffff,0x01fffffa,0x7ffffe80,0x6c000000,0x003fffff,0xfffffe80,
    0x3fffe002,0xffff13ff,0x3fffa0bf,0x3fe01fff,0xfff97fff,0x3fffffff,
    0xb7fffff8,0xffffffff,0xfffe85ff,0xd037fa7f,0x005fffff,0x7ffff400,
    0x7fd4002f,0xffe87fff,0x80002fff,0x03fffffd,0x0037ffd4,0x3ffffff0,
    0xffff5000,0xffffffff,0xa803ffff,0x01ffffff,0x3fffffd4,0xffff3000,
    0xffff01ff,0x400001ff,0x05fffffb,0x3e9fffff,0xff05ffff,0xa800ffff,
    0xffffffff,0x000fffff,0xffffb800,0x3fa02fff,0x20007fff,0x007ffffe,
    0x7fec0000,0x80003fff,0x02fffffe,0xffffff30,0x3ffffe23,0xfffffd85,
    0x7fffc02f,0xfffffeff,0x0effffff,0x3bfffffe,0xffffffff,0x3fa0ffff,
    0x40667fff,0x02fffffe,0x3fffa000,0x7ec002ff,0xfe86ffff,0x0002ffff,
    0x3fffffd8,0x00f7fe40,0xffffff00,0xffff0003,0xffddffff,0x009fffff,
    0x09ffffff,0x4fffffc8,0x3fff2000,0xffff04ff,0x400001ff,0x86fffff9,
    0xb2fffff9,0xf10fffff,0x000dffff,0xfffffffb,0x0007ffff,0xfffff300,
    0xffe809ff,0x3a0007ff,0x0007ffff,0x7ffec000,0xe80003ff,0x802fffff,
    0xffffffd8,0xbfffff10,0xffffffc8,0xfffff802,0xffefffff,0x25ffffff,
    0xffffffff,0xffffeeff,0x3ffa4fff,0xffd007ff,0xdddddfff,0xdddddddd,
    0xfffe89dd,0xfd1002ff,0xd07fffff,0x337fffff,0x33333333,0xffffb033,
    0x03f8807f,0xfffff800,0x7fd4001f,0xfc81efff,0xc807ffff,0x406fffff,
    0x01ffffff,0xfffff100,0x3fffe01f,0xeeeeeeff,0xeeeeeeee,0xffffff00,
    0xfffffb81,0x3fffff70,0x4fffffa8,0xffff8800,0x05ffffff,0xfff88000,
    0xe805ffff,0x0007ffff,0x01fffffa,0xffb00000,0x7ec07fff,0x7f40ffff,
    0x2202ffff,0xffffffe9,0x3ffffe26,0x3ffffee5,0xffff003f,0xe983ffff,
    0x3e7fffff,0xafffffff,0x3ffffa20,0x3ffffa7f,0xffffd007,0xffffffff,
    0xffffffff,0xfffffe8b,0xeeeeeeee,0xfffffffe,0xffffd06f,0xffffffff,
    0x83ffffff,0x03fffffd,0xff000008,0x8003ffff,0x00ffffeb,0x0ffffff1,
    0xffffff30,0x3fffe603,0x3f20006f,0x3e05ffff,0xffffffff,0xffffffff,
    0xffb00fff,0xffd85fff,0x3ffe66ff,0x7ffe43ff,0xf70002ff,0xffffffff,
    0xfd000001,0x01dfffff,0x4fffffd0,0x04fffffa,0x00fffffd,0xffd80000,
    0x3f603fff,0x7f40ffff,0xeeeeffff,0xffffffee,0x3e24ffff,0xff55ffff,
    0x4007ffff,0x0fffffff,0xffffff30,0x3fffffe1,0xffff102f,0x3fffa1ff,
    0xfffd007f,0xffffffff,0xffffffff,0xffffe8bf,0xffffffff,0xffffffff,
    0xfffd01ff,0xffffffff,0x3fffffff,0x3fffffd8,0x3e000000,0x001fffff,
    0xfb006a20,0xf001ffff,0x209fffff,0x03fffffc,0xfffff100,0x7fffc03f,
    0xffffffff,0xffffffff,0xfffff700,0x4fffff89,0x22fffffc,0x00fffffe,
    0x3ffffa00,0x00003fff,0xffffffd8,0xfffd001f,0x7fffd4ff,0xffffd04f,
    0x8000000f,0x03fffffd,0x03fffff6,0xfffffffd,0xffffffff,0x88bfffff,
    0xf9dfffff,0x004fffff,0x27fffffc,0x3fffff60,0x9ffffff1,0xfffffd80,
    0x0fffffd1,0x3fffffa0,0xffffffff,0x5fffffff,0x7ffffff4,0xffffffff,
    0x0effffff,0x3fffffa0,0xffffffff,0x6c1fffff,0x003fffff,0x3ffe0000,
    0x00001fff,0x7ffff4c0,0xfffc800f,0xffff06ff,0x2e0001ff,0x406fffff,
    0xffffffff,0xffffffff,0xf300ffff,0x7ccbffff,0x7ec2ffff,0x7ffc7fff,
    0x740006ff,0x2fffffff,0x7fdc0000,0x002fffff,0xa9fffffa,0xd04fffff,
    0x000fffff,0xfffd8000,0x3ff603ff,0x7ff40fff,0xffffffff,0xffffffff,
    0x7ffc40ef,0xfffffeff,0xfff8004f,0x7e401fff,0xfff1ffff,0xfc803fff,
    0xffd1ffff,0x3fa00fff,0xffffffff,0xffffffff,0x7ff45fff,0xffffffff,
    0xffffffff,0xfffe803d,0xffffffff,0x1fffffff,0x1fffffec,0xff000000,
    0x0003ffff,0xfffdb980,0x800fffff,0x1ffffff9,0x37ffffcc,0xfffff000,
    0xffff805f,0xffffffff,0xffffffff,0x3ffffe00,0x3ffffee7,0x7ffffd40,
    0x9fffff30,0x7ffdc000,0x006fffff,0x3fffe600,0x74003fff,0x3ea7ffff,
    0xfd04ffff,0x0000ffff,0xffffd800,0x3fff603f,0x7fff40ff,0xffffffff,
    0xdfffffff,0xfffff880,0x5fffffff,0xfffff800,0x7ffe400f,0xfffff2ff,
    0xfffc801f,0xffffd2ff,0x3fffa00f,0xaaaaacff,0xaaaaaaaa,0x7ffff42a,
    0xffffffff,0x000cffff,0x3ffffffa,0xffffffff,0x7ec1ffff,0x0003ffff,
    0x3fffe000,0x4c0001ff,0xffffffec,0x00ffffff,0x9fffffd0,0x3fffffc8,
    0xffff7000,0xffff00df,0x555557ff,0x55555555,0xfffffe80,0x0dffffb1,
    0x27fffff1,0x02fffffb,0xfffff100,0x009fffff,0xfffff100,0xfd000bff,
    0x7fd4ffff,0xffd04fff,0x776c0fff,0xdddd95ee,0xfffd801d,0x3ff603ff,
    0x7ff40fff,0xffffffff,0x1cffffff,0x3ffffe20,0xffffffff,0x7fffc001,
    0x7fe400ff,0xffff2fff,0xfff900ff,0x3fffa5ff,0xfffd007f,0x400005ff,
    0x9bfffffe,0xfffffba9,0x3fa003ff,0x0002ffff,0x3fffffd8,0x3e000000,
    0x001fffff,0xfffffd30,0xffffffff,0x3ee001ff,0x7fc7ffff,0x0000ffff,
    0x9dfffffd,0xf9999999,0x001fffff,0xffff9000,0x3ffffe5f,0xbffffd04,
    0x03fffff2,0x7ffff400,0x1fffffff,0x7fff4000,0xd0006fff,0x7d4fffff,
    0xfd04ffff,0x7fc0ffff,0xfffb7fff,0xffd801ff,0x80003fff,0xacfffffe,
    0x09aaaaaa,0xfffff100,0xffffffff,0xffff800d,0xfffb807f,0xfffff2ff,
    0xffff700f,0x3ffffa5f,0xffffd007,0x7400005f,0x882fffff,0xdffffffd,
    0xffffe800,0xfd80002f,0x0003ffff,0x3fffe000,0xfa8001ff,0xffffffff,
    0xfffffdbd,0xffff1000,0x3ffe63ff,0xf50005ff,0xffffffff,0xffffffff,
    0x0001ffff,0xfffff500,0x3fffff59,0x5fffff20,0x006ffffe,0xffffff70,
    0x0dffffff,0x7fffec00,0xd0000fff,0x000fffff,0x03fffff4,0x36ffffff,
    0x400fffff,0x03fffffd,0xffffe800,0x2200002f,0xffffffff,0x02ffffff,
    0x1fffffe0,0x3ffffee0,0x0ffffff2,0x5fffff70,0x01fffffa,0x17fffff4,
    0xfffd0000,0x7ff405ff,0xe806ffff,0x002fffff,0xfffffd80,0x20000003,
    0x01ffffff,0x7ffffd40,0x7fe41bef,0x3a000fff,0xf94fffff,0x0005ffff,
    0x3ffffffa,0xffffffff,0x0fffffff,0xff880000,0xfffcefff,0x3ffea07f,
    0xfffff9ff,0xfff88004,0xfffdffff,0xb8004fff,0x1fffffff,0x3fffa000,
    0x3fa0007f,0x3fe07fff,0xfffb7fff,0xffd801ff,0x80003fff,0x02fffffe,
    0x3ffe2000,0xffaeffff,0xf000ffff,0x700fffff,0x3e5fffff,0xb807ffff,
    0xfd2fffff,0x3a00ffff,0x002fffff,0x3ffffa00,0x3ffe202f,0x7404ffff,
    0x002fffff,0xfffffd80,0x20000003,0x01ffffff,0x7fffff40,0x3ffff603,
    0x3fee000f,0xfffd7fff,0x3ea000ff,0xffffffff,0xffffffff,0x000fffff,
    0xffffd000,0x0bffffdf,0x6fffffc4,0x002fffff,0xffffffd8,0xfffffe8c,
    0x3fea001f,0x003fffff,0x3fffff40,0xffffd000,0x7ffffc0f,0x1fffffb7,
    0xfffffd80,0xffe80003,0x00002fff,0x3fffffe2,0xfffff90f,0x3fffe009,
    0xfffb807f,0xfffff2ff,0xffff700f,0x3ffffa5f,0xffffd007,0x7400005f,
    0x402fffff,0xfffffffa,0x3ffffa02,0xfd80002f,0x0003ffff,0x3fffe000,
    0x3e2001ff,0x6c06ffff,0x000fffff,0x3fffffe2,0x05fffffc,0xfffffb00,
    0xffffffff,0xffffffff,0x2000001f,0xfffffffc,0x7f403fff,0xffffffff,
    0x7fd4000f,0x3ea6ffff,0x006fffff,0xfffffff1,0xffd00009,0x74000fff,
    0x3e07ffff,0xffb6ffff,0xfd801fff,0x0003ffff,0x2fffffe8,0x3fe20000,
    0x3e21ffff,0x800fffff,0x807fffff,0xf2fffffb,0x700fffff,0x3a5fffff,
    0xd007ffff,0x005fffff,0x7ffff400,0xfffc802f,0xfd00ffff,0x0005ffff,
    0x7fffffb0,0x7c000000,0x001fffff,0x0fffffea,0xffffff88,0x7ffec000,
    0xffffffff,0xfff98002,0xeeeeefff,0xffeeeeee,0x0000ffff,0xfffff500,
    0x803fffff,0xfffffffc,0x7c4007ff,0x41ffffff,0x4ffffffd,0x7ffff440,
    0xd00006ff,0x000fffff,0x03fffff4,0x0002ffcc,0x0ffffff6,0x3fffa000,
    0x200002ff,0x85fffff8,0x05fffffb,0x07fffff8,0x2fffffb8,0x00ffffff,
    0x25fffff7,0x007ffffe,0x05fffffd,0x7fff4000,0xfe8802ff,0xd05fffff,
    0x005fffff,0xfffffb00,0x40000007,0x01ffffff,0x3ffffea0,0x3ffff606,
    0x7d4000ff,0xffffffff,0xffb0007f,0x4400dfff,0x00ffffff,0xfff10000,
    0x0fffffff,0xffffff50,0xd800bfff,0x84ffffff,0xfffffff8,0x3ffff601,
    0x00000fff,0x00fffffd,0x3fffff40,0x1127fdc0,0x11111111,0x7ffffec1,
    0x9999999c,0x19999999,0x05fffffd,0x7ffc4000,0xfffd05ff,0xfff803ff,
    0xffb807ff,0xffff2fff,0xfff700ff,0x3fffa5ff,0xfffd007f,0x333337ff,
    0x33333333,0x3ffa1333,0xf5002fff,0x05ffffff,0x05fffffd,0xffffb000,
    0x3333339f,0x33333333,0xffff8003,0x3e2001ff,0x20cfffff,0xffffffc9,
    0xfff8001f,0x4fffffff,0xffff8800,0x3e2003ff,0x999fffff,0x99999999,
    0x7c009999,0xffffffff,0xffff8805,0x003fffff,0x3fffffea,0xffff500f,
    0x3fee0dff,0x99bfffff,0x99999999,0xd0999999,0x000fffff,0x03fffff4,
    0xffc97ff4,0xffffffff,0x3fffff67,0xffffffff,0x7fffffff,0x05fffffd,
    0x7ffc4000,0xfff505ff,0xfff80dff,0xffb807ff,0xffff2fff,0xfff700ff,
    0x3fffa5ff,0xfffd007f,0xffffffff,0xffffffff,0x3ffa7fff,0x32002fff,
    0x0effffff,0x17fffff4,0x7ffec000,0xffffffff,0xffffffff,0x7ffc007f,
    0x74001fff,0xdfffffff,0xffffffff,0xfc8002ff,0xffffffff,0xfffc8001,
    0x22000fff,0xffffffff,0xffffffff,0x406fffff,0xfffffffd,0xfffb003f,
    0x003fffff,0x3fffffe2,0x7ffec02f,0xffb84fff,0xffffffff,0xffffffff,
    0xd3ffffff,0x000fffff,0x03fffff4,0x7e4bffd1,0xffffffff,0x3ffff67f,
    0xffffffff,0xffffffff,0x5fffffd7,0x7fc40000,0x3fa05fff,0x3e03ffff,
    0xb807ffff,0xff2fffff,0xf700ffff,0x3fa5ffff,0xfd007fff,0xffffffff,
    0xffffffff,0x3a7fffff,0x002fffff,0x3fffffa2,0x7ffff44f,0xfd80002f,
    0xffffffff,0xffffffff,0x7c007fff,0x001fffff,0x7fffffcc,0xfeffffff,
    0x8003ffff,0xfffffff9,0xff88006f,0x4004ffff,0xfffffff8,0xffffffff,
    0x06ffffff,0x7fffffdc,0xff7000ff,0x00ffffff,0x7fffffec,0xffff8805,
    0x7fdc1fff,0xffffffff,0xffffffff,0xd3ffffff,0x000fffff,0x83fffff4,
    0x320ffff9,0xffffffff,0x3fff67ff,0xffffffff,0xffffffff,0xfffffd7f,
    0x7c400005,0x2605ffff,0x00ffffff,0x00ffffff,0x25fffff7,0x807fffff,
    0xd2fffffb,0x200fffff,0xfffffffe,0xffffffff,0x3fffffff,0x05fffffd,
    0xfffffa80,0x3fffa1ff,0xd80002ff,0xffffffff,0xffffffff,0x4007ffff,
    0x01ffffff,0xfffffb80,0xfd3fffff,0x2000dfff,0xffffffff,0xfffc8003,
    0x44000fff,0xffffffff,0xffffffff,0x406fffff,0xfffffff9,0x3ffe6006,
    0x5005ffff,0x1fffffff,0x3fffee00,0x7ffdc6ff,0xffffffff,0xffffffff,
    0xfd3fffff,0x4000ffff,0x207ffffe,0x7fe41efe,0xffffffff,0x3fffff67,
    0xffffffff,0x7fffffff,0x05fffffd,0x7ffc4000,0x7fec05ff,0xfff04fff,
    0xff700fff,0x3ffe5fff,0xffb807ff,0xfffd2fff,0x3ffa00ff,0xffffffff,
    0xffffffff,0xffd3ffff,0x90005fff,0x4dffffff,0x02fffffe,0xffffd800,
    0xffffffff,0xffffffff,0x7fffc007,0xd30001ff,0x1bffffff,0x0fffffdc,
    0x7fffe400,0x44000fff,0x05ffffff,0xfffff880,0xffffffff,0xffffffff,
    0xfffff806,0x7fc004ff,0x803fffff,0xfffffff8,0x7fff4003,0x3fee4fff,
    0xffffffff,0xffffffff,0xd3ffffff,0x000fffff,0x03fffff4,0x3fff2055,
    0x7fffffff,0x3ffffff6,0xffffffff,0xd7ffffff,0x005fffff,0x7fffc400,
    0x7ffcc05f,0xfff80fff,0xffb807ff,0xffff2fff,0xfff700ff,0x3fffa5ff,
    0xfffd007f,0xffffffff,0xffffffff,0x3ffa7fff,0x88002fff,0x3ffffffe,
    0x05fffffd,0xffffb000,0xffffffff,0xffffffff,0xffff800f,0x440001ff,
    0x00001aa9,0xfffff980,0xffb8006f,0x8001ffff,0xfffffff8,0xffffffff,
    0x06ffffff,0xffffffd8,0x7ffec002,0xfc801fff,0x005fffff,0xffffff98,
    0xfffff71f,0xffffffff,0xffffffff,0x3ffa7fff,0x000007ff,0xdddd7000,
    0x0bdddddd,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x07ffffd0,
    0x333332e0,0xcccccccc,0x4ccccccc,0x01100000,0x3bb32a60,0x20000bcc,
    0xaccdca98,0x32a60001,0x00001acd,0x40093000,0x1acddcb9,0x4ccccc40,
    0xbb973000,0x20000359,0x1acddcb9,0xacdca980,0x97510001,0x003799db,
    0x00133333,0x00333331,0x06aaaaa2,0x332ea000,0x7301acce,0x001599d9,
    0x80000032,0x80099999,0x22199998,0x26219999,0x99801999,0x4c400999,
    0x26209999,0x99999999,0x99999999,0x4cccccc1,0x99999800,0x77777409,
    0x3fffa004,0x0009003f,0x26200900,0xd82bcdcb,0x3ff6a01f,0xffffffff,
    0x7fe4000e,0xdfffffff,0x3ffa6001,0x04ffffff,0xfb500000,0xfffd500f,
    0x07ffffff,0x0fffffea,0xfffffd50,0x0007ffff,0x3fffffaa,0xfb82ffff,
    0xffffffff,0xfff71002,0xdfffffff,0x7ffffc07,0xffffc806,0xfff8801f,
    0x710005ff,0xffffffff,0x3fa63bff,0xcfffffff,0x016ffc00,0x7fffc000,
    0xfffc806f,0xffffb1ff,0x3ffff21f,0x3ffe600f,0x7fe406ff,0x3fee0fff,
    0xffffffff,0x7fffffff,0x7ffffff4,0x3ffff201,0x7fffc1ff,0x3ffa006f,
    0x009003ff,0xe8809000,0xffffffff,0x0fffc8cf,0xffffffb8,0xffffffff,
    0xfffe9801,0xffffffff,0xfffb803f,0xffffffff,0x8800000e,0x207fffeb,
    0xffffffd8,0x0effffff,0x1fffffd4,0xfffffd88,0xefffffff,0xfffb1000,
    0xffffffff,0xfffb11bf,0xffffffff,0x7ffc401b,0xffffffff,0xfff05fff,
    0xff900dff,0xf1003fff,0x000bffff,0xffffffd1,0xdfffffff,0xffffffff,
    0x7c03ffff,0x0003efff,0x1bffffe0,0x3fffff20,0x1fffffb1,0x0bffffe6,
    0xffffffb8,0x3ffffe00,0x7ffffdc6,0xffffffff,0x7c47ffff,0x506fffff,
    0x07ffffff,0x00dfffff,0x01fffff4,0x48000048,0x3ffffee0,0xffffffff,
    0xffa83fff,0xffffffff,0x01ffffff,0x3fffffea,0xffffffff,0x3fff603f,
    0xffffffff,0x00002fff,0xffffff91,0x3fffa20f,0xffffffff,0x3ea2ffff,
    0xe883ffff,0xffffffff,0x2fffffff,0x7ffff440,0xffffffff,0xffffffff,
    0xffffffff,0x3fffa06f,0xffffffff,0xff85ffff,0xfc806fff,0x8801ffff,
    0x005fffff,0x7fffff44,0xffffffff,0xffffffff,0x2fffffff,0xfffffff0,
    0xff800019,0xfc806fff,0xffb1ffff,0x7ffc1fff,0x3ff605ff,0xf302ffff,
    0xfb87ffff,0xffffffff,0xffffffff,0xfffffb87,0x7fff444f,0xffff06ff,
    0x7ff400df,0x009003ff,0xfd109000,0xffffffff,0x9fffffff,0x3fffffe0,
    0xffffeeff,0xff104fff,0xffffffff,0x3fffffff,0xffffff50,0xfffffddf,
    0xd98000df,0xffffffff,0xfffffd07,0xffffffff,0x3ea1ffff,0xfe83ffff,
    0xffffffff,0xffffffff,0x3ffff600,0xffffffff,0xffffffff,0xfffdceff,
    0xffc84fff,0xdbccefff,0x1fffffff,0x037ffffc,0x0fffffe4,0x7ffffc40,
    0x7ffe4005,0xffeeffff,0xffffffff,0xfffffeff,0xfff80eff,0x1dffffff,
    0xfffff000,0xffff900d,0x3ffff63f,0x3ffff20f,0x3ffffe07,0xfff704ff,
    0xfffb83ff,0xffffffff,0x07ffffff,0x3ffffffb,0x7fffffe4,0xdfffff00,
    0x7ffff400,0x00009003,0xffff9090,0xfffddfff,0x505fffff,0x03dfffff,
    0x0ffffff9,0x3ffffff2,0xfffd710a,0xfff88bff,0x7ec44fff,0x8003ffff,
    0xffffffea,0xfc87ffff,0x8aefffff,0xfffffc98,0xfffff56f,0xfffffc87,
    0xfc988aef,0x705fffff,0x7dffffff,0xffffb533,0x83dfffff,0x1fffffd8,
    0x02fffff4,0x8bfffff9,0x806fffff,0x01fffffc,0x5fffff88,0x3fffe200,
    0x3f220aff,0xbfffffff,0x3ffff660,0xfffff84f,0x2effffff,0x7ffffc00,
    0xffffc806,0xfffffb1f,0x1fffffa8,0xffffff98,0xffffb06f,0x9999930d,
    0xfff99999,0x2205ffff,0x56ffffff,0x05ffffff,0x02fffffc,0x07ffffd0,
    0x20000120,0x7ffffcc4,0x3fae20cf,0xeb86ffff,0xf100ffff,0xf30fffff,
    0x201fffff,0x0ffffff9,0x0ffffff2,0x06ffffd8,0xfffff910,0xbfffffff,
    0xfffff885,0x3ffea05f,0xecc9bfff,0x3ffe22ff,0x3ea05fff,0xe82fffff,
    0x00dfffff,0xfffffff9,0x7fff401f,0x7ffffc4f,0x566ff403,0x37ffffc1,
    0x7ffffe40,0xaaaa8801,0x3b66001a,0x3fe03fff,0x204fffff,0x987ffffd,
    0xfffffffc,0x00cfffff,0x06fffff8,0x1fffffc8,0xf0fff997,0xf907ffff,
    0x1fffffff,0x4fffff88,0x3fffa000,0x7d404fff,0xffcfffff,0x5005ffff,
    0x7f4009ff,0x09003fff,0xfe890000,0xd103ffff,0x07ffffff,0x3f600d44,
    0x7e40ffff,0x6c04ffff,0x3e0bceff,0x4407ffff,0x203fffff,0xffffffd9,
    0x0befffff,0xdfffff70,0xfffff700,0x2e1ffd8d,0x806fffff,0x47fffffb,
    0x0ffffff8,0x7ffffec0,0x7ffd405f,0x3fffe27f,0x7c0002ff,0xc806ffff,
    0x001fffff,0x29880000,0x7ffffe40,0x7fffc407,0xffd7102f,0xffffffff,
    0x7ffc03bf,0xffc806ff,0x7fc41fff,0x6ffffd86,0xffffffe8,0x7ffd42ff,
    0xfb0001ff,0x00bfffff,0x3ffffff2,0x00efffff,0x7fc7ff90,0xffffffff,
    0xffffffff,0x00094fff,0x7ffd4900,0x3ffa05ff,0x007fffff,0x7ffff4c0,
    0x7fffec0f,0x100c401f,0x00bfffff,0x509ffffd,0xfffffffd,0x0039ffff,
    0x05fffffd,0xffffff10,0xfd07ffc1,0x2005ffff,0x20ffffff,0x04fffffa,
    0xffffff98,0x7fffc402,0x3ffffa1f,0x001bdfff,0x037ffffc,0x0fffffe4,
    0x00000000,0xfffffc98,0xffffe805,0xfffc9804,0xffffffff,0xfffff82e,
    0xffffc806,0x42ffd41f,0x20fffffa,0xfffffff8,0x7ffe44ff,0xff90006f,
    0x800bffff,0xfffffffe,0x3a001fff,0x3fffe1ff,0xffffffff,0xffffffff,
    0x0000094f,0x7ffffe49,0xfdfffb01,0x4003ffff,0xfffffdb9,0x7ff40fff,
    0x980007ff,0x804fffff,0x7c5ffffd,0xffffffff,0x7c002dff,0x000fffff,
    0x25fffff9,0x7ffc5ffc,0xf9000fff,0x7e43ffff,0xf001ffff,0x003fffff,
    0x647fffff,0xffffffff,0x400acfff,0x806fffff,0xf1fffffc,0xffffffff,
    0xffffffff,0x4007ffff,0xfffffdb9,0xfd804fff,0x54006fff,0xfffffffd,
    0x3fe0ffff,0xfc806fff,0x7ec1ffff,0xffff882f,0x3fffea2f,0x7c6ffffc,
    0x8004ffff,0xeffffffb,0x7ffcc000,0x03ffffff,0xf89ffd30,0xffffffff,
    0xffffffff,0x0094ffff,0x7fec9000,0xfff907ff,0x5fffff75,0x7fff64c0,
    0xffffffff,0x7ffffc0f,0xffa80007,0xffffffff,0xffffffff,0x7ffffc6f,
    0x000befff,0x7fffff88,0x3fffee00,0x20fffddf,0x07fffff8,0x3ffffee0,
    0x3fffffa3,0xffffd000,0xffffffff,0x9fffffff,0x7fffff44,0xffffffff,
    0xfffff00d,0xffffb00d,0x3ffffe3f,0xffffffff,0xffffffff,0x3ff6e203,
    0xffffffff,0xffffffff,0xffffffff,0xff710007,0x1fffffff,0x037ffffc,
    0x8fffffec,0x3605ffd8,0x3f25ffff,0xfffd9fff,0xfffff30f,0xfffa8003,
    0x0000ffff,0xfffffff7,0x3ffea00d,0x7ffffc0f,0xffffffff,0xffffffff,
    0x90000094,0x437ffffc,0xff33fffb,0xfd309fff,0xffffffff,0x41ffffff,
    0x06fffff8,0xffffb800,0xffffffff,0x7fffffff,0x77fffffc,0x7fcc0001,
    0x2a006fff,0xffffffff,0x7fffcc3f,0x3fea006f,0x3ffe4fff,0x3f6007ff,
    0xffffffff,0xffffffff,0x7ff444ff,0xffffffff,0xff84ffff,0xfd806fff,
    0xfff1ffff,0xffffffff,0xffffffff,0xffb307ff,0xffffffff,0xffffffff,
    0xffffffff,0x0000ffff,0xffffffd5,0x37ffffc1,0x7ffffec0,0x00efffdc,
    0xe9ffffee,0xfff77fff,0x3fffee5f,0x7ffcc007,0x0001ffff,0x7ffffff4,
    0x1bff1003,0xfffffff0,0xffffffff,0x29ffffff,0x14800004,0xa8bfffff,
    0x3fe24fff,0x7fd45fff,0xdfffffff,0x0fffffdb,0x1fffffe2,0x3fff2000,
    0xffffffff,0xffffffff,0x7fffffc7,0x10000aef,0x00dfffff,0x7fffffdc,
    0xfff880df,0x3ee006ff,0x3fe4ffff,0x36007fff,0xffffffff,0xffffffff,
    0xfb885fff,0xffffffff,0x7c4fffff,0xd806ffff,0xff1fffff,0xffffffff,
    0xffffffff,0xff987fff,0xefffffff,0xffffffdc,0xffffffff,0x00ffffff,
    0x3fff6a00,0x3fe0ffff,0xfd806fff,0xffffffff,0xffff8804,0x5ffff89f,
    0x3a9ffff3,0x2004ffff,0xfffffff8,0x7fd40002,0x00ffffff,0x66640570,
    0xfffccccc,0xcccccdff,0x000092cc,0x7ffffc90,0x117ffe66,0x54bfffff,
    0xbeffffff,0x7ffffe41,0x3fffffc0,0x7ffdc000,0xcccccdff,0xcccccccc,
    0x3ffffe0c,0x01cfffff,0x7ffffc40,0x3fff2007,0x3e201eff,0x2007ffff,
    0x22fffffc,0x01fffffe,0x9fffffd0,0x99999999,0x80799999,0xfffffeca,
    0x21ffffff,0x806fffff,0xf1fffffd,0xffffffff,0xffffffff,0x7c47ffff,
    0xadffffff,0x3ffffee0,0xcccccccd,0x0ccccccc,0x7ffdc400,0x0fffffff,
    0x01bffffe,0x3ffffff6,0x3fa000bd,0xfffabfff,0x3bfffe3f,0x02fffff8,
    0xfffffd10,0xf880007f,0xffffffff,0xd0000005,0x2007ffff,0x24800004,
    0xf17ffffe,0xff981dff,0x3ffa3fff,0x3f603fff,0x7f40ffff,0xb800ffff,
    0xffffa809,0xf900004f,0xffffffff,0x20017dff,0x00ffffff,0x5fffffb0,
    0xffffff00,0x3fff6001,0x3fff61ff,0xfff004ff,0x00003fff,0xfffb7100,
    0x7c7fffff,0xe807ffff,0x991fffff,0x99999999,0x99999999,0x7fe45999,
    0xf701dfff,0x0009ffff,0xfffb5000,0xffffffff,0x7fffff89,0xfffffe80,
    0xfff70001,0x3ffff9df,0x7dffffec,0x3a007fff,0x04ffffff,0xffffd800,
    0x03ffffff,0xffe80000,0x009003ff,0x7fec9000,0xfffe9fff,0xfffffa80,
    0xdfffff12,0xfffffd80,0x7ffffec0,0x7fffcc03,0xfffff32d,0xea80000b,
    0xffffffff,0x6c01cfff,0x804fffff,0x0ffffff8,0xfffffd80,0xffff8803,
    0x7fffdc7f,0xfffb806f,0x00003fff,0x7ff54018,0x3ffe5fff,0xfff807ff,
    0x00001fff,0xfffffd00,0x7fffe401,0x1000006f,0xfffffff9,0x017dffff,
    0x00ffffff,0x03ffffff,0x3fffe200,0x5c7fffff,0xffffffff,0xfffb005f,
    0x0000bfff,0xfffffff7,0x003fffff,0xfffe8000,0x0009003f,0x7ffe4900,
    0x01fffeff,0x21fffffb,0x03fffffa,0x3fffffe2,0x7ffffdc0,0x7fffe406,
    0x3ffffe2f,0x33bea00f,0x7ecc00ab,0xffffffff,0xfa80beff,0x400fffff,
    0x05fffffd,0xffffff50,0xffffd801,0x7fffd46f,0x7ffc01ff,0x6406ffff,
    0x950acdef,0x9805ffdb,0x3e5fffff,0x200fffff,0x1ffffffa,0xff000000,
    0xfe80dfff,0x201fffff,0x00abdef9,0xffffffb5,0x05bfffff,0x0ffffff8,
    0x3ffffea0,0x3fa0001f,0x5fffffff,0x7fffffcc,0xfc802fff,0x005fffff,
    0xfffff980,0xffffffbf,0x74000006,0x9003ffff,0x4c900000,0xffffffff,
    0xfffff502,0x7ffffd4d,0x3ffff606,0x7ffc40ff,0xff504fff,0xffb8ffff,
    0x3fa05fff,0x1003ffff,0xfffffff9,0x889fffff,0x1effffff,0xffffff90,
    0x3ffe2005,0xf901efff,0xb03fffff,0x03ffffff,0xffffffd1,0x3fe607ff,
    0xff90ffff,0xfa80dfff,0x3fa3ffff,0xf305ffff,0x03ffffff,0x9ddddd10,
    0x7ffffc00,0xffff701f,0x3a01bfff,0x644fffff,0xffffffff,0x001cffff,
    0x0bfffffd,0x3fffffe6,0x3f20001f,0x3fffffff,0xfffffff8,0x7fdc00ff,
    0x998effff,0x99999999,0xfffffd00,0x3ffffeab,0x2000004f,0x003ffffe,
    0x89000009,0x3ffffffd,0xfffffd30,0x7ffffc43,0x3ff260cf,0xb81fffff,
    0xceffffff,0xfffffeba,0xfffff84f,0x3ff6a1ef,0x4000ffff,0xfffffeb8,
    0xfb87ffff,0xbcffffff,0xfffffeca,0x7fdc004f,0xabcfffff,0xffffffec,
    0xfffff103,0xffb77bff,0xffffffff,0x3fee63bf,0x3e24ffff,0x0adfffff,
    0x7fffff54,0x3fffff21,0xfff931cf,0x003fffff,0x0bfffff1,0x7fffff40,
    0x3ffee21d,0xcfffffff,0xffffdb89,0x7fffc0ff,0xbfffffff,0x7ffe4000,
    0xf931cfff,0x3fffffff,0x7ffcc000,0xc81fffff,0x5fffffff,0x7ffffcc0,
    0xffffffff,0x84ffffff,0x0ffffffc,0x3ffffff6,0xfd000001,0x12007fff,
    0xf1120000,0x59ffffff,0xfffff951,0xffffd09f,0xffffbfff,0x05ffffff,
    0x3ffffffa,0xffffffff,0xfffb80ef,0xffffffff,0x003fffff,0x7fffed40,
    0xffb07fff,0xffffffff,0x0dffffff,0x3ffff600,0xffffffff,0x5c06ffff,
    0xffffffff,0xffffffff,0xffffffff,0xffffffff,0x7ffffe40,0xfffeefff,
    0x7cc5ffff,0xffffffff,0xffffffff,0xff8801ff,0x32005fff,0xefffffff,
    0xfffffffe,0xffffffff,0x3fffffff,0xfffffff8,0x260002ef,0xffffffff,
    0xffffffff,0x40001fff,0x7fffffff,0xffffff50,0xfff9807f,0xffffffff,
    0xffffffff,0x7ffffcc4,0x7fffc43f,0x00000eff,0x03ffffe8,0x90000090,
    0xffffff90,0xffffffff,0xff301dff,0xffffffff,0xfffffdff,0x3fffa607,
    0xffffffff,0x3ee01fff,0xffffffff,0x004fffff,0x3fff2600,0xffb107ff,
    0xffffffff,0x001dffff,0x3ffff620,0xffffffff,0xfc800eff,0xffffffff,
    0xfddfffff,0xffffffff,0xb01fffff,0xffffffff,0xdfffffff,0x3ffffee0,
    0x9dffffff,0x801fffff,0x05fffff8,0x3ffffa20,0xffffffff,0xfffffddf,
    0xffffffff,0xfffff04f,0x200003bf,0xfffffffc,0xff9dffff,0x40001fff,
    0x5ffffffc,0xffffff10,0xfff9801f,0xffffffff,0xffffffff,0x3ffffa24,
    0xffff506f,0x00000bff,0x00399997,0x12000012,0xfffffff1,0xffffffff,
    0x7fdc03df,0xffffffff,0x0dffffd3,0x7ffffe44,0x1effffff,0xfffff980,
    0x4fffffff,0xf7100000,0xffb80fff,0xffffffff,0x700003ff,0xffffffff,
    0x8007ffff,0xffffffe9,0x2a2fffff,0xffffffff,0x6401efff,0xffffffff,
    0x00dfffff,0x3ffffff2,0xfff34fff,0xff1003ff,0x9800bfff,0xffffffff,
    0x3aa2efff,0xffffffff,0x3fe04fff,0x00000cff,0xffffffd8,0xfff35fff,
    0xa80003ff,0x02ffffff,0x1bfffffa,0x3ffffe60,0xffffffff,0x24ffffff,
    0x0ffffffc,0x3fffff60,0x0000002f,0x00001200,0xffffe892,0xffffffff,
    0xd3003fff,0x1bffffff,0x0fffffdc,0x3ffffaa0,0x4002efff,0xfffffec8,
    0x00000cff,0x100fd500,0xffffffd7,0x800003bd,0xfffffeb8,0x20001def,
    0xffffffec,0xfec880ce,0x02efffff,0x3ffff220,0x01dfffff,0xfffffd70,
    0x7fffcc7b,0xfff8801f,0xc88005ff,0xdfffffff,0x3fffb203,0x401cffff,
    0x000002ef,0xfffffec8,0x3fffe63d,0xff80001f,0x3200ffff,0x803fffff,
    0xfffffff9,0xffffffff,0xff54ffff,0x8807ffff,0x0fffffff,0x33333200,
    0xcccccccc,0xcccccccc,0x90000092,0x5c4fffe4,0xfffffffe,0xa988001d,
    0x2000001a,0x0009aaa8,0x13555300,0x20000000,0x5554c001,0x00000009,
    0x00135531,0x13553000,0x4d54c400,0x54c40000,0x400009aa,0x000001a9,
    0x00133333,0x04d54c40,0x4d554c00,0x00003000,0x03531000,0x00000000,
    0x00000000,0x00000000,0xfffff000,0xffffffff,0xffffffff,0x20000129,
    0x4c40fec4,0x000009aa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffff0000,0xffffffff,0xffffffff,
    0x0000129f,0x00000612,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3e000000,0xffffffff,0xffffffff,
    0x9994ffff,0x99999999,0x99999999,0x00000b99,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0xffffffff,0xffffffff,0x004fffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0xffffffff,0xffffffff,0x004fffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x98099999,0x4c01bcdb,
    0x6dcc1999,0x4cccc40b,0x26620009,0x00000199,0x06666620,0x006f72e2,
    0x8037b951,0x20099999,0x09999998,0x00100020,0x3ffffe20,0x66540001,
    0x66664c4c,0x98999951,0x0000cccc,0x000cccc4,0x00200000,0x4004cc40,
    0x26600009,0x99880019,0x66664401,0xcccccccc,0xcccccccc,0x9999910c,
    0x99999999,0x99999999,0x40098801,0x24eeeeeb,0x0eeeeee8,0x07bbbbba,
    0x04000130,0x0e66dd44,0x4cccccc0,0x26666660,0x3ffe0000,0x3ffee3ff,
    0x881fffff,0xfb1fffff,0x2e1dffff,0x005fffff,0x03fffffe,0x2a0007a6,
    0x7fffd40e,0x3ffffe67,0x7f441fff,0x03ffffff,0x20dfffff,0xffffffe8,
    0x2001fb01,0xf88005e8,0x0001ffff,0xd13fffe2,0x7fc4dfff,0x7fff44ff,
    0x3fe20006,0x4c002fff,0x00dffffd,0x77fff6cc,0x5fff5002,0x3ffffae0,
    0xffd9801d,0x001dffff,0xf980dffb,0xffffffff,0xffffffff,0xff31ffff,
    0xffffffff,0xffffffff,0x3ae03fff,0xf903efff,0x7c4bffff,0x3e1fffff,
    0xb82fffff,0x0beffffd,0xffd09700,0x201bffff,0x45fffffb,0x06fffffa,
    0x3ffffe00,0xffffffb3,0xf887ffff,0xffd9ffff,0x3e26ffff,0x800fffff,
    0x84fffffa,0x2a61fff9,0x3fea0abb,0x3fffea0e,0xffffff57,0x3e61ffff,
    0xffffffff,0xfffff82f,0xfffffb06,0x3fff605f,0x2fff4400,0x3fffe200,
    0x3fa0001f,0x3ff20fff,0x7ffe41ff,0x3fffea1f,0xfff70003,0x7d400bff,
    0x2fffffff,0xffffff70,0x7c401dff,0x7f442fff,0x4fffffff,0x3ffffe20,
    0x801fffff,0x7cc06ffc,0xffffffff,0xffffffff,0xff31ffff,0xffffffff,
    0xffffffff,0xfe883fff,0x0dffffff,0x2fffffe4,0x3ffffff1,0x17fffffc,
    0xffffffd1,0x2205bfff,0xdbce84fd,0xff05ffff,0x3ee0bfff,0x0001ffff,
    0xfd9fffff,0xffffffff,0x7fc43fff,0xffffdfff,0x7fe43fff,0xfd803fff,
    0x7c41ffff,0xffebffff,0xffbdffff,0xfff50eff,0xfffff9ff,0x7dffffff,
    0xffffffff,0xff83ffff,0xffd86fff,0xfb02ffff,0x2201ffff,0x005ffffe,
    0x07ffffe2,0x7fffdc00,0x17fffe63,0x83bfffe2,0x001ffffd,0xfffffff8,
    0xfffff001,0x981fffff,0xffffffff,0xffb885ff,0x7ff42fff,0xffffffff,
    0xfffffb03,0x00dfffff,0xf980bff7,0xffffffff,0xffffffff,0xff31ffff,
    0xffffffff,0xffffffff,0xffd83fff,0x5fffffff,0x2fffffe4,0x3ffffff1,
    0x97fffffc,0xfffffffa,0xcfffffff,0x04fffdbb,0x40ffff88,0x406ffffa,
    0x005ffffb,0xfffffff0,0xffffdfff,0x7c4bffff,0xffffffff,0x7cc0ffff,
    0x4406ffff,0xe86fffff,0xffffffff,0xffffffff,0xff53ffff,0xdfffffff,
    0xfffffffd,0xffdfffff,0xf8dfffff,0x7e46ffff,0x703fffff,0x1fffffff,
    0xfffffe88,0xfff1003f,0xf30003ff,0x7fc4dfff,0xff700fff,0x7ffcc9ff,
    0x7fdc006f,0x805fffff,0xfb13fffb,0xfffd87ff,0x8ffff50c,0xfffffffb,
    0x3ffffee2,0x0fffffdb,0x457fffd4,0x20ffffc8,0x93fee2ea,0x3ffe64b8,
    0xffffffff,0xffffffff,0xffff31ff,0xffffffff,0xffffffff,0x7fffdc3f,
    0x3ffffc9c,0x97fffff2,0x1ffffff8,0x4bfffffe,0xfffffffc,0xffffffff,
    0x04ffffff,0xe81fffd0,0xc800efff,0x8000ffff,0xffffffff,0x3fffe60b,
    0x3ffe27ff,0xdcefffff,0xffffd05f,0x7ffdc01f,0xffe883ff,0xffffffff,
    0xffffffff,0x3ffffea4,0x3fa20cff,0x2fffffff,0x7fffffe4,0x9bffffe0,
    0x3ffffffb,0x7ffffec0,0xfffd10ff,0x44009fff,0x001fffff,0x22ffffe8,
    0x404ffffd,0x322ffffe,0x2004ffff,0xfffffffe,0x36e5400f,0xff0fffee,
    0xfffe81ff,0xffffff11,0x7fffc5ff,0x27fffcc5,0x3e216544,0x3ff60fff,
    0xc8bffaae,0xddd10fff,0xdddddddd,0xfffddddd,0x3bba23ff,0xeeeeeeee,
    0xeeeeeeee,0x3fffa1ee,0x937ffc40,0x44bfffff,0x21ffffff,0x92ffffff,
    0xffffffff,0xffffffff,0x809fffff,0x547fffc9,0x2000ffff,0x8004fffc,
    0x2fffffff,0xffffff30,0x3ffffe21,0xb80c43ff,0x203fffff,0x00fffffe,
    0xffffffd1,0xffffffff,0xfffa89ff,0xff505fff,0x205fffff,0x21ffffff,
    0xf56fffff,0x009fffff,0x3ffffff6,0xfffffe9f,0x7fc4004f,0x64001fff,
    0x3ea5ffff,0x5400ffff,0xf10fffff,0x5003ffff,0xffffffff,0xf530009f,
    0x06603fff,0x7c4ffff1,0x2fffcaef,0xb03ffff1,0x2200bfff,0x11ffffca,
    0xffffffff,0x05fffffd,0x3ffe2000,0x000001ff,0x6413ffe0,0x3ffee7ff,
    0x7fffc4ff,0x7ffff47f,0x59dff90f,0xfffff953,0xffffffff,0x3fbbfe65,
    0x6c2fffff,0xd8001fff,0x7c000fff,0x404fffff,0x11fffffe,0x0dffffff,
    0xfffff880,0xfffff306,0xffffa80b,0xfffdcfff,0x7d40ffff,0x200fffff,
    0x04ffffff,0x8bfffff2,0xf9efffff,0x005fffff,0x7fffffec,0x4fffffff,
    0xffff8800,0x3fea001f,0xfff10fff,0x3f6005ff,0x3fee5fff,0xffe806ff,
    0xfffffdff,0x3ffea000,0x7ec001ff,0xc8b625ff,0xfff32fff,0xffff701f,
    0x3ffb6e20,0xb31fffff,0xffffffff,0x009fffff,0x3fffe200,0x0000001f,
    0x2a05fff1,0xfff30fff,0xfffd85ff,0x7fffe46f,0xb500ff27,0xffffffff,
    0x7fffcc1b,0x001effff,0xf0000000,0x803fffff,0x11fffffc,0x05ffffff,
    0xfffff900,0xfffff903,0xffffd803,0x3ff220bf,0x7fd43fff,0x7fc06fff,
    0x3202ffff,0x3e2fffff,0xffffffff,0xb0005fff,0xffffffff,0x3e609fff,
    0xffffffff,0xffffffff,0xff11ffff,0x7fec9fff,0x3e6006ff,0xff12ffff,
    0x7d409fff,0xfff8ffff,0x3ee003ff,0x1001efff,0x801ffffb,0xff52fffc,
    0x3ffee0ff,0xfffffa87,0x41ffffff,0xffffeca8,0x00009bde,0x3ffffe20,
    0x20000001,0xffb05fff,0x7ffffc4f,0x2ffffe41,0xb9bfffee,0x3f6e2001,
    0xcb881bdf,0x301bcdec,0x33303333,0xf0000033,0x801fffff,0x12fffffc,
    0x01ffffff,0xfffff300,0xdfffff09,0xfffff880,0x3ffffa04,0x7ffffd46,
    0x7ffffc04,0x3ffee00f,0x3fffe2ff,0xffffffff,0x3ff60005,0x4fffffff,
    0x3ffffe60,0xffffffff,0xffffffff,0x1fffffb1,0x07ffffee,0xfffff900,
    0x3ffffea1,0x9ffffd02,0x01ffffee,0xffffddc8,0x7fff4403,0xfffc802f,
    0x20ffff52,0x7dc7fffb,0xf9bdffff,0x3f601fff,0x0000efff,0xfffff100,
    0x4cccccc3,0x99999999,0x41999999,0x7cc1fffe,0x7fff45ff,0x7fffd40f,
    0x27fffcc4,0x00000000,0x07ffff40,0x003ffffa,0xfffff000,0xffff900f,
    0x3fffe25f,0x3fa0007f,0x7fd47fff,0x7cc03fff,0x2a00ffff,0x7d47ffff,
    0x7404ffff,0x200fffff,0x22fffffb,0xffffffff,0x002fffff,0x3fffff60,
    0x7fcc05ff,0xffffffff,0xffffffff,0xfff71fff,0x3ffe63ff,0x7e4002ff,
    0xff51ffff,0xff305fff,0x3fe23fff,0x98002fff,0x3e607fff,0x9001ffff,
    0x3fe25fff,0xfffc80ff,0x22ffff46,0x901ffff9,0x0dffdfff,0x3fe20000,
    0xfff31fff,0xffffffff,0xffffffff,0x7ffd43ff,0xffffebdf,0x43fffec2,
    0x442ffff9,0x0003ffff,0xe8000000,0x7f40ffff,0x00000fff,0x03fffffc,
    0x97ffffdc,0x06fffff8,0x3fffee00,0x3ffff62f,0x7ffd400f,0xffff805f,
    0x3fffea0f,0x7fff404f,0x7ffdc07f,0x3fffe2ff,0xffffffff,0xfd10006f,
    0x1fffffff,0x7ffffcc0,0xffffffff,0xffffffff,0x97ffffa1,0x00fffffc,
    0x7fffff10,0x82fffff4,0x6c6ffffd,0x4406ffff,0x81fffd80,0x00effffa,
    0xf8bfff20,0x7fc43fff,0x3ffe25ff,0x7fffe41f,0xabfffc81,0x00005fff,
    0x1fffff88,0xfffffff3,0xffffffff,0x83ffffff,0xfffffffd,0x999884ff,
    0x20333300,0x00009999,0xe8000000,0x7f40ffff,0x00000fff,0x03fffffc,
    0x97ffffdc,0x06fffff8,0x3fffe200,0xfffff15f,0xffff500b,0xffff980f,
    0x3fffea0f,0x7fff403f,0x7ffdc07f,0x3fffe2ff,0xffffffff,0x744003ff,
    0xffffffff,0xfff300ff,0xffffffff,0xffffffff,0x7ffc43ff,0x3fffa2ff,
    0xfffb003f,0x7fffdcbf,0xffff980e,0x7fffd42f,0x0fffe82f,0x2a0ffff4,
    0x8005ffff,0x3f22fffc,0xfeb9dfff,0x3fe21fff,0x3ffaa4ff,0x7ffe41ff,
    0x013fff66,0xffff1000,0x3fffe63f,0xffffffff,0xffffffff,0xffffc81f,
    0x00004fff,0x00000000,0xffd00000,0xfffe81ff,0x7c00000f,0xb807ffff,
    0xf12fffff,0x000bffff,0x8fffffc8,0x02fffffa,0x2fffff98,0x1fffff20,
    0x07fffff5,0x07ffffe8,0x17ffffdc,0xffffffff,0x1ffffff5,0x3fffa200,
    0xffffffff,0xcccc880e,0xffffcccc,0xccccccdf,0x7fffdc0c,0x3ffffe66,
    0x7fffcc00,0xfffff10f,0x3ffff603,0xbffffd07,0x139fffb0,0x4c1ffff9,
    0xcccfffff,0x3f200ccc,0x3ffe22ff,0xffffffff,0xfffffe84,0x1ffffffe,
    0xf10fffd4,0x800007ff,0x31fffff8,0xffffffff,0xffffffff,0x203fffff,
    0x02dfffda,0x00000000,0x00000000,0x903bbbb6,0x0001dddd,0x7fffff80,
    0xfffffb80,0xbfffff12,0xfff98000,0xffffdaff,0x3fffe006,0xffff105f,
    0xffffa8bf,0x7fff403f,0x7ffdc07f,0x3fffe2ff,0xfff91fff,0xfd1009ff,
    0xffdfffff,0x001dffff,0x1fffff88,0xffffd800,0x13ffff23,0x45ffffd0,
    0x104ffffc,0x209fffff,0x41fffffb,0xfffffff9,0x7fe43fff,0xffffffff,
    0x3fff201f,0x7ffffd42,0xa80effff,0xffffffff,0xe882fffe,0x0001ec85,
    0xfffff880,0xffffff31,0xffffffff,0x3fffffff,0x00000000,0x00000000,
    0x00000000,0xfff00000,0xff700fff,0x3fe25fff,0x80005fff,0xffdffffe,
    0x2e003fff,0x9cffffff,0xffffffd9,0x7ffffd41,0x7ffff403,0x7fffdc07,
    0x3ffffe2f,0x3fffe21f,0x3fa201ff,0xfb4fffff,0x01dfffff,0x7ffffc40,
    0xfff88001,0x3fffa0ff,0xffff701f,0x37fffccb,0x3fffff90,0x3ffffe20,
    0xfffffa85,0xfff83fff,0xffffffff,0x3fff201f,0xffffd882,0x7f5403ff,
    0xff98efff,0x0000204f,0x26666000,0x4cccccc1,0x99999999,0x01999999,
    0x00000000,0x00000000,0x00000000,0xffff0000,0xfff700ff,0x3ffe25ff,
    0xb80005ff,0xffffffff,0x3ee000ff,0xffffffff,0x1fffffff,0x1fffffd4,
    0x1fffffa0,0x5fffff70,0x437ffffc,0x05fffffb,0xffffffd1,0xfffffd89,
    0xff1000ef,0x20003fff,0x264ffffb,0xf885ffff,0x3f60efff,0xff101fff,
    0xfd80dfff,0xc880ffff,0x980ceffe,0xeeeeeeee,0x2e01eeee,0x26201eee,
    0x54c001aa,0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x07fffff8,0x2fffffb8,0x0bfffff1,0xffff1000,0x00bfffff,
    0x7fffffd4,0xffffffff,0x3ea1ffff,0x7403ffff,0x5c07ffff,0x3e2fffff,
    0xfd06ffff,0xf505ffff,0x209fffff,0x2ffffffd,0xfffff100,0x7fec0003,
    0x3ffee0ff,0x7fffe42f,0x0ffffea1,0x1aaaaa88,0x55555440,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x03fffffc,0x97ffffdc,0x05fffff8,0xffff9000,0x2005ffff,
    0xfffffffa,0xffffffff,0xf51fffff,0xe807ffff,0x5c07ffff,0x3e2fffff,
    0xf506ffff,0x2a0dffff,0x6c04ffff,0x2003ffff,0x01fffff8,0x3fffe200,
    0x137fff45,0xfe89ffff,0x000005ff,0xa8800000,0xaaaaaaaa,0xaaaaaaaa,
    0x22aaaaaa,0xaaaaaaa8,0xaaaaaaaa,0xaaaaaaaa,0x00000002,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x807fffff,0x12fffffb,
    0x00bfffff,0x3fffe600,0x2e007fff,0xffffffff,0xffffffff,0xff52ffff,
    0xfe807fff,0x7dc07fff,0x3fe2ffff,0x3f606fff,0xf503ffff,0x3ff6009f,
    0x7ffc4003,0x540001ff,0x3220cccc,0x99951ccc,0x0cccc989,0x00000000,
    0xffffa800,0xffffffff,0xffffffff,0x3fea7fff,0xffffffff,0xffffffff,
    0x007fffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ffc0000,0xffb807ff,0xfff12fff,0x40000bff,0x3ffffffe,0xafffdc00,
    0x9ceffed9,0x2a2fffe8,0x403fffff,0x407ffffe,0x22fffffb,0x206fffff,
    0x0ffffff9,0x3d800950,0xffff8800,0x0000001f,0x00000000,0x80000000,
    0xfffffffa,0xffffffff,0xffffffff,0x3ffffea7,0xffffffff,0xffffffff,
    0x000007ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fffffc0,0x7ffffdc0,0xbfffff12,0x7fdc0000,0x8000ffff,0x744005fb,
    0x7fffd43f,0x7fff403f,0x7ffdc07f,0x3fffe2ff,0x7ffe406f,0x000004ff,
    0xcccc8800,0x0000000c,0x00000000,0x80000000,0xfffffffa,0xffffffff,
    0xffffffff,0x3ffffea7,0xffffffff,0xffffffff,0x000007ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fffffc0,0x7ffffdc0,
    0xbfffff12,0x7fc40000,0x20005fff,0x50510002,0x807fffff,0x407ffffe,
    0x22fffffb,0x406fffff,0x1ffffff8,0x00000000,0x00000000,0x00000000,
    0x20000000,0xbbbbbbb8,0xbbbbbbbb,0xbbbbbbbb,0x2eeeee23,0xbbbbbbbb,
    0xbbbbbbbb,0x000003bb,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__arial_bold_48_latin_ext_x[560]={ 0,3,2,0,1,1,1,1,2,1,0,1,2,1,
3,-1,1,3,1,1,0,1,1,1,1,1,4,3,1,1,1,2,1,0,3,2,3,3,3,2,3,2,0,3,
3,3,3,1,3,1,3,1,0,3,-1,0,0,-1,0,3,-1,0,2,-1,0,1,2,1,1,1,0,1,3,3,
-2,2,3,2,3,1,2,1,2,1,0,2,0,0,0,0,0,1,3,0,1,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,4,1,0,0,0,
3,1,0,-1,0,2,1,1,-1,-1,1,1,0,0,3,2,-1,3,0,1,0,2,1,1,0,2,0,0,0,0,
0,0,-2,2,3,3,3,3,-1,2,-1,-1,-1,3,1,1,1,1,1,2,1,3,3,3,3,-1,3,2,1,1,
1,1,1,1,1,1,1,1,1,1,-1,2,-2,-2,1,3,1,1,1,1,1,1,1,2,2,2,2,0,2,0,
0,1,0,1,0,1,2,1,2,1,2,1,2,1,3,1,-1,1,3,1,3,1,3,1,3,1,3,1,2,1,
2,1,2,1,2,1,3,3,0,0,-2,-2,-1,-1,-1,-1,2,2,2,3,2,3,0,-2,3,2,2,3,2,3,
-1,3,3,3,3,0,0,3,3,3,3,3,3,-2,3,2,1,1,1,1,1,1,1,1,3,2,3,0,3,1,
1,1,1,1,1,1,1,1,0,0,0,0,0,0,3,2,3,2,3,2,3,2,3,2,3,2,0,0,-1,0,
-1,0,0,0,0,0,0,2,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,1,5,5,-1,5,5,5,
5,5,5,5,5,5,5,5,5,5,1,1,5,5,5,5,5,5,5,5,5,5,5,5,5,3,2,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,1,-2,-2,1,
1,3,2,3,2,3,2,3,2,3,2,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,0,1,-2,1,1,1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static signed short stb__arial_bold_48_latin_ext_y[560]={ 38,7,7,6,4,6,6,7,6,6,6,12,32,23,
32,6,7,7,7,7,7,7,7,7,7,7,15,15,11,15,11,6,6,7,7,6,7,7,7,6,7,7,7,7,
7,7,7,6,7,6,7,6,7,7,7,7,7,7,7,7,6,7,6,42,6,15,7,15,7,15,6,15,7,7,
7,7,7,15,15,15,15,15,15,15,7,15,15,15,15,15,15,6,6,6,18,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,38,15,7,6,11,7,
6,6,6,6,6,17,15,23,6,1,6,9,6,6,6,15,7,20,38,6,6,17,6,6,6,15,-1,-1,-1,0,
0,1,7,6,-1,-1,-1,0,-1,-1,-1,0,7,0,-1,-1,-1,0,0,12,5,-1,-1,-1,0,-1,7,6,6,6,
6,7,6,5,15,15,6,6,6,6,6,6,6,6,7,7,6,6,6,7,6,11,14,6,6,6,6,6,7,6,
0,8,-1,6,7,15,-1,6,-2,6,-2,6,-1,6,-1,7,7,7,0,8,-2,6,-2,6,7,15,-1,6,-2,6,
-1,6,-2,6,6,3,-2,-1,7,7,-1,7,0,8,-2,6,7,7,-1,15,7,7,-2,6,7,7,15,-1,-1,7,
7,7,7,7,7,7,7,-1,6,7,15,-1,6,7,6,15,0,8,-2,6,-1,6,6,15,-1,6,7,15,-1,6,
-1,6,-2,6,6,15,-1,6,7,7,-1,7,7,7,-1,7,0,8,-2,6,-2,5,-1,6,7,15,-2,6,-2,6,
0,-1,6,-1,6,-1,6,6,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,6,11,11,6,11,11,11,
11,11,11,11,11,11,11,11,11,11,6,15,11,11,11,11,11,11,11,11,11,11,11,11,11,7,15,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,-1,6,-1,6,-1,
6,-1,6,-1,-1,-1,-1,-1,-1,-1,-1,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,-6,-2,-2,6,-2,6,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11, };
static unsigned short stb__arial_bold_48_latin_ext_w[560]={ 0,8,17,24,21,36,30,8,11,12,16,23,7,12,
6,13,21,14,21,22,23,22,22,21,21,21,7,7,23,23,23,23,41,31,26,27,26,24,22,29,25,8,21,28,
22,30,25,31,24,32,28,26,26,25,30,41,29,30,26,11,13,12,21,26,11,22,23,22,23,22,16,23,21,6,
11,22,6,34,21,24,23,23,16,21,14,22,24,34,24,24,21,15,6,16,23,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,7,22,24,23,24,
6,22,15,33,15,20,23,12,33,26,15,22,14,14,11,21,25,6,13,10,16,20,35,34,36,23,31,31,31,31,
31,31,43,27,24,24,24,24,11,10,15,15,30,25,31,31,31,31,31,21,32,25,25,25,25,30,24,23,22,22,
22,22,22,22,36,22,22,22,22,22,11,11,16,16,24,21,24,24,24,24,24,22,24,22,22,22,22,24,23,24,
31,22,31,22,33,25,27,22,27,22,27,22,27,22,26,30,30,25,24,22,24,22,24,22,24,22,24,22,29,23,
29,23,29,23,29,23,25,21,31,24,16,16,14,14,14,14,10,10,8,6,29,18,25,16,28,22,22,22,11,22,
13,22,14,22,15,26,12,25,21,25,21,25,21,30,27,22,31,24,31,24,31,24,41,38,28,16,28,18,28,17,
26,21,26,21,26,21,26,21,26,14,26,21,26,14,25,22,25,22,25,22,25,22,25,22,25,25,41,34,30,24,
30,26,21,26,21,26,21,13,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,29,22,22,25,22,22,22,
22,22,22,22,22,22,22,22,22,22,36,30,22,22,22,22,22,22,22,22,22,22,22,22,22,33,30,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,31,22,16,16,31,
24,25,22,25,22,25,22,25,22,25,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,31,22,43,36,32,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22, };
static unsigned short stb__arial_bold_48_latin_ext_h[560]={ 0,31,12,33,39,34,33,12,42,42,16,22,13,7,
6,33,32,31,31,32,31,32,32,31,32,32,23,30,24,16,24,32,42,31,31,33,31,31,31,33,31,31,32,31,
31,31,31,33,31,36,31,33,31,32,31,31,31,31,31,40,33,40,18,5,7,24,32,24,32,24,32,33,31,31,
41,31,31,23,23,24,32,32,23,24,32,24,23,23,23,33,23,42,42,42,10,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,0,32,40,33,23,31,
42,42,6,33,17,20,16,7,33,5,15,29,17,18,7,32,40,6,9,17,17,20,34,34,34,32,39,39,39,38,
38,37,31,41,39,39,39,38,39,39,39,38,31,38,40,40,40,39,39,22,35,40,40,40,39,39,31,33,33,33,
33,32,33,34,24,32,33,33,33,33,32,32,32,32,32,31,33,33,33,32,33,24,26,33,33,33,33,42,40,42,
38,31,39,33,41,33,40,33,41,33,41,33,40,33,39,32,31,32,38,31,40,33,40,33,41,33,39,33,41,42,
40,42,41,42,41,45,40,39,31,31,39,31,38,30,40,32,41,41,39,23,32,41,41,42,40,40,23,39,39,40,
40,31,31,31,31,31,31,39,32,40,32,39,32,31,33,33,39,31,41,33,40,33,33,24,39,32,40,32,39,32,
40,33,41,33,41,32,40,33,45,44,39,32,31,32,40,32,39,31,41,33,41,34,40,33,41,33,40,32,40,42,
38,39,32,39,32,39,32,32,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,33,27,27,42,27,27,27,
27,27,27,27,27,27,27,27,27,27,33,24,27,27,27,27,27,27,27,27,27,27,27,27,27,32,24,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,39,33,39,32,40,
33,40,33,40,40,40,40,40,40,40,40,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,44,41,40,33,42,34,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27, };
static unsigned short stb__arial_bold_48_latin_ext_s[560]={ 459,502,412,321,58,339,97,430,382,369,331,
169,502,497,505,175,95,109,406,189,382,212,235,428,258,73,497,489,141,372,365,
165,327,280,417,373,28,134,188,427,254,503,304,312,363,386,469,70,24,131,159,
323,234,139,284,359,401,191,431,178,235,242,235,272,489,72,280,95,1,118,478,
211,97,503,111,49,505,89,1,196,25,49,23,260,495,282,40,420,477,333,455,
394,204,187,439,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,459,504,123,
102,65,444,99,164,477,31,315,193,348,497,241,299,396,1,272,257,477,117,146,
504,463,287,298,214,197,233,376,422,175,295,112,388,451,99,315,183,456,1,481,
33,354,490,226,58,55,483,383,369,431,239,207,147,164,172,478,250,97,325,326,
217,194,171,148,131,88,316,328,346,473,450,427,404,496,369,381,461,398,341,225,
200,175,423,127,305,47,47,24,1,480,139,71,285,1,261,271,310,359,249,95,
275,305,358,419,65,276,381,123,448,137,479,74,168,287,24,312,1,269,287,150,
455,153,410,401,237,123,261,1,28,1,303,222,72,356,495,373,474,490,446,482,
294,501,505,35,493,58,310,47,155,124,407,395,219,369,211,119,1,458,1,124,
173,65,27,87,269,109,351,69,275,80,477,211,298,337,128,413,221,144,405,190,
154,366,173,102,153,84,189,31,191,463,47,1,52,327,230,450,252,224,267,430,
86,333,298,393,268,45,350,243,401,327,290,447,434,420,242,325,53,347,199,369,
391,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,1,24,24,211,
24,24,24,24,24,24,24,24,24,24,24,24,24,111,165,24,24,24,24,24,
24,24,24,24,24,24,24,24,1,389,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,26,457,
80,213,255,478,415,152,441,467,76,1,129,24,198,304,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,67,459,1,250,106,291,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24, };
static unsigned short stb__arial_bold_48_latin_ext_t[560]={ 43,426,553,359,212,252,291,553,1,1,553,
553,523,515,121,291,426,459,426,426,426,426,426,426,426,426,491,491,523,553,523,
426,1,459,459,291,459,491,491,291,459,252,426,459,459,459,459,325,491,252,491,
291,491,426,491,491,491,459,491,130,291,130,553,571,553,523,426,523,426,523,393,
291,491,291,47,491,89,553,553,523,426,426,553,523,393,523,553,523,523,325,523,
1,1,1,553,523,523,523,523,523,523,523,523,523,523,523,523,523,523,523,523,
523,523,523,523,523,523,523,523,523,523,523,523,523,523,523,523,523,43,47,89,
325,553,459,1,1,561,359,553,553,553,515,359,571,553,523,553,553,553,426,89,
80,553,553,553,553,252,252,252,393,212,171,171,212,212,252,491,47,171,212,171,
252,171,130,171,252,459,212,130,89,89,212,212,553,252,89,47,89,212,212,426,
359,359,359,359,393,359,252,523,359,325,325,325,325,325,359,359,393,359,459,325,
325,325,359,325,523,523,325,325,325,291,1,89,1,252,491,212,325,47,291,89,
359,47,325,47,359,89,325,212,359,459,359,252,459,130,291,130,291,47,325,212,
252,47,1,89,1,47,1,47,1,171,212,459,491,212,459,212,491,89,393,1,
47,130,359,393,1,47,1,130,130,553,171,171,130,130,491,491,491,491,459,459,
171,393,171,393,171,393,426,291,291,171,426,47,291,130,291,252,523,171,393,130,
393,171,393,130,291,47,291,47,393,89,291,1,1,171,393,426,393,89,393,171,
459,47,359,47,252,89,291,47,291,89,393,47,1,212,171,393,171,393,171,393,
393,523,523,523,523,523,523,523,523,523,523,523,523,523,523,523,359,523,523,1,
523,523,523,523,523,523,523,523,523,523,523,523,523,359,523,523,523,523,523,523,
523,523,523,523,523,523,523,523,393,523,523,523,523,523,523,523,523,523,523,523,
523,523,523,523,523,523,523,523,523,523,523,523,523,523,523,523,523,523,212,291,
212,393,130,252,130,325,130,130,130,130,130,130,89,89,523,523,523,523,523,523,
523,523,523,523,523,523,523,523,523,523,523,523,523,523,523,523,523,523,523,523,
523,523,523,1,1,89,325,1,252,523,523,523,523,523,523,523,523,523,523,523,
523,523,523,523,523,523,523,523,523,523,523,523,523,523,523,523,523,523,523,523,
523,523,523,523,523,523,523,523,523,523,523,523,523,523,523,523,523,523,523,523,
523,523,523,523,523,523,523,523,523,523,523,523,523,523,523,523,523,523,523,523,
523,523,523,523,523,523,523,523,523, };
static unsigned short stb__arial_bold_48_latin_ext_a[560]={ 191,229,326,382,382,611,496,163,
229,229,268,401,191,229,191,191,382,382,382,382,382,382,382,382,
382,382,229,229,401,401,401,420,670,496,496,496,496,459,420,535,
496,191,382,496,420,573,496,535,459,535,496,459,420,496,459,649,
459,459,420,229,191,229,401,382,229,382,420,382,420,382,229,420,
420,191,191,382,191,611,420,420,420,420,268,382,229,420,382,535,
382,382,344,268,192,268,401,516,516,516,516,516,516,516,516,516,
516,516,516,516,516,516,516,516,516,516,516,516,516,516,516,516,
516,516,516,516,516,516,516,516,191,229,382,382,382,382,192,382,
229,507,254,382,401,229,507,380,275,377,229,229,229,396,382,191,
229,229,251,382,573,573,573,420,496,496,496,496,496,496,687,496,
459,459,459,459,191,191,191,191,496,496,535,535,535,535,535,401,
535,496,496,496,496,459,459,420,382,382,382,382,382,382,611,382,
382,382,382,382,191,191,191,191,420,420,420,420,420,420,420,377,
420,420,420,420,420,382,420,382,496,382,496,382,496,382,496,382,
496,382,496,382,496,382,496,494,496,420,459,382,459,382,459,382,
459,382,459,382,535,420,535,420,535,420,535,420,496,420,496,420,
191,191,191,191,191,191,191,191,191,191,539,382,382,191,496,382,
382,420,191,420,191,420,265,420,329,420,191,496,420,496,420,496,
420,487,497,420,535,420,535,420,535,420,687,649,496,268,496,268,
496,268,459,382,459,382,459,382,459,382,420,229,420,329,420,229,
496,420,496,420,496,420,496,420,496,420,496,420,649,535,459,382,
459,420,344,420,344,420,344,191,516,516,516,516,516,516,516,516,
516,516,516,516,516,516,516,499,516,516,382,516,516,516,516,516,
516,516,516,516,516,516,516,516,586,489,516,516,516,516,516,516,
516,516,516,516,516,516,516,570,498,516,516,516,516,516,516,516,
516,516,516,516,516,516,516,516,516,516,516,516,516,516,516,516,
516,516,516,516,516,496,382,191,191,535,420,496,420,496,420,496,
420,496,420,496,420,516,516,516,516,516,516,516,516,516,516,516,
516,516,516,516,516,516,516,516,516,516,516,516,516,516,516,516,
516,516,496,382,687,611,535,420,516,516,516,516,516,516,516,516,
516,516,516,516,516,516,516,516,516,516,516,516,516,516,516,516,
516,516,516,516,516,516,516,516,516,516,516,516,516,516,516,516,
516,516,516,516,516,516,516,516,516,516,516,516,516,516,516,516,
516,516,516,516,516,516,516,516,516,516,516,516,516,516,516,516,
516,516,516,516,516,516,516,516, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_48_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_bold_48_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_48_latin_ext(stb_fontchar font[STB_FONT_arial_bold_48_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_48_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_bold_48_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_48_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_48_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_48_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_48_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_48_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_48_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_48_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_48_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_48_latin_ext_s[i] + stb__arial_bold_48_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_48_latin_ext_t[i] + stb__arial_bold_48_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_48_latin_ext_x[i];
            font[i].y0 = stb__arial_bold_48_latin_ext_y[i];
            font[i].x1 = stb__arial_bold_48_latin_ext_x[i] + stb__arial_bold_48_latin_ext_w[i];
            font[i].y1 = stb__arial_bold_48_latin_ext_y[i] + stb__arial_bold_48_latin_ext_h[i];
            font[i].advance_int = (stb__arial_bold_48_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_48_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_48_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_48_latin_ext_s[i] + stb__arial_bold_48_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_48_latin_ext_t[i] + stb__arial_bold_48_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_48_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_48_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_48_latin_ext_x[i] + stb__arial_bold_48_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_48_latin_ext_y[i] + stb__arial_bold_48_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_48_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_48_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_48_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_48_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_48_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_48_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_48_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_48_latin_ext_LINE_SPACING
#endif

