// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_50_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_50_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_50_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_bold_50_latin_ext_BITMAP_HEIGHT        635
#define STB_FONT_arial_bold_50_latin_ext_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_arial_bold_50_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_bold_50_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_bold_50_latin_ext_LINE_SPACING          32

static unsigned int stb__arial_bold_50_latin_ext_pixels[]={
    0x00000000,0x88000020,0x0000000c,0x3ffffff5,0xa8000000,0x001aaaaa,
    0x2aaaa000,0x654001aa,0x0f32201c,0x55550000,0x00000055,0x05555550,
    0x00000000,0x00000000,0x2aaa0000,0x000002aa,0x00000000,0x00000000,
    0x26600000,0x001aacba,0x01559990,0x3332e000,0x66440001,0xffff02cc,
    0xffffffff,0xffffffff,0x005fffff,0x300009b1,0x00005ffb,0x3ffffa00,
    0x0000002f,0x7fffffd4,0xf5000000,0x001fffff,0x3205ffb8,0x200004ff,
    0x2ffffffb,0x2a000000,0x03ffffff,0xfffffffd,0xfa800fff,0x1ffe205f,
    0xfffffb00,0x3ffff605,0xffc8002f,0x8001ffff,0x02fffffd,0x07ffffff,
    0x09fffffb,0xfffffb00,0x3fffff6b,0xffffffff,0x0acdefff,0x3f660000,
    0xffffffff,0x3fe002ef,0x000cffff,0x81fffe60,0x42fffffd,0xf05ffff8,
    0xffffffff,0xffffffff,0xffffffff,0x04ffc805,0x7fffc400,0x98000004,
    0x003fffff,0xffe80000,0x00001fff,0x3fffffa0,0xfff98001,0x02fff881,
    0xffff3000,0x0001ffff,0xffff1000,0xfd03ffff,0xffffffff,0xfff8800f,
    0x00bff901,0x2fffffd8,0x5fffffb0,0xffffa800,0x4000efff,0x02fffffd,
    0x07ffffff,0x09fffffb,0xfffffb00,0x3fffff6b,0xffffffff,0xffffffff,
    0x7f5c0003,0xffffffff,0x0cffffff,0x7fffffc0,0xfd0001ff,0x7fec09ff,
    0x7fc42fff,0xffff05ff,0xffffffff,0xffffffff,0x205fffff,0x004ffffa,
    0x0e7fff40,0x7ec00000,0x00003fff,0xffff9800,0x2000001f,0x01fffff9,
    0x3bfff600,0x06fffebc,0xfffd1000,0x00bfffff,0xfffd0000,0xd0dfffff,
    0xffffffff,0xffd000ff,0x3fee617d,0x7fec003f,0xffb02fff,0x44005fff,
    0xffffffff,0x7fec004f,0xfff02fff,0xffb07fff,0xb0009fff,0x36bfffff,
    0xffffffff,0xffffffff,0x06ffffff,0xfffffb00,0xffffffff,0x01dfffff,
    0x7ffffffc,0xffa8006f,0x3ff601ff,0x7fc42fff,0xffff05ff,0xffffffff,
    0xffffffff,0x705fffff,0x009fffff,0x017ffd40,0xff980000,0x000004ff,
    0x5ffffb00,0xfd800000,0x40002fff,0xfffffff8,0x00001fff,0xf95ffff9,
    0x00007fff,0x5ffffdc0,0x744ffffb,0xffffffff,0xff98007f,0xffffffff,
    0xfffd8006,0xfffb02ff,0x7ec005ff,0xfffd9fff,0x3ff6002f,0xfff02fff,
    0xffb07fff,0xb0009fff,0x36bfffff,0xffffffff,0xffffffff,0x5fffffff,
    0x3fffa200,0xffffffff,0xffffffff,0xffff00ef,0x005fffff,0x405fffe8,
    0x42fffffd,0xf05ffff8,0xffffffff,0xffffffff,0xffffffff,0xfffff705,
    0x7fdc0009,0x20000007,0x0005fffd,0xfff30000,0x8000005f,0x002ffff9,
    0xffffb300,0x00003dff,0xe93fffea,0x0000ffff,0x5ffff980,0xe87ffff6,
    0xeeefffff,0xff50006e,0x1dffffff,0xffffb000,0x3fff605f,0xff7002ff,
    0x3ffa27ff,0xffb000ff,0x3fe05fff,0xfd83ffff,0x8004ffff,0xb5fffffd,
    0xffffffff,0xffffffff,0xffffffff,0xfffd1005,0xffffffff,0xffffffff,
    0x3720bfff,0x5ffffffe,0x3fffea00,0x7fffec02,0x7fffc42f,0x55555505,
    0xffffb555,0x555555ff,0xff701555,0x40009fff,0x05fffffc,0x76640000,
    0x00000005,0x000ffff2,0x3fff2000,0xba800003,0x00002cdd,0x11bfffe2,
    0x000dffff,0x1dfffd00,0x877fff44,0x007ffffe,0x7ffec400,0x2e0003ff,
    0x701ccccc,0x00399999,0x98bffff3,0x7005ffff,0x20399999,0x83ffffff,
    0x04fffffd,0xfffffd80,0xdfffffb5,0x55555555,0xffffff75,0xffb00bff,
    0x59ffffff,0x7ffecc43,0x402fffff,0x07fffff9,0x01ffffa0,0x0bfffff6,
    0x00bffff1,0x7ffffdc0,0x3fee0007,0x20004fff,0x05fffffd,0x7f5c0000,
    0x000001df,0x00000000,0x00000000,0x00000000,0x00000000,0xfffffd00,
    0x4c400000,0x00000000,0x00000000,0x7ffc0000,0xffd83fff,0xd8004fff,
    0xfb5fffff,0x400bffff,0xffffffb8,0x3ffea00f,0x800effff,0xfffffff9,
    0xffffd805,0xffff7007,0xffffb009,0xffff885f,0x3fee0005,0x44007fff,
    0xfffffc99,0x2000999d,0x05fffffd,0x3fee0000,0x0000ffff,0x40000000,
    0x06e60002,0x00000000,0x00000000,0xd0000000,0x000fffff,0x00000000,
    0x00000000,0xf0000000,0xb07fffff,0x009fffff,0xbfffffb0,0x17fffff6,
    0x3ffffa00,0x3ffe01ff,0x4003ffff,0xfffffff8,0x7fffe400,0xffff800f,
    0xfffd802f,0x7ffc42ff,0x3ee0005f,0x4007ffff,0xfffffffa,0x006fffff,
    0x17fffff6,0xcfe80000,0x0003fe98,0x654c4000,0x5fa8019a,0x7ffecc00,
    0x9880001d,0x33301bcb,0x31000133,0x03359955,0x00000000,0x07ffffe8,
    0x5d544000,0x440001ac,0x10099999,0x00133333,0x06aee620,0x4cccc400,
    0xfffff009,0xffffb07f,0xffb0009f,0x3ff6bfff,0xb8005fff,0x02ffffff,
    0xbffffff5,0x3ffee000,0x7dc03fff,0x5c00ffff,0xb007ffff,0x885fffff,
    0x0005ffff,0x1fffffee,0xfffff500,0xdfffffff,0x00000000,0xf507fcc0,
    0x8800000f,0xfffffedc,0xfa83efff,0xfd000dff,0x000dffdf,0x7ffffec4,
    0xfff30dff,0x6d4007ff,0xffffffff,0x00002eff,0x7ffffc40,0xffffd01f,
    0xd930000f,0xffffffff,0x6c0017bd,0xb02fffff,0x005fffff,0x3ffff722,
    0x00ceffff,0x5fffffb0,0x3fffffe0,0xfffffd83,0xfffd8004,0xffffb5ff,
    0xff3000bf,0x3605ffff,0x01ffffff,0x06f3be00,0x7ffffdc0,0x7fffec00,
    0xffffb005,0xffff885f,0x3fee0005,0x54007fff,0xffffffff,0x0006ffff,
    0x22000000,0x01bee0ff,0xfffb8000,0xffffffff,0xff33ffff,0xf5003fff,
    0x007fe21f,0x3ffffe60,0x98efffff,0x803fffff,0xfffffffa,0xffffffff,
    0x1000003f,0x03ffffff,0x01fffffa,0xfffff900,0xffffffff,0x3f6005ff,
    0xfb02ffff,0x5005ffff,0xffffffff,0x07ffffff,0x5fffffb0,0x3fffffe0,
    0xfffffd83,0xfffd8004,0xffffb5ff,0xff7000bf,0xf103ffff,0x00bfffff,
    0x3ee00000,0x2200ffff,0x002fffff,0x85fffffb,0x005ffff8,0x3ffffee0,
    0x7ffd4007,0xffffffff,0x9731006f,0x26666037,0xdfb00009,0x0007ff75,
    0xffffb100,0xffffffff,0xffffffff,0x36005fff,0x0027ec4f,0x3fffffea,
    0xbeffffff,0x403fffff,0xfffffffc,0xffffffff,0x0000efff,0x7ffffc40,
    0xffffd01f,0x3fa6000f,0xffffffff,0xffffffff,0x7ffec00d,0xfffb02ff,
    0x7ec405ff,0xffffffff,0xefffffff,0x3ffff601,0xfffff02f,0xffffb07f,
    0xffb0009f,0x3ff6bfff,0xd8005fff,0x80ffffff,0x2ffffffa,0x70000000,
    0x403fffff,0x01fffffa,0x5fffffb0,0x05ffff88,0x3fffee00,0x664c007f,
    0xcefffffe,0x7ec403cc,0x0dffffff,0x07fffff3,0x3ffff600,0x400003ff,
    0xfffffffa,0xffffffff,0xffffffff,0x1bee003f,0x7c4005fd,0xffffffff,
    0xffffffff,0xfd103fff,0xffffffff,0xffffffff,0x0000bfff,0xffffff88,
    0xfffffd01,0xffff7000,0xffffffff,0xffffffff,0x7ffec05f,0xfffb02ff,
    0x3fe605ff,0xffffffff,0xffffffff,0xfffb00ff,0x3ffe05ff,0xffd83fff,
    0xd8004fff,0xfb5fffff,0x400bffff,0xffffffd8,0xfffff705,0x0000003f,
    0x3ffffea0,0x3ffff201,0xfffb000f,0xfff885ff,0x3ee0005f,0x0007ffff,
    0x13ffffee,0xffffe980,0x98efffff,0x003fffff,0xffffff88,0x2600006f,
    0xffffffff,0xffffffff,0xffffffff,0x6ffc4004,0x5c007feb,0xaeffffff,
    0xfffff930,0x3fa07fff,0xffffffff,0xffffffff,0x005fffff,0x3fffe200,
    0xfffd01ff,0xff9800ff,0xffffffff,0xffffffff,0xb01fffff,0x205fffff,
    0x82fffffd,0xfffffff8,0xffffffff,0x06ffffff,0x05fffffb,0x0ffffffe,
    0x13fffff6,0x3ffff600,0xfffffb5f,0x9955555d,0xfffffb99,0x3f203fff,
    0x000fffff,0xff300000,0x7f405fff,0x36007fff,0x442fffff,0x0005ffff,
    0x1fffffee,0xffffb800,0xfff5004f,0xffffffff,0xfffff7df,0xfff70007,
    0x005fffff,0x3ffffa00,0x109befff,0xfffffd73,0x90001fff,0x007fffff,
    0x7fffffc4,0xffff500d,0xff907fff,0x59ffffff,0x7ffecc43,0x002fffff,
    0xfffff100,0x3fffa03f,0x7ff4007f,0xabefffff,0xfffd7510,0x360bffff,
    0xb02fffff,0xb05fffff,0xbfffffff,0x7ffdcc35,0xd84fffff,0xf02fffff,
    0xb07fffff,0x009fffff,0xbfffffb0,0x3ffffff6,0xffffffff,0xffffffff,
    0x3fff604f,0x331007ff,0x33333333,0xff980333,0xff104fff,0x6c00dfff,
    0x442fffff,0x0005ffff,0x1fffffee,0xffffb800,0xfff8804f,0xffffffff,
    0xffffffff,0xffe8003f,0x05ffffff,0xffffb800,0xf7004fff,0x07ffffff,
    0x02fb2200,0xfffff700,0xfffc801f,0x7fd43fff,0x00dfffff,0xffffff98,
    0xf100005f,0x203fffff,0x007ffffe,0x3ffffff2,0xfff9004f,0xfb05ffff,
    0x3605ffff,0x4c2fffff,0x2fffffff,0x7fffec40,0xfffd87ff,0xffff02ff,
    0xfffb07ff,0xfb0009ff,0x3f6bffff,0xffffffff,0xffffffff,0x403fffff,
    0x06fffffe,0xffffffd0,0x1fffffff,0xfffffe80,0xfffff980,0x3fff6005,
    0x7ffc42ff,0x3ee0005f,0x0007ffff,0x13ffffee,0x3ffffee0,0xff930aef,
    0x07ffffff,0xfffff980,0x000fffff,0x3ffffe20,0x3f2002ff,0x07ffffff,
    0xf9000000,0x1009ffff,0x87ffffff,0x3fffffff,0x7fffcc00,0x80000fff,
    0x1ffffff8,0x0fffffd0,0x3ffffe60,0x7d4002ff,0x40ffffff,0x02fffffd,
    0x85fffffb,0x0ffffffe,0x3ffffa00,0x7ffec2ff,0xffff02ff,0xfffb07ff,
    0xfb0009ff,0x3f6bffff,0xffffffff,0xffffffff,0xd801efff,0x006fffff,
    0xfffffffd,0x01ffffff,0x4fffffb8,0x4fffffa8,0x3ffff600,0x6666442f,
    0x3fee0002,0x20007fff,0x04fffffb,0x7fffffc4,0xffff500d,0xc8007fff,
    0xffffffff,0x360003ff,0x04ffffff,0x3ffffee0,0x2003ffff,0xbccdccaa,
    0xffffb001,0x3ffa005f,0x3fea3fff,0x0006ffff,0x7ffffff7,0xfff10000,
    0x3fa03fff,0xfb007fff,0x009fffff,0x3fffff20,0x7fffec4f,0xffffb02f,
    0x7fffdc5f,0x7c4003ff,0x6c5fffff,0xf02fffff,0xb07fffff,0x00bfffff,
    0xbfffffb0,0x3ffffff6,0xffffffff,0x000bdfff,0x1ffffff2,0x7fffff40,
    0xffffffff,0x7fffc400,0xff51ceff,0x6c009fff,0x002fffff,0x7ffdc000,
    0x2e0007ff,0x404fffff,0x0ffffffb,0x7ffffe40,0x3fe2003f,0xffffffff,
    0xff10006f,0x001fffff,0x3fffffea,0x4406ffff,0xfffffffc,0x7404ffff,
    0x001fffff,0x47fffffb,0x1ffffffd,0x2f3be000,0x3e200001,0xd01fffff,
    0x200fffff,0x0fffffff,0xffff1000,0xfffd8fff,0xfffb02ff,0x7fff45ff,
    0xfb0007ff,0xffb0159d,0x3fe05fff,0xfd83ffff,0x8005ffff,0xb5fffffd,
    0x99dfffff,0xffffffdd,0xfb8001bf,0x800fffff,0xfffffffe,0x00ffffff,
    0xffffffc8,0xfffff77f,0x7ffec007,0x000002ff,0x3fffffdc,0xffff7000,
    0xfffc809f,0xff8805ff,0x2003ffff,0xfefffffa,0x002fffff,0xffffff98,
    0xffff3003,0xffffffbf,0x3fffe203,0xffffffff,0xfff00dff,0x32001fff,
    0xf13fffff,0x00bfffff,0x40000000,0x1ffffff8,0x0fffffd0,0xffffff50,
    0xffc80009,0x3f60ffff,0xfb02ffff,0x7fc5ffff,0x0003ffff,0xfffb0011,
    0x3ffe05ff,0xffd83fff,0xd8005fff,0xfb4fffff,0xd10bffff,0x3dffffff,
    0x7fffd400,0xffe801ff,0xffffffff,0xf7000fff,0x32ffffff,0x002fffff,
    0x0bfffff6,0xff700000,0x4000ffff,0x04fffffb,0x17ffffec,0xfffffe80,
    0x3fffa003,0xffffdaff,0xffa8005f,0x8800ffff,0xf9afffff,0x882fffff,
    0xfffffffe,0xffffffff,0x7fffc40e,0xff9000ff,0x3fea7fff,0x0002ffff,
    0x22000000,0x01ffffff,0x00fffffd,0x1ffffff9,0xfff98000,0x3ff62fff,
    0xffb02fff,0x3fe25fff,0x0001ffff,0x7fffec00,0xfffff02f,0xffff907f,
    0xffb000bf,0x3ff69fff,0x3f205fff,0x02ffffff,0xffffff30,0x33331007,
    0xfffff733,0x7fec001f,0xfff97fff,0x7ec003ff,0x0002ffff,0x7fffdc00,
    0x3ee0007f,0x7c04ffff,0x001fffff,0x07fffffb,0x3ffffe60,0xfffffa8f,
    0x7fdc000f,0xe8807fff,0x3fe2ffff,0xfd83ffff,0xffffffff,0xffffffff,
    0xffffff83,0xffffb001,0x3fffee7f,0x000001ff,0x3fe20000,0xfd01ffff,
    0xfb00ffff,0x000fffff,0xffffff10,0x7ffffec7,0xfffffb02,0x3ffffea5,
    0x4000000f,0x02fffffd,0x07ffffff,0x0dfffff9,0xfffffd00,0x3fffff69,
    0x7fffec05,0xff001fff,0x000fffff,0xffffffb8,0xffffb000,0x3fff2fff,
    0x3f6001ff,0x0002ffff,0x7fffdc00,0x3ee0007f,0x7c04ffff,0x001fffff,
    0x07fffff9,0x3fffff20,0xffffff15,0xfffd8007,0xffe806ff,0x7fff43ff,
    0x7ffc44ff,0x710acfff,0x0bffffff,0x05fffffd,0x3fffffa0,0xffffff93,
    0x00000001,0x7fffc400,0xfffd01ff,0xfffd00ff,0x20000fff,0x24ffffff,
    0x02fffffd,0x25fffffb,0x07fffffb,0xffd80000,0xfff02fff,0xff907fff,
    0xf000ffff,0x367fffff,0x405fffff,0xfffffff8,0xfffd800e,0x20003fff,
    0x0ffffffb,0xfffffd80,0xffff77ff,0x7fec005f,0x00002fff,0x7ffffdc0,
    0x3fee0007,0x3e204fff,0x000fffff,0x07fffff9,0x3fffffe0,0x3fffff22,
    0x7fff4006,0x7fec05ff,0xfffe84ff,0x7ffe45ff,0x3ff205ff,0xffd86fff,
    0xf8804fff,0xfb3fffff,0x200fffff,0x99999998,0x00199999,0xfffff880,
    0xffffd01f,0xffffd00f,0x3a0000df,0x365fffff,0xb02fffff,0x325fffff,
    0x007fffff,0xfffd8000,0xffff02ff,0xfff507ff,0x4c005fff,0xb2ffffff,
    0x00bfffff,0xfffffff5,0xffff100b,0x5c000dff,0x00ffffff,0x7fffffcc,
    0xffff50ac,0x7fec007f,0x00002fff,0x7ffffdc0,0x3fee0007,0x7fc05fff,
    0xb001ffff,0x007fffff,0x8ffffff5,0x2ffffff9,0x3ffffe00,0x3fff204f,
    0xffffb05f,0xb97310df,0x7fffcc01,0xffffc87f,0x7fec00ff,0xffd3ffff,
    0x3a00dfff,0xffffffff,0x000fffff,0x7ffffc40,0xffffd01f,0xfffff00f,
    0x360000bf,0x367fffff,0xb02fffff,0x365fffff,0x006fffff,0xfffd8000,
    0xffff02ff,0xfff107ff,0x2001ffff,0x1ffffffe,0x0bfffffb,0x3fffff60,
    0xffc802ff,0x000dffff,0x7ffffec4,0x7ffec00f,0xfffa83ff,0x3f6004ff,
    0x7442ffff,0x20004eee,0x07fffffb,0x3fffee00,0x7ffec06f,0xffd002ff,
    0xfb007fff,0xfd09ffff,0x400bffff,0x04ffffff,0x40dffff9,0x07fffffd,
    0xfffff000,0xfffff30f,0x7ffd40bf,0xffb3ffff,0x3a00dfff,0xffffffff,
    0x000fffff,0x7ffffc40,0xffffd01f,0xfffff00f,0x360000bf,0x367fffff,
    0xb02fffff,0x3a5fffff,0x006fffff,0xfffd8000,0xffff02ff,0x3ffe07ff,
    0xb805ffff,0x27ffffff,0x05fffffd,0xffffff10,0xff8801ff,0x01efffff,
    0xffffff70,0xfff801ff,0xfff306ff,0x7ec009ff,0x7c42ffff,0x20005fff,
    0x07fffffb,0x3fffea00,0x646eceff,0x805fffff,0x3ffffff8,0x7ffffc40,
    0xffffc81f,0xffd000ff,0xff70bfff,0x7f401dff,0x0005ffff,0xfffffb51,
    0x3fff60ff,0x930aefff,0xffffffff,0x3fffff67,0xffffd007,0xffffffff,
    0xf880001f,0xd01fffff,0xd00fffff,0x00dfffff,0x3ffffa00,0x3ffff65f,
    0xffffb02f,0x3ffff65f,0x8000007f,0x02fffffd,0x07ffffff,0x3ffffff6,
    0x36621aef,0x5fffffff,0x17fffff6,0xfffffa80,0xffc804ff,0xbcffffff,
    0xffca9889,0xffffffff,0x3fffe200,0x3fffe03f,0x3ff6005f,0x7fc42fff,
    0x2e0005ff,0x007fffff,0x3ffffe20,0x7d47ffff,0x400fffff,0x3ffffffd,
    0x7ffffdc0,0xfffff106,0x3ff6007f,0x7fd45fff,0x7fc00fff,0x3004ffff,
    0xffffffb7,0x260fffff,0xffffffff,0xffffffff,0xff93ffff,0xd001ffff,
    0xffffffff,0x001fffff,0xfffff880,0xffffd01f,0xffffb00f,0x3e0000ff,
    0x364fffff,0xb02fffff,0x2e5fffff,0x007fffff,0xfffd8000,0xffff02ff,
    0x3fe207ff,0xffffffff,0xffffffff,0x3f61ffff,0x4005ffff,0xfffffffd,
    0xffffd801,0xffffffff,0xffffffff,0x4c07ffff,0x201fffff,0x006ffffd,
    0x0bfffff6,0x00bffff1,0x7ffffdc0,0x7ff40007,0x0fffffff,0x3fffffe6,
    0x3fffea05,0x7f403fff,0x3a03ffff,0x006fffff,0x4ffffff9,0x01fffff9,
    0x7fffffc4,0x3fff6603,0xffffffff,0x3ee07fff,0xffffffff,0xfffdefff,
    0xffff73ff,0xffd003ff,0xffffffff,0x80001fff,0x1ffffff8,0x0fffffd0,
    0xffffff70,0xfff10000,0x7fec7fff,0xffb02fff,0x3fea5fff,0x0000ffff,
    0x7fffec00,0xfffff02f,0x7ffdc07f,0xffffffff,0xffffffff,0x7fffec4f,
    0x7fc4005f,0x006fffff,0xfffffff9,0xffffffff,0xbfffffff,0xffffa801,
    0x3ffee01f,0x3ff6007f,0x7fc42fff,0x2e0005ff,0x007fffff,0x7ffffd40,
    0x7f41ffff,0x0aefffff,0xffffff93,0x7fcc07ff,0x2e00ffff,0x02ffffff,
    0xffffffb8,0x2fffff89,0xfffff980,0xffff902f,0xffffffff,0xb80fffff,
    0xffffffff,0xfffc8eff,0xffff53ff,0x331007ff,0xfff73333,0x80001fff,
    0x1ffffff8,0x0fffffd0,0xffffff50,0xff980003,0x3f62ffff,0xfb02ffff,
    0x3e65ffff,0x001fffff,0xfd803730,0xff02ffff,0xb807ffff,0xffffffff,
    0xffffffff,0xfffd84ff,0xfa8005ff,0x03ffffff,0xffffff50,0xffffffff,
    0x07ffffff,0x3ffffea0,0x3fffe600,0xfffb001f,0xfff885ff,0x3ee0005f,
    0x0007ffff,0xfffffe98,0x7ffcc0df,0xffffffff,0xffffffff,0x3fff203f,
    0x7fc406ff,0xa805ffff,0xecffffff,0x9002ffff,0x01ffffff,0xfffffffb,
    0x3ffe37bf,0xffa807ff,0x0dffffff,0x47fffff9,0x06ffffff,0x7fffdc00,
    0x554c40ff,0x7fffcc03,0xfffd01ff,0xfff300ff,0x80009fff,0x0ffffffd,
    0x0bfffff6,0x97ffffec,0x4ffffff8,0x9dffb000,0xfffffb03,0x3ffffe05,
    0xffea803f,0xffffffff,0xb03fffff,0x00bfffff,0x3fffff20,0xfb3000ff,
    0xffffffff,0x7dffffff,0xffffb800,0x7fffc00f,0xfffb003f,0xfff885ff,
    0x3ee0005f,0x0007ffff,0x002aea20,0xfffffff9,0xfbdfffff,0x2207ffff,
    0xceffffff,0xfccccccc,0x00ffffff,0x7fffffc4,0x003fffff,0xfffffff1,
    0xffffff70,0x3fffe039,0xb751007f,0xffc837bf,0x3ff22fff,0x0003ffff,
    0x3fffffee,0xffffff10,0xfffff980,0xffffd00f,0xffff100f,0x20003fff,
    0x7ffffff9,0x17ffffec,0x2fffffd8,0x3ffffffe,0xffff8000,0x7ffec6ff,
    0xffff02ff,0x6d4007ff,0xffffffff,0x7ec02eff,0x0005ffff,0xfffffff1,
    0xfda8800b,0xefffffff,0xf70000ac,0xd801ffff,0xb005ffff,0x885fffff,
    0x0005ffff,0x00000000,0xfffffc80,0xc8efffff,0x703fffff,0xffffffff,
    0xffffffff,0x07ffffff,0xffffff70,0x64009fff,0x84ffffff,0x04fffffe,
    0x03fffffc,0x7ffec000,0x3ffe62ff,0x20006fff,0x0ffffffb,0x03fffffe,
    0xffffffa8,0xfffffd00,0x3ffff600,0xfb0005ff,0x009fffff,0xfffffd80,
    0x3fffff22,0x7fdc003f,0x7f43ffff,0x1fff802f,0xffc98000,0x00001abf,
    0x05566544,0x51000000,0x003dfffd,0x7fffdc00,0x7ffcc00f,0xcba8807f,
    0xfff880aa,0x0000005f,0x2aaaa000,0xfff7000a,0x64bfffff,0xd02fffff,
    0xffffffff,0xffffffff,0x0dffffff,0xffffff10,0x7d400bff,0x40ffffff,
    0x0ffffff8,0x3ffffe20,0x0009a887,0x1fffffe8,0x7ffffff4,0x7ec4000d,
    0x3a0fffff,0x202fffff,0x07fffffc,0x01fffffa,0x7fffffc4,0x7fdc003f,
    0x000fffff,0x7fffff40,0x7fffff41,0xfff3000f,0xff81ffff,0x7ffc401f,
    0xff500000,0x4c00000d,0x0dffffff,0xfd800000,0x01efffff,0xffff9000,
    0xfffd001f,0xfff8803f,0x3e20dfff,0x20005fff,0x02aaaaa8,0xffff8800,
    0x36e2002f,0x7e41bdfe,0xf982ffff,0xffffffff,0xffffffff,0x2fffffff,
    0xfffffc80,0xff7002ff,0x505fffff,0x80dfffff,0x87fffffb,0x3eeffffa,
    0x7ffffc40,0xfffff987,0xc8801eff,0xffffffff,0x3fffff60,0xfffff00e,
    0x7fff40bf,0x3fee007f,0x00dfffff,0x7ffffec4,0x440002ff,0x41ffffff,
    0xfffffffa,0x7fff4c02,0x7fc44fff,0x3ffd401f,0xdff90000,0x7cc00000,
    0x06ffffff,0xcde80000,0x007ffffd,0xfffffd00,0x3fffee00,0x7fffc403,
    0x3fe26fff,0x260005ff,0x007fffff,0xfffff880,0xfb000002,0xf903ffff,
    0xffffffff,0xffffffff,0xbfffffff,0xfffff100,0x5103bfff,0xfffffffb,
    0x3fffe60d,0xfff302ff,0xff10ffff,0x401fffff,0x06fffffd,0xfffffff9,
    0x7311379f,0xfffffff9,0x7fe41fff,0x889effff,0xffffffe9,0x3ffffa03,
    0x7fff4007,0x0acfffff,0xfffff951,0x2000dfff,0xffffebaa,0xfffd80ff,
    0x11adffff,0xffffff93,0xfffa83ff,0x0fffdc03,0xfffd8000,0x26000000,
    0x1ffffda9,0x44000000,0x0002fffe,0x37ffffdc,0x6ffff880,0xffca9980,
    0xffff11ff,0x7fcc000b,0x80007fff,0x02fffff8,0xd0001351,0xf03fffff,
    0xdddfffff,0xdddddddd,0xffffffdd,0xfffa801f,0xffffffff,0xffffffee,
    0x101fffff,0x7dffffff,0x3ffff261,0xfe80ffff,0xbdffffff,0xffffebaa,
    0x3ffa02ff,0xffffffff,0xffffffff,0x47ffffff,0xfffffff8,0xffffffff,
    0x7ff407ff,0x6eeeefff,0x3ffffe60,0xffffffff,0xffffffff,0xff0001ff,
    0xffffffff,0x3ffffe60,0xffffffff,0xffffffff,0x05fffa83,0x0027ffdc,
    0x02fffd80,0x3fe00000,0x000002ff,0x04fffc80,0xffffee80,0x32005fff,
    0x4001ffff,0xff12ffff,0x4c000bff,0x007fffff,0xfffff880,0xdffff502,
    0xfff8807d,0xfffa87ff,0xa8001fff,0x03ffffff,0x3fffffea,0xffffffff,
    0xffffffff,0x7fec02ff,0xffffffff,0xffffffff,0xffffb81f,0xffffffff,
    0x05ffffff,0x7ffffec4,0xffffffff,0xffffffff,0xfffb80df,0xffffffff,
    0x403fffff,0xfffffffe,0x7fd407ff,0xffffffff,0xffffffff,0x30002fff,
    0xffffffff,0x7ffd40bf,0xffffffff,0xffffffff,0x9ffff304,0x7fd42a23,
    0x00531cff,0x17dfff90,0x200000a6,0x000ffffb,0x7fc40000,0xff8002ff,
    0x2fffffff,0x3fffe200,0x3ffee004,0xbffff11f,0x7ffcc000,0x880007ff,
    0x100fffff,0x3fffffff,0x7ffffec0,0xfffffd85,0x3ffe0006,0xff306fff,
    0xffffffff,0xffffffff,0x01bfffff,0xffffff10,0xbfffffff,0x207fffff,
    0xfffffffc,0xffffffff,0xff9000ff,0xffffffff,0xffffffff,0xffe807ff,
    0xffffffff,0xe804ffff,0xffffffff,0xffd8807f,0xffffffff,0xdfffffff,
    0x3fea0000,0x0fffffff,0x7fffec40,0xffffffff,0x7c05ffff,0xffffffff,
    0xffffff11,0xa8001fff,0xffffffff,0x99b50006,0xbfffffd9,0x3a200000,
    0xfffecccc,0xff8000ef,0x06ffffff,0x0ffffb80,0x3f73336a,0x3e25ffff,
    0x20005fff,0x06fffff9,0xdfb33000,0xfffffe80,0xecbabdff,0x43ffffff,
    0x3ffffff8,0x3fff2000,0x7fc42fff,0xffb8afff,0xffffffff,0x002fffff,
    0x7fffffd4,0xf88effff,0x3206ffff,0xffffffff,0x0dffffff,0x7ffed400,
    0xffffffff,0x003effff,0xffffff91,0x07ffffff,0x3fffffa0,0x2007ffff,
    0xfffffffa,0xffffffff,0xffc80002,0x01ffffff,0x3ffffee0,0xffffffff,
    0xfffa802e,0x2e1fffff,0xffffffff,0xfffd8000,0x0006ffff,0xfffffff7,
    0x00000bff,0x7fffffcc,0x0000efff,0xdfffffff,0x3ffa0003,0x3fffea3f,
    0x445fffff,0x0005ffff,0x17ffbba2,0x3ffa8000,0x7ffffdc0,0xffffffff,
    0xb86fffff,0x00ffffff,0x3fffe600,0x7ffcc5ff,0x7ff5c43f,0xdeffffff,
    0xfb10000b,0x87dfffff,0x01fffffe,0x3ffffee2,0x01deffff,0x7ffe4400,
    0xefffffff,0xfd30001b,0x9fffffff,0x7fff4001,0x07ffffff,0x7ff6dc40,
    0xbdefffff,0xffb00000,0x0039dfff,0xffffb930,0x005dffff,0xeffffea8,
    0x7fffdc0c,0x320004ef,0x03dfffff,0xfffff500,0x000039df,0xffffe880,
    0x40002dff,0x02efffff,0x3fffd400,0xfffffff5,0xffff1039,0x3f60000b,
    0xd880003f,0xfc801fff,0xffffffff,0xffffffff,0xfffffe81,0xffe80005,
    0x7440ffff,0xba98804f,0x8800001a,0x00009ba9,0x26aa6200,0x22000001,
    0x09aacaa9,0x5d4c0000,0x000009aa,0x54c00000,0x000001ab,0x000554c4,
    0x2aaea200,0x9a980001,0x001a9800,0x006a6200,0x00131000,0x4c400000,
    0x55400000,0x200000aa,0x9880aaaa,0x35555000,0xfff70000,0xff100001,
    0x7fe4003f,0xffffffff,0x980effff,0x02ffffff,0xffffb800,0x003883ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfd300000,0x400007ff,0xb88000cd,0xfffffffe,0x3f602dff,0x000fffff,
    0xfffff880,0x0000007f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x1fffcc00,0x00000000,0x33555310,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x007ba000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00100000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3332e000,0x260000cc,0x002ccccc,0x32eaa200,
    0x000009aa,0xcba98800,0x00009aac,0x95500000,0x90000357,0x00799999,
    0x55dd4c40,0x00000009,0xcccc8800,0x00000002,0x654c0000,0x799930cc,
    0x33332000,0x6666540c,0x66540002,0x00002ccc,0x05555550,0x00000000,
    0x00000000,0x99930000,0x00000799,0xfffffc80,0xfffc8006,0x400effff,
    0x6ffffffa,0x3ffea000,0x440005ff,0xffffffec,0x000bffff,0xffd71000,
    0xffffffff,0x000017df,0xffff7000,0x00bdffff,0xdfffff50,0xffb10001,
    0x19ffffff,0xfffffc80,0xfff98006,0xffff15ff,0x3ff6000b,0x0003ffff,
    0xffffa800,0xffff11ff,0xffff0003,0xffffc83f,0x3fe20005,0x000fffff,
    0x7fffdc00,0xe80002ff,0xfb1fffff,0xffffffff,0xffffffff,0xf8ffffff,
    0x000fffff,0xfffd0000,0xf1005fff,0xffffffff,0x7ffe40bf,0x7dc006ff,
    0x0fffffff,0x7ffffc40,0x50003fff,0x00bfffff,0x7ffffdc0,0xffffffff,
    0x100003ff,0xffffffb5,0xffffffff,0x0007dfff,0x3ffea000,0x4fffffff,
    0xffffe800,0xffb8000f,0xffffffff,0x3ff204ff,0x4003ffff,0x15fffff9,
    0x000bffff,0xfffffff1,0x4400000d,0xfffffffe,0x01bfff61,0x07ffffe0,
    0x00bffff9,0x7fffff40,0x200005ff,0xfffffff9,0x7f40000f,0xffb1ffff,
    0xffffffff,0xffffffff,0xff8fffff,0x0000ffff,0xffffc800,0x4400ffff,
    0xffffffff,0x3ff205ff,0x2e006fff,0xffffffff,0xffffd801,0x001ffffe,
    0x5fffffa8,0xffffb000,0xffffffff,0x00dfffff,0xfffffa80,0xffffffff,
    0xffffffff,0x000000df,0x3fffffe6,0x003fffff,0x0fffffcc,0x7fffd400,
    0xffffffff,0xfff903ff,0x4001ffff,0x15fffff9,0x000bffff,0xfffffff7,
    0x2000005f,0xfffffffc,0x3fffe61f,0x7fffc003,0x7fffe41f,0xfff70005,
    0x07ffffdf,0x3fffa000,0x005fffff,0x7fffff40,0xffffffb1,0xffffffff,
    0xffffffff,0xffffff8f,0x4c000000,0xfffeffff,0x7ffc405f,0x5fffffff,
    0x3fffff20,0xffff5006,0x7003ffff,0xff17ffff,0xf5000dff,0x000bffff,
    0xfffffff9,0xffffffff,0x0009ffff,0xffffffb1,0x9599ddff,0xffffffdb,
    0x00005fff,0x3fffff20,0x01ffffff,0x0ffffec0,0x7fffc400,0xffffffff,
    0xfc82ffff,0x05ffffff,0x3ffffe60,0x0bffff15,0xfffffd00,0x0000bfff,
    0xffffff10,0xffe83fff,0x3fe000ff,0x7fe41fff,0xf98005ff,0xffe8dfff,
    0x640000ff,0xffcaffff,0x3a0003ff,0xfb1fffff,0xffffffff,0xffffffff,
    0xf8ffffff,0x000fffff,0x3ffe2000,0xffffd8ef,0x3fffe202,0x05ffffff,
    0x1bfffff2,0x3ffffe60,0xf9801fff,0x3fea5fff,0x7d4004ff,0x4005ffff,
    0xfffffff8,0xfffeeeff,0x02ffffff,0x3ffffa60,0x22001dff,0xffffffd9,
    0xff800004,0xedefffff,0x7fc4007f,0xf70002ff,0x339fffff,0xdfffffd9,
    0xffffff90,0x3e6005ff,0xff15ffff,0xf9800bff,0xffffffff,0x6400000f,
    0xdeffffff,0x7fffdc0c,0x33332004,0x6666540c,0x7ff44002,0xffff30ef,
    0x7fd4000d,0x3fffa4ff,0xffd0001f,0x3ff63fff,0xffffffff,0xffffffff,
    0x7fc7ffff,0x0000ffff,0x3ffff600,0x03ffffa1,0x7f777744,0x3205ffff,
    0x406fffff,0xfffffff9,0xddd9001f,0xeeeeb81b,0x26662001,0x7e400099,
    0x01dfffff,0xffffffd5,0x3ffea00f,0x0000beff,0x7fffff4c,0x3e200002,
    0x083fffff,0x1fffe400,0xffff9000,0xffff309f,0xfffc81ff,0x00ffffff,
    0x5fffff98,0x00bffff1,0xffffffc8,0x0003ffff,0x7ffffec0,0x7fffc403,
    0x0000000f,0x77775c00,0x17777541,0x7fffc400,0x37fffc46,0xccccb800,
    0xfffffb0c,0x5555555d,0x55555555,0xfffff855,0x3000000f,0xe887dddd,
    0x22004eee,0x205fffff,0x06fffffc,0x3fffffe2,0x000001ff,0x00000000,
    0x0bffffff,0xfffffd10,0xfff8801f,0x800005ff,0x01fffffb,0xffff5000,
    0x000001ff,0xfffe8000,0xfffd03ff,0xfffc85df,0x04ffffff,0x5fffff98,
    0x00bffff1,0x7fffffc4,0x006fffff,0x7fffec00,0xffffb007,0x00000007,
    0x00000000,0x00000000,0x7ffffec0,0xff800005,0x0000ffff,0x00000000,
    0x17ffffe2,0x6fffffc8,0xfffffd10,0x000005ff,0x00000000,0x3fffffe2,
    0xffff5000,0xffe805ff,0x000003ff,0x01bfffe6,0x7fffdc00,0x0000005f,
    0xffffc800,0x0135306f,0x7fffffe4,0x4c01ffff,0xf15fffff,0x5400bfff,
    0xffefffff,0x0002ffff,0x1bffffa0,0x37fffd40,0x00000000,0x00000000,
    0x00000000,0x0bfffffb,0xffff0000,0x000001ff,0x44000000,0x205fffff,
    0x86fffffc,0xffffffe8,0x9880002f,0x10001999,0x26037973,0x3e209999,
    0x001fffff,0x13fffffe,0x02ffffc8,0x441bcb98,0xf7099999,0x30005fff,
    0xffffb333,0x1013339f,0x00133333,0x81999998,0x5ffffffb,0x3fff2000,
    0x6fffffff,0x7ffffcc0,0x0bffff15,0x7fffff40,0x5fffffda,0x3ffa0000,
    0xff1005ff,0x99885fff,0x4c000999,0x26219999,0x40009999,0x00199999,
    0x5565d544,0x98800009,0x3ff61999,0x00005fff,0x0ffffff8,0x26666620,
    0x97310009,0x26666037,0x3ffe2009,0x3ff205ff,0xffe86fff,0x002fffff,
    0xfffffd00,0x7fec4003,0x30dfffff,0xf87fffff,0x005fffff,0x02666aaa,
    0x01ffffd4,0xffffffb5,0x3fffee3f,0x1bfff62f,0xfffff300,0xffffffff,
    0xffff50df,0x3ea001ff,0xfd06ffff,0x03dfffff,0xfffff900,0x05ffffff,
    0xafffffcc,0x005ffff8,0x1ffffff3,0x1ffffff5,0x3ffa0000,0x3f6005ff,
    0x7fd45fff,0x5000ffff,0x54dfffff,0x00ffffff,0xdfffff50,0xfffd9100,
    0x7fffffff,0x3ffa0001,0xfffb1fff,0x00000bff,0x01ffffff,0x3fffffea,
    0x7fec401f,0x30dfffff,0x407fffff,0x05fffff8,0x1bfffff2,0xfffffffb,
    0x7f400007,0x3001ffff,0xffffffff,0xfff31dff,0xfffd87ff,0x0002efff,
    0x06ffff80,0x3fffffee,0xffdaffff,0x3fe20fff,0x3ee001ff,0xffffffff,
    0x884fffff,0x02ffffff,0x7fffffb0,0x3ffffe60,0x64003fff,0xffffffff,
    0xf300ffff,0x3e2bffff,0xf9005fff,0x3e2bffff,0x003fffff,0xbffffd00,
    0x7fffdc00,0x7ffffc47,0xfffb002f,0x7ffc47ff,0xfb002fff,0xb807ffff,
    0xffffffff,0x3fffffff,0xffffe800,0xfffffb1f,0xff00000b,0xf301ffff,
    0x03ffffff,0xffffff98,0xf98effff,0x2203ffff,0x205fffff,0x26fffffc,
    0xfffffffd,0x7f400003,0xa801ffff,0xffffffff,0xffbeffff,0x7fe43fff,
    0xdfffffff,0x7d40000a,0xff700fff,0xffffffff,0xdfffffff,0x009fff70,
    0x7fffffe4,0xffffffff,0xfffff903,0xffff100b,0x7ff401ff,0x1effffff,
    0xfffff900,0x9ffffffb,0x3ffffe60,0x0bffff15,0x3fffffe0,0x3fffff22,
    0xfff00006,0x7d4009ff,0x7e41ffff,0x8805ffff,0x40ffffff,0x05fffffc,
    0xffffff88,0x3ffff600,0xffffffff,0x006fffff,0x8ffffff4,0x05fffffd,
    0xffff8000,0x7ff440ff,0x5402ffff,0xffffffff,0xffbeffff,0x3e203fff,
    0x3205ffff,0xf96fffff,0x0bffffff,0xfffd0000,0xff8803ff,0xffffffff,
    0xffffffff,0x7ff443ff,0xffffffff,0xd8001bef,0xff903fff,0x9557ffff,
    0xffffffff,0x0dfff30b,0x7fffff40,0xffffffff,0xffff301f,0xffa801ff,
    0x3f606fff,0xffffffff,0xffc804ff,0xfffeafff,0xff981fff,0xfff15fff,
    0xfff500bf,0xfff98fff,0x80002fff,0x004fffff,0x13ffffe6,0x1ffffff3,
    0xfffffa80,0xfffff986,0x7ffd400f,0x3ff206ff,0xffffffff,0xffffffff,
    0x3ffa004f,0xfffb1fff,0x99999dff,0x99999999,0xffff0799,0x7ff441ff,
    0x4402ffff,0xffffffff,0xffffffff,0x2203ffff,0x205fffff,0xbefffffc,
    0xffffffff,0x7400001f,0x401fffff,0xeffffffb,0xffff930a,0xf307ffff,
    0xffffffff,0x39ffffff,0x1ffff100,0xbfffff70,0xfffff501,0xfff107ff,
    0x5555400f,0xadfffffd,0x3fa00aaa,0x6c02ffff,0xb03fffff,0xffffffff,
    0x03dfffff,0x57ffffe4,0x6ffffff9,0x5fffff98,0x00bffff1,0x09fffffb,
    0x0bfffffd,0xffff8800,0x3fe2003f,0xffe86fff,0x7ec02fff,0xfd03ffff,
    0xd805ffff,0x103fffff,0xffffffff,0xffffdddf,0x005fffff,0x47fffffa,
    0xfffffffd,0xffffffff,0x86ffffff,0x20ffffff,0x3ffffffd,0xfffffb80,
    0xff930aef,0x07ffffff,0x2fffffc4,0xffffff90,0xffffffff,0x80000dff,
    0x01fffffe,0x3fffffe2,0xffff500d,0x3ee07fff,0xffffffff,0xefffffff,
    0x17ffee00,0x17ffffe2,0xffffffb0,0x03fffa03,0x7fffec00,0x7fdc003f,
    0x3e205fff,0xd80fffff,0xfdbfffff,0xffffffff,0xfffff902,0x3fffff25,
    0x7fffcc3f,0xbffff15f,0xfffff880,0xffffc81f,0x2a0000ff,0x002fffff,
    0x07fffffc,0x17ffffee,0xffffff88,0xfffff700,0x7fffc40b,0xfff900ff,
    0x2a03bfff,0x7ffffffe,0xfffffd00,0x3fffff63,0xffffffff,0xffffffff,
    0xffffff86,0xffffffb0,0xffff1009,0x3ea01bff,0x03ffffff,0x17ffffe2,
    0xffffffc8,0xffffffff,0x00003fff,0x07fffffa,0xffffffb8,0x7fffe400,
    0x3fa603ff,0xffffffff,0x1effffff,0x705fffd0,0x801fffff,0x07fffffa,
    0x0007fff6,0x0ffffff4,0x3fffe200,0xfff500ff,0x3ffe0bff,0x3ffee3ff,
    0x82ffffff,0x22fffffc,0x0ffffffe,0x57ffffe6,0x405ffff8,0x06fffffb,
    0x7ffffff1,0x7ffec000,0x7f4000ff,0x7c41ffff,0x500fffff,0x40bfffff,
    0x0ffffff8,0xbfffff50,0x7fffffc0,0xfffe8805,0xfe800fff,0xffb1ffff,
    0xffffffff,0xffffffff,0xfff0dfff,0xfff91fff,0x2e009fff,0x00ffffff,
    0x7fffffe4,0x3fffe203,0x3fff205f,0xffffffff,0x0fffffff,0xfffd0000,
    0x7fe403ff,0xf8804fff,0x803fffff,0xffffffeb,0xffffffff,0x0ffff81f,
    0x27ffffc4,0x7ffffc40,0x07fff606,0x3fffe200,0xfd8000ff,0xfb02ffff,
    0xf305ffff,0xe981ffff,0xffffffff,0x7ffffe41,0x3ffffea2,0x3fffe65f,
    0xbffff15f,0xfffffe80,0x3ffffa03,0xff50006f,0xb000ffff,0xb03fffff,
    0x205fffff,0x02fffffd,0x17ffffec,0x2fffffd8,0xffffff10,0x3ffea001,
    0xfe802fff,0xffb1ffff,0xffffffff,0xffffffff,0xfff0dfff,0xffff9fff,
    0x7e400bff,0x8804ffff,0x03ffffff,0x17ffffe2,0xffffffc8,0xffcbffff,
    0x0005ffff,0x3fffffd0,0x7ffffec0,0xffffd002,0x75c4007f,0xffffffff,
    0x221fffff,0xffb85fff,0xf8800fff,0x3e04ffff,0x98000fff,0x007fffff,
    0xbfffff50,0x1fffffe0,0x03ffffdc,0xfffffff9,0x7fffe41f,0x7fffec2f,
    0xffff32ff,0x3fffe2bf,0x3fffe605,0x3fee00ff,0x1002ffff,0xffffff97,
    0xfff90007,0xfff505ff,0x3ffe0bff,0xffa807ff,0xfff05fff,0x7fc40fff,
    0x2001ffff,0x04ffffff,0x1fffffe8,0xdffffffb,0xdddddddd,0x09dddddd,
    0xffffffff,0x001fffff,0x17ffffec,0xfffffe80,0x3fffe203,0x3fff205f,
    0x14ffffff,0x7fffffff,0xfffd0000,0x7ff403ff,0xfb001fff,0x0007ffff,
    0x3fffb2a2,0x25ffffff,0xfe84fff9,0xf3006fff,0x2205ffff,0x50007fff,
    0x00bfffff,0x3ffffe20,0x7fffd40f,0xffff904f,0x7ffd405f,0x3f24ffff,
    0x7c42ffff,0xf36fffff,0x3e2bffff,0x3f205fff,0x4406ffff,0x05ffffff,
    0xffffffb0,0x3ee000df,0xf883ffff,0x540fffff,0x804fffff,0x0ffffff8,
    0x27ffffd4,0x3fffffe0,0x26aaa005,0xffe80099,0xfffb1fff,0x00000bff,
    0xffffffff,0x009fffff,0x0ffffff4,0xfffffd80,0x3fffe203,0x3fff205f,
    0x5c4fffff,0x0fffffff,0x7fff4000,0x3ffe01ff,0xf9000fff,0x0007ffff,
    0x3ffff220,0xff50ffff,0xfffff09f,0x3ffee00b,0xfff501ff,0x3ff2000d,
    0x20004fff,0x42fffffc,0x01fffffd,0x0bfffff7,0xfffffe88,0x3fffff26,
    0xfffffb82,0xfffff9bf,0x0bffff15,0x3fffffe2,0xccccccce,0xfffffffc,
    0xffffd800,0x2e0005ff,0x903fffff,0xd85fffff,0x001fffff,0x85fffff9,
    0x01fffffd,0x7fffffec,0x4000002e,0xb1fffffe,0x00bfffff,0xfffff000,
    0xffffffff,0x3ffe003f,0xf9000fff,0x4407ffff,0x205fffff,0xfffffffc,
    0xfffffd04,0xfe8000bf,0xf101ffff,0x001fffff,0x0ffffff2,0xffb10000,
    0x3ee5ffff,0x7ffc43ff,0xff9004ff,0x7fe40fff,0xffb0004f,0x40005fff,
    0x45fffff9,0x206fffff,0xeffffffa,0x3fffa200,0xffff90ff,0x3fffa05f,
    0xffffafff,0xbffff15f,0x3ffffee0,0xffffffff,0xffffffff,0xfffd803f,
    0x20000fff,0x03fffffa,0x8bfffff3,0x006fffff,0x17ffffe6,0x00dfffff,
    0xfffffff9,0x00015bff,0xfffffe80,0xbfffffb1,0xfff00000,0xffffffff,
    0xf100dfff,0x001fffff,0x0ffffff2,0x5fffff88,0x3fffff20,0x3ffe604f,
    0x0002ffff,0x07fffffa,0x1ffffff8,0xfffffb00,0x3bb72e27,0x7fcc000f,
    0xff93ffff,0xffff985f,0xfffb002f,0x7fff40df,0xffff0003,0xe80003ff,
    0xf50fffff,0xf807ffff,0x1effffff,0x3ffffea0,0x5fffff91,0x3ffffe60,
    0x5fffffff,0x20bffff1,0xfffffffe,0xffffffff,0x6fffffff,0xfffffd80,
    0xf50000ef,0x7407ffff,0xf50fffff,0x8007ffff,0x50fffffe,0x007fffff,
    0xffffffd1,0x37dfffff,0xfffd0000,0x3fff63ff,0x800005ff,0xffffffff,
    0x2ffffffe,0xffffff80,0xffffb001,0x7ffc407f,0x3ff205ff,0xfd806fff,
    0x00ffffff,0xfffffd00,0x7ffff403,0xfffd002f,0x3ffe27ff,0xe8002fff,
    0xf74fffff,0xfffa85ff,0xff8801ff,0xff504fff,0x3e2000df,0x0007ffff,
    0x2fffffb8,0x01fffff9,0xffffffb8,0xfff103ff,0x7fffe4ff,0x3fff202f,
    0xffffffff,0x0bffff15,0xfffffff3,0xffffffff,0xffffffff,0xfffd805f,
    0x0006ffff,0x05fffff5,0x97ffffdc,0x00fffffc,0x7ffffdc0,0x1fffff92,
    0x3fffe600,0xffffffff,0x0001cfff,0x23fffffd,0x05fffffd,0xffff8000,
    0xffb8ffff,0xfe806fff,0xd002ffff,0x407fffff,0x05fffff8,0x1bfffff2,
    0x3ffffe20,0xfd0005ff,0x6c03ffff,0x804fffff,0x3ffffff8,0x17fffffa,
    0x3ffffe00,0x87fff53f,0x01fffffa,0x2fffffc8,0x02ffff88,0xfffff300,
    0xff10000d,0x3ffebfff,0xffb005ff,0x1dffffff,0x25ffffa8,0x02fffffc,
    0x3fffffe2,0xf15fffff,0xff90bfff,0xffffffff,0xffffffff,0x0bffffff,
    0xffffda88,0xfb8003ff,0x2202ffff,0xff5fffff,0x1000bfff,0x3ebfffff,
    0x4005ffff,0xfffffffb,0xffffffff,0x7f4000ef,0xffb1ffff,0x0000bfff,
    0xfffffff0,0x7fffff43,0x7fffec03,0xfff8804f,0x3e203fff,0x3205ffff,
    0x006fffff,0xfffffff9,0xfffd0005,0x7fe403ff,0x6c00ffff,0x23ffffff,
    0x2ffffffc,0x3fffea00,0x9fff32ff,0x2fffff88,0x7ffffc40,0x6fffd80f,
    0x3ffee000,0xb00005ff,0xff5fffff,0x6c005fff,0xffffffff,0xffffd13f,
    0x7ffffe47,0x7fffd402,0x15ffffff,0xff0bffff,0xddddffff,0xdddddddd,
    0xfffffffd,0x3ffea001,0xfb8007ff,0x6c01ffff,0xffafffff,0xb0002fff,
    0xff5fffff,0x30005fff,0xfffffffd,0xffffffff,0x7ff4003d,0xfffb1fff,
    0x00000bff,0x83ffffff,0x0ffffffa,0x3fffff20,0x7ffec00f,0x3e203fff,
    0x3205ffff,0x006fffff,0xfffffff1,0xffe8001f,0x3e601fff,0x205fffff,
    0xfffffffa,0x3ffffea3,0xff9801ff,0xf30fffff,0xffff0bff,0xfffc80bf,
    0xfffd87ff,0x3f20002f,0x0003ffff,0xffffff50,0x001fffff,0xffffffc8,
    0xfffedfff,0x3fff20ef,0xffe802ff,0x5fffffff,0xa8bffff1,0x01ffffff,
    0xfffffa80,0x3ff6003f,0x64000fff,0x400fffff,0xfffffffa,0x0000ffff,
    0xfffffff5,0x0001ffff,0x7fffff5c,0xffffffff,0xffd001ff,0x3ff63fff,
    0x00005fff,0x0ffffff8,0x5fffffe8,0x3ffffe60,0x3ffea05f,0x2203ffff,
    0x205fffff,0x06fffffc,0x3ffffea0,0x7f4004ff,0x6c01ffff,0xaeffffff,
    0xfffff930,0xffe87fff,0x09cfffff,0x3ffff262,0x3fe25fff,0x7fff40ff,
    0xfff701ff,0x7f44dfff,0x40005fff,0x02fffffd,0x3fffe000,0x05ffffff,
    0xfffff500,0xffffffff,0xffffc81d,0xfff9802f,0x15ffffff,0xfd8bffff,
    0x0006ffff,0x1bfffffe,0xfffff980,0x7ffec002,0xffff006f,0x0bffffff,
    0xfffff800,0x005fffff,0xfffd7100,0xffffffff,0xffd003ff,0x3ff63fff,
    0xaaaaefff,0xaaaaaaaa,0x3e1aaaaa,0x980fffff,0x01ffffff,0x3ffffff6,
    0xfff930ae,0x407fffff,0x05fffff8,0x1bfffff2,0xfffffd00,0x7f4003ff,
    0x4c01ffff,0xffffffff,0xffffffff,0x7cc3ffff,0xffffffff,0xffffffff,
    0x6c1fffff,0x7fcc3fff,0xa88bffff,0xfffffffd,0xfffffdcf,0xfff80005,
    0x00000fff,0x3ffffff2,0x20002fff,0xffffffd8,0xc80fffff,0x002fffff,
    0xfffffff9,0x3fffe2bf,0x3ffffe25,0x3f20003f,0x002fffff,0x07fffff1,
    0x4fffff80,0xfffff900,0x0005ffff,0xffffffc8,0x00002fff,0xfffeca88,
    0x05ffffff,0x1fffffe8,0xfffffffb,0xffffffff,0xffffffff,0x7fffffc9,
    0xfffffb00,0x7fffcc0d,0xffffffff,0xffffffff,0x3fffe203,0x3fff205f,
    0x7cc006ff,0x06ffffff,0x3fffffa0,0xffffb801,0xffffffff,0x3fffffde,
    0xffffffb8,0xffffffff,0x83ffffff,0xfd86fffa,0xffffffff,0xffffffff,
    0x6fffffff,0xfff88000,0x400007ff,0xfffffff9,0xf700007f,0xffffffff,
    0x3ffff209,0x3ffa002f,0xf15fffff,0x7fdcbfff,0x0000ffff,0x3fffffe6,
    0x3fffe005,0x3fe2004f,0xf3003fff,0xffffffff,0xfff30000,0x00ffffff,
    0x3f220000,0x0fffffff,0x7fffff40,0xffffffb1,0xffffffff,0xffffffff,
    0x7ffffc9f,0xffff100f,0x7fdc05ff,0xffffffff,0xffffdeff,0x3ffe203f,
    0x3ff205ff,0xc8006fff,0x4fffffff,0xfffffd00,0x3ffee003,0xefffffff,
    0x3fffffc8,0xffffff90,0xffffffff,0x7c09ffff,0x7f442fff,0xffffffff,
    0xffffffdf,0x003fffff,0xfffff300,0xfd00000d,0x09ffffff,0x7fec4000,
    0x81ffffff,0x02fffffc,0x3ffffea0,0xffff15ff,0x7fffff4b,0xffe80005,
    0xf000ffff,0x4009ffff,0x01fffffa,0x3fffffa0,0xd00004ff,0x9fffffff,
    0x88000000,0x2ffffffd,0x7fffff40,0xffffffb1,0xffffffff,0xffffffff,
    0x7ffffc9f,0x3fff200f,0x3ee00fff,0xffffffff,0xffffc8ef,0x3ffe203f,
    0x3ff205ff,0x88006fff,0xffffffff,0xffffe801,0x3fea001f,0x0dffffff,
    0x07fffff9,0x7fffff4c,0xffffffff,0x7fe402ff,0xfffc80ef,0xf73fffff,
    0xbfffffff,0x7dc00003,0x0004ffff,0xfffffb80,0x800001ff,0xfffffffa,
    0x7fffe40f,0x7fec002f,0xff15ffff,0x3ffe6bff,0x80002fff,0x3ffffffb,
    0xbfffff00,0x7fffdc00,0x7ffdc006,0x0001ffff,0xffffff70,0x32e2003f,
    0x4000feed,0x3ffffff9,0x7fffff40,0xffffffb1,0xffffffff,0xffffffff,
    0x7ffffc9f,0x3ffe200f,0x7d404fff,0xdfffffff,0x7fffff90,0x7ffffc40,
    0x3ffff205,0xff70006f,0x00dfffff,0x03ffffff,0xdfdba880,0x7fffe41b,
    0xffea802f,0xffffffff,0xff9800bd,0xfb7305ff,0xfdb817bd,0x5100bdef,
    0x32001555,0x003fffff,0xffff8800,0x000006ff,0x3fffffa2,0x7fffe43f,
    0x7fc4002f,0xff15ffff,0x3fff6bff,0x80000fff,0x7ffffff8,0xbffffd00,
    0x7fffec00,0x7ffc4003,0x00006fff,0x3fffffe2,0x3ffe2006,0xe8002fff,
    0x404fffff,0xb1ffffff,0xffffffff,0xffffffff,0x9fffffff,0x07fffffc,
    0x3ffffee0,0x6dd4400f,0x7fe41bdf,0x3e202fff,0x0005ffff,0x05566544,
    0xfff80000,0x00000fff,0x3fffff60,0x7f5cc002,0x8000aeff,0x004ffffc,
    0x7fcc0000,0x3fa006ff,0x0001ffff,0xfffff880,0x0880003f,0x3fffffa0,
    0xcca88005,0x7c4000aa,0x00005fff,0x00bffe00,0x17ffffa0,0x7ffffc40,
    0x7ffc4000,0x00003fff,0x3fffffe2,0x7fff4003,0xff8005ff,0x7c03ffff,
    0x000fffff,0x006ffb80,0x2ab32a20,0x40000000,0x02fffffd,0x17ffffe2,
    0xffff3000,0x00001bff,0x0ffffff8,0x00026a20,0x07fffffa,0xfffff700,
    0x360005ff,0x0004ffff,0xffff3000,0x7ffc001f,0x00000fff,0xffffffc8,
    0x76e4c000,0x3fea06ff,0x98006fff,0x0dffffff,0xbffff100,0x22000000,
    0xe8001fff,0x5006ffff,0x000bffff,0x1ffffff9,0x7fe40000,0x4000ffff,
    0x2ffffffc,0x3fffea00,0x7ffc02ff,0x80000fff,0x20005ffd,0xdffffff8,
    0x01351000,0xfffffd00,0x7fffc403,0x7cc0005f,0x06ffffff,0x3ffea000,
    0x3ea00fff,0x403eefff,0x07fffff8,0xffdced80,0x88001fff,0x02efffff,
    0x3fee0000,0x26003fff,0x007fffff,0xffff8800,0xf88005ff,0x302fffff,
    0x00dfffff,0xffffff30,0x3fe200df,0x000005ff,0x001fff50,0x0fffffd0,
    0x0bffff20,0xfffff100,0x440000bf,0x05ffffff,0xfffffa80,0xff9801ff,
    0x200fffff,0x0ffffff9,0x4fff8000,0x3ffe2000,0x5006ffff,0x07ddffff,
    0x7fffff88,0x7ffffc40,0xa9980005,0x001ffffd,0x3ffeeaa0,0x7c407fff,
    0x00ffffff,0x1bfffff6,0x7ffec000,0xfff30005,0x0003bfff,0x7ffffd40,
    0xfd30605f,0x0009ffff,0xffffd880,0xfd0002ff,0xb01dffff,0x009fffff,
    0x3ff6a660,0xff8801ff,0x000005ff,0x005fff70,0x9fffffb0,0x1fffff00,
    0x7ffec400,0x00002fff,0xffffffb1,0x3ffa0005,0x09cfffff,0x3ffff262,
    0xbaa85fff,0x07ffffff,0x0dfff000,0xfca99800,0xf8801fff,0x00ffffff,
    0x1bfffff6,0xbfffff10,0xfff00000,0x3e20005f,0xffffffff,0xffffe806,
    0xbaabdfff,0x2ffffffe,0xfff50000,0x7f4c000d,0xacffffff,0x3f6e2000,
    0x03ffffff,0x3ffbffea,0x002fffff,0x3f2f3220,0x06ffffff,0x3fffee00,
    0xfebadfff,0x003fffff,0x05ffff00,0x0bffff10,0x3ee00000,0xfb8005ff,
    0xeeffffff,0x1ffffd41,0xff979910,0x00dfffff,0x3f2f3220,0x06ffffff,
    0x3fffe600,0xffffffff,0xffffffff,0x7ffc41ff,0x06ffffff,0x1ffff000,
    0x7ffc0000,0xfffd002f,0x557bffff,0xffffffd7,0x77777445,0x005fffff,
    0x7fffdc00,0xfff50000,0x07ffffff,0xffffff70,0xffffffff,0x000bffff,
    0x13fffa20,0x3ffee000,0xefffffff,0xfeedccde,0xffffffff,0x7ffe401e,
    0xffffffff,0x7ffc0000,0xffffffff,0x7ff40002,0xffffffff,0x006fffff,
    0x1ffff700,0xbffff100,0x2a000000,0x531cffff,0x7fffc401,0x6c1fffff,
    0xff806fff,0xffffffff,0x3fe0002f,0xffffffff,0x7dc0002f,0xffffffff,
    0xffffffff,0xffa83fff,0x4fffffff,0xfffd0000,0x0006625b,0x003fffee,
    0x7fffffdc,0xffffffff,0x7c45ffff,0xffffffff,0xcda8005f,0xfffffecc,
    0x3ff20005,0x06ffffff,0x3fffff20,0xffffffff,0x4000ffff,0xffecccce,
    0x00001fff,0xffffffd3,0xffffffff,0xffffffff,0xfd0019ff,0xffffffff,
    0xff0000bf,0xffffffff,0xfd10000b,0xffffffff,0x001fffff,0x7f6666d4,
    0x1005ffff,0x000bffff,0x3ffe2000,0x01ffffff,0x7fffffe4,0x3ffe21ff,
    0xffff802f,0x05ffffff,0x7ffffc00,0x005fffff,0xfffff900,0xffffffff,
    0x209fffff,0xfffffffc,0x3200006f,0xffffffff,0xb999b504,0x00bfffff,
    0xffffffc8,0xffffffff,0x7fc40fff,0xffffffff,0xfffb8005,0x05ffffff,
    0x7fffec00,0x4000ffff,0xfffffffc,0xdfffffff,0xffff8000,0x01efffff,
    0xfec98000,0xffffffff,0xffffffff,0x3e2002df,0xffffffff,0xfd00005f,
    0xbfffffff,0x7ec40000,0xffffffff,0x5c001eff,0xffffffff,0x3fe2005f,
    0x000005ff,0x3ffffee0,0x6c401fff,0x1fffffff,0x401bfff2,0xfffffffe,
    0xfe80005f,0x5fffffff,0x7f4c0000,0xffffffff,0x02ffffff,0x3ffffff6,
    0x200000ff,0xfffffff8,0xffff704f,0x00bfffff,0x3fffff20,0xffffffff,
    0xfff880df,0x5fffffff,0xffffa800,0x0001ceff,0xffffffe8,0xf710001d,
    0xffffffff,0x740003bd,0x2defffff,0x73000000,0xfffffffb,0x17ddffff,
    0xffd93000,0x009dffff,0x7fffec00,0x00002eff,0xfffffb30,0x20005dff,
    0xeffffffa,0x7fc4001c,0x000005ff,0x7ffffd40,0xfd5000ce,0x3e23ffff,
    0xfb001fff,0x05dfffff,0x3fff6000,0x0002efff,0x3fffaa00,0xdfffffff,
    0x7fff400b,0x0001ceff,0xffffd880,0xfff502df,0x0039dfff,0xffffb880,
    0x1defffff,0x3ffffe20,0x005fffff,0x00004c40,0x01355100,0xaa988000,
    0x88000019,0x00000009,0x2aa66200,0x20000019,0x00009a98,0x13553300,
    0x44000000,0x000019a9,0x400004c4,0x0001aaaa,0x13530000,0x554c4000,
    0x0555510a,0x09aa9980,0xa9980000,0x0000009a,0x55dd4c40,0x4c40009a,
    0x000000aa,0x80015310,0x00000098,0x00cd54c4,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00357731,0x00000000,0x00000000,
    0x55555550,0x40000000,0x002aaaaa,0x55400000,0x00002aaa,0x55554c00,
    0x0d555440,0x00000000,0x88266620,0x00000999,0x00000000,0xe9800000,
    0x0004eeee,0x55553000,0x00000015,0x55554000,0x000001aa,0x00266662,
    0x99999800,0x00000009,0x0e666654,0x7ffee440,0x0cefffff,0x0fff2000,
    0x0005ffa8,0x017ff710,0x3fe60000,0x0001ffff,0xfff98000,0x00004fff,
    0xffff3000,0x000009ff,0x2ffffcc0,0x007ffff6,0x03fffffe,0x3e600000,
    0xfffd16ff,0x764c0001,0xffffffff,0xffffffff,0x807ffa04,0x00003ffc,
    0x17ffffe6,0x3e200000,0x004fffff,0x50000000,0x01dfffff,0x7f440000,
    0x00000eff,0x1ffffff5,0x04ffb800,0x7fedbfe6,0x7d402fff,0xffffffff,
    0x003fffff,0x740fff50,0x980003ff,0x00ffffff,0xfff30000,0x00000bff,
    0xffffe880,0x00001fff,0x7fffc400,0x0001ffff,0x3ffee000,0x7ffff93f,
    0x3ffffe00,0x0000000f,0xffbbfff5,0x3660003f,0xffffffff,0xffffffff,
    0x3f204fff,0x3fff105f,0x7fcc0000,0x00005fff,0xfffffe80,0x000002ff,
    0xfffe8000,0x000000ff,0x00bfff90,0x7fffdc00,0x7fcc003f,0x29ffb00f,
    0x02fffffd,0xffffffb1,0xffffffff,0x88003dff,0xa88adfff,0x0001fffc,
    0xfeaaefc8,0x2a000004,0x000fffff,0x3ff60000,0x0fffffff,0x36000000,
    0xffffffff,0x0000000e,0x3efffffa,0x3e006fff,0x000fffff,0x3fee0000,
    0x0001ffff,0xfffffff5,0xffffffff,0x09ffffff,0x8967ffcc,0x0007ffda,
    0x7ffffcc0,0x64000005,0xffffffff,0x0000000f,0x3fffea00,0x0000001f,
    0x001fffd4,0xfffff900,0x5bfff000,0x47fff2a1,0x82fffffd,0xfffffff9,
    0xffffffff,0x000fffff,0x7fffffd4,0x0004ffff,0x3fd45ff0,0x3ea00000,
    0x00004fff,0x9ffff500,0x00bffff5,0x3fea0000,0xffffabff,0x20000005,
    0xfffffff8,0x3fe000ff,0x0000ffff,0x6665c000,0xff10002c,0xffffffff,
    0xffffffff,0xc809ffff,0xffffffff,0x400002ff,0x05fffff9,0x3fe60000,
    0xffffadff,0x00000005,0x07ffff60,0x4c000000,0x00000ccc,0x00fffff2,
    0xffffff50,0x7ec9ffff,0x7c42ffff,0xffffffff,0xffffffff,0x8006ffff,
    0xfffffffc,0xf100005f,0x007fcc3f,0x3fee0000,0x000000ff,0x937fffc4,
    0x0005ffff,0xffff8800,0x0bffff26,0xfa800000,0x02ffffff,0x7fffffc0,
    0xd8000000,0x5ffa81ff,0x3ffffa00,0xffffffff,0xffffffff,0xffe804ff,
    0x04ffffff,0xfff98000,0x000005ff,0x21dfffd1,0x003ffffc,0xf9800000,
    0x00002fff,0x207ff600,0x80005ffa,0x8006fffd,0xfffffffc,0x7fffec5f,
    0x7fffec2f,0x261adfff,0xfffffffb,0xfe98004f,0x0002efff,0x6c46fec0,
    0x0000005f,0x0009fff9,0xffffe800,0x07ffff40,0xffd00000,0xfffe81ff,
    0x0000000f,0x17fffff6,0x3ffffe00,0x8000000f,0xffa81ffd,0xffff3005,
    0xffffffff,0xffff999f,0x2a0059bf,0x01dffffe,0x00000000,0xffffb000,
    0x0ffffd83,0x40000000,0x0003fffd,0x0ffec000,0x0002ffd4,0x002fffd8,
    0xeffffd98,0x99999882,0x3ffffe60,0x7ec402ff,0x007fffff,0x00000cc0,
    0xffffff50,0x40000003,0x00000999,0x00000000,0x00000000,0x00000000,
    0xffffff80,0xd8000000,0x5ffa81ff,0xfffff700,0xdfffffff,0x01fffff8,
    0x00006600,0x00000000,0x20266660,0x00099998,0x00000000,0x7ec00000,
    0x05ffa81f,0x02666000,0x00033000,0xffffffd0,0x7fff4001,0x00002fff,
    0x75400000,0x00002eff,0x565d5440,0x00000001,0x00000000,0x00000000,
    0x55dcc400,0xffff8001,0x000000ff,0xa880aaa8,0xfffb001a,0xffffffff,
    0xfffff8df,0x00000001,0x57731000,0x10000003,0x00359755,0x00000000,
    0x50000000,0x35510155,0xcccca800,0x26666442,0x7ffc0000,0xfff73fff,
    0x88007fff,0x05ffffff,0x00000000,0x00000330,0x7ffff64c,0x0bdeffff,
    0x00000000,0x00000000,0x20000000,0xfffffdc8,0x800cefff,0x40ffffff,
    0x801acca9,0x04fffffd,0xfffffd80,0x3fffffe5,0x6fffffff,0x00fffffc,
    0x80000000,0xfffffdc8,0x000cefff,0xfffd9300,0x7bdfffff,0x00000001,
    0xb0000000,0x009fffff,0xbfffffb0,0x89ffffb0,0x007ffff9,0xfffff800,
    0xfffffd3f,0x3bf6000f,0x7ffec0ac,0xfd8004ff,0xffb5ffff,0xb0009fff,
    0x00bfffff,0x3ffffff2,0xffffffff,0x3ff6002f,0x0006ffff,0x3ffffffa,
    0xdfffffb3,0x7fffec00,0xf5001fff,0x001fffff,0xfffffff5,0x7fffffff,
    0xffffff80,0xfffffd30,0x7fec05ff,0xd8004fff,0x3e5fffff,0xffffffff,
    0x7fc6ffff,0x7fec1fff,0xffffffff,0xffffffff,0x5007ffff,0xffffffff,
    0x07ffffff,0xffffc800,0xffffffff,0x00002fff,0x7ffffc40,0xffffffff,
    0xffffffff,0x7fffffff,0x13fffff6,0x3ffff600,0xffffd85f,0x3ffffcc4,
    0xffffff80,0xffffff83,0x7ffffff3,0xb0022000,0x009fffff,0xbfffffb0,
    0x13fffff6,0x3ffff600,0x7ff4c05f,0xffffffff,0xdfffffff,0xffff8800,
    0xb8002fff,0x26ffffff,0x0ffffffb,0xffffff00,0x3f2007ff,0x4406ffff,
    0xfffffffd,0xffffffff,0xffff01ef,0xffff71ff,0x09ffffff,0x13fffff6,
    0x3ffff600,0x3ffffa5f,0xffffffff,0x0fffffc6,0x3ffffff6,0xffffffff,
    0xffffffff,0x7ffec407,0xffffffff,0x01efffff,0x7ffff4c0,0xffffffff,
    0x00dfffff,0xfff90000,0xffffffff,0xffffffff,0xffffffff,0x7fffecff,
    0xffd8004f,0xffd85fff,0x7ffcc4ff,0xffff007f,0xffff07ff,0xffff17ff,
    0x000003ff,0x27ffffec,0x7fffec00,0xfffffb5f,0xfffb0009,0x7fdc0bff,
    0xffffffff,0xffffffff,0xfb802fff,0x00ffffff,0x3ffffe20,0x3ffe61ff,
    0xf9802fff,0x5fffffff,0xfffffd00,0x7fffcc09,0xffffffff,0xffffffff,
    0xffffff80,0xfffffffe,0xd86fffff,0x004fffff,0x5fffffd8,0x3ffffff2,
    0x46ffffff,0x6c1fffff,0xffffffff,0xffffffff,0x07ffffff,0x3fffffe6,
    0xffffffff,0x00ffffff,0xffffff70,0xffffffff,0x5fffffff,0xff880000,
    0xffffffff,0xffffffff,0xffffffff,0x3ff67fff,0xd8004fff,0xd85fffff,
    0x7cc4ffff,0xff007fff,0xff07ffff,0xff57ffff,0x0001ffff,0x7fffec00,
    0xffd8004f,0xfffb5fff,0xfb0009ff,0x260bffff,0xffffffff,0xffffffff,
    0x1fffffff,0xfffffe80,0x3ff2004f,0xff84ffff,0xb803ffff,0xffffffff,
    0xffff8807,0xfff102ff,0xffffffff,0xffffffff,0xffff0dff,0xffffffff,
    0xffffffff,0xfffffd87,0xfffd8004,0x3ffee5ff,0xffffffff,0x7ffffc6f,
    0x7ffffec1,0xffffffff,0xffffffff,0xffff107f,0xffffffff,0xffffffff,
    0xfff300df,0xffffffff,0xffffffff,0x0003ffff,0x7ffffe40,0xffffffff,
    0xffffffff,0xffffffff,0x3fffff67,0xfffd8004,0xccca85ff,0x6666442c,
    0xfffff004,0xfffff07f,0xfffff77f,0xd800000f,0x004fffff,0x5fffffd8,
    0x09fffffb,0xfffffb00,0x3ffffa0b,0x10abefff,0xfffffd75,0xff300bff,
    0x003fffff,0xfffffff3,0xfffffb01,0xffffb00b,0x803fffff,0x0ffffff9,
    0xffffffb0,0x7dcc35bf,0x4fffffff,0x7ffffffc,0xff930aef,0x6c1fffff,
    0x004fffff,0x5fffffd8,0x7ffffff4,0x7c6fffff,0x7ec1ffff,0xffffffff,
    0xffffffff,0xb07fffff,0xbfffffff,0x7ffdcc35,0x404fffff,0xfffffffe,
    0xd7510abe,0xbfffffff,0x3fe20000,0xfeeeffff,0xffffffff,0xffffffff,
    0x3f67ffff,0x8004ffff,0x05fffffd,0xff800000,0xff83ffff,0xffcbffff,
    0x00007fff,0x7ffffec0,0xfffd8004,0xffffb5ff,0xffb0009f,0xff90bfff,
    0x009fffff,0x3ffffff2,0xfffc802f,0xfd805fff,0x702fffff,0x00ffffff,
    0xffffffff,0xffb807ff,0xff306fff,0x805fffff,0xffffffd8,0x7fffffc7,
    0xfff500df,0x7fec9fff,0xd8004fff,0x4c5fffff,0xffffffff,0x7ffc6fff,
    0x7ffec1ff,0xaaaaaeff,0xaaaaaaaa,0xff982aaa,0x402fffff,0xffffffd8,
    0x3ffff207,0xf9004fff,0x05ffffff,0xffff7000,0x7fffccdf,0xaaaaabff,
    0xaaaaaaaa,0x3ffff62a,0xffd8004f,0x00005fff,0xfffff800,0xfffff83f,
    0xfffffdbf,0x6c000006,0x004fffff,0x5fffffd8,0x09fffffb,0xfffffb00,
    0xfffff98b,0x7d4002ff,0x00ffffff,0xffffffe8,0x3fffea02,0x3fea05ff,
    0x2600ffff,0xffffffff,0x7fec05ff,0xffd04fff,0x4001ffff,0x2ffffffe,
    0x3ffffffe,0x7fffec00,0x3ffff67f,0xffd8004f,0xffb85fff,0xffffffff,
    0x0fffffc6,0x17fffff6,0x7ff40000,0x2000ffff,0x2ffffffe,0xffffff98,
    0x7fd4002f,0x000fffff,0x7fffffc0,0x3ffffe63,0xfb00000f,0x0009ffff,
    0x0bfffffb,0xff000000,0xff07ffff,0xffd7ffff,0x0000dfff,0xfffffd80,
    0xfffd8004,0xffffb5ff,0xffb0009f,0xffd8bfff,0x0004ffff,0x9ffffff9,
    0xfffff500,0x7fff40df,0x3e200fff,0x202fffff,0xfffffffb,0x7fc07fff,
    0xfb82ffff,0x003fffff,0x7fffffc4,0x3fffffe5,0xffff9805,0xffffb0ff,
    0xffb0009f,0x3a20bfff,0xffffffff,0x0fffffc6,0x17fffff6,0x3fee0000,
    0x4003ffff,0x5ffffff8,0xffffffd8,0xfff90004,0x40009fff,0x0ffffffa,
    0x3fffffe6,0xffb00000,0xb0009fff,0x22bfffff,0x30019999,0x7c033333,
    0xf83fffff,0xfdbfffff,0x0007ffff,0x7fffec00,0xffd8004f,0xfffb5fff,
    0xfb0009ff,0xff8bffff,0x000fffff,0xffffff10,0x3fff600f,0xffb84fff,
    0xe803ffff,0x204fffff,0xfdfffffd,0xf101ffff,0xd01fffff,0x00ffffff,
    0x02b3bf60,0x05ffffff,0x3fffffa0,0x9fffffb1,0xffffb000,0xedb980bf,
    0x7fc6ffff,0x7fec1fff,0x00005fff,0x7fffffe8,0x59dfb000,0x3ffffe01,
    0xf10000ff,0x00ffffff,0x7fffff40,0x7ffffcc4,0xfb00000f,0x0009ffff,
    0x2bfffffb,0x01fffffe,0x0ffffff8,0x7ffffff0,0x7ffffff0,0x0ffffff7,
    0xffd80000,0xd8004fff,0xfb5fffff,0x0009ffff,0x4bfffffb,0x4ffffffa,
    0x7ffe4000,0xf8800fff,0x20ffffff,0x6ffffff8,0xfffff900,0x7ffffc0d,
    0x3fffffbd,0xdfffff50,0x3fffffe0,0x80110003,0x01ffffff,0x5fffffd0,
    0x13fffff6,0x3ffff600,0x3fee005f,0x7fffc6ff,0x7fffec1f,0xf800005f,
    0x003fffff,0xff500110,0x0009ffff,0xffffffc8,0xfffa8000,0x7fcc0fff,
    0x0000ffff,0x9fffffb0,0xffffb000,0x3ffffabf,0xffff801f,0xffff00ff,
    0xffff07ff,0xffff57ff,0x000001ff,0x27ffffec,0x7fffec00,0xfffffb5f,
    0xfffb0009,0x7ffe4bff,0x40000fff,0x2ffffff9,0xfffff500,0x7fffe4bf,
    0xff5001ff,0x3ea0ffff,0xff8bffff,0xff905fff,0xff109fff,0x0003ffff,
    0x7ffffc00,0xfffb000f,0x3fff67ff,0xfd8004ff,0x2005ffff,0x7c6ffffb,
    0x7ec1ffff,0x0005ffff,0x7ffffc40,0x4000001f,0x0ffffffc,0x7ffcc000,
    0xe8002fff,0x985fffff,0x00ffffff,0xffffb000,0xffb0009f,0x3ffabfff,
    0xff801fff,0xff00ffff,0xff07ffff,0xff37ffff,0x0003ffff,0xffd806e6,
    0xd8004fff,0xfb5fffff,0x0009ffff,0x4bfffffb,0x07fffffd,0xffff8800,
    0x3f6003ff,0xf9afffff,0x004fffff,0x3fffffe2,0xfffffc81,0x0fffffd1,
    0x0ffffff6,0x3fffffea,0x3e000000,0x000fffff,0x29fffff9,0x04fffffd,
    0xfffffd80,0x3ffee005,0x7ffffc6f,0x7ffffec1,0x7d400005,0x000fffff,
    0x7ffec000,0x880007ff,0x03ffffff,0x7ffffcc0,0xffff981f,0xb00000ff,
    0x009fffff,0xbfffffb0,0x07fffffa,0x3fffffe0,0xffffff00,0xffffff07,
    0xffffff17,0x3ff60009,0x7ffec1ce,0xfd8004ff,0xffb5ffff,0xb0009fff,
    0x74bfffff,0x007fffff,0xffffff00,0x7ffc4009,0xfffeefff,0x74000fff,
    0xe83fffff,0x3f27ffff,0xff81ffff,0xfb81ffff,0x0007ffff,0x7ffffc00,
    0xfffb001f,0x3fff67ff,0xfd8004ff,0x2005ffff,0x7c6ffffb,0x7ec1ffff,
    0xccceffff,0xcccccccc,0x7dc3cccc,0x0007ffff,0xffffe800,0xff00007f,
    0x8009ffff,0x06fffffd,0x7ffffff3,0x55555555,0xd8355555,0x004fffff,
    0x5fffffd8,0x03fffffd,0x1ffffff0,0x3fffffe0,0xffffff83,0xfffffff3,
    0xffff0001,0x7ffecdff,0xfd8004ff,0xffb5ffff,0xb0009fff,0x74bfffff,
    0x006fffff,0xfffffd00,0xfffb800b,0xffffffff,0xffc8002f,0x7fc45fff,
    0x3fea5fff,0x7fcc3fff,0xff907fff,0x0000ffff,0xffffff80,0xffffd002,
    0x3ffff65f,0xffd8004f,0x2e005fff,0x7fc6ffff,0x7fec1fff,0xffffffff,
    0xffffffff,0x7fe46fff,0x00007fff,0xfffffe80,0xffd00006,0x4c00bfff,
    0x02ffffff,0xfffffff3,0xffffffff,0xd8bfffff,0x004fffff,0x5fffffd8,
    0x03fffffd,0x1ffffff0,0x3fffffe0,0xffffff83,0xffffff93,0xfffb8007,
    0x3ff63fff,0xd8004fff,0xfb5fffff,0x0009ffff,0x4bfffffb,0x05ffffff,
    0xffffb000,0xffd000ff,0xffffffff,0x3fee000b,0x7fd46fff,0x3fe23fff,
    0x7fdc5fff,0xffb05fff,0x0000dfff,0xffffff80,0xfffff004,0x3ffff63f,
    0xffd8004f,0x2e005fff,0x7fc6ffff,0x7fec1fff,0xffffffff,0xffffffff,
    0x7fec6fff,0x00006fff,0xffffff80,0xffb00005,0x6400ffff,0x206fffff,
    0xfffffff9,0xffffffff,0x6c5fffff,0x004fffff,0x5fffffd8,0x03fffffd,
    0x1ffffff0,0x3fffffe0,0xffffff83,0x3fffffa3,0xfff3000f,0x7ec1ffff,
    0x8004ffff,0xb5fffffd,0x009fffff,0xbfffffb0,0x2ffffffc,0xfffd8000,
    0xf98007ff,0xffffffff,0xff30000f,0x7e41ffff,0x7f41ffff,0x7fe47fff,
    0xffd03fff,0x0000dfff,0xffffff80,0xffffa807,0xffffb0ff,0xffb0009f,
    0x5c00bfff,0x7fc6ffff,0x7fec1fff,0xffffffff,0xffffffff,0x7ff46fff,
    0x00006fff,0xffffff80,0xffb00005,0x2200ffff,0x03ffffff,0x3fffffe6,
    0xffffffff,0x45ffffff,0x04fffffd,0xfffffd80,0x3fffffd5,0xffffff00,
    0x3ffffe01,0xfffff83f,0x3fffea3f,0x74c02fff,0x44ffffff,0x04fffffd,
    0xfffffd80,0x9fffffb5,0xffffb000,0x7ffff4bf,0xfd00006f,0x000bffff,
    0x3ffffff2,0x7c0003ff,0x3a2fffff,0xfc87ffff,0x3fa1ffff,0xfb01ffff,
    0x000fffff,0xfffff800,0x7ff404ff,0x3ff66fff,0xd8005fff,0x005fffff,
    0xf1bfffee,0xfd83ffff,0xffffffff,0xffffffff,0x7ec6ffff,0x0007ffff,
    0xffffe800,0xfd00006f,0x200bffff,0x0ffffffc,0x3ffffe60,0xffffffff,
    0x5fffffff,0x2fffffec,0x7fffec00,0xfffffd5f,0xfffff003,0x3fffe01f,
    0xffff83ff,0x7ffec3ff,0x11adffff,0xffffff93,0xfffd83ff,0xfd8005ff,
    0xffb5ffff,0xb000bfff,0x6cbfffff,0x007fffff,0xffffff00,0x3fe20009,
    0x006fffff,0xfffffd80,0xbfffff13,0x7fffff50,0x1fffffe2,0x7fffffb8,
    0x7fc00000,0x04ffffff,0x5ffffff9,0x2fffffec,0x7fffec00,0x3fee005f,
    0x7fffc6ff,0x7fffec1f,0xeeeeeeff,0xeeeeeeee,0x7fffdc4e,0x8000007f,
    0x07fffffd,0xfffff000,0xfff1009f,0xf9809fff,0xffffffff,0xffffffff,
    0x7fec5fff,0xd8005fff,0xfd5fffff,0xf003ffff,0x201fffff,0x83ffffff,
    0x43ffffff,0xfffffff9,0xffffffff,0x83ffffff,0x05fffffd,0xfffffd80,
    0xbfffffb5,0xffffb000,0x7fffdcbf,0xf880007f,0x003fffff,0x3ffffee0,
    0xfb80001f,0xff55ffff,0xff105fff,0x3fe6bfff,0x3ea05fff,0x000fffff,
    0x3fffe000,0xacefffff,0xffffffeb,0x7ffffec6,0xfffd8005,0x3ee005ff,
    0x7ffc6fff,0x7ffec1ff,0x400005ff,0x0ffffffa,0x7dc00000,0x0007ffff,
    0xffffff88,0xffffb803,0x99999aff,0xfffffa99,0xfb00000f,0x000bffff,
    0x2bfffffb,0x01fffffe,0x0ffffff8,0x7ffffff0,0x7ffffff0,0xffffff50,
    0xffffffff,0x209fffff,0x05fffffd,0xfffffd80,0xbfffffb5,0xffffb000,
    0x7fffd4bf,0x4c0001ff,0x02ffffff,0x3fffea00,0x980000ff,0xfb7fffff,
    0x3a01ffff,0xff77ffff,0x7cc07fff,0x001fffff,0x7fc03730,0xffffffff,
    0xffffffff,0x7ffec1ff,0xfd8005ff,0x2004ffff,0x7c6ffffb,0x7ec1ffff,
    0x0005ffff,0x7ffffcc0,0x3730001f,0xfffffa80,0x7cc0001f,0x802fffff,
    0xffffffff,0xffffffff,0x00ffffff,0xffffb000,0xffb000bf,0x3ffa9fff,
    0xff801fff,0xff00ffff,0xff07ffff,0x2207ffff,0xfffffffd,0xffffffff,
    0x3fff605f,0xfd8005ff,0xffb4ffff,0xb000bfff,0x4c9fffff,0x04ffffff,
    0x7fffec00,0x2a0000ff,0x00ffffff,0xfffff000,0xdfffff3f,0x7ffffdc0,
    0x1fffffd9,0x3ffffe20,0xffb0004f,0xffff839d,0xfffffcff,0x4fffffff,
    0x6fffffc8,0xffffe800,0x3fee004f,0x7fffc6ff,0x7fffec1f,0x4400005f,
    0x04ffffff,0x39dffb00,0xffffff30,0xffd80009,0x5c00ffff,0xffffffff,
    0xffffffff,0x00ffffff,0xffff9000,0xffd000df,0x3ffa9fff,0xff801fff,
    0xff00ffff,0xff07ffff,0xb807ffff,0xffffffff,0x02efffff,0x37ffffe4,
    0x7ffff400,0xfffff94f,0xfffd000d,0x7ffc49ff,0x0001ffff,0xfffffff3,
    0xfffa8000,0x00000fff,0xf9fffffb,0x4c09ffff,0xffbfffff,0xff807fff,
    0x000fffff,0x6ffffff8,0x23fffffe,0xffffffe9,0xff702fff,0xf000dfff,
    0x007fffff,0x237fffdc,0x6c1fffff,0x005fffff,0xfffff800,0xff8000ff,
    0x7c46ffff,0x01ffffff,0xfffff300,0xfffd00ff,0xffffffff,0xffffffff,
    0x00001fff,0x1bffffee,0x3ffffe00,0xfffffd3f,0xfffff003,0x3fffe01f,
    0xffff83ff,0xdc9803ff,0xffffffff,0xfff7002e,0xff000dff,0x3ee7ffff,
    0x8006ffff,0x43ffffff,0x5ffffffd,0xffffb000,0xa80009ff,0x00ffffff,
    0xffff9000,0x5fffffff,0xefffff80,0x806fffff,0x3ffffffc,0x7fffdc00,
    0x3fffe3ff,0xfffb10ff,0x5401bfff,0x02ffffff,0x3ffffe60,0x3fee002f,
    0x7fffc6ff,0x7fffec1f,0xc800005f,0x03ffffff,0x7ffffdc0,0xffffd83f,
    0xfb0005ff,0x809fffff,0xfffffffa,0xffffffff,0xffffffff,0xff500000,
    0x4005ffff,0x2ffffff9,0x05fffffd,0xffffff88,0xffffff00,0xffffff07,
    0xffb98007,0xfa8002df,0x002fffff,0x3fffffe6,0xffffff52,0x7ffcc005,
    0x7fc42fff,0x003fffff,0x7fffffdc,0x7d40000f,0x000fffff,0xfffff500,
    0x01ffffff,0xffffffd8,0xd004ffff,0x01ffffff,0x3ffffe60,0x3fffe0ff,
    0x1ab980ff,0xfffff300,0x3fa001ff,0x001fffff,0xf1bfffee,0xfd83ffff,
    0x0005ffff,0xfffffd00,0x3fe6001f,0x880fffff,0x3fffffff,0x7fffdc00,
    0x7f400fff,0xffffffff,0xffffffff,0x00ffffff,0xffff3000,0x3a001fff,
    0xd1ffffff,0x805fffff,0x0ffffffa,0x7ffffff0,0x7ffffff0,0x7fffd400,
    0x4c004fff,0x0fffffff,0xfffffd00,0x3fffe63f,0xfd000fff,0x703fffff,
    0xbfffffff,0xfffd8801,0x0002ffff,0xffffffa8,0xff100000,0xffffffff,
    0xffff700d,0x05ffffff,0x3ffffea0,0x7f4c02ff,0x7c4fffff,0x000fffff,
    0x3ffffe00,0xffa805ff,0x4007ffff,0x7c6ffffb,0x7ec1ffff,0x0005ffff,
    0xfffff500,0xfe9805ff,0x204fffff,0xfffffffb,0x7fec400d,0x402fffff,
    0xdffffffa,0xaaaaaaaa,0xfffffcaa,0x3e00000f,0x05ffffff,0xffffffa8,
    0x3fffff67,0x3fffa204,0xfff00fff,0xfff07fff,0x64007fff,0xfffffdce,
    0x7fffc003,0xfa805fff,0x7c7fffff,0x05ffffff,0xffffffa8,0x3ffffa07,
    0x10acffff,0xffffff95,0x20000dff,0x0ffffffa,0x3ffa0000,0x4fffffff,
    0xfffff980,0x000fffff,0x3ffffff6,0xf9311adf,0x3fffffff,0x0ffffff8,
    0x3fee0000,0x1aefffff,0x3ffff662,0x5c003fff,0x7fc6ffff,0x7fec1fff,
    0x00005fff,0x3fffff60,0x9311adff,0xffffffff,0xffffe803,0x10acffff,
    0xffffff95,0xffb00dff,0x4001ffff,0x0ffffffa,0x3fee0000,0x1aefffff,
    0x3ffff662,0x3ff23fff,0xfb01ffff,0x01ffffff,0x0ffffffe,0x0ffffffe,
    0xdfff9000,0xffffb800,0x221aefff,0xffffffd9,0x7fffdc3f,0x221aefff,
    0xffffffd9,0x3ffe603f,0xffffffff,0xffffffff,0x0001ffff,0xffffff50,
    0x7e400001,0xffffffff,0xfffff001,0x800dffff,0xfffffff9,0xffffffff,
    0x83ffffff,0x00ffffff,0x7fffc000,0xffffffff,0xffffffff,0xffb8007f,
    0x7fffc6ff,0x7fffec1f,0xaaaaaaef,0xaaaaaaaa,0xff981aaa,0xffffffff,
    0xffffffff,0xf9803fff,0xffffffff,0xffffffff,0x01ffffff,0x7fffffcc,
    0x7ffd4005,0xaaaabfff,0xaaaaaaaa,0x7ffc1aaa,0xffffffff,0xffffffff,
    0x7ffd47ff,0xc9acffff,0xfffffffe,0xfffff00f,0xfffff07f,0xf980007f,
    0xff8007ff,0xffffffff,0xffffffff,0xfff07fff,0xffffffff,0xffffffff,
    0xff500fff,0xffffffff,0xffffffff,0x00005fff,0x7fffffd4,0x3ea00000,
    0x7fffffff,0x3ffff600,0x8004ffff,0xfffffffa,0xffffffff,0xff04ffff,
    0x0001ffff,0xfffffb80,0xffffffff,0x3fffffff,0xffffb800,0x0fffffc6,
    0x3ffffff6,0xffffffff,0xffffffff,0xffff504f,0xffffffff,0x9fffffff,
    0x7fffd400,0xffffffff,0xffffffff,0xfffd802f,0x54001fff,0xffffffff,
    0xffffffff,0x44ffffff,0xfffffffb,0xffffffff,0x443fffff,0xffffffff,
    0xfeffffff,0xff00ffff,0xff07ffff,0x0007ffff,0x037ffec4,0x7ffffdc0,
    0xffffffff,0x3fffffff,0xffffff70,0xffffffff,0x07ffffff,0x3ffff620,
    0xffffffff,0x00dfffff,0x7ffd4000,0x00000fff,0x3fffffe2,0x3ea005ff,
    0x2fffffff,0xfffb1000,0xffffffff,0x40bfffff,0x00ffffff,0xfffa8000,
    0xffffffff,0x3fffffff,0xffff7000,0x1fffff8d,0x7fffffec,0xffffffff,
    0xffffffff,0x3ff6204f,0xffffffff,0x05ffffff,0xffffd880,0xffffffff,
    0x00dfffff,0xffffff88,0xfffa8006,0xffffffff,0xffffffff,0xffa84fff,
    0xffffffff,0xffffffff,0xfffff303,0x5fffffff,0x01fffff7,0x0ffffffe,
    0x0ffffffe,0x3b333720,0x002fffff,0xffffff50,0xffffffff,0xa807ffff,
    0xffffffff,0xffffffff,0xfa8003ff,0xffffffff,0x02ffffff,0xfff50000,
    0x00001fff,0xfffffff8,0x3fe2003f,0x00ffffff,0x7fffdc00,0xffffffff,
    0x7ffc02ef,0x00000fff,0xfffffd10,0xffffffff,0x5c0003df,0x7fc6ffff,
    0x7fec1fff,0xffffffff,0xffffffff,0x804fffff,0xfffffffb,0x2effffff,
    0x7ffd4000,0xffffffff,0x2002ffff,0x2ffffffc,0xffffa800,0xffffffff,
    0xffffffff,0xffd104ff,0xffffffff,0x803dffff,0xfffffffa,0xfff71fff,
    0x3ffe01ff,0xfff83fff,0xfe803fff,0xffffffff,0x7f440003,0xffffffff,
    0x01efffff,0xfffffd10,0xffffffff,0x440003df,0xfffffedb,0x000bdeff,
    0x3ffea000,0x00000fff,0x7fffffec,0x7ff4001f,0x0006ffff,0xffffb930,
    0x005dffff,0x03fffffe,0xfb700000,0xffffffff,0x700007df,0xff8dffff,
    0x7fec1fff,0xffffffff,0xffffffff,0x004fffff,0xfffffb93,0x0005dfff,
    0x7ff6dc40,0xbdefffff,0x3ffe2000,0x50006fff,0xffffffff,0xffffffff,
    0x09ffffff,0xfffffdb8,0x03efffff,0x3ffff6a0,0x3fee0cef,0xfff00fff,
    0x00007fff,0xffffffd8,0x5c00003e,0xfffffffd,0x0003efff,0xffffffb7,
    0x007dffff,0x2aea6000,0x40000001,0x0ffffffa,0x7fdc0000,0x8007ffff,
    0x4ffffffc,0x75100000,0xdb000355,0x0001dddd,0x2aa62000,0x000aaacb,
    0x3bbbaa00,0x077776c5,0x3ffffff6,0xffffffff,0xffffffff,0x7510004f,
    0x00000355,0x00d5d4c0,0x3ffff200,0xf50003ff,0xffffffff,0xffffffff,
    0x009fffff,0x2b2eaa62,0x4c0000aa,0xf00000ab,0x007fffff,0x0004c000,
    0xaa988000,0x000aaacb,0x97553100,0x00001555,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0aaaa980,0x002aaaa8,0x2aaa6000,
    0x00000aaa,0x40aaaaa8,0x001aaaa8,0x004cc400,0x00000662,0x00555553,
    0xeee88000,0x000005ee,0x55555540,0x55510001,0x00001555,0x2aaaaa00,
    0x2aa0001a,0xaaa982aa,0x4c00000a,0x00aaaaaa,0x5554c000,0x2200002a,
    0x99999999,0x4c400099,0x99999999,0x00009999,0x0cccccc4,0x55530000,
    0x2aaa2555,0x800002aa,0x00099998,0x404cccc4,0x40019999,0x20effff8,
    0x002ffffc,0x3fffa000,0x000004ff,0xe89ffff3,0x0000ffff,0x2037fcc0,
    0x00000fff,0x9ffffff3,0x7c400000,0x0007ffff,0x3ffea000,0x20000fff,
    0x05fffffc,0xffa80000,0x0000ffff,0x88bfffee,0x0006ffff,0xfffffd80,
    0x7cc00004,0x004fffff,0xfffff900,0x009fffff,0xffffffa8,0x5fffffff,
    0x7fff4000,0x200005ff,0x91fffffe,0x005fffff,0xffff8800,0x7fc4000d,
    0x7ffdc5ff,0xffa8003f,0xffff54ff,0x5400000b,0x004fffff,0x7ffe4000,
    0x5ffff92f,0x3fe00000,0x0dff702f,0x7fff4000,0x0002ffff,0xfffff100,
    0x4000000f,0x01fffffe,0xffffd800,0x4000001f,0x01fffffe,0xffffe800,
    0x03ffffd0,0xfff98000,0x400005ff,0xffffffe8,0xfc80002f,0xffffffff,
    0x7fd4004f,0xffffffff,0x20005fff,0x05fffff9,0x3ffea000,0xffff12ff,
    0xb000007f,0x40009fff,0xf33ffffb,0x4000bfff,0xffbffffc,0x00000fff,
    0x17ffffa0,0x7f400000,0xffffcfff,0x36000005,0xf931beff,0x200009ff,
    0xfffffffc,0x800000ff,0x07fffff8,0xff300000,0x00003fff,0x02ffffec,
    0xfff30000,0x200003ff,0xfdeffff8,0x00003fff,0x05ffffd8,0xfffd8000,
    0x00ffffff,0x55554c00,0x01aaaaaa,0x7ffffd40,0xffffffff,0x3ff60005,
    0x400006ff,0x323ffffe,0x0004ffff,0x02fffc80,0xffffd800,0x00fffffa,
    0x7ffff400,0x0002ffff,0x3fffe600,0x20000005,0xfffffff9,0x000000ff,
    0x3fffffe2,0x0006ffff,0x59ffff50,0x000bffff,0xfffff100,0x2000000f,
    0x002ffffd,0x7fff4400,0xb000000f,0x0005ffff,0xfffffa80,0x00005fff,
    0x0effff88,0x7fd40000,0xffffacff,0x00000005,0x3bbba600,0xeeeeeeee,
    0xff30004e,0x00001dff,0x127fffcc,0x000bffff,0x01999100,0x3ffe2000,
    0x02ffffff,0xffff9800,0x00004fff,0x077ffec0,0x2e000000,0x2fffffff,
    0xf9800000,0xefffffff,0xff880001,0x3fff26ff,0x4400002f,0x007fffff,
    0xfff98000,0x1000002f,0x0009fffd,0x5ffff300,0x3f600000,0x00ffffff,
    0xfffc8000,0x4400000e,0x3f26ffff,0x20002fff,0xffa81ffd,0x00000005,
    0x77ffe400,0x7ec00000,0x7ffdc5ff,0xfb00000e,0x0bff503f,0x7fffd400,
    0x00005fff,0x1bffffee,0xff300000,0x000001df,0x3ffff600,0x0000004f,
    0x3bffff22,0x3f600004,0x7ff41fff,0x000000ff,0x90000000,0x00007fff,
    0x0fffe880,0x7fe40000,0x2000003f,0x2ffffff8,0xff880000,0x800000ff,
    0x740ffffd,0x0000ffff,0xff503ffb,0x0000000b,0x7fffc400,0x7cc00000,
    0xffff86ff,0x3f600001,0x05ffa81f,0x7fffe400,0x000000ff,0x88000000,
    0x00000999,0x00000000,0x00620000,0x4cccc000,0x09999880,0x00000000,
    0x33330000,0x22000000,0x00000999,0x0000cccc,0x00000000,0x00266620,
    0x00000000,0x40ffec00,0x00005ffa,0x26200000,0x80000099,0x99809998,
    0x6c000009,0x5ffa81ff,0x99998000,0x22000009,0x09aacbaa,0x2a200000,
    0x0001acba,0x5d544000,0x000001ac,0x332aa620,0x0000019a,0x20000000,
    0x9accaa98,0x51000001,0x01355975,0x00000000,0x00000000,0x00000000,
    0x01abb988,0x00000000,0x202aaa00,0x54001aa8,0x6442cccc,0xca804ccc,
    0x66442ccc,0x100004cc,0x00359755,0x05554000,0x2000d544,0x442cccca,
    0x4004cccc,0xfffffec8,0x00bfffff,0xffec9800,0xdeffffff,0x4c00000b,
    0xffffffec,0x000bdeff,0x7ffed400,0xefffffff,0xffffb002,0xffb0009f,
    0x5400bfff,0xfffffffd,0x0002efff,0x7ffff644,0x0bffffff,0x7ffffec0,
    0xfffd8004,0xffffb5ff,0xffb0009f,0x3ff6bfff,0xd8004fff,0x005fffff,
    0xfffffb91,0x0019dfff,0xd8000000,0x004fffff,0x5fffffd8,0x44ffffd8,
    0x807ffff9,0x4c4ffffd,0x0007ffff,0x3ffffb26,0x0bdeffff,0x3ffff600,
    0xffd8004f,0xffd85fff,0x7ffcc4ff,0x3fee007f,0xffffffff,0x003fffff,
    0x3fffff20,0xffffffff,0x900002ff,0xffffffff,0x5fffffff,0xfff50000,
    0xffffffff,0x807fffff,0x04fffffd,0xfffffd80,0xffffa805,0xffffffff,
    0x8003ffff,0xfffffffb,0xffffffff,0x3ffff603,0xffd8004f,0xfffb5fff,
    0xfb0009ff,0x3f6bffff,0x8004ffff,0x05fffffd,0xffffffa8,0xffffffff,
    0x7fffec03,0xffc8005f,0xfffb6fff,0xfb0009ff,0xfb0bffff,0xff989fff,
    0xffd807ff,0x7ffcc4ff,0xff90007f,0xffffffff,0x005fffff,0x13fffff6,
    0x3ffff600,0xffffd85f,0x3ffffcc4,0xfffffd80,0xffffffff,0x4006ffff,
    0xffffffe9,0xffffffff,0x0000dfff,0xffffffd3,0xffffffff,0x0001bfff,
    0x3ffffff2,0xffffffff,0xb00effff,0x009fffff,0xbfffffb0,0xfffffc80,
    0xffffffff,0x00efffff,0xffffffb0,0xffffffff,0x3f60dfff,0x8004ffff,
    0xb5fffffd,0x009fffff,0xbfffffb0,0x13fffff6,0x3ffff600,0x3ff6205f,
    0xffffffff,0x1effffff,0xbfffffb0,0xffff9000,0x3ffff6df,0xffd8004f,
    0xffd85fff,0x7ffcc4ff,0xfffd807f,0x7fffcc4f,0x7ff4c007,0xffffffff,
    0xdfffffff,0x7fffec00,0xffd8004f,0xffd85fff,0x7ffcc4ff,0xfffc807f,
    0xffffffff,0xffffffff,0xffff7004,0xffffffff,0xffffffff,0xffb8005f,
    0xffffffff,0xffffffff,0x22002fff,0xfffffffe,0xffffffff,0xb05fffff,
    0x009fffff,0xbfffffb0,0x3ffffa20,0xffffffff,0xffffffff,0xffffc805,
    0xffffffff,0x4fffffff,0x4fffffd8,0xffffd800,0xfffffb5f,0xfffb0009,
    0x3fff6bff,0xfd8004ff,0xf305ffff,0xffffffff,0xffffffff,0xffb01fff,
    0x9000bfff,0x36dfffff,0x004fffff,0x5fffffd8,0x44ffffd8,0x807ffff9,
    0x4c4ffffd,0x2007ffff,0xfffffffb,0xffffffff,0x02ffffff,0x13fffff6,
    0x3ffff600,0xffffd85f,0x3ffffcc4,0x3ffffe20,0xfeeeffff,0xffffffff,
    0x7fffcc02,0xffffffff,0xffffffff,0xf3001fff,0xffffffff,0xffffffff,
    0x03ffffff,0x3fffffa0,0xffffffff,0xffffffff,0xffffd85f,0xffd8004f,
    0xffd05fff,0xffffffff,0xffffffff,0x440bffff,0xffffffff,0xffffeeef,
    0x6c2fffff,0x004fffff,0x5fffffd8,0x09fffffb,0xfffffb00,0x3fffff6b,
    0xfffd8004,0xfff885ff,0xffffffff,0xffffffff,0xfffd86ff,0xfc8005ff,
    0xffb6ffff,0xb0009fff,0x50bfffff,0xc8859999,0xca804ccc,0x66442ccc,
    0xff3004cc,0xffffffff,0xffffffff,0x203fffff,0x04fffffd,0xfffffd80,
    0x2cccca85,0x02666644,0x3ffffff2,0xfffd501d,0xfe80ffff,0xbeffffff,
    0xffd7510a,0x00bfffff,0x3ffffffa,0x7510abef,0xfffffffd,0xffff900b,
    0x4359ffff,0xfffffd98,0x7fec2fff,0xd8004fff,0xc85fffff,0xffffffff,
    0x3f6621ac,0x2fffffff,0xffffff90,0x3ffaa03b,0x7ec7ffff,0x8004ffff,
    0xb5fffffd,0x009fffff,0xbfffffb0,0x13fffff6,0x3ffff600,0xffffd85f,
    0x261adfff,0xfffffffb,0x7fffec4f,0xffc8005f,0xfffb6fff,0xfb0009ff,
    0x000bffff,0x00000000,0xfffffe80,0x510abeff,0xffffffd7,0x3fff60bf,
    0xfd8004ff,0x0005ffff,0x3fffe000,0xfe8805ff,0x900fffff,0x9fffffff,
    0x3ffff200,0x7e402fff,0x04ffffff,0xffffff90,0x7ffd405f,0x800dffff,
    0xfffffff9,0x7ffffec5,0xfffd8004,0x7ffd45ff,0x800dffff,0xfffffff9,
    0xffffff05,0xfffd100b,0x7fec1fff,0xd8004fff,0xfb5fffff,0x0009ffff,
    0x2bfffffb,0x04fffffd,0xfffffd80,0x7ffffcc5,0x7ec402ff,0x6c7fffff,
    0x005fffff,0x6fffffc8,0x09fffffb,0xfffffb00,0x0000000b,0x7e400000,
    0x04ffffff,0xffffff90,0xffffb05f,0xffb0009f,0x0000bfff,0x3fffe200,
    0xff5000ff,0xf305ffff,0x05ffffff,0xfffffa80,0xfff300ff,0x8005ffff,
    0xfffffffa,0xffffff00,0xff98007f,0x360fffff,0x004fffff,0x5fffffd8,
    0x7ffffffc,0x7ffcc003,0x7c40ffff,0x000fffff,0x5ffffff5,0x27ffffec,
    0x7fffec00,0xfffffb5f,0xfffb0009,0x3fff6bff,0xfd8004ff,0x7f45ffff,
    0x000fffff,0x3ffffffa,0x3fffff62,0xfffc8005,0xffffb6ff,0xffb0009f,
    0x0000bfff,0x00000000,0x3fffffe6,0x7fd4002f,0x6c0fffff,0x004fffff,
    0x5fffffd8,0xf1000000,0x003fffff,0x27fffffc,0x7fffffec,0xfff90004,
    0x3f609fff,0x004fffff,0xffffff90,0xfffff509,0x3ee000df,0x363fffff,
    0x004fffff,0x5fffffd8,0x3fffffea,0xfff70006,0xff887fff,0x2001ffff,
    0x24ffffff,0x04fffffd,0xfffffd80,0x9fffffb5,0xffffb000,0x3ffff6bf,
    0xffd8004f,0x3fee5fff,0x4003ffff,0x5ffffff8,0x17fffff6,0x3ffff200,
    0xfffffb6f,0xfffb0009,0x26662bff,0x33330019,0x4cccc433,0x33333001,
    0xfffffb03,0x3f20009f,0x6c4fffff,0x004fffff,0x5fffffd8,0x00333331,
    0x20666666,0x05ffffff,0x2666aaa0,0xffffff80,0xff10000f,0x3e0fffff,
    0x00ffffff,0xfffff100,0xffffb0ff,0x7c0003ff,0xffd81bce,0xd8004fff,
    0x365fffff,0x01ffffff,0x06f3be00,0x5ffffff8,0x266aaa00,0x3ffff609,
    0xffd8004f,0xfffb5fff,0xfb0009ff,0x3f6bffff,0x8004ffff,0x25fffffd,
    0x07fffffe,0x159dfb00,0x5fffffd8,0xffffc800,0xfffffb6f,0xfffb0009,
    0x3fffabff,0xfff801ff,0xfffd0fff,0xfff003ff,0xfff81fff,0x0000ffff,
    0xfffffff1,0x4fffffd8,0xffffd800,0xfffffd5f,0xfffff003,0xffffd81f,
    0x00002eff,0x3fffffea,0x7fe40004,0x7d40ffff,0x004fffff,0x7ffffe40,
    0x3fffe20f,0x000005ff,0x4fffffd8,0xffffd800,0xfffff15f,0x000000bf,
    0x7fffffec,0xfb00002e,0x0009ffff,0x2bfffffb,0x04fffffd,0xfffffd80,
    0x9fffffb5,0xffffb000,0x7ffffcbf,0x0110003f,0x5fffffd8,0xffffc800,
    0xfffffb6f,0xfffb0009,0x3fffabff,0xfff801ff,0xfffd0fff,0xfff003ff,
    0x7fd41fff,0x0004ffff,0x7fffffe4,0x3fffff60,0xfffd8004,0xffffd5ff,
    0xffff003f,0xfffc81ff,0xadffffff,0x3ff20000,0x0000ffff,0x7fffffcc,
    0x7ffffe42,0x7cc0000f,0x2a2fffff,0x02ffffff,0xffd80000,0xd8004fff,
    0xf55fffff,0x005fffff,0x7fe40000,0xdfffffff,0xffb0000a,0xb0009fff,
    0x36bfffff,0x004fffff,0x5fffffd8,0x09fffffb,0xfffffb00,0x3ffffe2b,
    0x2000001f,0x05fffffd,0xfffffc80,0x9fffffb6,0xffffb000,0x3ffffabf,
    0xffff801f,0xffffd0ff,0xffff003f,0x7ffe41ff,0x40000fff,0x2ffffff9,
    0x13fffff6,0x3ffff600,0xfffffd5f,0xfffff003,0xfffe881f,0xffffffff,
    0x7ec001be,0x0007ffff,0xffffff88,0x7ffffec3,0xff880007,0x3ee3ffff,
    0x001fffff,0xfffd8000,0xfd8004ff,0xff75ffff,0x0003ffff,0x7ff44000,
    0xffffffff,0x36001bef,0x004fffff,0x5fffffd8,0x09fffffb,0xfffffb00,
    0x3fffff6b,0xfffd8004,0xffff55ff,0x000001ff,0x2fffffec,0x7fffe400,
    0xfffffb6f,0xfffb0009,0x3fffabff,0xfff801ff,0xfffd0fff,0xfff003ff,
    0x7fec1fff,0x80007fff,0x3ffffff8,0x13fffff6,0x3ffff600,0xfffffd5f,
    0xfffff003,0xffff301f,0xffffffff,0xd0039fff,0x00ffffff,0x3ffffe00,
    0x7ffff44f,0xff00007f,0x7e49ffff,0x000fffff,0xfffd8000,0xfd8004ff,
    0xff95ffff,0x0001ffff,0xfff98000,0xffffffff,0x401cffff,0x04fffffd,
    0xfffffd80,0x9fffffb5,0xffffb000,0x3ffff6bf,0xffd8004f,0xfff75fff,
    0x00000fff,0xefffffd8,0xaaaaaaaa,0xfffdaaaa,0xffffb6ff,0xffb0009f,
    0x3ffabfff,0xff801fff,0xffd0ffff,0xff003fff,0x7f41ffff,0x0007ffff,
    0x9ffffff0,0x27ffffec,0x7fffec00,0xfffffd5f,0xfffff003,0x3ffee01f,
    0xffffffff,0x00efffff,0x1bfffffa,0x7fff4000,0x7fff45ff,0xd00006ff,
    0x6cbfffff,0x007fffff,0x33333331,0x6c333333,0x004fffff,0x5fffffd8,
    0x0ffffffb,0x26666620,0x19999999,0x3ffffee0,0xffffffff,0xfb00efff,
    0x0009ffff,0x2bfffffb,0x04fffffd,0xfffffd80,0x9fffffb5,0xffffb000,
    0x3ffff2bf,0x4000007f,0xfffffffd,0xffffffff,0xffffffff,0xfffffb6f,
    0xfffb0009,0x3fffabff,0xfff801ff,0xfffd0fff,0xfff003ff,0x7ff41fff,
    0x00006fff,0x4bfffffd,0x04fffffd,0xfffffd80,0x3fffffd5,0xffffff00,
    0x7fff4c01,0xffffffff,0xf01effff,0x00bfffff,0x3ffff600,0x7ffffc7f,
    0xfb00005f,0x7f4fffff,0xd006ffff,0xffffffff,0x361fffff,0x004fffff,
    0x5fffffd8,0x0dfffffd,0x3fffffa0,0xffffffff,0x3fffa600,0xffffffff,
    0xd81effff,0x004fffff,0x5fffffd8,0x09fffffb,0xfffffb00,0x3fffff6b,
    0xfffd8004,0xffffb5ff,0x800000df,0xfffffffd,0xffffffff,0xffffffff,
    0xfffffb6f,0xfffb0009,0x3fffabff,0xfff801ff,0xfffd0fff,0xfff003ff,
    0x7ffc1fff,0x00005fff,0x4ffffffb,0x04fffffd,0xfffffd80,0x3fffffd5,
    0xffffff00,0xfffd7001,0xffffffff,0xff03ffff,0x000bffff,0x3fffff60,
    0x7fffffc7,0xffb00005,0x7fecffff,0xfd006fff,0xffffffff,0x3f61ffff,
    0x8004ffff,0xb5fffffd,0x00dfffff,0x3ffffffa,0x0fffffff,0xffffeb80,
    0xffffffff,0x7fec1fff,0xd8004fff,0xfb5fffff,0x0009ffff,0x2bfffffb,
    0x04fffffd,0xfffffd80,0xdfffffd5,0xfd800000,0xffffffff,0xffffffff,
    0x6fffffff,0x09fffffb,0xfffffb00,0x3fffffab,0xfffff801,0xfffffd0f,
    0xfffff003,0x7ffffc1f,0xfb00005f,0x7ecfffff,0x8004ffff,0xd5fffffd,
    0x003fffff,0x01ffffff,0x7fff5c40,0xffffffff,0x7fff41ff,0xd00006ff,
    0xe8bfffff,0x006fffff,0xfffffd00,0x7ffffecb,0xffffd007,0xffffffff,
    0x3ffff61f,0xffd8005f,0xfffb5fff,0x3fa00fff,0xffffffff,0x2000ffff,
    0xfffffeb8,0xffffffff,0x3fffff61,0xfffd8005,0xffffb5ff,0xffb000bf,
    0x3ff6bfff,0xd8005fff,0xfb5fffff,0x000fffff,0xffffd800,0xffffffff,
    0xffffffff,0xffb6ffff,0xb000bfff,0x3abfffff,0x801fffff,0xd0ffffff,
    0x003fffff,0x41ffffff,0x06fffffe,0xffffd000,0x7fffecbf,0xffd8005f,
    0xfffd5fff,0xfff003ff,0x20001fff,0xffffeca8,0x6c5fffff,0x007fffff,
    0xffffff00,0xfffffd89,0xfff00007,0x7fe49fff,0xe800ffff,0xffffffff,
    0xfb0fffff,0x000bffff,0x2bfffffb,0x0ffffffc,0xfffffe80,0xffffffff,
    0xd9510000,0xffffffff,0x7fffecbf,0xffd8005f,0xfffb5fff,0xfb000bff,
    0x3f6bffff,0x8005ffff,0x75fffffd,0x00ffffff,0xfffd8000,0xffffffff,
    0xffffffff,0xfb6fffff,0x000bffff,0x2bfffffb,0x01fffffe,0x0ffffff8,
    0x03fffffd,0x1ffffff0,0x3fffffec,0xffff8000,0x3fff64ff,0xfd8005ff,
    0xffd5ffff,0xff003fff,0x0001ffff,0x3ffff220,0x3ee0ffff,0x0007ffff,
    0xffffff88,0x7ffffdc3,0xff880007,0x3ee3ffff,0x801fffff,0xfffffffe,
    0xb0ffffff,0x00bfffff,0xbfffffb0,0x3fffffee,0xffffe801,0xffffffff,
    0x9100000f,0xffffffff,0x3fffff61,0xfffd8005,0xffffb5ff,0xffb000bf,
    0x3ff6bfff,0xd8005fff,0xf55fffff,0x001fffff,0x7ffec000,0xfc8005ff,
    0xffb6ffff,0xb000bfff,0x3abfffff,0x801fffff,0xd0ffffff,0x003fffff,
    0x41ffffff,0x07fffffb,0xffff8800,0x3fff63ff,0xfd8005ff,0xffd5ffff,
    0xff003fff,0x0001ffff,0xffffd880,0x3ffea2ff,0x40001fff,0x2ffffff9,
    0x7fffffd4,0x7fcc0001,0x3ea2ffff,0x803fffff,0xb9999998,0xb0ffffff,
    0x00bfffff,0x9fffffb0,0x3fffffea,0x99998803,0xfffffb99,0x4400000f,
    0x2ffffffd,0x0bfffffb,0xfffffb00,0x3fffff69,0xfffd8005,0xffffb4ff,
    0xffb000bf,0x3fe69fff,0x0001ffff,0x7fec0373,0xc8005fff,0xfb6fffff,
    0x000bffff,0x29fffffb,0x01fffffe,0x0ffffff8,0x03fffffd,0x1ffffff0,
    0x7fffffd4,0x7fcc0001,0x3f62ffff,0x8005ffff,0xd4fffffd,0x003fffff,
    0x21ffffff,0x0feedcb8,0x7fffcc00,0x3ffe63ff,0x40004fff,0x0ffffffd,
    0x7fffffcc,0x7fec0004,0x7fc0ffff,0x0006ffff,0x7fffffdc,0xdfffff90,
    0xffffd000,0x7ffffc9f,0x7dc0006f,0x710fffff,0x001fddb9,0xffffff98,
    0xdfffff93,0xffffd000,0x3ffff29f,0xffe8006f,0xfff94fff,0xfd000dff,
    0x3e29ffff,0x004fffff,0x839dffb0,0x05fffffd,0xfffffc80,0xdfffff96,
    0xffffd000,0x3ffffa9f,0xffff801f,0xffffd0ff,0xffff003f,0x7ffcc1ff,
    0x40004fff,0x0ffffffd,0x1bfffff2,0x3ffffa00,0xfffffd4f,0xfffff003,
    0x3fffe21f,0xfe8002ff,0x3e24ffff,0x01ffffff,0xfffff300,0xffff10ff,
    0x20003fff,0x7ffffff9,0xffffffc8,0x3fee0003,0xff70ffff,0xf000dfff,
    0x647fffff,0x03ffffff,0x3fffee00,0xffff10ff,0xfd0005ff,0x3ee9ffff,
    0x8006ffff,0x73ffffff,0x00dfffff,0x7ffffff0,0x1bffffee,0x3ffffe00,
    0x3ffffe3f,0xff8000ff,0x3f66ffff,0x8005ffff,0x76fffffc,0x00dfffff,
    0x7ffffff0,0x07fffffa,0x3fffffe0,0x3fffffd0,0xffffff00,0x7ffffc41,
    0xf30001ff,0xb8ffffff,0x006fffff,0x3ffffff8,0x03fffffd,0x1ffffff0,
    0x2ffffff4,0x7ffffc00,0x7fffec3f,0xfb0005ff,0x209fffff,0x5ffffffd,
    0xffffb000,0xfff309ff,0x4000dfff,0x0ffffffb,0x5ffffff5,0x7fffcc00,
    0x3ffe62ff,0x20006fff,0x0ffffffb,0x17fffffa,0x3ffffe00,0xfffff53f,
    0x7fcc005f,0xff52ffff,0x4005ffff,0x2ffffff9,0x5ffffff5,0x7fffcc00,
    0x3fff22ff,0x5c003fff,0x23ffffff,0x05fffffd,0xfffffc80,0xffffff56,
    0x7ffcc005,0xfffd2fff,0xff8805ff,0xffd0ffff,0xf8805fff,0x6c0fffff,
    0x05ffffff,0xfffffb00,0xffffa89f,0x3e6002ff,0xfd2fffff,0x8805ffff,
    0x20ffffff,0x2ffffffc,0x3fffea00,0x7ffc42ff,0x4003ffff,0xfffffffb,
    0xfffff100,0xfb8007ff,0x00ffffff,0xbffffffd,0xffd88001,0xff30ffff,
    0x001fffff,0x3ffffffa,0x7fffff41,0x6c4000df,0x20ffffff,0x2ffffffc,
    0x3fffea00,0xffff32ff,0x3a001fff,0x31ffffff,0x1fffffff,0x3ffffa00,
    0xffff31ff,0x3a001fff,0x41ffffff,0x0ffffffe,0xfffff300,0x7ffec1ff,
    0xfc8005ff,0xff36ffff,0x001fffff,0x3ffffffa,0x5fffffd1,0xfffffa80,
    0xfffffd0f,0xffffa805,0x7ffc40ff,0x4003ffff,0xfffffffb,0x7ffffcc0,
    0xffd000ff,0x3fa3ffff,0x5402ffff,0x20ffffff,0xfffffffa,0xffff9801,
    0xffb80fff,0x00dfffff,0x7ffffec4,0x7fdc02ff,0x00dfffff,0x7ffffec4,
    0x3fe602ff,0x01efffff,0xfffffc88,0x3ffe0fff,0xa805ffff,0x87ffffff,
    0xfffffff9,0xffc8801e,0x20ffffff,0xfffffffa,0xffff9801,0x3ffe0fff,
    0xa805ffff,0x47ffffff,0x5fffffff,0xfffffa80,0x7ffffc7f,0xffa805ff,
    0xfa87ffff,0x02ffffff,0x7fffff4c,0x7fffec4f,0xffc8005f,0x3ffe6fff,
    0xa805ffff,0x27ffffff,0x04fffffd,0x3fffffa2,0xfffffb0f,0x7fff4409,
    0xffb80fff,0x00dfffff,0x7ffffec4,0xffff02ff,0xf500bfff,0x6cffffff,
    0x204fffff,0xffffffe8,0x7fffff40,0x26209cff,0xfffffffc,0x3ffffa05,
    0x10acffff,0xffffff95,0x3fa00dff,0xcfffffff,0xfff9510a,0x00dfffff,
    0xfffffff9,0x7311379f,0xfffffff9,0x7fdc1fff,0x1aefffff,0x3ffff662,
    0xff903fff,0x79ffffff,0xff973113,0xffffffff,0xfffffe81,0x26209cff,
    0xfffffffc,0x7ffffdc5,0x2621aeff,0xfffffffd,0x7ffffdc3,0x2621aeff,
    0xfffffffd,0x7ffffdc3,0x2621aeff,0xfffffffd,0xfffffb03,0x26235bff,
    0xfffffffc,0x7fffec1f,0xffc8005f,0x3fee6fff,0x1aefffff,0x3ffff662,
    0x3ff23fff,0xfb01ffff,0x21ffffff,0x1ffffffc,0xffffffb0,0x3fffa01f,
    0x0acfffff,0xfffff951,0x7dc0dfff,0xaeffffff,0x3fff6621,0x3f23ffff,
    0xb01fffff,0x1fffffff,0xffffff98,0xffffffff,0xffffffff,0x3fffe601,
    0xffffffff,0xffffffff,0xf3001fff,0xffffffff,0xffffffff,0x03ffffff,
    0x3fffffa0,0xffffffff,0xffffffff,0xfff87fff,0xffffffff,0xffffffff,
    0x7ff407ff,0xffffffff,0xffffffff,0x87ffffff,0xfffffff9,0xffffffff,
    0x1fffffff,0xfffffff8,0xffffffff,0x07ffffff,0xffffffff,0xffffffff,
    0x20ffffff,0xffffffff,0xffffffff,0x207fffff,0xfffffff9,0xffffffff,
    0x83ffffff,0x05fffffd,0xfffffc80,0x7fffffc6,0xffffffff,0x7fffffff,
    0x7fffffd4,0xffec9acf,0x50ffffff,0x9fffffff,0xffffd935,0x2601ffff,
    0xffffffff,0xffffffff,0x1fffffff,0x7fffffc0,0xffffffff,0x7fffffff,
    0x7fffffd4,0xffec9acf,0x80ffffff,0xfffffffb,0xffffffff,0x803fffff,
    0xfffffffa,0xffffffff,0x02ffffff,0x7ffffd40,0xffffffff,0xffffffff,
    0x3ff62002,0xffffffff,0xffffffff,0xb80dffff,0xffffffff,0xffffffff,
    0x4403ffff,0xfffffffd,0xffffffff,0xdfffffff,0xfffff700,0xffffffff,
    0x7fffffff,0x3ffffee0,0xffffffff,0x3fffffff,0xffffff70,0xffffffff,
    0x07ffffff,0x3fffffee,0xffffffff,0x03ffffff,0x7fffffd4,0xffffffff,
    0xb04fffff,0x00bfffff,0xdfffff90,0xffffffb8,0xffffffff,0x43ffffff,
    0xfffffff8,0xefffffff,0xf10fffff,0xffffffff,0xffdfffff,0x7d401fff,
    0xffffffff,0xffffffff,0xb802ffff,0xffffffff,0xffffffff,0x7c43ffff,
    0xffffffff,0xffefffff,0xff900fff,0xffffffff,0xffffffff,0x7fec4009,
    0xffffffff,0xdfffffff,0xffb10000,0xffffffff,0xbfffffff,0x3ff20001,
    0xffffffff,0xffffffff,0x7fd403ff,0xffffffff,0xffffffff,0x3fff2003,
    0xffffffff,0xffffffff,0xfffc803f,0xffffffff,0x4fffffff,0x7ffffd40,
    0xffffffff,0x403fffff,0xfffffffa,0xffffffff,0x7d403fff,0xffffffff,
    0xffffffff,0xffb1003f,0xffffffff,0x0bffffff,0x2fffffec,0x7fffe400,
    0xffffa86f,0xffffffff,0x03ffffff,0xfffffff3,0xf75fffff,0x7cc1ffff,
    0xffffffff,0xfffbafff,0x7ec400ff,0xffffffff,0xffffffff,0x3fea000d,
    0xffffffff,0xffffffff,0xfffff303,0x5fffffff,0x01fffff7,0x7fffff4c,
    0xffffffff,0xf50002ff,0xffffffff,0x05ffffff,0x3ffea000,0xffffffff,
    0x0002ffff,0xfffffda8,0xffffffff,0x22003eff,0xfffffffe,0xefffffff,
    0xffda8001,0xffffffff,0x03efffff,0x7ffff4c0,0xffffffff,0xd1002fff,
    0xffffffff,0x3dffffff,0x3fffa200,0xffffffff,0x1001efff,0xfffffffd,
    0xdfffffff,0xfff70003,0xffffffff,0xfd805dff,0x8005ffff,0x06fffffc,
    0xffffffd1,0xffffffff,0xfffa803d,0x1fffffff,0x81fffff7,0xfffffffa,
    0xfff71fff,0x3ea001ff,0xffffffff,0x02ffffff,0xffffd100,0xffffffff,
    0xfa803dff,0xffffffff,0xfffff71f,0xfffd5001,0xbfffffff,0xb8800017,
    0xffffffed,0x0000bdef,0x7ff6dc40,0xbdefffff,0x64400000,0xffffffff,
    0x0001beff,0x3fffff6e,0x03efffff,0xfffc8800,0xefffffff,0x7540001b,
    0xffffffff,0x8000bdff,0xffffffdb,0x003effff,0xfffffb70,0x07dfffff,
    0x3fff6e00,0xefffffff,0x6e4c0003,0xffffffff,0xfffb002e,0xf9000bff,
    0xb80dffff,0xfffffffd,0x2003efff,0xefffffda,0x3fffee0c,0xfffda80f,
    0x3ee0ceff,0x2000ffff,0xffffedb8,0x00bdefff,0xfffdb800,0xefffffff,
    0x3ff6a003,0x2e0cefff,0x000fffff,0x555dd4c4,0x40000009,0x0001aba9,
    0x57530000,0x80000003,0x9aacaa98,0x4c400000,0x0aaacbaa,0x53100000,
    0x00135595,0x2ea62000,0x00009aab,0x59755310,0x20000155,0xaacbaa98,
    0x3100000a,0x15559755,0x2a200000,0xd8001aab,0x005fffff,0x6fffffc8,
    0x97553100,0x80001555,0x00000ab9,0x000055cc,0x2aea6000,0x44000001,
    0xaaacbaa9,0x55cc0000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xaa800000,0x5531aaaa,0x88003555,0x06aa201a,0x5eeeeeb8,0xaa880000,
    0xaaaa81aa,0x55400002,0xaaa882aa,0xa880001a,0x001aaaaa,0xaa800000,
    0x0002aaaa,0xaaaa9800,0x200000aa,0x02aaaaaa,0x55400000,0x00002aaa,
    0x55555400,0x5530002a,0x55550155,0xaa880005,0xaaaa81aa,0xaaaa8002,
    0x0aaaa982,0x41555540,0x001aaaa8,0x5100d400,0x33000035,0x33310333,
    0xaaaa8013,0x200001aa,0x0efffff8,0x01fffffd,0x3ffff220,0x01ffec1c,
    0x0dfffff9,0x3ff60000,0x3ffea0ff,0x5400004f,0x7f44ffff,0x00000fff,
    0x0dfffff9,0x98000000,0x01ffffff,0xffe80000,0x00004fff,0x3fffffe2,
    0x20000002,0x1ffffffb,0xf3000000,0x003fffff,0x1bfffe20,0x005ffff9,
    0x1ffffb00,0x027fffd4,0x1ffffdc0,0x00dffff1,0x449ffff5,0x000ffffe,
    0xefffb880,0x017fec0b,0x3fffe600,0x2ffffe87,0x7ffffd40,0xf900000f,
    0x3ea1ffff,0x2001ffff,0xfffffffe,0x02fffddf,0x1bfffff2,0x7fc40000,
    0xffff16ff,0x3200000d,0xffb2ffff,0x800005ff,0x02fffffc,0x36000000,
    0x001fffff,0xfffa8000,0x400004ff,0x02fffffc,0x3e600000,0x0effffff,
    0xfd800000,0x0001ffff,0xaa7fffd4,0x0005ffff,0x2dffff10,0x006ffff9,
    0x47ffff60,0x001ffffe,0x363ffffb,0x0002ffff,0xffffffd0,0x3fffb9df,
    0xfff98000,0xffffe87f,0xffffb802,0xf880003f,0x3fa1ffff,0x26002fff,
    0xffffffff,0x00ffffff,0x1bfffff2,0xffa80000,0xffffecff,0x3a000001,
    0xfffcffff,0xb000005f,0x000bffff,0x3fe60000,0x00002fff,0xbffffd00,
    0xff880000,0x00003fff,0x3fffa200,0x004fffff,0x7ffcc000,0x900002ff,
    0xfff7ffff,0x400001df,0xfecffffa,0x20001fff,0xfceffff8,0x22003fff,
    0xffcffffe,0x300004ff,0xffffffff,0x01ffffff,0xffff9800,0x2ffffe87,
    0xfffff700,0xfff70000,0x7fffcc5f,0x77fdc004,0xfffffdaa,0x7fe403ff,
    0x00006fff,0x7ffffec0,0x00003fff,0x7ffffcc0,0x0000efff,0x3ffff600,
    0x80000001,0x002ffffc,0xfff30000,0x700000bf,0x0009ffff,0xfffd8000,
    0x2ffffdaf,0x3f200000,0x00003fff,0x7ffffff4,0x800001ff,0xfffffffd,
    0xfa80003f,0x6fffffff,0xffff9800,0x000effff,0x75dff700,0xfffffffb,
    0xff300009,0xfffd0fff,0x7fe4005f,0x7c0003ff,0x7fec3fff,0xffb8005f,
    0x3effc982,0xfffffc80,0x44000006,0x6ffffffe,0xf7000000,0x03ffffff,
    0xfe880000,0x000005ff,0x1ffffc40,0xfb000000,0x00001dff,0x009ffff0,
    0xffa80000,0xfffd14ff,0x1000001f,0x0007ffff,0xfffff300,0x000009ff,
    0x3fffffa2,0x3200006f,0x0fffffff,0xffff9000,0x00003fff,0x6d417fe4,
    0x00003fff,0xd0fffff3,0x8005ffff,0x0006fffd,0xf313ffee,0x22000dff,
    0x64000019,0x006fffff,0xfff98000,0x00000fff,0x3ffffa00,0x0000004f,
    0x001fffd1,0x7fe40000,0x0000004f,0x003bffe2,0x3ffee000,0x40000005,
    0x4c6ffff8,0x0005ffff,0x04fffc80,0x3fee0000,0x00006fff,0x7ffffcc0,
    0x7400000f,0x003fffff,0x7fffff40,0x4c400004,0x00000001,0x31033333,
    0xb0001333,0x20005fff,0x99881998,0x00000009,0x7fffe400,0x0000006f,
    0x00000000,0x00000000,0x0004ccc4,0x33310000,0x88000000,0x00000999,
    0x00033310,0x33310000,0x33331013,0x33100000,0x00000003,0x00000000,
    0x00000000,0x00000000,0x59755100,0x00000003,0x26600000,0x00000009,
    0x00000000,0xdfffff90,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x98000000,0xffffffec,0x000bdeff,0x13fffff6,0x3ffff600,
    0x6c00005f,0x004fffff,0x5fffffd8,0x09fffffb,0xfffffb00,0x3fffff2b,
    0xffb00006,0xffffffff,0xbdffffff,0x7fc00159,0xffffffff,0xffffffff,
    0x2fffffff,0xffffb000,0x000007ff,0x7ffffec0,0xfc80003f,0xffffffff,
    0xffffffff,0x366fffff,0xffffffff,0xffffffff,0x0000acde,0xfffffb00,
    0x7e40007f,0x8006ffff,0x95fffff9,0x00dfffff,0xbfffff30,0x3fff6000,
    0x00003fff,0x1ffffffc,0x3fffff20,0xffffffff,0xffffffff,0x3ff2006f,
    0xffffffff,0x002fffff,0x09fffffb,0xfffffb00,0x3ffffe0b,0x7ffec03f,
    0xfd8004ff,0xffb5ffff,0xb0009fff,0x32bfffff,0x006fffff,0xfffffb00,
    0xffffffff,0xffffffff,0x3fffe007,0xffffffff,0xffffffff,0x002fffff,
    0xffffff88,0x0000006f,0xfffffff1,0xff90000d,0xffffffff,0xffffffff,
    0x7ecdffff,0xffffffff,0xffffffff,0x0003ffff,0x7ffffc40,0x320006ff,
    0x03ffffff,0x7ffffcc0,0xffffff95,0xfff98007,0xf88005ff,0x06ffffff,
    0x7fffc000,0x7fe403ff,0xffffffff,0xffffffff,0x9806ffff,0xfffffffe,
    0xffffffff,0x7ec00dff,0x8004ffff,0x05fffffd,0x07ffffff,0x4fffffd8,
    0xffffd800,0xfffffb5f,0xfffb0009,0x3fff2bff,0xb00006ff,0xffffffff,
    0xffffffff,0x0dffffff,0xfffffff0,0xffffffff,0xffffffff,0xf70005ff,
    0x5fffffff,0xf7000000,0x5fffffff,0xfffc8000,0xffffffff,0xffffffff,
    0x3ff66fff,0xffffffff,0xffffffff,0x0006ffff,0x3ffffee0,0x90002fff,
    0x1fffffff,0x7fffcc00,0xfffff95f,0x7cc001ff,0x8005ffff,0xfffffffb,
    0x3e00002f,0x403fffff,0xfffffffc,0xffffffff,0x6fffffff,0x7ffffdc0,
    0xffffffff,0xffffffff,0x3ffff602,0xffd8004f,0xfff05fff,0xfd807fff,
    0x8004ffff,0xb5fffffd,0x009fffff,0xbfffffb0,0x1bfffff2,0x7ffec000,
    0xffffffff,0xffffffff,0x7c05ffff,0xffffffff,0xffffffff,0xffffffff,
    0xfffe8002,0x005fffff,0xfffe8000,0x005fffff,0x7ffffe40,0xffffffff,
    0xffffffff,0x3ffff66f,0xffffffff,0xffffffff,0x00005fff,0xfffffffd,
    0x3f2000bf,0x05ffffff,0x3ffffe60,0xffffff95,0x7fcc00bf,0xe8005fff,
    0xffffffff,0x3fe00005,0x6403ffff,0xffffffff,0xffffffff,0x06ffffff,
    0x3fffffe6,0xffffffff,0xffffffff,0xffffb01f,0xffb0009f,0x3fe0bfff,
    0x6c03ffff,0x004fffff,0x5fffffd8,0x09fffffb,0xfffffb00,0x3fffff2b,
    0xffb00006,0xffffffff,0xffffffff,0x05ffffff,0x7ffffffc,0xffffffff,
    0xffffffff,0x7cc002ff,0xffffffff,0x2000000f,0xfffffff9,0x20000fff,
    0xfffffffc,0xffffffff,0x6fffffff,0x3ffffff6,0xffffffff,0xffffffff,
    0x4c0002ff,0xffffffff,0xfc8000ff,0x2fffffff,0xfffff300,0x3fffff2b,
    0xf3002fff,0x800bffff,0xfffffff9,0x00000fff,0x07ffffff,0xffffffc8,
    0xffffffff,0xffffffff,0x3ffffa06,0x10abefff,0xfffffd75,0x3ff60bff,
    0xd8004fff,0xf05fffff,0x807fffff,0x04fffffd,0xfffffd80,0x9fffffb5,
    0xffffb000,0x3ffff2bf,0xfb00006f,0x555dffff,0xf7555555,0xbfffffff,
    0x55555540,0xffffdaaa,0xaaaaaaff,0x64000aaa,0xffffffff,0x000003ff,
    0x3ffffff2,0x0003ffff,0x2aaaaaa6,0xaaaaaaaa,0xffffffff,0x3fffff62,
    0xaaaaaaae,0xfffffbaa,0x40005fff,0xfffffffc,0xc8003fff,0xffffffff,
    0xfff9800f,0xffff95ff,0x001fffff,0x0bfffff3,0xfffffc80,0x003fffff,
    0xffffff00,0xaaaa9807,0xaaaaaaaa,0xffffffaa,0xfff902ff,0x2009ffff,
    0xfffffffc,0xfffffd82,0xfffd8004,0xffff05ff,0xffd807ff,0xd8004fff,
    0xfb5fffff,0x0009ffff,0x2bfffffb,0x06fffffc,0xffffb000,0x7dc400bf,
    0x00ffffff,0x3fffee00,0x8800007f,0xffffffff,0x00006fff,0xffffff10,
    0x00dfffff,0xff900000,0xd89fffff,0x005fffff,0x3ffffee2,0xf10000ff,
    0xffffffff,0xf9000dff,0xffffffff,0xffff3009,0x3ffff2bf,0x804fffff,
    0x05fffff9,0x3ffffe20,0x06ffffff,0xfffff000,0x2000007f,0xfffffffc,
    0xfffff304,0xfa8005ff,0x40ffffff,0x04fffffd,0xfffffd80,0xffffff05,
    0xffffd807,0xffd8004f,0xfffb5fff,0xfb0009ff,0x3f2bffff,0x0006ffff,
    0xbfffffb0,0xffffd000,0x5c0003ff,0x007fffff,0xffffa800,0xffffffef,
    0xfa800002,0xfffeffff,0x00002fff,0x3fffea00,0xffd85fff,0xe8005fff,
    0x01ffffff,0xfffff500,0x5ffffffd,0xffffc800,0x01ffffff,0xafffffcc,
    0xfffffffc,0x7cc01fff,0x2005ffff,0xfefffffa,0x002fffff,0xffffff80,
    0xfa800003,0x05ffffff,0x3ffffff6,0xfff90004,0xffd89fff,0xd8004fff,
    0xf05fffff,0x807fffff,0x04fffffd,0xfffffd80,0x9fffffb5,0xffffb000,
    0x3ffff2bf,0xfb00006f,0x000bffff,0x5ffffff7,0x7ffdc000,0x800007ff,
    0xdafffffe,0x005fffff,0xffffe800,0xfffffdaf,0x30000005,0xdfffffff,
    0xfffffb01,0xfff7000b,0x20005fff,0xdafffffe,0x005fffff,0x7fffffe4,
    0x4c06ffff,0xf95fffff,0xffffffff,0xfff980df,0x3fa005ff,0xffdaffff,
    0x80005fff,0x03ffffff,0x7ffcc000,0x200effff,0x0fffffff,0xffff1000,
    0xfffd8fff,0xfd8004ff,0xff05ffff,0xd807ffff,0x004fffff,0x5fffffd8,
    0x09fffffb,0xfffffb00,0x3fffff2b,0xffb00006,0x3000bfff,0x05ffffff,
    0x7fffdc00,0x4c00007f,0xa8ffffff,0x00ffffff,0x3ffe6000,0xfffa8fff,
    0x00000fff,0x7ffff440,0xffb01fff,0x3000bfff,0x05ffffff,0xfffff300,
    0xfffff51f,0x7fe4001f,0xffffffff,0x3ffe602f,0xffff95ff,0x5fffffff,
    0x7ffffcc0,0xffff3005,0xffff51ff,0xf80001ff,0x003fffff,0x3fffa200,
    0x2a01ffff,0x04ffffff,0x7fffe400,0x3fff60ff,0xfd8004ff,0xff05ffff,
    0xd807ffff,0x004fffff,0x5fffffd8,0x09fffffb,0xfffffb00,0x3fffff2b,
    0xffb00006,0x7000bfff,0x03ffffff,0x7fffdc00,0x6400007f,0xf15fffff,
    0x007fffff,0x7fffe400,0xfffff15f,0x8000007f,0xfffffffd,0x3ffff602,
    0xffb8005f,0x8001ffff,0x15fffffc,0x07ffffff,0x7ffffe40,0x0fffffff,
    0xbfffff30,0x3ffffff2,0x00ffffff,0x0bfffff3,0x3fffff20,0xffffff15,
    0xfff80007,0x00003fff,0x3ffffff6,0x7ffe402f,0x40000fff,0x2ffffff9,
    0x13fffff6,0x3ffff600,0xfffff05f,0xfffd807f,0xfd8004ff,0xffb5ffff,
    0xb0009fff,0x32bfffff,0x006fffff,0xfffffb00,0xfffb000b,0x40001fff,
    0x07fffffb,0x7fffc000,0x3fff22ff,0x200006ff,0x22ffffff,0x06fffffc,
    0x3ff20000,0x403fffff,0x05fffffd,0xfffffd80,0xfff8000f,0x3ff22fff,
    0x32006fff,0xffdfffff,0xf304ffff,0x3f2bffff,0xfffdffff,0xff304fff,
    0x3e00bfff,0x322fffff,0x006fffff,0x7fffffc0,0xff900003,0x007fffff,
    0x0ffffffb,0xffff1000,0x7ffec7ff,0xfd8004ff,0xff05ffff,0xd807ffff,
    0x004fffff,0x5fffffd8,0x09fffffb,0xfffffb00,0x3fffff2b,0xffb00006,
    0x4400bfff,0x5ffffffd,0x7ffdc000,0x200007ff,0x47fffffa,0x2ffffff9,
    0xfffa8000,0x7ffcc7ff,0x00002fff,0xffffffa8,0xfffd805f,0x362005ff,
    0x05ffffff,0xfffffa80,0x7ffffcc7,0xfff9002f,0xffffd5ff,0xfff303ff,
    0x3fff2bff,0xffffeaff,0xfff981ff,0xffa805ff,0x7fcc7fff,0x0002ffff,
    0x0ffffffe,0x3ffea000,0xd005ffff,0x00ffffff,0x3ffffe00,0x3ffff64f,
    0xffd8004f,0xfff05fff,0xfd807fff,0x8004ffff,0xb5fffffd,0x009fffff,
    0xbfffffb0,0x1bfffff2,0x7ffec000,0xaaaaaeff,0xfffdcccc,0x001fffff,
    0x7ffffdc0,0x3f600007,0xfe84ffff,0x0005ffff,0x4fffffd8,0x5fffffe8,
    0x7fcc0000,0x00efffff,0xefffffd8,0xcccaaaaa,0xffffffdc,0xfd8001ff,
    0xfe84ffff,0x9005ffff,0xf35fffff,0x30dfffff,0x32bfffff,0xf9afffff,
    0x986fffff,0x805fffff,0x84fffffd,0x05fffffe,0x3ffffe00,0x7cc0003f,
    0x0effffff,0xfffffd00,0x3fa0000d,0x3f65ffff,0x8004ffff,0x05fffffd,
    0x07ffffff,0x4fffffd8,0xffffd800,0xfffffb5f,0xfffb0009,0x3fff2bff,
    0xb00006ff,0xffffffff,0xffffffff,0x9fffffff,0xfff70000,0x20000fff,
    0x1ffffff8,0xffffffc8,0x3fe20000,0xfc81ffff,0x000fffff,0xfffff100,
    0x36001fff,0xffffffff,0xffffffff,0x4fffffff,0xffff8800,0xfffc81ff,
    0xfc800fff,0xff92ffff,0xf987ffff,0xff95ffff,0x3ff25fff,0x7cc3ffff,
    0x4405ffff,0x81ffffff,0x0ffffffc,0xfffff000,0x7c40007f,0x0fffffff,
    0x3ffffe00,0xfb00005f,0x7ecfffff,0x8004ffff,0x05fffffd,0x07ffffff,
    0x4fffffd8,0xffffd800,0xfffffb5f,0xfffb0009,0x3fff2bff,0xb00006ff,
    0xffffffff,0xffffffff,0x07ffffff,0x3ffee000,0x700007ff,0x20dfffff,
    0x3ffffff8,0x3ffee000,0xfff106ff,0x00007fff,0x3ffffffa,0x3ff6002f,
    0xffffffff,0xffffffff,0x0003ffff,0x0dfffff7,0x3fffffe2,0xffffc803,
    0x3ffffa2f,0x3ffe60ff,0xffff95ff,0x7ffff45f,0x3ffe60ff,0x7fdc05ff,
    0xff106fff,0x0007ffff,0x0ffffffe,0xffffe800,0x7c002fff,0x005fffff,
    0xfffffb00,0x7ffffecf,0xfffd8004,0xffff05ff,0xffd807ff,0xd8004fff,
    0xfb5fffff,0x0009ffff,0x2bfffffb,0x06fffffc,0xffffb000,0xffffffff,
    0xffffffff,0x5c00003d,0x007fffff,0xfffffd00,0x7ffff407,0x3fa0006f,
    0x3a03ffff,0x006fffff,0xfffffc80,0x7ec003ff,0xffffffff,0xffffffff,
    0x0001efff,0x0ffffffa,0x6fffffe8,0xfffffc80,0x3ffffea2,0x3fffe65f,
    0xfffff95f,0x7ffffd45,0x3fffe65f,0x7fff405f,0x3ffa03ff,0xf0006fff,
    0x007fffff,0x3fffff20,0xfe8003ff,0x0006ffff,0xbfffffd0,0x2fffffec,
    0x7fffec00,0xfffff05f,0xfffd807f,0xfd8005ff,0xffb5ffff,0xb000bfff,
    0x32bfffff,0xaaffffff,0xaaaaaaaa,0xfb2aaaaa,0xffffffff,0xffffffff,
    0x0000017b,0x0ffffff7,0xffff3000,0x7fdc01ff,0x8002ffff,0x0ffffff9,
    0x3ffffee0,0x3ee0002f,0x05ffffff,0xfffffd80,0xffffffff,0x00bdffff,
    0x7fffcc00,0x3fee00ff,0x6402ffff,0x6c2fffff,0x32ffffff,0x32bfffff,
    0x6c2fffff,0x32ffffff,0x40bfffff,0x0ffffff9,0x3ffffee0,0xfff8002f,
    0xb8003fff,0x5fffffff,0xffffb000,0x3e0000ff,0x364fffff,0x005fffff,
    0x5fffffd8,0x7ffffff0,0xfffffd80,0xfffd8005,0xffffb5ff,0xffb000bf,
    0x3ff2bfff,0xffffffff,0xffffffff,0xfffb7fff,0xfdd99dff,0x1bffffff,
    0x3ee00000,0x0007ffff,0x6fffffc8,0x7ffffc40,0xffc8005f,0x7c406fff,
    0x005fffff,0xffffff30,0x3f6000df,0xecceffff,0xfffffffe,0xfc80000d,
    0x4406ffff,0x05ffffff,0x17ffffe4,0x3fffffe2,0xbfffff36,0x0bfffff2,
    0xdffffff1,0x17ffffe6,0x6fffffc8,0x7ffffc40,0xfff8005f,0x4c003fff,
    0x6fffffff,0x3ffee000,0x880007ff,0x23ffffff,0x05fffffd,0xfffffd80,
    0xffffff05,0xffffd807,0xffd8005f,0xfffb5fff,0xfb000bff,0x3f2bffff,
    0xffffffff,0xffffffff,0xffb7ffff,0xfd10bfff,0x03dfffff,0xfff70000,
    0x88000fff,0xceffffff,0xfccccccc,0x00ffffff,0x3ffffe20,0xccccccef,
    0xffffffcc,0x7fc4000f,0x00ffffff,0xfffffb00,0xffffd10b,0x40003dff,
    0xeffffff8,0xcccccccc,0x0fffffff,0x3fffff20,0xfffffb82,0xfffff9bf,
    0x5fffff95,0xffffff70,0xbfffff37,0x3ffffe20,0xccccccef,0xffffffcc,
    0x7ffc000f,0x22003fff,0xffffffff,0x3fea0000,0x0001ffff,0x7fffffcc,
    0x3fffff62,0xfffd8005,0xffff04ff,0xffd807ff,0xd8005fff,0xfb4fffff,
    0x000bffff,0x29fffffb,0xfffffffc,0xffffffff,0xb7ffffff,0x40bfffff,
    0xfffffffc,0x7dc00002,0x0007ffff,0x7fffffdc,0xffffffff,0xffffffff,
    0x3ffee003,0xffffffff,0xffffffff,0x74003fff,0x1fffffff,0x3fff6000,
    0x3ff205ff,0x002fffff,0xffffff70,0xffffffff,0xffffffff,0x7fffe407,
    0xffffd02f,0xfffff5ff,0x3fffff2b,0xfffffd02,0xbfffff5f,0x3ffffee0,
    0xffffffff,0xffffffff,0x7ffc003f,0x3a003fff,0x1fffffff,0x7ffcc000,
    0x40004fff,0x0ffffffd,0x1bfffff2,0x3ffffa00,0xfffff04f,0xfffc807f,
    0xfe8006ff,0xff94ffff,0xd000dfff,0x329fffff,0xffffffff,0xffffffff,
    0xfb7fffff,0xd80bffff,0x1fffffff,0x3fee0000,0x40007fff,0xfffffffe,
    0xffffffff,0x6fffffff,0x3ffffa00,0xffffffff,0xffffffff,0x3f6006ff,
    0x03ffffff,0x7fffec00,0x7ffec05f,0x8001ffff,0xfffffffe,0xffffffff,
    0x6fffffff,0x3fffff20,0xfffff302,0xbfffffff,0x0bfffff2,0x7fffffcc,
    0x05ffffff,0xfffffffd,0xffffffff,0xdfffffff,0xfffff800,0xfffb003f,
    0x0007ffff,0xffffff10,0x3e60003f,0x5c7fffff,0x006fffff,0x3ffffff8,
    0x7ffffff0,0xfffffb80,0xffff8006,0xffff73ff,0xfff000df,0x3ff27fff,
    0xffffffff,0xffffffff,0xfffb7fff,0xff880bff,0x00efffff,0xffff7000,
    0x7cc000ff,0xffffffff,0xffffffff,0x2fffffff,0xfffff980,0xffffffff,
    0xffffffff,0xfb802fff,0x04ffffff,0xffffd800,0x7ffc405f,0x000effff,
    0x3fffffe6,0xffffffff,0xffffffff,0xfff902ff,0x7fe405ff,0xffffffff,
    0xfffff95f,0x7fffe405,0x5fffffff,0xffffff98,0xffffffff,0xffffffff,
    0x3fe002ff,0xb803ffff,0x4fffffff,0x3ff60000,0x0005ffff,0x9ffffffb,
    0xffffffa8,0x3ffe6002,0xfff02fff,0xfa807fff,0x002fffff,0x3fffffe6,
    0xffffff52,0x7ffcc005,0xb9802fff,0x6c001abc,0x805fffff,0xfffffffa,
    0xff700005,0x4000ffff,0xfffffffc,0xffffffff,0xffffffff,0xfffc805f,
    0xffffffff,0xffffffff,0x405fffff,0xfffffff9,0xffb00005,0xf500bfff,
    0x0bffffff,0x7ffffe40,0xffffffff,0xffffffff,0xff905fff,0x7c405fff,
    0xffffffff,0xffff95ff,0x7ffc405f,0xffffffff,0xfffffc85,0xffffffff,
    0xffffffff,0x3e005fff,0x403fffff,0xfffffff9,0x7c400005,0x03ffffff,
    0x7ffffdc0,0x7ffcc0ff,0xd000ffff,0x03ffffff,0x0ffffffe,0xffffff30,
    0x3ffa001f,0xff31ffff,0x001fffff,0x3ffffffa,0xffffd801,0xffb002ef,
    0x3600bfff,0x2fffffff,0xfffb8000,0x3e0007ff,0xeeefffff,0xeeeeeeee,
    0xffffffee,0x7fffc00f,0xeeeeeeff,0xfeeeeeee,0x00ffffff,0xfffffff1,
    0x3600001d,0x005fffff,0xfffffffb,0x3fffe005,0xeeeeeeff,0xfeeeeeee,
    0x80ffffff,0x02fffffc,0x7fffffd4,0xff95ffff,0xfa805fff,0xffffffff,
    0xfffff85f,0xeeeeeeef,0xffeeeeee,0x000fffff,0x07ffffff,0x7fffffc4,
    0x800000ef,0xfffffffb,0x7fec400d,0xf02fffff,0x0bffffff,0xffffff50,
    0x7ffffc0f,0xffff803f,0xfa805fff,0x7c7fffff,0x05ffffff,0xffffffa8,
    0xffffb007,0xfb005fff,0x200bffff,0xfffffff8,0x7dc0000f,0x0007ffff,
    0x3ffffff5,0xffff5000,0x7fd407ff,0x8001ffff,0x3ffffffa,0xffffffd0,
    0x6c00003f,0x005fffff,0xfffffff1,0xfffa801f,0xa8001fff,0x83ffffff,
    0x02fffffc,0xffffffe8,0xfff95fff,0xffd005ff,0xbfffffff,0xffffffa8,
    0xfffa8001,0xff003fff,0x7407ffff,0x1fffffff,0x3fa00000,0xcfffffff,
    0xfff9510a,0x40dfffff,0xfffffffb,0x3f6621ae,0x03ffffff,0x0ffffffe,
    0x3ffffee0,0x2621aeff,0xfffffffd,0x7ffffdc3,0x2621aeff,0xfffffffd,
    0xf5331003,0xfb00bfff,0x400bffff,0xfffffffa,0x7fdc0004,0xb0007fff,
    0x00dfffff,0x7fffffc0,0x3ffff606,0x3fe0006f,0xfb86ffff,0xadffffff,
    0xaaaaaaaa,0xaaaaaaaa,0xbfffffb1,0x7fffd400,0x7ec04fff,0x0006ffff,
    0x1bfffffe,0x0bfffff2,0x3ffffe60,0xff95ffff,0xf3005fff,0xffffffff,
    0xfffffd8b,0x3ffe0006,0xff006fff,0x2e07ffff,0xdfffffff,0xaaaaaaaa,
    0xaaaaaaaa,0xffff301a,0xffffffff,0xffffffff,0xff803fff,0xffffffff,
    0xffffffff,0x7fc07fff,0xf003ffff,0xffffffff,0xffffffff,0x3e0fffff,
    0xffffffff,0xffffffff,0x0007ffff,0x201bffee,0x05fffffd,0x7ffffec0,
    0x2e0001ff,0x007fffff,0xffffff88,0x3ff20003,0xf882ffff,0x003fffff,
    0x3fffff20,0x7fffdc2f,0xffffffff,0xffffffff,0xfb3fffff,0x800bffff,
    0xfffffffd,0xfffff101,0x7e40007f,0x642fffff,0x002fffff,0xfffffff9,
    0x3ffff2bf,0xfff9002f,0x44bfffff,0x03ffffff,0x3ffff200,0xfff802ff,
    0xff703fff,0xffffffff,0xffffffff,0x7fffffff,0x7ffffd40,0xffffffff,
    0xffffffff,0xffffb802,0xffffffff,0xffffffff,0x7ffffc03,0xfff7003f,
    0xffffffff,0xffffffff,0x3ffee07f,0xffffffff,0xffffffff,0xfd10003f,
    0xffb009ff,0x8800bfff,0x6fffffff,0x3ffee000,0xfb8007ff,0x000fffff,
    0x3ffffe60,0xffffb85f,0x260000ff,0x45ffffff,0xfffffffb,0xffffffff,
    0xffffffff,0xffffb3ff,0xff8800bf,0x706fffff,0x01ffffff,0x7fffcc00,
    0x7ffe45ff,0x3fa002ff,0x95ffffff,0x005fffff,0x7ffffff4,0x3fffee5f,
    0x260000ff,0x05ffffff,0x3ffffff8,0xffffff70,0xffffffff,0xffffffff,
    0xd8807fff,0xffffffff,0xffffffff,0x3ea000df,0xffffffff,0xffffffff,
    0xffff803f,0x3ea003ff,0xffffffff,0xffffffff,0x7ffd403f,0xffffffff,
    0x3fffffff,0xedccdd80,0x801fffff,0x05fffffd,0xfffffa80,0xf70003ff,
    0x000fffff,0x0bfffffd,0xffffd000,0xfffe81ff,0xe80005ff,0x20ffffff,
    0xfffffffb,0xffffffff,0xffffffff,0xffffb3ff,0xff5000bf,0xd07fffff,
    0x00bfffff,0xfffffd00,0x7fffe41f,0x3fea002f,0xf95fffff,0x4005ffff,
    0xfffffffa,0x3fffffa5,0xffe80005,0x7c00ffff,0x703fffff,0xffffffff,
    0xffffffff,0xffffffff,0x3fea007f,0xffffffff,0x002fffff,0xfffffd10,
    0xffffffff,0x3fe003df,0x4003ffff,0xffffffe8,0xffffffff,0xffd1001e,
    0xffffffff,0x003dffff,0x3ffffffe,0xfb001fff,0x000bffff,0x3ffffff2,
    0xffb8000f,0x4c007fff,0x02ffffff,0xffffb800,0x3ffe63ff,0x80002fff,
    0x3ffffffb,0x3fffffee,0xffffffff,0xffffffff,0xfffb3fff,0x32000bff,
    0x0fffffff,0x3fffffe6,0xffb80002,0x3f23ffff,0x4002ffff,0x5ffffffd,
    0x05fffff9,0xfffffd80,0xfffff35f,0xf700005f,0x807fffff,0x03ffffff,
    0xfffffff7,0xffffffff,0xffffffff,0x5c4007ff,0xffffffed,0x0000bdef,
    0xfffffdb8,0x03efffff,0x7fffffc0,0xffb70003,0xffffffff,0x36e0007d,
    0xffffffff,0x74003eff,0xadffffff,0x3fff6000,0xf10005ff,0x0bffffff,
    0xfffff700,0xfffd800f,0x80000fff,0x7ffffff8,0x3ffffff6,0xff880000,
    0x3ee7ffff,0xffffffff,0xffffffff,0xffffffff,0xbfffffb3,0x3ffe2000,
    0x3f65ffff,0x000fffff,0xfffff880,0x3ffff27f,0x7fc4002f,0xff95ffff,
    0x88005fff,0xb5ffffff,0x01ffffff,0xffff1000,0xfff80fff,0xff703fff,
    0xffffffff,0xffffffff,0x7fffffff,0xaba98000,0x44000001,0xaaacbaa9,
    0xffff0000,0x880007ff,0xaaacbaa9,0x53100000,0x01555975,0x00013000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x1aaaaaa8,0x33331000,0x54c00133,0x8002aaaa,0x00aaaaa8,0x2aaaaa98,
    0x400cc400,0x54000099,0x006aa201,0x88199998,0x00009999,0x51055555,
    0x80003555,0xa81aaaa8,0x80002aaa,0x005eeeee,0x55555500,0x30000005,
    0x01555555,0x55555000,0x80000003,0xa88001ba,0x0001aaaa,0x2a009880,
    0xc800002a,0xffffffff,0x003fffff,0xfffffe80,0xffffffff,0x00d40000,
    0x00003551,0x3fffff20,0x3ff20006,0x2000efff,0x03ffffff,0xfffffe80,
    0x7fffc406,0x7e4002ff,0x17fea03f,0x3fff2200,0x1ffe41cf,0x7ffff980,
    0x03ffffe8,0x9ffff500,0x00ffffe8,0xffffe800,0x0ffffee0,0x3fffe000,
    0xf300007f,0x003fffff,0xfffe8000,0xc80003ff,0x01ffffff,0x3f600000,
    0x7fec000f,0x0000ffff,0x5bfffb30,0x0007ff88,0xfffffc80,0xffffffff,
    0xffe80003,0xffffffff,0x88000fff,0x41cfffeb,0x00004ffb,0xefffff88,
    0xfff10000,0x5c001dff,0x003fffff,0xffffffc8,0x3ffee04f,0xfa8003ff,
    0x0fffa07f,0x3ffff600,0xffddffff,0xfff3002f,0xffffd0ff,0x7fe40007,
    0xffff92ff,0x3e600005,0xfff35fff,0x3e0000bf,0x0007ffff,0x3ffffea0,
    0x2a000005,0x004fffff,0xfffffa80,0x000006ff,0x800dff10,0xfffffffa,
    0xff980006,0xcdffffff,0x00006ffe,0xffffffc8,0x3fffffff,0xfffe8000,
    0xffffffff,0xfd8000ff,0xceffffff,0x0003fffc,0xeffffb80,0x3ff20000,
    0x74000eff,0x8004ffff,0xfffffffa,0xffff02ff,0x3e20007f,0xda88bdff,
    0x4c001fff,0xffffffff,0x00ffffff,0x0fffff30,0x007ffffd,0xbffffe80,
    0x0005ffff,0x67fffdc0,0x000fffff,0xffffff00,0xffa80000,0x00000fff,
    0x0bffffd0,0xffff1000,0x009fffff,0x7ff50000,0x7fffc400,0x003fffff,
    0x7ffffec0,0xffffffff,0xfc800004,0xffffffff,0x0003ffff,0xffffffe8,
    0x0fffffff,0x7fffc400,0xffffffff,0x800001ff,0x000fffff,0x3ffffe20,
    0x7ffd4001,0xff88005f,0xffff9eff,0x7fffdc0f,0x7fd40004,0xffffffff,
    0xeffa8003,0xfffffdaa,0x3e6004ff,0xffe87fff,0x4c0003ff,0xffffffff,
    0xd800000f,0xffffffff,0x3fe00002,0x00007fff,0x04ffffb8,0xfff98000,
    0xfb00005f,0xfffd3fff,0x8000003f,0x3a001ffd,0xffe9ffff,0x3a0001ff,
    0xffecacff,0x000fffff,0x00000000,0x00000000,0xb77fff50,0xbfffffff,
    0xff500000,0xb80003ff,0x8001ffff,0x0005fffe,0x2a3ffffb,0x7f45ffff,
    0x900005ff,0xffffffff,0x3fee000b,0x3effc983,0x7fffcc00,0x3ffffe87,
    0xfffb8000,0x0002ffff,0xfffff100,0x80000bff,0x007fffff,0xffff7000,
    0xfd800001,0x700006ff,0x3e27ffff,0x0000efff,0x801bfe00,0xf13ffffb,
    0x4000dfff,0xfeb887ff,0x000001ef,0x00000000,0x2e000000,0xffda84ff,
    0xd000004f,0x00003fff,0x0005ffff,0x000dfff3,0x90ffffee,0x3ea5ffff,
    0x400005ff,0x2effffd9,0x00662000,0x33330000,0x13333103,0x3ff60000,
    0x00004fff,0x7ffffd40,0x0000000f,0x7e400000,0x200003ff,0x000efff9,
    0x5ffff880,0x02ffffcc,0x4ff98000,0xbffff300,0x04ffffa8,0x00013300,
    0xa8800000,0x0001acba,0x00000000,0x00004cc4,0x26660000,0xaa880000,
    0x3310001a,0x26200013,0x33330199,0x00066621,0x00031000,0x00000000,
    0x0d65d544,0x00000000,0x00000000,0x00000000,0x004ccc00,0x13331000,
    0x26620000,0x99988099,0xf9000001,0x2662005f,0x33331019,0x00000000,
    0xfd930000,0xdfffffff,0x7ec0017b,0x8004ffff,0x05fffffd,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xd9300000,0xffffffff,
    0x000017bd,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3f372e62,0x0000007f,0x3ff60000,0x0003ffff,0x3ffff200,0xffffffff,
    0xfb002fff,0x0009ffff,0x2bfffffb,0x06fffffc,0xfffff980,0x7ffffec5,
    0x3fa0006f,0x363fffff,0xb82fffff,0x005eeeee,0xfffff000,0x7fffc07f,
    0xd80003ff,0x03ffffff,0x7fffc000,0xf90003ff,0xffffffff,0x05ffffff,
    0x3fffff60,0xffffffff,0x2001bdef,0xfffffffd,0xffffffff,0x7fffffff,
    0x3ffffff6,0xffffffff,0xffffffff,0x3fffff67,0xffffffff,0xffffffff,
    0x3ffff67f,0xffffffff,0xffffffff,0x3fff67ff,0xffffffff,0xffffffff,
    0xe9807fff,0xffffffff,0x3fffa03f,0x000002ff,0x7ffffc40,0x800006ff,
    0xffffffe9,0xffffffff,0x6c00dfff,0x004fffff,0x5fffffd8,0x7ffffff9,
    0xffff9800,0x7fffc45f,0xb8002fff,0x46ffffff,0x82fffffd,0x06fffffc,
    0xffff0000,0x7ffc07ff,0x40003fff,0xfffffff8,0x7fc00006,0x4003ffff,
    0xffffffe9,0xffffffff,0x6c00dfff,0xffffffff,0xffffffff,0xfd802eff,
    0xffffffff,0xffffffff,0x367fffff,0xffffffff,0xffffffff,0x27ffffff,
    0xfffffffd,0xffffffff,0x7fffffff,0x3ffffff6,0xffffffff,0xffffffff,
    0x3fffff67,0xffffffff,0xffffffff,0x7ffe407f,0xffffffff,0xfffe80df,
    0x000002ff,0x7ffffdc0,0x00002fff,0x3fffffee,0xffffffff,0x2fffffff,
    0x3fffff60,0xfffd8004,0xffff95ff,0x4c001fff,0xb85fffff,0x0fffffff,
    0x3fffe200,0x7fec1fff,0xffc82fff,0x00006fff,0x7ffffff0,0x7fffffc0,
    0x7fdc0003,0x02ffffff,0x3fffe000,0x3ee003ff,0xffffffff,0xffffffff,
    0x3602ffff,0xffffffff,0xffffffff,0x6c05ffff,0xffffffff,0xffffffff,
    0x27ffffff,0xfffffffd,0xffffffff,0x7fffffff,0x3ffffff6,0xffffffff,
    0xffffffff,0x3fffff67,0xffffffff,0xffffffff,0x3ffff67f,0xffffffff,
    0xffffffff,0xffd107ff,0xffffffff,0xe83fffff,0x002fffff,0x7ff40000,
    0x05ffffff,0xffff3000,0xffffffff,0xffffffff,0x3f603fff,0x8004ffff,
    0x95fffffd,0xbfffffff,0x7fffcc00,0xffffd05f,0x7e4009ff,0xd84fffff,
    0xc82fffff,0x006fffff,0xfffff000,0x7fffc07f,0x740003ff,0xffffffff,
    0x3fe00005,0x3003ffff,0xffffffff,0xffffffff,0x3fffffff,0x3fffff60,
    0xffffffff,0xffffffff,0x3ffff606,0xffffffff,0xffffffff,0x3fff67ff,
    0xffffffff,0xffffffff,0x3ff67fff,0xffffffff,0xffffffff,0x3f67ffff,
    0xffffffff,0xffffffff,0x367fffff,0xffffffff,0xffffffff,0x07ffffff,
    0xfffffffb,0xffffffff,0xffffe8df,0x0000002f,0x3fffffe6,0x0000ffff,
    0xffffffe8,0x7510abef,0xfffffffd,0x3ffff60b,0xffd8004f,0xfff95fff,
    0x005fffff,0x17ffffe6,0x7fffffcc,0xfff9801f,0xfd80ffff,0xfc82ffff,
    0x0006ffff,0xffffff00,0x7ffffc07,0x3e60003f,0xffffffff,0xff00000f,
    0x2007ffff,0xfffffffe,0xd7510abe,0xbfffffff,0x3fffff60,0xffffffff,
    0xffffffff,0xffffb04f,0xffffffff,0xffffffff,0x7ffecfff,0xffffffff,
    0xffffffff,0x3ff67fff,0xffffffff,0xffffffff,0x3f67ffff,0xffffffff,
    0xffffffff,0x367fffff,0xffffffff,0xffffffff,0x87ffffff,0xeffffffa,
    0xfffffb9a,0x3ffa2fff,0x00002fff,0x3ffff200,0x03ffffff,0x7fffe400,
    0xf9004fff,0x05ffffff,0x09fffffb,0xfffffb00,0x3fffff2b,0x9800ffff,
    0x205fffff,0x5ffffffc,0xfffffd80,0xffffb02f,0xffff905f,0x200000df,
    0x03ffffff,0x0ffffffe,0xffffc800,0x03ffffff,0xfffff000,0xfff9007f,
    0x2009ffff,0xfffffffc,0xfffffd82,0xbaaaaaae,0xfffffffc,0xfffd80ff,
    0xaaaaaeff,0xaaaaaaaa,0x3ff62aaa,0xaaaaefff,0xaaaaaaaa,0x3f62aaaa,
    0xaaaeffff,0xaaaaaaaa,0x362aaaaa,0xaaefffff,0xaaaaaaaa,0x22aaaaaa,
    0xaefffffd,0xaaaaaaaa,0x2aaaaaaa,0x5fffffe8,0x7ffeffec,0x3fffa6ff,
    0x000002ff,0xffffff10,0x00dfffff,0x7ffffcc0,0x7d4002ff,0x40ffffff,
    0x04fffffd,0xfffffd80,0xffffff95,0xf3009fff,0xe80bffff,0x02ffffff,
    0x3fffffea,0x3ffff605,0xffffc82f,0xf000006f,0x407fffff,0x03ffffff,
    0xfffff100,0x0dffffff,0x3fffe000,0x7fcc03ff,0x002fffff,0x7fffffd4,
    0x7fffec0f,0xfff7005f,0xfb0bffff,0x000bffff,0xfffffd80,0x7ec00005,
    0x0005ffff,0x7ffffec0,0x7ec00005,0x0005ffff,0xfffffa80,0x7c77fc0f,
    0xfd0effff,0x0005ffff,0x3ffea000,0xfffffeff,0xffb0002f,0x0009ffff,
    0x3ffffff2,0x7ffffec4,0xfffd8004,0xffff95ff,0x03ffffff,0x5fffff98,
    0x7ffffd40,0x3fffa06f,0x3f600fff,0xfc82ffff,0x0006ffff,0xffffff00,
    0x7ffffc07,0xff50003f,0xffffdfff,0xf00005ff,0x807fffff,0x4ffffffd,
    0xffff9000,0xfffd89ff,0x7f4005ff,0x6c1fffff,0x005fffff,0x7fffec00,
    0x6c00005f,0x005fffff,0x7fffec00,0x6c00005f,0x005fffff,0xffffc800,
    0xca7fcc4f,0xfffe81ab,0x000002ff,0x5fffffd0,0x0bfffffb,0x3ffffe00,
    0xf10000ff,0xd8ffffff,0x004fffff,0x5fffffd8,0xfffffff9,0xf980dfff,
    0xd805ffff,0x84ffffff,0x3ffffffb,0x7ffffec0,0xfffffc82,0xff000006,
    0x7c07ffff,0x003fffff,0x5fffffd0,0x0bfffffb,0xfffff000,0xffff807f,
    0x10000fff,0x8fffffff,0x05fffffd,0x7ffffd40,0x7fffec6f,0x6c00005f,
    0x005fffff,0x7fffec00,0x6c00005f,0x005fffff,0x7fffec00,0xd800005f,
    0x642fffff,0xffd001ff,0xb9885fff,0x20000abc,0x8ffffff9,0x0ffffffa,
    0x7fffd400,0x640004ff,0x20ffffff,0x04fffffd,0xfffffd80,0xffffff95,
    0x405fffff,0x05fffff9,0xffffff88,0x3fffe20f,0xffd806ff,0xffc82fff,
    0x00006fff,0x7ffffff0,0x7fffffc0,0xfff98003,0xfffa8fff,0x40000fff,
    0x03ffffff,0x3fffffea,0x7fe40004,0x3f60ffff,0x8005ffff,0x1ffffffd,
    0x17fffff6,0xfffb0000,0x80000bff,0x05fffffd,0x7ffec000,0x400005ff,
    0x05fffffd,0xfffe8000,0x03ff41ff,0x5fffffd0,0x3fffff62,0xc8000dff,
    0xf15fffff,0x007fffff,0xffffffc8,0x7fcc0000,0x3f62ffff,0x8004ffff,
    0x95fffffd,0xffffffff,0x2601ffff,0x005fffff,0xbffffff5,0x7fffffe4,
    0xffffd801,0xffffc82f,0xf000006f,0x407fffff,0x03ffffff,0xfffffc80,
    0xffffff15,0xfff80007,0x3f203fff,0x000fffff,0x7ffffcc0,0x3ffff62f,
    0xff98005f,0x3f63ffff,0x0005ffff,0x7ffffec0,0x7ec00005,0x0005ffff,
    0x7ffffec0,0x7ec00005,0x0005ffff,0xffffff80,0x8017fe60,0x9afffffe,
    0xfffffffe,0x7c001eff,0x322fffff,0x006fffff,0x3fffffec,0x7ffc4000,
    0x3ff63fff,0xd8004fff,0xf95fffff,0xfffbffff,0x3e609fff,0x2005ffff,
    0xaffffffd,0x4ffffff9,0xfffffb00,0xfffff905,0x3e00000d,0x203fffff,
    0x03ffffff,0xffffff80,0x3fffff22,0x7ffc0006,0x3f603fff,0x0007ffff,
    0xffffff88,0x3fffff63,0xffff0005,0x7ffec9ff,0x400005ff,0x05fffffd,
    0x7ffec000,0x400005ff,0x05fffffd,0x7ffec000,0x400005ff,0x0ffffff8,
    0xe800bfee,0xffcfffff,0xffffffff,0x3ea007ff,0x7cc7ffff,0x002fffff,
    0x1ffffffa,0x7fffc000,0x3fff64ff,0xfd8004ff,0xff95ffff,0xfffd5fff,
    0xff303fff,0x4400bfff,0xeeffffff,0x00ffffff,0x5fffffb0,0xdfffff90,
    0x3fe00000,0x3e03ffff,0x003fffff,0x3fffffd4,0x3fffffe6,0x3ffe0002,
    0x3fa03fff,0x0007ffff,0x9ffffff0,0x2fffffec,0xffffe800,0x3ffff66f,
    0xccccccef,0xcccccccc,0x7fffec3c,0xccccccef,0xcccccccc,0x7fffec3c,
    0xccccccef,0xcccccccc,0x7fffec3c,0xccccccef,0xcccccccc,0x7fffec3c,
    0xccccccef,0xcccccccc,0xfffff83c,0x003ff61f,0xffffffe8,0xffffffff,
    0x003fffff,0x09fffffb,0x0bfffffd,0x7fffff40,0xffd00006,0x7fecbfff,
    0xd8004fff,0xf95fffff,0xff35ffff,0xf30dffff,0x800bffff,0xfffffffb,
    0x002fffff,0x0bfffff6,0x1bfffff2,0x7ffc0000,0x3fe03fff,0x4003ffff,
    0x84fffffd,0x05fffffe,0x3ffffe00,0x3fffa03f,0xd00006ff,0x6cbfffff,
    0x005fffff,0xdfffffb0,0x7fffffec,0xffffffff,0x6fffffff,0x7fffffec,
    0xffffffff,0x6fffffff,0x7fffffec,0xffffffff,0x6fffffff,0x7fffffec,
    0xffffffff,0x6fffffff,0x7fffffec,0xffffffff,0x6fffffff,0x2ffffff8,
    0xe800dff1,0xefffffff,0xffff931b,0xff100dff,0xf903ffff,0x001fffff,
    0x17fffffe,0x7ffec000,0x3fff67ff,0xfd8004ff,0xff95ffff,0x3ff25fff,
    0x7cc3ffff,0x8005ffff,0xfffffffe,0x6c005fff,0xc82fffff,0x006fffff,
    0xfffff000,0x7fffc07f,0x3e2003ff,0xc81fffff,0x00ffffff,0xffffff00,
    0x7ffffc07,0xfb00005f,0x7ecfffff,0x0005ffff,0x4ffffff9,0xfffffffd,
    0xffffffff,0x46ffffff,0xfffffffd,0xffffffff,0x46ffffff,0xfffffffd,
    0xffffffff,0x46ffffff,0xfffffffd,0xffffffff,0x46ffffff,0xfffffffd,
    0xffffffff,0x86ffffff,0x53fffffe,0xacda87ff,0x3ffffa09,0xff900fff,
    0xb801ffff,0x106fffff,0x07ffffff,0x3fffffe0,0xffb00005,0x7fecffff,
    0xd8004fff,0xf95fffff,0x7f45ffff,0x260fffff,0x005fffff,0xffffff98,
    0x4000ffff,0x82fffffd,0x06fffffc,0xffff0000,0x7ffc07ff,0x2e003fff,
    0x106fffff,0x07ffffff,0x3ffffe00,0x3fffe03f,0xb00005ff,0x6cffffff,
    0x005fffff,0xffffff90,0x7fffffec,0xffffffff,0x6fffffff,0x7fffffec,
    0xffffffff,0x6fffffff,0x7fffffec,0xffffffff,0x6fffffff,0x7fffffec,
    0xffffffff,0x6fffffff,0x7fffffec,0xffffffff,0x6fffffff,0x7fffffc8,
    0xffd83ffb,0xfffd3fff,0x7c403fff,0x401fffff,0x03fffffe,0x1bfffffa,
    0x7fffff40,0xffd00006,0x7fecbfff,0xd8005fff,0xf95fffff,0x7d45ffff,
    0x265fffff,0x005fffff,0xffffff90,0xfb0007ff,0xf905ffff,0x000dffff,
    0x3ffffe00,0x3fffe03f,0x3fa003ff,0x3a03ffff,0x006fffff,0x7ffffff0,
    0x7fffff40,0xffd00006,0x7fecbfff,0x90005fff,0x6cffffff,0xffffffff,
    0xffffffff,0x6c6fffff,0xffffffff,0xffffffff,0x6c6fffff,0xffffffff,
    0xffffffff,0x6c6fffff,0xffffffff,0xffffffff,0x6c6fffff,0xffffffff,
    0xffffffff,0x986fffff,0xfbffffff,0x7fffc46f,0xffffd1ff,0xffff00bf,
    0x7fcc03ff,0x2e00ffff,0x02ffffff,0x7fffffd8,0xffff0000,0x7ffec9ff,
    0xfd8005ff,0xff95ffff,0xffd85fff,0xff32ffff,0x2000bfff,0xfffffff8,
    0xfffb0006,0xfff905ff,0x00000dff,0x0ffffffe,0x3ffffff8,0xfffff300,
    0x7ffdc01f,0xf8002fff,0x203fffff,0x07fffffd,0xfffff000,0x7fffec9f,
    0xff90005f,0x7fecffff,0xeeeeffff,0xeeeeeeee,0x7fec4eee,0xeeeeffff,
    0xeeeeeeee,0x7fec4eee,0xeeeeffff,0xeeeeeeee,0x7fec4eee,0xeeeeffff,
    0xeeeeeeee,0x7fec4eee,0xeeeeffff,0xeeeeeeee,0xffd04eee,0x49ffffff,
    0x6fffffe9,0x0ffffffa,0x3fffffa0,0x3ffff201,0x7ffc406f,0xfb805fff,
    0x0007ffff,0xffffff88,0x3fffff63,0xfffd8005,0xffff95ff,0xffff885f,
    0xffff36ff,0x7dc000bf,0x001fffff,0x5fffffb0,0xdfffff90,0x3fe00000,
    0x3e03ffff,0x003fffff,0x0dfffff9,0xffffff88,0xffff8005,0x3fee03ff,
    0x80007fff,0x3ffffff8,0x17fffff6,0x7fffec00,0x3ffff67f,0x6c00005f,
    0x005fffff,0x7fffec00,0x6c00005f,0x005fffff,0x7fffec00,0x5000005f,
    0xffffffff,0xfffffd9b,0x7fff47ff,0xffe803ff,0xff102fff,0x999dffff,
    0xfff99999,0xa801ffff,0x01ffffff,0x7fffcc00,0x3fff62ff,0xfd8005ff,
    0xff94ffff,0xff705fff,0xff37ffff,0x4000bfff,0x0ffffffa,0xffffb000,
    0xffff905f,0x200000df,0x03ffffff,0x0ffffffe,0x3ffffe20,0xccccccef,
    0xffffffcc,0x7ffc000f,0x3ea03fff,0x001fffff,0x7ffffcc0,0x3ffff62f,
    0xffd0005f,0x7fecdfff,0x00005fff,0x2fffffec,0x3ff60000,0x00005fff,
    0x2fffffec,0x3ff60000,0x00005fff,0x3fffff20,0xffffffff,0x7ff45fff,
    0xfe802fff,0xf702ffff,0xffffffff,0xffffffff,0x807fffff,0x4ffffff9,
    0x7ffec000,0x3ff20fff,0xe8006fff,0xf94fffff,0x3a05ffff,0xfaffffff,
    0x0005ffff,0x3fffffea,0xfffb0000,0xfff905ff,0x00000dff,0x0ffffffe,
    0x3ffffff8,0xfffffb80,0xffffffff,0xffffffff,0x7ffc003f,0x3e603fff,
    0x004fffff,0x7ffffec0,0x3ffff60f,0xfff0005f,0x7fecbfff,0x00005fff,
    0x2fffffec,0x3ff60000,0x00005fff,0x2fffffec,0x3ff60000,0x00005fff,
    0x7fffff40,0xffffffff,0xffffe86f,0xfffe802f,0xfffd02ff,0xffffffff,
    0xffffffff,0xf880dfff,0x01ffffff,0xfffff300,0xffffb8ff,0xfff8006f,
    0xfff93fff,0x3fe605ff,0xffffffff,0x2a0005ff,0x00ffffff,0xfffffb00,
    0xfffff905,0x3e00000d,0x203fffff,0x03ffffff,0xffffffe8,0xffffffff,
    0xffffffff,0x7fffc006,0x3fe203ff,0x001fffff,0xffffff30,0xfffffd8f,
    0xfff88005,0x3ff63fff,0x00005fff,0x2fffffec,0x3ff60000,0x00005fff,
    0x2fffffec,0x3ff60000,0x00005fff,0xfffffc80,0xdfffffff,0xfffffe80,
    0xffffe802,0xffff982f,0xffffffff,0xffffffff,0x6c02ffff,0x05ffffff,
    0xfffffb00,0xffffa89f,0x3e6002ff,0xf92fffff,0x6405ffff,0xffffffff,
    0x20005fff,0x0ffffffa,0xffffb000,0xffff905f,0x200000df,0x03ffffff,
    0x0ffffffe,0xffffff30,0xffffffff,0xffffffff,0x7fc005ff,0x6c03ffff,
    0x05ffffff,0xfffffb00,0xffffd89f,0xffc8005f,0x3f61ffff,0x0005ffff,
    0x7ffffec0,0x7ec00005,0x0005ffff,0x7ffffec0,0x7ec00005,0x0005ffff,
    0xffff3000,0x03bfffff,0x17fffff4,0x7fffff40,0xfffffc82,0xffffffff,
    0xffffffff,0x7c405fff,0x03ffffff,0x7ffffdc0,0x7ffcc0ff,0xd000ffff,
    0x23ffffff,0x02fffffc,0x3fffffe2,0x005fffff,0x3ffffea0,0xffb0000f,
    0xff905fff,0x0000dfff,0x3fffffe0,0x3ffffe03,0x7ffe403f,0xffffffff,
    0xffffffff,0x005fffff,0x0ffffffe,0xffffff10,0xffb8007f,0x6c0fffff,
    0x005fffff,0x7fffffc4,0x7ffffec6,0x7ec00005,0x0005ffff,0x7ffffec0,
    0x7ec00005,0x0005ffff,0x7ffffec0,0x10000005,0x35775dff,0x3ffffa00,
    0xfffe802f,0xffff82ff,0xeeeeeeff,0xfeeeeeee,0x00ffffff,0x7fffffdc,
    0x7ec400df,0x02ffffff,0xbfffffff,0xfffff500,0x7fffe4ff,0x7ffd402f,
    0x5fffffff,0x3ffea000,0xb0000fff,0x905fffff,0x00dfffff,0x3fffe000,
    0x3ffe03ff,0x7fc03fff,0xeeeeffff,0xeeeeeeee,0xfffffffe,0xfffff000,
    0xfff7007f,0x801bffff,0xffffffd8,0xffffd82f,0x7fec005f,0x7ec3ffff,
    0x0005ffff,0x7ffffec0,0x7ec00005,0x0005ffff,0x7ffffec0,0x7ec00005,
    0x0005ffff,0x07ff7000,0x7ffff400,0xfffe802f,0x7ffd42ff,0xa8001fff,
    0x03ffffff,0xffffffe8,0x9510acff,0xffffffff,0x7fffdc0d,0x221aefff,
    0xffffffd9,0x3ffff23f,0xfffe802f,0x05ffffff,0x3fffea00,0xfb0000ff,
    0xf905ffff,0x000dffff,0x3ffffe00,0x3fffe03f,0x3fea03ff,0x8001ffff,
    0x3ffffffa,0xffffff00,0x3fffa007,0x0acfffff,0xfffff951,0x3f60dfff,
    0x3005ffff,0xfffffffb,0xbfffffb0,0xffd80000,0x00005fff,0x2fffffec,
    0x3ff60000,0x00005fff,0x2fffffec,0xfd800000,0x3fa0000f,0xe802ffff,
    0x6c2fffff,0x006fffff,0x3fffffe0,0xffff9806,0xffffffff,0xffffffff,
    0x7fc01fff,0xffffffff,0xffffffff,0x7fe47fff,0xf9802fff,0xffffffff,
    0x3fea0005,0x0000ffff,0x05fffffb,0x5ffffff9,0x55555555,0x05555555,
    0x0ffffffe,0x3ffffff8,0x3fffff60,0x3ffe0006,0xff006fff,0x2007ffff,
    0xfffffff9,0xffffffff,0xffffffff,0xfffffb01,0x5555555d,0xffffffb9,
    0xfffb07ff,0x55555dff,0x55555555,0x3f635555,0xaaaeffff,0xaaaaaaaa,
    0xb1aaaaaa,0x55dfffff,0x55555555,0x35555555,0x3bfffff6,0xaaaaaaaa,
    0xaaaaaaaa,0xfffffb1a,0x5555555d,0x55555555,0x6ff80355,0x7fff4000,
    0xffe802ff,0x3fe22fff,0x0003ffff,0x3ffffff2,0xffffa802,0xffffffff,
    0xffffffff,0xfffb802f,0xffffffff,0xffffffff,0x7fffe43f,0xfff9002f,
    0x00bfffff,0x7ffffd40,0xffb0000f,0xff905fff,0xffffffff,0xffffffff,
    0x3fe0ffff,0x3e03ffff,0x103fffff,0x07ffffff,0x7fffe400,0xfff802ff,
    0x2a003fff,0xffffffff,0xffffffff,0x202fffff,0xfffffffd,0xffffffff,
    0x4fffffff,0xffffffb0,0xffffffff,0xffffffff,0x3ffff69f,0xffffffff,
    0xffffffff,0xfffb4fff,0xffffffff,0xffffffff,0x3f69ffff,0xffffffff,
    0xffffffff,0xb4ffffff,0xffffffff,0xffffffff,0x9fffffff,0x001ffd40,
    0x3fffffa0,0xffffe802,0x3fffee2f,0x260000ff,0x05ffffff,0xfffffb10,
    0xffffffff,0x001bffff,0x7fffffd4,0xffffffff,0xfc83ffff,0x2002ffff,
    0xfffffffe,0x3fea0005,0x0000ffff,0x05fffffb,0xfffffff9,0xffffffff,
    0x0fffffff,0x0ffffffe,0x3ffffff8,0xffffff70,0x7fcc0001,0xf805ffff,
    0x003fffff,0x7ffffec4,0xffffffff,0x400dffff,0xfffffffd,0xffffffff,
    0x06ffffff,0x3ffffff6,0xffffffff,0xffffffff,0xfffffb4f,0xffffffff,
    0xffffffff,0x3fff69ff,0xffffffff,0xffffffff,0xffb4ffff,0xffffffff,
    0xffffffff,0x369fffff,0xffffffff,0xffffffff,0x4fffffff,0x0007ff20,
    0x5fffffd0,0xfffffd00,0x7fffff45,0xffe80005,0x2000ffff,0xfffffffa,
    0xffffffff,0xffd10002,0xffffffff,0x203dffff,0x02fffffc,0x3ffffea0,
    0x2a0005ff,0x00ffffff,0xfffffb00,0xfffff905,0xffffffff,0xffffffff,
    0x3ffffe0f,0x3fffe03f,0xfffd03ff,0xd0000bff,0x01ffffff,0x3ffffff8,
    0xffff5000,0xffffffff,0x36005fff,0xffffffff,0xffffffff,0x6c02ffff,
    0xffffffff,0xffffffff,0x4fffffff,0xfffffffb,0xffffffff,0xffffffff,
    0x3fffff69,0xffffffff,0xffffffff,0xffffb4ff,0xffffffff,0xffffffff,
    0x3ff69fff,0xffffffff,0xffffffff,0x204fffff,0xe80007ff,0x802fffff,
    0x32fffffe,0x05ffffff,0xffff7000,0xb88007ff,0xffffffed,0x0000bdef,
    0xfffffdb8,0x03efffff,0x17ffffe4,0x3ffff600,0x2a0005ff,0x00ffffff,
    0xfffffb00,0xfffff905,0xffffffff,0xffffffff,0x3ffffe0f,0x3fffe03f,
    0xfff983ff,0x80002fff,0x3ffffffb,0x7fffffc0,0x36e20003,0xfffffffe,
    0x36000bde,0xffffffff,0xffffffff,0xffb004ff,0xffffffff,0xffffffff,
    0x369fffff,0xffffffff,0xffffffff,0x4fffffff,0xfffffffb,0xffffffff,
    0xffffffff,0x3fffff69,0xffffffff,0xffffffff,0xffffb4ff,0xffffffff,
    0xffffffff,0x3e609fff,0xfe80004f,0xe802ffff,0xfb2fffff,0x001fffff,
    0xfffff100,0x530000ff,0x00000357,0xacbaa988,0xff9000aa,0x88005fff,
    0x05ffffff,0x3fffea00,0xfb0000ff,0xf905ffff,0xffffffff,0xffffffff,
    0x3e0fffff,0x203fffff,0x83ffffff,0x0ffffffd,0xfff88000,0x7fc07fff,
    0x0003ffff,0x00d5d4c0,0x3ffff600,0xffffffff,0x000bceef,0x3ffffff6,
    0xffffffff,0xffffffff,0xfffffb4f,0xffffffff,0xffffffff,0x3fff69ff,
    0xffffffff,0xffffffff,0xffb4ffff,0xffffffff,0xffffffff,0x369fffff,
    0xffffffff,0xffffffff,0x4fffffff,0x000072a0,0x0bfffffa,0x3fffffa0,
    0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x02666620,0x00266666,0x40ccccc0,0x20099998,
    0x98819999,0xd8000999,0x0006eeee,0x04cccc40,0x000ccccc,0x01e64c00,
    0xfffff100,0xffffffff,0x4c00000f,0xffd00000,0xffffffff,0x22003fff,
    0xffffffff,0x007fffff,0xca988000,0x0000009a,0x02800000,0x00055530,
    0x0001aa98,0xcccccb80,0x2aa98003,0x0d54c000,0xabba8800,0x33320000,
    0x2600001c,0x6644001b,0x8001cccc,0xf86ffffa,0x8002ffff,0xe87ffff9,
    0x3e02ffff,0x7e41ffff,0xf8005fff,0x0007ffff,0x27fffe40,0x01ffffe6,
    0x1bfea000,0xffff8800,0xffffffff,0xb800007f,0x0001dffe,0x7ffffff4,
    0x1fffffff,0xfffff100,0xffffffff,0x9100000f,0xffffffdb,0x00019bdf,
    0x59531000,0x0bf50033,0x006fff98,0x00bffe20,0xffff1000,0xf98003ff,
    0x220006ff,0x44002fff,0xdffffffd,0x7ffd4000,0xd980000f,0x2001dfff,
    0x06fffffb,0x6ffffa80,0x02fffff8,0x7ffff980,0x02ffffe8,0x907ffffe,
    0x000bffff,0x00ffffff,0xffffc800,0x3ffffcc4,0x3f220000,0xf10001ef,
    0xffffffff,0x000fffff,0xfffffb80,0x3fa0000f,0xffffffff,0x1001ffff,
    0xffffffff,0x00ffffff,0xffffb800,0xffffffff,0x00003fff,0x7fff6e44,
    0x83efffff,0x880dfffa,0x0006ffff,0x0001bff2,0x3fffff20,0x7ffc4001,
    0x3f20006f,0x7f44006f,0xefffffff,0x3fffa000,0xffd00003,0xc800dffd,
    0x002fffff,0x437fffd4,0x002fffff,0x87ffff98,0x202ffffe,0x641fffff,
    0x8005ffff,0x007fffff,0x7fffe400,0x3ffffcc4,0x7f644000,0x1dffffff,
    0x3fffe200,0xffffffff,0x7400007f,0x03fe98cf,0x3ffffa00,0xffffffff,
    0xfff1001f,0xffffffff,0x20000fff,0xffffffd8,0xffffffff,0x0000dfff,
    0xffffffb8,0xffffffff,0xfffff33f,0x7fffe443,0xff30006f,0x8800003f,
    0x002fffff,0x3fffff22,0xfff30006,0xfffd8003,0x5fffffff,0x1ffff500,
    0x1ff50000,0x90007fe2,0x800bffff,0xf86ffffa,0x8002ffff,0xe87ffff9,
    0x3e02ffff,0x7e41ffff,0xf8005fff,0x0007ffff,0x27fffe40,0x01ffffe6,
    0xffffd300,0x9fffffff,0x00000001,0x83fe6000,0x000007fa,0x00000000,
    0xfff70000,0xffffffff,0xffffffff,0x220005ff,0xfffffffd,0xffffffff,
    0xffffffff,0x3fffff22,0xfb0006ff,0x900000bf,0x4007ffff,0xfffffffc,
    0xbffb0006,0xffff9800,0xffffd88d,0x3fffe801,0x89fb0000,0xfd8004fd,
    0x2a001fff,0xff86ffff,0x98002fff,0xfe87ffff,0x3fe02fff,0x7fe41fff,
    0xff8005ff,0x00007fff,0x227fffe4,0x007ffff9,0x3ffffea0,0xffffffff,
    0x0000005f,0x1ff10000,0x000037dc,0x00000000,0x7fcc0000,0xffffffff,
    0xffffffff,0x001fffff,0x7fffffd4,0xffffffff,0xffffffff,0x7fffc3ff,
    0x8006ffff,0x0000fffa,0x1ffffc40,0x3ffffe00,0xa8006fff,0x64000fff,
    0x3e60ffff,0x7d404fff,0x00000fff,0x02fe8df7,0x0bfffb00,0x04cccc40,
    0x004ccccc,0x81999980,0x20099998,0x98819999,0x00000999,0x33100000,
    0x33330133,0x3fe20003,0xffffffff,0x03ffffff,0x00000000,0xff75dfb0,
    0x00000007,0x00000000,0xfffffd00,0x22157dff,0xfffffeba,0x3e6006ff,
    0xffffffff,0xffffffff,0x4fffffff,0xffabeff8,0xffe8006f,0xfb800004,
    0xff8004ff,0x06fffabe,0x004ffe80,0xf86fffd8,0x7f405fff,0x200003ff,
    0x7febdff8,0x3ffa2000,0x0000000f,0x00000000,0x00000000,0x00000000,
    0x7fe40000,0xeffdffff,0x0ffffffe,0x3ffffff6,0xffffffff,0xffffffff,
    0x3ff60007,0x0003ffff,0x3fffffe0,0xffb00003,0x0007ffff,0x3ffffee0,
    0xfd8804ff,0x03ffffff,0xffffffd0,0x262137df,0xffffffeb,0x262e80ff,
    0x5c006fff,0x00000fff,0x45d00000,0x4006fff9,0x8000fffb,0xfe86fffe,
    0x3fea06ff,0x400000ff,0x03fffffc,0x3ff60000,0x0006ffff,0x3ffffffa,
    0xffffffb3,0xffffffff,0xffffffff,0x7ffffc0f,0x7ffe403f,0xffffffff,
    0xffffffff,0x20006fff,0x3ffffffd,0x7ffc4000,0x6ffa9eff,0x47fffffb,
    0xfffffffd,0xffffffff,0x7fffffff,0xffff1000,0x0000dfff,0x1ffffffc,
    0x7ffc4000,0x0006ffff,0xffffff88,0x7fd4002f,0x400fffff,0xfffffffb,
    0xffff7004,0xf3007fff,0x7c400dff,0x000003ff,0x98011000,0x22006fff,
    0xf0003fff,0xffd0bfff,0x7fff40ff,0x91000003,0x0000017d,0xffffff88,
    0xffb8002f,0x3f66ffff,0xffffffff,0xffffffff,0x207fffff,0x03ffffff,
    0x7fffffe4,0xffffffff,0xffffffff,0xfff10006,0x000dffff,0x2fffff98,
    0x3fe2dff5,0x3ff65fff,0xffffffff,0xffffffff,0x0007ffff,0xfffffff7,
    0x3e00005f,0x003fffff,0xfffffb80,0x40002fff,0x4ffffffd,0xffffb000,
    0x7fc409ff,0x002fffff,0x3ffffff2,0xfff9807f,0x1bff2006,0xba880000,
    0xee81abcc,0x1bffe601,0x006ffc80,0x217fffe0,0xf507fffe,0x00001fff,
    0x31000000,0xfb813333,0x00ffffff,0x3ffffe20,0x3fff61ff,0xffffffff,
    0xffffffff,0x3fe07fff,0x6403ffff,0xffffffff,0xffffffff,0x06ffffff,
    0xfffff700,0x40005fff,0x50fffffa,0x5e6e4dff,0x3ffff61a,0xffffffff,
    0xffffffff,0xfd0007ff,0xbfffffff,0x3ffe0000,0x80003fff,0xfffffffe,
    0x3e20005f,0x00ffffff,0xfffff100,0x7ffec0ff,0x2e004fff,0xffffffff,
    0x7ffcc03f,0x5fff1006,0xff700000,0xdfffffff,0x403fff65,0x1006fff9,
    0x40005fff,0xfe86fffe,0xfffd06ff,0x55000007,0x03799b99,0xfffffb00,
    0xfffffd05,0x7fe4009f,0x7ec4ffff,0xffffffff,0xffffffff,0x207fffff,
    0x03ffffff,0x7fffffe4,0xffffffff,0xffffffff,0xfffd0006,0x00bfffff,
    0x3ffffdc0,0x6c00dff5,0xffffffff,0xffffffff,0x07ffffff,0xfffff980,
    0x000fffff,0xffffff80,0x7fcc0003,0xffffffff,0xfff30000,0x80009fff,
    0x0ffffffc,0xffffff88,0xfff5000f,0xdfffffff,0x06fff980,0x000bffb0,
    0xffffe880,0xffffffff,0x2604ffff,0xfb006fff,0xfd8000bf,0xffff87ff,
    0x0ffffa85,0xff910000,0xffffffff,0x7fec009f,0xff982fff,0x801fffff,
    0xfffffff9,0x7ffffec0,0xffffffff,0xffffffff,0x3fffe07f,0x7fe403ff,
    0xffffffff,0xffffffff,0x8006ffff,0xfffffff9,0x50000fff,0x2a3fffff,
    0x3f6006ff,0xaaaeffff,0xaaaaaaaa,0x002aaaaa,0xffffffc8,0x0003ffff,
    0x3ffffff8,0x7ffe4000,0x3fffffff,0xffff5000,0x980001ff,0x82ffffff,
    0x3ffffff9,0xfffff300,0x3ffffffb,0x037ffcc0,0x000fffcc,0xfffff700,
    0xffffffff,0x980bffff,0xf9806fff,0x640001ff,0x3ea1ffff,0xffe84fff,
    0xf100004f,0xffffffff,0x01bfffff,0x5fffffb0,0x3fffff20,0xfffd805f,
    0xffd82fff,0xaaaaefff,0xaaaaaaaa,0x3e02aaaa,0x403fffff,0xaaaaaaa9,
    0xfaaaaaaa,0x2fffffff,0xffffc800,0x03ffffff,0xfffff300,0x00dff51b,
    0x2fffffec,0x44000000,0xffffffff,0x80006fff,0x03ffffff,0x3fffe200,
    0x6fffffff,0xffff7000,0xf10000ff,0x507fffff,0x01ffffff,0x5fffff10,
    0x5ffffff3,0x037ffcc0,0x00027ff4,0xffffff30,0xffffffff,0x9803ffff,
    0xfe806fff,0xf880004f,0xffbaefff,0x7fd40fff,0x880000ff,0xfffffffe,
    0xffffffff,0x7ffec00e,0x3ffa02ff,0x2a02ffff,0x05ffffff,0x0bfffffb,
    0xfff80000,0x00003fff,0xffffff90,0xff10009f,0xffffffff,0x3e2000df,
    0xfcffffff,0x3ff6006f,0x00005fff,0xffffa800,0xffffffef,0x7ffc0002,
    0x20003fff,0xfefffffa,0x002fffff,0x7fffffc8,0xffff0000,0xfff709ff,
    0xfd100fff,0x7ffc5fff,0x3e603fff,0x7fd406ff,0x3a00000f,0x1cffffff,
    0xfffffd71,0xfff980bf,0x07ffd406,0xfffc8000,0x4fffffff,0x004fffe8,
    0xfffffb00,0xffffffff,0xd807ffff,0x202fffff,0x6ffffffa,0x3fffffa0,
    0xffffb00f,0x800000bf,0x03ffffff,0xfffa8000,0x0005ffff,0xfdfffff5,
    0x005fffff,0x3fffff20,0x2006ffff,0x05fffffd,0xfe800000,0xffdaffff,
    0x40005fff,0x03ffffff,0x3ffffa00,0xfffffdaf,0xfffe8005,0xd00006ff,
    0xb0bfffff,0x00dfffff,0xe87ffffd,0x204fffff,0x7406fff9,0x200003ff,
    0x1ffffffc,0xffffff10,0x7ffcc03f,0x01fff406,0xfffb1000,0x81bfffff,
    0x000ffffa,0xfffff880,0xff710acf,0xd80bffff,0x402fffff,0x4ffffffd,
    0xffffffb8,0x3ffff603,0x4000005f,0x03ffffff,0x7ffcc000,0x000effff,
    0x5fffffd0,0x0bfffffb,0x3fffe200,0xbeffffff,0x7fffec00,0x0000005f,
    0x7fffffcc,0xffffffa8,0x3ffe0000,0x30003fff,0x51ffffff,0x01ffffff,
    0xffffff80,0xffb00005,0xffd0dfff,0xfd80bfff,0xffe84fff,0x3e605fff,
    0x3fee06ff,0x3e600006,0x102fffff,0xfffffffd,0x37ffcc0d,0x000dff70,
    0x3fffaa00,0xfffd03ef,0x3f200009,0x3205ffff,0x406fffff,0x02fffffd,
    0x7fffffc4,0x3fffe20f,0x7fec06ff,0x00005fff,0x7fffffc0,0x3a200003,
    0x1fffffff,0xffff3000,0xffff51ff,0x2e0001ff,0xffffffff,0xb01dffff,
    0x00bfffff,0xffc80000,0xfff15fff,0x40007fff,0x03ffffff,0xfffff900,
    0x3ffffe2b,0x7ffc003f,0x00004fff,0x0ffffffb,0x09ffffff,0x82ffffe4,
    0x06fffffd,0xf8804ccc,0x991002ff,0xffff7059,0x7ffec0bf,0x00ffffff,
    0x7c402666,0x32a602ff,0x998001ac,0x3fffea00,0xabcb9880,0x6e5cc400,
    0x3fffe600,0x7ffec07f,0xffa802ff,0x3f25ffff,0x401fffff,0x05fffffd,
    0x7ffc0000,0x00003fff,0x3ffffff6,0x3f20002f,0xff15ffff,0x0007ffff,
    0x7fffffd4,0x3fffffff,0x5fffffd8,0x7c000000,0x322fffff,0x006fffff,
    0x3fffffe0,0xffff0003,0x7ffe45ff,0x7f4006ff,0x0005ffff,0xdfffffd0,
    0x9ffffff0,0x1bffff20,0x7fffffd8,0x6ffc8000,0x13fff600,0x0bfffff2,
    0x7edfffe4,0x0002ffff,0xea837fe4,0x1effffff,0x7ff40000,0xfffe984f,
    0x00003fff,0x03fffffc,0x0bfffff6,0x7ffffec0,0xfffff9af,0xfffd804f,
    0x000005ff,0x1ffffffc,0xfffc8000,0x0003ffff,0x17fffffc,0x0dfffff9,
    0xfffd9800,0xffffffff,0x7fffec5f,0xccccccef,0xcccccccc,0x3fea003c,
    0x7fcc7fff,0x0002ffff,0x07ffffff,0xfffff500,0xfffff98f,0x3ff6002f,
    0x00006fff,0x0dffffff,0x0bfffffd,0x01dffff7,0x2ffffff4,0x3ffe6000,
    0xffff9001,0xfffffb09,0x29fff703,0x03fffffc,0x07ffe600,0x3fffffea,
    0x0000ffff,0x81ffff70,0xfffffffb,0x220005ff,0xffffffda,0x7fffec07,
    0xfff1002f,0xfffddfff,0xfb001fff,0x999dffff,0x99999999,0xf8079999,
    0x003fffff,0xfffffa80,0x540005ff,0x4c7fffff,0x02ffffff,0xfffc9800,
    0xffffffff,0x3fffff63,0xffffffff,0xffffffff,0x3fff6006,0xfffe84ff,
    0xff0005ff,0x0007ffff,0x09fffffb,0x0bfffffd,0x7ffffdc0,0xff880007,
    0xfd85ffff,0x7d45ffff,0x7c00ffff,0x004fffff,0x802ffec0,0x84fffffa,
    0x40ffffff,0x3ee5fffa,0x0005ffff,0x3e217ff6,0xffdcffff,0xd00006ff,
    0xff889fff,0xffffffff,0xfb73002f,0xffffffff,0xfffd80ff,0x3ee002ff,
    0xffffffff,0xfb002fff,0xffffffff,0xffffffff,0xf80dffff,0x003fffff,
    0x7ffffcc0,0x40000eff,0x84fffffd,0x05fffffe,0x3ffea000,0xffffffff,
    0xffffffb0,0xffffffff,0xdfffffff,0x3fffe200,0xfffc81ff,0xf8000fff,
    0x003fffff,0x7fffffc4,0xfffffc81,0xfff5000f,0x80001fff,0x3ffffff9,
    0x7fffffc8,0x07ffffe6,0xffffff10,0x7fd40007,0xfff9800f,0xfff84fff,
    0x7ffcc7ff,0x3fffe60e,0xff50006f,0xffff501f,0x007fff98,0x0ffffb80,
    0x997fffe4,0x2606ffff,0xfffffffd,0x7fffffff,0x7ffffec0,0x7fff4002,
    0x5fffffff,0x3ffff600,0xffffffff,0xffffffff,0x7fffc06f,0x220003ff,
    0xffffffff,0x7fc40000,0xfc81ffff,0x000fffff,0xf5dff500,0x27ffffff,
    0xfffffffd,0xffffffff,0x06ffffff,0xdfffff70,0x3ffffe20,0xfff8003f,
    0x5c003fff,0x106fffff,0x07ffffff,0x3ffffe60,0x8065c03f,0x1ffffffd,
    0xffffffb8,0x2fffff89,0xfffff980,0x3fa0002f,0xffe8804f,0xfe84ffff,
    0xff11ffff,0xfffa81df,0xfd0004ff,0x3fbaa09f,0x07fffc45,0x3fffa000,
    0x45ffff84,0xc81ffffc,0xffffffff,0xffffffff,0x7fffec07,0x7fcc002f,
    0xffffffff,0x3fff6000,0xffffffff,0xffffffff,0x7ffc06ff,0x20003fff,
    0xfffffffe,0xffb80002,0xff106fff,0x0007ffff,0x645bfea0,0xfb4fffff,
    0xffffffff,0xffffffff,0x200dffff,0x03fffffe,0x1bfffffa,0x3ffffe00,
    0x7ff4003f,0x3fa03fff,0x1006ffff,0x1fffffff,0x261fffc0,0x07ffffff,
    0x9ffffff5,0x005ffffd,0x3ffffff2,0xfff70000,0x5dffb001,0xffb09fff,
    0xffd15fff,0xffff703f,0xff70007f,0x3ee0001f,0x5c0006ff,0x7c40ffff,
    0x7fd43fff,0x7ffec2ff,0x1bdfffff,0x80ffffff,0x02fffffd,0xfffffc80,
    0x6c003fff,0xffffffff,0xffffffff,0x406fffff,0x03ffffff,0xfffff900,
    0x200007ff,0x03fffffe,0x1bfffffa,0x37fd4000,0x2bfffff1,0xeffffffd,
    0xeeeeeeee,0x04eeeeee,0xffffff98,0x3fffee00,0x7fc002ff,0x2003ffff,
    0x0ffffff9,0x3ffffee0,0xfffb002f,0x3ee09fff,0xffb2ffff,0x220bffff,
    0xffffffff,0xf1003fff,0x00ffffff,0x00fffe20,0x3ea7fff2,0xfffc84ff,
    0x2fffecff,0x3fffffb0,0x3fff8800,0xffff3000,0xffe80007,0xffff984f,
    0x1ffffcc2,0x9ffffff7,0x3ffffe03,0x7fffec07,0xff88002f,0x006fffff,
    0xffffffd8,0xeeeeeeee,0x4eeeeeee,0x7fffffc0,0xfffb8003,0x0005ffff,
    0xffffff30,0x7fffdc01,0x998802ff,0x1bfea1ba,0x36dffffb,0x005fffff,
    0xfffc8000,0x7fc406ff,0x4005ffff,0x03ffffff,0x3fffff20,0x7fffc406,
    0xff1005ff,0xd03fffff,0xfdffffff,0x01ffffff,0x7fffffdc,0x32004fff,
    0x04ffffff,0x00dff900,0x3ea5fff7,0xfffa84ff,0x03ffffff,0x1ffffff1,
    0x06ffc800,0xdffff500,0xfffb8000,0xffffa80f,0x27fffcc2,0x09fffffd,
    0x07fffff8,0x17ffffec,0xffffb800,0xfd8001ff,0x0005ffff,0x7ffffc00,
    0x7fcc003f,0x006fffff,0x3ffff200,0x7ffc406f,0x7d405fff,0x3ea5ffff,
    0x7fffe46f,0xbfffffb5,0xf8800000,0xccefffff,0xffcccccc,0x000fffff,
    0x0ffffffe,0x7ffffc40,0xccccccef,0xffffffcc,0xfff7000f,0xf707ffff,
    0xffffffff,0xf8807fff,0x5fffffff,0x3fffea00,0x88000fff,0x7cc02fff,
    0x3ffea3ff,0xfffffd04,0x7fec09ff,0x44005fff,0xc8002fff,0x000effff,
    0x827fff40,0x4c2ffffa,0xff14ffff,0x4401ffff,0x407fffff,0x02fffffd,
    0xfffff500,0xffb0001f,0x0000bfff,0xffffff80,0x3ffe2003,0x000fffff,
    0xfffff100,0x999999df,0xffffff99,0xffff801f,0x8dff50ff,0xfb4ffffe,
    0x000bffff,0xffffb800,0xffffffff,0xffffffff,0x3fe003ff,0x7003ffff,
    0xffffffff,0xffffffff,0x07ffffff,0x7fffff40,0x3621adff,0xffffffff,
    0xfff9006f,0x2005ffff,0xfffffffb,0xbffb0002,0xaffff880,0xadfffcaa,
    0x7ffffd42,0xfffb106f,0xd8001fff,0xfd8005ff,0x0000efff,0x807fffdc,
    0x543ffff9,0xff53ffff,0xfb80dfff,0x6c07ffff,0x002fffff,0xffffff50,
    0xfffb0001,0x00000bff,0x3ffffff8,0x3ffffa00,0x00001fff,0x3fffffee,
    0xffffffff,0xffffffff,0x7fffec03,0x4cdff55f,0xfb2fffff,0x000bffff,
    0xffffe800,0xffffffff,0xffffffff,0x3fe006ff,0xd003ffff,0xffffffff,
    0xffffffff,0x0dffffff,0x7ffffcc0,0xfeffffff,0xffffffff,0xff1001ff,
    0x3bffffff,0xffffb510,0x2000dfff,0x4c01fff9,0xffffffff,0xe86fffff,
    0xdfffffff,0xffffecaa,0x7cc003ff,0x3a2001ff,0x0004ffff,0x409ffff0,
    0x544ffff8,0xff32ffff,0x2605ffff,0x07ffffff,0x17ffffec,0xffffa800,
    0xfd8000ff,0x0005ffff,0x7ffffc00,0xfffb003f,0x0007ffff,0xfffffe80,
    0xffffffff,0xffffffff,0x7ffdc06f,0x6ffadfff,0x1fffffd5,0x17fffff6,
    0xff980000,0xffffffff,0xffffffff,0x02ffffff,0x7ffffff0,0xfffff300,
    0xffffffff,0xffffffff,0x5c005fff,0xffffffff,0xffffffff,0x1effffff,
    0xfffffa80,0xeeffffff,0xffffffff,0xd0001fff,0xff3009ff,0xffffffff,
    0xff70dfff,0xffffffff,0xbfffffff,0x09ffd000,0x7ffff440,0xff700003,
    0xfff801ff,0x7fffec6f,0xffffff11,0x3ff2617d,0x00ffffff,0x0bfffff6,
    0x7fffd400,0xfd8000ff,0x0005ffff,0x7ffffc00,0xfffb803f,0x0004ffff,
    0x7ffffcc0,0xffffffff,0xffffffff,0x7f402fff,0xffffffff,0xffffffee,
    0x3fffff63,0x32000005,0xffffffff,0xffffffff,0xffffffff,0xfffff005,
    0xfff9007f,0xffffffff,0xffffffff,0x00bfffff,0xfffffd88,0xffffffff,
    0xffffffff,0xfff501df,0xffffffff,0xffffffff,0x005fffff,0x003ffea0,
    0x3bbbbba2,0x5eefffee,0x7fffffc4,0xffffffff,0x4000dfff,0x2000fffa,
    0xcceffffd,0x4000cccc,0xb804ffff,0xfdaeffff,0x7fec5fff,0xffffffff,
    0xffffffff,0x3fff601f,0xf50002ff,0x001fffff,0xbfffffb0,0xff800000,
    0x4c03ffff,0x5fffffff,0xffc80000,0xffffffff,0xffffffff,0x05ffffff,
    0x7fffffcc,0xffffffff,0x7ffec6ff,0x000005ff,0x3bfffffe,0xeeeeeeee,
    0xffffeeee,0xff800fff,0xf803ffff,0xeeefffff,0xeeeeeeee,0xffffffee,
    0xffa8000f,0xffffffff,0xffffffff,0x4c5fffff,0xffffffff,0xffffffff,
    0xdfffffff,0x3ffa0000,0xff500003,0xfffd109f,0xfffffffd,0x005fffff,
    0x800fffa0,0xfffffff9,0x000fffff,0x003fffee,0x7ffffff4,0x7c41ffff,
    0xffffffff,0xfffdffff,0x3ff603ff,0x50002fff,0x01ffffff,0xfffffb00,
    0xf800000b,0x203fffff,0xfffffff8,0xf800000e,0xeeefffff,0xeeeeeeee,
    0xffffffee,0x7ffdc00f,0xffffffff,0x7ec0efff,0x0005ffff,0xfffff500,
    0xff50003f,0xf007ffff,0x807fffff,0x1ffffffa,0xffffa800,0x710003ff,
    0xffffffdb,0xffb37dff,0x44bfffff,0xb8afffff,0xffffffff,0x2fffffff,
    0x37fdc000,0xfff50000,0x25fff909,0xffffffd9,0x70000cef,0xfc800dff,
    0xffffffff,0x3e000fff,0x26004fff,0xfffffffe,0xffff502f,0x1dffffff,
    0x0dfffff1,0x17ffffec,0xffffa800,0xfd8000ff,0x0005ffff,0x7ffffc00,
    0x3fffa03f,0x0001ffff,0xfffffa80,0xffa8001f,0xa803ffff,0xffffffff,
    0xfb04ffff,0x555dffff,0x55555555,0x83555555,0x06fffffd,0x3ffffe00,
    0xffff806f,0x7fec03ff,0x20006fff,0x06ffffff,0x2eea6000,0xfffa809a,
    0x3fe61fff,0x7f5c43ff,0xefffffff,0x440000bd,0x00002fff,0x6413ffea,
    0xaba9883f,0xff880001,0x7ff4002f,0xffffffff,0xff7000ff,0xd90001ff,
    0x801bffff,0xffffffd8,0x7ffff43e,0x0000001f,0x1ffffff5,0xffffb000,
    0x555555df,0x55555555,0x3fe03555,0xf703ffff,0x5bffffff,0x55555555,
    0x55555555,0xfffffd83,0x3ffe0006,0x91006fff,0xdffffffd,0x7ffec039,
    0xffffffff,0xffffffff,0x3e24ffff,0x003fffff,0x3fffff20,0x7fffc02f,
    0x3fe203ff,0x0003ffff,0x3ffffff2,0x00000002,0x10bfffb1,0x531009fd,
    0x00000357,0x00003331,0x00014000,0x06662000,0x00000000,0x00013331,
    0x88000988,0x00009ba9,0xf5000000,0x001fffff,0xffffffb0,0xffffffff,
    0xffffffff,0x3fffe09f,0xfff703ff,0xffffffff,0xffffffff,0x47ffffff,
    0x3ffffff8,0x3fff2000,0x44002fff,0xb001effc,0xffffffff,0xffffffff,
    0x9fffffff,0x7fffffdc,0x3fe60000,0x7c05ffff,0x203fffff,0x0ffffffb,
    0x3ffe6000,0x00005fff,0x0fe4c000,0x00000388,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fffffea,0xfffd8000,
    0xffffffff,0xffffffff,0xff04ffff,0x2e07ffff,0xffffffff,0xffffffff,
    0xffffffff,0x3fffee3f,0x260000ff,0x05ffffff,0x006ffa80,0x3ffffff6,
    0xffffffff,0xffffffff,0x3ffffa4f,0xfe80005f,0x200fffff,0x03ffffff,
    0x17fffffa,0x3fffa000,0x00000fff,0x00008000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fea0000,0x8000ffff,
    0xfffffffd,0xffffffff,0xffffffff,0xffffff04,0x3fffee07,0xffffffff,
    0xffffffff,0x3a3fffff,0x005fffff,0xfffffe80,0x7fd4000f,0x3fff6006,
    0xffffffff,0xffffffff,0xff34ffff,0x0005ffff,0xffffff70,0x7ffffc07,
    0xffff303f,0x700005ff,0x07ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xa8000000,0x00ffffff,
    0xfffffd80,0xffffffff,0xffffffff,0xffff04ff,0x3fee07ff,0xffffffff,
    0xffffffff,0x3fffffff,0x5ffffff3,0xfff70000,0xa8007fff,0x3f6006ff,
    0xffffffff,0xffffffff,0xb4ffffff,0x01ffffff,0xffff1000,0x7ffc0fff,
    0xffb03fff,0x0001ffff,0xffffff10,0x0000000f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffffffa8,
    0xfffd8000,0xffffffff,0xffffffff,0xff04ffff,0x2e07ffff,0xffffffff,
    0xffffffff,0xffffffff,0xfffffb3f,0xf100001f,0x00ffffff,0x0002aa88,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0733332a,
    0x6665c000,0x999951cc,0x20000039,0x0cccccca,0x6664c000,0x4cccb82c,
    0x6e5d4400,0x0000abcc,0x35775310,0x00000001,0x40000000,0x0cccccca,
    0x00f32200,0x20003995,0xbccdccaa,0x4ccc4001,0x33330019,0x32200033,
    0x26001ccc,0x800009aa,0x0000aaa8,0x40001b88,0x32201cca,0x0000003c,
    0x79953000,0x00000013,0xfffff000,0xfd80007f,0x9005ffff,0x005fffff,
    0xfffff300,0x3ffffe2b,0x3e000005,0x002fffff,0x3ffffb00,0x01ffffdc,
    0xfffffe98,0x01dfffff,0xffffb300,0x0019ffff,0x3f600000,0xff53ffff,
    0x88001fff,0x02ffffff,0x101fff80,0x44001fff,0xfffffffc,0xd004ffff,
    0x003fffff,0x01ffffff,0x3ffff500,0xffffd500,0x6400019f,0x4c0006ff,
    0x002efffd,0x640bff70,0x040004ff,0x07fffff0,0xffffffc8,0x00001eff,
    0xfffffc80,0x7fffffc3,0x7fec0003,0xf9005fff,0x0005ffff,0x4bffffb0,
    0x00effffb,0xfff50000,0x400007ff,0xf36ffff8,0x3600bfff,0xffffffff,
    0x03ffffff,0x7ffffe40,0x2fffffff,0xd8000000,0xf53fffff,0x8001ffff,
    0x02fffffb,0x20bffb00,0x22007ffc,0xffffffff,0x0dffffff,0x7fffff40,
    0xfffff801,0xffc8000f,0xfffb807f,0x00efffff,0x01fff880,0x7f7fec00,
    0xff30007f,0x5fff103f,0x81362000,0x303fffff,0xfffffffd,0x0007ffff,
    0xffffc800,0x7ffffc3f,0x7ec0003f,0x9005ffff,0x005fffff,0xeffff980,
    0x07ffffe0,0xffe80000,0x800004ff,0xffdffffa,0xfc800fff,0xffffffff,
    0x3fffffff,0xfffff700,0xffffffff,0x0000001f,0x3fffffd8,0x01fffff5,
    0x3fffff80,0x3ffe6000,0xffffdbdf,0xfffd1003,0xffffffff,0x401dffff,
    0x01fffffe,0x0ffffff8,0x5fffe800,0xefffff80,0x8005ffff,0x40005ffd,
    0x5fd11ff8,0x3fff6000,0xefffebce,0x7fe44000,0x3ffffe04,0xfffffa83,
    0xffffffff,0x260000ef,0xffeeeeee,0xf5eeffff,0x007fffff,0xfffffd80,
    0xffff9005,0xfc80005f,0x3fea0fff,0x000002ff,0x013fffea,0xfffc8000,
    0x802fffff,0xeffffffa,0xfffffede,0x7cc00fff,0xefffffff,0x06ffffff,
    0x7ec00000,0xff53ffff,0x54001fff,0x0004ffff,0xffffffb8,0x36005fff,
    0xffffffff,0xffffffff,0x3fffa03f,0xfff801ff,0x44000fff,0x5c03ffff,
    0x3fe64fff,0x7fcc007f,0x7dc0001f,0x80037dc6,0xfffffff8,0x54001fff,
    0x3e04ffff,0x7c43ffff,0xffffffff,0x4fffffff,0x3ffe6000,0xffffffff,
    0xffff7fff,0xd80007ff,0x005fffff,0x05fffff9,0x7fffc400,0x01ffff41,
    0x3ff60000,0x8000005f,0x5ffffffe,0xfffffb00,0xffff5105,0xffc807ff,
    0x3661efff,0x002fffff,0x3ff60000,0xfff53fff,0x7f4001ff,0x200004ff,
    0xfffffffb,0xfff1000c,0x22159fff,0x5ffffffb,0x3fffffa0,0xfffff801,
    0x7fd4000f,0x65cc01ff,0x1fffe20d,0x009ffd00,0xfd8ff300,0x3f620004,
    0x01efffff,0x7ffffdc0,0x3ffffe04,0x7ffffec2,0xfff910bf,0x20001fff,
    0xfffffff9,0x7fffffff,0x07ffffff,0xffffd800,0x3331005f,0x5c000133,
    0x774c2eee,0x4000004e,0x0005fff9,0xdddd3000,0x3fa001bd,0x7dc05fff,
    0x7402deff,0x881fffff,0x003fffff,0x3ff60000,0xd5513fff,0x7fd400ff,
    0x8800005f,0x001bcdca,0x2fffffe4,0xdfffff90,0x7fffff40,0xfffff801,
    0x7fe4000f,0xd530007f,0x54009fff,0x00000fff,0x1ffb7dfd,0xbb750000,
    0x3ee00059,0x2a04ffff,0x3e61ffca,0x500fffff,0x009fffff,0x3ffffe60,
    0xffffffff,0xffffff7f,0xffd80007,0x00005fff,0x00000000,0x00000000,
    0x00000000,0x03ffffff,0x7fc001a8,0xfb00ffff,0x0000bfff,0x7fffec00,
    0x006ff83f,0x00000000,0x32e62000,0x3ffe600d,0x3ffa07ff,0xff801fff,
    0x4000ffff,0x8005fffe,0x05fffff8,0x001fff40,0xfffff500,0x00000009,
    0xfffff700,0x41ff9009,0x03fffffd,0x07ffffec,0x55554400,0xfffffdaa,
    0xfffff2ad,0xfd80007f,0x0005ffff,0x00000000,0x00000000,0x00000000,
    0xffffffd0,0x2000017b,0x02fffffd,0x007ffffd,0x7fec0000,0x7fcc3fff,
    0x00000005,0x00000000,0x3fffffc0,0x3fffffd0,0xffffff00,0x7ffc4001,
    0xff98003f,0x2e003fff,0x800006ff,0x0001ceb8,0xf7000000,0xf009ffff,
    0x7fffc1ff,0x7fcc00ff,0x00003fff,0x1fffffe4,0x0ffffffe,0xffffb000,
    0x32a600bf,0x000009bc,0x06b372ea,0x65d44000,0x3009acdc,0x01579b95,
    0x6e5d4400,0xc800abcc,0xffffffff,0x0000adff,0x1ffffff7,0x1fffffc8,
    0xcba88000,0x7ffec09b,0x3ffa63ff,0x32e62001,0x00002acd,0x0359b975,
    0x36a20000,0x07ffffff,0x07fffffa,0x3fffffe0,0x3ffe6000,0xeea8001f,
    0x400dffff,0x0002fff8,0x40000000,0x009bcca9,0xfff93310,0x41333bff,
    0x3e24ffc8,0x8807ffff,0x004fffff,0x81579751,0x43fffffc,0x03ffffff,
    0x7fffec00,0x7ffe405f,0x01efffff,0xffff9100,0x03dfffff,0xffffb500,
    0x47ffffff,0xffffffe9,0x26001cff,0xfffffffe,0x2601dfff,0xffffffff,
    0x0bdfffff,0x3fffe600,0x3fff26ff,0x440006ff,0xfffffffe,0x3fffff65,
    0x009fff73,0x3fffffa6,0x000bffff,0x7ffffe44,0x001effff,0x3fff6e60,
    0x7fffffff,0x3fffffa0,0xfffff801,0x3fee000f,0x440000ff,0x6403fffe,
    0x310006ff,0x26003333,0xc8019999,0xffffffff,0x7ffd401e,0xffffffff,
    0x8dfff36f,0xcffffff9,0xcccccccc,0x405fffff,0xffffffd8,0xffff90df,
    0xfffff87f,0x7ec0003f,0xd305ffff,0xffffffff,0xa8007fff,0xffffffff,
    0x003fffff,0x3ffffff2,0xffffffff,0xfffffffd,0x802fffff,0xfffffffd,
    0x3fffffff,0x3ffffea0,0xffffffff,0x3f2003ff,0xfddfffff,0x003fffff,
    0x3ffffea0,0xd8efffff,0xf53fffff,0x3ff2009f,0xffffffff,0xf5001fff,
    0xffffffff,0x4007ffff,0xffffffd9,0xffffffff,0x3ffffa07,0xffff801f,
    0x3f6000ff,0x500006ff,0x7cc0dfff,0xfd0001ff,0xf003ffff,0x201fffff,
    0xffffffe9,0x203fffff,0xfffffffa,0xf16fffff,0xfffa81df,0xffffffff,
    0xffffffff,0x3ffe606f,0xefffffff,0x3fffffc9,0x1ffffffc,0x3fff6000,
    0xfffa85ff,0xffffffff,0xc800efff,0xffffffff,0xefffffff,0x7fffe401,
    0xffffffff,0xffffffff,0xffffffff,0x3fff203f,0xffffffff,0x203fffff,
    0xfffffffa,0xffffffff,0xffe8800e,0xffffffff,0x2e0004ff,0xffffffff,
    0xffefffff,0x00763fff,0x3fffffa2,0xffffffff,0x7fe401ff,0xffffffff,
    0x01efffff,0x7fffffe4,0xffffffff,0x3ffa07ff,0xff801fff,0x2000ffff,
    0xb004ffff,0xffb81ffd,0x17ff606f,0xffffe800,0xffff801f,0xfffa80ff,
    0xffffffff,0xfa80efff,0xffffffff,0x40ae6fff,0xfffffffb,0xffffffff,
    0x506fffff,0xffffffff,0xffdfffff,0xfff87fff,0x40003fff,0x45fffffd,
    0xfffffff8,0xffffffff,0x7ffdc04f,0xffffffff,0x06ffffff,0x3fffffe6,
    0xffffffff,0xffffffff,0xffffffff,0xffffa81f,0xffedeeff,0x00ffffff,
    0x7fffff54,0xffffffff,0xffff5005,0x7fffffff,0x7ffc4000,0xffffffff,
    0xffffffff,0xffd8003f,0xffffffff,0x0fffffff,0xffffff70,0xffffffff,
    0x7ec0dfff,0xdfffffff,0xffffff1b,0x7fffff40,0xfffff801,0xfff3000f,
    0x3ff6005f,0xfffd10cf,0x03ffea0b,0xffffe800,0xffff801f,0x7ffc40ff,
    0xffffffff,0xa84fffff,0xffffffff,0x7006ffff,0xffffffff,0xffffffff,
    0xf10fffff,0xffffffff,0xffffffff,0xfff87fff,0x40003fff,0x45fffffd,
    0xbffffffd,0xfffff910,0x3ffe601f,0xaabeffff,0xfffffffc,0xfffffb03,
    0x3ff2637d,0xdfffffff,0xfffda88a,0xfffd86ff,0xffa882ff,0x1003ffff,
    0xffffffb7,0x003fffff,0xfffffff1,0x80003dff,0xeffffffc,0xffff930a,
    0x8007ffff,0xeffffff9,0xfffeb99a,0xff983fff,0xabefffff,0xffffffca,
    0xffffb83f,0xfff01cff,0x7ff40fff,0xff801fff,0x7000ffff,0x2001ffff,
    0xfefffffa,0xfd01ffff,0xfe80009f,0xf801ffff,0x6c0fffff,0x0bffffff,
    0xffffff91,0xffecc981,0x3cccefff,0xfffff500,0x3333333d,0x33333333,
    0xffffff90,0x3ff2615d,0x43ffffff,0x03ffffff,0x7fffec00,0x3fffe65f,
    0xfff500ff,0x3ffa09ff,0xd103ffff,0x83ffffff,0x0ffffff8,0xffffff70,
    0x7fff40bf,0x7fff42ff,0x7ffdc05f,0x730002de,0xfffffffb,0xffffb807,
    0x00ffffff,0x7fffcc00,0x3fee05ff,0x003fffff,0x6ffffff4,0xfffffb00,
    0xfffffd0d,0x3ffa207f,0x7f41ffff,0x7c04ffff,0x3a07ffff,0x401fffff,
    0x0ffffff8,0x0dfffb00,0xfffffb80,0xf702ffff,0xe80001ff,0x801fffff,
    0x20ffffff,0x0ffffff9,0x9fffff50,0x7ffffdc0,0xfff30004,0x40000fff,
    0xdffffff8,0xfffff500,0xffff87ff,0x6c0003ff,0x365fffff,0x403fffff,
    0x40fffffd,0x3ffffff9,0x7ffffc40,0x5b95106f,0x7ffffc40,0x3fe200ff,
    0x7ffc5fff,0x0d401fff,0x401b9880,0x4fffffe8,0xfffffd10,0x0bffffff,
    0xffffc800,0x7fec00ff,0x2003ffff,0x0ffffffa,0x3ffffe60,0x3fffe61e,
    0x7fc403ff,0x3e26ffff,0x200fffff,0x07fffff8,0x0bfffffa,0xffffff50,
    0x3fffe001,0xffea8004,0xf100dfff,0xd00007ff,0x003fffff,0x41ffffff,
    0x03fffffd,0x07ffffec,0x4fffffb8,0xffff1000,0x098801ff,0x7ffffdc0,
    0x7ffec00f,0x7ffc3fff,0x40003fff,0x25fffffd,0x00ffffff,0x1fffffcc,
    0x1bfffff2,0x7ffffdc0,0xffd00007,0xfb00bfff,0xffe8ffff,0x00bdffff,
    0xffffec80,0xffffb806,0xfffe884f,0xffffffff,0x800c43ff,0x04fffffd,
    0xffffff98,0x3ffee003,0xacc804ff,0xfffff901,0x3ffee00d,0x3ffea7ff,
    0x7fdc06ff,0x3f607fff,0x2205ffff,0x0fffffff,0x2ffff980,0x06a62000,
    0x401bff20,0x7f42ccc8,0xf801ffff,0x3e0fffff,0x400fffff,0x03fffff9,
    0x09fffff7,0x7fffec00,0x77ff404f,0x7ffe41cd,0xff9804ff,0x7fc3ffff,
    0x0003ffff,0xafffffec,0x07fffff8,0x4fffff88,0x1ffffff4,0xffffff00,
    0xd9510003,0x09ffffff,0x3fffff70,0x7fffffe4,0x00adffff,0xffffffb8,
    0x7ffff402,0x7fff442f,0xfffcffff,0x3f22ffff,0xffd02bdf,0x3e005fff,
    0x003fffff,0x0ffffff6,0x7fff4000,0x3fe003ff,0xff31ffff,0x2605ffff,
    0x07ffffff,0x3ffffff2,0xfffff901,0xff7001ff,0x000001ff,0x00bffe20,
    0x3a1fffec,0x801fffff,0x10ffffff,0x00ffffff,0x09fffff1,0x13ffffee,
    0xffff9800,0xfff702ff,0xffd85fff,0xff002fff,0xff87ffff,0x0003ffff,
    0xafffffec,0xcffffff9,0xcccccccc,0x7c5fffff,0x002fffff,0x0bfffffa,
    0x3ffb6e60,0xffffffff,0xcccccccd,0x2fffffdc,0x3fffffe6,0xdfffffff,
    0x3fffe00b,0x260acfff,0x0ffffffd,0x7fffffe4,0xfffff90e,0x3fffe1ff,
    0xffff80ff,0xffd001ff,0x74007fff,0x002fffff,0xffffff00,0x7fff4005,
    0xffff12ff,0x32617dff,0xffffffff,0xfffff500,0xff955bff,0x1fffffff,
    0x0dfffb00,0x7ec00000,0xfff9005f,0xffffe87f,0xffff801f,0xffff30ff,
    0x999999ff,0xfffff999,0x3fffee0b,0x7f40004f,0x89cfffff,0xffffffca,
    0xfffffe86,0xffffd001,0xfffff87f,0x7ec0003f,0xff55ffff,0xffffffff,
    0xffffffff,0x7ffc4dff,0x36001fff,0x104fffff,0xfffffff9,0xffffffff,
    0xffffffff,0x7fffffff,0xffffffa8,0xffffffff,0xffff503f,0xffffffff,
    0x87ffffff,0xdffffff8,0x7ffffec0,0xfffffaef,0xfffff886,0xfffb000f,
    0x7fc007ff,0x0001ffff,0xffffff88,0x3fff6001,0x3fff64ff,0xffffffff,
    0xffffffff,0xfffff101,0xffffffff,0x1fffffdf,0x09ffff00,0x3e600000,
    0xffa801ff,0x7ff43fff,0xff801fff,0xff50ffff,0xffffffff,0xffffffff,
    0x3fee0dff,0x40004fff,0xfffffff9,0xffffffff,0xffff81ff,0xffb000ff,
    0xfff87fff,0x40003fff,0x74fffffd,0xffffffff,0xffffffff,0x7c4dffff,
    0x000fffff,0x17fffff2,0x3ffffff2,0xffffffff,0xffffffff,0xffffffff,
    0xfffa83ff,0xffffffff,0xb80effff,0xffffffff,0xffffffff,0xfffffc84,
    0xfffe880f,0xffffffff,0xffff883f,0xffb000ff,0x22007fff,0x01ffffff,
    0xffff8800,0x3f2000ff,0x3e25ffff,0xffffffff,0xfffdffff,0x3fe603ff,
    0xffffffff,0xffffbaff,0x7ffc400f,0x0000002f,0xf3009ffd,0xe87fffff,
    0x801fffff,0x70ffffff,0xffffffff,0xffffffff,0x2e0dffff,0x004fffff,
    0xffffe980,0xffffffff,0xfff882ff,0xf9000fff,0xff87ffff,0x4cc3ffff,
    0x7ff401ba,0xfff74fff,0xffffffff,0xffffffff,0xfffff8ff,0x3ff6001f,
    0x7fdc3fff,0xceffffff,0xfffffe8a,0xffffffff,0x4fffffff,0x3ffffaa0,
    0xffffffff,0xffff505f,0xffffffff,0x3ff607ff,0x3e605fff,0xffffffff,
    0xfff00fff,0x3a001fff,0x003fffff,0x0bfffffe,0x7fffc000,0x3f6001ff,
    0x7d43ffff,0xffffffff,0xffff88ef,0x7ffd406f,0x1fffffff,0x01fffff7,
    0x01ffffa8,0xffa80000,0x7ffc400f,0x7f43ffff,0xf801ffff,0xf70fffff,
    0xffffffff,0xffffffff,0x3ee0ffff,0x0004ffff,0xfffffb10,0x5fffffff,
    0x7fffffc0,0xffffb001,0xfffff87f,0xfffffb3f,0xffffe805,0xfffff54f,
    0x3333333d,0x33333333,0x2ffffff8,0x3ffffa00,0x3fffe62f,0xfe80bfff,
    0x999bffff,0x99999999,0xb8800999,0xfffffffd,0x2a01ffff,0xfffffffe,
    0x3fa00cff,0x5403ffff,0xffffffff,0x3ffe04ff,0xff001fff,0x4007ffff,
    0x02fffffe,0xfffff000,0x7ff4005f,0xfd882fff,0x43efffff,0x01fffffe,
    0x7ffffed4,0x3ffee0ce,0x7fe400ff,0x0000007f,0xfd007ffd,0x87fff5df,
    0x01fffffe,0x0ffffff8,0x3dfffff5,0x33333333,0x20333333,0x04fffffb,
    0x7fedc000,0x0bffffff,0x7fffff40,0xffffd001,0xfffff87f,0xfffff93f,
    0xfffff807,0xfffff33f,0x7f40000f,0x1004ffff,0x41ffffff,0x0dfffffc,
    0x3fffffa0,0x40000003,0xfffffdb9,0xc98803ff,0xf003effe,0x005fffff,
    0xfffffff7,0x7fec01ff,0xff003fff,0x4007ffff,0x04fffffd,0x409acda8,
    0x04fffffe,0xffffff10,0x4dd4c401,0x009ffb00,0x6402ae60,0x3fa005ff,
    0x000005ff,0xc806ffb8,0xfffa8fff,0x7fffff43,0xfffff801,0xfffff30f,
    0xf700000f,0x0009ffff,0x57ffd400,0x3fff6001,0xfff003ff,0xfff87fff,
    0xfff73fff,0x7fcc0dff,0xff12ffff,0x8801ffff,0x7ffe4009,0xfc800fff,
    0x7ec7ffff,0x7c01ffff,0x805fffff,0x37310019,0xffffe880,0xfff9004f,
    0xe805ffff,0x003fffff,0xfffffffb,0xffffc80b,0xfffb805f,0x2e003fff,
    0x807fffff,0x24fffffd,0x0ffffffc,0xfffffc80,0x3fe00007,0x2000003f,
    0xf1004ffd,0x00007fff,0x02fff880,0xfa97ffdc,0x7fff43ff,0x7fc402ff,
    0xff10ffff,0x8801ffff,0xfff70009,0x000009ff,0x4003ffdc,0x06fffffc,
    0xffffffa8,0x7fffffc3,0xffffff53,0x3ffff205,0x3fff60ff,0x7ff404ff,
    0x7fcc1cde,0x4404ffff,0x44ffffff,0x01ffffff,0x3fffffea,0x3ffe601f,
    0xffd90bde,0xff700dff,0x3a009fff,0xfffffdce,0x3ffff201,0x7ec400ff,
    0xdfffffff,0xfffff700,0xffff805f,0x2a003fff,0x02ffffff,0x3fffffe2,
    0x3ffffe61,0x7ffc404f,0x00004fff,0x0005fff1,0x01fff400,0x01ffffa8,
    0x7fe40000,0x1fffcc06,0xfe87fff5,0x5402ffff,0x20ffffff,0x04fffffd,
    0x0e6f7ff4,0x5fffffb8,0x3f200000,0xffa8006f,0x7402ffff,0x43ffffff,
    0x13ffffff,0x7fffffff,0x3ffff261,0x7ffcc6ff,0xff702fff,0xfd05ffff,
    0x01bfffff,0xfffffff5,0xffffff81,0xffffd104,0x3a01dfff,0x2e6fffff,
    0x02ffffff,0x17fffff4,0x9fffd000,0x7ffffd40,0xfff700ef,0xffffffff,
    0x3fffa03d,0xfe881fff,0x03ffffff,0x7ffffec0,0xfffe983f,0xfffe86ff,
    0xfa80dfff,0x00ffffff,0x9fff3000,0x7fc00000,0xfff9005f,0x8800000f,
    0x3e201fff,0xfcaaafff,0xffb2adff,0x74409fff,0x20ffffff,0x2ffffff9,
    0xffffff70,0x3fffee05,0x2000006f,0x8000fffd,0x2ffffffe,0xfffffd88,
    0x7fffc3ff,0x3fff23ff,0xffffffff,0x82ffffff,0xcffffffe,0xffffca89,
    0xfff306ff,0x99bfffff,0xfffffffd,0xfffffb05,0x3fae217f,0xffffffff,
    0xffec99bf,0x7fc3ffff,0x0acfffff,0x3fffff66,0x3ee0000f,0x7fec05ff,
    0xccdfffff,0xfffffffe,0xffffffff,0xfffffa84,0xffcabdff,0x3fffffff,
    0x7fffcc00,0xfeccefff,0x83ffffff,0xfffffff9,0xfffeccdf,0x0002ffff,
    0x01fffe60,0x7ffc4000,0xbfffd007,0xfd800000,0x7ffcc05f,0xffffffff,
    0xffff96ff,0x3ff603ff,0x740fffff,0x9cffffff,0xfffffca8,0x3ffea06f,
    0x06ecefff,0x3fff6000,0xfffa8002,0xcabdffff,0xffffffff,0x7ffffc3f,
    0x3fffe23f,0xffffffff,0xf306ffff,0xffffffff,0xffffffff,0x7fffdc03,
    0xffffffff,0x705fffff,0xffffffff,0xfffffffd,0xffffffff,0xffffffff,
    0xfffff50d,0xffffffff,0x007fffff,0x27fff440,0x3ffffe20,0xffffffff,
    0xffffffff,0x81ffffff,0xfffffffe,0xfeffffff,0x8003ffff,0xfffffffc,
    0xffffffff,0x3ffee05f,0xffffffff,0x05ffffff,0x7ffc4000,0x001512df,
    0x3bffff00,0xfff88662,0x2000003f,0x4c00fff9,0xffffffff,0xf56fffff,
    0x59ffffff,0xfffffd93,0xff981fff,0xffffffff,0x1fffffff,0x3ffffe60,
    0x0007ffff,0x2fbfff20,0xffb00530,0xffffffff,0xffffdfff,0xfffff87f,
    0x7fffdc3f,0xffffffff,0x3a600eff,0xffffffff,0x02ffffff,0xffffffb8,
    0xffffffff,0x7ffec04f,0xffffffff,0xfffdcfff,0xffffffff,0xf700efff,
    0xffffffff,0x9fffffff,0x9999d100,0x01fffffd,0xffffff50,0xffffffff,
    0xfffb5dff,0x3a607fff,0xffffffff,0xfff9cfff,0xd88003ff,0xffffffff,
    0x0effffff,0x7ffffdc0,0xffffffff,0x000004ff,0xfffffffd,0xfb00007f,
    0x9fffffff,0x00ffffd4,0x9ffd0000,0xddddd100,0xddfffddd,0x3ffffe2b,
    0xffffffff,0x0fffffef,0xfffffe98,0xffffffff,0xfffe802f,0x00ffffff,
    0xffff5000,0x100dffff,0xfffffffd,0xff3bffff,0xfff87fff,0xffa83fff,
    0xffffffff,0xd8800eff,0xffffffff,0x2002ffff,0xffffffe9,0x02efffff,
    0xfffffe88,0x0cffffff,0x3fffffea,0x0effffff,0x7ffffd40,0xffffffff,
    0xfff1003f,0x3dffffff,0x7ffec400,0xffffffff,0x7ffdc3ff,0x7fec405f,
    0x4fffffff,0x07fffff3,0x7fffd400,0xffffffff,0xffd3000d,0xffffffff,
    0x000005df,0x7fffffcc,0x880003ff,0xffffffff,0x01ffff24,0xfffa8000,
    0xffa80000,0xffff983f,0xffffffff,0x0fffffba,0xfffffb10,0x5fffffff,
    0x3fffea00,0x001fffff,0x3ffff600,0xb1006fff,0xffffffff,0x3fffe69f,
    0x7ffffc3f,0xfff9103f,0x05bfffff,0xffffb700,0x0017ffff,0x3ffff6a0,
    0x000cefff,0x7fffffdc,0xd9101cef,0xbfffffff,0xffea8005,0xcfffffff,
    0x3ffa2000,0x002defff,0x3ffffaa0,0x00deffff,0x2001dfd1,0xdfffffeb,
    0x3ffffe62,0x76c40003,0xdfffffff,0xffb50001,0x19dfffff,0xd3000000,
    0x03bdffff,0x3ff66000,0x3fa2dfff,0x000006ff,0x0000fffe,0xa81fffd4,
    0xffffffff,0xffff71ff,0xffdb801f,0x0bffffff,0x7fff4c00,0x0000dfff,
    0x7ffffe40,0x7f5c003d,0x263dffff,0x003fffff,0x2aee6200,0x31000009,
    0x00003357,0x00d5d4c4,0x1aba9800,0x35753000,0xa9880001,0x00009aba,
    0x00000988,0x03575310,0x88000c80,0x000001ba,0x2aee6200,0x26200001,
    0x00001aba,0x02aa6000,0xaa980000,0x05999900,0x3fee0000,0x3ea00006,
    0x3f6a03ff,0x20ceffff,0x00fffffb,0x066ae620,0x2aea2000,0x44000000,
    0x880001a9,0x000001b9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00002662,0x2ae60000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xcc980000,0x00665c02,0x00000400,
    0x0b33332a,0xbb988000,0x00000001,0xcccc8800,0x4c0002cc,0x00aacca9,
    0x66665400,0x26666442,0x66664c00,0x5400002c,0x00cccccc,0x79999970,
    0x01000000,0x00040000,0x0e6665c0,0x80f33326,0x30099998,0x00015797,
    0x3ccccc88,0x32600000,0x000ccccc,0x4cccccb8,0x00400000,0x00000000,
    0x20999998,0x4c41cca8,0xf1009999,0x3fe601ff,0xecb98007,0x000cdeff,
    0x3ffffe20,0x220000ff,0xffffffed,0x3ffe60ce,0xffffffff,0xffffffff,
    0xfff90005,0x26000bff,0xfffffffc,0x8001ceff,0x4c4ffffd,0x8007ffff,
    0x1ffffffe,0x3ffa0000,0x26003fff,0x01ffffff,0x7edd4000,0x0002deff,
    0xdffffd93,0xffd0007b,0xfffa87ff,0x3fffa06f,0x3fff626f,0x000dffff,
    0xffffffd0,0x3a000005,0x004fffff,0xfffffd10,0x64c00005,0x02cdfffd,
    0x3fffa600,0x00f4c2ff,0x34fffff8,0x29ffffff,0x04fffffb,0x7ec13ffa,
    0x7fe4005f,0xffffffff,0xfffb0003,0x000bffff,0x3fffffea,0x32ffffff,
    0xffffffff,0xffffffff,0x2000bfff,0x00efffff,0x7fffecc0,0xffffffff,
    0x36000cff,0x7cc4ffff,0x64007fff,0xefffffff,0xffa80000,0x98003fff,
    0x005fffff,0xffffd100,0x03bfffff,0x3ffff220,0x1effffff,0x3ffffa00,
    0x37fffd43,0x2dffffd0,0xfffffff9,0x4002ffff,0xfffffffb,0x4c00000f,
    0x004fffff,0x7ffffc40,0xfc880005,0xffffffff,0xfb10000e,0xfd57ffff,
    0x3ffe00bf,0xffff9cff,0xfff74fff,0x7fdc09ff,0xfffdbdff,0x3ff6001f,
    0xffffffff,0x2e000dff,0xfffeffff,0x7fe4003f,0xffffffff,0xff9bffff,
    0xffffffff,0xffffffff,0xffb8005f,0x54000eff,0xffffffff,0xffffffff,
    0xffb001ff,0xfff989ff,0x3fea007f,0x4ffffeff,0xfffe8000,0x3ea0004f,
    0x0000ffff,0x7fffffd4,0x0fffffff,0x7ffffc40,0xffffffff,0xfffd003f,
    0xffffa87f,0x3ffffa06,0xffffffae,0x0fffffff,0xdffff300,0x000bffff,
    0x5ffffd80,0xfff30000,0x4c0003ff,0xfffffffe,0x002fffff,0x3fffff20,
    0xf002dfff,0xffdbffff,0x2e3fffff,0x404fffff,0xfffffffd,0xfd1003ff,
    0xffffffff,0x00bfffff,0x757fffe6,0xb001ffff,0xffffffff,0xffffffff,
    0xfffffffd,0xffffffff,0x000bffff,0x001ffffd,0xffffffa8,0xffffffff,
    0x01ffffff,0x44ffffd8,0x007ffff9,0x36dffff1,0x0002ffff,0x013fffea,
    0x3fffea00,0x3fee0004,0xffffffff,0x7406ffff,0xffffffff,0x1fffffff,
    0x3ffffe80,0x037fffd4,0xfffffffd,0xffffffff,0x2007ffff,0xfc8ffffe,
    0x00003fff,0x00bffff3,0xffff9800,0xfff10005,0xffffffff,0x0007ffff,
    0x7fffffd4,0x7fffc001,0xffffffff,0x3fffee6f,0x7fe4404f,0x003fffff,
    0x3fffffee,0xffffffff,0xffe803ff,0xffff10ff,0xffff300d,0xffffffff,
    0xffffffff,0xffffffff,0xffffffff,0xffa800bf,0x7cc001ff,0xffffffff,
    0xffffffff,0x400fffff,0x442cccca,0xb004cccc,0x3a23ffff,0x0000ffff,
    0x000bfffb,0x07fffdc0,0x7fffd400,0xffffffff,0xf704ffff,0xdfffffff,
    0xdfffffff,0xccccb801,0x1e6664c1,0xffffffd0,0x3f6637df,0x807fffff,
    0x3a1ffffc,0x0001ffff,0x00efffc8,0xfffa8000,0xffd8000f,0xffffffff,
    0x01ffffff,0xfffffb80,0x7fc004ff,0xffffffff,0x3fee3ffe,0x73004fff,
    0x800179b9,0x2efffffe,0xfffffd71,0xeeeeb80f,0x17777541,0x3fffff60,
    0xb530acff,0xffffffff,0x5555559f,0x55555555,0x1fffe800,0xffffe800,
    0x889befff,0xfffffeb9,0x000004ff,0x3bbbaa00,0x277774c3,0x37ffcc00,
    0x7fdc0000,0xffe8003f,0xb50affff,0x20ffffff,0x2efffffe,0x3ffffee2,
    0x0000002f,0xffffffe8,0xffffb00f,0xeee980ff,0x7776c43e,0x7fc40004,
    0x000000ef,0x0013ffee,0x7ffffff5,0x3ffff621,0xf71006ff,0xffffbfff,
    0x7ffc007f,0x262fffff,0x3fffee0c,0x0000004f,0x1bffffe6,0x7fffffd4,
    0x40000001,0xfffffffa,0x7fffdc01,0x0002ffff,0x30000000,0x9fffffff,
    0xfffff900,0x000001ff,0x00000000,0x00000000,0x3ffee000,0xff881fff,
    0x7c41ffff,0x901fffff,0x007fffff,0xffd00000,0x4c03ffff,0x00ffffff,
    0x00000000,0x00000000,0xffffe800,0xffff903f,0xff7003ff,0x3fff219f,
    0xfff002ff,0x0007ffff,0x20000000,0x03fffffc,0x0bfffffe,0xfd000000,
    0x001fffff,0x3fffffee,0x0000002f,0xfff90000,0x5c009fff,0x05ffffff,
    0x00000000,0x00000000,0xd0000000,0x409fffff,0x43fffffc,0x06fffff9,
    0x17ffffe6,0x3a000000,0x805fffff,0x01ffffff,0x00000000,0x00000000,
    0xfffff800,0x7ffff407,0x0bf8804f,0x1fffffe8,0xffffff80,0xa8000006,
    0x1bccdcca,0xffb95300,0x7fffec01,0xcba8802f,0x800abccd,0x4ffffffa,
    0x7ffffc00,0x000002ff,0x33372ea2,0xfff000ab,0xd000ffff,0x43ffffff,
    0x00199998,0x44333333,0x30019999,0x4c433333,0x33001999,0x4cc43333,
    0x33300199,0xfff88333,0x2a200fff,0x3ffe6019,0x7ffc03ff,0x5d4005ff,
    0x2001acdc,0x03fffffe,0x1fffffe8,0x3372ea00,0x5400001a,0x001acdcb,
    0x66e5d400,0x3fe6001a,0x7dc04fff,0x8007ffff,0x3fffe608,0xffff806f,
    0x3a2003ff,0x3f2201ee,0xffffffff,0x008004ff,0x07fffff4,0xfffffd30,
    0x03bfffff,0x7fffffe4,0x7ffe4001,0x00002fff,0xfffffe98,0x01dfffff,
    0x03fecb98,0xfffff980,0x3ffffa5f,0xffff801f,0xffffd0ff,0xffff003f,
    0x3fffa1ff,0xfff801ff,0xfffd0fff,0xfff003ff,0x7fd41fff,0x00006fff,
    0x817ffffe,0x03fffff9,0xfffffc88,0x401effff,0x02fffffe,0x2fffffe8,
    0x7fffe440,0x01efffff,0xffff9100,0x03dfffff,0x3fff2200,0x1effffff,
    0x7ffffd40,0x7fffcc04,0xedb800ff,0xffcadfff,0x7fc02fff,0x2002ffff,
    0xf103fff9,0xffffffff,0x01bfffff,0x3ffe6000,0x3ff605ff,0xffffffff,
    0xfb03ffff,0x000bffff,0x5ffffff1,0xffd80000,0xffffffff,0x4003ffff,
    0x3ff60000,0x3ffa6fff,0xff801fff,0xffd0ffff,0xff003fff,0x3fa1ffff,
    0xf801ffff,0xfd0fffff,0xf003ffff,0x641fffff,0x005fffff,0x3ffff600,
    0xffff900f,0xfffa801f,0xffffffff,0x3ffa03ff,0xfe802fff,0x2a02ffff,
    0xffffffff,0x003fffff,0x7fffffd4,0x3fffffff,0x7fffd400,0xffffffff,
    0x3ffee03f,0x7fc403ff,0x2202ffff,0xfffffffe,0x6fffffff,0x7fffffc0,
    0x3ffea001,0xffffe883,0xffffffff,0x0000efff,0x7fffff4c,0xfffff903,
    0xffffffff,0xffd07fff,0x20009fff,0x02ffffff,0x3fff2000,0xffffffff,
    0x003fffff,0xfff90000,0x7fff4fff,0xfff801ff,0xfffd0fff,0xfff003ff,
    0x3ffa1fff,0xff801fff,0xffd0ffff,0xff003fff,0x7ec1ffff,0x2e64ffff,
    0x70009bdd,0x43bfffff,0x6fffffa8,0x7ffffe40,0xffffffff,0xffe81eff,
    0xfe802fff,0xf902ffff,0xffffffff,0x3dffffff,0xfffff900,0xffffffff,
    0xf9003dff,0xffffffff,0x3dffffff,0x7fffff70,0xfffff880,0xffff503f,
    0xffffffff,0x407fffff,0x01ffffff,0x213ffee0,0xfffffffd,0xffffffff,
    0xca8003ff,0x4ffffffd,0xffffff50,0xffffdbdd,0xff81ffff,0x0003ffff,
    0x59fffffd,0x55555555,0xff503555,0xdbddffff,0xffffffff,0x50000001,
    0x21ffffff,0x01fffffe,0x0ffffff8,0x03fffffd,0x1ffffff0,0x07fffffa,
    0x3fffffe0,0x3fffffd0,0xffffff00,0x7fffff41,0xfffffe8b,0xffb002ff,
    0xffbdffff,0x403fffff,0xfffffffb,0xffffffff,0xfffe86ff,0xffe801ff,
    0xffb82fff,0xffffffff,0x6fffffff,0x7ffffdc0,0xffffffff,0x5c06ffff,
    0xffffffff,0xffffffff,0xffff986f,0x7ffcc04f,0xff984fff,0xffffffff,
    0xffffffff,0x3ffffe07,0x3ff2000f,0x7fffc45f,0xf710acff,0x00bfffff,
    0xffffffd0,0x7ffec05f,0xffa882ff,0x3e23ffff,0x002fffff,0xffffffd0,
    0xffffffff,0xfb07ffff,0x5105ffff,0x87ffffff,0xcccccccb,0xcccccccc,
    0xffcccccc,0xffd2ffff,0xff003fff,0x3fa1ffff,0xf801ffff,0xfd0fffff,
    0xf003ffff,0x3a1fffff,0x801fffff,0x20ffffff,0xfcffffff,0xffffffff,
    0xffd8804f,0xffffffff,0x3e600eff,0xbeffffff,0xfffffcaa,0x7fff43ff,
    0xffe801ff,0x7fcc2fff,0xabefffff,0xffffffca,0xffff303f,0x9557dfff,
    0x7fffffff,0x3ffffe60,0xfcaabeff,0x43ffffff,0x06fffff8,0x7fffffd4,
    0xfffffe85,0xfffeceff,0x02ffffff,0x01ffffff,0x237ffe40,0x05fffffc,
    0x1bfffff2,0x3ffffe00,0x7ff402ff,0x7fdc05ff,0x3fe62def,0x0002ffff,
    0xfffffffb,0xffffffff,0xffd07fff,0xffb80bff,0x7ff42def,0xffffffff,
    0xffffffff,0xffffffff,0xfffffd3f,0xfffff003,0x3ffffa1f,0xffff801f,
    0xffffd0ff,0xffff003f,0x3fffa1ff,0xfff801ff,0x3ffe0fff,0xffffffff,
    0x5fffffff,0xfffff500,0x00bfffff,0x7ffffffd,0x3ffffa20,0x3fffa1ff,
    0xffe801ff,0x7ff42fff,0xd103ffff,0x03ffffff,0x7ffffffd,0x3ffffa20,
    0xfffe81ff,0xfd103fff,0xf83fffff,0x201fffff,0x5ffffffe,0x7fffffe4,
    0xffffc80e,0xfff04fff,0x6c001fff,0xb9887fff,0x3fe600dc,0x44007fff,
    0xffffffff,0xfffff00c,0x201a803f,0x1ffffffa,0xffff9000,0xffffffff,
    0x07ffffff,0x03ffffff,0x7ffc01a8,0xffffffff,0xffffffff,0xffffffff,
    0xfffffd4f,0xfffff003,0x3ffffa1f,0xffff801f,0xffffd0ff,0xffff003f,
    0x3fffa1ff,0xfff801ff,0x3ffe0fff,0xefffffff,0xfffffffe,0x7fff4c02,
    0xffffffff,0xffff300d,0xff8807ff,0x3fa6ffff,0xe801ffff,0x262fffff,
    0x03ffffff,0x7fffffc4,0x7ffffcc6,0x7ffc403f,0x7fcc6fff,0x4403ffff,
    0x46ffffff,0x0efffffb,0xffffffc8,0x3fffe65f,0x7fdc05ff,0xff07ffff,
    0x4001ffff,0x0007fffe,0x0ffffff0,0xfffff980,0xe81fffff,0xbdffffff,
    0xfffa8000,0x90002fff,0xffffffff,0xffffffff,0xfffd07ff,0x0017bfff,
    0x3fffffe0,0xffffffff,0xffffffff,0xd4ffffff,0x003fffff,0x21ffffff,
    0x01fffffe,0x0ffffff8,0x03fffffd,0x1ffffff0,0x07fffffa,0x3fffffe0,
    0xffffff10,0x7ec41bff,0x700fffff,0xffffffff,0x3fffffff,0xdfffff90,
    0x3fffee00,0x3ffffa7f,0xfffe801f,0x3fff22ff,0xff7006ff,0xffc8ffff,
    0xf7006fff,0xfc8fffff,0x7006ffff,0xd0ffffff,0x59ffffff,0xffffffb7,
    0x7ffdcbff,0xfe801fff,0xf81fffff,0x000fffff,0x003ffffe,0x3fff6a20,
    0x4c007fff,0xfffda99a,0x7fe41fff,0xffffffff,0xff9800ad,0x0002ffff,
    0xfffffffb,0xffffffff,0xff907fff,0xffffffff,0x3fe0015b,0xffffffff,
    0xffffffff,0xffffffff,0xffffd4ff,0xffff003f,0x3fffa1ff,0xfff801ff,
    0xfffd0fff,0xfff003ff,0x3ffa1fff,0xff801fff,0x3fe0ffff,0x206fffff,
    0x84fffffd,0xdffffffa,0xffffecab,0x7fff41ff,0x3fe003ff,0xffd1ffff,
    0xfd003fff,0x7f45ffff,0x2003ffff,0x21ffffff,0x03fffffe,0x3fffffe0,
    0x3fffffa1,0x3fffe003,0x7ffd41ff,0xffffffff,0x5fffffff,0x17fffff2,
    0x7ffffcc0,0xfffff82f,0x3ffe000f,0xdb9801ff,0xffffffff,0x900007ff,
    0x98dfffff,0xffffffff,0x0bdfffff,0xffffff10,0x3ffa0007,0x00002fff,
    0xfffffff3,0x7bffffff,0x7ffff401,0xeeeeeeff,0xeeeeeeee,0x3ffffffe,
    0x03fffffd,0x1ffffff0,0x07fffffa,0x3fffffe0,0x3fffffd0,0xffffff00,
    0x3fffffa1,0xfffff801,0x3ffffe0f,0x3fe601ff,0xfff85fff,0xfd883fff,
    0x7fc5ffff,0x2002ffff,0xd2fffffe,0x003fffff,0x45fffffd,0x02ffffff,
    0x3fffffa0,0x3fffffe2,0x3fffa002,0x3fffe2ff,0x3fa002ff,0xfb82ffff,
    0xffffffff,0xfffffeff,0x3fffffa5,0x3fffe003,0xffff83ff,0xff1000ff,
    0x36605fff,0xffffffff,0x07ffffff,0x3fffa000,0x7ffd42ff,0xffffffff,
    0xff03ffff,0x0009ffff,0x0bfffffe,0xfffa8000,0xffffffff,0xfb03ffff,
    0x000fffff,0x7fffffd4,0x3fffffd2,0xffffff00,0x3fffffa1,0xfffff801,
    0xfffffd0f,0xfffff003,0x3ffffa1f,0xffff801f,0x3fffe0ff,0xfff807ff,
    0x7ffcc7ff,0x3fe205ff,0xff11ffff,0x4003ffff,0xd4fffffd,0x003fffff,
    0x25fffffd,0x1ffffff8,0x3ffff600,0xfffff14f,0x7fec003f,0xfff14fff,
    0x6c003fff,0x304fffff,0xfffffffd,0xfffff93f,0x7fffffc9,0x3fffa002,
    0xffff84ff,0xff3000ff,0xff905fff,0xffffffff,0x0fffffff,0x7ffe4000,
    0xfffa84ff,0xffffffff,0x740effff,0x005fffff,0xffffff88,0x7d400002,
    0xffffffff,0x0effffff,0x7fffffe4,0xfff90001,0x3ffa5fff,0xff801fff,
    0xffd0ffff,0xff003fff,0x3fa1ffff,0xf801ffff,0xfd0fffff,0xf003ffff,
    0x741fffff,0x806fffff,0x20fffffe,0x03fffffb,0xa7ffffdc,0x0ffffff8,
    0x3ffff200,0xfffffd5f,0xffffd003,0x3fffe25f,0x3f2000ff,0xff15ffff,
    0x4001ffff,0x15fffffc,0x01ffffff,0x7ffffe40,0x3ff6e205,0xfffb0cef,
    0x3ffe27ff,0x36001fff,0xf84fffff,0x000fffff,0x87fffff5,0xfffffffd,
    0xffff1bdf,0x540000ff,0x206fffff,0xffffffea,0x5fffffff,0x3fffffec,
    0x7fffd400,0x000002ff,0xffffffd5,0xbfffffff,0xffffffa8,0xfffd0003,
    0x3ffa1fff,0xff801fff,0xffd0ffff,0xff003fff,0x3fa1ffff,0xf801ffff,
    0xfd0fffff,0xf003ffff,0x6c1fffff,0x806fffff,0x21fffffd,0x00fffffe,
    0x2fffffd4,0x03ffffff,0x7ffffec0,0x3fffffd3,0xfffffd00,0x7fffffc5,
    0x3fff6001,0x3fffe3ff,0x3f6001ff,0x3fe3ffff,0x2001ffff,0x03fffffd,
    0x7fff4020,0x3fffe2ff,0x3fa002ff,0xff83ffff,0x7000ffff,0x5c9fffff,
    0x1cffffff,0x0ffffff0,0xff500110,0x7100dfff,0xfffffffb,0x7e43ffff,
    0x002fffff,0x7fffffec,0x44000002,0xffffffdb,0x7c1fffff,0x005fffff,
    0xffffff88,0x3fffffa5,0xfffff801,0xfffffd0f,0xfffff003,0x3ffffa1f,
    0xffff801f,0xffffd0ff,0xffff003f,0x7ffdc1ff,0xffd807ff,0xfff10fff,
    0xff300dff,0x7ffcdfff,0x3a002fff,0xfd2fffff,0xd003ffff,0x7c5fffff,
    0x002fffff,0x8bfffffa,0x02ffffff,0x3fffffa0,0x3fffffe2,0x3fffa002,
    0xf80002ff,0x3a1fffff,0x003fffff,0x07fffffe,0x03fffffe,0x7ffffdc0,
    0x3fffffa5,0x7ffffc04,0x7ff6e447,0xffffb806,0xdb98005f,0x3fffffff,
    0x3fffffea,0x3ffe2006,0x0002ffff,0x7edcc000,0x43ffffff,0x2ffffffd,
    0x7fffec00,0x3fffa2ff,0x7fc402ff,0xffd0ffff,0xf8805fff,0xfd0fffff,
    0x8805ffff,0xd0ffffff,0x805fffff,0x0ffffff8,0x3fffffea,0x7ffff400,
    0x3fffffc7,0x7ffffd40,0x3fffffa5,0xffff1004,0x973001ff,0xfe800357,
    0x1004ffff,0x41ffffff,0x04fffffe,0xffffff10,0x7fffff41,0xffff1004,
    0x980001ff,0x647fffff,0x004fffff,0x1ffffff1,0x06af2ea0,0x7ffffe40,
    0xffffff16,0x7fffc401,0xfffff87f,0x7ffec00f,0x1b9884ff,0x7ffff440,
    0x7ffff44f,0xffb002ff,0x005fffff,0x01b98800,0x7fffff44,0x7ffffcc4,
    0xff5000ff,0x741fffff,0x402fffff,0x0ffffffa,0x05fffffd,0xffffffa8,
    0x5fffffd0,0xfffffa80,0xfffffd0f,0xffffa805,0x3ffe20ff,0x3e203fff,
    0x7f46ffff,0x5c01ffff,0x323fffff,0x00ffffff,0x7fffffc8,0xfffffb00,
    0x3ff2005d,0xc800ffff,0x647fffff,0x00ffffff,0x7fffffc8,0x7fffffe4,
    0xffffc800,0x7766547f,0x3fff601f,0x7ffdc4ff,0xfc800fff,0x3a07ffff,
    0x02efffff,0xb7ffffec,0x06fffffa,0x3fffffdc,0x27ffffec,0xffffff50,
    0x3ffffb25,0xffffb806,0x7fffcc4f,0x7ec02fff,0x2fffffff,0xffec8000,
    0xffb806ff,0xffd84fff,0x401effff,0xfffffffa,0x7ffffec3,0x3fffa204,
    0xfffb0fff,0x7f4409ff,0xfb0fffff,0x4409ffff,0x0ffffffe,0x09fffffb,
    0x7fffff44,0x7fffec0f,0xfff700ff,0xfffc8bff,0x3fe205ff,0x3e62ffff,
    0x404fffff,0x4ffffff8,0xfffffb00,0xff3005ff,0x8809ffff,0x44ffffff,
    0x4ffffff9,0x7ffffc40,0x7fffcc4f,0x7fc404ff,0x7ec4ffff,0xf104ffff,
    0x985fffff,0x05ffffff,0x7fffffcc,0x3ffffa04,0x3f601fff,0xff36ffff,
    0x2605ffff,0x87ffffff,0xcffffffb,0x7ffffd41,0xffff70ff,0xffe805ff,
    0xffd82fff,0x9bdfffff,0xffffeca9,0xaacfffff,0xaaaaaaaa,0xff70aaaa,
    0xe805ffff,0x882fffff,0xffffffff,0xffb5109b,0x90dfffff,0x03ffffff,
    0x3ffffff6,0xfffff90f,0x3fff603f,0xff90ffff,0x3603ffff,0x0fffffff,
    0x3ffffff9,0x3fffff60,0x7ffd40ff,0x7d40efff,0x5c2fffff,0x83ffffff,
    0xffffffd8,0x7fffff40,0xfffa80df,0x1000ffff,0xbffff533,0x3ffffa00,
    0xffa80dff,0xe80fffff,0x0dffffff,0xffffffa8,0xffffe80f,0xffa80dff,
    0x540fffff,0x41ffffff,0x6fffffe8,0xffffff90,0xffff501b,0x4c401dff,
    0x04ffffb9,0x5bfffff6,0xeffffff8,0xffff930b,0xe881ffff,0xefffffff,
    0xffffffec,0x7ffffc2f,0x3660acff,0x80ffffff,0xfffffff9,0xffffffff,
    0xffffffff,0xffffffff,0x2fffffff,0x3ffffffe,0x3ff660ac,0xf500ffff,
    0xffffffff,0xffffffff,0xf503ffff,0x59ffffff,0xfffffd93,0x3fea1fff,
    0x9acfffff,0xffffffec,0xffff50ff,0xd9359fff,0xffffffff,0x3ffffea1,
    0xfec9acff,0x0fffffff,0xffffffd8,0xffffecdf,0xffe885ff,0xcaceffff,
    0x4ffffffe,0xffffff98,0xffeccdff,0x002fffff,0x01bffee0,0x7fffffcc,
    0xffeccdff,0x302fffff,0xffffffff,0xffffd99b,0x3e605fff,0xdfffffff,
    0xfffffecc,0xfff882ff,0xfdceffff,0x01ffffff,0x3ffffffa,0xfffecbdf,
    0x4002ffff,0x3605fffc,0x366fffff,0xffffffff,0xffffffff,0xff981fff,
    0xffffffff,0x84ffffff,0xfffffffa,0xffffffff,0x3f603fff,0xffffffff,
    0xdfffffff,0xffffffff,0xffffffff,0x3ea2ffff,0xffffffff,0xffffffff,
    0x7ffdc03f,0xffffffff,0xffffffff,0xfffff102,0xffffffff,0x1fffffdf,
    0x3fffffe2,0xffffffff,0x10fffffe,0xffffffff,0xfdffffff,0x3e21ffff,
    0xffffffff,0xffefffff,0xff880fff,0xffffffff,0x00ffffff,0xfffffff3,
    0xffffffff,0x7ffdc0df,0xffffffff,0x05ffffff,0x3fffa200,0x3ffee004,
    0xffffffff,0x05ffffff,0x7fffffdc,0xffffffff,0x7dc05fff,0xffffffff,
    0xffffffff,0x3ffff205,0xffffffff,0x7cc04fff,0xffffffff,0xffffffff,
    0x7ffc4005,0x3fff603f,0x3ffe26ff,0xffffffff,0xfffffdff,0xfffff703,
    0xffffffff,0x7ffdc0df,0xffffffff,0x804fffff,0xfffffffc,0xbfffffff,
    0xfffffff9,0xffffffff,0x5c2fffff,0xffffffff,0xffffffff,0xffff7004,
    0xffffffff,0x803dffff,0xfffffff9,0xfbafffff,0x3e60ffff,0xffffffff,
    0xfffbafff,0x3ffe60ff,0xffffffff,0xfffffbaf,0x3ffffe60,0xafffffff,
    0x00fffffb,0xffffffd3,0x5fffffff,0xfffffa80,0xffffffff,0x7fdc01ff,
    0xffffffff,0x004fffff,0xffdb99bb,0xb8003fff,0xffffffff,0x4fffffff,
    0xfffff700,0xffffffff,0x3ee009ff,0xffffffff,0x04ffffff,0xffffffd8,
    0x3fffffff,0xfffff500,0xffffffff,0x9d101bff,0xffffdb99,0x7ffec01f,
    0x7ffd46ff,0xefffffff,0x6fffff88,0x3ffffaa0,0x3fffffff,0xfffffa80,
    0xffffffff,0x3fe6003f,0xffffffff,0xffff32ff,0xffffffff,0xffffffff,
    0xfffff505,0xffffffff,0xfd98007f,0xffffffff,0x000dffff,0xfffffff5,
    0x3fee3fff,0x7fd40fff,0xffffffff,0x1fffff71,0xffffffa8,0xff71ffff,
    0xffa81fff,0xffffffff,0x1fffff71,0x7fffec40,0x1effffff,0xffffd500,
    0xbfffffff,0x3ffa6001,0xffffffff,0x3fe002ef,0xffffffff,0xffd30001,
    0xffffffff,0xe98005df,0xffffffff,0x4002efff,0xffffffe9,0x02efffff,
    0xfffffd10,0x03ffffff,0xffffd880,0xffffffff,0x3fffe202,0x01ffffff,
    0x37ffffec,0x7ffffec4,0x7fff43ef,0x7fdc01ff,0x0dffffff,0x7fff5400,
    0x0cffffff,0xffec8800,0x22ceffff,0xfffffff9,0xffffffff,0x202fffff,
    0xffffffea,0x0000cfff,0x3fffffaa,0x000cffff,0xfffffda8,0x3ffee0ce,
    0xffda80ff,0x2e0cefff,0xa80fffff,0xcefffffd,0x3ffffee0,0xffffda80,
    0x3fee0cef,0xeb800fff,0x3fffffff,0xffff7000,0x005fffff,0x3ffff6a0,
    0x000cefff,0x7ffffff4,0xa80000ad,0xfffffffd,0x2a0000ce,0xfffffffd,
    0x2a0000ce,0xfffffffd,0xfa8000ce,0xceffffff,0x3faa0000,0xceffffff,
    0x7fff4400,0x9002dfff,0x40bddddd,0x0009ba98,0x57531000,0x53100001,
    0x00013575,0x009ba980,0x40000000,0x09abaa98,0xba980000,0x000009ab,
    0x00002ae6,0x00015730,0x000ab980,0x0055cc00,0x2ee60000,0x31000009,
    0x00013595,0x06aea620,0x00098000,0x5d4c4000,0x8800001a,0x0001aba9,
    0x1aba9880,0x2ea60000,0x8000009b,0x0001aba8,0x00000262,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x32a62000,0x0000001a,0x00000040,
    0x01359710,0x19999900,0x02cccca8,0x99999700,0x99000003,0x40079999,
    0x1cccccc8,0xb9880000,0x0002acdc,0x1abb9880,0x33220000,0x9970cccc,
    0x32e01999,0x664c1ccc,0x000003cc,0x50000000,0x00599999,0x99997000,
    0xccc80099,0x00002ccc,0x26af2aa2,0x32a00000,0xccc80ccc,0x4cccc44c,
    0x379b7300,0xccccb800,0x166664c0,0x002cccc8,0xffdc8800,0xdeffffff,
    0x7fffc00b,0xeca800ff,0x401bdfff,0x86fffffc,0xfffffdb8,0x3e2003ff,
    0x7ec0ffff,0x98004fff,0x06ffffff,0x7ffd4000,0x5c000eff,0x006fffff,
    0x3fffa600,0x0bffffff,0xffb91000,0x9dffffff,0x7fdc0001,0xfff32fff,
    0x7ff407ff,0x7ffdc2ff,0xffffb06f,0xffb0009f,0x7ffcbfff,0xf8800fff,
    0x00ffffff,0x3ffe2000,0x54001fff,0x00ffffff,0x7fff5400,0x00cfffff,
    0x7fffe800,0x46ffff88,0x226ffffe,0xfffffffd,0xfff3000d,0x7fff44bf,
    0xbfffd00f,0xffb80000,0xffffffff,0x202fffff,0x00ffffff,0x3fffffa2,
    0x3203ffff,0x546fffff,0xffffffff,0x8800efff,0x6c0fffff,0x4004ffff,
    0xfffffff8,0x3600004f,0x001fffff,0x3fffff90,0xfff90000,0xffffffff,
    0xfa8003ff,0xffffffff,0x003fffff,0x49fffff0,0x405ffffd,0x5c2ffffe,
    0xfb06ffff,0x0009ffff,0x4bfffffb,0x00ffffff,0xffffffd8,0x3200005f,
    0x002fffff,0x7fffff50,0x3ffa2000,0xffffffff,0x220002ff,0xfa86ffff,
    0x7ff44fff,0xffff36ff,0x1dffffff,0x3fffee00,0x05ffffb3,0x003fffe4,
    0xffffd880,0xffffffff,0x80dfffff,0x00ffffff,0xfffffff3,0x20bfffff,
    0x26fffffc,0xfffffffc,0x06ffffff,0x0fffff88,0x027fffec,0x3bffff60,
    0x0001ffff,0x1fffff98,0x7ffec000,0x3a20005f,0xffffffff,0x1fffffff,
    0xffffd880,0xffffffff,0x001effff,0x997fffee,0xe806ffff,0x7dc2ffff,
    0xffb06fff,0xb0009fff,0x7cbfffff,0x400fffff,0xffeffffb,0x880003ff,
    0x003fffff,0x3ffffdc0,0x7fff4400,0xffffffff,0x30001fff,0xf909ffff,
    0xffe87fff,0xffffaeff,0xffffffff,0x3fffa005,0x04ffffdf,0x00ffffd4,
    0x3fffee00,0xffffffff,0xffffffff,0x7ffffc2f,0xffff980f,0xffffffff,
    0xfffc85ff,0xfffd8eff,0xffffffff,0x4405ffff,0x6c0fffff,0x2004ffff,
    0xf8bffffa,0x0000efff,0x017fffec,0xffffd800,0xfffb0001,0xffffffff,
    0x01ffffff,0x7fffffcc,0xffffffff,0x00ffffff,0xd8dfffd0,0xe800ffff,
    0x7dc2ffff,0xffb06fff,0xb0009fff,0x7cbfffff,0x200fffff,0xfd5ffff9,
    0x80003fff,0x003ffffb,0x7ffff700,0xffffc800,0xffffffff,0x70006fff,
    0xfb05ffff,0xffe83fff,0xffffffff,0xffffffff,0xfff1003f,0x00dfffff,
    0x007ffff1,0x7ffffd40,0xffffffff,0xffffffff,0x3fffe1ff,0xfffd80ff,
    0xffffffff,0x7e42ffff,0xffefffff,0xffffffff,0x1fffffff,0x06666640,
    0x00b3332a,0x537fffc4,0x000bffff,0x017fffc4,0x3fffa000,0xfff98005,
    0xb99aefff,0x3ffffffe,0xffffff10,0xffffffff,0xdfffffff,0x1dfff500,
    0x00ffffc4,0x41ccccb8,0xb03cccc9,0x009fffff,0xbfffffb0,0x07fffffc,
    0x21ffffd0,0x006ffff8,0x027fff40,0x3fff2000,0x3ffe2006,0xec9befff,
    0x00ffffff,0x1ffffc80,0xe87ffff8,0xefffffff,0xffffb51b,0x7d400dff,
    0x01ffffff,0x009fffd0,0x3ffffe20,0x10abefff,0xfffffd75,0x3ffe1fff,
    0xfffa87ff,0xfd51cfff,0xfc8dffff,0xffffffff,0xfca99adf,0x5fffffff,
    0x40000000,0x5c0deeec,0x0001eeee,0x0007fff9,0x1fffd100,0xffffe800,
    0xfffb00df,0x3ff60dff,0x1adfffff,0x3ffffee6,0x76404fff,0x7775c0de,
    0x00000002,0x13fffff6,0x3ffff600,0x3ffffe5f,0x3bbbae07,0x1f777542,
    0x5fffa800,0xffb00000,0x3fea005f,0x7cc0ffff,0x002fffff,0x887fffe8,
    0xfe86ffff,0x00efffff,0x0ffffffd,0xeeeeec80,0x3fff2003,0xfffb0006,
    0x2009ffff,0xfffffffc,0x0fff3335,0x0dfffffb,0x3ffffff1,0x7fffffe4,
    0x3a201eff,0x0fffffff,0x00000000,0x00000000,0x00000000,0x7fffffd4,
    0x3fffe600,0x7ffcc1ef,0x4402ffff,0x7ffffffd,0x00000000,0x3ff60000,
    0xd8004fff,0x265fffff,0x0006ffa9,0x00000000,0x20000000,0x03fffffc,
    0x05fffffd,0x6ffff880,0x84ffffa8,0x1ffffffe,0x3ffffea0,0x0000000f,
    0x007fffd4,0x3ffffe60,0x7d4002ff,0x21ffffff,0xfff86ffa,0xff901fff,
    0x7fe49fff,0x01ffffff,0xffffff88,0x0000002f,0x00000000,0x00000000,
    0x7fffdc00,0x1acc804f,0x3fffffa0,0x3ffa000f,0x0002ffff,0x00000000,
    0x9fffffb0,0xffffb000,0x0bff50bf,0x00000000,0x00000000,0x7ffffec0,
    0xffffff02,0xffff3000,0x7ffff909,0xbfffffd0,0xffffff00,0x80000001,
    0x002ffff8,0x7fffffec,0xfff90004,0x7fe49fff,0x7ffffd44,0x3fffea06,
    0x3ffff26f,0x2e002fff,0x04ffffff,0x26f32a60,0x95300000,0x00001379,
    0x026f32a6,0x6654c000,0x3f60009b,0x0003ffff,0xffffff70,0xfff88007,
    0x26625fff,0x33300199,0x2aa00333,0x01bccdcc,0x4fffffd8,0xffffd800,
    0x04ffc85f,0x99b99550,0xaa800037,0x01bccdcc,0x6e655400,0xfe801bcc,
    0xf981ffff,0x3205ffff,0xffffffff,0xffffffff,0x2fffffff,0x07fffffd,
    0x3ffffff0,0x372e6200,0x7f4002ac,0x3e2004ff,0x00ffffff,0xfffff100,
    0x03fff2ff,0x0bfffff7,0x7fffffc4,0xffffff90,0xfff98009,0xfc805fff,
    0xefffffff,0xfff90001,0x03dfffff,0x3ffff200,0x001effff,0xffffff90,
    0xfd003dff,0x0005ffff,0x3fffffa0,0x9dfb0007,0xffffe815,0xffff801f,
    0xff9100ff,0xffffffff,0x7ffec09f,0xfd8004ff,0x7d45ffff,0x3f2200ff,
    0xffffffff,0x322004ff,0xffffffff,0x22004fff,0xfffffffc,0x3a04ffff,
    0xd81fffff,0x203fffff,0xfffffffc,0xffffffff,0xffffffff,0x5fffffd2,
    0xffffff00,0xfffe9803,0x0bffffff,0x06fffc80,0x3ffffe60,0x7e40004f,
    0xffefffff,0xffffd83f,0x7fffc04f,0xffff91ff,0xff0003ff,0x4c0fffff,
    0xfffffffe,0x2003ffff,0xffffffe9,0x003fffff,0x3fffffa6,0x03ffffff,
    0x3ffffa60,0x3fffffff,0x7fffffc0,0xfff00001,0x20007fff,0x7fff4008,
    0xfff801ff,0xff880fff,0xffffffff,0xd80dffff,0x004fffff,0x5fffffd8,
    0x407fff91,0xfffffff8,0xdfffffff,0x7fffc400,0xffffffff,0x7c400dff,
    0xffffffff,0x80dfffff,0x41ffffff,0x0ffffff9,0x3fffff20,0xffffffff,
    0xffffffff,0xffffd2ff,0xfffd003f,0x7fe403ff,0xffffffff,0x7d401fff,
    0xf7000fff,0x003fffff,0xfffff980,0xfd04ffff,0xe807ffff,0xf92fffff,
    0x000fffff,0x1ffffffa,0x7fffffd4,0xffffffff,0x7ffd400e,0xffffffff,
    0x5400efff,0xffffffff,0x0effffff,0x7ffffd40,0xffffffff,0xfff880ef,
    0x80001fff,0x1ffffff8,0x3fa00000,0xf801ffff,0x440fffff,0xfffffffe,
    0xffffffff,0x7fffec0e,0xffd8004f,0xfffeefff,0x3ffa204f,0xffffffff,
    0x00efffff,0xffffffd1,0xffffffff,0x3fa201df,0xffffffff,0x0effffff,
    0x07fffffc,0x0ffffff2,0xffffff90,0xffffffff,0xffffffff,0x3ffffa5f,
    0xfffe801f,0xffe881ff,0xffffffff,0x201fffff,0x002ffff8,0x0ffffffb,
    0xffff1000,0x7c03dfff,0x402fffff,0x93fffffe,0x00ffffff,0x3fffff60,
    0x7fffc40f,0xffffffff,0x2204ffff,0xffffffff,0xffffffff,0x3fffe204,
    0xffffffff,0x2204ffff,0xffffffff,0xffffffff,0xffffff04,0xff500005,
    0x0001ffff,0x7ffff400,0xffff801f,0x7ffec0ff,0xffffffff,0x43ffffff,
    0x04fffffd,0xfffffd80,0x401effff,0xfffffffd,0xffffffff,0xfffb03ff,
    0xffffffff,0x07ffffff,0x3ffffff6,0xffffffff,0x7ffc3fff,0x3fe20fff,
    0x5c00ffff,0xfffeeeee,0xffeeeeef,0x1eeeefff,0x03fffffd,0x3fffffd0,
    0xffffffb0,0xffffffff,0x7fc01fff,0xffd004ff,0x0000ffff,0x1bfffffe,
    0x3fffffe0,0x7ffff402,0xfffff93f,0x3ff2000d,0x7ec0ffff,0x10bfffff,
    0x1ffffff9,0x3fffff60,0xfff910bf,0x3f601fff,0x10bfffff,0x1ffffff9,
    0x3fffff60,0xfff910bf,0xffd01fff,0x00005fff,0x0ffffff7,0xffe80000,
    0xff801fff,0x3e20ffff,0x0acfffff,0xffffff71,0xfffffd8b,0xfffd8004,
    0x800bdfff,0xcffffff8,0xffff710a,0xfff10bff,0x22159fff,0x5ffffffb,
    0xffffff88,0xfff710ac,0xfff8bfff,0x3fea0fff,0x70006fff,0xfb05ffff,
    0x3fa03fff,0xe801ffff,0x4c1fffff,0xaeffffff,0xffffeb99,0x3ff603ff,
    0xffff006f,0x20000dff,0x07fffffe,0x2ffffff8,0x7ffffec0,0xdfffff94,
    0x3fff2000,0x3fe60fff,0xf500ffff,0xf309ffff,0x201fffff,0x84fffffa,
    0x0ffffff9,0x9fffff50,0xffffff30,0x3fffea01,0xffffd84f,0xacda804f,
    0x3ffff209,0x4000007f,0x01fffffe,0x0ffffff8,0x17fffff2,0x6fffffc8,
    0x27ffffec,0x7fffec00,0x7fe4005f,0x3f205fff,0xfc86ffff,0x3205ffff,
    0xc86fffff,0x205fffff,0x46fffffc,0x20ffffff,0x0ffffffc,0xffffd800,
    0x07ffff81,0x07fffffa,0x3fffffa0,0x7fffff41,0xffffb00d,0x7ffdc0df,
    0xffff800f,0xb00004ff,0x80ffffff,0x2ffffff8,0x7ffffec0,0xdfffff94,
    0x3ffee000,0x3ff61fff,0x7ec03fff,0x7ec0ffff,0x6c03ffff,0x6c0fffff,
    0x403fffff,0x40fffffd,0x03fffffd,0x07ffffec,0x1fffffee,0x3fffff60,
    0xdfffffb4,0xfe800000,0xf801ffff,0x440fffff,0x2600dcb9,0x6c7fffff,
    0x004fffff,0x5fffffd8,0xdcb98800,0x3fffe600,0xb973107f,0x7fffcc01,
    0xb973107f,0x7fffcc01,0x7ffffc7f,0x3fffee0f,0xfe8004ff,0xfff887ff,
    0x3fffa06f,0xffe801ff,0x3fea1fff,0x2600ffff,0x01efffff,0x003ffff3,
    0x0bffffff,0x3fff6000,0x7fc407ff,0x6c02ffff,0xf94fffff,0x000dffff,
    0x3fffffee,0x3fffffe1,0x7fffcc00,0x7ffffc3f,0x7ffcc00f,0x7fffc3ff,
    0x7fcc00ff,0x7ffc3fff,0x7cc00fff,0x7d43ffff,0x202fffff,0x1ffffff8,
    0x0dfffffd,0xffe80000,0xff801fff,0x0000ffff,0x47fffff8,0x04fffffd,
    0xfffffd80,0xf0000005,0x000fffff,0x3fffffc0,0xffff0000,0xfffff8ff,
    0x3fffe20f,0x22003fff,0xfa86ffff,0x3fa04fff,0xe801ffff,0x2e1fffff,
    0x804fffff,0xff001acc,0xffd007ff,0x0000dfff,0x17fffffa,0x3fffffe0,
    0x7fffec02,0xfffff94f,0x3fee000d,0xff11ffff,0xf100ffff,0x7c49ffff,
    0x8807ffff,0x224fffff,0x807fffff,0x24fffff8,0x07fffff8,0x4fffff88,
    0xffffffd8,0xffffe983,0x3ffff66f,0x4000007f,0x01fffffe,0x0ffffff8,
    0xffda8800,0x7ec7ffff,0x8005ffff,0x05fffffd,0xfb510000,0x00ffffff,
    0x7ffed440,0x20007fff,0xfffffda8,0x7ffffc7f,0x7fffe40f,0xf3003fff,
    0xff709fff,0x7ff405ff,0xfe801fff,0x3f61ffff,0x0003ffff,0x0bfffb00,
    0xffffffb0,0x3ffe0000,0xff804fff,0x7402ffff,0xf94fffff,0x000dffff,
    0x3fffffee,0xffffff30,0x99999999,0x4bfffff9,0xcffffff9,0xcccccccc,
    0x265fffff,0xccffffff,0xfccccccc,0x3e65ffff,0xcccfffff,0xffcccccc,
    0xff985fff,0xccefffff,0xfffffffe,0x3ffffee3,0x74000007,0x801fffff,
    0x00ffffff,0xffffdb98,0x47ffffff,0x05fffffd,0xfffffd80,0xb7300005,
    0xffffffff,0x5cc00fff,0xfffffffd,0x26007fff,0xffffffdb,0x7fc7ffff,
    0xfd80ffff,0x03ffffff,0x83ffffb8,0x201ffffd,0x01fffffe,0x1fffffe8,
    0x0bfffffa,0x7fdc0000,0xfffb807f,0x40000fff,0x3ffffff8,0xffffff80,
    0x7ffff402,0xfffff93f,0x3ff2000d,0xff50ffff,0xffffffff,0xffffffff,
    0x7ffd4dff,0xffffffff,0xffffffff,0x3fffea6f,0xffffffff,0xffffffff,
    0x3ffffea6,0xffffffff,0x6fffffff,0xffffff90,0xffffffff,0xfffa8bff,
    0x00000fff,0x3fffffa0,0xfffff801,0xfffb300f,0xffffffff,0xffd8ffff,
    0xd8005fff,0x005fffff,0x3ffff660,0xffffffff,0x7ecc07ff,0xffffffff,
    0x407fffff,0xffffffd9,0xffffffff,0x7fffffc7,0xffffe880,0x775c2fff,
    0xeefffffe,0xfffffeee,0xfd1eeeee,0xd003ffff,0x7c3fffff,0x001fffff,
    0xffff3000,0xffffa803,0x4c0001ff,0x02ffffff,0x2ffffff8,0x7fffff40,
    0xdfffff93,0x3fff2000,0xfff70fff,0xffffffff,0xffffffff,0x7fffdcdf,
    0xffffffff,0xffffffff,0x3ffffee6,0xffffffff,0x6fffffff,0x3fffffee,
    0xffffffff,0x06ffffff,0xffffffb1,0xffffffff,0xffff981d,0x730001ff,
    0x7ffff403,0xffff801f,0xfffc80ff,0xffffffff,0x6c7fffff,0x005fffff,
    0x4fffffd8,0xffff9000,0xffffffff,0x640fffff,0xffffffff,0xffffffff,
    0x3ffff207,0xffffffff,0x7fc7ffff,0xd100ffff,0x1fffffff,0x7fffffe4,
    0xffffffff,0xffffffff,0xfffffd2f,0xffffd003,0x3fffe23f,0x000001ff,
    0x300ffffe,0x09ffffff,0xffffd800,0xffd800ff,0x7fc03fff,0xff91ffff,
    0x2000dfff,0x27fffffc,0xfffffffb,0xffffffff,0x2e7fffff,0xffffffff,
    0xffffffff,0x3ee7ffff,0xffffffff,0xffffffff,0x3fee7fff,0xffffffff,
    0xffffffff,0x7fd407ff,0xffffffff,0xff880dff,0x0004ffff,0xe839dffb,
    0x801fffff,0x40ffffff,0xfffffffd,0xffff1bdf,0xffffc8ff,0xffe8006f,
    0xd8004fff,0xffffffff,0xfffff1bd,0x3ffff60f,0xf1bdffff,0x360fffff,
    0xffffffff,0xfffff1bd,0xffffff8f,0x3fffa200,0x3ff25fff,0xffffffff,
    0xffffffff,0xfd2fffff,0xd003ffff,0x7c3fffff,0x002fffff,0x3fff6000,
    0x7fffc405,0x30001fff,0x0fffffff,0x3fffff20,0x3fffe204,0xffff90ff,
    0x3f6000df,0x3ea7ffff,0x999effff,0x99999999,0x3fea1999,0x9999efff,
    0x99999999,0x3ffea199,0x99999eff,0x99999999,0x3fffea19,0x999999ef,
    0x99999999,0xffed8801,0x01dfffff,0x7ffffffc,0xffff8000,0x3fffa6ff,
    0xfff801ff,0x3fee0fff,0xf01cffff,0xfb8fffff,0x8007ffff,0x03ffffff,
    0x7ffffdc0,0xffff01cf,0xffff70ff,0x3fe039ff,0xffb87fff,0xf01cffff,
    0xff8fffff,0x4400ffff,0x0ffffffe,0xfffffff9,0xffffffff,0xffffffff,
    0x3fffffa5,0xffffe801,0x3ffffa1f,0x2000002f,0xd807fffb,0x05ffffff,
    0xfffffb00,0x3fee009f,0x3e606fff,0x3f27ffff,0x0006ffff,0x4dffffff,
    0x07fffff9,0xffff3000,0x260000ff,0x007fffff,0xfffff300,0x2000000f,
    0x0cfffda8,0xfffff900,0xffb8007f,0x3fa3ffff,0x4402ffff,0x20ffffff,
    0x04fffffe,0x23fffffc,0x1ffffffa,0x3fffe200,0x7f4002ff,0x7c04ffff,
    0xfe87ffff,0x7c04ffff,0xfe87ffff,0x7c04ffff,0x7fc7ffff,0x8800ffff,
    0x92ffffff,0xffffffff,0xffffffff,0x5fffffff,0xffff0000,0x7ffec3ff,
    0xcda804ff,0xff98009a,0x7fc401ff,0x003fffff,0x7fffffdc,0xfff3000f,
    0x3ee01fff,0x3f25ffff,0x8006ffff,0x4ffffff8,0x3fffffe2,0x1004c400,
    0x01ffffff,0x3e200988,0x400fffff,0x3fe20098,0x4400ffff,0x3f200009,
    0x02ffffff,0xffffffd0,0x3ffe6001,0x3fa0ffff,0x5402ffff,0x10ffffff,
    0x01ffffff,0x3fffffc4,0x3fffffe6,0x3ffee004,0x22001fff,0x00ffffff,
    0x1fffffe2,0x1ffffff1,0x7ffffc40,0x7ffffc47,0x3ffe200f,0x7fffc7ff,
    0xffb000ff,0xffb09fff,0xffff03ff,0x4400000f,0x21ffffff,0x07fffffb,
    0x4fffffd8,0x1ffffc40,0x7ffffdc0,0x6c400dff,0x2fffffff,0x7ffff400,
    0xffff883f,0x3fff22ff,0xfb8006ff,0x6c3fffff,0x404fffff,0x41cdeffe,
    0x04fffffd,0x0e6f7ff4,0x13fffff6,0x39bdffd0,0x4fffffd8,0x66f7ff40,
    0x373ba001,0x801fffff,0xfffffffa,0x7fff4c02,0x7fec4fff,0x3a204fff,
    0x50ffffff,0x80dfffff,0x87fffffb,0x3fffffff,0xfffff980,0x7fd4007f,
    0x7dc06fff,0x7d47ffff,0x5c06ffff,0x547fffff,0x406fffff,0x47fffffb,
    0x00ffffff,0xbfffff70,0x10fffff0,0x000bffff,0x7fffd400,0x3ffea0ff,
    0x3e202fff,0x801fffff,0xd005fffe,0xdfffffff,0x3b2a2159,0x6fffffff,
    0xffffc800,0x7ffe41ff,0x3ff20fff,0x2ea06fff,0x3ffffea1,0x7ffcc1ff,
    0xff702fff,0xf985ffff,0x702fffff,0x85ffffff,0x2ffffff9,0xffffff70,
    0xfffff985,0xffff702f,0xe80005ff,0xfb004fff,0x5bffffff,0x3fff2623,
    0x641fffff,0x01ffffff,0xfffffffb,0x3ffffe61,0xffff302f,0xfff70fff,
    0x435dffff,0xfffffc98,0x7cc003ff,0x302fffff,0x8fffffff,0x2ffffff9,
    0xffffff30,0xfffff98f,0xffff302f,0xffff8fff,0x22ec40ff,0x43fffffe,
    0xa86ffff8,0x0004ffff,0x7ffe55c0,0xffd87fff,0xe983ffff,0x006fffff,
    0x200ffff9,0xfffffff9,0xffffffff,0xffffffff,0xfff88001,0xffceffff,
    0x644fffff,0x206fffff,0xfffffffe,0xfd06ffff,0x139fffff,0xffffff95,
    0x3ffffa0d,0xfca89cff,0xd06fffff,0x39ffffff,0xfffff951,0x3fffa0df,
    0xca89cfff,0x06ffffff,0x5fffb800,0xfffff300,0xffffffff,0xffffffff,
    0xfffff507,0xfd9359ff,0x1fffffff,0x3fffffe2,0xfff930be,0xf01fffff,
    0xffffffff,0xffffffff,0x001fffff,0xffffff88,0xfff930be,0x441fffff,
    0xbeffffff,0xfffff930,0x7fc41fff,0x30beffff,0xfffffff9,0x7ffffc1f,
    0x37ffee0f,0xffffffeb,0x27fffd42,0x017fffdc,0xffff1000,0x30dfffff,
    0xdfffffff,0xfffffd99,0x3ea007ff,0xf5000fff,0xffffffff,0xffffffff,
    0x0005ffff,0x7fffffdc,0xffffffff,0x7fffe40f,0xffff306f,0xffffffff,
    0x3fffe605,0xffffffff,0x301fffff,0xffffffff,0xffffffff,0x3ffe603f,
    0xffffffff,0x01ffffff,0xfffffff3,0xffffffff,0x880003ff,0x2004fffe,
    0xfffffffa,0xffffffff,0xf104ffff,0xffffffff,0xffdfffff,0x7fec1fff,
    0xffffffff,0xffffffff,0xffffb81f,0xffffffff,0xffffffff,0xfffb0003,
    0xffffffff,0xffffffff,0xfffffd83,0xffffffff,0x41ffffff,0xfffffffd,
    0xffffffff,0x3fe1ffff,0xffb0ffff,0xffffffff,0xfff70dff,0xffffb05f,
    0x7d400001,0xffffffff,0xfffff905,0xffffffff,0x4400bfff,0x2002ffff,
    0xffffffd8,0xffffffff,0x0000dfff,0xffffffc8,0x1fffffff,0x6fffffc8,
    0xffffffb0,0x80bfffff,0xffffffe9,0xffffffff,0x7fff4c02,0xffffffff,
    0x74c02fff,0xffffffff,0x02ffffff,0x7fffff4c,0xffffffff,0x99d1002f,
    0xfffffd99,0xffd88001,0xffffffff,0x05ffffff,0x7fffffcc,0xbaffffff,
    0x220fffff,0xffffffff,0xffdfffff,0xff703fff,0xffffffff,0xffffffff,
    0x7fc40007,0xffffffff,0xffffdfff,0x7fffc43f,0xffffffff,0x3fffffdf,
    0x7fffffc4,0xdfffffff,0x3e3fffff,0xd10fffff,0xffffffff,0xffb03fff,
    0xfffd03ff,0xfb80000f,0xffffffff,0xffffb101,0xffffffff,0xe8001dff,
    0xa8004fff,0xffffffff,0x2fffffff,0x7fd40000,0xffffffff,0xffff900e,
    0xffff10df,0xbfffffff,0x3fff6200,0xffffffff,0xffb1002f,0xffffffff,
    0x362005ff,0xffffffff,0x1002ffff,0xfffffffb,0x005fffff,0x7fffffc4,
    0x0001efff,0x3fffffee,0xefffffff,0xffff5002,0x23ffffff,0x40fffffb,
    0xfffffffa,0xff88efff,0x3aa06fff,0xffffffff,0x0effffff,0xfffa8000,
    0xefffffff,0x6fffff88,0xffffffa8,0xf88effff,0xfa86ffff,0xffffffff,
    0xffff88ef,0x3ffffe6f,0x3fffa20f,0x02ffffff,0xf10fffff,0x0000bfff,
    0xffffffd8,0xffa803ff,0xffffffff,0xc8000dff,0x10006fff,0xfffffdb7,
    0x0017bdff,0x3ff66000,0x404effff,0x06fffffc,0xffffffb5,0xb70005ff,
    0xffffffff,0xfb700017,0x7fffffff,0xffb70001,0x17ffffff,0xfffb7000,
    0x017fffff,0xffffe880,0x00002def,0xfffffb93,0x0005dfff,0xdfffffb5,
    0x7fffdc19,0xfffd880f,0x7f43efff,0x5401ffff,0xfffffffd,0x0003dfff,
    0x7fffec40,0x7ff43eff,0xfd881fff,0x43efffff,0x81fffffe,0xffffffd8,
    0x7ffff43e,0xffffff1f,0xfffeb881,0xff100dff,0xfff30dff,0xe800009f,
    0x2effffff,0x3ffb6200,0x01dfffff,0x3fffea00,0x75300000,0x00000035,
    0x0026ea20,0x75310000,0x20000357,0x0019ab98,0x26ae6200,0x26200001,
    0x000019ab,0x0066ae62,0x0004c400,0xaba88000,0x2600001a,0x200000ab,
    0x0009ba98,0x2eaa6000,0x000001ab,0x01375310,0x5d4c4000,0x22000009,
    0x00009ba9,0x26ea2000,0x66664400,0x1cccc982,0x77300000,0x98800015,
    0x00001abb,0x00399991,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x4c0ccccb,0x2002cccc,0x441cccca,0x5003cccc,0xc8839999,0x50003ccc,
    0x00399999,0x95531000,0x80003359,0x65403cc8,0x9950001c,0x20005999,
    0xca84cccc,0x00001ccc,0x99880000,0x22000999,0x00099999,0x00cccccc,
    0x332a6200,0x00000aac,0x6654c400,0x00000aac,0x03797310,0x00266666,
    0x00000000,0x51000000,0x00035975,0x55dcc000,0x22000009,0x09aacbaa,
    0x7ffcc000,0x3fffa25f,0x3fa2000f,0x3ff60fff,0xfd1001ff,0x7fec1fff,
    0xf70001ff,0x0007ffff,0x7fffed40,0x2effffff,0x03fff000,0x0003ffe2,
    0x3fffffe2,0xffa8000f,0x3ffe24ff,0x8800006f,0x01ffffff,0x9fffff70,
    0x7fffd400,0xff5000ff,0x2000dfff,0xffffffea,0x000befff,0x3ffaa000,
    0xefffffff,0xd880000b,0xdfffffff,0x7fffff30,0x7fe40000,0x3ffe3fff,
    0x00000fff,0x3ffb2600,0xdeffffff,0x9300000b,0xfffffffd,0x3220001b,
    0xfffffffe,0x0000bfff,0x367ffff7,0x8002ffff,0xf75ffff9,0x98009fff,
    0xff75ffff,0x5c0009ff,0x003fffff,0xfffffa80,0xffffffff,0x6c003fff,
    0xfff905ff,0x3fffa000,0x0005ffff,0x3a5ffff9,0x0001ffff,0xfffff880,
    0xfff7001f,0x7c4009ff,0x002fffff,0x07fffffb,0xfffffc80,0xffffffff,
    0x00000cff,0xffffff91,0xffffffff,0x2600019f,0xffffffff,0xfff98eff,
    0x200003ff,0x23fffffc,0x00ffffff,0xff900000,0xffffffff,0x005fffff,
    0xfffffc80,0x4fffffff,0x7fffdc00,0xffffffff,0xb0003fff,0xfff9ffff,
    0x7dc000bf,0xffffcfff,0xfff70006,0x0dffff9f,0xffffb800,0x7e40003f,
    0xffffffff,0xffffffff,0xff3000ef,0xfffb7bff,0xff70007f,0x7ffffdff,
    0xfffd1000,0x07ffffbf,0x3fe20000,0x7001ffff,0x009fffff,0x5fffffc8,
    0xfffff880,0xffd3000f,0xb9bdffff,0xdffffffd,0xfe980003,0xcdefffff,
    0xffffffed,0x7fd4001e,0xffffffff,0xffffbeff,0x3200003f,0x3e3fffff,
    0x000fffff,0x7ff4c000,0xffffffff,0xdfffffff,0xfffd8000,0xffffffff,
    0xfb004fff,0xffffffff,0xffffffff,0xfff1000d,0x01dfffff,0xffffe800,
    0x0001ffff,0x3ffffffa,0x5c0001ff,0x003fffff,0xfffffd10,0xffffffff,
    0xbfffffff,0x7fffdc00,0x005fffff,0x8dffff98,0x000ffffe,0xffffff98,
    0x000005ff,0x3fffffe2,0xffff7001,0xff98009f,0x5400ffff,0x006fffff,
    0x3bfffff7,0xffffc980,0xff70003f,0x9803bfff,0x03fffffc,0xffffff10,
    0xffffffff,0x07ffffff,0x7ffe4000,0x3fffe3ff,0x000000ff,0x3fffffee,
    0xffffffff,0x2fffffff,0x3ffff200,0xffffffff,0x6402ffff,0xffffffff,
    0xffffffff,0xa8004fff,0x1fffffff,0xfff88000,0x0003ffff,0x7fffffc4,
    0xfb80003f,0x0003ffff,0xfffffffd,0xffffffff,0xbfffffff,0x7fffdc00,
    0x4000cfff,0x30efffe8,0x000dffff,0x3fffffee,0x2000000f,0x1ffffff8,
    0xfffff700,0xfffd0009,0xffd805ff,0xfb803fff,0x4000cfff,0x04ffffc8,
    0x67fffe40,0x7fdc4000,0xffb804ff,0x30aeffff,0xfffffff9,0x6400007f,
    0x3e3fffff,0x000fffff,0xffff3000,0xffffffff,0xffffffff,0xf1003fff,
    0x7dffffff,0xfffffff9,0x7fffc40f,0xeeefffff,0xffffffff,0xeec8002f,
    0x00003eee,0x17bbbbaa,0x77754000,0x100005ee,0x00133333,0xffffff90,
    0x4c4359ff,0xfffffffd,0x32a2002f,0x70001bcd,0xea83dddd,0xb0002eee,
    0x005ddddd,0xfff88000,0xf7001fff,0x0009ffff,0x0bfffff7,0x7fffffc4,
    0x7fffcc00,0x7fd40002,0xff5002ff,0x980005ff,0x2202ffff,0x0dffffff,
    0xffffff50,0x6400007f,0x3e3fffff,0x000fffff,0xffffd000,0x2157dfff,
    0xffffeba8,0xfa805fff,0xa81effff,0x01ffffff,0xbffffff9,0x3fffaa03,
    0x00007fff,0x00000000,0x00000000,0x7d400000,0x0dffffff,0xfffff980,
    0x000005ff,0x00000000,0x00000000,0xffffff88,0x80000001,0x0ffffff8,
    0xbfffff50,0x0ffff880,0x74400880,0x7c400fff,0x00000fff,0x201fffd1,
    0x0ffffffb,0x7ffffe40,0x3200003f,0x3e3fffff,0x000fffff,0xffffc800,
    0xf9004fff,0x05ffffff,0x3fffffc8,0x3fffff20,0xffffff04,0xfffd100b,
    0x00001fff,0x00000000,0x00000000,0x7fc00000,0x003fffff,0x7fffffcc,
    0x0000000f,0x00000000,0x40000000,0x1ffffff8,0xb0000000,0x205fffff,
    0x02fffffd,0x880ffff4,0x2dfffeca,0x80dfff30,0x3ba1fffe,0xceeeeeee,
    0xdfff100a,0x3fffff20,0xffff8804,0x200003ff,0x23fffffc,0x00ffffff,
    0x7ffcc000,0x4002ffff,0xfffffffa,0x3ffffe00,0x3ffe600f,0xfff885ff,
    0xf5000fff,0x005fffff,0x666e6554,0x7500001b,0x400359b9,0x00199998,
    0x00333333,0x566e5cc4,0xffff5002,0x2e000dff,0x23ffffff,0x00199998,
    0x00333333,0x566e5cc4,0xca980002,0x000009bc,0x7ffffc40,0x3ffa001f,
    0xf50005ff,0x3e0bffff,0x4c07ffff,0xff503fff,0xbfffffff,0x40bffee0,
    0x7fc3fff9,0xffffffff,0xfff503ff,0xfffffb05,0x3fffa005,0xba8803ff,
    0x7fe40abc,0x3ffe3fff,0x65cc0fff,0x3f6001ac,0x004fffff,0xffffff90,
    0x3fffe209,0x1abc806f,0x3ffffe20,0x3ffe001f,0x64404fff,0xffffffff,
    0x88004fff,0xfffffffc,0x7f401eff,0xf801ffff,0x400fffff,0xffffffe9,
    0x3600bfff,0x01ffffff,0x06f3be00,0x07fffffa,0x3fffffe0,0x7fff4c00,
    0x0bffffff,0x7fffe400,0x001effff,0xffff1000,0x7fc003ff,0x10005fff,
    0x81ffffff,0x04fffffa,0xfb837fec,0xffffffff,0xbffb05ff,0x3e1bff60,
    0xffffffff,0xfb03ffff,0xffffd0bf,0x3ff6003f,0x36203fff,0xdfffffff,
    0x7fffff90,0x87fffffc,0xfffffffa,0xffff802f,0x10000fff,0x0fffffff,
    0x037ffffc,0x3fffe000,0x2aa005ff,0x2200999a,0xffffffff,0x0dffffff,
    0xfffff500,0xffffffff,0x7ffff407,0xffff801f,0x3ff200ff,0xffffffff,
    0xff881fff,0x0005ffff,0xffffe800,0xffff801f,0x3ff200ff,0xffffffff,
    0xe9801fff,0xffffffff,0x00003fff,0xffffff88,0x3fffe001,0x3f20003f,
    0x7ec2ffff,0x2201ffff,0xff982fff,0xff710cff,0xfff505ff,0x82fff881,
    0x26624fff,0xf306fffd,0xffff81ff,0xff9000ff,0x3e607fff,0xffffffff,
    0xffffc9ef,0x3ffffe3f,0xfffffc8f,0x204fffff,0x4ffffffa,0x7ffe4000,
    0xffd00fff,0x80000fff,0xeffffffd,0xe8800002,0xffffffff,0xefffffff,
    0x7fffe400,0xffffffff,0xfe81efff,0xf801ffff,0x880fffff,0xfffffffe,
    0xffffffff,0x7ffffd41,0x8000002f,0x01fffffe,0x0ffffff8,0xfffffe88,
    0xffffffff,0x3fea01ff,0xffffffff,0x000effff,0x3fffe200,0xff5001ff,
    0x40005fff,0x45fffff9,0x406fffff,0xffb07ffb,0x3ffea07f,0xb89ffd06,
    0x9fff07ff,0x807ffec0,0x3fe24ffe,0x9000ffff,0x507fffff,0xffffffff,
    0xffdfffff,0x7ffc7fff,0xffffefff,0xffffffff,0xfffff906,0xf980001f,
    0x902fffff,0x003fffff,0x7fffe400,0x0adfffff,0xfffd8000,0xffffffff,
    0x03ffffff,0x3fffffee,0xffffffff,0xffe86fff,0xff801fff,0xfd80ffff,
    0xffffffff,0xffffffff,0x3ffffee0,0x8000001f,0x01fffffe,0x0ffffff8,
    0xffffffd8,0xffffffff,0xff880fff,0xffffffff,0x04ffffff,0x3ffe2000,
    0xe8801fff,0x000fffff,0x7fffff40,0x7fffff50,0xd04ffd80,0xbdc80dff,
    0xd8dff701,0x9fff04ff,0x80fffdc0,0x7ffc6ffb,0xfb001fff,0xf887ffff,
    0xffffffff,0xffffffff,0x3ffe3fff,0xffffffff,0xffffffff,0xffffd83f,
    0xf880007f,0x703fffff,0x007fffff,0x7fff4400,0xffffffff,0xf88001be,
    0x0acfffff,0xffffff71,0x3fffe60b,0xcaabefff,0x3fffffff,0x0ffffff4,
    0x7fffffc0,0x7ffffcc0,0xfeb99aef,0x323fffff,0x00ffffff,0xffe80000,
    0xff801fff,0x7cc0ffff,0x9aefffff,0xfffffeb9,0xffffd83f,0xff910bff,
    0x0001ffff,0x3ffffe20,0x7ff4401f,0x80006fff,0x92fffffb,0x801fffff,
    0xff883ffe,0xfa80003f,0x81fff47f,0x3f604fff,0x1ffe606f,0x05fffffd,
    0x3fffffa0,0x7ffffe43,0xff930aef,0x47ffffff,0xffffffff,0xfff930ae,
    0xfe81ffff,0x0007ffff,0x9ffffff0,0x7ffe554c,0xaaaaaeff,0xff98001a,
    0xffffffff,0x01cfffff,0xbfffff90,0x7ffffe40,0xfffffd06,0x3ffa207f,
    0x3fa1ffff,0xf801ffff,0x740fffff,0x00dfffff,0x4dfffffb,0x07fffffd,
    0x33333310,0x43333333,0x01fffffe,0x0ffffff8,0x6ffffff4,0xfffffb00,
    0xfffff98d,0xffff500f,0x2200009f,0x01ffffff,0x3fffffa2,0xf880002f,
    0xfff5ffff,0xfff00bff,0x05fff303,0x1fff3000,0xff817ffc,0xfb33314f,
    0x7fc407ff,0x3ffff60f,0xfff8804f,0x3fe23fff,0x500dffff,0x7fffffff,
    0x7ffffffc,0x3fffee05,0x7fff44ff,0xd00006ff,0x6cbfffff,0xffffffff,
    0x4fffffff,0xffff7000,0xffffffff,0x001dffff,0x401b9731,0x87fffff9,
    0x3ffffff9,0x7ffffc40,0x3ffffa6f,0xffff801f,0x3ffea0ff,0x3e600fff,
    0xfd1effff,0x200dffff,0xfffffffe,0xd0ffffff,0x003fffff,0x41ffffff,
    0x0ffffffa,0x3ffffe60,0x3ffff61e,0x7ffec03f,0x880000ff,0x01ffffff,
    0xfffffff3,0x7ec00009,0xfffaffff,0x7fc402ff,0x1fffb80f,0xfff88000,
    0x203fff11,0xffffffff,0x400effff,0x3ff21fff,0x6c00ffff,0x23ffffff,
    0x0ffffffb,0x7ffffec0,0x3ffffe3f,0x7fec00ff,0x7ffc7fff,0x00005fff,
    0x4ffffffb,0xfffffffd,0xffffffff,0x3fa60004,0xffffffff,0x1effffff,
    0xfff80000,0xfffc87ff,0xff7006ff,0x7ff4ffff,0xff801fff,0x3ee0ffff,
    0xc804ffff,0xfffd81ac,0xffd006ff,0xffffffff,0x3ffa1fff,0xff801fff,
    0x3ee0ffff,0xc804ffff,0xffff01ac,0xff9801ff,0x80003fff,0x1ffffff8,
    0xffffffa8,0x5400005f,0xffffffff,0x7c400fff,0xfffc80ff,0xff880001,
    0x01fff11f,0x3ffffffe,0x800cffff,0x3fe61fff,0x2a05ffff,0x3fffffff,
    0x13fffff2,0x3ffffe60,0x3ffffe3f,0xfff9804f,0x3ffe0fff,0x00005fff,
    0x4ffffffb,0xfffffffd,0xffffffff,0xfeb80004,0xffffffff,0x01ffffff,
    0x7fed4400,0xfe87ffff,0x2003ffff,0xd1ffffff,0x003fffff,0x41ffffff,
    0x03fffffd,0xffffd800,0xfffd007f,0xffffffff,0x3fffa1ff,0xfff801ff,
    0x3ff60fff,0x80003fff,0x07fffff8,0x4fffff88,0xfff88000,0x7fd41fff,
    0x004fffff,0xfffff000,0x00bfffff,0x3ee07ffe,0x980002ff,0x3ffe0fff,
    0xfdffff01,0x2003ffff,0x7ec0fff8,0x0aefffff,0xffffff93,0x7ffec7ff,
    0xfff002ff,0x7ffc7fff,0xff002fff,0x7f43ffff,0x0006ffff,0xbfffffd0,
    0x7fffffec,0xffffffff,0x2200004f,0xffffffeb,0x1fffffff,0x3ff6e600,
    0xffffffff,0xffffff87,0x3fffa002,0xffffd2ff,0xffff003f,0x7fff41ff,
    0xc80002ff,0x00ffffff,0xffffffe8,0x0fffffff,0x03fffffd,0x1ffffff0,
    0x17fffff4,0x7ffcc000,0xcccccfff,0xffffcccc,0xf880005f,0x221fffff,
    0x3fffffff,0x3f200000,0xffffffff,0x05ffd002,0x9807fff5,0x23ffd400,
    0xfff02ffe,0x17fff549,0x4c3ffcc0,0xffffffff,0xffffffff,0x3fa3ffff,
    0xd001ffff,0x7c7fffff,0x001fffff,0x45fffffd,0x07fffffd,0xfffff000,
    0x5d554c9f,0xaaffffff,0x00001aaa,0xfffd9510,0x0bffffff,0xfffffd98,
    0xffffffff,0x7fffc47f,0x3f6001ff,0xffd4ffff,0xff003fff,0x7fc1ffff,
    0x0001ffff,0xffffffb8,0xffffe801,0xffffffff,0xfffffd0f,0xfffff003,
    0x7ffffc1f,0xfa80001f,0xffffffff,0xffffffff,0x80006fff,0x1ffffff8,
    0x3ffffff6,0x4c000002,0xffffffff,0x13ff6007,0xd01bffe2,0x3fee07df,
    0xf827fec6,0x7ffc44ff,0x37fdc01f,0xffffffb8,0xdeffffff,0x3e3fffff,
    0x000fffff,0x47fffffb,0x00ffffff,0x7fffffb0,0x3fffffdc,0x7ffc4000,
    0x3e203fff,0x0006ffff,0x7e440000,0x0fffffff,0xffffff90,0xffffffff,
    0xfff88fff,0x32000fff,0xfd5fffff,0xf003ffff,0x221fffff,0x01ffffff,
    0xffffa800,0x998803ff,0xfffb9999,0xfffd0fff,0xfff003ff,0x3fe21fff,
    0x0001ffff,0xffffffb8,0xffffffff,0x06ffffff,0xffff8800,0xffff31ff,
    0x000005ff,0x3fffffa0,0x3f2004ff,0x3fffb07f,0x417ffee0,0x7fe44ffe,
    0x709fff07,0xfe80dfff,0x3ffee04f,0xefffffff,0x3fffffc8,0x1ffffff1,
    0x3ffff200,0x3ffffe3f,0xfffb000f,0x7ffd49ff,0x40001fff,0x2ffffff9,
    0x3ffffea0,0x00000005,0xfffffb10,0xffffb05f,0x237bffff,0xf87fffff,
    0x001fffff,0x4ffffff6,0x01fffffe,0x0ffffff8,0x0bfffffe,0x7fffc000,
    0x5c0006ff,0xd0ffffff,0x003fffff,0x41ffffff,0x02ffffff,0xffffb800,
    0xffffffff,0xffffffff,0x03aa9887,0x7fffffcc,0x9fffff71,0x5c000000,
    0x1fffffff,0x0bffe200,0x88bfffe6,0x982ffffb,0x7fc41fff,0x04fff82f,
    0x2605fffd,0x7d401fff,0xdfffffff,0x7fffff90,0x0ffffffc,0xfffffd80,
    0x3fffffe3,0xffffb000,0x7fffcc5f,0x6c0004ff,0x00ffffff,0x0ffffff2,
    0xdb971000,0xf98001fd,0x5c3fffff,0x1cffffff,0x0ffffff0,0x05ffffff,
    0x7fffff40,0x3fffffd2,0xffffff00,0x7fffff41,0xff900002,0x0007ffff,
    0x7fffffdc,0x3fffffd0,0xffffff00,0x7fffff41,0xffa80002,0x9999efff,
    0x99999999,0x3ffe2199,0x7fcc07ff,0xffb0ffff,0x5c005fff,0x2001acce,
    0x6ffffff8,0x05ffd800,0xfdfffff9,0x360bffff,0xdffb06ff,0x2609fff0,
    0xff907fff,0x36ea200d,0x7fe41bdf,0x3ffa2fff,0xfd001fff,0x7fc7ffff,
    0xd001ffff,0x443fffff,0x1fffffff,0xffff3000,0xffe80fff,0x40001fff,
    0x2ffffff8,0xffffe800,0x7ffff44f,0x7fffc04f,0xffffe87f,0xfff1004f,
    0x3ffa1fff,0x7c402fff,0x360fffff,0x804fffff,0x4c09acda,0x06ffffff,
    0x3fffee00,0xffffd0ff,0xfff8805f,0x3ff60fff,0xda804fff,0x3fe609ac,
    0x00007fff,0x03fffffe,0xffffffa8,0x3fffffb0,0x7ffff400,0x3ffe2007,
    0xa8003fff,0xff703fff,0xbfffffff,0x40bffea0,0x7fc3fffa,0x3fff604f,
    0x017ffd44,0x7ffec000,0x3fff62ff,0xfff003ff,0x7ffc7fff,0xff003fff,
    0xfd81ffff,0x005fffff,0xffffffb0,0x7fffcc09,0xfd00005f,0x000bffff,
    0x47ffffff,0x0ffffff8,0x3ffffe20,0xfffffc87,0xfffc800f,0x3fffa7ff,
    0x7fd402ff,0x3ee0ffff,0xd807ffff,0x744fffff,0x0dffffff,0x7ffec400,
    0xfffd0fff,0xffa805ff,0x3ee0ffff,0xd807ffff,0xf14fffff,0x801fffff,
    0x7ff40098,0x3f202fff,0x3ee7ffff,0x5003ffff,0x009fffff,0x7fffffe4,
    0xfffd0000,0x3fff6603,0xff102eff,0xfffe80df,0x9813ffe1,0xff10ffff,
    0x026a20df,0x3ffffa00,0x3ffff21f,0xfffa806f,0x3ffe3fff,0xfa806fff,
    0xf887ffff,0x03ffffff,0x7ffffdc0,0x3ffa00ff,0x00000fff,0x5ffffff9,
    0x7fffd400,0x3ffea2ff,0x7fdc06ff,0xff987fff,0x4404ffff,0x24ffffff,
    0x04fffffd,0x3fffffa2,0x3fffea0f,0x3fe202ff,0x7cc1ffff,0x1effffff,
    0xffffc880,0xffb0ffff,0x74409fff,0x20ffffff,0x2ffffffa,0x3ffffe20,
    0x3ffff61f,0x77ff404f,0x7ffec1cd,0xfff00eff,0x7fccbfff,0x4400ffff,
    0x01ffffff,0xffffff10,0x7fc4000b,0x4d4400ef,0x3fffa200,0x77ffc401,
    0xfd100000,0x3fea03ff,0x4403eeff,0x547fffff,0x02ffffff,0x7ffffff4,
    0x3fffffe3,0x7fff403f,0xfff706ff,0x801bffff,0xffffffd8,0x3fff602f,
    0x200311ff,0xfffff500,0xff3003ff,0x4c1fffff,0x02ffffff,0xfffffff3,
    0x3fffffa0,0xfffa80df,0x3f20ffff,0xb01fffff,0x1fffffff,0xffffffd8,
    0xffffe983,0xffff906f,0x1379ffff,0xffff9731,0x21ffffff,0x1ffffffc,
    0xffffffb0,0xffffd81f,0xffe983ff,0x7fcc6fff,0xf702ffff,0xc85fffff,
    0x9effffff,0xffffe988,0x7fff43ff,0xfd501eff,0x200fffff,0xffffffd8,
    0x7fd40002,0x4c0001ff,0x5003fffe,0x0003ffff,0x03fffe98,0x3fffffe2,
    0x3fff600f,0xfffe86ff,0xfd882fff,0x23ffffff,0xffffffff,0xfffffb03,
    0x7fff403f,0x0acfffff,0xfffff951,0x3620dfff,0xfdefffff,0x309bdfff,
    0x3fa01fb5,0x9cffffff,0x3fff2620,0x7c45ffff,0x0befffff,0xffffff93,
    0xfff301ff,0x99bfffff,0xfffffffd,0xfffffa85,0xfec9acff,0x0fffffff,
    0x7fffffcc,0xfffeccef,0x3a03ffff,0xffffffff,0xffffffff,0xffffffff,
    0x3ffffea7,0xfec9acff,0x0fffffff,0x7fffffcc,0xfffeccef,0xfe83ffff,
    0x89cfffff,0xffffffca,0xfffff886,0xffffffff,0xf987ffff,0xceffffff,
    0xfffffecc,0xbcc883ff,0xfffffffc,0xff900006,0x2e0007ff,0x4005ffff,
    0x003ffffc,0x0bffff70,0xffffffd0,0xfd7557bf,0x505fffff,0xbfffffff,
    0xfffff957,0x7fc7ffff,0xefffffff,0xffffecac,0x7fcc05ff,0xffffffff,
    0xffffffff,0x901fffff,0xffffffff,0xffffffff,0x209fffff,0xfffffff9,
    0xffffffff,0x1fffffff,0xffffffd8,0xffffffff,0x701fffff,0xffffffff,
    0xffffffff,0xffff10bf,0xffffffff,0xfffffdff,0xfffff901,0xffffffff,
    0xd880bfff,0xffffffff,0xffffffff,0x0dffffff,0x3fffffe2,0xffffffff,
    0x80fffffe,0xfffffffc,0xffffffff,0xffff305f,0xffffffff,0x203fffff,
    0xfffffffb,0xffffffff,0xffff503f,0xffffffff,0x409fffff,0xffffffff,
    0x00002fff,0x33ffffee,0x7ffe4401,0xf70004ff,0x8019ffff,0x4fffffb8,
    0xfffff700,0xffffffff,0x40bfffff,0xfffffffd,0xfeffffff,0x3fe3ffff,
    0xffffefff,0xffffffff,0xffa801ff,0xffffffff,0xffffffff,0x3e202fff,
    0xffffffff,0xffffffff,0x700fffff,0xffffffff,0xffffffff,0x2207ffff,
    0xffffffff,0xffdfffff,0x3ee03fff,0xffffffff,0x04ffffff,0x3fffffe6,
    0xbaffffff,0x880fffff,0xfffffffd,0xefffffff,0xffff9000,0xffffffff,
    0xffffffff,0x3fffe607,0xffffffff,0x0fffffba,0xfffffd88,0xffffffff,
    0x3fa600ef,0xffffffff,0x402fffff,0xfffffffe,0x4fffffff,0x7ffffdc0,
    0xffffffff,0x7ffc05ff,0x5fffffff,0xff980000,0xcceeffff,0xfffffeec,
    0x7cc0002f,0xcdefffff,0xffffedcb,0x7e4002ff,0xffffffff,0xffffffff,
    0x3fffa200,0xffffffff,0x3fffff9d,0x2b3ffffe,0xffffffff,0x2003ffff,
    0xffffffd8,0xffffffff,0xd800dfff,0xffffffff,0xffffffff,0x203fffff,
    0xfffffffc,0xffffffff,0x7d404fff,0xffffffff,0xffff88ef,0x7ff4c06f,
    0xffffffff,0xffa802ef,0xffffffff,0x1fffff71,0x7ffffd40,0xdfffffff,
    0x7fed4000,0xffffffff,0x03efffff,0xffffffa8,0xff71ffff,0x7d401fff,
    0xffffffff,0x8800dfff,0xfffffffd,0x802fffff,0xffffffc8,0x03ffffff,
    0xfffff910,0x5dffffff,0xfffffd00,0x0000bfff,0x7fffec40,0xffffffff,
    0x0000dfff,0xfffffb10,0xffffffff,0x20001bff,0xfffffffc,0xdfffffff,
    0xfffd8800,0x34ffffff,0x7c7fffff,0xff34ffff,0xffffffff,0x3fea0003,
    0xffffffff,0x002fffff,0x37ffffe6,0xffffffed,0x7fffffff,0x7ffff4c0,
    0xffffffff,0xb1002fff,0x7dffffff,0x1fffffe8,0xffffda80,0x000cefff,
    0x3fffff6a,0x3ffee0ce,0x76c400ff,0xdfffffff,0x7e440001,0xffffffff,
    0x54001bef,0xcefffffd,0x3ffffee0,0x7ff6c400,0x01dfffff,0xffffdb80,
    0x000bffff,0x7fffff4c,0x8000cfff,0xefffedc9,0x3f6001ac,0x02efffff,
    0xd7100000,0xffffffff,0x000017ff,0x3fffae20,0xbfffffff,0xfb880000,
    0xffffffff,0xeb8001de,0x23dfffff,0x23fffff9,0x224fffff,0xdffffffd,
    0x6dc40000,0xfffffffe,0xe8000bde,0xfb7300cf,0x9fffffff,0x3ffaa003,
    0xffffffff,0x988000bd,0x000009ba,0x06aea620,0x055cc000,0x73100000,
    0x00000357,0x2ab2aa62,0x73000009,0x40000015,0x001abb98,0x26ae6200,
    0x75300001,0x00001355,0x99800008,0x000009aa,0x32ea6000,0x0001acce,
    0x65d4c000,0x0001acce,0x4d54c400,0x26200001,0x0000001b,0x00001571,
    0x01aba980,0x80013000,0x001aaaa8,0x55dd4c40,0x0000009a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0e654000,0x00079910,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x64000000,
    0xc82ccccc,0xcca83ccc,0x000001cc,0x00000000,0x00000000,0x4cccccb8,
    0x39999300,0x00799990,0x33310040,0x33100133,0x6cc01333,0x0ffd01ce,
    0xb0000000,0x009fffff,0xbfffffb0,0xfb81bfea,0x7c40005f,0xffffffff,
    0xffffffff,0xffffffff,0x3ff67fff,0x36002fff,0xf52fffff,0x3201ffff,
    0xffffffff,0x802fffff,0x02fffffe,0xffffb000,0x0000005f,0x7fffffa8,
    0x3f600000,0xffffffff,0xbdefffff,0xffb80001,0xfb80efff,0x3fe63fff,
    0x3ff605ff,0xc8005fff,0x806fffff,0x02fffffd,0xffffffff,0xffffffff,
    0xffffffff,0x7fc4005f,0x2001ffff,0x320ffffe,0x8002ffff,0x3ff204d8,
    0xfc803fff,0xe883ffff,0x9befffff,0x9006ffb8,0xffffffff,0x007fffff,
    0x09fffffb,0xfffffb00,0x20bffe2b,0x0003fff8,0x7fffffe4,0xffffffff,
    0xffffffff,0x27ffffff,0x02fffffd,0x3fffff60,0x1fffff52,0x3fffff20,
    0xffffffff,0xffffe802,0xfb00002f,0x0005ffff,0xfffa8000,0x000007ff,
    0x3ffffff6,0xffffffff,0x002effff,0x3bffffa0,0x3ffff600,0x0ffffe89,
    0x3fffff60,0xfffc8005,0xffd806ff,0xfff02fff,0xffffffff,0xffffffff,
    0x05ffffff,0x7ffffe40,0x7ffcc002,0x9ffff55f,0x09ff9000,0x1fffffe4,
    0x7ffffe40,0xfffffc83,0xffffffff,0xffff9005,0xffffffff,0xfffb007f,
    0xfb0009ff,0x7ecbffff,0xffebceff,0x220000ff,0xffffffff,0xffffffff,
    0xffffffff,0x367fffff,0x002fffff,0x4bfffff6,0x00fffffa,0xfffffff9,
    0x05ffffff,0x3ffffbaa,0xeeeeeeff,0x7ffec004,0x000002ff,0x7ffffd40,
    0x36000007,0xffffffff,0xffffffff,0x8005ffff,0x00fffffa,0x6f7fffc4,
    0x6c02ffff,0x005fffff,0x6fffffc8,0xfffffd80,0xffffff02,0xffffffff,
    0xffffffff,0x7c005fff,0x0003ffff,0xffbffff7,0x54001dff,0x3204ffff,
    0x803fffff,0x83fffffc,0xfffefffe,0x02ffffff,0xffffff90,0x7fffffff,
    0xfffffb00,0xfffb0009,0x7ff44bff,0x1fffffff,0x7ffe4000,0xffffffff,
    0xffffffff,0xffffffff,0x3fff67ff,0x3f6002ff,0xff52ffff,0x3f201fff,
    0xffffffff,0xf702ffff,0xffffffff,0x00bfffff,0x2fffffd8,0x54000000,
    0x007fffff,0x3fff6000,0xffffffff,0xffffffff,0x3a000eff,0x5001ffff,
    0xffffffff,0xffffb00b,0xff9000bf,0xfb00dfff,0x3e05ffff,0xffffffff,
    0xffffffff,0xffffffff,0xffff7002,0xffd80007,0x01ffffff,0x3ffffee0,
    0x3ffff204,0xfffc803f,0x0fff83ff,0xfffff951,0x7ffe4009,0xffffffff,
    0xffd803ff,0xd8004fff,0x445fffff,0xeffffffd,0x7fc40002,0xfeeeffff,
    0xffffffff,0xffffffff,0x3f67ffff,0x2002ffff,0x52fffffd,0x000fffff,
    0x7ffdc000,0xffffffff,0x6c005fff,0x002fffff,0x7fd40000,0x00407fff,
    0xfffffb00,0xffffffff,0xffffffff,0x3fe6009f,0x7e4001ff,0x00efffff,
    0xfffffddb,0xddddddff,0xffdddddd,0xdddfffff,0x3fffff60,0xffffff02,
    0xffffffff,0xffffffff,0x3a005fff,0x80004fff,0xfffffff8,0x7ffdc004,
    0x3ff204ff,0xfc803fff,0xcc83ffff,0x006eea03,0xd8000000,0x004fffff,
    0x5fffffd8,0x059b9730,0x3ffee000,0x3ffe66ff,0xaaaabfff,0xaaaaaaaa,
    0x3fff62aa,0x3f6002ff,0x5512ffff,0x00000ffd,0x7ffffdc0,0xffffffff,
    0x7fec005f,0x00001fff,0x7fffd400,0x003d107f,0x7ffffec0,0xbaaaaaae,
    0xffffffec,0xffd800ff,0xddb0002f,0x7f403ddd,0xffffffff,0xffffffff,
    0xffffffff,0xb07fffff,0x205fffff,0xaaaaaaaa,0xffffffda,0xaaaaaaaa,
    0xfffa800a,0x3aa00005,0x8005eeee,0x04fffffb,0x0ffffff2,0x3fffff20,
    0x00000003,0x7ec00000,0x8004ffff,0x05fffffd,0xff800000,0x3e63ffff,
    0x000fffff,0xfffffb00,0x7ffec005,0x06ff82ff,0x2a200000,0xcfffffea,
    0x001aaaaa,0x07ffccc4,0x2a000000,0x987fffff,0x360001fe,0x005fffff,
    0xfffffff7,0x0000000b,0xffffe800,0xffffffff,0xffffffff,0xffffffff,
    0xfffb07ff,0x5c0005ff,0x007fffff,0x00000000,0xffb80000,0x3f204fff,
    0xc803ffff,0x003fffff,0x00000000,0x7fffec00,0xffd8004f,0x00005fff,
    0x7fffd400,0x3ffe60ff,0x00000fff,0x05fffffb,0x7ffffec0,0x002ffcc2,
    0x01379953,0xfffffd00,0xf8800005,0x0000007f,0x7fffffa8,0x000fffd4,
    0xbfffffb0,0x7fff4400,0x00001fff,0x3fa00000,0xffffffff,0xffffffff,
    0xffffffff,0xb07fffff,0x005fffff,0x7ffffdc0,0x00000007,0x10000000,
    0xfffff933,0x7e41333b,0xc803ffff,0x313fffff,0x26003333,0x50019999,
    0x3799b995,0xffffd800,0xffd8004f,0x33105fff,0x80001333,0x44fffffe,
    0x0ffffff9,0xfffb0000,0x7ec005ff,0x3a62ffff,0xffc801ff,0x1effffff,
    0x3ffffa00,0x66dcc42f,0xdff7001b,0x80ccccc4,0x000accb9,0x4ffffff5,
    0x001ffffb,0x3fffff60,0x7ffcc005,0x99986fff,0x332a2099,0x13333301,
    0x2a0e6544,0xfffffeaa,0xaaaaaaae,0xffdaaaaa,0x02aaffff,0x45fffffb,
    0x7ffdc000,0x4c4007ff,0x97300999,0x4cc40157,0x79730099,0x7ffd4015,
    0xffffffff,0x3ffff26f,0xfffc803f,0xffffd3ff,0xffff003f,0x3f2201ff,
    0xffffffff,0xffb004ff,0xb0009fff,0x20bfffff,0x02fffffd,0x3fffea00,
    0x7ffcc0ff,0x00000fff,0x05fffffb,0x7ffffec0,0x809fff72,0xffffffe9,
    0x003fffff,0x25fffffd,0xffffffd8,0x3fea00df,0x3ffff62f,0x3ffff627,
    0x5400efff,0xc8ffffff,0x001fffff,0x3fffff60,0xfffd8005,0x7ffc1fff,
    0xffff34ff,0xffff89ff,0xfffff34f,0xffffb09f,0xff9000bf,0xfb00dfff,
    0x5b15ffff,0xffffb800,0x7ff4007f,0x3ff626ff,0x80dfffff,0x226ffffe,
    0xfffffffd,0xffffa80d,0xffffffff,0x3fffff26,0xffffc803,0xfffffd3f,
    0xfffff003,0xffff101f,0xffffffff,0xfd801bff,0x8004ffff,0x05fffffd,
    0x05fffffb,0x7ffff400,0xffff985f,0xb00000ff,0x005fffff,0x97ffffec,
    0x7d404ffb,0xffffffff,0x00efffff,0x57fffff4,0xffffffe9,0x6c40efff,
    0x7fec5fff,0xfffd17ff,0x5fffffff,0x7ffffd40,0x3fffffef,0x7ffec000,
    0xf98005ff,0x7c3fffff,0xff9cffff,0x7c4fffff,0xff9cffff,0xd84fffff,
    0x005fffff,0x6fffffc8,0xfffffd80,0x5c002feb,0x007fffff,0x9b7ffff4,
    0xffffffff,0x7ff42fff,0xffff36ff,0x5fffffff,0xffffffa8,0x26ffffff,
    0x03fffffc,0x3fffffd8,0x03fffffd,0x1ffffff0,0xfffffe88,0xffffffff,
    0x3f600eff,0x8004ffff,0x05fffffd,0x05fffffb,0x3fffe600,0xfff981ff,
    0x00000fff,0x05fffffb,0x7ffffec0,0xff100762,0xffffffff,0x09ffffff,
    0xcfffffe8,0xffffffff,0xfe85ffff,0x7ffec0df,0xfffff9ff,0xffffffff,
    0xfffff500,0x03ffffff,0xffffb000,0x3fe000bf,0x7fc5ffff,0xfffedfff,
    0x7fc1ffff,0xfffedfff,0xfd81ffff,0x8005ffff,0x06fffffc,0xffffffd8,
    0x7dc002ff,0x4007ffff,0xfaeffffe,0xffffffff,0x3fa0ffff,0xfffaefff,
    0xffffffff,0x3ffea0ff,0xffffffff,0x3ffff26f,0xfffd804f,0xffffd3ff,
    0xffff003f,0xfffd81ff,0xffffffff,0x03ffffff,0x13fffff6,0x3ffff600,
    0xffffb05f,0x3f60005f,0xf306ffff,0x557fffff,0x55555555,0xffd83555,
    0x36002fff,0x002fffff,0x7fffffec,0xffff910b,0x7ff401ff,0xffffffff,
    0xffffffff,0xd817543f,0xffffffff,0xffffffff,0xff504fff,0xdfffffff,
    0x3f600001,0x0005ffff,0x8dfffffd,0xffffffff,0xf86fffff,0xffffffff,
    0xfb06ffff,0x555dffff,0x55555555,0xdfffffb5,0xfffffb00,0xb8003fff,
    0x007fffff,0x7ffffff4,0xffffffff,0x3a3fffff,0xffffffff,0xffffffff,
    0x33263fff,0xcefffffd,0x3fff23cc,0xffd804ff,0xfffd3fff,0xfff003ff,
    0x7fc41fff,0x10acffff,0xbffffff7,0x7ffffec0,0xfffd8004,0xfffb05ff,
    0xf30005ff,0x205fffff,0xfffffff9,0xffffffff,0x6c5fffff,0x2e2fffff,
    0xfb0ccccc,0x4005ffff,0x0ffffff9,0x9fffff50,0x7fffff40,0xf930aeff,
    0x00dfffff,0xffffffd8,0xff931cff,0x2a0fffff,0xffffffff,0x3600000d,
    0x005fffff,0xffffffb0,0xfffffff8,0x83ffefff,0xffffffff,0xb03ffeff,
    0xffffffff,0xffffffff,0xffffffff,0xffffb00d,0x70005fff,0x00ffffff,
    0xffffffe8,0xffb31bef,0x7f4fffff,0xbeffffff,0xfffffb31,0x3ffee0ff,
    0x3ff204ff,0xfe805fff,0xffd3ffff,0xff003fff,0x7e41ffff,0x3205ffff,
    0x206fffff,0x04fffffd,0xfffffd80,0xfffffb05,0xfff90005,0x7fcc0dff,
    0xffffffff,0xffffffff,0x7ffec5ff,0x3fffa2ff,0xffffb1ff,0x7fec005f,
    0x7ec03fff,0xfd00ffff,0x40bfffff,0x07fffffd,0x7ffffec0,0xfffb00ff,
    0xff501fff,0x009fffff,0x3ffffe00,0xffffffff,0x3f204fff,0x7fc7ffff,
    0x22ffffff,0xffff80c9,0x3262ffff,0xfffffb00,0xffffffff,0xffffffff,
    0xfb00dfff,0x003fffff,0x3ffffee0,0x7fff4007,0xfb00ffff,0x7f4fffff,
    0x00ffffff,0x0ffffffb,0x13ffffee,0x6fffffc8,0xffffff80,0x3fffffd3,
    0xffffff00,0x0dcb9881,0x3ffffe60,0x3ffff607,0xffd8004f,0xffb05fff,
    0x88005fff,0x03ffffff,0x3fffffe6,0xffffffff,0x45ffffff,0x22fffffd,
    0xb1fffffe,0x005fffff,0x07fffffc,0x3ffffe60,0xfffffd03,0x7ffc403f,
    0x36001fff,0x02ffffff,0x3fffffe2,0xfffffa81,0x3e00003f,0xffffffff,
    0x4fffffff,0x3fffff20,0x7fffffc7,0x3ffe003f,0x4003ffff,0xfffffffd,
    0xffffffff,0xffffffff,0xfffd806f,0x4cc402ff,0xfffc9999,0x99999fff,
    0xffffe809,0x3fe601ff,0xffd0ffff,0x4c03ffff,0x80ffffff,0x04fffffb,
    0x3ffffff2,0x3fffe600,0xffffd3ff,0xffff003f,0xf00001ff,0x6c0fffff,
    0x004fffff,0x5fffffd8,0x5fffffb0,0xffffc800,0x3fe600ff,0xffffffff,
    0xffffffff,0x7ffec5ff,0x3fffa2ff,0xffffb1ff,0x3fe2005f,0xf8807fff,
    0xfd04ffff,0xf00dffff,0x003fffff,0x37ffffec,0x7fffff40,0x7ffff442,
    0x7c00007f,0xffffffff,0x4fffffff,0x3fffff20,0x3ffffe0f,0x7ffc006f,
    0xd8006fff,0xffffffff,0xffffffff,0xffffffff,0x7fffc406,0x7fd402ff,
    0xffffffff,0xffffffff,0xffffe85f,0xffff805f,0xffffd1ff,0xffff00bf,
    0xfff703ff,0x7fe409ff,0x3a03ffff,0xd3ffffff,0x003fffff,0x01ffffff,
    0xfffb5100,0x7ec0ffff,0x8005ffff,0x05fffffd,0x05fffffb,0x7ffffc40,
    0x7ffcc04f,0xffffffff,0xffffffff,0x7fffec5f,0x3ffffa2f,0xfffffb1f,
    0x3ffe6005,0xcccccfff,0xffffcccc,0xffffd05f,0xfffd009f,0x7ec003ff,
    0xd804ffff,0x262fffff,0x7fffffff,0x7ffc0000,0xffffffff,0x204fffff,
    0x47fffffc,0x03ffffff,0x7fffffc0,0xfffd8003,0xffffffff,0xffffffff,
    0x206fffff,0xfffffff9,0x7fffd402,0xffffffff,0x5fffffff,0x3fffffe8,
    0xfffffe80,0x7fffffd1,0xfffffd00,0x3ff26623,0x0999dfff,0x3ffffff2,
    0xffffc82f,0xfffd3fff,0xfff003ff,0x73001fff,0xfffffffb,0x7ec0ffff,
    0x8005ffff,0x05fffffd,0x05fffffb,0x7ffffdc0,0x999999af,0xffffffa9,
    0xffb00000,0x7ff45fff,0xfffb1fff,0x3ea005ff,0xffffffff,0xffffffff,
    0xffd06fff,0xfd007fff,0x4005ffff,0x03fffffd,0x2fffffd8,0xfffffff5,
    0x400000ff,0x05fffffd,0xfffffb00,0xffffff8b,0x7fffc002,0xfd8002ff,
    0x8005ffff,0x06fffffc,0xfffffff5,0xfffa805f,0xffffffff,0xffffffff,
    0xfffffe85,0xffffe802,0xfffffd2f,0xffffd005,0x3fffee5f,0xffffffff,
    0x3fffff23,0xffcbdfff,0x3fffffff,0x03fffffd,0x1ffffff0,0x3ffff660,
    0xffffffff,0x3ff607ff,0xd8005fff,0xb05fffff,0x005fffff,0x7ffffffc,
    0xffffffff,0x0fffffff,0xfffb0000,0x555545ff,0xffffb0aa,0x3fee005f,
    0xffffffff,0xffffffff,0xfffd06ff,0xffd005ff,0x6c005fff,0x803fffff,
    0xb2fffffd,0xffffffff,0x6c00000f,0x005fffff,0x9fffffd0,0x1ffffff8,
    0x7ffffc00,0xffd8001f,0xc8005fff,0xb06fffff,0xffffffff,0xffffa805,
    0xffffffff,0x5fffffff,0x2fffffe8,0xfffffe80,0x5fffffd2,0xfffffd00,
    0x3ffffee5,0x3fffffff,0x3ffffff2,0xffffffff,0xd3ffffff,0x003fffff,
    0x01ffffff,0xfffffff9,0xffffffff,0x7ffec0ff,0xfd8005ff,0xfb04ffff,
    0x2005ffff,0xfffffffb,0xffffffff,0x0fffffff,0xfffb0000,0x7ec005ff,
    0x7002ffff,0xffffffff,0xffffffff,0x3a0fffff,0x802fffff,0x02fffffe,
    0x3fffff60,0xffffd803,0xfffffb2f,0x0000ffff,0x7ffffec0,0xffff0005,
    0xffff87ff,0x7fc001ff,0x8001ffff,0x05fffffd,0xfffffc80,0xffddfb06,
    0x40005fff,0x07fffffb,0x7fffff40,0xffffe802,0xfffffd2f,0xffffd005,
    0x3fffee5f,0xffffffff,0x3fffff23,0xfffffffd,0x3fffffdf,0x03fffffd,
    0x1ffffff0,0xffffffd8,0xfff1bdff,0x7fe40fff,0xe8006fff,0xb04fffff,
    0x005fffff,0x3ffffffa,0xffffffff,0xffffffff,0xffb00000,0x6c005fff,
    0x002fffff,0x3dfffff5,0x33333333,0x20333333,0x02fffffe,0x2fffffe8,
    0x3ffff600,0xfffd802f,0xf9ffb2ff,0x000fffff,0x7fffec00,0xff98005f,
    0x7fc1ffff,0x4000ffff,0x00ffffff,0xfffffd80,0xfffc8005,0xb1db06ff,
    0x005fffff,0x7ffffdc0,0x7fff4007,0xffe801ff,0xfffd2fff,0xffd003ff,
    0x332a5fff,0xcefffffd,0x3fff21cc,0xffffbbff,0xffff9eff,0xfffffd3f,
    0xfffff003,0x7fffdc1f,0xfff01cff,0x7fdc0fff,0xf8006fff,0xb03fffff,
    0x005fffff,0xfffffff5,0xffffffff,0xffffffff,0x3f600001,0x2002ffff,
    0x02fffffd,0xffffff30,0xffd00000,0xfd005fff,0x4005ffff,0x02fffffd,
    0x2fffffd8,0xffff51db,0x400000ff,0x05fffffd,0xfffffb80,0x7ffffc0f,
    0x7ffc000f,0xd8000fff,0x005fffff,0x6fffffc8,0x7fffec70,0x3ee0002f,
    0x4007ffff,0x01fffffe,0x2fffffe8,0x03fffffd,0x5fffffd0,0x9fffff70,
    0x7ffffe40,0x1bffff93,0x27fffff1,0x02fffffe,0x7fffffc4,0x3fffffa0,
    0x7ffffc04,0x3fffea07,0x3e6002ff,0xb02fffff,0x005fffff,0xfffffffd,
    0xffffffff,0xffffffff,0x3f600001,0x2002ffff,0x02fffffd,0xffffff10,
    0x00098801,0x05fffffd,0x5fffffd0,0x7fffec00,0xfffd802f,0x3ea172ff,
    0x0007ffff,0x3ffff600,0xffe8005f,0xfff87fff,0x7c000fff,0x000fffff,
    0x5fffffd8,0xffffc800,0xfffd806f,0x2e0002ff,0x007fffff,0x0ffffff4,
    0x7fffff40,0x3fffffd2,0xfffffd00,0xfffff705,0x7fffe409,0x006ea23f,
    0x2fffffe8,0x7ffffd40,0xfffff10f,0x7ffc401f,0x3fe607ff,0x000fffff,
    0x3ffffffd,0x3fffff60,0x7fffd402,0xaaaaadff,0xffcaaaaa,0x0000ffff,
    0x5fffffb0,0x7fffec00,0x3ff6002f,0x7f404fff,0xfd01cdef,0xd005ffff,
    0x005fffff,0x17ffffec,0x7ffffec0,0xfffffa82,0x36000007,0x005fffff,
    0x7fffffe4,0xffffff83,0x7fffc000,0xfd8000ff,0x8005ffff,0x06fffffc,
    0x2fffffd8,0x3ffee000,0x7f4007ff,0xe801ffff,0xfd2fffff,0xd003ffff,
    0x505fffff,0x40bfffff,0x03fffffc,0xffffd800,0x3ffa204f,0xff50ffff,
    0xfb80dfff,0x7c07ffff,0x05ffffff,0xffffffa8,0x3ffff607,0x7ffec02f,
    0x2a000fff,0x00ffffff,0xffffb000,0x7fec005f,0x26002fff,0x02ffffff,
    0x5ffffff7,0x3fffffa0,0xffffe802,0x3ff6002f,0xfd802fff,0xfa82ffff,
    0x0007ffff,0x3ffff600,0xff91005f,0xf01fffff,0x001fffff,0x0ffffff8,
    0xffffd800,0xffc8005f,0xfd806fff,0x0002ffff,0x1fffffee,0xfffffd00,
    0xffffd003,0x3ffffa5f,0xfffe801f,0xfffa82ff,0x3ff206ff,0x80003fff,
    0x1ffffffc,0xffffffb0,0x3fffe61f,0xfff302ff,0xfb80ffff,0xaeffffff,
    0x3fff6621,0x3603ffff,0x202fffff,0x5ffffff9,0x7fffd400,0xaaaaabff,
    0xaaaaaaaa,0xffffb1aa,0x7fec005f,0x74002fff,0x9cffffff,0xfffffca8,
    0x3fffa06f,0xffe802ff,0x36002fff,0x802fffff,0x82fffffd,0xaffffffa,
    0xaaaaaaaa,0x0aaaaaaa,0xdfffffb0,0x97555555,0xfffffffb,0x3fffe07f,
    0x7fc000ff,0x8000ffff,0x05fffffd,0xfffffc80,0xffffd806,0x3ee0002f,
    0x4007ffff,0x01fffffe,0x2fffffe8,0x03fffffd,0x5fffffd0,0xffffff50,
    0x7fe4dd9d,0x80003fff,0xfffffffa,0xfffec9ac,0xf10fffff,0x17dfffff,
    0x3fffff26,0x7fc00fff,0xffffffff,0xffffffff,0x7ec07fff,0x3602ffff,
    0x01ffffff,0x7ffffd40,0xffffffff,0xffffffff,0xfffffb4f,0x7ffec005,
    0x7cc002ff,0xffffffff,0xffffffff,0x3ffffa01,0xfffe802f,0x3f6002ff,
    0xd802ffff,0xa82fffff,0xffffffff,0xffffffff,0x00ffffff,0xfffffffb,
    0xffffffff,0xbfffffff,0x7fffffc0,0x7fffc000,0xfd8000ff,0x8005ffff,
    0x06fffffc,0x2fffffd8,0x3ffee000,0x7f4007ff,0xe801ffff,0xfd2fffff,
    0xd003ffff,0x105fffff,0xffffffff,0x7fffe4ff,0xf880003f,0xffffffff,
    0xffefffff,0x3ff60fff,0xffffffff,0xffffffff,0x7ffdc01f,0xffffffff,
    0xffffffff,0x7ffec03f,0xfff102ff,0x5000dfff,0xffffffff,0xffffffff,
    0x29ffffff,0x02fffffd,0x3fffff60,0xffe98002,0xffffffff,0x7402ffff,
    0x802fffff,0x02fffffe,0x3fffff60,0xffffd802,0xffffa82f,0xffffffff,
    0xffffffff,0xfffb00ff,0xffffffff,0xffffffff,0x7fc01dff,0x4000ffff,
    0x00ffffff,0xfffffd80,0xfffc8005,0xffd806ff,0x20002fff,0x07fffffb,
    0x7fffff40,0xffffe801,0xfffffd2f,0xffffd003,0x3fffa05f,0x90ffffff,
    0x007fffff,0x3fffe600,0xffffffff,0x0fffffba,0x3fffffe2,0xdfffffff,
    0x803fffff,0xfffffffa,0xffffffff,0xfd803fff,0xf902ffff,0x005fffff,
    0xffffff50,0xffffffff,0xffffffff,0x3fffff69,0x3fff6002,0xb10002ff,
    0xffffffff,0xd005ffff,0x005fffff,0x05fffffd,0x7ffffec0,0xffffd802,
    0xffffa82f,0xffffffff,0xffffffff,0xfffb00ff,0xffffffff,0xffffffff,
    0xffff007f,0xff8001ff,0x8000ffff,0x05fffffd,0xfffffc80,0xffffd806,
    0x3ee0002f,0x4007ffff,0x01fffffe,0x2fffffe8,0x03fffffd,0x5fffffd0,
    0x3ffffe20,0xff91ffff,0x00007fff,0x7fffffd4,0xff71ffff,0xffa81fff,
    0xffffffff,0xfffff88e,0xfffd1006,0xffffffff,0x2003dfff,0x82fffffd,
    0x6ffffff8,0xffff5000,0xffffffff,0xffffffff,0x3fff69ff,0x3f6002ff,
    0x0002ffff,0x7ffffedc,0xd000bfff,0x005fffff,0x05fffffd,0x7ffffec0,
    0xffffd802,0xffffa82f,0xffffffff,0xffffffff,0xfffb00ff,0xffffffff,
    0x9fffffff,0x3fffe001,0x7fc000ff,0x8000ffff,0x05fffffd,0xfffffc80,
    0xffffd806,0x3ee0002f,0x4007ffff,0x01fffffe,0x2fffffe8,0x03fffffd,
    0x5fffffd0,0x7fffecc0,0xfff90dff,0x800007ff,0xefffffda,0x3fffee0c,
    0xfffd880f,0x7f43efff,0x2001ffff,0xffffffdb,0x003effff,0x17ffffec,
    0x7fffffe4,0xfff50003,0xffffffff,0xffffffff,0x3ff69fff,0x36002fff,
    0x002fffff,0x26ae6200,0xfffe8001,0xffe802ff,0x36002fff,0x802fffff,
    0x82fffffd,0xfffffffa,0xffffffff,0x0fffffff,0xffffffb0,0xdfffffff,
    0xf800179d,0x000fffff,0x07fffffc,0x7fffec00,0xffc8005f,0xfd806fff,
    0x0002ffff,0x1fffffee,0xfffffd00,0xffffd003,0x3ffffa5f,0xfffe801f,
    0x573002ff,0xddddd701,0x4c000005,0x200000ab,0x0009ba98,0xaa988000,
    0x000aaacb,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0xfb02dec8,0x665c003f,0x00001ccc,
    0x00000000,0x1ccccca8,0x33260000,0x2001cccc,0x2cccccc8,0x00000000,
    0x66666440,0x99990003,0x19999507,0x26aee600,0x00000000,0x2a133332,
    0x4c01cccc,0xfff01ced,0x00000000,0xa8199999,0x0002cccc,0x00000000,
    0x00000000,0x00000000,0x26200000,0xa8000999,0xffffffff,0x005fffff,
    0x7fffffe4,0x0fffa8ac,0xfffff300,0x3ff600df,0xffffffff,0x1bdeffff,
    0x7c400000,0x00ffffff,0xffffb000,0xffb8009f,0xa8006fff,0xffffffff,
    0x005fffff,0xdfffff10,0x3ffee000,0x3fffe63f,0x7fff4c05,0xfb1fffff,
    0x400fffff,0x2ffffffa,0x993fffea,0x2206ffff,0xbefffffe,0xb06ffb89,
    0x00bfffff,0xfffff000,0x4ffffc83,0x49ffffff,0x6ffffffd,0x3fffa000,
    0x3ff23fff,0x4006ffff,0xfffffff8,0x3fffff63,0x3fff6006,0x5001ffff,
    0x01ffffff,0xffffd800,0xfffa8006,0xffffffff,0x3e6005ff,0xffffffff,
    0x1007ffff,0xfffffffd,0xffffb009,0xffffffff,0x5dffffff,0x3fa00000,
    0x05ffffff,0xffff8800,0xfff8005f,0xa8000eff,0xffffffff,0x005fffff,
    0xdfffff10,0x7ffec000,0xfffff89f,0x3fffe600,0x30ffffff,0x07ffffff,
    0x3fffff60,0x9ffffd86,0x00ffffe8,0x3ffffff2,0x5fffffff,0xbfffffb0,
    0xfff00000,0xfffc83ff,0xffffff4f,0x7ffffc49,0xfb8002ff,0x446fffff,
    0x3ffffffe,0x3ffff200,0x7ffdc6ff,0xff000fff,0x07ffffff,0x3fffff20,
    0x7fd40006,0xa8006fff,0xffffffff,0x005fffff,0x3ffbfff2,0x4fffffff,
    0xdffffb00,0xd803ffff,0xffffffff,0xffffffff,0x0005ffff,0x77fffe40,
    0x0003ffff,0x02ffffe4,0x77fffdc0,0xfff50000,0xffffffff,0x22000bff,
    0x006fffff,0x3bfffe20,0x202ffffe,0xfffffff8,0x7fec7fff,0xf9806fff,
    0x882fffff,0xffdffffe,0x7ff403ff,0xffffffef,0xffb02fff,0x0000bfff,
    0x83fffff0,0xff4ffffc,0xfb89ffff,0x00ffffff,0x3ffffe20,0xfffa81ff,
    0x9800ffff,0x1fffffff,0x7fffffcc,0xffff9802,0xd005ffff,0x009fffff,
    0x7ffffc40,0xffa8006f,0xffffffff,0x36005fff,0x3fae62ff,0xa800efff,
    0xff8cffff,0x3f600fff,0xffffffff,0xffffffff,0x000effff,0xdffff980,
    0x00ffffe8,0xdffff100,0xfffd0001,0x7d40001f,0xffffffff,0x0005ffff,
    0x0dfffff1,0xffffa800,0x5c04ffff,0xffffffff,0x7ffcc5ff,0x7ec02fff,
    0x2606ffff,0xffffffff,0x10fff805,0x9fffff95,0x7ffffec0,0xff800005,
    0x7fe41fff,0xfffff4ff,0xffffd09f,0x7e4009ff,0x204fffff,0x5ffffffd,
    0xfffffe80,0xfffff03f,0xfff7007f,0x00ffffff,0x5ffffff1,0x7ffec000,
    0x00006fff,0x99700000,0x00b2e601,0x537fffc4,0x6c0bffff,0xffffffff,
    0xffffffff,0x04ffffff,0x7fff4400,0xdffff30e,0x3fff2000,0xffa8000e,
    0x000001ff,0x7c400000,0x0006ffff,0xffffffd8,0x7ffec00e,0x1a99bfff,
    0x6fffffd8,0x3ffffe60,0x7ffe402f,0xc800ffff,0x06eea03c,0xbfffffb0,
    0x99900000,0xccca8199,0xffffff2c,0xfffff309,0xff3003ff,0x401fffff,
    0xfffffff8,0x3fffee02,0x3ff606ff,0xfd805fff,0xffffffff,0x7fffcc01,
    0xf70000ff,0x0dffffff,0x00000000,0xec800000,0x775c0eee,0xfffb01ee,
    0x55555dff,0xffffd975,0x0001ffff,0x20f7775c,0x002eeeea,0x007fffc4,
    0x01fffe80,0x00000000,0x13333300,0xddb10000,0xfd003ddd,0x2009ffff,
    0x2ffffff9,0xdfffffb0,0x3bbbb600,0x0000002e,0xbfffffb0,0x00000000,
    0x9ffffff0,0x3fffff20,0xfffd805f,0xfa802fff,0x80ffffff,0xfffffff8,
    0x3fffee01,0xffff807f,0x03ffffff,0x37ffffdc,0xffff8800,0x0006ffff,
    0x00000000,0x00000000,0x2fffffec,0xfffffb80,0x000005ff,0x00000000,
    0x00000000,0x00000000,0x40000000,0x02fffffe,0x3fffff60,0xfffff886,
    0x0000002f,0xffb00000,0xffffffff,0x79ddffff,0xff000000,0x7409ffff,
    0x02ffffff,0x3fffffea,0x3fff6005,0xffd84fff,0x5404ffff,0x00ffffff,
    0x3fffffe6,0x6c05ffff,0x004fffff,0xffffffb0,0x26200dff,0x33001999,
    0xa8003333,0x001acdcb,0x7ec00000,0x2005ffff,0xffffffe8,0x00000001,
    0x00000000,0x5d400000,0x0001acdc,0x00000000,0xffffe800,0x3fe6001f,
    0x7e41ffff,0x0006ffff,0x99550000,0xb003799b,0xffffffff,0xffffffff,
    0x00007fff,0x7fffffc0,0x3fffea04,0x3ffa06ff,0x2000ffff,0xfffffff8,
    0x3ffffe61,0x7fc400ef,0x2e02ffff,0xffffffff,0x7ffc07ff,0xb8002fff,
    0xffffffff,0xfffd006f,0xfff003ff,0xc8801fff,0xffffffff,0x988001ef,
    0xb0009999,0x00bfffff,0xffffff98,0x0ccccc46,0x4ccccc40,0x99999800,
    0x26666620,0x33333100,0x33333333,0x00133333,0xffffff91,0x1003dfff,
    0x33333333,0x33333333,0x99988133,0x99999999,0x09999999,0x07fffffa,
    0xfffffd00,0x7ffffc4b,0x2662002f,0x91000999,0xffffffff,0x7ec09fff,
    0xffffffff,0xffffffff,0x31005fff,0x3a013333,0x404fffff,0x4ffffffd,
    0xffffffb8,0xfffb8003,0x3ffa6fff,0xd002ffff,0x409fffff,0xfdfffffd,
    0xf101ffff,0x001fffff,0xffffff88,0xd006ffff,0x003fffff,0x01ffffff,
    0x7fffffd4,0x3fffffff,0x7fffec00,0xfffb002f,0xfb000bff,0x643fffff,
    0x402fffff,0x04fffffc,0x27ffffdc,0x05fffffb,0x3fffffea,0xffffffff,
    0x5405ffff,0xffffffff,0x403fffff,0xfffffffa,0xffffffff,0x7fd45fff,
    0xffffffff,0xffffffff,0x3fffffa5,0x7ffd4001,0xfff91fff,0xfd800dff,
    0x8802ffff,0xffffffff,0x0dffffff,0xffffffd8,0xffffffff,0x5fffffff,
    0xfffffd80,0xfffffb02,0xffff8807,0x3fe20fff,0x0006ffff,0x3ffffffa,
    0xffffffbb,0x3fff2005,0x3ffe06ff,0xffffbdff,0xffff503f,0xffd000df,
    0xfffffbff,0x3fffa00d,0xfff801ff,0xff900fff,0xffffffff,0x03dfffff,
    0x3fffff60,0xffffb002,0xff3000bf,0x7cc7ffff,0x7c04ffff,0x406fffff,
    0x21fffffd,0x02fffffd,0xfffffff5,0xffffffff,0x7e40bfff,0xffffffff,
    0x1effffff,0xffffff50,0xffffffff,0xfa8bffff,0xffffffff,0xffffffff,
    0x3ffffa5f,0xffe8001f,0xffff4fff,0xfd8005ff,0x4402ffff,0xfffffffe,
    0xffffffff,0x7fffec0e,0xffffffff,0xffffffff,0x7fec02ff,0xff902fff,
    0xf5005fff,0x64bfffff,0x01ffffff,0x3fffe600,0xffffffff,0x3ea000ff,
    0xf507ffff,0xff17ffff,0x3f20bfff,0x4004ffff,0xf8fffffb,0xd006ffff,
    0x003fffff,0x01ffffff,0xfffffff7,0xffffffff,0x3f600dff,0xb002ffff,
    0x00bfffff,0x3fffffe0,0x3fffffc5,0xffffff30,0x7fffc01f,0x7fffec6f,
    0xffff502f,0xffffffff,0x0bffffff,0x3fffffee,0xffffffff,0xff506fff,
    0xffffffff,0xffffffff,0xfffffa8b,0xffffffff,0x3a5fffff,0x001fffff,
    0xffffffa8,0x06fffffa,0xfffffd80,0x7fffec02,0xffffffff,0x6c3fffff,
    0xaaefffff,0xfeccaaaa,0x06ffffff,0x17ffffec,0x1fffffc8,0xfffffb00,
    0xfffff35f,0xf700009f,0xffffffff,0x88005fff,0x81ffffff,0xd1fffffc,
    0x360fffff,0x003fffff,0x4bffffe6,0x006fffff,0x03fffffd,0x1ffffff0,
    0xffffff98,0xffcaabef,0x803fffff,0x02fffffd,0xbfffffb0,0x3fffa000,
    0x7ffe46ff,0xfff701ff,0x2a05ffff,0x6c4fffff,0x502fffff,0xffffffff,
    0xffffffff,0xfff30bff,0x557dffff,0xfffffff9,0xfffff507,0xffffffff,
    0xa8bfffff,0xffffffff,0xffffffff,0x3fffa5ff,0xfd0001ff,0xffffffff,
    0xfb0005ff,0x4405ffff,0xacffffff,0xfffff710,0xffffd8bf,0xfff9005f,
    0x6c03ffff,0x702fffff,0x003fffff,0x3fffffe2,0xffffffee,0xffd00000,
    0xffffffff,0x3ffa000b,0xffe83fff,0x3fff27ff,0xffff81ff,0x3fa001ff,
    0x3ffe5fff,0xffd006ff,0xff003fff,0xfe81ffff,0x103fffff,0x3ffffffd,
    0xfffffd80,0xffffb002,0x3f6000bf,0x7d47ffff,0xfb03ffff,0x09ffffff,
    0x07fffff2,0x05fffffb,0x3bbbbbaa,0xfffeeeee,0xfe83ffff,0x103fffff,
    0x3ffffffd,0xeeeeeea8,0xfffeeeee,0x7543ffff,0xeeeeeeee,0xffffffee,
    0x3ffffa3f,0x9998801f,0xffffffb9,0x999fffff,0x7fec0099,0x3f202fff,
    0x3205ffff,0x6c6fffff,0x005fffff,0x3ffffff2,0x3ffff603,0xffff502f,
    0x7fdc001f,0xffffffff,0x200002ff,0xfffffff9,0x90000fff,0x88bfffff,
    0x2a5fffff,0x4c3fffff,0x007fffff,0x83ffffee,0x006fffff,0x03fffffd,
    0x1ffffff0,0x7fffffcc,0x7fffc403,0x7fec06ff,0x3fe02fff,0xffffffff,
    0x04ffffff,0x1ffffff2,0x417ffffe,0xffffffff,0xfffffd06,0x5fffffb0,
    0xfff88000,0xf984ffff,0x403fffff,0x6ffffff8,0xffff1000,0x40009fff,
    0xfffffff8,0x7fffff44,0xffffe801,0xffffffff,0xffffffff,0x7ffec04f,
    0x5cc402ff,0x3fe600dc,0x7fec7fff,0x26005fff,0x04ffffff,0x0bfffff6,
    0x03ffffcc,0x7fffff40,0x005fffff,0xffffc800,0x0003ffff,0x1bffffee,
    0x47fffff5,0x45fffff8,0x05fffffb,0x5fffff30,0x06fffff8,0x3fffffd0,
    0xffffff00,0x7ffffe41,0xffff7006,0xfffd80ff,0x3ffe02ff,0xffffffff,
    0x204fffff,0x87fffffc,0x40fffffd,0xfffffff9,0x7ffcc0ff,0xfffd84ff,
    0x220002ff,0x5ffffffe,0xdfffff90,0x3fffee00,0xfe88007f,0x005fffff,
    0x3ffffa20,0xfffe85ff,0xffe801ff,0xffffffff,0xffffffff,0x7ec04fff,
    0x0002ffff,0x7fffff80,0x2fffffec,0x3ffffe00,0x3fff605f,0xfff302ff,
    0xff3000df,0xffffffff,0xf3000001,0x0fffffff,0xffff9800,0x3fff20ff,
    0x7fff41ff,0x7fffe47f,0xfffd003f,0xfffff0bf,0x3fffa00d,0xfff801ff,
    0x3ffa0fff,0x3e003fff,0x201fffff,0x02fffffd,0x3ffffffe,0xffffffff,
    0x3fff204f,0x7fd40fff,0x7fdc2fff,0x2fffffff,0x17ffffdc,0x17ffffec,
    0xfffe8800,0x3fa06fff,0x2003ffff,0x01ffffff,0x3ffffa20,0x220006ff,
    0x6ffffffe,0x3fffffd0,0xfffffd00,0xffffffff,0xffffffff,0xffffd809,
    0xa880002f,0x7ffffffd,0x2fffffec,0xfffff100,0x7ffec0bf,0xfff102ff,
    0x3f2000df,0x3fffffff,0xffd00000,0x07ffffff,0xfffff800,0x3ffffa2f,
    0xfffffc87,0x3fffffa1,0xffffc801,0xfffff80f,0xffffd006,0xffff003f,
    0x7fffc1ff,0x3fa002ff,0x3602ffff,0x202fffff,0xffffffff,0xffffffff,
    0x3ffff204,0xffff887f,0x7fffec4f,0x6c4ffffd,0xfb07ffff,0x0005ffff,
    0x3ffffff6,0x3fffe00e,0x3fa002ff,0x2002ffff,0xeffffffd,0x3ff60000,
    0xd00effff,0x003fffff,0xfffffffd,0xffffffff,0x09ffffff,0x2fffffd8,
    0xffdb9800,0xffffffff,0x7ffffec7,0x3ffea005,0x3f604fff,0x3e02ffff,
    0x10005fff,0xdfffffff,0x3ee00000,0xffffffff,0x3f60000f,0xff13ffff,
    0xff50bfff,0x3fe27fff,0xf9807fff,0xff02ffff,0x3a00dfff,0x801fffff,
    0x10ffffff,0x03ffffff,0x7ffffec0,0x3ffff604,0xfffb002f,0x36000bff,
    0xb05fffff,0xff8dffff,0xffff9fff,0x3ffffe26,0xfffffb05,0xfff90005,
    0x4403ffff,0x01ffffff,0x3fffff60,0xffff9004,0x40003fff,0xfffffffc,
    0x3ffffa01,0xcccb801f,0xfffecccc,0xcccccdff,0x7fec02cc,0xb3002fff,
    0xffffffff,0x8fffffff,0x05fffffd,0x3fffff60,0x3fff603f,0x3ffa02ff,
    0x3ee0004f,0x001fffff,0xffff8800,0x5fffffff,0x3ffee000,0xffff55ff,
    0xffff105f,0x3fffe6bf,0xfffe805f,0x3fffe05f,0xfffd006f,0xfff003ff,
    0x3fe21fff,0x2000ffff,0x05fffffc,0x0bfffff6,0x7ffffec0,0xfffd0005,
    0x3fee09ff,0xfff31fff,0x3ffffadf,0x5fffff50,0x3fffff60,0x7ffdc002,
    0x4401ffff,0x00ffffff,0x3fffff20,0xffffb805,0x20001fff,0xfffffffb,
    0x7ffff401,0xfd80001f,0x0002ffff,0x17ffffec,0x7ffffe40,0xffffffff,
    0x7fec7fff,0xd8805fff,0x1fffffff,0x3fffff60,0x0ffffa02,0xffffa800,
    0x800000ff,0xfffffffe,0x003fffff,0xffffff30,0x03fffff6,0xbbfffff4,
    0x403fffff,0x00fffffc,0x01bffffe,0x0ffffff4,0x7fffffc0,0x3fffffe0,
    0x3fff6001,0x3ff603ff,0xfb002fff,0x000bffff,0x0ffffffe,0x9fffffc4,
    0xf93ffffb,0x3ff25fff,0xffb00fff,0x54005fff,0x2fffffff,0xffffff00,
    0x7ffec003,0x7fd403ff,0x002fffff,0x3ffffea0,0xffe802ff,0x80001fff,
    0x02fffffd,0x7fffec00,0x7ffec02f,0x1bdfffff,0xd8ffffff,0xaaefffff,
    0xffcccbaa,0x06ffffff,0x17ffffec,0x007fffb0,0x7ffffd40,0x5c00000f,
    0xffffffff,0x00ffffff,0xffffff00,0x0dfffff3,0x4fffffdc,0x01fffffd,
    0x3fffffe2,0xfeeeeeee,0xeeefffff,0xfffffd05,0xfffff003,0x7ffffc1f,
    0x3ffa002f,0x3f602fff,0xb002ffff,0x00bfffff,0xffffff30,0x7ffff403,
    0x23ffffb5,0xff4ffffa,0x7ec0bfff,0x3002ffff,0x9fffffff,0x7ffffc00,
    0x3ffa002f,0x3e602fff,0x04ffffff,0x3fffe600,0xfd004fff,0xb003ffff,
    0xfddddddd,0xdddfffff,0x807ddddd,0x02fffffd,0x3fffffee,0xfffff01c,
    0xfffffd8f,0xffffffff,0xffffffff,0x7ffec00f,0x3ff202ff,0x3ea0002f,
    0x000fffff,0x3fffe200,0xfffdbfff,0xb0005fff,0xff9fffff,0x7cc09fff,
    0xfffbffff,0x7fc407ff,0xffffffff,0xffffffff,0xfd06ffff,0x8805ffff,
    0x20ffffff,0x04fffffe,0xffffff10,0x7fffec01,0xfffb002f,0xf7000bff,
    0x401fffff,0xf8fffffb,0x3fe27fff,0xffff9eff,0x3fff603f,0xff9802ff,
    0x005fffff,0x27fffff4,0xfffff880,0xffff300f,0x4000bfff,0xfffffff9,
    0x3fffa005,0xffe801ff,0xffffffff,0xffffffff,0x7ec04fff,0x3a02ffff,
    0x404fffff,0x6c7fffff,0xffffffff,0xffffffff,0x801fffff,0x02fffffd,
    0x0007ffee,0xffffffa8,0x3f600000,0xf16fffff,0x07ffffff,0xfffff900,
    0x05ffffff,0xfefffff8,0x4406ffff,0xffffffff,0xffffffff,0x06ffffff,
    0x05fffffd,0xffffffa8,0x3fffff20,0xfffc800f,0x7fec07ff,0xfb002fff,
    0x000bffff,0x0ffffffd,0xcfffff98,0x7f45ffff,0xffffcfff,0x3fff600f,
    0x7f4402ff,0x005fffff,0xffffffc8,0xffffc800,0xfffd107f,0x4000bfff,
    0xffffffe8,0x7fff4005,0xffe801ff,0xffffffff,0xffffffff,0x7ec04fff,
    0xf102ffff,0x401fffff,0x47fffff8,0xfffffffd,0xffffffff,0x002fffff,
    0x05fffffb,0x00077754,0xffffff50,0x3ea00001,0x21ffffff,0xfffffffb,
    0x7ffd4000,0xffffffff,0x7fffec00,0x04ffffff,0x7fffffc4,0xffffffff,
    0xffffffff,0xfffffb06,0x7fff4409,0x3fe60fff,0x4404ffff,0x04ffffff,
    0x17ffffec,0xfffffd80,0x7ffe4005,0xfe803fff,0xffffffff,0x7ffffe43,
    0x6c06ffff,0x402fffff,0x6ffffffe,0xffff3000,0xff8809ff,0xfd04ffff,
    0x00dfffff,0xfffffe80,0xffe8006f,0xfe801fff,0xffffffff,0xffffffff,
    0x6c04ffff,0x502fffff,0x80dfffff,0x47fffffb,0xfffffffd,0xffffffff,
    0x2001cfff,0x02fffffd,0xff500000,0x0001ffff,0xffffff10,0xffffd09f,
    0xf8800bff,0xffffffff,0xfffb806f,0x2fffffff,0x7ffffc40,0xffffffff,
    0xffffffff,0xffff906f,0x3ff603ff,0x740fffff,0x0dffffff,0xffffffa8,
    0x7ffec00f,0xffb002ff,0x2200bfff,0xfffffffc,0xffffc800,0x541fffff,
    0xffffffff,0x7ffec03f,0x3ff602ff,0x000effff,0x3fffffa0,0xfffa80df,
    0xfd80ffff,0x00efffff,0x3ffff600,0xe8000eff,0x801fffff,0xfffffffe,
    0xffffffff,0x04ffffff,0x17ffffec,0xffffff98,0xfffff302,0xffffd8ff,
    0xffffffff,0x000bceee,0x2fffffd8,0x13333310,0x3ffea000,0x80000fff,
    0x6ffffffd,0xffffff30,0xffe8007f,0x4fffffff,0xfffff980,0x400fffff,
    0xccccccc8,0xffcccccc,0x3cccffff,0xffffff50,0xffd9359f,0x81ffffff,
    0xfffffff9,0xfffeccdf,0xd802ffff,0x002fffff,0x5dfffffb,0xb9755555,
    0xffffffff,0x3ffe6007,0x887fffff,0xffffffff,0x7ffec00f,0xfff902ff,
    0x5555ffff,0x55555555,0xfffff981,0xfeccdfff,0x82ffffff,0xfffffffc,
    0xaaaaaaaa,0x3f20aaaa,0xaaffffff,0xaaaaaaaa,0xffffd0aa,0xfb00003f,
    0x0005ffff,0x2fffffd8,0xffffff10,0x3ff2617d,0x20ffffff,0x05fffffd,
    0xffd80000,0xffb02fff,0x20005fff,0x0ffffffa,0x7ffd4000,0x2e01ffff,
    0x0fffffff,0x3ffff200,0x001fffff,0xffffffff,0x400000df,0x006fffff,
    0xfffffff1,0xdfffffff,0x701fffff,0xffffffff,0xffffffff,0x3ff600bf,
    0xfb002fff,0xffffffff,0xffffffff,0x00bfffff,0xfffffff8,0xffffd05f,
    0xfb00dfff,0xf305ffff,0xffffffff,0xffffffff,0xff707fff,0xffffffff,
    0xbfffffff,0xffffff30,0xffffffff,0x27ffffff,0xfffffff9,0xffffffff,
    0xfd3fffff,0x0003ffff,0x5fffffb0,0xfffd8000,0x3ff602ff,0xffffffff,
    0xffffffff,0x3ffff61f,0x8000005f,0x02fffffd,0x05fffffb,0x3fffea00,
    0x220000ff,0x4fffffff,0xfffffe80,0x3fea005f,0x07ffffff,0x3fffff60,
    0x00004fff,0x1bffffe0,0xfffff980,0xafffffff,0x00fffffb,0xfffffff7,
    0xffffffff,0x7ffec009,0xffb002ff,0xffffffff,0xffffffff,0x8001dfff,
    0xfffffffc,0xfffff703,0xffb007ff,0xff305fff,0xffffffff,0xffffffff,
    0x3fee07ff,0xffffffff,0x304fffff,0xffffffff,0xffffffff,0x3e67ffff,
    0xffffffff,0xffffffff,0xfffd3fff,0xb00003ff,0x005fffff,0xfffffd80,
    0x3fffe202,0xffffffff,0x3fffffdf,0x17fffff6,0x3f600000,0xfb02ffff,
    0x0005ffff,0x3fffffea,0x3ff60000,0x800fffff,0xfffffff9,0xffff1003,
    0x400bffff,0xfffffffa,0x2000002f,0x006fffff,0x7fffffd4,0xff71ffff,
    0x74c01fff,0xffffffff,0x4002efff,0x02fffffd,0xffffffb0,0xffffffff,
    0x07ffffff,0x3fffea00,0xff301fff,0x003fffff,0x05fffffb,0xfffffff3,
    0xffffffff,0x407fffff,0xffffffe9,0x02efffff,0x3fffffe6,0xffffffff,
    0x33ffffff,0xffffffff,0xffffffff,0x3fa7ffff,0x0001ffff,0x2fffffd8,
    0x7ffec000,0x7fd402ff,0xffffffff,0xfffff88e,0x3fffff66,0xd8000005,
    0xb02fffff,0x005fffff,0x3ffffea0,0xff50000f,0x005fffff,0x7fffffe4,
    0xffff000f,0x4007ffff,0xfffffff8,0x2000000f,0x006fffff,0xfffffda8,
    0x3ffee0ce,0xfda800ff,0xceffffff,0xfffd8000,0xffb002ff,0xffffffff,
    0xffffffff,0xff800019,0x7c07ffff,0x006fffff,0x05fffffb,0xfffffff3,
    0xffffffff,0x007fffff,0xffffffb5,0xf98019df,0xffffffff,0xffffffff,
    0xfff33fff,0xffffffff,0xffffffff,0x3ffffa7f,0xfd80001f,0x0002ffff,
    0x17ffffec,0x7fffec40,0x7ff43eff,0xfffb1fff,0x00000bff,0x5fffffb0,
    0x3fffff60,0xfff50002,0x10001fff,0xbfffffff,0xfffe8800,0xfb005fff,
    0x03ffffff,0xfffffe80,0x4000006f,0x006fffff,0x00055cc0,0x57531000,
    0xffb00003,0x36005fff,0xffffffff,0xceefffff,0xfb00000b,0xd80bffff,
    0x004fffff,0x05fffffb,0xfffffff3,0xffffffff,0x007fffff,0x00d5d4c4,
    0x3ffffe60,0xffffffff,0x3fffffff,0xfffffff3,0xffffffff,0x3a7fffff,
    0x001fffff,0xfffffd80,0x7fec0002,0x22002fff,0x00009ba9,0x0bfffffb,
    0xffb00000,0x3f605fff,0x0002ffff,0x1ffffff5,0xffff9000,0x50001fff,
    0x7fffffff,0xfffff700,0xff9000ff,0x0009ffff,0xfffff800,0x00000006,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x66644000,0xcccccccc,0x0004cccc,
    0x00000000,0x00000000,0x00000000,0x00000080,0x00000000,0x30159973,
    0x26613333,0xca880999,0x000001ac,0x20000000,0x53000001,0x00000013,
    0x00000000,0x00000000,0x00000000,0xb9800000,0x000001ab,0x00000000,
    0x3ffea000,0xffffffff,0x320fffff,0x006fffff,0x5fffff98,0x3ffffffe,
    0xffffffff,0xffffffff,0xffffd2ff,0xfb00005f,0xffffffff,0x9dffffff,
    0x36200017,0x3ffff204,0xffc8006f,0x20efffff,0x02fffffd,0x7fffffe4,
    0xffff10ef,0x3ffffe7f,0x3ffffaa5,0x3f602fff,0xffffffff,0xefffffff,
    0x40000acd,0xefffedb8,0xd98000cd,0xeffffffe,0x7ffec00c,0x3fffe2ff,
    0x200000ff,0xfffffffc,0xffffffff,0x6fffffff,0x3ffffff6,0xffffffff,
    0x36001bde,0xffffffff,0xffffffff,0x27ffffff,0x03ffffff,0x7fffff54,
    0x3ffa0eff,0x0000ffff,0x3fffffe6,0xffffffb4,0xffffffff,0x3fffffff,
    0xfffffb80,0xffffffff,0x3ff20fff,0x4003ffff,0x25fffff9,0xffffffff,
    0xffffffff,0xffffffff,0xfffffd2f,0xffb00005,0xffffffff,0xffffffff,
    0xffc8009f,0x3ffff204,0x7fdc006f,0x40ffffff,0x02fffffd,0xffffffd1,
    0xff11ffff,0x3ffe7fff,0xffff55ff,0x09ffffff,0x3ffffff6,0xffffffff,
    0x3fffffff,0xfffc8800,0xffffffff,0xfffb1003,0xffffffff,0x7ffec07f,
    0x3fffe2ff,0x200000ff,0xfffffffc,0xffffffff,0x6fffffff,0x3ffffff6,
    0xffffffff,0x802effff,0xfffffffd,0xffffffff,0x7fffffff,0x0ffffffe,
    0xffffffa8,0x7fdc7fff,0x0003ffff,0x3ffffff2,0xffffffb1,0xffffffff,
    0x3fffffff,0xfffffd80,0xffffffff,0x3ff20fff,0x000fffff,0x97ffffe6,
    0xffffffff,0xffffffff,0xffffffff,0xfffffd2f,0xffb00005,0xffffffff,
    0xffffffff,0xff500bff,0x7fe409ff,0x2e006fff,0xffffffff,0xfffffd81,
    0xfffff982,0xffffffff,0xf3fffffa,0xff7bffff,0xffffffff,0xfffb0dff,
    0xffffffff,0xffffffff,0x4400dfff,0xffffffff,0x0effffff,0x3ffffea0,
    0xffffffff,0xffd81fff,0x3ffe2fff,0x00000fff,0x3ffffff2,0xffffffff,
    0xffffffff,0x3fffff66,0xffffffff,0x5fffffff,0x7ffffec0,0xffffffff,
    0xffffffff,0x3ffffe7f,0xffff303f,0x8bffffff,0x6ffffff8,0x3fffa000,
    0x3fff66ff,0xffffffff,0xffffffff,0x7ff401ff,0xffffffff,0x20ffffff,
    0xfffffffc,0x3ffe6005,0x3fffe5ff,0xffffffff,0xffffffff,0xfd2fffff,
    0x0005ffff,0xffffffb0,0xffffffff,0xbfffffff,0x7ffffdc0,0x3ffff204,
    0xfff5006f,0x203fffff,0x82fffffd,0xfffffffd,0xffffffff,0xfff3ffff,
    0xffffffff,0xffffffff,0xffffd87f,0xffffffff,0xffffffff,0xfd005fff,
    0xffffffff,0x0bffffff,0x3fffffe6,0xffffffff,0x7ec0ffff,0x3fe2ffff,
    0x0000ffff,0x3fffff20,0xffffffff,0xffffffff,0x3ffff66f,0xffffffff,
    0xffffffff,0x3fff606f,0xffffffff,0xffffffff,0x3ffe7fff,0xff903fff,
    0xffffffff,0xfffffb09,0xff30003f,0x7ec7ffff,0xffffffff,0xffffffff,
    0x2201ffff,0xffffffff,0xffffffff,0x3ffff20f,0x3002ffff,0x7cbfffff,
    0xffffffff,0xffffffff,0xffffffff,0x5fffffd2,0xfffb0000,0xffffffff,
    0xffffffff,0x3ee05fff,0x3204ffff,0x806fffff,0xfffffff9,0x3fff601f,
    0x7ffd42ff,0x989bffff,0xfffffffc,0xffffff3f,0xb5337fff,0x1fffffff,
    0x7fffffec,0xffffffff,0xffffffff,0x7fe402ff,0xffffffff,0x2fffffff,
    0x7fffffc4,0xfebaacef,0x6c5fffff,0x3e2fffff,0x000fffff,0x3ffff200,
    0xffffffff,0xffffffff,0x3fff66ff,0xffffffff,0xffffffff,0xffb04fff,
    0xffffffff,0xffffffff,0x7fcfffff,0xfd03ffff,0x337dffff,0xffff5015,
    0xf70007ff,0x6c1fffff,0xffffffff,0xffffffff,0x201fffff,0x9cfffff9,
    0x99999999,0x7fffe419,0x800fffff,0x25fffff9,0xaaaaaaaa,0xffffffda,
    0xaaaaaaaa,0xfffffd0a,0xffb00005,0x5555dfff,0xffff9755,0x2e0dffff,
    0x204fffff,0x06fffffc,0x7fffffcc,0x665c01ff,0x7ff41ccc,0xf501ffff,
    0x27ffffff,0xefffffff,0xfffff701,0x7fffec9f,0xaaaaaaef,0xffffbaaa,
    0x2205ffff,0x2effffff,0x3ffffee2,0x7fffec7f,0x3fea03ff,0x3f63ffff,
    0x3fe2ffff,0x0000ffff,0x2aaaaa60,0xaaaaaaaa,0xfffffffa,0x3ffff62f,
    0xaaaaaaef,0xffffffcb,0xffd80fff,0xaaaaefff,0xaaaaaaaa,0x3fe2aaaa,
    0xff03ffff,0x2007ffff,0x6ffffff8,0xffffe800,0x7fffec6f,0xaaaaaaef,
    0xaaaaaaaa,0x3ffee00a,0x320001ff,0xffffffff,0xfff9804f,0x7dc005ff,
    0x4007ffff,0x02fffffe,0xffffd800,0xffd8805f,0xb82fffff,0x204fffff,
    0x06fffffc,0x3fffffe2,0x500001ff,0x05ffffff,0xffffffb8,0xfffffff3,
    0xffffd803,0x3ffff67f,0x3ee2005f,0x00ffffff,0x1ffffff5,0x3ffffea0,
    0x3ffffe1f,0xfffa803f,0x3fff65ff,0x3fffe2ff,0x000000ff,0xffffc800,
    0x7fec4fff,0xf7005fff,0x0bffffff,0x0bfffffb,0xffff8000,0xffff03ff,
    0x7ec003ff,0x001fffff,0x3fffffe6,0x7ffffec3,0x32000005,0x000fffff,
    0x3fffff20,0x401fffff,0x05fffff9,0x7ffffdc0,0x7fff4007,0xd80002ff,
    0x005fffff,0x3ffffff6,0xfff93313,0x41333bff,0x06fffffc,0xffffffd1,
    0x5c00005f,0x806fffff,0x3ffffff8,0x0bffffff,0xffffff30,0x3fffff61,
    0xfffe8005,0xffb01fff,0xfe807fff,0xff32ffff,0x7c00bfff,0x3f67ffff,
    0x3fe2ffff,0x0000ffff,0x7fd40000,0xd85fffff,0x005fffff,0x7ffffff4,
    0x7ffffec1,0x7fc00005,0xff03ffff,0x4001ffff,0x4ffffffa,0x3fffee00,
    0x7ffec0ff,0x000005ff,0x01fffffa,0xfffff900,0x80dfffff,0x05fffff9,
    0x7ffffdc0,0x7fff4007,0x65cc42ff,0x3ff600ab,0x2a005fff,0x54ffffff,
    0xffffffff,0x7e4dffff,0xe886ffff,0x2fffffff,0x26666200,0x3ffff209,
    0xfffb004f,0x3fffe7ff,0xffd002ff,0x3ff63fff,0xb8005fff,0x02ffffff,
    0x03ffffff,0x4fffffc8,0x05fffff7,0x7ffffec0,0x5fffffb1,0x07fffffc,
    0x33333310,0xff300001,0x01dfffff,0x0bfffffb,0xfffffa80,0x7fffec6f,
    0x7c00005f,0x313fffff,0xffffff33,0xf8013333,0x006fffff,0x17fffffa,
    0x17fffff6,0xfff80000,0x026a25ff,0x7ffffe40,0x02ffffff,0x17ffffe6,
    0xfffff700,0xfffe800f,0xfffb12ff,0xb01bffff,0x00bfffff,0x5ffffff8,
    0xfffffff5,0x64dfffff,0xe86fffff,0x2fffffff,0x7fffec00,0x3ffff62f,
    0xfff9003f,0x3fffe7ff,0xffb001ff,0x3ff65fff,0x98005fff,0x02ffffff,
    0x00dd9975,0x47fffff9,0x4004ba99,0xb0ffffff,0x7c5fffff,0x500fffff,
    0x3fffffff,0xffe88000,0xb01fffff,0x00bfffff,0xffffffb0,0x7ffffec3,
    0x7fc00005,0xff73ffff,0xffffffff,0xfc809fff,0x801fffff,0x2ffffff8,
    0x5fffffd8,0xff100000,0xffd9bfff,0x64019dff,0xffffffff,0xf300ffff,
    0x800bffff,0x07fffffb,0x7fffff40,0xfffffe9a,0x6c1effff,0x005fffff,
    0xaffffffc,0xfffffffa,0x326fffff,0x6c6fffff,0x3fffffff,0xffffd800,
    0x3ffffe2f,0xfff7002f,0x3fffe7ff,0xff9000ff,0x3ff67fff,0xb8005fff,
    0x01ffffff,0x7fffc000,0x300001ff,0x6cdfffff,0x3e2fffff,0x980fffff,
    0x1fffffff,0xfffd8000,0x3602ffff,0x005fffff,0xffffff98,0x3fffff63,
    0x7fc00005,0xff73ffff,0xffffffff,0xf9809fff,0x804fffff,0x0ffffffb,
    0x5fffffd8,0xff500000,0xffffffff,0x203fffff,0xfdfffffc,0x304fffff,
    0x00bfffff,0x7fffffb8,0x7ffff400,0xffffffcf,0x47ffffff,0x05fffffd,
    0x3ffffea0,0xfffff54f,0xdfffffff,0x37ffffe4,0xfffffffb,0x3ff60007,
    0x3ffe2fff,0xf7001fff,0x3fe7ffff,0x9000ffff,0x369fffff,0x005fffff,
    0xffffffd8,0x3e600000,0x000fffff,0xffffe880,0x3ffff63f,0x3ffffe2f,
    0x7fff440f,0x80002fff,0xfffffffc,0x7fffec03,0xfff0005f,0x7fec9fff,
    0x00005fff,0x9ffffffc,0xfffffffb,0x04ffffff,0x7fffffe8,0xfffffe80,
    0xfffffb05,0x2e00000b,0xffffffff,0xffffffff,0xfffffc84,0xffffffea,
    0xfffff981,0x7ffdc005,0x7f4007ff,0xffffffff,0xffffffff,0x3fff63ff,
    0x3f6005ff,0x933fffff,0xdfffffd9,0x7fe47999,0xfff96fff,0x000bffff,
    0x17ffffec,0x05fffffd,0x3fffff20,0x3ffffff3,0x3ffff600,0xfffffb3f,
    0x7fec400b,0x0005ffff,0x7ffffe40,0xfe880007,0x360fffff,0x3e2fffff,
    0x220fffff,0x2ffffffe,0xfffa8000,0xd805ffff,0x005fffff,0xdfffffd0,
    0x77ffffec,0xcccccccc,0x3ccccccc,0x9ffffffc,0xfffffffb,0x04ffffff,
    0xffffffb8,0x3fffe201,0xfffb02ff,0x00000bff,0x3ffffff6,0xffffffff,
    0x7fe41fff,0xfff9afff,0xff986fff,0x5c005fff,0x007fffff,0x7ffffff4,
    0xff931bef,0x7ecdffff,0x8805ffff,0xfffffffe,0xfffffb80,0x3ffff204,
    0xfffffbef,0x0001ffff,0x45fffffb,0x03fffffd,0x7fffffb0,0x0bfffffe,
    0x7ffffec0,0xdfffffb2,0x99955555,0xffffffb9,0x400003ff,0x3ffffff9,
    0x7ffcc000,0x7ec3ffff,0x3fe2ffff,0x3f60ffff,0x003fffff,0xfffff980,
    0xfd800eff,0x0005ffff,0x4dfffffb,0xfffffffd,0xffffffff,0x46ffffff,
    0x33ffffff,0xfffff999,0x0059999f,0x9ffffff3,0x7ffffdc0,0x3ffff607,
    0xffffffff,0x0fffffff,0x7fffffc0,0xffecbdef,0x7e46ffff,0xff92ffff,
    0xf987ffff,0x4005ffff,0x07fffffb,0x7fffff40,0xfff900ff,0x3ff61fff,
    0xccccefff,0xffffeccc,0xf706ffff,0x6409ffff,0xffffffff,0xffffffff,
    0xfffb0006,0x7ffdc5ff,0xffd004ff,0x3ffe7fff,0xfd004fff,0x3f63ffff,
    0xffffffff,0xffffffff,0x04ffffff,0x3ffe6000,0x40006fff,0xfffffffa,
    0xfffffd84,0x3fffffe2,0xffffffb0,0xff100009,0x01ffffff,0x3fffff60,
    0xfff90005,0x7ffecfff,0xffffffff,0xffffffff,0x7fffc6ff,0xffff03ff,
    0x7f4000ff,0x3a07ffff,0x204fffff,0xfffffffd,0xffffffff,0x2200ffff,
    0x02ffffff,0x7ffffff9,0x17ffffe4,0x1ffffffd,0x2fffffcc,0x3fffee00,
    0x7ff4007f,0x2201ffff,0xb1ffffff,0xffffffff,0xffffffff,0x01ffffff,
    0x13ffffee,0xffffffc8,0xffffffff,0xd8003fff,0x2a2fffff,0x807fffff,
    0x3ffffffa,0x1fffffff,0xfffffa80,0xfffffb0f,0xffffffff,0xffffffff,
    0x4400007f,0x1fffffff,0x3ffee000,0xfb04ffff,0x7fc5ffff,0xffc8ffff,
    0x0004ffff,0xffffffd0,0x7fec005f,0x90005fff,0x6cffffff,0xffffffff,
    0xffffffff,0x7c6fffff,0xf03fffff,0x000fffff,0x7fffffdc,0xfffff881,
    0x3fff601f,0xffffffff,0xffffffff,0x6e5d4c00,0x7ffff401,0x3ffff26f,
    0x3fffea2f,0x3ffe65ff,0x7dc005ff,0x4007ffff,0x05fffffe,0x1ffffff8,
    0xfffffffb,0xffffffff,0x03ffffff,0x27ffffdc,0xffffff90,0xffffffff,
    0x8001ffff,0x22fffffd,0x3ffffff9,0x7fffff40,0xffffff3f,0xfffd807f,
    0x3fff66ff,0xffffffff,0xffffffff,0x200001ef,0xfffffff9,0x3fea0005,
    0x203fffff,0x22fffffd,0xfcffffff,0x005fffff,0xfffff900,0xfd8007ff,
    0x0005ffff,0x4ffffff9,0xfffffffd,0xffffffff,0x46ffffff,0x03ffffff,
    0x00ffffff,0x7ffffc40,0xffffb84f,0x7ffec06f,0xffffffff,0xffffffff,
    0xf9800000,0xf90fffff,0xfd85ffff,0xf32fffff,0x800bffff,0x07fffffb,
    0x7fffff40,0xffffe803,0xfffffb1f,0xffffffff,0x5fffffff,0xfffffb80,
    0x3ffff204,0xcbffffff,0x05ffffff,0x7ffffec0,0x7ffffec2,0xfffd882f,
    0xfff3ffff,0x207fffff,0x2ffffffc,0x3ffffff6,0xffffffff,0x000bdfff,
    0x7fffcc00,0x0000efff,0xfffffff1,0xffffd805,0x3ffffe2f,0xffffffff,
    0xffb80000,0x005fffff,0x5fffffd8,0xffff9000,0x7fffecff,0xeeeeeeff,
    0xeeeeeeee,0x7ffffc4e,0xfffff03f,0xffd8000f,0xffd87fff,0x7ec03fff,
    0xffffffff,0xffffffff,0x000000ff,0x23ffffff,0x42fffffc,0x6ffffff8,
    0x0bfffff3,0xfffffb80,0x7fff4007,0xffe803ff,0xfffb2fff,0xffffffff,
    0x9fffffff,0xffff7001,0x7ffe409f,0x14ffffff,0x7fffffff,0x7fffec00,
    0x7fffc42f,0xfcabdfff,0xffffffff,0xfffffff3,0xfd959dff,0xd8dfffff,
    0xccefffff,0xffffffee,0x400000df,0xfffffff9,0x3ea0000e,0x802fffff,
    0x22fffffd,0xffffffff,0x004fffff,0x7ffffcc0,0xfb0006ff,0x000bffff,
    0x9ffffff6,0x05fffffd,0x7fffc000,0xffff03ff,0xfa8000ff,0x222fffff,
    0x01ffffff,0x77ffffec,0xaaaaaaaa,0x0002aaaa,0x3ffffa00,0xfffff92f,
    0xfffff705,0xfffff37f,0xfffb800b,0x7f4007ff,0xe802ffff,0xfb2fffff,
    0xffffffff,0x79bddddf,0x7ffdc001,0x3ff204ff,0x44ffffff,0xfffffffb,
    0xffffb000,0xffff905f,0xffffffff,0x7fffffff,0x3ffffffe,0xffffffff,
    0x6c1fffff,0x885fffff,0xeffffffe,0xff300001,0x01dfffff,0xffffc800,
    0xfffb002f,0x7fffc5ff,0xffffffff,0xf10001ff,0x1fffffff,0x3fff6000,
    0xfd0005ff,0x7ecdffff,0x0005ffff,0x7fffffc0,0xffffff03,0xfff88000,
    0x3fee4fff,0xfd806fff,0x0005ffff,0x7f400000,0xff93ffff,0x3fa05fff,
    0xffafffff,0x5c005fff,0x007fffff,0x17fffff4,0x7fffff40,0xbfffffb2,
    0x7dc00000,0x3204ffff,0x4fffffff,0xffffffd0,0x3fff600b,0xffe882ff,
    0xffffffff,0xfffffdef,0x9ffffff3,0xffffffff,0xfb09ffff,0x640bffff,
    0x2fffffff,0x7ffcc000,0x000effff,0x5ffffe80,0x3ffff600,0x3ffffe2f,
    0xffffffff,0xffd0006f,0x003fffff,0x7ffffec0,0xffff0005,0x7ffecbff,
    0x400005ff,0x03ffffff,0x00ffffff,0xfffffb00,0x7ffffecf,0xffffd803,
    0x0000005f,0x7ffff400,0xfffff92f,0x3fffe605,0xffffffff,0x7ffdc005,
    0x7f4007ff,0xe802ffff,0xfb2fffff,0x000bffff,0x7fffdc00,0x3fff204f,
    0x3e604fff,0x02ffffff,0x2fffffd8,0x3fffff60,0xff95ffff,0x3ffe7fff,
    0xffe98fff,0x2fffffff,0xbfffffb0,0xfffffd80,0xf30001ff,0x1dffffff,
    0x3ffe0000,0x3f6003ff,0x3fe2ffff,0xfeffffff,0x002fffff,0x7fffffec,
    0x7ec0003f,0x8005ffff,0x3ffffff8,0x17fffff6,0xffff0000,0x3ffe07ff,
    0xa80007ff,0x8affffff,0x00ffffff,0x5fffffd8,0xba980000,0xff801edc,
    0xff90ffff,0x7e405fff,0xffffffff,0x7dc005ff,0x4007ffff,0x02fffffe,
    0x2fffffe8,0x0bfffffb,0x7fdc0000,0x3f204fff,0xd806ffff,0x0fffffff,
    0x7ffffec0,0x7fff5c02,0x3ff23eff,0xffff3fff,0x3ff621ff,0x200dffff,
    0x05fffffd,0x7fffffc4,0x7cc000ef,0x05ffffff,0x3ffe2000,0x3f6003ff,
    0x3fe2ffff,0xb8ffffff,0x006fffff,0x3fffffee,0xfd80004f,0x8005ffff,
    0x1ffffffc,0x17fffff6,0xffff0000,0x3ffe07ff,0xf00007ff,0xf5bfffff,
    0x200bffff,0x05fffffd,0xfffd8000,0x7fcc05ff,0x3ff27fff,0x3e202fff,
    0xffffffff,0x7dc005ff,0x4007ffff,0x02fffffe,0x2fffffe8,0x0bfffffb,
    0x7fdc0000,0x3f204fff,0x8806ffff,0x5fffffff,0x7ffffec0,0x13751002,
    0x7fffff90,0x03fffffe,0x6c006ae6,0x805fffff,0xfffffffa,0x3ffa2005,
    0x0005ffff,0x77777440,0x3fff6002,0x3fffe2ff,0x3ffa1fff,0xf9803fff,
    0x05ffffff,0xffffb000,0xff8800bf,0x7ec6ffff,0x0005ffff,0x7fffffc0,
    0xffffff03,0x3ff20000,0xfffeffff,0xffb002ff,0x0000bfff,0xffffff70,
    0x7ffff403,0x3ffff25f,0x7ffd402f,0x5fffffff,0x7fffdc00,0x7ff4007f,
    0xfe802fff,0xffb2ffff,0x0000bfff,0x7ffffdc0,0x3ffff205,0xfff9006f,
    0x6c05ffff,0x002fffff,0x3ffff200,0xffffff3f,0x3f600001,0xb005ffff,
    0x5fffffff,0x3ffff600,0x000005ff,0xfffb0000,0x7fffc5ff,0x7ffd41ff,
    0x3e200fff,0x0effffff,0xfffb0000,0xfd800bff,0x6c3fffff,0x005fffff,
    0x7ffffc00,0xfffff03f,0x3e60000f,0xffffffff,0xfb000fff,0x000bffff,
    0xfffff100,0xfff903bf,0x7fe41fff,0xfe802fff,0xffffffff,0x7ffdc005,
    0x7f4007ff,0xe802ffff,0xfb2fffff,0x000bffff,0x7fffdc00,0x3fff206f,
    0xff1006ff,0x01ffffff,0x0bfffff6,0xfffc8000,0xfffff3ff,0x3600001f,
    0x005fffff,0xfffffff1,0xfffb801f,0x0000ffff,0x33333300,0x7fffec00,
    0x3ffffe2f,0xffffe80f,0x3fffa05f,0x0001ffff,0x3fffff60,0xfffb3005,
    0xffb0ffff,0x0000bfff,0x3ffffff8,0x0ffffff0,0x7fff4000,0x5fffffff,
    0x3ffff600,0xb000005f,0xdfffffff,0xfffffd97,0xffffc89f,0xfff9802f,
    0x05ffffff,0x7ffffdc0,0x7fff4007,0xffe802ff,0xfffb2fff,0x00000bff,
    0x7fffffd4,0x3ff26ece,0x2a006fff,0x4fffffff,0x5fffffb0,0x7fe40000,
    0xffff3fff,0x200001ff,0x05fffffd,0x3ffffea0,0x3fe204ff,0xeeffffff,
    0xeeeeeeee,0xfff1003e,0x7ec00fff,0x3fe2ffff,0xf980ffff,0xb81fffff,
    0xdfffffff,0xaaaaaaaa,0xaaaaaaaa,0xfffffb1a,0x5555555d,0xffffffb9,
    0xfffb07ff,0x55555dff,0x55555555,0x3fe35555,0xff03ffff,0x0000ffff,
    0x7fffffe4,0x2002ffff,0x05fffffd,0xffd10000,0xffffffff,0x81dfffff,
    0x02fffffc,0xffffff90,0xfb800bff,0x4007ffff,0x02fffffe,0x2fffffe8,
    0x0bfffffb,0x7fc40000,0x7fffffff,0x1bfffff2,0xfffffd00,0xfffb03ff,
    0x400005ff,0xf3fffffc,0x001fffff,0x3ffff600,0x7fec005f,0x701fffff,
    0xffffffff,0xffffffff,0x22009fff,0x007fffff,0x8bfffff6,0x00ffffff,
    0x0dfffffb,0xfffffff7,0xffffffff,0xffffffff,0x3fff67ff,0xffffffff,
    0xffffffff,0xffb04fff,0xffffffff,0xffffffff,0x3e9fffff,0xf03fffff,
    0x000fffff,0x7ffffcc0,0x4007ffff,0x05fffffd,0x3fe60000,0xffffffff,
    0xc80dffff,0x002fffff,0x3ffffffa,0x7fdc005f,0x74007fff,0x802fffff,
    0xb2fffffe,0x00bfffff,0xfffe8000,0x90ffffff,0x00dfffff,0xffffff98,
    0xffffd86f,0x3200002f,0xff3fffff,0x0001ffff,0x3fffff60,0x7ffc4005,
    0xff06ffff,0xffffffff,0xffffffff,0x3e2009ff,0x2007ffff,0x22fffffd,
    0x00ffffff,0x5ffffff1,0xffffffb8,0xffffffff,0xffffffff,0xfffb3fff,
    0xffffffff,0xffffffff,0x7fec0dff,0xffffffff,0xffffffff,0xff4fffff,
    0x3e07ffff,0x0007ffff,0x7fffff40,0x6c004fff,0x005fffff,0x7ff4c000,
    0xffffffff,0x3fff204f,0x3ea002ff,0x05ffffff,0x7ffffdc0,0x7fff4007,
    0xffe802ff,0xfffb2fff,0x00000bff,0xffffffa8,0xfff91fff,0xf9000dff,
    0x89ffffff,0x02fffffd,0x3fff2000,0xfffff3ff,0x3600001f,0x005fffff,
    0xffffffa8,0x7fffd43f,0xffffffff,0xffffffff,0xffff1004,0x7fec00ff,
    0x3ffe2fff,0x3f200fff,0x2e0fffff,0xffffffff,0xffffffff,0xffffffff,
    0xfffffb3f,0xffffffff,0x5fffffff,0xfffffd80,0xffffffff,0xffffffff,
    0xfffff4ff,0x3fffe07f,0x5c00007f,0xffffffff,0x7ffec001,0x000005ff,
    0xfffffd50,0xfc805bff,0x4002ffff,0x5ffffffd,0x7fffdc00,0x7ff4007f,
    0xfe802fff,0xffb2ffff,0x0000bfff,0xffffd300,0x3ff21bff,0x88006fff,
    0xffffffff,0x3fffff61,0x3f200002,0xfff3ffff,0x00001fff,0x17fffff6,
    0x7fffe400,0x3fee0fff,0xffffffff,0xffffffff,0xff1004ff,0x6c00ffff,
    0x3e2fffff,0x200fffff,0x4ffffff8,0x3fffffee,0xffffffff,0xffffffff,
    0xfffb3fff,0xffffffff,0x9fffffff,0x3ffff600,0xffffffff,0xffffffff,
    0xffff4fff,0x3ffe07ff,0x400007ff,0xfffffff8,0xfffd8006,0x000005ff,
    0x055d4c40,0xfffff900,0xfff88005,0x5c005fff,0x007fffff,0x17fffff4,
    0x7fffff40,0xbfffffb2,0x44000000,0xffc80aba,0x70006fff,0xdfffffff,
    0x17ffffec,0xddd70000,0x3bbb65dd,0xb00000ee,0x00bfffff,0x3ffffe20,
    0x3fff65ff,0xffffffff,0xffffffff,0xfff1004f,0x7ec00fff,0x3fe2ffff,
    0x5c00ffff,0x70ffffff,0xffffffff,0xffffffff,0xffffffff,0x3ffff67f,
    0xffffffff,0x000bceef,0x3ffffff6,0xffffffff,0xffffffff,0xffffff4f,
    0x3ffffe07,0xfd800007,0x004fffff,0x5fffffd8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x33100000,0x3bbae133,0x700005ee,0x00bddddd,0x85ddddd7,0x00999998,
    0x6c0b7b22,0x999901ff,0x99999999,0x99999999,0x0bddb887,0xdd74ffa8,
    0x0000bddd,0x22000000,0x20019999,0xeeeeeeea,0xeeeeeeee,0x06eeeeee,
    0x00220000,0x2b372ea0,0x99751001,0x54000035,0x801acdcb,0x00999998,
    0x13799530,0xcba88000,0x400abccd,0x10999998,0x74133333,0xffffffff,
    0x7ffec007,0xb0ffffff,0xffffffff,0xffffffff,0x3f6005bd,0x8005ffff,
    0x06fffffc,0xfffffb00,0x8000007f,0xf94ffffd,0x000dffff,0x3fffff20,
    0xffffc806,0x7fffec3f,0xffff902f,0xff5159ff,0xffff101f,0xffffffff,
    0xffffffff,0x7ffffd4d,0xffe98bdf,0xdfffff93,0x3ffa0000,0xffffffff,
    0xf7001fff,0x5400ffff,0x05800001,0x2f32ea20,0x801ee81a,0xffffffc8,
    0xfa80dfff,0xffffffff,0xff910003,0xdfffffff,0x3fffea03,0x7ffe406f,
    0x01efffff,0x7ffff4c0,0x1dffffff,0x5fffffb0,0x8ffffff2,0xfffffffe,
    0x3fe001ff,0xffffffff,0xffffffb0,0xffffffff,0x19ffffff,0x7ffffec0,
    0xfffc8005,0xf88006ff,0x06ffffff,0x3fe60000,0xfff94fff,0x20000dff,
    0x06fffffc,0x3fffffc8,0x17ffffec,0x7fffffd4,0x7fffffff,0xffffff10,
    0xffffffff,0x2dffffff,0xfffffff8,0x1fffffff,0x0dfffff9,0x3fffa000,
    0xffffffff,0xff7001ff,0x0d400fff,0x402c0000,0xfffffffb,0xfffb2eff,
    0x7fffd401,0xffffffff,0x3ffff22f,0xefffffff,0x3ffea001,0xffffffff,
    0xfffa84ff,0xffd306ff,0xffffffff,0x3ff6007f,0xffffffff,0xfd83ffff,
    0xff92ffff,0x7ff47fff,0x3fffffff,0xfffff300,0x361fffff,0xffffffff,
    0xffffffff,0x00efffff,0x0bfffffb,0xfffff900,0xfff7000d,0x005fffff,
    0x3fffa000,0xffff94ff,0x320000df,0x806fffff,0x43fffffc,0x82fffffd,
    0xfffefffc,0x04ffffff,0xfffffff1,0xffffffff,0x2adfffff,0xffffefff,
    0x326fffff,0x006fffff,0xfffffd00,0xffffffff,0x3ffee003,0x006a007f,
    0xe8816000,0xffffffff,0xffffffff,0x3ffff204,0xffffffff,0xfffedfff,
    0xffffffff,0xfc801fff,0xffffffff,0x1effffff,0x1bffffea,0x3fffffea,
    0xffffffff,0x3fff200e,0xffffffff,0x6c3fffff,0xf92fffff,0x7f47ffff,
    0xffffffff,0xffff7005,0x21ffffff,0xfffffffd,0xffffffff,0x5fffffff,
    0xbfffffb0,0xffff9000,0xffd000df,0x0bffffff,0xfffb0000,0x3ff29fff,
    0x00006fff,0x0dfffff9,0x7fffff90,0x2fffffd8,0x3262ffd8,0x00effffe,
    0xfffffff1,0xffffffff,0x2edfffff,0x3fae65ff,0x3f21ffff,0x0006ffff,
    0xffffffd0,0x3fffffff,0x3fffee00,0x0006a007,0x7fdc1600,0xffffffff,
    0x5fffffff,0x3ffffee0,0xffffffff,0xffffffff,0xffffefff,0x2e00efff,
    0xffffffff,0xffffffff,0x3fffea6f,0x7fffc46f,0xffffffff,0xf504ffff,
    0xbddfffff,0xfffffffd,0x7fffec1f,0xfffff92f,0x7fffff47,0xb007ffff,
    0xffffffff,0x3fff61ff,0xffffffff,0xffffffff,0xfd84ffff,0x8005ffff,
    0x06fffffc,0x7ffffcc0,0x000fffff,0x3ffff600,0xfff94fff,0x20000dff,
    0x06fffffc,0x2fffffc8,0x17ffffec,0x9730265c,0xffff8805,0xffffffff,
    0xffffffff,0x22039932,0x7fe40aca,0x00006fff,0xf7000000,0x5400ffff,
    0x85800001,0xfffffff9,0xffffffff,0xff101fff,0x59dfffff,0xffffffb7,
    0x417fffff,0x4fffffd8,0xffffff30,0xff9557bf,0x2a9fffff,0x6c5fffff,
    0x0bffffff,0xffffff91,0xfffffb01,0xffff5105,0x7ffec7ff,0xffff92ff,
    0x7ffff47f,0x01ffffff,0xfffffff8,0xffb0ffff,0x3333dfff,0xff955555,
    0xb0dfffff,0x00bfffff,0xdfffff90,0xffffc800,0x03ffffff,0xfffe9800,
    0xf94fffff,0x000dffff,0x3fffff20,0xfeaa9806,0x7fffec1f,0x0000002f,
    0x33333333,0xff933333,0x00007fff,0x6fffffc8,0x00000000,0xfffff700,
    0x0000d400,0x7fff42c0,0xd711cfff,0x0bffffff,0x3ffffff6,0xfffff504,
    0x6c05ffff,0xe80fffff,0x03ffffff,0xffffffd1,0x9fffff53,0x7fffffcc,
    0xfffff500,0xbffffd09,0xdefffb80,0x3fffff62,0x7fffff92,0x7ffffff4,
    0x4c04ffff,0xffffffff,0xfffb0fff,0x6c400bff,0x40ffffff,0x05fffffd,
    0xfffffc80,0x3ffe2006,0xffffffff,0x7fdc0006,0xffffffff,0xdfffff94,
    0x3ff20000,0x7c006fff,0x000000ff,0x44000000,0x005fffff,0xffffc800,
    0x0000006f,0xfff70000,0x00d400ff,0x3f22c000,0x101fffff,0x3fffffff,
    0xffffff88,0x7fffcc04,0x7cc06fff,0x7cc2ffff,0x403fffff,0x6ffffff8,
    0xffb27fdc,0xfd807fff,0x7fc0ffff,0x5401ffff,0x3ffff601,0x3ffa002f,
    0xffffefff,0x7fffdc06,0x0fffffef,0x0bfffffb,0xfffff980,0x7fffec2f,
    0xffc8005f,0x2a006fff,0xffefffff,0x4002ffff,0xffffffb8,0x94ffffff,
    0x00dfffff,0x3ffff200,0x3fe6006f,0x99988007,0x57973009,0xfd800001,
    0x31006fff,0x32013333,0x006fffff,0x33331000,0x3ee00013,0x2a007fff,
    0x25800001,0x2ffffff9,0xfffffd10,0xfffb8dff,0xfd800fff,0x803fffff,
    0x645ffffe,0x007fffff,0x8ffffff7,0x3ffe3ffd,0x7cc00fff,0x7f43ffff,
    0x0bdfffff,0xffffd800,0x3ffa002f,0xffffcfff,0x3fffa00f,0xfffffecf,
    0xbfffffb0,0xffffd000,0xffffd85f,0xffc8005f,0x3a006fff,0xfdafffff,
    0x4005ffff,0xfffffffb,0x94ffffff,0x00dfffff,0x3ffff200,0xffb1006f,
    0xfffd0009,0x7ffec4df,0x000dffff,0xfffffa80,0xffffb002,0x3fff205f,
    0x000006ff,0x05fffffb,0x3bbbbbb6,0xefffffee,0x2eeeeeee,0xb0000035,
    0x2fffffdc,0xffffffb0,0x7fec1fff,0xf3004fff,0x005fffff,0xe8fffff9,
    0x003fffff,0x47fffffe,0xff11fff8,0xf100ffff,0xfc89ffff,0xffffffff,
    0xfd800adf,0x2002ffff,0xfafffffe,0xf102ffff,0xffd5ffff,0x3ff61fff,
    0xf8005fff,0x6c0fffff,0x005fffff,0x6fffffc8,0xfffff300,0xfffff51f,
    0x7fdc001f,0xffbcffff,0xfff94fff,0x20000dff,0x06fffffc,0x006fffb8,
    0x2dffffd0,0xfffffff9,0x0002ffff,0x17ffffe2,0xfffffd80,0xfffff902,
    0x3600000d,0xd02fffff,0xffffffff,0xffffffff,0x2a7fffff,0x25800001,
    0x02fffffc,0xffb7fff9,0x7ff45fff,0xf1003fff,0x99bfffff,0xfd999999,
    0x7fc1ffff,0x2002ffff,0x9bfffffe,0x3fe64fff,0xccccffff,0xfffccccc,
    0x7ffcc5ff,0xffffffff,0xfb00bdff,0x4005ffff,0xe8fffffe,0xf504ffff,
    0xffd1ffff,0x3ff61fff,0x54005fff,0xd86fffff,0x005fffff,0x6fffffc8,
    0xfffff900,0x3ffffe2b,0x3fee003f,0xfff72fff,0x3fff29ff,0x900006ff,
    0x00dfffff,0x0003fffd,0x2bbffffa,0xffffffff,0x000fffff,0x1fffffb0,
    0x7fffec00,0xffff902f,0x200000df,0x02fffffd,0xfffffffd,0xffffffff,
    0x27ffffff,0x5800001a,0x07fffff6,0x7e53ffee,0x3fe3ffff,0x2002ffff,
    0xffffffff,0xffffffff,0xf11fffff,0x003fffff,0x77ffffec,0x3ea0ffff,
    0xffffffff,0xffffffff,0xffa86fff,0xffffffff,0xd83fffff,0x002fffff,
    0x23fffffa,0x906ffffc,0x3fafffff,0xffb0ffff,0x4c00bfff,0x83fffffe,
    0x05fffffd,0xfffffc80,0xfffff006,0x7fffe45f,0x3fee006f,0x3ffee0df,
    0xffff94ff,0x320000df,0x806fffff,0x20000cfb,0xfffffffe,0xffffffff,
    0x8003ffff,0x03fffff9,0x7ffffec0,0xfffff902,0x3600000d,0xd02fffff,
    0xffffffff,0xffffffff,0x2a7fffff,0x25800001,0x40ffffff,0x3ee5fffa,
    0x3fe5ffff,0x2001ffff,0xffffffff,0xffffffff,0xf11fffff,0x001fffff,
    0x7fffffe4,0x7fdc1dff,0xffffffff,0xffffffff,0xfff506ff,0xffffffff,
    0x6c1dffff,0x002fffff,0x23fffffa,0x80fffffa,0xfd5ffffe,0x3f61ffff,
    0x999effff,0xfdaaaaa9,0x80efffff,0xaefffffd,0xaaaaaaaa,0xffffdaaa,
    0xfffa806f,0x7ffcc7ff,0xf7002fff,0xffff7019,0x3ffff29f,0xf900006f,
    0x200dffff,0xffe80001,0x1befffff,0xffffffb3,0xfffb000f,0xffb000ff,
    0x3f205fff,0x6406ffff,0xd804cccc,0xd02fffff,0xffffffff,0xffffffff,
    0x2a7fffff,0x25800001,0x4c7fffff,0x3e60efff,0x3fa6ffff,0x1003ffff,
    0xffffffff,0xffffffff,0x7c5fffff,0x001fffff,0x3ffffff6,0xffff702e,
    0xffffffff,0xffffffff,0xfffea80f,0xffffffff,0x3fff65ff,0x3fa002ff,
    0xff88ffff,0x7fc42fff,0xfffd2fff,0x3fff61ff,0xffffffff,0xffffffff,
    0x3ff605ff,0xffffffff,0xffffffff,0x06ffffff,0x4fffffd8,0x5fffffe8,
    0x7dc01300,0xff94ffff,0x0000dfff,0x1bfffff2,0xfe800000,0x00ffffff,
    0x0ffffffb,0xfffff980,0xfffd8003,0xfff902ff,0xfff80dff,0xffd807ff,
    0xddb02fff,0xffdddddd,0xdddddfff,0x006a5ddd,0xffe96000,0xfff11fff,
    0xffffa81d,0x3ffff64f,0xfff3005f,0x33335fff,0x33333333,0x7fffc133,
    0x3fa002ff,0x5404ffff,0x99efffff,0x99999999,0x10019999,0xffffffb7,
    0x363fffff,0x002fffff,0x43fffffa,0x545ffffe,0xfd0fffff,0x3f61ffff,
    0xffffffff,0xffffffff,0x7ec04fff,0xffffffff,0xffffffff,0x6fffffff,
    0x7ffffc40,0xffffc81f,0xb80000ff,0xf94fffff,0x000dffff,0x3fffff20,
    0x20000006,0x1ffffffe,0x3ffffe60,0x3ff2000f,0xd8000fff,0x902fffff,
    0x80dfffff,0x807fffff,0x02fffffd,0xfffff700,0x0000d400,0xffffb2c0,
    0x3fffd15f,0x7fffff70,0x7fffffdc,0xffffa800,0xd00002ff,0x009fffff,
    0x3fffffe2,0x7fffcc01,0x0000007f,0xffffdb98,0xfffb3fff,0x7f4005ff,
    0xff90ffff,0xfffc8fff,0x3ffffa7f,0xfffffb0f,0xffffffff,0xdfffffff,
    0x7fffec05,0xffffffff,0xffffffff,0x5c06ffff,0x106fffff,0x07ffffff,
    0xffff7000,0x3ffff29f,0xf900006f,0x000dffff,0x7fff4000,0xfff805ff,
    0xf1001fff,0x0009ffff,0x0bfffff6,0x37ffffe4,0x1fffffe0,0x3fffff60,
    0xfff70002,0x00d400ff,0xff92c000,0xfffd9fff,0x3ffff605,0x3fffea1f,
    0xffe802ff,0xa804ffff,0x3fff2009,0xfc800fff,0x8807ffff,0x00ffffff,
    0x988004c4,0x7ff4401b,0xfffb4fff,0x7f4005ff,0xff50ffff,0x7ff43fff,
    0x3fffa5ff,0xffffb0ff,0xffffffff,0xffffffff,0xffb01dff,0xffffffff,
    0xffffffff,0x0dffffff,0x3fffffe8,0x3fffffa0,0xffb80006,0xfff94fff,
    0x20000dff,0x06fffffc,0x26662000,0xffffd099,0xfffd007f,0x3f2003ff,
    0x0000ffff,0x05fffffb,0x1bfffff2,0x0ffffff0,0x5fffffb0,0x3ffee000,
    0x006a007f,0xffa96000,0x3fffffff,0xffffff10,0x7ffffc41,0x3fee00ef,
    0x00ffffff,0x137fffee,0x9ffffff3,0xfffff880,0xfffb004f,0xffe809ff,
    0x3fb21cde,0xfb806fff,0xffb4ffff,0x26625fff,0x3ffa0999,0xfff10fff,
    0x3ffe27ff,0x3fffa3ff,0xffffb0ff,0xffffffff,0xffffffff,0xfd83ffff,
    0xffffffff,0xffffffff,0x6fffffff,0x3ffffe60,0x3ffee00f,0x40002fff,
    0x94fffffb,0x00dfffff,0x3ffff200,0x3600006f,0xfd2fffff,0xd005ffff,
    0x005fffff,0x0bfffff1,0x7fffec00,0xffff902f,0xffff80df,0xfffd807f,
    0xf70002ff,0x5400ffff,0x45800001,0xfffffffe,0x3ffff604,0xffffb85f,
    0xffc80eff,0xdfffffff,0xfffff880,0xffffe84f,0xffa80dff,0x001fffff,
    0x5ffffff3,0x3ffffee0,0x3fffee2f,0x7ff402ff,0xfffb2fff,0x3fff25ff,
    0x3fffa3ff,0x3fffa0ff,0xfffff55f,0x7fffff41,0xbfffffb0,0xffb99980,
    0x6c6fffff,0x005fffff,0x6fffffc8,0x3fffff20,0x7fffc406,0x5c0005ff,
    0xf94fffff,0x000dffff,0x3fffff20,0x3f600006,0xffd2ffff,0xfd005fff,
    0x5005ffff,0x007fffff,0x7ffffec0,0xfffff902,0xaaaaa80d,0xffffd802,
    0xff70002f,0x0d400fff,0x2a2c0000,0x06ffffff,0xffffffb1,0x3ffff601,
    0xffdcefff,0xffffffff,0xfc99beff,0x80ffffff,0xfffffff9,0xfffeccdf,
    0x4003ffff,0xcffffffe,0xffffca89,0xffff86ff,0x260acfff,0x0ffffffd,
    0x25fffffb,0x23fffffc,0x20fffffe,0xf97ffffc,0xffe8ffff,0xfffb0fff,
    0xd8800bff,0x22ffffff,0x05fffffd,0xfffffc80,0xfffff106,0x999999df,
    0xffffff99,0x7dc0001f,0xff94ffff,0x0000dfff,0x1bfffff2,0xfffd8000,
    0xffffd2ff,0xfffd005f,0xff9005ff,0x40001fff,0x02fffffd,0x0dfffff9,
    0x3ff60000,0x70002fff,0x400fffff,0x5800001a,0xffffffe8,0xffecaadf,
    0x2203ffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,0x3ffee03f,
    0xffffffff,0x05ffffff,0xfffff980,0xffffffff,0xfa81ffff,0xffffffff,
    0xffffffff,0x3ffff63f,0xfffff92f,0x7fffff47,0x3ffffea0,0x45ffffe9,
    0xb0fffffe,0x00bfffff,0xffffff10,0x7ffffecb,0xfffc8005,0xfff706ff,
    0xffffffff,0xffffffff,0x40007fff,0x94fffffb,0x00dfffff,0x3ffff200,
    0x3600006f,0xfd2fffff,0xd003ffff,0x005fffff,0x00dfffff,0xfffffd80,
    0xfffff902,0x3600000d,0x002fffff,0x0fffff70,0x00000d40,0x7fffdc2c,
    0xffffffff,0x805fffff,0xffffffe9,0xffffffff,0xffffffdb,0xffffffff,
    0xffffb804,0xffffffff,0x20004fff,0xffffffe9,0xffffffff,0x3fffee02,
    0xffffffff,0x7ec4ffff,0xff92ffff,0x7ff47fff,0x3fe20fff,0xffffdfff,
    0x7ffff43f,0xfffffb0f,0x3ffa000b,0x3ff67fff,0xc8005fff,0xd06fffff,
    0xffffffff,0xffffffff,0x0dffffff,0x7fffdc00,0xfffff94f,0x3f20000d,
    0x0006ffff,0x3fffff60,0x3fffffd2,0xfffffd00,0xffff9805,0x7ec0003f,
    0xf902ffff,0x000dffff,0x3ffff600,0xff70002f,0x0d400fff,0x222c0000,
    0xffffffff,0xffffffff,0xf91000df,0xffffffff,0x7fd41bff,0xffffffff,
    0x3a6003ff,0xffffffff,0x0002efff,0xfffffd88,0x2fffffff,0xfffffa80,
    0xffffffff,0xffffd83f,0xfffff92f,0x7fffff47,0x7fffff40,0x740fffff,
    0xfb0fffff,0x000bffff,0x9ffffff2,0x05fffffd,0xfffffc80,0xfffff986,
    0xffffffff,0xffffffff,0x70002fff,0x329fffff,0x006fffff,0xfffff900,
    0x7ec0000d,0xffd1ffff,0xfd003fff,0xb805ffff,0x001fffff,0x7ffffec0,
    0xfffff902,0x3600000d,0x002fffff,0x03333310,0x00000d40,0xdfffd12c,
    0xffffffff,0x0005ffff,0x3fffff6a,0xd9103eff,0x9fffffff,0x3f6a0001,
    0xceffffff,0x6dc00000,0xffffffff,0x7f54000b,0xffffffff,0xffffb00c,
    0x3ffff25f,0x3ffffa3f,0x7fffe40f,0xe87fffff,0xfb0fffff,0x000bffff,
    0x9ffffffe,0x05fffffd,0xfffffc80,0xfffffc86,0xffffffff,0xffffffff,
    0x70005fff,0x329fffff,0x006fffff,0xfffff900,0x3e00000d,0xffffd0ff,
    0xfffd003f,0xffe805ff,0x40000fff,0x02fffffd,0x0dfffff9,0x3ff60000,
    0x00002fff,0x00035000,0x7ffe4b00,0xfffffb32,0x00019dff,0x006aea20,
    0x03575310,0x5d4c4000,0x0000001a,0x0066ae62,0x2eaa6200,0x0000009a,
    0x1fffffd0,0xffffffa8,0xffe85fff,0xfffb0fff,0xf3000bff,0x6cbfffff,
    0x005fffff,0x6fffffc8,0xeffffff8,0xeeeeeeee,0xffffeeee,0xb8000fff,
    0xf94fffff,0x000dffff,0x3fffff20,0xf9800006,0x3ffffa7f,0xfffe801f,
    0x7ffc02ff,0xd80006ff,0x902fffff,0x00dfffff,0x3fff6000,0xdddb02ff,
    0xdddddddd,0xdddddddd,0x0006a5dd,0x07f91600,0x00357531,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffffd000,0xffff881f,0xe83fffff,
    0xfb0fffff,0x800bffff,0xffffffea,0x3fffff63,0xfffc8005,0x7ffd46ff,
    0xa8001fff,0x03ffffff,0xfffffb80,0xffffff94,0x55555555,0x55555555,
    0x3ffffff2,0xaaaaaaaa,0x2aaaaaaa,0x3fa6ffb8,0xe801ffff,0x202fffff,
    0x04fffff8,0xffffd800,0xffff902f,0x555555ff,0x55555555,0x3fff6055,
    0xfffd02ff,0xffffffff,0xffffffff,0x0006a7ff,0x000a1600,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffd00000,0xffd01fff,0x01ffffff,
    0x21fffffd,0xaefffffd,0xaaaaaaaa,0xffffffdc,0x3fff61ff,0xfc8005ff,
    0x7ec6ffff,0x0006ffff,0x1bfffffe,0x3fffee00,0xfffff94f,0xffffffff,
    0xffffffff,0x3fffff2f,0xffffffff,0xffffffff,0xd0fffdc7,0x003fffff,
    0x05fffffd,0x1fffffcc,0x7ffec000,0xfff902ff,0xffffffff,0xffffffff,
    0x3ff60fff,0xffd02fff,0xffffffff,0xffffffff,0x336a7fff,0xcccccccc,
    0xcccccccc,0x00006ccc,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffe80000,0xffc80fff,0xd07fffff,0x361fffff,0xffffffff,0xffffffff,
    0xffffffff,0x7ffffec4,0xfffc8005,0x3ffe26ff,0x20003fff,0x2ffffffc,
    0x7fffdc00,0xfffff94f,0xffffffff,0xffffffff,0x3fffff2f,0xffffffff,
    0xffffffff,0x89fffd17,0x01fffffe,0x2fffffe8,0x3ffffea0,0xffd80002,
    0xff902fff,0xffffffff,0xffffffff,0x3f60ffff,0xfd02ffff,0xffffffff,
    0xffffffff,0x0007ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffd0000,0xfff501ff,0x3a0bffff,0xfb0fffff,0xffffffff,
    0xffffffff,0x0bffffff,0x0bfffffb,0xfffff900,0x7ffffdcd,0x3e60000f,
    0x005fffff,0xa7ffffdc,0xfffffffc,0xffffffff,0x97ffffff,0xffffffff,
    0xffffffff,0x74ffffff,0xfffe84ff,0xffe801ff,0x3ee02fff,0x0001ffff,
    0x2fffffd8,0xffffff90,0xffffffff,0xffffffff,0x3fffff60,0xfffffd02,
    0xffffffff,0xffffffff,0x00000007,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01fffffd,0xfffffff1,0x3ffffa07,0xfffffb0f,
    0xffffffff,0xffffffff,0xfffb01df,0xf9000bff,0x7f4dffff,0x0005ffff,
    0xffffffe8,0x3ffee000,0xffff94ff,0xffffffff,0xffffffff,0x3ffff2ff,
    0xffffffff,0xffffffff,0x7407aa7f,0x801fffff,0x02fffffe,0x07fffff2,
    0x3fff6000,0xfff902ff,0xffffffff,0xffffffff,0x3ff60fff,0xffd02fff,
    0xffffffff,0xffffffff,0x00007fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffffd000,0x3fffa01f,0xffd01fff,0x3ff61fff,
    0xffffffff,0xffffffff,0xfb00beff,0x000bffff,0x2dfffff9,0x2ffffff9,
    0xfffb8000,0x2e003fff,0xf94fffff,0xffffffff,0xffffffff,0x3f2fffff,
    0xffffffff,0xffffffff,0x2007ffff,0x01fffffe,0x2fffffe8,0x3fffff60,
    0xffd80000,0xff902fff,0xffffffff,0xffffffff,0x3f60ffff,0x0002ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffffe800,0xffff900f,0x7fff40ff,0xffffb0ff,0xffffffff,0x39ddffff,
    0xfffffb00,0xfff9000b,0x3fff6dff,0x80000fff,0x7ffffff8,0x3fffee00,
    0x0000004f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x22000000,0x30019999,0x20033333,
    0xbccdccaa,0x97500001,0x0000359b,0x566e5cc4,0x99998802,0x33333001,
    0x4ccccc43,0xccba8800,0x53009acd,0x001579b9,0x4b500000,0x0000002d,
    0x00000002,0x99980000,0xbcb98099,0xbcb98801,0x4ccccc01,0x20732a20,
    0x01999999,0x99999988,0x06666620,0x26666620,0x99999800,0x03333310,
    0x99999988,0x3332e000,0x331001cc,0x98001333,0x26219999,0x97300999,
    0x99880157,0x99999999,0x99999999,0x22aa9800,0x01fffffe,0x0ffffff8,
    0xfffff910,0x09ffffff,0xffff9100,0x03dfffff,0x3fffa600,0x0bffffff,
    0x3fffffd0,0xffffff00,0x3fffff61,0x3fff6a02,0x3fffffff,0x3fffffa6,
    0x0001cfff,0x3ff5c400,0x00017dff,0x0017cc00,0xfb0005d8,0x4c00dfff,
    0x322fffff,0x5fffffff,0xfffffd88,0xffff04ff,0x3fffe69f,0x3fffa4ff,
    0x7f404fff,0x321fffff,0x402fffff,0x04fffffc,0xa7ffffdc,0x01fffffe,
    0xfffffff3,0x7ffec005,0xff7002ff,0x4c00ffff,0xd0ffffff,0x6c4dffff,
    0xdfffffff,0xfffff500,0xffffffff,0x80bfffff,0x3fa6fff9,0xf801ffff,
    0x880fffff,0xffffffff,0x0dffffff,0xfffff500,0xffffffff,0xfffc8007,
    0xffffffff,0xfffe81ff,0xfff801ff,0xfffb0fff,0x3ff205ff,0xffffffff,
    0xfffdffff,0xffffffff,0x8800002f,0x3e7ffffc,0x000cffff,0x17ffc400,
    0xd8559751,0xfd8005ff,0x26006fff,0xd8afffff,0xffffffff,0x3fffa25f,
    0x84ffffff,0xf9cfffff,0x24ffffff,0xfffffff9,0xfffff901,0xffff987f,
    0x7fffc04f,0x7fec06ff,0xfffd1fff,0xfff103ff,0x8005ffff,0x02fffffd,
    0xffffff10,0x3fff2003,0x3fffa4ff,0xfffff36f,0x05ffffff,0xfffffff5,
    0xffffffff,0x7c40bfff,0x3ffa6fff,0xff801fff,0x7440ffff,0xffffffff,
    0xefffffff,0x7fffe400,0xffffffff,0x4401efff,0xfffffffe,0xffffffff,
    0x7fffff41,0xfffff801,0xfffffb0f,0xfffff905,0xffffffff,0xffffffff,
    0xffffffff,0x36600007,0x27ffffff,0xdfffffff,0xfe880001,0xfffdbfff,
    0xffdcffff,0x7ec005ff,0x26006fff,0xfecfffff,0xffffffff,0xffffadff,
    0xffffffff,0x6fffffc3,0xfffffffe,0x7ffffdc1,0xffff986f,0xffff06ff,
    0x7ffcc0ff,0x3e00ffff,0x3fa6ffff,0x7441ffff,0x03ffffff,0xfffffd80,
    0x3fff2002,0xfff005ff,0x7ff43fff,0xffffaeff,0xffffffff,0x7fffd40f,
    0xffffffff,0x85ffffff,0x6fffffc8,0x07fffffa,0x3fffffe0,0x7ffffec0,
    0xffffffff,0x2e03ffff,0xffffffff,0xffffffff,0x7ffec06f,0xffffffff,
    0x20ffffff,0x01fffffe,0x0ffffff8,0x85fffffb,0xfffffff9,0xffffffff,
    0xffffffff,0xffffffff,0x3faa0001,0x7fffffff,0x3ffffffe,0x20003eff,
    0xfffffffd,0xffffffff,0x03ffffff,0x1bffff60,0xfffff980,0xffffffff,
    0xffffffff,0xffffffff,0x3fe1ffff,0xffffffff,0xffb06fff,0xfe87ffff,
    0x900fffff,0x203fffff,0xfffffffb,0xfffff502,0x7fffff49,0x7fffff41,
    0xffb0003f,0x4c005fff,0x00ffffff,0x37ffffd4,0x3ffffffa,0xffffffff,
    0x543fffff,0xffffffff,0xffffffff,0x7ffe45ff,0x3fa6ffff,0xf801ffff,
    0x220fffff,0xacffffff,0xfffff710,0x3ffe60bf,0xaabeffff,0xfffffffc,
    0xfffff303,0xfd7335df,0x747fffff,0x801fffff,0xb0ffffff,0xd85fffff,
    0x1befffff,0xffffff93,0x5115bfff,0x0dfffffb,0xffffc880,0x7fffffff,
    0x3ffffffe,0x00cfffff,0x7ffff440,0xffffffff,0x4fffffff,0x7fffec00,
    0x3ffe6006,0x31cfffff,0xfffffff9,0x3f6239ff,0x3e3fffff,0xffffffff,
    0xf103ffef,0x21ffffff,0x2ffffffc,0x3ffffea0,0xfffffb03,0x3ff209ff,
    0x3ffa1fff,0x3ff61fff,0x0004ffff,0x0bfffff6,0xfffffd00,0xffffd805,
    0x7ffff43f,0xb31befff,0x8fffffff,0xeeeeeeea,0xffffeeee,0x7ffc3fff,
    0x3a6fffff,0x801fffff,0x20ffffff,0x05fffffc,0x1bfffff2,0x7ffffff4,
    0xffffd103,0xfffd03ff,0x3f601bff,0x3fa6ffff,0xf801ffff,0xfb0fffff,
    0x7c43ffff,0x700fffff,0xbfffffff,0x7fffff40,0xfffd9802,0xffffffff,
    0x3ff6a3ef,0xffffffff,0x22001dff,0xfffffffe,0xffffffff,0xfd8004ff,
    0x26006fff,0x3fffffff,0xffffffd0,0x3fffa07f,0x3fffe5ff,0x3262ffff,
    0x3fffea00,0xffff9dff,0xfff805ff,0xffff05ff,0x3a0dffff,0x7f47ffff,
    0xff91ffff,0x0009ffff,0x1cccccb8,0x7fffdc00,0x3ffe205f,0x7ff40fff,
    0xb00fffff,0x00ffffff,0x3ffffe20,0xbeff84ff,0x3fa6fffa,0xf801ffff,
    0x440fffff,0x2600dcb9,0x987fffff,0x03ffffff,0x7fffffc4,0x7ffffd46,
    0x3ffe600f,0xfffd1eff,0xfff003ff,0xffd01fff,0x05b95101,0x7fffffc4,
    0x3ffe200f,0x3faa05ff,0xffffffff,0x2201cfff,0xffffffeb,0x02efffff,
    0xffffff30,0xffffdbdf,0x36000fff,0x2006ffff,0x5ffffff9,0x3ffffee0,
    0x3ffee06f,0x3fffe5ff,0x90003fff,0xffffffff,0x001dffff,0x81fffffb,
    0xfffffff9,0x7ffcc0ff,0x7fff44ff,0xffffb9ff,0x000005ff,0x3ffe2000,
    0xff700fff,0xffd0bfff,0x4c03ffff,0x00ffffff,0x7ffff440,0x545d05ff,
    0x3ffa6fff,0xff801fff,0x0000ffff,0x87fffff8,0x06fffffc,0xffffff70,
    0x4fffffb8,0xe81acc80,0x801fffff,0x40ffffff,0x00007ff8,0x0bfffffd,
    0x8fffffb0,0xffffffb8,0x2dffffff,0xfffd9800,0xffffffff,0x3ff200bf,
    0x74c0dfff,0x001fffff,0x06ffffd8,0x3ffffe60,0x3ffea01f,0x3ea02fff,
    0x3fe6ffff,0x0006ffff,0x7ffffff4,0x001fffff,0x85fffff5,0xfffffffb,
    0x7ffdc2ff,0x7fff42ff,0xfffffcff,0x0000005f,0xffffc800,0xffffd03f,
    0xffffd03f,0xffff00bf,0x744003ff,0x06ffffff,0xe9bffea0,0x801fffff,
    0x00ffffff,0xfffda880,0xffe87fff,0x3e003fff,0x361fffff,0x003fffff,
    0xfffffe80,0xfffff801,0x037fd40f,0xffeca880,0xb804ffff,0xf91fffff,
    0xffffffff,0x00017dff,0xffffd710,0x9fffffff,0x1bffffe0,0x4fffff88,
    0x66666644,0xfffffecc,0xcccccccc,0xffffff30,0x7fffcc01,0x3fea00ff,
    0x3ffe6fff,0x40003fff,0xfffffff9,0x22003fff,0x6c4fffff,0xfffdffff,
    0x7fffec4f,0xfffffe87,0x1fffffff,0x99999900,0x99999999,0x99999999,
    0xfffff303,0xfffff30d,0x3ffffa0d,0xfffe803f,0x3f6001ff,0x00efffff,
    0xe9bffea0,0x801fffff,0x00ffffff,0xffffdb98,0x87ffffff,0x02ffffff,
    0x3fffffa0,0x3fffffa2,0xffe80002,0xff801fff,0x3e60ffff,0xb73001ff,
    0xfffffffd,0x9999bfff,0xfffb9999,0x3fffe5ff,0x1cffffff,0x32600000,
    0xffffffff,0xffff887f,0x7ffdc01f,0x7fffc46f,0xffffffff,0xffffffff,
    0xffff31ff,0xfff980ff,0x7fcc07ff,0x3ffe6fff,0x80002fff,0xfffffffb,
    0xffd8006f,0x7fffc6ff,0x26ffff9f,0x85fffff8,0xfffffffe,0x005fffff,
    0xffffffff,0xffffffff,0x07ffffff,0x07fffffa,0x07fffff9,0x0bfffffa,
    0x3fffffa0,0xffff9002,0xa8003fff,0x3ffa6fff,0xff801fff,0xb300ffff,
    0xffffffff,0x8fffffff,0x1ffffff8,0x3ffff600,0x3ffffe4f,0xfe80001f,
    0xf801ffff,0xc98fffff,0x64404fff,0xffffffff,0xffffffff,0xffffffff,
    0xf3ffffff,0x5dffffff,0x40000001,0xfffffea8,0xffff987f,0x7ffd400f,
    0x7fffc47f,0xffffffff,0xffffffff,0xffff31ff,0xfff980ff,0x7fcc07ff,
    0x3ffe6fff,0x00001fff,0xfffffffb,0xfff70001,0x3ffe63ff,0x1ffffd6f,
    0x0bffffea,0x3ffffffa,0x2fffffff,0xffffff80,0xffffffff,0xffffffff,
    0xfffff703,0xffffff89,0xfffffd00,0xffffd005,0xfff7005f,0x0003ffff,
    0x7f4dfff5,0xf801ffff,0xc80fffff,0xffffffff,0xffffffff,0x7ffffc47,
    0x3ff2000f,0xfff15fff,0x00003fff,0x03fffffd,0xfffffff0,0xc809ffff,
    0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xfffffff3,0x00000039,
    0xfffff710,0xffff30ff,0xffff300f,0xfffff88f,0xffffffff,0xffffffff,
    0xfffff31f,0xffff980d,0x7ffcc07f,0x3fffe6ff,0xb00001ff,0x5fffffff,
    0xffff1000,0x3fffee7f,0x25ffff93,0x80fffffc,0xfffffffe,0x06ffffff,
    0xfffffff8,0xffffffff,0x3fffffff,0xffffff10,0x2fffffd4,0x5fffffd0,
    0xfffffd00,0xffffa805,0x50002fff,0x7ff4dfff,0xff801fff,0x7ec0ffff,
    0xdfffffff,0xffffff1b,0x3ffffff0,0x7fffec00,0x3ffffe3f,0xfe80002f,
    0xf801ffff,0xffffffff,0x7ffdc01d,0xacefffff,0xffffffe8,0xffffffff,
    0xf4ffffff,0xffffffff,0x0000005d,0xffffffb3,0xfff10fff,0xffb803ff,
    0x7ffc46ff,0xffffffff,0xffffffff,0xfff31fff,0xff980dff,0x7cc07fff,
    0x3fe6ffff,0x0000ffff,0xffffffa8,0xe8000fff,0xffb5ffff,0x3ffea3ff,
    0xbfffff4f,0x3fffffa0,0xffffffff,0x7fffc03f,0xffffffff,0xffffffff,
    0x3ff203ff,0xfff92fff,0x7ff405ff,0xfe801fff,0x2602ffff,0x4fffffff,
    0x3ffea000,0x3fffffa6,0xfffff801,0x3fffee0f,0xfff01cff,0xffff0fff,
    0x7f4005ff,0x3fa2ffff,0x0002ffff,0x1fffffe8,0xffffff80,0xff9800ac,
    0x80bfffff,0x9bfffffe,0x99999999,0xfd099999,0xffffffff,0x000039ff,
    0x7ffff5c4,0x07ffffff,0x40bfffff,0x45fffff8,0xfffffff8,0xffffffff,
    0x1fffffff,0x0dfffff3,0x7fffff98,0x7ffffcc0,0x3fffffe6,0x7fc40000,
    0xffffffff,0xfffb8005,0x7ffff8ff,0x27bfffe2,0xd03fffff,0x3fffffff,
    0x1ffffff5,0x7fffffc0,0xffffffff,0xffffffff,0x3fffe603,0xdfffff4f,
    0xfffffe80,0xffffe801,0xffff302f,0x8000bfff,0x3fa6fffa,0x4402ffff,
    0x20ffffff,0x04fffffe,0x43fffffc,0x04fffffe,0xffffff10,0x7ffffec1,
    0x9acda804,0x3fffffa0,0x7fffc402,0x3f2000ff,0x200dffff,0x03fffffe,
    0xfffd5000,0xffffffff,0x2a00015d,0xfffffffd,0x00beffff,0x3bfffff9,
    0xfffffe88,0xfffd8002,0x3fe6006f,0x7cc06fff,0x4c07ffff,0x3e6fffff,
    0x000fffff,0x7ffffec0,0x03ffffff,0x7ffffcc0,0x745ffffc,0xfffcffff,
    0xfffd00ff,0x7ff43fff,0x00004fff,0xffe80000,0xffffafff,0x7fff403f,
    0xffe801ff,0xfe882fff,0x005fffff,0x26fffa80,0x02fffffe,0x7fffffd4,
    0xffffff10,0x7fffc401,0xffffc87f,0xffc800ff,0x7fdc7fff,0xfd807fff,
    0xffd4ffff,0xfa807fff,0x000fffff,0x07fffff6,0xbffffff0,0x26003300,
    0xfffffffd,0x01cfffff,0xfffffb88,0xdfffffff,0xffff9802,0xffdcefff,
    0x0007ffff,0x00dffffb,0x37ffffcc,0x3ffffe60,0x7fffcc07,0x3ffffe6f,
    0x3ee0000f,0xffffffff,0x4001ffff,0xfffffffe,0x7ffe43ff,0x06ffffff,
    0x0bfffffa,0x3ffffff3,0x00000000,0xefffffb8,0x400fffff,0x01fffffe,
    0x2fffffe8,0xffffffe8,0xff500006,0x7fffecdf,0x3ffa204f,0xff50ffff,
    0xfb80dfff,0xf987ffff,0x404fffff,0x4ffffff8,0x7fffffd4,0x3fffe202,
    0xffffb1ff,0x7ff4409f,0x2000ffff,0x01ffffff,0x3fffffea,0x3ffe601f,
    0x32200bde,0xffffffff,0x40beffff,0xffffffda,0x1cffffff,0x3ffff600,
    0xffffffff,0x003fffff,0x06ffffd8,0x3ffffe60,0x7fffcc06,0x7ffcc07f,
    0x3fffe6ff,0xf30000ff,0xf5bfffff,0x00dfffff,0xffffffc8,0x7fd41fff,
    0x3fffffff,0x3fffffa0,0xfffffd81,0x33310005,0x88000133,0xffffffff,
    0xffe805ff,0xfe801fff,0x7ec2ffff,0x00efffff,0x13331000,0x7fffffe4,
    0xfffffb01,0x3ffe61ff,0xff302fff,0x3a0fffff,0x0dffffff,0xffffffa8,
    0xffffd80f,0xffe983ff,0x3ff26fff,0xfb01ffff,0x01ffffff,0x7fffffc0,
    0xffffd104,0x3a01dfff,0x006fffff,0xfffffd71,0x4fffffff,0xfffffffe,
    0x00bfffff,0x7ffffe40,0xffffffff,0x03ffffff,0x37fffec0,0xfffff300,
    0xffff980d,0x7ffcc07f,0x3fffe6ff,0xfd0000ff,0x321fffff,0x04ffffff,
    0x3ffffe60,0xff887fff,0x0fffffff,0x3fffffa0,0xfffff881,0xffd8002f,
    0x80002fff,0xfffffffc,0xffe802ff,0xfe801fff,0x3f22ffff,0xaaffffff,
    0xaaaaaaaa,0xf50000aa,0x59ffffff,0xfffffd93,0x3fe21fff,0x30beffff,
    0xfffffff9,0xffff301f,0xd99bffff,0x5fffffff,0x3ffffe60,0xffecceff,
    0x2a3fffff,0xcfffffff,0xffffec9a,0x2000ffff,0xbffffffd,0xffffd710,
    0x37ffffff,0xfffffd93,0xfb50007f,0xffffffff,0x7fffffcf,0x002effff,
    0xffffff90,0xffffffff,0x5fffffff,0x7fffec00,0x3ffe6006,0x7fcc06ff,
    0x7cc07fff,0x3fe6ffff,0x8000ffff,0x3ffffffc,0x3fffffe2,0x3ffe001f,
    0xd05fffff,0xdfffffff,0xfffffe80,0xfffff901,0xfffb000d,0x300005ff,
    0xffffffff,0x3fffa00f,0xffe801ff,0xfff32fff,0xffffffff,0xffffffff,
    0x3e20007f,0xffffffff,0xffefffff,0x3ff60fff,0xffffffff,0xffffffff,
    0xffff701f,0xffffffff,0x80bfffff,0xfffffffc,0xffffffff,0x7fffc45f,
    0xffffffff,0xfffffeff,0x3ffee000,0xffefffff,0xffffffff,0xffffffff,
    0x006fffff,0x7fffe4c0,0x3ffe7fff,0x01dfffff,0x7fffcc00,0xfffffedf,
    0xffffedff,0x3ff6000e,0x3e6006ff,0x4c06ffff,0x407fffff,0x26fffff9,
    0x00ffffff,0x7ffffcc0,0xffffa85f,0xf9000eff,0x07ffffff,0x3fffffee,
    0x7fff403f,0xfff101ff,0xd8007fff,0x002fffff,0xfffffd00,0x3fa007ff,
    0xe801ffff,0xf32fffff,0xffffffff,0xffffffff,0x40007fff,0xfffffff9,
    0xfbafffff,0x3e20ffff,0xffffffff,0xfffdffff,0x3fee03ff,0xffffffff,
    0x804fffff,0xffffffd8,0xffffffff,0xffffa80e,0xffffffff,0x0fffffba,
    0x7fffec00,0xffffffff,0xffffdcff,0xffffffff,0x00000eff,0xffffff71,
    0x67fffffc,0x3e600000,0x373265ff,0xdffd11bc,0xfffd8001,0x3fe6006f,
    0x7cc06fff,0x4c07ffff,0x3e6fffff,0x000fffff,0x3fffffa2,0xffffb00f,
    0x3ea009ff,0x01ffffff,0xfffffff3,0xffffe803,0x3ffee01f,0x36000fff,
    0x002fffff,0xfffff700,0x3fa001ff,0xe801ffff,0xf32fffff,0xffffffff,
    0xffffffff,0x80007fff,0xfffffffa,0xfff71fff,0xfffa81ff,0xefffffff,
    0x6fffff88,0x7ffff4c0,0xefffffff,0x7ffd4002,0xffffffff,0x3fea00df,
    0xffffffff,0x1fffff72,0xfffe8800,0xffffffff,0x3fffea0c,0xffffffff,
    0x5000000e,0x7ffcfffd,0x2000003e,0xe88005f9,0xffd8000f,0x3e6006ff,
    0x4c06ffff,0x407fffff,0x26fffff9,0x00ffffff,0x3fffff20,0x3ffe203f,
    0xf002ffff,0x80ffffff,0x06ffffff,0x1fffffe8,0x7fffff40,0x3fff6004,
    0x100002ff,0x0bffffff,0x7fffff40,0xffffe801,0xfffff32f,0xffffffff,
    0x7fffffff,0xffb50000,0x5c19dfff,0x880fffff,0xeffffffd,0x7fffff43,
    0xfffda801,0x00ceffff,0xfffdb100,0x003bffff,0x3fffff6a,0x3ffee1de,
    0xf70000ff,0x9dffffff,0x3ffb2203,0x02dfffff,0xfb300000,0x000016fc,
    0x22000080,0x55530000,0x7fcc0055,0x7cc06fff,0x4c07ffff,0x3e6fffff,
    0x000fffff,0xbffffff5,0xfffff500,0xffb001ff,0xfd80bfff,0xe804ffff,
    0x401fffff,0x1ffffffa,0xfffffb00,0x7e400005,0x2002ffff,0x01fffffe,
    0x2fffffe8,0xfffffff3,0xffffffff,0x007fffff,0x00ab9800,0x2ea62000,
    0x20000009,0x001aba98,0xabb98800,0x55cc0001,0x40000000,0x0001aba9,
    0x00135753,0x08200000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80030003,0x4c1aaaa8,
    0x5530aaaa,0xaaaa8155,0xcc980002,0x220003cc,0x26001aa9,0x540009aa,
    0x000abcca,0x002aee62,0x00733260,0x2aaaaaaa,0xaaaaaaaa,0x0aaaaaaa,
    0x2aaaaaaa,0xaaaaaaaa,0x0aaaaaaa,0x00666666,0x00137751,0x00000000,
    0xba880000,0x66402cdc,0x32e2cccc,0xca83cccc,0xcccccccc,0x111112cc,
    0x666665c1,0x83999971,0xf53cccc9,0xffffffff,0xffffffff,0xffffffff,
    0x88888888,0x88888888,0x88888888,0x00000008,0x00000000,0x5f700000,
    0x0027cc00,0x443ffffb,0x3e26ffff,0x7fe45fff,0x6c0002ff,0x000fffff,
    0x7fffff54,0x3ffaa02e,0x5400cfff,0xffffffff,0x3ff6200e,0x001effff,
    0x1007ffee,0xffffffff,0xffffffff,0x23ffffff,0xfffffff8,0xffffffff,
    0x1fffffff,0x07fffffe,0x7fffffe4,0xfffffc82,0x3ffff60f,0xffffff7f,
    0xdffb730b,0x24c0015b,0x7fffffe4,0xffffa81f,0x3ffe20ef,0x7fdc1fff,
    0xffffffff,0xfffffb3f,0x3fffff63,0x85ffffd1,0xf55ffffb,0xffffffff,
    0xffffffff,0xffffffff,0x7fffffd4,0xffffffff,0xffffffff,0x000007ff,
    0x00000000,0xfb800000,0xff9802ff,0xfffa804f,0x7fffec5f,0x1ffffe41,
    0x01fffff1,0x3fffe600,0x3f2003ff,0xffffffff,0xfffffb84,0xf700efff,
    0xffffffff,0x3ffe60df,0x3fffffff,0x03fff500,0xffffff88,0xffffffff,
    0xffffffff,0xffffff11,0xffffffff,0xffffffff,0x7fffffc3,0x7ffff441,
    0x7e45ffff,0x360fffff,0xff7fffff,0xfb8bffff,0xffffffff,0x427dc01d,
    0xffffdcee,0x7ffff40f,0xffff880f,0x7fffdc5f,0x3fffffff,0x23fffffb,
    0xd1fffffd,0xfb85ffff,0xfff55fff,0xffffffff,0xffffffff,0x54ffffff,
    0xffffffff,0xffffffff,0xffffffff,0x00000007,0x00000000,0x7ffdc000,
    0x3fe602ff,0x3e204fff,0x3ee0ffff,0xff885fff,0x3fee1fff,0xfb0005ff,
    0x00ffffff,0x3bffffea,0x7c2fffff,0xfffeffff,0xffff885f,0xffffffff,
    0xfffffe83,0x81ffffff,0x007ffd40,0x3fffffe2,0xffffffff,0xffffffff,
    0xffffff11,0xffffffff,0xffffffff,0x7fffffc3,0x7ffffec1,0x323fffff,
    0x20ffffff,0xf7fffffd,0x22bfffff,0xfffffffd,0x9cffffff,0x04ffeb98,
    0x4c7fffd0,0x201fffff,0x20fffff9,0xfffffffb,0xffb3ffff,0x3ff63fff,
    0xfffd1fff,0xffffb85f,0xffffff55,0xffffffff,0xffffffff,0x7ffd4fff,
    0xffffffff,0xffffffff,0x007fffff,0x00000000,0x00000000,0x3fffffea,
    0xffff982f,0xffb02fff,0x7ffcc7ff,0xfff700ff,0xffffe8df,0x7ffc4003,
    0x803fffff,0x7ec5fffc,0x3ffee4ff,0x21fffe64,0x262ffffa,0x7dc5ffff,
    0xfebbffff,0x5fd45fff,0xda8fff30,0x3ffffe23,0xffffffff,0xffffffff,
    0xfffff11f,0xffffffff,0xffffffff,0x7ffffc3f,0x3fffee1f,0xffffda9c,
    0xffffff90,0x7ffffec1,0xbffffff7,0x3fffffee,0xffffffff,0xffffffff,
    0xbfff9004,0x00ffffec,0x727fffd4,0xffffffff,0x3ff67fff,0xfffb1fff,
    0x3fffa3ff,0x7fffdc2f,0x22222225,0x88888888,0x88888888,0x3bbaa088,
    0xeeeeeeee,0xeeeeeeee,0x006eeeee,0x00000000,0x00000000,0x7fffffec,
    0x3fffe62f,0xff704fff,0xfffe8dff,0x7fff403f,0x3fffea4f,0x3ff2000f,
    0x06ffffff,0x5c2fffe8,0x32e65fff,0x1fffe20d,0xffd83b98,0x37fffc5f,
    0xb0ffffec,0xdff17fff,0x44bffd71,0xffffffff,0xffffffff,0x11ffffff,
    0xffffffff,0xffffffff,0x43ffffff,0x20ffffff,0xfc81fffd,0xffff93ff,
    0x7ffec1ff,0xfffff7ff,0x3fffeebf,0xffffffff,0xffffffff,0xff8804ff,
    0xffff33ff,0x7ffd4005,0xfffff70f,0x27ffffff,0xb1fffffd,0x323fffff,
    0x6541cccc,0x00003ccc,0x00000000,0x00000000,0x00000000,0x7fec0000,
    0xf9afffff,0x04ffffff,0x45fffff3,0x807ffffc,0x21fffffa,0x005ffffd,
    0xfffffff1,0x0c005fff,0x201fffec,0x04fffea9,0x3fff2a20,0x3fffe26f,
    0x2ffff983,0x3ffffffe,0x7fffffff,0x4ccccccc,0x99999999,0x41999999,
    0x99999999,0x99999999,0x21fffffb,0x7c7fffff,0xfff106ff,0x3ffffee9,
    0x3ffff20f,0xffffff7f,0x3bfffee9,0xffffffec,0xffffffff,0x9999d14f,
    0x21dffffd,0x8002fffc,0x7733fffb,0x77777777,0x3ffff637,0x7777751f,
    0x00000001,0x00000000,0x00000000,0x00000000,0xfb000000,0xffffffff,
    0x409fffff,0x266ffffe,0x002fffff,0x4cdffffb,0x803fffff,0xfefffffc,
    0x20006fff,0x201ffffa,0x05fffff8,0x7fff6544,0x3e66ffff,0xff881fff,
    0xfffb13ff,0xffffffff,0x00003fff,0xa8000000,0x881fffff,0x27ffc7ff,
    0x3eabffd0,0x7dc7ffff,0xffb6ffff,0x3fee7fff,0xfffc980a,0xffffffff,
    0x3ffffe23,0x001effff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fffffec,0x05ffffff,0x47fffff2,0x06fffff8,
    0x3ffffe60,0x3fffff24,0x3fffe200,0xfffffabf,0xfffb8001,0x7ffcc04f,
    0x3fe603ff,0xffffffff,0x3fffea6f,0x0bffff01,0xfffffb73,0x0000359d,
    0x20000000,0x81fffffa,0x7ff46ffa,0x29fff307,0x45fffff8,0x94fffff9,
    0x2e5fffff,0xffd5000e,0x883bffff,0xdefffffe,0x00000002,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ff60000,0xffffffff,
    0x3fffe605,0x3ffff64f,0x7fe4001f,0xfff11fff,0x7fdc0dff,0xffff0fff,
    0xffd800bf,0xeea806ff,0x540dffff,0xacefffff,0x3e66fffd,0xfff01fff,
    0x7ffd409f,0x000002ff,0xa8000000,0xc81fffff,0x7ffec4ff,0x22fffd83,
    0x444fffff,0xf53fffff,0x0061ffff,0x00ddd440,0x00000988,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7fffffec,
    0x7fec05ff,0xfff11fff,0xf1000dff,0x7e4dffff,0xff02ffff,0x7fe4bfff,
    0xe8800fff,0x8005ffff,0x6c3fffe8,0x7f41ffff,0x3ffe26ff,0xffff882f,
    0xfffff503,0x3ba203ff,0xeeeeeeee,0xeeeeeeee,0x0001eeee,0x3ffffea0,
    0x03fff221,0x75dffff5,0x6c1fffff,0xfe83ffff,0xfff31fff,0x000000ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x30000000,0xffffffff,0xffff8805,0x3ffff25f,0x7fdc002f,0x3ffa2fff,
    0xffb80eff,0x3fe62fff,0x74c04fff,0x0004ffff,0xff1bffea,0xfff887ff,
    0x2ffffc6f,0x40ffffdc,0xff8efffa,0xfff880ff,0xffffffff,0xffffffff,
    0x00001fff,0x47ffffea,0x903ffff9,0xffffffff,0xfffc85ff,0xffffd81f,
    0x01bfffe0,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffff3000,0x05ffffff,0x2fffffb8,0x01bffffa,
    0x5fffff88,0x07ffffee,0x437ffff4,0x00fffffe,0x05fffff1,0x5c0ffed8,
    0x3fe26fff,0x7ffe45ff,0x7fffe46f,0xffffc88c,0x1ffffa86,0x881dfff7,
    0xffffffff,0xffffffff,0x01ffffff,0x3ffea000,0x7fff11ff,0x7fffec40,
    0xa883ffff,0xaa980aaa,0x0d55542a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfff30000,0xffffffff,
    0xfffd805f,0x3fffe66f,0xfff9003f,0x3ffe21ff,0xfff504ff,0xfff507ff,
    0xffd107ff,0x555559ff,0x867ffec5,0x7c5fffe8,0xffceffff,0x7c46ffff,
    0xffffffff,0xffb82fff,0x17fff45f,0x3fffffe2,0xffffffff,0xffffffff,
    0x3ea00001,0x36e1ffff,0xffff5000,0x000003df,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x26000000,
    0xffffffff,0x02ffffff,0x8fffffe2,0x00fffffb,0x17ffffcc,0x40dffff9,
    0x00fffffe,0x70ffffff,0xffffffff,0x7fd4dfff,0xffffefff,0x7fffdc1f,
    0xffffffff,0xfffffb86,0x205fffff,0x6fcc0ff9,0xfffff880,0xffffffff,
    0xffffffff,0x2a00001f,0x001fffff,0x00019880,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fffffcc,0xfffffdcf,0x3fea02ff,0x3ffa0fff,0x7ff404ff,0x3ffe64ff,
    0xfff501ff,0x7fe40bff,0x7ff43fff,0xffffffff,0x7fffdc6f,0x902fffff,
    0x1bffffff,0xd301ffff,0x7fffffff,0x80a05100,0xeeeeeee8,0xeeeeeeee,
    0x1eeeeeee,0x3ba60000,0x00001eee,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfff30000,
    0x7ec9ffff,0x02ffffff,0x893ffff6,0x500fffff,0xfe8dffff,0x3fa03fff,
    0x2602ffff,0x266fffff,0xffffffff,0xea86ffff,0x00dfffff,0x30dee5cc,
    0x65401555,0x0000acdd,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x98000000,0x4fffffff,0xffffffd8,0xffff102f,0x7fffdc1f,0x3ffffd05,
    0x02ffffd4,0x0bddddd1,0x3dddddb0,0x26666662,0x00999999,0x00006a62,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x4fffffe8,0x3fffff60,0x3ffea00e,0x7fffec5f,0x1ffffdc1,0x003ffffa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x88000000,0xd805fffe,0xc800efff,0x3e21ffff,0x3fe26fff,
    0x7ffdc6ff,0x0000002f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x05fe8800,0x4003bf60,0x4c1aaaa8,
    0x5530aaaa,0xaaaa8155,0x00000002,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20012200,0x0000000c,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__arial_bold_50_latin_ext_x[560]={ 0,4,2,0,1,1,1,2,2,1,0,1,2,1,
3,-1,1,3,1,1,0,1,1,1,1,1,4,3,2,1,2,2,1,0,3,2,3,3,3,2,3,3,0,3,
3,3,3,1,3,1,3,1,0,3,-1,0,0,-1,0,3,-1,0,2,-1,0,1,2,1,1,1,0,1,3,3,
-3,2,3,2,3,1,3,1,2,1,0,3,0,0,0,0,0,1,3,0,1,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,4,1,0,0,0,
3,1,0,-1,0,2,1,1,-1,-1,1,1,0,0,4,2,-1,3,0,1,0,2,2,2,0,2,0,0,0,0,
0,0,-2,2,3,3,3,3,-1,2,-1,-1,-1,3,1,1,1,1,1,2,1,3,3,3,3,-1,3,3,1,1,
1,1,1,1,1,1,1,1,1,1,-1,2,-2,-2,1,3,1,1,1,1,1,1,1,3,3,3,3,0,3,0,
0,1,0,1,0,1,2,1,2,1,2,1,2,1,3,1,-1,1,3,1,3,1,3,1,3,1,3,1,2,1,
2,1,2,1,2,1,3,3,0,0,-2,-2,-1,-1,-1,-1,2,2,3,3,3,3,0,-3,3,2,3,3,2,3,
-1,3,3,3,3,0,0,3,3,3,3,3,3,-2,3,3,1,1,1,1,1,1,1,1,3,2,3,0,3,1,
1,1,1,1,1,1,1,1,0,0,0,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,0,0,-1,0,
-1,0,0,0,0,0,0,3,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,1,5,5,-1,5,5,5,
5,5,5,5,5,5,5,5,5,5,1,1,5,5,5,5,5,5,5,5,5,5,5,5,5,3,3,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,1,-2,-2,1,
1,3,3,3,3,3,3,3,3,3,3,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,0,1,-2,1,1,1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static signed short stb__arial_bold_50_latin_ext_y[560]={ 40,7,7,7,5,7,7,7,7,7,7,12,33,25,
33,7,7,7,7,7,7,8,7,8,7,7,16,16,12,16,12,7,7,7,7,7,7,7,7,7,7,7,7,7,
8,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,44,7,16,7,16,7,16,7,16,7,7,
7,7,7,16,16,16,16,16,16,16,8,16,16,16,16,16,16,7,7,7,19,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,40,16,8,7,12,7,
7,7,7,7,7,18,16,25,7,2,7,9,7,7,7,16,7,21,40,7,7,18,7,7,7,16,-1,-1,-1,0,
0,1,7,7,-1,-1,-1,0,-1,-1,-1,0,7,0,-1,-1,-1,0,0,13,6,-1,-1,-1,0,-1,7,7,7,7,
7,8,7,6,16,16,7,7,7,7,7,7,7,7,7,8,7,7,7,8,7,12,15,7,7,7,7,7,7,7,
1,8,-1,7,7,16,-1,7,-2,7,-1,7,-1,7,-1,7,7,7,1,8,-2,7,-1,7,7,16,-1,7,-2,7,
-1,7,-1,7,7,4,-2,-1,7,7,-1,8,1,8,-2,7,7,7,0,16,7,7,-2,7,7,7,16,-1,-1,8,
7,8,7,8,7,7,7,-1,7,7,16,-1,7,7,7,16,1,8,-2,7,-1,7,7,16,-1,7,7,16,-1,7,
-1,7,-2,7,7,16,-1,7,7,8,-1,7,7,8,-1,8,1,8,-2,7,-2,6,-1,7,7,16,-2,7,-2,7,
0,-1,7,0,7,-1,7,7,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,7,12,12,7,12,12,12,
12,12,12,12,12,12,12,12,12,12,7,16,12,12,12,12,12,12,12,12,12,12,12,12,12,7,16,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,-1,7,-1,7,-1,
7,-1,7,-1,-1,-1,-1,-1,-1,-1,-1,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,-5,-2,-2,7,-2,7,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12, };
static unsigned short stb__arial_bold_50_latin_ext_w[560]={ 0,7,17,25,22,37,31,7,12,12,17,24,8,13,
7,14,22,15,22,22,24,23,23,22,22,22,7,8,23,24,23,24,43,33,28,29,28,25,23,31,26,7,22,30,
23,32,26,33,25,34,30,27,27,26,31,43,30,31,27,12,14,12,22,27,11,23,24,23,24,23,17,24,22,7,
13,23,7,35,22,25,23,24,16,22,15,22,25,35,25,25,22,16,6,16,24,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,7,23,25,24,25,
6,23,15,35,16,21,24,13,35,27,15,23,14,15,10,22,26,7,13,10,16,21,35,35,37,24,33,33,33,33,
33,33,45,29,25,25,25,25,11,11,15,15,32,26,33,33,33,33,33,22,33,26,26,26,26,31,25,23,23,23,
23,23,23,23,37,23,23,23,23,23,11,11,16,16,25,22,25,25,25,25,25,23,25,22,22,22,22,25,23,25,
33,23,33,23,35,26,29,23,29,23,29,23,29,23,28,32,32,26,25,23,25,23,25,23,25,23,25,23,31,24,
31,24,31,24,31,24,26,22,33,25,16,16,15,15,14,14,11,11,7,7,29,19,26,17,30,23,22,23,11,23,
13,23,15,23,16,27,13,26,22,26,22,26,22,31,28,22,33,25,33,25,33,25,43,40,30,16,30,18,30,17,
27,22,27,22,27,22,27,22,27,15,27,22,27,15,26,22,26,22,26,22,26,22,26,22,26,25,43,35,31,25,
31,27,22,27,22,27,22,13,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,30,23,23,26,23,23,23,
23,23,23,23,23,23,23,23,23,23,38,31,23,23,23,23,23,23,23,23,23,23,23,23,23,35,30,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,33,23,16,16,33,
25,26,22,26,22,26,22,26,22,26,22,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,33,23,45,37,33,25,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23, };
static unsigned short stb__arial_bold_50_latin_ext_h[560]={ 0,33,13,34,40,35,34,13,43,43,16,24,15,7,
7,34,34,33,33,34,33,33,34,32,34,34,24,32,25,16,25,33,43,33,33,34,33,33,33,34,33,33,34,33,
32,33,33,34,33,37,33,34,33,34,33,33,33,33,33,43,34,43,18,5,7,25,34,25,34,25,33,34,33,33,
43,33,33,24,24,25,33,33,24,25,33,25,24,24,24,34,24,43,43,43,10,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,0,33,41,34,24,33,
43,43,6,34,17,21,16,7,34,5,15,31,18,18,7,33,42,7,10,18,17,21,35,35,35,34,41,41,41,40,
40,39,33,43,41,41,41,40,41,41,41,40,33,40,42,42,42,41,41,22,36,42,42,42,41,41,33,34,34,34,
34,33,34,35,25,34,34,34,34,34,33,33,33,33,34,32,34,34,34,33,34,24,27,34,34,34,34,43,42,43,
39,33,41,34,43,34,42,34,43,34,42,34,42,34,41,34,33,34,39,33,42,34,41,34,43,34,41,34,43,43,
42,43,42,43,43,46,42,41,33,33,41,32,39,32,42,33,43,43,40,24,34,43,43,43,43,43,24,41,41,42,
43,32,33,32,33,33,33,41,33,43,34,41,33,33,34,34,40,33,43,34,42,34,34,25,41,33,43,34,41,33,
42,34,43,34,43,34,42,34,48,46,41,34,33,33,42,33,40,33,43,34,43,35,42,34,43,34,42,33,42,43,
40,41,33,40,33,41,33,33,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,34,28,28,43,28,28,28,
28,28,28,28,28,28,28,28,28,28,34,25,28,28,28,28,28,28,28,28,28,28,28,28,28,34,25,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,41,34,41,33,42,
34,42,34,42,42,42,42,42,42,42,42,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,45,43,42,34,44,35,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28, };
static unsigned short stb__arial_bold_50_latin_ext_s[560]={ 508,367,249,421,137,437,324,267,474,311,156,
240,224,337,351,492,40,124,264,25,482,1,261,220,285,435,502,188,167,174,191,
287,103,90,34,212,372,401,485,98,63,427,201,145,140,1,25,422,103,270,233,
482,52,1,453,438,407,375,344,246,494,493,68,411,325,24,397,74,372,447,435,
347,80,176,404,320,312,265,453,48,209,184,301,471,129,1,427,344,318,249,476,
294,251,457,275,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,
324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,508,503,341,
456,215,257,501,200,367,275,122,24,199,337,311,383,233,300,91,106,314,438,276,
359,300,499,139,46,339,401,1,224,138,172,265,388,103,186,43,1,263,289,315,
33,493,85,69,59,67,483,85,29,359,432,148,1,305,216,243,129,466,1,324,
397,373,349,325,300,265,475,129,188,164,140,116,92,499,136,50,350,458,197,409,
383,357,24,308,403,348,238,215,192,169,174,225,324,236,484,97,1,258,439,297,
389,313,153,329,74,195,470,182,356,232,133,160,122,303,62,237,190,418,109,211,
177,187,468,97,162,156,50,425,45,327,365,300,146,131,243,220,284,489,28,355,
343,504,494,160,293,219,32,1,444,380,45,33,55,487,164,106,260,89,204,334,
299,376,224,334,326,399,172,63,447,422,171,259,413,427,214,71,374,234,265,394,
484,79,282,188,115,376,48,75,301,1,278,1,29,110,86,348,422,28,461,456,
1,31,130,58,39,1,242,367,466,151,100,119,350,1,206,148,75,197,404,220,
243,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,138,324,324,147,
324,324,324,324,324,324,324,324,324,324,324,324,324,1,415,324,324,324,324,324,
324,324,324,324,324,324,324,324,289,98,324,324,324,324,324,324,324,324,324,324,
324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,353,1,
387,283,63,25,270,51,354,381,461,404,249,488,439,466,324,324,324,324,324,324,
324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,
324,324,324,70,138,393,240,104,375,324,324,324,324,324,324,324,324,324,324,324,
324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,
324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,
324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,
324,324,324,324,324,324,324,324,324, };
static unsigned short stb__arial_bold_50_latin_ext_t[560]={ 1,483,611,378,266,266,306,611,1,50,611,
585,611,611,611,306,378,551,517,343,483,517,343,551,343,343,551,551,585,611,585,
517,50,551,551,378,517,517,517,413,551,517,413,517,551,551,517,413,517,266,517,
413,517,448,517,483,483,483,517,1,378,50,611,611,611,585,413,585,413,551,517,
413,517,517,50,517,517,585,585,585,517,517,585,551,517,585,585,585,585,413,585,
50,50,1,611,551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,
551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,1,343,224,
413,585,483,1,50,611,413,611,611,611,611,413,611,611,551,611,611,611,448,94,
611,611,585,611,611,266,266,307,413,181,181,181,224,266,266,448,94,224,224,224,
266,181,224,224,266,483,224,94,138,94,181,224,611,266,138,138,138,181,224,483,
378,378,378,378,483,378,266,585,378,378,378,378,378,266,483,483,483,343,551,343,
343,343,483,343,585,551,343,343,343,343,50,94,50,266,448,224,343,50,306,138,
306,1,413,94,413,94,378,224,306,448,307,266,448,94,307,224,306,50,307,224,
413,1,50,138,1,138,50,1,1,138,224,448,448,224,551,266,551,94,448,1,
1,94,551,306,1,1,50,50,50,585,224,224,181,1,551,448,551,448,448,448,
181,448,50,343,181,448,448,378,378,224,483,1,306,138,306,343,551,181,448,1,
343,181,448,138,343,50,343,50,306,138,306,1,1,181,307,448,448,181,448,224,
483,94,413,94,307,181,378,1,306,94,483,94,50,266,181,483,266,483,181,483,
483,551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,343,551,551,50,
551,551,551,551,551,551,551,551,551,551,551,551,551,378,551,551,551,551,551,551,
551,551,551,551,551,551,551,551,378,585,551,551,551,551,551,551,551,551,551,551,
551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,181,413,
181,483,138,413,138,413,138,138,138,138,94,138,94,94,551,551,551,551,551,551,
551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,
551,551,551,1,1,94,306,1,266,551,551,551,551,551,551,551,551,551,551,551,
551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,
551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,
551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,
551,551,551,551,551,551,551,551,551, };
static unsigned short stb__arial_bold_50_latin_ext_a[560]={ 199,238,340,398,398,637,517,170,
238,238,279,418,199,238,199,199,398,398,398,398,398,398,398,398,
398,398,238,238,418,418,418,437,698,517,517,517,517,478,437,557,
517,199,398,517,437,597,517,557,478,557,517,478,437,517,478,676,
478,478,437,238,199,238,418,398,238,398,437,398,437,398,238,437,
437,199,199,398,199,637,437,437,437,437,279,398,238,437,398,557,
398,398,358,279,200,279,418,537,537,537,537,537,537,537,537,537,
537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,
537,537,537,537,537,537,537,537,199,238,398,398,398,398,200,398,
238,528,265,398,418,238,528,395,286,393,238,238,238,413,398,199,
238,238,262,398,597,597,597,437,517,517,517,517,517,517,716,517,
478,478,478,478,199,199,199,199,517,517,557,557,557,557,557,418,
557,517,517,517,517,478,478,437,398,398,398,398,398,398,637,398,
398,398,398,398,199,199,199,199,437,437,437,437,437,437,437,393,
437,437,437,437,437,398,437,398,517,398,517,398,517,398,517,398,
517,398,517,398,517,398,517,515,517,437,478,398,478,398,478,398,
478,398,478,398,557,437,557,437,557,437,557,437,517,437,517,437,
199,199,199,199,199,199,199,199,199,199,562,398,398,199,517,398,
398,437,199,437,199,437,276,437,343,437,199,517,437,517,437,517,
437,507,518,437,557,437,557,437,557,437,716,676,517,279,517,279,
517,279,478,398,478,398,478,398,478,398,437,238,437,343,437,238,
517,437,517,437,517,437,517,437,517,437,517,437,676,557,478,398,
478,437,358,437,358,437,358,199,537,537,537,537,537,537,537,537,
537,537,537,537,537,537,537,520,537,537,398,537,537,537,537,537,
537,537,537,537,537,537,537,537,611,509,537,537,537,537,537,537,
537,537,537,537,537,537,537,594,519,537,537,537,537,537,537,537,
537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,
537,537,537,537,537,517,398,199,199,557,437,517,437,517,437,517,
437,517,437,517,437,537,537,537,537,537,537,537,537,537,537,537,
537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,
537,537,517,398,716,637,557,437,537,537,537,537,537,537,537,537,
537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,
537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,
537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,
537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,
537,537,537,537,537,537,537,537, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_50_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_bold_50_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_50_latin_ext(stb_fontchar font[STB_FONT_arial_bold_50_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_50_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_bold_50_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_50_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_50_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_50_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_50_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_50_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_50_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_50_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_50_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_50_latin_ext_s[i] + stb__arial_bold_50_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_50_latin_ext_t[i] + stb__arial_bold_50_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_50_latin_ext_x[i];
            font[i].y0 = stb__arial_bold_50_latin_ext_y[i];
            font[i].x1 = stb__arial_bold_50_latin_ext_x[i] + stb__arial_bold_50_latin_ext_w[i];
            font[i].y1 = stb__arial_bold_50_latin_ext_y[i] + stb__arial_bold_50_latin_ext_h[i];
            font[i].advance_int = (stb__arial_bold_50_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_50_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_50_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_50_latin_ext_s[i] + stb__arial_bold_50_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_50_latin_ext_t[i] + stb__arial_bold_50_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_50_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_50_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_50_latin_ext_x[i] + stb__arial_bold_50_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_50_latin_ext_y[i] + stb__arial_bold_50_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_50_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_50_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_50_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_50_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_50_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_50_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_50_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_50_latin_ext_LINE_SPACING
#endif

