// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_28_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_28_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_28_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_28_latin_ext_BITMAP_HEIGHT        214
#define STB_FONT_consolas_28_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_28_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_28_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_28_latin_ext_LINE_SPACING          18

static unsigned int stb__consolas_28_latin_ext_pixels[]={
    0x00aa2551,0x80000001,0x00102cca,0x00002010,0x00006aa0,0x00079950,
    0x8801554c,0x2a20002a,0x82a6000a,0xdddd302a,0x035005dd,0x8802a800,
    0x0154c02a,0x550054c0,0x20055100,0x554401a8,0xbb00aaaa,0x3bba0059,
    0x64c03eee,0x000801ed,0x00000000,0x4000336e,0x00aa002a,0x66447990,
    0x70b76e03,0x75405ea8,0x20000005,0x95542aa9,0x40df56fa,0x4fa802fa,
    0x0ffea000,0x3ee005d8,0x001bf20e,0xfe83bfe6,0x3ea00004,0x3e60004f,
    0xff8800ef,0x7f4c003f,0xb800efff,0x260ff13f,0x03ffffff,0x8000fff4,
    0x3e204ffb,0x1bee03ff,0x20fff300,0x3e204ffc,0xffe803ff,0x3fffe601,
    0xfffd01ff,0xffff801d,0x3ff204ff,0xfed981ff,0x2201dfff,0xc98000fd,
    0x01cffffd,0x003fb7f2,0x7c00df30,0x43bf6007,0xf900efe8,0x5fb7dfff,
    0x3ee03fdc,0xfffff886,0x754004ff,0x7fec7fff,0x0df56fa8,0x3600ffe6,
    0xdf70002f,0x02ffc401,0x3fa1ffd8,0x3fe6000f,0x0004fe84,0x3b25ff50,
    0x13fe6000,0x7fe7fc40,0x37ff9003,0x8801dfb5,0x303ffeff,0x013333ff,
    0x001fffc4,0xf106ffd8,0x2e07ff9f,0x7fdc006f,0x06ffe81f,0x07ff9ff1,
    0x101fffc4,0x03ff9999,0x017ff262,0x09fb3333,0x206f7fea,0xfffffffc,
    0x03fe603f,0xfffff700,0xa7c0bfff,0x7d4002f9,0x00df1004,0x7f443bf2,
    0xfd8a7405,0x03fdc4ff,0x3ba21bee,0x003eeeee,0x1737ffe6,0x55beaffb,
    0x05ff986f,0x8000ff88,0xff7001a8,0x989b3009,0x3b62003e,0x0009fd02,
    0x37c42660,0x005ff300,0x7f44bfe2,0x4077dc03,0xfd9806fb,0x01fe603e,
    0x0003ff60,0x7c41ffd4,0x707fd12f,0xff9800df,0x109ff706,0x0ffa25ff,
    0x2000ffd8,0xfb801ff8,0x13f2000f,0xff7037ec,0x00d4c15b,0x6c001ff3,
    0xa989beff,0x2a37a05d,0x1fdc001f,0x9ffd9510,0x104cc037,0x2a200033,
    0x5c07fb80,0x4000006f,0x3f600efd,0x1beadf57,0x2e003ffa,0xffb8006f,
    0xffd800ef,0x20000001,0x13fa02b9,0x27d40000,0x00000000,0x6c01ff30,
    0x2600000f,0x0010007f,0x00001100,0x440037dc,0x0006600a,0x20004c00,
    0xf8801ff8,0x13f2001f,0xdff01ff4,0x07fcc000,0x004ffa80,0x017ffea0,
    0x7dc0bf20,0x3fffffff,0x00000000,0xdf701fee,0x7c400000,0xabfec03f,
    0xfb8df56f,0x4000002f,0x007f34f8,0x0000dff1,0x1bffee00,0x400027f4,
    0x2ffffec8,0x00000000,0xf500bf60,0x7cc00009,0x00000007,0x3ee00000,
    0x00000006,0x10000000,0x3fe003ff,0x413f2002,0x5ff101ff,0x77774400,
    0xeeeeeeff,0x0017fe21,0x98006a20,0x20beffdb,0xbfdbeffa,0x02f542ca,
    0x17aa17aa,0x1feebd50,0x2f54df70,0xf5017aa0,0x57fc801f,0xf89beadf,
    0x8000004f,0x007f34f8,0x3b60ffe6,0x80f74c04,0xd07f34f8,0x33bb267f,
    0xffffa801,0xed81efff,0x80f74c04,0xeeeefec8,0x01be21ee,0xec881be2,
    0x1eeeeeef,0x64400ff3,0xeeeeeefe,0x3bbbbae1,0x13b62eee,0x3ee3dd30,
    0xc89dd306,0x81dd103e,0xeeeeeeeb,0x3bbba22e,0x3e2001ee,0x05fd001f,
    0xff827e40,0x009ff101,0x7fffffc4,0x21ffffff,0x54001ffb,0x42f5405e,
    0xfffffffc,0x1fd97fe2,0xf701fee0,0xb80ff70d,0xb80ff76f,0x701fee6f,
    0x07fb80df,0x2df57fc8,0x01bf26fa,0x7777f644,0x3f201eee,0x32000eff,
    0x00ffc87f,0x2f881bf2,0x2affa13e,0x01ffffff,0x2a2bbfea,0x7e40ffff,
    0x41bf200f,0xfffefffb,0x8ff21fff,0xff2abcb8,0x3fbffee0,0xf31fffff,
    0x3ffee00f,0x1ffffffe,0x3ffffff2,0x03ff23ff,0x1bee6fc8,0xfd03bfe6,
    0x907fe209,0xffffffff,0x7ffffcc7,0x3fe2001f,0x005fd001,0x1ff827e4,
    0x800fffa0,0x99ffb999,0x37e41999,0x203fdc00,0x6ffec6fb,0xf32caffa,
    0x7007f45f,0x86fb80ff,0xb7dc07fb,0x37dc07fb,0x6fb80ff7,0x64037e40,
    0x3eadf57f,0x2e013fa6,0xffffefff,0x154c01ff,0x20ffcc00,0x3fe03ff9,
    0x7e5f7404,0xaefefe81,0x3a07fea9,0x7fefe46f,0xf01ffcc3,0x89ff309f,
    0x7fc1affc,0x9ffffd30,0x13fe61fa,0x7cc35ff9,0x44ff9807,0x4c41affc,
    0x3ff99999,0xff80ffe6,0xff31bee4,0x209fd01d,0x4cc41ff8,0x43ff9999,
    0x01ff9999,0x4007fe20,0x3f2002fe,0x4c03ff04,0x4002efff,0xfe800ff9,
    0x07fb8004,0x7ff537dc,0x3fe61be2,0xff701fe3,0xfb86fb80,0xfbb7dc07,
    0xf737dc07,0x406fb80f,0x6fc805fd,0x4dbeadf5,0x7fcc03ff,0x00d7fe44,
    0x000fbba2,0xdfd09ff1,0x3003fea0,0x3fa07ffd,0x17fcc0ef,0x3fa0ffd4,
    0x6fe86fe8,0xf901ff50,0xf113fa0d,0x7f4dff4d,0x6fc81fd2,0x7f989fd0,
    0xfd06fc80,0x43ff8009,0x1ff506fe,0xdff337dc,0x4413fa01,0x3fe001ff,
    0x007fe203,0x9001ff88,0x27e4007f,0x74403fc4,0x800cffff,0xff800ff9,
    0x7ffffcc3,0xf701fee6,0xbf32ff4d,0x3e2bffe0,0x203fdc06,0x07fb86fb,
    0x07fbb7dc,0x0ff737dc,0x66646fb8,0xcccceffc,0x6fab7e40,0x07feedf5,
    0x3fa0df90,0x6fffa804,0xa87fe800,0x06fd81ff,0x03bfa000,0x37ec27f4,
    0x43fd57e6,0x6fd81ffa,0x3f209fb0,0x6faa7d46,0x207ec7fa,0x8df904fd,
    0x4fd807f9,0xf800df90,0x40ffd43f,0x8b7dc6fd,0x3fa00eff,0x003ff104,
    0xff101ffc,0x0ffc4003,0x001ffa80,0x5fc889f9,0x3fff6a00,0x07fcc03f,
    0x3e61ffc0,0x3ee6ffff,0xff37dc07,0xf9827d45,0x5c05feff,0x437dc07f,
    0xb7dc07fb,0x37dc07fb,0x6fb80ff7,0x3fffffe2,0x5c0fffff,0x3ea7936f,
    0xfb00ff96,0x201bf209,0x000ffefd,0x4ff83fe4,0x73017fc4,0xd07ddfdb,
    0x42fe409f,0x89fdc4fe,0x44ff81ff,0x9fd02ff8,0x5f917f20,0xb0ff8ff2,
    0x904fe81f,0x807f98bf,0x0bf904fe,0xff83ff80,0x2e17fc44,0x00eff8ef,
    0xff8827f4,0x80ffe001,0x22001ff8,0x3aa001ff,0x3f200eff,0x019ffd94,
    0x9fff9100,0x4007fcc0,0x37e404ff,0x6fb80ff7,0x1fdc3ff3,0x9ffffd30,
    0x701fee01,0x80ff70df,0x80ff76fb,0x01fee6fb,0xbaaa8df7,0x82aaacff,
    0x2df506fb,0x4fe806fd,0xf880bf90,0x4003ffaf,0x7fc80ffb,0xff007fd4,
    0x1dffffff,0xdf9027f4,0x0fd87ff0,0xff905ff1,0xf700ffa8,0x43ff881f,
    0x223fd1fc,0x3ee1fa7f,0x21ffc40f,0xffb807f9,0x001ffc40,0x1ff20ffe,
    0xefb81ff5,0x9fd007fe,0x8007fe20,0x3fe203ff,0x07fe2001,0x0fffc880,
    0x7fed3f20,0x7440002e,0x1ff301ff,0xc80bfb00,0x701fee6f,0xc8bfe6df,
    0xffea802f,0x07fb83ff,0x3fdc37dc,0x3fddbee0,0x7fb9bf20,0xf3037dc0,
    0x0df7003f,0x027f5bea,0x3e207fdc,0xdbfd403f,0x7fcc006f,0x362ff981,
    0x4ce7404f,0x3a4ffca8,0x11bf204f,0x237c45ff,0x2ff983ff,0xff8813f6,
    0x86ffbabf,0x261ff1fd,0x3e21fa6f,0x6ffbabff,0xf8807f98,0x6ffbabff,
    0x983ff800,0x213f62ff,0x04ffaefb,0xff104fe8,0x01ffc003,0x44003ff1,
    0xff3001ff,0x4fc80137,0x0013faa6,0x2607ff10,0x7fc800ff,0xff737e40,
    0xff16fb80,0xc800ff49,0x5c4fffdf,0x437dc07f,0xb7dc07fb,0x3fe00ffa,
    0xf701fee5,0x007fd40d,0x6fa82fdc,0xff100bfd,0x0dff757f,0x3fea9fb0,
    0x07fe6000,0x1ff8aff4,0xe9ff6000,0x113f604f,0x227d45ff,0x2bfd03ff,
    0x3e601ff8,0x0cffffff,0x27f88fe8,0x30df14fb,0x9fffffff,0x300ff301,
    0x9fffffff,0x07ff0001,0x0ffc57fa,0x3ffbb7dc,0xf8827f40,0x0ffe001f,
    0x2001ff88,0xf7001ff8,0x427e4009,0xf80007f9,0x01ff303f,0x6407ff50,
    0x701fee6f,0xff37fcdf,0x6c7f6001,0x01fee2ff,0x0ff70df7,0x7ff16fb8,
    0xfb8bfe60,0x7037dc07,0x13aa00ff,0x07fdb7d4,0xffffff98,0x7fc400cf,
    0x4007ff12,0xff700ffb,0x8000df71,0x09fd0ffa,0x1ffc1ff4,0x02ff83fb,
    0x0df71ff7,0xaaa8afe8,0x3e23fa00,0x1fcd3f27,0x555457f4,0x201fe600,
    0x0aaa8afe,0x40ffe000,0x06fb8ffb,0x17fe4df7,0x3e209fd0,0x0ffe001f,
    0x2001ff88,0xfb001ff8,0x827e4005,0x260001ff,0x7ff102ff,0x407ff600,
    0x01fee6fc,0x6ffdcdf7,0x3fa007f8,0x7fb93fe0,0x7dc37dc0,0xfb37dc07,
    0x47fe885f,0x37dc07fb,0x0000df90,0x07fe5bea,0x2aa2bfa0,0x8ff5000a,
    0x3f6006fd,0x3affe207,0x7cc0003f,0x2a09fd0f,0x24fe80ff,0x80ffc47f,
    0x03febff8,0xb0007fe2,0x3e23fa1f,0xf883fb4f,0x3fcc001f,0x0007fe20,
    0x2207ff00,0x703febff,0x02ffd8df,0x3fe209fd,0x80ffe001,0x22001ff8,
    0x5fd001ff,0xf827e400,0x2037301f,0x3e00efea,0x7cc042ef,0x37e41bff,
    0x6fb80ff7,0x3bfbffa2,0x1fe02eba,0x03fdc9ff,0x1fee1bee,0x7f44df70,
    0x1ffffeff,0x3ee03fdc,0x8017fa06,0x3ea9d50a,0x4405ff56,0x360001ff,
    0x007fdc5f,0x7e405ff8,0xb5000ffe,0x1fffffff,0xff5037fa,0x7cd7f607,
    0x9007fd45,0xf801ffdf,0x19aaabef,0x3bf23f90,0x05fdfede,0x35557dff,
    0x201fe603,0x9aaabeff,0x07ff0001,0x807ff7e4,0x7ff446fb,0xf104fe81,
    0x1ffc003f,0x4003ff10,0xfd001ff8,0x827e4005,0xfff701ff,0x1fffffff,
    0xeffffa80,0xffe981ff,0x26ffffff,0x37dc07fb,0x3fffff62,0x4df102ff,
    0x1fee2ffa,0xff70df90,0x6446fc80,0x80cffffe,0x37e407fb,0x3a007ff0,
    0xf56fa8ff,0xf013fe2d,0x335557df,0xf885ff00,0x2ff8803f,0x02fffcc0,
    0x7777ff44,0xffd0ffee,0x09fffddf,0x17e47fdc,0xff301bf6,0xfff700bf,
    0x87ffffff,0x1bfb12fc,0x7dc0bff5,0xffffffff,0x5c03fcc3,0xffffffff,
    0x1ffc003f,0x40bfff30,0xffe886fb,0xf8827f41,0x8ffe001f,0xfffffffc,
    0x3ff22fff,0xffffffff,0x4005fd02,0x03ff04fc,0x3fffffaa,0xd5000bef,
    0x403fffff,0xdfffffec,0xf901fee1,0x2fbf620d,0x2a6b2a0a,0x0effdadf,
    0xff803fea,0x200ffa84,0x3fe204ff,0x803fea01,0x5ff104ff,0x55fff100,
    0xfd9beadf,0x7fffdc06,0x503fffff,0x0dfd01ff,0xd001ff50,0xffb003ff,
    0x3a1ff303,0x2dffffff,0x7f67fcc0,0x200bfea0,0xfa801ffe,0xffeedccf,
    0x000fee4f,0x3733fea0,0x264fffee,0xcffa807f,0x4fffeedc,0xd00ffe00,
    0x37dc03ff,0x3a0fff98,0x03ff104f,0xff91ffc0,0xffffffff,0x7ffffe45,
    0xd02fffff,0x27e4005f,0x98801ff8,0x98800009,0x804cc000,0x3fe00ffa,
    0x5c0bf204,0xffffffff,0x1ffc40ef,0xf882ff98,0x05ff303f,0x3e201fec,
    0x05ff303f,0x6c003fee,0xf56fa8ff,0x5017fd4d,0xfddb99ff,0x0bfb09ff,
    0xe8803fee,0x0dfd004f,0x7cc0ffe0,0x0269fd0f,0x2bfffb00,0xd005ffa8,
    0x5ff300df,0xf89ffa20,0x7fcc0006,0x4cffd102,0x17fcc07f,0x1007fe88,
    0x6fe805ff,0x20000000,0xf1000ffa,0x77cc005f,0x7f400000,0x413f2002,
    0x2a2002ff,0x02a88002,0x4402a880,0x5ff303ff,0xc980fec0,0x1cefffed,
    0xd10bff60,0x17fec0df,0xf881bfa2,0x2ffd800f,0xe9837f44,0xa84c005f,
    0xfd8df56f,0x02ff980f,0xfff0ffd1,0xffffffff,0x007fe407,0x44017fdc,
    0x1ff902ff,0x880013fa,0xfffefffe,0x2ffb800d,0x5406fb80,0x007f60ff,
    0x5406fb80,0x80ff30ff,0x7fd406fb,0x01ffa800,0x1000bfee,0xf9000055,
    0x0ffd400f,0x8801fd00,0x3ff1002a,0xe827e400,0x1bea004f,0x001bea00,
    0x3f601bea,0x037f442f,0x7ec003fa,0xfffd1001,0x403ffffd,0xffefffe8,
    0x6ff401ff,0x3ffa200a,0x21ffffef,0x01fffeea,0x7d5bea00,0x5c37fc46,
    0x07fd406f,0xfffffff5,0x2a0bffff,0xff9803ff,0x317fe004,0x3fa1fffd,
    0xffe80004,0xf3003eff,0x3ff2009f,0xf51ff601,0x3f20001d,0x99ff601f,
    0x0ffe407f,0x3600ffb0,0x13fe606f,0x001bea00,0x400bfd10,0x3ea006fd,
    0x006fa806,0x64001ff7,0x00ffb04f,0x640027e4,0x4fc8004f,0xefffe880,
    0x7c01ffff,0x003fa007,0x9fffff90,0x3fff2001,0xea800cff,0xffc802ff,
    0x7d40cfff,0x40001eff,0x70df56fa,0x1ffc89ff,0xdfb1ff60,0x93333333,
    0x5ff881ff,0xdffb7510,0xeeffb800,0xd0ffbfff,0xf880009f,0xba88019e,
    0x2a006ffd,0xb99abeff,0xefd82ffd,0x409b330a,0x99abeffa,0x3e62ffdb,
    0x2a0aaaaf,0xb99abeff,0x33a62ffd,0x22fffcaa,0x06ffdba8,0x4009f900,
    0xfffcaac9,0x655674c0,0x26002fff,0x3f202bff,0x3ffaea04,0x6d555404,
    0x9fff304f,0x00ff4015,0x4000ff40,0x3f2001fe,0x400cffff,0x1fe006f8,
    0x00098800,0x40002620,0x26200098,0x0000c400,0x1beadf50,0xff50ffe4,
    0xfb73357d,0x403ff85f,0x77f42ff9,0x9ffff100,0xfff70001,0x743fe3bf,
    0x7d40004f,0x3ffe2004,0x7dc000cf,0xefffffff,0x3ffff202,0x7dc03fff,
    0xefffffff,0x7ffffcc2,0x7fffdc3f,0x4c2effff,0x2fffffff,0x067fffc4,
    0x001fe800,0x3fffffea,0xfffff982,0xfc8002ff,0x03fd00ff,0x006ffff4,
    0x13fffffe,0x01ffffa8,0x26400132,0x0004c800,0x54400131,0x00066001,
    0x00000000,0x00000000,0x56fa8000,0x227ec0df,0xfffffffb,0x07fd42ef,
    0xdf32ff40,0x0de64401,0x400c4000,0x6c0002cb,0x3322001f,0x2a20001b,
    0x002bcdcc,0x00579951,0x5e6e6544,0x99999102,0xb9951039,0x65cc0579,
    0xcc880acd,0x2640001b,0x3372e200,0x372e600a,0x4c0000ac,0x97013201,
    0x33320035,0x54402ccc,0x000000cb,0x00000000,0x00000000,0x00000000,
    0x00000000,0xdf500000,0x20701bea,0x2bcdcca8,0x3200dfb0,0x0006a0ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x00df56fa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x33c98000,0x00000079,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x77764000,0xeeeeeeee,0x641bb00e,
    0x8732201e,0xa98802cb,0x002001aa,0x2aaaa620,0x80665c01,0x3aa05ee9,
    0x19991004,0xee981f6c,0x1e64c003,0x5c0665c0,0x0cdeeeee,0x00ccc800,
    0x007ddd10,0x01c2ddb8,0x00019b70,0x23cc8000,0x3ba63cc8,0x5eeeeeee,
    0x1ec83760,0x07993000,0x55300000,0x013ae000,0xcc88664c,0xc8859101,
    0x03332002,0x300ccb80,0x27540bdd,0x00ccc880,0x00005995,0xd9100764,
    0x3a019bff,0xffffffff,0xf901ffff,0x500ff97b,0x80bfd7ff,0x7fffffc8,
    0x3fffb660,0xffb301df,0x409fffff,0xa81ffffd,0xbf702fff,0x81dfd100,
    0x6fe884fe,0x06ffcc00,0x07ffff60,0xfffffff9,0x3fa2009f,0xfa800eff,
    0x3f2006ff,0x2fdbefff,0x0fedfc80,0x3ff6e200,0x3f601cef,0x41dfd10e,
    0xfffffff9,0x37f206ff,0x30007fcb,0x3e201bff,0x04ffffff,0x00bfff50,
    0x001fff88,0x09fd7ff7,0xffb07fe4,0xfffe8801,0xfffd800e,0x2fffa81f,
    0xd100bf70,0xffc801df,0x6f880002,0x3ffffea0,0x99880eff,0x999ffc99,
    0x3ffa2019,0xff3002ff,0x9ffd009f,0x3f20b977,0x3fffffff,0xcfffffd8,
    0xbfb04fec,0xfa83ff71,0x0bf706ff,0xfd04fe88,0x001dfb09,0x6c01ffcc,
    0x21ffb8df,0xec999efc,0x7f4402ff,0xd801df94,0xd000ffef,0x13fff629,
    0x02f9a7c0,0xffffff50,0x3bf209ff,0xf30bfd10,0x3333335f,0x7fff4401,
    0xff98002f,0x77774403,0xfb803eee,0x000efdaf,0xa8003ffe,0x7d403fff,
    0x22037dc6,0x01df94fe,0x7fdc6fec,0x837ffd41,0x7f4405fb,0x0bfea004,
    0x209f5000,0xb98aeff9,0xfb800fff,0x13530007,0x80198800,0xf7000ffb,
    0x0d4c15bf,0x9ffffff2,0x419884fd,0x7ffd4098,0x405fb82f,0x13fa0098,
    0x88003ff7,0x41988009,0x217f2098,0x4c405ff8,0xf1004c40,0x0007ff5f,
    0xbd000544,0xf7003f51,0xb53137df,0x98826609,0x001ff301,0x0009a980,
    0x00003550,0x5c199300,0x06e2003c,0x40026200,0x13100100,0x33100988,
    0x7fd40988,0x05fb82ff,0x440004c4,0x3b220019,0xfd02ffff,0x00ffea0d,
    0x00001fee,0xfc800800,0x01bfe006,0xffffff88,0x04013f67,0x0df7df50,
    0x80200bf7,0x0bfea4fe,0x80000000,0x0ffb05fc,0xbfd40000,0x000006fd,
    0x02fffd40,0x0006ffc4,0x0ff98000,0x44000000,0x00aaaaaa,0x0d540000,
    0x00000000,0x00000000,0xefa80000,0x05fb86fc,0x20000000,0xfffffffa,
    0x00ffd41e,0xff700dfb,0xa80bd500,0xffdb305e,0xff703bff,0x05ff1003,
    0x7ffffd40,0x4c13f67f,0x1dffffed,0x0ffe3bea,0x3b660bf7,0x3a1dffff,
    0x007ff14f,0xefffdb88,0x77774c1c,0x3f25eeee,0x100df905,0x39dfffb7,
    0x7fd53f60,0xffd91000,0x5440019b,0x01ffb001,0x3ffb2200,0x1ff300cd,
    0x3fb22000,0x3e600cdf,0x001fffff,0x19bffd91,0x00027f40,0x3bfff6e2,
    0x3f6e201c,0x3aa1ceff,0x302f5405,0x39ffffb9,0x3aa02f54,0x3ff1df55,
    0x17aa5fb8,0x2f54bd50,0xff517aa0,0xffff515d,0x2a037ec1,0x3fdc01ff,
    0x2e03fdc0,0xffffc86f,0xe883ffff,0x7fc403ff,0x3ffee004,0x13f67fff,
    0x3ffffff2,0x65bea3ff,0x642fdc7f,0xffffffff,0x2ff53fa3,0x3fffea00,
    0x7cc4ffff,0x7fffffff,0x2ff417f2,0x3ffffea0,0xff884fff,0x5007ff12,
    0xdfffffff,0x7ddd1001,0x003ff880,0xffffff50,0x1ff301df,0xffff5000,
    0x2201dfff,0x01ffcccc,0xffffffa8,0x09fd00ef,0x7fffd400,0xf504ffff,
    0x9fffffff,0x3ee03fdc,0xfffff706,0x3fdcbfff,0xb7d5bee0,0x72fdc5fd,
    0x26fb80ff,0x37dc07fb,0xfbf91bfa,0x201ff47f,0x7dc02ff8,0x407fb807,
    0x6ffdc6fb,0x2e06a60a,0x201effff,0xf5003ffe,0x6cffffff,0x56ffdc4f,
    0x6fa86a60,0x2fdc7ff1,0x982b7fee,0x3f33fa1a,0x77fdc006,0x84da989b,
    0xfc999999,0xfb317f27,0x77fdc01f,0x84da989b,0x037ec7fa,0x262bbfea,
    0x5400fffb,0x7d406fff,0xffa8000f,0xfffb98ae,0x4cd7fcc0,0xfa809999,
    0xffb98aef,0x1ff8800f,0x4577fd40,0xe80fffb9,0xff70004f,0x9b53137d,
    0x137dff70,0x3fdc9b53,0x3f61bee0,0xda989bef,0xf701fee5,0x7fcdbead,
    0x7fb97ee1,0xff737dc0,0x3ea6fb80,0x7f47f41f,0x3e00ffe6,0x03fdc03f,
    0x3ee03fdc,0x20037fc6,0xfffbaffa,0x5dfff304,0xfffff880,0xff13f67f,
    0x737d400d,0xf17ee1ff,0x77f400df,0x3e2000ff,0x700000df,0x7fffe4ff,
    0x2201ffff,0x6c000dff,0x007fdc5f,0x3fea0dfd,0x7ff7ec03,0x001fee00,
    0xffa837f4,0x7ffffcc3,0xfe84ffff,0x007ff506,0xfe803ff1,0xd07ff506,
    0xff10009f,0x7fc4001b,0x0ff7000d,0x7fd46fb8,0x01fee004,0xe9beadf7,
    0xfb97ee5f,0xf737dc07,0x366fb80f,0xfaafcc6f,0xf005ff17,0x07fb809f,
    0x7dc07fb8,0x000bfe26,0x7fec49fd,0xfffe880e,0xfff900cf,0x127ecfff,
    0x7d4005ff,0x5fba7fc6,0xe800bfe2,0x2004ffdf,0x00000ffd,0xfffc9fee,
    0xfd804fff,0x2ff8000f,0xfa81ffc4,0x81bf601f,0x03ffaff8,0x2a001bf2,
    0x1bf601ff,0xdddddff3,0x1ffa87dd,0x2201bf60,0x3fea01ff,0x3a1bf601,
    0xffd8004f,0x07fec000,0xb80ff700,0x017fe26f,0xfb80ff70,0x7fd4df56,
    0x3fdcbf70,0x7fb9bee0,0x9fd37dc0,0x3ff13fb8,0xfd005ff3,0x807fb809,
    0x37dc07fb,0xf8009ff1,0x05ffa81f,0x0fffff6a,0xb3ffffec,0x027fc49f,
    0xffb8df50,0x3fe25fb8,0x2f3fa004,0xff8802ff,0x7dc00003,0x7dc57f27,
    0x0ffe203f,0x203fea00,0x0dfb06fe,0xf501ffa8,0xfd81bf6f,0x06fd8006,
    0xff30ffd4,0x037ec001,0xf1007fea,0x037ec03f,0x7fd07fea,0x2037bf6a,
    0x44003ff8,0x7dc003ff,0xf737dc07,0x7fb8003f,0x6fab7dc0,0x25fba7f4,
    0x37dc07fb,0x6fb80ff7,0x21fb0ffe,0x3ff8aff8,0x5c03ff80,0x07fb807f,
    0x3ffa37dc,0x413fe003,0x64401ffa,0xdb304fff,0x3a27ecff,0xdf5003ff,
    0x8bf79fd0,0xfd003ffe,0x5007ff69,0x800001ff,0x717f27fb,0x3fea01ff,
    0x05fd8000,0x9fd01ff7,0xb02ff880,0x403fea9f,0xfe8007fc,0x317fc404,
    0x7f4001ff,0x017fc404,0xfe807fe2,0x217fc404,0xffffcbfe,0x07fd41ff,
    0x003fea00,0xfb80ff70,0x2001bf26,0xb7dc07fb,0x47fdc6fa,0x01fee5fb,
    0x03fdcdf7,0x17fc5bee,0xf3ff8df1,0x2ff8807f,0x5c03fdc0,0x237dc07f,
    0x802efff9,0x7ff01ffc,0x07ffa200,0x4c4fd820,0x5402efff,0xfcffa86f,
    0x177ffcc5,0x7f453fa0,0x01fee00e,0xc9fee000,0x705fe85f,0x3fe000ff,
    0xffffffff,0x803ff83f,0x2ff883ff,0x3ee07ff1,0x1ffc000f,0xff31ffc0,
    0x01ffc001,0x3e201ffc,0x00ffe01f,0xfdfd0ffe,0x8bff715d,0xfb8007fb,
    0x07fb8007,0x09fd37dc,0xb80ff700,0xff0df56f,0x3fdcbf77,0x7fb9bee0,
    0xff8b7dc0,0x7ff13ea2,0xff5017fa,0x807fb803,0x37dc07fb,0x67ffff44,
    0x05ffd100,0x7c4007fd,0x27ec003f,0x67ffff44,0xfd06fa80,0xffd10bff,
    0x9fd019ff,0xf902ffcc,0xf700000d,0x7dc2fe4f,0x006fc81f,0xffffffa8,
    0x445fffff,0x4ff802ff,0x37ec7fa8,0x2002ffa8,0xff802ff8,0x4003fe64,
    0xff802ff8,0x80ffc404,0xff802ff8,0x206fff44,0x037e47fc,0x40037e40,
    0x37dc07fb,0xfff987ff,0x01fee6ff,0x21beadf7,0x2e5fbefb,0x737dc07f,
    0x26fb80ff,0xf07f63ff,0x803ff25f,0x7fb806fd,0x5c07fb80,0x3ff6a06f,
    0xffd103ff,0x003fea1b,0xd8007ff0,0x3ff6a04f,0x837d43ff,0x2a05fffa,
    0x743ffffd,0x81ffd44f,0x800006fd,0x417f27fb,0x06fd84ff,0x999efd80,
    0x0ffc9999,0x3e00bfe2,0x5c5fd84f,0x0dff00ff,0x4017fc40,0x03fe64ff,
    0x4017fc40,0x7fc404ff,0x005ff101,0x0efe89ff,0x3f60ffa8,0x06fd8006,
    0x5c07fb80,0xf30ffe6f,0x7dcdffff,0xfab7dc07,0x5feff886,0xdf701fee,
    0x3ee03fdc,0x47f93fa6,0x9ff31ff8,0x200bfea0,0x7fb807fb,0x44037dc0,
    0x3204fffc,0x03ffcfff,0x0017fcc0,0x322013f6,0x1bea4fff,0x8805ffe8,
    0x3fa4fffc,0xc82ffc84,0xb800007f,0x5c17f27f,0x03fe40ff,0x2601ffc0,
    0x0bfe22ff,0x3fe0bfe0,0xc81ffc42,0xff1004ff,0x4c5ff005,0xff1000ff,
    0x805ff005,0xff101ff8,0xe85ff005,0x43ff104f,0xfc8007fc,0x07fb8007,
    0x09ff37dc,0x1fee6fc8,0x1beadf70,0xf72fffe4,0x2e6fb80f,0xb37dc07f,
    0xf517e6bf,0x8e7fec1f,0x7006ffb8,0x0ff700ff,0x22006fb8,0x36601ffe,
    0x0dcc3fff,0x000efea8,0xd10027ec,0x81bea3ff,0x22005ffa,0x09fd1ffe,
    0xff703ffa,0xfb800001,0x7c417f27,0x007fdc4f,0xd001ff50,0x403ff8bf,
    0x7fd41ff8,0xd106fe80,0x26213bff,0x100ffe3c,0x7ffcc3ff,0x46ffffff,
    0x7fc403ff,0x00ffc401,0xff8807ff,0xf8827f41,0x003fee1f,0x8001ff70,
    0x37dc07fb,0x6fc80bfb,0xdf701fee,0x7fc41bea,0x701fee5f,0x203fdcdf,
    0x23fee6fb,0x437ec2fc,0xfffffffd,0x0ff7000d,0xfc80ff70,0x1ffc4006,
    0x2e2ffdc0,0xffffffff,0xfe8000ef,0x9ffc4004,0x2ff406fa,0x74ffe200,
    0x8dff104f,0x00002ffa,0x0bf93fdc,0xff507fe4,0x037ec005,0x3fa0ffc8,
    0x207fd405,0x1ff705fd,0x3ffffa20,0x3fa4ffff,0x307fd405,0xffffffff,
    0x405fe8df,0x7c400ffa,0x017fa01f,0x4fe81ff5,0x7d43ff10,0x7fd4002f,
    0x03fdc002,0x07fc9bf2,0x0ff737e4,0x0df56fc8,0xff72ffe4,0x3ee6fc80,
    0xf337e407,0x7d41fd9f,0xfffd702f,0x4000007d,0x3fe00ffa,0x03ff8004,
    0x7541ff70,0xbdffffff,0x2ff88000,0x003ff800,0x7c0027ec,0xf880003f,
    0x6c00006f,0xf100006f,0x400000df,0x07fe41fe,0xfff0dfb0,0xffffffff,
    0xfffea807,0x3ff21cdf,0x001bf600,0x0ffc87f9,0x2201bf60,0x3ff201ff,
    0x3a1bf600,0x43ff104f,0x44006ff8,0x7d4006ff,0xa93fe00f,0x9bf203ff,
    0x3fe00ffa,0xffa80004,0xfa93fe00,0xb13fe00f,0x3ea2bfff,0x06fc805f,
    0x10055100,0x3fe607ff,0x17fcc002,0x2207fb80,0x01003fe9,0x30007fea,
    0x7c4005ff,0x7fcc003f,0x20055102,0x00003ffb,0x54409ff1,0x07ff7002,
    0x07f90000,0x3ea09ff1,0x7fffd42f,0x5fffffff,0x201ff880,0xff504ff8,
    0x42fd4005,0xff504ff8,0x03ff1005,0xfa827fc4,0x104fe82f,0x3ffb83ff,
    0x01ffdc00,0x2607ff10,0x0ffec2ff,0x3fe26fc8,0x405ff303,0x7fc402a8,
    0x445ff303,0x5ff303ff,0xfefffe88,0xf9800dff,0x6fa8001f,0x885ffb00,
    0x80dcc6fe,0x0260efea,0xf00bff31,0x17f3003f,0x7317fae2,0x03bfaa03,
    0x261ffa80,0x1dfd501b,0xf801bea0,0x93109dff,0xb509db87,0x37d403ff,
    0x13bfff00,0x2000f262,0x9ffb01ff,0x21bfea21,0x99999efd,0x400ffc99,
    0xffd806fa,0x0dff510c,0xfb02fd80,0x3fea219f,0x03ff1006,0x510cffd8,
    0x13fa0dff,0x7fc0ffc4,0x793109df,0x213bfff0,0x7fec3c98,0x4c37f442,
    0x7e41bfff,0x2217fec6,0x37d406fe,0x2217fec0,0x2ffd86fe,0xfd037f44,
    0x8007dfff,0x5c99cffe,0x88027e40,0xfffefffe,0x7fffdc1f,0x40ffffff,
    0xfffeeffc,0x03fcc00e,0xffffffc8,0x7ffdc0ff,0x0fffffff,0x8bffd500,
    0xfffffffb,0x3f200fff,0x3ff62004,0x44ffffff,0xfffffffb,0x0027e403,
    0xffffffb1,0xfd0009ff,0xfffb015b,0xf01bffff,0x2ff9807f,0xd8027e40,
    0xdfffffff,0x5f7e4000,0xfffffd81,0xf1000dff,0xfffb003f,0x201bffff,
    0x3ff104fe,0xfffffb10,0xfb109fff,0x9fffffff,0xfefffe88,0xfd301fff,
    0xdfffffff,0xfefffe88,0x7e401fff,0xfffe8804,0x881ffffe,0xfffefffe,
    0x33df101f,0x7ffcc000,0x3a00ffff,0x7fe4001f,0xea80cfff,0xbeffffff,
    0xfffffb80,0x4fb800be,0x3fff6a00,0xffea80ce,0x00beffff,0x5037ff60,
    0xdffffffd,0x01fe8017,0xffffeb80,0x7fec41bd,0xfe801dff,0xffeb8001,
    0x8001bdff,0xd703ffe9,0x2a07dfff,0x5fe800ff,0x7000ff40,0x007dfffd,
    0x413ffa20,0x03efffeb,0x7fffffe4,0xd702ffff,0xe807dfff,0x03ff104f,
    0x6fffff5c,0x3ffae01b,0xf901bdff,0x0019ffff,0xbfffffd9,0x3ffff203,
    0x1fe800cf,0x3ffff200,0x7fe400cf,0x2a00cfff,0x7100004f,0xc8017bdb,
    0x02620004,0x00099880,0x00000662,0x31000200,0x5dc00013,0x00998802,
    0x40002640,0x00220008,0x10000990,0x4c400001,0xfd801800,0x01ff9006,
    0x000c0000,0x30013100,0x7fffe400,0x02ffffff,0x13fa0018,0x8800ffc4,
    0x00110000,0x20000988,0x26200099,0x00264000,0x88000988,0x03fb0009,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xeeeeeeb8,0x0fb26eee,
    0x00b32a00,0x06664400,0x000ccb80,0x003b62f4,0x6440275c,0x22016442,
    0x00b2e1cc,0x00333220,0x200ccc88,0x501c2ddb,0x2e000599,0x32a000cc,
    0x5910002c,0x97002c88,0x5ea80019,0x00ccb800,0x80059950,0x0b2e1cc8,
    0x0f641bb0,0x000ccb80,0x10b22000,0x16edc059,0x9991000e,0x33322001,
    0xccc88000,0x00ccb800,0x000665c0,0x02c88591,0x81999100,0x7fe40dfa,
    0x7fffffff,0x640013fa,0x440002ff,0xfb000efe,0x74003fff,0x006fcadf,
    0xc803fff1,0x03ff60ff,0xbfd7ff50,0x1dfd1000,0x077f4400,0x7dffff90,
    0x7fe405fb,0x7ffec002,0x3ff2001f,0x0ffc8002,0xfb003ff6,0x7c003fff,
    0x3f6002ff,0xf9001fff,0xffa8005f,0xfc805feb,0xb007fcbd,0x4403ffff,
    0x4fffffff,0xfd83ff20,0xffffc80f,0x1002fdbe,0x22001dfd,0x88000efe,
    0xfd800efe,0xfb001fff,0x32003fff,0x03ff60ff,0x01dfd100,0x99887fff,
    0x1999ffc9,0xa80013fa,0xd10002ff,0x6fec009f,0x1001ffb8,0x003dfffd,
    0x2a007ffc,0x8037dc6f,0x8004fff9,0x44004fe8,0x14e804fe,0x5009fffb,
    0x3f6005ff,0x001ffb8d,0x5000bfea,0x406fb8df,0x1ffb8dfd,0x003ffd00,
    0x3fee37f6,0x05ff5001,0x04fff980,0x5ffffd10,0xf71bfb00,0x3bba203f,
    0x2a03eeee,0xe837dc6f,0x09fffb14,0x8013fa20,0x10004fe8,0x3f6009fd,
    0x401ffb8d,0x1ffb8dfd,0x7dc6fa80,0x27f44006,0xb805ffd0,0x013fa07f,
    0x00033100,0x98800262,0x20004c41,0xb88001a9,0x00201001,0x20003310,
    0x98800098,0x02a20000,0x88019880,0x0004c419,0x02000662,0x10662004,
    0x06e20013,0x2620cc40,0x00662000,0x20006620,0x988009a9,0x00004c41,
    0x80010080,0x262000a8,0x004c4000,0x20013100,0x004c4198,0x00988331,
    0x20002010,0x1e440098,0xfd03fdc0,0x00000009,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7dc00000,0x0013fa07,0x66fff644,0xffec8800,0xec8800cd,0x3000cdff,
    0x39ffffb9,0x7ffee4c0,0xfd9101cf,0x3b2019bf,0xeeeeeeee,0x3ba60eee,
    0xd713aa05,0xdddddddd,0x205ee98d,0x7774c4ea,0x05eeeeee,0x000fbba2,
    0x400fbba2,0xeeeeeeeb,0xeeeb86ee,0x86eeeeee,0xeeeeeeeb,0x017a66ee,
    0x3bae2754,0x6eeeeeee,0xd502f74c,0xeeeeeb89,0xe986eeee,0xeeeeeeee,
    0x777775c5,0xe986eeee,0xeeeeeeee,0x777775c5,0xe986eeee,0xeeeeeeee,
    0x7001dd95,0x07d901dd,0x2a02f540,0x001dd95e,0x3bb21dd7,0x20eeb800,
    0xeeeeeee9,0x2a23eeee,0x207fb802,0xfa8004fe,0x0effffff,0x3ffffea0,
    0x3ea00eff,0x0effffff,0x7ffffdc0,0xff705fff,0x0bffffff,0xfffffff5,
    0xffffd01d,0xffffffff,0x817ffd43,0x7ffe45fb,0x47ffffff,0xf702fffa,
    0xfffff98b,0x2a06ffff,0xa8006fff,0xf9006fff,0xffffffff,0xfffff90f,
    0xf90fffff,0xffffffff,0xb803fccf,0x7fffe45f,0x547fffff,0xbf702fff,
    0xffffffc8,0xff987fff,0x6fffffff,0x7fffffe4,0xff987fff,0x6fffffff,
    0x7fffffe4,0xff987fff,0x6fffffff,0xf880bff3,0x009fd04f,0x3ee03fdc,
    0x880bff36,0x17fe64ff,0xf989ff10,0xffffffff,0x017ea4ff,0x4fe81fee,
    0x577fd400,0x80fffb98,0xb98aeffa,0xffa80fff,0xfffb98ae,0x37dffb00,
    0xfb0bb531,0xb53137df,0x8aeffa8b,0x440fffb9,0x9ffc9999,0x7fd41999,
    0x88bf706f,0x99ffc999,0x37ffd419,0x7fcc5fb8,0x0999999a,0x03ffbf60,
    0x1ffdfb00,0xf9333100,0x3103333f,0x333ff933,0xf9333103,0x7cc3333f,
    0x889f7007,0x99ffc999,0x37ffd419,0x4cc45fb8,0x1999ffc9,0x999aff98,
    0x4cc40999,0x1999ffc9,0x999aff98,0x4cc40999,0x1999ffc9,0x999aff98,
    0x3ff20999,0x403ff201,0x3ee004fe,0xf937dc07,0x07fe403f,0xfc807ff2,
    0x5555440f,0x2ffdaaaa,0x3ee01bea,0x0013fa07,0x3fea0dfd,0xf506fe83,
    0x20dfd07f,0xffa83ffa,0x27fd4004,0x541bfa00,0x7fb803ff,0x2ffffa80,
    0x7dc05fb8,0x7fffd407,0x7cc5fb82,0xff88000f,0x22003ffa,0x003ffaff,
    0xb8007fb8,0x7fb8007f,0x2003fe20,0x3fdc04fc,0x0bfffea0,0xff7017ee,
    0x001ff300,0x4c03fdc0,0x2e0000ff,0x0ff9807f,0x20bff100,0x3fa03ff8,
    0x01fee004,0x2ffc4df7,0xf883ff88,0x07ff105f,0xa8bff100,0x07fb806f,
    0xfa8013fa,0x51bf601f,0x37ec03ff,0xfd807fea,0x002ffc46,0x50017fe2,
    0x37ec03ff,0x5403fdc0,0xfb86fcef,0x203fdc05,0xb86fcefa,0x007fcc5f,
    0x6fdbfd40,0x7edfea00,0x07fb8006,0x8007fb80,0x3fe207fb,0x403fc800,
    0x77d407fb,0x05fb86fc,0x7cc03fdc,0x3ee0000f,0x00ff9807,0x201fee00,
    0x2e000ff9,0x06fd81ff,0xf70027f4,0x5c6fb80f,0x06fd81ff,0x3f607fee,
    0x1ffb0006,0xfb806fb8,0x8013fa07,0x7fd406fd,0xf501bf61,0x2037ec3f,
    0x3fee1ffa,0x0ffdc001,0x501bf600,0x7fb803ff,0xff8efa80,0x2e02fdc1,
    0x477d407f,0x22fdc1ff,0xd8000ff9,0x001ff54f,0x07fd53f6,0x001fee00,
    0x2e001fee,0x00ffc07f,0x3ee01fec,0x7c77d407,0x202fdc1f,0xff9807fb,
    0x1fee0000,0x0003fe60,0xf9807fb8,0x37fc000f,0xfd00bfe6,0x03fdc009,
    0x1bfe1bee,0xff805ff3,0x0017fcc6,0x7dc17fd4,0x207fb806,0x3fa004fe,
    0xd17fc404,0x2ff8809f,0xff1013fa,0x40037e45,0xfe8006fc,0x017fc404,
    0x3ea01fee,0x5fb8bfb6,0x2a03fdc0,0xfb8bfb6f,0x0007fcc5,0x7fc4bfe2,
    0x12ff8803,0xfb8007ff,0x07fb8007,0x7c07fb80,0xfb0fa61f,0x407fb805,
    0xb8bfb6fa,0x03fdc05f,0x00007fcc,0xff300ff7,0x3fdc0001,0x0007fcc0,
    0x6fd8bfea,0x2004fe80,0x37dc07fb,0xdfb17fd4,0x6c5ff500,0xff88006f,
    0x700ff705,0x027f40ff,0xff007ff0,0x7c01ffc7,0x200ffe3f,0x013fa3ff,
    0x20013fa0,0x3ff803ff,0x5403fdc0,0x5c3ff36f,0x03fdc05f,0x0ffcdbea,
    0xaff98bf7,0x80999999,0x037ec7fa,0x1bf63fd4,0x000ff700,0xf7000ff7,
    0x321fe80f,0x200fec7f,0xb7d407fb,0x17ee1ff9,0xf300ff70,0x3333335f,
    0x807fb801,0x9999aff9,0x3fdc0099,0x4cd7fcc0,0xfd009999,0x2007fe6d,
    0x3ee004fe,0xaaaaaaaf,0x2dfd06fd,0xfd001ff9,0x0007fe6d,0x7dc03ff6,
    0x207fb807,0xff1004fe,0x229ff005,0x4ff802ff,0xff005ff1,0x3e61ffc9,
    0x3fe6ffff,0x7ffffcc3,0xf005ff16,0x07fb809f,0x97fa6fa8,0x3fdc05fb,
    0x5fe9bea0,0xfff317ee,0x09ffffff,0x0ffb8bfb,0x3ee2fec0,0x1fee000f,
    0x001fee00,0x5fd01fee,0x3fd17ff4,0x5407fb80,0xfb97fa6f,0x403fdc05,
    0xfffffff9,0x3fdc04ff,0x7ffffcc0,0x5c04ffff,0xfff9807f,0x04ffffff,
    0x0bfb5ff3,0xb8013fa0,0xffffffff,0xff306fff,0x4c00bfb5,0x005fdaff,
    0x2e02ffa8,0x07fb807f,0x7c4013fa,0x14ff802f,0x9ff005ff,0x3e00bfe2,
    0xf30ffe4f,0x7fcdffff,0x7ffffcc3,0xf005ff16,0x07fb809f,0x3fea6fa8,
    0xfb80bf70,0xf537d407,0xf317ee1f,0xdddddddf,0xf885ff07,0x217fc03f,
    0x2e003ff8,0x7fb8007f,0x407fb800,0x9fff32fd,0x3ee007f4,0xf537d407,
    0x7017ee1f,0xdff300ff,0x07dddddd,0xf9807fb8,0xeeeeeeef,0x403fdc03,
    0xeeeeeff9,0x3ff603ee,0x9fd000ff,0x777fdc00,0x6feeeeee,0x03ffff60,
    0x1ffffb00,0x05ff8800,0x7dc03fe4,0x4013fa07,0xff802ff8,0xf005ff12,
    0x00bfe25f,0x04ff8bfe,0x09ff37e4,0x5ff16fc8,0xb805ff00,0x46fa807f,
    0x80bf74fe,0x37d407fb,0x22fdd3fa,0x2a000ff9,0x06fe80ff,0x3fa03fea,
    0x01fee006,0x2001fee0,0x9fe407fb,0x3fe7fbfc,0x203fdc00,0xba7f46fa,
    0x03fdc05f,0x00007fcc,0xff300ff7,0x3fdc0001,0x0007fcc0,0x004fff88,
    0xfb8013fa,0x1037dc07,0x10009fff,0xb0009fff,0x7fc801ff,0xffffffc8,
    0x3ffa7fff,0x3fffffff,0xff100ffe,0x2201ffc3,0x00ffe1ff,0x2fec3ff1,
    0x5fd9bf20,0x7ff37e40,0x401ff880,0x6fa807fb,0x2fdc7fdc,0xf501fee0,
    0xfb8ffb8d,0x0007fcc5,0x3fee0bfb,0x2e0bfb00,0xff7000ff,0x00ff7000,
    0xfc80ff70,0x7cbfafd3,0x407fb807,0x47fdc6fa,0x3fdc05fb,0x0007fcc0,
    0xf300ff70,0x7dc0001f,0x00ff9807,0x003ff200,0x2e004fe8,0x037dc07f,
    0x40003ff2,0x54000ffc,0xffc802ff,0x7ffffe40,0x3fa7ffff,0xffffffff,
    0xf5017fa3,0x202ff41f,0x17fa0ffa,0x7e41ff50,0xf937e407,0x3a6fc80f,
    0x07fd405f,0x2a01fee0,0xfbbff86f,0x203fdc05,0xbbff86fa,0x007fcc5f,
    0xfffffff0,0x3e07ffff,0xffffffff,0xff7003ff,0x00ff7000,0xfb80ff70,
    0x2bf75f9c,0x07fb807f,0x5ffc37d4,0x3fdc05fb,0x0007fcc0,0xf300ff70,
    0x7dc0001f,0x00ff9807,0x001fee00,0x7dc009fd,0x2037dc07,0x2e0007fb,
    0x7fc4007f,0x01ff9005,0x0004fb80,0xfb007fe4,0x200ffc8d,0x07fe46fd,
    0xffa8dfb0,0xfa9bf203,0xc9bf203f,0x1bf600ff,0x2a01fee0,0xfbefb86f,
    0x203fdc05,0xbefb86fa,0x007fcc5f,0xffffffa8,0xa85fffff,0xffffffff,
    0xf7005fff,0x0ff7000f,0xb80ff700,0xff12fbdf,0xff700ff3,0xfb86fa80,
    0x7dc05fbe,0x00ff9807,0x201fee00,0x20000ff9,0xff9807fb,0x1fee0000,
    0x4009fd00,0x37dc07fb,0x8001fee0,0x7e4007fb,0x1ff9000f,0x1037cc00,
    0x4ff88055,0xf885ff50,0x85ff504f,0xff504ff8,0x203ffb05,0x0ffec6fc,
    0x3fe26fc8,0x005ff504,0xdf500ff7,0x0bfdff10,0x7d407fb8,0x5feff886,
    0xd8007fcc,0x999999ef,0x7ec0ffc9,0x9999999e,0xfb800ffc,0x07fb8007,
    0x5407fb80,0x3fa0fedf,0x7fb806fc,0x7c437d40,0x7dc05fef,0x00ff9807,
    0x201fee00,0x20000ff9,0xff9807fb,0x1fee0000,0x4009fd00,0x37dc07fb,
    0x8001fee0,0x3ea007fb,0x332a002f,0x813f2000,0xffd806fa,0x0dff510c,
    0x54433ff6,0x9ffb06ff,0x41bfea21,0x641bfff9,0x5fffcc6f,0x3f637e41,
    0xdff510cf,0x201fee00,0xfff906fa,0x407fb80b,0xfff906fa,0x000ff98b,
    0xff9807ff,0x2601ffc2,0x7fb802ff,0x007fb800,0x7d407fb8,0x7f7dc5ff,
    0x407fb806,0xfff906fa,0x807fb80b,0x20000ff9,0xff9807fb,0x1fee0000,
    0x0003fe60,0x74007fb8,0x1fee004f,0xfb80df70,0x1fee0007,0x4cf7f440,
    0x00999999,0x2befb800,0xfb004fc8,0x1bffffff,0x7ffffec0,0x3f600dff,
    0x0dffffff,0x3ffffa60,0xe986ffff,0xffffffff,0xfffffd86,0xf7000dff,
    0x20df500f,0x7e45fff8,0xffffffff,0xf8837d47,0x7ffcc5ff,0x56ffffff,
    0xbfd001ff,0x74007fd4,0xffffc85f,0xc87fffff,0xffffffff,0xffffc87f,
    0x4c7fffff,0x7fc42fff,0xffffc85f,0x547fffff,0xbfff106f,0xffffffc8,
    0xff987fff,0x6fffffff,0x7fffffe4,0xff987fff,0x6fffffff,0x7fffffe4,
    0xff987fff,0x6fffffff,0x2003fdc0,0xfffffffe,0x01fee3ff,0x7fb80df7,
    0x01fee000,0x7fffffdc,0x006fffff,0x85ffd880,0x3ae001fe,0x7003efff,
    0x007dfffd,0x0fbfffae,0xffffec80,0x3fb201df,0x701dffff,0x007dfffd,
    0xfa807fb8,0x917ff206,0xffffffff,0x206fa8ff,0x7fcc5ffc,0x6fffffff,
    0x3f200dfb,0x200dfb0f,0x7fe40ffc,0x7fffffff,0xffffffc8,0xffc87fff,
    0x7fffffff,0x6c07ffcc,0xfffc84ff,0x47ffffff,0x3ff206fa,0x7ffffe45,
    0xf987ffff,0xffffffff,0x7ffffe46,0xf987ffff,0xffffffff,0x7ffffe46,
    0xf987ffff,0xffffffff,0x003fdc06,0x3ffffffa,0x1fee3fff,0xfb80df70,
    0x1fee0007,0x7ffffdc0,0x06ffffff,0x20262000,0x0060004c,0x18000300,
    0x00998000,0x40009980,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2c880000,0x2a001644,0x65c0005e,0x0e64402c,0xc8800597,0x2a0000cc,
    0x21cc880a,0xc98002cb,0x16edc03c,0x5530000e,0x02f54003,0x1bb00000,
    0x1bb00f64,0x00000f64,0xcc98f2e0,0x0001a980,0x0cc98f2e,0x000ae600,
    0x00000000,0x26000018,0x1550002b,0xa9855300,0x05554001,0x80aa0a98,
    0x00002aa9,0x2a600aa6,0xaa880aa0,0x080aa201,0x037ee010,0xffb07fe4,
    0x17ffc001,0x03ffb800,0xbfd7ff50,0x0efe8800,0x81bea000,0x05febffa,
    0x00dff980,0x2fbffff2,0xf50002fd,0x7fc001bf,0x7ffc402f,0x9004ffff,
    0x80ff97bf,0x07fcbdfc,0xffffff10,0x6fec409f,0xdf701ffb,0x6fec4000,
    0x2e001ffb,0x80006fff,0x007fb0aa,0x361ff880,0xfb80006f,0x7dc006ff,
    0x7f4400ef,0x4001df74,0x3ee03ffc,0xfb80ff13,0xf700004f,0x227f700d,
    0xffff307f,0x5c13f60b,0x31bf20ef,0x3ea09fff,0x20037dc6,0xb8001ffe,
    0x7cc001ef,0x744004ff,0xfe80004f,0x27ffcc03,0x01ffcc00,0xfffd8a74,
    0x7ff50004,0x03ffd000,0xeeeeee88,0xffd1003e,0xfe8805ff,0xd1002fff,
    0x07dddddd,0x403dffb0,0x40001ff8,0x2001effd,0x007f34f8,0xff8bff80,
    0x37d40000,0x80007ffa,0x007f34f8,0x03bf3bee,0x1dfdfd10,0x00ffe400,
    0x0fffbfe2,0x0013fe60,0x3ffb3326,0xdff101cc,0x2ffa07ff,0x37d42fea,
    0x7f43ffb0,0x17ffea0f,0x10001008,0x26600037,0x03310000,0x00013100,
    0x1001ff30,0x26200033,0x02a20000,0x44ffd400,0x06e2003c,0x26000000,
    0x2a60009a,0x00000009,0xfc800998,0x09980004,0x9f17c400,0xabff8000,
    0x1fb1005f,0x7fcc3fc8,0x8be20001,0x0dfb804f,0xe8801df5,0x3f2000ef,
    0xdfb3000d,0x27ec4007,0x3fffee00,0x2602ffff,0xbf303efd,0x3fd12fdc,
    0x3a626cc0,0x001ffd83,0x00000000,0x00000000,0x27e40000,0x00000000,
    0x50000000,0x0000009f,0x00000000,0x00000000,0x007fcc00,0xdd000000,
    0x80003f97,0x002fcbff,0x0ff81ff3,0x40000ff8,0x001fcbee,0x00000000,
    0x00000000,0x36aaa600,0x0000aaef,0x97e63fb8,0x000004fc,0x3bba2003,
    0xeeee9803,0x3eeeeeee,0xdeeeeeb8,0x3bba600c,0xeeeeeeee,0x0fbba203,
    0x01ff8800,0xddddddd3,0xdd500bdd,0x407ddddd,0x0003eee8,0xe9807f60,
    0xeeeeeeee,0x0fbba205,0x777774c0,0x2205eeee,0xd3003eee,0xdddddddd,
    0xddddd70b,0x3fd8019b,0x3bbbaa00,0x4c002bce,0x80003ffe,0xf98003ff,
    0x4fc8800f,0xffe98000,0x00000003,0x00000000,0x5c000000,0x5400006f,
    0x7cd7ea5f,0x0000000e,0x037ffd40,0x7fffffcc,0xc84fffff,0xffffffff,
    0xfffff304,0x09ffffff,0x0037ffd4,0x7cc0bf70,0xffffffff,0xffffe806,
    0x3ea04fff,0x910006ff,0x980fffdb,0xffffffff,0x3ffea06f,0xffff3006,
    0x40dfffff,0x3006fffa,0xffffffff,0xffff90df,0x5409ffff,0x3fee006f,
    0x1effffff,0x20000000,0xf98003ff,0x04ff800f,0x50000000,0x8059ddd9,
    0x02ceeeca,0x16777654,0xee881f64,0x37bb6e00,0xdeecb802,0x6dcc06fe,
    0xf883eefe,0xfd2fe8af,0xfdb73005,0xb00007dd,0x8801ffdf,0xaaaaaaaa,
    0xefc82ffd,0x2ffec999,0xaaaaaa88,0x202ffdaa,0x000ffefd,0x7cc05fd0,
    0x999999af,0x7ff7cc00,0x3fbf6001,0x7fd4000f,0x205fffff,0x9999aff9,
    0x3bf60099,0xff9800ff,0x0999999a,0x03ffbf60,0x266bfe60,0xfc809999,
    0xffec999e,0x400bfe02,0xca999ffb,0x7d902fff,0x9803ba20,0x3ffceedb,
    0xfeeee880,0x1eeeeeef,0x2600002a,0x03eefedb,0xfffffe98,0xfffd306f,
    0x3a60dfff,0x86ffffff,0x3ff104fe,0xfffffd10,0xffd301bf,0x80dfffff,
    0xffffffff,0x7fffdc0e,0x3e00bf95,0xefffffff,0x5ff10000,0x880007ff,
    0x0bf905ff,0x1000bff1,0x7fc40bff,0xa8003ffa,0x07fcc06f,0xff5f9000,
    0x2bfe2003,0x3e6003ff,0xbfffb1df,0x0003fe60,0x0ffebfe2,0x0003fe60,
    0x0ffebfe2,0x0003fe60,0xbff10bf9,0xb802fdc0,0x1ffd107f,0x3e209fd0,
    0xffff701f,0x1007ffff,0xffffffff,0xd503ffff,0x0b7fb227,0xfffffff8,
    0xfff300ef,0x30b73337,0x73337fff,0x37fff30b,0x9fd0b733,0x3a07fe20,
    0x9ff511ef,0x98aeff88,0x67406fea,0x4ffca899,0xff32cc98,0x2673a001,
    0x004ffca8,0x1bf6ff50,0x01ffb000,0x3fec17f2,0x007fec00,0x01bf6ff5,
    0xf300ff60,0x3e20001f,0x2a003ff7,0x400dfb7f,0x2bbe24fe,0x0ff982ff,
    0xfb7fa800,0x01ff300d,0x3f6ff500,0x00ff9806,0xfd82fe40,0x003fe207,
    0xff981fee,0xf104fe84,0x37ff903f,0x007ff731,0x27fee666,0xf7019999,
    0xffffff59,0x22673a07,0xfd04ffca,0x77f4001d,0x03bfa000,0xf104fe80,
    0x506fb83f,0x82fec3ff,0x360006fb,0x05fd007f,0x01ff6000,0xffaa7ec0,
    0x5ff50000,0xfc82fe40,0x17fd4006,0x7fd53f60,0x03fe2000,0x0001ff30,
    0x00ffd3ee,0x1ff54fd8,0x541ff500,0xf309fb4f,0x9fb0001f,0xf3003fea,
    0x9fb0001f,0xf3003fea,0x5fc8001f,0xfd80df90,0x407fb804,0x04fe87fd,
    0xff983ff1,0x0007ff01,0x5c001ff3,0xea8affef,0x7ec000ff,0x002ffa87,
    0xa800bfea,0x7f4002ff,0xf83ff104,0x4cffa03f,0x0df701ff,0x007fd400,
    0x800017ee,0x37ae0ffa,0x225ff100,0xf88003ff,0x82fe405f,0x3e2005fe,
    0x97fc405f,0x32003ff8,0x0ff9804f,0x3e3fd000,0x2ff8801f,0xf7007ff1,
    0xbf71fd8d,0x8001ff30,0x7ff12ff8,0x000ff980,0xff897fc4,0x007fcc03,
    0x7f417f20,0x403fcc05,0x7fdc07fb,0xf8827f40,0xf02fec1f,0xff30007f,
    0x77fdc001,0x000ffd40,0xff703fea,0x007fb800,0x74003fdc,0x43ff104f,
    0x3f601ff8,0x7dc0ff54,0x3fe60006,0x003fe600,0x30ff9800,0x3ea09fff,
    0x40037ec7,0x7e400ffd,0x007fecc5,0xa801ffb0,0x0037ec7f,0xff3003ff,
    0x13333335,0xaff9be60,0x7fa80999,0x7e4037ec,0x7fa9be25,0x999aff98,
    0x7fa80999,0x3e6037ec,0x999999af,0x7ec7fa80,0x4d7fcc06,0xc8099999,
    0x07fecc5f,0x2e017f40,0x0ffd407f,0x7fc413fa,0xff01ff41,0x1ff30007,
    0x40ffdc00,0x4c002ff8,0x02fec0ff,0xb0017f60,0x9fd000bf,0xf987fe20,
    0xffffffff,0x40df75ff,0xfda806fb,0x00ffffff,0x6ff5cffa,0x7ffed401,
    0xff50ffff,0x717f60bf,0x7d4001ff,0xfffc802f,0x001fffff,0x3600bfea,
    0x007fdc5f,0xf98037d4,0xffffffff,0x7fc7fb04,0xfd83ffff,0x2007fdc5,
    0x993ea5fc,0xffff987f,0xd84fffff,0x007fdc5f,0xfffffff3,0x8bfb09ff,
    0x3e600ffb,0xffffffff,0xfffffc84,0xf5001fff,0x407fb80d,0x27f42ff9,
    0x7fc1ff88,0x000ffe02,0xb8003fe6,0x40ffa06f,0xffffffda,0x002fec0f,
    0xfb0017f6,0x09fd000b,0xffa87fe2,0xffffffff,0x5c0bf95f,0x3ffa206f,
    0x0ffeeeee,0x3ff2bf70,0xfe880ffe,0xffeeeeef,0x7c07ff60,0x01ffc42f,
    0x9005ff88,0x09ffffff,0x005ff880,0x3ff885ff,0x3002fe80,0xddddddff,
    0x41ff107d,0x82eeeeff,0x1ffc42ff,0x1fd9bee0,0x3fe61bea,0x3eeeeeee,
    0x7fc42ff8,0x3bbfe603,0xf83eeeee,0x01ffc42f,0xdddddff3,0xfff907dd,
    0xf0009fff,0x03fdc03f,0x9fd0bfe6,0xf887fe20,0x00ffe01f,0x8003fe60,
    0x0ffa06fb,0xddddffd1,0x6fc81ffd,0x0037e400,0x3a001bf2,0x43ff104f,
    0x2e000ff9,0x81bee06f,0xff981ffd,0xf88ff880,0xfb09f90f,0x81ff303f,
    0x01ff5009,0x3f600dfd,0x2bf9000f,0x2003ffb8,0xfa800ffd,0x406fe80f,
    0x3e6007f9,0x2fdc000f,0xff5007fe,0x980dfd01,0xfc8ff17f,0x000ff985,
    0x3fa03fea,0x003fe606,0xfe80ffa8,0x003fe606,0x3ee2bf90,0x2fe4003f,
    0xfa80ff70,0x8827f41f,0x017fc1ff,0xf30007ff,0x37dc001f,0xffd87fd0,
    0x5c0ff981,0x3ee000ff,0x3fee000f,0x82fec000,0x3fe21ffa,0x41fee002,
    0x3fe06fe8,0xb01ff303,0xf993ea7f,0xf303ff86,0x2fec001f,0x5400ffb8,
    0x3f2002ff,0x4007fdc5,0xfb002ffa,0x803fee0b,0x3e6004fd,0x17f4000f,
    0xbfb007fe,0xf003fee0,0x7c49f59f,0x00ff982f,0x7dc17f60,0x01ff300f,
    0xfb82fec0,0x01ff300f,0x7dc5fc80,0x3fe2000f,0xb80ff700,0x82fec0ff,
    0x1ffc1ffa,0x8003ffa8,0x2e000ff9,0xf0ffa06f,0x03fe607f,0x4c009ff3,
    0x3e6004ff,0x3fe4004f,0x3a0fffc4,0x3fe6006f,0x106ffe81,0x3ff205ff,
    0x9f537d40,0x3fe237c4,0x4c1ff902,0xfffff07f,0x07ffffff,0x2002ffc4,
    0x05fe85fc,0xf002ffc4,0xffffffff,0x3fe207ff,0x03fe6000,0xeeeffa80,
    0x7fc01ffe,0xffffffff,0x77fe403f,0x20dfd11f,0x3e000ff9,0xffffffff,
    0x1ff303ff,0x7ffffc00,0x03ffffff,0xc8001ff3,0x005fe85f,0x7fb81fec,
    0x7e437ec0,0x41fff887,0xfff986fd,0x3ff88003,0xe81bee00,0x40bfe23f,
    0xffc80ffc,0x7e41cc0c,0x641cc0cf,0x41cc0cff,0x3fe63ffb,0x6ffcc1ff,
    0x2ffe8100,0x40dfdfb3,0x7ff4c5ff,0x987fe20f,0x3e13ea6f,0x7fff4c5f,
    0x3ea17ee0,0xffffffff,0x3ff205ff,0x42fe4000,0x3f201ffb,0xfff5000f,
    0xffffffff,0x0017ee0b,0x6c001ff3,0xffffffff,0x3fffea01,0x5fffffff,
    0xeefffc80,0xff301eff,0x3ffea001,0xffffffff,0x001ff305,0x3fffffea,
    0x305fffff,0xfc8001ff,0x001ffb85,0x3fdc1bea,0xf707ff50,0x7fffcc7f,
    0xa86ffd41,0x0003feff,0x70085dff,0x21ff40df,0x7ff4c5ff,0xfffd880f,
    0xd886ffef,0x6ffeffff,0xeffffd88,0xffff06ff,0x03ff5ffd,0xddddfff9,
    0xefffa8ff,0x206fabff,0xfffeeffb,0x0ff60ffb,0x03ff3bfa,0x3ffbbfee,
    0x3f20ffbf,0x999efd83,0x0ffc9999,0x8002ffa8,0x09ff05fc,0xd800bfea,
    0x999999ef,0xff80ffc9,0x07fcc002,0x999ff880,0x3601ff99,0x999999ef,
    0xc800ffc9,0x404effff,0xfb000ff9,0x3333333d,0xff301ff9,0x27bf6001,
    0xfc999999,0x00ff980f,0xff82fe40,0x417f4004,0xdfd307fb,0x7f7fffc0,
    0xfd81ffaf,0xfd9fffff,0xfff50003,0xf703ffdf,0x2e1ff40d,0xbfffeeff,
    0x3faa00ff,0x2a03efff,0x03effffe,0x3bffffaa,0xdfffd103,0x6cc07fe3,
    0x85ffffff,0xf33effea,0xffffb80d,0x3ea1ff1d,0x3dffd106,0x6ffffdc0,
    0x0ff41ff1,0x3e601ffc,0x4f7f442f,0x09999999,0xff705fc8,0x99efe881,
    0x20999999,0x7fcc03ff,0x40037d42,0xf7000ff9,0xf807fe0b,0x17fcc03f,
    0x004d7ec0,0xf000ff98,0x2ff9807f,0xf000ff98,0x2ff9807f,0x4000ff98,
    0x1ff705fc,0x5c2fdc00,0xfca999ff,0x3fa201ff,0x03ff1eff,0x6c77fff2,
    0x3aa0003f,0xb81fffff,0x20ffa06f,0xf1dffffb,0x0062001f,0x22000620,
    0x00262001,0x80099880,0x0c400008,0x00110000,0x2a0000c4,0x5fe800ff,
    0x7fffffdc,0xc86fffff,0x89ff105f,0xfffffffb,0xff56ffff,0xd8bfd001,
    0xff98003f,0x6fffffff,0x7ffc0bfe,0x1ff56fff,0x880bfd00,0xff98006f,
    0x6fffffff,0xfd001ff5,0xfffff30b,0x3eadffff,0x85fe800f,0xfffffff9,
    0x05fc86ff,0x44009ff1,0x7ffdc1ff,0x00efffff,0x20001310,0x88000001,
    0x81bee009,0x006203fe,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0dfb0000,0xfb83ff20,0xffffffff,0x05fc86ff,0xffb83ff2,0xffffffff,
    0x200dfb6f,0x1ff30ffc,0xffff3000,0x2adfffff,0x3fffe07f,0x00dfb6ff,
    0xfa803ff2,0xfff98004,0xb6ffffff,0x3ff200df,0x7ffffcc0,0xdfb6ffff,
    0x303ff200,0xffffffff,0x40bf90df,0x32000ffc,0x7fffdc4f,0x00001cee,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x1aa80000,0x00402000,0x80005510,
    0x4c002aa9,0x544002aa,0xa9855302,0x55054c02,0x221aa800,0x053002aa,
    0x26000000,0x55300001,0x00555305,0x0b7bb6e0,0x01541530,0x330006a0,
    0x4c2a9800,0x0080402a,0x0000aa20,0x55305553,0x2a880005,0x00040200,
    0xa8800033,0xaa980002,0x00555302,0x006aa620,0x40002aa6,0x0aaa21aa,
    0x9980aa20,0x0027f400,0x3f20efb8,0x3fff8806,0x1dff3000,0x077fcc00,
    0x403fe600,0x03ff55fd,0x0ff13fb8,0xfd077ec0,0xbff3003d,0x2ff80000,
    0x32efff98,0x7fcc003d,0x09ff700e,0x7ffff440,0x7f700dff,0xfe801fe2,
    0xfff9801f,0x6c03d32e,0x403ff55f,0x1bf20efb,0x00fffe20,0x8077fcc0,
    0x10004ffb,0xf7007fff,0x2037e41d,0xd32efff9,0x7fff1003,0x77fcc000,
    0x013fee00,0xfffffc88,0x5bfe201e,0x7ec01ba8,0x007bfa0e,0x3a07fff1,
    0xfe80beff,0x3ffb0004,0xf1007ff4,0x8007ff9f,0x4c004ff9,0xf30004ff,
    0x7f7ec01f,0xeff8801f,0xdf9003ff,0x80077ec1,0x00007ffb,0x3fe21fe6,
    0x1fffffdc,0x009ff300,0x3a009ff3,0x9ff511ef,0x3ffbfe20,0x7fff1003,
    0xfdcff880,0x6c01ffff,0x6c01ffef,0x03ffa1ff,0x3ffcff88,0x027fcc00,
    0x20027fcc,0x03ffcff8,0xffd0ffec,0x373fe201,0x401fffff,0x03ffcff8,
    0x004ff980,0x36009ff3,0xfffdbcff,0x3fffee00,0x3bf202ff,0x1003bf60,
    0xb07ff9ff,0xe85fffff,0x9b30004f,0x3e203e98,0x007fd12f,0x3000bfe6,
    0x4c0005ff,0x7fec00ff,0x3bf66001,0x41df5003,0x22000dfc,0x764004ff,
    0x3504fb83,0x800efed4,0x22002ff9,0x37dc04fd,0xb301ffa8,0xfd8007df,
    0x2a1a800f,0xfb001dfd,0x89b3003f,0x3fe203e9,0x2007fd12,0x22002ff9,
    0xff1004fd,0x980ffa25,0x201f4c4d,0x077f6a1a,0x3a25ff10,0x3fe6003f,
    0x27ec4002,0xf107fea0,0xffff907f,0x2a0179ff,0x037f20ef,0x3a25ff10,
    0x3ffae03f,0x00013fa2,0x00000000,0x00000000,0x00001ff3,0x00000000,
    0xd0001100,0x003fb09f,0x00000000,0x7407ff00,0x2000003f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x9fb04fd8,
    0xffb7bfb0,0x00000001,0x4ffd1000,0x000004fe,0x00000000,0x4c000000,
    0x000000ff,0x00000000,0x13fa0000,0x00000000,0xff880000,0x0013f601,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x107fd000,0xf88107ff,0x0000005f,0x5ff50000,0x7764cffa,0xeedb801c,
    0xddb7002d,0x3b6e005b,0xdb7002de,0x54019dff,0x0ffdeedc,0x3bffb6e0,
    0x3b6e200c,0x1f6403de,0x5000ee88,0x0059ddd9,0xec8009fd,0x301dd103,
    0x07ddfdb7,0xeefedb98,0xfffff983,0x05ffffff,0x005bddb7,0x00b7bb6e,
    0x7ddfdb73,0x37bb6e00,0x440fb202,0x81f640ee,0x1f640ee8,0x7640ee88,
    0x301dd103,0x07ddfdb7,0x7bddb710,0x3bb6e200,0xdb71003d,0x2e2007bd,
    0x1003deed,0x207bddb7,0x77f442ff,0x3ffb2a00,0x76dc402f,0x6dc003de,
    0x400ceffe,0x57fd3ff8,0x03ffffff,0x3fffffa2,0xffd100df,0x201bffff,
    0xffffffe8,0xffff300d,0xb101ffff,0xffffffff,0xfffff301,0x3ea01fff,
    0x0effffff,0x3e209fd0,0x7ff4c01f,0xe806ffff,0x27f4004f,0xff81ff88,
    0x0effffff,0xfffffff0,0x7ffd41df,0xffffffff,0x7ffff445,0xfd100dff,
    0x01bfffff,0x3ffffffe,0xffd100ef,0xd01bffff,0x07fe209f,0x3fe209fd,
    0xf8827f41,0x8827f41f,0xffff81ff,0x500effff,0xdfffffff,0x7fffd401,
    0x2a00efff,0xefffffff,0x3fffea00,0x2a00efff,0xefffffff,0xff317fc0,
    0x3ffa201d,0x2a06ffff,0xefffffff,0x7fffcc00,0xf800ffff,0x5dfdfd3f,
    0x3a0ffd53,0x9ff511ef,0x5447bfa0,0x3dfd04ff,0x7413fea2,0x02a621df,
    0x2622bbfa,0xdfe80ffc,0x2602a621,0xfb98adff,0x209fd06f,0x3e601ff8,
    0x5b999bff,0x4004fe80,0x3ff104fe,0x951339d0,0x273a09ff,0x24ffca89,
    0xe8000ff9,0x9ff511ef,0x5447bfa0,0x339d04ff,0x209ff951,0xff511efe,
    0x2209fd09,0x827f41ff,0x27f41ff8,0x7f41ff88,0xd03ff104,0xff951339,
    0x15bff309,0x260dff73,0xfb98adff,0x5bff306f,0x20dff731,0xb98adff9,
    0xbff306ff,0x8dff7315,0x817fa2ff,0xa99beff8,0xdff983ff,0x06ffb98a,
    0x5310eff4,0xd1ffa801,0xff981dff,0xfa837dc2,0xa837dc1f,0x837dc1ff,
    0x7fcc1ffa,0x03bee000,0xff303fe6,0x05fe8001,0x9fd05ff5,0xe807fe20,
    0x3a0000ef,0x27f4004f,0x4001ff88,0xfd8007fd,0x000bfe27,0x3fea0df7,
    0xfa837dc1,0x3fec001f,0xffa837dc,0xf8827f41,0x8827f41f,0x827f41ff,
    0x27f41ff8,0x4001ff88,0x05fe87fd,0xbfd05ff5,0x3a0bfea0,0x05ff505f,
    0x3fea0bfd,0xf505fe82,0xf897fc5f,0x03bf201f,0x17fa1bf6,0xf9817fd4,
    0x2ea6000f,0x3bfa5ffd,0xff89fd00,0xff0ffa03,0x3e1ff407,0x30ffa03f,
    0x7fc005ff,0x981ff302,0x3e6002ff,0x217f601f,0x3ff104fe,0x000bfea0,
    0xe8009fd0,0x03ff104f,0x000ffa80,0xdfd07fd4,0x203ff800,0x01ffc3fe,
    0xfa8007fd,0xd01ffc0f,0x104fe87f,0x04fe83ff,0x4fe83ff1,0xfe83ff10,
    0x003ff104,0x3e60ffa8,0x317f601f,0x2fec03ff,0xfd807fe6,0xb00ffcc5,
    0x01ff98bf,0x12ff97f6,0x3fe205ff,0x4c3ff302,0x17f601ff,0x70017fcc,
    0x7419ffff,0x897f204f,0x93f601ff,0x3f601ff8,0xd807fe24,0x1cffe84f,
    0x9807fcc0,0xcffe80ff,0x406fb801,0x04fe86fb,0x3ee03ff1,0x4fe80007,
    0x8827f400,0x7cc001ff,0x7fcc000f,0x4037fe60,0xd807fe20,0x807fe24f,
    0x7cc004fd,0x807fe20f,0x827f44fd,0x27f41ff8,0x7f41ff88,0xe83ff104,
    0x03ff104f,0x2e0ff980,0x237dc06f,0x37dc06fb,0xdf701bee,0x7dc06fb8,
    0x2e037dc6,0xfe8bfe6f,0x407fa82f,0x01bee3ff,0x7ff40df7,0x9efb801c,
    0x3204fe80,0x3fffe66f,0x5fffffff,0x3fffffe6,0x265fffff,0xffffffff,
    0xfe985fff,0xfa80beff,0x203fe607,0x0befffe9,0xfa80bf90,0xf104fe87,
    0x017f603f,0x0013fa00,0x3fe209fd,0xffffb501,0x36a01fff,0x0fffffff,
    0x7777ffe4,0x3ffe67fe,0xffffffff,0x3ffffe65,0x05ffffff,0xffffffb5,
    0x7fffcc1f,0x5fffffff,0xff8827f4,0xf8827f41,0x8827f41f,0x827f41ff,
    0xfb501ff8,0x41ffffff,0x3fd405fc,0xff5017f2,0x7d405fc8,0x2a02fe47,
    0x202fe47f,0x88bfe7fa,0x37dc4ffe,0x5fc93fa0,0xd303fd40,0x2017dfff,
    0x13fa05fa,0x3fea6fc8,0xffffffff,0x3fffea5f,0x5fffffff,0x3fffffea,
    0x205fffff,0x44ffffeb,0x3fe607fb,0x3fffae00,0x405fd84f,0x04fe87fa,
    0x3f603ff1,0x4fe80005,0x8827f400,0x7ff441ff,0x0ffeeeee,0x7777ff44,
    0xd980ffee,0x25ffffff,0xfffffffa,0x3ea5ffff,0xffffffff,0x7ff445ff,
    0x0ffeeeee,0x3fffffea,0x745fffff,0x83ff104f,0x3ff104fe,0xff104fe8,
    0xf104fe83,0xeffe883f,0x20ffeeee,0x3fd405fd,0xff5017f6,0x7d405fd8,
    0x2a02fec7,0x202fec7f,0x10bfe7fa,0x37e4bffb,0x5fd97f60,0x5c03fd40,
    0xa84ffffe,0x813fa05f,0x03fe64fd,0x001ff300,0x0000ff98,0x49fff710,
    0x3fe607fa,0xfffb8800,0x2e037e44,0x104fe86f,0x1bf203ff,0x013fa000,
    0x3e209fd0,0x40ffec1f,0x7fec0ff9,0x400ff981,0xff986fb8,0x07fcc000,
    0x40ffec00,0x3fe60ff9,0x04fe8000,0x4fe83ff1,0xfe83ff10,0xe83ff104,
    0x83ff104f,0xff981ffd,0xf701bf20,0x5c06fc8d,0x2037e46f,0x037e46fb,
    0x0df91bee,0x0bfe6fb8,0x7fb9ffe4,0xdf927f40,0x2006fb80,0x4c4fffb8,
    0x813fa04e,0x0bfe23fe,0x005ff100,0x0002ff88,0x3e67fd80,0x01ffb00f,
    0x7d47fd80,0x217f600f,0x3ff505fd,0x0003fee0,0xd8009fd0,0x83ff505f,
    0x1ff303ff,0xff303ff8,0x101ff001,0xf88005ff,0x3ff8002f,0x7c41ff30,
    0x5fd8002f,0xfd83ff50,0xd83ff505,0x83ff505f,0x3ff505fd,0xff303ff8,
    0xb007fd41,0x00ffa8bf,0x1ff517f6,0x3ea2fec0,0x517f600f,0x2fec01ff,
    0xb7ec05ff,0x3fe00ffa,0xd803fea3,0xffb0005f,0x209fd000,0x37f40ffa,
    0x0037f400,0x000037f4,0x7ff13fdc,0x001fff90,0x7fc47fb8,0x905ff103,
    0x3fff10ff,0x0013fe60,0xc8009fd0,0x1fff887f,0x7e40bfe2,0x40bfe20f,
    0x7d400ffc,0x001bfa06,0xf1001bfa,0x03ff205f,0xf9000dfd,0x83fff10f,
    0xfff887fc,0x7c43fe41,0x43fe41ff,0x3e21fff8,0x41ff902f,0xff103ff8,
    0x103ff885,0x3ff885ff,0xf885ff10,0x85ff103f,0xff103ff8,0xf7017fc5,
    0x5c13fe2d,0x0ffe20ff,0x80017fc4,0x200a87fb,0x7fd40dfe,0x00dff983,
    0x01bff301,0x037fe602,0xf980cc04,0x89ffec5f,0x4c0ffefc,0x90bff301,
    0x6fe987ff,0x7cc7ff70,0x3f201fff,0x401cc0cf,0x7dc004fe,0x3fffe63f,
    0x3a62ffc1,0x2ffc0fff,0x003fffa6,0xf3057ff3,0x260201bf,0xf0100dff,
    0xfffe98bf,0x806ffcc0,0x263ffb80,0x7dc1ffff,0x3fffe63f,0xf31ffdc1,
    0xffb83fff,0x07fffe63,0xffe98bff,0x21ffe40f,0xff906fe9,0x906fe987,
    0x6fe987ff,0xe987ff90,0x87ff906f,0x17fc6fe9,0x3f25fe88,0x427fd43f,
    0x7f4c3ffc,0x7cc06606,0x807fec5f,0xffeefffe,0x3fff204f,0x907feeee,
    0xfddddfff,0x3bfff20f,0xfb87feee,0xffffeeef,0x7f7ffcc1,0x5c0ff8df,
    0xfffeeeff,0xfffe881f,0x200efffe,0xaffeffff,0x3f6201ff,0x06ffefff,
    0xf8004fe8,0xfaffefff,0x777fdc1f,0x40ffbfff,0xfffeeffb,0xfc800ffb,
    0xdfff907f,0x320ffddd,0xfeeeefff,0xfeeffb87,0xc80ffbff,0xfeeeefff,
    0xfdffff07,0xff03ff5f,0xff5ffdff,0xfdffff03,0xff03ff5f,0xff5ffdff,
    0xfeeffb83,0x440ffbff,0xfffefffe,0xfffd100e,0x201dfffd,0xffefffe8,
    0xffd100ef,0x01dfffdf,0x3fbfffa2,0x97fc0eff,0x0fffeefa,0x3fbfff62,
    0xffd105ff,0x01dfffdf,0x7f777fdc,0x3fe21fff,0xffd9302f,0xb3005bff,
    0x0bffffff,0x7ffffecc,0x3ff6605f,0xea85ffff,0x0cffffff,0x49dffd30,
    0x7ff540ff,0x400cffff,0x04efffeb,0x1efffe88,0xfd5003ff,0xd007dfff,
    0xffffffff,0xfffd107f,0x2e07fe3d,0xff1dffff,0xbffff701,0x98003fe3,
    0x3fff6601,0x36605fff,0x05ffffff,0x23bffff7,0xffb300ff,0x220bffff,
    0xff1efffe,0xdfffd103,0x3a207fe3,0x3ff1efff,0x3dfffd10,0x3fee07fe,
    0x01ff1dff,0x13bfffae,0x77fff5c0,0xfffd7004,0x3fae009d,0xd7004eff,
    0x3e09dfff,0x9ffff52f,0x3fffae01,0xffeb803f,0xfea804ef,0x80cfffff,
    0x11000ffd,0x04cc4000,0x00266200,0x10013310,0x44001333,0x99988000,
    0x00130000,0x00001310,0xffd00062,0x7fffffff,0x40004c40,0x03100018,
    0x31000000,0x99880013,0x00031000,0x10009988,0x13100013,0x00131000,
    0x10001310,0x00980003,0x80002600,0x02600009,0x80009800,0x04c40018,
    0x80009800,0x98009998,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfb51ec80,0xccb801bd,0x3000cccc,0x00d54003,0x00006600,0x98553000,
    0xaa98002a,0xd932f4c2,0x154c019d,0x55300aa6,0xfa802a98,0x401ba985,
    0x035502a8,0x00001544,0x4c000000,0x555302aa,0x3332e000,0x80400ccc,
    0x2a0a9800,0xdeec9802,0x6665c002,0xa9800ccc,0xdb981aab,0x5c03eefe,
    0x00ceffed,0x55402a88,0x0000aaaa,0x001554c0,0x55510791,0x40001555,
    0x47b22aa9,0x4c0defda,0x57f4002a,0x1ffffffc,0x3fffffa0,0x7ffcc01f,
    0xfd03d32e,0x3fe60009,0x403d32ef,0xeeefffdb,0x2bfb05ee,0x4c001ffa,
    0xbfcc0eff,0x0efffffb,0x7fd57f60,0xf55fd801,0x5fff003f,0x205fffd8,
    0x7ff544fd,0x4413f603,0x003dffec,0x15555551,0xf9802fdc,0x3fee00ef,
    0xfffe8004,0x3ee01fff,0x701bf20e,0x701fe27f,0x09ffffff,0x7fffff40,
    0x3ffaa01f,0x7fc0ffff,0x0effffff,0x7fffffcc,0x7fc400ff,0x3fffe03f,
    0x200003ff,0x2000eff9,0xfff984fa,0x30001fff,0x57f41dff,0x1ffffffc,
    0xfd001bee,0xff713dfd,0x4cccc40b,0x67fc4019,0x21fffffd,0xccceffcc,
    0xdcff8803,0x881fffff,0xfffffffd,0x3f607fff,0x4c001ffe,0x9ff304ff,
    0x7ff933df,0x1ffefd80,0x3ffbf600,0x83ffd001,0xa80ffa98,0x7f7fdc6f,
    0x260df503,0x5ffffffe,0xfffff980,0x200bfa1f,0xf3004ff9,0x9988009f,
    0x7ec01999,0x803ffa1f,0x03ffeff8,0x36677fe2,0x331001ff,0x7dc03333,
    0x0dcbbcef,0x6544ce74,0x0eff44ff,0x7c401531,0x9903ffcf,0x0007ff99,
    0x0013fe60,0x332207f6,0x8001ffcc,0xefe84ff9,0x5ffb89ef,0xfd001bee,
    0x00ff90bf,0xda86a000,0x7fffc1df,0x5006ffff,0x80efed43,0x7fd0affd,
    0xfd803333,0x7fcc001f,0x13ffe602,0x3f601bf6,0xffd8001f,0x20b22001,
    0xe886fc98,0x7e46441f,0x881fe883,0xff711eff,0xcccc8809,0x00ff11ff,
    0x88005ff3,0x000004fd,0x1f4c4d98,0x01f7ecc0,0x7ff11fee,0x3e600000,
    0xfb00003f,0x0007fccf,0xfe897fc4,0x003ff803,0x802ff980,0x07ffedc8,
    0x8003ff10,0xffd02ff9,0x7dcff90b,0x837f4006,0x00000ffa,0xfeaa8000,
    0x0002aaad,0xd07fe600,0x0000007f,0x0bff3000,0x00001ff2,0x54000000,
    0x7e40cfff,0x641fe404,0x01df904f,0x44001ff7,0x009f51ff,0x00000000,
    0x00000000,0xfd0df900,0x32000007,0x2a00006f,0x05ff30ff,0x3e000000,
    0x0000003f,0x7fffffd4,0x1ff8805f,0x6fe80000,0x3ee1ff50,0x827f4006,
    0xb7101ff8,0x00007bdd,0x00027f40,0xd09fb000,0x0000007f,0x01ff3000,
    0x00001326,0x1a880000,0x23ffa988,0x7e400ef9,0xf8077cc3,0x00ffe02f,
    0x0001ff88,0x20000000,0x002deedb,0xb8000000,0x00ffc47f,0x777f6dcc,
    0x0007fd03,0xfd07fcc0,0x0000039f,0x0003ff80,0x37fe6000,0x80bfffb1,
    0x00221ff8,0x4413fa00,0x00df71ff,0xff104fe8,0xfffff503,0x3b201dff,
    0x01bdfb51,0x019893fa,0x77777744,0xd05ff101,0xeeeb807f,0x85eeeeee,
    0x3bb265e9,0x007fcc0c,0xd932f4c0,0x47b2019d,0x800defda,0x3fa205fa,
    0x3200bfa4,0xa817f43f,0xbff500ff,0x00ffc400,0x453bfb26,0xdd103eec,
    0x1003dddd,0xbffffffd,0xddddd101,0xeee8803d,0x7cc01eee,0x00bfd13f,
    0x3ffffffe,0x017fc0ef,0x7fffed40,0x3fa60fff,0x2200beff,0x01eeeeee,
    0x2000ffe0,0x1eeeeee8,0xef893fa0,0x3e202ffa,0x640fb89f,0x1bdfb51e,
    0xff104fe8,0x74c1bee3,0x4413fa4e,0x6ffcc1ff,0x06ffb98a,0xffff95fd,
    0x27fd03ff,0x303ffffc,0x03ffffff,0x3fa03fe6,0x7fffe403,0x986fffff,
    0xfffff77f,0x007fcc1d,0xffbbfcc0,0xfe80efff,0xffffffca,0x742fd401,
    0xbf90ffff,0xfc8ff200,0x641bee05,0x22006fff,0x7ff401ff,0xfffedfff,
    0xffff985f,0xefe801ff,0x309ff511,0x03ffffff,0xffffff98,0xfbffd801,
    0x39d000ef,0x89ff9513,0x3a2002ff,0xfeeeeeff,0xfffeb80f,0xffff304f,
    0x7fc003ff,0xfff98003,0xff501fff,0x4fda7d41,0x3ff7fe20,0x7e57f40f,
    0x3a1fffff,0x23ff104f,0xeff986fb,0x7c413fa0,0xa82ff41f,0xfefe82ff,
    0x85ffb89e,0xfeffecfe,0x333302ff,0x1fea03ff,0x04ccdff4,0x26666662,
    0xff984ffa,0xffc99efc,0x0003fe63,0x27bf3fe6,0xfe83ffc9,0xffb89efe,
    0x5c37dc05,0x03fe63cc,0xff98d4c0,0xd317f200,0x400ffbff,0x56401ff8,
    0x31bfff50,0x333303ff,0x6fb803ff,0x3303ff50,0x3003ff33,0x003ff333,
    0x009ffff1,0x3e3fec00,0x3ff6002f,0x200ff981,0x304fffb8,0x003ff333,
    0x98001ffc,0x701ff999,0xf71fd8df,0x7fffc40b,0xefefe80c,0x3a5ffb89,
    0x23ff104f,0x77fcc6fb,0xf8827f40,0x807fe61f,0x5ffe85fd,0xffe87fc8,
    0x01bfa64f,0x7dc07fe2,0xfffffd06,0x17fa2009,0x6c27ffcc,0x003fe66f,
    0x213ffe60,0x5ffe86fd,0xfd887fc8,0x3fa006ff,0x0bfa0002,0x7fd49fb0,
    0x000ff99e,0x90003ff1,0x027e41ff,0xff007fe2,0x201ff407,0x44001ff8,
    0xffd801ff,0x0015445f,0x3fe0ffa8,0x40ffe002,0xfb000ff9,0x03ff100f,
    0xbb81ffc0,0x01ff8800,0x537c4bf9,0x3ffee0ff,0x17ffa00d,0x04fe9ff2,
    0x9bee3ff1,0xfe80eff9,0x5c3ff104,0x437dc06f,0x1ff506fe,0xfb83ffe8,
    0x01ff8807,0x3bfa0df7,0xfb003eee,0x17fe601f,0x1ff33fe4,0x0bff3000,
    0x1bfa1ff2,0xff307fd4,0x2e00bddf,0x3ee0005f,0xfb4fd805,0x03fe61bf,
    0x000ffc40,0x17ee37dc,0x4403ff10,0x13f601ff,0x8003ff10,0x7ec01ff8,
    0x3ee4ffdf,0x1ff30006,0xf88017fc,0x01ff902f,0x2201fee0,0x3fe001ff,
    0x806ffd83,0xbf901ff8,0x8ff327d4,0x01fffffb,0xffa837f4,0x3e209fd0,
    0x3e2df71f,0x09fd00ef,0x5fc87fe2,0x7f43fd40,0xe83ff104,0x01ff305f,
    0xf701ff88,0x000ffa0f,0xf9807fee,0x4c99300f,0xf98000ff,0xd099300f,
    0x87fe209f,0x4c000efe,0xf30000ff,0xddf9001f,0x07fa87ff,0x0007fe20,
    0x0df517ea,0x2601ff88,0xffffffff,0x7c405fff,0x7fc4001f,0x6c3fee01,
    0x80df92ff,0xffffffda,0x800bfe0f,0x7ff4c5ff,0x3e60330f,0x1ff8805f,
    0xf10ffe00,0xf8803fff,0x6cdf701f,0xff1bea1f,0xe803ff39,0x23ff104f,
    0x3ff104fe,0x3bfe3bee,0x4413fa00,0x017f61ff,0x09fd0ff5,0x9fd07fe2,
    0x1007fe20,0x1fea03ff,0x26001ff4,0x7fcc03ff,0x03fe6000,0x003fe600,
    0x7c413fa0,0x000ffe1f,0x2eed8ffa,0xfd73fe80,0xefffb85d,0x2007fb81,
    0xeb801ff8,0xffffffff,0x7fc406ff,0x3fffea01,0x5fffffff,0x000ffc40,
    0xff807fe2,0x3a7ffa23,0xdffd105f,0x41ffdddd,0x3ee002ff,0xfbfffeef,
    0xdddff70f,0x1003ffff,0x7fc003ff,0x00ffff83,0xf980ffc4,0x5fc8ff17,
    0x01ff8864,0xff8827f4,0x3e209fd1,0xffddf71f,0x2209fd00,0x01bf21ff,
    0x09fd0df7,0x9fd07fe2,0x1007fe20,0x3fe603ff,0x2003fe81,0xf9805ff8,
    0x3fe6000f,0x0ff98000,0x104fe800,0x0bfe23ff,0x7dcbf700,0xafdc03ff,
    0x21ffdef8,0x3f205ffa,0x07fe2006,0xfdddffb0,0x09dddddf,0x2601ff88,
    0x880000ff,0x7c4001ff,0x83ff101f,0x02ffeff9,0xff303ffb,0x20017fc1,
    0xf1dffffb,0x3fffaa1f,0x1000cfff,0x7fc003ff,0x802ee983,0x3fe01ff8,
    0x3fe24fac,0x007fe202,0x3fe209fd,0x3e209fd1,0xff5df71f,0xffa80009,
    0xd803fea0,0x104fe85f,0x04fe83ff,0xf8803ff1,0x213fe01f,0x3f6003fe,
    0x0ff9800e,0x26000000,0xfe8000ff,0x223ff104,0x3e2004ff,0x7f9df10f,
    0x4307fc40,0x0bfe63fd,0x22003ff8,0x3fe601ff,0x4001bea2,0x3e201ff8,
    0xf880002f,0x7fc4001f,0x505ff101,0x3e01ffff,0x41ff303f,0x310002ff,
    0x99885fb8,0xff880009,0x00ffe001,0x807fe200,0xd11feffc,0x1ff880df,
    0xf8827f40,0x3ee0001f,0x0007ff76,0x3fe23fe4,0xd05ff103,0x07fe209f,
    0x3fe209fd,0x00ffc401,0x3fe81ff9,0x003ff900,0x80003fe6,0xff3002a8,
    0x09fd0001,0xffd87fe2,0x6c7fb000,0x3603fc9f,0x83fd103f,0x1ff705fd,
    0x00ffc400,0x07fa8df7,0x803ff100,0x880006fe,0x7c4001ff,0x413fe01f,
    0xff105ffc,0xf83ff205,0xf300002f,0x002a880d,0x2001ff88,0x880003ff,
    0x7fe401ff,0x01effeef,0x3a00ffc4,0x03ff104f,0x6fb80aa2,0x2000bff2,
    0xffc85fe8,0xe837f4c3,0x83ff104f,0x3ff104fe,0x201ff880,0x3fa1eff8,
    0x02ffa803,0x0003fe60,0xf3006fa8,0x9fd0001f,0xf987fe20,0x37d402ef,
    0x19fb3bf7,0x3a20df50,0x44ff984f,0x44004ffa,0x17ee01ff,0x10003ff9,
    0xff9803ff,0xf100100d,0xff88003f,0x98fff201,0xf02ffffc,0xfffe98bf,
    0x0000bfe0,0x3ea027e4,0x1ff88006,0x000ffe00,0x2007fe20,0x04effffc,
    0xe803ff10,0x03ff104f,0x6fb81bea,0x88017fec,0xe880fffc,0xefffefff,
    0x2209fd00,0x827f41ff,0x7c401ff8,0x7ffcc01f,0xffffffef,0x0027fc47,
    0x80003fe6,0xff3004fc,0x09fd0001,0xff507fe2,0x7c419bdf,0x3ffff21f,
    0x0ffc45ff,0xf701ffd4,0x09fffdff,0x403ff100,0x3ffee7f9,0x7fc40085,
    0xefffc801,0x8807feee,0x7c4001ff,0x3ffa201f,0xfeefffef,0xeeffb81f,
    0x20ffbfff,0x500002ff,0x3f2057ff,0x1ff88004,0x000ffe00,0x2007fe20,
    0x40009afd,0x7f401ff8,0x203ff104,0x1bee04fc,0x3003ffd1,0xeb805fff,
    0x7404efff,0x83ff104f,0x3ff104fe,0xffffffc8,0xd982ffff,0xfffffffe,
    0x7fffec7f,0x41ffffff,0x20000ff9,0xff3001fe,0x09fd0001,0x36207fe2,
    0x3f61ffff,0x7f666543,0x4c1fec2e,0x504eefff,0x007dfffd,0xf007fe20,
    0xff3bfdff,0xfc85fddf,0xffffffff,0xfffb302f,0xff90bfff,0xffffffff,
    0xfffffc85,0xc82fffff,0xf32effff,0xfff701df,0xf83fe3bf,0x3600002f,
    0x03fd06ff,0xffffff90,0x3ee5ffff,0xffffffff,0xfffc803f,0x2fffffff,
    0xf90037c4,0xffffffff,0x104fe85f,0x07fa03ff,0xfe886fb8,0x0564c01f,
    0x74002600,0x83ff104f,0x3ff104fe,0xffffffc8,0x4402ffff,0x3fff6001,
    0x1fffffff,0x00007fcc,0x7fcc0099,0x04fe8000,0x54403ff1,0x00df50cb,
    0x06fa87f9,0x0bfffff3,0xff900030,0xffffffff,0x24ffd985,0x41ffffea,
    0xfffffffc,0x98802fff,0x3fff2009,0x2fffffff,0x7fffffe4,0x0402ffff,
    0x40062000,0x800002ff,0x20099009,0xfffffffc,0xfff72fff,0x7fffffff,
    0xfffff900,0xa85fffff,0x3ff2004f,0xffffffff,0xf8827f42,0xb809901f,
    0x1fff306f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffffc80,0x102fffff,0x00004c40,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0d540000,
    0x00005510,0x02000040,0xdd103ec8,0x2aaaaa21,0x207d900a,0x200006e9,
    0x774c04ed,0x40003551,0x350001a8,0x00000000,0xdd931ec8,0x00000039,
    0x0002aa98,0x6f6e5400,0xec880ebc,0x1eeeeeef,0x98800000,0x97009aaa,
    0x00199999,0xfb800aa2,0x2000000d,0x2a3eedca,0x82f5405e,0x0ccccccb,
    0x7777774c,0x3ba61eee,0x05eeeeee,0x5c000000,0x20ceffed,0x2f5405ea,
    0x2ceeeca8,0x407ffd50,0x3b2204fd,0xc880cdff,0x01defffe,0x7ffff6cc,
    0x4413fa1d,0xffff31ff,0x13fa03ff,0xfb503fd4,0xf9039dff,0xd37e401f,
    0x7f40009f,0x7ff4001f,0xffb71001,0x64c039df,0xd1cffffd,0xfffff55f,
    0x07ec403f,0x3bfe6000,0x3bfb2600,0xffd8803d,0x40ffffff,0xfffefffb,
    0xfb101fff,0x7fd40001,0xfd02ffff,0x003fffff,0x3007fff1,0x36609fff,
    0xb801dfff,0x24ffffff,0x37dc07fb,0xffffffe8,0x7ffffcc1,0x3e62ffff,
    0x7fffffff,0x33bffae0,0xdffedb80,0xfffff301,0x3fdc1fff,0xfd31bee0,
    0x70dfffff,0x2a07fdff,0x3ffea06f,0x4c0effff,0xffffffff,0xfffff903,
    0x27f47fff,0x9911ff88,0x3a03ff99,0x20ff504f,0xfffffffd,0x01ffcc2f,
    0x027f49ff,0x03fff880,0x00fffe20,0x3fffffea,0xfff704ff,0x3abfffff,
    0xea9aefef,0x03fe607f,0x04ff9800,0x7f77ffdc,0xdff100ef,0x1ff93115,
    0x3f227fcc,0x3fe601af,0xfff70000,0x2203d99b,0x80199999,0x03ffcff8,
    0x642fffd4,0x4fffefff,0x2afbff60,0x01fee099,0x26620df7,0xff981999,
    0x09999999,0x64cccccc,0xfffe887f,0xfb12ffff,0x07ffffff,0x54c43bfd,
    0xf701fee0,0x4dfffccd,0x8c885b99,0x1fe883fc,0x315dff50,0x5c41fff7,
    0x03ffae21,0x4c15bff7,0x4413fa1a,0x3ff101ff,0x7d413fa0,0x10bffb87,
    0xdfd0ffd5,0xfe83fea0,0x3ff60004,0x07fec000,0x26fbfee0,0xfd84da98,
    0xda989bef,0x981dffd5,0x1ff302ff,0x0bfe6000,0xd883ffb0,0x0efb80ff,
    0x3f20ff98,0x9809fd06,0xf88000ff,0x000000df,0xfd12ff88,0x41ffd807,
    0x7fe43ffb,0x802ffc82,0x37dc07fb,0x03fcc000,0xd87fb800,0x43ae22ff,
    0xfd30aefc,0x007fcc1f,0x7dc07fb8,0x0003bfa6,0x27e41fe4,0x3ea0dfd0,
    0x5ff5003f,0x3a006ff8,0x03ff104f,0x7f407fe2,0xfd0ff504,0x507fea0d,
    0x8dfb03ff,0x4c0004fe,0x10010000,0x54001bff,0xdfd004ff,0x4c13fa01,
    0x000000ff,0xf90077cc,0x303ff88b,0x827ec1ff,0x7fcc06fc,0x2ff98000,
    0x00000000,0x3fe20600,0xf88df903,0x0ff7002f,0x80006fb8,0x700007f9,
    0x02ff98ff,0x7ff30190,0xb8017fcc,0xab7dc07f,0x320002ff,0x8077cc3f,
    0x3f601ffa,0x88ffe006,0x3fa002ff,0x203ff104,0x9fd01ff8,0x3fa1fea0,
    0xf03ff103,0x42ff889f,0x000004fe,0x7fec0000,0x17fe2000,0x3204fe80,
    0xfdddd15f,0x3ddddddf,0x8bfa0000,0x3ff09aa8,0xf9807fcc,0x6413fa0f,
    0x7777445f,0xeeeeeeff,0x801fea01,0x1dd103ec,0x54000000,0x87fe607f,
    0x3ee005fc,0x2237dc07,0x01eeeeee,0x20000ff3,0x03fd47fb,0x745fe800,
    0x7dc01cff,0xfbb7dc07,0x1fe40007,0x6fd80bfa,0x400ffd40,0x3fe21ff8,
    0x413fa004,0xff101ff8,0x5413fa03,0x706fc87f,0x51ff20df,0x53fe81ff,
    0xe881bdfb,0x401eeeee,0xeeeeeeeb,0x0ffe25ee,0x003ff700,0xdf9027f4,
    0x3fffffe2,0x41ffffff,0xeeeeeeeb,0xa9be65ee,0x9f73ffff,0xff303fd4,
    0x2207fdc1,0x7ffc43ff,0xffffffff,0x01fee01f,0xff104fe8,0x54017aa3,
    0x1bee005e,0x1ff45ff0,0xb80ff700,0x7fffcc6f,0x0ff301ff,0x71fee000,
    0x360000df,0x7fff4c5f,0x07fb80be,0x05fdb7dc,0xf91fe400,0x404fe80b,
    0xfb802ff8,0x003ffe86,0x3fe209fd,0x203ff101,0x0ff504fe,0x7dc1bff3,
    0x45ff304f,0xcbfe84fd,0x21ffffff,0x1ffffff9,0x7ffffe40,0x3ea6ffff,
    0x37e4000f,0xc813fa00,0x3ee6666f,0x8199999f,0xfffffffc,0x4cfee6ff,
    0xf12a9cff,0xf303fdcd,0x5fffc41f,0x3306ffba,0x3333ff73,0x07fb8033,
    0x7c413fa0,0x200ff51f,0x3ee005fc,0xf89ff407,0xdefedb9f,0x2e03fdc1,
    0xf999986f,0xddff301f,0xf7000599,0x0006fc8f,0x3ae09fd0,0x7dc4ffff,
    0xfeb7dc07,0x8d4c0005,0x7fc00ff9,0x443ff803,0x80efda99,0x402efff9,
    0x3ff104fe,0x7407fe20,0x20ff504f,0xffdcfffa,0xf8aff403,0xefefe81f,
    0x4c5ffb8a,0x401ff999,0xa9999998,0x01fee4ff,0xd0013fa0,0x827ec09f,
    0x31000ff9,0xff533333,0x4fc97e49,0x07fa9fe0,0xff983fe6,0x00cfffff,
    0xd800ff98,0xeeffeeee,0x4fe85eee,0x3e23ff10,0x04fd800f,0xe807fea0,
    0xfffff34f,0x5c7fffff,0x037dc07f,0x7cc07fe2,0x2fffffff,0xf91fee00,
    0xff30000d,0xfffb8803,0xf701fee4,0x0001bf6d,0xf8805fd0,0x44ff802f,
    0x01fffffc,0x33ffffa2,0xf505fd80,0x07fe203f,0x7fb82ff4,0x3ffffa60,
    0xb8ffb802,0x1bffd06f,0x3e207fc8,0xfd10001f,0x8006fc8b,0x7ffcc3ff,
    0x409fd6ff,0x1ff303fe,0x5fe88000,0x02fe8fec,0x07fcc3fa,0x3fa0ffd8,
    0x000aaa8a,0x3a003fe6,0xffffffff,0x4fe87fff,0x7fc3ff10,0x7fd06a21,
    0xdfd01510,0x34ffc983,0x6cc17dff,0x80ff71ff,0x7fc406fb,0x32a66601,
    0x7002fffd,0x3ffbb2ff,0x004eeeee,0xfb001bfa,0x2e03fdcf,0x001ff96f,
    0x2017ee00,0xff802ff8,0x7ff775c4,0x3f6a00df,0x3fe43fff,0x880fffc4,
    0x0ffd01ff,0x2e01fff3,0x03ffffff,0x1ff5ffc4,0xfa80efe8,0x03ff100f,
    0xb03ff600,0x7ff000df,0x6fffff98,0x3fea09fd,0x001ff300,0x6c0ffd80,
    0x7403fd1f,0x907ff10f,0x3fe21fff,0xb9988001,0x099999ff,0x7fe4ccc4,
    0xe8199999,0x43ff104f,0xf1bee2fe,0x83fff03f,0xffeffffa,0x1ff33fff,
    0x7fbaffc0,0x22037dc0,0xe88001ff,0x2ff7006f,0xfffffffd,0xffb006ff,
    0x27fb8001,0xb7dc07fb,0x80004ff9,0xf8800ff9,0x02ff802f,0x402ffdc4,
    0x2e4fffc8,0x3ffe63ff,0x03ff101f,0xffa8fffa,0x7fec42ff,0x809ffd53,
    0xd00ffefc,0x07fe209f,0x4000ffc4,0x7fc81ffb,0x404ff800,0x81bfd6fc,
    0x3e603ffa,0x3ee0000f,0xfb2fc81f,0x3f63fc07,0xffdf911f,0x555f7fc1,
    0x3ff2019a,0xffffffff,0x003fdc02,0x3fe209fd,0xffd8ff61,0xff303fe0,
    0xfffb10bf,0x225fd5bf,0x5bf201ff,0x37dc07fb,0x0007fe20,0x5c007fd4,
    0x0037e47f,0x3305ff90,0xfb97fe60,0xfb37dc07,0x0039819f,0x1776c7fd,
    0x3e201ffc,0x3ff5001f,0x87ffa200,0xaffeffff,0x3ff101ff,0x3bffffa0,
    0x24ffd9ff,0x7f441ffc,0x3ffe601f,0x4413fa05,0x3ff101ff,0x03ff9800,
    0xd8001ff7,0xeb7e405f,0xfffeefff,0x007fcc05,0x703ff980,0x22ffee7f,
    0xf98df11a,0xf9dffeff,0x3fffee0f,0xb83fffff,0xeeeffeee,0x3fdc02ee,
    0x2209fd00,0x453f21ff,0x0ff13fff,0x0101fffa,0x0bfe23ff,0x0ff77fb8,
    0x7c406fc8,0xff30001f,0xc8ff7003,0xff90006f,0x3bbfee05,0x2e0ffffe,
    0x137dc07f,0xffdffffb,0x5cbf700d,0x5fe83fff,0x8007fd40,0x22002ff8,
    0x3ffa23ff,0x203ff1ef,0x9fd01ff8,0x3a61dfff,0x440ffe5f,0x7ff404ff,
    0x4413fa01,0x3ff101ff,0x02ffc400,0xc8005ff5,0xeb7e407f,0x2dffffff,
    0x000ff980,0x2a05ff88,0x3ffff66f,0xfd30bf53,0x83fe69df,0xeedccffa,
    0x3e604fff,0x7fb8000f,0x4413fa00,0x557ee1ff,0x0df36fcf,0x3001bfe6,
    0x203ff8ff,0x01ff55fc,0x3e2027fc,0xff70001f,0xf91bf600,0x5ff9000d,
    0x7ffff540,0x3fdc0cff,0x3ae1bf60,0x403effff,0x9df10ff8,0x01ff907f,
    0xf30037ec,0x3ff8003f,0x17ea0988,0xfd01ff88,0x98440227,0x17fa01ff,
    0xfe80dfd0,0x203ff104,0x36001ff8,0x3fe200ef,0x1ffd4006,0x53fadf90,
    0x7fcc0009,0x0efd8000,0x9750ff40,0x8807fa15,0xf987fcc0,0x0ffd102f,
    0x40007fcc,0x3f6007fb,0x543ff505,0x3fd1fb6f,0x2ffc0bf5,0xf90ffa00,
    0x44ffe20d,0x5ff303ff,0x001ff880,0x8805fe88,0x037e44ff,0x400bff20,
    0x2e06fc98,0x82ffc07f,0x36001ff8,0x3f27f63f,0x504ff883,0x7e4005ff,
    0x17fcc007,0x1007fc40,0x0ffa03ff,0x405ff300,0x3fee03ff,0x8827f402,
    0x3ff101ff,0x007ff200,0xb000ffee,0x5bf203ff,0x220004fe,0x7e4003ff,
    0x0efa801f,0x20017ee0,0x0df70ff9,0xf100ffa8,0xff70007f,0x443fe400,
    0x3fe21fff,0xf79f76f8,0x007fea09,0x7c437ec4,0x077ec45f,0xfe885ffb,
    0x01ff8806,0x83ffaa01,0xffb509db,0x2006fc83,0xd8002ffc,0x89fee03f,
    0x205ff910,0x3ea006fa,0x3f677ee6,0x0cffd80c,0x200dff51,0x2e62ffc8,
    0x01dfd501,0xf880bf70,0x009fd01f,0xd885fff0,0x9ff301ff,0x2209fd00,
    0x3ff101ff,0x005ff500,0x884efffc,0x7ffcc3c9,0xfeb7e41b,0x77fc0004,
    0x2ffa8042,0x203bfa00,0x98001ffb,0x03ff90ff,0x3fe03fec,0x3ee0042e,
    0x8ffee007,0x7c1ffff9,0x9df13fbf,0x7fe4c47f,0x3f2a6204,0xfff701ff,
    0x883fffdd,0xfffefffe,0x1ff8801f,0xffdddf90,0xfffb83df,0xfc83ffff,
    0x37ff9006,0x01333333,0x7fb807fa,0x17fffbee,0xf1004fc8,0x7fffe43f,
    0xfffb05ff,0xd81bffff,0xffffeeef,0x7ffffdc3,0x000fffff,0x22057ff5,
    0x09fd01ff,0xdffff300,0x5447fffd,0xd006ffdb,0x07fe209f,0x2200ffc4,
    0x6c4004ff,0xffffffff,0xffffe984,0x9fd6ffff,0xfffa8000,0x7c41ffef,
    0xffd8004f,0x01effdce,0x2a1ff300,0xb99abeff,0x7d402ffd,0x01ffefff,
    0xff001fee,0xff5ffdff,0x20fefe83,0x3f21fefe,0xfff703ff,0x98019fff,
    0x00cffffe,0x33fffff2,0xfffff900,0x325fffff,0x03efffff,0x3bffffb1,
    0xffffffd8,0xff4fffff,0xffffffff,0x80ff10bf,0x3ffea7fb,0x00ff403e,
    0x66543fd8,0x2e02efec,0xb03efffe,0x19dfffff,0xfffffd50,0xd80017df,
    0xffff97ff,0x25ffffff,0x910004fe,0x83bfffff,0x00cffff8,0x3e209fd0,
    0xfffff91f,0xd85fffff,0xffffffff,0xffd701ff,0x64037bff,0x1dfffffe,
    0x500009fd,0x83fffffd,0xfffffffd,0xfb701fff,0x00019dff,0xff707fcc,
    0x5dffffff,0x3fffaa00,0x1fee01ff,0xdfffd100,0xffb07fe3,0x20fffb8d,
    0x3ee00aba,0x8001bcef,0x04c40009,0x7ffffe40,0x222fffff,0x04400099,
    0xffffffb0,0x3e9fffff,0xffffffff,0x000005ff,0x50000011,0x07f900df,
    0x998800c0,0x04cc4000,0xf9198000,0xffffffff,0x000b2e5f,0xc8802620,
    0x7f4001bc,0x323ff104,0xffffffff,0x7ffec2ff,0x1fffffff,0x30000880,
    0x00597013,0xb0098800,0xffffffff,0x001003ff,0x20664400,0x2bcdcca8,
    0x00262000,0x44001fee,0x7ff90009,0x0007ff88,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ba00000,0xec8bb601,0xeeeeeeee,0xddd90eee,0xdddddddd,0x4080081d,
    0x3a6003ec,0xee88000e,0x402bdeee,0xbdeeeee8,0x00bd5002,0xddddd500,
    0x0276c7dd,0x774cbba2,0x5eeeeeee,0x79ddddd5,0x77775c05,0x22000cde,
    0x76403eee,0x82cdeeee,0xeeeeeeea,0xdd13eeee,0xbddddddd,0x07ddb100,
    0x5ea80bd5,0xddddddd7,0x27440ddd,0x07db07b2,0xeec8fba6,0x501cdeee,
    0x3ba607dd,0xa817ba65,0xddddd34e,0x27dddddd,0xeb800eec,0x5017b60e,
    0x02f4c3dd,0x0bd94ea8,0xa803baa0,0xddd904fe,0xdddddddd,0x400fb21d,
    0x2ff80aaa,0xadd8ffe0,0xaaaaaaaa,0xffffd0fb,0xffffffff,0xf3017663,
    0x50027f47,0xf10001ff,0xdfffffff,0x3fffe203,0x401effff,0xe80007fb,
    0x4fffffff,0xfd80bfee,0x3ffffe66,0xff76ffff,0x3dffffff,0xffffff90,
    0x3ea009ff,0x7ff406ff,0x0effffff,0x3fffffea,0xf34fffff,0xffffffff,
    0x9fff900d,0xfb80ff70,0xffffff96,0x7d40ffff,0x3fa0ff44,0x746fe884,
    0xffffffff,0x837fdc0d,0x3fea7ffc,0x26bf702f,0xffffffff,0xbff34fff,
    0x544ff880,0xbff103ff,0xf7007f98,0x2007feeb,0xffd506fd,0x3fffa09f,
    0xffffffff,0x2009fd1f,0x2ff81ffe,0x13d8ffe0,0x443e2035,0x9ffc9999,
    0x3fee1999,0xfe9bfa02,0x7d40199d,0xff88000f,0xfffba99b,0x99bff883,
    0x203fffba,0x4c0007fb,0x7401ffef,0x43ff306f,0x9999aff9,0x33ff7099,
    0x85fff953,0xec999efc,0xefd802ff,0x37fa00ff,0x5ffda999,0x2aaaaaa2,
    0xf34ffaaa,0x3333335f,0xfeff9801,0x5c07fb84,0xf933316f,0x5403333f,
    0x3a07f44f,0x40efd84f,0xec999dfe,0x7ffe46ff,0x2a7fff81,0xbf706fff,
    0x2aaaaaa2,0x322ffdaa,0x3ff201ff,0xc80ffd80,0x03fcc0ff,0x7ff14fb8,
    0xe987ff00,0x104fffff,0x3ff93333,0x27f43333,0x320ffd80,0xffffffff,
    0x7b7fffff,0x8833ffe6,0x01fee00f,0x332e7ff6,0x3fa0ffca,0x0bffffff,
    0x40007fd4,0xfd882ff8,0x417fc40f,0xf700ffd8,0xafc8000f,0x7fcc01ff,
    0x7cc5fe83,0x07fb800f,0x7e41ffd1,0x405ff885,0x03ffaff8,0x3fe413fa,
    0x4c3fea00,0x3a0001ff,0xfb84febf,0xb837dc07,0x0fee007f,0xb89fd0ff,
    0x04fe81ff,0x6fe47ff9,0x3fe7d44f,0x705ffff5,0x3fe200bf,0x882ffc45,
    0x9ff103ff,0xf883ff98,0x24fc800f,0x7fd406fe,0x7c67ffc1,0x1fee004f,
    0x36009fd0,0x3fff20ff,0xffffffff,0xb987b7ff,0x401f10ef,0xfe8807fb,
    0x2fffffff,0x7f777ff4,0x3fea1fff,0x2ff88000,0xf889ff10,0x09ff102f,
    0x00b51fee,0x00ffdfe2,0xff507fe4,0x800ff981,0x3fe607fb,0x7ec17f24,
    0xfdbfd407,0x5413fa06,0x3fa000ff,0x0007fe64,0x84feb7e4,0x37dc07fb,
    0x54c07fb8,0xfbaacfda,0x49fd2aaf,0x9fd02ffa,0xfc93fe20,0x7cfec7fa,
    0x1bf3bea7,0x7ec017ee,0x81ffb80f,0x7fdc06fd,0x7c41bfa1,0x23fc800f,
    0x3f200ffb,0x3fe0cb86,0x01fee004,0x3f2009fd,0x4dffcc47,0xcff99999,
    0x53e607b1,0x1fee00f8,0x6deffdc0,0x84fe87ff,0xff50fffa,0x5ff10001,
    0x3e23fe40,0x41ff202f,0x0dfd57fb,0x0ffd3ee0,0xff27fc40,0x001ff307,
    0x7fd80ff7,0x37e417f2,0x7fd53f60,0x2a09fd00,0x3fe6007f,0x0007fe60,
    0x27f47fe6,0x3ee03fdc,0xd80ff706,0xffffffff,0x9fd6ffff,0xfe80ffe2,
    0xfd9bf604,0x2df12fd9,0xf1df50ff,0x805fb83f,0x3fe02ffa,0x4017fcc6,
    0x03ff76fe,0x7ec00ffc,0xf80ffe23,0x09ff003f,0x3a03fdc0,0x0ff9004f,
    0x3ff80bfe,0xf16e80f6,0x803fdc01,0x1ffd45fe,0x7fcc13fa,0x0001ff53,
    0x7dc05ff1,0x80bfe20f,0xffb80ffb,0xd001dffe,0x4007fe3f,0x06fb8ffb,
    0xf7001ff3,0x90ffb80f,0x817fa0bf,0x7ff12ff8,0x7f413fa0,0x317f6005,
    0xfd0003ff,0x7dc27f47,0xb837dc07,0x7554c07f,0xadfcaabf,0x3fa9fd2a,
    0xb027f405,0x7d4fecbf,0x43fe7f75,0xb8bfb6fa,0x2ffc405f,0xfd8bfea0,
    0xf9ff3006,0x21ff809f,0x217ec3e9,0x1ff306fe,0x8013fe00,0x27f407fb,
    0xff07fb80,0x7b1ffc05,0x07c57e20,0xf300ff70,0xe89ff03f,0x557fa04f,
    0x82ee00ff,0x099bff99,0xf998ffd4,0x7d4099bf,0xdfffc81f,0xf9be6001,
    0x200999af,0x301ffdfe,0x333335ff,0x501fee13,0x317f23ff,0x7d401ffb,
    0xfe837ec7,0xdfeb999d,0x83ff3000,0x5c001ff9,0x5c27f46f,0xaaaaaaff,
    0xff706fda,0x3ea3fc00,0x6fccfe84,0xf104fe80,0xff8ff47f,0x21ff0fe8,
    0x43ff36fa,0x7fec05fb,0xf36fe800,0x7fe4003f,0x21fe806f,0x20fec7fc,
    0x6fc80ffb,0x8013fe00,0x27f407fb,0xeeff8000,0x3ffeeeee,0xfecc88f6,
    0x7fc41f11,0x4fffffff,0xdfb07fa8,0x3f604fe8,0x3a01ff56,0x3fffe6ff,
    0x7fcc2fff,0xfffffff2,0x2a2ff985,0x8001fffe,0x3fffe3fd,0x3fe603ff,
    0x3ffe605f,0x74ffffff,0x2ff980ff,0xfffffff9,0x45fd803f,0xffe80ffb,
    0x00dfffff,0x3e617f60,0xffffffff,0x3a0ffc43,0xffffb84f,0x6fffffff,
    0x7c00ff70,0x7f41fdc7,0xfe800ffe,0x20ffd984,0xbf9f91fe,0x26fa8ffc,
    0x817ee5fe,0xf3002ffa,0x800bfb5f,0xe802fff8,0xe8bffa2f,0x41ffc41f,
    0x3fe003fe,0x01fee004,0x200009fd,0xffffffff,0x98f63fff,0x83e20cdf,
    0xfffffff8,0x0ffa84ff,0x27f45fc8,0x3feabfd0,0x1ffff980,0x5dddffdd,
    0xfdd2ff98,0xf985dddf,0xfffff52f,0x41ff1000,0x02eeeeff,0xf3007fec,
    0xdddddddf,0xf301fee7,0x3ffff25f,0x5ff004ff,0xfe83ff88,0xffffeeef,
    0x81ff9802,0xfffffff9,0x427ec3ff,0xeffb84fe,0xfeeeeeee,0x200ff706,
    0x417e46f8,0x804ffdfe,0xffdaadfe,0x98ff42ff,0x47fe2fff,0x43fea6fa,
    0xbff105fb,0xffffd800,0x7ffcc000,0xf32fd804,0x407f49ff,0x07fcc5fe,
    0x4009ff00,0x27f407fb,0x9bff8000,0x3ff99999,0x880f98f6,0x01fee00f,
    0x3fa0bfe6,0xf8827f44,0x101ff53f,0x7c41ffff,0x87fea02f,0x3ea02ff8,
    0xff73b51f,0xf8bf7000,0x7776401f,0x0eeeeffe,0x2e003fe6,0x8ffd407f,
    0x7ff715fc,0xe80ffa80,0x984fe86f,0x7ec01ffe,0x003ff305,0x27f41bea,
    0x3ee03fdc,0x200ff706,0x40fec5f9,0x02ffbcfe,0x7ffffff4,0x21ff80df,
    0xa97f47ff,0xfba7f46f,0x001ffb05,0x004fff88,0x01ffffe8,0xfbfc9fe4,
    0x3ee03fe7,0x001bee0f,0x7dc009ff,0x0027f407,0x2ff81df9,0x23d8ffe0,
    0x00f880f9,0x3e201fee,0x20ffd45f,0x6fe984fe,0x75403fea,0x017fc42e,
    0x7fc41ff7,0x203fee02,0xfe8007fb,0x3600ffc2,0xffffffff,0x03fe60ff,
    0xf701fee0,0xf717f21f,0x82fec01f,0x27f40ffb,0x2605ff88,0x3ff301ff,
    0x203ff100,0x07fb84fe,0x7fb837dc,0x3ffbbaa0,0xeeeffeee,0x3ff69fd0,
    0x333bfa01,0x83fe00ab,0xa97f44fc,0x5c7fdc6f,0x02ffa85f,0x001ff900,
    0x6fe9ffb8,0xd7e9fe40,0x7c41fe5f,0x000ffa2f,0x7dc009ff,0x8027f407,
    0x7fc5fffa,0x3d8ffe02,0x5c01f100,0xfff9007f,0xfd0dffb9,0xfffd999d,
    0x0007fd43,0xfb017fc4,0x202ff88d,0x0ff706fd,0xeeeffa80,0x5c001ffe,
    0x07fcc07f,0x3603fdc0,0x3a17f26f,0x3fffe05f,0x3fffffff,0xdfb027f4,
    0xf3037ec0,0xfff5003f,0xffffffff,0x01fee9ff,0x1fee0df7,0xffffffa8,
    0x0fffffff,0x3bfa29fd,0x8009fd00,0xd02620ff,0x3e1bea5f,0x7c45fbbf,
    0x3ee0005f,0xa7fc4007,0x3ee03ffa,0x2bf75f9c,0x4d7fa07f,0x7fc000ff,
    0x01fee004,0x3ee009fd,0x017fc6ff,0xb51ec7ff,0x5c01f103,0xffe8807f,
    0x42ffffff,0xfffffffe,0x007fd40c,0x9817fc40,0x17fc44ff,0xf704ff98,
    0xfffd800f,0x001fffff,0x3e603fdc,0x07fb800f,0x5fc8ffea,0xfa81ffb8,
    0xffffffff,0x027f45ff,0x3fe60bff,0x007fe602,0x3fffffea,0x4fffffff,
    0x6fb80ff7,0x3200ff70,0xfe83fc3f,0x7417fe64,0x3fe2004f,0xf53fe800,
    0xbf7df70d,0x0000ffc8,0xfd001fee,0x807fec1f,0xf12fbdfb,0x7dc0ff3f,
    0x8006fb8f,0x3ee004ff,0x8027f407,0x7fc3fff8,0x3d8ffe02,0x03e20ff2,
    0xfd807fb8,0xfc9cca9e,0x333bfa0f,0x03fea01a,0x20bfe200,0x7c40ffe9,
    0x0ffe982f,0x4400ff70,0xf99999ff,0x7776401f,0x0eeeeffe,0x2e003fe6,
    0x8dfd307f,0x09ff05fc,0x33333dfb,0x741ff933,0x07ff504f,0xff301bf6,
    0x3fa00003,0x5c07fb84,0x00ff706f,0x06f88bf2,0x3ffa89fd,0x22004fe8,
    0x3fd800ff,0xdff10df5,0x017fd4bf,0x801fee00,0x7fc42ffb,0x1fdbf505,
    0x1037e7f4,0x007fd5ff,0x5c009ff0,0x027f407f,0x5ff05710,0x47b1ffc0,
    0x00f880b8,0xff701fee,0xfd37f403,0x07fd4009,0x4dffc400,0x82fffca9,
    0xca99bff8,0x3ee02fff,0x417ee007,0x7fec01ff,0xffffffff,0x2003fe60,
    0xca999ffb,0x2fe41fff,0x7fc0ffb8,0xd17fcc03,0x7fe5449f,0x805ff306,
    0x00001ff9,0x0ff709fd,0xff706fb8,0xf987f600,0xf909fd05,0x004fe85f,
    0x36003fe6,0x320df53f,0xdfd15fff,0x33333333,0x007fb801,0x3ee0dff1,
    0x5fffa83f,0x2037f7dc,0x400ffefe,0xdff99998,0x3ee00999,0x0027f407,
    0x3e02ff80,0x2667363f,0xf9999999,0x101fee00,0x22e9809b,0x3ea004fe,
    0xffffffff,0xfffff107,0x2203dfff,0xffffffff,0x7ffdc01e,0x23ffffff,
    0xffff02ff,0x7fb80dff,0x7ffffcc0,0xff76ffff,0x1dffffff,0x3e20bf90,
    0x003fea4f,0xfffe97fa,0x00efffff,0xff300dfb,0x3fa00003,0x5c07fb84,
    0xfffff96f,0x3a0fffff,0x7417ea0f,0x41ffd04f,0x3e6004fe,0x2a9fb007,
    0xbfff106f,0x3fffffee,0x406fffff,0xffb007fb,0x207ff403,0x7c42fff9,
    0x7fdc05ff,0xfffc806f,0x4fffffff,0xfd01fee0,0xffffffff,0x80bfe007,
    0x3fff63ff,0xffffffff,0x01fee00f,0x04fe8000,0x3ffffea0,0xf107ffff,
    0x039ddfff,0xeeffff88,0xfff7001c,0x27ffffff,0x3ffe07fa,0x7dc06fff,
    0x7fffcc07,0xf76fffff,0x039ddfff,0xff902fe4,0x6401bf61,0xffffd0ff,
    0x7cc039df,0x1ff9802f,0x09fd0000,0x6fb80ff7,0xfffffff9,0x83fe0fff,
    0x09fd04fb,0x4fe9bfe2,0x401fe600,0x40df54fd,0xfff75ffc,0xffffffff,
    0x807fb80d,0x7d404ffa,0x07ffcc5f,0x22027fec,0xfc803fff,0xffffffff,
    0x01fee04f,0xfffffffd,0x000007ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x07930000,0x40000000,0x3ae2dec8,0xfdb7304e,0x3b2607dd,
    0x7dd914ef,0x1c880000,0x77765400,0xffedb82c,0x3b6e00ce,0x03ec82de,
    0xb7101dd1,0x75c07bdd,0x437b202e,0xbd5005ea,0xeec997a6,0x77775c0c,
    0x325eeeee,0x3225dd36,0x404ed83e,0x23d91ee9,0x540defda,0x49dd305e,
    0x1eeeeee8,0x002aa600,0x00000d44,0x100ddd4c,0x39101575,0x2d801d98,
    0x02aa02c8,0x54c01510,0x0bd7000a,0x5550d54c,0x3bbbbba2,0x443eeeee,
    0x004c02aa,0x07a62640,0x406fb800,0x01dfffec,0xe8806fb8,0xffbaffff,
    0xffff84ff,0x740effff,0xfedfffff,0xfeb85fff,0xfff801df,0xfffe9801,
    0x3fe66fff,0x80ffffff,0xffffffe8,0x4413fa0d,0x7ffd41ff,0xd00effff,
    0x5ff501ff,0xfc803fd4,0x3feeff35,0x3f20efff,0xffffffff,0x3ffe7f66,
    0x44fffd8f,0x3f200ffc,0x3ff2bfa6,0x3ee1ffff,0x20eff986,0x1ffffff9,
    0xfffffb80,0x027cc00d,0x21ec03d1,0x22ffffff,0x2fffffd8,0x1bf237e4,
    0x7dc1ff70,0x0fffdc0e,0x981fff10,0x00dffffe,0x540bffe2,0x2dff13ff,
    0xfffffff8,0xfb83ffff,0x1ffe884f,0x43ffb100,0x70002ffe,0xddef80df,
    0x7dc00fff,0xa8dfc806,0xff9affff,0x544ce740,0x85644ffc,0xf98dfffa,
    0x3fbff61f,0x3fe202ff,0x7ffcc02f,0x3a5b999b,0x02a621df,0x7d447bfa,
    0x4413fa4f,0x37fe61ff,0x06ffb98a,0xff88bff1,0x4007fc44,0xf9ff34fd,
    0x47ff933d,0xa9999998,0x3b7f64ff,0xf9afcfc8,0xf017fcc6,0x77f7f47f,
    0x2e5ffb89,0x077fcc6f,0x0ffccccc,0x5442ff60,0x0fe201fe,0xfd81ffd8,
    0x3aeaf60f,0x333be26f,0x27f40fff,0x3e207ff1,0xb87fe62f,0x201fffff,
    0x3e24fffa,0x05ffbadf,0x203feff6,0x97fe3ffa,0x99999999,0xff300999,
    0x05fffc89,0x441ffe98,0xb8003ffd,0x7fc0406f,0x4037dc02,0x8fff61fe,
    0x3f6003fc,0x20ffc807,0x21ff54fc,0x7dc06fd8,0x00efe805,0x70007fcc,
    0x47fea0df,0x3ff104fe,0xffa82ff4,0x6c7ff502,0x443ff06f,0xf99ff41a,
    0x06fd84ff,0x7ec5fe88,0x7c9ff71f,0xf505fe87,0x42fff41f,0x99bee7fc,
    0xf8800eff,0x2e7ee01f,0x26e89cee,0x227f12f9,0x87ffa24d,0x7cc01ffd,
    0x5ff3060f,0x3ea1ff98,0x745fd80f,0x7cefdc4f,0x3ffe201f,0xff113f65,
    0x3f2bf303,0x3e2ff984,0x8800005f,0x3fff24fd,0x077fd405,0x8009ff90,
    0x262006fb,0x37dc03fd,0xff71fe60,0x5002fd45,0x6fb801ff,0x43fdafdc,
    0x80000ff9,0xf9802ffa,0x0ffe002f,0x09fd3fe8,0x7fcc7fe2,0xd817f601,
    0x01ffa8ff,0x237dc5fd,0x0bff31ff,0x3f601ff2,0xf52fec0f,0x2e07fc1f,
    0x45fd80ff,0x1ff506fe,0x77fc5bee,0x03ff1000,0x6d7653e2,0x3fea7f36,
    0x5ffaaf8d,0x7e4fff44,0x2fec401f,0x2e0bfe60,0x2a2fec6f,0x21bf20ff,
    0x803ff118,0x07fe5ffa,0x47fa0bfa,0x7fcc1ff8,0x88893fe2,0x08888888,
    0x3ffd1000,0x802ffdc0,0xa980dffa,0xaaefdaaa,0x3ff662aa,0x7dc03fff,
    0x2a37cc06,0x01bea0ff,0x5400ff98,0xfeb7d45f,0x0002ff81,0x3a007fb8,
    0x7c401cff,0x753f601f,0x23ff104f,0x37dc06fb,0x7ffdfd10,0xffb1fec0,
    0xff987fc1,0xb8099300,0x22fd81ff,0x207fc5fa,0x7fc43ff8,0xf8827f42,
    0xff1df71f,0x7fc4001d,0x5b23f301,0xfb8bd0fa,0x101dfeff,0x403ffffd,
    0x400efffc,0x8ffa06fd,0x93fa1ff8,0x7c401ff8,0x1ffcc01f,0x85fd01ff,
    0x237dc4fa,0x53fa1ff8,0xfffffff8,0x0003ffff,0x07ff9006,0x40eff980,
    0xfffffffc,0x3fe7ffff,0x2a3feaab,0xaffdaaaa,0xdf50aaaa,0xffffffa8,
    0xfffda86f,0x75c0ffff,0xffffffff,0xf07fd6ff,0x2aaaaa3f,0xaaaaaaaa,
    0x4c00bfb0,0x80befffe,0xfffffff9,0x9fd5ffff,0x7e47fe20,0x203fd405,
    0x6405fff9,0x27fff14f,0x03fe67f8,0x03ff9800,0x22fd45fb,0x46fc80ff,
    0x04fe87fb,0x3bee3ff1,0xf88007fe,0x321f701f,0x21b63edf,0x8803ffe8,
    0x75c03fff,0xe880effe,0x1ff501ff,0x3bee37e4,0xf1017f20,0x0ffb803f,
    0x3ff30bfa,0x2fe80ff8,0x3fe87fe2,0xfffffff1,0x0007ffff,0x05ffb100,
    0x87ffa200,0xffdcccca,0xbf74cccc,0x3ffa3fd8,0xffffffff,0xa8bf71ff,
    0x5eeeeeff,0x3bbbffa2,0x3f60ffee,0xeeffeeef,0x8bfb4eee,0x3fffa7f9,
    0xffffffff,0x000bfb1f,0x89ffffd7,0xfffffffa,0x9fd5ffff,0x7ec7fe20,
    0x203fd405,0x5c03fff8,0x2df9f55f,0x03fe66f9,0x02ffc400,0x22fd45fb,
    0x1ff980ff,0x13fa13fa,0xefb8ffc4,0x44004ffa,0x21f501ff,0x9761fbec,
    0xdfefefc8,0x3ffff601,0x89ff1001,0xf101ffe9,0x40ffcc5f,0x0ffa24fe,
    0xa881ff88,0x7fdc3ffd,0x5c5feb9b,0x01ff304f,0x00000000,0x005ffd00,
    0x01fff880,0xefa81bee,0x2e3ffd99,0xcffdcccc,0xdf50cccc,0x6c01ffb8,
    0x0ff981ff,0x37d45ff3,0x2eb7fe60,0x3332e3ff,0xcccccccc,0x000df90c,
    0x327ffdc4,0x7f4001ff,0x323ff104,0x037dc06f,0x807ffff6,0xfd1fb6fa,
    0x7fccbf53,0x1dfb0000,0xbf517ec0,0x9fd00ff8,0x3fa03fe6,0x2e3ff104,
    0x007ff76f,0xf980ffc4,0x4f9b6d92,0x55f19ff7,0x5ffb0bff,0x3a003ffd,
    0x037fee5f,0x27f45fd8,0x3e61ff98,0x03ff100f,0x3205dffb,0x20dfffff,
    0x3b200dd8,0x00000003,0xffe88000,0xffb10002,0x406fb805,0x3fceffff,
    0x26037dc0,0x017fe46f,0x7fcc0ffe,0x7fa8df70,0xfffffb80,0x3ee00004,
    0xfd80000f,0x800bfe27,0x3ff505fd,0xfd803fea,0x367ff205,0x1ff100ef,
    0x3ef3eedf,0x0003fe64,0xfb007ff2,0x3fe2fd45,0x3f2ff700,0x2209fd05,
    0x64df71ff,0xff1002ff,0x36cb7403,0x3a63f73f,0x13627f11,0x3fa23ff9,
    0x2eaaa21f,0xfff72ffd,0x7dcddddd,0x701bee0f,0x266fc8df,0x4cdffccc,
    0x2e6006ee,0x000002bc,0x00000000,0x01ffec00,0x007ffa20,0x2ea01bee,
    0xfb803512,0xb07fc406,0x7fc409ff,0x2e1ff902,0x00ffe45f,0x00056544,
    0x013fe600,0xfd1fee00,0x43fe400d,0xff11fff8,0x40bfe207,0xbff13ffa,
    0x89fdffc0,0x3e63fcef,0x7fd4000f,0x2a2fd802,0x8807fc5f,0xd02ffaff,
    0x47fe209f,0x17fec6fb,0x100ffc40,0x7ed455bf,0xc80fe204,0x7ff441ff,
    0xffffff30,0x7ffffe47,0x50ba67ff,0x819d003d,0x3fffea3e,0x00007fff,
    0x00000000,0x00000000,0x4c013ff2,0xf7000eff,0x5c00000d,0x53fe806f,
    0x0447ffff,0xffe98bff,0x7dcff30f,0x000085ff,0xf9009d50,0x3339819f,
    0xf317fe60,0xfb8201bf,0x3fffe63f,0xd30fff21,0x17fe20df,0x3fa09ff5,
    0x3fbfa0fe,0x8003fe61,0xfb004ff8,0x3fe2fd45,0x1ffbf600,0xff104fe8,
    0xfd11bee3,0x1ff8803f,0x65e7f4c0,0x27cc04fe,0x3a203d30,0x2af32e23,
    0x555554c0,0x000002aa,0x55555100,0x00000555,0x00000000,0x80000000,
    0x2e00dffa,0x7dc005ff,0x3bbbb606,0x2e01eeee,0xeffa806f,0xeeffdaff,
    0x3bbfee2f,0x20ffbfff,0xf9dfefff,0xdb2feeff,0x3ddddddd,0x00bffe20,
    0xfdffffb1,0x3bbfeedf,0xc81ffffe,0xfeeeefff,0x7f7fffc7,0x3a21ffaf,
    0xefffefff,0x901ffd00,0xdffb05ff,0x260fffb8,0x3f6000ff,0xffffffff,
    0x7d45fb1f,0xf5007fc5,0x27f409ff,0xdf71ff88,0x643ffd10,0xffffffff,
    0xfdc882ff,0x013001ce,0x00000000,0x00000000,0x00000000,0x00000000,
    0x30000000,0xff903dff,0x3e000009,0xffffffff,0x401bee02,0x3f63fffb,
    0x7fdc1fff,0x41ff1dff,0x3aa4ffd9,0xfff1ffff,0x05ffffff,0xa800fffc,
    0x53effffe,0x9ffffffd,0x7ffecc01,0x7f445fff,0x03ff1eff,0x09dfffd7,
    0xe8817fe4,0x1ffe40ff,0xff31ffe2,0x7ffec001,0x1fffffff,0x22fd45fb,
    0x7ff400ff,0x4413fa01,0x20df71ff,0xff90fff9,0xffffffff,0x00000005,
    0x00000000,0x00000000,0x00000000,0x00000000,0x88000000,0x3ff61ffe,
    0x26000002,0x99999999,0x00026200,0x22004c03,0x31004001,0x99999981,
    0x32600999,0x40310002,0x80009998,0x4c400998,0x00130000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xb1000000,0x1001fa8b,0xffffffff,0x00009fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fffffe2,0x714fffff,0x77777777,
    0x04020177,0x00d54400,0x5dc00013,0x550bbbbb,0x55555555,0x26155555,
    0x3ccccccc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xa8000000,0xffffffff,0x6fa81fff,0xf30037dc,0xfff701df,
    0x2037503d,0x1ffffffe,0xffffffff,0x5fffffff,0x3fffffea,0x0000005f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xcccccc98,0xd81ffccc,0x03ffa1ff,0x5413fe60,0x41ffffff,0x333302fe,
    0x33321333,0xcccccccc,0x9931cccc,0x00799999,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x44e981ff,
    0xff9803e9,0x7453f602,0x03ff32ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x000ffc00,
    0x3fe00000,0x7ffffec1,0x00000005,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0ffc0000,0x20000000,
    0xfffc80bb,0x0000000d,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x66400000,0x00000000,0x0004c400,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_28_latin_ext_x[560]={ 0,5,3,0,1,0,0,6,4,3,2,1,3,3,
5,1,1,1,2,2,0,2,1,1,1,1,5,3,1,1,2,4,0,0,2,1,1,2,2,0,1,2,2,2,
3,0,1,0,2,0,2,1,1,1,0,0,0,0,1,4,2,3,1,0,0,1,2,2,1,1,0,1,2,2,
1,2,2,1,2,1,2,1,2,2,0,2,0,0,0,0,2,2,6,3,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,5,1,1,1,0,
6,1,0,0,3,1,1,3,1,0,2,1,3,3,0,2,1,5,5,3,3,2,0,0,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,-1,-1,0,1,0,0,0,0,0,0,2,1,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,2,0,2,1,1,0,0,2,2,2,0,0,3,
2,-4,-2,2,1,0,2,0,0,1,2,0,0,0,1,2,0,0,0,0,0,0,0,0,-1,0,2,2,-1,0,
0,0,0,0,1,2,0,0,1,0,0,-3,1,0,0,0,0,0,0,0,0,0,0,0,1,2,0,0,0,0,
0,0,0,0,0,0,0,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,-2,-2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,2,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__consolas_28_latin_ext_y[560]={ 20,0,0,2,-1,0,1,0,-1,-1,0,5,15,11,
15,0,1,2,1,1,2,2,2,2,1,1,6,6,4,9,4,0,0,2,2,1,2,2,2,1,2,2,2,2,
2,2,2,1,2,1,2,1,2,2,2,2,2,2,2,0,0,0,2,23,0,6,0,6,0,6,0,6,0,0,
0,0,0,6,6,6,6,6,6,6,1,6,6,6,6,6,6,0,-3,0,9,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,20,6,-1,1,2,2,
-3,0,0,1,1,7,11,11,0,1,0,3,0,0,0,6,0,9,20,0,1,7,0,0,0,6,-3,-3,-3,-3,
-3,-4,2,1,-3,-3,-3,-3,-3,-3,-3,-3,2,-3,-3,-3,-3,-3,-3,6,-1,-3,-3,-3,-3,-3,2,0,0,0,
0,0,0,-1,6,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,3,0,0,0,0,0,0,0,
-3,1,-3,0,2,6,-3,0,-3,0,-3,0,-3,0,-3,-1,2,0,-3,1,-3,0,-3,0,2,6,-3,0,-3,0,
-3,0,-3,0,1,-1,-3,-4,2,0,-3,0,-3,1,-3,0,2,0,-3,6,2,0,-3,0,2,0,6,-3,-4,2,
0,-1,-1,2,0,2,0,-3,0,2,6,-3,0,-2,2,6,-3,1,-3,0,-3,0,1,6,-3,0,2,6,-3,0,
-3,0,-3,0,1,6,-3,0,2,1,-3,-1,2,1,-3,0,-3,1,-3,0,-4,-1,-3,0,2,6,-3,0,-3,0,
-3,-3,0,-3,0,-3,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-7,-5,-3,0,-3,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,1,6,2,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static unsigned short stb__consolas_28_latin_ext_w[560]={ 0,5,9,15,13,16,16,4,8,9,12,14,7,9,
5,13,14,13,12,12,15,12,13,13,13,13,5,8,12,13,12,9,16,16,12,13,14,11,11,14,13,12,10,13,
11,15,13,15,12,16,13,13,14,13,16,15,16,16,13,8,12,8,13,16,10,13,12,11,13,13,15,14,12,12,
11,13,12,14,12,14,12,13,13,12,14,12,15,15,15,15,12,11,3,11,15,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,5,12,13,14,15,
3,13,13,16,10,13,13,9,13,12,11,13,10,9,14,13,13,5,5,10,10,12,16,16,16,10,16,16,16,16,
16,16,16,13,13,13,13,13,14,14,14,14,15,14,15,15,15,15,15,12,15,14,14,14,14,16,12,12,14,14,
14,14,14,14,15,11,14,14,14,14,14,14,14,14,13,14,15,15,15,15,15,14,14,14,14,14,14,15,12,15,
16,14,16,14,16,13,14,14,14,13,14,13,14,13,16,18,15,15,13,14,13,14,13,14,12,13,13,14,14,15,
14,15,14,15,14,15,14,14,15,14,14,14,14,14,14,14,12,13,14,12,13,13,13,13,13,13,13,14,14,11,
12,18,17,14,17,14,12,14,14,13,12,14,14,14,13,12,15,15,15,15,16,16,15,15,16,15,13,13,16,15,
14,14,14,14,13,12,14,14,14,14,15,18,14,14,14,14,14,14,14,14,14,14,16,16,13,12,15,15,16,15,
16,14,14,14,14,14,14,12,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,15,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,16,14,16,15,17,17,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,13,12,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14, };
static unsigned short stb__consolas_28_latin_ext_h[560]={ 0,21,8,18,25,21,20,8,27,27,13,15,10,3,
6,23,20,18,19,20,18,19,19,18,20,19,15,19,17,7,17,21,26,18,18,20,18,18,18,20,18,18,19,18,
18,18,18,20,18,24,18,20,18,19,18,18,18,18,18,26,23,26,9,3,7,15,21,15,21,15,20,20,20,20,
26,20,20,14,14,15,20,20,14,15,20,15,14,14,14,20,14,26,29,26,7,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,20,25,19,18,18,
29,24,7,20,15,12,7,3,13,6,10,17,12,12,7,20,24,6,5,12,15,12,20,20,20,20,23,23,23,23,
23,24,18,24,23,23,23,23,23,23,23,23,18,23,24,24,24,24,24,13,24,24,24,24,24,23,18,21,21,21,
21,21,21,22,15,19,21,21,21,21,20,20,20,20,21,20,21,21,21,21,21,15,20,21,21,21,21,26,26,26,
23,20,23,21,24,20,24,21,24,21,24,21,24,21,23,22,18,21,23,20,23,21,23,21,24,20,23,21,24,26,
24,26,24,26,25,27,23,24,18,20,23,20,23,19,23,20,24,26,23,14,19,26,24,26,24,26,14,23,24,24,
26,21,21,18,20,18,20,23,20,24,20,23,20,22,24,20,24,20,24,21,24,21,20,15,23,20,24,20,23,20,
24,21,24,21,24,19,24,21,24,25,23,22,18,20,24,21,24,20,24,21,25,22,24,21,24,20,23,20,23,26,
23,23,20,23,20,23,20,20,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,24,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,27,26,23,21,26,23,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,25,20,24,25,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18, };
static unsigned short stb__consolas_28_latin_ext_s[560]={ 506,506,469,310,415,472,95,505,9,51,350,
52,435,130,504,82,496,464,456,34,267,418,375,241,101,361,504,352,1,479,14,
275,155,211,228,172,182,170,255,186,283,297,431,326,493,353,369,18,340,1,197,
47,478,389,447,431,414,397,383,188,255,322,455,113,493,83,285,139,358,164,305,
275,131,144,213,271,74,265,296,191,201,261,238,151,214,178,280,222,206,115,252,
331,5,310,84,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,506,503,402,
442,47,154,1,63,55,244,41,410,41,130,336,100,443,27,386,376,69,87,91,
505,504,424,113,397,1,479,462,451,212,65,195,127,1,254,137,271,181,393,335,
364,290,151,244,229,90,166,26,42,58,238,104,363,496,481,466,437,407,407,62,
216,483,468,121,31,489,353,97,496,426,328,313,298,35,200,167,65,229,314,200,
184,168,152,136,124,215,106,91,76,61,123,92,61,176,112,207,457,221,140,163,
396,206,368,377,420,392,382,268,300,106,441,224,50,193,1,162,16,302,498,96,
46,422,139,74,172,89,197,372,18,439,362,1,329,378,344,349,403,320,80,1,
283,259,323,482,255,178,269,149,241,309,424,331,14,297,434,1,75,182,122,230,
136,243,452,258,305,436,338,120,285,346,298,315,387,285,243,359,67,33,390,192,
406,238,420,134,343,105,260,77,469,48,372,18,357,120,319,32,290,446,453,475,
321,33,411,387,285,429,403,461,61,274,336,454,225,471,488,229,18,157,50,375,
127,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,490,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,34,77,110,19,105,144,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,343,154,18,357,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17, };
static unsigned short stb__consolas_28_latin_ext_t[560]={ 23,1,189,170,1,81,127,170,1,1,189,
189,189,205,189,81,126,170,149,149,170,149,149,170,149,149,81,149,189,189,189,
105,1,170,170,149,170,170,170,149,170,170,149,170,170,170,170,149,170,31,170,
149,170,149,170,170,170,170,170,1,81,1,189,205,189,189,104,189,104,189,149,
149,149,149,1,127,149,189,189,189,149,149,189,189,149,189,189,189,189,149,189,
1,1,1,205,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,23,56,1,
149,170,170,1,31,205,149,189,189,205,205,189,205,189,189,189,189,205,149,31,
179,97,189,189,189,149,126,126,126,56,81,56,81,81,31,170,31,56,56,56,
56,56,56,56,56,170,56,56,56,56,31,56,189,31,31,31,31,31,56,170,
105,104,104,105,105,81,81,189,149,81,104,104,104,127,127,127,127,105,126,105,
105,105,105,105,189,127,105,105,105,105,1,1,1,81,127,81,81,31,127,31,
81,31,81,31,104,31,81,81,81,170,81,81,127,81,105,81,105,31,104,81,
105,31,1,56,1,56,1,1,1,56,31,170,126,56,126,56,149,56,127,56,
1,56,189,149,1,31,1,31,1,189,56,31,56,1,104,127,170,127,170,127,
56,127,31,127,56,126,81,31,126,31,126,31,104,31,105,126,189,81,126,31,
126,81,126,31,104,31,105,31,149,31,104,31,1,56,81,170,149,1,104,1,
149,31,81,1,81,1,104,1,149,56,149,56,1,56,56,149,81,149,81,126,
127,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,1,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,1,1,81,127,1,81,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,1,127,31,1,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170, };
static unsigned short stb__consolas_28_latin_ext_a[560]={ 246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_28_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_28_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_28_latin_ext(stb_fontchar font[STB_FONT_consolas_28_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_28_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_28_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_28_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_28_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_28_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_28_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_28_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_28_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_28_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_28_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_28_latin_ext_s[i] + stb__consolas_28_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_28_latin_ext_t[i] + stb__consolas_28_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_28_latin_ext_x[i];
            font[i].y0 = stb__consolas_28_latin_ext_y[i];
            font[i].x1 = stb__consolas_28_latin_ext_x[i] + stb__consolas_28_latin_ext_w[i];
            font[i].y1 = stb__consolas_28_latin_ext_y[i] + stb__consolas_28_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_28_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_28_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_28_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_28_latin_ext_s[i] + stb__consolas_28_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_28_latin_ext_t[i] + stb__consolas_28_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_28_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_28_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_28_latin_ext_x[i] + stb__consolas_28_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_28_latin_ext_y[i] + stb__consolas_28_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_28_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_28_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_28_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_28_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_28_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_28_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_28_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_28_latin_ext_LINE_SPACING
#endif

