// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_31_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_31_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_31_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_31_latin_ext_BITMAP_HEIGHT        252
#define STB_FONT_consolas_31_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_31_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_31_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_31_latin_ext_LINE_SPACING          20

static unsigned int stb__consolas_31_latin_ext_pixels[]={
    0x013b29d9,0x664c0006,0x3310000c,0x00018013,0x22000988,0x55301301,
    0x54c00000,0x0aa6002a,0xaa855100,0x55cc4000,0x03530000,0xa7f65400,
    0x0002cefb,0x4c00154c,0x7ffe402a,0xfffb6fff,0x55549fff,0x5100aaaa,
    0x2e200015,0x0005d402,0x000002ea,0x00000000,0x00026200,0x00166640,
    0x006e6000,0x09881310,0x220ccc00,0x00980199,0xbfb5fd80,0x4004fa80,
    0x0001eff9,0xb809ffd1,0x7e40003f,0x89ff1005,0x3fe40ffb,0xff980000,
    0xfff7001f,0x87fc4007,0x2e000ff8,0x01ffffff,0x007ffe60,0x53ffff60,
    0x005ffffb,0x007fff70,0x901fffdc,0x2dffffff,0x4ffffffd,0x3ffffffa,
    0x005ff301,0x207fff10,0x9000fffb,0x36000dff,0x0bb5002f,0x7f6dcc00,
    0xfc801cef,0x6c0004ff,0x765404ff,0x403defff,0x2001fff9,0x017f46fa,
    0x7449ff70,0x3ff202ff,0xd80b60df,0x4c0bfb5f,0x3e6005ff,0x3a20004f,
    0xffd802ff,0x0bfe0002,0x3a3ffd40,0x03fe43ff,0x77fcc000,0xf9ff7000,
    0x7fec007f,0xd1005ffd,0xffb759ff,0x3ffee005,0x77fdc003,0xfd93109c,
    0xffb8009f,0xfb803ffc,0x3103ffcf,0x36dfb333,0x209999df,0x1ffeeeed,
    0x0005ff30,0x360dfff5,0xfd002fff,0xf88001ff,0x0dfb000f,0x3ffff200,
    0x201fffff,0x02fd9df9,0x405ffb00,0xffffffe8,0x7fdc06ff,0x3fe2003f,
    0x000ffedf,0x7f447ff5,0x37ff201e,0x04ffdfff,0x82fed7f6,0x54006ff9,
    0x3a20001a,0x405fb0ef,0x98002ffe,0xfd1000ff,0x640efb87,0x4c00007f,
    0x3ee004ff,0x007ff51f,0x037fff62,0x5c06ff40,0xff9801ff,0x37fc001f,
    0x2007fe80,0x7ff51ffb,0xfa8ffdc0,0x2dfb003f,0x7d4005fd,0x05ff301f,
    0x09fff100,0x4007fff2,0xa8006ffc,0x1bf6006f,0xbfffd300,0x03fd9757,
    0x03f98fdc,0x200cca80,0x9abdffe8,0x7cc05dba,0x74c001ff,0x5001efff,
    0x6ff447ff,0xfb135400,0x5fd809ff,0x3bfa0bfb,0x5bdb3000,0x10cc4000,
    0x7f4401ff,0x37e4000f,0x90080400,0x880000ff,0x04cc0009,0x31000662,
    0x02fe4001,0x5cc013f2,0x1ffc4001,0x000ffb80,0x01988133,0x03310266,
    0x2fedbf60,0x407fea00,0x30002ff9,0x02cb8079,0x26005dc0,0x03ffffec,
    0xd001bf60,0x05401bff,0x5f939f50,0x0bcb8800,0x0013ff20,0x80007260,
    0x4c400199,0x0000cc40,0x3f600262,0xff90bfb5,0x33be6003,0x200002fe,
    0xff9806fa,0x004c4004,0x3fe40000,0x00000000,0x80000000,0x7cc00ff9,
    0x4c000007,0xff3001ff,0x00000005,0xdb7ec000,0x7fd4005f,0x005ff301,
    0x00000000,0x7ffffe40,0x33301eff,0x3333dfd3,0x4ffb8133,0xfff90000,
    0xffe8800b,0x1ffd00ef,0x00000000,0x00000000,0xafec0000,0x27fc45fd,
    0x3e63f900,0xfd930004,0x32007fff,0x000001ff,0x26600333,0xaa88ff90,
    0x40066600,0x554c0099,0x0099999a,0x4ccd554c,0x01fec099,0x54c02fe8,
    0x099999aa,0x2001ff30,0x4c402ff8,0x99999999,0x9800ccc0,0x6dbf6009,
    0x7fd4005f,0x405ff301,0x0cc40998,0x33102660,0x13333333,0x2b3bff60,
    0xf81ffffc,0xffffffff,0x3e24ffff,0x200000ff,0xfb8001a9,0x3fe09f52,
    0x33310006,0xdd300333,0x22ee9803,0x74c01ee9,0x01ee982e,0x7ec1774c,
    0xffd8bfb5,0x5cff2000,0xffc8004f,0x01efffff,0x3006ff88,0x33333555,
    0x200ffec1,0x2ff94ff9,0x0effffe8,0x4c01ffd8,0xffd304ff,0xbfffffff,
    0x3ffffa60,0x265fffff,0x7f9000ff,0x3ffffa60,0x305fffff,0x3e2001ff,
    0x7ffd402f,0x45ffffff,0x7cc01ffd,0x6dbf604f,0x7fd4005f,0x205ff301,
    0x7e40effb,0x2a27fc07,0xffffffff,0x45ffa85f,0xf85ffffc,0xffffffff,
    0x3ea4ffff,0xdd30003f,0x02ee9803,0xd05f83f2,0xfd0003ff,0x803fffff,
    0x7cc02ffa,0x00bfea2f,0xff505ff3,0x82ff9805,0x44bfb5fd,0x744004ff,
    0x4000efff,0xfcaceffd,0xfc801fff,0x3ffa600f,0x5fffffff,0xf7013fea,
    0x3e7ff23f,0x86fffeff,0x7dc04ffa,0xcfffa81f,0x5fffffdc,0xdccfffa8,
    0x325fffff,0x6eff5c4f,0xff509f76,0xffffb99f,0x03fe60bf,0x2017fc40,
    0xfffffffa,0x27fd45ff,0xd807fee0,0x800bfb6f,0xff301ffa,0x01dff705,
    0x4ff80ff9,0x7fffffd4,0xefe85fff,0x7ff57f40,0x8037ec01,0x50000ffc,
    0xff9805ff,0x2e33ee02,0x5fff703f,0xffffe800,0x7fd401ff,0x517fcc02,
    0xff9805ff,0x402ffa82,0x5fd82ff9,0x0ffdcbfb,0x002aa800,0x7e45ffa8,
    0xf9805fff,0x9fff503f,0xbfffffb9,0x7f407fe8,0x33ffff26,0xd07ffb10,
    0x86fe80ff,0x7d40eff8,0x1dff104f,0xfe84ffa8,0x3fffff62,0xff889f75,
    0x027fd40e,0x44003fea,0x7c0002ff,0x407fe85f,0xb7ec06fe,0x7d4005fd,
    0x85ff301f,0xf900effb,0x004ff80f,0x3fea2ffc,0xffabfc43,0x8037ec02,
    0x2a0007fd,0x7fcc02ff,0x37ffec02,0x2fbfff60,0x1ffa8000,0x2017fd40,
    0x3fea2ff9,0x417fcc02,0x7cc02ffa,0xfb5fd82f,0x80037ecb,0x4002eeea,
    0x57f40efe,0xfe801ffe,0x40eff886,0xff704ffa,0xc8ffe605,0xdff02fff,
    0x2605ff70,0x1ffa83ff,0x3ea0ffb0,0x88ffb01f,0x23ff50ff,0xa8bf54fe,
    0x0ffb01ff,0x6c005fb8,0x7fc0004f,0x302ffb85,0x6fd807ff,0xfa800bfb,
    0x45ff301f,0x3200effa,0x027fc07f,0xff917fe0,0x3fe5fb81,0x8037ec04,
    0xfffa86fe,0x3fea2fff,0x017fcc02,0xfb8015d4,0x000cffff,0xf5007fea,
    0x2ff9805f,0xf300bfea,0x05ff505f,0xfd82ff98,0x3fe2bfb5,0xfffb0004,
    0x1ffd400d,0x17fd5fe2,0x2a07fe40,0x0ffb01ff,0x7e417fe2,0x80fff20f,
    0x7fc40ffc,0x901ff905,0x3fee01ff,0x700ffc81,0xd37d43ff,0xfa9ff47f,
    0xb807fe46,0x7ff301ff,0x02ffb800,0x2217fe00,0x1ff905ff,0xbfb6fd80,
    0x01ffa800,0x3fea5ff3,0x03fe400e,0xff0013fe,0xfd86fd8b,0xfb017fa2,
    0x21bfe00d,0x2ffffffa,0xf300bfea,0x554c405f,0xff91001a,0x2a007fff,
    0x7fd401ff,0x517fcc02,0xff9805ff,0x402ffa82,0x5fd82ff9,0x0ffe6353,
    0x7ffffc00,0x81ff9000,0x013fe5fb,0xff907fee,0x407fee01,0x5ff80ffd,
    0x3ea03fe4,0x80ffd81f,0x1ff905ff,0x3203fee0,0x1ff700ff,0x0ff8a7dc,
    0x22fd4bfe,0xff700ffc,0x1fff7541,0x7ffdc400,0x2ffc003e,0xff80ffd8,
    0xfb6fd805,0x1ffa800b,0xff55ff30,0x0ff9001d,0x7c004ff8,0x2237f45f,
    0x01ff60ff,0x3fa00dfb,0xfb999887,0x00bfea2f,0xfd705ff3,0x07ffffff,
    0x2ffff540,0x200ffd40,0x7cc02ffa,0x00bfea2f,0xff505ff3,0x82ff9805,
    0x5ff305fd,0xf7ff5000,0x1bf6007f,0x05fe8bf6,0x7e42ffa8,0x01ff700f,
    0xff30ffea,0x5407fc85,0x3ffa82ff,0xfa817fcc,0x20dfd03f,0xdfd03ffa,
    0x4ff53fc8,0x89f50ff8,0xdfd03ffa,0x003fffb8,0x027ffdc0,0x7d417fe0,
    0x017fcc3f,0x05fdb7ec,0x980ffd40,0x00effdff,0xff80ff90,0x22ffc004,
    0x237d45ff,0x3f600ffd,0x00ffb006,0x7fd45ff5,0x417fcc02,0xffeefffd,
    0x7d4003ff,0x7fd403ff,0x017fd401,0xffa8bfe6,0x417fcc02,0x7cc02ffa,
    0x505fd82f,0xfb0003ff,0x7401bfed,0xb07fc46f,0x7ff300ff,0xfd03ffa8,
    0x646ff80d,0x03fe40ff,0x7fc0bfea,0xd007fe46,0x3f6617ff,0x2fffa02f,
    0xd85ffb30,0x7d4bf93f,0x3fa13ee7,0x5ffb30bf,0x1ffeba98,0x5f7f4c00,
    0x2ffc001a,0xffc8dff0,0xfb6fd800,0x1ffa800b,0xffd7ff30,0x01ff2003,
    0xff8009ff,0xf917fe25,0x200ffc87,0xff9006fd,0x22ffa803,0x7cc02ffa,
    0x440bb82f,0x4000fffa,0x7d406ff9,0x17fd401f,0xfa8bfe60,0x17fcc02f,
    0x26017fd4,0x05fd82ff,0xf0003ff5,0x003ff29f,0x8df517fe,0x7cc00ffd,
    0x0bffe83f,0xc805ffb3,0x213fe1ff,0x7fdc07fc,0x7c3ff901,0x7ffec04f,
    0x403fffff,0xfffffffd,0xfb2fd83f,0x7f937dcb,0xffffffb0,0x9fd007ff,
    0x006fc800,0xf902ffc0,0x8027fc3f,0x00bfb6fd,0xf301ffa8,0x01fff35f,
    0xff80ff90,0x22ffc004,0x20ffc6ff,0x37ec07fd,0x405ffa80,0x3fea2ffa,
    0x017fcc02,0x0017fe40,0x3ea03ff4,0x17fd401f,0xfa8bfe60,0x17fcc02f,
    0x26017fd4,0x05fd82ff,0xa8005ff3,0x07ff51ff,0x7e45ff88,0x2007fe43,
    0xffd82ffa,0x03ffffff,0xff55ff88,0xc80ff903,0x57fe207f,0x3ea01ffa,
    0x0ceffdbf,0x7edffd40,0x5fd00cef,0x25fc97f6,0x5ffd41fd,0x000ceffd,
    0xfe800ff7,0x2ffc0003,0x3eabff10,0x2dfb001f,0x7d4005fd,0x25ff301f,
    0x6400effa,0x027fc07f,0xdfb17fe0,0x37f43fcc,0x4003ff60,0x3ea00ffe,
    0x00bfea2f,0x30005ff3,0xfd0007ff,0x01ffa80d,0x26017fd4,0x0bfea2ff,
    0xf505ff30,0x2ff9805f,0xff105fd8,0x47fd8007,0x6ff805ff,0x1ff60ffc,
    0xf507fee0,0x19dffb7f,0x6c7fec00,0x80ff906f,0x7fec06fe,0x7ec06fd8,
    0x13f60004,0x7e4bf600,0x3fc57fa5,0x400027ec,0xf1000ffa,0xff80005f,
    0x6c7fec05,0x5bf6006f,0x7d4005fd,0x45ff301f,0x3200effb,0x027fc07f,
    0xff917fe0,0x2ffc27e4,0x400fff20,0xf501effa,0x017fd45f,0x2000bfe6,
    0x54003ff8,0x7fd404ff,0x017fd401,0xffa8bfe6,0x417fcc02,0x7cc02ffa,
    0x535fd82f,0x0013fe23,0x0ffd89ff,0xff337ec0,0xf900dfd0,0x004fd81f,
    0xff7ff500,0xb81ff207,0x7fd401ff,0x7fc03ffb,0x1bfe0006,0x7e4ff600,
    0xf96ffc8e,0x000dff09,0x2003ff30,0x40002ff8,0x7fd405ff,0x36003ffb,
    0x800bfb6f,0xff301ffa,0x206ffc85,0x27fc07fc,0xf717fe00,0xf50bfa5f,
    0xfff9807f,0xfb03311c,0x933359ff,0x17fd45ff,0xb80bfe60,0xfffffeec,
    0x33357d53,0x03fff933,0x5401ffa8,0x7fcc02ff,0x300bfea2,0x5ff505ff,
    0xd82ff980,0x7f4bfb5f,0x0bfea007,0xfc807ff5,0x3fe13f27,0xf85fe805,
    0x3e00006f,0xf900ffff,0x7fe4c17f,0xfffff005,0xdfffd801,0x201acccc,
    0xcccdfffd,0x33fc81ac,0xffd7ffff,0xfffb01df,0x0359999b,0x2003ff30,
    0x40002ff8,0xfff805ff,0x3f6000ff,0x4c40bfb6,0x9affb999,0x05ff3099,
    0x3f20bffb,0x0027fc07,0xdff317fe,0x1ffb0ff1,0xfffff900,0x3fee09ff,
    0xffffffff,0x300bfea2,0xfff505ff,0x7fffffff,0x3fffffea,0x441fffff,
    0xaffb9999,0x7fd40999,0x517fd402,0xffa805ff,0x402ffa82,0x5fd82ffa,
    0x17fdcbfb,0xf887fd80,0x97fdc05f,0x1ffd42fe,0x360ffe60,0xccccdfff,
    0x3ff2001a,0x3fff205f,0x0cffffff,0x0bfff900,0xfffffd10,0x103dffff,
    0xfffffffd,0x27dc3dff,0x3f667db3,0xfffd100d,0x3dffffff,0x800ffcc0,
    0x40002ff8,0xffc805ff,0xb7ec005f,0x3fea05fd,0xffffffff,0x205ff35f,
    0x7fc85ffe,0x20027fc0,0xdffe85ff,0x01ffdc5f,0xfffffd50,0x7ff6cc07,
    0x7d42dfff,0x17fd402f,0x826fffe6,0xffb33ff8,0x17dfffff,0xffffff50,
    0x98bfffff,0x7fdc03ff,0x700ffe60,0x7ff301ff,0xd80ffb80,0x7c4bfb5f,
    0x0bff005f,0xf9803ff6,0xfd87f8ef,0x07fe400f,0x7fffff44,0x801effff,
    0x3201fff8,0xdeffffff,0x7ffc4002,0xceff8801,0xffffedcc,0x6677fc40,
    0x0ffffedc,0x20000df5,0xdccceff8,0x300ffffe,0x3e2003ff,0x7fc0002f,
    0x1fff8805,0xfdb7ec00,0x3fffea05,0x5fffffff,0x3a205ff3,0x03fe44ff,
    0xff0013fe,0x7ffff30b,0x01fff951,0x00066600,0xff980266,0x207fdc03,
    0xff101ffd,0x01333107,0xffffff50,0x88bfffff,0x3fe404ff,0xf9013fe2,
    0x013fe20f,0x57f60ff9,0x0ffec5fd,0x5c0bfea0,0x7ff402ff,0x1ffdc5fd,
    0x4413fe20,0xedccceff,0x4c00ffff,0xbfe405ff,0x26000098,0xfe8805ff,
    0x8fff6206,0x36206fe8,0x03ff13ff,0x06fe8800,0x4c0fff62,0xff1001ff,
    0x4ff80005,0x005ff980,0x0bfb6fd8,0x00000000,0x01ffc400,0x7d413fe0,
    0xefffffff,0x00cc4000,0x88019880,0x3fe404ff,0xff1037f4,0x00198807,
    0xe82fe880,0xbff300ff,0x2601ffd0,0x3ffa05ff,0x20bff300,0x88bfb5fd,
    0x7fec06ff,0xfeeeeeee,0x7ffcc05f,0xfffca8bf,0x407fec00,0x36206fe8,
    0x7fec03ff,0x003fe402,0x005ffb00,0xf9805ff5,0x00bfea4f,0x27ec9ff3,
    0x0bfea000,0x2609ff30,0xff5003ff,0x7fcc0003,0x02ffd803,0xbfb6fd80,
    0x00198800,0x00000cc4,0x4c005ff7,0x3fee03ff,0x0003efff,0x32000df9,
    0x1ffd006f,0x3a17fe60,0x7ffd306f,0x0006fc80,0xff503fe8,0x3fea215f,
    0xafffa80f,0x01fff510,0x8857ffd4,0xfb00fffa,0x3ee17f6b,0x3fffe02f,
    0xffffffff,0x7ffd400f,0x00efffff,0xfa81ffcc,0x27fcc02f,0x900bff70,
    0x2e0000ff,0xff7005ff,0x23ffa807,0x7d403ffb,0x007fea3f,0x403ffb80,
    0x3fe03ffa,0x01ffb006,0x00ffe400,0x40017fee,0x00bfb6fd,0x64006fc8,
    0x3600006f,0x3f2000ff,0x273f201f,0x4fe80001,0x009fd000,0x442bffea,
    0xfd80fffa,0x3fff264f,0x027f403f,0x803fe600,0xfffffffc,0x3ff202ff,
    0x2fffffff,0xfffffc80,0x3602ffff,0x3a0bfb5f,0xdffa81ff,0xdccccccc,
    0xffb802ff,0x8803efff,0x3fee06ff,0x11ffd403,0x003bff26,0x84001ff2,
    0x000effc9,0x2a03fff5,0x3fea0fff,0x1fff501f,0x7301ffd8,0x80fffd40,
    0x3600fffa,0xf9301cff,0x415b00bf,0x3084ffda,0x0001dff9,0x02fedbf6,
    0xd0013fa0,0x4150009f,0xad84ffd9,0x013ff6a0,0x200003ff,0x88001ff8,
    0x3f2001ff,0xffffffff,0xfffff302,0x07fd5fff,0x0000ffc4,0xb300bfe6,
    0x019fffff,0xfffffb30,0x7ecc0019,0x400cffff,0x20bfb5fd,0x7ec0eff8,
    0x2ffc400f,0x00ce7e40,0x401dfd10,0xf501fffa,0x3ffe21ff,0xf9001eff,
    0xfff1000f,0xd8003dff,0xfeeeffff,0xffd81fff,0xfffeeeff,0xbfffb01f,
    0xd80dfdd9,0xfeeeffff,0x7c401fff,0xff74ffff,0xff003fff,0x1dffffff,
    0xefffff88,0xffff9001,0x3fff6dff,0xff104fff,0x0ffc4003,0x7ffff400,
    0xfff80eff,0x00efffff,0x80001fe6,0xf30007f9,0xffb3000f,0x98019fff,
    0xd0dffffe,0x03fcc07f,0x4fffe800,0x00009880,0x20000262,0x3f600098,
    0x7cc0bfb5,0x802ffc6f,0x7fc00ffe,0x0ffd8001,0xeffffd80,0x21ffffee,
    0x003ffff8,0x44003fe4,0x0003ffff,0x3fffffae,0x3ae00bff,0xbfffffff,
    0x7fff5c00,0xeb801cff,0xbfffffff,0xfff91000,0x033ffee9,0x7ffffec0,
    0xffff103f,0xfffc8007,0xfffb6fff,0x3e609fff,0x03fcc007,0xfffffd80,
    0x3ffff604,0x098803ff,0x02620000,0x0004c400,0x40002620,0x13100009,
    0x36e20000,0x0000003e,0x00000000,0x017f6bfb,0x17fd45f3,0x202ffb80,
    0xf50007f9,0x7ff5c003,0x80bfffff,0x31000099,0x02660003,0xa9988000,
    0x4cc40009,0x3300009a,0x26620001,0x4400009a,0x00013109,0x4c004d4c,
    0x33100009,0x26213333,0x10099999,0x09880013,0x06a62000,0x0009a980,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7ed7f600,
    0x7fec0805,0x0bff3000,0x100004c4,0x2a662000,0x00000009,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7ec00000,
    0x0000bfb5,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x13109880,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x09910000,0xd100cc80,0x774c03dd,0xdddddd91,0x9ddddddd,
    0x80026200,0x40cc4099,0x2602eee8,0x098801ee,0x004c4000,0x00009880,
    0x26200000,0x33100019,0x00ccc403,0x75400000,0x0acdeeee,0x31026600,
    0x6c06eb83,0x004c00de,0x00098800,0x4cc00000,0xd50ccc41,0x2620003d,
    0x40004c40,0x20000098,0x44001998,0x02620009,0xa8800131,0x80155400,
    0x0bdefec9,0x01fe6000,0x3e607f88,0x3fe605ff,0xffffffb1,0xbfffffff,
    0x05fff700,0x7ccbff20,0x6fff984f,0x5007fe60,0x20007fff,0x4002fffb,
    0x1003fffa,0x0efa85fd,0x1effb800,0x1effb800,0x00fffa60,0xf50bfa20,
    0xffff501d,0x007fffff,0x7fd47ff2,0xfb03fe44,0x7ffe407f,0xc800b60d,
    0x00004fff,0xb801bffb,0x3ffa24ff,0x0007fee2,0x0bfa37d4,0x07fff500,
    0x3dff7000,0x1fffd400,0x7f45fb80,0x3ffe2002,0x00fff100,0xfffffff7,
    0x3ea0001d,0x81be6006,0x302ffff9,0x3332a3ff,0xcccfffcc,0x7fe403cc,
    0xf7003ffd,0x2607ffbf,0xf302ffff,0x6ffdc03f,0x7e4003ff,0x7003ffdf,
    0x007ffbff,0xffd8bff5,0x6ffdc002,0xdffb8000,0x07ffb000,0x6c5ffa80,
    0xcffa82ff,0x3ffffdba,0xffbff900,0x2e0ff907,0x3ff204ff,0x4ffdfffd,
    0xfb3bf300,0xffd80005,0x23ffa803,0x7dc1efe8,0xff10001f,0x001ffdbf,
    0x1ffeffdc,0x1bff7000,0x7effdc00,0xeff8803f,0x2000fffd,0x3e02fffa,
    0x77fec07f,0x1fffecac,0x405fb800,0xbcefeca8,0x37fffcc1,0x7401ff98,
    0xefc8006f,0x2009ff51,0x2603fffa,0xf306ffff,0x4bff203f,0xf9004ffa,
    0x013fea3d,0x3fea5ff9,0x542fe804,0x3ee000ef,0xff70003f,0x7ff70007,
    0x542fe800,0x1ffa80ef,0x2007ffa8,0xf902fffb,0x80bff30f,0x3fff626a,
    0x4c7ee004,0x3f60003f,0x3ffa801e,0x2e037fa2,0x260001ff,0x001efffe,
    0x7fd4bff2,0x3ffb8004,0xa97fe400,0xfe9804ff,0x44001eff,0x3fe00fff,
    0x417fea07,0xc8005ffc,0xfff9103f,0x98dfffff,0x982ffcff,0x37f401ff,
    0x2204cc00,0x02620019,0x3ff9ff30,0x2603ff30,0x800cc409,0x00cc4099,
    0x03310266,0x33000000,0x04cc0001,0x00331000,0x3fea0000,0x003ffd01,
    0xff9004c4,0x000eff88,0xa8001310,0x002fc9cf,0x20013310,0x00cc4098,
    0x00003ff7,0x33000333,0x80019881,0x99800099,0x3000cc40,0x54400033,
    0xd03ffc00,0x7fec01df,0x9fd73000,0xdbfffd03,0xf98ddbbf,0xf986fe9f,
    0x037f401f,0x00000000,0x5feaff98,0x0001ff98,0x00000000,0x00000000,
    0x00000000,0x20000000,0xff701ffa,0xfc800005,0x0007ff47,0xffc80000,
    0x2aaa005f,0x0000aaaa,0x01ffb800,0x00000000,0x00000000,0x00000000,
    0x20fff000,0x7d403ffa,0x7ffdc04f,0x3f25ffff,0x405fd0cf,0x2ffa9ff9,
    0x3a00ffcc,0xb730006f,0x8037ddfd,0xdefffeca,0x7dcffcc3,0x30ffcc1f,
    0xee9803dd,0x7f6dcc02,0x65401cef,0x83defffe,0x74c01ee9,0x3fb2a02e,
    0xe983deff,0x1774c01e,0xe9803dd3,0x3fb2602e,0xff500bde,0x007ff203,
    0x3bbfb6e6,0xfc9ff21b,0x764c001f,0x8000bdef,0x7f4001a9,0x001fffff,
    0x2f7bfb26,0x007fee00,0xdefec980,0x3b26000b,0x2000bdef,0x0bdefec9,
    0xeeeeed80,0x4c01eeee,0x1ceffedb,0xefedb980,0x83ffc1be,0x7c400ffc,
    0xfffb106f,0x7cbfdffd,0x300ffc7f,0x31bfa3ff,0x6fe803ff,0xffffb800,
    0xd107ffff,0xffffffff,0xf89ff98d,0x50ffcc5f,0xff9805ff,0x3ffff202,
    0x881fffff,0xfffffffe,0x02ffa86f,0x74417fcc,0xffffffff,0x402ffa86,
    0x3fea2ff9,0x817fcc02,0xfffffffc,0x81ffa80e,0xfb806fe8,0x7fffffff,
    0x1ffd5ff2,0x3ffff200,0x2000efff,0x2002eeea,0x1ffeeeed,0xfffff900,
    0x3ee01dff,0xff90001f,0x01dfffff,0xffffff90,0xff9001df,0x01dfffff,
    0xfffffff8,0x3f201fff,0xffffffff,0x3fffee01,0x7fc7ffff,0x200dfb06,
    0xbff907fe,0x4462ff31,0x03fe25ff,0xff51ff98,0x200ffcc7,0x362006fe,
    0xcbabdfff,0xdffe887f,0x45dba9ab,0x1ff91ff9,0xff50ffcc,0x82ff9805,
    0xabdfffe9,0x7441fecb,0xba9abdff,0x02ffa85d,0x3a217fcc,0xba9abdff,
    0x02ffa85d,0xff517fcc,0x82ff9805,0xebaceffd,0x7fd41fff,0x0bffaa21,
    0xbdfffd88,0x3f27fcba,0x4004ff9f,0xebaceffd,0xfb001fff,0x54000dff,
    0xffd801ff,0xfffebace,0x001ffb81,0xbaceffd8,0x3601fffe,0xfebaceff,
    0x3ff601ff,0xfffebace,0x33333201,0x981ffdcc,0xbabdfffe,0xfd881fec,
    0xfcbabdff,0xfe837f47,0x30ffb006,0x837d4bff,0x0ff30fff,0x3fa1ff98,
    0x803ff30f,0x3f2006fe,0x320a00ef,0x7cc004ff,0x4c9ff11f,0x0bfea1ff,
    0xfd05ff30,0x205401bf,0xa8004ffc,0x7fcc02ff,0x0027fe42,0x26017fd4,
    0x0bfea2ff,0xfa85ff30,0x8bff905f,0xfffffffa,0x7fe402ff,0xffc8a00e,
    0x7d4006ff,0x0bff905f,0x03ffffe0,0x00ffd400,0x7e417fea,0x01ffb85f,
    0xc82ffd40,0xbff505ff,0x5417ff20,0xbff905ff,0x07fee000,0xa8037ffa,
    0x00effc80,0x3e0dfd0a,0x1ff9005f,0x3ee0ffc8,0x55dff905,0x1ff980df,
    0x7fccffe6,0x8037f401,0xd0006ff8,0xf98001ff,0x4c3ff61f,0x0bfea1ff,
    0xfb85ff30,0xffd0004f,0x5ff50001,0x742ff980,0xfa8000ff,0x17fcc02f,
    0xf9805ff5,0x0077f42f,0x7fd41ffb,0x00cfffff,0x20037fc4,0x02ffeffc,
    0xd803bfa0,0x7fd400ff,0x50003ffb,0xefe803ff,0x703ff600,0xfe8003ff,
    0x03ff600e,0xfd803bfa,0x00efe80f,0x20003ff6,0x7fdc1ffb,0xdff10004,
    0x10dfd000,0x3f200bff,0x3237f40f,0x3fffa04f,0x7fcc05ff,0x7cc7fec1,
    0x037f401f,0x0002ffd8,0xf3000dff,0x99ffcc3f,0x0bfea1ff,0x7c45ff30,
    0xff0000ff,0x3fea000d,0x217fcc02,0xf50006ff,0x2ff9805f,0xf300bfea,
    0x01ffd45f,0xffa93fea,0x02ffd99a,0x20017fec,0x1fff8ffc,0x403ffa80,
    0x7ec04ffa,0x2000dff6,0x3ea01ffa,0x27fd403f,0xa8007fee,0x7fd403ff,
    0x201ffd44,0x7fd44ffa,0x027fd403,0xf10ffdc0,0x360001ff,0xfe8002ff,
    0x200bff06,0x45ff87fd,0x7fe403fd,0xf300cfff,0x9cff983f,0x37f401ff,
    0x0006ff80,0x30007ffa,0x8ffd83ff,0x3fea1ff9,0x517fcc02,0x740007ff,
    0xfa8001ff,0x17fcc02f,0x20007ffa,0x7cc02ffa,0x00bfea2f,0x7fe45ff3,
    0x2a6ff800,0x07fec1ff,0x9000dff0,0x03bfe6ff,0xf001ff90,0x94ff80df,
    0xf50001ff,0x07fe403f,0x3ee37fc0,0x3ff2001f,0x646ff800,0x6ff800ff,
    0x7c007fe4,0xffb8006f,0x000ffea1,0xd0006ff8,0x01bfe0bf,0x2ffc37ec,
    0x32200bfa,0x984fffff,0xaffd81ff,0x37f401ff,0x0027fcc0,0x005fff70,
    0x3ea0ffcc,0x2a1ff9bf,0x7fcc02ff,0x0003ff22,0x002fffb8,0x26017fd4,
    0x7ffdc2ff,0x17fd4002,0xfa8bfe60,0x17fcc02f,0x3fa00dfb,0xf307fea7,
    0x13fe60bf,0xfb9ff200,0x037ec05f,0x3ea07fe8,0x007ff51f,0x6c03ff50,
    0x8ffd006f,0x36001ffb,0x8ffd006f,0xffd006fd,0xfd006fd8,0x3ff7000f,
    0x80007fe4,0xb0004ff9,0x01ffa0bf,0x3ffc2ffc,0xff8007fe,0x7cc6fffe,
    0xfdff981f,0x037f401f,0x0001ffd4,0x02fbfff6,0xfd03ff30,0x7d43ff3d,
    0x17fcc02f,0xb0000ffb,0x0017dfff,0xf9805ff5,0xefffd82f,0x2ffa800b,
    0xf517fcc0,0x2ff9805f,0x7ec01bfa,0x3607fea7,0x3ffa81ff,0x6c7fc800,
    0x1bfa03ff,0xfb03fec0,0x8005ff8f,0x3fa01ffa,0xb8ffb006,0x3fa001ff,
    0xe8ffb006,0x8ffb006f,0xffb006fe,0x43ff7000,0x2a0007fd,0xfb0003ff,
    0x00bff20b,0xffd07ff5,0x8003fe23,0x4ffe98ff,0x7ec07fe6,0x7f401fff,
    0x02ffb806,0xffffb800,0x3ff300cf,0x3ff9ff50,0x26017fd4,0x21bfa2ff,
    0x2ffffffa,0x9fffff70,0x017fd401,0x7dc0bfe6,0x200cffff,0x7cc02ffa,
    0x00bfea2f,0x2ffc5ff3,0xf50ffc80,0x0bff303f,0x90005ff7,0x1ffe88ff,
    0x3200bff0,0x89ff00ff,0x54000ffd,0x17fe01ff,0xf707fe40,0x2ffc003f,
    0x3e0ffc80,0x1ff9005f,0xfc802ffc,0x7fdc000f,0x3ea1bfa1,0x2e2fffff,
    0xfb0002ff,0x017fe60b,0xff501ffb,0x400ff31b,0x9ffe27f8,0xff101ff9,
    0x6fe803ff,0x001ffc80,0xffff9100,0x03ff307f,0xa87ffffa,0x7fcc02ff,
    0x3ea1bfe2,0x202fffff,0x3fffffc8,0x9805ff50,0x3f2202ff,0xf503ffff,
    0x2ff9805f,0xf300bfea,0x017fe25f,0xffa87fe4,0xc83ffb01,0xfc8001ff,
    0x40fff987,0xf9005ff8,0x85ff501f,0x54003ffa,0xbff101ff,0xb83ff200,
    0xff1001ff,0x43ff200b,0xf9005ff8,0x017fe21f,0x20007fe4,0x1bfe1ffb,
    0x3fffffea,0x0007ff22,0xffd004c4,0x813fee07,0x26fceffe,0xb1be6029,
    0x07fe61ff,0x401fffc8,0xffb806fe,0xea800002,0x7fcc5fff,0x3ffff701,
    0x26017fd4,0x21ffa2ff,0x2ffb9998,0xbfffd500,0x9805ff50,0xfd5002ff,
    0x5ff50bff,0x2a2ff980,0x7fcc02ff,0x6c017fe2,0x407fea7f,0x7fdc5ff9,
    0x07fc8002,0xbff0dff7,0x6c1ff600,0x05ff887f,0xf00ffd40,0x1ff600bf,
    0x55559ff7,0x2ffc5555,0x7fc7fd80,0xf8ffb005,0x0ffb005f,0x743ff700,
    0xb999887f,0x0bfee2ff,0xff980000,0xffda9acf,0x3ffa200e,0x05ffefff,
    0x4fff17ea,0x3e201ff9,0x37f401ff,0x001ffd40,0x7fff5000,0xff00ffcc,
    0x17fd43ff,0xfd8bfe60,0x02ffa807,0x21fffd40,0x7cc02ffa,0x7fd4002f,
    0x017fd43f,0xffa8bfe6,0xd17fcc02,0x9bfa00df,0x3fa01ffa,0x00ffea0f,
    0xfd81ff20,0x8037f44f,0x0bff06fe,0xa8003ff6,0x1bfa01ff,0x3ee37f40,
    0xffffffff,0x401bfa6f,0x037f46fe,0x37f46fe8,0x8006fe80,0x1ff61ffb,
    0xfa8bfea0,0x5950003f,0xfffffa80,0x8800efff,0xeffffffc,0x5c9f9014,
    0x07fe65ff,0xe803ff90,0x5ff9806f,0x7cc00000,0x807fe66f,0x3ea1fffb,
    0x17fd402f,0xfa803ff9,0xff98002f,0x2017fd46,0x98002ffa,0x17fd46ff,
    0xfa8bfea0,0x17fd402f,0x3fe00ffb,0xa807fea5,0x17fe64ff,0x881ff200,
    0x1ff62ffe,0x7d42ffc0,0x05ff702f,0xb00ffd40,0x17fe00ff,0xfffffff7,
    0x3fecdfff,0x7ec5ff80,0xd8bff007,0x0bff007f,0x643ff700,0x7fd401ff,
    0x0017fe62,0x3007ffe6,0x17dffff9,0x139fd000,0xfeacdfa8,0x00ffffdd,
    0x001ff900,0x00fff800,0x3ff40000,0x3fe60000,0x507fdc03,0xffa80bff,
    0x8ffd0002,0x7dc03ff9,0xffd0000f,0x5c03ff98,0x0ffe60ff,0x7e41ff70,
    0x27fd402f,0x3ffe0000,0x40000000,0x7d402ffc,0xeeffd84f,0x5ffeeeee,
    0x807fea00,0x7d402ffc,0xf900004f,0x4ffa805f,0x2a017fe4,0x17fe44ff,
    0x0013fea0,0xffa83ff2,0x217fd405,0x5c000fff,0x3a002fff,0x7fc0005f,
    0xfffff501,0x03dfffff,0x403ff400,0xff900198,0xe8000009,0x0198806f,
    0x6404ff88,0x00ffe87f,0x4000bfea,0x27fc46fe,0x8001ff20,0x27fc46fe,
    0xff11ff20,0x4c7fc809,0x7fec05ff,0x800cc400,0x80004ffc,0xff980198,
    0x407fec05,0xffffffff,0x000fffff,0x7cc03ff5,0x07fec05f,0xf3006620,
    0x0ffd80bf,0x3602ffcc,0x2ffcc0ff,0x0003ff60,0x3ffa1ffe,0x90bfea00,
    0xe88009ff,0x3f2000ef,0xff10001f,0x3fb6e201,0x001cdfff,0x4037fc40,
    0xff1006fc,0x0000809f,0xf9009ff5,0x03ffa00d,0x7d42ffcc,0x5ff501ef,
    0x09ff5000,0x3e601ffd,0xff50005f,0x201ffd09,0xffe85ff9,0xb0bff300,
    0x3fee07ff,0x006fc804,0x0809fff1,0xd8037e40,0x9ff703ff,0x999bff50,
    0x5ffb9999,0x007fea00,0x3ee07ffb,0x06fc804f,0xf703ffd8,0x0fff609f,
    0xfd827fdc,0x09ff703f,0x2ffcc062,0xa80f7fd4,0x7ffc42ff,0x00620404,
    0x88bbfea0,0x03fcc00d,0x0001ff10,0x03ffd710,0x5c009fd0,0x99abefff,
    0x55f547da,0xffc99999,0x04fe801f,0x215fff50,0xb00fffa8,0x33359fff,
    0x5f545ff9,0xfc99999a,0xfffa81ff,0x1fff510a,0x999abea8,0x81fffc99,
    0x510afffa,0xff501fff,0x3fea215f,0xcfff980f,0x0fffca8a,0x2004fe80,
    0x9abefffb,0x7f407da9,0x9fff3004,0x1fff9515,0x8801ffb0,0xff5005ff,
    0xcfff9803,0x0fffca8a,0x9804fe80,0xca8acfff,0xff300fff,0xff95159f,
    0x3ffe601f,0xfffca8ac,0x335bf300,0x3603fffb,0x999acfff,0xffb82ffc,
    0xda99abef,0x3f200007,0x05ffffff,0xf30037d4,0x3fa0000f,0xff8804ff,
    0x7ffd4001,0x47ffffff,0xfffffffa,0x8801ffff,0x3f2001ff,0xffffffff,
    0x7fffdc02,0x22ffffff,0xfffffffa,0x3201ffff,0xffffffff,0xffffa82f,
    0x1fffffff,0x3fffff20,0x3202ffff,0xffffffff,0x3ffe602f,0x00efffff,
    0x4001ff88,0xfffffffa,0x3fe207ff,0x3ffe6001,0x00efffff,0x3fa00bff,
    0x4cccc40f,0x0999affb,0xffffff98,0xf8800eff,0xfff3001f,0x01dfffff,
    0xffffff98,0x7cc00eff,0xefffffff,0x3fffe600,0x5c03ffff,0xffffffff,
    0xfff502ff,0x0fffffff,0xfffb8000,0x7dc01eff,0x01bea005,0x017ff400,
    0x10007f98,0x9bffffd9,0xffffd985,0x000befff,0xb3000ff3,0x019fffff,
    0x3fffb660,0x7ecc2dff,0xbeffffff,0xfffd9800,0xfb300cff,0x7dffffff,
    0xfffb3001,0xb30019ff,0x019fffff,0xdfffdb10,0x03fcc007,0xfffec880,
    0x3e602cdf,0xfed88007,0x3ea03eff,0x5ff7002f,0xffffffa8,0x105fffff,
    0x07dfffdb,0x2003fcc0,0x3efffed8,0x3ffb6200,0x362003ef,0x003efffe,
    0x3bffffd7,0x3ffb6600,0x4402dfff,0xcdffffec,0x98800002,0x7d7001aa,
    0x00164c00,0x44000980,0x11000009,0x04ccc400,0x00098800,0x00004c40,
    0x988004cc,0x44000099,0x4cc40009,0x4c400009,0x02620000,0x00018800,
    0x20000131,0x02620008,0x20031000,0xf3000ffd,0xffffa8bf,0x5fffffff,
    0x10001880,0x0c400013,0x000c4000,0x10000c40,0x33000013,0x00440001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x26660000,0x002a2000,
    0x0000ccc4,0x13100000,0x4cc40000,0x004c4001,0x00ccc400,0x26000988,
    0x2aaaaaaa,0x00199880,0x55300000,0x00555555,0x31000000,0x22000133,
    0x00980199,0x31026600,0x01998803,0x9803dd30,0x033102ee,0x05530133,
    0x01998800,0x00262000,0x00015100,0x75400262,0xeeeeeeee,0x553002ee,
    0x4c405555,0x00004c40,0x2000d440,0x1001effb,0xd3001fff,0x220007ff,
    0x077d42fe,0x01fffd40,0x0f7fdc00,0x07fff500,0x0f7fdc00,0x01fffd40,
    0xffffffd8,0xffe9806f,0xdb730003,0x6c037ddf,0x6fffffff,0x2a17f440,
    0xd10000ef,0x2e0007ff,0x3f201eff,0x00b60dff,0x7fccbff2,0x1fff4c04,
    0x2017fd40,0xff302ff9,0x203bf629,0x20001ff9,0x0003ffe9,0x003fffa8,
    0x001fff10,0x803fffa8,0xfffffffa,0x2e03ffff,0xffffffff,0xe8df500f,
    0x7f65402f,0x7c43deff,0xff7001ff,0xfffa8009,0x0fff6002,0xb17fea00,
    0xffb805ff,0x20003ffd,0x2000dffb,0x03ffdffb,0x00dffb80,0x3ffdffb8,
    0xcccccb80,0x3f6003cc,0x7fdc003f,0x07ffffff,0x3333332e,0x2ffd403c,
    0x2000bff6,0x0001ffe8,0x6401bff7,0xfdfffdff,0xbff7004f,0x7ec007ff,
    0x17fd403f,0x880bfe60,0x00efeefe,0x200017f6,0x20003ffd,0x03ffdffb,
    0x02fffa80,0x3ff7fee0,0x55554403,0x0aaaaffe,0xffffffa8,0x100ffeee,
    0x1ffdbfff,0x3ffffa20,0x7d46ffff,0xffb803ff,0xfff88002,0x1ffdc000,
    0x2a17f400,0x3ff200ef,0x0009ff52,0xc8007ff7,0x09ff52ff,0x801ffdc0,
    0x9ff52ffc,0xb8000000,0xfd8803ff,0xfcbabdff,0x74000007,0x0077d42f,
    0x0037fa20,0x401ffdc0,0x3fff626a,0x7ffd4004,0x3ffb8003,0x300bfea0,
    0xfe8805ff,0x7fd400df,0xffb80000,0x2ffc8003,0x88009ff5,0xf9000fff,
    0x013fea5f,0xf100dfd0,0x5cdfffff,0x3fa600ff,0xfd101eff,0xb75357bf,
    0x01fff88b,0x20000998,0x310000a8,0x00000003,0x01988133,0x80009980,
    0x00cc4099,0x4c001330,0x000cc409,0x0cc40000,0x0077fe40,0x00000005,
    0x03310000,0x00099800,0x80004c40,0x22000098,0x0bfea019,0x1005ff30,
    0x27f40033,0x01988000,0x4c409980,0x00a88001,0x33102660,0x806fe800,
    0x6ffffffe,0x26003fee,0x27fe4019,0x000dcc00,0x00000000,0x00000000,
    0x00000000,0x00000000,0xd9300000,0x00017bdf,0x037fc400,0x200f74c0,
    0x00002ee9,0x00000000,0x00000000,0xfa800000,0x17fcc02f,0x7fb80000,
    0x00000000,0x00000000,0x3fa00000,0x7fffc406,0x3fee6fff,0x3fa00000,
    0x2000000f,0xbeefedb9,0xfedb9801,0x64c01cef,0x800bdefe,0xeeeeeeed,
    0x75401eee,0xd50002ee,0x3aa005dd,0xeeeeeeee,0xeeed82ee,0x1eeeeeee,
    0xeeeeeed8,0xf901eeee,0x1dffffff,0xeeeeed80,0x361eeeee,0xfa8002ff,
    0x17fcc02f,0x00bbbaa0,0xdeeeeea8,0xeea800ac,0x77540001,0xeee8802e,
    0x507ba602,0xdddddddd,0x3fea5ddd,0x417fcc02,0xcdeeeeea,0x17fc400a,
    0x3bbaa000,0x00f74c02,0xeea83dd0,0xeeeeeeee,0x005dd92e,0xfd013ba6,
    0xffff980d,0x3fee6fff,0x77777540,0x22eeeeee,0x530006ff,0x7fffdc03,
    0x6407ffff,0xffffffff,0xffff901f,0xf801dfff,0xffffffff,0x7fec01ff,
    0xffb0006f,0x3fea00df,0xffffffff,0xfffff83f,0x81ffffff,0xffffffff,
    0xffd81fff,0xfffebace,0x3ffffe01,0x21ffffff,0xf50006ff,0x2ff9805f,
    0x037ffec0,0xffffff50,0xfb807fff,0x7ec0001f,0xff9806ff,0x07fe606f,
    0xfffffff5,0x3ea7ffff,0x17fcc02f,0x7fffffd4,0x7ec03fff,0x7fec0006,
    0x0ffcc06f,0x541ff880,0xffffffff,0xdff33fff,0x00bff600,0xff980dfd,
    0x2e6fffff,0x7ffd40ff,0xffffffff,0x0007ffa3,0x3f6217f2,0xfcbabdff,
    0xbfffd307,0x03fd9757,0xd759dffb,0x7fc03fff,0xaaaaaaae,0x7fffc00a,
    0xfff8000f,0xaa8800ff,0xaaaffeaa,0xaaeff80a,0x80aaaaaa,0xaaaaaeff,
    0x7fd40aaa,0x40bff905,0xaaaaaeff,0x9ff30aaa,0x0bfea000,0xf805ff30,
    0x5000ffff,0xffb759ff,0x7fdc07ff,0x7ffc0001,0x7fcc00ff,0x3ff302ff,
    0xfeaaaa88,0xf50aaaaf,0x2ff9805f,0xdbacffa8,0x2603ffff,0x3e0001ff,
    0x2200ffff,0xff1002ff,0xeaaaa883,0x20aaaaff,0x7cc03ffd,0x06fe805f,
    0x7fffffc4,0x103fee6f,0x5ffd5555,0x7fdc1555,0x2fe4002f,0x50077fe4,
    0x8037ffa0,0x82ffd40a,0x3fe05ffc,0x7fd40005,0x54003ffb,0x003ffbff,
    0x3e00dfd0,0xbff0005f,0x01dfd000,0xff807fec,0x0ffea005,0x017fd400,
    0xfa80bfe6,0x5003ffbf,0xfff503ff,0x000ffdc0,0x7ff7ff50,0x6ffff980,
    0xd003ff30,0x17fd40df,0x2a0bfe60,0x7ffa81ff,0x80027f40,0x03ffbffa,
    0x4c00bfe2,0x6fe800ff,0x007ffc40,0xfd003ffb,0xffffd00d,0x07fdcdff,
    0x6c037f40,0x800befff,0x37fc45fd,0x04ffb800,0x401dfd00,0xbff00ffd,
    0xf6fd8000,0x6fd800df,0x3a000dff,0x0bff006f,0x0017fe00,0xfa807ff5,
    0x00bff04f,0x80017fdc,0x7cc02ffa,0x7dbf602f,0x3ff5006f,0x5c07ffa0,
    0x360001ff,0x980dff6f,0x981ffcff,0x6fe801ff,0x300bfea0,0x3ff505ff,
    0xa807ffa0,0xfd8000ff,0xff80dff6,0x01ff3003,0xf900dfd0,0x13fe609f,
    0x4c037f40,0x26ffffff,0xfe800ffb,0xffff7006,0x37ec019f,0x2000bff6,
    0x8000fff8,0x7d403ffa,0x00bff04f,0xff94ff80,0xca7fc001,0xfe8000ff,
    0x00bff006,0x90017fe0,0xdff001ff,0xc8017fe0,0xf50001ff,0x2ff9805f,
    0x7fe53fe0,0x01ffa800,0x3ee05ff7,0x3fe0001f,0x4c01ff94,0x985feaff,
    0x6fe801ff,0x300bfea0,0x3ff505ff,0xf00bfee0,0x9ff0007f,0xff803ff2,
    0x00ff5003,0x3e201bfa,0x0ffe80ff,0x200dfd00,0x26fffffb,0xfe800ffb,
    0x3ff22006,0xdfb03fff,0x50006ff8,0x320007ff,0x6ff800ff,0x4000bff0,
    0x7ff51ffa,0x547fea00,0xfe8003ff,0x00bff006,0xb0017fe0,0x1ffa00df,
    0xf7002ffc,0x3ea0005f,0x17fcc02f,0xff51ffa8,0x03ff5007,0x7dc07ff2,
    0xff50001f,0x980ffea3,0x41ffb9ff,0xfe801ff9,0x00bfea06,0xff505ff3,
    0x007ff203,0xfa800df9,0x407ff51f,0x204c44fe,0xdfd007fa,0x513fee00,
    0x7f4007ff,0x3ff22006,0x003fee6f,0x54001bfa,0xfd85fffe,0x0013fe66,
    0x80007fe4,0xffd006fd,0x80017fe0,0x02ffc7fd,0x2ffc7fd8,0x8037f400,
    0xff0005ff,0x06fe800b,0x3fe0ffb0,0x0ffea005,0x017fd400,0x7ec0bfe6,
    0x5402ffc7,0x6fe881ff,0x0007fee0,0x17fe3fec,0xff89ff98,0x400ffcc5,
    0x3fea06fe,0x417fd402,0xfe881ffa,0x02ff8806,0xbff1ff60,0x3f227f40,
    0xe8037dc4,0x3ffa006f,0xd001bfa1,0x0cc000df,0xfd001ff7,0xffa8000d,
    0xf537ec3f,0x3f60007f,0x1bfa0007,0xff83fec0,0xaaaaaaae,0xfb13fe02,
    0x89ff001f,0x74000ffd,0x5dff006f,0x05555555,0x2aaabbfe,0x2ffc2aaa,
    0xf80ffc80,0xaaaaaaef,0x017fe62a,0x2017fd40,0x9ff02ff9,0x5400ffd8,
    0x3faa21ff,0x07fee02f,0x3627fc00,0x3ff300ff,0xff983ff2,0x206fe801,
    0x7dc03ff9,0x21ffa81f,0x002ffea8,0x7fc00bfb,0xd807fec4,0x2e3ffc4f,
    0x0dfd006f,0xfaaffd40,0x37f4002f,0x1ff70000,0x000dfd00,0xfe8dff30,
    0x000bfee7,0x7fd437f4,0x3fe2ffff,0x01ff9005,0xffffffff,0x3fea0fff,
    0x201ffd42,0x7fd42ffa,0x037f4003,0xfffffff8,0xfff07fff,0xffffffff,
    0xc802ffc4,0xffff80ff,0x47ffffff,0xa8000fff,0x7fcc02ff,0x542ffa82,
    0x7fd403ff,0x2fffffff,0x000ffdc0,0x3ea17fd4,0x23ff303f,0x3fe64ff8,
    0x206fe801,0x7e404ff8,0xffffa80f,0x002fffff,0x2a003fea,0x1ffd42ff,
    0x3fe65fd8,0x4017ee2f,0x7ec006fe,0x8006fe9f,0x200006fe,0xfe800ffb,
    0xffd00006,0x3ff27fe8,0x0dff0001,0x5ffffff5,0x64017fe2,0xefff80ff,
    0x05eeeeee,0xbff10ffb,0xf887fd80,0x37f4005f,0xeeefff80,0xff05eeee,
    0xdddddddf,0xb005ff8b,0x3bffe0ff,0x45eeeeee,0xa8004ffc,0x7fcc02ff,
    0xf887fd82,0x7ffd405f,0x800cffff,0xd8001ffb,0x05ff887f,0x7fec3ff3,
    0xd003ff30,0x0ffe80df,0x2a0bff30,0xcfffffff,0x04fe8000,0xff887fd8,
    0x7e4bf905,0x017f25ff,0x260037f4,0x001fffff,0x00006fe8,0x3a003fee,
    0xfd00006f,0x3ee7fe8d,0xffd0002f,0xff733310,0xd802ffc5,0x00bff07f,
    0x7ec17fe0,0x417fe00f,0x3a000ffd,0x0bff006f,0x0017fe00,0x3fa00dfd,
    0x800bff06,0x0404fff8,0xf300bfea,0x20bff05f,0x3ea00ffd,0x2ffd99af,
    0x001ffb80,0xffb05ff8,0x4c3ff301,0x03ff33ff,0xfa80dfd0,0xff510aff,
    0x2bfea03f,0x002ffd99,0xff807fb8,0x701ffb05,0x3fdff4df,0x3fa009f9,
    0xfffc8006,0xaaaa8805,0x0aaaaffe,0x01ff7000,0x0000dfd0,0x7fe89ff5,
    0x4000ffea,0xffa807fd,0x7401bfa2,0x00bff06f,0x2e05ff50,0x5ff502ff,
    0x800bfee0,0xbff006fe,0x017fe000,0x3e00ffb0,0x00bff05f,0x57dfff50,
    0xfa8fb533,0x17fd402f,0x7dc0bfea,0x07fea02f,0xfb801ffb,0x7fd4001f,
    0x305ff702,0x8ffd83ff,0xfe801ff9,0xffffc806,0x202fffff,0x7fec1ffa,
    0x1ffc4000,0x2e05ff50,0x36fb82ff,0x365ff1df,0x0dfd004f,0x01fff100,
    0xffffff50,0x007fffff,0x2003fee0,0x2faa06fe,0xfc99999a,0x33ff41ff,
    0x32000bff,0x7fd401ff,0x7c01ff62,0x00bff05f,0xddddffb0,0x20bffddd,
    0xeeeeeffd,0x2005ffee,0xbff006fe,0x017fe000,0xa805ff90,0x0bff04ff,
    0x3fffea00,0x4c7fffff,0x7fdc03ff,0x7777fec0,0x05ffeeee,0xff307fea,
    0x01ffb80b,0x7777fec0,0x85ffeeee,0x7fd41ff9,0xe801ff9b,0xffb3006f,
    0xa8039fff,0x2ffcc1ff,0xb037e400,0xddddddff,0xff50bffd,0xdafed3f2,
    0x0dfd003f,0x401bfa00,0xfffffffa,0x0003ffff,0x3fa00ff9,0x3fffea06,
    0x1fffffff,0x3fe0fff8,0xffa8000f,0x917fd405,0xffa805ff,0x000bff04,
    0xffffffff,0xf01fffff,0xffffffff,0x2001ffff,0xbff006fe,0x017fe000,
    0xd80bff30,0x0bff00ff,0x7ff5c400,0x7c42cdff,0x43fe404f,0xffffffff,
    0x500fffff,0x3ffb03ff,0x000ffdc0,0x3ffffffe,0x40ffffff,0xefe81ff9,
    0xfe801ff9,0x1ffa8006,0xb03ff500,0xf98003ff,0xfffff01f,0xffffffff,
    0x3fd7fa81,0x0ffa3fea,0x80037f40,0x200006fe,0xb0000efa,0x1bfa00df,
    0xfffffd98,0xff00adff,0x027fe41f,0x200ffe80,0x3fe62ffa,0x807fec05,
    0x7d4005ff,0xccccccdf,0x7d42ffdc,0xccccccdf,0xd002ffdc,0x17fe00df,
    0x002ffc00,0xfb81ffec,0x017fe04f,0x007fea00,0x7cc03ffa,0x66ffd45f,
    0xfdcccccc,0x03ff502f,0x7dc0bff3,0x3fea001f,0xcccccccd,0x7fcc2ffd,
    0xffcffa81,0x006fe801,0x2a002fe8,0x5ff981ff,0xa85fe800,0xcccccdff,
    0x4c2ffdcc,0x7fc6f9ff,0xfd002feb,0x1bfa000d,0x0ffc4000,0x27fc4010,
    0x1006fe80,0xf007ff53,0x7ffc41ff,0x7fd40404,0x85ff501e,0xff703ffd,
    0x002ffc09,0xf1003ff6,0x00ffd8bf,0xe802ffc4,0x0bff006f,0x0017fe00,
    0x22b3ffe6,0x200fffca,0xc80005ff,0xfff5006f,0x3ffea215,0x2007fec0,
    0xff505ff8,0x407ff603,0x36001ffb,0x7fc400ff,0xe80ffcc5,0xe801ffff,
    0x3fd4006f,0x407fea00,0x54001ffd,0x07fec0ff,0xf317fe20,0xdfd89f9f,
    0xdfd002fe,0x01bfa000,0x2037e400,0x7ff541ed,0x00dfd000,0x9800ffa8,
    0xefffb819,0x07da99ab,0x3359fffb,0xf985ff93,0xfca8acff,0x3bfe00ff,
    0xaaaaaaaa,0x74017fe0,0x017fe0ff,0x2a207ff4,0xaaffeaaa,0xaeff80aa,
    0x0aaaaaaa,0xaaaaeff8,0xf980aaaa,0xefffffff,0x5577fc00,0x00aaaaaa,
    0xf90027f4,0xffffffff,0x200bff05,0xffa80ffe,0x20bff301,0xaaaacffb,
    0x17fe2aaa,0xf307ff40,0x3ffee03f,0x5555441f,0x0aaaaffe,0x800bfea0,
    0xff301ffa,0x87ff000b,0xffd005ff,0x0ffffc41,0x207fffea,0xffeaaaa8,
    0xe800aaaa,0xf900006f,0x3ffea01f,0x03ffffef,0xffd55551,0x64015555,
    0xf500006f,0xffffffff,0x7fffdc0f,0x82ffffff,0xfffffff9,0x7ffc00ef,
    0xffffffff,0x2005ff51,0x5ff52ffb,0x50bfee00,0xffffffff,0xfff07fff,
    0xffffffff,0xffffff03,0x203fffff,0x3efffed8,0xffffff00,0x403fffff,
    0x4c001ff8,0x0cfffffd,0x7002ffa8,0x3ff505ff,0x5c07ff40,0xffffffff,
    0x05ff56ff,0xf98bfee0,0x3fffe01f,0x7ffffd41,0x03ffffff,0x401ffffc,
    0x3fa01ffa,0x3fdc000f,0x2e005ff5,0x3fffc2ff,0xa81ffff8,0xffffffff,
    0xfe803fff,0xff300006,0xffd303ff,0x5405dfff,0xffffffff,0x3f603fff,
    0x32200004,0x2cdffffe,0x7fff6cc0,0x36202dff,0x003efffe,0xffffffff,
    0x3ff63fff,0x2bff3000,0xf3000ffd,0xffffa8bf,0x3fffffff,0xfffffff8,
    0xff81ffff,0xffffffff,0x0018801f,0xfffffff8,0x2201ffff,0x4c40002a,
    0x007fec00,0xfa85ff98,0x13fea01f,0x3fffffee,0xffb6ffff,0x97fe6001,
    0x3ee01ff9,0x7ffd41ff,0xffffffff,0x176dc403,0x500ffd40,0x330009ff,
    0x98007fec,0x27ffc5ff,0xa80fffc8,0xffffffff,0xfe803fff,0x2e600006,
    0x2ea200ed,0xfffa801a,0xffffffff,0x0002aa03,0x00008800,0x440004cc,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x26000000,0x0009abba,0x30033310,0x4c400001,0x33100019,0xeed98003,
    0x00988001,0x80000000,0x22001998,0x0000000a,0x066204cc,0x00000980,
    0x13301aa8,0x20001988,0x301abb98,0x00198813,0x3604ccc0,0xeeeeeeee,
    0x550001ee,0x0a880055,0x31026200,0x98198801,0x3baa0009,0x0988002e,
    0xa98004c4,0x02aaaaaa,0x5555554c,0x5554c02a,0x0002aaaa,0xb8826600,
    0x7f4c0002,0x002fffff,0x201effb8,0x360dfffc,0x77fdc002,0xeffb8001,
    0x3ffe6001,0x3ea002ff,0xfd1003ff,0x000efa85,0x007bfee0,0x8007ffc4,
    0x77d42fe8,0x4cbff200,0xffc804ff,0x000b60df,0xfc80ffcc,0x009ff32f,
    0x3ffffea0,0x265ff903,0x2e0004ff,0x7ffc1eff,0xffffffff,0xeffb8001,
    0x3ffe2000,0xe8df5000,0xa7fcc02f,0x2000efd8,0x8006fffd,0x017f46fa,
    0xffffffd8,0x7ffec06f,0x6c06ffff,0x6fffffff,0x25550000,0x3ff61ff9,
    0xfff50002,0x005db99b,0x200dffb8,0xdfffdffc,0x3ee004ff,0xfb8000df,
    0x3ea000df,0x005ff73f,0x07ffbff7,0xfd8bff50,0xff70002f,0x7fd4001b,
    0xbff5002f,0x5c02ffd8,0x803ffdff,0xdfffdffc,0xf90004ff,0xfdffb80d,
    0xff30003f,0x5c07ddff,0x003ffdff,0x7c13fee0,0xaaaaaaef,0x7dc000aa,
    0xffa8004f,0xfff1002f,0x1001ffdb,0x01dfddfd,0x0fffff80,0x6fffc400,
    0x97000ffe,0x07999999,0xccccccb8,0x6665c03c,0x0003cccc,0x1bf2dfd0,
    0x2000bffb,0x80000eff,0x6a803ffb,0x013fff62,0x0003ffb8,0x50007ff7,
    0x402a9835,0x9ff52ffc,0xfa85fd00,0xffb8000e,0xfff88003,0x50bfa000,
    0xff5001df,0x89aa007f,0x0004fffd,0xf5005ff1,0x740007ff,0x7d4002ff,
    0x2e0003ff,0x17fe02ff,0x5ff70000,0x7c4002aa,0x3a6000ff,0x2001efff,
    0x000dffe8,0x1ffdffd4,0x7fff4c00,0x0000001e,0x00000000,0xfd6fe800,
    0x005ff887,0x0003ff98,0x80001330,0x4cc00098,0x02660000,0x00055300,
    0x0cc40998,0x30000000,0x54400013,0x00000000,0x20000262,0x2e000098,
    0x0262007f,0x04ff9800,0x00013100,0x7fc00998,0x4cc00005,0x8800ff30,
    0x3330000a,0x00662000,0x6ffb7ec0,0x00666000,0x00000000,0x80000000,
    0x80ff8efe,0xf98003fd,0x0000004f,0x00000000,0xfc800000,0x00000007,
    0x00000000,0x00000000,0x00000000,0x04fe8000,0x7dc00000,0x0000001f,
    0x0bff0000,0x4fc80000,0x00000000,0x7c000000,0x001ff94f,0x77540000,
    0xeeeeeeee,0xeeeed82e,0x01eeeeee,0x00177754,0x04dbfa00,0x80007fcc,
    0x54003ffe,0xeeeeeeee,0x77542eee,0xeeeeeeee,0x0bbba22e,0xdd91ee98,
    0x13ba6005,0x26001ff2,0x774c01ee,0x2005dd91,0xeee84ee9,0xeeeeeeee,
    0x777740ee,0xeeeeeeee,0x7777540e,0x2eeeeeee,0x77777774,0x20eeeeee,
    0x2602eee8,0xff5001ee,0xddddd901,0xdddddddd,0x00ffb009,0x7777776c,
    0x9001eeee,0xdddddddd,0x00017fe1,0x3fd55310,0xeeeeed80,0xd81eeeee,
    0xeeeeeeee,0x7774c1ee,0x001abcee,0x7fd47fea,0xeeea8003,0xffff5002,
    0x7fffffff,0xfffffff0,0xd803ffff,0x00006fff,0xffd037f4,0x7fdc0005,
    0xff5001ef,0xffffffff,0xffffa87f,0x3fffffff,0x981bffe6,0x0dff31ff,
    0x320bff60,0xffa8007f,0x997fd402,0xffb006ff,0xffffff05,0x1fffffff,
    0xfffffff8,0x40ffffff,0xfffffffa,0x7fc3ffff,0xffffffff,0x3fe60fff,
    0x07fe606f,0xfd82fec0,0xffffffff,0xe805ffff,0x3ffe007f,0xffffffff,
    0xffff8801,0xff1fffff,0x3a20000b,0x02ffffff,0x7ffffffc,0xff81ffff,
    0xffffffff,0x7fffd41f,0x00dfffff,0x2ffc7fd8,0x37ffec00,0xeaaaa880,
    0x80aaaaff,0xaaaaaeff,0x7fc00aaa,0x20000fff,0x06fe8aa9,0xb800073a,
    0x0cffffff,0x75555440,0x40aaaaff,0xffeaaaa8,0x3e60aaaa,0xff302fff,
    0x201ffec3,0xff905ff9,0x05ff5000,0x3f62ffa8,0x2ffcc03f,0xccccccc8,
    0x40fffdcc,0xcccccccc,0x440fffdc,0xaffeaaaa,0x66640aaa,0xfdcccccc,
    0x3ffe60ff,0x03ff302f,0x2a05ff10,0xfffccccc,0x803ccccc,0x3fe005ff,
    0xaaaaaaae,0xfefb800a,0xf0aaaacf,0x555555df,0xfff50055,0x05ffffdf,
    0x555577fc,0xff80aaaa,0xaaaaaaae,0x567fd40a,0x2fffedcb,0x3f627fc0,
    0x7ffc000f,0xfd0000ff,0x017fe00d,0xff7ff500,0xffe98007,0x006fffff,
    0x81aa9833,0xfff55ff9,0x6fe8003d,0x80dfd000,0x306ffff9,0x7ffc43ff,
    0x407ff600,0xfa8007fc,0x17fd402f,0x6c01fff1,0x360001ff,0xfb0002ff,
    0x1bfa005f,0x17fec000,0x41bfffe6,0xfc801ff9,0x06fe8006,0x009ff100,
    0x80002ffc,0x202ffbfe,0xffffffff,0x7fc407ff,0x3ffffe1e,0x000bff02,
    0x2a0017fe,0xfff702ff,0x50bfea01,0x7d4007ff,0x0003ffbf,0x3fe00dfd,
    0xb7ec0005,0x3f2006ff,0xffffefff,0x88ff9806,0x21effffd,0x7fec47fc,
    0x1bfa002f,0x2037f400,0x81ffcff9,0x7fe41ff9,0x409ff304,0x0d54c7fc,
    0x5402ffa8,0x27fe42ff,0x0004ff98,0x40017fea,0x3a005ffa,0xfa80006f,
    0xfcff985f,0x01ff981f,0x4001ffc4,0xddb006fe,0xdddfffdd,0x017fe05d,
    0x3e7fea00,0x3bffe02f,0x05eeeeee,0xff307fec,0x3fe0dff1,0x0bff0005,
    0x405ff500,0xffb05ffa,0x400bff10,0x00dff6fd,0x7c01bfa0,0x7fc0005f,
    0x7001ff94,0xfe981bff,0xe9ff9806,0x0ffffeff,0x3fea0bfd,0x0dfd000f,
    0x301bfa00,0x30bfd5ff,0xfff883ff,0x200ffe80,0xfffd37fc,0x2ffa81bf,
    0x2217fd40,0xffe80fff,0xfff10000,0xfff10001,0x037f4001,0x03ffe200,
    0x17fabfe6,0xf7007fe6,0xdfd0001f,0x3ffffa00,0x3fffffff,0x0000bff0,
    0x05ff19fb,0x10002ffc,0x74fc89ff,0x017fe0ff,0x4002ffc0,0x7f402ffa,
    0xb05ff81f,0x3fe001ff,0x0001ff94,0x3fe00dfd,0x3fea0005,0x8807ff51,
    0x1bfa04ff,0x37fffe60,0x367ffb10,0x13fea07f,0x80037f40,0x7fcc06fe,
    0x7cc1ffb9,0x44ffb81f,0x7e403ffa,0xffefffaf,0x017fd45f,0x3ee0bfea,
    0x01ffd44f,0x005ffb00,0x000bff60,0xd8000dfd,0x3ff302ff,0xff983ff7,
    0x0027f401,0x55006fe8,0x557ffb55,0x17fe0355,0x13ff1000,0x2ffc05ff,
    0x83ff5000,0x03ff31ff,0x3e000bff,0xffa8005f,0x21ffd402,0xff702ffa,
    0x23ff5005,0xe8003ffa,0x0bff006f,0x3e3fec00,0x07fe405f,0xf300dfd0,
    0xbff109ff,0xfe80ffee,0x00dfd006,0xf301bfa0,0x98bff13f,0x3ffd01ff,
    0x7e4037f4,0x3fa63fff,0x00bfea1f,0x3fa05ff5,0x001bfa1f,0x0005ffa8,
    0xd000bff5,0x7d4000df,0x27fe605f,0x7fcc5ff8,0x007fe601,0x80037f40,
    0x3e000ffc,0x7dc0005f,0x7c05ff16,0x3ee0005f,0xf89fe60f,0x005ff83f,
    0x5000bff0,0xff8805ff,0x7777fec4,0x05ffeeee,0x2ffc7fd8,0x8037f400,
    0xaaaaaeff,0x13fe02aa,0x7ec01ffb,0x4037f406,0x3fa05ff9,0x6413ffa6,
    0x0dfd007f,0x301bfa00,0x83ff23ff,0xff501ff9,0x200bfeab,0xfb82fffc,
    0x2b3fea2f,0xfcaaaaaa,0x2bff502f,0x10002ffa,0x10001fff,0xd0001fff,
    0x3e2000df,0x3fe600ff,0x7cc1ff91,0x01bf601f,0x0006fe80,0xff800ffb,
    0xaaaaaaae,0xf89ffc02,0x3e2aaacf,0x3f20005f,0x3fe27e47,0xaaaeff84,
    0xff02aaaa,0x5555555d,0x005ff505,0xffff8bff,0xffffffff,0x227fc00f,
    0x74000ffd,0xffff006f,0x0fffffff,0xff50bfea,0x202ff407,0xff9806fe,
    0xe89ff602,0x2ff41eff,0x0006fe80,0xff980dfd,0x7cc9ff11,0x27ff601f,
    0xff9006fe,0xa93fe605,0xffffffff,0x202fffff,0x06fe9ffd,0x00bff200,
    0x0017fe40,0x90006fe8,0xff9805ff,0x7cc9ff11,0x05ff101f,0x0037f400,
    0x7c006fe8,0xffffffff,0x43fea07f,0x7ffffff8,0xa80017fe,0x887fa0ff,
    0xffff83ff,0x07ffffff,0xffffffff,0x5ff50fff,0x7d4dff00,0xccccccdf,
    0x2a02ffdc,0x1ffd42ff,0x401bfa00,0xeeeeefff,0x0ffb05ee,0x7fc0bff1,
    0x4037f404,0x3f602ff9,0x67ffec47,0xd001ffd8,0x3fa000df,0xb0ffcc06,
    0x07fe61ff,0x1fffff98,0xf80ff900,0x3fffea4f,0xffffffff,0x3ffe602f,
    0xf50001ff,0x3ea000bf,0x3fa0005f,0x5ffa8006,0x361ff980,0x03ff30ff,
    0xd0001fee,0x3fe000df,0x77ffc005,0x05eeeeee,0xeff897f6,0x17fe5eee,
    0x32ff8800,0x82ff98ff,0xeeeeefff,0xdfff05ee,0x0bdddddd,0xff005ff5,
    0x2007fecd,0x3f605ff8,0x005ff887,0xff8037f4,0x0bff0005,0x7fc03ff6,
    0x4037f405,0x3f602ff9,0xffffd507,0x37f4007f,0x406fe800,0x3fe61ff9,
    0xc803ff33,0x32005fff,0x527fc07f,0xffa805ff,0x2fffe402,0x0ffe8800,
    0x0ffe8800,0x01bfa000,0x001ffd10,0x7fcc3ff3,0x3e03ff33,0x7f40003f,
    0x4ff88006,0x002ffc00,0x3e21ff88,0x2bbfe02f,0x0aaaaaaa,0x27e53fe0,
    0x3fe03ff2,0x0bff0005,0x805ff500,0x17fe6ff8,0xf807ff40,0x01ffb05f,
    0xf8037f40,0xffa8005f,0x205ff702,0x37f405fe,0xb017fcc0,0xfffc80ff,
    0x037f4004,0x4c06fe80,0x47fec1ff,0x7c401ff9,0x3f2000ff,0xf527fc07,
    0x2ffa805f,0x007ffc40,0x002ffc80,0x0005ff90,0x64006fe8,0xff3002ff,
    0xf98ffd83,0x00ffa81f,0x0037f400,0x2001ffcc,0xf90005ff,0x202ff88d,
    0xffffffff,0x3f601fff,0x3e61feaf,0x00bff04f,0x20017fe0,0x7cc02ffa,
    0x005ff55f,0x3ea0bfee,0x05ff702f,0xf8037f40,0xffd8005f,0xfeeeeeee,
    0x40ffb05f,0xf9806ffd,0x01ff602f,0x8003ffe6,0xfd0006fe,0x41ff980d,
    0x1ff9bffa,0x4006fe80,0x27fc07fc,0xfa805ff5,0x06fe802f,0x00bff300,
    0x0017fe60,0x9801bfa0,0x3e6005ff,0x4dffd41f,0x05fe81ff,0x006fe800,
    0x4001ffa8,0xff0005ff,0x5ff7555b,0x7fffffc0,0x201fffff,0x517fffe8,
    0x3fe01fff,0x0bff0005,0x805ff500,0x1ffb3ffa,0x217fe600,0xeeeeeffd,
    0x2005ffee,0xbff006fe,0xfffff000,0xffffffff,0x905ff701,0xf300dfff,
    0x03fec05f,0x2002ffa8,0xfd0006fe,0x81ff980d,0x01ff9efe,0x64006fe8,
    0x527fc07f,0xffa805ff,0x006fe802,0x0001ffd0,0x00003ffa,0xfe801bfa,
    0x3fe6000f,0xff9efe81,0x000ffcc1,0x40037f40,0x7c000ffc,0xffa8005f,
    0x2fffffff,0x01bee000,0x3fffffa2,0x3fe01eff,0x0bff0005,0x805ff500,
    0x20000ffe,0xffff06fb,0xffffffff,0x1bfa001f,0x2002ffc0,0xccccdffa,
    0x82ffdccc,0xfb52fff8,0xf300dfbd,0x03fec05f,0x2002ffb8,0xfd0006fe,
    0x81ff980d,0x01ffcffa,0x64006fe8,0x527fc07f,0xffa805ff,0x006fe802,
    0x0002ffc8,0x00005ff9,0x7e401bfa,0x7fcc002f,0xffcffa81,0x00037e41,
    0xf8006fe8,0x5ff8006f,0xeeffd800,0x002ffeee,0x2001ff30,0xcefffff8,
    0x002ffc00,0xa8005ff8,0x3fee02ff,0x3fe60005,0xccdffa80,0xffdccccc,
    0x00dfd002,0xfb0017fe,0x5ff8801f,0xffffff50,0x300df91d,0xbfec05ff,
    0x0fff3008,0x0006fe80,0xff980dfd,0x3ffffd01,0x800dfd00,0x27fc07fc,
    0xfa805ff5,0x06fe802f,0x002ffcc0,0x0005ff98,0x2601bfa0,0xf98005ff,
    0xffffd01f,0x001ffc43,0x2006fe80,0x8004ffc8,0x7cc005ff,0x02ff882f,
    0x4009fb00,0x00099ef9,0x7c0017fe,0xffa8005f,0x01fff902,0xd827ec00,
    0x7fc400ff,0xeaaaa885,0x80aaaaff,0xaaaaaeff,0x17fe0aaa,0xa807ff40,
    0xf90ceffe,0x05ff300d,0xeffabfec,0x02ffffde,0x3faaaaa2,0x440aaaaf,
    0xaffeaaaa,0x3fe60aaa,0x3ffff701,0x800dfd00,0x27fc07fc,0xfa805ff5,
    0x06fe802f,0x666fff40,0x1ccccccc,0x6666fff4,0x41cccccc,0xffeaaaa8,
    0x7f40aaaa,0xccccccdf,0x3fe61ccc,0x3ffff701,0x00003fdc,0xee980dfd,
    0x8000ffff,0xaaaaaeff,0x1ff20aaa,0x4ccdffc4,0x0efd8009,0x0009f900,
    0x2aaabbfe,0xff80aaaa,0xaaaaaaae,0x567fd40a,0x1fffecba,0x077ec000,
    0xfe802ffc,0x7fffd40f,0x3fffffff,0xfffffff8,0xff51ffff,0x0bfee005,
    0x98000110,0x5ff602ff,0xfffffffa,0x7ffd401d,0xffffffff,0x7ffffd43,
    0x23ffffff,0x3fe01ff9,0x6fe801ff,0x203fe400,0x0bfea4ff,0xd005ff50,
    0x7fd400df,0xffffffff,0x3fea2fff,0xffffffff,0x7fd42fff,0xffffffff,
    0x3fffea3f,0xffffffff,0x807fe62f,0x3fa1ffff,0x3fa00004,0x7fffd406,
    0xfff0001e,0xffffffff,0xf8827fc3,0x02ffffff,0x00ffffa8,0xf8000ff4,
    0xffffffff,0xffff81ff,0x1fffffff,0x7fffffd4,0x0000dfff,0x50ffffa8,
    0x3ee005ff,0x7fffd42f,0x3fffffff,0xfffffff8,0xffb1ffff,0x17fe6001,
    0x00000000,0x15795530,0x3fffea00,0x3fffffff,0x7fffffd4,0x263fffff,
    0x3fee01ff,0x06fe801f,0x3e03fe40,0x00bfea4f,0xfd005ff5,0x7ffd400d,
    0xffffffff,0x3ffea2ff,0xffffffff,0x7ffd42ff,0xffffffff,0x3ffffea3,
    0xffffffff,0xb807fe62,0x02661fff,0x06fe8000,0x000d5d44,0x3fffffe0,
    0xf51fffff,0x3ffe203f,0x3002ffff,0x03300bd9,0x7ffffc00,0x81ffffff,
    0xffffffff,0x7fd41fff,0x00bdefff,0x6f5cc000,0x2001ffb0,0x00005ff9,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x26200000,0x05e5c400,0x02f2e200,0x00055400,0x02a98355,0x40555500,
    0x005542a8,0x00003555,0x8800aa88,0x4005542a,0x9999aaa9,0x0d4c4009,
    0x50aa2033,0x1a980015,0x0004d440,0x055306aa,0x00260310,0x80002a98,
    0x55502aa9,0xaa800003,0x0980c400,0x00035100,0x00005530,0xaa80aaa6,
    0x0662001a,0xaa801330,0x3510000a,0x0aaa6000,0x42aa9800,0x800001a8,
    0x3fa205fe,0xd1000eff,0x8001dfff,0x5001fffd,0x0bfea5ff,0x037ff200,
    0xff10ff88,0x17ffcc01,0x3ff50000,0x221ff100,0x3fa600ff,0xffffffff,
    0xffffd705,0x3e207fff,0x001ff10f,0x500fffcc,0x0017dfff,0x3fea7ff5,
    0x227fc402,0xfb800ffb,0x260003ff,0xff301fff,0x2600005f,0x27fc407f,
    0xfb003fee,0x0fa23dff,0x01fffdc0,0x07ffe600,0x002fff98,0x7fc40ff9,
    0x8affe403,0x7fc403b9,0x7fcc001f,0xff30001f,0x17ffcc3f,0x5ff10000,
    0x4fa97dc0,0x3ea5f700,0x37bf6004,0xff5001ff,0x90005ffb,0x3f6007ff,
    0x8805ffdf,0x50002ffd,0x57ff9555,0xfdffd805,0x3ffea05f,0xfffffdcc,
    0x77ffec45,0x203ffffe,0x05ffdffd,0x01fffdc0,0x5ffffff5,0xffbff500,
    0x8fff5005,0x7dc03ffe,0x8003ffcf,0x4400eff9,0x80002ffd,0x7fd404fc,
    0x901fff47,0xfdfffbff,0x9ff7009f,0x260007ff,0xd8800eff,0x7fc802ff,
    0x200ffe20,0x5fffeffe,0x027ffcc0,0x001dff30,0xb03bfe60,0xa800bfff,
    0x407fa85d,0x4017e0fc,0x4017e0fc,0x3ff90dfd,0x0bffea00,0x007ff200,
    0x0dfffd88,0x00bfee00,0x3fffff60,0x6c407fff,0xf100dfff,0x4ffa81df,
    0xf507ffd0,0x7fec407f,0x7cc000df,0xda9801ff,0xfa802fff,0xfd1002ff,
    0x200efb87,0x7ff51ffb,0x027fcc00,0x000bfee0,0x03fd5531,0x7dc3fe88,
    0xc896600e,0xfb804fff,0x007ff51f,0x8004ff98,0x7e402ffb,0x40ffe207,
    0xffffffd9,0x7fc402de,0x9ff3002f,0x27fcc000,0x005fffc8,0x27e437ec,
    0x3ee33ee0,0x719f7003,0x0331007f,0x4c400133,0x01330000,0x00026200,
    0x64000cc4,0xeeffeeee,0x80131006,0xffb01ffa,0x2205ff50,0x098803ff,
    0x006e6000,0x003ffea0,0x02000262,0x204cc004,0x26200198,0x03310000,
    0x3ffffa20,0x201002ff,0x00620000,0x0cc40998,0x00026200,0x7e401988,
    0x40ffe207,0x6ffefffa,0x000dc400,0x88000131,0x3bfa2009,0x437ec000,
    0xffd80098,0x7fec006f,0x0000006f,0x00000000,0x00000000,0x001ffa80,
    0x01ff9000,0xdfd07fee,0x001ffc40,0x80000000,0x00004ffb,0x00000000,
    0x00000000,0xfeffffa8,0x00002fff,0x00000000,0x00000000,0x2207fc80,
    0x437303ff,0x00004ffb,0x00000000,0xdfb00008,0x05750000,0x000aea00,
    0x0009aa88,0x0004d544,0x88026aa2,0x004cc019,0x00355531,0xffa89a88,
    0x55531001,0x807fe403,0x27fc0ffb,0x3007ff10,0x26000155,0xf88000aa,
    0x0aa9806f,0x4c019880,0x200cc409,0x00cc4099,0x03310266,0x3fe20998,
    0x3ffffe1e,0x01553002,0x002aa600,0x000554c0,0x0000aa98,0x7e401553,
    0x00ffe207,0x00fffd44,0x2a601a98,0x0055441a,0x35555310,0x99998000,
    0x99999efe,0x40198809,0x2a620099,0x7dc001aa,0x00efffff,0x7fffffdc,
    0x7ffdc00e,0xfc80efff,0x5c27fc07,0xfffffffe,0x7fffe403,0x5c01ffff,
    0xfffffffe,0xd03ffa83,0x03ff88df,0xfc80ffe2,0x001effff,0x3dfffff9,
    0x206ff800,0x1efffffc,0xff01ff20,0x7c07fc89,0x203fe44f,0x03fe44ff,
    0x0ffd93fe,0x1bfe3fe6,0xfffffd88,0xffd8802f,0x8802ffff,0x2ffffffd,
    0xffffd880,0xfd8802ff,0xc82fffff,0x0ffe207f,0xfffffd90,0x217ee00d,
    0x8efffffb,0x404ffffa,0xffffffc8,0x3fe0003f,0xffffffff,0x7fc84fff,
    0x75c27fc0,0x3fffffff,0x7ffff4c0,0xd301fffe,0xfffdffff,0x3fffa603,
    0xc81fffef,0x427fc07f,0xffeefffd,0xffe983ff,0x1ffffeef,0x777ffec0,
    0xfe83ffff,0x5ffb30bf,0x2202ff98,0xffe883ff,0x03fffece,0x3b3bffa2,
    0x3e003fff,0xeffe885f,0x903fffec,0x44ff80ff,0x27fc07fc,0x9ff01ff2,
    0x7fc07fc8,0xfc89ff14,0x3ea0ff74,0xffffefff,0x3fffea04,0x204ffffe,
    0xffeffffa,0x3fea04ff,0x4ffffeff,0x3bfffea0,0x7e44ffff,0x40ffe207,
    0xffffffe8,0x6fc802ff,0xffedffd8,0x3ffeeffe,0xdddfff10,0x40007ffd,
    0xffffffff,0xc84fffff,0x427fc07f,0xffeefffd,0x3ffa03ff,0xe805c40d,
    0x05c40dff,0x440dffe8,0x407fc80b,0x40bb84ff,0x740fffa8,0x7fe442ff,
    0x2205dc01,0x7ec0fffa,0x3fffffff,0x2202ff98,0x2ffd83ff,0xd807ff44,
    0x7ff442ff,0x83ffc800,0x7f442ffd,0x407fc80f,0x03fe44ff,0x0ff913fe,
    0x3fe44ff8,0x7fd53fe0,0xff98ffc1,0x217ffc41,0xf882ffe9,0x7ff4c2ff,
    0x42fff882,0xf882ffe9,0x7ff4c2ff,0x42fff882,0x3f22ffe9,0x40ffe207,
    0x7fc0bffe,0xb86fc806,0xb27ffd41,0x0bff60df,0xb0000044,0x7fc800df,
    0x5dc27fc0,0x07ffd440,0x4001ffdc,0xb8003ffb,0xfc8003ff,0x0027fc07,
    0xff717fe4,0x007fea03,0x545ff900,0xceffdbff,0x407ff100,0x7fcc3ff9,
    0x30bff102,0x3fe205ff,0xffeccc85,0x102ff986,0x0ff90bff,0x3fe44ff8,
    0xff913fe0,0x7e44ff80,0xfba7fc07,0xf89fe60f,0x807fe43f,0xffc86ff8,
    0x90dff100,0x3fe201ff,0x100ffc86,0x1ff90dff,0xfc9bfe20,0x07ff100f,
    0x3ee05ff5,0xdfd7502f,0x307ffc00,0x0bff01ff,0x7ec00000,0x03fe4006,
    0x320013fe,0x37fc42ff,0x037fc400,0x0037fc40,0x7fc07fc8,0x3ff98004,
    0xffa817fe,0x7fcc0001,0x40013f63,0xffd105ff,0x6c06fd87,0x406fd87f,
    0xfffe87fd,0x06fd80df,0x3fe43fec,0xff913fe0,0x7e44ff80,0x3227fc07,
    0xca7fc07f,0x3e27e47f,0x013fe24f,0x7fc43ff9,0x10ffe404,0xffc809ff,
    0x9013fe21,0x27fc43ff,0x7e47ff20,0x07ff901f,0x7fc40dfd,0x7ffff4c5,
    0x11bf6006,0x0dfd03ff,0x8000a880,0x7e4006fd,0x0027fc07,0x3e61ffcc,
    0xff98003f,0x3ff98003,0x80ff9000,0xf88004ff,0x405ff13f,0x40001ffa,
    0x1bfe3ff8,0x407fec00,0x7fc3fffe,0x207fe404,0x7fe404ff,0x0056ff40,
    0xffc809ff,0x3e03fe40,0x203fe44f,0x03fe44ff,0x0ff913fe,0x1ff54ff8,
    0x7ff10ff4,0x26017fcc,0x0bfe62ff,0x7cc5ff30,0x17fcc02f,0xf9805ff3,
    0x00bfe62f,0x3ff25ff3,0x43fffb84,0x7f403ff8,0x2f7ffe27,0x17f2002a,
    0x3ff20bfe,0xfff9802e,0x037ec001,0xff01ff20,0x7ff10009,0x8001ffa8,
    0xa8001ffa,0xf90001ff,0x204ff80f,0xffffeecb,0x403ff53f,0x97001ffa,
    0x7fffffdd,0x666fffec,0xff501acc,0x3f7fae3d,0x3bbfe23f,0xfeeeeeee,
    0x3bbfe21f,0xfeeeeeee,0x2027f41f,0xeeeeeff8,0x41ffeeee,0x27fc07fc,
    0x9ff01ff2,0x7fc07fc8,0x3e03fe44,0x265ff14f,0x717fcc7f,0xff8801ff,
    0x1003fee3,0x07fdc7ff,0xfb8ffe20,0x1ffc400f,0xf8801ff7,0x17fff93f,
    0x3dfddf91,0x32017fcc,0x07ff90ff,0x3fbb7220,0xffeeeeff,0xbffffd03,
    0x17fff605,0x800dfb00,0x27fc07fc,0xfffdd970,0x0ffc87ff,0x00ffc800,
    0x000ffc80,0xff80ff90,0xfffffa84,0xf73fffff,0x0ffd403f,0x3ffffea0,
    0x223fffff,0xfffffffe,0xffd81eff,0x7ff5ffff,0x7fffffc4,0x1fffffff,
    0x3fffffe2,0x1fffffff,0x3e2027f4,0xffffffff,0x7e41ffff,0x3227fc07,
    0x227fc07f,0x27fc07fc,0x9ff01ff2,0x44fca7fc,0x3ff20ffc,0x927fc400,
    0xff8801ff,0x1003ff24,0x07fe49ff,0xfc93fe20,0xa7fc400f,0xfffffffc,
    0x51fffb9f,0xffb803ff,0x2a00ffb1,0xffffffff,0x02ffffff,0x3fffffee,
    0x02fffec2,0x9001bf60,0x84ff80ff,0xfffffffa,0x7fdc3fff,0x1ffb8001,
    0x01ffb800,0xf80ff900,0x5fffcc4f,0x5cffe209,0x3fea01ff,0x2fffe601,
    0x88ffe209,0xedccceff,0xfc80ffff,0x8ffe3eff,0x9999cff8,0x44199999,
    0x99999cff,0xfd819999,0x4e7fc403,0x99999999,0x7c07fc81,0x203fe44f,
    0x03fe44ff,0x0ff913fe,0x3ff64ff8,0x3fe61fea,0x200ffdc4,0x3fee3ff8,
    0x71ffc401,0xff8803ff,0x1007fee3,0x0ffdc7ff,0x7e4ffe20,0x20dfffce,
    0x5ff51ffd,0xfd0ffc80,0x7dff100f,0x00017f21,0x49ffff93,0x4001fff9,
    0x7e4006fd,0x2627fc07,0x2209bfff,0x17fd43ff,0x017fd400,0x0017fd40,
    0x3e00ffc8,0x80ffec4f,0x5ff53ff8,0xb00ffdc0,0x3fe203ff,0x440dfd13,
    0x02203ffd,0x5ff87ff1,0x017fe000,0xf8009880,0x3f20005f,0x913fe00f,
    0x27fc01ff,0xff803ff2,0xf007fe44,0x7fff449f,0x81fff517,0x7d402ffa,
    0x00bfea2f,0x7fd45ff5,0x517fd402,0xffa805ff,0x500bfea2,0x99ff25ff,
    0x3ff98600,0xffb3fec0,0x42ffa803,0x200007fc,0x2621fffa,0x06fd8000,
    0xf007fe40,0x01ffd89f,0xff887ff1,0x6ff88006,0x06ff8800,0x203ff700,
    0x37f44ffb,0x3e67ff10,0x3fff503f,0xf1037f40,0x00bfea7f,0x88009ff3,
    0x07ff43ff,0x00ffe800,0xffe80000,0x3ff70000,0xf713fee0,0x13fee03f,
    0x3ee03ff7,0x80ffdc4f,0x7f444ffb,0x1effffff,0x6c05ff88,0x17fe20ff,
    0x7c41ffb0,0x07fec05f,0xfd80bff1,0x017fe20f,0x1ff21ffb,0x02ffc400,
    0x7fdcbff1,0x6c3fdc04,0x200000ff,0x00002ffa,0x5c001ffb,0x9ff701ff,
    0x3e206fe8,0x03ffd83f,0x003ffd80,0x8003ffd8,0xffa83ffa,0x9837f44f,
    0x1bfa3ffe,0x807fffe6,0xffd306fe,0x500ffee7,0xf88007ff,0x027fd43f,
    0x004ffa80,0xf5005970,0x3ea0009f,0x4fffa83f,0x7d41ffd4,0x1ffd44ff,
    0x2a27ffd4,0xfffa83ff,0xfffff884,0x3ff600ce,0xb09ff301,0x3fe603ff,
    0x301ffd84,0x3ffb09ff,0x3613fe60,0x9ff301ff,0xb0003fe4,0x3ff205ff,
    0x5027ff42,0x7ffcc1ff,0x3ee00002,0x001fee2f,0xa800fff2,0xfffa83ff,
    0xe9837f44,0xfff883ff,0x1da988ad,0x8adfff88,0xf881da98,0xa988adff,
    0xbfff881d,0x4ffffc88,0xf9327fec,0x7fdc7fff,0xfcffc88d,0x93ff601f,
    0x53ffffc9,0x3ea03fff,0x7c4000ff,0x9dffe83f,0xfe80d4c0,0x0d4c09df,
    0x2003ffea,0x4c09dffe,0xbfff881a,0x4ffffc88,0x445fffc4,0x444ffffc,
    0xfc88bfff,0x7fc44fff,0xfffc88bf,0x99ef984f,0x7fff3000,0x03ffee21,
    0x442fffe6,0xf980fffb,0xff710bff,0x7fff301f,0x03ffee21,0x442fffe6,
    0x3f20fffb,0x3fe20007,0xdff930bf,0x57ffff30,0x54ffe213,0x221effff,
    0x4c1ac882,0x3f60fffb,0xfff98005,0xf103311c,0xff9117ff,0x4ffd89ff,
    0x0fffff26,0x7fffffd4,0xff501fff,0x3fffffff,0x3ffffea0,0xf901ffff,
    0xb3ffffff,0xffff989f,0x3feaffff,0x3fffffa2,0x201ff8af,0xfffffff9,
    0x3f63feaf,0xffeeefff,0xf88001ff,0xfffe883f,0x03ffffff,0xffffffd1,
    0xffc87fff,0xffe8801f,0x3fffffff,0xffffff90,0xf909fb3f,0xb3ffffff,
    0xffff909f,0x09fb3fff,0xfffffff9,0x9f909fb3,0x3ffee000,0x01efffff,
    0x3fffffee,0x3ee01eff,0xefffffff,0x3fffee01,0x201effff,0xfffffffb,
    0x03fe41ef,0x3fffea00,0x100effff,0x45fffffd,0x9afffffd,0x86ffffff,
    0xfffffff9,0x1ffc2fff,0xffffc800,0xff904fff,0xfb3fffff,0xfffff989,
    0x03feafff,0x3ffffb22,0x3b2200cf,0x00cfffff,0x3ffffb22,0x3fee00cf,
    0x09fb0dff,0x1bffffd3,0xffb10ffa,0x07fe25bf,0xbffffd30,0xfd70ffa1,
    0x17ffffff,0x0ffe2000,0xfffffeb8,0x7f5c01df,0x41dfffff,0x5c006ff8,
    0xdffffffe,0x3fffee01,0x2e09fb0d,0xfb0dffff,0x3fffee09,0x2e09fb0d,
    0xfb0dffff,0x0003fd09,0x77fffec4,0xfffb1004,0x362009df,0x004effff,
    0x9dffffb1,0x3fff6200,0x0ff904ef,0xfffb1000,0x36a007ff,0x3fa62fff,
    0x3ffaa2ef,0xffe984ff,0x40cfffff,0x20001ff8,0x3fffffea,0x37fffee0,
    0xfd309fb0,0x3fa1bfff,0x00062003,0x22000188,0x00988001,0x20001300,
    0x02600001,0x26a66200,0x13300000,0x00266200,0x2004cc40,0x4c400018,
    0x04c40009,0x00098800,0x20001310,0x06600098,0x00188000,0x20000c40,
    0x0c400018,0x20062000,0x40000198,0x4c000098,0x26200880,0x13333001,
    0x0001dc40,0x44003330,0x01300009,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x05500000,0x00980c40,0x000154c0,
    0x2a02aa98,0x262001aa,0x80055440,0x01aaaa98,0x55006f2a,0x04c06203,
    0x0000d440,0x20000aa6,0x53002aa9,0x5e54c005,0x306aa002,0x2aa60055,
    0x20055541,0x55541aa9,0x01aa8000,0x80aa8551,0x05544099,0x2aa604c4,
    0x00351001,0x26000553,0x01330019,0x00662000,0x22133000,0x00d54c09,
    0x00001a88,0x5550aaa6,0x00015555,0x2a22aa98,0xffc800aa,0x44ff8806,
    0xf7000ffb,0x980007ff,0x3e601fff,0xdf9002ff,0x3bffffa2,0xffff9100,
    0xfe887fff,0xff503fff,0xb89ff101,0x3ff600ff,0x007d11ef,0x0007fff7,
    0x400fffcc,0x4c03fffb,0x3ffffffe,0xf53ffa80,0xdff1005f,0x2027fe41,
    0x3f20eff8,0xff88004f,0x221ff103,0x33ff80ff,0xc89ffffd,0xffffd35f,
    0x7ffec01b,0x7e47d11e,0x3ffb0007,0x004ff980,0x500bfb00,0x41555555,
    0x2bf91ff9,0x0dffffe9,0x47bfff60,0x7cc003e8,0x7fff41ff,0x20001fff,
    0x3e21fff9,0xffe801ff,0x3ffd400f,0x2e00fffa,0x003ffcff,0x001dff30,
    0x9005ffb1,0xfdffd3df,0xfff10dff,0x87ffdddd,0x0ffdadfd,0xfa81ffc4,
    0x81fff47f,0xefffdffc,0x7fdc04ff,0x98003ffc,0xfb800eff,0xf303ffcf,
    0xfffd9bff,0xfbff5005,0xdfd1005f,0x201ffdc1,0x3ee0efe8,0xff10003f,
    0x7effec07,0xf37ff05f,0x49fffdff,0xefffaefc,0xff905fff,0x9ffdfffb,
    0xa8003fe4,0x7fdc04ff,0x5ff00001,0xfffffd00,0xf93fdc3f,0xffdfff5d,
    0x37ff20bf,0x04ffefff,0x203bfe60,0x1ffeeeed,0x1dff3000,0x800fff88,
    0xe8806ffc,0x0077dc3f,0x7fd47fee,0x27fcc003,0x017fdc00,0x433ffff2,
    0x7ec3ffd8,0x7cc1102f,0xf90ffa0f,0x21ff440d,0x4b300efb,0x404fffc8,
    0x7ff51ffb,0x027fcc00,0xff51ffb8,0x40efe887,0xf5006ff9,0x3fa005ff,
    0x00bfee0e,0xffb83bfa,0x3fe20002,0x3fff6203,0xffdff00d,0xc87ff547,
    0x3a63ffff,0x225981ff,0x7e44fffc,0x1ffa0007,0x2a00dfd0,0x07fa81ee,
    0xffddddb0,0xff927ec3,0x7ff4c7ff,0x3f225981,0x3e6004ff,0x3fea004f,
    0x4ff98001,0x4003ffe0,0x402000ba,0x88133000,0x04c40019,0x80331000,
    0xff02fffc,0x2005ff8d,0x327e46fa,0x201003ff,0x00310000,0x03310266,
    0x30004c40,0x54198813,0x0ffb01ff,0x88004c40,0x004cc099,0x26604cc4,
    0x7fc40000,0x40098803,0xfc81ffff,0x05fff92f,0x44007ff7,0x000ff901,
    0xf9817fdc,0x3ff7003f,0x20009f90,0x3ff11ffa,0x5c17ffe4,0x062003ff,
    0x00026200,0x10003ff5,0x07ff8013,0x00000000,0x00000000,0x3ff20000,
    0xe83ff203,0x1fea006f,0x027f49f9,0x00000000,0x00000000,0x03fe4000,
    0x00000ffb,0x00000000,0x0ffe2000,0x2fff8000,0x3f25ff50,0x09ff302f,
    0x01ff2000,0x905ff880,0x3ee001ff,0x0009881f,0x0cc3ff50,0x7cc0bff2,
    0x0000004f,0x07fea000,0x7fe80000,0x026aa200,0x000aa980,0x00015530,
    0x40002aa6,0x3f200aa9,0x90ffd407,0xf3005dff,0xfc97f41f,0x2aa62006,
    0x2a62001a,0x262001aa,0x22001aaa,0x4001aaa9,0x41aaaa98,0x9ff506fd,
    0x2aaa6200,0x8033101a,0x2a600099,0x5310000a,0x3007ff13,0x2ffc0155,
    0x3f239910,0x2227fc07,0xc84cc019,0x0055447f,0x7fc07fec,0x07fee005,
    0x3fea0000,0x203fe401,0x204c44ff,0x4c401aa9,0x40019999,0x10ea1ffa,
    0x01aa9813,0xff700dfd,0x401dffff,0x1efffffc,0xfffff900,0x3ff2003d,
    0x9001efff,0x03dfffff,0xffa80ff9,0x6fffff42,0x373ffa02,0x003ff36f,
    0xffffffd7,0x7ff5c07f,0x203fffff,0xffffffeb,0x3ffae03f,0x403fffff,
    0xffffffc8,0x321bf63f,0x64400eff,0x3fffffff,0x7fc07fc8,0x7ffec404,
    0xf7002fff,0x7fffffff,0x3ffff620,0x05ff82ff,0x3e03fe40,0x203fe44f,
    0x22ff94ff,0x00effffe,0xff30ffea,0x0ffdc005,0x7fd40000,0x203fe401,
    0x9afe44ff,0x00dffffe,0x3ffffffd,0x54ffd400,0x9afe44fe,0x40dffffe,
    0x3fa605ec,0x1fffefff,0xeceffe88,0x3a203fff,0xfffeceff,0x3bffa203,
    0x203fffec,0xfeceffe8,0x03fe43ff,0x3ee0bfea,0x982fffff,0xfd1efffe,
    0x3fff6009,0x03ffffee,0xffddfffb,0x3ff607ff,0x3ffffeef,0xfddfffb0,
    0x3e207fff,0xffeeeeff,0xff91bf63,0xdfff1009,0x907ffddd,0x04ff80ff,
    0x3fbfffea,0x3a204fff,0xfffeefff,0xffffa83f,0x7c4ffffe,0x3fe4005f,
    0xff913fe0,0xff94ff80,0xfffdfff3,0x646ff80d,0x3ee000ff,0xa800001f,
    0x3fe401ff,0xdf913fe0,0xfffdfff5,0x3ffffa0b,0x3ea001ff,0x642fffff,
    0xfefffaef,0xfe8005ff,0x405c40df,0x7f442ffd,0x85ffb00f,0xfb00ffe8,
    0x0ffe885f,0xe885ffb0,0x01ff20ff,0x64c01ff5,0x5304ffff,0x80077dc3,
    0x7fd440bb,0x440bb80f,0xbb80fffa,0x07ffd440,0x3ea205dc,0x2ffd80ff,
    0x337ec110,0x3f6009ff,0xf901102f,0x104ff80f,0xfe985fff,0x07ffb02f,
    0xff887ff5,0x17ff4c2f,0xfc800bff,0x3227fc07,0xca7fc07f,0xb10cffff,
    0x7fe407ff,0x70013fe1,0x000003ff,0xfc803ff5,0x3227fc07,0x3a63ffff,
    0xffa801ff,0x3fff2001,0xfffc80bf,0x07ffa63f,0x7ff707b7,0x02ff9800,
    0xff30bff1,0x217fe205,0xff102ff9,0x205ff30b,0x1ff25ff8,0x5400ff90,
    0xf9801fff,0x3200002f,0xfc8002ff,0xffc8002f,0x2ffc8002,0x36005ff8,
    0x007fee6f,0x64002ffc,0x827fc07f,0xff100ffc,0x205ff50d,0x7fe43ff8,
    0x7cdff100,0x3fe4005f,0xff913fe0,0xff94ff80,0x81bfe05f,0x3ff55ff8,
    0x01ffb800,0x1ffa8000,0x3e03fe40,0x17ffe44f,0x5401ffdc,0xfea801ff,
    0x3f200cff,0x3ffb82ff,0xf88ffff6,0x6fd8006f,0x7ec3fec0,0x6c3fec06,
    0x43fec06f,0x3fec06fd,0x6fe80ff9,0x017fd400,0x000027f4,0x2000ffe6,
    0x98003ff9,0xf98003ff,0x006fe83f,0x3ffa9bf6,0x000dfd00,0x4ff80ff9,
    0x6404ff88,0x037f41ff,0x7fc47ff1,0xf8ffe404,0x3fe4005f,0xff913fe0,
    0xff94ff80,0x007fe407,0x0dfb1ffb,0x003ff700,0x03ff5000,0x7fc07fc8,
    0x9817fe44,0xffa804ff,0x3fffa601,0x7fe401ff,0x7c9ff302,0x3fe66fff,
    0x04ff8003,0x3fe07fe4,0x207fe404,0x7fe404ff,0x32027fc0,0x40ff90ff,
    0x5c002ffb,0x7fdc02ff,0x7c400000,0xff88003f,0x3ff88003,0x83ff8800,
    0xd802effc,0x0bffe26f,0x00bbff20,0x7fc07fc8,0x402ff984,0x27fc2ff9,
    0x7cc7ff10,0x97fcc02f,0x7e4005ff,0x3227fc07,0xca7fc07f,0x0ffd407f,
    0x7ff7ff50,0x03ff7000,0x3ff50000,0x7c07fc80,0x203fe44f,0xffa804ff,
    0x2efff601,0x3fe401ff,0xfff93fe0,0x007fea5f,0xddddff10,0x3ffddddd,
    0x77777fc4,0x1ffeeeee,0x3bbbbfe2,0x1ffeeeee,0x3bbbbfe2,0x1ffeeeee,
    0x64c17ff9,0x0d6445ff,0x803ffee6,0x9d932ff8,0xfdd97005,0x5c07ffff,
    0xfffffeec,0x3fbb2e03,0x2e03ffff,0xfffffeec,0xbffffd03,0xf51bf605,
    0xffd009ff,0xfc805bff,0x5c27fc07,0x7fc400ff,0x880ffe23,0x03fee3ff,
    0x3fe7ff10,0x03fe4005,0x0ff913fe,0x0ff94ff8,0x7c02ffa8,0x8000ffff,
    0x00001ffb,0x6401ffa8,0x227fc07f,0x27fc07fc,0xb00ffd40,0x007fea19,
    0x4ff80ff9,0xfc87bfea,0x7fc4000f,0xffffffff,0x3fe21fff,0xffffffff,
    0x3fe21fff,0xffffffff,0x3fe21fff,0xffffffff,0xfff91fff,0x1bffffff,
    0xffffff98,0x6c02ffff,0xfffff75f,0x3fffea07,0x83ffffff,0xfffffffa,
    0xffa83fff,0xffffffff,0xfffffa83,0x203fffff,0x2ffffffb,0x7fd437ec,
    0xfffb805f,0xff902fff,0xfc84ff80,0x27fc400f,0x7c405ff3,0x003ff23f,
    0x17fe9ff1,0xf80ff900,0x203fe44f,0x80ff94ff,0x7e402ffa,0xf70005ff,
    0x5000003f,0x7fc803ff,0x3f227fc0,0x4027fc07,0x2a001ffa,0x3fe401ff,
    0x03113fe0,0x88003ff7,0x99999cff,0x7c419999,0x999999cf,0x7fc41999,
    0x9999999c,0x67fc4199,0x99999999,0x3ffff219,0xd302dfff,0x9fffffff,
    0x88ffb801,0x0ffc9bff,0x04dfffcc,0xff987ff1,0x3fe209bf,0x4dfffcc3,
    0xf30ffe20,0x7c4137ff,0xffc9803f,0x41bf64ff,0x3004ffe8,0x909ffff9,
    0x84ff80ff,0x7c401ffb,0x80bfe63f,0x3fee3ff8,0xf9ffc401,0x3fe4005f,
    0xff913fe0,0xff94ff80,0x401ffb80,0x0001fff8,0x00003ff7,0xc803ff50,
    0x227fc07f,0x27fc07fc,0x000ffd40,0xfc803ff5,0x8027fc07,0xf8002ffa,
    0x3fe0005f,0x17fe0005,0x005ff800,0x01317fc8,0x00999980,0x3ea5ff10,
    0x3f617fc6,0x87ff101f,0xff101ffd,0x101ffd87,0x1ffd87ff,0x8007ff10,
    0xdfb1fffa,0x007ff440,0x907ffea0,0x27fc01ff,0x2a017fd4,0x0ffe22ff,
    0x3ea3ff98,0x17fd402f,0x7c400000,0x007fe43f,0x01ff29ff,0xff300ff9,
    0x7fdc000b,0xfa800001,0x4000001f,0x27fc07fc,0x000ffd40,0xfc803ff5,
    0x8027fc07,0xe8006ff8,0xfd0000ff,0x3fa0001f,0xffd0000f,0x07fc8001,
    0x00331000,0x44fc97f6,0x037f43fd,0x6fe87ff1,0xfd0ffe20,0x21ffc40d,
    0x3fe206fe,0x2ffa8003,0xffa80dfb,0x2ffa8002,0xfb80ffdc,0x05ff884f,
    0x3fe07fec,0x47ffd105,0x7ec05ff8,0x0033100f,0xb85ff700,0x9ff701ff,
    0xdfd01ff2,0x005ffb00,0x000ffdc0,0x00ffd400,0x6400cc40,0x027fc07f,
    0x5000ffd4,0x7fc803ff,0xfe8a7fc0,0x03ffd80e,0x0027fd40,0x0004ffa8,
    0x20009ff5,0x64004ffa,0xf900007f,0x41ff500d,0x217f45fb,0xffd306fe,
    0xd306fe87,0x06fe87ff,0xfe87ffd3,0x07ffd306,0x365ff700,0x17fd406f,
    0x217fdc00,0xffa83ffa,0x03ffb04f,0x3f613fe6,0x3fffe80f,0xf980ffec,
    0x01bf204f,0x503ff600,0xfff507ff,0xfb81ff29,0x2ffdc01f,0x07fee000,
    0x3fea0000,0x06fc8001,0x7fc07fc8,0x01ffa804,0x9007fea0,0xb4ff80ff,
    0xff10bfff,0xb53115bf,0x13bffd03,0xffd01a98,0x01a9813b,0x9813bffd,
    0x3bffd01a,0x3f21a981,0x9fd00007,0x543ff880,0x81ff30ff,0x3f264ffd,
    0x7fec3fff,0x3ffff264,0x9327fec3,0xfd87ffff,0x3fff264f,0x20d6443f,
    0xfb0fffb9,0xfea8844d,0x20d6440f,0x440fffb9,0xfc88bfff,0xff304fff,
    0x3fee217f,0x1effa80f,0x87fdbfd7,0x710bfff9,0x7f401fff,0x3f6a0004,
    0xbfff884f,0x4ffffc88,0x64c17ff9,0xf93085ff,0xb80001df,0x800001ff,
    0xe8001ffa,0x07fc804f,0x266227fc,0x99affb99,0x73333109,0x813335ff,
    0xa7fc07fc,0xf507ffff,0xffffffff,0xffffd103,0x207fffff,0xffffffe8,
    0xfd103fff,0xffffffff,0x3fffa207,0x23ffffff,0x880007fc,0x37ec01ff,
    0x4ffeffe8,0xffffff98,0x4c3feaff,0xffffffff,0x7fcc3fea,0xeaffffff,
    0x7fffcc3f,0x3feaffff,0x7fffffcc,0x3f62ffff,0x3fffff26,0xffff982f,
    0x02ffffff,0xfffffff9,0x7dc09fb3,0xefffffff,0x3ffff601,0x707fd5ff,
    0xffffffff,0x0ffc403d,0xefffb800,0xfffff900,0x329fb3ff,0xffffffff,
    0x7ffc40cf,0x80001eff,0xaaaacffb,0x4c402aaa,0x9affb999,0x7fc40099,
    0x407fc801,0x7ffd44ff,0xffffffff,0xffffff55,0xc8bfffff,0xda7fc07f,
    0x32205fff,0x0cfffffe,0x3ffffae0,0x75c01dff,0x1dffffff,0x7ffff5c0,
    0x75c01dff,0x1dffffff,0x20001ff2,0x7fd407f9,0x7fffb101,0x7ffff4c0,
    0xd307fd0d,0x3a1bffff,0xfffe983f,0x307fd0df,0x21bffffd,0x7ff4c3fe,
    0x40cfffff,0x3fff26fd,0xffd301df,0x019fffff,0x0dffffb8,0xfd8809fb,
    0x9004efff,0x7f47dfff,0xffffb103,0x0ff3009d,0x027fdc00,0x86ffffdc,
    0xffb714fd,0x2205bdff,0x0003ffff,0x3ffffee0,0x406fffff,0xfffffffa,
    0x4c05ffff,0x0ff9007f,0x7fd44ff8,0xffffffff,0xfffff55f,0x8bffffff,
    0xa7fc07fc,0x2000ded8,0x33100018,0x26620001,0x13310000,0x02662000,
    0x40000cc4,0x40000098,0x0004c000,0x4c000130,0x00260000,0x004cccc0,
    0x20004c40,0x80009999,0x88000098,0x00220001,0x88003100,0x06200009,
    0x00026200,0x04cc0022,0x7fdc0000,0xffffffff,0x7fffd406,0x5fffffff,
    0x00004c40,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x51001aaa,0x22000015,0xcc98001a,0x001ccccc,0x98002aa6,
    0x1ccccccc,0xaaaaaaa8,0x15440000,0x355002aa,0x30002a98,0x54c00555,
    0x306aa002,0x20310055,0xeedb8009,0x7973001d,0x30355001,0x03550099,
    0x35500993,0x26200000,0x000abccb,0x2aaa6200,0x33326001,0x2601cccc,
    0x5540002a,0x000154c1,0x33006620,0x000d4401,0x98000553,0x0000001a,
    0xf3000000,0xff3005ff,0xffb00005,0x80fa23df,0xfffffffb,0xffffc803,
    0xffb801ef,0xe83fffff,0x02ffffff,0x887fc400,0x7fd400ff,0x0005ff53,
    0x2003fff3,0x5003fffb,0x0bfea7ff,0xfb89ff10,0xfffd100f,0xf7009fff,
    0x7d405fff,0x3fff660f,0x983fea00,0x2a00fffd,0xfb7300ff,0xff7005bd,
    0x5c9fffff,0x0cefffed,0xfffffd70,0xff7007ff,0x407fffff,0x540007fc,
    0x05ff53ff,0xceffedb8,0x7c07fc80,0x5fff304f,0x07fff700,0x07ffe600,
    0xefedb980,0xdb9801be,0x001ceffe,0x805ffb10,0x40002ff9,0xefffdffc,
    0x2aa204ff,0x201aaaaa,0xfeceffe8,0x554403ff,0xc81aaaaa,0x02ffeeee,
    0xfdffd800,0xbff5005f,0xf30005ff,0x3ee001df,0x5003ffcf,0x005ffbff,
    0xffe8fff5,0x759ffb03,0x99803ffd,0xff105fe9,0x7ffffd47,0x547ff100,
    0x100fffff,0x3fee07ff,0x204fffff,0xdccdfffe,0x3ffffe4e,0xfd83ffff,
    0xffffeeff,0x55554403,0xdaa81aaa,0x02aaaaff,0x7feffd40,0x3fffa602,
    0x643fffff,0x827fc07f,0x5c05fffd,0x003ffcff,0x003fffb8,0xfffffff7,
    0xfffc80ff,0x01ffffff,0x80bfee00,0x40002ff9,0x3fff2259,0x36000004,
    0x7ff442ff,0x4c000000,0x880002ff,0x000dfffd,0x000bffea,0xb8013fe6,
    0x07ff51ff,0x00bffea0,0x3ee1ff44,0x44ff880e,0xd1004ff9,0x11bf209f,
    0x201ff37d,0x4df446fc,0x0df900ff,0x2a6fbfee,0xffb85ffe,0x3559d004,
    0xb83fffb7,0x7ffd440b,0x7fc00000,0x6fffffff,0x2fffa800,0x2b3ffa20,
    0x21fffca9,0x27fc07fc,0x205fffc8,0x7ff51ffb,0x1fff9800,0x6fffec40,
    0x307fcbab,0x757bfffd,0x80003fd9,0x3fe60198,0x31000002,0xf9800000,
    0x0bff102f,0xff980000,0x26200002,0x01310000,0x00026200,0x01988133,
    0x20002620,0x7fd40100,0x4405ff82,0xf980ffff,0x03fe601f,0xf9807fe6,
    0x81ff980f,0xfd80eff8,0x017fe21f,0x027fe400,0x000bff20,0xdfffdd00,
    0x20009ddd,0x7fdc0098,0x649ff703,0x827fc07f,0x2600efe8,0x000cc409,
    0x7e400dcc,0x740a00ef,0x02a00dff,0x3e600000,0x0000002f,0x00554c00,
    0xffb01bf6,0x1aaa9880,0x00bfe600,0x00000000,0x00000000,0x00000000,
    0xf05ff500,0xfdc8809f,0x027f40ff,0x3fa03fe6,0x407fcc04,0x1ff904fe,
    0xf997fe20,0xf100001f,0xff9800df,0x01553003,0x0000ff90,0x01ffb000,
    0x7fc97fe2,0x02027fc0,0x00000000,0x000dff10,0x00013fee,0x4ccccc40,
    0x80bfe601,0x33100998,0x44003333,0x2ffffffd,0xfc809ff0,0xfffeb80f,
    0x9803ffff,0x220002ff,0x00199999,0x33333333,0x02660333,0x98801551,
    0x30019999,0x00aa8813,0x0cccccc4,0x2e2ffc40,0x3ea002ff,0x201bf22f,
    0x37e40ff9,0x3207fcc0,0x017fe06f,0x3fee1ffb,0x3fa00000,0x1ffc4005,
    0x3fffff20,0x01ff201e,0x2a604c40,0x01ff901a,0x7fc8ffe2,0x40027fc0,
    0x4cc00198,0x99999980,0x7ec19999,0xff88002f,0xd000000f,0x03ffffff,
    0x7dc0bfe6,0xfffd00ef,0xf5003fff,0xffffdfff,0xeeeff889,0xffeeeeee,
    0xeefffd81,0x4c03ffff,0x3a0002ff,0x01ffffff,0x7fffffcc,0xf81fffff,
    0xffffd33f,0x7ffff409,0x3ff801ff,0x09ffffd3,0x7ffffff4,0x71ffe801,
    0x75500bff,0x3fe61ffd,0x20ff9801,0xf9801ff9,0x407fe60f,0x3f202ff9,
    0x01ff91ff,0x0bfe2000,0x7fff765c,0xffd103ff,0x07fffd9d,0xcdb89ff2,
    0x74d7f203,0x4c0dffff,0x3ff904ff,0x3fe03fe4,0x1ffa8004,0x985ff100,
    0xffffffff,0x1bfe1fff,0x01ffd400,0xfffd0000,0x3e603fff,0x0effb82f,
    0x3fffffa0,0x7ffc401f,0x117ff4c2,0xffffffff,0x703fffff,0xfffa8817,
    0x00bfe600,0xfffffe80,0x7ffcc01f,0xffffffff,0xff9bff81,0xd04fffef,
    0x03ffffff,0xfff37ff0,0x3a09fffd,0x01ffffff,0xffeeff98,0xffffb005,
    0x98027f45,0x013fa0ff,0x9fd07fcc,0x440ffd40,0xf92ffffe,0x7ec0000f,
    0x7fffd40f,0x03ffffff,0xfe885ffb,0xf77fc80f,0x903dffff,0xfdfff5df,
    0xbffd0bff,0x917ff221,0x04ff80ff,0x002ff980,0xff983ff3,0xffffffff,
    0x009ff31f,0x0003ff20,0x1ffa8000,0xfb85ff30,0x7d4000ef,0x07fe401f,
    0x3e26ff88,0x999999cf,0x90001999,0x7fcc05ff,0x3ea00002,0x7cc0001f,
    0xffdff05f,0x007ff547,0x7c00ffd4,0x3aa3ffef,0xffa800ff,0xffff9001,
    0x0d54c005,0x98003bee,0x8003bee1,0x803bee19,0x7fd40ffb,0xff93ffbf,
    0x2ea66000,0x7fcc0efe,0x3fe209bf,0x102ff983,0x9ff90bff,0xdfff9bff,
    0x47ffff90,0x6c41ffe9,0x4fffdfff,0x7fc07fc8,0x07ff0004,0x0003fea0,
    0x7fd4bff3,0x0ffb0003,0xfa800000,0x45ff301f,0x8000effa,0x3e201ffa,
    0x0ffe404f,0x00000bff,0x2603ff98,0x079502ff,0x000ffd40,0x201dff10,
    0xfc81ffff,0x1ffa802f,0x81ffff80,0xfa802ffc,0xfffb801f,0x00d5444f,
    0x0005ff30,0x00017fcc,0xfc805ff3,0xf8f7fe47,0x000ff94f,0x3ffffff1,
    0x2203ffb0,0x06fd83ff,0x7fe43fec,0x3ff621ff,0x417ffe41,0xff703ffb,
    0x3f207fff,0x013fe00f,0x2a627f40,0x2003fdc1,0x3ee0eff8,0xdfd0002f,
    0xffffff50,0xffa80005,0x2a5ff301,0x50000eff,0x7fcc03ff,0xd17fcc02,
    0x000001ff,0xf301ffc4,0xbfff505f,0x007fea00,0x201ffe80,0xff502fff,
    0x03ff5005,0x2a05fff0,0xffa802ff,0x7f7fdc01,0x0bfe62ff,0x0004fe80,
    0x200027f4,0x7fc804fe,0x7c1bffd3,0x000ff94f,0xfffffdd1,0x1037f41b,
    0x09ff07ff,0x7e40ffc8,0x3ffa80ff,0xf9817fe4,0xfffd884f,0xffb83fff,
    0x409ff701,0x45fd83ec,0x037e45fd,0xf907ffa0,0x3fe0003f,0xfffffa86,
    0x7d40002f,0x55ff301f,0x40001dff,0x3ee01ffa,0x1ffc400f,0x00009ff5,
    0xffffdd97,0x17fcc07f,0x007fffec,0x8000ffd4,0x7fc02ffc,0x00732205,
    0x3e007fea,0x0732205f,0x9807fea0,0x3fff35ff,0x5c007fea,0x2e0000ff,
    0x2e0000ff,0xffb800ff,0xff83fffb,0x0000ff94,0xfe9bff26,0x87ffd306,
    0xeeeeeff8,0x41ffeeee,0xff101ffc,0x7c07fc89,0x5fffcc4f,0x545fffc8,
    0xfffa83ff,0x87fff704,0x3ffe26fc,0xc8017f60,0x2ffb82ff,0x10ffd000,
    0x05ff7333,0x01ffa800,0x1dffbff3,0x1ffa8000,0x1003ff20,0xdffe89ff,
    0xa80d4c09,0xffffffff,0x3fe603ff,0x07fffd82,0x0003ff50,0xff009ff5,
    0x7d40000b,0x05ff801f,0x07fea000,0x3ee0ffd8,0x01ffc8ef,0x32e2ff88,
    0x2ff8804c,0x1005bd93,0x2665c5ff,0x07bfffea,0x3fe4ffe2,0x3fee0000,
    0x64c9ffb3,0x7c43ffff,0xffffffff,0x7e41ffff,0x3227fc07,0x327fc07f,
    0xff981dff,0x2fffe23f,0x4ffffc88,0xb8dfff90,0x8fffea7f,0xff5003fe,
    0x00ffea09,0x5403fec0,0x540002ff,0x7ff301ff,0x80003ffd,0x3ee01ffa,
    0x1ffc401f,0x3fffffa2,0xf983ffff,0x3e209bff,0x0bfe603f,0x400fffe2,
    0x4c001ffa,0xbff006ff,0x7fd40000,0x005ff801,0x807fea00,0xdffc85ff,
    0xbfb007fd,0x403fffcc,0xffff35fd,0x25fd807f,0x7cc7fff9,0xff300dff,
    0x0001ff25,0x7fcd7fe0,0xeaffffff,0x4e7fc43f,0x99999999,0x7c07fc81,
    0x203fe44f,0x03ff24ff,0x3f23ffcc,0xd9ffffff,0xffff104f,0xbfb0ffa8,
    0x4017fcdf,0x3e606ff9,0xff90005f,0x02ffa803,0x80ffd400,0xfff9aff9,
    0x3fea0000,0x00bfea01,0x3ae05ff5,0x1dffffff,0xf101ffd8,0x17fcc07f,
    0x2a000988,0x3a2001ff,0xbff000ff,0x7fd40000,0x005ff801,0x407fea00,
    0xffd04ff8,0xff7009ff,0x03feff41,0x92c83fee,0x07fdc0ff,0xf88ffbfd,
    0x87fe405f,0x800007fc,0x3ffa65ff,0x07fd0dff,0x64000bff,0x227fc07f,
    0x27fc07fc,0xffd80bfd,0x6ffffdc0,0x7dc09fb0,0xf8ffcc7f,0xff88ff9f,
    0x07ff4401,0x0003ffe0,0xf5017fea,0xfa80005f,0x25ff301f,0x0000effa,
    0x7c403ff5,0x07fec05f,0x007fdc40,0x7fc40dfd,0x00bfe603,0x01ffa800,
    0x800bff60,0x200005ff,0xff801ffa,0x3ea00005,0x41bfe01f,0x401ffff8,
    0x37f22ff8,0x3fe207fa,0x441fea02,0x2b7f22ff,0x407fd87f,0x01ff25ff,
    0x07ff1000,0x01ff3026,0x20001ffd,0x27fc07fc,0x9ff01ff2,0xf9017fe2,
    0x9826201f,0x3fe601ff,0x5faaff85,0x01ff37fd,0xc802ffd8,0xfd0004ff,
    0x17fd401f,0x07fea000,0xff717fcc,0xff50001d,0x01ffd803,0x22009ff3,
    0x37f402ff,0x203ffe98,0x00002ff9,0x5c007fea,0x7fc004ff,0x3ea00005,
    0x05ff801f,0x07fea000,0xf701ffe8,0x5fd803ff,0x1fea3fe6,0x3e605fd8,
    0x4cbfb04f,0xa87fa8ff,0x3ff904ff,0x00003fe4,0x44007ff6,0x9ff501ff,
    0x01ff2000,0x07fc89ff,0x1fff27fc,0x001bfa20,0xffb805fd,0x2fdbff82,
    0x80ff5df7,0xf1004ffb,0xa80809ff,0xff501eff,0xffa80005,0xc85ff301,
    0xfa8006ff,0x7ffcc01f,0x1fff710b,0x201bee00,0x3f264ffd,0x3e603fff,
    0x2a00002f,0xff9801ff,0x05ff8005,0x07fea000,0x00017fe0,0x2a01ffa8,
    0xc989bfff,0x500fffff,0x56ff41ff,0x7d40affc,0x09ff500f,0xdfe83fea,
    0x740affca,0xff930cff,0x2007fc8b,0x3ae62099,0x3ee003ff,0x4efff406,
    0x7e40d4c0,0x3227fc07,0x927fc07f,0x2a215dff,0x2a003ffe,0x3ff2207f,
    0x4ff9fb05,0x206fcff8,0x5c005ff9,0x99abefff,0xfffb07da,0xff933359,
    0x4ccc4005,0x999affb9,0xfb05ff30,0x4ccc40bf,0x999affb9,0xfffffb80,
    0x2001efff,0x7cc01ffb,0xafffffff,0x266663fe,0x0999bffb,0x73333100,
    0x813335ff,0x9999fff8,0xff809999,0x33310005,0x3335ff73,0x000bff01,
    0x3ee66662,0x640999af,0xffffffff,0xf886ffdd,0x7ffff43f,0x3fe21fff,
    0x205ff703,0x7ff43ff8,0x441fffff,0xfffffffe,0x2007fc85,0xfffffffb,
    0x7dc003ff,0x3ffa201f,0x3fffffff,0x7fc07fc8,0x3e03fe44,0x7ffff44f,
    0x004fffff,0x3e60ffdc,0xf900dfff,0xfffd8bff,0x33fff105,0x01333333,
    0xfffffff5,0x7fdc0fff,0xffffffff,0x3ffea002,0xffffffff,0x3a05ff35,
    0xfff505ff,0xffffffff,0x3fff620b,0xf88004ef,0x3a602fff,0xfd0dffff,
    0x3ffffe67,0x06ffffff,0xffffff50,0xb8bfffff,0xffffffff,0x5ff85fff,
    0xffff5000,0xbfffffff,0x2000bff0,0xfffffffa,0xd985ffff,0x3a2dffff,
    0x437ec4ff,0xaffcaaaa,0x7d41bf60,0x361eeeef,0xcaaaa86f,0xfd900aff,
    0x3f207bff,0x3ffee007,0x000cefff,0x02ffff88,0x3fffffae,0x07fc81df,
    0x1ff227fc,0xfd509ff0,0x003bffff,0x27ffff10,0x5c02def9,0x7fdc2fff,
    0xffff704f,0xbfffffff,0x3fffb220,0x6cc02cdf,0x2dfffffe,0x7fffd400,
    0x5fffffff,0x3a205ff3,0xfffa84ff,0xffffffff,0x00018805,0x001edb98,
    0xfff30013,0xffffffff,0x3ffea00d,0xffffffff,0x7ffffdc5,0x85ffffff,
    0xf50005ff,0xffffffff,0x0bff0bff,0x3fffea00,0x5fffffff,0x2a000440,
    0x7fa801ff,0xfa80ffd4,0xf52fffff,0x0ff5003f,0x3f200620,0x4ccc4007,
    0xb7300000,0x2662003d,0x203fe400,0x03fe44ff,0x133013fe,0xdb710000,
    0x3fea0005,0x17ffc40f,0xffffffb8,0x005fffff,0x99800011,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x33260000,0x001ccccc,0x54c00000,
    0x0000002a,0x50000000,0x01555555,0x44000000,0x200aacaa,0x0aa601b9,
    0x3bbbb600,0x001eeeee,0x803dd300,0xb7102ee9,0xddddddff,0x77776c7d,
    0x004eeeee,0x10000000,0x00355553,0x02f6e5d4,0x4009aa88,0xccccccc9,
    0x200f74c1,0x0fba1ee9,0x07dd1000,0x3bbb2000,0x6c0eeeee,0x1acdeeee,
    0x0003bae0,0xddddddd9,0x09dddddd,0xeeed8000,0xd801acde,0x02f6404e,
    0x7fffffdc,0xfec9803f,0x20000bde,0x5401fff9,0x002cefdc,0x3bfffb2a,
    0x05da803d,0xffffffd0,0x02ed4003,0x7fffdc00,0xfff306ff,0x001ff203,
    0x3ffffffe,0x75c01fff,0x7d41cdff,0x17fcc02f,0x7fffffcc,0x24ffffff,
    0xffffffff,0x3b6e05ff,0x5c401cef,0x400defed,0xffffffc8,0x7ffdc03f,
    0x7dc07fff,0x00efffff,0xfffffff7,0x402ffa87,0x13fe2ffa,0x09ff1000,
    0xffff1000,0xe83fffff,0xffffffff,0x00ffc80e,0x7ffffec0,0xffffffff,
    0x3a003aa5,0xfffffe83,0x3a00efff,0x037ec06f,0x55555544,0x7ffe401a,
    0x000effff,0x200eff98,0xffffffd8,0x3fa200ef,0x6fffffff,0xb006fd80,
    0x03ffdddd,0x00037ec0,0x3b3bfff2,0x7fff706e,0x2001ff20,0xdccccccc,
    0xfff301ff,0x547fffff,0x7fcc02ff,0x4e7ffd42,0xaaaadff9,0x3333bfe1,
    0xe982cccc,0x3fffffff,0xffffff50,0x3fe207ff,0x3ffeeeef,0xbdfffd10,
    0x3fa60999,0x1fffefff,0x55555510,0x02ffa835,0x9ff17fd4,0x4ff88000,
    0xfefb8000,0x40aaaacf,0xedcaaefe,0x7fe43fff,0x66654000,0xcccfffcc,
    0x09ff73cc,0x7f43ffb8,0xffedcaae,0x80dfd03f,0x000006fd,0x5d677fec,
    0x2001fffe,0x74c04ff9,0xfd731bef,0xbffd103f,0x0bb75357,0x2000dfb0,
    0x36001ffa,0x3e60006f,0x3e6001ef,0x0ff901ff,0x1ffb8000,0x99cfff88,
    0x3fea5fda,0x217fcc02,0x27fc0ffe,0x1000ffe0,0xd5337fff,0xeffa87ff,
    0x1fffcaac,0x1102ffd8,0x019ffd10,0x206fff40,0x500000b8,0xffa805ff,
    0x00013fe2,0x00009ff1,0x005ff7fd,0x3fee0bfd,0x3bbff21f,0x4000bcee,
    0xffd806fe,0x3fe21331,0xf705fe85,0x7fd4c3ff,0xaaaaaaae,0x0001affe,
    0x905ffa80,0x4c400bff,0x00efe800,0xff90dfd1,0xdfb00009,0x07fea000,
    0x0006fd80,0x2000bff2,0x1ff201c9,0x3ff70000,0x0a05ff90,0xf9805ff5,
    0x207fea2f,0x1ffc04ff,0x407ff600,0x80de87fe,0x5ff85ffa,0x02ffb800,
    0x001ffdc0,0x2ffa8000,0xff17fd40,0xff880009,0x3ea00284,0xe802ff9f,
    0x97fe605f,0xfffffffc,0xfd000cff,0xddff100d,0x1ffdffff,0x7cc0bfd0,
    0x3fffee5f,0xffffffff,0x19884fff,0x3fa04cc0,0x03ff600e,0x0df50000,
    0xffd0ffa0,0x33330001,0x33333dfd,0x0ffd4013,0xdfd33330,0x01333333,
    0x0000ffd8,0x000ff900,0xe81ffb80,0x3fea006f,0xd17fcc02,0x013fe0df,
    0x7c4007ff,0x0ffea04f,0xe87fe801,0x7fc4006f,0x37fc4004,0x99998800,
    0x0bfea019,0x7fc5ff50,0x7fc40004,0xd801faa4,0x802ff8cf,0x7fec05fe,
    0x7557ff91,0x200dfff9,0xff3006fe,0x5fffffff,0xfb017fa0,0x3fffaa3f,
    0xfeeeeeee,0x7fc83eff,0xff527fc0,0x04ffa807,0x33333333,0x23fe8333,
    0xf72deec8,0x0006ff8d,0xffffffff,0x409fffff,0x3fe01ffa,0xffffffff,
    0x7f404fff,0x33331005,0x23fe4033,0xb8001aa9,0x04ff81ff,0x300bfea0,
    0x827fc5ff,0x1ffc04ff,0x805ff300,0x7ec005ff,0x177fe40f,0x000ffb80,
    0x8001ffcc,0x1ffffffe,0xa805ff50,0x013fe2ff,0xd59ff100,0x3e200fff,
    0x802ff89f,0x7fd405fe,0xb101ff93,0xdfd009ff,0x27bfe600,0xd03ffeb8,
    0x3ffa80bf,0x3f6037f4,0xf01ff206,0x007fe49f,0x7fcc37fc,0xffffffff,
    0x7ccff31f,0x3fe4ffff,0x0007ffa2,0x3ffffffe,0x04ffffff,0xff807fea,
    0xffffffff,0x7f404fff,0xffffd005,0x5ff203ff,0x0dffffe9,0x107fee00,
    0x7d4007ff,0x97fcc02f,0x9ff02ff8,0x2003ff80,0x7ec02ffb,0x07fec006,
    0x16fffff4,0x8030df90,0xd0001ffa,0x03ffffff,0xf500bfea,0x0027fc5f,
    0x3ffffe20,0xdf7000bf,0x3a00bfe2,0xa7fc405f,0xfd100ffc,0x00dfd00f,
    0xff103ff6,0x1017fa0d,0x06fe89ff,0xff9037ec,0x3f64ff80,0x30ffd006,
    0xffffffff,0x97ee3fff,0x6c312efe,0x0bffee3f,0x00dfb000,0x8007fea0,
    0x3a0006fd,0xfffd005f,0x3f203fff,0xffefffaf,0x3fee005f,0x001ffc41,
    0xf9805ff5,0x203ff32f,0x0aaaadff,0x37bbfffe,0x02ffa80b,0x3a003fec,
    0x3ffee07f,0xcfe82fff,0x3effffda,0x0000ffc8,0x2a03ff50,0x7fd402ff,
    0x97013fe2,0x3fffea05,0x9ffc000c,0x2aaacff8,0x2abbfeaa,0xf95ff80a,
    0x07fe401f,0x7c01bfa0,0xa8ffd05f,0x0aaaeffa,0x37f45ff8,0xfc81bf60,
    0xfd27fc07,0x01ff600d,0xfc97fe60,0x6403ff34,0x77ffec4f,0x6fd8000b,
    0x03ff5000,0xd8037ec0,0xffffffff,0x203fffff,0xff901ffa,0x7ff4c7ff,
    0x83ff7001,0x2a003ff8,0x7fcc02ff,0x3e03ff52,0x21ffffff,0xffffffff,
    0x02ffc44f,0x4c003ff2,0xfc9804ff,0x7ffc4fff,0xffffffff,0x007fee0e,
    0x80ffd400,0x7d402ffa,0xc813fe2f,0x3fa63fff,0xa8000dff,0xffff10ff,
    0x7fffcfff,0xff81ffff,0x5c01ff96,0x7fff42ff,0x87ffffff,0xff904ff8,
    0x7fffffc1,0x46ff81ff,0xfffffffe,0x3206ffff,0xf27fc07f,0x3ff200bf,
    0x3bfe2000,0x3fd4ff60,0x3ee17ee0,0x000cffff,0x54001bf6,0x3f6001ff,
    0xffffb006,0xffffffff,0x0ffd407f,0xb82fffc8,0xff7002ff,0x3fffff23,
    0x40ffffff,0x7cc02ffa,0x203ff72f,0x1eeeeeff,0x36eaaaaa,0x7fec4fff,
    0x0fffc884,0x00ffe880,0xf0fffd40,0x6cc15dff,0x0bfea4ff,0x0ffd4000,
    0x5402ffa8,0x813fe2ff,0xff56ffff,0x20009fff,0x3bfe25fd,0x3fba5eee,
    0xf80eeeff,0x401ff96f,0x7ff40ffc,0x7fffffff,0xf905ff88,0x7fff741f,
    0x6ff80eee,0x7ffffff4,0x206fffff,0xa7fc07fc,0xf9005ff8,0x7ff4001f,
    0x7fa9fec1,0xc8837d40,0x003fffff,0x2a000dfb,0x3f6001ff,0x33331006,
    0x33333dfd,0x0ffd4013,0xf302ffc8,0x3fee009f,0xffffff91,0xa81fffff,
    0x7fcc02ff,0x3e03ff52,0x3e60004f,0x3ffe21ff,0xffffeeef,0x05ffb007,
    0x44bfea00,0x7ff404ff,0x000dff10,0x5407fea0,0x7fd402ff,0xff813fe2,
    0xf39f55ff,0xff10009f,0x4017fc43,0x6ff805fe,0x7f401ff9,0xfe999887,
    0xff01999e,0x741ff60f,0x46ff805f,0xaaaaaefe,0x3206feaa,0xf27fc07f,
    0x1ff600bf,0xc82ffc80,0x403ff34f,0xfea804fb,0xfffa85ff,0xffffffff,
    0x00ffd405,0x4000dfb0,0xf50005fe,0x01ff203f,0x3ee009ff,0x9ff5311f,
    0x50333333,0xff9805ff,0x3e05ff32,0x7d40004f,0x7ffec43f,0x06fdbfff,
    0x0004ffc8,0x5ff87fee,0xfb0ffdc0,0xf500007f,0x0bfea03f,0x7fc5ff50,
    0x47ffea04,0x009ff108,0xff88df90,0x405fe802,0x1ff95ff8,0x200fff20,
    0xffd006fe,0xd05ff883,0x5ff880bf,0x3f6037f4,0xf01ff206,0x8037f49f,
    0xff5006fe,0x7c57ee09,0x3fd820cf,0x0fffea00,0xfffffff5,0xa80bffff,
    0x3f6001ff,0x17fa0006,0x80ffd400,0x27fc07fc,0x441ffb80,0x3ea003ff,
    0x97fd402f,0x9ff03ff9,0x5ff88000,0xfe866a60,0x027fe404,0xfb983591,
    0x017fa0ff,0x7fcc7ff3,0xda988adf,0x01ffa801,0xfa805ff5,0x1013fe2f,
    0x13fe2013,0x2ab7fe00,0xe802ffba,0x9ffd405f,0xb9999ffc,0xfd006ffe,
    0x3ffea00d,0x01ffea8b,0xffa80bfd,0x36037f43,0x01ff206f,0x03fec9ff,
    0xf9805ff8,0xc9bea06f,0x3a4fefff,0x7fcc002f,0x7f4ccc46,0x0099999e,
    0xb000ffd4,0x7f4000df,0x3ff50005,0xff01ff20,0x03ff2009,0x4c007ff1,
    0x7fdc03ff,0x3e0dff10,0x7cc0004f,0x3ff8004f,0x3017ff20,0xffffffff,
    0x06fe83ff,0x3e617fd4,0xffffffff,0x01ffa801,0xfa805ff5,0x0013fe2f,
    0x8009ff10,0xfffffffa,0x5fe802ff,0xfc8fff40,0xffffffff,0x0dfd000c,
    0x3ffffe60,0xfd02ffff,0x41ffe80b,0x37ec06fe,0x7c01ff90,0x00bff24f,
    0xe8809ff5,0x3fe200ff,0x4fbffee2,0xe8000ff9,0x037ec07f,0x001ffa80,
    0xe8001bf6,0xff50005f,0xf01ff203,0x1ffe009f,0x8800ffe2,0x3fe404ff,
    0x3fe03ff6,0x7fdc0004,0x07fdc002,0x9805ffc8,0xfffffffe,0x01ffc80c,
    0x2e203fee,0x0cfffffe,0x501ffa80,0xffc805ff,0x00013fe1,0xd8009ff1,
    0xfeeeeeff,0x05fe802f,0xffc97fea,0x01ceffff,0x44037f40,0xefffefff,
    0x5fe80ffe,0x3a17fea0,0x037ec06f,0x3ee03ff7,0x017fe64f,0xfd801ffb,
    0x86fb802f,0x0027ec08,0x7ec06fe8,0xffa8000f,0x03ff6001,0x002ff400,
    0xf901ffa8,0x314ff80f,0x2217fe60,0x7f4003ff,0x8bff300f,0x4ff85ff9,
    0x3bfe6000,0x0ffe6000,0x40027fe4,0x4405fe99,0xdff104ff,0x009ffa80,
    0xa80ffd40,0x7ff402ff,0x00013fe0,0x4c009ff1,0x2ff882ff,0xf705fe80,
    0x4ffe43ff,0x7f400009,0x11ffd806,0x21bfe633,0xfff705fe,0xd80dfd03,
    0x0ffea06f,0xfb13ffea,0x13fee07f,0x2009ff70,0x7e405ff8,0xffa8000f,
    0x01ffe404,0x000ffd40,0x20007ff9,0xf50005fe,0x01ff203f,0x2b7e69ff,
    0x81fffd99,0x54003ff8,0xf510afff,0xbffb01ff,0x339ff115,0x88262133,
    0x001fffc9,0x7e41bfee,0x7fc0004f,0x0cffd803,0x9007ffa6,0x3ea000df,
    0x45ff501f,0x8bffb51a,0xaaaaaeff,0x3e200aaa,0xaaaaaadf,0x441ff22a,
    0x09999bff,0x65d577f4,0x7e42fffe,0xfd00000f,0x04ffb80d,0x3fa1ffe4,
    0xffecbaae,0x80dfd02f,0x3fe206fd,0xfffc88bf,0x67ffcc4f,0x0fffca8a,
    0x0017fe60,0xd983bff5,0x55f542ff,0xffc99999,0x7ffcc01f,0x5403311c,
    0x3e6001ff,0x03311cff,0x50005fe8,0x1ff203ff,0x3fe69ff0,0x43ffffff,
    0x99cffa98,0xc8199999,0xffffffff,0x3fff602f,0xffffffff,0xfffff34f,
    0x5103dfff,0xdfff9755,0x99fff903,0x19999999,0x2007fe60,0xffffffe8,
    0x4fe802ff,0xb9999880,0x50999aff,0x7fff45ff,0x7ffc0fff,0xffffffff,
    0x3fffe202,0x26ffffff,0xfff104ff,0xfe85ffff,0xefffffff,0x000ffc81,
    0x500dfd00,0x3a0fa00d,0xffffffff,0x01bfa01e,0xffc80dfb,0xfd9fffff,
    0xfffff984,0x2200efff,0x99999fff,0xff980999,0x1ffffeff,0xffffffa8,
    0x001fffff,0xfffffff9,0x2e666629,0x00999aff,0x7fffffe4,0x02ff404f,
    0x7dccccc4,0xf90999af,0x2e4ff80f,0x81dffffe,0xfffffffc,0x80ffffff,
    0xcfffffd9,0xfffdb800,0x4fffffff,0xbffffff3,0x7fffcc05,0x3f603fff,
    0xffffffff,0xff501fff,0xfffec800,0xff8800df,0xffffa801,0x5fffffff,
    0x7fe45ff5,0xfff80cff,0xffffffff,0x3fffe202,0x56ffffff,0x3fe203ff,
    0x742fffff,0x1cdeffff,0x0003ff20,0x00037f40,0xffffe800,0xfe801cde,
    0x4037ec06,0xb0dffffb,0x3fb6209f,0xfb803eff,0xffffffff,0xfd9105ff,
    0x26019dff,0xfffffffd,0x754000be,0xf53fffff,0xffffffff,0xfd500bff,
    0xe807ffff,0xfffa805f,0xffffffff,0xff80ff95,0x64009884,0xffffffff,
    0x400fffff,0x22000098,0x26662001,0xbdff3000,0xffd80159,0xffffffff,
    0x035301ff,0x00026200,0x3ea00551,0xffffffff,0x011005ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0x22000098,0x7ffdc001,
    0xffffffff,0x10003005,0x00001333,0x3fea0ccc,0xffffffff,0x0ccc005f,
    0xa805fe80,0xffffffff,0x0ff95fff,0x00004ff8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0xeeeeeeeb,0x24eeeeee,0xed800eed,0xdddddb0d,0x263ddddd,0xabceeeee,
    0x3bbbb201,0xeeeeeeee,0x0fbaa04e,0x2001ee98,0x01dd91ee,0xee9af6c0,
    0xb8f74c01,0xccdeeeee,0xd80dd701,0xdddd50de,0x5ddddddd,0x3ae17640,
    0x001eea83,0xe8817ba6,0x3bbb61ee,0x1eeeeeee,0x4c05ddd1,0x3bbba1ee,
    0xeeeeeeee,0x005dd90e,0xddb13ba6,0x25ee8801,0xcdeeeeeb,0xdd10000b,
    0x3bba20bd,0xeeeeeeee,0xdddd50ee,0x800159bd,0x0002eeea,0x10000553,
    0x80001a85,0x26009aa8,0x055441aa,0x31000200,0xd9003555,0x99999999,
    0x7d4bd999,0x1ffd404f,0xffffffff,0x3fea3fff,0xdfffffff,0xfffffd80,
    0xffffffff,0x4fffea85,0x4007fe60,0x7ff71ff8,0x54ffe600,0x7fd402ff,
    0xffffff92,0xfc81dfff,0xa8fff607,0xffffffff,0x3fa03fff,0x7dc1fec2,
    0x3fea001f,0x5fff502f,0x7ffffff4,0xff31ffff,0x0ffcc0df,0xffffffff,
    0x261fffff,0xffb006ff,0x405ffa85,0x3ff22ffd,0xdfffffff,0x7ffec000,
    0xfffff306,0xffffffff,0x3ffffea1,0x2003ffff,0x0006fffd,0x98000bfb,
    0x05ff53ff,0x3fffee00,0x3fee0eff,0xffa8efff,0xfe8804ff,0xfffeb806,
    0x3203ffff,0x3a2ec005,0x1bfa01ff,0x55555dff,0x3fea1555,0xffedcbac,
    0x6666542f,0xccccfffc,0x3fffaa3c,0x3fe204ff,0x23ff1002,0xf9006ff8,
    0x00bfea3f,0x3ff25ff5,0xfffccaab,0xfb83fe46,0x5555444f,0x0aaaaffe,
    0x7fd0bfa0,0x4003ff70,0xfb05fffa,0x67ff47ff,0x0ccccccc,0x205ffff3,
    0x33321ff9,0xfdcccccc,0x0fff60ff,0x360bff30,0xbff502ff,0xcaabffc8,
    0x000efffc,0x20dffff5,0xccccccc8,0x50ffeccc,0xffb759ff,0x3fe007ff,
    0xd8000fff,0x3ee0005f,0x7fff31ff,0x7fff4c00,0x361fffef,0xfeffedff,
    0x403ffeef,0x6c02fffb,0xfffeefff,0x76cb903f,0x4c5d80cd,0x5ff705ff,
    0x2a005ff8,0xfff702ff,0x80dfd001,0xffbdfffd,0x00bfe204,0xffd07fcc,
    0x54dff001,0x7fd402ff,0xd101ff92,0x43fe45ff,0xfd005ff9,0x41ff800d,
    0x1ffb82fe,0x3ffbee00,0x1ff77c40,0x7cc00dfd,0xff306fff,0x2ffd8003,
    0xb007ffc4,0x3fe203ff,0x40ffe80f,0xfd880ffc,0xdff8805f,0xe80006fe,
    0x207fea5f,0xfa807ffa,0x8003ffbf,0xf90005fd,0xffe881df,0x1bffd004,
    0x506e0b88,0x37ec9fff,0x007ffea0,0xffa88177,0x32a5c80f,0x42ec4ffd,
    0x7fc42ffc,0x2005ff85,0x3ea02ffa,0x06fe805f,0xff9977dc,0x801ffc04,
    0x3fee0ff9,0x51ffcc03,0xffa805ff,0x2601ff92,0x11ff24ff,0x3a001dff,
    0x3fe2006f,0x7dc0ffc0,0x33ee001f,0x767dc2fe,0x801bfa3f,0x81ffcff9,
    0x2a001ff9,0x9ff905ff,0x7013fe60,0x3ffb89ff,0x3a00ffc8,0x8ffc807f,
    0x5c0006fe,0x07fea1ff,0x3600fff4,0x000dff6f,0xd8800bfb,0x7fec05ff,
    0x0ffee00d,0x83ffe000,0x75c00ff9,0xffc80003,0xfb105c82,0x7fc42ec7,
    0x7c07fe46,0x3fea005f,0x00fff402,0x85101bfa,0x7fc04ff9,0x88ff5003,
    0x7fe405ff,0x500bfea1,0x03ff25ff,0xff91ffc4,0x2000ffe8,0x775c06fe,
    0xfeeeeffe,0xff72eeef,0x5e7dc003,0x7f4ff45f,0x9801bfa4,0x985feaff,
    0xff1001ff,0x3ffe201f,0x800ffe80,0xdff11ffe,0xc803ff20,0x3fe601ff,
    0x8000dfd2,0x0ffd45fe,0x7c02ffb8,0x001ff94f,0x22005fd8,0xf7004ffe,
    0xdff101df,0x1bf60000,0x00003ff1,0x41ffcc00,0xd9be205c,0x267ff705,
    0x0bff03ff,0x2017fd40,0x7f403ffa,0x4ff98006,0x26227f40,0x7f43fd40,
    0x51bfa00f,0xffa805ff,0x2a01ff92,0xc9ff21ff,0x7f4001ff,0x7fffe406,
    0xffffffff,0x03ff72ff,0x7fce7e40,0x93f6df30,0x3e6006fe,0x4c1ffb9f,
    0xffb001ff,0x44ffb805,0xf3003ffa,0x407ff6bf,0x3ee00ffc,0xe97fa02f,
    0x3ee0006f,0x80ffd42f,0x3ea01ffc,0x207ff51f,0xfeccccc9,0x41cccccf,
    0x4002fff9,0x7cc1fffa,0xf900003f,0x0005ff0b,0x1ffc4000,0xd9fa02e4,
    0x363ffa05,0x017fe06f,0x4402ffa8,0x37f404ff,0x027fcc00,0x89f913fa,
    0x2ffb86fb,0xfa87ff30,0x97fd402f,0xfe880ffc,0xffabfe47,0x06fe8003,
    0x4f7dccc4,0x999ffb99,0x4003ff70,0x327fd4fc,0x7f49fb3f,0x27fe6006,
    0x7fcc5ff8,0x05ffa801,0x7f43ffd0,0x6ffe4006,0x3ff203ff,0x403ff200,
    0x1bfa0ffc,0xa86fe800,0x6fe881ff,0x3fe3fec0,0xfffff505,0xffffffff,
    0x00f7fd47,0x23fff980,0x88001ffa,0xefffeedc,0x533ffeee,0x55555555,
    0x97055555,0x7fffffdd,0x37c40b90,0x6ffcc0bb,0x3bfe02ff,0x2aaaaaaa,
    0x3e00bfea,0x037f405f,0x2027fcc0,0x23ffc4fd,0x5ff886fb,0xfa81ff70,
    0xaaaaaacf,0xff92ffca,0xbff95557,0xff9ffc81,0x0dfd0004,0x3ea2fdc0,
    0x003ff706,0xf6fba7ec,0xfe97f61f,0x47fe6006,0x3fe60ffc,0x07ffc401,
    0xf55ffa80,0xff88005f,0x7fe406ff,0x20ffd100,0x37f43ff9,0x82ffa800,
    0x3aa21ffa,0x27fc02ff,0x32603ff6,0xcffecccc,0xff71cccc,0xe880001d,
    0x01ff94ff,0xfffffa80,0xffffffff,0xfffffb2f,0xffffffff,0x7ffffd4b,
    0xc83fffff,0x0ffee545,0xfffc80bb,0x7ffffc05,0x2a7fffff,0x6ff802ff,
    0x40037f40,0x7ec04ff9,0xb8bffe65,0x20ffd05f,0xfffa86fe,0xffffffff,
    0xffff92ff,0x901dffff,0x000dffff,0xf90037f4,0xf705fb89,0xa7ec003f,
    0x325fbff8,0x3ffffa5f,0x266fffff,0x49ff11ff,0x7e401ff9,0x7fec002f,
    0x50006fe9,0xfc805fff,0x2ffd880f,0xdfd0bfd0,0x41bfa000,0xfffffffa,
    0x7fd402ff,0x001ffd42,0xfe880bfb,0x7dc0004f,0x03ff70ef,0x85f7fc40,
    0xffd805fc,0xffffffff,0xfff35fff,0x1ffc4137,0x33bf62e4,0x3e202ec1,
    0x7ffc00ff,0x5eeeeeee,0x3e00bfea,0x037f406f,0x2027fcc0,0x3fff25fc,
    0x7dc17f25,0x41ffc42f,0xfffffffa,0x92ffffff,0xffffffff,0xeffc89ff,
    0xfd0002ff,0x21fec00d,0x3ff704fc,0xfb27ec00,0xd2fe45ff,0xffffffff,
    0xb0ffccdf,0x07fe61ff,0x8005ffa8,0x01fffff9,0x09fff700,0xbaabffc8,
    0xf705fffc,0x00dfd01f,0x2a05ff50,0xcfffffff,0x887fd800,0x3f6005ff,
    0x5ffd8805,0x1bff9000,0x50017fd4,0x07fc85ff,0xffd80000,0x907ff101,
    0x17607c8b,0xfff99995,0xff859999,0x0bfea005,0xe80dff10,0xff98006f,
    0xfd37dc04,0x827e4ff7,0x7fdc5ff9,0x402ffa80,0x1ff92ffa,0x23fffb88,
    0x1fff8ffc,0x006fe800,0x07fb0bfa,0xe8007fee,0x91ffea3f,0x4cf7f4df,
    0x26099999,0x4ffe61ff,0xfd101ff9,0x3f20001f,0xf30005ff,0x6403ffff,
    0xffffffff,0x07ff103f,0x3a001bfa,0x2bfea06f,0x802ffd99,0x1ffb05ff,
    0x8017f600,0x1000effc,0xff109ffb,0x43fdc00d,0x00000ffd,0xf1037f40,
    0x7c8b907f,0xfff71760,0xffffffff,0x2005ff87,0x7cc02ffa,0x037f405f,
    0x2027fcc0,0xf1df36fb,0xe813f65f,0xa837ec7f,0x7fd402ff,0x2201ff92,
    0x2ff90fff,0x4000eff9,0x332606fe,0xecccdffc,0x3ee2ccdf,0x0ffa001f,
    0x26fc89ff,0x3e6006fe,0x4c7fec1f,0x5ff901ff,0x7ffc4000,0x5ffd0000,
    0x7fe40dff,0x00acdeff,0x6fe81bf6,0x01ffd400,0xffd83ff5,0x40bfea00,
    0xfb002ffb,0xfffb800b,0x1fff4c01,0x2007ffb0,0x3fe60ffa,0x1310002f,
    0xd306fe80,0x88b907ff,0x55317600,0x555ffd55,0x005ff835,0xf500bfea,
    0x06fe807f,0x404ff980,0x369f97fa,0x5c07fb5f,0x07ff12ff,0xf500bfea,
    0x803ff25f,0x4ff91ffc,0x74005ffb,0x3ffea06f,0xffffffff,0x3fee4fff,
    0x50ffe001,0x3a7fb839,0x3fe6006f,0x7cdffd41,0x05ff981f,0x006fe800,
    0x3f29ff70,0x01ff903f,0xccdff980,0xcfffcccc,0x3ff400cc,0xf307fea0,
    0x77fec0bf,0xffeeeeee,0x00bfb005,0x205fff30,0x4402fffa,0x988adfff,
    0x27ff11da,0x21effffa,0x7ffc4028,0x993ff600,0xc83ffffc,0x0bb00c45,
    0xff00dfd0,0x17fd400b,0xd003ffa0,0xff3000df,0xfd7fa809,0x3fa3fea3,
    0x5d3fe603,0x5ff500ff,0xf92ffa80,0x8ffdc01f,0x1ffec7fc,0x440dfd00,
    0xaabffbaa,0x21aabffa,0x3e001ffb,0x4ff7003f,0x3e6006fe,0xf9efe81f,
    0x00ffe81f,0x006fe800,0x3e26ff88,0x0ffc80ff,0x7fffd400,0xffffffff,
    0x3ea01fff,0x0ffd403f,0xff80ffec,0xffffffff,0xcb800fff,0xffd10003,
    0x01effb89,0xffffff50,0x7fec3fff,0xfff9afff,0x7dc06fff,0x3fe602ff,
    0xeaffffff,0x3e25c83f,0x988bb01f,0x99efe999,0x02ffc099,0x5c05ff50,
    0x6fe805ff,0x04ff9800,0x237cffcc,0x402febff,0x40dfb7fe,0x7d402ffa,
    0x401ff92f,0x8ff90ffd,0xd001ffe8,0x1fe600df,0x3ee01ff1,0x0ffe001f,
    0xdfd3fdc0,0x40ffcc00,0x41ffcffa,0x00002ffc,0xfb000dfd,0x85ffb85f,
    0x4c000ffc,0xcccccccc,0x0cccfffc,0x2a01ffa0,0x5ff981ff,0xcccdffa8,
    0x2ffdcccc,0xb1000000,0x37fee9ff,0x7f644000,0x260cffff,0x3aa2effe,
    0x4c04ffff,0x74c01fff,0xfd0dffff,0x1ff8b907,0xfffb8bb0,0xffffffff,
    0x5002ffc3,0x3ff205ff,0x06fe800f,0x404ff980,0x6c4fcff9,0x5c02fedf,
    0x203ffaff,0x7d402ffa,0x201ff92f,0x1ff25ffa,0x2003ffe6,0xdf5006fe,
    0x3ee07f98,0x5ff1001f,0xfe9fee00,0x07fe6006,0x30fffff4,0x40000bff,
    0x7dc006fe,0x85ffd05f,0x00000ffc,0x2a00dfd0,0xffa803ff,0xd83ffb01,
    0x7fc400ff,0x4cccccc5,0x01999999,0x4e887640,0x00310000,0x00cc4011,
    0x98005950,0x222e4000,0xdd517600,0xdddfffdd,0xaaeff85d,0x50aaaaaa,
    0xd97559ff,0x3a003fff,0x5554406f,0xaaaeffba,0x0ffffc42,0x007fffea,
    0x01fffff3,0x2a017fd4,0x33ff92ff,0x1fffb553,0xffb83fe4,0x75555446,
    0x80aaaaff,0x037d46fa,0x55559ff7,0x3fe25555,0x21ff7002,0x3e6006fe,
    0xffff701f,0x666fff43,0x1ccccccc,0x2006fe80,0xf300fff8,0x07fe41ff,
    0x6fe80000,0x001ffd00,0x3e603ff5,0x802ffc5f,0x3ffe0ffe,0xffffffff,
    0x0408007f,0x00000000,0x00000000,0x55576400,0xaaaaaaaa,0x06fe805e,
    0xfffffff8,0xff51ffff,0xbfffffff,0x037f4001,0x3fffffea,0x40ffffff,
    0xfff07fff,0xfffd003f,0x02ffa80d,0xffc97fd4,0xefffffff,0xfb03fe41,
    0x7fffd49f,0x3fffffff,0x37d45fb8,0xffffff70,0x3e2dffff,0x1ff5002f,
    0xf9801bfa,0x3fffe01f,0xffffff51,0x5fffffff,0x400dfd00,0x7e404ffd,
    0x003ff25f,0x037f4000,0xa8027fd4,0x3ffa01ff,0x2005ff50,0x3ffe2ffb,
    0xffffffff,0x0000007f,0x00000000,0x00000000,0xffffff90,0xbfffffff,
    0xf00dfd00,0xffffffff,0x3ffea3ff,0x000bdeff,0x7d406fe8,0xffffffff,
    0x7ffc0fff,0x01fff904,0x807fff70,0x7d402ffa,0xfffff92f,0x3f2039dd,
    0x4bffa207,0xfffffffa,0xfc83ffff,0xf702fdc4,0xffffffff,0x00bfe6df,
    0x6fe8ffd4,0x807fe600,0xff51fffb,0xffffffff,0xfd005fff,0x1bfea00d,
    0x64bffe20,0x000000ff,0xffd00dfd,0x07fea001,0xffb4ffa8,0x17fe6001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xa80a9800,0x4019880a,0x554c0099,0x2aa62000,0x553001aa,
    0x99999801,0x22199999,0xa8835109,0x2004cc40,0x06620998,0x4cc13300,
    0x26133001,0x40554409,0x0d54c098,0x19999988,0x803cb800,0x26620099,
    0x055d4400,0x3bffb260,0x3bf6e00c,0x0800881d,0x1000d4c0,0x65d44020,
    0x0cc9800b,0xa8804020,0x4401bccc,0x6c401aca,0x04ed802e,0x2aa20000,
    0xaaaaaaaa,0x42aaa1aa,0x98002aa8,0x406202aa,0x002a6009,0x001aaa80,
    0x14ffff88,0xfc87fffd,0xc827fc07,0x01efffff,0x3fffff22,0xffb103ff,
    0xf305ffff,0xffffffff,0x26bf23ff,0xfff34fff,0x00fffc49,0x7fd45ffd,
    0x45ff1001,0x7cc01ffd,0x3a67ff4f,0x7e44ffff,0xbffffd35,0xfffffe81,
    0x37ec001f,0x5c0bfe60,0xfb100eff,0x201dffff,0xfffffffb,0x7ffff4c0,
    0x03ba22ff,0x3ee01fd8,0xd09f7003,0x7fffd43d,0xffb303ff,0x90db303f,
    0xffff907f,0x3ff207ff,0xfb00dfff,0x7fd405ff,0x3fffe01f,0xffffffff,
    0x3ffffe67,0x5fffffff,0x7fc47ffe,0x3fe6000f,0x89ff101f,0x7fcc0ffb,
    0x3b980dff,0x005ffd30,0x7ff7ff44,0x2ffeffea,0x9ff01ff2,0xeceffe88,
    0xff883fff,0x3ffeeeef,0xfeffffa8,0x7fcc4fff,0xffffffff,0xdfd7f91f,
    0xffdfd1ff,0xb837fd41,0x17fcc4ff,0x2a1ff980,0x7fe404ff,0xfff37ff1,
    0x7e49fffd,0xffefffae,0x7ffff45f,0x7ec001ff,0x417fcc06,0xf500effb,
    0x3fee217f,0x7fcc2982,0x5c577f43,0xdff70ffe,0x405ffb01,0xff8803fa,
    0xfd0ffdc4,0x43fffdbd,0x1fffffd8,0x7e44ff88,0x65e6dc0f,0x7fe40fff,
    0xb06ffcbc,0x7f40bfff,0x3ffe06fd,0xffffffff,0x3fffe67f,0xffffffff,
    0x7c43ffe5,0x3fe6007f,0x1bfea00e,0x7fc45ffd,0x5c0effff,0x3ff6207f,
    0x21ff7002,0xfb1efffb,0x3e03fe4b,0x217fec4f,0x7ec0ffe8,0xf881102f,
    0x7ff4c2ff,0x97fe6002,0xbfd1fefc,0xfb0bfa3f,0x06ff989f,0x3ea007ff,
    0x203ffc0f,0x3fbfe6ff,0x43ffaa3f,0x263ffffc,0x3ea01ffe,0x37ec001f,
    0xf70bfe60,0x3be201df,0xe88accc8,0x4bfb000f,0x7fcc1ffa,0xd83bfee2,
    0xf516c2ff,0x7fec2d45,0x510ffe60,0x3e63ffb8,0x701ffcdf,0x05fe83ff,
    0x3e62ffa8,0x41ffcc2f,0xf706fffa,0x4cc0ffab,0x99999999,0xfd000199,
    0xff07ffcb,0x13fe600f,0xf70ffa20,0x457fe41d,0x3f61effb,0x02ffb805,
    0x7ffc3fe8,0x7e43fe63,0xf327fc07,0x17fe205f,0xfc800bff,0x0dff100f,
    0xc83bfe20,0x93ff64ff,0x7ff444fd,0x7403ffa1,0x2e0d4c4f,0x02ffc87f,
    0x7ffc7ff3,0x92ffc81f,0xff705fff,0x00ffd407,0xf301bf60,0x077fd45f,
    0x37be3fb0,0x510bf35f,0x5cbfd999,0xb89ff07f,0x2ffd8eff,0x7cc6ffcc,
    0x2a2ffd8a,0x02ff42ff,0x8e44ff98,0x3f601ffa,0x2017fcc6,0x1bf20ffc,
    0xffd827ec,0xf50ff885,0x0000001f,0xffd2ff40,0x33006ff8,0x01008003,
    0xfffa8bfd,0x3002ffed,0x1ff88033,0x3fe17ff4,0xff80ff91,0xfb01bf64,
    0x2006fe8f,0x7e404ff8,0x1ffe801f,0xffb07fe4,0x7cc27ec1,0x405ff76f,
    0x22fec5fd,0x5ff886fc,0x7fc1ff90,0x25ff502f,0xff302ffc,0x00ffd409,
    0xf301bf60,0x03bfea5f,0xfa9fcbf0,0x7fcc1f90,0x325fffff,0x709fd06f,
    0x205fffff,0xfcfcffd9,0x17fe21df,0x32001ff9,0x3fea02ff,0x913fe201,
    0xfecc81ff,0xd82fec2f,0x09ff705f,0x05fe89f9,0x3a000000,0xfd1ffa5f,
    0x0000000d,0x7d41ff40,0x0005ffff,0x6c0ff980,0xc97fc0ff,0xf27fc07f,
    0x0ffc809f,0x200bbff2,0x7cc02ff9,0x17fe402f,0x17f62fe4,0x3fee09fb,
    0x7e404ffd,0xd83ffe26,0x01ffb05f,0x05ff8bff,0x3fe47322,0xfa813fe0,
    0x5555301f,0x5555dfd5,0x2abfe655,0x7cc00eff,0xb9f673e3,0xc837f61f,
    0x203fee5f,0xfff703ff,0xfffb3007,0x41ff903b,0xf7002ff9,0x1ffa80bf,
    0xf10ffd40,0xeffff89f,0xff837e43,0x983ffb04,0x0ffcc0ff,0x3bbbbbb6,
    0x006eeeee,0x37ecbfd0,0x000017fa,0xb8800000,0x000002cd,0xffc81ff3,
    0x93ffffff,0x14ff80ff,0xddddddff,0xe83ffddd,0x702dffff,0xff8801ff,
    0x413fea03,0x22fec5fc,0x3ff604fd,0x27fb806f,0x3fa3fffa,0xa87ff503,
    0x02ffc2ff,0xff01ff20,0x80ffd409,0xfffffffd,0x35ffffff,0x01dffbff,
    0x7ffc5f50,0x7c4bea0e,0xf52ff41f,0x01ffa87f,0x801dfffb,0x80cfffc8,
    0x3fa22ffa,0x0effc804,0x200ffd40,0x3fe60ffc,0x7fedd542,0xf507fee4,
    0x4ffc885f,0xdf903fd8,0xfffffff8,0x007fffff,0x2f643550,0x000013b2,
    0x00000000,0x3fea0000,0x7ffffe40,0x0ff93fff,0xfff14ff8,0xffffffff,
    0xfff703ff,0xffc85fff,0x827fc400,0x3f206ff9,0x3f62fec5,0x0bffe604,
    0x7ec3fea0,0x80bfe6fd,0x437ec6ff,0x7e4005ff,0x5027fc07,0x3ff603ff,
    0xffffffff,0x7ff35fff,0xf1003ffd,0x71fd5fc9,0x54effc3f,0x7ff45ffe,
    0xb04ffcbe,0x01dff9ff,0xf9f9ff93,0x46fd83bf,0xfd102ff9,0x3fea00bf,
    0xd0bfea01,0x8ffd00bf,0xffebcffe,0x13fffea5,0xff881fea,0x2aaaaaa3,
    0x02aaaaaa,0x00000000,0x00000000,0x54000000,0x07fe40ff,0xff01ff20,
    0x2673fe29,0x19999999,0x7fffe4c0,0x1007fee4,0xffd107ff,0x362fe401,
    0xd027ec5f,0x9801dfff,0xff3ff1ff,0x6403ff11,0x07ff10ff,0xfc800bff,
    0x5027fc07,0xfd8003ff,0x4d7fcc06,0x6f800fff,0x8fb3ecfe,0xfbeffffc,
    0x7ffff445,0x25ffb04f,0x3e60effb,0xd8af98df,0x13fe22ff,0xffa81ff9,
    0x3fea002f,0xc89ff101,0x7fc400ff,0x7fffec46,0x0ef7d44f,0x75c02ed8,
    0x73000005,0x43777777,0xbbbbbbbb,0x3fffffe3,0xffffffff,0x000007ff,
    0x20000000,0x7fec0ff9,0x007fe402,0x02ffc9ff,0x7ffd4000,0xa805ff51,
    0x2ffd82ff,0x3f62fe40,0xfd827ec5,0xf805ffbf,0x7fd5faaf,0x7cc01ff3,
    0xf01ff73f,0x7fc800bf,0xf5027fc0,0x6fd8003f,0xfa97fcc0,0x97dc00ef,
    0x9f57f33f,0x2a259730,0x03797501,0xff70bff6,0x5f51741d,0x0ffdc2d4,
    0xfff997fa,0x21eeeeee,0xeeffeeed,0x983bf61e,0x5d5dc3ff,0x5303ffec,
    0x00010159,0x80000000,0xfffffffa,0x3fffffe3,0x3fffe7ff,0xffffffff,
    0x0007ffff,0x00000000,0xfd07fe60,0x1ffb807f,0x7f49ff70,0xa800000f,
    0x0bff12ff,0x7dc0ffd8,0x45fc804f,0x427ec5fd,0x9ff94ffb,0x2fdbff80,
    0x00ff5df7,0x417fadfd,0x7e4005ff,0x5027fc07,0xfd8003ff,0x717fcc06,
    0xfe801dff,0x1bee609a,0xf5000000,0x0ffee05f,0xfd003fa8,0xf33ff98d,
    0xffffffff,0x7fffffc5,0x3ff51fff,0xffe86fe8,0x0004ffff,0x00000000,
    0x5ddcc000,0x3fe1bbbb,0x27ffffff,0x99999999,0x99999999,0x00000001,
    0x7fc00000,0x017ffe23,0xff507ff5,0x027fd49f,0x17fdc000,0x3e603ffb,
    0x02ffcc4f,0x2fec5fc8,0xdff313f6,0x3602ffe8,0x3fe27fcf,0xffb806fc,
    0xbff02ffb,0x407fc800,0x3fea04ff,0x037ec001,0xff90bfe6,0xbdfd880d,
    0x4c0efdba,0xaaaaaaaa,0x5555531a,0x16435555,0x7f7012e0,0x2e076600,
    0x2aaaaa22,0x2aa0aaaa,0x0aaaaaaa,0x207620ea,0x00accccb,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ff20000,0x17ffdf91,0xbfff88e6,
    0x4ffffc88,0x204efff4,0x06b221a9,0x4c1fff73,0xf710bfff,0x7ffc41ff,
    0x99999999,0x5fd8bf90,0xffd127ec,0x00fff883,0xfd8bfff9,0xff8805ff,
    0x17fe07ff,0xf80ff900,0x7333314f,0x013335ff,0x7cc06fd8,0x05ffd82f,
    0x3efffeb8,0xffffff90,0x3ff29fff,0x4fffffff,0x1a980000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7cc00000,
    0xfc8fffff,0x7e47ffff,0xd9ffffff,0x7fff444f,0x23ffffff,0xfffffff9,
    0xffb82fff,0x1effffff,0x7fffffdc,0xf95fffff,0x7ec5fd8b,0x5c0fff64,
    0xfff706ff,0x04fffb85,0x409fff90,0x7e4005ff,0xfaa7fc07,0xffffffff,
    0x37ec05ff,0x740bfe60,0x006005ff,0x3333332a,0x99952ccc,0x05999999,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xeffe9800,0x17ffff61,0x437fffee,0xffd704fd,0x4c3bffff,
    0xfffffffe,0x3ff6200c,0xff704eff,0xffffffff,0xfb17f2bf,0xff74fd8b,
    0x85ffd80d,0x7c40fffa,0xff3002ff,0x02ffc03f,0xff01ff20,0x3ffffea9,
    0x05ffffff,0x05ff3000,0x0013ffa2,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20088000,
    0x04c40099,0x01331000,0x00133330,0x00000310,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_31_latin_ext_x[560]={ 0,6,3,0,1,0,0,6,4,3,2,1,3,3,
5,1,1,2,2,2,0,2,1,1,1,1,6,3,2,2,3,4,0,0,2,1,1,3,3,0,1,2,2,2,
3,0,1,0,2,0,2,1,1,1,0,0,0,0,1,5,2,4,1,0,0,2,2,2,1,1,0,1,2,2,
1,2,2,1,2,1,2,1,3,2,0,2,0,0,1,0,2,2,7,3,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,6,1,1,1,0,
7,2,0,0,3,2,1,3,1,0,3,1,3,4,0,2,1,6,6,3,3,2,0,0,0,3,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,-1,-1,0,1,0,0,0,0,0,0,3,1,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,2,0,2,1,1,0,0,2,2,2,0,0,3,
2,-4,-3,2,1,0,2,0,0,1,2,0,0,0,1,2,0,0,0,0,0,0,0,0,-1,0,2,3,-1,0,
0,0,0,0,1,2,0,0,1,0,0,-3,1,0,0,0,0,0,0,0,0,0,0,0,1,2,0,0,0,0,
0,0,0,0,0,0,0,4,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,-2,-2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,2,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__consolas_31_latin_ext_y[560]={ 23,1,1,3,0,1,2,1,0,0,1,7,18,13,
18,1,2,3,2,2,3,3,3,3,2,2,7,7,6,10,6,1,1,3,3,2,3,3,3,2,3,3,3,3,
3,3,3,2,3,2,3,2,3,3,3,3,3,3,3,1,1,1,3,27,1,7,1,7,1,7,1,7,1,1,
1,1,1,7,7,7,7,7,7,7,2,7,7,7,7,7,7,1,-2,1,11,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,23,7,0,2,3,3,
-2,1,1,2,3,8,13,13,1,2,1,4,1,1,1,7,1,11,23,1,3,8,1,1,1,7,-3,-3,-3,-3,
-3,-4,3,2,-3,-3,-3,-3,-3,-3,-3,-3,3,-3,-3,-3,-3,-3,-3,8,-1,-3,-3,-3,-3,-3,3,1,1,1,
1,1,1,0,7,7,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,6,4,1,1,1,1,1,1,1,
-2,2,-3,1,3,7,-3,1,-3,1,-3,1,-3,1,-3,0,3,1,-2,2,-3,1,-3,1,3,7,-3,1,-3,1,
-3,1,-3,1,2,0,-3,-3,3,1,-3,1,-2,2,-3,1,3,1,-3,7,3,1,-3,1,3,1,7,-3,-4,3,
1,0,0,3,1,3,1,-3,1,3,7,-3,1,-1,3,7,-2,2,-3,1,-3,1,3,7,-3,1,3,7,-3,1,
-3,1,-3,1,2,7,-3,1,3,2,-3,0,3,2,-3,1,-2,2,-3,1,-4,0,-3,1,3,7,-3,1,-3,1,
-3,-3,1,-3,1,-3,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-7,-4,-3,1,-3,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,2,7,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__consolas_31_latin_ext_w[560]={ 0,5,11,17,15,17,18,5,10,10,13,15,8,11,
6,14,15,14,14,13,17,13,15,15,15,15,5,9,12,14,12,10,17,17,14,15,15,12,12,16,15,13,12,14,
12,17,15,17,14,18,14,15,15,15,17,17,17,18,15,8,14,8,15,18,11,13,14,13,14,15,16,15,13,13,
13,15,13,15,13,15,14,14,13,13,15,13,16,17,16,16,13,12,3,12,17,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,5,13,15,15,17,
3,14,14,17,11,13,14,11,15,13,11,15,11,10,15,15,15,6,5,11,11,13,17,17,17,10,17,17,17,17,
17,17,18,15,15,15,15,15,15,15,15,15,16,16,17,17,17,17,17,13,17,16,16,16,16,18,14,14,15,15,
15,15,15,15,17,13,16,16,16,16,15,15,15,15,15,15,16,16,16,16,16,15,15,15,15,15,15,16,14,16,
17,15,17,15,18,14,16,16,16,15,16,15,16,15,17,20,16,17,15,16,15,16,15,16,13,15,15,16,16,16,
16,16,16,16,16,16,16,15,17,15,15,15,15,15,15,15,14,14,15,13,15,15,14,14,14,15,15,15,15,12,
13,20,20,15,19,15,13,16,15,15,13,16,15,15,15,13,17,16,17,16,18,17,17,17,17,16,14,13,17,16,
16,15,16,15,15,13,16,15,15,15,16,19,15,15,16,15,16,15,16,15,16,15,18,17,15,14,17,17,18,16,
18,16,15,16,15,16,15,12,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,16,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,17,15,18,17,19,18,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,13,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15, };
static unsigned short stb__consolas_31_latin_ext_h[560]={ 0,23,8,20,27,23,22,8,30,30,14,16,11,3,
6,26,22,20,21,22,20,21,21,20,22,21,17,22,18,9,18,23,29,20,20,22,20,20,20,22,20,20,21,20,
20,20,20,22,20,27,20,22,20,21,20,20,20,20,20,29,26,29,10,3,7,17,23,17,23,17,22,23,22,22,
29,22,22,16,16,17,23,23,16,17,22,17,16,16,16,23,16,29,32,29,7,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,23,27,21,20,20,
32,26,7,22,15,13,8,3,15,6,11,19,13,13,7,23,26,6,5,13,15,13,22,22,22,23,26,26,26,26,
26,27,20,26,26,26,26,26,26,26,26,26,20,26,27,27,27,27,27,14,28,27,27,27,27,26,20,23,23,23,
23,23,23,24,17,21,23,23,23,23,22,22,22,22,23,22,23,23,23,23,23,17,23,23,23,23,23,29,29,29,
25,22,26,23,26,22,27,23,27,23,27,23,27,23,26,24,20,23,25,22,26,23,26,23,26,22,26,23,27,29,
27,29,27,29,28,30,26,26,20,22,26,22,25,21,26,22,26,28,26,16,21,29,27,29,27,29,16,26,27,27,
29,23,23,20,22,20,22,26,22,27,23,26,22,24,27,23,26,22,27,23,27,23,21,17,26,22,27,23,26,22,
27,23,27,23,26,21,27,23,27,28,26,24,20,22,27,23,26,22,27,23,28,24,27,23,26,22,26,22,26,29,
26,26,22,26,22,26,22,22,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,26,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,30,28,26,23,30,26,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,28,23,27,28,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20, };
static unsigned short stb__consolas_31_latin_ext_s[560]={ 508,503,433,191,34,114,216,505,9,58,289,
203,378,432,505,220,289,80,269,318,337,239,298,355,396,253,503,427,420,403,433,
233,169,386,147,471,48,35,240,487,131,177,176,162,209,222,253,17,322,1,371,
69,64,205,113,95,304,285,269,271,357,262,387,444,494,494,355,446,279,33,131,
168,162,148,326,17,101,93,175,63,85,184,161,49,115,19,144,126,109,370,79,
204,1,217,476,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,508,506,20,
189,459,17,5,1,461,51,251,303,418,432,235,418,366,404,317,355,445,426,458,
505,503,329,263,341,271,253,235,458,372,87,69,272,220,334,392,187,171,121,137,
53,307,16,105,170,411,203,35,436,418,316,251,275,340,234,217,132,183,65,428,
212,118,180,164,148,132,37,460,314,68,51,34,17,1,459,167,200,442,443,409,
392,375,358,341,478,325,309,293,277,261,118,103,86,456,82,406,152,387,332,1,
85,82,53,486,1,284,69,369,474,475,134,440,347,353,199,337,216,304,66,269,
244,149,135,469,152,18,187,374,69,100,84,492,364,32,33,424,328,474,118,443,
440,408,189,344,310,454,230,301,294,219,256,352,387,280,387,408,360,98,376,475,
48,489,116,429,290,380,495,50,325,153,49,400,294,368,261,221,1,238,150,269,
311,339,183,200,487,166,196,490,284,99,227,66,358,235,1,443,85,491,339,203,
1,455,102,391,21,472,243,323,412,390,437,424,245,117,136,35,153,455,186,134,
305,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,252,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,20,408,285,469,38,318,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,424,100,66,358,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1, };
static unsigned short stb__consolas_31_latin_ext_t[560]={ 1,34,233,212,34,142,166,142,1,1,233,
233,233,242,151,90,166,212,189,166,212,189,189,212,166,189,117,166,212,233,212,
117,1,212,212,166,212,212,212,166,212,212,189,212,212,212,212,189,212,34,212,
189,212,189,212,212,212,212,212,1,62,1,233,242,233,212,142,212,142,233,189,
117,189,189,1,166,189,233,233,233,142,117,233,233,189,233,233,233,233,142,233,
1,1,1,233,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,1,62,34,
189,189,212,1,90,233,189,233,233,233,242,233,242,233,212,233,233,233,117,62,
158,135,233,233,233,166,166,166,117,62,62,62,62,62,34,189,62,62,62,62,
62,62,90,62,90,189,90,62,34,34,34,34,233,1,34,34,34,34,90,189,
142,117,142,142,142,142,117,212,189,142,142,142,142,166,142,166,166,117,142,117,
117,117,117,117,212,117,117,117,117,117,1,1,1,90,166,90,117,90,166,62,
117,34,117,34,142,34,117,90,90,189,117,90,166,90,117,90,117,90,166,90,
117,34,1,34,1,62,1,1,1,90,90,189,166,90,166,90,189,62,166,62,
1,62,233,189,1,34,1,34,1,233,62,34,34,1,142,142,189,166,189,142,
90,142,34,142,62,166,90,34,142,62,166,34,142,34,142,189,233,62,166,34,
142,62,166,34,117,34,142,62,189,34,142,34,1,90,117,189,189,1,142,62,
189,1,117,1,117,1,142,62,166,62,166,62,1,90,90,189,90,166,90,166,
166,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,90,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,1,1,90,117,1,90,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,1,142,34,1,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212, };
static unsigned short stb__consolas_31_latin_ext_a[560]={ 273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_31_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_31_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_31_latin_ext(stb_fontchar font[STB_FONT_consolas_31_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_31_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_31_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_31_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_31_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_31_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_31_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_31_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_31_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_31_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_31_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_31_latin_ext_s[i] + stb__consolas_31_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_31_latin_ext_t[i] + stb__consolas_31_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_31_latin_ext_x[i];
            font[i].y0 = stb__consolas_31_latin_ext_y[i];
            font[i].x1 = stb__consolas_31_latin_ext_x[i] + stb__consolas_31_latin_ext_w[i];
            font[i].y1 = stb__consolas_31_latin_ext_y[i] + stb__consolas_31_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_31_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_31_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_31_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_31_latin_ext_s[i] + stb__consolas_31_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_31_latin_ext_t[i] + stb__consolas_31_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_31_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_31_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_31_latin_ext_x[i] + stb__consolas_31_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_31_latin_ext_y[i] + stb__consolas_31_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_31_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_31_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_31_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_31_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_31_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_31_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_31_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_31_latin_ext_LINE_SPACING
#endif

