// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_38_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_38_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_38_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_38_latin_ext_BITMAP_HEIGHT        364
#define STB_FONT_consolas_38_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_38_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_38_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_38_latin_ext_LINE_SPACING          25

static unsigned int stb__consolas_38_latin_ext_pixels[]={
    0x02aa8aaa,0x02666200,0x00198800,0x44000026,0x00019981,0x00000000,
    0x10099998,0x02a60015,0x00013300,0x0cc40998,0x05544000,0x00a88000,
    0xdb971000,0x000a9807,0x9ddd9000,0x00998000,0x80266000,0xeeeeeeeb,
    0x0d44002e,0x00002662,0x33333333,0xbcdec801,0xdddd7000,0x4005dddd,
    0x80000098,0x2663ccca,0x13310009,0x201f7400,0xff809998,0x4001ffe7,
    0x000dfffa,0x2003ff20,0xb00005fa,0x01fff85f,0x0bfb1000,0x0000bfd1,
    0x5413fff6,0x7e403fff,0xff9001ff,0x7fc0007f,0x00037ec4,0x9dffffd9,
    0x3fea0001,0x7dc0001f,0x2e04ffff,0x00002fff,0x001fffec,0x00ffff20,
    0x0ffff200,0x7fffffe4,0x3e6003ff,0x13ff23ff,0xffff9800,0x6c04ffff,
    0x802fffff,0xfffffffc,0xffd8803f,0x700000df,0x7fc1bfff,0xdff5002f,
    0x00ffe200,0xff05fff7,0x4003ffcf,0x0002fffb,0xfd006ff8,0xfd8000bf,
    0x00fffc6f,0x2fffb800,0x0017ffdc,0x80bfff60,0x2207fffe,0xc805ffff,
    0x003fffff,0xf737ffd0,0xfd3000bf,0xdfffffff,0xfffd0001,0x7fdc000b,
    0x3e03eeff,0x00006fff,0x4cc7fff2,0x7ffe4000,0x320003ff,0xc83fffff,
    0xeeeeeeff,0x3fff6002,0x0013ff27,0xffffff98,0x776404ff,0x5c02ffff,
    0xfffeeeee,0xfdffd803,0xfb80004f,0x2fff83ff,0x00dff500,0xf700bfe6,
    0x4fff05ff,0x7dc007ff,0xa80000ef,0xff3004ff,0x3f20009f,0x0fffc0ef,
    0xfffb8000,0x017ffdc3,0x03dffb00,0x00fffff8,0x80dffff3,0xffe9dffc,
    0xfff98003,0x4000ffff,0x261bfffa,0x4000effc,0x0006ffff,0x001bfff1,
    0x001bfffe,0x986ffe40,0x3f2002ff,0x03ffe9df,0xe9dffc80,0x1ffe43ff,
    0x7fff4000,0x009ff90f,0x55555440,0x22004ffe,0x8000fffd,0x7c403ffc,
    0x000ff10f,0xf01effb8,0x3ea005ff,0x3ff7006f,0x81fffb80,0x01ffe7ff,
    0x0002aa88,0x8007ff60,0x4003fffa,0xff81fffb,0xd100001f,0x0bfd10bf,
    0x06ffec00,0x02fffe40,0xc80ffffa,0x3ff624ff,0xffea8003,0x7c4001ef,
    0x3fee01ff,0x7ffdc005,0xdff70002,0x3fffc800,0x83330000,0xf9000ffc,
    0x1ffec49f,0x449ff900,0x3ff23ffd,0xffb80003,0x013ff25f,0x13ff2000,
    0x05fff100,0x807ff900,0x007fc6f9,0x402aa880,0xf5002fff,0x3fb2a0df,
    0x84efffff,0xff81fffb,0x5401ffe7,0x00001cdc,0x7000fff1,0x26001fff,
    0xfff02fff,0x00000003,0x01998000,0x200675c0,0x4cc03ec8,0x00033301,
    0xe80004c4,0xffc800ff,0x00dd4000,0x007ff900,0x00005950,0x400dfd00,
    0x03330199,0x9980ccc0,0x000fff21,0x3f21e540,0xc800004f,0xfc8004ff,
    0xffc8003f,0xc9bff803,0x3260006f,0x3ffe01ce,0x8dff5002,0xffffffd8,
    0xfb87ffff,0x27ff81ff,0xffc807ff,0x00003fff,0x36000133,0xffd005ff,
    0x00fffc09,0x00000000,0x00000000,0x00000000,0x3ff20000,0x07ff1003,
    0xfb000000,0x0000003f,0x5de54400,0x000003ff,0xfc800000,0x4000003f,
    0x00004ffc,0x8004ffc8,0xc8004ffb,0xffa803ff,0x70002fff,0x205fffff,
    0xf5002fff,0x7fffc4df,0xfedfffde,0x81fffa87,0x01ffe7ff,0xff715ff3,
    0x00000001,0x805fff10,0x3e00fffa,0x000001ff,0x00000000,0x00000000,
    0x00000000,0xd001bfe2,0x000000df,0x0003ffb0,0xff700000,0x05ffffff,
    0x00000000,0x007ff900,0x4ffc8000,0xffc80000,0x5ffa8004,0x03ffc800,
    0x0039d930,0x2e6ffe20,0x2fff80ff,0x74dff500,0x17fe1eff,0x03fff503,
    0x03ffcfff,0x05fd17ee,0x20000000,0xf100fffc,0xfff805ff,0x2f7b6e60,
    0x00999500,0x950e6644,0x66440099,0x0066641c,0x22013322,0xcccefedb,
    0x4401cccc,0xcccefedb,0x7dc1cccc,0x7fe4001f,0x7f6dc400,0xccccccce,
    0x807ff601,0xccccccc8,0x3620002c,0xffffffff,0x999502ff,0x0e664400,
    0x6666665c,0x322ccccc,0xccb803ff,0xcccccccc,0x013ff22c,0x90079993,
    0xf50009ff,0xff9000bf,0x00099987,0xfb801331,0x7fc17f45,0xdff5002f,
    0xf88bffea,0xfffa804f,0x3fe7ff80,0xa8ffd407,0x710000ff,0x9999dfdb,
    0x7c403999,0xdff903ff,0x361fff00,0x0effffff,0x002fffa8,0x7d41fff5,
    0xff5002ff,0x01fff81f,0x2e03ffcc,0xffffffff,0x202fffff,0xfffffffb,
    0x42ffffff,0x210206fe,0x3ee01ffa,0xffffffff,0x3602ffff,0x3fe601ff,
    0x04ffffff,0xdfffd100,0xfffff759,0x05fff505,0x203ffea0,0xfffffffe,
    0x3f24ffff,0xfffe803f,0xffffffff,0x9813ff24,0xc800ffff,0xfa8004ff,
    0xffc8005f,0x8017ffc3,0x7dc06ffa,0x7fc17f45,0xdff5002f,0xff31bff2,
    0x1fff5007,0x3ffcfff0,0x7ffffec0,0xfff70004,0xffffffff,0xffc805ff,
    0x005ffd06,0xfffb1fff,0x01ffffff,0x3600bffd,0x5ffe85ff,0xf0bffb00,
    0xff9803ff,0x3bfff207,0xfffffdbc,0xfff902ff,0xffffb79d,0x7fd45fff,
    0x6fffec43,0x203ff36e,0xdbcefffc,0x2fffffff,0x9807ff60,0xffffffff,
    0xfff90004,0xfffffa85,0x00bffd06,0x7f417ff6,0xffffffff,0x0fff24ff,
    0x3fffffa0,0x24ffffff,0xff104ffc,0x3f2001df,0xffa8004f,0x3ffc8005,
    0xa8017ffc,0x7fc406ff,0xf80ffb9c,0xff5002ff,0xf51bff6d,0xfff5005f,
    0x7fcfff01,0x59db5007,0x3fff2000,0xffffdbce,0x7cc02fff,0x7ffcc0ff,
    0xfefff800,0xfff710cf,0x01fff709,0xb82fff88,0x7c400fff,0x1fff82ff,
    0x983ffcc0,0xfe983fff,0x7ffcc04f,0x04ffe983,0x7f4c1ff9,0xf15fffff,
    0x7fff305f,0x009ffd30,0x20003ffa,0x88004ffc,0xffc83fff,0xfb83fffb,
    0x7fc400ff,0x3f20002f,0x00fff24f,0x927fe400,0xfff109ff,0x7fe4001d,
    0x5ffa8004,0x43ffc800,0xf5002fff,0xfff700df,0x3ffe05ff,0x2dff5002,
    0x3ee2fffb,0xfff9801f,0x3fe7ff80,0x13331007,0x7fff3000,0x009ffd30,
    0x7dc3ffe8,0xffff005f,0x3ffee05f,0x01fffc40,0x7c41ffee,0x7fdc03ff,
    0x803fff07,0xffb07ff9,0x07ffcc0b,0x4c0bffb0,0x6fe80fff,0x7ed5fff4,
    0xb07ff13f,0x7fcc0bff,0x06ff800f,0x009ff900,0x3e0bffb0,0x10dffd5f,
    0xfb807fff,0x7e40007f,0x00fff24f,0x927fe400,0xfff889ff,0x7fe4000e,
    0x6ff98004,0x43ffc800,0xf5002fff,0x3b2600df,0x0bffe01c,0xf9b7fd40,
    0x0ff93fff,0x203ffe60,0x01ffe7ff,0x003ffffc,0xf302ffec,0x7e4001ff,
    0x017ff46f,0x201ffff8,0xfd82fff8,0x27ff406f,0xe80dffb0,0x3fff04ff,
    0xd07ff980,0xfff805ff,0x00bffa02,0x9ff05fff,0xff727fd4,0x7f427fc5,
    0x17ffc02f,0x0013fe60,0x20027fe4,0xf982fff8,0x01fff72f,0xfe80dffb,
    0x7e40004f,0x00fff24f,0x927fe400,0x7ff449ff,0xffc8000e,0xfff88004,
    0x1ffe4001,0x5400bffe,0x800006ff,0xf5002fff,0x7fffdcdf,0xf3007fee,
    0xf9ffe0ff,0xfffa807f,0x7f4002ff,0x17ffc02f,0xf8fff500,0xfff001ff,
    0x09ffb007,0x2203fff5,0x3ea01fff,0xfff101ff,0x007ffe03,0x3fe0fff3,
    0x17ff401f,0xe803fff0,0x17fcc2ff,0x7fe41ffd,0x3fe13fe1,0x17ff401f,
    0x01fffa88,0x009ff900,0xc80fffa8,0x5fff10ff,0x203fff50,0x0001fff8,
    0xff927fe4,0x3f200007,0x453ff24f,0x0000effe,0x20009ff9,0x001bfffb,
    0xfff87ff9,0x0dff5002,0x77f765cc,0x2fff80cd,0xc8dff500,0x0effffff,
    0x907ff980,0x403ffc99,0x04fffffc,0x200fffc0,0x26002ffe,0x3ffe27ff,
    0x03fff000,0x3e09ff90,0xdff704ff,0x209fff00,0x3fe06ffb,0x3ffcc01f,
    0x7c02fff8,0x3ffe01ff,0x20fffc02,0xbff11ffb,0x3fe0ffe8,0x402fff83,
    0x7ffc1fff,0x20000dff,0x5c004ffc,0x8dfd06ff,0xfff04fff,0x01bfee09,
    0xc93ff200,0x900003ff,0x67fe49ff,0x000effe8,0x0013ff20,0x6fffffc8,
    0x3e1ffe40,0xff5002ff,0x3ffffa0d,0x44ffffff,0xf5002fff,0xfffb30df,
    0x4c03bfff,0x3fe007ff,0xfbfff807,0x7ffc007f,0x00fffc02,0x261fff10,
    0x3fe007ff,0x5ffb801f,0x3a0fff90,0xffc803ff,0x407ffd07,0x7cc01fff,
    0x0bffd07f,0x3a03ffd4,0x3fea05ff,0xf50ffb87,0x227ff87f,0x5ffe83ff,
    0x3e1ffea0,0x0002efff,0x20027fe4,0xff885ffc,0xc827ff43,0x7ffd07ff,
    0x9ff90000,0x0001ffe4,0x3f24ffc8,0x00effedf,0x027fe400,0x3fffa200,
    0x21ffe406,0xf5002fff,0x3fffe0df,0xfffffeef,0x400bffe4,0x36606ffa,
    0x0cffffff,0x2007ff88,0x7fd407ff,0x002fff8e,0xfa817ffa,0x7fc4007f,
    0x00fff51f,0x5c00fffc,0xfff106ff,0x00fff985,0x4c2fff88,0x3fe00fff,
    0x3ffcc01f,0x983fffa8,0x7d404fff,0xfff983ff,0x3ee7fc84,0x897fe22f,
    0xfffa82ff,0x84fff983,0x0efffedc,0x09ff9000,0xb84ffd80,0x2ffec1ff,
    0x4c2fff88,0x80000fff,0x3ff24ffc,0xff900003,0x7f6ffe49,0x640000ef,
    0x910004ff,0x8079dfff,0x7ffc3ffc,0x0dff5002,0x3a602b7e,0x5fff1fff,
    0x017fee00,0xfffffff5,0x07ff881d,0xf901ffe0,0x013ff67f,0x983fffa8,
    0xf8004fff,0x0dff51ff,0x400fffc0,0x3f605ffb,0x02ffe45f,0xfc8bffb0,
    0x0fffc05f,0xe81ffe60,0xfeccefff,0xffd006ff,0xfffd99df,0xfd9ff20d,
    0x993fe61f,0xfffd01ff,0xdfffd99d,0x09ffd300,0x013ff200,0xfb07ffd0,
    0x40dff90f,0x7fe45ffd,0xff900005,0x001ffe49,0x324ffc80,0xefff8cff,
    0x3ff20000,0x9ff70004,0x1ffe4001,0x5400bffe,0x220006ff,0x7ffb3fff,
    0x013ff200,0xffd33ff7,0x07ff88bf,0xff01ffe0,0x01ffee3f,0x99dfffd0,
    0x000dfffd,0x3e61fff1,0x3ffe007f,0x03ffc801,0xfe83ffea,0x3fea002f,
    0x00bffa0f,0xf9803fff,0xffff507f,0x19ffffff,0xfffff500,0x019fffff,
    0x0ffd9bf6,0xffb8ffea,0xfffffa80,0x00cfffff,0x000fff30,0xd0013ff2,
    0x09ff09ff,0x7d40bff9,0x0bffa0ff,0x27fe4000,0x00007ff9,0xffc93ff2,
    0x00bfff34,0x0027fe40,0xc8007fe8,0x17ffc3ff,0x006ffa80,0xfcaffec0,
    0x7ffd005f,0x360ffc80,0x3ba20fff,0x81ffe005,0x3fe26ffa,0xfff5001f,
    0x9fffffff,0xfff30001,0x003ffe21,0x7400fffc,0x7ffc02ff,0x000fff33,
    0x3fe67fff,0x01fff807,0xff83ffcc,0xbceedb9f,0x27ffe001,0x01bceedb,
    0x3ffb37ec,0xdf917fdc,0x36e7ffe0,0x8001bcee,0xc8000fff,0x7f4004ff,
    0x417fd44f,0x7fc04ffd,0x00fff33f,0x927fe400,0x200007ff,0x3ff24ffc,
    0x017ffea4,0x0027fe40,0x4002ffc4,0x7ffc3ffc,0x0dff5002,0x76ffb800,
    0xfa801fff,0x3fec00ff,0x000bffe2,0xfc81ffe0,0x027ff44f,0xedb9fff8,
    0x20001bce,0x7ffc7ffa,0x03fff001,0x400fff98,0x9ffb6ffc,0x2dff9000,
    0xff804ffd,0x3ffcc01f,0x00027fcc,0x0004ff98,0x3ffb37ec,0x9fd0fff4,
    0x0009ff30,0x003ffd00,0x8009ff90,0x3fe45ffd,0x6403ffe8,0x09ffb6ff,
    0x27fe4000,0x00007ff9,0xffc93ff2,0x027ffdc4,0x0027fe40,0x4002ffd4,
    0x7ffc3ffc,0x0dff5002,0x26ffa800,0xf501effe,0xdfd009ff,0x0009ffd0,
    0x7fc0fff0,0x03ffdc1f,0x00027fcc,0xf8dff700,0xfff002ff,0x04ffd803,
    0xff9fff88,0xff88001f,0x801fff9f,0x7cc01fff,0x06ffb87f,0x0dff7000,
    0x327fc800,0x5fff72ff,0x3ee07fea,0xd800006f,0xfc8001ff,0x7fec004f,
    0xff82ffc6,0x7ffc402f,0x0001fff9,0xfc93ff20,0xf900003f,0x427fe49f,
    0x4004fffc,0xa8004ffc,0xfc8005ff,0x017ffc3f,0x4c06ffa8,0xfffffedc,
    0x3ffea6ff,0xffecacdf,0x5ff800ef,0x2a17ffcc,0x7cfff01b,0x0fff507f,
    0xb803fff3,0x000006ff,0xffb0fffa,0x07ffe00b,0x007ffe44,0x6ffeffd8,
    0x3bff6000,0xfff006ff,0x87ff9803,0x99bdfffa,0x3ea00199,0x9999bdff,
    0x267fb801,0xfdefdfff,0xf505ffdf,0x33337bff,0x3ff60003,0x4ffc8001,
    0x33ffdc00,0xfff307ff,0xfdffb003,0xc80000df,0x0fff24ff,0x27fe4000,
    0x3f609ff9,0x3f2003ff,0xffa8004f,0x3ffc8005,0xa8017ffc,0xffb306ff,
    0xffffffff,0xffffa8df,0x0effffff,0x6c4ff880,0x3fee0fff,0x3e7ff82f,
    0x09ff907f,0xf5013ffa,0x33337bff,0x7fc40003,0x07ffd40f,0x66ffffc0,
    0x2ffffcba,0x3fffea00,0x3ea0003f,0xf003ffff,0xff9803ff,0xfffffd07,
    0x3bdfffff,0xfffffe80,0x1defffff,0x3fa0ffb8,0xfff99fff,0x7fff406f,
    0xefffffff,0x3ffb001d,0x666665c0,0xcccceffe,0x7fff300c,0x3f203fee,
    0xfff5007f,0x800007ff,0x3ff24ffc,0xff900003,0xd027fe49,0xccb85fff,
    0xceffeccc,0x2a00cccc,0xfc8005ff,0x017ffc3f,0xf986ffa8,0xccccefff,
    0xd886ffdc,0x2efffffe,0x3e6137b0,0xfffd98bf,0x42ffffc4,0x41ffe7ff,
    0xff902fff,0xffffd00f,0xbdffffff,0x37fdc003,0xf802fff8,0xffffffff,
    0xf8001eff,0x80007fff,0x2007ffff,0x7cc01fff,0xfffd107f,0xffffffff,
    0x7ff440bf,0xffffffff,0x0ffd45ff,0x64c39b91,0x7f4400ad,0xffffffff,
    0xfd805fff,0x3fffa01f,0xffffffff,0x3fe00fff,0x3e0dfd6f,0x3fe003ff,
    0x800007ff,0x3ff24ffc,0xff900003,0x1027fe49,0x7f45fffd,0xffffffff,
    0x200fffff,0xc8005ffa,0x17ffc3ff,0xe85ffb80,0x3ea01eff,0x4ffb806f,
    0x7fffffc0,0xffffffff,0x85ffff85,0x21ffe7ff,0x3e607ffa,0x7f4401ff,
    0xffffffff,0xfd005fff,0x17ff207f,0x3ffbffe0,0x0003dfff,0x000ffff2,
    0x00ffff20,0x4c01fff8,0xfff707ff,0xffb99999,0x3ee09fff,0xdcccccff,
    0x264fffff,0x000003ff,0x9999fff7,0x9fffffb9,0x201ffd80,0xfffffffe,
    0x0fffffff,0x3f3ffee0,0x06ffd84f,0x01fffe40,0x27fec000,0x00007ff9,
    0xffc93ff6,0x7fffcc04,0xffffffd1,0xffffffff,0x02ffd401,0x361ffe40,
    0xff9003ff,0x01fff989,0x22037fd4,0xfff805ff,0xffffffff,0xfff503ef,
    0x7fcfff03,0x405ffc87,0x7dc04fff,0xdcccccff,0x404fffff,0xf300fffa,
    0xfff805ff,0x00001331,0x0003fff2,0x003fff20,0x37fd4000,0x2007ffdc,
    0xfb87ffe9,0x7f4c00ff,0x0037f47f,0x07ffdc00,0x01fffa60,0x00003ffb,
    0x3a013fe6,0x221fffff,0x4002fffc,0x0000fffc,0x323ffd80,0xb00003ff,
    0x000007ff,0x7d400000,0xffc8005f,0x802ffe43,0x7fd42ffe,0x06ffb807,
    0x4c00ffec,0xefffeecb,0x098802cd,0x3ffcfff0,0x4ccdfffc,0x6ffd9999,
    0x003ffee0,0x440fffd3,0x7e402fff,0x0fffc06f,0x7fc40000,0xf880004f,
    0x000004ff,0x3fa13fee,0xfff5002f,0x002ffe83,0x7dc3fff5,0x7400001f,
    0xff5002ff,0x17fec03f,0x37fc4000,0xfffffa80,0x4ffffecc,0x27ffc400,
    0xffe80000,0x000fff21,0x000fff40,0x00000000,0x90009ff7,0xfffb87ff,
    0x07ffd400,0xf501ffee,0x7ff80dff,0x01ff6000,0xf9ffe000,0x7fffd47f,
    0xffffffff,0xffd01fff,0x3ffea005,0x00dff901,0x7c07fff1,0x800001ff,
    0x0000fffd,0x000fffd8,0x0fff6000,0x2003fff1,0x3e20fff9,0xff3001ff,
    0x02ffc41f,0x3fff1000,0x03ffe600,0x0004ffc8,0x2001ffc8,0xfffffff9,
    0xd8002fff,0x00000fff,0x320fff98,0x980003ff,0xed800fff,0x3b60001e,
    0xffc8001e,0x3ffc8003,0x501effe8,0xff307fff,0xfffb105f,0xbffe80df,
    0x2ff40008,0x3ffc0000,0xfffc8fff,0xffffffff,0xf884ffff,0xff3001ff,
    0x3fff301f,0x07ffea00,0x0000fffc,0x00bfff20,0x0bfff200,0xffa80000,
    0x1fffc41f,0x446ffd80,0xfb003fff,0x09ffb0df,0x3ffe2000,0x0dffb003,
    0x000fffa8,0x0007ffc0,0x3fffffea,0xfc8001de,0x000002ff,0xffc8bffb,
    0xffd80003,0x00fff005,0x8007ff80,0x8002fff8,0xffa83ffc,0xfecacdff,
    0x3ffa06ff,0xfffdbadf,0x7d406ffe,0x7c007fff,0xf800004f,0xff1ffe7f,
    0xdddddddf,0x0dffdddd,0x2007fff1,0xff886ffd,0x7fec003f,0x01fff80f,
    0x3aa66200,0x88004fff,0x4fffea99,0x21ab8000,0xd04fffb8,0x30137fff,
    0xfd05fffb,0xb30137ff,0xff305fff,0x1726019f,0x26ffffa0,0x2fffd980,
    0x0aeffe80,0x19ffd000,0x27ff2001,0x2620009a,0x04fffea9,0x4437b900,
    0x640fffe9,0x5ee403ff,0x3fffa621,0x05ff9800,0x017fe600,0x06fffa88,
    0x207ff900,0xfffffffb,0x2a00dfff,0xffffffff,0x806ff8bf,0x2007ffdb,
    0x00003ff9,0x9ffe7ff8,0x5000fffa,0xffd03fff,0xfb30137f,0xffe885ff,
    0xffe88004,0x00fffc0e,0xfffffd00,0x3fa0009f,0x004fffff,0xfffff900,
    0x2601dfff,0xefffffff,0x03ffffff,0xfffffff3,0x7ffffffd,0x77fff440,
    0x05ffeecc,0xffffff98,0xffffffef,0xffff5003,0xfa8009ff,0xf800ffff,
    0x3fa0005f,0x004fffff,0x3fffff20,0xc83fffff,0xffffffff,0xffffff93,
    0x2007ffff,0x20002ffb,0xfd802ffb,0x401fffff,0xfffffffc,0x3fb6203f,
    0x002effff,0xbfffffb3,0x001bfe21,0x0aa88003,0x7ff80000,0x5ffc9ffe,
    0x41fffc00,0xfffffff9,0x3ffffffe,0x0005ffe8,0xff17ffa2,0x7f40003f,
    0x0001efff,0x07bffffa,0xfffc8000,0x9804ffff,0xfffffffd,0x4c01dfff,
    0xfffffffd,0x8801dfff,0xfffffffe,0xfb3002df,0xffffffff,0xe98003bf,
    0x8004ffff,0x400fffdb,0x20003ff9,0x01effffe,0x7fffdc00,0x901effff,
    0xffffffff,0x3ffffee7,0x2001efff,0x20000ffd,0xfd800ffd,0xc800dfff,
    0xffffffff,0x00266003,0x00013300,0x00000000,0x3e7ff800,0x00bffe7f,
    0x260dffb0,0xfffffffd,0xf901dfff,0xff10000d,0x000ccc85,0x006b3720,
    0x06b37200,0x32a20000,0x4001bced,0xbcddcca8,0x6544000a,0x00abcddc,
    0xbccb9880,0x9510000a,0x01579bb9,0x2cba9800,0xc800c000,0x320000ff,
    0x00001acd,0x2f3b72e2,0x66665402,0x2e22cccc,0x002bcedc,0x40003cb8,
    0x797003cb,0x66540035,0x01cccccc,0x00000000,0x00000000,0x9ffe0000,
    0x1fff57ff,0x1fffa800,0x37732a20,0x0b800abc,0x00530000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3e7ff800,0x00bff97f,0x007fff10,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xff000000,
    0x0003ffcf,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x66499900,0x00000004,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x30000000,0x01559975,0x10013331,0x54400133,0x0000aabb,0x4cc40000,
    0x6c000009,0x9999984e,0x99999999,0x00008000,0x9988014c,0x99999999,
    0x01999999,0x00000080,0x33310133,0x33333333,0x98800133,0x02662000,
    0x80000000,0x33300199,0x4ccccc41,0x26620009,0x09988009,0xd307baa0,
    0x5530003d,0xd5000133,0x000005dd,0x3b600000,0x76c403ee,0x0277542e,
    0x206f7640,0xfb12eeec,0x0266621b,0xffffff91,0xffd8dfff,0x5ffa804f,
    0x7ffff540,0x202dffff,0xb81deec9,0x7fffc000,0x3e200007,0x7fffcc4f,
    0xffffffff,0x3fa2003f,0x7fdc001e,0xffff5004,0xffffffff,0x003fffff,
    0x0007bfa2,0xe82ff980,0xffffffff,0x005fffff,0x01bfffb1,0x0009ff90,
    0x077bb260,0x3ffe202e,0x17ffdc01,0xfffffffd,0x7ec019df,0xffa806ff,
    0x477fe605,0x5000ffe9,0xfffffffd,0x7ffdc005,0x64c002ff,0x00b81dee,
    0x2fffd800,0x19ffd100,0x8001dff9,0x7e41fffc,0x3fff62ff,0x547fff95,
    0xffffffff,0x7fec7fff,0x7fd401ff,0x3ffff205,0x4fffffff,0xffffff30,
    0x00df9139,0x17ffffd4,0x3ff98000,0x7fffffcc,0x3fffffff,0x17fff200,
    0x009ff900,0x3fffffea,0xffffffff,0xf9001fff,0x40000bff,0xffe80ffc,
    0xffffffff,0xfb005fff,0x9009ffbf,0x300009ff,0x39ffffff,0xff10df91,
    0x7ffcc03f,0x7fffff43,0x04ffffff,0x803ffffb,0x7ec05ffa,0x04ffffff,
    0xffffffb0,0x32005fff,0x3fffbeff,0xfffff300,0x0df9139f,0x1effd800,
    0x7fff4400,0xfb8005ff,0x77fe41ff,0xcb7fff41,0xfff33fff,0x9553559f,
    0xffffd8fd,0x42ffd405,0xceffffe9,0x84ffdcbb,0xffcbeff8,0x003fffff,
    0x13fffff2,0x17fd4000,0x3333ffe6,0x2ccccccc,0x1bfff600,0x009ff900,
    0x33333326,0xccccfffd,0xfb000ccc,0x40000dff,0x999706fe,0x999fffb9,
    0xff100599,0x3201fe21,0x440004ff,0xfffcbeff,0xf883ffff,0xfff101ff,
    0x99bffd0b,0x7fffffb9,0x0bffffb0,0xc805ffa8,0x004fffff,0x3359fff9,
    0xf9003955,0x3ffa21bf,0x5f7fc404,0xfffffffc,0x3ff60003,0x7fec0004,
    0xffa8005f,0x06ffe41f,0xfba7ffe4,0x1dffd2ff,0xffffb000,0x2ffd403f,
    0x017fffe2,0x11aa0771,0x007ffffb,0x7ffbfff8,0x3ff70000,0x0007ff98,
    0x07fff500,0x004ffc80,0x00fff980,0x3fffa800,0x77951000,0x7cc007ff,
    0xf30000ff,0x6400ff8d,0xa80004ff,0x7fffec46,0x03fff103,0x7f41bffa,
    0xffea883f,0x7fffec0f,0x17fea01f,0x004d4c40,0x002fff88,0x980ccc40,
    0x446a8019,0x003ffffd,0x00026620,0x8000ccc0,0x19980998,0x5c33b220,
    0xfff9afff,0xbffb0000,0x7fd40bff,0x01fffe45,0x06620000,0x23bfea00,
    0x80002fff,0x7fcc0ffc,0x26000007,0xffc8001b,0xff980004,0x7300000f,
    0xfff70003,0x005fffff,0x0007ffcc,0xdf937ff0,0x009ff900,0x01988000,
    0x640fffc4,0xffd00fff,0x17ffcc07,0x17ff7ff6,0x0005ffa8,0x037fd400,
    0x00000000,0x00006620,0x00000000,0x20000000,0xffb9fffa,0x3ff60006,
    0xf501fffa,0x1fffc4bf,0x00000000,0x7ecfff20,0x2a60004f,0x3e60affe,
    0x0000007f,0xeccccb80,0xccccceff,0xff9804cc,0x0000000f,0x3ffff620,
    0x02ffffff,0x001fff30,0x7ffffd40,0x04ffc802,0x10000000,0xffb83fff,
    0x0fffa01f,0xfd87fff0,0x500fffaf,0x09998bff,0xa8133100,0x800007ff,
    0x0aaccba9,0x00000000,0x2ab32ea6,0xcba98000,0x26600aac,0x13310009,
    0x27ffea00,0x20007ffc,0x6ffb9ffd,0x7ecbff50,0x4c0000ff,0x33100099,
    0x71fff801,0xc8800fff,0xffffffff,0x000fff35,0x55dd4400,0x7ffff40a,
    0xffffffff,0xf9807fff,0x100000ff,0x44035575,0xbacefffe,0x802fffff,
    0x0000fff9,0x800e764c,0x00004ffc,0x801aca88,0x3e61fff8,0x7ff402ff,
    0x227ff403,0x4ffd9ffd,0xff8bff50,0xdff5002f,0x004fff98,0xffffc880,
    0x006fffff,0x0004ccc4,0xfffff910,0x100dffff,0xfffffff9,0x3ffe0dff,
    0x0dff5002,0x7ffcc799,0x003fffa8,0xff13ffb0,0x4bff505f,0x80003fff,
    0xf5002fff,0x37fd40df,0x2003fff1,0xfffffffa,0xfff36fff,0xfea80000,
    0xdfffffff,0xffffffd2,0xffffffff,0xfff300ff,0x7ecc0001,0xdfffffff,
    0x217ffe41,0x06fffffa,0x000fff98,0x004ccc40,0x0004ffc8,0x3ffffee0,
    0xff100dff,0x13ffa23f,0xf00fffa0,0x9ffd87ff,0xfa80fff9,0x017ffc5f,
    0xfc86ffa8,0x50000dff,0xffffffff,0xf800ffff,0x50007fff,0xffffffff,
    0xfa80ffff,0xffffffff,0x5fff07ff,0x21bfea00,0x3ffe67ff,0x03ffff88,
    0xf91ffd80,0x2bff50df,0x0000fff9,0x5002fff8,0x7fe40dff,0x4027ff44,
    0xfacffffa,0xff36dbdf,0x7e40000f,0xffffffff,0x3ff204ff,0xff980004,
    0xff70000f,0xffffffff,0x1fffc47f,0x7ffdffe4,0x07ffcc03,0x3fffe000,
    0x09ff9007,0xfffb1000,0x3fffffff,0x363fff10,0xffd005ff,0x0fffd407,
    0x7ff47ff6,0x7c5ffa84,0xff5002ff,0xfffff90d,0xfff98007,0xcaa9aacf,
    0x3fea007e,0x4c002fff,0x9aacffff,0x2607ecaa,0x9aacffff,0xff07ecaa,
    0x3fea005f,0x2a27ff86,0x3fffea2a,0x3ff6002e,0xa85fff11,0x0fff55ff,
    0x0bffe000,0xf037fd40,0x7ffb83ff,0x877ffc40,0x7cc23ff9,0xe980007f,
    0xbbceffff,0x3204ffdc,0x980004ff,0x44000fff,0xaceffffd,0x363ffdcb,
    0x2bff05ff,0x7cc06ffe,0x2a0000ff,0x802fffff,0x40004ffc,0xacefffe8,
    0x42ffffec,0xffc9fff8,0x0fffa006,0x6c27ffd4,0x1fff51ff,0x7fc5ffa8,
    0xdff5002f,0xffffffd8,0xffd001ef,0xc800001d,0x004fffff,0x00077ff4,
    0x003bffa0,0x002fff80,0xfff0dff5,0x3fffee00,0x7ec00cff,0x51bfee1f,
    0x1bfeebff,0x6666664c,0x017ffc3c,0xf506ffa8,0x3fff30ff,0x507ffec0,
    0xfff305ff,0xffffffff,0xfff101ff,0x03b880bf,0x00013ff2,0x0003ffe6,
    0x401dfffb,0x5fff12b8,0x3ee5ff30,0x3fe600ff,0x3f20000f,0xc804ffff,
    0x640004ff,0xff502fff,0xcfff88df,0x3a000fff,0xecbaadff,0xfd80efff,
    0x50fffa1f,0x2fff8bff,0x5cdff500,0xffd89fff,0x7fcc04ff,0xf800000f,
    0x007ffbff,0x0003ffe6,0x001fff30,0x002fff80,0xfff0dff5,0x6c42ffd8,
    0x1dffffff,0xff83ffb0,0x657fea3f,0xfff705ff,0xff8bffff,0xdff5002f,
    0x7413ff20,0xfff104ff,0x981ffb85,0xffffffff,0xc80fffff,0x00003fff,
    0x00009ff9,0x4001fff3,0x8004fff9,0xfc80fffa,0x05fff10f,0x0007ffcc,
    0xfff7fff0,0x009ff900,0x01fffc40,0xf88bffea,0x004fffff,0x7ffffff4,
    0x3604ffff,0x1ffee1ff,0xfff8bff5,0x4dff5002,0x7fd42fff,0xff700eff,
    0xf500000d,0x05fff1df,0x001bfee0,0x001bfee0,0x400bffe0,0x7fc46ffa,
    0x9807ffc7,0x4ffffffc,0x7dc1ffd8,0x6d7fea7f,0xfff705ff,0xff8bffff,
    0xdff5002f,0x640bffe0,0xfff307ff,0xf301ff90,0xddddddff,0xf881dddd,
    0x200003ff,0x80004ffc,0x2000fff9,0x70006ffd,0x1bfa0dff,0x7cc09fff,
    0xf50000ff,0x05fff1df,0x0004ffc8,0x6c017ff6,0x3ffe26ff,0x2002fffd,
    0xfffffffe,0x7fec00ef,0xf517ffc1,0x02fff8bf,0x3e6dff50,0xfff9106f,
    0x01fff20d,0x4fff2000,0xf9004ffd,0xf90000ff,0xff0000ff,0x3fea005f,
    0xf33ffc46,0xfd7100bf,0xffd8dfff,0xf53ffe81,0x41bff2bf,0xffc99998,
    0x8017ffc5,0xffa86ffa,0x07ffe607,0x3f61bfee,0x00fff307,0x007ffec0,
    0x09ff9000,0x1fff3000,0x0bffea00,0x42ffe400,0x7ff43ff8,0x03ffe604,
    0xd9ffe400,0x7fe404ff,0xfff10004,0x3ffea005,0xfb3fff11,0x3fa003ff,
    0xffeb99cf,0x07ff600d,0x7fd4dff7,0x8017ffc5,0xdff56ffa,0x83fffb80,
    0x0003fffa,0xfb8fffc0,0xfff5007f,0xffa80007,0x7fc0003f,0xdff5002f,
    0xf50fff88,0xffa8007f,0x07ff64ff,0x3ea3ffea,0x00fff75f,0x3fe2ffdc,
    0xdff5002f,0xf80bff90,0x5ffc84ff,0xff306ff8,0x7ffc000f,0x7e400003,
    0xf980004f,0xff9000ff,0x7fec000d,0x6c1ffb84,0x3fe605ff,0xfff0000f,
    0x901ffee3,0x2a0009ff,0xf1000fff,0x3ffe25ff,0x00effe89,0x7443ffe8,
    0x3ff605ff,0xa97ffc41,0x17ffc5ff,0xf16ffa80,0xffb803ff,0x3ffff887,
    0xdff50000,0x400fffc4,0x003ffff8,0x0ffffe20,0x02fff800,0xf88dff50,
    0x03ff90ff,0x1fffd100,0x7f407ff6,0xf55ffabf,0x7fdc00ff,0x8017ffc5,
    0xfff86ffa,0x9999999b,0xffc86ffd,0xf305ff86,0x3e6000ff,0x400000ff,
    0x80004ffc,0xb000fff9,0x740009ff,0x87fd83ff,0x3e606ffc,0xfa8000ff,
    0x07ffe26f,0x0004ffc8,0xe800dff7,0x3fff13ff,0x2017ffe6,0xff983ffe,
    0x03ffb02f,0x3feadff9,0x8017ffc5,0x3ffe6ffa,0x0fffc405,0x177fffd4,
    0x13ff2000,0x2a009ffd,0x002effff,0x5dffff50,0x05fff000,0xf11bfea0,
    0x00eea1ff,0xb1fffa80,0x3fea03ff,0xff15ffbf,0x3fee005f,0x8017ffc5,
    0x7fd46ffa,0xffffffff,0x5c1fffff,0x3fe20fff,0x00fff303,0x001ffea0,
    0x013ff200,0x03ffe600,0x001fff40,0xff09ffd0,0x40bff909,0x8000fff9,
    0x7ff44ffc,0x013ff204,0x002ffe40,0x7fc53ff6,0x0fffee1f,0x3607ffd0,
    0x3ffb06ff,0xf53fff10,0x02fff8bf,0x7d4dff50,0x7ff405ff,0xfffff702,
    0xff00019f,0x07ffb83f,0x3ffffee0,0x7dc000cf,0x00cfffff,0x2005fff0,
    0x7fcc6ffa,0x7c00000f,0x03ffb3ff,0x2fff7ff4,0x2e00dfff,0x17ffc5ff,
    0x646ffa80,0xffffffff,0x4fffffff,0xf517ffd4,0x1ffe605f,0x837fdc00,
    0xccccccc9,0x013ff203,0x03ffe600,0x0017ffc0,0xfa89ffd0,0x04ffd82f,
    0x0003ffe6,0xff707ffe,0x027fe40f,0x004ffd80,0xff8affec,0x0fffec1f,
    0x2607ffd0,0xffd82fff,0xf5bff901,0x02fff8bf,0xfd8dff50,0xfff01eff,
    0x7ffec403,0x5001dfff,0xfff30fff,0x7fec4003,0x001dffff,0x3fffff62,
    0x7ffc01df,0x8dff5002,0x0001fff9,0x6c7ffe20,0x3fea01ff,0x3fea5fff,
    0x5ffb802f,0xa8017ffc,0x77ffc6ff,0xeeeeeeee,0x7c46ffee,0x07fee5ff,
    0x8003ffcc,0xff705ffc,0x40bfffff,0x80005ffb,0x8800fff9,0x20001fff,
    0x3fe45ffd,0x2603ffe8,0x54000fff,0xfff987ff,0x009ff901,0x000fffa0,
    0x3fe2dff9,0x7fff441f,0x407ffd00,0xffd86ffe,0xf7fff301,0x02fff8bf,
    0xf90dff50,0xffb87fff,0xfff93006,0xf9009fff,0x13ffa09f,0x3fff2600,
    0x4c004fff,0x4ffffffc,0x400bffe0,0x7fcc6ffa,0x2e00001f,0x07ff67ff,
    0x8bffffd0,0x5c02fffe,0x17ffc5ff,0x2a6ffa80,0xf5000fff,0xfffc83ff,
    0x2601ff95,0xfb0007ff,0x3ffee0bf,0x2a05ffff,0x40000fff,0x9800fff9,
    0x20001fff,0x2ffc6ffd,0x2602fff8,0x64000fff,0x9ffd04ff,0x0013ff20,
    0x2001fff4,0xfff15ffc,0x0dfff303,0xfa80fffa,0x0ffec2ff,0xbffdffb0,
    0x5002fff8,0x3fea0dff,0xfffbaeff,0x7f5c4001,0x7fc06fff,0x0fff902f,
    0x7ff5c400,0xb88006ff,0xf06ffffe,0x3ea005ff,0x0fffcc6f,0xb8801570,
    0x3ff65fff,0x7fffcc01,0x5ffffcc5,0xf8bff700,0xff5002ff,0x002ffe4d,
    0xff10fffe,0x4cffddff,0x00fff35b,0x441bff20,0x5ffc9999,0x017ffe20,
    0x01fff300,0x005fff10,0xf33ffdc0,0x3fff307f,0x007ffcc0,0x640bffe0,
    0x9ff907ff,0x13ff6000,0x229ffb00,0xff501fff,0x07ffd09f,0x7ec6ffe8,
    0x3ffe601f,0x17ffc5ff,0x206ffa80,0xffffffc8,0x7d40003f,0xff504fff,
    0x0fffcc0f,0x7ffd4000,0x3ea0004f,0xfff84fff,0x8dff5002,0x3e01fff9,
    0xdccdeeff,0x6c6ffffe,0xffd801ff,0xffffb85f,0xffeccdff,0x017ffc5f,
    0x3fe6ffa8,0x7fec002f,0xfffff986,0x36ffffff,0xdddddfff,0x5c5ddddd,
    0x3ee007ff,0x7ffe405f,0x06dcbbcf,0x000fff98,0x40007fff,0xff73fff9,
    0x64fff901,0xfffeeeee,0x504eeeee,0x7fcc0fff,0xefffc81f,0xeeeeeeee,
    0x017ff21e,0x3e27ffb0,0x3ff201ff,0x01fff42f,0xfd87ffea,0x7fff401f,
    0x017ffc5f,0x9806ffa8,0x002ffffe,0x1fffd100,0xf80bff90,0x100004ff,
    0x0001fffd,0x207fff44,0xf5002fff,0x2fffa8df,0x3fffffe0,0xdfffffff,
    0x400ffec0,0xd305fff9,0xffffffff,0xfff8bfff,0x2dff5002,0x4000fffa,
    0xd881fffa,0xffffffff,0xfffff36f,0xffffffff,0x003ffd47,0xe880bff7,
    0xffffffff,0x0fff9807,0x009ffd00,0xfd6fff80,0xe8fffe0d,0xffffffff,
    0x905fffff,0xfff80bff,0xfffffc84,0xffffffff,0x001bff21,0x3fe25ffd,
    0x7fff401f,0x200fffa1,0x3ff65ffe,0x7fffd401,0x8017ffc5,0x2e005ffb,
    0x00006fff,0x3e07ffea,0x99999bff,0x006ffd99,0x07ffea00,0x3fff5000,
    0x7002fff8,0xfffa8bff,0x3fffb202,0x0cffffff,0x2003ffb0,0x6dc05ffd,
    0xdffffffe,0x002fff82,0x3ff2bff7,0xfff88005,0x3bff2203,0x3fe60abd,
    0xffffffff,0x3fe23fff,0xbff7002f,0x3fffae00,0xf9805fff,0xffb000ff,
    0xffb8000d,0xfd84ffcf,0x7ffff46f,0xffffffff,0x37fff05f,0xfb333333,
    0xffff90df,0xffffffff,0x07ffdc3f,0x11fff980,0xf8803fff,0x7ffd0eff,
    0x23fff700,0xfe801ffd,0x1ffec5ff,0x004ffc80,0x000fffd4,0xa87fff00,
    0xffffffff,0x1fffffff,0x3ffe0000,0xfff80003,0x801ffec3,0x7fd44ffc,
    0x5331002f,0x40000033,0x22004ffc,0x7ec009a9,0x9ff9003f,0x3fea0000,
    0x03ff9803,0x81ffb000,0xf7006fff,0x331000bf,0x70000003,0x80005fff,
    0x21fffffe,0x002fffc8,0x2a07ff20,0xffffffff,0x1fffffff,0xff980000,
    0xfff9002f,0x00000000,0xc8000000,0xffd005ff,0x7ffd0005,0x3fe20000,
    0x7fffe41f,0xffffffff,0x00004fff,0x0003fff1,0x641fff88,0xffd005ff,
    0x02fffa85,0x00000000,0x00007ffb,0x802ffe40,0x80002ffe,0xf5005ff9,
    0xf900005f,0x5fff503f,0x00bff700,0x00000000,0x000dfff1,0xcfffffa8,
    0x04ffffec,0x40bfee00,0xfffffffc,0xffffffff,0xfd000004,0x3ffe00bf,
    0x00000003,0x40000000,0x5400fffb,0x4c000fff,0x00001fff,0xfff0fff7,
    0xdddddddd,0x00dffddd,0x01ffee00,0x21ffee00,0x5400fffb,0x664c0fff,
    0xddb0001c,0xf8800003,0xddb001ff,0x3ffee003,0x07ffd400,0x07fec000,
    0x001ffb80,0xd027fcc0,0xfb805fff,0x3ddb005f,0x0f76c000,0x1bfff700,
    0x7ffcc000,0x2fffffff,0x1bfe2000,0xeeeefff8,0xfeeeeeee,0x1eed806f,
    0x07fff500,0x2006ffd8,0x20001eed,0x40001eed,0x3a001eed,0xff501eff,
    0xfd80087f,0x002ae07f,0xa8bfff71,0xf5000fff,0x015703ff,0x85fffb88,
    0x7dc400ab,0xdffd05ff,0x0fffea03,0x7ff80000,0xffc80000,0x01ffe006,
    0x203dffd0,0x0003fffa,0x2007ff88,0xb80007fc,0x3fe603ff,0xff700bff,
    0x01ffe00b,0x000fff00,0x405dfffd,0xfff503d9,0x003bdfff,0x505ffa80,
    0x2a001fff,0x7fc01fff,0x7fff4007,0x2fffc883,0x001ffe00,0x0000fff0,
    0xfa800fff,0xecacdfff,0xded86fff,0xffecbaab,0x3bffe03f,0xffedccde,
    0x5ffc86ff,0x41fffc00,0xccdeefff,0x06ffffed,0x99bddfff,0x0dffffdb,
    0x66ffffd4,0x06fffeca,0x3fe60000,0x32600005,0xf3002fff,0xffa800bf,
    0xfecacdff,0x200006ff,0x4008bffe,0xa80007fd,0xf7011eff,0x99bfffff,
    0x300bfffd,0x4c000bff,0xe98005ff,0xddefffff,0xf903fffe,0x0001353f,
    0x08fffcc0,0xf0017ff2,0x7fcc07ff,0x7ffcc005,0xfffecdff,0x3fe6005f,
    0x3fe60005,0x7fcc0005,0xfffb8005,0xdfffffff,0xfffffd80,0x403fffff,
    0xffffffff,0x80dfffff,0x6c002fff,0xffff86ff,0xffffffff,0xffff00df,
    0xffffffff,0xffb801bf,0xffffffff,0x2000000d,0x00002ffb,0x00bffffb,
    0x40017fdc,0xfffffffb,0x0000dfff,0x1ffffee0,0x0000bff0,0x40fffffe,
    0xffffffe9,0x805fffff,0x20002ffb,0x20002ffb,0xfffffffc,0xff03ffff,
    0xd800000b,0x3fe5ffff,0x7fec002f,0x00bfee06,0x3ffffa20,0x002fffff,
    0x00017fdc,0x80005ff7,0x10002ffb,0xdfffffdb,0x7fffe405,0x800cffff,
    0xffffffec,0xf500cfff,0xfa8001ff,0x7ff641ff,0xcfffffff,0x7fff6400,
    0x0cffffff,0x3ffb6200,0x0002efff,0x00ffd800,0x7fffb000,0x00ffd800,
    0xfffdb100,0x00005dff,0x01fff6e0,0x200009ff,0x403ffec9,0xfffffedb,
    0xffb002df,0x7fec0001,0x76540000,0x9bdeffff,0x003ff980,0x7f5c4000,
    0x01fff55f,0x01fffa80,0x20001ffb,0xeffffdc8,0xffd8001d,0x3ff60000,
    0x7fec0000,0x13300000,0x9a998800,0x26620000,0xff90019a,0xfff1000b,
    0x4d4cc407,0x26620001,0x2000019a,0x00000099,0x0001e5c0,0x00015990,
    0x40000797,0x00000099,0x332200c0,0x08800002,0x04d4c400,0x001e5c00,
    0x0000f2e0,0x64002620,0x000000ff,0x5ffc8220,0x3fff8800,0x00007970,
    0x200004c4,0x5c0003cb,0xcb80003c,0x00000003,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x33331000,0x3b200133,0x777640de,0xfff30002,0x1eea805f,0xb800f74c,
    0x80004eee,0x07b502db,0x3bbb2000,0x00008004,0xee987dd9,0x3baa000d,
    0xdd50002e,0x3000007d,0xe9803555,0x01774c2e,0x00359510,0x20000800,
    0x07b502db,0x00000000,0x4eeeb800,0xed800000,0xea8003ee,0xa80002ee,
    0x20001eee,0x0003eeea,0x00fbbb60,0x805ddd50,0x5c400018,0xffffffed,
    0xffc803ff,0x17ffe41f,0xefff9800,0x1dff9800,0x4001ffd3,0x0005fffb,
    0xf303ffea,0xd80003ff,0x44003fff,0x44000efe,0xffb8dffd,0x3fee000e,
    0x54002fff,0x003fffff,0xfffff700,0x1eff880f,0x7003ffb3,0xbfffffff,
    0x7f440001,0x7fd4000e,0x0fffcc0f,0x0ef764c0,0x3b26005c,0x800b81de,
    0x0005fffb,0x0bfff600,0x3fffee00,0x3ee0002f,0x8002ffff,0x03fffffa,
    0x2fffd800,0x7fffdc00,0x3ffea02f,0xff7000be,0xffffffff,0xffb807ff,
    0x0f7fe41f,0x4fff9800,0x7fffec00,0x98004fff,0x70005ffe,0xffa83fff,
    0x3f20002f,0xfd8001ef,0xfb0004ff,0x001dffff,0x7fdf7fe4,0xfff7003f,
    0x0009ffd7,0xffffffe8,0xffffc807,0x6c405fff,0xffffffff,0xfb0001ff,
    0xfb8009ff,0x7ffd41ff,0x7fffcc02,0x6fc89cff,0x3ffffe60,0x06fc89cf,
    0x00bffd30,0x3dffb000,0x7dff9000,0x70007fff,0x5fff7dff,0x5fffdc00,
    0x20004ffe,0x4001effd,0xfffbeffc,0xfffff503,0x7ff401bf,0xaabfffff,
    0x3ea03ffe,0x6ffe41ff,0xfff30000,0x3ff20005,0x20004fff,0x8005ffd8,
    0xdfb05fe8,0x3ff20001,0xffd0000d,0x7ec000bf,0x32000dff,0xffd10dff,
    0x0effb809,0x000bffb1,0x2b3ffff2,0xfff7004b,0x744019ff,0xecacefff,
    0x8002ffff,0x4005fffe,0xdfb05fe8,0x5f7fc401,0xfffffffc,0x97dff103,
    0x7fffffff,0x2ffec400,0x9ffb0000,0x37ff2000,0x009ffd10,0xe886ffe4,
    0xffb803ff,0x0bffb10e,0x009ffb00,0x221bff90,0xed984ffe,0x82ffffff,
    0xfffffffc,0x80fff60f,0x19980998,0x00000000,0x00026a62,0x0000ccc0,
    0x40000801,0x5c000199,0x40002fff,0x4c400199,0x80333019,0x13330199,
    0x4fff8800,0x4d4c4000,0x2fffc800,0x00dfff50,0x005fff70,0x20010020,
    0x7ffec46a,0x2235403f,0x003ffffd,0x00003330,0x40002662,0x33301998,
    0x980ccc00,0x01998019,0x44001333,0x98800099,0x00333019,0x43ffffb3,
    0xfffffff9,0x0fff60ff,0x33000000,0x01333333,0x00000000,0x00000000,
    0x20000000,0x000001b9,0x00000000,0xffb80000,0x0000000f,0x201fffc4,
    0x8002fffb,0x000001b9,0x0cc40000,0x00cc4000,0x00000000,0x00000000,
    0x00000ccc,0x00000000,0x30000000,0x3f21ffff,0xffffffff,0x400fff60,
    0x8001aca8,0xfffffff9,0x5440004f,0x266001ac,0x13310009,0x06b2a200,
    0x55d44000,0x0000001a,0x1aaba880,0x99999980,0x00199999,0x0555dd44,
    0x02ffec00,0xabba8800,0x05ffd80a,0x000dffb0,0x02666000,0x0004cc40,
    0x00000000,0x00d65440,0x0d654400,0x56544000,0x0fffc001,0xba880000,
    0x266601aa,0x81331000,0x31000999,0xfff50013,0x3fffff67,0x3f60ffff,
    0x7ffdc03f,0x000dffff,0xfffffff3,0x3ee0009f,0x0dffffff,0x8017ffc0,
    0x7dc06ffa,0x0dffffff,0x7ffecc00,0x01dfffff,0x33333333,0x80133333,
    0xffffffd9,0xff981dff,0xffffffff,0x7f5401ff,0xdfffffff,0x0bffe002,
    0xfffea800,0x12dfffff,0x2e005fff,0x99881fff,0x99999999,0x7c099999,
    0xff5002ff,0x3333310d,0x33333333,0x00999881,0x5c009988,0xdfffffff,
    0x7ffdc000,0x000dffff,0x7fffffdc,0xfff800df,0x36600001,0xffffffff,
    0x017ffc1d,0x7fc6ffa8,0xdff5002f,0x7dbffa00,0xffffffff,0x40fff60f,
    0xffffffd8,0x8801ffff,0xffeaaaaa,0x7fec4004,0xffffffff,0x00bffe01,
    0xd8837fd4,0xffffffff,0xff7001ff,0xffffffff,0xffff307f,0xffffffff,
    0x7ffdc07f,0xffffffff,0xfffff983,0x1fffffff,0x3fffff20,0x04ffffff,
    0x003fff10,0x3fffff20,0x54ffffff,0x22001fff,0xffc82fff,0xffffffff,
    0x7c4fffff,0xff5002ff,0xfffffd0d,0xffffffff,0x06fffd8b,0xb105ffa8,
    0xffffffff,0xfb1003ff,0xffffffff,0xffb1003f,0xffffffff,0x01fff803,
    0xffff7000,0x7fffffff,0x5002fff8,0x2fff8dff,0x00dff500,0x7ff5fff2,
    0x0fffffff,0x3a20fff6,0xecacefff,0x0002ffff,0x44009ff9,0xcacefffe,
    0xf02ffffe,0x3ea005ff,0xfffe886f,0xfffecace,0x3ff6202f,0xdcbaceff,
    0xfff983ff,0xffffffff,0xffd883ff,0xdcbaceff,0xccc883ff,0xffcccccc,
    0xfffe981f,0xfdcbbcef,0xfff3004f,0xffe98001,0xdcbbceff,0x0bff74ff,
    0xc83ffe80,0xffffffff,0x4fffffff,0xa8017ffc,0xfffe86ff,0xffffffff,
    0x7ffec5ff,0x2ffd401f,0x677fff44,0x2ffffeca,0x3bfffa20,0xffffecac,
    0x3fffa202,0xfffecace,0x07ffe02f,0xfffb1000,0xfb9759df,0x02fff87f,
    0xff8dff50,0xdff5002f,0x65ffee00,0xffffffff,0x20fff60f,0xf502fffc,
    0x32000dff,0x3f2004ff,0xfff502ff,0x00bffe0d,0x7e437fd4,0xfff502ff,
    0x77ffec0d,0x260ae200,0xcccccfff,0xd82ccccc,0x2200efff,0xff10002b,
    0xffff883f,0x801dc405,0x44007ffa,0x4405ffff,0x00bff93b,0xeb84ffd8,
    0xeeeeeeee,0x43ffffee,0xf5002fff,0x999970df,0x9999fffb,0xffffd859,
    0x42ffd405,0xf502fffc,0x7fe40dff,0xdfff502f,0x817ffe40,0x3e06fffa,
    0x6c0001ff,0x2200efff,0x017ffc2b,0x7fc6ffa8,0xdff5002f,0x5dbff200,
    0xffffffff,0x10fff60f,0xfa807fff,0xfc8002ff,0xfff1004f,0x2fffa807,
    0x5002fff8,0xfff88dff,0x17ffd403,0x0027ffcc,0x001ffe60,0x004fff98,
    0xfff88000,0x01fffe41,0x37fdc000,0x0ffff200,0x013ff600,0x000bffb0,
    0xf85ffe88,0xff5002ff,0x3ffe600d,0xffffd800,0x17fea01f,0xa807fff1,
    0xff882fff,0x7ffd403f,0x03fff882,0xf817ffd4,0x260001ff,0x20004fff,
    0xf5002fff,0x02fff8df,0x100dff50,0x7ff4bfff,0x20ffffff,0x7fec3ffd,
    0x0dffb005,0x009ff900,0x6c017ff6,0x2fff86ff,0xd8dff500,0xffb005ff,
    0x00dffb0d,0x00fff300,0x0037fec0,0xfff88000,0x00fffe21,0x55555100,
    0x5555dffb,0x7fff1055,0x0fffa000,0x00dff900,0x80fffc80,0xf5002fff,
    0x3fe600df,0xdffd800f,0x3fea05ff,0x802ffec5,0xffd86ffd,0x0dffb005,
    0x3600bffb,0x3fff06ff,0x37fec000,0x0bffe000,0x3e37fd40,0xff5002ff,
    0xfba9988d,0x3fe60fff,0x20ffffff,0x3fe23ffd,0xfff5002f,0x4ffc8003,
    0x02fff880,0xf83fff50,0xff5002ff,0x017ffc4d,0x2a1fffa8,0x80002fff,
    0x50007ff9,0x00005fff,0x87ffe200,0x0000fffd,0x7fffffd4,0xffffffff,
    0x00fffd86,0x009ffd00,0x0005ffc8,0x7c0fffe6,0xff5002ff,0x3ffe600d,
    0xfaffd800,0xbff500ff,0x8017ffc4,0x3e21fffa,0xff5002ff,0x17ffc43f,
    0x81fffa80,0x3b6a1fff,0xfff503de,0xfff80005,0x8dff5002,0xf5002fff,
    0xffffb8df,0xfe982fff,0x360fffff,0x3ffea3ff,0x5fff1000,0x04ffc800,
    0x000fffa8,0xff85fff1,0xdff5002f,0x8007ffd4,0x3f22fff8,0xf300006f,
    0x3f2000ff,0x0000006f,0xff87ffe2,0xfa80003f,0xffffffff,0xf86fffff,
    0x3a0003ff,0x7ec004ff,0x3fa0004f,0x0bffe05f,0x8037fd40,0xd800fff9,
    0x04ffd9ff,0x7fd4bff5,0xfff1000f,0x007ffd45,0x2a2fff88,0xf1000fff,
    0x1fff05ff,0xffffffd1,0x06ffc81d,0x02fff800,0xff8dff50,0xdff5002f,
    0xdfffffb8,0x7ffed400,0xb8fff60f,0x7f4006ff,0x7fe4003f,0x06ffb804,
    0x3e1fff40,0xff5002ff,0x0037fdcd,0xffd8fffa,0xff300004,0x3ff6000f,
    0x20000004,0xff31fff8,0x3100001f,0x7fff3333,0x98133333,0x20000fff,
    0x6c005ffd,0xf90003ff,0x7ffc01ff,0x0dff5002,0x003ffe60,0x3fe67ff6,
    0x25ffa80f,0x74006ffb,0x1bfee3ff,0x5c7ffd00,0x7f4006ff,0xf9fff83f,
    0xffffefff,0x0027fec6,0x8017ffc0,0x7ffc6ffa,0x8dff5002,0x0000dffb,
    0x47ffb0a6,0x6c005ffc,0x7e4004ff,0x5ffc804f,0x227fec00,0xf5002fff,
    0x02ffe4df,0xfe93ff60,0xf300003f,0x3fa000ff,0x0000003f,0x7d47ffe2,
    0x2000007f,0x5000fff9,0xc8000fff,0x7f4006ff,0xff98002f,0x17ffc03f,
    0x006ffa80,0xb001fff3,0x13ffa3ff,0xffc97fea,0x27fec005,0xd800bff9,
    0x17ff24ff,0xf09ffb00,0x4c7fffff,0x3fa2fffd,0xff80003f,0xdff5002f,
    0x5002fff8,0x4ffb8dff,0xffd80000,0x0013ff63,0xc800bffb,0xffd804ff,
    0x2ffec004,0x5400bffe,0x13ff66ff,0x7cbffb00,0x300002ff,0x3e000fff,
    0x000002ff,0x5c7ffe20,0x999306ff,0x50079999,0x7dc00fff,0x9999306f,
    0x3fee7999,0xfff3000f,0xdffd0003,0x005fff00,0x4c01bfea,0xfd800fff,
    0x81fff51f,0x3ff65ffa,0x2ffec004,0xd8009ffb,0x13ff65ff,0xf0bffb00,
    0x3e03ffff,0x0bffe4ff,0x0bffe000,0x3e37fd40,0xff5002ff,0x003ffa8d,
    0x23ffd800,0x64003ffe,0x7e4006ff,0x3ffe804f,0x237fe400,0xf5002fff,
    0x01fff4df,0x7c5bff20,0x300001ff,0xffffffff,0x221fffff,0x00001fff,
    0x47ffe200,0xff705ffc,0x00bfffff,0x6400fff7,0xfff705ff,0x3e6bffff,
    0xff9003ff,0xfff9000d,0x05fff001,0x401bfea0,0xd800fff9,0x0fffa1ff,
    0x7ff4bff5,0x37fe4003,0xc8007ffd,0x0fffa6ff,0xf0dff900,0x7ec03fff,
    0x03fff15f,0x05fff000,0xff1bfea0,0x3fea005f,0x001ffd46,0xd1ffec00,
    0xfc8007ff,0x7fe4005f,0x03ffe804,0x3e2ffe40,0xff5002ff,0x001fff4d,
    0x7fcd7ff2,0xf300001f,0xffffffff,0x3e61ffff,0x000001ff,0x6c7ffe20,
    0xfff705ff,0x900bffff,0x7ec00bff,0xffff705f,0x7ff4bfff,0x07fff005,
    0x03fff980,0x2005fff0,0xf3006ffa,0xffb001ff,0x2a3ffdc3,0x0fffa5ff,
    0x74bff900,0x7e4003ff,0x00fffa5f,0xff0bff90,0x6ffb805f,0x0003fff3,
    0x2005fff0,0x7ffc6ffa,0x8dff5002,0x00002ee9,0x3f63ffd8,0x7fec004f,
    0x27fe4004,0x0027fec0,0xfff13ff6,0x9bfea005,0x6c004ffd,0x5fff14ff,
    0x3fe60000,0xeeeeeeef,0xfff10eee,0x40000005,0xff91fff8,0x2666620d,
    0xfd805ffc,0x3ff2004f,0x93333106,0x7ffdcbff,0x07ffec04,0x01bffa00,
    0x5002fff8,0x3e600dff,0xffd800ff,0xf517ffc1,0x027fecbf,0xfd93ff60,
    0x7fec004f,0x0013ff64,0xfff09ffb,0x17ff9803,0x00005fff,0x2a005fff,
    0x17ffc6ff,0x006ffa80,0x7fec0000,0x0017ff23,0xc8007ffb,0xffc804ff,
    0x1ffec005,0x5400bffe,0x17ff26ff,0x7c7ffb00,0x300003ff,0x3e000fff,
    0x000003ff,0x5c7ffe20,0x3ee007ff,0x3ffe805f,0x01ffee00,0x3e25ffb8,
    0x6c40bfff,0x64003fff,0x3e000fff,0xff5002ff,0x3ffe600d,0x41ffd800,
    0x3fea6ffb,0x0017ff25,0x7fe47ffb,0x1ffec005,0xd800bff9,0x1fff83ff,
    0xff3ffcc0,0xff00007f,0x3fea005f,0x8017ffc6,0x00006ffa,0x91ffec00,
    0xfe800dff,0x7fe4002f,0x06ffc804,0x3e17ff40,0xff5002ff,0x0037fe4d,
    0xffe8bffa,0xff300004,0x3ffa000f,0x20000004,0xff51fff8,0x2ffdc00f,
    0x0017ffc0,0x5c00fff5,0x7ffcc5ff,0xfffeceff,0x7fcc004f,0x7ffc003f,
    0x0dff5002,0x003ffe60,0xff107ff6,0xc97fea5f,0x7f4006ff,0x01bff22f,
    0x7e45ffd0,0x7ff4006f,0x401fff82,0x3ffa7ff9,0xfff80004,0x8dff5002,
    0xf5002fff,0x001770df,0x47ffb000,0x3000fffb,0xc8003fff,0xffb804ff,
    0xfff3000f,0x002fff83,0x7fdcbff7,0xfff3000f,0x0037fec3,0x007ff980,
    0x000dffb0,0x7ffc4000,0x005fff11,0xf1017fee,0x7c4003ff,0xff7002ff,
    0xfffff30b,0x007fffff,0x000dffd0,0x2e005fff,0xff3005ff,0x3ffb001f,
    0x3eadff90,0x03ffee5f,0x70fffcc0,0x26001fff,0x3fee1fff,0xfff3000f,
    0x803fff03,0x3ff67ff9,0xfff80006,0x8bff7002,0xf7002fff,0x0effe8bf,
    0x7ff40000,0x00bffe61,0x4003ffe4,0xf9804ffc,0xff9002ff,0x007ffb0f,
    0xff993ff2,0xfff9002f,0x002fffb8,0x007ff980,0x005fff70,0x3fe60000,
    0x01bffe0f,0x2602ffdc,0xff8007ff,0xbff7006f,0x3fffae20,0xb8001cff,
    0xd8001fff,0xff9003ff,0x3ffe6009,0x81ffd800,0xffa9fff8,0x00bffe65,
    0x3e63ffe4,0xff9002ff,0x02fff98f,0x3e0fff90,0x7fcc01ff,0x00bffee7,
    0x007ffb00,0xffb13ff2,0x93ff2007,0x002ffffa,0x207ffc00,0xff005ffe,
    0xff90007f,0x17ffa009,0x641fffc0,0xffd005ff,0x005ffe85,0xff887fff,
    0xf980006f,0xff10007f,0x000000df,0xff51ffea,0xbff7005f,0x006ffc80,
    0x802fffa8,0xfa805ffb,0x3e60007f,0xf90003ff,0x3ffa00bf,0x1fff3002,
    0x203ffb00,0x5ffadffc,0xf802fff4,0x5ffe83ff,0xd07fff00,0x3fe00bff,
    0x03fff03f,0x3e27ff98,0x640006ff,0xffd005ff,0x005ffc85,0x7fcc5ffd,
    0x001002ff,0xff50fff7,0x6ffd807f,0x09ff9000,0x00fffea0,0x3ee0dffb,
    0x7fd400ff,0x1fffd40f,0x5c1bff60,0x0000dfff,0x8001ffe6,0x000dfffb,
    0x3ffa0020,0x02fffe85,0x3e02ffdc,0xfd0004ff,0xffb805ff,0x05fff005,
    0x01bffa00,0x00fffb80,0x8007ffd4,0xd800fff9,0xfff301ff,0xffa8bff7,
    0x37fec03f,0x403fffa8,0xff506ffd,0x6ffd807f,0x3007ffe0,0xfffb8fff,
    0xff70000d,0xfffa801f,0x007ffdc0,0xfb03ffea,0x176c00bf,0xd02fffa8,
    0xf9107fff,0x320005ff,0x3fa004ff,0xffc883ff,0x3bffa02f,0x07fff501,
    0x220ffffa,0x3a02fffc,0x2602efff,0x07ff983d,0x77fff400,0x320f6602,
    0x3fff902e,0x17ffff30,0xb817fee0,0x30001fff,0x2017ffff,0xfd005ffb,
    0xfb80c0df,0x740001ff,0xff501eff,0x7fcc007f,0x1ffd800f,0x3ffbff60,
    0x83fffe85,0x202fffc8,0xc883fffe,0x3fa02fff,0xffc883ff,0x07ffe02f,
    0xfd0fff30,0x6cc05dff,0x01effe83,0x3a07fff5,0xff501eff,0x8006607f,
    0xcbdefffb,0x2606fffe,0xecdfffff,0x0005ffff,0x98013ff2,0xecdfffff,
    0x5405ffff,0xcacdffff,0x2606fffe,0xecdfffff,0x4c05ffff,0xdefffffe,
    0x983fffed,0x4c0007ff,0xdefffffe,0xc83fffed,0xffdcefff,0x3fee05ff,
    0xeccdffff,0x75915fff,0x000dffff,0xffffffb8,0x5fffeccd,0x9ffff500,
    0x981fd733,0x80003fff,0xacdffffa,0x006fffec,0x4007ffcc,0x3e601ffd,
    0xf985ffff,0xfecdffff,0x7cc05fff,0xfecdffff,0x7cc05fff,0xfecdffff,
    0x7fc05fff,0x3ffcc01f,0x7fffff4c,0x3fffedde,0xcdffffa8,0x06fffeca,
    0x337fffea,0x06fffeca,0x3ffa6000,0xdfffffff,0x7fff4400,0x02ffffff,
    0xd9999970,0x99999dff,0x3fffa201,0x02ffffff,0xffffff70,0x801bffff,
    0xffffffe8,0x32002fff,0xffffffff,0xff983fff,0xeeeeeeef,0x3f202eee,
    0xffffffff,0xfffc83ff,0x04ffffff,0xfffffe98,0x35ffffff,0x3fffffff,
    0xffd30000,0xffffffff,0x7fe400bf,0x4fffffff,0x7ffffff4,0xffffffff,
    0xffff706f,0x1bffffff,0x77777640,0xeeeeefff,0x200ffec4,0x105ffffe,
    0xfffffffd,0x3a2005ff,0xffffffff,0xffd1002f,0x5fffffff,0x803fff00,
    0x3f207ff9,0xffffffff,0xfff703ff,0xbfffffff,0xffffb801,0x0dffffff,
    0xfda80000,0x002effff,0x3ffff722,0x3fa001de,0xffffffff,0x200fffff,
    0xeffffdc8,0x76c4001d,0x02efffff,0x3fff7220,0xa8001def,0xdeffffec,
    0xfff9809b,0xffffffff,0x765403ff,0x9bdeffff,0xffffd700,0xdb8005bf,
    0xdffffffe,0x3ffffe62,0x5c00000d,0xffffffed,0xffb8002d,0x40cfffff,
    0xffffffff,0xffffffff,0x3ffb6206,0xe802efff,0xffffffff,0x6c5fffff,
    0x7fd401ff,0x372205ff,0x01deffff,0x7ffee440,0x44001def,0xdeffffdc,
    0x03fff001,0x5407ff98,0xdeffffec,0x3b62009b,0x02efffff,0x3fffb620,
    0x00002eff,0x00033100,0x40002620,0xfffffffe,0x0fffffff,0x00026200,
    0x00009980,0x00001310,0xf3000988,0xffffffff,0x8007ffff,0x33000098,
    0x26200001,0x2662009a,0x10000000,0x00001353,0x01599751,0x3ffffffe,
    0xffffffff,0x0266006f,0xfffffd00,0xffffffff,0x801ffd8b,0x2005fffe,
    0x20000098,0x20000098,0xff800098,0x3ffcc01f,0x00026200,0x00001330,
    0x00000266,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000400,
    0x0002eeea,0x005ddd50,0x26277640,0x50000ded,0x00005ddd,0x0027775c,
    0x03eeed80,0x1aaba880,0x2a05b700,0x76c0003d,0x775c03ee,0xd700004e,
    0x000009dd,0x201f776c,0xfffffffd,0xd80005ff,0x19983eee,0x3bae0000,
    0x2a00004e,0x00002eee,0x007dddb0,0x3da816dc,0x3bbaa000,0x76c00002,
    0xba9803ee,0x7000aacc,0x00f6a05b,0xea85ddb1,0x4400004e,0x70000efe,
    0x005fffff,0xfffffb80,0x3ff60002,0x01fffb8e,0xfffff700,0xff900005,
    0x3600009f,0x26002fff,0xfffffffd,0xfff501df,0x01fff981,0x05fffb00,
    0x017ffee0,0x2fffdc00,0x7fec0000,0xfffd802f,0x05ffffff,0x17ffec00,
    0x0002ffd8,0x017ffee0,0x3fffee00,0x6c00002f,0x2a002fff,0x7fcc0fff,
    0xffb8001f,0x00002fff,0x4405fffb,0xfffffffc,0x7fd406ff,0x0fffcc0f,
    0x233ffa20,0x0000effc,0x027ffec0,0x7df7fe40,0xf90003ff,0x07fff7df,
    0x7fffe400,0xf90001ef,0x07fff7df,0x17ffdc00,0xeffd8000,0x3ffee001,
    0xffffffff,0x83fff703,0x8002fffa,0x4001effd,0x0005ffe9,0x00bffd30,
    0x0f7fec00,0xaaaaaa80,0x0001aaaa,0x9807bff6,0x400005ff,0x0005ffe9,
    0x3fefbff2,0xfb00003f,0xfb8003df,0x7ffd41ff,0x77fe4002,0x0003fffb,
    0x500f7fec,0xffffffff,0xfb80ffff,0x7ffd41ff,0xfffe8802,0x000005ff,
    0x800bfffd,0xfd10dffc,0xffc8009f,0x09ffd10d,0x77ffe400,0xbff90000,
    0x013ffa21,0x003bfee0,0x027fec00,0xdffffb10,0x7ffb9759,0x6c17fa20,
    0x7ec000ef,0x3620004f,0x100005ff,0x0000bffb,0x00009ffb,0xffd80000,
    0x01ffd004,0xffd88000,0xdffc8005,0x009ffd10,0x004ffd80,0x360bfd10,
    0x3f2000ef,0x9ffd10df,0x13ff6000,0x59ffff30,0x0fd95535,0xfb05fe88,
    0x7fec001d,0x2000005f,0x2002fffb,0x33301998,0x80ccc400,0x44000199,
    0x31000099,0x00666033,0x00006660,0x40009988,0x200efffd,0x200402b8,
    0x09988000,0x03330000,0x01998000,0x004cc400,0x20000000,0x2e000998,
    0x000004ff,0x98800333,0x00333019,0x0004cc40,0x00020040,0x26603331,
    0x09988001,0x00effe80,0x01002000,0x00066600,0x006e6000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0013ffe6,0x00000000,0x00000000,
    0x00000000,0x8004ccc0,0x00000998,0x007ffc40,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0003ffe6,0x00000000,0x00000000,0x09998800,
    0x00066600,0x33100cc4,0x00013333,0x26666662,0x09999999,0x33333310,
    0x4cc40001,0x3ff60000,0x99880006,0x99999999,0x4cc40999,0x99999999,
    0x00099999,0x00013331,0x26666666,0x00999999,0x33333333,0xf8133333,
    0xff5002ff,0x0099988d,0xfc809988,0x2620003f,0x99999999,0x33109999,
    0x26660003,0x00033310,0x44002666,0x4c000999,0x33100099,0x33333101,
    0x33333333,0x001bfee1,0x99999980,0x09999999,0x26666662,0x99999999,
    0x4c400199,0x99999999,0xf0009999,0x2200ffff,0xff0007ff,0x7ffff40f,
    0x00ceffff,0xffffffd0,0xbfffffff,0x3fffffa0,0x000cefff,0x40013ff2,
    0x0002fffa,0xffffffe8,0x5fffffff,0x7fffffe4,0xffffffff,0xffff004f,
    0xfff3000f,0xffffffff,0xfff307ff,0xffffffff,0x2fff87ff,0xd8dff500,
    0xfa806fff,0x06ff985f,0x3ffffa00,0xffffffff,0x05fff95f,0x93fff980,
    0x98005fff,0xff003fff,0xff800fff,0xdff7002f,0xffffffd0,0xbfffffff,
    0x0001fff2,0x7fffffcc,0x3fffffff,0x3fffffea,0xffffffff,0x3a001fff,
    0xffffffff,0x805fffff,0x02fffffa,0x2000fff0,0x3ffa07ff,0xffffffff,
    0xfffe804f,0xffffffff,0xfffd05ff,0xffffffff,0x13ff2009,0x037fe400,
    0xffffe800,0xffffffff,0x7fffe45f,0xffffffff,0xfa804fff,0x4002ffff,
    0xfffffff9,0x83ffffff,0xfffffff9,0x43ffffff,0xf5002fff,0xffffd8df,
    0x82ffd401,0xd0001ffd,0xffffffff,0x22bfffff,0x74006fff,0x3ffe26ff,
    0x37ff4006,0xfffffa80,0x0bffe002,0x7437fdc0,0xffffffff,0xf55fffff,
    0x300007ff,0xffffffff,0x547fffff,0xffffffff,0xffffffff,0x3ffa001f,
    0xffffffff,0xfc805fff,0xf004ffff,0xff0001ff,0x66fff40d,0xfffffdcc,
    0x66665c03,0xccccfffd,0x9bffd02c,0xfffffb99,0x09ff9007,0x013ff600,
    0x66665c00,0xccccfffd,0x77775c2c,0xfeeeeeee,0xfc803fff,0x4004ffff,
    0xccccfff9,0x82cccccc,0xccccfff9,0x42cccccc,0xf5002fff,0xffffd8df,
    0x82ffd405,0x70005ffa,0xfffb9999,0x5c599999,0xf5003fff,0xfffb85ff,
    0x5fff5003,0x3ffff200,0x3ffe004f,0x0dff7002,0xffb99997,0x2599999f,
    0x003ffff8,0x667ffcc0,0xcccccccc,0x33333262,0xcccfffdc,0x2000cccc,
    0xffdccccb,0x02cccccf,0x7ffbfff8,0x001ffd00,0x3a06ff88,0xfea883ff,
    0x7cc000ff,0x3fa000ff,0xffea883f,0x27fe400f,0x03ffe800,0x3fe60000,
    0x4400000f,0xff005ffe,0x800fff7f,0x40007ff9,0x20007ff9,0xf5002fff,
    0xffffd8df,0x17fea01f,0x0000fff8,0x001fff30,0xd001fffd,0x3ffa0bff,
    0x5ffe800f,0x3efffe00,0x3ffe007f,0x0dff7002,0x003ffe60,0x05dffff5,
    0x01ffe600,0x3ffe6000,0x26000000,0xa8000fff,0x2fff8eff,0x001ffe80,
    0xfd02ffc4,0x7ffcc07f,0x7ffcc002,0x0fffa000,0x402fff98,0xf0004ffc,
    0x000005ff,0x0007ffcc,0x03fff200,0x3e3bfea0,0x3e6002ff,0x7cc0007f,
    0x3fe0007f,0xdff5002f,0x5ffdffd8,0xb817fea0,0x300003ff,0xf5001fff,
    0xffa809ff,0x9fff501f,0x01fffa80,0xff1dff50,0x3ffe005f,0x0dff7002,
    0x003ffe60,0x3fffffee,0x3fe6000c,0xf9800007,0x000000ff,0x0003ffe6,
    0x7fecfff2,0x01ffd804,0xd02ffcc0,0xfff807ff,0x7ffcc003,0x0fffa000,
    0xc807fff0,0xf88004ff,0x000001ff,0x0003ffe6,0x03fff980,0x3f67ff90,
    0x3fe6004f,0x7fcc0007,0x3ffe0007,0x8dff5002,0x0fffaffd,0x440bff50,
    0x300007ff,0x36001fff,0x3fa00fff,0x7ffec04f,0x013ffa00,0xffb3ffc8,
    0x0bffe009,0x8037fdc0,0x1000fff9,0xbffffffb,0x0fff3003,0xfff30000,
    0x4c000001,0xf8000fff,0x0fff71ff,0x8005ffb0,0x3fa04ff9,0x27ff403f,
    0x03ffe600,0x403ffe80,0x7e404ffe,0xff98004f,0x2000001f,0x0000fff9,
    0x8017ffa0,0xfff71fff,0x03ffcc00,0x01ffe600,0x002fff80,0xffd8dff5,
    0xf504ffd9,0x2ffd80bf,0xfff98000,0x9fff3000,0x003ffee0,0x2e09fff3,
    0x3e000fff,0x0fff71ff,0x400bffe0,0xf3006ffb,0xc98001ff,0x04ffffff,
    0x0003ffcc,0x007ffcc0,0xfff30000,0x6ffa8001,0x9007ffe2,0xf98005ff,
    0x0fffa04f,0x8007fff0,0x2000fff9,0x7fc03ffe,0x27fe403f,0x17ffc400,
    0xff300000,0x3200001f,0xf5000fff,0x0fffc4df,0x007ff980,0x003ffcc0,
    0x2005fff0,0x7fec6ffa,0xa80fff99,0x7fcc05ff,0xff980006,0x3ff2000f,
    0x03fff81f,0xf03fff90,0x7d4007ff,0x07ffe26f,0x400bffe0,0xf3006ffb,
    0x220001ff,0x06ffffeb,0x0001ffe6,0x003ffe60,0xfff98000,0x27fe4000,
    0xf9013ffa,0x50bfd05f,0x7ff407ff,0x07ffea03,0x01fff300,0x501fff40,
    0xfc803fff,0xfff0004f,0x4c000007,0x80000fff,0x2003fff9,0x7ff44ffc,
    0x0fff3004,0x07ff9800,0x00bffe00,0x3f637fd4,0x509ffd1f,0xffd00bff,
    0xff980003,0x3fe2000f,0x03ffdc5f,0xb8bfff10,0x7e4007ff,0x027ff44f,
    0xb8017ffc,0xff3006ff,0xf500001f,0x3e609fff,0x9800007f,0x00000fff,
    0x003ffe60,0xfb83fff0,0x1ffdc07f,0xf503ffe6,0x1fff407f,0x004fffa8,
    0x000fff98,0x7d40fffa,0xffc804ff,0x9fff0004,0x7cc00000,0xe80000ff,
    0x7fc006ff,0x03ffdc1f,0x0007ff98,0x0003ffcc,0x2a005fff,0x8ffec6ff,
    0x7d40fffa,0x4ffa805f,0x7ffcc000,0x7ffdc000,0x005fff11,0xf11fffb8,
    0xff8005ff,0x03ffdc1f,0xb8017ffc,0xff3006ff,0x2200001f,0xf980fffe,
    0x9800007f,0x00000fff,0x003ffe60,0xf987ffa8,0x3fea01ff,0x21fffdc3,
    0x3fa02ffb,0xfecbaadf,0x98000eff,0x3a000fff,0xecbaadff,0xc800efff,
    0xfd0004ff,0x400000df,0x0000fff9,0x0007ffe4,0xff30fff5,0xfff3003f,
    0xffffffff,0xfff301ff,0xffffffff,0x2fff81ff,0xd8dff500,0x0fffa1ff,
    0x3e00bff5,0x260000ff,0xe8000fff,0x0dff75ff,0x5d7ffa00,0x7d4006ff,
    0x1fff987f,0x7fffffc0,0xffffffff,0xff3006ff,0x5400001f,0xff981fff,
    0xffffffff,0xf3000fff,0x000001ff,0x0007ffcc,0x3fa09ff9,0x13fea04f,
    0xfb8bfffd,0x3fffa01f,0x4fffffff,0x3ffe6000,0x3fffa000,0x4fffffff,
    0x013ff200,0x017ffdc0,0xfff98000,0x3fe60000,0x7fe4003f,0x009ffd04,
    0xfffffff3,0x01ffffff,0xfffffff3,0x81ffffff,0xf5002fff,0x21ffd8df,
    0x7fd47ffb,0x07ff9005,0x07ffcc00,0x57ffd400,0x50001fff,0x3fff5fff,
    0x04ffc800,0xff809ffd,0xffffffff,0x06ffffff,0x001fff30,0x83fff800,
    0xfffffff9,0x00ffffff,0x001fff30,0x7ffcc000,0x0bffe000,0xf303ffe4,
    0x7fffcc9f,0x807ff20f,0xfffffffe,0x4c0000ef,0x3a000fff,0xffffffff,
    0x7fe4000e,0xfff10004,0x2600000d,0x20000fff,0xf8006ffe,0xfff902ff,
    0xddfff300,0xdddddddd,0xddfff301,0xdddddddd,0x002fff81,0xffd8dff5,
    0xf517ffc1,0x3fe200bf,0x3fe60006,0xffd0000f,0x8000bfff,0x05fffffe,
    0x902fff80,0xfff80fff,0xeeeeeeee,0x006ffeee,0x0001fff3,0x40fffc40,
    0xeeeefff9,0x00eeeeee,0x001fff30,0x7ffcc000,0x0fff5000,0x980fffcc,
    0x2ffee5ff,0x03ff23ff,0xb99cffe8,0x0000dffe,0x8003ffe6,0xeb99cffe,
    0x32000dff,0x320004ff,0x0000dfff,0x007ffcc0,0x00fffc80,0x303ffd40,
    0xf9803fff,0x7cc0007f,0x3fe0007f,0xdff5002f,0x7dc1ffd8,0x017fea6f,
    0x0002ffd8,0x0001fff3,0x03ffffe6,0xffff3000,0xffa8001f,0x07ffe607,
    0x7002fff8,0x3e600dff,0x200000ff,0xff307ffb,0xf300000f,0x000001ff,
    0x8007ffcc,0x7fc05ffc,0x4bff104f,0x26ff8dfe,0x3fa00ffd,0x2fff443f,
    0x1fff3000,0x21fff400,0x2005ffe8,0x20004ffc,0x0aefffe8,0x26007b30,
    0x98000fff,0xc8003fff,0x7ffc05ff,0x03ffcc04,0x01ffe600,0x002fff80,
    0xffd8dff5,0xa97ffc41,0x3ea005ff,0xff30005f,0x7ec0001f,0xb00004ff,
    0x90009fff,0xfff80bff,0x00bffe04,0x98037fdc,0x2ae00fff,0x7ffdc400,
    0x00fff305,0x1fff3000,0x7cc00000,0xfff000ff,0x33333337,0x3e20dffb,
    0x3a7ff15f,0x80ffb0ff,0xff983ffe,0xff30002f,0x7ff4001f,0x02fff983,
    0x0009ff90,0xfffffe88,0x3fffedde,0x01fff300,0x00dffd00,0x266fffe0,
    0xffd99999,0x03ffcc06,0x01ffe600,0x002fff80,0xffd8bff7,0xf56ffc81,
    0xffe800bf,0xfff98000,0x3fe60000,0xf300000f,0xff0001ff,0x3333337f,
    0x7c0dffb3,0xff7002ff,0x3ffe600d,0x3bbffe00,0xfffedccd,0x1ffe605f,
    0x3fe60000,0x2000000f,0xa800fff9,0xffffffff,0x1fffffff,0x3feedff0,
    0x3f67ff70,0x81fff407,0x30006ffd,0x74001fff,0xdffb03ff,0x013ff200,
    0x3fffa200,0xffffffff,0x1fff3003,0x1fffb800,0xffffa800,0xffffffff,
    0x3e601fff,0x7cc0007f,0x3f60007f,0x9ff9003f,0xf881ffd8,0x05ffa9ff,
    0x0027fdc0,0x0007ffcc,0x001fff30,0x03ffe600,0xfffff500,0xffffffff,
    0x3ffe03ff,0x0dff7002,0x803ffe60,0xffffffff,0x405fffff,0x00007ff9,
    0x000fff98,0x3ffe6000,0xffffc800,0xffffffff,0xfff04fff,0x6ff89bfa,
    0xffe80ffd,0x05fff303,0x01fff300,0x981fff40,0xfc802fff,0x2600004f,
    0xdefffffc,0xff30009b,0x7fcc001f,0xff90003f,0xffffffff,0x409fffff,
    0x40007ff9,0x20007ff9,0xfd005ffc,0x01ffd85f,0xbff5bff9,0x07ff8800,
    0x00fff980,0x03ffe600,0x7ffcc000,0x7ffe4000,0xffffffff,0xff04ffff,
    0x3fee005f,0x1fff3006,0x7ffff640,0x00beffff,0x0007ff98,0x00fff980,
    0x3fe60000,0xefff800f,0xeeeeeeee,0xfd06ffee,0xfd87ff1f,0x7406fe9f,
    0x3ffa03ff,0xfff98006,0x0fffa000,0xc806ffe8,0x800004ff,0x0000cffd,
    0x8003ffe6,0x20006ffe,0xeeeeefff,0xffeeeeee,0x01ffe606,0x00fff300,
    0x007ffdc0,0xfb03ffea,0x3ffe603f,0xc8005ffb,0x7cc002ff,0x260000ff,
    0x00000fff,0x8001fff3,0xeeeeefff,0xffeeeeee,0x005fff06,0x4c01bfee,
    0x31000fff,0x8009ffb3,0x00007ff9,0x000fff98,0x3ffe6000,0x07ffd400,
    0x81fffa80,0x40ffbffe,0x06fecffb,0xf501fff4,0xf98005ff,0x3fa000ff,
    0x3ffea03f,0x027fe402,0x07ff4000,0x3ffe6000,0x3fff7000,0x3ffea000,
    0x3fff5000,0x001ffe60,0x000fff30,0x501effe8,0xffb07fff,0x7f7fec03,
    0xff98005f,0x7ffcc006,0x3fe60000,0xf300000f,0x7d4001ff,0xff5000ff,
    0x05fff03f,0x401bfee0,0x8000fff9,0x4c001ffd,0x800007ff,0x0000fff9,
    0x03ffe600,0x800bff90,0xffd83fff,0xfff886fe,0x7ff405ff,0x037ff403,
    0x003ffe60,0x7403ffe8,0x7fe406ff,0x7c400004,0xf980006f,0xff9800ff,
    0x3f20003f,0x7ffc005f,0x00fff303,0x007ff980,0x6ffffd40,0x6fffecac,
    0x4c03ffb0,0x005fffff,0x4003ffd0,0x0000fff9,0x0003ffe6,0x007ffcc0,
    0x800bff90,0xfff83fff,0x0dff7002,0x003ffe60,0x2001ffe0,0x00007ff9,
    0x000fff98,0x3ffe6000,0x017ffc00,0x361bff60,0xfb03ffff,0xfe809fff,
    0x7ffd403f,0xddddd901,0xdddddfff,0x00fffa09,0x6403fff5,0xeeeeefff,
    0x801eeeee,0x64004ffa,0xfffeeeee,0x744eeeee,0xffffffff,0x6fffffff,
    0xb000bffe,0x3fe60dff,0xeeeeeeef,0xff982eee,0xeeeeeeef,0xff702eee,
    0xffffffff,0x07ff601b,0x0bffffd0,0x417fea00,0xffeeeeec,0x04eeeeef,
    0x001fff30,0x03ffe600,0x002fff80,0x7fc37fec,0xdff7002f,0xfddddd90,
    0x9dddddff,0x002ffcc0,0x7777ffcc,0x2eeeeeee,0x01fff300,0x3bbb2000,
    0xeeefffee,0x1fff54ee,0x1fffa800,0x807fffe4,0x404ffffa,0xfe803ffe,
    0xffffd05f,0xffffffff,0x0fffa0bf,0xc817ffa0,0xffffffff,0x801fffff,
    0x74001ffc,0xffffffff,0x7c5fffff,0xffffffff,0x6fffffff,0x8001fff5,
    0xf981fffa,0xffffffff,0xf983ffff,0xffffffff,0x2203ffff,0xefffffed,
    0x00ffec02,0x017fffea,0xe80fff80,0xffffffff,0x005fffff,0x0001fff3,
    0x003ffe60,0x0007ffd4,0xff07ffea,0x3fee005f,0xfffffe86,0xffffffff,
    0x00ffee05,0x3ffffe60,0xffffffff,0x1fff3003,0x3ffa0000,0xffffffff,
    0xbff95fff,0x7fff1000,0x206fffb8,0x403ffff8,0xfb803ffe,0xfffe81ff,
    0xffffffff,0x7ffd05ff,0x03fff700,0x3ffffff2,0x1fffffff,0x8002a980,
    0xfffffffe,0x45ffffff,0xffffffff,0xffffffff,0x000bff96,0xf307fff1,
    0xffffffff,0xf307ffff,0xffffffff,0x4007ffff,0x3f600099,0xfffe801f,
    0x3fee0005,0xfffffe83,0xffffffff,0x1fff3005,0x3fe60000,0xbff9000f,
    0x7fff1000,0x7002fff8,0xfffd0dff,0xffffffff,0x554c0bff,0xfff98000,
    0xffffffff,0xff3003ff,0x3a00001f,0xffffffff,0x005fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x50bbb620,0xdb1009dd,0x04eea85d,0x40133000,0x07b502db,0xfffffd80,
    0x1005ffff,0xeea85ddb,0xdd900004,0xdd50009d,0x8800005d,0x00001999,
    0x4007dddb,0x774c1eea,0x44eec801,0x2000ded9,0x774c1eea,0x41eea801,
    0x6c001ee9,0xffffffff,0xfffd805f,0x05ffffff,0xffffffd8,0x20005fff,
    0x0001cec9,0x82662000,0x00004ed8,0x4cc40000,0x39d93000,0x01330000,
    0x31019980,0xaa988013,0x7ff44001,0x00effc8c,0x919ffd10,0x00001dff,
    0x3ea09ff7,0x7ffcc0ff,0x3fff6001,0x05ffffff,0x233ffa20,0x0000effc,
    0x003fffd8,0x2fffffb8,0xfff30000,0xfb00003f,0xf98005ff,0x1ffd31df,
    0x23bff600,0x4001fffb,0xfd31dff9,0xbff3001f,0x003ffa63,0xffffffb0,
    0xfb00bfff,0xffffffff,0xffffb00b,0x00bfffff,0x3ffffee0,0x4c400002,
    0xb8bff619,0x00003fff,0x3ffa0000,0xffffb801,0x3f60002f,0x3ee001ff,
    0x17ff20df,0xffffffa8,0xfd1000bf,0x000bffff,0xbfffffd1,0x7ff40000,
    0x83fff701,0x2002fffa,0xaaaaaaaa,0x744001aa,0x005fffff,0x03dff900,
    0xf7dff900,0x980007ff,0x0000efff,0x001effd8,0xffffffb0,0xffc8009f,
    0x0001efff,0xfffffffb,0x7ffec009,0x8004ffff,0xaaaaaaaa,0xaaa801aa,
    0x1aaaaaaa,0xaaaaaa80,0x8001aaaa,0xffb9bff8,0x3ea00000,0xf71ffe7f,
    0x00000bff,0x1bfe2000,0x2e6ffe20,0xfd8000ff,0x2001ffff,0xffd8effb,
    0xffffd105,0x00dfffff,0x005fffd8,0x02fffec0,0x0dff3000,0xfd82ff44,
    0x0000000e,0x17fff600,0x6ffe4000,0xdffc8000,0x009ffd10,0x013ffe60,
    0x027fec00,0x7fffe400,0xff90004f,0xc80001df,0x004fffff,0x4fffffc8,
    0x00000000,0x00000000,0xfd17ee00,0x7d400005,0xd09ff37f,0x00000dff,
    0xffa814c0,0x745fb803,0x7fec002f,0x001fffac,0x17ffffee,0x9abfffd8,
    0x004fffdb,0x80000ccc,0x40000199,0x00802ffd,0x00000004,0x00199800,
    0x00066600,0x9980ccc4,0xfff98001,0x00019952,0x00001331,0x0004d4c4,
    0x00026620,0x004d4c40,0x01353100,0x00000000,0x00000000,0x7f45fb80,
    0x3ea00002,0x503ff77f,0x00000bff,0x3209ff70,0x5fb800ff,0xfb0017f4,
    0x0fff4c7f,0x0bfff700,0xd807ffdc,0x000007ff,0x80000000,0x00007ff8,
    0x59510000,0x00000003,0x00000000,0x4cc40000,0x0001bfa0,0x00000000,
    0x00000000,0x00000000,0x26666662,0x09999999,0x33333330,0x01333333,
    0x00266620,0x739ff100,0x400001ff,0x0dfd7ffa,0x0000ffea,0x413ff200,
    0xff1006ff,0x001ff739,0x26202662,0x0ccc0009,0x980fff60,0x4cc40fff,
    0x99999999,0x44099999,0x98800999,0x7fdc0009,0x000ccc43,0x5c009998,
    0xdfffffff,0x33333000,0x33333333,0x99998001,0x00999999,0x26666666,
    0x00999999,0x027fc400,0x00999880,0x99999880,0x99999999,0x99999980,
    0x99980001,0x99999999,0x33100099,0xffd00013,0xffffffff,0xff30bfff,
    0xffffffff,0x3e007fff,0x80007fff,0x02fffffb,0xbffd4000,0xefe88099,
    0xc8000000,0x013304ff,0x7ffffdc0,0x00000002,0x0fffc000,0xc81fff10,
    0xffffffff,0x4fffffff,0x4037ffec,0x7c005ffa,0x7ffe40ff,0x7ffcc002,
    0xffffb103,0x03ffffff,0xffffff98,0x3fffffff,0x3fffe600,0x06ffffff,
    0xfffffff3,0x07ffffff,0x01ffb800,0x0fffff00,0xfffffd00,0xffffffff,
    0xffffff0b,0x0059dfff,0x7fffffcc,0x3fffffff,0x0fffff00,0xfffffd00,
    0xffffffff,0xfffff30b,0xffffffff,0xffff5007,0x9300005f,0x0000039d,
    0xfe80fff5,0x000001ff,0x0009ff90,0x01cec980,0x00000000,0x203ffc40,
    0xffc86ffc,0xffffffff,0x6c4fffff,0x5401ffff,0x3ea005ff,0x6fff885f,
    0x837ff400,0xacefffe8,0x02ffffec,0x3fffffe6,0x3fffffff,0x3ffff200,
    0x06ffffff,0xfffffff3,0x07ffffff,0x3ff72a20,0xf50006ff,0x8005ffff,
    0xfffffffe,0x85ffffff,0xffffffff,0x800dffff,0xfffffff9,0x03ffffff,
    0x2fffffa8,0x66665c00,0xccccfffd,0xcfff982c,0xcccccccc,0xfffc802c,
    0x000004ff,0xff500000,0x00dff80f,0x3f200000,0x0000004f,0x372a2000,
    0x1001bdee,0x37bddb95,0xf703ffcc,0xddd705ff,0xdddddddd,0xfd87ffff,
    0x7d405fff,0x3ffa005f,0x07fff701,0x40bffea0,0xf502fffc,0x7fcc0dff,
    0xcccccccf,0xf1002ccc,0x555fffdf,0x3fe60555,0xcccccccf,0xfa802ccc,
    0xffffffff,0xfffc8004,0x65c004ff,0xcfffdccc,0xff82cccc,0xfedcccdf,
    0x4c03ffff,0xcccccfff,0x802ccccc,0x04fffffc,0x0fff9800,0x00fff300,
    0xfbfff800,0x6664007f,0x02664400,0x6776e544,0x00c07ffc,0x665c0000,
    0xcceffecc,0x804ccccc,0xdefeecb9,0x7fdc000c,0x3fffffff,0x7ffffdc0,
    0xff33ffff,0x0ffff60f,0x3ffa2000,0xfffffd85,0x017fea01,0x3a037fcc,
    0xfe800fff,0x7fff105f,0x02fffa80,0x0000fff3,0xdff7ff70,0x07ff9800,
    0x3fff2000,0xfffffeff,0x5fffc005,0x980007ff,0xff000fff,0x7ffe405f,
    0x1ffe601f,0x7fff0000,0x30000fff,0x26001fff,0x200007ff,0xfff8effa,
    0x07ffe002,0xb80fff30,0xffffffff,0x32a007ff,0x3bfb260c,0xfffd001c,
    0xffffffff,0xe80fffff,0xffffffff,0xfe8804ff,0xfffeffff,0xfffd103f,
    0x7ffffdff,0x3f61ffe6,0x900002ff,0xffb01fff,0x7d40bffb,0x7ff9005f,
    0x04fffa80,0xd80fffd4,0xffb005ff,0x01ffe60d,0x27ffa000,0x7cc006ff,
    0xf500007f,0x7ff419ff,0xf5004fff,0x05fff1df,0x0fff9800,0x805fff00,
    0x2605ffe9,0x200007ff,0xfff8effa,0x7fcc0002,0xfff3000f,0x7fe40000,
    0x4009ffb3,0x7cc01fff,0xfffd107f,0xfffffddf,0x8ffe400f,0xfffffffc,
    0xffffe803,0xffffffff,0x7fc07fff,0xfffeefff,0x7ff404ff,0x1ed441df,
    0x41dfffe8,0xfff33da8,0x001fffb8,0x07fff300,0x3ffebff6,0x00bff500,
    0x3600fff1,0x3fa00fff,0x5fff104f,0x07ffea00,0x0001ffe6,0xff19ff30,
    0x7ff9800d,0x7fff0000,0xffdbff88,0x3ffc800f,0x80009ffb,0xf000fff9,
    0xff5005ff,0x1ffe605f,0x3ffc8000,0x80009ffb,0x3000fff9,0x40000fff,
    0xfff71fff,0x00fffc00,0x7f41ffe6,0x7e4c0aff,0x3ff2007f,0xffefffda,
    0xc8001fff,0x7c0004ff,0xffe980ad,0x5fff701f,0x3ffee000,0x1ffe6002,
    0x00009ffb,0xfb02fff4,0x209ffb3f,0xfb805ffa,0xfff3004f,0x03ffee09,
    0x8007ffd4,0xf982fff8,0x6400007f,0x06ff89ff,0x003ffcc0,0x5c37fdc0,
    0x3fff89ff,0xf71fff80,0xf98000ff,0xfff000ff,0x1bffa005,0x0003ffcc,
    0x3ee3fff0,0x7cc0007f,0xff3000ff,0x3ea0000f,0x07ffe26f,0x200fffc0,
    0xffa87ff9,0x1ffea00e,0xfffffc80,0xbfff710c,0x09ff9000,0xff100000,
    0x9fff107f,0x3ffe2000,0x3ffcc004,0x0000fffa,0xb007ffe4,0x1fff33ff,
    0xd00bff50,0x7e4001ff,0x3fff81ff,0x001bfee0,0xff307ffd,0x7c40000f,
    0x00dff16f,0x0007ff98,0xfe83ffe8,0x501bff26,0x7ffc4dff,0x3fe60001,
    0x5fff000f,0x41ffee00,0x00007ff9,0x7fc4dff5,0x3e60001f,0xff3000ff,
    0x3f20000f,0x027ff44f,0x4c01fff8,0x7ffc47ff,0x03ffd402,0x07ffff90,
    0x2001ffee,0x00004ffc,0x70bffb00,0x20001fff,0x4000fffb,0x7fe47ff9,
    0x7cc0000e,0x7fec03ff,0xf509ffd1,0x5ffa80bf,0x2fffc400,0xf901ffee,
    0xffd800bf,0x007ff984,0x44ffee00,0x7cc006ff,0xff80007f,0x527fc40f,
    0xffc80fff,0x0027ff44,0x001fff30,0x4c00bffe,0xff980fff,0xff900007,
    0x004ffe89,0x003ffe60,0x0003ffcc,0x7dc1fff8,0x3fff007f,0x547ff980,
    0xffa806ff,0x3fff2007,0x03ffe203,0x009ff900,0x3fee0000,0x005ffc86,
    0x0017ff20,0xff31ffe6,0x740001df,0xffd806ff,0xa81fff51,0x7fec05ff,
    0xfffb8002,0x805fff11,0x6c004ffd,0x7ff985ff,0x3ffa0000,0x800dff10,
    0x40007ff9,0xffb87ff8,0x803ffe61,0x7fdc1fff,0x3fe60007,0x5fff000f,
    0x07ffe600,0x0001ffe6,0x3ee0fffc,0x3e60007f,0xff3000ff,0xffffffff,
    0x3ea01fff,0x1fff987f,0x401fff80,0x7fdc7ff9,0x07ffa805,0x2017ff20,
    0x64001fff,0x000004ff,0xfd0dff50,0x7f40007f,0xff98003f,0x2ffffb87,
    0x0fffc800,0x3a1ffd80,0x2ffd43ff,0x000dff10,0xffbafff4,0x03ffe806,
    0x4c37fe40,0xffffffff,0x200fffff,0x3fe25ff9,0x03eeeeef,0xfffffff3,
    0x01ffffff,0xdfd0fff3,0x500fff88,0xfff30fff,0x3fe60003,0x5fff000f,
    0x0bffe200,0x3fffffe6,0x0fffffff,0xf30fff50,0x260003ff,0xf3000fff,
    0xffffffff,0x3201ffff,0x9ffd04ff,0x803fff00,0x7fe47ff9,0x07ffa804,
    0x2013ff20,0x64001ffe,0x300004ff,0xfffffdb9,0x5fff0dff,0x17ffc000,
    0x83ffcc00,0x004ffffb,0x400fffe6,0x3fee1ffd,0x902ffd47,0x540007ff,
    0x1fffafff,0x003ffe80,0x7cc2ffe4,0xffffffff,0x3600ffff,0x3ffe21ff,
    0x304fffff,0xffffffff,0x301fffff,0x4ff88fff,0xf903ffc4,0x13ffa09f,
    0x07ffcc00,0x002fff80,0x3e60fffe,0xffffffff,0xf900ffff,0x13ffa09f,
    0x07ffcc00,0xeefff980,0xeeeeeeee,0x205fff00,0xff807ffc,0x3ffcc01f,
    0x2a00fff6,0x3f2007ff,0x1ffe804f,0x027fe400,0x3fff6600,0xffffffff,
    0x002fff86,0x000bffe0,0xf981ffe6,0xfd004fff,0x7fec00df,0xf517ffc1,
    0x07ffc0bf,0x3fffa000,0xffb005ff,0x4ffd8009,0xeeefff98,0x0eeeeeee,
    0xf88dff10,0x3eeeeeff,0xdddfff30,0x1ddddddd,0x5c3fff10,0x37fcc1ff,
    0x3205fff0,0xf30007ff,0x3fe001ff,0x3ffe002f,0xeefff983,0xeeeeeeee,
    0x205fff00,0x30007ffc,0x26001fff,0x540007ff,0x3fe607ff,0x0fffc01f,
    0xfd1ffe60,0xfff5007f,0x027fe400,0x2000fff4,0x20004ffc,0xcceffff9,
    0x86ffdccc,0x20003ffe,0x98003ffe,0x7f4407ff,0x7fe401ff,0x3ff6000f,
    0xf537fdc1,0x13fea0bf,0x3ffe6000,0xff9000ff,0x3ffd800b,0x0007ff98,
    0x7c43ffb8,0x7fcc006f,0xfff80007,0x3ee1bfa2,0x0fff505f,0x000fffcc,
    0x8007ffcc,0xf1002fff,0xfff305ff,0x7ffa8000,0x007ffe60,0x003ffe60,
    0x0003ffcc,0xff017ff2,0x1fff809f,0x363ffcc0,0xffa803ff,0x13ff2007,
    0x0007ffa0,0x40009ff9,0x2a01effe,0x5ffd86ff,0x17ff6000,0x01ffe600,
    0x9813ffa2,0x6c003fff,0x7ffc41ff,0x3a0bff52,0xb00001ff,0x64009fff,
    0x7f4006ff,0x07ff982f,0x40ffe800,0x4c006ff8,0xd80007ff,0x09ff14ff,
    0x3f209ffd,0x27ffc05f,0x07ffcc00,0x002fff80,0xf303fff3,0xfc8000ff,
    0x27ffc05f,0x07ffcc00,0x007ff980,0x4cdfffc0,0xffd99999,0x00fffc06,
    0xff91ffea,0x0fff9009,0x4027fe40,0x64001ffe,0xf30004ff,0xffa803ff,
    0x00fffb86,0x01fff700,0x007ff980,0x7f40dff9,0xffd8006f,0xf56ffc81,
    0x0dff30bf,0x7ffcc000,0x3ffee000,0x3fff3000,0x000fff30,0xf885ff98,
    0x7fcc006f,0xffa80007,0x541ffbaf,0xfff00fff,0x33333337,0x3000dffb,
    0x3e001fff,0xff5002ff,0x0fff301f,0x9bfff800,0xfd999999,0xff98006f,
    0xfff3000f,0x7ffd4000,0xffffffff,0x3a01ffff,0x3fa203ff,0x037fdc7f,
    0x801fffee,0xfe804ffc,0x7fdc001f,0xfff50005,0x10dff700,0x2000bfff,
    0x4005fff8,0xf5007ff9,0x3ffee0df,0x1ffd8001,0xfa9fff88,0x02ffc85f,
    0x3ffe6000,0x3ffe6000,0x0fff9002,0x0001ffe6,0xdddddffb,0x9800dffd,
    0xd00007ff,0xa8dfdfff,0xff503fff,0xffffffff,0x003fffff,0x000fff98,
    0x36005fff,0xfff306ff,0x7ffd4000,0xffffffff,0x4001ffff,0x3000fff9,
    0x64000fff,0xffffffff,0x4fffffff,0xd817ff60,0x7fcc7fff,0xffff501f,
    0x27fe400f,0x000fff40,0x0003ffea,0xf501ffee,0x3fee0dff,0x206a00ef,
    0x200efffb,0x00fff31a,0xf309ffd1,0x360007ff,0xbff901ff,0xff88bff5,
    0x7cc00007,0x7f4000ff,0x7fff005f,0x001ffe60,0xffffff88,0x006fffff,
    0x0003ffcc,0xdfffff98,0x06fffdca,0x3ffffff2,0xffffffff,0x7fcc004f,
    0x5fff000f,0x07fff300,0x8001ffe6,0xfffffffc,0xffffffff,0x7ffcc004,
    0x0fff3000,0x777ffc00,0xeeeeeeee,0x3f206ffe,0x7ff441ff,0xeffe87ff,
    0x7ff7fd40,0x13ff2007,0x0007ffa0,0x000bfff1,0xb105fff3,0x740dffff,
    0xccceffff,0xffd03ffd,0xfb999dff,0x91ffe67f,0xffff9959,0x00dffd01,
    0x980ffec0,0x45ffbfff,0x00004ffb,0x0007ffcc,0xb00fffea,0x7fcc0dff,
    0x3fee0007,0xfeeeeeee,0x7fcc006f,0x3a600007,0xffffffff,0x77ffc04f,
    0xeeeeeeee,0x4006ffee,0xf000fff9,0xffd005ff,0x1ffe601f,0xeefff800,
    0xeeeeeeee,0x4c006ffe,0xf3000fff,0x3ea000ff,0xff5000ff,0x3ffe203f,
    0xbfffcbef,0xfffa87ff,0x8efffcce,0x3f2007ff,0x1ffe804f,0xffffc800,
    0x206dcbbc,0xdbadfffe,0x06ffefff,0x3fffff22,0x103fffff,0xfffffff9,
    0x3fe67fff,0x7fffffc7,0xfffb82ff,0x3ff60001,0x3fbff601,0x007ff45f,
    0x3ffe6000,0xfffe8000,0x2fffc883,0x001ffe60,0xf101ffe8,0xff9800df,
    0x7c400007,0x2dffffff,0x007ffd40,0x001fffa8,0x4003ffe6,0x3a202fff,
    0x3e603fff,0xff50007f,0x3fea001f,0x3fe6001f,0xfff3000f,0x17ff2000,
    0x407fff00,0xfffffffc,0x2e0fff2f,0xefffffff,0x6400fff0,0xffe804ff,
    0xffe88001,0x07ffffff,0x3fffffea,0x6ff8bfff,0xfffed980,0x4c00ceff,
    0xefffffed,0xf8fff30c,0x80ceffff,0x0003fff9,0xf300ffec,0x7d4bffff,
    0x9800005f,0x98000fff,0xecdfffff,0x4c05ffff,0xf50007ff,0x37fc40df,
    0x01ffe600,0x39ff1000,0x7fe40013,0x1fffc005,0x01fff300,0x310bffe0,
    0x80bffff7,0x90007ff9,0xff800bff,0xdddd903f,0xddddfffd,0xdfff309d,
    0xdddddddd,0x017ffc5d,0x501bff60,0x43bfffff,0x3faa07ff,0x3fe0beff,
    0x13ff2007,0x0007ffa0,0xfffffeb8,0x7fecc05f,0xff10dfff,0x0333000d,
    0x00199800,0xfd001330,0xffffffff,0x8dffffff,0x7f401ffd,0x3ff65fff,
    0xf9800001,0xd10000ff,0xffffffff,0xfff3005f,0xdddddddd,0x1ffec5dd,
    0x999fff10,0xff301999,0xdddddddf,0xf7005ddd,0x3fe0003f,0x7fec002f,
    0xddddd906,0xdddddfff,0xdddfff09,0x7fffffff,0xddfff300,0xdddddddd,
    0x0017ffc5,0x7f41bff6,0xffffffff,0xf985ffff,0xffffffff,0xff53ffff,
    0xffa8001f,0x0998801f,0x004c4000,0x09ff9000,0x0003ffd0,0x00066620,
    0x00000266,0x00000000,0x7fffc000,0xffffffff,0x7ec6ffff,0x7ffd401f,
    0x00dff35f,0x3ffe6000,0x37220000,0x01deffff,0xffffff30,0x7fffffff,
    0x8803ffe2,0xffffffff,0xffff980f,0xffffffff,0x06fe803f,0x01fff500,
    0x81fffa80,0xfffffffe,0x85ffffff,0xffffffff,0x3001dfff,0xffffffff,
    0x2a7fffff,0x54000fff,0xffe81fff,0xffffffff,0xff985fff,0xffffffff,
    0xbff93fff,0x7fff1000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fffffe0,0xffffffff,0x0ffec6ff,0xcaffff40,0x000003ff,
    0x0001fff3,0x40004c40,0xfffffff9,0x73ffffff,0xff8809ff,0x0fffffff,
    0xffffff98,0x3fffffff,0x001ffc40,0x8005ffc8,0xfe83fff8,0xffffffff,
    0xff85ffff,0xbceeffff,0x7ffcc000,0xffffffff,0x0bff93ff,0x07fff100,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00cccc40,
    0x066204cc,0x00333310,0x26620000,0x10266000,0x15530033,0x00266200,
    0x09980000,0x10000cc4,0x08800015,0x80ccc000,0x00000199,0x00099800,
    0x09999800,0x00199988,0x00099800,0x44000000,0x33000000,0x4c000001,
    0x26200999,0x20000199,0x00001999,0x26606666,0x04cc0019,0x0000ccc0,
    0x001eeb80,0x0ffffa20,0xdfb13fe0,0x4fffd880,0xfd800000,0x13fe003f,
    0x7f4c0dfb,0x7c404fff,0xbfb100ff,0x200bfd10,0x037ec4ff,0x01fffa80,
    0x3fffea80,0x7fe401d8,0x4027fec4,0xfe885fd8,0x7ffe4005,0x3f600003,
    0xffb104ff,0x6400009f,0x22003fff,0x5fe885fd,0x3fffaa00,0xc8001d83,
    0x00003fff,0x404fffd8,0x004fffd8,0x05fff900,0x7fdc0031,0x27ffdc2f,
    0x07fff900,0x0001fff8,0x03fffd40,0x1effe880,0x737ffd00,0x3ee00bff,
    0x000004ff,0xd001ffec,0xbff737ff,0x3ffffe20,0x3ff204ff,0x0bffee02,
    0xd005fff7,0xbff737ff,0x3fffa000,0x7ffd4005,0xfdaaefff,0x8dffc806,
    0xf7004ffd,0xfffb85ff,0xffff9002,0xfb00007f,0xff7005ff,0xf900009f,
    0x2007ffff,0x7dc2fffb,0xffa802ff,0xdaaeffff,0x7fe4006f,0x00003fff,
    0x800bfff6,0x0004fffb,0xb75fffd0,0x3ea00dff,0x7ffd42ff,0x3fff2003,
    0x3ffe03ff,0x7e400001,0x44001fff,0x2000dffe,0xfffffff9,0x3ffe6000,
    0xee880004,0xeefffeee,0x7ffcc05e,0xfb00ffff,0x03ffa65f,0xf7017fea,
    0xfffb87ff,0xffff9802,0xf0000fff,0x4400dfff,0xfffbadff,0x9002ffff,
    0x009fffff,0x2e1fffdc,0xfc802fff,0x03ffe9df,0x07bff600,0x04fff980,
    0x277ff200,0xfb803ffe,0x7ffdc3ff,0x56ffc402,0xfffffffb,0x37ff2002,
    0x0003ffe9,0x001effd8,0x004fff98,0x7fffdcc0,0x9806ffff,0x7fd42fff,
    0x3ff2002f,0xf03ffe9d,0x800003ff,0x4007fffa,0x0003ffe8,0x03dfffd5,
    0x09ffb100,0xffff8800,0x6fffffff,0xefffea80,0xf717fe01,0x0ffe885f,
    0x442ff440,0x3aa005fe,0x0001efff,0x000bffee,0xfffc88b3,0x7fe4002e,
    0x7f44004f,0x805fe885,0x3f624ffc,0xffd8003f,0xfd88000d,0xffc8004f,
    0x00fff624,0xfd10bfd1,0x9116600b,0x4005dfff,0x3f624ffc,0x3f60003f,
    0x220000df,0xa8004ffd,0xffffffff,0x7c402bdf,0x7ffcc2ff,0x93ff2001,
    0xff83ffd8,0xb800001f,0x4c4001de,0x98800009,0x19980000,0x7ffc4000,
    0xffffffff,0x00262006,0xff987ff3,0x001ffe43,0x4c400000,0x37500000,
    0x01100000,0x000ccc00,0x4cc00000,0x00033301,0x30000333,0x33300033,
    0x00006660,0x02200000,0x4c066600,0x26600019,0x26600001,0xfffb8001,
    0x002fffef,0x26202662,0x0ccc0009,0xfff81998,0x00000001,0x00000000,
    0x00000000,0x000fff60,0x87ff3000,0x3fe63ff8,0x00000005,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x36a00000,0x03fff61b,0x00000000,0x03fff000,0x00000000,
    0x00000000,0x40000000,0x00003ffd,0x2a2ffc40,0x03ffa2ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3e200000,0x000005ff,0x7c000000,0x800001ff,
    0x22000cca,0x1bdeedca,0x10033320,0xb7300999,0x800179df,0xebcdecb9,
    0x973003ff,0x019bdfdd,0xffe87ffe,0x8007ff90,0xdefeecb9,0x6dcc000c,
    0x8000bcef,0x0bcefdb9,0x3bb2e600,0x4000cdef,0x0bcefdb9,0x400ccc80,
    0xccc84cc8,0x42664400,0x64400ccc,0x00ccc84c,0x73026644,0x19bdfdd9,
    0xefdca800,0x950000bc,0x00179dfb,0x33bf72a0,0xb950000b,0x000179df,
    0x2f3bf72a,0xdca88000,0x4002ffff,0x0bcefdca,0x3b72a000,0x7c1cdeef,
    0x3b6e60ff,0x7e4000bd,0xfff7001f,0x07ffffff,0xf3007ffe,0x7fec40ff,
    0x02ffffff,0xfffffd88,0x803fffff,0xfffffffe,0xffa84fff,0xf33fffef,
    0xffe800df,0xffffffff,0xfffd8804,0x002fffff,0xffffffb1,0xffd005ff,
    0xffffffff,0xfffb1009,0x805fffff,0x7cc01fff,0x01fff87f,0x7fc3ffcc,
    0x3ffcc01f,0x2600fffc,0xfffd07ff,0x9fffffff,0xffffd300,0x4007ffff,
    0xffffffe9,0x3a6003ff,0xffffffff,0x3ffa6003,0x03ffffff,0x3ffffa60,
    0x1003ffff,0xfffffffb,0x3fa600df,0x3fffffff,0x7fff4c00,0x43ffffff,
    0xfffb0fff,0x4001dfff,0x74401ffc,0xffefffff,0x3fff03ff,0x307ff980,
    0xfd9dfffd,0x7d409fff,0xfffeffff,0xff803fff,0xfffeefff,0xfffc84ff,
    0x07ffa4ff,0xdfffff00,0x09fffffd,0x677fff4c,0x404ffffe,0xecefffe9,
    0x7c04ffff,0xffeeffff,0x3a604fff,0xffecefff,0x3ffe04ff,0x43ffcc01,
    0x7cc01fff,0x01fff87f,0x7fc3ffcc,0x3ffcc01f,0xeefffff8,0x204fffff,
    0xfefffffb,0xb805ffff,0xffefffff,0xfb805fff,0xfffeffff,0xffb805ff,
    0xffffefff,0xfffb805f,0xfffffeff,0x7fff4405,0x3fffffff,0x7ffffdc0,
    0x05fffffe,0xddffff30,0xf87ffddd,0xffffd8ff,0x000fffff,0xfe803ffb,
    0x6d441dff,0x803fff03,0xffd07ff9,0x3fffb01d,0x03bfff30,0xf007fff5,
    0xffd3015b,0x1795303f,0x40027fdc,0xfe980adf,0xdffd01ff,0x03fffb01,
    0x6c077ff4,0x37e01fff,0xfffe980a,0x01dffd01,0x3e03fffb,0x7fcc01ff,
    0x401fff87,0xfff87ff9,0x43ffcc01,0x7cc01fff,0x015bf07f,0x503fffd3,
    0xe983bfff,0x3ea03fff,0x7f4c1dff,0x3fea03ff,0x7ff4c1df,0x3ffea03f,
    0x7fff4c1d,0x37ffea03,0x1ffff4c1,0x0affff88,0xa807ffe4,0x74c1dfff,
    0xfe803fff,0x833100df,0x0cffefff,0x009fff71,0xfb807ff6,0x3e0002ff,
    0x7fcc01ff,0x406ffb87,0xffd86ffd,0x01ffec04,0x3fff8800,0x01bfe200,
    0xfff88000,0x406ffb83,0xff706ffd,0x06ffd80d,0x1fffc400,0x36037fdc,
    0x3fff06ff,0xf87ff980,0x7fcc01ff,0x401fff87,0xfff87ff9,0x03ffcc01,
    0x07fff100,0xfd809ffd,0x9ffd00ff,0x00fffd80,0xfd809ffd,0x9ffd00ff,
    0x00fffd80,0xfd809ffd,0xeffc80ff,0x07fff100,0xfb013ffa,0x7fcc01ff,
    0xfff8000f,0xfff702ff,0x3ffb2a01,0x9fff102f,0x1fff8000,0x7c3ffcc0,
    0x7fc401ff,0x03ffea1f,0x0007ffb0,0x002ffec0,0x00003ffd,0xf85ffd80,
    0x7fc401ff,0x01fff81f,0x000fffc4,0x3e17ff60,0x7fc401ff,0x01fff81f,
    0x7fc3ffcc,0x3ffcc01f,0x2600fffc,0x1fff87ff,0x003ffcc0,0xf717ff60,
    0xfff100ff,0x00fff707,0xf707fff1,0xfff100ff,0x00fff707,0xf707fff1,
    0xfff100ff,0x01fff887,0x7dc37fec,0xfff8807f,0x01ffea03,0x00ffffc0,
    0xe985fff1,0x02ffffff,0x0001fff7,0x4c01fff8,0x37fd47ff,0x322ffe80,
    0xffd804ff,0x3ee00003,0x9ff7006f,0xf7000000,0x06ffa8df,0xfa85ffd0,
    0x5ffd006f,0x6ffb8000,0xe8037fd4,0x1fff82ff,0x7c3ffcc0,0x7fcc01ff,
    0x401fff87,0xfff87ff9,0x03ffcc01,0xb1bfee00,0x3f2009ff,0x04ffd85f,
    0xfb0bff90,0x3ff2009f,0x004ffd85,0xffb0bff9,0x17ff2009,0xf300dff9,
    0x4ffd81ff,0x40bff900,0x8003fff8,0xfd803fff,0x3fffe24f,0xf901ccce,
    0xff0000bf,0x7ff9803f,0xd802ffdc,0x0bff63ff,0x000fff60,0x806ffa80,
    0x00006ff8,0xb8dff500,0xffb005ff,0x005ffb87,0x80007ffb,0x7fdc6ffa,
    0x07ffb005,0xf9803fff,0x01fff87f,0x7fc3ffcc,0x3ffcc01f,0x2600fffc,
    0x540007ff,0x0fffc6ff,0xf86ffa80,0xff5001ff,0x003fff0d,0x3fe1bfea,
    0xdff5001f,0x2003fff0,0x7fec6ffa,0x85fff003,0xf5001fff,0xfffe80df,
    0x3ffe002e,0x24ffc801,0x2001fffc,0x80003ffe,0x7cc01fff,0x77ffe47f,
    0xeeeeeeee,0x3ffe4fff,0x03ffd801,0x3ffb7260,0x806fffff,0x3b6e1ffd,
    0x3726002c,0xfffffffe,0x777ffe46,0xfeeeeeee,0x7ffe44ff,0xeeeeeeee,
    0x4c04fffe,0xfffffedc,0x7ffe46ff,0xeeeeeeee,0xff84fffe,0x3ffcc01f,
    0x2600fffc,0x1fff87ff,0x7c3ffcc0,0x7fcc01ff,0x7f6e4c07,0x26ffffff,
    0x3000fff8,0xfff88fff,0x8fff3000,0x3000fff8,0xfff88fff,0x8fff3000,
    0x3000fff8,0x2ffe8fff,0x447ffd00,0xf3000fff,0xfff880ff,0x7c02dfff,
    0xffb801ff,0x0013ffe5,0x00005fff,0xf9803fff,0x7fffec7f,0xffffffff,
    0xfff15fff,0x07ffb001,0xfffffb30,0x0dffffff,0xfd14ffa8,0x980bffff,
    0xfffffffd,0x7ec6ffff,0xffffffff,0x45ffffff,0xfffffffd,0xffffffff,
    0xffffb305,0xdfffffff,0xffffffd8,0xffffffff,0x01fff85f,0x7fc3ffcc,
    0x3ffcc01f,0x2600fffc,0x1fff87ff,0x983ffcc0,0xfffffffd,0x3e66ffff,
    0x3fe2007f,0x01ffe60f,0x260fff88,0x3e2007ff,0x1ffe60ff,0x20fff880,
    0x22007ff9,0x3ffe0fff,0x49ffb001,0x22007ff9,0x64400fff,0x4fffffff,
    0x7003fff0,0x3ffe2dff,0x17ffc002,0x0fffc000,0xfb1ffe60,0xddddddff,
    0x27dddddd,0xd800fff8,0x7fcc03ff,0xccccceff,0x3e206ffd,0xbbffb0ff,
    0x3e605fff,0xccccefff,0x7ec6ffdc,0xeeeeeeff,0x43eeeeee,0xeeeefffd,
    0xeeeeeeee,0xeffff983,0xffdccccc,0x777ffec6,0xeeeeeeee,0x1fff83ee,
    0x7c3ffcc0,0x7fcc01ff,0x401fff87,0xfff87ff9,0x43ffcc01,0xcceffff9,
    0x26ffdccc,0x3000fff9,0xfff98fff,0x8fff3000,0x3000fff9,0xfff98fff,
    0x8fff3000,0x3000fff9,0x7ffc4fff,0x49ffb001,0x3000fff9,0x5c400fff,
    0x1efffffe,0x5c00fffc,0x5fff15ff,0x03ffe800,0x01fff800,0x3f23ffcc,
    0x7fc0004f,0x3ffd801f,0x00f7ff40,0x7ec0dff5,0x449ff32f,0xdffd06ff,
    0x237fd403,0x80004ffc,0x00004ffc,0x5403dffd,0x27fe46ff,0x1fff8000,
    0x7c3ffcc0,0x7fcc01ff,0x401fff87,0xfff87ff9,0x43ffcc01,0x2a01effe,
    0x0fffc6ff,0xf86ffa80,0xff5001ff,0x003fff0d,0x3fe1bfea,0xdff5001f,
    0x2003fff0,0x7ffc6ffa,0x87ffd002,0xf5001fff,0x2e6000df,0x3e0fffff,
    0xffc801ff,0x009fff13,0x0005ffd8,0x5401fff8,0x37fdc7ff,0x0bffe000,
    0x407fff10,0x5401fff9,0xbff506ff,0x3fa07fdc,0x01fff987,0x3ee37fd4,
    0xfb80006f,0xf980006f,0x7fd401ff,0x0037fdc6,0x401fff80,0xfff87ffa,
    0x43ffd401,0x7d401fff,0x01fff87f,0x3e63ffd4,0x7fd401ff,0x8017ffc6,
    0xfff85ffb,0x0bff7002,0x2e005fff,0x2fff85ff,0xf0bff700,0x3ee005ff,
    0x01fff45f,0x7fc2fff8,0xbff7002f,0xfff70000,0x400fffc7,0x3ffa2ffe,
    0x7ffdc006,0x7ff40000,0x1fffa203,0x0001fff5,0xd1027ff4,0x7d407fff,
    0x6ffb807f,0x360fff88,0x40ffc87f,0xfb807ffa,0x07ffd46f,0x3ffea000,
    0x7fd40000,0x46ffb807,0x0000fffa,0x2203ffe8,0xffe87ffe,0x1fffa203,
    0xe880fffa,0x3ffe87ff,0x51fffa20,0xff700fff,0x005ffd8d,0xffb07ffd,
    0x0fffa00b,0x74017ff6,0x5ffd83ff,0xb07ffd00,0x3fa00bff,0x037fe43f,
    0x3607ffd4,0xffd005ff,0x3f600007,0x007ffe4f,0x7d41fff3,0x3e2005ff,
    0x6c0005ff,0x3ff605ff,0x05ffe87f,0x81bfee00,0x203ffffd,0x7d407ffb,
    0x2ffc86ff,0x3f207fe4,0x03ffdc0f,0x3a1bffea,0xe80005ff,0x5c0005ff,
    0x7fd407ff,0x05ffe86f,0x05ffd800,0x361ffff6,0x3ff605ff,0x05ffd87f,
    0x361ffff6,0x3ff605ff,0x03ffdc7f,0xf51bffea,0xffb803ff,0x1fffa80f,
    0x407ffdc0,0x5c01fffa,0xffa80fff,0x7ffdc01f,0x01fffa80,0x2607ffdc,
    0x7f402fff,0x1fffa85f,0x007ffdc0,0x24ffe800,0x7ec01fff,0xdfffd84f,
    0xdfff7001,0xfc80d401,0x7ff441ff,0xfffa87ff,0xff88000c,0x77fec44f,
    0x3fe603ff,0xfffd882f,0x42ffcc6f,0x37f42ffb,0x4417ffcc,0xa86ffffd,
    0x0000cfff,0x0033ffea,0x417ffcc0,0x86ffffd8,0x000cfffa,0x107fff20,
    0x90fffffd,0xfe883fff,0xffc87fff,0x7fff441f,0x1fffc87f,0x3fffff44,
    0x220bffe6,0xe86ffffd,0xff702fff,0x7fff407f,0x07fff702,0xb817fff4,
    0x3fa03fff,0xfff702ff,0x17fff407,0xb03fffb8,0x3f605fff,0xfffd01ff,
    0x0fffee05,0xff500110,0x80fffc5f,0x880fffc8,0xacdffffe,0x3ffffa02,
    0x3ffdccce,0x7dffff10,0xfff7fff9,0x33ffffa0,0x5edcaaab,0xdbdfffd8,
    0x3ffbafff,0x56ffff40,0xffefffdb,0x4c07ff46,0xffc9beff,0x5bfffd03,
    0xffdfffb7,0x3ffffa0d,0xedcaaabc,0x3ffffa05,0xedcaaabc,0x5bfffd05,
    0xffdfffb7,0x3ffffa0d,0xedcaaabc,0xdffff105,0xff7fff97,0xdffff10f,
    0xff7fff97,0xdffff10f,0xff7fff97,0xdffff10f,0xff7fff97,0x5bfffd0f,
    0xffdfffb7,0xbffff30d,0xdfffd959,0xdffff980,0x6fffecac,0x6ffffcc0,
    0x6fffecac,0x6ffffcc0,0x6fffecac,0x6ffffcc0,0x6fffecac,0x37fffe60,
    0x3fffecbc,0x37fffe60,0x6fffecac,0xbccefc80,0x6fffedba,0x566ffffc,
    0x02ffffcb,0x7fffffe4,0xfff9101f,0x7fffffff,0x7ffffe40,0x0fff2fff,
    0x7fffffe4,0x885fffff,0xfffffffe,0xa807ff72,0xffffffff,0x326ff8bf,
    0x3ff203ff,0x2a06ffff,0xffffffff,0x206ff8bf,0xfffffffc,0x6405ffff,
    0xffffffff,0xff505fff,0x7fffffff,0x7e40dff1,0xffffffff,0x3ff205ff,
    0xf2ffffff,0x3fff20ff,0xff2fffff,0x3ffff20f,0xfff2ffff,0x3fffff20,
    0x0fff2fff,0xfffffff5,0x0dff17ff,0x3fffffa6,0x3004ffff,0xfffffffd,
    0x3a6009ff,0xffffffff,0xffd3004f,0x9fffffff,0x3fffa600,0x04ffffff,
    0xfffffe98,0x9803ffff,0xfffffffe,0xff9004ff,0xffffffff,0xffff81bf,
    0xefffffff,0xfff93001,0xed9803ff,0x0cefffff,0x7ffffd40,0x301ffe1d,
    0xffffffdb,0x7fe405bf,0x3fee2dff,0xfffd9803,0xdff10dff,0x2e01bfe6,
    0x9804ffff,0x0dfffffd,0xd980dff1,0xfffffffe,0xfed9802d,0x2dffffff,
    0x3ffff660,0x0dff10df,0xffffed98,0x5402dfff,0x21dfffff,0x3fea07ff,
    0x3fe1dfff,0x3fffea07,0x81ffe1df,0x1dfffffa,0x7ecc1ffe,0xf10dffff,
    0xffec80df,0x8001deff,0xdeffffec,0xffec8001,0x8001deff,0xdeffffec,
    0xffec8001,0x4001deff,0xdfffffec,0x7ff64000,0x2001deff,0xffffffea,
    0x95102dff,0x7bffffff,0x65d4c000,0x00ccc000,0x00099880,0x0266a600,
    0x00003100,0x00001330,0x30001880,0x98000013,0x4000099a,0x800099a9,
    0x40000099,0x800099a9,0x40000998,0x40000998,0x40000998,0x40000998,
    0x20000099,0x20000099,0x20000099,0x20000099,0x20000099,0x30000099,
    0x26000013,0x98800009,0x100019a9,0x00000013,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x26000000,0x30000009,0x80001333,0x00009999,
    0x4cc01331,0x20033301,0x00cc4099,0x00000880,0x00000198,0x8004cc40,
    0x99981999,0x4ccc0001,0x19998809,0x40000000,0x4c000198,0x4c400999,
    0x10000199,0x33333333,0x00000003,0x0cc40998,0x59975100,0x6dcc0001,
    0x2000bcef,0x99999998,0x2a620019,0x73009aaa,0x19bdfdd9,0x3fb72a00,
    0x4cc1cdee,0x00999999,0x2217f620,0xfc8005fe,0x400003ff,0x0004fffd,
    0x0027ffec,0x640dff50,0x27fec4ff,0x7ec4ff80,0x7ff54006,0x4001d83f,
    0x0000effc,0x01fff000,0xb85fff70,0x20004fff,0xb104fffd,0x00009fff,
    0x26666666,0x00fff809,0x09fffb00,0x09fffb10,0xffff5000,0x003fffff,
    0xfd10bfb1,0x227fc00b,0xff5006fd,0x007fffff,0xfffffd88,0xf5002fff,
    0xffffffff,0xfffea803,0x740fffff,0xffffffff,0x3fa604ff,0xffffffff,
    0x3ffffe63,0x2e004fff,0x7fdc2fff,0x3ff2002f,0x00003fff,0x0005fffb,
    0x002fffd8,0x2037fd40,0xffd8dffc,0x2fffa004,0x2005ffb9,0xeffffffa,
    0x2006fdaa,0x003ffff8,0x5ff98000,0x42fffa80,0x0003fffa,0x200bfff6,
    0x0004fffb,0x7fffffcc,0x27fd44ff,0x2fffd800,0x27ffdc00,0x3ffea000,
    0x01ffffff,0x5c2fffb8,0xfd002fff,0x0bff737f,0xffffff70,0x26009fff,
    0xfecefffe,0xfa804fff,0xffffffff,0xffffb101,0x81ffffff,0xfeefffff,
    0xf984ffff,0xeeeeefff,0x3ffe63ff,0x004fffff,0xf70fffee,0x3f2005ff,
    0x03ffe9df,0x0f7fec00,0x3bff6000,0xffa80001,0xffffc806,0x7fcc004f,
    0x000fffff,0xff75bff1,0x005fffff,0x027fffc4,0x40133100,0x7cc02ffb,
    0x7ffd42ff,0x3ff60002,0x3fe6001e,0x3e60004f,0x4fffffff,0x4000ffe4,
    0x0001effd,0x0009fff3,0x4cccccc4,0xff700199,0x2fffb87f,0xfffff300,
    0xff8801ff,0xffea89df,0xeffe801f,0x01fffd80,0x4cccccc4,0x3ff60199,
    0xaa99abdf,0x4056fc0c,0x741fffe9,0x33100dff,0x75555544,0x3a2004ff,
    0x05fe885f,0x6c49ff90,0xfb0003ff,0xd80001bf,0x00000dff,0x3200dff5,
    0x50004fff,0x003dfffd,0x7fe44598,0xfd8002ef,0x320001ff,0x1ffa04ff,
    0x985fff10,0x20001fff,0x8000dffd,0x0004ffd8,0xfd555551,0x007fe89f,
    0x000dffd8,0x027fec40,0x44000000,0x5fe885fe,0x7fff5400,0x6ffb801e,
    0x403fff88,0x7ec06ffb,0x2000006f,0x0002fffa,0x47fff100,0x0000fff9,
    0x0009ff90,0x19980000,0x20003330,0x30000199,0xa8000033,0x266006ff,
    0x09880001,0x01100000,0x000ba800,0x8827fe40,0x4cc404ff,0x00099880,
    0x0000ccc0,0x00000ccc,0xff893ff2,0x01998004,0x00ccc000,0x00000000,
    0x09880000,0x413ff200,0x7fc04ffd,0x7ffc401f,0xff000001,0x8000007f,
    0x3fea5ffd,0x3f200007,0x0000004f,0x00000000,0x00000000,0x00dff500,
    0x00000000,0x00000000,0x9ff90000,0x00004cc0,0x00000000,0x20000000,
    0x26624ffc,0x00000000,0x00000000,0x00000000,0x27ff4000,0x2a03ffc8,
    0xffd006ff,0xf1000005,0x000000ff,0x7fc4dff7,0xf900003f,0x0000009f,
    0x00000000,0x00000000,0x01bfea00,0x00000000,0x00000000,0x3ff20000,
    0x00000004,0x00000000,0xfc800000,0x0000004f,0x00000000,0x2f3bf6e6,
    0x00000000,0x7fe40000,0x405ffd05,0xfb005ffb,0x765cc07f,0xa80cdefe,
    0x000006ff,0x7f46ffa8,0x40002eff,0x80184ffc,0x0bcefdb9,0xefdb9800,
    0xb98000bc,0x000bcefd,0xeefedca8,0x654401cd,0x6ffcceed,0xefedca80,
    0x95001cde,0x00179dfb,0x91003332,0x32a20099,0x001bdeed,0x00027fe4,
    0x91003332,0x32e60099,0x00cdefee,0xdfdd9730,0x9000019b,0xb88009ff,
    0x260bdfed,0x4400beec,0xcccccccc,0xffd88002,0x02ffffff,0x66666644,
    0x322002cc,0x2ccccccc,0x81fff700,0x3200effc,0xeeeeefff,0x4fffeeee,
    0xffffffd0,0xfb89ffff,0xc980005f,0xffffffed,0x7fffc46f,0xc8002dff,
    0x81baa4ff,0xffffffd8,0xfb1002ff,0x5fffffff,0x3fff6200,0x002fffff,
    0xffffffd3,0x7e407fff,0xffffffff,0x3ffa606f,0x3fffffff,0x7ffff4c0,
    0xf803ffff,0x7fcc01ff,0xffffb807,0x003fffff,0x00013ff2,0xf9803fff,
    0xfffe807f,0x4fffffff,0x7fffff40,0x004fffff,0x0027fe40,0xfffffff5,
    0xfffff71d,0x7ffcc03f,0x004fffff,0x677fff4c,0x204ffffe,0xfffffff9,
    0x3fe6004f,0x04ffffff,0x64bfff10,0x7ec01fff,0xffffffff,0x05ffffff,
    0xfddfffff,0x7e49ffff,0x3660004f,0xffffffff,0xfc886fff,0x04ffffff,
    0x3a73ff20,0xffd306ff,0xffffd9df,0xfffe9809,0x4ffffece,0x77fff4c0,
    0x04ffffec,0x777fffcc,0x983ffeee,0xfeeffffe,0xf306ffff,0xdddddfff,
    0x7fdc07ff,0xffffefff,0x0fffc05f,0x881ffe60,0xfefffffe,0x32003fff,
    0x7c0004ff,0x7fcc01ff,0xfffff807,0x4fffffee,0x3bffffe0,0x04fffffe,
    0x013ff200,0xfedfffa8,0xedffffff,0x3fe607ff,0x04ffffff,0x4077ff40,
    0xf301fffd,0x9fffffff,0x7fffcc00,0x2004ffff,0xffecfffb,0xfffd802f,
    0xeeeeeeee,0xbf03eeee,0xfffd3015,0x0013ff23,0x677fffcc,0x6ffdcccc,
    0x3fffae20,0xfc801eff,0x04ffffff,0xfb01dffd,0x7ff403ff,0x1fffd80e,
    0x203bffa0,0x3a01fffd,0x33100dff,0x815fffd0,0xfd06ffd9,0x066201bf,
    0x20efffd4,0x203fffe9,0x7cc01fff,0x3fffa07f,0x01ed441d,0x0009ff90,
    0x4c01fff8,0xadf807ff,0x1fffe980,0xd3015bf0,0x20003fff,0x2a004ffc,
    0x7fff4c1c,0x00bffa0f,0x4009ff90,0x7ec06ffb,0x7fe4006f,0xffc80004,
    0x7fff4004,0xf9001eff,0x0000009f,0xf93fff88,0x3fa0009f,0x3fea01ef,
    0xfff73006,0xffd801ff,0xf700cfff,0x6ffd80df,0xd80dff70,0xdff706ff,
    0x306ffd80,0x70001fff,0x7d401dff,0x0fff986f,0x13ffa000,0x201fffb0,
    0x7cc01fff,0x5fff707f,0xffc80000,0x7ffc0004,0x03ffcc01,0x3fff8800,
    0x3ffe2000,0x9ff90003,0x3fee0000,0x02ffd43f,0x8013ff20,0x7c401fff,
    0x3f2001ff,0xfc80004f,0x7fec004f,0x7dc004ff,0x0000006f,0xff95ffd8,
    0xfff30009,0x06ffa803,0x03fffb80,0x19ffffb3,0x401fff80,0xff81fff8,
    0x7ffc401f,0x401fff81,0xfa81fff8,0xff88007f,0x37fd401f,0x0003ffd4,
    0xf100fff7,0x3ffe07ff,0x43ffcc01,0x0004fff8,0x004ffc80,0x200fffc0,
    0x00007ff9,0x00017ff6,0x2000bffb,0x00004ffc,0xf881fff3,0x7fe4007f,
    0x0dff5004,0x800bffa0,0x80004ffc,0xd3004ffc,0x30dfffff,0xfffa8999,
    0x40000000,0x9ff96ffb,0x0fff5000,0x000dff70,0xfb313ff6,0x5009ffff,
    0x3fa00dff,0x037fd42f,0x7d42ffe8,0x5ffd006f,0x007fff10,0xa806ffa8,
    0xfff886ff,0x9ffb0003,0x417ff200,0x7cc01fff,0x0fffb87f,0xffc80000,
    0x7ffc0004,0x03ffcc01,0x0dff7000,0x06ffb800,0x009ff900,0xf83ffc00,
    0x7fe4007f,0x0bff7004,0x800fff60,0x80004ffc,0xf8804ffc,0x4fffceff,
    0x7f437fd4,0x0000005f,0xffcb7fd4,0x7ffb8004,0x037ffd40,0x364ffe80,
    0x4fffffff,0x005ffb80,0xffb87ffb,0x87ffb005,0xfb005ffb,0x3fffa07f,
    0x9ff9002e,0x20dff500,0x002efffe,0xa800fffc,0x3fff06ff,0xc87ff980,
    0x000005ff,0x80009ff9,0x7cc01fff,0x2a00007f,0x540006ff,0xf90006ff,
    0x7c00009f,0x01ffd06f,0x8027fe40,0xeeeefffc,0xfffeeeee,0x13ff2004,
    0x13ff2000,0x6c3bffa0,0x3ff23fff,0x0cfffa85,0xdb930000,0xdfffffff,
    0x20013ff2,0xd882fff9,0x0226ffff,0xf8bffea0,0x4ffc8cff,0xeefffc80,
    0xfeeeeeee,0x7ffe44ff,0xeeeeeeee,0x7e44fffe,0xeeeeeeff,0x04fffeee,
    0xbffffff1,0x01ffec05,0xf8837fd4,0x02dfffff,0x8007ffc4,0xfff07ff9,
    0x87ff9803,0x00003ffe,0x0009ff90,0x4c01fff8,0x326007ff,0xffffffed,
    0x76e4c06f,0x6fffffff,0x09ff9000,0xdddb9300,0xdddddfff,0x64001fff,
    0xffb004ff,0xffffffff,0x00bfffff,0x00027fe4,0x2a027fe4,0x3fa20fff,
    0x09ffb1ff,0x2f3ffffa,0x05edcaaa,0x3fffff66,0x96ffffff,0x3a0009ff,
    0xfdbadfff,0x326ffeff,0xdbabccef,0x67c6fffe,0x2013ff20,0xfffffffd,
    0xffffffff,0x7ffffec5,0xffffffff,0x7ffec5ff,0xffffffff,0x2205ffff,
    0xfffffffc,0x802ffe84,0x32206ffa,0x4fffffff,0x400fff30,0xff80fff8,
    0x3ffcc01f,0x00017ffc,0x004ffc80,0x200fffc0,0xd9807ff9,0xffffffff,
    0xfb306fff,0xffffffff,0x32000dff,0x7e4004ff,0xffffffff,0xffffffff,
    0x13ff2000,0x777ffec0,0xeeeeeeee,0x3f2003ee,0xfc80004f,0x2ffe404f,
    0x747fffcc,0x3ff203ff,0xffffffff,0xffff305f,0xfb99999d,0x013ff2df,
    0x7ffffd40,0xff8bffff,0x3fffff26,0x0dffffff,0x027fe404,0x7777ffec,
    0xeeeeeeee,0x77ffec3e,0xeeeeeeee,0x7fec3eee,0xeeeeeeef,0x803eeeee,
    0xfffffeb8,0x00bffe1e,0x2201bfea,0xefffffeb,0x007ffcc1,0xff07ff98,
    0x7ff9803f,0x0002fff8,0x009ff900,0x401fff80,0x7cc07ff9,0xccccefff,
    0xf986ffdc,0xccccefff,0x0006ffdc,0x5c009ff9,0xfcccffff,0xccccccff,
    0x7fe4004c,0x09ff9004,0xffc80000,0xffc80004,0x81ffec04,0xfffefffa,
    0x7ff6cc01,0x02dfffff,0x5403dffd,0x09ff96ff,0x7ffecc00,0xdff10dff,
    0x7fffff54,0x2002dfff,0xfc804ffc,0xfc80004f,0xfc80004f,0x8000004f,
    0x0fffffb9,0xf5007ffd,0xfb9800df,0x7fc0ffff,0xdff5001f,0x3007ffe0,
    0x7ffd0fff,0x3f200000,0x7fc0004f,0x3ffcc01f,0x807bffa0,0xffe86ffa,
    0x1bfea01e,0x027fe400,0xff07fff0,0xfc80000f,0xdff7004f,0xfc800000,
    0xfc80004f,0x1fff404f,0xdfffff90,0xdff73000,0x0fffcc01,0x7e5bfea0,
    0x3300004f,0x205ff701,0x0019a998,0x7009ff90,0x70000dff,0x70000dff,
    0x00000dff,0xb3fffb80,0xffb007ff,0x7fdc000d,0x017ffc3f,0xff05ffb8,
    0x7ffa803f,0x0005ffd8,0x009ff900,0x401fff80,0x3e607ffa,0x7fd401ff,
    0x00fffcc6,0x4001bfea,0xf3004ffc,0x01ffe0ff,0x09ff9000,0x003ffea0,
    0x4ffc8000,0x4ffc8000,0x2027fec0,0x003ffffd,0xa801ffb0,0xffb807ff,
    0x0009ff96,0x03ffa800,0xff900000,0x1fff5009,0xfffa8000,0x7fd40000,
    0x0000000f,0xffca7fec,0x37ffdc06,0x13ff6000,0x3a00bffb,0x7ffd03ff,
    0x43fff440,0x0000fffb,0x004ffc80,0x101fff40,0x7d40fffd,0x6ffb807f,
    0x5c03ffd4,0xf90006ff,0x3fea009f,0x001fff05,0x027fe400,0x000bffd0,
    0x027fe400,0x027fe400,0x8803fff2,0x8002ffff,0xfb803ffa,0x7ffd407f,
    0x0009ff96,0x007fe800,0x20007bb6,0xfd004ffc,0xfd0000bf,0xfd0000bf,
    0x000000bf,0xff34ffe8,0x3ffea01f,0x7f40006f,0x0fffd44f,0x403ffee0,
    0x3f605ffd,0xfff887ff,0xfc800005,0x7ec0004f,0x3fff605f,0x01ffee07,
    0xfb8dfff5,0x7ffd407f,0x9ff90006,0x217fea00,0x0003fffc,0x8013ff20,
    0x000cfffa,0x04ffc800,0x04ffc800,0x4077ffcc,0x0fffffe8,0x017fe400,
    0x4417ffcc,0xf96ffffd,0x4000009f,0x3e005ff9,0xff90007f,0x3ffea009,
    0x3ea0000c,0x20000cff,0x000cfffa,0x3ea00220,0x3bffa2ff,0x7ff7fdc0,
    0xfa800886,0xfffe82ff,0x07fff702,0x220fffe4,0x707ffffe,0x5401dfff,
    0x13ff2001,0x3fff9000,0x7ffffe88,0x20bffe60,0x46ffffd8,0xd882fff9,
    0x0006ffff,0x26009ff9,0x7ffdc7ff,0x900000ff,0xfe8009ff,0xaaabcfff,
    0x64005edc,0xc80004ff,0xffc804ff,0xffeccdff,0x006fffff,0x008effdc,
    0x2eb7fffa,0x6ffefffd,0x00009ff9,0x457ffc40,0x017fe600,0x0027fe40,
    0x579ffffd,0x40bdb955,0xabcffffe,0x205edcaa,0xabcffffe,0x905edcaa,
    0xb75799df,0xfb8dfffd,0xfffcceff,0xfc86ff8d,0xedbabcce,0xff306fff,
    0xfd959bff,0xff880dff,0xfffcbeff,0x3fa07ffb,0xdcccefff,0x3f2003ff,
    0x7c40004f,0xffcbefff,0x7407ffbf,0xfdbadfff,0xe86ffeff,0xfdbadfff,
    0x006ffeff,0x2009ff90,0xfdbefff8,0xacfffdcf,0x99703dba,0x9dffd999,
    0x64019999,0xffffffff,0x99705fff,0x9dffd999,0x97019999,0xdffd9999,
    0xd8199999,0xffffffff,0x5fffc9ef,0x3fffe200,0x3ffea02f,0x8bffffff,
    0x09ff96ff,0xffc80000,0x3fee06ff,0x66665c02,0xccceffec,0xfff900cc,
    0xffffffff,0xffffc80b,0x5fffffff,0x7ffffe40,0x05ffffff,0xfffffff9,
    0x901bffff,0xbfffffff,0x3f21bfe2,0xffffffff,0x3a600dff,0xffffffff,
    0xfff9004f,0x3e5fffff,0x3ff2207f,0xffffffff,0x3fff2003,0xeeeeeeee,
    0xfff901ee,0x3e5fffff,0x7ffd407f,0x8bffffff,0xfffa86ff,0x8bffffff,
    0x665c06ff,0xceffeccc,0xfb80cccc,0xd14fffff,0x7fffffff,0x3fffffa0,
    0xffffffff,0x7f6cc00f,0x2dffffff,0xffffffd0,0xffffffff,0xfffffd01,
    0xffffffff,0xfffb301f,0xffd85bff,0x3b26003f,0x7ecc02ff,0xf10dffff,
    0x013ff2df,0xfb710000,0x07fec0df,0x3fffffa0,0xffffffff,0x3fb6600f,
    0x2dffffff,0xfffed980,0x802dffff,0xfffffed9,0xfd502dff,0xbfffffff,
    0xfffeb805,0x21bfe23d,0xffffffea,0x32002dff,0x1deffffe,0x7fffd400,
    0x01ffe1df,0x3ffffb66,0x32000cef,0xffffffff,0x201fffff,0x1dfffffa,
    0x36601ffe,0x10dfffff,0x3f660dff,0xf10dffff,0xfffe80df,0xffffffff,
    0xff700fff,0xffd987df,0xfd01efff,0xffffffff,0x001fffff,0x80099a98,
    0xfffffffe,0x0fffffff,0xffffffe8,0xffffffff,0x0004c400,0x00044000,
    0x7e400266,0x0000004f,0x07970022,0xffffffd0,0xffffffff,0x4cd4c001,
    0x4d4c0000,0x54c00009,0x4c400099,0x880019a9,0x4c400009,0x800019a9,
    0x88000099,0x40000099,0x32000199,0xffffffff,0x801fffff,0x00000998,
    0x20000266,0x74000099,0xffffffff,0x00ffffff,0x4d4c00cc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4c000000,0x33330009,0x00013333,
    0x4cccc000,0x332a0000,0x33333300,0x79900133,0x03deeda8,0x26603330,
    0x6d43cc81,0x31003dee,0x33333333,0x00022000,0x00000ccc,0x00000044,
    0x3004cccc,0x00666033,0x04cccc00,0xb730b322,0x260019bf,0x20333019,
    0x80000998,0x44001aa9,0x35530099,0x40266200,0x31001aa9,0x6dd44013,
    0x05caacee,0x26aaa600,0x7f6dc400,0xccccccce,0x80054c01,0x76dcc3cc,
    0x320000bd,0x7cc03fff,0x3fffffff,0xfb000000,0xe80009ff,0xffff306f,
    0xf009ffff,0x3fffa2df,0x6401efff,0x27fec4ff,0xffe8b7fc,0x401effff,
    0xfffffffa,0x3aa001ff,0x01d83fff,0x00003fff,0x20ffffaa,0x7ec0001d,
    0x7fe404ff,0x0027fec4,0x427ffec0,0x3ff25ff9,0x801effff,0x7fec4ffc,
    0x009ff904,0xfffff980,0x0fff8803,0x01fffec4,0x2207ffc4,0x8803fffd,
    0xff900fff,0xffffffff,0xffd9800d,0x703fffff,0xffffffff,0x405fffff,
    0xf802fffb,0x3ffff66f,0xc8000eff,0x203fffff,0xfffffff9,0x8000003f,
    0x0002fffd,0xf9827fc4,0x4fffffff,0xff9fff80,0x6ffffeff,0xd8dffc80,
    0x3fff04ff,0xfffdffff,0xfffa80df,0x01ffffff,0xffffff50,0x20dfb55d,
    0x80001fff,0xeffffffa,0x0006fdaa,0x400bfff6,0xffd8dffc,0xffd80004,
    0x2bff302f,0xfffefffd,0xbff9006f,0x6409ffb1,0x4c0004ff,0x00fffeee,
    0xf9117fe4,0x9007ffff,0x7fe445ff,0xfc803fff,0xfffe882f,0xfffffeef,
    0x3ffee006,0x83ffffff,0xdbcefffc,0x2fffffff,0x01bfffe0,0x3ff63ffe,
    0x0fffffff,0x277ff200,0x55103ffe,0x07ffd555,0xffd80000,0xfb80001e,
    0x5555101f,0xf009ffd5,0x4c5fffff,0xc802fffd,0x204fffff,0x22ffffff,
    0x202fffd9,0x99999998,0xbff10019,0xffffff75,0x7ff7745f,0x06eeeeef,
    0x2eb7fe20,0x2fffffff,0x3dffb000,0xffffc800,0xfd80004f,0x3fe601ef,
    0x910cffee,0x32005fff,0x404fffff,0x00004ffc,0xf5017fec,0xdfff98bf,
    0x7fd403ff,0x7efffcc5,0x2ffd403f,0x4177ffc4,0x3006ffd9,0x5357ffff,
    0xfff98599,0x04ffe983,0x00dffff0,0x19ffdfff,0x013ffee2,0xfb127fe4,
    0x7fec007f,0x36000003,0x44000dff,0x6ffffdca,0x04ffc800,0x01fffff8,
    0x32009ffd,0x7fc04fff,0xffd01fff,0x40000009,0x7ffe4459,0x7ffffc2e,
    0x07ffffff,0x3f222cc0,0xb0002eff,0x20001bff,0x0004fffc,0x400dffd8,
    0x02fffff9,0x6400bffb,0xfc804fff,0x9880004f,0xd100ffe9,0x719b01ff,
    0x7f4407ff,0xfb8cd80f,0x3ffa203f,0x00effb80,0x7401bfea,0x36000eff,
    0x3fe605ff,0xfffc800f,0xfffff803,0x01fff702,0x26603330,0x0fff6001,
    0x19980000,0xffffa800,0x004fffff,0x7c027fe4,0x3ee01fff,0x0666005f,
    0x807fffe0,0x00005ffb,0x40220000,0xeefffeee,0x00006eee,0x26000044,
    0x99800019,0x33300001,0x3fffe600,0x01bfea02,0x32003330,0xd80004ff,
    0x3202ffff,0xffb803ff,0x00fff203,0xfc80ffee,0x2fff883f,0x4037fd40,
    0x4001fff8,0x7fc02ffe,0x0595002f,0x807fffe0,0x0002fff8,0x7ffb0000,
    0x00000000,0xdfffff90,0x00bfffff,0x7c027fe4,0x7fd402ff,0xff000006,
    0x6ffa805f,0x00000000,0x01fff800,0x00000000,0x00000000,0xf9800000,
    0x7fcc03ff,0x64000007,0xd80004ff,0x983fffff,0xff7005ff,0x017fe607,
    0xf981ffdc,0x0dff705f,0x300dff50,0xff000fff,0x2ffe803f,0xfff00000,
    0x09ffb007,0x36000000,0x000003ff,0x7ffd4000,0x3ffffa0c,0x9ff9004f,
    0x803fff00,0x00007ff9,0x9803fff0,0xdca807ff,0x0000bcef,0x1fff8000,
    0x00000000,0x00000000,0x98000000,0xaa8807ff,0x64000002,0x200004ff,
    0xfe86ffb8,0x7ff7000f,0x4003ffa0,0xffd03ffb,0x013ff201,0x2e01bfea,
    0xff8006ff,0x0fffc02f,0xfff80000,0x04ffc801,0x33333322,0xfb0002cc,
    0x9100007f,0x59999999,0x10fffe00,0x1fffb7ff,0x009ff900,0xf9803fff,
    0x543cc87f,0xff03deed,0x7ff9803f,0x3ffffa60,0xc803ffff,0x6f76d43c,
    0x00fffc03,0x33332200,0x2002cccc,0x776d43cc,0x6665403d,0xcccccccc,
    0x599101cc,0x0cdfdb98,0x0007ff98,0xb9859910,0xfc80cdfd,0x6664c04f,
    0x23ffd403,0x2e003ffc,0x3ffc83ff,0x20ffee00,0x3f603ffc,0x6ffa803f,
    0x005ffb80,0x2a05ffe8,0xccc887ff,0x802ccccc,0xfb801fff,0x3ffe605f,
    0x004fffff,0x0007ffb0,0xffffff30,0xff7009ff,0xf13ff70d,0xff9007ff,
    0x03fff009,0xff87ff98,0xfffffd16,0x1fff83df,0xb83ffcc0,0xffefffff,
    0x7fc05fff,0xfffffd16,0x3ffe03df,0x33bffae0,0x3fffe600,0x2004ffff,
    0xfffd16ff,0x3603dfff,0xffffffff,0x303fffff,0x7ffe4bff,0x7cc1efff,
    0xf300007f,0x7fffe4bf,0x7fe41eff,0x3fffe604,0x7fee6d40,0x01bfe64f,
    0xf987ff70,0x7fdc006f,0x2037fcc3,0xfa802ffe,0x5ffb806f,0x3fffa800,
    0x984fff98,0xffffffff,0x01fff804,0x2606ffb8,0xffffffff,0x7ffb0004,
    0xfff30000,0x009fffff,0xdfd07ffd,0x64037fe4,0xfff804ff,0x43ffcc01,
    0xffff9fff,0x7c6ffffe,0x7fcc01ff,0x1dfffa87,0x01ffff4c,0xffff3fff,
    0x20dffffd,0xffe98fff,0x301effff,0xffffffff,0x4fffc009,0xfffeffff,
    0xffffb06f,0xffffffff,0x57fe607f,0xfffefffd,0x03ffcc6f,0xb5ff9800,
    0xffffdfff,0x104ffc8d,0xf501dfff,0xfe8bffff,0x7fdc001f,0x000fff43,
    0xffd0ffee,0x02fff803,0xb806ffa8,0xfd0005ff,0xffd99dff,0x3ffe60df,
    0x804fffff,0xfb801fff,0xffc8005f,0x7ffb0004,0x7e400000,0x0fff804f,
    0xff527fc4,0x09ff900f,0x9803fff0,0xffff87ff,0x3ff662ff,0x007ffe2f,
    0xffd0fff3,0x0fffd809,0x5ffffff0,0x417ffecc,0xefffafff,0x006ffffe,
    0xf0027fe4,0x4c5fffff,0x0002fffd,0x4c03bff6,0x0cffeeff,0x4c5fff91,
    0x300007ff,0x19ffddff,0xc8bfff22,0xfff884ff,0x5997100e,0x004ffb81,
    0x3ee1aa88,0xaa88004f,0x2013fee1,0xfa803ffe,0x3fffee6f,0xffffffff,
    0xfa87ffff,0xffffffff,0x7e4000cf,0x1fff804f,0x003ffc80,0x0004ffc8,
    0xa8807ffb,0x4ffc8000,0x5c3ffc40,0x3ffe61ff,0x027fe400,0x2600fffc,
    0xffff87ff,0x49ffd01f,0x7cc01fff,0x03ffdc7f,0xf81fffc4,0xfd01ffff,
    0xfffff09f,0x7ffe445f,0x13ff2002,0x1fffff80,0x0009ffd0,0x9807ffee,
    0xb02fffff,0x3ffccbff,0xfff98000,0xbffb02ff,0x3e227fe4,0x20000eff,
    0x00006ff8,0x0001bfe2,0xb006ff88,0xffb007ff,0x7ffffdcd,0xffffffff,
    0xfff87fff,0x1bceedb9,0x09ff9000,0xb003fff0,0xf90005ff,0x3f60009f,
    0x3fff203f,0x27fe4003,0x3a1ffe60,0x07ffc46f,0x2013ff20,0x7cc01fff,
    0x1ffff87f,0xff97fee0,0x3ffcc01f,0x64013ff6,0xffff05ff,0x42ffdc03,
    0xf01effff,0x7e4009ff,0x3ffe004f,0x17fee01f,0x0bffe600,0x05ffff30,
    0xff337fd4,0x3e60000f,0x3ea02fff,0x893ff26f,0x0000effe,0x0000fff4,
    0x0003ffd0,0x800fff40,0x7dc06ffc,0x3bbaa6ff,0xeefffeee,0x4c5eeeee,
    0x000004ff,0xff009ff9,0xfff9803f,0x4ffc8001,0x07ffb000,0x07ffffe6,
    0x404ffc80,0x7fc47ff9,0x403ffc44,0xff804ffc,0x3ffcc01f,0x2a017ffc,
    0x07ffe6ff,0xff8fff30,0xdff5001f,0x500bffe0,0xffff0dff,0x02ffe403,
    0x4009ff90,0x7d402fff,0x7fc4006f,0xfff9804f,0x33ffcc03,0x20000fff,
    0x4c03fff9,0x53ff27ff,0x000effe8,0x0027fdc0,0x009ff700,0x027fdc00,
    0x201fff50,0x806ffffa,0x5c005ffb,0x000006ff,0xff009ff9,0x5ffd803f,
    0x09ff9000,0x40fff600,0x03fffffc,0x1013ff20,0x7fdc3fff,0x4037fcc1,
    0xff804ffc,0x3ffcc01f,0x2600fffc,0x07ffe7ff,0x7c4fff30,0xff3000ff,
    0x007ffe0f,0xfff0fff3,0x06ffa805,0x8013ff20,0x7cc01fff,0x7ff4007f,
    0x0fff3006,0x7cc55510,0xf300007f,0x555100ff,0x7f467fe4,0x440000ef,
    0x200006ff,0x00006ff8,0x2001bfe2,0xffb86ffe,0xfb806ffe,0x7fd4005f,
    0x19999bdf,0x13ff2000,0x4407ffe0,0x0000fffd,0x20009ff9,0xff703ffd,
    0x64005fff,0xfff804ff,0x3ee1bfa2,0x4ffc805f,0x401fff80,0xfff87ff9,
    0xf3ffcc01,0xff9803ff,0x801ffe67,0xff80fff8,0x3ffcc01f,0x2600fffc,
    0x3f2007ff,0x3ffe004f,0x03ffcc01,0x001fff90,0x8001ffe6,0x00007ff9,
    0x4000fff3,0xeffedffc,0xffd80000,0x03333221,0x2a1ffd80,0x6c003ded,
    0x333221ff,0xefffb80c,0xfadfffcc,0x5ffb806f,0xffffe800,0xdeffffff,
    0x13ff2001,0x337fffe0,0x2ffffdba,0x13ff2000,0x81ffec00,0x006ffff8,
    0x6c027fe4,0x09ff14ff,0xf9009ffd,0x3fff009f,0xf87ff980,0x7fcc01ff,
    0x3007ffe7,0x7ffccfff,0x0fff3000,0xf3007ffe,0x03fff0ff,0x2007ff98,
    0x3e004ffc,0x7fcc01ff,0x5fff5007,0x03ffcc00,0x00fff300,0x01ffe600,
    0xfedffc80,0x540000ef,0x7ffec4ff,0x9ff5001f,0x3fffffa2,0x89ff5006,
    0x901ffffd,0xbfffffff,0x2e01bfea,0xe88005ff,0xffffffff,0x9005ffff,
    0xfff009ff,0xffffffff,0xfc80003d,0xffb0004f,0x06764407,0x013ff200,
    0x3eebffea,0x07ffd41f,0x4027fe40,0x7cc01fff,0x01fff87f,0xfff3ffcc,
    0x47ff9803,0xf5001fff,0x07ffe0df,0xff0fff30,0x7ff9803f,0x013ff200,
    0x4c01fff8,0xff9807ff,0x7fcc004f,0x3fe60007,0xff300007,0x7fe4000f,
    0x00efff8c,0x41fff100,0x01fffffa,0x360fff88,0x02ffebcf,0xf507ffc4,
    0x5c03ffff,0x2a3dfffe,0xffb806ff,0xfffb8005,0xffdccccc,0xfc804fff,
    0xefff804f,0x03dfffff,0x09ff9000,0x00fff600,0x4ffc8000,0xfdfffd00,
    0x03fffa8d,0x0009ff90,0x1fff8000,0x003ffcc0,0x7fc6ffa8,0xbff7002f,
    0x3007ffe0,0x3fff0fff,0x007ff980,0xf8013ff2,0x7fcc01ff,0x2fff4407,
    0x03ffcc00,0x20000000,0x20007ff9,0xfff34ffc,0x3ff6000b,0x3efbfa22,
    0x2ffd801f,0x09ff30c4,0x3a22ffd8,0x801ffbef,0x6ffa8098,0x005ffb80,
    0x2007ffdc,0xc807ffe9,0xfff804ff,0x00001331,0x0009ff90,0x0000fff6,
    0x004ffc80,0x5bfffff3,0x00dfffb9,0x00027fe4,0x07ffe000,0x000fff30,
    0xffb13fee,0x0fffa00b,0x2600fffc,0x1fff87ff,0x003ffcc0,0x7c009ff9,
    0x7fcc01ff,0x07ffec07,0x03ffcc00,0x20000000,0x20007ff9,0x3fea4ffc,
    0x7fd4005f,0x7dcffe45,0x2ffd401f,0x501ffd40,0x9ffc8bff,0x40001ffb,
    0xfb806ffa,0x7ff4005f,0x3fff5002,0x804ffc80,0x00001fff,0x004ffc80,
    0x0007ffb0,0x027fe400,0xfffffd30,0x8009ffff,0x20004ffc,0xff001eed,
    0x7ff9803f,0x87ffb000,0x5c01fffa,0xfff00fff,0x87ff9803,0x7cc01fff,
    0x3ff2007f,0x07ffe004,0x5c0fff30,0x30001fff,0x00000fff,0x98003ddb,
    0x320007ff,0x7ffdc4ff,0x1fff1004,0xffb9ffcc,0x03ffe201,0x201fff30,
    0x3e60fff8,0x003ff73f,0x806ffa80,0x22005ffb,0xf3001fff,0xffc801ff,
    0x01fff804,0xffc80000,0x7ffb0004,0x7e400000,0x7fc4004f,0x02dfffff,
    0x004ffc80,0xf801ffe0,0x7fcc01ff,0xfffa8007,0x02fffe81,0x7c07fff7,
    0x7fcc01ff,0x401fff87,0x32007ff9,0x3fe004ff,0x3ffcc01f,0x003fff98,
    0x001ffe60,0x001ffe00,0x8001ffe6,0xffc84ffc,0x2ffc804f,0x7e4cfff4,
    0x5ff901bf,0x01fffa80,0xffd0bff2,0x037ff933,0x037fd400,0x1002ffdc,
    0x36007fff,0xffc806ff,0x01fff804,0xffc80000,0x7ffb0004,0x7e400000,
    0x7fc4004f,0x4000099c,0x30004ffc,0x7fc00bff,0x3ffcc01f,0x9fff7100,
    0x37fffe60,0x6fffecac,0x200fffc0,0xfff87ff9,0x03ffcc01,0x4009ff90,
    0x7cc01fff,0x5fff887f,0x3ffcc000,0x3fe60000,0x7ff98005,0x13ff2000,
    0x301fffec,0xffff0bff,0x30ffffff,0xffc80bff,0x17fe600e,0x3ffffffe,
    0x2a0007ff,0xffb806ff,0x7fff4005,0xffd9809b,0x4ffc802f,0x001fff80,
    0x33332e00,0xccceffec,0x999990cc,0x999bfff9,0xccb80099,0xceffeccc,
    0xf700cccc,0x9970003f,0x9dffd999,0xb8019999,0x3fe002ff,0x3ffcc01f,
    0xeffffb80,0x3fffa600,0x04ffffff,0x4c01fff8,0x1fff87ff,0x5c3ffcc0,
    0xffeccccc,0x80ccccce,0x7cc01fff,0xefffd87f,0xeeeeeeee,0x0fff306e,
    0x2ffb8000,0x07ff9800,0x813ff200,0xfd02fffe,0xfffff01f,0xfd0fffff,
    0x77fec01f,0xffe82aab,0xffffff80,0x20007fff,0xfb806ffa,0x7fcc005f,
    0xffefffff,0x65c3ffff,0xeffecccc,0x3e0ccccc,0x200001ff,0xfffffffe,
    0x0fffffff,0xffffffff,0x0fffffff,0xfffffe80,0xffffffff,0x00dfd00f,
    0x3fffffa0,0xffffffff,0x07fec00f,0x803fff00,0xf7007ff9,0x764009ff,
    0x01deffff,0x9803fff0,0x1fff87ff,0x743ffcc0,0xffffffff,0x80ffffff,
    0x7cc01fff,0xfffff87f,0xffffffff,0x0fff307f,0x0ffd8000,0x07ff9800,
    0x813ff200,0x642fffe8,0x3ee003ff,0x03ffc81f,0x3fffffe2,0x01ffe47f,
    0x0003ff70,0xb806ffa8,0xd98005ff,0xffffffff,0xffe81dff,0xffffffff,
    0x3fe0ffff,0x3a00001f,0xffffffff,0xf0ffffff,0xffffffff,0x00ffffff,
    0xffffffe8,0xffffffff,0x003ff880,0xffffffd0,0xffffffff,0x003cb801,
    0x2600fffc,0x795007ff,0x04cc0003,0x00fffc00,0x3fe1ffe6,0x3ffcc01f,
    0x7ffffff4,0xffffffff,0x401fff80,0xfff87ff9,0xffffffff,0xff307fff,
    0xcb80000f,0xfff30003,0x27fe4000,0x47fffe60,0x5c006ff9,0x37fcc1ff,
    0x3ffffe20,0x1bfe67ff,0x003ff700,0x803cc980,0x20005ffb,0xbcddcca8,
    0x3fffa00a,0xffffffff,0x33320fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x33320000,0x01665400,0x50004cc0,0x64400999,0x2a2001cc,
    0x33310000,0x20333333,0x64400ccc,0x4cc0004c,0x00ccc099,0x79531000,
    0x7ec40035,0xcba9800d,0x99980aac,0x01331000,0x35557310,0x00333333,
    0x0aabba88,0x35997510,0x00999801,0x00013310,0x33303331,0x33333333,
    0x33333013,0x03333333,0x006aea20,0x03595100,0x26666200,0x80019999,
    0x22000029,0x8001aaba,0x0000aba8,0x33100298,0x33333333,0x83333333,
    0x3fe0dfd8,0x2ffdc01f,0x0ffff200,0x017ffd40,0x000fffa8,0x0003fff5,
    0xfffffff5,0x3fff03ff,0x007ff980,0x213fff60,0x40001fff,0xffffffd8,
    0xffe802ef,0xfff9106f,0x8dffffff,0xf5002fff,0x7ff540df,0xffffffff,
    0x75401fff,0xffffffff,0xffffd32d,0x203bffff,0xf7002fff,0xfdb500df,
    0x7cc1ffff,0xffffffff,0x7fcc5fff,0xffffffff,0x3fae01ff,0x003fffff,
    0x7fffffdc,0x3ea000df,0xffffffff,0x09ff7001,0xfffd9800,0x01dfffff,
    0x3ffffb22,0x5c000cef,0xff5004ff,0xffffffff,0x3fffffff,0xff37fff4,
    0x5ffb803f,0x3ffff200,0xbffd003f,0x017ff600,0x005fffe8,0xffffffa8,
    0xfff81fff,0x03ffcc01,0x02fffd80,0x40003fff,0xfffffffb,0x2604ffff,
    0x541fffff,0xffffffff,0x7ffc7fff,0x0dff5002,0x3fffffee,0xffffffff,
    0x3fff201f,0xffffffff,0xffffff34,0xf07fffff,0x3ee005ff,0x3ffae06f,
    0x20ffffff,0xfffffff9,0x4c5fffff,0xffffffff,0xf901ffff,0xffffffff,
    0xfffb100b,0x3fffffff,0x3fffea00,0x001fffff,0x40009ff9,0xfffffffb,
    0xd303ffff,0xffffffff,0x7e4003df,0x59f5004f,0x55555555,0x23fb5555,
    0xf1fffff9,0xffb803ff,0x3bff9005,0xf7007ffd,0xff8801ff,0x3ffe002f,
    0x9988006f,0x01999999,0xf9803fff,0xffd8007f,0x07ffe01e,0x77ffcc00,
    0xffeca9ac,0xffff303f,0x7fffcc1f,0xecaa9aac,0x8017ffc7,0xffd86ffa,
    0xfff99bef,0x80aaaaab,0xceffffe9,0x34ffdcbb,0x953357bf,0xff83ffff,
    0xdff7002f,0x3fffff60,0x7cc4ccde,0xccccccef,0x66443ccc,0xfccccccc,
    0xfffd81ff,0xfffda9bd,0x3fffa206,0xfffecace,0x9998802f,0x00199999,
    0x20013ff2,0xceffffd8,0x83ffdcba,0x10acfffa,0x005fffb5,0x54013ff2,
    0x3f70002f,0x43ffffe6,0x7dc01fff,0x4ffc805f,0x100fff62,0xfb807fff,
    0x7fdc007f,0x0000002f,0x2600fffc,0x7ec007ff,0x7ffc00df,0xdffd0001,
    0x206ffd80,0x7f45fffe,0xff8000ef,0xdff5002f,0xf83fff98,0xff1000ff,
    0x3b880bff,0x13ffe600,0x2e005fff,0xfffd86ff,0xbff3001d,0x7c400000,
    0x7ffd41ff,0x05fff703,0x540bfff2,0x00006fff,0x04ffc800,0x0efffd80,
    0xff30ae20,0xfffb805f,0x04ffc800,0x67545f50,0xe87ee02b,0x3ffe5fff,
    0x02ffdc01,0x19980ccc,0x406ffd80,0xa8004ffe,0x0000001b,0x4c01fff8,
    0x4cc007ff,0x03fff001,0x00fffe00,0xcb80fff5,0x007ffcc3,0x002fff80,
    0xffd8dff5,0x001fff04,0x000ffff2,0x46ffc800,0xf7002fff,0x2fffb8df,
    0x02ffcc00,0xfff10000,0x404ffe83,0xff886ffc,0x7ffd403f,0x40000002,
    0x4c004ffc,0x20004fff,0xf5001ffd,0x9ff900bf,0xfb8bea00,0xfb82efff,
    0x3fe1e5c1,0x2ffdc01f,0x2a000000,0xff101fff,0x0000003f,0xfff80000,
    0x03ffcc01,0x3ffe0000,0xfff98001,0x03ffcc00,0x006ffb80,0x400bffe0,
    0x3fe66ffa,0x003ffe07,0x000fffe2,0x8fff5000,0xf7002fff,0x17ffc4df,
    0x02ffcc00,0xfff10000,0x007ffcc3,0xfb07ffe2,0x3ff600bf,0x2e000006,
    0xeffecccc,0x4ccccccc,0x00037fec,0x26609ff5,0x970ffec0,0x9dffd999,
    0x29999999,0x754c42fa,0x00fdc3ff,0x5c01fff8,0x000005ff,0x704fff80,
    0x00000dff,0x400ccc80,0x3ffe4cc8,0x03ffcc01,0x3ffe0000,0x5fff0001,
    0x005ffc80,0x000fff90,0xa8017ffc,0x17ff66ff,0xd800fff8,0x00000fff,
    0x3e2ffdc0,0xff7002ff,0x0027fdcd,0x0005ff98,0x87ffe200,0xe8805ffc,
    0x3ffe24ff,0x3fff5002,0x99999910,0xffe80599,0xffffffff,0x2a7fffff,
    0x20002fff,0x7fe40ffe,0xbff31eff,0x7ffffff4,0xffffffff,0xb805f57f,
    0x007ee1ff,0x2e00fffc,0x1e6445ff,0x80ccc800,0xffd07ffc,0xcccca807,
    0xcccccccc,0x03fff01c,0x3fe7ff98,0x3ffcc01f,0xcccccca8,0x1ccccccc,
    0xdb50fffc,0x3ff207bd,0x0bffe00e,0x1fffd400,0x02fff800,0x7f4dff50,
    0x03ffe02f,0x000fffe0,0x0bff2000,0x2e005fff,0x07ffa6ff,0x02ffcc00,
    0xfff10000,0x2017ff43,0x2a5fffe9,0xf1000fff,0xfff305ff,0x809fffff,
    0xfffffffe,0xffffffff,0x001bff27,0x7f44ff88,0x3a1fffff,0x3ffffa7f,
    0xffffffff,0x05f57fff,0x0fdc9fd0,0x401fff80,0x7fc45ffb,0x7ff88007,
    0x985fff10,0x7ec00fff,0xffffffff,0xff03ffff,0x7ff9803f,0xf3007ffe,
    0x3fff60ff,0xffffffff,0x47ffc3ff,0xffffffe8,0x77ffcc0e,0x07fff4c1,
    0xffff8800,0x2fff8003,0x7cdff500,0x3ffe00ff,0x07ffcc00,0x3e600000,
    0x17ffc0ff,0xf16ffb80,0x7cc000ff,0x2000005f,0x3fe1fff8,0x3ffee01f,
    0x1bfee6ff,0x307ffd00,0xffffffff,0x9ff90009,0x027fec00,0x5c5ff300,
    0x1b88beff,0xfc803fee,0x05f5004f,0x0fdcbf90,0x401fff80,0xfff85ffb,
    0x3ffcc000,0xfc8bffb0,0xfffd805f,0xffffffff,0x3fff03ff,0x3e7ff980,
    0x7fcc01ff,0xfffffb07,0xffffffff,0xff9fff87,0x6ffffeff,0x9dffffa8,
    0x000efffc,0x77fffd40,0x0bffe002,0xf8b7fd40,0x3ffe00ff,0x03ffd400,
    0x3fee0000,0x02fff81f,0x3eadff70,0xddd9715f,0x3bfe6079,0x001abccc,
    0x11fff880,0xfb101fff,0x64fffdff,0x7ec005ff,0x3ff2004f,0x4ffc8004,
    0x00fffa00,0x3e1ffa80,0x7fd400ff,0x013ff202,0x7f4017d4,0x7c007ee4,
    0x7fdc01ff,0x001ffe85,0xf502ffd4,0x17ff41ff,0xdffb0000,0x007ffe01,
    0x7ffcfff3,0x03ffcc01,0x03bff600,0x47ffffff,0x982fffd9,0xfffffffe,
    0x3ee00004,0x00cfffff,0xa8017ffc,0x0fff36ff,0xfffffff8,0x41bfee6f,
    0xccccccc9,0xfffeed83,0x5fff00ef,0x5dbfee00,0xffffdeff,0x4c2effff,
    0xffffffff,0x220003ef,0xfff31fff,0x17ffff30,0x3ff61fff,0x2ffec004,
    0x009ff900,0x4009ff90,0x20002fff,0xbff30ffc,0x407ff300,0xf5004ffc,
    0x0ffdc405,0x3fe003f7,0x2ffdc01f,0x20017fec,0x7fc04ffa,0x00fff33f,
    0x0fffdc00,0x9803fff0,0x07ffe7ff,0x000fff50,0x7c0fffdc,0xff01ffff,
    0x3ffe209f,0x0001efff,0x7fffec40,0xfff01dff,0x5bfea005,0x7fc06ffa,
    0x26ffffff,0xff705ffc,0xf0bfffff,0x5bffffff,0x400bffe0,0xfff96ffb,
    0xffbbdfff,0x7fcc5fff,0xffffffff,0xf88000ef,0x8fff51ff,0x3e1ffffb,
    0x07ffd1ff,0x006ffc80,0x20013ff2,0xf1004ffc,0x6c0003ff,0x00ffea7f,
    0xfc813fe2,0x85f5004f,0x43fffff9,0xfff001fb,0x2fffc407,0x7f41ffe4,
    0x403ffb85,0x9ffb6ffc,0x3fe60000,0x0fffc02f,0xfe9ffe60,0x3ffa203f,
    0xfff30007,0x07fffe05,0xe885ffd8,0xffffffff,0x0cfe9804,0x7fffe4c0,
    0x2fff84ff,0x2adff500,0x7ffc07ff,0x365eeeee,0xfff705ff,0xdb0bffff,
    0xdfffffdd,0x002fff81,0x3ff2dff7,0xffa80aef,0x266660ff,0xffffca99,
    0x7fc4000e,0x22dff31f,0x7c0dfffd,0x07ffd0ff,0x005ffc80,0x20013ff2,
    0xf3004ffc,0x6c0003ff,0x00ffea7f,0xfc813fe2,0x85f5004f,0xb81cdff9,
    0x3e05441f,0xffd105ff,0x89ff70bf,0x7e40fff9,0x7ffc402f,0x0001fff9,
    0x804fff88,0x7cc01fff,0x817ff67f,0x8007fffd,0x3e04fff8,0x7fdc02ff,
    0x577ffcc6,0x05ffffc8,0x802ffffc,0x6ffffeb8,0xa8017ffc,0x0fff36ff,
    0x6400fff8,0x333106ff,0x200bff93,0x20ffffc9,0xf7002fff,0x017ff6df,
    0x000fffe6,0x8005fffb,0xff31fff8,0x07ffff5f,0x3f61fff1,0x7fec004f,
    0x13ff2004,0x3fffffe0,0xffffffff,0x00bffe26,0xf30ffb80,0x7ff300df,
    0x8027fe40,0x02fcc2fa,0xfffb87ee,0x10bfffe2,0x81fffffd,0x7fe45ff9,
    0x00ffec2f,0x37ff7fec,0x6ffe8000,0x803fff00,0x3ff27ff9,0x7fff441f,
    0xffe8007f,0x00fffc06,0xffa9ffe6,0xfffe985f,0xfffff104,0xfffa8003,
    0x00bffe4f,0xff8b7fd4,0x03ffe00f,0x400fff70,0x4c005ffb,0x3ffe5fff,
    0x2dff7002,0xfb005ffc,0xffd000bf,0xfff88009,0xffffff11,0x9ffe603d,
    0x6c005ffc,0x3f2003ff,0xffff804f,0xffffffff,0x1fffc6ff,0x23ff5000,
    0x5400fff8,0x3ff201ff,0x985f5004,0x88fdc05f,0xff0fffff,0xff97dfff,
    0x49dfff3f,0x7ff46ff8,0x007ff45f,0x1fffffd4,0x7ffe4000,0x03fff000,
    0x3e27ff98,0xffcbefff,0x4007ffbf,0x7c00fffc,0x7fcc01ff,0x8813ffa7,
    0xff00fffe,0x10007fff,0x3fe1fffd,0xdff5002f,0xf803ffe2,0x7fd400ff,
    0x17fee007,0xf9ffee00,0xff7002ff,0x401bfeed,0xc8006ffb,0x7c4006ff,
    0x3fffe1ff,0x3fea00df,0x001bff26,0x64005ffd,0xccc804ff,0xccceffec,
    0x7ff43ccc,0x3fe60004,0x2b7fff23,0x03fee1db,0x5004ffc8,0x404e885f,
    0xffff51fb,0x3ffffe3f,0xf72fffff,0x27ff8fff,0x20ffeff9,0x3fe007ff,
    0xa80007ff,0x3e002fff,0x7fcc01ff,0x7ffffe47,0x0fff2fff,0x017ffd40,
    0x2600fffc,0x1fff37ff,0x03fff980,0x007ffff5,0x7c7ffea0,0xff7002ff,
    0xf017ffcb,0xff8801ff,0xbff7002f,0x1fff3000,0x5c00bffe,0x0dff56ff,
    0x001ffea0,0x1001ffea,0x7ff43fff,0x5ffb803f,0x4003ffee,0x2001fff9,
    0xc8004ffc,0x3f6004ff,0x3e20006f,0x3fffa26f,0x1ffa1fff,0x2009ff90,
    0xf70002fa,0x3ffffe23,0xfff3fff0,0x7ffc81bf,0xffb87ff4,0xbff13ffa,
    0x1fffe400,0x3ffe6000,0x0fffc004,0x2a1ffe60,0x21dfffff,0xff3007ff,
    0x3ffe009f,0xbbffcc01,0xffd005ff,0x17ffec09,0x27fff000,0xf9003ffd,
    0x02ffec9f,0xff001fff,0x3fee00df,0x7ff98005,0x5c00bffe,0x0fff36ff,
    0x0017fee0,0x30017ff2,0x7fec1fff,0x47ffd005,0x9002fff9,0xfc800fff,
    0xffc8004f,0x3ffee004,0x3ff60002,0x677ff641,0xc809ff50,0x5f5004ff,
    0x7dc01b88,0xf8bffee1,0x1002627f,0xfd1ffd81,0x7fcdbfeb,0x3fff2004,
    0x3fa20000,0xfff8005f,0x03ffd401,0xffa81331,0x5ffe8803,0x007ffe00,
    0x3ff6fff3,0x09ffd005,0x000fffdc,0xf91fff88,0x3ffa00bf,0x403ffea2,
    0xfa800fff,0xffb802ff,0x6ffb8005,0x6400bffe,0x5fff15ff,0x009ffb00,
    0x8009ffd0,0x7fcc7ffa,0x7ffcc00f,0x802fff40,0x64003fff,0xfb8004ff,
    0x3fe2005f,0x3e60006f,0x7ff4005f,0x02ffdc00,0x7fec2fa8,0x3107ee00,
    0x000fff81,0xf8affc80,0xf51ff92f,0x3fe2007f,0x7ec0004f,0xfe8000ff,
    0x3ffa203f,0x4ff98007,0x01fffb00,0x200fffc0,0xfff77ff9,0x2fff8801,
    0x001bff60,0x3ee7ffb8,0x7fd400ff,0x82fffc0f,0xfd000fff,0xffb805ff,
    0x7ffc4005,0x400bffe4,0x3ff23ffe,0x0fffcc05,0x87fff200,0x85ffe800,
    0x7f405ffe,0x3fffa84f,0x0037fec0,0x40027fe4,0x2000fffa,0x000dfffb,
    0x2007ffb0,0xfa804ffb,0x2fa800ff,0xf700ffec,0x07ffe003,0x2ffee000,
    0x2ffe67fb,0xfb002ffb,0x5c0001ff,0xb0001fff,0x7fec0bff,0xffe8007f,
    0x1fffb800,0x00fffc00,0x7fcdffe6,0xffd100ef,0x3ffea01f,0x71002ae2,
    0xffe8bfff,0x7fff501e,0xf0bfff70,0x3e6001ff,0xf700bfff,0x7f5400bf,
    0x017ffc6f,0x887fff22,0xfd104fff,0x7e4400bf,0x817643ff,0xfa81fffc,
    0xfffb04ff,0x0ffffa03,0x00bfff22,0x0013ff20,0x0017ffe2,0x405dfffd,
    0x7ffcc3d9,0x07ffec04,0x02fffc40,0x0b2217d4,0x3e003f70,0x980001ff,
    0x7c5fecff,0x801ffcef,0x0002fffc,0x000fffe6,0x441fffc8,0x007ffffe,
    0x4c037fc4,0xf8003fff,0x7fcc01ff,0x37ffff27,0xffffdcac,0x3ff6e622,
    0x777ffc4f,0xfffedccd,0xffffa86f,0xfffecacd,0xffffb106,0xddfff97b,
    0xf703dddd,0x99bfffff,0x376bfffd,0xfedcbbcc,0x7ffc0fff,0x3f737e22,
    0xffd84fff,0xffcbacef,0x333720ff,0xffffecbb,0xcefffc84,0x205ffffd,
    0xdbcefffd,0x2602ffff,0xecdfffff,0x0005ffff,0x20009ff9,0xbbcffffc,
    0xffe986dc,0xfeddefff,0xffe983ff,0xfeca9ace,0x3f2000ef,0xdcbbcfff,
    0x20005f56,0xfff001fb,0xff100003,0xffc85ffd,0x4cc40ffe,0x004fffea,
    0x017ffe20,0xdffff100,0xff7fff97,0x5fff000f,0xbfff1011,0x07ffe000,
    0xfd8fff30,0xffffffff,0x7ffd42ff,0xffff83ff,0xffffffff,0xfff700df,
    0xbfffffff,0xffffc801,0xffffffff,0xfd301fff,0xffffffff,0x3fffebff,
    0xcfffffff,0x222fff80,0xdfffffff,0xfffff900,0xd81bffff,0xffffffff,
    0xfff902ef,0x09ffffff,0xffffff90,0xd1003fff,0xffffffff,0x9997005f,
    0x99dffd99,0xe8801999,0xffffffff,0x3ffff207,0x3fffffff,0xfffffd10,
    0x000bffff,0xffffffd1,0x3bbeafff,0xeeeeeeee,0x01feeeee,0x0003fff0,
    0x21ffffe0,0xe87ffff9,0x04ffffff,0x77ffec00,0xeeeeeeee,0x3fff206e,
    0xff2fffff,0xfff7000f,0xdfffb0ff,0xdddddddd,0x01fff8dd,0x6cc3ffcc,
    0xbfffffff,0x0deffa80,0xfffffd90,0x0019ffff,0xfffffdb1,0x76d4005d,
    0xffffffff,0x5c01ffff,0xffffffed,0x3ffffe2d,0x200cefff,0x3fa22fff,
    0xa803efff,0x2efffffe,0xffffffb0,0xfd7007df,0x005bffff,0x77fffed4,
    0x3722001c,0x01deffff,0xffffffd0,0xffffffff,0x3ffae001,0x5405ffff,
    0xdeffffec,0x765c009b,0x002cefff,0x7ffff5c0,0xffff55ff,0xffffffff,
    0x003fffff,0x00007ffe,0xf82ffff4,0xffe85fff,0x80001eff,0xffffffff,
    0x07ffffff,0x6fffffd4,0x2001ffe1,0xf87ffdb8,0xffffffff,0x7c7fffff,
    0x7fcc01ff,0x00d4c407,0x4c4000c4,0x800019a9,0x88000099,0x40000099,
    0x26009a98,0x00009a99,0x10000440,0x26620013,0x2600009a,0x18800009,
    0x02620000,0x3ffffa00,0xffffffff,0x988000ff,0x13100019,0x00988000,
    0x33310000,0x80000000,0x00000ccc,0x3205fffb,0xcdc84fff,0x3e00001a,
    0xffffffff,0x007fffff,0x00001331,0xffff0180,0xffffffff,0x1fff8fff,
    0x003ffcc0,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0xbdeedca8,0x26666621,
    0x99999999,0x22001999,0x3100aca9,0x33000033,0x65400003,0x1cdeefed,
    0x99999988,0x33310000,0x00001333,0x00000333,0x4ccccccc,0x99880999,
    0x10333000,0x98800133,0x26666609,0x99999999,0x00013310,0x44002662,
    0x26000999,0x09999999,0x00999880,0x33309988,0x20003333,0x99999999,
    0x33099999,0x26620013,0x33333310,0x13333333,0x1abb9880,0x30019980,
    0x04cc4133,0x03331000,0x20026660,0x01330198,0x055e554c,0xfffffb80,
    0xff53ffff,0xffffffff,0x3fffffff,0xfffff900,0x7ffa87ff,0x1fff8000,
    0x7ff4c000,0x3fffffff,0xffffffa8,0x5003ceff,0xffffffff,0xf980079d,
    0x3000007f,0xffffffff,0xdff50dff,0x707ffe00,0x22003fff,0xfff33fff,
    0xffffffff,0x1fff27ff,0x027ffc00,0x007ffff8,0x3ffffffe,0xfb02efff,
    0xff500dff,0x3fffffeb,0x402cefff,0xfffffff9,0xf3ffffff,0x3ee005ff,
    0xfffffd6f,0xffffffff,0x3fff620b,0xf101ffff,0xffb803ff,0x013ff22f,
    0x01ffff80,0x4037ffdc,0x4ff80ffb,0xffffff90,0x3fa201bf,0xfffeffff,
    0xfffff53f,0xffffffff,0x4c03ffff,0xfffffffe,0xfff51eff,0x3fff0000,
    0x7ffcc000,0xffeeeeef,0xfffffa83,0x0effffff,0x7ffffd40,0x0effffff,
    0x00fff300,0x3fff2000,0x6fffffff,0xf006ffa8,0xdffd03ff,0x99bff200,
    0xffffffff,0xf53fffff,0xf98005ff,0xffa801ff,0xff002fff,0xffffffff,
    0xffd83fff,0x7fd401ff,0xfffffff5,0x01bfffff,0x3fffffe6,0x3fffffff,
    0x2e005fff,0xffffd6ff,0xffffffff,0xffff50bf,0x09ffffff,0x4c03fff1,
    0x7fe43fff,0x3ffe0004,0x7fff404f,0x887fc806,0xfff904ff,0x20bfffff,
    0x441dfffe,0x999933da,0x99fffb99,0x40199999,0x99acfffe,0xff50ffeb,
    0xfff0000f,0x7ff40003,0x5033100d,0xdb999fff,0x407fffff,0xdcccfffa,
    0x03fffffe,0x0007ff98,0xffeff880,0x82aaaaaf,0xff006ffa,0x5fff503f,
    0x22fff980,0xcccdfff9,0x21cccccc,0x64004fff,0xff9006ff,0x3e009fff,
    0xdccccdff,0x360effff,0x5405ffff,0x9bfff5ff,0xffffdb99,0x9fff307f,
    0x99999999,0x00bffe59,0xccbb7fdc,0xccfffdcc,0x7fcc2ccc,0xfda88aef,
    0x7ffc43ff,0x0bfff101,0x40009ff9,0x2607ffff,0xd807ffff,0x03ff987f,
    0xfb311355,0xfffb81ff,0xff300002,0xff70001f,0xf50e403f,0xff0000ff,
    0x359999bf,0x07ffcc01,0x06ffa800,0x407fffee,0x3ee06ffa,0x7cc01fff,
    0xb800007f,0x806ffbff,0x99fffb98,0xf9999999,0x7ec09aff,0x2ffec06f,
    0x0003ffe6,0xd001fff6,0x3fe007ff,0xf007ffbf,0x3f2203ff,0x3fff64ff,
    0x3fea01ff,0x6405fff5,0x7cc1ffff,0xfff8007f,0x0dff7002,0x2007ffcc,
    0x3204ffe8,0x7ffc47ff,0x20dffd01,0x10004ffc,0x205ffdff,0x807ffefc,
    0x2ffa86fe,0x07ffc400,0x0009fff1,0x007ffcc0,0x001fff40,0x0001ffea,
    0x3ffffffe,0xa80cffff,0x2a0007ff,0x7f4406ff,0x0dff506f,0x406ffe88,
    0x00007ff9,0x6ff9ffe8,0xfffffa80,0xffffffff,0x42ffffff,0xf503fff8,
    0xfff981ff,0xfffa8000,0x3fff3001,0xf1dff500,0xfff005ff,0x25ffe803,
    0x05ffdffd,0x7ffd7fea,0x2fff4c02,0x2001ffe6,0xf7002fff,0x7ffcc0df,
    0x037fdc00,0xff11fff4,0x1fff903f,0x0013ff20,0x2ffe7fc4,0x07fecff8,
    0xffb85ff8,0x37fd4001,0x0003ffee,0x00fff980,0x001fff80,0x0003ffd4,
    0x7ffffffc,0x42ffffff,0x0003fff8,0xf500dff5,0xdff505ff,0x05fff500,
    0x5c43ffcc,0xcff98005,0xfa806ff8,0xffffffff,0xffffffff,0xfffc82ff,
    0x983ffe80,0xf0000fff,0x3ee009ff,0x7ff9006f,0x3e013ff6,0x7fdc01ff,
    0x3febff67,0x2bff500f,0xfa802fff,0x1ffe62ff,0x00bffe00,0xf3037fdc,
    0xffd801ff,0x27ffb803,0x7dc1fff8,0x3ff201ff,0x7ff10004,0xffa81ffb,
    0x99987fe9,0x9999dff9,0x8199affc,0x1fffcaa9,0x0002ffe4,0x003ffe60,
    0x000fff30,0x0000fff5,0x54c43fff,0x741ffffd,0x4002efff,0xfd006ffa,
    0x0dff50df,0x981bffa0,0x2ffdc7ff,0x44ffe400,0xdc9806ff,0xcccccfff,
    0xdfffcccc,0x4fff881c,0xf9837fdc,0xfb0000ff,0x3ffa00ff,0x23fff003,
    0xff807ffb,0x2ffdc01f,0x9ffb3ffb,0x7fd7fea0,0xdffd002f,0x4003ffcc,
    0xf7002fff,0x7ffcc0df,0x017ffc00,0xf887ffc4,0x3ffe61ff,0x027fe402,
    0xfbbff980,0xfeb7ec2f,0x3fffe60f,0xffffffff,0x40ffffff,0x82fffffd,
    0x00003ffe,0x0007ffcc,0x2001ffea,0x80007ffa,0x3e601fff,0x3fe20fff,
    0x802dffff,0xf7006ffa,0x0dff50ff,0x981ffee0,0xfffb8fff,0x7fc4005f,
    0x400dff16,0xff006ffa,0xfffa803f,0x205fff11,0x0000fff9,0x8803fff5,
    0xfa801fff,0x07ffe26f,0xd803fff0,0x27ff63ff,0xfa80fff9,0x005fff5f,
    0xff99ffee,0x2fff8007,0x40dff700,0x2200fff9,0xff001fff,0x47ffe23f,
    0xc804ffe8,0xf30004ff,0x44bff17f,0x41ffb3ff,0xfffffff9,0xffffffff,
    0x7fec0fff,0x3e0dffff,0x400002ff,0x4000fff9,0xa8007ffa,0xf80007ff,
    0x7fd401ff,0x7ffe442f,0x2a04ffff,0xff3006ff,0x06ffa81f,0x201fff30,
    0xfffffff9,0xffb8002e,0x400dff13,0xff006ffa,0xbffd003f,0xf9817ff2,
    0x3e0000ff,0x7fdc04ff,0x89ff9006,0x7fc04ffe,0x3ffea01f,0x7f47ff60,
    0xf5ffa84f,0x3e6005ff,0x0fff30ff,0x005fff00,0xf981bfee,0x7ffc00ff,
    0x25fff002,0xffb1fff8,0x13ff200b,0xd9ffd400,0x21ff70ff,0x4ccc1ffd,
    0x9999bffb,0x01999eff,0xf27ffdcc,0x800005ff,0x4000fff9,0xa8007ffa,
    0x151007ff,0xd003fff0,0x3ae207ff,0x81efffff,0xf1006ffa,0x6ffa83ff,
    0x03fff100,0x3bffffe6,0x3ffa0002,0x400dff10,0xff006ffa,0xfff3003f,
    0x4c01fff5,0x20000fff,0x7f406ffd,0x3fff003f,0x7c07ffb8,0xffc881ff,
    0xa8ffec2f,0x7fd40fff,0x2005fff5,0xff31fff9,0x5fff000f,0x81bfee00,
    0x7400fff9,0xffd004ff,0x327ffe27,0x3f2006ff,0xff50004f,0x7f4ffea7,
    0xb807ff66,0x05ff81ff,0x74fff700,0x220003ff,0xfffdcccc,0xa884cccc,
    0xaaafffca,0xfa82aaaa,0xfffa807f,0x400fffc4,0xb9805ffd,0xff0fffff,
    0xffffffff,0x7cbffe20,0xffffffff,0x05fff107,0x05dffff7,0x25ff9800,
    0xeeeefff8,0xafffa83e,0xaaaaaaaa,0xf9001fff,0x9807ffff,0xccccdfff,
    0xf504cccc,0x3fe203ff,0x7ffa801f,0x201fff98,0xfeeeefff,0xfd80dfff,
    0x50fffa1f,0x0bffebff,0x997ffc40,0xffffffff,0xff0fffff,0xffffffff,
    0x0dffffff,0x2007ffcc,0x4401fffc,0xfff13ffe,0x4001fff9,0x50004ffc,
    0x477fc5ff,0x07ff62ff,0x7c40ffc8,0xffb0004f,0x002ffecd,0xffffff10,
    0x0fffffff,0xfffffff3,0x0fffffff,0xf880fff5,0x3fe2ffff,0x5ffc801f,
    0x9fffdc00,0xffffffff,0x4fffe07f,0xffffffff,0x8fffe07f,0x0ffffffb,
    0x1ffd8000,0x3fffffe2,0xfffa84ff,0xffffffff,0x1001ffff,0x300dffff,
    0xffffffff,0x7c0fffff,0xdff703ff,0x413ff200,0x3fe04ffe,0xffffffff,
    0x1ffd82df,0xff51ffee,0x800bffeb,0xfff33fff,0xffffffff,0x3fffe1ff,
    0xffffffff,0x2606ffff,0x7c400fff,0x2a20bfff,0xf13ffffd,0x009fffff,
    0x0004ffc8,0x7fe45ff7,0x3ff20ffc,0x221ff202,0x882604ff,0x2e4fffca,
    0x10000fff,0xffffffff,0xf30fffff,0xffffffff,0xf50fffff,0xfffa80ff,
    0x07ffe5ff,0x0013ffa0,0x77753ff6,0x06eeefff,0x7774fffe,0x06eeefff,
    0x7fc4fffe,0x0007ffff,0x7c46ff88,0x3eeeeeff,0xffffffa8,0xffffffff,
    0x3fee001f,0xfff9802f,0xffffffff,0x1bff607f,0xf801ffec,0xfff902ff,
    0x7777ffc0,0xdffffffe,0xff07ff60,0xfaffd45f,0x3fe002ff,0xddfff33f,
    0xdddddddd,0x3bbbffe1,0xeeeeeeee,0x3fe606ff,0xfffa800f,0xffffffff,
    0xfff11fff,0x4005fffb,0x70004ffc,0x7ffcc5ff,0x017fe45f,0x7ff30ffb,
    0x7fffff40,0x7fc46fff,0x2660005f,0x99fffa99,0xf7330199,0x333333ff,
    0x0fff5033,0x4fffff98,0xf1007ffe,0xfd0005ff,0x06ffa89f,0xa85fff10,
    0xff1006ff,0x2affe25f,0xb80007ff,0x37fc43ff,0x55fff500,0xf5555555,
    0x333203ff,0xccfffdcc,0x7fcc3ccc,0x999999af,0x3fea0199,0x07ffc40f,
    0x303ffd40,0x3fe03fff,0xffea881f,0x707ff65f,0xaffd4dff,0xf1002fff,
    0x1ffe65ff,0x00bffe00,0xf3037fdc,0x3a2001ff,0xefffffff,0xff10ffeb,
    0x03fffb3f,0x0013ff20,0x3fa17fe4,0x17fe42ff,0xff50dfd0,0x7ffff405,
    0xfc80cfff,0x06a00eff,0x003ffe60,0x000fff50,0xfb00fff5,0x7ffc1fff,
    0x137fec01,0x5fff5001,0x3006ffa8,0xffa85fff,0x5fff3006,0x07ff98e2,
    0x40ffe800,0x2a006ff8,0xfff006ff,0x3ffffe03,0xffffffff,0x07ffcc6f,
    0x1fffc000,0x6401bfea,0x7ffc05ff,0x803fff04,0xffb2fffc,0x52fff883,
    0x0bffebff,0x98fffcc0,0xff8007ff,0xdff7002f,0x007ffcc0,0x2af32a60,
    0xff89ffe1,0x0effe89f,0x004ffc80,0xfb85ff90,0x23ffc87f,0x9eff9999,
    0x9affc999,0x5e65d419,0x7ff4401a,0xfdccceff,0xfff9803f,0x3ffd4000,
    0x03ffd400,0x7fc0ceb8,0xfffb301f,0x5e677e43,0x5fffedba,0x5006ffa8,
    0xffa81fff,0x1fff5006,0x001ffe60,0xf10bff30,0x7fd400df,0x03fff006,
    0x3fbbbbb6,0x4eeeeeff,0x0007ffcc,0x3637fec0,0xfff003ff,0x33333337,
    0x3fe0dffb,0x4fff801f,0xff903ffb,0x7fd7fead,0xfff5002f,0x001ffe61,
    0x5c00bffe,0x3fe606ff,0x4c00000f,0x3ffe26ff,0x00bfff31,0x20009ff9,
    0x7fc41ffc,0xf33ffb84,0xffffffff,0xffffffff,0x6c00001f,0xffffffff,
    0xff9803ff,0x7fd4000f,0x7ffa8007,0xdfff8000,0xfffedccc,0x7fffe44f,
    0xefffffff,0x006ffa80,0xff50dffb,0x1bff600d,0x0007ff98,0x77777fec,
    0x2006ffee,0xff006ffa,0x7fcc003f,0xfff9800f,0xffa80000,0x01fff10f,
    0xffffff50,0xffffffff,0x03fff03f,0x3f6bffb0,0x9fff881f,0x5fff5ffa,
    0x99bff600,0xff8007ff,0xdff7002f,0x007ffcc0,0x97fee000,0x3ee1fff8,
    0x7fe403ff,0x3ffb0004,0x33ffb800,0xffffffff,0xffffffff,0x057501ff,
    0xffff9300,0x30019dff,0xa8001fff,0xfa8007ff,0xff80007f,0xffffffff,
    0xffea81ef,0x2dffffff,0x201bfea0,0xfa84fff9,0xfff9806f,0x01ffe604,
    0xfffff880,0x06ffffff,0x401bfea0,0x26001fff,0xf9800fff,0xf00000ff,
    0x1bfea7ff,0x7ffffe40,0xffffffff,0x1fff84ff,0xfb5ffd80,0x37ff203f,
    0x5fff5ffa,0x47fff300,0xf8007ff9,0xff7002ff,0x07ffcc0d,0xffd10000,
    0x20fffc43,0x3201fffd,0xfb0004ff,0xffb8003f,0x3fee6664,0xffe9999c,
    0xffd81999,0xff90004f,0xff300039,0xffa8001f,0x7ffa8007,0xffff8000,
    0x03deffff,0x1fff5330,0x00dff500,0xf501fffb,0xfffb00df,0x03ffcc01,
    0xdddff700,0x0dffdddd,0x8037fd40,0x33101fff,0x33fff533,0xff981333,
    0xfb00000f,0x00fff6bf,0x77777ffc,0xfeeeeeee,0x01fff86f,0xffb3fff8,
    0x2fffe603,0x05fff5ff,0x4c1fffd0,0xff8007ff,0xdff7002f,0x007ffcc0,
    0x89ffb000,0x7441fff8,0xff900fff,0x3ffa0009,0x27fdc001,0xfe82ffa8,
    0x7fffd406,0xffe8001f,0xfff30001,0x7ffa8001,0x07ffa800,0x9afff800,
    0x2a000099,0xff5005ff,0x7ffec40d,0x40dff503,0x403fffd8,0x20007ff9,
    0xff101ffe,0x37fd400d,0xd01fff80,0xffffffff,0x98dfffff,0x00000fff,
    0xfff1fff5,0x1fff5001,0x07ffea00,0xfb803fff,0x03ffb1ff,0xafff7fec,
    0x3a202fff,0x7fcc3fff,0x2fff8007,0x40dff700,0x0000fff9,0x40fffd88,
    0xf981fff8,0x9ff906ff,0x07ffa000,0x20bff500,0x5ff81ffb,0x7ffffe40,
    0x37fc4003,0x1fff3000,0x07ffa800,0x007ffa80,0x001fff80,0x00ffee00,
    0x26237fd4,0x205ffffb,0x5cc46ffa,0x9805ffff,0xf50007ff,0x37fc40df,
    0x00dff500,0x7f407ffe,0xffffffff,0x7cc6ffff,0x200000ff,0x06ffdfff,
    0x800bff90,0x7ffc3fff,0x9fff9101,0xf300ffec,0x3febffff,0x7fdcc42f,
    0x7ff985ff,0x02fff800,0x4c0dff70,0x30000fff,0x05ffffb3,0x2a03fff1,
    0xffc84fff,0x1ffd0004,0x05ffa800,0xff881ff9,0x7fffd404,0x7fd4001f,
    0x3fe60004,0xeee9800f,0xeeeeefff,0xf52eeeee,0xddddddff,0x3e07dddd,
    0x200001ff,0xf5000ffd,0xffffddff,0xfa809fff,0xffffeeff,0xf3004fff,
    0xddddddff,0x7ec3dddd,0x3ffe203f,0x40cccccc,0xff006ffa,0x2aaaa03f,
    0xaabfffba,0x7ffcc2aa,0x3f600000,0xf003ffff,0xfd8005ff,0x777ffc6f,
    0xfffffeee,0x200ffec5,0xff5ffffe,0xffffdddf,0x3e607fff,0xeeeeeeff,
    0xfff2eeee,0x5bfee005,0xffeeeeec,0x44eeeeef,0xfffffeeb,0xff101eff,
    0x7ffe403f,0x777ffe42,0xeeeeeeee,0x0003ffe1,0x3f20bff5,0x804ff887,
    0x8005fffd,0x20002ffb,0x9800fff9,0xffffffff,0xffffffff,0xffffff53,
    0x9fffffff,0x0007ffe0,0x2006ff80,0xfffffffa,0xa802dfff,0xffffffff,
    0x26002dff,0xffffffff,0xf11fffff,0x7fc401ff,0x0fffffff,0xf8037fd4,
    0x3e6001ff,0xff9800ff,0x2a00000f,0x800fffff,0x4000fffa,0x3fe1fffa,
    0xffffffff,0x1ffd83ef,0xaffffd40,0xffffffff,0x2601dfff,0xffffffff,
    0xff3fffff,0x3fee005f,0xffffffd6,0xbfffffff,0xffffffc8,0x7fc402ef,
    0x7fff401f,0x3fffff21,0xffffffff,0x0003ffe1,0x3f60dff5,0x003ff987,
    0x26000575,0x7cc0002a,0xff9800ff,0xffffffff,0x53ffffff,0xffffffff,
    0x209fffff,0x00001fff,0xfa8006aa,0xbceeffff,0x3ffea001,0x01bceeff,
    0xfffff980,0xffffffff,0x8809ff71,0xffffffff,0x037fd40f,0x2001fff8,
    0x9800fff9,0x00000fff,0x8037fffc,0x88005ffc,0x3ffe3fff,0x2cdeffff,
    0x2007ff60,0xfff5fffe,0x179ddfff,0xfffff300,0xffffffff,0x400bffe7,
    0xfffd6ffb,0xffffffff,0xeffc8bff,0xf1001acd,0xff8803ff,0xffff90ef,
    0xffffffff,0x007ffc3f,0x741bfe60,0x02ffa86f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x99800000,0x5cc00099,0x4cc401ab,0x99999999,
    0x00099999,0x99880555,0x99999999,0x31099999,0x26600033,0x00666609,
    0x99813330,0x43310001,0x99999998,0x99999999,0x26666219,0x4cc00099,
    0x00199999,0x80099900,0x0000c000,0x00088044,0x85bd9500,0x200ceec8,
    0x0bdfedb8,0x002fbb26,0x2000f6e0,0xdefeecb9,0xfb73000c,0x6640179d,
    0x2664400c,0x3bb72a20,0x372a01bd,0x01cdeefe,0xbcefdca8,0x13332200,
    0xa86665c0,0xcccccccc,0x641ccccc,0x6f76d43c,0xfff50003,0xffd500bf,
    0x203dffff,0xfffffffe,0xffffffff,0x7fffdc04,0x3ffff200,0xffffffff,
    0xfff94fff,0xfff98005,0x00bffee3,0xf117ffd4,0x3fe000ff,0x3ffffea7,
    0xffffffff,0xffd1ffff,0x9dffffff,0xfffff801,0x01dfffff,0x007ff880,
    0x22001fd3,0xf30001ef,0x01ef881d,0x7fffe400,0xfffff14f,0xffff501f,
    0xff71dfff,0x4003ffff,0x2003fffd,0xfffffffe,0x36204fff,0xffffffff,
    0x803fff02,0x3ee07ff9,0xffffffff,0x7ffff4c3,0x203fffff,0xffffffe9,
    0x3fee03ff,0x7ffcc03f,0x3fffff64,0xffffffff,0xfe8b7fc3,0x01efffff,
    0x3ffffa20,0x7fffe405,0x83ffffff,0xfffffffe,0xffffffff,0xffffd504,
    0x7ffe401f,0xffffffff,0xff14ffff,0xffe800df,0x806ffe86,0xff85fff8,
    0x4fff0007,0xfffffffa,0xffffffff,0xffffd1ff,0x9fffffff,0x7fffffc0,
    0x1effffff,0x01ffe200,0x4013ffe2,0x4000fffd,0x7f45fffa,0xf90002ff,
    0xb3fffdff,0x0dfffdff,0xffdbfff5,0xfdbfffff,0x7ffc00ff,0x3ffe005f,
    0xffffeeff,0xfffe984f,0x4ffffece,0x4c01fff8,0xffe887ff,0xffffefff,
    0x3bfffe63,0x03ffeeee,0xfdfffff7,0x6c0bffff,0x3fa01fff,0x7fffec6f,
    0xffffffff,0x7cfffc3f,0xffffefff,0x3fff2006,0x3ffa05ff,0xffcaacef,
    0x777641ff,0xeeeeeeee,0x7544fffe,0x0fffffff,0x3bbbbae0,0xffeeeeee,
    0x3ffee3ff,0x5fff5003,0x809fff30,0xff80fffc,0x6ff8000f,0x33333326,
    0xccccfffd,0xbffd0ccc,0xffffb999,0x2fffe07f,0xfffdcbaa,0xff1000ef,
    0x3ffee00f,0x17ffd401,0x37fff200,0x1ffff440,0x43ffe200,0x23fffff9,
    0x0e541ffe,0x83ffffa6,0xfd002ffe,0x6fc009ff,0xfffe980a,0x4077ff41,
    0x7fc1fffd,0x3ffcc01f,0x20effff4,0x3ffa3da8,0x5033100d,0xe983bfff,
    0xff103fff,0x3fff20df,0xdffb0000,0xffffff81,0x0bfff662,0x3f3ffe60,
    0x07fee05f,0x002fffcc,0x4c7ffe20,0xfdeffffe,0x100000ff,0xffd0bffd,
    0xbffd001f,0x807ffe40,0xfd03fff9,0xff88001f,0x1fff3006,0x107ffd00,
    0xf01fffd5,0x3f2203ff,0xff1006ff,0x77fec00f,0xeacefec9,0x362004ff,
    0x7ec04fff,0x3ee004ff,0x37ffe43f,0xb8013fe6,0x7fd43fff,0x1dfd3005,
    0xff880000,0x01bfee3f,0xfff8dffb,0x23ffcc01,0x2002fffb,0x0000fff9,
    0xfd809ffd,0xfff500ff,0x02fff989,0x03fff700,0x203fffff,0xfe804ffe,
    0x405ffbaf,0x3ffe400b,0x97ff2000,0xf72efff8,0x200001ff,0xfa80fffc,
    0x7fd404ff,0x3ffe201f,0x40dffd05,0x44001ffe,0xff3005ff,0x7ffd001f,
    0x417ffcc0,0x7dc01fff,0xff8801ff,0x3ffa2007,0xffffffff,0x3fa2006f,
    0xff9003ff,0xffb001bf,0x85fffa83,0x3e6006ff,0x3ffc40ff,0x00000000,
    0x7ffcbffb,0x0fffc401,0xf9803fff,0x13ffe27f,0x00fff500,0x201ffee0,
    0x3203fff8,0x3ffa1fff,0xfff30004,0x07fffe05,0x5c05ffb8,0x0bff75ff,
    0x3fff3000,0x3ffe2000,0x3ee1fec1,0x980000ff,0x3f603fff,0x3ffa00ff,
    0x2fffa804,0xb00fffdc,0xf98003ff,0xfff3005f,0x07ffd001,0xff83fff8,
    0x3fff801f,0x007ff880,0x7fffffcc,0x001fffff,0x003ffff3,0x01efffa8,
    0x7fc43ffc,0x007fe84f,0x7ff83ffc,0x00000000,0x7fd5bfee,0x45ffd006,
    0x7cc01fff,0x03ffee7f,0x07fff100,0x009ffb00,0xfd017ff2,0x01bff2df,
    0x027ffc40,0xfa805fff,0x3ffe606f,0x000bff70,0x005fff10,0x2217ff20,
    0x00fffb80,0x05ffe800,0xb827ffcc,0xfb000fff,0x3ffe21ff,0x017fec03,
    0x4013fe60,0xe800fff9,0x7ff403ff,0x801fff84,0x2aaa5ffd,0xafffbaaa,
    0xa82aaaaa,0xf910cfff,0xff5007ff,0x260001df,0x3e02ffff,0x05fff06f,
    0x7c001ffd,0x01ffd06f,0x20000000,0xbff76ffa,0xf8fff600,0x7fcc01ff,
    0x0017ff27,0x0177fff4,0x2003fff0,0x7c406ffa,0x00fffdff,0x80dffd00,
    0x7cc01fff,0x8fffa07f,0x80005ffb,0x8001fff8,0x2001fff8,0x0000fffb,
    0x4007ffe4,0xff81fffc,0x3fe2003f,0x00dffb4f,0x98005ff9,0xff3004ff,
    0x7ffd001f,0xf83fff80,0xffc801ff,0x3fffffe5,0xffffffff,0x4ffe87ff,
    0xc80fff90,0x80005fff,0x883fffe8,0xffff06ff,0x1fffffff,0xfdddb930,
    0xfdddddff,0x333261ff,0xcccccccc,0x01cccccc,0xffffdb93,0x3ff2dfff,
    0xeeeeeeef,0x3e4fffee,0x7fcc01ff,0x000fffa7,0x7fffffc4,0x3ffe202d,
    0x0fff3000,0x5fffff50,0x3fff2000,0x00fffc00,0x7dc1ffe6,0x02ffdc5f,
    0x07ffcc00,0x037fe400,0x003ffee0,0x03fff980,0xb8bfff10,0xfb8007ff,
    0x01fffbff,0xfe82ffc8,0x003ffa85,0xd001fff3,0x7fd407ff,0x01fff81f,
    0x3fe4ffd8,0xffffffff,0x47ffffff,0xf301fff9,0x3ff601ff,0x6c00004f,
    0x7fcc4fff,0xffffff05,0xc83fffff,0xffffffff,0xffffffff,0xfffff70f,
    0xffffffff,0xd985ffff,0xffffffff,0xfffb6fff,0xffffffff,0x7fcbffff,
    0x3ffcc01f,0x40005fff,0xffffffc8,0x07ff984f,0x003ffe20,0x0017fff6,
    0x4017ffd4,0x7cc01fff,0x0fff887f,0x0002ffdc,0x40037fec,0x4002fff8,
    0x0000fffb,0x7001bffa,0x3fe23fff,0xffd0002f,0x2e009fff,0x7ffcc3ff,
    0x801ffd40,0xe800fff9,0xfff503ff,0x007ffe09,0xaaa8bffe,0xafffbaaa,
    0x542aaaaa,0x7ffc07ff,0x17fff441,0xffb80000,0x0bff30df,0x2aab3ffe,
    0x3ee0aaaa,0xffcccfff,0xcccccccf,0x3ffffee4,0xffffffff,0x3e62ffff,
    0xccccefff,0xffb6ffdc,0xdddddddf,0x7c7ddddd,0x7fcc01ff,0x000bffe7,
    0x3fffae20,0x3fe61eff,0xfff3000f,0xfffff100,0xfff98001,0x03fff004,
    0xfd87ff98,0x05ffb83f,0x17ffcc00,0x037fdc00,0x007ffdc0,0x00fffc80,
    0xf75ffe80,0x7cc000df,0x5000ffff,0xfffb87ff,0x8017fdc3,0xe800fff9,
    0xecbaadff,0xff00efff,0xfffc803f,0x07ff8800,0xf01bfee0,0xfffb05ff,
    0x32000009,0x3fe24fff,0x005fff06,0x7fc1fffc,0x26662007,0x99999999,
    0x20999999,0x2a01effe,0x09ff96ff,0x01fff800,0xffd3ffcc,0xb9800007,
    0x3e0fffff,0xff5001ff,0xffffd00d,0x7f4400df,0x3ffe005f,0x23ffcc01,
    0xff706ffa,0x7f44000b,0xff88006f,0xffb8002f,0xff98000f,0xff50003f,
    0x003fff5f,0x04fffd80,0xfd13fea0,0x1ffb8bff,0x01fff300,0xffffffd0,
    0xf809ffff,0xff9101ff,0x3fe2005f,0x1bfee007,0x2e05fff0,0x0000dfff,
    0x85fffd10,0xff886ff8,0xfff3003f,0x0001ffe0,0xfff98000,0xbb7fd401,
    0x7c0006ff,0x7fd401ff,0x0017ff67,0x3fffb800,0x5c00bffe,0x7fec05ff,
    0x004fff9f,0x4001fffb,0x7cc01fff,0x07ffe27f,0x0002ffdc,0x0001fffb,
    0x2000dff7,0x8000fffb,0x40006ffe,0x05fffffe,0x7fffcc00,0x9ff3000f,
    0x07ffffcc,0x26003ff9,0xfe800fff,0xefffffff,0xcdfff800,0xffffeccc,
    0x1ffe2005,0x207ffa80,0x2a00fff8,0x0001efff,0x80ffff4c,0xfff987ff,
    0x0bff5004,0x00003ffe,0x3ffd4000,0xfab7fdc0,0x3a0000ff,0x3fa203ff,
    0x03ffee7f,0xffd80000,0x4017ff64,0x3ee03ffe,0x5fff52ff,0x01fffb80,
    0x200fffc0,0x3ff27ff9,0x017fee04,0x00fffec0,0x017ffc40,0x00fffb80,
    0x007ffe40,0x3fffe600,0x7f40000f,0x3005ffff,0x5ffdcbff,0x03ff23ff,
    0x007ffcc0,0x5cce7ff4,0x7c00dffe,0xffffffff,0x44002fff,0x3e6007ff,
    0xfff702ff,0x5fffd300,0x3ffea000,0x07ffa00e,0x200ffff7,0xffc85ffa,
    0x3100003f,0x1ffee001,0x74dfff50,0x360005ff,0x3ff605ff,0x17ffe27f,
    0xffe80000,0x007ffea4,0x2601fff7,0x7fec4fff,0x7fff301f,0x03fff000,
    0xff37ff98,0x05ffb80d,0x02fffc80,0x00dff700,0x007ffdc0,0x007fff30,
    0x13fff600,0x9fff7000,0xf1005fff,0x7c6ff4bf,0x003ff66f,0x4007ffcc,
    0x7f443ffe,0x7fffc05f,0x0bdfffff,0x07ff8800,0x2077ff40,0x1003fff9,
    0x8007fffd,0x400dfffb,0x7ff45ffb,0xff9804ff,0x7ffffdc7,0x7fd40000,
    0xfff9800f,0xffffd882,0x033ffea6,0x07fff200,0x8fffffd1,0x200efffb,
    0xf500111a,0xfffe85ff,0x07fff702,0x221bffa2,0x7c40efff,0xff0005ff,
    0x7ff9803f,0x33337ffd,0x3dff9333,0xffc80133,0x3fe0002f,0x3ee0003f,
    0x3fa000ff,0x2600006f,0x20000fff,0xffd4fff8,0x5ff8801d,0x3ffa7ff1,
    0x4c00ffb0,0xfe800fff,0x2fff983f,0x266bffe0,0xf8800009,0x7fd4007f,
    0xfffdbcff,0x7fec000f,0xfffb004f,0x3ffe2009,0xffaffdad,0x24ecbbdf,
    0xfdbefff8,0xacfffdcf,0xff003dba,0x3fa00bff,0xffdbadff,0x7f46ffef,
    0xaaabcfff,0x7fc45edc,0xfffcbeff,0xffe87ffb,0xfdccceff,0x799df93f,
    0xdfffdb75,0x9bffff30,0x0dfffd95,0xa80fffec,0x7fec5fff,0xeeeeeeef,
    0x7ffc6eee,0x4fffcc01,0xffffffff,0xffffffff,0x3ff206ff,0x3ee0003f,
    0x7dc0007f,0xff7000ff,0x4c00003f,0x20000fff,0xff30fffd,0x2dff009f,
    0x7ff70ffb,0xf9801ff6,0xffe800ff,0x40dffb03,0x00001fff,0xc8009990,
    0xffffffff,0xb8003fff,0xd100efff,0xb8007fff,0x34ffffff,0x9fffffff,
    0xffffffb8,0xfffffd14,0x3fe007ff,0xff5005ff,0x7fffffff,0xff90dff1,
    0xffffffff,0xffff90bf,0x3fe5ffff,0xffffc887,0x93ffffff,0xffffffff,
    0x2601bfff,0xfffffffe,0x3fee04ff,0x7ffe403f,0x3fffffe3,0xffffffff,
    0x200fffc7,0xfff9fff9,0xffffffff,0x6fffffff,0x005fff90,0x003fff80,
    0x007ffdc0,0x001fffcc,0x03ffe600,0x17ffd400,0xf007fff2,0xf89bfaff,
    0x400ffd6f,0xe800fff9,0xfff303ff,0x007ffe05,0xa8000000,0xffffefff,
    0x001fffdf,0x41efffa8,0x001ffff9,0x89ffff50,0x2effffea,0x43efffb8,
    0xefffffd9,0x5fff9001,0x7ffecc00,0xdff10dff,0x3fffb660,0x502dffff,
    0x43bfffff,0x3b6607ff,0x0cefffff,0xffffffd5,0x32005bff,0x1deffffe,
    0x01bffe60,0xff97fff4,0xffffffff,0x7fc7ffff,0x7ffcc01f,0xccccccc8,
    0xeffecccc,0xffc83ccc,0x7dc0002f,0x5c0000ff,0xfe800fff,0x9800006f,
    0x88000fff,0xff885fff,0x47ff406f,0x4ffec3ff,0x3e6006fe,0xffe800ff,
    0x41bffa03,0x00001fff,0xfff10000,0x6c26a627,0x98000fff,0x7ff45fff,
    0x1880000e,0x4004cc40,0x09a98019,0x001ca800,0x00002660,0x0004cd4c,
    0x00001331,0x26200666,0x400019a9,0x00000099,0x00000000,0x3ee00000,
    0x7ffe405f,0xfff80002,0xffb80004,0x7ffdc00f,0xf9800001,0xfd8000ff,
    0xfff701ff,0x7dfff407,0x767fdc0f,0x3fe6006f,0x3ffe800f,0x20bffea0,
    0x20001fff,0xccccccca,0xcccccccc,0x201bffa1,0x0005fff8,0x1bd10bd1,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7dc00000,0x3fff205f,0xffb80002,0xfb80000f,0x3fe600ff,
    0x3000003f,0xa8001fff,0x7f404fff,0xdffb01ff,0xffff10df,0x7fcc00bf,
    0x3ffe800f,0x7c37ff40,0x2e0001ff,0xffffffff,0x2fffffff,0x2003ffb1,
    0x00004ffb,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0xff305ffb,0xffffffff,0x20bfffff,
    0x6c004fff,0xffffffff,0xd3ffffff,0xffffffff,0xdfffffff,0x03ffe600,
    0x0ffff880,0x837ffcc0,0xb03ffffd,0x4009ffff,0xe800fff9,0x7fd403ff,
    0x00fffc1f,0xfffff700,0xffffffff,0x003a85ff,0x000000e4,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2e000000,0xfff305ff,0xffffffff,0xf70bffff,0xfd8001ff,0xffffffff,
    0xff3fffff,0xffffffff,0x0dffffff,0x003ffe60,0x002fffc8,0xf907fff9,
    0x3ea01fff,0x26004fff,0xfe800fff,0x5ffe803f,0x0000fffc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fdc0000,0xfffff305,0xffffffff,0x9ffd0bff,
    0xffffb000,0xffffffff,0x3fffe7ff,0xffffffff,0x3006ffff,0x2a001fff,
    0x22005fff,0x7dc0ffff,0x3fe206ff,0x3e6003ff,0xffe800ff,0x1fffb803,
    0x00007ffe,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2004cca8,0x9911ccc8,0xcdfdb985,0x003cc880,
    0x53019990,0x32601575,0x417db30c,0x4402dfd8,0x99501aaa,0x3ccc9805,
    0x33333322,0x000002cc,0x00d4c000,0x80013100,0x2000abb9,0x1880600a,
    0x51000620,0x001a8035,0x26a60053,0x00998000,0x983eea80,0x0cccc099,
    0xddddddd5,0xdddddddd,0x00000005,0x10133330,0x65c03333,0xcccccccc,
    0x404ccccc,0x99999998,0xefdc8819,0x7bb30003,0x99999990,0x22229999,
    0x88888888,0x88888888,0x0fffd400,0x30fffa80,0x7ffe4bff,0x7c41efff,
    0xff88007f,0x7ffffd47,0x7fd40dff,0x16ffff98,0x105fffff,0x3dfffffb,
    0x2604ffc8,0x3e60ffff,0x4fffffff,0x1ffe2000,0xfffea800,0x74001dff,
    0xfff9005f,0xf3009fff,0x85ff107f,0xffc80ffb,0xfffc8800,0x007fea04,
    0x36205ff3,0x01efffff,0x001fff50,0x127fffcc,0xfff8dfff,0x3ffffee7,
    0xffffffff,0xbfb102ff,0x000bfd10,0x8827ffec,0xfd04fffd,0xffffffff,
    0x80ffffff,0xfffffffa,0x3ffa21ff,0xf501efff,0x3fffe29f,0x7fffffc5,
    0xfff7ffff,0xffffffff,0xffffffff,0x5fff80df,0x4cbffb00,0xdfffb5ff,
    0xff0dffff,0xff98001f,0x7f7ffdc7,0x7fd46fff,0x8fffeff9,0x45ffeffd,
    0xfffffff9,0x13ff22ff,0x2077ffc4,0xfffffff9,0x3e20004f,0xfc88007f,
    0xffedbcef,0x013f6004,0xffffffd1,0xffe809ff,0x643ffd83,0x5ffc85ff,
    0x3ffff220,0xffff104f,0x17ffe603,0x3fffffe6,0xfe802fff,0x3ea005ff,
    0xff10ffff,0x27ffe8bf,0xfffffffb,0xffffffff,0x85fff702,0x8002fffb,
    0xb802fffd,0xffe84fff,0xffffffff,0x5407ffff,0xffffffff,0x3ffffa1f,
    0xfb81ffff,0xfffff93f,0x7fffffc3,0xfff7ffff,0xffffffff,0xffffffff,
    0xfffc80df,0x17ffc400,0x9ffddff3,0x0bfff221,0xa8003ffd,0x205d45ff,
    0x3ea2ffe9,0x7ff54fdf,0xd1ffe1df,0xfd713bff,0x13ff21df,0x003bffe2,
    0x0004ffc8,0x2001ffe2,0xff501efe,0x09fb010b,0xbabefc81,0xf700fffe,
    0x0dff70df,0x3fa0bffa,0xffffb82f,0x3e204fff,0x7fcc1fff,0x39ffd05f,
    0x01fffb31,0x17feffdc,0xfffff880,0xfd17ffe1,0x000000ff,0xfb87fff7,
    0x7ec002ff,0x3e6001ef,0x4ccc44ff,0x99999999,0x4c407ffa,0x19999999,
    0x7d4bffe6,0x7fec2fff,0x3fffffb2,0x55555554,0x99992aaa,0x99999999,
    0x99999999,0x2fff8807,0x2637fdc0,0xb02fffff,0x2ffd8bff,0x027fd400,
    0x7d47ff70,0x3ffe26ff,0x543ffa1f,0x5fff06ff,0xff113ff2,0xfc8001df,
    0x3e20004f,0x77dc007f,0x11bdeeb8,0x227cc5fd,0x03f623fc,0x05fff305,
    0xf983fff1,0xfff300ff,0x40fff981,0xffcaeffa,0x7fffc404,0x20bfff31,
    0xffb04ffb,0x233fe207,0x3f2006ff,0x3ffe2fff,0x0037fec4,0x2ff44000,
    0x2002ff44,0x8000dffd,0x0004ffd8,0x0001ffe2,0xe889ff90,0xffeacfff,
    0x3ffffee7,0x00000000,0x2ffec000,0xf30fffa0,0x7d405fff,0x41ffe46f,
    0x3ffb85fe,0x7fdccc40,0xf0bffea4,0x1ffd8bff,0x3f205ff9,0x449ff94f,
    0x8000effe,0x20004ffc,0x26007ff8,0xfddf91ff,0x6c3fea1f,0x27f71eff,
    0xf004fffa,0x7ffb05ff,0xb805ffd0,0x5ffc85ff,0x13ff22d8,0x2bfffe20,
    0x3f605fff,0x0bff300f,0x7fdc3ff2,0x3fffe003,0xfb13ffe0,0x000000df,
    0x99800000,0x19980001,0x1ffe2000,0x5ff90000,0xfffffd10,0xfffd87ff,
    0x00000002,0xfffa8000,0x81fff300,0x4c03fff9,0x27fdc7ff,0xf903ffe6,
    0xfffb305f,0x7d49ffff,0x40fff86f,0x3ffb1ffd,0x7e57fea0,0x1dffd14f,
    0x13ff2000,0x07ff8800,0x1fc93ee0,0x897ec9f5,0xbfbcfffb,0x800bfffc,
    0x7d41fff9,0x05ffc86f,0xe887ffb0,0x7fe402ff,0xfffd1004,0x7ff80bff,
    0x261bfe20,0x07ff43ff,0x747ffd80,0x2ffe43ff,0x33333331,0x33333333,
    0x00000001,0x00000000,0x000fff10,0x100ccb80,0x07fffff9,0x00000262,
    0xf8000000,0xbff903ff,0x100fff30,0x5ff98555,0x3617ffe4,0x7ffdc1ff,
    0x24ffeeee,0x6ff84ffa,0xffd1ffd8,0x657fea03,0xeffe8cff,0x3ff20000,
    0x3fe20004,0xc8bf6007,0x7dc9f51f,0x7fffdc44,0x1000bfff,0xff88bffd,
    0x077fcc1f,0x40fff880,0x7e406ffa,0x3fa2004f,0x7ff806ff,0x3a17fe60,
    0x05ffa86f,0xfe8bfff0,0x72ffe43f,0xffffffff,0x5fffffff,0x00000000,
    0x00000000,0x0000fff1,0x565cc000,0x00000000,0x64000000,0x5fff06ff,
    0x000fff30,0x7f46ff88,0x07ff45ff,0xfa83fff1,0x213fea4f,0x1ffd86ff,
    0x3ee09ffb,0xfdbff93f,0xc80001df,0x664c04ff,0xfffccccc,0x1ccccccc,
    0xddfc87fa,0x41bea0ef,0x00cfffd8,0x03fffe60,0xf885ffd1,0xff3000ff,
    0x06ffb81f,0x30027fe4,0x803fffff,0xff901ffd,0xb02ffa89,0xffc805ff,
    0x217fec0f,0x3fee4ffb,0xffffffff,0x002fffff,0x00000000,0xe8800000,
    0x0000006e,0x00000000,0x00000000,0xf507ffe6,0x1ffe60ff,0x99ffe000,
    0x3e0ffeff,0x427fd47f,0x3fea4ffa,0xfd86ff84,0x20dff71f,0xbff91ffe,
    0x0001dffd,0x5c04ffc8,0xffffffff,0xffffffff,0xfc83fe2f,0x37cc0ffe,
    0x7ffffecc,0xfffa801c,0x1dff501e,0xd005ffb8,0xfff885ff,0x027fe401,
    0xffffff98,0x3bfee01f,0x20fffcc0,0x3fe606fe,0x7ff5cc46,0x40aa982f,
    0x2aa61aa9,0xaaaaaaaa,0x000aaaaa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7f400000,0x827fec4f,0x80007ff9,0x5ff70ffe,0x17fe27ff,
    0xffb8dff5,0x213fea4f,0x1ffd86ff,0x225bfff1,0x3ff25ffd,0x00efff8c,
    0x013ff200,0xfffffff7,0xffffffff,0x917ec5ff,0xfb8df33f,0x33bff664,
    0x01dffecf,0x801bfff9,0xffd84ffd,0x42ffe403,0xfc804ffd,0xfff9804f,
    0x01fffe9d,0x3b33fffa,0x7fdc4fff,0x91ffe402,0x005dffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x54000000,0x3ffe27ff,
    0x00fff300,0x3a3ffb00,0x3e6dff5f,0x7fffc44f,0x24ffeffe,0x6ff84ffa,
    0x3ee1ffd8,0xffffffff,0x7cd3ff20,0x320005ff,0x4cc404ff,0xfffa9999,
    0x09999999,0xb1fc93ee,0xfc97ec5f,0x327f73ff,0x3fa23fff,0xff1003ff,
    0x1fff883f,0xa81fff50,0xff9006ff,0x5fff9809,0x407fffe2,0xffffffe9,
    0x02ffc44f,0xfc87ffc4,0x000004ef,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x5fff0000,0xf9817fee,0xfc80007f,0xf92ff8af,
    0x507ff51f,0x3e9ffffd,0x213fea4f,0x1ffd86ff,0x7fffffd4,0x527fe40d,
    0x2000bfff,0x20004ffc,0x26007ff8,0x263f90ff,0x2a1ff36f,0x98ff20df,
    0xffff31fe,0x3999999d,0xf50dff70,0x5fff10df,0x502fff88,0x5bffb555,
    0x7ffcc155,0x1ffff885,0x33bfb6e0,0x001cca81,0x00225995,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7ff57ff2,
    0x01ffe602,0x2effee00,0x2effe67f,0x2ae602ff,0xffa82620,0xfd86ff84,
    0xaba9881f,0xb89ff900,0xc8004fff,0x220004ff,0x7e4007ff,0x4f6c3d76,
    0x7e4143fe,0x3ffee284,0xffffffff,0xb07ffb02,0x4ffd89ff,0x3e05ffc8,
    0xffffffff,0x17ffa1ff,0x006fff88,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xff3fff30,0x07ff980f,
    0xecff9800,0x7e77fc5f,0xf500001f,0xb0dff09f,0xc80003ff,0xfffc84ff,
    0x27fe4004,0x0fff1000,0x203dfd00,0xfb005ff9,0xffffb809,0x2fffffff,
    0xf105df10,0x706ea83d,0x7ffc01ff,0xffffffff,0x22017e61,0x000000ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3a000000,0x404ffeff,0x80007ff9,0x42ffeff8,0x40ffeffc,0x99999998,
    0xff509999,0xfb0dff09,0x2666623f,0x09999999,0x3f609ff9,0x3f2003ff,
    0x3e20004f,0xfd88007f,0xffecacef,0x017fa004,0x33333331,0x0c013333,
    0x18010020,0x4cccccc0,0x01819999,0x00000260,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x70000000,0x803fffff,
    0x00007ff9,0xf30fffff,0xffd0ffff,0xffffffff,0x213feabf,0x1ffd86ff,
    0xfffffffd,0x3f2bffff,0x3fffa04f,0x666665c2,0xcccceffe,0x7ff8800c,
    0x3ffaa000,0x4002efff,0x000003cb,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfff10000,0xfff300df,0x3ffa0000,0xbffff05f,0xffffffd0,0x2abfffff,
    0x86ff84ff,0xfffd1ffd,0xffffffff,0x8813ff2b,0x3fa2fffe,0xffffffff,
    0x800fffff,0x80007ff8,0x00009aa8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0ffff600,0x001ffe60,0x817ffec0,0xaa84fffc,0xaaaaaaaa,
    0x09ff51aa,0x3ffb0dff,0x2aaaaaaa,0xf91aaaaa,0xfff9809f,0xfffffd1f,
    0xffffffff,0xddd1001f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_38_latin_ext_x[560]={ 0,7,4,0,2,0,1,8,5,4,3,1,4,4,
7,2,1,2,2,3,0,3,2,2,2,1,7,4,2,2,3,5,0,0,2,1,2,3,3,1,2,3,3,2,
4,0,2,1,2,1,3,2,1,2,0,0,0,0,2,6,2,5,2,0,0,2,2,2,2,2,0,1,2,3,
2,3,3,1,2,1,2,2,3,3,1,2,1,0,1,1,3,3,8,4,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,8,2,1,1,1,
8,2,0,0,4,2,2,4,1,0,3,1,4,5,0,2,2,7,8,4,4,2,0,0,0,3,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,1,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
0,0,0,0,0,2,1,0,1,0,1,0,1,1,-1,-1,0,1,0,0,0,0,0,0,3,2,0,0,1,0,
1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,3,3,0,3,2,1,0,0,2,3,3,0,0,4,
3,-5,-3,3,2,0,3,0,0,2,2,0,0,0,2,2,0,0,0,0,0,0,0,0,-1,0,3,3,-1,0,
0,0,0,0,2,3,0,0,1,1,0,-4,1,1,0,0,0,0,0,0,0,0,0,0,2,2,0,0,0,0,
0,0,0,0,0,0,0,5,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,-2,-2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,2,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__consolas_38_latin_ext_y[560]={ 28,1,1,3,0,1,2,1,0,0,1,8,22,16,
22,1,3,3,3,3,3,3,3,3,3,3,9,9,7,13,7,1,1,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,1,1,3,32,1,9,1,9,1,9,1,9,1,1,
1,1,1,9,9,9,9,9,9,9,3,9,9,9,9,9,9,1,-3,1,14,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,28,9,0,3,4,3,
-3,1,1,3,3,10,16,16,1,2,1,5,1,1,1,9,1,14,28,1,3,10,1,1,1,9,-3,-3,-3,-4,
-3,-5,3,3,-3,-3,-3,-3,-3,-3,-3,-3,3,-4,-3,-3,-3,-4,-3,10,-1,-3,-3,-3,-3,-3,3,1,1,1,
1,1,1,0,9,9,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,8,5,1,1,1,1,1,1,1,
-2,2,-3,1,3,9,-3,1,-3,1,-4,1,-3,1,-3,0,3,1,-2,2,-3,1,-4,1,3,9,-3,1,-3,1,
-3,1,-4,1,3,0,-3,-4,3,1,-4,1,-2,2,-3,1,3,1,-4,9,3,1,-3,1,3,1,9,-3,-4,3,
1,0,0,3,1,3,1,-3,1,3,9,-3,1,-1,3,9,-2,2,-3,1,-3,1,3,9,-3,1,3,9,-3,1,
-3,1,-3,1,3,9,-3,1,3,3,-3,0,3,3,-4,1,-2,2,-3,1,-5,0,-3,1,3,9,-3,1,-3,1,
-3,-3,1,-4,1,-3,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-9,-5,-3,1,-3,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,9,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__consolas_38_latin_ext_w[560]={ 0,6,13,21,17,21,20,5,12,12,15,19,10,12,
7,16,19,17,17,16,20,16,17,17,17,18,7,10,16,17,16,13,21,21,17,18,18,15,15,18,17,15,14,18,
15,20,17,19,17,20,17,17,19,17,21,21,21,21,17,10,17,10,17,21,13,16,17,16,16,17,20,19,16,16,
15,17,16,19,16,19,17,16,17,15,17,16,19,21,19,19,16,14,4,14,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,5,15,18,19,19,
4,17,17,21,13,17,17,12,18,16,14,18,13,11,18,18,17,7,5,13,13,17,21,21,21,13,21,21,21,21,
21,21,22,18,18,18,18,18,18,18,18,18,20,19,20,20,20,20,20,17,19,19,19,19,19,21,17,17,18,18,
18,18,18,18,21,16,19,19,19,19,19,19,19,19,18,18,20,20,20,20,20,19,19,18,18,18,18,20,17,20,
21,18,21,18,21,17,18,19,18,18,18,18,18,17,21,24,20,20,18,19,18,19,18,19,16,17,18,19,18,20,
18,20,18,20,18,20,19,18,21,18,18,19,18,19,18,19,16,17,18,16,17,18,17,17,18,17,17,19,19,15,
16,24,24,18,22,19,16,19,18,17,16,19,18,19,17,16,20,20,20,20,21,21,21,21,21,20,17,17,21,20,
19,18,19,18,17,15,19,18,19,17,20,24,19,17,19,18,19,18,19,18,19,18,21,21,17,17,21,21,21,20,
21,19,19,19,19,19,19,15,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,20,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,21,18,22,21,22,22,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,17,15,19,17,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19, };
static unsigned short stb__consolas_38_latin_ext_h[560]={ 0,28,10,25,33,28,27,10,36,36,17,19,13,4,
7,31,26,25,25,26,25,26,26,25,26,25,20,26,22,10,22,28,35,25,25,26,25,25,25,26,25,25,26,25,
25,25,25,26,25,32,25,26,25,26,25,25,25,25,25,35,31,35,13,4,9,20,28,20,28,20,27,27,27,27,
35,27,27,19,19,20,27,27,19,20,26,20,19,19,19,27,19,35,39,35,8,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,0,27,33,25,23,25,
39,32,9,26,19,16,9,4,18,8,14,23,16,16,9,27,32,7,6,16,19,16,27,27,27,27,31,31,31,32,
31,33,25,31,31,31,31,31,31,31,31,31,25,32,32,32,32,33,32,16,33,32,32,32,32,31,25,28,28,28,
28,28,28,29,20,25,28,28,28,28,27,27,27,27,28,27,28,28,28,28,28,20,27,28,28,28,28,35,35,35,
30,27,31,28,33,27,32,28,32,28,33,28,32,28,31,29,25,28,30,27,31,28,32,28,33,27,31,28,32,35,
32,35,33,35,33,36,31,32,25,27,32,27,30,26,31,27,33,35,32,19,26,35,32,35,33,35,19,31,32,33,
35,28,28,25,27,25,27,31,27,33,27,31,27,29,33,27,31,27,32,28,32,28,26,20,31,27,33,27,31,27,
32,28,32,28,31,25,32,28,33,33,31,29,25,26,33,28,31,27,32,28,34,29,32,28,33,27,31,27,31,35,
31,31,27,32,27,31,27,27,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,32,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,37,34,31,28,35,31,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,33,27,33,33,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25, };
static unsigned short stb__consolas_38_latin_ext_s[560]={ 509,502,325,477,484,100,387,506,67,54,183,
144,314,471,463,41,347,58,22,262,1,315,297,40,156,402,504,174,255,339,272,
498,201,275,297,425,333,352,237,243,368,386,332,421,440,456,315,367,198,257,180,
185,160,203,253,138,116,94,76,339,305,416,296,484,394,353,480,405,80,370,433,
454,139,474,350,332,84,75,495,438,491,416,21,422,466,388,1,39,458,42,478,
244,6,401,443,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,
484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,509,500,98,
38,235,217,1,378,357,444,61,213,408,471,164,426,281,216,199,499,375,1,1,
499,506,249,95,231,394,372,350,498,205,185,20,416,386,244,172,147,227,246,143,
465,323,428,86,166,131,337,357,378,399,282,102,263,207,82,458,478,298,364,76,
494,241,222,296,181,122,438,311,1,40,41,21,1,307,44,1,347,420,175,399,
378,357,336,315,333,64,277,258,239,220,119,80,98,327,426,267,81,76,461,123,
1,439,457,188,156,161,476,226,368,110,60,308,327,248,141,142,161,114,408,101,
200,198,159,238,180,131,223,37,33,408,420,195,194,318,213,289,387,207,367,227,
259,1,127,279,140,180,321,303,366,109,127,41,266,384,175,260,57,21,152,495,
285,233,340,101,21,118,393,19,137,80,154,61,116,19,439,221,289,105,272,322,
293,64,311,438,61,396,461,447,94,458,97,168,150,484,413,18,407,56,137,265,
82,358,21,427,349,478,200,466,101,42,20,342,300,58,185,119,278,62,1,252,
445,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,217,
484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,
484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,
484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,
484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,
484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,
484,484,484,11,447,120,285,277,162,484,484,484,484,484,484,484,484,484,484,484,
484,484,484,484,484,484,484,484,484,484,484,484,484,1,479,168,150,484,484,484,
484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,
484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,
484,484,484,484,484,484,484,484,484, };
static unsigned short stb__consolas_38_latin_ext_t[560]={ 1,1,339,287,1,173,202,41,1,1,339,
339,339,339,339,141,259,313,313,259,313,259,259,313,259,287,259,259,313,339,313,
75,1,287,287,259,287,287,287,259,287,287,259,287,287,287,287,259,313,75,313,
259,313,259,287,313,313,313,313,1,108,1,339,339,339,313,173,313,202,313,231,
231,259,231,1,231,231,339,313,313,231,231,339,313,259,313,339,339,313,259,313,
1,1,1,339,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,
259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,1,41,41,
287,313,287,1,41,339,259,339,339,339,339,339,339,339,313,339,287,339,259,75,
304,52,339,339,339,231,231,231,173,108,141,108,41,108,41,287,108,108,108,141,
108,108,108,108,108,287,75,75,75,75,41,75,339,41,75,75,75,75,108,287,
141,202,202,173,173,173,141,313,287,173,202,202,202,202,231,231,202,173,231,173,
173,173,173,173,313,231,173,173,173,173,1,1,1,141,202,141,173,41,202,75,
173,75,141,41,202,75,141,141,141,287,173,141,202,141,173,75,173,41,202,141,
173,75,1,75,1,41,1,41,1,108,75,287,231,75,231,141,259,141,202,41,
1,108,339,259,1,75,1,41,1,339,108,75,41,1,202,202,287,231,287,202,
108,231,41,231,141,231,141,41,231,141,231,75,202,75,173,259,313,108,231,41,
231,108,231,41,202,41,173,108,287,41,202,41,41,108,141,287,259,41,202,108,
259,41,173,1,141,41,202,1,259,108,259,108,1,141,108,259,75,259,141,231,
202,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,75,
259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,
259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,
259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,
259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,
259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,
259,259,259,1,1,141,202,1,141,259,259,259,259,259,259,259,259,259,259,259,
259,259,259,259,259,259,259,259,259,259,259,259,259,41,202,41,41,259,259,259,
259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,
259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,
259,259,259,259,259,259,259,259,259, };
static unsigned short stb__consolas_38_latin_ext_a[560]={ 334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_38_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_38_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_38_latin_ext(stb_fontchar font[STB_FONT_consolas_38_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_38_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_38_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_38_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_38_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_38_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_38_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_38_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_38_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_38_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_38_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_38_latin_ext_s[i] + stb__consolas_38_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_38_latin_ext_t[i] + stb__consolas_38_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_38_latin_ext_x[i];
            font[i].y0 = stb__consolas_38_latin_ext_y[i];
            font[i].x1 = stb__consolas_38_latin_ext_x[i] + stb__consolas_38_latin_ext_w[i];
            font[i].y1 = stb__consolas_38_latin_ext_y[i] + stb__consolas_38_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_38_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_38_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_38_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_38_latin_ext_s[i] + stb__consolas_38_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_38_latin_ext_t[i] + stb__consolas_38_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_38_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_38_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_38_latin_ext_x[i] + stb__consolas_38_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_38_latin_ext_y[i] + stb__consolas_38_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_38_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_38_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_38_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_38_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_38_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_38_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_38_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_38_latin_ext_LINE_SPACING
#endif

