// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_39_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_39_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_39_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_39_latin_ext_BITMAP_HEIGHT        387
#define STB_FONT_consolas_39_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_39_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_39_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_39_latin_ext_LINE_SPACING          26

static unsigned int stb__consolas_39_latin_ext_pixels[]={
    0x00cc4331,0x06666200,0x40000010,0x000cccc9,0x00000040,0x00000200,
    0x00013fe6,0x1abca800,0x66665400,0x9933cccc,0x09999999,0x00000010,
    0x95310000,0x303da809,0x3ffe019b,0x22000002,0x00003ffe,0x09fffd10,
    0x3e62ffc0,0xfd10002f,0xd100007f,0x3fe207ff,0x06ffffff,0x55544000,
    0x017fee0a,0x00040000,0x54000400,0x3fa04fff,0x003ffd1f,0x0bfffa20,
    0x00005e88,0x01ffff98,0x0017cc00,0x10027fe4,0x159dffb7,0x3ff90000,
    0x02ffd880,0xf917fec4,0x2003dfff,0xfffffffb,0xfffff56f,0x6c40ffff,
    0x880002ff,0x80001efd,0x00fffffc,0xf887fff3,0x5fff05ff,0x3a200000,
    0x0003ffff,0x17fff440,0x447ff600,0x88000ffd,0x003ffffe,0x3ffffa20,
    0xfffff883,0x00006fff,0x70ffffa2,0x00000bff,0x00dfffb8,0x6fffdc00,
    0x9fff3000,0xfe8fff40,0xfe88001f,0x7fec00df,0x3e600004,0x40000dff,
    0x2001fff8,0x802ffffa,0xfffffffa,0x7c0000ef,0xfffd807f,0x3fff200f,
    0xfffff90f,0xfff7005f,0x2adfffff,0xffffffff,0x3ffff207,0x7fe40000,
    0x3a20007f,0x00ffffff,0xf98bfff7,0x5fff06ff,0xfd100000,0x007fff9f,
    0x3bffa200,0xfffa8000,0x8005fffe,0xfffcffe8,0xffe88003,0x7443fffc,
    0x6ffeeeee,0xffd10000,0x0bff703d,0x7fdc0000,0x20006ffe,0x06ffeffb,
    0x409fff30,0x3ffd1ffe,0x3ffe8800,0x09fff500,0x7fff3000,0x22003ff4,
    0x64005ffe,0x6c03ffff,0xeb9acfff,0x50000eff,0xfff00bff,0x7ff403ff,
    0x3ee622ff,0x50000fff,0x17feadff,0x3ffffa00,0x7fec0001,0xf90001ff,
    0x880139ff,0xffe82fff,0x005fff04,0x2ffe8800,0x0007ffd1,0x004ffe88,
    0x7ffffdc0,0x7f44000e,0x07ffd12f,0x897ff440,0xfb803ffe,0xe880006f,
    0x3fee05ff,0x3a000005,0x005fd13f,0x7f44ffa0,0x4fff9802,0x7f47ffa0,
    0x5554001f,0x7ffdc001,0x55540003,0x8013fe21,0x8006ffe8,0x202ffffa,
    0xf700effc,0xfb0001df,0xfffb007f,0x7ffec01f,0x9fff101f,0x5bfea000,
    0xc8005ffa,0x0000ffff,0x003fffdc,0x003fff88,0x2b880dc4,0x000bffe0,
    0x41eed880,0x0002eed8,0x0000bbb6,0x001665cc,0x220f76c4,0xd8802eed,
    0x776c41ee,0x037fdc02,0x01665c00,0x00017fee,0x3f20ff80,0x41ff0003,
    0xff9803fc,0x47ffa04f,0x51001ffe,0x32000379,0x00001fff,0x2002ffa8,
    0x0000effd,0x7d407ff9,0x2ffc805f,0x00eed800,0x403ffe98,0x5c03ffe8,
    0xf50005ff,0x017feadf,0x00bff620,0x00f7e400,0x006ffa80,0xfff00000,
    0x00000005,0x00000000,0x00000000,0x00000000,0x0000dff7,0xfb801775,
    0x2000005f,0x05ff13fe,0x7c4ffa00,0xfff9802f,0x747ffa03,0xff9801ff,
    0xb0005fff,0x20000dff,0x400ffb18,0x0001fffa,0x037fcc00,0x0000bfd0,
    0x30004c00,0x0dff3001,0x55bfea00,0x000005ff,0x40000000,0x00004ffb,
    0x05fff000,0x00000000,0x00000000,0x00000000,0xf7000000,0x744000df,
    0x2e03ffff,0x000005ff,0x1bffbfea,0xfeffa800,0xfff1006f,0xe8fff407,
    0x7fc401ff,0x003ffb9d,0x003fff98,0xffffdb88,0x3fa005ff,0x8000004f,
    0x32001ffd,0x000000ff,0x44000000,0xf50007ff,0x017feadf,0x00000000,
    0x07ff9000,0x80033310,0x3ffe1998,0x8801a882,0x4c400199,0x00ccc419,
    0x80066620,0x9999aaa8,0x51000999,0x33333355,0x33331013,0x33333333,
    0x00dff700,0x7edf7f40,0x0bff701f,0x00133310,0x006fffd4,0x37ffea00,
    0x7fff1000,0xfe8fff40,0x23fcc01f,0xf90005fc,0x74c001ff,0xffffffff,
    0xfffb801f,0x26666200,0x19999999,0x4004ff88,0x22003ff9,0x99999aaa,
    0x02666099,0x10026620,0x2a000fff,0x0bff56ff,0x33333330,0x51000013,
    0x33333355,0x1ffe4013,0x00fffdc0,0x7fcdffd0,0xffffb12f,0x3fee01bf,
    0x3ffa001f,0x00fffdc6,0x700dffd0,0xffffffff,0xb80dffff,0xffffffff,
    0xfd86ffff,0xffffffff,0xffb807ff,0x1ff10006,0xffb827e4,0x7fffcc05,
    0x00008001,0xf8800080,0x3ffa03ff,0x9803ffd1,0x013fa0ff,0x027ffc40,
    0xefffffb8,0x02fffffe,0xb00bffe2,0xffffffff,0xff90ffff,0x0bff0003,
    0xffffff70,0x4dffffff,0xfe802fff,0x3ffc402f,0x56ffa800,0xff880bff,
    0x06ffffff,0x3fffee00,0xffffffff,0x00fff206,0x4013ffe2,0x3fe3fff8,
    0xffffe89f,0xf880efff,0xff1004ff,0x4fff887f,0x07fff100,0x7fffff44,
    0xffffffff,0xffffd106,0xffffffff,0xffffb0df,0xffffffff,0x00dff700,
    0xbf51bea0,0x9817fee0,0xdb00ffff,0x7774005d,0xdddd9001,0x3ffe2003,
    0x747ffa03,0xffd801ff,0x0001ffed,0x2a01ffee,0x3e0aefff,0x700fffff,
    0xffb00dff,0xffffffff,0x86ff88ff,0x1b99bca8,0x7f440bfd,0xffffffff,
    0x3fe6ffff,0x2ffe802f,0x003ffc40,0xff56ffa8,0xffff880b,0x8006ffff,
    0xffffffe8,0x6fffffff,0x400fff20,0xf7007ffd,0x5fffc1ff,0xfebbefff,
    0xfffb06ff,0x03ffee00,0x5c01fff6,0x3f600fff,0xff931bff,0x360799ff,
    0xf931bfff,0x50799fff,0x99999999,0xf700fffb,0x3e2000df,0x5c13f62f,
    0xfff305ff,0x1fffc01d,0x005fff00,0x013ffffe,0xd017ffc4,0x07ffa3ff,
    0x3bfff220,0x7fc40001,0x7fff402f,0x7ff7fcc0,0x07ffd05f,0x99999950,
    0xa8fffb99,0x7ffcc3ff,0xdfb1ffff,0x8dfffec0,0xccffffc9,0x200bffe3,
    0x7c402ffe,0xff50007f,0x2017fead,0xffdccccc,0xfffd8006,0xffff931b,
    0x7fe40799,0x5fff3003,0xf8bffd00,0xc82fffff,0xff981fff,0x5ffe802f,
    0x005fff30,0x7d40bffd,0xfff501ff,0x0fffd403,0x001fffa8,0x403ffd40,
    0x20006ffb,0x0ffeeffc,0xf30bff70,0xff801dff,0x3ffe003f,0xffffa802,
    0x3ffe006f,0x747ffa02,0x004001ff,0x17ffa000,0xb81fffa8,0x1fffe9ff,
    0x000fffc4,0x647ffa80,0x3ffe60ff,0x3f27ffff,0x03fff507,0x3e07ffea,
    0xffe802ff,0x00fff802,0xf56ffa80,0x3ee000bf,0x7fd4006f,0x3fff501f,
    0x007ff900,0x2602fff4,0x7ffc2fff,0x3ffa00ef,0x80bffd05,0x3a02fff9,
    0x7fcc05ff,0x17ff602f,0x6c0bffb0,0x7fec05ff,0x7fd40005,0x06ffb807,
    0x77ffe400,0x317fee01,0xf001dfff,0x7fc007ff,0xeffc802f,0xff001fff,
    0x8fff405f,0xd9001ffe,0x00003ddd,0x7f40fff7,0x2affd05f,0x7fdc3fff,
    0x3ea00006,0x3a37f47f,0x4dff32ff,0xbffb07fc,0xf85ffd80,0xffe802ff,
    0x01fff802,0xf56ffa80,0x3ee000bf,0x7fec006f,0x02ffec05,0x70017fec,
    0x7e401fff,0x1ffff87f,0xb83ffdc0,0x3f200fff,0x7ffdc07f,0x01fff200,
    0xfb805ffd,0x0bffa06f,0x000dff70,0xb807ffa8,0x300006ff,0x4bff7001,
    0x000efff9,0x7c007fff,0xfff802ff,0xf003fff9,0x7ff405ff,0x2003ffd1,
    0x004fffff,0x81fff880,0xf882fff9,0xd17ffa4f,0x400009ff,0x3fe27ffa,
    0xf993fea4,0x203fee5f,0x7dc02ffe,0x02fff86f,0xc802ffe8,0x54000eff,
    0x0bff56ff,0x01bfee00,0xb805ffd0,0x7fcc06ff,0x7ffc4007,0x213ffa03,
    0xf9803fff,0xfff880ff,0x013ffa03,0x7407fff1,0x7ffc04ff,0x037fdc02,
    0xfb805fff,0x7d40006f,0x6ffb807f,0x2aa62000,0x3fee009a,0x01dfff35,
    0x001fffc0,0xfa805fff,0x00dff97f,0xfe80bffe,0x003ffd1f,0x0dfffff5,
    0x0bffe000,0x2a03ffea,0x1fff22ff,0x00007fff,0xff53ffd4,0xf50ffec7,
    0x407fdc9f,0x7dc02fff,0x02fff86f,0x8802ffe8,0x09acfffe,0xfab7fd40,
    0xff70005f,0x2fff800d,0x2237fdc0,0x02fffdaa,0x306ffd80,0xfff01fff,
    0x3fff1005,0x4c1bff60,0xfd800fff,0x1fff306f,0x404ffe80,0x3fa04ffd,
    0x27fec04f,0x1ffea000,0x001bfee0,0xffffffb5,0xff705dff,0x01dfff1b,
    0x003fff80,0xf900bffe,0x07ffea9f,0x8807ffe0,0x007ffa19,0x3fffbff2,
    0xfff80001,0xb06ffb83,0x0fffb8ff,0x0000bffe,0x3ee7ffa8,0xb8dff11f,
    0x41ff23ff,0x7ec04ffe,0x02fff84f,0x1002ffe8,0x05fffff9,0xff56ffa8,
    0x3fee000b,0x27ff4006,0xfd13ff60,0x0005bfff,0x3207ffea,0x5fff06ff,
    0x03fff100,0x3207ffea,0xff5006ff,0x0dff903f,0x201fff90,0x3202fff9,
    0xff300fff,0xfa80005f,0x6ffb807f,0x7ffff400,0x4fffffff,0x7fff7fdc,
    0xfff8000f,0x0bffe003,0x7fc3fff0,0x1fff803f,0x00fff400,0x7ffcfffc,
    0xffe80003,0xf06ffc84,0x1fffa8bf,0x0003fff1,0xf73ffd40,0xb17fe61f,
    0x83fe43ff,0xf300fffc,0x5fff05ff,0x005ffd00,0x17ffff5c,0x7d5bfea0,
    0xff70005f,0xfffc800d,0x85fff300,0x01dffffe,0x217ffa00,0xfff03fff,
    0x0bffe005,0xff85ffe8,0x3ffa003f,0x803fff85,0x541efff8,0x7c406fff,
    0x7fd41eff,0xfa80006f,0x6ffb807f,0x66fff400,0xffffcbab,0x3f37fee2,
    0xff8003ff,0x3ffe003f,0xb1ffea02,0xffd00dff,0x1ffe8003,0xfcbffd40,
    0xfd80006f,0x85ffd85f,0x7fcc3ff9,0x01fff31f,0x3ffd4000,0x3fee1ff9,
    0xfb07ff43,0x3bffe20d,0x837ffd41,0xfe802fff,0xffe8802f,0x5400abcf,
    0x0bff56ff,0x01bfee00,0x83dfff10,0xaa86fffa,0x002fffec,0x541fff70,
    0xfff00fff,0x1fff1005,0x507ffdc0,0x5c001fff,0x3fea0fff,0xfffb000f,
    0xfffffdff,0xffffb001,0x1fffffdf,0xfff50000,0x00dff700,0x7fcc02b8,
    0x6d7fee6f,0x7c002fff,0x3fe003ff,0x17ff202f,0xe801fff5,0x7f4001ff,
    0xa7fe401f,0x0001fffa,0x7f427fec,0x40ffc84f,0xff32fff8,0x5400001f,
    0xc9ff27ff,0x23ffc3ff,0x3ff606fe,0xffffefff,0x05fff00f,0x7005ffd0,
    0xf5000bff,0x017feadf,0x0037fdc0,0x77ffffec,0x800fffff,0x10007ffc,
    0x7fe47fff,0x00bffe05,0xf101ffe6,0x2ffe47ff,0x8fffe200,0xf5005ffc,
    0xffffffff,0xff50019f,0xffffffff,0x2a000019,0xffb807ff,0xf9000006,
    0xb2ffdcff,0x7c005fff,0x3fe003ff,0x0bffe02f,0xd807fff1,0x7f4000ee,
    0x0fffc01f,0x80007fff,0xffe84ffe,0xf986fe85,0x3fff11ff,0x7fd40000,
    0xffc9ff67,0xff1bfe22,0x3fffea09,0x0cffffff,0x200bffe0,0xfe802ffe,
    0xffa8001f,0x000bff56,0x5001bfee,0xffffffff,0x740019ff,0xfb0002ff,
    0x07ffe2df,0xb802fff8,0xffd806ff,0x003fff16,0x3e2dffb0,0xfff001ff,
    0x15999731,0x4c7ffc00,0x000acccb,0x03ffd400,0x00037fdc,0x71fff980,
    0x7ff44bff,0x7fff001f,0x817ffc00,0xfd80fffa,0x2000006f,0x3ea01ffe,
    0x037fec7f,0x20fffe00,0x7fcc6ffd,0x20fffa84,0x00002fff,0x6fd9ffea,
    0xff98bff2,0x7c0bfe65,0xcccb98ff,0x2fff800a,0x802ffe80,0xa8000fff,
    0x0bff56ff,0x01bfee00,0x9731fff0,0xb0001599,0x2a0007ff,0x6ffb8fff,
    0x4017ffc0,0xfa804ffe,0x06ffb8ff,0x71fff500,0x3e600dff,0xf300005f,
    0x000000bf,0xb807ffa8,0x000006ff,0x7fdc7ffe,0x0ffffc45,0x001fffc0,
    0x3f205fff,0x1fff705f,0x3fa00000,0x17ff201f,0x0001fff5,0x7ec17ffc,
    0x40ffdc6f,0x7ff47ffa,0x3ea00003,0xfb9ff67f,0xb97ff63f,0x0bff307f,
    0x05fff000,0x8805ffd0,0xf50007ff,0x017feadf,0x0037fdc0,0x0000bff3,
    0x0009ff90,0x7ff5fffc,0x017ffc04,0x4003ffee,0x4ffebfff,0x2fffe000,
    0xf5004ffe,0x500001ff,0x00001fff,0x03ffd400,0x00037fdc,0xff999998,
    0x30bff71f,0xf801ffff,0x3fe003ff,0x07fff02f,0xa80fffe2,0xd0cc403c,
    0x7ffc03ff,0x01fffc42,0x80fff980,0x3fec7ffc,0x7ec6ffb8,0x2a00005f,
    0xb9ff27ff,0xdfff55ff,0x7d417fe2,0x7c0000ff,0xffe802ff,0x03ffc402,
    0xf56ffa80,0x3ee000bf,0x3fea006f,0x6400000f,0x320004ff,0x00fffeff,
    0xf701fffc,0x7e4007ff,0x000fffef,0x3ffbff20,0xfff3000f,0x3335559d,
    0x3bffe600,0x0199aaac,0x3ffd4000,0x0037fdc0,0xfffffdb8,0xf71fffff,
    0x3ffea0bf,0x0fffe00e,0xa82fff80,0x3fa00fff,0xbfff506f,0xfe8fff40,
    0x1fff501f,0x000dffb0,0x7d41bfee,0x09ff11ff,0xff717ffa,0x7d40000f,
    0x443fee7f,0xfbffefff,0x300fffef,0x5559dfff,0xfff00333,0x05ffd005,
    0x0007ff88,0x3feadff5,0xdff70005,0x77ffcc00,0x0199aaac,0x004ffc80,
    0x3ffffe20,0xfffff806,0xfffecbcc,0x7ffc4005,0x440006ff,0x006fffff,
    0x7ffffff4,0x0cefffff,0x3fffffa0,0xceffffff,0x7fd40000,0x3bbbbb27,
    0xeeeefffe,0xffff503e,0xffffffff,0x817fee3f,0xf00efffb,0x7fc007ff,
    0x06ffc82f,0x6c07ffdc,0xfd00ffff,0x407ffa3f,0xff705ffc,0xffd0001f,
    0x53ffe207,0xff982ffa,0x17ffc42f,0x7ffa8000,0xffc87fee,0xfffff2ff,
    0xffffe803,0xefffffff,0x02fff80c,0x4402ffe8,0xf50007ff,0x017feadf,
    0xfdddddd9,0x7dddddff,0x3fffffa0,0xceffffff,0x04ffc800,0x7fffec00,
    0xfffff801,0x3fffffff,0xffffb000,0xffb00003,0xfd0003ff,0xffffffff,
    0x7405ffff,0xffffffff,0x002fffff,0xfd9ffea0,0xffffffff,0x984fffff,
    0x9aacffff,0x71fff999,0xffc80bff,0x07fff06f,0x7c17ffc0,0xaaaaadff,
    0x83fffcaa,0x3a07fffd,0x03ffd1ff,0x7c40fffe,0x7cc003ff,0x3ffa01ff,
    0xc80ffd8f,0xbffb06ff,0x3fea0000,0xb70bfea7,0x0dedc439,0xfffffe80,
    0xffffffff,0x4017ffc2,0x7c402ffe,0xff50007f,0xb017fead,0xffffffff,
    0x09ffffff,0x7ffffff4,0x2fffffff,0x0027fe40,0x01bffea0,0x7fff7ffc,
    0x0000ceff,0x001bffea,0x037ffd40,0x65fffdc0,0xfffedccc,0xfffb81ff,
    0xfedccccb,0x0001ffff,0x7fecfff5,0xffffffff,0xff84ffff,0x7ffc00ef,
    0xb00bff71,0xffd0bfff,0x3ffe2009,0x7ffffd41,0xffffffff,0xfff985ff,
    0x747ffa03,0xfffa81ff,0x01bffa00,0xa80dff90,0x85ffdfff,0xf502fffb,
    0x500001ff,0x27fccfff,0xff700000,0xdb99997f,0x7c3fffff,0xffe802ff,
    0x03ffc402,0xf56ffa80,0xfffd80bf,0xffffffff,0xff704fff,0xdb99997f,
    0x403fffff,0x40004ffc,0xf002fffa,0x002665ff,0x2fffa800,0xfff50000,
    0xfffa8005,0x7ffe4401,0x00fffd43,0x00ffff22,0x0037fdc0,0x2fff8800,
    0x001fff80,0x13ff6000,0x643ffcc0,0xffffffff,0xffffffff,0x74009880,
    0x03ffd1ff,0xfb80dff9,0xff1000ff,0xfffd005f,0x7fdc47ff,0x3ffe206f,
    0xffb80005,0x0003ff46,0x01fffa80,0x01fffe44,0x803fff00,0x50007ff8,
    0x17feadff,0x3ffb0000,0x803fff50,0x203fffc8,0x40004ffc,0x3e006ffe,
    0x000002ff,0x0001bffa,0x8006ffe8,0xf1004ffe,0x4ffe8bff,0x0bfff100,
    0x017ff200,0x7ffd4000,0x0fffc400,0xff900000,0x1bfee00d,0x33337ffe,
    0xfccccccc,0x3a0003ff,0x03ffd1ff,0x5555bfff,0x7fff9555,0x017ff600,
    0x6fffffcc,0x0effffec,0x00fffd40,0x717ff200,0x000005ff,0x22009ffd,
    0x10005fff,0xf8801fff,0xff50007f,0x0017fead,0xd01ffc80,0x3e2009ff,
    0x3fee05ff,0x3fee0005,0x3ffe002f,0xf7000002,0x200005ff,0x4002fffb,
    0x2002fff8,0x3fe24ffe,0x3ffa002f,0x7ffd0004,0x007dd700,0x9803ffea,
    0x5c01fffe,0x7d4003ee,0x7fc402ff,0x07ffd43f,0x00bffd00,0xfe8fff40,
    0x7fffd41f,0xffffffff,0xfa805fff,0x3a2000ff,0xffffffff,0x3ff6005f,
    0x7ff40006,0x002ffc43,0x0bffe200,0x004ffe80,0x500fff50,0x2a000dff,
    0x0bff56ff,0x17fe6000,0x0017ffc4,0x7d409ffd,0xff50006f,0xfff8009f,
    0xfa800002,0x500004ff,0x10009fff,0x26007fff,0x3fe22fff,0xfff3003f,
    0xfff70005,0x05ffd003,0x413ffe60,0x01fffffc,0x40017ff4,0xd302fffe,
    0xdff90dff,0x0fffc800,0x23ffd000,0x7fe41ffe,0xffffffff,0x00ffffff,
    0x0013ffa2,0x3fffffe6,0x7cc002df,0xf70003ff,0x9ffb03ff,0x7fc40000,
    0xfff3003f,0x3ffa0005,0x04ffe805,0x2adff500,0x900005ff,0x3fe207ff,
    0xfff3003f,0x17ffcc05,0x7fecc420,0xfff8006f,0x98840002,0x0006fffd,
    0x3fff6621,0x3ffa0006,0xff7100bf,0x7fffd0df,0x3ffee201,0x440adb86,
    0xf004fffb,0xffe800ff,0xfffdbbef,0x7c01ffee,0xff30007f,0xfd99bdff,
    0xfff05fff,0xfff98007,0x3ffd0002,0xfff07ffa,0x9999999b,0x07fff999,
    0x80037ff4,0x00aaaffb,0x17ffdc00,0xf7102b6e,0x3fe609ff,0x006d404f,
    0x805ffff4,0x206fffb8,0x7ff4c0a9,0x3ff6600f,0xff50001f,0x0017fead,
    0x8077fdc0,0x100bfffe,0xb00dfff7,0x7f407fff,0x01efffff,0x002fff80,
    0x7fffff40,0xfd0001ef,0x03dfffff,0x7fffcc00,0xffedceff,0xff980fff,
    0xedceffff,0xb80fffff,0xffeeefff,0xf9800eff,0x7fcc005f,0x4fffffff,
    0x7cc03ffb,0x3aa0005f,0xffffffff,0xfff981ef,0x5ffe8001,0x23ffd000,
    0x3fea1ffe,0x3ffa000f,0x01dffb05,0x001ffa00,0x87fff600,0xfeeefffb,
    0x2600efff,0xcbbdffff,0x9800fffd,0xceffffff,0x0fffffed,0x3fbffee0,
    0xeb83ffff,0x804fffff,0xfeeeeeea,0xddfff56f,0x8800bddd,0x4c4fffff,
    0xceffffff,0x0fffffed,0xfffff880,0x3fffa0ef,0x3e0004ff,0x740002ff,
    0x004fffff,0x7fffff40,0xfd500004,0xffffffff,0x754019ff,0xffffffff,
    0xf700cfff,0xffffffff,0x3fee0019,0xffd88003,0x3f62dfff,0x0ffee01f,
    0xffd91000,0x6409dfff,0xf90006ff,0xfd0001ff,0xc87ffa3f,0x7e4006ff,
    0x7ffe40ff,0x9ff10000,0x3f600000,0xffff70ff,0x019fffff,0xfffffd10,
    0x001bffff,0x3fffffaa,0x0cffffff,0x7ffffdc0,0xff902fff,0x2e007fff,
    0xffffffff,0xffffff56,0xb5000fff,0xfd509fff,0xffffffff,0x4c0019ff,
    0x20fffffe,0x001bcefd,0x000f76c0,0x06f3bf60,0x33bf6000,0x9800001b,
    0xcdeffedc,0x3726000b,0x0bcdeffe,0xefeeca80,0x75c001cd,0x4c40000e,
    0x775c0000,0x54c00000,0x00000001,0x8fff4000,0x3ffe1ffe,0x7ffcc003,
    0x000ffe42,0x0005ff50,0x83bfa200,0xcdefeeca,0xecb98001,0x0000acde,
    0xbdffdb93,0x2e200179,0x00bdefed,0x002b37ae,0xeeeeeea8,0xdddd55ee,
    0x000bdddd,0x93004d44,0x79bdffdb,0x65d40001,0x000000ee,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xd1ffe800,0x3ffe63ff,0x5ffe8001,0x000002c8,0x1b100000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x47ffa000,0xdff91ffe,0x3fff2000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ff47ffa,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xd9000000,0x007bb23d,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x26600000,0x154c0000,0x01310000,0x07fe8000,0x00000100,
    0x70001553,0x4c0003dd,0x66442ccc,0x05ddb0cc,0x300f7740,0x09db05dd,
    0x0e6ed440,0x010000c4,0x88599700,0x88001ccc,0x00000000,0xeeeeee98,
    0xeeeeeeee,0x91004eee,0x98000599,0x66442ccc,0x950000cc,0x775c1999,
    0x90000005,0xc8009ddd,0x776403cc,0x2cdeeeee,0x07dd1000,0x2a200bd9,
    0x01881cdd,0xfff506a2,0xfffd910d,0x003bdfff,0x20006fe8,0xfffffdca,
    0x220001be,0x322004ff,0xd800006e,0x7cc000ff,0x98000fff,0x7f445fff,
    0x0fffe1ef,0x202fff80,0x3ee0dff8,0x3ffa003f,0xfd10cfff,0x3fb6e003,
    0x8804efff,0xffd34ffe,0x3f6e2007,0x000bdeff,0xfffec800,0xfffff52f,
    0xffffffff,0x100dffff,0x007ffffd,0x117ffe60,0x0003dffd,0x907bffea,
    0x00000dff,0x009fffb0,0x27ffff44,0xffffffb0,0x005fffff,0x7cc1dff0,
    0xfffd005f,0x3fa219ff,0x24fff881,0x3226fffa,0xffffffff,0x7c002fff,
    0xfe88005f,0xffffffff,0xf50000ff,0x7fdc005f,0xfe800006,0xfffb8007,
    0x7f44001f,0x6fff444f,0x001fffc0,0xfd805fff,0x1ffffeff,0xfddffb00,
    0x1fffdfff,0xffffe980,0x1005ffff,0x7fffdffd,0x3fffa600,0x01efffff,
    0xfffd3000,0x3fea7fff,0xffffffff,0x6fffffff,0x7efffcc0,0x744004ff,
    0x7ff444ff,0xff50000d,0x1bff20bf,0xff900000,0x7f44005f,0xb05ffedf,
    0xffffffff,0x8009ffff,0xfffefffc,0xeffd802f,0xffeffffe,0xffffc80f,
    0x74bfff30,0xeeeeffff,0x2002fffe,0x5c004ff8,0xefffffff,0x000fffff,
    0x003fec62,0x0001bfee,0x2001bfe0,0x4007fff9,0x7444ffe8,0x7fff04ff,
    0x017ffc00,0x3fffff62,0x8bf2002f,0x1fffffe9,0x77fffcc0,0x005fdccc,
    0x0bffffa2,0x7ffffdc0,0x2ffffffe,0x7ffc4000,0x003feeff,0x20007fff,
    0xfd12fff9,0x3fa2009f,0x27ff444f,0x7fff3000,0x0037fe40,0x1dff9000,
    0x9fff4400,0x6c0dffd8,0xffc984ff,0x7ec001ff,0x003fffff,0x7ff4c5f9,
    0xff901fff,0x3ffe63ff,0x039fff95,0x2a600d44,0xabceffec,0x3ffff200,
    0x7ed440ac,0x3ff6e200,0x4005ffff,0x00006ffb,0x8002ffc4,0x4c001dda,
    0x2aa982aa,0x800fffe0,0x93002fff,0x30001799,0x002b2ea0,0x0803bffa,
    0x0d554400,0xaefffa80,0x3ffff260,0x3ff60001,0xff0000bf,0x2aa0007f,
    0x00aaa80a,0xa982aa98,0x5540002a,0x37fe401a,0xaa880000,0x1aaa8002,
    0x7ec1aaa8,0x3ffe604f,0xccb98005,0xa80c000b,0x3e600acb,0x3ffe65ff,
    0x004fff8c,0xffffe980,0x02ffffff,0x005ffff3,0x7ff4c022,0x1fffffff,
    0x01bfee00,0x09ff3000,0x00000000,0x01fffc00,0x0005fff0,0x00000000,
    0x0007ffe2,0x7f400000,0x3fee00ff,0xff10004f,0xff80009f,0x0000003f,
    0x00000000,0x37fe4000,0x00000000,0x7fec0000,0x037fec04,0x00000000,
    0xf10ae200,0x1fff59ff,0xfffc8000,0xffffffff,0x1fffb02f,0xfff70000,
    0xffffddff,0x3333105f,0x3333dff7,0x40013333,0x40002ffa,0x00000008,
    0x4007fff0,0x00002fff,0x50000000,0x00001fff,0x2a004cc0,0xfc801fff,
    0xfa8000ff,0x7c0001ff,0x400003ff,0x88000099,0x26000000,0x1bff2009,
    0xffff1000,0x000dffff,0xfb004c40,0xfffb809f,0x02620000,0x00022000,
    0x5dfffc40,0x5c0007ff,0xfc8aefff,0xa81ca99f,0x80003fff,0x20aefffa,
    0x40ffffff,0xfffffffd,0xffffffff,0x3f6e203f,0x00bdffff,0xffffdba8,
    0x776c0bdf,0x07bba002,0x7c007fff,0x1776c2ff,0xd83ddd00,0x3ba002ee,
    0x1fffcc1e,0xfec88000,0x1defffff,0x9802fff4,0xc8003fff,0xf80006ff,
    0x220003ff,0xffffffec,0xdb8801de,0x00bdefff,0xfffd9100,0x643bdfff,
    0x440006ff,0xffffffff,0x372a0006,0x1befffff,0xf7013ff6,0xdca800ff,
    0x1befffff,0xfffdb880,0x20000bde,0xfffabfff,0xfff10002,0xd007fd8b,
    0x20000dff,0x7cc0fffe,0x6c5fffef,0xffffffff,0xffffffff,0xfffff703,
    0x403fffff,0xffffffd8,0x7fc7ffff,0x3ffe003f,0x001fffc2,0xfff85fff,
    0x0bffe003,0x7c007fff,0xfffe82ff,0x3f220003,0xffffffff,0x3ffe62ff,
    0x1bffa002,0x013ffa00,0x00fffe00,0x3ffff220,0x2fffffff,0x7ffff4c0,
    0x001effff,0x3fffff22,0x22ffffff,0x40006ffc,0xfeeeeee8,0xfe88006f,
    0xffffffff,0x09ffb0ff,0x1006ffd8,0xfffffffd,0x4c01ffff,0xfffffffe,
    0x3bb201ef,0x7c57ffc0,0xa8000eff,0x37f41fff,0x003fff80,0x81fffa80,
    0xfffe9ffb,0x373332e1,0xcccccfff,0x7ec41ccc,0xefffefff,0xffd301ff,
    0xfffdffff,0x03fff8ff,0xff0bffe0,0x7ffc007f,0x001fffc2,0xfff85fff,
    0x0bffe003,0x037fffe6,0x3ffffa00,0xfffeeeee,0x001ffea2,0xf000fff7,
    0xf00007ff,0xfd0007ff,0xdddddfff,0x7dc05fff,0xfffeffff,0xfd002fff,
    0xdddddfff,0x7fe45fff,0xf7000006,0xffb800df,0xffefffff,0x9ffb0fff,
    0x01fffd40,0x7fffffdc,0x0fffffef,0xdfffff70,0x05ffffff,0x36007ff6,
    0x4003ffff,0x5ff87ffc,0x01fff980,0x05ffe800,0x3ffeaffd,0x037fdc03,
    0x8efffe40,0x303716fe,0x815bffff,0x7ffc7da8,0x0bffe003,0x7c007fff,
    0x1fffc2ff,0xf85fff00,0x3fe003ff,0x7fff442f,0x32004fff,0x2201cfff,
    0x01bfee1a,0x001fff50,0x0017ffc4,0x001fffc0,0x8073fff2,0xfff501a8,
    0x7fdcc15d,0x7fe401ff,0x86a201cf,0x00006ffc,0x400dff70,0x0acffffc,
    0xfd87ed44,0xfffc884f,0xffffc806,0x7ed440ac,0xaefffa80,0x3fffee60,
    0x801ffd81,0xbeffffe8,0x1fffb800,0x2a013fe2,0x40000fff,0xf882fff9,
    0x017ffa4f,0x9800dff7,0x2ffc4fff,0x01ffff40,0x01fffc08,0xff85fff0,
    0x3ffe003f,0x001fffc2,0xfff85fff,0x8bffe003,0xffceffe8,0x7c401eff,
    0xf90004ff,0xffa800bf,0x3fe6000f,0xff80001f,0x3fe2003f,0xfe80004f,
    0x3fee00ff,0x3ffe204f,0xdff90004,0x3ee00000,0xfff3006f,0x6c22005f,
    0xffeeefff,0x4c00efff,0x1002ffff,0x01fffd01,0x7427ffdc,0x27fdc1ff,
    0xffffffb1,0x7ffcc039,0x200ffe65,0xdd107ffb,0x23dddddd,0xfa80fffa,
    0x01fff22f,0xe800dff7,0x27fc46ff,0x00bffea0,0x003fff80,0xfff0bffe,
    0x17ffc007,0xf800fffe,0x1fffc2ff,0x645fff00,0xffd30eff,0x7fd409ff,
    0xffb0000f,0xfff9800b,0x3ffea001,0xfff80000,0x3ffea003,0x7fd40000,
    0xfffc801f,0x01fff500,0x01bff200,0x37fdc000,0x00fffd80,0xfffffb00,
    0x007dffff,0x0003fff6,0x003fff50,0xfe81fff9,0x417fec2f,0xffffffea,
    0xffffd00d,0xb005ff75,0x3fe20dff,0x71ffffff,0x1ff60dff,0x5c01fff7,
    0x3e2006ff,0x1ffcc2ff,0x001bffa0,0x4007fff0,0x7ffc2fff,0x0bffe003,
    0x7c007fff,0x1fffc2ff,0x7c5fff00,0xfffb81ff,0x0fff705f,0x027ff400,
    0x20bffe20,0xfeeeeee9,0xeeeeeeff,0x0fffe001,0x007ffb80,0x005ffe80,
    0x2e07fff3,0x320007ff,0x000006ff,0xf500dff7,0x6c0007ff,0xffffffff,
    0xfff5002f,0xffd00007,0x3ffe600b,0x3e17ff43,0x3f6600ff,0x883fffff,
    0xffffffff,0x06ffc801,0xfffffff1,0x41bff23f,0x7ffd45ff,0x01bfee01,
    0x5c0fff98,0x3fee02ff,0x7fc0002f,0x3ffe003f,0x001fffc2,0xfff85fff,
    0x0bffe003,0x7c007fff,0x0fff32ff,0x427ffec4,0x0002fffa,0x9800bffd,
    0xffa81fff,0xffffffff,0x001fffff,0xa800fffe,0x20002fff,0x2002fff9,
    0xff506ffe,0x3f20005f,0x7000006f,0xffd00dff,0xffd8000d,0x0fffee24,
    0x001bffa0,0x00bffe60,0x7f46ffe8,0x01bfe62f,0x7ffffdc4,0xffffd883,
    0x7dc01cff,0x3fe2007f,0x30bffb1f,0xfff987ff,0x01bfee01,0xfc87ffb8,
    0x1bff201f,0x0fffe000,0x7c2fff80,0x3fe003ff,0x01fffc2f,0xff85fff0,
    0x3ffe003f,0x801fff32,0x7c41fffd,0xd8000eff,0x7cc005ff,0xfffa80ff,
    0xffffffff,0x2001ffff,0x22003fff,0x0000efff,0x4001fff5,0xff107ffb,
    0xf90001df,0x200000df,0xff806ffb,0x7ec0003f,0x1fffb84f,0x001fffc0,
    0x007ffd40,0xfe8fff70,0x013fea2f,0x3ffff910,0x3ffffaa0,0xff501dff,
    0x3fe2001f,0x909ffd1f,0xfff881ff,0x01bfee02,0xfd86ffc8,0x17ff600f,
    0x0fffe000,0x7c2fff80,0x3fe003ff,0x01fffc2f,0xff85fff0,0x3ffe003f,
    0x200fffe2,0xffd83fff,0x7e4003ff,0x7fd4006f,0x27ff4007,0x3fff8000,
    0x7fffec00,0x6ffb8003,0x03ffd400,0x007ffffb,0x0006ffc8,0x80dff700,
    0x0001fff9,0xfe827fec,0x3ffe606f,0xffb80001,0x3ffd4006,0xcca8fffe,
    0xfff50001,0xffff9809,0xff984fff,0xfff1001f,0x3a17ffa3,0x1fff986f,
    0x801bfee0,0x7f40fffb,0x027ff407,0x01fffc00,0xfe85fff0,0xfff1004f,
    0x003fff83,0xfff0bffe,0x17ffc007,0xc803fffb,0xffe885ff,0xc800beff,
    0x7dc007ff,0x7ffc006f,0xfff00003,0xffe88007,0x9000beff,0xfa800dff,
    0xffd100ff,0x90017dff,0x00000dff,0xf501bfee,0xd80001ff,0xfff304ff,
    0x03ffea05,0x1bff2000,0x41fff500,0x00003fff,0x4406ffe8,0xffffeeff,
    0x027ffc44,0xfb1fff88,0x84ff98df,0x2e00fffa,0x3ea006ff,0x037fc2ff,
    0x0000fffe,0xf800fffe,0x27fec2ff,0x40fff980,0x3e003fff,0x1fffc2ff,
    0x445fff00,0x2a01ffff,0xffb105ff,0x4039ffff,0x2001fffb,0x22005ffe,
    0x00001fff,0x10007fff,0x9ffffffb,0x05ffd803,0x00fffcc0,0xffffffb1,
    0x37fe4039,0xffb80000,0x83ffdc06,0xeeeeeee8,0x409ffb1e,0xff706ffe,
    0x3bbba20f,0x3f61eeee,0x7fcc005f,0x00fffe1f,0x1bff2000,0x3ea7ff30,
    0x7ff42fff,0xfff8800f,0xfb8dffb1,0x07ffa81f,0x30037fd4,0x7fc49fff,
    0x0bffe205,0x0fffe000,0x642fff80,0xff7006ff,0x007fff0f,0x3fe17ffc,
    0x3ffe003f,0x27fffd42,0x5404ffc8,0xdffffffe,0x04fff880,0x005fff30,
    0x0007ffcc,0x003fff80,0x3ffffaa0,0xffd00dff,0xfff88009,0xfffea802,
    0xfc80dfff,0x7000006f,0xffd80dff,0xfffff106,0x3ff63fff,0x0bffea04,
    0x7c41bff6,0x1fffffff,0x10013ffa,0x7ffc5fff,0xfd800003,0x17fd405f,
    0xf98bfff1,0xff8804ff,0xd8fff91f,0x0dff707f,0x4007ffa8,0xff30effe,
    0x1fffc409,0x1fffc000,0xa85fff00,0x7c402fff,0x3fff83ff,0xf0bffe00,
    0x7fc007ff,0xffff982f,0x07ffe61e,0x7fffecc0,0xfffd83ff,0x06ffc800,
    0x003ffd40,0x007fff00,0xffffb300,0xbffd07ff,0x1fff9800,0x3fff6600,
    0x7fe43fff,0xf7000006,0x6ffc80df,0xffffff10,0x13ff63ff,0xf90dffd0,
    0x3ffe20df,0x3a1fffff,0x7cc005ff,0x13ffe1ff,0xfff30000,0x41ffb807,
    0xffd87ffc,0x7ffc404f,0x223fff51,0xbffd04ff,0x02fff880,0x27fffee0,
    0x7fc03ffa,0xff80004f,0x3ffe003f,0x02fffe82,0xf01fffd3,0x7fc007ff,
    0x01fffc2f,0x2205fff0,0xfbdffffd,0xb88004ff,0x543fffff,0x7dc06fff,
    0x7dc003ff,0x3e00006f,0x200003ff,0x3fffffb8,0x2002ffec,0x8000fff9,
    0x3fffffb8,0x0001bff2,0x2037fdc0,0x22007ffb,0x9ffb1fff,0x42fffb80,
    0x22007ffb,0x3ff61fff,0x7ffcc005,0x9013ffe0,0xffb88017,0x7fe400ff,
    0x443ffe40,0x809dffff,0xff11fff8,0x20bfea9f,0xf802fff9,0x3a001eff,
    0xaffdffff,0x3fa1eb99,0xff80005f,0x3ffe003f,0xeffff982,0xffffeccd,
    0x007fff02,0x3fe17ffc,0x3ffe003f,0x7fff5402,0x40005fff,0x41ffffc8,
    0x441dfffe,0x8006fffb,0x00005ffd,0x0000fffe,0x3ffff220,0x001bff21,
    0x8000fff5,0x91ffffc8,0xdddddfff,0x009ddddd,0x2a037fdc,0xf1000fff,
    0x13ff63ff,0xf517ffe0,0x3e2001ff,0x1bff21ff,0x44fff500,0x7f404fff,
    0xeecdeeff,0x801fffff,0x6fff87fd,0xffffff50,0xffffd9bd,0x6c7fff43,
    0x6ffc80ff,0xdffff500,0x887fb999,0xfffffffe,0x3f61ffff,0xff80006f,
    0x3ffe003f,0xfffff302,0x05ffffff,0xf001fffc,0x3fff85ff,0x00bffe00,
    0x02ffffdc,0x9fff5000,0xfffffe88,0x0effffed,0x04ffe800,0x0fffe000,
    0xffa80000,0x01ffee4f,0x000dff70,0x653ffea0,0xffffffff,0x005fffff,
    0xf301bfee,0x3e2003ff,0x09ffb1ff,0x4c3fff70,0xf1001fff,0x3ffdc3ff,
    0x89bfee00,0x7f404fff,0xffffffff,0xd001efff,0x4fffb8df,0x3ffff620,
    0xffffffff,0x3f7ffea1,0x2fffb85f,0x3ffff600,0x903fffff,0xffffffff,
    0x7ffe43ff,0x7ff40000,0x3fff1004,0x7fff6440,0x7400bfff,0xff1004ff,
    0x04ffe83f,0x003fff10,0x017fff4c,0x0dffd000,0xffffffd1,0x0001dfff,
    0x0000fffe,0x0003fff8,0x537ff400,0x74003fff,0x200005ff,0xfff96ffe,
    0xffffffff,0x7dc00bff,0x7ffc406f,0x3fff1004,0x22013ff6,0x3fe25fff,
    0xfff1004f,0x00fffd43,0x7c4bffd0,0x7edc05ff,0xffffffff,0x1359d02d,
    0x3f2637fe,0xda800eff,0xdffffffe,0xffffe80b,0x3ffee23f,0xffd98006,
    0x402effff,0x0abcfffa,0x004fffa8,0x8027fec0,0x54007ff9,0xfb000eff,
    0x3fe6009f,0x004ffd87,0x1000fff3,0x0000bffd,0xb5037fe4,0x05bfffff,
    0x0fffc400,0x00000000,0x26ffc800,0x3004fff8,0x00005fff,0x00037fe4,
    0x0dff7000,0x001fffd0,0x0003fff1,0x03fffa00,0x887ffe20,0xf3004fff,
    0x7ffc45ff,0x2a662005,0xffe80099,0xffffffff,0x0000ffff,0xf3003353,
    0xfd9bffff,0x0001dfff,0x00099988,0x7f4017fe,0x320000ff,0xff7006ff,
    0x0ffe800d,0x01bff200,0x7e437fdc,0xdff7006f,0x1ffee000,0x5ffd8000,
    0x01fff880,0x0fffa800,0x00000000,0x8bffb000,0xf9007ffd,0xd80000df,
    0x000005ff,0x201bfee0,0x8804fff9,0x00001fff,0x009fff30,0xfd83fff1,
    0xdff9007f,0x005fff88,0xfffd0000,0xffffffff,0x0000019f,0xffffe880,
    0x005fffff,0x7c400000,0xfff5004f,0x3ea0003f,0x7fc402ff,0x3fee003f,
    0x7ffd4003,0x1fffc402,0x2017ffd4,0x0003fff8,0x0000bffd,0x400fffe6,
    0x80004ffe,0x00006ffd,0x0001f75c,0x87fff300,0x5c05fff9,0x00002fff,
    0xb80fffe6,0xb80003ee,0xffb006ff,0xfff8809f,0x01f75c01,0x013fff60,
    0xf983fff1,0x7fdc05ff,0x2777442f,0x07dd7000,0xffedcb98,0x000bcdff,
    0x000fbae0,0x3fffffe6,0x5c0002df,0xf30003ee,0x7fec007f,0xd9301bff,
    0x205fffd0,0x4006ffe9,0xe8002ffd,0xfd302fff,0x7fff40df,0x0dffd302,
    0x7fff5001,0x71002f20,0x2001ffff,0x0100fffc,0x009fff50,0x02ffe800,
    0x71002f20,0xfd01ffff,0xfb881bff,0x05e406ff,0x3fffee20,0x00bffa00,
    0x01bfee00,0x4effffc4,0x01fff880,0x20017ff4,0x09dffff8,0xe81fff88,
    0x5c40dfff,0x00006fff,0x0017ff40,0x00007fe4,0x0005ffd0,0x01555ff7,
    0x17ff4000,0x02ffb800,0x3ffff620,0xfffeeeff,0xeffff987,0xffffeccd,
    0x67fec002,0x7ffcc000,0xffeccdef,0x3fe602ff,0xfeccdeff,0xded82fff,
    0xffdbaaab,0xfffd00ef,0xffdd9bdd,0x44003fff,0x98adffff,0x2eae23fc,
    0x000ffffe,0x003ffc00,0x37bbfffa,0xfffffeec,0xffffd101,0xdffffdbf,
    0xefffe803,0xfffeecde,0x3ffc01ff,0x6ffb8000,0x3fffea00,0xffecdeff,
    0x3ffc01ff,0xffffa800,0xffecdeff,0xffe881ff,0xfffedfff,0xfffe81ef,
    0x2fffffff,0x8003ffc0,0x400007fd,0xfd0007ff,0x7c00000f,0x3f20007f,
    0xffb8001f,0xffffffff,0xfffd507f,0x3dffffff,0xffff3000,0x7f54007f,
    0xffffffff,0xffea801e,0xefffffff,0xfffffb01,0x01dfffff,0x7ffffff4,
    0x1effffff,0xffffa800,0x10ffffff,0x7fffffff,0xff980000,0x7fff4005,
    0xffffffff,0x7ec401ef,0xffffffff,0xffffd005,0xffffffff,0x5ff9803d,
    0x77776400,0xeeefffee,0xffb103ee,0xffffffff,0x7fcc03ff,0x3f620005,
    0xffffffff,0xfb101fff,0xffffffff,0x7ffffc0b,0x02ffffff,0x40017fe6,
    0x200006fe,0x88005ff9,0x000004ff,0x4000bff3,0x10000ffd,0xbfffffb9,
    0x76440159,0x04efffff,0x7fff5c00,0x7f644003,0x004effff,0x7ffff644,
    0x7fe404ef,0x2effffff,0xffffdb80,0x02dfffff,0x7fffd400,0x3e23ffff,
    0x001effff,0x03ffb800,0x7fffedc0,0x02dfffff,0x7fffedc0,0x36e002df,
    0xffffffff,0xff7002df,0xfffd8007,0xffffffff,0x6d404fff,0xdffffffe,
    0x1ffdc00b,0x7f6d4000,0x0bdfffff,0xffffdb80,0x7ffc02df,0xffffffff,
    0x00ffee02,0x0002ffc0,0x0007ff70,0x00005ff5,0x000ffee0,0x00007fe8,
    0x30000262,0x10000035,0x98000135,0x2600001a,0x54c4001a,0x00009aaa,
    0x01335331,0xdb970000,0x35530179,0x5c000001,0x220000ee,0x00099a99,
    0x00013100,0x13353310,0x01dd7000,0xfffffd80,0xffffffff,0x4d4c004f,
    0x0775c001,0x4d4c0000,0x04c40001,0x33333300,0x40133333,0x50000eeb,
    0x5c000035,0x000000ee,0x1dd70000,0x0276c000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x99100000,0x64c00059,0x00077101,0x000b3322,
    0x03dddd90,0x332a0000,0xdd3000cc,0x0009db05,0x00166644,0x66664c00,
    0x20f32e01,0x3bb22ccb,0x1ddb004e,0x01e66400,0x00999950,0x13332a00,
    0x3bbbb200,0xeeeeeeee,0x3bbb20ee,0x01ddb005,0x33332a00,0x801eee80,
    0x2000deed,0x74401eeb,0xeeeeeeee,0x9805eeee,0x0077101c,0x01666440,
    0x2e203930,0x9bb51003,0x00003103,0x00199995,0xddddddd7,0x20001ddd,
    0x03ffffe8,0x81fff980,0x44004ffe,0x003ffffe,0x13ffffe0,0x3fea0000,
    0x3e2001ef,0x0ffee0df,0x7fff4400,0x2600003f,0x4402ffff,0xfe88dffe,
    0x7fffec5f,0x00fff800,0x4ffffe88,0x17fff200,0x7ffe4000,0x7ffec005,
    0xffffffff,0x3ff60fff,0xfff801ff,0xfffa8000,0x05fff01e,0x002fffc8,
    0x803fffe6,0xfffffff8,0x07ffffff,0x740fffcc,0xe88004ff,0x9803ffff,
    0xffe81fff,0xffffe804,0x03fd10cf,0x77ffd400,0xffff9001,0x01ffffff,
    0xfbfff300,0xfa8009ff,0x6fff83ff,0x37ffa600,0xa8004fff,0x006fffff,
    0x2fffd400,0xefffd800,0x8001ffff,0xfffdfff9,0xff980004,0xfb1000df,
    0xb09fffdf,0xf00bffff,0xfe8801ff,0x005ffedf,0x0017ffea,0x02fffd40,
    0xffffffb0,0xffffffff,0x2ffffec1,0x0007ffc0,0xf017ffea,0x7fd405ff,
    0x7fdc003f,0x3fe201ff,0xffffffff,0x7d407fff,0x6fff83ff,0x6fffcc00,
    0x7d404fff,0x6fff83ff,0x7f77fec0,0x0fffefff,0xbfff5000,0xeeeeb800,
    0x00eeeeee,0x897ffcc0,0x22004ffe,0xffd81fff,0x7fff3004,0x0013ffa6,
    0x3fffdff9,0x3fe60000,0x3620003f,0x02ffffff,0x12fff980,0x40009ffd,
    0x0004fff9,0x207ffffb,0x01fffffd,0xd1007ffc,0x3ff627ff,0xffd1000d,
    0x3a20000b,0x7c0005ff,0xffd803ff,0x7fc01fff,0x3fe6000f,0x2fff803f,
    0x00bfff30,0x80ffff30,0x0001fff8,0xb03fff10,0x7cc009ff,0x9ffd12ff,
    0x40fffc40,0x7e404ffd,0x3ffffa62,0xff30001f,0x0000007f,0x80aaa800,
    0x22000aaa,0x800a601a,0xaaa81aaa,0x27ffe000,0x00003fff,0x00003555,
    0x002f3326,0x54055540,0x550000aa,0xaa800035,0x3fff601a,0x7ffc05ff,
    0x206aaa00,0x54001aaa,0x200000aa,0x20000aaa,0xfd803fff,0x7c05ffff,
    0x2aa000ff,0x5fff001a,0x00dffd10,0x200eed40,0x0001fff8,0x29806a20,
    0x40555400,0x2a200aaa,0x0c00a601,0x000acba8,0x0006aaa0,0x00000000,
    0x00000000,0x2a000000,0x0dff97ff,0x00000000,0x00000000,0x00000000,
    0xfbffd800,0x3ffe01ff,0x00000000,0x00000000,0x007fff00,0x1fff9ffb,
    0x0007ffc0,0x0bffe000,0x0003bff6,0x7ffc4000,0x00000001,0x00000000,
    0x00000000,0x00000000,0x20000011,0x00000008,0x00bffe00,0x29ff9000,
    0x0001fffa,0x00000110,0x00000011,0x00440000,0x36008800,0x06ffcaff,
    0x20003ffe,0x08800008,0x00000000,0xb007fff0,0x09ffb5ff,0x00007ffc,
    0x70bffe00,0x00003fff,0xff880262,0x4000001f,0x00000008,0x00000000,
    0x00000000,0xfffdb880,0x10000bde,0x7bdfffb7,0x05ddb001,0x7c0f7740,
    0x400002ff,0x3ffe1fff,0xfb710003,0x0017bdff,0xdfffb710,0xddb0017b,
    0x0f774005,0x7ffedd40,0xa800bdff,0xdfffffdb,0xf15ffb0b,0x3ffe05ff,
    0xffdba800,0x400bdfff,0xdefffdb8,0x2eed800b,0x007bba00,0xfb007fff,
    0x01fff55f,0xddb03ffe,0x0f774005,0x7fd45fff,0x32a0002f,0xbefffffd,
    0x007ffe21,0xffb71000,0x20017bdf,0xeeeeeee8,0xc84eeeee,0xeeeeeeee,
    0x40eeeeee,0xb005eeec,0xeeec81dd,0x01ddb005,0x7fffff4c,0x4001efff,
    0xffffffe9,0x7fc01eff,0x3ffe003f,0x002fff82,0xb1ffea00,0xd3000dff,
    0xffffffff,0x7f4c003d,0xefffffff,0x01fffc01,0x4405fff0,0xfffffffd,
    0x36207fff,0xffffffff,0x25ffb7ff,0xfff06ffc,0x7ffec401,0x7fffffff,
    0x3ffffa60,0x401effff,0x3e003fff,0x7ffc02ff,0xd2ffd803,0x3ffe09ff,
    0x001fffc0,0x7ffc5fff,0x007fff12,0x3ffffa20,0x0fffffff,0x0003fff1,
    0x7ffff4c0,0x801effff,0xfffffff9,0xd85fffff,0xffffffff,0x40ffffff,
    0x801ffffd,0x7fec0fff,0xfff801ff,0xfffff700,0x5ffffffd,0x3fffee00,
    0xffffffef,0x00fffe02,0xff82fff8,0x3200002f,0x7ffd45ff,0x3ffee000,
    0xfffffeff,0xfffb802f,0xfffffeff,0x0fffe02f,0x302fff80,0xdffffffd,
    0x260fffff,0xeffffffe,0xffb7ffff,0x20bffe25,0xfd300fff,0xffdfffff,
    0x3fee0fff,0xffffefff,0x3ffe02ff,0x0bffe003,0xb007fff0,0x3ffee5ff,
    0x7c0fff80,0x3fe003ff,0x74bffe2f,0xf70005ff,0xfdffffff,0x3e21ffff,
    0x700001ff,0xffdfffff,0x9805ffff,0xffffffff,0xfd85ffff,0xffffffff,
    0x6c0fffff,0xf805ffff,0x7ffec0ff,0x0fff805f,0x0aefffa8,0x07fffee6,
    0x15dfff50,0x0ffffdcc,0x2003fff8,0xfff82fff,0x3fe00002,0x1fffc42f,
    0xaefffa80,0x3fffee60,0x3bffea01,0x3ffee60a,0x07fff01f,0x4c17ffc0,
    0x40adffff,0xff987da8,0x5440adff,0x645ffb7d,0x0fff86ff,0xadffff98,
    0x543ed440,0x260aefff,0xf01ffffb,0x7fc007ff,0x1fffc02f,0xff17fec0,
    0x81fff07f,0x3e003fff,0x2bffe2ff,0x90006ffd,0x8159ffff,0xff10fda8,
    0x5555557f,0x7d403555,0x2e60aeff,0x0001ffff,0x2005ffd8,0xfb003fff,
    0xf803ffff,0x7ffec0ff,0x7ffc01ff,0x00fffe80,0xd013ffee,0x7dc01fff,
    0x7fff04ff,0x417ffc00,0x00002fff,0xfb01fff5,0x3ffa00df,0x3ffee00f,
    0x03fffa04,0xf04fffb8,0x7fc007ff,0x3fffe82f,0xfffd0100,0x7fec2007,
    0xf0fffe22,0xfffd01ff,0x3fa02007,0x3fee00ff,0x07fff04f,0x2017ffc0,
    0xfd803fff,0x21ffee2f,0x7ffc0fff,0x8bffe003,0x0fffefff,0xffff9800,
    0x3e211002,0xffffffff,0x3a04ffff,0x3ee00fff,0xd80004ff,0x3fe005ff,
    0xfffb003f,0xfff80bff,0x7ffffec0,0x207ffc05,0xc801fffa,0xff500fff,
    0xfff9003f,0x007fff01,0x7fc17ffc,0xf900002f,0x3ffee0bf,0x0fffd400,
    0x407ffe40,0xc801fffa,0xfff80fff,0x0bffe003,0x0005fff5,0x0017ffd4,
    0x3f217fec,0x207ffc7f,0x0002fffa,0x2007ffea,0xff80fffc,0x3ffe003f,
    0x01fffc02,0xff117fec,0x40fff85f,0x3e003fff,0x3fffe2ff,0xd8000fff,
    0x10000fff,0xffffffff,0x209fffff,0xc801fffa,0x40000fff,0x3e005ffd,
    0xffb003ff,0x7c01fff9,0x67fec0ff,0x3fe00fff,0x02fff40f,0xd03fff98,
    0x3e600bff,0x3fff83ff,0x20bffe00,0x55442fff,0x7fff0009,0x00fffe20,
    0x2600bffd,0xffe83fff,0x7fff3005,0x4007fff0,0x7ff42fff,0x7ff40006,
    0x5ffb0006,0x3e3fff88,0x37ff40ff,0x17ffa000,0x41fffcc0,0x3e003fff,
    0x7ffc02ff,0x42ffd803,0x7ffc6ffc,0x001fffc0,0x7ffc5fff,0x4006fffb,
    0x0003fffa,0x3337ffe2,0x2ccccccc,0x200bffd0,0x0003fff9,0xf002ffec,
    0x3f6007ff,0x204ffdaf,0x7fec0fff,0x3e04ffda,0x3ffe60ff,0x1bffa002,
    0x800bffe6,0xfff86ffe,0x0bffe003,0x7f4cbffe,0x5404ffff,0x3fa00fff,
    0x3ffe606f,0x1bffa002,0x4005fff3,0xfff86ffe,0x8bffe003,0x0002fffb,
    0x000bffee,0x7dc17fec,0x41fff0ff,0x0002fffb,0x800bffe6,0xfff86ffe,
    0x0bffe003,0xb007fff0,0xfff885ff,0xff03ffe2,0x7ffc007f,0x3eabffe2,
    0x3fa004ff,0x7c40006f,0x260001ff,0x3a002fff,0x6c0006ff,0x3fe005ff,
    0x5ffb003f,0x3e01fff5,0x57fec0ff,0xff00fffa,0x07ffd41f,0x50fff700,
    0x5c001fff,0x3fff87ff,0x20bffe00,0xfffa9fff,0x206fffff,0x7dc06ffc,
    0xfff500ff,0x3ffdc001,0x8003ffea,0xfff87ffb,0x8bffe003,0x40006ffc,
    0x20006ffc,0xff882ffd,0x641fff3f,0x540006ff,0x2e000fff,0x3fff87ff,
    0x00bffe00,0xfb007fff,0x4dffb05f,0x7ffc0fff,0x8bffe003,0xfff92fff,
    0x0fffe007,0x3fff1000,0x7ffd4000,0x1ffee000,0x0bffb000,0x801fffc0,
    0x9ffd2ffd,0xfb03ffe0,0x413ffa5f,0x3fee0fff,0x3ffd4006,0x20037fdc,
    0xfff87ffa,0x0bffe003,0x3fff3ffe,0x3ffffcbd,0x555bfff0,0xfff95555,
    0x01bfee07,0xfb8fff50,0x7fd4006f,0x003fff87,0xffd8bffe,0x7fec0005,
    0x3ff60005,0x3efff702,0x17ff60ff,0x0dff7000,0xf87ffa80,0x3fe003ff,
    0x1fffc02f,0x4c17fec0,0x1fff1fff,0x2003fff8,0x3ffe2fff,0x007fff62,
    0x0003fff3,0x001fff88,0x001bfee0,0x8000fff5,0x3e005ffd,0xffb003ff,
    0x203ffee5,0x7fec0fff,0xf01fff72,0x37fe41ff,0x03ffea00,0xa800dff9,
    0x7ffc0fff,0x0bffe003,0x07bffffe,0xf50fffb1,0xffffffff,0x0bffffff,
    0x5001bff2,0x7fe41fff,0x7ffd4006,0x001fffc0,0x7ff45fff,0x7ff40004,
    0x3ff60004,0x3efffe02,0x13ffa0ff,0x0dff9000,0x40fffa80,0x3e003fff,
    0x7ffc02ff,0x02ffd803,0x3ffebffb,0x001fffc0,0x7ffc5fff,0x03fffe22,
    0x000fffa8,0x00fffc40,0x00dff900,0x000fffa8,0x8017ff60,0xfb003fff,
    0x41fffc5f,0x7fec0fff,0x3e0fffe2,0x17ff60ff,0x83fff300,0x4c005ffd,
    0x7ffc1fff,0x0bffe003,0x403bfffe,0x7e40fff9,0xffffffff,0x0fffffff,
    0x4005ffd8,0x3f61fff9,0x7fcc005f,0x01fffc1f,0x7fc5fff0,0x7fc0003f,
    0x3f60003f,0x3ffee02f,0x3ffe0fff,0x7fec0003,0x7ffcc005,0x001fffc1,
    0xff805fff,0x2ffd803f,0xff1fff30,0x03fff81f,0xff8bffe0,0x2fffcc2f,
    0x220fff70,0xeeeeeeee,0x003fff11,0x002ffec0,0x0007ffe6,0x2005ffd8,
    0xfb003fff,0x43ffdc5f,0x7fec0fff,0x3e1ffee2,0x13ffa0ff,0x85fff100,
    0x44004ffe,0x7ffc2fff,0x0bffe003,0xf003fffe,0xdfff83ff,0xcccccccc,
    0xe83fffcc,0x7c4004ff,0x13ffa2ff,0x85fff100,0x3e003fff,0x5fff12ff,
    0x7ffc4000,0x3ff60002,0x7ffff402,0x05fff10f,0x04ffe800,0x217ffc40,
    0x3e003fff,0x7ffc02ff,0x02ffd803,0x3fff3ffa,0x001fffc0,0x7ffc5fff,
    0x04fffb82,0x3e20dffb,0x1fffffff,0x0003fff1,0x20027ff4,0x0002fff8,
    0xf8017ff6,0xffb003ff,0x217ffc45,0x7fec0fff,0xf0bffe22,0x2fff41ff,
    0x07ffe600,0x9800bffd,0x7ffc1fff,0x0bffe003,0x3e00bffe,0x3ffea2ff,
    0x17ffa000,0x30017ffa,0x7ff43fff,0x7ffcc005,0x001fffc1,0x3fe25fff,
    0x3e20003f,0x360003ff,0x7fd402ff,0xfff10fff,0xffe80007,0x7ffcc005,
    0x001fffc1,0xff805fff,0x2ffd803f,0x3ffffea0,0x01fffc0f,0x7fc5fff0,
    0x5fffb02f,0x220dff90,0xffffffff,0x003fff11,0x002fff40,0x0007ffe6,
    0x2005ffd8,0xfb003fff,0x46ffc85f,0x7fec0fff,0x3e37fe42,0x17ff60ff,
    0x81fff300,0x4c005ffd,0x7ffc0fff,0x0bffe003,0x3a00bffe,0x1bff22ff,
    0x81fff900,0x4c005ffd,0x3ff60fff,0x7ffcc005,0x001fffc0,0x7ffc5fff,
    0x7ffc0004,0x3ff60004,0xffffe802,0x0013ffe0,0x800bffb0,0x7fc0fff9,
    0x3ffe003f,0x01fffc02,0x3a017fec,0x7c0fffff,0x3fe003ff,0x40bffe2f,
    0x5c0fffe8,0x3e2007ff,0x3fff11ff,0x2ffec000,0x03ffe600,0x05ffd800,
    0x400fffe0,0x7fc42ffd,0xb03ffe2f,0xfff885ff,0xfc83ffe2,0x7fd4006f,
    0x006ffc87,0x7fc3ffd4,0x3ffe003f,0x802fff82,0x3ffe2ffe,0x7ffcc003,
    0x0037fe42,0xff91ffea,0x7ffa800d,0x2003fff8,0x3ffa2fff,0x7ff40005,
    0x3ff60005,0xffffa802,0x0017ffa0,0x800dff90,0xfff87ffa,0x4bffe003,
    0xffeeeeec,0x0eeeeeef,0xf700bff6,0xff81ffff,0x3ffe003f,0x980bffe2,
    0x3ea0efff,0xff1000ff,0x3bffe23f,0xeeeeeeee,0x06ffc85e,0x003ffd40,
    0x8017ff60,0xfb003fff,0x4dffb05f,0x7fec0fff,0x3e6ffd82,0x1ffee0ff,
    0x70dff700,0xfb800fff,0x03fff86f,0x3e0bffe0,0xffe802ff,0x003fff32,
    0xfb8bffd0,0x7fdc007f,0x003ffdc6,0x3fe1bfee,0x3ffe003f,0x001bff62,
    0x000dffb0,0xe8017fec,0x3ff60fff,0x7fdc0006,0x37fdc007,0xf001fffc,
    0x3fff65ff,0xffffffff,0x3ff60fff,0xfffff802,0x001fffc0,0x7ffc5fff,
    0x2fffdc02,0x2003fff3,0xff11fff8,0xffffffff,0xff70ffff,0x6ffb800f,
    0x2ffec000,0x007fff00,0x3e60bff6,0x81fff1ff,0xff982ffd,0x541fff1f,
    0x3a001fff,0xfffa85ff,0x17ffa001,0x44013ffa,0xfff81fff,0x92ffe802,
    0x32000dff,0x3fea0fff,0x3ffa001f,0x00fffd45,0xfd0bffd0,0x3fe2009f,
    0x03fff21f,0x0fffc800,0x05ffb000,0xc83ffea0,0x20000fff,0x2001fffa,
    0xffe85ffe,0x3fff1004,0x3ffffff6,0xffffffff,0x200bff60,0x740ffffb,
    0xff1004ff,0x017ffc3f,0xf89fffec,0xff1004ff,0x3fffe23f,0xffffffff,
    0x1fffa87f,0x017ffa00,0x009ffb00,0xd801fffc,0xbffb02ff,0xffb03ffe,
    0x7d7ff605,0x3ffe20ff,0x5fff3004,0x009fff10,0x360bffe6,0xff3004ff,
    0x00bffe0f,0x0000bffa,0x2207ff44,0xf3004fff,0xfff885ff,0x5fff3004,
    0x2009ffb0,0x7fd47ff9,0x3ea0004f,0x000004ff,0xa83ffe60,0x20004fff,
    0x3004fff8,0xffb05fff,0x1ffe6009,0x02ffcc00,0x7fec0000,0x0fff3004,
    0x7ff40000,0xfff8800f,0x3ffa8001,0x004fff88,0x0005fff3,0x2003ffe8,
    0xfb003fff,0x3ffe605f,0x7ec0fff8,0x1fff302f,0xffd81fff,0x0dff9007,
    0xc803ffec,0xdff906ff,0x41bfee00,0xfe802fff,0xfb00002f,0x1fff603f,
    0xd837fe40,0xff9007ff,0x01bff20d,0x7f437fdc,0x3a0000ff,0x00000fff,
    0xd0fff500,0x40001fff,0xf9007ffd,0x1bff20df,0x0037fdc0,0x00037fc4,
    0x06ffc800,0x000dff70,0x27ffcc00,0x00fffc40,0xd817fe60,0xff9007ff,
    0xff88000d,0x3ffe002f,0x05ffb003,0x7ffe7ff4,0xd017fec0,0x81fff9ff,
    0x5c05fff9,0x3e602fff,0x7fdc05ff,0x5fff502f,0x03fff880,0xfd005fff,
    0xf500005f,0x7ffcc09f,0x17ffdc05,0x405fff98,0xf502fffb,0xff8805ff,
    0xffffa83f,0xfff50001,0x0000003f,0xff50bff9,0x260003ff,0x7dc05fff,
    0xfff502ff,0x3fff8805,0x01ffd800,0x001f75c0,0x8805fff5,0xd7003fff,
    0x7fec007d,0x7ffc404f,0x07ff4001,0x80bfff30,0x0602fffb,0x003fff20,
    0xb003fff8,0x7fd405ff,0x7ec0ffff,0x3ffea02f,0xffe80fff,0x7fdc40df,
    0xfffe806f,0x7ffdc40d,0x17fff406,0x206ffe98,0xfe802fff,0xfc80002f,
    0x7fff402f,0x7ffdc40d,0x6ffff406,0x37ffdc40,0x40bfffa0,0x3606ffe9,
    0x301bffff,0xffffb0d9,0x01b26037,0x81fffc40,0x01bffffd,0xfffd0d93,
    0xfffb881b,0x17fff406,0x006ffe98,0x8001fff0,0x74002ffe,0xfd302fff,
    0x7ff400df,0x3ffe2002,0xff8809df,0x3fe6001f,0xdfffe806,0x37ffdc40,
    0x2e02fee0,0x7c004fff,0xffb003ff,0xffffe805,0x017fec0f,0x03fffffa,
    0x3fffffa2,0x1effffed,0xffffe880,0xeffffedf,0x7fffcc01,0xfffeccde,
    0x0bffe02f,0x000bffa0,0x8037ff20,0xdfffffe8,0x01effffe,0x7fffff44,
    0x1effffed,0x77fffcc0,0xffffeccd,0x3fff6202,0xffeeefff,0xfffd887f,
    0xffeeefff,0xffa8007f,0x3ff6206f,0xfeeeffff,0xffe887ff,0xfffedfff,
    0x7fcc01ef,0xfeccdeff,0xd0002fff,0xff8007ff,0xfff98007,0xffeccdef,
    0x3fe002ff,0xfffa8007,0xfecdefff,0x22001fff,0x74402fff,0xfedfffff,
    0x5c01efff,0xffedffff,0xdd900fff,0xddfffddd,0xfd81dddd,0x7ffdc02f,
    0x17fec0ff,0x3ffffee0,0xffffb100,0x00bfffff,0xfffffd88,0x2005ffff,
    0xffffffea,0x7c01efff,0xffe802ff,0xff880002,0xfb103fff,0xffffffff,
    0x7fec400b,0x5fffffff,0x3fffaa00,0x1effffff,0xfffff700,0x0fffffff,
    0x7fffffdc,0x007fffff,0x07ffffea,0x3ffffee0,0x07ffffff,0xffffffb1,
    0x5400bfff,0xfffffffe,0x20001eff,0x00fffffb,0x8002ffcc,0xffffffea,
    0x2001efff,0x10005ff9,0xfffffffb,0x003fffff,0x07ffffd8,0x3fffff62,
    0x7005ffff,0xffffffff,0x7fec01df,0xffffffff,0x7ec0ffff,0xffff802f,
    0x017fec0f,0x007ffffc,0x3fffff6e,0x36e0002d,0x02dfffff,0xfffec880,
    0xff004eff,0x5ffd005f,0x3f6e0000,0x7edc03ff,0x002dffff,0xfffffb70,
    0xd910005b,0x09dfffff,0xfffb9100,0x80159bff,0xfffffdc8,0x2e000acd,
    0x2001efff,0xfffffdc8,0x6dc00acd,0x02dfffff,0xfffec880,0x80004eff,
    0x00fffec8,0x0001ffdc,0xfffffd91,0xff70009d,0xeda80007,0xbdffffff,
    0xffd88000,0xffdb807f,0x4002dfff,0xefffffda,0xffffd803,0xffffffff,
    0x17fec0ff,0x07fffdc0,0x2e00bff6,0x2000ffff,0x80000098,0x40000098,
    0xff8001a9,0x2ffe802f,0x4d440000,0x00262000,0x00131000,0x001a9800,
    0x0004c400,0x00004c40,0x0000f3ae,0x10000262,0x98000013,0x2000001a,
    0xeeb801a8,0x2a600000,0x775c0001,0x54c00000,0x4c000019,0x04c4001a,
    0x00998000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x98000000,0x0077101c,0x02ccc880,0x66654000,0x65d4400c,
    0x7ffffffe,0x00999950,0x88599700,0x97001ccc,0x1ccc8859,0xddddd700,
    0xb01ddddd,0x000005ff,0x06666540,0x003bf900,0x02ccc880,0x59991000,
    0x66440000,0x3a6001cc,0x804ed82e,0x0004ccca,0x013332a0,0x00044000,
    0x207376a2,0x65400018,0x10000ccc,0x00005999,0x20000998,0x0002ccc8,
    0x0ee20393,0x00155000,0x3a07ffe6,0xd10004ff,0x0007ffff,0x07bffea0,
    0xfffffc88,0x07ffffff,0x0017fff2,0x269ffd10,0x22003ffe,0xffd34ffe,
    0x7ffe4007,0x0fffffff,0x0006ffa8,0xdfff5000,0x7ffdc003,0x3fa20006,
    0x40003fff,0x03ffffe8,0xfffe8800,0x6ffc4002,0x400ffee0,0x0005fffc,
    0x017fff20,0x3ff6ea00,0x200bdfff,0x0cfffffe,0x20003fd1,0x001efffa,
    0x7ffffd10,0x3fb22000,0x1defffff,0xffffd100,0xfff98007,0x004ffe81,
    0x001dffb0,0xff07fff5,0xff3000df,0x009fffbf,0x05fffa80,0x7fffffd4,
    0x7ffeeeef,0x02fffd40,0x3bffa200,0x88003fff,0x3fffeffe,0x77775c00,
    0x00eeeeee,0x00003ffd,0x05fffa80,0x0ffffc80,0xdfff9800,0x30004fff,
    0x9fffbfff,0x7ff44000,0xffb0000e,0x03ffffdf,0x02fffd40,0xbfff5000,
    0x3ff62000,0xffffffff,0xfddffb07,0x1fffdfff,0xbfff5000,0x7ffcc000,
    0x2004fffd,0xffffffc8,0x802fffff,0xfffdfff9,0x3ffea004,0x006fff83,
    0x03ffff98,0xd81fff88,0x7cc004ff,0x9ffd12ff,0x3ffe6000,0x7fffcc03,
    0x3ea3ffff,0xffe8807f,0x7f440005,0x20002fff,0x02ffffe8,0xf7000000,
    0x4000009f,0x0003fff9,0x000dfff5,0x3a25fff3,0x7cc004ff,0x9ffd12ff,
    0x9ffd1000,0xffd88000,0x8002ffff,0x0005ffe8,0x017ffa20,0xfffffd30,
    0x0fffffdf,0xffe98bf2,0x98001fff,0x20003fff,0xfd12fff9,0x3ffa009f,
    0xfeeeeeff,0x7fcc02ff,0x09ffd12f,0x207ffe20,0x98004ffd,0x1003ffff,
    0x0014c035,0x55405554,0xaaa8000a,0x7fff4401,0x2a3fffff,0x2aa007ff,
    0x5440000a,0x880001aa,0x00001aaa,0x3ffe2000,0x55000000,0xeb800035,
    0xaaa8000d,0x000aaa80,0x2aa02aaa,0x554c000a,0x32600001,0x40000bcc,
    0x00000aaa,0x98005554,0x40adffff,0x40607da8,0x0000acba,0x80003555,
    0xaaa80aaa,0x67ffe400,0x5006a201,0x15550155,0x9806a200,0x3ffa0002,
    0x0000000f,0x00000000,0x7fffd400,0x2a3fffff,0x000007ff,0x00000000,
    0x00000000,0x0000fff6,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00ffffa0,0x00000004,0x00000000,0x13ffe200,0x00000000,
    0x40000000,0x000000bb,0x00000000,0xfffc8000,0x23ffffff,0x00007ffa,
    0x00000000,0x5ddb0000,0x20f77400,0x00006ff9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0017ffd4,0x00000000,0x00000000,
    0x001fff50,0x00000000,0x00000000,0x3bbbb200,0xeeec8001,0xeeeeeeee,
    0xeec80eee,0xeeeeeeee,0xffd0eeee,0x7fffffff,0x7643ffd4,0xeeeeeeee,
    0x260eeeee,0xeeeeeeee,0xeeeeeeee,0x2f77644e,0x7c0eed80,0x3fe003ff,
    0x02ffe82f,0x3bbba200,0xeeeeeeee,0xeeeec85e,0xeeeeeeee,0x0ddd10ee,
    0x20fbaa00,0xeeeeeee8,0x05eeeeee,0xddddddd9,0xec80059b,0xeeeeeeee,
    0x000eeeee,0x003dddd9,0xdddddd10,0xbddddddd,0x0006ffe8,0xeeeeeec8,
    0xeeeeeeee,0x003ddd90,0x321ddd90,0xc8001eee,0xfff70eee,0x5ddb0000,
    0xc8f77400,0xc8001eee,0x00000eee,0x9fffff00,0xffffb000,0xffffffff,
    0xfffb01ff,0xffffffff,0x3ffa1fff,0x3fffffff,0x3f61ffea,0xffffffff,
    0x2a0fffff,0xffffffff,0xffffffff,0x7fffec6f,0x40fff801,0x3e003fff,
    0x5ffa82ff,0x3ffe2000,0xffffffff,0xfffd87ff,0xffffffff,0x3ffe0fff,
    0x3ffb8000,0xffffff88,0x7fffffff,0xffffffb0,0x005fffff,0x3ffffff6,
    0xffffffff,0xfffff000,0xfff10009,0xffffffff,0x7ffdcfff,0xffd80002,
    0xffffffff,0xff30ffff,0xff8800df,0x1bffe64f,0x49fff100,0x0002fffa,
    0xf001fff4,0x3ffe65ff,0x7ffc4006,0x07dd3004,0xfffff500,0xfffb000d,
    0xffffffff,0xffb01fff,0xffffffff,0x3f61ffff,0xffffffff,0x361ffea3,
    0xffffffff,0x20ffffff,0xfffffffa,0xffffffff,0x7ffec6ff,0x0fff805f,
    0xf001fffc,0x3ffe05ff,0xfff10000,0xffffffff,0xfffb0fff,0xffffffff,
    0x7ffc1fff,0x2ffc8000,0xffffff88,0x7fffffff,0xffffffb0,0x09ffffff,
    0xffffffb0,0xffffffff,0xffff5001,0xff1000df,0xffffffff,0x7fe4ffff,
    0xffb00006,0xffffffff,0x7e41ffff,0x3f6002ff,0x7ffe40ff,0x3fff6002,
    0x03bffe20,0x03ffe800,0xfc8bffe0,0x3f6002ff,0xff5000ff,0xdff90009,
    0x00003fff,0x0000fffe,0xf700fffe,0xffffffff,0x003ffd47,0x00007fff,
    0x6c007fff,0x401fffff,0x7ffc0fff,0x0bffe003,0x80027fe4,0x0001fff8,
    0x803fff80,0xc8001ffe,0xfff882ff,0x7fec0001,0xffffc984,0x7fff0001,
    0x77fe4000,0x44001fff,0xd8001fff,0x000005ff,0x4401fffc,0xf3006fff,
    0xfff107ff,0x3ffe600d,0x3ffffd83,0x07ffd000,0xf117ffc0,0x3e600dff,
    0x3ea003ff,0xfff8004f,0x0003fff9,0x0007fff0,0x9807fff0,0xffffffff,
    0x01ffea3f,0x0003fff8,0x2003fff8,0x05fffffd,0x3fe07ffc,0x3ffe003f,
    0x00fff102,0x007ffe20,0x0fffe000,0x0007ffa0,0x3e207ff6,0x6c0001ff,
    0x3fe604ff,0xfff0005f,0x7ffc0007,0x4003fff9,0x8001fff8,0x00004ffe,
    0x801fffc0,0xd803fffb,0x3fee07ff,0x7ffd803f,0xdffffd10,0x7ff40017,
    0x0bffe003,0xb007fff7,0xfa800fff,0x7fd4004f,0x000dff97,0x000fffe0,
    0x200fffe0,0xfffffffb,0x01ffea3f,0x0003fff8,0x2003fff8,0x0fffcffd,
    0xff03ffe0,0x7ffc007f,0x00bff602,0x007ffe20,0x0fffe000,0x000bff60,
    0x3e207ff6,0x6c0001ff,0x7fec04ff,0x7fff0006,0x5ffea000,0x44006ffc,
    0xf8001fff,0x000003ff,0xd001fffc,0x7cc01fff,0x7ff402ff,0x3ffe600f,
    0x3fff6202,0xe801cfff,0x3fe003ff,0x0fffe82f,0x00bffe60,0x8009ff70,
    0xfff54ffc,0xfff00003,0xfff00007,0x3fff6007,0x3ea3ffff,0x3ffe007f,
    0xfff80003,0x2bff6003,0x3fe04ffd,0x01fffc0f,0x5405fff0,0xf88006ff,
    0x800001ff,0xfd803fff,0xffd8002f,0x01fff880,0x027fec00,0x0003ffee,
    0x4000fffe,0xfff54ffc,0x7ffc4003,0x7ffc4001,0x7c000002,0x3ea003ff,
    0x3ffa03ff,0x3fffa806,0x401bffa0,0xffffffea,0x0fffa00d,0xa82fff80,
    0x3fa03fff,0xffb7006f,0xff800bff,0x00fffe1f,0x00fffe00,0x00fffe00,
    0xfffffea8,0x801ffea3,0x80003fff,0x36003fff,0x0fffaaff,0xff81fff0,
    0x3ffe003f,0x00fff402,0x007ffe20,0x0fffe000,0x000fff20,0x3e203ffa,
    0x6c0001ff,0x7fdc04ff,0x7fff0007,0x87ffe000,0x22003fff,0x44001fff,
    0x00003fff,0x001fffc0,0x2a03fffa,0xfd001fff,0xfff501ff,0xffd98003,
    0xfd03ffff,0x7ffc007f,0x01fffd02,0x9803fff5,0x5ffffffe,0xb1ffea00,
    0xf0000dff,0xf00007ff,0x970007ff,0x7fd47fdb,0x0fffe007,0x0fffe000,
    0xfd2ffd80,0x03ffe09f,0x7c007fff,0x7fdc02ff,0x7ffc4004,0xff800001,
    0x3ffc803f,0xffd02a98,0x007ffe20,0x809ffb00,0xf0006ffd,0xf50007ff,
    0x06ffd8ff,0x007ffe20,0x0013ffe0,0x07fff000,0x84fff980,0x26005ffe,
    0xffe84fff,0x3ee20005,0xfe83ffff,0x3ffe003f,0x09fff302,0xfd00bffd,
    0x03579dff,0x2a2ffe40,0x40000fff,0x80003fff,0x00003fff,0x2007ffa8,
    0x80003fff,0x36003fff,0x1fff72ff,0xff81fff0,0x3ffe003f,0x07ffc402,
    0x03fff100,0x7fff0000,0xd09ff700,0x0fff03ff,0x0007ffe2,0x5409ffb0,
    0xf0003fff,0xf90007ff,0x0fffa8bf,0x03fff100,0x00bfff00,0x3fff8000,
    0x0fffd800,0x0003ffea,0x7d41fffb,0x880000ff,0x741ffffc,0x3fe003ff,
    0x3fff602f,0x003ffea0,0x0005fff9,0x7c42fff8,0x7c0003ff,0xf80003ff,
    0x800003ff,0x3e007ffa,0xf80003ff,0x3f6003ff,0x20fffe2f,0x7ffc0fff,
    0x0bffe003,0x800fff20,0xaaabfff8,0x01aaaaaa,0x200fffe0,0x7fc44ffa,
    0x107ff83f,0x55557fff,0x20355555,0xfc884ffd,0x3e0006ff,0xff8003ff,
    0x1fffc42f,0xabfff880,0xaaaaaaaa,0x001bffa1,0x07fff000,0x4bfff100,
    0x88004ffe,0x3ffa5fff,0x7d400004,0x6fff44ff,0xaaaaaaaa,0x202fffaa,
    0x3fa5fff8,0x5ffe804f,0x7ffd4000,0x006ffd80,0x001fffc0,0x001fffc0,
    0x03ffd400,0x0007fff0,0x4007fff0,0x3fee2ffd,0x7c0fff87,0x3fe003ff,
    0x6ff9802f,0x3fffe200,0xffffffff,0x3ffe004f,0x44ffa803,0xff86fffb,
    0xfffff106,0xffffffff,0x3bfff609,0xefffffee,0x3ffe0000,0x7ffd4003,
    0x006ffd80,0xfffffff1,0x49ffffff,0x0001fffd,0x00fffe00,0x547ffe40,
    0x90000fff,0xfff51fff,0xfd000001,0xffffe8df,0xffffffff,0x6402ffff,
    0xfffa8fff,0x03fff800,0x82ffe400,0x0000fffb,0x0000fffe,0x0000fffe,
    0x801ffea0,0x80003fff,0x36003fff,0x3ffe22ff,0x3e07ffc2,0x3fe003ff,
    0x5ffd002f,0x3fffe200,0xffffffff,0x3ffe004f,0x45ff9803,0x221ffffd,
    0xfff105ff,0xffffffff,0x3ff609ff,0xefffffff,0xfff80003,0x2ffe4003,
    0x800fffb8,0xfffffff8,0x24ffffff,0x0005fff9,0x00fffe00,0x76fffc40,
    0x220003ff,0x3ffedfff,0xff900000,0xfffffe8d,0xffffffff,0x7c402fff,
    0x03ffedff,0x003fff88,0x881fffc0,0x20003fff,0x80003fff,0x00003fff,
    0x2007ffa8,0x80003fff,0x36003fff,0x37fe42ff,0xfff03ffe,0x17ffc007,
    0x005ffa80,0x999bfff1,0x05999999,0x401fffc0,0x3fe25ff9,0x3fe24ffe,
    0x9bfff105,0x99999999,0x3ffff605,0x002fffff,0x007fff00,0xf103fff8,
    0xff1007ff,0x999999bf,0xffe85999,0xf000000f,0x5c0007ff,0x006fffff,
    0xfffffb80,0x36000006,0x77ff45ff,0xcccccccc,0x802fffcc,0x06fffffb,
    0x0017ffe0,0x200fffa8,0x20006ffe,0x80003fff,0x00003fff,0x2007ffa8,
    0x80003fff,0x36003fff,0x7ffc42ff,0xff03ffe2,0x7ffc007f,0x07ffe002,
    0x007ffe20,0x0fffe000,0xfa9bfe20,0x3e67ff9f,0x3fff104f,0x4ffd8000,
    0x00fffee2,0x00fffe00,0x200fffa8,0xf8806ffe,0xf70001ff,0x00003fff,
    0x0007fff0,0x02ffffe8,0xffffd000,0x26000005,0x7ff43fff,0x0bffe003,
    0x17ffff40,0x01fffb00,0x01bff200,0x0001fff7,0x0000fffe,0x0000fffe,
    0x801ffea0,0x80003fff,0x36003fff,0x6ffd82ff,0xfff03ffe,0x17ffc007,
    0x009ff700,0x0003fff1,0x007fff00,0xbfecdff1,0x9ff31ffd,0x007ffe20,
    0x709ffb00,0x80003fff,0x32003fff,0x7fdc06ff,0x7ffc400f,0x3ff60001,
    0xd9301bff,0x01fffc00,0x17ffea00,0xfffa8000,0x002f2005,0x81ffff71,
    0x3e003ffe,0xff5002ff,0xff9800bf,0xff8000ef,0xaaaaaadf,0x003fffca,
    0x0007fff0,0x0007fff0,0x00fff500,0x0001fffc,0xb001fffc,0xfff305ff,
    0xfd03ffe3,0x3fe2009f,0x3fe2001f,0x7ffc400f,0xff800001,0x2fff003f,
    0x9ff74ff8,0x7c40ffea,0x6c0001ff,0xdffd04ff,0x3fff8000,0x2b7ffe00,
    0xfcaaaaaa,0x7fc403ff,0x7ec0001f,0xeeefffff,0x3e007fff,0xf80003ff,
    0x400003ff,0x3a003fff,0xecdeefff,0x81fffffe,0x3e003ffe,0x3fe002ff,
    0xffd8003f,0x3ea001ef,0xffffffff,0x05ffffff,0x007fff00,0x007fff00,
    0x0bff7000,0x001fffc0,0x001fffc0,0x3f605ffb,0xd81fff5f,0xff3004ff,
    0x7ffb000f,0x01fff880,0x3fff8000,0x3eafff00,0x2afff11f,0xfff103ff,
    0xffd80003,0x05fff304,0x01fffc00,0xffffffa8,0xffffffff,0x7ffc405f,
    0xffd80001,0xffffffff,0x3ffe007f,0xfff80003,0x7fc00003,0x3ffa003f,
    0xffffffff,0xffd01eff,0x17ffc007,0x007fff00,0x3bffffa0,0xff9009ab,
    0xffffffff,0x01ffffff,0x007fff00,0x007fff00,0x09ff9000,0x001fffc0,
    0x001fffc0,0x3e605ffb,0x40fff8ff,0xf7006ffc,0xff3000df,0x1fff880d,
    0xfff80000,0xb1ffd003,0xaaffd8ff,0xfff102ff,0xffd80003,0x01bffa04,
    0x003fff80,0xfffffff9,0xffffffff,0x7ffc401f,0xf7100001,0x59bfffff,
    0x1fffc001,0x1fffc000,0x3ffe0000,0x3ff6e003,0xcfffffff,0x01fff401,
    0x4005fff0,0x20003fff,0xfffffffc,0x99bfff04,0x99999999,0xf0007fff,
    0xf00007ff,0x008007ff,0x0017ffc4,0x00007fff,0x6c007fff,0x3ffa02ff,
    0x7d40fffc,0x7fc402ff,0xffd0003f,0x0fffc403,0x7ffc0000,0xf3ffd003,
    0xbdffa89f,0xfff102ff,0xffd80003,0x0bffea04,0x01fffc00,0xcccdfff8,
    0xfccccccc,0x3fe203ff,0x5c00001f,0x40000eff,0x80003fff,0x00003fff,
    0x8001fffc,0x06ffc998,0x800fffa0,0x3e002fff,0x4c0003ff,0x84fffffd,
    0x2000fffa,0xf8005ffe,0xf80003ff,0x3f2003ff,0x0dffd103,0x003fff80,
    0x003fff80,0xfa80bff6,0xe80fffff,0xfd302fff,0x7dc000df,0x3ffe205f,
    0xff800001,0x7ffb003f,0xfff885ff,0xff101ffb,0xfd80003f,0x37ff404f,
    0x03fff800,0x000fffa8,0xf8817ffa,0x400001ff,0x80003ffc,0x80003fff,
    0x00003fff,0x0001fffc,0xd0027fdc,0x7fc007ff,0x3ffe002f,0x95100003,
    0xdff907b9,0x0fffc800,0x01fffc00,0x01fffc00,0xbdefff98,0x01ffffcb,
    0x001fffc0,0x001fffc0,0xfe805ffb,0xf980ffff,0xeccdefff,0x0002ffff,
    0xf8807ffc,0x800001ff,0xfb003fff,0x3f60ffdf,0xf101ffef,0xd80003ff,
    0x7fdc04ff,0xfff8002f,0x06ffc803,0x807ffe40,0x0001fff8,0x000fff40,
    0x001fffc0,0x001fffc0,0x00fffe00,0x00bff600,0x2003ffe8,0x3e002fff,
    0x000003ff,0x001fffc0,0x640bffe6,0xfffeeeee,0x80eeeeee,0xffeeeeec,
    0x0eeeeeef,0x7fffff4c,0x203fffff,0xffeeeeec,0x0eeeeeef,0x00fffe00,
    0x5c02ffd8,0x500fffff,0xfffffffd,0x00003dff,0x3e207ff9,0xeeeeeeff,
    0xec85eeee,0xefffeeee,0x640eeeee,0xf504ffff,0x2201ffff,0xeeeeefff,
    0xb05eeeee,0xfff009ff,0x7777640b,0xeeeefffe,0x0fffe0ee,0x05fff300,
    0x3bbbffe2,0x5eeeeeee,0x007ff880,0x7f777764,0xeeeeeeff,0x0fffe000,
    0x7fff0000,0x0fff0000,0x003ffe80,0xf800bffe,0x000003ff,0x007ffe60,
    0x6c17ffa0,0xffffffff,0x80ffffff,0xfffffffd,0x0fffffff,0xfffffd50,
    0xffd801bf,0xffffffff,0x2000ffff,0x36003fff,0xfff802ff,0x3b2200ff,
    0x04efffff,0x1ffe2000,0x7fffffc4,0x7fffffff,0xffffffd8,0xffffffff,
    0x17fffdc0,0x01fffff0,0x3fffffe2,0x7fffffff,0x7009ffb0,0x3f603fff,
    0xffffffff,0xf30fffff,0xfd0003ff,0x3ffe20bf,0xffffffff,0xffa807ff,
    0x7ffec004,0xffffffff,0x3e000fff,0x400003ff,0x40003fff,0x74005ff9,
    0x3fe003ff,0x3ffe002f,0x20000003,0x90006ffc,0xffb01fff,0xffffffff,
    0xfb01ffff,0xffffffff,0x001fffff,0x6c001553,0xffffffff,0x00ffffff,
    0x800fffe0,0xfb802ffd,0x26000fff,0x0000001a,0x3ffffe20,0xffffffff,
    0xfffffd87,0xffffffff,0x3fffdc0f,0x81ffff60,0xfffffff8,0x07ffffff,
    0xf1009ffb,0x3ff60bff,0xffffffff,0xff90ffff,0x3ff2000d,0xffff880f,
    0xffffffff,0x1cc9807f,0x7fffec00,0xffffffff,0x3fe000ff,0x7c00003f,
    0x4c0003ff,0x7f4002cc,0x3ffe003f,0x0fffe002,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0033332a,0x00077f20,0x40e6ed44,
    0x665c0018,0x00e66442,0xcb83cca8,0x7400002c,0x991001ff,0x00000059,
    0x00399993,0xcc885997,0x7e40001c,0x80001eff,0x000cccca,0x19999500,
    0x01dfc800,0x6c1774c0,0xee98004e,0x9804ed82,0x0077101c,0x99707995,
    0xeeeb8005,0x0eeeeeee,0x77775c00,0x00eeeeee,0xeeeeeeb8,0xcb80eeee,
    0xa8000002,0xa80000bb,0x000000bb,0x0001a880,0x007bffea,0x01bffee0,
    0x7fffff40,0x003fd10c,0xe9a7ff44,0x7ec003ff,0x5ffd88df,0x7fd40000,
    0xfffd1006,0x4000007f,0x002ffff9,0x3a69ffd1,0x640003ff,0x00005fff,
    0x003dfff5,0x3bffea00,0x7ffdc001,0x6ffc4006,0x000ffee0,0xfb837fe2,
    0x7ffcc03f,0x804ffe81,0xfd88dffd,0xffc8005f,0xffffffff,0x7ffe4000,
    0x0fffffff,0xfffffc80,0x540fffff,0x00002fff,0x7ffffd10,0x3ffa2000,
    0x440003ff,0x3ea00efe,0xfa8005ff,0x320005ff,0x4000ffff,0xfffeeffd,
    0x000fffef,0x7ff7ff44,0xffb0003f,0x000bffdf,0x005ffb00,0xfffbfff3,
    0xf3000009,0x88001bff,0x3fffeffe,0x7ffe4000,0xff500003,0x540000bf,
    0x90005fff,0x8001ffff,0xfffefffd,0xffb0001f,0x03ffffdf,0xf83fffa8,
    0xffb006ff,0x000bffdf,0x3bbbbbae,0x4000eeee,0xeeeeeeeb,0xeb800eee,
    0xeeeeeeee,0x37ffdc0e,0xefe80000,0x8001ffdb,0x1ffdbefe,0x3fff6000,
    0x3ffffe05,0x3ffe6002,0x7fd40003,0x2fc8006f,0x3fffffa6,0xffd10001,
    0xc80005ff,0x0004ffff,0x807ff880,0xfd12fff9,0x4c00009f,0x20004fff,
    0x02ffffe8,0x8f7fe400,0xf3000099,0x400007ff,0x0003fff9,0x001bffea,
    0x3fffff62,0x3620002f,0x02ffffff,0xd81fff88,0x3f2004ff,0x00004fff,
    0x00000000,0xf8800000,0x800007ff,0x13f20ff8,0x641ff100,0x3fe0004f,
    0xfff107ff,0x554009ff,0xd700001a,0x4060001b,0x0000acba,0x000d5544,
    0x002aaa80,0x09ff9000,0x55015550,0x2a000015,0x880001aa,0x40001aaa,
    0xff30deea,0x2aaa0007,0x55400001,0xeb80001a,0x3260000d,0x00000bcc,
    0x00179993,0x05300d44,0x00555500,0x00000000,0x00000000,0x00037fd4,
    0x3ea37d40,0x237d4005,0x360005fa,0x3fe05fff,0x00002fff,0x00000000,
    0x00000000,0x00000000,0x001fff00,0x00000000,0x00000000,0x00ffc800,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fe60000,0xf8800005,0x0013f62f,0x27ec5ff1,0x1bfb1000,0x02fffd40,
    0x00000000,0x00000000,0x00000000,0xffb80000,0x00000005,0x00000000,
    0xff800000,0x00000005,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00f77764,0x77777640,0xeeeeeeee,0xeeee880e,0xeeeeeeee,0x017fdc5e,
    0xeffc8000,0xc8000ffe,0x00ffeeff,0x2a200000,0xddddd501,0xdddddddd,
    0xddd50ddd,0xdddddddd,0x400ddddd,0x001eeeec,0x77777754,0xeeeeeeee,
    0x3bbb206e,0x02cdeeee,0x07ffa000,0x3bbbb200,0x76c00001,0xeeeeeeee,
    0xeeee882e,0xeeeeeeee,0xaa98005e,0x90003ffb,0x0003dddd,0x00017bae,
    0xddddddd1,0x0bdddddd,0x07bbbb20,0x3bbba200,0xeeeeeeee,0xeeee885e,
    0xeeeeeeee,0xeeeed85e,0x009acdee,0xfffff800,0xfffd8004,0xffffffff,
    0xff880fff,0xffffffff,0xffb57fff,0xc800000b,0x0001efff,0x007bfff2,
    0x70000000,0xffffffff,0xffffffff,0xffffff70,0xffffffff,0x7ffc00ff,
    0x7dc004ff,0xffffffff,0x07ffffff,0x3ffffff6,0x002fffff,0x0037fcc0,
    0x04fffff8,0x3ffe6000,0xffffffff,0xfffff882,0xffffffff,0xfffd5007,
    0x0005ffff,0x013ffffe,0x0037fe40,0x3ffffe20,0xffffffff,0xfffff007,
    0xfff10009,0xffffffff,0xfff10fff,0xffffffff,0xffff0fff,0xffffffff,
    0x7fd40009,0xd8006fff,0xffffffff,0x80ffffff,0xfffffff8,0xf7ffffff,
    0x000019ff,0x00002600,0x40000098,0x00009aa8,0xfffffff7,0xffffffff,
    0xfffff70f,0xffffffff,0x3ea00fff,0x4006ffff,0xfffffffb,0xffffffff,
    0x3ffff607,0xffffffff,0x3ff60004,0xfffa8003,0x200006ff,0xeefffffc,
    0xf882eeee,0xffffffff,0x4407ffff,0xfffffffd,0x54004fff,0x006fffff,
    0x000dff90,0xffffff88,0x7fffffff,0xfffffa80,0xfff88006,0xffffffff,
    0xfff887ff,0xffffffff,0xffff87ff,0xffffffff,0xfc8001ef,0x001fffef,
    0x007fff00,0x000fffc4,0x000006f6,0x22002666,0xa9880099,0x200009aa,
    0xffffffeb,0x4cc4004e,0x99999999,0x884fffb9,0x99999999,0x4fffb999,
    0xffdff900,0x4cc4003f,0x99999999,0x204fffb9,0xfc984ffd,0x88001fff,
    0xc8000fff,0x01fffeff,0xeeff8800,0x3e2001ff,0xd00001ff,0xf957bfff,
    0x4009ffff,0x1fffeffc,0x06ffc800,0x0fffc400,0xdff90000,0x88003fff,
    0x20001fff,0x0001fff8,0x5310fffe,0x005ffffd,0xfff9fff8,0xfff00003,
    0x7ffc4007,0x26620001,0x00d55440,0x74017ffc,0xffb502ff,0x5dffffff,
    0x7fff4c00,0x06ffffff,0x3fa20000,0xe880006f,0x3fe006ff,0x003fff9f,
    0xdffd1000,0x204ffd80,0x8005fff9,0xf0004ffb,0x07fff3ff,0xd7ff7000,
    0x7c4003ff,0xb80001ff,0x7fe42fff,0xf002fffe,0x07fff3ff,0x00dff900,
    0x01fff880,0x27ffe000,0x44003fff,0x20001fff,0x0001fff8,0xf700fffe,
    0x7d400dff,0x00dff97f,0x00fffe00,0x001fff88,0xfc8bff20,0x201effff,
    0xfe802fff,0xffffd02f,0x9fffffff,0xdffff500,0x0dfd977b,0x7fe40000,
    0xfc80001f,0xff5001ff,0x001bff2f,0x0fffe400,0xb013ff60,0xff000dff,
    0xff50003f,0x001bff2f,0x3fa3ffa0,0x3fe2001f,0x7c40001f,0x8dff82ff,
    0xfa805fff,0x00dff97f,0x000dff90,0x001fff88,0x32fff500,0x7c4006ff,
    0x220001ff,0x20001fff,0xf9803fff,0xff9003ff,0x007ffea9,0x00fffe00,
    0x001fff88,0x3a2fff20,0xffffffff,0x005fff02,0x3fa05ffd,0xfcbabcdf,
    0x3e202fff,0x0e203fff,0x7fcc0000,0xf980004f,0x3f2004ff,0x03fff54f,
    0xfff98000,0x04ffd804,0x0007ffdc,0x2000bff5,0xfff54ffc,0x7fcc0003,
    0x4003ffd5,0x0001fff8,0x7d437fe4,0x01fff53f,0xff54ffc8,0xffc8003f,
    0x7fc40006,0xf900001f,0x07ffea9f,0x01fff880,0x07ffe200,0x03fff800,
    0x001fffb0,0x7ffc3fff,0xfff80003,0x3ffe2003,0x3ff20001,0xfcbeffec,
    0xfff06fff,0x05ffd005,0xfff300ae,0x0fffe40d,0xd0000000,0x20000dff,
    0x7c006ffe,0x0fffe1ff,0xdffd0000,0x013ff600,0xd800fff7,0xff0002ff,
    0x01fffc3f,0x3a3ffb00,0x3e2001ff,0x6c0001ff,0x0ffc83ff,0xf805fff1,
    0x0fffe1ff,0x00dff900,0x01fff880,0x43fff000,0x22003fff,0x20001fff,
    0x0001fff8,0x4c00fffe,0x7d402fff,0x037fec7f,0x01fffc00,0x003fff10,
    0x7ffffe40,0x82fffb83,0xfe802fff,0x7e40002f,0x9fff307f,0x00aa2000,
    0x01fffc80,0x1fffc800,0xb1ffea00,0x40000dff,0xb001fffc,0xffd809ff,
    0x1bfe6006,0x23ffd400,0x10006ffd,0x0fff4dff,0x03fff100,0x81fff800,
    0x1fffc5ff,0xfd8fff50,0x7fe4006f,0x7fc40006,0xfa80001f,0x037fec7f,
    0x003fff10,0x00fffc40,0x007fff00,0x3201fffc,0x7ffd45ff,0x7ffc0000,
    0x3ffe2003,0x3ff20001,0x3ffa02ff,0x802fff83,0x40002ffe,0xfb81fff9,
    0xfa8000ff,0xf98005ff,0x980004ff,0x64004fff,0x7ffd45ff,0xff980000,
    0x3ff6004f,0x0fffea04,0x003ffc80,0xfa8bff90,0xfb8000ff,0x007ffa3f,
    0x001fff88,0x503ffe20,0x4ffd87ff,0xf517ff20,0x7e4001ff,0x7c40006f,
    0xc80001ff,0x7ffd45ff,0x3fff1000,0x7ffc4000,0x3ffe0001,0x13ffa003,
    0xf885fff0,0x7c0003ff,0x3e2003ff,0xaaaaabff,0xfc81aaaa,0x7fe403ff,
    0x802fff84,0x80002ffe,0xffc81fff,0xffff0006,0xffe8005f,0xffd00006,
    0x5fff000d,0x003fff88,0x006ffe80,0x64427fec,0x22006fff,0xf0000fff,
    0xfff885ff,0x0ffe8003,0x2666bffa,0x7fff1019,0x55555555,0x1fff3035,
    0x7e40ffc8,0x0bffe04f,0x4007fff1,0x40006ffc,0xaaabfff8,0x01aaaaaa,
    0xff10bffe,0x3fe2007f,0xaaaaaabf,0xff881aaa,0xaaaaaabf,0xfff81aaa,
    0x1bff6003,0xd80fffa8,0x7c0006ff,0x3e2003ff,0xffffffff,0xfc84ffff,
    0x5ffc805f,0xe802fff8,0x4cc002ff,0x81fff999,0x88004ffd,0x004fffff,
    0x0007fff2,0x007fff20,0xb01fff50,0xc8000dff,0x6c001fff,0xffeeefff,
    0x2000efff,0x50005ffb,0xffb01fff,0x5ff9800d,0x7ffffff4,0xfff880ff,
    0xffffffff,0xfff884ff,0x7ec2ffc1,0x1fff503f,0x400dffb0,0x40006ffc,
    0xfffffff8,0x04ffffff,0xfb01fff5,0x3fe200df,0xffffffff,0xff884fff,
    0xffffffff,0xfff84fff,0x1fff2003,0xf705ffc8,0x7c0001ff,0x3e2003ff,
    0xffffffff,0xfc84ffff,0x5ffb805f,0xe802fff8,0x7edc02ff,0xffffffff,
    0x03fff81f,0x5fffff00,0x13ffe600,0x3ffe6000,0x5ffc8004,0x001fff70,
    0x013ffe60,0x3fffff60,0x003effff,0x0001ffe8,0x3ee0bff9,0x3f6000ff,
    0x7ffff42f,0xf880ffff,0xffffffff,0xff04ffff,0x41ffd45f,0xff902ffe,
    0x03ffee0b,0x0037fe40,0x3ffffe20,0xffffffff,0x20bff904,0x8800fffb,
    0xffffffff,0x884fffff,0xffffffff,0xf84fffff,0x3ee003ff,0x0fffe07f,
    0x001fffc4,0x4007fff0,0xcccdfff8,0x82cccccc,0xfb805ffc,0x02fff85f,
    0xf502ffe8,0xffffffff,0xfd03ffff,0x3e60009f,0x3fa004ff,0xfd00006f,
    0x3fe000df,0x7fff103f,0x1bffa000,0x7fffec00,0x002fffff,0x0006ffa8,
    0x7c40fffe,0xff1003ff,0x559ffd0f,0x3fe20555,0xccccccdf,0xfff02ccc,
    0x2207fe47,0xfff01fff,0x0fffe207,0x0037fe40,0x337ffe20,0xcccccccc,
    0x207fff02,0x8803fff8,0xccccdfff,0x882ccccc,0xccccdfff,0xf82ccccc,
    0x3f2003ff,0x1fff507f,0x0037ff40,0x4007fff0,0x0001fff8,0x2e017ff2,
    0x2fff85ff,0x982ffe80,0x9aacffff,0x81fff999,0x20005ffd,0x3f200098,
    0xc80001ff,0xa8001fff,0x3fa00fff,0xffc8006f,0xffb0001f,0x1fffdc49,
    0x00bff600,0x007ffd40,0x2e00dffd,0x1ffe84ff,0x07ffe200,0x4dff9000,
    0x7ffb85ff,0x401fff50,0xf9006ffe,0xf88000df,0x2a0001ff,0x3fa00fff,
    0xfff8806f,0x3fe20001,0x3fe0001f,0x3ff6003f,0x80dff906,0x0000fffb,
    0x44007fff,0x20001fff,0xfb805ffc,0x02fff85f,0xff82ffe8,0x7ffc00ef,
    0x006ffc81,0x3fe60000,0xf980004f,0xf90004ff,0xfffb80df,0x3ffe6000,
    0x3ff60004,0x01fffb84,0x000fff10,0x2e037fe4,0xfe800fff,0x01ffe81f,
    0x007ffe20,0x59fff300,0xffe887ff,0x80dff903,0xc800fffb,0x440006ff,
    0x20001fff,0x7dc06ffc,0x7fc400ff,0x3e20001f,0x3e0001ff,0x3fa003ff,
    0x5bfff05f,0xf9555555,0x3e0007ff,0x3e2003ff,0x320001ff,0xffb805ff,
    0x803fff85,0x7fc42fff,0x1fff802f,0x003fffa8,0x801dec88,0x00006ffe,
    0x4000dffd,0xaaaadfff,0x3fffcaaa,0x01bffa00,0x209ffb00,0xf9006ffe,
    0x7fc0009f,0xaaaaaadf,0x403fffca,0xffd06ffa,0x7ffc4003,0xffd80001,
    0x3a20ffef,0x3ffe06ff,0xaaaaaaad,0xc803fffc,0x440006ff,0x20001fff,
    0xaaaadfff,0x3fffcaaa,0x00fffc40,0x03fff100,0x01fffc00,0xf507fff0,
    0xffffffff,0x0bffffff,0x00fffe00,0x001fff88,0x2017ff20,0xffe85ffb,
    0x17ffec05,0x1003ffea,0x3fa03fff,0x7f4000ff,0x3ee01fff,0xb80001ff,
    0x50001fff,0xffffffff,0xbfffffff,0x07ffee00,0x09ffb000,0x200bffe6,
    0x50000fff,0xffffffff,0xbfffffff,0xfffffd80,0x01ffffff,0x007ffe20,
    0x3fffe200,0xfffdcaff,0xffff502f,0xffffffff,0xf900bfff,0xf88000df,
    0xf50001ff,0xffffffff,0x0bffffff,0x001fff88,0x007ffe20,0x003fff80,
    0xf903fff7,0xffffffff,0x1fffffff,0x07fff000,0x00fffc40,0x00bff900,
    0xffb0bff7,0x7fffe40f,0x007ffd42,0x203fffd3,0x202ffffa,0xfffff349,
    0x13ffe60b,0x3ffe6000,0x3ff20004,0xffffffff,0x00ffffff,0x0027ffcc,
    0xd027fec0,0xffa80dff,0x3ff20005,0xffffffff,0x00ffffff,0xfffffff1,
    0x003fffff,0x000fffc4,0xffffe880,0x01efffff,0x3ffffff2,0xffffffff,
    0x7fe400ff,0x7fc40006,0xff90001f,0xffffffff,0x01ffffff,0x000fffc4,
    0x003fff10,0x801fffc0,0xfff07fff,0x9999999b,0x07fff999,0x007fff00,
    0x000fffc4,0x700bff90,0xfff70bff,0xfffff907,0x04fff985,0x03fffff9,
    0x77ffffec,0xf56feecc,0x3a0bffff,0xd00006ff,0xf8000dff,0xcccccdff,
    0xfffccccc,0x037ff403,0x04ffd800,0xe80bffea,0x3e0002ff,0xcccccdff,
    0xfffccccc,0x99dff703,0x3fff9999,0x0fffc400,0x3ffa0000,0x803effff,
    0xccccdfff,0xffcccccc,0x37fe403f,0x3ffe2000,0xbfff0001,0x99999999,
    0x407fff99,0x0001fff8,0x0007ffe2,0xc803fff8,0xffa82fff,0x3ffa000f,
    0x3fff8005,0x07ffe200,0x05ffc800,0xf885ffb8,0xffccffff,0xe82ffcdf,
    0xfdbbefff,0x01ffeeff,0x7fffffdc,0xff16ffff,0xff707fff,0xf700003f,
    0x540003ff,0x3a000fff,0x3fee05ff,0xfb00001f,0x6ffe809f,0x000dff30,
    0x0007ffd4,0x3fe0bffd,0x07ffa01f,0x01fff880,0x4effc000,0x3fea000a,
    0x3ffa000f,0x037fe405,0x07ffe200,0x03ffea00,0x205ffe80,0x0001fff8,
    0x0007ffe2,0x2203fff8,0xf906fffd,0xffc800df,0x7ffc000f,0x3ffe2003,
    0x3ff20001,0x05ffb805,0xfffffff7,0x20bff2bf,0xfffffff9,0x03ffb4ff,
    0xffffd910,0x7fd45bff,0xdfff985f,0x99999999,0xff981999,0x999999df,
    0x64199999,0x7e4006ff,0xfff980ff,0x9999999d,0x36019999,0x7fdc04ff,
    0x03ffc82f,0x01bff200,0xa81fff90,0x7ff406ff,0x3ffe2001,0x3ea00001,
    0xff90002f,0xfffc800d,0x01bff200,0x03fff100,0x00dff900,0x100fffc8,
    0x40003fff,0x0001fff8,0x7530fffe,0x201dffff,0x4c003fff,0xdd902fff,
    0xddfffddd,0xf101dddd,0xddddddff,0xf90bdddd,0xbff700bf,0x7ffff4c0,
    0x40bff22e,0xdfffffd8,0x0007ff62,0xa8802662,0xfffffb01,0xffffffff,
    0xffd83fff,0xffffffff,0x21ffffff,0x4c003fff,0xffd82fff,0xffffffff,
    0x01ffffff,0xff009ffb,0x0fff88bf,0x0fffe000,0x85fff300,0x7f403ffd,
    0x3eeeeeef,0xeeefff88,0x5eeeeeee,0x000ffc80,0x8007fff0,0x3202fff9,
    0xeeeeefff,0x884eeeee,0xeeeeefff,0x3e5eeeee,0x7cc003ff,0xfff102ff,
    0xdddddddd,0xfff10bdd,0xdddddddd,0xffff0bdd,0xffffffff,0x3fe601bf,
    0xffe8001f,0xfffffb05,0xffffffff,0xffff101f,0xffffffff,0x0bff90ff,
    0x100bff70,0x10000133,0x00000013,0xfffe8000,0xffffffff,0x741fffff,
    0xffffffff,0xffffffff,0x003fff31,0xfd0bffd0,0xffffffff,0x3fffffff,
    0x2013ff60,0x3ee1fffb,0x3e60004f,0xfe8001ff,0x03ffe25f,0xffffffd0,
    0xfff109ff,0xffffffff,0xbff00fff,0x3ffe6000,0x5ffe8001,0x3fffff20,
    0xffffffff,0xfffff885,0xffffffff,0x003fff37,0x220bffd0,0xffffffff,
    0x887fffff,0xffffffff,0xf87fffff,0xffffffff,0x7e403eff,0xff90006f,
    0xffffb01f,0xffffffff,0xfff101ff,0xffffffff,0x00000fff,0x00000000,
    0x00000000,0x7fffff40,0xffffffff,0x7ff41fff,0xffffffff,0x91ffffff,
    0x32000dff,0x7ff40fff,0xffffffff,0x01ffffff,0xf1009ffb,0x00000bff,
    0x2000dff9,0xff90fffc,0xffffd00b,0xf109ffff,0xffffffff,0x000fffff,
    0x0dff9000,0x03fff200,0x7fffffe4,0x5fffffff,0xffffff88,0x7fffffff,
    0x2000dff9,0xf880fffc,0xffffffff,0xf887ffff,0xffffffff,0xff87ffff,
    0xcceeffff,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xff880000,0x3000000f,
    0x00080dff,0x00010000,0x00099800,0x20000000,0x202ffffa,0x009aaa98,
    0xf98bff00,0x17fe002f,0x00005ff3,0x40037fd4,0x88001aa8,0x7f443ffe,
    0x07b5002f,0x10003366,0x00007ffd,0x04fffe88,0x007fffd3,0xaa881998,
    0x0f6a0009,0x880066cc,0x1981cedb,0x3ffe8800,0xfe880000,0x3fa604ff,
    0x400003ff,0x6c0effe8,0x3f623fff,0x3e00001d,0x0bff52ff,0x7fe40000,
    0x7dffd703,0x80bff500,0x2dffffeb,0x3fe60000,0xefd88003,0xf9800001,
    0xfda81eff,0xefffffff,0x8ffec002,0x2000ffd8,0xffb11ffd,0x7d400001,
    0xffb1006f,0x001bffff,0xf9affec4,0xff3002ff,0x5fff887f,0x3fffa200,
    0xd100003f,0xd8805fff,0x3e003fff,0x3fffa67f,0x7cc00dff,0x7ffc43ff,
    0xfffe8805,0x3fd30dff,0x7fff4400,0x2200003f,0x8802fffe,0x0003fffd,
    0xb03bffa0,0x7fc45fff,0x00000fff,0x3ff25fff,0xd0040002,0xfffb01ff,
    0x7c409fff,0xfff500ff,0x1dffffff,0x1ff90000,0xffff9000,0xff980000,
    0x3fffa05f,0xffffffff,0x3ffea004,0x4005fffe,0xfffefffa,0x2aaa0005,
    0xaafffcaa,0xffff980a,0x02ffffff,0x7ff7fec0,0x3fee002f,0x37ffcc5f,
    0xfcffe880,0x440003ff,0x2000effe,0xf003fffb,0x3fffeaff,0x5c06ffff,
    0x7fcc5fff,0xdffe806f,0xfffffffd,0xffd1000f,0x0007fff9,0x01dffd10,
    0x03fffb80,0x0effd800,0x2a0fffe4,0x004fffff,0x3e5fff00,0xd910007f,
    0x21bfe20d,0xffcadffb,0x07ff901f,0x337fffea,0x006ffffd,0x0005ff80,
    0x003ffffb,0x0fffe600,0x579bffd0,0x05ffff97,0x7ffffdc0,0xffb8000e,
    0x0000efff,0x3ffffffa,0x543fffff,0xba9befff,0x4002ffff,0x002ffffd,
    0x7417ffc4,0xfe8804ff,0x07ffd12f,0x13ffa200,0x1fffcc00,0x7fdfffc0,
    0xffffdacf,0x0bffe203,0x2e013ffa,0x3fffa62f,0xfd1001ff,0x0fffa25f,
    0x4ffe8800,0x3ffe6000,0x3ff20003,0x077fdc0e,0x27ffffdc,0xafff8000,
    0x70004ff9,0x3fee0dff,0x7d47ff82,0x06ff984f,0x901bfff1,0x98005fff,
    0x003ffbaa,0x00ffff70,0x077b6200,0xff300ae0,0xcb9800df,0x5cc0002c,
    0xe80002cc,0xffffffff,0x3fe23fff,0xdffb104f,0x05ddb000,0x4406e200,
    0xeed8802b,0x01776c41,0x001776c0,0x00bbb620,0x81dfffff,0x4407ffd8,
    0x0057101b,0x0acba80c,0x83ddb100,0x0002eed8,0x00005ddb,0x0005ddb1,
    0xe981bdd3,0xfff300de,0x200005ff,0x1eeaafff,0x0dff7000,0xff103bae,
    0xe85ff889,0xdff901ff,0x01fffc40,0x7fffff54,0x320002ff,0x000001ef,
    0xffc80000,0x00000007,0xaa800000,0xafffcaaa,0x1bff20aa,0x007fff10,
    0x00000000,0x00000000,0x80000000,0x300effff,0x00001fff,0x00000000,
    0x00000000,0x00000000,0x3fee0000,0x3e00004f,0x700002ff,0xf3000dff,
    0xc8dff07f,0x3ffa03ff,0x027fec03,0xffffffb1,0x0009ffff,0x00000000,
    0x3ffe6000,0x00000001,0xa8000000,0xfff106ff,0x0bff9003,0x00000000,
    0x00000000,0x00000000,0x400ffff8,0x00001fff,0x00000000,0x00000000,
    0x00000000,0x02620000,0x5fff0000,0x3fee0000,0x5ff88006,0x3fe65ff8,
    0x00fffc06,0xfe80fffe,0xffcabdff,0x00004fff,0x55440000,0xff000009,
    0x2a62003f,0x400009aa,0x00001aa8,0x1bfea133,0xa803ffd4,0x544006ff,
    0x4ccc001a,0x80998800,0x98800999,0x00999809,0x99809988,0x09988009,
    0xff005fff,0x554c005f,0x55300001,0x2a600003,0x5300001a,0x26000035,
    0x300001aa,0x00000355,0x3e335100,0x988002ff,0x9effb999,0x09999999,
    0x7fd47ff8,0x8807ffa4,0x3f200fff,0xfff700ff,0xffeffc85,0x5544002f,
    0xfeb80001,0x04efffff,0x3e666660,0x3f6a01ff,0xefffffff,0x3ff62002,
    0x000dffff,0x3ffffb62,0xf706ffff,0x3fe600bf,0xfffd8807,0xf800dfff,
    0xffe802ff,0x802fff82,0xfff82ffe,0x82ffe802,0xfe802fff,0x005fff2f,
    0xea805ffd,0x1dffffff,0x7fff5400,0x4001dfff,0xffffffea,0x7f54001d,
    0x01dfffff,0x7ffff540,0x54001dff,0xdffffffe,0x2e000001,0xfffffffe,
    0xfd8002ff,0xffffffff,0x3fffffff,0xfaaeffd8,0x09ff90ff,0x880fff98,
    0xf103fffd,0x1bff05ff,0xb100bfff,0x1bffffff,0xfffe9800,0x06ffffff,
    0x3fffff6e,0x201fffff,0xfffffffe,0x9804ffff,0xffffffff,0xffb802ff,
    0xffffffff,0xffff906f,0xffffffff,0x4c01ffff,0xffffffff,0x7ffc02ff,
    0x82ffe802,0xfe802fff,0x02fff82f,0xff82ffe8,0x2ffe802f,0xfd005fff,
    0x7ffe405f,0x3fffffff,0xfffff900,0x007fffff,0x3ffffff2,0x9003ffff,
    0xffffffff,0x3f2007ff,0xffffffff,0xfff9003f,0x7fffffff,0xfe980000,
    0xffffffff,0xfd8002ff,0xffffffff,0x3fffffff,0xffffff88,0x00dff33f,
    0xe881fff3,0x3f202fff,0x53ffa86f,0x7cc01fff,0xffffffff,0xfff5002f,
    0xfd977bdf,0xfffff50d,0xffffffff,0x66fff403,0xffffcbab,0x3bffea02,
    0xffffba9b,0x3bfff602,0xfffecbbc,0xfffffb06,0xffffffff,0x3ea01fff,
    0xfba9beff,0x3fe02fff,0x2ffe802f,0xe802fff8,0x2fff82ff,0xf82ffe80,
    0xffe802ff,0xd005fff2,0x3ffa05ff,0xffdbacef,0x7ff404ff,0xffdbacef,
    0x7ff404ff,0xffdbacef,0x7ff404ff,0xffdbacef,0x7ff404ff,0xffdbacef,
    0x7ff404ff,0xffdbacef,0x500004ff,0x957bffff,0x005ffffb,0xfb999970,
    0x999999ff,0x3f620399,0x3ffa1eff,0x0fff9801,0x200ffff4,0xffc83ffd,
    0x205fff10,0xa9befffa,0x402ffffb,0x203ffff8,0x7fffcc38,0xf9999aac,
    0x00ae01ff,0x220dfff3,0xfb104fff,0x3ffea0df,0x41bfee03,0xcccceffc,
    0xcccccccc,0x4fff880c,0x40dffb10,0xfe802fff,0x02fff82f,0xff82ffe8,
    0x2ffe802f,0xe802fff8,0x05fff2ff,0xf705ffd0,0x3fa607ff,0xfff700ff,
    0x3fffa607,0x07fff700,0x403fffa6,0xd303fffb,0x3ee01fff,0xffd303ff,
    0x3ffee01f,0x1fffd303,0xfff88000,0x0bffe00d,0x37fdc000,0xfb818000,
    0xfff3004f,0x007ffd41,0x7fc0fffc,0x441fffc5,0xfb104fff,0xfffc80df,
    0xefff8001,0x00fffc00,0x83ffe400,0x7c406ffc,0x3ffe83ff,0xb837fd40,
    0x200006ff,0x7c406ffc,0x5fff03ff,0xf05ffd00,0xffd005ff,0x005fff05,
    0xfff05ffd,0x25ffd005,0xfe802fff,0x1fffc42f,0x217ffe20,0x4403fff8,
    0xff885fff,0x7ffc403f,0x03fff885,0x442fffc4,0x7c403fff,0xfff885ff,
    0x2fffc403,0x1bff2000,0x000bffe0,0x0037fdc0,0x0fff8800,0x41fff300,
    0xf8806ffb,0x1ffd40ff,0x3f213ff6,0x7ffc406f,0x09fff303,0x05fff100,
    0x0003fff0,0x883fff30,0xfc801fff,0x07ffd45f,0x541bfea0,0x100007ff,
    0xf9003fff,0x0bffe0bf,0x3e0bffa0,0xffe802ff,0x802fff82,0xfff82ffe,
    0xf2ffe802,0xffd005ff,0x007ffc85,0xfc81fff7,0xfff7007f,0x007ffc81,
    0xfc81fff7,0xfff7007f,0x007ffc81,0xfc81fff7,0xfff7007f,0x3fe20001,
    0x2fff802f,0xdff70000,0x3f600000,0x3fe6002f,0x01ffee0f,0xf903ffe6,
    0x44ffc81f,0xc801fff8,0xfff705ff,0xfff50001,0x1fff8801,0x3fff0000,
    0x5007ffa8,0x4ffc8dff,0x306ffa80,0x00005fff,0x2a00fff5,0x5fff06ff,
    0xf05ffd00,0xffd005ff,0x005fff05,0xfff05ffd,0x25ffd005,0xfe802fff,
    0x027fec2f,0x6c1fff88,0xff1004ff,0x04ffd83f,0xd83fff10,0xff1004ff,
    0x04ffd83f,0xd83fff10,0xff1004ff,0x3ea0003f,0x5fff006f,0x3fee0000,
    0xfb800006,0x7fcc005f,0x13ffe60f,0xf83fff10,0x43ffd85f,0xf5007ffa,
    0x1bff20df,0x07ffd400,0x03fffd30,0xf3333300,0x5ffb83ff,0xd8fff300,
    0xffa803ff,0x03fff606,0x0bff7000,0x7c1ffe60,0xffe802ff,0x802fff82,
    0xfff82ffe,0x82ffe802,0xfe802fff,0x005fff2f,0xfff85ffd,0x0bffe002,
    0x7c005fff,0x17ffc2ff,0xf85fff00,0x3fe002ff,0x017ffc2f,0xff85fff0,
    0x3ffe002f,0xbff70002,0x00bffe00,0x037fdc00,0x3ffe2000,0x7ffcc000,
    0x06fffec0,0x7d45fff0,0x42ffe83f,0xf3005ffb,0x13ff60ff,0x27ffcc00,
    0x1fffffc8,0xffffdb80,0x41ffffff,0xfffffffc,0xffffffff,0x00bffe0f,
    0xf981bfea,0x00801eff,0xfffffff9,0xffffffff,0x05fff01f,0xff05ffd0,
    0x5ffd005f,0xd005fff0,0x5fff05ff,0x3e5ffd00,0xffe802ff,0x007ffe22,
    0x3e24ffe8,0x3fa001ff,0x07ffe24f,0x224ffe80,0x3a001fff,0x3ffe24ff,
    0x93ffa001,0x2001fff8,0x90004ffe,0x3fe009ff,0xf700002f,0xd80000df,
    0x3ffb22ff,0x0fff981d,0x0f7fff44,0x3f23fff8,0x0fffc40f,0x3ffffff2,
    0xffffffff,0x3fff80ff,0x3fffa000,0xefffdbbe,0x3ea01ffe,0xffffffff,
    0x7ec1ffff,0xffffffff,0x0fffffff,0x5003fff1,0xffd80dff,0xcaabceff,
    0xffd80fed,0xffffffff,0x80ffffff,0xfe802fff,0x02fff82f,0xff82ffe8,
    0x2ffe802f,0xe802fff8,0x05fff2ff,0x7cc5ffd0,0x3f6000ff,0x03ffe64f,
    0x264ffd80,0x36000fff,0x3ffe64ff,0x93ff6000,0x2000fff9,0x3fe64ffd,
    0x3ff6000f,0x9ffb0004,0x00bffe00,0x037fdc00,0x2bff5000,0xffffffe8,
    0x407ffcc3,0x82ffffd8,0x17fe6ffc,0x3f61ffee,0xffffffff,0x0fffffff,
    0x0004ffe8,0x3fffffe6,0x3ffb4fff,0x33fffe60,0xff9999aa,0x677fe41f,
    0xcccccccc,0x3fe0cccc,0x6ffa802f,0xfffffb80,0x0fffffff,0xccceffc8,
    0xcccccccc,0x2fff80cc,0xf82ffe80,0xffe802ff,0x802fff82,0xfff82ffe,
    0xf2ffe802,0xffd005ff,0x00fffc45,0x7c47ffd0,0x3fa001ff,0x07ffe23f,
    0x223ffe80,0x3a001fff,0x3ffe23ff,0x8fffa001,0x2001fff8,0xb0003ffe,
    0x3fe009ff,0xf700002f,0x220000df,0xbff90fff,0x4c1fffb5,0x3f200fff,
    0x7fcc1fff,0x443ffacf,0xffc83ffe,0xccccccce,0x80cccccc,0x40005ffd,
    0xdfffffd8,0x7c07ff62,0x7fc00eff,0x037fdc1f,0x017ffc00,0x88037fd4,
    0xffffffed,0xffb80cef,0x3fe00006,0x2ffe802f,0xe802fff8,0x2fff82ff,
    0xf82ffe80,0xffe802ff,0xd005fff2,0x2fff85ff,0xf0bffe00,0x7fc005ff,
    0x017ffc2f,0xff85fff0,0x3ffe002f,0x0017ffc2,0xfff85fff,0x0bffe002,
    0x02ffe400,0x0002fff8,0x000dff70,0x7c4fff60,0x31ffe46f,0xfa801fff,
    0xfffd86ff,0x3fa20ffe,0x0dff706f,0x37fe4000,0x01310000,0x3e20dff1,
    0xfff802ff,0x003ffd41,0x401fff40,0x30006ffd,0xa805ffd5,0x200007ff,
    0xff803fff,0x03fff82f,0xff82fff8,0x2fff803f,0xf803fff8,0xff0002ff,
    0x03ffe83f,0xe83fff10,0xff1003ff,0x03ffe83f,0xe83fff10,0xff1003ff,
    0x03ffe83f,0xe83fff10,0xff1003ff,0x3f20003f,0xfffa805f,0xff500002,
    0xff50000d,0x2a1ffccb,0x3ffe64ff,0x0fffb800,0x7fffffc4,0x2ffffdca,
    0x000fff50,0x01fffd40,0x3fa20000,0x1fff500e,0x41fff880,0x0002fff9,
    0x3602ffec,0x20006fff,0xf9803ffb,0xd00002ff,0xffd80bff,0x05ffe82f,
    0x7417ffec,0x7fec05ff,0x05ffe82f,0x0017ffec,0x3607ffc4,0xff9007ff,
    0x00fffb0f,0x3f61fff2,0xfff9007f,0x200fffb0,0xffd87ffc,0x0fff9007,
    0x3200fffb,0x2e0007ff,0x3e600fff,0x00002fff,0x8000fff5,0x3ea0fff8,
    0x32ffc42f,0xf1001fff,0xffd105ff,0xdfffffff,0x17ffcc03,0xfffd0000,
    0x64000001,0x3fea02ff,0x3ffa600f,0x0fffd81f,0x3ffea000,0xdffff900,
    0x1bfe2000,0x00fffd80,0x07ffd800,0x20bffff2,0x3f207ffd,0xffd82fff,
    0x3ffff207,0x207ffd82,0x002ffffc,0xf987ffa8,0x7fcc03ff,0x3fff982f,
    0x417ffcc0,0x4c03fff9,0xff982fff,0x7ffcc03f,0x03fff982,0x4c17ffcc,
    0x7cc03fff,0x220002ff,0xff103fff,0x00005fff,0x000bffe2,0x7d43ffc8,
    0x327fc43f,0x3e001fff,0x3ffa01ff,0x003effff,0x0001fffb,0x0bfffea0,
    0xfd000498,0x7ffcc03f,0xfffff904,0x3dfff303,0x3ffe0100,0x7f7fe446,
    0xff50006f,0x7ffcc00b,0x2e00801e,0xffc83fff,0xffb82fff,0xffffc83f,
    0x3fffb82f,0x2fffffc8,0xc83fffb8,0x002fffff,0xfb05ffe8,0x3fe609ff,
    0x3fff606f,0x0dfff304,0x9827ffec,0x3f606fff,0xfff304ff,0x27ffec0d,
    0x206fff98,0xf304fffd,0xb0000dff,0xfea83fff,0x0002ffef,0x007bffe0,
    0x261bfe60,0x17fdc5ff,0x9001fff3,0x7fc01fff,0x98000a9d,0x0801efff,
    0xfffffd80,0x06feecce,0x019ffd00,0x5df7fff4,0xffeefffd,0xdffffb01,
    0xfdb95579,0x9dfff901,0xff1bfffb,0x3fea000d,0x3ff6001f,0xcaabceff,
    0xff100fed,0xfff99fff,0xf105ff9b,0xff99ffff,0x105ff9bf,0xf99fffff,
    0x05ff9bff,0x99fffff1,0x5ff9bfff,0x7fff4c00,0xdffff100,0xffffd97b,
    0x7fffc403,0xfffecbde,0x3ffe201f,0xffecbdef,0x3fe201ff,0xfecbdeff,
    0x3e201fff,0xecbdefff,0x2201ffff,0xcbdeffff,0x001ffffe,0xdffff980,
    0xfd9ffffc,0x2a00002f,0xccceffff,0x3ffd03fd,0x2a77ffa0,0x7ffcc6ff,
    0x3f333320,0x3ea03fff,0xfd80002f,0xaabcefff,0xb800fedc,0xffffffff,
    0xf50006ff,0xf303ffff,0xffffffff,0xb807ff69,0xffffffff,0xfb00ffff,
    0x2bffffff,0x20006ff8,0x006ffffe,0xfffffff7,0x401fffff,0xfffffffb,
    0x205ff95f,0xfffffffb,0x205ff95f,0xfffffffb,0x205ff95f,0xfffffffb,
    0x005ff95f,0x07fffff3,0xfffffd88,0x800effff,0xffffffd8,0x8800efff,
    0xfffffffd,0xd8800eff,0xffffffff,0xfd8800ef,0xffffffff,0xffd8800e,
    0xefffffff,0x3ea00000,0x1fffffff,0x00005ff9,0xffffffd8,0xffc83fff,
    0x3fffe604,0x7fcc2fff,0x3ffff60f,0x7e404fff,0xf700000f,0xffffffff,
    0x22001fff,0xffffffec,0x3b20002d,0xfb101fff,0x6c5bffff,0x76c401ff,
    0xefffffff,0x3ffb200c,0x1bfe23df,0xfffd9800,0x3fb62006,0xceffffff,
    0x7fff4c00,0x0bff22ef,0xeffffe98,0x980bff22,0x22effffe,0x3a602ffc,
    0x322effff,0xff9802ff,0x3ae002ff,0x03dfffff,0xffffeb80,0xeb8003df,
    0x03dfffff,0xffffeb80,0xeb8003df,0x03dfffff,0xffffeb80,0x000003df,
    0x19dfffd5,0x00017fe4,0x7fffecc0,0x7fcc2eff,0xfffe9806,0x0fff981e,
    0x37bffff6,0x005ff801,0x7ff6c400,0x0cefffff,0x01331000,0x01a88000,
    0x00001310,0x00333530,0x00000310,0x000054c0,0x00033353,0x00002662,
    0x00002662,0x00002662,0x00002662,0x0002f7a6,0x00000988,0x80000262,
    0x20000098,0x20000098,0x20000098,0x00000098,0x000004c0,0x4ccc4000,
    0x4c400000,0x06620000,0x00000000,0x00199a98,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4fffe880,0x0ffffa60,0x00666200,0x44033310,
    0x7f443ffe,0x5551002f,0x36a00135,0x0019b303,0x3039db71,0xffe88003,
    0x74400003,0xfd304fff,0xe98007ff,0x99801cce,0x09988009,0x7cc5ff80,
    0x3e60002f,0x2e2001ff,0x01981ced,0x266aaa20,0x80099999,0x6c0effe8,
    0x51003fff,0x88009813,0xb0000099,0x00005fff,0x03330198,0x80013551,
    0x17fcc5ff,0xa8000000,0x019b303d,0x07ffd100,0xffe88000,0xffd8802f,
    0x7fdc003f,0x3ffa001f,0xaffec406,0x4c02fff9,0xfffffffd,0x7ffcc07f,
    0x02fffc43,0x3fffffa2,0x003fd30d,0x0fffffa2,0x7ff44000,0x7fec402f,
    0x3fe6003f,0x3e04ffff,0xffe802ff,0x11ffd802,0x20001ffb,0x01fffff9,
    0xfffffe88,0x803fd30d,0xfffffffb,0x806fffff,0x7ec0effe,0x372202ff,
    0xfeffffff,0x3ffee01f,0x40002fff,0xa89fffe8,0xda801fdb,0x3efffffe,
    0x7ff4cfff,0xb000dfff,0x3ff623ff,0xefd88000,0x7ffcc001,0x02fffc43,
    0x3ffffa20,0xfd100003,0xfb8001df,0x3e2003ff,0xff1004ff,0x3ff6007f,
    0x6402fffe,0xffffffff,0x7fdc07ff,0x37ffcc5f,0x3f77ffa0,0x0fffffff,
    0xfcffe880,0x440003ff,0x2000effe,0x3003fffb,0xdfffffff,0x005fff03,
    0xf5005ffd,0x0bfffdff,0x33ffe600,0x7f402fff,0xfffffddf,0xfd100fff,
    0xffffffff,0xd80dffff,0x7fe40eff,0x3ffa601f,0xffffffff,0xfffe881f,
    0x004fffff,0x7ffffc40,0x2601ffff,0xfffffffe,0x2afff4ff,0xffffffff,
    0xdfff5006,0x2000bfff,0x4007fffc,0x7cc5fffb,0x3a2006ff,0x03fffcff,
    0x27ff4400,0x7fff3000,0x03ffec00,0x000fffb8,0x00bffff6,0x557dfff5,
    0x880db955,0xffe82fff,0xd317dc04,0x003fffff,0x3a25ffd1,0xd10003ff,
    0x260009ff,0x31003fff,0x5fffff75,0xe802fff8,0xff7002ff,0x0001dfff,
    0x3e63fff3,0x8bee02ff,0x1fffffe9,0x46ffff60,0xccffffc9,0x03bff203,
    0x5401dff7,0xbabdffff,0xd81ffffd,0xffdbdfff,0x644002ff,0xfffffffe,
    0xff501eff,0xd999bdff,0x3efffe9d,0xfffdacff,0xfff7003f,0x20001dff,
    0x001ffffd,0x3a0bffe2,0xfd1004ff,0x0fffa25f,0x02eed800,0x2eed8800,
    0x05fff300,0x000bffd0,0xff005ddb,0x2200009f,0x0057101b,0x0565d406,
    0x20f76c40,0x8002eed8,0x40002eed,0x0002eed8,0x7c3ffff7,0xffe802ff,
    0x332e6002,0xbdb10002,0x00ded981,0x0565d406,0x203fff50,0x4c01fffa,
    0x774c0dee,0x3ffe200d,0x3fff100d,0x443fff98,0x54005fff,0xffffffff,
    0x7ff4401d,0xffff001e,0xffd881df,0x332e6007,0x7fdc0002,0x1b88007f,
    0x22005710,0x76c41eed,0x0000002e,0xfe800000,0x7ffcc05f,0x44000002,
    0x00000fff,0x00000000,0x00000000,0x00000000,0xf2fffd40,0xffd005ff,
    0x00000005,0x00000000,0xd80bffb0,0x000005ff,0x2017ff20,0x7fdc1fff,
    0x00fff906,0xeabdffa8,0x7e400fff,0x3fe000ff,0xff300eff,0x0000001f,
    0x000f7e40,0x00000000,0x00000000,0xffb80000,0x1fff200f,0x3e200000,
    0x000001ff,0x00000000,0x00000000,0x00000000,0xff0fffc8,0x5ffd005f,
    0x00000000,0x00000000,0xfb805ffd,0x0000006f,0xf003fff1,0x5ffc83ff,
    0x800fff30,0x5fff8808,0x0017ffc0,0xf003fffe,0x000003ff,0x00000000,
    0x00000000,0x00355100,0x006aa200,0x203fff88,0x10004ffe,0x20135555,
    0x0001efff,0x26aaa620,0x55310000,0x22000135,0x0009aaa9,0x13555310,
    0x2aa62000,0x2a00009a,0x5fff2fff,0x005ffd00,0x0001aa98,0x004d5440,
    0x31001333,0x02fff813,0x33037fdc,0x13310013,0xf006ffb8,0x6ffc83ff,
    0x000dff70,0x0ffff260,0x0007ffc4,0x3e00bffe,0x099982ff,0x00099880,
    0x2a200000,0x5100001a,0x6c400035,0x0dffffff,0x7ffec400,0xd800dfff,
    0xfff306ff,0x7fecc001,0x87ffffff,0x0adffffb,0xfffda800,0x02efffff,
    0xfffffda8,0xa802efff,0xfffffffd,0xfda802ef,0xefffffff,0xfffda802,
    0x02efffff,0xf3fff880,0xffd005ff,0xfffd5005,0x0003bfff,0x3fffffae,
    0x2fff84ef,0x742ffe80,0x7fec04ff,0x00bffe04,0xff90bffa,0x07ffe00b,
    0xfd01fff7,0x3220009f,0xfffffffe,0x007ff980,0xe802fff8,0x2fff82ff,
    0x882ffe80,0x99999999,0x80099999,0xffffffd8,0x7ec4000d,0x00dfffff,
    0x3ffffe60,0x002fffff,0xfffffff3,0xfa805fff,0x6ffc81ff,0x3ffff200,
    0x07ffffff,0xbffffff9,0x7fff4005,0xffffffff,0x7ffff404,0x4fffffff,
    0x7fffff40,0x04ffffff,0x7ffffff4,0x404fffff,0xfffffffe,0x4004ffff,
    0xfff2fff8,0x05ffd005,0xffffffc8,0x2003ffff,0xffffffe9,0xfff86fff,
    0x42ffe802,0xf300fffc,0x7ffc05ff,0x42ffe802,0xff004ffd,0x4fff983f,
    0x0007ffec,0x7fffffcc,0xfb84ffff,0xfff8006f,0x82ffe802,0xfe802fff,
    0xffffc82f,0xffffffff,0x7ffcc06f,0x2fffffff,0xfffff300,0x005fffff,
    0x537dfff5,0x805ffff7,0xa9befffa,0x402ffffb,0xfff85ffe,0xdfff5003,
    0xdb955557,0x7ffff4c0,0xfe803fff,0xfcbabcdf,0x3fa02fff,0xfcbabcdf,
    0x3fa02fff,0xfcbabcdf,0x3fa02fff,0xfcbabcdf,0x3fa02fff,0xfcbabcdf,
    0x2a002fff,0x5fff1fff,0x405ffd00,0xbacefffe,0x804ffffd,0xbdeffffa,
    0xff86fecb,0x2ffe802f,0x20f7ffc4,0x7c06fffa,0xffe802ff,0x801fff42,
    0xffd81fff,0x2fffe99f,0xffffb800,0xfffecbce,0x0037fdc0,0x74017ffc,
    0x2fff82ff,0xc82ffe80,0xffffffff,0x206fffff,0xa9befffa,0x402ffffb,
    0xa9befffa,0x202ffffb,0xb104fff8,0x7fc40dff,0xdffb104f,0x20fffb80,
    0xf000fffa,0x200009ff,0xffffffc9,0x26015c06,0x0ae06fff,0x40dfff30,
    0x7ffcc02b,0xf300ae06,0x015c0dff,0x401bffe6,0x3fe6ffe9,0x2ffe802f,
    0x207fff70,0x200fffe9,0x203ffff8,0x02fff838,0xfd82ffe8,0xfffeffff,
    0x7ffc00ff,0x42ffe802,0xff003ffe,0xffff103f,0x0003ffff,0x101dfff1,
    0xffb89fff,0x2fff8006,0xf82ffe80,0xffe802ff,0xccccca82,0xfffdcccc,
    0x09fff105,0x881bff62,0xfb104fff,0x37fe40df,0x40fffe20,0x7c406ffc,
    0x3fe203ff,0x017ff23f,0x0007ffc4,0x7ffe4c00,0xfc80004f,0xfc80007f,
    0xfc80007f,0xfc80007f,0xfc80007f,0xeccc987f,0x3fe2ffff,0x2ffe802f,
    0x403fff88,0x3205fff8,0xf0001fff,0xffd005ff,0xfffffa85,0x00cfffff,
    0xe802fff8,0x27fec2ff,0x701fff80,0x01bfffff,0x017ff600,0x7dc1fff9,
    0xfff8006f,0x82ffe802,0xfe802fff,0x3f60002f,0xdff900ff,0x03fff880,
    0xf880dff9,0xfff883ff,0x85ffc801,0xc801fff8,0x7fec05ff,0x003fff16,
    0x0007ffe2,0x7ffe8800,0xfff98000,0x7fcc0001,0x7cc0001f,0x4c0001ff,
    0x40001fff,0x7d41fff9,0x42ffffff,0xff803fff,0x07ffc82f,0x301fff70,
    0x40009fff,0xfe802fff,0x4c7ffc2f,0x000acccb,0x3a00bffe,0x2ffe42ff,
    0x40fffd40,0x05ffffe9,0x07ffe600,0x5c5fff10,0xff8006ff,0x2ffe802f,
    0xe802fff8,0xf70002ff,0x3fe205ff,0x5ffc801f,0x801fff88,0xffa85ffc,
    0x0dff5007,0x2a00fff5,0x7fd406ff,0x006ffb8f,0x000f7ffc,0x1fff5000,
    0x3fff0000,0x3fff0000,0x3fff0000,0x3fff0000,0x3fff0000,0xbdefff98,
    0x405ffe80,0xfd82fffd,0xfff1004f,0x01fff703,0x017ffc00,0xff317ff4,
    0x7fc0000b,0x2ffe802f,0x2a03ffdc,0x7d41ffff,0x82ffffff,0xff903ffe,
    0x97ff600d,0xf8006ffb,0xffe802ff,0x802fff82,0x98002ffe,0x3ea04fff,
    0xdff5007f,0x200fff50,0xffb86ffa,0x0fff3005,0x2600bff7,0xfff807ff,
    0x4004ffeb,0x0adffffb,0x7fdc0000,0x99998007,0x4001fff9,0xfff99999,
    0x4cccc001,0x4001fff9,0xfff99999,0x4cccc001,0x7cc1fff9,0x7ffd806f,
    0x0bffff20,0xf800bffe,0x6ffc82ff,0x17ffc000,0xf517ff40,0x200001ff,
    0xfe802fff,0x17ffcc2f,0x1fffff98,0x3e77ffe6,0x7ffc1fff,0x009ffb02,
    0xffb9bff2,0x2fff8006,0xf82ffe80,0xffe802ff,0x7ffc4002,0x02ffdc05,
    0xfb87ff98,0xfff3005f,0xffffff90,0xffffffff,0xfffc81ff,0xffffffff,
    0x400fffff,0x0fffeffc,0xffffc800,0x06602dff,0x01bffe20,0x3fffff6e,
    0x401fffff,0xffffffdb,0x5c01ffff,0xfffffffd,0x6dc01fff,0xffffffff,
    0x7edc01ff,0xffffffff,0x037fcc1f,0x641fffdc,0x442fffff,0x3a001fff,
    0x4ffd84ff,0x17ffc000,0xf317ff40,0x35559dff,0x7ffc0033,0x82ffe802,
    0x7d41fffd,0x3a1fffff,0x3ffea5ff,0x03fff30e,0x5c00fffa,0x1bfee7ff,
    0x00bffe00,0x3fe0bffa,0x2ffe802f,0x07ffec00,0x3fffff20,0xffffffff,
    0x7fe40fff,0xffffffff,0x40ffffff,0xfffffffd,0xffffffff,0x7fffec0f,
    0xffffffff,0x4400ffff,0x006fffff,0x3ffffa60,0xffb83fff,0xfedbbccd,
    0x3ea01fff,0xffffffff,0xf501ffff,0xffffffff,0x2a03ffff,0xffffffff,
    0x501fffff,0xffffffff,0x203fffff,0xfffffffa,0x41ffffff,0xf8806ff9,
    0xffccffff,0x4c2ffcdf,0x36000fff,0x3fff84ff,0x17ffc000,0x3a17ff40,
    0xffffffff,0x200cefff,0xfe802fff,0xffffa82f,0xe9ffffcd,0x1fff51ff,
    0xf55fffb8,0x3ffe01ff,0x1fff3002,0x2001bfee,0xfe802fff,0x02fff82f,
    0x2002ffe8,0xd801fffc,0xffffffff,0xffffffff,0x7ffffec0,0xffffffff,
    0x7fe40fff,0xccccccce,0x40cccccc,0xcccceffc,0xcccccccc,0xfffd800c,
    0xc980001f,0x46ffffff,0xfffffffb,0x202fffff,0xaacffff9,0x1fff9999,
    0xacffff98,0xfff9999a,0xcffff981,0xff9999aa,0xffff981f,0xf9999aac,
    0xfff981ff,0x9999aacf,0x7fc41fff,0xffff7005,0x3f2bffff,0x0fffc42f,
    0xd07ffd00,0xf80009ff,0xffe802ff,0xfffffe82,0xffffffff,0x005fff02,
    0x3ee05ffd,0x0effffff,0x3ff23fff,0x79fffb05,0x7ffc0fff,0x1fff5002,
    0x2001bfee,0xfe802fff,0x02fff82f,0x5002ffe8,0x32007fff,0xccccceff,
    0xcccccccc,0x6677fe40,0xcccccccc,0x7fdc0ccc,0xff700006,0x5400000d,
    0x00006fff,0x4ffffc98,0x3fffffaa,0x400befff,0x7c00efff,0xefff81ff,
    0x40fffc00,0x7c00efff,0xefff81ff,0x40fffc00,0x7c00efff,0x277441ff,
    0xffffd300,0x417fe45d,0x3e002fff,0x5ffd82ff,0x17ffc000,0x2e17ff40,
    0xccccbfff,0x1fffffed,0xe802fff8,0x3faa02ff,0x3fe0ceff,0x209ffb1f,
    0xffefffe8,0x00fffa04,0xff73ffdc,0x5fff000d,0xf05ffd00,0xffd005ff,
    0xbfff1005,0x037fdc00,0x06ffb800,0x0fff5000,0x1ffea000,0xffa80000,
    0x2000002f,0x3107ffe8,0x20013553,0xf802fff8,0x7ffc41ff,0x41fff802,
    0xf802fff8,0x7ffc41ff,0x41fff802,0xf802fff8,0x400001ff,0x7f440998,
    0x03ffe80e,0x903fff10,0xf8000dff,0xfff803ff,0x007ffea2,0xf07fff91,
    0xfff007ff,0x20131005,0x9ffd1fff,0x7ffffcc0,0x17ff601f,0xf72ffe40,
    0x000000df,0x007fff00,0xfd005fff,0x7d4001df,0xf500007f,0x260000ff,
    0x80002fff,0x0002fff9,0x00dffd00,0xfff50000,0xf5000001,0xff8801ff,
    0x07ffd41f,0x507ffe20,0xf8801fff,0x7ffd41ff,0x0fffc400,0x1003ffea,
    0x00003fff,0x807ff400,0xf9007ffd,0x3ffea0ff,0x3ffa0003,0x17ffec05,
    0x22009ffd,0xffe85fff,0x17ffec05,0x8fffc000,0x7d406ffd,0x7e406fff,
    0x7fc400ff,0x01bfee3f,0x3a000000,0x7fec05ff,0x7ffe402f,0x7ffcc001,
    0xff980002,0xfb00002f,0xb00001ff,0x00001fff,0x002fffb8,0x7ffb8000,
    0x003eeb80,0x4c01fff5,0x7d41fffe,0x3fa600ff,0x7ffd41ff,0x3fffa600,
    0x007ffd41,0xa83fffd3,0x3a600fff,0x1cb81fff,0x3fee0000,0x0fffe603,
    0x405fff30,0x0000fffe,0x7e40fffb,0xfff12fff,0x27ff4005,0xf903ffec,
    0x00005fff,0x3fee3fff,0x7ffec02f,0x27ffc406,0xb83ffee0,0x200006ff,
    0x36003eeb,0x3ff207ff,0x3fee02ff,0xffb0002f,0xfb00001f,0x300001ff,
    0x1003dfff,0x0f7ffcc0,0x7fd40040,0x0660004f,0x01bffe20,0x4c00bffa,
    0xff904fff,0xff983fff,0xffff904f,0x4fff983f,0x3fffff90,0x904fff98,
    0x983fffff,0xff904fff,0xffd83fff,0xfb00002f,0xfffd803f,0x0dfff304,
    0x02ffffa8,0x3ffee126,0xfffffc83,0x007fff12,0x2e0bffe6,0xffc83fff,
    0x80002fff,0xfff11fff,0xfffb105f,0xffc809ff,0x9fff704f,0x0006ffb8,
    0x800bffa0,0xfc83fffb,0xf302ffff,0x4c0009ff,0x0801efff,0x07bffe60,
    0xfffb0020,0xb95579df,0x7fec01fd,0xcaabceff,0x4c420fed,0x0006fffd,
    0x5e66ffdc,0x1ffffedb,0x4007ff80,0xdbbefffe,0x1ffeefff,0xbbefffe8,
    0xffeefffd,0xbefffe81,0xfeefffdb,0xefffe81f,0xeefffdbb,0xfffe81ff,
    0xefffdbbe,0x3fe21ffe,0xb00005ff,0x7c4019ff,0xecbdefff,0xd801ffff,
    0xccefffff,0xff886fee,0xfffccfff,0x3fa2ffcd,0xf7100bff,0x3fe20dff,
    0xfffccfff,0x0002ffcd,0x3ee1fff8,0xfecdefff,0x3fffffff,0x3bfffe20,
    0x6fffecbd,0x0006ffb8,0x1001ffe0,0xf99fffff,0x05ff9bff,0x000dffd1,
    0x9dffffb0,0x1fdb9557,0x77fffec0,0xfedcaabc,0x7fffdc00,0xffffffff,
    0x7fffdc00,0xffffffff,0x3fffffa0,0x5c0001ef,0xffffffff,0x9802ffff,
    0x7cc005ff,0xffffffff,0xf303ffb4,0xffffffff,0x2607ff69,0xffffffff,
    0x303ffb4f,0xffffffff,0x207ff69f,0xfffffff9,0x43ffb4ff,0x004ffff8,
    0xfffff300,0x3fff6205,0x0effffff,0x3fffee00,0x06ffffff,0xfffffff7,
    0x98bff2bf,0xceffffff,0x0fffffed,0x3ffffee0,0x5ff95fff,0x3fff0000,
    0xffffffc8,0xff9affff,0x3f6201ff,0xffffffff,0x06ffb80e,0x0bff3000,
    0xfffff700,0x3ff2bfff,0xeefffd82,0xeeeeeeee,0x3ffee02e,0xffffffff,
    0x7ffdc00f,0xffffffff,0xfed8800f,0xceffffff,0xffed8800,0x0cefffff,
    0x13fffffa,0x7ff54000,0xbeffffff,0x07ff7000,0xffffb100,0x0ffec5bf,
    0xfffffd88,0x407ff62d,0xdfffffd8,0x4407ff62,0x2dfffffd,0x6c407ff6,
    0x22dfffff,0x7fdc1ffd,0x2e00000e,0x5c02fffe,0x3dfffffe,0xffd91000,
    0x405bffff,0x2effffe9,0xfd50bff2,0xffffffff,0xd30019ff,0x645dffff,
    0xf80002ff,0xffd981ff,0x2a0cefff,0x5c00ffff,0x2efffffe,0x001bfee0,
    0x001ffdc0,0xeffffe98,0x3a0bff22,0xffffffff,0x03ffffff,0x7ffff6c4,
    0x800cefff,0xfffffed8,0x8000ceff,0x000199a9,0x20199a98,0x001bcefd,
    0x55331000,0xdd700013,0x09880001,0x01310000,0x00262000,0x0004c400,
    0x00009880,0x00000131,0x880026a2,0x88000009,0x4c400099,0xb9300009,
    0x179bdffd,0x01331000,0xddd00000,0x00098803,0x006a6000,0x00037fdc,
    0x0000eeb8,0x40004cc4,0xfffffffe,0x3fffffff,0x0ccd4c00,0x4cd4c000,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fff4400,0xb8000004,
    0x000005ff,0x2666bff7,0x00199800,0x403fff00,0x7c000099,0x400002ff,
    0x00000099,0x88000200,0xd8003ffe,0x7fec45ff,0x00000803,0x89fffd10,
    0x13510099,0x54406660,0x00062001,0x7fff4c00,0x74400003,0x2a0003ff,
    0x019b303d,0x443ffe88,0x80002ffe,0x004fffe8,0x20000044,0x3fe20099,
    0x06ffffff,0xf98bff00,0xd100002f,0x00005fff,0x00bff600,0xfffffff1,
    0x23ffd0df,0x7c402fff,0xf80000ff,0xffea81ff,0x4bff5004,0x00002fff,
    0x2009ffd5,0x30005ffa,0xbdffffdb,0x3fffa200,0xffd8003f,0x03ffe88d,
    0x0017fec4,0x5fffd100,0x7646ff88,0x7c0dffff,0x3fff627f,0xfd100dff,
    0x2a005bff,0x3f6205ff,0x100003ff,0x007ffffd,0x887fff30,0xd8805fff,
    0x5fff35ff,0xffd10000,0xfb71005f,0x0017bdff,0x7ffff644,0x3e21deff,
    0x6fffffff,0x23ffb000,0x0000ffd8,0x00effe88,0x3fe00000,0xffff8807,
    0x7c46ffff,0x00bffe7f,0x0001fff1,0x6cc3fff0,0x8804ffff,0x3ffe0fff,
    0x7ecc0002,0xf8804fff,0x6c4000ff,0xffffffff,0xcffe8807,0xc8003fff,
    0x03fffeff,0x00ffffc8,0xeffe8800,0xd16ff880,0xdfffffff,0x7447ffc1,
    0xefffffff,0xfffff880,0x7ffc400f,0x3fffb800,0x7ff44000,0x4003fffc,
    0x7cc5fffb,0x3f6006ff,0x002fffef,0x0effe880,0xffffe980,0x401effff,
    0xffffffc8,0x222fffff,0xffeeeeee,0xfff50006,0x000bfffd,0x009ffd10,
    0x817bae00,0xe8804ffa,0x6ffeeeee,0xfff27fd4,0x0fff8805,0x1fff8000,
    0x9ffffff5,0xf87ff900,0x2a0002ff,0x04ffffff,0x8003ffc8,0xdceffffd,
    0x7f4407fe,0x07ffd12f,0x7ffff900,0x3ffffa00,0x7f440001,0x3bfe204f,
    0xfcbeffe8,0x3ffe4fff,0xebbefffa,0x89886fff,0x6404ffe9,0x3e6003ff,
    0xd10003ff,0x3ffa25ff,0x3ffe2003,0x004ffe82,0x017fffec,0x27ff4400,
    0xfffffb80,0x2ffffffe,0x3bffffa0,0x2fffeeee,0x006ffb80,0x3ffffee0,
    0xed80000e,0x3200002e,0x3ff206ff,0x3fee0001,0xff0ffe46,0xfff8805f,
    0xfff80000,0x3feaffe1,0x437fcc04,0x40002fff,0x04ffabff,0x40037fcc,
    0x0204fffa,0x441eed88,0xc8002eed,0x3f2003ee,0x40000fff,0x7c402eed,
    0x442fffff,0xfff0fffd,0xff905fff,0x3ffc803f,0x001bfe60,0x000bbb62,
    0xd883ddb1,0x2e2002ee,0x00057101,0x0000bbb6,0xa801776c,0x260aefff,
    0xc81ffffb,0x2201cfff,0x6ffb801a,0x665cc000,0x00000002,0x06ffc800,
    0x700017b6,0x45ed8dff,0x7c402fff,0xf80000ff,0x7d4261ff,0x0fff404f,
    0x00017ffc,0x027fd426,0x20007ffa,0x00005ffe,0x00000000,0x005ffb10,
    0xff880000,0xff101fff,0x3bfffe3f,0x217ffa00,0x00dffeca,0x00007ffa,
    0x00000000,0x00000000,0x40000000,0x2e00fffe,0x7fc44fff,0x5c00004f,
    0x000006ff,0x00000000,0x006ffc80,0x6ffb8000,0x805fff00,0x0000fff8,
    0xf501fff8,0x1ffe409f,0x0002fff8,0xc813fea0,0xff0003ff,0x0000003f,
    0x00000000,0x20000000,0x401ffff8,0xffff2fff,0x87ffb803,0x01dffffc,
    0x00007ff9,0x00000000,0x00000000,0x20000000,0xc801fffa,0x3fea0fff,
    0x5c00000f,0x000006ff,0x03553000,0x9000054c,0x00000dff,0x200dff70,
    0x7c402fff,0x54c000ff,0x203fff09,0xff304ffa,0x417ffc0d,0x7d4001a8,
    0x0dff304f,0x03ffe200,0x55510000,0x44000135,0x000009aa,0x55551000,
    0x5fff1013,0x3e7ffd00,0xff9803ff,0x7edd4c0f,0x06ff987f,0x26666660,
    0x19980099,0x01331000,0x26666666,0x04cc0009,0x98009a88,0x09aa8819,
    0x4017ffa0,0x3ee3fff9,0xb800007f,0x816446ff,0x99999999,0x3ff22000,
    0x3ee5ffff,0x8000efff,0x00006ffc,0x006ffb80,0xf8805fff,0xfec800ff,
    0xffffffff,0x209ff501,0x3fe01ffe,0xffffb12f,0xff5001bf,0x007ffa09,
    0x003ffcc0,0xffffd980,0x2007ffff,0xffffffeb,0x2666664e,0x30000999,
    0xfffffffb,0x0fff88ff,0xff099880,0xfff1005f,0x0fffc403,0x44007ffa,
    0xffffffff,0x03ffcc06,0x884ffc80,0xffffffff,0x1bfe2006,0x1bffffd9,
    0xfd33ffc0,0x981bffff,0x3a002fff,0x3ffea6ff,0x7dc00002,0x05ff916f,
    0xfffffff1,0x7fd400df,0xcdffffff,0x0effffff,0x037fe400,0x7fdc0000,
    0x05fff006,0x200fff88,0xffffffe9,0x501fffff,0x9ff909ff,0xe89fff80,
    0xefffffff,0x427fd400,0x20004ffc,0x80007ffa,0xfffffffc,0xe9807fff,
    0xffffffff,0xfffff16f,0x9000dfff,0xffffffff,0xfff88fff,0x5fff0000,
    0x43fff100,0xfffc9898,0x8013ff20,0xfffffff8,0x0fff806f,0x83ffd800,
    0xfffffff8,0x3fe2006f,0xfffffd16,0x3fe01dff,0xffffff57,0xfffa8dff,
    0x9ffee000,0x000efff8,0x33ffee00,0xf882ffff,0x6fffffff,0x2afbea00,
    0xefffffb9,0x004ffeaa,0x00037fe4,0x037fdc00,0x4402fff8,0xff700fff,
    0xfb957bff,0x3ea03fff,0x037fcc4f,0x7ffdfffc,0x6fffebbe,0x2627fd40,
    0x540006ff,0x540007ff,0xaaabefff,0x7d406dca,0xcbbdefff,0xffff16fe,
    0x800dffff,0xaabefffa,0x7c46dcaa,0xff0000ff,0x3ffe005f,0x3ffffea2,
    0x01bfe63f,0x37333320,0xfff806ff,0x2ffe8001,0xfb999990,0x7fc400df,
    0xcbeffe8e,0xff04ffff,0xb59fff7f,0x7dc7ffff,0x7fd4006f,0x1ffffec7,
    0xfffb8000,0x3202efff,0x6ffdcccc,0x7d406600,0x3fe20fff,0x37fe4007,
    0x7dc00000,0x5fff006f,0x80fff880,0x100dfff8,0x3ea03fff,0x00fff44f,
    0x17fffffc,0x500fffe4,0x1ffe89ff,0x55555300,0x5555fff9,0x7c015555,
    0x440004ff,0x2203ffff,0x37333323,0x7fc006ff,0xff88004f,0xfff0000f,
    0x1fff1005,0x177fffd4,0x00007ffa,0x6c037fdc,0xff8002ff,0x3fee001f,
    0x3ffe2006,0x7ec42fff,0xffff80ff,0x7fec40ef,0x001bff27,0x7441fff5,
    0x00beffff,0xffffb100,0x3ee0005d,0xf100006f,0x5ffb0bff,0x037fe400,
    0x7fdc0000,0x05fff006,0xc80fff88,0xfff805ff,0x27fdc001,0x0effff80,
    0x0017ffa0,0xb8013fee,0xffffffff,0xffffffff,0x1fff102f,0xfffc8000,
    0xffb80001,0x3ffe2006,0xfff88000,0x5fff0000,0x10fff300,0x13fee033,
    0x6ffb8000,0x983ffc80,0x01fff02a,0x0037fdc0,0x03fffff1,0x3e07ffe2,
    0xf300efff,0x17ff61ff,0x83fff300,0xffffffd8,0xff91001c,0x80005fff,
    0x00006ffb,0x3f20bffe,0x3ff2003f,0xb8000006,0xfff006ff,0x0fff9807,
    0x400fffcc,0x22001fff,0xff000fff,0xffb803ff,0x7ffc4007,0x3ffee000,
    0xffffffff,0x02ffffff,0x0003fff1,0x0027ffcc,0x006ffb80,0x0007ffe2,
    0x0003ffe2,0x5c017ffc,0x7c4006ff,0x200000ff,0xfb806ffb,0x40ffd84f,
    0x5c007ff8,0x3e2006ff,0x7fc01fff,0x0ffff82f,0xfe8fffc0,0x7fc4004f,
    0xfffd502f,0x2201bfff,0x6ffffffb,0x6ffb8000,0x3ff60000,0x004ffb81,
    0x0001bff2,0x01bfee00,0x3a02fffc,0x7fd41fff,0x03fff006,0x0017fec0,
    0xf3007fff,0x7ec001ff,0x554c002f,0xafffcaaa,0x0aaaaaaa,0x007bffe0,
    0x007ffdc0,0x06ffb800,0x00f7ffc0,0x003ffe20,0x4017ffc0,0x6c004ffe,
    0x400002ff,0xfa806ffb,0x1fffc45f,0x7001bfe6,0x7c400dff,0xffe802ff,
    0x802fff83,0xbffd2fff,0x1fff9800,0x7fffecc0,0xfffe83ff,0x0006ffde,
    0x0006ffb8,0x57ff4cc4,0x4ffb9999,0x01bff200,0x3fee0000,0x0ffff006,
    0x20ffffec,0xff005ffc,0x3fee003f,0x17ffc005,0x00fffc40,0x0005ffb8,
    0x001ffea0,0x5bffff70,0x37fe4001,0xdff70000,0xffffb800,0xff8800ad,
    0xfff0000f,0x0fffa805,0x017fee00,0x1bfee000,0xf71bfe60,0x5ffa8dff,
    0x037fdc00,0x001fff10,0xfff01331,0x25ffd005,0x4c005ffd,0x71000fff,
    0xe87fffff,0x0dff73ff,0x0dff7000,0xffffd500,0xffffffff,0x6400bfff,
    0x000006ff,0xf006ffb8,0x6c417fff,0x6c4fffff,0xfff004ff,0x1fff1003,
    0x02fff800,0x801fff88,0x0000fff8,0x001ffea0,0x3fffff20,0xffd802df,
    0x3ee00004,0xffc8006f,0x202dffff,0x0000fff8,0x7dc07fff,0x3e2003ff,
    0x800000ff,0xf8806ffb,0x7fffec7f,0x000ffee1,0x4400dff7,0x80000fff,
    0xfe802fff,0x00dff92f,0x8007ffa8,0x21ffffc8,0x037fdc3e,0x037fdc00,
    0x3fffff60,0xffffffff,0x2004ffff,0x00006ffc,0x006ffb80,0x99ffffff,
    0xfff79fff,0x00fffa3b,0x6c00fffc,0x7776c2ff,0x002fff84,0xfb005fff,
    0x77ff5c5f,0x3ffd4003,0xffe98000,0x203fffff,0x00003fff,0x4001bfee,
    0xffffffe9,0x0fff883f,0xdffff000,0xfffdb799,0x2ffd800b,0x0027776c,
    0xf006ffb8,0x37fe21ff,0x0bff24ff,0x00dff700,0x0007ffc4,0x4017ffc0,
    0xfff72ffe,0x06ffb800,0x13ffea00,0x000dff70,0x400dff70,0x99befffb,
    0x9999affe,0x32000999,0x000006ff,0xf006ffb8,0xffffffff,0x3fffe29f,
    0x2007ffd3,0x7d401fff,0x7fffdc5f,0x802fff85,0x5400fff8,0x3fff65ff,
    0x2a003fff,0x400007ff,0xffffffc9,0x009ffd06,0x037fdc00,0x3fff2600,
    0x7fc46fff,0xfff0000f,0xffffffff,0xffa8007f,0x2ffffdc5,0x06ffb800,
    0x3ea3ffb0,0x3f66ff9f,0x7fdc001f,0x3ffe2006,0xfff80000,0x52ffe802,
    0x74003fff,0x740005ff,0x7fdc06ff,0xffb80006,0x0fffe006,0x00007ff6,
    0x0006ffc8,0x06ffb800,0xffd5fff0,0xffe985df,0x2009ffb3,0x3e201fff,
    0x3bfe20ff,0x2fff85ff,0x407ff980,0x3e60fff8,0x007ffa9c,0x0001ffea,
    0xffffc980,0x005ffd84,0x01bfee00,0xfffc9800,0x03ffe24f,0x7f7ffc00,
    0x00ceffff,0x107ffc40,0x00bffdff,0x401bfee0,0x2dfb2ffc,0x1ffd1ffc,
    0x06ffb800,0x003ffe20,0x00bffe00,0x7fc4bffa,0xfff3004f,0xffc80005,
    0x037fdc06,0x037fdc00,0xd80fff98,0x200002ff,0x00006ffc,0x006ffb80,
    0x02623fff,0x2ffe4310,0x00fffd40,0xffd87ffb,0xfff85ff9,0x06ffb802,
    0x2041ffec,0xf5000ffe,0x000000ff,0xf90fffd1,0x5c0000df,0x800006ff,
    0x0007ffe8,0x332fff80,0xffd80001,0x7fcffec3,0xdff70005,0x22ffee00,
    0x29ff33ff,0xfb8007ff,0x3fe2006f,0xff80000f,0x2ffe802f,0x6401fff6,
    0xd80006ff,0x7fdc05ff,0xffb80006,0x0dff5006,0x0000fffa,0x0006ffc8,
    0x06ffb800,0x0003fff0,0x5407ffb8,0xf501ffff,0x8bffb8bf,0x2fff85ff,
    0x204ffe80,0xf8805ffa,0x3fea007f,0x50000007,0xffa81fff,0xf700003f,
    0x200000df,0x0000fffa,0x0017ffc0,0xb8bff500,0x05ff8bff,0x00dff700,
    0x3feb3fea,0x3fe3ffe1,0x6ffb8006,0x03ffe200,0x0bffe000,0xf98bffa0,
    0x7fdc05ff,0x7cc0002f,0x7fdc03ff,0xffb80006,0x0dff5006,0x000dfff7,
    0x0037fe40,0x37fdc000,0x002fff80,0x817ffc40,0x81fffff9,0x3e20fff8,
    0xf0bff16f,0xffb805ff,0x1fff100f,0x03ffe880,0x001ffea0,0x3ffdc000,
    0x000fffe8,0x006ffb80,0x0fff7000,0xf007dd70,0x200005ff,0x3e20fff8,
    0x00bff16f,0x401bfee0,0x46fddff9,0x05ffbffc,0x006ffb80,0x0003ffe2,
    0x200bffe0,0x7ff42ffe,0x7fdc40df,0x400bc86f,0x00ffffb8,0x00037fdc,
    0x98037fdc,0x3fea0fff,0x00003fff,0x0000dff9,0x00dff700,0x0000bffe,
    0xf507fff6,0x903ffdff,0xcffd87ff,0x21aeffba,0x3ee03fff,0x3ff203ff,
    0x1fff4c03,0x01ffea00,0xf8801980,0xfff506ff,0x2024c05f,0x26006ffb,
    0x6fff8801,0x802ffe80,0x00002fff,0xffd87ff9,0x1aeffbac,0x037fdc00,
    0x4ffeff88,0x1fff7fcc,0x037fdc00,0x001fff10,0x005fff00,0xfe885ffd,
    0xffedffff,0xffe81eff,0xfeecdeef,0xb801ffff,0xb80006ff,0x3fe006ff,
    0xbdffdbef,0xdcabdfff,0x37fe4007,0x7dc00000,0x5fff006f,0xfff50000,
    0x1ffff9bf,0xff983ffb,0xfffffe86,0x3fe3ffff,0xecbccfff,0x3e605fff,
    0x7ffdc06f,0x7ffa8002,0x37fee000,0xffedbbcc,0x3ff601ff,0xeeccefff,
    0x37fdc06f,0x99bff700,0xffffdb77,0x00fff003,0x0000bffe,0x3fa1bfe6,
    0xffffffff,0xddddd903,0xddddfffd,0xfffff07d,0x5ffffd03,0x77777640,
    0xeeeefffe,0x0fff883e,0x2fff8000,0x882ffe80,0xfffffffd,0x3ffa05ff,
    0xffffffff,0x66541eff,0xcfffdccc,0xec82cccc,0xfffeeeee,0xb83eeeee,
    0x26ffffff,0xfffffffc,0x7ffe4007,0xeeeeeeee,0x776404ee,0xefffeeee,
    0x7fc3eeee,0xf700002f,0x1dffffff,0xffd07ff6,0xfffffd03,0x7fc7ffff,
    0xffffffff,0x7ff403ff,0x2ffff201,0xf5001aaa,0x7dc000ff,0xffffffff,
    0xfb802fff,0xffffffff,0xddddd96f,0xddddfffd,0xffff707d,0xffffffff,
    0x0bff3005,0x000bffe0,0x3a07ffa0,0xffffffff,0xffffb03f,0xffffffff,
    0xfffb09ff,0x3ffff20d,0x3ffff601,0xffffffff,0xfff884ff,0xfff80000,
    0x02ffe802,0x3fffff6e,0x7fedc02d,0xdfffffff,0xfffffb02,0xffffffff,
    0xffffb09f,0xffffffff,0x3fee09ff,0x7f640cff,0x4005ffff,0xfffffffc,
    0x05ffffff,0x7fffffec,0xffffffff,0x0017ffc4,0xdfffd500,0x90ffec19,
    0x7c4009ff,0xffd9305f,0x8019dfff,0x7f404ffc,0x03ffffff,0x000fff50,
    0x7fffff54,0x000befff,0x3ffffb22,0xfffb2dff,0xffffffff,0xfd509fff,
    0xdfffffff,0x3fee0017,0x05fff003,0x04ffc800,0xb017fe20,0xffffffff,
    0x09ffffff,0x2609fff9,0x3600ffff,0xffffffff,0x84ffffff,0x0000fff8,
    0xe802fff8,0x131002ff,0x2a662000,0xffd80099,0xffffffff,0xfd84ffff,
    0xffffffff,0x404fffff,0x09a88019,0xffff9000,0xffffffff,0xfffd80bf,
    0xffffffff,0x776c4fff,0x98800001,0x1bfe6000,0x00bff100,0xf9800262,
    0xfffe806f,0x5003ffff,0x20000fff,0x009aa998,0x01331000,0xfffffffb,
    0x9fffffff,0x9aa99880,0x0eeb8000,0x003ddb00,0x0037fcc0,0x00017fe2,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffff300,0x0000bfff,0x221fff44,
    0x88002ffe,0xd1000000,0xb8809fff,0x01981ced,0x00004cc4,0x3039db71,
    0x00310003,0x0017ffc0,0xddddd300,0x4009dddd,0xeeeeeee9,0x2fff84ee,
    0x98800000,0x00260000,0xeeeee980,0x2004eeee,0x440001a8,0x2004fffe,
    0x0003ffe8,0xd1000010,0xffe887ff,0x7f440002,0x220004ff,0x017fee00,
    0x3bba6000,0x04eeeeee,0x3e200080,0x6fffffff,0x7ffffcc0,0x00005fff,
    0xf9affec4,0xb71002ff,0x005bdffd,0x3fffa200,0x7fff4402,0x3fd30dff,
    0xfffffdb8,0xd1000bef,0x21bfffff,0xdb801fe9,0xeefffffe,0xff84eeee,
    0x2600002f,0xffffffff,0x3fe6005f,0x5fffffff,0x0002fff8,0xfffdca80,
    0x2601beff,0xceffffed,0x3ffe6001,0x05ffffff,0x00bfff50,0x0bfffa20,
    0xffffe880,0xfdb98003,0x0002ceff,0x3e6bffb1,0x440002ff,0x4002fffe,
    0xfffffdba,0x0bff70bd,0xfff30000,0x0bffffff,0x801bb220,0xfffffff8,
    0x7774c06f,0x005fffee,0xfdffb000,0x3a2005ff,0xffffffff,0x7f440004,
    0xffe800ef,0xffffffdd,0x3ffe60ff,0xffffffff,0xddffe803,0xffffffff,
    0x3fffa200,0xffffffff,0xf5556fff,0x555559ff,0x99910001,0x05999999,
    0x66666440,0xff82cccc,0x2200002f,0xfffffffe,0x6c40ffff,0xffffffff,
    0x991005ff,0x59999999,0x3ffffe00,0x7ff44002,0x3fa2000e,0x003fffcf,
    0x3fffffee,0x0000efff,0x5fffdffb,0xffe88000,0x3f62000e,0xffffffff,
    0x00bff77f,0x99991000,0x00599999,0x8801bfee,0xffeeeeee,0xbff90006,
    0x7ec00000,0xd3002fff,0xffbbffff,0x10001dff,0x5c009ffd,0x3fffa62f,
    0x7ffcc1ff,0xffffecde,0x317dc02f,0x03fffffd,0x6fffff4c,0xeeeefffd,
    0xfffff4ee,0x5fffffff,0x00000000,0x5fff0000,0x3fee0000,0xffefffff,
    0x7fec0fff,0xfffdceff,0x000004ff,0x7ffffc40,0x3ffa2004,0x7ff44004,
    0x007ffd12,0x759dfffb,0x003ffffb,0x0bffff60,0x9ffd1000,0xfffe9800,
    0xffffefff,0x000bff77,0x70000000,0x70000dff,0x32000dff,0x000005ff,
    0x8801776c,0xfc81ffff,0xed8004ff,0x5018002e,0x17101597,0x03fffd40,
    0x0acba80c,0x2177ffc0,0x7fc03ffd,0xffffffff,0x000002ff,0xf8000000,
    0xc80002ff,0x40acffff,0x3ee0fda8,0xfd980aff,0x000001ff,0x17ffffc0,
    0x005ddb00,0x441eed88,0x3fa02eed,0x3ff200ef,0xddb0002f,0xddb00005,
    0xfff98005,0x6d440adf,0x000bff77,0x70000000,0x70000dff,0x32000dff,
    0x000005ff,0xfffb8000,0x03fff201,0x00000000,0x3fee0000,0x8000001f,
    0xfd81fffb,0x7d55403f,0xaaaaacff,0x00000000,0xfff80000,0x7fcc0002,
    0x411002ff,0x7c403ffe,0x000002ff,0x02fffd40,0x00000000,0x006ffdc0,
    0x00037fdc,0x00000000,0x801ffff4,0x000bff70,0x70000000,0x70000dff,
    0x32000dff,0x000005ff,0x2fff8000,0x003fff80,0x00000000,0x2fff8800,
    0xff800000,0x07ffb02f,0x0017ffc0,0x03551000,0xaaa98800,0x0bffe009,
    0x1fffb000,0x3ffe2000,0x04ffe801,0x000d54c0,0x00001a88,0x88000000,
    0x7e4007ff,0x0000003f,0x3ea00000,0xfb8002ff,0x2600005f,0x99880099,
    0xf7333310,0x333333df,0xffb80133,0xbff90006,0x26620000,0x99999999,
    0x7fd40999,0x7ffc800f,0x33333310,0x13333333,0x2a206660,0xf800009a,
    0x266602ff,0x80099999,0x3f607ffb,0x3ffe003f,0x6c400002,0x0dffffff,
    0xffffb500,0xf05dffff,0x9aa885ff,0x0fffea00,0x05fff000,0x5005fff0,
    0xbffffffd,0x33000003,0x01333333,0x99999980,0xffb80099,0x0aceca83,
    0x4cc0dff1,0x009aa881,0x2a201330,0x37ff4009,0x05ffb800,0xf0099988,
    0xffd005ff,0x3fffff65,0xffffffff,0x7dc03fff,0xff90006f,0x3f20000b,
    0xffffffff,0x7ec6ffff,0xffe9805f,0xffffc81f,0xffffffff,0x4cfff06f,
    0x0dfffffe,0x0fff1000,0x7fffffc4,0xffd806ff,0x00fff605,0x54c2fff8,
    0x3e6000ab,0xffffffff,0xfffe802f,0xffffffff,0xe997ffc4,0xd04fffff,
    0xb0000dff,0xffa80bff,0xffffc807,0x03ffffff,0x3ffe2000,0x006fffff,
    0x3fffffe2,0xfff806ff,0x3ffffa60,0x40bff24f,0x3ffa67ff,0x2200dfff,
    0x7ff646ff,0xffb80dff,0xff70002f,0xffff980b,0x005fff01,0x3ff65ffd,
    0xffffffff,0x03ffffff,0x80037fdc,0x00005ffc,0xfffffff9,0x8dffffff,
    0x7dc02ffe,0xfc82ffff,0xffffffff,0xff06ffff,0x3ffffeaf,0x70006fff,
    0x7fc40bff,0x06ffffff,0x3602ffe8,0x3fe003ff,0xffffd32f,0xffa801bf,
    0xffba9bef,0x7ff402ff,0xffcbabcd,0x27ffe2ff,0xfffffffa,0x03fff86f,
    0x4fffa800,0x80bffd10,0xbacefffe,0x004ffffd,0xfffff100,0x4400dfff,
    0xffffffff,0x127fc406,0x9dbbffff,0xff827fc4,0xffffff57,0x7fc40dff,
    0xfffffd16,0xffc81dff,0x3fee0006,0x3fffe605,0x00bffe00,0x665cbffa,
    0xccfffdcc,0x01cccccc,0x80037fdc,0x00005ffc,0x99999995,0x8bfffb99,
    0xfb101fff,0x505fffff,0x99999999,0x20bfffb9,0xcfffbfff,0x03ffffda,
    0x017ffcc0,0x3f733332,0x1fff806f,0x800fff60,0xfffb9fff,0x00efffff,
    0x2209fff1,0x15c06ffd,0xf9bffe60,0xbdfffcff,0x263ffffc,0x80001fff,
    0x21efffe8,0x201efffb,0xd303fffb,0x00001fff,0x3f733332,0x6664006f,
    0x406ffdcc,0x3ff23ffa,0x17fe041d,0x7ffdfffc,0x3ffffdac,0xfd1dff10,
    0xffff97df,0x005ffd89,0x4c17fee0,0x7c00efff,0xffe802ff,0x01bfee02,
    0x01bfee00,0x002ffe40,0x3ff60000,0x07ffe20f,0x377fffa6,0x360003ff,
    0xfff00fff,0xfd881dff,0x5333107f,0x0003dffb,0xf101bfee,0x7fec01ff,
    0x8099999c,0xcfffdfff,0x03ffffca,0xf880dff9,0xc80003ff,0x3fffe7ff,
    0x7fec41ef,0x003ffea7,0x7ffec400,0x0dfffddf,0x00fffe20,0x000bfff1,
    0x037fdc00,0x037fdc00,0xfff8bfee,0xf06fe801,0x881dffff,0xff107ffd,
    0xd885ffff,0x3ffa0fff,0x3fee0004,0x0efff985,0x802fff80,0x3ee02ffe,
    0xfb80006f,0xff90006f,0x01cc980b,0x17ffdc00,0xf703ffe6,0x3ff27fff,
    0xfff70004,0x77fffc05,0x01fff300,0xdffffffd,0x7fdc0001,0x03ffcc06,
    0x3ffffff6,0xffff83ff,0x7ff440ef,0x01fff887,0x0005ffc8,0xff1fff98,
    0x3e601dff,0x0fff70ff,0x3bbbbba2,0xfff701ee,0x9009ffff,0x3ee00fff,
    0x000000ff,0x0000dff7,0xfc80dff7,0x00dff11f,0x7ffc1ff6,0xfff300ef,
    0xfffff101,0x87ffe203,0x20003fff,0x7fcc5ffb,0xfff000ef,0x05ffd005,
    0x00037fdc,0x80037fdc,0x3ea05ffc,0x30002fff,0xff309fff,0x77ffec4f,
    0x0017ff21,0xf013ffe6,0xff801fff,0xffffe81f,0x0002efff,0xfa80dff7,
    0x7ffec07f,0xf83fffff,0xf700efff,0x7ffa81ff,0x00dff500,0x7c7ffe00,
    0x7fc00fff,0x20dffb1f,0xfffffff8,0xfffd101f,0xd801bfff,0xff1004ff,
    0x2000003f,0x80006ffb,0x7ec06ffb,0x009ff30f,0x3fe03ff2,0x7ffc00ff,
    0x1ffff881,0xf897ffc0,0x2e0002ff,0x3ffe65ff,0x3ffe000e,0x02ffe802,
    0x0001bfee,0x4001bfee,0x3fe05ffc,0x88007fff,0xff305fff,0x37fffa6f,
    0x0027fe40,0x2017ffe2,0xff802fff,0xdcccb82f,0x005ffffe,0x5406ffb8,
    0x7fec07ff,0x80aaaaad,0x2600efff,0x7fdc1fff,0x0fff3005,0xf3333300,
    0x0bffe3ff,0x7e4bffe0,0xffff106f,0xf703ffff,0xffffdfff,0x17ffc05f,
    0x205fff00,0x4002ffe9,0x80006ffb,0x7e406ffb,0x00dff30f,0x3fe03ff6,
    0x2fff802f,0x802fff88,0xfff13ffe,0x7fdc0007,0x01dfff35,0x802fff80,
    0x2aaa2ffe,0xaaafffca,0xb800aaaa,0xf90006ff,0x3ffe20bf,0x6c000fff,
    0xff100fff,0x07ffff7f,0xb0013ff6,0xff001fff,0x5ffd005f,0x7ffe4400,
    0x37fdc004,0x803ffe60,0x3e003ffd,0xfff802ff,0x7ffffe42,0xffffffff,
    0x6dc00fff,0xffffffff,0x05fff1ff,0x3ee5ffd0,0x3fe2007f,0x77ffe41f,
    0x7ffffb31,0x003fff10,0xfe827ff4,0x2e001fff,0xb80006ff,0x7fdc06ff,
    0x001fff11,0x3ffe0ffd,0x82ffe802,0x8800fff8,0x13ffe099,0x8dffb800,
    0x8000efff,0xfe802fff,0x3ffffe2f,0xffffffff,0xffb801ff,0xbff90006,
    0x37ffffc0,0x07fff200,0xdffffff0,0x01fff403,0x003fff90,0x3a00bffe,
    0xfc8002ff,0x3ee001ff,0x7ffc406f,0x00fff601,0xe802fff8,0x7ffec2ff,
    0xffffffff,0x500fffff,0xffffffff,0x3e3fffff,0xffe802ff,0x001fff52,
    0xfc87ffe2,0xfff704ff,0x0fff983f,0x413ff600,0x004fffff,0x0001bfee,
    0xf501bfee,0x01fff45f,0xfff82ffc,0x82ffe802,0x0000fff8,0x80017ffa,
    0xffffeffb,0x5fff0000,0x7c5ffd00,0xffffffff,0x01ffffff,0x0006ffb8,
    0x7d40bff9,0x2a002fff,0xfe803fff,0xff804fff,0xfff5002f,0x17ffc007,
    0x0017ff40,0x2003fff8,0xff806ffb,0x0fff601f,0x802fff80,0x7fe42ffe,
    0xccccccce,0x80cccccc,0xaacffff9,0x1fff9999,0xfd005fff,0x07ffe65f,
    0x88fffc40,0x7d404fff,0x7ffc45ff,0x0fffa001,0x037fffec,0x000dff70,
    0x980dff70,0x3ffea4ff,0x3e24eccf,0x05fff04f,0xf105ffd0,0x6c0001ff,
    0x2e0006ff,0x3fffcdff,0x05fff000,0x5545ffd0,0xaafffcaa,0x800aaaaa,
    0x90006ffb,0xbb980bff,0x3ffe2000,0x5fffb005,0x03fff100,0x00bfff10,
    0xe802fff8,0xfd0002ff,0x7fdc009f,0x04fff806,0xf800fff6,0xffe802ff,
    0x0037fdc2,0x01dfff00,0xfff1fff8,0x25ffd005,0x1004fff8,0x3fee3fff,
    0x7ffd800f,0x2002fff8,0xff102fff,0x7dc00dff,0xfb80006f,0x3ffc406f,
    0x3ffffff2,0x7c0ffee4,0xffe802ff,0x00fff882,0x03fff200,0xdaffdc00,
    0xf8002fff,0xffe802ff,0x01bfee02,0x01bfee00,0x002ffe40,0x0effe800,
    0x00dff900,0x7401bff2,0x7c000eff,0xffe802ff,0x7ffd0002,0x037fdc00,
    0xfb03ffec,0x7ffc007f,0x42ffe802,0x00007ffa,0xf005fff1,0x0bffe3ff,
    0xfe8bffa0,0xff8800ff,0x00dff91f,0xfd03ffee,0x3fe2007f,0x3ffee01f,
    0x1bfee005,0x1bfee000,0x930fff20,0x7fc37bdd,0x05fff00f,0xf105ffd0,
    0x540001ff,0x70004fff,0x7ffecbff,0x1fffc002,0x5017ffc0,0x70000dff,
    0x32000dff,0x800005ff,0x2001fffc,0xe802fff8,0xffc803ff,0xfff8001f,
    0x02ffe802,0x01fff880,0x201bfee0,0xfb01fff9,0x7ffc007f,0x42ffe802,
    0x0002fff9,0x400fffa8,0xfff1fff8,0x45ffd005,0x8804fff9,0xfff91fff,
    0x21ffee00,0xf9007ffd,0xfff980ff,0x1bfee004,0x1bfee000,0x001bfe20,
    0x7fc07ff7,0x2ffe802f,0x000fff88,0x007fff40,0xd12ffdc0,0x74003fff,
    0x7fec05ff,0x1ffea02f,0x1bfee000,0x02ffe400,0x3ffee000,0xeffd8002,
    0x03fff200,0x005fff70,0x200bffe0,0xd8002ffe,0x7dc007ff,0xdffd006f,
    0x007ffb01,0x74017ffc,0xfffd82ff,0x7fd40000,0x3ffa600f,0x005fff1f,
    0xffd85ffd,0x7ffc404f,0x003fff71,0xff30bffd,0xfff9807f,0x0fffdc02,
    0x00dff700,0x00dff700,0x4c017ff2,0x7ffc07ff,0x82ffe802,0x0000fff8,
    0x00ffffd4,0xf117fee0,0x36003fff,0x3ff207ff,0x3fe202ff,0x7dc0002f,
    0xff90006f,0x7cc0000b,0xf30004ff,0xff901bff,0xfff9809f,0x3ffe0004,
    0x02ffe802,0x07fff6a0,0x00dff700,0xb03bffea,0x7fc007ff,0x2ffe802f,
    0x01efff98,0x9fff3008,0x3fffff20,0xd005fff1,0xfff885ff,0xff8809df,
    0x5ffff31f,0x0ffff220,0x9827ffec,0x74406fff,0x7dc005ff,0xfb80006f,
    0xfff1006f,0x7ffdc01d,0x017ffc03,0x7c417ff4,0xd80000ff,0x301bffff,
    0x217feed9,0x800ffff9,0xfc83fffb,0x7c02ffff,0x20001eff,0x90006ffb,
    0x20000bff,0x0006ffe8,0x66ffffe4,0x405ffffd,0x0006ffe8,0x74017ffc,
    0x999dd2ff,0xffffdd99,0xdff70007,0x7fffe400,0xeeffecce,0xff84eeee,
    0x2ffe802f,0x9dffffb0,0x1fdb9557,0x2fbfffa0,0xfeefffdb,0x005fff1f,
    0xff505ffd,0xd9bdffff,0x7dc3ffff,0xdcccefff,0x2205ffff,0xcbdeffff,
    0x981ffffe,0x00ffffc9,0x0037fdc0,0x0037fdc0,0x37bfffd1,0x05fffd95,
    0xd005fff0,0xfff105ff,0xfb100001,0xdddfffff,0x3feeffff,0x1dfff505,
    0xfffff880,0xfcdfffcc,0x7ffd402f,0x3fdcccef,0x2037fdc0,0xffeeeeed,
    0x2eeeeeff,0x77ffec00,0xeeeeeeee,0xfff702ee,0x09ffffff,0xdddfffb0,
    0xdddddddd,0x005fff05,0x3ffa5ffd,0xffffffff,0x7776402e,0xeefffeee,
    0xff703eee,0xffffffff,0xf0dfffff,0xffd005ff,0x7fffdc05,0xffffffff,
    0xfffff300,0x3f69ffff,0x005fff1f,0x36205ffd,0xffffffff,0x7e41ffff,
    0xffffffff,0xfd8805ff,0xffffffff,0xffff980e,0x3bb200df,0xefffeeee,
    0xec83eeee,0xfffeeeee,0x203eeeee,0xfffffffd,0xff001eff,0x5ffd005f,
    0x001fff10,0x7fffdc00,0x7fffffff,0x7dc0bff7,0x7dc00eff,0x5fffffff,
    0xfb005ff9,0xffffffff,0x3bbbbb27,0xeeeefffe,0xfffffd3e,0xffffffff,
    0xffe8007f,0xffffffff,0x2603ffff,0x2deffffd,0xfffffd00,0xffffffff,
    0x05fff07f,0x3fa5ffd0,0xdeffffff,0xffffb002,0xffffffff,0x764c09ff,
    0xffffffff,0xff86ffff,0x2ffe802f,0x7fff6c40,0x00ceffff,0x3fffff62,
    0x7c7ff62d,0xffe802ff,0x7ff6d402,0x00bdffff,0xffffff91,0xeb80039f,
    0x03dfffff,0x00bbffe6,0x3ffffff6,0xffffffff,0xfffffd84,0xffffffff,
    0x7f65404f,0x000bdeff,0x3a00bffe,0xfff882ff,0x64400000,0xcdfffffd,
    0x80bff70a,0x9806fffc,0x22effffe,0xb3002ffc,0x5dffffff,0x3ffffff6,
    0xffffffff,0xffffffd4,0xffffffff,0xfffe8007,0xffffffff,0x31003fff,
    0xfffd0001,0xffffffff,0xfff07fff,0x45ffd005,0x0009a999,0xffffffb0,
    0xffffffff,0x00ccc009,0x802fff80,0x4c002ffe,0x1000199a,0x7ffc0013,
    0x02ffe802,0x000cd4c0,0x0004d4c4,0x10009880,0xffd80035,0xffffffff,
    0xfd84ffff,0xffffffff,0x004fffff,0xff00004c,0x5ffd005f,0x001fff10,
    0x00988000,0x36017fee,0x31005fff,0x10000013,0xffd81333,0xffffffff,
    0x0004ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x04000000,0xddddd100,
    0xdddddddd,0x6e5cc001,0x18003eee,0x01300000,0xddddd300,0x4009dddd,
    0x009aaaa8,0x009aa880,0xddb000c0,0x0f774005,0x3ba20000,0xeeeeeeee,
    0x05ddb4ee,0xed8f7740,0xacdeeeee,0x2eed8009,0x647bba00,0xeeeeeeee,
    0xb0eeeeee,0xbddddddd,0x774c0399,0xeeeeeeee,0x4eeeeeee,0xddddddd1,
    0x2bdddddd,0x98005eeb,0xeeeeeeee,0xeeeeeeee,0x01ddd74e,0x00777540,
    0x01eeeec8,0xdddddd90,0xdddddddd,0x01eee8dd,0x000deed8,0x00eeeed8,
    0xb803774c,0xec8804ee,0x3ffe2006,0xffffffff,0xfea801ff,0x04ffffff,
    0xefffed98,0xd910001d,0x007bdfff,0x3fffffe6,0x6cc05fff,0xffffffff,
    0xfffeb807,0x9504efff,0x019dfffd,0xf001fff4,0xff7005ff,0x7ffcc05f,
    0xffffffff,0x007fff5f,0xfff97ffc,0xffffffff,0x1fff404f,0x365fff00,
    0xffffffff,0xf0ffffff,0xffffffff,0xf503bfff,0xdddddddd,0xfddddddd,
    0x3ffffe2b,0xffffffff,0x000dff97,0xfffffff5,0xffffffff,0x3ffe2dff,
    0x9fff1005,0x7ffffc00,0xffffb004,0xffffffff,0xfff8ffff,0x17ffe402,
    0x7fffdc00,0x3ffd400f,0x805ffc80,0x22006ffb,0xffffffff,0x201fffff,
    0xfffffff9,0x7e404fff,0xffffffff,0x7ffdc003,0x0effffff,0x66666440,
    0x3202cccc,0xffffffff,0x3fa607ff,0xffffffff,0x7ffff446,0xd03fffff,
    0x7fc007ff,0x3ffea02f,0x3fe602ff,0xffffffff,0x07fff5ff,0xff97ffc0,
    0xffffffff,0xfd01efff,0x7ffc007f,0xffffffb2,0xffffffff,0x3fffffe1,
    0xffffffff,0x00017d40,0x3fffe2bf,0xffffffff,0x00dff97f,0xffffff50,
    0xffffffff,0x7fdcdfff,0xfffc801f,0xffff5000,0x3ff600df,0xffffffff,
    0x7c7fffff,0x3fea02ff,0xff88003f,0x5400ffff,0xff9007ff,0x0dff700b,
    0x003ffc40,0x77fffcc0,0x3fa001ab,0xfedcceff,0xff7004ff,0xffd99dff,
    0x800000df,0xaabefffa,0xf506dcaa,0x977bdfff,0x7ffd4dfd,0xffffeeff,
    0x03ffe82f,0x2a0bffe0,0x2ffffffe,0x5ffd8000,0x7c007fff,0x87fff2ff,
    0xffffea98,0x003ffe82,0xff00bffe,0x2fff807f,0x6fffea98,0x035117d4,
    0x7ffc57e0,0x37fe4001,0x7ffc0000,0x1bffa003,0x007fff10,0x7fff7fe4,
    0x99998801,0x99999999,0x7ffc6ffc,0x0bfff302,0x3fbff600,0x7fd400ff,
    0x0bff9007,0x400dff70,0x40007ff8,0x002efff8,0x205fff90,0x4401fffd,
    0xd880efff,0x4000000f,0x10004fff,0x4407ffff,0x02bbff63,0xe81dfff7,
    0x3fe003ff,0x3fffaa2f,0x002fffff,0xff5ffd80,0x7ffc007f,0xb807fff2,
    0xffe86fff,0x0bffe003,0xf807fff0,0x7fec02ff,0xfa8bea0f,0xbf00cfff,
    0x0007ffe2,0x0000dff9,0x4007fff0,0x3603fffa,0x7fc006ff,0x003fff9f,
    0x87fff000,0xfe882fff,0xff50006f,0x201fff3f,0xeefffeea,0xfeeeeeee,
    0x2e05efff,0x3e2006ff,0x7e40007f,0xf30000ef,0xffd805ff,0x07ffe405,
    0x00000020,0x0001fff1,0x0007fff2,0xfff7013a,0x003ffe85,0x7fccbffe,
    0xfff9afff,0xffd80002,0x4007fff5,0x7fff2fff,0x87fff300,0x3e003ffe,
    0x7ffc02ff,0x017ffc03,0xfa8bffe6,0x3ffb3262,0xff15f82f,0xffc8003f,
    0xff800006,0x7fec003f,0x1fff980f,0x65ffea00,0x800006ff,0xfff87ffb,
    0x00effd82,0x9afff880,0xff500fff,0xffffffff,0xffffffff,0x266662df,
    0x9999effb,0xff109999,0x7fcc000f,0x3f20001f,0xfffa806f,0x00fffa01,
    0x26666600,0x7c400999,0xf98001ff,0x000004ff,0x3fa27ffc,0x3ffe003f,
    0xf98fffa2,0xd80002ff,0x07fff5ff,0xff97ffc0,0xfffb003f,0x001fff41,
    0xff805fff,0x17ffc03f,0xa8bffe20,0x3ff6602f,0xfff8afc1,0x37fe4001,
    0x7ffc0000,0x7ffcc003,0x004ffe84,0xffaa7fe4,0x7400001f,0x2fff83ff,
    0x000fffdc,0xff35ffc8,0x3ffea01f,0xffffffff,0xffffffff,0xffffffb6,
    0xffffffff,0x1ffe27ff,0x04ffc800,0x027fec00,0x3e03ffe8,0x440002ff,
    0xffffffff,0x1efff806,0x07ffdc00,0x3fa00000,0x01fff45f,0x6545fff0,
    0x017ffcc0,0xfaffec00,0x3fe003ff,0x007fff2f,0xfe8bffe6,0x3ffe003f,
    0x01fffc02,0xf300bffe,0x017d41ff,0x457e37ec,0x64001fff,0x800006ff,
    0xc8003fff,0x3fea0fff,0x7ffc000f,0x000fffe1,0xf07ffb80,0x7ffd45ff,
    0xfff30002,0x003ffe61,0x3200fff5,0x7ffec5ff,0xffffffff,0xf13fffff,
    0x7f4000ff,0x7fc0002f,0x9ffb003f,0x007ffe20,0xfffff100,0xf700dfff,
    0x0015bfff,0x0000dff9,0xe8bffb00,0x3fe003ff,0xfff9802f,0xffd80002,
    0x4007fff5,0x7fff2fff,0xd1fffc00,0x7fc007ff,0x1fffc02f,0x700bffe0,
    0x02fa8dff,0x57e0ffa8,0x4001fff8,0x00006ffc,0x8003fff8,0x3fa4fff8,
    0x7fd4003f,0x0037fec7,0x207ffd00,0xfff12fff,0x7ff40007,0x003ffe62,
    0x3200fff5,0x6665c5ff,0xcccfffdc,0xf11ccccc,0x3e2000ff,0x00cc40ff,
    0x9003fff8,0x3fe60bff,0xcc80000f,0x06ffdccc,0xffffff90,0x27fec05b,
    0x7f400000,0x01fff44f,0x3005fff0,0x00005fff,0x3ffebffb,0x4bffe003,
    0x3a003fff,0x0fffa4ff,0x402fff80,0x7fc03fff,0x3ffea02f,0x4c017d43,
    0x7c57e0ff,0x7e4001ff,0xf800006f,0xf50003ff,0x0dff73ff,0xa8bff900,
    0x80000fff,0xff00fffb,0x017ffa5f,0x4c5ffc80,0x7d400fff,0xbff9007f,
    0x00dff700,0x7fffffc4,0x3ea02dee,0xfffeb8ef,0x3fa04eff,0xdff7004f,
    0x003ffe60,0x37fdc000,0xffffd300,0xfff07fff,0x88000007,0x7ff43fff,
    0x0bffe003,0x00bffe60,0x7d7ff600,0x3fe003ff,0x007fff2f,0xffd37fec,
    0x5555555b,0x05fff555,0x7c03fff8,0xaa999bff,0xfa84fffd,0x7c7fc802,
    0x557fff15,0x35555555,0x0001bff2,0x000fffe0,0xfffdffe8,0x2fff8001,
    0x001fffc4,0xf027ff40,0x0dffb5ff,0x07ffcc00,0x5003ffe6,0x3f200fff,
    0x6ffb805f,0x3fffe200,0x3fffffff,0xffffffb8,0xefffffff,0x007ffd81,
    0x3e60fff5,0x000000ff,0x3000dff7,0xdffffff9,0x0004ffe8,0x07ffdc00,
    0xf800fffa,0xff9802ff,0xfd80002f,0x007fff5f,0xfff97ffc,0x9fff2003,
    0xfffffffe,0xffffffff,0x1fffc02f,0x3fffffe0,0x01efffff,0xb53305f5,
    0xf15f85ff,0xffffffff,0x3f29ffff,0x7fc0006f,0xffffffff,0xf3003fff,
    0x0009ffff,0xfb01fff5,0xfa8000df,0x3ffe00ff,0x0000fffe,0x3e60fffa,
    0x7fd400ff,0xeeeeeeef,0x805fffee,0x22006ffb,0xfffeeeee,0x7dc4ffff,
    0xaabeffff,0x40ffffec,0x5404fffa,0x3ba67ffe,0xeeeefffe,0x0002eeee,
    0x8000dff7,0x24ffffc9,0x00005ffd,0x213ffe20,0x3e003ffe,0xff9802ff,
    0xfd80002f,0x007fff5f,0xfff97ffc,0x9ffee003,0xfffffffe,0xffffffff,
    0x1fffc02f,0x3fffffe0,0x2effffff,0xfff82fa8,0xf15f83ff,0xffffffff,
    0x3f29ffff,0x7fc0006f,0xffffffff,0x32003fff,0x8000ffff,0xff705ffc,
    0x7f40001f,0x7fffc04f,0x70000fff,0x3fe60dff,0x7ffd400f,0xffffffff,
    0xb805ffff,0x200006ff,0x24ffffc8,0x200cfffc,0xfd84fffb,0xca9abeff,
    0x266ffffe,0xffffffff,0x03ffffff,0x00dff700,0x9fffa200,0x00006ffc,
    0x203bffa0,0x3e003ffe,0xff9802ff,0xfd80002f,0x007fff5f,0xfff97ffc,
    0x9fff2003,0xcccceffe,0xffcccccc,0x1fffc02f,0x3337ffe0,0xfffffecc,
    0x7fc17d44,0x22bf00ab,0xccccdfff,0xf92ccccc,0xff8000df,0xffffffff,
    0x22003fff,0xf0003fff,0x3fe207ff,0xff50003f,0xbfff801f,0x88006fff,
    0xff301fff,0xfffa801f,0xffffffff,0xb805ffff,0x800006ff,0x3f27fff8,
    0xfff9006f,0xffffe881,0xffffffff,0x3fffe65f,0xffffffff,0xf70003ff,
    0x540000df,0xfff50fff,0xfb000007,0x3ffa03ff,0x0bffe003,0x00bffe60,
    0x7d7ff600,0x3fe003ff,0x007fff2f,0xffd37fec,0x17ffc007,0xf00fffe0,
    0x7f5405ff,0x20bea2ff,0xf15f807f,0xfc8003ff,0xf800006f,0x3fa003ff,
    0xffffffff,0x201fffff,0x3a00fffa,0xfd0006ff,0x5fff009f,0x8009fff5,
    0x3e603ffd,0x7fd400ff,0x9999999f,0x805ffd99,0x00006ffb,0x2e3fff50,
    0xff3006ff,0x3ffee03f,0xfbadffff,0x1fff304f,0x3ee00000,0x2e00006f,
    0x7fff47ff,0x3f200000,0x3ffa03ff,0x0bffe003,0x00bffe60,0x7d7ff600,
    0x3fe003ff,0x007fff2f,0xffd2fff4,0x17ffc007,0xf00fffe0,0xff8805ff,
    0x3e0bea7f,0xff15f807,0xffc8003f,0xff800006,0x3ffa003f,0xffffffff,
    0x3201ffff,0x7fdc06ff,0x7fd4000f,0x2fff800f,0x2007fff9,0x7cc06ffa,
    0x7fd400ff,0x0bff9007,0x000dff70,0x4bffe200,0xf1007ffa,0xa98805ff,
    0x81ffe41a,0x0000fff9,0x80dff700,0xfff88019,0x17fffdc5,0xff900930,
    0x3ffe807f,0x00bffe00,0x000bffe6,0x7fd7ff60,0x3ffe003f,0x4007fff2,
    0x3ffa3fff,0x0bffe003,0xf807fff0,0xffb802ff,0x9905f50f,0x3fe2bf00,
    0x7fe4001f,0xff800006,0x332e003f,0xcdfffccc,0x3e00cccc,0xaaaaadff,
    0x03fffcaa,0x802fff40,0x3ff62fff,0x7ffc401f,0xaaaaaaac,0xaaabfffb,
    0x803ffd40,0xfb805ffc,0x2000006f,0xfff33fff,0x017ffc00,0x40bffa00,
    0x0000fff9,0x80dff700,0xbbccdffb,0x81ffffed,0xcefffffc,0x6406feec,
    0xfe803fff,0x3ffe003f,0x2fff9802,0x4ffd8000,0x22009ffd,0x7fff1fff,
    0x87ffee00,0x3e003ffe,0x7ffc02ff,0x017ffc03,0xfa8fffd4,0x457e0002,
    0x64001fff,0x800006ff,0x80003fff,0x54003fff,0xffffffff,0x5fffffff,
    0x07ffea00,0xf117ffc0,0x7c401fff,0xffffffff,0xffffffff,0x3ffd43ff,
    0x805ffc80,0x00006ffb,0x223fff30,0xf8801fff,0x220001ff,0xff300fff,
    0x2000001f,0x7dc06ffb,0xffffffff,0x3f202fff,0xffffffff,0x3fff206f,
    0x07ffd003,0x007ffe20,0x000bffe6,0x7ecfffa0,0xfff3004f,0xf801fffc,
    0x1fff47ff,0x805fff00,0x7fc03fff,0xfffa802f,0x3c885f50,0xfff15f80,
    0x6ffc8003,0xfff80000,0xfff80003,0x7ffe4003,0xffffffff,0x000fffff,
    0x7c00bffd,0x7ffcc2ff,0x3fffe205,0xffffffff,0x3fffffff,0xc803ffd4,
    0xffa805ff,0xf7000006,0x04fff8ff,0x0007ffa8,0xf301ffec,0x000001ff,
    0xd501bfee,0xffffffff,0xd710017d,0x5bffffff,0x00ffff20,0x3003ffe8,
    0xf3001fff,0x880005ff,0xdff92fff,0xf9bfee00,0xffc803ff,0x01fff42f,
    0xf805fff0,0x7ffc03ff,0x26ffc802,0x17fe42fa,0x7ffc57e0,0x37fe4001,
    0x7ffc0000,0x26662003,0x99bfff99,0x3ffe0199,0xcccccccd,0x03fffccc,
    0x001fffa8,0x3ee0bffe,0x555104ff,0x55555555,0x5557fff7,0x007ffa81,
    0xf500bff9,0x300000ff,0xffb89fff,0x2fff400f,0x0dff7000,0x000fff98,
    0x0dff7000,0x7ffccc40,0xdff50002,0xfffc8013,0x1fff4003,0x007ffb80,
    0x0c05fff3,0xa87ffe40,0x7c402fff,0x0fffe3ff,0x86fffd88,0x3e003ffe,
    0x7ffc02ff,0x017ffc03,0xfa93ffe6,0x201ffdc2,0x03fff15f,0x006ffc80,
    0x03fff800,0x3fffffa0,0xffffffff,0x0fffa81f,0x017ffa00,0xf0017ffa,
    0x3ff605ff,0xf980002f,0x7fd400ff,0x0bff9007,0x005fff10,0x3fff2200,
    0x0efff886,0x00fffd88,0x2fffc880,0x007ffcc0,0x6ffb8000,0x0fff8800,
    0x07ff9000,0x007fff90,0x4087ffd0,0x005fffa8,0x5c05fff3,0xfffb80bf,
    0x817fff44,0x7fc6ffe9,0x7fdd4c3f,0xffe80eff,0x0bffe003,0xf807fff0,
    0xff9102ff,0x417d41df,0xf15f803b,0xfc8003ff,0xf800006f,0x3fa003ff,
    0xffffffff,0xc81fffff,0x7e4006ff,0x3fea00ff,0x7ffc001f,0x1fffd102,
    0xfff98000,0x03ffd400,0xf005ffc8,0xd9003dff,0xffd9999b,0x3ee01dff,
    0xfcbbcfff,0x31002fff,0x0bffff95,0x001fff30,0x1bfee000,0x017fe600,
    0x401ffe80,0x999cfffc,0x19999999,0x9df0fffa,0x01fffffb,0x80bffe60,
    0xfedffffb,0x7cc0ffff,0xeccdefff,0x7fc2ffff,0xffffffff,0xfd00dfff,
    0x7ffc007f,0xfddddd92,0xddddddff,0x3bbbffe1,0xfffffffe,0x00017d40,
    0x3bffe2bf,0xeeeeeeee,0xddfff95e,0xdddddddd,0x0fffe009,0xaaaaaa80,
    0xaaaacfff,0x03fff80a,0x017ffcc0,0xf000dffd,0x7fcc05ff,0x260000ef,
    0x7d400fff,0xbff9007f,0x3fffea00,0x93fdccce,0xffffffff,0xfa8019ff,
    0xffffffff,0x3fbae02f,0x2effffff,0x3ffbba60,0xeeeeeeef,0xdd905eee,
    0xdfffdddd,0x5c07dddd,0xf10003ff,0xfff980ff,0xffffffff,0xfd0fffff,
    0xfffff87f,0xffc82fff,0xffffffff,0xff77ffff,0xdfffffff,0x3fffaa01,
    0x1effffff,0xfffffff8,0x403effff,0x3e003ffe,0xffffb2ff,0xffffffff,
    0x3fffe1ff,0xffffffff,0xeeefa80c,0xeeeeeeee,0xf15feeee,0xffffffff,
    0x3f2fffff,0xffffffff,0xf005ffff,0xf00007ff,0x3e6007ff,0xfe8001ff,
    0x5fff505f,0x05fff000,0x005fffb8,0x003ffe60,0x3200fff5,0x3f6005ff,
    0xffffffff,0xffffff93,0x4c0019df,0xcefffffd,0x7fffe400,0x9803ffff,
    0xffffffff,0xffffffff,0xfffffb07,0xffffffff,0x0ffec09f,0x04ff9800,
    0x7fffffcc,0xffffffff,0x87ffd0ff,0x0deffffd,0xffffff90,0xffffffff,
    0x7fffed4f,0xec8803ef,0x04efffff,0x3bfffffe,0xfd001cce,0x7ffc007f,
    0xffffffb2,0xffffffff,0x3fffffe1,0x200bceef,0xfffffffa,0xffffffff,
    0xffff15ff,0xffffffff,0x3ffff2ff,0xffffffff,0x7fff005f,0x7fff0000,
    0x01bff200,0x407ffe40,0xf0006ffe,0xffb005ff,0x3e60007f,0x7fd400ff,
    0x0bff9007,0xffffd980,0x26622eff,0x1000009a,0xffc80033,0x000abcde,
    0xfffffff3,0xffffffff,0x3fff60ff,0xffffffff,0x32e04fff,0x33260004,
    0x7fffcc01,0xffffffff,0x2000ffff,0xfff90018,0xffffffff,0x2660ffff,
    0x0d4c0000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0004ccc4,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x003dddb0,0x7443dddb,0xeeeeeeee,0xdd95eeee,0x3bb600bd,0x777774c0,
    0x000abcee,0x001eee88,0x7777776c,0x2600bcde,0x40000eee,0xeeeeeeec,
    0x3a6002cd,0xbceeeeee,0x2eed800a,0xee980000,0xa80eeb82,0xeeeeeeee,
    0x6eeeeeee,0x0007bbb2,0xeb83bbb2,0x3b2001ee,0x0ddd10de,0x64fbaa00,
    0xd50006ee,0xed8001dd,0xeeeeeeee,0xddddd32e,0xdddddddd,0x2009dddd,
    0x00000998,0x00000000,0x26200000,0x2a620000,0x200009aa,0x22009aa8,
    0x7ff40099,0x7ffd404f,0x3fffe22f,0xffffffff,0x3ffffb7f,0xa81fff00,
    0xffffffff,0x2000cfff,0x4001fff8,0xffffffff,0x980cffff,0x40000fff,
    0xfffffffd,0xa802ffff,0xffffffff,0x3e00cfff,0x800002ff,0x7fd82ffb,
    0xffffff70,0xffffffff,0x37ffccff,0x13ffe200,0x200dfff1,0x7fc3fffa,
    0xffb8000f,0x005fff73,0x800dffb0,0xfffffff9,0xff52ffff,0xffffffff,
    0xdfffffff,0x00bffa00,0x6d4006a8,0x03a60000,0x2000012e,0x2002ffe8,
    0xffffffda,0xd7002eff,0x9dffffff,0x3fffffaa,0xffff80cf,0x7fffec07,
    0x3ffffe22,0xffffffff,0x0bffffb7,0xfa81fff0,0xffffffff,0x1002ffff,
    0xf8003fff,0xffffffff,0x4c0fffff,0x40000fff,0xfffffffd,0x404fffff,
    0xfffffffa,0x02ffffff,0x00005fff,0xfd03ff70,0x3fffee0f,0xffffffff,
    0x7fe47fff,0x3ff6002f,0x3fffb80f,0x437ffc40,0xc8000fff,0x9fff12ff,
    0x09fff000,0xfffffc80,0x52eeeeee,0xffffffff,0xffffffff,0x3ffa00df,
    0x3ffe8802,0x05fff100,0x41dff700,0x0000effb,0x01ffff60,0xffffffe8,
    0x204fffff,0xffffffe9,0xfff76fff,0xf0dfffff,0x2205ffff,0x223fffff,
    0x6c002fff,0x401fffff,0x7fd40fff,0x7fed4c47,0xff8803ff,0x7ffc001f,
    0xfffea882,0x03ffe60e,0x09ffb000,0x03ffff93,0x2623ffd4,0x83ffffda,
    0x0999bfff,0x0ffc8000,0x33106ff8,0x33333333,0x889fff73,0xf3006fff,
    0x7ff407ff,0x3fff200f,0x001ffe81,0x3f62ffc8,0x7fd4007f,0x3fe2001f,
    0x0001ffee,0x0001fffc,0xd8017ff4,0xfc801fff,0x7e4001ff,0x3fee0eff,
    0xb00001ef,0x2001ffff,0xbabcdffe,0xa82ffffc,0xbbdeffff,0x79d76fec,
    0x85fffd95,0x705ffdff,0x447ff9ff,0x6c002fff,0x405fffff,0x7fd40fff,
    0x7fffd407,0x0fffc400,0x00bffe00,0x7cc9fff9,0x6c0000ff,0x3fe604ff,
    0x1ffea05f,0x81ffff50,0xffffffff,0xd8001def,0x00bff07f,0x0dffd100,
    0x200fffee,0x7cc07ffd,0xfff305ff,0x007ffa09,0xfb87ff60,0x3f2001ff,
    0x7fdc006f,0x0001ffeb,0x0001fffc,0x88017ff4,0x55515fff,0x00fffe61,
    0x05fffd88,0x005ffff5,0x0bfff500,0x3e6015c0,0x7ffc46ff,0x200e203f,
    0x3fe24fff,0xfe80ffdc,0x3e23ffbe,0x7ec002ff,0x200fffcf,0x7fd40fff,
    0x4fff9807,0x80fffc40,0x02fff80a,0x3e66ffd8,0x6c0000ff,0x7fec04ff,
    0x01ffea06,0xff13ffe6,0xffffffff,0x74003dff,0x04ff887f,0x1fffc800,
    0x803fffa0,0xc802fff9,0xffe81fff,0x00bff606,0xf887ff60,0x3fe004ff,
    0x7ff4003f,0x0001ffe8,0x0001fffc,0x30017ff4,0xffffdfff,0x00bfffff,
    0x01ffff44,0x00ffffa6,0x000f2a00,0x23ffe400,0x0001fffc,0x7c45ffd0,
    0x4c3ffbcf,0x24ffabff,0x4002fff8,0x4ffdaffd,0xf503ffe0,0x3ff600ff,
    0x3ffe200f,0x7c07f541,0xffb802ff,0x01fff30f,0x04ffd800,0xa807ffdc,
    0xffb007ff,0x66fffc1f,0xffffedcc,0xcccc881f,0xdccccfff,0x02ccceff,
    0x027ffcc0,0xe80fffea,0xff1006ff,0x1fffb8df,0x000bff60,0xffd03ff6,
    0x3ffe600f,0x57fe6001,0x40001ffe,0x80003fff,0x5c002ffe,0xffffffff,
    0x26006fff,0x1002ffff,0x0009fffb,0x98000000,0xfff31fff,0xf9100009,
    0x67fcc1ff,0x7fe46ff8,0x3e24ffa8,0x7ec002ff,0x00fffaaf,0xffa81fff,
    0x5fff3007,0xa8fffc40,0xff80fffe,0xfff9802f,0x001fff31,0x404ffd80,
    0x3ea07ffb,0xfff3007f,0x8817ffc5,0x4c0ffffc,0xffffffff,0xffffffff,
    0x7f4004ff,0xfffd006f,0x03fff501,0x89fffd40,0x7e404fff,0xffe8003f,
    0x00fffdc0,0x20037fe4,0x3ffd1ffd,0x3fff8000,0x2ffe8000,0xdffff800,
    0x05fffecb,0x03dfff70,0x1bfff900,0x00000000,0xfb8fffc0,0xf70000ff,
    0x981dffff,0x41ffb4ff,0x4bff55ff,0x4002fff8,0x9ffd2ffd,0xf503ffe0,
    0x7ffc00ff,0x2fffe204,0xf05ffffe,0xff3005ff,0x03ffe63f,0x09ffb000,
    0x2a06ffd8,0x3fe007ff,0x00bffe4f,0xe889fff5,0xeefffeee,0xeeeffeee,
    0x3ff2003e,0xfff3001f,0x00bffd09,0xf91fffb0,0xffc801ff,0xfd02a983,
    0x09fff10f,0x4007ffd0,0x3ffa6ff8,0x7ffc0001,0xddddd003,0xdddfffdd,
    0xf705dddd,0xfffb05ff,0xdfffc801,0x3fee0000,0x000001ef,0x99999800,
    0xdff91fff,0x7ffdc000,0x7fcc3eff,0x3ea7ff54,0x44bff32f,0x6c002fff,
    0x1fff72ff,0xfa81fff0,0x3ffa007f,0x3fffe205,0x3e00dfff,0xffb802ff,
    0x003ffe67,0x409ffb00,0x2a03fffa,0x3fa007ff,0x00bffe5f,0xf301bff6,
    0x03ff907f,0x13ffe600,0x41fffb00,0x8000fffa,0xfffefff8,0x84ffb802,
    0x7ff81ffe,0x980dffd0,0x2e001fff,0x07ffa3ff,0x07fff000,0x3fffffe0,
    0xffffffff,0xffe83fff,0x07fff104,0x013fff62,0x7fffd400,0x77777542,
    0xeeeeeeee,0xb704eeee,0xffffffff,0x13ff63ff,0xeccca800,0x3fea5fff,
    0x3f6dff13,0xf897fe67,0x7ec002ff,0x20fffe2f,0xf9550fff,0x015555ff,
    0xfa81bff6,0x801dffff,0xfd802fff,0x03ffe66f,0xfb0b3260,0xfff9109f,
    0x3ff2aa0d,0xb00aaaaf,0x17ffcdff,0x007ffd40,0xff907ff5,0x3ffa0001,
    0xfff88006,0x0013ffa5,0x5fffffb8,0x889ff500,0x7ff83fff,0x403fff70,
    0x74006ffb,0x2bffa0ff,0x20019999,0xff003fff,0xffffffff,0x7fffffff,
    0x201fff88,0xfe884ffd,0x400003ff,0x2a3fffe9,0xffffffff,0xffffffff,
    0x7fffd46f,0xffffffff,0x007fff1f,0x1fffb800,0x7fec7ff5,0x3fe64ff9,
    0x3ffffe26,0xffffffff,0x7dc5ffb2,0xf0fff87f,0xffffffff,0x1fff205f,
    0x37ffff66,0x0bffe001,0x4c3fff70,0x7cc00fff,0x3ff63fff,0xffffeeef,
    0xffff00ef,0x05ffffff,0xfff9fff2,0x1fff9802,0x360bfee0,0xff90007f,
    0x3f20003f,0x0fffa8ff,0x7fff4000,0x9ff5000f,0xf86fffb8,0x7fff106f,
    0x001fff40,0xffe8bff3,0x00ffffff,0x0007fff0,0x4005ffd0,0x3200fff9,
    0x7ffc45ff,0x1000002f,0x3ea7fffd,0xffffffff,0xffffffff,0x33fffe66,
    0xff9999aa,0x009ffd1f,0x2fff8800,0x7fcc7ff7,0x3fe61ffe,0x3ffffe26,
    0xffffffff,0x7c45ffb2,0x87ffc2ff,0xffffffff,0xfff702ff,0xffffffd8,
    0x17ffc001,0x44fffea8,0x7400fff9,0xfb0fffff,0xffffffff,0xffff807d,
    0x02ffffff,0x7ffcfff7,0x0fff9802,0x3a07ff20,0xff98007f,0x3e20004f,
    0x03ffedff,0x6fffc800,0xb17fe600,0x7c43ffff,0x1bffa05f,0x0007ffc4,
    0xffe85ffb,0x00ffffff,0x0007fff0,0x4005ffd0,0x7dc07ffa,0xffffa86f,
    0xfc800001,0x000005ff,0x20077ffc,0xbffb1fff,0xffd80000,0xf87ff70f,
    0x7fc46fff,0x3ffffe26,0xffffffff,0xfc85ffb2,0xc87ffc6f,0xcccfffdc,
    0x4fff901c,0xfffdfff8,0x77ffc001,0xfffffeee,0x0fff985f,0x7fffffc0,
    0xffffffb1,0x99005fff,0x9999fffb,0xf9fff203,0xffb802ff,0x407fe407,
    0xfe8006ff,0xfb80006f,0x0006ffff,0x4fffff88,0x44bff300,0x224ffeff,
    0x3fee05ff,0x06ffb80f,0x3a1ffe20,0x2aaaacff,0x00fffe00,0x00bffa00,
    0x200fffa8,0xfd305ffc,0x200005ff,0x004fffd8,0x7ffc4000,0x91fff802,
    0x77000dff,0xfffd9755,0x321ffdcd,0x7fc43fff,0x00bffe27,0xf885ffb0,
    0x03ffe2ff,0x6c00fff5,0x277e26ff,0x4001fff8,0xffffffff,0xf302ffff,
    0xffe801ff,0x9ffb0fff,0x01fffdc4,0x2007ffa8,0x3ffe6ffd,0x05ffe802,
    0x5ff83fec,0x0fffe400,0xfffe8000,0xfe80002f,0x801fffff,0x3fea6ff8,
    0x3fe67ff9,0x0fffe204,0xb800fffa,0x1ffe84ff,0x1fffc000,0x17ff4000,
    0x03fff300,0xd1027ff4,0x80009fff,0x002fffe9,0xfffa8000,0x8fffc400,
    0x4003fffa,0xfffffffd,0x0bff20ef,0xf881fff3,0x0bffe27f,0xb05ffb00,
    0x07ffcdff,0xe801ffea,0xf88626ff,0x7fc001ff,0xcdefffff,0x3ffe600a,
    0x7fffcc00,0x2e13ff63,0xfa801fff,0x3ffa007f,0x900bffe6,0x55443fff,
    0xaaaffeaa,0xaaadffba,0x13ffe601,0xfffa8000,0xffb80005,0x806fffaf,
    0x5ff66ff8,0x9ff31ffd,0x445ffe80,0x3a000fff,0x1ffe81ff,0x1fffc000,
    0x17ff4000,0x09fff100,0x2007ffe6,0x000dfffd,0x01ffffa8,0x20035100,
    0x2600fffa,0x3fa1fffe,0x3f6000ff,0x82efffff,0x4ed82ffc,0x3e27ff88,
    0x7ec002ff,0x1fff982f,0xffa81fff,0x13ffe007,0x001fff88,0x00017ffc,
    0x1001fff3,0x4ffd8377,0x500dffd0,0x7fc00fff,0x40bffe4f,0x444fffd9,
    0xffffffff,0xffffffff,0x3ffa04ff,0xff800006,0x7c40003f,0x7fff55ff,
    0x3e2fff00,0x2a9ff74f,0x7fdc03ff,0x01bfee0f,0xfd06ffa8,0xff80003f,
    0xfe80003f,0x7fe4002f,0x37ffcc3f,0x1dfff700,0x77ffdc00,0xfff30000,
    0x9fff3007,0x3fffff20,0x0bfffea1,0x26666498,0x017fec00,0xf887ffc0,
    0x7ec002ff,0x2bffb02f,0x7fd40fff,0x3fff5007,0x00fffc40,0x000bffe0,
    0x000fff98,0x9827fec0,0x7d402fff,0xfff5007f,0x7777ffc3,0x5fffffee,
    0xffffff88,0xffffffff,0xf704ffff,0x000003ff,0x80007fff,0x3fa0fffd,
    0xbffc00ff,0xfff11ffa,0xf100ffea,0x1fff47ff,0xfffffb00,0x03ffffff,
    0x03fff800,0x02ffe800,0x77fffcc0,0x03ffffec,0x0ffffd40,0x06fffe40,
    0xffffb000,0x3bfffa00,0xeefffdbb,0x7ffec1ff,0xfeecceff,0x3ff60006,
    0x0fff8002,0x8005fff1,0xff302ffd,0xa81fff1f,0xffd007ff,0x1fff880f,
    0x017ffc00,0x01fff300,0x04ffd800,0xf501bffa,0x3ffa00ff,0x7fffffc7,
    0x02ffffff,0xf709ff10,0xfff3005f,0x3e000009,0x2a0003ff,0x7fcc3fff,
    0x47ff405f,0x57fec7fd,0xfe802ffa,0x01fff15f,0x3ffffe20,0x1fffffff,
    0x1fffc000,0x05554000,0x3ffff200,0xffffffff,0x7ffcc000,0xfffd102f,
    0xffb00009,0xff3001ff,0x9fffffff,0x3ee07ff6,0xffffffff,0x3f60006f,
    0xfff8002f,0x005fff10,0x3a02ffd8,0x40fffcff,0xfb807ffa,0x7fc403ff,
    0x7ffc001f,0x3fe60002,0x7ec0000f,0x3ffea04f,0x01ffea02,0xff0fffee,
    0x9dffffff,0x7fcc0017,0x801ffc83,0x00006ffe,0x000fffe0,0xc837ffc4,
    0x3fa03fff,0x7d44ff9f,0x802ffbdf,0xffb8fffb,0x3bfee006,0xffcccccc,
    0x7fc0001f,0x0000003f,0x3b7ffea0,0xffedffff,0xffe88006,0x7fff4c4f,
    0xff500002,0x7ec4009f,0x362dffff,0xfd9101ff,0x05bfffff,0x00fff400,
    0xf88fffc0,0x7ec002ff,0x3ffea02f,0x7fd40fff,0x37ffe407,0x00fffc40,
    0x000bffe0,0x000fff98,0x2027fec0,0x3ea06ffe,0x7ffe407f,0x99bfff86,
    0x7fd40000,0x400ffd83,0x0001fffb,0x00fffe00,0x80fffec0,0xb00ffff8,
    0x885ff7ff,0x01ffbfff,0xfdafff88,0x3ffe003f,0x007ffa01,0x007fff00,
    0x3e200000,0x426624ff,0x0004fff9,0x7ec1fffb,0x400001ff,0x220002b9,
    0x22000009,0xd0000099,0xff0003ff,0x0bffe23f,0x805ffb00,0x40fffffe,
    0x5d447ffa,0x801ffffe,0x4001fff8,0x20002fff,0x0000fff9,0x2e027fec,
    0xff502fff,0xffeba88f,0x2fff81ff,0x3fee0000,0x4c07fd82,0x9999dfff,
    0x19999999,0x01fffc00,0x02fffd40,0x6c17ffea,0xfb07feff,0x2003ffdf,
    0x0fffdffe,0x80dff500,0x40001ffe,0xd5003fff,0xdddddddd,0x8bdddddd,
    0xc800effe,0x90002fff,0x001db03f,0x00000000,0x00000000,0x001fff80,
    0xff11ffe8,0xffd8005f,0x7fffdc02,0x7fffd40f,0xffffffff,0xfff1000e,
    0xdddddddd,0x0bffe9dd,0xefff9800,0xeeeeeeee,0x09ffb06e,0x2a0bfff0,
    0xffffffff,0xf00effff,0x400005ff,0x7fe81ffc,0x7ffffec0,0xffffffff,
    0x3e001fff,0x7c4003ff,0xfe800fff,0xfffc82ff,0xffff504f,0x3fee001f,
    0x36006fff,0x7ff403ff,0x03eeeeee,0x2007fff0,0xfffffffb,0xffffffff,
    0x00bff226,0x000f7f44,0x00004010,0x00000000,0x00000000,0x4000fffc,
    0xfff12ffe,0x2ffd8005,0x0fffff80,0x7fffffd4,0x003effff,0x7fffffc4,
    0x5fffffff,0x40005fff,0xfffffff9,0x07ffffff,0xf7009ffb,0xfff503ff,
    0xdfffffff,0x02fff807,0x03ff2000,0xffd01bfe,0xffffffff,0x03ffffff,
    0x001fffc0,0x400ffff2,0x5c0ffff9,0x3e02ffff,0x1000ffff,0x007fffff,
    0xd003ffe2,0xffffffff,0x0fffe009,0x7ffffdc0,0xffffffff,0x004986ff,
    0x000001d4,0x00000000,0x00000000,0x7ffc0000,0x2ffe8001,0x8005fff1,
    0xfb802ffd,0x7fd40fff,0x1cdeefff,0xffff1000,0xffffffff,0x00bffebf,
    0xfffff980,0xffffffff,0x009ffb07,0xf50bfff1,0x9bddffff,0x0bffe003,
    0x87fd8000,0x7f405ff8,0xffffffff,0x1fffffff,0x00fffe00,0x006fff98,
    0x2e27ffe4,0x7ec07fff,0x7f4007ff,0xf9000fff,0xfffd00bf,0x009fffff,
    0x0000fffe,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00d54400,0x300d54c0,0x2a600015,
    0x0999801a,0x20099880,0x02aa01a8,0x35555100,0x51033301,0x0ccc0135,
    0x10998800,0x33333333,0x98133333,0x01351009,0x22002662,0x00800999,
    0x40033330,0x20cc1999,0x0aa880a9,0x26600100,0x00999999,0x2000ccc4,
    0x02001998,0x1ccb8000,0x00000000,0x00000000,0x10007fc8,0x80000003,
    0x20000000,0x00001eed,0xfffffd88,0x3f2200df,0x2e5fffff,0x800effff,
    0xffffffea,0x05fff01d,0xd105ffd0,0x7cc5dfff,0x2600efff,0xfffffffd,
    0xd33ffc7f,0x81bfffff,0x90007ff9,0x3fff29ff,0xffffffff,0x1bfe26ff,
    0x1bffffd9,0x4c05ffb8,0x5c41ffff,0x0cfffffe,0x005fffd0,0x7cc7fff7,
    0x49fff91f,0x302ffff9,0x01bdffdb,0xfffffff1,0xfffb80df,0x1bffa001,
    0x9bffdb70,0x7ff40003,0xa816a002,0x802ec00e,0x066401f9,0xfb800ca8,
    0x3fb66007,0xd9802eff,0xed9806ff,0xa800deff,0xfb801eff,0x400006ff,
    0xfffffff9,0xff502fff,0x9bffffff,0x1dffffff,0x7ffffe40,0xf83fffff,
    0xffe802ff,0x7ffff442,0xffff88ff,0xffc80eff,0xffffffff,0xffabffc7,
    0x86ffffff,0xd8000fff,0xffff93ff,0xffffffff,0x8b7fc4df,0xfffffffe,
    0x817fee0e,0xa80ffff9,0xffffffff,0xffff880f,0x17ffe600,0xfff73ff3,
    0xffff13ff,0xfffc81ff,0x442fffff,0xffffffff,0x27ffc406,0x02fff880,
    0xffdfffd3,0x3a0007ff,0xffb002ff,0x40bff907,0x7cc05ffd,0xfff501ff,
    0x01fff881,0xfb803fdc,0x5fffffff,0xdffffb30,0xfffffc80,0x3e203fff,
    0x7c406fff,0x0002ffff,0x37dfff50,0x05ffff75,0xf7357df5,0xd55dffff,
    0x3ffa09ff,0xffdbacef,0x17ffc4ff,0x3a17ff40,0xeffcadff,0xffeabffd,
    0x5f7ffd44,0x46dcaaaa,0xcfffbfff,0x43ffffda,0xe8001fff,0x999952ff,
    0xffb99999,0x477fc4bf,0xffcbeffe,0x17fee4ff,0x8077ffcc,0xfb99acfa,
    0xfff504ff,0x07fff40b,0x2ffeffe6,0xadfcbffc,0x3fee2ffe,0xffffdbdf,
    0x6e666640,0xffd806ff,0x0fff7007,0x88277fea,0xe8006ffb,0xff3002ff,
    0x2fff881f,0x20bfff90,0x880efff9,0xffd83ffe,0x1bea0ec5,0xeffd83b1,
    0x23ffffed,0xffffffd9,0x33fff206,0x01fffecb,0x05fffff1,0x7ffcffe4,
    0x7fc40000,0xdffb104f,0x3fea0330,0x1ffe20ff,0x4c0fffee,0x3fe0fffe,
    0x2ffe802f,0xffb1bfe2,0x3ffc47ff,0x20013ffe,0x40efffff,0x7ec7ffd8,
    0xfff8002f,0x7ffec001,0x3ffffe20,0x7ffec42f,0xf30bff70,0x20001dff,
    0x3f206ffa,0xfffb82ff,0x3feff981,0xfb9bfbfe,0x85fff14f,0xb805ffe8,
    0xffa806ff,0x4ffe802f,0xaa9bff88,0x013fa60a,0x4005ffd0,0xffa86ffc,
    0xbfff900f,0x00efff98,0xff50dff9,0x527fdc1f,0x237fd4bf,0x7ffc41d8,
    0x37bffea5,0xfff306ff,0x40dff903,0x304fffff,0x13fee7ff,0x0dff9000,
    0x003fff88,0x3617ffe2,0x3ffe22ff,0x2fffc403,0xfd005fff,0x21ffdc5f,
    0x6c0ffff9,0x1fff12ff,0xdffff000,0x83ffe601,0x2a983ffc,0x4001fff0,
    0x7c42fffb,0xf101ffff,0x17fee3ff,0x001dfff3,0x7407ff80,0x3fe60fff,
    0xdfff303f,0x2a2fffe8,0x0bff54ff,0x2e01ffee,0xffd006ff,0x1fff980b,
    0xfff74fe8,0x07fe63ff,0x002ffe80,0x7ec1fff4,0x3fff205f,0x01dfff35,
    0xf107ffe6,0xffea83ff,0xfc8df99e,0xfb000dff,0xf52ef8df,0x0fff20df,
    0xa807ffc4,0xfd05ffff,0x001ffe8f,0x003fff10,0xf800bff9,0x3ffc82ff,
    0x5c01fff2,0x5fff0fff,0x745ffd00,0x7fff81ff,0xff13ffb8,0xfff0003f,
    0x1fff801f,0x3f613fee,0x03ffc40f,0x109fff30,0xf803ffff,0x4bff72ff,
    0x000efff9,0x3fbb32e2,0x7ffcc07f,0x9817ffa5,0x7ff42fff,0xfcaffd46,
    0x1fff103f,0x006ffb80,0x6401fff7,0x0efa86ff,0x4bf739f7,0x3fa005fc,
    0x7fc4002f,0x17ffc41f,0xffbfff90,0x7ff401df,0x204ffd83,0xeefdffea,
    0x6c001dff,0x3ea0c5ff,0x03ffb06f,0xfb00fff4,0x7ff507ff,0x0006ffa8,
    0x2a00fff5,0x7ec006ff,0x24ffb81f,0xf1004ffd,0x0bffe3ff,0xff8bffa0,
    0x50dffd07,0x77ffc9ff,0x17ffc001,0xf517ffc0,0x3fff88bf,0x88037fcc,
    0xff105fff,0x7ffd005f,0x7fcd7fee,0x3f6000ef,0x7fffffff,0xbbfffb80,
    0x3e600fff,0x42ffd86f,0x5ffb5ffa,0x2007ffc0,0xf1006ffb,0x7ffc07ff,
    0x3ee4fc83,0x3fc43fa3,0x005ffd00,0xf50dff70,0x7fe401df,0x2e00efff,
    0x6ffb86ff,0xffffd500,0xff50003b,0x6ffa807f,0x6c01ffd0,0x3fee02ff,
    0xb06fe82f,0xf70005ff,0x3fe600bf,0xfe998807,0xfb9999af,0x00bffe4f,
    0xfff2fff8,0x45ffd005,0xbffd07ff,0x9ff73333,0x56ffffdc,0x02fff800,
    0x3e62ffe8,0x37ffdc6f,0x6c017fea,0xff100fff,0x1331001f,0x3fe37fee,
    0x3f6000ef,0xffaaabef,0xffffb007,0xff9803ff,0x541ffd85,0x09ff95ff,
    0x7dc03ffc,0x3ff6006f,0x01fff506,0x45fdc5fb,0xa8ffc5fb,0xfeeeeeee,
    0xeeeeeeff,0x0fff604e,0xf900fffa,0x7c401fff,0x7ffc41ff,0xfff91001,
    0xff50003d,0xdff500df,0x4407ff60,0x3f200fff,0x17fdc0ff,0x000fff98,
    0x7fffffe4,0xffffffff,0xffea80ff,0xffffffff,0xf15fffff,0x7f4003ff,
    0x005fff4f,0x3fe25ffd,0xfffffb07,0xc8bfffff,0x2dffffff,0x200bffe0,
    0x3fe22ffe,0x0ffffec7,0xf9007ff7,0x7fc403ff,0xff70000f,0x001ffffd,
    0x7c07ffc4,0xffd1007f,0xff3007ff,0xa83ffb0b,0x0dff75ff,0x2e01bfe6,
    0x3ea006ff,0x4ffd80ff,0x7fdc3ff0,0x97f40cff,0xfffffffa,0xffffffff,
    0xfff306ff,0x01fff981,0x17ffffe6,0xfb09ffb0,0xffc8809f,0x02efffff,
    0x01dfff70,0x320dff50,0xdff705ff,0x21fffd40,0x7e406ff8,0x7fec004f,
    0xffffffff,0x40ffffff,0xfffffffd,0xffffffff,0x1fff34ff,0xfa7fec00,
    0xffe802ff,0x360dff32,0xffffffff,0xffe985ff,0xf83fffff,0xffe802ff,
    0xf887ffc2,0x3f24ffdf,0x7ffd402f,0x07ffc403,0xcdffb800,0x26003fff,
    0x7ffa86ff,0x1fffee00,0x6c2ffcc0,0xaffd41ff,0xfd82fffa,0x6ffb803f,
    0x21fffc00,0xfb01fff8,0x37e6fdc5,0xfffa8ffc,0xffffffff,0x06ffffff,
    0xffd07ffd,0x7fffcc07,0x3e205fff,0x7ffc41ff,0xcfffc882,0xeffe9df9,
    0x37fff602,0x0dff5000,0x4c33ffe2,0x2622fffc,0xc85fffd9,0x7fc401ff,
    0x3ff2001f,0xccccccce,0x20cccccc,0x99befffb,0x9999affe,0xfff10999,
    0x9fff4003,0xfe802fff,0x20dff12f,0x9999dffd,0x32600999,0x46ffffff,
    0xfe802fff,0xa8ffec2f,0x366ff9ff,0x3fe201ff,0xfff8805f,0xbff70000,
    0x400bfff6,0xd98bfff8,0xf1007fff,0x3009ffff,0x3ffb0bff,0x3f65ffa8,
    0xffebbeff,0x0dff7006,0x5c6ffc80,0x93f206ff,0x445fb3fb,0x3ffa007f,
    0x2ffe4002,0xf3037fdc,0xfff91dff,0x437fdc0b,0x7e40fffa,0x64bf51ef,
    0x7f440fff,0x7d4004ff,0x3ffee06f,0x44ffffff,0x0cfffffb,0xb802ffcc,
    0x3ee006ff,0xff80006f,0x01ffd83f,0x800bffe0,0x5fff2fff,0x225ffd00,
    0xbffb07ff,0x3f260000,0x3ffe4fff,0x42ffe802,0x2dfb2ffc,0x1ffd1ffc,
    0x0077ff40,0x0007ffc4,0x3f65ffb8,0xffb002ff,0xffbbffff,0x3ffffa00,
    0x7fcc02ff,0x541ffd85,0x3ffe25ff,0x01efffff,0x800dff70,0x3fa1fff9,
    0xb9bea03f,0x7dcdf33f,0x0bffa006,0x40fff980,0xf301fff8,0x7fe41dff,
    0x13ffa05f,0x7f117ff2,0x1f4c6fa8,0x00bfffea,0x501bfea0,0x5fffffff,
    0x03dfff70,0x98002662,0x3fea0019,0x7fcc0007,0x02ffd80f,0x400fffa0,
    0xfff1fff8,0x45fff007,0xdffd07ff,0xfe880000,0x00bffe7f,0xff70bffa,
    0x3e67ff17,0x640fff4f,0xf1001fff,0x2e0001ff,0x3ffa25ff,0xfeb8801f,
    0x00ff93ef,0xffb1fff9,0x2ffcc01f,0x3ea0ffec,0xffffc85f,0x3ee000ce,
    0xffe8006f,0x801fff34,0x6c7f73fe,0x002ff8af,0x4400bffa,0xffd82fff,
    0x1dfff304,0x20bfff90,0x7441fff9,0x7dc043ff,0xffff9806,0x6fffffff,
    0x3ffbbbb6,0x9884eeef,0x53009bcb,0x00000003,0x02fff980,0x41bfea00,
    0x36003ffe,0xff9007ff,0x202fff4f,0x3fe2fffd,0x07fff80f,0xfffa8000,
    0xd005fff0,0xcffa85ff,0x3ffe1ffa,0xff706ff8,0x7fc4005f,0xff70000f,
    0x1ffff88b,0x40002200,0xff13fffa,0x3fe601df,0x541ffd85,0x026205ff,
    0x037fdc00,0xfcbffd40,0xaff9805f,0x3aaa61a8,0x7ff4005f,0x0bffb002,
    0x3a01fff7,0x3f200eff,0xdff902ff,0x803fff30,0xffa807fb,0xffffffff,
    0x3ffffe6f,0x05ffffff,0x00000000,0x7fec0000,0xff50000f,0x0dfff70d,
    0x01fffcc0,0xfd8bffe6,0x3fff207f,0x30bff62f,0x0005ffff,0x3e7ffb80,
    0xffe802ff,0x7eeffcc2,0x7fdffe46,0x04fff985,0x007ffc40,0x985ffb80,
    0x0000ffff,0x2fffcc00,0x4c17ffea,0x1ffd85ff,0x0002ffd4,0x00dff700,
    0x3fabffe0,0xbff7002f,0x0effa881,0x017ff400,0xd980fd98,0x03ba202f,
    0xfd00ff20,0x200ff207,0xffa807fc,0xffffffff,0x3ffffe6f,0x05ffffff,
    0x00000000,0x7fcc0000,0x4c0801ef,0x3fea0fff,0x36003fff,0xff304fff,
    0x3fffb8df,0x2fffffc8,0xffb1bfea,0x4c101dff,0x6fff8801,0x3a00bffe,
    0x77fc42ff,0x77fcc4ff,0x7ff443ff,0xfff88006,0xbff70000,0x03bffea0,
    0x2aaaaaa6,0x40aaaaaa,0xc80fffe8,0xff983fff,0x541ffd85,0x555535ff,
    0x55555555,0x06ffb801,0xffdff900,0xfffa800f,0x04fffedf,0x005ffd00,
    0x4400c008,0x02006000,0x01988000,0x00000000,0x00000000,0x7ec00000,
    0xaabcefff,0x7fc0fedc,0xbdffdbef,0xdcabdfff,0xeffff887,0xffffecbd,
    0x7ffffc41,0xfcdfffcc,0x5f7ffc2f,0xfffdbffd,0xf70feccd,0xdb7799bf,
    0x7fc3ffff,0x2ffe802f,0x81fffff8,0x6c2ffffe,0xeeeeefff,0x12eeeeee,
    0x20001fff,0x3ee05ffb,0x7fec0eff,0xffffffff,0x7ffec0ff,0x07fffa02,
    0xffb0bff3,0xfb5ffa83,0xffffffff,0x3bb21fff,0xefffeeee,0x4c03eeee,
    0x004fffff,0xefffec88,0x3fa0001d,0x0000002f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fffdc00,0xffffffff,0x7ffffdc0,0x3ffff26f,
    0xfb107fff,0xffffffff,0x3ffee01d,0xf95fffff,0xffffa85f,0xfffd15ff,
    0x3ee1ffff,0xffffffff,0x7ffc2fff,0x82ffe802,0xf906fffd,0xffe83fff,
    0xffffffff,0xff13ffff,0x3ee0001f,0x7ffe405f,0x7ffffec6,0x0fffffff,
    0x3013ffee,0x7cc1ffff,0x41ffd85f,0xfffb5ffa,0xffffffff,0x3ffff61f,
    0xffffffff,0xffe804ff,0x980000ff,0xddb00000,0x00000003,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffdb100,0x019dffff,0x819ffff7,
    0x5fffffec,0x7ffff5c0,0xfe9803df,0x3f22efff,0xfffea82f,0x3fff660d,
    0x3ffaa5ff,0xbeffffff,0x802fff80,0xffc82ffe,0xffff304f,0xfffffe81,
    0xffffffff,0x01fff13f,0x017fee00,0x9897fff6,0x99999999,0x3ffe6199,
    0xfffb800e,0x3617fe66,0xaffd41ff,0x99999998,0x3f619999,0xffffffff,
    0x804fffff,0x0005fffb,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00199a98,0x26a20066,0x00988000,0x00133100,
    0x4cc00c40,0x554cc401,0x00000009,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x26200000,0x99999999,0x20999999,0x3f20ffff,0xdddd93ff,0xdddddddd,
    0x2a205ddd,0x20000001,0x404fffe8,0x19b303da,0x07fffd30,0x777774c0,
    0xfff4eeee,0xffffffff,0xffffffff,0x000005ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffff700,0xffffffff,0x3fffcdff,0x7ecffff2,
    0xffffffff,0x43ffffff,0x02ffffe9,0x88000cc4,0x4c02fffe,0x7fc43fff,
    0xfffb105f,0x3ffe6007,0xf5ffffff,0xffffffff,0xffffffff,0x0005ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfff70000,0xffffffff,
    0x7fcdffff,0x97ffdc7f,0xfffffffd,0xffffffff,0x3ffffea3,0x3ffe05ff,
    0x7ff44000,0xfffb800e,0x037ffcc5,0x200fffee,0xccccccc8,0xddddd3cc,
    0xdddddddd,0xdddddddd,0x00000005,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x99999993,0x99999999,0x2e3fff47,0x20002fff,0x3ffa3ffd,
    0x85ffffdf,0x44007ff8,0x22004ffe,0xffe82fff,0x3fff9804,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfe800000,
    0x0fffd46f,0x27ffb000,0x3f21effa,0x3fee0eff,0x1776c006,0x880dc400,
    0x3b62002b,0x0000002e,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x7fd46ffd,0x3f60001f,0x709ff73f,0xffdbffff,
    0x0000005f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffb00000,0x00fff98b,0x64fff600,0xfff703ff,
    0x000dffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x55544000,0xaaaaaaaa,0x3f22aaaa,0x07ffcc5f,
    0x27ffb000,0x3a600aa9,0x0005ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7ffdc000,0xffffffff,
    0x3f26ffff,0x03ffc44f,0x00732e00,0x0004d4c0,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7fdc0000,
    0xffffffff,0x006fffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x55555510,
    0x55555555,0x00000055,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_39_latin_ext_x[560]={ 0,8,4,0,2,0,1,8,5,4,3,1,4,5,
7,2,1,2,2,3,0,3,2,2,2,1,7,4,2,2,3,5,0,0,3,1,2,3,3,1,2,3,3,2,
4,0,2,1,3,1,3,2,1,2,0,0,0,0,2,6,3,5,2,0,0,2,3,3,2,2,0,1,3,3,
2,3,3,1,3,1,3,2,3,3,1,3,1,0,1,1,3,3,9,4,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,8,2,1,1,1,
9,2,0,0,4,2,2,5,2,0,4,1,4,5,0,3,2,7,8,4,4,2,0,0,0,3,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,1,0,0,0,0,0,3,2,0,0,
0,0,0,0,0,3,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,3,0,
0,0,0,0,0,2,1,0,1,0,1,0,1,1,-1,-1,0,1,0,0,0,0,0,0,3,2,0,0,1,0,
1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,3,3,0,3,2,2,0,0,2,3,3,0,0,4,
3,-5,-3,3,2,0,3,0,0,2,3,0,0,0,2,3,0,0,0,0,0,0,0,0,-1,0,3,3,-1,0,
0,0,0,0,2,3,0,0,1,1,0,-4,1,1,0,0,0,0,0,0,0,0,0,0,2,3,0,0,0,0,
0,0,0,0,0,0,0,5,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,-2,-2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,2,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__consolas_39_latin_ext_y[560]={ 28,1,1,3,-1,0,1,1,-1,-1,1,8,21,16,
22,1,2,2,2,2,3,3,3,3,2,2,8,8,6,12,6,1,0,3,3,2,3,3,3,2,3,3,3,3,
3,3,3,2,3,2,3,2,3,3,3,3,3,3,3,0,1,0,3,33,1,8,1,8,1,8,0,8,1,0,
0,1,1,8,8,8,8,8,8,8,2,8,8,8,8,8,8,0,-4,0,13,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,28,8,-1,2,3,3,
-4,0,1,2,2,9,16,16,0,2,0,4,0,0,1,8,1,14,28,0,2,9,0,0,0,8,-4,-4,-4,-4,
-4,-6,3,2,-4,-4,-4,-4,-4,-4,-4,-4,3,-4,-4,-4,-4,-4,-4,9,-1,-4,-4,-4,-4,-4,3,0,1,1,
1,1,1,-1,8,8,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,7,4,1,1,1,1,1,1,1,
-3,2,-4,1,3,8,-4,1,-4,1,-4,0,-4,1,-4,0,3,1,-3,2,-4,1,-4,0,3,8,-4,1,-4,1,
-4,1,-4,0,2,0,-4,-5,3,1,-4,1,-3,2,-4,1,3,0,-4,8,3,0,-4,1,3,1,8,-4,-5,3,
1,0,0,3,1,3,1,-4,1,3,8,-4,1,-2,3,8,-3,2,-4,1,-4,1,2,8,-4,1,3,8,-4,1,
-4,1,-4,1,2,8,-4,1,3,2,-4,0,3,2,-4,1,-3,2,-4,1,-6,-1,-4,1,3,8,-4,1,-4,1,
-4,-4,1,-4,0,-4,1,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-10,-6,-4,1,-4,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,2,8,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__consolas_39_latin_ext_w[560]={ 0,6,13,21,18,22,21,5,12,12,16,19,10,12,
7,17,19,17,18,16,21,16,18,18,18,19,7,10,16,17,16,13,22,22,17,18,19,15,15,19,18,16,14,18,
15,21,18,20,17,21,18,17,19,18,22,21,21,22,18,10,17,10,18,22,13,17,17,15,17,18,21,19,16,16,
15,18,16,19,16,19,17,17,17,16,18,16,20,21,20,20,16,15,4,15,20,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,6,16,19,19,20,
4,17,17,22,14,17,17,12,18,16,14,19,13,12,19,18,17,7,5,13,14,17,22,22,22,13,22,22,22,22,
22,22,22,18,18,18,18,18,19,19,19,19,21,20,21,21,21,21,21,17,20,20,20,20,20,22,17,18,19,19,
19,19,19,19,21,15,20,20,20,20,19,19,19,19,19,19,20,20,20,20,20,19,19,19,19,19,19,21,17,21,
22,19,22,19,22,18,18,19,18,18,18,18,18,17,22,25,21,21,18,20,18,20,18,20,17,18,18,20,19,20,
19,20,19,20,19,20,20,19,21,19,19,19,19,19,19,19,17,17,19,16,18,18,17,17,18,18,18,19,19,15,
16,24,24,19,23,19,16,20,19,18,16,20,19,19,18,16,21,20,21,20,22,21,21,21,22,20,18,17,22,20,
19,19,19,19,17,16,19,19,19,18,20,25,19,18,20,19,20,19,20,19,20,19,22,21,18,17,21,21,22,21,
22,20,19,20,19,20,19,15,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,20,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,22,19,22,21,23,22,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,17,16,19,18,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19, };
static unsigned short stb__consolas_39_latin_ext_h[560]={ 0,28,10,25,34,29,28,10,37,37,17,19,14,4,
7,32,27,26,26,27,25,26,26,25,27,26,21,27,23,11,23,28,36,25,25,27,25,25,25,27,25,25,26,25,
25,25,25,27,25,33,25,27,25,26,25,25,25,25,25,36,32,36,13,3,8,21,28,21,28,21,28,28,27,28,
36,27,27,20,20,21,28,28,20,21,27,21,20,20,20,28,20,36,40,36,9,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,0,28,34,26,24,25,
40,33,8,27,20,17,9,4,19,7,14,24,16,17,8,28,32,7,6,16,20,17,28,28,28,28,32,32,32,32,
32,34,25,32,32,32,32,32,32,32,32,32,25,32,33,33,33,33,33,17,34,33,33,33,33,32,25,29,28,28,
28,28,28,30,21,26,28,28,28,28,27,27,27,27,28,27,28,28,28,28,28,21,29,28,28,28,28,35,35,35,
31,27,32,28,33,28,33,28,33,28,33,29,33,28,32,29,25,28,31,27,32,28,32,29,33,28,32,28,33,35,
33,35,33,36,34,36,32,33,25,27,32,27,31,26,32,27,33,36,32,20,26,36,33,35,33,35,20,32,33,33,
35,28,28,25,27,25,27,32,27,33,28,32,27,30,33,28,32,27,33,28,33,28,27,21,32,27,33,28,32,27,
33,28,33,28,32,26,33,28,33,34,32,29,25,27,33,28,32,27,33,28,35,30,33,28,33,28,32,27,32,35,
32,32,27,32,28,32,27,28,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,33,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,38,35,32,28,37,32,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,34,28,33,34,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25, };
static unsigned short stb__consolas_39_latin_ext_s[560]={ 507,500,19,197,19,53,488,506,71,34,413,
339,473,499,502,110,45,187,149,105,467,20,37,429,262,56,503,302,411,1,428,
336,100,406,295,417,239,333,23,242,259,278,205,448,349,1,39,433,100,256,138,
454,351,220,305,283,261,238,219,190,165,179,484,141,110,465,133,483,92,1,174,
428,225,234,84,436,494,247,118,42,289,470,174,101,1,62,299,135,226,178,157,
240,6,163,51,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,
313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,507,499,98,
76,391,385,1,218,92,353,211,395,33,499,320,124,458,371,430,499,72,73,64,
503,506,444,267,359,110,151,307,495,306,216,128,43,1,477,328,348,329,183,244,
320,82,44,24,426,58,446,228,87,1,477,386,377,58,250,308,131,23,387,179,
76,316,296,276,256,236,464,20,133,157,136,115,94,330,313,333,372,1,85,459,
438,417,396,375,445,95,338,318,298,278,318,278,256,362,205,278,175,64,156,152,
136,209,389,115,484,171,216,339,1,157,216,405,184,301,195,259,115,368,238,174,
257,418,361,457,340,348,219,38,123,451,44,489,164,367,122,385,96,286,489,271,
201,202,282,168,144,408,382,329,437,192,239,398,382,400,23,48,118,1,80,472,
467,413,289,37,123,376,424,190,358,488,281,109,368,339,480,142,79,263,396,438,
271,87,392,362,251,319,196,433,116,236,199,299,79,102,27,365,475,197,408,144,
455,176,54,456,444,134,448,157,350,222,350,410,296,472,1,65,22,74,66,25,
21,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,278,
313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,
313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,
313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,
313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,
313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,
313,313,313,11,417,151,1,47,193,313,313,313,313,313,313,313,313,313,313,313,
313,313,313,313,313,313,313,313,313,313,313,313,313,1,219,299,79,313,313,313,
313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,
313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,
313,313,313,313,313,313,313,313,313, };
static unsigned short stb__consolas_39_latin_ext_t[560]={ 1,1,369,321,42,177,206,42,1,1,347,
347,347,71,177,144,265,293,293,265,293,293,293,293,265,293,144,265,321,369,321,
206,1,293,293,265,293,293,321,265,293,293,293,293,293,321,321,236,321,42,321,
236,321,293,321,321,321,321,321,1,111,1,347,369,369,321,236,321,236,347,236,
206,265,236,1,265,265,347,347,347,236,206,347,347,293,347,347,347,347,206,347,
1,1,1,369,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,
293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,1,42,42,
293,321,293,1,42,369,265,347,347,369,71,347,369,347,321,347,321,369,236,111,
166,53,347,347,347,236,236,236,111,111,144,144,144,111,1,321,111,111,111,111,
144,111,111,111,77,321,77,77,77,77,42,77,347,42,77,77,77,77,111,321,
177,206,206,206,206,206,144,347,293,206,206,207,207,236,265,265,236,207,265,177,
177,177,177,177,321,177,177,177,177,177,1,1,1,144,265,144,177,77,177,77,
177,77,206,42,144,77,236,144,177,321,177,144,265,144,177,144,177,77,177,144,
177,42,1,42,1,77,1,42,1,111,77,293,265,111,265,144,293,111,236,77,
1,111,347,293,1,77,1,77,1,347,144,42,42,1,236,236,321,265,321,236,
77,236,77,207,111,265,144,77,177,77,265,77,206,42,177,265,347,111,265,42,
236,144,236,42,236,42,236,111,293,42,206,42,42,111,177,293,265,42,206,111,
265,42,207,1,144,42,206,42,206,111,236,111,1,111,144,265,144,207,144,265,
207,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,42,
293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,
293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,
293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,
293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,
293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,
293,293,293,1,1,144,236,1,144,293,293,293,293,293,293,293,293,293,293,293,
293,293,293,293,293,293,293,293,293,293,293,293,293,42,206,42,42,293,293,293,
293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,
293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,
293,293,293,293,293,293,293,293,293, };
static unsigned short stb__consolas_39_latin_ext_a[560]={ 343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_39_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_39_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_39_latin_ext(stb_fontchar font[STB_FONT_consolas_39_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_39_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_39_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_39_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_39_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_39_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_39_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_39_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_39_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_39_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_39_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_39_latin_ext_s[i] + stb__consolas_39_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_39_latin_ext_t[i] + stb__consolas_39_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_39_latin_ext_x[i];
            font[i].y0 = stb__consolas_39_latin_ext_y[i];
            font[i].x1 = stb__consolas_39_latin_ext_x[i] + stb__consolas_39_latin_ext_w[i];
            font[i].y1 = stb__consolas_39_latin_ext_y[i] + stb__consolas_39_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_39_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_39_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_39_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_39_latin_ext_s[i] + stb__consolas_39_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_39_latin_ext_t[i] + stb__consolas_39_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_39_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_39_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_39_latin_ext_x[i] + stb__consolas_39_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_39_latin_ext_y[i] + stb__consolas_39_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_39_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_39_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_39_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_39_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_39_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_39_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_39_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_39_latin_ext_LINE_SPACING
#endif

