// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_41_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_41_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_41_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_41_latin_ext_BITMAP_HEIGHT        420
#define STB_FONT_consolas_41_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_41_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_41_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_41_latin_ext_LINE_SPACING          27

static unsigned int stb__consolas_41_latin_ext_pixels[]={
    0x3ba6bdd3,0x00000005,0x0cccc400,0x00001c40,0x54c00071,0x3310000a,
    0x80003310,0x00000998,0xf980054c,0xffffffff,0x3b726004,0xaa98007f,
    0x4c000000,0x00000999,0x99880000,0x4cccc400,0x00009999,0x40009988,
    0x2a6002a8,0x7ffffc41,0x3315ffff,0xffa80001,0x4c4003ce,0x00000019,
    0x750015cc,0x44000003,0x26209999,0x33310009,0x50002661,0x1bfeadff,
    0xffff9800,0x3ea00002,0x74403fff,0xfd00003f,0x3ffa0009,0x3ff70000,
    0x0000ffd8,0x007fffd1,0x07fff600,0x3ffffe60,0x9004ffff,0x00ffffff,
    0x3fffff62,0x400001df,0x000efffd,0xfb105ff7,0x3a20001d,0x3fa03fff,
    0x4fffffff,0x7ff44000,0xfff3003f,0xfffb801d,0x3ffffe25,0xffb5ffff,
    0xffa8000b,0x5002efff,0x00001fff,0x17ffea00,0x00bfff60,0x3ffe2000,
    0x02fff44f,0xf877ffcc,0x400befff,0xdff56ffa,0x3ffe6000,0x2600000e,
    0xb801efff,0x40002fff,0x4000fffd,0x20006ff9,0xfb89effa,0xfd10006f,
    0x0007ffff,0x05ffff98,0xeeeeee88,0xfd804fff,0x805effff,0xfffffffa,
    0x00001fff,0x4009fffb,0x5c0ffff8,0x88005fff,0x03fffffe,0xfffffffd,
    0x7440009f,0x803fffff,0x404ffffd,0xf11fffff,0xddddddff,0x0017ff69,
    0xfffffd50,0xfff5003f,0x20000001,0x201ffffe,0x006ffffa,0x7fff4400,
    0x405ffe82,0x3e0ffff8,0x0dffffff,0x3eadff50,0xffa8006f,0x4c00003f,
    0x5550dfff,0x017ffec0,0x01fffd80,0x004ffc80,0x7fffff40,0xe88002ff,
    0x3fffadff,0x3ffea000,0x7ec0006f,0x7ffcc04f,0x3ff6001e,0xff9511cf,
    0xfd80003f,0x7cc002ff,0x7fe40fff,0x7f44005f,0x83fffadf,0xffcccccb,
    0xfd10004f,0x07fff5bf,0x05ffffe8,0x4bffffe2,0x6c01fff8,0x400005ff,
    0xa806fffb,0x00000fff,0x5fffff00,0x3ffffd40,0xffd10000,0x17ffa01d,
    0xd83fffb0,0xffffffff,0xf56ffa82,0xed9800df,0x4c00001d,0x3fe63fff,
    0x3fffa204,0x7ffe4001,0x3ffd0002,0xffd88000,0x88003fff,0x3fe64ffe,
    0xff10003f,0xd80007ff,0x7fec04ff,0x7ffdc006,0x03ffee01,0x0f7fec00,
    0x84ffd800,0x2001fff8,0x3e64ffe8,0xfff003ff,0xffd10009,0x01fffcc9,
    0x807ffff9,0xf10ffffe,0xffd803ff,0xfb800005,0x7fd401ff,0x0000000f,
    0x401ffff9,0x004ffff8,0x09ffd100,0x3205ffe8,0x64c03fff,0x541fffff,
    0x0dff56ff,0x00009880,0x2ffb8000,0x037ffc40,0x007fff50,0x001ffe60,
    0x00aba980,0x10599700,0x20003999,0x80003ed9,0x7f404ffd,0x3fe6002f,
    0x3ffc800e,0x04cca800,0x22019800,0x665c000a,0x01ccc882,0x8004fff8,
    0xcc882ccb,0x9ffb101c,0x45ffd300,0x6c01fff8,0x000005ff,0xfa805ffd,
    0x000000ff,0x20077f20,0x00004fd9,0x17ffa000,0x0027ffd4,0xa83ffff2,
    0x0dff56ff,0x37fffea0,0x20000000,0xf9800ffe,0xffd003ff,0x6654000b,
    0x00000003,0x00000000,0x3f600000,0x0fffc04f,0x01fff880,0x0001bfe0,
    0x00000000,0xf0000000,0x000009ff,0x10001000,0x803fff10,0x00005ffd,
    0xa809ffb0,0x00000fff,0x00000000,0x77f64400,0x42fff402,0x0005fff9,
    0x7d49fff9,0x00dff56f,0xdffbdff5,0x51000001,0x00bff557,0x2007ffec,
    0x0000fffb,0x00000000,0x00000000,0xfd800000,0x3ffe204f,0x09ff9000,
    0x001ffc80,0x00000000,0x00000000,0x00013ffe,0x00000000,0x401fff88,
    0x00005ffd,0xa80bff90,0x00000fff,0x00000000,0x3fffa200,0x3ffa03ff,
    0x077ff445,0x1fffd000,0x7fd5bfea,0x224fe806,0x100002ff,0xffffffd9,
    0x7fc4007f,0x3ffe205f,0x00000004,0x01555300,0x2aaa6000,0x55300000,
    0xfd800015,0x3ffe204f,0x06ff8800,0x004ffa80,0x00000000,0x00000000,
    0x00013ffe,0x00000000,0x401fff88,0x35305ffd,0x17ff2000,0x001fff50,
    0x00000000,0x77e40000,0xd01ffc89,0xfffd8bff,0x7fe40000,0x2adff51f,
    0x3ff806ff,0x40001ffc,0xffffffe9,0x2002ffff,0xfb02fffb,0x980001ff,
    0x20000aaa,0xffffffd9,0x06ffffff,0x7ffffecc,0x6fffffff,0x7fffecc0,
    0xffffffff,0x04ffd806,0x2003ffe2,0x88003ffb,0x7ffdc5ff,0x37ffc003,
    0x000fffee,0x3f20dfff,0xffffffff,0xff006fff,0xfff7009f,0x6fff8007,
    0x4402ffec,0x3fe22fff,0x27fec01f,0x9fffffb5,0x05ffc800,0x2007ffd4,
    0x641ffffb,0xffffffff,0x7f46ffff,0x4fffffff,0x217f4000,0xbffd03fe,
    0x0017ffdc,0xa97ffd40,0x0dff56ff,0xf915dfb0,0xfb80003f,0xfdceffff,
    0x2003ffff,0xff885fff,0xfb30003f,0xffffffff,0x7e40dfff,0xffffffff,
    0x206fffff,0xfffffffc,0x6fffffff,0x3fffff20,0xffffffff,0x4ffd806f,
    0x003ffe20,0x2a203ffa,0x3fa1512a,0x037ffc46,0x887fff30,0x26006fff,
    0xff903fff,0xffffffff,0x3fe00dff,0xfff8804f,0x3ffe6006,0x402ffec3,
    0x3e22fff8,0x7fec01ff,0xffffff74,0x7e400bff,0x7ffd405f,0x3fffea00,
    0xfffffc81,0x6fffffff,0x7ffffff4,0x7c0004ff,0xe81ff42f,0x7fff55ff,
    0x3fea0000,0x2adff52f,0xff8806ff,0x0004ffff,0x05ffffcc,0x1ffffff5,
    0x21fff200,0x8000fffb,0xfffffffc,0x6fffffff,0x37dfff70,0xdffffd73,
    0x3ffee0bd,0xffeb99be,0xf705eeff,0xd7337dff,0x0bddffff,0x4409ffb0,
    0x7cc00fff,0xffffc85f,0x21ffa7ff,0x9001fffc,0xff901fff,0x3ff2003f,
    0xdddd700f,0xfffddddd,0x13ffe00d,0x00fffe40,0x6c0fffc8,0xff8805ff,
    0x07ffe22f,0xff99ffb0,0xffffd9df,0x17ff2009,0x201fff50,0x701ffffa,
    0xdddddddd,0xed8dfffd,0x4fffeeee,0x8f7ec000,0xffd01ffa,0x009fff1b,
    0x87ffe400,0xdff56ffa,0x33b6e200,0xffd80001,0xfdffc82f,0xff3005ff,
    0x05ffd85f,0xbefffb80,0xffffeb99,0xfff885ee,0x1fffb00d,0x06fffc40,
    0x200fffd8,0xb00dfff8,0x6c001fff,0x3fe604ff,0x42ffb807,0xfffffffd,
    0x3e61ff66,0xfff004ff,0x13ffe60b,0x002fffc0,0x8037fec0,0xf3004fff,
    0x3fe009ff,0x05ffd85f,0x222fff88,0x7ec01fff,0x441effff,0xc800ffff,
    0x7fd405ff,0xffffa80f,0xffd80000,0x09fff006,0xffff8800,0x3ffa05ff,
    0x0005ffed,0xa9bffe60,0x0dff56ff,0x004cccc0,0x0fffe600,0x7ffc7ffc,
    0xbfff001f,0x001fffc4,0x4037ffe2,0x2e00fffd,0x3e200fff,0x3fee03ff,
    0x3ffe200f,0x03ffee03,0x003fff88,0xf9813ff6,0x0ffd807f,0x362bbfea,
    0x03ff65ff,0x2a01fffa,0x3fa02fff,0xfffa807f,0xffd80002,0x09fff006,
    0x403fff40,0xfd82fffa,0xfff8805f,0x007ffe22,0x40bffffb,0xb803fff9,
    0x7fd406ff,0x77ffd40f,0xffb00000,0x13ffe00d,0x3ffa6000,0x7fff403f,
    0x50002fff,0xffffb755,0xfab7fd45,0xfff5006f,0xfd8000ff,0x4ff980ff,
    0x2007fff7,0x3fea7ffc,0x7fdc000f,0x3ffe200f,0x01bff203,0xfc817ffa,
    0x5ffe806f,0x201bff20,0x36005ffe,0x3ff604ff,0x746ff805,0x93fee1ff,
    0xffb81ffc,0x3ffec02f,0x00bffee0,0x0000fffb,0x7c01bff6,0x3ee004ff,
    0x7fec02ff,0x00bffb07,0x7c45fff1,0x7fec01ff,0x6ffe805f,0x02fff980,
    0xfa83ffea,0x00000eff,0x7c01bff6,0x200004ff,0xdffd0008,0x0001ffff,
    0xffffffff,0xf56ffa89,0x3ff200df,0x10002fff,0x3ee0bfff,0x0bfff12f,
    0x643ffee0,0xfc8007ff,0x5ffe806f,0x2017ffa0,0x3fa06ffd,0x6ffd805f,
    0x2017ffa0,0x36006ffd,0xffc984ff,0x2ffcc01f,0xffd8dff3,0x2207ff23,
    0x3e205fff,0x7fc404ff,0x3ffe205f,0xffb00004,0x13ffe00d,0x05fff880,
    0x6c13ffe2,0xff8805ff,0x07ffe22f,0x001dffb0,0x3600fff7,0xfa80bfff,
    0xdfff50ff,0xfd800001,0x9fff006f,0x55530000,0x7ff40135,0x006fff9d,
    0xdfffffe8,0x516ffa81,0x3ffe0055,0x30004fff,0x3fa05fff,0x01fff60f,
    0xfd8fffd4,0xffe8006f,0x06ffd805,0x3a01bffa,0x3ffa04ff,0x04ffe806,
    0x3a01bffa,0x3f6004ff,0xfffffb4f,0x7ff5003f,0x3fa1ffe4,0x403ff21f,
    0xf500fffc,0xff9003ff,0x3ffea01f,0xffb00001,0x13ffe00d,0x01fff900,
    0x6c07ffea,0xff8805ff,0x07ffe22f,0x200bffb0,0x8800fffa,0x2ffffffd,
    0xff51fff5,0x000001df,0x3e00dffb,0xb88004ff,0xfffffffe,0x5ffe80cf,
    0x800bfff7,0x5401cffe,0xf50006ff,0x00fffbff,0x203ffea0,0x7fe45ff8,
    0xfff9800f,0x000bffb2,0xfd00dffd,0x7ffe409f,0x0fffe600,0x200fffc8,
    0x3203fff9,0x3e600fff,0x3f6003ff,0x9ffffb4f,0x8bfee001,0x7ffc1ffe,
    0xf981ff60,0xdffb04ff,0x13ffe600,0x00037fec,0x200dffb0,0x4c004fff,
    0xffb04fff,0x02ffec0d,0xf117ffc4,0xffd803ff,0x3fff3005,0x7fff5400,
    0xf5fff52f,0x00001dff,0x401bff60,0xc8004fff,0xffffffff,0x7f42ffff,
    0x0ffff65f,0x802ffe80,0x90006ffa,0x3fff5bff,0x0fff7000,0xff90ffea,
    0xfff1003f,0x0013ffa7,0x9803fff2,0x3e603fff,0xfe880eff,0x3fe600ff,
    0xffe880ef,0x3ffe600f,0xfffe880e,0x53ff6000,0x2ffffffc,0xf11ffb80,
    0x47ff88ff,0x7ff407fd,0x03fff887,0x221fffa0,0x00003fff,0x7c01bff6,
    0xfe8004ff,0x3fff887f,0x2017ff60,0x3e22fff8,0x7fec01ff,0x5fff3005,
    0x3ffff600,0xbfff51ef,0x00009fff,0x8037fec0,0xc8004fff,0xdccdefff,
    0x3a0fffff,0x3ffa25ff,0x5ffd001f,0x00dff500,0x3e2fffe0,0xfc8004ff,
    0x81ffb07f,0x8801fffb,0x9fff3fff,0xdfff3000,0x1fffd101,0xbffffc80,
    0x2ffffbaa,0xbffffc80,0x2ffffbaa,0xbffffc80,0x2ffffbaa,0x427fec00,
    0x401fffd9,0xfff31ffc,0x7f46ff98,0x17ffdc06,0x8003ffee,0x7dc2fffb,
    0x200000ff,0xff006ffd,0xff70009f,0x0fffb85f,0x2017ff60,0x3e22fff8,
    0x7fec01ff,0x3fff3005,0x05dffb00,0x3f63ffea,0x000003ff,0x3e00dffb,
    0xcc8004ff,0x2fffe401,0xff98bffd,0xffe800ff,0x06ffa802,0xb0fffa80,
    0xfb000fff,0x21bfe0df,0x8802fffa,0xbffd2fff,0x3fff2000,0xfffbaabf,
    0xfffd802f,0xffffffff,0xffffb003,0x7fffffff,0x3ffff600,0x3fffffff,
    0x04ffd800,0xfb017ffa,0x51bfe61f,0x06ff8bff,0x3a2fffc4,0x7c4005ff,
    0x2fff45ff,0x3ff60000,0x09fff006,0x8bfff100,0x7ec05ffe,0xfff8805f,
    0x007ffe22,0x2a00bffb,0x7c400fff,0x3fea01ff,0x07fffd0f,0xdffb0000,
    0x013ffe00,0xfff88000,0x2e17ffa7,0xfd805fff,0x6ffa801f,0x26ffc800,
    0x4001fffb,0xffa86ffe,0x01fffa84,0xfb1fff98,0x3f6000df,0xffffffff,
    0xffb803ff,0xffffffde,0xdff7000d,0xbffffffb,0x3bfee001,0xdffffffd,
    0x9ffb0000,0x203ffd40,0xdff50ffd,0x3e24ffc8,0xfffd804f,0x005fff10,
    0x221fffb0,0x00002fff,0xf8037fec,0xfb0004ff,0x3ffe21ff,0x02ffec02,
    0xf117ffc4,0xffd803ff,0x0fff7005,0xa80dff50,0xffd10fff,0xd800005f,
    0xfff006ff,0xc8000009,0xbffd0fff,0x013fff60,0xf5001553,0xfff000df,
    0x027ffc47,0x321fff60,0xfffa81ff,0x1fffa800,0x7000dff9,0xffffbdff,
    0x3a001bff,0x155311ff,0x23ffd000,0x8000aa98,0x55311ffe,0xffb00001,
    0x07ffcc09,0x3ea1ffb0,0x51ffec6f,0xff3003ff,0x01fff27f,0xc9fffcc0,
    0x800007ff,0xff006ffd,0x3e60009f,0x0fff93ff,0x100bffb0,0x7fc45fff,
    0x2ffec01f,0x805ffd80,0x7d405ffb,0x3ffe60ff,0x3600002f,0xfff006ff,
    0x98000009,0xbffd1fff,0x0bfffa20,0x6ffa8000,0x0fffd400,0xb001fffa,
    0x7fe81fff,0x200fff70,0xff70fffb,0x3ffd000f,0x0002aa62,0x0000fff1,
    0x0003ffc4,0x000fff10,0x04ffd800,0xc803ffe2,0x4fff30ff,0x3f63fff9,
    0x57ffa007,0x20004fff,0x9fff5ffe,0xffb00000,0x13ffe00d,0xf5ffe800,
    0xffb009ff,0x5fff100b,0x200fffc4,0xf9805ffd,0xffc802ff,0x07ffd405,
    0x007fffe6,0x037fec00,0x0004fff8,0x8fffcc00,0x3e605ffe,0x00001fff,
    0x3326dff5,0x21bff203,0x2001fffb,0x3e61fffc,0x0dff905f,0xfa9bff60,
    0x3e2001ff,0x2600007f,0x00003fff,0x0007fff3,0x00fffe60,0x4ffd8000,
    0x803ffe20,0xfff11ffc,0x29fffd13,0x2e004ffa,0x1fffafff,0x3ffee000,
    0x0001fffa,0x006ffd80,0x40009fff,0xfffafffb,0x05ffd801,0x222fff88,
    0x7ec01fff,0x6ffe805f,0x80bff900,0xfa80fffa,0x80001fff,0xff006ffd,
    0xb980009f,0xfeeeeedc,0x0bffd1ff,0x80efffb8,0xfa801deb,0x40dff56f,
    0xff884fff,0x3fee004f,0x40bfee2f,0xff005ffe,0x27ffc47f,0x07fff300,
    0x3ffe2000,0xaaabccef,0xfff88009,0xaaabccef,0xfff88009,0xaaabccef,
    0xffb00009,0x07ffc409,0x7ec5ff70,0xffccffff,0x2000efff,0x6ffffff8,
    0x7ffc4000,0x00006fff,0x200dffb0,0x20004fff,0x6ffffff8,0x00bffb00,
    0x7c45fff1,0x7fec01ff,0xfffd301e,0x17ff2003,0x201fff50,0x000efffc,
    0x8037fec0,0x50004fff,0xfffffffd,0x3a3fffff,0xffd805ff,0x7fffdc5f,
    0xab7fd400,0xfff506ff,0x01bffa03,0x3a4fff98,0xfff980ff,0x1fffa804,
    0x1003ffec,0x799dffff,0x20013555,0xfffffffc,0x0cffffff,0x3fffff20,
    0xffffffff,0x3fff200c,0xffffffff,0x36000cff,0x3fe204ff,0x8bfea00f,
    0xf36ffff9,0x0001ffff,0x07fffffb,0xffffb000,0x2000007f,0x3ff26ffd,
    0xffffffff,0x004fffff,0x07fffffb,0x2017ff60,0x3e22fff8,0x7fec01ff,
    0xfedcdeff,0x32003fff,0x7fd405ff,0x3fff600f,0x3f60000e,0x3ffff26f,
    0xffffffff,0x3f204fff,0xeeefffff,0xfd1fffee,0x3ffa00bf,0x3ffffa3f,
    0xab7fd401,0xfff906ff,0x00fffe40,0xf11fffd0,0x3fff20bf,0x86ffd801,
    0x2001fffa,0xfffffffc,0x0cffffff,0x7ffffe40,0xffffffff,0x3fff202f,
    0xffffffff,0x3f202fff,0xffffffff,0x002fffff,0x7c409ffb,0x3fe600ff,
    0x10565cc3,0x20001597,0x006ffffa,0xdffff500,0x7ec00000,0x3ffff26f,
    0xffffffff,0xf5004fff,0x6c00dfff,0xff8805ff,0x07ffe22f,0xffffffb0,
    0x03dfffff,0x405ffc80,0x6c00fffa,0x0000efff,0x7fe4dffb,0xffffffff,
    0x504fffff,0x4c05dfff,0x00001fff,0x03ffffb0,0xff56ffa8,0x813ffe0d,
    0x2004fff9,0xffacfffc,0x05fff883,0xf03fff88,0xfc800bff,0xffffffff,
    0x502fffff,0x9995bfff,0xffffffb9,0x5bfff503,0xfffb9999,0xff503fff,
    0xb99995bf,0x03ffffff,0x4409ffb0,0x3e600fff,0x0000006f,0x007fffd0,
    0x1ffff400,0xffb00000,0x7ffffe4d,0xffffffff,0x3fa004ff,0x3f6003ff,
    0xfff8805f,0x007ffe22,0xfffffffb,0x20007bdf,0x7d405ffc,0x7f4400ff,
    0xfb0005ff,0x7fffe4df,0xffffffff,0xffd04fff,0xfff9801f,0xf1000001,
    0xff5009ff,0x261bfead,0x7fc02fff,0x3fe2006f,0x441ffeff,0xd800fffe,
    0xff900fff,0x3fea003f,0xdccccadf,0x41ffffff,0x8804fff9,0x7cc3fffe,
    0xfe8804ff,0x7ffcc3ff,0xfffe8804,0x04ffd803,0xd003ffe2,0x000001ff,
    0x00fffd00,0x07ffe800,0x7ff40000,0x00000005,0x0000fffd,0x21fff980,
    0x6c01fff8,0x013315ff,0x0bff9000,0x00000000,0x0002fff4,0xf101ffd1,
    0xff3007ff,0xccc8803f,0x006a2000,0xffab7fd4,0x807ffc86,0x2001fffc,
    0x26fffffb,0x04fffea8,0x202fff98,0x9806fff8,0xe8804fff,0x7fe43fff,
    0x3ffe6006,0x0037fe45,0xfc8bfff3,0x3fe6006f,0x4ffd805f,0x200fffc0,
    0x00003ffb,0x1fffdc00,0xfff70000,0xf8000007,0x000003ff,0x03fffb80,
    0x7fd40000,0x07ffe20f,0x000bffb0,0x013ff600,0x80000000,0x20003fff,
    0xff301ffe,0xfff7005f,0x07ff9803,0x7fd40000,0xff0dff56,0xddddddff,
    0x07fffddd,0xfffffd80,0xdfffffee,0x06ffe800,0x403fffa8,0x26006ffc,
    0x7ffc5fff,0x27ffc004,0xf0013ffe,0x4fff89ff,0x027ffc00,0x3e027fec,
    0x7fc402ff,0x20000006,0x000ffff8,0x1ffff100,0x7c400000,0xcc8802ff,
    0x3e20000c,0x00000fff,0x223ffe40,0x7ec01fff,0xd000005f,0x220007ff,
    0x00000ccc,0x0017ffc4,0x2604ffb8,0x36203fff,0x5c01ffff,0x775005ff,
    0x77777777,0x55bfea17,0x7ffcc6ff,0xffffffff,0x006fffff,0xffffffc8,
    0x7003ffff,0x36003fff,0x3fe00fff,0x7ffc004f,0x002fffc4,0xff85fff5,
    0x3fea005f,0x02fffc2f,0x005fff50,0xfd809ffb,0x5ffd806f,0xfd000000,
    0x400005ff,0x0002fffe,0x07ffec00,0x003ffcc0,0x00bfffa0,0xfff10000,
    0x01fff88b,0x0002ffec,0x017ffcc0,0x007ff980,0x0fffd800,0x05ffd000,
    0xa81ffff8,0x01fffffe,0xd8017fec,0xffffffff,0xdff51fff,0xff91bfea,
    0xffffffff,0x3fffffff,0xfffff000,0x2003bdff,0x2004fffa,0xf00efff8,
    0x7d400bff,0x7fff42ff,0xffffa803,0x01ffff40,0x207fffd4,0xa803fffe,
    0xd800ffff,0x7fdc04ff,0x3fe600cf,0x0049805f,0x04fffe98,0xfffd3000,
    0x06540009,0x007fff90,0x40017fee,0x004fffe9,0x3fa20300,0x7ffc40ff,
    0x02ffec01,0x3ffa6000,0x3fee0007,0x8032a005,0x0003fffc,0xf900fffa,
    0xffb9bfff,0x03fffbff,0xb000fff8,0xffffffff,0x3fea3fff,0xff8dff56,
    0x999999df,0xfffa9999,0x6ffcc003,0x4c0009a9,0xa8005fff,0xffd05fff,
    0xfff5007f,0xffffa81f,0xecbabcef,0xfa81ffff,0xabceffff,0x1ffffecb,
    0xefffffa8,0xffecbabc,0x333221ff,0x04ffeccc,0xceffffe8,0xcefff984,
    0x7feba99a,0xfffeec80,0x320006ff,0x6fffffee,0x77fd4000,0xffffdccd,
    0x0bff6006,0x7fff7640,0x100006ff,0xffd99bff,0xfff107ff,0x2799999b,
    0x40005ffd,0xffffedc9,0x3ff60002,0x3bfea002,0xffffdccd,0x7fdc0006,
    0xffd03cef,0x5fffffff,0xf8807ffe,0x376e006f,0xdddddddd,0x2adff50d,
    0x3ffe66ff,0x37ffc002,0x00bfee00,0x05fff880,0x13ffee00,0x3bffffea,
    0xffecbabc,0xfff701ff,0xffffffff,0x7dc05dff,0xffffffff,0x202effff,
    0xfffffffb,0x2effffff,0x7fffffcc,0xe8804fff,0x307fffff,0xffffffff,
    0xfd00dfff,0x007fffff,0xfffffe80,0xfa80003f,0xffffffff,0x3fe000df,
    0xfffd000f,0x00007fff,0x7fffffc4,0xff104fff,0xbfffffff,0x00017ff6,
    0x7ffffff5,0x0fff8000,0x3fffea00,0x0dffffff,0x7ff44000,0x3fee04ff,
    0x3a0cefff,0x04cc01ff,0x7d400000,0x64dff56f,0xfc8007ff,0x3fa000ff,
    0x3ee0000f,0x5c0000ef,0xffb80fff,0xffffffff,0x4402efff,0xffffffeb,
    0x71002dff,0xfffffffd,0x2e2005bf,0xfffffffe,0xfff302df,0x09ffffff,
    0x3ffff540,0xffffb710,0x3a005bff,0x000dffff,0xdffffe80,0xf9100000,
    0x5dffffff,0x06ff8800,0x37ffffa0,0x74400000,0x1effffff,0x3ffffe20,
    0xffb5ffff,0xffa8000b,0x40000def,0x44006ff8,0xfffffffc,0x4400002e,
    0x98802ccb,0x00000009,0x7fd40000,0x7fcdff56,0xffa8005f,0xbff1003f,
    0x01d90000,0x807f2000,0xfffffeb8,0x8002dfff,0x009aa998,0x554cc400,
    0x4c400009,0x30009aa9,0x33333333,0x06620001,0x00099880,0x00009a88,
    0x0004d440,0x2aa66000,0x04cc0001,0x00135100,0x55310000,0x4cccc003,
    0x31099999,0x98800013,0x99800000,0x2a660000,0x0000001a,0x99000000,
    0x99999999,0x99999999,0x40059999,0xdff56ffa,0x000bffe6,0x88037ffc,
    0x100001aa,0x00080000,0x026aa662,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fc00000,0xffffffff,0xffffffff,0x2003ffff,
    0xdff56ffa,0x0003fff2,0x0007ffec,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7ffc0000,0xffffffff,
    0xffffffff,0x2a003fff,0x0dff56ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x33330000,
    0x33333333,0x33333333,0x4c400133,0x00133109,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xdb700000,
    0x40000019,0x333102aa,0x00003333,0x4d55cc40,0x654c4000,0x980009aa,
    0x4cccc000,0x99999999,0x10999999,0x4c003333,0xfff00019,0x00133310,
    0x33310ccc,0x7cc00000,0x9500005f,0x06aa0005,0x88006aa2,0x13330099,
    0x00666000,0x0009a880,0x01998800,0x0aba8800,0x4c400000,0x04cc4199,
    0x00266600,0x98099988,0x20000999,0x00099998,0x21555540,0x54c09998,
    0x7ffec000,0x800002ff,0xff904ff9,0xddffffff,0x6dc00017,0xffffffff,
    0x3ff6203d,0xefffffff,0x02ffd801,0x3ffffe60,0xffffffff,0xf96fffff,
    0xf1003fff,0xf88001ff,0xffffc86f,0x0fff8800,0x0003fff5,0x013fea00,
    0x0fffee00,0x703ffa00,0x7cc005ff,0x3ff623ff,0xffe88005,0x3a6000ef,
    0x4d83ffff,0xffff9800,0xfec88005,0x00deffff,0x7ffcc000,0x02fff43f,
    0x005fff10,0x3617ffea,0x20004fff,0x004fffe8,0x077ffe40,0xfc87fffa,
    0xff5001ff,0x000ffb37,0x205ff700,0xfffffffc,0x003fffff,0x7ffffec4,
    0x0fffffff,0x7ffffe44,0x1fffffff,0x017ffc40,0xffffff30,0xffffffff,
    0x3f2dffff,0xf8805fff,0x7cc000ff,0xffffc84f,0x0fff8804,0x0003fff5,
    0x00bfee00,0x1ffffe00,0x2fbff200,0x001fffca,0x7d6fffcc,0xe88005ff,
    0x00efffff,0xffffff88,0x1ffebbef,0x3fffe600,0x3a6005ff,0xffffffff,
    0x300001ff,0xfd03dfff,0x7fc400bf,0xfff9802f,0x03fffd85,0x3fffa200,
    0x7fe40002,0x3fffd04f,0x01bfffe2,0x3ff127e4,0xffe80000,0xddfff900,
    0xffffffdd,0x3ffea007,0xfeedffff,0x7fec0fff,0xecccdeff,0x7c401ffe,
    0x3a6002ff,0xfeeeeeee,0xeeeeeeff,0xfffff94e,0x0fff8803,0x41ffd400,
    0x00fffffc,0xfa87ffc4,0x000001ff,0x00003ff9,0x000dffff,0xffffffd1,
    0x3a20009f,0x004fffff,0xd9dfff98,0x7ec01fff,0xffffb9bf,0x2a003fff,
    0xffe9cfff,0x7ffd400e,0xffffdeff,0x4c0002ff,0xfd00dfff,0x7fc400bf,
    0x7ffcc02f,0x01fffd84,0x3bffa200,0x7fe40001,0x3fffa02f,0x0dffff31,
    0xff893f20,0x2ea20000,0x3205ffaa,0xff9107ff,0xffb803ff,0x9300aeff,
    0x6fffdc1f,0x2004c401,0x0002fff8,0x401ffee0,0x05fffffc,0x0007ffc4,
    0x3f20bfee,0x4405ffff,0xfff50fff,0x32a00003,0xdefffffd,0xffb8000b,
    0xf910002f,0x0005dfff,0x04fffe88,0x43fff980,0x2201fffb,0x7ffe441d,
    0x3fee003e,0x3bff622f,0x7ffff100,0xffffd981,0xfff30000,0x05ffe807,
    0x80bffe20,0xfd84ffe8,0x220000ef,0x80004ffe,0x6c00deeb,0x3ffa1fff,
    0x7ff5003f,0x1000ffb5,0xffffffd9,0x3ffe407f,0x813ffee0,0x004ffff8,
    0x00dfff02,0x2fff8800,0x3fee0000,0xffff9007,0x7fc401ff,0x7fe4000f,
    0xffeffc81,0x3ffe201f,0x003fff50,0xffffe980,0x1fffffff,0x00353000,
    0x00026600,0x00000000,0x01300000,0x6c000000,0x7ec02fff,0x000004ff,
    0x400bffd0,0x0002fff8,0x00000000,0x7ec00000,0x0fb221ff,0xfffffb00,
    0xffe98003,0xffffffff,0x00fff902,0x7e40dfff,0x260003ff,0x00003fff,
    0x0017ffc4,0x00fff700,0x3ffb7ff2,0x03ffe204,0x80ffe880,0x5ffddffc,
    0x543ffe20,0x20001fff,0xfffffffc,0x01ffffff,0x00000000,0x00000000,
    0x00000000,0x20000000,0xd003fff9,0x00001fff,0x00bffd00,0x0017ffc4,
    0x00000000,0x99999880,0xfd800999,0x200000ff,0x4000cdda,0xcefffffb,
    0x83fffffd,0xfd807ffc,0xdfff307f,0xfffa8000,0x3ff60002,0xffffffff,
    0x2fffffff,0x00fff700,0x3fef7ff2,0x1fff100f,0xffffdb80,0xff90ceff,
    0x203fff3b,0xff50fff8,0x3ea0003f,0xff88aeff,0x00017515,0x8066aa62,
    0x4c000998,0x26200099,0x0009aaca,0x066aa620,0x40009988,0x22000999,
    0x009aaca9,0x2001fffb,0x8003fffa,0x09aaca98,0x2005ffe8,0x4c42fff8,
    0x4ccc0009,0x55310000,0xfffd0033,0x009fffff,0x8001fffb,0x4c000998,
    0x7ffcc099,0x3ffea0bf,0x7fe40fff,0x07ffd807,0x0003fffb,0x004fff98,
    0x3fffff60,0xffffffff,0x7002ffff,0x3f200fff,0x209fff5f,0xd300fff8,
    0xffffffff,0x57ff21ff,0xff106ffe,0x07ffea1f,0x3fffe200,0x0013fe60,
    0xffffdb50,0xfe85bfff,0x3fe2005f,0x7fec402f,0xefffffff,0xffdb5001,
    0x85bfffff,0x22005ffe,0x6c402fff,0xffffffff,0x3ffe21ef,0x3ffe2005,
    0xfffb1006,0x3dffffff,0x1002fff4,0xffe85fff,0x3ffe2005,0x3fb6a002,
    0x2dffffff,0xffffffd0,0xffb009ff,0x8155441f,0x22005ffe,0x7fec2fff,
    0xfdffc82f,0x3ffe45ff,0xf82fffc0,0x880005ff,0x0001ffff,0xffddddd9,
    0xdddddddf,0x3ee005dd,0xbff9007f,0x2203fff2,0xffc80fff,0xffffefff,
    0x2bff90ff,0xf882fffa,0x3fff50ff,0x9fff3000,0x0003ffa8,0x3ffffff2,
    0x746fffff,0x3e2005ff,0xff9102ff,0xffffffff,0xff9003ff,0xffffffff,
    0x05ffe8df,0x40bffe20,0xffffffc8,0x21ffffff,0x4002fff9,0x64407ffd,
    0xffffffff,0x3fa1ffff,0x3fe2005f,0x02fff42f,0x005fff10,0x3ffffff2,
    0x706fffff,0xfff99999,0x1fff9009,0xfe837fcc,0x3fe2005f,0x0fffe62f,
    0x7ffc7ffc,0x01fff21f,0xf107fff7,0x200007ff,0x003ffffd,0x05fff100,
    0x3ffdc000,0xf15ffc80,0xfff107ff,0xbffffa81,0x1934ffa8,0xffe97ff2,
    0x50fff886,0x70003fff,0xffb83fff,0xffe88002,0xffedffff,0x2fff46ff,
    0x05fff100,0x37bffff6,0x1ffeeccc,0x3ffffa20,0xffffedff,0x002fff46,
    0x3605fff1,0xccdeffff,0x2a1ffeec,0x64000fff,0x3f600fff,0xcccdefff,
    0x3fa1ffee,0x3fe2005f,0x02fff42f,0x805fff10,0xffffffe8,0x06ffffed,
    0x4027ffc0,0x3e60fffc,0x0bffd06f,0xb17ffc40,0xff301fff,0xc8fffee9,
    0x3fee07ff,0x5fff306f,0x3fa20000,0x000befff,0x00bffe20,0x07ffb800,
    0x7ecbff90,0x0fff887f,0xb87fffe2,0xbff903ff,0x2217ffd4,0xfff50fff,
    0xfff50003,0x001ffc89,0x577fffc4,0xfe8db500,0x3fe2005f,0xdfffb82f,
    0x8804c401,0x00aeffff,0x5ffe8db5,0x0bffe200,0x0077ffee,0x3ffdc131,
    0x0fffdc00,0x01dfffb8,0xbffd04c4,0x17ffc400,0x88017ffa,0x3e202fff,
    0x500aefff,0xfff800db,0x47ffc804,0xffd06ffa,0x7ffc400b,0x20bfff12,
    0xfff12ffb,0x667ffe4b,0xeffffdcc,0x03fff500,0x3333332a,0x7ff440cc,
    0x001cffff,0x002fff88,0x01ffee00,0xff32ffe4,0x0fff885f,0xf90bfff2,
    0x17ff205f,0xff88dffd,0x03fff50f,0x1ffff300,0x20007fec,0x000dfffd,
    0x005ffe81,0x3e0bffe2,0xb00006ff,0x2001bfff,0x002fff40,0xff05fff1,
    0x7e4000df,0xffa8007f,0x0dfff01f,0x02fff400,0xe85fff10,0x3e2005ff,
    0x3ff602ff,0x001000df,0xc804fff8,0x3ffd47ff,0x2005ffe8,0xff32fff8,
    0x83ffa05f,0x3ff27ffd,0xffffffff,0x3ff200df,0xffff900f,0x2e03ffff,
    0xdfffffff,0x3ffe2001,0x3ee00002,0xbff9007f,0x7c46ffd8,0x1bffa0ff,
    0x7e407ff6,0x1fffcc5f,0x3ea1fff1,0xfd0001ff,0x1ffe5fff,0x0bfff300,
    0x05ffe800,0x30bffe20,0x00007fff,0x000bfff3,0x2005ffe8,0x7cc2fff8,
    0x360003ff,0xfa8006ff,0xfff982ff,0x3ffa0003,0x3ffe2005,0x002fff42,
    0x2605fff1,0x00005fff,0x4027ffc0,0x7fd47ffc,0x00bffd07,0xfa97ffc4,
    0x5ff880ff,0xfc87ffe4,0xffffffff,0xfffc800e,0xfffff900,0x5c403fff,
    0xcffffffe,0x2fff8800,0x3fee0000,0x8bff9007,0x3e22fffa,0x7fff10ff,
    0x3201ffd0,0x7ffd85ff,0x7d43ffe2,0xf10001ff,0xdffdffff,0x1fffd800,
    0x2fff4000,0x85fff100,0x0002fffa,0x001fffd8,0x002fff40,0xfa85fff1,
    0x3a0002ff,0xf98006ff,0xfffa82ff,0x3ffa0002,0x3ffe2005,0x002fff42,
    0x3605fff1,0x00001fff,0x4027ffc0,0x7fd47ffb,0x00bffd07,0xfb97ffc4,
    0x87ff507f,0xff91fffc,0xfffb555f,0xfffb801b,0x95555301,0x2a003fff,
    0x0efffffd,0x017ffc40,0x0fff7000,0x3a17ff20,0x3ffe26ff,0xf05fff30,
    0x2ffe40ff,0xf89fffcc,0x3fff50ff,0x7ff4c000,0x000effff,0x000bfff3,
    0x400bffd0,0x7cc2fff8,0x4c0004ff,0x80005fff,0x22005ffe,0x7fcc2fff,
    0x3f60004f,0xffa8007f,0x4fff981f,0x17ffa000,0x42fff880,0x22005ffe,
    0xff982fff,0x8000005f,0xfb804fff,0x83ffd47f,0x22005ffe,0xfff92fff,
    0xf703ff60,0x1fff23ff,0x5017ffea,0x4c005fff,0x4c001fff,0x405ffffd,
    0x0002fff8,0x401ffee0,0xffa85ffc,0x21fff12f,0x7c40fffa,0x17ff206f,
    0xff8bffec,0x03fff50f,0xffff7000,0xb803bfff,0x80001fff,0x22005ffe,
    0x7fc42fff,0x2e0001ff,0x80001fff,0x22005ffe,0x7fc42fff,0xf90001ff,
    0xfb8001ff,0xfff880ff,0xffd0001f,0x7ffc400b,0x002fff42,0xf705fff1,
    0x000003ff,0x7009fff0,0x7ffb8fff,0x400bffd0,0xffb2fff8,0x2a1bfe0d,
    0xfff92fff,0x80bffee0,0x2002fff9,0x0001fff9,0x405ffff5,0x0002fff8,
    0x401ffee0,0xffd05ffc,0x543ffe2b,0x7fcc1fff,0x417ff205,0xff8bfff9,
    0x03fff50f,0x3fae2000,0x00dfffff,0x0000fff9,0x88017ffa,0xffd82fff,
    0xf90003ff,0x3a0000ff,0x3e2005ff,0xfffd82ff,0xffb8003f,0x7fe4000f,
    0x3ffff607,0x5ffe8003,0x0bffe200,0x4400bffd,0xffc82fff,0xf0000007,
    0xff7009ff,0x80fffb8f,0x22005ffe,0xdffd2fff,0xf509ff50,0x1fff23ff,
    0x2206ffe8,0x26004fff,0x20001fff,0x2204fffa,0x00002fff,0x6401ffee,
    0xfff705ff,0x261fff13,0x7fd42fff,0x817ff204,0xfff9fffd,0x003fff50,
    0xffffc800,0xfd80ffff,0xfd00007f,0x7fc400bf,0xfffe882f,0x36000bef,
    0xd00007ff,0x7c400bff,0xffe882ff,0x7000beff,0xe8005fff,0x3fa206ff,
    0x000befff,0x4c00bffb,0x7ff41fff,0x3ffe2005,0x007ffd82,0x9fff0000,
    0xb8dff700,0xffe80fff,0x3ffe2005,0xf90fffb2,0x1fff503f,0xfb81fff2,
    0x3ffe02ff,0xfff3000f,0xfff80003,0x0bffe206,0x7ffb8000,0x40bff900,
    0xfff8cfff,0xb89fff10,0x3ff202ff,0x33ffe205,0xfff50fff,0xfd800003,
    0xeffffb9f,0x0037ff40,0x005ffe80,0x440bffe2,0xcffffffe,0x06ffe801,
    0x0bffd000,0x817ffc40,0xffffffe8,0x7ffcc01c,0x3ffe2005,0x7fff4404,
    0x6c01cfff,0x3ea006ff,0x2fff40ff,0x05fff100,0x0000dffd,0x013ffe00,
    0xff71bfea,0x0bffd01f,0xd97ffc40,0x3ff40fff,0x3f27ffb8,0x3ffe207f,
    0x13ffee06,0x00fffcc0,0x81bffa00,0x0003fff8,0x401ffee0,0x3ee05ffc,
    0x20fff9ff,0x7fe47fff,0x017ff201,0x1ffffff9,0x0007ffea,0x744ffd00,
    0x7ffc3fff,0xffd00005,0x7ffc400b,0x7fffdc02,0x3e01dfff,0xd00005ff,
    0x7c400bff,0x7fdc02ff,0x01dfffff,0xb801fffa,0xf7001fff,0x3bffffff,
    0x801ffee0,0xffe87ffb,0x3ffe2005,0x005fff82,0x9fff0000,0xb8dff500,
    0xffe80fff,0x3ffe2005,0x4c3fff92,0xdff905ff,0x2e03ffe4,0x3fe02fff,
    0xff9800ff,0x7fc0001f,0x27ffc04f,0xfff70000,0x817ff200,0xfffcfff8,
    0x437fff20,0x3f200ffd,0x7ffc405f,0xfff50fff,0xff800003,0x12fffc46,
    0x0000bfff,0x88017ffa,0xb8802fff,0xcffffffe,0x02fffc40,0x05ffe800,
    0x00bffe20,0x3ffffae2,0xffb80cff,0xfff8803f,0x7f5c4005,0x40cfffff,
    0xd002fffa,0xbffd0dff,0x17ffc400,0x0017ffe2,0x27ffc000,0x32155440,
    0xffe81fff,0x3ffe2005,0x5c5fff72,0xbffd02ff,0x2203ffe4,0x3ea06fff,
    0x7cc02fff,0x320001ff,0x7ec02fff,0x700000ff,0x3f200fff,0x7ffe405f,
    0x3fe20fff,0x87fe9eff,0x00bff90a,0x21fffff9,0x0001fffa,0x3617fe20,
    0x37ffc7ff,0x5ffe8000,0x0bffe200,0xffffb500,0x6fff81df,0xbffd0000,
    0x17ffc400,0x3fff6a00,0x7fc40eff,0x3fa202ff,0x2a0001ff,0x0efffffd,
    0x201bffe2,0xfe82fffb,0x3fe2005f,0x06fff82f,0xfff00000,0xffc80009,
    0x05ffe81f,0x4cbffe20,0x3ffa4fff,0x24fff980,0xfc807ffc,0x3ffa02ff,
    0xfa80acff,0x0159b1ff,0x06fffda8,0x00dfffb8,0x3fee0011,0x0bff9007,
    0xffffff88,0x7ffffd40,0xffcbafff,0x100bff90,0x2a1fffff,0x00001fff,
    0x3f613fe6,0x037ff47f,0x05ffe800,0x00bffe20,0x7fffecc0,0x0037ff45,
    0x005ffe80,0x000bffe2,0x2ffffecc,0x0dffffe4,0x0bfffd51,0x3ff66000,
    0x7ffe45ff,0xdfff900e,0x8017ffa0,0xfe82fff8,0x0000006f,0x80009fff,
    0xfe81fffc,0x3fe2005f,0x23fffa2f,0xff905ff8,0x03ffe43f,0x1037ffc4,
    0xfffffffb,0x3fffffdd,0x3bfffff6,0xffffffee,0xfffd000e,0x5fddbbdf,
    0x01ffee00,0x6c02ffe4,0xa80fffff,0xffffffff,0xff90ffff,0x3ffee00b,
    0xfffff50f,0xffffffff,0x3ffa80bf,0x362fffc4,0xd00007ff,0x7c400bff,
    0x540002ff,0x3f62ffff,0xfd00007f,0x7fc400bf,0x7d40002f,0xffc82fff,
    0xfffeffff,0x800004ff,0x222ffffa,0xcdefffff,0x00fffffe,0x4400bffd,
    0xffd82fff,0xf0000007,0xdb3009ff,0x81fffc87,0x22005ffe,0x3ff22fff,
    0x883ffacf,0x7fe45fff,0x3fffb007,0xfffffb80,0xffffffff,0xffffffb1,
    0xbfffffff,0x7ffcc001,0x2fffffff,0x00fff700,0x26017ff2,0x300fffff,
    0xfffffff9,0x3ff21bdf,0xffff1005,0x3ffffea1,0xffffffff,0x3fee015f,
    0x0ffff622,0x0003fff9,0x400bffb0,0x0001fff9,0x324fffa8,0x80001fff,
    0x26005ffd,0x80001fff,0xf904fffa,0xffffffff,0x4000009f,0x6c44fffa,
    0xffffffff,0x3f601eff,0x3fe6005f,0x1fffc81f,0xff800000,0x7ffc404f,
    0x0bfff23f,0x98017ff6,0x3fe21fff,0x441ffeff,0x7e40fffe,0xfff3007f,
    0xffb9100b,0x17bfffff,0x7ffffed4,0x00cfffff,0x3fffae00,0x7002efff,
    0x3f200fff,0xfffb005f,0xbff9001f,0xbff90135,0x87ffdc00,0xfffffffa,
    0x5fffffff,0xfb3559db,0xffff755f,0x0bfff70b,0x0dffb000,0x007ffd40,
    0x26fff800,0x0005fffb,0x2006ffd8,0x0000fffa,0x4c0dfff0,0xcffffffc,
    0xf8000001,0xffb706ff,0x005dffff,0x5400dffb,0xffb80fff,0x8000005f,
    0x7d404fff,0x3ff65fff,0x06ffd82f,0x703ffea0,0x44dfffff,0x004fffea,
    0x22000000,0x260009a9,0x00019aa9,0x00333300,0x00000000,0x05ff9000,
    0x3fea0000,0x7ec00007,0xffffffff,0x106fffff,0x0001ffff,0x2007ffb8,
    0x00007ffb,0xff89bffa,0x5c0000ff,0x3ee007ff,0x3a00007f,0xff9006ff,
    0x8000000d,0xd8806ffe,0x3ee004ff,0x3fee007f,0x1ffff107,0xff800000,
    0x7ffcc04f,0x0bfff64f,0xb801ffee,0xfffb07ff,0xffffddff,0x000001bf,
    0x00000000,0x00000000,0x00000000,0x3ffb0000,0x3ee00000,0x6c00006f,
    0xffffffff,0x402effff,0x0005fffc,0x8017ffd4,0x00006ffe,0xff913ffe,
    0xfa8000bf,0xffd002ff,0x7fc0000d,0xfff5004f,0x40000003,0xfa804fff,
    0x7fd4005f,0xdffd002f,0x02fffe40,0x3ffe0000,0x0effc804,0x2a0bfff6,
    0xfd002fff,0x7ffe40df,0x3fffffff,0x0ccc8800,0x99910000,0xcc880001,
    0x6440000c,0x440000cc,0x40000ccc,0x0000ccc8,0x00007ff4,0x405ffd80,
    0x4400ccc8,0xffffedca,0xf1002bde,0x2001dfff,0x037ffc40,0x0017ffdc,
    0x42fffc80,0x00effff8,0x6fff8810,0x02fffb80,0x5fff9000,0x17ffe200,
    0x32000008,0xfe802fff,0x7fc4000f,0xfffb806f,0x3fffe202,0x8001000e,
    0x53004fff,0x80999881,0xb806fff8,0x7fc02fff,0x1defffff,0x0fff3000,
    0x3ffcc000,0x3ffcc000,0x3ffcc000,0x3ffcc000,0x3ffcc000,0x03ffc000,
    0xfff98000,0x03ffcc03,0x005ff980,0x3ffffee0,0x375cc09b,0x8077ffe4,
    0x9b05fffc,0xffda8015,0xffff706f,0xeb98137f,0x0efffc86,0x20bfff90,
    0x6d400acd,0x6c006fff,0x510bdfff,0x0159b07f,0x06fffda8,0x0006ff98,
    0x201dfff9,0xb805fffc,0x09bfffff,0x200375cc,0x00004fff,0x1dfff900,
    0x017fff20,0x1353bff3,0xbff70000,0x7fdc0000,0xffb80005,0xffb80005,
    0xffb80005,0xffb80005,0x7fc40005,0xf9800006,0xffb806ff,0x9ff50005,
    0xfffb8000,0xfffeffff,0xfff886ff,0xffecdeff,0xffb00fff,0xffdddfff,
    0x401dffff,0xfffffffb,0x86fffffe,0xdefffff8,0x0fffffec,0xdfffffb0,
    0xffffffdd,0xff88001d,0xffffffff,0x7fffec0f,0xffffeeef,0xfa800eff,
    0xf88000ff,0xecdeffff,0x000fffff,0xfffffff7,0x0dfffffd,0x004fff80,
    0xfff10000,0xffd9bdff,0xfb801fff,0xd800002f,0x200002ff,0x80002ffd,
    0x80002ffd,0x80002ffd,0x80002ffd,0x40002ffd,0x00004ff9,0x0bffffb2,
    0x000bff60,0x0001ffdc,0x7fffff4c,0x06ffffff,0xffffffb1,0x401bffff,
    0xfffffffd,0x0dffffff,0xffffe980,0x6fffffff,0xfffffb10,0x01bfffff,
    0x7fffffec,0xdfffffff,0xffd30000,0x1dffffff,0xffffffd8,0xdfffffff,
    0x3fffa000,0x362000dd,0xffffffff,0x4c000dff,0xfffffffe,0xfc86ffff,
    0xffffffff,0x04ffffff,0xffd88000,0xffffffff,0x0ffe800d,0xfff80000,
    0x3fe00000,0xff80000f,0xff80000f,0xff80000f,0xff80000f,0x7d40000f,
    0x3a00003f,0xf003ffff,0x320001ff,0x200001ff,0xeffffecb,0x754009bd,
    0x2effffff,0xffffda80,0x0cffffff,0xffecb800,0x009bdeff,0x7fffff54,
    0xfda802ef,0xffffffff,0x700000cf,0x05bffffd,0x3fffff6a,0x00cfffff,
    0xfffffa80,0xffea8000,0x002effff,0x7fff65c0,0xc809bdef,0xffffffff,
    0x4fffffff,0x3aa00000,0x2effffff,0x00bff100,0x0dff1000,0x37fc4000,
    0x37fc4000,0x37fc4000,0x37fc4000,0x37fc4000,0x17fdc000,0xbffd0000,
    0x1bfe2001,0x00eec800,0x02660000,0x01331000,0x9aa99800,0x99800001,
    0x4cc40000,0x54cc0000,0x0000019a,0x99800088,0x000019aa,0x00033326,
    0x00013310,0x8004cc00,0xfffffffc,0xffffffff,0x10000004,0x51000133,
    0x20000035,0x40000099,0x30000099,0x26000013,0x33000009,0x26600001,
    0x00000000,0x40002600,0x00000099,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x54000000,0x0055502a,0x0000ccc0,
    0x000cedb8,0x00ccc400,0x009a8800,0x33310000,0x01333301,0x00040088,
    0x55440d54,0x26666601,0x99999999,0x4cc40009,0x33310001,0x00026620,
    0x00003331,0x0004cccc,0x33333331,0x33333333,0x33310000,0x26200003,
    0x04400199,0x33100020,0x40000033,0x80001998,0x988002ca,0x00000199,
    0x00cccc40,0x00026a20,0xf900054c,0x04ff983f,0xefffe880,0x3ff60000,
    0x00002fff,0x00bffff3,0x7ffff4c0,0x50004d83,0xffb0bfff,0x2ffc809f,
    0x4003ffb0,0x7fdc0ffe,0x3ffffe02,0xffffffff,0x3fe6006f,0xe88005ff,
    0x77fe45ff,0x3ffe6000,0xfa80005f,0x32007fff,0xffffffff,0x0fffffff,
    0x3ffe6000,0xf980003f,0x32003fff,0x3ffb02ff,0x3fffa200,0xf9800005,
    0x20005fff,0x4003fffb,0x005fffe8,0xfff30000,0x3fa6007f,0x04d83fff,
    0x2005fffb,0xebabeffb,0x744002ff,0x00efffff,0xd9bffa80,0xf980007f,
    0x005fffff,0xffffff88,0x1ffebbef,0x2fffcc00,0x201fffec,0xfa87fff8,
    0x3f2005ff,0xfffcabef,0x3ffffe01,0xffffffff,0xfff5006f,0x8001bfff,
    0xfeaeffe8,0x3e6000ef,0x005fffff,0x7ffffe40,0xffff9002,0xffffffff,
    0x20001fff,0x001efff9,0x1efff980,0x1fffe200,0x0017ffea,0x000bfff9,
    0x7ffffcc0,0xfff0005f,0x3f2000ff,0x000005ff,0x00f7ffcc,0xffffff88,
    0x1ffebbef,0x07ffffdc,0xfffffd80,0x7cc005ff,0xfffd9dff,0x127e4001,
    0x540003ff,0xffe9cfff,0x3ff6000e,0xfffffb9b,0x7cc003ff,0xfffd84ff,
    0x0dfff001,0x4009fff3,0xffffffe8,0x7fffc04f,0xeeeeeeee,0xffa805ee,
    0x0effe9bf,0x7ffec400,0x2a000dff,0xffe9cfff,0xfff0000e,0x2e009fff,
    0xffeeeeee,0x0eeeeeef,0xdfff9800,0xff980000,0xff8000df,0x4fff986f,
    0x5fffa800,0xfffa8000,0x00effe9c,0x037fffc0,0x0bfff500,0x3fe60000,
    0x3f6000df,0xffffb9bf,0xffd83fff,0x32001fff,0x004fffff,0x2e1fffcc,
    0x32001fff,0x003fe24f,0x117ffdc0,0x2001dffb,0x7fe441d8,0x744003ef,
    0xeffd84ff,0x07faa000,0x200077e4,0x2effffc8,0x004fff80,0x87ffee00,
    0x000effd8,0x005fffd8,0xb117ffdc,0xa8001dff,0x07ffdfff,0x03ffdc00,
    0x7fff3000,0x3fe60000,0x3aa0003f,0x01df901f,0x17ffa200,0x2fffb800,
    0x003bff62,0x002fffb8,0x02fff440,0x3ffe6000,0x41d88003,0x03efffc8,
    0x01fffff9,0x00033300,0xf5000000,0x00ffb57f,0x00000000,0x00000260,
    0x00000000,0x00266000,0x0004fff8,0x00000000,0x00000000,0x7d6ffe40,
    0x2e0001ff,0x000007ff,0x00000000,0x00000000,0x00000000,0x001a9800,
    0x00000000,0x26000000,0x7fffc400,0x00000004,0xfb000000,0x0003ffff,
    0x00000000,0x00000000,0x00000000,0x9fff0000,0x13310000,0x00000000,
    0x80000000,0xfff8bfff,0x3fee0004,0x00000007,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x65c40000,0x2e620002,0x200009aa,
    0x009aab98,0x019bb500,0xaba88000,0x2a200000,0x200000ab,0x8000aba8,
    0x4c000998,0x2a200099,0xfff000ab,0xffb00009,0x1000000b,0x44033553,
    0x4cc00099,0x7ffd4009,0x000fffb0,0x2003ffdc,0x4c000998,0x2a200099,
    0x200000ab,0x4000aba8,0x4c000998,0x33330099,0x33333333,0xb9880013,
    0x100009aa,0x88001575,0x26001999,0x19998819,0x00066600,0xffffdb80,
    0x003dffff,0xffffffb7,0x98007bff,0x80000999,0xfffffec8,0xc88000de,
    0xdefffffe,0xfec88000,0x00deffff,0x400bffd0,0x4402fff8,0xefffffec,
    0x13ffe00d,0x17ff6000,0x76d40000,0xdfffffff,0x002fff42,0xc805fff1,
    0x3ffee6ff,0xfff70001,0x05ffe800,0x00bffe20,0xfffffd91,0x910001bd,
    0xbdfffffd,0x0bffd001,0x817ffc40,0xffffffff,0x804fffff,0xffffffdb,
    0xc8803dff,0xdefffffe,0xffffc800,0x0fff8801,0x00ffffe4,0x0007ffc4,
    0x3ffff620,0xffffffff,0x3fff6200,0xffffffff,0xfff5000f,0xe98000ff,
    0xffffffff,0x3a6001ff,0xffffffff,0x3a6001ff,0xffffffff,0xffe801ff,
    0x3ffe2005,0x3fffa602,0x1fffffff,0x0009fff0,0x000bffb0,0xfffff900,
    0x8dffffff,0x22005ffe,0x7fc02fff,0x13ffe23f,0x03ffdc00,0x8017ffa0,
    0x2602fff8,0xfffffffe,0x26001fff,0xfffffffe,0x7f401fff,0x3fe2005f,
    0xfffff02f,0xffffffff,0x7ffec409,0xffffffff,0x3ffa600f,0xffffffff,
    0x7fffe401,0x0fff8805,0x02ffffe4,0x0007ffc4,0xffffff50,0xffffddbf,
    0x3fffea01,0xffeedfff,0xff9000ff,0x20005fff,0xcefffffb,0x02fffffe,
    0xefffffb8,0x2fffffec,0xfffffb80,0xfffffece,0x02fff402,0x205fff10,
    0xcefffffb,0x82fffffe,0x80004fff,0x00005ffd,0x3fffffa2,0x6ffffedf,
    0x1002fff4,0x7d405fff,0x3fff41ff,0x07ffb800,0x002fff40,0x2e05fff1,
    0xecefffff,0x802fffff,0xcefffffb,0x02fffffe,0x88017ffa,0xfff02fff,
    0xffffffff,0x3fea09ff,0xeedfffff,0xf700ffff,0xfd9dffff,0x6405ffff,
    0x401fffff,0x7e40fff8,0x4401ffff,0x70000fff,0x015dffff,0x3ee03f26,
    0x300aefff,0x3fe001f9,0x8004ffff,0x40bffff9,0x00ffffc8,0x02ffffe6,
    0x01ffff91,0x05ffffcc,0x03ffff22,0x2005ffe8,0xf982fff8,0x6440bfff,
    0x7fc0ffff,0xfd80004f,0xf100005f,0x2015dfff,0x2fff46da,0x05fff100,
    0x7dc37fe4,0xfb8001ff,0x7ff4007f,0x3ffe2005,0xbffff982,0x7fffe440,
    0x3fffe600,0x7ffe440b,0x0bffd00f,0x017ffc40,0x213ffe00,0x0aeffffb,
    0xf301f930,0xc8817fff,0xf900ffff,0x880bffff,0x7fe40fff,0x7c405fff,
    0xf88000ff,0x02004fff,0x013fffe2,0xfff50008,0xb000fffb,0xfc805fff,
    0x3ff604ff,0x7ffe402f,0x0bfff604,0x409fff90,0x22005ffe,0xffd82fff,
    0x7ffe402f,0x7fffffc4,0xffffffff,0x00bffb03,0x37fff600,0xffe81000,
    0x3ffe2005,0x213ffe02,0x8004fff8,0x74007ffb,0x3e2005ff,0xfffd82ff,
    0x27ffe402,0x805fffb0,0xfd04fffc,0x7fc400bf,0x7fc0002f,0x7fffc44f,
    0x7ec02004,0x7fe402ff,0xffff904f,0x7fc401ff,0x7fffe40f,0x3fe200ff,
    0xffc8000f,0xfc80003f,0x000003ff,0xfff5bff9,0x7ffcc003,0x1fffb003,
    0x007fff30,0x2603fff6,0xfb003fff,0x3ffa01ff,0x3ffe2005,0x01fffcc2,
    0x3e0fffd8,0xffffffff,0xb03fffff,0x30000bff,0x8000bfff,0x22005ffe,
    0xff502fff,0x1bffa03f,0x01ffee00,0x400bffd0,0x7cc2fff8,0xffb003ff,
    0x7fff301f,0x03fff600,0x88017ffa,0x40002fff,0x7fe44fff,0xf980003f,
    0xffb003ff,0xdbff901f,0x7fc409ff,0x76ffe40f,0x3fe204ff,0x7fcc000f,
    0xf980006f,0x000006ff,0x3fe2fffe,0x3ff6004f,0xfff5000f,0x01fffb07,
    0x20fffea0,0x5000fffd,0x3fa07fff,0x3fe2005f,0x07ffec2f,0x23fffa80,
    0xffffffff,0x03ffffff,0x5530bffb,0x3fffb003,0x5ffe8000,0x0bffe200,
    0xf903ffe4,0xfb8003ff,0x7ff4007f,0x3ffe2005,0x007ffec2,0xd83fffa8,
    0xf5000fff,0xbffd07ff,0x17ffc400,0x93ffe000,0x0006fff9,0x001fffb0,
    0x320fffea,0x0fffbdff,0xc81fff10,0x0fffbdff,0x001fff10,0x001fffd8,
    0x01fffd80,0xfff50000,0x401fff61,0x2005fff8,0x7c46fff8,0x3e2005ff,
    0x7ffc46ff,0x3ffe2005,0x00bffd06,0xf117ffc4,0x7c400bff,0x13ffe6ff,
    0x93ff6000,0x3ffffffb,0x00bfff30,0x00bffd00,0xf817ffc4,0x3fe604ff,
    0x7fdc004f,0x2fff4007,0x45fff100,0x2005fff8,0x7c46fff8,0x3e2005ff,
    0x5ffe86ff,0x0bffe200,0x49fff000,0x0001fffd,0x005fff88,0x321bffe2,
    0x09fff5ff,0xf903ffe2,0x413ffebf,0x3220fff8,0x0bfff03d,0x17ffe000,
    0xffc80000,0x007ffee6,0x000bffe6,0xff98fffb,0x7fec002f,0x017ffcc7,
    0x741fff60,0x3e2005ff,0x3ffe62ff,0x3ffec002,0x00009fff,0xffb19ffb,
    0x0bffffff,0x0003fff7,0x400bffd0,0xf982fff8,0x7ffc02ff,0x3ffdc006,
    0x017ffa00,0x262fff88,0x6c002fff,0x7ffcc7ff,0x3ffec002,0x1002fff4,
    0x80005fff,0x3ffe4fff,0xff300005,0xffd8005f,0xf95ffc87,0xfff101ff,
    0xf95ffc81,0xfff101ff,0x13fffe21,0x0007fff1,0x007fff10,0x1fffc000,
    0x5009fff1,0xc8001fff,0x7ffd47ff,0x3ffe4000,0x0003ffea,0x3fa0fff9,
    0x3fe2005f,0x03ffea2f,0x7cfff900,0xd80004ff,0xdfffecff,0x42fffffc,
    0x00007ffc,0x4400bffd,0xffc82fff,0x1fffc807,0x01ffee00,0x400bffd0,
    0x3ea2fff8,0x7e4000ff,0x07ffd47f,0x21fff200,0x22005ffe,0x40002fff,
    0xfff14fff,0x3ea00007,0x7e4000ff,0x15ffc87f,0xff107fff,0x15ffc81f,
    0xff107fff,0x3ffff21f,0x0bffe60f,0x3ffe6000,0xf5000002,0x7ffe83ff,
    0x007ffb80,0x2e0fffb8,0xfb8007ff,0x1ffee0ff,0x03ffee00,0x88017ffa,
    0x3fee2fff,0xfffb8007,0x0009fff0,0xbfffffb0,0x46fffb81,0x00007ffd,
    0x4400bffd,0xfff82fff,0xeeeeeeef,0x003fffee,0xd001ffee,0x7c400bff,
    0x1ffee2ff,0x83ffee00,0xb8007ffb,0x7ff40fff,0x3ffe2005,0x7ffc0002,
    0x005fff34,0x01ffee00,0x903ffee0,0x3ffecbff,0x3207ffc4,0x1fff65ff,
    0x7ec3ffe2,0x3ea1ffff,0x999501ff,0x2a199999,0x99501fff,0x01999999,
    0x7dc37fe4,0x7fe401ff,0xfffa8007,0x001fff21,0xfc87ffea,0xffa8007f,
    0x05ffe81f,0xc8bffe20,0xfa8007ff,0x09fff1ff,0xffffb000,0x23ffe409,
    0x00006ffe,0x4400bffd,0x7fcc2fff,0xffffffff,0x06ffffff,0x001ffee0,
    0x4400bffd,0x3ff22fff,0xfffa8007,0x001fff21,0xfd07ffea,0x7fc400bf,
    0x7fc0002f,0x03fff54f,0x3333332a,0x1fff20cc,0x07ffea00,0x7fccbff9,
    0x07ffc42f,0xff997ff2,0x87ffc42f,0x20fffffb,0xf900fffc,0x3fffffff,
    0x6403fff2,0xffffffff,0x213ffe01,0x6c04fff8,0xfa8006ff,0x1bff62ff,
    0x8bffea00,0xa8006ffd,0xffe82fff,0x3ffe2005,0x001bff62,0x7fcbffea,
    0xfd80004f,0x7fcc05ff,0x017ffe0f,0x02fff400,0xc85fff10,0xffffffff,
    0xffffffff,0xfff7001f,0x05ffe800,0xd8bffe20,0xfa8006ff,0x1bff62ff,
    0x0bffea00,0x4400bffd,0x40002fff,0xfff94fff,0x3ffff201,0x3f61ffff,
    0xffa8006f,0x22ffe42f,0x7fc46ffd,0x22ffe40f,0x7fc46ffd,0x0bfff60f,
    0x3201fff9,0xffffffff,0x201fff91,0xfffffffc,0x3fff501f,0xd01bffa0,
    0xf3000dff,0x37ff45ff,0x17ffcc00,0x3000dffd,0xffd05fff,0x7ffc400b,
    0x001bffa2,0x7fcbffe6,0xfd80004f,0xfff9806f,0x00bfff11,0x017ffa00,
    0x7c2fff88,0x99999dff,0xffa99999,0xfff7003f,0x05ffe800,0xe8bffe20,
    0xf98006ff,0x1bffa2ff,0x0bffe600,0x4400bffd,0x40002fff,0xfff94fff,
    0x3ffff201,0x3fa1ffff,0xff98006f,0x22ffe42f,0x3e22fffa,0x2ffe40ff,
    0xf88bffea,0x4054c0ff,0x5301fffb,0x3fff9555,0x4c07ffee,0xfffcaaaa,
    0x40fff901,0x3601fffc,0xfa8007ff,0x1fff61ff,0x87ffea00,0xa8007ffd,
    0xffe81fff,0x3ffe2005,0x001fff62,0x7fc7ffea,0xfd80004f,0xfff8805f,
    0x001bffe2,0x002fff40,0x7cc5fff1,0x7fc002ff,0xfff7006f,0x05ffe800,
    0xd8bffe20,0xfa8007ff,0x1fff61ff,0x07ffea00,0x4400bffd,0x40002fff,
    0xfff74fff,0x2aaaa603,0x3f61fffc,0xffa8007f,0x42ffe41f,0x3fe26ffe,
    0x42ffe40f,0x3fe26ffe,0x3fea000f,0x3fe6002f,0x05fff51f,0x80fffcc0,
    0x3e604fff,0x3ff204ff,0x7ffb8007,0x4003ffe4,0x7fe47ffb,0x7ffb8007,
    0x400bffd0,0x3f22fff8,0xffb8007f,0x0013ffe7,0x2017ff60,0x3fa2fff8,
    0xfd00006f,0x7fc400bf,0x01fff22f,0x003fff20,0xd001ffee,0x7c400bff,
    0x1fff22ff,0x91ffee00,0xf7000fff,0x0bffd0ff,0x017ffc40,0x553ffe00,
    0x26002fff,0x3ff21fff,0x7ffb8007,0xfa85ffc8,0x1fff12ff,0xfa85ffc8,
    0x1fff12ff,0x2604cccc,0x26002fff,0xfff31fff,0x7ffcc005,0x02fff981,
    0xf7037ffc,0xfc8001ff,0x07ffdc7f,0x71fff200,0xc8001fff,0xbffd07ff,
    0x17ffc400,0x8001fff7,0x3ffe7ffc,0xffffffff,0xffb06fff,0x5fff100b,
    0x0003ffec,0x2005ffe8,0x3fe2fff8,0xffa8005f,0x3ffff23f,0xffffffff,
    0xffe80fff,0x3ffe2005,0x003ffee2,0xfb8fff90,0x7e4000ff,0x05ffe87f,
    0x00bffe20,0x269fff00,0x26002fff,0x3fee1fff,0x7fe4000f,0xd05ffc87,
    0x3ffe2bff,0xe82ffe40,0x1fff15ff,0x221ffffc,0x26004fff,0xfff11fff,
    0x7ffcc009,0x807ffc81,0xf501fffc,0xfe8005ff,0x17ffd45f,0x517ffa00,
    0xe8005fff,0xbffb05ff,0x0fffcc00,0x8005fff5,0x3ffe5ffe,0xffffffff,
    0xffb06fff,0x5fff100b,0x000fffe4,0x002ffec0,0x3e63fff3,0xff0002ff,
    0x7fffe4df,0xffffffff,0xffd80fff,0x3ffe6005,0x00bffea1,0xfa8bffd0,
    0x7f4002ff,0x05ffd85f,0x007ffe60,0x229fff00,0x26004fff,0x3fea1fff,
    0x7ff4002f,0x705ffc85,0xfff13fff,0x705ffc81,0xfff13fff,0x41ffff41,
    0x3000ffff,0x7ffc3fff,0xfff3000f,0xddffff03,0xfddddddd,0x3fe607ff,
    0x3fe2005f,0x2fffcc4f,0x89fff100,0x2005fff9,0xfb04fff8,0x7fd400df,
    0x17ffe60f,0x24fff880,0xffffffff,0x06ffffff,0xf100bffb,0x7ffdc5ff,
    0xffd80005,0x3ffea006,0x001fff90,0x643fff60,0xffffffff,0x0fffffff,
    0x2006ffd8,0x3e60fffa,0x3e2005ff,0x7ffcc4ff,0x3ffe2005,0x006ffd84,
    0x0003ffea,0x3e3fff88,0xf3000fff,0x7ffcc3ff,0x3ffe2005,0x205ffc84,
    0xfff8cfff,0xf02ffe40,0x1fff19ff,0x5c17fff4,0xf3004fff,0x7ffdc3ff,
    0x3fff3004,0xffffff98,0xffffffff,0x3ffa06ff,0x3ffee007,0x007ffe81,
    0x3a07ffee,0x3ee007ff,0xfff701ff,0x43ffdc00,0x2e007ffe,0x90001fff,
    0x3ff607ff,0x2fff8805,0x003fffe2,0x00fff700,0x0003ffdc,0x003ffa20,
    0x704ffb80,0x7dc00fff,0x07ffe87f,0x207ffee0,0x2e007ffe,0xffb81fff,
    0x1ffee007,0x5fff3000,0x8027ffdc,0x7f41fff9,0x3fee007f,0x05ffc81f,
    0x3fe7ffee,0x02ffe40f,0xfff3fff7,0x817ffec1,0x9800ffff,0x7ffc1fff,
    0xfff9800f,0x7ffffe41,0xffffffff,0xf701ffff,0xff1007ff,0x3ffee0bf,
    0x5fff8803,0x007fff70,0x540bfff1,0xfd002fff,0x7fff70df,0x0bfff100,
    0x813fee00,0xf8805ffd,0x7ffe42ff,0x7fd40005,0xdffd002f,0xffe80000,
    0x3fea0001,0x0bffea05,0x5c37ff40,0xf8803fff,0xfff705ff,0xbfff1007,
    0x00bffea0,0x00037ff4,0xff03ffee,0xff3001ff,0x3fffb83f,0x05fff880,
    0x7c40bff9,0x40fffcff,0x3e205ffc,0x20fffcff,0xf501fffd,0xf9805fff,
    0x7ffd41ff,0x7ffcc02f,0x4cefffc1,0x99999999,0x3e03fffa,0x3a202fff,
    0x3fe01fff,0x3fa202ff,0x3ffe01ff,0x3ffa202f,0x3ffe201f,0x2fffb806,
    0x405ffff0,0x001fffe8,0x6c07ff88,0xff8805ff,0x7fffc42f,0xf881000e,
    0xffb806ff,0x2e00002f,0x740004ff,0x3fe201ff,0xfffb806f,0x05ffff02,
    0x00ffff44,0x4405ffff,0xf101fffe,0xff700dff,0x100a605f,0xff50dfff,
    0xff9805ff,0x2ffff81f,0x07fffa20,0x3202ffe4,0x40ffffff,0x7e405ffc,
    0x320fffff,0x3fa01fff,0xa80acfff,0xffe81fff,0xfa80acff,0x3ffe61ff,
    0x37ffc002,0x37ffff90,0x27fff544,0x2fffff20,0x3fffaa21,0x7fffe404,
    0x3ffaa21b,0xfffc804f,0xbfff900e,0x5ffffe40,0x3fffaa21,0xbff70004,
    0x805ffd80,0xfb82fff8,0x409bffff,0xffc86eb9,0xfff900ef,0xfe80000b,
    0x3e60002f,0xfffc806f,0xbfff900e,0x5ffffe40,0x3fffaa21,0x7fffe404,
    0x3ffaa21b,0x7ffe404f,0xbfff900e,0x20577d40,0xd02fffea,0x0159ffff,
    0xf903fff5,0x54437fff,0x3204fffe,0x7fc405ff,0x7e40ffff,0x7ffc405f,
    0x3ff20fff,0x3ff6200f,0xfeefffff,0xd881ffff,0xefffffff,0x21fffffe,
    0xc8007ffc,0x3f200fff,0xffefffff,0xc800dfff,0xfeffffff,0x800dffff,
    0xeffffffc,0x00dfffff,0xefffff88,0xfffffecd,0x7fffe400,0xfffffeff,
    0xff70000d,0x05ffd80d,0x702fff88,0xdfffffff,0x10dfffff,0x9bdfffff,
    0x01fffffd,0x4ffe8000,0x3ffea000,0x7fffc400,0xfffecdef,0x7fe400ff,
    0xfffeffff,0xfc800dff,0xffefffff,0x4400dfff,0xcdefffff,0x00fffffe,
    0x3bffffea,0x205fffff,0xffffffd8,0xfffffeef,0xfffff901,0xbfffffdf,
    0x02ffe401,0x07ffffec,0x36017ff2,0x2e0fffff,0xfb800fff,0xffffffff,
    0x2e01ffff,0xffffffff,0x3e1fffff,0xfa8005ff,0x7fdc03ff,0xffffffff,
    0x7ffdc003,0x3fffffff,0x7fffdc00,0x03ffffff,0x7fffec40,0x0dffffff,
    0xfffff700,0x007fffff,0xdffff880,0x805ffd85,0x2602fff8,0xfffffffe,
    0xb106ffff,0xffffffff,0x00001bff,0x79dfff70,0xbfffd000,0x3ff6201b,
    0xffffffff,0xfff7000d,0x7fffffff,0xffffb800,0x03ffffff,0x3ffff620,
    0x0dffffff,0x7ffffd40,0x003fffff,0xfffffff7,0x03ffffff,0x7fffffdc,
    0xc803ffff,0xff9805ff,0x7fe40fff,0xffff9805,0x01ffee0f,0xffffdc88,
    0x800bdfff,0xfffffdc8,0x3e60bdff,0xff0002ff,0xfd9300df,0x003bdfff,
    0x3fffb260,0x30001def,0xbdffffd9,0x7f540003,0x02efffff,0xfffec980,
    0x00001def,0xb0fffff9,0xff100bff,0xfd97005f,0x137bdfff,0xffffea80,
    0x00002eff,0x27ffff40,0x7fffd400,0x7ff5400f,0x002effff,0xffffec98,
    0x930001de,0x3bdffffd,0x3ffaa000,0x002effff,0x3fffff26,0x644001de,
    0xfffffffd,0xec9800bd,0x01deffff,0x200bff90,0x640ffffd,0xffb005ff,
    0x0ccc41ff,0x13531000,0x35310000,0x07ffe401,0x0fffd800,0x0004cc00,
    0x0004cc00,0x0004cc00,0x004cc400,0x00266000,0x66544000,0x805ffd84,
    0x8002fff8,0x44000099,0x00000099,0x01665c40,0x01999300,0x0004cc40,
    0x00026600,0x00026600,0x00133100,0x00133100,0x04d4c400,0x004cc000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x00004008,0x20003331,0x33300998,0x2aaa2001,0x2aaaaaaa,0x4cc40000,
    0x98800019,0x20000999,0x99999998,0x2aaaa201,0x02aaaaaa,0x00001331,
    0x00333100,0x00cccc40,0x4cc40000,0x01100001,0x99880008,0x20000019,
    0x000001cb,0x00033331,0x00666620,0x00033310,0x2aa206aa,0x01331001,
    0x00002666,0x000cccc4,0x00066620,0x0009a880,0x3202fff8,0x3ffb02ff,
    0xffff9800,0xfff98005,0x017ff623,0xffffffa8,0x0007ffff,0x0ffffe60,
    0xfffd1000,0xfec98009,0xffffffff,0x3fffea07,0x07ffffff,0x0000dff7,
    0x5ffff980,0xfffd1000,0x4c00000b,0x0005ffff,0xfd817fe4,0x3fa2001f,
    0x800005ff,0x0001fffd,0x1ffffcc0,0x7ffcc000,0x3fe6003f,0xfe8005ff,
    0x017fdc0f,0x223fff98,0x00005ffd,0x007ffff3,0x2ffffcc0,0x3ffa6000,
    0x984d83ff,0x3fe207ff,0x5fffa87f,0x3fffe600,0xf98005ff,0x5fffadff,
    0x7fffd400,0x07ffffff,0xdfff3000,0xfe880003,0x366002ff,0xffffffff,
    0x2a07ffff,0xffffffff,0xfff107ff,0x26000003,0x05ffffff,0x17fff200,
    0x3fe60000,0x0005ffff,0xf50ffff1,0xf9000bff,0x40000bff,0x005ffff8,
    0x3bffe600,0xff980001,0x3e6001ef,0x005fffff,0x655f7fe4,0x26001fff,
    0xfffadfff,0xff300005,0x4c0003df,0x05ffffff,0xfffff100,0xffd77dff,
    0x405ffb83,0xff986fff,0xfff5004f,0x01dffd39,0xffffe880,0xaa88004f,
    0xaaaaaaaa,0xff980002,0x440000df,0x2001effe,0xfffffffb,0x7ffecccf,
    0x2aaaaa20,0x202aaaaa,0x00005ffc,0xe9cfffa8,0x50000eff,0x0000bfff,
    0x74e7ffd4,0xf8000eff,0xfff986ff,0xfff50004,0x3e20000b,0x00005fff,
    0x001bfff3,0x1bfff300,0x67ffd400,0x000effe9,0xffffffd1,0xfd10009f,
    0x0009ffff,0x037ffe60,0xcfffa800,0x000effe9,0x7dcdffec,0x83ffffff,
    0x75403ffd,0x01df901f,0x445fff70,0x4000effd,0x004fffe8,0x80000000,
    0x0003fff9,0x004ffe88,0x7fffffcc,0x3fee0fff,0x98000007,0x00000fff,
    0xd88bffee,0x10000eff,0x0000bffd,0x6c45fff7,0x54000eff,0x1df901fe,
    0x7ff44000,0xff900005,0xf300003f,0x200007ff,0x4003fff9,0x3622fffb,
    0x91000eff,0x005dffff,0x27fff440,0xfff98000,0x7fdc0003,0x3bff622f,
    0x10762000,0x207dfff9,0x00001ffe,0x00000000,0x00000000,0x00000000,
    0x7f400000,0xffffffff,0x001ffee0,0x1ffec000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0002aa00,0x00000000,0x00000000,0x00002660,
    0x00000000,0x00000000,0x44013000,0x000006ff,0x00000000,0xa8800000,
    0x000000ab,0x00000000,0x3fffffe6,0x3ee0ffff,0x004cc47f,0xf5026660,
    0x000000ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4c400000,0x99999999,
    0x10199999,0x33333333,0x03333333,0x40033331,0xec880199,0x0defffff,
    0x33333100,0x33333333,0x4ccc4033,0xb8001999,0xffffffff,0x1ffee0ff,
    0x4400bffd,0xfff82fff,0x03330002,0x004cc400,0x00133330,0x0004cccc,
    0x33099988,0x22000133,0x99880999,0x99999999,0x31019999,0x33333333,
    0x10333333,0x33333333,0x33333333,0x4ccccc03,0x99999999,0x33333009,
    0x33333333,0x33331013,0x33333333,0x33330333,0x33333333,0x01333333,
    0x004cccc0,0x26666000,0x33310000,0x33333333,0x90003333,0xffffffff,
    0x1fffffff,0xffffff90,0xffffffff,0xffffc81f,0x0fff8801,0x3ffffa60,
    0x01ffffff,0xffffffc8,0xffffffff,0xffff900f,0x17ddffff,0xfffffd80,
    0x2e0fffff,0x2fff47ff,0x05fff100,0x2000bff7,0x90001fff,0x3ea009ff,
    0x32007fff,0xd0004fff,0x3ff21fff,0xffd0004f,0xffff901f,0xffffffff,
    0xff901fff,0xffffffff,0xa81fffff,0xffffffff,0xffffffff,0x3ffffe07,
    0xffffffff,0xfffff06f,0xffffffff,0xffff90df,0xffffffff,0x7fcc1fff,
    0xffffffff,0xffffffff,0xffff5006,0x7d40000f,0x90007fff,0xffffffff,
    0x1fffffff,0xffffc800,0xffffffff,0xffc80fff,0xffffffff,0x640fffff,
    0x8805ffff,0xff700fff,0xffd9dfff,0xfc805fff,0xffffffff,0x00ffffff,
    0xfffffff9,0x407fffff,0xfffffffd,0x3fee0fff,0x002fff47,0xf105fff1,
    0xff0003ff,0x3f20005f,0xfff9003f,0x3e2005ff,0x54001fff,0x3fe24fff,
    0x7d4001ff,0xfff904ff,0xffffffff,0xf901ffff,0xffffffff,0x81ffffff,
    0xfffffffa,0xffffffff,0x3fffe07f,0xffffffff,0xffff06ff,0xffffffff,
    0xfff90dff,0xffffffff,0x7cc1ffff,0xffffffff,0xffffffff,0xfff9006f,
    0x200005ff,0x02fffffc,0xfffffc80,0xffffffff,0x75c000ff,0xfffeeeee,
    0x80eeeeee,0xfeeeeeeb,0xeeeeeeff,0x7ffffe40,0x07ffc401,0x05ffffcc,
    0x03ffff22,0xeeeeeeb8,0xeeeeefff,0xdfff900e,0xfffffddd,0x3fff207f,
    0x0fffffff,0xffd1ffee,0x7ffc400b,0x009ffb02,0x0005ffd0,0x7c00fff6,
    0x004fffff,0x0017ffee,0xfb81fffd,0x7f4005ff,0xddd700ff,0xddfffddd,
    0xd701dddd,0xfffddddd,0x81dddddd,0xfffffffa,0xffffffff,0x3fffe07f,
    0xeeeeeeee,0xffff05ee,0xdddddddd,0xddd70bdd,0xddfffddd,0x74c1dddd,
    0xfeeeeeee,0xeeeeeeff,0xffff004e,0x200009ff,0x04ffffff,0xeeeeeb80,
    0xeeeefffe,0x700000ee,0x20000fff,0x32007ffb,0x405fffff,0xfd80fff8,
    0x7fe402ff,0xffb8004f,0x7ffc8007,0x3ffff910,0xffffff50,0x7dc1ffff,
    0x02fff47f,0x205fff10,0x4000fff9,0xb0003ffe,0xff5005ff,0x800fffbf,
    0x7001fffe,0x3fa07fff,0xff7001ff,0xff70007f,0x3ee0000f,0x4000007f,
    0x3e03fffc,0xf80004ff,0x000004ff,0x0000fff7,0x0001ffee,0x3ff7ffea,
    0xffa80007,0x0007ffdf,0x001ffee0,0x1ffee000,0x3ffdc000,0xfffff900,
    0x7ffc401f,0x01fffcc0,0x000fffd8,0x4003ffdc,0x7dc07ffc,0xfff884ff,
    0x0fffffff,0xffd1ffee,0x7ffc400b,0x00fffa02,0x0007ffb0,0x3200bff6,
    0x1fffadff,0x1bffea00,0x5037ffc0,0x3e00dfff,0xf70006ff,0x2e0000ff,
    0x000007ff,0xf017ffe6,0xf00009ff,0x000009ff,0x0001ffee,0x0003ffdc,
    0x7fd6ffe4,0x7e40001f,0x01fffadf,0x0fff7000,0xff700000,0x3ee0000f,
    0x3ff2007f,0x2204ffed,0x7fec0fff,0xfff5000f,0x7ffb8007,0x07ffc800,
    0xf706fff8,0xffffffff,0x3a3ffdc1,0x3e2005ff,0x3fea02ff,0x27fec006,
    0x01ffe800,0xff8bfff8,0x7ff4004f,0x7ffdc02f,0x17fff402,0x00bffee0,
    0x003ffdc0,0x007ffb80,0x3fffa000,0x027ffc00,0x027ffc00,0x7ffb8000,
    0xfff70000,0x7fff0000,0x0009fff1,0xff8bfff8,0xf700004f,0x000000ff,
    0x0000fff7,0xc801ffee,0x0fffbdff,0x441fff10,0x22005fff,0x5c006fff,
    0xfc8007ff,0x7ffd807f,0x3fffffa0,0x3fee0fff,0x002fff47,0xf805fff1,
    0x3f2002ff,0xffd0004f,0x0fffa803,0x9800fffb,0x3e206fff,0xff9805ff,
    0x3ffe206f,0x3fee0005,0xff700007,0x3200000f,0xff803fff,0xff80004f,
    0x7000004f,0x20000fff,0x40007ffb,0xffb0fffa,0x7fd4000f,0x00fffb0f,
    0x01ffee00,0x3fee0000,0xff700007,0xaffe400f,0xff104fff,0x17ffcc1f,
    0x01fff600,0x000fff70,0xfb00fff9,0x7fe440ff,0x2e0fffff,0x2fff47ff,
    0x05fff100,0x2005ffc8,0xf0004ffc,0xffc801ff,0x007ffee6,0x207fffb0,
    0xb001fffc,0x3f207fff,0x2e0001ff,0x700007ff,0x00000fff,0x200bfff3,
    0x80004fff,0x00004fff,0x000fff70,0x001ffee0,0x7dcdff90,0xf90001ff,
    0x0fffdcdf,0x3ffdc000,0x7dc00000,0xf700007f,0x7fe400ff,0x101fff95,
    0x7fd41fff,0x7fe4000f,0x3ffdc007,0x03ffe400,0x4402fffc,0x20fffffd,
    0x7ff47ffb,0x3ffe2005,0x07ffc402,0x505ffb80,0x03ffe035,0x7c47fff0,
    0x7c4004ff,0x7fc40fff,0x3fe2004f,0x7ffc40ff,0x7fdc0004,0xff700007,
    0xfd00000f,0x3fe001ff,0xff80004f,0x7000004f,0x20000fff,0x40007ffb,
    0x3fe23fff,0xfff0004f,0x027ffc47,0x03ffdc00,0x7fdc0000,0xff700007,
    0xaffe400f,0xf883fff8,0x1ffee0ff,0x03ffee00,0x007ffb80,0x5c07ffc8,
    0x44003fff,0x3ffdc3a9,0x88017ffa,0xfd802fff,0xbff7004f,0x3e0bff30,
    0x7ffd407f,0x003fff41,0x321fffe4,0x64000fff,0x7fe43fff,0x7dc0000f,
    0xf700007f,0xc80000ff,0x3e003fff,0xf80004ff,0x000004ff,0x0000fff7,
    0x8001ffee,0x7f41fffa,0xffa8007f,0x03fff41f,0x03ffdc00,0x7fdc0000,
    0xff700007,0x2ffe400f,0xff10fffb,0x03ffe41f,0x00fffd40,0x000fff70,
    0x7dc0fff9,0x400006ff,0x7ff47ffb,0x3ffe2005,0x07ffa802,0xf90dff50,
    0x7ff881ff,0x5c37fe40,0x44001fff,0xff10ffff,0xff10007f,0x3ffe21ff,
    0xffb80003,0xff700007,0x7cc0000f,0x7fc006ff,0xff80004f,0x7000004f,
    0x20000fff,0x20007ffb,0xffb86ffc,0x7fe4001f,0x01fffb86,0x03ffdc00,
    0x7fdc0000,0xff700007,0x2ffe400f,0xf885fff3,0x1bff60ff,0x0bffea00,
    0x007ffb80,0xcccfffc8,0x0effffdc,0x7fdc0000,0x002fff47,0x2005fff1,
    0xf9802ffe,0x3fffe86f,0x3e037fc4,0xfff884ff,0xfffb8004,0x001fff94,
    0x653ffee0,0x80000fff,0x00007ffb,0x0000fff7,0x0007fff4,0x3ffffffe,
    0x3fffffff,0xfffffff0,0x7fffffff,0x03ffdc00,0x07ffb800,0x213ffe00,
    0x4004fff8,0xff884fff,0x7dc0004f,0x8000007f,0x00007ffb,0x6400fff7,
    0x37fec5ff,0xfe83ffe2,0xff98006f,0x3fee002f,0xfffc8007,0xffffffff,
    0xb800000d,0x2fff47ff,0x05fff100,0x201bfee0,0x7fcc7ff9,0x37fcc5ff,
    0x203fff50,0xd0006ffe,0x5fff3fff,0xfffe8000,0x0002fff9,0x000fff70,
    0x001ffee0,0x01fffdc0,0x7fffffc0,0xffffffff,0xffffff03,0xffffffff,
    0x3ffdc007,0x7ffb8000,0x3fff5000,0x801bffa0,0xfd01fffa,0xfb8000df,
    0x8000007f,0x00007ffb,0x6400fff7,0x7ffd45ff,0xd83ffe22,0xfa8007ff,
    0x3ee001ff,0xffc8007f,0xefffffff,0x2e000000,0x2fff47ff,0x05fff100,
    0x007ffe20,0xffb8fff1,0x3fe60fff,0x81fff205,0x8001fffc,0x6ffffffa,
    0xfffa8000,0x00006fff,0x0001ffee,0x0003ffdc,0x0037ffcc,0xfffffff8,
    0x3fffffff,0xfffffff0,0x7fffffff,0x03ffdc00,0x07ffb800,0x40fff900,
    0x9001fffc,0x7fe40fff,0x3ee0001f,0x8000007f,0x00007ffb,0x6400fff7,
    0x6ffe85ff,0xfc83ffe2,0xffb8007f,0x3ffdc007,0x57ffe400,0x0dfffdaa,
    0xff700000,0x005ffe8f,0x800bffe2,0x7c404ffc,0x7e77f47f,0x817fea3f,
    0x3e604fff,0xfb0004ff,0x0003ffff,0x3fffff60,0x3ee00001,0xf700007f,
    0xfd0000ff,0x3e0001ff,0xf80004ff,0x000004ff,0x0000fff7,0x4001ffee,
    0x3e604fff,0xfff004ff,0x27ffcc09,0x0fff7000,0xff700000,0x3ee0000f,
    0x3ff2007f,0x12fffa85,0x7fdc1fff,0x7fe4000f,0x3ffdc007,0x43ffe400,
    0x0005fffa,0xe8fff700,0x3e2005ff,0x3e6002ff,0x7ffc00ff,0xff59ff30,
    0x9827fd4d,0x7fc02fff,0xff30006f,0x40000bff,0x005ffff9,0x03ffdc00,
    0x07ffb800,0x1fffdc00,0x09fff000,0x09fff000,0x3fee0000,0xff700007,
    0xfff3000f,0x06fff805,0x402fff98,0x20006fff,0x00007ffb,0x007ffb80,
    0x00fff700,0xfe82ffe4,0x41fff15f,0x4002fffa,0x5c005ffe,0xfc8007ff,
    0x5fff707f,0xff700000,0x005ffd8f,0x0007ffe6,0xff807ffd,0xf13ff70f,
    0x13fee1ff,0x6403ffe4,0x90001fff,0x00003fff,0x001fffc8,0x03ffdc00,
    0x07ffb800,0x1bffe600,0x09fff000,0x09fff000,0x3fee0000,0xff700007,
    0xfff9000f,0x03fff900,0xc807ffc8,0x70001fff,0x00000fff,0x000fff70,
    0x801ffee0,0xff705ffc,0x41fff13f,0x2005fff9,0x4004fff8,0xc8007ffb,
    0x3ffa07ff,0xfc800006,0x037fec6f,0x001fff50,0x7406ffa8,0x6cffd1ff,
    0x07ff73ff,0x3bbbfffe,0xffeeeeee,0xff70003f,0xf700000f,0x700000ff,
    0x20000fff,0x20007ffb,0x0000fffe,0x00027ffc,0x00027ffc,0x007ffb80,
    0x00fff700,0xdddffff0,0xffdddddd,0xffff807f,0xeeeeeeee,0x0003fffe,
    0x0000fff7,0x00fff700,0x01ffee00,0x3e05ffc8,0x0fff8cff,0x7003fff4,
    0xb8003fff,0xfc8007ff,0x3ffee07f,0x7ec00002,0x03ffdc5f,0x000fff70,
    0xfe80bffe,0x2a4ff8af,0x07ff76ff,0xfffffff3,0xffffffff,0x3ee000df,
    0xb800007f,0x800007ff,0x00007ffb,0x2000fff7,0x0003fffb,0x0004fff8,
    0x0004fff8,0x00fff700,0x01ffee00,0xffffff30,0xffffffff,0x7fcc0dff,
    0xffffffff,0x06ffffff,0x00fff700,0xfff70000,0x3fee0000,0x17ff2007,
    0xff9fffb8,0x1fffdc0f,0x02fffc40,0x003ffdc0,0xf103ffe4,0x80000dff,
    0x7fd43ffe,0xdffd002f,0x17fee000,0xffbaffd8,0x7e4fffc2,0xffffc82f,
    0xffffffff,0x001fffff,0x0007ffb8,0x007ffb80,0x07ffb800,0x0fff7000,
    0x0dfff100,0x13ffe000,0x13ffe000,0x7fdc0000,0xff700007,0xfffc800f,
    0xffffffff,0x01ffffff,0xfffffff9,0xffffffff,0xf70003ff,0x000000ff,
    0x0000fff7,0xc801ffee,0x3fe205ff,0xf80fffcf,0x3a202fff,0xb8001fff,
    0xfc8007ff,0x7ffdc07f,0xfa800802,0x7ffc42ff,0x2fffb806,0x3fff1000,
    0x3f6fff60,0xfccffc87,0x9dfff82f,0x99999999,0x003fffa9,0x0007ffb8,
    0x007ffb80,0x07ffb800,0x0fff7000,0x03fffd00,0x13ffe000,0x13ffe000,
    0x7fdc0000,0xff700007,0xdfff800f,0x99999999,0x03fffa99,0x3333bfff,
    0xf5333333,0xf70007ff,0x000000ff,0x0000fff7,0xc801ffee,0x7fe405ff,
    0xfc80ffff,0x2a21bfff,0x0004fffe,0x9000fff7,0xff880fff,0x067cc06f,
    0x906fff98,0x3201dfff,0x40005fff,0xff904ffd,0xff509ff9,0xf983ff9f,
    0x7fc002ff,0xffb8006f,0xfb800007,0xb800007f,0x700007ff,0xfb800fff,
    0x200003ff,0x80004fff,0x00004fff,0x000fff70,0x801ffee0,0x4002fff9,
    0xff986fff,0x7ffc002f,0x7ffb8006,0xfb800000,0xf700007f,0x7fe400ff,
    0x7fffc405,0xfff900ff,0xffffdfff,0x2e0001bf,0xfc8007ff,0xfffc807f,
    0xbfffd102,0xffffb757,0x3fffe203,0xfffecdef,0x4c0000ff,0xffb80fff,
    0xfff02fff,0xffc83fff,0xfffc8007,0x3ffdc000,0x7fdc0000,0xfb800007,
    0xf700007f,0x7fc400ff,0xaaaaaaff,0x0aaaaaaa,0x0009fff0,0x0009fff0,
    0x01ffee00,0x03ffdc00,0x000fff90,0xfc81fff9,0xffc8007f,0x7fdc000f,
    0x3f200007,0xffffffff,0x80ffffff,0xfffffffc,0xffffffff,0x402ffe40,
    0x00fffffd,0x3fffffee,0x9003ffff,0xffffffff,0x1fffffff,0x201fff20,
    0xb106fff8,0xffffffff,0xd8807fff,0xffffffff,0x00000dff,0xff707ffd,
    0x7fe40fff,0x7ffc0fff,0xfffa8005,0x3ffdc003,0x7fdc0000,0x3ff20007,
    0xffffffff,0xc80fffff,0xffffffff,0x0fffffff,0x7fffffec,0xffffffff,
    0xfff01fff,0xffffffff,0x3fe0dfff,0xffffffff,0xfc86ffff,0xffffffff,
    0x00ffffff,0x801ffee0,0xa8005fff,0x7ffc3fff,0xfffa8005,0xfffff903,
    0xffffffff,0xfc8001ff,0xffffffff,0x80ffffff,0xfffffffc,0xffffffff,
    0x402ffe40,0x00fffff9,0x7ffff64c,0x3f2001de,0xffffffff,0x00ffffff,
    0x3600fff9,0x3aa01fff,0xdfffffff,0x3ffaa000,0x002effff,0x437fdc00,
    0x205ffffa,0x20fffff9,0x0002fff9,0xb800dfff,0x800007ff,0x20007ffb,
    0xfffffffc,0xffffffff,0xfffffc80,0xffffffff,0x7ffec0ff,0xffffffff,
    0x01ffffff,0xffffffff,0x0dffffff,0x3ffffffe,0x6fffffff,0xffffffc8,
    0xffffffff,0x3fee000f,0x5fff3007,0x9bffe000,0x0002fff9,0x3f20dfff,
    0xffffffff,0x00ffffff,0x7ffffe40,0xffffffff,0xfffc80ff,0xffffffff,
    0x7e40ffff,0xfffb005f,0x0998001f,0xffff9000,0xffffffff,0x3f201fff,
    0xfff3007f,0x7975100b,0x98800015,0x40000009,0x7fd40aaa,0x7ffc02ff,
    0x07ffe47f,0x0fffd800,0x01ffee00,0x1ffee000,0xffffc800,0xffffffff,
    0xffc80fff,0xffffffff,0x6c0fffff,0xffffffff,0xffffffff,0xfffff01f,
    0xffffffff,0x3fffe0df,0xffffffff,0xfffc86ff,0xffffffff,0x2000ffff,
    0xf9007ffb,0x360001ff,0xfff90fff,0x3ff60001,0xffffc80f,0xffffffff,
    0x00000fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x000cccc4,
    0x0000e5c0,0x19aba988,0x03331000,0x804cc400,0x00000999,0x40000666,
    0x200aaaa9,0x33101998,0x22000001,0x10009999,0x00000801,0x00666620,
    0x00026a20,0x99988000,0x00998801,0x4c401333,0x10000199,0x31000801,
    0x02662033,0x2206aa00,0x970001aa,0x06aa0003,0x20006aa2,0xaaaaaaa8,
    0x88002aaa,0xaaaaaaaa,0x220002aa,0x00019aa9,0x3fffe600,0x7fec0003,
    0x3f20001f,0x4fffffff,0x7fffcc00,0xfff30005,0x02ffec47,0x0fff3000,
    0xffffb800,0x3fa203ff,0x077fe45f,0x7f440000,0xff9004ff,0x007ff605,
    0xffff5000,0x7ff4c007,0x004d83ff,0x3fffe600,0x3fff9803,0x1017ff62,
    0x000bfffd,0xfb02ffc8,0xffe8803f,0x0077fe45,0x2e07ff40,0xfd8002ff,
    0xfe8001ff,0x017fdc0f,0x7ffffd40,0x007fffff,0xffffffa8,0x4007ffff,
    0xfffffeda,0x00002dff,0x007bffe6,0xbffff100,0xffff3000,0x09ffffff,
    0x7ffffcc0,0xff30005f,0x0bfff5bf,0x4ffd8000,0xfffd1000,0x8807ffff,
    0xffeaeffe,0x8800000e,0x1002fffe,0xff50ffff,0x540000bf,0x2001efff,
    0xfffffff8,0x01ffebbe,0xefff9800,0x3ffe6001,0x005fffad,0x0017fff2,
    0x543fffc4,0xe8805fff,0xeffeaeff,0xdff90000,0x03fff957,0x5ffff880,
    0xbeffc800,0x001fffca,0xffffffa8,0x8007ffff,0xfffffffa,0x32007fff,
    0xffffffff,0x00006fff,0x001bfff3,0xbffff100,0xffff8800,0x4dbaaabd,
    0x39fff500,0x0001dffd,0x9fffffd1,0xff880000,0xff90000f,0x05b99dff,
    0xfffffb10,0x1000001b,0x8003dffd,0xff986fff,0xf500004f,0xd8001bff,
    0xfffb9bff,0x0003ffff,0x00dfff98,0xffffe880,0xffa8004f,0xfff0005f,
    0x09fff30d,0x3ffff620,0x220000df,0xfffffffe,0xfff88004,0xfe88005f,
    0x04ffffff,0x55555100,0x00555555,0x55555510,0x10055555,0xbffffffd,
    0x00dffffd,0x07fff300,0xfffc8000,0x7ffec001,0xffb80001,0x3bff622f,
    0xffe88000,0xb800004f,0xf30005ff,0x80003bff,0x0005fffd,0x09ffd100,
    0x407faa00,0x80000efc,0x5513fffa,0x883b1003,0x003efffc,0x03fff980,
    0x7fff4400,0x3fa20004,0xfea8005f,0x001df901,0x005fffd8,0xffff9100,
    0x7e40005d,0x910001ff,0x005dffff,0x00000000,0x3fe20000,0xb500aeff,
    0x0000000d,0x002aa000,0x0013ffe0,0x00000000,0x3e000000,0xf90002ff,
    0x000003ff,0x00000000,0x00000000,0x64399910,0x300001ff,0x00000001,
    0x00000000,0x00000000,0x00000000,0x20000133,0x300000aa,0x00000013,
    0x00000000,0x00dfffd8,0x00000010,0x80000000,0x0003fff8,0x00000000,
    0x7d400000,0x3fa0006f,0x0000006f,0x00000000,0x00000000,0x0006ff80,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0004cccc,0x99999988,0x99999999,0x05fff981,0x4cccc000,0x33310000,
    0x99999881,0x99999999,0xfff01999,0x2620001d,0x4ccc0009,0x4ccccc40,
    0x99999999,0xd0001999,0x220007ff,0x88003fff,0x01999999,0x4ccc0000,
    0x99999999,0x26666000,0x50000000,0x4c0009ff,0x20000999,0x00001998,
    0x33333333,0x01333333,0x26666666,0x09999999,0x33333330,0x13333333,
    0x33333310,0x26600001,0x99999999,0x33009999,0x33333333,0x40013333,
    0x00009999,0x1ffffea0,0x7fffe400,0xffffffff,0x7fec0fff,0x6400001f,
    0xd0004fff,0xffa81fff,0xffffffff,0x07ffffff,0x001dfff9,0x400bffb0,
    0x7d42fff9,0xffffffff,0x7fffffff,0x0fff9800,0x3fff5000,0xffff9000,
    0x17ddffff,0x3fee0000,0xffffffff,0xfff5003f,0x200000ff,0x1ffdaa98,
    0xffff5000,0x7fd4000f,0xff80001f,0xffffffff,0xff06ffff,0xffffffff,
    0x3e0dffff,0xffffffff,0xe86fffff,0xffffffff,0xf8001bce,0xffffffff,
    0xf06fffff,0xffffffff,0x00dfffff,0x01ffffea,0xffffc800,0xffc8002f,
    0xffffffff,0x260fffff,0x00005fff,0x01ffff88,0x427ffd40,0xfffffffa,
    0xffffffff,0x3fffa07f,0x7fec003f,0x3ffe6005,0x7ffffd42,0xffffffff,
    0xc8007fff,0x2e0004ff,0xc8000fff,0xffffffff,0x0003ffff,0xffffffe8,
    0x003fffff,0x05fffff9,0x3ff62000,0x00ffffff,0xfffff900,0x3fea0005,
    0xff80001f,0xffffffff,0xff06ffff,0xffffffff,0x3e0dffff,0xffffffff,
    0xe86fffff,0xffffffff,0x4004ffff,0xffffffff,0x06ffffff,0xffffffff,
    0x0dffffff,0x3fffff20,0xfff00002,0x70009fff,0xffdddddd,0x1ddddddf,
    0x000fffdc,0x5fffb800,0x07fff400,0x7fffffd4,0xffffffff,0xfff907ff,
    0x2003dfff,0x26005ffd,0x7fd42fff,0xffffffff,0x07ffffff,0x00fffc40,
    0x00fff900,0x3bbfff20,0xffffffee,0x3fe60003,0xccccffff,0xfff001cc,
    0x00009fff,0xfffffff5,0x0005ffff,0x09ffffff,0x07ffea00,0x3fffe000,
    0xeeeeeeee,0xffff05ee,0xdddddddd,0x3ffe0bdd,0xeeeeeeef,0xffe85eee,
    0xffffeeef,0xf002efff,0xdddddfff,0x20bddddd,0xeeeeffff,0x05eeeeee,
    0x9ffffff0,0xfff50000,0x0000fffb,0xc803ffdc,0x000007ff,0x800ffff4,
    0x0003fffb,0x20ffff20,0xfffdfffc,0x7ec00cff,0x3fe6005f,0xfc80002f,
    0x7dc003ff,0x7ec0006f,0xff90006f,0x3fff220f,0xffb0001f,0x8000fff9,
    0x7ffdfffa,0x7ffe4000,0xffffacef,0x3ea002ff,0x007ffdff,0x003fff50,
    0x009fff00,0x009fff00,0x009fff00,0x885ffe80,0x2ffffeb9,0x004fff80,
    0x004fff80,0x6fffd400,0xc80007ff,0x1fffadff,0xfff70000,0x01fff600,
    0xfff50000,0x1bffe00d,0xfff98000,0x13fffa85,0x03dffffb,0x3002ffec,
    0x80005fff,0x8005fff9,0x40002ffe,0x90005ffe,0xffb80fff,0xff88004f,
    0x0007ffaf,0x7fd6ffe4,0xff30001f,0xffff81df,0xf9000fff,0x03fff5bf,
    0x03fff500,0x09fff000,0x09fff000,0x09fff000,0x05ffe800,0x806fffc8,
    0x80004fff,0x00004fff,0x7fd6ffe4,0x7fc0001f,0x04fff8bf,0x0fff7000,
    0x001bffa0,0x3fffa000,0x17ffdc02,0xfffd0000,0x50bffb01,0x205ffffd,
    0x26005ffd,0x40002fff,0x4000fffe,0x91007ffa,0xfff99999,0x1999999d,
    0x403ffe40,0xb8006fff,0x07ff9cff,0x45fffc00,0xd0004fff,0xffa81dff,
    0x004fffbc,0xfff17fff,0xfff50009,0xfff00003,0xfff00009,0xfff00009,
    0xffe80009,0x7fff7005,0x004fff80,0x004fff80,0x45fffc00,0x20004fff,
    0xffb0fffa,0x3ee0000f,0xbfff007f,0xf3000000,0x7fc40dff,0x3200005f,
    0xfff03fff,0x7fffe405,0x005ffd81,0x000bffe6,0x003fffc8,0x3004ffd8,
    0xffffffff,0xffffffff,0x03ffe403,0x4003ffec,0x7ff99ffe,0x3ffea000,
    0x000fffb0,0xfb05fff5,0x01fffa3f,0x7ec3ffea,0xffa8007f,0xff80001f,
    0xff80004f,0xff80004f,0x7f40004f,0xfff1005f,0x27ffc01f,0x27ffc000,
    0xfff50000,0x001fff61,0x3ee6ffc8,0xb80001ff,0xff8807ff,0x0000005f,
    0x3207fffb,0x00001fff,0x220bfff3,0x7dc02fff,0x5ffd86ff,0x0bffe600,
    0x2fffcc00,0x07ffc400,0xfffff980,0xffffffff,0x3f201fff,0x7ffd807f,
    0x9b7fd400,0x320007ff,0x3ffee6ff,0x37fe4001,0x3fea6ff8,0x37fe402f,
    0x8003fff7,0x0001fffa,0x0004fff8,0x0004fff8,0x0004fff8,0x7002fff4,
    0x7fc05fff,0xff80004f,0x3200004f,0x3ffee6ff,0x7fff0001,0x0027ffc4,
    0x803ffdc0,0x00006fff,0x1ffff100,0x004fff88,0x03fffa00,0xb804fff8,
    0x7fec2fff,0x3ffe6005,0xfffd0002,0xbff90001,0x99999800,0x999afffb,
    0x7fe40199,0x05fff807,0xf997fec0,0x3fe0007f,0x13ffe23f,0x509ffb00,
    0x7ffc49ff,0x11fffc03,0xa8009fff,0x80001fff,0x80004fff,0x80004fff,
    0x40004fff,0x22005ffe,0x3fe03fff,0xff80004f,0x3e00004f,0x3ffe23ff,
    0xfffa8004,0x003fff41,0x803ffdc0,0x00006ffe,0x0ffff200,0x0001fff9,
    0x00ffff20,0xf001fffb,0x5ffd89ff,0x0bffe600,0x0ffff200,0x00fffc00,
    0x07ffdc00,0x07ffc800,0x001fffdc,0x3e61fff1,0xff50007f,0x07ffe83f,
    0x6c1fffc0,0x27ffc1ff,0xe83fff50,0x7d4007ff,0xf80001ff,0xf80004ff,
    0xf80004ff,0x740004ff,0x7fc005ff,0x13ffe04f,0x13ffe000,0x7ffd4000,
    0x003fff41,0x7dc37fe4,0x5c0001ff,0xffd007ff,0x4000000f,0xf10ffff8,
    0x200007ff,0x9806fff9,0x6400efff,0x2ffec5ff,0x05fff300,0x06fff980,
    0x00dff500,0x01fff600,0x207ffc80,0x4006fffb,0x3fe64ffb,0xdff90007,
    0x003fff70,0x3e0bffe2,0x04ffe86f,0x3ee1bff2,0x3ea001ff,0xf80001ff,
    0xf80004ff,0xf80004ff,0x740004ff,0x7fc005ff,0x13ffe05f,0x13ffe000,
    0x37fe4000,0x000fffdc,0x3e213ffe,0x5c0004ff,0xffb007ff,0x0000003f,
    0xfca7ffdc,0xd00000ff,0x32001fff,0x3602ffff,0x7ffec5ff,0xffffffff,
    0x02ffffff,0x007fff40,0x003ffe80,0x00dffd00,0x667ffe40,0xeffffdcc,
    0x0fff4000,0xfffffff3,0x7ffc01ff,0x04fff884,0xa85fff10,0x4ffe84ff,
    0x2213ffe0,0x2a004fff,0x80001fff,0xffffffff,0x03ffffff,0xffffffff,
    0x07ffffff,0x3ffffffe,0x3fffffff,0x4005ffe8,0x3fe06ffe,0xffffffff,
    0xff03ffff,0xffffffff,0x7c07ffff,0xfff884ff,0x3ffea004,0x00dffd01,
    0x007ffb80,0x000bfff7,0xfffe8000,0x0002fff9,0x007fff70,0x0dffffc8,
    0x3617ffc4,0xffffffff,0xffffffff,0x3fee002f,0xff30003f,0x3e00001f,
    0x320005ff,0xffffffff,0x4000dfff,0x7fcc6ffa,0x0fffffff,0x203fff50,
    0x3e006ffe,0x0ffec4ff,0xfa81fffc,0xdffd01ff,0x0fffd400,0x7fffc000,
    0xffffffff,0xffff03ff,0xffffffff,0x3ffe07ff,0xffffffff,0xffe83fff,
    0x3ffec005,0xfffffff0,0x7fffffff,0x3fffffe0,0xffffffff,0x03fff503,
    0xc801bffa,0x3ff207ff,0x3ee0001f,0xfff1007f,0x0000001f,0x7fffffd4,
    0xff300006,0x3ee000df,0x3f63ffff,0xffffd87f,0xffffffff,0x002fffff,
    0x000dfff3,0x00027fec,0x004fff88,0x3fffff20,0x000effff,0xf987ffb0,
    0xeeeeeeff,0x40fff900,0xf001fffc,0x86ff8bff,0xf901fff8,0x7ffe40ff,
    0x3fff5001,0xffff0000,0xffffffff,0x3ffe07ff,0xffffffff,0xfff03fff,
    0xffffffff,0xffd07fff,0x7ffd800b,0x3fffffe0,0xffffffff,0xffffff03,
    0xffffffff,0x81fff207,0xf001fffc,0x7fcc09ff,0x3ee0004f,0x3ff2007f,
    0x0000005f,0x0fffffec,0xfffe8000,0x3fa20000,0xfffeefff,0x005ffd81,
    0x400bffe6,0x0000fffe,0x0003fff1,0x00bffe60,0xaafffc80,0x00dfffda,
    0x207ffc40,0xf8007ff9,0x3fe604ff,0xdffb004f,0x7d427fd4,0x9fff00ff,
    0x027ffcc0,0x001fffa8,0x004fff80,0x004fff80,0x004fff80,0x002fff40,
    0xff81fffa,0xff80004f,0xff80004f,0x3ffe604f,0x2fff9804,0x0037ffc0,
    0x400fff70,0x00effff9,0xf9800010,0x00005fff,0x0007fff7,0x3ffffea0,
    0xbffb02ff,0x17ffcc00,0x01fffdc0,0x00bff700,0x0fffd400,0x0fff9000,
    0x800bfff5,0xff985ffc,0x7ffcc007,0x037ffc02,0xfb2fffa8,0x0dffd03f,
    0xf00bffe6,0x3ea00dff,0xf80001ff,0xf80004ff,0xf80004ff,0x740004ff,
    0x7fc005ff,0x13ffe06f,0x13ffe000,0x5fff3000,0x806fff80,0xfc807ffc,
    0xf70001ff,0xffb800ff,0x4c09bfff,0xc80006eb,0x80001fff,0x0006fff9,
    0x4ffffc80,0x8017ff60,0x4c02fff9,0x40006fff,0x00002fff,0x0003ffee,
    0xf707ffc8,0x7fc005ff,0x07ff982f,0x403ffe40,0x8801fffc,0x6ff9ffff,
    0x901fffb8,0xff900fff,0xfff5003f,0xfff00003,0xfff00009,0xfff00009,
    0xffe80009,0x3ffe2005,0x013ffe05,0x013ffe00,0x00fff900,0xf803fff9,
    0xeeeeefff,0x3fffeeee,0x0fff7000,0xfffff700,0xfffffdff,0xff70000d,
    0x3fa0000f,0x000000ff,0x203ffff3,0x26005ffd,0x7f402fff,0x2a0000ff,
    0x400007ff,0x40007ffc,0x3fa07ffc,0xfff5006f,0xff955555,0xffff800f,
    0xeeeeeeee,0x7003fffe,0x89ffffff,0x3e05fffb,0xeeeeefff,0x3fffeeee,
    0x01fffa80,0x04fff800,0x04fff800,0x04fff800,0x02fff400,0x405fff50,
    0x80004fff,0x40004fff,0xeeeeffff,0xfffeeeee,0x3fffe603,0xffffffff,
    0x0006ffff,0x2000fff7,0xfffffffa,0x006fffff,0x007ffb80,0x03fffb80,
    0x7fcc0000,0x0bffb04f,0x017ffcc0,0x0007fff7,0x0003ffd8,0x002ffec0,
    0xb81fff20,0xfd802fff,0xffffffff,0x3e6007ff,0xffffffff,0x6fffffff,
    0x3ffff600,0xffffdcdf,0xffff300e,0xffffffff,0x500dffff,0x00003fff,
    0x00009fff,0x00009fff,0x80009fff,0x3a005ffe,0x3fe00fff,0xff80004f,
    0x3e60004f,0xffffffff,0x6fffffff,0x3fffff20,0xffffffff,0x8001ffff,
    0x40007ffb,0xffffffda,0x80000abd,0x40007ffb,0x0006fff8,0x0bffd000,
    0x98017ff6,0xff102fff,0xf98000df,0x200000ff,0x0004fff8,0xf103ffe4,
    0xff880dff,0xffffffff,0x3f2007ff,0xffffffff,0xffffffff,0x3fff2001,
    0xdfffffff,0x3ffff200,0xffffffff,0x401fffff,0x0001fffa,0x0004fff8,
    0x0004fff8,0x0004fff8,0xa802fff4,0x7fc05fff,0xff80004f,0x3f20004f,
    0xffffffff,0xffffffff,0x33bfff01,0x33333333,0x0007fff5,0x0000fff7,
    0x00033ffe,0x03ffdc00,0x07fffa00,0x3e600000,0xbffb04ff,0x17ffcc00,
    0x001fffe8,0x002ffe40,0x0bffee00,0x0fff9000,0x202fffb8,0xaaaaeffc,
    0x007ffcaa,0x26677ffe,0xa9999999,0x5c003fff,0xdfffffff,0x9dfff802,
    0x99999999,0x403fffa9,0x0001fffa,0x0004fff8,0x0004fff8,0x0004fff8,
    0x4c02fff4,0x7c01fffe,0xf80004ff,0x3e0004ff,0x99999dff,0xffa99999,
    0x2fff983f,0x037ffc00,0x003ffdc0,0x007ffc40,0xfff70000,0x7ffdc000,
    0x80040003,0xfb01fffd,0x7fcc00bf,0x3fffb82f,0x7ffc4000,0x3a200001,
    0x40000fff,0x7c407ffc,0x3ffe06ff,0x01ffe602,0x0017ffcc,0x9001bffe,
    0x001355ff,0x0017ffcc,0xf501bffe,0xf00003ff,0xf00009ff,0xf00009ff,
    0xe80009ff,0x7fdc05ff,0xfff804ff,0xfff80004,0xfff30004,0x6fff8005,
    0x8007ffc8,0x4000fffc,0x80007ffb,0x00006ffa,0x003ffdc0,0xaaffff88,
    0xaaaaaaaa,0x37ae0aaa,0xfeba99ab,0x3ff605ff,0x3ffe6005,0x57fffc42,
    0xaaaaaaaa,0x3ee0aaaa,0x2e20006f,0x4ffffdaa,0x7ffc8000,0x82fffc80,
    0x7cc07ffa,0xfff9007f,0x1fff9000,0x0037fc00,0x000fff90,0x5401fff9,
    0x80001fff,0x80004fff,0x80004fff,0x40004fff,0x2a625ffe,0x05ffffec,
    0x0009fff0,0x0009fff0,0x2001fff2,0x7fc0fffc,0xffa8005f,0xffff903f,
    0xffffffff,0x32001fff,0x000004ff,0x8003ffdc,0xfffffffd,0xffffffff,
    0x3ffee1ff,0xffffffff,0x02ffec05,0xd85fff30,0xffffffff,0xffffffff,
    0x00bffa1f,0xfffff880,0x80000eff,0xf8807ffc,0x4ffe86ff,0x777ffcc0,
    0x3fe4eeee,0xffa8005f,0x9ff5003f,0x2fffc000,0x1fffd400,0xffffff50,
    0xffffffff,0x3ffffe0b,0xffffffff,0xfffff06f,0xffffffff,0x3fffe0df,
    0xffffffff,0xfffe86ff,0xffffffff,0x3fe003ff,0xffffffff,0xff06ffff,
    0xffffffff,0x7fcdffff,0xffa8005f,0x0bffe63f,0x837ffc00,0xfffffffc,
    0xffffffff,0x03ffd000,0xffb80000,0xfffb0007,0xffffffff,0x43ffffff,
    0xfffffffb,0xfd802eff,0x3fe6005f,0x7fffec2f,0xffffffff,0xf31fffff,
    0xf88000ff,0x00dfffff,0x0fff9000,0x987fff60,0x7cc01fff,0xffffffff,
    0x005fff35,0x401bffe0,0x30001ffc,0x20005fff,0x3ea06fff,0xffffffff,
    0xf05fffff,0xffffffff,0x20dfffff,0xffffffff,0x06ffffff,0xffffffff,
    0x0dffffff,0xfffffffd,0x0039ffff,0xfffffff8,0x6fffffff,0xfffffff0,
    0xdfffffff,0x000bffe6,0xff937ffc,0x3f60001f,0xfffc80ff,0xffffffff,
    0xf000ffff,0x000000ff,0x2000fff7,0xfffffffd,0xffffffff,0x6654c1ff,
    0x2001accc,0x26005ffd,0x7fec2fff,0xffffffff,0x1fffffff,0x00003553,
    0x00357997,0x07ffc800,0x64bfff30,0xff9806ff,0x5fffffff,0x0001fff9,
    0x2003fff6,0x320002aa,0xb0000fff,0x3ea01fff,0xffffffff,0xf05fffff,
    0xffffffff,0x20dfffff,0xffffffff,0x06ffffff,0xffffffff,0x0dffffff,
    0xdffffffd,0x2000179b,0xffffffff,0x06ffffff,0xffffffff,0x2dffffff,
    0x0000fffc,0x0001fffb,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x26ab2a62,0x55551000,0x05555555,0x00800000,
    0x00000000,0x54400000,0x8000002a,0x44000aaa,0x26000099,0x800001aa,
    0x00099998,0x8004cc40,0x00009999,0x26206620,0x40cc4001,0x4c400198,
    0x80019881,0x009aba98,0x00153000,0x9804cc40,0x53000099,0x00000003,
    0x00266200,0x99998000,0x02666600,0x54400000,0x7fec401a,0xefffffff,
    0x7fffd401,0x07ffffff,0x177f6440,0x00fff440,0x3b220000,0x000002ef,
    0x005ffc80,0xf9866600,0x3e6000ff,0xffb02fff,0x7ffffdc5,0xd100003f,
    0x0001bfff,0x7006ffc8,0x0005ffff,0xfb07fee0,0x7fdc001f,0x0007fec1,
    0xffd83ff7,0xfffb1000,0x0019ffff,0x00fffec0,0x42fff980,0xffb05ffd,
    0x7fffed45,0x3fee004f,0x00efd882,0x1ffff440,0x7fec0000,0x3fee00ef,
    0x000002ff,0x9101ffc8,0xffffffff,0xa803ffff,0xffffffff,0x3a2007ff,
    0x403fffff,0x0006fffa,0x3fffa200,0x000003ff,0x0017ff40,0x71fff980,
    0x7cc00bff,0xd82fffff,0xfffe8aff,0x005fffff,0x1ffff440,0x6ffc8000,
    0x3fffa600,0xffa80002,0x06ffb89e,0x44f7fd40,0x54006ffb,0xffb89eff,
    0xffff7006,0x1fffffff,0xffff3000,0x7fcc000b,0x05ffe8cf,0x7fdcbff6,
    0x05ffffff,0x40ffff88,0x2005fffb,0x3fffffe8,0x3ff60000,0xffd3004f,
    0x8000005f,0x3ff606ff,0xecccdeff,0x54401ffe,0xaaaaaaaa,0x3bf2002a,
    0x201ffc89,0x001ffff9,0x13df9000,0x00003ff9,0x7ff8804c,0x3fe60000,
    0x005ffb1f,0x3ef3ffe6,0x5ffec2ff,0xfdcdfffe,0x10002fff,0x0003fffd,
    0xfd999993,0x805999ff,0x002fffd8,0xfffffe80,0xfe8002ff,0x02ffffff,
    0xfffffe80,0xffa802ff,0xfecaacff,0xfa8006ff,0x40006fff,0x5ffffff9,
    0x7e5ffec0,0xfffeceff,0x7ffcc04f,0x2fffe40f,0xadffe880,0x80003fff,
    0x4002fffd,0x002fffd8,0x09ff5000,0x0077ffee,0x00000131,0xfd0bfa00,
    0x1fffd807,0x5fd00000,0x80003fe8,0xff502ffd,0x7cc00009,0x00fff1ff,
    0xfa8fffe6,0x3fff62ff,0x7fcc0dff,0xfe88006f,0xf70000df,0xffffffff,
    0x2e007fff,0x40002fff,0x3fffffd8,0xfffb1000,0x220007ff,0x03fffffd,
    0x00dfff88,0x8003fffb,0x003ffff8,0x5ffff980,0xfffffd80,0x7fffc41e,
    0x427fec00,0x8801fff8,0x3fe64ffe,0x3f60003f,0x2e0001ef,0x80002fff,
    0x1ffdaa98,0x000dfff0,0x20000000,0x01ff42ff,0x0003ffe2,0x3a17fc00,
    0x7c40003f,0x3ffb02ff,0x7fcc0000,0x004ffa9f,0x99305997,0x3ffff619,
    0x01fff204,0x000f32a0,0xffffff70,0x07ffffff,0x006664c0,0x055d4c00,
    0x55d4c000,0xba980000,0xfff7000a,0x1fffcc03,0x01f6cc00,0x09993000,
    0x17ffff60,0x803fff98,0x002a2019,0x6441665c,0xca8001cc,0x9300004c,
    0xb1000199,0xffffffff,0x07fff301,0x4cccc000,0x99999999,0xefd80099,
    0x8803ff51,0x000007ff,0x7fd47bf6,0x7fc40001,0x0099902f,0x9fff9800,
    0x00001cca,0x02fffec0,0x0003ffe6,0x99880000,0x9effd999,0x00000099,
    0x00000000,0x00000000,0x7c02ffe4,0x000003ff,0x6c000000,0xfe805fff,
    0x0000006f,0x00000000,0x00000000,0x3fffffea,0x542fffff,0x00002fff,
    0x3ffffffe,0x6fffffff,0xfffff880,0x3ffb805f,0x3e200000,0x005fffff,
    0x02fff880,0x7cc00000,0x000001ff,0x4037fec0,0x0001fff9,0xfc800000,
    0x0000006f,0x00000000,0x00000000,0x26027ff4,0x00002fff,0x40000000,
    0xb800effd,0x000007ff,0x00000000,0x00000000,0x9dffff90,0x5ffffff5,
    0x0027ffcc,0xffffff00,0xffffffff,0x3ffa600d,0x7ff6403f,0x98000006,
    0x0003fffe,0x005fff10,0xff980000,0x4c00001f,0x7fec099a,0x2fff8805,
    0x13353000,0x42662000,0x30006ffc,0x00135555,0x98000000,0x0009aaaa,
    0x0009a980,0x74407fff,0x30000fff,0x40000135,0xfd8009a9,0xfff5005f,
    0x00000001,0x00000000,0x98000000,0x7fc0efff,0xf10fffff,0x00003fff,
    0x3bbbfffe,0x5eeeeeee,0xf8004400,0x00000cff,0x00002200,0x005fff10,
    0x4d4c4000,0x001fff98,0x7fff6c40,0xffb3efff,0x5fff100b,0x3ffb6200,
    0x803effff,0xffffffdb,0x71006fff,0xfffffffd,0xffd8019f,0x2fff8805,
    0xffffd710,0x0019ffff,0xfffffeb8,0x1fffc04f,0x02fffe98,0x7ffff5c0,
    0xd70004ff,0x09ffffff,0x9802ffec,0xffd81fff,0x2fff8805,0x8805ffd8,
    0xffd82fff,0x2fff8805,0x8805ffd8,0x7ff42fff,0x5e7fd40e,0x3ff64fff,
    0xf80003ff,0x000004ff,0x00379000,0x554c0000,0x6c0009aa,0xffffffff,
    0xffffffff,0x3b66002f,0xffffffff,0x3ee0001f,0xffffffff,0x00bffb6f,
    0x7005fff1,0xffffffff,0x7f440dff,0xffffffff,0xff9006ff,0xffffffff,
    0x7fec05ff,0x2fff8805,0xffffff90,0x05ffffff,0xfffffb10,0x203dffff,
    0xffa83fff,0x362002ff,0xffffffff,0xfb1001ef,0xffffffff,0x0bffb03d,
    0x20bffe60,0xf8805ffd,0x5ffd82ff,0x82fff880,0xf8805ffd,0x5ffd82ff,
    0x22fff880,0xfd82fffa,0x44fffd1f,0x0beffffe,0x09fff000,0x05ffd800,
    0x002fff88,0x0009aa88,0xfffffd71,0x20019fff,0xfffffffd,0xffffffff,
    0xff9002ff,0xffffffff,0xd10003ff,0xb9bfffff,0x3ff6dffd,0x2fff8805,
    0x3ffffa20,0x6ffedcdf,0xbdffff50,0xdffffd99,0x3bfff200,0xffffdccd,
    0x0bffb00f,0x205fff10,0xccdefffc,0x00fffffd,0x2f7fffa2,0x0ffffeca,
    0x7cc3fff8,0x22000eff,0xcabdfffe,0x400ffffe,0xabdfffe8,0x40ffffec,
    0xf3005ffd,0xbffb03ff,0x05fff100,0xf100bffb,0xbffb05ff,0x05fff100,
    0xf100bffb,0x37fe45ff,0x3fea6ff8,0x3fffa22f,0x4001cfff,0x40004fff,
    0xf8805ffd,0x5ffa82ff,0x3fffffa6,0x7ffe400d,0xffffffff,0xeeec802f,
    0xeeefffee,0x02eeeeee,0x6fffff44,0xfffffdcc,0xfffc8001,0x7ed2a02f,
    0xfff8805f,0x3ffff202,0x3e212a02,0xfb101fff,0x073200df,0x20bfff90,
    0xf8805ffd,0x039902ff,0x205fffc8,0xf702fffd,0x7fff0bff,0x000effd8,
    0xb817ffec,0x7ec05fff,0xfff702ff,0x005ffd8b,0x3f60fff5,0xfff8805f,
    0x805ffd82,0xfd82fff8,0xfff8805f,0x805ffd82,0x3f62fff8,0x24ffa84f,
    0xfb83fff8,0x1dffffff,0x009fff00,0x805ffd80,0xfa82fff8,0xfffff75f,
    0x6403ffff,0xdccdefff,0x000fffff,0x002fff88,0x03fffd80,0x0007ffee,
    0x001dfff3,0x4402ffec,0xff302fff,0x320001df,0x7e400fff,0x4400006f,
    0xffb07fff,0x5fff100b,0xfff88000,0x05fff307,0x7c1fffb8,0x1fffc3ff,
    0x0bffe600,0x203fff70,0x5c02fff9,0x3ff61fff,0x0dff7005,0x22017ff6,
    0xffd82fff,0x2fff8805,0x8805ffd8,0xffd82fff,0x2fff8805,0x3f60fffe,
    0x827ffc1f,0xfffffeb8,0x7ffc00cf,0x7fec0004,0x2fff8805,0xffbeffa8,
    0xffffdcef,0x90073205,0x1000bfff,0x80005fff,0x4c02fff9,0x74001fff,
    0x6c001fff,0xff8805ff,0x3fffd02f,0x3ffe2000,0x06ffc803,0xfffc8000,
    0x805ffd80,0x0002fff8,0xd80fffc8,0xffd005ff,0x223fff89,0x6c003fff,
    0xffd005ff,0x017ff609,0xffb27ff4,0x17ff600b,0x4402ffec,0xffd82fff,
    0x2fff8805,0x8805ffd8,0xffd82fff,0x2fff8805,0xff05fff1,0x009ffd0d,
    0xdfffffb5,0x027ffc01,0x017ff600,0x2a0bffe2,0x41ffffff,0x001fffd8,
    0x03fffc40,0x017ffc40,0x017ffa00,0x8007ffe6,0x8004fff9,0xf8805ffd,
    0xfff982ff,0x3fee0004,0x6ffc800f,0xff980000,0x05ffd81f,0x002fff88,
    0x41fff980,0x9002fff8,0x3fff8dff,0x8007fff4,0x9002fff8,0xfff10dff,
    0x9bff2005,0xf9805ffd,0xbffb03ff,0x05fff100,0xf100bffb,0xbffb05ff,
    0x05fff100,0xf100bffb,0x3ffe25ff,0x7427fd42,0x366004ff,0x3e05ffff,
    0x6c0004ff,0xff8805ff,0xffffa82f,0x7fff300e,0xfff90000,0xfff88001,
    0x3fe60002,0xfff9801f,0x3ffea001,0x5ffd8001,0x82fff880,0x0001fffa,
    0x6401bff2,0x800006ff,0xfd81fff9,0xfff8805f,0xff980002,0x07ffcc1f,
    0x7c7ffb80,0x7ffdc3ff,0xfff9800e,0x0fff7000,0x2001fff3,0x3ff67ffb,
    0x37ff4405,0x100bffb0,0xffb05fff,0x5fff100b,0x100bffb0,0xffb05fff,
    0x5fff100b,0x3f627ffc,0x03fff81f,0x2ffffa80,0x0009fff0,0x8805ffd8,
    0xffa82fff,0x7ff400ff,0xff980004,0x7fc4001f,0x3ea0002f,0xff9800ff,
    0x3fee001f,0xbffb0007,0x05fff100,0x8000fff7,0xf9005ffd,0x973000df,
    0xffdddddb,0x0bffb03f,0x005fff10,0xddddb973,0xfa83fffd,0xccccccff,
    0xfffdcccc,0x3a0fffe0,0x5402ffff,0xcccccfff,0xffdccccc,0x67ffd40f,
    0xcccccccc,0xfb0fffdc,0x3fa601df,0x3ff601ff,0x2fff8805,0x8805ffd8,
    0xffd82fff,0x2fff8805,0x8805ffd8,0x3ffe2fff,0x7c437fc5,0xf50001ff,
    0x3ffe09ff,0xffffffff,0xffd83fff,0x2fff8805,0x801fffa8,0x80005ffd,
    0x4001fff9,0x0002fff8,0x4c01ffee,0x36001fff,0xfb0006ff,0xfff100bf,
    0x00dffb05,0x004ffe80,0x5400dff9,0xfffffffe,0xd81fffff,0xff8805ff,
    0x3ffaa02f,0xffffffff,0x7ffe41ff,0xffffffff,0x20ffffff,0xfd883fff,
    0x3f204fff,0xffffffff,0xffffffff,0x7ffffe40,0xffffffff,0xffb0ffff,
    0xfdb9bdff,0xfd807fff,0xfff8805f,0x805ffd82,0xfd82fff8,0xfff8805f,
    0x805ffd82,0x3f62fff8,0x213fea6f,0x0000fffa,0x7fc1bffe,0xffffffff,
    0xfd83ffff,0xfff8805f,0x00fffa82,0x9805ffd8,0xeeeeedcb,0x44001fff,
    0x20002fff,0xf3006ffc,0x7ec003ff,0xffb0006f,0x5fff100b,0x000dffb0,
    0x9003fff8,0x3f200dff,0xeeefffff,0xd81fffee,0xff8805ff,0xffff902f,
    0xfdddddff,0xfffc83ff,0xffffffff,0x20ffffff,0x3f203fff,0xff905fff,
    0xffffffff,0x1fffffff,0xffffffc8,0xffffffff,0xfffb0fff,0xffffffff,
    0xbffb003d,0x05fff100,0xf100bffb,0xbffb05ff,0x05fff100,0xf100bffb,
    0x7ffd45ff,0xfd03ffb2,0xfe8000df,0xfffff06f,0xffffffff,0x0bffb07f,
    0x505fff10,0xfb001fff,0x7ff540bf,0xffffffff,0x7c4001ff,0x360002ff,
    0xff3005ff,0x7fe4003f,0xbffb0007,0x05fff100,0x8000fff9,0xf9004fff,
    0xfff500df,0x7ffcc05d,0x805ffd81,0xfa82fff8,0x3e602eff,0x3ffdc1ff,
    0x3fff8000,0x1ffffd40,0x0003ffdc,0x000fff70,0xffffffb0,0x4007bdff,
    0xf8805ffd,0x5ffd82ff,0x82fff880,0xf8805ffd,0x5ffd82ff,0x22fff880,
    0xff9ffff8,0x01fffb86,0x827ffc00,0x40004fff,0xf8805ffd,0xfffa82ff,
    0x05ffd800,0xdffffff9,0x3fffdddd,0x2fff8800,0x1bff2000,0x00fffcc0,
    0x001fff70,0x2e000000,0x20000fff,0xfb005ffe,0xfffd00df,0x1fff9801,
    0x8805ffd8,0xffe82fff,0x7ffcc00f,0x00fffd41,0x01fffc00,0x543fffcc,
    0x00001fff,0x0003fff5,0x3315ffd8,0x3ff60001,0x2fff8805,0x8805ffd8,
    0xffd82fff,0x2fff8805,0x8805ffd8,0x7fdc2fff,0x7dc4ffff,0x640005ff,
    0xfff02fff,0xffd80009,0x2fff8805,0x800fffa8,0xffa85ffd,0x3fe602ef,
    0x7fc4001f,0x3f20002f,0xfff3007f,0x7ffd4003,0x00000002,0x005fff50,
    0x4037fec0,0x4406fffa,0xf9803fff,0x5ffd81ff,0x42fffa80,0x9803fff8,
    0x7fcc1fff,0xff80002f,0xfff7003f,0x02fff983,0x5fff3000,0x5ffd8000,
    0x3ff60000,0x2fffa805,0xa805ffd8,0xffd82fff,0x2fffa805,0xa805ffd8,
    0xffd82fff,0xffdcdfff,0x2b360eff,0x7ffed400,0x013ffe06,0x00bffb00,
    0xf505fff1,0xffb001ff,0x01fffd0b,0x001fff98,0x001fffc4,0x801fff70,
    0x001fffe8,0x003fffe2,0x06664400,0x1ffff100,0x3fff2000,0x3fffe600,
    0x17ffcc06,0x40fffdc0,0x7cc06ffc,0x7fcc2fff,0xfffb802f,0x006fff81,
    0x003fff80,0xff05fff3,0x7c0000df,0x6c0006ff,0x200005ff,0x7cc06ffc,
    0xffc82fff,0x7fffcc06,0x406ffc82,0xc82ffff9,0x7fcc06ff,0xfff902ff,
    0xbfffffff,0xfffffd81,0xfffffeee,0x3ffe00ef,0x7fec0004,0x2fffa805,
    0x800fffa8,0x7fc45ffd,0xfff9803f,0x4fff8001,0x3ffe6000,0x7fffec03,
    0x7ffe4001,0xff300004,0xfff9000f,0x3fe60009,0xffff303f,0xfff980df,
    0x3fff6203,0x1fffb81f,0x5fffff30,0x203fff98,0x81ffffd8,0x0003fffb,
    0x9801fffc,0xffb81fff,0xf700003f,0x6c0007ff,0x200005ff,0xf301fffb,
    0xf705ffff,0x3fe603ff,0xffb82fff,0xffff301f,0x3fff705f,0x3ffffe60,
    0x3fffee02,0xfb02dfff,0xffffffff,0x801bffff,0x40004fff,0x7cc06ffc,
    0xffa82fff,0x5ffd800f,0x4017ffcc,0x8001fffb,0x0000fffd,0xfd81bffa,
    0x4001ffff,0x02effff8,0xffb80b71,0xfff88005,0x0b7102ef,0x5c45fffd,
    0x06ffdfff,0xa81ffff8,0x81fffffe,0x540efff9,0x82ffffff,0xea81ffff,
    0xd01fffff,0x3001bfff,0x3007fff0,0x7f40fffd,0x01800dff,0x006ffff4,
    0x017ff60c,0xefff9800,0x7ffffd40,0xefff982f,0x7ffffd40,0xefff982f,
    0x7ffffd40,0xefff982f,0x7ffffd40,0x2bff202f,0xfda8009a,0xffffffff,
    0xfff000be,0xffb80009,0xffff301f,0x1fff505f,0x98bffb00,0x36203fff,
    0x8001ffff,0x100dfffb,0x2fffdc01,0x3ff7ff6a,0xffa8001f,0xfeeeffff,
    0x7fec06ff,0xfff50002,0xffdddfff,0xffff50df,0x53ffffbd,0xff900dff,
    0xfffb9bff,0x203fffbf,0xecdffffd,0x2ffeafff,0xcdffffc8,0xffdffffd,
    0xffff501f,0xdb999bdf,0x3fff81ff,0x3fb737a6,0x3ea02fff,0xccdeffff,
    0x200ffedc,0xdefffffa,0x0ffedccc,0x00017ff6,0x9bffffb0,0xffd5fffd,
    0x3ffff605,0xeafffecd,0xfffb02ff,0x5fffd9bf,0x3f605ffd,0xffecdfff,
    0x202ffeaf,0x980006ff,0x003fffa9,0x0004fff8,0x2077ffcc,0x2ffffffa,
    0x800fffa8,0xfff85ffd,0xfffea81f,0xfd0001ff,0xddbbdfff,0x7ffc405f,
    0x5fffedff,0x20003fff,0xffffffe8,0x7c06ffff,0x220000ff,0xfffffffe,
    0xff506fff,0x23ffffff,0xfd006ffa,0xffffffff,0x4c07ffe5,0xffffffff,
    0x205ffd2f,0xfffffffe,0x03fff2ff,0x7fffff4c,0x0fffffff,0xff31fffc,
    0x07ffffff,0xfffffd30,0x1fffffff,0xffffe980,0xffffffff,0x0017ff60,
    0xfffff300,0x3fa5ffff,0xffff302f,0x3a5fffff,0xfff302ff,0x25ffffff,
    0xff302ffe,0x5fffffff,0x7d40bffa,0x2200004f,0xf8001fff,0xd80004ff,
    0xfecdffff,0x82ffeaff,0xd800fffa,0xfffc85ff,0xffffdcdf,0x0001fffd,
    0xfffffff3,0xe9805fff,0x5fffffff,0x00007ffa,0xfffffdb5,0x7fc4039d,
    0xdb500006,0x39dfffff,0x77fff540,0x01bfea1c,0xefffffb8,0x807ffa0c,
    0xdfffffd8,0xb80bff60,0x0cefffff,0x2e007ffa,0xfffffffe,0x3fff84df,
    0x3bffffe6,0x7f5c000d,0xdfffffff,0x3ffae004,0x4dffffff,0x0002ffec,
    0x7fffec40,0x0bff60df,0xfffffd88,0x80bff60d,0xdfffffd8,0x880bff60,
    0x0dfffffd,0x7e40bff6,0x2a00001f,0xff0007ff,0xf300009f,0xffffffff,
    0x2a0bffa5,0xfd800fff,0xffffd05f,0x3e5fffff,0x5c0001ff,0xeffffffe,
    0xfffd8802,0x0fff43df,0x06660000,0x00013300,0x00066600,0x00000262,
    0x00004cc4,0x00013530,0x00013310,0x33353100,0x0ccc4000,0x35310000,
    0x31000033,0x4c403335,0x40000009,0x000009a9,0x00001353,0x000026a6,
    0x80004d4c,0x400002aa,0xf0004ffb,0xffffffff,0x40dfffff,0xdfffffd8,
    0x2a0bff60,0xfd800fff,0x3ffee05f,0x3fa0ceff,0x2600001f,0x26000199,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xb0000000,
    0x3e0005ff,0xffffffff,0x006fffff,0x50001353,0xfb001fff,0x133100bf,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x001fff00,0x3fffffe0,0xffffffff,0x00000006,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x09800000,
    0x33100000,0x98000001,0x4cc00999,0x20000099,0x33300998,0x09998801,
    0x33000000,0x33300003,0x26200013,0x20000009,0x00009999,0x33100000,
    0x98000001,0x4cc00999,0x00000099,0x01302666,0x03555530,0x002aee60,
    0x00001998,0x0004c000,0x004cc400,0x33330000,0x00000001,0x031006a2,
    0xb105ff70,0x362001df,0x2c82efff,0xfffe8800,0xfb000003,0xfb801dff,
    0x00002fff,0xfd85fff3,0xfff8805f,0x0009881f,0x01fff980,0x3bfff600,
    0xffe88000,0xd800003f,0x5c00efff,0xefd882ff,0xffe88000,0xb000003f,
    0xb801dfff,0x0002ffff,0xffffd950,0x203ffbdf,0xfffffffb,0xffb105ff,
    0xfb005fff,0x2ffb809f,0x800efd88,0x82efffd8,0x7f44002c,0x800003ff,
    0x360efffd,0xffa805ff,0xfff3000f,0x3dffd10b,0x03fffe20,0x100bfff7,
    0xbffffffd,0x003ff935,0x7fffff44,0x7ec00003,0x3a6004ff,0x00002fff,
    0xfd19fff3,0x7fd400bf,0xffecb9ef,0xff980001,0xffb0001f,0x3a20009f,
    0x003fffff,0x13fff600,0x03fffe20,0x800bfff7,0x3fffffe8,0x7fec0000,
    0x3fa6004f,0x640002ff,0xffffffff,0x74c1ffff,0xffffffff,0xfffd05ff,
    0x5405ffff,0x3e200eff,0x7fdc0fff,0x7ff4405f,0xc9adffff,0xfd1001ff,
    0x0007ffff,0x427ffec0,0xfa805ffd,0xffb000ff,0xfffd83ff,0xfff980ff,
    0x2fffe40f,0x6deffec0,0x5fffffff,0x37ffa200,0x0003fffa,0x005fffb0,
    0x05fffb10,0x3ffe6000,0x44005fff,0xfffffffd,0x980001ff,0xd8001fff,
    0x10002fff,0xfff5bffd,0xffb00007,0x3fe6005f,0x7ffe40ff,0x3ffa2005,
    0x003fffad,0x05fffb00,0x5fffb100,0xfffd1000,0xfffb99bf,0x7ffc43ff,
    0xeccbbcef,0x8dffb85f,0xf106ffc8,0xff9805ff,0x7ffe40ff,0x5effec05,
    0xfffffffd,0xbffd1005,0x0007fff5,0x205fffb0,0xfa805ffd,0xffd000ff,
    0x7ffc43ff,0xffb02fff,0x03fff109,0xfea87f10,0x22005fff,0x3fe64ffe,
    0x7ec0003f,0x5c0001ef,0x00002fff,0x00bffff3,0x3fffff62,0x0cefffff,
    0xfff98000,0x77fec001,0xffd10001,0x01fffcc9,0x03dffb00,0x884ffd80,
    0xd1001fff,0x7ffcc9ff,0x7fec0003,0x7dc0001e,0x7f4002ff,0x3fee03ff,
    0x07fff61f,0x03ffe020,0xff903fff,0x13ff600b,0x1007ffe2,0xfffea87f,
    0xffd1005f,0x01fffcc9,0x03dffb00,0x5402ffec,0xf7000fff,0xfff88dff,
    0x06602fff,0x02000a88,0x4000ba98,0xcc882ccb,0x9950001c,0x64c00009,
    0x300000cc,0x7c400999,0xffffffff,0xf9800003,0x32a001ff,0x65c0004c,
    0x1ccc882c,0x04cca800,0xa8806600,0x0b32e000,0x00073322,0x00026654,
    0x00199930,0x300bffea,0x7ffc3fff,0xbff10004,0xf985ffb0,0x066000ff,
    0x01000a88,0x70005d4c,0x99910599,0x99950003,0x00bffb00,0x4001fff5,
    0xffe80ddb,0x00000fff,0x00000000,0x00000000,0x00000000,0xff100000,
    0xdfff557b,0xff300000,0x0000003f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x9805ffe8,0x3ffe1fff,0xbff30004,0xfe85ff70,0x0000002f,
    0x00000000,0x00000000,0xf500bffb,0x400001ff,0x001fffe8,0x00000000,
    0x00000000,0x00000000,0x40000000,0x09fff900,0xfff98000,0x00000001,
    0x00000000,0x00000000,0x00000000,0x20000000,0x9801fff9,0x3ffa1fff,
    0xff88000f,0x321ffc87,0x000005ff,0x00000000,0x00000000,0x2017ff60,
    0x0000fffa,0x40009980,0x00009a98,0x00135310,0x026a6200,0x4d4c4000,
    0x53100000,0x4c000013,0x0001aaaa,0x03ffff31,0x226a6200,0x5101fff9,
    0x2aa20155,0x554c0000,0x4c0001aa,0x0001aaaa,0x00004d4c,0x00013530,
    0x0004d4c0,0x00135300,0x2600fff5,0x3fee1fff,0x7c000cff,0x87ff40ff,
    0x0000fff9,0x026aaaa6,0xaaaa9800,0x2a600009,0x00009aaa,0x026aaaa6,
    0xa805ffd8,0x2a000fff,0x100000aa,0xffffffd9,0xec880019,0x0cffffff,
    0x7ff64400,0x000cffff,0x7ffff644,0x44000cff,0xffffffec,0xffb8000c,
    0x5fffffff,0xfffeda80,0x26006fff,0xffffffed,0x7f5c1fff,0xb11fffff,
    0x001dffff,0x7fffffdc,0x2e005fff,0xffffffff,0x3fae005f,0x004fffff,
    0xfffffd70,0x3ae0009f,0x04ffffff,0xffffd700,0x7fdc09ff,0x3fff3007,
    0xefffffd8,0xeffc800b,0x3a4ffd9a,0x5c4002ff,0xfffffffe,0xeb8800cf,
    0xffffffff,0xfeb8800c,0xcfffffff,0xffeb8800,0x0cffffff,0xa805ffd8,
    0x36000fff,0x597101ff,0xfffff980,0x02efffff,0xffffff30,0x005dffff,
    0x3fffffe6,0x002effff,0xfffffff3,0x2005dfff,0xfffffff9,0x3002efff,
    0xfffffffd,0x6c40bfff,0xffffffff,0xffc802ff,0xffffffff,0x3ffe61ff,
    0xe9ffffff,0x0effffff,0x7ffff4c0,0x05ffffff,0xfffffe98,0x805fffff,
    0xffffffd8,0x1001efff,0xfffffffb,0x22003dff,0xfffffffd,0xb1001eff,
    0xffffffff,0xdffb03df,0x07ffe600,0x3ffffff2,0x3fe202df,0x70ffffff,
    0xf9000bff,0xffffffff,0xfc805fff,0xffffffff,0x7e402fff,0xffffffff,
    0x7e402fff,0xffffffff,0x7fec2fff,0x0fffa805,0x207ffa00,0x705ffff9,
    0xb9bdffff,0x805fffff,0xcdeffffb,0x02fffffd,0x6f7fffdc,0x2fffffdc,
    0x77fffdc0,0xfffffdcd,0x7fffdc02,0xffffdcde,0x7ffc402f,0xeccbbcef,
    0xfffd105f,0xfffd99df,0x7fff440d,0xfffdccdf,0x37fe61ff,0xffffebac,
    0x4fffcbef,0x3bfffe20,0x5feccbbc,0x77fffc40,0x5feccbbc,0x6ffff440,
    0xffffecab,0x7fff4400,0xfffecabd,0x7ff4400f,0xffecabdf,0x7f4400ff,
    0xfecabdff,0x7fec0fff,0x3fff3005,0x3ffff260,0xb101efff,0x261bffff,
    0xc8000fff,0xdccdefff,0x200fffff,0xccdefffc,0x00fffffd,0x337bfff2,
    0x0fffffdc,0x37bfff20,0xfffffdcc,0x2017ff60,0x2000fffa,0xffd82ffe,
    0x7fc42fff,0xfff901ff,0x7fffc40f,0x0ffff901,0x80ffffc4,0x2207fffc,
    0xf901ffff,0x7fc40fff,0xfff901ff,0x1fffd80f,0xfffd0080,0x7fff5017,
    0x80ffff60,0x2e61fffb,0xeffff880,0xd81ffea0,0x00801fff,0x400fffec,
    0x17ffec00,0x405fffb8,0xf702fffd,0xffd80bff,0xbfff702f,0x02fffd80,
    0xfd8bfff7,0xfff3006f,0xfffb5003,0x54401fff,0x01fff40a,0x6401cc80,
    0x33205fff,0x2fffe401,0xfc803990,0x073205ff,0x6cbfff90,0xffa805ff,
    0x3ffa000f,0xffffff82,0x0077fec3,0x6c0fffee,0x7dc00eff,0xdffb03ff,
    0x3fffb801,0x801dffb0,0xfb03fffb,0xffb801df,0x13ffe03f,0x2fffa800,
    0x5437ffc0,0x7cc02fff,0x3f6001ff,0x2fff82ff,0x0009fff0,0x0013ffe0,
    0x00bffe60,0x2603fff7,0x7dc02fff,0xfff301ff,0x1fffb805,0x805fff30,
    0x3f21fffb,0xfff3007f,0xffea8003,0xffb8005f,0x88000006,0x80007fff,
    0x0007fff8,0x007fff88,0x27fff880,0xfa805ffd,0xfa9800ff,0xfffe82ff,
    0x3ffea2ff,0x0fffd003,0x2007fff5,0xffa87ffe,0xfffd003f,0x007fff50,
    0x3ea1fffa,0xffd003ff,0x027ffc0f,0x00bffd00,0xfe83fff7,0xfff9805f,
    0x3ffee001,0xf03ffd80,0x200009ff,0x80004fff,0xfd005ffd,0x17ff609f,
    0xd827ff40,0xffd005ff,0x017ff609,0xff727ff4,0xffe8801f,0xfe88001f,
    0x7fc4007f,0x0000001f,0x0001fff9,0x001fff90,0x01fff900,0x1fff9000,
    0x32017ff6,0x3f200fff,0xb82fffff,0x320effff,0x3ea007ff,0x3ffe41ff,
    0x83fff500,0x2a007ffc,0x7fe41fff,0x3ffea007,0x003ffe41,0x3a03fff5,
    0xa8000fff,0xf8801fff,0x3ffe64ff,0x1fff9801,0x41ffea00,0xffd04ffc,
    0xfd00001f,0x440001ff,0xf9002fff,0x5fff10df,0x21bff200,0x9002fff8,
    0xfff10dff,0x9bff2005,0x7402fffa,0x0001ffff,0x4001fff9,0x00003ffd,
    0x07ffe600,0x3ffe6000,0xff980001,0xf980001f,0x0dffb1ff,0x80ffffa8,
    0xfffffff9,0x1bfd702f,0x2005ffd8,0x7ec2fff8,0x3fe2005f,0x02ffec2f,
    0xd85fff10,0x3e2005ff,0x2ffec2ff,0x05fff100,0x033fffee,0x006ffb80,
    0xffa9bffa,0x3fff3007,0x837fcc00,0xff704ffb,0x400019ff,0x00cffffb,
    0x00fff980,0xf30fff70,0x3ee001ff,0x0fff987f,0x30fff700,0x2e001fff,
    0x37ffc7ff,0x3fffffb0,0x1fffa000,0x006ffa80,0x7fcc0000,0xf980001f,
    0x980001ff,0x80001fff,0xffb1fff9,0x3ffe603f,0xfffe81ff,0x00099aae,
    0x8009ffd0,0x7ff43fff,0x1fffc004,0xf0013ffa,0x4ffe87ff,0x21fffc00,
    0x7c004ffe,0x3ff603ff,0x400befff,0x36005ffd,0x1ffee7ff,0x80fffcc0,
    0xffeedcba,0xfeeeeeef,0x3fff605f,0x8000beff,0xbefffffd,0x9fff5000,
    0x99999999,0xa81fffb9,0xcccccfff,0xffdccccc,0x67ffd40f,0xcccccccc,
    0x540fffdc,0xcccccfff,0xffdccccc,0x13ffee0f,0xfffbffb5,0x32006a63,
    0xf1004fff,0x5e5cc3ff,0xdcb98002,0xfffeeeee,0xedcb9801,0x1fffeeee,
    0xeedcb980,0x01fffeee,0xeeedcb98,0xfb1fffee,0xffb81dff,0x7dc4ffff,
    0x400004ff,0x7c003fff,0x1fffc4ff,0xf13ffe00,0xff8007ff,0x01fffc4f,
    0xff13ffe0,0xfff8007f,0x7fffe404,0xfd02dfff,0x7fe4009f,0x401bff27,
    0x74c1fff9,0xffffffff,0xffffffff,0x7ffe405f,0x002dffff,0x7fffffe4,
    0x7fe402df,0xffffffff,0x0fffffff,0x7fffffe4,0xffffffff,0x7fe40fff,
    0xffffffff,0x0fffffff,0x7fffffe4,0xffffffff,0x3fe20fff,0xfffedfff,
    0xf51fff8d,0xb999ddff,0x001fffff,0xffc93ff6,0xa800dfff,0xfffffffe,
    0x201fffff,0xffffffea,0x01ffffff,0x3fffffaa,0x1fffffff,0x3ffffaa0,
    0xffffffff,0xdfffffb1,0xf93fffdb,0x3ff27dff,0x2200000f,0x7c003fff,
    0x3ffe24ff,0x27ffc003,0x8007fff1,0x3fe24fff,0x7ffc003f,0x00fffe24,
    0x3009fff0,0xfffffff9,0x04fff83d,0x6c3ffee0,0xff3005ff,0x7fffc43f,
    0xefffeeef,0x4eeeeeee,0xffffc980,0x2001efff,0xffffffc9,0xfff901ef,
    0xffffffff,0x81ffffff,0xfffffffc,0xffffffff,0x7ffe40ff,0xffffffff,
    0x40ffffff,0xfffffffc,0xffffffff,0x7ffcc0ff,0xf14fffff,0x3ffea3ff,
    0xffffffff,0xff5000ef,0x7ffffecd,0x7fe405ff,0xeeeeffff,0xf901fffe,
    0xdddfffff,0x203fffdd,0xeffffffc,0x1fffeeee,0xffffff90,0xfffddddd,
    0x3fffff63,0xf31fffff,0x3ffa9fff,0xff800006,0x7ffc004f,0x0027ffc3,
    0xfff0fffe,0x3fff8009,0x20027ffc,0x7ffc3fff,0x1fffc004,0x3fff6a00,
    0x3ffa0fff,0x9fff2005,0xf3006ffd,0x7ffec3ff,0x01bfe60b,0x3ff6a000,
    0x8000ffff,0xffffffda,0x007ffb80,0x01ffee00,0x07ffb800,0x1ffee000,
    0xffb10000,0x7fcc5bff,0xffffb31f,0x05bfffff,0x98fffc40,0xffd50eff,
    0x3bffea05,0x07ffe602,0x80bbffea,0xfa81fff9,0x3e602eff,0xfffa81ff,
    0x3ffe602e,0xff97ffb1,0xffa819ff,0x00fffd4f,0x0bffd000,0x20fffc40,
    0x22005ffe,0x7ff41fff,0x3ffe2005,0x002fff41,0xfe83fff1,0x3fe2005f,
    0x3aa0001f,0x3ff65fff,0x9bff6006,0xf3007ffc,0x3ffe23ff,0x006ff983,
    0x7ff54000,0x7540005f,0xffa85fff,0xf500001f,0x200003ff,0x0001fffa,
    0x003fff50,0x4c066000,0x99881fff,0xb0001aa9,0x17fe49ff,0x7f413ff2,
    0x7fcc00ff,0x0fffe81f,0x40fffcc0,0x4c00fffe,0xffe81fff,0x7ffcc00f,
    0x4cc7ffb1,0xffb0c400,0xd800001f,0x3ee007ff,0x3ffec0ff,0x81fff700,
    0x2e007ffd,0x7fec0fff,0x3ffee007,0x003ffec0,0x0001fff7,0x327ffe88,
    0xff000fff,0x07ffdc9f,0x47fffa20,0xf981fff9,0x8000007f,0x0007ffe8,
    0x987ffe88,0x00002fff,0x0005fff3,0x00bffe60,0x17ffcc00,0x4c000000,
    0x00001fff,0xb077fd40,0x5ffa81ff,0x803fff88,0x7c41fff9,0xff9803ff,
    0x1fffc41f,0x20fffcc0,0x9803fff8,0x9ffb1fff,0xfff70000,0xfb800007,
    0xffd003ff,0x07fff70d,0x2e1bffa0,0xfd003fff,0x7fff70df,0x21bffa00,
    0xd003fffb,0x20000dff,0xff50fffc,0xfff5009f,0x017ffd45,0x547ffffa,
    0xfff707ff,0x90000003,0x00001fff,0xff01fff9,0x7c0000df,0x200006ff,
    0x00006fff,0x0001bffe,0x3ffe6000,0x06664401,0x85ffd100,0x7fc40ffe,
    0x02fff985,0x4c1fffb8,0xfb802fff,0x7ffcc1ff,0x1fffb802,0x4017ffcc,
    0xffb1fffb,0xff10000b,0x800003ff,0x6400effe,0xffd01fff,0xfffc801d,
    0x01dffd01,0xd01fffc8,0xfc801dff,0xdffd01ff,0x1fffc801,0xfffd0000,
    0x200fffe8,0xff86ffe8,0x3fff606f,0x1fff31ff,0x04ffff98,0xffe80000,
    0xffd00007,0x0fffee0f,0x7ffdc000,0xff700003,0x2e00007f,0x00003fff,
    0x0fffcc00,0x001ffe60,0xffb0bff9,0x984ff983,0x36203fff,0x7cc1ffff,
    0x3f6203ff,0x7fcc1fff,0x3ff6203f,0x7ffcc1ff,0x3fff6203,0x00bffb1f,
    0x3ffff200,0x3ea00002,0xfd881fff,0x3fea04ff,0xffd881ff,0x3ffea04f,
    0xfffd881f,0x3fffea04,0x4fffd881,0x07fffea0,0x813fff62,0xffc801a9,
    0x7fffd44f,0x2fffe882,0x544fffb8,0x1fffcffd,0x7c45fff1,0x102fffff,
    0x32006a60,0x35304fff,0x09fff900,0x006ffff4,0x3fffa00c,0x7401800d,
    0x1800dfff,0x06ffff40,0x4c0000c0,0x7dc01fff,0x3fe6005f,0x43ffc80f,
    0xfff02ffc,0xfffd503f,0xffff03ff,0xffffd503,0x3ffff03f,0xfffffd50,
    0x03ffff03,0x3fffffd5,0x00017ff6,0xaeffffd8,0x7f400009,0xfecdffff,
    0x7400efff,0xecdfffff,0x400effff,0xcdfffffe,0x00effffe,0x6ffffff4,
    0x0effffec,0x7fffff40,0xeffffecd,0x3bffea00,0xfffdccce,0xfffd80ff,
    0xfffeddef,0xffff104f,0x29fffdbf,0x3ffa1fff,0xd9fffddf,0xecccefff,
    0xddfff507,0xffffb999,0x3ffea01f,0xffdcccee,0x3ea00fff,0xccdeffff,
    0x200ffedc,0xdefffffa,0x0ffedccc,0x3ffffea0,0xfedcccde,0x3ffea00f,
    0xdcccdeff,0x40000ffe,0x6c01fff9,0x3fa002ff,0xbfff302f,0x640dff95,
    0xfdcdffff,0x1fffdfff,0xcdffffc8,0xffdffffd,0xffffc81f,0xdffffdcd,
    0xffc81fff,0xfffdcdff,0xfb1fffdf,0xc80000bf,0xffffffff,0x3fee0003,
    0xffffffff,0x3ffee004,0x4fffffff,0x3fffee00,0x04ffffff,0x3ffffee0,
    0x004fffff,0x3fffffee,0xa804ffff,0xffffffff,0x200effff,0xfffffffb,
    0x7cc04fff,0x4fffffff,0xffa87ffe,0xd11fffff,0xffffffff,0x3ffffea0,
    0xefffffff,0x3fffea00,0xffffffff,0xffe9800e,0xffffffff,0x7f4c00ff,
    0xffffffff,0x74c00fff,0xffffffff,0x4c00ffff,0xfffffffe,0x000fffff,
    0x00fffcc0,0x64003ffe,0x7fe405ff,0x401fffff,0xfffffffe,0x03fff2ff,
    0x3ffffffa,0x3fff2fff,0x3fffffa0,0xfff2ffff,0x3ffffa03,0xff2fffff,
    0x017ff63f,0x3ffaa000,0x0003ffff,0x7ffffecc,0xd98002de,0x2defffff,
    0xfffd9800,0x8002deff,0xefffffd9,0xfd98002d,0x02deffff,0xfffffb30,
    0x005bffff,0x3fffff66,0xfb1000df,0xfe85bfff,0x7fffd41f,0x7ffecc1d,
    0xfb304fff,0xffffffff,0xffb3005b,0xbfffffff,0xffd70005,0x9bffffff,
    0x7fff5c00,0x04dfffff,0x3ffffae0,0x004dffff,0x3fffffae,0x0004dfff,
    0x201fff98,0xf3006ff8,0xff7001ff,0x2e001bff,0x0cefffff,0xfb807ffa,
    0x20ceffff,0x3ee01ffe,0x20ceffff,0x3ee01ffe,0x20ceffff,0xbffb1ffe,
    0x64c00000,0x0003fffe,0x00026620,0x00099880,0x00266200,0x00998800,
    0x02662000,0x53331000,0xa8800035,0x0cc00009,0x002a6000,0x880026a6,
    0x001aa999,0x2aa66620,0x26200001,0x8000199a,0x00199a98,0x199a9880,
    0x9a988000,0x98000019,0x00998019,0x01880000,0x00266200,0x004cc400,
    0x00998800,0x01331000,0x0004cc40,0x00260000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x44066620,0xaa800099,0x00000000,0x00aaa980,
    0x09998800,0x22099988,0x00000099,0x20001a98,0x4c000009,0x000001aa,
    0x001554c0,0x05553000,0x19881988,0x26662000,0x00999880,0x30000260,
    0x00001333,0x04cccc00,0x26666662,0x31000099,0x00033103,0x4c000026,
    0x99999999,0x26662009,0x00099999,0x8004d4c0,0x99999999,0x88000009,
    0x000abcca,0x713ffa20,0xe8001dff,0xff700fff,0xfff8007f,0x7ffecc06,
    0xffffffff,0xfffd006f,0x1ffffa83,0x00017ff6,0x7ecc3fff,0x1004ffff,
    0x905dfffb,0x2e2ffd85,0x03ffffff,0xffd00000,0x33331007,0xfb013333,
    0x1ffb809f,0x80007fec,0x7d41fffe,0x6c401fff,0x2c82efff,0x17fffdc0,
    0x7ec00000,0x7ff40eff,0x04ffffff,0xd83ff700,0xfb1000ff,0x05905dff,
    0x3fffffe0,0x3a03ffff,0xffffffff,0xffeb8004,0x2204ffff,0xffffffff,
    0x2200002f,0xfffffffc,0x3fa20003,0x0effd8df,0x7fffd400,0x0dfff104,
    0x01fffcc0,0xfffffff9,0xdfffffff,0x83fffb00,0x6c0efff9,0x7c0005ff,
    0xffff51ff,0x880dffff,0xdffffffe,0x361ffc9a,0xfffe8aff,0x005fffff,
    0x7ffc4000,0xffffe800,0xff84ffff,0x77fd401f,0x006ffb89,0x983fffb0,
    0x4400efff,0xdffffffe,0x401ffc9a,0x002fffe9,0x3fff6000,0xfffffd04,
    0x20009fff,0xfb89effa,0xffd1006f,0x935bffff,0xfff003ff,0x7fffffff,
    0x7fffff40,0x22004fff,0xfffffffd,0xff881eff,0x2fffffff,0xffd10000,
    0x9fffffff,0x7ff44000,0x8000efff,0x205ffffb,0x9001fffc,0x3ee01fff,
    0xeb99beff,0x05eeffff,0x220fffe4,0xfd80dfff,0x7fc0005f,0xcefffb9f,
    0x203ffffd,0xffdbdffd,0x6c5fffff,0xdfffebff,0x02ffffdc,0x200ccc40,
    0xfd005ffa,0x9fffffff,0xd006ff98,0x5fffffff,0x3fff9000,0x00dfff88,
    0xfdbdffd8,0x05ffffff,0x05fffb10,0xfffb0000,0x66665c05,0x0004fffc,
    0x3ffffffa,0xbffb002f,0xffffffb7,0x2aaa00bf,0x1aaaaaaa,0x333332e0,
    0xd1004fff,0xd957bfff,0x9901ffff,0x5fff9999,0x3ff20000,0xfffdaadf,
    0x3a20001f,0x0000efff,0x405ffff3,0xf004fff9,0x3fe20bff,0xfffb00df,
    0x3fff7001,0x204ffe88,0x40005ffd,0x1effdfff,0x1037ff44,0xfffea87f,
    0xffffd85f,0x7ffcc0df,0x7ffd4006,0x00bff201,0x7e66665c,0x1ffe44ff,
    0xffffd880,0xffb8003f,0x27ff441f,0xea87f100,0x8005ffff,0x0002fffb,
    0x007bff60,0x0027ffc0,0xfffffb10,0x21fc4007,0x05ffffea,0xf0000000,
    0x3f6009ff,0xfff702ff,0x3ffe200b,0xff880002,0x4fff985f,0x66644000,
    0x76d40000,0x07ffe802,0x702fffa8,0x7c401fff,0x664403ff,0x03ccb81c,
    0x0002ffec,0x03bffffe,0x100fffdc,0xd805d4c0,0x3204ffff,0x7d4007ff,
    0x3ffe01ff,0x7ffc0000,0x0007ff44,0x0002aea6,0x2e073322,0x008003cc,
    0x80002ea6,0x0000ccc9,0x0004cca8,0x00027ffc,0x00055d4c,0x01753004,
    0x40000000,0xf9804fff,0x7fdc02ff,0xfff8801f,0xffa80002,0x0dffd01f,
    0x00000000,0x2fffb800,0x903ffec0,0xffd00dff,0x8000000b,0x40005ffd,
    0x200effff,0x0002fff8,0x17fff600,0x001fff30,0x880fffd4,0xf80003cc,
    0x01e644ff,0x00000000,0x00000000,0x00000000,0x3ffe0000,0x00000004,
    0x00000000,0x3ffe0000,0x05ffd804,0x1009ffd0,0x00005fff,0x7e40fff7,
    0x0000006f,0x7c400000,0x3fe205ff,0x17ffa04f,0x001bff60,0xbffb0000,
    0xffff8000,0x03fff800,0x3ff60000,0x1fff9806,0x07ffea00,0x7fc00000,
    0x0000004f,0x00000000,0x00000000,0x00000000,0x0009fff0,0x00000000,
    0x4d4c4000,0x7ffc0000,0x17ffc404,0x806ffc80,0x0002fff8,0xd00fffb8,
    0x200009ff,0x000099a9,0x9004cd4c,0x3ea01fff,0x3ffa01ff,0x04ffe806,
    0x009a9880,0x4c17ff60,0x1fffc01a,0x001ccc80,0x17ff6000,0x00bffe20,
    0x001fffa8,0x9fff0000,0x54c40000,0x00000009,0x00000000,0x30000000,
    0x3e000355,0x000004ff,0x554c0000,0xfec88001,0x00cfffff,0x444fff80,
    0x01fff32c,0x201ffee0,0x0002fff8,0x982fff98,0x10003fff,0xffffffdb,
    0x3b62007d,0x3effffff,0xb04fff98,0xffc80dff,0x3ffe600f,0xffd91003,
    0x8019ffff,0x3f6a4ffd,0xff04ffff,0x3600007f,0xff8805ff,0x00bffb2f,
    0x4005fff1,0x0001fffa,0x09fff000,0xffec8800,0x800cffff,0xf8805ffd,
    0xffe802ff,0x04ffffff,0x7fffff40,0x36004fff,0x3ffee2ff,0x7c003fff,
    0x7f4004ff,0x4fffffff,0xb8bff600,0x03ffffff,0xffffff30,0x005dffff,
    0xf914fff8,0x33ffea5f,0xcccccccc,0x400fffdc,0x0002fff8,0x446fff88,
    0x70006ffe,0xffffffff,0xff700dff,0xffffffff,0x21fffa0d,0x4c03fff8,
    0xe880efff,0xf9800fff,0xffffffff,0x3ff602ef,0xffffff74,0x7fff0bff,
    0x3ff60000,0x2fff8805,0xf100bffb,0x7d4005ff,0x000001ff,0x0009fff0,
    0x7fffffcc,0x402effff,0xf8805ffd,0xffe802ff,0x04ffffff,0x7fffff40,
    0x36004fff,0xfffe8aff,0x005fffff,0xd0013ffe,0xffffffff,0x57fec009,
    0xffffffe8,0x7fdc05ff,0xffdcdeff,0x3e002fff,0xffffcdff,0xffffff92,
    0xffffffff,0xf8801fff,0x900002ff,0x3fea9fff,0x744001ff,0xdcdfffff,
    0x3a206ffe,0xdcdfffff,0xff706ffe,0x0fffb85f,0xbffffc80,0x2ffffbaa,
    0xeffffb80,0xfffffdcd,0xf99ffb02,0xfffd9dff,0x03fff89f,0x0bffb000,
    0x365fff10,0xff8805ff,0x3fea002f,0x0000001f,0x20009fff,0xcdeffffb,
    0x02fffffd,0x22017ff6,0xed802fff,0x4fffeeee,0x77776c00,0x2004fffe,
    0xfffebffd,0x2ffffdcd,0x009fff00,0xfeeeeed8,0x3f6004ff,0xcdfffebf,
    0x102ffffd,0x3203ffff,0x3e007fff,0x3fffffff,0x3ffffff2,0xffffffff,
    0x7c400fff,0x100002ff,0xfffdffff,0xff90003d,0x025405ff,0x405ffff9,
    0xbfff104a,0xb005ffe8,0xffffffff,0xf1007fff,0x3f203fff,0xfffb07ff,
    0xff883dff,0x0fffe0ff,0x2ffec000,0xd97ffc40,0xff8805ff,0x3fea002f,
    0x0000001f,0x10009fff,0x3203ffff,0x3f607fff,0xfff8805f,0x3ffe0002,
    0xfff00004,0x7ffec009,0x7fcc0dff,0x9fff006f,0x3ffe0000,0x3fff6004,
    0x7fcc0dff,0x1dffb06f,0x03fffb80,0xffffff88,0x007ffb83,0x3ffe2000,
    0x3ea00002,0x00dfffff,0x0efff980,0x3ffe6000,0x7ec0000e,0x5fff10ff,
    0xfbdff700,0x01bfffff,0x003bff60,0xfb07fff7,0x7cc0bfff,0x0fffe3ff,
    0x2ffec000,0xd97ffc40,0xff8805ff,0x3fea002f,0x0000001f,0xb0009fff,
    0xfb801dff,0xbffb03ff,0x05fff100,0x027ffc00,0x04fff800,0x13ffff60,
    0xf007ffc8,0x200009ff,0x36004fff,0x3204ffff,0xfffa87ff,0x0fffd003,
    0x7ffffe44,0x3fff500b,0x3e200000,0x554402ff,0x7fffdc00,0x3fa0002f,
    0x740001ff,0x80001fff,0xff93fff9,0x47ffa00f,0x4000aa98,0xd003fffa,
    0xfffb0fff,0x4dffd00b,0x00003fff,0xf100bffb,0x17ff65ff,0x00bffe20,
    0x001fffa8,0x9fff0000,0x3fffa800,0x20fffd00,0xf8805ffd,0x3e0002ff,
    0xf00004ff,0x7ec009ff,0x7fcc05ff,0x4fff800f,0x9fff0000,0x2fffec00,
    0x903ffe60,0x7d400fff,0x7fe441ff,0x4c04ffff,0x00002fff,0x405fff10,
    0xb02ffff9,0x0bffffff,0x3e607332,0x4c0004ff,0x00004fff,0x7ffd7ffa,
    0x07ff8804,0x1fff2000,0x41fffa80,0xb800effd,0x0fffe7ff,0x2ffec000,
    0xd97ffc40,0xff8805ff,0x3fea002f,0x0000001f,0xc8009fff,0x3ea007ff,
    0x5ffd81ff,0x02fff880,0x013ffe00,0x027ffc00,0x300dffb0,0xff003fff,
    0x3e00009f,0x3f6004ff,0xfff9806f,0x002ffec1,0x7dc5fff1,0x4fffffff,
    0x006fff80,0x5fff1000,0x7fffff40,0x7efffec0,0x7fc43fff,0x1fffa82f,
    0x7ffd4000,0x3ee00001,0x01fffaff,0x003fff98,0x00bffb00,0x3617ffc4,
    0xff5005ff,0x00fffe1f,0x02ffec00,0xfd97ffc4,0xfff8805f,0x3ffea002,
    0xf0000001,0xfd8009ff,0x3fe2005f,0x05ffd82f,0x002fff88,0x0013ffe0,
    0x0027ffc0,0xf100bffb,0xfff005ff,0x3fe00009,0x3ff6004f,0x2fff8805,
    0x20027ff4,0x3ff63fff,0x04fff8bf,0x003fffb8,0x2fff8800,0xffffff10,
    0x99fffe43,0x3ea1ffff,0x7ffb81ff,0x7ffb8000,0x7fc40000,0x1006ffff,
    0x799dffff,0xd0013555,0xff8009ff,0x02ffec3f,0xff1fff98,0x3600007f,
    0xff8805ff,0x00bffb2f,0x4005fff1,0x0001fffa,0x09fff000,0x004ffe80,
    0x7ec1fffc,0xfff8805f,0x3ffe0002,0xfff00004,0x2ffec009,0x017ffc40,
    0x00027ffc,0x2004fff8,0xf8805ffd,0x1fffc2ff,0xd93ffe00,0x13ffe0cf,
    0x06ffff40,0xff8800c0,0xffff102f,0x3ffe23ff,0x87fffdc5,0xfd80fffb,
    0xfd80006f,0xd800006f,0x003fffff,0x3ffffff2,0xcfffffff,0x007fff00,
    0x7ec4fff8,0xfff3005f,0x000fffe5,0x402ffec0,0xffb2fff8,0x5fff100b,
    0x0fffd400,0xff800000,0x7ffc004f,0x27ffc003,0x4402ffec,0x20002fff,
    0x00004fff,0x6c009fff,0xff8805ff,0x4fff802f,0x9fff0000,0x02ffec00,
    0xf117ffc4,0xff8007ff,0x3fe02a4f,0xfff5004f,0xb999bdff,0xf1001ffd,
    0x7fec05ff,0x3ffee6ff,0x96fffc80,0x3ff60fff,0xffd80006,0xfa800006,
    0xc8006fff,0xffffffff,0x42ffffff,0x4003fff8,0x7fec4fff,0x3fff3005,
    0x0000fffe,0x4402ffec,0xbffb2fff,0x05fff100,0x00fffd40,0xfff80000,
    0x3ffe2004,0x27ffc003,0x4402ffec,0x20002fff,0x00004fff,0x6c009fff,
    0xff8805ff,0x4fff802f,0x9fff0000,0x02ffec00,0x3e17ffc4,0x7fc004ff,
    0x4fff803f,0x3fffa600,0xffffffff,0xfff8800f,0x3bff6202,0xe81bff20,
    0x6ffddfff,0x000fff90,0x000fff90,0x0ffffa00,0x5bfff500,0xfffb9999,
    0xfff83fff,0x1fffc004,0x54017ff6,0x7fff0fff,0x3ff60000,0x2fff8805,
    0xf100bffb,0x7d4005ff,0x000001ff,0x8009fff0,0x7c004fff,0x5ffd83ff,
    0x02fff880,0x013ffe00,0x027ffc00,0x100bffb0,0xff005fff,0x3e00009f,
    0x3f6004ff,0xfff8805f,0x002fff42,0xf003fff1,0xd70009ff,0xffffffff,
    0x3fe2009d,0xd808802f,0x3fe206ff,0x703fffff,0x80001fff,0x0000fffb,
    0x007ffe80,0x4027ffcc,0x743fffe8,0x3e2005ff,0x2ffec1ff,0x007ffb80,
    0x2ffec000,0x017ffc40,0x01fff980,0x007ffea0,0x7ffc0000,0x2fff4004,
    0x03fff100,0xf100bffb,0x7c0005ff,0xf00004ff,0x7ec009ff,0xfff8805f,
    0x04fff802,0x09fff000,0x402ffec0,0x7ec2fff8,0x3fee007f,0x4fff800f,
    0x7dcc4000,0x7c4000ff,0x360002ff,0x7fcc07ff,0xf500ffff,0xa80005ff,
    0x00002fff,0x001fffdc,0x9801bff2,0x7fec5fff,0x3ffee007,0x802ffec0,
    0x00005ffd,0x402ffec0,0x0002fffa,0x4001fff5,0x0001fffa,0x09fff000,
    0x007ffd80,0x3603ffee,0xffa805ff,0x3fe0002f,0xff00004f,0x7fec009f,
    0x2fff8805,0x004fff80,0x009fff00,0x4402ffec,0x7fdc2fff,0xdffd003f,
    0x013ffe00,0x00fff400,0x017ffc40,0x01fff900,0x05ffffb8,0x003fffe2,
    0x0ffff880,0xfff10000,0xfff8001f,0x27ffc004,0x400fffee,0xffd86ffe,
    0x2fff9805,0x00666440,0x301bff20,0x0005ffff,0x5001fff2,0x00003fff,
    0x013ffe00,0x007fff70,0x7e41bffa,0x7ffcc06f,0x3fe0002f,0xff00004f,
    0x7fec009f,0x2fff8805,0x004fff80,0x009fff00,0x4402ffec,0xffe82fff,
    0x7ffe400e,0x09fff001,0x0bff7000,0x0bffe200,0x5fffa800,0x77fffc40,
    0x13fff200,0x9fff9000,0x3ffa0000,0xfff8002f,0x3ffea005,0x00effe82,
    0x6c0fffe4,0xffe805ff,0x07ff9806,0x01fffb80,0x05fffff3,0x0bfff100,
    0x01fffa80,0xfff00000,0xdffd0009,0x1fffc801,0x203fff70,0x02fffff9,
    0x013ffe00,0x027ffc00,0x100bffb0,0xff005fff,0x3e00009f,0x3f6004ff,
    0xfff8805f,0x1ffffa82,0x04fffd88,0x0013ffe0,0x000bffa0,0x0017ffc4,
    0x037fffa0,0x3fffffee,0x3fffe205,0x20b7102e,0x02effff8,0x3fa60b71,
    0xfd0004ff,0xff5007ff,0xfff501ff,0xfffb103f,0x07bff609,0x00ffff4c,
    0x4002ffdc,0x540efff9,0x02ffffff,0x07fff440,0x07ffea00,0x7fc00000,
    0xffa8004f,0xffd881ff,0x3ffe604f,0x7fffd40e,0x3e0002ff,0xf00004ff,
    0x7ec009ff,0xfff8805f,0x04fff802,0x09fff000,0x402ffec0,0xfd02fff8,
    0xfd9bffff,0x4001dfff,0x80004fff,0x10004ffe,0x80005fff,0xeefffff9,
    0xfffffffe,0x3fea03ff,0xfeeeffff,0x3fea06ff,0xfeeeffff,0xffdd96ff,
    0x4000dfff,0xcefffffa,0xfffecbab,0x3fffa01f,0xfffecdff,0xfffb00ef,
    0xffdb9bdf,0x3f6007ff,0xffb0002f,0xfffd9bff,0x2005ffd5,0x03ffffeb,
    0x01fffa80,0xfff00000,0x3ffa0009,0xffecdfff,0x7ec00eff,0xffecdfff,
    0x402ffeaf,0xfffffffc,0xffffffff,0xfffffc84,0xffffffff,0x5ffd84ff,
    0x92fff880,0xffffffff,0x9fffffff,0xffffff90,0xffffffff,0x0bffb09f,
    0x405fff10,0xfffffffb,0xdd704fff,0xffffdddd,0x007ddddd,0x1e77ffd4,
    0x7fffffec,0xffffffff,0x3fea002f,0xffffffff,0x2ffff99d,0x3ffffa20,
    0x06ffffff,0x7fffff44,0xfd6fffff,0x007fffff,0xfffff700,0xffffffff,
    0xfff7005d,0x9fffffff,0xfffffd80,0x1effffff,0x003ffe00,0x7ffffcc0,
    0xffd2ffff,0x3fff6005,0xff50004f,0xffffffff,0xc80bffff,0xffffffff,
    0x4fffffff,0xfffffb80,0x004fffff,0xfffffff3,0x0bffa5ff,0xffffff90,
    0xffffffff,0xffff909f,0xffffffff,0xffb09fff,0x5fff100b,0x3ffffff2,
    0xffffffff,0xffffc84f,0xffffffff,0xffd84fff,0x2fff8805,0x7fffecc0,
    0x3f202def,0xffffffff,0x04ffffff,0x27ffff40,0x7fffffec,0xffffffff,
    0x7644002f,0x42deffff,0x400ffffb,0xfffffeda,0xdb5001ce,0x39dfffff,
    0x037ffffa,0xfeb88000,0xdfffffff,0x7fecc002,0x002defff,0xfffffb73,
    0xf88007bd,0x6c40006f,0x20dfffff,0xfb002ffd,0x540003df,0xffffffff,
    0x05ffffff,0x7fffffe4,0xffffffff,0xffb3004f,0x005bdfff,0xfffffd88,
    0x00bff60d,0xfffffff9,0xffffffff,0xfffff909,0xffffffff,0xbffb09ff,
    0x25fff100,0xfffffffc,0xffffffff,0xfffffc84,0xffffffff,0x5ffd84ff,
    0x02fff880,0x40026620,0xfffffffc,0xffffffff,0xccb88004,0xfffffd82,
    0xffffffff,0x4c0002ff,0x98000001,0x33000019,0x0026a203,0x26620000,
    0x000009aa,0x00001331,0x30000266,0x4c000013,0x3000009a,0x3ea00003,
    0xffffffff,0x405fffff,0xfffffffc,0xffffffff,0x09988004,0x13530000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x26200000,
    0x01333009,0x26666000,0x33300000,0x09988013,0x00013330,0x00002662,
    0x2a200000,0x981aabcb,0x98001bca,0x13322019,0x44033300,0x4cc004cc,
    0x99999801,0x40099999,0x00000998,0x99999998,0x4c000999,0x0009aaaa,
    0x33009988,0x0dd40013,0x33333000,0x00133333,0x2aea6200,0x0666209a,
    0xa9800000,0x00000000,0x00099880,0x00002662,0x26666000,0x7ffcc000,
    0x002ffec2,0x0efffd80,0xfffd8000,0x7ffcc00e,0x002ffec2,0x03fffe88,
    0x882ffb80,0xfb800efd,0xffffffff,0x7fffffc4,0x09ffb001,0x00ffff91,
    0x64427fec,0x36007fff,0xfff804ff,0x3fffffff,0x002ffec0,0x7ffffc00,
    0x403fffff,0xfffffeb8,0x2000cfff,0x7ec2fff9,0x3ff6005f,0xfff0002f,
    0x7fffffff,0xffe98000,0x2a7fffff,0x00000fff,0x01fffd80,0x4402ffec,
    0x22002fff,0xb003fffe,0x00000bff,0x0efffd80,0xcfff9800,0x0005ffe8,
    0x009fffb0,0x13fff600,0x8cfff980,0x10005ffe,0x07fffffd,0x07fffc40,
    0x9817ffee,0xfffffffe,0x777c4fff,0xfa805fff,0x7ffdc0ef,0xff5007ff,
    0xffffb81d,0xdff5007f,0xfffff001,0x807fffff,0x00005ffd,0xfffffff8,
    0x7e403fff,0xffffffff,0x26002fff,0xffe8cfff,0x3ffea005,0xfff0006f,
    0x7fffffff,0x7ffec000,0x27ffffff,0x0000fffa,0x7fffcc00,0x02ffec05,
    0x8017ffc4,0x3fffffe8,0x005ffd80,0x3ff60000,0x7cc0004f,0x005fffff,
    0x05fffb00,0x3fff6000,0xfff98002,0x10005fff,0xfff5bffd,0x3ffe6007,
    0x2fffe40f,0xceffff88,0x03ccaaab,0xf101ffee,0xfff985ff,0xf8807ffe,
    0x7ffcc2ff,0xf8807ffe,0x555002ff,0x35555555,0xdfff9990,0x00999999,
    0x55555540,0x6401aaaa,0xdccdefff,0x000fffff,0x3fffffe6,0x7ffd4005,
    0x5550007f,0x35555555,0x3ffee000,0x6ecbabcf,0x0003ffea,0xffff5000,
    0x05ffd80d,0x802fff88,0xffadffe8,0x2ffec03f,0xfd800000,0x300002ff,
    0x000bffff,0x007bff60,0x0f7fec00,0xffff3000,0x3fa2000b,0x0fffe64f,
    0x4427fec0,0xffb01fff,0xfb80005f,0x2ffe406f,0x0fff2ee8,0x3a0bff90,
    0x900fff2e,0x00000bff,0x3fffffe0,0x07ffffff,0xc8000000,0x7ffe401c,
    0x7ffcc005,0xff88005f,0x000004ff,0xfff88000,0xfff5000e,0x88000001,
    0x6c03ffff,0xff8805ff,0x7ff4402f,0x80fffe64,0x00005ffd,0x01effd80,
    0x2664c000,0x4cca8000,0x332a0000,0x99300004,0x665c0009,0x01ccc882,
    0x05440330,0x003fffa8,0x1dfffd50,0x807ffcc0,0x2603ffc0,0xf8100fff,
    0x7ffcc07f,0xf0000000,0xffffffff,0x0000ffff,0x44000000,0x98007fff,
    0x260004cc,0x000004fd,0xfff70000,0x7ffd4003,0x98000000,0xffd803ed,
    0x2fff8805,0x441665c0,0xffb01ccc,0xa800000b,0x000004cc,0x00000000,
    0x00000000,0x00000000,0xf9000000,0x7dc000df,0x3a04ffff,0x3fe002ff,
    0x017ff407,0xfe80fff0,0x0000002f,0x37ffa666,0x00199999,0x00000000,
    0x0007ffe4,0x00000000,0x90000000,0xfa800dff,0x000000ff,0x5ffd8000,
    0x02fff880,0xffb00000,0x0000000b,0x00000000,0x00000000,0x00000000,
    0x00000000,0x09ffd000,0x7e5d4c00,0x5ffc83ff,0x903ffc00,0xff800bff,
    0x017ff207,0x9aaaa980,0x0bffb000,0x35300000,0x26000001,0x00001fff,
    0x00000000,0x3f600000,0x7fd4005f,0x0000000f,0x05ffd800,0x002fff88,
    0xbffb0000,0x00000000,0x00000000,0x0006a600,0x20000000,0x000001a9,
    0xf0000000,0x400007ff,0x7fcc5ffe,0x3ffc000f,0x000fff98,0xff983ffc,
    0x3ae2000f,0xffffffff,0x2ffec00c,0xfeb80000,0x004fffff,0x0fffcc00,
    0x01aa9800,0x7ec00000,0xfff8805f,0x09ffd002,0x00fffa80,0x80000000,
    0xf8805ffd,0x000002ff,0x530bffb0,0x00000035,0x7fffdc00,0xffffffff,
    0x3ffe06ff,0x3ffff661,0xfffe804f,0x004fffff,0xfb30fffc,0xd009ffff,
    0xffffffff,0xfffe8009,0x404fffff,0x0002fff8,0x27ffd442,0x2000bffa,
    0x5ffd07ff,0x20fff000,0x64002ffe,0xffffffff,0x3602ffff,0x1aaa85ff,
    0x7ffec400,0x1effffff,0xddb97300,0x03fffddd,0xffb8bff6,0xfd03ffff,
    0x9fffffff,0x02ffec00,0x8017ffc4,0x54004fff,0x7dc00fff,0xff701fff,
    0xffffffff,0x7ecdffff,0xfff8805f,0x007ffe22,0xfdaffec0,0x3fffee4f,
    0x7fdc03ff,0xffffffff,0x7006ffff,0xffffffff,0x0dffffff,0xffa8fffc,
    0x06ffffff,0x7ffffff4,0x7fc004ff,0xfffff51f,0xfe80dfff,0x4fffffff,
    0x7ffff400,0x4c04ffff,0x30002fff,0x1dffffff,0x8002ffdc,0x5ffb87ff,
    0x70fff000,0xf9000bff,0xfb99bdff,0x3601ffff,0x3ffee4ff,0xe8803fff,
    0xecabdfff,0x2a00ffff,0xfffffffe,0xb01fffff,0xfffd15ff,0xd0bfffff,
    0xffffffff,0x2ffec009,0x017ffc40,0x4004fff8,0x2a00fffa,0x2e01ffff,
    0xffffffff,0x26ffffff,0xf8805ffd,0x17ffc2ff,0xb4ffe800,0xfffb19ff,
    0x40bfffff,0xfffffffb,0x6fffffff,0xddddd500,0xffdddddd,0x4fffc0bf,
    0xfdcefffb,0x3b603fff,0x4fffeeee,0x5cfffc00,0xffdcefff,0x3bb603ff,
    0x04fffeee,0x777776c0,0x7cc04fff,0xf30002ff,0x4c1bffff,0xf0000fff,
    0x0fff98ff,0x98fff000,0xc8000fff,0x7ffe401c,0xd19ffb05,0xffffffff,
    0x2fffd80b,0x20bfff70,0xeffffffc,0x1fffeeee,0xffd7ffb0,0xffffb9bf,
    0xeeeeed85,0x36004fff,0xff8805ff,0x2666622f,0x99dfff99,0x20999999,
    0xf500fffa,0xea803fff,0xeeeeeeee,0x365fffee,0xff8805ff,0x01fff42f,
    0xfb3ffe80,0x9bfffd9f,0x205fffff,0xeeeeeeea,0x5fffeeee,0xffe80000,
    0x37ffe00f,0x7f441eff,0xfff8006f,0x6fffc004,0x7f441eff,0xfff8006f,
    0xfff00004,0x2fff9809,0x26aa6000,0x003ffe80,0xffd06660,0x0ccc0007,
    0x0000fffa,0x0ffff100,0x3ffb3ff6,0xfffffccf,0x05fff302,0x541fffb8,
    0x2602efff,0xffb01fff,0xf981bfff,0xfff006ff,0x2ffec009,0x517ffc40,
    0xffffffff,0xffffffff,0x7ffd45ff,0x0ffffa80,0x7ff40000,0x017ff60f,
    0xfb0bffe2,0x3fe0009f,0xfffffb1f,0x6fffb81b,0xfffe8000,0x7e400000,
    0x7ffc02ff,0xff700eff,0xfff8003f,0x7fffc004,0xfff700ef,0x4fff8003,
    0x9fff0000,0x02fff980,0x3fee0000,0xfb800006,0xb800006f,0x000006ff,
    0xb01fff90,0x81bfffff,0xfb06fffb,0x3ffa00bf,0x007fff44,0x6c07ffe6,
    0x3204ffff,0xfff007ff,0x2ffec009,0x517ffc40,0xffffffff,0xffffffff,
    0x7ffd45ff,0x077ffd40,0x3ff20000,0x02ffec2f,0x3217ffc4,0xf88005ff,
    0xffffb0ff,0x03ffe409,0x0bfff200,0xfff50000,0xdffff009,0x17ffc401,
    0x013ffe00,0x01dffff0,0x0017ffc4,0x00013ffe,0x26027ffc,0x00002fff,
    0x003fff10,0x1fff8800,0x7fc40000,0x0000001f,0xfb03fff3,0x7e409fff,
    0x2fff887f,0x44dff900,0xf9803fff,0xfffb01ff,0x0fff980b,0x004fff80,
    0x22017ff6,0x3baa2fff,0xffffeeee,0xeeeeeeee,0xa83ffea2,0x0000efff,
    0x427ffd40,0xfa805ffd,0x37fdc2ff,0x7cc2ffcc,0x17fff67f,0x001fff30,
    0x013ffea0,0xdfff3000,0x03fffe00,0x000fffe0,0xf8009fff,0xff800fff,
    0x7ffc003f,0xfff00004,0x2fff9809,0xffb00000,0xfb000007,0xb000007f,
    0x000007ff,0x40fffcc0,0x4c05fffd,0x7fcc0fff,0xfff7000f,0x4017ffcc,
    0xfb01fffb,0xfff300df,0x09fff003,0x402ffec0,0xf002fff8,0xfa8009ff,
    0xdfff50ff,0xf9800001,0xdff906ff,0x2ffff980,0x7dc3ffd4,0x26ffa87f,
    0xf9806ffd,0xf98001ff,0x400006ff,0x000fffe8,0x32007fff,0x7fc001cc,
    0x7ffc004f,0x03999003,0x004fff80,0x809fff00,0x0002fff9,0x006ffa80,
    0x06ffa800,0x6ffa8000,0x65cc0000,0xffeeeeed,0x06ffd81f,0x541fff98,
    0xcccccfff,0xffdccccc,0x07fff30f,0x0ffffec4,0x8805ffd8,0xff802fff,
    0x3ff6004f,0x2fff8805,0x009fff00,0xfa8fffa8,0x00000eff,0x807fff44,
    0xf301fffb,0xf885ffff,0x7fff40ff,0xfb2ffdc2,0xfff100bf,0xffe88005,
    0x6c00000f,0x3e001fff,0x000003ff,0x4004fff8,0x00003fff,0x004fff80,
    0x809fff00,0x0002fff9,0x20fffc40,0x4001aaaa,0x2e61fff8,0xf88002cc,
    0x555541ff,0xfffd5001,0xffffffff,0x0bffb03f,0xc85fff10,0xffffffff,
    0xffffffff,0x07fffe0f,0x3fffffaa,0x00bffb01,0xf005fff1,0x7ec009ff,
    0xfff8805f,0x09fff002,0xfafffa80,0x00000eff,0x201fffd8,0x540efff9,
    0x82ffffff,0x3fe21fff,0x27fe45ff,0xf100bffb,0xfd8005ff,0x400001ff,
    0x4003fffb,0x00003fff,0x004fff80,0x0001fffc,0x027ffc00,0x04fff800,
    0x0017ffcc,0x713ff600,0x800bffff,0x3ff24ffd,0x2000efff,0x7fdc4ffd,
    0xffc805ff,0xeeeeffff,0xfd81fffe,0xfff8805f,0x7ffffe42,0xffffffff,
    0x3f20ffff,0xffdcdfff,0x01fffdff,0xf100bffb,0xfff005ff,0x2ffec009,
    0x017ffc40,0x4004fff8,0xfffdfffa,0xfb800004,0xffd803ff,0xfffecdff,
    0xfe82ffea,0x3fffee2f,0xd8fff60f,0xff8805ff,0x3fee002f,0x4c00003f,
    0xf8005fff,0x000003ff,0x4004fff8,0x00003fff,0x004fff80,0x809fff00,
    0x0002fff9,0xf11bfea0,0x400bffff,0x7ff46ffa,0x5006fffe,0xfff88dff,
    0x7fd405ff,0x3fe602ef,0x05ffd81f,0x5c2fff88,0x200007ff,0xfffffffe,
    0x03fff2ff,0x22017ff6,0xff802fff,0x3ff6004f,0x2fff8805,0x009fff00,
    0xfd8fffa8,0x200003ff,0x3005fff9,0xffffffff,0x20bffa5f,0x3bfa3ffd,
    0x3ffa3ffb,0x2017ff62,0x3002fff8,0x0000bfff,0x00efff88,0x003fff80,
    0x4fff8000,0x01fffc00,0x7ffc0000,0xfff00004,0x2fff9809,0xfff10000,
    0xffcffd83,0x3fff1005,0x3ffe2498,0x0fffc400,0x17ff3ff6,0x801fffd0,
    0xfd81fff9,0xfff8805f,0x00fffd42,0xffff7000,0x7ff419df,0x00bffb01,
    0xf005fff1,0x7ec009ff,0xfff8805f,0x09fff002,0xd0fffa80,0x00007fff,
    0x001dfff1,0x7ffffec4,0x20bff60d,0x9ff14ffc,0x7ffcbff3,0x2017ff60,
    0x8802fff8,0x0000efff,0x00ffff40,0x003fff80,0x4fff8000,0x01fffc00,
    0x7ffc0000,0xfff00004,0x2fff9809,0x9ffb0000,0xff9cffa8,0x09ffb005,
    0xb003ffe0,0xcffa89ff,0x3e205ff9,0xff9803ff,0x05ffd81f,0x4c2fff88,
    0x00002fff,0xfa809988,0x17ff605f,0x00bffe20,0xd8013ffe,0xffa805ff,
    0x9fff002f,0x0fffa800,0x005fffd1,0x01fffe80,0x3026a600,0xff701dff,
    0x7f47feeb,0xfd8fff0f,0xfff8805f,0x1fffe802,0x7fe40000,0x3fe0002f,
    0x8000003f,0x7c004fff,0x000003ff,0x0004fff8,0x9809fff0,0x80002fff,
    0x3e20effa,0x05ff98ef,0x800effa8,0x7d406ffa,0x3bfe20ef,0x2605ff98,
    0xfb802fff,0x5ffd81ff,0x82fff880,0x00006fff,0x037fcc00,0x22017ff6,
    0xff802fff,0x3ff2004f,0x7fffcc06,0x09fff002,0x20fffa80,0x002ffff9,
    0x005fff90,0x3ffe2000,0x3adff500,0x22fff27f,0x2ffec6ff,0x017ffc40,
    0x000bfff2,0x09fff500,0x03fff800,0xfff80000,0x1fffc004,0x7fc00000,
    0xff00004f,0xfff9809f,0x7f440002,0x997fec2f,0x7f4405ff,0xfffb802f,
    0x0bffa201,0x3fe65ffb,0x0fffe605,0x1ffffd88,0x8805ffd8,0xffb82fff,
    0x0000003f,0xfb007ffa,0xfff100bf,0x09fff005,0x80fffdc0,0x02fffff9,
    0x8009fff0,0x7cc0fffa,0x54001fff,0x00004fff,0x880bff60,0x24ff8fff,
    0x5ff9eff9,0x4402ffec,0x3ea02fff,0x400004ff,0x0006fff8,0x0003fff8,
    0x04fff800,0x001fffc0,0x27ffc000,0x4fff8000,0x017ffcc0,0x317ff200,
    0xffb99fff,0x3ff2059d,0x1fffc805,0x262ffe40,0xffdccfff,0xffff02ce,
    0xffffd503,0x0bffb03f,0x205fff10,0x800dfffe,0x3fe20001,0x05ffd807,
    0x802fff88,0x26004fff,0x7d40efff,0x002fffff,0xa8009fff,0xffa80fff,
    0xff1001ff,0x400000df,0x7c00fff8,0x741ffbff,0x6c4ffbff,0xff8805ff,
    0xdfff102f,0xffd00000,0xff00001f,0x0000007f,0xf8009fff,0x000003ff,
    0x0004fff8,0x9809fff0,0x20002fff,0x7cc0fff9,0xffffffff,0x0fff984f,
    0x03bffa20,0x981fff30,0xffffffff,0xfff904ff,0xffffb9bf,0xfb03fffb,
    0xfff100bf,0x3fffea05,0xedcccdef,0xf30000ff,0xffd803ff,0x2fff8805,
    0x004fff80,0x66ffffec,0xffeafffe,0x09fff002,0x00fffa80,0x001dfff9,
    0x0001fffd,0x17ffc400,0x1ffbffa0,0x0fffffee,0xf100bffb,0x3ffa05ff,
    0x6400000f,0xffffffff,0x3fffffff,0x0007fff0,0x3fffff20,0xffffffff,
    0x7fff04ff,0x3ff20000,0xffffffff,0xc84fffff,0xffffffff,0x4fffffff,
    0x0005fff3,0x74c17ff4,0xfffeeeee,0x02ffe83e,0x333fffe2,0x2ffe82cc,
    0xeeeeee98,0x3a03efff,0xffffffff,0xb03fff2f,0xff100bff,0x7ff4c05f,
    0xffffffff,0x3a0000ff,0xd81ddfff,0xff8805ff,0xfffff92f,0xffffffff,
    0x3fe609ff,0x2fffffff,0x3e005ffd,0x7d4004ff,0x3ff600ff,0x3ff200ef,
    0xffffffff,0x003fffff,0x2cefffd8,0x84ffffd8,0x42fffff9,0xf8805ffd,
    0xfffc82ff,0xffffffff,0xd803ffff,0xffffffff,0x3fffffff,0x0007fff0,
    0x3fffff20,0xffffffff,0x7fff04ff,0x3ff20000,0xffffffff,0xc84fffff,
    0xffffffff,0x4fffffff,0x0005fff3,0x30017ff2,0x3ff20bff,0x7fffcc05,
    0x7e44ffff,0x7fcc005f,0xffff7005,0x7ff419df,0x805ffd81,0xb802fff8,
    0xfffffffe,0x4c0004df,0xd81fffff,0xff8805ff,0xfffff92f,0xffffffff,
    0x7ec409ff,0x360dffff,0xfff002ff,0xfffa8009,0x77ffec00,0xfffffb00,
    0xffffffff,0xf30007ff,0xf905ffff,0x3fa03fff,0x7fec0fff,0x2fff8805,
    0xffffffd8,0xffffffff,0xfffd803f,0xffffffff,0xff03ffff,0x3200007f,
    0xffffffff,0x4fffffff,0x0007fff0,0x3fffff20,0xffffffff,0xfffc84ff,
    0xffffffff,0xff34ffff,0xff30005f,0xff98001f,0x00fff985,0x7fffffcc,
    0x3ffe64ff,0x2ffcc000,0x00266200,0x402ffec0,0x4002fff8,0x00199a98,
    0x0ccb9800,0x8805ffd8,0xfff92fff,0xffffffff,0x2009ffff,0x000009a9,
    0xa8009fff,0x74400fff,0xffb05fff,0xffffffff,0x007fffff,0x40e65cc0,
    0x2e07fffb,0xffd87fff,0x2fff8805,0xffffffd8,0xffffffff,0x0000003f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x73100000,0x10001355,0x4c001575,
    0x99999999,0x99819999,0x99999999,0x2a600999,0x2eeaa200,0x4400009a,
    0x00000ab9,0x0066aa62,0x004cc400,0x35595310,0x5d4c4001,0x4400009a,
    0x9999aaa9,0x20009999,0x44001aa8,0x4cc00099,0x00130009,0x00004c00,
    0x4ccccccc,0x99880999,0x04ccc000,0x04cccccc,0x01333000,0x26620000,
    0x33330000,0x33333333,0x01333333,0x01333333,0x55530000,0x33000035,
    0x33333333,0x36e00013,0xffffffff,0x7f64403d,0x00deffff,0x7ffffffc,
    0x0fffffff,0x7ffffffc,0x04ffffff,0xfc85fffb,0xffffffff,0x7f64000c,
    0x003effff,0xffffdb50,0x2005bfff,0xffffeec9,0x7ffec403,0x1effffff,
    0x3ffffaa0,0x4002efff,0xffffffec,0x6fffffff,0x7fff64c0,0x7400bdff,
    0x3e2005ff,0x7fec02ff,0xffd80002,0xfff80002,0x3fffffff,0x2005ffd8,
    0x7cc2fff9,0xefffffff,0xff8801bc,0xd000003f,0xf3000bff,0xffffffff,
    0xffffffff,0xffff98bf,0x1bceffff,0xffffb800,0x005fffff,0xffffff70,
    0x007fffff,0xfffffd88,0x0fffffff,0xfffffd30,0x403fffff,0xffffffff,
    0x40ffffff,0xffffffff,0xb84fffff,0x3e0fffff,0xffffffff,0xe8803fff,
    0xffffffff,0x7fe4005f,0xffffffff,0x7ff5406f,0x03ffffff,0xffffff91,
    0x03ffffff,0xffffffb1,0x00bfffff,0xffffffd1,0xffffffff,0x7ffdc0df,
    0xefffffff,0x017ffa01,0x202fff88,0x0002fff8,0x0017ffc4,0x7fffffc0,
    0xfd83ffff,0x3fe6005f,0x7fffcc2f,0xffffffff,0x3ffe200d,0xfd000003,
    0xdf3000bf,0x99999999,0xf9999999,0xfffff98b,0xdfffffff,0xfffe9800,
    0x5fffffff,0xffffd000,0x7fffffff,0x7fffd400,0xffeedfff,0xfffb80ff,
    0xfffeceff,0xdfff02ff,0xdddddddd,0xffff81dd,0xffffffff,0xffffd84f,
    0x337bfe1f,0xfffffdcc,0x3fffa201,0xffffdbdf,0x7ff4400e,0xffedffff,
    0xffd106ff,0xdddfffff,0x3ffff605,0xfeecccde,0xffffd81f,0xffffdbce,
    0x3ffa604f,0xfffccdff,0x05eeeeee,0x357bfffb,0x05ffffb7,0x88017ffa,
    0x3e202fff,0x440002ff,0x80002fff,0xaaaaaaaa,0x5ffd81aa,0x0bffe600,
    0xddddfff3,0x5fffffff,0x00fffe20,0x2fff4000,0x0027cc00,0xff98bf10,
    0xfffeeeef,0x2202ffff,0xbbceffff,0x8005fecc,0xcffffff9,0x001ccccc,
    0x15dffff7,0xf303f260,0xc8817fff,0xff80ffff,0x8000001f,0xffc84fff,
    0x002a0fff,0x740dfff9,0xfd883fff,0x3fe204ff,0xb500aeff,0xffffd10d,
    0x3ee00357,0x4c401dff,0x067ffd40,0x00fffe98,0xf885fffd,0x3fa001ff,
    0x7fec02ff,0x05ffe82f,0x80bffe20,0x0002fff8,0x0017ffc4,0x3f600000,
    0x3fe6005f,0x17ffcc2f,0x7ffff54c,0x03fff882,0xbffd0000,0xa89f3000,
    0x2fc4009a,0x260bffe6,0x02ffffea,0x1003fffb,0xf9ffb000,0xf88000ff,
    0x02004fff,0x900bfff6,0xfff09fff,0xf0000003,0xfff109ff,0x3f60009f,
    0xfffa80ff,0x07fff403,0x00dfffd8,0x9fffd010,0xdfff0001,0x6ffd8000,
    0x82fff980,0xf883fffa,0xff5001ff,0x3ff2003d,0x005ffe86,0x880bffe2,
    0x40002fff,0x0002fff8,0x7fec0000,0x3ffe6005,0x017ffcc2,0x221fffee,
    0x00003fff,0x000bffd0,0xffff89f3,0x98bf102e,0x7dc02fff,0x9fff07ff,
    0x3e200000,0x007ffaff,0x01fffe40,0x0fffe600,0x207ffec0,0x00001fff,
    0x104fff80,0x54000597,0xffd82fff,0x3fff9805,0x005fff98,0x017ffdc0,
    0x03fff980,0x027ffc00,0xfe83fff8,0x3fff104f,0x007ffa00,0xfe87ffb0,
    0x3fe2005f,0x3ffe202f,0x7fc40002,0x0000002f,0x002ffec0,0xf985fff3,
    0xffb802ff,0x1fffc43f,0xffe80000,0x27cc0a05,0x3bfff732,0x3e62fc40,
    0xffb802ff,0x04fff83f,0x9ff70000,0x4000fff3,0x0006fff9,0x000fffd8,
    0xff87fff5,0x8000001f,0x00004fff,0x20fffcc0,0xb002fff9,0xfffb0dff,
    0xffe80003,0x3fea0004,0x7f40002f,0xfff9804f,0x80fffd43,0xa801fff8,
    0xdcb985ff,0x8dff30ab,0x22005ffe,0xfffb2fff,0xffffffff,0x25ffffff,
    0xfffffffd,0xffffffff,0x000002ff,0x98017ff6,0x7fcc2fff,0xffff002f,
    0x01fffc41,0x5ffe8000,0x9f306fb8,0x446ffb80,0x17ffcc5f,0x40ffff80,
    0x0000fffe,0xf99ffe80,0x3f60007f,0x440001ff,0x22005fff,0x7ffc6fff,
    0xf8000001,0x000004ff,0x7e43ffdc,0xffd3007f,0x2fffcc1f,0x1ffee000,
    0x9fff3000,0xfffc8000,0x0fffe400,0xf881fff6,0xffe801ff,0x7ffffdc1,
    0xe8bff62f,0x3e2005ff,0xffffb2ff,0xffffffff,0x365fffff,0xffffffff,
    0xffffffff,0xffffd02f,0xd809ffff,0x3e6005ff,0x7ffcc2ff,0x5fff7002,
    0x001fffc4,0x25ffe800,0xf306ffea,0x47ff3009,0x7ffcc5f8,0x5fff7002,
    0x0cffffb8,0xdff50000,0x8001ffe6,0x80005fff,0x4002fff9,0x7ffc7ffd,
    0xf8000001,0x000004ff,0x7ec27fec,0xfffb805f,0x3ffee1ff,0x7fec0001,
    0x7fc40005,0x260001ff,0xf100dfff,0x9ffd0dff,0x00fffc40,0xff91bfe2,
    0x545fddff,0x17ffa4ff,0x92fff880,0xfffddddd,0xdddddddd,0x3bbbb25d,
    0xeeeefffe,0xd02eeeee,0xffffffff,0x05ffd809,0x30bffe60,0x22005fff,
    0x3fe23fff,0xd000003f,0xfffd5bff,0x013e609f,0x8bf137ec,0x1002fff9,
    0xffb07fff,0x0017dfff,0xf997fec0,0xff10007f,0xf500007f,0xfc8001ff,
    0x00fffc7f,0x7ffc0000,0x2a000004,0xffe81fff,0x3fff6204,0x3ff22fff,
    0xfff80007,0xffd80003,0x3a0003ff,0x7dc1efff,0xfff81fff,0x07ffe203,
    0x7c49ff30,0x88620cff,0x17ffa5ff,0x02fff880,0x000bffe2,0x005fff10,
    0x777776c0,0x7ec04fff,0x3fe6005f,0x17ffcc2f,0x449fff00,0x00003fff,
    0xffffffd0,0x27cc03bf,0x3e27fc80,0x017ffcc5,0x3209fff0,0xdfffffff,
    0x7ffc4002,0x000fff30,0x000bffe6,0x001ffee0,0xff83ffee,0x2bcdeeef,
    0x3ffe0000,0xc9800004,0xfff01fff,0x3fffe607,0x3f63fffe,0x7c40007f,
    0xfedb89ff,0x2201ceff,0x0beffffe,0x7fff4400,0xefffeadf,0x405fff00,
    0x5401fff8,0x17ff23ff,0xffd3ffc0,0x7ffc400b,0x0bffe202,0x5fff1000,
    0xfff00000,0x05ffd809,0x30bffe60,0x7c005fff,0x3ffe25ff,0x01551003,
    0xbffffff0,0x009f3003,0x45f897fa,0x2002fff9,0x32605fff,0xefffffff,
    0x49ff7001,0x50007ff9,0x32a03fff,0x0ccccccc,0x5000fff9,0x7ffc3fff,
    0xffffffff,0x7fc0000c,0x7dc0004f,0x0effffff,0x2e0bffe0,0xffd4ffff,
    0x0037ff49,0x3f7ffea0,0xffffffff,0x3ffa204f,0x001cffff,0x3fffff62,
    0x3e205fff,0x3fe201ff,0x3fffffff,0x7fec5ff7,0x21ffd003,0x22005ffe,
    0x3e202fff,0x440002ff,0x00002fff,0x6c04fff8,0x3e6005ff,0xfffff2ff,
    0x40dfffff,0x3fe27ffe,0xfff9803f,0xfffd502f,0x7cc003bf,0x17fe4c04,
    0x3fffebf1,0x06ffffff,0x5401fffa,0x0ffffffd,0x261ffe80,0xffffffff,
    0x3fff200f,0xfffff900,0x3ff63fff,0xfffa8006,0x3fffffe2,0x1fffffff,
    0x13ffe000,0xffff7000,0x2205bfff,0x3f622fff,0x3ff62fff,0x0017ffe5,
    0xffffff50,0xffffdddf,0xfffb80bf,0x001dffff,0x3fffffee,0x3ffe601f,
    0x3fffe201,0xfb3fffff,0x007ffc3f,0xffd1ffd8,0x7ffc400b,0x0bffe202,
    0x5fff1000,0xfff00000,0x05ffd809,0x7cbffe60,0xffffffff,0x9fff606f,
    0xe803fff8,0x2a0fffff,0x05fffffe,0xfc84f980,0x7c44ffff,0xfffffff5,
    0x7ec0dfff,0xfea8007f,0x7fd405ff,0x7ffffcc6,0x3200ffff,0xff900fff,
    0x23ffffff,0x98006ffe,0x26662fff,0xffdaa999,0xf0000fff,0x055409ff,
    0xffffff70,0xf883dfff,0xffff31ff,0x15ffd81b,0x8000bfff,0x02dffffb,
    0x805ffff5,0xfffffeb8,0x7fe400cf,0x4fffffff,0x403fff50,0xfffffff8,
    0x43ffb3ff,0xfb000fff,0x017ffa3f,0x202fff88,0x0002fff8,0x0017ffc4,
    0x027ffc00,0x98017ff6,0xffff2fff,0x0dffffff,0xff13ffec,0xfff8807f,
    0xfff11fff,0x000bffff,0xdff909f3,0x3ebf1039,0xffffffff,0x1fff606f,
    0x3fff4400,0xf30fff60,0xddddddff,0x0fffdc01,0xfcaaaa98,0x0fffb1ff,
    0x03fff500,0x5fffd880,0x09fff000,0x003fffd1,0x7fffed4c,0x7e57ffc1,
    0xffd03fff,0x0037ffc9,0x007ffee0,0x801bffe2,0xefffffda,0xffffe880,
    0xeffffeaa,0x017ffcc0,0xb803fff1,0x07ffa2ff,0xfe87ff40,0x3fe2005f,
    0x3bbbb62f,0xeeeeefff,0x7c400eee,0x800002ff,0x7ec04fff,0x3fe6005f,
    0x17ffcc2f,0x44fffd00,0x7c403fff,0xf11fffff,0x0bffd3bf,0xf909f300,
    0x4c5f8807,0x3a002fff,0x320007ff,0x3fe207ff,0x03ffcc0f,0x02fffa80,
    0x647ffe60,0xfb8007ff,0xfd10007f,0x3fe000ff,0xffffb84f,0xfff50007,
    0xffffff8d,0x3ffe01ff,0x001bffa3,0x001fff70,0x0003fff2,0x8bffffb3,
    0xb84fffe8,0x7c46ffff,0x3fe202ff,0x1ffd401f,0x3e009ffb,0x017ffa7f,
    0x3a2fff88,0xffffffff,0x0fffffff,0x017ffc40,0x27ffc000,0x8017ff60,
    0x7cc2fff9,0x3fe002ff,0x0fffe26f,0x9bffff60,0x17ffa1d8,0x3213e600,
    0x22fc403f,0x2002fff9,0x20006fff,0x3f206ffe,0x07ff985f,0x05fff300,
    0xb8fffcc0,0x64000fff,0x2e0007ff,0xf8001fff,0xfffb84ff,0xf70002ff,
    0x7fff45ff,0x7fc00dff,0x01fff62f,0x03fff500,0x007ffea0,0x17fffd40,
    0x4c07fff9,0x7fc2ffff,0x3ffe203f,0x527fcc01,0x2a23bfff,0xfe97fe21,
    0x3fe2005f,0x3ffffa2f,0xffffffff,0x7c400fff,0x800002ff,0x7ec04fff,
    0x3fe6005f,0x17ffcc2f,0x25fff880,0x8803fff8,0x7400effd,0xf98005ff,
    0x4403fc84,0x17ffcc5f,0x25fff880,0xffc801a9,0x0bffe04f,0x4001ffe6,
    0x2004fff8,0xff51fff9,0xffe8005f,0x3fe60005,0xfff8003f,0xfffff984,
    0xfff10003,0x1ffffec7,0x90fffcc0,0x40003fff,0x3002fff9,0x40007fff,
    0xff14fffa,0xfff500bf,0x204fff8d,0x4401fff8,0x7ffec6ff,0x3ea2ffff,
    0x017ff64f,0x201fff98,0x0002fff8,0x0017ffc4,0x027ffc00,0x98017ff6,
    0x7fcc2fff,0xfff5002f,0x01fffc47,0x3fa00110,0x4f98005f,0x7c400988,
    0x017ffcc5,0x2a3fffa8,0xccceefff,0x00effffd,0x5555fff5,0x000fff95,
    0x8007fffc,0xff31fff9,0x7fc400bf,0x3ea0004f,0x7c4002ff,0xfff903ff,
    0x7fc0009f,0x0bfff24f,0x707ffdc0,0x4000bfff,0x3002fff8,0x80005fff,
    0xfff56fff,0x1fffa005,0x7c40fffd,0xffe801ff,0x3ffff222,0x8bff62ff,
    0x2a006ffd,0x3e200fff,0x440002ff,0x00002fff,0x6c04fff8,0x3e6005ff,
    0x7ffcc2ff,0x1fffd002,0x001fffc4,0x05ffe800,0x0004f980,0xfff317e2,
    0x3fffa005,0x3ffffea0,0xefffffff,0x3ffff600,0x7fffffff,0x3ffee000,
    0x3fff3004,0x7003fff4,0x40003fff,0x4000fffc,0x3e02fff9,0x30003fff,
    0x7fd45fff,0xbffd002f,0x00ffff88,0x017ffe00,0x0007ffd4,0x7ddbffa0,
    0xff9000ff,0x0fffdc1f,0x801fff88,0xca886ffa,0x1bfe60ab,0x5c00fff7,
    0x7fc407ff,0x7c40003f,0x800003ff,0x7ec04fff,0x3fea005f,0x17ffcc1f,
    0x237ffd40,0x0003fff8,0x00bffd00,0x7fb09f30,0x7cc5f880,0xffa802ff,
    0x7ffecc6f,0x2dffffff,0x7ffffc40,0x7fffffff,0x7fffc000,0x1fff9800,
    0x200fffee,0x0005fff8,0x001bffa2,0xd803ffee,0x70001fff,0xffe81fff,
    0x1fff9806,0x005fffc8,0x003fff60,0x0001fff6,0x7fdd3ffe,0xfffb002f,
    0x105fff88,0x3a003fff,0x7ec002ff,0x17ffd42f,0x806ffe80,0x80004fff,
    0x00004fff,0x6c04fff8,0x3ee005ff,0x7ffcc0ff,0x7fff4402,0x01fffc41,
    0x5ffe8000,0x4c4f9800,0x2fc407ff,0x100bffe6,0x4403fffd,0x00fffc99,
    0x555dff90,0x0fff9555,0xffffa800,0x0fffcc02,0x880bfffe,0x0001fffe,
    0x298bfff6,0x037ffc40,0x4001fffe,0xfa85fff9,0x3fe203ff,0xffff106f,
    0xf982001d,0x7fcc03ff,0x7e40004f,0xbfff32ff,0x0bfff300,0xf107fff9,
    0x3ea003ff,0xffb002ff,0x0dfff10d,0x005fff70,0x0001fffb,0x000fffd8,
    0x027ffc00,0xe8017ff6,0xfff987ff,0x3fffea02,0x03fff885,0xbffd0000,
    0x889f3000,0x2fc406ff,0xa80bffe6,0x2005ffff,0x3e005ffc,0x3fe602ff,
    0xffe80007,0xfa80acff,0x7ffe41ff,0x3faa21bf,0xa80084ff,0x7d44fffe,
    0x7ff540ae,0x3ffee02f,0x7fe4c002,0xffff00ff,0x5fffd307,0x7ffffdc0,
    0x375cc09b,0x5413fff6,0x566c6fff,0x7ffed400,0x0effffc6,0x82ffffa8,
    0x20bffff9,0x2001fff8,0x2203fffd,0xf901fffe,0x3f201dff,0xff7005ff,
    0x002201bf,0x201bfff7,0x7ffc0008,0x22ffec04,0x7ffecc09,0x22fff983,
    0xffffdca9,0x3fff880d,0xffd00000,0x09f3000b,0x5f880151,0x5317ffcc,
    0x1bffffb9,0x017ff400,0x4c07ffa8,0x880007ff,0xfffffffd,0x1fffffee,
    0xffffffc8,0x0dfffffe,0xdceeefb8,0x85fffffe,0xfefffffa,0xb305ffff,
    0xefd8bfff,0xfffedcde,0x3e601fff,0xffddffff,0xfb802fff,0xfeffffff,
    0x7cc6ffff,0xeccdefff,0x7ec1ffff,0xfeeeffff,0x40efffff,0xdefffff9,
    0x3fffffec,0x3ffffea0,0xfffffece,0xf906ffff,0xd957bfff,0x4403dfff,
    0xcdefffff,0x00fffffe,0x3bffffa0,0x802feedd,0xddeffffe,0x7c002fee,
    0x7fec04ff,0x7f777dc5,0xff306fff,0xffffffff,0x7c409fff,0xffffffff,
    0x007fffff,0x3ffffffa,0x5fffffff,0x440009f3,0x7fffcc5f,0xffffffff,
    0xfff8004f,0x09ffd000,0xeeefff98,0x5c004eee,0xffffffff,0x701fffff,
    0xffffffff,0x7fdc07ff,0xffffffff,0xffff502e,0x07ffffff,0x1bffffff,
    0xffffffd8,0x00cfffff,0xfffffe88,0x2002ffff,0xffffffe9,0x886fffff,
    0xfffffffe,0xffd80eff,0xffffffff,0xf500dfff,0xffffffff,0xf3009fff,
    0xffffffff,0xdfffffff,0x7ffffd40,0x00dfffff,0xfffffd88,0x00dfffff,
    0x7ffffcc0,0x802fffff,0xfffffff9,0xffc82fff,0xffffffff,0xfb4fffff,
    0xffffb8bf,0xf301efff,0xffffffff,0xf8805bff,0xffffffff,0x007fffff,
    0x3ffffffa,0x5fffffff,0xdddddff3,0xdddddddd,0xff98bfdd,0xffffffff,
    0xf98002df,0xfff3006f,0xffff9803,0x005fffff,0xffffdc88,0x400bdfff,
    0xeffffec9,0x7ffdc01d,0x02dfffff,0xfffffc98,0xffff01de,0x3fff605d,
    0x0cefffff,0x7ff64400,0x0001ceff,0xdffffd97,0x7640137b,0x03efffff,
    0x3fffff6a,0x00cfffff,0xfffffd70,0x440017ff,0xffffffdb,0x6fffffff,
    0x7ffedcc0,0xa8002cef,0xeffffffe,0x7f5c0002,0x02efffff,0x3ffffae0,
    0xffc82eff,0xffffffff,0xfb4fffff,0xfffea8bf,0x7fcc04ef,0xbcdeffff,
    0xffff1000,0xffffffff,0x7f400fff,0xffffffff,0xff35ffff,0xffffffff,
    0xffffffff,0xfffff98b,0x000bcdef,0x4013fee0,0xf9806ffc,0xffffffff,
    0xa9880005,0x4cc00009,0x54cc4000,0x2200009a,0xacd80099,0xaa998801,
    0x4c000009,0x33000001,0x054c0001,0x9aa99800,0xa9980001,0x26200001,
    0x88000009,0x4c400001,0x30000009,0x30000333,0xffc80333,0xffffffff,
    0x004fffff,0x000000c4,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x01331000,0x35300000,
    0x04ccc013,0x00099880,0x80157530,0x99999999,0x99999999,0x03331099,
    0x21333100,0x99999998,0x10999999,0x44000333,0xb9800999,0x3310009a,
    0x99880013,0x00266209,0x40013330,0x20009999,0x19999998,0x4cccc400,
    0x99999999,0x75300199,0x13310013,0x42666200,0x09999998,0x03331000,
    0x09998800,0x00333300,0x19880ccc,0x00333310,0x33310ccc,0x33333333,
    0x44333333,0x99999999,0x99999999,0x06662001,0x33333310,0xbffd0003,
    0xdb100000,0x7dffffff,0x002fff88,0x4400bffd,0xfffffffc,0xfffff984,
    0xffffffff,0xf76fffff,0xfd8009ff,0xffffd0ff,0xffffffff,0x0bfff6df,
    0x0fffdc00,0xfffffeb8,0x7fdc00df,0x3fe2005f,0x17ff60ef,0x02fff980,
    0x0fffff50,0x7fffff40,0x02deffff,0x3ffffff2,0xffffffff,0xfffd300f,
    0x7403dfff,0xff9805ff,0xffffd0ef,0x379dffff,0x03fff500,0x2fffec00,
    0x17fffcc0,0xff06ff80,0x3ffff20f,0x0fff8801,0xfffffff9,0xffffffff,
    0x7fffd4ff,0xffffffff,0x7007ffff,0x7401ffff,0xffffffff,0x7f400cef,
    0x5c00005f,0xffffffff,0x7ffc46ff,0x0bffd002,0x3ffffea0,0x22efffff,
    0xfffffff9,0xffffffff,0x3ffa6fff,0xfff3000f,0x7fffff49,0xffffffff,
    0x009fff56,0x221bffa0,0xfffffffe,0x7f403fff,0xffb001ff,0x05ffd85f,
    0x00bffe60,0x17ffffe4,0xfffffe80,0xefffffff,0xfffffc81,0xffffffff,
    0xfffc80ff,0x3fffffff,0x880bffd0,0x3fa0ffff,0xffffffff,0x7d404fff,
    0x3a0001ff,0x6400ffff,0x8802ffff,0x0dff06ff,0x017ffff2,0x7e43ffe2,
    0xffffffff,0x7fffffff,0x3fffffea,0xffffffff,0x7fd407ff,0x3a00ffff,
    0xffffffff,0xd01dffff,0x20000bff,0xdfffffe8,0x446ffedc,0xfd002fff,
    0xfff300bf,0xffb959df,0x77774cbf,0xefffeeee,0x24eeeeee,0xd005fffa,
    0xfffe8dff,0xeeeeeeee,0x1fffe5ee,0x13ffe200,0x9dfffff5,0x03fffffb,
    0x4037ffcc,0xfd85fffa,0x3fe6005f,0xffff002f,0x3fa009ff,0xffeeeeff,
    0x5c0fffff,0xffeeeeee,0x0eeeeeef,0x5677fff4,0x84ffffcb,0x7ec05ffe,
    0x7fff41ff,0xfffffeee,0xff502eff,0x7f40003f,0x3e202fff,0x9802ffff,
    0x6ff885ff,0x3fffff90,0x90fff880,0xffffffff,0xffffffff,0x7ffffd4f,
    0xffffffff,0xfd507fff,0x01ffffff,0x7777fff4,0xfffffffe,0x99dffe80,
    0xfc800099,0x12a02fff,0x2005fff1,0xfe805ffe,0x0db102ff,0x007ffb80,
    0x200fffec,0x7f42fffa,0xffb0005f,0xffb8003f,0x17ffdc1f,0x406fffc8,
    0x7403fffc,0xffd80fff,0x3ffe6005,0xdfffa802,0xffd007ff,0x3ffaa20b,
    0xfff7006f,0x13ffee00,0x207fff44,0x3f205ffe,0x5ffe83ff,0xfffeb988,
    0x1fffa82f,0x3fffa000,0x3ffea05f,0xffa803ff,0x905ff984,0x80bfffff,
    0x0000fff8,0x00037fec,0xd50ffff2,0xffffffff,0x2fff401f,0x1dfffd50,
    0xffffffe8,0x401cefff,0x000efff9,0x3bfffba6,0xeeeeeeee,0x05effffe,
    0x1007fff5,0x07ffb800,0x037ffc40,0x3fa17ffe,0xff50005f,0xffe8009f,
    0xd801b906,0x3e201fff,0xff700fff,0x17ff607f,0x02fff980,0xffadffc8,
    0x5ffe801f,0x07fffc40,0x403ffdc0,0xf805fff8,0x2fff44ff,0xd04fffa8,
    0xff900bff,0x3fff50df,0x6f7fc000,0x9ffb00ff,0xff5007ff,0x209ff507,
    0x0ffffffc,0x003ffe20,0x02fff980,0x17ffe600,0x19fffff1,0x7401fffb,
    0xffd805ff,0x7ffff44f,0xffffffff,0x3fffd01d,0xffffa800,0xffffffff,
    0xffffffff,0x00fff907,0x1ffee000,0x0bfff200,0x7407ffdc,0x3e0005ff,
    0x3e2006ff,0x4c0003ff,0x7d403fff,0xfff885ff,0x017ff605,0x802fff98,
    0xfff8bfff,0x05ffe804,0x801fffb8,0xfb807ffb,0xffc800ff,0x217ffa0f,
    0x3a05fff9,0xff7005ff,0x1fffa87f,0x2fbfe000,0xcff883ff,0xfb803ffc,
    0x03ffb82f,0x9ffdbff9,0x007ffc40,0x00dffb00,0x80fffe80,0x3f60dffd,
    0x3ffa00ff,0x6fff8805,0x66677ff4,0xffffffed,0x027ffcc0,0x7ffffd40,
    0xffffffff,0x7fffffff,0x000bffb0,0x01ffee00,0x443fff40,0xffd04fff,
    0x7fec000b,0xfff7001f,0xff880003,0xfffd804f,0x007ffec2,0x4c00bffb,
    0x7d402fff,0x0fffb0ff,0x500bffd0,0xf7003fff,0xdff900ff,0x8bffe200,
    0x7f445ffe,0x3ffa00ef,0xffff1005,0x00fffd41,0xff3dff00,0xf93ff70d,
    0xcccc889f,0xccccdffe,0x2cccdffe,0xfff7bff9,0x03ffe201,0x17ffcc00,
    0x7fff9000,0x3f607660,0x3ffa00ff,0x8fff9005,0x3aa05ffe,0x3ea0efff,
    0x988001ff,0x999bfffa,0xfe999999,0xffd019df,0x2e000009,0xf50007ff,
    0x6ffd87ff,0x0017ffa0,0x003fffa8,0x0000dffb,0x22017ffe,0x3fea6fff,
    0x2ffec03f,0x05fff300,0x3ee6ffc8,0x7ff401ff,0x07ffb805,0xd00fff70,
    0x7f400bff,0xb17ffa3f,0xfe801fff,0x3fee005f,0x07ffea2f,0xeb7fc400,
    0xbbff41ff,0x7ffc44ff,0xffffffff,0xffffffff,0x3febff94,0x1fff104f,
    0x1bff6000,0x5fff9800,0x1fffb000,0x802fff40,0x3fa1fffb,0xfffd805f,
    0x001ffee4,0x005fff10,0xff017ffa,0x2000009f,0x20007ffb,0xff30fffd,
    0x2fff405f,0x1bffe000,0x00fffe20,0x13ffe200,0x45fffdc0,0xfd806fff,
    0x3fe6005f,0x1fffc02f,0xe809fff1,0xffd805ff,0x0fff7005,0x400bfff0,
    0x3ffa4ffe,0x00bffee5,0x88017ffa,0x3fea3fff,0xff10001f,0xf993feed,
    0x88bff74f,0xffffffff,0xffffffff,0xbff94fff,0x2203fff2,0x98000fff,
    0x20003fff,0x0000fffe,0x7401fffb,0xff7005ff,0x02fff43f,0xfb37ffc4,
    0xf88000df,0xffd002ff,0x04fff80b,0xfff70000,0x7ffcc000,0xe80bffb4,
    0x6c0005ff,0x7d400fff,0x980001ff,0x3a002fff,0x1fffdfff,0x005ffd80,
    0xa80bffe6,0x7ff41fff,0x02fff407,0x400fffea,0xfd807ffb,0x3ff6006f,
    0x7d57ffa5,0xffd003ff,0x4fff800b,0x0007ffea,0xff8b7fcc,0x7dc7ff26,
    0x07ff805f,0x7fe40ffd,0x107fff15,0xb0001fff,0x64000fff,0x20003fff,
    0x3a00fffd,0xff9005ff,0x005ffe8f,0x7fecfff9,0x7fc40006,0xbffd002f,
    0x004fff80,0x0fff7000,0xbfffc800,0x7f400fff,0x7d40005f,0x7fec03ff,
    0xffb00006,0x7fcc001f,0xb004ffff,0x7cc00bff,0x3ff202ff,0x01fffb86,
    0x26217ffa,0x2005fffd,0xfc807ffb,0xff9000ff,0x7c6fff4d,0x3fa004ff,
    0x7ffc005f,0x007ffea5,0xfb2ffcc0,0xfa9bfe3f,0x06ff805f,0x7fe40fff,
    0x221fff65,0x44000fff,0x30003fff,0x8000dfff,0x3a00fffd,0xffd005ff,
    0x005ffe8d,0x3f63fff7,0x7c40007f,0xaaaaacff,0x5ffeaaaa,0x7ffd5544,
    0xaaaaaaad,0x6665c00a,0xcccfffec,0xff1001cc,0xd009ffff,0x99999dff,
    0x10199999,0xff80dfff,0xf980003f,0xfc8004ff,0xb000ffff,0xffffffff,
    0xffffffff,0x27ffc05f,0xd027ffc4,0xffffffff,0x8007dfff,0xfa807ffb,
    0xfe8805ff,0x3b7ffa7f,0x7f4005ff,0x7ff4005f,0x007ffea6,0xf52ffcc0,
    0x547ff59f,0x7fc406ff,0x640dff06,0x3ffe65ff,0x007ffc42,0x001fff20,
    0x000fffe8,0x007ffec0,0xf900bffd,0x5ffe85ff,0x23fff500,0x0000fffc,
    0x3fffffe2,0xffffffff,0x7ffc45ff,0xffffffff,0x7402ffff,0xffffffff,
    0x002fffff,0x01bfffea,0x7ffffff4,0x1fffffff,0x201fffb0,0x0001fffa,
    0x007fff44,0x1ffffc40,0xfffffb00,0xffffffff,0x2a05ffff,0xffd01fff,
    0x7ffff40d,0xdfffffff,0x3ffdc002,0x1efffd80,0x7fffed44,0x3fffffa7,
    0x7ff4002f,0x3ffec005,0x0003fff5,0xff897fea,0x3ea0ffdf,0x2ffcc06f,
    0xf902ffc4,0x46ffd8bf,0x2000fff8,0x0003fff8,0x0007fff7,0x401fffb0,
    0x32205ffe,0xffe85fff,0x4fff9005,0x0002fffb,0x3fffffe2,0xffffffff,
    0x7ffc45ff,0xffffffff,0x7402ffff,0xffffffff,0x002fffff,0x8017fff4,
    0xfffffffe,0x01ffffff,0x3607fff5,0xd80006ff,0x70002fff,0x001fffff,
    0x3ffffff6,0xffffffff,0xff902fff,0x0fffe40f,0xffffffe8,0xefffffff,
    0x0fff7001,0x3ffffe20,0xffffffef,0x3bffa6ff,0x2000ffff,0x6c005ffe,
    0x3ffea7ff,0xbff50001,0x45ffffd8,0x7d406ffa,0x04ff984f,0xff517ff2,
    0x07ffc45f,0x01fff900,0x0dfff300,0x3fff6000,0x2bbffa00,0xfffdcbaa,
    0x5ffe80ff,0x44dffd00,0x0000ffff,0x999bfff1,0xff999999,0xfaaa88bf,
    0xaaaaadff,0x55400aaa,0xbfffdaaa,0x5300aaaa,0xfffb5555,0x81555557,
    0xaaaaeffe,0x00aaaaaa,0x3e0bfff1,0x6c0003ff,0x10004fff,0x09ffffff,
    0x8017ff60,0xff02fff9,0x7ffcc09f,0x10bffd04,0x1fffff73,0x00fff700,
    0x7ffffec4,0xffddffff,0x3e77ffa6,0x3fa006ff,0x7ff4005f,0x007ffea7,
    0x2a2ffdc0,0x7cc2ffff,0x1ffdc07f,0xf9027fd4,0x4dffd0bf,0x1000fff8,
    0x20009fff,0x0000fffe,0x401fffb0,0xfffffffe,0x00dfffff,0xf700bffd,
    0xfffc87ff,0xfff10004,0x17ffa005,0x0009fff0,0x01ffee00,0xffffffb0,
    0xffffffff,0x05ffe83f,0x1fffb000,0x000fffa8,0x017fff20,0xfefffd80,
    0xffd801ff,0x3ffe6005,0x02fff982,0xfe837ffc,0xfffd805f,0x07ffb805,
    0xeeedba80,0x4bffb0bc,0xfff75ffe,0x17ffa00b,0x54dfff00,0x70001fff,
    0xffff09ff,0xc80fff30,0x3ffb82ff,0x2a17ff20,0xfff12fff,0x3fff2001,
    0xfffb8000,0x3f600003,0x3ffa00ff,0xffffffff,0x2fff402e,0x21bffea0,
    0x02effff8,0xfff88b71,0x0bffd002,0x0004fff8,0x00fff700,0xffffffd8,
    0xffffffff,0x02fff41f,0x2fffa800,0x00037fe4,0x000bfff9,0x7c5fffdc,
    0xffd806ff,0x3ffe6005,0x807ffc82,0xfe81fffc,0xfffd005f,0x00fff700,
    0x1fffc000,0x7fecbffd,0x5ffe803f,0x97ffe200,0x0001fffa,0xff909ff7,
    0x44fff309,0xffffffff,0xffffffff,0x3ff24fff,0x22bffd05,0xf8800fff,
    0xf98004ff,0x400006ff,0x3a00fffd,0xabccceff,0x37ffa001,0xfeba9999,
    0xff301fff,0xfdddffff,0xfff88dff,0x0bffd002,0x0004fff8,0x00fff700,
    0xc9999988,0x99999fff,0x005ffe81,0x8bfff100,0x90003fff,0x4000bfff,
    0x3f26fff8,0x7fec04ff,0x3ffe6005,0xeeffff82,0xfeeeeeee,0x5ffe83ff,
    0x03fff900,0x0007ffb8,0x43fff300,0x3fa25ffe,0x7ff401ff,0x3ffea005,
    0x007ffea2,0x4427fe40,0xfff980aa,0xffffff10,0xffffffff,0x649fffff,
    0xfff705ff,0x001fff13,0x0001fff9,0x0001fffd,0x00fffd80,0x00017ffa,
    0x3ffffffa,0x1effffff,0x7ffffcc0,0x46ffffff,0xd002fff8,0xfff80bff,
    0xf7000004,0x2e0000ff,0x3fa007ff,0x3600005f,0xfff50fff,0xfff90001,
    0xffd8000b,0x0ffff42f,0x400bffb0,0x7cc2fff9,0xffffffff,0x6fffffff,
    0x7005ffe8,0xfb803fff,0x7000007f,0x5ffe8dff,0x007fffcc,0x7400bffd,
    0x3fea0fff,0xff90001f,0xfff10009,0x3f333221,0xfcccccff,0x22ccccff,
    0x3fe05ffc,0x00fff8cf,0x0027ffc4,0x001fffdc,0x07ffec00,0x000bffd0,
    0xffffffd0,0x009fffff,0xfffffda8,0x7fc41cef,0xbffd002f,0x004fff80,
    0x0fff7000,0x1ffee000,0x005ffe80,0x4bffea00,0xc8006ffc,0x40005fff,
    0xfa85fffa,0x3ff606ff,0x3ffe6005,0x7ffffe42,0xffffffff,0x7f41ffff,
    0xfff9005f,0x00fff700,0x3fff3000,0xfb85ffe8,0x3ffa05ff,0xbfff5005,
    0x001fffa8,0x0009ffb0,0x7c01fff1,0x80ffd07f,0x3ee05ffc,0x00fff9ff,
    0x0007ffe4,0x001bffe2,0x07ffec00,0x000bffd0,0xffffffd0,0x0001579d,
    0x004e7ff4,0x2005fff1,0x7fc05ffe,0x7000004f,0xca800fff,0xfffecccc,
    0x40cccccc,0x00005ffe,0x7fd3ffe2,0x7fe4003f,0x7c40005f,0xffb00fff,
    0x17ff607f,0x42fff980,0x9999dfff,0xfa999999,0x2fff43ff,0x806ffe80,
    0x00007ffb,0x7427ffc4,0xfffb05ff,0x017ffa09,0x507fffa6,0x20003fff,
    0x88003ffd,0x3fe01fff,0xc80fff06,0x3fe205ff,0x200fffcf,0x8005fff8,
    0x0001fffe,0x01fffb00,0x0002fff4,0x0002fff4,0x01fff880,0x002fff88,
    0xff80bffd,0x7000004f,0xfc800fff,0xffffffff,0x41ffffff,0x00005ffe,
    0x7fd7ffec,0x3ff2000f,0xfd80004f,0x3fe203ff,0x5ffd80ff,0x8bffe600,
    0x4002fff9,0x7ff46fff,0x3fffc805,0x007ffb80,0xffff7100,0x20bffd01,
    0xe82fffe8,0x7fdc05ff,0xfffa84ff,0x7ffb0001,0x3fff1000,0x221bfe20,
    0x7fe406ff,0x7fffe405,0x3ff200ff,0x7fdc001f,0x2000003f,0x3a00fffd,
    0xe80005ff,0x000005ff,0x2200dff5,0xfd002fff,0x4fff80bf,0xff700000,
    0xfffc800f,0xffffffff,0x7f41ffff,0x5400005f,0x06ffefff,0x2bbfff20,
    0xaaaaaaaa,0x7fd40aaa,0xfffc806f,0x005ffd85,0xfc8bffe6,0xffc8007f,
    0x217ffa0f,0x5fffeb98,0x00fff700,0xff955310,0x3fa05fff,0x3ffe605f,
    0x12fff41f,0xffffd953,0x07ffea0b,0x01fff400,0x301fff80,0xbff10bff,
    0x405ffc80,0x0ffffff8,0x00bfff10,0xaaffff88,0xaaaaaaaa,0x26620aaa,
    0xfffe9999,0xfd199999,0xfd0000bf,0x200000bf,0xf1004ffc,0x3fa005ff,
    0x7fffc45f,0xffffffff,0x007fffff,0x1001ffee,0xff933333,0x0333333f,
    0x0000bffd,0xffffff88,0x3fffe003,0xffffffff,0x220fffff,0xd002ffff,
    0xffd85fff,0x3ffe6005,0x0017ffe2,0xfe8fffea,0xffffffff,0x640effff,
    0xffffffff,0x0fffffff,0x3fffffea,0x200cffff,0x7dc05ffe,0x3ffa0eff,
    0xffffffff,0x3ea03fff,0xffffffff,0x3a5fffff,0xff0003ff,0x13fea05f,
    0xf9013fe6,0xfffb00bf,0x3ff201ff,0x7fec001f,0xffffffff,0x1fffffff,
    0x3fffffee,0xffffffff,0x00bffd7f,0x00bffd00,0x0bffa000,0x017ffc40,
    0x7c45ffe8,0xffffffff,0xffffffff,0x1ffee007,0x3ffdc000,0x00bffd00,
    0xffffb000,0x7ffc001f,0xffffffff,0x20ffffff,0x2005fffc,0x360ffffa,
    0x3e6005ff,0x5fff32ff,0x9bffe000,0xfffffffe,0x902effff,0xffffffff,
    0x1fffffff,0x7fffffd4,0xfe801eff,0xfffd805f,0x3fffffa5,0x1cffffff,
    0x7ffffd40,0xffffffff,0x00fffe5f,0xb817ffc0,0x4ffa83ff,0x402ffe40,
    0x80fffff9,0x8005fff8,0xfffffffd,0xffffffff,0x3ffee1ff,0xffffffff,
    0xffd7ffff,0xffd0000b,0x3e00000b,0x3fe2007f,0xbffd002f,0xffffff88,
    0xffffffff,0x2e007fff,0x700007ff,0x7f400fff,0xa800005f,0x4006ffff,
    0xffffffff,0xffffffff,0x1ffff30f,0x5fffd800,0x98017ff6,0xfff92fff,
    0x3ff60001,0xfffffd0f,0x8059bdff,0xfffffffc,0xffffffff,0x33bbfea0,
    0x3fa001ab,0xfffd005f,0x3fffffa7,0x000bcdef,0xfffffff5,0xbfffffff,
    0x80017ffc,0xff702fff,0x807ff705,0xfb005ffc,0xff901fff,0xffb0003f,
    0xffffffff,0x3fffffff,0x7fffffdc,0xffffffff,0x00bffd7f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00019980,0x40002662,0x26019999,
    0x10000999,0x26621333,0x00019999,0x33333333,0x33333333,0x26666133,
    0x99999999,0xaa880099,0x00008002,0x00000000,0x880a6000,0x551000aa,
    0x02aa2015,0x00018800,0x09aaaa98,0x55553000,0x26a60003,0x00000000,
    0x004cd4c0,0x0026a620,0x006aa600,0x00035300,0x00000000,0x00000000,
    0x7fc00000,0xff90001f,0xfff50009,0x7ffe40ff,0xfffd0004,0x3fffff21,
    0x00beefff,0x7fffffcc,0xffffffff,0xfff6ffff,0xffffffff,0xf500dfff,
    0x1fb800ff,0x260f6400,0x0000001e,0xfffb0172,0xffffb8bf,0xfffd700e,
    0x3f623fff,0x4000efff,0x2000effc,0xfffffeb8,0xb800cfff,0xffffffff,
    0xffeb805f,0x3604ffff,0xff8805ff,0x3fb6202f,0x03efffff,0x3ffffb22,
    0xffb00cff,0x7ffffdc5,0x21fff83f,0x4fffffd9,0xffffffb8,0xffffffff,
    0x027ffec6,0x223fffd8,0xb0001fff,0x3ffeebff,0x37ffc003,0x002fff80,
    0x8007ff90,0x07fffff8,0x007fffe2,0x649fff50,0xffffffff,0x2603ffff,
    0xffffffff,0xffffffff,0xfffff6ff,0xffffffff,0xfff500df,0x1bffa200,
    0x33fff980,0x00005fff,0x20bffb00,0x4ffffffd,0xdffffff7,0xffffff30,
    0xfffd3fff,0x2001dfff,0x004ffff9,0x3ffffff2,0x02ffffff,0xffffffd3,
    0x440bffff,0xfffffffd,0xffd81eff,0x2fff8805,0xffffff70,0x260dffff,
    0xffffffff,0xffd82eff,0xfffffe8a,0x7ffc5fff,0xffffff51,0xfffb8dff,
    0xffffffff,0x7fc46fff,0x7fd402ff,0x02fff85f,0x229ffd00,0x2a006fff,
    0xfd003fff,0x3f60005f,0x7fec003f,0x7dc07fff,0x7f4005ff,0x3fff20ff,
    0xffffeeee,0xddd303ff,0xfffddddd,0x9ddddddd,0x3bbbfffe,0x5eeeeeee,
    0x007ffa80,0x4013fff2,0xff50fffe,0x000007ff,0x037fffa2,0xff99fff9,
    0xf99fff5f,0xdff987ff,0xffffebac,0x4fffcbef,0xbffff500,0x77ffe400,
    0xffffdccd,0x7fffc40f,0xfeccbbce,0xbfffd105,0xffffd957,0x805ffd81,
    0x7442fff8,0xdcdfffff,0xffb86ffe,0xffdcdeff,0x7fec2fff,0xdcdfffeb,
    0x3fe2ffff,0xcefffb9f,0x2a3ffffd,0xeeeeeeee,0x85fffeee,0x100ffffa,
    0xfd01ffff,0x3fa0007f,0x07fff23f,0x007ffec0,0x0003ffe8,0x54005ffb,
    0x07ffdfff,0x001fffe8,0xfc87fff7,0xfff9107f,0xff70003f,0x13ffe00f,
    0xfff50000,0x1fffe800,0x3ee15755,0x7ff4c2ff,0x4c00004f,0xff04ffff,
    0x7fffd45f,0x31bfea2f,0xffff1017,0x03ffd41d,0x03ffff88,0xf9007320,
    0xfffd8bff,0xffb00801,0x3ffee05f,0x402ffec5,0x7e42fff8,0x12a02fff,
    0x203ffff1,0x7ec7fffc,0x4c0dffff,0x3ffe6fff,0x7441effd,0xfd0006ff,
    0x3ff201ff,0x3fffb05f,0x0013ff60,0xff30fffc,0xfff1009f,0x1ffec009,
    0x02ffd800,0xf79ffd10,0xfff500ff,0x1bffe00d,0xf701fff2,0xf70009ff,
    0x3ffe00ff,0x7d400004,0x7fc4007f,0xffffffef,0xd104ffff,0x0001bfff,
    0x07ffff50,0x3fa17fea,0x1fff86ff,0x0bfff600,0x4c00bffe,0x000003ed,
    0xff8ffff1,0x3e60004f,0x7fdc02ff,0x017ff61f,0xf98bffe2,0xd8000eff,
    0x7dc00eff,0x3fff63ff,0x9fff204f,0x00efffff,0x8003fff7,0x7402fffc,
    0x7fd42fff,0x17ff204f,0x03ffe200,0xf500fffd,0x7ec003ff,0xffd0004f,
    0x5bff2003,0xfd007ffb,0xffb805ff,0x07ffc82f,0x8006fff8,0xff007ffb,
    0xa800009f,0xfa8007ff,0xffffffff,0xfc806fff,0x20001eff,0x201ffffb,
    0xffc83ffd,0x03ffc85f,0x203ffee0,0x00003ffd,0x7fe40000,0x013ffe0f,
    0x005ffd80,0x7fec9ffd,0x2fff8805,0x0007fffa,0x400fffea,0x3ff67ffe,
    0x7ffcc05f,0x01dffff0,0x0017ffc4,0x1009fff5,0x3e21ffff,0x7fdc05ff,
    0x985ff986,0xfffb87ff,0x037fec02,0x0013ff20,0x4c00fff4,0xfff71fff,
    0x1bffe600,0x905fff88,0xffb00fff,0xfff7000f,0x013ffe00,0x0fff5000,
    0x3ffff600,0x3ffffdcd,0x5ffff700,0xdfffb000,0x81ffe801,0xfb84fffa,
    0x3fea004f,0x009ff907,0x98000000,0x3ffa1fff,0xff88000f,0xdff9002f,
    0x4402ffec,0xfff32fff,0x3ff20009,0x3ffea007,0x300dffb1,0x3ffe3fff,
    0x3fff800f,0x0dfff300,0xdafffd40,0x7d400fff,0x87ffb87f,0xff886ffa,
    0x3ffe205f,0x27fe4003,0x00fff800,0x3ee4ffe8,0x3ff6007f,0x3fff903f,
    0x201fff20,0xb8007ffd,0xfff007ff,0x99970009,0x9fffb999,0x03999999,
    0x981dfff1,0x2a006fff,0x1003ffff,0x200bfffd,0xffa81fff,0x04ffb82f,
    0x5c1bfe60,0x000004ff,0x7ffcc000,0x33fffee1,0x3ffe6000,0x4fff7000,
    0xf8805ffd,0x3fff52ff,0x17ff6000,0xb2fff880,0xff100bff,0x00fffe5f,
    0x4400e664,0x4000fffe,0xfffdfffc,0x0fff8802,0x2e17fff4,0xfffb05ff,
    0x03ffee01,0x20bff700,0x1fff01aa,0x20fffb80,0x22007ffb,0x7c40ffff,
    0x3ff204ff,0x05fff807,0x007ffb80,0xd0009fff,0xffffffff,0xffffffff,
    0x1fff907f,0x00bffee0,0x04fffe98,0x027fff4c,0xf301fff0,0xddddddff,
    0x32ea0bff,0xeefffeed,0x15ffeeee,0x55555555,0x55555555,0x65cc0555,
    0xffeeeeed,0x7fffec1f,0x7d400bef,0xccccccff,0xfffdcccc,0x100bffb0,
    0x3fee5fff,0x3ffa0007,0x9fffc004,0xf8805ffd,0x07fff2ff,0x3ff60000,
    0xffd0001f,0x7c009fff,0x3ffe21ff,0x827fe45f,0xfd02fffa,0xff7000bf,
    0x20bff30b,0x7fc407ff,0x03ffdc2f,0x90ffff20,0x7e401fff,0x7ffdc07f,
    0x7ffb8003,0x009fff00,0xffffffd0,0xffffffff,0xfff07fff,0x1fffc40b,
    0x3fffa200,0xffffa80d,0x3ffe2002,0xfffff980,0x46ffffff,0xffffffe9,
    0xffffffff,0xfff55fff,0xffffffff,0xdfffffff,0xfffffd50,0x3fffffff,
    0xffffff90,0x3ff205bf,0xffffffff,0x0fffffff,0xf100bffb,0x1bff65ff,
    0x03fff800,0xfda7ffc0,0xfff8805f,0x0007fff2,0x07fff700,0x7fffc400,
    0x17ff4006,0x41fffff7,0x3fa03ffd,0x2fff986f,0x86ffa800,0x7c40fffc,
    0x2ffec07f,0x2003ffdc,0xf10ffff8,0xffc807ff,0x1bffee07,0x03ffdc00,
    0x8004fff8,0xcaaaaaaa,0xaaaaafff,0x7ffc40aa,0x027ffc03,0x1efffc80,
    0x007bffee,0x301fff10,0xdddddfff,0x7fc49ddd,0xffeeefff,0xeeeeeeef,
    0xfffff54e,0xffffffff,0xc8dfffff,0xeeffffff,0x01fffeee,0xffffff93,
    0xfffc83df,0xffffffff,0xb0ffffff,0xff100bff,0x01bff65f,0x01fffc40,
    0x7ed3ffe0,0xfff8805f,0x0007fff2,0x05fff980,0x7fffcc00,0x1ffec006,
    0x47ff7dfd,0x3ee02ffe,0x37fe40ff,0x86ff9800,0x7c43fffe,0x3ffee06f,
    0x007ffb80,0xf94fffb8,0xffc801ff,0xffdccccf,0x70000eff,0x3fe00fff,
    0xffffffff,0xa803ffff,0x7cc007ff,0x7ff402ff,0xfff50005,0x77ffec5f,
    0x7ffc4000,0x02fff980,0x82ffff60,0x26006ff9,0xcccccccc,0xcccccccc,
    0x3ffea3cc,0x3ffe602e,0xfffda801,0x3fee0fff,0xffd80007,0x2fff8805,
    0x4000fff9,0x7c004fff,0x0bffb3ff,0x3e5fff10,0x200003ff,0x000efff8,
    0x3ffffe20,0x3ff2004f,0xff39ff14,0x1007ffcb,0xfff87fff,0xfff30003,
    0x45ffff98,0xff106ff9,0x1ffee05f,0x4ffff400,0xfc802fff,0xffffffff,
    0x20000dff,0xff007ffb,0xffffffff,0x5007ffff,0xf9800fff,0x7ff402ff,
    0xfffc8005,0xffffc81e,0x07ffc001,0x8017ffd4,0xf983fff8,0x0000006f,
    0x00fffe80,0x000fffcc,0xa97fffaa,0x40001fff,0xf8805ffd,0x1fff72ff,
    0x17ffa000,0xb1fff880,0xff100bff,0x00fffe5f,0x1fffe800,0x7ffec000,
    0x7002fffd,0x47feebff,0x0fff0ffe,0x7d4dffb0,0xf10000ff,0xffffb8ff,
    0x417fe60f,0x3ee05ffd,0xff50007f,0x200dffff,0xfffffffc,0x80000eff,
    0xff007ffb,0xffffffff,0x5007ffff,0xf8800fff,0x7ffc03ff,0x7ffec003,
    0x3ffea00e,0x3ffe002f,0x03fffb81,0x303fff30,0x00000fff,0x3fff8800,
    0x01fff980,0x27ffe880,0x0002fff9,0x5402ffec,0xfff52fff,0x3ff60005,
    0x3ffee007,0x100bffb0,0x3ffe5fff,0xff900003,0xfc80005f,0x3fffd3ff,
    0x3adff500,0x22fff27f,0xffa806ff,0x00bffb1f,0x3a3ffc40,0x2a3ffcef,
    0xfffa85ff,0x01ffee00,0xfffffd80,0x5fff9001,0x1bfffb55,0x7ffb8000,
    0x009fff00,0x07ffa800,0x206fff80,0x1002fffa,0x200bfffd,0x004ffff9,
    0xff907ffd,0x3fea00df,0x03fff707,0x4c000000,0xfb802fff,0xf90001ff,
    0x37ffc1ff,0x1bff2000,0x25ffff30,0x000ffff8,0x003fffb8,0x7fecdffd,
    0x2fff8805,0x00007fff,0x0009fff5,0x265fffa8,0x4400efff,0x24ff8fff,
    0x5ff9eff9,0xf19fff00,0xf80005ff,0x59ff30ff,0x27fd4dff,0x700fffe2,
    0x4c000fff,0x2005ffff,0xffa87ffc,0x7dc0005f,0x9fff007f,0xffa80000,
    0xfffc8007,0x06ffe882,0x07ffff30,0xdfffe880,0x42ffe400,0x800ffffe,
    0x7cc0fff9,0x00004fff,0x26005b91,0x36203fff,0x0001ffff,0xffb8fffd,
    0x3ee0003f,0xfff301ff,0x7ffe45ff,0xdffd0004,0x1fffc801,0x22017ff6,
    0x7fff2fff,0xfff88000,0x7fc40006,0x7ffdc0ff,0xfbfff805,0x7dfff41f,
    0xfff9004f,0x0000fff5,0x3fee1fff,0xf70fff89,0x06ffc89f,0x0007ffb8,
    0x000fffe4,0x3ee0fff9,0x2e0002ff,0xfff007ff,0xfa800009,0xff98007f,
    0xffd50bff,0xfff5007f,0x7ec0005f,0x3e600eff,0x3ffee1ff,0x22180eff,
    0x3fe22fff,0x0102ffff,0x0bfffa20,0x40ffffc0,0x1fffffea,0xff900353,
    0xbfffd09f,0xff983001,0x7ffd40ef,0x3fe22fff,0xb7102eff,0x81ffffa8,
    0x6c4fffd8,0xff8805ff,0x007fff2f,0x00fffe80,0x17fff400,0x403fffd8,
    0xb87feffe,0x003fffff,0x9ffffff1,0x3ffd0000,0x3ffd9ffa,0x7fc47ff7,
    0xeeeeeeef,0xeefffeee,0x3ee002ee,0x7fe4007f,0x01bffa07,0x007ffb80,
    0x00009fff,0x0007ffa8,0xffffffff,0xc807ffff,0x0001efff,0x01ffffc8,
    0x3f77fffa,0xdffff9ef,0x3fa0ffec,0x9fffddff,0xcccefffd,0xfff5007e,
    0x3ff200bf,0xfffdcdff,0xf51fffdf,0xb999ddff,0x501fffff,0x9bdfffff,
    0x81ffdb99,0xecdffffd,0x2ffeafff,0x7fffffd4,0x86fffeee,0xcdfffffe,
    0x40effffe,0xf8805ffd,0x07fff2ff,0x7fffe400,0xffffffff,0x7fe43fff,
    0x3ffe204f,0x3fff602f,0xffff984f,0x3ffa002f,0x80001fff,0x4ff8affe,
    0x7fddbfea,0x3ffffe23,0xffffffff,0x3fffffff,0x01ffee00,0x5c0fff90,
    0x70002fff,0x3fe00fff,0x0000004f,0x7fffe400,0xffffffff,0xfffd881f,
    0x2a00000e,0xf302ffff,0x23ffffff,0xfffffff9,0x3fffea0f,0xffd11fff,
    0x00ffffff,0x017fffea,0xffffffe8,0x3fff2fff,0x3fffffea,0x0effffff,
    0x3ffffa60,0xffffffff,0x7ffffcc0,0xffd2ffff,0xffffd105,0x0dffffff,
    0x3fffffee,0xfb04ffff,0xfff100bf,0x000fffe5,0xffffffd8,0xffffffff,
    0x3bffee3f,0x7fffd400,0x3ffff900,0x03ffffa0,0x6ffffa80,0x5ffb0000,
    0xfff85ff7,0x3e22ffc9,0xffffffff,0xffffffff,0x2e003fff,0x7e4007ff,
    0x3ffe207f,0xfff70006,0x013ffe00,0xa8000000,0xffdbcfff,0x0efffadf,
    0x017fffa2,0x7ffcc000,0xfffd304f,0xfffda85d,0xfffa84ff,0x7fecc1df,
    0x2004ffff,0x4001fffe,0xcefffffb,0x6cc7ffa0,0xffffffff,0x3ae002df,
    0xffffffff,0xfffb104d,0x7fec1bff,0x3ffb6a02,0x201cefff,0xefffffd9,
    0x17ff602d,0x7cbffe20,0x360003ff,0xffffffff,0x3fffffff,0x003ffff3,
    0x5c1bfff6,0x3ee07fff,0xff8007ff,0xb00002ff,0x90ffb7ff,0x85ff99ff,
    0x99999999,0xfffc9999,0x20009999,0x64007ffb,0x7fdc07ff,0xffb8002f,
    0x09fff007,0x20000000,0xa805fff9,0x3fea5fff,0x4000003f,0x200effe8,
    0x19a80098,0x9800a980,0x7500009a,0x4cc40001,0x33310000,0x10000355,
    0x80033353,0x000009a9,0x44000666,0x00000099,0x00000000,0x00000000,
    0x00000000,0x3f200000,0xfa84ffcf,0x001ffcff,0x003ffdc0,0x001ffee0,
    0xf880fff9,0xfb8006ff,0x9fff007f,0xffff5000,0xffffffff,0xfe8dffff,
    0xffb000ff,0x0017dc7f,0x0ed88000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7dc00000,0xff02ffff,0x0003ffff,0x0007ffb8,0x2003ffdc,0xfc807ffc,
    0x7dc002ff,0x9fff007f,0xffff5000,0xffffffff,0xfa8dffff,0x3fe2003f,
    0x0000040d,0x00000400,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3ffffdc0,
    0x1fffff90,0x7ffb8000,0x3ffdc000,0x01fff200,0x001bffe2,0x3e00fff7,
    0xffffffff,0xf56fffff,0xffffffff,0xdfffffff,0x55000910,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xa8000000,0x2605ffff,0x000fffff,
    0x003ffdc0,0x001ffee0,0x3600fff9,0x2e001fff,0xfff007ff,0xffffffff,
    0x0000dfff,0x00000000,0x55530000,0xa9880013,0x32600009,0xa880004c,
    0x4c00009b,0x00000009,0x055e54c0,0x006aa600,0x0ee01d98,0x05a80322,
    0x56665d44,0x006a2001,0x000d5d44,0x22001330,0x4ccc0999,0xddddd309,
    0xdddddddd,0x2aa6bddd,0xaaaaaaaa,0x00aaaaaa,0x80000000,0x402ffffa,
    0x0007ffff,0x0007ffb8,0x2003ffdc,0xf3007ffc,0x7dc00bff,0xffff007f,
    0xffffffff,0x1a880dff,0x00015510,0xffffd000,0x2009ffff,0xfffffffd,
    0x7ff4c00d,0x8001efff,0x10007ffb,0xdffffff9,0x9ff10005,0x80075c00,
    0xffe980e9,0x400cffff,0x004fffea,0x3e20fffa,0x0bff70ef,0x7c40fffa,
    0xdfffffff,0x77ffcc00,0xfffff500,0xfc8005df,0xffd800ff,0x97fffc3f,
    0xfffffffa,0xffffffff,0xfffff96f,0xffffffff,0xfb707fff,0x000005df,
    0x00000000,0x00000000,0x00000000,0x00000000,0xff53ff98,0x7ffdc5df,
    0x03ffea1f,0x83ffff70,0xfffffffe,0xffff004f,0x40dfffff,0xfffffffb,
    0x7dc002ff,0xfea8007f,0xfffdcdef,0x27fc000d,0x00effb80,0xf9077fcc,
    0xffffffff,0x3fffaa0b,0xff7004ff,0x4bffd01f,0xfb82fff9,0xfff880ff,
    0x06ffffff,0x42ffffec,0xfffffffd,0xff3004ff,0xffb009ff,0x1ffff87f,
    0xfffffff5,0xffffffff,0x3ffff2df,0xffffffff,0x3623ffff,0x0dffffff,
    0x0003ffe0,0x00000000,0x00000000,0x00000000,0x00000000,0xfff17ff3,
    0x3ffe6dff,0x3ffea7ff,0x3fffea00,0xeeeeed81,0x9d004fff,0x3ffee633,
    0xbefff983,0x00ffffda,0x001ffee0,0x2e01dff5,0x3e000eff,0xffc8083f,
    0xfff300ef,0x5effcc1d,0x22ffffdb,0xffffffe8,0xfff8804f,0x40fffb83,
    0xfe80fffb,0x99bc885f,0x01fffea9,0x83fffff6,0xa9acfffb,0xd801fffe,
    0x401fffff,0x7f42fffc,0x800001ff,0xccccccca,0xffcccccc,0x3ffff23f,
    0x980effff,0x00000fff,0x00000000,0x00000000,0x00000000,0x4c000000,
    0xfbefdcff,0xfbdfe9ff,0x1fff52ff,0x07fffea0,0x009fff00,0xd0bffb00,
    0xfff10bff,0x3ffdc009,0x329ff100,0x3fa21bcc,0x7f40cd84,0x7e40fd43,
    0x7fcc0eff,0xa82a80ef,0x3fe24fff,0x04fffaef,0xf985ffd8,0xbffb02ff,
    0x005fff30,0x7017ffcc,0x223fffff,0xffb02fff,0xbbffa80b,0x7fe405ff,
    0x07fff42f,0x00000000,0x3fe27fff,0xfffd99df,0x03ffd40e,0x00000000,
    0x00000000,0x00000000,0x00000000,0x77f7fcc0,0x4dfbff70,0xfff54ffc,
    0x1ffff501,0x09fff000,0x8dff5000,0xf700fff9,0x7fdc00df,0xf9bf6007,
    0xf31fffff,0x17ffd45f,0x3ff225fd,0x1dfff906,0x003bffe6,0xd917ffe0,
    0x2027ff45,0xfe80fffb,0x3ffe204f,0x00fffc83,0x801fff50,0xf52ffffe,
    0x3ffcc0df,0x7f43ffa0,0x3ffee02f,0x007ffec1,0xf0000000,0x1ffea7ff,
    0x22bfffee,0x0004fffb,0x00000000,0x00000000,0x00000000,0x80000000,
    0x2a2ffff9,0x3ee1ffff,0x81fff54f,0x000efffa,0x8009fff0,0xffeedcca,
    0x3037fd46,0x7dc00fff,0x3ff3007f,0x25fd8bfc,0x3ff665fc,0xe9afd8cf,
    0x3f204fff,0xefffaeff,0xfff88000,0x27ff4043,0x907fff10,0xff500dff,
    0x09ffd01f,0x05ffea88,0x91ffff98,0xfff809ff,0x4c7ff700,0xff700fff,
    0x07ffd83f,0x40000000,0xdff73fff,0x3ffffee0,0x0000ffff,0x00000000,
    0x00000000,0x00000000,0x80000000,0x7d45fff9,0xaffdc4ff,0x3ea0fffa,
    0x20000eff,0xf7004fff,0xffffffff,0x205ffb8d,0x7000fff9,0x3ee00fff,
    0x4df33fc6,0xffd987f9,0xcfffdfee,0xffffc800,0xb0000eff,0xfd003fff,
    0x37fec09f,0x800fffcc,0xff985ffd,0x7fffc41f,0x3fe004ff,0x80fff67f,
    0xf880fff8,0x04ffd86f,0xfc81fff7,0x3fffea7f,0xffffffff,0x0006ffff,
    0xffc9fffc,0x3fffea04,0x00002fff,0x00000000,0x00000000,0x00000000,
    0x30000000,0xffa83fff,0xaaffdc0f,0xfff50fff,0xff80001d,0xfffa804f,
    0x6ffcaabd,0xf3037fdc,0x555544ff,0xafffdaaa,0x92aaaaaa,0xfb37f89f,
    0x9807fc47,0x0cfffffd,0x7fffe400,0xffb0000e,0x3ffa009f,0x213ffa04,
    0x7000fffb,0xff881fff,0x7fffc43f,0xf8802dff,0x17fee5ff,0xf907ffa8,
    0x3fff105f,0xc81fff50,0x3ffea6ff,0xffffffff,0x006fffff,0x001fffc0,
    0x0efffe44,0x00000000,0x00000000,0x00000000,0x00000000,0x0fff3000,
    0xff70dff5,0x2a3ffeab,0x0000efff,0xe804fff8,0x6ffa83ff,0xf703ffcc,
    0x7fffd4bf,0xffffffff,0xd6ffffff,0xfffff87f,0x2a02ff82,0x000cfffe,
    0x0effff98,0x7fff4400,0x13ffa005,0xd81fff98,0xff9805ff,0x85ffd82f,
    0xfffeccc8,0x7ffec03f,0x403ffea1,0xff985ffd,0x217ff206,0x7dc0fffa,
    0x3fffea6f,0xffffffff,0x0006ffff,0x0000e664,0x00000000,0x00000000,
    0x00000000,0x00000000,0xff980000,0xb86ffa87,0x5fff55ff,0x0001dfff,
    0x2013ffe0,0xffc81fff,0x41fffc46,0x3ea3fff8,0xffffffff,0xffffffff,
    0xff89fb6f,0x1ff82fec,0xfffffea8,0xf3000cff,0x01dfffff,0x13fffe60,
    0x809ffd00,0xff886ffc,0x27ff403f,0x8007ffd4,0xd507ffe8,0xfe887fff,
    0x3ff660ef,0x01ffd81f,0x260bffe2,0x00998819,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfa87ff98,0x55ffb86f,
    0x9fffbfff,0x7ffc0000,0x24fff804,0xc86fffd8,0xea8adfff,0x6664c6ff,
    0xfffdcccc,0x3ccccccc,0xf37f8bf7,0x2a3fcc1f,0xafdafffe,0x200cfffc,
    0xffcefff9,0x7fdc00ef,0xfe8003ff,0x7ffc404f,0x00fffa84,0xf881dff9,
    0x7dc003ff,0xffff31ff,0x3fea09ff,0xffffefff,0x805ffa84,0x0000fffa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x21ffe600,0xffb86ffa,0xfb1fff55,0x200007ff,0xfd804fff,0xfeffefff,
    0xffff886f,0x01ffffff,0x803ffdc0,0xd9fe0ff9,0xfb9bee3f,0x25fd0cff,
    0xf307fffa,0x3ff21dff,0xfffb00ef,0x3fa0003d,0xfffa804f,0x986ffd81,
    0xffd81fff,0x7ffe8006,0x07bfffe6,0xffffff50,0x3ffa07ff,0x09ffd001,
    0x13333000,0x004cccc0,0x26000000,0x99999999,0x00000009,0x00000000,
    0x00000000,0x00000000,0xff980000,0xb86ffa87,0x1fff55ff,0x000ffffa,
    0x2013ffe0,0x4fffffd8,0x3f620dff,0x00efffff,0x007ffb80,0x267f93fa,
    0x447ff17f,0x117f41ef,0xfff307f9,0xefffc81d,0x77ffff40,0x23eeeeee,
    0xfffcccca,0xfb02ccce,0x9fff10df,0x5427ffc4,0x99981fff,0xfffdb999,
    0x006b3665,0xbceecb88,0x00799300,0x0002664c,0x803bfff6,0x002ffffb,
    0x3620bfee,0x7ffc00ef,0x3fffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x87ff9800,0xffb86ffa,0x221fff55,0x0002fffe,0x10027ffc,
    0x15541597,0x06b32a60,0x07ffb800,0x2f4bfe60,0x217fabb6,0x0307ff01,
    0x201dfff3,0x3e0efffc,0xffffffff,0x3ff24fff,0xffffffff,0x7fff104f,
    0x321fff50,0x9ffd06ff,0x3ffffee0,0x000effff,0x00000000,0x3f600000,
    0xfd3004ff,0xff1005ff,0xfffb81ff,0x7ffffc05,0x003fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfa87ff98,0x55ffb86f,0x7fcc1fff,
    0x3e0002ff,0x000004ff,0x5c000000,0x7e4007ff,0x3ffa604f,0x00ffe000,
    0x20077fe4,0x3fe1fffc,0xffffffff,0x3fff24ff,0xffffffff,0xd80fee04,
    0x980fdc1d,0xfff700fd,0x019fffff,0x00000000,0x6c000000,0x44002fff,
    0x4c02fffd,0x7e40ffff,0x555405ff,0x1aaaaaaa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x87ff9800,0xffb86ffa,0x981fff55,0x0001ffff,
    0x00009fff,0x80000000,0xb8007ffb,0xdbabceff,0x7c001eff,0x03b2004f,
    0x2aa0fe40,0xaaaaaaaa,0x2aaa61aa,0xaaaaaaaa,0x00000401,0xccc98020,
    0x0000abcc,0x00000000,0x7fec0000,0x3ee0001e,0x7fec02ff,0x01fff884,
    0x00000000,0x00000000,0x00000000,0x00000000,0x26000000,0x6ffa87ff,
    0xff55ffb8,0xffff501f,0x9fff0003,0xeeeeea80,0x6eeeeeee,0x3bbbbbaa,
    0x06eeeeee,0x001ffee0,0x7fffff4c,0xc88004ff,0x0004002c,0x00000002,
    0x00000000,0x00000000,0x00000000,0x66540000,0x99300004,0x20198019,
    0x000000a8,0x00000000,0x00000000,0x00000000,0x00000000,0x43ffcc00,
    0xffb86ffa,0x201fff55,0xc80efffc,0xffffffff,0x4fffffff,0xfffffff7,
    0x5cffffff,0xffffffff,0x2007ffff,0x40007ffb,0x009bdca9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x30000000,0xdff50fff,
    0x3eabff70,0x3ff600ff,0x7ffe40ef,0xffffffff,0xdd54ffff,0xdddddddd,
    0x77754ddd,0xeeeeeeee,0x3baa006e,0x00000005,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4c000000,0x6ffa87ff,0xff55ffb8,
    0xfffd801f,0x3ffff20e,0xffffffff,0x00004fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xff980000,
    0xb86ffa87,0x1fff55ff,0x5fffe880,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_41_latin_ext_x[560]={ 0,8,5,0,2,0,1,8,6,5,3,1,4,5,
7,2,1,2,2,3,0,3,2,2,2,2,8,5,2,2,4,6,0,0,3,1,2,4,4,1,2,3,3,3,
4,0,2,1,3,1,3,2,1,2,0,0,0,0,2,6,3,5,2,0,0,2,3,3,2,2,0,1,3,3,
2,3,3,1,3,1,3,2,4,3,1,3,1,0,1,1,3,3,9,4,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,8,2,1,1,1,
9,2,0,0,4,2,2,5,2,0,4,2,4,5,0,3,2,7,8,4,4,3,0,0,0,4,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,1,0,0,0,0,0,3,2,0,0,
0,0,0,0,0,3,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,1,1,0,0,0,0,0,3,0,
0,0,0,0,0,2,1,0,1,0,1,0,1,1,-1,-1,0,1,0,0,0,0,0,0,4,2,0,0,1,0,
1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,3,3,0,3,2,2,0,0,3,3,3,0,0,4,
3,-5,-3,3,2,0,3,0,0,2,3,0,0,0,2,3,0,0,0,0,0,0,0,0,-1,0,3,4,-1,0,
0,0,0,0,2,3,0,0,1,1,0,-4,1,1,0,0,0,0,0,0,0,0,0,0,2,3,0,0,0,0,
0,0,0,0,0,0,0,5,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,-3,-2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,2,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__consolas_41_latin_ext_y[560]={ 30,1,1,3,0,1,2,1,0,0,1,9,23,17,
23,1,3,3,3,3,3,3,3,3,3,3,9,9,7,14,7,1,1,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,1,1,3,35,1,9,1,9,1,9,1,9,1,1,
1,1,1,9,9,9,9,9,9,9,3,9,9,9,9,9,9,1,-3,1,14,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,30,9,0,3,4,3,
-3,1,1,3,3,11,17,17,1,2,1,5,1,1,1,9,1,15,30,1,3,11,1,1,1,9,-4,-4,-4,-4,
-4,-5,3,3,-4,-4,-4,-4,-4,-4,-4,-4,3,-4,-4,-4,-4,-4,-4,10,-1,-4,-4,-4,-4,-4,3,1,1,1,
1,1,1,-1,9,9,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,8,5,1,1,1,1,1,1,1,
-3,2,-4,1,3,9,-4,1,-4,1,-4,1,-4,1,-4,0,3,1,-3,2,-4,1,-4,1,3,9,-4,1,-4,1,
-4,1,-4,1,3,0,-4,-5,3,1,-4,1,-3,2,-4,1,3,1,-4,9,3,1,-4,1,3,1,9,-4,-5,3,
1,0,0,3,1,3,1,-4,1,3,9,-4,1,-2,3,9,-3,2,-4,1,-4,1,3,9,-4,1,3,9,-4,1,
-4,1,-4,1,3,9,-4,1,3,3,-4,0,3,3,-4,1,-3,2,-4,1,-5,-1,-4,1,3,9,-4,1,-4,1,
-4,-4,1,-4,1,-4,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-10,-6,-4,1,-4,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,9,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__consolas_41_latin_ext_w[560]={ 0,6,13,22,19,23,22,6,12,12,17,20,11,13,
8,18,20,18,19,17,22,17,19,19,19,19,7,10,17,18,16,13,23,23,18,19,20,15,15,20,19,17,15,18,
16,22,19,21,18,22,19,18,20,19,23,22,23,23,19,11,18,11,19,23,14,18,18,16,18,19,22,20,17,17,
16,19,17,20,17,20,18,18,17,17,19,17,21,22,21,21,17,15,4,16,21,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,6,17,20,20,21,
4,18,18,23,15,18,18,13,19,17,15,19,14,13,20,19,18,8,6,14,15,17,23,23,23,13,23,23,23,23,
23,23,23,19,19,19,19,19,20,20,20,20,22,21,22,22,22,22,22,18,21,21,21,21,21,23,18,19,20,20,
20,20,20,20,22,16,21,21,21,21,20,20,20,20,19,20,21,21,21,21,21,20,20,20,20,20,20,22,18,22,
23,20,23,20,23,19,19,20,19,19,19,19,19,18,23,26,22,22,19,21,19,21,19,21,16,19,19,21,20,21,
20,21,20,21,20,21,21,20,22,20,20,20,20,20,20,20,18,18,20,17,19,19,18,18,18,19,19,20,20,16,
17,25,25,20,24,20,17,21,20,19,17,21,20,20,19,17,22,21,22,21,23,23,22,22,23,21,19,17,23,21,
20,20,20,20,18,17,20,20,20,19,21,26,20,19,21,20,21,20,21,20,21,20,23,23,19,18,22,22,23,22,
23,21,20,21,20,21,20,16,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,21,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,23,20,23,22,25,23,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,18,17,20,19,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20, };
static unsigned short stb__consolas_41_latin_ext_h[560]={ 0,30,11,27,35,30,29,11,39,39,18,20,14,4,
8,34,28,27,27,28,27,28,28,27,28,27,22,28,24,11,24,30,38,27,27,28,27,27,27,28,27,27,28,27,
27,27,27,28,27,35,27,28,27,28,27,27,27,27,27,38,34,38,14,4,9,22,30,22,30,22,29,30,29,29,
38,29,29,21,21,22,30,30,21,22,28,22,21,21,21,30,21,38,42,38,10,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,0,30,36,27,25,27,
42,34,9,28,20,17,10,4,19,8,14,25,17,17,9,30,34,8,6,17,20,17,29,29,29,30,34,34,34,34,
34,35,27,33,34,34,34,34,34,34,34,34,27,34,35,35,35,35,35,18,36,35,35,35,35,34,27,30,30,30,
30,30,30,32,22,27,30,30,30,30,29,29,29,29,30,29,30,30,30,30,30,22,30,30,30,30,30,38,38,38,
33,29,34,30,35,29,35,30,35,30,35,30,35,30,34,31,27,30,33,29,34,30,34,30,35,29,34,30,35,38,
35,38,35,38,36,39,34,35,27,29,34,29,33,28,34,29,35,37,34,21,28,38,35,38,36,38,21,34,35,36,
38,30,30,27,29,27,29,34,29,36,30,34,29,32,36,30,34,29,35,30,35,30,28,22,34,29,36,30,34,29,
35,30,35,30,33,27,35,30,36,36,34,31,27,28,35,30,34,29,35,30,36,32,35,30,35,29,34,29,34,38,
34,34,29,34,29,34,29,29,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,34,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,40,37,34,30,39,34,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,36,30,36,36,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27, };
static unsigned short stb__consolas_41_latin_ext_s[560]={ 511,496,426,389,221,361,489,502,74,61,260,
219,378,497,503,110,107,472,164,89,24,44,148,432,187,289,502,78,186,440,169,
497,203,228,252,128,328,112,124,1,208,271,62,309,349,366,412,22,491,367,71,
168,91,254,140,1,184,47,452,353,174,175,406,478,447,271,107,346,152,308,362,
62,468,323,421,385,344,128,384,363,388,324,402,290,294,328,483,460,438,40,420,
187,1,384,478,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,
420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,511,503,166,
60,148,102,6,47,462,230,187,327,459,497,240,481,390,128,297,364,426,469,133,
503,504,312,203,346,194,170,146,489,216,435,459,247,199,43,482,485,312,352,372,
332,288,88,22,1,355,480,435,327,67,90,350,278,23,373,305,240,137,1,1,
324,239,448,427,406,385,82,227,20,302,280,258,236,302,44,87,108,132,383,89,
67,45,23,1,250,491,470,449,428,407,227,365,250,440,218,416,281,262,282,455,
195,304,157,241,20,220,1,352,130,441,216,20,260,376,302,396,344,182,444,292,
366,22,131,1,109,414,153,65,87,66,199,37,239,483,281,464,314,392,362,286,
438,309,169,335,333,395,273,478,401,149,271,475,204,292,183,209,378,464,399,426,
458,323,146,177,43,302,61,184,165,65,404,159,235,113,83,207,204,109,22,45,
126,151,65,390,215,346,194,1,464,283,111,125,105,413,103,81,274,324,144,152,
341,261,260,1,40,431,257,411,426,193,445,240,310,264,330,486,25,405,88,1,
129,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,129,
420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,
420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,
420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,
420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,
420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,
420,420,420,11,457,175,171,35,223,420,420,420,420,420,420,420,420,420,420,420,
420,420,420,420,420,420,420,420,420,420,420,420,420,86,343,125,105,420,420,420,
420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,
420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,
420,420,420,420,420,420,420,420,420, };
static unsigned short stb__consolas_41_latin_ext_t[560]={ 1,44,395,342,44,221,252,104,1,1,395,
395,395,32,221,152,313,342,342,313,370,313,313,342,313,342,81,313,370,395,370,
1,1,342,342,313,342,370,342,313,342,342,313,342,342,342,342,313,342,44,370,
313,370,313,342,370,342,370,342,1,117,1,395,38,407,370,252,370,221,370,283,
252,283,283,1,283,252,396,370,370,187,221,370,370,313,370,370,370,370,252,370,
1,1,1,395,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,
313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,1,44,44,
342,370,342,1,152,407,313,395,395,395,32,395,407,395,370,395,395,407,221,117,
230,117,395,395,395,283,283,283,221,117,117,117,152,152,81,313,152,152,117,117,
152,117,117,117,117,313,81,81,81,81,81,81,395,44,81,81,81,81,152,342,
187,187,221,221,221,221,187,370,342,221,221,221,221,252,283,283,283,221,252,221,
221,221,221,221,370,187,187,187,187,187,1,1,1,152,283,152,187,81,283,44,
187,44,187,44,252,81,252,152,187,313,187,187,283,152,187,152,187,81,252,152,
187,81,1,81,1,81,1,44,1,152,81,342,283,117,252,152,313,117,252,81,
1,117,395,313,1,81,1,1,1,396,152,44,44,1,252,252,313,252,313,252,
81,252,44,187,117,283,187,44,252,117,252,81,252,81,252,313,370,117,283,44,
252,152,283,44,221,44,221,187,313,44,221,44,44,117,187,342,313,44,252,117,
283,44,187,44,187,44,252,44,283,117,283,117,1,117,117,283,152,283,152,283,
283,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,152,
313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,
313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,
313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,
313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,
313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,
313,313,313,1,1,152,221,1,152,313,313,313,313,313,313,313,313,313,313,313,
313,313,313,313,313,313,313,313,313,313,313,313,313,44,221,44,44,313,313,313,
313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,
313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,
313,313,313,313,313,313,313,313,313, };
static unsigned short stb__consolas_41_latin_ext_a[560]={ 361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_41_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_41_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_41_latin_ext(stb_fontchar font[STB_FONT_consolas_41_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_41_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_41_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_41_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_41_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_41_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_41_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_41_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_41_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_41_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_41_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_41_latin_ext_s[i] + stb__consolas_41_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_41_latin_ext_t[i] + stb__consolas_41_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_41_latin_ext_x[i];
            font[i].y0 = stb__consolas_41_latin_ext_y[i];
            font[i].x1 = stb__consolas_41_latin_ext_x[i] + stb__consolas_41_latin_ext_w[i];
            font[i].y1 = stb__consolas_41_latin_ext_y[i] + stb__consolas_41_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_41_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_41_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_41_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_41_latin_ext_s[i] + stb__consolas_41_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_41_latin_ext_t[i] + stb__consolas_41_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_41_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_41_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_41_latin_ext_x[i] + stb__consolas_41_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_41_latin_ext_y[i] + stb__consolas_41_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_41_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_41_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_41_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_41_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_41_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_41_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_41_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_41_latin_ext_LINE_SPACING
#endif

