// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_44_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_44_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_44_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_44_latin_ext_BITMAP_HEIGHT        479
#define STB_FONT_consolas_44_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_44_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_44_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_44_latin_ext_LINE_SPACING          29

static unsigned int stb__consolas_44_latin_ext_pixels[]={
    0x26621331,0x76c40000,0x500004ee,0x0e400155,0x03620000,0x33322000,
    0x200000cc,0x004c0bc9,0x18800000,0x26666662,0x4c000999,0x880002aa,
    0x0aa981aa,0x0ba88000,0x001ba800,0x20002ee6,0x26202aa9,0x99999999,
    0x77310001,0x2aaa6003,0xaaa80000,0x44000001,0x100001bb,0x00000100,
    0x40555554,0xaaaaaaa9,0x300001aa,0x00000555,0x55440ccc,0x2dff90aa,
    0x20006ffc,0x003fffe8,0x01fff100,0x0007ff20,0x0077f440,0xdfffd100,
    0x7dc00003,0xfff10eff,0x000005bd,0x47fffb2a,0xfffffffe,0x3ea005ff,
    0x40003fff,0xffd87ff8,0x7f440001,0xfd1001ff,0xff5007ff,0x7d4003ff,
    0xff903fff,0xffffffff,0xfffea800,0x3202dfff,0x40000fff,0x0004fff8,
    0x3fffe600,0x3fa60002,0x05ffb00e,0xfffd8000,0xffff902f,0x009fffff,
    0x7ffff500,0xff100000,0xffff981f,0x3f2dff91,0xfd10006f,0x400003df,
    0xf1006ffa,0x00001fff,0x0005fffb,0x037fffa2,0xffff0000,0x3fffe27f,
    0x00001eff,0xffffffb1,0x3fffffa3,0x5005ffff,0x07ffffff,0x8cffe800,
    0x000fffb8,0x2ffffe40,0xfffffb80,0x7ffffc00,0xffff5005,0xfff907ff,
    0x0fffffff,0x3ffff220,0x03ffffff,0x0001fff9,0x004fff88,0x3fff6000,
    0x3f60006f,0xfffb85ff,0x3f600007,0x3f200eff,0xffffffff,0x7fd40004,
    0x0003ffff,0x443ffcc0,0xff91ffff,0x001bff2d,0x0033ffe6,0x09ffb000,
    0x077ffd40,0x7fffb000,0x7ffec000,0x00033323,0x4fffff88,0xffffffd1,
    0xfd00001f,0x23dfffff,0xfeeeeeec,0xffa805ff,0x03fffcdf,0x3fffea00,
    0x0004ffff,0x06ffffd8,0x3fffff90,0x7ffffc40,0xdfffa806,0x7e43fffc,
    0xeeeeeeff,0xfffe9806,0xffdb98ac,0x0fffc83f,0x7ffc4000,0x36000004,
    0x0007ffff,0x321bfffa,0x0000ffff,0x804fffd8,0xfeeeeeeb,0x2a0004ff,
    0xfffcdfff,0x3ea00003,0xffff886f,0x3f2dff91,0x9988006f,0xf8800000,
    0x7dc002ff,0xc8000eff,0x20004fff,0x3e61effd,0xfe80006f,0xea883fff,
    0x40005fff,0x00affffb,0x202fff40,0x3ee4fffa,0x320003ff,0x05ffffff,
    0xffff7000,0x3ffee009,0x7ff400ff,0x7fd405ff,0x8fffee4f,0x20007ffc,
    0x201effe8,0x7e43fffb,0x440000ff,0x00004fff,0x17ffff20,0x3fffb800,
    0x005fff98,0x02fffd80,0x27ffcc00,0x4fffa800,0x000fffee,0x442ffdc0,
    0xff91ffff,0x801bff2d,0x001cdcb8,0x07ffb800,0x09fff900,0x05fffb80,
    0x3fee0000,0xfe980004,0xfffe804f,0x3ffe0001,0xffd0000f,0x1f76cc0b,
    0x00177754,0x059db930,0xdffc8000,0x3fffa000,0xefff9803,0x0fbb6600,
    0x7e4bbbaa,0x3f60007f,0xffc800df,0x007ffe46,0x13ffe200,0xffb00000,
    0xca80001d,0x000f2602,0x0077bae0,0x13ffe600,0x0fbb6600,0x000bbbaa,
    0x2213ff20,0xff90ffff,0x401bff2d,0x3ffffffa,0x77640000,0x3ffa0004,
    0xfff1001f,0x4000001d,0x00002ffe,0x7fcc0026,0xff30002f,0x7f40007f,
    0x0000005f,0x00000000,0x55000088,0x01544003,0x3ff20000,0xfff70007,
    0x0fff4001,0x0001fff9,0x004fff88,0x00188000,0x00000000,0x26000000,
    0x00004fff,0x36000000,0xfff882ff,0x32dff90f,0xff8806ff,0x01ffeabe,
    0x80000000,0x9006fff9,0x00005fff,0x7fcd54c4,0x00000007,0x8001fffc,
    0x0001fffa,0x00017ffa,0x00000000,0x00000000,0x00000000,0x8007ffc8,
    0x4002fff8,0x3ff24ffb,0x7c40000f,0x000004ff,0x00000000,0x00000000,
    0x04fff980,0x00000000,0x7c07ffa0,0xdff90fff,0x2a01bff2,0x0ffe21ff,
    0x00000000,0x201fffe4,0x0005fff9,0xffffed98,0x00005fff,0x27ff4000,
    0x07ffb800,0x02fff400,0x00000000,0x00000000,0x00000000,0x0fff9000,
    0x00bff900,0x7e4fff10,0x440000ff,0x00004fff,0x00000000,0x00000000,
    0x4fff9800,0x00000000,0x3ffb2e60,0x7ffc1cef,0x32dff90f,0xffa806ff,
    0x000ffe21,0x44000000,0x3a00ffff,0x40001fff,0xfffffffa,0x2202ffff,
    0xcccccccc,0x004ccccc,0x2000bffd,0x40007ffb,0x95005ffe,0x9999dfdb,
    0x20039999,0xccefedca,0x01cccccc,0x9dfdb950,0x39999999,0x80066654,
    0x99103ccc,0x99999999,0x7fe49999,0x7ffc4007,0x3ffd0000,0x9883fff2,
    0x100bdedb,0x2e009fff,0x66544ccc,0x2ccccccc,0x0f332600,0x8b332a00,
    0x8003ccc9,0x9802ccca,0xc9804fff,0xca8003cc,0x3fa202cc,0xffffffff,
    0x43fffe3f,0xdff96ffc,0x55dff100,0x00003ffb,0x99dfdb95,0x03999999,
    0x503fffb8,0x80009fff,0xfffffffd,0x03ffffff,0xfffffff3,0x0fffffff,
    0x0017ffa0,0x0003ffdc,0xd5017ffa,0xffffffff,0x05ffffff,0xfffffea8,
    0xffffffff,0x7ff5402f,0xffffffff,0x3f22ffff,0xfff000ff,0x3fffe60b,
    0xffffffff,0x01fff27f,0x000bff70,0xffc97fe4,0xfffff30f,0xff105fff,
    0xfffb009f,0xffffc83f,0x004fffff,0x003fffe2,0x443fffd0,0x4000ffff,
    0x9801fffe,0xf8804fff,0x74000fff,0xff701fff,0xffffffff,0x3fffc7ff,
    0x3ff2dff9,0xffff7006,0xa80007ff,0xfffffffe,0x2fffffff,0xb06fff80,
    0x40001fff,0x0acffffd,0x5ffffff3,0xffffff30,0xffffffff,0x017ffa00,
    0x003ffdc0,0xc817ffa0,0xffffffff,0xffffffff,0x3ffff202,0xffffffff,
    0x3202ffff,0xffffffff,0xffffffff,0x003fff22,0xf982fffc,0xffffffff,
    0x3f27ffff,0x7ff4007f,0xacedb882,0x27ff72db,0xffa8fffc,0xffffffff,
    0x027ffc42,0x207ffff6,0xfffffffc,0x7ec004ff,0x3e6003ff,0xfffd86ff,
    0x3ffe6003,0x9fff3006,0x0ffff600,0x06fff980,0x99dffff9,0x47fb7dff,
    0x3ff27fff,0x400dff96,0x001ceec9,0x7ffffe40,0xffffffff,0xfd802fff,
    0x6fff81ff,0x3ffe6000,0xffffc82f,0xccc886ff,0xeccccccc,0xffd007ff,
    0x3fee000b,0x7ff40007,0x7ffff505,0x7fffecc1,0xff500aab,0x7ecc17ff,
    0x00aabfff,0x417ffff5,0xabffffd9,0x03fff20a,0x882fffc0,0xcccccccc,
    0x327ffecc,0x3e6007ff,0xffff987f,0xff51ffff,0x3effff29,0xfebabeff,
    0x3fe20fff,0x3fff204f,0x9999501f,0x009fffb9,0x006fffa8,0x2a0ffff2,
    0x32006fff,0xf3003fff,0x3ea009ff,0x3f2006ff,0xfff983ff,0x893fee4f,
    0xfc9fffe1,0x00dff96f,0x7d400000,0x3660bfff,0x0aabffff,0x44fffa80,
    0x0003fffa,0x740bfff6,0x3ffffaff,0x1fff6000,0x002fff40,0x0007ffb8,
    0xff82fff4,0x3ff201ff,0xffff803f,0x0ffff201,0x807fffe0,0xf903fffc,
    0x3fe001ff,0xfd80005f,0x01fff27f,0x7cc4ffb8,0xffffffff,0x3f29ff50,
    0xb03fffff,0x7fc49fff,0xffff904f,0xfff30003,0xffff0009,0x3fffa003,
    0x03ffff00,0x003fffa0,0x0027ffcc,0x2003ffff,0xfe80fffe,0x1ffe42ff,
    0x7e4fffd0,0x00dff96f,0x03ffffe4,0x03ffff00,0x001fffe4,0x3f23fffc,
    0xf30000ff,0x3fe60bff,0x00dfff96,0x803ffec0,0x90005ffd,0xe8000fff,
    0xfff985ff,0x07fff804,0x4027ffcc,0x7cc07fff,0xfff804ff,0x01fff907,
    0x0017ffe0,0xfc9fff60,0x3ff2007f,0xc86fff42,0x57fe67ff,0x01fffffc,
    0xf89fffe2,0xfffc84ff,0xff30001f,0xff90009f,0xfff3009f,0x27ffe40b,
    0x02fffcc0,0x009fff30,0x4027ffe4,0xfb85fff9,0x2ffe85ff,0xfc9fffa0,
    0x00dff96f,0x0ffffffc,0x27ffcc00,0x003fffc0,0xff07ffec,0x7ec000df,
    0x9ff702ff,0x003fffe2,0x803ffec0,0xb0007ffc,0xe8000dff,0xfffb85ff,
    0x0fffd801,0x007ffee0,0xb803fff6,0xfd801fff,0xfffc80ff,0x0bfff000,
    0x4fffb000,0x3a007ffc,0x3bfee0ff,0xf99bff20,0x5ffff96f,0x25fff900,
    0x7e44fff8,0x20001fff,0x8004fff9,0xc807fff8,0x3e202fff,0xffc807ff,
    0x3fe6002f,0x3fe2004f,0xfffc807f,0x81fffd82,0x3fa01fff,0x65bff27f,
    0xff5006ff,0x0009ffff,0xb003fff7,0xb8001fff,0xfff11fff,0x7ffc000b,
    0xc8bff607,0xb0002fff,0x3ea00fff,0x7c4003ff,0x740003ff,0xfffc85ff,
    0x0fffc800,0x003fff20,0xc803fff2,0xfc800fff,0xfffc80ff,0x0bfff000,
    0x4fffb000,0xf1007ffc,0x43ffe8ff,0x3fe24ffd,0x007fff96,0x7c4fffea,
    0x3fff24ff,0x7cc0000f,0xfb0004ff,0xfff805ff,0x2fffd807,0x003fffc0,
    0x0013ffe6,0xf805fffb,0xfffd07ff,0xe803ffe0,0x5bff26ff,0xf9006ffc,
    0x00ffffff,0x001fff90,0x8001fff9,0xff32fffb,0x3e20009f,0xfff105ff,
    0x004fffb8,0x400fffb0,0x800cfffe,0x000fffea,0x642fff40,0xfd802fff,
    0x7ffe407f,0x07ffd802,0x4017ffe4,0xff907ffd,0x3ffe001f,0xffd80005,
    0x401fff27,0x3fe25ffa,0x31fff40f,0x3fff2bff,0x9fff1000,0x7e53ffe2,
    0x80000eff,0x0004fff9,0x540bfff5,0xfa804fff,0x3fea05ff,0x7fcc004f,
    0x7fd4004f,0x3ffea05f,0x85fff884,0x7f407ff9,0x45bff26f,0xfff00099,
    0x003fff99,0x802fffc8,0xa8007ffd,0xfff53fff,0x3fe60007,0x8bff503f,
    0x0005fffa,0x4400fffb,0x4efffffe,0xdfffffd5,0xffd00003,0x09fff50b,
    0x406fff88,0x4404fffa,0x7d406fff,0x7fc404ff,0x1fff906f,0x017ffe00,
    0xc9fff600,0xff5007ff,0x7c3ffd49,0x57fe62ff,0x1000fffc,0x3fe2bfff,
    0x0efffccf,0xfff30000,0x7ffc0009,0x3fff900f,0x03fffe00,0x000fffe4,
    0x0013ffe6,0x6403fffe,0xff981fff,0x06ffa84f,0xff937fec,0x3fea000d,
    0x04fffaaf,0x027ffd40,0x001bffe2,0x7d53ffe6,0xf50002ff,0x3ff607ff,
    0x02fffcc2,0x007ffd80,0x5ffffea8,0x05fffff7,0x2fff4000,0x00ffffc4,
    0x8807fff9,0x3201ffff,0x7c403fff,0x3f201fff,0xfff903ff,0x17ffe001,
    0x9fff6000,0xf7007ffc,0x22ffe47f,0x3ea1fff8,0x01fff94f,0xf8b7ffc0,
    0x2ffffeff,0x3fe60000,0x3f20004f,0xdfff03ff,0x1fffe400,0x8006fff8,
    0x8004fff9,0xff03fffc,0x3ffe60df,0x405ffb84,0x3ff26ffd,0xfff90006,
    0x001bffe1,0x403ffff1,0x8003fffc,0xff75fff8,0x3ee0003f,0x1fff02ff,
    0x006fff88,0x800fffb0,0x5ffffffb,0xbffffff7,0xffd00001,0x3fffee0b,
    0x3fff660b,0xffff7006,0x7ffecc17,0xffff7006,0x7ffecc17,0x03fff206,
    0x002fffc0,0xf93ffec0,0x3ff200ff,0xf313ff63,0x93ffa8ff,0x7c001fff,
    0x9fff15ff,0x003ffff5,0x13ffe600,0x6fff9800,0x003fffa8,0x2a1bffe6,
    0x98003fff,0x98004fff,0xffa86fff,0xbfff103f,0xd809ff90,0x1bff26ff,
    0xb2fffc00,0xb8003fff,0x260bffff,0x0006fffd,0x3ee9fff1,0xf90002ff,
    0xdff303ff,0x001fffe0,0x9003ffec,0x1335bfff,0x3ff6a662,0xfe80006f,
    0xffff105f,0xffffffff,0x3fe2001f,0xffffffff,0xf1000fff,0xffffffff,
    0x6401ffff,0xff000fff,0xfb0000bf,0x03ffe4ff,0x3fa2ffc8,0x237fdc3f,
    0xfff93ffb,0x3ffe2001,0x329fff14,0x0000ffff,0x004fff98,0x20ffff40,
    0x4000fffd,0x7ec1fffe,0xf98000ff,0xfd0004ff,0xfffd83ff,0x21fffe00,
    0x7ec03ffd,0x01bff25f,0xa8bffe60,0x44004fff,0xffffffff,0x000fffff,
    0x2a7fff30,0xb0003fff,0xff903fff,0x01bffe07,0x803ffec0,0x4003fff9,
    0x0003fffb,0xfe82fff4,0xffffffff,0x3a000cff,0xffffffff,0x2000cfff,
    0xfffffffe,0x400cffff,0xf000fffc,0xb0000bff,0x3ffe4fff,0x3a2ffd80,
    0x2ffe43ff,0x7fe47ff6,0xfff3000f,0xd93ffe27,0x0000efff,0x0027ffcc,
    0x893ffea0,0xa8005fff,0x3fe24fff,0xff30005f,0x3ea0009f,0x3ffe24ff,
    0x17fff405,0xd9007ffa,0x037fe49d,0x107ffe40,0xe800dfff,0xffffffff,
    0x0000cfff,0x7ccfffea,0xf90004ff,0x3ffd05ff,0x00bfff10,0x401fff60,
    0xd0007ffc,0xe8000dff,0xfffb85ff,0xbceeeca8,0x7ffdc001,0xbceeeca8,
    0x7ffdc001,0xbceeeca8,0x1fff9001,0x017ffe00,0xc9fff600,0xffb007ff,
    0x361fffc3,0x93ff44ff,0x2a001fff,0xfff11fff,0x0efffd89,0x3ffe6000,
    0xfff80004,0x05fff70f,0x43fffe00,0x0002fffb,0x0009fff3,0xfb87fffc,
    0x7fdc02ff,0x03ffe0ef,0x037fe400,0x6c37ffc0,0xf7001fff,0xddd951ff,
    0x70000379,0x3fe25fff,0xff90005f,0x07ff887f,0x0009fff3,0x6c01fff6,
    0xf90006ff,0xfe8000ff,0x04ffd85f,0x4ffd8000,0xffd80000,0x3f200004,
    0xfff000ff,0xffb0000b,0x803ffe4f,0x3ffa2ffd,0x893ffe24,0x3fff24ff,
    0x1fffd000,0xd113ffe2,0x4000dfff,0x0004fff9,0xfd2fffc8,0x7e4000ff,
    0x0fffd2ff,0x27ffcc00,0x5fff9000,0x7c01fffa,0xff89ffff,0x3ff20007,
    0x7ffcc006,0x04fffb83,0x0009ffb0,0x3fff2000,0x001bffe0,0x2e27ffdc,
    0xfff304ff,0x3ff60007,0x0bffd007,0x01ffee00,0xf0bffd00,0x000009ff,
    0x00009fff,0x0009fff0,0x007ffe40,0x0005fff8,0x3f27ffd8,0x5ff9007f,
    0xff927fec,0x917fe49f,0xf5001fff,0x7ffc49ff,0x5ffff884,0x9fff3000,
    0xfff30000,0x009fff3b,0x4efffcc0,0x20004fff,0x0004fff9,0x3e77ffe6,
    0xff7004ff,0x4dff9fff,0x20443da8,0x13316ffc,0x407ffe40,0xf006fff8,
    0x000009ff,0xfd1bffe0,0xf50001ff,0x2ffd89ff,0x005fff70,0x401fff60,
    0x70005ffe,0xe8000fff,0xffff85ff,0x7fc00002,0x400002ff,0x0002ffff,
    0x001fff90,0x00017ffe,0xffc9fff6,0x47ff7007,0xffbafffc,0xeffb9ffe,
    0x003fff20,0x441fffd1,0xff304fff,0xf3000bff,0x200009ff,0xfffcfffe,
    0x7ff40001,0x001fffcf,0x013ffe60,0xf9fffd00,0x7e4003ff,0xefffffff,
    0x3f63ffff,0x2dff90df,0x3fe06ffc,0x3fffa06f,0x2ffff801,0x7cc00000,
    0x7ffdc4ff,0xfff88003,0xe81ffe26,0xb0001fff,0x3fa00fff,0xff70005f,
    0xffe8000f,0xfffffd85,0xacccdeee,0xffffb001,0x999bdddf,0x3ff60035,
    0xcdeeefff,0x7e401acc,0xfff000ff,0xffb0000b,0x803ffe4f,0x3fe64ffa,
    0xffbaffff,0x7e41ffff,0xfb881cff,0x7fc43fff,0x3ffea04f,0x3333304f,
    0x339fff53,0xb8003333,0x06ffffff,0xffffb800,0x333006ff,0x9fff5333,
    0x00333333,0x3fffffee,0xfffb8006,0xffffffff,0x9ffff73f,0x7fe5bff2,
    0x07fff306,0x401fffdc,0xeefffffd,0x01acccde,0x83fff900,0x0006fff8,
    0x3ea3fffd,0xffff105f,0x3ffec000,0x005ffe80,0x000fff70,0xf985ffe8,
    0xffffffff,0x03ffffff,0x7fffffcc,0xffffffff,0x7ffcc03f,0xffffffff,
    0xf903ffff,0x3fe001ff,0xfd80005f,0x01fff27f,0x3ee27fd4,0xfff14fff,
    0xfff905ff,0xfffddfff,0xff109fff,0xfffb809f,0x7fffcc3f,0xffffffff,
    0x4007ffff,0x2ffffff8,0xfff88000,0xf9802fff,0xffffffff,0x7fffffff,
    0xfffff100,0x2e20005f,0xeffffffe,0xffffb1bc,0x7e5bff2d,0x3fff906f,
    0x037ffcc0,0x7fffffcc,0xffffffff,0x7ffc003f,0x01fffb07,0x2dfff900,
    0xff703ffc,0x7ec0007f,0xbffd007f,0x1ffee000,0x0bffd000,0x3fffffe6,
    0xffffffff,0x7ffcc05f,0xffffffff,0x4c05ffff,0xffffffff,0x5fffffff,
    0x000fffc8,0x0000bfff,0x7fe4fffb,0x0bff3007,0x59501773,0x7ffffe40,
    0xefffffff,0x09fff101,0x47ffff90,0xfffffff9,0xffffffff,0xffc8007f,
    0x200006ff,0x006ffffc,0xfffffff3,0xffffffff,0x7fe400ff,0xd00006ff,
    0x7e4017ff,0xdff94fff,0x7fc1bff2,0xfffe806f,0xffff9801,0xffffffff,
    0xf5005fff,0x3fea09ff,0xff98004f,0x80fffaff,0x0006fff9,0xe803ffec,
    0xf70005ff,0xfe8000ff,0xfffe885f,0xfdcccbab,0x104fffff,0x9757fffd,
    0xfffffb99,0x3ffa209f,0xdcccbabf,0x44ffffff,0xf000fffc,0xb0000bff,
    0x3ffe4fff,0x00fff880,0xfffc8000,0xdefffffe,0x27ffc403,0x2ffffd80,
    0xfffffff3,0xffffffff,0xff3000ff,0x400007ff,0x003ffff9,0xfffffff3,
    0xffffffff,0x7fcc00ff,0xf00003ff,0xfe8803ff,0x2dff90ef,0xff986ffc,
    0xfffc804f,0x7fff4403,0xfdcccbab,0x804fffff,0x3e00fffe,0xd8001fff,
    0x86ffffff,0x002ffff9,0x8037ff40,0x70005ffe,0xe8000fff,0x7ff445ff,
    0xffd8800f,0xfffe887f,0xfffd8800,0x0fffe887,0x7fffd880,0x9fff0000,
    0xdffd0000,0xb003ffe4,0x000007ff,0x2661fff9,0x00000001,0x3ff60000,
    0xfff98003,0x7cc00007,0x000007ff,0x3fe60000,0x3e00007f,0x833000ff,
    0xdff96ffc,0x99bfff90,0xfb999999,0x7f440dff,0xfd8800ff,0x7fdc07ff,
    0x7ffd402f,0xfff88005,0xf9514fff,0x0000dfff,0x3a00bfff,0xf70005ff,
    0xfe8000ff,0x17ffdc5f,0x3ffff100,0x002fffb8,0x707fffe2,0x44005fff,
    0x0001ffff,0x001fffc4,0xf92fffc0,0x7fd400ff,0xfc800006,0x000000ff,
    0xb0000000,0x360009ff,0x00003fff,0x001fffec,0xb0000000,0x00007fff,
    0x0001ffe6,0x3ff2dff9,0xffffff86,0xffffffff,0xf700ffff,0x7c4005ff,
    0xff101fff,0x3ff600df,0xffa8002f,0xffffffff,0x0000dfff,0x8027ffc4,
    0x50004ffe,0x40001fff,0x7fec5ffe,0x7fec000f,0x07ffec1f,0x07fff600,
    0x8001fffb,0x0001fffd,0x0017ffd4,0xc93ffe20,0x7fc007ff,0x6400001f,
    0x00000fff,0x00333260,0x7ffd4000,0xfffa8000,0x2a00000f,0x0000ffff,
    0x00199930,0x0ffffa80,0xdff50000,0x6ffc8000,0xff98dff9,0xffffffff,
    0xffffffff,0x01fffb03,0x01fffd80,0x2003fffb,0x000efff8,0xffffff98,
    0x003fffff,0x05fffb00,0x000fffe0,0x000fffcc,0xfe8bffd0,0x7fc000ff,
    0x0fffe87f,0x43fffc00,0x4000fffe,0x80007fff,0x0000fffe,0xf917ffec,
    0xffc800ff,0x3200000e,0x00000fff,0x001ffee0,0x04ffd800,0x2ffff980,
    0x3fe60000,0x200002ff,0x40007ffb,0x002ffff9,0x017fee00,0x32dff900,
    0x7ffe46ff,0xeeeeeeee,0x6fffeeee,0x001fffd0,0xf707fff8,0xfb8009ff,
    0xf70005ff,0x9dffffff,0xb8028803,0xf5006fff,0x220005ff,0x20004fff,
    0x7fec5ffe,0x3ff6004f,0x4fffd85f,0x17fff600,0x8013fff6,0x0005fffd,
    0x8827ffdc,0x6fffb802,0x2003ffe4,0x000efff9,0x7ffe4013,0x36000000,
    0x000005ff,0x30017ffa,0x0009fffd,0x27fff4c0,0x3ff60000,0x3fa60005,
    0x400004ff,0x40003ffc,0xdff96ffc,0x8007fff8,0xfd80ffff,0x3f6004ff,
    0xfffa85ff,0xfffb0005,0x5ffd000b,0xf8800355,0xda999acf,0x8801ffff,
    0x0000ffff,0x000bfffa,0x3ee2fff4,0x441adfff,0x0effffb9,0xadffffb8,
    0x7ffdcc41,0xfffb80ef,0x5cc41adf,0x400effff,0xdb99abdc,0xf100ffff,
    0xb533359f,0xfc83ffff,0xffa8007f,0xea880aef,0x3fff201f,0x3e000000,
    0x000003ff,0x0ab3fff2,0xfffb7555,0x554000df,0x6ffffdba,0xfff80000,
    0xb7555003,0x000dffff,0x005ffb00,0xf96ffc80,0x27ffccdf,0x1fffe400,
    0x56ffffdc,0x7ffdcc41,0x7ffcc0ef,0xfd10000e,0x7c4007ff,0x7c40007f,
    0xffffffff,0x53303fff,0x007ffff9,0xdffffa80,0x2666219a,0x85ffe999,
    0xfffffffc,0xffffffff,0x3fff200f,0xffffffff,0x200fffff,0xfffffffc,
    0xffffffff,0xfffc800f,0x2fffffff,0x3ffffe20,0x3fffffff,0x999fffc8,
    0x3ea01999,0xfeeeffff,0x3201ffff,0x00000fff,0x001fff10,0x7ffc4000,
    0x3ff60fff,0x00dfffff,0x3ffff600,0x0000dfff,0x007ffc40,0xffffffd8,
    0x800000df,0x40001ffe,0xdff96ffc,0x0017ffe4,0xc837ffd4,0xffffffff,
    0xffffffff,0x077ffc40,0x3ffa2000,0xbff5002f,0xfff88000,0xefffffff,
    0xfffff101,0x00001dff,0xfffffffb,0x3fffffa3,0xf705ffff,0xffffffff,
    0x0017ffff,0xfffffff7,0x17ffffff,0xfffff700,0xffffffff,0x3ff20017,
    0x1effffff,0x7ffffc40,0x01efffff,0xfffffff9,0xff980fff,0xffffffff,
    0x3ff200be,0x5000000f,0x00000dff,0x1ffffd50,0x7fffffec,0xffd80002,
    0x0002ffff,0x00dff500,0x7fffffec,0x2a000002,0x640000aa,0x4dff96ff,
    0x20007fff,0xf700ffff,0xffffffff,0x2017ffff,0x00000ffd,0x6c00bfd1,
    0x880003ff,0xcdeffedb,0x7fffc402,0x400003ff,0x1ffffffa,0xfffffffd,
    0xdca80bff,0x2cdefffe,0xfdb95000,0x0059bdff,0x3ffb72a0,0x8002cdef,
    0xceffedb8,0x3b6e2002,0x402cdeff,0xfffffffc,0x951007ff,0x00399ddd,
    0x0003bbae,0x01f75c00,0x33100000,0xacdefc81,0xdf900000,0x0000159b,
    0x001f75c0,0x0159bdf9,0x00000000,0xfcb7fe40,0x09fff36f,0x1fffec00,
    0x3ffb72a0,0xb002cdef,0xd9800003,0x03332000,0x40000000,0x00abcee8,
    0x97510000,0x3bbb23dd,0x04eeeeee,0x00000000,0x00000000,0x00000000,
    0x3bbae000,0x06eeeeee,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x65bff200,0x5fff96ff,0x7ffd4000,0x00000006,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0xdff96ffc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3f200000,0x00dff96f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x57bae000,
    0x00005eeb,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01531000,0x00000000,0x00002660,0x17777640,
    0x00000000,0x00000000,0x2aa60000,0x00000099,0x00000000,0x00600000,
    0x00000000,0x1aaaa988,0x00000000,0x4c400000,0x0000000a,0x66400000,
    0x0000000c,0x1676dc40,0x22000188,0xaaaaaaa9,0x0b332200,0x54073326,
    0x2e0003ee,0x400cffff,0x004ffffb,0x50013ffa,0x00000bff,0x005ffff9,
    0x0fffff90,0x00fffc80,0x0037ffc0,0x00037fa6,0xffffdb70,0x0017bfff,
    0x400dfe98,0xfffffffc,0xffffffff,0x3ffffe61,0xffffffff,0xda803fff,
    0x3e2000ff,0xffffffff,0xffffffff,0x36602fff,0xffffffff,0x37ffc2ef,
    0xffff5000,0x79dfffff,0x3fee0000,0xf9000cff,0xfd1001ff,0x300007ff,
    0x3fee0dff,0x3fa005ff,0x3ffe604f,0x3a21efff,0xfdb7001f,0xffffffff,
    0xfffb805f,0x413ffee5,0x004ffff9,0xffffffb8,0x7fffdc05,0x9ffd000f,
    0x04ffb800,0x7ffe4000,0xfff0000e,0x64003fff,0x7c000fff,0x7fc006ff,
    0xd30006ff,0xffffffff,0x8009ffff,0x6406ffff,0xffffffff,0x1fffffff,
    0x3fffffe6,0xffffffff,0xffc803ff,0x3fe2000f,0xffffffff,0xffffffff,
    0xffd982ff,0xffffffff,0x37ffc4ff,0xffff5000,0xffffffff,0x7dc0005f,
    0x005fffff,0xb001fff9,0x0000bfff,0x7dc13fee,0xd001ffff,0x3fa209ff,
    0xdfffffff,0x5c03fffd,0xffffffff,0x02ffffff,0xfdefffa8,0x3ff203ff,
    0xff8006ff,0xb803fee5,0x004fffff,0xc8009ffd,0x200003ff,0x0004fffc,
    0x3fffffea,0x3fff2004,0x37ffc000,0xfffff300,0xfffb8001,0xffffffff,
    0x26004fff,0x200fffff,0xfffffffc,0xffffffff,0x3ffffe61,0xffffffff,
    0xfc803fff,0x3e2000ff,0xffffffff,0xffffffff,0x7fcc2fff,0xfeefffff,
    0x7fc4ffff,0x3ea0006f,0xffffffff,0x004fffff,0x7fdcbff0,0x0fffc800,
    0x037ffe40,0x05ffd000,0x17ffffee,0xa827ff40,0xfff50bff,0x4409ffff,
    0xfffffffe,0xfffeeeef,0xffff3002,0xffc807ff,0x7c4006ff,0x80bfe21f,
    0x0ffffffb,0x004ffe80,0x00017fec,0x002eeea8,0x7ffffe40,0x3ff2007f,
    0x7ffc000f,0x3ffe2006,0x7ff4007f,0x261acfff,0x2004feba,0x407ffff8,
    0x999afffc,0x19999999,0xe9999998,0x99999fff,0xfffc8009,0x4cccc000,
    0xfffe9999,0x99999999,0x3bfffa20,0x8795100a,0x20006fff,0x999cfffa,
    0xfffffba9,0x0ffc4002,0xf9005ff1,0x7fd401ff,0x310000ef,0x40fff355,
    0x0ffffffb,0x204ffe80,0xffec883a,0x7ffec03e,0x547fffff,0x26002fff,
    0x8802ffff,0x4002ffff,0x3fe63ff8,0x3fffee01,0xffe804ff,0x3b6ea204,
    0x1bceefff,0x00022000,0x7e67ffc0,0xff9001ff,0xfff8001f,0x7ffdc006,
    0x3ffee002,0x053000df,0x02fffb80,0x0007ffe4,0x07ffe800,0x07ffe400,
    0x3ffa0000,0x7ffe4007,0x7ffc0005,0x3fea0006,0x7ffec03f,0x1ffc4007,
    0xf9003ff3,0x3fe201ff,0x6cc001ff,0xfffffffe,0x3fffee05,0xffe804ff,
    0x00440004,0x7fffffdc,0x7fd47fff,0x0000002f,0x20005991,0x6febcffd,
    0x7efffdc0,0x7ff401ff,0xfffff504,0x9fffffff,0xffff5000,0x7fd40007,
    0x04fffaaf,0x001fff90,0x8006fff8,0x3e2000a8,0x00003fff,0x90015100,
    0x00001fff,0x001fffa0,0x001fff90,0x07ffe800,0x007fff40,0x01bffe00,
    0x03fffa80,0x007fffc4,0x3af3ff60,0xfff9006f,0x0bfffa01,0xfffff500,
    0x05ffffff,0x3ff7ffee,0x27ff400f,0xff800000,0xffffffff,0x017ffd47,
    0x00000000,0xfffffd10,0x9fffb803,0x7f405fff,0x7fff444f,0xffffffff,
    0x7dc004ff,0x004fffff,0x3e1fff90,0xff9006ff,0xfff8001f,0xb0000006,
    0x00009fff,0x3f200000,0x000000ff,0x2a00fffd,0xffeccccc,0xcccccccf,
    0x3fa003cc,0x3fe2007f,0xff80006f,0x3ea0006f,0xffd803ff,0x7f44001f,
    0x9001ffff,0xffb01fff,0xffd8007f,0xffffffff,0xffb83fff,0x404fffaf,
    0x00004ffe,0xfffff980,0x547fffff,0x44002fff,0x001aaaa9,0x376e0000,
    0xfffb800c,0x201fffc8,0x7ff44ffe,0xeffbacff,0x2004ecba,0xfc88dff8,
    0xfff8001f,0x007fff65,0x0003fff2,0x2000dfff,0x26019aa9,0x0000ffff,
    0x4d54c000,0x0fffc809,0xffd00000,0x3fff200f,0xffffffff,0x6fffffff,
    0x01fffa00,0x006fff98,0x006fff80,0x00fffea0,0x000bfff2,0x00066edc,
    0xfb81fff9,0x7ec005ff,0xf30acfff,0xb85fffff,0xfffd8fff,0x913ffa00,
    0xf8001fff,0xffff76ff,0x8fffffff,0x9802fffa,0xfffffffd,0xaa982eff,
    0x80000002,0xff88fffb,0x93ffa05f,0x2a0efffc,0x540005ff,0x027f40ff,
    0xa8bffe60,0xfc804fff,0x7fc000ff,0xfd95006f,0x5bffffff,0x004fffd8,
    0xfedb8000,0xbdffffff,0x001fff90,0x1fffa000,0x7ffffe40,0xffffffff,
    0x006fffff,0xf001fffa,0x80003fff,0x20006fff,0xd803fffa,0x00001fff,
    0x0fffc800,0x001bffe6,0x905ffff3,0x8dffffff,0xffa8fffb,0x13ffa03f,
    0x8001fff9,0xfff96fff,0xffffffff,0x202fffa8,0xffffffd9,0x84ffffff,
    0x7e405ffb,0x7fc000ff,0x21fff76f,0xfd01fffc,0x17fffc9f,0x00013fee,
    0x4fe81ff7,0x07ffe400,0x900dfff1,0xf8001fff,0x7ec406ff,0xffffffff,
    0x3ffa2fff,0x2000000f,0xffffffe9,0x94ffffff,0x00001fff,0x401fffa0,
    0xfeccccca,0xccccccff,0x3a003ccc,0x7ec007ff,0x20001eff,0x20006fff,
    0xf803fffa,0xc8000fff,0x2007ffff,0xff10fffc,0xfd8001ff,0x5ffd02ff,
    0x7dc7ffff,0x0ffff0ff,0x3f227ff4,0x7fc000ff,0xfffff76f,0xa8ffffff,
    0xff302fff,0xfddfffff,0xf909ffff,0xfffc80df,0xb7ffc000,0xff10fffb,
    0x53ffa0df,0xfd86fff8,0x7cc0002f,0x00ffe63f,0xfb0dfff0,0xffc803ff,
    0x7ffc000f,0x3fffe606,0xffffffff,0x1bffe2ff,0xffb80000,0xffffffff,
    0xff94ffff,0x2000001f,0x40007ffe,0x0000fffc,0x003fff40,0x0fffffea,
    0x037ffc00,0x07fff500,0x005fffc8,0x3ffffff0,0x43fff200,0x4001fffe,
    0xf305fff9,0x9bfff2df,0xff70fffb,0x13ffa05f,0x8001fff9,0xfff56fff,
    0xffffffff,0x882fffa8,0x00aefffe,0xff907951,0x0fffc80d,0xbb7ffc00,
    0x3ff20fff,0x54ffe82f,0xffd0bfff,0xffb00003,0x001dffbd,0x5c1fffcc,
    0x7e404fff,0x7fc000ff,0xffff706f,0x2a62359f,0xfff12ffb,0x3a00000b,
    0x1acfffff,0x653faea6,0x9999afff,0x00999999,0x001fffa0,0x001fff90,
    0x07ffe800,0xfffffc80,0x3fe000bf,0x3ea0006f,0xff9103ff,0xf50001ff,
    0x009fffff,0x3f23fff2,0xfd8002ff,0x9ff702ff,0x5c3fffe2,0xfff10fff,
    0x913ffa0d,0xf8001fff,0xffff36ff,0x8fffffff,0xfc82fffa,0xc80005ff,
    0x7fe406ff,0x7ffc000f,0x441fff76,0xffe86fff,0x81ffff14,0x80000fff,
    0x1effffd8,0x07ffe400,0x2037ffc4,0x4000fffc,0xff886fff,0x35001eff,
    0xb813ffe6,0xcccccccc,0xdffffb83,0x3f253000,0xffffffff,0x006fffff,
    0x0001fffa,0x0001fff9,0x007ffe80,0xffffff70,0xfff003bf,0x7fd4000d,
    0xfedcccdf,0x0001ffff,0xfffffff9,0x33fff200,0xf0003fff,0x7fec0fff,
    0x5cbfff22,0x3ff20fff,0x44ffe82f,0x4000fffc,0x3ffa6fff,0x7fffffff,
    0x7417ffd4,0x80000fff,0x7e406ffc,0x7fc000ff,0x81fff76f,0x7f42fffc,
    0x97fffe4f,0x00007ff8,0x800165d4,0x3fa06fff,0x3ff201ff,0x7ffc000f,
    0x0dfffd86,0x7fff7000,0x7ffffec0,0x7fc45fff,0x320003ff,0xffffffff,
    0x06ffffff,0x001fffa0,0x001fff90,0x07ffe800,0x3fffa600,0x202effff,
    0x20006fff,0xfffffffa,0x01dfffff,0x333ffe00,0xfc801fff,0x00ffffff,
    0x05fff880,0xffb8fff1,0x41fff74f,0xfe86fff8,0x07ffe44f,0x99bffe00,
    0xffffffff,0x17ffd47f,0x001bffe2,0x203ffec0,0x4000fffc,0xfff76fff,
    0x46fff881,0x3fee4ffe,0x6ff9afff,0x00000000,0x701fffcc,0x7e407fff,
    0x7fc000ff,0x7fffcc6f,0x3fee0000,0x3fff603f,0x6c5fffff,0x40004fff,
    0xfffffffc,0x6fffffff,0x01fffa00,0x01fff900,0x7ffe8000,0xffd98000,
    0x80dfffff,0x20006fff,0xfffffffa,0x0001efff,0x7d57ffd4,0xffc804ff,
    0x006fffdf,0x503fff98,0xfffa8bff,0xc81fff75,0x7ff41fff,0x007ffe44,
    0xf71bffe0,0xffffffff,0x4c2fffa8,0x00006fff,0xfc80fffb,0x7fc000ff,
    0x01fff76f,0x7f47fff7,0x7fffec4f,0x0005ffff,0x7ff6e544,0xf9000cce,
    0x7fcc03ff,0x3fff206f,0x37ffc000,0x000ffff6,0x409fff50,0xffaaaaaa,
    0x3fffe65f,0x7fe40000,0xd000000f,0xc8000fff,0x00000fff,0x0003fff4,
    0xfffff910,0x6fff83ff,0x3ffea000,0xffffcbad,0x7fe40004,0x00dfff0f,
    0xffd3fff9,0xffa8009f,0x85ffb03f,0xff75fff9,0x5fff881f,0x3f227ff4,
    0x7fc000ff,0xfffea86f,0x7fd47fff,0x1ffff82f,0x7ffd8000,0x007ffe40,
    0x7ddbffe0,0xfff880ff,0x3213ffa7,0xefffffff,0xffe98001,0xffffffff,
    0x7ffc00cf,0x1fffe806,0x001fff90,0x3e26fff8,0x40000fff,0x8004fff9,
    0x3ff65fff,0xfc80004f,0x000000ff,0x8000fffd,0x0000fffc,0x003fff40,
    0xfffeb800,0x1bffe0ef,0x3fffa800,0x005fffd8,0xfd97ffe0,0x7fe401ff,
    0x3ffff88f,0x0bffee00,0x3e207ffc,0x1fff76ff,0x743fffb0,0x7ffe44ff,
    0x37ffc000,0xffffff70,0xd82fffa8,0x0001efff,0x3203ffec,0x7c000fff,
    0x1fff76ff,0x74fffee0,0xffd304ff,0x05bfffff,0x7ffffd40,0xffffffff,
    0x9fff300e,0x07fff900,0x0003fff2,0x7fd4dfff,0xf880004f,0xff8005ff,
    0x03fffa5f,0x3fff2000,0xfd000000,0xfc8000ff,0x400000ff,0x00007ffe,
    0x2ffffe40,0x4000dfff,0xfb03fffa,0xf30005ff,0x7ffd45ff,0x87ffe404,
    0x001ffffa,0xf303fff9,0x5fffe0df,0xf980fffb,0x13ffa5ff,0x8001fff9,
    0x98806fff,0x7ffd44ca,0xfffffa82,0x3ff60003,0x07ffe407,0x5dbffe00,
    0x3fe00fff,0x809ffd7f,0xffffffd9,0xffa800df,0xda99abce,0xf905ffff,
    0x99999bff,0xdfffb999,0x003fff20,0x7dcdfff0,0xf00003ff,0xff000dff,
    0x037ffcbf,0x0fffc800,0xffd00000,0xffc8000f,0x7400000f,0x000007ff,
    0x3e7fffb8,0x2a0006ff,0xff303fff,0xff9000df,0x37ffc41f,0xc83fff20,
    0xd800efff,0xffc81fff,0x2edfff03,0xffd00fff,0x913ffa1f,0xf8001fff,
    0xa80006ff,0xff902fff,0x0017ffff,0x200fffe8,0x4000fffc,0xfff76fff,
    0x5fffdc01,0xfd004ffe,0x3fffffff,0xa801b980,0xff80ffff,0xffffffff,
    0xffffffff,0x01fffc80,0xc97ffe20,0x00002fff,0x8005fffd,0xfff15fff,
    0x3f20000b,0x000000ff,0x8000fffd,0x0000fffc,0x003fff40,0xffff8000,
    0x000dfff1,0xb01fffd4,0xf8007fff,0xfffd86ff,0x03fff201,0x900bfffb,
    0xffd05fff,0x2bfff103,0xf500fffb,0x13ffa9ff,0x8001fff9,0x80006fff,
    0x2e02fffa,0xdfffffff,0x1fffd001,0x007ffe40,0x7ddbffe0,0x7ff400ff,
    0xf004fffe,0xffffb5ff,0x6400003f,0x7fcc2fff,0xffffffff,0xffffffff,
    0x02fffb83,0xd93ffe60,0x00001fff,0x800bfff9,0xfff35fff,0x66665c09,
    0xff93cccc,0x2000001f,0x40007ffe,0x0000fffc,0x003fff40,0xfffc8000,
    0x000dfff2,0x301fffd4,0x4c00ffff,0xffb83fff,0x3fff204f,0x27fffc40,
    0x10ffff20,0x3fe60fff,0x01fff74f,0xffebfff4,0x007ffe44,0x001bffe0,
    0x00bffea0,0xffffffd3,0xffe805df,0x3fff200f,0xb7ffc000,0x5400fffb,
    0x04ffffff,0x3aa7ff88,0x00006fff,0xf90fffe6,0xddddddff,0xffdddddd,
    0x7fff50df,0x1fffd400,0x0001fffd,0x07fffe20,0xf75fff80,0x7fec07ff,
    0x95ffffff,0x00001fff,0x001fffa0,0x003fff70,0x07ffe800,0xffb00000,
    0x01bffe1f,0x03fffa80,0x801fffec,0xf880fffc,0x3ff206ff,0xffff980f,
    0x13ffee02,0x3e609ff7,0x1fff73ff,0x75fffd40,0x7ffe44ff,0x37ffc000,
    0x7ffd4000,0xfffb3002,0x201bffff,0x3200fffe,0x7c000fff,0x1fff76ff,
    0xfffffd00,0x8dff3009,0x000ffff8,0x89fff100,0xf8007fff,0x7fc40fff,
    0x3ffa007f,0x03fffe0f,0xfffb8000,0xbfff001e,0xd80fffee,0xffffffff,
    0x001fff95,0x1fffa000,0x7fff5000,0xffe80000,0x88000007,0x3ffe7fff,
    0x3fea0006,0x7ffcc03f,0x0dfff006,0xc80ffff4,0xff700fff,0x3fea01ff,
    0x817fec4f,0xff72fffb,0xeffe801f,0x7fe44ffe,0x7ffc000f,0xffa80006,
    0x7e44002f,0x81ffffff,0x3201fffe,0x7c000fff,0x1fff76ff,0xfffff500,
    0x0bff5009,0x0005fff9,0x993ffe20,0xc8004fff,0xffd83fff,0xfffc804f,
    0x00ffff44,0x3fffe000,0x5fff802f,0x5409fff5,0xfffaaaaa,0x001fff95,
    0x1fffa000,0xffff3000,0x7f400001,0x0002007f,0xff2ffff4,0x7d4000df,
    0xffe803ff,0x7ffcc02f,0x0fffee03,0xb007ffe4,0x3e20dfff,0x1ffe26ff,
    0xf71fffe8,0xffb801ff,0x7e44ffff,0x7fc000ff,0xfa80006f,0x2e0002ff,
    0x40effffe,0x3201ffff,0x7c000fff,0x1fff76ff,0x3ffffa00,0x83ffb804,
    0x3003fffb,0x99999975,0x7fe49fff,0xffa8002f,0xffff986f,0xfffd981e,
    0x17ffec0f,0x3fea0000,0x20abdfff,0xf35fffb9,0xff0009ff,0x2bfff2bf,
    0x99999999,0x99998199,0x99fffe99,0xd0009999,0x2605dfff,0x1fffa002,
    0x99bdfc80,0x7ffe4cc1,0x3bffe0ef,0x99999999,0x3fea1999,0xfffa803f,
    0x0fffe406,0x20dfff30,0x2200fffc,0xfd05fffe,0x17fea3ff,0xf73fffc4,
    0xfff001ff,0xffc89fff,0x7ffc000f,0xffa80006,0xfc80002f,0x7ffc5fff,
    0x3fff201f,0xb7ffc000,0x5000fffb,0x9009ffff,0xfff905ff,0xfffea803,
    0xffffffff,0x01fffe4f,0x80ffff80,0xeffffffc,0x1ffffffe,0x003fffc8,
    0xfffea800,0xffffffff,0xfff15fff,0xbfff000b,0x3ffffff2,0xffffffff,
    0x3fffe61f,0xffffffff,0x3003ffff,0xdfffffff,0x7400dfff,0x3f2007ff,
    0xffffffff,0x1fffffff,0x7ffffffc,0xffffffff,0x07fff50f,0x80bfffa0,
    0xfe806fff,0xfffc81ff,0x7fffcc00,0x96fffc83,0x3fee07ff,0x03ffee3f,
    0x3ffffee0,0x007ffe44,0x001bffe0,0x00bffea0,0x3fffdc00,0xc807fffe,
    0x7c000fff,0x1fff76ff,0x27fff400,0x220ffec0,0x3a207fff,0xffffffff,
    0x34ffffff,0x40009fff,0xf503fffd,0xffffffff,0x3ee03fff,0x000004ff,
    0xffffffb1,0x9fffffff,0x40037ffc,0xfff95fff,0xffffffff,0x7cc3ffff,
    0xffffffff,0x3fffffff,0x3fffee00,0x06ffffff,0x801fffa0,0xfffffffc,
    0xdfffffff,0xffffff81,0xffffffff,0x7fff50ff,0x1bffee00,0x4027ffcc,
    0xfc83fffc,0xffb800ff,0x7ffcc1ff,0x980fffaf,0x7fdc6fff,0xfff8800f,
    0x7ffe44ff,0x3ffe2001,0xffa80004,0x3e00001f,0x3ffe1fff,0x3fff202f,
    0xb7ffc000,0x2000fffb,0x0334fff9,0xfe983ffa,0x3ffa05ff,0x9999acff,
    0xf94fff99,0x540005ff,0x32206fff,0xeffffffe,0x3fffd402,0x32a00000,
    0xfffffffe,0x7fff40bd,0xafffc002,0xfffffffc,0xffffffff,0x3ffffe61,
    0xffffffff,0x44003fff,0xfffffffc,0x3ffa004f,0x3fb66007,0xffffffff,
    0x3ffe00cf,0xffffffff,0xf50fffff,0x7fc007ff,0xfffc82ff,0xcccccccd,
    0xc86fffdc,0xfb000fff,0xffd81fff,0xf986ffff,0x7fdc2fff,0xfff9000f,
    0x2fffb89f,0x0fffe600,0x3ffee000,0x3f200000,0x3fffe2ff,0x07fff202,
    0x04fff880,0x3fff8800,0xf579bff9,0xfffd97ff,0x3fee01df,0x7fc400ef,
    0xc800004f,0x74c005ff,0xff1005ff,0x000007ff,0x00cd5440,0x0017fff2,
    0x2000bfff,0x80006ffb,0x0000fff9,0x0004cccc,0x53300000,0x00001355,
    0x00000000,0xfffffff0,0xffffffff,0x00001fff,0x7fffc400,0xff9514ff,
    0x00000dff,0x03fffa80,0x00bffea0,0x01fff600,0x1fffb000,0x7017fffc,
    0x4c005fff,0x80003fff,0xff92fff9,0xffffffff,0x01dfffff,0x4007ffec,
    0x0004fff8,0x0037fdc0,0x20037fdc,0x0006fffc,0x22000000,0x2001ffff,
    0xa8005fff,0x40000eff,0x0001fff9,0x00000000,0x00000000,0x00000000,
    0xfffffff3,0xffffffff,0x00007fff,0xffffa800,0xffffffff,0x000000df,
    0x03fffc40,0x201fffd0,0xbfff3000,0x7fc40000,0x1777747f,0x007fff50,
    0x0017ffd4,0xc8fffdc0,0xffffffff,0x02efffff,0x1007fff8,0x00009fff,
    0x0007ffc4,0x0003ffe6,0x009ffff1,0xccc98000,0x3ffee000,0xbfff001e,
    0x2fff8800,0x3ffe8000,0x19993000,0x99930000,0x32600001,0x930000cc,
    0x98000199,0x64000ccc,0xeeeeefff,0xfeeeeeee,0x326006ff,0xf30000cc,
    0xffffffff,0x4c0007ff,0x6c000ccc,0xfc804fff,0x0bba04ff,0x81fffe98,
    0xfffd0000,0x7fc4000b,0x3ffa007f,0xff80000f,0x372e60ff,0xbceffffe,
    0xdfff1002,0x9fffb100,0x7fe40000,0x6ffc8006,0xffff7000,0x006a001d,
    0x8007ffb8,0x802fffff,0x5c005fff,0x980007ff,0x70000fff,0x20000fff,
    0x00007ffb,0x8001ffee,0x80007ffb,0xf8007ffb,0xff8007ff,0xff7000ff,
    0xffb8000f,0x1cefffff,0x3ffdc000,0x7fffc400,0xfffd981e,0x3bfff206,
    0xfffca9ac,0x37bf904f,0xffc99833,0x40000eff,0xc804fffd,0x80004fff,
    0xc803fffc,0x3e0003ff,0x3e600fff,0x0004ffff,0x001bff60,0x4001bff6,
    0xcffffff8,0xfca9989b,0x3ff6002f,0xfffa8005,0x260abdff,0x4005fffb,
    0x80007ffc,0x0001fffa,0x0000bffb,0x00017ff6,0x0005ffd8,0x00017ff6,
    0x30017ff6,0x90009fff,0x36007fff,0x740005ff,0x001aaaff,0x02ffec00,
    0xfffffc80,0xfffffeef,0x3fff602f,0xffffffff,0xfff900ef,0xffffffff,
    0x003fffff,0xdffff100,0xdfffb303,0x7f5cc000,0xffb006ff,0x7fec0005,
    0x7fe4c0ef,0x0004ffff,0x2b3ffee0,0xfffb800a,0x22000aac,0xfffffffd,
    0x2fffffff,0x00fffe00,0x7ffff540,0xffffffff,0x7cc005ff,0x000aadff,
    0x9befff88,0x0fffe001,0x1fffc000,0x7fff0000,0x1fffc000,0x1fffc000,
    0x0bfff200,0x1bffea00,0x001fffc0,0x000fff10,0x03fff800,0x3fffea00,
    0xefffffff,0xfffea800,0x03ffffff,0x7fffffe4,0xffffffff,0x3200001d,
    0xeeffffff,0x02ffffff,0x3ffffe00,0x3ffd002f,0x7ffcc000,0xffffeeff,
    0x004ffecf,0x7ffffc00,0xffff001f,0xf50003ff,0xffffffff,0x2005ffff,
    0x0000fff8,0x3fffff62,0xffffffff,0xfffe8004,0xf90003ff,0x2009ffff,
    0x0000fff8,0x000fff88,0x01fff100,0x03ffe200,0x1fff1000,0x07fff800,
    0x03fffe00,0x001fff10,0x002ffd40,0x1fff1000,0xfec88000,0x03efffff,
    0xefedba80,0xed9800bc,0xffffffff,0x00000cff,0xffffff50,0x01dfffff,
    0xdffff800,0x03ffe000,0xffff7000,0x23dfffff,0x00004ffd,0x0fffff4c,
    0xffffe980,0xdb710001,0x7dffffff,0x37fd4003,0xfeca8000,0xbdffffff,
    0xffb30000,0x220007ff,0x004ffffc,0x0000dff5,0x0001bfea,0x0006ffa8,
    0x0001bfea,0x3001bfea,0x40009fff,0x5403fffd,0x6c0006ff,0x000003ff,
    0x0001bfea,0x00026a20,0x26000000,0x0009aaa9,0x3b220000,0x3effffff,
    0x59bf0000,0x07ff8800,0xfffd3000,0x7ec19dff,0x1000004f,0x31000333,
    0x98000033,0x2e00009a,0x000003ee,0x00033551,0x00199880,0x00133300,
    0x0000fbae,0x0001f75c,0x0007dd70,0x0001f75c,0x2001f75c,0x0002fffc,
    0x701bffea,0xc80007dd,0x000000cc,0x0000fbae,0x00000000,0x00000000,
    0x4d440000,0x00000000,0x40000000,0x000001a9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x01999910,0x00000000,0x81999930,
    0x003cccc8,0x59953100,0x99700005,0x4c400399,0x019abcba,0x00353100,
    0x41775400,0x00004ee9,0x5dd50000,0x0009dd30,0x81999930,0x003cccc8,
    0x00666644,0x220f3320,0x70003ccc,0x00005999,0x000b332e,0x7fffcc00,
    0x00e5401e,0xca800793,0x000f2601,0x64400000,0x0000cccc,0x3332a000,
    0xedb8802c,0x0003102c,0xfffffd10,0x3ee00003,0xf100004f,0xfe885fff,
    0x80000dff,0x7ffffffb,0x7ffec000,0xffd3002f,0x0fffffff,0x7fff6cc0,
    0x0000ceff,0x3f61bfea,0x7dc0003f,0x3ea0004f,0x03ffd86f,0x7fffc400,
    0x6ffff442,0x3ffa2000,0x26001fff,0xfd30efff,0xf90001df,0x0007ffff,
    0x3fffffc8,0x7fcc0000,0xffb805ff,0x5fff881f,0x03fff700,0x000bfff1,
    0x0009ff70,0x03bfffa6,0x3ea00000,0xf9804fff,0x21efffff,0x20001fe8,
    0xffffffe8,0x7cc0001f,0x40003fff,0x441fffe8,0x0004fffe,0xfffffe88,
    0x360007ff,0x9000efff,0xffffffff,0x3ea00fff,0xffffffff,0xf10001ff,
    0xfffbbfff,0x7cc0003f,0x10003fff,0xffbbffff,0x440003ff,0x7441fffe,
    0x44004fff,0xfffffffe,0x3ffa2001,0x00dfffcf,0xfefffd80,0xfb0003ff,
    0x07fffdff,0x3ffe6000,0xfffd003f,0x0ffff509,0x213fffa0,0x0007fffa,
    0x01ffffcc,0x1dfffb00,0x7d400000,0xe8802fff,0xffffffff,0x003fffdd,
    0x13dffd30,0x0005fffd,0x02ffffe4,0x07fffa00,0x005fffd1,0x3ffff600,
    0x0007edce,0x4009fffb,0xbcdffffb,0xc807eccb,0xffffffff,0x002fffff,
    0xffffff50,0xc80007ff,0x0005ffff,0x3fffffea,0x740003ff,0x7f441fff,
    0x74c002ff,0xffe89eff,0x3fa2002f,0x0005ffff,0x3f25fffb,0x7ec004ff,
    0x9fff92ff,0xfff98000,0x3ff2001e,0x6fff883f,0x07fff900,0x000dfff1,
    0x05ffffc8,0x77ffd400,0xfa800000,0xf5000dff,0x3ffea17f,0x0004ffff,
    0xf90bfff3,0x2e0005ff,0x0004ffff,0x3607fff6,0x00001fff,0x003dfff5,
    0x0bfff600,0x1efff980,0x7ffec000,0xfd730acf,0x20005fff,0x1effffd9,
    0xfffb8000,0x6cc0004f,0x001effff,0x40fffec0,0x4001fffd,0xfc85fff9,
    0x362002ff,0x88004fff,0x7d40effe,0xfe8805ff,0x7ffd40ef,0x332e0005,
    0x4ec88003,0x40077aa0,0x3aa04ec8,0x7dc0001d,0x80004fff,0x000effe9,
    0x13ffea00,0x3220ea00,0x0003effe,0x20000000,0x0000effd,0x00000000,
    0x0005fffd,0x3ee00000,0x4c0002ff,0x2202ffff,0x0006fffe,0x80000088,
    0x0000effd,0x00000220,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x36000000,0x00000eff,0x00000000,0x00220000,0x00000000,
    0x00000cc0,0x10000000,0x0000ffff,0x7fec0000,0x7ec0000f,0xfe8802ff,
    0x000002ff,0x00660000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xaaa98000,0x01aaaaaa,0x00000000,0x20000000,0x00000019,0x00000000,
    0x00000000,0x0d5554c4,0x00000000,0x80000000,0x0004fffa,0x55554c40,
    0x2fffc801,0x3ffe6000,0x3ffea005,0x00000005,0x40000000,0x00001a98,
    0x00035310,0x00000000,0x00033553,0x0266aa60,0x26aa6000,0xffff9001,
    0x009fffff,0x00000000,0x00003531,0x00000000,0x55300000,0x98800033,
    0x9800001a,0xfffffffd,0x00002eff,0x0fffc800,0x037ffc00,0x05fff900,
    0xfffb3000,0x5dffffff,0x07fffea0,0x17ffec00,0x3ffff100,0x003fff20,
    0x000dfff0,0x76cc0000,0x0cefffff,0x3fb66000,0x00ceffff,0xfffffd80,
    0xffffffff,0xffd95006,0x05bfffff,0x7fff6dc0,0x00bdffff,0xffffd950,
    0x6405bfff,0xffffffff,0xfff9004f,0x6fff8001,0xfffed980,0x0000ceff,
    0x7fe40000,0x7ffc000f,0xffd95006,0x05bfffff,0x3fffb660,0x0000ceff,
    0x3fffff66,0x4fffffff,0xffffff30,0xffffffff,0xfc87ffff,0x7fc000ff,
    0x3f60006f,0x260001ff,0xfffffffd,0x204fffff,0x002ffffe,0x8007fff8,
    0xf902fffd,0xff8001ff,0xffff906f,0xffffffff,0xfa803fff,0xffffffff,
    0xfa8001ff,0xffffffff,0x7ec001ff,0xffffffff,0x4406ffff,0xfffffffd,
    0x402fffff,0xffffffe9,0x04ffffff,0x7ffffec4,0x2fffffff,0xdddddd70,
    0x32009fff,0x7c000fff,0x7fd406ff,0xffffffff,0xfff3001f,0xffffffff,
    0xc87fffff,0x7c000fff,0x7ec406ff,0xffffffff,0x7d402fff,0xffffffff,
    0xf98001ff,0xeeffffff,0x304fffff,0xffffffff,0xffffffff,0xfffc87ff,
    0x37ffc000,0x1fffd000,0x3ffe6000,0xffeeffff,0x3ee04fff,0x001dffff,
    0x0009fff1,0x3207fff5,0x7c000fff,0xfff906ff,0xffffffff,0x6c03ffff,
    0xffffffff,0x002fffff,0x3ffffff6,0x2fffffff,0x3ffff600,0xffffffff,
    0x3ffe606f,0xffffffff,0x3ee02fff,0xffffffff,0x204fffff,0xfffffff9,
    0x2fffffff,0x27ffcc00,0x00fffc80,0xb037ffc0,0xffffffff,0x005fffff,
    0xfffffff3,0xffffffff,0x0fffc87f,0x037ffc00,0xfffffff3,0x5fffffff,
    0x7ffffec0,0xffffffff,0x3ffa2002,0x95100aef,0x3fffe607,0xffffffff,
    0x43ffffff,0x4000fffc,0x20006fff,0x10007fff,0x015dfffd,0x7e40f2a2,
    0x4fffffff,0x03fff980,0x04fff980,0x8001fff9,0xff906fff,0xffffffff,
    0x203fffff,0x0acffffd,0x5ffffd73,0x9ffffb00,0x3ffae615,0x331002ff,
    0x33333333,0x3ee0dfff,0x11acffff,0x205ff753,0xacfffffe,0x13faea61,
    0x67ffffdc,0xff75311a,0xfff98005,0x1fff9004,0x06fff800,0x159ffffb,
    0x3ffffae6,0x7fffcc02,0xffffffff,0x7e43ffff,0x7fc000ff,0xffff706f,
    0x2a62359f,0xffb02ffb,0x2e6159ff,0x002ffffe,0x000bfff9,0x2aaaaa20,
    0xaaaaaaaa,0x640ffffc,0x7c000fff,0xf10006ff,0x32000dff,0x80005fff,
    0xffbefffb,0x2a01efff,0x88002fff,0xff905fff,0xfff8001f,0x35fff906,
    0x33333333,0x3ffe6033,0x3ffa202f,0x7ffcc06f,0x3ffa202f,0xf800006f,
    0xfff886ff,0x035001ef,0x01bffff7,0x3fe20a60,0x35001eff,0x4fff9800,
    0x01fff900,0x986fff80,0x2202ffff,0x9806fffe,0xffe99999,0x0999999f,
    0x0007ffe4,0x3e21bffe,0x5001efff,0x5ffff303,0x37fff440,0x00fffe80,
    0x74000000,0xffc83fff,0x7ffc000f,0xfff30006,0x3ffa0009,0x7c40000f,
    0x3ff226ff,0xff704fff,0xff10005f,0x3fff20df,0x37ffc000,0x000fffc8,
    0x02fffd80,0x01fffe88,0x200bfff6,0x001fffe8,0x437ffc00,0x000dfffd,
    0x1ffffc40,0xfffd8000,0x4000000d,0x9004fff9,0xf8001fff,0xfffd86ff,
    0xfffe8802,0xfffd0001,0x07ffe400,0x21bffe00,0x000dfffd,0x02fffd80,
    0x01fffe88,0x0037ffc4,0x3f200000,0xfff905ff,0x6fff8001,0x77777740,
    0xeeeffffe,0xff103eee,0xf90000df,0xffd301ff,0xfff90bff,0x3ffe0003,
    0x01fff907,0x906fff80,0x80001fff,0x2005fff9,0xf305fffa,0x7d400bff,
    0x400005ff,0x7fcc6fff,0xd80000ff,0x00004fff,0x001ffff3,0xfff30000,
    0x3fff2009,0x37ffc000,0x8017ffe6,0x0005fffa,0x6400fffd,0x7c000fff,
    0x7ffcc6ff,0xf980000f,0x3ea005ff,0x7fcc05ff,0x0000006f,0x03fffe60,
    0x0007ffe4,0xff01bffe,0xffffffff,0x9fffffff,0x01bffe60,0x01bffa00,
    0xd89ffff9,0xf0001fff,0x3ff20dff,0x7ffc000f,0x01fff906,0x2fffd800,
    0x3fffe200,0x02fffd80,0x03fffe20,0x6fff8000,0x001fffec,0x07fffcc0,
    0xfffd8000,0x30000003,0x32009fff,0x7c000fff,0x7ffec6ff,0x3ffe2002,
    0xffe8000f,0x3fff2007,0x37ffc000,0x000ffff6,0x017ffec0,0x01ffff10,
    0x001ffff8,0xffd00000,0x7ffe407f,0x37ffc000,0x3fffffe0,0xffffffff,
    0x3fe04fff,0x7c0001ff,0xffa805ff,0x3fff21ff,0xfff88002,0x01fff905,
    0x906fff80,0x80001fff,0xd8007fff,0xfff82fff,0xfffd8007,0x3fe00002,
    0x3fffe26f,0xffd80000,0xf100004f,0x00001fff,0x13ffe600,0x007ffe40,
    0xff1bffe0,0xffb000ff,0xffd0005f,0x7ffe400f,0x37ffc000,0x001ffff1,
    0x01fffe00,0x00bfff60,0x003dfffb,0xffc80000,0x7ffe405f,0x37ffc000,
    0x2aaaaaa0,0xaaabfffe,0x3f601aaa,0x20001eff,0xa800fffd,0x3ff26fff,
    0xff88002f,0x1fff904f,0x06fff800,0x0001fff9,0x002fffc4,0x221fffd4,
    0xa8005fff,0x00003fff,0xffa9bffe,0xfd00004f,0x200001ff,0x0004fffa,
    0x3ffe6000,0x1fff9004,0x26fff800,0x8005fff8,0x8003fffa,0x32007ffe,
    0x7c000fff,0x3ffea6ff,0xff100004,0xff5000bf,0xfffa807f,0x000003ff,
    0x01ffff30,0x000fffc8,0x80037ffc,0x20007ffe,0x03fffffa,0x07fff900,
    0xfb9fffa0,0xf98003ff,0xfff904ff,0x6fff8001,0x001fff90,0x01fffcc0,
    0x227ffcc0,0x8003fff9,0x0004fff9,0xfb9bffe0,0xf00003ff,0x40000dff,
    0x0003fffb,0x3ffe6000,0x1fff9004,0x26fff800,0x8003fff9,0x8004fff9,
    0x32007ffe,0x7c000fff,0x3ffee6ff,0xff300003,0xff30007f,0xfff9009f,
    0x00017fff,0x1ffff400,0x007ffe40,0x001bffe0,0x00037ffc,0x3ffffff2,
    0x3fe2000b,0xffb802ff,0x09fff51f,0x07fff700,0x0003fff2,0x3f20dfff,
    0x2a0000ff,0x88003fff,0x7fd45fff,0xff88003f,0x3e00005f,0x3fff26ff,
    0xff880002,0x3200005f,0x00002fff,0x13ffe600,0x007ffe40,0xfa9bffe0,
    0xf88003ff,0xfe8005ff,0x3ff2007f,0x7ffc000f,0x00bfff26,0x1fffd400,
    0x2fffc400,0xfffffb80,0x00001dff,0x802fffdc,0x4000fffc,0x88006fff,
    0x80005fff,0xfffffffb,0xfff7001d,0xfffb807f,0x00ffff30,0x203fffb0,
    0x4000fffc,0xff906fff,0x3333335f,0xfb813333,0xf88002ff,0x7ffdc6ff,
    0xfff88002,0x3fe00006,0x07fff66f,0x3ffe6000,0x33332e04,0x3f63cccc,
    0x000001ff,0x013ffe60,0x0007ffe4,0xffb9bffe,0xff88002f,0xffe8006f,
    0x3fff2007,0x37ffc000,0x0003fffb,0x00bffee0,0x01bffe20,0xfffffe98,
    0x80002eff,0x000ffff9,0x8001fff9,0x98006fff,0x00004fff,0xffffffd3,
    0xff9005df,0x3f601dff,0x0ffffc7f,0x0dfff100,0x0007ffe4,0x7e41bffe,
    0xffffffff,0x646fffff,0xf0001fff,0xfffc8fff,0xffff0001,0x7ffc0000,
    0x003fffa6,0x0fffee00,0xffffffd8,0x3fffa5ff,0x20000000,0x9004fff9,
    0xf8001fff,0x3fff26ff,0xffff0001,0x0fffd000,0x007ffe40,0xfe9bffe0,
    0x900000ff,0x20003fff,0x98007fff,0xfffffffd,0x3fa0000d,0x3f2003ff,
    0x7fc000ff,0xffb8006f,0x4c00003f,0xfffffffd,0x7ffdc00d,0x7ffd43ff,
    0x027ffe44,0x407fff70,0x4000fffc,0xff906fff,0xffffffff,0xfd8dffff,
    0xff0001ff,0x1fffd8df,0x0dfff000,0x37ffc000,0x0001ffff,0x407fff70,
    0xfffffffd,0x03fffe5f,0xf9800000,0xff9004ff,0xfff8001f,0x007fff66,
    0x0037ffc0,0x9003fff4,0xf8001fff,0x3fffe6ff,0xffb00000,0x3fe0003f,
    0x3220006f,0x1fffffff,0x6fffb800,0x07ffe400,0x01bffe00,0x00bfff20,
    0x7fe44000,0x401fffff,0xaeffffe9,0x440efffa,0x9802ffff,0x7e407fff,
    0x7fc000ff,0xffff906f,0xffffffff,0xfffc8dff,0xfff88002,0x017ffe45,
    0x02fffc40,0x4dfff000,0x0001fffe,0x204fffa8,0xffaaaaaa,0x07fffa5f,
    0xf9800000,0xff9004ff,0xfff8001f,0x00bfff26,0x017ffe20,0x801fffa0,
    0x4000fffc,0x3ffa6fff,0xf900001f,0xf10005ff,0x20000bff,0x0effffeb,
    0x3fffe600,0x7ffe4000,0x37ffc000,0x0fffec00,0x75c00000,0x800effff,
    0xfffffffc,0xfffb01ff,0x7ffcc03f,0x7ffe403f,0x37ffc000,0x000fffc8,
    0x00bffee0,0x713ffe20,0x10005fff,0x00009fff,0xffb37ffc,0xf300005f,
    0xff0009ff,0x17ffecbf,0xf3000000,0x3f2009ff,0x7fc000ff,0x0bffee6f,
    0x13ffe200,0x01fffa00,0x000fffc8,0xffb37ffc,0x2e00005f,0x88002fff,
    0x00004fff,0x02ffffe4,0x007fffd0,0x001fff90,0x8006fff8,0x0000fffe,
    0x3fff2000,0xffb1005f,0x4401dfff,0x8acfffff,0x5ffffca8,0x00fffc80,
    0xc837ffc0,0x20000fff,0x8003fffa,0x7d43fff9,0xf98003ff,0x200003ff,
    0x3ff26fff,0xf880003f,0xff8005ff,0x0ffff25f,0xf9800000,0xff9004ff,
    0xfff8001f,0x00fffea6,0x00fffe60,0x801fffa0,0x4000fffc,0x3ff26fff,
    0xf500003f,0xf30007ff,0x000007ff,0x200ffff7,0x0006fffb,0x8001fff9,
    0xf8006fff,0x000007ff,0x07fffb80,0x77fffd40,0x7fffcc00,0xffffffff,
    0xfff9005f,0x6fff8001,0x001fff90,0x027ffcc0,0x217ffdc0,0x8004fff9,
    0x0002fffb,0xfb9bffe0,0xf00004ff,0xff000dff,0x27ffdcbf,0xf3000000,
    0x3f2009ff,0x7fc000ff,0x13ffe66f,0x0bffee00,0x01fffa00,0x000fffc8,
    0xff737ffc,0x2600009f,0xb8004fff,0x00002fff,0x803ffff0,0x000ffff8,
    0x003fff90,0x0027ffc4,0x0017ffe2,0x7ffc0000,0x7f44001f,0xff9805ff,
    0xffffffff,0x3ff2005f,0x3fe2001f,0x1fff904f,0x7ffcc000,0xfffd8007,
    0x03fffcc1,0x00fffec0,0x4dfff000,0x0007fffa,0x005fffd0,0x3ea5fff8,
    0x000007ff,0x013ffe60,0x000fffe4,0x7cc9fff1,0xfd8007ff,0xfe8001ff,
    0x3ff2007f,0x3fe2001f,0x1fffea4f,0x7ffcc000,0xfffd8007,0xf9000001,
    0xffd805ff,0x3ee0003f,0x3e6002ff,0x7cc003ff,0x000004ff,0x05fff900,
    0x0ffff100,0x7fffed40,0x5c001cff,0x26002fff,0xff903fff,0xff80001f,
    0x3e2001ff,0xffff07ff,0x7ffc4003,0x3e200007,0x3ffe24ff,0xfc80003f,
    0x7fc005ff,0x3fffe25f,0x30000003,0x2e009fff,0x26002fff,0x7ffc3fff,
    0x3fe2001f,0xffd0007f,0x7ffdc00f,0x3ffe6002,0x0ffffe23,0x7fffc000,
    0x3ffe2001,0x36000007,0x3ee00fff,0x540006ff,0x2a003fff,0x64002fff,
    0x00002fff,0x1fffb000,0x3fff6000,0x7ff44000,0x3fea0006,0x3fea003f,
    0x1fff902f,0xfffb8000,0x3ffee004,0x09fff703,0x01fffdc0,0x7fff5000,
    0x006fffc8,0x1ffff880,0x917ffe00,0x0000dfff,0x13ffe600,0x01fffd40,
    0xb85fff50,0x2e004fff,0xd0003fff,0x7d400fff,0x3ea003ff,0x7ffe42ff,
    0xff700006,0x7fdc009f,0x1000003f,0x7c40ffff,0x40000fff,0x2007fff8,
    0x4000fffe,0x0000ffff,0xfff88000,0x3ffa0007,0xfff90006,0x3fe20003,
    0x3ffa007f,0x1fff900f,0xfff88000,0xfff9802f,0x3fffe206,0x6fff9802,
    0x7fec0000,0x7fffc42f,0xffb80004,0xfff001ef,0x4ffff88b,0xf9800000,
    0xff1004ff,0x7ff400ff,0x7fffc40f,0x6fff9802,0x1fffa000,0x07fff880,
    0x103fffa0,0x0009ffff,0x05ffff10,0x00dfff30,0x3ffa0001,0x3fff605f,
    0xffb00003,0xfff9009f,0xfffb8009,0x00040006,0x005fffe8,0x009fff90,
    0x017ffee0,0x04fffd80,0x204fffc8,0x0000fffc,0x01ffffc8,0x00bfffe6,
    0x403ffff9,0x802ffff9,0x7fd401e8,0xffff706f,0x206a001d,0x802fffff,
    0xffb85fff,0x35000eff,0x4fff9800,0x13fff600,0x413fff20,0x201ffffc,
    0x002ffff9,0x001fffa0,0x9009fffb,0x3ee09fff,0x5000efff,0x3ffff903,
    0x17fffcc0,0x4cdefe40,0x7ffe4cc1,0xfff700ef,0x7c40000d,0xd981efff,
    0x4d406fff,0x2ffffca9,0x5efe4000,0x7e4cc199,0x3e60efff,0xb99999bc,
    0x000ffffe,0x07ffff10,0xfff8816e,0xffd981ef,0x7ffe406f,0xff980000,
    0xa88acfff,0x806ffffc,0xacfffff9,0xffffca88,0x7bff1006,0xfff93113,
    0x3ffe205f,0x989bcfff,0xa82ffca9,0xabdfffff,0x17ffee60,0x3fffffe2,
    0xca9989bc,0x7cc002ff,0x3e2004ff,0xd981efff,0x3e606fff,0x88acffff,
    0x06ffffca,0x03fff400,0x3bfffe20,0x6fffd981,0x3ffffe20,0xa9989bcf,
    0xff982ffc,0xa88acfff,0x006ffffc,0xfffffff9,0xffffffff,0x3ffe203f,
    0xccccccdf,0x3ccccccc,0xffffff90,0xffffffdd,0xfffff805,0x80006fff,
    0xfffffffc,0xffffffff,0x7fffcc1f,0xffffffff,0x7dc0001f,0xedcdefff,
    0x3ff203ff,0xffeeffff,0x6402ffff,0x9999afff,0x01999999,0x3fffffa6,
    0xdfffffff,0xfffd3000,0xffffffff,0x3e2001bf,0xffffffff,0x6c405fff,
    0xffffffff,0x02ffffff,0xffffffd5,0xffffffff,0x3fff620b,0xffffffff,
    0x33302fff,0x9fff5333,0x20333333,0xeffffffc,0x2ffffffe,0x7ffff4c0,
    0xffffffff,0x3333000d,0x33fffd33,0x32013333,0xeeffffff,0x02ffffff,
    0x7ffffec4,0xffffffff,0xfffd302f,0xffffffff,0x3f2001bf,0xffffffff,
    0x01dfffff,0x3ffffff2,0xffffffff,0x2a05ffff,0xffffffff,0xf800efff,
    0x04ffffff,0xffff9000,0xffffffff,0xff303bff,0xffffffff,0x200001bf,
    0xfffffffd,0x7d406fff,0xffffffff,0xfc800eff,0xffffffff,0x01ffffff,
    0x3fffffa2,0x003fffff,0xfffffe88,0x003fffff,0x7fffffc4,0x003fffff,
    0x3fffffea,0x2fffffff,0x3ffff620,0xffffffff,0x7ffd404f,0xffffffff,
    0xfff982ff,0xffffffff,0x207fffff,0xfffffffa,0x000effff,0xffffffd1,
    0x4007ffff,0xfffffff9,0xffffffff,0x3ffea03f,0xffffffff,0x3fea000e,
    0xffffffff,0x3a202fff,0xffffffff,0x6cc003ff,0xfffffffe,0xc800cfff,
    0xffffffff,0xffffffff,0x764405ff,0x3effffff,0x37bff600,0x2600001c,
    0xffffffed,0x200cffff,0xffffecb8,0x00000bde,0xffffffa8,0xd91003ff,
    0x7dffffff,0x7fffe400,0xffffffff,0xdb801fff,0x1ceffffe,0x7f6dc000,
    0x001cefff,0xffffd710,0x100039df,0xfffffdb7,0x2a0037df,0xffffffec,
    0x71000bdf,0xffffffdb,0x3fe6037d,0xffffffff,0x07ffffff,0x7ffff644,
    0x70003eff,0x9dffffdb,0xfff98003,0xffffffff,0x403fffff,0xfffffec8,
    0x710003ef,0xffffffdb,0x36e0037d,0x1ceffffe,0xaa998000,0xfc80009a,
    0xffffffff,0xffffffff,0x4d44005f,0x00000000,0x2aa66000,0x0000009a,
    0xba800000,0x0000abdc,0x400026a2,0xfffffffc,0xffffffff,0x00d44001,
    0x03510000,0x06660000,0x4d4c0000,0x55100000,0x4c000033,0xff30009a,
    0xffffffff,0x0fffffff,0x0009a880,0x000d4400,0x3ffffe60,0xffffffff,
    0x44003fff,0x0000009a,0x00001353,0x00000351,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0077bb62,0x6665c000,0x6664401c,0x000000cc,
    0x1ccccb80,0x33322000,0x4400000c,0x0000cccc,0x76c13ba6,0x3b6e2006,
    0x0003102c,0x0e6665c0,0x2601ca80,0x2e00003c,0x2001cccc,0xc883ccc8,
    0x440002cc,0x0000cccc,0x066aa600,0x66666440,0xc8800000,0x80000ccc,
    0x000cccc8,0x64c03950,0x54c40003,0x44001aaa,0xcc982ccc,0x9991001c,
    0x20000199,0xee982eea,0xffe88004,0x00001fff,0x017fffec,0x0efffe98,
    0x36000000,0x0002ffff,0x3fffffa2,0xfd100001,0x0003ffff,0xf503ffe2,
    0x3fe600df,0x221effff,0xd80001fe,0x7002ffff,0xff103fff,0xf90000bf,
    0x30007fff,0x3ea1bfff,0x440005ff,0x01fffffe,0xffd95000,0x05bfffff,
    0x0efffe98,0x3fa20000,0x0001ffff,0x3fffffa2,0x7ffdc001,0x05fff881,
    0x7fffecc0,0x02efffff,0x5cbfff70,0x4c004fff,0x000efffe,0xd86ffa80,
    0x7cc003ff,0x2fffefff,0xfffb0000,0xffb0001d,0x000001df,0x01dfffb0,
    0x7fff4400,0x0001ffff,0x7fffff44,0xfb0001ff,0xfffd9dff,0xfffd1009,
    0xfbbfffff,0xd80007ff,0x2000efff,0xfa84fffe,0x640007ff,0x0001efff,
    0x3f3fffe6,0x440005ff,0xfffffffe,0x3f620001,0xffffffff,0xfd802fff,
    0x80000eff,0xffffffe8,0xfe88001f,0x01ffffff,0x213fffa0,0x3007fffa,
    0xfffffffb,0x009fffff,0x7ef7ffd4,0x360003ff,0x0000efff,0x6effffc4,
    0x2001ffff,0xd88efff9,0x40002fff,0x0004fffd,0x0077ffd4,0xfffb0000,
    0xfe980009,0xfffe89ef,0xffd30002,0x5fffd13d,0xfffd1000,0x200bffff,
    0xff50bffa,0x009fffff,0x04fffd80,0x83fffc80,0x0006fff8,0x0037ffee,
    0x3fffa600,0x4c0004ff,0xfe89effe,0xf98002ff,0xffffffff,0x002fffff,
    0x001dfff5,0x4f7ff4c0,0x002fffe8,0x227bffa6,0x9002fffe,0xff107fff,
    0xfff300df,0xffddffff,0x98009fff,0x03ffffff,0xefffa800,0x7fd40000,
    0x03ffffff,0x213bb620,0x0002eeeb,0x0005fffb,0x03bffa60,0x3ff60000,
    0x7cc0002f,0xfffc85ff,0x7ffcc002,0x02fffc85,0xffffc880,0x41d4003f,
    0x03effec8,0x17ffec00,0x04ec8800,0x400077aa,0x0003fffb,0x1ffff440,
    0x3ffe6000,0x02fffc85,0x3ffffee0,0xf75311ac,0x7f4c005f,0xf98000ef,
    0xfffc85ff,0x5fff9802,0x802fffc8,0x3aa04ec8,0x7ff4401d,0x95100aef,
    0xfff30007,0x4c00005f,0x0000effe,0x77fffecc,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000030,0x00000008,0x00000000,
    0x00000000,0x00000000,0x3fffe200,0x0035001e,0x00000000,0x00000000,
    0x3f200000,0x000005ff,0x00000000,0x00880000,0x00aaa980,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x6fffec00,0x00000000,0x00000000,0x00000000,
    0x1fffd000,0x00000000,0x00000000,0x7e400000,0x000000ff,0x44000000,
    0x000001a9,0x00003531,0x0006a620,0x00000000,0x0099aa98,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfff30000,0x0000001f,0x00000000,
    0x00000000,0x3fe20000,0x0000006f,0x00000000,0x40000000,0x0000fffc,
    0x000fffc8,0x4c037ffc,0xefffffed,0x3660000c,0xcefffffe,0x3b660000,
    0x0cefffff,0x01fff900,0x006fff80,0xfffffdb7,0xfb817bff,0x3a005fff,
    0x7ffdc4ff,0x3ffa005f,0xfffff984,0xffffffff,0xff503fff,0xdfffffff,
    0xff500079,0xdfffffff,0x32000079,0x8007ffff,0x0003fffd,0x7ffffe40,
    0xffffffff,0xfff901ff,0xffffffff,0xf303ffff,0xffffffff,0x7fffffff,
    0x7fffe400,0x3ffe6007,0xff100006,0xffffffff,0xffffffff,0xfff305ff,
    0xffffffff,0x307fffff,0xffffffff,0xffffffff,0x01fff907,0x1fff9000,
    0x06fff800,0x7fffffd4,0x001fffff,0xffffffa8,0x001fffff,0xffffffa8,
    0x801fffff,0x4000fffc,0x74c06fff,0xffffffff,0x7dc4ffff,0xd001ffff,
    0xfffb89ff,0xffd001ff,0xfffff309,0xffffffff,0x3ea07fff,0xffffffff,
    0x2002ffff,0xfffffffa,0x02ffffff,0x7ffffc00,0x3fe2001f,0x400000ff,
    0xfffffffc,0xffffffff,0xfffff901,0xffffffff,0xfff303ff,0xffffffff,
    0x007fffff,0x0ffffffc,0x03ffff00,0xffff1000,0xffffffff,0xffffffff,
    0xfffff305,0xffffffff,0xff307fff,0xffffffff,0x07ffffff,0x0001fff9,
    0x001fff90,0x3606fff8,0xffffffff,0x002fffff,0x3ffffff6,0x2fffffff,
    0x3ffff600,0xffffffff,0x7ffe402f,0x37ffc000,0xffffff70,0xffffffff,
    0xfffffb89,0x89ffd005,0x05fffffb,0xf309ffd0,0xffffffff,0x7fffffff,
    0x3ffffea0,0xffffffff,0xfff5004f,0xffffffff,0x20009fff,0x4ffffffa,
    0x13ffea00,0x3ff20000,0xffffffff,0x901fffff,0xffffffff,0x3fffffff,
    0xffffff30,0xffffffff,0x3ea007ff,0x004fffff,0x007bfff6,0xfffff100,
    0xffffffff,0x5fffffff,0xffffff30,0xffffffff,0xfff307ff,0xffffffff,
    0x907fffff,0x00001fff,0x8001fff9,0xffb06fff,0x2e6159ff,0x802ffffe,
    0x0acffffd,0x5ffffd73,0x9ffffb00,0x3ffae615,0x3ff202ff,0x7ffc000f,
    0xfffffd06,0x75d4c359,0x7fffdc4f,0xffe800ff,0x7ffffdc4,0x4ffe800f,
    0xd3333330,0x33333fff,0x3ffea013,0xfba9999c,0xa802ffff,0x9999cfff,
    0x2fffffba,0xffffc800,0x3ee007ff,0x800003ff,0x999afffc,0x19999999,
    0x26bfff20,0x99999999,0x26666019,0x99fffe99,0x90009999,0x0fffffff,
    0x7ffffd40,0x4ccc0003,0xffe99999,0x9999999f,0x33333009,0x333fffd3,
    0x26601333,0xfffe9999,0x80999999,0x0000fffc,0x000fffc8,0x7cc37ffc,
    0x3a202fff,0x7cc06fff,0x3a202fff,0x7cc06fff,0x3a202fff,0x3f206fff,
    0x7fc000ff,0xffffb86f,0xb853000d,0x04ffffff,0x7dc4ffe8,0x804fffff,
    0x74004ffe,0xfa8007ff,0x7fec03ff,0xfffa807f,0x3fffec03,0x667ffc00,
    0xf9001fff,0x000005ff,0x0001fff9,0x003fff20,0xfffd0000,0x9fff0000,
    0x4003fff9,0xbffffffc,0xfe800000,0xe800007f,0x200007ff,0x64007ffe,
    0x80000fff,0x4000fffc,0xffd86fff,0xffe8802f,0x3fff601f,0xfffe8802,
    0x0bfff601,0x07fffa20,0x0007ffe4,0xff11bffe,0x700007ff,0x1fffbfff,
    0x5c4ffe80,0x0fffdfff,0x0027ff40,0x2001fffa,0x4403fffa,0x5400ffff,
    0x7c403fff,0x2a000fff,0xfffaafff,0x3fffb004,0xff900000,0x3200001f,
    0x00000fff,0x003fff40,0x2abffea0,0x5c004fff,0xdfffffff,0x3fa00001,
    0xe800007f,0x200007ff,0x64007ffe,0x80000fff,0x4000fffc,0x7fcc6fff,
    0x3fea005f,0xbfff305f,0x2fffd400,0x005fff98,0x6417ffea,0x7c000fff,
    0x7ffec6ff,0xff700004,0x809fff5f,0x7fdc4ffe,0x404fffaf,0x74004ffe,
    0xfa8007ff,0xffd803ff,0x7ffd401f,0x1fffd803,0x43fff200,0xfd006fff,
    0x000001ff,0x0001fff9,0x003fff20,0xfffd0000,0xfffc8000,0x000dfff0,
    0xffffffd3,0xd00005df,0x00000fff,0x0000fffd,0x2003fff4,0x2e20fffc,
    0x200bdeee,0x4000fffc,0x7fec6fff,0x3fe2002f,0xfffd80ff,0x3ffe2002,
    0x2fffd80f,0x3fffe200,0x00fffc80,0xf337ffc0,0x00001fff,0x3f63ffee,
    0x3ffa00ff,0x6c7ffdc4,0x3fa00fff,0x7ff4004f,0xfffa8007,0x2fffc803,
    0x01fffd40,0x0017ffe4,0x7fecbfff,0xffff801f,0xfc800000,0x900000ff,
    0x00001fff,0x007ffe80,0xfb2fffc0,0x260003ff,0xfffffffd,0x3fa0000d,
    0xe800007f,0x200007ff,0x64007ffe,0xfff70fff,0x205fffff,0x4000fffc,
    0x7ffc6fff,0xfffd8007,0x007fff82,0xf82fffd8,0xfd8007ff,0xfffc82ff,
    0x37ffc000,0x0009fffb,0x547ffdc0,0x3fa03fff,0x47ffdc4f,0x3a03fffa,
    0x7f4004ff,0xffa8007f,0xfffd803f,0x1fffd401,0x00fffec0,0x2a2fff98,
    0xfe804fff,0x800001ff,0x0000fffc,0x001fff90,0x7ffe8000,0x3ffe6000,
    0x013ffea2,0xffff9100,0x20003fff,0x00007ffe,0x0007ffe8,0x001fffa0,
    0xff91fff9,0xffffffff,0x01fff903,0x226fff80,0xa8005fff,0x7fc43fff,
    0xffa8005f,0x2fffc43f,0x1fffd400,0x0007ffe4,0xffe9bffe,0x2e00000f,
    0xffff0fff,0x2e27ff40,0xffff0fff,0x0027ff40,0x2001fffa,0xf803fffa,
    0x7d400fff,0xfff803ff,0xfff9000f,0x037ffc41,0x0017ffec,0x07ffe400,
    0xfffc8000,0x74000000,0x320007ff,0x3fe20fff,0x2e00006f,0x00effffe,
    0x007ffe80,0x07ffe800,0x1fffa000,0xfbfff900,0xfd755bff,0xfff90dff,
    0x6fff8001,0x000fffe6,0xf313ffe6,0xf30007ff,0xfff989ff,0xfff98003,
    0x00fffc84,0xff37ffc0,0xb80000df,0xfff70fff,0x713ffa05,0x3fee1fff,
    0x09ffd02f,0x007ffe80,0x403fffa8,0xa805fffc,0x7e403fff,0x3fe005ff,
    0x1fffd86f,0x01fffe40,0x7ffe4000,0xff900000,0x8000001f,0x20007ffe,
    0xffd86fff,0x6400001f,0x8005ffff,0x00007ffe,0x0007ffe8,0x001fffa0,
    0x5ffffff9,0x83fffd10,0x4000fffc,0x3fea6fff,0xff88003f,0x1fffd45f,
    0x2fffc400,0x000fffea,0x3217ffe2,0x7c000fff,0xbfff16ff,0xffb80000,
    0x0dfff10f,0xff713ffa,0x1bffe21f,0x20027ff4,0xa8007ffe,0xf9103fff,
    0xf5001fff,0x3f2207ff,0xf3000fff,0xfff707ff,0x4fffc809,0xffc80000,
    0x999999af,0x32009999,0x9999afff,0x00999999,0x007ffe80,0x707fff30,
    0x00009fff,0x00ffff70,0x000fffd0,0x00fffd00,0x03fff400,0x3fffff20,
    0x0fffee01,0x8001fff9,0x3fee6fff,0xff88002f,0x17ffdc6f,0x37ffc400,
    0x000bffee,0x321bffe2,0x7c000fff,0x9fff36ff,0x666665c0,0x7fdc3ccc,
    0x0bfff20f,0xff713ffa,0x17ffe41f,0x20027ff4,0xa8007ffe,0xdcccdfff,
    0x01fffffe,0x99bfff50,0xfffffdb9,0x7ffe4003,0x06fff880,0x003fffd4,
    0x7fffe400,0xffffffff,0x3ff206ff,0xffffffff,0x8006ffff,0x90007ffe,
    0xff101fff,0x200000df,0x4001ffff,0x00007ffe,0x0007ffe8,0x001fffa0,
    0x803ffff9,0x7e44fff8,0x7fc000ff,0x07fff26f,0x23fffc00,0x0001fffc,
    0xffc8ffff,0xfff0001f,0x01fff90f,0xf76fff80,0x7fec07ff,0x45ffffff,
    0x3e20fffb,0x4ffe86ff,0xf107ffdc,0x9ffd0dff,0x07ffe800,0xfffffa80,
    0xdfffffff,0x3ffea001,0xffffffff,0x7fc001df,0x3fffa06f,0x3fffe201,
    0x7e400003,0xffffffff,0x206fffff,0xfffffffc,0x6fffffff,0x07ffe800,
    0x40dfff00,0x0001fffe,0x02fffc80,0x003fff40,0x03fff400,0x0fffd000,
    0x02fffc80,0xfc8bfff0,0x7fc000ff,0x07fff66f,0x237ffc00,0x0001fffd,
    0xffd8dfff,0xfff0001f,0x01fff90d,0xf76fff80,0x7fec07ff,0x45ffffff,
    0x7e40fffb,0x27ff41ff,0xf903ffee,0x4ffe83ff,0x03fff400,0x7ffffd40,
    0x01efffff,0xfffffa80,0x01efffff,0x03fff980,0x900fffee,0x0000dfff,
    0xffffffc8,0xffffffff,0x3ffff206,0xffffffff,0xfe8006ff,0xff98007f,
    0x3ffee03f,0xfd800003,0x7f4000ff,0xe800007f,0x200007ff,0x64007ffe,
    0xff000fff,0x0fffc8bf,0x937ffc00,0x10005fff,0xffc8bfff,0xff88002f,
    0x17ffe45f,0x2fffc400,0x0007ffe4,0x7fd5bffe,0x2aaaa04f,0x5c5fffaa,
    0x7fc40fff,0x227ff45f,0x7c40fffb,0x27ff45ff,0x01fffa00,0x2b7ffea0,
    0x04ffffcb,0xadfffa80,0x04ffffcb,0x01fffc80,0x301bffe6,0x000bffff,
    0x007ffe40,0x0fffc800,0x7f400000,0xffc8007f,0x3ffe601f,0x7c400006,
    0xfe8007ff,0xe800007f,0x200007ff,0x64007ffe,0xff000fff,0x0fffc8bf,
    0x737ffc00,0x10005fff,0xffb89fff,0xff88002f,0x17ffdc4f,0x27ffc400,
    0x0007ffe4,0x7fcdbffe,0xfff8004f,0x407ffdc5,0x3fa1fffd,0x07ffdc4f,
    0xfd0fffec,0xffe8009f,0xfffa8007,0x05fffd83,0x41fffd40,0x4005fffd,
    0xfe806fff,0x7fec01ff,0x35000eff,0x003fff20,0x07ffe400,0x3fa00000,
    0xfff8007f,0x1fffe806,0xffd00008,0xffd000bf,0xfd00000f,0x740000ff,
    0x7e4007ff,0xfff000ff,0x00fffc8b,0xf537ffc0,0xf30007ff,0xfffa87ff,
    0xfff98003,0x01fffd43,0x41fffcc0,0x4000fffc,0xfff16fff,0xbfff000b,
    0x980fffb8,0x3ffa5fff,0x407ffdc4,0x3fa5fff9,0x7ff4004f,0xfffa8007,
    0x05fffb03,0x81fffd40,0x3002fffd,0xf9009fff,0xffb007ff,0x3137bfff,
    0x205ff953,0x0000fffc,0x001fff90,0x7ffe8000,0x27ffcc00,0x41fffe40,
    0x4199bdfc,0xeffffc99,0x7ffe8000,0xffe80000,0x3fa00007,0x7fe4007f,
    0xbfff000f,0x000fffc8,0xff337ffc,0xff70009f,0x4fff985f,0x2fffb800,
    0x0027ffcc,0x6417ffdc,0x7c000fff,0x1bffe6ff,0x717ffe00,0x3fa01fff,
    0x89ffd0ff,0xfd00fffb,0x13ffa1ff,0x00fffd00,0x207fff50,0x2006fff9,
    0xf303fffa,0x3f200dff,0xcccccdff,0x6fffdccc,0xffffe880,0xffffffff,
    0xfff902ff,0x3f200001,0x000000ff,0x2003fff4,0xcccdfffc,0xffdccccc,
    0xffffc86f,0xffffffff,0x0000ffff,0x0000fffd,0x000fffd0,0x003fff40,
    0x4003fff2,0x7fe45fff,0x3fe2001f,0x1fffe64f,0x07fff600,0x000ffff3,
    0xf983fffb,0xfd8007ff,0xfffc81ff,0x3ffe2001,0x00bfffa4,0xfb8bfff0,
    0xfff500ff,0xf713ffa9,0x3fea01ff,0x009ffd4f,0x8007ffe8,0x3603fffa,
    0xf5003fff,0x7fec07ff,0xffff803f,0xffffffff,0x00ffffff,0xfffffc88,
    0xffffffff,0x01fff902,0x3fff2000,0x74000000,0x7fc007ff,0xffffffff,
    0xffffffff,0x7ffffe40,0xffffffff,0x3a0001ef,0x800007ff,0x00007ffe,
    0x9001fffa,0x3e001fff,0x7ffdc5ff,0x3ffe6002,0x00ffffc3,0x20ffff10,
    0x2001ffff,0xff07fff8,0x7c4003ff,0xfff707ff,0x7ffcc005,0x017fff23,
    0xfb8bfff0,0x3ffa00ff,0xfb89ffd7,0x3ffa00ff,0x8009ffd7,0xa8007ffe,
    0x3e603fff,0xff5007ff,0x7ffcc07f,0x7fffcc07,0xffffffff,0x03ffffff,
    0x3fffae20,0x00abdfff,0x0003fff2,0x007ffe40,0x3ffa0000,0x3ffe6007,
    0xffffffff,0x3fffffff,0x7ffff6cc,0x2cefffff,0x7ffe8000,0xffe80000,
    0x3fa00007,0x7fe4007f,0xbfff000f,0x003fffa8,0xf70bffea,0x7dc009ff,
    0xfff703ff,0x7ffdc009,0x09fff703,0x81fffdc0,0x2003fffa,0x3e22fffa,
    0x3e001fff,0x7ffdc5ff,0x2fffea00,0x7fdc4ffe,0x3ffea00f,0x4004ffeb,
    0xa8007ffe,0x7ec03fff,0xffa803ff,0x7ffec03f,0x3bfff203,0xeeeeeeee,
    0x06fffeee,0x0cfff980,0x07ffe400,0xfffc8000,0x74000000,0x3f2007ff,
    0xeeeeeeff,0xffeeeeee,0x5d4cc06f,0x00003fff,0x0003fff4,0x003fff40,
    0x00fffd00,0x000fffc8,0xff88bfff,0x3ffa007f,0x7fffc40f,0x6fff9802,
    0x0bfffe20,0x81bffe60,0x802ffff8,0x2206fff9,0x3a007fff,0x7fdc0fff,
    0xfff001ef,0x00fffb8b,0x7ff77ff4,0x007ffdc4,0x3ffbbffa,0x3fff4004,
    0x1fffd400,0x01bffe60,0x300fffea,0x7fc0dfff,0xfff8007f,0x7fd4000f,
    0xffc8000f,0xf900000f,0x000001ff,0x2007ffe8,0xf8007fff,0xf5000fff,
    0x800001ff,0x00007ffe,0x0007ffe8,0x001fffa0,0x2001fff9,0xffd85fff,
    0xfffc804f,0x3ffff904,0x17fffcc0,0x07ffff20,0x02ffff98,0x00ffffe4,
    0x805ffff3,0xc804fffd,0xfff04fff,0xfff005ff,0x00fffb8b,0x7fffffdc,
    0x007ffdc4,0x3fffffee,0x3fff4004,0x1fffd400,0x017fff40,0x200fffea,
    0xf982fffe,0xfc8004ff,0x7e4003ff,0xff90006f,0x3200001f,0x00000fff,
    0x803fff40,0x8004fff9,0x9003fffc,0x00000dff,0x0000fffd,0x000fffd0,
    0x003fff40,0x4003fff2,0xff885fff,0xfd981eff,0x3fe606ff,0xa88acfff,
    0x806ffffc,0xacfffff9,0xffffca88,0xffff9806,0xfca88acf,0xf8806fff,
    0xd981efff,0x3ea06fff,0x0abdffff,0x717ffee6,0xff001fff,0xfb89ffff,
    0xfff800ff,0x33304fff,0x3fffd333,0x20133333,0xa803fffa,0x7d406fff,
    0xffa803ff,0x2fffc86f,0x6fffa800,0x027ff400,0x9afffc80,0x99999999,
    0x3fff2019,0x9999999a,0x26601999,0xfffe9999,0x20999999,0x8002fffc,
    0xd006fffa,0x000009ff,0x4000fffd,0xfe999999,0x999999ff,0x33333300,
    0x3333fffd,0xfff90133,0x17ffe001,0x7fffffe4,0xffffffee,0x7fff4c02,
    0xffffffff,0xfd3000df,0xffffffff,0x2001bfff,0xffffffe9,0x0dffffff,
    0xfffff900,0xfffffddf,0xffea805f,0xffffffff,0x7dc5ffff,0xffb800ff,
    0x7fdc4fff,0xfffb800f,0xfff984ff,0xffffffff,0x503fffff,0x3a007fff,
    0x3ea02fff,0xffd003ff,0x07fff85f,0x03fffe00,0x00fffc40,0xfffffc80,
    0xffffffff,0xfff901ff,0xffffffff,0xf303ffff,0xffffffff,0x7fffffff,
    0x0003fffc,0x8801ffff,0x00001fff,0x0007ffe8,0xfffffff3,0xffffffff,
    0xffff307f,0xffffffff,0xf907ffff,0x3fe001ff,0x3ffea05f,0xffffffff,
    0xffd1000e,0xffffffff,0xffd10007,0xffffffff,0xffd10007,0xffffffff,
    0xfff50007,0xffffffff,0x3f62001d,0xffffffff,0x7dc4ffff,0xff8800ff,
    0x7fdc4fff,0xfff8800f,0xfff984ff,0xffffffff,0x503fffff,0x2e007fff,
    0x3ea06fff,0xff7003ff,0x27ffccdf,0x7fffb000,0x01ffe600,0xfffffc80,
    0xffffffff,0xfff901ff,0xffffffff,0xf303ffff,0xffffffff,0x7fffffff,
    0x0013ffe6,0x403fffd8,0x00007ff9,0x000fffd0,0x3fffffe6,0xffffffff,
    0xfff983ff,0xffffffff,0xc83fffff,0xff000fff,0xfec880bf,0x03efffff,
    0xfffdb700,0x800039df,0xeffffedb,0x6dc0001c,0x1ceffffe,0x3fb22000,
    0x03efffff,0xfffd9500,0x017bffff,0x2001fff7,0x5c4ffffc,0xf9000fff,
    0xff309fff,0xffffffff,0x07ffffff,0x800fffea,0xf502ffff,0x7fc007ff,
    0x5fff92ff,0x7ffd4000,0x05551006,0x7fffe400,0xffffffff,0xff901fff,
    0xffffffff,0x303fffff,0xffffffff,0xffffffff,0x00bfff27,0x06fffa80,
    0x00015544,0x007ffe80,0xffffff30,0xffffffff,0xfff307ff,0xffffffff,
    0x907fffff,0x3e001fff,0x544005ff,0x44000009,0x2000001a,0x000001a8,
    0x000006a2,0x00009a88,0x019aa880,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0e6665c0,0x20b33220,0x0001ccc9,0x073332e0,0x1676dc40,0x70000188,
    0x00039999,0xdddddddb,0x4001dddd,0x102cedb8,0xcc880003,0xaa9800cc,
    0x10000002,0x00019999,0x0cccc880,0x03950000,0x00001e4c,0x03999970,
    0x3bbbbb60,0x00eeeeee,0x41666440,0x0001ccc9,0x073332e0,0x2aaa0000,
    0x0b332201,0x00073326,0x59999500,0xaaa80000,0x991001aa,0x00001999,
    0x0004eeb8,0x017fffec,0x2e5fffb8,0x00004fff,0x00bffff6,0x7fffffcc,
    0x007fa21e,0x5ffffb00,0x3fffe000,0xffffffff,0xffff3000,0x7f443dff,
    0xffd10001,0xf9803fff,0x000002ff,0x7fffff44,0xfd100001,0x0003ffff,
    0x881fffb8,0x00005fff,0x02ffffd8,0x3fffffe0,0x00ffffff,0x25fffb80,
    0x0004fffb,0x0bffff60,0x3fe20000,0x7ffdc02f,0x013ffee5,0xffff5000,
    0xfb800009,0x4c004fff,0x000efffe,0xbffff700,0x3fff6000,0x7fd4000e,
    0x03fffdef,0x3fff6000,0xffd1000e,0xbbffffff,0x40007fff,0x000efffd,
    0x3fffffe0,0x00ffffff,0xfffffe88,0xfffddfff,0xffe88003,0x401fffff,
    0x00005ffd,0x3ffffa20,0x40001fff,0xffffffe8,0x3fa0001f,0xfffa84ff,
    0x7ec00007,0x7c000eff,0xffffffff,0x50000fff,0xfffbdfff,0x7ec00007,
    0x00000eff,0x200fff90,0xffdefffa,0x5400003f,0x0002ffff,0x17fffdc0,
    0xdfffb000,0xfff00001,0xd8003fff,0x20004fff,0x3ffffff9,0x3ff60000,
    0x7fd4004f,0xfffff50b,0x6c0009ff,0x80004fff,0x99999999,0xf5001999,
    0x3ffea17f,0x8004ffff,0xe89effe9,0x3ea02fff,0x800001ff,0xe89effe9,
    0x30002fff,0xfd13dffd,0x320005ff,0xff883fff,0x3600006f,0x30004fff,
    0x33333333,0x98000333,0x03ffffff,0x3fff6000,0x7c000004,0x3e6004ff,
    0x003fffff,0x6fffd400,0x7dc00000,0x80000eff,0x000efffa,0x3ffffe20,
    0x3ff6002f,0xf980002f,0x00002fff,0x000bfff6,0x7f6441d4,0x360003ef,
    0x00002fff,0x1d400000,0x1f7ff644,0x2fffcc00,0xd017ffe4,0x800009ff,
    0xfc85fff9,0x7cc002ff,0xfffc85ff,0x4ec88002,0x00077aa0,0x017ffec0,
    0x00000000,0x05ffff30,0x7ffec000,0x54000002,0x4c000fff,0x0002ffff,
    0x027ffd40,0x7ffdc000,0x00013314,0x0077ff4c,0xffffff00,0x00000001,
    0x00000000,0x04400000,0x00000000,0x00000000,0x00000088,0x3ffee000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x02fff400,0x00000000,0xea800000,0x13fee2ee,0x80000000,0x003ffffa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3e200000,
    0x000003ff,0x00000000,0x00000000,0x00000000,0x000d4c40,0x00000000,
    0x20000000,0x0002fff9,0x00000000,0xfe800000,0x0000001f,0x00e5c400,
    0x00000000,0x00000000,0x00000000,0x7fe40000,0x7ffc000f,0x00000006,
    0xfd800000,0x0000006f,0x00000000,0x00000000,0x80000000,0xfffffed9,
    0x000000ce,0x00000000,0x37fe4000,0x00000000,0x00000000,0x0003ffc4,
    0x80000000,0xfffffff9,0xffffffff,0x7fffdc3f,0x13ffa005,0x0006fff8,
    0xffffff30,0xffffffff,0x3fff27ff,0x3fee0006,0x0fffc86f,0x037ffc00,
    0x0fffff90,0x03fff900,0x986fff80,0xf0001fff,0x4c0009ff,0xfff90fff,
    0x7fdc000d,0x1bfff26f,0x6fffb800,0xffffff98,0xffffffff,0x5403ffff,
    0xffffffff,0xf9801fff,0xffffffff,0xffffffff,0x3ff2003f,0x000007ff,
    0x9007fff1,0xffffffff,0x3fffffff,0xffffb000,0xffffffff,0x7fdc0000,
    0x7fe40004,0x000007ff,0xffffff98,0xffffffff,0x7ffdc3ff,0xffd001ff,
    0x037ffc09,0xffff9800,0xffffffff,0xff13ffff,0xf10007ff,0xff903fff,
    0xfff8001f,0x3fffe006,0x7e4001ff,0x7fc001ff,0x0bffd06f,0x013ffe00,
    0x10fff980,0x0007ffff,0x443ffff1,0x8003ffff,0x981ffff8,0xffffffff,
    0xffffffff,0x3ff603ff,0xffffffff,0x7cc02fff,0xffffffff,0xffffffff,
    0x3ffe003f,0x00001fff,0x800fffb8,0xfffffffc,0xffffffff,0x7ffc4001,
    0xffffffff,0xcb98007f,0x01fffefe,0x7ffffc00,0x4000001f,0xfffffff9,
    0xffffffff,0x7fffdc3f,0x9ffd005f,0x0037ffc0,0xfffff980,0xffffffff,
    0x3fee3fff,0x7dc000ff,0xfff905ff,0x6fff8001,0xfffff500,0xffc8009f,
    0x7ffc001f,0x01fff506,0x00bffd00,0x2e3ffd40,0x4000ffff,0xfb85fffb,
    0x5c000fff,0xff305fff,0xffffffff,0xffffffff,0x3ffff607,0xffd730ac,
    0x7fcc05ff,0xffffffff,0xffffffff,0xffff5003,0x000009ff,0x32009ffd,
    0xffffffff,0x1fffffff,0x7fffdc00,0xffffffff,0x3ffa2007,0x4fffffff,
    0x3ffea000,0x00004fff,0x99999980,0x9999fffe,0x7ffdc099,0xfe800fff,
    0x1bffe04f,0x99998000,0x99fffe99,0x7fc09999,0x3e2004ff,0xff900fff,
    0xfff8001f,0xffff9006,0xfc800fff,0x7fc001ff,0x13ffe06f,0x017ff600,
    0xf87ffa80,0x22004fff,0xff00ffff,0x7c4009ff,0x55100fff,0x55555555,
    0xffff9555,0x5ffff301,0x37fff440,0x55555510,0x95555555,0x2001ffff,
    0x7ffffffc,0x7fd40000,0xfff9001f,0x33333335,0xf0003333,0x01fffbff,
    0xffffb800,0xffffffff,0xffc8001e,0x0007ffff,0x3ffa0000,0x3ffee007,
    0xfe804fff,0x1bffe04f,0x3fa00000,0x3fea007f,0xff9000ff,0x7ffe409f,
    0x37ffc000,0xfccfff80,0x3f2001ff,0x7fc001ff,0x1fff206f,0x01bff600,
    0xa87ffb80,0x9000ffff,0x7d409fff,0xf9000fff,0x000009ff,0x3607fffd,
    0xe8802fff,0x00001fff,0x001ffff4,0xfff99fff,0x7ec00003,0x3ff2005f,
    0x2000000f,0xfffbeffa,0x3fee0000,0xff99bdff,0x000effff,0x7fe67ffc,
    0x0000001f,0x400fffd0,0xfffdfffb,0x027ff400,0x0000dfff,0x00fffd00,
    0x804fffe8,0x200ffff8,0x4000fffc,0xfa806fff,0x4fffaaff,0x07fff200,
    0x40dfff00,0x4002fff8,0x20006ffc,0xffd06ffb,0xfff1009f,0xfffe801f,
    0xffff8804,0x7e400000,0xfff305ff,0x7ffd400b,0x3f200005,0x3ea005ff,
    0x4fffaaff,0xfff10000,0x7ffe4005,0x36000000,0x0fffbcff,0xffff1000,
    0xfefff985,0x3ea004ff,0x4fffaaff,0xd0000000,0x7dc00fff,0x04fffaff,
    0xff027ff4,0x000000df,0x9800fffd,0x6400ffff,0x7e403fff,0x7fc000ff,
    0xfffc806f,0x400dfff0,0x4001fffc,0x7ec06fff,0x7fe4006f,0x3fee0007,
    0x1ffff306,0x03fffc80,0x00ffff98,0x001fffe4,0x3fffe600,0x05fffb00,
    0x07fffc40,0x7ffcc000,0x3ff2000f,0x00dfff0f,0x01fff200,0x001fff90,
    0x3ffe2000,0x000fffb8,0x703fff90,0xffff39ff,0x3fff2001,0x000dfff0,
    0x3ffa0000,0x3ffee007,0x200fffd8,0x3fe04ffe,0x8000006f,0xd8007ffe,
    0x3e605fff,0xffc806ff,0x7ffc000f,0x25fff806,0x9001fffd,0xf8003fff,
    0x7fd406ff,0x3fee001f,0x3ff20007,0x17fff605,0x006fff98,0x9817fff6,
    0x00006fff,0x203fffe8,0xd8007fff,0x80002fff,0x4003fffe,0x3ff65fff,
    0x7c40001f,0x7e4003ff,0x000000ff,0x3feebff9,0xff98000f,0x23ffd05f,
    0xf003fffc,0x7ffecbff,0x3deb8001,0x07ffe800,0x2a3ffee0,0x3fa03fff,
    0x1bffe04f,0x3fa00000,0xff88007f,0xfffb01ff,0x1fff9005,0x06fff800,
    0xf517ffcc,0x3f2009ff,0x7fc001ff,0x4ffe806f,0x01ffee00,0x204ffc80,
    0xb01ffff8,0x44005fff,0xfb01ffff,0x800005ff,0x2205fffc,0xa8005fff,
    0x40003fff,0x4005fffc,0x3ea2fff9,0x5c0004ff,0x64000fff,0x00000fff,
    0x3ee5fff0,0xfb8000ff,0x7ff982ff,0x201bffe2,0x3ea2fff9,0x7e4004ff,
    0x74004fff,0x3ee007ff,0x0ffff0ff,0xff027ff4,0x000000df,0x2000fffd,
    0xf986fffc,0xff9006ff,0xfff8001f,0x07ffe406,0x200dfff1,0x4001fffc,
    0xfb806fff,0xff5000ff,0x0399301f,0xf9013ff6,0xfff30dff,0xfff9000d,
    0x0dfff30d,0xfff98000,0x3ffe600f,0xfff98003,0x3fe60004,0x7e4000ff,
    0x3ffe20ff,0x7ff40006,0xfffc8005,0xfa800000,0x03ffee7f,0x41fff200,
    0x7ffc4ffb,0x0fffc807,0x001bffe2,0x01fffffd,0x003fff40,0x3ee1fff7,
    0x9ffd02ff,0x0037ffc0,0x3fff4000,0xffff8800,0x00fffec2,0x000fffc8,
    0x3e037ffc,0xfffd86ff,0x1fffc801,0x037ffc00,0x801fffc4,0xfc80fff9,
    0x07ffb05f,0x42ffff88,0x8001fffd,0x6c2ffff8,0x00001fff,0x201ffff4,
    0x8003fffa,0x0005fff8,0x000ffffa,0x3f61bffe,0xf30001ff,0xf90003ff,
    0x000001ff,0x7fdc9ffb,0xffd8000f,0xe83ffd06,0xfff807ff,0x01fffd86,
    0x3fffffa0,0x1fffa003,0x10fffb80,0x3fa0dfff,0x1bffe04f,0x3fa00000,
    0x3ee0007f,0x3ffe66ff,0x3fff2005,0x37ffc000,0x707fff30,0xf9009fff,
    0x333335ff,0xff333333,0x3ff200df,0x3fff3006,0xd01ffff0,0xff7007ff,
    0x2fffccdf,0xdfff7000,0x002fffcc,0x17ffee00,0x00bffee0,0x01bffe20,
    0x02fffdc0,0x41fffcc0,0x0004fffb,0x2000dffb,0x999afffc,0x09999999,
    0x21fff880,0x8000fffb,0xff985ffe,0x00fffc87,0x2e0fffe6,0x2e004fff,
    0x004fffff,0xb801fffa,0x3ff20fff,0x04ffe82f,0x0001bffe,0x01fffa00,
    0x25fffd00,0x2000fffe,0x4000fffc,0x3f206fff,0xfff880ff,0xffffc806,
    0xffffffff,0x06ffffff,0x005fff30,0xf983fff1,0xffe83fff,0x5fffd002,
    0x0003fffa,0x3a5fffd0,0x00000fff,0x003fffe6,0x0007fff2,0x4003fffc,
    0x000ffff9,0x880fffc8,0x88006fff,0x90002fff,0xffffffff,0x0dffffff,
    0xfb8dff90,0xffffffff,0x217ffe05,0xffc84ffb,0x3fff200f,0x06fff880,
    0x2fffff40,0x00fffd00,0xf107ffdc,0x9ffd0dff,0x0037ffc0,0x3fff4000,
    0x3ffea000,0x004fffae,0x0007ffe4,0xff81bffe,0x3fffa06f,0x7fffe401,
    0xffffffff,0x06ffffff,0x2017ffa0,0x7e41fff8,0xfff86fff,0xdfff5002,
    0x0009fff5,0xf5dfff50,0x800009ff,0xb003fffe,0x20003fff,0xe8006fff,
    0xf0003fff,0x7ff40dff,0x7fdc001f,0x3ff20007,0xffffffff,0xf806ffff,
    0x7ffdc3ff,0x05ffffff,0x3fa1bffa,0x07ffc81f,0xfd037ffc,0x7cc003ff,
    0x3a003fff,0x3ee007ff,0x7ffe40ff,0xf027ff41,0x00000dff,0x000fffd0,
    0xffffffd0,0xffc8001f,0x7ffc000f,0x07fff306,0x201fffdc,0xfffffffc,
    0xffffffff,0x2a006fff,0xff800fff,0x7ffff42f,0x00fffc0f,0xffffffd0,
    0x3a00001f,0x0fffffff,0x3fee0000,0x3ff2006f,0xff88002f,0x7fdc005f,
    0xff30006f,0x7ffdc07f,0x27ffc003,0xffff9000,0xffffffff,0xffa80dff,
    0x7fffdc0f,0x205fffff,0x7fcc7ffe,0x40dffb07,0x2e03fff9,0x7c003fff,
    0x3a002fff,0x3ee007ff,0x7ffc40ff,0xf027ff45,0x00000dff,0x000fffd0,
    0xffffff30,0xfff90007,0x6fff8001,0x403fff90,0x6406fff9,0x9999afff,
    0xf9999999,0x7fc006ff,0x2fff804f,0x3ffb7fe6,0x000fffc3,0x7ffffff3,
    0x7fcc0000,0x0003ffff,0x03fffe60,0x02fffb80,0x04fff880,0x03fffe60,
    0x0fffe400,0x00dfff30,0x0007ffd4,0x001fff90,0x42fff400,0x8000fffb,
    0x3ee1fffd,0x0bfff04f,0x300fffe4,0x4400dfff,0x2000ffff,0x2e007ffe,
    0xffd80fff,0x813ffa1f,0x00006fff,0x007ffe80,0xdffffb00,0x3fff2000,
    0x37ffc000,0xe806fff8,0x3f201fff,0x7fc001ff,0x7fdc006f,0x23ffe807,
    0x6ffcbffb,0x0003ffe2,0x00dffffb,0xffffb000,0xfe80000d,0x7d4003ff,
    0xf98003ff,0x3fa003ff,0x3e0003ff,0xffe806ff,0xbffd001f,0xfffc8000,
    0xff300000,0x1fff703f,0x7fff7000,0x7d40fff4,0x3ffe03ff,0x1fffe806,
    0x07fff900,0x007ffe80,0x2603ffee,0x3ffa5fff,0x01bffe04,0x3ffa0000,
    0xff100007,0x320005ff,0x7c000fff,0xfff986ff,0x3fffc804,0x007fff20,
    0x800dfff0,0x7403fff8,0x23ffa3ff,0xff10fff9,0xff88001f,0x800002ff,
    0x002ffff8,0x1bffee00,0x13ffe600,0x0bffee00,0x037ffdc0,0x09fff300,
    0x007fff90,0x0005fff3,0x000fffc8,0x20dff900,0x8000fffb,0xf98ffff8,
    0x1fffd07f,0x013ffe60,0x100ffff2,0x000dfff9,0x5c00fffd,0xffd00fff,
    0x813ffa1f,0x00006fff,0x007ffe80,0x01fffa00,0x01fffc80,0x213ffe20,
    0xcccdfffc,0xffdccccc,0x3fff206f,0x37ffc001,0x037fec00,0x7fcd3ff6,
    0x7c4fffe6,0xffd0007f,0x7400000f,0x200007ff,0x000ffff8,0x007fff98,
    0x801fffd8,0x000ffff8,0x337fff20,0xdccccccc,0xfc806fff,0xfc80006f,
    0xf00000ff,0x333339ff,0x0001fff9,0x3f3bfff6,0x3fffc84f,0x337fff20,
    0xdccccccc,0xeda86fff,0x000effff,0x2007ffe8,0xf500fffb,0x13ffa9ff,
    0x0006fff8,0x07ffe800,0x1fffa000,0x2fffb800,0x0fffe600,0x3ffffffe,
    0xffffffff,0xff900fff,0xfff8003f,0xfff98006,0x5d7ff601,0x5bff23ff,
    0xd0007ff9,0x00000fff,0x0003fff4,0x007fffb0,0x00ffffc0,0x00ffff10,
    0x000ffff6,0xfffffff0,0xffffffff,0x7c401fff,0xc80003ff,0x80000fff,
    0xfffffffa,0x00ffffff,0xfffff100,0x7fecc3ff,0x7fffc06f,0xffffffff,
    0x40ffffff,0x04fffffc,0x01fffa00,0x200fffb8,0x9ffd7ffe,0x0037ffc0,
    0x3fff4000,0xfffd0000,0x7ffd4000,0x3ffea003,0x7ffffcc2,0xffffffff,
    0x903fffff,0xf8003fff,0xfd0006ff,0xaffe40bf,0x3fe60ffe,0x006ff99f,
    0x000fffd0,0x03fff400,0x6fffb800,0x7ffdc000,0x3ffee004,0x6fffb803,
    0x7ffcc000,0xffffffff,0x3fffffff,0x003ffee0,0x03fff200,0x3fffa000,
    0xffffffff,0x260000ff,0xeeffffff,0x01ffffff,0x3fffffe6,0xffffffff,
    0x7e43ffff,0x40001cef,0x2e007ffe,0x3ea00fff,0x04ffebff,0x0001bffe,
    0x01fffa00,0x07ffe800,0x1fffe200,0x40fffe80,0xeeeefffc,0xeeeeeeee,
    0xff906fff,0xfff8003f,0xfff70006,0x23bff201,0xcffe86ff,0xd0006ffa,
    0x00000fff,0x0003fff4,0x007fffc4,0x3fffe200,0x6fff9802,0x0ffff880,
    0x7ffe4000,0xeeeeeeee,0x6fffeeee,0x0013ffa0,0x007ffe40,0x3fffe600,
    0xffffffff,0x4c0000ff,0xfffffffe,0x6400dfff,0xeeeeefff,0xfeeeeeee,
    0x000446ff,0x01fffa00,0x400fffb8,0x4ffeeffe,0x001bffe0,0x1fffa000,
    0x7ffe8000,0x7ffec000,0x4fffc804,0x8007fff8,0xfc80ffff,0x7fc001ff,
    0x3fe0006f,0x7dff703f,0xfff707ff,0x2000bff5,0x00007ffe,0x001fffa0,
    0x00ffff60,0x7fffe400,0x3fffe601,0x3fffd802,0x7fff8000,0x0ffff800,
    0x001fffa8,0x01fff900,0x07ffc800,0x0007ffdc,0xffffff80,0xff002dff,
    0xfff000ff,0x8000001f,0x2e007ffe,0x7dc00fff,0x204fffff,0x00006fff,
    0x007ffe80,0x01fffa00,0xdffff100,0xdfffb303,0x009fff30,0x907fff90,
    0xf8003fff,0x320006ff,0xfff507ff,0xff303ffb,0x000bffbf,0x0001fffa,
    0x007ffe80,0x037ffdc0,0xffff3000,0xf951159f,0xf700dfff,0x30000dff,
    0x90009fff,0xffb07fff,0x7e40000d,0x220000ff,0x7dc04fff,0x980000ff,
    0x009a9eff,0x027ffcc0,0x01fffe40,0x99999800,0x999fffe9,0x7fdc0999,
    0xffff800f,0x3ffe04ff,0x9999999e,0x26019999,0xffe99999,0x0999999f,
    0x03fff400,0x7fffe400,0xffffeeff,0xfffc82ff,0xfffa8002,0x01fffc86,
    0x0037ffc0,0x505fff10,0x40dfffff,0x04fffffe,0x00fffd00,0x3fff4000,
    0xffff1000,0x9999999b,0x07999999,0x3fffffa6,0xdfffffff,0x7fffc400,
    0xcccccccd,0x23cccccc,0x8002fffc,0x7c46fffa,0x200002ff,0x999afffc,
    0x19999999,0x200fffdc,0x0000fffb,0x0004ffb8,0x0017ffe4,0x0037ffd4,
    0x7ffffcc0,0xffffffff,0x7fdc3fff,0xfffb800f,0x3ffe04ff,0xffffffff,
    0x980fffff,0xffffffff,0xffffffff,0x3fff4003,0xfffa8000,0xffffffff,
    0x0ffff00e,0x07fffc00,0x0007fff2,0x8000dfff,0xff986ffd,0x3ee03fff,
    0x0004ffff,0x0000fffd,0x003fff40,0xffffff90,0xffffffff,0x440bffff,
    0xfffffffe,0xf9003fff,0xffffffff,0xffffffff,0x03fffcbf,0x41ffff00,
    0x00007ffc,0x7fffffe4,0xffffffff,0x01bffa1f,0x3fffffee,0xd001ffff,
    0xf80003ff,0x3e0007ff,0x40000fff,0xfffffff9,0xffffffff,0x07ffdc3f,
    0x7ffffc40,0x3ffffe04,0xffffffff,0xff980fff,0xffffffff,0x03ffffff,
    0x003fff40,0xfffd9100,0x4c07dfff,0x20004fff,0x7e43fffd,0x7fc001ff,
    0x7d40006f,0x7ffcc1ff,0x3fe201ff,0xd0003fff,0x00000fff,0x0003fff4,
    0xfffffff9,0xffffffff,0xb700bfff,0x39dffffd,0x7fffe400,0xffffffff,
    0x35ffffff,0x40009fff,0x3fe3fffd,0x6400004f,0xffffffff,0x1fffffff,
    0x7007fff3,0xffffffff,0xff3003ff,0xff98000d,0x3f60004f,0x4c0003ff,
    0xffffffff,0xffffffff,0x007ffdc3,0x04ffffc8,0x3ffffffe,0xffffffff,
    0xffff980f,0xffffffff,0x4003ffff,0x00007ffe,0x40026a20,0x0002fffc,
    0xf91bffea,0xff8003ff,0xcc80006f,0x7fffc42c,0xffffe806,0xfffd0003,
    0x7f400000,0x3f20007f,0xffffffff,0xffffffff,0x0d44005f,0xffff9000,
    0xffffffff,0x2bffffff,0x0002fffc,0x64dbffea,0x400000cc,0xfffffffc,
    0xffffffff,0x001fff91,0xfffffff7,0x93003fff,0xfc800059,0x2a0002ff,
    0x00006fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x1ccccb80,
    0x982eea80,0xd50004ee,0x09dd305d,0x9300e540,0x33322007,0x02ccc883,
    0xeeeeed80,0x00eeeeee,0xeeeeed80,0x00eeeeee,0xddddddb0,0x201ddddd,
    0x000002a8,0x00001100,0x00000110,0x03555000,0x55300000,0x2aa60005,
    0x35510001,0x00015530,0x2aaaa880,0xaaa98000,0x55555000,0x2e600001,
    0x554002bc,0x0d54401a,0x1000554c,0x15530355,0x00026a60,0xfffd8000,
    0xdff5002f,0x0007ffb0,0x3f61bfea,0xfff7003f,0x0bfff103,0x437ffe60,
    0x0005fffa,0xffffffff,0x0001ffff,0xffffffff,0x2001ffff,0xffffffff,
    0xe880ffff,0x000006ff,0x0ffffea0,0x3ffea000,0x0000003f,0x003fff30,
    0x86aaa200,0xa8006ffd,0x8002ffff,0xffd87ff8,0x3a200001,0x0001ffff,
    0x000fffb8,0x01dfffd3,0xffffc800,0xffa801ef,0x3ffc401f,0x1000ffec,
    0x3ffb0fff,0x37fffee0,0xb000000b,0x4001dfff,0xfddffff8,0x10001fff,
    0xffbbffff,0x3fa003ff,0xfffa84ff,0x3ffe6007,0x005fffcf,0x3fffffe0,
    0x00ffffff,0xffffff80,0x00ffffff,0xfffffff0,0x501fffff,0x0007ffff,
    0xffff7000,0x5c0009ff,0x04ffffff,0xfc800000,0x2200006f,0x3ffe4fff,
    0x7ffd4003,0xe8002fff,0xffb88cff,0xd100000f,0x0001bfff,0x003ffee0,
    0x0efffd88,0xffffb000,0x4401ffff,0xfd003fff,0xfff7119f,0xcffe8001,
    0x00fffb88,0xfffffff7,0x6c000019,0x50004fff,0xffffffff,0xffa80007,
    0x03ffffff,0x20ffff20,0x4006fff8,0x4fffffe9,0x4cccc000,0x19999999,
    0x33333000,0x03333333,0x4cccccc0,0x10199999,0x000bffff,0x8dff8800,
    0x8001ffc8,0xfc88dff8,0x0c00001f,0x000fffa0,0x34fff880,0x54001fff,
    0xfffdcfff,0x7ffd4002,0x004fffff,0x9fffd100,0x3332e000,0xcdfffecc,
    0xffb800cc,0x7d4000ef,0xfffb8aff,0x01bff204,0xffffffa8,0xfa8004ff,
    0x4fffffff,0x3ffffee0,0x0002efff,0x002fffd8,0x7fffecc0,0xb300001e,
    0x003dffff,0x2a04ec88,0xe88001de,0x00003fff,0x00000000,0x00000000,
    0x000bfff9,0x40ffa800,0xfa8004fe,0x0027f40f,0x807fed40,0x0000fff8,
    0x5d3ffe20,0x3ea005ff,0x3fff23ff,0x7ffe4002,0x00005fff,0x005fffd1,
    0x7ffffec0,0xffffffff,0xdffd3000,0x1fff4001,0x7cc1ffea,0x7e4001ff,
    0x005fffff,0x3fffff20,0xd733005f,0x005fffff,0x40000000,0x40000008,
    0x00000008,0x00000000,0x00000000,0x00000000,0x004fff80,0x07fdc000,
    0x2e0013fa,0x027f40ff,0x07ffe400,0x0005ffb8,0xea7ffc40,0xdd3002ff,
    0x3ddd705d,0xcedc9800,0x3b200002,0x6c0000de,0xffffffff,0x000fffff,
    0x8017bb62,0x7fc40fff,0x04ffe80f,0x59db9300,0xdb930000,0x75400059,
    0x0001ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffe80000,0x4c000002,0x0ffe63ff,0x98ffe600,0xc80003ff,0xdd900fff,
    0xf8800005,0x06ee8cff,0x00000000,0x00000000,0x66665c00,0xccdfffec,
    0x8000000c,0xfff07ff8,0x006ffc83,0x00000000,0xffd10000,0x000000bf,
    0x00000000,0x00000000,0x00000000,0x3ffff200,0xfff30007,0xffffffff,
    0x207fffff,0xfffffffc,0xffffffff,0x007ffcc1,0x7fec0000,0x000effde,
    0xffbdffb0,0xf900001d,0x000001ff,0x09fff100,0x00000000,0x00000000,
    0x3ee00000,0x000000ff,0x80fff880,0x3fe60fff,0x0000001f,0x00000000,
    0x007fffe2,0xfffffff9,0xffffffff,0x7ffe4003,0x3f20007f,0xffffffff,
    0x01ffffff,0xfffffff9,0xffffffff,0xfffff903,0x1579dfff,0x3ffe0000,
    0x98001fff,0xffffffff,0xffffffff,0xfffff903,0xffffffff,0x3feea3ff,
    0x0000002f,0x3dffffb1,0x7fec4000,0x00001eff,0x0001fff9,0xfff10000,
    0x00000009,0x00000000,0x20000000,0x0000fffb,0x5fff0000,0x7f47ff88,
    0x0000004f,0x00000000,0x403fffd8,0xfffffffc,0xffffffff,0x3fffe001,
    0xf90001ff,0xffffffff,0x03ffffff,0x3ffffff2,0xffffffff,0xffffc81f,
    0xffffffff,0x7d40003f,0x004fffff,0xffffff98,0xffffffff,0xfff903ff,
    0xffffffff,0x3fe3ffff,0x000003ff,0x002cba80,0x00b2ea00,0x1fff9000,
    0x10000000,0x00009fff,0x6f76dd44,0x999500ac,0x0f332001,0xddb75100,
    0x2200159b,0xdacdecb9,0x10000fff,0x159bfb95,0x20dffd80,0x3ff25ffc,
    0xca88000f,0x0cceffed,0xfb951000,0x8000159b,0x6405fffb,0xffffffff,
    0x1fffffff,0xfffff500,0x3f20009f,0xffffffff,0x01ffffff,0xfffffff9,
    0xffffffff,0xfffff903,0xffffffff,0x320003df,0x07ffffff,0x33333300,
    0x3333fffd,0x3ff20133,0x999999af,0x3be19999,0x0000000d,0x00000000,
    0xcccca800,0xcccfffec,0x03cccccc,0xdedca980,0x004fffbc,0xffffe880,
    0x80ffffff,0xf000fffc,0x3a200bff,0xffffffff,0x7fe400ff,0xffffffff,
    0xfb8000ff,0xffffffff,0x3fffe602,0xf31fffec,0xe98005ff,0xffffffff,
    0x2000cfff,0xfffffffb,0x260002ff,0x7e405fff,0x99999aff,0x00199999,
    0x3ffffff2,0xfff90007,0x33333335,0x7e403333,0x99999aff,0x90199999,
    0x33335fff,0xfffffb95,0x9fff0005,0x0003fff9,0x003fff40,0x0007ffe4,
    0x00000008,0x20019995,0x54403ccc,0xcceffedc,0x3fff2000,0xffffffff,
    0x6fffffff,0x3fffea00,0xffffffff,0x7fdc0004,0xffffffff,0xfffc80ff,
    0x0bfff000,0xffffff70,0x01ffffff,0x3fffffa6,0xffffffff,0x3ff62000,
    0xffffffff,0xfff900df,0x7f47ffff,0xffa8005f,0xffffffff,0x4400efff,
    0xfffffffd,0x000dffff,0x404fffa8,0x0000fffc,0xf99fff00,0xf90003ff,
    0x200001ff,0x0000fffc,0x400fffc8,0x00fffffa,0x2abffea0,0x00004fff,
    0x2001fffa,0x0000fffc,0x540ccc88,0x802cefed,0xf000fffc,0x3fa60bff,
    0xffffffff,0xfc800cff,0xffffffff,0xffffffff,0xffd8806f,0xffffffff,
    0x20004fff,0xbdfffffd,0x80ffdcaa,0xf000fffc,0xffd80bff,0xcaabdfff,
    0xff980ffd,0xba9aceff,0x000ffffe,0x22b7fffa,0x4ffffb98,0x37fffaa0,
    0x003ffee1,0x2f3bfea0,0xfffda99a,0x7fff405f,0xffb988ad,0xfc8004ff,
    0x7fe403ff,0xa800000f,0xfffaafff,0xfffc8004,0xff900000,0xf900001f,
    0xfb1001ff,0x7e4009ff,0x0dfff0ff,0x3fff4000,0x07ffe400,0x7ffc4000,
    0xfffffd11,0x7e401bff,0xfff000ff,0x3fffea0b,0xffffffff,0x665400ef,
    0xcfffeccc,0xcccccccc,0x7fffc403,0xfdba9bcf,0x50004fff,0x8809ffff,
    0x0fffc80b,0x40bfff00,0x404ffffa,0xfffe80b8,0x07ffe403,0x04fffb80,
    0x007fffa6,0x0bffe202,0x400dcc00,0x700ffffa,0x74c09fff,0x2e001fff,
    0x6400ffff,0x00000fff,0xff0fffc8,0xff9000df,0x3200001f,0x80000fff,
    0x1000fffc,0x2003ffff,0x3ff65fff,0xfd00001f,0xff9000ff,0xf100001f,
    0xffff33ff,0x0bffffff,0x8007ffe4,0xff505fff,0xb533579d,0x000bffff,
    0x0003fff2,0x037fff20,0x004fff98,0x02ffff88,0x07ffe400,0x105fff80,
    0x0005ffff,0x401fffd4,0x8800fffb,0xf9805fff,0xfb0005ff,0x000000bf,
    0x4417ffe4,0xf9805fff,0xbaa885ff,0x03ffffec,0x000fffc8,0x25fff800,
    0x4001fffd,0x0000fffc,0x001fff90,0x01fff900,0x02fffe40,0xf517ffcc,
    0x200009ff,0xc8007ffe,0x80000fff,0xfffcfff8,0xfffdaabe,0x1fff901f,
    0x417ffe00,0xffa801b9,0xfc8000ff,0x4c0000ff,0xf8805fff,0xfc8004ff,
    0xc80005ff,0xff000fff,0x3fff20bf,0x7ffc0005,0x1fff7007,0x03fff900,
    0x003fff60,0x001fff70,0x7fcc0000,0x1fffc83f,0x81fffb00,0xfffffffa,
    0xfff9005f,0xf9800001,0x3ffea2ff,0x7ffe4004,0xff900000,0xf900001f,
    0x7c4001ff,0xffc807ff,0x1bffe20f,0x3fff4000,0x07ffe400,0x7ffc4000,
    0xff904fff,0x3fff20bf,0x0bfff000,0x3fff2000,0xfffc8002,0x7fec0000,
    0xfff8800f,0xffff8004,0xffc80000,0xbfff000f,0x003fffe0,0x03fff980,
    0x001fff70,0x5c00dfff,0x22001fff,0x00003fff,0x27ffc400,0x70037ffc,
    0xffa83fff,0x001effff,0x0003fff2,0x41fff900,0x4006fff8,0x0000fffc,
    0x001fff90,0x01fff900,0x807ffe80,0xffd86fff,0xfe80001f,0xffc8007f,
    0xf880000f,0x7c03ffff,0xfff906ff,0x17ffe001,0x7ffcc000,0xfffc8003,
    0x7ffc0000,0x9fff1005,0x5fff8800,0xfff90000,0x17ffe001,0x0017ffe2,
    0x003fff50,0x2003ffee,0x2a004fff,0x36002fff,0x000006ff,0x84fff880,
    0x2a004fff,0x7fcc2fff,0xf90001cf,0x800001ff,0xffd86fff,0x3ff2001f,
    0xf900000f,0x900001ff,0xd8001fff,0x3e601fff,0xfffb83ff,0xffe80004,
    0xfffc8007,0x9999999a,0xff100999,0xffb009ff,0x03fff20f,0x002fffc0,
    0x04fff880,0x00fffc80,0x0fffe600,0x027ffc40,0x013ffe60,0x07ffe400,
    0x985fff80,0x40004fff,0x7000fffc,0xf9801fff,0xaaaaadff,0xffcaaaaa,
    0xfff5003f,0x00d5cc41,0xcccba980,0x44fffccc,0xaaadfff9,0xcaaaaaaa,
    0x7fcc3fff,0x3f20001f,0x99999aff,0x40099999,0xfb83fff9,0x3f2004ff,
    0x99999aff,0x20099999,0x999afffc,0x09999999,0x001fff90,0x202fffc8,
    0xf880fffc,0xe80006ff,0xfc8007ff,0xffffffff,0x106fffff,0x3200bfff,
    0xffc80fff,0xbfff000f,0x3fe20000,0xffc8004f,0x3ea0000f,0xff1002ff,
    0xffb8009f,0xf900003f,0x3fe001ff,0x3fffb85f,0x3ffec000,0x01fff700,
    0xffffffa8,0xffffffff,0x8804ffff,0x3fee3fff,0x5000efff,0xfffffffd,
    0xa89fffff,0xffffffff,0xffffffff,0x7ffcc4ff,0x3ff20001,0xffffffff,
    0x6406ffff,0xff880fff,0x3ff2006f,0xffffffff,0x3206ffff,0xffffffff,
    0x06ffffff,0x8001fff9,0x3e03fffc,0x3ffa06ff,0x7f40001f,0xffc8007f,
    0xffffffff,0xf106ffff,0x3ee009ff,0xfffc81ff,0x0bfff000,0x3332ea60,
    0x04fffccc,0x00fffc80,0x07ffee00,0x027ffc40,0x00bfff20,0x07ffe400,
    0xc85fff80,0x40002fff,0x2e007ffe,0x7dc00fff,0xffffffff,0xffffffff,
    0x6ffd804f,0x3ffffff2,0x3fa200ff,0xffffffff,0x5c4fffff,0xffffffff,
    0xffffffff,0x7ffcc4ff,0x3ff20000,0xffffffff,0x7c06ffff,0x3ffa06ff,
    0xfff9001f,0xffffffff,0x7e40dfff,0xffffffff,0x906fffff,0xb8001fff,
    0xff304fff,0x7ffdc07f,0x7ff40003,0xfffc8007,0xffffffff,0xff106fff,
    0x3fee009f,0x0fffc81f,0x80bfff00,0xffffffea,0x04ffffff,0x00fffc80,
    0x03fff200,0x027ffc40,0x00fffee0,0x07ffe400,0xb85fff80,0x40003fff,
    0x2e007ffe,0x7d400fff,0xaaaaadff,0xaaaaaaaa,0x7ffd401a,0x939fff31,
    0x7f409fff,0x999acfff,0x44fff999,0xaaadfffa,0xaaaaaaaa,0x7fc41aaa,
    0x3f20000f,0xffffffff,0x206fffff,0x2e03fff9,0xf9003fff,0xffffffff,
    0x40dfffff,0xfffffffc,0x6fffffff,0x001fff90,0x903fffb8,0x7cc03fff,
    0x740006ff,0xfc8007ff,0x880000ff,0xf7004fff,0xfff903ff,0x17ffe001,
    0x7fffff44,0xffffffff,0xffc8004f,0x3f20000f,0xff1001ff,0xff98009f,
    0xf900004f,0x3fe001ff,0x4fff985f,0x7ffec000,0x1fff7000,0x04fff980,
    0xfff10000,0x2a27fec9,0xffb80fff,0x7fc400ef,0x27ffcc4f,0xddd10000,
    0x7fe40001,0xf900000f,0x7fcc03ff,0xfff9006f,0x3f200001,0xc80000ff,
    0x64000fff,0xfff03fff,0x3fffd00d,0x3fff4000,0x07ffe400,0x7ffc4000,
    0x3fff7004,0x001fff90,0x7f417ffe,0x999acfff,0x04fff999,0x00fffc80,
    0x07ffee00,0x027ffc40,0x017ffe20,0x0fffdc00,0x885fff80,0x40005fff,
    0xd000fffc,0xf8801fff,0x000005ff,0xffe8dff9,0x40fffc41,0x8800fffd,
    0x7fc44fff,0x0000005f,0x1fff9000,0x3ffe0000,0x1fffe806,0x00fffc80,
    0x1fff9000,0xfff90000,0xfffd8001,0x04fff982,0x003fffc8,0x001fffa0,
    0x0003fff2,0x013ffe20,0x640fffdc,0xff000fff,0xdfff70bf,0x4fff8801,
    0x0fffc800,0x3ffea000,0x9fff7002,0x3ffff000,0xfff70000,0xbfff9003,
    0x007fffe0,0x02fffb80,0x00ffffd8,0x000ffff8,0x0fffcc00,0x3fa03ffe,
    0x07fff82f,0xf09fff10,0x00001fff,0xff900000,0xf300001f,0xff9009ff,
    0xfff9007f,0x3f200001,0xc80000ff,0x74000fff,0xffc81fff,0xccccccdf,
    0x06fffdcc,0x01fffa00,0x003fff20,0x13ffe200,0x40fffdc0,0xf001fffb,
    0xfffb0bff,0x9fff1001,0x3fff7000,0x7ffcc000,0xffffa804,0xfffd8004,
    0xffa80005,0x7ffdc03f,0xbfffb05f,0x7ffcc000,0x7fffe405,0xfffc800f,
    0x7f400004,0x80fff84f,0x7fc41ffe,0xffd8806f,0x4fffc84f,0x02620000,
    0x1fff9000,0xfff90000,0x9999999b,0x00dfffb9,0x0001fff9,0x003fff20,
    0x03fff200,0x20ffff00,0xffffffff,0xffffffff,0xfd0000ff,0xff9000ff,
    0xf100001f,0x3ee009ff,0xfffb81ff,0x5fffc801,0x1007fff8,0x50009fff,
    0x40007fff,0x4c07fff8,0x004fffff,0x0cffff88,0x3ffe6000,0x3fffee06,
    0xffff105f,0x3fa00019,0xfff701ff,0xf1001fff,0x00005fff,0x3a03bff2,
    0x0fff83ff,0x200ffff8,0x84fffff9,0x002ffff8,0x02fffa80,0x03fff200,
    0x3fffe000,0xffffffff,0x00ffffff,0x0007ffe4,0x00fffc80,0x0fffc800,
    0x17ffee00,0x3fffffe6,0xffffffff,0x0003ffff,0x9000fffd,0x00001fff,
    0x2009fff1,0xfa81fffb,0x7fdc03ff,0x7ffc45ff,0xfffd8806,0xfff98004,
    0x3f20000f,0xfff103ff,0x20009fff,0x1bfffffb,0xe807e4c4,0x3620dfff,
    0x05ffefff,0x2fffffee,0x207e4c41,0x2a1ffffb,0xfffbfffe,0xffff7000,
    0x81a9803b,0xfb02fff9,0x06ffb8bf,0x981dfffb,0x4ffffffc,0x3bffff70,
    0x7c41a980,0x20007fff,0x0000fffc,0x7fffffcc,0xffffffff,0x6403ffff,
    0x00000fff,0x0001fff9,0x001fff90,0x641ffffc,0xeeeeefff,0xfeeeeeee,
    0xfd0006ff,0xff9000ff,0xf100001f,0x3ee009ff,0xfff981ff,0x3fffee06,
    0x0ffff85f,0x3ffffe60,0xfffd0004,0x980a605d,0x930bffff,0x9ffd7fff,
    0x7ffec000,0xffffffff,0xfff500ff,0xffffddff,0xd80bff95,0xffffffff,
    0x440fffff,0xfffffffe,0xfff99fff,0x3fff6000,0xfeeeefff,0xffe83fff,
    0x3fffe604,0x302fffcb,0xfddfffff,0xffd9ffff,0x7fffec09,0xffeeeeff,
    0x7ffcc3ff,0xf90001ff,0xc80001ff,0xeeeeefff,0xfeeeeeee,0x7fe406ff,
    0xf900000f,0x900001ff,0x2e001fff,0xff80efff,0xfff8007f,0xffe8000f,
    0xfffc8007,0xff880000,0xfff7004f,0x37fffa03,0x3bfff620,0xfffd85ff,
    0x7ffe4c0e,0x30004fff,0xdfffffff,0xfd80dfff,0xfffeffff,0x009ffd3f,
    0xfffffa80,0x0fffffff,0x3fffff20,0xff92ffff,0xffff500b,0xffffffff,
    0xffffd101,0x3e63ffff,0x7dc000ff,0xffffffff,0x7dc3ffff,0x7fe400ff,
    0x404fffff,0xfffffffb,0x9ffb1eff,0xfffffb80,0xffffffff,0x7ffffc43,
    0xfff90000,0xfff80001,0xffff8007,0x03fff200,0x7ffe4000,0xffc80000,
    0xfffb800f,0x4fff982f,0x3fffc800,0x07ffe800,0x00fffc80,0x4fff8800,
    0x03fff700,0x3bffffea,0xfcaffffe,0xffff985f,0xfffffeef,0x0004ffec,
    0x3fffffee,0xc806ffff,0xffffffff,0x0013ffa3,0x3fff6e20,0x802dffff,
    0xcffffffa,0x4017ff20,0xfffffdb8,0x36202dff,0x20beffff,0x8000fff8,
    0xfffffec8,0x261cefff,0xf7002fff,0x2005dfff,0xefffffe9,0x013ff60c,
    0x3ffffb22,0x81ceffff,0x0003fffb,0x0003fff2,0x004fff98,0x203fffc8,
    0x0000fffc,0x001fff90,0x01fff900,0x2fffff44,0x002fffc8,0x206fffa8,
    0xfe999999,0x999999ff,0x35fff900,0x33333333,0x3ffe2033,0x3fff7004,
    0x7ffffe40,0xff92ffff,0x3fffee0b,0xb1efffff,0x880009ff,0xfffffffc,
    0xffd7004f,0xffd859df,0x33000004,0x26200013,0x4000001a,0x88000999,
    0x0000000a,0x00666a62,0x00988000,0x0006a600,0x99a98800,0x00151001,
    0x9afffc80,0x99999999,0x17ffe419,0x37ffd400,0x335fff90,0x33333333,
    0x57ffe403,0x99999999,0xfff90199,0xfdb95557,0x7c0bffff,0x3e0007ff,
    0xff980fff,0xffffffff,0x03ffffff,0xfffffff9,0xffffffff,0x09fff103,
    0x007ffee0,0x9ffffff5,0x302ffe41,0x9dfffffd,0x0027fec1,0x02666600,
    0x00054400,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3f200000,0xffffffff,0x21ffffff,0x20007fff,0xf900ffff,
    0xffffffff,0x03ffffff,0x3ffffff2,0xffffffff,0xffffc81f,0xffffffff,
    0x3fe603ff,0x3f60004f,0xfff983ff,0xffffffff,0x903fffff,0xffffffff,
    0x3fffffff,0x009fff10,0x4007ffee,0x00001a98,0x000006a6,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0xfffffffc,0xffffffff,0x009fff31,0x81fffec0,0xfffffffc,
    0xffffffff,0xfffff901,0xffffffff,0xfff903ff,0xffffffff,0xffc8039f,
    0x3ea0002f,0xfff986ff,0xffffffff,0x903fffff,0xffffffff,0x3fffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fffe400,0xffffffff,
    0xfff91fff,0x7fd40005,0xffff906f,0xffffffff,0x3f203fff,0xffffffff,
    0x81ffffff,0xeffffffc,0x00002cce,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x55550000,0xba880015,0x80080000,0x2aaa6000,0x00355500,
    0x677f6e54,0x1ccccccc,0x00080080,0x001554c0,0x2aaaa000,0x5555500a,
    0x40000001,0x08000998,0x44000080,0x40000009,0x00002aa9,0x15555500,
    0x0aaaaa80,0x26200000,0xaaa80000,0x554c001a,0x1000000a,0x15530355,
    0x79753000,0x3cca8015,0x5ef775c4,0x04004000,0x65d4c400,0x0001abcc,
    0x02ffffd8,0x0ffff440,0x0efe9800,0x2005ffb0,0x3621effd,0xea800eff,
    0xffffffff,0x02ffffff,0x6c03bfa6,0xfa8002ff,0x00003fff,0x05ffffb0,
    0x077fff4c,0xfb800000,0x3fa6004f,0x05ffb00e,0xefffeb80,0x20004b81,
    0x003ffffa,0x7ffec000,0xffe9802f,0x400000ef,0x81efffeb,0xfffc804b,
    0xfc83300f,0x000000ff,0xffb0fff1,0x7ffd4003,0x01dfffff,0x7fdcdff9,
    0x02ffffff,0xb00efe98,0xf91005ff,0xffffffff,0x7ec0001f,0xc8000eff,
    0x0005ffff,0xf70bfffb,0x7ec00fff,0xeffe89ff,0xffffc800,0xffffffff,
    0x3602ffff,0xffb85fff,0x7fd4007f,0x0003ffff,0x077ffec0,0x77ffec40,
    0xe8000000,0x3f6001ff,0xfffb85ff,0x3ffee007,0xb89dffff,0xfa8004ff,
    0x003fffff,0xdfffb000,0x7fec4001,0x700000ef,0xbfffffff,0x009ff713,
    0x953dfffb,0xffc87ffd,0x2000000f,0xfb88cffe,0xfe8800ff,0xffffffff,
    0x6ffc82ff,0xfffffff9,0xfd803fff,0xfffb85ff,0x7fffdc07,0xffffffff,
    0xfffb0000,0x7fec0009,0xfd0006ff,0xfff90dff,0x7fec001f,0x800effff,
    0x20bffffa,0xabffffd9,0x3fffa00a,0x0ffffc86,0x9bfff500,0x00007fff,
    0x0013fff6,0x003bffee,0x7ff88000,0x37fff400,0x007fffe4,0x7e6fffd4,
    0xffffffff,0x7ffd4001,0x003fffcd,0x27ffec00,0xdfff7000,0xffa80001,
    0xfffffcdf,0x9801ffff,0xffffffff,0x7ffe43ff,0x2a000000,0xffffffff,
    0xffffd004,0xffffd779,0xceffc81f,0xebaadfff,0x7f406fff,0xfffc86ff,
    0xffff500f,0xb99779bf,0xffb0001f,0xfb80005f,0x70004fff,0xff307fff,
    0xffb000bf,0x3e001dff,0x3f201fff,0xff7003ff,0xbfff307f,0x93ffea00,
    0x0003fffb,0x0017ffec,0x01dffd30,0x3fee0000,0x7ffdc004,0x05fff983,
    0x6441fd10,0x01ffffff,0x727ffd40,0x00007fff,0x000bfff6,0x03bffa60,
    0x20fe8800,0xffffffc8,0x3ffb6a01,0xffffffff,0x07ffe42e,0x3f200000,
    0x005fffff,0x1019fff9,0xfc89fff9,0x881fffff,0x2e01fffe,0xff983fff,
    0xffff105f,0x2e000007,0x00001dee,0x0001bff9,0x79301654,0x6f764000,
    0x9fff3000,0x00ffff00,0x79301654,0x0fbb6600,0x000bbbaa,0x000ef75c,
    0x02f76c40,0x3fb2e600,0x8001fffe,0x0f2602ca,0x32603100,0x4c000bdd,
    0xeea83eed,0x75c0002e,0x200001de,0x0005eed8,0xddc980c4,0x7ffec00b,
    0x9cffffff,0x01fff900,0xb9300000,0x3e20059d,0xfff806ff,0x7ffffe45,
    0x0fffee00,0x64c05950,0x0bfff603,0x00000000,0x00004400,0x00000000,
    0x0fffdc00,0x007ffec0,0x00000000,0x00000000,0x44000000,0xfffffffe,
    0x000004ff,0x00000000,0x00000000,0x00000000,0x00000000,0x6e77ffec,
    0x7e405fff,0x000000ff,0x7fd40000,0x7ffe802f,0x00ffffe4,0x0013ffe2,
    0x3ffe2000,0x00000005,0x00000000,0x00000000,0x0fffc800,0x00fffc80,
    0x00000000,0x00000000,0x5c000000,0xffffffff,0x001effff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x88377000,0x3202ffff,0x00000fff,
    0x7dc00000,0xfff800ff,0x017ffe45,0x0005fff8,0x2fff9800,0x00000000,
    0x00000000,0x00000000,0x02fffc80,0x0007ffd8,0x00000000,0x00000000,
    0x7fdc0000,0xff99bdff,0x000effff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fd40000,0xfff900ff,0x00000001,0x07ffd800,0x644fffb8,
    0xff000fff,0x000000bf,0x0003fff7,0x3b72a600,0x002cdeef,0x66fee544,
    0xca88000a,0x0cceffed,0xfb951000,0xfa80159b,0x7fc404ff,0x6665406f,
    0x07999000,0x20019995,0xcca83ccc,0x7999000c,0x00199950,0xff10f332,
    0xfff985ff,0x4004fffe,0xacdfeca9,0x654c0000,0x000acdfe,0x6ff654c0,
    0x4c0000ac,0x0acdfeca,0x7654c000,0x0000acdf,0xdffdb951,0x53000199,
    0x0bffffd9,0x9883fff2,0x000bdedb,0x9bfd9530,0x6ffe8015,0x07fffdc0,
    0x4003fff2,0x51005fff,0x0159bfb9,0x0007ffe4,0x3fff2200,0xffffffff,
    0xffff7000,0x005fffff,0x3fffffa6,0x0cffffff,0x3fffee00,0x202fffff,
    0x201ffff8,0x6403fffc,0xff000fff,0x1fff90bf,0x217ffe00,0xf000fffc,
    0xfff90bff,0x17ffe001,0xf703fff9,0x1ffff39f,0xffffb100,0x007fffff,
    0xfffffb10,0x0007ffff,0xffffffb1,0x10007fff,0xfffffffb,0xb10007ff,
    0xffffffff,0x7f4c007f,0xffffffff,0xfb800cff,0xffffffff,0x0fffc82f,
    0xfffffff3,0x7ec4005f,0xffffffff,0x81bffa03,0xc81ffffd,0xff000fff,
    0xfff700bf,0x05ffffff,0x0001fff6,0xffffff30,0x1fffffff,0xffffd880,
    0xdfffffff,0x7fffd400,0xffffffff,0x7ec400ef,0xffffffff,0xff700dff,
    0x7ecc17ff,0xffc806ff,0xbfff000f,0x001fff90,0x3f217ffe,0xfff000ff,
    0x01fff90b,0xf997ffe0,0x3ffd05ff,0x500ffff2,0xffffffff,0x001dffff,
    0x3fffffea,0x0effffff,0xfffff500,0xdfffffff,0x3ffea001,0xffffffff,
    0xff5000ef,0xffffffff,0xf5001dff,0xffffffff,0x401dffff,0xfffffffd,
    0xfc86ffff,0xffffa8ff,0x02ffffff,0xffffffa8,0x0effffff,0xfd06ffe8,
    0x3f201dff,0xfff000ff,0x7ffec40b,0xffffffff,0x03ffec0d,0x3fffa000,
    0xba9999be,0x7ff400ed,0xfb988adf,0x7d404fff,0xa99abcef,0x405ffffd,
    0x88adfffe,0x04ffffb9,0xfffffff1,0x01ffffff,0x001fff90,0x3f217ffe,
    0xfff000ff,0x01fff90b,0x3217ffe0,0xff000fff,0x17ffdcbf,0xff13ffcc,
    0x7ffd40df,0xfdb9acef,0xfa806fff,0xb9acefff,0x806ffffd,0xaceffffa,
    0x6ffffdb9,0xeffffa80,0xfffdb9ac,0xfffa806f,0xfdb9acef,0xfa806fff,
    0xa99abcef,0x885ffffd,0xacdffffe,0x42fffeca,0xfffbfffc,0xfffebabe,
    0x3ffea00f,0xfdb9acef,0xffe86fff,0x05fffc86,0x8007ffe4,0x3fa05fff,
    0xb988adff,0x7ec4ffff,0x2e00007f,0x00004fff,0x4c09fff7,0x2601fffe,
    0xfffa801b,0x9fff700f,0x0ffff4c0,0x7ffffff4,0x00cfffff,0x001fff90,
    0x3f217ffe,0xfff000ff,0x01fff90b,0x3217ffe0,0xff000fff,0x83ffe4bf,
    0x7ffc4ffb,0x7ffff107,0x1ffffd40,0x07ffff10,0x01ffffd4,0x407ffff1,
    0x203ffffa,0x203ffff8,0x203ffffa,0x203ffff8,0x403ffffa,0xffa801b9,
    0x7ffe40ff,0xdfff300e,0xffffffc8,0x09fffb03,0x80ffffe2,0x743ffffa,
    0x7ffc46ff,0x0fffc806,0x20bfff00,0x2604fffb,0x3f61fffe,0x3200007f,
    0x80000fff,0x9805fff8,0x00005fff,0x220bfff2,0xf9805fff,0x7ffdc5ff,
    0xbceeeca8,0x7ffe4001,0x0bfff000,0x2001fff9,0xffc85fff,0xbfff000f,
    0x001fff90,0xffd97ffe,0xe83ffd06,0xfff907ff,0xffff3007,0x0ffff201,
    0x03fffe60,0x401fffe4,0x900ffff9,0xf3007fff,0x3f201fff,0xff9803ff,
    0x200000ff,0x3e62fffc,0xffd805ff,0x3ffff21f,0x3ffe201f,0x07fff907,
    0x41ffff30,0x7fcc6ffe,0xfffc803f,0x0bfff000,0x300bfff1,0x7fecbfff,
    0x3f600007,0xc80000ff,0xfb001fff,0x200001ff,0xfc83fff9,0xffb001ff,
    0x027fec1f,0x7ffe4000,0x0bfff000,0x2001fff9,0xffc85fff,0xbfff000f,
    0x001fff90,0xffe97ffe,0xc87ff985,0x7fc40fff,0x3ff2006f,0x6fff883f,
    0x0ffff200,0x801bffe2,0xf883fffc,0x3f2006ff,0xfff883ff,0x3fff2006,
    0x3e600003,0x3fff63ff,0x4fffa800,0x00bffff2,0xf10bfff2,0x7e400dff,
    0x1bffa3ff,0x9009fff5,0x3e001fff,0xfffc85ff,0x1fffb001,0x0001fff6,
    0x005fffb8,0x006fff80,0x0007ffee,0x427ffc40,0x2e006fff,0x3ffe1fff,
    0xfc800004,0xfff000ff,0x01fff90b,0x3217ffe0,0xff000fff,0x1fff90bf,
    0xf97ffe00,0x4ffb85ff,0x540fffc8,0x26003fff,0xffa85fff,0x3fe6003f,
    0x3fffa85f,0x17ffe600,0x800fffea,0xfa85fff9,0x3e6003ff,0x200005ff,
    0xff14fff8,0x7ff400bf,0x00ffff27,0x2a1fffd4,0x26003fff,0x3ffa5fff,
    0x07fffc46,0x003fff20,0x7fc2fffc,0x3fee006f,0x00fffb1f,0x7fffcc00,
    0x3fe0002e,0x3fea004f,0xf100002f,0x9fff09ff,0x17ffd400,0x0005ffff,
    0x00fffc80,0xf90bfff0,0x3fe001ff,0x0fffc85f,0x90bfff00,0x3e001fff,
    0x1bffa5ff,0x3f207ffa,0x0fffc87f,0x437ffc00,0x4000fffc,0xffc86fff,
    0x7ffc000f,0x00fffc86,0x6437ffc0,0x7c000fff,0x200006ff,0xff54fff8,
    0x7fec005f,0x01fff91f,0x913ffe20,0xf8001fff,0x1bffa6ff,0x803bfffa,
    0xf000fffc,0x9fff0bff,0x97ffd400,0x00007ffd,0x7fffffdc,0x3fe6002c,
    0xaaaaaadf,0xfffcaaaa,0x99753003,0x9fff9999,0xaadfff98,0xaaaaaaaa,
    0x3f63fffc,0xdeeeffff,0x9001accc,0x3e001fff,0xfffc85ff,0x0bfff000,
    0x2001fff9,0xffc85fff,0xbfff000f,0x3e63fff4,0x0dffb07f,0xd000fffb,
    0xfffb0fff,0x0fffd000,0xd000fffb,0xfffb0fff,0x0fffd000,0xd000fffb,
    0x54c00fff,0xfccccccb,0x3fff74ff,0x97ffdc00,0x1000fffc,0xffd8bfff,
    0x7ffe8007,0x3e21bffa,0xf902ffff,0x3fe001ff,0x6fffcc5f,0xaaaaaaaa,
    0xb3fffcaa,0x00000fff,0xfffffff7,0xffa8039f,0xffffffff,0xffffffff,
    0x7fff5404,0xffffffff,0x7fffd44f,0xffffffff,0x24ffffff,0xfffffff9,
    0xffffffff,0x07ffe403,0xc85fff80,0xff000fff,0x1fff90bf,0x217ffe00,
    0xf000fffc,0x7ffecbff,0x7c13fee1,0x6ffe85ff,0x0fffd800,0x40037ff4,
    0x7f40fffd,0xffd8006f,0x037ff40f,0x207ffec0,0xd8006ffe,0x75400fff,
    0xffffffff,0xff94ffff,0x7fd4001f,0x01fff93f,0x3a37ffc0,0xfd8006ff,
    0x0dffd0ff,0x13ffffe6,0x4003fff2,0x7fd45fff,0xffffffff,0xffffffff,
    0x000fffb4,0x3fff6200,0x00dfffff,0xfffffff7,0xffffffff,0x3a209fff,
    0xffffffff,0x44ffffff,0xfffffffb,0xffffffff,0x7fcc4fff,0xffffffff,
    0x205fffff,0xf000fffc,0xfff90bff,0x17ffe001,0x4003fff2,0xffc85fff,
    0xbfff000f,0xfd1fffdc,0x7fff503f,0x000dfff0,0xff81fff9,0xffc8006f,
    0x037ffc0f,0x207ffe40,0xc8006fff,0x7ffc0fff,0xfffc8006,0xffffd100,
    0xffffffff,0x1fff69ff,0x29fff300,0x2000fffc,0x7ffc5fff,0xfffc8006,
    0x440dffd0,0x645ffffe,0xff000fff,0xffffb8bf,0xffffffff,0xb4ffffff,
    0x00000fff,0xffffdb88,0xffa80fff,0xaaaaaadf,0xaaaaaaaa,0x9ffffd01,
    0xf3333335,0xfffa89ff,0xaaaaaaad,0x1aaaaaaa,0x2affffa2,0xfffdcccb,
    0xff904fff,0x3ffe001f,0x00fffc85,0xf90bfff0,0x3fe001ff,0x0fffc85f,
    0x44bfff00,0xff98ffff,0x01fffd07,0xb000fffd,0xfffd0fff,0x0fffb000,
    0xb000fffd,0xfffd0fff,0x0fffb000,0xb000fffd,0x7ff40fff,0x9999acff,
    0xfb4fff99,0x7d4001ff,0x1fff93ff,0x13ffe200,0xb000fffd,0x37ff4fff,
    0x3ffff620,0x003fff24,0x3ea2fffc,0xaaaaadff,0xaaaaaaaa,0x00fffb1a,
    0x75c40000,0xf986ffff,0x400004ff,0x400efffb,0x7cc4fff8,0x880004ff,
    0x8800fffe,0xf907fffd,0x3fe001ff,0x0fffc85f,0x90bfff00,0x3e001fff,
    0xfffc85ff,0x8bfff000,0xffcefffd,0x03fffc84,0x8001fffb,0xffd86ffe,
    0x7ff4000f,0x00fffd86,0x6c37ff40,0x74000fff,0xfffd86ff,0x37ff4000,
    0x00efffb8,0xfca7ffc4,0x3ee001ff,0x1fff92ff,0x0fffe600,0x8001fffb,
    0x3ffa6ffe,0xffff7006,0xfff80003,0x027ffcc4,0x03ffec00,0xfa800000,
    0x7fc41fff,0x6c00005f,0xf8800fff,0x7ffc44ff,0xffb80005,0x3fe2002f,
    0xfffb81ff,0x0bfff001,0x2003fff7,0xffb85fff,0xbfff001f,0x003fff70,
    0xff117ffe,0x4c3fffff,0x3206fffd,0x22001fff,0xffc85fff,0x3fe2001f,
    0x1fffc85f,0x17ffe200,0x8007fff2,0xfc85fff8,0x3e2001ff,0xfffb05ff,
    0x9fff1001,0x800bffee,0xff91fffc,0x3fea001f,0x0fffe41f,0x4bfff100,
    0x32006ffe,0x20004fff,0x7c43fff8,0xd80005ff,0x000007ff,0x0bfff200,
    0x0003fffe,0x007fff80,0xff09fff1,0xd80001ff,0x6c000fff,0xffb81fff,
    0xfffc801f,0x01fffb85,0xb85fffc8,0xfc801fff,0xfffb85ff,0x5fffc801,
    0xffffff98,0xffffffee,0x13ffee01,0x83fffb80,0x2004fffb,0xfb83fffb,
    0x3ee004ff,0xfffb83ff,0x3ffee004,0x04fffb83,0x40fffee0,0xf1007fff,
    0x3ffea9ff,0x9fffe005,0xd000fffc,0xffb81fff,0x3fee004f,0x01bffa3f,
    0x006fff88,0x20bffea0,0x0000ffff,0x0003ffec,0xfff50000,0x09fff907,
    0x3ffe2000,0xfffd8806,0x04fffc84,0x07fff400,0x41fffe00,0x5c03fffa,
    0xfa85ffff,0x7fdc03ff,0xfffa85ff,0x7fffdc03,0x03fffa85,0x82ffffdc,
    0xffffffe9,0x400dffff,0x000ffff8,0xf101fffd,0x3a001fff,0xff880fff,
    0xffd000ff,0xffff101f,0x3fffa001,0x0ffff880,0x01fffd00,0x100dfff1,
    0x3e29fffb,0xfa801fff,0x3fff24ff,0x4fffa800,0x00ffff88,0x741fffd0,
    0x7fc006ff,0x3fa0006f,0xfffc80ff,0x7fec0004,0x00000007,0x2207fff6,
    0x0002ffff,0x401ffff0,0x84fffff9,0x002ffff8,0x013fff60,0x305fffd8,
    0x7dc0dfff,0xf985ffff,0x3fee06ff,0xff985fff,0x3ffee06f,0xfff985ff,
    0x3fffee06,0x7fffc05f,0x002dffff,0x8037fff2,0x203fffd8,0x200dfffc,
    0x203fffd8,0x200dfffc,0x203fffd8,0x200dfffc,0x203fffd8,0x200dfffc,
    0x203fffd8,0x2600ffff,0x2e4fffff,0x2600efff,0x3f20ffff,0x7f4400ff,
    0xfff900ff,0x7fec401b,0x037ff43f,0x009fff30,0x413fff20,0x002ffff8,
    0x001fff60,0x004dec40,0x40dfff93,0x01dffffb,0xffd80d4c,0x7fe4c0ef,
    0xf704ffff,0x9803bfff,0x3fffee1a,0x7dcc41ad,0x3a00efff,0x3620dfff,
    0x05ffefff,0x441bfffd,0x5ffefffd,0x41bfffd0,0xffefffd8,0x1bfffd05,
    0x7f7ffec4,0x3bfe605f,0x100009a9,0x415dffff,0x06fffea8,0x577fffc4,
    0x3fffaa20,0x7fffc406,0x3faa20ae,0x7fc406ff,0x2a20aeff,0x4406fffe,
    0x20aeffff,0x06fffea8,0x2077ffec,0xffffffc9,0x17ffff44,0x13fffea2,
    0x1039fff9,0x407ffff7,0x0aeffff8,0x1bfffaa2,0x0111bffa,0x005fffd5,
    0x7ffff5cc,0x3fffee00,0xb0d4c01d,0x20000fff,0xeffffff8,0xffffffee,
    0x7fffec01,0xffeeeeff,0xfff303ff,0xffffddff,0x409ffd9f,0xeffffffd,
    0x3ffffeee,0x7fffffe4,0xffffffff,0x7fd400ff,0xfffeefff,0x505ffcaf,
    0xfddfffff,0xbff95fff,0x3ffffea0,0xcaffffee,0xfff505ff,0xffffddff,
    0x5c0bff95,0x200004ff,0xeffffffa,0x1efffffe,0xfffffa80,0xfffffeef,
    0xfffa801e,0xfffeefff,0xfa801eff,0xfeefffff,0x801effff,0xeffffffa,
    0x1efffffe,0x7ffffcc0,0xcfffffee,0x7fd44ffe,0xffeeffff,0xffc85fff,
    0xffeeffff,0xa804ffff,0xeeffffff,0x81efffff,0x7fdc6ffe,0x4ffffffe,
    0x7ffff400,0xfffd802f,0xfeeeefff,0x3ff63fff,0xff100007,0xffffffff,
    0x2003dfff,0xfffffffb,0x03ffffff,0x3fffffee,0xffb1efff,0xffffb809,
    0xffffffff,0xffffb83f,0xffffffff,0xff9000bf,0x5fffffff,0xfc817ff2,
    0xffffffff,0x640bff92,0xffffffff,0x40bff92f,0xfffffffc,0x0bff92ff,
    0x0000fff4,0x3ffffa20,0x04ffffff,0x7ffff440,0x04ffffff,0x7ffff440,
    0x04ffffff,0x7ffff440,0x04ffffff,0x7ffff440,0x04ffffff,0x3ffffee0,
    0xfb1effff,0xfffd109f,0x9fffffff,0x3ffffee0,0xefffffff,0x3ffa2001,
    0xffffffff,0x71bffa04,0xffffffff,0xffe80019,0x3ee001ef,0xffffffff,
    0x3f63ffff,0x3200007f,0xfffffffe,0x88002dff,0xffffffec,0x4c01ceff,
    0xcefffffe,0x2013ff60,0xfffffec8,0x201cefff,0xefffedca,0xf50002cd,
    0x419fffff,0x7d405ffc,0x20cfffff,0x7d405ffc,0x20cfffff,0x7d405ffc,
    0x20cfffff,0xff305ffc,0x5c00000d,0xdefffffe,0x3fae0002,0x02deffff,
    0x3fffae00,0x0002deff,0x3fffffae,0x2e0002de,0xdefffffe,0xffe98002,
    0x360cefff,0x3fae04ff,0x01dfffff,0xffffeca8,0x20003def,0xefffffeb,
    0x37ff402d,0x3bffffee,0x9dd0001d,0x3b220005,0xffffffff,0x1fff61ce,
    0x4ccc0000,0x00001aaa,0x00ccd4c4,0x00035300,0x4cd4c400,0x00000001,
    0x001a9880,0x006a6200,0x01a98800,0x06a62000,0x02cc9800,0x35100000,
    0x51000001,0x10000013,0x00000135,0x00001351,0x00013510,0x0000d4c0,
    0x00026a60,0x00003310,0x00026a20,0x00199880,0x20000000,0x00199a98,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xa9800000,0x8000002a,
    0x000aaaaa,0x0002aa98,0x00d55400,0x10555530,0x4c035555,0x55500aaa,
    0x00988003,0x55530000,0xaa800000,0x55500aaa,0x00000155,0x8000ab88,
    0x5301aaa8,0xaa980055,0xaaaa882a,0x88000001,0x00000aaa,0x00aaa880,
    0xaaaaa800,0x06aa2000,0x30002aa6,0x00157b97,0x00400400,0x00aaa600,
    0xdfdca880,0x988000ac,0x99999999,0x7d400009,0x00003fff,0x0bffff60,
    0x3fffea00,0xf1000003,0x3ea009ff,0x7fc40eff,0xffd804ff,0x3bff621e,
    0xfffd7000,0x0009703d,0x007ffff5,0x3fff6000,0x3ffa602f,0x000000ef,
    0x001ffff3,0xb85fff70,0x2a002fff,0x7c40efff,0x00004fff,0x00dff900,
    0x5555554c,0xffa81aaa,0x7ec0000f,0x44002fff,0x1ffd87ff,0xffffd300,
    0x80007fff,0xfb00efe9,0xff50005f,0xf70007ff,0xffffffff,0xfffb8005,
    0x5fffffff,0x3ffea000,0x00003fff,0x00efffd8,0xfffffa80,0x8800003f,
    0xf9804fff,0x7f440eff,0x3f6003ff,0xeffe89ff,0xffff7000,0xf713bfff,
    0x7fd4009f,0x0003ffff,0x077ffec0,0x77ffec40,0xfd800000,0x70004fff,
    0x3ff29fff,0x3fe6002f,0x7ff440ef,0x0000003f,0xc8013ffe,0xffffffff,
    0x05ffd84f,0x77ffec00,0x9ffd0000,0x01fff711,0xffffff70,0x0009ffff,
    0x5c2fffec,0x54007fff,0x03ffffff,0xfffffb10,0x1bffffff,0x3fffee00,
    0x05ffffff,0x9bfff500,0x00007fff,0x0027ffec,0xfcdfffa8,0x400003ff,
    0x4404fff8,0x7440effe,0xd8002fff,0x0effffff,0x9bfff500,0xffffffff,
    0x3fea003f,0x03fffcdf,0x9fffb000,0xdfff7000,0xfe800001,0x20005fff,
    0xfffffffb,0x3ffa2002,0x7fff440e,0x20000002,0x2001fff9,0xfffffffc,
    0x2fff84ff,0x3fff6000,0x7fd40004,0x04ffffff,0xbdffff88,0x02fffffc,
    0x0dfffd00,0x001ffff9,0x3f37ffea,0xffe803ff,0xfb988adf,0x95004fff,
    0x99999999,0xff500059,0x1fffdc9f,0x7ffec000,0xfff50002,0x01fffdc9,
    0x9fff1000,0x80effe80,0x0001fffd,0x03bffff6,0x220fe880,0x1ffffffc,
    0x49fff500,0x0003fffb,0x0017ffec,0x01dffd30,0x7ffe4000,0x7dc0003f,
    0x4002ffff,0xfd80effe,0xf80001ff,0x7fdc06ff,0x7775c006,0x44fffeee,
    0x20007ff9,0x0002fffd,0xffffff90,0x3fff600b,0x05fffc83,0x07fff700,
    0x200bfff3,0x3ee4fffa,0x3fee03ff,0x3ffa604f,0x0000001f,0x41f76cc0,
    0x0002eeea,0x00077bae,0x541f76cc,0x00002eee,0x5c09fff1,0xeeb80dee,
    0xec80000d,0x188000de,0x017bb930,0x20fbb660,0x0002eeea,0x0003bdd7,
    0x00bddb10,0x2ffec400,0xeeeb8000,0x6f75c002,0x00deeb80,0x0dfff000,
    0x0003ffd8,0xc89fff30,0xd70004ff,0x800003bd,0x002cedc9,0x7c41bffe,
    0x2a0007ff,0x00f2602c,0x541f76cc,0xff882eee,0xfff9805f,0x00000005,
    0x00000000,0x00000000,0xfff88000,0x00000004,0x00000000,0x00000000,
    0x00000000,0x08800000,0x00000000,0x00000000,0xed80dfff,0xf300000e,
    0x1eec89ff,0x00000000,0xff880000,0x3fff604f,0x00000000,0xfc800000,
    0xffb001ff,0x0000001f,0x00000000,0x00000000,0xff880000,0x0000004f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x00006fff,0x4fff9800,0x00000000,0x4c000000,0x3f604fff,0x0000007f,
    0xf0000000,0x7dc00dff,0x000001ff,0x00000000,0x00000000,0x7c400000,
    0x000004ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00037ffc,0x7ffcc000,0x00000004,0x40000000,0x3e05fff8,
    0x000005ff,0x00000000,0x54009fff,0x54402fff,0xcceffedc,0x65440000,
    0x000acdfd,0x37f72a20,0x260000ac,0xdeefedca,0x32a6002c,0xfffbcded,
    0xfd953004,0x0000159b,0xddfdb953,0x6654059b,0x7999000c,0xfedca880,
    0x4000ccef,0xeffedca8,0x544000cc,0xcceffedc,0x5d440000,0x00acdeed,
    0x776dd440,0x99500acd,0x33320019,0x7ffc0003,0x80000006,0x0004fff9,
    0x37bfdb73,0x02cedb98,0x99999950,0x7c005999,0xffc80fff,0xcca8003f,
    0x2ccccccc,0x66665400,0x402ccccc,0xaaadfff9,0xcaaaaaaa,0xfd303fff,
    0xffffffff,0x700019ff,0xffffffff,0xff70005f,0x5fffffff,0xfffc8800,
    0xffffffff,0x7fffd400,0xffffffff,0x7ffec404,0x03ffffff,0xffff9100,
    0x1fffffff,0x003fff20,0xe982fffc,0xffffffff,0x4c00cfff,0xfffffffe,
    0x400cffff,0xffffffe9,0x00cfffff,0x7ffff440,0x00ffffff,0xfffffe88,
    0xc80fffff,0xff000fff,0xff8000bf,0x0000006f,0x004fff98,0x7fffff44,
    0xfff52fff,0xf900bfff,0xffffffff,0x7ffec009,0x037ffdc5,0xfffffc80,
    0x4004ffff,0xfffffffc,0x7fd404ff,0xffffffff,0xffffffff,0xfffff504,
    0xffffffff,0x3f62001d,0xffffffff,0xd8800dff,0xffffffff,0x9800dfff,
    0xffffffff,0x100fffff,0xfffffffb,0x09ffffff,0x7fffffd4,0x0effffff,
    0x3fffe600,0xffffffff,0x1fff900f,0x417ffe00,0xfffffffa,0x0effffff,
    0x3ffffea0,0xffffffff,0x3ffea00e,0xffffffff,0xf7000eff,0xffffffff,
    0xfb801fff,0xffffffff,0xffc80fff,0xbfff000f,0x6fff8000,0x98000000,
    0x44004fff,0xffffffff,0xfffffcff,0x7e405fff,0xffffffff,0x3ffe2004,
    0xefffd8af,0xfff90000,0x09ffffff,0xfffffc80,0x5c04ffff,0xffffffff,
    0xffffffff,0xdff504ff,0xfb533579,0x3a00bfff,0x988adfff,0x804ffffb,
    0x88adfffe,0x04ffffb9,0x9befffe8,0x0edba999,0x79ffffd0,0xffffb753,
    0x3fffea09,0xffdb9ace,0x3fa006ff,0x9999beff,0xf900edba,0x3fe001ff,
    0x9dff505f,0xffb53357,0x7fd40bff,0xda99abce,0x2a05ffff,0x99abceff,
    0x05ffffda,0xdfffffd8,0x0ffdcaab,0x3fffff60,0xffdcaabd,0x00fffc80,
    0x000bfff0,0x0006fff8,0xfff98000,0x5ffc4004,0xffffa89a,0xffd99cff,
    0x3332a01f,0x04fffdcc,0x7ffffdc0,0x0000efff,0x3733332a,0x54004fff,
    0xffdccccc,0x7ffd404f,0xaaaaaaad,0x1aaaaaaa,0xf5003730,0xfb801fff,
    0x3fa604ff,0x3fee01ff,0x3ffa604f,0x3ffee01f,0x7fe40004,0x3fe200df,
    0xffff884f,0x3fffea03,0x4fffb803,0xfffc8000,0x0bfff000,0x3ea006e6,
    0x37300fff,0x1ffff500,0x2a006e60,0x2a00ffff,0x4404ffff,0xffff500b,
    0xc80b8809,0xff000fff,0xff8000bf,0x0000006f,0x004fff98,0xfff30144,
    0x4fff88df,0x4fff9800,0xffffe800,0x000003ff,0x0013ffe6,0x027ffcc0,
    0x0013ffe6,0x3f200000,0x3fe202ff,0xfff9805f,0x0bfff105,0x40bfff30,
    0x0000fffc,0x2017ffe2,0xfc84fff8,0xff9803ff,0x7fe400ff,0xfc80000f,
    0xfff000ff,0x3f20000b,0x900002ff,0x00005fff,0x440bfff2,0x0002ffff,
    0x017fffc4,0x03fff200,0x002fffc0,0x001bffe0,0x3fe60000,0xf800004f,
    0xffc82fff,0xfff98007,0x7ff4c004,0x00000fff,0x027ffcc0,0x4fff9800,
    0x02fffc40,0x4c000000,0x3f203fff,0xffb001ff,0x3fff901f,0x03fff600,
    0x0007ffec,0x003fffb0,0xf889fff1,0x3f2006ff,0x7fec03ff,0xfc80000f,
    0xfff000ff,0x3e60000b,0x300003ff,0x00007fff,0x640fffe6,0x80005fff,
    0x0005fffc,0x000fffc8,0x8000bfff,0x00006fff,0x4fff9800,0xffe80000,
    0x01fff507,0x04fff980,0x3ffffee0,0x999703ff,0x7ffcc000,0xff300004,
    0xffff009f,0x00000001,0x204fff88,0x2e006fff,0xfff81fff,0x3ffee006,
    0x0bfff701,0x02fffc00,0x544fff88,0x26003fff,0x7dc05fff,0xc80005ff,
    0xff000fff,0x220000bf,0x00004fff,0x0009fff1,0x413ffe20,0x0000ffff,
    0x000ffff8,0x00fffc80,0x000bfff0,0x0006fff8,0xfff98000,0xfc800004,
    0x1fff306f,0x4fff9800,0xbffff700,0xfd05ffff,0x7cc000df,0x300004ff,
    0xf9009fff,0x000009ff,0x4fff8800,0x8013ffe0,0xff82fffa,0x3fea004f,
    0xffff302f,0xff88005d,0xfff1003f,0x00fffc89,0x2037ffc0,0x02effff9,
    0x03fff200,0x002fffc0,0x04fff880,0x9fff1000,0x3fe20000,0x5fff884f,
    0xfff88000,0xff900005,0x3ffe001f,0x7ffc0005,0x80000006,0x0004fff9,
    0x306ffc80,0x98003fff,0xf9804fff,0xfffb1fff,0x05ffe83f,0x13ffe600,
    0x7ffcc000,0xffff8804,0x26000002,0xccccccba,0xff304fff,0x555555bf,
    0xfff95555,0xadfff987,0xaaaaaaaa,0x203fffca,0xcffffffb,0x2fffa802,
    0x89fff100,0xe8007ffd,0xffb807ff,0x002cffff,0x8007ffe4,0x53005fff,
    0xf9999997,0x2a6009ff,0xfccccccb,0x753004ff,0xff999999,0x9fff309f,
    0xfff30000,0x3f200009,0xfff000ff,0xfff8000b,0x80000006,0x0004fff9,
    0x3b332a62,0xccccceff,0x4002fffc,0xe804fff9,0x3fa21fff,0x3ffe0eff,
    0x3fe60004,0xf300004f,0x3ee009ff,0x4c01dfff,0xffea801a,0xffffffff,
    0xfff504ff,0xffffffff,0x9fffffff,0xffffffa8,0xffffffff,0x5c04ffff,
    0xffffffff,0x3fff701c,0x13ffe200,0xb000dffd,0xf7001fff,0x9fffffff,
    0x1fff9003,0x017ffe00,0xffffffd5,0x09ffffff,0xfffffea8,0x4fffffff,
    0x7ffff540,0xffffffff,0x03fffb84,0x3fffb800,0xfff90000,0x17ffe001,
    0x0dfff000,0xf3000000,0x2e0009ff,0xffffffff,0xffffffff,0x4c002fff,
    0x7cc04fff,0xfff985ff,0x07fff15f,0x27ffcc00,0xfff98000,0x3fff6004,
    0xfeeeefff,0x3a203fff,0xffffffff,0x04ffffff,0xfffffff7,0xffffffff,
    0xffb89fff,0xffffffff,0xffffffff,0xfffd8804,0x40dfffff,0x1001fffc,
    0xfff89fff,0xfffc8006,0xfffb1000,0x01bfffff,0x8007ffe4,0xfd105fff,
    0xffffffff,0x209fffff,0xffffffe8,0xffffffff,0xffffd104,0xffffffff,
    0xfff909ff,0xff900005,0x3200005f,0xff000fff,0xff8000bf,0x0000006f,
    0x004fff98,0xffffffd8,0xffffffff,0x02ffffff,0x027ffcc0,0x540bffee,
    0xffacffff,0x3e60002f,0x300004ff,0xb8009fff,0xffffffff,0x203fffff,
    0x9acffffe,0xfff99999,0x5bfff504,0x55555555,0xa8355555,0xaaaadfff,
    0xaaaaaaaa,0x2e2001aa,0xfffffffd,0x007fff20,0x3a27ffc4,0xfd8007ff,
    0xdb88007f,0x0fffffff,0x001fff90,0x7f417ffe,0x999acfff,0x04fff999,
    0x359ffffd,0xfff33333,0x3ffffa09,0x999999ac,0xffb84fff,0xfb80003f,
    0x900003ff,0x3e001fff,0x7c0005ff,0x000006ff,0x04fff980,0x577ffd40,
    0x9effc999,0x19999999,0x4fff9800,0x007ffe40,0xffdffff9,0x7cc0001f,
    0x300004ff,0x10009fff,0xffffffd9,0x2e039dff,0x4400efff,0xff304fff,
    0x4c00009f,0x00004fff,0xffeb8800,0x3ffee6ff,0x9fff1002,0x000fffd8,
    0x00037ff4,0x3ffffae2,0x01fff906,0x2e17ffe0,0x4400efff,0xffb84fff,
    0x7fc400ef,0xefffb84f,0x27ffc400,0x0027ffcc,0x027ffcc0,0x0fffc800,
    0x00bfff00,0x006fff80,0xff980000,0x7ff4004f,0x00dff907,0x3ffe6000,
    0x0fffec04,0x3fffff60,0x7cc0004f,0x300004ff,0x00009fff,0x05fff731,
    0x001fffb0,0x2209fff1,0x00005fff,0x0017ffe2,0xff500000,0x3ffea3ff,
    0x9fff5002,0x001fffc8,0x0017ffe2,0x1ffffa80,0x001fffb8,0xffb0bfff,
    0xfff1001f,0x01fffb09,0xb09fff10,0xf1001fff,0xfff109ff,0xff10000b,
    0x2e0000bf,0xff001fff,0xff8000bf,0x0000006f,0x004fff98,0x6413ffe2,
    0x000006ff,0xc809fff3,0x74402fff,0x001fffff,0x027ffcc0,0x4fff9800,
    0x3ffa0000,0x0ffff003,0x813ffe20,0x0000ffff,0x003fffe0,0xf9000000,
    0x3ffe65ff,0xffffa805,0x027ffdc4,0x007fff70,0x2fffc800,0x801fffb8,
    0xff85fffc,0xfff1007f,0x00ffff09,0x3e13ffe2,0xff1007ff,0x3fffe09f,
    0xfff80001,0xfb80001f,0xffc801ff,0x7fc0005f,0x0000006f,0x004fff98,
    0x640bffe6,0x00000fff,0x404fff98,0x9805fffa,0x0007ffff,0x004fff98,
    0x09fff300,0x1bfee000,0x037ffc40,0x027ffec4,0x0009fff9,0x027ffe40,
    0x2a000000,0x3ffe3fff,0x7fffcc07,0x7fffc44f,0x1fffd000,0xffa80000,
    0x3fffa83f,0x2ffffdc0,0x201bffe2,0x444fffd8,0xd8806fff,0x7fc44fff,
    0xffd8806f,0xbfffb04f,0xfffb0000,0xff50000b,0xfffb807f,0x7fc0005f,
    0x0000006f,0x004fff98,0x2207ffe6,0x0002fffe,0x04fff980,0x017fffcc,
    0x13ffffee,0x9fff3000,0x3fe60000,0xfd00004f,0x7ffc007f,0x3ffe600f,
    0x3fe204ff,0x100002ff,0x0005ffff,0x7fec0000,0x0ffff21f,0x7fffffc4,
    0x0dfffc84,0x0ffff620,0x3ff60000,0x6fff981f,0x3ffffee0,0x00ffff85,
    0x13ffffe6,0x9803fffe,0xf84fffff,0x3e600fff,0xf104ffff,0x00019fff,
    0x067fffc4,0xdfff3000,0x7ffffdc0,0x7ffc0005,0x80000006,0x2004fff9,
    0xfe83fff8,0x00005fff,0x804fff98,0x21dffffc,0xfffffda8,0x260002ff,
    0x00004fff,0x0009fff3,0x007fff10,0x2077ffec,0xffffffc9,0x7fffdc04,
    0x00d4c01d,0x03bffff7,0x7b101a98,0x7fe4c013,0x7fffc46f,0x9fff930b,
    0xff109ffd,0x54415dff,0x8806fffe,0x326009bd,0x3fa06fff,0x3f620dff,
    0xd85ffeff,0x64c0efff,0x84ffffff,0x4c0efffd,0x4ffffffc,0x40efffd8,
    0xffffffc9,0x3fffee04,0x7e4c41bf,0xfffff700,0x0fc98837,0x41bfffd0,
    0xffefffd8,0x7ffc0005,0x80000006,0x4004fff9,0xfb10efff,0x20bfffdf,
    0x26666019,0x9cfffa99,0x7f419999,0xffffffff,0xfffeffff,0x4cccc01f,
    0x9cfffa99,0x33019999,0xfff53333,0x03333339,0x9bfffd80,0x7fffcc02,
    0xfffffeef,0xd804ffec,0xeeffffff,0x03ffffee,0x7fffffec,0xffffeeee,
    0xfffff103,0xffffdddf,0xfff903ff,0x9ffffdff,0x7d413ff6,0xfeefffff,
    0x801effff,0xeffffff8,0xffffffee,0x3fffea01,0xaffffeef,0xff985ffc,
    0xfffeefff,0x84ffecff,0xeefffff9,0xfecfffff,0xffff984f,0xfffffeef,
    0x6c04ffec,0xffffffff,0x200fffff,0xfffffffd,0x00ffffff,0xddfffff5,
    0xff95ffff,0xfff8000b,0x9999999e,0x20019999,0xfa999999,0x99999cff,
    0xdffffb01,0x3ffabfff,0x4ffedeff,0xffffff30,0xffffffff,0xffd88fff,
    0xffffffff,0xefffe88d,0xfffff300,0xffffffff,0xff30ffff,0xffffffff,
    0x0fffffff,0xfffff980,0xffffb807,0xb1efffff,0x3ee009ff,0xffffffff,
    0xb803ffff,0xffffffff,0x103fffff,0xffffffff,0x03dfffff,0x7fffffe4,
    0x13ff64ff,0xfffffe88,0x004fffff,0x3fffffe2,0xefffffff,0xffffc801,
    0xf92fffff,0x3ffee0bf,0x1effffff,0x3ee09ffb,0xffffffff,0x209ffb1e,
    0xfffffffb,0x9ffb1eff,0xfffff500,0x1fffffff,0xfffffa80,0x0fffffff,
    0x3fffff20,0xff92ffff,0xfff8000b,0xffffffff,0x800fffff,0xfffffff9,
    0xffffffff,0xffff107f,0x7fc4bfff,0x4fffffff,0xffffff30,0xffffffff,
    0x3f6a0fff,0x41deffff,0x305ffff9,0xffffffff,0xffffffff,0xfffff30f,
    0xffffffff,0x7000ffff,0x200fffff,0xefffffe9,0x013ff60c,0xffffec88,
    0x01ceffff,0xffffd910,0x039dffff,0x7fffff64,0x002dffff,0x59ffffd7,
    0xb804ffd8,0xdefffffe,0xffec8002,0xdfffffff,0x7ffd4002,0x3f20cfff,
    0x3ffa605f,0x360cefff,0x3fa604ff,0x20ceffff,0x3a604ffd,0x0cefffff,
    0x44013ff6,0xffffffdb,0xb71002df,0xbfffffff,0xffff5005,0x7fe419ff,
    0x7ffc0005,0xffffffff,0x800fffff,0xfffffff9,0xffffffff,0x3ffa607f,
    0xffc983ef,0x301dffff,0xffffffff,0xffffffff,0x0033100f,0x7fffcc00,
    0xffffffff,0xf987ffff,0xffffffff,0x7fffffff,0x02662000,0x0006a600,
    0x26a62000,0x31000019,0x20003335,0x01aaa999,0x0006a200,0x004d4400,
    0x55333000,0x31000035,0x4c000035,0x4c00001a,0x4c00001a,0x8000001a,
    0x00000999,0x20001333,0x00001a98,0xffffff80,0xffffffff,0xff9800ff,
    0xffffffff,0x07ffffff,0x51001a88,0x00000035,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x55500000,
    0x15555555,0xaaa80000,0x000000aa,0x05555540,0x55555553,0x00000355,
    0x30555554,0x55555555,0x55300035,0x06aaa015,0x00013100,0x26666620,
    0x00099999,0x00015553,0x0004c400,0x99999880,0x00099999,0xdffdb951,
    0xa9800199,0x355500aa,0x55540000,0x1e6540aa,0x0e6f6dc4,0x01555300,
    0x98006aaa,0xdeefedca,0x21e6542c,0x0bdeeeb8,0x0ef64400,0x00accb98,
    0x201aaa80,0x54002ccb,0x332e01aa,0x0d554002,0x3fffffa0,0x0001ffff,
    0x77fff4c0,0xb0000000,0xfc85ffff,0xffffffff,0xfb000004,0xffc85fff,
    0x4fffffff,0x3dffb000,0x0077fec4,0x1efffeb8,0xff7004b8,0xffffffff,
    0x3fff200b,0xeb800000,0x4b81efff,0xfffff700,0x80bfffff,0xffffffe9,
    0x00cfffff,0x887bff60,0x0000effd,0x05ffffb0,0x7ec4bff9,0x03ffffff,
    0x887bff60,0x8800effd,0xfffffffc,0x3f20ffff,0x3fffee6f,0x2002ffff,
    0xf80ffffd,0x005fffff,0x2e07ffea,0x2004ffff,0xfb81fffa,0x2a004fff,
    0x7f401fff,0xffffffff,0xd8800001,0x0000efff,0x77ffec00,0xfffffc80,
    0x0004ffff,0x0efffd80,0xffffffc8,0x20004fff,0xfe89fffd,0xff7000ef,
    0x13bfffff,0xf7009ff7,0xffffffff,0x3ff200bf,0x5c00000f,0xdfffffff,
    0x804ffb89,0xfffffffb,0x7d405fff,0xffffffff,0x000effff,0x3a27fff6,
    0x00000eff,0x201dfffb,0xffd15ffc,0x7fffffff,0x4fffec00,0x800effe8,
    0xfffffff9,0x20ffffff,0xfff96ffc,0x3fffffff,0x3ffffe00,0xffffff82,
    0xfff8802f,0x7ffff543,0xfff1004f,0xffffea87,0xfff1004f,0xddddb007,
    0x003fffdd,0x7ffdc000,0xb000000e,0x65409fff,0xfffdcccc,0x7ec00004,
    0x3bae04ff,0x4fffeeee,0x7ffec000,0x5000efff,0xfff9bfff,0x03ffffff,
    0x99999950,0x64059999,0xccfffecc,0x8004cccc,0xffcdfffa,0x1fffffff,
    0xccccca80,0x402ccccc,0x9abceffa,0x5ffffda9,0x7fffec00,0x00000eff,
    0xc809fffb,0xffff9eff,0xffffdaab,0x3fff6000,0xd000efff,0x3337dfff,
    0x641db753,0xdfffceff,0x6fffebaa,0x5fffff00,0x2fffcc10,0x2637fe40,
    0x4fffffff,0x98dff900,0x4fffffff,0x00dff900,0x01fffb80,0x7f4c0000,
    0x400000ef,0x0002fffd,0x0009fff3,0x017ffec0,0x04fff980,0xffffd800,
    0x3fa2000e,0x3ffff220,0x000001ff,0x7fffffc0,0x7fffffff,0x20fe8800,
    0xffffffc8,0x80000001,0xffa801b9,0x7ec000ff,0x0000efff,0x005fffb0,
    0x9ffffff9,0x00ffff60,0x1dffffb0,0x13ffee00,0x7fffe400,0xffe881ff,
    0xfffc801f,0x07fff006,0xe81fff98,0x04ffd8df,0xe81fff98,0x04ffd8df,
    0x001fff98,0x00fffdc0,0x76c40000,0x2e00005e,0x20001dee,0x0004fff9,
    0x003bdd70,0x027ffcc0,0x0deec800,0x93018800,0x000017bb,0xfffff000,
    0xffffffff,0x4062000f,0x000bddc9,0x00000000,0x0005fff9,0x0001bdd9,
    0x0077bae0,0x1fffffe4,0x00bfff30,0x001bdd90,0x0007ffe4,0x0fffffc8,
    0x00fffee0,0xc980665c,0x400effec,0x43304ffe,0xfe804ffd,0x7ec3304f,
    0x4ffe804f,0xfffb8000,0x00000001,0x00000000,0x013ffe60,0x20000000,
    0x0004fff9,0x00000000,0x40000000,0xcfffeccc,0x004ccccc,0x00000000,
    0x4c000000,0x00003fff,0x80000000,0x803ffffc,0x00006ffe,0x07ffec00,
    0xffffc800,0x27ffc401,0xfff50000,0x7e4019ff,0x3ff6006f,0x037fe404,
    0xc809ffb0,0x700006ff,0x00003fff,0x00000000,0x7fcc0000,0x0000004f,
    0x4fff9800,0x00000000,0x00000000,0x3fff2000,0x00000000,0x00000000,
    0x9fff1000,0x00000000,0xfff90000,0x1fffa009,0xf7000000,0x32000bff,
    0xff002fff,0x4c0000bf,0x07ffffee,0x4003fff3,0x3e604ffd,0x3f6001ff,
    0x3ffe604f,0xff700001,0x0000003f,0x00000000,0x27ffcc00,0x00000028,
    0x013ffe60,0x00000000,0x95300000,0x00159bfd,0x0007ffe4,0x00000000,
    0x66fee544,0x8800000a,0x00004fff,0x80000000,0x7000fffc,0x00000999,
    0xeffff980,0x7ffe4002,0x0bfff000,0x4002aaa0,0xfe82fffc,0x7fec004f,
    0x013ffa04,0x7409ffb0,0x200004ff,0x0001fffb,0x66666540,0x4002cccc,
    0xccccccca,0x260002cc,0x2fdc4fff,0x2e21e654,0x000bdeee,0x0027ffcc,
    0xeb887995,0x5400bdee,0x775c43cc,0x22000bde,0xfffffffd,0xff9003ff,
    0x5400001f,0xcccccccc,0x3ee0002c,0xffffffff,0x65d4c002,0xfffccccc,
    0x99999104,0x99999999,0x32a01999,0xdedb883c,0x1fff901c,0xcca80000,
    0xcdedb883,0x7fffdc01,0xfc802cff,0xfff000ff,0x07ffe00b,0x217ffdc0,
    0x4000fffc,0xff904ffd,0xffd8001f,0x01fff904,0x7ffdc000,0x7e400001,
    0xffffffff,0x7ffe4004,0x04ffffff,0x53ffe600,0xfc85fffb,0x3fffee6f,
    0x2002ffff,0x2004fff9,0x3fee6ffc,0x02ffffff,0xffb9bff2,0x02ffffff,
    0xffffffa8,0x0effffff,0x107ffe40,0x0179ddb7,0xffffff90,0x10009fff,
    0xfffffffb,0x801bffff,0xffffffea,0x04ffffff,0xfffffff1,0xffffffff,
    0x97ff201f,0xffffffd8,0x0fffc83f,0x7fe40000,0x3ffff625,0x7dc03fff,
    0xcfffffff,0x01fff901,0x4017ffe0,0xac882fff,0x20ffffcb,0x8002fff9,
    0xff984ffd,0xffd8002f,0x02fff984,0x7ffdc000,0x7e400001,0xffffffff,
    0x7ffe4004,0x04ffffff,0x3bffe600,0xc85fffff,0xffff96ff,0x03ffffff,
    0x013ffe60,0xff96ffc8,0xffffffff,0x65bff203,0xffffffff,0x3fea01ff,
    0xdb9aceff,0x6406ffff,0xfff50fff,0x803dffff,0xfffffffc,0xfe8004ff,
    0xb988adff,0xd104ffff,0xffffffff,0x09ffffff,0x3fffffe2,0xffffffff,
    0xbff900ff,0x3fffffa2,0x7e43ffff,0x400000ff,0xffd15ffc,0x7fffffff,
    0xffffd880,0x640dffff,0xff000fff,0x3ffe00bf,0xfffff882,0x2fff42ff,
    0x84ffd800,0xb0005ffe,0xbffd09ff,0xff700000,0xa800003f,0xffdccccc,
    0x6654004f,0x4fffdccc,0x3ffe6000,0x902effff,0xbfff9dff,0xdfffd755,
    0x13ffe600,0xfceffc80,0xfebaadff,0xdff906ff,0x755bfff9,0x220dfffd,
    0x2a03ffff,0x3203ffff,0xfffc8fff,0x1fffffff,0x333332a0,0x4004fffd,
    0x2604fffb,0xfe81fffe,0x999acfff,0x04fff999,0x99999991,0xfffb9999,
    0x3bff201f,0xaabffff9,0x320ffffd,0x00000fff,0x7fcf7fe4,0xffdaabff,
    0xdb8800ff,0x0fffffff,0x4003fff2,0xff005fff,0xffff105f,0xfffb83bf,
    0x7dd90000,0x000fffb8,0xfb87dd90,0x800000ff,0x0001fffb,0x9fff3000,
    0x3fe60000,0x3ee0004f,0x402effff,0x1ffffffc,0x01fffe88,0x004fff98,
    0x3ffffff2,0x1fffe881,0xffffffc8,0x1fffe881,0x803fffc8,0x900ffff9,
    0xdfff9fff,0xbffff757,0x9fff3000,0x2fffc400,0x22fffcc0,0x400efffb,
    0x0004fff8,0x01fffe88,0x3ffffff2,0x47fffb04,0x0000fffc,0x7ffffe40,
    0x7fffb04f,0xffeb8800,0x3fff26ff,0x0bfff000,0x405fff10,0x3ffe2019,
    0xf8800002,0x800002ff,0x0002fff8,0x03fff700,0x00017950,0x0013ffe6,
    0x027ffcc0,0x7ffffdc0,0xfff9002e,0x7fdc01ff,0xfff9803f,0x3fff2004,
    0x3fee00ff,0xffffc83f,0x3ffee00f,0x037ffc43,0x207fff90,0x2ffffffc,
    0x01ffff88,0x027ffcc0,0x003fff90,0xfd83fff6,0xff8800ff,0xfd80004f,
    0x7fe403ff,0x3e603fff,0x3fff25ff,0x7e400000,0x2603ffff,0x20005fff,
    0xf91ffffa,0x3fe001ff,0xffb9305f,0x6c0007ff,0x000005ff,0x0000bffb,
    0x0017ff60,0x1fffb800,0x0ffffec0,0x27ffcc00,0xfff98000,0x3ffaa004,
    0x2004ffff,0x401ffffc,0x9804fff8,0x32004fff,0x4401ffff,0xffc84fff,
    0x7fc401ff,0x1fffd44f,0x0bfff300,0x07fffff2,0x003fffb8,0x0027ffcc,
    0x5c00dfff,0x3ffe1fff,0x9fff1007,0xfffc8000,0xffffc805,0x26ffe803,
    0x0000fffc,0x1ffffe40,0x0037ff40,0x64bfff20,0xff000fff,0xfffd88bf,
    0x0003ffff,0x0001fff7,0x01fff700,0xfff70000,0x5c000001,0x3ee01fff,
    0x8006ffff,0x0004fff9,0x009fff30,0xffffffd3,0x7e4009ff,0xfff002ff,
    0x9fff300b,0x17ffe400,0xc85fff80,0xff002fff,0x0fffc8bf,0x837ffc00,
    0x402ffffc,0x4004fff8,0x2004fff9,0x2a004fff,0xfff12fff,0xfffb100d,
    0x7fd40009,0xffc800ef,0xfffd004f,0x0007ffe4,0x13fff200,0x003fff40,
    0x64fffea0,0xff000fff,0x7fffc4bf,0x002eefff,0x003fff88,0x3fff8800,
    0xff880000,0x4000003f,0x3601fffb,0x00ffffff,0x027ffcc0,0x4fff9800,
    0xaefffa80,0x2004fff9,0xf000fffc,0xff300bff,0x7fe4009f,0xbfff000f,
    0x001fff90,0xffb17ffe,0xfffd000f,0x00ffff20,0x2002fffc,0x3004fff9,
    0x5555bfff,0xf9555555,0x7fffc7ff,0x3fffe600,0xff10004f,0x3f2003ff,
    0x997000ff,0x007ffe49,0x3fff2000,0x09997000,0x1fffd800,0x2001fff9,
    0x3ff65fff,0x80000aef,0x00006ffd,0x000dffb0,0x01bff600,0x3fee0000,
    0x3fff601f,0x4c000fff,0x00004fff,0x5009fff3,0x7ffcc7ff,0x3fff2004,
    0x0bfff000,0x009fff30,0x8007ffe4,0xffc85fff,0xbfff000f,0x8006ffe8,
    0xfc80fffd,0xfff000ff,0xfff9800b,0xffff5004,0xffffffff,0x49ffffff,
    0x4c0efffd,0x4ffffffc,0x7fffd000,0x07ffe400,0x3fff2000,0x7e400000,
    0x440000ff,0x326009bd,0x3ff26fff,0xbfff000f,0x003fffe2,0x07ffd400,
    0x00066662,0xa883ffea,0xf50002bb,0x999881ff,0xffb80001,0x3ffee01f,
    0xf98006ff,0x300004ff,0x73009fff,0x009fff30,0x8007ffe4,0xf9805fff,
    0x3f2004ff,0xfff000ff,0x01fff90b,0xff17ffe0,0xff9000df,0x1fff901f,
    0x017ffe00,0x009fff30,0x3fffffee,0xffffffff,0x3e64ffff,0xffeeffff,
    0x4ffecfff,0x4fffc800,0x07ffe400,0x3fff2000,0x7e400000,0x440000ff,
    0xeeffffff,0x1ffffffe,0x4003fff2,0xfff55fff,0x3e200009,0x7ffcc3ff,
    0x3e2001ff,0x3ffee3ff,0x22002fff,0x7fcc3fff,0x40001fff,0x6c01fffb,
    0x8001efff,0x0004fff9,0x009fff30,0x027ffcc0,0x001fff90,0x26017ffe,
    0x32004fff,0xff000fff,0x1fff90bf,0xd17ffe00,0xfb000fff,0x3fff20ff,
    0x0bfff000,0x04fff980,0x55bfff50,0x55555555,0xfb835555,0xffffffff,
    0x009ffb1e,0x006fffa8,0x000fffc8,0x007ffe40,0x3fff2000,0x7fc40000,
    0xffffffff,0x7e41efff,0xfff000ff,0x00fffeeb,0x437fec00,0x01fffffe,
    0xf89bff60,0x1fffffff,0xd0dffb00,0x003fffff,0x01fffb80,0x20002b98,
    0x0004fff9,0x009fff30,0x027ffcc0,0x001fff90,0x26017ffe,0x32004fff,
    0xff000fff,0x1fff90bf,0xb17ffe00,0xe8001fff,0xfff906ff,0x17ffe001,
    0x09fff300,0x013ffe60,0xfffd3000,0x7ec19dff,0x3fe6004f,0xfc8000ff,
    0x640000ff,0x00000fff,0x0007ffe4,0x7ffff640,0x02dfffff,0x2001fff9,
    0xfff95fff,0xff500007,0xfdffc83f,0xff5001ff,0x99afb83f,0xfa804fff,
    0x6ffe41ff,0x40001fff,0x0001fffb,0x9fff3000,0x3fe60000,0x3e60004f,
    0x3f2004ff,0xfff000ff,0x9fff300b,0x07ffe400,0xc85fff80,0xff000fff,
    0x1fffc8bf,0x17ffe200,0x8007ffe4,0x4c005fff,0xf1004fff,0x00000bff,
    0xff980d4c,0xffd1001f,0x3f20005f,0x000000ff,0x7fe40000,0x4c00000f,
    0x001aaa99,0x7fdc0000,0x7c40005f,0x7ffcc4ff,0x8801fff9,0xc8104fff,
    0x7fc405ff,0x4fffcc4f,0x40001fff,0x0001fffb,0x9fff3000,0x3fe60000,
    0x3e60004f,0x3f2004ff,0xfff000ff,0x9fff300b,0x07ffe400,0xc85fff80,
    0xff000fff,0x4fffb8bf,0x0fffee00,0x8007ffe4,0x4c005fff,0x3e004fff,
    0x00000fff,0x2fff8800,0x13fff600,0x0fffc800,0x00000000,0x007ffe40,
    0x00000000,0xfff98000,0x7fe40007,0xf8affe86,0xffc801ff,0x13ffa006,
    0xfd0dff90,0x03fff15f,0x1fffb800,0xf3000000,0x200009ff,0x0004fff9,
    0x8013ffe6,0xf000fffc,0xff300bff,0x7fe4009f,0xbfff000f,0x001fff90,
    0xff117ffe,0x3fa001ff,0xfff900ff,0x17ffe001,0x09fff300,0x027ffe40,
    0x7ec00000,0x3fee004f,0x7e40005f,0x000000ff,0x00019993,0x0003fff2,
    0x0ccc9800,0x33326000,0x5fffe800,0x3fff3000,0xff15ffb8,0xfff9803f,
    0x1fff9001,0x20fffcc0,0xfff15ffb,0xffb80003,0x0000001f,0x0009fff3,
    0x013ffe60,0x04fff980,0x003fff20,0x4c02fffc,0x32004fff,0xff000fff,
    0x1fff90bf,0x217ffe00,0x200dfffc,0x203fffd8,0xf000fffc,0xf9800bff,
    0x3e2004ff,0x00002fff,0x07ffe200,0x07fffcc0,0x3fff2000,0xf7000000,
    0x7e4000ff,0x000000ff,0x0001ffee,0x2a00fff7,0x8004ffff,0x7fc44ffe,
    0x03fff10f,0x9004ffe8,0xfe805fff,0x87ffc44f,0x0001fff8,0x000fffdc,
    0xfff98000,0xff300004,0x7cc0009f,0x3f2004ff,0xfff000ff,0x9fff300b,
    0x07ffe400,0xc85fff80,0xff000fff,0xffff10bf,0x7f54415d,0x7fe406ff,
    0xbfff000f,0x4fff9800,0x7fffdc00,0x00d4c01d,0x05fff300,0x03ffff10,
    0x1fff9000,0x3f600000,0x3f20005f,0x000000ff,0x00017ff6,0x5c00bffb,
    0x00bfffff,0x5c0effc8,0xffffffff,0xffc80fff,0x7ff4400e,0x77fe401f,
    0x7ffffdc0,0x00ffffff,0x26666662,0x999afffc,0x33000099,0xfff53333,
    0x03333339,0x2a666666,0x9999cfff,0xfff98019,0x3fff2004,0x4bfff000,
    0xfa999999,0x99999cff,0x00fffc81,0xf90bfff0,0x3fe001ff,0xffff505f,
    0xffffddff,0xffc803df,0xbfff000f,0x26666660,0x999cfffa,0x3ff60199,
    0xeeeeffff,0x0003ffff,0x14df7ffc,0x99cfffd8,0x99999999,0x1fff9009,
    0x3fe00000,0x3f20003f,0x000000ff,0x0000fffe,0xc8007fff,0xdeffffff,
    0x17ffcc2c,0x7fffffdc,0x4c0fffff,0x7cc02fff,0x7cc00dff,0xfffb82ff,
    0xffffffff,0x3ffff200,0xffffffff,0x8005ffff,0xfffffff9,0xffffffff,
    0xffff987f,0xffffffff,0xff37ffff,0xffffffff,0x0fffffff,0x2001fff9,
    0xfff35fff,0xffffffff,0x90ffffff,0x3e001fff,0xfffc85ff,0x0bfff000,
    0x7fffff44,0x004fffff,0x2001fff9,0xff985fff,0xffffffff,0x07ffffff,
    0x7fffffdc,0x3fffffff,0x7ffdc000,0xfffa85ff,0xffffffff,0x906fffff,
    0x00001fff,0x001fff10,0x007ffe40,0xfff88000,0x3fe20000,0xffa8000f,
    0x44ffffff,0x99304ffe,0xbfff9999,0x04ffe819,0x667fffcc,0x7ff40ccc,
    0x99999304,0x019bfff9,0x7fffffe4,0xffffffff,0xf98005ff,0xffffffff,
    0x7fffffff,0xffffff98,0xffffffff,0xffff37ff,0xffffffff,0xf90fffff,
    0x3fe001ff,0xfffff35f,0xffffffff,0xff90ffff,0x3ffe001f,0x00fffc85,
    0x700bfff0,0xbdfffffd,0x7ffe4005,0x0bfff000,0xfffffff3,0xffffffff,
    0xfd9100ff,0xdfffffff,0xf9000039,0xff70bfff,0xffffffff,0x0dffffff,
    0x0003fff2,0x01bfea00,0x01fff900,0x3fea0000,0x7fd40006,0x3ae20006,
    0x2e4fffff,0x44000fff,0xffb81fff,0x7ffcc00f,0x20ffffff,0x4000fffb,
    0xc801fff8,0xffffffff,0xffffffff,0xfff98005,0xffffffff,0x987fffff,
    0xffffffff,0xffffffff,0xffffff37,0xffffffff,0xfff90fff,0x57ffe001,
    0xfffffff9,0xffffffff,0x0fffc87f,0x90bfff00,0x3e001fff,0x544005ff,
    0xff900009,0x3ffe001f,0xfffff985,0xffffffff,0x88007fff,0x000199a9,
    0x20266600,0xfffffffb,0xffffffff,0x1fff906f,0xdd700000,0xffc80007,
    0x7000000f,0xb80007dd,0x300003ee,0x3e67d995,0xf88002ff,0x7ffcc1ff,
    0xffff9802,0xf30fffff,0xf10005ff,0x000003ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x30000000,0x55000555,0x80000035,0xabdedca8,0x80003da9,
    0x400aaaaa,0x99999998,0xaa980999,0x32a0000a,0xcc8800cc,0x2600001c,
    0x09aabcba,0x005d4400,0x80066654,0x332a3ccc,0x6f6dcc43,0xbb88000b,
    0x3ccc9801,0x2ccca800,0x33553000,0x2a620001,0x00000001,0x19aa9800,
    0x054c4000,0x54c40000,0x0000019a,0x0d4c0000,0x55530000,0x00000003,
    0x0004eeb8,0x01ffffd4,0x009fff10,0x3ffea000,0xffffffff,0x7ec0004f,
    0xfb802fff,0xffffffff,0x0fffc85f,0x3fff2000,0x3fff9800,0xffea8000,
    0x04ffffff,0x07fffa20,0x001fff90,0xffc97ffe,0x3ffffe66,0x26002fff,
    0x4402ffff,0x4000ffff,0x7001fffe,0xffffffdb,0xd98017bf,0xcefffffe,
    0xffffd800,0xffffffff,0xfd95006f,0x5bffffff,0x3ffb2a00,0x000bceff,
    0xffffd910,0xffffffff,0x7ffe47ff,0xffffffff,0xc9803fff,0x3efffffe,
    0xfffeb800,0x901dffff,0xf8001fff,0x3ffee6ff,0xff50005f,0x2007ffff,
    0x0004fff8,0xfffffc80,0xffffffff,0x3ff60004,0xff7000ef,0xffffffff,
    0x01fff90b,0x07ffe400,0x01fffcc0,0xffffd100,0x09ffffff,0x2ffffe40,
    0x003fff20,0xff92fffc,0x3ffffead,0x002fffff,0x00dffffb,0x4007fffb,
    0x9806fff9,0xfffffffe,0x204fffff,0xfffffffa,0x6c01ffff,0xffffffff,
    0x406fffff,0xffffffd8,0x02ffffff,0x3fffff62,0x01efffff,0x7ffffd40,
    0xffffffff,0x3f23ffff,0xffffffff,0x403fffff,0xfffffff9,0xd5005fff,
    0xffffffff,0xfc81dfff,0x7fc000ff,0x3ffffe6f,0x7fd4001f,0x03fffcdf,
    0x004fff88,0x3fffa200,0xfdaa9bcf,0xb0004fff,0xa8009fff,0xcccccccc,
    0xfffc82cc,0x3ff20000,0xfff9800f,0x3ff60003,0xedccceff,0x3ff6004f,
    0x7fe406ff,0xbfff000f,0x7fd7ffe4,0xffebabef,0xffd800ff,0xffa807ff,
    0x3ff2006f,0x7ffdc03f,0xffffffff,0xffb04fff,0xffffffff,0x7ec05fff,
    0xffffffff,0x2606ffff,0xffffffff,0x02ffffff,0x7bffffd3,0x5fffffb7,
    0x3fffee00,0xfffffeef,0x23ffffff,0xfffffffc,0x3fffffff,0x3ffffea0,
    0xefffffee,0x3fffe600,0xfffeddef,0x7ffe45ff,0xb7ffc000,0x2ffffff8,
    0x93ffea00,0x4403fffb,0x00004fff,0x8037fff2,0x8004fff8,0x0002fffd,
    0xfffc8000,0x3ff20000,0xfff9800f,0xfff50003,0x5c00005f,0x6404ffff,
    0xff000fff,0x7fffe4bf,0xfffb03ff,0xffff9009,0x3fffe00b,0x1fffd001,
    0x7fffff40,0x3aea61ac,0xffffd84f,0xffd730ac,0x266205ff,0x99999999,
    0xff706fff,0x22359fff,0x982ffba9,0x2602ffff,0x5c03fffe,0x261bffff,
    0xf9002fff,0x333333df,0x20133333,0x40bffffa,0x105ffffa,0x2017fffd,
    0x323ffffb,0x7c000fff,0x3fffe6ff,0xdb3000ff,0x5ddd507d,0x027ffc40,
    0x5fff8800,0x04fff880,0x00ef75c0,0xfc800000,0x320000ff,0xf9800fff,
    0xfd0003ff,0x000005ff,0xc801bff9,0xff000fff,0x7fffe4bf,0x3ffe201f,
    0x1dffb007,0x13fff200,0x817ffe60,0x00dffffb,0xfff98530,0x3ffa202f,
    0xff80006f,0xffff886f,0xd035001e,0xd1001dff,0x7fc01fff,0xfff981ff,
    0x0dff9002,0x3fffa000,0x3fffe202,0x04fffa81,0x325fffa8,0x7c000fff,
    0x3ffea6ff,0x0000003f,0x013ffe20,0x0fffe400,0x027ffc40,0x00000000,
    0x00fffc80,0x03fff200,0x00fffe60,0x0037ffc0,0x20011000,0xf000fffc,
    0x7ffe4bff,0xfffc802f,0x80031002,0xc807fff8,0xff102fff,0xb00007ff,
    0xd1005fff,0x80003fff,0xffd86fff,0x5c0000df,0x22000eff,0xff704ffe,
    0x3ffe607f,0x0dff9002,0x7fff5000,0x0bfff500,0x2001fff9,0x3ff26fff,
    0x7ffc000f,0x000e5c46,0x3e200000,0x880004ff,0xf1005fff,0x000009ff,
    0x32000000,0x20000fff,0x9800fffc,0x88003fff,0x00004fff,0xfff90000,
    0x97ffe001,0x5003fffc,0x00007fff,0x02fffd80,0xfb03fffc,0x300009ff,
    0x5400bfff,0x40005fff,0x7fcc6fff,0x440000ff,0x02202fff,0x3a03ffe6,
    0x3fe606ff,0xdff9002f,0xfffb0000,0x3fffa001,0x003ffec0,0x7fe4fffd,
    0x7ffc000f,0x00000006,0x13ffe200,0x3ffe6000,0x9fff1003,0x54000000,
    0x99000ccc,0x03fff279,0x0fffc800,0x03fff980,0x03fff980,0x90000000,
    0x3e001fff,0x3fff25ff,0x9fff1000,0xfa800000,0x3fea05ff,0xffff304f,
    0xffb00001,0x7fc4005f,0x3e0000ff,0x7ffec6ff,0xffb80003,0xffffd886,
    0x517ff62d,0x7cc07fff,0xff9002ff,0xff98000d,0x3fee005f,0x0fffdc3f,
    0x937ffcc0,0xf8001fff,0x910006ff,0x44000399,0xfff11ccc,0x3332e009,
    0x00bffea4,0x4427ffc4,0xcccccccc,0xcccccccc,0x00fffc80,0x3f2bfff0,
    0x3bae20ff,0xffc80bde,0xfff9800f,0xfffa8003,0x33220003,0xcccccccc,
    0x90cccccc,0x3e001fff,0x3fff25ff,0xbfff1000,0x66666654,0x7c002ccc,
    0xff900fff,0x3fff603f,0xfff00004,0xfffb000f,0x7ffc0005,0x03fffe26,
    0x0bffe000,0xfffffff5,0x907ffcc7,0x7cc03fff,0xff9002ff,0xffb8000d,
    0xfff7002f,0x5fff98bf,0x24fffc80,0x4000fffc,0x20006fff,0x20004fff,
    0xff11fffa,0xfffb009f,0x0fffdc3f,0x84fff880,0xfffffff8,0xffffffff,
    0x0fffc80f,0x32bfff00,0xfff70fff,0xc85fffff,0xf9800fff,0xfa8003ff,
    0x220003ff,0xffffffff,0xffffffff,0x001fff90,0xffc97ffe,0x3ffe000f,
    0x3fffff26,0x4004ffff,0xff03fffc,0x7fff40df,0xff880000,0xffa8005f,
    0x3fe0003f,0x13ffea6f,0x1ffe2000,0x999ffff3,0x21ffe87d,0x7cc06ffd,
    0xff9002ff,0xffc8000d,0x7fec400f,0xffe86fff,0x3ffea04f,0x03fff20f,
    0x00dfff00,0x002fff40,0x221fff70,0x7ec04fff,0x7fe41fff,0xfff1001f,
    0xfffff109,0xffffffff,0xff901fff,0x3ffe001f,0xf91fff95,0xffffffff,
    0x07ffe43f,0x01fffcc0,0x01fffd40,0xfffff100,0xffffffff,0x3ff21fff,
    0xbfff000f,0x0007ffe4,0x7fe4bfff,0x4fffffff,0x37ffcc00,0xf01fffd4,
    0x20000dff,0x8003fff9,0x0004fff9,0xffb9bffe,0xf980003f,0x077fec6f,
    0xe8bff604,0x7fcc05ff,0xdff9002f,0x7ffd8000,0x7ffff4c0,0xfffb86ff,
    0x3ff621ef,0x7ffe42ff,0x37ffc000,0x0dffb000,0x13ffe400,0x7e409fff,
    0xffc81fff,0xfff1001f,0x99999109,0xfb999999,0xff901fff,0x3ffe001f,
    0xffbfff95,0xffd755bf,0x07ffe4df,0x81fffcc0,0xcaaaaaa8,0xaaaadfff,
    0x9102aaaa,0x99999999,0x1ffffb99,0x4003fff2,0x3ff25fff,0xfff1000f,
    0x66666549,0x8004fffd,0x7ec1fffe,0xfff100ff,0x3ea0000b,0xf88003ff,
    0x3e0005ff,0x3fff26ff,0xffa80002,0x007ffe25,0xfff27fe4,0xbfff980b,
    0x64199999,0xdeffffff,0x7ff400bc,0x3fffee06,0xf907ffde,0xff7bffff,
    0xff903dff,0xfff8001f,0x3ff20006,0x3ff60007,0x413ffe26,0x701ffffc,
    0x22005fff,0x40004fff,0x901fffe8,0x3e001fff,0xffff95ff,0xffd105ff,
    0x03fff23f,0x40fffe60,0xfffffff9,0xffffffff,0x0006ffff,0x21fffe88,
    0xf000fffc,0x7ffe4bff,0x7fff3000,0x09fff300,0x49fff500,0x2605fff8,
    0x32e04fff,0x3ccccccc,0x0005fff7,0x000dfff1,0xffb37ffc,0xf700003f,
    0x037fd49f,0x3e2bff70,0x7fcc04ff,0x7fffffff,0x7fffffe4,0x01dfffff,
    0xfb10bfff,0x3ff29fff,0xffff500f,0x01bfffff,0x0003fff2,0x4000dfff,
    0x33107ffb,0x897ffa01,0xffc84fff,0x3fea01ff,0xfff5002f,0xffd80009,
    0x3fff203f,0x2bfff000,0x01fffffc,0x7e4fffee,0xff9801ff,0xffff303f,
    0xffffffff,0xdfffffff,0xfffb0000,0x01fffb87,0x7e4bfff0,0xff5000ff,
    0xfff3003f,0x3ffe0009,0x05fff70f,0xb01fffdc,0xffffffff,0x007fff2b,
    0x003fffc0,0x7f4dfff0,0xc80000ff,0x17fee3ff,0xf36ff980,0xff9807ff,
    0x7fffffff,0x7fffffe4,0x2fffffff,0x7cc5fff8,0x3ee2ffff,0x3fa201ff,
    0x01ffffff,0x0003fff2,0x4000dfff,0xfb80fffa,0x47fff04f,0x7e44fff8,
    0x7cc01fff,0xffa805ff,0x320004ff,0x7e405fff,0xfff000ff,0x07ffff2b,
    0x329fff10,0xfe801fff,0x999103ff,0xbfffb999,0x99999999,0xffc80007,
    0x1fffb85f,0x25fffc80,0xd000fffc,0xf3001fff,0x320009ff,0xfffd2fff,
    0x03fffb80,0x3ffffff6,0x3fffb5ff,0x1bffe000,0x26fff800,0x0000ffff,
    0x3ee3ffc8,0x3fea005f,0x807fff36,0xfffffff9,0x4ccc47ff,0xffecaa99,
    0x7ffc2fff,0x3bfffee4,0x80fffdc0,0xffffffe9,0xfc80dfff,0x7fc000ff,
    0x9800886f,0xffe81fff,0x445fff07,0x3ff24fff,0xfff000ff,0xffff980f,
    0xff50004f,0xffc801df,0xbfff000f,0x400bfff2,0xfff95fff,0xffffc807,
    0xfffa8004,0x54000003,0xfa80efff,0x7fdc03ff,0x3fff25ff,0x4fffa800,
    0x09fff300,0x37ffe600,0x5404fff9,0x2aa04fff,0x5fffaaaa,0x0005fff9,
    0x000bfff1,0xffd37ffc,0xf700003f,0x037fd49f,0x3e6bff70,0x7fcc04ff,
    0x4c00002f,0x3e0ffffe,0xfffd8dff,0x1fff904f,0x5fffff70,0x1dfffff9,
    0x000fffc8,0xfb137ffc,0xfff801df,0x17fffc42,0xf887ffe2,0xdfff94ff,
    0x7ffe4001,0xfffff104,0xff10009f,0xff9003ff,0x3ffe001f,0x001fff95,
    0x7fe57ffe,0x3fff206f,0xfa8005ff,0x000003ff,0x407fffe2,0x2e06fff9,
    0x325fffff,0x74c00fff,0xf3000fff,0x740009ff,0x1fffcfff,0x027ffcc0,
    0xfbafffc0,0xf88002ff,0x3e0004ff,0x3fff66ff,0xffa80002,0x003ffe65,
    0xff8a7fe4,0x7ffcc05f,0xe8800002,0x3ffa2fff,0x02fffffe,0x3ee1fff6,
    0x7ec44fff,0x3f20ffff,0x7fc000ff,0x3ffff66f,0x21fff406,0x4c5ffffb,
    0x3fe20fff,0x0efffccf,0x7fffcc00,0x9fff930b,0xd0009fff,0x32007fff,
    0xff000fff,0x03fff2bf,0xfcafffc0,0x3660dfff,0x2fffeeff,0x1fffd400,
    0xffd00000,0xfffe807f,0x3fff620d,0x3ff25ffe,0xffb881cf,0x3e6002ff,
    0x2e0004ff,0x06ffffff,0x005fff88,0xff55fff8,0xff30007f,0x7fc0007f,
    0x0ffff26f,0x1bfe6000,0x0883dfff,0xfff17fec,0x2fff980b,0xff700000,
    0x7fffec9f,0x7ec00eff,0x7fffcc6f,0x3fffee02,0x003fff24,0x3e2dfff0,
    0x201fffff,0x7ff44ffd,0x3ffd47ff,0x3ffbffe2,0xf90002ff,0xfffdffff,
    0x013ffe9f,0x009fff90,0x8007ffe4,0xfff95fff,0x57ffe001,0xfffffffc,
    0xfb9fffff,0x5000ffff,0x00007fff,0x013fff20,0x3bffffea,0xfcaffffe,
    0x3ffff25f,0xffffeeff,0x7cc004ff,0x220004ff,0x02ffffff,0x000dfff0,
    0x3fe6bfff,0xffb8004f,0x3fe0002f,0x13ffee6f,0x1ffe2000,0xd9dffff7,
    0x21ffe87f,0x7cc06ffe,0x000002ff,0x7e4dfff3,0xd004ffff,0xfffd8dff,
    0xffffa803,0x001fff90,0xff16fff8,0x6405ffff,0x37fe25ff,0x3fee2ffd,
    0x567ffc46,0x0001ffff,0xfffffff9,0x027ffc9f,0x00dfff50,0x000fffc8,
    0x3ff2bfff,0xbfff000f,0x3ffffff2,0x3a1effff,0x5000ffff,0x00007fff,
    0x00dfff50,0x7fffffe4,0xbff92fff,0x7fffffe4,0x1effffff,0x4fff9800,
    0x7ffe4000,0x3ffa006f,0x7ffc002f,0x00ffff35,0x003fffb0,0xf537ffc0,
    0x20000fff,0x7fec3fff,0x263fffff,0x3ffa0fff,0x3ffe600f,0xf1000002,
    0x7ffdcdff,0xfff1002f,0x037ffc4b,0x325fffb0,0x22001fff,0x3ffa4fff,
    0x3ee00fff,0x2effee6f,0x17ff25ff,0x3f29fff1,0x70000fff,0x859ffffd,
    0xf3004fff,0xc8001fff,0xff000fff,0x03fff2bf,0xfcafffc0,0xffffe9ff,
    0x7ffec40c,0x7fff5000,0xff980000,0x7d4000ff,0x20cfffff,0x3ff25ffc,
    0xefffffef,0x3e60003d,0x4c0004ff,0x2003ffff,0x4005fffc,0x3ffe5fff,
    0x3fe2001f,0x3e20007f,0x3ffe24ff,0xfb80003f,0xfffea87f,0x17ff61ce,
    0x4c07fff9,0x00002fff,0x549fff50,0x2e004fff,0x3fe62fff,0x3fee005f,
    0x05fff74f,0x11fffcc0,0xa803fffd,0x23ff67ff,0xffb0fff8,0x24fff889,
    0x000efffd,0x7c406a20,0xfe8804ff,0xfb8002ff,0xfff001ff,0x003fff2b,
    0xffcafffc,0x4c006a27,0x3ffea000,0x3a200003,0x20002fff,0xfe881a98,
    0x43fff22f,0x20000199,0x0004fff9,0x003fffcc,0x007fffe2,0x3ee5fff8,
    0x3ee004ff,0x2a0003ff,0x7fe43fff,0xff00006f,0xf880407f,0x7ffc40ff,
    0x0bffe606,0x7fe40000,0x03fff42f,0xfa8fffd0,0x3ee004ff,0x7fff53ff,
    0x17ffd400,0x7cc004cc,0x26ff88ff,0x5ffd3ffe,0x6c4fff88,0x0000efff,
    0x09fff100,0x009fffb0,0x007ffee0,0x7e57fff2,0xfff000ff,0x003fff2b,
    0x7fd40000,0x3600003f,0x00004fff,0x321fff40,0x00000fff,0x013ffe60,
    0x07fffb00,0x3dfff700,0x897ffe00,0x9802ffff,0x40006fff,0x7c42fffd,
    0x80004fff,0x4001fffb,0xffb04ffd,0x3ffe605f,0xf9800002,0x7fdc0fff,
    0xfffa803f,0x037ffcc3,0x223fffb0,0x3a007fff,0x40000fff,0xffb9fff8,
    0x7fd7fee3,0x27ffc41f,0x01bfffa2,0x7ffc4000,0x2fffdc04,0x7fff5000,
    0x5ffffb80,0x2001fff9,0xfff95fff,0x20000001,0x0003fffa,0x00bfff70,
    0x5ffc8000,0x000fffc8,0x3ffe6000,0x3fea0004,0xff0000ff,0xff005fff,
    0xffffc8bf,0x3fffe601,0x5401e882,0xff706fff,0x2a001dff,0x01ffff81,
    0x00fffe88,0x305ffff5,0x00005fff,0x83fffe98,0x201ffff8,0xf80ffffa,
    0xfa803fff,0x3ff60fff,0xfffc804f,0xfff00004,0x7c41ffb5,0x40fff9ff,
    0xf884fff8,0x00005fff,0x204fff88,0x000ffff9,0x81bffe60,0x95fffffb,
    0x3e001fff,0x1fff95ff,0x2a000000,0x80003fff,0x000ffff9,0x17ffc000,
    0x0007ffe4,0x9fff3000,0x3ffe6000,0x3ea0002f,0x0abdffff,0x317ffee6,
    0x159fffff,0xdffff951,0x26f7fe20,0xffffc988,0xfffff102,0x5331379f,
    0xff305ff9,0x3a6017ff,0x7f403fff,0x3e61bfff,0x99999bff,0x22013109,
    0x04ffffd9,0x82fffff2,0x03ffffb8,0x03bffff9,0x89ffff91,0x81effff8,
    0x006fffd9,0x3f3ff600,0xfcffe86f,0x4fff887f,0x0bffff30,0xfff88000,
    0x3ffff104,0xfffd0000,0x7ffec41b,0xfff95ffe,0x57ffe001,0x0000fffc,
    0x7fff5000,0xfff88000,0x4000001f,0xfc83fff8,0x000000ff,0x0013ffe6,
    0x013fffa6,0x3fffaa00,0xffffffff,0xfe985fff,0xffffffff,0xf100dfff,
    0xffffffff,0xd880bfff,0xffffffff,0x02ffffff,0x9dffffd1,0x3fffffb9,
    0xffffb100,0xfffffdff,0x27ffffff,0xfeeffff8,0x05ffffff,0xffffffc8,
    0x03ffffff,0x7fffffec,0xffffffee,0xfffff905,0xfffffddf,0x6400005f,
    0xb83fffff,0x886fffff,0x3ea04fff,0x00004fff,0x6c13ffe2,0x9999cfff,
    0x09999999,0xdfffff50,0xf95ffffd,0x03fff2bf,0xfcafffc0,0x000000ff,
    0x007fff50,0x9cfffd80,0x99999999,0xfd000099,0x3f2537df,0x980000ff,
    0xffa99999,0x199999cf,0xfffb7555,0x440000df,0xfffffffd,0x04ffffff,
    0xffffffd1,0x8807ffff,0xffffffff,0x2a003fff,0xffffffff,0x202fffff,
    0xffffffd8,0x000effff,0x7fffffe4,0xffffffff,0xfff13fff,0xffffffff,
    0x7fdc005d,0xffffffff,0xfffd8802,0xffffffff,0x7ffd404f,0xffffffff,
    0x5c00000e,0x880fffff,0x885fffff,0x7dc04fff,0x00003fff,0xf509fff1,
    0xffffffff,0xdfffffff,0x7ffffe40,0xff92ffff,0x003fff2b,0xffcafffc,
    0x0000000f,0x0007fff5,0x7fffffd4,0xffffffff,0xf50006ff,0x3f2dffff,
    0x4c0000ff,0xffffffff,0xffffffff,0xffffffb7,0x000001bf,0xfffffd95,
    0x70017bff,0x9dffffdb,0x3fae2003,0x01ceffff,0xffedb880,0x01beffff,
    0xffffb950,0x5400059d,0xffffffec,0xffffffff,0xffffff13,0x0005bdff,
    0x3ffffb6a,0x6cc001cd,0xffffffff,0xfd91000c,0x07dfffff,0x3fea0000,
    0x3ff606ff,0xfff884ff,0xffffc804,0xff880003,0xffffb84f,0xffffffff,
    0x5406ffff,0x0cffffff,0x7fe57ff2,0xbfff000f,0x0003fff2,0x7ffd4000,
    0x3fee0003,0xffffffff,0x06ffffff,0x3fffee00,0x001fff96,0xfffff980,
    0xffffffff,0xfffb7fff,0x00005fff,0x0cd54400,0x006a2000,0x000ccc00,
    0x009a9800,0x00033000,0x004ccc00,0x5554cc40,0xa8800001,0x26200001,
    0x100001aa,0x00000135,0x07ffff30,0x41ffffdc,0xb004fff8,0x0005ffff,
    0xb83eee88,0xffffffff,0xffffffff,0x03531006,0x007ffe40,0xdd75fff8,
    0x0000001d,0x000fffea,0xffffffb8,0xffffffff,0x880006ff,0x1ddd7099,
    0xfff98000,0xffffffff,0xf97fffff,0x000159bd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x55554c40,0x00000001,
    0x10000180,0x33333333,0x53100133,0x00001355,0x0000000c,0x00000000,
    0x776dd440,0x10000acd,0x00000355,0x32a60000,0x2cdeefed,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xcc980000,0x806fffee,0xffffffd9,0x7e42efff,0x7fc001ff,0x7fed406f,
    0xffb80000,0xffffffff,0xffffb505,0x019fffff,0x01ffb500,0x7ffffc40,
    0xffffffff,0x1fffffff,0xfffffff1,0xffffffff,0x405fffff,0xffffffe8,
    0x1000ffff,0xdffffffb,0x37ffc019,0x01fff900,0x7ffffe44,0x20ffffff,
    0x0001fffc,0x3fffffe0,0x00abdeff,0x05fff700,0x01fffa00,0x7ec00000,
    0xffffffff,0xffff07ff,0x57bdffff,0xdfff7001,0xbfff5000,0x7fffffe4,
    0xffffffff,0x09fffb1f,0x37ffc400,0x3ffff200,0xfd500007,0xdfffffff,
    0x7fffecc0,0xffffffff,0x00fffe44,0x901bffe0,0x00001fff,0xfffffff7,
    0x3f60bfff,0xffffffff,0x64003fff,0x22000fff,0xffffffff,0xffffffff,
    0xff11ffff,0xffffffff,0xffffffff,0x3fee05ff,0xffffffff,0xffb800ff,
    0xffffffff,0x0dfff02f,0x807ffe40,0xfffffff9,0x20ffffff,0x0001fffc,
    0x3fffffe0,0x4fffffff,0x2fffb800,0x0fffd000,0xf1000000,0xffffffff,
    0x3fe0ffff,0xffffffff,0xfe804fff,0x7f4003ff,0x3fff21ff,0xffffffff,
    0xff51ffff,0x7dc000df,0x7fc004ff,0x0001ffff,0x3fffffa6,0x306fffff,
    0xdfffffff,0x89fffffd,0x4001fffc,0x7e406fff,0xa80000ff,0xcccccccc,
    0xfffb02cc,0xffffdddf,0x7e4005ff,0x3e2000ff,0x1fd80006,0xfffffff1,
    0xffffffff,0xb05fffff,0x57bfffff,0x801ffb95,0xeefffffb,0x82fffffe,
    0x32006fff,0xffd00fff,0x533337df,0x7fe41db7,0x3e00001f,0xffffffff,
    0x02efffff,0x00bffee0,0x003fff40,0x7fdc0000,0xffffffff,0xffff07ff,
    0xffffffff,0x7cc05dff,0xf7000fff,0xfffc89ff,0xffffffff,0xff11ffff,
    0x360003ff,0x2a001fff,0x04ffffff,0xfffff300,0x1333579d,0x5dfffd10,
    0x90f2a201,0xf8003fff,0x7fe406ff,0x0000000f,0x20159900,0x00ffffea,
    0x001fff90,0x002237c4,0x4ccc3fb0,0xffe99999,0x9999999f,0x7fffd409,
    0x1005c404,0x2a09ffff,0xdfff04fe,0x07ffe400,0x0027ffdc,0x001fffc8,
    0x27bffe00,0xffdca999,0xf7003fff,0x3a0005ff,0x000007ff,0xffdfff80,
    0x7ffc000f,0xdca9999e,0x203fffff,0x8804fffd,0x7e40ffff,0x99999bff,
    0x6c199999,0x88003fff,0x64006fff,0x07ffffff,0xeffff980,0xfffc8001,
    0x7fe40005,0x7ffc001f,0x07ffe406,0x00000000,0x3fffa200,0x1fff9002,
    0x2e37c400,0x6c02ceff,0x3ffa001f,0x7ffc4007,0xfb00002f,0x887007ff,
    0xaaefffaa,0xaaaaaaaa,0x21abfffd,0x0000fffc,0xddddfff9,0x400379bd,
    0x74c06fff,0xb800ffff,0xd0002fff,0x00000fff,0xfbeffa80,0x7fc000ff,
    0x7ff4c06f,0xfff100ff,0xfffc801f,0x02fffc82,0x1bffea00,0x13ffea00,
    0xf99fff00,0xfe8003ff,0x3a0003ff,0x40000fff,0x4001fffc,0x7e406fff,
    0x000000ff,0xfb800000,0xff9004ff,0x37c4001f,0x3bffffee,0x4003fb02,
    0x64007ffe,0x00005fff,0x000dfff1,0x3fffffea,0xffffffff,0xffffffff,
    0x003fff63,0x7ffffe40,0xefffffff,0x06fff802,0x00bfffb0,0x0005fff7,
    0x0001fffa,0x79ffb000,0xf8001fff,0xffb006ff,0x7ffdc0bf,0x17ffe605,
    0x0017ffe4,0x01ffff10,0x01fffd80,0x2abffea0,0x2a004fff,0x20004fff,
    0x0006fff8,0x001fffc8,0xccab7ffc,0xcfffeccc,0xcccccccc,0x00000003,
    0x22fffcc0,0xfeccccca,0xccccccff,0x0df13ccc,0x0ffff2a6,0xfe8007f6,
    0x7ffc007f,0xf300000f,0x2a0007ff,0xffffffff,0xffffffff,0x23ffffff,
    0x0005fffb,0xfffffff9,0xdfffffff,0x037ffc01,0x01ffff88,0xa817ffdc,
    0x0fffd00e,0x7c400000,0x0fffb8ff,0x037ffc00,0x01ffff88,0x6c07fffa,
    0xff901fff,0xfd80005f,0x3e2003ff,0x7e4006ff,0x0dfff0ff,0x0037ff40,
    0x01bffe60,0x07fff200,0x32dfff00,0xffffffff,0xffffffff,0x999506ff,
    0x05999999,0xfff98000,0x7ffffe44,0xffffffff,0xf16fffff,0x5ffd100d,
    0x3a001fd8,0x3e2007ff,0x200005ff,0x0002fffa,0xdffffdd3,0xdddddddd,
    0x5ddffffd,0x177fffcc,0x2bfff200,0xffcba999,0x3fe05fff,0x3ff2006f,
    0x7ffdc05f,0x807ff542,0x00007ffe,0x5d7ff200,0x7c000fff,0x3f2006ff,
    0x3fea05ff,0x4fffa86f,0x00bfff20,0x0dfff500,0x01fffd40,0xfd97ffe0,
    0xff9801ff,0xff80002f,0x640001ff,0x7c001fff,0xffff96ff,0xffffffff,
    0x0dffffff,0x3ffffff2,0x00004fff,0x321fffdc,0xffffffff,0xffffffff,
    0x00df16ff,0x3fb17fe2,0x03fff400,0x009fff30,0x0fffdc00,0x37ffc000,
    0x01fff900,0x3fffffee,0xfffc802c,0x7fffdc01,0x00dfff04,0x203fffc4,
    0xfd52fffb,0x3fa01fff,0x0000007f,0x7fdcbffe,0x7ffc000f,0x3ffe2006,
    0x1fffec07,0xc803fffa,0x40002fff,0x000ffff8,0x4003fffb,0x3ea2fff9,
    0xffb804ff,0xfd80000f,0x20001eff,0x4001fffc,0x99956fff,0x99fffd99,
    0x79999999,0x3fffff20,0x0004ffff,0x207fff40,0xfeccccca,0xccccccff,
    0x0df13ccc,0x3f63fec0,0x1fffa001,0x03fffb80,0x3fff2000,0xfff80001,
    0x3fff2006,0x3fffee00,0x901cffff,0xf7003fff,0xfff01fff,0xfffe800d,
    0x33ffee00,0x03fffffe,0x0001fffa,0x73ffd400,0xf8001fff,0x7f4006ff,
    0x3fe200ff,0x0bffee7f,0x005fff90,0x07fffb00,0x001bffe0,0x7c41fff9,
    0xffd806ff,0x20013306,0x03fffffa,0x03fff900,0x406fff80,0x0000fffc,
    0x3733332a,0x00004fff,0x800ffff2,0x2000fffc,0x3f2006f8,0x8007f60f,
    0x32007ffe,0x00002fff,0x0007fff2,0x801bffe0,0x4400fffc,0xfffffffd,
    0x7ffe40df,0x3fffb001,0x800dfff0,0x2e01fffd,0xffffffff,0x3fff400b,
    0xfd800000,0x03ffee4f,0x00dfff00,0x401fffd8,0xff8bfffc,0xfffc805f,
    0xffa80002,0xfffa805f,0x37ffc003,0x200fffec,0xffb54fff,0x807dffff,
    0xbffffffc,0x3fff2000,0x37ffc001,0x003fff20,0x3ffe6000,0x754c0004,
    0x64002fff,0x22000fff,0x1bfe006f,0x7f4003fb,0x3fee007f,0x3200003f,
    0x80001fff,0x32006fff,0x71000fff,0xfffffffb,0x00fffe41,0x333fffb8,
    0x333dfff3,0x7ffe4013,0x3ffff202,0xfd000bff,0x2ca800ff,0x87ffe200,
    0x9800fffb,0x99efff99,0x3ff20099,0xfffe802f,0xc801fffc,0x80002fff,
    0x400ffff8,0x2001fffc,0xfb83fff9,0x3fe204ff,0xffffffef,0x00efffff,
    0x3fffffee,0xffc801df,0x7ffc001f,0x07ffe406,0x7fcc0000,0x7ffc004f,
    0x00efffff,0x00fffc80,0x2601be20,0x0fec3ffc,0x7f77775c,0xeeeeefff,
    0x04fffa84,0x7f666400,0xcccccdff,0x7fc02ccc,0xaaaaaaef,0xfffdaaaa,
    0xfeb88000,0x3ff26fff,0xfff3001f,0x3fffffeb,0x204fffff,0xea83fffc,
    0x00bfffff,0x803fff40,0x00efffe8,0x7dc6ffc8,0xffffffff,0x3fffffe5,
    0x204fffff,0xa803fffc,0x04ffffff,0xdddfff90,0xdddddddd,0x17ffec07,
    0x001bffe0,0xf101fff9,0x7fc40dff,0xeeffffff,0x0ffffffe,0x3ffffa60,
    0x3202efff,0x7c001fff,0x7fe406ff,0x9800000f,0x7c004fff,0xdfffffff,
    0x7fe4000b,0x1be2000f,0x2ffffffc,0x7fe40fec,0xffffffff,0xf985ffff,
    0x7c0005ff,0xffffffff,0x4fffffff,0x7fffffc0,0xffffffff,0x0000ffff,
    0xc8ffffd4,0xf3001fff,0x3fffebff,0x4fffffff,0x993ffee0,0x2ffffffe,
    0x0fffd000,0x3fffff60,0x43fff804,0xfffffffb,0x3fffe5ff,0x4fffffff,
    0x013ffee0,0x077fffec,0xfffffc80,0xffffffff,0x3ffea04f,0x0fffe605,
    0x40dfff00,0xf301fffe,0x2039ffff,0x805ffffa,0xffffffd9,0xfffc80df,
    0x37ffc001,0x003fff20,0x3ffe6000,0x7fffc004,0x2fffffff,0x03fff200,
    0xff06f880,0x3f605bdf,0xfffffc81,0xffffffff,0xffff885f,0x3ffe0001,
    0xffffffff,0x404fffff,0xffffffff,0xffffffff,0xc80000ff,0xfff92fff,
    0x3ffea003,0xfffffff3,0x5c09ffff,0x3ffe4fff,0x002fffff,0x200fffd0,
    0x06ffffff,0x2e07ffd4,0xffffffff,0x3ffffe5f,0x04ffffff,0x4013ffee,
    0x002ffff9,0x3ffffff2,0xffffffff,0x1fffe204,0x000fffc8,0xb80fffe6,
    0xff503fff,0xff1001bf,0x322003ff,0x1fffffff,0x000fffe4,0xeec9bffe,
    0xeeffffee,0x02eeeeee,0x04fff980,0x3f2a6200,0x9003ffff,0x44001fff,
    0x003ff06f,0x555303fb,0x55fffd55,0x3f205555,0x320005ff,0xcdfffecc,
    0x2ccccccc,0x777fffc0,0xeeeeeeee,0x0000ffff,0xf92fffa8,0x3f2003ff,
    0x6fff82ff,0x1fffe400,0xfff99fff,0x3ffa0005,0xfffff007,0x5ffe80df,
    0x000fffb8,0x20037ffc,0x54c3fffc,0xffeaaaaa,0x1aaaaaaf,0xaacfffc8,
    0xaaaaaaaa,0x17ffec01,0x4006ffe8,0x2601fffc,0xff306fff,0x7fdc009f,
    0xfeb8004f,0x3f20efff,0x7fc001ff,0x3ffff66f,0xffffffff,0x8003ffff,
    0x0004fff9,0x0ffffdc0,0x007ffe40,0x3fe0df10,0x001fd801,0x1001fffa,
    0x0019ffff,0x01fffc80,0x06fff800,0x003fff20,0x47fff600,0x8801fffc,
    0xff80ffff,0x7fec006f,0x7dc33e2f,0xfd0002ff,0x3ff600ff,0x3e604fff,
    0xfffb81ff,0x37ffc000,0x0bfff600,0xfffffff7,0xffffffff,0x5fff909f,
    0x7fd40000,0x3fff984f,0x037ffc00,0x440ffff4,0x22004fff,0x20005fff,
    0x325ffffc,0x7c001fff,0x3fff66ff,0xffffffff,0x003fffff,0x004fff98,
    0x5fffb800,0x00fffc80,0x7fc1be20,0x001fd801,0x2001fffa,0x1bfffffc,
    0xc807e4c4,0x80001fff,0x32006fff,0x5ec40fff,0x3ff26009,0x07fff26f,
    0x07fffd10,0xd001bffe,0x2e043fff,0xd0002fff,0x3a200fff,0x3200dfff,
    0xfff706ff,0x6fff8001,0x0ffff400,0x3fffffee,0xffffffff,0xfffc84ff,
    0x3e200002,0xfffb87ff,0x3ffe6000,0x3fffc804,0x800bfff0,0x40006fff,
    0x3f27fffb,0x7fc001ff,0x2aaaaa6f,0xaaabfffd,0x8001aaaa,0x0004fff9,
    0x06fff880,0x000fffc8,0x05541be2,0xd000fec0,0x32000fff,0xffffffff,
    0x900fffff,0x00003fff,0x6400dfff,0x7fc40fff,0xfeeeffff,0x320fffff,
    0xf7101fff,0x7fc0bfff,0x7ffc006f,0x17ffdc07,0x07ffe800,0x7c015d40,
    0x99999cff,0x4000fffc,0x7c006fff,0xccc987ff,0xcffffccc,0xc82ccccc,
    0x00002fff,0x3a0fffec,0x7e4006ff,0xcccccdff,0x6fffdccc,0x800dfff0,
    0x80007fff,0xff91ffff,0xfff8003f,0x07ffe406,0x7fcc0000,0xd000004f,
    0xff900fff,0x37c4001f,0x00fec000,0x000fffd0,0x7fffffdc,0x00ffffff,
    0x0003fff9,0x400dfff0,0x7c40fffc,0xffffffff,0x641effff,0xeeeeefff,
    0x0effffff,0x801bffe0,0x5c05fffa,0xd0002fff,0x00000fff,0x3fffffea,
    0x0fffffff,0x037ffc00,0x00bfff50,0x4007ffe8,0x0002fffc,0x327ffd40,
    0xf8007fff,0xffffffff,0xffffffff,0x07ffe80f,0x017ffe20,0x4bfff200,
    0x4001fffc,0x7e406fff,0x800000ff,0x0004fff9,0x00dfff00,0x4001fff9,
    0x007706f8,0xfe8007f6,0x5c40007f,0xfffffffe,0x3fff202d,0xfff80001,
    0x3fff2006,0xffffed80,0x03dfffff,0xfffffff9,0x07ffffff,0x400dfff0,
    0x5c03fffe,0xd0002fff,0x00000fff,0x3ffffffa,0x0fffffff,0x037ffc00,
    0x007fffd0,0x4007ffe8,0x0002fffc,0x93fffc40,0x4c001fff,0xffffffff,
    0xffffffff,0xfffd83ff,0x7fff3002,0xfffb0000,0x007fff21,0x404fff88,
    0x0001fffb,0x04fff980,0xfff88000,0x1fffb805,0x2e1be200,0x1fd804ff,
    0x01fffa00,0x67ffc400,0xfff90009,0xfff00003,0x7ffe400d,0x7f54cc00,
    0xfffc807f,0xefffffff,0xdfff001d,0x3fffea00,0x17ffdc00,0x07ffe800,
    0xfff98000,0xffffffff,0x7c000fff,0xff5006ff,0xfe8001ff,0x7fe4007f,
    0xd800002f,0xdffd1fff,0xefffc800,0xeeeeeeee,0x86fffeee,0xb005fff9,
    0x80005fff,0x3f27fff8,0x3ea001ff,0x7fd403ff,0x9800003f,0x00004fff,
    0x803fffc8,0x2003fffa,0x6ffc86f8,0x2001fd80,0x00007ffe,0x8003fff5,
    0x0001fffc,0x2006fff8,0x2000fffc,0xfc804ffe,0x1acccdff,0x0dfff000,
    0x07ffff70,0x005fff70,0x001fffa0,0x01fff200,0x8001fff7,0xfb806fff,
    0xff703fff,0xffffffff,0x09ffffff,0x0005fff9,0x39fff500,0xf8007fff,
    0xff8007ff,0xfffd80ff,0x2fffd402,0x3ffa0001,0x07fff25f,0x02fffe80,
    0x007fffcc,0x3ffe6000,0x7dc00004,0xf9800eff,0xf1000fff,0x005ff30d,
    0x7f4003fb,0xf900007f,0xff9000df,0xff00003f,0x7fe400df,0xfff1000f,
    0x3fff9005,0x7ffc0000,0x3fff6206,0xfff7006f,0x3ffa0005,0x7c400007,
    0x7fdc04ff,0x7ffc000f,0x3fff6206,0x3ffee06f,0xffffffff,0xc84fffff,
    0x00002fff,0xfbefff88,0x3e6000ff,0xfc8004ff,0xfffa83ff,0xffff903f,
    0x4cdefe41,0x7ffe4cc1,0x3fff20ef,0xfb3055c1,0x3fa00dff,0x05302eff,
    0x04fff980,0xd73004c4,0x4001ffff,0x302efffe,0x0001be25,0xfe8007f6,
    0xfd00007f,0x2666009f,0x999afffc,0x99999999,0x006fff80,0x4003fff2,
    0xc800fffa,0x00001fff,0x2aabbffe,0xfffffecb,0xfff7000d,0x33333337,
    0x7ff43333,0x9999999f,0x20099999,0x5c01fffb,0x7c000fff,0xcbaaaeff,
    0x0dfffffe,0x3ffffee0,0xffffffff,0xffc84fff,0xb000002f,0x0dffffff,
    0x02fffc80,0x06fffa80,0xbdfffffb,0x85fffffd,0xfffffffc,0xffffffff,
    0x0fffe41f,0x3ffffff6,0xf3001fff,0xfdffffff,0x26660dff,0xcfffa999,
    0xf7199999,0xfffddfff,0x005fffff,0xffffff98,0xf16fffef,0x3fb0000d,
    0x03fff400,0x02fff800,0xfffffff0,0xffffffff,0xff05ffff,0x7fe400df,
    0xdff7000f,0x07fff200,0xffff8000,0xffffffff,0x7dc004ff,0xffffffff,
    0xd0ffffff,0xffffffff,0x5fffffff,0x4037ff40,0xfffffffb,0xfff81fff,
    0xffffffff,0x40004fff,0x64007ffe,0x00002fff,0xffffff50,0x7fff8007,
    0x3fffe000,0xfffff700,0x03dfffff,0xfffffff9,0xbfffffff,0x83fff903,
    0xfffffffd,0x7fdc002f,0xffffffff,0xfffff986,0xffffffff,0xfff77fff,
    0xffffffff,0x2e00019f,0xffffffff,0xffff16ff,0xffffffff,0xffffffff,
    0x3fff4003,0x3ffcc000,0xffffff00,0xffffffff,0xf05fffff,0x7e400dff,
    0xffb000ff,0x3fff2007,0x3fe00001,0xffffffff,0xb8001cff,0xffffffff,
    0x0fffffff,0xfffffffd,0xffffffff,0x0fffe605,0x3ffffee0,0xf81fffff,
    0xffffffff,0x0001cfff,0x4007ffe8,0x0002fffc,0xfffff100,0x7fcc001f,
    0x3f60004f,0x3b6603ff,0x03efffff,0x3ffffb66,0x0cffffff,0x907fff20,
    0x19dffffd,0x3ff22000,0x84ffffff,0xfffffff9,0xffffffff,0xfffff77f,
    0x019dffff,0xfff91000,0x229fffff,0xffffffff,0xffffffff,0x2001ffff,
    0x80007ffe,0x3e002aa8,0xffffffff,0xffffffff,0x6fff82ff,0x03fff200,
    0x80055540,0x0001fffc,0x3fffffe0,0x000bcdee,0x3ffffee0,0xffffffff,
    0xffffd0ff,0xffffffff,0x3f205fff,0xffb800ff,0xffffffff,0xffffff81,
    0x000bcdee,0x01fffa00,0x005fff90,0x7ffec000,0x7fe4006f,0x3ea0002f,
    0x531006ff,0x2a660001,0x000009aa,0x00000330,0x98026666,0xffffffff,
    0xffffffff,0x2aaa6627,0x30000001,0x00001333,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x00000aa9,
    0x00000000,0x00000000,0x00000000,0x35530000,0x00000000,0x00199880,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00133100,
    0xc877b220,0xffffffff,0x2e01ceef,0x2005ffff,0xfff94ffe,0x79dfffff,
    0xfff90015,0xffffffff,0x3f23ffff,0x7fc001ff,0xfffff36f,0xffffffff,
    0x75c07fff,0x1dffffff,0x003fff20,0xf8ffffa2,0x640006ff,0x8800ffff,
    0x2006ffff,0xffd04ffb,0x3ee00005,0x1001ffff,0xffffffb9,0x7ffdc01b,
    0xffffffff,0x3fffffff,0x1ffff700,0xfffff980,0xffffffff,0xf93fffff,
    0x5c000dff,0x7fdc6fff,0x7ec000ff,0x27ffc4ff,0x1fff3000,0x3fffffe2,
    0xffffffff,0x52ffffff,0xffffffff,0xf90079df,0xffffffff,0x400017bd,
    0xd0006ffd,0x3f25ffff,0xffffffff,0xb81effff,0x001fffff,0x3ff29ffd,
    0xffffffff,0x7e403fff,0xffffffff,0x91ffffff,0xf8003fff,0xffff36ff,
    0xffffffff,0xd107ffff,0xffffffff,0x3ff207ff,0xfffd800f,0x0037ffc5,
    0x0fffff20,0x1bfffee0,0xf03ffc80,0x100003ff,0x03ffffff,0xffffff50,
    0x207fffff,0xfffffffb,0xffffffff,0x7dc03fff,0x400fffff,0xfffffff9,
    0xffffffff,0xfff13fff,0xff10007f,0xfffd03ff,0x7ffd4009,0x004fff86,
    0x443ffe60,0xffffffff,0xffffffff,0xff52ffff,0xffffffff,0x7e405fff,
    0xffffffff,0x000cffff,0x8006ffd8,0x96fffff8,0xffffffff,0x3fffffff,
    0x5fffffb8,0x329ffd00,0xffffffff,0x1effffff,0xffffff90,0xffffffff,
    0x07fff23f,0x26dfff00,0xffffffff,0xffffffff,0x7ffffd43,0xfffffdce,
    0x00fffc85,0x7c37ffe4,0x6c0006ff,0xe806ffff,0x2006ffff,0xfff03ffd,
    0xffb00001,0xd803ffff,0xfeffffff,0xb82fffff,0xffffffff,0xffffffff,
    0xffd503ff,0x801fffff,0xfffffff9,0xffffffff,0x3fee3fff,0x7dc000ff,
    0xfff305ff,0xfff1003f,0x0bffd05f,0x13ffd400,0xffffffff,0xffffffff,
    0x3ea5ffff,0xffffffff,0x904fffff,0xffffffff,0x3fffffff,0x06ffd800,
    0xfffff880,0x9afffc9f,0xffda9999,0x3fee0eff,0xe800ffff,0x5fff94ff,
    0xfb953333,0xf905ffff,0x333335ff,0x64333333,0x7c001fff,0x266666ff,
    0x99fffe99,0x3a209999,0xff504fff,0xfffc83ff,0x3bffea00,0x006fff80,
    0x7ffffec0,0x3fffe601,0x3ffa007f,0x007ff882,0xfffffa80,0x3fee01ff,
    0x3ea21bff,0x54c0ffff,0xaaaaaaaa,0xffdaaaaa,0x7fff542f,0x00ffffff,
    0x55555544,0xcaaaaaaa,0x7fc0ffff,0x3e2004ff,0x3f200fff,0xffc806ff,
    0x0bffb05f,0x23ffd400,0x99999999,0x9999fffe,0xff509999,0x7533339f,
    0x905fffff,0xa9883fff,0x00fffffd,0x001bff60,0x57ffffec,0x4c01fffc,
    0x3ee2ffff,0x804fffff,0xfff94ffe,0xffffa801,0x07ffe40f,0x1fffc800,
    0x037ffc00,0xc803fff4,0x7cc03fff,0x7ffe45ff,0x3ffff100,0x001bffe0,
    0x9ffbffb0,0x7feffe40,0x07ffa007,0x0001ffe6,0xff9bfff1,0x0dfd803f,
    0x0ffffa20,0x7ffe8000,0x77fffff4,0x000ffff9,0x7fffd000,0x01ffff50,
    0x013fff20,0x407ffff1,0xb00ffff9,0x5c000dff,0x7f4007ff,0x3fea007f,
    0x7ffec03f,0x01fffc87,0x037fff4c,0x000dffb0,0x2bffffe2,0xb801fffc,
    0x3fee4fff,0x400fffdf,0xfff94ffe,0xfffb1001,0x00fffc89,0x03fff900,
    0x806fff80,0xf9807ffe,0xff9006ff,0x07ffe43f,0x202fffe8,0x40006fff,
    0x07ffbffe,0x1ffebffe,0xa80fff80,0x6c0006ff,0xfffc8fff,0xf7003801,
    0x20000bff,0x7e43fffa,0x3ffe2eff,0xc800000f,0x3fa05fff,0xff8804ff,
    0xffa800ff,0xfffd00ff,0x037fe405,0x00dff700,0x2007ffe8,0x4403fffa,
    0x7e40ffff,0xff9801ff,0xffb000ff,0x7fdc000d,0x1fffc9ff,0x25fff980,
    0xfffafffb,0xca7ff404,0xf1000fff,0x7fe43fff,0xff90000f,0xfff8003f,
    0x07ffe806,0x002fffa8,0x7e4bfff3,0xfffd80ff,0x037ffc03,0x3e7ffa00,
    0xdffa81ff,0x8800fff9,0xbff707ff,0x7ffd4000,0x003fff93,0x3fffc400,
    0xfffe8000,0x7c1ffcc0,0x00000fff,0x007fffcc,0x801ffff3,0x2003fffc,
    0xfb84fffd,0x7fe405ff,0x3fee0007,0x3fff4006,0x07fff500,0xc83fffb0,
    0xf9001fff,0x3f6005ff,0x3e60006f,0x3fff97ff,0x49fff300,0xffd8fffb,
    0x53ffa00f,0x2000fffc,0x3f25fffc,0xf90000ff,0xff8003ff,0x7ffe806f,
    0x01fffc80,0xfc9bffa0,0x7ffdc0ff,0x06fff805,0x64fffc00,0xaffd84ff,
    0xff80fff9,0xffffffff,0xffffffff,0xfd001fff,0x0fffe4df,0x3ffe0000,
    0x7d40000f,0x201703ff,0x0000ffff,0x01ffff40,0x302fffec,0x8800dfff,
    0x3e21ffff,0x7dc00fff,0x3f20007f,0x7ff4005f,0x3ffea007,0x2fffc803,
    0x800fffe4,0xb004fffa,0x54000dff,0xfff96fff,0x5fff5003,0x7d47ffdc,
    0x3ffa03ff,0x001fff94,0xf93fffc4,0x320001ff,0x7c001fff,0xffe806ff,
    0x0fffd807,0xc9fff600,0x3fe60fff,0xdfff006f,0x9fff8000,0x7fc47ff9,
    0xf01fff37,0xffffffff,0xffffffff,0x9003ffff,0x7fe43fff,0x7c00001f,
    0xe80007ff,0xf8000fff,0x00000fff,0x4017fff2,0xb01ffff8,0x70005fff,
    0x7fe4dfff,0x7ffb803f,0x13ff2000,0x00fffd00,0x401fffd4,0x7e41fffd,
    0xff3001ff,0x3bbbb2bf,0xeffffeee,0x05eeeeee,0x7e47fffa,0xffd801ff,
    0xf87ffdc7,0x3ffa07ff,0x001fff94,0x3f27ffe8,0xf90000ff,0xff8003ff,
    0x7ffe806f,0x01fffd80,0x643fff20,0xfff10fff,0x3ffe001f,0x7ffc0006,
    0x7dc5fff0,0x03fff34f,0xfffddddb,0xfffddddd,0x803ddddd,0x7e44fff9,
    0x400001ff,0x40006fff,0x0004fffa,0x0001ffff,0x03fffe60,0x86fffc80,
    0x0006fff9,0x3e6ffffa,0xff5006ff,0x0399301f,0xd0013ff6,0x7d400fff,
    0xfff803ff,0x0fffe40f,0xb4fff980,0xffffffff,0xffffffff,0xffd30fff,
    0x0fffe49f,0x717fff20,0x3fee1fff,0x29ffd02f,0x4000fffc,0xff91fffd,
    0x3f20001f,0x7fc001ff,0x7ffe806f,0x02fffc80,0x647ffee0,0xfffd0fff,
    0x37ffc003,0x1fff1000,0xffe97ff2,0x003fff11,0x3fa09ff7,0xffe8001f,
    0x01fffc86,0x3ffe6000,0x7ff40005,0xfff0000f,0x3a00001f,0x44003fff,
    0x7ec2ffff,0x260001ff,0xfffeffff,0x1fff3001,0x360bff90,0x7f4003ff,
    0x3fea007f,0x7ffe403f,0x01fffc85,0x367fff70,0xffffffff,0xffffffff,
    0xffdb77ff,0xfffc8bff,0x7ff5cc41,0x7ffdc0ef,0x20dfff10,0xfff94ffe,
    0xfffc8001,0x335fff92,0x33333333,0x4d7ffe41,0x99999999,0x806fff99,
    0xfb807ffe,0x3ee005ff,0x1fff92ff,0x8005fff9,0x20006fff,0xff30fff8,
    0x44dff11f,0xfc801fff,0x03fff03f,0x81fffb80,0x0001fffc,0x00bfff60,
    0x04fff980,0x03fffe00,0x3ffee000,0xfff70005,0x02fffccd,0x7fffe400,
    0x3e6004ff,0xffff81ff,0x003ffe80,0x5003fff4,0x32207fff,0xfc80ffff,
    0xffb001ff,0x2aaaaa3f,0xafffeaaa,0xd2aaaaaa,0x907fffff,0xffffffff,
    0x207fffff,0x3f20fffb,0x4ffe82ff,0x8001fff9,0xff93fffc,0xffffffff,
    0x7e4dffff,0xffffffff,0xffffffff,0x7ffe806f,0x1ffff880,0x3fffd880,
    0xfff9fff9,0xdfff0007,0x7ffc4000,0x3eebffa0,0x0bffe23f,0x7c0fff60,
    0x3e2000ff,0xfff904ff,0x3e600003,0x740006ff,0x20000fff,0x0000ffff,
    0x007fffcc,0x25fffd00,0x0000fffe,0xefffff88,0x3ffe2000,0x1ffffcc1,
    0x20017ff4,0x2a007ffe,0xdcccdfff,0x01fffffe,0x7003fff9,0x6c00bfff,
    0xffd006ff,0x3ff2019d,0xffffffff,0xfb80beff,0x3ffe20ff,0xf94ffe86,
    0xfb8001ff,0xffff94ff,0xffffffff,0x7ffe4dff,0xffffffff,0x6fffffff,
    0x007ffe80,0x817ffff7,0xfffffc98,0xffffff92,0xfff0001f,0x7fcc000d,
    0x3b7fee0f,0x17ffc0ff,0x4417ff40,0x7ec007ff,0x3fff206f,0xff880001,
    0x260002ff,0x40004fff,0x0000ffff,0x001ffff4,0x2bbffea0,0x00004fff,
    0x00ffffee,0xc83fff10,0xff86ffff,0x7ff4002f,0x3ffea007,0xffffffff,
    0x3ff201df,0x3ff2201f,0x3f6000ff,0x0013006f,0x3ffffff2,0xffffffff,
    0x07ffdc2f,0xfd07fff2,0x03fff29f,0x27fff700,0xfffffffc,0x6fffffff,
    0x3ffffff2,0xffffffff,0xe806ffff,0x3fa007ff,0xffefffff,0x2fffffff,
    0xfffbfff9,0xdfff000d,0x3ffcc000,0x17ffffe2,0x3e00bffe,0x6ff981ff,
    0x07ffee00,0x001fffc8,0x04fffd80,0x0fffec00,0x3fffe000,0x3fee0000,
    0xfd00006f,0x01ffffff,0x7fff4000,0x7fc000ff,0x7ffff42f,0x00fffc0f,
    0x801fffa0,0xfffffffa,0xc801efff,0xaaaabfff,0x3fffffcc,0x037fec00,
    0x7ffe4000,0xda99999a,0x2e2fffff,0x7fc40fff,0xca7ff45f,0x64000fff,
    0xfff93fff,0x3ff20001,0x999999af,0xfff99999,0x07ffe806,0x3ffff220,
    0xdeffffff,0xfff91fff,0x009fffd3,0x0006fff8,0x3f61ffea,0xfff82fff,
    0x80fff803,0xf1006ffa,0xffc809ff,0x7ec0001f,0x4c0006ff,0x80005fff,
    0x0000ffff,0x001ffff3,0x3fffe600,0x200003ff,0x4ffffffb,0x317ffc00,
    0x87ffdbff,0x74001fff,0x3ea007ff,0xffcbadff,0xffc804ff,0xffffffff,
    0x8002ffff,0x51006ffd,0x3f203555,0x7f4401ff,0xfff70fff,0x43fffb01,
    0xfff94ffe,0xfffd8001,0x001fff92,0x007fff20,0xd00dfff0,0xb3000fff,
    0x5bdffffd,0x7e43ffee,0xffff88ff,0x1bffe003,0x87ffa800,0xff07fffa,
    0x7ff8807f,0x200bff70,0x6400fffd,0x20001fff,0x000efffc,0x00fffec0,
    0x07fffc00,0x3fffe800,0x7fec0000,0x200006ff,0xfffffff8,0x3ffa001f,
    0x3f2ffee3,0x03ffe26f,0x00fffd00,0x6c1fffd4,0x7e405fff,0xffffffff,
    0x0000cfff,0x2600dffb,0xf903ffff,0xfd1003ff,0x3ffee7ff,0x25fff980,
    0xfff94ffe,0xfffe8001,0x001fff91,0x007fff20,0xd00dfff0,0x30000fff,
    0xc9fff601,0xfff50fff,0x3ffe003f,0x3fee0006,0x209fff07,0x66643fff,
    0xcccfffdc,0xcceffecc,0x7ffd40cc,0x1fffc802,0xdfff9000,0xff980001,
    0xff00005f,0xf70001ff,0x00000dff,0x005ffff1,0x5fffec00,0x2006fffb,
    0x3ffa3ffe,0xf10fff98,0xfe8001ff,0x3fea007f,0x5fffb03f,0x7ffffe40,
    0x00abceff,0x037fec00,0x03ffff98,0x2003fff9,0xff74fffb,0x3fffa01f,
    0x3f29ffd0,0x7fc000ff,0x03fff27f,0x0fffe400,0x01bffe00,0x0001fffa,
    0x64bfff00,0x3ff20fff,0xfff800ef,0x3fee0006,0x203dd707,0x7ffc4fff,
    0xffffffff,0xffffffff,0x77ffc0ff,0xaaaaaaaa,0xaacfffda,0xfffc802a,
    0xfd80000e,0xf00001ff,0x88001fff,0x0000ffff,0x00fffd00,0x37ffd400,
    0x2009fffd,0xdff34ffd,0xff89fffc,0x7ffe8007,0x0fffea00,0x9037ffcc,
    0x00003fff,0x006ffd80,0x205ffff1,0x3001fffc,0x3feebfff,0x9fff500f,
    0x7fe53ffa,0x3fee000f,0x03fff25f,0x0fffe400,0x01bffe00,0x0001fffa,
    0x23fff980,0x7ec0fffc,0xfff805ff,0x3fee0006,0x3ffa0007,0x7fffffc4,
    0xffffffff,0x0fffffff,0x7ffffffc,0xffffffff,0x07ffffff,0x0077ffe4,
    0x37ffcc00,0xffff0000,0xfffd8001,0x3a000003,0x100007ff,0x7cc3ffff,
    0xfd801fff,0x647ff75f,0x0fff36ff,0x00fffd00,0xb01fffd4,0x3f207fff,
    0x000001ff,0x8801e654,0xf902ffff,0x3ea003ff,0x1fff74ff,0xfebfff40,
    0x01fff94f,0x91ffffc0,0x20001fff,0x4001fffc,0xfe806fff,0x2000007f,
    0x7fe46ffd,0x7fffc40f,0x037ffc04,0x00dff900,0x262fff40,0x9dffc999,
    0xbffe9999,0xfff81999,0xffffffff,0xffffffff,0x3ff207ff,0xb00000ef,
    0x00005fff,0x0007fffc,0x000dfff7,0x07ffe800,0xbfffb000,0x00dfffb0,
    0x3ffabff9,0x267ffe60,0xfe8006ff,0x3fea007f,0x3ffe603f,0x03fff907,
    0x00000000,0x6407fffe,0xf7001fff,0x3ffee5ff,0x2fffea00,0xfff94ffe,
    0x3ffee001,0x03fff20e,0x0fffe400,0x01bffe00,0x0001fffa,0x20fffe40,
    0xf980fffc,0x3fe02fff,0x3f20006f,0x3fa0006f,0x1ffe405f,0xe801fff8,
    0xeeeeeeee,0xfffeeeee,0xf906eeee,0x00001dff,0x001bffe6,0x01ffff00,
    0x03fffe20,0xffd00000,0xff50000f,0xfff101ff,0xeffc807f,0xffe86ff8,
    0x8006ffac,0x2a007ffe,0x7ec03fff,0xfffc83ff,0x00000001,0x03ffff00,
    0x2007fff2,0xf70ffff8,0xffe801ff,0xff94ffee,0xfff7001f,0x0fffc85f,
    0x3fff9000,0x06fff800,0x0007ffe8,0x85fffb80,0xf700fffc,0x3fe01fff,
    0x3f20006f,0x3fa0006f,0x1ffec05f,0x0000fff8,0x03fff900,0x01dfff90,
    0x7ffec000,0x7fc00002,0xffb000ff,0x0000007f,0x8000fffd,0x203ffff8,
    0x200ffffb,0x3ffbeffb,0xffafffb8,0x7ffe8005,0x0fffea00,0x90dfff30,
    0x00003fff,0x33333333,0x33333333,0x7fffc133,0x03fff900,0x25fffd88,
    0x5c00fffb,0x94ffffff,0x74401fff,0xfc85ffff,0xf90000ff,0xff8003ff,
    0x7ffe806f,0x3faa0000,0xffc80fff,0x3fff600f,0x00dfff06,0x0037fec0,
    0xe80dffb0,0x7ff882ff,0x3f200000,0x7fe401ff,0x200000ef,0x0006fff9,
    0x00ffff80,0x006fffb8,0xfffd0000,0xfffc8000,0x5fffe806,0x3f7ffea0,
    0xdfff981f,0xfe8005ff,0x3fea007f,0xfffe803f,0x00fffe42,0x3fffe200,
    0xffffffff,0x22ffffff,0xf900fffe,0x533335ff,0x1dffffb7,0x4007ffdc,
    0x94ffffff,0x95557fff,0xbfffffdb,0x26bfff20,0x99999999,0x07fff219,
    0x4cdfff00,0xffe99999,0x0999999f,0x6e5d4ccc,0x02efffff,0x4401fff9,
    0xff85fffe,0x999999ef,0x36199999,0x360006ff,0x7ffc06ff,0x006ff981,
    0x3fff2000,0x3ffff201,0xcccccccd,0x202ccccc,0x8002fffd,0xaaaaaaa8,
    0xaaabffff,0xffff10aa,0x9999999b,0x07999999,0x007ffe80,0x07fffea0,
    0x0bfffe60,0x37ffffd4,0x9fffffd0,0x0fffd000,0x01fffd40,0x3237ffd4,
    0x40001fff,0xfffffff8,0xffffffff,0x3ffa2fff,0x3ffff207,0xffffffff,
    0x7fdc0eff,0xfffb800f,0xffff94ff,0xffffffff,0x7fe407ff,0xffffffff,
    0xf91fffff,0xff8003ff,0xfffff36f,0xffffffff,0x7fc47fff,0xffffffff,
    0x7ffe403f,0x7fffcc00,0x7fffffc3,0xffffffff,0x0bffd0ff,0x037fec00,
    0x3ea03ffe,0x2000006f,0x3a01fffc,0xffffffff,0xffffffff,0xdfff304f,
    0x3ffe6000,0xffffffff,0x92ffffff,0xffffffff,0xffffffff,0xfe800bff,
    0x3fa0007f,0x3f2005ff,0xff980fff,0x3ee03fff,0x8004ffff,0x2a007ffe,
    0xfd003fff,0x7ffe45ff,0x7fc40001,0xffffffff,0xffffffff,0xc817bb22,
    0xffffffff,0x702effff,0xf1001fff,0x3f29ffff,0xffffffff,0x6401cfff,
    0xffffffff,0x1fffffff,0x8003fff9,0xfff36fff,0xffffffff,0x447fffff,
    0xffffffff,0xffc800df,0xfffb800f,0x3ffffe1f,0xffffffff,0xbffd0fff,
    0x3ffec000,0x2e0fff10,0x000005ff,0xe807fff2,0xffffffff,0xffffffff,
    0x7fffb04f,0x3ffe6000,0xffffffff,0x92ffffff,0xffffffff,0xffffffff,
    0xfe800bff,0xff90007f,0x7c4001ff,0xff985fff,0x3e201fff,0x8003ffff,
    0x2a007ffe,0xf7003fff,0x7ffe4dff,0x00000001,0x7fe40000,0xceefffff,
    0x7ffdc02c,0xffff9000,0x3fffff29,0x002cceef,0x3ffffff2,0xffffffff,
    0x03fff91f,0xf36fff80,0xffffffff,0x7fffffff,0x66f7ffc4,0x3f20009a,
    0xffb000ff,0x3fffe1ff,0xffffffff,0xffd0ffff,0x7fe4000b,0x41ffe607,
    0x00004ffc,0x807fff20,0xfffffffe,0xffffffff,0xfff984ff,0x3fe60007,
    0xffffffff,0x2fffffff,0xfffffff9,0xffffffff,0xe800bfff,0xf98007ff,
    0xb8003fff,0x7c42ffff,0xfe806fff,0xe8003fff,0x3ea007ff,0x3fe003ff,
    0x3fff92ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x81c40000,0x4400001a,0x440adeca,0x9802dfec,0x41bdfedb,
    0x002cedb9,0x000fbaa0,0xffedca88,0x44000cce,0x0acdfdca,0x003332a0,
    0x4401e664,0xacdeedba,0x76e54c00,0x002cdeef,0x337fb2a6,0xcccb800a,
    0x33322003,0x9999911c,0x99999999,0x33261999,0xcca8003c,0x8879952c,
    0x80bdeeeb,0xdb883cca,0x99101cde,0x64400039,0x2a6601cc,0x23cc8019,
    0xeb83efd8,0x2a6000de,0x02ccc801,0xa8999970,0xcccccccc,0x0000002c,
    0x117ffcc0,0x3d30007b,0x9fd30000,0x0002ffa8,0xfffffd10,0x7ffff44d,
    0xfffd105f,0x2a5fffff,0x05ffffff,0x2ffffa80,0x7fff4c00,0xffffffff,
    0xfffb800c,0x02ffffff,0x2001fff9,0x3a205fff,0xffffffff,0xffc880ff,
    0xffffffff,0x7fec400f,0x3fffffff,0x17fffd40,0x25fffd80,0xfffffff8,
    0xffffffff,0x1ffff10f,0x1fffe800,0x7fdcdff9,0x42ffffff,0x3f625ffc,
    0x03ffffff,0x40009fff,0x6d41fffa,0xcfffffff,0x3e6dff00,0x3f63ffff,
    0x2a00ffff,0x0dfffffe,0x804fff88,0x641ffffd,0xffffffff,0xfd80004f,
    0x7fdc007f,0x007ffee7,0x0019ffd0,0x4ffffea0,0x003ffff9,0x7ffff440,
    0xfffb4fff,0xf109ffff,0xffffffff,0xffffff9f,0xfd800bff,0x54005fff,
    0xffffffff,0x00efffff,0xffffffb1,0x81bfffff,0xf000fffc,0x3fee0bff,
    0xffffffff,0x7ffcc0ff,0xffffffff,0x3fea00ff,0xffffffff,0x3f200eff,
    0x7dc00fff,0x3fe20eff,0xffffffff,0x20ffffff,0x2002fffd,0x3f26fff9,
    0xfffff96f,0x643fffff,0xfffd15ff,0x07ffffff,0x4000bffd,0x7e40fffb,
    0xffffffff,0xfd6ff80e,0x3eefffff,0x884fffff,0xfffffffd,0x7ffc42ff,
    0x7fffec04,0xfffffc81,0x0004ffff,0x4007ffd8,0x3ff25ffd,0x3fee006f,
    0xff70006f,0xfffb89ff,0x3f20004f,0xfffb9bff,0xfd9aeffc,0x5ffc40ff,
    0xffffa89a,0xffd99cff,0x3ff6001f,0x7d4005ff,0xa99abcef,0xd05ffffd,
    0x3115bfff,0xc89ffff7,0xff000fff,0xffffb0bf,0xfb9557bf,0xefffe81f,
    0xdba9999b,0xffff500e,0xffb7359d,0xffe80dff,0x3ffe205f,0x6666441f,
    0xdccccccc,0x3ea0ffff,0x3f2005ff,0x3bff22ff,0xbaadfffc,0x3f26fffe,
    0xbffff9ef,0x0ffffdaa,0x00037fec,0xbf90fff9,0xfffd7557,0xff7dff09,
    0xff3fff55,0x90fffb39,0xfd9bdfff,0x7fc41fff,0x3fff204f,0x9999501f,
    0x009fffb9,0x00fffb00,0x7f43fff8,0x7c4083ff,0xd8000fff,0xf303ffff,
    0x0001dfff,0xffc89fff,0x7ff41fff,0xff301443,0xfff88dff,0x3ffe6004,
    0x0dcc001f,0x07fffd40,0x9813ffee,0x3f21fffe,0xfff000ff,0x4ffffa8b,
    0xff705c40,0xf880009f,0x3ea03fff,0x3e203fff,0xffb03fff,0xe880007f,
    0xfff81fff,0xffff000f,0xffffffc8,0x1fffe881,0x9ffffff9,0x90ffff60,
    0x6c000fff,0x200986ff,0xfff86ffe,0x3bffa1ff,0x83ffea5f,0xfa85fff9,
    0x3ffe25ff,0x3ffff904,0x9fff3000,0xfffb0000,0x0fffc400,0x32bfffe6,
    0xfebdefff,0x744002ff,0x4401ffff,0x001efffe,0xf103ffe6,0xff90dfff,
    0xffff000d,0x00fff905,0x0001cc98,0x2fffc800,0x2017ffe2,0x3f25fff9,
    0xfff000ff,0x17fffc4b,0x0fffc800,0x7ffe4000,0xffff9803,0x3fffea00,
    0x02fffdc0,0x1fffec00,0x803fffc8,0x7e44fffa,0x2e00ffff,0xfff93fff,
    0x7fcc07ff,0x83ffdc5f,0xffd00998,0xfff7000b,0xd8bffff0,0x3e60ffff,
    0x1bff60ff,0x3e27ffc8,0xfffc84ff,0xff30001f,0xfb00009f,0x7fd400ff,
    0xfffff507,0xffffffff,0xfe98009f,0xb1000eff,0x2005ffff,0xfff06ffc,
    0x0fff307f,0x20fffd00,0x0000fffa,0x26000000,0x3ff23fff,0xfffb001f,
    0x003fff21,0xff92fffc,0x7ec000bf,0x220000ff,0x32006fff,0x7e403fff,
    0x3ffe26ff,0x7e40000e,0x3fe605ff,0xfffd806f,0x0ffffe41,0x653ffe20,
    0xe803ffff,0x7ffd46ff,0xf04ffb80,0x266007ff,0xff87ffb9,0x7ffe40ff,
    0xf0fffc44,0x7fcc07ff,0x89fff11f,0x001ffffc,0x013ffe60,0x01fff600,
    0x3201aa88,0xffffffff,0x4006ffff,0x005ffffa,0x07ffff90,0x3609ffd0,
    0xff982fff,0x7fe4000f,0x01fff306,0x00000000,0xff27ffc4,0x7fdc00df,
    0x01fff91f,0xff97ffe0,0x2e0000ff,0x20005fff,0x2003fffa,0xe805fff9,
    0xfffb3fff,0xffa80003,0x7ff400ef,0x3ffe201f,0x02fffc86,0x3f2bfff0,
    0xffd004ff,0x81fff98f,0xfff07ffe,0x3fff2605,0xf87fffff,0xfffc85ff,
    0x88fffc40,0x3e202fff,0x9fff12ff,0x007fffe4,0x13ffe600,0x1fff6000,
    0x3fee0000,0xfeb9acff,0x3ee006ff,0x40004fff,0x404ffffb,0xff903ffe,
    0x3fff105f,0x06ffc800,0x0003fff3,0x44000000,0x3ffe4fff,0x3ffea004,
    0x001fff92,0x7fc57ffe,0x7cc0005f,0x8002efff,0x4000fffc,0xf8806fff,
    0x3fffcfff,0x7ffc4000,0xfffa801f,0x0fffea04,0x4003fff2,0xfff95fff,
    0x1332e001,0xff10bffe,0xfff885ff,0xfffffa81,0xf87fffff,0x5ffc82ff,
    0xf31fff88,0x7fc405ff,0x29fff12f,0x000efffc,0x04fff980,0x07ffd800,
    0xfffe8000,0x2fffe882,0x2ffffc80,0xfff30000,0x3ffe01bf,0x9bfff903,
    0x5fff9999,0x3332a620,0xcccceffe,0x512fffcc,0x55555555,0x55555555,
    0xa9801555,0xfccccccb,0xbfff34ff,0x55555555,0x27fff955,0xf000fffc,
    0x3ffe6bff,0xffb80004,0x002cffff,0xd000fffb,0x3ea00fff,0x005fffff,
    0x03fffe80,0xe81fffe0,0xffc80fff,0xbfff000f,0x0003fff2,0x2e1fff40,
    0x7cc5ffff,0x7ffcc0ff,0x1ffea09e,0x3f20bffe,0x1fff885f,0x4c05fff1,
    0xfff11fff,0x01dfff99,0x3ffe6000,0x55554404,0xfffeaaaa,0xaaaaaaaa,
    0x3ffea000,0x17ffea04,0x1efffd88,0x7f440000,0xfff81eff,0xfffff702,
    0x5fffffff,0xffffff70,0xffffffff,0x225fffff,0xffffffff,0xffffffff,
    0xd502ffff,0xffffffff,0x3ea9ffff,0xffffffff,0xffffffff,0x01fff94f,
    0x7dd7ffe0,0x700003ff,0xffffffff,0x37ff4039,0x07ffec00,0xfffffd80,
    0x7fe40000,0x7fe4004f,0x5fff882f,0x001fff90,0x7fe57ffe,0xfb00000f,
    0xffffe89f,0x5c3ffd47,0xffa80fff,0xc82fff87,0xfff885ff,0xc817ffe1,
    0x3ffe27ff,0x002ffffe,0x13ffe600,0xffffff10,0xffffffff,0x05ffffff,
    0x00fffe40,0x74c1bffe,0x0000efff,0xffffb100,0x817ffc45,0xfffffffb,
    0x6c2fffff,0xffffffff,0xffffffff,0xff12ffff,0xffffffff,0xffffffff,
    0xffe885ff,0xffffffff,0xff74ffff,0xffffffff,0xffffffff,0x003fff29,
    0xffcafffc,0x2200002f,0xfffffffd,0x6fff80df,0x0fffc800,0x9ffff500,
    0xfffa8000,0xfff98006,0x01fffb85,0x2001fff9,0xfff95fff,0x3f200001,
    0x377fe25f,0x1bfee2ff,0x7ec1bff6,0x82fff87f,0xff885ffc,0x07fff61f,
    0xf893ffe2,0xffffacff,0xff300001,0xfff8809f,0xffffffff,0xffffffff,
    0x3ff6002f,0x07ffe807,0x005ffffb,0xfff88000,0x0bffe26f,0x4cdfffdc,
    0x20999999,0x99aefffa,0x999effc9,0x22199999,0xffffffff,0xffffffff,
    0x7f42ffff,0x999acfff,0x54fff999,0x5555bfff,0x55555555,0x3fff2355,
    0x2bfff000,0x0003fffb,0xfffdb880,0x7f40ffff,0xffd8007f,0xffff3007,
    0x260005ff,0x0000ffff,0xfe81fffd,0x3fff206f,0x2bfff000,0x0000fffc,
    0x7dcdff70,0x325ffbbf,0xfffc85ff,0x1ffffaa2,0x3f20bffe,0x1fff885f,
    0x2bbfffe6,0x20ffffb9,0xff94fff8,0x300001ff,0xf8809fff,0xffffffff,
    0xffffffff,0x3e002fff,0xffd806ff,0xffff900f,0x26000007,0x7c0dffff,
    0xfff903ff,0x7ffe8005,0x000dff90,0xfb800000,0x7c400eff,0x9fff34ff,
    0xfff90000,0x57ffe001,0x0004fff9,0x7ff5c400,0x7ffec6ff,0x37ff4000,
    0x7ffff440,0x44001fff,0x0002fffe,0xf98fffee,0x3ff203ff,0xbfff000f,
    0x0003fff2,0xfb3ffd40,0x21fff11f,0xff984ffd,0xfdffffff,0x82fff87f,
    0xff885ffc,0x7fffe41f,0x42ffffff,0x3f64fff8,0x40000eff,0x0004fff9,
    0x0007ffd8,0x403fffc0,0x2a00fffd,0x0005ffff,0x27fffdc0,0xf903fff8,
    0x7c4007ff,0xdff904ff,0x00000000,0x800fffd8,0xff14fff8,0xf70000bf,
    0x3fe003ff,0x0bfff15f,0x7d400000,0x3ff21fff,0x3fe2001f,0xfffd805f,
    0x00efffac,0x013fff60,0x4dfff100,0x3200fffc,0xff000fff,0x03fff2bf,
    0x7ffcc000,0x3fa6ff88,0x205ffd3f,0x4ffffffc,0x5fff0fff,0xf10bff90,
    0xfff503ff,0x103dffff,0xffd89fff,0x260000ef,0x80004fff,0x00007ffd,
    0x7403fff4,0xff9807ff,0x80000eff,0x202ffffc,0xffd04ffe,0x7fcc009f,
    0x1fff902f,0x00000000,0x8803fffc,0x3ffe4fff,0x7dc0000f,0xffc801ff,
    0x07fffe5f,0xfc800000,0x3ffee2ff,0x3ffee004,0x37ffdc03,0x200bfffb,
    0x0005fffb,0x3e3fffb0,0x7fe405ff,0xbfff000f,0x0003fff2,0x5cfffc40,
    0x57fee3ff,0x32601fff,0x0aaa0acd,0x3f20bffe,0x1fff885f,0x379b7510,
    0x227ffc40,0x006fffe8,0x013ffe60,0x01fff600,0x3fffb000,0x02fffcc0,
    0x1efffe88,0xfffb1000,0x6ffd803f,0x00fffff0,0x440fffcc,0x0002fffe,
    0xf8800100,0xfd8806ff,0x3fff24ff,0x7fd40004,0x7ffdc03f,0x17fff65f,
    0xfa800000,0x3ffe23ff,0xfffd000f,0x7fffcc01,0x0ffffa21,0x01ffff30,
    0x3ffe6000,0x402fffab,0xf000fffc,0x3fff2bff,0x3fe00000,0x220ffdaf,
    0x0fff9fff,0xfff00000,0x10bff905,0x00003fff,0x4427ffc4,0x0005ffff,
    0x0009fff3,0x000fffb0,0x05fffb80,0x800bfff2,0x02ffffd8,0x77fff440,
    0x1fffa800,0x17ffffd4,0x83fff880,0x005ffffe,0x02ffe400,0x803fffe0,
    0x24fffff9,0x002ffff8,0x81bffe60,0x25fffffb,0x00cffff8,0xffd80000,
    0x6fffe41f,0x3fff6200,0x3fffe203,0x1ffff983,0x03ffff10,0xeffe8000,
    0xfc807ffc,0xfff000ff,0x003fff2b,0xfcffd800,0xfcffe86f,0x2000007f,
    0xffc82fff,0x01fff885,0x3ffe2000,0xbffff304,0x9fff3000,0xfffb0000,
    0xff880000,0xfffc84ff,0xfff90006,0x3fea007f,0x3e000dff,0x3ffe26ff,
    0x2a82fffe,0xd8877ffc,0x05fffeff,0x7fdc0033,0x3f6003ff,0x7e4c0eff,
    0x5c4fffff,0x401dffff,0x7fff41a9,0x3fff620d,0x7fdc5ffe,0x4c41bfff,
    0x137b10fc,0x37ffe4c0,0x577fffc4,0x3fffaa20,0x2fffec06,0x01ffff90,
    0x3339fffb,0x33333333,0xffff7001,0xff9009ff,0x3ffe001f,0x001fff95,
    0x7fffe400,0xffffb83f,0xcccc886f,0xcccccccc,0x0bffe1cc,0x3e217ff2,
    0x999911ff,0x99999999,0x3ffe2399,0x3fffea04,0x33333304,0x3339fff5,
    0x7ec00333,0xc800007f,0xfddeffff,0x0004ffff,0x017fffee,0x009ffff7,
    0xfdffff90,0xffff19ff,0xd89fffdf,0xfffeffff,0xbdffffd5,0x6c009ffd,
    0x2006ffff,0xeefffff9,0xfecfffff,0xffffd84f,0xffeeeeff,0x7ffd43ff,
    0xffffeeff,0xfd85ffca,0xffffffff,0xff10ffff,0xfdddffff,0x203fffff,
    0xeffffffa,0x1efffffe,0x03ffff20,0xa8dfffd0,0xffffffff,0xffffffff,
    0xffff8806,0xffc800ff,0xbfff000f,0x0003fff2,0xfffffb80,0xfffff880,
    0xfffff885,0xffffffff,0x20bffe2f,0xff885ffc,0xfffff11f,0xffffffff,
    0x13ffe25f,0x87ffff70,0xfffffff9,0xffffffff,0x3ff6007f,0x74400007,
    0xffffffff,0x001fffff,0x3bfffe60,0x3ffffc80,0x3fff6000,0x3fe66fff,
    0x44ffffff,0xfffffff8,0x3ffffe25,0x2004ffff,0x005ffffc,0x7fffffdc,
    0xffb1efff,0x3fffee09,0xffffffff,0xffffc83f,0xf92fffff,0x3ffea0bf,
    0xffffffff,0xfffff10f,0xffffffff,0xffe8803d,0xffffffff,0x7fffd404,
    0xffff9802,0x3ffffee4,0xffffffff,0xfb006fff,0x3200bfff,0xff000fff,
    0x03fff2bf,0xfffa8000,0x3fff606f,0xffff884f,0xffffffff,0x0bffe2ff,
    0x3e217ff2,0xffff11ff,0xffffffff,0x3ffe25ff,0xffffc804,0x3ffffe63,
    0xffffffff,0x36007fff,0x400007ff,0xfffffffd,0x6fffefff,0x7ff44000,
    0xfffb11ef,0xfb00003f,0xda81bfff,0x82dfffff,0x83efffe9,0xffffffc9,
    0x3fe2001d,0xe98000ff,0x0cefffff,0xc8813ff6,0xfffffffe,0xff501cef,
    0x6419ffff,0x36e205ff,0xdfffffff,0x7ffff642,0x02dfffff,0x7ffff5c0,
    0x7c402def,0x2e005fff,0xff73ffff,0xffffffff,0x0dffffff,0x0bfffea0,
    0x007ffe40,0xff95fff8,0x4c00001f,0x2e03ffff,0xa883ffff,0xaaaaaaaa,
    0x3e0aaaaa,0x5ffc82ff,0x511fff88,0x55555555,0x22155555,0xfb004fff,
    0x3fe65fff,0xffffffff,0x07ffffff,0x001332e0,0x35fffb80,0x3f239995,
    0x440004ff,0xfd11fffd,0x800001df,0x13530029,0x20035100,0x20001aa8,
    0x80000aa8,0x800001a9,0x00199a98,0x0000d4c4,0x8004ccc0,0x01aaa999,
    0x01351000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x07fffcc0,0x17fffc40,0x20fe4000,
    0x00000de8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x2003fffe,0x000ffffa,0x00010080,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0037ec40,0x0000f7ec,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x0288001a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xabb98800,0x00010000,0x14002000,
    0x22000c00,0x751001aa,0x00379b99,0x802ccb88,0x00bccba8,0x26b2e620,
    0x00000000,0x55440000,0x555540aa,0x55555531,0x55555555,0x01005555,
    0xa8000010,0x0c00aaaa,0x55540000,0x988000aa,0x99999999,0x8166dc09,
    0x5dc42cc9,0xbbbbbbbb,0x333331bb,0x33333333,0x33333333,0x00000333,
    0x00000000,0x00000000,0x00000000,0x7fffff54,0x774003ff,0xd50bee02,
    0x007ecc0b,0xfa8017ee,0x13fea004,0x7ffffec0,0x4401efff,0x204ffffb,
    0xffffffc8,0x3f2200df,0x02ffffff,0x006ffe80,0xfffffff1,0xffffffff,
    0x3fea5fff,0x7fffc1ff,0xffffff74,0xffffffff,0x74c0dfff,0x5ffb00ef,
    0xfffb0000,0x3ff6a05f,0x300001df,0x001dfffd,0xffffffb8,0x3f65ffff,
    0x7fdc3fff,0x3ffe65ff,0xffffffff,0xffffff3f,0xffffffff,0xffffffff,
    0x000001ff,0x00000000,0x00000000,0x00000000,0xd9bdfff9,0x7001bfff,
    0xff305fff,0x0bffea9f,0xb817ffe2,0xfa805fff,0xff3004ff,0x3fff6007,
    0x0effffff,0xfffffb88,0xffff304f,0x0dffffff,0x3fffffe6,0x2005ffff,
    0x803ffffb,0xfffffff8,0xffffffff,0xfff52fff,0x3ffff81f,0xfffffff7,
    0xffffffff,0x7fec0dff,0x7fffb85f,0x7ffec000,0xffff700e,0xfd809fff,
    0x3ff6205f,0x3ee000ef,0xffffffff,0xfffff55f,0x3fffe21f,0xffff32ff,
    0xffffffff,0x3fffffe7,0xffffffff,0xffffffff,0x000000ff,0x00000000,
    0x00000000,0x20000000,0x880dffe8,0x2601fffb,0xffd05fff,0x07ffec1f,
    0x9817ffdc,0x2a05ffff,0x3001ffff,0x372007ff,0xfffcaaab,0x7fffdc2f,
    0xd104ffff,0xffd99dff,0xfffd07ff,0xffff7559,0xffff1005,0xff8801ff,
    0xffffffff,0xffffffff,0x81ffff32,0xff73ffff,0xffffffff,0xdfffffff,
    0x437fff40,0x000ffffc,0x409fffb0,0xfffffffa,0x3ffa05ff,0xefffb804,
    0x99995000,0x25999999,0x2ffffffc,0x9ffffff5,0x3fffffe6,0xd3ffffff,
    0xdddddddd,0xdddddddd,0x1ddddddd,0x00000000,0x00000000,0x00000000,
    0x7fe40000,0x4c1aaa9a,0x3ffa06fe,0x1fffc80f,0xe82fffc4,0xff300fff,
    0xfff50bff,0x881b503f,0x01e442ff,0xe89fff50,0xfffcffff,0x32076204,
    0x7fe45fff,0xfffe881f,0x75ffe400,0x999804ff,0x99999999,0x09999999,
    0xfd0ffff3,0xb00005ff,0x7fdc0dff,0x5fff983f,0x5fffb000,0x9cfffe80,
    0x885ffffc,0xd3003fff,0x00001dff,0x3ffffee0,0xfffff52f,0x4444447f,
    0x00888888,0x00000000,0x00000000,0x00000000,0x00000000,0xf72ffa80,
    0x261dffff,0xfffb83ff,0x04fff982,0xf307fff5,0x7fcc09ff,0x3ffea5ff,
    0x45ffd01f,0x3fa61ff8,0xfff3000f,0xf13efa85,0x220009ff,0x7ffc6fff,
    0x07ffe603,0xff36ff88,0x0000003f,0xe87fff88,0x80002fff,0x65406ffd,
    0x000f2602,0x200ef75c,0x74c3fff9,0xf911efff,0x6c4003ff,0x000005ee,
    0x1ffffff1,0x3fffffe2,0x00000001,0x00000000,0x00000000,0x00000000,
    0x20000000,0x2bbee5ff,0x3ff25feb,0x417ffe20,0x7ec06ffe,0xfffb80ff,
    0x3fffe601,0x01ffffad,0x21bfffd3,0xffff91ff,0xfffb1005,0xfff88501,
    0xfff10004,0x00fffc4d,0xfd80fffe,0x01bff22f,0xff100000,0x3fffb0ff,
    0xdffb0000,0x00000000,0x3fff5000,0xdffffd10,0x000bffff,0x54000000,
    0x7cc1efff,0x00002fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0xb87fe200,0xf89fea5f,0x03fff62f,0x1003fff2,0x3fa0bffd,0x7ffcc06f,
    0x801fffff,0xffafffea,0x00cfffeb,0xffffb995,0x3ffe2003,0xfff90004,
    0x007ffd49,0x7cc13ffa,0x1fffc46f,0x3e000000,0xfffd86ff,0xffd80001,
    0x00000006,0x7ffb8000,0x3ffffa20,0x0001ffff,0x44000000,0x02aa2019,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf5000000,0xf72fdc1f,
    0xff54fe8b,0x7fff507f,0x0fffe600,0x3013ffe6,0x03ffffff,0xffffeb80,
    0x6400cfff,0x03ffffff,0x013ffe20,0x83fffea0,0x2200fff9,0xffd02fff,
    0x01fff705,0x99999991,0x99999999,0x7ffc3999,0x00fffc86,0x06ffd800,
    0x00000000,0x402aa980,0xefffffc8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x6fc80000,0x7fee77dc,0xffdafec1,
    0x0fffd80f,0x41bffa00,0xfb807ffe,0x20005fff,0x00cffffb,0xffffff90,
    0xff1003df,0xffb8009f,0x7ffc42ff,0x07ffee02,0xfe817fee,0xffff884f,
    0xffffffff,0x22ffffff,0xffc85fff,0xfd80000f,0x0000006f,0x00000000,
    0x00037951,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ee37e40,0xfc80efff,0x109fff36,0x2e009fff,0xffb81fff,
    0x7ffd402f,0xb8005fff,0x0bffffff,0xeb999880,0x4400ffff,0x36004fff,
    0xff03ffff,0x3ffa01df,0x01fff886,0xf107ffea,0xffffffff,0xffffffff,
    0x42776c5f,0x00006eea,0x00001331,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x9dfb8ff7,
    0x24fe84fe,0xfa81fffb,0x7fcc02ff,0x5fff884f,0x7ffffd40,0xf7005fff,
    0xffdffdff,0xfb00019f,0xff8805ff,0xffe8804f,0x3fea02ff,0xfea99aef,
    0x5ffc81ff,0x446ffd80,0xcccccccc,0xcccccccc,0x000001cc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x57ee0ff9,0x1ffc1ff8,0x7ec1bffa,0x3ffa00ff,
    0x01fffb06,0x4cffffd4,0x2e05ffff,0x3ff3ffff,0x019ffff5,0x01fffe40,
    0x5013ffe2,0x001dffff,0xfffffffb,0xff109fff,0xfff3001f,0x00000007,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x71ffc000,0xf52fecbf,0x4fff983f,
    0x905fff88,0xff503fff,0x7ffd407f,0x3fffe61f,0x0efff985,0x3f623ff1,
    0xff1002ff,0xff8803ff,0x3fff204f,0x7fdc003f,0x02efffff,0x64009ffb,
    0x00000fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf9000000,0xf997ee3f,
    0x905ff88f,0xff503fff,0x4fff987f,0x206fff88,0x981ffffa,0xfc85ffff,
    0x2a17fc43,0x4ccd5c5f,0x46fffecb,0xffccccc8,0xf93cccef,0xddddffff,
    0x2a20bddd,0x2202bddc,0x22000ccc,0x00002ccc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3a000000,0x6c4ea8ef,0x100ffdbe,0x3f60dfff,0xdfff11ff,
    0x407fff60,0x201ffffa,0x445ffff9,0x882ff980,0x3ffffe20,0x40ffffff,
    0xfffffff9,0xfb6fffff,0xffffffff,0x0000ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4403dff3,0x7d403ffe,0xfff881ff,
    0x103fff33,0x7c409fff,0xff9801ff,0x7ff3001f,0xfffff100,0x3019ffff,
    0xffffffff,0x3f6dffff,0xffffffff,0x00007fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x357bfff5,0x007fffb7,0x0ca80336,
    0x1ae01dc4,0x98007a20,0x3fea001f,0xddd99003,0x54401599,0xaaaaaaaa,
    0x55532aaa,0x55555555,0x00000055,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x44000000,0xfffffffd,0x000000ef,0x00000000,0x77540000,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfdb73000,0x0000057b,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__consolas_44_latin_ext_x[560]={ 0,9,5,0,2,0,1,9,6,5,3,1,5,5,
8,2,1,2,3,3,0,3,2,2,2,2,8,5,2,2,4,6,0,0,3,1,2,4,4,1,2,3,3,3,
5,1,2,1,3,1,3,2,1,2,0,0,0,0,2,7,3,6,2,0,0,2,3,3,2,2,0,2,3,3,
2,3,3,1,3,1,3,2,4,3,1,3,1,0,1,1,3,3,10,4,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,9,2,1,1,1,
10,3,0,0,4,3,2,5,2,0,4,2,5,5,0,3,2,8,9,4,4,3,0,0,0,4,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,1,0,0,0,0,0,3,3,0,0,
0,0,0,0,0,3,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,1,1,0,0,0,0,0,3,0,
0,0,0,0,0,2,1,0,1,0,1,0,1,1,-1,-1,0,2,0,0,0,0,0,0,4,2,0,0,1,0,
1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,3,3,0,3,2,2,0,0,3,3,3,0,0,5,
3,-6,-4,4,2,0,3,0,0,2,3,0,0,0,2,3,0,0,0,0,0,0,0,0,-1,0,3,4,-1,0,
0,0,0,0,2,3,0,0,1,1,0,-4,1,1,0,0,0,0,0,0,0,0,0,0,2,3,0,0,0,0,
0,0,0,0,0,0,0,6,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,-3,-2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,2,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__consolas_44_latin_ext_y[560]={ 32,1,1,3,-1,1,2,1,0,0,1,9,25,18,
25,1,3,3,3,3,3,3,3,3,3,3,10,10,8,14,8,1,1,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,0,3,37,1,10,1,10,1,10,1,10,1,1,
1,1,1,10,10,10,10,10,10,10,3,10,10,10,10,10,10,0,-4,0,15,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,32,10,-1,3,4,3,
-4,1,1,3,3,11,18,18,1,2,1,5,1,1,1,10,1,16,32,1,3,11,1,1,1,10,-4,-4,-4,-4,
-4,-6,3,3,-4,-4,-4,-4,-4,-4,-4,-4,3,-4,-4,-4,-4,-4,-4,11,-1,-4,-4,-4,-4,-4,3,1,1,1,
1,1,1,-1,10,10,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,9,5,1,1,1,1,1,1,1,
-3,2,-4,1,3,10,-4,1,-4,1,-5,1,-4,1,-4,0,3,1,-3,2,-4,1,-5,1,3,10,-4,1,-4,1,
-4,1,-5,1,3,0,-4,-5,3,1,-4,1,-3,2,-4,1,3,1,-5,10,3,1,-4,1,3,1,10,-4,-5,3,
1,0,0,3,1,3,1,-4,1,3,10,-4,1,-2,3,10,-3,2,-4,1,-4,1,3,10,-4,1,3,10,-4,1,
-4,1,-4,1,3,10,-4,1,3,3,-4,0,3,3,-4,1,-3,2,-4,1,-6,-1,-4,1,3,10,-4,1,-4,1,
-4,-4,1,-5,1,-4,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-10,-6,-4,1,-4,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,10,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__consolas_44_latin_ext_w[560]={ 0,6,14,24,20,24,24,6,13,13,18,22,11,14,
8,19,22,20,19,19,24,18,20,20,20,20,8,11,18,20,18,14,24,24,19,21,21,17,17,21,20,18,16,20,
17,23,20,23,19,24,20,20,22,20,25,24,24,25,20,12,19,11,20,25,15,19,19,18,19,20,23,21,18,18,
17,20,18,22,18,22,19,19,19,18,20,18,22,24,22,22,18,17,4,17,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,6,18,21,22,23,
4,19,20,24,16,18,19,14,20,18,16,20,14,14,21,21,20,8,6,15,16,19,24,24,24,14,24,24,24,24,
24,24,25,21,21,21,21,21,21,21,21,21,23,22,24,24,24,24,24,19,22,22,22,22,22,25,19,19,21,21,
21,21,21,21,24,18,22,22,22,22,21,21,21,21,20,21,23,23,23,23,23,22,22,21,21,21,21,23,19,23,
24,21,24,21,25,20,21,22,21,21,21,21,21,20,24,28,23,23,21,22,21,22,21,22,18,20,21,22,21,23,
21,23,21,23,21,23,22,21,24,21,21,21,21,21,21,21,19,20,21,18,20,20,19,19,20,20,20,22,21,17,
18,28,28,21,26,22,18,22,21,20,18,22,21,22,20,18,24,23,24,23,25,24,24,24,24,23,20,19,24,23,
22,21,22,21,20,18,22,21,22,20,23,27,22,20,22,21,22,21,22,21,22,21,25,24,20,19,24,24,25,23,
25,22,21,22,21,22,21,17,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,23,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,24,21,25,24,26,25,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,20,18,22,20,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22, };
static unsigned short stb__consolas_44_latin_ext_h[560]={ 0,32,11,29,39,32,31,11,42,42,19,22,15,5,
8,36,30,29,29,30,29,30,30,29,30,29,23,30,25,12,25,32,40,29,29,30,29,29,29,30,29,29,30,29,
29,29,29,30,29,37,29,30,29,30,29,29,29,29,29,41,36,41,15,4,10,23,32,23,32,23,31,32,31,31,
41,31,31,22,22,23,31,31,22,23,30,23,22,22,22,31,22,41,45,41,10,29,29,29,29,29,29,29,29,29,
29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,0,31,39,29,27,29,
45,37,10,30,22,19,11,5,20,9,15,27,18,18,10,31,37,8,7,18,22,19,31,31,31,31,36,36,36,36,
36,38,29,36,36,36,36,36,36,36,36,36,29,36,37,37,37,37,37,19,38,37,37,37,37,36,29,32,32,32,
32,32,32,34,23,29,32,32,32,32,31,31,31,31,32,31,32,32,32,32,32,23,32,32,32,32,32,40,40,40,
35,31,36,32,38,31,37,32,37,32,38,32,37,32,36,33,29,32,35,31,36,32,37,32,38,31,36,32,37,41,
37,41,38,41,38,42,36,37,29,31,36,31,35,30,36,31,38,40,37,22,30,41,37,41,38,40,22,36,37,38,
40,32,32,29,31,29,31,36,31,38,31,36,31,34,39,32,36,31,37,32,37,32,30,23,36,31,38,31,36,31,
37,32,37,32,36,29,37,32,38,38,36,33,29,30,37,32,36,31,37,32,39,34,37,32,38,31,36,31,36,40,
36,36,31,37,31,36,31,31,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,37,29,29,29,
29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,
29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,
29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,
29,29,29,29,29,29,29,29,29,29,42,39,36,32,41,36,29,29,29,29,29,29,29,29,29,29,29,29,29,29,
29,29,29,29,29,29,29,29,29,29,38,31,38,38,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,
29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,
29,29,29,29,29,29, };
static unsigned short stb__consolas_44_latin_ext_s[560]={ 511,504,205,206,45,424,397,500,74,60,81,
482,500,359,341,381,434,297,256,107,231,415,1,276,457,122,499,500,24,184,43,
494,307,486,1,343,42,64,442,280,82,103,326,143,164,182,21,302,459,140,438,
22,415,478,460,390,365,339,318,294,188,169,163,374,306,135,387,195,69,155,152,
91,111,238,115,26,113,402,321,233,218,47,340,214,127,176,298,360,256,257,279,
151,1,133,283,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,
148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,511,501,485,
213,1,418,6,120,240,365,385,22,220,359,1,322,146,479,131,100,261,130,457,
350,505,115,425,41,481,456,431,416,475,356,284,140,397,344,368,309,331,1,353,
70,467,1,375,212,394,166,46,71,96,484,392,61,390,439,23,121,369,91,279,
431,202,180,158,344,46,231,87,194,401,24,1,470,28,50,444,422,366,154,320,
296,272,248,224,112,201,179,157,135,113,418,332,394,117,487,23,449,88,267,462,
354,325,310,135,224,281,246,92,281,299,377,164,244,48,471,188,23,201,466,401,
68,303,181,144,205,179,229,157,36,165,1,235,200,69,222,142,85,489,375,220,
373,417,463,43,253,261,274,369,352,442,46,347,305,442,292,321,346,1,323,72,
189,91,413,397,23,132,186,24,451,308,176,210,407,235,89,390,62,234,310,323,
334,259,354,97,1,1,47,422,260,478,114,261,240,443,253,171,64,434,136,117,
89,165,332,1,209,47,267,114,198,208,1,233,461,259,285,67,24,176,333,288,
493,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,73,
148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,
148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,
148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,
148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,
148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,
148,148,148,11,66,423,350,88,449,148,148,148,148,148,148,148,148,148,148,148,
148,148,148,148,148,148,148,148,148,148,148,148,148,284,378,261,240,148,148,148,
148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,
148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,
148,148,148,148,148,148,148,148,148, };
static unsigned short stb__consolas_44_latin_ext_t[560]={ 1,1,456,398,47,200,270,414,1,1,456,
428,398,456,456,163,335,398,398,367,398,335,367,398,335,398,335,163,428,456,428,
200,1,367,398,335,398,398,367,335,398,398,335,398,398,398,398,335,398,87,398,
367,398,335,367,398,398,398,398,1,163,1,456,456,456,428,237,428,270,428,335,
237,335,335,1,335,303,428,428,428,335,335,428,428,367,428,428,428,428,335,428,
1,1,1,456,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,
367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,1,47,1,
367,428,367,1,87,456,335,428,456,456,456,456,456,456,398,456,456,456,335,47,
456,428,456,428,456,303,303,303,303,163,163,125,163,125,47,367,125,125,200,125,
200,125,163,125,125,367,125,125,125,125,87,87,456,47,87,125,125,87,163,367,
237,270,270,270,237,237,200,428,367,200,270,270,237,303,303,270,270,237,303,237,
237,237,237,237,428,237,237,237,237,237,1,1,1,200,270,200,200,47,303,87,
200,87,200,47,270,87,270,200,200,367,200,200,303,200,200,87,237,47,270,163,
237,87,1,125,1,47,1,47,1,163,125,367,303,163,303,200,367,125,270,47,
1,87,428,367,1,87,1,47,1,428,163,87,47,1,270,270,367,303,367,303,
125,303,47,303,163,303,200,47,237,163,303,87,237,87,270,335,428,125,303,47,
303,125,303,87,237,87,270,125,367,47,270,47,47,125,200,367,367,47,270,163,
335,87,200,47,200,87,270,47,335,163,335,163,1,163,163,335,87,335,163,303,
237,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,87,
367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,
367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,
367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,
367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,
367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,
367,367,367,1,47,163,270,1,163,367,367,367,367,367,367,367,367,367,367,367,
367,367,367,367,367,367,367,367,367,367,367,367,367,47,303,47,47,367,367,367,
367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,
367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,367,
367,367,367,367,367,367,367,367,367, };
static unsigned short stb__consolas_44_latin_ext_a[560]={ 387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_44_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_44_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_44_latin_ext(stb_fontchar font[STB_FONT_consolas_44_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_44_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_44_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_44_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_44_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_44_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_44_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_44_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_44_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_44_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_44_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_44_latin_ext_s[i] + stb__consolas_44_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_44_latin_ext_t[i] + stb__consolas_44_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_44_latin_ext_x[i];
            font[i].y0 = stb__consolas_44_latin_ext_y[i];
            font[i].x1 = stb__consolas_44_latin_ext_x[i] + stb__consolas_44_latin_ext_w[i];
            font[i].y1 = stb__consolas_44_latin_ext_y[i] + stb__consolas_44_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_44_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_44_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_44_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_44_latin_ext_s[i] + stb__consolas_44_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_44_latin_ext_t[i] + stb__consolas_44_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_44_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_44_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_44_latin_ext_x[i] + stb__consolas_44_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_44_latin_ext_y[i] + stb__consolas_44_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_44_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_44_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_44_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_44_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_44_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_44_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_44_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_44_latin_ext_LINE_SPACING
#endif

