// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_45_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_45_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_45_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_45_latin_ext_BITMAP_HEIGHT        496
#define STB_FONT_consolas_45_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_45_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_45_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_45_latin_ext_LINE_SPACING          30

static unsigned int stb__consolas_45_latin_ext_pixels[]={
    0x3ee1fff7,0x310000ff,0x00cc0013,0xdd900000,0xa80005dd,0x2a600000,
    0x00001aaa,0x013b72a6,0x00000000,0x00000000,0x00000000,0xd7000620,
    0xdddddddd,0x2b37b61d,0x10000001,0x00300003,0x00000000,0x00c40000,
    0x77540c40,0xeeeeeeee,0x00000002,0x3ae00000,0x05bb300c,0x0004c400,
    0x7fdc054c,0x01fff70f,0x013ff200,0x0000ffcc,0x77ffe400,0x77cc0001,
    0xffa80000,0x80000dff,0x5fffffe9,0x0005fff7,0x7fcc0000,0x20001fff,
    0x0003fffd,0x7d40fff8,0xdb80005f,0x01bdffff,0x7fffffe4,0xfff0ffff,
    0x00019fff,0x0f7fec00,0x0fffdc00,0xfffff700,0x000dffff,0x01fffec0,
    0x00bffee0,0xf517ffe4,0xffffffff,0xffd8005f,0x37ffc03f,0xff700000,
    0xffff10bf,0xfff90003,0x7ffe4005,0xb87ffdc3,0xf0000fff,0xff1003ff,
    0x000001df,0x0027ffe4,0x02fffcc0,0x3fffea00,0xff700003,0x2ebfffff,
    0x00002fff,0xffff3000,0x7ec0001b,0x0003ffff,0x3f61ffec,0x3a60003f,
    0xffffffff,0x3fff203f,0x0fffffff,0xffffffff,0xf9000001,0x9800dfff,
    0x2007ffff,0xfffffffb,0xb00006ff,0x007fffff,0x03ffffea,0x1fffff50,
    0x3fffffea,0x2002ffff,0x03fffffd,0x0001bffe,0x0ffffd80,0x01ffffcc,
    0x3ffffea0,0xffff9800,0x43ffee0f,0x8000fffb,0x2e007ffa,0x0000efff,
    0x02fffd80,0xffff8800,0x3fea0001,0x035531ef,0xdffff100,0x3fee1357,
    0x0000002f,0x03ffff98,0x77ffec00,0x20003fff,0xffcefffb,0xf70001ff,
    0xfb77dfff,0x26209fff,0xffc99999,0xff95330f,0x00000bff,0x01fffffd,
    0x7ffffdc0,0xffff7001,0x00dfffff,0xfdfffb00,0xff9007ff,0xfd805fff,
    0xff52ffff,0x3333335f,0x3fff6001,0xff03fffe,0x400000df,0xf886fffc,
    0x64002fff,0x802fffff,0x21fffffa,0xff70fffb,0xffb0001f,0xfffd800b,
    0x2600000e,0x80000aaa,0x002fffe8,0x837ffea0,0xc8002ffd,0x3ee04fff,
    0x000002ff,0x17fffcc0,0x3fff6000,0x007fff92,0x7ffffec0,0xf70003ff,
    0x3ea01bff,0x7dc004ff,0xffd100ff,0xd800005f,0x4007ffff,0x00fffffa,
    0x06fff800,0x97ffec00,0x5c03fffc,0x402fffff,0x51fffffc,0x80003fff,
    0xff92fffd,0x0dfff07f,0x7ec40000,0x09ff501e,0xfffff700,0xffff3003,
    0x87ffdc1f,0x4000fffb,0x8003fff8,0x0005fffd,0x00359730,0x0ffffa00,
    0x83333000,0x8000fff8,0x7dc06fff,0x000002ff,0x03bffe60,0x3dffb000,
    0x003fffb8,0x3bfffee0,0xfff30002,0x3fff7009,0x07ffdc00,0x009fff30,
    0xffff9800,0xfffe8003,0xfff00004,0x7fec000d,0x1fffdc1e,0x0dffff10,
    0x4dffff30,0x0001fffa,0xf707bff6,0x6fff87ff,0x00000000,0xffe88000,
    0x3fee005f,0x87ffdc2f,0x4000fffb,0x8000fffb,0x002fffe8,0x3ffff620,
    0x7dc0004f,0x000004ff,0x80037fd4,0x7dc04fff,0x000002ff,0x00066620,
    0x40266620,0x80001998,0x22000098,0x32003fff,0x3ee004ff,0x7ff400ff,
    0xc9800005,0x32e0002c,0x3fe00002,0x3310006f,0x06662013,0x001bdb30,
    0xfa833b66,0x310001ff,0x26620133,0x0037ffc1,0x00000000,0x003cc880,
    0xffb80988,0x01fff70f,0x00199880,0x01bffe60,0xecdffd80,0xf10003ff,
    0x00000dff,0x0007ff90,0xb805fff3,0x00002fff,0x00000000,0x00000000,
    0x0dffb000,0x007ff880,0xb003ffee,0x00000dff,0x00000000,0x006fff80,
    0x00000000,0x7ffd4000,0x00000001,0x0001bffe,0x00000000,0x2e000000,
    0xfff70fff,0x00000001,0x0027ffe4,0x3fa27fc4,0xfffb0006,0x2e600005,
    0xffffffed,0xfff98001,0x17ffdc02,0x00000000,0x00000000,0x4c000000,
    0xe8000fff,0xff7002ff,0x7ffc801f,0x00000000,0x7c000000,0x000006ff,
    0x00000000,0x000fffd4,0xfff00000,0x0000000d,0x00000000,0x1fff7000,
    0x0003ffee,0xff880000,0x7cc001ff,0x003fec2f,0x002fffcc,0xfffffd80,
    0x002fffff,0x402fff98,0x5102fffb,0x00000003,0xaaa98000,0x54c00000,
    0xfd8000aa,0xff90003f,0x3ffee00b,0x03ffe400,0x80000000,0x0000aaa9,
    0x000dfff0,0x00000000,0x1fffa800,0x20000000,0x00006fff,0x001fffea,
    0x001bffe6,0x13322000,0x7dc3ffee,0x54c000ff,0x5c0000aa,0x44005fff,
    0xbff50eff,0x3fffd000,0xffe98000,0xffffffff,0x7cc003ff,0x7fdc02ff,
    0x3fff6a1f,0x3ea01dff,0xf98007ff,0xfd3006ff,0xffffffff,0x300fffff,
    0xfffffffd,0x8fffffff,0x0000fff8,0x2e00dff3,0x7e400fff,0xfff3007f,
    0xffffffff,0x26007fff,0xfffffffe,0x07ffffff,0x200dfff0,0x8007fffa,
    0x7dc6fff9,0xff9002ff,0x0fffd43f,0x3fffe600,0xffffffff,0x37ffc3ff,
    0x1ffffd80,0x002fffe8,0x2e1fffe4,0xffffffff,0x3fea006f,0x87ffdc0f,
    0x9800fffb,0xfffffffe,0x07ffffff,0x000fffe8,0x7fffffdc,0x7fd4001f,
    0x7d40004f,0xaabeffff,0x03ffffff,0x00bffe60,0x3ee3fff7,0xffffffff,
    0x0bfffa02,0x07fff900,0xfffffd88,0xffffffff,0x3f6207ff,0xffffffff,
    0x47ffffff,0x26205ffc,0x00fff0c1,0x9003ffee,0x3e600fff,0xffffffff,
    0x403fffff,0xffffffd8,0xffffffff,0xdfff007f,0x17fff400,0x0ffff200,
    0x2005fff7,0x3ea1fffc,0x7cc001ff,0xffffffff,0x7c3fffff,0xffd806ff,
    0xfff701ff,0xffff800b,0x7ffffdc0,0x2006ffff,0x7dc0fffa,0x1fff70ff,
    0x7fffec40,0xffffffff,0xfc807fff,0xea8002ff,0x8001dfff,0x0001fffc,
    0x2077fff4,0xfffffff8,0x5fff3000,0xc9fffb80,0xffffffff,0xff701fff,
    0xfff800bf,0x7ffec00f,0xfffdbbdf,0x207fffff,0xbbdffffd,0xfffffffd,
    0x40fffc7f,0xfeefffea,0x5c01ffe5,0x7e400fff,0xfff3007f,0xffffffff,
    0xfd807fff,0xfdbbdfff,0x7fffffff,0x00dfff00,0x002fffdc,0xf703fffe,
    0x3f2005ff,0x3ffea1ff,0x7ffcc001,0xffffffff,0x7ffc3fff,0x7fffec06,
    0x3fffe201,0xbfff3000,0xffffff70,0x5400dfff,0x7fdc0fff,0x01fff70f,
    0x5effffec,0xffffffdb,0xff9807ff,0x0040005f,0x01fffe00,0x1dfff700,
    0xfffbff70,0x3fe600bf,0x7ffdc01f,0x2a0cfffe,0xf106fffe,0x26001fff,
    0x7dc05fff,0xfd881eff,0xffb804ff,0xffd881ef,0x0dff304f,0xfffffff7,
    0x007ff49f,0x2007ffdc,0x26007ffc,0x99999999,0x203fffb9,0x881efffb,
    0x8004fffd,0x22006fff,0x3000ffff,0xff70bfff,0x3ff2005f,0x07ffea1f,
    0x26666600,0xffb99999,0x037ffc3f,0x003ffffb,0x2007fffb,0x9882fffc,
    0xfff99999,0x3ffea006,0xb87ffdc1,0xff700fff,0xffb103df,0xffd0009f,
    0xee98001f,0x54000eee,0x40004fff,0xfb00ffff,0x1ffff75f,0x01fff500,
    0xffffffb8,0x3ffff101,0x00ffff60,0x2017ffe4,0x2200ffff,0x7c00fffe,
    0x3a200fff,0xffb80fff,0x677ffd44,0x3fa3fffe,0xfffb801f,0x07ffdc00,
    0x3fea0000,0x3fffe03f,0x3fffa200,0x37ffc000,0x0ffff600,0x417ffe40,
    0x9002fffb,0x7fd43fff,0x2000001f,0x7fc3fffa,0xffffb06f,0x3ffea003,
    0x1ffff006,0x06fff800,0x707ffea0,0x3fee1fff,0x1ffff00f,0x07fff440,
    0x0ffff200,0xfffff900,0xfffc8007,0x3fee0001,0x43ffe05f,0xc803ffff,
    0xffb807ff,0x7dc00fff,0xfff504ff,0x3fffe00d,0x13ffe600,0x80fffee0,
    0xb804fff9,0xffd83fff,0xf12fff42,0x17fec3ff,0x007ffdc0,0x000fffea,
    0x07fff500,0x2013ffe6,0x4003fffb,0x54006fff,0xff006fff,0xfff701ff,
    0x3fff2005,0x007ffea1,0xfffa8000,0x6c37ffc3,0x4001ffff,0x5401ffff,
    0xf8004fff,0x3ee006ff,0x7ffdc1ff,0x301fff70,0xf7009fff,0xfa8007ff,
    0x7fc004ff,0x4006ffff,0x40007ffe,0xf502fffe,0x2fffdcdf,0x013ffe60,
    0x007fffee,0xf81fffe2,0x7d401fff,0x7fd404ff,0xfff9802f,0x0bffea04,
    0x213ffe60,0x3fea1fff,0x83ffe60f,0xfb802ffd,0xfff800ff,0x2a00000f,
    0xff503fff,0xfff3005f,0x6fff8009,0x1ffff800,0x827ffd40,0x9002fffb,
    0x7fd43fff,0x2000001f,0x7fc3fffa,0x7fffec6f,0xfffc8001,0x0fffec04,
    0x037ffc00,0xb83fff70,0xddd50fff,0x05fff501,0x009fff30,0x005fff98,
    0x3fffffe6,0x3ffe000f,0x7ffc0006,0x88fff207,0x26627fff,0x00ffffca,
    0x003fffb8,0xfc81fffa,0x7fec04ff,0x7ffdc01f,0x4fff9802,0x00bffee0,
    0xf313ffe6,0x44ffd8ff,0x7fec7ffb,0x0fffb802,0xcffffb80,0x2a00019a,
    0xff703fff,0xfff3005f,0x6fff8009,0x4fffc800,0x80fffec0,0x9002fffb,
    0x7fd43fff,0x2000001f,0x7fc3fffa,0x3ffff66f,0xfff10000,0x3ffe201f,
    0xdfff0006,0x17ffdc00,0x8003ffee,0x9802fffb,0x44004fff,0x32006fff,
    0x3fffcfff,0x0bfff100,0x2fffc400,0xff83fff0,0xffff70ff,0x2e001bff,
    0x36002fff,0xff100fff,0x3fe201ff,0xfffb806f,0x2fffa803,0x00fffee0,
    0xf50bffea,0x17ffc4bf,0xffb1bff2,0x1fff7003,0x3fffea00,0x50001fff,
    0x3ee07fff,0xffa803ff,0x7ffc002f,0xfff88006,0xdfff100f,0x017ffdc0,
    0x2a1fffc8,0x00001fff,0xf0fffea0,0x3fff2dff,0x7ec0000e,0xfff503ff,
    0x3ffe0007,0x3ffee006,0x007ffdc2,0x007fff70,0x0005fff5,0x7c00ffff,
    0x6fff9dff,0x0bfff300,0x27ffcc00,0xfe87ff98,0xffff71ff,0x7dc0017f,
    0x3f2002ff,0x3ff601ff,0x7fff503f,0x0dfff300,0x403fffd0,0xe806fff9,
    0x7fdc1fff,0xb03ffea4,0x1ffe8bff,0x00fffb80,0x3ffff620,0xff50001f,
    0x3ffe607f,0x1fffe806,0x037ffc00,0x03fffd80,0x5c07fff5,0xf9002fff,
    0x7ffd43ff,0x2a000001,0x7ffc3fff,0x00efffce,0x6fffa800,0x001fffb0,
    0x801bffe0,0x7dc2fffb,0x3e6000ff,0xffe806ff,0xffe8001f,0x7fff3007,
    0x2003fffa,0x0004fff9,0x5c0fffea,0xfffe84ff,0xfffffd52,0x3fee007f,
    0x3ff2002f,0x3ffea02f,0x01fffb06,0x813fffa0,0xe806fffc,0x3f204fff,
    0x4ffb86ff,0x3fa1ffee,0x007ff43f,0x8007ffdc,0xeffffffc,0xfff50000,
    0x27fff407,0x00dfff90,0x000dfff0,0x6c1bffea,0x3ee00fff,0xff9002ff,
    0x0fffd43f,0xff500000,0xeefff87f,0x00005fff,0xf107fffe,0x7c000bff,
    0x3f2006ff,0x7ffdc2ff,0x7fff4000,0x1bfff204,0x07fff400,0xc87ffe40,
    0xfa803fff,0x2e0003ff,0xffd02fff,0x05fffb05,0x05ffff71,0x005fff70,
    0x200fffe4,0x7c41ffff,0x3e2005ff,0xa99aefff,0x800ffffd,0x9aeffff8,
    0x0ffffda9,0x3f23ffc8,0x42fff86f,0xff7007ff,0xfff7001f,0x2a00003b,
    0x3e203fff,0xa99aefff,0x000ffffd,0x0006fff8,0xf107fffe,0xffb80bff,
    0xfff9002f,0x00fffd43,0xfff50000,0xe8efff87,0x00005fff,0xfb89fff9,
    0x3e0002ff,0x3f2006ff,0x7ffdc3ff,0x7ffc4000,0xfda99aef,0xd0000fff,
    0x3fe00fff,0x1bffe66f,0x013ffe60,0x82fffd80,0xff907ff8,0x7ffc407f,
    0x2fffb806,0x01fff600,0xf713fff2,0x7cc005ff,0xffffffff,0x3002ffff,
    0xffffffff,0x205fffff,0x3ff63ffc,0x10fffc45,0x3ee00fff,0x7fc400ff,
    0x5400005f,0x3e603fff,0xffffffff,0x0002ffff,0x4000dfff,0x7dc4fffc,
    0x7fdc02ff,0xfff9002f,0x00fffd43,0xfff50000,0xf36fff87,0x00009fff,
    0xfe8ffff1,0x7fc0007f,0x3ff2006f,0x07ffdc3f,0x3fffe600,0xffffffff,
    0x3fe0002f,0xfff9806f,0x007fffc3,0x0017ffe2,0xb82fffd8,0xfff905ff,
    0x0fffc805,0x017ffdc0,0x100dffd0,0xffe8ffff,0x77ff4007,0xffffffff,
    0x3ffa000c,0xfffffffe,0x3ff600cf,0xf517ff62,0x2ffcc1ff,0x00fffb80,
    0x000fffd4,0x0fffea00,0xfffeffe8,0x00cfffff,0x01bffe00,0x47fff880,
    0xfb807ffe,0xff9002ff,0x0fffd43f,0xff500000,0x26fff87f,0x003ffff9,
    0x32fffd80,0x80009fff,0x32006fff,0x7fdc3fff,0x7ff4000f,0xfffffffe,
    0x220000cf,0xfc806fff,0x7ffe41ff,0x06fff803,0x0ffff200,0x7ec0fff6,
    0x7fd401ff,0x7ffdc01f,0x17ffe002,0x997ffec0,0x2e004fff,0xdcb88fff,
    0x5c000abd,0xdcb88fff,0xfd800abd,0x717ff62f,0x3ffb8fff,0x01fff700,
    0x000fffb8,0x1fffd400,0xb88fffb8,0x000abddc,0x006fff80,0x997ffec0,
    0xfb804fff,0xff9002ff,0x0fffd43f,0xff500000,0x46fff87f,0x003ffffa,
    0xcafffd40,0x40001fff,0x32006fff,0x7fdc3fff,0x3fee000f,0xbddcb88f,
    0xf980000a,0xfff805ff,0x05fffa86,0x0007fff8,0x3e13ffee,0xfffd00ff,
    0x2fff9801,0x017ffdc0,0x003fffb8,0x3f2bfff5,0x3f6001ff,0xd800005f,
    0x900005ff,0x37fec5ff,0xffb1fffa,0x3ffee001,0x03ffe400,0x7ffd4000,
    0x00bffb03,0x3ffe0000,0x7fd40006,0x03fff95f,0x005fff70,0xfa87fff2,
    0x000001ff,0xff0fffea,0xffff70df,0xfff80005,0x006fff8f,0x006fff80,
    0xf70ffff6,0x2aaa21ff,0x005ffd80,0xfff50000,0x4fff9807,0x801ffff0,
    0x0000fffe,0xfa8bfff7,0x1fffa06f,0x00bffe60,0x1005fff7,0x4001ffff,
    0xfff8ffff,0x2fffc006,0x7ffc0000,0xff900005,0xf737fe47,0x37fccfff,
    0x01fff700,0x0007ffc8,0x03fffa80,0x0000bfff,0x01bffe00,0x23fffe00,
    0xf7006fff,0x3f2005ff,0x3ffea1ff,0x2a000001,0x7ffc3fff,0x5ffff906,
    0x7ffe4000,0x0003fffc,0x2006fff8,0x7dc4fffd,0x1fff70ff,0x000bfff0,
    0x3fff6000,0x0fffe401,0x403fffd8,0x0003fffc,0xfc8dfff5,0xdfff104f,
    0x05fff300,0x402fffb8,0x002fffd8,0x7fe7ffe4,0x7ffc003f,0x200000bf,
    0x000bffff,0xf527fdc0,0xfbff79ff,0x05ffd59f,0x007ffdc0,0x0001fff2,
    0x40fffea0,0x000bffff,0x37ffc000,0x7ffe4000,0x7003fffc,0x32005fff,
    0x3fea1fff,0x2000001f,0x7fc3fffa,0x3fff606f,0xff30001f,0x001fffff,
    0x00dfff00,0x2e27ffec,0xfff70fff,0x17ffff01,0xff800000,0x7fff806f,
    0x017ffea0,0x000dfff3,0xf83fffe2,0xfff701ff,0x5fff300b,0xadfffb80,
    0x7fffd440,0xfff98006,0x4000ffff,0xeffffffd,0x0abceeee,0xfffffd80,
    0xbceeeeef,0x8bff500a,0x8cffffff,0x04ffffff,0x007ffdc0,0x0001fff2,
    0x40fffea0,0xeffffffd,0x0abceeee,0x26666660,0x999efff9,0xf3000999,
    0x01ffffff,0x00bffee0,0xf50fffe4,0x000003ff,0x3e1fffd4,0x3fa206ff,
    0xd0001fff,0x00bfffff,0x4ccccccc,0x9999efff,0x7ffec099,0xb87ffdc4,
    0xffd80fff,0xeeeeffff,0x8000abce,0x4c04fffa,0x3e204fff,0x7f400fff,
    0xfd0000ff,0x1ffe67ff,0x802fffe8,0x5c02fff9,0xefffffff,0x0dffffff,
    0xffffd000,0xfd1000bf,0xffffffff,0x03bfffff,0x7fffff44,0xffffffff,
    0x2ffcc1df,0xd9bfffea,0x8005ffff,0x6400fffb,0x800007ff,0xd103fffa,
    0xffffffff,0x3bffffff,0xffffff98,0xffffffff,0x3a003fff,0x005fffff,
    0x400bffee,0x3ea1fffc,0x000001ff,0xff0fffea,0xfff880df,0xfa8000ef,
    0x3001ffff,0xffffffff,0xffffffff,0x4fffd87f,0xfb87ffdc,0xffe880ff,
    0xffffffff,0x001dffff,0x9007fff2,0xfd805fff,0x7fdc02ff,0xff70003f,
    0x09ff71ff,0x401bffe6,0x5c02fff9,0xffffffff,0x003fffff,0x7ffffd40,
    0xfff10001,0xffffffff,0x405fffff,0xfffffff8,0xffffffff,0x21bfe62f,
    0xab881bb8,0xfff70000,0x07ffc801,0xfffa8000,0x3fffe203,0xffffffff,
    0x3e62ffff,0xffffffff,0xffffffff,0x3ffea003,0x3ee001ff,0xff9002ff,
    0x0fffd43f,0xff500000,0x06fff87f,0x0effff98,0x5ffff800,0x3fffe600,
    0xffffffff,0x743fffff,0x7fdc5fff,0x01fff70f,0x3fffffe2,0xffffffff,
    0xff8802ff,0x7fff806f,0x05fffb80,0x0037ffc4,0xecffff88,0xffe882ff,
    0xfff3002f,0xefffb805,0xcdffffff,0xfff00001,0x3a2000bf,0xcbaabfff,
    0xfffffecc,0xfffe881f,0xecccbaab,0x11ffffff,0x00003fff,0x1fff7000,
    0x007ffc80,0x3fffa800,0x57fffd10,0xffd99975,0x3e63ffff,0xffffffff,
    0xffffffff,0x7fffc003,0x7ffdc005,0x3fff9002,0x000fffd4,0x7fff5000,
    0x5006fff8,0x001dffff,0x00ffffc4,0xffffff30,0xffffffff,0xffe87fff,
    0x87ffdc5f,0xe880fffb,0xcbaabfff,0xfffffecc,0x7ffec01f,0x2fffcc02,
    0x07fffc40,0x00ffff60,0x7ffffe40,0x7ff440ff,0x3fe6006f,0x7ffdc02f,
    0x00013312,0x3ffff100,0xfffd1000,0xfff51003,0xfffe887f,0xfffa8801,
    0x013ff63f,0x3ee00000,0x7fe400ff,0xfb800007,0xffe882ff,0xffa8801f,
    0x000003ff,0x3fffe200,0x90000001,0x7fd41fff,0x2000001f,0x0002fffb,
    0xff700000,0x000000df,0x0003bfea,0x3ee1fff7,0x7ff440ff,0xffa8801f,
    0x3fe603ff,0xfffc805f,0xeeeeeeee,0x02ffffee,0x007fffc4,0x7ffffc40,
    0x3ffb2a6f,0x3e6001ff,0x7fdc03ff,0x0000002f,0x000dfff7,0x000fffea,
    0xfa8bfffb,0x7ec003ff,0x1bfea5ff,0x2e000000,0x7e400fff,0xc800007f,
    0xffa80fff,0x7fec003f,0x0000005f,0x01bffee0,0xffd80000,0x00fffd47,
    0xfff90000,0x00000001,0x05ffff10,0xff300000,0xff70001f,0x03ffee1f,
    0x8007fff5,0x3a05fffd,0xff800fff,0xffffffff,0xffffffff,0x5fffb805,
    0xffff3000,0xffffffff,0xf88003ff,0x7fdc04ff,0x8000002f,0x002ffff8,
    0x003fff90,0x645fffa8,0x54001fff,0x7ffc5fff,0x40000001,0x6c00fffb,
    0x800006ff,0xff907ffe,0xffa8003f,0x3555005f,0xfff10000,0x0000005f,
    0x3ea37ffc,0x000001ff,0x5001fffa,0x20000355,0x005fffe8,0x7ffd0000,
    0x2e27ffc0,0xfff70fff,0x01fffc81,0x82fffd40,0x9804fffb,0xffffffff,
    0xffffffff,0xfe800fff,0xd10001ff,0xffffffff,0x20001bff,0x7dc06fff,
    0x000002ff,0x02ffff44,0x03fffd00,0x43fffb80,0x4001fffe,0x7e43fffb,
    0x000000ef,0x803ffee0,0x0005fff8,0x837ffd40,0x4001fffe,0x9803fffb,
    0x40002fff,0x005fffe8,0x3fea0000,0x0fffd44f,0xffa80000,0x3fe6006f,
    0xd880002f,0x0000efff,0x0fffa800,0xb85fff30,0xfff70fff,0x01fffe81,
    0x41fffdc0,0x800ffff9,0xeeeefffc,0xeeeeeeee,0x9802ffff,0x0000ffff,
    0xfffffff5,0xd80007bf,0x3ee04fff,0x000002ff,0x03bfff62,0x4fffd800,
    0x3fffe600,0x027ffec1,0x83ffff30,0x000efff9,0xffb80002,0x3fff600f,
    0x88018803,0xfb01fffe,0x7cc009ff,0xfb801fff,0x220000ff,0x000efffd,
    0xffd10000,0x1fffa81f,0x22006200,0x2001fffe,0x4000fffb,0xfffca999,
    0x000001ff,0x201fff90,0x7dc0fffb,0x1fff70ff,0x004fffd8,0x307fffe6,
    0x2003ffff,0x4000ffff,0x9005fffb,0x0001dfff,0x15539ff9,0x7fc40000,
    0x7dc1aeff,0x300002ff,0xffff9533,0xfb80003f,0x300adfff,0x709ffff9,
    0x015bffff,0x13ffff26,0x0577ffdc,0x0004eb88,0x9883ffee,0x006fffeb,
    0x22157df1,0x05ffffb9,0x2b7fffee,0xffff9300,0x17ff6009,0xfca99980,
    0x0001ffff,0x2226b6e0,0x84ffffb9,0x2001fffa,0x310abef8,0x00bffff7,
    0x8005ffd8,0xfffffffd,0x0000002f,0x26b7ffea,0x2e1bff60,0xfff70fff,
    0xdffffb81,0xfff9300a,0xfffe889f,0xbfff3001,0xffff1000,0x37ffec00,
    0x00fffc00,0x3fee0000,0xf75fffff,0x200005ff,0xfffffffd,0xfb00002f,
    0xddffffff,0xbfffffff,0x7ffffec0,0xffffeeff,0x7d405fff,0xedceffff,
    0x6404ffff,0xffffffff,0xfffff0ff,0x22005fff,0xffffffff,0x400effff,
    0xfffffffd,0xffffffee,0x3ffe005f,0x3fff6003,0x002fffff,0x7fffdc00,
    0x0effffff,0xffffffa8,0x7c42ffff,0xffffffff,0x4000efff,0xd8003fff,
    0x0dffffff,0xe8000000,0x3e4fffff,0xfffb83ff,0xb01fff70,0xdfffffff,
    0xfffffffd,0x05fffd0b,0x017ffe40,0x02fffe80,0x017fff60,0x0007ff98,
    0xffff7000,0x3ffeebff,0xffb00002,0x001bffff,0xffffc800,0xffffffff,
    0xffc802ef,0xffffffff,0x3002efff,0xffffffff,0xc805dfff,0xffffffff,
    0xfffff0ff,0x7c4003df,0xffffffff,0x3f2004ff,0xffffffff,0x002effff,
    0x8007ffe2,0xdffffffd,0xfb800000,0xffffffff,0x3fffea04,0x42ffffff,
    0xfffffff8,0x8004ffff,0x8001fff8,0x02cefffd,0x26000000,0xf14ffffe,
    0xfff703ff,0x403ffee1,0xfffffffc,0x2effffff,0x8007ffb0,0x0000ffff,
    0x800bfff7,0x2e002ffe,0x000004ff,0x3ffb2e20,0x005fff75,0x3bfff600,
    0x2000002c,0xfffffdb8,0x4002ceff,0xfffffdb8,0x8002ceff,0xefffdba8,
    0xff9001ce,0xffffffff,0x0b37bfe1,0x7ff64c00,0x001cefff,0xffffdb88,
    0x002cefff,0x4006ffa8,0x02cefffd,0x3f260000,0x01deffff,0x7fffffd4,
    0xc982ffff,0xcefffffe,0xdff50001,0x0004c000,0x4c000000,0x77710aaa,
    0x5c3ffee0,0x2e200fff,0xfffffffd,0x04d802ce,0x02fffcc0,0x0ffff300,
    0x4003e880,0x00002eec,0x00000000,0x00001300,0x01988000,0x03310000,
    0x00040000,0x00000000,0x00013100,0x00066200,0x04c00000,0x30000000,
    0x00000003,0x00000988,0x00000000,0x00000000,0x70fffb80,0x88001fff,
    0x00000019,0x000ffff2,0x005fffd0,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x87ffdc00,0x0000fffb,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xb87ffdc0,0x00000fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x99993000,0x00000007,
    0x00003100,0x00000040,0x3ba00000,0x7774c00e,0x3baa003e,0xddddd10e,
    0xdddddddd,0xbddddddd,0x3bbbbba6,0x000aacde,0x05dd9000,0x0d54c000,
    0x001eeeb8,0x6c3dddd3,0x30000eee,0x4009dddd,0x8000eeea,0x4c000018,
    0x199702cc,0x15554400,0x0002aaa8,0x00002666,0x54c00000,0x440001aa,
    0x00601bcb,0x55553000,0xeeeeeb85,0xeeeeeeee,0x4c0004ee,0x000effff,
    0x0005d951,0xbfffd300,0x6e540001,0xcdeffffe,0x65cc4002,0x1bdefffe,
    0x0fff1000,0x1fffff50,0x43ffee00,0xfffffff8,0xffffffff,0xf36fffff,
    0xffffffff,0x0003bfff,0x002ffe80,0x40bff600,0x8802fffc,0x7f43ffff,
    0xf50000ff,0x2003ffff,0x2000fffb,0x00dfffe9,0x87ff9800,0xb8007ff9,
    0x3f624fff,0x36a001ff,0xeffffffe,0xd9751001,0xffffffff,0x7ffdc00d,
    0xfb0001ff,0xa83bffff,0xf300003f,0xfc81dfff,0xffffffff,0x05ffffff,
    0x3fffe600,0x7ffdc004,0x7cc00002,0x006fffff,0xfffffe98,0x07ffffff,
    0x3ffffea0,0xefffffff,0x37fcc000,0x7ffffd40,0x1fff7004,0x3fffffe2,
    0xffffffff,0x36ffffff,0xffffffff,0x0bffffff,0x0fffc000,0xfff88000,
    0x05fff900,0xd09fffd0,0x20001fff,0x05fffffa,0x001fff70,0x3fffffe6,
    0xff880006,0xffecacef,0xfff70005,0x03fffd5d,0x3ffff620,0x02ffffff,
    0x7ffffdc4,0xffffffff,0xffff9006,0xd8005fff,0xffffffff,0x00fffdac,
    0x7fffcc00,0xfffff904,0xffffffff,0x26000bff,0x8002ffff,0x0002fffb,
    0x5c57fec0,0x3f6003ff,0xffffffff,0x8807ffff,0xfffffffd,0x0fffffff,
    0x02ffd400,0x7fffffd4,0x0fffb800,0x33333332,0xccdfffec,0xf33ccccc,
    0xb9999dff,0x07fffffd,0x1fff1000,0x3fea0000,0x0bfff206,0x20bfff90,
    0x0000fffe,0x1ffffff5,0x01fff700,0x2e2bff60,0xa80003ff,0xffffffff,
    0x3ea0000f,0x01efffff,0xffffff10,0x05ffffdf,0x7fffffdc,0xffffffff,
    0xfffc806f,0x02fffe9c,0x735dff50,0xffffffff,0xff980003,0x3ff202ff,
    0xccccccdf,0x003ccccc,0x00dfff98,0x05fff700,0x44ff8000,0xff7005fe,
    0x53559fff,0x980ffb75,0xdfffffff,0xfffedcab,0xfeb98800,0xf500abef,
    0x009fffff,0x4001fff7,0x3002fffc,0x74c09fff,0x0000ffff,0x0003ffcc,
    0x6407ff90,0x3ee02fff,0xffd00eff,0x3ea0001f,0x804fffff,0xf000fffb,
    0x005fe89f,0xffffd500,0x300003bf,0x001dffff,0x80efffec,0xfff500a8,
    0x85ffffff,0x7ec06ffe,0x7ffe42ff,0x881d7003,0x02effffd,0x77ffcc00,
    0x17ffe400,0x00000000,0x0bffee00,0x89ff0000,0xff9804fe,0x802003ff,
    0x0cfffff8,0x7007e440,0xffffffff,0xff50ffff,0x801fffdf,0x2000fffb,
    0x3002fffc,0xf8809fff,0x40003fff,0x4c006ffa,0xfffffedb,0x3fff201f,
    0x3ffff302,0x007fff40,0xfefffa80,0x7fdc00ff,0x89ff000f,0x400004fe,
    0x0000aaa9,0x004ccc40,0x00bfff50,0x7ffffc40,0x742fffff,0x266206ff,
    0x03331009,0x35510040,0x26620000,0x5fff9001,0xd9000000,0x5c0005bf,
    0x00002fff,0x7dcd7fec,0xfffd803f,0x3f600003,0x00002fff,0xffffffd5,
    0x0fffffff,0xfff7fff5,0x0fffb80b,0x0bfff200,0x027ffcc0,0x0027ffdc,
    0x8017fee0,0xfffffffd,0x3f202fff,0xfff882ff,0x7fff402f,0xfff50000,
    0xb809fff7,0xfb000fff,0x07ff735f,0x00000000,0x7dc00000,0x3a0002ff,
    0xffffffff,0x37ff42ff,0x00000000,0x00000000,0x00bfff20,0xffe88000,
    0x70005fff,0x00005fff,0xffffff88,0x1ffff006,0x3fe60000,0x500001ff,
    0xfbdfffff,0x0fffdbff,0xffb3fff5,0x7ffdc03f,0x3fff2000,0x9fff3002,
    0x0dfff300,0x3ffaa200,0x7ff4c01d,0xffffffff,0xfff903ff,0x07fffb05,
    0x001fffd0,0x3a7ffea0,0x3ee00fff,0xff1000ff,0x000dffff,0x00000000,
    0x7fe40008,0xff10002f,0xffffffff,0x06ffe85f,0x00000200,0x08000000,
    0x05fff900,0x7fec0000,0x203ffdac,0xfffffffc,0xffffffff,0x2001ffff,
    0x00cfffd8,0x007fff88,0x0ffffa00,0x7ffc4000,0x1fff10cf,0x7ffd4144,
    0x205fff99,0x2000fffb,0x3002fffc,0xf3009fff,0x6cc00dff,0xffffffff,
    0xffffa84f,0xfffaabef,0xffc83fff,0x2fffe42f,0x00fffe80,0x53fff500,
    0x7dc07fff,0x362000ff,0x8000cfff,0x4001eeeb,0x5001eeea,0xdffffdb9,
    0x3fea059b,0xf98000ef,0xffffffff,0x37ff42ff,0xffedca80,0x702cdeff,
    0xa8003ddd,0x95001eee,0xbdffffdb,0x2fffc859,0xff100000,0x3206fd87,
    0xffffffff,0xffffffff,0x10001fff,0x3ffff000,0xfff70000,0x3600001f,
    0x7fcc5fff,0x3fff5007,0x5c07fff6,0x32000fff,0xf3002fff,0xff7009ff,
    0x3ff2009f,0xffffffff,0xefffe87f,0x7ffffc40,0x7ffe40ff,0x01bffea2,
    0x000fffe8,0x3e3fff50,0x3fee07ff,0x0010000f,0x01fffc80,0x017ffdc0,
    0x3fffffa6,0x07ffffff,0x01dffff1,0xfffffb80,0x42ffffff,0x74c06ffe,
    0xffffffff,0xff907fff,0xffb8003f,0x7ff4c02f,0xffffffff,0x17ffe47f,
    0xff980000,0xf903fdc1,0xffffffff,0xffffffff,0xeeeb83ff,0x77754001,
    0x017fffa1,0x0ffff600,0xffff8000,0x8037fd41,0xff31fffa,0x3ffee0df,
    0x3fff2000,0x9fff3002,0x07fffb00,0xfffffe88,0x7ffffffe,0x4077ffdc,
    0xffffdffb,0x997ffe45,0x2000efff,0x0000fffe,0x3f23fff5,0xfff702ff,
    0x7774c001,0xfc8000ee,0x7dc001ff,0x3ff602ff,0xffffffff,0x3ea07fff,
    0x2003ffff,0xfffffffb,0x7f42ffff,0x3fff606f,0xffffffff,0xfff907ff,
    0xfffb8003,0x3ffff602,0xffffffff,0x17ffe47f,0xff880000,0x31037ec3,
    0xfff73333,0x33333337,0x3fff9033,0x2fffb800,0x017ffff2,0x01fffd00,
    0x3ffe6000,0x005ffb86,0x7ec3fff5,0xfffb82ff,0x3fff2000,0x9fff3002,
    0x06fffc80,0x8bffffe8,0x8b717ff8,0xfb00ffff,0x1ffff75f,0x7457ffe4,
    0x74001fff,0x50000fff,0x3fe23fff,0x1fff706f,0x7fffe400,0xffc8003f,
    0x7fdc001f,0xffff702f,0x7553559f,0x3f620ffb,0x01efffff,0xffffffa8,
    0x742fffff,0xfff706ff,0x553559ff,0x3f20ffb7,0x7dc001ff,0xfff702ff,
    0x553559ff,0xffc8ffb7,0x2000002f,0xffc9cffe,0xfffb8004,0xfff90002,
    0xfffb8003,0x3ffffa22,0xfff0003f,0x7cc0000f,0x7fe40fff,0x3fff5004,
    0x5c37ffcc,0x32000fff,0xf3002fff,0xfd5109ff,0xfb805fff,0x3fea1fff,
    0x17ffee07,0xfff0fff8,0x57ffe47f,0x8002fffd,0x0000fffe,0x7e43fff5,
    0xfffb82ff,0x3fffe000,0xfc8006ff,0x7dc001ff,0xfff982ff,0x2202003f,
    0xfffffffe,0x7fcc04ff,0xffffffff,0x437ff42f,0x003ffff9,0x0fffe402,
    0x0bffee00,0x00ffffe6,0x6fffe408,0xcccccccc,0x22000ccc,0x06ffffff,
    0x05fff700,0x07fff200,0x85fff700,0xfffffff9,0xfff1000b,0xff80000d,
    0x17fec3ff,0x41fffa80,0x7dc2fffd,0x3f2000ff,0xff3002ff,0xffffffff,
    0x8803ffff,0x7dc1ffff,0x3fffa05f,0x5cdff502,0x3ff25fff,0x003fffef,
    0x001fffd0,0x987ffea0,0xffb86fff,0xfff3000f,0x8001ffff,0x4001fffc,
    0xfd82fffb,0xd80003ff,0xffb8cfff,0x3e02efff,0xffffffff,0x37ff42ff,
    0x001fffec,0x01fffc80,0x417ffdc0,0x0003fffd,0x7fffffe4,0xffffffff,
    0x7ec4001f,0x2e0004ef,0x90002fff,0xb8003fff,0xfd882fff,0x1dffffff,
    0x02fffd40,0xfffffff7,0x7ffec3ff,0x007ffa3f,0x260fffd4,0x7fdc6fff,
    0x3ff2000f,0xfff3002f,0xffffffff,0xff70019f,0x09ff90bf,0xf903fffc,
    0x3fffc47f,0xfffffff9,0x3ffa0009,0xff50000f,0x1fffd83f,0x8007ffdc,
    0xfffcfffc,0x7ffe4003,0x7ffdc001,0x00ffff82,0x2fffcc00,0x3fffff62,
    0xfffff703,0xe85fffff,0xffff86ff,0xff900000,0xffb8003f,0x0ffff82f,
    0x7ffe4000,0xffffffff,0x0001ffff,0x7fdc0000,0xff90002f,0xffb8003f,
    0x3ffaa02f,0x01efffff,0x5c09fff7,0xffffffff,0x3fffe21f,0x00fffaef,
    0x903fff50,0x7fdc7fff,0x3ff2000f,0xfff3002f,0xffffffff,0x7ffec003,
    0x103ffd81,0x7fc0bfff,0x87fffc1f,0xfffcfffc,0xffe8002f,0xff50000f,
    0x5fff983f,0x8007ffdc,0xfff9dfff,0x7ffe4006,0x7ffdc001,0x03fffc42,
    0x07ffe400,0x4fffffa8,0xffffffd0,0xffe85fff,0x03fffc46,0x3fff9000,
    0x2fffb800,0x003fffc4,0x777ffe40,0xeeeeeeee,0x54c001ee,0x00009aaa,
    0x0005fff7,0x0007fff2,0x5005fff7,0xfffffffb,0x09fff709,0x7fffffdc,
    0x7fd41fff,0x07ffffff,0x207ffea0,0x3ee7fff8,0x3f2000ff,0xff3002ff,
    0xff9533bf,0x3fa005ff,0x05ffd07f,0x4c13ffe6,0xfffe87ff,0xf75fff91,
    0xe8003fff,0x50000fff,0xffd03fff,0x07ffdc3f,0xe9fffcc0,0x32000fff,
    0x5c001fff,0xfff82fff,0x7f40001f,0x7fec406f,0xfff882ff,0x42ffffff,
    0xfff86ffe,0xf900001f,0xfb8003ff,0xffff82ff,0x7fe40001,0x4c00002f,
    0xffffffec,0x5c002eff,0x90002fff,0xb8003fff,0x22002fff,0x6ffffffc,
    0x102fffd4,0xffb33333,0xfffd303f,0x003bffff,0x3203fff5,0xfff73fff,
    0x7ffe4001,0x9fff3002,0x03ffff30,0x3e0dfff0,0xfff501ff,0x213fee07,
    0xff92fffe,0x3bfff65f,0x3fffa000,0xfff50000,0x4bfff503,0xc800fffb,
    0xfff90fff,0x7ffe4007,0x7ffdc001,0x05fffe82,0x07fff400,0x077ffec0,
    0x7ffffe44,0x37ff42ff,0x002ffff4,0x01fffc80,0x417ffdc0,0x0005fffe,
    0x0017ffe4,0xfffff300,0xffffffff,0x3fee001d,0xff90002f,0xffb8003f,
    0xfb88002f,0x3e64ffff,0xfc8006ff,0x3fae01ff,0x1effffff,0x407ffea0,
    0xff77fff8,0x7fe4001f,0xfff3002f,0x1bffea09,0x10bfff30,0x3ee01fff,
    0x5ffd02ff,0x325fffb0,0xffd12fff,0x7ff400bf,0xff50000f,0x3fffa03f,
    0x001fff70,0x7fccdfff,0x3ff2006f,0x7fdc001f,0xffffc82f,0x3ff20005,
    0xfffb002f,0x7ff64405,0x37ff42ff,0x02ffffe4,0x0fffe400,0x0bffee00,
    0x017ffff2,0x02fffc80,0x3ffe6000,0xfffeefff,0xf7005fff,0x320005ff,
    0x5c001fff,0x20002fff,0x21ffffe8,0xc8007fff,0xea801fff,0xdfffffff,
    0x01fffa80,0x3eeffff2,0x3f2000ff,0xff3002ff,0x7ffec09f,0x1bffe203,
    0xfd81ffe6,0x7ff882ff,0x327fff90,0x3fe62fff,0xffd003ff,0x3ea0001f,
    0xfff501ff,0x003ffee9,0xff87fff3,0xff9000ff,0xffb8003f,0xfffe882f,
    0xfa8003ff,0xfa800eff,0x262004ff,0x437ff40a,0x3fffffe8,0x3fff2000,
    0x7ffdc001,0xffffe882,0xffc8003f,0x2600002f,0xd8809bef,0xb802ffff,
    0x90002fff,0xb8003fff,0x80002fff,0x3fe3fffe,0x7e4000ff,0xffb001ff,
    0x1dffffff,0x201fffa8,0xffbefff8,0x3ff2000f,0xfff3002f,0x3fffcc09,
    0x2a1fffe0,0x3ff606ff,0x05ffb82f,0x3f25fff9,0x7ffd42ff,0xfffe801f,
    0xfff50000,0x47fffc03,0x6400fffb,0x7fe41fff,0xfff9003f,0xfffb8003,
    0xfffff302,0x740017ff,0x4400efff,0x00005fff,0x3e60dffd,0x0bffffff,
    0x0fffe400,0x0bffee00,0x7fffffcc,0xff9000bf,0x4400005f,0x3fff2000,
    0x2fffb805,0x3fff9000,0x2fffb800,0xfffb8000,0x013fff65,0x003fff90,
    0x3faabffa,0x7fd46fff,0x7ffdc01f,0x2000fffe,0x3002fffc,0xfe809fff,
    0x3ffa03ff,0x02ffdc1f,0xfb07fff9,0x3fff607f,0x905fff91,0xe801ffff,
    0x50000fff,0x7dc03fff,0x0fffbbff,0x5437ffc0,0xf9005fff,0xfb8003ff,
    0x3f6202ff,0x1dffffff,0xeffff980,0x13ffe201,0x37ff4000,0xfffffb10,
    0x32003bff,0x5c001fff,0x36202fff,0xdfffffff,0x17ffe401,0x20000000,
    0xfa806fff,0xf90002ff,0xfb8003ff,0x980002ff,0x3fee6fff,0x3f2000ff,
    0xfff001ff,0x1ffffdc3,0xf003fff5,0x01ffffff,0x017ffe40,0x404fff98,
    0x3606fffa,0x7fe44fff,0x13ffee04,0x7f403ffe,0x5fff90ff,0x01bfffa0,
    0x0001fffd,0x8807ffea,0xfffbefff,0x13ffe600,0x4007fffc,0x4001fffc,
    0xa802fffb,0xfffffffe,0x7ffd401e,0xfff703ff,0x3fa00005,0xffea806f,
    0x01efffff,0x000fffe4,0x200bffee,0xffffffea,0xfff901ef,0x00000005,
    0xa807ffe8,0x90003fff,0xb8003fff,0x80002fff,0x7f44fffa,0x3f2003ff,
    0xff8801ff,0x2fffe40f,0x7003fff5,0x01ffffff,0x017ffe40,0x804fff98,
    0xf303fffe,0x7fec5fff,0x17ffee03,0x7f40dff5,0x0bfff27f,0x027fffc4,
    0x0001fffd,0x9007ffea,0x1fffdfff,0x80fffe40,0xc803fffd,0x5c001fff,
    0x2a002fff,0xfffffffd,0x7fffcc04,0x3ffe21ef,0x3fa00007,0x3f6a006f,
    0x04ffffff,0x0007fff2,0x4005fff7,0xffffffda,0x2fffc84f,0x40000000,
    0x4400fffd,0x90005fff,0xb8003fff,0x80002fff,0x7d42fffd,0xf9002fff,
    0xff3003ff,0x4dfff30f,0xd001fffa,0x001fffff,0x8017ffe4,0xa804fff9,
    0x3fa06fff,0x5ffd4fff,0x1bffea10,0x3e209ff9,0x3fff26ff,0x3fffea02,
    0x01fffd02,0x07ffea00,0xffffff10,0x3fffc01f,0x00bfff50,0x8003fff9,
    0x8002fffb,0xffffffc8,0x7ffe4406,0xffffadff,0x3fa00002,0xfc88006f,
    0x906fffff,0xb8003fff,0x88002fff,0x6ffffffc,0x0017ffe4,0x3f600000,
    0xfff800ff,0xffc8002f,0x7fdc001f,0x9000112f,0xfd01ffff,0xf9009fff,
    0xff5003ff,0x4ffff10d,0x7001fffa,0x001fffff,0x8017ffe4,0xf004fff9,
    0x3e605fff,0xfffdffff,0xf17da989,0x7ffc1fff,0x4bfff701,0x6402fffc,
    0xfe81ffff,0xaaaaabff,0x51aaaaaa,0xf9003fff,0x201fffff,0x2204fff9,
    0x6400ffff,0x5c001fff,0x20002fff,0x4fffffb8,0xffffea80,0x0003ffff,
    0x0037ff40,0xfffff710,0x03fff909,0x02fffb80,0x3ffee200,0x3fff24ff,
    0xaaaaaaac,0x1001aaaa,0xffffdb97,0x001fffff,0x039ffff9,0xfffc8173,
    0x7ffdc001,0x3559df92,0x3fee6623,0xff303fff,0x1379dfff,0x3fffd531,
    0x30bff700,0x7fd4bfff,0x3ffa001f,0x3f2000ff,0xff3002ff,0x3fee009f,
    0x3ffea06f,0xffffffff,0x3fffa7ff,0x740fff33,0x3ff22fff,0xfffe802f,
    0x7ffff40e,0xffffffff,0xfff54fff,0xffff1003,0x3ff201ff,0x7ffec02f,
    0x0fffe402,0x0bffee00,0x3ffa2000,0xff7001ff,0x0005ffff,0x00dffd00,
    0xffffd100,0x01fffc83,0x017ffdc0,0x7fff4400,0xfffff91f,0xffffffff,
    0xfc880bff,0xffffffff,0x800fffff,0xfffffff8,0x641fffff,0x5c001fff,
    0xfff92fff,0xffffffff,0x807fffff,0xffffffe8,0xffffffff,0x4ffc801f,
    0x2a3fffd8,0x2a001fff,0x2000ffff,0x3002fffc,0x22009fff,0x2602ffff,
    0xfffffffe,0x3ee7ffff,0x4ffb8fff,0xc8dfff30,0xf8802fff,0x7ff45fff,
    0xffffffff,0xf54fffff,0x3f6003ff,0xff00ffff,0xfff700ff,0x2fffc80b,
    0x0fffe400,0xfffd0000,0x7fec4007,0x800003ff,0x00006fff,0xf90ffffa,
    0xfc8005ff,0x200001ff,0xff93fffe,0xffffffff,0x40bfffff,0xfffffff8,
    0xffffffff,0xffd3000f,0xffffffff,0x01fffc83,0xc97ffdc0,0xffffffff,
    0x3effffff,0x3fffee00,0xffffffff,0xb01550ff,0x7fecc7ff,0x3ffea0ff,
    0x7fff4001,0x3fff2000,0x9fff3002,0x37ffe400,0x7fffe4c0,0x221aceff,
    0xffecffff,0x2fffe882,0x8017ffe4,0x3a3ffff9,0xffffffff,0x4fffffff,
    0x2003fff5,0x80fffff9,0x8805fff9,0x2e00ffff,0x6c002fff,0x00000fff,
    0x0017ffee,0x003ffff2,0x0bfff000,0x7ffdc000,0x017ffdc5,0x003fff60,
    0x5fffb800,0xfffffff9,0xffffffff,0x3fffa20b,0x3ff601bf,0x7f5c000f,
    0x1effffff,0x0017ffe4,0x64c7fff2,0xfffffffe,0x0002dfff,0xfffffb93,
    0xfc859dff,0xffebcdef,0xfffffecc,0x7ec00001,0x0000007f,0x40000000,
    0xc800dffc,0x0fffffff,0x037fff44,0x00000000,0x80000000,0xeeeefffc,
    0xffeeeeee,0x3fea02ff,0x7ff4003f,0x7cc00007,0xfb0006ff,0x400007ff,
    0x0004fff8,0x51bffe60,0xe8007fff,0x400007ff,0x0006fff9,0x2e05fff1,
    0xfb006fff,0x440001ff,0x3ee01999,0x7ec002ff,0x553100ff,0x00000335,
    0x8026aa62,0xfffffffc,0xffffffff,0xe800002f,0x000006ff,0x00000000,
    0x8801ffec,0x26ffffff,0x1ffffeca,0x00000000,0x00000000,0xfffffff0,
    0xffffffff,0x7cc0bfff,0x3e2005ff,0x400006ff,0x0004fffa,0x0007fff5,
    0x01fffd40,0x9fff5000,0x005fff98,0x001bffe2,0x09fff500,0x07ffd100,
    0x800fffec,0x0000fffd,0x7fff5000,0x07ffe800,0x00000000,0x3ffff200,
    0xffffffff,0x00000cff,0x005fff88,0x0001aaa8,0x00035550,0x0017ff40,
    0xfffffff3,0x3fffffff,0x06aaa000,0x06aaa000,0x0d554000,0x3fffe600,
    0xffffffff,0x0fffffff,0x03ffff10,0x013fff20,0x5fffb000,0x3fff2000,
    0xe8004401,0x00001fff,0xf10bfff6,0x32003fff,0x00004fff,0x0017ffec,
    0x3e02ffe4,0x3f6007ff,0x554000ff,0x3fe6001a,0x3fe2005f,0x5554006f,
    0x2aa00001,0x32e6001a,0xdeffffed,0x000000ab,0x000fffee,0x0005fff3,
    0x005fff30,0x00fffc00,0x3ffffa20,0x0dffffff,0x5fff3000,0xfff98000,
    0xff980002,0x7fe4002f,0xeeeeeeef,0xfffeeeee,0x3fff202f,0x7ffd400d,
    0x90001106,0x0001ffff,0xb00ffff3,0xfffc807f,0xc8000885,0xfc80ffff,
    0x7d400dff,0x001106ff,0x01ffff90,0x02fff880,0xc803fffc,0x2000ffff,
    0x2002fff9,0x001ffff8,0x4009fff9,0x0002fff9,0x005fff30,0x005ffb80,
    0x3fe60000,0x7dc000ff,0xb80000ff,0x00000fff,0x0001fff1,0xfffffff5,
    0xb80007bf,0x40000fff,0x0000fffb,0x000fffb8,0x0007fffc,0x8817ffee,
    0x41afffff,0x02ffffc9,0x33559df9,0x3ffee662,0x2f3e23ff,0xfda99999,
    0x7d404fff,0xb99aceff,0xc80ffffe,0x119aacef,0xfffff733,0x3fffe207,
    0x7fe4c1af,0x9df902ff,0x26623355,0x03fffffb,0x02fff980,0x1017fff4,
    0x01fffffd,0x007ffdc0,0x037fff20,0x00dfff50,0x000fffb8,0x01fff700,
    0x04ffc800,0x5cc40000,0x8003ffff,0x00005ffd,0x0000bffb,0x8003ffcc,
    0x0aa9cffc,0x3ff60000,0xffd80005,0xffb00005,0xfff9800b,0xfff88005,
    0x7fffdc07,0xffffffff,0x3ff205ff,0xffffffff,0x43ffffff,0xfffffff8,
    0x04ffffff,0xffffffd8,0x2fffffff,0xffffff90,0xffffffff,0xffb807ff,
    0xffffffff,0x3205ffff,0xffffffff,0xffffffff,0xfff10003,0xff90335d,
    0xffc985ff,0x000fffff,0x20017ff6,0x1afffff8,0x17fffe4c,0x017ff600,
    0x05ffd800,0x03ffd800,0x7fec0000,0xf0006fff,0x200007ff,0x00003fff,
    0x4001bfea,0x00001fff,0x000fffe0,0x000fffe0,0x001fffc0,0x000bfff2,
    0x2017fff4,0xffffffe9,0x402fffff,0xfffffffc,0xefffffff,0xfffff883,
    0x3fffffff,0x3fffaa00,0x1effffff,0x3fffff20,0xffffffff,0xfd3003ef,
    0xffffffff,0xffc805ff,0xffffffff,0x003effff,0x7ffffe40,0xfffff887,
    0xdfffffef,0x2000fffb,0x70003fff,0xffffffff,0x0bffffff,0x007fff00,
    0x01fffc00,0x017ff400,0x3ff60000,0xf10004ff,0x100003ff,0x00003fff,
    0x4002ffdc,0x00007ff9,0x007ffe20,0x03fff100,0x3fff1000,0x0ffff800,
    0xbfff7000,0x3fffb200,0x800cefff,0xfffffec9,0x02dfffff,0x3fffb6e2,
    0x0002deff,0x3bfff72a,0xfec9802c,0xffffffff,0xd90002df,0x9dffffff,
    0xffd93001,0xffffffff,0x2200005b,0x507ffffd,0xffffffff,0x3ffea7ff,
    0x3fff1000,0x7ff4c000,0xffffffff,0xff88002f,0xf100001f,0xf00003ff,
    0x000003ff,0x001cefd8,0x001bfea0,0x0037fd40,0x013ff200,0x0013fee0,
    0x06ffa800,0x06ffa800,0x0dff5000,0x05fff980,0x1fffe600,0x006a6200,
    0x2aaa6200,0x08800019,0x00000000,0x4d554c40,0x98800001,0x9880001a,
    0x00019aaa,0x0d554400,0xfffffb10,0x7ffd43bd,0x0dff5000,0x3ffb2000,
    0x00ceffff,0x00dff500,0x037fd400,0x00199800,0x00008000,0x00000000,
    0x2aa60000,0x2eec8001,0x00000000,0x00000000,0x3fff2000,0x7ff40003,
    0x0000002f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x000026a6,0x10000000,0x00000353,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xaa800000,0xaaa981aa,0xec80000a,0xa8803eee,
    0x00054c01,0x00ccc000,0x02aaa880,0x0de5c400,0x10000030,0x00155555,
    0x0003bd90,0x80000000,0xa981aaaa,0x5c000aaa,0x20002ccc,0x99702cc9,
    0x0f775c01,0x07bbaa00,0xa9803510,0x3ba60000,0x00000eee,0x0003bd90,
    0x00aaaa20,0x5554c000,0x2664002a,0x5001cca8,0x00015555,0x3bbbbba2,
    0xeeeeeeee,0x000005ee,0x40dfffc8,0x004ffff9,0x3ffffc80,0x02fff980,
    0x0001dff9,0xfffec880,0x3e6003ff,0x0004ffff,0x3bfffffb,0x00003fa8,
    0x0bffffa2,0x3ffff200,0x36e60000,0x009bdffe,0xbfff9000,0x4ffff981,
    0x7fffe400,0xff30002f,0x80fff30f,0x4001fffc,0x2602fffb,0xff902fff,
    0x3f20001d,0x0003ffff,0x0ffffc80,0x7ffcc000,0x400004ff,0x00effff9,
    0x7417ffc0,0xff3002ff,0x30001dff,0xffffffff,0xffffffff,0x09ffff0f,
    0x2fffe400,0x017fffcc,0x77ffe400,0xdfffb001,0x07ffff10,0x7ffd4000,
    0x003fffff,0xfffffff3,0xfffd8009,0xdacfffff,0x80000fff,0x00efffe8,
    0x5fffff00,0x3fff2000,0x1effffff,0x7ffe4000,0x2ffff985,0x7fffec00,
    0x88003fff,0xecacefff,0x7fe405ff,0x7fdc001f,0x3fff602f,0x3ffff886,
    0xfffff000,0xf00000df,0x0005ffff,0x7fffffcc,0xf300004f,0x20009fff,
    0xebacfffd,0x22000fff,0x000efffd,0x7fffffcc,0xffffffff,0xffff87ff,
    0xfff70004,0x3dfff30b,0xfff90000,0xfffb800b,0x05fffd05,0x3ffe6000,
    0x03ffffff,0xc9efffa8,0xf5005fff,0xfff735df,0x003fffff,0x13fff600,
    0xfffff000,0xffe88005,0xffffffff,0xf70002ff,0xfff30bff,0xffd8003d,
    0x4fffd8bf,0xffffa800,0x400fffff,0x4001fffc,0x2e02fffb,0xffd05fff,
    0xff30005f,0x001fffff,0xfffff800,0xfff50002,0x0bfff93d,0xffff9800,
    0x3fa20002,0x2fffffff,0xdfff7000,0x66644001,0xdfffeccc,0xf84ccccc,
    0xa8004fff,0xff985fff,0xa80000ef,0x88003eee,0xff501ffe,0x7f40000b,
    0x33309eff,0x44fffa80,0x800dfffa,0x7fec40eb,0x00002eff,0x0005fffb,
    0x00dfff70,0xefffff98,0xffffecac,0x7fd4003f,0xefff985f,0x3ffa2000,
    0x27ffdc1e,0x7fff5400,0xfc801dff,0x7dc001ff,0x3fa202ff,0x0bff501f,
    0x33fff200,0x00003fff,0x0037ffdc,0x544fffa8,0x8000dfff,0x000efff9,
    0xffffd880,0x4c0002ef,0x0000efff,0x002fffc8,0x000ffffa,0x4c406662,
    0x00000019,0x02001000,0xfffb8000,0x26660006,0x01333100,0x1aa88020,
    0x26620000,0x2a000009,0x7f4000bc,0xff300eff,0x44001fff,0x33310199,
    0x13331000,0x00066620,0x000aaa98,0x0007fff2,0x1005fff7,0xf8000200,
    0x6fff9dff,0xbca80000,0x13330000,0x00266620,0x00066620,0x06aaa200,
    0x99988000,0xffc80000,0x3ffa002f,0x0000003f,0x00000000,0x00000000,
    0x001fffec,0x00000000,0x00000000,0x20000000,0x400efffa,0x004ffff9,
    0x00000000,0x00000000,0x007fff20,0x005fff70,0xf3000000,0x3fffa7ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00bfff20,0x003fffe8,
    0xb8000000,0xffffffff,0x0000006f,0xfff80000,0x0000000f,0x00000000,
    0x00000000,0x7fff4000,0xffff3000,0x00000001,0x005fff70,0x00000000,
    0x8003fff9,0x0002fffb,0xffc80000,0x07fff90f,0x00000000,0x00000000,
    0x00000000,0x40000000,0x2002fffc,0xb803fffe,0x54001eee,0x7dc01eee,
    0xffffffff,0xdb980006,0x009bdffe,0xbfff3000,0x2e620000,0xbdefffec,
    0x76dcc001,0x0009bdff,0xffeca980,0x2000bdef,0xfffecb98,0xffb81bde,
    0x7ff4005f,0x6dcc003f,0x009bdffe,0x017ffdc0,0x36e60000,0x009bdffe,
    0x000fffe4,0xd70bffee,0xea8003dd,0xfff801ee,0x01bffe66,0x7f654c00,
    0x000bdeff,0x7fff654c,0xeeb80bde,0x7754001e,0x9731001e,0x37bdfffd,
    0x007bbae0,0x003ddd50,0x4005fff9,0xc803fffe,0x5c001fff,0x7dc02fff,
    0xffffffff,0x7fec0006,0xefffffff,0xffa80001,0xfa80004f,0xffffffff,
    0xd800efff,0xffffffff,0xd30001ef,0xffffffff,0xf500bfff,0xffffffff,
    0x7f41dfff,0x7dc002ff,0x3f6006ff,0xffffffff,0x3fee001e,0x2000002f,
    0xfffffffd,0x3f201eff,0x7dc001ff,0x7ffe42ff,0x7ffdc001,0x1fffcc02,
    0x0003fffe,0xfffffe98,0x05ffffff,0xfffffe98,0x45ffffff,0x4001fffc,
    0xa802fffb,0xffffffff,0x640effff,0x5c001fff,0xfc802fff,0x3f6002ff,
    0xffc802ff,0x7fdc001f,0x3fe0002f,0xfd30006f,0xffffffff,0x80005fff,
    0x0003fffb,0x3fffff62,0xffffffff,0x3ffa600f,0xffffffff,0x7dc002ff,
    0xffffffff,0x2206ffff,0xfffffffd,0x0fffffff,0x2001fffe,0x9807fff8,
    0xfffffffe,0x002fffff,0x0005fff7,0xffffd300,0xffffffff,0x07fff205,
    0x85fff700,0x4001fffc,0x6402fffb,0x7fe41fff,0xff70003f,0xffffffff,
    0xfb80dfff,0xffffffff,0x7e46ffff,0x7dc001ff,0x3f6202ff,0xffffffff,
    0x640fffff,0x5c001fff,0xfc802fff,0x3f6002ff,0xffc802ff,0x7fdc001f,
    0x3fe0002f,0xffa8006f,0xecabefff,0x003fffff,0x00bfff60,0x7ffffcc0,
    0xedcabdff,0xff500fff,0xd957dfff,0x007fffff,0xffffffb1,0xffdb977b,
    0x3fffe60d,0xdcabdfff,0xff10fffe,0x3fa000bf,0x3fea00ff,0xecabefff,
    0x803fffff,0x0002fffb,0x7ffffd40,0xfffecabe,0xfffc83ff,0x7ffdc001,
    0x00fffe42,0x00bffee0,0xff50dfff,0xfd8800bf,0xbbdfffff,0x106ffedc,
    0xbffffffb,0xdffdb977,0x001fffc8,0x9817ffdc,0xdfffffff,0xfffedcab,
    0x00fffe40,0x00bffee0,0x800bfff2,0xc802fffd,0x5c001fff,0x20002fff,
    0xe8006fff,0xd100efff,0x0001ffff,0x0007fffa,0x33ffffe2,0x807e4400,
    0x100efffe,0x801ffffd,0x00dffffd,0x7fc4364c,0x4400cfff,0x9fff30fc,
    0x3fffa000,0x3bfffa01,0xffffd100,0x2fffb801,0x7ff40000,0xffd100ef,
    0xfffc81ff,0x7ffdc001,0x00fffe42,0x80bffee0,0xff04fff9,0x7ec001ff,
    0x4c00dfff,0xffffb06c,0x46c9801b,0x4001fffc,0xf882fffb,0x400cffff,
    0x7fe40fc8,0x7fdc001f,0xfffc802f,0x3fff6002,0x1fffc802,0x17ffdc00,
    0x0dfff000,0x0efffb80,0x27fffc40,0x07fff800,0x5ffffb00,0x3fee0000,
    0x7fc400ef,0x3fea04ff,0xd80004ff,0x0002ffff,0x000fffea,0xb817ffec,
    0x4400efff,0x5c04ffff,0x00002fff,0x003bffee,0xc89ffff1,0x5c001fff,
    0x7fe42fff,0x7fdc001f,0x3fff202f,0x07fffb01,0x13fffea0,0x3ffea000,
    0x7e40004f,0x7dc001ff,0xfffd82ff,0xfc80002f,0x7dc001ff,0xffc802ff,
    0x3ff6002f,0xfffc802f,0x7ffdc001,0x3ffe0002,0x7fffc006,0xffff3000,
    0xffff1000,0xffff3000,0x7fc00003,0xff3000ff,0x7fff40ff,0xff980003,
    0x5c0001ff,0x90002fff,0x3fe05fff,0xff3000ff,0xfffb80ff,0x3fe00002,
    0xff3000ff,0x1fffc8ff,0x17ffdc00,0x0007fff2,0x7c05fff7,0x3fea07ff,
    0xfffd005f,0x3fa00007,0xc80003ff,0x5c001fff,0x7fcc2fff,0x900001ff,
    0xb8003fff,0xfc802fff,0x3f2002ff,0xffc801ff,0x7fdc001f,0x3fe0002f,
    0x3fee006f,0x7ff4005f,0xfffff03f,0xffffffff,0xd01fffff,0x00007fff,
    0x002fffdc,0x2a0ffffa,0x00007fff,0x0007fffd,0x005fff90,0x20ffff20,
    0x4005fffb,0x2e03fffe,0xaa982fff,0xfffb8009,0x7fff4005,0x007fff23,
    0xc85fff70,0x5c001fff,0xff302fff,0x7ffc409f,0x7ffd400f,0xff500007,
    0x320000ff,0x5c001fff,0x7ff42fff,0x3200003f,0x5c001fff,0xfc802fff,
    0x3f2002ff,0xffc801ff,0x7fdc001f,0x3fe0002f,0x3ffa006f,0x7fdc002f,
    0xfffff06f,0xffffffff,0xb81fffff,0x0000ffff,0x00bfffa0,0xd0dfff70,
    0x00007fff,0x001ffff7,0x05fffb00,0x0bfff200,0x000bfffa,0x5c0dfff7,
    0x3fae2fff,0x200dffff,0x4002fffe,0x3f26fffb,0x7dc001ff,0x7ffe42ff,
    0x7ffdc001,0x05fff902,0x402fffd8,0x0003fffe,0x007fffd0,0x07fff200,
    0x45fff700,0x000ffffb,0x07fff200,0x05fff700,0x005fff90,0x400fffe4,
    0x4001fffc,0x0002fffb,0xf801bffe,0xf88007ff,0xffff07ff,0xffffffff,
    0x81ffffff,0x0003fffd,0x003fffc0,0x223fffc4,0x00007fff,0x0007fffb,
    0x00ffff20,0x40fffec0,0x88007fff,0x3ee07fff,0xfffd89ff,0x01ffffff,
    0x1000ffff,0x7fe4ffff,0x7fdc001f,0x0fffe42f,0x0bffee00,0x5c03fffc,
    0x3e205fff,0x100007ff,0x0000ffff,0x000fffe4,0xfd8bffee,0x400003ff,
    0x4001fffc,0xc802fffb,0x32002fff,0xfc801fff,0x7dc001ff,0x3e0002ff,
    0xff1006ff,0x3fa000bf,0x3f2000ff,0x7f4002ff,0x200000ff,0x0005fff8,
    0x7d41fffd,0xd00005ff,0x00001fff,0x0013ffee,0x2207ffec,0xd0005fff,
    0x3ee01fff,0xffffeaff,0x86fffffe,0x0005fff8,0x3f21fffd,0x7dc001ff,
    0x7ffe42ff,0x7ffdc001,0x05fff982,0x00ffff88,0x000bfff5,0x017ffea0,
    0x1fffc800,0x17ffdc00,0x0001fffd,0x01fffc80,0x017ffdc0,0x0017ffe4,
    0x9003fff9,0xb8003fff,0x20002fff,0xf3006fff,0x3a0009ff,0x36000fff,
    0x7c001fff,0x400007ff,0x0004fff9,0x7dc1fffd,0xf00004ff,0x40000fff,
    0x0004fffa,0xff30fffd,0x3fa0009f,0xfff700ff,0xfa87ffff,0x7fcc3fff,
    0xffd0004f,0x0bfff21f,0x83fff900,0x4001fffc,0xfc82fffb,0xeeeeeeff,
    0xffffeeee,0x09fff702,0x3ffee000,0x3f200004,0x7dc001ff,0x1fffe2ff,
    0x3ff20000,0x7fdc001f,0xfffc802f,0x3ffee002,0x1fffc800,0x17ffdc00,
    0x0dfff000,0x00fffea0,0x00fffec0,0x001fffd0,0x0037ffc4,0x0fffea00,
    0x0fffec00,0x0007fff9,0x00dfff10,0x37ffcc00,0x3fffc400,0x001fffd4,
    0x701fffd8,0x01dfffff,0xf51bffea,0x360007ff,0xfff71fff,0xfffd8005,
    0x00fffe40,0x20bffee0,0xffffffff,0xffffffff,0xfff905ff,0x3f200007,
    0x200003ff,0x4001fffc,0xff12fffb,0x900000df,0xb8003fff,0xfc802fff,
    0x3ee002ff,0xffc800ff,0x7fdc001f,0x3fe0002f,0xfff7006f,0x3ff20005,
    0x3ffe002f,0x7ffd4007,0x3fffee05,0x2e1fffff,0x90002fff,0x7fec5fff,
    0xfa80002f,0x3fee05ff,0x1fffffff,0x001ffff1,0xb85fffb8,0x90002fff,
    0x3ee05fff,0x7400efff,0x7ffdc7ff,0xfff90002,0x00fffea5,0xf90fffd0,
    0xfb8003ff,0x7ffcc2ff,0xffffffff,0xffffffff,0x02fffd80,0x5fffb000,
    0x7fe40000,0x7fdc001f,0x0bfff52f,0x7fffffdc,0x7fe41fff,0x7fdc001f,
    0xfffc802f,0x3ffee002,0x1fffc800,0x17ffdc00,0x0dfff000,0x00bfff60,
    0x01fffe40,0x006fff88,0x7027ffdc,0xffffffff,0x17ffec3f,0x3fffc800,
    0x0007fffa,0x813ffee0,0xfffffffb,0x3fffa1ff,0x7fff4003,0x02fffd82,
    0x07fff900,0x003fffee,0xfd83fff6,0xf90002ff,0x3ffe67ff,0x3ffe2005,
    0x01fffc86,0x217ffdc0,0xeeeefffc,0xeeeeeeee,0xfe82ffff,0xd00001ff,
    0x00003fff,0x000fffe4,0x7dcbffee,0x3fee04ff,0x1fffffff,0x000fffe4,
    0x200bffee,0x2002fffc,0xc800fffb,0x5c001fff,0x20002fff,0xf9006fff,
    0x320005ff,0xf3003fff,0xfb800bff,0x3fee04ff,0x1fffffff,0x000bfff2,
    0xfd1fffe4,0x700003ff,0x7dc09fff,0xffffffff,0x01bffee1,0x906fff98,
    0x20005fff,0xf703fffc,0x3f2005ff,0x3fff21ff,0xfff90002,0x07fffe27,
    0x41fffe40,0x4001fffc,0x7fc2fffb,0x7dc000ff,0xfffe85ff,0xffd00001,
    0x6400003f,0x5c001fff,0xfff72fff,0x7fffdc09,0x641fffff,0x5c001fff,
    0xfc802fff,0x326002ff,0xfff9004c,0xfffb8003,0x3ffe0002,0x7fff9006,
    0x3fff6000,0x9fff5002,0x5fffa800,0x26666620,0x3f21fffd,0xfb0003ff,
    0x7ffec5ff,0xffa80002,0x2666205f,0x21fffd99,0x804ffff8,0x902fffe8,
    0x20007fff,0xf702fffd,0x3f2005ff,0x3fff21ff,0xfffb0003,0x06fffe45,
    0x03fffea0,0x0007fff2,0x7cc5fff7,0xf88005ff,0xfffd87ff,0xffb00002,
    0x6400005f,0x5c001fff,0xfff52fff,0x4cccc40b,0x641fffd9,0x5c001fff,
    0xfc802fff,0x000002ff,0x000fffe4,0x000bffee,0x7006fff8,0x20009fff,
    0x7002fffd,0x98007fff,0xc8006fff,0x3fee1fff,0xffb0004f,0x1fffe45f,
    0x7ffcc000,0xfffc8006,0x1ffffe41,0x0ffffd10,0x0027ffdc,0x702fffd8,
    0x32005fff,0x3fee1fff,0xffb0004f,0x7fffc45f,0x7fe4c1af,0xfff903ff,
    0xfffb8003,0x00bfff22,0x217fff40,0x0003fffc,0x007fff90,0x0fffe400,
    0x4bffee00,0x8006fff9,0x7e41fffc,0x7dc001ff,0x555512ff,0x59fffb55,
    0x00055555,0x007fff20,0x005fff70,0x8037ffc0,0x0004fffa,0x2003fffd,
    0x8002fffc,0xc8007fff,0x3fea1fff,0xffd0004f,0x27ffdc3f,0x7fff8000,
    0x1fffc800,0x6fffff44,0xffeca89b,0x3fea01ff,0xffd0004f,0x3ffee03f,
    0x3fff9002,0x0027ffd4,0x5c1fffe8,0xffffffff,0x04ffffff,0x0007fff2,
    0x7fc5fff7,0xf70000ff,0xfffb8bff,0xff700004,0x6400009f,0x5c001fff,
    0x3ffe2fff,0xfffc8007,0x00fffe41,0x4cbffee0,0xffffffff,0xffffffff,
    0x20015307,0x4002fffc,0x0001fffc,0x4c01bffe,0x88006fff,0x3a007fff,
    0xf8001fff,0x64000fff,0x3fe61fff,0xff88006f,0x2fffd47f,0xffff8000,
    0x7ffe4000,0xffffe881,0xffffffff,0x7ffcc01f,0xfff88006,0x0bffee07,
    0x30fffe40,0x1000dfff,0x3a60ffff,0xffffffff,0x7e404fff,0x7e4002ff,
    0xbfff31ff,0x7ffcc000,0x02fffd47,0x5fffa800,0x3ff20000,0x7fe4002f,
    0x03fffe1f,0x83fff900,0x4002fffc,0xff31fffc,0xffffffff,0x0fffffff,
    0x7005fffb,0xd8005fff,0x20000fff,0xf1006fff,0xb8001fff,0x3e005fff,
    0xfb0007ff,0xfc8009ff,0x3ffe21ff,0x7fdc000f,0x7fffcc5f,0xffd80001,
    0x7fe4004f,0xfffd101f,0xdfffffff,0xffff1001,0xfffb8001,0x0bffee05,
    0x10fffe40,0x8001ffff,0x2205fffb,0xffffffeb,0xffb800cf,0x7fec002f,
    0x07fff90f,0x2fffe800,0x007fffe6,0x3fffe600,0xff700001,0xffd8005f,
    0x13fff60f,0x83fff900,0x4002fffb,0xff30fffd,0xffffffff,0x8fffffff,
    0x807ffffa,0x4003fffa,0x40007ffe,0x3a006fff,0x74003fff,0xf1002fff,
    0x2e000bff,0x2000ffff,0x7f41fffc,0x7f4003ff,0x7ffc42ff,0xfb80005f,
    0x32000fff,0x64c01fff,0x2dffffff,0x1ffff400,0x0bfffa00,0x002fffb8,
    0xfe83fff9,0x7f4003ff,0x362002ff,0x2a000eff,0x74003fff,0x000007ff,
    0xf883fff3,0x80005fff,0x005ffff8,0x07fff500,0x5c7ffe80,0x2000ffff,
    0x7d41fffc,0x7f4003ff,0x7440007f,0x7ffdc3ff,0x7fcc00ff,0x3fe2005f,
    0x7fc0006f,0x3fea006f,0x3fe6006f,0x3fee006f,0x3fa0004f,0x3f2003ff,
    0x7ffd41ff,0x3ffe6006,0x1ffff706,0xfffd0000,0x7ffe4007,0x3fff6001,
    0xfff50000,0x7ffcc00d,0x17ffdc06,0x41fffc80,0x2006fffa,0x4006fff9,
    0x4001fff9,0x2005fff9,0x0006fff8,0x02fff880,0x001ffff7,0x1ffff700,
    0xfff30000,0x7ffc400b,0x03fffe86,0x307fff20,0x4400bfff,0x40006fff,
    0xffa84ffd,0xff8807ff,0xff9001ff,0xff80009f,0x7ffc006f,0xffe8804f,
    0x3ffa002f,0x3ea0002f,0xf9002fff,0xffff03ff,0xfffd1009,0x77fff405,
    0x7fd40001,0xff9002ff,0x7fdc003f,0x3fe0003f,0xfe8804ff,0x7fdc02ff,
    0xfff9002f,0x09ffff03,0x05fffd10,0x003ffe80,0x01ffff88,0x009fff90,
    0x0bffb000,0x01efffe8,0xefffe800,0x7fc40001,0xff9001ff,0xffff509f,
    0x3fff2005,0x0ffffc41,0x04fffc80,0x81ffee00,0x9002fffd,0xa801bfff,
    0x80006fff,0x5c006fff,0x7403ffff,0x26006fff,0x0000ffff,0x027ffff4,
    0x5c0fffe4,0x7403ffff,0x7d406fff,0x3002ffff,0x9ffffd07,0x03fff900,
    0x03fffcc0,0x7ffff700,0x06fffe80,0x002fffb8,0xf703fff9,0xfe807fff,
    0x7d4006ff,0xf90000ff,0xfa801bff,0x800006ff,0x5401fff8,0x002fffff,
    0xffff5073,0x20e6005f,0x400dfffc,0x3a06fffa,0xc804ffff,0xffc81fff,
    0x7fd400df,0x7f40006f,0x0054c04f,0x5fffff10,0xffffc983,0xfff80002,
    0x7ff44006,0xca89bdff,0x501ffffe,0xffff7333,0xff300009,0x1379dfff,
    0x3fffd531,0xbffffd10,0xffd95137,0xffd003ff,0x3359dfff,0x30dfd955,
    0x79dfffff,0xffd53113,0xfff8003f,0x205b104f,0xbdffffe8,0xfffeca89,
    0xfffb801f,0x3fff9002,0xbffffd10,0xffd95137,0xfb8003ff,0xf10000ff,
    0x9835ffff,0x002ffffc,0x2fffa800,0xfffffe80,0xcaa99ace,0xfffd06fe,
    0x53359dff,0xf10dfd95,0x9835ffff,0x202ffffc,0xcefffff9,0xfea9889b,
    0xfff881ff,0x7e4c1aff,0x40002fff,0x00004fff,0xffffff70,0xffffffff,
    0x4cccc00b,0x9efff999,0x10099999,0xfffffffd,0x03ffffff,0x7ffffffc,
    0x100000ff,0xfffffffd,0xffffffff,0x3fffa203,0xffffffff,0x3f2001ff,
    0xffffffff,0x106fffff,0xfffffffd,0xffffffff,0xfff98003,0xffdcbcff,
    0x3fffa206,0xffffffff,0xff7001ff,0x3ff2005f,0xfffd101f,0xffffffff,
    0xf30003ff,0x00135bff,0xffffffb8,0xffffffff,0xf1000005,0x40135dff,
    0xfffffffc,0x6fffffff,0x3fffff20,0xffffffff,0xffff706f,0xffffffff,
    0xfd100bff,0xffffffff,0x03ffffff,0x3fffffee,0xffffffff,0xffe80005,
    0x000019bf,0x7fffff4c,0x02ffffff,0x3ffffe60,0xffffffff,0x6c03ffff,
    0xffffffff,0x7fc00dff,0x00efffff,0xfffb8000,0xffffffff,0x7ec00fff,
    0xffffffff,0xe98000df,0xffffffff,0x5c06ffff,0xffffffff,0x00ffffff,
    0xfffffc80,0x03ffffff,0x7fffffec,0x000dffff,0x400bffee,0x6c01fffc,
    0xffffffff,0x20000dff,0x04fffffe,0xffffe980,0x2fffffff,0x7e400000,
    0x4c06ffff,0xfffffffe,0x406fffff,0xffffffe9,0x06ffffff,0x3fffffa6,
    0x02ffffff,0x7ffffdc0,0xffffffff,0x3ffa600f,0xffffffff,0xf500002f,
    0x001fffff,0xfffd9000,0x0019dfff,0xffffff98,0xffffffff,0xca803fff,
    0x3dfffffe,0xbdfffd00,0x98000007,0xffffffdc,0x2a002cef,0xdfffffec,
    0xecb80003,0xcfffffff,0xffb93002,0x59dfffff,0xffea8000,0x02ffffff,
    0xffffd950,0xf70007bf,0x3f2005ff,0xeca801ff,0x03dfffff,0xfffe9800,
    0x3b20004f,0xceffffff,0x88000000,0x006ffffe,0xfffffd97,0x5c0059ff,
    0xffffffec,0xfd9002cf,0x19dfffff,0x3f726000,0xceffffff,0x3ffb2002,
    0x00ceffff,0x7ffe4000,0x000000ff,0x0000d4c4,0x3fffffe6,0xffffffff,
    0x98003fff,0x0020000a,0x31000000,0x00001355,0x000002a6,0x00033510,
    0x026aa620,0x372a0000,0x40002cde,0x5c0000a9,0xf9002fff,0x530003ff,
    0x26000001,0x00000aaa,0x00003531,0x55544000,0x33510001,0x4d440000,
    0xa9880001,0x31000001,0x00001355,0x00003531,0x05555100,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x554c0000,0x4c00001a,0xa8001aaa,
    0x555302aa,0x55530001,0x30000003,0x40055555,0x000aaaaa,0x401a8800,
    0x2e2000a9,0x000601bc,0x00355530,0x01555550,0x00040000,0x2aaa2000,
    0x9800002a,0x4402aaaa,0x55502aaa,0xaa980005,0x8000001a,0x002aaaa9,
    0x006aaa60,0x5554c000,0x55300001,0x20000035,0x20004ed8,0x054c01a8,
    0x000a9800,0x3ffffee0,0xff700001,0x98003fff,0x3ee0efff,0xfb8004ff,
    0x0001ffff,0x3fffe600,0x3fe6000e,0x00000eff,0x640bffe6,0xfd800eff,
    0x541dffff,0xff70003f,0x98003fff,0x000effff,0xffedca80,0x002cdeff,
    0xefffe880,0x7cc00001,0xb800efff,0x3f624fff,0x2e0001ff,0x001fffff,
    0x3ffe6000,0xf70000ef,0x0003ffff,0xfffffb80,0x7fdc0001,0x00001fff,
    0x02ffff44,0x817ffcc0,0x2000effc,0x004fffd8,0xffffffc8,0x7e40002f,
    0x02ffffff,0x57fff440,0x8003fffd,0xfffffffc,0xf9800002,0x10004fff,
    0x001dfffb,0x1bfff600,0x00ffffe2,0xfffffffb,0x1fffb59f,0xffffc800,
    0x44002fff,0x000efffd,0xfffffd30,0x0fffffff,0xfffe8800,0x4c00000d,
    0x4004ffff,0xfeaefffb,0x320001ff,0x2fffffff,0xff980000,0x320004ff,
    0x2fffffff,0xfff90000,0x0005ffff,0x3ffffff2,0x2a00002f,0x000fffff,
    0x4437ffec,0x2003ffff,0x02fffffc,0x273fff20,0x0002fffe,0xfd39fff9,
    0xe88005ff,0x03ffffff,0x9cfffc80,0x0002fffe,0x0bfffe60,0x3ffee000,
    0xfb80000e,0xfffd05ff,0x577fd405,0xffffffb9,0x7e4001ff,0xfffe9cff,
    0xfffb8002,0x7fec000e,0xffffffff,0x20007fff,0x003fffe8,0xffff9800,
    0xfff50002,0x0003dfff,0x74e7ffe4,0x00002fff,0x00bfffe6,0x9cfffc80,
    0x0002fffe,0x74e7ffe4,0x64002fff,0xffe9cfff,0xf300002f,0x7000ffff,
    0x3fa0bfff,0x3fa002ff,0xb004ffff,0xffc85fff,0x7fec003f,0x1fffe42f,
    0x3fffa200,0xffd8002f,0x1fffe42f,0x7ffcc000,0x2600000e,0x0000efff,
    0xa80fff44,0x0eb805ff,0x77fffec4,0x7ffec002,0x01fffe42,0x077ffcc0,
    0xfffffb80,0xdbaa9aac,0xfd10007f,0x000003df,0x001dfff3,0xeffff980,
    0x3ff60000,0x1fffe42f,0x7ffcc000,0x3f60000e,0x7ffe42ff,0xfffb0003,
    0x03fffc85,0xc85fffb0,0x00003fff,0x0009fffd,0x2a03ffd1,0x7f4005ff,
    0x8804ffff,0x33100999,0x4ccc4003,0x00333100,0x00026660,0x44026662,
    0x88000199,0x00000199,0x00013331,0x00040020,0x00d54401,0x804ccc40,
    0x10001998,0xf3001333,0x04007fff,0x01998800,0x26620000,0x26200001,
    0x22000099,0x33100999,0x33100003,0x99880003,0x03331009,0x01333100,
    0x22006662,0x33100999,0x65c00003,0x80040002,0xfffb8000,0x000001ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfd800000,0x000003ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fe40000,0x0000003f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfff00000,
    0x0000001f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00310000,0x8003ddd7,0xd701eeea,0xdddddddd,
    0x003ddddd,0x7fff654c,0x26000bde,0x9bdffedb,0x6dcc0000,0x009bdffe,
    0x7f6dcc00,0x20009bdf,0xeeeeeee8,0xeeeeeeee,0x77774c5e,0x3bbaa004,
    0xeeeee880,0xeeeeeeee,0xee885eee,0xeeeeeeee,0x15eeeeee,0x0000ffff,
    0xdddddd30,0x001559bd,0xdddddd10,0xdddddddd,0x77744bdd,0xeeeeeeee,
    0xeeeeeeee,0x013bb65e,0x989dd900,0x2004eeee,0xdd90eeea,0xed8000bd,
    0xddd703ee,0xdddddddd,0x4009dddd,0x00eeeee9,0xddddd100,0xdddddddd,
    0x3bb2bddd,0x76c0005e,0x900003ee,0xb8003fff,0xff902fff,0xffffffff,
    0x3003ffff,0xfffffffd,0xb00bffff,0xffffffff,0x360003df,0xffffffff,
    0xfb0001ef,0xffffffff,0x3fe6003d,0xffffffff,0x47ffffff,0x01fffffa,
    0x301fff70,0xffffffff,0xffffffff,0xfffff30f,0xffffffff,0x7ffcffff,
    0x4c00001f,0xffffffff,0x001dffff,0x3fffffe6,0xffffffff,0x3ffe27ff,
    0xffffffff,0xffffffff,0x017ffe6f,0xa89ffd00,0x001fffff,0x3ea1fff7,
    0x50002fff,0x3201ffff,0xffffffff,0x5fffffff,0x3ffff200,0xff30003f,
    0xffffffff,0x2fffffff,0x002ffffa,0x01ffff50,0x3fff2000,0x7ffdc001,
    0xfffff902,0xffffffff,0xfffb803f,0xffffffff,0x3fa606ff,0xffffffff,
    0x26002fff,0xfffffffe,0x002fffff,0x3fffffa6,0x2fffffff,0xfffff980,
    0xffffffff,0x7fd47fff,0xf7005fff,0xfff301ff,0xffffffff,0x30ffffff,
    0xffffffff,0xffffffff,0x02ffff4f,0x3ffe6000,0xffffffff,0xf3005fff,
    0xffffffff,0xffffffff,0x7fffffc4,0xffffffff,0x26ffffff,0x40005ffe,
    0x7fd44ffe,0xf7005fff,0x7ffec1ff,0xfffd0006,0x7fffe407,0xffffffff,
    0x3e005fff,0x006fffff,0xffffff30,0xffffffff,0x7ffecfff,0xfffd0006,
    0x7e400007,0x7dc001ff,0x999502ff,0xd9999999,0x36203fff,0xbdffffff,
    0x06ffedcb,0x7dfffff5,0xfffffd95,0xffff5007,0xffd957df,0xf5007fff,
    0x957dffff,0x07fffffd,0xcccccc88,0xcccdfffe,0x7ffd44cc,0xfb800fff,
    0xccc880ff,0xdfffeccc,0x884ccccc,0xfecccccc,0xcccccdff,0x17ffff24,
    0xfff98000,0xfedcccce,0x8803ffff,0xfecccccc,0xcccccdff,0x66666644,
    0xcdfffecc,0x23cccccc,0x40006ffd,0x7fd43ffe,0xb800ffff,0x3fe60fff,
    0x7dc003ff,0x7fe406ff,0xccccccdf,0x003ccccc,0xfffffff3,0x99910001,
    0xbfffd999,0x4c999999,0x4003ffff,0x0006fffb,0x00fffe40,0x00bffee0,
    0x07fff600,0x06ffffec,0x7f41b260,0xfd100eff,0xfe801fff,0xfd100eff,
    0xfe801fff,0xfd100eff,0x20001fff,0x5002fffc,0x09ffffff,0x001fff70,
    0x002fffc8,0x05fff900,0xfffffd10,0xff300007,0x7ff4c09f,0x320000ff,
    0x00002fff,0x4005fff9,0x40006ffd,0x7fd43fff,0xb804ffff,0x7fe40fff,
    0x3fa000ff,0x7fe402ff,0x9000002f,0x7fff9fff,0xffc80000,0xfff9002f,
    0x7ff4001f,0x6400002f,0x5c001fff,0x80002fff,0xfa81fffd,0x80004fff,
    0x400efffb,0x204ffff8,0x400efffb,0x204ffff8,0x400efffb,0x004ffff8,
    0x005fff90,0x3ffbffea,0x7ffdc00f,0x7ffe4000,0xff900002,0x3fe6005f,
    0x00bfffff,0x09fff300,0x03ffff88,0x0bfff200,0x7ffe4000,0x1fff2002,
    0x85fff000,0xfffefffa,0x07ffdc00,0x00ffffe2,0x4037ffdc,0x0002fffc,
    0xf3bfff00,0x80000dff,0x1002fffc,0x2007ffff,0x0006fffb,0x01fffc80,
    0x017ffdc0,0x0fffec00,0x001ffff4,0x00ffff80,0x40ffff30,0x3000ffff,
    0x7fc0ffff,0xff3000ff,0x3f2000ff,0xff5002ff,0x809fff7f,0x4000fffb,
    0x0002fffc,0x005fff90,0x7ffffec4,0x4c001dff,0xfb804fff,0x320004ff,
    0x00002fff,0x4005fff9,0x20007ffc,0x7d42fff8,0x04fffbff,0x5c07ffdc,
    0x4400ffff,0xc801ffff,0x00002fff,0xfd3fff98,0x400001ff,0x2002fffc,
    0x400ffffb,0x001ffff8,0x1fffc800,0x17ffdc00,0x7ffec000,0x03fffd41,
    0x5fffb800,0x1ffff400,0x002fffdc,0x2e0ffffa,0x74005fff,0xc8003fff,
    0xf5002fff,0x1fffd3ff,0x007ffdc0,0x00bfff20,0x17ffe400,0x7fff5400,
    0x001effff,0x3009fff3,0x4000dfff,0x0002fffc,0x005fff90,0x0003ffdc,
    0xfa83fff1,0x0fffe9ff,0x403ffee0,0x5c04fffe,0xf9005fff,0x000005ff,
    0x3f21fff9,0x200003ff,0x4002fffc,0x5c04fffe,0x00005fff,0x003fff90,
    0x002fffb8,0x41fffd80,0x0003fffe,0x005fffd0,0xe86fffb8,0x5c002fff,
    0xffe86fff,0x7fdc002f,0xffc8006f,0xfff5002f,0x407fff53,0x4000fffb,
    0x0002fffc,0x005fff90,0x7fffed40,0xf9804fff,0xff9804ff,0x3f20006f,
    0x900002ff,0x5c005fff,0x10000fff,0xffa83fff,0x03fffa9f,0x5403ffee,
    0xf100ffff,0x32001fff,0x00002fff,0x3e66fff8,0x200006ff,0x4002fffc,
    0x100ffffa,0x4001ffff,0x3200dffb,0x5c001fff,0x80002fff,0x3e21fffd,
    0x200007ff,0x88007fff,0xfff87fff,0xfff88007,0x007fff87,0x007fff88,
    0x002fffc8,0x3fe3fff5,0x3ffee07f,0x7ffe4000,0xff900002,0x9100005f,
    0x0dffffff,0x804fff98,0x0004fffb,0x000bfff2,0x017ffe40,0x001fff50,
    0x503ffe60,0x3ffe3fff,0x03ffee07,0x905fffe8,0x64009fff,0x00002fff,
    0x3e1fffcc,0x00000fff,0x0005fff9,0x320bfffd,0x2a004fff,0x900fffff,
    0xb8003fff,0x80002fff,0x3ea1fffd,0x100005ff,0x2000bfff,0x3e20fffe,
    0xfd0005ff,0x7ffc41ff,0xfffd0005,0xfffc8001,0x3fff5002,0x5c0bfff2,
    0x64000fff,0x00002fff,0x0005fff9,0x7fffdc40,0x3ffe604f,0x3fffd804,
    0x3fff2000,0xff900002,0x7fcc005f,0x06ff881f,0xfa81fff3,0x5fff91ff,
    0x803ffee0,0x441ffff9,0x2000ffff,0x0002fffc,0x20fffe40,0x0003fffc,
    0x005fff90,0x83ffff30,0x000ffff8,0x13fffff6,0x000fffe4,0x000bffee,
    0xb87fff60,0x00004fff,0x0009fff3,0xf983fffa,0xfd0004ff,0x7ffcc1ff,
    0xfffd0004,0xfffc8001,0x3fff5002,0x5c1bffe2,0x64000fff,0x00002fff,
    0x0005fff9,0xffffd100,0x13ffe603,0x00dfff90,0x02fffc80,0x5fff9000,
    0x0fffcc00,0x540fffdc,0xfffa87ff,0x20dfff11,0x6c00fffb,0x7fe45fff,
    0x7fe4003f,0x7c00002f,0xfffa86ff,0xff900005,0x3f60005f,0x7ffe45ff,
    0x7ffe4003,0xfff906ff,0xfffb8003,0xffd80002,0x0ffff21f,0x7ffd4000,
    0xfffb0003,0x01fffd43,0x21fffd80,0x0003fffa,0x8003fffb,0x5002fffc,
    0x7fe43fff,0x0fffb82f,0x17ffe400,0xfffc8000,0x3a000002,0xff303fff,
    0xffd5109f,0xc80005ff,0x00002fff,0x4005fff9,0xfe82fff8,0x7ffa84ff,
    0x321fffa8,0xffb82fff,0x7ffc400f,0x0dfff11f,0x9bfff900,0x99999999,
    0x7fcc0199,0x1ffff04f,0xfff90000,0x3fe20005,0xdfff11ff,0xffff3000,
    0x3fff20ff,0x7ffdc001,0xffd80002,0x0bfff61f,0x7ffdc000,0xfff90002,
    0x017ffdc5,0x22fffc80,0x0002fffb,0x8005fff9,0x5002fffc,0x7fcc3fff,
    0x0fffb86f,0x17ffe400,0xfffc8000,0x2e000002,0xff305fff,0xffffffff,
    0x0003ffff,0x005fff90,0x0bfff200,0x42fff880,0xb86ffff8,0xfffa86ff,
    0x21bffe61,0xc800fffb,0xfffb5fff,0xfff90005,0xffffffff,0x6403ffff,
    0xffb01fff,0xf900007f,0x640005ff,0xfffb5fff,0x3ff20005,0xfff907ff,
    0xfffb8003,0xffd80002,0x07fffa1f,0x7ffec000,0xfff90002,0x017ffec7,
    0x23fffc80,0x0002fffd,0x8007fff9,0x5002fffc,0xffd83fff,0x07ffdc1f,
    0x0bfff200,0x7ffe4000,0x26000002,0xff306fff,0xffffffff,0x000019ff,
    0x000bfff2,0x017ffe40,0xf70fffe0,0xfb83ffff,0x1fffa86f,0x2e0fffec,
    0xf8800fff,0x5fffbfff,0xffff9000,0xffffffff,0x7fc03fff,0x3ffea07f,
    0xffc80005,0x3e20002f,0x5fffbfff,0x7fffc000,0x03fff906,0x02fffb80,
    0x1fffd800,0x0007fffa,0x017ffe40,0x23fffc80,0x0002fffc,0x7e47fff9,
    0xf90002ff,0xfc8007ff,0xff5002ff,0x5fff983f,0x0007ffdc,0x000bfff2,
    0x017ffe40,0xfff50000,0x3fffe609,0x1fffffff,0x7fe40000,0xf900002f,
    0xff8005ff,0x7fffec3f,0x42ffe44f,0x7cc1fffa,0x7ffdc5ff,0xffff7000,
    0x20003fff,0xeeeefffc,0xeeeeeeee,0x09fff301,0x007fffc4,0x0bfff200,
    0xffff7000,0x80003fff,0xf904fffd,0xfb8003ff,0xd80002ff,0x3ff61fff,
    0xf900002f,0x360007ff,0x3ff22fff,0xffb0003f,0x1fffe45f,0x2fffd800,
    0x17ffe400,0x81fffa80,0x3ee1fffe,0x7e4000ff,0x900002ff,0x00005fff,
    0x817ffec0,0xa99dfff9,0x002ffffc,0x0bfff200,0x7ffe4000,0x1fff4002,
    0xfff7dff1,0xfa85ffc8,0xfffe81ff,0x003ffee1,0x4fffffe8,0x3fff2000,
    0xff900002,0xfffd805f,0x7fe40002,0xfe80002f,0x0004ffff,0x903fffe8,
    0xb8003fff,0x80002fff,0x3f21fffd,0x700003ff,0x20009fff,0x3ee2fffd,
    0xfb0004ff,0x7ffdc5ff,0xfffb0004,0xfffc8005,0x3fff5002,0x5cbfff50,
    0x64000fff,0x00002fff,0x8805fff9,0xfffc8000,0x9fff300f,0x03ffff30,
    0x3fff2000,0xff900002,0xffe8005f,0x3e73fee4,0x13ff21ff,0x2a07ffea,
    0x3fee5fff,0x3fea000f,0x20000fff,0x0002fffc,0x700ffff0,0x8000bfff,
    0x0002fffc,0x0fffffa8,0x7ffd4000,0x07fff206,0x05fff700,0x3fffb000,
    0x0027ffdc,0x04fffa80,0x43fffd00,0x0004fffa,0x7d43fffd,0xfd0004ff,
    0xfc8003ff,0xff5002ff,0x3fffa03f,0x001fff70,0x002fffc8,0x05fff900,
    0x9aacefc8,0xfff73311,0x7fcc05ff,0xdfff504f,0x3ff20000,0xf900002f,
    0xfd8005ff,0x74bff64f,0x13ff64ff,0x7407ffea,0xfff70fff,0xfffd8001,
    0x7fe40003,0xf980002f,0xff8805ff,0x320000ff,0x00002fff,0x0007fffb,
    0x01ffffb8,0x000bfff2,0x0003fff9,0x543fffb0,0x00005fff,0x000dfff3,
    0xf98ffff1,0xf88006ff,0x7ffcc7ff,0xfff88006,0xfffc8007,0x3fff5002,
    0x5d3ffea0,0x64000fff,0x00002fff,0xc805fff9,0xffffffff,0xffffffff,
    0x27ffcc03,0x007fffb0,0x05fff900,0x3fff2000,0xaffec002,0x3ff27ff8,
    0x2a0fff67,0xff501fff,0x03ffee9f,0x05fff900,0x2fffc800,0xfffc8000,
    0xeeeeeeee,0x02ffffee,0x0bfff200,0x7ffe4000,0x7e64c002,0x5c03ffff,
    0x6c002fff,0x80000fff,0x3e61fffd,0x80001fff,0x000ffff8,0x222fffdc,
    0x4000ffff,0x7c45fffb,0x5c000fff,0xc8005fff,0xf5002fff,0x7ffc03ff,
    0x00fffb8f,0x017ffe40,0x2fffc800,0x7ffffe40,0xffffffff,0xff9803ff,
    0x3ffe604f,0xffc80007,0xf900002f,0xfc8005ff,0x4cbff56f,0x7ffd2fff,
    0x403fff50,0xffb8ffff,0x7fe4000f,0x7e40002f,0xf80002ff,0xffffffff,
    0xffffffff,0x3f20005f,0x900002ff,0xb8005fff,0x01efffff,0x003fffa8,
    0x0003fff4,0x220fffe8,0x0005ffff,0x007fffd0,0xe82fffe8,0x74003fff,
    0xffe82fff,0x7ff4003f,0xffc8002f,0xfff5002f,0x5fffdc03,0x4000fffb,
    0x0002fffc,0x805fff90,0xfffffec9,0x03dfffff,0x013ffe60,0x0007fffd,
    0x002fffc8,0x05fff900,0xfb6ffc80,0xd5ffe85f,0xfff505ff,0x5fffdc03,
    0x4000fffb,0x0002fffc,0x0017ffe4,0x3ffffe60,0xffffffff,0x00ffffff,
    0x05fff900,0x3fff2000,0x7ffdc002,0x3fe6003e,0x3fe2005f,0xff00006f,
    0xffff70df,0xff500001,0x7fcc00df,0xdfff506f,0x37ffcc00,0x006fffa8,
    0x001bffe6,0x8017ffe4,0x2201fffa,0xfffbefff,0x7ffe4000,0xff900002,
    0xa988005f,0x0005fffa,0xa809fff3,0x40006fff,0x0002fffc,0x005fff90,
    0xfff7ffb8,0xfd1fff70,0x3fff505f,0x5f7ffc40,0x64000fff,0x40002fff,
    0x0002fffc,0x7777ffe4,0xeeeeeeee,0x002ffffe,0x005fff90,0x0bfff200,
    0x00035300,0x007fffe2,0x0027ffe4,0x82fffdc0,0x001efffe,0x04ffff80,
    0x02fffe88,0x2013fffe,0x202fffe8,0x8804ffff,0x0002fffe,0x2005fff9,
    0x6401fffa,0x0fffefff,0x17ffe400,0xfffc8000,0x3fe60002,0xff30003f,
    0xfffd009f,0x7fe40007,0xf900002f,0xfa8005ff,0x885ffaff,0x1fffafff,
    0x401fffa8,0xfffefffc,0x7ffe4000,0x7fe40002,0x7fc0002f,0x7dc000ff,
    0xf90005ff,0x200005ff,0x0002fffc,0xfffc8000,0x7ffd400d,0x2601fc06,
    0xf501ffff,0x2005ffff,0xffffb839,0x37fff403,0x0ffffee0,0x80dfffd0,
    0x403ffffb,0x0006fffe,0x400bfff2,0x4401fffa,0x0fffffff,0x17ffe400,
    0xfffc8000,0x3fea0002,0xff30000f,0xfff5009f,0x7fe4000d,0xf900002f,
    0xfa8005ff,0xd02ffdff,0x03fffbff,0x8803fff5,0x0fffffff,0x17ffe400,
    0x3fff2000,0x3fe60002,0xff88005f,0xff90007f,0x3200005f,0x44002fff,
    0xeeeeeeee,0x7c45eeee,0x4c1affff,0x402ffffc,0x999aceff,0x405ffffb,
    0xcefffffe,0xfecaa99a,0xffffe886,0xfeca89bd,0x74401fff,0x89bdffff,
    0x1ffffeca,0x7ffff440,0xfeca89bd,0x54401fff,0xffdaaaaa,0x2aaaaacf,
    0x400fffd4,0x0ffffffc,0xaaaaaa88,0xaaacfffd,0xaaa882aa,0xcfffdaaa,
    0x802aaaaa,0x20006ffc,0xf004fff9,0x54405fff,0xffdaaaaa,0x2aaaaacf,
    0x17ffe400,0x3fffe600,0xfff700ff,0xff501fff,0xfff9003f,0xc8001fff,
    0x40002fff,0xaaacfffc,0xaaaaaaaa,0x00bfff21,0x817fff40,0xdaaaaaa8,
    0xaaaacfff,0x7fe4002a,0x7fc4002f,0xffffffff,0xfffb86ff,0xffffffff,
    0xff805fff,0xffffffff,0xfc800fff,0xffffffff,0x106fffff,0xfffffffd,
    0x03ffffff,0x3ffffa20,0xffffffff,0xffd1001f,0xffffffff,0xf3003fff,
    0xffffffff,0xffffffff,0x801fffa8,0x0ffffff8,0xffffff98,0xffffffff,
    0xfff987ff,0xffffffff,0x807fffff,0x20004ffe,0x7004fff9,0x7cc0dfff,
    0xffffffff,0x7fffffff,0x17ffe400,0x3fffe600,0x3ffe205f,0xffa80fff,
    0xfff8801f,0x64000fff,0x40002fff,0xfffffffc,0xffffffff,0x003fffe5,
    0x82fffdc0,0xfffffff9,0xffffffff,0x7fe4007f,0x7fc4002f,0xffffffff,
    0xffd306ff,0xffffffff,0x3ffe005f,0xffffffff,0x3fa6000d,0xffffffff,
    0x7ec06fff,0xffffffff,0xfd8000df,0xffffffff,0xfd8000df,0xffffffff,
    0xff3000df,0xffffffff,0x8fffffff,0xb001fffa,0x301fffff,0xffffffff,
    0xffffffff,0xfffff30f,0xffffffff,0xf880ffff,0x260002ff,0xf1004fff,
    0x3e605fff,0xffffffff,0x7fffffff,0x17ffe400,0x3fffe200,0x7ffec02f,
    0x3fff507f,0x3ffff600,0x7fe4000f,0x7e40002f,0xffffffff,0x35ffffff,
    0x4000bfff,0xf307fff9,0xffffffff,0xffffffff,0x2fffc800,0x77774400,
    0xeeeeeeee,0x7fff6405,0x000cefff,0x7ffffedc,0x2e0002de,0xffffffec,
    0xd95002cf,0x07bfffff,0xffeca800,0x0003dfff,0x7ffff654,0x7cc003df,
    0xffffffff,0x7fffffff,0x800fffd4,0x80fffff9,0xfffffff9,0xffffffff,
    0xffff987f,0xffffffff,0x4407ffff,0x4c0002aa,0x32004fff,0xff306fff,
    0xffffffff,0x0fffffff,0x02fffc80,0x7ffffc40,0x7fffdc00,0x03fff507,
    0x3ffffe60,0x7ffe4000,0x7fe40002,0xffffffff,0xf95fffff,0xe80007ff,
    0xff982fff,0xffffffff,0x07ffffff,0x017ffe40,0x20000000,0x00001a98,
    0x00002666,0x000cd440,0x0000a980,0x0002a600,0x000a9800,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2a200000,0x555502aa,0xccccb800,0x2ccccccc,
    0x02cc9800,0x22001997,0x0054c01a,0xaaaa9800,0x55555402,0x2e200000,
    0x000601bc,0x98000000,0x4002aaaa,0x000aaaaa,0x55530000,0x98000003,
    0x2002aaaa,0x054c01a8,0x4ed88000,0xcccb8000,0xcccccccc,0x2aaa2002,
    0x00555502,0xaaaa9800,0x00000002,0x806f2e20,0x53000001,0x51005555,
    0x2aaa0555,0x00015302,0x224fffb8,0x4001fffd,0xfffffffe,0x8004ffff,
    0xff987ff9,0x5fff3007,0x003bff20,0xdffff300,0xffff9801,0xfd80000e,
    0x541dffff,0x32a6003f,0x0bdefffe,0x7ffcc000,0x7cc000ef,0x0000efff,
    0x7fffdc00,0x3000001f,0x001dffff,0x640bffe6,0x40000eff,0x005fffe8,
    0x7fffff40,0x04ffffff,0x127ffdc0,0x0003fffb,0x77fffcc0,0xf9000000,
    0xfffb00ff,0x3fa83bff,0x7fcc0000,0xf7000eff,0x7fec49ff,0x7ffec41f,
    0x1bfffe24,0xd5dfff70,0xd0003fff,0xffffffff,0x10009fff,0xd959dfff,
    0x3f600bff,0xfff886ff,0x3e60003f,0x22004fff,0x000efffd,0x3fffff60,
    0xffdacfff,0x7ff4c00f,0xffffffff,0xff30005f,0x440009ff,0x000efffd,
    0xffff9000,0x00005fff,0x04ffff98,0x437ffec0,0x003ffff8,0x7ffffd40,
    0x3ffa0000,0xffffffff,0xffb8004f,0x1fffeaef,0x3fe60000,0x000004ff,
    0xb013ffe2,0xffffffff,0x01fffb59,0x3ffe6000,0xffb8004f,0x1fffeaef,
    0x2fffffc8,0x201bfffe,0xeffffffa,0x55550001,0x55555555,0x3fea0003,
    0x0fffffff,0x0bfff700,0x000bfffa,0x017fffcc,0x0efffb80,0xaeffa800,
    0xffffffb9,0x7fdc01ff,0xffffffff,0x98006fff,0x0002ffff,0x01dfff70,
    0xfffc8000,0x02fffe9c,0xffff3000,0xfff70005,0x0bfffa0b,0xffff3000,
    0xaaa8000f,0xaaaaaaaa,0xff50001a,0x003dffff,0x7fffcc00,0x5c000002,
    0x3ea00fff,0xfffb9aef,0x001fffff,0x5ffff300,0x7ffd4000,0xfd01efff,
    0x7fc9ffff,0xff3005ff,0x00001dff,0x2a000000,0x1dfffffe,0x07ffa200,
    0x8002ffd4,0x000efff9,0x077ffcc0,0x22075c00,0x02effffd,0x3fffff62,
    0xfedcbbdf,0x7fcc006f,0x400000ef,0x000efff9,0x85fffb00,0x0003fffc,
    0x0077ffcc,0x01ffe880,0x0000bff5,0x0013fffa,0x80000000,0x00effff9,
    0x3ffe6000,0x8000000e,0xeb805ffe,0x7fffec40,0xf300002e,0x00001dff,
    0x01dffff3,0x27fffff4,0x400bffff,0x00009998,0x80000000,0x0000aaa9,
    0x00004002,0x00003331,0x0004ccc4,0x06aa2008,0x37ffff60,0x00364c00,
    0x00006662,0x00999880,0x09998800,0x00033310,0x00019988,0x00020010,
    0x00059700,0x00000000,0x00013331,0x00199880,0xfff30000,0xa8802005,
    0x4400001a,0x40000199,0x5c009998,0x3a1fffff,0x00004fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfff50000,0x0000009f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00037fec,0x00000000,0x40000000,0x7f43fffc,0x000004ff,0xfedb9800,
    0x00009bdf,0x00000000,0x00000000,0x00000000,0x1ffff400,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x003ddd70,0x001eeea8,
    0x00000000,0x7c400000,0x000003ff,0x00000000,0x31000000,0x98ffff60,
    0x2004eeee,0xd800eeea,0xffffffff,0xdd1001ef,0xdddddddd,0x0bdddddd,
    0x3bbbbbae,0xeeeeeeee,0xdddd704e,0xdddddddd,0x3ae09ddd,0xeeeeeeee,
    0x84eeeeee,0xeeeeeee8,0xeeeeeeee,0x1fffea5e,0xbddd9000,0xeeed8000,
    0x3bba6003,0xeb8000ee,0x75c001ee,0x777441ee,0xeeeeeeee,0x5eeeeeee,
    0x77774c00,0xee88000e,0xeeeeeeee,0xeeeeeeee,0x01fffc85,0x217ffdc0,
    0xeeeeeee8,0xeeeeeeee,0x4c005eee,0x000eeeee,0x3fff2000,0xddd30000,
    0xd80001dd,0x00000eee,0xddddddd7,0xdddddddd,0x7ffec009,0x3ffffea3,
    0x1fff7001,0x7ffff4c0,0xffffffff,0xffff9802,0xffffffff,0xf907ffff,
    0xffffffff,0x0bffffff,0x3ffffff2,0xffffffff,0xffff905f,0xffffffff,
    0xff30bfff,0xffffffff,0x4fffffff,0x0003fffe,0x017fffd4,0x0ffffa80,
    0x3ffff200,0xffc8003f,0x7fe4002f,0x7fffc42f,0xffffffff,0x07ffffff,
    0x7ffffe40,0xfff88003,0xffffffff,0x7fffffff,0x001fffc8,0x2217ffdc,
    0xffffffff,0xffffffff,0x7e4007ff,0x0003ffff,0x013ffe00,0xfffffc80,
    0x7ff40003,0xf900000f,0xffffffff,0x0bffffff,0x517ffe40,0x00bfffff,
    0x5403ffee,0xabefffff,0x3fffffec,0x7ffffcc0,0xffffffff,0xff907fff,
    0xffffffff,0x20bfffff,0xfffffffc,0xffffffff,0xfffff905,0xffffffff,
    0xfff30bff,0xffffffff,0x22ffffff,0x00007fff,0x000dfffb,0x000ffffa,
    0x0dffffff,0x05fff900,0x42fffc80,0xfffffff8,0xffffffff,0x7c007fff,
    0x006fffff,0xffffff88,0xffffffff,0xfc87ffff,0x7dc001ff,0x7ffc42ff,
    0xffffffff,0x7fffffff,0x7ffffc00,0x5000006f,0x40003fff,0x06ffffff,
    0x07fff400,0xfffc8000,0xffffffff,0x2005ffff,0x3ea2fffc,0x800fffff,
    0xfd00fffb,0x3a201dff,0x2200ffff,0xfecccccc,0xcccccdff,0x9bfff904,
    0x99999999,0x3ff20799,0xccccccdf,0x903ccccc,0x9999bfff,0x79999999,
    0x99999910,0x999bfffd,0x3ffea999,0xff300005,0xfb8007ff,0x7cc006ff,
    0x00ffffff,0x017ffe40,0x10bfff20,0xdddddddd,0xffdddddd,0x7cc00dff,
    0x00ffffff,0x77777440,0xeeeeeeee,0xc86ffffe,0x5c001fff,0x77442fff,
    0xeeeeeeee,0xffffeeee,0x3ffe6006,0x0000ffff,0x006ffe80,0x3ffffe60,
    0x3a0000ff,0x00000fff,0x999bfff9,0x99999999,0x0ccc4007,0x3fffffea,
    0x0fffb804,0x00efffb8,0x027fffc4,0x02fffc80,0x017ffe40,0x2fffc800,
    0xfff90000,0xc8000005,0x7dc02fff,0x200004ff,0x000ffffc,0x000bfffa,
    0xfff9fff9,0xfffc8007,0x7ffe4002,0xff300002,0x7e4003ff,0x03fffcff,
    0xff300000,0xfff903ff,0xfffb8003,0xff300002,0x7e4003ff,0x03fffcff,
    0x7ffcc000,0x3ff20002,0x003fffcf,0x003fffa0,0x17ffe400,0xa8000000,
    0x0fffefff,0x407ffdc0,0x3000ffff,0x2000ffff,0x4002fffc,0x0002fffc,
    0x005fff90,0x0bfff200,0xff900000,0xfffc805f,0x3e200003,0xf7003fff,
    0xff000dff,0x0dfff3bf,0x02fffc80,0x017ffe40,0x4fffe800,0x4efffc00,
    0x00006fff,0x09fffd00,0x0007fff2,0x0005fff7,0x013fffa0,0xff3bfff0,
    0xc80000df,0x7c0007ff,0x6fff9dff,0x3fffa000,0xff900000,0x0000005f,
    0x3efffea0,0x7fdc04ff,0x2fffdc0f,0x0ffffa00,0x0bfff200,0x05fff900,
    0x3fff2000,0xff900002,0x8000005f,0x6c02fffc,0x00002fff,0x007fffdc,
    0x007fffe2,0x3a7fff30,0x32000fff,0x64002fff,0x80002fff,0x4006fffc,
    0xffd3fff9,0x8000001f,0x3206fffc,0x5c001fff,0x80002fff,0x4006fffc,
    0xffd3fff9,0x2200001f,0x20004fff,0xffd3fff9,0x3fa0001f,0x900000ff,
    0x00005fff,0x3ffea000,0x200fffe9,0x7f40fffb,0x7dc002ff,0xfc8006ff,
    0x7e4002ff,0x900002ff,0x00005fff,0x000bfff2,0x5fff9000,0x01fffe80,
    0xfffe8000,0x2fffdc04,0x87ffe400,0x2003fffc,0x4002fffc,0x0002fffc,
    0x00ffffcc,0x643fff20,0x00003fff,0x07fffe60,0x001fffc8,0x0017ffdc,
    0x07fffe60,0x21fff900,0x0003fffc,0x001fff70,0xc87ffe40,0xd0003fff,
    0x00001fff,0x000bfff2,0x7fd40000,0x03fffa9f,0xff03ffee,0xff1000ff,
    0xff9000ff,0xffc8005f,0xf900002f,0x200005ff,0x0002fffc,0x17ffe400,
    0x007fffa0,0x3ffea000,0xffff100f,0xdfff0001,0x0037ffcc,0x8005fff9,
    0x0002fffc,0x0027fff4,0xff337ffc,0x400000df,0x6404fffe,0x5c001fff,
    0x40002fff,0x8004fffe,0x3fe66fff,0xfd00006f,0xff8000bf,0x1bffe66f,
    0x07fff400,0xfffc8000,0x04c40002,0x47ffea00,0x3ee07fff,0x3ffe20ff,
    0xfffd0005,0xfffc8001,0x7ffe4002,0xff900002,0x3200005f,0x00002fff,
    0x017ffe40,0x000bfffa,0x2ffff400,0x004fffc8,0x7c3fff98,0xf9000fff,
    0xfc8005ff,0x2e0002ff,0x98006fff,0x7ffc3fff,0xb800000f,0xfc806fff,
    0x7dc001ff,0x2e0002ff,0x98006fff,0x7ffc3fff,0x7d40000f,0x260001ff,
    0x7ffc3fff,0xffe8000f,0xf900000f,0x6c0005ff,0x2a003fff,0xfff91fff,
    0x83ffee05,0x0004fff9,0x8001fffd,0x4002fffc,0x0002fffc,0x005fff90,
    0x0bfff200,0xff900000,0xfffd805f,0xf3000003,0xff883fff,0xfc8000ff,
    0x7ffe41ff,0x5fff9003,0x2fffc800,0xffff3000,0xfff90003,0x03fffc83,
    0x7ffcc000,0xfffc801f,0x7ffdc001,0xfff30002,0xff90003f,0x3fffc83f,
    0x37fec000,0x3fff2000,0x01fffe41,0x007fff40,0x2fffc800,0xffff7000,
    0x3fea003f,0x0dfff11f,0xfa83ffee,0xfb0003ff,0xfc8003ff,0x7e4002ff,
    0x900002ff,0x00005fff,0x000bfff2,0x5fff9000,0x04fffc80,0x3ff60000,
    0x1fffe45f,0x86fff800,0x9005fffa,0xc8005fff,0xd0002fff,0x20009fff,
    0xffa86fff,0x7400005f,0xf9004fff,0xfb8003ff,0xfd0002ff,0x3e0009ff,
    0xfffa86ff,0x3fe20005,0x7fc0003f,0x5fffa86f,0x0fffe800,0xfff90000,
    0x3ffa0005,0xf5004fff,0x7ffe43ff,0x20fffb82,0x0002fffb,0x8005fff9,
    0x4002fffc,0xcccdfffc,0xcccccccc,0x9bfff900,0x99999999,0x3ff20199,
    0xccccccdf,0x000ccccc,0x2017ffe4,0x0005fffb,0x3fffe200,0x00dfff11,
    0x413ffe60,0xc800ffff,0xccccdfff,0xeccccccc,0xb8002fff,0x30006fff,
    0x3fe09fff,0x700000ff,0x6400dfff,0x5c001fff,0xb8002fff,0x30006fff,
    0x3fe09fff,0xf90000ff,0x4c0001ff,0xfff04fff,0xffe8001f,0xf900000f,
    0x99999bff,0x21999999,0x04fffffe,0x4c3fff50,0xffb86fff,0x0bfff60f,
    0x1fffe400,0x0bfff200,0xfffff900,0xffffffff,0x3ff203ff,0xffffffff,
    0x901fffff,0xffffffff,0x3fffffff,0x2fffc800,0x0ffffcc0,0xff900000,
    0x0bfff6bf,0x0fffe400,0x803fffd8,0xfffffffc,0xffffffff,0x4002ffff,
    0x001ffff9,0x203fff90,0x0003fffd,0x01ffff98,0x007fff20,0x005fff70,
    0x01ffff98,0x03fff900,0x000ffff6,0x0013ffe2,0x203fff90,0x4003fffd,
    0x0000fffe,0xffffff90,0xffffffff,0x3ffff23f,0xfff5002f,0x41fffd83,
    0x3f20fffb,0xf90002ff,0xfc8007ff,0x7e4002ff,0xffffffff,0x01ffffff,
    0xfffffff9,0xffffffff,0x3ffff203,0xffffffff,0x64001fff,0xfe802fff,
    0x000005ff,0x3effffe2,0x3e0005ff,0x3fea07ff,0xfffc805f,0xffffffff,
    0xffffffff,0x7fff4002,0x3ffe0004,0x17ffea07,0x3fffa000,0x7ffe4004,
    0x7ffdc001,0x7fff4002,0x3ffe0004,0x17ffea07,0x07ffee00,0x0ffff000,
    0x002fffd4,0x0003fffa,0x7ffffe40,0xffffffff,0x3fff61ff,0x3ffea003,
    0x22fffcc1,0x3f20fffb,0xfb0003ff,0xfc8005ff,0x7e4002ff,0xeeeeeeff,
    0x01eeeeee,0xddddfff9,0xdddddddd,0x3bfff203,0xeeeeeeee,0x64001eee,
    0xfb802fff,0x00000fff,0x3ffffee0,0xf30001ff,0x7fc409ff,0x7fe400ff,
    0xeeeeeeef,0xfffeeeee,0x3fee002f,0x3e60006f,0x3fe204ff,0x2e0000ff,
    0xc8006fff,0x5c001fff,0x2e002fff,0x20006fff,0x2204fff9,0x4000ffff,
    0x40005ffe,0x2204fff9,0x2000ffff,0x0000fffe,0xdddfff90,0xdddddddd,
    0x000a983d,0x740fffd4,0x3fee1fff,0x13ffee0f,0x17ffec00,0x0bfff200,
    0x05fff900,0x3fff2000,0xff900002,0x8000005f,0x8802fffc,0x001effff,
    0x3fffa000,0x320004ff,0x7ec02fff,0x7fe402ff,0x7fe4002f,0xfff1002f,
    0x7e40003f,0x7fec02ff,0xff10002f,0xf90003ff,0xfb8003ff,0xff1002ff,
    0x640003ff,0x7ec02fff,0x3e6002ff,0x640002ff,0x7ec02fff,0x3fa002ff,
    0x900000ff,0x00005fff,0x3ffea000,0x25fffa81,0x3ea0fffb,0xfd0004ff,
    0xfc8003ff,0x7e4002ff,0x900002ff,0x00005fff,0x000bfff2,0x5fff9000,
    0x3ffff200,0x0073002f,0x07ffffd4,0x0ffff000,0x80bfff70,0x4002fffc,
    0xd002fffc,0x80009fff,0xfb807fff,0xfd0005ff,0x320009ff,0x5c001fff,
    0xfd002fff,0xf80009ff,0xffb807ff,0x3ff6005f,0xfff80006,0x5fffb807,
    0x03fffa00,0x7ffe4000,0x00000002,0x3a03fff5,0xfff70fff,0x037ffcc1,
    0x03fffc40,0x017ffe40,0x00bfff20,0x17ffe400,0xfffc8000,0x64000002,
    0x32002fff,0xbcefffff,0x6fecaa99,0x1fffec00,0xbfff3000,0x1ffff100,
    0x017ffe40,0x00bfff20,0x001bffee,0x00bfff30,0x001ffff1,0x006fffb8,
    0x00bfff20,0x003fff90,0x000dfff7,0x805fff98,0x800ffff8,0x0003fff8,
    0x402fffcc,0x000ffff8,0x0001fffd,0x00bfff20,0x03dff700,0x407ffea0,
    0xff74fffa,0x7fffc41f,0x7ffdc000,0xfffc8005,0x7ffe4002,0xff900002,
    0x3200005f,0x00002fff,0x017ffe40,0x3fffff20,0xffffffff,0x7fe4006f,
    0x3f20002f,0xeeeeeeff,0xffffeeee,0x0bfff202,0x05fff900,0x01ffff88,
    0x77ffe400,0xeeeeeeee,0x002ffffe,0x007fffe2,0x02fffb80,0x007ffec0,
    0x007fffe2,0xddfff900,0xdddddddd,0x7005ffff,0x80001fff,0xeeeefffc,
    0xffeeeeee,0xffd002ff,0x3200001f,0x20002fff,0x01fffffb,0x201fffa8,
    0xffb8ffff,0x1ffff40f,0x0bfffa00,0x0bfff200,0x05fff900,0x3fff2000,
    0xff900002,0x8000005f,0x8002fffc,0xfffffffb,0x06ffffff,0x017ffe40,
    0xffffff00,0xffffffff,0x640bffff,0x64002fff,0x7ec02fff,0xf80004ff,
    0xffffffff,0xffffffff,0x3ff6005f,0x7d40004f,0x7f4003ff,0xfffd807f,
    0xfff80004,0xffffffff,0x5fffffff,0x005fff80,0xffffff80,0xffffffff,
    0xd005ffff,0x00001fff,0x000bfff2,0x7fffffc4,0x1fffa805,0x2efffee0,
    0x7fd40fff,0x3fe6006f,0xff90006f,0xffc8005f,0xf900002f,0x200005ff,
    0x0002fffc,0x17ffe400,0xfffb5000,0x059fffff,0x05fff900,0x3fffe600,
    0xffffffff,0x0fffffff,0x005fff90,0x202fffc8,0x0006fffb,0xffffff98,
    0xffffffff,0x800fffff,0x0006fffb,0x005fff98,0x701bffe2,0x0000dfff,
    0xfffffff3,0xffffffff,0x5401ffff,0x40001fff,0xfffffff9,0xffffffff,
    0xe800ffff,0x00000fff,0x0005fff9,0x3fffffe6,0x1fffa807,0x2fbffe20,
    0xfff80fff,0xffe8804f,0xff90002f,0xffc8005f,0xf900002f,0x200005ff,
    0x0002fffc,0x17ffe400,0x77ffc000,0x64000099,0x90002fff,0xdddddfff,
    0xfddddddd,0x3f205fff,0x7e4002ff,0xfff102ff,0xf900003f,0xddddddff,
    0xffdddddd,0xff8805ff,0x880001ff,0x9001ffff,0x7c409fff,0x80001fff,
    0xeeeefffc,0xeeeeeeee,0x3a02ffff,0xc80006ff,0xeeeeefff,0xfeeeeeee,
    0xfe802fff,0x900000ff,0x20005fff,0x6ffffff8,0x01fffa80,0x7ff7ffe4,
    0xffffb80f,0x37fff403,0x5fff9000,0x2fffc800,0xfff90000,0x3f200005,
    0x000002ff,0x0017ffe4,0x00fffe20,0x2fffc800,0x1ffff000,0x5fffb800,
    0x005fff90,0xb02fffc8,0x00009fff,0x0003fffe,0xd80bfff7,0x00004fff,
    0x0037fff2,0xd80dfff5,0x00004fff,0x8001ffff,0xf305fffb,0xf00005ff,
    0xb8001fff,0xfe805fff,0x900000ff,0x40005fff,0x02fffffc,0x401fffa8,
    0xfffffff8,0xffffe880,0xfeca89bd,0x20001fff,0x4002fffc,0x0002fffc,
    0x005fff90,0x0bfff200,0xff900000,0xfa80005f,0x200001ff,0x8002fffc,
    0x8005fff9,0xf907fff8,0xfc8005ff,0xfffa82ff,0xff300006,0xff1000bf,
    0x7ffd40ff,0x7c400006,0x4c1affff,0x202ffffc,0x0006fffa,0x00bfff30,
    0x20ffff10,0x80007ffc,0x8005fff9,0xe807fff8,0x00000fff,0x0005fff9,
    0x003fffc8,0x9003fff5,0x01ffffff,0x3fffffa2,0xffffffff,0xaaaa8801,
    0xacfffdaa,0xf902aaaa,0x555559ff,0x03555555,0x2ab3fff2,0xaaaaaaaa,
    0x9fff901a,0x55555555,0x55103555,0xfffb5555,0x05555559,0x001fff20,
    0x05fff900,0x05fff900,0x0bfffa00,0x000bfff2,0xf885fff9,0xccccefff,
    0xcccccccc,0x3fff20cc,0xfffd0002,0xdffff105,0x99999999,0x01999999,
    0x3fffffee,0xffffffff,0x3fffe205,0xccccccce,0x0ccccccc,0x000bfff2,
    0x2217fff4,0x80004fff,0x0002fffc,0xe805fffd,0xaaaabfff,0x1aaaaaaa,
    0x559fff90,0x55555555,0x50006035,0xf1003fff,0x801fffff,0xfffffffd,
    0x3000dfff,0xffffffff,0xffffffff,0x3ffff20f,0xffffffff,0xff905fff,
    0xffffffff,0x20bfffff,0xfffffffc,0xffffffff,0xfffff985,0xffffffff,
    0xfd007fff,0xc800009f,0xf8002fff,0x70000fff,0xff90bfff,0xffc8005f,
    0x7fffe42f,0xffffffff,0x1fffffff,0x0003fffe,0x642fffdc,0xffffffff,
    0xffffffff,0x3a601fff,0xffffffff,0x7e402fff,0xffffffff,0xffffffff,
    0x3fffe1ff,0xfff70000,0x00fffb8b,0x0ffff800,0xbfff7000,0xfffffe80,
    0xffffffff,0xfff904ff,0xffffffff,0x000bffff,0x007ffea0,0x07ffffec,
    0x7fff6540,0x4c003dff,0xffffffff,0xffffffff,0xfffff907,0xffffffff,
    0x3ff20bff,0xffffffff,0x905fffff,0xffffffff,0xbfffffff,0xffffff30,
    0xffffffff,0x3fe00fff,0x6400002f,0x4c002fff,0x20005fff,0xfc87fff9,
    0x7e4002ff,0x7ffe42ff,0xffffffff,0xffffffff,0x00bfff31,0x43fffcc0,
    0xfffffffc,0xffffffff,0xc801ffff,0xeffffffe,0xfffc800c,0xffffffff,
    0xffffffff,0x00bfff31,0x23fffcc0,0x80005ffe,0x0005fff9,0xd01fffe6,
    0xffffffff,0x9fffffff,0x3fffff20,0xffffffff,0x500005ff,0x26003fff,
    0x000fffff,0x20000a98,0xfffffff9,0xffffffff,0xffff907f,0xffffffff,
    0x3f20bfff,0xffffffff,0x05ffffff,0xfffffff9,0xffffffff,0xfffff30b,
    0xffffffff,0x5100ffff,0x90000055,0xc8005fff,0x40003fff,0x7e42fffe,
    0x7e4002ff,0x7ffe42ff,0xffffffff,0xffffffff,0x007fff91,0x42fffe80,
    0xfffffffc,0xffffffff,0x4001ffff,0xc8001a98,0xffffffff,0xffffffff,
    0xfff91fff,0xffe80007,0x03ddd32f,0x7fff9000,0xfffe8000,0x3ffffa02,
    0xffffffff,0xff904fff,0xffffffff,0x00bfffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2a200000,0x0000aaaa,0x00000000,0x4ed88000,
    0x0aaaa000,0x00055554,0xaa815554,0xc98000aa,0x0199702c,0x5c0b3260,
    0x970000cc,0x99999999,0x32e00599,0xcccccccc,0x997002cc,0x99999999,
    0x00440059,0x00000000,0x80013330,0x0002dfec,0x4cc40000,0xdfec8001,
    0x00000002,0x00000000,0x54c00000,0x4c00009a,0x000009aa,0xffd10000,
    0xfff305ff,0x00000005,0x1fffff44,0xfffd1000,0x3fea000b,0x3fff20df,
    0xfff50002,0x17ffe41b,0x87ff9800,0x26007ff9,0x7ff987ff,0x3fffa000,
    0xffffffff,0xffffd004,0x9fffffff,0x3ffffa00,0x4fffffff,0x00bffb00,
    0x00000000,0x2009fff1,0x5fffffe8,0x20000000,0x22006ffd,0x05fffffe,
    0x3fff6000,0xfffc8002,0x00fffd82,0xffff9800,0xb8fff71e,0x0efffffe,
    0x75c7ffb8,0x00efffff,0x004ffd88,0xdfffd100,0x037ff401,0xe8800000,
    0x0001efff,0x07ffffd4,0xefffa800,0x002fffea,0x577ffd40,0x0002fffe,
    0x2b3bffe2,0x2005ffec,0xcacefff8,0x20005ffe,0xfffffffe,0xd004ffff,
    0xffffffff,0x3a009fff,0xffffffff,0xf9804fff,0x00003fff,0xfffd0000,
    0x800fffd4,0xffdacffd,0x80000003,0x2003fff8,0xffdacffd,0xffd80003,
    0xc8002fff,0xffd13fff,0xf300001f,0x7dc1bfff,0xffffb17f,0xb85fffff,
    0xfffb17ff,0x05ffffff,0x05ffffd8,0x4fffd800,0x01fffa80,0x74400000,
    0x0000dfff,0x07ffff98,0x7fffcc00,0x00001fff,0xfffffff3,0xff500003,
    0x1fffffff,0xffffa800,0x000fffff,0x2aaaaaa0,0x01aaaaaa,0x55555550,
    0x00355555,0x2aaaaaaa,0x801aaaaa,0x005ffff9,0xfd000000,0x037fe4ff,
    0x7ec3ff88,0x80000006,0x1000fffa,0x06fd87ff,0x77ffec00,0xc8002fff,
    0xfffecfff,0xff980000,0xfffb83ff,0xfeffffe8,0x7dc7ffff,0xffffe8ff,
    0x07fffffe,0x17fffffc,0x5fffb000,0x027ffc00,0xfd100000,0x800007ff,
    0x0004fffe,0x1fffff98,0x7fcc0000,0x00001fff,0x3fffffaa,0xfd50001d,
    0x003bffff,0x00000000,0x00000000,0x1bfff600,0x40000000,0x3ffe7ffe,
    0x83ff3003,0x100007fb,0x7e405d95,0x3fe6005f,0x0003fdc1,0x3f63fffb,
    0xfc8002ff,0x000effff,0x1efff980,0xffdfff70,0xffffa85f,0x3fbffee3,
    0x7ffd42ff,0x3fffa03f,0x310004ff,0xfc800133,0x000000ff,0x21fffe88,
    0x40000eee,0x200002cb,0x00009998,0x01333100,0x2aa60000,0x5300000a,
    0x00000155,0x00000000,0x80000000,0x0006fff8,0xffd00000,0x003ffe6f,
    0x3f61ffc4,0xff700006,0x17ffc05f,0xd87ff100,0xfe88006f,0x7ffe40ef,
    0xfffc8002,0xf980000e,0x3ee00dff,0x500effff,0x7fdcdfff,0xf500efff,
    0x7fdc0dff,0x00005fff,0x7fff1000,0x31000000,0x37fd4133,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0027fec0,
    0xfe800000,0x00bff77f,0xfc9cffe8,0xf700004f,0x3fe605ff,0x7ff4000f,
    0x004ffc9c,0x10099988,0x26000333,0x10000099,0xff700333,0xfe801dff,
    0x3fffee7f,0x3fff400e,0x17ffffa0,0xd8000000,0x000006ff,0x01ffec00,
    0x00000000,0x00000000,0x00000000,0x20000000,0xeeeeeeeb,0xeeeeeeee,
    0xeeeee884,0xeeeeeeee,0x26005eee,0x000eeeee,0x0005ffd0,0x3fa00000,
    0x0013317f,0xffffff88,0x3ee00006,0x133102ff,0xffff1000,0x00000dff,
    0x00000000,0x3ee00000,0xfd800fff,0xffff70ff,0x1fffb001,0x27fffcc0,
    0x77774c00,0xeeeeeeee,0x02fffa82,0x3e000000,0xdd7000ff,0xdddddddd,
    0x209ddddd,0xeeeeeee9,0x8000aacd,0xdeeeeeeb,0x40001abc,0xeeeeeeeb,
    0xeeeeeeee,0x3bba6004,0x320000ee,0xffffffff,0x5fffffff,0xffffff98,
    0xffffffff,0x3f2007ff,0x4003ffff,0x0005ffd8,0x3fa00000,0xb100007f,
    0x00009dff,0x002fffb8,0x3ff62000,0x0000004e,0x00000000,0x3fee0000,
    0xfff9002f,0x00bffee3,0x200fffe4,0x8002ffff,0xfffffffd,0xd03fffff,
    0x00000bff,0x3f2aa620,0x3ff2006f,0xffffffff,0x305fffff,0xffffffff,
    0x003bffff,0x7fffffe4,0x2effffff,0xffffc800,0xffffffff,0x32005fff,
    0x003fffff,0x3fffff20,0xffffffff,0xfff985ff,0xffffffff,0x007fffff,
    0x1bfffffe,0x0ffffe80,0x00000000,0x0001fffa,0xb8000000,0x00002fff,
    0x00000000,0x00013351,0x00133510,0x0266a200,0x8017ffdc,0xff71fffc,
    0x3ff2005f,0x3ffe201f,0x7fc4000f,0xffffffff,0xff703fff,0x2000001f,
    0xfffffed9,0x3f2004ff,0xffffffff,0x05ffffff,0xfffffff3,0xbfffffff,
    0x3ffff200,0xffffffff,0x32000dff,0xffffffff,0x5fffffff,0x3ffffe00,
    0x3f20006f,0xcccccdff,0x83cccccc,0xecccccc8,0xccccdfff,0xfff3004c,
    0x2001ffff,0x0000cfff,0x26660000,0x000fffd0,0x40000000,0x0002fffb,
    0x2aaaa600,0xc8800009,0xfffffffe,0xfd91001c,0x39ffffff,0x7ff64400,
    0x21cfffff,0x9002fffb,0x3fee3fff,0xfff9002f,0x27ffe403,0x7f7fe400,
    0xaaaaadff,0x9fff101a,0xff700000,0xffffffff,0xff9001bf,0x999999bf,
    0x20799999,0xcccefff9,0xfffffedc,0xdfffc803,0xfffedccc,0x9002ffff,
    0x9999bfff,0x79999999,0x3fffe600,0x90000fff,0x00005fff,0x02fffc80,
    0x67ffe400,0x59003fff,0x00000001,0xfffffdb5,0x800fffff,0x9002fffb,
    0x7e403fff,0xffffffff,0xffffffff,0xec9801ff,0xffffffff,0xff70002e,
    0xffffffff,0xfff7009f,0xffffffff,0x3ffee009,0xffffffff,0x00bffee4,
    0xfb8fffe4,0xff9002ff,0xfff9103f,0x3ffe000d,0x0003fffb,0x0000fff9,
    0x7fffff44,0xfffffeee,0x7ffe400e,0xff300002,0x7ff4c09f,0x7fe400ff,
    0x3ff2201f,0xfc801fff,0x000002ff,0xfff9fff9,0x3ff20007,0x4000002f,
    0x0002fffc,0x7fcefffc,0x1000006f,0x10001555,0xfffffffb,0x00ffffff,
    0x002fffb8,0x6403fff9,0xffffffff,0xffffffff,0x7cc01fff,0xffffffff,
    0x000effff,0xffffffd1,0x09ffffff,0x7fffff44,0x4fffffff,0x7ffff440,
    0xffffffff,0x00bffee4,0xfb8fffe4,0xff9002ff,0x3ff72e3f,0xa8001fff,
    0x3fff9fff,0x5fff3000,0x3ff20000,0x3ff60aff,0x6405ffff,0x00002fff,
    0x8809fff3,0x6403ffff,0xe9801fff,0xfc806fff,0x000002ff,0xfff3bfff,
    0x3ff2000d,0x4000002f,0x0002fffc,0x7f4fffe6,0xff8000ff,0x3fff662f,
    0xf5003fff,0xffdfffff,0x00ffffff,0x002fffb8,0x6403fff9,0xffffffff,
    0xffffffff,0x7cc01fff,0xfeefffff,0x005fffff,0x15bffffd,0xd0275cc4,
    0x415bffff,0x7404eb98,0x20adffff,0x3ee4eb98,0xff9002ff,0x0bffee3f,
    0xd8fffe40,0x00dfffff,0xf19ffb00,0x6c0007ff,0x980006ff,0x7c41efff,
    0x2ffffbff,0x00bfff20,0x27ffcc00,0x027ffdc0,0x4007fff2,0x402ffff8,
    0x0002fffc,0xd3fff980,0x90001fff,0x00005fff,0x02fffc80,0x43fff200,
    0x8003fffc,0xfff72fff,0x0bffffff,0x9dffff88,0x3fffdcc0,0x0bffee00,
    0x00fffe40,0xf7333331,0x333337ff,0xf3003333,0xfb10137d,0xfb805fff,
    0x01002fff,0x00bfffee,0xffff7004,0xffb82005,0xfff9002f,0x00bffee3,
    0xfd8fffe4,0x20002dff,0xff89fff8,0x3ea0003f,0x740001ff,0xffa81fff,
    0x40bfff96,0x0002fffc,0x009fff30,0xc80dfff3,0x2e001fff,0x7e406fff,
    0x800002ff,0xff90fffc,0xff90007f,0x8000005f,0x0002fffc,0xff99bffe,
    0xfff8006f,0xffffffbb,0x202fffff,0xe803fffd,0x7dc007ff,0xff9002ff,
    0xff70003f,0x2200005f,0x3fff2000,0x3fffe205,0x7fc40002,0x880002ff,
    0x0002ffff,0x2005fff7,0xff71fffc,0x3ff2005f,0x0001351f,0x7c5bff20,
    0x7c0003ff,0x260005ff,0xffb05fff,0x03fffa27,0x0017ffe4,0x04fff980,
    0x406fff98,0x2001fffc,0x202ffff8,0x0002fffc,0x266fff80,0xc8006fff,
    0x00002fff,0x017ffe40,0x43fff980,0x4000ffff,0xcfffefff,0x1bfff620,
    0x8027ffd4,0x5c007ffe,0xf9002fff,0xf70003ff,0x000005ff,0x037ffc00,
    0x000bfffb,0x00bfffb0,0x17fff600,0x2fffb800,0x23fff900,0x9002fffb,
    0x00003fff,0x7c4fffe0,0x5c0003ff,0x70000fff,0xff105fff,0x17ffe41f,
    0x002fffc8,0x09fff300,0x809fff70,0x4001fffc,0x3203fffc,0x00002fff,
    0x3e1fffcc,0x64000fff,0x00002fff,0x017ffe40,0x41fffc80,0x4003fffc,
    0x03ffffff,0x3a07fffa,0xfd000fff,0xffb800ff,0xfff9002f,0xfff70003,
    0x00000005,0xfd03fff4,0xd00001ff,0x00001fff,0x0003fffa,0x002fffb8,
    0x3ee3fff9,0xff9002ff,0x0cedb83f,0x0fffa800,0x0007fff1,0x003fff88,
    0x501fff90,0xfffb8dff,0x05fff903,0x3ffe6000,0x3fffd804,0x00fffe40,
    0x813ffea0,0x0002fffc,0x20fffe40,0x4003fffc,0x0002fffc,0x17ffe400,
    0x86fff800,0x4005fffa,0x402fffff,0x7c42fffb,0x3fa005ff,0x7fdc007f,
    0xfff9002f,0xfff70003,0x00000005,0xf807ffec,0xf00006ff,0x40000dff,
    0x40006fff,0x9002fffb,0x3fee3fff,0xfff9002f,0x77fffe43,0x2fff4000,
    0x0007fff1,0x000fffb0,0x7ec1fff6,0x27ffd43f,0x002fffc8,0x09fff300,
    0x806fffc8,0x4001fffc,0x3205fffa,0x00002fff,0x7d437ffc,0x7e4005ff,
    0xcccccdff,0x00cccccc,0x017ffe40,0x827ffcc0,0x2000ffff,0x9803ffff,
    0x7fcc3fff,0x3ffa003f,0x7ffdc007,0x3fff9002,0x5fff7000,0x40000000,
    0xf980fffd,0x980005ff,0x00005fff,0x000bfff3,0x002fffb8,0x3ee3fff9,
    0xff9002ff,0x3fffe23f,0x3e6003ff,0x3ffe21ff,0x0aaaaaad,0x05fff300,
    0x10dffd00,0xff881fff,0xbfff904f,0x99999999,0x3e601999,0xfea884ff,
    0xfc802fff,0x7cc001ff,0x3ff206ff,0xccccccdf,0x200ccccc,0xff04fff9,
    0x7e4001ff,0xffffffff,0x01ffffff,0x017ffe40,0x80fffe40,0x2003fffd,
    0xf1006fff,0xfffa89ff,0x1fffa002,0x05fff700,0x007fff20,0x00bffee0,
    0x372e2000,0xfffffffe,0xfffa80ff,0xffa80004,0xf500004f,0xb80009ff,
    0xf9002fff,0x3ffee3ff,0x3fff9002,0x3fffffea,0x1bff2005,0xfffffff1,
    0x74003fff,0xff8005ff,0x86ffa87f,0xf904fff8,0xffffffff,0x03ffffff,
    0x3fffffe6,0xffffffff,0x3fff9001,0x7fff8800,0x3fffff20,0xffffffff,
    0x3ff201ff,0x7fffb01f,0x7fffe400,0xffffffff,0x64001fff,0xf8002fff,
    0x3fea07ff,0x3ffe005f,0xbfff1005,0x002fffb8,0x7001fffa,0x32005fff,
    0xb8001fff,0x00002fff,0x3fffff22,0xffffffff,0x3fffb80f,0xfffb8000,
    0xff700003,0xfb80007f,0xff9002ff,0x0bffee3f,0x98fffe40,0x05ffffff,
    0xf10fffe0,0xffffffff,0x7fd4003f,0x7ff4001f,0x41ffec0f,0xf903fff9,
    0xffffffff,0x03ffffff,0x3fffffe6,0x0cffffff,0x07fff200,0x03fffe00,
    0x7fffffe4,0xffffffff,0x1fffe01f,0x005fffa8,0x3bbbfff2,0xeeeeeeee,
    0x7fe4001e,0x7fcc002f,0x3ffe204f,0xbfff000f,0x17ffe200,0x4003fff9,
    0x5c007ffe,0xf9002fff,0xf70003ff,0x200005ff,0xfffffff8,0xffffffff,
    0x4fffa80f,0xfffa8000,0xff500004,0xfb80009f,0xff9002ff,0x0bffee3f,
    0xd0fffe40,0x005fffff,0xf103ffea,0x99999bff,0xfff80019,0x7ffec004,
    0x203ffe21,0xf902fffa,0xddddddff,0x03dddddd,0x3fffffe6,0x001fffff,
    0x001fffc8,0x903fffc4,0xdddddfff,0x3ddddddd,0x813ffe60,0x000ffff8,
    0x0005fff9,0x2fffc800,0x17ffe400,0x00bfff60,0x8802fffc,0x7fe45fff,
    0x3ffa002f,0x7ffdc007,0x3fff9002,0x5fff7000,0xffd10000,0x7ec037ff,
    0xfff880ff,0xff880006,0xf100006f,0x00000dff,0x20000000,0x3a60fffc,
    0x3a003fff,0xfff885ff,0x3f200003,0x3f2000ff,0x1bfea2ff,0xc807ffe4,
    0x00002fff,0x533bfff3,0x005ffff9,0x001fffc8,0x903fffcc,0x00005fff,
    0xb00bfff2,0x32005fff,0x00002fff,0x017ffe40,0x201fffe0,0xf005fffb,
    0x3e200bff,0x7ffdc5ff,0x1fffa002,0x05fff700,0x007fff20,0x00bffee0,
    0x1bffee00,0x807ffec0,0x00007fff,0x0000ffff,0x0003fffc,0x00000000,
    0x5307ffd8,0x7ffcc001,0x03fff882,0x3ffe2000,0x3ffea003,0x220fff65,
    0x3f207fff,0x300002ff,0xff309fff,0x7e4003ff,0x7d4001ff,0x3ff206ff,
    0xff00002f,0xfff700ff,0x3fff200b,0x64000002,0x26002fff,0xf8805fff,
    0xff800fff,0xfff1005f,0x03fffa8b,0x00ffff30,0x002fffb8,0x0003fff9,
    0x0005fff5,0x003fffb0,0x7403fff6,0x80003fff,0x0003fffe,0x007fffd0,
    0x0d554000,0xfff00000,0x7e40000d,0x7fff107f,0xffd80000,0x7fffc006,
    0xb80fff8a,0x3f203fff,0x300002ff,0x3ea09fff,0x3f2006ff,0x7dc001ff,
    0x3ff205ff,0xf980002f,0xff8805ff,0xffc800ff,0x4000002f,0x2002fffc,
    0xeeeefffc,0xffeeeeee,0xfff802ff,0xbfff1005,0x806fff98,0x007ffff9,
    0x401fffd4,0x001ffffa,0x003fffa8,0x007fff80,0x5c03fff6,0x0000ffff,
    0x007fffdc,0x7fffdc00,0xf9800000,0x000002ff,0x0009fff7,0x2bbffe20,
    0xfffbaaaa,0x7d400003,0x3f2001ff,0x86ffbfff,0x6406fffa,0x00002fff,
    0x6c09fff3,0xf9003fff,0xfc8003ff,0x3ff203ff,0xfc80002f,0xeeeeeeff,
    0xffffeeee,0x2fffc802,0x7e400000,0x3fe002ff,0xffffffff,0xffffffff,
    0x05fff805,0xf0bfff10,0x74401fff,0x4007ffff,0x4c05fff9,0x001fffff,
    0x005fff88,0x007fff80,0x401ffff9,0x001efffe,0x3bfffa01,0x7f401001,
    0x01001eff,0x003ffee0,0x3ffe6000,0xf700000f,0xffffffff,0x0007ffff,
    0x00bffd00,0xffffffe8,0x3ffff263,0x17ffe402,0xfff98000,0x1fffe604,
    0x00fffe40,0x01ffff10,0x0017ffe4,0x7fffffc0,0xffffffff,0xc805ffff,
    0x00002fff,0x017ffe40,0xffffff98,0xffffffff,0x400fffff,0xf1005fff,
    0xfff70bff,0x3fffa20b,0x7c4007ff,0xff500fff,0x0003ffff,0x000bfffe,
    0x405fffd0,0x0fffffe8,0x3ffffea0,0x3f2661ac,0xfffff504,0x7e4cc359,
    0x3fffea04,0x32661acf,0xbffb004f,0x5cc40000,0x0004ffff,0x3fffffa0,
    0xffffffff,0xfb800003,0x3e2000ff,0xfeefffff,0x804fffff,0x0002fffc,
    0x809fff30,0xc803fffe,0x36001fff,0x7e406fff,0x4c0002ff,0xffffffff,
    0xffffffff,0x7e400fff,0x000002ff,0x8017ffe4,0xeeeefffc,0xeeeeeeee,
    0x7c02ffff,0xff1005ff,0xffff10bf,0x3fff263b,0x8007ffbd,0x221efffd,
    0xfffefffc,0xfff90001,0x0173039f,0x217fffe4,0xffffffc9,0x7ffe400f,
    0xffffffff,0x3ff204ff,0xffffffff,0x7e404fff,0xffffffff,0xf004ffff,
    0x400007ff,0x0efffffc,0xfff30000,0xdddddddd,0x00007fff,0x009fff10,
    0xfffffd88,0x01efffff,0x005fff90,0x13ffe600,0x00dfff50,0x2003fff9,
    0x402ffff9,0x0002fffc,0x7777ffe4,0xeeeeeeee,0x402ffffe,0x0002fffc,
    0x17ffe400,0x00ffff80,0x02fffdc0,0x44017ffe,0xff905fff,0xffffffff,
    0x001ffeeb,0x3fffffe6,0xf9cfffff,0xf10001ff,0xffffffff,0x7c403fff,
    0xffefffff,0xfffbdfff,0xfffe9800,0xffffffff,0x7fff4c04,0xffffffff,
    0xfffe9804,0xffffffff,0x1fff8804,0x3ff20000,0x400004ff,0x2200fffc,
    0x00003fff,0x000fff90,0x3ffffffa,0x32000cef,0x00002fff,0xd009fff3,
    0xfc807fff,0xffa801ff,0xffc805ff,0x7fc0002f,0x7dc000ff,0x7fe405ff,
    0x4000002f,0x9802fffc,0x88005fff,0x7fc07fff,0xfff1005f,0x7fffe40b,
    0x3ee5ffff,0xff70007f,0x7fffffff,0x0007ffe6,0xfffffe98,0x401fffff,
    0xfffffffa,0xfff53fff,0x7f6dc001,0x0bdfffff,0xfffdb700,0x0017bfff,
    0x7ffff6dc,0xa800bdff,0x400006ff,0x0001defc,0x027ffc40,0x000fffe2,
    0x17ffcc00,0x557ffc00,0x3f20000a,0x300002ff,0xf5009fff,0xffc80dff,
    0x3ff6201f,0xfc800fff,0x260002ff,0x88005fff,0x7e407fff,0xaaaaacff,
    0x81aaaaaa,0xdaaaaaa8,0xaaaacfff,0x0bfff22a,0x17fff400,0x200bfff0,
    0x5405fff8,0x42dffffe,0x20007ffa,0xdfffffe9,0x007ffe61,0x3fffae00,
    0x801effff,0xefffffd8,0x03ffea1d,0x00999800,0x01333000,0x04ccc000,
    0x00000000,0x70000002,0xf8803fff,0x99999cff,0x7f400009,0x7fd4006f,
    0x3f200006,0xaaaaacff,0x01aaaaaa,0x2009fff3,0x3202ffff,0xcaaacfff,
    0xefffffed,0x9fff9001,0x55555555,0x7fe43555,0xffd0002f,0x7ffe405f,
    0xffffffff,0xf985ffff,0xffffffff,0x7fffffff,0x0003fffe,0xf02fffdc,
    0x3e200bff,0x066005ff,0x98800000,0x0000009a,0x01999880,0x0026a600,
    0x00000000,0x00000000,0x00000000,0xe8000000,0xff8806ff,0xffffffff,
    0x7fd40006,0x3ff6001f,0x3f200003,0xffffffff,0x05ffffff,0x2009fff3,
    0x3206fffb,0xffffffff,0x0dffffff,0x3ffff200,0xffffffff,0x3ffe5fff,
    0xff70000f,0x7ffe40bf,0xffffffff,0xf985ffff,0xffffffff,0x7fffffff,
    0x000bfff3,0xf03fffcc,0x3e200bff,0x000005ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x1fffcc00,0x7ffffc40,
    0x006fffff,0x004fff80,0x00003ffe,0xffffffc8,0xffffffff,0x9fff305f,
    0x3fffe200,0xfffff902,0xbfffffff,0xfff90003,0xffffffff,0x3e6bffff,
    0x260005ff,0x3f207fff,0xffffffff,0x85ffffff,0xfffffff9,0xffffffff,
    0x07fff97f,0x2fffe800,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3f600000,0xff8800ff,0xffffffff,
    0xeeb80006,0x09dd3005,0xfffc8000,0xffffffff,0xf305ffff,0x7e4009ff,
    0xfff906ff,0x79bddfff,0x7fe40001,0xffffffff,0xf95fffff,0xe80007ff,
    0x00002fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x000c0000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00002a88,0x00000000,0x88000000,
    0x2a62001a,0x000009aa,0x0013ffe2,0xff503ffe,0x7ff4400b,0x2fff4c0e,
    0xa81fff00,0xb80005ff,0x80001fff,0x7fd40fff,0x3ffa2005,0x2fff4c0e,
    0xbfffd000,0x09ffff50,0x07fffb00,0x7fcc0000,0x3ee01fff,0x0000efff,
    0x0ffff600,0x005fff70,0x8801fffa,0x900cefeb,0xfffd8000,0x4c000003,
    0x401fffff,0x00effffb,0xffe88000,0xfffd800e,0x7fd4000f,0x40001bde,
    0x00cefeb8,0xa8fff709,0x1dfffffd,0xffffff70,0x000019ff,0x0009fff1,
    0xffd87ffb,0x7ff44003,0x0bfff51e,0x6c3ffd80,0x4c0003ff,0x0007ffff,
    0x7ec3ffd8,0x7f44003f,0xbfff51ef,0x7ffec000,0x3ffff985,0xffffd800,
    0x9800003f,0x800dffff,0x00efffe9,0xfffd8000,0x3fee03ff,0xfffd002f,
    0x3fffe200,0x2fe43fff,0xffffd800,0x3000003f,0x001bffff,0x03bfffa6,
    0xfff90000,0x3ffa009f,0x1fb2a26f,0x3fffffea,0xff88003e,0x643fffff,
    0x73ffdc5f,0xffffffff,0xffff905f,0x01ffffff,0x26666620,0x999dfffa,
    0xefffb800,0x001ffffc,0xfcfffe88,0xfb8005ff,0xffffceff,0x7fdc0001,
    0x40001fff,0xffcefffb,0xe88001ff,0x5fffcfff,0x3ffee000,0x2ffff985,
    0xefffd800,0x00003fff,0x00ffffe6,0x1dfffb10,0x7fec0000,0x703fffef,
    0x3a005fff,0xfe8807ff,0xffffffff,0x000efffd,0x7ff7ffec,0x4c00003f,
    0x8003ffff,0x00efffd8,0x3fffa000,0xfff1006f,0xffffffdf,0xffffff50,
    0x22003dff,0xfffffffe,0x0efffdff,0x3f23ffee,0xffffffff,0x777e41ff,
    0x5ffffedd,0xfffff700,0xffffffff,0x3fff600b,0x0003ffff,0x3fffffa2,
    0x3ff60005,0x003fffff,0xfffffa80,0xffd80000,0x003fffff,0x3ffffa20,
    0x3ea0005f,0xfff885ff,0xffd8001e,0x07fff92f,0xffff3000,0x7fdc0005,
    0xd80000ef,0xfff92fff,0x05fff707,0x201fffa0,0xfd50cff9,0x01dfffff,
    0x92fffd80,0x00007fff,0x00bfffe6,0x1dfff700,0x3ff20000,0x6dcc04ff,
    0xffffffff,0xcca887ff,0x2ffffffe,0x50cff980,0xdffffffd,0xfdfffb81,
    0x3faa0cff,0xa80446ff,0xf7007fff,0xffffffff,0x400bffff,0x02effffb,
    0xfffe8800,0xffb80005,0x00002eff,0x0013fffa,0xeffffb80,0xfe880002,
    0x260005ff,0xfe885fff,0xfd8000ef,0x7ffdc1ef,0x3fe60003,0x980000ef,
    0x0000effe,0xf707bff6,0xfffb87ff,0x0fffd002,0x7fdc1660,0x6c000dff,
    0x7fdc1eff,0x7cc0003f,0x00000eff,0x001dffd3,0x1dffd100,0x7ffffe40,
    0xacdfffff,0xfff91000,0x0b3003ff,0x037fffee,0x3fffffee,0x3ffff101,
    0x037ffc00,0xffffffb8,0x5fffffff,0x00098800,0x00ccc400,0x00262000,
    0x0165c000,0x00988000,0x0ccc4000,0x06662000,0x8000ccc4,0x31009998,
    0x4c400033,0x44000019,0x10000999,0x26201333,0x17ffdc19,0x007ffe80,
    0x40006200,0x31009998,0x98800033,0x88000019,0x00000999,0x3ff20066,
    0x6fffffff,0x7ffc4000,0x3100007f,0xfffffb80,0x27ffdc00,0x04fff980,
    0x27ffc400,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x005fff70,0x0001fffa,0x00000000,
    0x00000000,0x00000000,0x157bf900,0x007ffff1,0x3ffff980,0xf7000000,
    0xf1003fff,0x33310fff,0x003ffff7,0x04fff880,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x400bffee,0x00007ffe,0x00000000,0x00000000,0x00000000,0xfff50040,
    0xfb80001f,0x000006ff,0x007fff70,0x7d43fff4,0x00dfffff,0xf884cc40,
    0x260004ff,0x0009aaaa,0x2aaaa600,0x54c00009,0x98000009,0x0000009a,
    0x54c00000,0x00000009,0x00000000,0x00000000,0x4c000000,0xb809aaaa,
    0xfd002fff,0xa98000ff,0x98000009,0x8000009a,0x000009a9,0x00009a98,
    0x00059950,0x037ffecc,0x1fffe600,0x7dc00000,0x3f6002ff,0x7ffd40ff,
    0x400cffff,0xffffffdb,0x2004fffe,0xfffffec9,0x8002efff,0xfffffec8,
    0x2002ffff,0xffffffdb,0x36e0000d,0x0dffffff,0x05fff700,0x007fff20,
    0x7ffffedc,0xff7000df,0x3ff2005f,0x7ffdc01f,0x3fff9002,0x005fff70,
    0x2e07fff2,0xf9002fff,0xd91003ff,0xffffffff,0x17ffdc5f,0x007ffe80,
    0x7ffff644,0x10001dff,0xffffffd9,0x3220003b,0xdffffffe,0xfd910001,
    0x03bfffff,0x027fec00,0xffffd950,0x80007fff,0xfb81ffff,0xff9002ff,
    0x0bffee3f,0x41fffc80,0xfffeeee9,0xffe980ef,0xffffffff,0xff3004ff,
    0xffffffff,0x2001dfff,0xfffffffa,0x803fffff,0xffffffe8,0x4003ffff,
    0xffffffe8,0xb803ffff,0xf9002fff,0xfe8803ff,0xffffffff,0xfffb803f,
    0x3fff9002,0x02fffb80,0x703fff90,0x32005fff,0xffb81fff,0xfff9002f,
    0xffffa803,0xffffffff,0x00bffee3,0x5003fff4,0xffffffff,0xa8009fff,
    0xffffffff,0x54004fff,0xffffffff,0x54004fff,0xffffffff,0xb0004fff,
    0xfd100bff,0xffffffff,0x7c0001ff,0xffb80fff,0xfff9002f,0x00bffee3,
    0x802fffc8,0x644fffe9,0xfeffffff,0x04ffffff,0xffffff30,0xffffffdd,
    0xffff500b,0xffdddddf,0xfff9807f,0xfffecdff,0xff3005ff,0xffd9bfff,
    0xfb80bfff,0xff9002ff,0x7ffcc03f,0xfffecdff,0x7fdc05ff,0xfff9002f,
    0x2fffb803,0x03fff900,0x2005fff7,0xfb81fffc,0xff9002ff,0x7ffd403f,
    0xfeeeeeff,0x3ffee3ff,0x0fffd002,0x3fffff60,0xffffffef,0xfffd800e,
    0xffffefff,0xfd800eff,0xffefffff,0x800effff,0xeffffffd,0x0effffff,
    0x02ffec00,0x3fffffe6,0x3fffffff,0xffff1000,0x00bffee0,0xfb8fffe4,
    0x3f2002ff,0xff3001ff,0x7fffd4df,0xfffda81c,0x37df3004,0xffffb101,
    0x7fffc405,0x806a600b,0x704ffff8,0x8805ffff,0xf704ffff,0x7dc05fff,
    0xff9002ff,0x3ffe203f,0xffff704f,0x17ffdc05,0x01fffc80,0x8017ffdc,
    0xfb81fffc,0xff9002ff,0x5fff703f,0x07fff200,0x05ffffc4,0x7fdc3530,
    0xfffd002f,0x7ffff900,0xffffd983,0x7fffe404,0x7ffecc1b,0x7ffe404f,
    0x7fecc1bf,0x7fe404ff,0x7ecc1bff,0x6c004fff,0x3fe605ff,0x2621bdff,
    0x8000ffff,0xf706fffc,0x3f2005ff,0x5fff71ff,0x03ffec00,0x74bfff50,
    0x7c401fff,0x011004ff,0x02fffe40,0x0007fff7,0x00bfff20,0xc80dfff3,
    0x7cc02fff,0x3fee06ff,0xfff9002f,0x0bfff203,0x40dfff30,0x9002fffb,
    0xfb803fff,0xff9002ff,0x5fff703f,0x07fff200,0x400bffee,0xf701fffc,
    0x2e0007ff,0xfd002fff,0xfff880ff,0x7ffd402f,0xffff100f,0xffffa805,
    0x5ffff100,0x0ffffa80,0x05ffff10,0x00ffffa8,0x40bffd10,0x6c04fffd,
    0x22003fff,0x702ffffc,0x32005fff,0xfff71fff,0x37ff4005,0x3ffff980,
    0x1005fff7,0x00009fff,0x9037ffc0,0x00003fff,0x200bfff1,0xf103fffd,
    0x3f600bff,0xfff703ff,0x3fff2005,0x05fff881,0x207fffb0,0x9002fffb,
    0xfb803fff,0xff9002ff,0x5fff703f,0x07fff200,0x400bffee,0xf901fffc,
    0x2e0003ff,0xfd002fff,0xfffd80ff,0xbfff9002,0x00bfff60,0xd82fffe4,
    0xf9002fff,0x3ff60bff,0xfff9002f,0x7ffed40b,0xfff506ff,0xdfff3009,
    0x3ffbba20,0x2e05ffff,0xf9002fff,0x3ffee3ff,0x97ffe002,0xffdcccde,
    0xff88ffff,0xfff1006f,0x74000009,0x3ff207ff,0xfc80002f,0xff3001ff,
    0x3fff209f,0x9fff3001,0x00bffee0,0x640fffe4,0xf3001fff,0x3fee09ff,
    0xfff9002f,0x2fffb803,0x03fff900,0x2005fff7,0xfb81fffc,0xff9002ff,
    0x3fff203f,0xfff70002,0xffff9007,0x037ffcc0,0x81ffff10,0x2006fff9,
    0x4c0ffff8,0x22006fff,0x7cc0ffff,0x3e2006ff,0x7ec40fff,0x06ffffff,
    0x2001fffd,0xf881fffe,0x4fffffff,0x017ffdc0,0xf71fffc8,0x3ee005ff,
    0x3fffe3ff,0x1fffffff,0x2007fff3,0x0004fff8,0x03fff600,0x017fffd4,
    0x01fffa00,0x3a0bfff0,0x7fc007ff,0x5fff705f,0x07fff200,0xf001fffa,
    0x3fee0bff,0xfff9002f,0x2fffb803,0x03fff900,0x2005fff7,0xfb81fffc,
    0xff9002ff,0x3ffea03f,0xffb8002f,0x7ffd405f,0x3ffea07f,0x7ffe4003,
    0x01fffd41,0x507fff20,0xc8007fff,0x7fd41fff,0x7fe4003f,0x3fffa21f,
    0x985eeeff,0x2a005fff,0xff884fff,0x800cefff,0x9002fffb,0x3fee3fff,
    0xffff002f,0x7fffffc1,0x3ea0beff,0xff1002ff,0x4000009f,0xd100fffd,
    0x005bffff,0x0017ffe0,0x3fe0fffd,0x7ff4005f,0x05fff707,0x207fff20,
    0x74005fff,0xfff707ff,0x3fff2005,0x17ffdc01,0x81fffc80,0x9002fffb,
    0xff703fff,0x3ff2005f,0xfffd101f,0x7dc005bf,0xff500fff,0x3203ffff,
    0x5c001fff,0x7fe42fff,0x7fdc001f,0x0fffe42f,0x0bffee00,0x8003fff9,
    0x3f22fffb,0xf5002eff,0x7cc007ff,0xfff885ff,0xfffb8004,0x3fff9002,
    0x100bffee,0xa985fffb,0x7019aaaa,0x22003fff,0x88004fff,0xffffedcb,
    0x200fffff,0xfffffff9,0xfff1002d,0xdddddddf,0xffffdddd,0xeffff881,
    0xeeeeeeee,0x80ffffee,0x9002fffb,0xff883fff,0xeeeeeeff,0xfffeeeee,
    0x2fffb80f,0x03fff900,0x002fffb8,0xf703fff9,0x3f2005ff,0xfffb81ff,
    0x3fff9002,0x7ffffcc0,0x7dc02dff,0x3222efff,0xdfffcfff,0x00fffd80,
    0x21fffd40,0x4000fffd,0x7ec3fffa,0x7d4000ff,0x7ffec3ff,0x7ffd4000,
    0x03ffff13,0x017ffdc0,0x20dfff10,0xb8003fff,0xf9002fff,0x3ffee3ff,
    0x7fd440ad,0xb00005ff,0x22001fff,0x22004fff,0xfffffffc,0x0fffffff,
    0x7ffff4c0,0x200cffff,0xfffffffa,0xffffffff,0x7d40ffff,0xffffffff,
    0xffffffff,0xfffb80ff,0x3fff9002,0xffffffa8,0xffffffff,0xb80fffff,
    0xf9002fff,0xffb803ff,0xfff9002f,0x05fff703,0x207fff20,0x9002fffb,
    0xe9803fff,0xffffffff,0xffffb80c,0xffffffff,0x89fffff3,0x98007ffe,
    0x7ff44fff,0xfff98007,0x003fff44,0x3a27ffcc,0xf98007ff,0xbfff34ff,
    0x1fffc800,0x83fffc00,0xb8003fff,0xf9002fff,0x3ffee3ff,0xfffeffff,
    0x0000efff,0x001fffd0,0x4013ffe2,0xfffffff8,0xffffffff,0xffb5000f,
    0x07ffffff,0x3fffffea,0xffffffff,0x540fffff,0xffffffff,0xffffffff,
    0xffb80fff,0xfff9002f,0xfffffa83,0xffffffff,0x80ffffff,0x9002fffb,
    0xfb803fff,0xff9002ff,0x5fff703f,0x07fff200,0x400bffee,0x5001fffc,
    0xfffffffb,0xffffb87f,0x3fffffff,0xf13fffee,0xf3000fff,0x7fff89ff,
    0x4fff9800,0x4003fffc,0x7fc4fff9,0xff98007f,0x09fff54f,0x00fffd80,
    0xf83fff40,0xfb8003ff,0xff9002ff,0x3fffee3f,0xffffffff,0x6c00003f,
    0xf1000fff,0xfd1009ff,0x6c037fff,0x44000fff,0xffffffeb,0x9dfff985,
    0x99999999,0x98199999,0x9999dfff,0x99999999,0xfff70199,0x3fff2005,
    0x4efffcc1,0x99999999,0x70199999,0x32005fff,0x7dc01fff,0xff9002ff,
    0x5fff703f,0x07fff200,0x400bffee,0x4001fffc,0xfffffeb8,0x27ffee5f,
    0x81dffffd,0x7ec4fffb,0x7d4000ff,0x7ffec3ff,0x7ffd4000,0x007ffec3,
    0xb0fffea0,0xa8001fff,0xfff73fff,0xfffc800b,0x3fffc001,0x8002fff8,
    0x9002fffb,0x3fee3fff,0xffffffef,0x800000cd,0x1001fffc,0xf7009fff,
    0x3f600dff,0x220000ff,0x42fffffb,0x0005fff8,0x02fffc40,0x7ffdc000,
    0x3fff9002,0x005fff88,0x2fffb800,0x03fff900,0x002fffb8,0xf703fff9,
    0x3f2005ff,0xfffb81ff,0x3fff9002,0x7fdc4000,0xfff72fff,0x20026621,
    0x7ffe4098,0x7ffdc001,0x00fffe41,0x907ffee0,0xb8003fff,0x7fe41fff,
    0x7fdc001f,0x0ffff51f,0x02fffb80,0x41bffe20,0xb8001ccc,0xf9002fff,
    0x3ffee3ff,0x00013312,0x5fff7000,0x13fff200,0x007fff60,0x0007ffec,
    0x2fffec40,0x0003fffc,0x003fffc0,0x17ffdc00,0x81fffc80,0x00007fff,
    0x002fffb8,0xb803fff9,0xf9002fff,0xfff703ff,0x3fff2005,0x02fffb81,
    0x003fff90,0xbfffb100,0x0007ffee,0x05fff700,0x40fffd80,0x4002fffb,
    0x7dc0fffd,0x7ec002ff,0x7ffdc0ff,0x7ffec002,0x03ffff10,0x027ffd40,
    0x009fff30,0x3ffee000,0x3fff9002,0x000bffee,0x7fd40000,0xfffb804f,
    0x7fff804f,0x03fff600,0x7ffc4000,0x01fffe86,0x7fff4000,0x7d400001,
    0xffa803ff,0xfffe81ff,0x7d400001,0xffa803ff,0x7fd401ff,0xfffa803f,
    0x3fffa81f,0x1ffffa80,0x803fffa8,0x001ffffa,0x2dfff100,0x0002fffb,
    0x037ffd40,0x50ffff10,0x4400dfff,0xffa87fff,0x3fe2006f,0x6fffa87f,
    0x1fffe200,0x001dfffb,0x801fffe6,0x0002fffc,0x07fff500,0x23ffff50,
    0x0002fffb,0xfff10000,0xffffa80f,0x7fff804f,0x1ffff900,0x7ffc0000,
    0x06fffb86,0x7ffdc000,0x7cc00006,0x7fcc05ff,0xffb81fff,0x4c00006f,
    0x7cc05fff,0x4c01ffff,0x7cc05fff,0xf981ffff,0x7fcc05ff,0xff981fff,
    0x7ffcc05f,0x200001ff,0xfff76fff,0xf8800005,0xf9002fff,0xfff107ff,
    0x3ff2005f,0xffff883f,0x7fff9002,0x05ffff10,0x30ffff20,0x400bffff,
    0x8803fffe,0x5100ffff,0x3fe60003,0x7ffcc05f,0x5fff71ff,0x40000000,
    0xf503fffd,0x009fffff,0x4405fffd,0x00fffffe,0xbfff5000,0x013fffa0,
    0x9fffd000,0x7fc40000,0xfff500ff,0x3fa03fff,0x200004ff,0x500ffff8,
    0x03ffffff,0x00ffff88,0x3ffffff5,0x01ffff10,0x3fffffea,0x0ffff881,
    0xffffff50,0x3ea00003,0x5fff75ff,0xff500000,0xffc803df,0x3ffea06f,
    0x7ffe401e,0x3bffea06,0x37ffe401,0x03dfff50,0x706fffc8,0x017fffff,
    0x01ffffa8,0x413fffa2,0x8005fffa,0x500ffff8,0x23ffffff,0x0002fffb,
    0x3fea0000,0xffb50bff,0x009ffd5f,0x985ffff9,0xfffffffc,0x40359d00,
    0x01ffffb8,0x15fffff5,0x2a0254c0,0x00afffff,0xffb012a6,0x7fe443df,
    0x501fffef,0x015fffff,0x3f60254c,0x3f221eff,0x01fffeff,0x21efffd8,
    0xffefffc8,0xdfffb01f,0x77ffe443,0xffb01fff,0x7fe443df,0xd01fffef,
    0x7dc40359,0xfff71fff,0x3a000005,0x221bffff,0x01ffffda,0x0dfffff4,
    0x3ffffb51,0xbffffe80,0x3fff6a21,0x7fff401f,0x3f6a21bf,0x3f201fff,
    0xccefffff,0xbffffe82,0x3fffaa20,0xfffff00e,0xfffb0005,0x7ffe443d,
    0xff71fffe,0x0000005f,0xfffffe80,0xfd2fffff,0xfff1009f,0xffffdfff,
    0x01fff7bf,0x3ffffffe,0xffffffee,0x7fffe404,0xffeeefff,0xffc807ff,
    0xeeefffff,0x4c07ffff,0xffffffff,0xfff9cfff,0x3ffff201,0xffeeefff,
    0x7fcc07ff,0xffffffff,0x01fff9cf,0xffffff98,0xf9cfffff,0xfff301ff,
    0xffffffff,0x203fff39,0xfffffff9,0xff9cffff,0xfffff01f,0xffffddff,
    0x7ffdc9ff,0xf3000002,0xfdffffff,0x007fffff,0xfffffff3,0x7ffffffd,
    0xfffff300,0xfffffdff,0xfff3007f,0xfffdffff,0xf5007fff,0xffffffff,
    0xfffffd30,0xffffffdf,0x3fffe201,0xff98003f,0xffffffff,0x71fff9cf,
    0x00005fff,0xfffb0000,0x745fffff,0xff5004ff,0xffffffff,0x403ffea7,
    0xffffffff,0x03ffffff,0xfffffd50,0xffffffff,0x3fffaa00,0xffffffff,
    0xfffb807f,0x33ffffff,0xea803fff,0xffffffff,0xb807ffff,0xffffffff,
    0x03fff33f,0x3ffffee0,0xff33ffff,0x7ffdc03f,0x33ffffff,0x7dc03fff,
    0xffffffff,0x203fff33,0xffffffff,0x43ffffff,0x0002fffb,0x3fff6200,
    0xefffffff,0x3ff62001,0xffffffff,0x3f62001e,0xffffffff,0x362001ef,
    0xffffffff,0x22001eff,0x7ffffffc,0xfffffb10,0x03dfffff,0x02fffff8,
    0xfffff700,0x3e67ffff,0x5fff71ff,0x00000000,0x33bfffb2,0x0027fec1,
    0xdfffffb1,0x07ffd43b,0xfffffec8,0x00beffff,0x7fff6440,0x3defffff,
    0x3ffb2200,0xdeffffff,0xfffd3003,0x7fcc3bff,0xfec8801f,0xefffffff,
    0xffd3003d,0x7cc3bfff,0x3a6001ff,0x21dfffff,0x4c01fff9,0x1dfffffe,
    0x3007ffe6,0x3bfffffd,0xc80fffcc,0xfffffffe,0xfb80beff,0x000002ff,
    0xfffffda8,0x2a0003df,0xdffffffd,0x3f6a0003,0x03dfffff,0x3fff6a00,
    0x0003dfff,0x03ff6e4c,0x3fffff6e,0xff5002ef,0xe98000bf,0x21dfffff,
    0xff71fff9,0x0000005f,0x000a8800,0x04d4c000,0x53310000,0x00001355,
    0x04cd54c4,0xaa988000,0x22000099,0x000009a9,0x13355310,0x4d4c4000,
    0x31000000,0x40000135,0x00009a98,0x0026a620,0x554cc400,0x0000009a,
    0x54c40000,0x98800000,0x8800000a,0x800000a9,0x00000a98,0x2aa20000,
    0x03510001,0x4d4c4000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xa8800000,0x0000000a,0x00000000,0x00000000,0x00000000,
    0x55554c00,0x03310009,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00019880,0x20000000,0x0000aaa9,0x00001100,0x00000000,0x000ccc40,
    0x00c04ccc,0x00000000,0x3ff20000,0x7fff6447,0xfffb81ff,0x20000002,
    0x0003fffd,0x7fffcc00,0x7ffdc01f,0x800000ef,0x7fd40fff,0x3fb22005,
    0xffffffff,0xffffd302,0x3ff6001b,0xffb00006,0xfeb8801f,0x000900ce,
    0x001fffec,0xffff3000,0x7ffdc03f,0x900000ef,0x9ffffffd,0x3fffd401,
    0x37ffcc00,0x3ffffa60,0xffffffff,0xffc8007f,0x9800001e,0x001fffff,
    0xbffd0000,0xfffd9500,0x1ffb9dff,0x2ffff400,0x027fffd4,0x7fffcc00,
    0x9fff201f,0xfffffff9,0x7ffdc3ff,0xb0000002,0x007fffff,0x3ffe6000,
    0xfd3000df,0x00001dff,0x7ec3ffd8,0xfff5003f,0xffffffff,0xffff707f,
    0xa801ffff,0x00001fff,0x4401fffb,0x3fffffff,0x6c002fe4,0x003fffff,
    0xffff9800,0xffe9800d,0x2a0000ef,0xffffffff,0x3fa02fff,0x7e4002ff,
    0xffb103ff,0xffffffff,0x00ffffff,0x06ffffa8,0x7ffcc000,0x3ee000df,
    0xffffffff,0x02fff886,0x3fffff62,0xffffffff,0xbfffb000,0x07ffff30,
    0xffff3000,0x7ffc801b,0xfdfffff5,0x7dc3ffff,0x000002ff,0xffefffd8,
    0x4c00003f,0x8003ffff,0x00efffd8,0x3ffee000,0x01ffffce,0xefffffa8,
    0x3fffeeee,0x75f7ffc4,0x3e205fff,0x200004ff,0xd100fffd,0xffffffff,
    0x01dfffbf,0x7f7ffec0,0x200003ff,0x003ffff9,0x077ffec4,0x7fffdc00,
    0xfffffeef,0xbfff701f,0x0ffff800,0x7bffffb0,0xffffffb7,0xfc800fff,
    0x0000ffff,0x07ffff30,0xfffff700,0xf70dffff,0x3fa601ff,0xffeeffff,
    0x800fffff,0xf985fffb,0x80002fff,0x003ffff9,0xfff5fff9,0x7fff443b,
    0x00bffee5,0xfffb0000,0x00ffff25,0x7fffcc00,0x7fdc0002,0x200000ef,
    0xfffffffd,0xffff8803,0x906a600b,0xfffa8bff,0x01fff900,0x7ffec000,
    0x219ff300,0xffffffea,0x3ff6000e,0x07fff92f,0xffff3000,0x7fdc0005,
    0x3e6000ef,0x6d443fff,0xff106fff,0x3e6001ff,0xfff705ff,0xfffb103d,
    0x7fdc0009,0x300007ff,0x0005ffff,0x3fffffee,0xffd86fff,0xbffff305,
    0xffff7103,0x5fffa801,0x01efff88,0xffff9800,0x3fff2002,0xff103fff,
    0x3ffee1ff,0x36000002,0x7fdc1eff,0x7cc0003f,0x00000eff,0x001dffd3,
    0x7fffdc00,0xfff7002e,0x7ff40007,0x417ffc42,0x0002fff9,0x007ffec0,
    0x3ffee0b3,0x3f6000df,0x7ffdc1ef,0x3fe60003,0x980000ef,0xd000effe,
    0xfe803fff,0xfffb00ff,0x3fff2007,0x01ffff02,0x007fff44,0x3fffe880,
    0xfff98000,0xf000000e,0x3fff0dff,0x00ffff60,0x9803fff6,0xfe885fff,
    0x980000ef,0x4000efff,0x02fffffc,0xfb8fffe4,0x000002ff,0x22013331,
    0x44000199,0x80000199,0x00009998,0x40009880,0x0001fffc,0x3fa03ffe,
    0x05ffe83f,0xfffd8000,0x00c40000,0x804ccc40,0x20001998,0x00001998,
    0x4004ccc4,0xc805fff9,0xff502fff,0x3ffe00df,0x4fff980f,0x03fffb80,
    0x0072e200,0x00ccc400,0x3ffe0000,0x983ffd46,0xfb005fff,0x4cc401ff,
    0x00333101,0x00ccc400,0x2ffffc80,0x72fffb80,0x00005fff,0x00000000,
    0x00000000,0x00000000,0x000bfff2,0x6c07ffc4,0x7ffe43ff,0xfd800000,
    0x000000ff,0x00000000,0x00000000,0x05fff500,0x405fff70,0x5401ffff,
    0xff504fff,0xfff3005f,0x00000009,0x00000000,0x26237ffc,0x3fffb009,
    0x03fff600,0x00000000,0xffc80000,0xfff5004f,0x00bffee7,0x00000000,
    0x00000000,0x00000000,0x7fffd400,0x5fff0002,0x7cc5ffb0,0x000002ff,
    0x0001fffb,0x00000000,0x00000000,0x3fee0000,0xfffe801f,0x13fff200,
    0x203fffb0,0x9802fffb,0x00004fff,0x00000000,0x1bffe000,0x017ffe00,
    0x000fffd8,0x00000000,0x3fff2000,0x35551001,0x440bffee,0x4c00001a,
    0x8000009a,0x000009a9,0x00009a98,0x0009a980,0x37ffffa2,0x27ff4002,
    0xfe87ffe2,0x3300005f,0x03fff613,0x9aaaa980,0xaa980000,0x800009aa,
    0x009aaaa9,0xaaaa9800,0x7ffec009,0x2fffe400,0x03fffe20,0x7037ffc4,
    0xf5007fff,0x100005ff,0x80001335,0x009aaaa9,0x37ffc000,0x13ffe600,
    0x00fffd80,0x0009a980,0x401aa980,0xffc801a8,0x7dc0001f,0x3ff6a1ff,
    0x0001dfff,0xffffffb7,0x6dc0001b,0x0dffffff,0x3ff6e000,0x000dffff,
    0xffffd910,0xf3003bff,0x5bffffff,0x19fff900,0x7dcbffd3,0x950000ff,
    0xfffffffd,0x64c01fff,0xfffffffe,0x326002ef,0xfffffffe,0x326002ef,
    0xfffffffe,0x326002ef,0xfffffffe,0xfffb02ef,0x0ffffd80,0x03fffd80,
    0x4c07fff5,0xfe806fff,0xc88001ff,0xfffffffe,0xfec8801c,0xffffffff,
    0xfff00002,0xfffa800d,0x3fff6003,0xffec8800,0x001dffff,0x3fffff6a,
    0x3ffee0ef,0x3ff204ff,0x7dc0001f,0xffff71ff,0x005fffff,0x7fffff44,
    0x003fffff,0x7fffff44,0x003fffff,0x7fffff44,0x003fffff,0x7fffffd4,
    0x804fffff,0xffffffe9,0xff100cff,0x3fffffff,0x000fffe6,0x3fffff62,
    0xffffffff,0xfffff300,0xffffffff,0xfff9801d,0xffffffff,0x7cc00eff,
    0xffffffff,0x400effff,0xfffffff9,0x0effffff,0xe883ffec,0x5001efff,
    0x3f60dfff,0x7ff400ff,0x3fff204f,0xfffb8006,0xffffffff,0x7fffd404,
    0xffffffff,0xfff00003,0xfffb800d,0x3fff6002,0x7fffd400,0x4fffffff,
    0xfffff880,0xfb8effff,0x05ffffff,0x0003fff9,0xfc9fffb8,0xffffffff,
    0xff9801ff,0xffecdfff,0xf3005fff,0xfd9bffff,0x200bffff,0xcdfffff9,
    0x05fffffe,0xffffffb0,0xdffffffd,0xfffb5001,0x207fffff,0xefffffe9,
    0x0017ffa1,0x3fffffea,0xffffffef,0xffff300f,0xffffddff,0xff980bff,
    0xffeeffff,0x4c05ffff,0xeeffffff,0x05ffffff,0x7fffffcc,0xffffffee,
    0x443ffec5,0x000dfffe,0x220ffffc,0xf8805fff,0xa99aefff,0x000ffffd,
    0x3fffffa2,0x4fffffff,0x3ffffea0,0xfffeeeee,0xfff00003,0xfffc800d,
    0x3fff6002,0x3ffff600,0xfffffeff,0x3fe200ef,0xfffeddff,0xffdeffff,
    0xfffc83ff,0x7fdc0001,0x20cfffef,0x406fffea,0x704ffff8,0x8805ffff,
    0xf704ffff,0xf8805fff,0xff704fff,0xffc805ff,0x7ecc1bff,0x22004fff,
    0xffffffeb,0x2b372a05,0x003ffee0,0x3bffff10,0xffffb881,0x137df300,
    0x5ffffb10,0x04df7cc0,0x17fffec4,0x0137df30,0x05ffffb1,0x404df7cc,
    0x22ffffd8,0xffc87ffd,0xff90005f,0x2fffb89f,0xfffff980,0xffffffff,
    0x7fff4002,0x2e620adf,0xffff104e,0x00d4c017,0x06fff800,0x017ffdc0,
    0x201fffb0,0x41bffffc,0x04ffffd9,0x3ee033e2,0x7f44ffff,0x1fffc86f,
    0x7ffdc000,0xff101fff,0x7fe403ff,0x7ffcc02f,0x17ffe406,0x01bffe60,
    0x9805fff9,0x3e206fff,0x7d402fff,0x88000fff,0x02fffffb,0x03fff880,
    0x03fffd80,0x100fffd8,0x7ffe4001,0xc8002205,0x02205fff,0x05fffc80,
    0xffc80022,0x21fff65f,0x20007fff,0x7f47fff8,0xdffd007f,0xffffffff,
    0xffb80019,0x201002ff,0x0003fffb,0x6fff8000,0x1fffd400,0x01fffb00,
    0x805ffff1,0x000ffffa,0x21bfffe0,0x7e41fffa,0x5c0001ff,0x400fffff,
    0xf104fffb,0x3f600bff,0xfff103ff,0x3fff600b,0x0bfff103,0x40ffff60,
    0x9002fffd,0x4000bfff,0x005fffd8,0x8006ffd8,0xb005fff9,0x00001fff,
    0x00037ffc,0x001bffe0,0x00dfff00,0x26fff800,0x7fc47ffd,0x7ec0005f,
    0x9fff32ff,0x11fff700,0x0157bb97,0x5ffff100,0xfff90000,0x00000003,
    0x9800dfff,0xf3004fff,0xffb01fff,0x3ff2005f,0x3f60005f,0xfff884ff,
    0x00fffe43,0x3fffee00,0x7fff8801,0x003fff90,0x6413ffe6,0xf3001fff,
    0x3ff209ff,0xfff3001f,0x0dfff309,0x07fffc40,0xdfff1000,0x1fffb800,
    0x1fffd800,0x01fffb00,0x3fff4000,0x3ffa0000,0x7f400007,0x7400007f,
    0x1fff67ff,0x0001fffe,0x3f2bfff5,0xffd801ff,0xfb000005,0x20000bff,
    0x0002fffc,0x6fff8000,0x37ffc400,0x7ffffc40,0x037ffcc0,0x01ffff10,
    0x07ffee00,0x3f227ff4,0x5c0001ff,0x3a003fff,0xfffd07ff,0x05fff800,
    0xf800fffd,0xfffd05ff,0x85fff800,0x4003fffa,0x0001fffc,0x10037ffc,
    0x20007fff,0x36005fff,0x00000fff,0x0003fff6,0x00fffd80,0x3fff6000,
    0x3f600000,0x0fffb0ff,0x0009fffb,0xff8ffff8,0xbfff006f,0x3fa00000,
    0x500000ff,0x0005ffff,0x6fff8000,0x1fffe800,0x3ffffa20,0x1fffd40f,
    0x07fff200,0x07ffd400,0x7e45ffd8,0x5c0001ff,0x36002fff,0xfff80fff,
    0x3fff4005,0x4005fff8,0xfff07ffe,0x7ffe800b,0x001fffc8,0x0017ffdc,
    0x00bfff50,0x80037fec,0x2004fff8,0x0000fffd,0x003fff60,0x0fffd800,
    0x3ff60000,0x3600000f,0xfffb0fff,0x1bffff50,0x3fff2000,0xf003fffc,
    0x00017fff,0x006fff80,0x3fffa200,0x000002df,0x000dfff0,0x6c0bfff7,
    0x40ffffff,0x4001fffc,0x0002fffb,0x3601fff5,0x7ffe46ff,0x7fdc0001,
    0x3ff2002f,0x7fffc41f,0xeeeeeeee,0x0ffffeee,0x777fffc4,0xeeeeeeee,
    0x440ffffe,0xeeeeffff,0xfeeeeeee,0x7fec0fff,0x7fd4000f,0x806b3a3f,
    0x01ffffb8,0x4c3fff50,0xf302cddb,0x7ec007ff,0xcb8800ff,0xffffffed,
    0xb8800fff,0xfffffedc,0x8800ffff,0xffffedcb,0x800fffff,0xfffedcb8,
    0xb0ffffff,0x3ff20fff,0x98001eff,0x0fffffff,0xfffffb00,0x79dddddf,
    0xfff30015,0xf980000b,0x2dffffff,0x3fe00000,0xff88006f,0xff911dff,
    0x81fff9df,0x4000fffd,0x4c03fffa,0xffeeeecb,0xfeeeeeef,0x7ffe46ff,
    0x7fdc0001,0x3ff2002f,0x7fffd42f,0xffffffff,0x0fffffff,0x7fffffd4,
    0xffffffff,0x540fffff,0xffffffff,0xffffffff,0x7ff40fff,0xfff98007,
    0x3fffffe4,0xfffffeef,0xfff1004f,0x7ffffdc9,0x7ffdc0df,0x3fff6002,
    0x3fff2200,0xffffffff,0x32200fff,0xffffffff,0x00ffffff,0x3fffff22,
    0xffffffff,0x3ff2200f,0xffffffff,0xffb0ffff,0x7fffe40f,0xffe8002f,
    0x22005fff,0xfffffffe,0xdfffffff,0x13ffea01,0x3fa60000,0xcfffffff,
    0x7fc00000,0xff70006f,0xffffffff,0x81fff91d,0x98007ffe,0xfb104fff,
    0xffffffff,0xffffffff,0xfffc8dff,0x7fdc0001,0x3ff2002f,0x7fffd41f,
    0xffffffff,0x0fffffff,0x7fffffd4,0xffffffff,0x540fffff,0xffffffff,
    0xffffffff,0x7ffc0fff,0xfff98007,0x3fffffe4,0xffffffff,0x9bff6003,
    0xfffffffb,0x17ffe45f,0x01fffb00,0x3fffffe2,0xffffffff,0xfff100ff,
    0xffffffff,0x201fffff,0xfffffff8,0xffffffff,0xffff100f,0xffffffff,
    0x3f61ffff,0x7ffdc07f,0x7d4003ff,0x4001ffff,0xfffffff8,0xffffffff,
    0x7fff702f,0x6d400000,0xffffffff,0x3fe00003,0x3ee0006f,0xdfffffff,
    0xf81fff90,0xf98007ff,0xfffd04ff,0xffffffff,0xffffffff,0x1fffc8df,
    0x7ffdc000,0x1fff6002,0x2677ffe6,0x99999999,0xf9819999,0x99999dff,
    0x99999999,0xdfff9819,0x99999999,0x81999999,0x4000fffd,0x3b23fffa,
    0xffffffff,0x2a000bef,0xfff11fff,0x5fff9119,0x0017ffdc,0xd101fffb,
    0x4037ffff,0xe880fffd,0x201bffff,0xe880fffd,0x201bffff,0xe880fffd,
    0x201bffff,0xffb0fffd,0xfffd300f,0xfff8003f,0x7f44005f,0xccbaabff,
    0xffffffec,0x04fffa81,0xeb880000,0x05ffffff,0x0dfff000,0xfffea800,
    0x7ffe43df,0x007ffec0,0x20fffea0,0x541dfffb,0x00000fff,0xfffb8000,
    0x1bffa002,0x0017ffe2,0x0bfff100,0xfff88000,0x7e400005,0x7dc001ff,
    0x533101ff,0x10001355,0x7fdc9ffd,0x2a4ffe86,0x36003fff,0xffb80fff,
    0xfffb006f,0x0dfff701,0x203fff60,0xb006fffb,0xff701fff,0x3ff600df,
    0x00fffb0f,0x01bfffa2,0x01ffff88,0x07fffa20,0x3fffea20,0x06fff883,
    0x5c400000,0x002fffff,0x006fff80,0xfd806600,0x7ffe40ff,0x7ffdc001,
    0x507fff81,0x00001fff,0xfff70000,0x2fffc005,0x0007fff8,0x007fff80,
    0x07fff800,0x7ffdc000,0x7ffec002,0x90000000,0x7fe41fff,0x265ffc83,
    0xf3004fff,0xffb01fff,0x3ff6003f,0x1fffd80f,0x01fffb00,0x2003fffb,
    0xfd80fffd,0xffb001ff,0x01fff61f,0x00ffff88,0x00dfff70,0x003fffa8,
    0xf82fffec,0x000007ff,0xbfffb100,0xdfff0000,0x6c000000,0x7fdc0fff,
    0x7fec002f,0x2fffc40f,0x001fffa8,0x00d55400,0x002fffb8,0x3a07fff7,
    0x00001fff,0x000ffff4,0x07fffa00,0xfffa8000,0x3ffe2006,0x06aaa007,
    0x85fff300,0xffa82ffd,0x01bffe26,0x03ffffe2,0xd801fffe,0xfff80fff,
    0x3fff6007,0x007fff80,0x3e03fff6,0x3f6007ff,0x0fffb0ff,0x02fffd80,
    0x02ffff88,0x00fffe40,0x417ffea0,0x0003fffe,0xfff10000,0xfff0000d,
    0x4000000d,0x7d40fffd,0x3e2006ff,0xfff987ff,0x05fff502,0x7ffcc000,
    0x5fff7002,0x1ffff100,0x01bffee0,0xdfff7000,0xffb80000,0x2200006f,
    0x9002ffff,0x26007fff,0x74002fff,0x4ffd85ff,0x7f46ffa8,0x3fa201ff,
    0xff80ffff,0xfff9007f,0x0ffff01f,0x03ffff20,0x6401fffe,0xff80ffff,
    0xfff9007f,0x01fff61f,0x805fff70,0x005fffe8,0x001fffe8,0xb81fffdc,
    0x0000ffff,0xdfff0000,0xdfff0000,0x6c000000,0x7fc40fff,0xff9002ff,
    0x5fff307f,0x017fffa0,0x0fffb800,0x05fff700,0x02fffd88,0x0027fff4,
    0x13fffa00,0xfffd0000,0x7d400009,0x7e401eff,0x3ee006ff,0x3f2000ff,
    0x6ffc80ff,0x7dc4ffc8,0x3ff605ff,0xfe80ffff,0x3fa202ff,0xfe80ffff,
    0x3fa202ff,0xfe80ffff,0x3fa202ff,0xfe80ffff,0x3fa202ff,0xffb0ffff,
    0xfffe800f,0x3fff6200,0xffd8000e,0x3fe6004f,0x3ffa01ff,0x001001ef,
    0x17ffea00,0x1bffe000,0xfd800000,0xfffa80ff,0x7ffe401e,0x09fff106,
    0x03fffffb,0x17ff6000,0xadfffb80,0x7fffd440,0xffffa806,0x12a600af,
    0x5fffff50,0x20254c01,0x0afffffa,0xfd012a60,0x54437fff,0x001ffffd,
    0x98017ff6,0xff702fff,0x17ffc43f,0x477fffe2,0xfbefffc8,0xfffc80ff,
    0x7ffe4c2f,0xfc80ffff,0x7e4c2fff,0x80ffffff,0x4c2ffffc,0xfffffffc,
    0x2ffffc80,0x7ffffe4c,0x8fffb0ff,0xfffea818,0x3f2a6665,0x0001ffff,
    0x15bffff7,0x3ffff260,0x7fffd404,0x32661acf,0x0359d04f,0x0ffffdc4,
    0x37ffc000,0xfb000000,0x3ffa01ff,0x36a21bff,0x3e01ffff,0xff911eff,
    0x103ffffd,0x1fffc007,0xfffff700,0xfffffdff,0x3f2001bf,0xeeffffff,
    0x807ffffe,0xfffffffc,0x7ffffeee,0xfffffc80,0xfffeeeff,0x7ffcc07f,
    0xfffeffff,0x7c003fff,0x3fa003ff,0x7fff405f,0x706fffcd,0xffffffff,
    0xfff51dff,0xfffff101,0xbfffffdf,0xf101fff7,0xffdfffff,0xfff7bfff,
    0xfffff101,0xbfffffdf,0xf101fff7,0xffdfffff,0xfff7bfff,0xf31fff61,
    0xffffffff,0x7fffec1f,0x0002ffff,0x7fffffec,0xfffffeef,0xff9005ff,
    0xffffffff,0x3fe09fff,0xfeefffff,0x004fffff,0x26666666,0x9999efff,
    0x40000099,0xf300fffd,0xfdffffff,0x807fffff,0xffeffffc,0xffffb8ef,
    0x00fffeef,0x001fff88,0x3fffffea,0x3fffffff,0xfffea800,0xffffffff,
    0xffd5007f,0xffffffff,0x3aa00fff,0xffffffff,0x8807ffff,0xfffffffd,
    0x4001efff,0x7001fff8,0xfa801fff,0x1effffff,0x3ffffee0,0xff50efff,
    0x3ffea01f,0x3fffffff,0x2a01fff5,0xffffffff,0x1fff53ff,0x3ffffea0,
    0xf53fffff,0x3fea01ff,0xffffffff,0x361fff53,0x7ffcc7ff,0x41efffff,
    0xdffffffd,0xff900000,0xffffffff,0x8005dfff,0xffffffe9,0xf04fffff,
    0xffffffff,0x007fffff,0x7fffffcc,0xffffffff,0x00003fff,0x1007ffec,
    0xfffffffb,0x1003dfff,0xdfffffff,0x7ffffec1,0xa800ffff,0x930006ff,
    0xbffffffd,0x64400039,0xfffffffe,0x22003def,0xffffffec,0x2003deff,
    0xfffffec8,0x003defff,0x3fffff6a,0xf50003df,0x3fe600df,0xffd3003f,
    0xb5001bff,0xa87bffff,0x36200fff,0x1defffff,0x8803ffea,0xdefffffd,
    0x803ffea1,0xefffffd8,0x03ffea1d,0xfffffd88,0x3ffea1de,0xf98fffb0,
    0x03efffff,0x059dfffb,0xfb710000,0x9dffffff,0xedb80005,0xbdffffff,
    0xffffd900,0x17dfffff,0xffff9800,0xffffffff,0x003fffff,0x07ffec00,
    0x7fffed40,0x44003dff,0x80cffffe,0xffffffeb,0x00000004,0x000004cc,
    0x13355310,0x2a620000,0x0000099a,0x01335531,0x01531000,0x00000000,
    0x0000cc00,0x30000033,0x80000135,0x000009a9,0x00004d4c,0x00026a60,
    0x01333100,0x00000260,0x000cc400,0x04ccc000,0x554cc400,0x2600009a,
    0xffffffff,0xffffffff,0x0000003f,0x0054c400,0x800cc400,0x00009aa8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x09998000,0x980675c0,
    0x988002dd,0x00000000,0x00000000,0xeb800000,0x05bb300c,0x26620000,
    0x00000001,0x00000000,0x00000000,0x30000000,0x00135555,0x00000000,
    0x00000000,0x00ceb800,0x00005bb3,0x00000000,0x77740000,0x00000000,
    0x22000000,0x3ee03fff,0xfff885ff,0x3ff2001f,0xdfff002f,0x3fee0000,
    0xfe80002f,0xffffffff,0xfb800004,0xfff885ff,0xd700001f,0xdfffffff,
    0x7ffffdc1,0x0006ffff,0x3fffe600,0x7fffdc1f,0x006fffff,0x81dffd10,
    0x2005ffe9,0x00cefeb8,0xffec9809,0x2effffff,0xfffd8000,0xfffb8003,
    0x000000ef,0x3ffffe60,0x2fffdc01,0x00ffffc4,0x40effe88,0x0005ffe9,
    0x3ffffe60,0xffa80001,0x3ffa2006,0x2fff4c0e,0x20000000,0x3600fffb,
    0x7cc0ffff,0xf5003fff,0xf001ffff,0x20000dff,0x0002fffb,0xffffffe8,
    0x00004fff,0x40ffffd8,0x003ffff9,0x7ffff4c0,0x20ffffff,0xfffffffb,
    0x000006ff,0x01bffff3,0xfffffff7,0x44000dff,0xff51effe,0x7fc400bf,
    0x643fffff,0xffff305f,0xffffffff,0x360001df,0x003fffff,0x0efffe98,
    0xf9800000,0xd800dfff,0x7cc0ffff,0x22003fff,0xff51effe,0x4c0000bf,
    0x000dffff,0x007ffb00,0x51effe88,0x0000bfff,0xbffb0000,0x86fffc80,
    0x002ffff8,0x05fffff9,0x000dfff0,0x00bffee0,0x3ffffa00,0x004fffff,
    0x6fffc800,0x02ffff88,0x3fffe600,0xffffffff,0x3ffffee0,0x0006ffff,
    0x3ffff980,0x3ffffee0,0x0006ffff,0x7e7fff44,0x3a2005ff,0xffffffff,
    0x80efffdf,0xeffffff9,0x5ffffffe,0xefffd800,0x88003fff,0x000efffd,
    0x3ffe6000,0x3ff2003f,0xffff886f,0x7ff44002,0x005fffcf,0x3fffe600,
    0x7fc00003,0xfe88000f,0x05fffcff,0xdddb0000,0x02fff801,0xa80f7ec4,
    0x3ee004ff,0xf801ffff,0x700006ff,0x00005fff,0x027ffcc0,0x77ec4000,
    0x009ff501,0xaefffe80,0xf00154c0,0x80000dff,0x002ffff9,0x001bffe0,
    0x3ffffa20,0x7fcc005f,0xffffd50c,0x3e601dff,0xfd8809be,0x36002fff,
    0xfff92fff,0x3fee0007,0x800000ef,0x002ffff9,0xa80f7ec4,0xd10004ff,
    0x00bfffff,0x7fffcc00,0x54c40002,0x0006ffca,0x3fffffa2,0x3a000005,
    0x3e600fff,0x000000ff,0x7fff4400,0x0dfff005,0x3ffee000,0x26000002,
    0x00004fff,0x80000000,0x0006fffb,0x0037ffc0,0x1dfff300,0x6fff8000,
    0xffd10000,0x166000bf,0x06ffffdc,0x7e400110,0xffb005ff,0x3fffb83d,
    0xdffd3000,0x7cc00001,0x00000eff,0xe8800000,0x00005fff,0x003bffe6,
    0x7fff6cc0,0x0004ffff,0x02ffff44,0x3ffa0000,0x17ff200f,0x40000000,
    0x3e003cc8,0x700006ff,0x00005fff,0x027ffcc0,0x00000000,0x0fffec00,
    0x3ffe0000,0x26200006,0xff000019,0x440000df,0x00000199,0x000000c4,
    0x3100dfff,0x26620133,0x26620001,0x22000009,0x00000199,0x4c400000,
    0x44000019,0x2e000199,0xffffffff,0x0000dfff,0x00006662,0x03fffa00,
    0x00009988,0x00000000,0x00037ffc,0x002fffb8,0x3ffe6000,0x00000004,
    0xffe80000,0xff800007,0x0000006f,0x37ffc000,0x00000000,0x00000000,
    0x0007ffe8,0x00000000,0x00000000,0x00000000,0x00000000,0xfffffd10,
    0xfffffddd,0x0000001d,0x3ffa0000,0x2000000f,0x009aaaa9,0xff800000,
    0xf700006f,0x000005ff,0x0027ffcc,0x13530000,0x7ffc0000,0xff800006,
    0x0000006f,0x37ffc000,0x00000000,0x00000000,0x000fffd8,0x00000000,
    0x00000000,0x0026a600,0x00000000,0xffc80000,0x3ff60aff,0x0005ffff,
    0xd0000000,0x00001fff,0x7ffff64c,0x002effff,0x3ffe0000,0xff700006,
    0x1355305f,0x3ffe6000,0x5c000004,0xdffffffd,0x3fe20000,0xf800005f,
    0x01d986ff,0x01355300,0x037ffc00,0x4d54c000,0x2a600000,0x0000009a,
    0x0001fffb,0x00000000,0x00000000,0x7ffff644,0x00001dff,0x44000000,
    0x7fcc00aa,0x7ffc41ef,0x002ffffb,0x000aa880,0x0fffe800,0xfff30000,
    0xffffffff,0xff701dff,0xdfffffff,0x01bffe00,0x70ffffec,0x7f5c5fff,
    0x000dffff,0x0027ffcc,0xfffe8800,0x3fffffff,0xbfff1000,0xfff00000,
    0x40ffeccd,0x7f5c7ffb,0x000effff,0x4006fff8,0x7f5c7ffb,0x400effff,
    0x7f5c7ffb,0x000effff,0xfffdb971,0x01ffffff,0x7fffffdc,0xb8006fff,
    0xffffffff,0xffb8006f,0x6fffffff,0x3ffea000,0xffffffff,0xffff8804,
    0xffffffff,0x3204ffff,0x7f6447ff,0xfd01ffff,0xdff503ff,0xc817fff2,
    0x7f6447ff,0x0001ffff,0x003fffa0,0x7fffcc00,0xffffeeff,0xfffb85ff,
    0x06ffffff,0xb00dfff0,0xfb83ffff,0xfffd89ff,0x01ffffff,0x013ffe60,
    0x3ffe6000,0xfffecdff,0xf88005ff,0x800005ff,0xffd9efff,0x7ffb81ff,
    0xffffffb1,0xf8005fff,0x7dc006ff,0xffffb17f,0x405fffff,0xffb17ffb,
    0x5fffffff,0x7fffe440,0xffffffff,0x3fee00ff,0x6fffffff,0xffffb800,
    0x006fffff,0xffffffb8,0xb0006fff,0xfdffffff,0x01dfffff,0x7fffffc4,
    0xffffffff,0x3ff204ff,0x3ffffe67,0x7cc3ffff,0x7ffb05ff,0x403fffa2,
    0x3fe67ffc,0x3fffffff,0xfffd0000,0x3e600001,0xfd8809be,0x7fdc2fff,
    0x6fffffff,0x80dfff00,0xb81ffffd,0xfffeafff,0x6fffffef,0x13ffe600,
    0xfff10000,0x3ffee09f,0x7fc4002f,0xf800005f,0xffffffff,0x8fffb80d,
    0xffeffffe,0x7c007fff,0x7dc006ff,0xffffe8ff,0x07fffffe,0x3fa3ffee,
    0xffffefff,0xffff107f,0xffffffff,0x5c01ffff,0xffffffff,0xffb8006f,
    0x6fffffff,0xffffb800,0x006fffff,0x1bffffc8,0x27fffecc,0xffffff10,
    0xffffffff,0x7fe409ff,0xdfffff57,0x5c3fffff,0xff882fff,0x0bfff20f,
    0xffabffe4,0xffffefff,0xfe80001f,0x100000ff,0x7ffe4001,0x4ccccc45,
    0xf006fff9,0x7fec0dff,0xfff701ff,0xfa87ffff,0xf3003fff,0x800009ff,
    0x4c02fffc,0xee986fff,0xfffeeeee,0xeeeeeeef,0x3fe002ee,0x01dfffff,
    0x3ffbffee,0x7fffd42f,0x1bffe003,0xfdfff700,0xfffa85ff,0xdfff703f,
    0xffa85fff,0x7ff443ff,0x3f601bff,0x266200ff,0x6fff9999,0x99998800,
    0x006fff99,0x99999988,0x44006fff,0x5402ffff,0x2600ffff,0x99999999,
    0x1ffffa99,0x3ebfff20,0x3fa21dff,0x3fff25ff,0x5c6ffa80,0xff903fff,
    0x43bfff5f,0x005fffe8,0x00fffe80,0x3e000000,0x3fe006ff,0xdfff006f,
    0x07ffff60,0xefffffb8,0x0dfff500,0x013ffe60,0x5fff8800,0x87fffb00,
    0xfffffff9,0xffffffff,0x802fffff,0xdfffffd9,0xffffb801,0xfff500ef,
    0x37ffc00d,0x3fffee00,0xfff500ef,0x3fffee0d,0xfff500ef,0x06fffb8d,
    0x001fffb0,0x001bffe0,0x00dfff00,0x06fff800,0x017ffec0,0x005fffc8,
    0x3fffe880,0x7ffffe40,0xffff103f,0x6c1fff61,0x7ffd43ff,0xfffff904,
    0x3ffe207f,0x7f40000f,0x000000ff,0x01fffa00,0xf006fff8,0xfffb0dff,
    0xfffb803f,0x7ff400ef,0x9fff3007,0x01bfd700,0x4007fff2,0x7cc4fff9,
    0xffffffff,0xffffffff,0x36602fff,0x01ffffff,0x3bfffee0,0x03fff400,
    0x800dfff0,0x00effffb,0xfb83fff4,0x7400efff,0x7ffec7ff,0x1fffb001,
    0x1bffe000,0xdfff0000,0xfff80000,0x3ffe6006,0x3ffe2006,0x7ec0000f,
    0xffc804ff,0x7e402fff,0x0dffd1ff,0xf881fff1,0xfff904ff,0xffc805ff,
    0x7f40001f,0x000000ff,0x03fff600,0x8037ffc0,0x7fec6fff,0xffb801ff,
    0xffd800ff,0xfff9800f,0x7fffe404,0x07ffe80f,0x222fffc0,0xfbaaaaaa,
    0xaaaaaeff,0xd980aaaa,0x6fffffff,0x7fffdc00,0x0fffd800,0x00dfff00,
    0x00ffffb8,0xb80fffd8,0xd800ffff,0x3ffe0fff,0x3fff6007,0xdfff0000,
    0xfff80000,0x7fc00006,0x3fea006f,0x7fe4003f,0x3ee0001f,0xff9006ff,
    0xff7005ff,0x21fffe5f,0xff886ffa,0xffff904f,0x5fff7005,0xfffe8000,
    0x00000000,0x4003fff6,0xff006fff,0x7fffecdf,0x5fff7000,0x07fff200,
    0x813ffe60,0x4ffffff8,0x4005fff8,0x22007ffe,0x30005fff,0xffbfffff,
    0xffb800df,0xfff9002f,0x1bffe003,0x05fff700,0x207fff20,0x9002fffb,
    0x7ffc3fff,0xffff9007,0x3ffe0001,0x7fc00006,0x7c00006f,0x3f2006ff,
    0x7dc001ff,0xf30002ff,0x32001fff,0xf5004fff,0x3fffa7ff,0x4c1ffec0,
    0xff903fff,0x3fea009f,0x7f40003f,0x800000ff,0xfffedcb8,0x00ffffff,
    0x200dfff0,0xfff96fff,0x7fdc001d,0xfff9002f,0x9fff3003,0x7ffffd40,
    0x7fffc45f,0xeeeeeeee,0x0ffffeee,0x0bfff100,0x37ffe600,0x800dfff1,
    0x9002fffb,0x3e003fff,0x7dc006ff,0xff9002ff,0x5fff703f,0x87fff200,
    0x2202fffe,0x00fffffe,0x00dfff00,0x06fff800,0x37ffc000,0x01fffb00,
    0x03fffa80,0x2ffff880,0x07fff200,0xd8d55440,0x3fe21fff,0x2fffa80f,
    0x003fff90,0x0006aaa2,0x001fffd0,0x7ffe4400,0xffffffff,0xff000fff,
    0x3ffe00df,0x00efffce,0x017ffdc0,0x801fffc8,0x2604fff9,0x45ffffff,
    0xfffffffa,0xffffffff,0x1000ffff,0x2000bfff,0x7ffc1df9,0x7ffdc006,
    0x3fff9002,0x01bffe00,0x005fff70,0x2e07fff2,0xf9002fff,0x7ffe43ff,
    0x7ffe4c2f,0x0000ffff,0x0000dfff,0x0006fff8,0x0037ffc0,0x3000fffd,
    0xd0009fff,0xc8009fff,0x40001fff,0x3ea2fffc,0x1fff906f,0x007fff20,
    0x7f400000,0x100000ff,0xffffffff,0xffffffff,0x1bffe001,0x7f77ffc0,
    0xfb8005ff,0xff9002ff,0xfff3003f,0xffffe809,0x7fffd41f,0xffffffff,
    0x0fffffff,0x0bfff100,0x7fc06200,0x7fdc006f,0xfff9002f,0x1bffe003,
    0x05fff700,0x207fff20,0x9002fffb,0x7fc43fff,0xfffeffff,0x0fffbdff,
    0x0dfff000,0x6fff8000,0x7ffc0000,0x1fffe006,0x13ffe600,0x0bfff900,
    0x03fff900,0x5fffa800,0x3e20fff6,0x3ff207ff,0x0000001f,0x001fffd0,
    0xffffd100,0x7ffec037,0x0dfff000,0x3a3bffe0,0x5c005fff,0xf9002fff,
    0xff3003ff,0xffe8809f,0xdfff982f,0x99999999,0x01999999,0x017ffe20,
    0x1bffe000,0x05fff700,0x007fff20,0x20037ffc,0x9002fffb,0xff703fff,
    0x3ff2005f,0x7fffd41f,0x53ffffff,0x20001fff,0x00006fff,0x00037ffc,
    0x801bffe0,0x4000fffd,0x2003fffa,0x000ffffa,0x001fffc8,0x8affff80,
    0xffb80fff,0x3fff203f,0x00000001,0x0001fffd,0x00dfff70,0x4003fff6,
    0xff006fff,0x3fffe6df,0x3ffee004,0x3fff9002,0x09fff300,0x7c402660,
    0x000005ff,0x00bfff10,0x0dfff000,0x02fffb80,0x003fff90,0x7001bffe,
    0x32005fff,0xffb81fff,0xfff9002f,0xffffb103,0x7fd43bdf,0xfff0000f,
    0xff80000d,0x7c00006f,0x3f2006ff,0x7dc001ff,0xff1001ff,0x320003ff,
    0x80001fff,0xffbffffc,0x06fffa86,0x000fffe4,0xffe80000,0xfd80000f,
    0xffb001ff,0x3ffe001f,0x4dfff006,0x003ffff9,0x2005fff7,0x9801fffc,
    0x00004fff,0x0001fffe,0x2fffc400,0x7ffc0000,0x7ffdc006,0x3fff9002,
    0x01bffe00,0x005fff70,0x2e07fff2,0xf9002fff,0x9a9803ff,0x009ffb00,
    0x0037ffc0,0x01bffe00,0x0dfff000,0x017ffdc0,0x003fff60,0x001ffff4,
    0x003fff90,0x3ffffa00,0x3ff263ff,0x7fe402ff,0x0000001f,0x001fffd0,
    0x00ffff00,0x8007ffec,0xff006fff,0xffffa8df,0x2fffb803,0x03fff900,
    0x009fff30,0x0ffff400,0x7c400000,0x800005ff,0x5c006fff,0xf9002fff,
    0x3fe003ff,0x7fdc006f,0xfff9002f,0x05fff703,0x007fff20,0x00bff900,
    0x006fff80,0x037ffc00,0x1bffe000,0x06fffa80,0x01fffe20,0x002fffec,
    0x007fff20,0x7fffc400,0xffffeeff,0xffc804ff,0x0000001f,0x001fffd0,
    0x00ffff00,0x003ffff2,0xf8037ffc,0xfffb86ff,0x7ffdc02f,0x3fff9002,
    0x09fff300,0x7ffdc000,0x88000006,0x00005fff,0x4006fff8,0x9002fffb,
    0x3e003fff,0x7dc006ff,0xff9002ff,0x5fff703f,0x07fff200,0x0fff9800,
    0x37ffc000,0x3ffe0000,0x7fc00006,0x3fe2006f,0xff9002ff,0xfff7007f,
    0xfc80001d,0x200001ff,0xffffffd8,0x001effff,0x0003fff9,0x3ffa0000,
    0xfe80000f,0x3fa202ff,0xf000ffff,0x3fe00dff,0xffff906f,0x17ffdc05,
    0x01fffc80,0x004fff98,0x27fff400,0x3e200000,0x800005ff,0x5c006fff,
    0xf9002fff,0x3fe003ff,0x7fdc006f,0xfff9002f,0x05fff703,0x007fff20,
    0x005ffd80,0x006fff80,0x037ffc00,0x1bffe000,0x3dfff500,0x06fffc80,
    0x01ffff98,0x1fffc800,0xffe80000,0x0cefffff,0x07fff200,0x74000000,
    0x80000fff,0x4c2ffffc,0xfffffffc,0x0dfff000,0xd81bffe0,0xf701ffff,
    0x3f2005ff,0xff9801ff,0x5400004f,0x00afffff,0xf10012a6,0x00000bff,
    0xb800dfff,0xf9002fff,0x3fe003ff,0x7fdc006f,0xfff9002f,0x05fff703,
    0x007fff20,0x005fff80,0x006fff80,0x037ffc00,0x1bffe000,0x3ffffa00,
    0x3ff6a21b,0x7f4401ff,0x900002ff,0x00003fff,0x1555fff0,0x7ffe4000,
    0x00000001,0x0001fffd,0xffffff10,0x7bfffffd,0x4ccc1fff,0xefff9999,
    0x20999999,0x3a206fff,0xfb81ffff,0xff9002ff,0x2666623f,0x9cfffa99,
    0x00019999,0x3ffffff2,0xffffeeef,0x7ffc4007,0xff800005,0x7fdc006f,
    0xfff9002f,0x4cccccc3,0x999efff9,0xffb80999,0xfff9002f,0x05fff703,
    0x007fff20,0x9bfffc80,0x26666601,0x99efff99,0x33009999,0xfff33333,
    0x1333333d,0x26666660,0x999efff9,0xff300999,0xffdfffff,0xb007ffff,
    0x3333bfff,0x33333333,0x07fff201,0xdff50000,0x7fe40000,0x0000001f,
    0x557fffd0,0x55555555,0x3ffea035,0x3fffffff,0x3e61fff5,0xffffffff,
    0xffffffff,0x101bffe3,0xb81dffff,0xf9002fff,0x3ffee3ff,0xffffffff,
    0x00ffffff,0x3fffaa00,0xffffffff,0x7fc4007f,0xff98005f,0xffffffff,
    0x3fffffff,0x002fffb8,0x3e63fff9,0xffffffff,0xffffffff,0x02fffb83,
    0x703fff90,0x32005fff,0x20001fff,0x1ffffff9,0xffffff98,0xffffffff,
    0xff983fff,0xffffffff,0x3fffffff,0xffffff98,0xffffffff,0x36203fff,
    0xffffffff,0xfa801eff,0xffffffff,0xffffffff,0x03fff902,0x3ffd8000,
    0x3ff20000,0x0000001f,0xffffffd0,0xffffffff,0x7fec409f,0x2a1defff,
    0xfff30fff,0xffffffff,0x47ffffff,0xf9806fff,0x3ee0efff,0xff9002ff,
    0x3fffee3f,0xffffffff,0x000fffff,0x7fff6440,0x3defffff,0x2fffc400,
    0x7fffcc00,0xffffffff,0xb83fffff,0xf9002fff,0x3ffe63ff,0xffffffff,
    0x83ffffff,0x9002fffb,0xff703fff,0x3ff2005f,0x7dc0001f,0xf981ffff,
    0xffffffff,0xffffffff,0xfffff983,0xffffffff,0xf983ffff,0xffffffff,
    0xffffffff,0xfffda803,0x2003dfff,0xfffffffa,0xffffffff,0xfff902ff,
    0xff800003,0x3200000f,0x00001fff,0xffffd000,0xffffffff,0x26009fff,
    0x7cc0009a,0xffffffff,0xffffffff,0x401bffe3,0x70effffa,0x32005fff,
    0xfff71fff,0xffffffff,0x01ffffff,0xaa988000,0x22000099,0x98005fff,
    0xffffffff,0xffffffff,0x2fffb83f,0x23fff900,0xfffffff9,0xffffffff,
    0xfffb83ff,0x3fff9002,0x005fff70,0x0007fff2,0x40aaa620,0xfffffff9,
    0xffffffff,0xfff983ff,0xffffffff,0x83ffffff,0xfffffff9,0xffffffff,
    0x4c4003ff,0xff50000a,0xffffffff,0x5fffffff,0x007fff20,0x04ee9800,
    0x7ffe4000,0x00000001,0xfffffffd,0xffffffff,0x00000009,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x13531000,
    0x675c0000,0x805bb300,0x00000a99,0x002aa880,0x0aaa2000,0x00000000,
    0x00000000,0x00026a60,0x00000000,0xaa980000,0x0c000099,0x00000000,
    0x00000000,0xd7000000,0x0b766019,0x00000000,0x00000000,0x00000000,
    0x04000000,0xfff70000,0x0005dfff,0x885fffb8,0xfd01ffff,0x8009dfff,
    0xf9106ffd,0xfd800dff,0xfff9106f,0x6ffd800d,0xa81fff00,0xffb805ff,
    0x7000002f,0xbffffffb,0xfd710001,0x2e12019d,0xf9002fff,0xed8803ff,
    0xffffffff,0x7ffdc003,0x26000001,0x001fffff,0x003fffd8,0xffd97300,
    0xdddddddd,0xffb80ddd,0xffff885f,0x3b2a2001,0x0001bdff,0xbdfffd97,
    0xfb950017,0x059dffff,0x7f6dcc00,0x00009bdf,0x7fff654c,0xca800bde,
    0xdeffffed,0x3fa2002c,0xffffffff,0x3ff60005,0x7ffcc0ff,0xffffd03f,
    0x3ea005ff,0xfffb81ff,0x3ea006ff,0xfffb81ff,0x3ea006ff,0xffb001ff,
    0x803ffd87,0x0002fffb,0x7ffff440,0x03ffffff,0x3ffffe20,0x22fe43ff,
    0x9002fffb,0x7e403fff,0xffffffff,0x3e6004ff,0x00007fff,0x1bffff30,
    0xffffb000,0xfc80007f,0xffffffff,0x7fffffff,0x07fffec0,0x00ffffe6,
    0x7fffffe4,0x2e004fff,0xffffffff,0xf900cfff,0xffffffff,0xd8005dff,
    0xffffffff,0xe98001ef,0xffffffff,0xfd305fff,0xffffffff,0x7ec00fff,
    0xfffeffff,0xf90003ff,0xfff10dff,0x2e6ae05f,0xf8806fff,0x7ffcc4ff,
    0x1006ffff,0xff989fff,0x006fffff,0x4009fff1,0xffcefffb,0x933301ff,
    0x33337fff,0xff300033,0xffd9bfff,0xd100bfff,0xffffffff,0x41dfffbf,
    0x9002fffb,0xfd103fff,0xdddfffff,0x5c009fff,0x001fffff,0x7fffcc00,
    0xfffb0003,0x0007fffd,0xffffffb1,0xffffffff,0xfc80ffff,0xfff886ff,
    0xfffd802f,0xffffffff,0x7ffec00d,0xffffffff,0xfff906ff,0xffffffff,
    0xfd3005ff,0xffffffff,0x5c005fff,0xffffffff,0xd86fffff,0xffffffff,
    0x007fffff,0x4c3dfff7,0x000ffffd,0x501efd88,0x7ec009ff,0xfffc806f,
    0xfdcfff80,0xfff9006f,0xfb9fff01,0x3ff200df,0x7fec000f,0x203fffff,
    0xffffffff,0x01ffffff,0x13fffe20,0x017fffdc,0x75433fe6,0x0effffff,
    0x8017ffdc,0xfc81fffc,0x3101bfff,0x7ffd4003,0x200000ff,0x002ffff9,
    0x325fffb0,0x22003fff,0x9adffffe,0xaaaefffa,0x6c402aaa,0x9ff501ef,
    0xffffd880,0xfffca9ac,0xfff700ef,0xb531339f,0xf909ffff,0x9533557b,
    0x403fffff,0xbefffffa,0xfffffeca,0x7ffec403,0xdcbbdfff,0x7fdc6ffe,
    0xa9aacfff,0xd007fdba,0x3fe03fff,0x000001ff,0xff733000,0xfff9807f,
    0x3f219702,0xfff9806f,0x3f219702,0xfff9806f,0xfff70002,0xfff805df,
    0xffffffff,0x32001fff,0x7cc02fff,0x059806ff,0x01bffff7,0x2005fff7,
    0x7d41fffc,0x00000eff,0x009fffd0,0x77ffcc00,0xdffb0000,0x03fffb83,
    0x20dfff90,0x00005fff,0x7fe40000,0xfff300ef,0xffff107f,0xffffa801,
    0x7c400440,0x3fa05fff,0xfd100eff,0x7ec01fff,0x4c00dfff,0x3fffe66c,
    0x7c002003,0x3ff206ff,0x0000003f,0xfffff980,0x05ffe804,0x201bff20,
    0x32005ffe,0xffe806ff,0x09880005,0xffffff00,0xffffffff,0x3ffe2003,
    0x7fffb005,0x80310000,0x9002fffb,0xffe83fff,0x4000001f,0x400002cb,
    0x20001998,0x31009998,0xfff10033,0x17ffe01d,0x80000000,0x400ffff8,
    0xfa86fff9,0xffb003ff,0x7cc0003f,0xfff706ff,0xfff8801d,0xffff504f,
    0x7fec0009,0x8800003f,0x3ea05fff,0x000003ff,0xffff9800,0xff900dff,
    0x7fe4001f,0x07ffe406,0x80dff900,0x0000fffc,0x7fdc0000,0xfc80002f,
    0xff3001ff,0x0000009f,0x400bffee,0x3e21fffc,0x000005ff,0x00000000,
    0x00000000,0xf807fff2,0x000005ff,0x3ffee000,0x5fff9002,0x001fffc8,
    0x0007fff7,0xf80ffff8,0xf3000fff,0x3ffa0fff,0x7fc0003f,0x800000ff,
    0x2e06fff8,0x00001fff,0xd7330000,0xff305fff,0xffc8005f,0x0bffe606,
    0x40dff900,0x0002fff9,0xffb80000,0xfe80002f,0x7ffc007f,0x70000005,
    0x32005fff,0x3fe61fff,0x0000003f,0x00000000,0x10000000,0xff80dfff,
    0x0000005f,0x03fffa00,0x237ffcc0,0x9001fffc,0x80005fff,0x7dc0fffe,
    0x7f4005ff,0x7ffd43ff,0x7fc40007,0x2000007f,0xfd00ffff,0x7dc001ff,
    0xff9002ff,0xfff9803f,0x005ffe84,0x3a06ffc8,0xfc8005ff,0x17ffa06f,
    0x40000000,0x0002fffb,0x4005fff8,0x00007ffe,0x05fff700,0xa87fff20,
    0x00002fff,0x00000000,0x00000000,0x807fff70,0x70005fff,0xffffffff,
    0x3fea00df,0x3fea005f,0x3ffea0ff,0xffff8804,0x7ffc0001,0x02fffe87,
    0x237ffdc0,0x0003fffe,0x001ffff8,0x9fffb000,0x009fff90,0x002fffb8,
    0x4403fff9,0x7dc3fffc,0xfc8000ff,0x1fff706f,0x0dff9000,0x0003ffee,
    0xfffffff7,0xfb800dff,0x1a9882ff,0x77fffc40,0xeeeeeeee,0x00ffffee,
    0xfffffff7,0xff700dff,0x3ff2005f,0x07fff21f,0x3ffe2000,0xffffffff,
    0x104fffff,0xffffffff,0xffffffff,0x027ffc49,0xc9bffa00,0x7fc00fff,
    0xff70005f,0xdfffffff,0x0bffee00,0x7ffffe40,0x00ffffc1,0x001bffee,
    0xf0bfff10,0xf1000fff,0x7ffc4fff,0xffd00007,0x200000bf,0xb11ffffa,
    0x7000dfff,0x32005fff,0x3fe21fff,0x20fffffe,0x0003fff9,0xff30dff9,
    0x3f20007f,0x3fff986f,0xffffb800,0x006fffff,0xd517ffdc,0x01bfffff,
    0xfffffff5,0xffffffff,0x2e01ffff,0xffffffff,0xfffb806f,0x3fff9002,
    0x000fffe4,0x7ffffc40,0xffffffff,0xff104fff,0xffffffff,0x89ffffff,
    0x40005fff,0x3ff65fff,0x05fff807,0xfffff700,0x200dffff,0x4400fffc,
    0x2ffffffe,0x81ffffe4,0x002ffffb,0x20fffec0,0x0005fff8,0x3ea1fffd,
    0x900005ff,0x000bffff,0x3bfff600,0x00effffb,0x02fffb80,0x443fff90,
    0x1effffff,0x0002fff4,0xffd0dff9,0x7fe4000b,0x005ffe86,0xffffff70,
    0xb800dfff,0xfffb1fff,0x83ffffff,0xfffffffa,0xffffffff,0xf700ffff,
    0xffffffff,0x5fff700d,0x87fff200,0x0001fffc,0xffffff88,0xffffffff,
    0xfff104ff,0xffffffff,0xe89fffff,0x220006ff,0x3ffa4fff,0x05fff806,
    0x33333100,0x200dfff3,0x2a00fffd,0xffffffff,0x7ffff443,0xffffd32e,
    0x7e440005,0xfff983ff,0xfffd0004,0x013ffee1,0x7fff4400,0x400003ff,
    0xfffffff8,0x3ee0005f,0xff9002ff,0xccedc83f,0x00fffb82,0x70aaa600,
    0x40001fff,0x7fdc2aa9,0x3310000f,0xdfff3333,0x9fffb800,0xfffffffd,
    0x7fcc6fff,0x999999df,0x99999999,0x26666201,0x806fff99,0x9002fffb,
    0x7fe43fff,0x3300001f,0x33333333,0x03ffff53,0x4ccccccc,0xfffa9999,
    0x03ffec1f,0x47fff300,0xff805fff,0xaaaaaaef,0xdfff0001,0x81fffa00,
    0xf9dffffd,0xffe884ff,0xffffefff,0x5555000e,0x03dfff97,0x000fffea,
    0xfc8fffec,0x200003ff,0xfffffff9,0xf900000b,0x005dffff,0x02fffb80,
    0x003fff90,0x007fff10,0x3ffe2000,0xf1000003,0x000007ff,0x7001bffe,
    0x9fffdfff,0x3fffea21,0x017ffe23,0x3fe00000,0xfffb806f,0x3fff9002,
    0x000fffe4,0x3fa20000,0x100003ff,0xf707fffd,0x2a0001ff,0xfff11fff,
    0xfffff00b,0x009fffff,0x401bffe0,0xfe986fff,0xfff13fff,0x7fffe409,
    0x4005ffff,0xfffffffe,0x3ffee00e,0xfff90002,0x00bfff65,0xfffb1000,
    0x003bffff,0x7ffffdc0,0xfb80002f,0xff9002ff,0xffb0003f,0x6c00000d,
    0x000006ff,0x0001bff6,0x006fff80,0x7fffffdc,0x8dfff501,0x00007fff,
    0x06fff800,0x002fffb8,0x7e43fff9,0x000001ff,0x027ffec0,0x9fffb000,
    0x207ffea0,0xff703cc8,0x13ffe61f,0x3fffffe0,0x0004ffff,0x3e00dfff,
    0x7ffdc6ff,0x3ffe21ff,0x3fff6205,0x001effff,0x3ffffffa,0xffb03eff,
    0x3f20005f,0x3fffd3ff,0x3aa00000,0xefffffff,0x7ffec001,0xa80fffff,
    0x3ee03fff,0xff9002ff,0xffb8003f,0x7000001f,0x00003fff,0x007ffee0,
    0x6fff8000,0x7fffdc00,0x3fffc00f,0x0007fffa,0xdfff0000,0x07fff500,
    0x43ffff50,0x0001fffc,0x3ffee000,0x3ee00006,0x3fe606ff,0x0fffa82f,
    0x3e67ffc8,0xfff804ff,0x3eeeeeef,0x0dfff000,0x6c57ffe0,0x440dffff,
    0xff505fff,0xffffffff,0x3bb6009f,0xffffffee,0x17ffe41e,0x3fffc800,
    0x0003fffd,0xfffda800,0x9004ffff,0xfff5ffff,0x5fff70df,0x017ffdc0,
    0x001fffc8,0x000fffe2,0x1fffc400,0xff880000,0x4000003f,0x5c006fff,
    0xd801ffff,0x3fee0fff,0x0000006f,0x4c037ffc,0x7cc05fff,0x3f21ffff,
    0x000001ff,0x01ffff30,0x3ffe6000,0x3ffe200f,0x82fffd83,0x3fe26ffc,
    0x5fff805f,0xfff80000,0x3dffd006,0x207ffffd,0xfc84fff9,0xfd89efff,
    0x0005ffff,0x3ffffee2,0x00ffff20,0xd97ffec0,0x00002fff,0xffff9100,
    0xffa80dff,0xffff50ef,0x01fffb8b,0x400bffee,0x2001fffc,0x00006ffd,
    0x001bff60,0x06ffd800,0xfff80000,0x7ffdc006,0x3fff9003,0x004fffe8,
    0x3ffe0000,0xffff8806,0xfffff500,0x0fffe43f,0x7c400000,0x00002fff,
    0x005ffff1,0xfff09fff,0x8bffb0bf,0xff806fff,0xf800005f,0xffb006ff,
    0x03ffffff,0x321fffcc,0xe983ffff,0x0004ffff,0x737fff44,0x20009fff,
    0xff92fffd,0x0000007f,0xfffffb88,0x07fffa04,0x647ffff7,0x3ee00fff,
    0xff9002ff,0x3fea003f,0x6666541f,0xfffa8002,0x0f7b6e21,0x0fffd400,
    0x00b3332a,0x00dfff00,0x002fffb8,0xfa83fff9,0x200affff,0x3e0004a9,
    0xffb006ff,0x7fe443df,0x321fffef,0x00001fff,0x04fffe80,0x3fffa000,
    0x8bffd004,0x40fffffa,0x7ffc4ffe,0x05fff806,0x6fff8000,0xfffff900,
    0xffa801bf,0x3fffe62f,0x3fff6202,0x7440001f,0xfff51fff,0x3ffa0009,
    0x09fff71f,0x22000000,0xa81ffffe,0xffb05fff,0x1fffa3ff,0x005fff70,
    0x2007fff2,0x7c44fff8,0x4005ffff,0x3ee4fff8,0x00ffffff,0x113ffe20,
    0x00bfffff,0x006fff80,0x8017ffdc,0xfc81fffc,0xeeffffff,0x007ffffe,
    0x401bffe0,0xfffffff9,0xff9cffff,0x07fff21f,0xff900000,0x640000bf,
    0x36005fff,0x7ffec6ff,0x1fffc3ff,0x3e01fffa,0x800005ff,0xf7006fff,
    0x2007ffff,0x3fa1fffb,0xffd003ff,0xf90000bf,0x3ffe65ff,0xfff88006,
    0x017ffea7,0xfd000000,0xfff707ff,0x3fffa205,0x406fff9f,0x9002fffb,
    0xfb003fff,0xffffb0df,0xffd800bf,0x7ffffec6,0x3f6006ff,0xffffd86f,
    0x7fc0005f,0x7fdc006f,0xfff9002f,0x3fffaa03,0xffffffff,0x3fe0007f,
    0x3fee006f,0x3fffffff,0x7e43fff3,0x000001ff,0x003fffea,0x7fffd400,
    0x1ffee000,0x4dff7fff,0x7ec1fff8,0x7ffc02ff,0xff800005,0xfff7006f,
    0x7ff4003d,0x0ffff10f,0x037ffd40,0x9fffdc00,0x000ffff8,0xf32fffdc,
    0x00003fff,0x7ffdc000,0x01fffc85,0x3fffffe2,0x7fdc03ff,0xfff9002f,
    0x1fffa803,0x7fef7fd4,0x3ffea005,0xff717441,0xfff5001f,0xfdeffa83,
    0x7fc0005f,0x7fdc006f,0xfff9002f,0x7ff64403,0xdfffffff,0x3ffe0003,
    0x7ff4c006,0x3e61dfff,0x3fff21ff,0xf1000001,0x00003fff,0x007fffe2,
    0x2a1fff50,0x0fff8dff,0xfb81fff3,0x7ffc05ff,0xff800005,0xfff3006f,
    0x7ffc400d,0x01bffe65,0x00ffff88,0x17ffe400,0x8007fffd,0x3e22fffe,
    0x00005fff,0x3ffe6000,0x02fffd86,0x7fffffd4,0x7ffdc00f,0x3fff9002,
    0x227ff440,0xffcafff8,0x9ffd1005,0x07ffe200,0x889ffd10,0x5ffcafff,
    0x37ffc000,0x0bffee00,0x00fffe40,0xbffd5310,0x3ffe0000,0x35310006,
    0xc8bff901,0x00001fff,0x007fffd0,0x1ffff400,0x8fffcc00,0x7ffd2ffc,
    0x3e21ffea,0x3fe00fff,0xf800005f,0x3f6006ff,0xff9001ff,0x37ffd45f,
    0x0ffff100,0x1fffb000,0x0037ffd4,0xf70dfff3,0x00001fff,0x3ffea000,
    0x03fffb84,0x5fffffb8,0x03fffa80,0x01ffffa8,0xf903fff2,0x017ff2bf,
    0x8007ffe4,0x6400fffb,0x7fe40fff,0x000bff95,0x4006fff8,0x9002fffb,
    0x70003fff,0x40000dff,0x00006fff,0xf90dff70,0x000003ff,0x000bfffb,
    0x02fffec0,0xf2fff880,0xbb7fdcff,0xfff906ff,0x02fffc09,0x37ffc000,
    0x0bfff500,0x88dfff10,0x5000ffff,0x8000bfff,0xff86fffa,0xfe8804ff,
    0xfffd02ff,0x0000003d,0x505fffb0,0x3600dfff,0x9803ffff,0x7cc05fff,
    0xf301ffff,0xfff985ff,0x300bff90,0x2a005fff,0x7cc04fff,0x7ffcc2ff,
    0x000bff90,0x4006fff8,0x9002fffb,0x98003fff,0x00001fff,0x0001bffe,
    0x207ffe20,0x0001fffc,0x077ffdc0,0xfffb8000,0x3fe0000e,0x225ff9bf,
    0x5ffc9fff,0x09ffff30,0x00017ffe,0x001bffe0,0x4409fffd,0xfe83fffe,
    0xfe8805ff,0x2a0003ff,0xfb81ffff,0x7f403fff,0x3fea06ff,0x73002fff,
    0x3f200022,0xff880fff,0x7f5404ff,0x4400ffff,0xf500ffff,0x203fffff,
    0xffe85ffe,0x2017ff22,0xf7005ffe,0xffd00bff,0x645ffd0b,0x7c0005ff,
    0x7dc006ff,0xff9002ff,0xffc8003f,0x7fc00006,0xc800006f,0xfff906ff,
    0x7cc00003,0x00001fff,0x003ffff3,0xfccffe80,0x6e7ff42f,0x3ff604ff,
    0x3fe0adff,0x999999ef,0xdfff0001,0xffffa800,0x3ffae21d,0xfffb80ef,
    0x7dc40aef,0x2a20efff,0xffd53101,0x3fa207ff,0xa89bdfff,0x01ffffec,
    0x77fffff4,0xecaa99ac,0x559df96f,0x3ee66233,0x2e03ffff,0x10aeffff,
    0xffffff95,0xffd801df,0x3ff221ef,0xc81fffef,0x7fcc0fff,0xffffffff,
    0x1fff904f,0x09fffb00,0x981fff90,0xffffffff,0xf0004fff,0xfb800dff,
    0xff9002ff,0xffe8003f,0x7fc00006,0xe800006f,0xfff906ff,0x3a200003,
    0x00002fff,0x005fffd1,0xffbffb00,0xfddff70f,0xfffc807f,0xffffffff,
    0x7fffffff,0x26666660,0x999efff9,0xff700999,0xffffffff,0x7ec01bff,
    0xffffffff,0x40ffffff,0xfffffffa,0x4fffffff,0x7ffff440,0xffffffff,
    0xfff9001f,0xffffffff,0x3ff2dfff,0xffffffff,0x03ffffff,0xffffffe8,
    0xefffffff,0x4c05ffff,0xffffffff,0xfff9cfff,0x417ffcc1,0xfffffff9,
    0xf984ffff,0x7f4402ff,0xff9802ff,0xffff982f,0x4fffffff,0x26666660,
    0x999efff9,0xffb80999,0xfff9002f,0xfffb8003,0x9980099c,0xfff99999,
    0x0999999e,0x9fff7000,0x3fff2133,0xffb00001,0x333333bf,0x01333333,
    0x2677fff6,0x99999999,0xfffc8099,0xfff885ff,0xfb802fff,0xffffffff,
    0xffffffff,0xfffff307,0xffffffff,0x5407ffff,0xffffffff,0xff9005ff,
    0xffffffff,0xff503dff,0xffffffff,0x6c003bff,0xffffffff,0x4c000dff,
    0xfffffffe,0xf96fffff,0xffffffff,0x07dfffff,0x3ffff220,0x2effffff,
    0x807ffff7,0xfffffffb,0x3fff33ff,0x9105ffe8,0xffd99999,0xbffd059d,
    0xddfffd00,0xffd09ddd,0x3333220b,0x2ceffecc,0xffffff30,0xffffffff,
    0xff707fff,0x3ff2005f,0x7fc4001f,0x4c02ffff,0xffffffff,0xffffffff,
    0xff10003f,0x3f25ffff,0xa80001ff,0xffffffff,0xffffffff,0xffffa82f,
    0xffffffff,0xa82fffff,0xb02fffff,0x001fffff,0x3ffff726,0xffffffff,
    0xfff307ff,0xffffffff,0x07ffffff,0xffffec98,0x644002ce,0xffffffff,
    0x3ffea01d,0xdeffffff,0xfd950001,0x007bffff,0xfffecb80,0x262cffff,
    0xffffffec,0x002dffff,0xffffdb30,0xfffb07bf,0xffe9805f,0x3e61dfff,
    0x3ffee1ff,0x5ffc8000,0x001fff70,0xffffffff,0x0fffb8bf,0x05ffc800,
    0x7fffffcc,0xffffffff,0xffb83fff,0xfff9002f,0xfff70003,0xff9805ff,
    0xffffffff,0x3fffffff,0x3ffea000,0x3fff92ff,0xfff50000,0xffffffff,
    0x05ffffff,0xfffffff5,0xffffffff,0xfff305ff,0x7ffdc0ff,0x2620007f,
    0x7cc00019,0xffffffff,0xffffffff,0x0054c003,0x13553000,0x554cc400,
    0x0000009a,0x00000153,0x1000cd44,0x00335553,0x00266000,0x9a988000,
    0x3ffe6000,0xbff90003,0x007fff30,0x3ffffffe,0x3ffe65ff,0xbff90003,
    0xfffff980,0xffffffff,0xfb83ffff,0xff9002ff,0x2620003f,0x7cc00aaa,
    0xffffffff,0xffffffff,0x54c40003,0x3fff90aa,0xfff50000,0xffffffff,
    0x05ffffff,0xfffffff5,0xffffffff,0xfff105ff,0x7ffc40bf,0x0000006f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xddddddd3,0x4001dddd,
    0xeeeeeee9,0x0000eeee,0x3a600000,0xeeeeeeee,0x000000ee,0xdddd3000,
    0x1ddddddd,0x00000000,0x53000000,0x2e013555,0xeeeeeeee,0x01eeeeee,
    0x00000000,0xdddd3000,0x1ddddddd,0x5d4c4000,0xeb81eedc,0xeeeeeeee,
    0x005eeeee,0x70133510,0xa8003ddd,0xddd71eee,0xeeeb8003,0x3bbbbba1,
    0xeeeeeeee,0x84eeeeee,0xceeeeeed,0x764001ab,0x800001ee,0xceeeeeed,
    0x200001ab,0xacefecb9,0x7fd40000,0xffffffff,0x3fea000f,0xffffffff,
    0x7310000f,0x7bdfffd9,0x3ffea003,0xffffffff,0x76544000,0xff500002,
    0xffffffff,0x6544001f,0x4c00002e,0x2cdffedc,0xfffd9100,0x85ffffff,
    0xfffffffc,0x1fffffff,0x3ffb2e20,0x22000bde,0x3deffeca,0x3ffea000,
    0xffffffff,0xffda8000,0x81ffffff,0xfffffffc,0x6fffffff,0xfffd9100,
    0x3239ffff,0x5c001fff,0xfff92fff,0xfffc8005,0x3fffffe2,0xffffffff,
    0x86ffffff,0xffffffff,0x803effff,0x0001fffd,0xffffff80,0x3effffff,
    0xfffd3000,0x1dffffff,0x3ffea000,0xffffffff,0x3ffea000,0xffffffff,
    0xfffa8000,0xffffffff,0x7fd400ef,0xffffffff,0x7fdc000f,0xf500002f,
    0xffffffff,0x7dc001ff,0x200002ff,0xfffffffc,0x3ea01eff,0xffffffff,
    0x7fe43fff,0xffffffff,0xd501ffff,0xffffffff,0xfff9005f,0x5dffffff,
    0xffff5000,0x1fffffff,0x7fff5400,0x1fffffff,0xffffffc8,0xffffffff,
    0xffffb806,0x4fffffff,0x8003fff9,0xff92fffb,0xffc8005f,0x2aabfe2f,
    0xaaaaaaaa,0x6fcaaaaa,0xfffffff8,0xdfffffff,0x07fff600,0x3ffe0000,
    0xffffffff,0x2000dfff,0xeffffffb,0x01ffffff,0x00000000,0x36200000,
    0xffffffff,0x00ffffff,0x5c000000,0x00002fff,0xfb800000,0x880002ff,
    0xfffffffe,0xa84fffff,0xeeefffff,0x543fffee,0xcccccccc,0x81fffecc,
    0xfffffffd,0x304fffff,0xfffffffd,0x007fffff,0x2e000000,0xefffffff,
    0xfc80cccd,0xccccccff,0x203ccccc,0xffffffe8,0x94ffffff,0xb8003fff,
    0xfff92fff,0xfffc8005,0x20001fe2,0xffff86f9,0xfffecccc,0xfb03ffff,
    0x000003ff,0x9999ffff,0xfffffffd,0xdfff9007,0x7fe54437,0x000003ff,
    0x00000000,0xffffff98,0xfedcabdf,0x000000ff,0x17ffdc00,0x00000000,
    0x017ffdc0,0x7fffec00,0xffca99ac,0x7fffc43f,0x006a600b,0x41fffd80,
    0x89cffffc,0x3ffffca8,0x6fffffd4,0xffffcbab,0x0000000f,0x77fffe40,
    0x7fe4000a,0x3fa00007,0x220adfff,0xfff94eb9,0xfffb8003,0x005fff92,
    0x3e2fffc8,0x04d5e447,0x3fe1be60,0x3fee207f,0xffd82fff,0xf800001f,
    0x3ee207ff,0x3202ffff,0xe9805fff,0x00002fff,0x00000000,0x3ffffe20,
    0x07e4400c,0x20000000,0x0002fffb,0xb8000000,0x40002fff,0x201efffa,
    0xfffb84e8,0xb0000003,0x7fcc3fff,0x3fea01ef,0x27ff447f,0x0bfffd30,
    0x5c000000,0x0003ffff,0x0001fff2,0x017fffdc,0x03fff908,0x92fffb80,
    0xc8005fff,0x31fe2fff,0x019fffff,0x3ffe1be6,0xfffe8807,0x01fffd86,
    0x7fff8000,0x6fffe880,0x009fff10,0x0037ff44,0x00000000,0xffffb000,
    0x00000005,0xfff70000,0x00000005,0x5fff7000,0xfffe8000,0x3ff20002,
    0x0000001f,0x7f43fffb,0xffb801ff,0x4017c43f,0x000ffffa,0xfff00000,
    0xfc80003f,0xf880007f,0xc8002fff,0x5c001fff,0xfff92fff,0xfffc8005,
    0xd9911fe2,0xf305ffff,0x00ffff0d,0x3617fff4,0x00001fff,0x2007fff8,
    0xfd82fffe,0xff88005f,0xaa98002f,0x000009aa,0x300026a6,0x0003ffff,
    0x04d4c000,0x3ffee000,0x00000002,0x2fffb800,0x37ffc000,0x3fff2000,
    0xb0000002,0x3fe63fff,0xfff1005f,0x7f40001f,0x000001ff,0x03fffb80,
    0x07ffc800,0x5fffd800,0x3fff9000,0x2fffb800,0x8005fff9,0x1fe2fffc,
    0x83fff710,0x7fff86f9,0x1fffee00,0x0003fffb,0x00ffff00,0x263fffdc,
    0xca881fff,0x3ff209bc,0xffec9806,0x2effffff,0xfffb7000,0xd001bfff,
    0x00007fff,0xfffec880,0x3201dfff,0xffffffff,0xffffffff,0xffb81fff,
    0xfff9002f,0x3fffff23,0xffffffff,0x81ffffff,0x0004fff8,0x017fffd4,
    0x7fec0000,0x07fff51f,0x017ffe40,0x07fff900,0xffffffb8,0x3e006fff,
    0x900005ff,0xd0000fff,0x20001fff,0x4001fffc,0xff92fffb,0xffc8005f,
    0x4c01fe2f,0x437cc7ff,0x7c007fff,0x3ff62fff,0xf800001f,0x7fc007ff,
    0x17ff62ff,0x3fffffee,0x80fffe26,0xfffffff9,0x0effffff,0xffffd100,
    0x07ffffff,0x007fffdc,0xfff50000,0xffffffff,0x3ffff209,0xffffffff,
    0x1fffffff,0x002fffb8,0x3f23fff9,0xffffffff,0xffffffff,0xfffa81ff,
    0x7f440003,0x0002dfff,0x47fff600,0x2002fffc,0x0003fffa,0x7013ffee,
    0xffffffff,0x3fe600df,0xf900002f,0xff0000ff,0x7e4000df,0x7dc001ff,
    0x5fff92ff,0x2fffc800,0xffb801fe,0x3fe1be61,0x7fe4007f,0x07fff63f,
    0x3ffe0000,0x7ffe4007,0xf907ffe3,0x8dffffff,0x3e605ffc,0xfeefffff,
    0x805fffff,0xcdfffff9,0x05fffffe,0x0007fffb,0x7fffec00,0xfffffeff,
    0x7ffe40ef,0xffffffff,0xffffffff,0x02fffb81,0x323fff90,0xffffffff,
    0xffffffff,0xffb81fff,0xf980003f,0x2dffffff,0x7fec0000,0x03fffb1f,
    0x027ffcc0,0x07fff900,0xffffffb8,0xf7006fff,0x200001ff,0x40007ffc,
    0x0005fff9,0x0007fff2,0x3f25fff7,0x7e4002ff,0x801fe2ff,0x1be63ff9,
    0x5001fffe,0x7fec9fff,0xf800001f,0x7d4007ff,0x8fff14ff,0x98aefff9,
    0x037fd45a,0x10137df3,0x405ffffb,0x704ffff8,0xfd05ffff,0x000001ff,
    0x06fffff2,0x89ffffb3,0xfb999998,0x99999bff,0xff701999,0x3ff2005f,
    0x3333311f,0x3337fff7,0x20333333,0x0003fffb,0xfffffd30,0x00019fff,
    0x323fffb0,0x22002fff,0x20005fff,0x4401fffd,0xff999999,0xfffb006f,
    0x5665d4c4,0xafffc801,0x2a0009aa,0x20004fff,0x4001fffc,0xff92fffb,
    0xffc8005f,0xa801fe2f,0x21be62ff,0x4c007fff,0x3ff65fff,0xf800001f,
    0x7cc007ff,0x8fff35ff,0xf3005ffe,0x000440ff,0x640bfff9,0x7cc02fff,
    0x7fff86ff,0xff100000,0xffa805ff,0xffb800ff,0x3ee0002f,0xff9002ff,
    0xfffb803f,0x3fee0002,0x5400003f,0xfffffffd,0x7ec0003f,0x9fff71ff,
    0x37ffc400,0xffff8800,0x3ffe0000,0x3bfff006,0xfffffff9,0x7fe407ff,
    0xffffffff,0x3ffee01c,0x3ff20003,0x7fdc001f,0x05fff92f,0x22fffc80,
    0x3ffa007f,0x6665be60,0xccccffff,0x9bffe604,0x1001fffd,0xccc89df9,
    0xccccffff,0x5bffe604,0x3fe26ffa,0x3ffe001f,0x3fe00000,0xbfff106f,
    0x8ffff600,0x0006fff8,0x05fffb00,0x017fff20,0x000bffee,0x002fffb8,
    0xb803fff9,0x20002fff,0x0003fffb,0xfffd7100,0x4000bfff,0xff51fffd,
    0x7fc001ff,0xff70007f,0xff80009f,0xfff8806f,0xffffffff,0x80dfffff,
    0xfffffffc,0x81efffff,0x0004fffa,0x0007fff2,0x3f25fff7,0x7e4002ff,
    0x441fe2ff,0x44ffeb99,0xfffff6f9,0x0fffffff,0xfb3fffc4,0x3fa003ff,
    0x3ffe5fff,0xffffffff,0x5fffe207,0x3fe65ffc,0x0fffc007,0xfffd0000,
    0x007fff20,0xf527ffcc,0x7fdc0bff,0x1fffffff,0x0037ffcc,0x801ffff1,
    0x0002fffb,0x400bffee,0x5c01fffc,0x6c002fff,0xeefffeee,0x6eeeeeee,
    0x7fdc4000,0xb0002fff,0x7ff43fff,0x7ecc00df,0xf98007ff,0x40000fff,
    0xf8806fff,0xcdffffff,0xffffecba,0xfffffc85,0xffffffff,0x37ffcc1f,
    0x3fff9000,0x2fffb800,0x8005fff9,0x1fe2fffc,0x27fffff4,0xffffb7cc,
    0x7fffffff,0xd87fffc0,0xfb801fff,0xff1fffff,0xffffffff,0xffff80ff,
    0x3ea4ffd8,0x7ff4007f,0x3f600002,0x7ffe80ff,0x72fffc00,0x7dc09fff,
    0xffffffff,0x01fffd41,0x007fff20,0x0005fff7,0x8017ffdc,0x5c01fffc,
    0x7c002fff,0xffffffff,0x7fffffff,0xffb10000,0x3f6000bf,0x3ffe61ff,
    0xb999abff,0x06fffffe,0x1ffff440,0x37ffc000,0x77fffcc0,0x3ffee00b,
    0x2e62002f,0x20fffffe,0x0007fff8,0x0007fff2,0x3f25fff7,0x7e4002ff,
    0x741fe2ff,0xf301bcef,0x3fffbbad,0x205eeeef,0x3f67fff8,0xffd801ff,
    0xddd3ffff,0xddddffff,0xbfffc40b,0x3fea4ffc,0x17ff4007,0xfffb0000,
    0x00bfff01,0x3ee7ffe8,0x3fee04ff,0x1fffffff,0x000fffe4,0x700bffee,
    0x40005fff,0x9002fffb,0xfb803fff,0x7fc002ff,0xffffffff,0x07ffffff,
    0x3ffe2000,0xfffb0006,0xfffffc83,0xffffffff,0x6c006fff,0x00005fff,
    0xf300dfff,0x7dc00bff,0x2a0006ff,0x7f44ffff,0xf90003ff,0xfb8003ff,
    0x5fff92ff,0x2fffc800,0x01ff41fe,0x7ffc37cc,0x7ffcc007,0x007fff67,
    0x3ffffff2,0x007fff82,0xfbbfffcc,0x03ffe65f,0x801fff80,0xfffedcb8,
    0x40ffffff,0xeeeffff8,0xeeeeeeee,0xff50ffff,0x4ccc40bf,0x41fffd99,
    0x4000fffd,0x3f63fffa,0xffffffff,0x7fffffff,0x00bffee0,0x200fffe4,
    0x4002fffb,0xbfffc999,0x99999999,0x7fc00001,0xffb0006f,0xfffd303f,
    0x5dffffff,0x6c00bfff,0x0000efff,0x300dfff0,0xf800bfff,0x20000fff,
    0x7dc6fffa,0xc8000fff,0x5c001fff,0xfff92fff,0xfffc8005,0x1fec1fe2,
    0x7fc37cc0,0x7fd4007f,0x07fff66f,0x3ffffe60,0x07fff80f,0xab7ffd40,
    0x3ffe26ff,0x0fff1003,0xfffffc88,0xffffffff,0x7fffd40f,0xffffffff,
    0x0fffffff,0x000dfff3,0xfe83fff9,0xff98007f,0x3ffff64f,0xffffffff,
    0x2e07ffff,0xf9002fff,0xffb803ff,0x3ee0002f,0x000003ff,0x027ffd40,
    0x01fffd80,0x33bbb72a,0x09fff11b,0x03ffff20,0x6fff8000,0x06fff880,
    0x00fffec0,0x03fffe00,0x003dffff,0x00fffe42,0x64bffee0,0x64002fff,
    0x41fe2fff,0x6f9803fd,0x4007fff8,0x3f65fffb,0xff5001ff,0x3ffe03df,
    0x7ffdc007,0xfd8fff35,0x30e61cff,0x7fc40dff,0xffffffff,0x40ffffff,
    0xfffffffa,0xffffffff,0x3fe0ffff,0xffc8007f,0x03fffc1f,0xb27ffcc0,
    0xffffffff,0xffffffff,0x17ffdc0f,0x01fffc80,0x0017ffdc,0x007fff70,
    0x201ace80,0x01ffffb8,0x03fffb00,0x5fff5000,0x3ffff900,0xfff80000,
    0x0dfff006,0x02fffc80,0x17fff400,0x33ffffee,0x53f2661a,0x4002fffc,
    0xff91fffc,0xffc8005f,0x4c41fe2f,0xf86f9800,0x7e4007ff,0x3fff63ff,
    0x200cc001,0x64007fff,0xfff13fff,0x7ffffc43,0x7fdc6ffe,0xffffd105,
    0x7ffec037,0x4efffcc0,0x99999999,0x7c199999,0x64000fff,0x7fec1fff,
    0x7fd4000f,0x2666623f,0x999bfffb,0x2e019999,0xf9002fff,0xffb803ff,
    0x3ee0002f,0x7c0003ff,0xeeffffff,0x03ffffff,0x07fff600,0x3fff2000,
    0x7fffe400,0xff800001,0xfffd006f,0x2fffc800,0x7ffec000,0xfffffb81,
    0xffffffff,0x005fff74,0xf90fffd8,0xfc8005ff,0x001fe2ff,0x3fe1be60,
    0x3fe2007f,0x3fff61ff,0xff800001,0x3fe2007f,0x17ffa1ff,0xfffffff5,
    0x704ffe8d,0x3600dfff,0x7fc40fff,0x3600005f,0x64004fff,0x7fe41fff,
    0x7fdc001f,0x7ffdc01f,0x3fee0002,0xfff9002f,0x2fffb803,0x3ffee000,
    0x7ffc0003,0xffffffff,0x40003fff,0x0000fffe,0x6406ffe8,0x0001ffff,
    0x00dfff00,0x8007fff6,0x0000fffd,0xf503fffc,0xffffffff,0x3fea9fff,
    0x7ff4003f,0x00bfff27,0x7c3fff90,0x3003b707,0x0ffff0df,0x23fffe40,
    0x0001fffd,0x007fff80,0xf51ffff2,0xedc881ff,0x3fea2bdf,0x3fffb00f,
    0x03fff600,0x0001fffe,0x00ffffb8,0x707fff20,0xd8005fff,0x7d400fff,
    0x2e0002ff,0xf9002fff,0xffa803ff,0x3ee0002f,0x640003ff,0xfffffffe,
    0x0000ceff,0x0006fff8,0x202fffc8,0x001ffffc,0x1bffe000,0x027ffe40,
    0x000fffd0,0x805fff98,0xffffffda,0xfff30bdf,0x7ffc400b,0x00bfff26,
    0x7c1fffb0,0x807ffa87,0x7fff86f9,0x7ffff100,0x001fffd8,0x07fff800,
    0x07ffff10,0x20009ffd,0x3fe04ffe,0x3ff6007f,0x1fffe80f,0x3ffa0000,
    0x3ff2003f,0x37ffd41f,0x0ffff100,0x007fff50,0x01fffd40,0x00ffffd4,
    0x000fffea,0x003fffb8,0x3f666600,0x200002ff,0x0005fffb,0x903fffd4,
    0x0003ffff,0x06fff800,0x00ffff10,0x0017ffea,0x03fffe88,0x027bffe0,
    0x00ffffc4,0x324fffc8,0x7c002fff,0x5c3fc7ff,0x7cc00fff,0x807fff86,
    0xd86ffffa,0x00001fff,0xa807fff8,0xf506ffff,0xfb8005ff,0x3ffe00ff,
    0xffff9007,0x0dfff701,0x7ffd4000,0xfff9002f,0x2ffff883,0x07fff900,
    0x00bfff10,0x02fffcc0,0x07ffffe6,0x00bfff10,0x01fffdc0,0x7ffc8000,
    0xf9807f00,0x20001fff,0x902ffffa,0x0001ffff,0x0dfff000,0x027ffe40,
    0x007fffe2,0x37ffec40,0x07fff100,0x01bfff90,0x646fffa8,0x2e002fff,
    0x43fc5fff,0xf9804fe8,0x407fff86,0x81fffffc,0x0001fffd,0x407fff80,
    0x01fffffc,0x400ffffa,0x7403fffc,0x3a202fff,0xd00fffff,0x00009fff,
    0x027ffff4,0x540fffe4,0x6401efff,0x3e006fff,0x10002fff,0x2a01ffff,
    0x01ffffff,0x002ffff8,0x007fff70,0x17ffa000,0x4d677fc0,0x5ffffb99,
    0xfffd5000,0x3fff209f,0x0000000e,0x4400dfff,0xb80dffff,0x9a83ffff,
    0xfffc9980,0x3ea000ef,0xff8801ff,0x64c1afff,0x7e42ffff,0x30dd42ff,
    0xf83ffff9,0x6f980007,0xaaaffff8,0xfffffedc,0x7fffb01f,0x55555555,
    0xff005555,0xdb9555ff,0x03ffffff,0x1cfffe98,0x0bfffb30,0x85ffff90,
    0xffffffc9,0xffff500f,0x254c015f,0xdfffff30,0xd5311379,0x3fa03fff,
    0x2a21bfff,0x001ffffd,0x073ffff2,0x7fec02e6,0x3ff221ef,0x801fffef,
    0x81cffffc,0xf93330b9,0x333337ff,0x01333333,0x005fff10,0x3ffffffe,
    0x00ffffff,0xfd995555,0x207fffff,0xccdffffc,0xcccccccc,0x33300ccc,
    0xdfff3333,0x01333333,0xdffffff7,0x0bfffffd,0xfffffff1,0x3fffffff,
    0x07ffc800,0x3ffffee0,0xffffffff,0x2fffc85f,0x7fffffe4,0x07f84fff,
    0xf86f9800,0xffffffff,0x00efffff,0x3ffffff6,0xffffffff,0xffff805f,
    0xffffffff,0xb1000eff,0xb9bfffff,0x007fffff,0x3fffffe2,0xbdfffffe,
    0x3f200fff,0xeeffffff,0x407ffffe,0xffffffe8,0xffffffff,0xffff301f,
    0xffffdfff,0xf88007ff,0xffffffff,0xff301fff,0xffffffff,0x03fff39f,
    0xffffff10,0x23ffffff,0xffffffff,0xffffffff,0xfa806fff,0xfff000ff,
    0xffffffff,0x7fffc01b,0xcfffffff,0x3ffff600,0xffffffff,0x80ffffff,
    0xfffffff9,0xffffffff,0xfff303ff,0xffffffff,0x3fffe207,0xffffffff,
    0x9ffd0003,0xfffe9800,0xffffffff,0x85fff902,0xfffffffc,0xfffff04f,
    0xffffffff,0xdfffffff,0xfffffff0,0x05bfffff,0xffffffb0,0xffffffff,
    0xffff00bf,0xffffffff,0x3f20005b,0xffffffff,0x7d4002ff,0xffffffff,
    0x01fff53f,0xfffffea8,0x7fffffff,0xfffff700,0xffffffff,0x7fec401f,
    0xffffffff,0xfd30001e,0xffffffff,0x7ffdc03f,0x33ffffff,0x26003fff,
    0xfffffffe,0xffff1fff,0xffffffff,0xdfffffff,0x00dff700,0xfffffdb8,
    0xfff802de,0x1effffff,0xfffffd80,0xffffffff,0x980fffff,0xffffffff,
    0xffffffff,0x3fb6203f,0x00ceffff,0x3fffffe2,0x0003efff,0x80017ffc,
    0xffffffec,0x3ff200ce,0x7fff542f,0x3fe01dff,0xffffffff,0xffffffff,
    0xffff86ff,0x0bcdefff,0x3ffff600,0xffffffff,0xff805fff,0xcdefffff,
    0xb980000b,0xbceffffd,0xffb10000,0x543bdfff,0xc8800fff,0xfffffffe,
    0x26003def,0xffffffdc,0x2a002cef,0xdffffffd,0xfd700003,0x3dffffff,
    0xffffe980,0x3ffe61df,0x7ff5c001,0xf1efffff,0xffffffff,0xffffffff,
    0x55300dff,0x4ccc0003,0x77ffc000,0x20019acd,0xfffffffd,0xffffffff,
    0xff980fff,0xffffffff,0x3fffffff,0x0006a600,0x026aaa66,0x55544000,
    0xa9880000,0x31000001,0x00000001,0x00000000,0x00000000,0x26200000,
    0xa9800000,0x20000009,0x0099aa98,0x35531000,0x53100001,0x88000001,
    0x88001999,0x000009a9,0x00cccc40,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x005ddd50,
    0x00dddb00,0x541f774c,0x80001eee,0xeeeeeee8,0xeeeeeeee,0x005eeeee,
    0xeeeeee98,0x72eeeeee,0x2000bddd,0xdd72eeec,0xdddddddd,0x229ddddd,
    0xeeeeeeee,0xeeeeeeee,0x2005eeee,0x00eeeee9,0x3bbbbaa0,0x02accdee,
    0xeeeeeeb8,0x4001abcd,0xeeeeeeea,0xeeeeeeee,0x003ddd74,0xd11eeeb8,
    0xdddddddd,0xbddddddd,0x3bbbbbaa,0xeeeeeeee,0xdd75eeee,0x3ba6003d,
    0x3bbb61ee,0xe9800000,0x09dd505e,0x3bbae200,0x77774c02,0x3bbaa004,
    0x3bb60000,0x3baa03ee,0xbcdeeeee,0xeee8801a,0xeeeeeeee,0x5eeeeeee,
    0x01fffd40,0x03fff400,0x709fff30,0x00005fff,0xfffffff1,0xffffffff,
    0x00dfffff,0xffffffb0,0x27ffffff,0x002ffff8,0xf937ffd4,0xffffffff,
    0x2bffffff,0xfffffff8,0xffffffff,0x006fffff,0x0ffffff2,0xfffffb80,
    0xffffffff,0xffff900c,0xffffffff,0xfff7005d,0xffffffff,0x3f2bffff,
    0x7e4002ff,0xffff32ff,0xffffffff,0x3eafffff,0xffffffff,0xffffffff,
    0x05fff97f,0x87ffff10,0x0000fffe,0x706ffa80,0xf7000bff,0xa807ffff,
    0x001fffff,0x0001fff7,0x13fffff2,0xffffffb8,0x2effffff,0x3ffffe20,
    0xffffffff,0x407fffff,0x0003fffa,0x2007ffe8,0xfb84fff9,0x880002ff,
    0xffffffff,0xffffffff,0x4006ffff,0xfffffff8,0x23ffffff,0x4006fffb,
    0x3f22fffe,0xffffffff,0x15ffffff,0xffffffff,0xffffffff,0x400dffff,
    0x06ffffff,0x3ffffee0,0xffffffff,0xfffc81ff,0xffffffff,0x2e00dfff,
    0xffffffff,0x5fffffff,0x8005fff9,0xff32fffc,0xffffffff,0x2fffffff,
    0xfffffffa,0xffffffff,0xfff97fff,0x9fffd005,0x001fffd0,0x0bff7000,
    0xa8013ff2,0x3ffffffe,0x7ffffd40,0x1fff7005,0xffff3000,0x7fdc09ff,
    0xffffffff,0x881fffff,0xffffffff,0xffffffff,0x7fd407ff,0xfe80003f,
    0x3fe6007f,0x2fffb84f,0x99990000,0xfffd9999,0x9999999b,0xeffc8007,
    0xaaaadfff,0x7fff41aa,0xbfff7003,0xccdfffc8,0xcccccccc,0x3333323c,
    0xdfffeccc,0x3ccccccc,0xfffff300,0x3ee001ff,0xdccccdff,0x0ffffffe,
    0x666fffe4,0xfffffedc,0xfff702ff,0x9999999d,0x3f259999,0x7e4002ff,
    0x999912ff,0x9bfffd99,0x3aa99999,0xeeeeeeee,0xffeeeeee,0x05fff97f,
    0xd05fffc8,0x00001fff,0x3609ff90,0xfea803ff,0x3fffffff,0x7ffffd40,
    0xfffb800f,0xfffe8000,0x3ee04fff,0xcccccdff,0x0ffffffe,0x77777744,
    0xeeeeeeee,0x5406ffff,0x80003fff,0x26007ffe,0xffb84fff,0x1aaaaacf,
    0x7fe40000,0x7c00002f,0x03fffbff,0x03fffe60,0x81ffff10,0x0002fffc,
    0x0bfff200,0x7ffe4000,0x7003fffc,0x5c405fff,0x7e45ffff,0x3f2201ff,
    0xfb81ffff,0xf90003ff,0xfc8005ff,0xffc802ff,0x2000002f,0xff94fff9,
    0x7ffdc05f,0x1fffd00e,0xffb00000,0x80bffa07,0xefffffea,0x5403fffe,
    0x04ffffff,0x000fffb8,0x7fe7ffdc,0x3ffee04f,0x3ffee202,0x980000ef,
    0x5401ffff,0x50003fff,0xffffffff,0xffffffff,0x1fffffff,0x3fffffee,
    0x0bffffff,0x7ffe4000,0x3ea00002,0x03fff9ff,0x027ffec0,0x320ffff2,
    0x00002fff,0x00bfff20,0x4efffc00,0xf7006fff,0xff7005ff,0x1fffc8ff,
    0x6fffe980,0x003fffb8,0x005fff90,0x802fffc8,0x0002fffc,0x47fff600,
    0xf302fffc,0x7f403fff,0x800000ff,0xfff03ffd,0x7ffff403,0x07fffb2f,
    0xffefffa8,0x7ffdc00f,0x3ffe2000,0x204fff9d,0x9802fffb,0x0003ffff,
    0x804fffe8,0x2603fffa,0xfffff501,0xffffffff,0xffffffff,0x3ffee1ff,
    0xffffffff,0x0000cfff,0x0005fff9,0x7c67fec0,0x7c4003ff,0xff101fff,
    0x3fff20df,0x32000002,0x80002fff,0xffd3fff9,0xfff7001f,0x3fffe005,
    0x007fff20,0x217fffc4,0x0003fffb,0x8005fff9,0xc802fffc,0x00002fff,
    0x64bfff30,0xff882fff,0x7ff402ff,0xe800000f,0x3fff02ff,0x21fffd40,
    0x5403fffd,0x4fffbfff,0x007ffdc0,0xf31fffb0,0x7fdc09ff,0xfff7002f,
    0xffc8000b,0xfff5006f,0x207fb107,0xfffffffa,0xffffffff,0xffffffff,
    0xdddfff70,0xffffffdd,0x3f2000bf,0x100002ff,0xfff13fff,0xfff70007,
    0x0bfff60b,0x0017ffe4,0x5fff9000,0xfff90000,0x00ffff21,0x400bffee,
    0x3f21fffe,0x3ee001ff,0x7ffdc6ff,0xfff90003,0xfffc8005,0x2fffc802,
    0xffb00000,0x17ffe43f,0x401fffec,0x0000fffe,0x7fd55554,0xfbaaaacf,
    0x42aaabff,0xfffd80ce,0x4fffd403,0x2e00fffe,0xf7000fff,0x3ffe67ff,
    0x0bffee04,0x03fffc40,0x3ffff300,0x8fffea00,0x103fffc8,0x55ffff55,
    0x55555555,0x455bfff9,0x5102fffb,0x009ffffd,0x005fff90,0x45bff200,
    0xd0003fff,0xff985fff,0x3fff205f,0x32000002,0x80002fff,0x3fe66fff,
    0xfffb806f,0x8fffd002,0x2001fffc,0x2e2ffff8,0x90003fff,0xc8005fff,
    0xfc802fff,0x800002ff,0x7e45fff9,0x7ffe42ff,0x1fffd005,0xffff8000,
    0xffffffff,0xffffffff,0x3ff6005f,0x7ffd403f,0x203fffa9,0x8800fffb,
    0x3fe66fff,0x3ffee04f,0x3fffa002,0xfffd0001,0x7ffd4009,0xfffffc8b,
    0x07ffe802,0x213ffe60,0xc802fffb,0x4002ffff,0x0002fffc,0x3e27fff0,
    0xf50003ff,0xfffe8dff,0x0bfff200,0xffc80000,0x7cc0002f,0x7fffc3ff,
    0x17ffdc00,0x227ffc40,0x4001fffc,0x3ee3fffc,0xf90003ff,0xfc8005ff,
    0xffc802ff,0xd800002f,0x7fe41fff,0x1bffea2f,0x00fffe80,0x7ffffc00,
    0xffffffff,0xffffffff,0x3fff6005,0x8fffd403,0x3ee07fff,0xffd800ff,
    0x13ffe61f,0x002fffb8,0x0007fff6,0x001bffee,0xfffdfff5,0x3a003bff,
    0x3e6007ff,0xfffb84ff,0x9fffb002,0x2fffc800,0xfffa8000,0x007fff10,
    0xa9fffec0,0x7e403fff,0x000002ff,0x000bfff2,0xc83fff90,0x7dc03fff,
    0xffd802ff,0x0fffe42f,0x93ffea00,0x0003fffb,0x8005fff9,0xc802fffc,
    0x00002fff,0x6437ffcc,0xfff32fff,0x7ff4001d,0x5540000f,0xaafffcaa,
    0xaeffdaaa,0x36002aaa,0x7d403fff,0x5fff91ff,0x003ffee0,0xf987fff5,
    0x3fee04ff,0x3ffe002f,0xfff98007,0x7fd4001f,0x01efffff,0x003fff40,
    0xf709fff3,0x3e2005ff,0x7e4006ff,0xe80002ff,0x3ffe25ff,0x3fe20003,
    0x06ffe8ff,0x002fffc8,0x3fff2000,0x7ffc0002,0x05fffa86,0x1017ffdc,
    0xc81dfff9,0x54001fff,0x3fee5fff,0xff90003f,0xffc8005f,0xfffc802f,
    0x7ec00002,0xfffc82ff,0x01fffe8a,0x007fff40,0x1bfea000,0x00027fe4,
    0x500ffff6,0x3fe23fff,0x1fff706f,0x437ffc40,0x2e04fff9,0xf1002fff,
    0xfd000dff,0xd88009ff,0x01efffff,0x00fffd00,0x5c27ffcc,0x3e002fff,
    0x32000fff,0x40002fff,0x3e21fff9,0xaaaaadff,0xfffc800a,0xc802fffe,
    0xccccdfff,0x0ccccccc,0x0bfff200,0x4fff9800,0x401ffff0,0xaaacfffb,
    0xeffffdcb,0x01fffc80,0x737ffcc0,0x20007fff,0xcccdfffc,0xcccccccc,
    0xc802fffe,0x00002fff,0x641bffe2,0xfffdafff,0xfffe8002,0x7dc00000,
    0x09ff905f,0x3fffd800,0x90fffd40,0xff705fff,0x7ffe401f,0x04fff981,
    0x400bffee,0x4004fffc,0x2006fffb,0xefffffc8,0x7ff40002,0xeeeeeeef,
    0x4fffeeee,0x002fffb8,0x2e07fffa,0xffffffff,0x1fffffff,0x88dff900,
    0xffffffff,0xff8801ff,0x9005ffff,0xffffffff,0x3fffffff,0x17ffe400,
    0x3fff9000,0x80ffff60,0xfffffffb,0x01ffffff,0x0007fff2,0x7dcffff1,
    0xffffffff,0x327fffff,0xffffffff,0xffffffff,0xfc802fff,0x200002ff,
    0xf902fffc,0x07fffdff,0x03fffa00,0x9ff90000,0x000fff60,0x807fffb0,
    0x3e61fffa,0xfffb86ff,0x09fff300,0xb813ffe6,0xfa802fff,0x26000fff,
    0x9001ffff,0x7fffffff,0xfffd0000,0xffffffff,0x09ffffff,0x4005fff7,
    0xfb80fffe,0xffffffff,0x01ffffff,0xf887fff0,0xffffffff,0xfff5001f,
    0x3f2001ff,0xffffffff,0x01ffffff,0x00bfff20,0x207fff80,0x2e05fffa,
    0xffffffff,0x0cffffff,0x001fffc8,0xf70ffff8,0xffffffff,0x64ffffff,
    0xffffffff,0xffffffff,0xfc802fff,0x100002ff,0x7e40dfff,0x04ffffff,
    0x01fffd00,0x3ffd8000,0x0005ffd0,0x403fffd8,0x7ec1fffa,0x7ffdc1ff,
    0x40dffd00,0x2e04fff9,0x36602fff,0x4002ffff,0x2004fffe,0xffffffff,
    0xffe80003,0xffffffff,0x4fffffff,0x002fffb8,0x7dc1fffe,0xffffffff,
    0x01ffffff,0x440fffa8,0xccccdfff,0x3f6000cc,0x3f2003ff,0xeeeeeeff,
    0x01eeeeee,0x00bfff20,0x027ffcc0,0x201ffff1,0xeeeefffb,0xfffffffe,
    0x0fffe41e,0x9fffe200,0xfffffffb,0x7fffffff,0x3bbbfff2,0xeeeeeeee,
    0x802ffffe,0x0002fffc,0x405fff90,0xfffcfffc,0xffe8002f,0x7400000f,
    0x3fff03ff,0xfffd8000,0x0fffd403,0xf717ffe6,0xfff701ff,0x27ffcc03,
    0x99bfff70,0xfffffdb9,0xffb8009f,0x77fc006f,0x003fffaa,0xaafffe80,
    0xaaaaaaaa,0xfb84fffc,0xff3002ff,0x266620bf,0x9bfffd99,0xfd001999,
    0x7fff10bf,0x66664c00,0xcdfffecc,0xfc84cccc,0x000002ff,0x000bfff2,
    0x2017ffe4,0xf702fffd,0x7ecc05ff,0x3f20ffff,0x7cc001ff,0x3ffee7ff,
    0x9999999c,0x3ff21999,0x7fe4002f,0xfffc802f,0xff880002,0x7ffe406f,
    0x01ffffba,0x007fff40,0x0bffe000,0x00007ffc,0x500ffff6,0xffd03fff,
    0x07ffdc3f,0x3013ffe6,0x7dc09fff,0xffffffff,0x002effff,0x00ffffc4,
    0xfffa8ba0,0xffe80003,0x3ffe6007,0x02fffb84,0x005fffd0,0x002fffc8,
    0x105fff30,0x54007fff,0xffffffff,0xffffffff,0x17ffe40f,0xff900000,
    0x3fe0005f,0xfffb807f,0x05fff705,0x49ffff30,0x4001fffc,0x3ee6fffa,
    0xf90003ff,0xfc8005ff,0xffc802ff,0xfc80002f,0x7fe403ff,0x1dfffb2f,
    0x07fff400,0x3ffe0000,0x00fff881,0x1fffec00,0x207ffea0,0x3ee5fffa,
    0x77ff40ff,0x27ffcc00,0xffffff70,0x09ffffff,0x13fffa00,0x3ffea000,
    0xffe80003,0x3ffe6007,0x02fffb84,0x02fffec4,0x017ffe40,0x107ffc80,
    0x54007fff,0xffffffff,0xffffffff,0x17ffe40f,0xff900000,0xff30005f,
    0xfff100bf,0x5fff701f,0x9fffea00,0x4001fffc,0x3ee5fffb,0xf90003ff,
    0xfc8005ff,0xffc802ff,0x7c40002f,0xffc807ff,0xbfffd12f,0x07fff400,
    0xfffff000,0xffffffff,0xffffffff,0xfffd8009,0x0fffd403,0xf70fffe8,
    0x7ffdc1ff,0x4fff9802,0x337ffee0,0x0009bccc,0x01bffee0,0x1fffd400,
    0x3fff4000,0x09fff300,0x3105fff7,0x01fffff9,0x05fff900,0x5dfff100,
    0xfff75555,0x55544007,0xcfffdaaa,0xc82aaaaa,0x00002fff,0x00bfff20,
    0x3bbfff20,0xeeeeeeee,0xfb82ffff,0xff1002ff,0x3fff21ff,0x7ffe4001,
    0x00fffee3,0x017ffe40,0x00bfff20,0x000bfff2,0x007fff90,0x7cc5fff9,
    0xfd003fff,0x7c0001ff,0xffffffff,0xffffffff,0x4004ffff,0x5403fffd,
    0xff501fff,0x83ffee9f,0xeeeeffff,0xffeeeeee,0x73eeeeff,0x00005fff,
    0x03ffff10,0x3ffea000,0xffe80003,0x3ffe6007,0xfffffb84,0xffffffff,
    0xf90001ef,0xf70005ff,0xffffffff,0x0007ffff,0x00bfff20,0x002fffc8,
    0x3fff2000,0xffff8002,0xffffffff,0x85ffffff,0x2002fffb,0xff91fffe,
    0x7fc4003f,0x3ffee0ff,0xfff90003,0xfffc8005,0x2fffc802,0x3ffe2000,
    0xfffc800f,0x0ffffd42,0x007fff40,0xffffff00,0xffffffff,0x9fffffff,
    0x3fffd800,0x00fffd40,0xff71ffff,0x7ffffc1f,0xffffffff,0xffffffff,
    0x05fff74f,0xfffb0000,0x7d400009,0xe80003ff,0x3e6007ff,0xfffb84ff,
    0xffffffff,0x640004ff,0xe8002fff,0xffffffff,0x003fffff,0x05fff900,
    0x017ffe40,0xfff90000,0xfff98005,0xffffffff,0xffffffff,0x017ffdc0,
    0x321ffff0,0x36001fff,0x7fdc6fff,0xff90003f,0xffc8005f,0xfffc802f,
    0x3ff20002,0xfff9003f,0x1ffff905,0x00fffe80,0x1bfea000,0x00027fe4,
    0x201fffec,0x2e01fffa,0xfffbbfff,0x3fffffe0,0xffffffff,0xffffffff,
    0x005fff74,0x6fffb800,0x7fd40000,0xfe80003f,0x3fe6007f,0xffffb84f,
    0xceffffff,0xffc80001,0x7fcc002f,0xeeeeeeef,0x0003fffe,0x005fff90,
    0x0017ffe4,0x5fff9000,0xefffc800,0xeeeeeeee,0x2ffffeee,0x8017ffdc,
    0x3f26fff8,0xff3001ff,0xfffb85ff,0xfff90003,0xfffc8005,0x2fffc802,
    0xffff1000,0x3fff2001,0x0dfffd02,0x000fffe8,0x417fee00,0x80004ffc,
    0x5403fffd,0x3e201fff,0x0fffbeff,0x33333332,0xfdcccccc,0x2cccceff,
    0x0005fff7,0x0ffffc40,0x3fea0000,0xfe80003f,0x3fe6007f,0xcfffb84f,
    0x0000aaaa,0x02fffc80,0x007ffe40,0x4007fff1,0xfffffffa,0xffffffff,
    0x7ffe40ff,0x32000002,0x7c002fff,0x5c000fff,0x7fdc5fff,0xfffb002f,
    0x00fffe49,0x42ffffd4,0x0003fffb,0x8005fff9,0xc802fffc,0x90002fff,
    0x64009fff,0xff102fff,0x7ff409ff,0x3200000f,0x7ffb04ff,0xfffb0000,
    0x1fffa807,0x7f7ffe40,0x4c0000ff,0x3ee04fff,0x200002ff,0x0004fffd,
    0x03fffa80,0x07ffe800,0x213ffe60,0x0002fffb,0x5fff9000,0x27ffc400,
    0x00fffe20,0xffffffa8,0xffffffff,0x7fe40fff,0x2000002f,0x2002fffc,
    0x8005fff9,0x7dc7fff8,0x7e4402ff,0x3ff21fff,0x3ff6201f,0xffb80fff,
    0xff90003f,0xffc8005f,0xfffc802f,0xfff88002,0x3ff2000f,0x3ffea02f,
    0x1fffd02f,0x7fec0000,0x005ffd03,0x07fffb00,0x401fffa8,0xfffffff8,
    0x7fcc0000,0x3ffee04f,0xff500002,0x200000df,0xaaadfffa,0xaaaaaaaa,
    0x007ffe81,0x2e13ffe6,0x00002fff,0x05fff900,0x00fffdc0,0x2673ffe2,
    0x7d409999,0xffffffff,0xffffffff,0x567ffe40,0xaaaaaaaa,0x3f2001aa,
    0x3f2002ff,0xfd0002ff,0x7ffdc5ff,0xcba9999b,0x641fffff,0xcaaacfff,
    0xefffffed,0x07fff701,0x0bfff200,0x25fff900,0xdaaaaaa8,0xaaaacfff,
    0x3fff202a,0x7ffe4004,0x7fffe402,0xabfffe81,0xaaaaaaaa,0x3ffa01aa,
    0x003fff02,0x99999991,0x999dfffd,0x3ffea799,0xffffc801,0x4c0000ff,
    0x3ee04fff,0x880002ff,0xccceffff,0xcccccccc,0x3ea00ccc,0xffffffff,
    0x84ffffff,0x26007ffe,0xffb84fff,0x0000002f,0x4005fff9,0xf8806ffe,
    0xffffffff,0x3ff2006f,0x3ff2002f,0xffffffff,0x005fffff,0x800bfff2,
    0x0000ffff,0x7dcbfff7,0xffffffff,0x82ffffff,0xfffffffc,0xdfffffff,
    0x0fffee00,0x17ffe400,0x4bfff200,0xfffffff9,0xffffffff,0xffff107f,
    0xfffc8001,0xefffe802,0x7fffff40,0xffffffff,0x3ffa04ff,0x001fff02,
    0xfffffff1,0xffffffff,0x3ffeadff,0xffff8801,0x4c0000ff,0x3ee04fff,
    0xc80002ff,0xffffffff,0xffffffff,0x3ea01fff,0xffffffff,0x84ffffff,
    0x26007ffe,0xffb84fff,0x0000002f,0x2005fff9,0x8803fff9,0xffffffff,
    0x3f2006ff,0x3f2002ff,0xffffffff,0x05ffffff,0x00bfff20,0x002fffcc,
    0x5cffff30,0xffffffff,0x00cfffff,0xfffffff9,0x03bfffff,0x007fff70,
    0x00bfff20,0x265fff90,0xffffffff,0xffffffff,0x09fff907,0x05fff900,
    0x8bffff10,0xfffffffe,0xffffffff,0x207ffe04,0x8800fff8,0xffffffff,
    0xffffffff,0x03fff56f,0x3fffff60,0x7fcc0000,0x3ffee04f,0xffc80002,
    0xffffffff,0xffffffff,0x3ffea01f,0xffffffff,0xfe84ffff,0x3fe6007f,
    0x2fffb84f,0xf9000000,0x3f6005ff,0xff8800ff,0xffffffff,0x3fff2006,
    0x3fff2002,0xffffffff,0x2005ffff,0x9002fffc,0x80007fff,0xff72fffe,
    0xbdffffff,0xffc80159,0xcdeeffff,0x3fee000b,0xff90003f,0xffc8005f,
    0xfffff32f,0xffffffff,0xff10ffff,0xf90003ff,0x3e6005ff,0x3ffa3fff,
    0xffffffff,0x104fffff,0xff301fff,0x3ffe200f,0xffffffff,0x56ffffff,
    0x26003fff,0x000fffff,0x027ffcc0,0x0005fff7,0xffffff90,0xffffffff,
    0x003fffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xec800000,0x6c0005ee,
    0x3bae3eee,0xee88005e,0x2776c1ee,0x53bb2000,0x0003eeec,0xd51f775c,
    0x2e001ddd,0x3a61eeee,0xcdeeeeee,0x298000aa,0x80015000,0x0000eeea,
    0x20000000,0x006a2000,0x10000353,0x26001335,0x0d4401aa,0x0054c000,
    0xaaaa9800,0x54c00009,0x00009aaa,0x35300000,0x54c00001,0x00000009,
    0x00000000,0x00000000,0x017fffd4,0x0ffffa80,0x00ffffe2,0xf0bfffb0,
    0xe8000bff,0xdfff74ff,0xfffe8000,0x0fffff21,0x17ffffc0,0xfffffff3,
    0x03bfffff,0x001ffb10,0x2003ff98,0x4001fffb,0x000000ed,0x2a027cc0,
    0x4c4ffffe,0x004ffffe,0x3ffffb22,0x6d41cfff,0x0effffff,0x13ffffee,
    0x17ffec00,0x7ff64c00,0x2effffff,0xfffd9100,0x45ffffff,0x9002fffb,
    0x64403fff,0xdffffffe,0xffdb8001,0x200dffff,0xfffffff8,0xffffffff,
    0x13ffe24f,0x4dffd000,0x001ffffc,0x009ffff1,0x0dfffb00,0x0ffffa00,
    0x003fffee,0x407fffd4,0x40005ffe,0xfff14ffe,0x3e60003f,0x7ffe46ff,
    0xfffa806f,0x3ffe62ff,0xffffffff,0x7f405fff,0x7f4005ff,0xff7004ff,
    0x7fec003f,0x0000001e,0x2607fff5,0x3fffffff,0xfffffff1,0xffff7009,
    0x9fffffff,0x7fffffc4,0xffb8efff,0x005fffff,0x03ffffd4,0x3ffffe60,
    0xffffffff,0x3ffea00e,0xffffffff,0x0bffee3f,0x80fffe40,0xfffffffa,
    0x1004ffff,0xfffffffd,0x3e207fff,0xffffffff,0x4fffffff,0x0002fffc,
    0xffd17ffe,0x3ff600df,0xf300006f,0xb8007fff,0x3fa06fff,0xfe8805ff,
    0xdffb03ff,0x3ffe8000,0x000ffffa,0x3227ffdc,0x401fffff,0x22fffffd,
    0xcccefff9,0xfffffedc,0x3fffe603,0xdfff7002,0x0fffdc00,0xffffe880,
    0x64000002,0xf985ffff,0xffffefff,0xffefffd9,0xffd102ff,0xffffffff,
    0x7ffc49ff,0xffffeddf,0xfffdefff,0x3fee003f,0x26000fff,0xeeffffff,
    0x05ffffff,0xddfffff5,0x47fffddd,0x9002fffb,0xffb03fff,0xfffdffff,
    0x4c01dfff,0xecdfffff,0x885fffff,0xffffffff,0xffffffff,0x0037ff44,
    0x989fff10,0x5404ffff,0x0000ffff,0x03ffff20,0x02fffe80,0x00bfffe6,
    0x6c0bfff9,0x7c0006ff,0x3ffee3ff,0xfffd0006,0xffeffd83,0x3fbfe204,
    0x3ffe63ff,0x3fffa604,0x3ffee00f,0x23799516,0x001ffff8,0x0007ffee,
    0x007ffffb,0x3fff6000,0x3fffb03f,0x7fff7ff4,0x20bffd10,0x0adffffe,
    0xf893ae62,0xffffb80c,0x037ff44f,0x0fffff50,0x09bef980,0x2ffffd88,
    0x05ffffc4,0x7fdc3530,0xfff9002f,0xbffffc83,0x7fffecc1,0x9ffff104,
    0x0bfffee0,0x26666666,0xfffa9999,0x03ffec1f,0x07fff300,0x203ffff7,
    0x002ffff8,0x7fffc400,0xdfff7003,0x0dfff900,0x007fffcc,0x8000fff9,
    0x3fe22fff,0x7c4000ff,0xcffd86ff,0x3fee07ff,0x3e63fffc,0x7fc404ff,
    0x7fec03ff,0xffffffef,0x002fffff,0x000fffdc,0x027fffe4,0xfffd1000,
    0x3ffe205f,0x7ffffc43,0x207ffd42,0x002ffffb,0xffff8001,0x01fffa86,
    0x007fff20,0x7e400110,0x7ffdc5ff,0xfff70003,0x3fff2005,0x0bfffe21,
    0x01ffff50,0x9805fff9,0x20006fff,0xb83fffe8,0x50000fff,0x3f603fff,
    0xfffb06ff,0x2e000009,0x4400ffff,0xd001ffff,0x3fa09fff,0x7fe403ff,
    0x3fe20007,0x1ffff42f,0x13ffee00,0x3ffebffa,0xfd3ffd02,0x27ffcc7f,
    0x027ffdc0,0x3fffffa2,0xffffffff,0xfffb8004,0xfff50001,0x980001df,
    0x201effff,0xfe80fffa,0x7fff07ff,0x017fffc4,0xfffb0000,0x07fff109,
    0x0000a880,0x8dfff000,0x0001fffc,0x2005fff7,0x3f61fffc,0xff9002ff,
    0x5fff88bf,0x07fffb00,0x13fff600,0x440fffd4,0xfff703cc,0x3fffa201,
    0x037ffd44,0x3ffa0000,0x7ffdc04f,0x3ffea005,0x37ffd40f,0x003ffdc0,
    0xb83fff10,0x74005fff,0xffe81fff,0xf985ffca,0x4c9ffd7f,0xf9804fff,
    0xff9806ff,0xfffeffff,0xb8000fff,0x20001fff,0x01effff9,0xbffff500,
    0x06ffd801,0x360dfff9,0x3fff64ff,0x5c000005,0xffd01fff,0x00000009,
    0x47ffe800,0x0002fffc,0x2005fff7,0xff31fffc,0x7fc400df,0x3fff20ff,
    0x9fff3001,0xdfff7000,0x417ffcc0,0xfc80fffa,0x7ffcc07f,0x1ffff12f,
    0xfa800000,0xff100fff,0xfd8001ff,0x3ffe25ff,0xfffb801f,0xfff10000,
    0x0ffff883,0x0dfff100,0x3feabffa,0xea7fe40f,0x3ffe64ff,0x6fff9804,
    0x1ffffb80,0x427fffd4,0x99999998,0x999afffc,0x44009999,0x002ffffe,
    0x027fffdc,0xf704ffe8,0x3ff60bff,0x003fffa5,0xfff50000,0x017ff601,
    0x00000000,0x7d41fffb,0xb8002fff,0xf9002fff,0x3ffea3ff,0x7ffe4003,
    0x001fffa1,0x9800bfff,0x2200ffff,0xffd83fff,0x06ffc82f,0xd8ffffb8,
    0x00002fff,0x0bfffd00,0x0013fff2,0x64bfffe2,0xf5004fff,0x260001ff,
    0xffe80fff,0xfff7002f,0x7c7ffe07,0x8fffc2ff,0x3fe65ffd,0xfffb804f,
    0x7fffc404,0x0ffff301,0xfffffffb,0xffffffff,0x2007ffff,0x003ffffd,
    0x007ffffb,0xfa827ff4,0xdff904ff,0x00037ffc,0x07ffd400,0x0006ffd8,
    0x6c000000,0x3fa20fff,0x2002dfff,0x9002fffb,0x3ff23fff,0x7fdc001f,
    0x017ffe2f,0x400fffd0,0x802ffff8,0xfff84fff,0x05ffd85f,0xffdfffb0,
    0x0000009f,0x20ffffcc,0x000ffff8,0xf5ffff70,0x26001fff,0xff881fff,
    0x01fff306,0x200bfff7,0xff01fffd,0xa97ff23f,0x97ff66ff,0xd804fff9,
    0x7dc03fff,0x7ff404ff,0x7fffec1f,0xffffffff,0x3fffffff,0x3fffee00,
    0x3fffa204,0x7ffc001f,0xfffff503,0xdfffffff,0x0017ffe6,0xeeecb980,
    0xeeeefffe,0x916fffee,0x99999999,0x99999999,0x5c407999,0xfffffedc,
    0x7cc0ffff,0x2dffffff,0x017ffdc0,0xfb1fffc8,0xfa8001ff,0xffff13ff,
    0xdddddddd,0x1ffffddd,0x13fffa00,0x2a2fff40,0x740fffff,0xff1004ff,
    0x000dffff,0xfffb0000,0x03fffc8b,0x7ffff400,0x26002fff,0xffb81fff,
    0x07ffa81f,0x801ffff1,0x3e06fff8,0x1fff31ff,0xffd8fff6,0x013ffe65,
    0x900dfff9,0xfb803fff,0x7ffec2ff,0xffffffff,0xffffffff,0x7ffd4003,
    0x7ffcc0df,0xff8000ef,0xffff303f,0xffffffff,0x013ffeaf,0x3fff6200,
    0xffffffff,0xffffffff,0xffffff16,0xffffffff,0x0dffffff,0xffffff91,
    0xffffffff,0xffffd301,0x7019ffff,0x32005fff,0xfffd1fff,0x9fff3000,
    0x3fffffea,0xffffffff,0x800fffff,0x2005fffc,0x7fec6ffd,0x7ffc3fff,
    0x3ffe6003,0x000000ff,0x1ffff880,0x000dfff1,0xffffff30,0xfff8800b,
    0x84fffe82,0x3fa07ffa,0x7fd402ff,0x3fff103f,0xfff9fff4,0xf99bff60,
    0xfea884ff,0xfd802fff,0x7fd400ff,0x7fdc003f,0x9800001f,0xf51effff,
    0x2000bfff,0xf303fff8,0xffffffff,0x3feedfff,0xfe80003f,0xffffffff,
    0xffffffff,0xfff16fff,0xffffffff,0xffffffff,0xffff88df,0xffffffff,
    0x2a00ffff,0xfffffffd,0x17ffdc3f,0xf1fffc80,0xf3000fff,0x3ffea9ff,
    0xffffffff,0xffffffff,0x7fffd400,0x1ffee000,0x4dff7fff,0x2001fff8,
    0x00fffffa,0xf9000000,0x3fff6bff,0xff900002,0x88001fff,0x7fc42fff,
    0x6ffb86ff,0x017ffee0,0x2203fffb,0x3fee1fff,0x7e45ffae,0x3fffe66f,
    0xffffffff,0xffd001ff,0xfffa801f,0x7ffdc004,0xe8800001,0xff51ffff,
    0x20001bff,0xff503fff,0x7fd4009f,0x7dc0004f,0x7fd41dff,0x3322000f,
    0xcccccccc,0xcccccccc,0x3ffa23cc,0x3f601bff,0xeb8800ff,0x25ffffff,
    0x9002fffb,0x3ff63fff,0x7fd4000f,0x3bfff33f,0x33333333,0x80333333,
    0x001ffff8,0xfa87ffd4,0x30fff8df,0x22001fff,0x0effffff,0x88000000,
    0xfffbffff,0x3e600005,0xf0006fff,0xfffb87ff,0x37fdc1ff,0x80ffff10,
    0x3e606fff,0x3ffe21ff,0x7fe42ffd,0x3ffffe66,0xcfffffff,0x3fffa000,
    0x1fffd400,0x07ffee00,0xfff30000,0xfff981df,0xff8000ef,0xbfff504f,
    0x37ffc400,0x1fffe000,0x0007ffd4,0xf7000000,0x3f600dff,0x5c4000ff,
    0xf72fffff,0x3f2005ff,0x3fff91ff,0x1fffb800,0x000bfff1,0x1ffff400,
    0x8fffcc00,0x7ffd2ffc,0xe801ffea,0x5fffefff,0x70000000,0x3fffffff,
    0x7ff40000,0xf8003fff,0x7ffec3ff,0x2ffe44ff,0x40bfffa0,0x2603fffa,
    0x7fec0fff,0x7ffc87ff,0x3fffffe6,0x001fffff,0x401fffd8,0x4002fffc,
    0x0001fffb,0x17fffea0,0x1ffffe88,0x827ff400,0x4005fffb,0x20007fff,
    0xf505fff8,0x000003ff,0x7ffec000,0x1fffb001,0x3ff62000,0x05fff75f,
    0x5c7fff20,0x6c002fff,0x3ffe0fff,0xfb000007,0x22000bff,0x4fff2fff,
    0xdff76ffb,0x37fff200,0x003fffe8,0xffd00000,0x00009fff,0x7fffffdc,
    0x7ff4001f,0x3efbfe23,0x02ffe47f,0x6413ffee,0x3e600fff,0x7ffd40ff,
    0x27ffc84f,0xa99dfff9,0x002ffffc,0x2027ffe4,0x4000ffff,0x0001fffb,
    0x09ffff90,0x7ffffb10,0x837ff400,0x4007fffc,0x0003fffe,0x2a05fff3,
    0x00002fff,0x3ffe0000,0x3fff6007,0x3fe20000,0x07fff56f,0x23ffff50,
    0x2006fffa,0x7f47fff8,0x400001ff,0x000efffb,0x3e6fffe0,0x27ffe25f,
    0xfb805ffc,0xfff30fff,0x0000003f,0x1fffff50,0x3fe20000,0x06fffdff,
    0xf727ff40,0x43fff39f,0x7cc04ffc,0xdfff07ff,0x40fffa80,0xb81ffff8,
    0x3ffe67ff,0x1ffff984,0x3fffe600,0x0bfff700,0x03fff700,0xfffd8800,
    0x7fe4002f,0xff9004ff,0x3ffffa0f,0x3ffee002,0xff98000f,0xbfffd02f,
    0x03100000,0x00ffff00,0x003ffff2,0x26dfff00,0x7cc05fff,0xff11ffff,
    0x3f2005ff,0x7ffdc3ff,0x3e600006,0x40001fff,0x2ffccffe,0x7fee7ff4,
    0x7fffcc04,0x07fffe42,0x6c000000,0x00003fff,0x3e33fff6,0x36003fff,
    0x4bff64ff,0x3ff64ffe,0x1fffe804,0x201fffcc,0xfd80fffa,0x1fff706f,
    0x5413ffe6,0x74006fff,0x2e21efff,0x8001ffff,0x0001fffb,0x07ffffa2,
    0x7fffdc00,0x7ffcc00d,0x7ffffcc2,0x7fff4005,0x3e21001e,0xfffd84ff,
    0x200001ff,0x2001fffc,0x2202fffe,0x00fffffe,0x57ffea00,0x500ffff8,
    0x43ffffff,0x401efffa,0xfd06fffc,0x100009ff,0x0005fffd,0xfffbffb0,
    0xffddff70,0x7fff4407,0x0dfffd04,0xf9000000,0x200005ff,0xf70ffffa,
    0x36001fff,0x4fff15ff,0x3ff67ffc,0x4fffb803,0x2007ffe4,0xc980fffb,
    0x1fff702c,0xd813ffe6,0x2e003fff,0xfeffffff,0x000fffff,0x001fffb8,
    0x1dffff30,0xfff98000,0x7ffc00ef,0xfdffd10f,0x0c981bff,0x67ffffd4,
    0x93f2661a,0xf911efff,0x03ffffdf,0x7fd40071,0x3f2006ff,0x7e4c2fff,
    0x20ffffff,0x2e201ace,0x3f61ffff,0x3f221eff,0x41fffeff,0x21bffffe,
    0x1ffffda8,0x5fffff50,0x6c254c01,0x9999dfff,0x99999999,0xfffffc80,
    0xfffff885,0x3fff602f,0x3fffe606,0x40000004,0x0002fffc,0x42ffff88,
    0x9005fffe,0x97feadff,0xffd2fff9,0xffff3007,0xb806fff8,0x2e0007ff,
    0xfff30fff,0x3fffcc09,0xffffe880,0xffffffff,0xcc98005f,0xffb8000c,
    0x200005ff,0x01ffffe8,0x3fbffff2,0xffffb6ff,0x901fffff,0xffffffff,
    0x649fffff,0xfffeffff,0xfffffb8e,0x000fffee,0x01fffff7,0x3ffffe20,
    0xdfffffef,0x3fe0fffb,0xfeefffff,0x4c4fffff,0xffffffff,0xfff9cfff,
    0x7ffffcc1,0xfffffeff,0x7ffe403f,0xfeeeffff,0x7fd47fff,0xffffffff,
    0x2fffffff,0x2fffffa8,0x1fffffb0,0x07fffee0,0x05ffff70,0x7e400000,
    0xd80002ff,0xff986fff,0xffc802ff,0xfe85ffb6,0x005ffd5f,0x7d47fffa,
    0xffb803ff,0x3fea0007,0x09fff31f,0x803fffe8,0xfffefffd,0xfffeefff,
    0x40000003,0x004ffffc,0xfffd8800,0x3fff603f,0xfd10ffff,0x1fffffff,
    0x3ffffa60,0x4fffffff,0x3fffffe2,0x3fff60ef,0x00ffffff,0x0fffff50,
    0xfffffa80,0xf53fffff,0x7fffc1ff,0xffffffff,0xfff703ff,0x27ffffff,
    0xd881fff9,0xffffffff,0xd5001eff,0xffffffff,0xfa8fffff,0xffffffff,
    0xffffffff,0x7ffff982,0x1ffffee0,0x01ffffcc,0x01ffffd8,0xff900000,
    0xfa80005f,0xff901fff,0xffb801ff,0xff70fff7,0x005ffd1f,0x7e53ffee,
    0xffc800ff,0x3fea0007,0x09fff31f,0x406fffa8,0x2e66fffb,0xffff31ac,
    0x10000003,0x005ffffb,0xfffc8000,0x3fff204f,0x7f6441df,0x400cffff,
    0xfffffedb,0x7f440bdf,0xeb80cfff,0x04ffffff,0x017ffec0,0x7fffec40,
    0x3fea1def,0x3fffb20f,0xbeffffff,0x7fff4c00,0x3fe61dff,0x3ff6a01f,
    0x003dffff,0xffffec88,0x43deffff,0xfffffffa,0xffffffff,0xfff882ff,
    0x3ffe205f,0xffff886f,0x3ffe2006,0x000000ef,0x002fffc8,0x13fffe20,
    0x04ffff88,0x7fd7ffd4,0xfafff885,0xff3001ff,0x01bffedf,0x0003ffe4,
    0x3e63fff5,0xffe804ff,0xffff303f,0x3ffee003,0x2666660e,0x99999999,
    0x6c099999,0x00001fff,0x09fff700,0x51001510,0x4cc00033,0x03310009,
    0x0026aa20,0x0001aa80,0x00009a98,0x4d554cc4,0x9a988000,0x26200000,
    0x4400000a,0x00099aa9,0x00000000,0x00000000,0x32000000,0x20002fff,
    0x400ffffc,0x201ffffb,0x2ffdfffa,0xfffbffd0,0x7fff4003,0xb003fffb,
    0x54000fff,0xfff32fff,0xdfff5009,0x00ffffa0,0x7c9fffd0,0xffffffff,
    0xffffffff,0x0077446f,0x3e600000,0x00000004,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x017ffe40,0x2ffff980,0x0dfffd00,0x7fffffcc,0xfffff700,0x7fdc001f,
    0x000fffff,0x4000fffb,0xff32fff9,0x3ffe009f,0x06fc882f,0x7c3ff980,
    0xffffffff,0xffffffff,0x0000886f,0x00010000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xf9000000,0x3a0005ff,0x26006fff,0xf304ffff,0x440bffff,0x00ffffff,
    0x3ffffe60,0x3ff6006f,0x3fe60006,0x09fff32f,0x81bffee0,0x01500019,
    0xffffffff,0xffffffff,0x00000dff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xff900000,0xff90005f,0xfc8003ff,0xff881fff,0x7ec02fff,0xe8007fff,
    0x003fffff,0x8001bffa,0xff33fff9,0x3fe2009f,0x000002ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x8005fff9,0x004ffff9,
    0x86ffff88,0x00fffff8,0x03ffffdc,0x7ffffdc0,0x1bffa000,0x3fff9800,
    0x4009fff3,0x0006fffc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xa8800000,
    0x54c0000a,0x0000009a,0x15510000,0x00006a60,0x00000000,0x2a000000,
    0x00000ccc,0x00000262,0x00000000,0x00035510,0x20004cc4,0x300b803a,
    0x000c8805,0x00001310,0xa800bdd5,0xaaaaaaaa,0xaaaaaaaa,0x9300002a,
    0x99999999,0x99999999,0x00000039,0x001aba88,0x70000000,0x3766019d,
    0xeca88002,0x902deffe,0xfec88fff,0xfb81ffff,0x7fff5c7f,0xffa80eff,
    0xff98007f,0xf73ffc6f,0x7ec45fff,0x7fdc0eff,0x6fffffff,0xdfd97000,
    0x3ffe017b,0xffffb006,0xfffb8003,0x7edc0001,0x002defff,0x04a8005b,
    0x001bfe20,0xffffffb3,0x3f220017,0x3e2006ff,0x9ff502ef,0x403ff621,
    0x26005ffc,0x1dfffffd,0xffff8800,0x3fffe003,0xffffffff,0x36ffffff,
    0xfd87ffff,0x3ffea7ff,0xffffffff,0x2fffffff,0x7ffcc000,0xfffc81ff,
    0x99801dff,0x3fffee01,0x3fee000e,0xffff885f,0x7ffdc001,0x0effffff,
    0xff33ffe4,0x7fffffff,0xfb17ffb8,0xffffffff,0x05fffd05,0x43fffc80,
    0xffff57ff,0x3fffa1ff,0x7ffdc6ff,0x06ffffff,0x7ffff4c0,0xff82ffff,
    0xfffd806f,0xffb8001f,0xfd30001f,0xffffffff,0x17fec01b,0x004ffa80,
    0x6400dff1,0xffffffff,0x3f2200ef,0x2006ffff,0xf882fffc,0x3ffe26ff,
    0x05fff906,0xffffff70,0xc8009fff,0x000fffff,0xffffffff,0xffffffff,
    0x3ffe6dff,0x3fffec2f,0xfffffff5,0xffffffff,0x40005fff,0x80dffff9,
    0xfffffffd,0x3ffea02f,0x3fffa601,0xfffb000e,0xffff981f,0x7ffdc003,
    0x5ffffede,0xffabffe4,0xffffefff,0x23ffee1f,0xffeffffe,0xffc87fff,
    0x7ffc005f,0x7c7ffc0f,0xbafffeff,0x1fffeeff,0x3fffffee,0x26006fff,
    0xffffffff,0x7ffc1fff,0x7fffec06,0xfff70001,0xfff70003,0x3f6a2159,
    0xfffb81ff,0x7ffd402f,0x0bff000f,0x3ffffe20,0x85ffffff,0xffffffc8,
    0xfff3006f,0x07fff60b,0x3a07fff5,0x3f200fff,0xffedefff,0xff1004ff,
    0x200bffdf,0xeeeeeeee,0xeeeeeeee,0xffff14ee,0x27fffc85,0xccccccc9,
    0xdccccccc,0x30002fff,0x2e07ffff,0xffffffff,0xfff702ff,0xfffd8801,
    0xfffc800e,0x2ffff886,0x440dd400,0x3f20fffd,0x1dfffaff,0xb97fffa2,
    0x2fffefff,0x21ffffd4,0x000ffff8,0xff0bfff5,0x3f61df9f,0xff14ffbf,
    0x4cccc47f,0x006fff99,0x442ffffa,0x7fc6fffc,0x3fff606f,0x3ee0001f,
    0x7cc001ff,0x7fd401ef,0xffffd80f,0x3ffff502,0x0bff0288,0x9877e60e,
    0xfe87fffc,0x6fffffff,0x01fffd00,0x3607fff7,0xff981fff,0xbfff304f,
    0x1fffe981,0xf9bffd80,0x000002ff,0x2ffff880,0x0037ffe4,0x02fffa80,
    0x2ffff980,0x4cffffa0,0xd83ffffd,0x3ee007ff,0x6c400eff,0x9ff501ef,
    0xff300000,0x7fffe45f,0xfff103ff,0x3fffee1f,0xfff500ef,0x07fffb0d,
    0x20bfff60,0x2e1fffff,0x7f46ffff,0xdfff004f,0x0bffee00,0xff17ffdc,
    0x3fff60df,0x7dc0001f,0x3a2001ff,0xbffff36f,0x417fe217,0x542ffffd,
    0xfc81ffff,0x2627f40d,0x3e0182fe,0x7fdc1fff,0x00dfff3f,0xf105fff9,
    0x7fc40bff,0x3fff906f,0x440dffb0,0x7cc04fff,0x01bff26f,0x7fc00000,
    0x7ffdc1ff,0xff500006,0xff98005f,0x3fe600ef,0xffffc83f,0x4fffd89d,
    0x77ff4c00,0x00000000,0x47fff000,0x02fffffc,0xfb8fffe4,0x7400efff,
    0xfffa87ff,0x7fff8806,0xb89ffff0,0x7ec1ffff,0xdfff005f,0x81bff600,
    0x3fe4fff8,0xffffd86f,0xffb80001,0x3ff2001f,0xfffdff31,0xd817fdcd,
    0xff52ffff,0xfff103ff,0xf927f45f,0xfd800dff,0x7c3e81ff,0x7fcc06ff,
    0x1fffd05f,0x84fff980,0xff86ffe8,0x37fec03f,0xf88bffa0,0x000004ff,
    0x41ffff80,0x0005fffb,0x005fff50,0xa8019988,0xff901fff,0xffffffff,
    0x33310001,0x00000001,0x76e65440,0x3f23fffe,0xfb802fff,0xffff72ff,
    0x1fffb001,0x803ffff0,0xff04fffb,0xfffa81ff,0x005ffd85,0x3a00dfff,
    0x7ff404ff,0xfb1bffe5,0x00003fff,0x8007ffee,0xa9fe64ff,0x817fa1ff,
    0xffcffffd,0x3faa01ff,0x9bfd8dff,0x001efffe,0x003fffe2,0x3a037ffc,
    0xffb80fff,0xfff9002f,0x49fff503,0x6402fff8,0x3fea07ff,0x00fffb86,
    0x7fc00000,0x7ffd40ff,0xff500005,0x8000005f,0x2e00fffb,0xffffffff,
    0x00000003,0x7e400000,0xffffffff,0x13fff23f,0xb9fffd40,0xf9002fff,
    0xfff903ff,0x0fffe809,0xf509fff0,0xbffb03ff,0x01bffe00,0xb00fffe2,
    0x37ffcdff,0x001ffffb,0x0fffdc00,0x261ff980,0xf90ffc7f,0xffffc80f,
    0xd5001fff,0xffdfdfff,0xf90003bf,0x7fc00bff,0x3ffee06f,0x04fff983,
    0xd837ff40,0xfff31fff,0x07ffc803,0x3a03fff1,0x3bba05ff,0xeeeeeeee,
    0x4eeeeeee,0xf503fffa,0x200009ff,0x0002fffa,0x00ccc400,0x7fffff4c,
    0x00000002,0x7ec00000,0xfcccdfff,0x3fff23ff,0x35551001,0x400bffee,
    0xf981fffc,0x3fe606ff,0x0fffe05f,0x3603ffea,0xfff005ff,0x0fffe00d,
    0x7fcbffd0,0x1dfff96f,0x66664400,0xfffecccc,0xcccccccd,0x7cc1ff53,
    0xfa8df917,0x7ffe400f,0xea8001ff,0x01dfffff,0x1ffff900,0x037ffc00,
    0xf505fff9,0xfd8007ff,0xfffc80ff,0x805fff12,0xff905fff,0x17ffd40b,
    0xfffffff8,0xffffffff,0x3ffa6fff,0x04fff987,0x5fff5000,0x00000000,
    0x0002aa20,0x00000000,0x13ffe600,0xff91fffc,0xfb80003f,0xff9002ff,
    0x3fffa03f,0x05fff901,0x7d41fffc,0x5ffd80ff,0x00dfff00,0xff017ffa,
    0x677ffc9f,0x4000efff,0xfffffff8,0xffffffff,0xf96fffff,0xfffff98f,
    0x017fc40d,0x0bffffee,0x7fffd400,0xfd88000e,0x7c002fff,0x7ff406ff,
    0x1fffc80e,0x05fff700,0xff8bfff3,0x3ffe606f,0x01fff884,0xff837fec,
    0xffffffff,0xffffffff,0x261fff66,0x00003fff,0x00013331,0x00000000,
    0x00000000,0x3fee0000,0x47fff00f,0x0001fffc,0x8017ffdc,0xf501fffc,
    0x3ffa09ff,0x41fffc07,0xfd80fffa,0xdfff005f,0x03fff600,0xff17ffd4,
    0x0bfffddf,0xfffff100,0xffffffff,0xdfffffff,0xbff31fee,0x3ff307ff,
    0x7ffffd40,0x3aa002ff,0xcfffffff,0xfffd3001,0xfff0005f,0x4fffa80d,
    0x806ffe88,0xfd05fff9,0xfffc81ff,0x0fffe884,0x8804ffd8,0xaaa84fff,
    0xaaaaaaaa,0x2aaaaaaa,0x4cc06662,0x00000009,0x00000000,0x00000000,
    0x5c000000,0x7f441fff,0x3fff23ff,0x7fdc0001,0xfff9002f,0x43fffc03,
    0x7c04fff9,0xfffa83ff,0x005ffd80,0x2a00dfff,0x7cc1dfff,0x77ffc6ff,
    0x005fffe8,0x66666644,0xcdfffecc,0x33cccccc,0x9bfcc1ff,0x03fdc1ff,
    0xffbffff5,0xfea805ff,0xfdcfdcff,0x3ea01dff,0x0000efff,0xfb00dfff,
    0xfff303ff,0x0fffe809,0x882fffb8,0xdcdefffe,0xf982ffff,0xff9000ff,
    0x0000001f,0x00000000,0x00000000,0x00000000,0x00000000,0x957dfff5,
    0x647fffff,0x40001fff,0x9002fffb,0x7e403fff,0x7ffe42ff,0x41fffc01,
    0xfd80fffa,0xdfff005f,0x7ffff400,0x1ffffdce,0xff9b7ffc,0x400004ff,
    0x1001fffb,0xb3fcc5ff,0x506fc8bf,0x3f23ffff,0xfe882fff,0x27fb1eff,
    0xc85ffffb,0x0004ffff,0x44037ffc,0xff906fff,0x3fff205f,0x05fff882,
    0x3fffffa6,0xfd03ffff,0x7fc4009f,0xeee9805f,0xeeeeeeee,0x11111110,
    0x11111111,0x11111111,0x00000011,0x00000000,0x00000000,0x7ff40000,
    0xfddfffff,0x07fff23f,0x5fff7000,0x07fff200,0x7c5fff98,0xfff806ff,
    0x80fffa83,0xff005ffd,0x7f4c00df,0xffffffff,0x266fff82,0x0003ffff,
    0x007ffee0,0x9fe66fe8,0x9ff31ff9,0x83ffff50,0xe82ffffd,0x127f43ff,
    0x7f449ffb,0x9999bfff,0xff800999,0xfff5006f,0x03fffa07,0x3a09fff3,
    0xfc800fff,0x00dfffff,0x80015551,0x5400aaa9,0xffffffff,0xffff0fff,
    0xffffffff,0xffffffff,0x000bffff,0x00000000,0x00000000,0x40000000,
    0x3fffffe9,0x7fe47ff7,0x7dc0001f,0xff9002ff,0xfffe803f,0x007fff50,
    0xff507fff,0x0bffb01f,0x001bffe0,0x3ffffff2,0x8dfff00d,0x003ffffa,
    0x03fff700,0xf99ffcc0,0xffeaff47,0x0ffffd40,0x42ffffd8,0x84ff80ea,
    0x3fff20ea,0xffffffff,0x3ffe22ff,0xffffffff,0xfffb01ff,0x4bfff303,
    0xb80efff8,0x44003fff,0x000001aa,0xfffa8000,0xffffffff,0xfffffff0,
    0xffffffff,0xffffffff,0x000000bf,0x00000000,0x00000000,0x55300000,
    0x32099881,0x40001fff,0x9002fffb,0xfb803fff,0x1fffb3ff,0x507fff00,
    0xffb01fff,0x1bffe00b,0x01aa9800,0xfb86fff8,0x80002fff,0x4001fffb,
    0x42a8bffc,0x42ffdba9,0x401ffffa,0x001ffffd,0x3f200bff,0xffffffff,
    0x3e22ffff,0xffffffff,0xf101ffff,0x3fee07ff,0x03ffd30d,0x0001bff6,
    0x00000000,0xfff80000,0xffffffff,0xffffffff,0x005fffff,0x00000000,
    0x00000000,0x00000000,0xfff90000,0xffb80003,0xfff9002f,0xefff8803,
    0xf004fff8,0xfff507ff,0x00bffb01,0x0001bffe,0x06fff800,0x005ffff9,
    0x01fffb80,0x00dffe80,0xd109ffd3,0x3f6003ff,0x17fe004f,0x7ffffe40,
    0xffffffff,0x3ffffe22,0xffffffff,0x90032e01,0xb300ea03,0x00000003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xf9000000,
    0xb80003ff,0xf9002fff,0xffb003ff,0x003fff9f,0x3ea0fffe,0x5ffd80ff,
    0x00dfff00,0x7ffc0000,0x3ffff606,0x3fee0001,0xff90001f,0xfffb9bdf,
    0x00f4407f,0xf8801360,0x3331006f,0x33333333,0x99998133,0x99999999,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xeeeee800,0xeeeeeeee,0x03fff94e,0x2fffb800,0x03fff900,
    0xffffff30,0x1fffc00d,0x6c07ffd4,0x266665ff,0x9efff999,0x3a099999,
    0xeeeeeeee,0x3e4eeeee,0x3fa206ff,0x70001fff,0x40003fff,0xffffffea,
    0x000000df,0x07991000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfffff000,0xffffffff,
    0x07fff2bf,0x5fff7000,0x07fff200,0x7fffff40,0x0fffe003,0x3603ffea,
    0xffff35ff,0xffffffff,0x7c7fffff,0xffffffff,0x3e5fffff,0x7fc406ff,
    0xb8000eff,0x80001fff,0x00abdca8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ffc0000,0xffffffff,0xfff95fff,0xffb80003,0xfff9002f,0x3ffee003,
    0x3fe000ff,0x0fffa83f,0xff35ffd8,0xffffffff,0x7fffffff,0x7ffffffc,
    0x5fffffff,0x2601bffe,0x000effff,0x00066654,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x33333330,0x13333333,0x0007fff2,0x005fff70,
    0x4007fff2,0x005ffff8,0x7d41fffc,0x5ffd80ff,0xfffffff3,0xffffffff,
    0x4cccc7ff,0x99999999,0x1bffe099,0x77fffd40,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_45_latin_ext_x[560]={ 0,9,5,0,2,0,1,9,6,5,3,1,5,5,
8,2,1,2,3,3,0,3,2,2,2,2,9,5,3,2,4,6,0,0,3,2,2,4,4,1,2,3,3,3,
5,1,2,1,3,1,3,2,1,2,0,0,0,0,2,7,3,6,2,0,0,2,3,3,2,2,0,2,3,3,
2,3,3,1,3,2,3,2,4,3,1,3,1,0,1,1,3,3,10,5,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,9,2,2,1,1,
10,3,0,0,4,3,2,5,2,0,4,2,5,6,0,3,2,8,9,4,4,3,0,0,0,4,0,0,0,0,
0,0,-1,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,1,0,0,0,0,0,3,3,0,0,
0,0,0,0,0,3,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,1,2,0,0,0,0,0,3,0,
0,0,0,0,0,2,1,0,1,0,1,0,1,1,-1,-1,0,2,0,0,0,0,0,0,4,2,0,0,1,0,
1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,3,3,0,3,2,2,0,0,3,3,3,0,0,5,
3,-6,-4,4,2,0,3,0,0,2,3,0,0,0,2,3,0,0,0,0,0,0,0,0,-1,0,3,4,-1,0,
0,0,0,0,2,3,0,0,1,1,0,-4,1,1,0,0,0,0,0,0,0,0,0,0,2,3,0,0,0,0,
0,0,0,0,0,0,0,6,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,-3,-2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,2,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__consolas_45_latin_ext_y[560]={ 33,1,1,4,0,1,2,1,0,0,1,10,25,19,
26,1,3,4,3,3,4,4,4,4,3,3,10,10,8,15,8,1,1,4,4,3,4,4,4,3,4,4,4,4,
4,4,4,3,4,3,4,3,4,4,4,4,4,4,4,1,1,1,4,38,1,10,1,10,1,10,1,10,1,1,
1,1,1,10,10,10,10,10,10,10,3,10,10,10,10,10,10,1,-3,1,16,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,33,10,0,3,5,4,
-3,1,2,3,3,12,19,19,1,3,1,6,1,1,1,10,1,16,33,1,3,12,1,1,1,10,-4,-4,-4,-4,
-4,-6,4,3,-4,-4,-4,-4,-4,-4,-4,-4,4,-4,-4,-4,-4,-4,-4,11,-1,-4,-4,-4,-4,-4,4,1,1,1,
1,1,2,0,10,10,1,1,1,2,1,1,1,2,1,1,1,1,1,1,2,9,6,1,1,1,2,1,1,2,
-3,3,-4,1,4,10,-4,1,-4,1,-4,1,-4,1,-4,0,4,1,-3,3,-4,1,-4,1,4,10,-4,1,-4,1,
-4,1,-4,1,3,0,-4,-5,4,1,-4,1,-3,3,-4,1,4,1,-4,10,4,1,-4,1,4,1,10,-4,-5,4,
1,0,0,4,1,4,1,-4,1,4,10,-4,1,-2,4,10,-3,3,-4,1,-4,1,3,10,-4,1,4,10,-4,1,
-4,1,-4,1,3,10,-4,1,4,3,-4,0,4,3,-4,1,-3,3,-4,1,-6,0,-4,1,4,10,-4,1,-4,1,
-4,-4,1,-4,1,-4,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-10,-6,-4,1,-4,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,3,10,4,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static unsigned short stb__consolas_45_latin_ext_w[560]={ 0,7,15,24,21,25,24,6,14,14,19,22,11,14,
8,20,22,20,20,19,24,19,21,20,21,20,7,12,18,20,18,15,25,25,20,20,22,17,17,22,21,18,17,21,
17,23,21,23,20,24,21,20,22,21,25,24,25,25,21,12,20,12,21,25,15,20,20,18,20,21,24,21,19,19,
18,21,19,22,19,21,20,20,19,18,21,19,23,24,23,23,19,17,5,17,23,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,7,18,21,22,23,
5,19,20,25,16,19,20,14,21,19,17,21,15,13,21,21,20,9,6,16,16,19,25,25,25,15,25,25,25,25,
25,25,25,20,21,21,21,21,21,21,21,21,24,23,24,24,24,24,24,19,23,23,23,23,23,25,20,20,22,22,
22,22,22,22,24,18,23,23,23,23,22,22,22,22,21,22,23,23,23,23,23,22,21,22,22,22,22,24,20,24,
25,22,25,22,25,21,21,22,21,21,21,21,21,20,25,28,24,23,21,23,21,23,21,23,18,21,21,23,22,23,
22,23,22,23,22,23,23,22,25,22,21,22,21,22,21,22,20,20,21,19,21,21,20,20,21,21,21,22,22,17,
19,28,29,21,26,22,19,23,22,21,19,23,22,22,21,19,24,23,24,23,25,25,25,24,25,23,21,19,25,23,
22,21,22,21,20,18,22,21,22,21,23,28,22,21,23,22,23,22,23,22,23,22,25,25,21,20,24,24,25,24,
25,23,22,23,22,23,22,17,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,23,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,25,22,25,24,27,25,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,20,18,22,21,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22, };
static unsigned short stb__consolas_45_latin_ext_h[560]={ 0,33,12,29,39,33,32,12,43,43,20,22,16,4,
8,37,31,29,30,31,29,30,30,29,31,30,24,31,26,12,26,33,42,29,29,31,29,29,29,31,29,29,30,29,
29,29,29,31,29,38,29,31,29,30,29,29,29,29,29,42,37,42,15,5,10,24,33,24,33,24,32,33,32,32,
42,32,32,23,23,24,33,33,23,24,31,24,23,23,23,33,23,42,46,42,10,29,29,29,29,29,29,29,29,29,
29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,0,33,39,30,27,29,
46,38,9,31,23,18,11,4,21,8,16,27,19,19,10,33,38,9,7,19,23,18,32,32,32,33,37,37,37,37,
37,39,29,37,37,37,37,37,37,37,37,37,29,37,38,38,38,38,38,20,39,38,38,38,38,37,29,33,33,33,
33,33,32,34,24,30,33,33,33,32,32,32,32,31,33,32,33,33,33,33,32,24,32,33,33,33,32,42,42,41,
36,31,37,33,38,32,38,33,38,33,38,33,38,33,37,34,29,33,36,31,37,33,37,33,38,32,37,33,38,42,
38,42,38,42,40,43,37,38,29,32,37,32,36,30,37,32,38,41,37,23,30,42,38,42,39,42,23,37,38,39,
42,33,33,29,32,29,32,37,32,39,33,37,32,35,39,33,37,31,38,33,38,33,31,24,37,32,39,33,37,32,
38,33,38,33,37,30,38,33,39,40,37,34,29,31,38,33,37,31,38,33,40,34,38,33,38,32,37,32,37,42,
37,37,32,37,32,37,32,32,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,38,29,29,29,
29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,
29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,
29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,
29,29,29,29,29,29,29,29,29,29,43,40,37,33,42,37,29,29,29,29,29,29,29,29,29,29,29,29,29,29,
29,29,29,29,29,29,29,29,29,29,40,33,39,40,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,
29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,
29,29,29,29,29,29, };
static unsigned short stb__consolas_45_latin_ext_s[560]={ 510,499,383,375,114,157,1,505,78,37,229,
164,499,497,499,405,377,400,268,422,443,334,312,314,400,247,497,497,214,362,195,
438,233,185,211,466,232,144,255,74,273,295,229,335,357,104,421,442,468,192,128,
487,162,373,78,53,27,1,489,400,27,259,340,382,466,325,21,258,183,407,166,
341,95,53,290,73,234,82,38,385,477,437,18,346,166,365,58,449,474,317,429,
121,1,272,442,417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,
417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,510,502,203,
188,150,120,7,381,482,1,1,282,399,497,187,362,322,173,249,498,420,282,401,
497,502,265,125,302,101,75,49,400,207,379,423,426,281,308,94,160,116,94,401,
72,211,280,189,143,440,165,118,93,68,122,50,209,222,454,407,1,313,181,50,
296,273,250,227,204,30,370,277,354,90,66,42,142,345,368,322,354,416,277,376,
352,328,304,391,302,462,237,214,191,26,160,139,456,240,27,170,25,337,300,147,
436,385,393,363,363,46,415,122,289,487,1,196,50,148,70,74,94,492,173,475,
141,99,185,431,209,169,309,91,13,233,243,24,150,138,195,218,289,50,127,478,
481,449,105,395,378,25,413,246,434,142,452,27,268,333,1,407,465,115,1,191,
351,211,286,459,1,254,266,136,479,25,97,266,114,217,458,328,233,254,438,181,
1,96,484,469,385,422,260,233,210,358,48,158,24,302,341,71,121,445,454,331,
143,334,118,46,318,1,165,291,218,326,303,375,353,471,257,280,307,257,355,415,
239,417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,75,
417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,
417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,
417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,
417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,
417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,
417,417,417,52,1,1,484,93,48,417,417,417,417,417,417,417,417,417,417,417,
417,417,417,417,417,417,417,417,417,417,417,417,417,70,138,158,24,417,417,417,
417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,
417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,
417,417,417,417,417,417,417,417,417, };
static unsigned short stb__consolas_45_latin_ext_t[560]={ 1,89,470,410,48,277,345,167,1,1,470,
470,205,160,222,167,345,410,378,345,410,378,378,410,345,378,167,128,440,470,440,
243,1,410,410,345,410,410,410,378,410,410,378,410,410,440,410,345,410,89,440,
345,410,378,440,440,440,440,410,1,205,1,470,483,470,440,277,440,277,440,311,
277,311,311,1,311,311,470,470,440,243,277,470,440,378,440,470,440,440,277,440,
1,1,1,470,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,1,1,48,
378,440,410,1,48,470,378,470,470,470,160,470,483,470,440,470,243,470,243,48,
192,35,470,470,470,345,345,345,243,167,167,128,167,167,48,410,167,167,167,128,
167,128,128,128,128,378,128,128,128,128,89,89,470,48,89,89,128,89,167,410,
277,277,277,277,277,311,205,440,378,277,277,277,311,311,311,311,345,243,311,243,
243,243,243,311,440,311,243,243,243,345,1,1,1,205,378,205,243,89,311,89,
205,89,205,89,277,128,205,205,205,378,243,205,378,205,243,205,243,48,345,167,
243,89,1,89,1,89,1,48,1,167,89,410,345,167,345,205,378,167,345,89,
1,128,470,378,1,128,1,48,1,470,167,89,48,1,311,277,378,311,410,311,
128,311,48,205,167,311,205,48,205,167,378,89,277,89,277,345,440,128,311,48,
277,205,311,48,277,48,243,128,378,48,243,48,48,128,205,410,378,48,243,167,
378,48,243,48,205,89,243,89,345,128,345,128,1,128,167,345,167,345,167,311,
345,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,89,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,1,48,205,277,1,205,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,48,277,48,48,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378, };
static unsigned short stb__consolas_45_latin_ext_a[560]={ 396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_45_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_45_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_45_latin_ext(stb_fontchar font[STB_FONT_consolas_45_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_45_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_45_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_45_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_45_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_45_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_45_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_45_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_45_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_45_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_45_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_45_latin_ext_s[i] + stb__consolas_45_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_45_latin_ext_t[i] + stb__consolas_45_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_45_latin_ext_x[i];
            font[i].y0 = stb__consolas_45_latin_ext_y[i];
            font[i].x1 = stb__consolas_45_latin_ext_x[i] + stb__consolas_45_latin_ext_w[i];
            font[i].y1 = stb__consolas_45_latin_ext_y[i] + stb__consolas_45_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_45_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_45_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_45_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_45_latin_ext_s[i] + stb__consolas_45_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_45_latin_ext_t[i] + stb__consolas_45_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_45_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_45_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_45_latin_ext_x[i] + stb__consolas_45_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_45_latin_ext_y[i] + stb__consolas_45_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_45_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_45_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_45_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_45_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_45_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_45_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_45_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_45_latin_ext_LINE_SPACING
#endif

