// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_47_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_47_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_47_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_47_latin_ext_BITMAP_HEIGHT        539
#define STB_FONT_consolas_47_latin_ext_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_consolas_47_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_47_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_47_latin_ext_LINE_SPACING          31

static unsigned int stb__consolas_47_latin_ext_pixels[]={
    0x33327999,0xdd900003,0x000005dd,0x00988000,0x00000000,0x99800000,
    0x33333310,0x00033333,0x9800e664,0x99999999,0x15530019,0x00035530,
    0x055e5440,0x5dcc0000,0x01100000,0x80000110,0x79501cca,0x0e5c4001,
    0x0002aaaa,0x2aaa0000,0x20000002,0x01aaaaa8,0x01555400,0x2aaa8000,
    0xaaaaa880,0x801aaaaa,0x0001aaa8,0x42aaaa60,0xff1aaaa9,0x017ffebf,
    0x3bfff600,0x000e9801,0x361e8800,0x002defff,0x7fdc0000,0x00001eff,
    0x53fffb6e,0xfffffffa,0x30007fff,0xf1001fff,0xffffffff,0xff9003ff,
    0x007ffd09,0xfffff900,0x00007dff,0x007fffea,0x409ffb00,0x00003ffd,
    0xd83ffff7,0x9800ffff,0x3fa4ffff,0x000000ff,0x1ffffe40,0xfd800000,
    0x40004fff,0x003ffffc,0x7fffe400,0x7fffcc03,0x04ffffff,0x004fffa8,
    0x3fffee00,0x27ffff91,0xbfff5fff,0x7ff44000,0xff9800df,0x2200000e,
    0xfffb1ffe,0x0001bfff,0xffff7000,0x2600001b,0x4ffffffe,0xfffffff5,
    0x2000ffff,0xf1006ffc,0xffffffff,0xff5003ff,0x3ffee25f,0x3fa60001,
    0xffffffff,0xff80005f,0x20005fff,0xb82ffffa,0x0001ffff,0x37ffffc4,
    0x09fffff5,0x1fffffd0,0x0003fffa,0xfffc8000,0x00003fff,0x17fffec0,
    0x3fff2000,0x00003fff,0x7ffffff9,0x7ffffcc0,0x804fffff,0x0004fffa,
    0x47fffee0,0xff3ffffc,0x017ffebf,0x17fff440,0x0bfffb00,0x7fff4000,
    0xffffffb4,0x800000df,0x003ffffb,0x3fffe200,0xff54ffff,0xffffffff,
    0x3ffe000f,0xffff1004,0x3fffffff,0xffffd100,0x000bffff,0x5effffdc,
    0x5fffec99,0x3ffe2000,0x2e0007ff,0xfc83ffff,0x40002fff,0x27fffff9,
    0x06fffffb,0x2ffffff8,0x0001fffd,0x3fff2000,0x003fffed,0xdfffb000,
    0xffc80001,0x03fffedf,0x6fffe400,0xd303fffe,0xffdddddd,0xfff5009f,
    0x7dc00009,0xfff71fff,0x7d7ffe5f,0x970005ff,0xe8800199,0x80005fff,
    0x9885fffd,0x004ffffc,0xdfff7000,0x001fff43,0x9bffffd8,0x3fffc000,
    0x17ffd400,0x05fff880,0xffff3000,0x0001ffff,0x803bffea,0x0005fffa,
    0x017ffffa,0x1ffff980,0x00ffffa8,0x7fffc400,0x3fffea5f,0xfffe805f,
    0x1fffd1ff,0xf9000000,0x7ffec7ff,0x7ec00003,0xc80004ff,0x3ff63fff,
    0xff90003f,0x1fffec7f,0x13ffee00,0x013ffea0,0xffffb800,0x25ffff70,
    0xbfff5fff,0x00066000,0x09ffff10,0x37ffec00,0x07fffd40,0x3ba60000,
    0x07ffc44e,0x7fffcc00,0x3ffe0000,0x7ffd8007,0x17ffe200,0xfec88000,
    0x260004ef,0xf9005fff,0x260003ff,0x0000ffff,0xd7017754,0x2e00003b,
    0x7f41ffff,0xfa801fff,0x3ffa5fff,0x4000000f,0xfc82fffc,0xb00003ff,
    0x00005fff,0xf905fff9,0xfc8007ff,0xfffc82ff,0x3ffee003,0x4fffa804,
    0x3fee0000,0xffff50ff,0x7fd7ffe3,0x3f62005f,0x0000cfff,0x005ffff3,
    0x01dfff70,0x007fff60,0xff700000,0x3fee000d,0x7fc0003f,0x7fc4007f,
    0x3fe2005f,0x0000005f,0x3ffa2000,0x27fec005,0x01551000,0x00000000,
    0x01773000,0x40039b71,0x7ff43dd9,0x4000000f,0x26600999,0x98800019,
    0x30000099,0x4ccc0133,0x04ccc001,0x40033330,0xa804fffb,0x00004fff,
    0x543fffea,0xfff1ffff,0x4017ffeb,0xfffffff8,0xff50000e,0x7c4001ff,
    0x2a001fff,0x00003fff,0x027fec00,0x00fffc80,0x03fffc00,0x0004ccc0,
    0x000bfff1,0x64000000,0x4c000fff,0x000007ff,0x00000000,0x00000000,
    0x0fffe800,0x00000000,0x00000000,0x00000000,0xb8000000,0xfa804fff,
    0x200004ff,0xf30ffffa,0x3ffe1fff,0x200bfff5,0xff913ffd,0x7fec0007,
    0x3ff6004f,0x7fcc003f,0x2000004f,0xfff99a98,0xfffb0001,0xffff0000,
    0x44000000,0x00005fff,0xff100000,0x3fe0007f,0x0000002f,0x00000000,
    0x00000000,0x007fff40,0x00000000,0x00000000,0x00000000,0x7dc00000,
    0xffa804ff,0x2a00004f,0xff30ffff,0x57ffe1ff,0xff005fff,0x005ff88d,
    0x07fffe20,0x01bffea0,0x017ffe20,0xffd95000,0x00ffffff,0x0037ff40,
    0x003fffc0,0xfff10000,0x9880000b,0xc80009aa,0x320006ff,0x988005ff,
    0x000009aa,0x00000000,0xd0000000,0x00001fff,0x00000000,0x80000000,
    0x0009aa98,0x40000000,0xa804fffb,0x2a604fff,0xffff5000,0xff3fffc4,
    0x017ffebf,0x3fe63ff4,0x7fe40004,0xfffe806f,0xfff88002,0x3f200005,
    0xffffffff,0xfd0002ff,0xff0000df,0xa98800ff,0xff10009a,0x910000bf,
    0xffffffff,0x8fffffff,0x0002fff8,0x4401ffea,0xfffffffc,0x7fffffff,
    0x007fffe6,0xf1fffea0,0xffffffff,0x83ffffff,0x2004fffa,0x3fa0fffd,
    0xfe8800ff,0x7fcc1fff,0xfa8001ff,0x7ffcc7ff,0xffa8001f,0xff91007f,
    0xffffffff,0x3e0fffff,0xffffffff,0x01ffffff,0x013ffee0,0xc893ffea,
    0x0dfffffe,0x89fffea0,0x3ffe7fff,0x200bfff5,0xfebbeffc,0x7c40001f,
    0x3ee02fff,0xf10005ff,0x10000bff,0xfffffffd,0x07ffffff,0x00dffd00,
    0x00ffff00,0xffffff91,0xffffffff,0x017ffe2f,0xfffff700,0xffffffff,
    0xffb8ffff,0x88404407,0xffb807ff,0xffffffff,0x47ffffff,0x8004fffe,
    0x7fc4fffd,0xffffffff,0x541fffff,0x36004fff,0x3ffa0fff,0x7ff4400f,
    0xfffd01ff,0xfffb0009,0x09fffd09,0x09fffb00,0xffffff70,0xffffffff,
    0x3ffe0fff,0xffffffff,0x2001ffff,0xa804fffb,0xffd14fff,0x1dffffff,
    0x51fffe60,0xafffc555,0x36005fff,0x03ffffff,0xbfff5000,0x00ffffc0,
    0x05fff880,0x7fffcc00,0xffc99cef,0x4003ffff,0x80006ffe,0x7dc07fff,
    0xffffffff,0x7fffffff,0x000bfff1,0x6fffffdc,0xfffffedc,0x7ff47fff,
    0xbfffd704,0x07ffc9fb,0xbfffff70,0xfffffdb9,0xffb8ffff,0x7fc4007f,
    0x7fffc1ff,0xffffffff,0x7fd41fff,0x3ff6004f,0x03fffa0f,0x1ffffe88,
    0x01fffee0,0x03ffff10,0x800ffff7,0x401ffff8,0xcdfffffb,0xffffffed,
    0xffff07ff,0xffffffff,0x5c003fff,0xfa804fff,0xfffe8bff,0xefffffff,
    0x07fff980,0x3febfff0,0x7654005f,0x200001cd,0x980ffff8,0x20006fff,
    0x0005fff8,0x40ffffec,0xfffffffc,0x1bffa000,0x1fffe000,0xdfffffb8,
    0xfffffedc,0xfff17fff,0x3fe6000b,0xfff704ff,0x7c43339f,0x7fec41ff,
    0x23ffffff,0xff301fff,0x3fee09ff,0x44199cff,0x2002ffff,0x9986fffb,
    0x99999999,0x541fffe9,0x36004fff,0x3ffa0fff,0xfffd100f,0xfff8803f,
    0x3fee002f,0xffff106f,0x7ffdc005,0x7fffcc06,0x9ffff704,0x26660333,
    0x99999999,0x2001fffe,0xa804fffb,0xffffdfff,0xfffc989c,0x7fff984f,
    0xff8fffe4,0x00bfff5f,0xb0000000,0xff907fff,0x7c40007f,0x260005ff,
    0xfd02ffff,0x09ffff9f,0x0037ff40,0x983fffc0,0xf704ffff,0x23339fff,
    0x0005fff8,0xa809fffb,0xff506fff,0xddfffd0d,0x7f43ffff,0x9fffb01f,
    0x06fffa80,0x002fffec,0x0007fffd,0x541fffd8,0x36004fff,0x3ffa0fff,
    0xfffe880f,0xfffb001f,0x7fff400b,0x17fff603,0x03fffe80,0x2027ffec,
    0x0006fffa,0x00fffec0,0x009fff70,0xdffffff5,0x3ffff201,0x23fffcc0,
    0x3ffe7ffd,0x800bfff5,0x007fffff,0x37ffd400,0x0007fff4,0x001bffe0,
    0x103fffe8,0xfffb1fff,0x3ffe001f,0xfff80005,0x09fffb07,0x886fffa8,
    0xf0005fff,0xfd001fff,0xbff903ff,0x323fffa8,0x3ffa0fff,0x01ffff02,
    0x403fffd0,0x800ffff9,0x000ffff8,0x20fffec0,0x2004fffa,0x3fa0fffd,
    0x7ff440ff,0x3e6001ff,0xf8800fff,0x3e600fff,0xf8800fff,0x7fc00fff,
    0xffe800ff,0x3600001f,0x2e001fff,0xfa804fff,0xd805ffff,0x7fcc3fff,
    0xf2fffc6f,0x17ffebff,0xfffff980,0x2200001f,0x3e60ffff,0xe80006ff,
    0xf50007ff,0x7fdc0fff,0x07ffff36,0x009fff10,0x20ffff00,0xe800ffff,
    0x7fc41fff,0xff98005f,0xfff9005f,0xf87ffd07,0x3ffe45ff,0x3e60fff6,
    0xff9005ff,0xfffe807f,0x5fffb803,0xfffd8000,0x027ffd41,0x741fffb0,
    0x3fa20fff,0xe8001fff,0xfb803fff,0xffe805ff,0xfffb803f,0x2fffcc05,
    0x03fffc80,0x3fff6000,0x3ffee001,0xffffa804,0xdfff7006,0x266fff88,
    0x3ffe3fff,0x400bfff5,0x4ffffffc,0x7fec0000,0x0fffee2f,0x3fff2000,
    0xfffe8003,0xd93ff604,0xfc805fff,0xf80002ff,0xfff987ff,0x7fff9005,
    0x005fff88,0x004fffa8,0xf889fff7,0x3ffea1ff,0x3637fec1,0xfffa83ff,
    0x9fff7004,0x06fffb80,0x002fffe8,0x41fffd80,0x2004fffa,0x3fa0fffd,
    0xfffd10ff,0x3ee0003f,0xffe806ff,0xfffb802f,0x2fffe806,0x027ffd40,
    0x004fffb8,0x07fff600,0x04fffb80,0x00efffa8,0x88ffff10,0x3fee6fff,
    0x7d7ffe1f,0x3fe005ff,0x006fffff,0x1fffe400,0x0005fff9,0x19ffff10,
    0x0ffffc00,0x261fff88,0x32207fff,0x00006fff,0xff50ffff,0x3fee009f,
    0x2fffc44f,0x37ffd400,0x42fffc80,0x7fe47ff9,0x6c5ffe86,0xfffa82ff,
    0x5fff9006,0x1ffff880,0x01fffe60,0x0fffec00,0x8013ffea,0x3fa0fffd,
    0xfffe88ff,0x3e20001f,0x3e601fff,0xff1007ff,0x7fcc03ff,0xfffa807f,
    0x5fff9006,0x7fec0000,0x3fee001f,0xfffa804f,0x7fffc004,0xc9bffe20,
    0x2fffc6ff,0x9fff3000,0x0003ffff,0xb27ffdc0,0x00005fff,0x3fffffe6,
    0xfff300ee,0x23ffd40f,0xd31ffff9,0x1dfffffd,0x3ffe0000,0x06fffa87,
    0x885fff90,0x98005fff,0xe800ffff,0x7fd41fff,0x7c27ffc6,0x17ff43ff,
    0x007fffcc,0x400ffff4,0x3205fffd,0x00004fff,0xfa83fffb,0x3f6004ff,
    0x3fffa0ff,0x00ffffd9,0x5fffd800,0x013fff20,0x205fffd8,0x9804fffc,
    0xe800ffff,0x00001fff,0x8007fff6,0xa804fffb,0x74004fff,0x3fe20fff,
    0xf0fbb66f,0x64000bff,0xfffc9fff,0x3ea00004,0x3fffa5ff,0x2e200001,
    0x00fffffe,0x640dfff7,0x7ffc44ff,0xfffff31f,0xf800005b,0xfff987ff,
    0xfffe800f,0x02fffc41,0x04fffe80,0x5c3fffdc,0x3ffe25ff,0x217ffc43,
    0xffd01ffe,0xfffb809f,0xffff5007,0x07fffa01,0x7ffec000,0x027ffd41,
    0x741fffb0,0xffffefff,0xff500001,0x3ffa01ff,0x3fea001f,0xfffd00ff,
    0x3fffa003,0x3fffdc04,0x3ff60000,0x3fee001f,0xfffa804f,0x7ffec004,
    0x017ffe21,0x0002fffc,0x3feaffff,0x2600006f,0x3ffe6fff,0x2a00000f,
    0x0ffffffe,0x40bfff70,0xfff82fff,0xfffff32f,0x400005df,0xffd07fff,
    0xfffb809f,0x05fff887,0x9ffff500,0x0bfffee0,0xff997fee,0x0fffd41f,
    0x7d403ffe,0xff704fff,0x7f4005ff,0xfff983ff,0x3f600006,0x7ffd41ff,
    0x3fff6004,0x3ebfffa0,0x00005fff,0x260ffffa,0xe8006fff,0xff983fff,
    0x3fea006f,0xfff704ff,0xd800005f,0x2e001fff,0xfa804fff,0x7ec004ff,
    0x2fffc1ff,0x005fff80,0x7c9fff30,0x00001fff,0x7fcffff3,0x3200007f,
    0x2accffff,0x417fff20,0xfe80fff9,0xd97512ff,0x0007ffff,0x541fffe0,
    0xf704ffff,0xff105fff,0x7ec000bf,0xfdcdffff,0xf904ffff,0x07ffd49f,
    0xff03ffee,0x7ffec01f,0xfffdcdff,0x7dc004ff,0xfffc86ff,0x3f600003,
    0x7ffd41ff,0x3fff6004,0x263fffa0,0x0005ffff,0x90dfff70,0x70007fff,
    0xff90dfff,0xffd8007f,0xffdcdfff,0x00004fff,0x001fffd8,0x2013ffee,
    0x4004fffa,0x7fc0fffe,0xbfff005f,0x3fff2000,0x013fff62,0x37ffcc00,
    0x0000ffff,0x0037ffe6,0x704fffc8,0x3ff60bff,0x3ffea03f,0xff80000f,
    0x3fff607f,0xfffdcdff,0xfff104ff,0x3fe6000b,0xffffffff,0x3f204fff,
    0x03ffee4f,0xff98fff9,0x3fffe607,0xffffffff,0xff88004f,0x7fffc1ff,
    0x3f600000,0x7ffd41ff,0x3fff6004,0x543fffa0,0x0004ffff,0x41ffff88,
    0x8000ffff,0x7c1ffff8,0x26000fff,0xffffffff,0x004fffff,0x3fffb000,
    0x27ffdc00,0x027ffd40,0x3e1fffe0,0xfff005ff,0x3ffe000b,0x037ffd47,
    0x5fffa800,0x0003fffe,0x007fff60,0x209fff90,0xffb03ffe,0xfffb807f,
    0xfff80004,0xfffff307,0xffffffff,0x2fffc409,0x77ff4400,0xfffffffc,
    0x1ffec00d,0xfd81fff7,0x82ffdc6f,0xffceffe8,0x00dfffff,0x93fff600,
    0x0005fffa,0x20fffec0,0x2004fffa,0x3fa0fffd,0x3ffee0ff,0xfd80004f,
    0x3ffea4ff,0x3ff60005,0x17ffea4f,0xceffe880,0xdfffffff,0x36000000,
    0x2e001fff,0xfa804fff,0x3e2004ff,0x099986ff,0x00bfff00,0x88bfff30,
    0x0001ffff,0x3a4fffa8,0x80001fff,0xc8006ffe,0xff885fff,0x5fffd00f,
    0x05fff880,0x87fff800,0xffceffe8,0x00dfffff,0x002fffc4,0x530fffd4,
    0x7ec00135,0x03ffee3f,0xffc8bfff,0x43fff502,0x00009aa9,0x6cffff50,
    0x00002fff,0x2a0fffec,0x36004fff,0x3ffa0fff,0x7fffe40f,0x7fd40003,
    0x0bfff67f,0x7fffa800,0x800bfff6,0x2a61fffa,0x0000009a,0x003fffb0,
    0x4027ffdc,0x2004fffa,0x0004fffa,0x000bfff0,0xfb05fff9,0x700007ff,
    0x7fec9fff,0xff80002f,0xffb8005f,0x06ffb86f,0x200bfffa,0x80006fff,
    0xffa87fff,0x026aa61f,0x05fff880,0x007ffc80,0xa93ff200,0x3fee1fff,
    0x03ffe25f,0x0003ffe4,0x3ffff000,0x000ffff1,0x83fffb00,0x2004fffa,
    0x3fa0fffd,0xfffd80ff,0x7fc0002f,0x7fff89ff,0xffff8000,0x007fff89,
    0x0003ffe4,0xffd80000,0x3fee001f,0xfffa804f,0x3fffa004,0xfff00002,
    0xffff000b,0x0dfff701,0x7fff9000,0x001fffe4,0x002fffc0,0x6c37ffdc,
    0x3ffe04ff,0x7ffe801f,0x7fff8000,0x0007ffc8,0x017ffe20,0x007fffa0,
    0x52ffdc00,0x3fe27fff,0x17fee6ff,0x001fffe8,0xfff70000,0x009fff79,
    0x3fffb000,0x004fffa8,0xfe83fff6,0xfffd00ff,0x7dc0005f,0x4fffbcff,
    0xfffb8000,0x004fffbc,0x000ffff4,0x7ec00000,0x3ee001ff,0xffa804ff,
    0xfff7004f,0x002f260b,0xeedafffc,0x17ffe604,0x00ffffc4,0x87fffa00,
    0x0005fffb,0x8005fff8,0xff87fffa,0xffff101f,0x0fffd001,0x0ffff000,
    0x0003fffd,0x017ffe20,0x2fbfffa0,0x7fdc0001,0x75ffffc5,0xfccffeef,
    0x3ffa01ff,0x00001bef,0x77fffc40,0x00001fff,0x541fffd8,0x36004fff,
    0x3ffa0fff,0xfffd100f,0x3e20003f,0x1fffefff,0xfff88000,0x001fffef,
    0x0df7fff4,0xb0000000,0x5c003fff,0xfa804fff,0xffa804ff,0xfffa81ff,
    0x5fff800f,0x7e40bfff,0x3ffa03ff,0x3e20003f,0x7ffcc6ff,0x7fc0000f,
    0xff88005f,0x1ffea0ff,0x006fffa8,0x0000fffd,0xffd0ffff,0x800037df,
    0x8005fff8,0xfffffffb,0xbceeffff,0xc8dff501,0xb8ffffff,0x03ffffff,
    0x7fffffdc,0xceefffff,0x3f60001b,0x006fffff,0x3fffb000,0x004fffa8,
    0xfe83fff6,0x3fe600ff,0xb0001fff,0x0dffffff,0x7ffec000,0xb8006fff,
    0xffffffff,0x1bceefff,0xffd80000,0x5555541f,0xadfffdaa,0xf50aaaaa,
    0x4435bfff,0x04ffffda,0x009fffff,0x3ffebfff,0x03fffe05,0x006fffb8,
    0x213ffee0,0x0002fffe,0x8002fffc,0x3f23fffe,0x3fff605f,0x0fffd004,
    0x0ffff000,0xfffffff7,0x79ddffff,0x17ffe203,0x7fffec00,0xffffffff,
    0x7cc2efff,0x7ffec47f,0xffffd12f,0x3fff6009,0xffffffff,0x002effff,
    0xffffffa8,0xfb000002,0xfffa83ff,0x3fff6004,0x003fffa0,0x01fffff3,
    0xfffff500,0x5400005f,0x02ffffff,0xfffffb00,0xffffffff,0x00005dff,
    0x3e0fffec,0xffffffff,0xffffffff,0xfffff52f,0xffffffff,0x3fe209ff,
    0xff806fff,0x20bfff5f,0x4c06fff9,0x0000ffff,0xf703fffd,0xf8000bff,
    0xf90005ff,0x17ffcfff,0x01ffff88,0x000fffd0,0x360ffff0,0xffffffff,
    0xefffffff,0x02fffc42,0xfffffd00,0xffffffff,0x7fc45fff,0x22057307,
    0xffe8001b,0xffffffff,0x02ffffff,0x6fffff80,0x3f600000,0x7ffd41ff,
    0x3fff6004,0x003fffa0,0x03bfffea,0x3ffffe00,0xff800006,0x40006fff,
    0xfffffffe,0xffffffff,0xfb00002f,0xffff83ff,0xffffffff,0x52ffffff,
    0xffffffff,0x03dfffff,0x04ffffe8,0xfff5fff8,0x0ffff20b,0x00ffffa0,
    0x41fffe20,0x000ffff8,0x0017ffe0,0x4dffffd4,0xff900fff,0x7ff400bf,
    0xfff80007,0x3ffffa07,0xffffffff,0x3e22ffff,0xfb0005ff,0x97555bff,
    0xffffffb9,0x0bffe23f,0xfd800000,0xcbaaadff,0xffffffdc,0x7fe4001f,
    0x000002ff,0xf507fff6,0x7ec009ff,0x3fffa0ff,0xffff7000,0xffc8001d,
    0x800002ff,0x002ffffc,0x2b7fff60,0xffdccbaa,0x001fffff,0x41fffd80,
    0xffffffff,0xffffffff,0xffff52ff,0x9dffffff,0x3ffe6007,0x5fff800e,
    0x3fe0bfff,0xffc801ff,0xffc8006f,0x3fff604f,0x3ffe0004,0x3ffa0005,
    0x705ffcff,0x4001ffff,0x80007ffe,0xffb07fff,0x997555bf,0xfffffffb,
    0x017ffe23,0x013fff60,0x1ffffe44,0x0000bffb,0x13fff600,0x7fffe440,
    0x7ffdc003,0x74000007,0x00000fff,0x0001fffa,0xff700000,0x200000ff,
    0x0007fffb,0x4013fff6,0x03ffffc8,0x0fffe800,0x7d400000,0x033314ff,
    0x000d4400,0x3ffebfff,0x9ffff985,0x99999999,0x000ffffa,0x803fffe6,
    0x000ffffa,0x000bfff0,0x7fffffd4,0xffffa83f,0x3fff4004,0x3fffc000,
    0x8027ffec,0x13ffffc8,0x9800bfff,0xe8006fff,0x3fea5fff,0x4000000f,
    0x8006fff9,0x2005fffe,0x003ffff8,0x3fffc000,0x3ffe0000,0x00000006,
    0x0ffffe20,0x3fe20000,0xf30003ff,0xfd000dff,0xf0000bff,0x00000fff,
    0x009fff50,0xff000000,0x217ffebf,0xfffffffc,0xffffffff,0x3a003fff,
    0xfd802fff,0xf88005ff,0x6c0004ff,0x9affffff,0xfffffec9,0x3ffec000,
    0x3fffc000,0x001bffe6,0x7c57fffa,0x7dc005ff,0xfb8003ff,0x1fffc5ff,
    0x3ee00000,0xfb8003ff,0x3f2005ff,0x00000fff,0x01bffe20,0x5fff8800,
    0x02aaa600,0xfff90000,0x9000001f,0x0001ffff,0x000fffee,0x0017ffee,
    0x00dfff10,0x800aaa98,0x0004fffa,0x8016edc0,0xbfff5fff,0xfffffff0,
    0xffffffff,0x200dffff,0x1006fffa,0x8003ffff,0x0003fff9,0x7ffffec4,
    0xffffffff,0xffc8000d,0x7fc0000f,0x1fffdc7f,0xafffdc00,0x4005fff8,
    0x8003fffd,0x7e43fffc,0x000000ff,0x000ffff6,0x400ffff2,0x002ffffa,
    0x7ffe4000,0x3f200004,0x3f6004ff,0x200000ff,0x002ffffa,0xffffa800,
    0x3ff60002,0xffc8003f,0x7e40003f,0x7ec004ff,0xffa800ff,0x3a00004f,
    0xf804ffff,0x8bfff5ff,0xfffffff9,0xffffffff,0x400fffff,0x001fffe8,
    0x001bffee,0x0005fff7,0x3fffff20,0x04ffffff,0x0fffee00,0x8ffff000,
    0x8003fffd,0xff13fffc,0xffc800bf,0x7fcc005f,0x7ffc41ff,0x9000000f,
    0x9800bfff,0xa801ffff,0x0004ffff,0x3ffe6001,0xf300001f,0x7c003fff,
    0x200005ff,0x004ffffa,0xffffa800,0x7fe40004,0x7fcc005f,0x300081ff,
    0x8003ffff,0xf5005fff,0x200009ff,0x2ffffffb,0xffafffc0,0x6fffe45f,
    0xaaaaaaaa,0xfffeaaaa,0x27ffec03,0x2ffff400,0x1ffff880,0xfff10000,
    0x39dfffff,0xfffa8000,0x3fe0000f,0x2fffe47f,0x3fffe600,0x00bfff11,
    0x0dffffa8,0x7fffdc40,0x3dfff705,0x2007b500,0x00dffffa,0x2ffffdc4,
    0xfffd9882,0x37e0006f,0xfffb880a,0x0391004f,0x09ffff71,0x01fffcc0,
    0xffb31040,0x08000dff,0x3ffff662,0xffa80006,0x5c400dff,0xbf05ffff,
    0xfff71015,0xff98009f,0xfff5003f,0x3f600009,0x404fffff,0xbfff5fff,
    0x001ffff8,0x206fffc8,0x0006fffc,0x809ffff3,0x005ffffb,0x27ffea00,
    0x800001aa,0x002ffffe,0xfa8ffff0,0x4400dfff,0x225ffffb,0xe8005fff,
    0xcdefffff,0xffffedcc,0x7ffdc06f,0xdcbaacef,0x3a003fff,0xcdefffff,
    0xffffedcc,0xffffc86f,0x000fffff,0x3bffffe0,0x6fffffee,0x3bffe200,
    0xffffffee,0x3ffea000,0xfffc8000,0x00ffffff,0x7fffe400,0x000fffff,
    0xfffffd00,0xfdb999bd,0x7c0dffff,0xfeeeffff,0x8006ffff,0x5000fffa,
    0x00009fff,0x3ffffff6,0xfafffc04,0x3ffe65ff,0xfff30006,0xdfff701f,
    0x7fd40001,0x3ffb22ff,0x000fffff,0x013ff200,0x3fe60000,0x33eeffff,
    0xfddddddd,0xfffd0fff,0xb999bdff,0x8dfffffd,0xeeeffff8,0xe880eeee,
    0xffffffff,0xcfffffff,0xffffa800,0xffffffff,0x3fa2002f,0xffffffff,
    0x0cffffff,0xffffffc8,0x7c0000cf,0xffffffff,0x2000dfff,0xfffffff8,
    0x4000efff,0x90006ffc,0x9fffffff,0xff900001,0x019fffff,0x7ff44000,
    0xffffffff,0x00cfffff,0x3ffffffe,0x00dfffff,0x006ffc80,0x0013ffea,
    0x7ffffdc0,0xafffc02f,0x3ff25fff,0x3fe0004f,0x7ffd43ff,0xfa80000f,
    0xfffb1fff,0x0003dfff,0x002fff80,0xfff50000,0x3ea9ffff,0xffffffff,
    0xfffe887f,0xffffffff,0x440cffff,0xffffffff,0x36a01fff,0xffffffff,
    0x4000cfff,0xfffffec9,0x0000beff,0xffffffb5,0x019fffff,0x77ffffe4,
    0xfd900001,0xdfffffff,0xfff10005,0x07ffffff,0x013ffa00,0x7ffffe40,
    0x3200001e,0x01efffff,0x3f6a0000,0xffffffff,0xec800cff,0xffffffff,
    0x3fa0002e,0x3fea004f,0x3a00004f,0xf805ffff,0x4bfff5ff,0x0001ffff,
    0xfb17fff2,0x400003ff,0xffb3fffb,0x00007fff,0x001fff30,0x7e440000,
    0xff54ffff,0xffffffff,0x7ffed40f,0xffffffff,0xffff100c,0x3fffffff,
    0x99553100,0x00003357,0x026aee62,0xaa988000,0x0019abcc,0x00035993,
    0x665d4c00,0x9800009a,0x001abcba,0x00055540,0x001acc98,0x35993000,
    0x88000000,0x9abccaa9,0x97530001,0x00001359,0x44001555,0x00001aaa,
    0xf801eedc,0x2bfff5ff,0x0007fff9,0x207fffd4,0x800002fd,0x06aa64fc,
    0xff700000,0x0000000b,0xa88d54c4,0xaaaaaaaa,0xaa98802a,0x0019abcc,
    0x55555555,0x00001555,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3fe00000,
    0x32bfff5f,0x80004fff,0x0282ffff,0x000a0000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfff80000,
    0x000bfff5,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7d7ffe00,0x000005ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2aaa5555,0x00000002,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x00001cc9,0x55555300,0x2aa20001,0x00600002,0x55440000,0xd9800019,
    0x00000cee,0x004d554c,0x02aaa000,0x26019980,0x0cc00019,0x75000000,
    0x00000003,0x00000000,0x7fc00000,0xffffffff,0xffffffff,0x44006fff,
    0x000000a9,0x4cc00000,0x00066601,0x20000000,0x33100998,0x00000001,
    0x7ffdc000,0x4000002f,0x01fffff9,0x01bfee00,0x00dfb700,0xfd971000,
    0x7bffffff,0xfffb8001,0x20002fff,0xfffffeda,0x0004efff,0x000fffc4,
    0xff503fff,0xffb3000d,0x1d3019ff,0xfffd8000,0x36000003,0x000dffff,
    0x2077fff4,0x01efffe8,0x6ffffcc0,0x7ffffc00,0xffffffff,0xffffffff,
    0xffeca806,0x000bdeff,0x213fff20,0x4003fffc,0xffa81fff,0xf3000006,
    0x0005ffff,0xff109ff9,0x7e40003f,0x00003fff,0x1bffffe0,0xff980000,
    0x40000dff,0x20004ffc,0x0006fff8,0x7ffffd40,0xffffffff,0xfff3000f,
    0x001fff99,0xfffffea8,0x7fffffff,0x7ffcc000,0x37ffa000,0x013ffa61,
    0xfffffd10,0x3fea17ff,0x3fea0006,0x000007ff,0x007ffffb,0x81dfffb0,
    0x00efffe8,0x7ffffd40,0x3ffe00ef,0xffffffff,0xffffffff,0x7fe406ff,
    0xffffffff,0x3f20001f,0xffe88eff,0xffe8003f,0x13ffa61d,0x3fe60000,
    0x70001eff,0x32215fff,0xb0000fff,0x09ffffff,0xfff10000,0x00000fff,
    0x00ffffe6,0x01ffec00,0x0dfff100,0x7ffe4000,0xffffffff,0x7000ffff,
    0x17fd43ff,0xfffff900,0xffffffff,0xfa8000ff,0x7fdc007f,0xffffffff,
    0x3ffa2001,0xfffffedf,0x0004ffff,0x03ffffee,0xfffb0000,0xff90003d,
    0xfffd10bf,0xfff50009,0x01dfffbf,0x2aaaaaaa,0xaaffffba,0x02aaaaaa,
    0xffffffd1,0x5fffffff,0x7ffdc000,0x002fffff,0xffffff70,0x0003ffff,
    0x4ffff980,0x7ffc4000,0x4fffffff,0xbfffb000,0x0009fffd,0xdfffff00,
    0xff300000,0x400003ff,0x20002ffe,0x0006fff8,0xfffffe98,0xdcbaabdf,
    0xf9000fff,0x003ff88f,0x59fffff5,0xd9553333,0xffb8000f,0xfffc8006,
    0x003fffff,0x7f545fd8,0x005fffff,0x3ffffd40,0x3ff60000,0xfc8000df,
    0xffe885ff,0xffb8003f,0xffff50df,0xfff10003,0x3fe6000f,0xcaacefff,
    0x03fffffe,0x3fffee00,0x640002ff,0xffffffff,0x7cc00003,0x00002fff,
    0xfffffff3,0xfb1000df,0x3ff627ff,0x5400005f,0x0001ffff,0x00cccc80,
    0x3b2e6200,0x1acdefff,0x1bffe200,0xffff1000,0xd71003df,0x87fee001,
    0xf9802ffa,0x00004fff,0x02ffe400,0xeffed980,0x8120000c,0x002dffeb,
    0x03fff900,0x7775c000,0xddd30003,0x0bbbb209,0x13bbaa00,0x0037bb62,
    0x00ffff10,0x07ffff60,0x0fffffa8,0x3bbaa000,0xb300001e,0x0019dffd,
    0xdeed8800,0x64400000,0x002dfffe,0x703bdd90,0x00009ddd,0x0000bb98,
    0x00155100,0x7ffffdc0,0x7fffffff,0x1bffe200,0xffff9000,0x8800000b,
    0x6ffddfff,0x0bfff900,0xfb000000,0x0000009f,0x00000000,0x0000c400,
    0x00000000,0x00000000,0x3ffe2000,0xfff98007,0xfffa802f,0x0000004f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ff62000,0x2a000cff,
    0xffffffff,0x07ffffff,0x01bffe20,0x3ffff880,0xf5000000,0x003fffff,
    0x000bfff6,0x3ffe0000,0x00000003,0x00000000,0x00000000,0x00000000,
    0x00000000,0x003fffc4,0x001ffff4,0x000ffff7,0x00000000,0x00000000,
    0x00000000,0x00000000,0x22000000,0x5ffffffe,0xfffff500,0xb9fffbbd,
    0xfff90ffd,0xffffffff,0xffffffff,0x6fffd83f,0x44000000,0x2000cddc,
    0x0001ffff,0xff951000,0x0000039f,0x00000000,0x0cd44000,0x26a20000,
    0x00000001,0x26a20000,0x7fc40001,0x7fd4007f,0x7fc4007f,0x4c0003ff,
    0x00009aaa,0x00015310,0x0054c400,0x55440000,0x26000019,0x00009aaa,
    0x40000000,0xfd88cffc,0x7ffc402f,0x17ff21df,0xffff9051,0xffffffff,
    0xffffffff,0x17fffcc3,0x00000000,0x0ffffe00,0xfd880000,0xffffffff,
    0x27ffdc4f,0x17ffec00,0x0013ffee,0x800bfff6,0xfffffdca,0x54002cff,
    0xffffffdc,0xfffb82cf,0xfffd8004,0xfdca8002,0x2cffffff,0x3fffc400,
    0x13fff600,0x1bfff600,0xfffdb500,0x09dfffff,0xfffeca80,0x0000bdef,
    0x7ffff654,0x40000bde,0xffffecb8,0x000bdfff,0x3ffffb6a,0x004effff,
    0x7fffffcc,0x0004ffff,0x9ff0dfd0,0x86fffc80,0xf9004ffd,0xffffffff,
    0xffffffff,0x7fe43fff,0xb800006f,0xd8004fff,0x3ff62fff,0x5000006f,
    0xffffffff,0xfb8dffff,0xfd8004ff,0x7ffdc2ff,0xfffd8004,0xfffe9802,
    0xffffffff,0xffe9806f,0xffffffff,0x7ffdc6ff,0xfffd8004,0x3ffa6002,
    0xffffffff,0x3e2006ff,0x7fc007ff,0xfa8001ff,0xfd5007ff,0xffffffff,
    0x6400ffff,0xffffffff,0x90001fff,0xffffffff,0x20003fff,0xfffffffa,
    0x0fffffff,0x7ffff540,0xffffffff,0x7ffcc007,0x4fffffff,0x0bff0000,
    0xffe80bfd,0x03ffe81f,0x75555530,0x5555ffff,0x41555555,0x0002fffd,
    0x04fffb80,0x22fffd80,0x00effffb,0x3fff6000,0xffffefff,0x7ffdc6ff,
    0xfffd8004,0x027ffdc2,0x017ffec0,0x3fffffea,0xffffffff,0x7fffd406,
    0xffffffff,0x7ffdc6ff,0xfffd8004,0xffff5002,0xffffffff,0x7c400dff,
    0x3e6007ff,0xf10007ff,0xfc801fff,0xffffffff,0x807fffff,0xffffffe8,
    0x2fffffff,0x3fffa200,0xffffffff,0x7e4002ff,0xffffffff,0x00ffffff,
    0x3ffffff2,0xffffffff,0x7ffcc007,0x4fffffff,0x1ffb0000,0xf1027fc4,
    0xfff01fff,0xff880005,0xffd0006f,0x7000003f,0xb0009fff,0x7f445fff,
    0x0003ffff,0xaeffffc8,0xb935ffc8,0x004fffb8,0x5c2fffd8,0xd8004fff,
    0x3f602fff,0xabdfffff,0x06ffecba,0x3ffffff6,0xfecbaabd,0x27ffdc6f,
    0x17ffec00,0x7ffffec0,0xecbaabdf,0x3e2006ff,0x3ea007ff,0x3e0006ff,
    0x3ea01fff,0x99acffff,0x07ecaa99,0x77ffffcc,0xfffeca9c,0xff9803ff,
    0xca9cefff,0x03fffffe,0xfffffe98,0xdcbaabdf,0xff500fff,0x33359fff,
    0x00fd9553,0x93333330,0x00009fff,0x3ef3ffea,0x3fe201ff,0x7ffc42ff,
    0x7fc40001,0xfff0006f,0x7000001f,0xb0009fff,0xff885fff,0x00bfffff,
    0x5ffff980,0x2e027fec,0xd8004fff,0x7fdc2fff,0xffd8004f,0xffff902f,
    0x0b91005f,0x0bfffff2,0xff717220,0xffb0009f,0xfffc805f,0x5c8802ff,
    0x1fffe200,0x05fffb80,0x0bfffa00,0x027fffcc,0x3fff6000,0x3ffe601f,
    0x7fec00ff,0x3fe601ff,0x3e200fff,0x801effff,0xff980eb8,0x000004ff,
    0x13ffee00,0xfffc8000,0xfe803fff,0x7ffcc6ff,0x7fc40000,0xff98006f,
    0x7776c07f,0x40eeeeee,0x8004fffb,0xe982fffd,0xdfffffff,0x3fffa001,
    0x403ffe85,0x8004fffb,0x7dc2fffd,0xfd8004ff,0xfff882ff,0x880000ef,
    0x000effff,0x027ffdc0,0x017ffec0,0x01dffff1,0x7fc40000,0x3ff2007f,
    0x3fa0004f,0xfff903ff,0xf980000b,0xfa802fff,0x3e603fff,0xfa802fff,
    0x3f203fff,0x00005fff,0x0017fff2,0xff700000,0xa800009f,0x9001dffd,
    0x7d49ffff,0xf880007f,0xfa8006ff,0x7ffc06ff,0x1fffffff,0x0027ffdc,
    0x9017ffec,0xffffffff,0xfffa805d,0x02fff80f,0x0027ffdc,0x2e17ffec,
    0xd8004fff,0xffd82fff,0x3600006f,0x00006fff,0x0009fff7,0x6c05fffb,
    0x00006fff,0x07fff880,0x013fff20,0x03fffd80,0x0005fffb,0x03fffe80,
    0x81fffee0,0x2003fffe,0xf107fffb,0x00007fff,0x002fffd8,0x7dc00000,
    0x000004ff,0x3ffe6000,0x6ffbafff,0xfff88000,0xfffb8006,0x7ffffc06,
    0x5c1fffff,0xd8004fff,0x5c402fff,0xffffffff,0x9fff700d,0x803fff10,
    0x8004fffb,0x7dc2fffd,0xfd8004ff,0x7ffcc2ff,0xf300002f,0x00005fff,
    0x0013ffee,0x4c0bfff6,0x0002ffff,0x7fff8800,0x13fff200,0x3fffd800,
    0x003ffff0,0x3fffd400,0x1ffffc00,0x003fffd4,0x6c1ffffc,0x00006fff,
    0x001ffff8,0x7dc00000,0x200004ff,0x019aaa98,0x3ffffea0,0x0005ffff,
    0x006fff88,0x407fffa8,0xffcccccc,0x7ffdc1ff,0xfffd8004,0x3ffaa002,
    0xd82fffff,0xff982fff,0x7ffdc00f,0xfffd8004,0x027ffdc2,0x217ffec0,
    0x0006fffd,0x01bfff60,0x4fffb800,0x2fffd800,0x00dfffb0,0x3fe20000,
    0x3ff2007f,0x3f60005f,0xffff02ff,0x7f400007,0xfd8004ff,0xfffe86ff,
    0xfffd8004,0x17fffcc6,0x7ffc0000,0x0000003f,0x027ffdc0,0xfffb7100,
    0x19ffffff,0xfffff500,0x0003dfff,0x006fff88,0x007fff88,0xb83fffd0,
    0xd8004fff,0x98002fff,0x1ffffffd,0x540ffff4,0xffb807ff,0xffd8004f,
    0x27ffdc2f,0x17ffec00,0x000bfffe,0x02ffff80,0x3ffee000,0xfffd8004,
    0x05ffff02,0x3e200000,0x3ee007ff,0x3a0005ff,0xffb01fff,0x7c0000df,
    0xa8001fff,0xfff87fff,0xffa8001f,0x37ffe47f,0xffd80000,0x0000006f,
    0x027ffdc0,0xffffff00,0xffffffff,0xfff91009,0x05dfffff,0x1bffe200,
    0x07fffc00,0x0ffff400,0x0013ffee,0x000bfff6,0xeffffd88,0x203fffe0,
    0xfb806ffb,0xfd8004ff,0x7ffdc2ff,0xfffd8004,0x01fffe22,0x7fff8800,
    0x7fdc0000,0xffd8004f,0x7fff882f,0x22000000,0x2a007fff,0x20006fff,
    0xf700ffff,0x0001dfff,0x007fff98,0x41ffff10,0x0007fff9,0x6c1ffff1,
    0x00002fff,0x1dffff70,0x20000000,0x0004fffb,0x3ffffffe,0xffffffff,
    0xfff71003,0x03bfffff,0x06fff880,0x03fffd00,0x83fffd00,0x8004fffb,
    0x0002fffd,0x22ffffc8,0xfc80ffff,0xfffb805f,0xfffd8004,0x027ffdc2,
    0x517ffec0,0x0000dfff,0x0037ffd4,0x13ffee00,0x0bfff600,0x001bffea,
    0xfff88000,0x3ffe6007,0xfff10007,0x7fff440f,0x2e0003ff,0x20006fff,
    0x3ee1ffff,0x3e0006ff,0x3ffa1fff,0x1000001f,0x07fffffd,0xf7000000,
    0x7c0009ff,0x2609abef,0x01fffffb,0x3ffffe60,0x2003ffff,0x0006fff8,
    0x0009fffb,0xfb83fffd,0xfd8004ff,0xd00002ff,0x7ffc9fff,0x04ffd81f,
    0x004fffb8,0x5c2fffd8,0xd8004fff,0x3fee2fff,0x2e00005f,0x00005fff,
    0x0027ffdc,0x5c17ffec,0x00005fff,0x1fffe200,0x1ffff880,0x6fffa800,
    0x7ffffc40,0x5c000bff,0x20005fff,0x3ee1fffe,0x3a0005ff,0x3ffe1fff,
    0x2000000f,0xfffffff8,0x0000000b,0x0009fff7,0xff88005c,0x3ea004ff,
    0xfffffcff,0xfff1002f,0x3ff2000d,0x7f4000ff,0x7ffdc1ff,0xfffd8004,
    0xff900002,0x17fff4bf,0x5c01fffc,0xd8004fff,0x7fdc2fff,0xffd8004f,
    0x13fff22f,0xfffc8000,0x7dc00004,0xfd8004ff,0xfffc82ff,0x20000004,
    0x4007fff8,0x8004ffff,0x9804fffd,0xfffffffe,0xfff9001d,0x7ff4000b,
    0x17fff22f,0x2fffe800,0xd80ffff3,0xeeeeeeee,0x3ffa600e,0x01dfffff,
    0x7fdc0000,0x0000004f,0x8017ffea,0xff916ffb,0xf1001fff,0x26000fff,
    0x4003ffff,0x7dc1fffe,0xfd8004ff,0x700002ff,0x7fecbfff,0x02fff85f,
    0x004fffb8,0x5c2fffd8,0xd8004fff,0x3ff62fff,0x3600003f,0x00003fff,
    0x0027ffdc,0x6c17ffec,0x00003fff,0x1fffe200,0x0dfff900,0x0ffff880,
    0x3ffff200,0x402effff,0x0004fffc,0xfc8ffff6,0x360004ff,0xfff53fff,
    0xfffff80d,0x801fffff,0xfffffffc,0x000002ef,0x0009fff7,0x7ffc4000,
    0x17ff2007,0x007ffff3,0x0003fffe,0x007fffe4,0xb83fffd0,0xd8004fff,
    0x00002fff,0x7d47fff9,0x3fe60fff,0xfffb801f,0xfffd8004,0x027ffdc2,
    0xd17ffec0,0x00007fff,0x001ffff4,0x13ffee00,0x0bfff600,0x000ffffa,
    0xfff88000,0x7ffcc007,0x3ff2002f,0xfb88005f,0xdfffffff,0x09fff900,
    0x1fffec00,0x0009fff9,0xfb9fffec,0x7ffc06ff,0x1fffffff,0xffff7100,
    0x001bffff,0x4fffb800,0x7c000000,0x3f6007ff,0x5fffc84f,0x05fffb00,
    0x3fffe200,0xfffd001e,0x04fffb83,0x02fffd80,0xffff9800,0x877fff41,
    0xf7007ffa,0xfb0009ff,0xfffb85ff,0xfffd8004,0x013fff62,0x4fffd800,
    0x7fdc0000,0xffd8004f,0x4fffd82f,0x22000000,0xe8007fff,0xb801ffff,
    0x0001ffff,0x7fffff54,0xfffb82ff,0x3ff60005,0x17ffee3f,0x3fffd800,
    0xc80ffff5,0xfffccccc,0xfea8001f,0x02ffffff,0x3ffee000,0x40000004,
    0x3a007fff,0xfffa83ff,0xffff9007,0x3fee0001,0xfe802fff,0x7ffdc1ff,
    0xfffd8004,0x98001532,0xfb87fffe,0xffb9efff,0x7fdc2887,0xffd8004f,
    0x27ffdc2f,0x17ffec00,0x000bfff9,0x02fffe40,0x3ffee000,0xfffd8004,
    0x05fffc82,0x3e200000,0xfa8007ff,0x2a00ffff,0x0005ffff,0x3ffff660,
    0x7ffdc1ff,0x3ffa0005,0x17ffee2f,0x2fffe800,0x000ffff1,0x0007fffa,
    0xfffffd98,0xf700001f,0x400009ff,0xccccaa98,0x2007fffc,0xffa82fff,
    0xfff1006f,0x266139ff,0xfffd01ca,0x3357bdff,0x83ffff95,0x8004fffb,
    0xff72fffd,0x3335579b,0xfffffd75,0x3ffff603,0xcaaeffff,0x7ffdc6fe,
    0xfffd8004,0x027ffdc2,0x717ffec0,0x0000dfff,0x0037ffdc,0x13ffee00,
    0x0bfff600,0x001bffee,0xfff88000,0xfff90007,0xd9537dff,0x001dffff,
    0xfffb1000,0x7ffd41df,0x3ffe0006,0x1bffea2f,0x2ffff800,0x0003fffe,
    0x0007fffa,0x3ffff620,0xfb80000e,0xb80004ff,0xfffffffe,0x007fffff,
    0xf903fff1,0x7dc009ff,0xffffffff,0x3ee01fff,0xffffffff,0x1fffffff,
    0x0027ffdc,0xfb97ffec,0xffffffff,0xffffffff,0x7fffe402,0xffffffff,
    0x27ffdc6f,0x17ffec00,0x0013ffee,0xfa8bfff6,0x200007ff,0x0007fffa,
    0x027ffdc0,0x417ffec0,0x0007fffa,0x3ffe2000,0x3ff20007,0xffffffff,
    0x0000efff,0x7fffe400,0x01fffe62,0x07fffc40,0x000ffff3,0xe83fffe2,
    0xe8001fff,0x00001fff,0x00bffff2,0x55555554,0xaaadfffd,0x7d400aaa,
    0xffffffff,0x07ffffff,0x981fff30,0x4002ffff,0xfffffffc,0x4c01ffff,
    0xfffffffe,0x0effffff,0x0027ffdc,0xfb97ffec,0xffffffff,0x1dffffff,
    0xffffd700,0xdfffffff,0x004fffb8,0x5c1fffe8,0xe8004fff,0x3fe61fff,
    0x300001ff,0x0003ffff,0x027ffdc0,0x40ffff40,0x001ffff9,0xfff10000,
    0xffc8000f,0xffffffff,0x0000005f,0xf893fffa,0xa8001fff,0x7fc46fff,
    0xfa8001ff,0x7ffec6ff,0xfffe8004,0x7f400001,0xfff004ff,0xffffffff,
    0x5fffffff,0x7ffffcc0,0xccccccce,0x2b2a7fff,0x713ffd40,0x001dffff,
    0xfffffb10,0x2001dfff,0xfffffecb,0xf701ceff,0xfd0009ff,0x3fb223ff,
    0xffffffff,0x30000cff,0x9bdffffb,0xbfff5035,0x0ffff000,0x000bfff5,
    0xff88ffff,0x100005ff,0x000bffff,0x02fffd40,0x883fffc0,0x0005ffff,
    0x00000000,0x3ffffae2,0x00000bef,0x2fffe400,0x000ffffe,0x3e13fff6,
    0xd8003fff,0x7fe44fff,0x7f4000ff,0x400001ff,0xf005fffc,0xffffffff,
    0xffffffff,0x3ffe205f,0xfff801ef,0x3bfffee7,0xfedfffdd,0x000fffff,
    0x01335300,0x35553000,0x17ffea00,0x81fffe00,0x09aaaa98,0x3fe20000,
    0xfff3001f,0xdfff000d,0x00dfff30,0xfb0dfff0,0x00003fff,0x007ffff6,
    0x37ffcc00,0x037ffc00,0x003ffffb,0x00000000,0x0bfff500,0x5c000000,
    0x7fe45fff,0x7fc4006f,0xfffc81ff,0x7ffc4006,0x7fffcc1f,0x7fff4003,
    0x7dc00001,0xfff005ff,0xffffffff,0x5fffffff,0x03bffee0,0xf73fffc0,
    0xffffffff,0xdfffffff,0x00000003,0x26000000,0xf8006fff,0x000006ff,
    0x0fff9800,0x1ffff100,0x2fffdc00,0x007fffc4,0x10bfff70,0x000bffff,
    0x17fffe20,0x7ffc4000,0x3fee000f,0x3ffe205f,0x0000005f,0x00015553,
    0x00ffff80,0xf9000000,0xfff887ff,0x3ff2001f,0xffff105f,0x7ffe4003,
    0x1ffff905,0x0ffff400,0x3ff20000,0x4000003f,0xf900effc,0x7fc007ff,
    0x3fffee7f,0xffffffff,0x80002eff,0x0000aaa9,0x002aaa60,0x01ffff10,
    0x02fffdc0,0x002aaa60,0x01ffea00,0x009fffd0,0xe817fff4,0x3a004fff,
    0xff902fff,0x00001bff,0x01bffff9,0x9fffd000,0x17fff400,0x37ffff20,
    0x6c000000,0x00000fff,0x0027ffec,0x7fcc0000,0xfffd81ff,0xfffb801f,
    0x3fff600f,0xfffb801f,0xffff100f,0x3ffa003d,0x2600001f,0x0001ffff,
    0x03ffee00,0x002fffe8,0xa88ffff1,0xffffeecc,0x00001bce,0x0003fff6,
    0x00fffd80,0x04fffe80,0x00bfffa0,0x001fffb0,0x00dff700,0x03ffffa8,
    0x02fffec4,0x807ffff5,0x205fffd8,0x1efffff8,0xf885b880,0x801effff,
    0xfffa85b8,0x7fec403f,0xfff8805f,0xb8801eff,0x2fffc005,0x7fdc0000,
    0x207201ff,0x74c000a9,0xff307fff,0x7d401fff,0x7cc04fff,0x2a00ffff,
    0x5c04ffff,0x802fffff,0x54c1fffe,0x7ff4c000,0x2000007f,0x7402fff9,
    0xfa802fff,0xff007fff,0x4000003f,0x00005fff,0x8002fffc,0x403ffffa,
    0x005fffd8,0x0005fff8,0x000bff90,0x35bffffb,0xffff7311,0xfffd803f,
    0xb9889adf,0x401fffff,0xeffffffb,0xfdcbaabd,0xffff706f,0x7557bdff,
    0x360dffb9,0x89adffff,0xfffffb98,0xffff7001,0x7557bdff,0x400dffb9,
    0x0003fff9,0xbffffd00,0x0dff9535,0x5579bff7,0xffd75333,0x7ec03fff,
    0x99bdffff,0x0fffffec,0xfffffd80,0xffec99bd,0xfe800fff,0xabdeffff,
    0xffffca99,0x5e6ffdc1,0xeba999aa,0x001fffff,0x1fff2000,0x017fff60,
    0x0ffffff9,0x001fff30,0x3ffe6000,0x3e600003,0x360003ff,0x89adffff,
    0xfffffb98,0x7ffcc001,0xffd00003,0xfff30009,0xffffffff,0x3007ffff,
    0xffffffff,0x7fffffff,0x3fffa600,0xffffffff,0x3a606fff,0xffffffff,
    0x06ffffff,0xfffffff3,0xffffffff,0xffe98007,0xffffffff,0x2006ffff,
    0x0000fffa,0xfffff300,0x7fffffff,0xffffffb8,0xffffffff,0xfc802fff,
    0xffffffff,0x000dffff,0x3ffffff2,0xdfffffff,0x3ffee000,0xffffffff,
    0x5c1fffff,0xffffffff,0xffffffff,0x4000002f,0xfb806ffe,0x2e61dfff,
    0x7ffffffe,0x007ffa80,0x3ffea000,0x3ea00000,0x260000ff,0xffffffff,
    0x3fffffff,0x0fffa800,0x5fff0000,0x3ff62000,0xffffffff,0x362001ef,
    0xffffffff,0x8001efff,0xfffffffc,0x06ffffff,0xffffffc8,0x6fffffff,
    0x3ffff620,0xefffffff,0x3ff20001,0xffffffff,0x32006fff,0x000006ff,
    0x7fffff54,0x5c0dffff,0xffffffff,0xdfffffff,0x3ffea001,0xffffffff,
    0xfff50004,0xffffffff,0x3fa60009,0xffffffff,0x5c0effff,0xffffffff,
    0xdfffffff,0xd8000001,0xfe802fff,0xffffffff,0x7ffcbfff,0x006ffb80,
    0x1bff2000,0xdff90000,0xffb10000,0xffffffff,0x320003df,0x200006ff,
    0x40001fff,0xfffffeda,0x2a0003ef,0xffffffed,0x64c0003e,0xffffffed,
    0x326001ce,0xffffffed,0xdb5001ce,0x7dffffff,0x37260000,0xeffffffe,
    0x7ff4001c,0x70000004,0x3bfffffd,0x3fffb220,0xffffffff,0xb930000c,
    0x39dfffff,0xfdc98000,0x01ceffff,0xffecb800,0x1cefffff,0xffffd910,
    0x9fffffff,0x40000001,0x4ffffff9,0xfffffd30,0x323dffff,0xffc807ff,
    0x3a000005,0x400004ff,0x00004ffe,0x3ffffb6a,0x40003eff,0x00004ffe,
    0x0001fff3,0x0009a980,0x01353000,0x9a980000,0x54c00001,0x53000019,
    0x00000013,0x000066a6,0x00001555,0x00131000,0x35555310,0x22000001,
    0x4000001a,0x000001a8,0x001aaa98,0x35555310,0x00000001,0x4fffffd8,
    0x7ffffdc0,0x3ffdc3ef,0x000d54c0,0x01555000,0x0aaa8000,0x2a600000,
    0x2a000009,0x300000aa,0x00000ddd,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xeeeca800,0x03531002,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x03fffff3,0x007ffe40,0xff100000,0xdfffffff,0x00000599,0x000fffa0,
    0x0000dd40,0x033bb660,0x00000000,0x00000000,0x00000000,0x27ffd400,
    0x1ffffb00,0x55540000,0x3fff21aa,0x00000003,0xfffff300,0x7ffe4001,
    0x00066000,0x00000000,0x00000000,0x03ffffc8,0x7fcc0000,0xf9002fff,
    0x1ffdc05f,0x5fffff98,0x03fff200,0x0effffb8,0xffff1000,0xffffffff,
    0x000005df,0x0007ffc4,0x01fffec0,0xffffb800,0x800002ff,0x00dffff9,
    0xffff9000,0xffd00007,0xffe881df,0x4c0001ef,0xa82fffff,0xf7004fff,
    0x00003fff,0x06ffffe4,0x0007fff9,0x1dfff500,0x20efffa8,0x03fffff9,
    0x003fff20,0x19ffffb3,0xc8001d30,0x3fee02ff,0x7ffdc003,0x000000ef,
    0xffffffd8,0xf3000004,0x2003dfff,0x980ffffa,0xf980ffff,0x000fffff,
    0x9801fff9,0x000effff,0xffffff88,0xffffffff,0x7000005f,0x50000dff,
    0x000fffff,0xf99fff30,0x400001ff,0xeffffffa,0x7fec0000,0x0004ffff,
    0x103bfff6,0x001dfffd,0xeffff980,0x09fff501,0x05ffff30,0x7ffe4000,
    0x3fffc83f,0xff300000,0x3fff25ff,0x7fffcc0d,0xff9000ff,0x7ff4401f,
    0x50bfffff,0x7d400dff,0xff980fff,0x7cc000ff,0x0000efff,0x37fff600,
    0x0004fffe,0x27fffcc0,0x3fffee00,0x2ffffa81,0xffffff98,0x1fff9004,
    0xdfffb100,0xfff88001,0xecbaaaaf,0x002fffff,0x04ffd800,0xffffb800,
    0x7dc0000f,0x00bfea1f,0x7fffd400,0x000efffd,0xfdbfffb0,0xf90009ff,
    0xffd10bff,0xf300009f,0xfa809fff,0x7fc404ff,0x200004ff,0x901efffc,
    0x00007fff,0x77fffcc0,0xff305fff,0x2009ffff,0xd100fffc,0xfffdbfff,
    0x09ffffff,0x0ffffdc0,0x017fffd4,0x77ffec40,0x6c400000,0xffb13fff,
    0x260000bf,0x8002ffff,0x880ffff8,0xf980ffff,0x00ffffff,0x000fffc8,
    0x003bffee,0x407fff88,0x00fffffa,0x266a6200,0x80001fff,0x007ffffa,
    0x7c47fc80,0xfb80003f,0xfff50dff,0x7ec4003f,0xfffb13ff,0x7ffe400b,
    0x3fffe885,0xfff98000,0xfffa802f,0x2ffff404,0xfff90000,0x7ffe401b,
    0x44000003,0x04fffffe,0x3fffffe6,0xfffc800f,0xd517f600,0x0bffffff,
    0x0ffff880,0x00ffff88,0x3bffee00,0x3b200000,0xeeeb81de,0x76c40004,
    0x260000de,0x372601dc,0xfdfff301,0xff9009ff,0xed98001f,0x3fe2005e,
    0xfff9807f,0x7654002f,0x7fffffff,0x3ff20000,0xfb80001f,0x00bfea1f,
    0x09ddd500,0x001bddb1,0x2e077bb2,0xe9804eee,0xddd904ee,0xdb100005,
    0x3ea001bd,0x3ff204ff,0x100000ef,0xf9005555,0x000007ff,0x09dddb10,
    0xffefff98,0xfffc804f,0xfd702400,0x260005bf,0x372601dc,0xed980001,
    0x0000005e,0x00000000,0x20000000,0xfffcfff9,0x7ffe400f,0x20000000,
    0xb007fff8,0x64009fff,0xffffffff,0x00002fff,0x88000062,0x6ffddfff,
    0x00000000,0x00000000,0x00000000,0x4fffa800,0x01ffff70,0xc8000000,
    0x00003fff,0xff300000,0x01fffd7f,0x000fffc8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3fe60000,0x03fffbbf,0x0007ffe4,0xfff10000,
    0x3fff200f,0xfffe8805,0xffffffff,0x000003ff,0x3fea0000,0x0001ffff,
    0x00000000,0x00000000,0x80000000,0xf984fffa,0x88001fff,0xaaaaaaaa,
    0xffc801aa,0x0000003f,0x7fff3000,0xc80bfff5,0x00000fff,0x00000000,
    0x00000000,0x00000000,0x01355530,0x98000000,0xfff8bfff,0x07ffe407,
    0xf1000000,0x3ee00fff,0x7fcc05ff,0xc99cefff,0x03ffffff,0x33551000,
    0xbb910000,0x00000019,0x00033551,0x88000000,0x000000a9,0xfff50000,
    0x3ffff889,0xffff3000,0x09ffffff,0x007fff90,0x9a880000,0x4fffe601,
    0x3201fffe,0x88000fff,0x000000a9,0x00002a62,0x000a9880,0x013ffee0,
    0x00bfff60,0x7ffff6d4,0x704effff,0xb0009fff,0x3fe65fff,0x07fffb3f,
    0x2e07ffe4,0xd8004fff,0xfff12fff,0x3fff200f,0x7fffec04,0xfffffc81,
    0x5c4000ff,0xffffffec,0x00000bdf,0x97100000,0xfffffffd,0x7fdc017b,
    0xffffffff,0x000fffff,0xdffffd95,0x7dc0017b,0xfd8004ff,0x9fff52ff,
    0x004fffd8,0x3ffffe60,0x804fffff,0x0003fffc,0x7fee5400,0x22cfffff,
    0xff73fff9,0x7ffe40bf,0xffd95000,0x0017bdff,0xfffeca80,0x0000bdef,
    0x7ffff654,0x2e000bde,0xd8004fff,0x75402fff,0xffffffff,0xf707ffff,
    0xfb0009ff,0x3ffe65ff,0x40dfff33,0x7dc0fffc,0xfd8004ff,0xffff12ff,
    0x0bfffa00,0x02ffff98,0xffff9ffd,0x7ffd4009,0xffffffff,0x7c000fff,
    0x0007ffff,0x3ffffea0,0xffffffff,0xffff700f,0xffffffff,0xf9001fff,
    0xffffffff,0x3ee003ff,0xfd8004ff,0x9fff52ff,0x002fffe4,0x3bbbba60,
    0x804fffee,0x0003fffc,0xffffd300,0xffffffff,0xf8fffe6d,0xff901fff,
    0xfff9001f,0xffffffff,0x3ff20003,0xffffffff,0xff90001f,0xffffffff,
    0x3fee003f,0xffd8004f,0x3fff202f,0xffffffff,0xff707fff,0xffb0009f,
    0x8fffe65f,0xf902fffe,0xfffb81ff,0xfffd8004,0x00ffff12,0xe80dfffb,
    0xff103fff,0x1ffffb1f,0xfffff900,0xffffffff,0x7cc001ff,0x001fffff,
    0xfffffc80,0xffffffff,0xfff700ff,0xffffffff,0x4401ffff,0xfffffffe,
    0x02ffffff,0x004fffb8,0xf52fffd8,0x3ffea9ff,0x2000000e,0xc804fffb,
    0x00003fff,0xffffffa8,0xffffffff,0x5c7fff36,0xff906fff,0x7ff4401f,
    0xffffffff,0x22002fff,0xfffffffe,0x02ffffff,0x3ffffa20,0xffffffff,
    0xfffb802f,0xfffd8004,0xfffff502,0x55333359,0x3fee0fd9,0xffd8004f,
    0x47fff32f,0xf906fffa,0xfffb81ff,0xfffd8004,0x40ffff12,0x02ffffd9,
    0xb81fffea,0xffff36ff,0x7fff4c07,0xbaabdfff,0x000fffdc,0x3ffffff2,
    0x3fa60004,0xabdfffff,0x0fffdcba,0x99999930,0xfff99999,0x3ffe601f,
    0xeca9ceff,0x403fffff,0x8004fffb,0xff52fffd,0x1ffff39f,0xfb800000,
    0xffc804ff,0x6c00003f,0xbdffffff,0x6ffecbaa,0xfe87fff3,0xfffc82ff,
    0xfffff300,0xffd9539d,0xf3007fff,0x539dffff,0x7fffffd9,0xfffff300,
    0xffd9539d,0xfb807fff,0xfd8004ff,0xfff982ff,0xf700004f,0xfb0009ff,
    0x3ffe65ff,0x40ffff43,0x7dc0fffc,0xfd8004ff,0xffff12ff,0xfffd9999,
    0xfe807fff,0x3ff604ff,0x417fff64,0x1efffff8,0x000eb880,0x3ffffffe,
    0xfff10006,0x71003dff,0x3e00001d,0xffb00fff,0x7fcc03ff,0x3ee00fff,
    0xfd8004ff,0xbfff52ff,0x0003fffd,0x9fff7000,0x07fff900,0x7ffe4000,
    0x5c8802ff,0xfa87fff3,0xfffc86ff,0x3ffffb00,0x7ffffcc0,0x7fffec00,
    0x3fffe601,0x7ffec00f,0x3ffe601f,0x3fee00ff,0xffd8004f,0x5fffc82f,
    0x3fee0000,0xffd8004f,0x87fff32f,0xfc85fffb,0x7ffdc0ff,0xfffd8004,
    0xffffff12,0xdfffffff,0x3ffff005,0x987ffe20,0xff907fff,0x00000bff,
    0xffcfff98,0xfc8001ff,0x00005fff,0x7fffc000,0x2ffff980,0x3ffffa80,
    0x013ffee0,0x54bfff60,0x6fffffff,0xf7000000,0xff9009ff,0x2200007f,
    0x000effff,0xd07fff30,0xffc85fff,0xffff980f,0xffffa802,0x3fffe603,
    0xffffa802,0x3fffe603,0xffffa802,0x13ffee03,0x0bfff600,0x000bfff6,
    0x04fffb80,0x32fffd80,0xfff07fff,0x0fffc83f,0x0027ffdc,0xf897ffec,
    0xffffffff,0xf3001eff,0x7fd40fff,0x0ffffcc7,0x00ffffe2,0x3ff20000,
    0x04fffc9f,0x1ffffc40,0x40000000,0xfe80ffff,0x3ee003ff,0x3fee07ff,
    0xffd8004f,0xfdfff52f,0x00009fff,0x09fff700,0x007fff90,0x1bfff600,
    0x7fff3000,0xc8dfff50,0xffe80fff,0x3fee003f,0x3fffa07f,0x3ffee003,
    0x0ffffa07,0x07fffb80,0x0013ffee,0x3e0bfff6,0x00001fff,0x0013ffee,
    0x7ccbfff6,0xfffb83ff,0x207ffe45,0x8004fffb,0xff12fffd,0xffdb99ff,
    0x3ee007ff,0x3ff206ff,0x0ffffc44,0x001bfff6,0xbfffc000,0x4006fffa,
    0x0006fffd,0xfff00000,0x7fffa81f,0x3ffff800,0x009fff70,0x2a5fffb0,
    0xfffacfff,0x4000002f,0xc804fffb,0x80003fff,0x002ffff9,0x81fffcc0,
    0x3f23fffe,0x7ffd40ff,0xffff8007,0x07fffa83,0x83ffff80,0x8007fffa,
    0xf703ffff,0xfb0009ff,0xffff05ff,0x7dc00007,0xfd8004ff,0x7fff32ff,
    0x43ffff10,0x7dc0fffc,0xfd8004ff,0xffff12ff,0x0bffff30,0x40bfff70,
    0xfff82fff,0x3fffe62f,0x98000002,0x3ffe4fff,0xfff3001f,0x0000005f,
    0x03fffe00,0x0009fffd,0x2e0dfffb,0xd8004fff,0xfff52fff,0x07ffff29,
    0xffb80000,0xfffc804f,0xffd80003,0xf980006f,0xfff503ff,0x207ffe4f,
    0x8004fffe,0xfe86fffd,0xfd8004ff,0xfffe86ff,0xfffd8004,0x09fff706,
    0x05fffb00,0x000dfffb,0x027ffdc0,0x997ffec0,0xff903fff,0x07ffe49f,
    0x0013ffee,0x7c4bfff6,0xfff107ff,0xfffc805f,0x01fff305,0x7e45fffd,
    0x000006ff,0x6c5fff90,0xf9004fff,0x00000dff,0x7fffc000,0x00ffffc0,
    0x83fffd40,0x8004fffb,0xff52fffd,0x77fff49f,0xf7000000,0xff9009ff,
    0xff00007f,0x300005ff,0x7f407fff,0x1fff93ff,0x001ffff8,0xf87fffa8,
    0xa8001fff,0xfff87fff,0xffa8001f,0x9fff707f,0x5fffb000,0x1dffff70,
    0xfff70000,0xfffb0009,0x40fffe65,0xf90ffff8,0xfffb81ff,0xfffd8004,
    0x40ffff12,0x6406fffb,0xff704fff,0x8ffff60b,0x0002fffd,0x8ffff000,
    0xb006fffa,0x00005fff,0x7ffc0000,0x1fffe60f,0x7fffc400,0x04fffb80,
    0x52fffd80,0x7fc49fff,0x000005ff,0x9009fff7,0x80007fff,0x0007fff8,
    0x407fff30,0xff96fff9,0x3fffcc1f,0xffff8800,0x01fffe60,0x07fffc40,
    0x000ffff3,0x203fffe2,0x8004fffb,0xe882fffd,0x003fffff,0x027ffdc0,
    0x997ffec0,0x3f203fff,0x1fff93ff,0x004fffb8,0xf12fffd8,0xffe80fff,
    0x3fff203f,0x207ffd04,0x3fa3fffd,0x000001ff,0x445fff98,0xe801ffff,
    0x00001fff,0x3ffe0000,0x1bffee0f,0x1ffff800,0x004fffb8,0xf52fffd8,
    0xfffa89ff,0xb800003f,0xfc804fff,0x540003ff,0x00006fff,0xd807fff3,
    0xfffcbfff,0x01bffee0,0x21ffff80,0x0006fffb,0xfb87fffe,0x3e0006ff,
    0xffb81fff,0xffd8004f,0xffff102f,0x00017fff,0x0009fff7,0x3e65fffb,
    0x3fe603ff,0x81fff97f,0x8004fffb,0xff12fffd,0xfffb80ff,0xbfff900f,
    0x201fff10,0x3fe2fffe,0x000000ff,0xd82fffc8,0xff803fff,0x000000ff,
    0x3fffe000,0x017ffee0,0x81fffe80,0x8004fffb,0xff52fffd,0xffff909f,
    0xfb800005,0xffc804ff,0x7dc0003f,0x300005ff,0xf9807fff,0x0fffdeff,
    0x0017ffee,0x2e1fffe8,0x20005fff,0x3ee1fffe,0x3a0005ff,0xffb81fff,
    0xffd8004f,0x3ffa602f,0x01dfffff,0x013ffee0,0x4cbfff60,0x7ec03fff,
    0x0fffcaff,0x0027ffdc,0xf897ffec,0xfff807ff,0xdfff703f,0x740dff70,
    0xfff32fff,0xeeeed80f,0x400eeeee,0xfb80ffff,0x7fcc06ff,0x7776c07f,
    0x00eeeeee,0x1ffff000,0x002fffe4,0x705fffd0,0xb0009fff,0x3fea5fff,
    0xffffd04f,0x7dc00001,0xffc804ff,0x7e40003f,0x300004ff,0xfb007fff,
    0x41ffffff,0x0005fffc,0xfc8bfffa,0x3a0005ff,0x3ff22fff,0x3fa0005f,
    0xfffb82ff,0xfffd8004,0xffffc802,0x802effff,0x8004fffb,0xff32fffd,
    0xfff9807f,0x5c0fffce,0xd8004fff,0xfff12fff,0xffff700f,0x21bffee0,
    0x3fe04ffd,0xdfff51ff,0xffffff80,0x2601ffff,0xff105fff,0x7fd403ff,
    0x7fffc06f,0x01ffffff,0x1ffff000,0x0027ffe4,0x707fffb0,0xb0009fff,
    0x3fea5fff,0xffff104f,0x7dc0000d,0xffc804ff,0x7ec0003f,0x300003ff,
    0xf3007fff,0x41ffffff,0x0004fffc,0xfc8ffff6,0x360004ff,0x3ff23fff,
    0x3f60004f,0xfffb83ff,0xfffd8004,0xfff71002,0x01bfffff,0x0027ffdc,
    0xf997ffec,0xffe803ff,0x5c0fffef,0xd8004fff,0xfff12fff,0xffff100f,
    0x0ffff507,0x3e203fff,0xfff70fff,0xfffff80d,0x201fffff,0x3a03fffc,
    0x3ee03fff,0x7ffc06ff,0x1fffffff,0xffff0000,0x027ffe41,0x07fffb00,
    0x0009fff7,0x3ea5fffb,0x3fea04ff,0x700004ff,0xf9009fff,0xe80007ff,
    0x00003fff,0x2007fff3,0x0ffffffc,0x0013fff2,0x323fffd8,0x20004fff,
    0x3f23fffd,0x360004ff,0xffb83fff,0xffd8004f,0xfea8002f,0x02ffffff,
    0x0009fff7,0x3e65fffb,0xffa803ff,0x5c0fffff,0xd8004fff,0xfff12fff,
    0x3fff200f,0x0ffff886,0xfa81ffea,0x3ffea6ff,0x66666407,0x201ffffc,
    0x2e00ffff,0x3ea06fff,0x666407ff,0x1ffffccc,0xffff0000,0x02fffdc1,
    0x07fffb00,0x0009fff7,0x3ea5fffb,0x7fdc04ff,0xb80003ff,0xfc804fff,
    0x6c0003ff,0x00004fff,0x2007fff3,0x0ffffff8,0x0017ffee,0x2e3fffd8,
    0x20005fff,0x3ee3fffd,0x360005ff,0xffb83fff,0xffd8004f,0x3660002f,
    0x81ffffff,0x8004fffb,0xff32fffd,0x3ffa007f,0x7dc0ffff,0xfd8004ff,
    0xffff12ff,0x3fffe200,0x23fffe82,0x3f605ffc,0x3ffe24ff,0xfffd0007,
    0x1bffe603,0x01ffff30,0x001fffe2,0x000ffff4,0x20ffff80,0x0005fffb,
    0x2e0bfffa,0xd8004fff,0xfff52fff,0xffffb009,0xffb80003,0xfffc804f,
    0xaaaaaaad,0x321aaaaa,0x00005fff,0x4007fff3,0x20fffffc,0x0005fffb,
    0xfb8bfffa,0x3a0005ff,0x3fee2fff,0x3fa0005f,0xfffb82ff,0xfffd8004,
    0xfd880002,0x7dc0efff,0xfd8004ff,0x7fff32ff,0x3fffea00,0x7ffdc0ff,
    0xfffd8004,0x00ffff12,0x6437ffec,0x3ffe7fff,0x3ffff102,0x000ffff8,
    0x901fffe8,0xfd007fff,0x7ffc07ff,0xffe8000f,0xff00001f,0x7ffd41ff,
    0x3ffe0006,0x4fffb82f,0x2fffd800,0x1009fff5,0x001dffff,0x027ffdc0,
    0x7fffffe4,0xffffffff,0x3ffee4ff,0xff300006,0x7fc4007f,0x3fea0fff,
    0x3fe0006f,0x3ffea2ff,0x3ffe0006,0x1bffea2f,0x2ffff800,0x004fffb8,
    0x002fffd8,0x3ffff200,0x027ffdc2,0x997ffec0,0x3a003fff,0x5c0fffff,
    0xd8004fff,0xfff12fff,0x7ffcc00f,0x7fffd42f,0x900fff9b,0xffd0bfff,
    0xffd0003f,0x3fffe03f,0x6fffc801,0x007fffa0,0x007fffa0,0x07fffc00,
    0x000ffff3,0x203fffe2,0x8004fffb,0xff52fffd,0x3fe6009f,0x2e0005ff,
    0xfc804fff,0xffffffff,0x4fffffff,0x001fffea,0x01fffcc0,0x83ffff20,
    0x0007fff9,0x4c1ffff1,0x10007fff,0x7cc1ffff,0xf10007ff,0xff701fff,
    0xffd0009f,0xe800003f,0x7fdc4fff,0xffe8004f,0x07fff31f,0x7ffffdc0,
    0x027ffdc0,0x88ffff40,0x6c007fff,0xffe86fff,0x705ffcff,0xfb01ffff,
    0xfd0009ff,0xfff303ff,0x3333333f,0x1ffff533,0x013fff60,0x007fffa0,
    0x07fffc00,0x003ffff1,0x20dfff50,0x8004fffb,0xff51fffe,0x7fdc009f,
    0xf70004ff,0xff9009ff,0xffffffff,0x49ffffff,0x001ffff9,0x03fff980,
    0x07fffc40,0x003ffff1,0x88dfff50,0x8001ffff,0x7c46fffa,0xa8001fff,
    0xff506fff,0xfff000bf,0xf900000f,0xfffa8bff,0x7fff8005,0x54000000,
    0xf8005fff,0x000007ff,0x7ffffd40,0xfffa83ff,0xffff904f,0xfffe8001,
    0xfffffc81,0xffffffff,0x903fffff,0x8001ffff,0x0001fffe,0xf87fff88,
    0xd8003fff,0xff504fff,0xfff000bf,0x0000000f,0x09fff700,0xf1000000,
    0x0000bfff,0x3ffe0000,0x03ffff87,0x84fffd80,0x8003ffff,0xff84fffd,
    0xfd8003ff,0xfff304ff,0xdfff000d,0xff700000,0x6fff98bf,0x06fff800,
    0x7cc00000,0xff8006ff,0x0000006f,0xffffffd8,0xfffec99a,0xfff300ff,
    0xffe8007f,0xfffff81f,0xffffffff,0x06ffffff,0x007ffff3,0x001fffe8,
    0x86fff980,0x4006fffc,0x301ffff8,0xf000dfff,0x00000dff,0xfff70000,
    0x00000009,0x007ffff6,0xf1000000,0xfff90dff,0xfff8800d,0x6fffc81f,
    0x7fffc400,0x06fffc81,0x0ffffc40,0x00ffff88,0x017ffee0,0x3fff2000,
    0x07fffc43,0x0bfff700,0x00aaa980,0x07fffc40,0x0bfff700,0x005554c0,
    0xffffd880,0xffffffff,0x7fe400df,0x3fa000ff,0x7ffcc1ff,0xffffffff,
    0xffffffff,0xffff900f,0x7fff4001,0xffb80001,0xffff885f,0x3fff2001,
    0x3fffe205,0x3ffee000,0x2aaa6005,0xf7000000,0x4c0009ff,0x22000aaa,
    0x0005ffff,0x7fcc0000,0xffff885f,0x3fff2001,0x3ffff105,0x2fffe400,
    0x01ffff88,0x017fff20,0x4009fffd,0x0002fffe,0x0ffffcc0,0x0027fff4,
    0x8005fffd,0x8000fffd,0x2004fffe,0x2002fffe,0x0000fffd,0x7fffffe4,
    0x004fffff,0x03dffff1,0x907fffa0,0x5555bfff,0x55555555,0x2207fffd,
    0x001effff,0x0603fffd,0x03ffff80,0x003ffffb,0x801ffff7,0x2004fffe,
    0x2002fffe,0x0000fffd,0x09fff700,0x07ffec00,0x3ffff200,0x0000000d,
    0x207fffb0,0x801ffffd,0x200ffffb,0x801ffffd,0x200ffffb,0x801ffffd,
    0x400ffffb,0x403ffffa,0x305fffd8,0xfe980015,0xfff507ff,0xffd8807f,
    0xfff8005f,0xfff50005,0xffd8807f,0x7ffc005f,0xff880005,0xceffffff,
    0x7ffdc001,0xffe802ff,0x0ffffc1f,0x37ffe400,0x5fffff70,0x03fffd00,
    0xfd88077a,0x3fe607ff,0x3ea00fff,0xfa804fff,0x6c403fff,0x7c005fff,
    0x000005ff,0x0013ffee,0x8005fff8,0x1efffff8,0x0005b880,0x00ffff98,
    0x01fffff3,0x027fffd4,0x03ffffe6,0x04ffffa8,0x07ffffcc,0x09ffff50,
    0x37ffff60,0xffb9889a,0xff701fff,0x3335579b,0xfffffd75,0x7fffec03,
    0xfb9889ad,0x4001ffff,0x0003fff9,0x2b7ffff6,0xfffb9889,0x3e6001ff,
    0xa80003ff,0x01aa9fff,0xffffe800,0xa99abdef,0x261ffffc,0x30006fff,
    0x7401ffff,0xbdefffff,0xfffca99a,0x9dffd01f,0xfffd7537,0xfffd805f,
    0xec99bdff,0x000fffff,0x35bffffb,0xffff7311,0x7fcc003f,0x2000003f,
    0x0004fffb,0x0007fff3,0x3fffffee,0xdcbaabde,0x220006ff,0x403ffffb,
    0xbdfffffd,0xffffec99,0xfffd800f,0xec99bdff,0x800fffff,0xbdfffffd,
    0xffffec99,0xfff3000f,0xffffffff,0x5c07ffff,0xffffffff,0xffffffff,
    0x7ffcc02f,0xffffffff,0x8003ffff,0x0000fffa,0x3fffffe6,0xffffffff,
    0x7fd4003f,0xfc80000f,0x7000004f,0xffffffff,0xffffffff,0x027ffe43,
    0x07ffff00,0xffffffb8,0xffffffff,0xfffd01ff,0xffffffff,0x3ff200bf,
    0xffffffff,0x2000dfff,0xfffffff9,0xffffffff,0x7ffd4003,0x55540000,
    0xfffdaaaa,0x0aaaaaad,0x003ffea0,0xffffe980,0xffffffff,0xf88006ff,
    0x006fffff,0xfffffff9,0x1bffffff,0x7fffe400,0xffffffff,0x3f2000df,
    0xffffffff,0x000dffff,0x7ffffec4,0x1effffff,0x7ffffdc0,0xffffffff,
    0xb1001dff,0xffffffff,0x0003dfff,0x0001bff2,0x3fffff62,0x1effffff,
    0x06ffc800,0x05fff000,0x7f4c0000,0xffffffff,0x3e0effff,0x20001fff,
    0x9805fffc,0xfffffffe,0x0effffff,0xffffffb0,0x007fffff,0xffffffa8,
    0x004fffff,0xfffffb10,0x3dffffff,0x0dff9000,0xfffff000,0xffffffff,
    0x405fffff,0x00006ffc,0xfffffff9,0x0dffffff,0xfffff100,0x7fd4001b,
    0xffffffff,0xff50004f,0xffffffff,0x3ea0009f,0xffffffff,0x540004ff,
    0xffffffed,0xfd91003e,0xffffffff,0x200019ff,0xfffffeda,0x740003ef,
    0x200004ff,0xfffffeda,0x3a0003ef,0x980004ff,0x00000fff,0xfffecb80,
    0x41ceffff,0x0007fff9,0x007fffd4,0xffffecb8,0x801cefff,0xffffffda,
    0x930000ce,0x9dfffffb,0xdb500003,0x7dffffff,0x27ff4000,0x7fffc000,
    0xffffffff,0x02ffffff,0x00013ffa,0xfffedc98,0x001cefff,0x07ffff10,
    0x3ff72600,0x001cefff,0x7ffee4c0,0x0001ceff,0x7fffee4c,0x00001cef,
    0x00009a98,0x9aaaa988,0x53000000,0x54000013,0x000000aa,0x000026a6,
    0x00005554,0x0002ffdc,0xaaa98000,0x27ffe401,0x7fffc000,0x55530002,
    0x99880003,0x51000001,0x30000003,0x20000135,0x80000aaa,0xffffffff,
    0xffffffff,0x2aaa02ff,0x4c000000,0x1000019a,0x80000357,0x000001a8,
    0x00000d44,0x00006a20,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00199980,0x00000000,0x00000000,0x00000000,0x00000000,0x4c000000,
    0x1aacccba,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x26200000,0x001acccb,0x2e000066,0xd8004fff,
    0x26aa2fff,0x6c000000,0x0004ffff,0x0fffff20,0x3fff2000,0x03fffc84,
    0x7ffffe40,0x2fffffff,0x7fffdc00,0x0000000e,0x05fffff3,0xffff3000,
    0xfff7005f,0x3fffffff,0x13fff200,0x000ffff2,0x07ffff90,0xffb00000,
    0x32001bff,0xffc84fff,0x7fe4003f,0x00ffee02,0x7ffcc000,0xffb802ff,
    0x00000eff,0xfffffff9,0x005fffff,0x3ffffc80,0x32000000,0x3fffffff,
    0x7fffecc0,0x200e980c,0x8004fffb,0x3fe2fffd,0x000adfff,0xffffd100,
    0xb0000bff,0x09ffffff,0xdfff9000,0x07fffd11,0xfffff900,0x5fffffff,
    0xffff3000,0x8000001d,0x01effff9,0xffff9800,0x7ff4c01e,0xffffffff,
    0x3ff2001f,0xfffe88ef,0x7fec0003,0x0004ffff,0x3ffff600,0xfffc8003,
    0x3fffe88e,0x7fffd400,0x0ffff980,0x7fcc0000,0x26001eff,0x000effff,
    0xfffffc80,0x2fffffff,0x3fff6000,0x00004fff,0x7ffff4c0,0x2203ffff,
    0xfffffffe,0x40dff50b,0x8004fffb,0x3fe2fffd,0x04ffffff,0x7fff4400,
    0x005fffdc,0x3b7fff60,0x80004fff,0xfffffffb,0xff90002f,0xffffffff,
    0x220005ff,0x000efffd,0xffff3000,0x3e600009,0xf8804fff,0xccdeffff,
    0x4001ffec,0xfffffffb,0x7ec0002f,0x4fffedff,0xffd80000,0x2e0001ef,
    0xffffffff,0xfffb8002,0xffffa81f,0x3e600002,0x10004fff,0x001dfffb,
    0xfffffc80,0x2fffffff,0xbfffb000,0x0009fffd,0x7ffff400,0x103feeef,
    0xffdbfffd,0x9fffffff,0x027ffdc0,0xf17ffec0,0xffffffff,0xfd10003d,
    0x7ffdc5ff,0x3f62000e,0xfffb13ff,0xff70000b,0x0005ffff,0x80000000,
    0x000efffb,0x7fffcc00,0xff300002,0x3f6005ff,0x00401eff,0xfffffb80,
    0x3620002f,0xffb13fff,0x6c0000bf,0x0000dfff,0xffffffb8,0xfff10002,
    0xffff101f,0x3e600001,0x80002fff,0x000efffb,0x40000000,0xb13fffd8,
    0x0000bfff,0x07ffff70,0x545fd802,0x5ffffffe,0x027ffdc0,0x317ffec0,
    0xffffb753,0xcb8005ff,0xccc980cc,0x37bb2003,0x04eeeb81,0xeeeea800,
    0x00000001,0xddb30000,0x6c40000b,0x00000dee,0x001bddb1,0x003fffe2,
    0xddd50000,0xec80003d,0xeeeb81de,0xeeb80004,0x5400003e,0x0001eeee,
    0x9300ee4c,0x2200003b,0x0000deed,0x017bb660,0x00000000,0xd703bdd9,
    0x800009dd,0x0003ffff,0xdffeb812,0x4fffb802,0x2fffd800,0x7fffe4c0,
    0x0000001f,0x00000000,0x00000000,0x00000000,0x00000000,0xf9800000,
    0x000005ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x037ffcc0,0x40000000,0x8004fffb,0x5002fffd,
    0x880dffff,0x00001aaa,0x00000000,0x20000000,0x00000a98,0x00000000,
    0x00000000,0x001bffea,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfff70000,0x00000009,0x09fff700,
    0x05fffb00,0x17fffdc0,0x009fff50,0xa9880000,0x00000000,0xfeca8000,
    0x00bdefff,0x00000000,0x00000000,0x3fffe200,0x00000002,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0009fff7,0x0005fffb,
    0xd8000000,0x00002fff,0xffb80000,0xffd8004f,0x7ff4002f,0x3ffea05f,
    0xa8000004,0xdeffffec,0xfff3000b,0x7e4003ff,0xffc800ff,0xffffffff,
    0x3ffe001f,0xffffffff,0x06ffffff,0xfffffff5,0xffffffff,0x3fffe09f,
    0xffffffff,0xe86fffff,0x0003ffff,0x3ffffffe,0xffffffff,0x06ffffff,
    0xfffffff5,0xffffffff,0x3fe0009f,0xffffffff,0xfff84fff,0xffffffff,
    0xffffffff,0xffff8007,0xfc80007f,0x200003ff,0xfffffffa,0xffffffff,
    0x27ffdc4f,0x17ffec00,0x3ffffe00,0x3e000007,0x00001fff,0x03fffffc,
    0x013ffee0,0x00bfff60,0x40ffff90,0x0004fffa,0x7fffe400,0x1fffffff,
    0xfffff980,0x3fff2005,0x3fffa200,0xffffffff,0xfff002ff,0xffffffff,
    0x0dffffff,0x3fffffea,0xffffffff,0xffff04ff,0xffffffff,0x10dfffff,
    0x01bfffff,0xffffff00,0xffffffff,0xdfffffff,0x3ffffea0,0xffffffff,
    0xa8004fff,0xffffffff,0xf84fffff,0xffffffff,0xffffffff,0x7cc007ff,
    0x001fffff,0x01fffe40,0xffff5000,0xffffffff,0xfb89ffff,0xfd8004ff,
    0x3e6002ff,0x001fffff,0xffff8800,0x3e600000,0x001fffff,0x0013ffee,
    0x000bfff6,0x201ffff5,0x0004fffa,0xffffd100,0xffffffff,0xfff9805f,
    0xf9000fff,0x3fe601ff,0xca9cefff,0x03fffffe,0xfffffff8,0xffffffff,
    0xfff506ff,0xffffffff,0x209fffff,0xffffffff,0xffffffff,0xffffb86f,
    0x7c003fff,0xffffffff,0xffffffff,0xf506ffff,0xffffffff,0x9fffffff,
    0xffffb000,0xffffffff,0xfffff09f,0xffffffff,0x0fffffff,0xfffffc80,
    0x7e40004f,0x200003ff,0xfffffffa,0xffffffff,0x27ffdc4f,0x17ffec00,
    0xfffff900,0x3000009f,0x0000ffff,0xffffffc8,0x3ffee004,0xfffd8004,
    0x7ffcc002,0x13ffea07,0x3fe60000,0xca9cefff,0x03fffffe,0x3fffffe6,
    0x1fff9004,0x07ffff60,0x0fffff98,0x55555540,0xaaaffffb,0xff502aaa,
    0x555555df,0x03555555,0x2eaaaaaa,0xaaaaffff,0x7ffe42aa,0x1effffff,
    0x55555500,0x5ffff755,0x55555555,0x2bbffea0,0xaaaaaaaa,0x4c001aaa,
    0xafffefff,0x80999999,0xeeeeeeee,0xfeeeeeee,0x7c005fff,0x06ffffff,
    0x1fffe400,0xfff50000,0x5555555d,0xb8355555,0xd8004fff,0x3e002fff,
    0x06ffffff,0xfffa8000,0x7fc00006,0x006fffff,0x0013ffee,0x000bfff6,
    0x540dfff5,0x00004fff,0x01ffffd8,0x03ffffe6,0x7fffffcc,0xfffc800f,
    0x2ffff980,0x3ffffa80,0xffff1000,0xbfff5000,0xf1000000,0x3ea00fff,
    0xfffaafff,0x0000cfff,0x003fffc4,0x00bfff50,0xdff90000,0x0003fff9,
    0x3fff2000,0x3fe6000f,0x01ffffcf,0x0ffff200,0xfffa8000,0xffb80005,
    0xffd8004f,0xfff3002f,0x003ffff9,0x5fffb800,0x3fe60000,0x01ffffcf,
    0x009fff70,0x005fffb0,0x205fffd8,0x0004fffa,0x17fffcc0,0x1ffffd40,
    0xffefff98,0xfffc804f,0x03fffe80,0x01fffee0,0x03fffc40,0x02fffd40,
    0x7fc40000,0xffff007f,0x7fffe443,0x220000ef,0x20007fff,0x0005fffa,
    0xcbfff800,0x00001fff,0x3ffff980,0x4fffe400,0x0004fffc,0x000ffff2,
    0x05fffa80,0x4fffb800,0x2fffd800,0x93fff900,0x00009fff,0x004fffc8,
    0x27fff200,0x7004fffc,0xb0009fff,0x22005fff,0x202ffffc,0x0004fffa,
    0x01ffff40,0x20ffff70,0xfffcfff9,0x7ffe400f,0x03fffd40,0x01ffffc0,
    0x03fffc40,0x02fffd40,0x7fc40000,0xfffa807f,0xffffd304,0x3e20003f,
    0x2a0007ff,0x00005fff,0x647ffd40,0x00001fff,0x05fffe80,0xf57fff80,
    0x64000dff,0x00003fff,0x0017ffea,0x013ffee0,0x00bfff60,0xffabfffc,
    0xeec8006f,0xffffeeee,0x6eeeeeee,0xabfffc00,0xf7006fff,0xfb0009ff,
    0x999705ff,0x0bfffffd,0x884fffa8,0xf5001aa9,0xff000fff,0xfff307ff,
    0x807fff77,0x7f40fffc,0xfd8004ff,0xf88006ff,0xfa8007ff,0x000005ff,
    0x807fff88,0x5c01fffc,0x000fffff,0x007fff88,0x017ffea0,0xbffd0000,
    0x0007fff2,0xffff7000,0xfff98001,0x007fffe4,0x01fffe40,0xbfff5000,
    0xfff70000,0xfffb0009,0x9fff3005,0x000ffffc,0x3ffffffa,0xffffffff,
    0x26007fff,0x3ffe4fff,0xfffb801f,0xfffd8004,0xfffffd82,0x5400dfff,
    0x3f224fff,0x404fffff,0x8004fffe,0xf986fffd,0x7fff8bff,0x207ffe40,
    0x8001ffff,0x8007fffa,0x8007fff8,0x0005fffa,0x7fff8800,0x01fffd80,
    0x05ffffa8,0x07fff880,0x17ffea00,0xff980000,0x03fff92f,0x7fcc0000,
    0xfc8003ff,0x3fff62ff,0xfff90004,0x7d400007,0xb80005ff,0xd8004fff,
    0xfc802fff,0x3fff62ff,0x7fff4004,0xffffffff,0x07ffffff,0xd8bfff20,
    0xfb804fff,0xfd8004ff,0xfffd82ff,0x5002efff,0x3fea9fff,0xefffffff,
    0x03ffff00,0x0ffff500,0x3f67fff3,0x3ff203ff,0x1fffe60f,0x7fffc400,
    0x7ffc4000,0xfffa8007,0x88000005,0xfc807fff,0xff5004ff,0xf88003ff,
    0x2a0007ff,0x00005fff,0xfc9fff20,0x000001ff,0x0017fffa,0x3ea3fffc,
    0xf90006ff,0x400007ff,0x0005fffa,0x004fffb8,0x802fffd8,0x7fd47fff,
    0x5554006f,0xffffbaaa,0x2aaaaaaa,0x51fffe00,0xf700dfff,0xfb0009ff,
    0xfffb05ff,0xfa800137,0xffffacff,0x5fffffff,0x007fff98,0x81ffff10,
    0xff33fff9,0x7ffe40df,0x01bffee0,0x01ffff80,0x03fffc40,0x02fffd40,
    0x7fc40000,0xfffa807f,0x3fff6006,0x7ffc4002,0x3fea0007,0x2000005f,
    0x3ff24fff,0x7000001f,0x0001ffff,0xf88bfff3,0xc8001fff,0x00003fff,
    0x0017ffea,0x013ffee0,0x00bfff60,0xf88bfff3,0x80001fff,0x0006fff9,
    0x88bfff30,0x5c01ffff,0xd8004fff,0xffc82fff,0xff50000f,0x15dfffdf,
    0x07ffff66,0x000dfff7,0x260ffffc,0x3ffa3fff,0x1fff902f,0x002fffdc,
    0x003fffd0,0x007fff88,0x005fffa8,0xfff88000,0xffff8807,0x9fff5005,
    0x7fff8800,0x3ffea000,0xf7000005,0x7ffe43ff,0xf9800001,0x90003fff,
    0xffb05fff,0xff90007f,0x5400007f,0x80005fff,0x8004fffb,0x6402fffd,
    0xffd82fff,0xfa80003f,0x900005ff,0xffb05fff,0xfffb807f,0xfffe8004,
    0x007ffc81,0x3ffffea0,0x3fff605f,0x02fffdc5,0x83fffd00,0x3ea3fff9,
    0xfff906ff,0x02fffe41,0x05fffd00,0x07fff880,0x9dfffa80,0x99999999,
    0xf8800199,0xff5007ff,0xff300bff,0xff88009f,0x3ea0007f,0x99999dff,
    0x01999999,0xfc8dffd0,0x99999aff,0x3ffa0001,0x3fe0005f,0xfffb80ff,
    0xfffc8006,0x3ea00003,0x99999dff,0x81999999,0x8004fffb,0x7c02fffd,
    0xffb80fff,0xfb80006f,0xf00004ff,0xff701fff,0xfffa80df,0xffff8005,
    0x007ffc80,0x3ffffea0,0x37ffcc04,0x0017fff2,0x4c2fffe8,0x7ff43fff,
    0x0fffc81f,0x0013fff2,0x003fffd8,0x003fffc4,0x7fffffd4,0xffffffff,
    0x7c4000ff,0x3f2007ff,0x2a01efff,0x44003fff,0x20007fff,0xfffffffa,
    0xffffffff,0x7ffcc00f,0x7ffffe43,0x001fffff,0x00ffffb8,0x0bfff300,
    0x007fffe2,0x007fff90,0x7fffd400,0xffffffff,0x7dc0ffff,0xfd8004ff,
    0x3fe602ff,0xffff105f,0xffc80003,0xf980003f,0xfff105ff,0x7ffcc03f,
    0x7fff8006,0x000fff90,0x02ffffd4,0x7e47fff8,0x360004ff,0x7fcc3fff,
    0x2fffdc3f,0xf907ffe4,0x6c0009ff,0x44003fff,0xa8007fff,0xffffffff,
    0xffffffff,0x7ffc4000,0x7ffe4007,0xffe80cff,0x7fc4000f,0x3ea0007f,
    0xffffffff,0x0fffffff,0x207ffe40,0xfffffffc,0x44001fff,0x0003ffff,
    0xe80ffff2,0x64003fff,0x00003fff,0x3fffffea,0xffffffff,0x7ffdc0ff,
    0xfffd8004,0x0ffff202,0x003fffe8,0x017fff40,0x1fffe400,0x407fffd0,
    0x000ffff8,0x6417ffee,0x2a0007ff,0x3a006fff,0x3ff20fff,0x3f60004f,
    0x7ffcc3ff,0x41ffff83,0x3ee0fffc,0x360005ff,0x44003fff,0xa8007fff,
    0xffffffff,0xffffffff,0x7ffc4000,0xfffa8007,0x3ff62fff,0xff88005f,
    0x3ea0007f,0xffffffff,0x0fffffff,0x213ffe20,0xfffffffc,0x74001fff,
    0x40006fff,0x2e00ffff,0x64006fff,0x00003fff,0x3fffffea,0xffffffff,
    0x7ffdc0ff,0xfffd8004,0x03fffe02,0x006fffb8,0x00ffffc0,0x07fffc00,
    0x80dfff70,0x2004fffe,0x3102fffe,0x7d400033,0x3fa004ff,0x3ffee0ff,
    0x3ff60005,0x1fffcc3f,0x322fffdc,0x3fee0fff,0x3fa0005f,0x7c4002ff,
    0xfa8007ff,0x99999dff,0x01999999,0x07fff880,0xffffb100,0x1dfffddf,
    0xffff1000,0x7ffd4000,0x9999999d,0x5c019999,0xffc81fff,0xf700001f,
    0x40001fff,0x4c06fff9,0x2000ffff,0x0003fffc,0x277ffea0,0x99999999,
    0xfffb8199,0xfffd8004,0x0dfff302,0x00ffff98,0x03fffe00,0xdfff3000,
    0x0ffff980,0x0ffffea0,0x0dfffb10,0xff500000,0x7fec009f,0x17ffee0f,
    0x2fffe800,0x441fffcc,0x3f21ffff,0x3ffea0ff,0x3ffe0006,0x7fc4002f,
    0xffa8007f,0x8000005f,0x0007fff8,0x7fffff54,0x10000eff,0x4000ffff,
    0x0005fffa,0xc837ff40,0x80001fff,0x003ffff8,0x01fffe40,0x001ffff4,
    0x0007fff9,0x02fffd40,0x27ffdc00,0x17ffec00,0x803fffc8,0x0003fffe,
    0x000ffff3,0x007fff90,0xe807fffd,0x89adffff,0xfffffb98,0xa8000002,
    0x36004fff,0x3fea0fff,0x3fe0006f,0x7ffcc2ff,0x49fff903,0x3e60fffc,
    0xf10007ff,0x88001fff,0xa8007fff,0x00005fff,0x07fff880,0xffff7000,
    0xf88000ff,0x2a0007ff,0x00005fff,0x640fffe6,0x80001fff,0x0006fffd,
    0x801ffff8,0x2006fffc,0x0003fffc,0x017ffea0,0x13ffee00,0x0bfff600,
    0x400ffffc,0x0006fffc,0x000dfff5,0x003ffff0,0x980dfff9,0xffffffff,
    0x2fffffff,0x000e5c40,0x009fff50,0xf307ffec,0x22000fff,0x7cc0ffff,
    0xfff103ff,0x83fff21f,0x001ffff8,0x006fffa8,0x007fff88,0x005fffa8,
    0xfff88000,0x3a200007,0x0003ffff,0x001fffe2,0x005fffa8,0x03fff200,
    0x000fffe4,0x03fffee0,0xffff3000,0x33333333,0x01ffff53,0x00ffff20,
    0x5fffa800,0xfffb8000,0xfffe8004,0x9ffff981,0x99999999,0x000ffffa,
    0x005fffb8,0x4ffffcc0,0x99999999,0x400ffffa,0xffffffd8,0x02ffffff,
    0x01ffffc4,0x04fffa80,0x883fff60,0x8001ffff,0xf986fffa,0x3ff203ff,
    0x81fff93f,0x8003ffff,0x8004fffd,0x8007fff8,0x0005fffa,0x7fff8800,
    0xffd80000,0xf10000ff,0x54000fff,0x00005fff,0xdddffff1,0x3ffffddd,
    0x7ffc4000,0xfc80003f,0xffffffff,0xffffffff,0xfff9003f,0x7d400007,
    0xa80005ff,0xf8005fff,0xfff907ff,0xffffffff,0x7fffffff,0x7fff9000,
    0xfffc8000,0xffffffff,0x3fffffff,0xfffdb500,0x2005dfff,0x007ffffc,
    0x009fff50,0x3e07ffec,0xd8003fff,0xff984fff,0x3ffe603f,0xc81fff97,
    0x44006fff,0x8001ffff,0x8007fff8,0x0005fffa,0x7fff8800,0xfff00000,
    0x3e20005f,0x2a0007ff,0x00005fff,0xfffffff7,0x3fffffff,0x7ffec000,
    0xfff00006,0xffffffff,0xffffffff,0x3fff200d,0x3ea00003,0x980005ff,
    0xf8006fff,0xffff06ff,0xffffffff,0xdfffffff,0x3fffd000,0xffff8000,
    0xffffffff,0x6fffffff,0xfffa8800,0x7ffec005,0xfa8000ff,0x3f6004ff,
    0x7ffe40ff,0x7ffc4006,0x3fff981f,0x657ffec0,0x7fc40fff,0x3f2001ff,
    0xf10005ff,0xf5000fff,0x00000bff,0x00ffff10,0x3fff6000,0xfff10002,
    0x7fd4000f,0xfd00005f,0xffffffff,0x003fffff,0x03fffea0,0x3ffe6000,
    0xffffffff,0xffffffff,0xfffc800f,0x3ea00003,0x880005ff,0x2000ffff,
    0xf985fffb,0xffffffff,0xffffffff,0x22000fff,0x0000ffff,0x3fffffe6,
    0xffffffff,0x00ffffff,0x006ffd80,0x06ffffc8,0x09fff500,0x207ffec0,
    0x001ffff8,0x4c17fff2,0x7cc03fff,0x0fffceff,0x01ffffd8,0x00ffffb8,
    0x0ffff100,0x0bfff500,0xff100000,0x200000ff,0x0000fffe,0x000ffff1,
    0x002fffd4,0x66fffcc0,0xfecccccc,0xf88001ff,0x00003fff,0x555bfff9,
    0x55555555,0x007fffd5,0x0007fff9,0x02fffd40,0x4fffe800,0x0bfffa00,
    0x2ab7fff2,0xaaaaaaaa,0x03fffeaa,0x01bffee0,0x5bfff900,0x55555555,
    0x7fffd555,0x0fffa800,0xfffe8800,0xfff50001,0x7ffec009,0x1ffffd80,
    0x0ffffb80,0x007fff30,0xfffdfffd,0xfffff301,0x7fffd401,0x3fe20004,
    0xffa8007f,0x8000005f,0x0007fff8,0x06fffb80,0x1fffe200,0x5fffa800,
    0xfffd8000,0x0fffe400,0x37ffec00,0xffff0000,0xfff90003,0x7fff900d,
    0x7fd40000,0xf500005f,0xd8807fff,0xfff05fff,0xff90003f,0x7ff400df,
    0x7fc0004f,0xfc8001ff,0x7f4006ff,0x54c0005f,0x3fea0000,0x3ff6004f,
    0xffff980f,0x3ffea00f,0x3ffe604f,0xffffa803,0xffb00fff,0x9337bfff,
    0x01fffffd,0x3fffc400,0x2fffd400,0x7c400000,0x7bf007ff,0x7ed4c413,
    0x20003fff,0x0007fff8,0x0017ffea,0x00bfff10,0x8003fff9,0x001ffffa,
    0x0dfff300,0x3fffe600,0x1fffe400,0xfff50000,0x7ec0000b,0x889adfff,
    0x1fffffb9,0x006fff98,0x81ffff30,0xffea8999,0x260000ff,0x30006fff,
    0x2001ffff,0x0004fff8,0xffa80000,0x3ff6004f,0xffffb00f,0xfd9337bf,
    0x4c01ffff,0xfd003fff,0x401fffff,0xfffffffc,0x0dffffff,0x55555500,
    0x555ffff7,0x3ea05555,0xaaaaaeff,0x1aaaaaaa,0x75555550,0x5555ffff,
    0x7fffc555,0xffffffff,0x440003ff,0x20007fff,0xaaaefffa,0xaaaaaaaa,
    0x0bffee1a,0x26bfff20,0x44099999,0xeeefffff,0xeeeeeeee,0x3f21eeee,
    0x3e0004ff,0x7e403fff,0xaaaaadff,0x1aaaaaaa,0x55dfff50,0x55555555,
    0x3fe60355,0xffffffff,0x903fffff,0x40009fff,0x7fc3ffff,0x4fffffff,
    0x7ffe4000,0x3ffe0004,0x3ffe003f,0x0000001f,0x027ffd40,0x401fffb0,
    0xfffffffc,0x0dffffff,0x01fffcc0,0xffffffa8,0x7fffd400,0x4fffffff,
    0x7ffffc00,0xffffffff,0xf506ffff,0xffffffff,0x9fffffff,0x3fffffe0,
    0xffffffff,0x3ffe6fff,0xffffffff,0x880003ff,0x20007fff,0xfffffffa,
    0xffffffff,0x01fffa4f,0x7fffffe4,0x7dc6ffff,0xffffffff,0xffffffff,
    0x3ffe1fff,0x3f20001f,0x7fe405ff,0xffffffff,0x04ffffff,0xfffffff5,
    0xffffffff,0x7fec409f,0xffffffff,0x3ffe01ef,0x3f20001f,0x7fffc5ff,
    0x0004ffff,0x001ffff8,0x017fff20,0xffffffb8,0x80000002,0x2004fffa,
    0x5400fffd,0xffffffff,0xf3004fff,0x7f4007ff,0x9800ffff,0xefffffdc,
    0xfff8001c,0xffffffff,0x06ffffff,0xfffffff5,0xffffffff,0x3fffe09f,
    0xffffffff,0x366fffff,0xffffffff,0x200002ef,0x0007fff8,0x3fffffea,
    0xffffffff,0x9fff54ff,0x3ffff200,0x46ffffff,0xfffffffb,0xffffffff,
    0xf31fffff,0xa8000fff,0x3200ffff,0xffffffff,0xffffffff,0xfffff504,
    0xffffffff,0xb5009fff,0xdffffffd,0x7fff9807,0x7ffd4000,0x3ffffe0f,
    0x980002ef,0x40007fff,0x000ffffa,0x5ffffff1,0x50000000,0x6c009fff,
    0xc9800fff,0xcefffffd,0x3ffe6001,0x3ffee003,0xa88000ff,0xfff80001,
    0xffffffff,0x06ffffff,0xfffffff5,0xffffffff,0x3fffe09f,0xffffffff,
    0x886fffff,0x0009aa99,0xffff1000,0x7ffd4000,0xffffffff,0xfb4fffff,
    0x3f2003ff,0xffffffff,0x7fffdc6f,0xffffffff,0xffffffff,0x009fff91,
    0x05ffff00,0x7fffffe4,0xffffffff,0xfff504ff,0xffffffff,0x009fffff,
    0x40013530,0x0004fffc,0x222ffff8,0x000009a9,0x0027ffe4,0x017fffc0,
    0x077bb2e0,0x2a000000,0x36004fff,0x88000fff,0x0000001a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x00000ab8,0x7ffc0000,0xffffffff,0x06ffffff,0x00000000,
    0x0ccc0333,0x00000000,0x00000000,0x00cc0000,0x00000000,0x00000000,
    0x00000660,0x00000000,0x00000000,0xab880000,0x98800000,0xaaaaaaaa,
    0x00000002,0x32000aa2,0xffc84fff,0xffb8004f,0x00000eff,0x1dfff300,
    0x3ff20000,0x7fc003ff,0xffffffff,0x6fffffff,0xfff30000,0x3e0005ff,
    0x6ffa81ff,0x80bff200,0x90003ffb,0x0007ffff,0x3fffe600,0x3f66002f,
    0xe980cfff,0xff980000,0x80002fff,0x003ffffc,0xffffb300,0x001d3019,
    0x1ffffe40,0x0bff2000,0x0003ffb8,0xfffff300,0x7fcc0005,0x4c0000ef,
    0xffffffec,0x006fffff,0x7ffffc40,0x77ff4c03,0x7ffdc000,0x4fffd88e,
    0x3ffe6000,0x000000ef,0x04ffffd8,0xffffd800,0x3fe004ff,0xffffffff,
    0x6fffffff,0xfff98000,0x3a0001ef,0x3fa61dff,0xfff5004f,0xffff301f,
    0xfffd8001,0x00004fff,0x0f7fffcc,0xffffd100,0x3ea17fff,0x7cc0006f,
    0x0001efff,0xffffffd8,0x7f440004,0x0bffffff,0x2000dff5,0x4ffffffd,
    0xffff5000,0x1ffff301,0xff980000,0x40001eff,0x004ffffd,0xfffff910,
    0xffffffff,0x744000df,0xd801efff,0x8005ffff,0xfffffffa,0xd880003f,
    0x0000efff,0x7ffffc00,0x7fec0005,0x04fffedf,0x75555550,0x5555ffff,
    0x98000555,0x0004ffff,0xffffffb8,0x7001ffff,0xf503ffff,0x6c005fff,
    0xfffedfff,0xff300004,0xe88009ff,0xfffedfff,0x04ffffff,0x3fffe600,
    0xffb00004,0x09fffdbf,0x3fffa200,0xffffffed,0xd8004fff,0xfffedfff,
    0xfffb8004,0xffffa81f,0x3e600002,0x00004fff,0x00bfffff,0xffffff70,
    0xfddddfff,0x22000dff,0x000dfffe,0x00ffffff,0x3ffffea0,0x5c00002f,
    0x0000efff,0x3ffff600,0xffb10004,0x3fff627f,0x3fe20005,0x3000007f,
    0x0005ffff,0x7ffffe40,0x22003fff,0xf880ffff,0xd8800fff,0xffb13fff,
    0xf98000bf,0xb0002fff,0xfffea8bf,0x20005fff,0x002ffff9,0x3fffd880,
    0x00bfffb1,0xfd517f60,0x00bfffff,0x13fffd88,0x800bfffb,0x880ffff8,
    0x0000ffff,0x05ffff30,0x7ffec000,0x7fd4004f,0x7fffffff,0x0037ffc4,
    0x01ffff44,0x1bffffa0,0xeeee9800,0xb3000002,0x00000bdd,0x002fff44,
    0x703bdd90,0x20009ddd,0x0007fff8,0x0deed880,0xed980000,0x8000ceff,
    0x32601dc9,0xbdd9001d,0x09ddd703,0x37bb6200,0x70240000,0x0005bffd,
    0x006f76c4,0x1deec800,0x004eeeb8,0x7ff5c090,0xeec8002d,0x4eeeb81d,
    0x00ee4c00,0x00003b93,0x0037bb62,0xbffd1000,0xffff8800,0x47ffffff,
    0x8006fff8,0x8001deed,0x001ffff9,0x00000000,0x20000000,0x00000009,
    0x3fe20000,0x0000007f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20002600,
    0xfffffffd,0x7fc47fff,0x0000006f,0x0002ee20,0x00000000,0x00000000,
    0x00000000,0x0ffff100,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfffff000,0x8fffffff,0x0006fff8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0ffff100,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffff8800,0x7fffffff,0x0037ffc4,0x00000000,0x3fffffe2,0x02ccefff,
    0x7fffc000,0x7fc0007f,0xffffffff,0x6fffffff,0x0001bffe,0x22017ffa,
    0x00007fff,0x07fffff8,0x7ffffc00,0xffffffff,0xff06ffff,0xffffffff,
    0xdfffffff,0x3fffffe0,0xffffffff,0x7fcc6fff,0x32001fff,0xfff00fff,
    0xffffffff,0x2dffffff,0x001ffffd,0x53fffe20,0x001ffffd,0x13fffe20,
    0x03fffff3,0x207ffe40,0x8004fffb,0xffb2fffd,0x440003ff,0xff84ffff,
    0xffffffff,0xffffffff,0xfffff07f,0xffffffff,0x4fffffff,0xfffffffa,
    0x7c47ffff,0xfff106ff,0x9dffffff,0x99880059,0xffff1000,0xffffffff,
    0x300005df,0x03ffffff,0x7ffffc00,0xffffffff,0x3fa6ffff,0xff80007f,
    0xfff8805f,0x7cc00007,0x001fffff,0x3fffffe0,0xffffffff,0xfff06fff,
    0xffffffff,0x0dffffff,0x3ffffffe,0xffffffff,0x7ffcc6ff,0x3f2005ff,
    0xffff00ff,0xffffffff,0x22dfffff,0x0005ffff,0x443ffff2,0x0005ffff,
    0x303ffff2,0x00bfffff,0x2e07ffe4,0xd8004fff,0xfff12fff,0x7e4000bf,
    0xfff80fff,0xffffffff,0xffffffff,0xffffff07,0xffffffff,0x5cffffff,
    0xffffffff,0x7fc47fff,0xffff106f,0xffffffff,0x3fa005df,0xfff1005f,
    0xffffffff,0x000bffff,0xffffffc8,0x3ffe0004,0xffffffff,0x26ffffff,
    0x80007ffd,0xf8804fff,0x400007ff,0x4ffffffc,0x3fffe000,0xffffffff,
    0xf06fffff,0xffffffff,0xffffffff,0x3ffffe0d,0xffffffff,0x7cc6ffff,
    0x000fffff,0x3e01fff9,0xffffffff,0xffffffff,0x07ffff26,0x3fffe200,
    0x0ffffe43,0x7fffc400,0xfffff983,0xfff9000f,0x04fffb81,0x22fffd80,
    0x001ffffc,0x03ffff88,0xffffffff,0xffffffff,0x3fe0ffff,0xffffffff,
    0xffffffff,0x3fffe67f,0x7fffffff,0x8837ffc4,0xffffffff,0x5fffffff,
    0x005ffe80,0x555ffff1,0xffffd975,0x7fc0005f,0x006fffff,0x2aaaaaa0,
    0xaaaffffb,0x3ff62aaa,0x7fc0000f,0xfff8804f,0x7fc00007,0x006fffff,
    0x2aaaaaa0,0xaaaffffb,0x55502aaa,0xffff7555,0x05555555,0x2eaaaaaa,
    0xaaaaffff,0x7ffcc2aa,0xf9004fff,0x2aaa01ff,0xffffbaaa,0x22aaaaaa,
    0x006ffff8,0x886fffd8,0x8006ffff,0xf306fffd,0x009fffff,0xf703fff2,
    0xfb0009ff,0x7ffc45ff,0xffd8006f,0x3bbba06f,0xeeeeeeee,0x5ffffeee,
    0xddddddd0,0xdddddddd,0x7c4bffff,0xffffffff,0x7ffc47ff,0x5ffff106,
    0xffd97555,0xfe805fff,0xfff1005f,0xffffa80f,0xff98000f,0x01ffffcf,
    0x7ffc4000,0x1fff9007,0x7ffc4000,0x7fff8803,0x3fe60000,0x01ffffcf,
    0x7ffc4000,0x3e200007,0x200007ff,0x2007fff8,0xfffffff9,0x0fffc800,
    0x3fffc400,0x5ffff700,0x7fffcc00,0x5ffff702,0x7fffcc00,0xfffff302,
    0xff9001ff,0x4fffb81f,0x2fffd800,0x017fffdc,0x05ffff30,0xfff90000,
    0xc800001f,0x7fc0ffff,0xffffffff,0x37ffc47f,0x407fff88,0x00fffffa,
    0x4401bffa,0xf9807fff,0xc8002fff,0xfffc9fff,0x7c400004,0xff9007ff,
    0x7c40001f,0xff8803ff,0x3200007f,0xfffc9fff,0x7c400004,0x200007ff,
    0x0007fff8,0x01fffe20,0xffefff98,0xfffc804f,0x7ffc4000,0x7fff4007,
    0x3fff6006,0x37fff405,0x0bfffb00,0x7ff7ffcc,0xfffc804f,0x027ffdc0,
    0x417ffec0,0x2006fffe,0x0005fffd,0x3ffff980,0x7fcc0000,0xfffb83ff,
    0x7fffffff,0x8837ffc4,0xf9807fff,0x3fe02fff,0xfff1006f,0x3fff600f,
    0x7fff8004,0x000dfff5,0x07fff880,0x003fff70,0x017ffc40,0x003fffc4,
    0x2affff00,0x00006fff,0x003fffc4,0x0ffff100,0x7ffc4000,0x3ffe6007,
    0x400ffffc,0x4000fffc,0x4007fff8,0x803ffffa,0x401ffff9,0x803ffffa,
    0x201ffff9,0xfffcfff9,0x7ffe400f,0x027ffdc0,0x417ffec0,0x803ffffa,
    0x001ffff9,0x5fffe800,0xffe80000,0x3fffa05f,0x47ffffff,0xf106fff8,
    0x3f600fff,0x3ffe04ff,0xffff1006,0x17fff200,0x49fff300,0x0001ffff,
    0x01fffe20,0x000fffdc,0x005fff30,0x000ffff1,0xf93ffe60,0x00001fff,
    0x001fffe2,0x07fff880,0x3ffe2000,0x3ffe6007,0x403fffbb,0x4000fffc,
    0x8007fff8,0xd807fffd,0xfb004fff,0xffb00fff,0xfff9809f,0x403fffbb,
    0x7dc0fffc,0xfd8004ff,0xfffb02ff,0x9fffb00f,0xff700000,0x800001ff,
    0x200ffffb,0xfffffff8,0x7ffc47ff,0x0ffff106,0x817fff20,0xf1006fff,
    0x3ee00fff,0x7e4005ff,0x3fff62ff,0x3e200004,0xff5007ff,0x7cc0005f,
    0xff8801ff,0xf900007f,0x7ffec5ff,0x3e200004,0x200007ff,0x0007fff8,
    0x01fffe20,0xf8bfff98,0x7fe407ff,0x7fc4000f,0xff98007f,0x3fea03ff,
    0xff3000ff,0x7fd407ff,0x7fcc00ff,0x07fff8bf,0x2e07ffe4,0xd8004fff,
    0xff302fff,0x7fd407ff,0x400000ff,0x003ffff9,0x7fffcc00,0xfffd9803,
    0x7c47ffff,0xfff106ff,0x3ffee00f,0x01fffe05,0x803fffc4,0x4004fffc,
    0x7fd47fff,0x2200006f,0xf5007fff,0x540005ff,0xf8801fff,0xf00007ff,
    0xfffa8fff,0x3e200006,0x200007ff,0x0007fff8,0x01fffe20,0xfb3fff98,
    0x7fe407ff,0x7fc4000f,0xff90007f,0x3ffa01ff,0x7fe4003f,0xfffd00ff,
    0x7fff3007,0xc80ffff6,0x7fdc0fff,0xffd8004f,0x3fff202f,0x7fffd00f,
    0xffd00000,0xd00000bf,0x9800bfff,0x47fffffe,0xf106fff8,0x3f200fff,
    0x3ffe04ff,0xffff1007,0x0bfffa00,0x45fff980,0x001ffff8,0x0ffff100,
    0x40fffe60,0xff502eeb,0xfff1001f,0xff30000f,0xffff88bf,0xff100001,
    0x440000ff,0x00007fff,0x801fffe2,0xff33fff9,0x7ffe40df,0x7ffc4000,
    0xfff10007,0xdfff509f,0xffff1000,0x0dfff509,0x4cfffe60,0x3f206fff,
    0x7ffdc0ff,0xfffd8004,0x3fffe202,0x06fffa84,0xfffb8000,0x5c00000f,
    0x0000ffff,0x88db9553,0xff106fff,0x3ffa00ff,0x1fffe02f,0x03fffc40,
    0x0037ffec,0x360bfff2,0x00003fff,0x200ffff1,0xff03fff8,0x3ffee0bf,
    0x7fff8800,0xfffc8000,0x03fffd82,0xffff1000,0x7fc40000,0x2200007f,
    0x26007fff,0x3ffa3fff,0x1fff902f,0x7fff8800,0x3ffee000,0x17fff40f,
    0xffffb800,0x017fff40,0x3a3fff98,0xff902fff,0x4fffb81f,0x2fffd800,
    0x07fffdc0,0x000bfffa,0x7ffff300,0xff980000,0x000003ff,0x8837ffc4,
    0xfd807fff,0x3fe206ff,0xfff1007f,0x7ffecc0f,0x7ffc002f,0x6fffb80f,
    0xfff10000,0x3ffe200f,0x0ffff984,0x1007ffb8,0x0000ffff,0xf701ffff,
    0x20000dff,0x0007fff8,0x01fffe20,0x7fff8800,0x8fffe600,0xf906fffa,
    0xf88001ff,0x7c0007ff,0x3fee4fff,0x7fc0006f,0x3ffee4ff,0x3ffe6006,
    0x41bffea3,0x7dc0fffc,0xaaaaadff,0xeaaaaaaa,0xff802fff,0x3ffee4ff,
    0xfe800006,0x800005ff,0x0005fffe,0x6fff8800,0x40ffff10,0x02ffffd9,
    0x401fffe2,0xcccffff8,0xffffffec,0x7ffcc003,0x3ffff105,0xfff10000,
    0x27ffc00f,0x41ffffe4,0xf1007ffc,0x98000fff,0xff105fff,0x100003ff,
    0x0000ffff,0x003fffc4,0x0ffff100,0x21fffcc0,0xfc81fffe,0x7c4000ff,
    0x540007ff,0xffd0ffff,0xfa80003f,0xfffd0fff,0x7ffcc003,0x40ffff43,
    0x7dc0fffc,0xffffffff,0xffffffff,0xfa802fff,0xfffd0fff,0xfb800003,
    0x00000fff,0x007fffdc,0x7fc40000,0xffff106f,0xfffd9999,0xf8807fff,
    0xf8800fff,0xffffffff,0x002effff,0x203fffc8,0x0003fffe,0x007fff88,
    0x3fe13ffe,0xffc86fff,0xffff1006,0xfffc8000,0x0ffffa03,0x3ffe2000,
    0x3e200007,0x200007ff,0x2007fff8,0x7dc3fff9,0xfffc85ff,0x7ffc4000,
    0xffe80007,0x05fffbcf,0x9fffd000,0x800bfff7,0x7dc3fff9,0xfffc85ff,
    0x7ffffdc0,0xffffffff,0x2fffffff,0x79fffd00,0x0000bfff,0x03ffff88,
    0x7ffc4000,0x0000003f,0x220dfff1,0xffffffff,0x02efffff,0x00ffff88,
    0xffffff88,0x01efffff,0x03fffe00,0x006fffb8,0x07fff880,0xf317ffa0,
    0xc81fffff,0xff1006ff,0xff8000ff,0x3fee00ff,0xf880006f,0x200007ff,
    0x0007fff8,0x01fffe20,0xf83fff98,0x7fe41fff,0x7fc4000f,0xf980007f,
    0x0fffffff,0xfff30000,0x001fffff,0xf83fff98,0x7fe41fff,0x7fffdc0f,
    0xffffffff,0xffffffff,0xffff3002,0x0001ffff,0x06fffe80,0xfffe8000,
    0x20000006,0xf106fff8,0xffffffff,0x44003dff,0x8800ffff,0xedccffff,
    0x0003ffff,0x980dfff3,0x0000ffff,0x003fffc4,0xffc8bffd,0x7ec3fffc,
    0xfff1005f,0x7fcc000f,0x7ffcc06f,0x7c40000f,0x200007ff,0x0007fff8,
    0x01fffe20,0xb83fff98,0x7fe45fff,0x7fc4000f,0xfb00007f,0x009fffff,
    0xffffd800,0xf98004ff,0xfffb83ff,0x207ffe45,0x999dfffb,0x99999999,
    0x002fffe9,0x3ffffff6,0x7dc00004,0x00000fff,0x007fffdc,0xff100000,
    0x3ffe20df,0xfffedccf,0x3fe6003f,0xff8800ff,0xffff987f,0xfffc8005,
    0x3fffe803,0x7ffc4000,0x1bff6007,0xdffb3ffd,0x5545ffd8,0xfffbaaaa,
    0x2aaaaaaf,0x01fffe40,0x001ffff4,0x01fffe20,0x7fff8800,0x3fe20000,
    0x3fe6007f,0xffff883f,0x003fff21,0x00ffff10,0x3fffe200,0x400000ff,
    0x0ffffff8,0x3fff9800,0x21ffff88,0x7dc0fffc,0xfd8004ff,0x3e2002ff,
    0x000fffff,0x3fffe200,0x7c400003,0x00003fff,0x37ffc400,0x987fff88,
    0x3005ffff,0x1003ffff,0x3e20ffff,0x7c002fff,0xfc801fff,0x440006ff,
    0x36007fff,0x5ffe66ff,0x3fa1fffb,0x7ffffc4f,0xffffffff,0x7c06ffff,
    0xfc801fff,0x440006ff,0x00007fff,0x001fffe2,0x07fff880,0x40fffe60,
    0x3f24fffc,0x7c4000ff,0x200007ff,0x003ffffc,0xffff9000,0x3fe60007,
    0x9fff903f,0x2e07ffe4,0xd8004fff,0x64002fff,0x0003ffff,0x037ffec0,
    0x7ffec000,0x80000006,0xf106fff8,0x3fe20fff,0xff9802ff,0xff8801ff,
    0x3ffee07f,0x3ffe6006,0x9999999f,0x0ffffa99,0x3ffe2000,0x9fff2007,
    0xfff15ffb,0x3e27ff47,0xffffffff,0xffffffff,0x3fffe606,0x99999999,
    0x00ffffa9,0x1fffe200,0xfff88000,0x3e200007,0x3e6007ff,0xfff103ff,
    0x03fff21f,0x0ffff100,0x7ffc4000,0x22000007,0x20007fff,0xf103fff9,
    0x3ff21fff,0x27ffdc0f,0x17ffec00,0x1fffe200,0xfff70000,0xb800001f,
    0x0000ffff,0xfff88000,0x0ffff106,0x4037ffdc,0x801ffff9,0x7407fff8,
    0xf9003fff,0xffffffff,0xffffffff,0x7c40007f,0x3f2007ff,0xe8bffa7f,
    0x0fffe6ff,0xffffffff,0xffffffff,0x7ffe40df,0xffffffff,0x3fffffff,
    0x3ffe2000,0x3e200007,0x200007ff,0x2007fff8,0x3203fff9,0xfff93fff,
    0xfff88001,0x3e200007,0x000007ff,0x001fffe2,0x203fff98,0xff93fffc,
    0x4fffb81f,0x2fffd800,0x3fffc400,0xfff10000,0x8800007f,0x0003ffff,
    0xfff30000,0x1fffe20b,0x807fffd0,0x801ffff9,0x5c07fff8,0xf800ffff,
    0xffffffff,0xffffffff,0x220006ff,0x2e007fff,0x7ff98fff,0xff8fffdc,
    0xf880003f,0x3ffe03ff,0xffffffff,0xffffffff,0x3fe20006,0x2200007f,
    0x00007fff,0x801fffe2,0x2603fff9,0xfff97fff,0xfff88001,0x3e200007,
    0x000007ff,0x001fffe2,0x203fff98,0xff97fff9,0x4fffb81f,0x2fffd800,
    0x3fffc400,0xfffb0000,0xfb00000d,0x00000dff,0x1fffd400,0x407fff88,
    0x200ffffb,0x802ffffa,0xf807fff8,0x7cc03fff,0xffffffff,0xffffffff,
    0x10000fff,0x5400ffff,0x5ffb8fff,0xffa7ffc4,0x7440002f,0x3fe604ff,
    0xffffffff,0xffffffff,0xf10000ff,0x40000fff,0x0007fff8,0x01fffe20,
    0x403fff98,0xffcafffd,0x7fc4000f,0x2200007f,0x00007fff,0x01fffe20,
    0x03fff980,0x7e57ffec,0x7ffdc0ff,0xfffd8004,0x7ffc4002,0xff500007,
    0x800001ff,0x000ffffa,0x3f200000,0xfff102ff,0x7ffff00f,0x17fffd40,
    0x03fffc40,0x203fffdc,0xaaadfffc,0xaaaaaaaa,0x003fffea,0x00ffff10,
    0x7f4fffd4,0x8fffd82f,0x40002fff,0x7e406ffd,0xaaaaadff,0xeaaaaaaa,
    0x10003fff,0x0000ffff,0x003fffc4,0x0ffff100,0x01fffcc0,0x3f3bffe6,
    0x7c4000ff,0x200007ff,0x0007fff8,0x1fffe200,0x3fff9800,0x677ffcc0,
    0x7fdc0fff,0xffd8004f,0x7fc4002f,0xf880007f,0x00003fff,0x01ffffc4,
    0x8800c000,0xf100ffff,0xff700fff,0x7ffd40ff,0xfff8802f,0xffff8807,
    0x07fffe03,0x1bfff200,0x3fffc400,0xf5fff300,0xfff701ff,0x0003fff5,
    0x201fffc4,0x8001ffff,0x0006fffc,0x000ffff1,0x03fffc40,0xffff1000,
    0x1fffcc00,0x7f7fff40,0x7c4000ff,0x200007ff,0x0007fff8,0x1fffe200,
    0x3fff9800,0xfefffe80,0x7ffdc0ff,0xfffd8004,0x7ffc4002,0xffd80007,
    0xd800006f,0x00006fff,0x2200cfa8,0x2204fffe,0xf8807fff,0x55103fff,
    0xff100155,0x3ff200ff,0xdfff306f,0x3ffe6000,0xff88000f,0x3fe6007f,
    0xf105ffdf,0x01fffbff,0x17ffd400,0x00dfff30,0x03fffe60,0x1fffe200,
    0xfff88000,0x3e200007,0x3e6007ff,0xffa803ff,0x000fffff,0x003fffc4,
    0x0ffff100,0x7fc40000,0x3e60007f,0xffa803ff,0x5c0fffff,0xd8004fff,
    0x44002fff,0x40007fff,0x001ffffa,0x7fffd400,0x7c400001,0x989bcfff,
    0x00fffffb,0x401fffe2,0x0006fffc,0x03fffc40,0x82ffff88,0x0004fffc,
    0xa80ffffe,0xffbaaaaa,0xaaaaaaff,0x7ffffc42,0x3fff602f,0x20000fff,
    0x900efff9,0x40009fff,0x2a03ffff,0xffbaaaaa,0xaaaaaaff,0x55555502,
    0x555ffff7,0x2aa05555,0xfffbaaaa,0x2aaaaaaf,0x801fffcc,0x0ffffffe,
    0x75555550,0x5555ffff,0xf8800555,0x000007ff,0x001fffe2,0x003fff98,
    0x1ffffffd,0x004fffb8,0x002fffd8,0x003fffc4,0xdfffff10,0xdddddddd,
    0x83dddddd,0xeefffff8,0xeeeeeeee,0xb81eeeee,0xffffffff,0x02ffffff,
    0x803fffc4,0x002ffff8,0x1fffe200,0x86fffd80,0x0001ffff,0xf817fff2,
    0xffffffff,0xffffffff,0x7ffffc46,0x3ffea00f,0xd80007ff,0x20ffffff,
    0x0001ffff,0xf817fff2,0xffffffff,0xffffffff,0xffffff06,0xffffffff,
    0x3fe0dfff,0xffffffff,0x6fffffff,0x801fffcc,0x0ffffffa,0xfffffff0,
    0xffffffff,0xf8800dff,0x000007ff,0x001fffe2,0x003fff98,0x1ffffff5,
    0x004fffb8,0x002fffd8,0x003fffc4,0xffffff70,0xffffffff,0x83ffffff,
    0xfffffffb,0xffffffff,0x301fffff,0xfffffffd,0x1003dfff,0x6c00ffff,
    0x00006fff,0x801fffe2,0x262ffff9,0x40007fff,0xf00ffffa,0xffffffff,
    0xffffffff,0xbfffff0d,0xfffff880,0xff980007,0xff30ffff,0xfa8000ff,
    0xfff00fff,0xffffffff,0x0dffffff,0x3ffffffe,0xffffffff,0xffff06ff,
    0xffffffff,0x98dfffff,0x3a003fff,0xf00fffff,0xffffffff,0xffffffff,
    0xfff8800d,0x22000007,0x20007fff,0x2003fff9,0x40fffffe,0x8004fffb,
    0x4002fffd,0x0007fff8,0x3fffffee,0xffffffff,0x41ffffff,0xfffffffb,
    0xffffffff,0x401fffff,0xfffffedb,0x3fe2003e,0x3fe6007f,0x100002ff,
    0xd800ffff,0x3ff26fff,0xff80004f,0xffff02ff,0xffffffff,0xf0dfffff,
    0xb005ffff,0x000fffff,0x37bb6e20,0x009fff90,0x05ffff00,0x3ffffffe,
    0xffffffff,0xffff06ff,0xffffffff,0x20dfffff,0xffffffff,0xffffffff,
    0x1fffcc6f,0xfffff700,0x3ffffe01,0xffffffff,0x4006ffff,0x0007fff8,
    0x1fffe200,0x3fff9800,0x3fffee00,0x27ffdc0f,0x17ffec00,0x1fffe200,
    0xffffb800,0xffffffff,0xffffffff,0x7ffffdc1,0xffffffff,0x1fffffff,
    0x00266200,0x03fffc40,0x01bfff60,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x33300ccc,0xfffff500,0xffffffff,0xf0009fff,
    0x000fffff,0x0055c400,0x00000000,0x98000000,0x00666019,0x0066a200,
    0x00000000,0x01355530,0x00000000,0x2aaaaa00,0x80000001,0x0001aaa8,
    0x55300000,0x005b9105,0x2a200000,0x8800000a,0x000000aa,0x1332e000,
    0x01aaa800,0x02ffc800,0xf800ffee,0x6ffa81ff,0xfffffa80,0xffffffff,
    0x4c004fff,0x01ffffff,0xfff98000,0xff90000e,0x7fff909f,0x13fff200,
    0x0013fff2,0xfa81fff8,0xdca8006f,0xcfffffff,0xffffc802,0xffffffff,
    0xfdb50002,0xdfffffff,0x3fff2009,0xffffffff,0x3600002f,0x000dffff,
    0x7fffffe4,0x82ffffff,0x00006ffe,0xdfff0000,0x007fffd0,0x7ec40000,
    0x0000cfff,0xcffffd88,0x00000000,0x002fffc4,0x03ffffd8,0x3fffea00,
    0x0ffff980,0x43bffd00,0xa804ffe9,0xffffffff,0xffffffff,0x7ffe4004,
    0x00004fff,0x04ffffd8,0x3bfff200,0x03fffe88,0x477ffdc0,0x004fffd8,
    0x30efff40,0x4c009ffd,0xfffffffe,0x406fffff,0xfffffffc,0x002fffff,
    0x7fffff54,0x7fffffff,0xfffff900,0x5fffffff,0x3ff20000,0xf90003ff,
    0xffffffff,0xff705fff,0x0000003f,0x42fffa80,0x007ffff9,0xffd10000,
    0x000bffff,0xfffffe88,0x0000005f,0x017ffd40,0x7ffffec0,0xff70003f,
    0xfff503ff,0x3fee005f,0xffffffff,0xefffa801,0xaaaaaaaa,0x4001aaaa,
    0x6fffffff,0xfff80000,0x5c0005ff,0xffffffff,0xfff50002,0x007fffff,
    0xfffff700,0x003fffff,0x3fffffea,0xffffffff,0x7fffe406,0xffffffff,
    0x3fff2002,0xffffffff,0xf9007fff,0xffffffff,0x00005fff,0x003dfff9,
    0x7ffffe40,0x2fffffff,0x005fff88,0x7f400000,0xfffff07f,0x90000001,
    0xffb119ff,0x7fe40005,0x02ffd88c,0x90060000,0xfb000fff,0x7fffd9ff,
    0xffff1000,0x1ffff101,0x7fffe400,0x5003ffff,0x0000bfff,0xfcfff980,
    0x00001fff,0x027fffec,0x7fffdc00,0x540002ff,0x02ffffff,0x3fff2000,
    0x003fffff,0xbffffffb,0xffd97557,0x0000000d,0x67ffffd4,0xcaa9999a,
    0x0000007e,0x3fff2000,0x0000000d,0x03fff600,0x4c000000,0xff503fff,
    0x000003ff,0x9ff0dfd0,0x437f4000,0x400004ff,0x7f406fdb,0x7fec004f,
    0x7fffb13f,0x03b93000,0x4000ee4c,0x0ceffed9,0x17ffea00,0xff900000,
    0x09fff93f,0xffe88000,0x3aa00005,0x00001eee,0x005dddd3,0xffdb3000,
    0x3f20019d,0x8802ffff,0x0000005c,0x09ffff30,0x00000000,0x3fff2000,
    0x001ffea3,0xff980000,0x0000003f,0x401fffb0,0x0000fffd,0xe85ff800,
    0x3fe0005f,0x0005fe85,0x81bffe20,0x2001fff8,0xfc82fffd,0x000003ff,
    0x00000000,0x002fffd4,0x5fffe000,0x0006fffa,0x00001300,0x00000000,
    0x00000000,0x1dffff10,0x00000000,0x17fff200,0x00000000,0x09998000,
    0x00027fec,0x3ffa0000,0x80000007,0x6405fff8,0x000006ff,0x7c41ffb0,
    0x3f60004f,0x013fe20f,0x6fff8800,0x801bfee0,0x26009998,0x00000199,
    0x00000000,0x002fffd4,0x9fff3000,0x000ffffc,0x00000000,0x00000000,
    0x00000000,0x000dfffb,0x80000000,0x0002fffd,0x00000000,0x03fff000,
    0xa8000000,0x00002fff,0x0fffdc00,0x0013ffa0,0x7ffd4000,0x001fffbc,
    0x2f3ffea0,0x00001fff,0x881bffe2,0x00000099,0x00000000,0xa8000000,
    0x00005fff,0xd8bfff20,0x00004fff,0x00000000,0x00000000,0xf3000000,
    0x00005fff,0x3ffffe00,0xffff8007,0xff800001,0xffffffff,0x6fffffff,
    0x3fea0000,0x3ffea007,0xffffffff,0xf04fffff,0x00000dff,0x206fff80,
    0x0006ffd9,0x7ffe4000,0x80003fff,0x3ffffffc,0x7fc40000,0x0000006f,
    0xffa80000,0xffffffff,0x04ffffff,0x3fffffc0,0x17ffea00,0xfff80000,
    0x037ffd47,0x7ffffd40,0xffffffff,0xff504fff,0xffffffff,0x09ffffff,
    0xfffffff7,0x003579df,0x7ffffd40,0xffffffff,0x3ff64fff,0x0000006f,
    0x3ffffff3,0x3ffff800,0xfff80000,0xffffffff,0x06ffffff,0x36aaa200,
    0x3ea004ff,0xffffffff,0x4fffffff,0x003fff90,0x3fea0000,0xfffff03f,
    0x00000003,0x003bffb5,0x6ffed400,0xf8800001,0x000006ff,0x0099a980,
    0x7ffffd40,0xffffffff,0x26004fff,0x01ffffff,0x017ffea0,0x7ffcc000,
    0x0ffffc45,0x3fffea00,0xffffffff,0xf504ffff,0xffffffff,0x9fffffff,
    0xffffff70,0xffffffff,0xfff50005,0xffffffff,0x7c9fffff,0x00002fff,
    0xfffff900,0xffd8009f,0xf800006f,0xffffffff,0xffffffff,0x7ff5c006,
    0x02ffffff,0x3ffffea0,0xffffffff,0xff104fff,0x0000009f,0xff81fff6,
    0x000000df,0x00000000,0x44000000,0x00006fff,0xfffecb80,0x801cefff,
    0xfffffffa,0xffffffff,0x3ff2004f,0x2004ffff,0x0005fffa,0x05fff900,
    0x8007fffb,0xfffffffa,0xffffffff,0xffff504f,0xffffffff,0xf709ffff,
    0xffffffff,0x1bffffff,0x7fffd400,0xffffffff,0xff14ffff,0x000000ff,
    0x7ffffffc,0x7ffdc006,0x200000ef,0xfbaaaaaa,0xaaaaafff,0xffd3002a,
    0xffffffff,0x3fea007f,0xaaaaaaef,0x01aaaaaa,0x0003fff6,0x9fff3000,
    0x00005640,0x00000000,0x35553100,0x7fe40003,0xffffffff,0xffffffff,
    0x744001ff,0xffffffff,0xfa804fff,0xaaaaaeff,0x1aaaaaaa,0x3ffffe00,
    0x3ea006ff,0x99999dff,0x01999999,0x701ffff0,0xa800dfff,0xaaaaefff,
    0xaaaaaaaa,0x5dfff501,0x55555555,0xff703555,0xd97555bf,0x7fffffff,
    0x3bffea00,0xaaaaaaaa,0xff51aaaa,0x000000df,0x3ff3ffe6,0x3a2001ff,
    0x003fffff,0x7ffc4000,0x7fdc0007,0xffffffff,0xa805ffff,0x00005fff,
    0x001fffd4,0x3fff2000,0x54400000,0xff50009a,0x7fec009f,0x3f6e200f,
    0xffffffff,0x7fe4000c,0xffffffff,0xffffffff,0x3ee001ff,0xffffffff,
    0xa804ffff,0x00005fff,0x3f3ffe60,0xf5001fff,0xffffffff,0x1fffffff,
    0x05fff980,0x003ffff1,0x002fffd4,0x0bfff500,0x3ffee000,0x7ffec404,
    0xffa801ff,0x3ee0005f,0x000005ff,0xf93fff90,0xf88009ff,0x0bffffff,
    0xff880000,0x3ea0007f,0xf10adfff,0x07ffffff,0x005fffa8,0x06ffe800,
    0x3fe20000,0x7ff4005f,0x7ffff5c5,0x7fd401ef,0x3ff6004f,0x3fffe00f,
    0xffffffff,0x3f2004ff,0xffffffff,0xffffffff,0xf7001fff,0x2359ffff,
    0x804fdb99,0x0005fffa,0x27fff200,0x5004fffc,0xffffffff,0xffffffff,
    0x3fffc801,0x00ffffa0,0x005fffa8,0x17ffea00,0x7ffdc000,0xffff5004,
    0xbfff500b,0x7ffe4000,0xf0000004,0x3ffeafff,0xffe98006,0x01dfffff,
    0x3ffe2000,0x3ffa0007,0xdfffa84f,0x2a01ffff,0x00005fff,0x002fffb8,
    0x5fff7000,0x15ffe800,0xfffffffb,0x7fd407ff,0x3ff6004f,0x3fffe00f,
    0xffffffff,0x53003fff,0xfff75555,0x5555555f,0xf1001555,0x1003dfff,
    0xbfff5003,0x7fc00000,0x0dfff57f,0x3ffffea0,0xffffffff,0x7fc00fff,
    0x3fee00ff,0x3fea006f,0x2a00005f,0x00005fff,0x4009fff7,0x402ffff9,
    0x0005fffa,0x000ffff6,0x3ffe6000,0x007fffe4,0x7ffffe40,0x0002efff,
    0x007fff88,0x20bfff70,0xfff8cffd,0x3ffea04f,0xf8800005,0x000005ff,
    0xd000dffd,0xfffd1bff,0xffffffff,0x13ffea03,0x00fffd80,0x826afbfe,
    0x1fffffb9,0x3ffe2000,0x7ec00006,0x00000eff,0x002fffd4,0x4fff9800,
    0x2007fffe,0x999dfffa,0x99999999,0x37ffcc01,0x03fffe60,0x02fffd40,
    0xbfff5000,0x3fee0000,0x7fec004f,0x7ffd406f,0x3ffa0005,0x8000003f,
    0x3f62fffc,0x220004ff,0xfffffffb,0x220000df,0x88007fff,0xf881ffff,
    0xffff51ff,0x02fffd40,0xfffc8000,0x7cc00000,0xfe8003ff,0x1cfffeef,
    0x0bffff71,0x8013ffea,0x2e00fffd,0xffff1000,0x7fc40009,0x2a00006f,
    0x0001ffff,0x05fffa80,0xfff90000,0x027ffec5,0x002fffd4,0x0ffff200,
    0x00ffffa0,0x002fffd4,0x0bfff500,0x3ffee000,0x7ffcc004,0x3ffea02f,
    0x3ff60005,0x8000004f,0x7fd47fff,0xd500006f,0x5fffffff,0x3ffe2000,
    0xfff98007,0xe8fff505,0xff502fff,0x200000bf,0x0004fff9,0x007ffec0,
    0x7fffff40,0xffff301f,0x09fff503,0x007ffec0,0xbfff5000,0x7ffc4000,
    0x3f200006,0x000005ff,0x000bfff5,0x51fffe00,0xf500dfff,0x80000bff,
    0xc801ffff,0xf5006fff,0x40000bff,0x0005fffa,0x009fff70,0x407fffd0,
    0x0005fffa,0x0017fff2,0xbfff3000,0x01ffff88,0x3ff66000,0x8001ffff,
    0x8007fff8,0xfb03fffa,0x3fffd89f,0x00bfff50,0x3fff4000,0xfff10000,
    0x3ffa0009,0x7f400eff,0xfffa82ff,0x3fff6004,0x3e200000,0x220007ff,
    0x00006fff,0x000bfffa,0x2fffd400,0x7fcc0000,0x7fffc45f,0x2fffd401,
    0xfff30000,0x3333333f,0x1ffff533,0x0bfff500,0x7ffd4000,0xff700005,
    0xff90009f,0x7ffd409f,0x3fee0005,0x4000006f,0xfd82fffc,0x800003ff,
    0x0effffd8,0x3fffc400,0x17ffe400,0x320fffc4,0xff503fff,0x400000bf,
    0x0002fffa,0x003fff90,0x07ffffa0,0x20fffee0,0x2004fffa,0x0000fffd,
    0x003fffc0,0x00dfff10,0x07fffc00,0xffa80000,0xc800005f,0xffd82fff,
    0x7ffd403f,0x3f200005,0xffffffff,0xffffffff,0xfffa803f,0x3ea00005,
    0x700005ff,0x70009fff,0x7d40bfff,0x2e0005ff,0x00007fff,0x407fffc0,
    0x0006fffb,0x3ffff200,0x7ffc4002,0xfffd8007,0xa87ffa81,0xff504fff,
    0x333333bf,0x00333333,0x0006fff8,0x000dfff0,0x8017fff4,0xfa84fffb,
    0x3f6004ff,0x400000ff,0x20007fff,0x0006fff8,0x00ffff10,0x7ffd4000,
    0x9999999d,0xf8019999,0xffb80fff,0x7ffd406f,0x3fe00005,0xffffffff,
    0xffffffff,0xfffa806f,0x9999999d,0x2a019999,0x9999dfff,0x19999999,
    0x009fff70,0x40dfff50,0x999dfffa,0x99999999,0x07fffea1,0x7fcc0000,
    0xffff105f,0x74000003,0x44004fff,0xe8007fff,0xffd80fff,0x05fff984,
    0xfffffff5,0xffffffff,0x7fdc001f,0x7d40001f,0x3a0002ff,0xf5000fff,
    0xfff509ff,0x7ffec009,0x2aa62000,0xfffccccc,0x3fe20007,0xf500006f,
    0x00000dff,0x7fffffd4,0xffffffff,0x3fe600ff,0xffff105f,0x2fffd403,
    0xfff98000,0xffffffff,0xffffffff,0x7ffd400f,0xffffffff,0x500fffff,
    0xffffffff,0xffffffff,0x09fff701,0x0ffff300,0x7fffffd4,0xffffffff,
    0xffff10ff,0x3200000b,0x3fa03fff,0x000003ff,0x0017fff2,0x000ffff1,
    0xf883fffb,0xfffa81ff,0xfffff503,0xffffffff,0x44001fff,0x40005fff,
    0x40007ffe,0x5000fffe,0xff509fff,0x7fec009f,0xffeb800f,0xffffffff,
    0x220007ff,0x00006fff,0x000ffff3,0x7fffd400,0xffffffff,0x3200ffff,
    0x3fa03fff,0x3fea03ff,0xf900005f,0x55555bff,0xd5555555,0xfa807fff,
    0xffffffff,0x0fffffff,0xffffff50,0xffffffff,0xfff701ff,0xfff10009,
    0x3ffea01f,0xffffffff,0x320fffff,0x0001ffff,0x00ffff80,0x001bffee,
    0x5fffb800,0x3fffc400,0x17ffec00,0x7dc1ffea,0xfff502ff,0xffffffff,
    0x001fffff,0x000fffd8,0x009fff30,0x00fffe80,0x509fff50,0x6c009fff,
    0x3ea00fff,0xffffffff,0x07ffffff,0x1bffe200,0x7ffc4000,0x2a000007,
    0xffffffff,0xffffffff,0x03fffe00,0x206fffb8,0x0005fffa,0x003ffff0,
    0x80dfff90,0xfffffffa,0xffffffff,0xffff500f,0xffffffff,0xf701ffff,
    0xf30009ff,0x3ea01fff,0xffffffff,0x0fffffff,0x017fffe6,0xdfff3000,
    0x0ffff980,0xff900000,0xff88007f,0xffc8007f,0x827fec4f,0xf501fffc,
    0x33333bff,0x03333333,0x07fff300,0x03fff200,0x1fffd000,0x13ffea00,
    0x8013ffea,0xf300fffd,0x999dffff,0xffff9999,0x7ffc4000,0x3fe00006,
    0x000001ff,0x333bfff5,0x33333333,0x37ffcc03,0x03fffe60,0x002fffd4,
    0x037ffcc0,0x0ffff980,0x277ffea0,0x99999999,0x3fea0199,0x999999df,
    0x70199999,0x50009fff,0x7d40ffff,0x99999dff,0x81999999,0x00dffffd,
    0x7fff9000,0x07fffd00,0xfff30000,0xff88003f,0xffb8007f,0x07ffe25f,
    0xa807fffc,0x00005fff,0x00fffd00,0x00bfff10,0x01fffd00,0x213ffea0,
    0x2004fffa,0xf880fffd,0xf801efff,0x220007ff,0x00006fff,0x000ffffa,
    0x2fffd400,0xfff90000,0x7fffd007,0x2bbffea0,0xaaaaaaaa,0x7fe41aaa,
    0x3fe0004f,0x3fea03ff,0x2a00005f,0x00005fff,0x0009fff7,0x540ffff7,
    0x80005fff,0x1efffff9,0xff05b880,0xff9003ff,0x002a60df,0x0ffffd30,
    0x0ffff100,0x3ffff100,0x7d41ffea,0x3fea06ff,0x0000005f,0x8005fff7,
    0x0001fffb,0x000fffe8,0xf509fff5,0x7ec009ff,0xfffb80ff,0xffff000e,
    0x7ffc4000,0x3f200007,0x00000fff,0x005fffa8,0x07fffe00,0x41bfff20,
    0xfffffffa,0xffffffff,0x0ffffc4f,0xbfff9000,0x02fffd40,0xbfff5000,
    0x3fee0000,0xffc8004f,0x3ffea06f,0xff300005,0x57bdffff,0x0dffb975,
    0x333ffff3,0xf5333333,0xff701fff,0x3335579b,0xfffffd75,0xfff10003,
    0x3ff6000f,0x209ffb6f,0x2a02fffe,0x00005fff,0x017ffe00,0x000dffd0,
    0x003fffa0,0x4c27ffd4,0xf1005fff,0xff901fff,0x7ffc007f,0x7ffc0007,
    0xf100000f,0x00009fff,0x00bfff50,0x3fffe600,0x99999999,0x80ffffa9,
    0xfffffffa,0xffffffff,0x1fffe64f,0xffff5000,0x17ffea01,0xfffa8000,
    0xff700005,0xffb0009f,0x7ffd409f,0x3e600005,0xffffffff,0x86ffffff,
    0xfffffffc,0xffffffff,0xffb83fff,0xffffffff,0x1fffffff,0xffff1000,
    0x3ffea000,0x441fffdf,0x5405fffe,0x00005fff,0x07fff200,0x01fffd40,
    0x0fffe800,0x09fff500,0x200dfff1,0xe80ffffe,0xf1002fff,0xd8000fff,
    0x00002fff,0x037ffff2,0x3ea00620,0x900005ff,0xffffffff,0xffffffff,
    0xfff507ff,0xffffffff,0x649fffff,0x80004fff,0xf502ffff,0x40000bff,
    0x0005fffa,0x009fff70,0x02ffff88,0x0017ffea,0xffffb300,0xffffffff,
    0xfffff0df,0xffffffff,0x0dffffff,0xfffffff7,0xffffffff,0x7c40003d,
    0x320007ff,0x27ffffff,0x1ffffeb9,0x02fffd40,0xff100000,0x3ff6009f,
    0xfd00000f,0x3ea001ff,0xffff04ff,0xffffd801,0x2fffe80f,0x7ffffa80,
    0x7ffe4000,0x3a00000f,0x9acfffff,0x04feba99,0x005fffa8,0xffffff00,
    0xffffffff,0x00dfffff,0x07ffea00,0xff980000,0x3ffea01f,0x3ea00005,
    0x700005ff,0xc8009fff,0x7d407fff,0x000005ff,0xffffff71,0xf3039dff,
    0xffffffff,0xffffffff,0xec881fff,0xffffffff,0x0002ceff,0x007fff88,
    0x7ffffec0,0xffffffff,0xfffa802f,0x40000005,0x4400fffd,0x00004fff,
    0x4003fffa,0xfd04fffa,0x3f6209ff,0xd80fffff,0x7e405fff,0x0007ffff,
    0x67ffffc4,0x03953309,0x3ffffa60,0xffffffff,0xfffa804f,0xff980005,
    0xffffffff,0xffffffff,0x4c0000ff,0x00002fff,0x00bffe60,0x000bfff5,
    0x02fffd40,0x4fffb800,0x3fffe200,0x2fffd405,0x3ee00000,0xc8019cff,
    0xaaaadfff,0xaaaaaaaa,0x4403fffe,0x2fffdaa9,0x7fc40000,0xfb80007f,
    0xffffffff,0xf5000dff,0x00000bff,0x03fffa80,0x000fffe4,0x01fffd00,
    0x413ffea0,0x11dffffb,0xffbfffd5,0xffff701f,0x7ff5cc3b,0x0007ffff,
    0xffffffb8,0x01ffffff,0x7ffffe40,0x4fffffff,0x05fffa80,0xdfffc800,
    0xaaaaaaaa,0xfffeaaaa,0x7ff40003,0x74000004,0xffa805ff,0x2a00005f,
    0x00005fff,0x4009fff7,0x400ffffd,0x0005fffa,0x07ffe400,0x03ffff00,
    0x0dfff900,0x00fffd80,0x7ffc4000,0xff700007,0x7bffffff,0x5fffa800,
    0xe8000000,0x7ffc06ff,0x7f400005,0xff5000ff,0x7fff409f,0xffffffff,
    0xd00fffb9,0xffffffff,0xff97ffff,0x3f20000f,0xffffffff,0xc98001ff,
    0xfffffffe,0xffa800bd,0xff80005f,0xfc8001ff,0x2a0006ff,0x00001fff,
    0x007ffea0,0x0017ffea,0x05fffa80,0x9fff7000,0xffffd300,0xbfff5007,
    0xfe800000,0x3fe6006f,0xff30006f,0x7fc001ff,0x8800005f,0x00007fff,
    0x13559ffb,0x7ffd4000,0x80000005,0xf701fffb,0x800005ff,0x5000fffe,
    0x7cc09fff,0xffffffff,0x01fff71e,0x3fffffa6,0xf91effff,0x440000ff,
    0xfffffffd,0x880000ef,0xa8000999,0x40005fff,0x0006fff9,0x001ffff3,
    0x003fff20,0xfffc8000,0x5fffa801,0x3fea0000,0xf700005f,0x7dc409ff,
    0x5006ffff,0x0000bfff,0x027ffc40,0x009fff90,0x01ffffc0,0x003fff98,
    0x2aaaaaa0,0xaaaffffb,0xf1002aaa,0x400003ff,0xaaaefffa,0xaaaaaaaa,
    0x7c40001a,0xdffd05ff,0xffd00000,0x3fea001f,0x7fec404f,0x7d44ffff,
    0x7fdc00ff,0x5c3effff,0x000007ff,0x000266a6,0x2a000000,0xaaaaefff,
    0xaaaaaaaa,0x013fff21,0x03ffff80,0x19fff700,0x3ea00000,0x7d400cff,
    0xaaaaaeff,0x1aaaaaaa,0x55dfff50,0x55555555,0xfff70355,0xffd9999d,
    0x00bfffff,0x5577ffd4,0xaaaaaaaa,0xff5001aa,0x7ffc003f,0x3f20001f,
    0xff5005ff,0x7fc0003f,0xffffffff,0x6fffffff,0x00dff500,0xffffa800,
    0xffffffff,0x0004ffff,0x4c0fffc8,0x00003fff,0x000fffe8,0x4009fff5,
    0x00001aa9,0x0000d4c4,0x00000000,0xa8000000,0xffffffff,0xffffffff,
    0x007fffe4,0x05fffc80,0x3ffffe00,0xf800006f,0x507fffff,0xffffffff,
    0xffffffff,0x3fffea09,0xffffffff,0xfb84ffff,0xffffffff,0x03ffffff,
    0x7ffffd40,0xffffffff,0xf7004fff,0x7fcc00ff,0x7d40007f,0xfc800fff,
    0x7fc0007f,0xffffffff,0x6fffffff,0x009ffb00,0xffffa800,0xffffffff,
    0x0004ffff,0x6c4fff98,0x00000fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffffff50,0xffffffff,0x3ffe69ff,0x7fd40007,0xf70000ff,
    0x000dffff,0xfffff700,0x3fffea0f,0xffffffff,0xf504ffff,0xffffffff,
    0x9fffffff,0xffffff70,0x7dffffff,0xfff50001,0xffffffff,0x009fffff,
    0xc8013bb2,0x80004fff,0xc802ffff,0x7c0003ee,0xffffffff,0xffffffff,
    0x1fff8806,0x7fd40000,0xffffffff,0x04ffffff,0x4fffd000,0x0005fff8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fffea00,0xffffffff,
    0xff94ffff,0xff00009f,0x4c0005ff,0x0004eedc,0x9ddb9300,0x3ffffea0,
    0xffffffff,0xff504fff,0xffffffff,0x09ffffff,0xfffffff7,0x000399bd,
    0xffffffa8,0xffffffff,0x000004ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x26007999,
    0x1aa980aa,0x55100000,0x00003555,0x00035551,0x55555100,0x554c4003,
    0xa9800009,0x01aa980a,0x980aa980,0xa88001aa,0x001abccb,0x005dcc00,
    0x01555400,0x00005555,0x88000153,0x00008800,0x0002aaa8,0xaaaa8800,
    0x2aaa601a,0xa800002a,0x2aaa02aa,0x20022002,0x2a200008,0x80000009,
    0x00002aaa,0x00aaaa00,0x8aaaa000,0x9004fff9,0x7ffd09ff,0xfd100000,
    0x00007fff,0x0013ffea,0x3ffff600,0xfffc8804,0xffffffff,0xfc807fff,
    0x03ffe84f,0xe84ffc80,0x362003ff,0xffffffff,0xfa80001e,0x40001fff,
    0x6c45fffa,0xff501fff,0x7ff6443f,0x4000dfff,0x3f604ffd,0x3f20003f,
    0x00003fff,0x27fffec0,0x3ffff620,0x7d400005,0x7fec45ff,0x9ffb001f,
    0x001ffec0,0x37ffff66,0x0000e981,0x00fffff2,0x7ffc0000,0x7c400007,
    0x3ffee7ff,0x5fff5001,0x007ffee2,0xfffd1000,0x5400005f,0x00004fff,
    0x017fffec,0x7fffffdc,0xffffffff,0xffa807ff,0x3fff712f,0x5fff5000,
    0x007ffee2,0x7fffffdc,0x03ffffff,0x7ffffc00,0xffa80005,0xfffe88ef,
    0x4bffea01,0xfffffffa,0xf5000eff,0xff705fff,0xf90003ff,0x007fffff,
    0x3fff6000,0x3fee002f,0x400005ff,0xe88efffa,0xf5001fff,0xff705fff,
    0x3e2003ff,0xcfffffff,0x000dff50,0x3ffffff2,0xf8000003,0x400007ff,
    0x3f67fff8,0x3fa2006f,0x5fffffff,0x7f440000,0x50000eff,0xff955555,
    0x005555bf,0x077ffec0,0x7ffffdc0,0xffffedcd,0x8807ffff,0xfffffffe,
    0xfd10005f,0xbfffffff,0x3fffee00,0xffffdcde,0xf10001ff,0x000fffff,
    0x3fbffea0,0x7d401fff,0xffffaaff,0xefffffff,0xffffb800,0x2ffffc83,
    0x6fffe400,0x0003fffe,0x077ffec0,0x7fff4c00,0x7d400004,0x1ffffeff,
    0x3fffee00,0x2ffffc83,0xdfffe880,0xfffffffe,0xfc8004ff,0x3fffedff,
    0x7fc00000,0x4400007f,0x3ffe7fff,0x7ffcc003,0x000fffff,0x3fffa200,
    0x7ffc0004,0xffffffff,0xb0006fff,0x26009fff,0xf704ffff,0x03339fff,
    0x3ffffe60,0x20000fff,0xfffffff9,0xfff8800f,0xfffb304f,0x7ff4000d,
    0x200005ff,0x1ffffffa,0xfdfffa80,0xc989cfff,0x9804ffff,0xfa81ffff,
    0x32000fff,0x3ff63fff,0xfb00003f,0x880009ff,0x0004fffd,0x7ffffd40,
    0x7fcc001f,0xfffa81ff,0x1bfb000f,0x7fffffd4,0xffc8005f,0x0ffff63f,
    0xfff80000,0x7c400007,0x1fff57ff,0xffd91000,0x8800009d,0x0002fffe,
    0xfffffff8,0x6fffffff,0x2fffd800,0x13fff600,0x00dfff50,0x3bffb220,
    0xd9100004,0x6c009dff,0x7c404fff,0x30000fff,0x0001ffff,0x1ffffa80,
    0xfffff500,0x3ff201df,0xeea800ff,0x0077ae02,0xc82fffc8,0x40003fff,
    0x0002fffd,0x013ffee0,0xffff5000,0x3baa0003,0x0077ae02,0x7ff5c090,
    0xffc8003d,0x3fffc82f,0xfff00000,0xf880000f,0x0bff97ff,0x00000000,
    0x00099988,0xffffff00,0xffffffff,0x9998800d,0x7fffc000,0x1fffe800,
    0x00000000,0xfff00000,0x3fffa00f,0x2aa20001,0x31000000,0x7fd40013,
    0xfd805fff,0x000003ff,0x00999800,0x80006666,0x00009998,0x00199880,
    0x00998800,0x00000000,0x98000000,0x26660099,0xff000001,0x880000ff,
    0x13317fff,0x00000000,0x00000000,0x004fffa8,0x3e600000,0xff9005ff,
    0x0000007f,0x30000000,0x3a009fff,0x00001fff,0x00000000,0x0dffff50,
    0x01bffee0,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x1fffe000,0xfff10000,0x0000000f,0x00000000,0x9fff5000,
    0x40000000,0x7004fffa,0x00009fff,0x00000000,0x007fff50,0x000ffff1,
    0x00000000,0x77ffd400,0xffff1000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfff00000,0xf880000f,0x000007ff,
    0x4c000000,0x4000099a,0x3ffea198,0x2a620004,0xf50019aa,0x3f200dff,
    0x988002ff,0x00019aaa,0x000d5440,0x8805fff9,0x0004fffe,0x0000d544,
    0x001aa880,0x0013ffea,0x0001ffff,0x00000000,0x00000000,0x00000000,
    0x03555531,0x03551000,0x2aa20000,0x51000001,0x10000035,0x3fffc333,
    0x23331000,0x8007fff8,0x2004fffa,0x4000fffd,0xfffffecb,0xca801cef,
    0xeefffffe,0x22004fff,0xffffffdb,0x2600cfff,0xe800ffff,0xb8801fff,
    0xfffffffd,0x30000cff,0xdfffffd9,0x2fffc809,0x3bfffa60,0xfec98000,
    0x004effff,0x7fff64c0,0x7d404eff,0x7f4004ff,0xfffa80ff,0x3fff6004,
    0x04fffa80,0x203fff60,0x2004fffa,0xfa80fffd,0x3f6004ff,0xfb3000ff,
    0xffffffff,0x7edc005f,0x0cefffff,0x3ff6e000,0x00ceffff,0x3fff6e00,
    0x000cefff,0xfffedc88,0x07fffeff,0x3fff7220,0x7fffefff,0x4fffa800,
    0x03fff600,0x7ffff440,0x4fffffff,0x7ffffe40,0xffffffff,0x3fffe004,
    0xffffffff,0x3ffa04ff,0x7ffdc04f,0xfffff007,0xffffffff,0xffb8009f,
    0xffffffff,0x5fff901e,0x3bfffea0,0xfffb8000,0xefffffff,0xfffb8001,
    0xefffffff,0x09fff501,0x81fffd80,0x2004fffa,0xfa80fffd,0x3f6004ff,
    0xfffa80ff,0x3fff6004,0x04fffa80,0x003fff60,0xffffffb1,0x05ffffff,
    0xfffffd10,0x05ffffff,0xffffe880,0x2fffffff,0x7fff4400,0xffffffff,
    0x3ffea002,0xffffffff,0xff7007ff,0xffffffff,0x5000ffff,0x6c009fff,
    0xfb800fff,0xffffffff,0xd304ffff,0xffffffff,0x09ffffff,0x7fffffc0,
    0xffffffff,0xffff503f,0x3fffee09,0xfffff002,0xffffffff,0xfb1007ff,
    0xffddffff,0xf907ffff,0xfff505ff,0xd88001bf,0xfeefffff,0x003fffff,
    0xdfffffb1,0x7ffffffd,0x009fff50,0xa81fffd8,0x36004fff,0xffa80fff,
    0x3ff6004f,0x4fffa80f,0x03fff600,0x8013ffea,0x2200fffd,0xffffffff,
    0x02ffffff,0x7fffffd4,0xffffffff,0xffff5005,0xffffffff,0x3ea00bff,
    0xffffffff,0x405fffff,0xffffffd8,0xffffffff,0x7ffec407,0xffffffff,
    0xa8007fff,0x36004fff,0x7dc00fff,0x31acffff,0xf109fb73,0x2137ffff,
    0x4fffec98,0x2afbfe00,0x3ffee609,0xfffb01ff,0xfffb9bff,0x7fc009ff,
    0x2e609abe,0x401fffff,0x982ffffd,0x640ffffe,0x7fc42fff,0xfb0004ff,
    0xfd305fff,0xfb001fff,0xfd305fff,0xffa81fff,0x7ff4004f,0x4fffa80f,
    0x03fff600,0x8013ffea,0xfa80fffd,0x3f6004ff,0xfffa80ff,0x3fff6004,
    0x3bfff600,0x0595300b,0x5f7fffcc,0x3fffee61,0x7ffcc02f,0x3ee61bef,
    0x4c02ffff,0x21beffff,0x2fffffb9,0x33ffff60,0xffb7310a,0xfffe80ff,
    0xd7310acf,0x5000ffff,0x6c009fff,0x3e200fff,0x8801efff,0x0dfffc81,
    0x027ffd40,0x3e200170,0xff984fff,0xffffffff,0x5c004fff,0xffff1000,
    0x77ffd409,0x2fffec00,0xf50bfff2,0x2a000bff,0x6c00efff,0x7d405fff,
    0x7ec00eff,0x7ffd45ff,0x3fffc004,0x004fffa8,0x2a03fff6,0x36004fff,
    0xffa80fff,0x3ff6004f,0x4fffa80f,0x03fff600,0x007fffcc,0xefffe800,
    0x3fffa200,0x3fffa00f,0x3ffa200e,0x3ffa00ff,0x3fa200ef,0xffa80fff,
    0xfff801ff,0x3bffee07,0x3fffc401,0x27ffd400,0x01fffb00,0x0077ffec,
    0x0dfff300,0x013ffea0,0xfffa8000,0x677ff445,0xdfffffff,0xa8000000,
    0x3fa05fff,0xff8801ff,0x3fff21ff,0x01fffe42,0x01fffe80,0x01ffff88,
    0x2007fffa,0x2a1ffff8,0x22004fff,0xff506fff,0x7fec009f,0x4fffa80f,
    0x03fff600,0x8013ffea,0xfa80fffd,0x3f6004ff,0xfff500ff,0x3ea00009,
    0x3fe006ff,0xfff504ff,0x7fffc00d,0x0dfff504,0x427fffc0,0xf001fffe,
    0x3fe20fff,0xff8800ff,0xffa8007f,0x3ff6004f,0xffff500f,0xffe80003,
    0xfff5002f,0x44000009,0x7fd47fff,0x026aa61f,0xf1000000,0x3fea0fff,
    0x3fee004f,0x0bfff24f,0x0009fff9,0x4009fff5,0xf504fffb,0x7dc009ff,
    0x3ffea4ff,0x3ffea004,0x09fff504,0x407ffec0,0x2004fffa,0xfa80fffd,
    0x3f6004ff,0xfffa80ff,0x3fff6004,0x0bfff700,0x3fffe000,0x3ffee002,
    0x05ffff07,0x83fffdc0,0x2002ffff,0x7dc7fffb,0x3fe005ff,0x9fff907f,
    0x1fffe200,0x13ffea00,0x00fffd80,0x000bfff9,0x006fff88,0x0013ffea,
    0x8ffff000,0x00007ffc,0xfff80000,0x05fffb07,0x92fffcc0,0xffa85fff,
    0x7ec000ff,0x3e6002ff,0xfffb05ff,0x7ffcc005,0x013ffea5,0x502fffe8,
    0x6c009fff,0xffa80fff,0x3ff6004f,0x4fffa80f,0x03fff600,0x8013ffea,
    0xf300fffd,0x80003fff,0x8006fff9,0x7cc0ffff,0xff8006ff,0x7ffcc0ff,
    0xffff8006,0x007fffa0,0xff07fff8,0x3e2001ff,0xfa8007ff,0x3f6004ff,
    0xfffd00ff,0xff980005,0x3fea005f,0x4000004f,0x7ff47fff,0x0000001f,
    0x83fffc00,0x2000fffe,0x3f26fff8,0x7ffc42ff,0x3fa000ef,0x3e2000ff,
    0xfffd06ff,0x7ffc4001,0x013ffea6,0x5037ffd4,0x6c009fff,0xffa80fff,
    0x3ff6004f,0x4fffa80f,0x03fff600,0x8013ffea,0x3e00fffd,0x000cffff,
    0x007fff50,0xa83fffb0,0xd8003fff,0x7fd41fff,0xffd8003f,0x01fffe1f,
    0xf10ffff0,0x7c400dff,0xfa8007ff,0x3f6004ff,0xffff00ff,0xffa80001,
    0x3fea004f,0x2620004f,0xfcccccaa,0x7fff47ff,0x000001be,0xcccaa988,
    0xf07fffcc,0x55555fff,0xf7555555,0x7ffe4fff,0xfffffa82,0x5ffff002,
    0x55555555,0x0ffff755,0x2aabfffe,0xaaaaaaaa,0x3ea7fffb,0xffb804ff,
    0x3fea01ff,0x3ff6004f,0x4fffa80f,0x03fff600,0x8013ffea,0xfa80fffd,
    0x3f6004ff,0x3fe600ff,0x00bdffff,0x00bffee0,0x70ffff20,0x90005fff,
    0xffb87fff,0xffc8002f,0x0dfff13f,0x987fff80,0x22005fff,0xa8007fff,
    0x36004fff,0xff880fff,0xfb80007f,0x3ea003ff,0xeb8004ff,0xffffffff,
    0x7dc7ffff,0xffffffff,0x01bceeff,0xffffeb80,0xffffffff,0xfffff887,
    0xffffffff,0x0fffffff,0x3205fff9,0x404fffff,0xfffffff8,0xffffffff,
    0x440fffff,0xffffffff,0xffffffff,0xff50ffff,0x54435bff,0x404ffffd,
    0x2004fffa,0xfa80fffd,0x3f6004ff,0xfffa80ff,0x3fff6004,0x04fffa80,
    0x003fff60,0xfffffff5,0xffb005bf,0xff70003f,0x1fffd89f,0x4fffb800,
    0x000fffec,0xf9a7ffdc,0x7fc005ff,0x4fffa87f,0x1fffe200,0x13ffea00,
    0x80fffd80,0x0006fffa,0x002fffc8,0x8013ffea,0xfffffffa,0xffffffff,
    0xfffffd87,0xffffffff,0xfa802eff,0xffffffff,0x87ffffff,0xfffffff9,
    0xffffffff,0xf90fffff,0x7fdc05ff,0xf300dfff,0xffffffff,0xffffffff,
    0xff981fff,0xffffffff,0xffffffff,0xffff50ff,0xffffffff,0xf5009fff,
    0x7ec009ff,0xfffa80ff,0x3fff6004,0x04fffa80,0x203fff60,0x2004fffa,
    0x8800fffd,0xfffffffd,0x3ffa03ff,0xffa8001f,0x0ffff45f,0x2fffd400,
    0x0007fffa,0x7d57ffea,0x7fc004ff,0x3fffb87f,0x1fffe200,0x13ffea00,
    0x80fffd80,0x0007fff9,0x002fffd8,0x4013ffea,0xcefffff9,0xffcccccc,
    0xffffd07f,0xffffffff,0x4c05ffff,0xccefffff,0xfffccccc,0xeffff987,
    0xeeeeeeee,0x26eeeeee,0x4c02fffc,0x305fffff,0xddddffff,0xdddddddd,
    0xff30dddd,0xddddddff,0xdddddddd,0x7fffd4dd,0xffffffff,0xff5001ef,
    0x7fec009f,0x4fffa80f,0x03fff600,0x8013ffea,0xfa80fffd,0x3f6004ff,
    0x2e2000ff,0xfffffffe,0x2fffd81e,0x3fffb800,0x0017ffec,0x361fffdc,
    0xb8002fff,0xfff73fff,0x7fff8009,0x003fffc8,0x001fffe2,0x8013ffea,
    0xf880fffd,0xc80007ff,0x2a003fff,0xf8804fff,0xf801efff,0xfffd87ff,
    0xdccbaaad,0x1fffffff,0x1effff88,0xf07fff80,0x40000fff,0x8802fffc,
    0xf03ffffd,0x00000fff,0x0001fffe,0xffffffa8,0x03deffff,0x027ffd40,
    0x501fffb0,0x6c009fff,0xffa80fff,0x3ff6004f,0x4fffa80f,0x03fff600,
    0x7ff5cc00,0xffc86fff,0xffc8003f,0x1fffe42f,0x17ffe400,0x000ffff2,
    0x7d4bfff2,0x7fc005ff,0x4fffb87f,0x1fffe200,0x13ffea00,0x00fffd80,
    0x0003ffff,0x003fffb8,0x2013ffee,0x000efffb,0xffd8ffff,0xff91004f,
    0xfff707ff,0x3ffe001d,0x01ffff07,0x3fff2000,0xfffd1002,0x03fffe0f,
    0x3ffe0000,0xf500000f,0x066629ff,0x9fff5000,0x07ffec00,0x0027ffd4,
    0xf501fffb,0x7ec009ff,0xfffa80ff,0x3fff6004,0xfea80000,0x7fdc3fff,
    0xffd8004f,0x27ffdc1f,0x0fffec00,0x0013ffee,0x7cc7fff6,0x7fc006ff,
    0x5fffa87f,0x1fffe200,0x17ffe600,0x07fffc40,0x003fffe8,0x02fffd40,
    0x04ffff98,0x003fffc8,0xff99fffe,0xffe8006f,0x3fffc85f,0x41fffe00,
    0x0001fffe,0x005fff90,0x40ffffc4,0x0001fffe,0x01fffe80,0x9fff5000,
    0xff300000,0x3fe200bf,0xfff980ff,0xffff1005,0x0bfff301,0x03fffe20,
    0x4017ffe6,0x000ffff8,0x17fff600,0x800dfff5,0x540ffff8,0x44006fff,
    0x7d40ffff,0x7c4006ff,0xfff10fff,0x7ffec00f,0x06fff987,0x01ffffa0,
    0x01bffe20,0x807ffff4,0x000ffffc,0x01fffe60,0x13ffffe2,0x00bfffa0,
    0xf73fffc4,0xf70007ff,0xfffd0bff,0x3ffe2005,0x0bfff907,0x3fff2000,
    0x7fff4002,0x05fffc82,0xfffc8000,0xff500005,0x1000009f,0x3a00dfff,
    0xf880ffff,0xffd006ff,0xfff101ff,0x3fffa00d,0x6fff880f,0x1ffffd00,
    0x7fd40000,0x7fffcc6f,0x3ffee001,0x1ffff986,0x1bffee00,0x007fffe6,
    0x7c6fffb8,0xfc801fff,0xff887fff,0xffd800ff,0xff0007ff,0xffd801ff,
    0xff100fff,0xe80009ff,0x3a202fff,0x804fffff,0xa802fffe,0x3f67ffff,
    0xfc8003ff,0xfffe83ff,0xffffa802,0x5ffff107,0xfff90000,0xfffd8005,
    0x2ffff881,0x7fc40000,0xa80002ff,0x00004fff,0x801ffff0,0x00fffffd,
    0xd801ffff,0xf00fffff,0xfd801fff,0xff00ffff,0xffd801ff,0x00000fff,
    0x3617ffea,0xf1006fff,0x3f603fff,0xff1006ff,0x3ff603ff,0xfff1006f,
    0x4fffc83f,0x7ffffdc0,0x07fffb07,0x7fffffc8,0x9fffd000,0x3ffff620,
    0x3ff200ff,0x18800dff,0x4077ffdc,0xffffffe8,0x5fffd804,0x7ffffe40,
    0x017fff27,0x03ffff30,0xc80bfffb,0x207fffff,0x002ffffc,0x017ffe40,
    0x01ffff30,0x00bffff2,0xffff9000,0xffa80005,0xd000004f,0x36209fff,
    0x00ffffff,0x2209fffd,0x0ffffffd,0x209fffd0,0xffffffd8,0x09fffd00,
    0x3fffff62,0x3600000f,0xff884fff,0x3a200dff,0x3e205fff,0x2200dfff,
    0x2205fffe,0x200dffff,0x985fffe8,0xf702ffff,0x20ffffff,0x901ffffa,
    0x0fffffff,0x3fffee00,0xfffd511d,0xe801fffb,0x9acfffff,0x44feba99,
    0x8aeffff8,0xf9efffd9,0xffb804ff,0x3ae61dff,0x27ffffff,0x00dffffa,
    0x2ffffdc4,0x1dffffb8,0x3ffffae6,0x3fe207ff,0x881aefff,0x7fe45ca9,
    0x9884d42f,0x204ffffc,0xaefffff8,0x05ca9881,0x77ffffc4,0x5ca9881a,
    0x0027ffd4,0xffffb800,0xfffd511d,0x2e01fffb,0x511dffff,0xfffbfffd,
    0x3fffee01,0xfffd511d,0x2e01fffb,0x511dffff,0xfffbfffd,0x26b3ba01,
    0xfffeb981,0xffff900f,0x3eea235d,0x6400ffff,0x11aeffff,0x1fffff75,
    0xeffffc80,0xfff7511a,0x3ffa01ff,0xffb89bff,0x07ffcbff,0x22fffffe,
    0xdaffffc8,0x3a0007ff,0xffffffff,0xfffb9fff,0x7fff4c00,0xffffffff,
    0xfffc84ff,0xefffffff,0x004fff88,0xfffffffd,0xf97fffff,0xffffe8ff,
    0xedcccdef,0x406fffff,0xfffffffe,0xfcbfffff,0x7ffd407f,0xffffffff,
    0x7e46ffff,0x7ffec2ff,0x0effffff,0x7ffffd40,0xffffffff,0xffa806ff,
    0xffffffff,0x546fffff,0x00004fff,0x3fffffa0,0xb9ffffff,0x3fa00fff,
    0xffffffff,0x0fffb9ff,0x3fffffa0,0xb9ffffff,0x3fa00fff,0xffffffff,
    0x0fffb9ff,0xffffffd0,0xffffffff,0x7fec405f,0xffffffff,0x8801efff,
    0xfffffffd,0x1effffff,0xffffd880,0xffffffff,0x3fe601ef,0xffffffff,
    0x40fff93f,0xfffffffa,0xffb2ffff,0x7fcc000f,0xefffffff,0x001fff71,
    0x3ffffff2,0x04ffffff,0xfffffff7,0x27ffc1df,0xffffe980,0x91efffff,
    0xffe88fff,0xffffffff,0x00cfffff,0x7fffff4c,0xf91effff,0xffb100ff,
    0xffffffff,0xffc8dfff,0x7fffec2f,0x000dffff,0xffffffb1,0xdfffffff,
    0x3fff6200,0xffffffff,0x7ffd46ff,0x26000004,0xffffffff,0x1fff71ef,
    0x7ffffcc0,0xf71effff,0x7fcc01ff,0xefffffff,0x401fff71,0xfffffff9,
    0xfff71eff,0x3ffffa01,0xffffffff,0xff7001ff,0xffffffff,0xfb8001bf,
    0xffffffff,0x5c000dff,0xffffffff,0x9800dfff,0xffffffff,0x01fff23f,
    0xfffffff5,0x3ffec5ff,0x3ff62000,0x7d44ffff,0x326000ff,0xfffffffe,
    0x3faa00bd,0x7c0bdfff,0x7dc004ff,0x43efffff,0xfb507ffb,0xffffffff,
    0xb80019ff,0x3effffff,0x5003ffdc,0xffffffdb,0xfc859dff,0x7ffec2ff,
    0x0002deff,0xfffffdb5,0x0059dfff,0xffffeda8,0x42ceffff,0x0004fffa,
    0x7ffec400,0x7fd44fff,0x7fec400f,0x7d44ffff,0x7ec400ff,0x544fffff,
    0x6c400fff,0x44ffffff,0xb700fffa,0xffffffff,0x10005bff,0xdfffffdb,
    0x6c40005b,0xdefffffe,0x3b620002,0x2defffff,0x7ffec400,0x7fdc1cef,
    0xfffd9807,0x7fe41bef,0x2a600007,0x8000001a,0x00009998,0x00000033,
    0x00003531,0x2f32aa62,0x8800019a,0x000001a9,0x099aaa98,0x0cccc000,
    0xaa980000,0x0000099a,0x0266aaa6,0x001aaa88,0x2aa60000,0xa9800001,
    0x9800001a,0x800001aa,0x00001aa9,0x2aaaa662,0x54c00001,0x30000009,
    0x00000135,0x000026a6,0x00000544,0x00000a98,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x55544000,
    0x554c01aa,0x800002aa,0x000aaaa9,0x001aaa88,0xa8800000,0x0001aaaa,
    0x00015554,0x2aaaa200,0x8008801a,0x55000008,0x00000055,0x06aaaaa2,
    0x05555530,0x26200000,0x10028819,0x00355553,0x006f72a2,0x00155530,
    0x00110011,0x00026a20,0x05555000,0x00000000,0x00555553,0x01a88000,
    0x402aaa60,0x8800aaa9,0xbccddcb9,0x7ec0000a,0xd8804fff,0x0005ffff,
    0x37fffc40,0xfff50310,0x00000009,0x09ffffb0,0xffffc800,0x36000003,
    0xd804ffff,0x3ff604ff,0x7fe40003,0x000003ff,0x04ffffd8,0x5ffffd88,
    0xdb980000,0xcefffffe,0x3f6607fe,0xffffffff,0xffff702f,0xf1001bff,
    0xffb00bff,0x01ffec09,0xbffffb30,0x0001d303,0x00fffff2,0x4013ffea,
    0x8806fff8,0x005ffffd,0xbfff7000,0x3fffa200,0x027ffdc1,0x3fffff66,
    0x004fffff,0x0bffff60,0xbffff700,0xff980000,0xfdba8cff,0x4fffa86f,
    0x40000000,0x002ffffd,0x7ffffe40,0xd800003f,0xa802ffff,0xfb82ffff,
    0x90001fff,0x07ffffff,0x7fec0000,0x7dc002ff,0x00005fff,0x3fffffea,
    0x7fffffff,0xfffffd88,0x2fffffff,0xffffffc8,0xffd805ff,0x7ffd400f,
    0xffffb82f,0xffff8801,0xf50cffff,0xff9000df,0xa807ffff,0xf1004fff,
    0x7dc00dff,0x00005fff,0x17ffffc4,0x2fffe880,0x4409fff9,0xfffffffc,
    0x004fffff,0x01dfffb0,0x3fffa600,0x7dc00004,0xffffffff,0x4fffa86f,
    0x20000000,0x000efffd,0x76fffe40,0x00003fff,0x003bfff6,0x41ffffdc,
    0x002ffffc,0xfedfffc8,0x800003ff,0x000efffd,0x09fffd30,0xffff9000,
    0xffffffff,0xfff88fff,0xffffffff,0x7fc42fff,0xfffea9df,0x0fffea02,
    0x0ffffee0,0x00bffff2,0xfdbfffd1,0xffffffff,0xfffc8009,0x203fffed,
    0x1004fffa,0x9800dfff,0x0004fffe,0x3ffffea0,0x3ffa2004,0x404fffef,
    0xdefffffd,0x04feeccc,0x04fffd80,0xfffd8800,0x32a20004,0xfffffffe,
    0xfa86ffff,0x000004ff,0x09fffb00,0x7fff9000,0x001fffec,0x027ffec0,
    0x07fffe60,0x003fffea,0x6c7fff90,0x00003fff,0x0013fff6,0x13fff620,
    0xffffe800,0x3f6a60ac,0x7ffec7ff,0x595300be,0xfe86ffc8,0xdffd105f,
    0x3fffe600,0x0ffffa81,0x2a0dfd80,0x5fffffff,0x1fffe400,0x2a07fffb,
    0xf1004fff,0xb1000dff,0x00009fff,0x0bffffe6,0xffffd100,0xfffa809f,
    0x000800cf,0x0017ffec,0x13ffee00,0x7fffdc00,0xceffffff,0x9fff500a,
    0xb0000000,0x00005fff,0xf905fff9,0x6c0007ff,0x50002fff,0x6f5c05dd,
    0x7ffe4001,0x03fffc82,0x2fffd800,0x7fdc0000,0xffa8004f,0xfff801ff,
    0x03fffe67,0x83ffe800,0xff906ffc,0x7754003f,0x0077ae02,0x3ffae048,
    0x7fe4003d,0x3fffc82f,0x004fffa8,0x000dfff1,0x0027ffdc,0x06fffc80,
    0x9fffd100,0x2ffff880,0x33100000,0x20000013,0x70001998,0xffdfffff,
    0xff5009ff,0x0000009f,0x00099988,0x40133300,0x10001999,0x00001333,
    0x99800000,0x06666009,0x13331000,0x26200000,0xffe80019,0xffff001f,
    0x0027ffd4,0x2a07ffe0,0xfff987ff,0x00000003,0x40000000,0x26600999,
    0x4fffa819,0x0dfff100,0x01998800,0x00b2a000,0x00333100,0x000bfff9,
    0x00000000,0x3ee00000,0xfff709bd,0xfffa803f,0x00000004,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x8017ffee,0x3fee7fff,
    0x3e20005f,0xfff982ff,0x0037ff40,0x00000000,0x00000000,0x009fff50,
    0x001bffe2,0x00000000,0xfb000000,0x000001ff,0x00000000,0x3f600000,
    0x7fd406ff,0x0000004f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x007fffa0,0x3e67fff8,0x20001fff,0xffa84fff,0x00fffe46,
    0x00000000,0x00000000,0x09fff500,0x01bffe20,0x00000000,0xf0000000,
    0x00000fff,0x00035510,0x006aa200,0x3fea2000,0x3fea04ff,0x002a604f,
    0x00555440,0x400002a6,0x01aaaa98,0xaaa98800,0xa880001a,0x1000001a,
    0x00000355,0x00006aa2,0x000d5440,0xf001fffe,0xffff8fff,0xfe8000cf,
    0x25ffd86f,0x0004fff9,0x19aaa988,0x55310000,0x20000335,0x019aaa98,
    0x004fffa8,0x000dfff1,0x066aaa62,0x04ccc000,0x4cd4c000,0x06fff880,
    0xffb70000,0x019dffff,0x7ffedc00,0x000cefff,0xffffdb98,0xf501ffff,
    0x7f6449ff,0x400dffff,0xffffffc9,0x7fffec3f,0xfd98003f,0xffffffff,
    0x3f66002f,0xffffffff,0x3b26002f,0x04efffff,0x7ff64c00,0x0004efff,
    0x7ffff64c,0x4c0004ef,0xefffffec,0x37ffc404,0x31fffe00,0x7bffffff,
    0x3ffee001,0x1fffc88c,0x4001bffa,0xfffffdb8,0x000cffff,0x3ffff6e2,
    0x00cfffff,0x3fff6e20,0x0cffffff,0x009fff50,0x401bffe2,0xfffffdb8,
    0x000cffff,0x005fff10,0xffffd970,0x3e639dff,0x400005ff,0xffffffe8,
    0x002fffff,0x7fffff44,0x02ffffff,0x3ffffee0,0x06ffffff,0x3a29fff5,
    0xffffffff,0x3fffe00e,0xb3ffffff,0x9fffffff,0x3fff6200,0xffffffff,
    0xffd8802f,0xffffffff,0xff7002ff,0xffffffff,0xff70003d,0xffffffff,
    0xff70003d,0xffffffff,0xff70003d,0xffffffff,0x3ffe603d,0x3fffc005,
    0x7fffffd4,0xfe802dff,0x5fffffff,0x0007ffee,0x7ffffffc,0x4fffffff,
    0xffffff00,0xffffffff,0x3fffe009,0xffffffff,0xfffa84ff,0xdfff1004,
    0x3ffffe00,0xffffffff,0xff88004f,0x3fa2002f,0xffffffff,0xbfff54ff,
    0x7fd40000,0xffffffff,0x5005ffff,0xffffffff,0x0bffffff,0xffffffb0,
    0x5fffffff,0xd17fff50,0xffffffff,0x3fe01dff,0xffffefff,0xfeffffef,
    0x7c402fff,0xffffffff,0x402fffff,0xfffffff8,0x2fffffff,0x7fffec40,
    0xfffffeef,0xffb1003f,0xfffddfff,0x22007fff,0xeefffffd,0x03ffffff,
    0xfffffb10,0xffffffdd,0x09fff507,0x107fff80,0xfffffffb,0x7f4c07ff,
    0x265fffff,0x20004fff,0xffffffff,0x3fffffff,0xffffff80,0xffffffff,
    0xffff803f,0xffffffff,0x7fd43fff,0xfff1004f,0x3fffe00d,0xffffffff,
    0x4c003fff,0xf7002fff,0xffffffff,0x3ea9ffff,0x300005ff,0x437dffff,
    0x2fffffb9,0x77fffcc0,0x3ffee61b,0x3ffa02ff,0x9989bdff,0xfa86fffc,
    0xcffffdff,0xffffc989,0xa815df04,0x23ffffff,0x6c06fff9,0x300befff,
    0xffd80595,0x95300bef,0xffffd805,0xffffe982,0xffffd800,0xffffe982,
    0xffffd800,0xffffe982,0xffffd800,0xffffe982,0x027ffdc0,0x101fffe0,
    0xffffffd7,0x76dc03df,0x77ff42ce,0x3bfe0000,0x3ee609ab,0x7c01ffff,
    0x2609abef,0x01fffffb,0x04d5f7fc,0x3fffff73,0x8027ffd4,0xf006fff8,
    0x4c1357df,0x01fffffb,0x00bffe60,0x33ffffee,0x9fb7331a,0x0017ffea,
    0x077fff40,0x1ffffd10,0x077fff40,0x1ffffd10,0x05ffff70,0x217fffc4,
    0xeffffffa,0x1ffff900,0xfffc8030,0x0fffc85f,0x01ffff30,0x3ffe6000,
    0xf500000f,0xfd801dff,0x7fd405ff,0x7fec00ef,0x7ffd405f,0x7ffec00e,
    0x77ffd405,0x2fffec00,0x0017ffea,0x4c00ffff,0x6fffffeb,0x3ffee000,
    0x005c0002,0x04ffff88,0xff88005c,0x005c04ff,0x24ffff88,0x1004fffa,
    0x2e00dfff,0xffff1000,0x7ffcc009,0x7fffc403,0xf518801e,0x50000bff,
    0x7c00dfff,0xff504fff,0x7ffc00df,0x7fffc44f,0x5fffc801,0x2fffffd4,
    0x01fffec0,0x0ffffd40,0xa81fffcc,0x00004fff,0x0013ffea,0x01fffe80,
    0x01ffff88,0x2007fffa,0x201ffff8,0x8801fffe,0x3a01ffff,0xf8801fff,
    0x3fe61fff,0x7ffc006f,0xffd50007,0xf10007ff,0x00000bff,0x0bfff500,
    0xfffa8000,0x7d400005,0x3ffea5ff,0xdfff1004,0x3ea00000,0xda8805ff,
    0x7ec03fff,0xa8000eff,0x80005fff,0x2002ffff,0xff07fffb,0x7dc005ff,
    0x7ffdc7ff,0xffff3004,0x37fffd41,0x06fffb80,0x07fff880,0x7dc13ffe,
    0x200005ff,0x0005fffb,0x009fff50,0xa827ffdc,0x2e004fff,0xff504fff,
    0x7fdc009f,0x9fff504f,0x27ffdc00,0x400ffff1,0x0007fffd,0x002fffec,
    0x0007ffec,0x7fc40000,0x4400007f,0x00007fff,0xf53fffc4,0x3ea00bff,
    0x000006ff,0x5c0ffff1,0x3fffffff,0x07fffea0,0x2fffd400,0x3ffe6000,
    0xffff8006,0x037ffcc0,0xf07fffc0,0x6c003fff,0x3fea3fff,0xff1000ef,
    0x3fe000ff,0x17ffa06f,0x00ffffcc,0xffff9800,0xffd80001,0x3fe6002f,
    0x5fffb05f,0x2fffcc00,0x002fffd8,0x6c17ffe6,0x26002fff,0x7ffc5fff,
    0xfffc801f,0x7d40007f,0x7d4006ff,0x000002ff,0x01fffe00,0x1fffe000,
    0x3ffe0000,0x01bffea7,0x01ffffe2,0x7fff8000,0xfffffe98,0x3f203fff,
    0x2a0005ff,0x40005fff,0x8003fffa,0x7d41fffd,0xfd8003ff,0xdfff11ff,
    0x5fffb800,0x0013ffea,0x0001ffff,0x7f40bffd,0x3fffe06f,0xf80000cf,
    0x000cffff,0x003fffa0,0xd06fff88,0x44001fff,0xffd06fff,0x7fc4001f,
    0x1fffd06f,0x37ffc400,0x7013fff2,0x00ffffff,0x05fffa80,0x017ffe20,
    0xff000000,0xf00000ff,0x00000fff,0x7fd4ffff,0x3fa200ff,0x00007fff,
    0x3a1fffe0,0xccdeffff,0x3fffa02c,0x3fea0002,0x7dc0005f,0xfc8002ff,
    0x7ffdc3ff,0xfffc8002,0x009fff33,0x2a6fffa8,0x74004fff,0x54c00fff,
    0xaefffaaa,0xffeaaaaa,0x3fffe607,0x0000bdff,0xbffffff3,0xfff80017,
    0xaaaaaaaf,0xfffbaaaa,0x55ffff07,0x55555555,0x20ffff75,0xaaaaffff,
    0xbaaaaaaa,0xfff07fff,0x5555555f,0xfff75555,0x2ffff98f,0xffffff70,
    0xffd8000f,0x3ff6004f,0x004d440f,0x32aa6200,0x7fffcccc,0x6554c400,
    0x7fffcccc,0x6554c400,0x7fffcccc,0x413fffea,0xffffffe8,0xaa988001,
    0xfffccccc,0x1ffffdc7,0x07fffc00,0xbfff5000,0xfffd8000,0xfffb8001,
    0x00fffec4,0xba7ffdc0,0x4c004fff,0x3fea7fff,0x7fec004f,0xfffd881f,
    0xffffffff,0xffffffff,0x7fffd407,0x002dffff,0xffffffa8,0xf8802dff,
    0xffffffff,0xffffffff,0x7fc40fff,0xffffffff,0xffffffff,0x7ffc40ff,
    0xffffffff,0xffffffff,0x7fffc40f,0xffffffff,0xffffffff,0x5fffff40,
    0xbffffb89,0x33ba7ffd,0xfeb9819a,0xf5000fff,0x7ff4c7ff,0x5c001eff,
    0xfffffffe,0x007fffff,0xffffffd7,0x0fffffff,0x3ffffae0,0xffffffff,
    0x3ffffea7,0xfffb989d,0x09efffce,0xffffeb80,0xffffffff,0x027fff47,
    0x03fffc40,0x17ffea00,0x3fffd000,0xbfff5000,0x001fffe8,0xf95fffa8,
    0xf88007ff,0x3ffea7ff,0x7ffec004,0x7ffffd41,0xffffffff,0xffffffff,
    0xfffd8806,0x03ffffff,0x7fffec40,0x203fffff,0xfffffff9,0xffffffff,
    0x4c0fffff,0xffffffff,0xffffffff,0x7cc0ffff,0xffffffff,0xffffffff,
    0x7fcc0fff,0xffffffff,0xffffffff,0x7ffcc0ff,0xffffffff,0x7f4fffd3,
    0xffffffff,0x02ffffff,0x5cbfff10,0xffffffff,0xffffa802,0xffffffff,
    0x7d407fff,0xffffffff,0x07ffffff,0x7fffffd4,0xffffffff,0x3fffea7f,
    0xffffffff,0xfffff88f,0x3fffea05,0xffffffff,0x7ffc7fff,0xffa8000f,
    0x7d40006f,0x6c0005ff,0xb8002fff,0x7fec3fff,0xffb8002f,0x07fff93f,
    0x27fff880,0x4004fffa,0x3e20fffe,0xccccefff,0xccccefff,0x003ccccc,
    0x3ffffae2,0x4001efff,0xfffffeb8,0xff981eff,0xeeeeeeff,0xeeeeeeee,
    0xffff986e,0xeeeeeeee,0x6eeeeeee,0xeeffff98,0xeeeeeeee,0x986eeeee,
    0xeeeeffff,0xeeeeeeee,0xff306eee,0x7fffffff,0xffd3fff4,0xffffffff,
    0x4003ffff,0xff10fffc,0xffffd9df,0x7fffcc01,0xccccccef,0x2607fffc,
    0xccefffff,0xfffccccc,0x3fffe607,0xccccccef,0x3ea7fffc,0xfffffeff,
    0x3ff21eff,0xfff305ff,0x99999dff,0x4cffff99,0x30007fff,0x8000ffff,
    0x0005fffa,0x001fffe4,0x3217ffe4,0xc8003fff,0xfff72fff,0xfff98009,
    0x013ffea7,0xfc8ffff0,0xbffd04ff,0xb9800000,0x06fffffe,0x3ffae600,
    0xfff06fff,0x3e00000f,0x000007ff,0x0000ffff,0x001fffe0,0xfffd9800,
    0x7ff41cef,0x3ffff6e7,0x2dffffff,0x1fffd400,0x7d41dffb,0xfff103ff,
    0xfff003df,0x3fffe20f,0x7fff801e,0x3dffff10,0x54ffff00,0xfffbafff,
    0xfff704ff,0xdffff10b,0x4ffff003,0x000ffff9,0x007fff88,0x02fffd40,
    0x13ffee00,0x07fff600,0x0009fff7,0x3ea3fffb,0x7d4005ff,0x3ffea5ff,
    0x3ffe2004,0x807fffc6,0x00006ffe,0x3fffaa00,0xea80003f,0xff83ffff,
    0x800000ff,0x0000ffff,0x00ffff80,0xffff8000,0x88000000,0x1fffe00a,
    0x55554cc4,0x3ffa0001,0x7417ffc6,0xfff705ff,0x3ffe001d,0x1dfff707,
    0x41fffe00,0x000efffb,0x7fd4ffff,0x4006a63f,0xfffb8098,0xffff000e,
    0x017fffc4,0x01ffff80,0x17ffea00,0xdfff5000,0xffff8800,0x037ffd40,
    0x43fffe20,0x4007fff9,0x3ea3fffc,0x3ea004ff,0x3ffe24ff,0x01bffa06,
    0x3f600000,0x200005ff,0xfe85fffd,0x800001ff,0x0001fffe,0x01fffe80,
    0xfffe8000,0x00000001,0x000ffff0,0x7ffe4000,0x203ffe21,0xff906ffc,
    0x7ffc007f,0x07fff907,0xc83fffc0,0x3e003fff,0x3ffea7ff,0xf9000004,
    0x7fc007ff,0x27fffc7f,0x3fffe800,0x3ffea000,0x7fcc0005,0x3ee001ff,
    0xfff986ff,0x3fee001f,0x3fffe26f,0xffff1003,0x027ffd43,0x4c5fffd0,
    0x3fe04fff,0x000000ff,0x037ffd40,0xdfff5000,0x00bfff90,0xbfff9000,
    0xff900000,0x900000bf,0x0000bfff,0x3ffe0000,0x15553007,0x3fff9800,
    0x5407ffcc,0xfffd07ff,0x3ffe2005,0x05fffd07,0x41fffe20,0x1002fffe,
    0x7fd4ffff,0xd000004f,0x22005fff,0x7fdc7fff,0xfc8001ff,0x50000fff,
    0x0000bfff,0x200dfffb,0xb01ffff8,0x2200dfff,0x7e41ffff,0xff7006ff,
    0x4fffa8df,0x8bfff700,0xf904fff9,0x00007fff,0x5fffa800,0x3fea0000,
    0xffff885f,0x7c400002,0x00002fff,0x017fffc4,0x3ffe2000,0x0000002f,
    0x007fff80,0x8001fffb,0xff886ffe,0x06ffb82f,0x5005fffd,0x3a0fffff,
    0xfa802fff,0xffd07fff,0xfff5005f,0x27ffd4ff,0xffe80000,0xfffa802f,
    0x7fffc47f,0x7fc4001f,0xf50004ff,0x10000bff,0x401bffff,0x205fffe8,
    0x00dffff8,0x217fffa2,0x00dffff8,0x50bfffee,0xf5009fff,0xff883fff,
    0xffffb86f,0x000000ef,0x013fff60,0x4fffd800,0x05ffff90,0xfffc8000,
    0x6400002f,0x0002ffff,0x17fffe40,0x20000000,0xff007fff,0xffc800bf,
    0x09fff01f,0x3f609ffb,0x7fe405ff,0xffb07fff,0xfffc80bf,0xfffb07ff,
    0xffffc80b,0x13ffea7f,0x7fec0000,0x7ffe405f,0xfffa87ff,0x32000cff,
    0x800dffff,0x0bfff518,0x3fff2000,0xf7511aef,0xc801ffff,0x11aeffff,
    0x1fffff75,0x3bfffee0,0xfff9511b,0xffff50bf,0x7ed4435b,0xfff04fff,
    0x3fff227f,0x441efffd,0x59dd00ca,0xffd73033,0x33ba01ff,0xfeb9819a,
    0xff100fff,0x1035dfff,0xf880b953,0x81aeffff,0x4405ca98,0x1aefffff,
    0x405ca988,0xaefffff8,0x05ca9881,0x3fffc000,0x01fffcc0,0x409fff30,
    0x3ea1effe,0xfff702ff,0x7f5cc3bf,0x707fffff,0x4c3bffff,0xffffffeb,
    0xbffff707,0x7fff5cc3,0x3fea7fff,0x7000004f,0x4c3bffff,0xffffffeb,
    0xfffff707,0x401357bf,0xacfffffe,0x4feba999,0x000bfff5,0x3ffff620,
    0xffffffff,0xfd8801ef,0xffffffff,0x201effff,0xffffffd8,0x6fffffff,
    0xffffff50,0xffffffff,0x7ffdc09f,0xd1ffffff,0xffdfffff,0x3ffa01ff,
    0xffffffff,0x202fffff,0xfffffffe,0xffffffff,0x7fffd402,0xffffffff,
    0xfa806fff,0xffffffff,0x06ffffff,0xffffffa8,0xffffffff,0xfffa806f,
    0xffffffff,0x0006ffff,0x403fffc0,0x2000fffa,0x7d406ffe,0xfffddfff,
    0x7ffff405,0xffffffff,0x3a07ffcb,0xffffffff,0xffcbffff,0x3ffffa07,
    0xffffffff,0x3ea7ffcb,0x000004ff,0x3ffffffa,0xcbffffff,0x3fea07ff,
    0x6fffffff,0x3ffffa60,0xffffffff,0x0bfff54f,0xfffb8000,0xffffffff,
    0x7fdc000d,0xffffffff,0xff7000df,0xffffffff,0x3fa6019f,0xffffffff,
    0xe801efff,0x2fffffff,0x3fffffe2,0xfd00ffff,0xffffffff,0x803fffff,
    0xfffffffe,0x1fffffff,0xffffb100,0xffffffff,0x3f6200df,0xffffffff,
    0x1006ffff,0xfffffffb,0x0dffffff,0x3ffff620,0xffffffff,0x7c00006f,
    0xffc807ff,0x3ffee006,0xffffc801,0x4c00efff,0xfffffffe,0xfff91eff,
    0x7ffff4c0,0x91efffff,0x7f4c0fff,0xffffffff,0x54fff91e,0x00004fff,
    0x3ffffa60,0x91efffff,0xfd880fff,0x06ffffff,0xffffffc8,0x54ffffff,
    0x0000bfff,0xffffdb10,0x40005bdf,0xfffffed8,0xd98002de,0xdffffffe,
    0xffb71001,0x079dffff,0x7fffec40,0xffec982d,0x2e04efff,0xfffffffd,
    0x7002dfff,0xfffffffb,0x0005bfff,0x3ffffb6a,0x02ceffff,0x7fff6d40,
    0x2cefffff,0x7ff6d400,0xceffffff,0x7f6d4002,0xefffffff,0x7c00002c,
    0xffe807ff,0x9fff1004,0x7fffd400,0x7fdc004f,0x5c3effff,0xffb807ff,
    0x5c3effff,0xffb807ff,0x5c3effff,0x3ffea7ff,0xb8000004,0x3effffff,
    0x8803ffdc,0x06ffffeb,0xffffd930,0x2a17bfff,0x00005fff,0x0009a980,
    0x01353000,0x09a98000,0x03310000,0x00531000,0x0004d544,0x2aaaa662,
    0x4cc40001,0x0001aaaa,0x99aaa980,0x2a600000,0x000099aa,0x266aaa60,
    0x2a600000,0x000099aa,0x00aaaa00,0x00002aaa,0x00098800,0x000d4c40,
    0x00d4c400,0x0d4c4000,0x0d554400,0x31000000,0x80000035,0x10002a98,
    0x00001333,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2ee60000,
    0x55500000,0x55551035,0x55550005,0x55555103,0x202aa600,0x40001aa9,
    0x0001aa98,0x00004d44,0x0026a600,0x00000000,0x99910000,0x40000005,
    0x44004ccb,0x4c001aa9,0x0002aaaa,0x0026a200,0x55555440,0x001aaaaa,
    0x55544000,0x553001aa,0x20355301,0x0000aaaa,0x7fd40000,0x99998007,
    0x19999999,0x026a2000,0x55440000,0x2a000001,0x0001ffff,0x4077ffec,
    0x001ffffe,0x4077ffec,0x001ffffe,0xffd09ff9,0x0fffd407,0xffffffb1,
    0xffd98009,0x0e981dff,0x2a0fffd4,0x0efffffc,0x01ffff98,0x07fffa80,
    0x3ee00000,0x551002ff,0x55555555,0x4bfff103,0x3621fffa,0x04ffffff,
    0xbffffb10,0xfd980000,0xe981dfff,0xfffff980,0x004fffff,0x7ffec000,
    0x3ff2004f,0xd03ffe84,0x00001fff,0x4ffd8000,0x7fffc400,0x7fffffff,
    0xfffd9800,0x00e981df,0xffffd930,0x800009df,0x005fffff,0x03bfff20,
    0x003bfff6,0x01dfff90,0x001dfffb,0xb897ffd4,0x3ea01fff,0xffff51ff,
    0x03dfffff,0xffffff10,0x3fea19ff,0x90fffd46,0xffffffff,0x9fffd05f,
    0x9fffb000,0x6c000000,0x3e6007ff,0xffffffff,0x2fffa84f,0x7d47ffea,
    0xffffffff,0xfff7001e,0x220000bf,0xffffffff,0x30dff50c,0xffffffff,
    0x000009ff,0x017fffec,0x44bffea0,0xfd01fffb,0x000001ff,0x01fff800,
    0x7ffffc40,0x07ffffff,0x7ffffc40,0xff50cfff,0xffff700d,0x3dffffff,
    0xfff10000,0x2e000dff,0xfd80efff,0x5c000eff,0xfd80efff,0x44000eff,
    0xfffffffe,0x7ffd405f,0xffffffba,0x405fffff,0xfedfffe8,0xffffffff,
    0xc97ffd44,0xffffffff,0x7fdc0fff,0x7fc4007f,0x000001ff,0x8013ffe0,
    0xfffffff9,0xffd84fff,0x5d7ffd47,0xffffffff,0x26005fff,0x0004fffe,
    0x76ffff44,0xffffffff,0xeeee984f,0x04fffeee,0xfffb0000,0xfd10001d,
    0xbfffffff,0x007fff40,0xf5000000,0xdd1000ff,0xdddddddd,0x7f4400bd,
    0xffffedff,0x204fffff,0xefffffd8,0x3ffffffe,0xffff8000,0xff98005f,
    0xfffc80ef,0xfff98005,0x5fffc80e,0x3ffe6000,0x400fffff,0xfffdfffa,
    0xfffb30ae,0x0dfd805f,0x3fffffea,0xafffa85f,0x711cfffd,0xf889ffff,
    0x2e002fff,0x20006fff,0x5403fffc,0x26001fff,0xfeeeeeee,0x4fff84ff,
    0x7fefffd4,0xffb30aef,0x6c4005ff,0x40004fff,0x3fea0dfd,0x005fffff,
    0x004fffb8,0x4fffd800,0x7ffcc000,0x200fffff,0x0000fffe,0x2aaa2000,
    0x00004ffd,0xdfd80000,0x3ffffea0,0x7fec05ff,0xffe982ff,0x540000ff,
    0x4000efff,0xb80efff9,0x98004fff,0xfb80efff,0x880004ff,0x004effec,
    0x9ffffff5,0x02fffec0,0xbffd7024,0x3fffea07,0xff501fff,0xfffd81ff,
    0x3fffa005,0x3ff20003,0x37fe403f,0xfff70000,0x41fff989,0x4ffffffa,
    0x017fff60,0x013ffee0,0x7f5c0900,0xf70003df,0x800009ff,0x0002fffd,
    0x9dffd910,0x01fffd00,0xfeb80000,0x2fffffff,0x00000000,0x7ff5c090,
    0x7ffd403d,0x7ffec00e,0x2a880005,0x13331000,0x00026660,0x9804ccc4,
    0x00000099,0xffff5000,0xfff9809f,0x20000006,0x0efffffa,0x20ffff40,
    0x800ffff9,0x000ffff8,0x00ffff20,0x00007ffd,0x2e27ffdc,0xfffa86ff,
    0x7fcc04ff,0x3310006f,0x00000003,0x3ffee000,0x26200004,0x00000099,
    0x1fffd000,0x3a600000,0xffffffff,0x00003fff,0x00000000,0x01fffe80,
    0x01ffff88,0x00000000,0x00000000,0x00000000,0x0bffff50,0x001fffe0,
    0xfffa8000,0xffc800ff,0x3fffe82f,0x05fffb80,0x1fffe400,0x00006660,
    0x889fff70,0xfffa8099,0xffff005f,0x00000000,0x5c000000,0x00004fff,
    0x00000000,0x00fffe80,0xfffb8000,0xffffffff,0x00005fff,0x00000000,
    0x013ffea0,0x004fffb8,0x00000000,0x00000000,0x00000000,0x400dfff5,
    0x0000fffe,0xffff5000,0x3fff2003,0x06fffb82,0x002fffe8,0x01fffe40,
    0xfb800000,0x7d4004ff,0x3fa006ff,0x000000ff,0x00000000,0x009fff70,
    0x00000000,0xfffd0000,0xfa800001,0xf10adfff,0x07ffffff,0x00d54400,
    0x20000000,0x2002fffd,0x0005fff9,0x00133530,0x00000000,0x0000d544,
    0x006aa200,0x004fffa8,0x0003fffa,0x7ffd4000,0x3bbaa004,0x1ffff882,
    0x01fffe60,0x0ffff200,0x5c000000,0x54004fff,0x3a004fff,0x00000fff,
    0x53100000,0xfb800035,0x00ea84ff,0x03553100,0xe8000000,0x00000fff,
    0x5427fff4,0xffffdfff,0x3ff6e001,0x00ceffff,0x74000000,0x22000fff,
    0x70006fff,0xffffffd9,0xfff5039d,0x7ffec009,0xffdb8000,0x00ceffff,
    0xfffdb800,0x200cefff,0x2004fffa,0xfa80fffd,0x3f6004ff,0x9fff50ff,
    0xffb00000,0x7ffe40bf,0xffc80004,0x0000003f,0x009fff70,0x004fffa8,
    0x4c03fff6,0xffffffff,0x7d4004ff,0x3ff621ff,0x0004ffff,0x7549fff7,
    0xfffa80ff,0x3ffff621,0xff3004ff,0xffffffff,0x1fffd009,0xffffd100,
    0x05fffb83,0xfff19ffb,0xffd1009f,0xffffffff,0x3fe6005f,0xffffffff,
    0x5ffff004,0x55555555,0x0ffff755,0xffffe880,0x4fffffff,0x004fffa8,
    0x8003fff6,0xffffffe8,0x002fffff,0xfffffd10,0x05ffffff,0x8013ffea,
    0xfa80fffd,0x3f6004ff,0x9fff50ff,0xff500000,0x3ffa01ff,0xfc80001f,
    0x000003ff,0x09fff700,0x04fffa80,0x403fff60,0xfffffff9,0x54004fff,
    0xfff51fff,0x3dffffff,0xcfffb800,0x80ffffe9,0xff51fffa,0xdfffffff,
    0xffff9803,0x04ffffff,0x400fffe8,0x41ffffe8,0x881ffff8,0xfff51fff,
    0xffffa80f,0xffffffff,0xff9805ff,0xffffffff,0xffff8804,0xffffffff,
    0xffffffff,0xffff7000,0xffffffff,0x9fff509f,0x07ffec00,0xfffffa80,
    0xffffffff,0x7fd4005f,0xffffffff,0xfa85ffff,0x3f6004ff,0xfffa80ff,
    0x3fff6004,0x009fff50,0x3fffa000,0x06fff983,0x7fff9000,0x20000000,
    0x4004fffb,0x2004fffa,0xf300fffd,0xffffffff,0xffa8009f,0xfffffbaf,
    0x05ffffff,0x7ffffdc0,0xa80dffff,0xfffbafff,0xffffffff,0x7fffcc05,
    0x04ffffff,0x200fffe8,0x81ffffe8,0xf505fff9,0x2fffe8ff,0x7dffff30,
    0x7fffdcc3,0x7ffcc02f,0x4fffffff,0xfffff980,0xffffffff,0x0fffffff,
    0xfffffb80,0xfb7331ac,0x09fff509,0x007ffec0,0x5f7fffcc,0x3fffee61,
    0xfff3002f,0x7dcc37df,0x7d42ffff,0x3f6004ff,0xfffa80ff,0x3fff6004,
    0x009fff50,0x3ffee000,0x03fffc86,0x7fff9000,0x20000000,0x4004fffb,
    0x2004fffa,0x2600fffd,0xffc99999,0x7fd4004f,0x0aefffdf,0x05ffffb3,
    0x7ffffdc0,0x3ea01eff,0xaefffdff,0x5ffffb30,0x99999980,0xe804fffc,
    0xfd100fff,0x3ea03fff,0x9ffb03ff,0xd03fffd8,0x4401dfff,0x400ffffe,
    0xfc999999,0xff9804ff,0xeeeeeeff,0xeeeeeeee,0xfff8806e,0x818801ef,
    0x2004fffa,0xe800fffd,0x2200efff,0x800ffffe,0x200efffe,0x20ffffe8,
    0x2004fffa,0xfa80fffd,0x3f6004ff,0x9fff50ff,0x3e200000,0x7ffc1fff,
    0xf900000f,0x000007ff,0x13ffee00,0x09fff500,0x007ffec0,0x027ffdc0,
    0x3ffffea0,0x3fff604f,0xfffd3005,0xf5003dff,0x409fffff,0x0005fffd,
    0xd009fff7,0xfd101fff,0x7e403fff,0xfff882ff,0x41fffe41,0x2006fffa,
    0x0004ffff,0x2009fff7,0x00007fff,0x0efffd80,0x7ffd4000,0x3fff6004,
    0x37ffd400,0x09ffff00,0x006fffa8,0xfa93fffe,0x3f6004ff,0xfffa80ff,
    0x3fff6004,0x009fff50,0x7ffec000,0x017ffea4,0x3fffc800,0x70000000,
    0xa8009fff,0x36004fff,0xb8000fff,0x54004fff,0x404fffff,0x4c06fff9,
    0x2efffffd,0x3fffea00,0x7ffcc04f,0xfff70006,0x1fffd009,0x1ffffe88,
    0x40fffec0,0xffa87ffa,0x2ffff84f,0x1fffee00,0x27ffdc00,0x00ffff80,
    0x3fea0000,0xa80001ff,0x36004fff,0x7fc00fff,0x3ee002ff,0x7ffc07ff,
    0x3fee002f,0x13ffea7f,0x80fffd80,0x2004fffa,0xff50fffd,0x4000009f,
    0x3f67fffa,0x200002ff,0x0003fffc,0xfff70000,0xfffa8009,0x3fff6004,
    0xfffb8000,0x7ffd4004,0xffff005f,0x3ffff660,0x54004fff,0xf005ffff,
    0x2e000fff,0xfe804fff,0x3ffa20ff,0xffe801ff,0x84ffd80f,0x7cc5fff9,
    0xff8006ff,0xfb8000ff,0xffd004ff,0x4000003f,0x0005fffc,0x009fff50,
    0x3007ffec,0xf000dfff,0x3e601fff,0xff8006ff,0x9fff50ff,0x07ffec00,
    0x0027ffd4,0x3ea1fffb,0x000004ff,0x7c4ffffc,0x400007ff,0x0003fffc,
    0xfff70000,0xfffa8009,0x3fff6004,0xfffb8000,0x7ffd4004,0x3fffa006,
    0x7ffffec0,0x4004ffff,0x2006fffa,0x8000fffe,0xe804fffb,0xffd10fff,
    0x3f6003ff,0x7ffc41ff,0x43fffa81,0x8003fffa,0x8001fffd,0x9004fffb,
    0x0000bfff,0x017fff40,0x4fffa800,0x03fff600,0x003fffa8,0x501fffd8,
    0xb0007fff,0x3fea3fff,0x3ff6004f,0x4fffa80f,0x43fff600,0x0004fffa,
    0x67ffdc00,0x0004fffb,0x01fffe40,0xfb800000,0x7d4004ff,0x3f6004ff,
    0xfb8000ff,0x7d4004ff,0x3fa004ff,0x7fffc0ff,0x04fffbae,0x027ffd40,
    0x001fffd0,0x009fff70,0xfd11fffd,0x6c003fff,0x7fd42fff,0x85fff707,
    0x8002fffb,0x8003fffc,0x1004fffb,0x0005ffff,0x03fffe00,0x7ffd4000,
    0x3fff6004,0x0bffee00,0x0ffff200,0x0017ffdc,0xfa9fffe4,0x3f6004ff,
    0xfffa80ff,0x3fff6004,0x009fff50,0xfff88000,0x001fffef,0x1fffe400,
    0xb8000000,0x54004fff,0x36004fff,0xb8000fff,0x54004fff,0x36004fff,
    0x77fc0fff,0x013ffee2,0x009fff50,0x0007ffec,0x4027ffdc,0xffd9fffe,
    0x7e4000ff,0x27fec4ff,0x6c1fffc8,0xb8001fff,0xb8004fff,0x32004fff,
    0x0002ffff,0x03fffc40,0x9fff5000,0x07ffec00,0x003fffb0,0x209fff70,
    0x8001fffd,0xff54fffb,0x7fec009f,0x4fffa80f,0x43fff600,0x0004fffa,
    0xffffd800,0x800006ff,0x0003fffc,0xfff70000,0xfffa8009,0x3fff6004,
    0xfffb8000,0x7ffd4004,0x3fff6004,0x7fdc1740,0x7fd4004f,0x3ff6004f,
    0xffb8000f,0xfffe804f,0x001ffffe,0x225fffb8,0xfff01fff,0x1fffe81f,
    0x5fffa800,0x4fffb800,0x3fffe200,0xa9881aef,0x7ffd405c,0x3ea00006,
    0x3f6004ff,0x3ffa00ff,0xffa8001f,0x3fffd05f,0xbfff5000,0x8013ffea,
    0xfa80fffd,0x3f6004ff,0x9fff50ff,0xf5000000,0x005fffff,0x7fff9000,
    0x20000000,0x4004fffb,0x2004fffa,0x8000fffd,0x4004fffb,0x2004fffa,
    0x7000fffd,0xa8009fff,0x36004fff,0xb8000fff,0xfe804fff,0x5ffffaff,
    0xffff8800,0x2a0fff51,0xffd86fff,0xffb8002f,0xffb8003f,0x7fd4004f,
    0xffffffff,0x406fffff,0x0007fff9,0x013ffea0,0x200fffd8,0x8002fffd,
    0xfb03fffb,0xf70005ff,0x3ffea7ff,0x3fff6004,0x04fffa80,0x543fff60,
    0x00004fff,0xdfffff00,0x3f200000,0x000003ff,0x09fff700,0x04fffa80,
    0x003fff60,0x013ffee0,0x009fff50,0x8007ffec,0x4004fffb,0x2004fffa,
    0x8000fffd,0xe804fffb,0xfff98fff,0xffd8005f,0x209ffb6f,0xfc82fffe,
    0xfc8003ff,0xfb8002ff,0xd88004ff,0xffffffff,0x406fffff,0x0007fff8,
    0x013ffea0,0x200fffd8,0x8003fffc,0xf902fffc,0xf90007ff,0x3ffea5ff,
    0x3fff6004,0x04fffa80,0x543fff60,0x00004fff,0x5ffff900,0x3f200000,
    0x000003ff,0x09fff700,0x04fffa80,0x003fff60,0x013ffee0,0x009fff50,
    0x8007ffec,0x4004fffb,0x2004fffa,0x8000fffd,0xe804fffb,0xfff50fff,
    0xffa8009f,0x41fffdff,0x705fffe8,0xb0009fff,0x70003fff,0x40009fff,
    0xfffffeda,0x802defff,0x0001ffff,0x009fff50,0x7007ffec,0xb0009fff,
    0x3ee03fff,0xfd8004ff,0xe80001ff,0xfff507ff,0x7ffec009,0x00000000,
    0x003fffdc,0x7fff9000,0x20000000,0x0004fffb,0x40000000,0x4004fffb,
    0x2004fffa,0x7000fffd,0xa8009fff,0x36004fff,0xb8000fff,0xfe804fff,
    0x3ffee0ff,0x7fe4004f,0x2e67ffff,0x501ffffe,0x8800dfff,0x8000ffff,
    0x0004fffb,0x3ffeea60,0x7fff4004,0xff300003,0x3fe200bf,0x3fea00ff,
    0x7fc4006f,0xfff500ff,0xfff8800d,0xff80000f,0xbfff306f,0x3fffe200,
    0x00000000,0x00ffffe2,0xfffc8000,0x00000003,0x0009fff7,0x80000000,
    0x4004fffb,0x2004fffa,0x7000fffd,0xa8009fff,0x36004fff,0xb8000fff,
    0xfe804fff,0x7ffe40ff,0x7fec003f,0xffffffff,0x2602ffff,0x2001ffff,
    0x0006fffb,0x0009fff7,0x00bffd00,0x01ffff90,0xdfff1000,0x3ffffa00,
    0x3fffe600,0x3ffee001,0x3fffe606,0x3ffee001,0xff880006,0xdfff105f,
    0x3ffffa00,0x0aaa9800,0xfff90000,0x4000001f,0x0003fffc,0xfff70000,
    0xa9800009,0x400000aa,0x4004fffb,0x2004fffa,0x7000fffd,0xa8009fff,
    0x36004fff,0xb8000fff,0xfe804fff,0xfffd80ff,0x7fdc002f,0xffffffff,
    0xffd800df,0xfff1006f,0x3ee0003f,0x400004ff,0x8000fffc,0x004ffff8,
    0x01ffff00,0x0fffffd8,0x037ffec0,0x01ffff88,0x8037ffec,0x001ffff8,
    0x04fffc80,0xb003fffe,0x001fffff,0x0001fffb,0x05ffff50,0xffc80000,
    0x0000003f,0x009fff70,0x0fffd800,0x7fdc0000,0x7fd4004f,0x3ff6004f,
    0xfff7000f,0xfffa8009,0x3fff6004,0xfffb8000,0x0fffe804,0x05ffffd0,
    0xfffffb80,0x2003dfff,0x00dffff8,0x017fffa2,0x04fffb80,0x27ffc000,
    0xffff9000,0x2031001b,0xb104fffe,0x01ffffff,0x0dffff88,0x17fffa20,
    0x37fffe20,0x3fffa200,0xff980005,0x3ffa01ff,0xfffb104f,0xff001fff,
    0xf50000bf,0x00009fff,0x07fff900,0x2e000000,0x00004fff,0x0002fffc,
    0x027ffdc0,0x013ffea0,0x000fffd8,0x8009fff7,0x2004fffa,0x8000fffd,
    0xe804fffb,0xfd100fff,0x6c003fff,0x009aacff,0x3ffff200,0xff7511ae,
    0x40001fff,0x0004fffb,0x00fffe60,0xfffffd00,0xd7533359,0x3ffee09f,
    0xffd511df,0x001fffbf,0x35dffff9,0x3fffeea2,0xfff9000f,0x2ea235df,
    0x000fffff,0x3fffee20,0x7fffdc04,0xfffd511d,0x9801fffb,0x82003fff,
    0x6ffffd98,0xf9000000,0x000007ff,0x13ffee00,0xfff98000,0x55550003,
    0xbfffb555,0x01555555,0x4009fff5,0x2660fffd,0xffc99999,0x999999cf,
    0x04fffa80,0x403fff60,0xdaaaaaaa,0xaaaadfff,0x1fffd0aa,0x7ffffcc0,
    0x1fff8801,0x3f620000,0xffffffff,0x801effff,0xdaaaaaaa,0xaaaadfff,
    0x7c4000aa,0x20001eff,0xffffffe9,0x4fffffff,0x3fffffa0,0xb9ffffff,
    0xd8800fff,0xffffffff,0x01efffff,0x3ffff620,0xffffffff,0x3a0001ef,
    0x00ffffff,0xffffffe8,0xfb9fffff,0x7fd400ff,0x3ff2000f,0x0fffffff,
    0xf9000000,0x55555bff,0x35555555,0x2aaaaa00,0xadfffdaa,0x000aaaaa,
    0x0007ffd4,0xfffffff8,0xffffffff,0xffa82fff,0x3ff6004f,0x3ffffe0f,
    0xffffffff,0xa82fffff,0x36004fff,0xfff00fff,0xffffffff,0x5fffffff,
    0x3003fffa,0x801fffff,0x00006ffa,0xffffff70,0x01bfffff,0x3fffffe0,
    0xffffffff,0x8002ffff,0x1ffffffc,0xffff9000,0xffffffff,0x7fffcc09,
    0x71efffff,0x5c001fff,0xffffffff,0x0000dfff,0xfffffff7,0x001bffff,
    0xefffff80,0xffff3000,0x23dfffff,0x6400fffb,0x7e4006ff,0x0cffffff,
    0x32000000,0xffffffff,0xffffffff,0xfffff004,0xffffffff,0x005fffff,
    0x0006ffc8,0x3ffffffe,0xffffffff,0xffa82fff,0x3ff6004f,0x3ffffe0f,
    0xffffffff,0xa82fffff,0x36004fff,0xfff00fff,0xffffffff,0x5fffffff,
    0x2003fffa,0x00effffa,0x00013ff6,0xfffed880,0x4002deff,0xffffffff,
    0xffffffff,0xf88002ff,0x001fffff,0x3fffb260,0x00bdffff,0x7ffffec4,
    0x07ffd44f,0x3ffb6200,0x002defff,0xfffed880,0x0002deff,0x007ffff0,
    0xfffffb10,0x0fffa89f,0x0027ff40,0x3bfffff2,0x80000001,0xfffffffc,
    0xffffffff,0xffff004f,0xffffffff,0x05ffffff,0x004ffe80,0x3fffffe0,
    0xffffffff,0xfa82ffff,0x3f6004ff,0x3fffe0ff,0xffffffff,0x82ffffff,
    0x2004fffa,0xff00fffd,0xffffffff,0xffffffff,0x003fffa5,0x077fffdc,
    0x000fffc4,0x13530000,0x7fffc000,0xffffffff,0x02ffffff,0xbddb7100,
    0x4c400001,0x26000099,0x000001aa,0x00013530,0x009a9800,0x01ab8000,
    0x03553000,0x02aaa000,0x03599300,0xc8000000,0xffffffff,0xffffffff,
    0xfffff004,0xffffffff,0x005fffff,0x0000aaa8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xaaaaa980,0x000aaaaa,0x6dd44000,
    0x00000abc,0x55405555,0x4400002a,0x001aaaaa,0x2aaaa200,0x2aaa801a,
    0x000aaaa0,0x000aaaa0,0x02200220,0x399d9730,0x15553000,0x00f76d40,
    0x802aaa60,0x4001eeda,0x9800aaa9,0x99999999,0xaa880199,0x4000001a,
    0x99999999,0x88001999,0x0019aaa9,0x50155540,0x2aa20555,0xaaaaaaaa,
    0x5cc00001,0x9300000b,0x33000039,0x33333333,0xaa880033,0x3fff2000,
    0x0fffffff,0x3ee00000,0x2fffffff,0xfffa8000,0x0fffec45,0x3ff60000,
    0x400004ff,0x004ffffd,0xd88bfff5,0x40001fff,0x003ffffc,0xd813ff60,
    0x3ff603ff,0x2002ffff,0xd505fff8,0x4003ffff,0xd505fff8,0x4003ffff,
    0x8805fff8,0xffffffff,0xfa807fff,0x000004ff,0x3fffffe2,0x807fffff,
    0xfffffdb8,0x000cffff,0x445fffa8,0xf301fffd,0xffffffff,0x5400009f,
    0x0001ffff,0x017fffdc,0xfffff100,0x0fffffff,0x0ffffd40,0xfffffc80,
    0x000fffff,0xfffe8800,0x5fffffff,0xfffa8000,0x1fffe88e,0x7fec0000,
    0x400002ff,0x002ffffd,0x4477ffd4,0x0001fffe,0x7fffffe4,0xfffa8003,
    0xffffb82f,0xfffffb01,0x7fec00df,0x7ffecc0f,0x36001fff,0x7ecc0fff,
    0x001fffff,0x2003fff6,0xfffffff8,0xa807ffff,0x00004fff,0x3ffffe20,
    0x07ffffff,0xfffffff8,0x4fffffff,0xefffa800,0x01fffe88,0x3fffffe6,
    0x0004ffff,0x17ffffe0,0xfffff000,0x7fc4000d,0xffffffff,0xfff1007f,
    0x3ae00fff,0xfffeeeee,0xd800000f,0xfeceffff,0x0002ffff,0xffefffa8,
    0x400001ff,0x000efffd,0x77ffec00,0xfff50000,0x003ffffd,0xedfffc80,
    0x5c003fff,0xfc83ffff,0x21302fff,0x802fffd8,0x7cc3fffa,0x1fffffff,
    0x87fff500,0xfffffff9,0xfff5001f,0x3bba2007,0xeeeeeeee,0xff955505,
    0x555555bf,0xee880005,0xeeeeeeee,0xffff805e,0xffffffff,0xa8003fff,
    0xffffefff,0x77774c01,0x04fffeee,0xffff1000,0x7c4000ff,0x0007ffff,
    0x3bbbbba2,0x005eeeee,0x5ffffff7,0xfffe8000,0x7d400000,0x7ecc2fff,
    0x500007ff,0x03ffffff,0xfffd8000,0xfd800004,0xa80004ff,0x01ffffff,
    0x1fffe400,0x4007fffb,0xa81ffff9,0x7000ffff,0xe8803fff,0x7ffd06ff,
    0x1003fff5,0x3fa0dffd,0x01fffabf,0x006ffe88,0xfff80000,0xffffffff,
    0x00006fff,0xeff80000,0x3ee609ab,0x8001ffff,0x1ffffffa,0x7ffdc000,
    0x3fa00004,0x40005fff,0x006fffff,0xb8000000,0x02ffffff,0x07fff400,
    0x3ff60000,0xffff303f,0x3ea00001,0x00001fff,0x0017ffec,0x17ffec00,
    0xfff50000,0xfc80003f,0xfffc82ff,0x0bbaa003,0x2201deb8,0x05fffbaa,
    0x501fffc8,0x07ffea19,0x407fff20,0x3fff50ca,0x03fff900,0xff000000,
    0xffffffff,0x000dffff,0x17000000,0x3fffe200,0xfff50004,0xf700003f,
    0x400009ff,0x000ffff9,0x0ffffd40,0x00000000,0x7fffffcc,0x7ff40000,
    0x7400000f,0x3fa00fff,0x200002ff,0x00000998,0x0004ccc4,0x04ccc400,
    0x4cc40000,0x99980000,0x00666600,0xf8800000,0x400effff,0x2003fff9,
    0x4c01fffa,0x2a003fff,0x7cc01fff,0x000003ff,0xffdddd00,0xddddddff,
    0x0000000b,0xff500000,0x4c4000bf,0xf7000009,0x800009ff,0x00000aa8,
    0x00001773,0x7dc00000,0x80002fff,0x0000fffe,0x007fffc0,0x0003fffb,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfff88000,0x3a02ffff,
    0x7d4006ff,0x7ff401ff,0x7ffd4006,0x037ff401,0xa8000000,0x00004fff,
    0x00000000,0x03fffc40,0x20000000,0x0004fffb,0x00000000,0x00000000,
    0x0005dcc0,0x00fffe80,0x7fffc000,0x03fffa01,0x00000000,0x00000000,
    0x00000000,0x00000000,0x26000000,0x06fffca9,0x8003fff9,0x3201fffa,
    0x54001fff,0x3f201fff,0x440001ff,0x0019aaa9,0x0027ffd4,0x2aa20000,
    0xf0000001,0x00000fff,0xfffb8000,0x00000004,0x00000000,0x00000000,
    0x0fffe800,0x7fec0000,0xdfff302f,0x00000000,0x09a98000,0x00000000,
    0x01353000,0x00000000,0x3a000000,0x7fcc0fff,0xffa8004f,0x9fff301f,
    0x3fff5000,0x013ffe60,0x3fff6e20,0x0cffffff,0x04fffa80,0xec980000,
    0x04efffff,0x3ffe0000,0x54c40007,0x7dc0001a,0x000004ff,0x00000000,
    0x004fffa8,0x0003fff6,0x3ffa0000,0x6400000f,0xfe886fff,0xfe8002ff,
    0xffffffff,0x4fffffff,0x507ffea0,0x1dfffff9,0xfffff300,0x009fffff,
    0xa83fff50,0x0efffffc,0xfffff980,0x004fffff,0xffffff98,0x0004ffff,
    0x3a1fffea,0xf50006ff,0x3ffa03ff,0xfff50006,0x01bffa03,0x7fffffc0,
    0xffffffff,0x27ffd404,0x40001998,0xfffffffb,0x4001efff,0xccccaa98,
    0x2a07fffc,0x3f621fff,0x004fffff,0x009fff70,0xffffffd0,0xffffffff,
    0xfff989ff,0x4fffffff,0x27ffd400,0x01fffb00,0xfd000000,0x800001ff,
    0x263ffff9,0x0005fffe,0xfffffffd,0xffffffff,0x7ffd409f,0x3fffff21,
    0x4c02ffff,0xffffffff,0xfa8004ff,0x3fff21ff,0x02ffffff,0x7fffffcc,
    0x8004ffff,0xfffffff9,0x3e004fff,0x4fffffee,0x000fffdc,0xb81fffa8,
    0x50001fff,0xff703fff,0x3fe0003f,0xffffffff,0x203fffff,0x75c4fffa,
    0x003effff,0x3fffff62,0xffffffee,0xfffeb803,0xffffffff,0x3ffea07f,
    0xffffff51,0x8003dfff,0x8004fffb,0xfffffffe,0xffffffff,0x7fffcc4f,
    0x04ffffff,0x027ffd40,0x001fffb0,0xffd00000,0x9000001f,0xff93ffff,
    0x20001dff,0xfffffffe,0xffffffff,0x3ffea04f,0xffffff92,0x401fffff,
    0xfffffff9,0xa8004fff,0xfff92fff,0xffffffff,0x7fffcc01,0x04ffffff,
    0xfffff980,0x004fffff,0x3ffffffe,0x027ffcc5,0x83fff500,0x0004fff9,
    0xf307ffea,0x7c0009ff,0x2609abef,0x01fffffb,0x3a69fff5,0xffffffff,
    0xfffd800d,0xfffe982f,0xffff500f,0xffffffff,0x7d40ffff,0xffffbaff,
    0x5fffffff,0x27ffdc00,0x7ffff400,0xffffffff,0x7cc4ffff,0xffffffff,
    0x7fd4004f,0x3ff6004f,0x0000000f,0x000fffe8,0xffff8800,0x004fffff,
    0x55555540,0xfdaaaaaa,0x3ea01fff,0xcfffdaff,0x9ffff711,0x99999980,
    0x8004fffc,0xffdafffa,0xfff711cf,0x9999809f,0x04fffc99,0x33333300,
    0x4009fff9,0x81ceeffd,0x0000effe,0xfd033326,0x4c0001df,0x7ff40ccc,
    0x02e0000e,0x27fffc40,0xf9cfffa8,0xffffffff,0x7fd405ff,0x7fec00ef,
    0xffff985f,0xccccccef,0x2a07fffc,0xefffdfff,0xffffb30a,0x7ffdc005,
    0xaaaa8004,0xaaaaaaaa,0x981ffffd,0xffc99999,0x7fd4004f,0x3ff6004f,
    0x0000000f,0x000fffe8,0xffff5000,0x00005dff,0xffff8800,0x7fffd403,
    0xff501fff,0xf70001ff,0xf50009ff,0x03ffffff,0x003fffea,0x013ffee0,
    0x9fff7000,0xff700000,0x4000005f,0x0002fffb,0x0bffee00,0xf5000000,
    0x3fea0bff,0x9bffffdf,0x1ffffea9,0x007fffa0,0x887fffe2,0x801effff,
    0x3ea07fff,0x204fffff,0x2005fffd,0x0004fffb,0x7fffc400,0x7ffdc003,
    0x7ffd4004,0x3fff6004,0x80000000,0x9800fffe,0xfd8803dc,0x0006ffff,
    0xfffd0000,0xffff500b,0xffe801df,0xffb8001f,0xffa8004f,0x7400efff,
    0xb8001fff,0x00004fff,0x0027ffdc,0x17ffe200,0xff880000,0x2000005f,
    0x0005fff8,0xfff88000,0xfffff507,0x3ffa01df,0x9fff505f,0x27ffdc00,
    0x001dfff7,0xfa81fffe,0x4c04ffff,0x2e006fff,0x00004fff,0x02ffff40,
    0x027ffdc0,0x013ffea0,0x000fffd8,0xffe80000,0x7ffd400f,0xffd300ef,
    0x205fffff,0x0001ccca,0x01dfffb0,0x1fffff50,0x05fff900,0x09fff700,
    0xfffff500,0x5fff9001,0x9fff7000,0xffb80000,0x6c00004f,0x00000fff,
    0x003fff60,0xfffd8000,0x00000000,0x3ea0ffff,0x5405ffff,0xffb06fff,
    0x7fcc005f,0x0ffff25f,0x207fff80,0x005ffffa,0x5c00ffff,0x00004fff,
    0x03bfff60,0x13ffee00,0x09fff500,0x007ffec0,0x800006a2,0x2200fffe,
    0x85ffffff,0xffeffff9,0xffc81fff,0xfb80002f,0xf5001fff,0x32003fff,
    0xb8002fff,0xa8004fff,0x9001ffff,0x70005fff,0x00009fff,0x004fffb8,
    0x0bffea00,0xffa80000,0x2000002f,0x0002fffa,0x3ffe0000,0xdffff507,
    0x41fffe00,0x2000fffe,0x3fa6fff8,0xff1002ff,0x7ffd40ff,0x3fffa006,
    0x9fff7000,0x3ee00000,0x70001fff,0xa8009fff,0x36004fff,0x3ee00fff,
    0x80000eff,0x2a00fffe,0x47ffffff,0x98dffff8,0x640effff,0x40001fff,
    0x002ffff9,0x8013ffea,0x8002eeea,0x8004fffb,0x2004fffa,0x8002eeea,
    0x0004fffb,0x027ffdc0,0x5fff8800,0x3e200000,0x000005ff,0x0017ffe2,
    0xcaa98800,0x7fffcccc,0x01dfff50,0x203fffa0,0xaaaaffff,0xbaaaaaaa,
    0x3ffa7fff,0xfffa802f,0x3ffea07f,0x3fffa004,0x9fff7000,0xff300000,
    0x5c0005ff,0x54004fff,0x36004fff,0xff100fff,0x0000dfff,0x5c01fffd,
    0x47ffffff,0x7dc6fffc,0x7fec5fff,0x3a20000f,0x54004fff,0x00004fff,
    0x27ffdc00,0x27ffd400,0x2e000000,0x00004fff,0x0027ffdc,0x00fffd80,
    0x3ff60000,0x04d5440f,0x1fffb000,0xfd700000,0xffffffff,0x3ea0ffff,
    0x3fa004ff,0x7ffc40ff,0xffffffff,0xffffffff,0x0bfffb0f,0x7fffffc8,
    0x013ffea0,0x000fffd8,0x0009fff7,0x4fffe880,0x7ffdc000,0x7ffd4004,
    0x3fff6004,0xfffff300,0xfe80005f,0x3fe600ff,0x3e25ffff,0xffc81fff,
    0x1fffa4ff,0xdfffb000,0x9fff5000,0xb8000000,0xa8004fff,0x00004fff,
    0x27ffdc00,0x3fee0000,0xfa80004f,0x7ffc43ff,0xfa8004ff,0x3ffa63ff,
    0xa8003fff,0x7fc43fff,0xf5004fff,0xffffffff,0x0fffffff,0x8013ffea,
    0x7cc0fffd,0xffffffff,0xffffffff,0xfff70fff,0x7f5cc3bf,0x207fffff,
    0x2004fffa,0x7000fffd,0x00009fff,0x006fffd8,0x04fffb80,0x027ffd40,
    0x201fffb0,0x4ffffff8,0x7fff4000,0x7fffe400,0x17ffea0f,0x8affffe8,
    0x20007fff,0x000ffffb,0x004fffa8,0x7fdc0000,0xffa8004f,0x0000004f,
    0x0027ffdc,0x13ffee00,0xbfff1000,0x9fffffb0,0x5fff8800,0x3fffffe6,
    0x3e2003ff,0xfffd85ff,0xff9804ff,0xccccefff,0x07fffccc,0x4009fff5,
    0x7cc0fffd,0xeeeeefff,0xeeeeeeee,0x7fff46ee,0xffffffff,0x207ffcbf,
    0x2004fffa,0x7000fffd,0x00009fff,0x007fffdc,0x27ffdc00,0x13ffea00,
    0x00fffd80,0x17fffff6,0x1fffd000,0x819db500,0x2204fffb,0xffcfffff,
    0xff50004f,0x2a0003ff,0x00004fff,0x27ffdc00,0x27ffd400,0x2e000000,
    0x00004fff,0x0027ffdc,0x503fff20,0x09ffffff,0x40fffc80,0xfffbbefd,
    0x3fff2007,0x7ffffd40,0x7ffc404f,0xfff801ef,0x09fff507,0x407ffec0,
    0x00007fff,0x7fffff4c,0xf91effff,0x7ffd40ff,0x3fff6004,0x9fff7000,
    0x3fea0000,0x700001ff,0xa8009fff,0x36004fff,0x3e200fff,0x0005ffff,
    0x0007fff4,0x01fffe40,0x3fffffe6,0xf88001ff,0x20003fff,0x0004fffa,
    0x7ffdc000,0xfffa8004,0x40000004,0x0004fffb,0x027ffdc0,0x87fff500,
    0xffebffe8,0x3ffea004,0x7fd43883,0xfffa801f,0x75fff443,0x7fdc04ff,
    0xfff000ef,0x13ffea0f,0x80fffd80,0x0000ffff,0xfffffb80,0x3ffdc3ef,
    0x009fff50,0x8007ffec,0x0004fffb,0x03ffff88,0x3ffee000,0x7ffd4004,
    0x3fff6004,0x7fffdc00,0x7ff40004,0xfc80000f,0xffb804ff,0x0006ffff,
    0x000bfffd,0x004fffa8,0x7fdc0000,0xffa8004f,0x0000004f,0x0027ffdc,
    0x13ffee00,0x86ffe800,0x9ffd6ffc,0x037ff400,0x003fff50,0xff90dffd,
    0x9013ffad,0x7c007fff,0xfff507ff,0x7ffec009,0x01fffe80,0x2a620000,
    0x09ffd101,0x0027ffd4,0x2001fffb,0x0004fffb,0x005fffe8,0x27ffdc00,
    0x17ffe600,0x07fffc40,0x0bfffe60,0x1fffd000,0xfff50000,0x3fff200d,
    0xfc8003ff,0x40000eff,0x0004fffa,0x7ffdc000,0xfffa8004,0x40000004,
    0x0004fffb,0x027ffdc0,0x41fffc80,0xffd1fff9,0x3fff2009,0x1fff6001,
    0x307fff20,0x3ffa3fff,0x17fff404,0x07fff880,0x4009fff5,0xfc80fffd,
    0x000005ff,0x02fff400,0x8013ffea,0x7000fffd,0x80009fff,0x000efffc,
    0x27ffdc00,0x1bffe200,0x07ffff40,0x03fffea0,0x1fffd000,0xfff30000,
    0x3ffa005f,0x7d4003ff,0x80001fff,0x0004fffa,0x7ffdc000,0xfffa8004,
    0x40000004,0x0004fffb,0x027ffdc0,0x41fffcc0,0x3ffa4ffe,0x3fff9804,
    0x0bfff600,0xd07fff30,0x27ff49ff,0x00bfffa0,0x41ffffea,0x2004fffa,
    0xf880fffd,0x00002fff,0x1fff7000,0x04fffa80,0x003fff60,0x0027ffdc,
    0x03ffff50,0xfff70000,0xffff0009,0xffffd801,0x7ffec00f,0xffe80004,
    0xfd00000f,0x6c403fff,0x01ffffff,0x07ffff30,0x3ffea000,0x40000004,
    0x8004fffb,0x0004fffa,0x7ffdc000,0x7dc00004,0xfe8004ff,0xbfffb86f,
    0x1adffeaa,0x401bffa0,0x803fffe8,0xffb86ffe,0xdffeaabf,0xbfffb01a,
    0xfffffc80,0x09fff507,0x807ffec0,0x002ffffc,0xfff80000,0x4fffa804,
    0x03fff600,0x027ffdc0,0x3ffff980,0xff700000,0xffd0009f,0x3ff6209f,
    0xb100ffff,0x0000dfff,0x0003fffa,0x7ffffcc0,0xffca99ac,0x0fffffff,
    0x27fff440,0xfff50000,0x80000009,0x8004fffb,0x0004fffa,0x7ffdc000,
    0x7dc00004,0x7e4004ff,0xfffd81ff,0xffffffff,0x03fff905,0x03ffff50,
    0xb03fff90,0xffffffff,0x3ee0bfff,0x2e61dfff,0x7ffffffe,0x009fff50,
    0x8807ffec,0x1aefffff,0x005ca988,0x01fffcc0,0x0027ffd4,0x2001fffb,
    0x8004fffb,0x004fffe8,0x3ffee000,0xfffb8004,0xffd511df,0x221fffbf,
    0xfffffdaa,0x55551001,0x7fffd555,0x00555555,0xffffff90,0xffffffff,
    0x80dffffb,0xaabffffd,0xaaaaaaaa,0xfff500aa,0x55000009,0xffb55555,
    0x555555bf,0x13ffea01,0x2aaa0000,0xfffdaaaa,0x0aaaaaad,0x55555550,
    0x555bfffb,0xff981555,0xffffb04f,0xbfffffff,0x009fff30,0x001bfff7,
    0x3609fff3,0xffffffff,0x3fa05fff,0xffffffff,0x7ffcbfff,0x009fff50,
    0x5007ffec,0xffffffff,0xdfffffff,0xfff88000,0x7ffd401e,0x3fff6004,
    0x2aaaaaa0,0xaadfffda,0xfb00aaaa,0x55557fff,0x55555555,0x55555541,
    0xaadfffda,0x3a00aaaa,0xffffffff,0xfffb9fff,0xffffff30,0x7fd4003d,
    0xffffffff,0x7fffffff,0xffff7000,0x9fffffff,0x13ffff21,0x7fffffcc,
    0xffffffff,0xf502ffff,0x000009ff,0xffffffff,0xffffffff,0x3fea05ff,
    0xf800004f,0xffffffff,0xffffffff,0xfffff02f,0xffffffff,0xe85fffff,
    0x2aa606ff,0xdffeaaaa,0x06ffe81a,0xeeffffa8,0xffe84eee,0x2aaaa606,
    0x1adffeaa,0x3ffffa60,0x91efffff,0x3fea0fff,0x3ff6004f,0x7fec400f,
    0xffffffff,0x80006fff,0x1ffffffc,0x004fffa8,0xff83fff6,0xffffffff,
    0xffffffff,0xfffff982,0xffffffff,0x3e2fffff,0xffffffff,0xffffffff,
    0x3ffe602f,0x1effffff,0x3e61fff7,0x8003ffff,0xfffffffa,0xffffffff,
    0x220007ff,0xefffffec,0xffffe81c,0xfffff983,0xffffffff,0x502fffff,
    0x00009fff,0xfffffff0,0xffffffff,0x3ea05fff,0x800004ff,0xffffffff,
    0xffffffff,0xffff02ff,0xffffffff,0x45ffffff,0x0001fffb,0x3ee09ffd,
    0xffa801ff,0x5fffffff,0x000fffdc,0x2004ffe8,0xeffffffb,0xa83ffdc3,
    0x36004fff,0xb5000fff,0xfffffffd,0x000059df,0x3ffffff1,0x009fff50,
    0xff07ffec,0xffffffff,0xffffffff,0xfffff305,0xffffffff,0x7c5fffff,
    0xffffffff,0xffffffff,0x7fec402f,0x7d44ffff,0x359b30ff,0x7ffd4000,
    0xffffffff,0x07ffffff,0x00262000,0xffff9800,0xffffffff,0x02ffffff,
    0x0009fff5,0xffffff00,0xffffffff,0x2a05ffff,0x00004fff,0xfffffff8,
    0xffffffff,0xfff02fff,0xffffffff,0x5fffffff,0x0013ffe2,0xf884ffe8,
    0xff5004ff,0xbfffffff,0x0027ffc4,0x0009ffd0,0x80003531,0x2004fffa,
    0x0000fffd,0x01335553,0xdb710000,0xfff501bd,0x7ffec009,0x3fffffe0,
    0xffffffff,0xf982ffff,0xffffffff,0xffffffff,0x3ffffe2f,0xffffffff,
    0x002fffff,0x00006aa6,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x001aaa88,0x54400000,0x0001aaaa,0xcccba988,0x550001aa,
    0x20000055,0x00009aa9,0x00054c40,0x00066000,0x09aa9880,0x54400000,
    0x9800019a,0x2000000a,0x800019a8,0x0009aaa9,0x00333300,0x0000c000,
    0x80000300,0x99999999,0xff501999,0xffffffff,0xb8bfffff,0xd8004fff,
    0xfff72fff,0xfffb0009,0x026a2005,0x554c4000,0xfffa81aa,0x3fff6004,
    0x013ffea0,0xfb000000,0x00009fff,0xfffffff7,0xc8001fff,0x0003ffff,
    0xffffec88,0x0001dfff,0xdffffd95,0x4400017b,0xdffffeca,0xb71000ac,
    0xffffffff,0xb880007d,0xffffffec,0xca800bdf,0x3dfffffd,0x7ee54000,
    0x2cffffff,0xfffeda80,0x04efffff,0x3fffb2a0,0xffffffff,0xb800ffff,
    0x400006fd,0x00006fdb,0x3fffffe2,0x507fffff,0xffffffff,0xbfffffff,
    0x004fffb8,0xf72fffd8,0xfb0009ff,0x372a05ff,0x0cffffff,0x7ffecc00,
    0x2fffffff,0x4009fff5,0x3ea0fffd,0x000004ff,0x3ffff600,0x7f4c0002,
    0xffffffff,0x3f2000ff,0x003fffff,0x3ffffee0,0xdfffffff,0x3fff2000,
    0xffffffff,0xffe98001,0xffffffff,0xfffb801e,0xffffffff,0xfa8003ff,
    0xffffffff,0x200fffff,0xfffffffc,0x98005fff,0xfffffffe,0x506fffff,
    0xfffffffd,0x00ffffff,0x3ffffff2,0xffffffff,0x4400ffff,0x00006fff,
    0x001bffe2,0xfffff880,0x07ffffff,0xfffffff5,0xffffffff,0x04fffb8b,
    0x72fffd80,0xb0009fff,0xffb05fff,0xffffffff,0xffb1005f,0xffffffff,
    0x3ffea5ff,0x3fff6004,0x013ffea0,0x7ec00000,0x80000eff,0xcefffffe,
    0x000fffed,0xffdbfff9,0xff90007f,0xffffffff,0x100dffff,0xfffffffd,
    0x05ffffff,0x7ffffd40,0xfffffddf,0x7ffdc02f,0xffffffff,0x32002fff,
    0xffffffff,0x0fffffff,0xffffff90,0x1dffffff,0x3fffea00,0xffffffff,
    0xfffc86ff,0xffffffff,0x6c407fff,0xffffffff,0xffffffff,0x7c400fff,
    0x200006ff,0x0006fff8,0x3bbbba20,0x05eeeeee,0x5559fff5,0x55555555,
    0x04fffb85,0x72fffd80,0xb0009fff,0x7f4c5fff,0xffffffff,0x2202ffff,
    0xffffffff,0x52ffffff,0x6c009fff,0x3fea0fff,0x0000004f,0x004fffd8,
    0x7ffff700,0xfc800c40,0x3fff63ff,0x3ffea003,0x7ecc41cf,0x3e604fff,
    0xa9ceffff,0x3fffffec,0xbffffc80,0xffffc981,0x2af7ee03,0xffda9889,
    0x74c00fff,0xbdffffff,0xfffdcbaa,0xcffffd80,0xfffd988a,0xfffd806f,
    0xbaabdfff,0x7d46ffec,0x99acffff,0x07ecaa99,0x37ffffa2,0xdfffb88a,
    0x02aaaaaa,0x006fff88,0x1bffe200,0x00000000,0x000bffea,0x009fff70,
    0x2e5fffb0,0xd8004fff,0xfff32fff,0xb5337bff,0x201fffff,0x00befffd,
    0x3fea5953,0x3ff6004f,0x13ffea0f,0xfb000000,0x200005ff,0x002ffff8,
    0x05fff900,0x2007fff9,0xc802ffff,0x3f607fff,0x3e601fff,0x2e00ffff,
    0x9800efff,0x0102ffff,0x27fffd40,0xdfffff10,0x81d71003,0x202ffffb,
    0x203ffffa,0x02fffffc,0x3fe65c88,0x200004ff,0xa80ffffc,0x40003fff,
    0x0006fff8,0x01bffe20,0x20000000,0x0002fffa,0x0027ffdc,0xfb97ffec,
    0xfd8004ff,0x37ff62ff,0x3fffea00,0x0ffff985,0x4fffa800,0x83fff600,
    0x0004fffa,0x26662000,0x3e600000,0x200006ff,0x26600999,0xfff98019,
    0x3fffa005,0x2ffff981,0x3ffffa80,0x01bfff10,0x037ffcc0,0x5fffc800,
    0x17ffff20,0x7fff4000,0x6fffb802,0x1dffff10,0x7ffe4000,0x3e200005,
    0xff501fff,0xf880007f,0x200006ff,0x0006fff8,0xfa800000,0x5c0002ff,
    0xd8004fff,0xfff72fff,0xfffb0009,0xf9004e85,0xfff50fff,0x3fea0009,
    0x3ff6004f,0x13ffea0f,0x00000000,0x7ffdc000,0x00000003,0x4fffb800,
    0x0bfff600,0x800ffffa,0xf907fffb,0x3e6000ff,0x980002ff,0xff107fff,
    0x200007ff,0x2005fffa,0xfd82fffe,0xd80006ff,0x00002fff,0xa80fffee,
    0x40003fff,0x0006fff8,0x01bffe20,0x20000000,0x0002fffa,0x0027ffdc,
    0xfb97ffec,0xfd8004ff,0x220002ff,0x7dc0ffff,0xf50005ff,0x7ec009ff,
    0x3ffea0ff,0x00000004,0xff900000,0x0000005f,0xfff90000,0x7fff4009,
    0x03fffd42,0x21ffffc0,0x5303fff8,0xffd81579,0xff880006,0xdfffb07f,
    0x7fec0000,0x3fee002f,0x7fffcc5f,0xfff80002,0xf100001f,0x7d401fff,
    0xff9003ff,0xffffffff,0xffffffff,0x3fff23ff,0xffffffff,0xffffffff,
    0x0000001f,0x0005fff5,0x004fffb8,0xf72fffd8,0xfb0009ff,0xf80005ff,
    0x7fcc2fff,0xfa8001ff,0x3f6004ff,0x3ffea0ff,0x01aa9884,0x00000000,
    0x001fffd8,0x80000000,0x3006fffa,0xfe81ffff,0xfd8004ff,0x7ffe46ff,
    0x7fffec40,0x3ffe64ff,0x7fcc0002,0xffff986f,0xff100002,0xffb800ff,
    0x3fff60ff,0xfff00006,0x2e00007f,0x7d405fff,0xff9003ff,0xffffffff,
    0xffffffff,0x3fff23ff,0xffffffff,0xffffffff,0xffff301f,0x09ffffff,
    0x005fff50,0x04fffb80,0x72fffd80,0xb0009fff,0x80005fff,0xff83fffe,
    0x2000cfff,0x2004fffa,0x3ea0fffd,0x3ff224ff,0xd004ffff,0xffffffff,
    0xffffffff,0xfffd8009,0xfff88001,0xfff80006,0x1ffffc47,0x437ffe40,
    0x8001ffff,0x7fc7fffa,0x7fffcc4f,0x7ec4ffff,0x7dc0005f,0xfffc85ff,
    0x3ea00006,0xfb1004ff,0x7fc3ffff,0xb00002ff,0x0000dfff,0x500ffff2,
    0x32007fff,0xffffffff,0xffffffff,0xff91ffff,0xffffffff,0xffffffff,
    0x3fe603ff,0xffffffff,0x2fffa804,0x7ffdc000,0xfffd8004,0x009fff72,
    0x005fffb0,0x82fffe80,0xdffffff9,0x7ffd400b,0x3fff6004,0x553ffea0,
    0xffffffff,0x7ff400ef,0xffffffff,0x04ffffff,0x00fffec0,0x007fff80,
    0x42fffc40,0x204ffffd,0x4c2ffffc,0x10007fff,0x3e21ffff,0x7fff41ff,
    0x544ca9ad,0x220006ff,0xfd81fffe,0x200002ff,0x9803fffb,0x2ffffffe,
    0x000ffff1,0x77fffdc0,0x7fec0000,0x7ffd400f,0x55553003,0x55ffff75,
    0x55555555,0x2aaaaa61,0xaaaffffb,0x0aaaaaaa,0xffffff30,0x5009ffff,
    0x80005fff,0x8004fffb,0xff72fffd,0xffb0009f,0xff80005f,0xfff501ff,
    0x05bfffff,0x8013ffea,0x3ea0fffd,0xffffacff,0x5fffffff,0x7fffff40,
    0xffffffff,0x6c004fff,0xb0001fff,0x98000fff,0xff884fff,0x3a62efff,
    0xfb83ffff,0x3e0006ff,0xfff31fff,0x01fffd41,0x0007ff98,0x207fffb1,
    0x0001fffe,0x00bfff20,0xfffffff7,0x1bffea5f,0xffe88000,0x20003fff,
    0x5400fffe,0x40003fff,0x0006fff8,0x01bffe20,0x4ccccc00,0x804fffc9,
    0xfffffffa,0x5c01ceef,0xd8004fff,0xfff72fff,0xfffb0009,0x7fcc0005,
    0x7fec407f,0x3fffffff,0x0027ffd4,0x7d41fffb,0xaefffeff,0x3ffffb30,
    0x55555540,0xfdaaaaaa,0x66441fff,0xffeccccc,0xccccccdf,0x7fe41ccc,
    0x3ea0000f,0xffd103ff,0xfff9dfff,0x3fee03ff,0x3fa0005f,0x8fff51ff,
    0x22006ffd,0x53000fff,0x405ffff7,0x0000ffff,0x407fff60,0xceffffd8,
    0xfff73fff,0xf880000b,0x0bffffff,0x03fffc00,0x4ce7ffd4,0x88009999,
    0x00006fff,0x001bffe2,0x9fff7000,0xfffff500,0xdfffffff,0x13ffee07,
    0x4bfff600,0x8004fffb,0x0002fffd,0x4013fff6,0xfffffeb8,0xfff51eff,
    0x7ffec009,0x3ffffea0,0x3fff605f,0xff100005,0xfff107ff,0xffffffff,
    0xffffffff,0xfffb85ff,0x3fee0001,0x3ff6202f,0xdfffffff,0x17fff200,
    0x2fffe800,0xffe8dff7,0x17ffc003,0xffffffc8,0x3e600eff,0x776c07ff,
    0x0eeeeeee,0xd301fffd,0x3e69ffff,0x9fff94ff,0xfd300000,0x3bffffff,
    0x01fffe00,0x3fffffea,0x8804ffff,0x00006fff,0x001bffe2,0x9fff7000,
    0xfffff500,0xffffffff,0x9fff709f,0x5fffb000,0x0013ffee,0x000bfff6,
    0x007fffd4,0x7fff5cc0,0x9fff56ff,0x07ffec00,0x09fffff5,0x006fff98,
    0x0bfffd00,0x3fffffe2,0xffffffff,0x2fffffff,0x9817ffd4,0xfff900aa,
    0xffff5003,0xc805ffff,0x20004fff,0xff93fffd,0x002fff8b,0xfc81fff4,
    0xdfffffff,0xdfff500b,0xffffff80,0xffd1ffff,0xffffb81f,0x57ffe62f,
    0x0003fffd,0x3ffff200,0x202effff,0xa806fff8,0xffffffff,0xff8804ff,
    0x2200006f,0x00006fff,0x027ffdc0,0x55555544,0xfffffcca,0x27ffdc4f,
    0x97ffec00,0x8004fffb,0x8002fffd,0x004ffff8,0xffffea80,0x005fff9b,
    0x541ffff1,0xf005ffff,0xb0000fff,0x2201dfff,0xeccccccc,0xccccdfff,
    0x4c1ccccc,0xffd03fff,0x03fff209,0xffffff70,0x201bffff,0x0004fffc,
    0x7e4ffff6,0x0bffe25f,0x207ffd00,0xfffffffc,0xfb82ffff,0x7ffc06ff,
    0x1fffffff,0x7ec4ffff,0x7cc0efff,0x7fffd5ff,0xb8800000,0xffffffff,
    0x6fff980d,0xfffffa80,0x804fffff,0x0006fff8,0x01bffe20,0xfff70000,
    0xea800009,0x3ee2ffff,0xfd8004ff,0x9fff72ff,0x5fffb000,0xdfffb000,
    0xffd80000,0x06fff8df,0x41ffffd0,0x2006fffa,0x0000fffe,0x007fffee,
    0x01fffd80,0x09fff100,0x360dfff1,0x3fa207ff,0xffebffff,0xfb81ffff,
    0x360005ff,0xdff73fff,0x4003fff8,0x33102fff,0xfffb7533,0xfffa89ff,
    0x66666407,0xfd1ffffc,0x3fffe6ff,0x9fff504f,0x0013fff6,0xffea8000,
    0x442fffff,0xfa806fff,0x99999cff,0x66665409,0xcccffffc,0x003ccccc,
    0x000dfff1,0x4fffb800,0xff880000,0x3ffee4ff,0xfffd8004,0x009fff72,
    0x005fffb0,0x00ffffd8,0x7ffd4000,0x801ffff6,0x20fffffd,0x2004fffa,
    0x0000fffe,0x005ffff3,0x01fffd80,0x217ffe00,0xe81ffffb,0xffd106ff,
    0x7f5419ff,0x7dc1ffff,0x3a0005ff,0xfff52fff,0x2005ffe8,0x0001fff8,
    0x45ffff91,0x0007fff8,0x3f63fffd,0xfffffcff,0x53ffee02,0x0005fffc,
    0xffd98000,0x7fc1ffff,0xfffa807f,0x3fff2003,0xffffffff,0x06ffffff,
    0x00dfff10,0xfffb8000,0xf5000004,0x7ffdcdff,0xfffd8004,0x009fff72,
    0x005fffb0,0x00ffffec,0x7ffd4000,0x209fffd5,0xffffffd8,0x013ffea0,
    0x000fffd8,0x04fffe88,0x1fffd800,0x1bff6000,0x213ffff6,0xffd04fff,
    0x7fec03ff,0x7ffd46ff,0x3ffe0006,0x41fff32f,0x3002fffc,0x90000fff,
    0xfff8ffff,0xffe8000f,0xfffff91f,0xfb801dff,0xdfff73ff,0x40000000,
    0x0effffd8,0x5003fffe,0x64007fff,0xffffffff,0xffffffff,0xfff1006f,
    0xb800000d,0x00004fff,0x21ffff10,0x8004fffb,0xff72fffd,0xffb0009f,
    0x3ff2005f,0x000002ff,0x3ee7fffb,0xd511dfff,0x1fffbfff,0x0027ffd4,
    0x0001fffb,0x000dfffb,0x007fff60,0x447ffc80,0x447fffff,0xffa83fff,
    0xffc801ff,0x3ffe63ff,0xfff10007,0x87ffe21f,0x9acffff8,0x37fd44db,
    0xffff8000,0x007fffa1,0x5c7fffa0,0x04ffffff,0x2a5fff90,0x00007fff,
    0xfffc8000,0x03fffa2f,0x007fff50,0x7e666654,0xcccccfff,0xf1003ccc,
    0x00000dff,0x004fffb8,0x3fffe000,0x009fff71,0x2e3fffd0,0xd8004fff,
    0xfc802fff,0xdd002fff,0xd7303359,0x7f41ffff,0xffffffff,0x0fffb9ff,
    0x8013ffea,0x4000fffd,0x000ffffb,0x03fffb00,0x07ffdc00,0x5fffbff7,
    0x7417ffcc,0x3a004fff,0x3fe25fff,0xfa8001ff,0x27ffc6ff,0x3ffffff2,
    0x2ffec4ff,0xfffd8000,0x013fff63,0x547fffa0,0x002fffff,0x7cc7fff6,
    0x00001fff,0xfffe8000,0x00bfff64,0x0007fff5,0x006fff88,0x1bffe200,
    0xff700000,0x2000009f,0xf50ffff8,0xff000bff,0x27ffdcff,0x17ffec00,
    0x0bffff20,0xfffffe80,0xffffffff,0x7ffcc2ff,0x1effffff,0x7d41fff7,
    0x3f6004ff,0x3ea000ff,0x00001fff,0x0007fff6,0x361fffa8,0x25ffdaff,
    0xff81fffa,0x3ea001ff,0x7fffc7ff,0xfffd8003,0x207ffe44,0xfffffffa,
    0x00fffe24,0x17ffec00,0x001ffff9,0xf31fffe8,0x44001fff,0xff10ffff,
    0x00000bff,0xbfff9000,0x202fffe4,0x0003fffa,0x0037ffc4,0x0dfff100,
    0xffb80000,0x3000004f,0x7fccdfff,0xfff8006f,0x013ffee6,0x807fffa0,
    0x002ffffc,0x7ffffff4,0xefffffff,0xffffb102,0xfffa89ff,0x013ffea0,
    0x000fffd8,0x007ffff1,0x1fffd800,0x3ffe6000,0xf71fff12,0x3ffee1ff,
    0x07fffc40,0x1ffff300,0x0037ffe4,0x107fffe2,0x75107fff,0xffc81579,
    0x3fa00007,0x3ffe61ff,0x7ff4003f,0x07fffe1f,0x44fffb80,0x001ffffd,
    0x7dc00000,0x3ffe65ff,0x3ffea00f,0x7fc40003,0x2200007f,0x00007fff,
    0x027ffdc0,0xfffc8000,0x03fffe24,0x25fffb80,0x8004fffb,0xf900ffff,
    0x70005fff,0xfffffffb,0x4007bfff,0xffb01aa9,0x04fffa8b,0x003fff60,
    0x002ffff4,0x0fffec00,0x7fff1000,0x7fc57fea,0x10fff92f,0x4003ffff,
    0x7c46fffa,0x32001fff,0xff905fff,0xff10001f,0x2200007f,0xffc87fff,
    0x3fa000ff,0x3ffee1ff,0x3fffa005,0x2ffffc41,0x20000000,0x7f43fffc,
    0x3fea02ff,0xff80003f,0x200000ff,0x0000ffff,0x13ffee00,0x3fea0000,
    0x7fff42ff,0x3fffa004,0x013ffee2,0x20dfff50,0x002ffffc,0xffa99880,
    0xb000007f,0xfff50dff,0x7ffec009,0xefffc800,0xfd800000,0x7c0001ff,
    0x45ffb4ff,0xdffb5ffd,0x00ffffe0,0xd84fffc8,0xb801ffff,0xf100ffff,
    0x44001dff,0x00006ffe,0x2217fffa,0x001effff,0x7c43fffd,0xfc802fff,
    0xfff905ff,0x000001bf,0x3ffff300,0x01ffffb8,0x0007fff5,0x005fffb0,
    0x17ffec00,0xff700000,0x4400009f,0xa83ffffb,0x4403ffff,0x7dc5fffd,
    0x7f4004ff,0xfffc84ff,0x9800002f,0x00004fff,0xa80fffa8,0x36004fff,
    0x7d400fff,0x00001fff,0x003fffb0,0xf8dffe80,0x3ffee0ff,0xfb04ffe8,
    0xf7005fff,0xff305fff,0x7d401fff,0x7e404fff,0xe9800eff,0x80002fff,
    0x00ffffd9,0x05fffff7,0xc83fffd0,0x2e01ffff,0xf102ffff,0x003dffff,
    0x002a6b71,0x0ffffd30,0x01fffff1,0x0007fff5,0x01ffff90,0x3fff2000,
    0x7000000f,0x57009fff,0x2ea62333,0x205fffff,0x9adffffd,0xffffb988,
    0x27ffdc1f,0x2e666fa2,0x6c0ffffe,0x0001ffff,0x05fff500,0xbffd0000,
    0x013ffea0,0x200fffd8,0x003ffff9,0x3fff6000,0x7fe40001,0x7c45ffae,
    0x03ffebff,0x5bfffff3,0x7ffed4c3,0x3fff605f,0xec99bdff,0x800fffff,
    0x81bffffc,0x03ffffb9,0x22133571,0xffffdaa9,0x7fff401f,0x99abdeff,
    0x41ffffca,0x9cfffff8,0xffffdb88,0x7fffdc04,0xbaabdeff,0xff76ffdc,
    0x3335579b,0xfffffd75,0x3fffee03,0xfff70acf,0x5555555b,0x3fffe200,
    0x953309cf,0xffff1003,0x2a66139f,0xffb8001c,0xfffe804f,0xffffffff,
    0x7fcc05ff,0xffffffff,0xb83fffff,0x7fc44fff,0xffffffff,0x7ffffdc3,
    0xeeeeeeee,0x00eeeeee,0x0007ffe4,0x13ffe200,0x0027ffd4,0x2201fffb,
    0x0004fffe,0x0fffec00,0x3ffee000,0xffd82ffd,0x2a02fffd,0xffffffff,
    0xefffffff,0x7fffe400,0xffffffff,0x3ee000df,0xfddfffff,0x202fffff,
    0xfffffff9,0xffffffff,0xffff7002,0xffffffff,0xd303ffff,0xffffffff,
    0x2009ffff,0xffffffe9,0xffffffff,0xffffff76,0xffffffff,0xfa805fff,
    0xffffffff,0xffffffff,0xf7000fff,0xffffffff,0x2e003fff,0xffffffff,
    0x5501ffff,0xffb55555,0x555555bf,0x3fffffa1,0x1dffffff,0xffffb100,
    0xdfffffff,0x13ffee03,0xfffffff1,0xfff907ff,0xffffffff,0xffffffff,
    0x05ffe801,0xffff0000,0x09fff503,0x807ffec0,0xaabffffd,0xaaaaaaaa,
    0x3f6000aa,0x540001ff,0x80ffffff,0x1ffffffa,0x7ffff540,0xffffffff,
    0xfff5000c,0xffffffff,0x3fea0009,0xffffffff,0x7fcc00ef,0xffffffff,
    0x4000cfff,0xffffffe9,0xefffffff,0xffffd100,0x07ffffff,0xfffff900,
    0xffffffff,0x3ffffeed,0xffffffff,0xf3001dff,0xffffffff,0xffffffff,
    0x7e4001ff,0xffffffff,0x3f2001ff,0xffffffff,0xffff01ff,0xffffffff,
    0x25ffffff,0xfffffffe,0x50002def,0xffffffdb,0xfffb807d,0xffffed84,
    0xfff900de,0xffffffff,0xffffffff,0x03fff801,0xfff70000,0x3fea5fff,
    0x3ff6004f,0xffff980f,0xffffffff,0x02ffffff,0x007fff60,0xfffff300,
    0x3fffe20b,0xfd5000ff,0x9fffffff,0xfb930001,0x039dffff,0xfeca8800,
    0x002cefff,0xfffffff3,0x0019dfff,0xfffecb80,0x01ceffff,0xfffffb70,
    0x4c00037b,0xfffffedc,0x3b221cef,0xffffffff,0x8000cfff,0xffffedb8,
    0xffffffff,0x44000fff,0xfffffffd,0x6c4000ef,0xffffffff,0xfffff00e,
    0xffffffff,0x4c5fffff,0x001aaaa9,0x01353000,0x00cc0000,0xffffffc8,
    0xffffffff,0x200fffff,0x0000eee9,0xfffff100,0x13ffea5f,0x80fffd80,
    0xfffffff9,0xffffffff,0x36002fff,0x40001fff,0x02fffff8,0x01fffff6,
    0x00d54c40,0x00d44000,0x06620000,0xaa998800,0x0000019a,0x001aaa98,
    0x0001a880,0x00cd4c00,0x35555310,0x31000001,0x00000133,0x004cd4c0,
    0x13353000,0xffffff00,0xffffffff,0x0005ffff,0x00000000,0x00000000,
    0x00000000,0x7765c000,0x09fff51d,0x407ffec0,0xfffffff9,0xffffffff,
    0x36002fff,0x80001fff,0x200fffff,0x006ffffa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00666200,0x03531000,0xffffff70,0xffffffff,
    0xca98001f,0x00ffffec,0x0266a600,0x004d4c00,0x07fff880,0x13ffee00,
    0xfffa8000,0xfd800005,0x3ee002ff,0xffff84ff,0xffffffff,0xffffffff,
    0x3ffffe6f,0xffffffff,0xffffffff,0xfffffe86,0x09acdeff,0xfff00000,
    0xffffffff,0xfffd09ff,0x59bdffff,0x3fee0013,0xf88001ff,0xfff52fff,
    0xffffffff,0x2e9fffff,0xffffffff,0x4001abce,0xffffffff,0xffffffff,
    0x006fffff,0x03fffffc,0x3ffffea0,0xbceeffff,0x7fffcc00,0xffffffff,
    0x2004ffff,0x00ffffb8,0x7ffec400,0xb80cdfff,0xffffffff,0x0fffffff,
    0xffffb500,0x001fffff,0x7ffff65c,0x2201ceff,0xefffffec,0x3fe2000d,
    0x3ee0007f,0x200004ff,0x0005fffa,0x02fffd80,0x213ffee0,0xffffffff,
    0xffffffff,0x3e6fffff,0xffffffff,0xffffffff,0xfe86ffff,0xffffffff,
    0x0003ffff,0x7ffffd40,0xffffffff,0xfffffe84,0xffffffff,0xdfffd003,
    0xdfff9000,0x7fffffd4,0xffffffff,0xffff74ff,0xffffffff,0x3fe005ff,
    0xffffffff,0xffffffff,0x26006fff,0x01ffffff,0x3ffffea0,0xffffffff,
    0xfff301df,0xffffffff,0x009fffff,0x3fffffee,0x3ff20000,0xffffffff,
    0x7fffdc3f,0xffffffff,0x74c00fff,0xffffffff,0xe8800fff,0xffffffff,
    0xff504fff,0xffffffff,0x3fe2005f,0x3ee0007f,0x200004ff,0x0005fffa,
    0x02fffd80,0x213ffee0,0x999999ff,0x99999999,0x3e6fb999,0xffffffff,
    0xffffffff,0xfe86ffff,0xffffffff,0x01efffff,0xffffb000,0xffffffff,
    0xffffd09f,0xffffffff,0xf9803dff,0x26002fff,0x3ea1ffff,0xffffffff,
    0x4fffffff,0xfffffff7,0xffffffff,0xffff801b,0xffffffff,0xffffffff,
    0x3ff2006f,0x2004ffff,0xfffffffa,0xffffffff,0xffff981f,0xffffffff,
    0x5404ffff,0xfffffffe,0xfffd0000,0xffffffff,0x6664cbff,0xcccccccc,
    0x2a00ffff,0xefffffff,0x400aaacd,0xfffffffb,0x84ffffff,0xfffffffd,
    0x05ffffff,0x007fff88,0x013ffee0,0x5fffa800,0xffd80000,0x3fee002f,
    0x000ff84f,0x2aa6fa80,0xfbaaaaaa,0xaaaaafff,0xffe82aaa,0xedcbaacf,
    0x03ffffff,0x77ffcc00,0x9999afff,0xfffe8099,0xfedcbaac,0x403fffff,
    0x2006fffc,0x7d44fffd,0xaaaaaeff,0x1aaaaaaa,0x555bfff7,0xfffffd97,
    0x555407ff,0xffbaaaaa,0xaaaaaaff,0x3fe002aa,0x006fffff,0x2abbffea,
    0xfffdcbaa,0x7fcc0fff,0xaaaaaaff,0x01aaaaaa,0xffffffd5,0x70001fff,
    0x215bffff,0x01fffc98,0x03fffe00,0x67ffffd4,0x3fee0000,0x331acfff,
    0xffb89fb7,0x36621dff,0x4402ffff,0x20007fff,0x0004fffb,0x33bffea0,
    0x009abccc,0x02fffd80,0x213ffee0,0x55e6c0ff,0x006fa801,0x001fffe2,
    0x100ffff4,0x03fffff9,0x677fe400,0x74001fff,0x32201fff,0x201fffff,
    0x803ffff8,0x540ffff9,0x20005fff,0x4404fffb,0x01fffffd,0x0ffff100,
    0x7ffcc000,0x001ffffc,0x880bfff5,0x4c5ffffc,0x80006fff,0xffffffea,
    0x000ffffd,0x01ffffc4,0xf0000ba2,0xff301fff,0x800019ff,0x01effff8,
    0x3ffe2188,0x7ffdc02f,0x3fffc406,0x9fff7000,0x7fd40000,0xffffffff,
    0x7cc03eff,0xffffffff,0xffffffff,0x0fffffff,0xffff81ff,0x1bea03ff,
    0x07fff880,0x03fffd00,0x0dfffd50,0x65fffc00,0x74001fff,0xea801fff,
    0x7dc06fff,0x7f400fff,0xfffa82ff,0x3fee0005,0xfff5004f,0x3e2000bf,
    0x200007ff,0xffc9fffc,0xfff5004f,0x3fff600b,0x037ffcc6,0x7fffe400,
    0xffff98cf,0x7ffe4000,0x20000005,0xfd80ffff,0xb00004ff,0x0001dfff,
    0x4013fffa,0x2203fffd,0x05407fff,0x004fffb8,0x3fffea00,0xffffffff,
    0xff303fff,0xffffffff,0xffffffff,0x21ffffff,0x76e640ff,0xfa81efff,
    0x3ffe2006,0xfffd0007,0x3ffe2003,0xffa8002f,0x01fffc8f,0x00ffff40,
    0x02ffff88,0x5027fff4,0x3ea0dfff,0x2e0005ff,0x26004fff,0x8002ffff,
    0x0007fff8,0x7d5fffe0,0xff5006ff,0x3fe600bf,0x3ffe60ff,0xff980006,
    0x3ffe60df,0x7fec000f,0x0000001f,0xf303fffe,0x20000dff,0x001ffffa,
    0x01ffff10,0x81bffe60,0xd307fff8,0x3ffee03f,0x3ea00004,0xfeeeefff,
    0x4fffffff,0xffffff98,0xffffffff,0xffffffff,0x801ff0ff,0x540effd9,
    0x3fe2006f,0xffd0007f,0x7fec003f,0xffe8006f,0x003fff95,0x001fffe8,
    0x301bfff6,0xf103ffff,0x3ea03fff,0x2e0005ff,0x6c004fff,0x88006fff,
    0x00007fff,0x7fc9fff3,0xffa801ff,0x3ffe005f,0x1bffe60f,0x40eec000,
    0x000ffff9,0x0007fffc,0xffff0000,0x00fffe81,0xbfff9000,0x7ffcc000,
    0x7fff4005,0x8ffff101,0x701fffe9,0x00009fff,0x882fffd4,0x3fffffc9,
    0x7fff5544,0xaaaaaaac,0xdfffdaaa,0x4003fe2a,0x37d45ffc,0x0ffff100,
    0x07fffa00,0x2ffff980,0x4bffe600,0x4001fffc,0x2001fffe,0x402ffff9,
    0xfc85fffd,0x3fea04ff,0x3ee0005f,0x7cc004ff,0x44002fff,0x00007fff,
    0x7ec5fff9,0xffa804ff,0xfff1005f,0x06fff98d,0x7cc01000,0x22000fff,
    0x00007fff,0x07fffc00,0x000bfff1,0x017fff40,0x09fff700,0x02fffc80,
    0x366ffff1,0x701fffff,0x00009fff,0x402fffd4,0x01ffffe8,0x4005fffb,
    0xff84fffb,0x51ffa000,0x7fc400df,0xffd0007f,0xffd8003f,0x3ff2003f,
    0x007fff27,0x003fffd0,0x403fffd8,0x222ffff8,0x2a00ffff,0x20005fff,
    0x8004fffb,0x4003fffe,0x0007fff8,0xfa8ffff0,0xffa806ff,0xfff5005f,
    0x06fff989,0xff980000,0x3e6000ff,0x000006ff,0x507fffc0,0x00007fff,
    0x0007fffc,0x007fff90,0x103fffb8,0xfffbffff,0x7dc05dff,0x200004ff,
    0x1005fffa,0x3609ffff,0x2e002fff,0x0ff84fff,0xa87ff200,0x3fe2006f,
    0xffd0007f,0xffc8003f,0x3ffe004f,0x007fff24,0x003fffd0,0x804fffc8,
    0x3f66fffb,0x7fd402ff,0x3ee0005f,0xfc8004ff,0x7c4004ff,0x980007ff,
    0x7fc45fff,0x7fd401ff,0xfffb005f,0x06fff985,0xff980000,0x3e6000ff,
    0x000006ff,0x907fffc0,0xa9883fff,0xff88009a,0x7dc0007f,0x7d4004ff,
    0xfff104ff,0x05dfffff,0x009fff70,0x2fffd400,0x0bfff700,0x800bfff6,
    0xff84fffb,0x87ff6000,0x3e2006fa,0xfd0007ff,0xfb8003ff,0xff7005ff,
    0x0fffe43f,0x07fffa00,0x0bfff700,0x26bfffa0,0xfa806fff,0x2e0005ff,
    0xb8004fff,0x44005fff,0x80007fff,0xfd82fffc,0x7fd403ff,0x7fe4405f,
    0x7ffcc0ef,0x98000006,0x2000ffff,0x0006fff9,0x7fffc000,0x64dfffa0,
    0xffffffff,0xdfff500c,0xfffa8000,0x7ffcc005,0xfffff505,0x7dc005df,
    0x6dc004ff,0x2fffd41c,0x0ffff300,0x800bfff6,0xff84fffb,0x8fff1000,
    0x3e2006fa,0x266007ff,0x99afffe9,0x3fea0099,0xdffd006f,0x99afffc8,
    0x26661999,0x999afffe,0x3ffea009,0xdfff5006,0x5003fffd,0x3333bfff,
    0x33333333,0x0027ffdc,0x0037ffd4,0x001fffe2,0x203fffe0,0x5406fffb,
    0x9999dfff,0xeffffca9,0x06fff980,0xff980000,0x3e6000ff,0x000006ff,
    0xf07fffc0,0xffffdfff,0xffffffff,0x0ffff305,0xffff9800,0x3ffe6001,
    0x7fffecc6,0xfb8002ef,0x3fa004ff,0x3fea3fff,0x7ffc005f,0xdfffd81f,
    0xcccccccc,0x84fffdcc,0x6d4400ff,0x437d43ff,0xfeeeeee9,0xeeeeefff,
    0x7ffffc0e,0x3fffffff,0x01fffe60,0xf90fffe6,0xffffffff,0x3ffffe3f,
    0x3fffffff,0x01fffe60,0xffffffd8,0xffff5004,0xffffffff,0x3ee1ffff,
    0xf98004ff,0x7c4007ff,0x4c0007ff,0xff105fff,0x7fd403ff,0xffffffff,
    0x300bffff,0xddddffff,0xbddddddd,0xffff3000,0xfdccb801,0xcccccfff,
    0x0003cccc,0x7c1ffff0,0xffffffff,0xffffffee,0x3fffc43f,0x7fff4000,
    0xfff91005,0x3ffff66f,0x2e0007ff,0xf7004fff,0x2a3fffff,0x7c005fff,
    0xffd81fff,0xffffffff,0xffffffff,0xfb80ff84,0xa85fffff,0xffff986f,
    0xffffffff,0x7fc0ffff,0xffffffff,0x3fe203ff,0x7fe400ff,0x7fffe40f,
    0xf1ffffff,0xffffffff,0x7c407fff,0xf1000fff,0x001fffff,0x3fffffea,
    0xffffffff,0x9fff70ff,0xffff1000,0x7ffc4001,0x7fe40007,0x3fffa03f,
    0x3fffea03,0xffffffff,0xff300bef,0xffffffff,0x00ffffff,0x01ffff30,
    0xffffffe8,0xffffffff,0xf00006ff,0x7ffc1fff,0xb881cfff,0x7c0fffff,
    0x40001fff,0x02effff9,0xdfffff93,0x3ffffffe,0x3ee0007f,0xffd004ff,
    0x3ea7ffff,0x3e2005ff,0xfffb07ff,0xffffffff,0x9fffffff,0xff501ff0,
    0x3ea05dff,0xfffff986,0xffffffff,0x7ffc0fff,0xffffffff,0x3ffe603f,
    0x3ffe200f,0xfffffc84,0xff1fffff,0xffffffff,0x7fcc07ff,0x3f2000ff,
    0x2a002fff,0xffffffff,0xffffffff,0x009fff70,0x01ffff30,0x03fffc40,
    0x03fffe00,0x206fffb8,0xfffffffa,0xffffffff,0xffff983f,0xffffffff,
    0x98007fff,0x7400ffff,0xffffffff,0xffffffff,0xfff00006,0x3fffe21f,
    0xffff1003,0x03ffff8b,0xffffd800,0xfffeeeff,0xff6fffff,0x0ffff7df,
    0x27ffdc00,0xfffffe80,0x0bfff54f,0x837ffd40,0xeeeefffd,0xeeeeeeee,
    0x0ff84fff,0xa800ffa8,0xcccc886f,0xccffffcc,0x99984ccc,0x999afffe,
    0x3ffe6009,0x0fffdc07,0x400fffe4,0xafffe999,0x26009999,0x33307fff,
    0xffff5333,0x03333333,0x333bfff5,0x33333333,0x027ffdc3,0x03fffd40,
    0x01fffe20,0x06fff980,0x807fffcc,0x999dfffa,0xfffeca99,0x7ffcc4ff,
    0xcccccccf,0x8004cccc,0x400ffff9,0xffffeeed,0xeeeeeeee,0xff00005e,
    0x3ffe21ff,0x7ffdc007,0x07fffe47,0x7ffe4000,0xffffffff,0xdf5fffef,
    0x01fffe25,0x04fffb80,0xffffff90,0x017ffea5,0xb04fffe8,0x5c005fff,
    0x0ff84fff,0xf5007fa8,0x7ffc400d,0xfffd0007,0xfffa8003,0x837ff407,
    0x4001fffc,0x4001fffe,0xf987fffa,0xffffffff,0xffffffff,0x05fffa87,
    0x13ffee00,0x1fffee00,0x0ffff100,0x1fffe400,0x81ffff40,0x9805fffa,
    0x261ffffe,0x00006fff,0x0ffff980,0x1bffe600,0xff000000,0x7fffc1ff,
    0x7fffc000,0x13fffe20,0x7fecc000,0x8cffffff,0x8854fff9,0x20007fff,
    0x1004fffb,0x54bfffff,0xf7005fff,0x3f601fff,0x3ee002ff,0x80ff84ff,
    0xdf5007fa,0x3fffc400,0x1fffe800,0x37ffdc00,0x207fff30,0x4001fffc,
    0x4001fffe,0xf986fffb,0xffffffff,0xffffffff,0x05fffa87,0x13ffee00,
    0x1bfff200,0x0ffff100,0x0ffffc00,0x837ffe40,0x1005fffa,0x7ccdfffd,
    0x000006ff,0x00ffff98,0x01bffe60,0xfff00000,0x07fff41f,0x0bfffa00,
    0x01bffffb,0x55100310,0xfffb8135,0x0ffff103,0x27ffdc00,0x87bd9100,
    0x4405fffa,0x202ffffd,0x2002fffd,0xff84fffb,0x5005e980,0x7fc400df,
    0xffd0007f,0xffd8003f,0x3fff204f,0x03fff900,0x01fffe80,0x427ffec0,
    0xfffffff9,0xffffffff,0xfffa87ff,0x3fee0005,0xffd8004f,0x7fc4004f,
    0xff30007f,0x333333ff,0xffff5333,0x0bfff501,0x33fffd40,0x0000dfff,
    0x1ffff300,0x37ffcc00,0x3e000000,0x3ff60fff,0x7fec001f,0x7fff443f,
    0xa999acff,0x00004feb,0x2203fffb,0x20007fff,0x0004fffb,0x2bbffea0,
    0xffdcaaaa,0x7ec05fff,0x3ee002ff,0x00ff84ff,0x006fa800,0x001fffe2,
    0x000ffff4,0x440bfffe,0xeeeeffff,0x01ffffee,0x00ffff40,0x00bfffe0,
    0x00ffff10,0x005fffa8,0x013ffee0,0x05ffff10,0x07fff880,0xfffff900,
    0xffffffff,0x507fffff,0x4400bfff,0xff31ffff,0x000000df,0x001ffff3,
    0x0037ffcc,0xfff10000,0x02fffd8f,0x40ffff40,0xffffffe8,0x4fffffff,
    0xffff0000,0x03fffc40,0x09fff700,0x7ffd4000,0xffffffff,0xd803ffff,
    0x2e002fff,0x0ff84fff,0x06fa8000,0x01fffe20,0x00ffff40,0x01ffff70,
    0x3fffffee,0xffffffff,0x7fff4001,0x3ffee001,0x7fc4000f,0x7fd4007f,
    0x3ee0005f,0x7e4004ff,0xf88007ff,0xff0007ff,0xffffffff,0xffffffff,
    0xbfff50df,0x7fffc400,0x00dfff31,0xfff30000,0x7fcc001f,0x0000006f,
    0xf91bffe6,0xff8009ff,0xffb100ff,0xffffffff,0x500009ff,0x7c409fff,
    0x2e0007ff,0x00004fff,0x3fffffea,0xdfffffff,0x5fffb000,0x27ffdc00,
    0x77dc07fc,0x006fa800,0x001fffe2,0x800ffff4,0x205ffff8,0xfffffffe,
    0x1fffffff,0x0ffff400,0x5ffff880,0x7fff8800,0x2fffd400,0x9fff7000,
    0x7fffc400,0xfff88005,0xfff98007,0xffffffff,0xffffffff,0x2fffd40f,
    0x4ffff300,0x0006fff9,0xffff9800,0x3ffe6000,0x20000006,0x7cc5fffb,
    0x3e6007ff,0xfb8807ff,0xdfffffff,0x7c40000b,0x3e200fff,0x2e0007ff,
    0x00004fff,0x3fffffea,0x01bcefff,0x017ffec0,0xf09fff70,0x4fff881f,
    0x2006fa80,0x0007fff8,0x2003fffd,0x301ffffc,0x9999bfff,0x3fffd999,
    0x1fffe800,0x3ffff900,0x2aaaaa20,0xaaffffba,0xfa82aaaa,0x2e0005ff,
    0x36004fff,0x8000ffff,0x8007fff8,0xaaadfffc,0xaaaaaaaa,0x543fffea,
    0x2e005fff,0x3fe65fff,0x8000006f,0x000ffff9,0x001bffe6,0x7ffc0030,
    0x2fffe83f,0x09fffb00,0x4e7ffd40,0x7f400000,0x7fc405ff,0x3ee0007f,
    0x200004ff,0x999dfffa,0xffd80000,0x3fee002f,0xf80ff84f,0x6fa804ff,
    0x1fffe200,0x0ffff400,0x3ffff620,0x03fff604,0x003fff90,0x401fffe8,
    0x04ffffd8,0x3fffffe2,0xffffffff,0xffa87fff,0x3ee0005f,0xfe9804ff,
    0x10003fff,0xf000ffff,0x90003fff,0xffa8dfff,0xfff3005f,0x37ffcc7f,
    0x7cc00000,0x26000fff,0x40006fff,0x3f6201de,0xfff507ff,0xfffb803f,
    0x3ff2000f,0x4c00001f,0x400efffe,0x0007fff8,0x0013ffee,0x05fffa80,
    0xfffd8000,0x3ffee002,0xea80ff84,0x06fa800d,0x01fffe20,0x80ffff40,
    0xefffffa8,0x0bfff100,0x003fff90,0x101fffe8,0x1dfffff5,0x7ffffc40,
    0xffffffff,0xfa87ffff,0x2e0005ff,0x2e204fff,0x006fffff,0x01fffe20,
    0x00dfff30,0x83fffe60,0xa805fffa,0x260efffe,0x00006fff,0x0ffff980,
    0x1bffe600,0x9dffd000,0xfffd7537,0x7fff405f,0x7fecc1bf,0x7f4002ff,
    0x2a00006f,0x01fffffe,0xaaffff88,0xaaaaaaaa,0xbfff71aa,0x55555555,
    0x2a035555,0x00005fff,0x002fffd8,0x3e13ffee,0xfa80000f,0x3ffe2006,
    0xfffd0007,0xfffd999b,0x401bffff,0xc802fffb,0x9999afff,0xfffe8099,
    0xfffecccd,0x400dffff,0xeeeeeee8,0xeeeeffff,0xfffa86ee,0xaaaaaaae,
    0xf71aaaaa,0xd9999dff,0xbfffffff,0xfff88000,0x7ffe4007,0x3ffe0004,
    0x3bffea3f,0xfdcbaaaa,0x4c0fffff,0x00006fff,0xdddddddb,0xddddffff,
    0x2eaaabdd,0xaaaaffff,0xaaaaaaaa,0x3fffffa2,0x5fffffff,0x7ffff4c0,
    0xffffffff,0x7fc4004f,0x2aaa004f,0xffffeecc,0xf1001fff,0xffffffff,
    0x9fffffff,0x3fffffee,0xffffffff,0xfff505ff,0xfb00000b,0x7dc005ff,
    0x99ff84ff,0x99999999,0xb9999999,0x3fe2006f,0xffd0007f,0xffffffff,
    0xd009ffff,0x3f200fff,0xffffffff,0xffffe86f,0xffffffff,0x880004ff,
    0x54007fff,0xffffffff,0xffffffff,0xffffff74,0xffffffff,0xf100007f,
    0xff800fff,0x320001ff,0x3fea5fff,0xffffffff,0x81efffff,0x0006fff9,
    0xfffffff0,0xffffffff,0x3ffadfff,0xffffffff,0xffffffff,0x3ffff66f,
    0x3fffffff,0xffffb100,0x3dffffff,0x5fff3000,0x7ffff400,0xdfffffff,
    0x3ffe2000,0xffffffff,0xf74fffff,0xffffffff,0xbfffffff,0x017ffea0,
    0x3fff6000,0x3ffee002,0xffffff84,0xffffffff,0x6fffffff,0x1fffe200,
    0x7ffff400,0xffffffff,0xfffa801c,0xffff9004,0x0dffffff,0xfffffffd,
    0x039fffff,0x3ffe2000,0x7ffd4007,0xffffffff,0xf74fffff,0xffffffff,
    0x0017dfff,0x1fffe200,0x07fff980,0x7fffd400,0xffffff50,0xdfffffff,
    0x37ffcc05,0xffff8000,0xffffffff,0xd6ffffff,0xffffffff,0xffffffff,
    0xfda8dfff,0x0cefffff,0xfffeb800,0x0003efff,0xd001ffee,0xffffffff,
    0xf100039f,0xffffffff,0x9fffffff,0x3fffffee,0xffffffff,0xfff505ff,
    0xfb00000b,0x7dc005ff,0xffff84ff,0xffffffff,0xffffffff,0x3fe2006f,
    0xffd0007f,0x99ddffff,0xfffd8005,0xffff9001,0x0dffffff,0xdffffffd,
    0x0000599d,0x00ffff10,0xffffffa8,0xffffffff,0xffff74ff,0x399bdfff,
    0xff100000,0x7fe400ff,0xff80004f,0xffff52ff,0x79bdffff,0xdfff3005,
    0x3ffe0000,0xffffffff,0x6fffffff,0xfffffffd,0xffffffff,0x440dffff,
    0x40000199,0x00000aa8,0xe8009dd9,0x1abcdeff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x04fffb80,0x22fffd80,0xffffffff,0xffffffff,
    0x09fff56f,0x07fffec0,0x0007fff9,0x817ffc00,0x3ee04ffd,0x3a004fff,
    0x3e21ffff,0xffffffff,0xf5002cce,0xffffffff,0xffffffff,0x3ffeafff,
    0xdeffffff,0xffff002c,0xffffffff,0xffffffff,0x00ffffec,0x9ffff100,
    0x017fffdc,0x0ffffdc0,0x0000dfff,0x3ff6bffd,0xfd80006f,0x2e0004ff,
    0x203fffff,0x01fffff9,0x203fff20,0x0b60005a,0x01bffe00,0x00000040,
    0x53000200,0x00d4c401,0x7000aa88,0xb0009fff,0x7ffc5fff,0xffffffff,
    0x56ffffff,0x2e009fff,0x7e41ffff,0x000003ff,0x7f407ffe,0x3ffee04f,
    0xfff3007f,0x7ffc45ff,0xffffffff,0x7d402eff,0xffffffff,0xffffffff,
    0xffff57ff,0xffffffff,0x7fc017ff,0xffffffff,0xffffffff,0x3fffe27f,
    0x3ff20005,0x7fff40ff,0x7ffc4006,0x03fff44f,0xaafffc00,0x0000ffff,
    0x007fffe2,0x7ffffcc0,0x3ffe603f,0x3f2005ff,0x3ff660ff,0xdffb8003,
    0x1bffe000,0x000bf200,0x17dc0000,0x3ffff620,0x7fffd41d,0x3ffea03f,
    0xfffb801f,0xfffd8004,0x3fffffe2,0xffffffff,0xfff56fff,0xffff3009,
    0x07fff905,0x3fe20000,0x07fff00f,0x17ffffdc,0x7ffffe40,0x3ffffe22,
    0xffffffff,0x3fea05ff,0xffffffff,0xffffffff,0xfffff57f,0xffffffff,
    0x3fe03fff,0xffffffff,0xffffffff,0x7fffe47f,0xfff88001,0xffff983f,
    0x3fff6004,0x007ffd86,0xf14fff80,0x40007fff,0x0006fffa,0x3ffffffa,
    0x3fffe603,0xff9000ff,0x7fffec1f,0x3ffe2000,0x3ffe004f,0x7ffe4006,
    0x40000003,0xd102fffc,0x4dffffff,0xfffffffa,0xfffff883,0x4fffb807,
    0x2fffd800,0x2eaaaaaa,0xaaaaffff,0x9fff52aa,0x4ffff880,0x007fff90,
    0x3ffe6000,0x405fff00,0x05fffffc,0x2ffffff8,0x2abfffe2,0xfffecbaa,
    0xddd302ff,0xdddddddd,0xfffddddd,0x2bbffeaf,0xffdcbaaa,0xee81ffff,
    0xeeeeeeee,0xfffeeeee,0x7fffc45f,0xfffd8006,0x3ffff206,0xffff9800,
    0x00fffd81,0xb27ffc00,0x4000dfff,0x0004fffd,0xfffffff7,0x7fffcc07,
    0xff9004ff,0x7fff441f,0x3fff6005,0x37ffc006,0x3ffff600,0x88000005,
    0x884ffffd,0xfffffffe,0xfffff8cf,0x7dc2ffff,0x402fffff,0x8004fffb,
    0x8802fffd,0xfa807fff,0x7ff404ff,0x3fff205f,0xf5000003,0x3ffe20ff,
    0x3fbff201,0x77fd407f,0x3fe23fff,0x7ffd407f,0x800000ff,0xff54fffb,
    0xffc880bf,0x00000eff,0x701ffff9,0x4005ffff,0x202ffff9,0x805fffe8,
    0xf905fffe,0x440001ff,0x3fea3fff,0xff0000ff,0xf10003ff,0x7fff9fff,
    0x7ffffcc0,0xffc800ff,0x7fffcc0f,0x23799752,0x000ffffa,0x40037ffc,
    0x00effffc,0xffd30000,0x3fee07ff,0xfffc88cf,0xff50effe,0xffffb8bf,
    0x7fdc02ff,0xffd8004f,0xfff8802f,0x4fffa807,0x03bfff20,0x003fffc8,
    0x0dff7000,0xc803ffe6,0x02fffcff,0x3ffefff6,0x01fffe23,0x00bfffe6,
    0x3fffe000,0x00bfff50,0x00ffffea,0x3fffe600,0x1bfffa03,0x05fffd80,
    0x02ffffa8,0x403fffee,0x0000fffc,0xf88fffe2,0xa8003fff,0xb0006fff,
    0xfff95fff,0x77ffcc07,0xfc804fff,0xfffb80ff,0xffffffef,0x001fffff,
    0x0006fff8,0x03dffff5,0xfffa8000,0x3ffa01ff,0xfffffe85,0x307ffdc0,
    0x01ffffff,0x004fffb8,0x802fffd8,0xa807fff8,0xff704fff,0xffc801ff,
    0x9000003f,0x3fea0bff,0x6e7fec07,0xfff105ff,0x7c47fff1,0xffb007ff,
    0xb800009f,0x3fea4fff,0x3ff2005f,0xfe80005f,0x7fd405ff,0xff9803ff,
    0xffb001ff,0xfff101ff,0x7ffdc05f,0x3fe20001,0x2fffec2f,0x27ffe400,
    0xafffd400,0x2603fffc,0xffffcfff,0x07ffe400,0xffffffd8,0xffffffff,
    0xdfff0003,0x7ffcc000,0x700002ff,0x401dffff,0xfb82fff9,0xff986fff,
    0x7fffdc3f,0x4fffb802,0x2fffd800,0x07fff880,0x984fffa8,0xc801ffff,
    0x80003fff,0xffeaaaaa,0xfcaaaaae,0x22aaaaff,0xfffacffd,0xff5ffb80,
    0x3fffc49f,0x05fffc80,0x7fffc000,0x017ffea0,0x007fff98,0x07fffdc0,
    0x03fffec0,0x0027ffec,0xb09ffff1,0xfb80bfff,0x260001ff,0x7fd42fff,
    0x7fc000ff,0x7c4001ff,0xfff90fff,0x5fffcc07,0x6403fffb,0xff100fff,
    0xffddffff,0x4000ffff,0x40006fff,0x03ffffe8,0x7fffe400,0x7ffe400d,
    0x3ffff980,0x7309fff0,0x3fee0017,0xffd8004f,0xfff8802f,0x4fffa807,
    0x01ffffc4,0x003fffc8,0xfffffe80,0xffffffff,0xffffffff,0x3e33ffa6,
    0x2ffe83ff,0x7fc49fff,0xfff7007f,0x7dc0000b,0x7ffd45ff,0x3ffe2005,
    0xff30000f,0x3e6007ff,0x3ea03fff,0x5c000fff,0x3ea1ffff,0x7d400fff,
    0x260002ff,0x7fc41fff,0x3e6002ff,0xfc8006ff,0x3fff22ff,0x2fffe603,
    0x6407fff8,0xff300fff,0x7ec41bff,0xf0002fff,0x20000dff,0x004ffffd,
    0x4ffffd88,0x40dffb00,0xfd02ffff,0x2e0000bf,0xd8004fff,0xf8802fff,
    0xffa807ff,0x27ffec4f,0x07fff900,0xffffd000,0xffffffff,0xffffffff,
    0xd9fff4df,0x3ffcc6ff,0x7fc4bfff,0xfff9007f,0x7fc00009,0x7ffd41ff,
    0x7fffc005,0xfffd0001,0xfffc800b,0x7fffd00f,0x3fffa000,0x00ffffa5,
    0x000bffea,0xd81fffa8,0x32005fff,0x4c003fff,0x7fe45fff,0x3ffe603f,
    0x407fffb3,0xfb00fffc,0x7fec0bff,0xffffc86f,0xffffffff,0xffffffff,
    0xffff9003,0x3fa2001b,0x3a002fff,0x3ffe06ff,0x0dffb02f,0x3ffee000,
    0xfffd8004,0x7fff8802,0x24fffa80,0x4005fffc,0x0003fffc,0xffccccb8,
    0xecccccdf,0x3cccceff,0x7fd4fffa,0xe93ff20f,0x3ffe25ff,0x5fffd007,
    0x3fee0000,0x5fffa85f,0x3fffe200,0xfffb8000,0x7fc4000f,0xfffa84ff,
    0x3fe60006,0x6fffcaff,0x07fff300,0x7d40bbae,0xfffa80ff,0x3fffe007,
    0x7fff4001,0x01fffe40,0x3e67fff3,0x3ff206ff,0xffff880f,0x3fffe600,
    0x7ffffe40,0xffffffff,0x3fffffff,0x3fffea00,0x7ffcc01e,0x7f4001ef,
    0x3fffa05f,0xfeaaaaac,0xf700007f,0xfb0009ff,0xff1005ff,0xfff500ff,
    0x03bffea9,0x07fff900,0xfff10000,0x00fffa03,0x7ffc7fff,0xfe87ffe3,
    0x1fffe25f,0x01bfff60,0x1fffe800,0x005fffa8,0x001bffe6,0x00ffffe6,
    0x07fffdc0,0x000bfffa,0xffffff90,0x3e2003ff,0xbfff03ff,0x203ffee0,
    0x802ffff8,0x4006fff9,0xfc83fffc,0x3fe603ff,0x0bfffa3f,0x5407ffe4,
    0xfe805fff,0x7ffe41ff,0xffffffff,0xffffffff,0x7fcc003f,0xff702fff,
    0xf0001dff,0x7ff40bff,0xffffffff,0x700007ff,0x5555bfff,0x55555555,
    0x1005fffd,0xf500ffff,0xffff39ff,0xfff90001,0xf3000007,0x3ffe01ff,
    0x91fffc03,0x1bfeadff,0x7fc4dffd,0x3ff6607f,0x700002ff,0x3ea0bfff,
    0x3f2005ff,0xfe8005ff,0x7c0005ff,0x3fee4fff,0xe880006f,0x04ffffff,
    0x213ffe20,0xb80ffff9,0x3ff607ff,0xfffc804f,0x3ffe6003,0x07fff905,
    0xf51fffcc,0x3ff20dff,0x3fffb80f,0x42fffd80,0xaaaaaaa9,0xaaaefffa,
    0x000aaaaa,0x3ffffe88,0x02ffffe4,0x409fff00,0xfffffffe,0x007fffff,
    0xfffff700,0xffffffff,0x5fffffff,0x0ffff100,0xfdbfff50,0x320003ff,
    0x00003fff,0xf00fff98,0xfff805ff,0x327ffe63,0x37ff43ff,0x999ffff1,
    0xffffffd9,0x7f400007,0xfff501ff,0x3ffea00b,0x7fdc001f,0x540000ff,
    0xffd0ffff,0x2a00003f,0x006fffff,0xfc84fff8,0xffc83fff,0x1fffea07,
    0x007fffa0,0x900fffe8,0x7cc07fff,0x7fff43ff,0x80fffc81,0xc803fffc,
    0xf8003fff,0x000006ff,0x4bffffe2,0x006ffffc,0xd02fffc0,0x55559fff,
    0x00055555,0x3ffffee0,0xffffffff,0x2fffffff,0x07fff880,0xffffffa8,
    0x3f20006f,0x800003ff,0xff107ffa,0x7ffc403f,0x7fe7ff43,0x137fec0f,
    0xffffffff,0x05dfffff,0x7ffd4000,0x17ffea06,0x7ffff710,0xffff8800,
    0xffd00003,0x0bfff79f,0xfffd8000,0xfff8003f,0x6fffff84,0x2206ffc8,
    0x2601ffff,0x2e006fff,0x3f203fff,0x3fe603ff,0x2fffdc3f,0x6407ffe4,
    0xfc803fff,0xff8003ff,0x1000006f,0xc87ffffb,0x000dffff,0x740bfff0,
    0x00002fff,0x3fffee00,0xffffffff,0xffffffff,0x7fff8802,0xfefffa80,
    0x90004fff,0x00007fff,0x260dff70,0x3e200fff,0x7ffdc2ff,0x7ffd85ff,
    0x3fffffe2,0x01efffff,0xfffe8000,0x37ffea02,0xfcba9999,0x8006ffff,
    0x0006fffe,0x3ffffe60,0x00000fff,0x3bffffe2,0x2fff4000,0x3fffffe6,
    0x2037fe40,0x2e04fffd,0xf1003fff,0xffc80dff,0x3ffe603f,0x41ffff83,
    0xfb80fffc,0xffd804ff,0xfff8001f,0xe9800006,0xf702ffff,0x0001dfff,
    0x7fc0bffd,0x000002ff,0x277ffee0,0x99999999,0x2fffe999,0x07fff880,
    0xfacfffa8,0xc8002fff,0x00003fff,0xf505ffc8,0xfff980ff,0x7ffffc42,
    0x227ffd82,0xedccffff,0x0003ffff,0x037ffd40,0x3fffffea,0xffffffff,
    0x7dc000cf,0x00000fff,0x7fffffec,0x7ec00004,0x004fffff,0x3f22fff4,
    0x6c3fffcf,0x7fd405ff,0x3fffa07f,0x3fffb000,0x03fffc80,0x2e0fffe6,
    0x7fe45fff,0x5fffa80f,0x07fffc40,0x037ffc00,0x3ffea000,0x7fcc01ef,
    0x74001fff,0x3ffe06ff,0x0000003f,0x0013ffee,0x200bfff6,0xa807fff8,
    0xfff94fff,0xffc8003f,0xd800003f,0xfff505ff,0x82fff980,0xd80ffffd,
    0x3ffe27ff,0x5ffff987,0x3ffa0000,0x7ffd402f,0xffffffff,0x88001eff,
    0x0003ffff,0xfffff880,0x2e00000f,0xffffffff,0x1bff6001,0xdffb3ffd,
    0x4405ffd8,0xf881ffff,0xff5006ff,0xfff9009f,0x1fffcc07,0x90ffffc4,
    0xff301fff,0x7fdc03ff,0xfff0006f,0x7dc0000d,0x1000efff,0x007ffffd,
    0x4c07ffec,0x0005ffff,0x2e003773,0xd8004fff,0xf8802fff,0xffa807ff,
    0x3bfffa4f,0x3fff2000,0x55540003,0xaadffeaa,0xafffdaaa,0x3fe61aaa,
    0x5fffa82f,0x221fff90,0xff107fff,0x500005ff,0xf500dfff,0xffffffff,
    0x400059bd,0x0006fffd,0x3ffff200,0x3e200003,0xfffdbfff,0x9bff6006,
    0xfff77ff9,0x4027ff43,0xfb84fffd,0xff8803ff,0xfff9006f,0x1fffcc07,
    0x324fffc8,0xffd00fff,0xfff301bf,0x3fe0005f,0xf900006f,0x10009fff,
    0x009ffffb,0x2e07ffee,0x000fffff,0x017fffdc,0x0027ffdc,0x4017ffec,
    0xa807fff8,0x3fe24fff,0x3f2005ff,0x7c0003ff,0xffffffff,0xffffffff,
    0x2a4fffff,0xff882fff,0x1fff901f,0xb81fffe2,0x80006fff,0xa802fffe,
    0x1999dfff,0x3fee0000,0x000000ff,0x001fffe2,0x2dfffb00,0x003ffff9,
    0x7fdcfff9,0x747fff15,0xffa804ff,0x0fffe86f,0x9bfffd80,0x99999999,
    0x999cfffc,0x07fff309,0x643fffe2,0xff500fff,0xf9537dff,0x4000dfff,
    0x40006fff,0x03ffffe8,0x7fffe400,0x7ffc400d,0xfffffe85,0x3ffe6004,
    0x7dc00fff,0xfd8004ff,0xff8802ff,0xfffa807f,0x1ffffd44,0x03fffc80,
    0x7ffffc00,0xffffffff,0xffffffff,0x07ffea4f,0xff900cc4,0x1fffe21f,
    0x007fffd0,0x037ffd40,0x005fffa8,0xffff1000,0x88000007,0x00007fff,
    0xc87fffea,0xc801ffff,0x8bffa7ff,0x3ffe6ffe,0xffff8803,0x01bffe21,
    0x7ffffffc,0xffffffff,0xffffffff,0x407fff34,0xff93fffc,0x3ffe601f,
    0xffffffff,0xf0000fff,0x4c000dff,0x002ffffe,0xdffff700,0xbfffe801,
    0xfdfffc88,0xb7311cff,0x7ffffdc3,0x7ffdc02f,0xfffd8004,0x7fff8802,
    0x84fffa80,0x802ffffc,0x0003fffc,0x7fe66664,0xfcccccdf,0x2cccceff,
    0x0007ffee,0xf11fffc8,0xffb80fff,0xfd0000ff,0x3ea007ff,0x000005ff,
    0x000dfffb,0xffff1000,0x3fe20000,0x7ffc44ff,0xfffb806f,0x7dc7ff98,
    0x07fff1ff,0xb93fff60,0xff003fff,0xffffffff,0xffffffff,0x269fffff,
    0x3e603fff,0x1fff97ff,0xfffffd10,0xffffffff,0x266000df,0xff500009,
    0x00003dff,0x1fffffa8,0x3ffffea0,0xff89ffff,0xffffffff,0x3ffffee1,
    0x7ffdc02f,0xfffd8004,0x7fff8802,0x04fffa80,0x801ffffd,0x0003fffc,
    0x807ffcc0,0x7dc02fff,0x2e0001ff,0xfff11fff,0x7ffff00f,0xffff5000,
    0x2fffd400,0x7fd40000,0x000000ff,0x007fff88,0x1ffffb00,0x07ffff50,
    0xfb8fffa8,0xa7ffc45f,0xf7002fff,0x7fff4dff,0xfffff000,0xffffffff,
    0xffffffff,0x3ffe69ff,0x57ffec03,0xfd80fffc,0xfffeddff,0x4fffebef,
    0xb8000000,0x000effff,0xfffd3000,0x7ffdc07f,0x3e64ffff,0xffffffff,
    0x3ffffe21,0x7ffdc00f,0xfffd8004,0x7fff8802,0x04fffa80,0x80dffff1,
    0x0003fffc,0x807ffcc0,0x7dc02fff,0x2e0001ff,0xfff11fff,0xffff700f,
    0x7fffd000,0x2fffd400,0x3fe20000,0x000003ff,0x00ffff10,0x7ffff500,
    0x07fffec0,0xfd3fff50,0x1fffb05f,0x22005fff,0xff88ffff,0x2aaa006f,
    0xaaaaaaaa,0xdfffdaaa,0xff31aaaa,0xfff9807f,0x5c0fffce,0x2620ffff,
    0x3fffe619,0x20000002,0x005ffffd,0xffd88000,0x3fae04ff,0xfda83eff,
    0x40cfffff,0x801efffa,0x8004fffb,0x8802fffd,0xfa807fff,0x3fea04ff,
    0x3ff204ff,0x5400003f,0xfff107ff,0x1fffc803,0x3ffee000,0x00ffff12,
    0x007ffff1,0x007fffd4,0x00bfff50,0x6fffd800,0x22000000,0x40007fff,
    0x406fffe8,0x205ffff9,0xfffafff9,0xfafffb80,0x3f6001ff,0x3fffbbff,
    0xfc800000,0x3fe603ff,0xfffe803f,0x3e60fffe,0x32002fff,0x2aa0ffff,
    0xaaaaaaaa,0xaaaaaaaa,0x1fffe42a,0x32000000,0xa8802fff,0x03353001,
    0x70009a88,0xb0009fff,0xf1005fff,0xff500fff,0xfffb809f,0x7fff903f,
    0xffb80000,0x01fff306,0x000fffc8,0x44bffee0,0xf9007fff,0x7f400dff,
    0x7d4003ff,0x200005ff,0x001ffffa,0x3fe20000,0x7e40007f,0xfc801fff,
    0xff302fff,0x220bffbf,0x0fffdfff,0x37ffee00,0x0000fffd,0x3fffc800,
    0x00fffe60,0x3fffffea,0x17fff60f,0x9ffff100,0x7ffffffc,0xffffffff,
    0xfc85ffff,0x00000002,0x000005f7,0x2e000000,0xd8004fff,0x2aaa2fff,
    0xffffbaaa,0x52aaaaaa,0xfb009fff,0xff903fff,0x555555bf,0x03555555,
    0xfa82ffe4,0xfffd807f,0x3fea0000,0x0ffff13f,0x0bfffe20,0x03fffea0,
    0x0bfff500,0x3ffe2000,0xeeeeeeff,0xeeeeeeee,0x7fc4001e,0x3e60007f,
    0xf1004fff,0xf101ffff,0x405fffff,0x0ffffffd,0x3fffe200,0x00006fff,
    0x07fff900,0x801fffcc,0x0ffffffe,0x40007fdc,0x7ffc2efa,0xffffffff,
    0xffffffff,0x00000105,0x00000800,0x20000000,0x8004fffb,0x3fe2fffd,
    0xffffffff,0x6fffffff,0x1009fff5,0xc81dffff,0xffffffff,0xffffffff,
    0x417ff604,0xfd807ffb,0x2a0000ff,0xfff13fff,0x7ffec00f,0x4fffe806,
    0x5fffa800,0xfff70000,0xffffffff,0xffffffff,0xff88003f,0x3fa0007f,
    0x2a000fff,0xf884ffff,0x200fffff,0x07fffffa,0xfffffd80,0x0000003f,
    0x4c07fff9,0xf5003fff,0x101fffff,0xf8140005,0xffffffff,0xffffffff,
    0x000005ff,0x00000000,0x80000000,0x8004fffb,0x3fe2fffd,0xffffffff,
    0x6fffffff,0x2009fff5,0x645ffff9,0xffffffff,0xffffffff,0x413ff604,
    0xfd806ffc,0x2a0000ff,0xfff13fff,0x7ffcc00f,0x3ffea02f,0xffa8000f,
    0xf700005f,0xffffffff,0xffffffff,0x88003fff,0x90007fff,0x0007ffff,
    0xf03ffffb,0x880bffff,0x007fffff,0xffffffb8,0x90000000,0x7cc07fff,
    0x3fa003ff,0x0000ffff,0x00000000,0x00000000,0x00000000,0x3ee00000,
    0xfd8004ff,0x3fffe2ff,0xffffffff,0xf56fffff,0x7dc009ff,0x3ff24fff,
    0xffffffff,0x04ffffff,0x7e40fffa,0xfffe805f,0x3fea0000,0x0ffff14f,
    0x06fffd80,0x0013fffa,0x002fffd4,0xfffffb80,0xffffffff,0x1fffffff,
    0x3fffc400,0x7fffcc00,0xfff30006,0xfffff0df,0xffffb005,0xfff1000f,
    0x00000dff,0x01fffe40,0x4007fff3,0x00fffffb,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x98015551,0xa880000a,0x53100002,0x80003355,0x01aaaa98,0x099a9800,
    0x03551000,0x1aa88000,0x00000000,0x0026a600,0x5300d4c0,0x00000003,
    0x00000000,0x00000000,0xa9880000,0x0000001a,0x00000000,0x0003ccc8,
    0x0004ccc4,0x80001330,0x000acca9,0x20000000,0x40001aa9,0xffffffc9,
    0x7fffec3f,0xff50003f,0xb88001df,0xfffffffd,0xb3000cff,0xffffffff,
    0x32e005ff,0xeffffffe,0x7fedc01c,0x00ceffff,0xfffec980,0x7d404eff,
    0x3f6004ff,0x3fff50ff,0xfffffca8,0x30fff80e,0x4c1bfffd,0x220efffe,
    0x80006fff,0x7ff47fff,0xffffffff,0x44ffffff,0x003ffffc,0x993fffe6,
    0x8001ffff,0x3ea7fffa,0x3ff621ff,0x2604ffff,0xffffffff,0xffe804ff,
    0xffe8800f,0xff8001ff,0x6dc4006f,0x3fffffff,0xffffd700,0x7e40019f,
    0x3fffffff,0x70009700,0x3ffc8005,0x7fffc000,0xb3ffffff,0x9fffffff,
    0xfffff000,0xffff8009,0xffffffff,0x3f6204ff,0xffffffff,0x74402fff,
    0xffffffff,0xfd104fff,0xffffffff,0x7dc005ff,0xffffffff,0xfff501ef,
    0x7ffec009,0x643fff50,0xffffffff,0x447ffc2f,0x14ffffff,0x8bffffff,
    0x40007fff,0x7f45fff8,0xffffffff,0x4fffffff,0x01ffffe8,0xd0dfffd0,
    0xb0009fff,0x7fd49fff,0xfffff51f,0x303dffff,0xffffffff,0xffd009ff,
    0xffe8801f,0xff0001ff,0xff8800df,0xffffffff,0xfffd300e,0x05ffffff,
    0xdffffe98,0x01effffd,0xb8013fee,0x3f2002ff,0x7fc0003f,0xffffefff,
    0xfeffffef,0x22002fff,0x006fffff,0x7ffffffc,0xffffffff,0xfffff883,
    0xffffffff,0x3ffee02f,0xffffffff,0xfffa84ff,0xffffffff,0x6c405fff,
    0xfeefffff,0xa83fffff,0x36004fff,0xfff50fff,0x3fffff25,0x20ffffff,
    0xfffd9fff,0xfffb7fff,0x7ec1ffff,0x7cc0007f,0x7fff44ff,0xffffffff,
    0x884fffff,0xc806ffff,0xfb81ffff,0x7c4007ff,0x3fea0fff,0xfffffbaf,
    0x85ffffff,0xfffffff9,0xfe804fff,0x3fa200ff,0x20001fff,0x44006fff,
    0xfeccdeff,0xff885fff,0xfffeefff,0xfff701ff,0xfff91017,0x9ffff505,
    0x1ffff700,0x00bfee00,0xa815df00,0x23ffffff,0x4006fff9,0x004fffff,
    0x04d5f7fc,0x3fffff73,0x0befffd8,0x2e059530,0x1acfffff,0x989fb733,
    0x21beffff,0x2fffffb9,0x0bffff60,0x03ffffa6,0x4009fff5,0xff50fffd,
    0x39fffb5f,0x93fffee2,0x53ffbfff,0x27ff5fff,0x3f23fffa,0x2a0000ff,
    0x55543fff,0xaaaaaaaa,0x01ffffda,0x409ffff5,0x102ffff9,0x4005ffff,
    0x7d45fffb,0xaefffdff,0x5ffffb30,0x93333330,0xfd009fff,0x3fa201ff,
    0x40001fff,0x44006fff,0xffff100b,0x41bfffb0,0x986fffd8,0x19989eff,
    0xd80fffa8,0x2e04ffff,0x0c82ffff,0x4981ffb8,0xffc80300,0xfffc85ff,
    0x3ffea000,0x005c000f,0x24ffff88,0x000ffff9,0x77fffc40,0x7f418801,
    0x3a200eff,0xfa80ffff,0x7ec00eff,0x7ffd45ff,0x3fff6004,0xffffff50,
    0x3ffea03f,0xbfffff0f,0x2ff7ffc4,0xffb93ffe,0x3ee0001f,0x220002ff,
    0x6403ffff,0xfd01ffff,0xffd80bff,0x3ffa005f,0x7fffd42f,0x3ff604ff,
    0x3fee005f,0xfffe804f,0xffffe880,0xfff80001,0xfc800006,0x3ffe61ff,
    0x07fffa05,0x3ffa1ffd,0x3fe64dff,0x7ffffb05,0x05ffff70,0xffa87ff7,
    0x0017fe41,0x0ffffd40,0x001fffcc,0x00002ee6,0x97ffea00,0x0004fffa,
    0x00efffd8,0x0dfff500,0x427fffc0,0x8801fffe,0x3ea1ffff,0x3f6004ff,
    0xffff50ff,0xffe801df,0x1fffff1f,0x40fffff8,0x3fea5fff,0x0155302f,
    0x0007fff2,0x005fffe8,0xf90dfffd,0xff500dff,0xff3001ff,0xffff50ff,
    0xfff9809f,0x3ffee006,0x0fffe804,0x0fffff44,0x6fff8000,0xffa80000,
    0x07ffee1f,0x323fffa8,0x377fa2ff,0x3ff25fff,0x7ffffb02,0x817fffdc,
    0xf30dffff,0x3fffa61f,0xff880006,0x13ffe07f,0x00000000,0x5cffff10,
    0x40005fff,0x001ffffa,0x00bfffe0,0x547fffb8,0x2e004fff,0x3fea4fff,
    0x3ff6004f,0xfffff50f,0x5fff9001,0x3e13fffe,0xffe84fff,0x40fffe65,
    0xff904ffe,0x3f60001f,0xf1000eff,0x7fcc9fff,0xffd001ff,0xfff9007f,
    0xbffff509,0x01fffe00,0x804fffb8,0x3a20fffe,0x0001ffff,0x001bffe0,
    0xeeedcb98,0x3ff61fff,0x27ffc407,0x22fe8bfd,0x02ff47fc,0xf77ffffb,
    0x64405fff,0xff9bffff,0x0cffffc8,0xdfff0000,0x002fff40,0x40000000,
    0x3fe67fff,0x320001ff,0x20005fff,0x8006fff9,0x3f60ffff,0x3e6002ff,
    0x3ffea5ff,0x3fff6004,0x03ffff50,0x7cbfff20,0xffe80fff,0x25ffe80f,
    0xf884fff8,0xfffb06ff,0x3ffee000,0x7fd4001f,0x7fffd1ff,0x37ffdc00,
    0x40ffffc0,0x2006fffa,0x7000fffe,0xfd009fff,0x3ffa21ff,0x400001ff,
    0xa8006fff,0xfffffffe,0x3ffa1fff,0x15fff806,0x22fe87ff,0x03fe47fa,
    0x3ffffff6,0xf91002ff,0xffdffdff,0x8000019f,0x3fa05ffe,0x0000006f,
    0x7fff8000,0x067ffffc,0x17fff400,0x7fff5000,0x3fffb000,0x0007fff4,
    0x7d4dfff1,0x3f6004ff,0x9fff50ff,0x97775400,0xffd05fff,0xf17ffa0b,
    0xfff70bff,0x0dffd03f,0x5ffff300,0x3fff6000,0x005fffce,0x007fffc4,
    0x2a0dfff5,0x3a004fff,0xf7000fff,0xffd009ff,0xffffd11f,0x99998003,
    0xfff99999,0x9999999e,0x3fffea09,0xfffeeeee,0x101fffa1,0x3fe69fff,
    0xfe997f42,0x2007fdc4,0x2ffffffd,0xfffc8800,0x0000cfff,0xffaaaa98,
    0xaaaaaaef,0x26667ffe,0x99999999,0x99999999,0x54c40099,0xffccccca,
    0x7fffcc7f,0xf000bdff,0x40001fff,0x8002fffb,0x3fe3fffc,0xaaaaaaff,
    0xffbaaaaa,0x13ffea7f,0x50fffd80,0x00009fff,0x3fa0bfff,0x8bffd05f,
    0xffd86ffd,0x4fff84ff,0x7fff4400,0x3fa20004,0x00efffff,0x03fffd80,
    0x540ffff6,0x36004fff,0xf7000fff,0xffd009ff,0x1ffffb3f,0xfffff000,
    0xffffffff,0xffffffff,0x40ffffcd,0x3f61fffa,0x7ffcc07f,0xfe81ff73,
    0x4c0cffff,0xffe802ff,0x220005ff,0x004ffffd,0x7fffec40,0xffffffff,
    0x7fffffff,0x3ffffffe,0xffffffff,0x06ffffff,0xffffffd7,0x0fffffff,
    0xfffffff5,0x7fc405bf,0x7ec0007f,0xfb8001ff,0xffff14ff,0xffffffff,
    0xffffffff,0x013ffea1,0xf50fffd8,0xf00009ff,0x3ffa0bff,0xc8bffd05,
    0x7ffc47ff,0x7ffc47ff,0x7ffec003,0xff980006,0x0001ffff,0x220dfff5,
    0xf500ffff,0x7ec009ff,0xff7000ff,0xfffd009f,0x003ffffd,0x3fffffe0,
    0xffffffff,0x6fffffff,0x2a07fff3,0x3fee1fff,0x3fff202f,0xfe83ff51,
    0xfa81effe,0x7ffdc01f,0x44004fff,0xfffffffc,0xffa8003f,0xffffffff,
    0xffffffff,0x3ffe6fff,0xffffffff,0xffffffff,0x7ffd46ff,0xffffffff,
    0xb107ffff,0xffffffff,0xdfff507f,0xfffe8000,0xfffa8001,0xffffff35,
    0xffffffff,0x21ffffff,0x2004fffa,0xff50fffd,0xff00009f,0x17ffa0bf,
    0x3ee2fff4,0x37fee0ff,0x3fe62fff,0x3fee002f,0xb00000ff,0x0009ffff,
    0xb81ffff8,0x3ea04fff,0x3f6004ff,0xff7000ff,0xfffd009f,0x00bffff5,
    0x3fffffe0,0xffffffff,0x6fffffff,0xd109fff5,0x7fcc3fff,0xfff980ef,
    0xfd0bfe66,0x3f21bf65,0x7fffdc07,0x8804ffff,0xffcffffc,0x00bffffb,
    0xceffff88,0xcefffccc,0xcccccccc,0x3fffffe3,0xffffffff,0x6fffffff,
    0x3bffffe6,0xfccccccc,0x75c407ff,0xefffffff,0x01fffe61,0x05fffb00,
    0x27fff700,0xeeeffff9,0xeeeeeeee,0x3ea6eeee,0x3f6004ff,0x9fff50ff,
    0xbfff0000,0x7417ffa0,0x7ffd45ff,0x3f6bff61,0x07ffea5f,0x0ffffd40,
    0xfff98000,0x20001fff,0xfe84fffc,0x3fea01ff,0x3ff6004f,0xfff7000f,
    0x1fffd009,0x00bffff3,0x33333330,0x33dfff33,0x21333333,0x731ffff8,
    0xd83fffff,0xcaabffff,0x7fc1ffff,0xff897f44,0xf7037ec2,0xfffb5fff,
    0x7ffe409f,0x88ff98df,0x403ffffe,0xfd04fffc,0x333000bf,0x33333333,
    0x33333333,0x3ffe2133,0xfff801ef,0x3fae6007,0x3e26ffff,0x640007ff,
    0xc8003fff,0x3ffe2fff,0x3ea00007,0x3f6004ff,0x9fff50ff,0xbfff0000,
    0x7417ffa0,0x7ffcc5ff,0xf71fff12,0x3ffee1ff,0xffff8800,0xff100003,
    0x01dfffff,0x1fffe600,0xa80dfff1,0x36004fff,0xf7000fff,0xffd009ff,
    0x3fffea1f,0xff800004,0x7ff4006f,0xfdffffff,0x7ffc41ff,0xffffffff,
    0x3a0ffe83,0xf99bf62f,0xffff704f,0x27fffec5,0x2a2effe8,0x3ffee1ff,
    0x07fffc04,0x0006ffe8,0x7dc00000,0xff000eff,0x3aa000ff,0x3fe3ffff,
    0x2e0001ff,0xd8004fff,0x3ffe1fff,0xf500000f,0x7ec009ff,0x9fff50ff,
    0xbfff0000,0x7417ffa0,0x7ffc45ff,0x3e2bff53,0x0fff92ff,0x017fffa0,
    0xdfffe800,0x0005fffe,0xfb8bfffa,0x7fd403ff,0x3ff6004f,0xfff7000f,
    0x1fffd009,0x027fffdc,0x1bffe000,0xfffff300,0x07ffa7ff,0x3fffff62,
    0xff301eff,0xff317f49,0x2e03ffa5,0xfd82ffff,0x4f984fff,0x6c41ffa8,
    0x3ffe200f,0x01bffa06,0x90000000,0x7c007fff,0x6c0007ff,0x3ffa5fff,
    0x3ea0003f,0x7c4006ff,0x3ffa0fff,0xf300001f,0x3e200bff,0xfff50fff,
    0xfff00009,0x417ffa0b,0xfff85ffe,0x7ec5ffb4,0x00dffb5f,0x001dfff9,
    0x3ffff200,0x03ffff98,0x4bfff500,0x5400ffff,0x36004fff,0xf7000fff,
    0xffd009ff,0xffffc81f,0x3fe00003,0xdb88006f,0x332e0bce,0x37b2e600,
    0x2ffc802b,0xcced85db,0xfffb83ff,0x3fff602f,0xff70184f,0xff300605,
    0x7fffc09f,0x00000000,0x00bfffa0,0x003fffc4,0xc9bffea0,0x0000ffff,
    0x003ffff3,0x3237ffdc,0x00005fff,0x200dfff1,0xf50ffffe,0xf00009ff,
    0x3ffa0bff,0xd0bffd05,0x1fff1bff,0x7f47ffdc,0x7ffd404f,0xf500001f,
    0x7fdc5fff,0xff0001ff,0xbfff31ff,0x09fff500,0x007ffec0,0x804fffb8,
    0xfd80fffe,0x00002fff,0x0000dfff,0x80000000,0x2200cffe,0xff985ffd,
    0xffd802ff,0xff7001ff,0x3fe60005,0xffff904f,0x73000007,0x7ff40017,
    0xfffa802f,0x7d40007f,0x3ffe25ff,0x3f60004f,0xff1006ff,0xfff883ff,
    0xff00002f,0xffd801ff,0xfff50fff,0xfff00009,0x417ffa0b,0xffc85ffe,
    0x7c45ffae,0x03ffebff,0x00ffffe6,0x7fffc400,0x0ffffd84,0xbfffc800,
    0xa801fffc,0x36004fff,0xf7000fff,0xffd009ff,0x3fffa01f,0xff80002f,
    0x0000006f,0x74400000,0xa98acfff,0x700dfffc,0x7ec005ff,0x3ff2002f,
    0xfff10003,0xfffff70d,0x5400001d,0xb000ffff,0xfc80bfff,0x0007ffff,
    0x3227ffec,0x800dffff,0x3fffe218,0x3ffa200d,0xffff905f,0xffd00005,
    0x3ff6209f,0xff50ffff,0xff00009f,0x17ffa0bf,0x7dc2fff4,0xd82ffdff,
    0x02fffdff,0x009fffd1,0x37fff400,0x06ffff88,0xedfff980,0xff5006ff,
    0x7fec009f,0xfff7000f,0x1fffd009,0x3ffffa20,0x7ffc0001,0x2aaaa006,
    0xaaaaaaaa,0x55551aaa,0x55555555,0x7dc03555,0xffffffff,0x002b802f,
    0x7e4002d8,0x3fe0003f,0xfff913ff,0x883dfffb,0x3fe000ca,0xf7004fff,
    0x5cc3bfff,0x7ffffffe,0x2066b3ba,0x0ffffeb9,0xcfffffe8,0xfeba999a,
    0x77fffe44,0xfff7511a,0x3fe201ff,0x881aefff,0xffb85ca9,0xfd511dff,
    0x21fffbff,0x0004fffa,0xfd05fff8,0x17ffa0bf,0x3fffffea,0xfffffa80,
    0xffffb01f,0x55555557,0xb0155555,0x5403ffff,0x8004ffff,0x3ffffffe,
    0x09fff500,0x507ffec0,0xfb555555,0x55555bff,0x03fffa15,0x1fffff98,
    0x1bffe000,0xfffffe80,0xffffffff,0xfffffd4f,0xffffffff,0xfdc9809f,
    0x000bdfff,0x00000000,0x3ffee000,0xd1ffffff,0xffdfffff,0x3e2001ff,
    0x2006ffff,0xfffffffe,0xfcbfffff,0x3ffffa7f,0xffffffff,0xfd302fff,
    0xffffffff,0xd889ffff,0xffffffff,0x01efffff,0x7fffffd4,0xffffffff,
    0xffffd06f,0x3fffffff,0x3ea1fff7,0xf80004ff,0xbffd05ff,0x2617ffa0,
    0x105fffff,0x01ffffff,0xfffffff3,0xffffffff,0xffb85fff,0xffc803ff,
    0x7dc003ff,0x000fffff,0x4009fff5,0x3fe0fffd,0xffffffff,0xffffffff,
    0x801fffd2,0x00fffff9,0x00dfff00,0x7ffffff4,0xffffffff,0xffffffd4,
    0xffffffff,0x00088009,0x00000000,0x7ff40000,0x222fffff,0xffffffff,
    0x3fe000ff,0x26004fff,0xfffffffe,0xfff91eff,0x7ffffff4,0xffffffff,
    0xffffc801,0xffffffff,0xfffff704,0x1bffffff,0x3fff6200,0xffffffff,
    0xfff306ff,0x3dffffff,0x7d43ffee,0xf80004ff,0xbffd05ff,0x2217ffa0,
    0x202fffff,0x307ffffd,0xffffffff,0xffffffff,0x7ffcc5ff,0xffd1006f,
    0x7c4003ff,0x2005ffff,0x2004fffa,0x3fe0fffd,0xffffffff,0xffffffff,
    0x001fffd2,0x01dffff5,0x00799900,0x77777764,0xeeeeeeee,0xdddddd93,
    0xdddddddd,0x00000007,0x00000000,0xfffb1000,0xfd9305bf,0x009dffff,
    0x00efffa8,0xfffffb80,0x3ffdc3ef,0xffffffb7,0x005bffff,0xffffec98,
    0x200bdfff,0xfffffed8,0xb50002de,0xfffffffd,0x6c4059df,0x44ffffff,
    0xff50fffa,0xff00009f,0x17ffa0bf,0xff82fff4,0x3ea00fff,0xff306fff,
    0xffffffff,0xffffffff,0x3ffffa25,0x3ffe6000,0x3f2000ef,0x2a002fff,
    0x36004fff,0x3ffe0fff,0xffffffff,0x2fffffff,0x2001fffd,0x00effffb,
    0x00000000,0x00000000,0x00000000,0x80000000,0x2a200298,0x2200009a,
    0x9880002a,0x4c40001a,0x001aaaa9,0x02666200,0x009a9800,0xaaa98000,
    0xa9800099,0x0000001a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x002800b8,0x200b3326,
    0x40388028,0xceedcb98,0xcb98802c,0x98001bce,0x32a6000a,0x100009bc,
    0x4c00bfff,0x99999999,0x99999999,0x33331099,0x33333333,0x83333333,
    0xaa82aaaa,0x00cc02aa,0x44000000,0x301aaaaa,0x00055555,0x00440044,
    0x33333330,0x22033333,0xaaaaaa80,0x2aaaaaaa,0xdddddddd,0xdddddddd,
    0xdddddddd,0x000000bd,0x00000000,0x00000000,0x00000000,0x00000000,
    0x5c033ff2,0x3f6602ef,0x7dc04fff,0x5ff9102f,0x7ffffd40,0x501effff,
    0xfffffffd,0x3ff6001b,0x7ff4c04f,0x003fffff,0x02ffffc8,0xfffffff0,
    0xffffffff,0x3eabffff,0xffffffff,0xffffffff,0x3fffe1ff,0x37fffc47,
    0x6ffffecc,0x00000000,0x409ffffb,0x05ffffd8,0x204ffd80,0xf8803ffd,
    0xffffffff,0x7ffd47ff,0x3ffffe0d,0xffffffff,0xfffffff5,0xffffffff,
    0xffffffff,0x00000dff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20dfff30,0x4c0efff9,0x4ffffffd,0x03fffe20,0x403fffe2,0xfffffffa,
    0x7ec0ffff,0xffffffff,0x7fd400ef,0xff904fff,0xffffffff,0x7ffcc00d,
    0xfff006ff,0xffffffff,0xffffffff,0x3ffffeab,0xffffffff,0x21ffffff,
    0xff86ffff,0x7ffd46ff,0x403fffff,0x0001fffa,0x017fffec,0x05ffffb8,
    0x0bfffea0,0x007fffee,0xfffffff1,0x7d4fffff,0x3fe6ffff,0xffffffff,
    0xffff5fff,0xffffffff,0xffffffff,0x00dfffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffd0000,0x87fffa03,0xffffffd9,0x7fd404ff,
    0xbfff705f,0x2af37ea0,0x44ffffdb,0xfedefffc,0x6404ffff,0x40ffffff,
    0xbbcffffb,0x004ffffd,0x7fff9ffd,0xffffff00,0xffffffff,0x2abfffff,
    0xffffffff,0xffffffff,0x3ffa1fff,0x5ffff86f,0x3fffffe2,0x2a04ffff,
    0x20000fff,0x000efffd,0x027fff4c,0x83ffffb8,0x402ffffc,0xeeeeeee8,
    0x3fa5eeee,0xff2fffff,0xffffffff,0x2aaabfff,0xaaaaaaaa,0xaaaaaaaa,
    0x02aaaaaa,0x00000000,0x00000000,0x00000000,0x00000000,0x7fdc0000,
    0x7fff904f,0xdfffffb8,0xfc804fff,0xfffb03ff,0xfff90005,0xd881bb0b,
    0x7dc06fff,0x221fffff,0xe980efff,0x7d401fff,0x01fff96f,0x99999998,
    0x99999999,0x33109999,0x33333333,0xffb33333,0x2ffff43f,0xf92ffffc,
    0xffd77fff,0x3ff209ff,0x3ff60007,0x3620004f,0xf9804fff,0xffa81fff,
    0x000000ff,0x3ffffffe,0x55555553,0x05555555,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ffe2000,0x5fff980f,0xf73fff88,
    0xfd1009ff,0xfff101ff,0xffa8001d,0x7fcc004f,0x3fe200ff,0x3f23ffff,
    0x3fea01ff,0x97ff403f,0x0005fff8,0x80000000,0x3f61fffc,0xfffe85ff,
    0x81dfff14,0x20dffffc,0x0006fff9,0x0005fffb,0x013ffee0,0xeb80bbaa,
    0x4000001d,0x2ffffffe,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0xe882fffd,0x87900fff,0x3004fffb,0x3ee0bfff,
    0x7ec004ff,0x7c4002ff,0x7d400fff,0x3f63ffff,0x5fff806f,0xf71bfee0,
    0x000005ff,0xfc800000,0x3fff61ff,0x34fffe84,0x3f209fff,0xffddffff,
    0x988002ff,0x40000099,0x00001998,0x70000000,0x01dfffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xa8000000,0xff905fff,
    0xffb8005f,0x3fee004f,0x3fffd03f,0x3f6a6660,0xfa8005ff,0xffb006ff,
    0x2fffc3ff,0x8837ff40,0xffe81fff,0x00000006,0x7ffe4000,0x213fff21,
    0xff53fffd,0x7ffe407f,0x06ffffff,0x00000000,0x00000000,0x7fe40000,
    0x000001ef,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fffc400,0x04fffa80,0x04fffb80,0x40ffff40,0xff06fff9,0x007fffff,
    0x07ffff10,0x83ffff20,0xff804fff,0x0bff906f,0x4c0fffe6,0x99999999,
    0x99999999,0x90000099,0x7fe43fff,0x3fffd83f,0xa803ddd5,0xefffffff,
    0x00000000,0x00000000,0x88000000,0x0000001a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x07fff900,0x0003fffa,0x0013ffee,
    0x360bfff3,0xfff82fff,0x003effff,0x01bfffe6,0x746fffc8,0x7fcc05ff,
    0x1fff984f,0x203fff60,0xffffffff,0xffffffff,0x00005fff,0x7dc3fff9,
    0xfffc83ff,0x3b220002,0x00003dff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3ffe2000,
    0x4fffa80e,0x4fffb800,0x0fffec00,0xd837ffc4,0xfffffeee,0xffffa805,
    0xfff1000f,0x1fffd85f,0x20ffff20,0x7c404ffe,0xffff85ff,0xffffffff,
    0x5fffffff,0xfff90000,0x417ffdc3,0x0002fffc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x04fffb80,0x8003fffb,0x2004fffb,0xfb04fffb,0x2e2003ff,
    0x2e03ffff,0x000effff,0x50bfffd3,0xf301dfff,0xffa81dff,0xfffc800f,
    0x7fffffc2,0xffffffff,0x005fffff,0xaaa88000,0x00aaa980,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffd0000,0x1ffff103,0x27ffdc00,0x06fff980,
    0x000bfff7,0xb10bfff9,0x401bffff,0xffffeba9,0xffffb00f,0xffff9779,
    0x009ffd03,0x26637ffc,0x99999999,0x99999999,0x00000009,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xa837ffcc,0x2e005fff,0xfd004fff,
    0xfff103ff,0xff90001f,0xfffe989f,0xfffb803f,0x2200cfff,0xfffffffe,
    0xffb83fff,0x3fea000f,0x0000003f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x32000000,0xffb04fff,0x3fee007f,0xfffc804f,0x05fffb03,
    0x7ffff500,0x0f7fffd4,0xeffffb80,0x3fff2001,0x901effff,0x99000599,
    0x00000099,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xe8000000,
    0xff881fff,0x7776c0ff,0xeeefffee,0x3ffe60ee,0x0bfff506,0x32aaaaea,
    0x50fffffe,0xffffffff,0x23ffffff,0x0001abda,0x03599751,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x37ffcc00,
    0x746fffa8,0xffffffff,0xd10fffff,0xff101fff,0x3ff601ff,0xffffffff,
    0x3fffea1f,0xffffffff,0x000001ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xff900000,0x0fff201b,0xfffffffd,
    0x21ffffff,0xb103ffc8,0x7fec07ff,0xdfffffff,0x7ffffd41,0xffffffff,
    0x0000001f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x03910000,0x99970170,0x99999999,0x80388199,0x776d4049,
    0x300bcdee,0x99999999,0x01999999,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__consolas_47_latin_ext_x[560]={ 0,9,5,0,2,0,1,10,6,5,3,1,5,6,
8,2,2,3,3,3,0,4,2,2,2,2,9,5,3,3,4,6,0,0,3,2,2,4,4,1,2,3,4,3,
5,1,2,1,3,1,3,2,1,2,0,1,0,0,2,7,3,6,2,0,0,3,3,3,2,2,0,2,3,3,
3,4,3,2,3,2,3,2,4,4,1,3,1,0,1,1,3,3,11,5,1,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,9,2,2,1,1,
11,3,0,0,5,3,2,6,2,0,4,2,5,6,0,3,2,9,10,5,5,3,0,0,0,4,0,0,0,0,
0,0,-1,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,1,0,0,0,0,0,3,3,0,0,
0,0,0,0,0,3,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,1,2,0,0,0,0,0,3,0,
0,0,0,0,0,3,1,0,1,0,1,0,1,1,-1,-1,0,2,0,0,0,0,0,0,4,2,0,0,1,0,
1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,3,3,0,3,2,2,0,0,3,4,4,0,0,5,
3,-6,-4,4,2,1,3,0,0,2,3,0,0,0,2,3,0,0,0,0,0,0,0,0,-1,0,3,4,-1,0,
0,0,0,0,2,4,0,0,1,1,0,-5,1,1,0,0,0,0,0,0,0,0,0,0,2,3,0,0,0,0,
0,0,0,0,0,0,0,6,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,-1,0,-3,-2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,4,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__consolas_47_latin_ext_y[560]={ 34,1,1,4,-1,1,2,1,-1,-1,1,10,26,19,
26,1,3,3,3,3,4,4,4,4,3,3,10,10,8,15,8,1,1,4,4,3,4,4,4,3,4,4,4,4,
4,4,4,3,4,3,4,3,4,4,4,4,4,4,4,0,1,0,4,40,1,10,1,10,1,10,1,10,1,1,
1,1,1,10,10,10,10,10,10,10,3,10,10,10,10,10,10,0,-4,0,16,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,34,10,-1,3,5,4,
-4,1,1,3,3,12,19,19,1,2,1,6,1,1,1,10,1,17,34,1,3,12,1,1,1,10,-5,-5,-5,-5,
-5,-6,4,3,-5,-5,-5,-5,-5,-5,-5,-5,4,-5,-5,-5,-5,-5,-5,11,-1,-5,-5,-5,-5,-5,4,1,1,1,
1,1,1,-1,10,10,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,9,6,1,1,1,1,1,1,1,
-4,2,-5,1,4,10,-5,1,-5,1,-5,1,-5,1,-5,0,4,1,-4,2,-5,1,-5,1,4,10,-5,1,-5,1,
-5,1,-5,1,3,0,-5,-6,4,1,-5,1,-4,2,-5,1,4,1,-5,10,4,1,-5,1,4,1,10,-5,-6,4,
1,0,0,4,1,4,1,-5,1,4,10,-5,1,-2,4,10,-4,2,-5,1,-5,1,3,10,-5,1,4,10,-5,1,
-5,1,-5,1,3,10,-5,1,4,3,-5,0,4,3,-5,1,-4,2,-5,1,-6,-1,-5,1,4,10,-5,1,-5,1,
-5,-5,1,-5,1,-5,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-11,-7,-5,1,-5,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,3,10,4,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static unsigned short stb__consolas_47_latin_ext_w[560]={ 0,7,15,25,22,26,25,6,14,14,20,23,12,14,
9,21,22,20,21,20,25,19,22,21,22,21,8,12,19,20,19,16,26,26,21,21,23,18,18,23,22,19,17,22,
18,24,22,24,21,25,22,21,23,22,26,24,26,26,22,13,21,12,22,26,16,20,21,19,21,22,25,22,20,20,
18,21,20,22,20,22,21,21,20,18,22,20,24,26,24,24,20,18,4,18,24,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,8,19,22,23,24,
4,20,21,26,16,20,21,14,22,19,17,22,16,14,22,22,21,8,6,16,16,20,26,26,26,15,26,26,26,26,
26,26,26,21,22,22,22,22,22,22,22,22,25,24,25,25,25,25,25,20,24,24,24,24,24,26,21,21,23,23,
23,23,23,23,25,19,24,24,24,24,23,23,23,23,22,23,24,24,24,24,24,23,22,23,23,23,23,25,21,25,
26,23,26,23,26,21,22,23,22,22,22,22,22,21,26,30,25,24,22,24,22,24,22,24,19,22,22,24,23,24,
23,24,23,24,23,24,24,23,26,23,22,23,22,23,22,23,21,21,22,20,22,22,21,21,22,21,21,23,23,18,
20,29,30,22,28,22,20,24,23,22,20,24,23,23,22,20,25,24,25,24,26,26,26,26,26,24,22,20,26,24,
23,22,23,22,21,18,23,22,23,22,24,30,23,22,24,23,24,23,24,23,24,23,26,26,22,21,25,26,26,25,
26,24,23,24,23,24,23,18,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,24,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,26,23,26,25,28,26,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,21,18,23,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22, };
static unsigned short stb__consolas_47_latin_ext_h[560]={ 0,34,12,30,41,34,33,12,45,45,21,23,16,5,
9,38,32,31,31,32,30,31,31,30,32,31,25,32,27,13,27,34,43,30,30,32,30,30,30,32,30,30,31,30,
30,30,30,32,30,40,30,32,30,31,30,30,30,30,30,44,38,44,15,4,10,25,34,25,34,25,33,34,33,33,
43,33,33,24,24,25,34,34,24,25,32,25,24,24,24,34,24,44,48,44,11,30,30,30,30,30,30,30,30,30,
30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,0,34,41,31,28,30,
48,39,10,32,23,19,12,5,22,9,16,28,19,19,10,34,39,8,7,19,23,19,33,33,33,34,39,39,39,39,
39,40,30,38,39,39,39,39,39,39,39,39,30,39,40,40,40,40,40,21,40,40,40,40,40,39,30,34,34,34,
34,34,34,36,25,31,34,34,34,34,33,33,33,33,34,33,34,34,34,34,34,25,33,34,34,34,34,43,43,43,
38,33,39,34,39,33,40,34,40,34,40,34,40,34,39,35,30,34,38,33,39,34,39,34,39,33,39,34,40,43,
40,43,40,43,41,44,39,40,30,33,39,33,38,32,39,33,39,42,39,24,31,43,40,43,40,43,24,39,40,40,
43,34,34,30,33,30,33,39,33,40,34,39,33,36,40,34,39,33,40,34,40,34,32,25,39,33,40,34,39,33,
40,34,40,34,38,31,40,34,40,41,39,35,30,32,40,34,39,33,40,34,41,36,40,34,39,33,39,33,39,43,
39,39,33,39,33,39,33,33,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,39,30,30,30,
30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,
30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,
30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,
30,30,30,30,30,30,30,30,30,30,45,42,39,34,44,38,30,30,30,30,30,30,30,30,30,30,30,30,30,30,
30,30,30,30,30,30,30,30,30,30,41,34,40,41,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,
30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,
30,30,30,30,30,30, };
static unsigned short stb__consolas_47_latin_ext_s[560]={ 511,496,189,86,47,309,30,504,53,38,486,
384,92,322,312,360,241,1,471,196,333,405,63,160,121,106,496,492,449,146,429,
493,212,441,468,264,393,374,490,217,1,24,45,44,67,112,359,144,182,354,137,
286,417,425,306,281,254,227,204,173,338,135,123,337,253,51,74,91,489,134,68,
129,23,447,290,393,402,199,320,111,273,268,178,72,358,157,295,222,270,169,249,
116,1,68,205,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,
223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,511,500,164,
22,382,349,6,171,270,169,408,1,167,322,442,292,105,406,75,60,230,408,451,
496,504,22,425,39,256,229,202,455,28,126,391,443,292,195,296,194,343,125,217,
1,102,148,199,176,323,324,484,430,25,432,458,465,146,98,295,1,50,270,174,
201,431,105,384,360,336,430,1,86,243,218,193,168,276,105,154,178,51,300,26,
1,464,439,414,27,415,367,343,319,295,380,474,264,216,283,24,152,71,356,257,
56,307,485,234,1,386,471,144,1,270,80,315,331,171,176,98,223,51,487,121,
248,222,406,456,187,171,239,93,148,349,1,196,307,247,463,265,381,153,369,104,
1,55,341,448,309,246,431,320,332,362,319,343,367,453,194,224,151,1,128,324,
222,345,75,255,51,378,382,409,103,76,438,404,78,268,51,308,469,473,80,123,
148,1,129,26,145,480,122,243,493,380,391,330,70,192,454,246,335,209,124,366,
468,184,32,117,406,280,24,470,1,78,94,297,354,374,401,44,426,423,267,56,
493,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,418,
223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,
223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,
223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,
223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,
223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,
223,223,223,11,23,240,96,87,288,223,223,223,223,223,223,223,223,223,223,223,
223,223,223,223,223,223,223,223,223,223,223,223,223,142,290,330,70,223,223,223,
223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,
223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,
223,223,223,223,223,223,223,223,223, };
static unsigned short stb__consolas_47_latin_ext_t[560]={ 1,1,518,461,50,291,361,1,1,1,492,
492,518,518,518,215,395,429,395,395,461,395,429,461,395,429,461,361,461,518,461,
134,1,429,429,395,429,429,429,395,461,461,429,461,461,461,461,395,461,50,461,
395,429,395,461,461,461,461,461,1,215,1,518,518,518,492,291,492,255,492,395,
255,395,361,1,326,361,492,492,492,255,291,492,492,395,492,492,492,492,326,492,
1,1,1,518,429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,
429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,1,175,50,
429,461,429,1,134,518,395,492,518,518,518,492,518,518,461,518,518,518,291,175,
36,14,518,492,518,361,361,361,291,175,175,134,134,134,93,429,215,134,134,134,
215,134,134,175,175,429,175,93,50,134,93,93,492,93,93,93,93,93,175,429,
255,291,255,291,291,291,215,492,429,291,291,291,291,326,361,361,361,291,326,291,
291,255,255,255,492,326,255,255,255,255,1,1,1,215,361,215,255,215,361,50,
255,50,215,50,326,93,291,215,255,429,255,215,361,215,255,215,255,215,326,215,
255,93,1,50,1,93,1,50,1,175,134,429,361,175,326,215,395,175,326,175,
50,175,492,395,1,93,1,93,1,492,134,93,93,1,326,326,429,361,429,326,
175,326,93,326,134,361,215,93,326,134,326,50,326,93,326,395,461,175,361,93,
326,175,361,93,291,50,291,215,395,50,255,50,50,134,215,429,395,50,326,134,
361,50,255,50,215,50,326,134,395,175,395,175,1,175,175,395,175,361,134,361,
291,429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,134,
429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,
429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,
429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,
429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,
429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,
429,429,429,1,50,134,291,1,215,429,429,429,429,429,429,429,429,429,429,429,
429,429,429,429,429,429,429,429,429,429,429,429,429,50,291,50,50,429,429,429,
429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,
429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,429,
429,429,429,429,429,429,429,429,429, };
static unsigned short stb__consolas_47_latin_ext_a[560]={ 413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_47_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_47_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_47_latin_ext(stb_fontchar font[STB_FONT_consolas_47_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_47_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_47_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_47_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_47_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_47_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_47_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_47_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_47_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_47_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_47_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_47_latin_ext_s[i] + stb__consolas_47_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_47_latin_ext_t[i] + stb__consolas_47_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_47_latin_ext_x[i];
            font[i].y0 = stb__consolas_47_latin_ext_y[i];
            font[i].x1 = stb__consolas_47_latin_ext_x[i] + stb__consolas_47_latin_ext_w[i];
            font[i].y1 = stb__consolas_47_latin_ext_y[i] + stb__consolas_47_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_47_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_47_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_47_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_47_latin_ext_s[i] + stb__consolas_47_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_47_latin_ext_t[i] + stb__consolas_47_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_47_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_47_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_47_latin_ext_x[i] + stb__consolas_47_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_47_latin_ext_y[i] + stb__consolas_47_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_47_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_47_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_47_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_47_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_47_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_47_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_47_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_47_latin_ext_LINE_SPACING
#endif

