// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_50_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_50_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_50_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_50_latin_ext_BITMAP_HEIGHT        609
#define STB_FONT_consolas_50_latin_ext_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_consolas_50_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_50_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_50_latin_ext_LINE_SPACING          33

static unsigned int stb__consolas_50_latin_ext_pixels[]={
    0x3e6bfff3,0x200005ff,0x803ccccb,0x08000000,0xcc880000,0xaa803ccc,
    0xaaaaaaaa,0x3100002a,0x006aa255,0x2aaaa600,0x0aaaaaaa,0x3bba2000,
    0x0aaaa002,0x54400000,0x0355302a,0x4004c400,0x22000019,0x00002aaa,
    0x0005e540,0x2aa20000,0x40002aaa,0x0002aaa8,0x6edcc400,0x000000bc,
    0x8000b76a,0x4c02aaa8,0x00001aaa,0x4002cca8,0x5540bdc8,0xfff98aaa,
    0x00bfff35,0x3ffff200,0x02f4400d,0x07f10000,0x7ff44000,0xfff004ff,
    0xffffffff,0x7f64000f,0xfff56fff,0x90003bff,0xffffffff,0x40007fff,
    0x1000fffb,0x0001ffff,0x5fff1000,0x0009ffd0,0xd80bffea,0x880005ff,
    0x003ffffe,0xffffb000,0x20000003,0x0effffe8,0x3ffa2000,0x800003ff,
    0xffffffd8,0x00000dff,0x01ffffe4,0x7ffff440,0x17fff203,0xfff90000,
    0x3fe2009f,0x3ffa0fff,0x5fff99ff,0x000bfff3,0x05ffff90,0x009ffd10,
    0x7ffd1000,0xffd10000,0x7fc005ff,0xffffffff,0xfea8007f,0xf56fffff,
    0x19ffffff,0x7fffe400,0x3fffffff,0x1bffa000,0x0ffff880,0xff000000,
    0x7ffd43bf,0xffff0002,0x3fffee0f,0x3fa20003,0x003fffff,0x7fffcc00,
    0x8000005f,0x04ffffe8,0x7fff4400,0x00003fff,0x3fffffee,0x00efffff,
    0xffff1000,0x744001ff,0x03ffffff,0x000bfff9,0x7ffffc40,0xfffd800f,
    0x3fffa4ff,0x35fff99f,0x8000bfff,0x000efffd,0x007ffff5,0x7fff4400,
    0x7f440006,0x13311eff,0x7fffffc0,0x007fffff,0x7fffffd4,0xffff56ff,
    0x400bffff,0xfffffffc,0x0003ffff,0x4009fff3,0x000ffff8,0xfff70000,
    0x1fffffdf,0xffff1000,0xffffb03f,0x3fa2000b,0x3ffffdff,0x3fee0000,
    0x00007fff,0x7ffff440,0x7f440002,0x3ffffdff,0x7fec4000,0xfda9bdff,
    0x0000efff,0xffffffa8,0xfffd1001,0x907ffffb,0x0000bfff,0x7fffffd4,
    0xffffe802,0x3ffffa6f,0xf35fff98,0x6c000bff,0xc8003fff,0x0003ffff,
    0x01dfffb0,0x7fff4400,0x002fff44,0x800ffff0,0x1adffffe,0xffff7310,
    0x3ff2005f,0x9000003f,0x44005fff,0x0000ffff,0x3fffa000,0x002fffff,
    0x41ffffe0,0x003ffffb,0x33fffe88,0x0007fffd,0x3ffffea0,0x22000006,
    0x000efffe,0x9ffff440,0x003fffe9,0x03bfffa0,0x00efffa8,0x7fffcc00,
    0xfe8800ff,0xfffd33ff,0x05fffc87,0x3ffe6000,0xfe801fff,0x3f65ffff,
    0xfff98fff,0x00bfff35,0xfb000000,0x80005fff,0x000ffffd,0x216665c0,
    0x0002fff8,0xb801fffe,0x4001ffff,0x007fffd8,0x0007fff9,0x01fffa00,
    0x01ffff10,0xfb800000,0x001effff,0x00fffcc0,0x10009ffb,0xe885fffd,
    0x00003fff,0x003ffffb,0x3ffa2000,0xe880004f,0x7f442fff,0xfc8003ff,
    0xff7004ff,0xfb00009f,0xd1009fff,0xfe885fff,0x3fff23ff,0x7f400005,
    0xf5006fff,0x7ec5ffff,0xfff98fff,0x00bfff35,0x0179b950,0xffffe800,
    0xfff90000,0x0000003f,0x0001fff7,0xd003fffc,0x20007fff,0x801ffff8,
    0x0003fffc,0x05fff980,0x07fffc40,0x98000000,0x4000009a,0x00011000,
    0xa806aaa6,0x00000aaa,0x000039b7,0x00d554c0,0x1aaa9800,0x002aaaa0,
    0x004fffa8,0x0003ffe4,0x3003eeb8,0x55403555,0xbfff90aa,0xfd880000,
    0x3ee000df,0x7ffec2ff,0x35fff98f,0x4400bfff,0x3ffffffe,0x3ffa2000,
    0xff98005f,0x000002ff,0x000dffb0,0x2007fff8,0x0000ffff,0x200bfff2,
    0x0003fffc,0x01aaa980,0x07fffc40,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3e200000,0xff0006ff,0x0000005f,0x7e400000,
    0x000005ff,0x36010000,0xff98ffff,0x0bfff35f,0x6e7fff40,0x20002fff,
    0x002ffff9,0x002ffff4,0xf1333000,0xf80007ff,0x3fe007ff,0x7dc0007f,
    0xffc803ff,0x0000003f,0xffff8800,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x6c000000,0xb0001fff,0x00000bff,0x64000000,
    0x00005fff,0x6c000000,0xfff37fff,0x017ffe6b,0x3ea37fcc,0x7e40005f,
    0xf5000fff,0x00001fff,0x7ffff654,0x0001ffff,0x8803fffc,0x40006fff,
    0xc804fffa,0x00003fff,0xff880000,0x000000ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x000fffe2,0x000fffb8,0x00000000,
    0x00bfff90,0x00000000,0xf37fffc8,0x3ffe6bff,0x87ff7005,0x40006ff8,
    0x804ffff8,0x003ffff8,0xffffd100,0x5fffffff,0x7fff8000,0x0bfff300,
    0x5fffa800,0x03fffc80,0x80000000,0x440ffff8,0x01bdedb9,0x7f65cc00,
    0xccccccde,0x33221ccc,0x320002cc,0x26002ccc,0xccdefecb,0x1ccccccc,
    0x3fb2e600,0xccccccde,0x33221ccc,0x320002cc,0x33222ccc,0x320002cc,
    0xffc82ccc,0x7fc40007,0x66665c3f,0xcccccccc,0x32e01ccc,0xcccccccc,
    0x21cccccc,0x2005fffc,0x40ccccc9,0x2000cccc,0x7e42ccca,0xbfff37ff,
    0x4017ffe6,0x7fd45ff9,0xffb80005,0x7fe401ff,0xf500006f,0xffffffff,
    0x009fffff,0x803fffc0,0x0005fff9,0x402fffd4,0x0003fffc,0x3bfb2e60,
    0xcccccccd,0xffff11cc,0x3ffff621,0x8004ffff,0xffffffd9,0xffffffff,
    0x7fffc3ff,0xfff30006,0xffb3005f,0xffffffff,0x07ffffff,0xfffffb30,
    0xffffffff,0xfff87fff,0xff30006f,0xffff85ff,0xfff30006,0x4fff885f,
    0x4ffe8000,0x7fffffec,0xffffffff,0x3fff603f,0xffffffff,0x3f23ffff,
    0xff3005ff,0xff885fff,0x3f2000ff,0x7ffe44ff,0x26bfff37,0xd1005fff,
    0xfffb7dff,0x3fa00005,0x3fe204ff,0xc80002ff,0xbeffffff,0xffffffdb,
    0xffff0004,0x17ffe600,0xbfff5000,0x07fff900,0xfffb3000,0xffffffff,
    0x227fffff,0xffd37fff,0xffffffff,0x7ffdc00b,0xffffffff,0x3fffffff,
    0x00ffffe4,0x03fffe40,0x7fffffdc,0xffffffff,0x5c03ffff,0xffffffff,
    0xffffffff,0x7ffe43ff,0xffc8001f,0xffffc87f,0xfffc8001,0x01fffb87,
    0x1cc4aee6,0xffd89ffb,0xffffffff,0x203fffff,0xfffffffd,0xffffffff,
    0x017fff23,0x07ffffe6,0x003fffe2,0x644fffc8,0xfff37fff,0x017ffe6b,
    0xffffff98,0x2e00003f,0x3ee07fff,0xa80006ff,0x40afffff,0xfffffffb,
    0x7fff8001,0x0bfff300,0x5fffa800,0x03fffc80,0x7fffdc00,0xffffffff,
    0x13ffffff,0xfff1ffff,0xffffdfff,0xff500bff,0xb7359fff,0xffffffff,
    0xffff987f,0xffff8004,0x7fffd404,0xffdb9acf,0x3fffffff,0x3ffffea0,
    0xfffdb9ac,0x43ffffff,0x004ffff9,0x984ffff8,0x8004ffff,0xfe84ffff,
    0xffff506f,0x7e4dffff,0x7fffec5f,0xffffffff,0x3f603fff,0xffffffff,
    0x23ffffff,0x4c05fffc,0x101fffff,0x4001ffff,0x7e44fffc,0xbfff37ff,
    0x0017ffe6,0x00337b6e,0xffff1000,0x0ffffa05,0x3fffa000,0xfdffd01f,
    0xf000dfff,0x3e600fff,0x540005ff,0xfc805fff,0x2a0003ff,0x9acfffff,
    0xffffffdb,0xfff13fff,0x43bfffdf,0x0fffffa8,0x3bfffe20,0xdfffd300,
    0x0ffffb00,0x1ffffa80,0x3bfffe20,0xdfffd300,0x3fffe200,0xfffd300e,
    0xffffb00d,0xffffa800,0x0ffffb01,0x1ffffa80,0x5c1fffc4,0xffffffff,
    0x01bfee4f,0x07fffb00,0x7ffec000,0x817fff23,0x01fffff9,0x003fffe2,
    0x5c4fffc8,0xfff36fff,0x017ffe6b,0x80000000,0xf885fffd,0x40001fff,
    0x102ffffa,0xfffb5fff,0xfff8007f,0xbfff3007,0xfffa8000,0x3fffc805,
    0xffff1000,0x3ffa601d,0xffff106f,0x7cc05fff,0x3f204fff,0x7cc00fff,
    0x7d402fff,0x36002fff,0x7e406fff,0x7cc00fff,0xfc802fff,0x7cc00fff,
    0x7d402fff,0x36002fff,0x3ea06fff,0x36002fff,0xffa86fff,0x7fffd40f,
    0x23ffffdd,0x40007ffb,0x0003fffd,0xc8ffff60,0xff305fff,0xf8803fff,
    0x32000fff,0x7fdc4fff,0x2bfff36f,0x4005fff9,0x06fffff9,0xfffb8000,
    0x37ffdc0f,0x7fff4000,0x23ffee04,0x005ffff9,0xa803fffc,0x40004fff,
    0xc806fff9,0x90003fff,0x9801ffff,0xf882ffff,0x801fffff,0x3607fffc,
    0xfb003fff,0xfff00bff,0x3fe200bf,0x7fec03ff,0xfffb003f,0x7fffb00b,
    0x17fff600,0x017fffe0,0x01ffffc4,0x4017fffe,0xb83ffff8,0xfffe87ff,
    0xa8bfff20,0x6c0007ff,0x00003fff,0xfc8ffff6,0xfff985ff,0xff8801ff,
    0x3f2000ff,0x7ffdc4ff,0x26bfff36,0x64005fff,0x01ffffff,0x7ffc4000,
    0x1ffff42f,0x3ffea000,0x9bff601f,0x000ffffd,0x5c01fffe,0x40003fff,
    0x400ffff8,0x0003fffc,0x2007fffb,0xf885fffd,0x3002ffff,0x3e05ffff,
    0xf7001fff,0xff900dff,0xff5001ff,0xfff801ff,0xfff7001f,0x3ffff00d,
    0x1bffee00,0x03ffff20,0x03fffea0,0x01ffff90,0x01ffff50,0xffb8bffb,
    0x0fffe42f,0x0001fff5,0x001fffec,0x47fffb00,0x7cc5fffc,0x1001ffff,
    0x4001ffff,0x7dc4fffc,0xbfff36ff,0x0017ffe6,0x9fffffff,0xffd00000,
    0x7fffc49f,0x7fec0001,0x1fffc07f,0x005ffff3,0x4403fffc,0x0000ffff,
    0x404fffd8,0x0003fffc,0x2003ffff,0xf886fffb,0x7c003fff,0xff883fff,
    0xff5000ff,0xfff300ff,0xfffb007f,0xffff880b,0xffff5000,0x0ffff880,
    0x0ffff500,0x07ffff30,0x00bfffb0,0x007ffff3,0x3e0bfffb,0x3fff43ff,
    0x3ea3ffec,0x360000ff,0x00003fff,0xfc8ffff6,0x3ffe65ff,0x3e2001ff,
    0x32000fff,0x7fdc4fff,0x2bfff36f,0x2004eee9,0xfffffff9,0xfd800006,
    0x3ffe64ff,0x7fc0000f,0x3fea04ff,0x27fffc1f,0x80ffff00,0x005fffea,
    0xbffff300,0x0ffff203,0x3fffe200,0xffff5000,0x01ffff10,0x83fffd80,
    0x001ffff8,0x200bfff7,0x4406fffe,0x4402ffff,0x7001ffff,0xf880bfff,
    0xf7001fff,0x3fa00bff,0x7fc406ff,0xffd002ff,0xfff880df,0x1fff982f,
    0x3a13ffe2,0x3ffd46ff,0x3fff6000,0x3f600003,0x3fff23ff,0x3fffff35,
    0xffff8800,0x3fff2000,0x9afffd44,0x80005fff,0xfffdfffc,0x6400001f,
    0x3fe65fff,0x7cc0007f,0x3f202fff,0x5fffe86f,0xd1fffe00,0xbfffffdd,
    0xffb80000,0x93eeffff,0x10007fff,0x2003ffff,0xf885fffb,0x64000fff,
    0xfff04fff,0x3ff6007f,0xfff5004f,0x7ffdc03f,0x7ffff007,0x13fff600,
    0x00ffffe0,0x8027ffec,0x201ffffa,0x2007fffb,0x201ffffa,0xf507fffb,
    0x7ffdc1ff,0x545fff82,0x6c0007ff,0x00003fff,0xfc8ffff6,0xffff9dff,
    0xff88001f,0x3f2000ff,0x7ffd44ff,0x00bfff35,0xd3ffff00,0x00009fff,
    0x2a6fffb8,0x40007fff,0x201ffffa,0xffd84ffe,0x3ffe006f,0x7fffffc7,
    0x3000002d,0x9fffffd9,0x000ffff2,0x801ffffc,0xf884fffd,0x64000fff,
    0xffb05fff,0xff9801ff,0x3fe002ff,0x3ffa04ff,0xfffb004f,0xfff9801f,
    0xfffd802f,0x7ffcc00f,0x3ffe002f,0x3fffa04f,0x7fffc004,0x13fffa04,
    0x3f23ffd4,0x7ffcc0ff,0x0037fdc4,0x00ffff60,0x3fffd800,0x3ffbfff2,
    0x10001fff,0x4001ffff,0x7d44fffc,0xbfff35ff,0xfff98000,0x00dfff96,
    0x7fffa800,0x001bffee,0x01ffff50,0x360bffe6,0x3e006fff,0x7fffc7ff,
    0x0000beff,0xffffc980,0x7fff94ff,0x3fff6000,0x7ffcc00f,0xffff882f,
    0x7ffdc000,0xbffff306,0x3fffa601,0x7ffe4006,0x1ffff107,0x3fffe600,
    0xfffd300d,0x3ffe600d,0xffd300df,0xffc800df,0xffff107f,0xfffc8001,
    0x1ffff107,0xfd1ffee0,0x7fff50ff,0x0005ffb8,0x001fffec,0x47fffb00,
    0xffddfffc,0xf10003ff,0x64001fff,0x7fd44fff,0x0bfff35f,0x4fffc800,
    0x003ffff3,0x7fffcc00,0x00bfff90,0x07fffb80,0x7e41ffee,0x3fe007ff,
    0x7ff6e47f,0x0000efff,0x3ffffea0,0xfff92cee,0x3fe60007,0xfd300dff,
    0x3fe20dff,0x7e4000ff,0x3fee04ff,0xcb9acfff,0x000fffff,0x417fffcc,
    0x4006fffb,0xacfffffb,0xfffffcb9,0x3ffee000,0xfcb9acff,0x4000ffff,
    0xb82ffff9,0x98006fff,0xfb82ffff,0x3fee06ff,0x5c37ffc7,0x7fe41fff,
    0x7fec0005,0x3600003f,0x3ff23fff,0x5ffffd5f,0xffff1000,0x7ffe4001,
    0x9afffd44,0x40005fff,0x3fe1ffff,0x200003ff,0xf90ffff9,0xb8000bff,
    0x3fa07fff,0xffff705f,0x03fffc00,0x01bfffaa,0x7fffcc00,0x0ffff203,
    0xffffb800,0xffcb9acf,0xff100fff,0xfd8001ff,0x3ff603ff,0xffffffff,
    0x0002ffff,0xfd0bfffd,0xfd8007ff,0xffffffff,0x002fffff,0x7fffffec,
    0xffffffff,0xfffd0002,0x07fffd0b,0x17fffa00,0xc80ffffa,0x2fffc6ff,
    0x3607ffe4,0x6c0004ff,0x00003fff,0xfc8ffff6,0xfffd15ff,0xff88005f,
    0x3f2000ff,0x7ffcc4ff,0x00bfff34,0x23fffcc0,0x0006fffc,0xb9fffea0,
    0x40006fff,0xf107fffc,0x3fea05ff,0x3ffe007f,0xffff8807,0xffd80001,
    0x7ffe403f,0x3ff60003,0xffffffff,0x2202ffff,0x4000ffff,0xf502fffe,
    0xffffffff,0x0019ffff,0x07fffdc0,0x001ffff3,0x7fffffd4,0xcfffffff,
    0x7ffd4000,0xffffffff,0x20000cff,0x260ffffb,0x0000ffff,0x4c1ffff7,
    0x3200ffff,0x3ffe25ff,0xf87ffd85,0x6c0002ff,0x00003fff,0xfc8ffff6,
    0x3ffe65ff,0x3e2001ff,0x32000fff,0x66444fff,0x0bfff32c,0x27ffe400,
    0x007fffea,0x37ffdc00,0x000ffff5,0x507fffb8,0x3ee01fff,0x3fe007ff,
    0xfff9007f,0xfff00009,0x7fff900f,0x3ffea000,0xffffffff,0x7c400cff,
    0x7c000fff,0xff881fff,0xbfdb936f,0x10000379,0x7e47ffff,0x3e2005ff,
    0xfdb936ff,0x1000379b,0x3726dfff,0x001bcdfe,0x3ffff880,0x0017fff2,
    0x23ffff88,0x6c05fffc,0x3ffe25ff,0x446fff85,0x40000fff,0x0003fffd,
    0xc8ffff60,0x7fcc5fff,0xf1001fff,0x64001fff,0xf3004fff,0x7c000bff,
    0xfff82fff,0xf700003f,0x7ffccdff,0x7fdc0007,0x6ffd80ff,0x01ffff20,
    0x5007fff8,0x8000bfff,0xc806fff8,0x88003fff,0xdb936fff,0x200379bf,
    0x000ffff8,0x4c1fffea,0x00003fff,0x37ffe400,0x4003ffff,0x0003fff9,
    0x0fffe600,0xf9000000,0x7fffcdff,0x7fe40001,0x07fffe6f,0xff8bff90,
    0x37ffcc6f,0x0001bfea,0x000ffff6,0x23fffd80,0xfa85fffc,0x8800efff,
    0x2000ffff,0x3004fffc,0x2000bfff,0xfb07fff9,0x20000dff,0x3e65fffc,
    0x20000fff,0xf81ffffa,0x3ff603ff,0x3ffe006f,0xdfff3007,0xfff98000,
    0x3fffc805,0x3fff9800,0x7fc40000,0x3fa000ff,0xfff904ff,0x80000005,
    0xfa9ffff9,0x7e4006ff,0x000002ff,0x000bfff2,0xfff30000,0x0dfff53f,
    0xffff3000,0x00dfff53,0xfff8dff9,0x237fff47,0x80003ffe,0x0003fffd,
    0xc8ffff60,0xff705fff,0xf8801dff,0x32000fff,0xf3004fff,0x2aaa2bff,
    0x2fffe401,0x00ffffa8,0x4fffd800,0x007fffe2,0x2ffff980,0xb00fffcc,
    0x7c00bfff,0xff3007ff,0xf98000df,0xffc805ff,0xffc8003f,0x4400002f,
    0x7000ffff,0x3601ffff,0x00006fff,0xbfffe800,0x4004fffd,0x0006fffd,
    0x1bfff600,0x3a000000,0xfffdbfff,0xffd00004,0x09fffb7f,0xfe8fff70,
    0xffff72ff,0x03ffee1f,0x3fff6000,0x3f600003,0x3fff23ff,0x3ffff205,
    0x3ffe200e,0x3ff2000f,0x977ec44f,0xff35fff9,0xffff80bf,0x7ffff102,
    0xfff88000,0x27fff41f,0xffff1000,0x407ffc87,0x2003ffff,0xf3007fff,
    0x98000dff,0xfc805fff,0xfd8003ff,0x400006ff,0x401ffff8,0x02ffffc8,
    0x33bfffee,0x019999aa,0x7ffdc000,0x000ffffe,0x677fffdc,0x019999aa,
    0xdffff700,0x33333559,0xffb80000,0x00ffffef,0xdfff7000,0x5001ffff,
    0xfffb8fff,0xffdcffef,0x003fffee,0x07fffb00,0x7ffec000,0x017fff23,
    0x40bffffb,0x000ffff8,0xe893fff2,0xff99ffff,0x0bfff35f,0x007fffcc,
    0x000dfffb,0xc87fffa8,0x40007fff,0x7f44fffe,0x3ffea04f,0x3ffe001f,
    0xdfff3007,0xfff98000,0x3fffc805,0xffffb800,0x9999aace,0x3ffe2001,
    0xa99abdff,0x05ffffeb,0x7fffffc4,0xffffffff,0x20000bde,0xfffffff8,
    0xfff88006,0xffffffff,0x00bdefff,0xffffff88,0xffffffff,0x20000bde,
    0xfffffff8,0x3e200006,0x06ffffff,0x441fff30,0x56ffffff,0x0bffffff,
    0x7ffec000,0x3f600003,0x3fff23ff,0x7fff4405,0xffff105f,0x7ffe4001,
    0x3ffffea4,0xf35fff9d,0x7fe40bff,0x7ffdc05f,0x3f60000f,0xfff984ff,
    0x3f20001f,0x3ffe67ff,0x1ffff602,0x00ffff00,0x001bffe6,0x00bfff30,
    0x0007fff9,0xfffffff1,0xdfffffff,0x3fe2017b,0xffffffff,0x04ffffff,
    0xffffff50,0xffffffff,0x00019fff,0x3ffffff2,0xfff50002,0xffffffff,
    0x19ffffff,0xfffffa80,0xffffffff,0x000cffff,0xffffff90,0xfc800005,
    0x002fffff,0xf983fff3,0x3f60dfff,0x00004fff,0x001fffec,0x47fffb00,
    0x8805fffc,0x884fffff,0x2000ffff,0x3ee4fffc,0xff9effff,0x0bfff35f,
    0x201ffffc,0x003ffff8,0x05ffff10,0x0013fffa,0x72ffffa8,0x7fc40fff,
    0x7fc003ff,0xfff3007f,0xff98000d,0xfffc805f,0xfff50003,0xffffffff,
    0x19ffffff,0xffffff88,0xffffffff,0x7fe4001e,0xffffffff,0x6fffffff,
    0xffff3000,0xfc8000df,0xffffffff,0xffffffff,0xffffc806,0xffffffff,
    0x006fffff,0xdfffff30,0xff300000,0x4400dfff,0x15302fff,0x00000d40,
    0x003fffd8,0x8ffff600,0x3005fffc,0x889fffff,0x2000ffff,0x3e64fffc,
    0xff9cffff,0x0bfff35f,0x003fffe6,0x001bfffa,0x703fffd4,0x4000ffff,
    0xd8effff8,0x3ff605ff,0xfff8006f,0xdfff3007,0xfff98000,0x3fffc805,
    0x3fff2000,0xffffffff,0x46ffffff,0xffeffff8,0x03ceffff,0xbffffc80,
    0xecccaaaa,0x05ffffff,0x5ffffd00,0x7ffe4000,0xccaaaabf,0xffffffec,
    0x3ffff205,0xcccaaaab,0x5ffffffe,0xffffd000,0x3a000005,0x4002ffff,
    0x00005fff,0xffb00000,0x6c00007f,0x3ff23fff,0x3fea005f,0x3fe23fff,
    0x3f2000ff,0x7ffdc4ff,0x26bfff36,0xff905fff,0x3fee00df,0xfe8000ff,
    0x3fe204ff,0x2e0003ff,0xfffdffff,0x5ffff903,0x0ffff000,0x01bffe60,
    0x0bfff300,0x007fff90,0x2fffff20,0xecccaaaa,0x25ffffff,0x310ffff8,
    0xfc800033,0x2a000fff,0x0007ffff,0x000dfffd,0x007fffe4,0x0fffff50,
    0x003ffff2,0x07ffffa8,0x0dfffd00,0x7ff40000,0xffc8006f,0x0000000f,
    0x2fffe800,0x3ffa0000,0x0000002f,0x3ff60000,0x261a883f,0xfff35fff,
    0x0ffffe0b,0x1ffffcc0,0x3fffee00,0x7fffec00,0x3ffa0000,0x440fffff,
    0x006ffffc,0x200ffff0,0x0006fff9,0x402fffcc,0x8003fffc,0x000ffffc,
    0x89ffffea,0x0000ffff,0x17fffc40,0x7fffdc00,0x7ffd4001,0xff10003f,
    0xf70005ff,0xff883fff,0xfb8002ff,0x54001fff,0x0003ffff,0x7ffff500,
    0x5fff3000,0x00000000,0x003ffff0,0x0ffffc00,0x00000000,0x05fffd00,
    0x4d7ffe60,0xff985fff,0xeeeeeeff,0xfffeeeee,0x3fe2006f,0xff8802ff,
    0x2a0004ff,0xafffffff,0xfffffeba,0xfff0001f,0x3ffe200f,0x7fd40006,
    0xfffc804f,0x7ffc4003,0xffb8002f,0xffff11ff,0xfa800001,0xf30007ff,
    0xe8003fff,0x20007fff,0x0007fffa,0xa83ffff3,0x30007fff,0x8003ffff,
    0x0007fffe,0x1ffffa00,0x05ffe800,0x40000000,0x0007fff8,0x01fffe20,
    0x00033310,0xffff0000,0x33fffd01,0x3fe6bfff,0xffffc85f,0xffffffff,
    0xffffffff,0xdfff9000,0x7fffdc00,0x3fea0001,0xffffffff,0x000effff,
    0x801fffe0,0x40007fff,0xc803fffb,0x54003fff,0x30007fff,0x3e23ffff,
    0x00000fff,0x0037ffe4,0x00ffffa8,0x0bffff20,0x6fffc800,0xffff5000,
    0x06fffc81,0x1ffff500,0x7fffe400,0xf9000002,0x40005fff,0x0001fffb,
    0x3f200000,0x200006ff,0x4006fffc,0x0000ffff,0x3ffea000,0x37fff887,
    0x3fe6bfff,0xfffff85f,0xffffffff,0xffffffff,0xffff9803,0x7fff4001,
    0x7f4c0006,0xffffffff,0xf80004ff,0x3fa007ff,0x360001ff,0xfc802fff,
    0x7e4003ff,0xf50006ff,0x3fe21fff,0x400000ff,0x000ffffc,0x006fffd8,
    0x013fffee,0x1ffff900,0xdfffb000,0x01ffff90,0x0dfffb00,0x27fffdc0,
    0xffb80000,0x440004ff,0x0001ffff,0xff880000,0x100003ff,0x4007ffff,
    0x0006fff9,0x7fff4000,0x35fff985,0x3fe6bfff,0x7fffcc5f,0xffffffff,
    0xffffffff,0x7ff4405f,0xff98004f,0x640004ff,0xffffffff,0xf00002ce,
    0x7ec00fff,0xf30006ff,0xf9003fff,0xfc8007ff,0xd8000fff,0x3fe26fff,
    0x400000ff,0x00dffffa,0x7ffffb10,0xffffb100,0xff50000d,0x22001bff,
    0xa83ffffd,0x000dffff,0x07ffffb1,0xdffffb10,0xfb100000,0x0000dfff,
    0x007ffff2,0x0bd803a8,0x37fffd40,0xf5002f60,0xa800dfff,0x00003fff,
    0x7ff44013,0xfffb80ff,0x26bfff33,0x7fe45fff,0xff90006f,0x7ff401ff,
    0xf90000ef,0x40007fff,0x1aaacfff,0xfff00000,0x7ffd400f,0x3aa000cf,
    0xf9006fff,0xfa8007ff,0x1000dfff,0x447ffffb,0x0000ffff,0x7ffff440,
    0xa9999bdf,0x4fffffda,0xffedccb8,0x0001ffff,0xfffffe88,0xaa9999bd,
    0x04fffffd,0xbfffffd1,0xb5533337,0x709fffff,0xffffdb99,0xb80003ff,
    0xffffedcc,0x200001ff,0x0adffffe,0x02ffe4cc,0x55e77fec,0xfffffdca,
    0x677fec01,0xfffdcaab,0x7e4001ff,0x900001ff,0xfb7579df,0x3607ffff,
    0xfff30fff,0xd17ffe6b,0x20007fff,0xb02ffff9,0x0001ffff,0x01ffffd8,
    0x01fff980,0x55555000,0x0ffff555,0xfffffd80,0x97512acd,0x03fffffd,
    0x2b7fff20,0x40aaaaaa,0xdfffffe8,0xdaa9999b,0x444fffff,0x0000ffff,
    0xfffff880,0xffffffff,0x905fffff,0xffffffff,0x4400003d,0xffffffff,
    0xffffffff,0x7fc405ff,0xffffffff,0xffffffff,0xfffff905,0x0003dfff,
    0xffffff90,0x00003dff,0xfffffe88,0xffffffef,0xfffd805f,0xffffffff,
    0xffd803ff,0xffffffff,0xe8003fff,0x200006ff,0xfffffffc,0x3e05ffff,
    0x3ffe66ff,0x4cbfff35,0x0001ffff,0x3217fffe,0x0001ffff,0x03ffffd0,
    0x007ffb80,0x3ffffe00,0x07ffffff,0x7ffffc40,0xfff56fff,0x009fffff,
    0x7fffffe4,0x883fffff,0xffffffff,0xffffffff,0xfff885ff,0x1000000f,
    0xfffffffb,0xbfffffff,0x7fffe403,0x00003fff,0xfffffb10,0xffffffff,
    0x362003bf,0xffffffff,0x1dffffff,0x3fffff20,0x200003ff,0xfffffffc,
    0x64000003,0xffffffff,0x801dffff,0xfffffffd,0x001effff,0xfffffffb,
    0x003dffff,0x009fff10,0x7fffe400,0x03ffffff,0xf993ffe2,0xbfff35ff,
    0x0037ffe4,0x83ffff20,0x001ffffa,0x3fffa200,0x2fff4006,0xffff0000,
    0xffffffff,0xfff91000,0x3feadfff,0x002effff,0x7fffffe4,0x103fffff,
    0xfffffffb,0xbfffffff,0x3fffe203,0x44000000,0xfffffeeb,0xc801cdef,
    0x00bdefff,0xeb880000,0xeffffffe,0x710001cd,0xffffffdd,0xf90039bd,
    0x0017bdff,0xefffc800,0x000000bd,0xffffb710,0x40015bdf,0xfffffda8,
    0x44002cef,0xffffffda,0x260002ce,0x00002fff,0x3ffffb26,0x99800cdf,
    0x57ffe609,0x3fa5fff9,0x4c0004ff,0x3a22ffff,0x800002ff,0x2002ffe8,
    0x0003fff8,0x3fffffe0,0x007fffff,0x3ffb2e60,0x59bdff56,0x3fff2000,
    0xffffffff,0x7f75c403,0xcdefffff,0x00000001,0x01331000,0x0000cc00,
    0x33100000,0x88000001,0x26000099,0x30000001,0x00000003,0x00000180,
    0x00000131,0x00000131,0x22000000,0x26000009,0xfff35fff,0x07fffe6b,
    0x3fffe000,0x0001f445,0x0005f100,0x00000333,0x00000000,0x00000000,
    0x04cc4000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7cd7ffe6,
    0xdfff95ff,0x3ff20000,0x000040ff,0x00000400,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x35fff980,
    0x0000bfff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf35fff98,0x00000bff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x50000000,0x55555555,
    0x70000355,0x0000039b,0x00133100,0x00554c00,0xffb00000,0x00003dff,
    0x00013331,0x0066a620,0x00008800,0x03555000,0xfffffffd,0xffffffff,
    0x5fffffff,0x3ffffffa,0x01acceff,0x15530000,0x26000000,0xff8802aa,
    0x3ee000ff,0x3fe24fff,0x5c003fff,0xfff34fff,0xf880001f,0x4005ffff,
    0x0004fffb,0x00000033,0x00067f54,0x440f32a0,0xff100ccc,0xffffffff,
    0xffffffff,0xfffffff8,0x0004ffff,0x00fffff4,0x3fa00000,0xea80005f,
    0x000cffff,0x7ffec000,0xa88000df,0xffffffdc,0xb7000adf,0xfffffffd,
    0x4c0019bf,0x00004fdb,0x82fff980,0xfffffffe,0xffffffff,0x2fffffff,
    0xfffffffd,0x3bffffff,0x3faa0000,0x0000cfff,0x037fe400,0x007fffc4,
    0x45ffff98,0x07fffff8,0x9a7ffdc0,0x0000ffff,0x7fffffc4,0x3ffee000,
    0xffd95004,0x00159dff,0xffff5000,0xffb8000b,0x07ffc80f,0x3fffffe2,
    0xffffffff,0x7ffc7fff,0xffffffff,0x3fea0004,0x00006fff,0x0bffe200,
    0xffff3000,0x0000bfff,0x1ffffec0,0xffffb800,0xffffffff,0x3fee03ff,
    0xffffffff,0x2001ffff,0x0004fffc,0x1fffa800,0xffffffe8,0xffffffff,
    0xffffffff,0xffffffd2,0xffffffff,0xf98000bf,0x05ffffff,0x7ff40000,
    0xffff8805,0xffff8800,0x7fffc40e,0x3ee003ff,0xffff34ff,0xff880001,
    0x2004ffff,0x4404fffb,0xfffffffe,0x0001ffff,0x7ffffec0,0x3fea0001,
    0xffca9bef,0x3ffe205f,0xffffffff,0x47ffffff,0xffffffff,0x20004fff,
    0x07fffffb,0x3ee00000,0x740000ff,0xffe98bff,0xfd800001,0x88001eff,
    0xfffffffd,0xffffffff,0xffffe884,0xffffffff,0x32001fff,0x00004fff,
    0x80fffb80,0xeeeeeeed,0xeeffffee,0x1eeeeeee,0xddddfffd,0xffffffdd,
    0x7f40007f,0x1ffe98bf,0x3fe00000,0xfff8804f,0xfffe800f,0xffff881f,
    0xf7000fff,0x3ffe69ff,0x7c40000f,0x00ffffff,0x409fff70,0xfffffffa,
    0x2fffffff,0x3ff60000,0x40001fff,0xfffffffd,0x3e201fff,0xeeeeefff,
    0xeeeeeeee,0x3fff6006,0x3fea0004,0x00006fff,0x01bff600,0xf31bfe00,
    0xd800007f,0x8000dfff,0xfffffffa,0xfffeccef,0xfffe84ff,0xcaacceff,
    0x001ffedc,0x0013fff2,0x1fff2000,0x7fffb800,0x1ffff400,0xfffffb30,
    0x1bfe0003,0x00007ff3,0x401fffc0,0x400ffff8,0x102ffffc,0x9fffffff,
    0x53ffee00,0x000ffff9,0x7ffffc40,0xff7004ff,0x3fff209f,0xffdcefff,
    0x004fffff,0xdffff700,0xffb10000,0x05ffffff,0x01ffff88,0x7fec0000,
    0x7f40004f,0x00002fff,0x3fe26660,0x7c40003f,0x027fcc5f,0x33331000,
    0x3ffee000,0x5401bfff,0x7ffe44fd,0x151001cf,0x27ffe400,0x7ec00000,
    0x3ee0006f,0x7f4007ff,0xffb803ff,0xf88005ff,0x027fcc5f,0xfd953000,
    0x01379dff,0x401ffff1,0x203ffffa,0xfffffff8,0xfffb800f,0x01ffff34,
    0xffff8800,0xb800ffff,0xff984fff,0xc980afff,0x002fffff,0x03dff900,
    0x7f6cc000,0xf8800bee,0x00001fff,0x027ffec0,0x0b7b2200,0xfd950000,
    0x3fffffff,0x1ffd0000,0x00017fe4,0x00579510,0xdfffff10,0x26188001,
    0x0004ffff,0x4fffc800,0xfe800000,0x3ee0005f,0x7f4007ff,0xffd003ff,
    0x3fa000df,0x00bff20f,0xffff9100,0xffffffff,0xffff883f,0xbffff300,
    0xcffff880,0xfb804fff,0xffff34ff,0xff880001,0x03fffdff,0xe84fffb8,
    0xc801ffff,0x0006ffff,0x00000220,0x3fe20000,0x000001ff,0x0027ffec,
    0x88000000,0xfffffffe,0x0002ffff,0xffdfffb8,0x700000ef,0x01bfffff,
    0x27fffe40,0xfffb8000,0x90000007,0x00009fff,0x009fff00,0x03fffdc0,
    0x00ffffa0,0x003fffdc,0xffdfffb8,0x2e0000ef,0xffffffff,0x1fffffff,
    0x407fffc4,0x806fffe8,0xff8ffff8,0x7fdc00ff,0x1ffff34f,0xfff88000,
    0x807fff9f,0x7d44fffb,0x36002fff,0x0001ffff,0x00000000,0x7fffc400,
    0x6c000001,0x00004fff,0xffa80000,0xffffffff,0x0004ffff,0xffffffc8,
    0xff700001,0x00dfffff,0x017fffe6,0x5fffd800,0x33260000,0xfffecccc,
    0xccccccce,0x44002ccc,0x0003fffa,0x001fffee,0x2007fffd,0x001ffffa,
    0xffffff90,0x7fec0003,0xffffffff,0x41ffffff,0xd80ffff8,0x8800efff,
    0xfffb7fff,0x4fffb80b,0x001ffff3,0xd7fff880,0xfb807fff,0x7fff44ff,
    0xffff8004,0x26200005,0x00000009,0x3ffff100,0xfd800000,0x000004ff,
    0x7ffe4000,0xfdbbefff,0x004fffff,0x0bdeca80,0xfff10000,0x00fff625,
    0x003ffff6,0x6fffe800,0x3fee0000,0xffffffff,0xffffffff,0x5c404fff,
    0xffffffed,0x7dc003df,0x7f4007ff,0xff5003ff,0x540001ff,0x0000bdec,
    0x2bbfffee,0x54cdffb0,0x7fffc41c,0x0ffffdc0,0x37fff880,0x5c03ffff,
    0xfff34fff,0xf880001f,0xdfff77ff,0x24fffb80,0x001ffffa,0x00ffffd8,
    0xfedba880,0x02cfffff,0x000ffff5,0x7c5bffee,0x00001fff,0x027ffec0,
    0xccccccc8,0x0002cccc,0x15fffff5,0xffffffb8,0x0000001f,0x0ffe6000,
    0xf980bff1,0x00004fff,0x007fffe4,0xffffb800,0xffffffff,0xffffffff,
    0x3ffaa04f,0xffffffff,0x3ee000ff,0x7f4007ff,0xff9003ff,0x000000ff,
    0x7fffcc00,0x004ffe85,0x541ffff1,0x2002ffff,0x3f67fff8,0x3fee05ff,
    0x1ffff34f,0xfff88000,0x05ffff17,0xfb27ffdc,0x2a000fff,0x4003ffff,
    0xfffffffa,0x1fffffff,0x003fffd4,0xf16fffb8,0x00003fff,0x04fffd80,
    0xfffffff0,0x0009ffff,0x407ffffa,0xffffeffe,0x1fffea06,0x37ffdc00,
    0xe82ffb80,0x7ffdc07f,0x5c00000f,0x0004ffff,0xffffff70,0xffffffff,
    0x9fffffff,0x3fffff20,0xffffffff,0x3fee000f,0x7ff4007f,0xfff8803f,
    0x3e60005f,0x0006ffff,0x3e0dfff9,0xff1003ff,0x3ffe21ff,0x7fc4003f,
    0x3fffe67f,0x29fff701,0x000ffff9,0x93fffc40,0x7dc0dfff,0x3fffe4ff,
    0x3ffe0004,0x3ff2004f,0xffffffff,0x541fffff,0x70007fff,0x3fe2dfff,
    0x000001ff,0x8027ffec,0xffffffff,0xa8004fff,0xf102ffff,0xffffb5ff,
    0x1fffea07,0x37ffdc00,0x445ff980,0x7fe405ff,0x9800005f,0x005fffff,
    0x7ffe4000,0x7ff40004,0xffdbefff,0x000ffdbf,0x001fffee,0xb007fffd,
    0x0001ffff,0x7fffffe4,0xfffd8001,0x02fff884,0x21ffff10,0x8005fffe,
    0x7ec7fff8,0xfff705ff,0x03fffe69,0xffff1000,0x80ffffc4,0xff14fffb,
    0x6c0005ff,0xe8804fff,0xefffffff,0xfffffecc,0x03fffd41,0x16fffb80,
    0x0003ffff,0x4fffd800,0xffffff00,0x009fffff,0x409fffd0,0xff98fffb,
    0xfff505ff,0x3fee000f,0x3ffe006f,0x03ffea9c,0x0027ffec,0xffffb800,
    0x000003ff,0x0009fff9,0x0f7fffdc,0x05c4bffd,0x0ffff700,0x03fffe80,
    0x13ffffaa,0xfffff000,0xff0009ff,0xfff309ff,0x3ffe2003,0x06fffd8f,
    0x8ffff100,0xb82ffff9,0xfff34fff,0xf880001f,0x7ffec7ff,0x29fff705,
    0x001ffffa,0x017fff60,0x7ffffff1,0x41fda803,0x0007fffa,0x3e2dfff7,
    0xaaaabfff,0xaaaaaaaa,0x3fff6001,0xffd80004,0x7fd4004f,0x3ff601ff,
    0x03ffff66,0x001fffea,0x0037ffdc,0xfffffff3,0x7ffff00b,0x7ec00000,
    0x0bffffff,0x3ff20000,0xff10004f,0xfff81bff,0x7fdc0004,0x7ff4007f,
    0xfeeeeeef,0x004fffff,0x7ffffcc0,0xfe8006ff,0xfffa87ff,0xffff1000,
    0x001ffff9,0x21fffe20,0xfb86fffd,0xffff34ff,0xff880001,0x7fffcc7f,
    0x54fffb81,0x0001ffff,0x2037ffe4,0x01fffffc,0x3fea04c0,0xff70007f,
    0x3fffe2df,0xffffffff,0x003fffff,0x0013fff6,0x013fff60,0x80ffffb0,
    0x3fe63fff,0xfffa82ff,0xfff70007,0xffe9800d,0xff8804ff,0x3ba202ff,
    0xeeeeeeee,0xfffff904,0x0005bfff,0x009fff90,0x03ffff60,0x0007fff1,
    0x007fffb8,0x7ffffff4,0xffffffff,0xffc80003,0x01ffffdf,0x1ffffe40,
    0x8801ffee,0xffffffff,0x3fe20004,0xffff987f,0x9a7ffdc2,0x0000ffff,
    0x6c3fffc4,0xffb85fff,0x0ffff74f,0x7fffb800,0x3bfffe20,0xff500000,
    0x3ee000ff,0xffff16ff,0xffffffff,0x007fffff,0x0027ffec,0x027ffec0,
    0x813fffe0,0x7fc1fffa,0xfffa84ff,0xfff70007,0x26a6000d,0xffff3000,
    0x7fffc403,0x05ffffff,0x3fffffa6,0x0002efff,0x0013fff2,0x20ffffe2,
    0x0002fff9,0x003fffdc,0x3ffffffa,0x02efffff,0x3fffe000,0x004fffe9,
    0x1fffffd4,0x4400dff9,0xfffeffff,0xff10002f,0x3fff20ff,0x9a7ffdc6,
    0x0000ffff,0x543fffc4,0x7dc0ffff,0xffff74ff,0xfffb8000,0xffff900f,
    0x7d400001,0xf70007ff,0x3ffe2dff,0xffffffff,0x03ffffff,0x013fff60,
    0x13fff600,0x2ffff980,0x3a1bff20,0xffa85fff,0xff70007f,0x000000df,
    0x00ffffd4,0xfffffff1,0xb500bfff,0xffffffff,0xff90003d,0xff50009f,
    0x3ffea0ff,0x7fdc0001,0x7ff4007f,0xfffeeeef,0x300002ff,0x3ff2dfff,
    0xffd8006f,0xffdaefff,0x3ffe2005,0x1ffffe9f,0x7fff8800,0x45ffff10,
    0xff34fffb,0x880001ff,0xffd07fff,0x4fffb89f,0x000ffff9,0x307fffa8,
    0x0009ffff,0x07fffa80,0x2dfff700,0xaabffff8,0xaaaaaaaa,0x3f6001aa,
    0xd80004ff,0x2a004fff,0x3a01ffff,0xfffd84ff,0x07fffa86,0x0dfff700,
    0x3fbb2e60,0x2600bcde,0x2201ffff,0xffeeeeee,0x326005ff,0xffffffff,
    0x7ffe4003,0xfffb8004,0x01fff706,0x7fffb800,0x1ffff400,0x13ffff22,
    0x3fff2000,0x03ffff34,0xffffe880,0x004fffff,0x263fffe2,0x000effff,
    0x903fffc4,0x7fdcdfff,0x1ffff34f,0xfff88000,0x1ffff507,0xfba7ffdc,
    0x5c0007ff,0xffb07fff,0x800001ff,0x0007fffa,0x3e2dfff7,0x00001fff,
    0x027ffec0,0x27ffec00,0x1ffff500,0x20bffe60,0xfa86fffd,0xf70007ff,
    0x7ed40dff,0xffffffff,0xf880cfff,0x90002fff,0x1000bfff,0xffffffd7,
    0x7ffe4005,0xfffd8004,0x00fff905,0x0ffff700,0x03fffe80,0x005ffff7,
    0x21ffff80,0x8003ffff,0xffffffd8,0xf1001eff,0x3fee1fff,0x7c4005ff,
    0x3fe207ff,0x9fff73ff,0x003fffe6,0x0ffff100,0xf727fff4,0x3ffea9ff,
    0x3f20000f,0xfffd06ff,0xf500000b,0x2e000fff,0xfff16fff,0x8000003f,
    0x0004fffd,0x004fffd8,0xb81fffee,0xfff907ff,0x0ffff50f,0x1bffee00,
    0xffffffd8,0xffffffff,0x3ffff81f,0xbfff9000,0xfffa8000,0xf9001fff,
    0xfd0009ff,0x3ff607ff,0xffb80006,0x7ff4007f,0x3fff603f,0x3fe60006,
    0x37ffe47f,0xfffd5000,0x05dfffff,0x20ffff88,0x003ffffd,0x901fffe2,
    0x3feedfff,0x1ffff34f,0xfff88000,0x3fffee07,0x269fff70,0x0001ffff,
    0x7c17fff2,0x00003fff,0x007fffa8,0x22dfff70,0x0001ffff,0x27ffec00,
    0x7ffec000,0x3ffee004,0x417ffa07,0xfa87fffb,0xf70007ff,0x7fec0dff,
    0xfedeefff,0x40efffff,0x0004fffe,0x000bfff9,0xbffffd10,0x13fff200,
    0x13fffa00,0x0002fff4,0x003fffdc,0x980ffffa,0x0004ffff,0xfa89fff9,
    0x40001fff,0xffffffda,0xff101eff,0xfffe81ff,0xfff1001f,0xffff880f,
    0xf34fffbb,0x80001fff,0x7c07fff8,0xfff73fff,0x07fffe69,0x4fffd800,
    0x02ffff88,0xfffa8000,0xfff70007,0x07fffe2d,0xffb00000,0xfb00009f,
    0x7e4009ff,0xfff107ff,0x1fffea05,0x001fffea,0xb037ffdc,0x74c017bf,
    0x7ec5ffff,0xf90006ff,0x20000bff,0x007fffe8,0x0009fff9,0x3e09fffb,
    0xb80004ff,0x74007fff,0x7ec03fff,0xf8000fff,0xfff82fff,0xf700003f,
    0xffffffff,0x1ffff109,0x0fffff98,0x07fff880,0xfbefffb8,0xffff34ff,
    0xff880001,0x7ffdc07f,0x229fff76,0x0003ffff,0x2a0ffffe,0x0001ffff,
    0x07fffa80,0x2dfff700,0x001ffff8,0x7ffec000,0xffd80004,0x3fee004f,
    0x1fff507f,0x21fffee0,0x0007fffa,0x4c0dfff7,0x7fff4000,0x0ffffdc7,
    0x2fffe400,0xfff90000,0xfff9001f,0xfff90009,0x07fff10d,0xffff7000,
    0x3fffe800,0x27fffcc0,0x1fffe600,0x0037ffec,0xfefffc80,0x443fffff,
    0xfa80ffff,0xf8806fff,0xff8807ff,0x34fffeff,0x0001ffff,0x407fff88,
    0xfbaffff8,0x3fffe4ff,0xfff50006,0xffff703f,0x3ea00000,0xf70007ff,
    0x3ffe2dff,0x4000001f,0x0004fffd,0x004fffd8,0x203fffee,0x3f206ffd,
    0xfffa87ff,0xfff70007,0xf980000d,0x3fea0fff,0xfc8005ff,0x200005ff,
    0x801ffff9,0x8004fffc,0x4c0ffffb,0x80002fff,0x4007fffb,0xd803fffe,
    0x2000ffff,0xf505fffc,0x00001fff,0x3f66bffb,0x3e22ffff,0xff900fff,
    0xff8809ff,0xfff7007f,0x3e69ffff,0x40000fff,0xc807fff8,0xfffbdfff,
    0x03ffff24,0x1bfff600,0x003fffe4,0x7fffa800,0xdfff7000,0x007fffe2,
    0xfffb0000,0xffb00009,0x7fd4009f,0x3fff81ff,0x21bfff60,0x0007fffa,
    0x000dfff7,0x85ffff00,0x001ffffd,0x002fffe4,0x1ffff500,0x0bfff700,
    0x7ffff500,0x001fffa8,0x07fffb80,0x01ffff40,0x01ffffcc,0x205ffff0,
    0x003ffff8,0x5c4ffe80,0x3e26ffff,0x3fa00fff,0x3e202fff,0x3fa007ff,
    0xf34fffff,0x80001fff,0x8807fff8,0xfffcffff,0x0ffffe64,0x5ffff100,
    0x01bfff60,0x7ffd4000,0xfff70007,0x07fffe2d,0xffb00000,0xfb00009f,
    0x7cc009ff,0x7fcc2fff,0x3fff601f,0x07fffa85,0x0dfff700,0xfffd0000,
    0xdffff987,0x3fff2000,0x3f200005,0xff5006ff,0x3fa000ff,0x3fee1fff,
    0xfb80000f,0x7f4007ff,0xffd003ff,0x3fe600ff,0x3ff600ff,0xff80006f,
    0xffffc83f,0x01ffff10,0x0fffffc4,0x007fff88,0x3fffffee,0x01ffff34,
    0x7fff8800,0xfffffb00,0xfffe89ff,0x3ff6000f,0x3fff207f,0xf5000007,
    0x2e000fff,0xfff16fff,0x8000003f,0x0004fffd,0x004fffd8,0x90ffffe2,
    0xfff80fff,0x7fffa83f,0xdfff7000,0xffd00000,0xffff907f,0x3ff2003d,
    0xf500005f,0x26009fff,0x8002ffff,0x91fffffa,0x20000fff,0x4007fffb,
    0x5003fffe,0x9007ffff,0xfb80bfff,0x20000fff,0xf982fff8,0xfff12fff,
    0xfffa801f,0xfff880ef,0x7fff4007,0xffff34ff,0xff880001,0xfff3007f,
    0xfb89ffff,0xc800efff,0x2e03ffff,0x0000ffff,0x07fffa80,0x2dfff700,
    0x001ffff8,0x7ffec000,0xffd80004,0x7ff4004f,0x027ff44f,0x503ffff5,
    0x2000ffff,0x8006fffb,0xaaaaaa98,0xf883fffe,0x00bfffff,0xc9afffe4,
    0x3ee2000a,0x2001ffff,0x001fffff,0xcfffffe8,0x7e4c6ffe,0x3ffee000,
    0x7fff4007,0x3fffa003,0x3ffff806,0x1ffffc40,0x3fff3000,0x25ffff10,
    0x800ffff8,0x885ffffc,0x54007fff,0xf34fffff,0xdddddfff,0xdddddddd,
    0x03fffc4d,0xffffffb0,0xffffe889,0xfff9101e,0x7fd401df,0x800001ff,
    0x0007fffa,0x3e2dfff7,0xeeeeefff,0xeeeeeeee,0x3fff6006,0xffd80004,
    0x7fe4004f,0x0bffe67f,0x507fffd8,0x2000ffff,0x7006fffb,0xfffffffd,
    0x07ffffff,0x3fffffea,0xecaacdff,0xff35ffff,0x55799bdf,0xfffffb99,
    0xffb8005f,0xa9abdfff,0x7f444dca,0xffffffff,0x00fffffe,0x01fffee0,
    0x007fffd0,0x017fffd4,0x001ffff3,0x000dfffd,0x4c07ffd4,0xff11ffff,
    0x3fa001ff,0x7fc43fff,0xffe8007f,0xffff34ff,0xffffffff,0x44ffffff,
    0x26007fff,0x84ffffff,0xfffffff8,0xffffecbd,0x7fcc00ef,0x800002ff,
    0x0007fffa,0x3e2dfff7,0xffffffff,0xffffffff,0x3fff6007,0xffd80004,
    0x7fd4004f,0x0fff72ff,0x81ffffc4,0x0007fffa,0xc80dfff7,0xffffffff,
    0xffffffff,0x3fff6203,0xffffffff,0xf35fffff,0xffffffff,0xffffffff,
    0x3fa0007f,0xffffffff,0xfd884fff,0xffffffff,0x000fffff,0x001fffee,
    0x8007fffd,0x3206ffff,0xf7006fff,0x20001fff,0xff907ffb,0x7fffc4ff,
    0xffff1000,0x3fffc45f,0x7fffd400,0xffffff34,0xffffffff,0x7fc4ffff,
    0x7ff4007f,0xff304fff,0xffffffff,0x001dffff,0x007ffff1,0xffff5000,
    0x3ffee000,0xffffff15,0xffffffff,0x665cffff,0xffeccccc,0xccccccef,
    0x99999973,0x99dfffd9,0xf1079999,0xffb1dfff,0x37ffec0b,0x00ffff50,
    0x81bffee0,0xfffffffd,0xffeeeeee,0xffb803ff,0xffffffff,0xf33fffff,
    0xffffffff,0xbfffffff,0x7ec40005,0xffffffff,0x3f6a04ff,0xffffffff,
    0x2e000dff,0x74007fff,0x5c003fff,0xff02ffff,0x3e6007ff,0x90003fff,
    0xfff50dff,0x7fffc4bf,0x3ffe6000,0xffff10ff,0x3fffa000,0xffffff34,
    0xffffffff,0x7fc4ffff,0x7fd4007f,0x3a604fff,0xffffffff,0x2000dfff,
    0x0007ffff,0x0ffff980,0x4fffc800,0xfffffff1,0xffffffff,0x7ffecfff,
    0xffffffff,0x6fffffff,0xfffffffb,0xffffffff,0x3ee0dfff,0x3fffdfff,
    0x05ffff90,0x003fffd4,0x705fffb8,0x015dffff,0x003fffe8,0xffffdb71,
    0x8859dfff,0xfffffedb,0x0cffffff,0x3f660000,0xefffffff,0xfffc8803,
    0x00009bce,0x00000000,0x7fffcc00,0xeeeeeeee,0x6ffffeee,0x4135bf30,
    0xfd515ffd,0x0001ffff,0x00000000,0x0007fffb,0x00000000,0x3fff2600,
    0x000befff,0x03ffffd8,0x7ffc4000,0xffd8001f,0x7cc0003f,0x3fff64ff,
    0xffffffff,0x6fffffff,0xfffffffb,0xffffffff,0x7f40dfff,0x40ffffff,
    0x06ffffc8,0x007fffcc,0x427ffe40,0x006ffff8,0x000ffffa,0x009aaa98,
    0x55554cc0,0x00000009,0x00333531,0x001fff70,0x00000000,0xffc80000,
    0xffffffff,0xffffffff,0xfff980ff,0xffffefff,0xffffffff,0x00000001,
    0xfffd0000,0x00000005,0x90000000,0x8000bfff,0x006ffff9,0x2ffff800,
    0x1ffff800,0x3ffe2000,0x7ffffec5,0xffffffff,0xfb6fffff,0xffffffff,
    0xffffffff,0x7ffd40df,0xebaaffff,0x01ffffff,0x00ffffc4,0x41fffec0,
    0x000ffffa,0x000ffffa,0x00000000,0x00000000,0x007ffc80,0x00ccc400,
    0x06662000,0xfffff800,0xffffffff,0xffffffff,0xfffff983,0xffffffff,
    0x002effff,0x00033310,0x3ffe0000,0x1998800f,0x99880000,0xfa800001,
    0x40000fff,0x004ffffd,0x37fff400,0x3fffee00,0x3ff60000,0x0000000f,
    0x7ffd4000,0x7fffd402,0xffffffff,0xff000eff,0xff0005ff,0xfff703ff,
    0xfffe800d,0x19988003,0x99880000,0x31000001,0x36000033,0x400006ff,
    0x0000ffff,0x003fffe0,0x3ffffe60,0xffffffff,0xffffffff,0xfffff985,
    0xffffffff,0x40002eff,0x0000ffff,0x7ffd4000,0x1ffff007,0xfff80000,
    0x4400000f,0x0003ffff,0x6fffffc4,0xff700000,0x3e2005ff,0x20004fff,
    0x0003fff9,0x54000000,0xd3003fff,0xffffffff,0xe8009fff,0x5c006fff,
    0xfd80ffff,0x3ea005ff,0xf8003fff,0x00000fff,0x0007fffc,0x07fffc00,
    0x2fff4000,0xfff30000,0x7cc0000d,0xf90006ff,0x32000dff,0x9880ffff,
    0xffffedcb,0x0001acde,0x006fff98,0xffe80000,0xfff9805f,0x7cc00006,
    0x000006ff,0x401ffffd,0x7ffe4028,0x4c00aeff,0xfffd01fc,0xffe9807f,
    0x320000ff,0x88002fff,0x00000199,0x0017ffe2,0xfffffff9,0x700059df,
    0x2005ffff,0x904ffff8,0x3200ffff,0x003fffff,0x0037ffcc,0x1bffe600,
    0x3fe60000,0xff00006f,0x5400009f,0x00003fff,0x000fffea,0x001ffff4,
    0x02ffff98,0x003ffee0,0x3ffea000,0x20000003,0x00ffffe8,0x003fffa8,
    0x1fffd400,0xffa80000,0x2e60bfff,0x3f6201ff,0xdeffffff,0xffffedcc,
    0xfffff501,0xf975359b,0x0005ffff,0x004fffc8,0x000ffff8,0x3fff7000,
    0xacfff800,0xd00001aa,0x9807ffff,0x500ffffe,0x4c07ffff,0x3ffffffe,
    0x1fffd400,0x3fea0000,0xa800003f,0x80003fff,0x0003fff8,0x007fff20,
    0x1fffc800,0xffff9800,0x3ffe0001,0x3ff2005f,0xf9000007,0x000003ff,
    0xffffdb88,0xfff9003f,0xfc800003,0x000001ff,0x3ffffff2,0x06ffffff,
    0xffffffb8,0xffffffff,0x3ff601ff,0xffffffff,0x004fffff,0xeffffb80,
    0x7fcc01cc,0x2000006f,0x2000fffe,0x0001fff9,0xfffff500,0xf975359b,
    0x4405ffff,0x9acfffff,0xfffffeb9,0x64003fff,0x00001fff,0x000fffe4,
    0x0fffe400,0x7ffcc000,0x3fa00001,0x7400006f,0xf90006ff,0xc8000dff,
    0xb000ffff,0x00000dff,0x0001bffa,0x3fffe600,0x3fa005ff,0xe800006f,
    0x000006ff,0xffffffe8,0x01efffff,0xfffffe88,0xffffffff,0x7ff5401f,
    0xffffffff,0x100001ef,0x5ffffffd,0x03fffa80,0x3ffa0000,0x3fee002f,
    0x6c000007,0xffffffff,0x4fffffff,0xfffffb80,0xffffffff,0x003fffab,
    0x00037ff4,0x0037ff40,0x06ffe800,0x1fff5000,0x3fe20000,0x2200004f,
    0xd0004fff,0x80009fff,0x002ffff9,0x00009ffd,0x009fff10,0xfff30000,
    0x7c4007ff,0x400004ff,0x0004fff8,0xfffd5000,0x007fffff,0xffffb950,
    0x0159ffff,0x3fffb220,0x003effff,0xfffd8800,0x7fe402ff,0x2000001f,
    0xccdffffd,0x017ffa00,0x3faa0000,0xffffffff,0x32001eff,0xffffffff,
    0xfff50eff,0x7ffc4007,0x7c400004,0x800004ff,0x0004fff8,0x000fff70,
    0x017ffcc0,0x5fff3000,0xffff3000,0xfff00003,0x3ffe00bf,0xf9800003,
    0x000002ff,0x00cdff98,0x017ffcc0,0x3ffe6000,0x40000002,0x0abcdcba,
    0x35310000,0x4c400003,0x0000009a,0x01355310,0x0006ffe8,0x7fffcc00,
    0xff100fff,0x0000007f,0x3ffffb22,0x0003efff,0xffffffd3,0x3fffa87b,
    0x0bffe600,0xfff30000,0xf3000005,0x200005ff,0x00006ffc,0x00000000,
    0x1bfff200,0x7ffe4000,0x7774400f,0x00000002,0x00200000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x44000000,0x00004fff,0xffffe980,
    0x0066600f,0x98800000,0x4000009a,0x00000aa9,0x00000000,0x00000000,
    0x00998800,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fe60000,0x0000002f,
    0x0006aa66,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x01fffea0,
    0x037ffdc0,0x02666540,0x59b73000,0x00000180,0x01999997,0x40f332e0,
    0x000cccc8,0x066665c0,0x0666664c,0x66665c00,0xccccc980,0xff980000,
    0x8800dfff,0x99700ccc,0x99900005,0xa8000039,0x00004ccc,0x55400d4c,
    0x9b730000,0x00001805,0x0dfffff3,0x97000000,0x00019999,0x32207995,
    0x200000cc,0x0004ccca,0x33326000,0xcc8803cc,0x999500cc,0x35555507,
    0x000ffff5,0x001bffee,0x1dfffff5,0x7ffc4000,0xfa82ffff,0x7e400004,
    0x2001efff,0x20dfffd8,0x002ffff9,0x1ffffe40,0x17ffffcc,0x7fffe400,
    0xfffff983,0xff880002,0x7c003fff,0xfff884ff,0x3fa20003,0x0002ffff,
    0xdfffff50,0xff900001,0x7fff405f,0x3ffe2000,0xfa82ffff,0xffc80004,
    0x0001ffff,0x3fff2000,0xf70001ef,0xfff901ff,0x7fd40000,0x0000efff,
    0x7fffcc00,0x3fea004f,0x7ffec2ff,0xfffff80d,0x007fffab,0x00dfff70,
    0x7fffffdc,0xe88000ef,0xffffffff,0x2fffc9ad,0xfff90000,0x360001bf,
    0xffb9efff,0x5c0002ff,0xf982ffff,0x8000efff,0x982ffffb,0x000effff,
    0xeffff880,0xfffe8001,0xfffeb9ac,0xffd10001,0x007fffff,0xfffffb80,
    0x20000eff,0x506ffff8,0x2009ffff,0xffffffe8,0xffc9adff,0x7fc0002f,
    0x004fffff,0xfff90000,0x540001bf,0xca9befff,0x00005fff,0xfffffff7,
    0x2000001d,0x02fffff9,0xcffffa80,0x205fffe9,0xfaaffffe,0xf70007ff,
    0x3f200dff,0xfffdafff,0x7fec000e,0xffffdbcf,0x004fffff,0x7ffff900,
    0xfff90000,0x003fffff,0x2ffffa80,0x0dffff88,0xffffa800,0xdffff882,
    0xff880000,0x30000dff,0xffffffff,0x22000bff,0xffbdfffe,0xf90004ff,
    0xfffb5fff,0x7fc0001d,0xfff507ff,0x3ff6009f,0xffffdbcf,0x004fffff,
    0x7ffffcc0,0x000006ff,0x03ffffc8,0xffffb000,0x03ffffff,0xffff9000,
    0x01dfffb5,0xfff88000,0x260000ef,0xffffffff,0x7ffff404,0x007fffaa,
    0x00dfff70,0x641dfff9,0x2001ffff,0x7f4c0ffa,0x005fffff,0x3dfff900,
    0x7fe40000,0x0001efff,0x417fffcc,0x004ffff8,0x05ffff30,0x009ffff1,
    0x3fffa200,0xffa80003,0x05ffffff,0x7ffff300,0x027fff4c,0x83bfff20,
    0x001ffffc,0x407fff90,0x5001ffff,0xffe981ff,0x0005ffff,0xffdfffc8,
    0x000001ff,0x007bfff2,0xfffd8800,0x002fffff,0x0efffc80,0x007ffff2,
    0x7fffc400,0xfd300004,0xd009ffff,0xff55ffff,0x3ee000ff,0x665406ff,
    0x9999503c,0x2a019800,0x0002ceed,0x01999930,0x99970000,0x99000019,
    0x332e0399,0x3320002c,0x999701cc,0x4c400005,0x20000099,0x1defeeb8,
    0x33332000,0x2cccc881,0x07999500,0x0013332a,0x5c402ca8,0x00cc001c,
    0x0059ddb5,0x27fffe00,0x0004fffe,0x19999300,0x36600000,0x000beefe,
    0x03ccca80,0x00099995,0x00b332e0,0x99991000,0x3fff6005,0x07fffa9f,
    0x0dfff700,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xf96fff98,
    0x00000dff,0x00000000,0x00000000,0x00000000,0xd8000000,0xffa9ffff,
    0xff70007f,0x000000df,0x00000000,0x00000000,0x00000000,0x00000000,
    0xaaaa8000,0x1aaaaaaa,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffc80000,0x3ffff34f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ffe4000,0x07fffa8f,0x0dfff700,0x0cd4c400,0x00000000,0x26a62000,
    0x31000001,0x00000335,0x40000000,0x3e000019,0xffffffff,0x000004ff,
    0x00026662,0x02666200,0x00330000,0x00000000,0x00033000,0x87fffe00,
    0x0003ffff,0x00006600,0x00019800,0x00000000,0x00133100,0x02662000,
    0x23ffff20,0x0007fffa,0x400dfff7,0xfffffedb,0x500cdfff,0x2000ffff,
    0x2006fffb,0xfffffedb,0x000cdfff,0xffffedb8,0x00cdffff,0x000ffff5,
    0x001bffee,0x7ffff654,0xf0000ace,0xffffffff,0x200009ff,0xffffdca8,
    0x000adfff,0x7ffee544,0x00adffff,0x7fff6540,0x2000acef,0x0007fffa,
    0x400dfff7,0xeffffeca,0x4c0000ac,0x7fe47fff,0x2a00006f,0xceffffec,
    0x9500000a,0x59dffffd,0x7ffd4001,0xfff70007,0x6dd4400d,0xcffffffe,
    0xdba88002,0xcffffffe,0x57fffb82,0x2000ffff,0xb806fffb,0xffffffff,
    0x01ffffff,0x000ffff5,0x201bffee,0xfffffffb,0x1fffffff,0x3fffee00,
    0xffffffff,0xfff501ff,0x3fee000f,0x7f44006f,0xffffffff,0xff8001ff,
    0xffffffff,0xfb80004f,0xffffffff,0x003fffff,0xfffffff7,0x7fffffff,
    0xffffd100,0x3fffffff,0x1fffea00,0x37ffdc00,0x7ffff440,0x1fffffff,
    0x3fff2000,0x0ffffd44,0x3ffa2000,0xffffffff,0x3a20001f,0xffffffff,
    0xf5001fff,0x2e000fff,0xf5006fff,0xffffffff,0x003fffff,0x3fffffea,
    0xffffffff,0x55fffee1,0x70007fff,0x7440dfff,0xffffffff,0x1fffffff,
    0x00ffff50,0x81bffee0,0xffffffe8,0xffffffff,0xffe8801f,0xffffffff,
    0x501fffff,0x2000ffff,0x2006fffb,0xfffffffa,0x2fffffff,0x3ff60000,
    0x3620004f,0xffffffff,0x4fffffff,0x7fffec40,0xffffffff,0x7d404fff,
    0xffffffff,0x802fffff,0x0007fffa,0xa80dfff7,0xffffffff,0x02ffffff,
    0x05ffff00,0x0007ffff,0x7fffffd4,0xffffffff,0xfffa8002,0xffffffff,
    0xfa802fff,0xf70007ff,0xff900dff,0xffffffff,0x003fffff,0xfffffff9,
    0xffffffff,0xab7ffd43,0x70007fff,0x7f40dfff,0xacceffff,0x1ffedcca,
    0x00ffff50,0x81bffee0,0xcefffffe,0xfedccaac,0xfffe801f,0xcaacceff,
    0x501ffedc,0x2000ffff,0x9006fffb,0x7dffffff,0xffffffd9,0x3f600007,
    0xf50004ff,0xdfffffff,0xfffffd99,0x7fffd409,0xecceffff,0x204fffff,
    0xeffffffc,0xfffffecb,0x7ffd403f,0xfff70007,0x7fffe40d,0xffecbeff,
    0x4003ffff,0xfb07fff9,0x32000dff,0xbeffffff,0xffffffec,0x3fff2003,
    0xfecbefff,0x403fffff,0x0007fffa,0x440dfff7,0xfffffffe,0xffffecce,
    0x3ffa201f,0xccefffff,0x01fffffe,0x007fffa8,0x20dfff70,0x01cffffc,
    0x3ea01510,0xf70007ff,0x3ff20dff,0x51001cff,0xffffc801,0x0151001c,
    0x001fffea,0x4037ffdc,0x0afffffa,0xfffffc88,0xffd80002,0xffb8004f,
    0x401bffff,0xff704fda,0x8037ffff,0xff504fda,0x91015fff,0x405fffff,
    0x0007fffa,0x2a0dfff7,0x80afffff,0x2fffffc8,0x17fff200,0x007fffd4,
    0x3ffffea0,0xfffc880a,0xffa802ff,0xc880afff,0x202fffff,0x0007fffa,
    0x220dfff7,0x1bffffff,0x880fed40,0x1bffffff,0x400fed40,0x0007fffa,
    0xf30dfff7,0x00009fff,0x007fffa8,0x30dfff70,0x0009ffff,0x9ffff300,
    0xffa80000,0xff70007f,0xfffd00df,0xfff9003f,0xfb0000df,0xf88009ff,
    0x000effff,0x7ffc40c4,0x44000eff,0x3ffffd01,0xdffff900,0x03fffd40,
    0x06fffb80,0x003ffffd,0x00dffff9,0x8817fffc,0x4003ffff,0x801ffffe,
    0x806ffffc,0x801ffffe,0x206ffffc,0x0007fffa,0x320dfff7,0x001fffff,
    0xfffc804c,0x04c001ff,0x03fffd40,0x86fffb80,0x0007fffb,0x07fffa80,
    0x0dfff700,0x000ffff7,0x1fffee00,0x3fea0000,0xff70007f,0xfffa80df,
    0x3ff2002f,0x6c0001ff,0x64004fff,0x0004ffff,0x27fffe40,0x3fea0000,
    0x3f2002ff,0xff501fff,0x3ee000ff,0xfffa86ff,0x3ff2002f,0xff9801ff,
    0x3ff600ff,0x3fea006f,0x3f2002ff,0x3ea01fff,0x32002fff,0xf501ffff,
    0x2e000fff,0xff886fff,0x00000eff,0x03bfffe2,0xffa80000,0xff70007f,
    0xbfffb0df,0xff500000,0x3ee000ff,0xfffd86ff,0xfb000005,0x00000bff,
    0x000ffff5,0xd01bffee,0xf0009fff,0x8000bfff,0x2004fffd,0x005ffff9,
    0x7fffcc00,0xfe800005,0xff8004ff,0xfff505ff,0x3fee000f,0x4fffe86f,
    0x5ffff800,0x05fffc80,0x007fffdc,0x004fffe8,0x205ffff8,0x8004fffe,
    0xf505ffff,0x2e000fff,0xffc86fff,0x400000ff,0x000ffffc,0x7ffd4000,
    0xfff70007,0x0dfffd0d,0xfff50000,0x3fee000f,0x6fffe86f,0xffd00000,
    0x500000df,0x2000ffff,0x2a06fffb,0x8001ffff,0x000ffffc,0x013fff60,
    0x00ffffd8,0x7ffec000,0x5400000f,0x8001ffff,0xa80ffffc,0x70007fff,
    0xffa8dfff,0xfc8001ff,0x7fc00fff,0x7fc403ff,0xffa803ff,0xfc8001ff,
    0xffa80fff,0xfc8001ff,0xffa80fff,0xff70007f,0xffff98df,0x7cc00004,
    0x00004fff,0x07fffa80,0x0dfff700,0x001ffff9,0x7fffa800,0xdfff7000,
    0x01ffff90,0xfff90000,0xa800001f,0x70007fff,0x7ec0dfff,0xf50007ff,
    0x40007fff,0x3004fffd,0x0009ffff,0x4ffff980,0xffd80000,0xff50007f,
    0xfff507ff,0x3fee000f,0x3fffec6f,0xffffa800,0x3fffe603,0x6fffe800,
    0x07fffd80,0x7ffff500,0x00ffffb0,0x0ffffea0,0x001fffea,0x3637ffdc,
    0x0000ffff,0x07fffec0,0x7d400000,0xf70007ff,0xfff70dff,0xa800009f,
    0x70007fff,0xff70dfff,0x000009ff,0x009ffff7,0x7fffa800,0xdfff7000,
    0x027fffc0,0x07ffff00,0x27ffec00,0x0ffffb80,0x7fdc0000,0x800000ff,
    0x0004ffff,0x2a0ffffe,0x70007fff,0xfff8dfff,0x3fe0004f,0x3ff203ff,
    0xfff7006f,0xffff801f,0x3ffe0004,0x4ffff83f,0x3fffe000,0x07fffa83,
    0x8dfff700,0x0005fffe,0x05fffe80,0xff500000,0x3ee000ff,0xfff986ff,
    0x200005ff,0x0007fffa,0xf30dfff7,0x000bffff,0xfffff980,0x3ea00005,
    0xf70007ff,0x3fe60dff,0x360002ff,0x20004fff,0x9004fffd,0x0000bfff,
    0x00bfff90,0xffff3000,0x7fec0005,0x7fffa84f,0xdfff7000,0x017fffcc,
    0x09fffb00,0x801ffffc,0x203ffff9,0x002ffff9,0x313fff60,0x0005ffff,
    0x5427ffec,0x70007fff,0xfff8dfff,0xf800003f,0x00003fff,0x0ffff500,
    0x17ffee00,0x7fffffdc,0xffa80003,0xff70007f,0x3ffee0df,0x00003fff,
    0x3fffffee,0xffa80003,0xff70007f,0x3ffea0df,0x3f60001f,0x360005ff,
    0xfb004fff,0x000009ff,0x0009fffb,0x3ffff500,0x7ffec000,0x07fffa85,
    0x4dfff700,0x001ffffa,0x417fff60,0xeeeffff9,0xeeeeeeee,0x2a06ffff,
    0x0001ffff,0xf517fff6,0x40003fff,0xfa85fffd,0xf70007ff,0x7ffc4dff,
    0x4400002f,0x0002ffff,0xffff3000,0xfff90001,0x7fffec09,0x0000bfff,
    0x000ffff5,0xd81bffee,0xbfffffff,0xffd80000,0x00bfffff,0x0ffff500,
    0x1bffee00,0x007fffd4,0x0dfff900,0x27ffec00,0x03ffff80,0xffff8000,
    0xfa800003,0x20000fff,0xfa86fffc,0xf70007ff,0x7ffd4dff,0x3f20000f,
    0xfff906ff,0xffffffff,0xffffffff,0x3ffea01f,0x3f20000f,0x7ffd46ff,
    0x3f20000f,0xfffa86ff,0xfff70007,0x0ffffd4d,0x3fea0000,0x000001ff,
    0x03ffff10,0x07fffb00,0xffffffc8,0x54002dff,0x70007fff,0xfc80dfff,
    0xdfffffff,0x7fe40002,0x2dffffff,0x3fffd400,0x6fffb800,0x00ffff70,
    0x07fffb80,0x13fff600,0x0bfffe20,0xeeeeee88,0xff14eeee,0x774405ff,
    0xeeeeeeee,0x01fffee4,0x0ffff700,0x000ffff5,0xfb9bffee,0x5c0007ff,
    0xfff07fff,0xffffffff,0xffffffff,0x3fee07ff,0x7dc0007f,0x7ffdc7ff,
    0x7fdc0007,0x7fffa87f,0xdfff7000,0x003fffdc,0x3fffdc00,0x3e000000,
    0xf8002fff,0xe9802fff,0xffffffff,0xfff5002e,0x3fee000f,0xffe9806f,
    0x2effffff,0x3ffa6000,0x2effffff,0x0ffff500,0x1bffee00,0x003fffdc,
    0x03fffee0,0x27ffec00,0x0ffffcc0,0xffffff10,0x3e6bffff,0x3e201fff,
    0xffffffff,0x1fffee5f,0xffff7000,0x07fffa81,0x4dfff700,0x0007fffb,
    0x207fffdc,0xfffffff9,0xffffffff,0x05ffffff,0x000ffff7,0x20ffffb8,
    0x0007fffb,0x207fffdc,0x0007fffa,0x7e4dfff7,0x800007ff,0x0007fffc,
    0x7fff4000,0x7ffdc006,0x3f6a000f,0xefffffff,0x3fffd401,0x6fffb800,
    0x3fff6a00,0x01efffff,0x3fff6a00,0x01efffff,0x003fffd4,0x906fffb8,
    0x8000ffff,0x000ffffa,0x009fffb0,0x403ffff5,0xfffffff8,0xfff55fff,
    0x7ffc403f,0x5fffffff,0x001ffff2,0x81ffff50,0x0007fffa,0x7e4dfff7,
    0x540007ff,0x7e40ffff,0xf90006ff,0xff901fff,0xfa8000ff,0x3ff20fff,
    0x7d40007f,0x7fd40fff,0xff70007f,0x37ffecdf,0x7fec0000,0x0000006f,
    0x017fffdc,0x04ffff88,0xffff9300,0x5407ffff,0x70007fff,0x3000dfff,
    0xfffffff9,0xc980007f,0xffffffff,0x1fffea03,0x37ffdc00,0x007fffb8,
    0x03fffdc0,0x09fffb00,0x03ffff30,0x77777744,0xff35ffff,0x774403ff,
    0xffffeeee,0x01fffee5,0x0ffff700,0x000ffff5,0xfb9bffee,0x5c0007ff,
    0xffe87fff,0xff30003f,0xfff705ff,0xffb8000f,0x3fffdc7f,0x3ffee000,
    0x07fffa87,0x4dfff700,0x0007fffc,0x07fffc80,0xfe800000,0x74c03fff,
    0x0000ffff,0x7ffff5c4,0xfff502ff,0x3fee000f,0x2e20006f,0x2ffffffe,
    0xfeb88000,0x502fffff,0x2000ffff,0xf506fffb,0x40001fff,0x0007fffc,
    0x2013fff6,0x002ffff8,0x22bfff90,0x0002ffff,0x7d4bfff9,0x20000fff,
    0xfa87fffc,0xf70007ff,0x7ffd4dff,0x3f20000f,0x7ffcc7ff,0x3fe0001f,
    0xfffa85ff,0x3f20000f,0x7ffd47ff,0x3f20000f,0xfffa87ff,0xfff70007,
    0x07fffdcd,0x3fee0000,0x000000ff,0x7ffffd40,0xfcba9acd,0x0003ffff,
    0x7ffffd40,0x7fffa81f,0xdfff7000,0x3fea0000,0x0001ffff,0x3ffffea0,
    0x7fffa81f,0xdfff7000,0x07fffe60,0x6fffc800,0x3fff6000,0x7ffff004,
    0x3fff2000,0x00ffffe5,0x32fffe40,0x0003ffff,0x5437ffe4,0x70007fff,
    0x7fccdfff,0x320001ff,0x7fe46fff,0x7e40006f,0x7fcc0fff,0x320001ff,
    0x7fcc6fff,0x320001ff,0xffa86fff,0xff70007f,0x7fffd4df,0x7d400001,
    0x00001fff,0xffffc800,0xffffffff,0x00003fff,0xbffffd10,0x00ffff50,
    0x01bffee0,0xfffe8800,0x4400005f,0xa85ffffe,0x70007fff,0x3e20dfff,
    0x20001fff,0x0005fffd,0x4013fff6,0x0004fffe,0x7f4bfff9,0xf90004ff,
    0x7ffc4bff,0x3f60001f,0xfffa85ff,0xfff70007,0x0ffffc4d,0xbfffb000,
    0x004fffe8,0x17fffcc0,0x007fffe2,0x45fffd80,0x001ffff8,0x217fff60,
    0x0007fffa,0x7ccdfff7,0x00002fff,0x017fffcc,0xfa800000,0xffffffff,
    0x0003ffff,0x7fff4400,0x07fffa87,0x0bfff700,0xffe88000,0x8800007f,
    0xfa87fffe,0xf70007ff,0x7ffc0bff,0x3fe0003f,0x360003ff,0xfb004fff,
    0x32000dff,0x3ff65fff,0xff90006f,0x3ffff8bf,0x3fffe000,0x07fffa83,
    0x8bfff700,0x0003ffff,0xf98ffffe,0x80001fff,0xff85ffff,0x3e0003ff,
    0xfff83fff,0x3fe0003f,0xfffa83ff,0xfff70007,0x1ffffc4b,0x3fe20000,
    0x000003ff,0x3ff72200,0x02efffff,0x3f200000,0x7fcc0fff,0xfc8000ff,
    0x800004ff,0x000ffffc,0xffffc800,0x07fffcc0,0x27ffe400,0x00dffff0,
    0x07fffea0,0x4fffd800,0x3ffff700,0xbfff9000,0x00ffffdc,0x22fffe40,
    0x0006ffff,0x303ffff5,0x0001ffff,0xff89fff9,0xf50006ff,0x7fe43fff,
    0xf900006f,0xfff81fff,0xff50006f,0xffff03ff,0x3fea000d,0xfff981ff,
    0xffc8000f,0x3ffffc4f,0x7ffc0000,0x0000007f,0x3ffee200,0x80000005,
    0x441ffff9,0x8001ffff,0x0003fffd,0x1ffff980,0xff980000,0x7ffc41ff,
    0xffd8001f,0x3fff203f,0xffd8000f,0x7ec0007f,0xff5004ff,0xf9000bff,
    0x7ffd4bff,0xffc8005f,0x7fffe45f,0xfffd8000,0x3ffff107,0x7fffb000,
    0x00ffffc8,0x07fffd80,0xfe880000,0xffff906f,0xfffb0001,0x3ffff20f,
    0xfffd8000,0x3ffff107,0x7fffb000,0x03ffffd8,0x7ffec000,0x0000003f,
    0x0dffd100,0x2a000000,0xff80ffff,0xff8002ff,0x800001ff,0x000ffffa,
    0xffffa800,0x02ffff80,0x01ffff80,0x00ffffe6,0x07ffff10,0x4fffd800,
    0x3ffff600,0x7ffe4001,0x0ffffec5,0x17fff200,0x007ffff3,0x03ffff88,
    0x000bfffe,0xf307fffe,0x88007fff,0x0003ffff,0x0effe800,0x07ffff30,
    0x3ffff880,0x07ffff30,0x3ffff880,0x00bfffe0,0x307fffe0,0x000dffff,
    0x6ffff980,0x00000000,0x0001fff9,0x3ff20000,0xdfffd06f,0xffffb800,
    0xfc800000,0x000006ff,0x3a0dfff9,0x5c006fff,0x6c00ffff,0x2000efff,
    0x0006fffd,0x004fffd8,0x037fffe6,0x45fffc80,0x00dffff9,0x217fff20,
    0x000efffd,0xd01bfff6,0xb800dfff,0xfd80ffff,0x36000eff,0x00006fff,
    0x01fffb80,0x0077ffec,0x80dfffb0,0x000efffd,0xd01bfff6,0xb800dfff,
    0xfd80ffff,0x00004fff,0x027fffec,0x22000000,0x00004fff,0xffff5000,
    0x3fffee09,0xffff1002,0xf5000009,0x00009fff,0x09ffff50,0x00bfffee,
    0x027fffc4,0x077fffd4,0x17fffe40,0x7ffec000,0x7ffe4004,0xff9001ef,
    0xffff90bf,0x3ff2003d,0xffffa85f,0xfffc800e,0x7ffdc02f,0xfff1002f,
    0x3ffea09f,0xffc800ef,0x000002ff,0x402fffc4,0x00effffa,0x02ffffc8,
    0x077fffd4,0x17fffe40,0x0bfffee0,0x27fffc40,0xdfffff88,0xff100000,
    0x0001bfff,0x3fee0000,0x5930003f,0x7fdc4001,0x3fa01fff,0x74c03fff,
    0xc980ffff,0x3ee2000a,0xc981ffff,0x3ee2000a,0x3a01ffff,0x4c03ffff,
    0x000ffffe,0x03dffffd,0x1bffff22,0x7ffec000,0x7ffc4004,0x6400bfff,
    0xff885fff,0x400bffff,0xfd05fffc,0x2203dfff,0x006ffffc,0x807ffffd,
    0x00ffffe9,0x07bffffa,0x37fffe44,0x7d400000,0xffd004ff,0x32203dff,
    0xd006ffff,0x203dffff,0x06ffffc8,0x07ffffd0,0x0ffffe98,0x3fffff20,
    0x7e4c00ae,0xfffff901,0xfc98015d,0xffb80001,0xff30005f,0x55799bdf,
    0xfffffb99,0xfffa805f,0xba9acdff,0x02fffffc,0x99bdfff3,0xffb99557,
    0x2605ffff,0xbccdefff,0xfffdccaa,0x7d402fff,0x9acdffff,0xfffffcba,
    0x3ffe6002,0xebbdffff,0x01ffffff,0x9fffb000,0xffff5000,0x559bffff,
    0x0bffffd9,0x3fffffea,0xecaacdff,0xf305ffff,0x7bffffff,0xffffffd7,
    0x3ffea003,0xba9acdff,0x02fffffc,0x7fffffcc,0xfffebbdf,0x00001fff,
    0x06fffa80,0xffffff30,0xfffd77bf,0x26003fff,0xdfffffff,0xfffffebb,
    0xfff5001f,0x75359bff,0x05fffff9,0xfffffd88,0xedccdeff,0xb101ffff,
    0xdfffffff,0xfffdb99b,0xf500003f,0x0399dfff,0x3ffffe60,0xffffffff,
    0x003fffff,0xfffffffb,0xffffffff,0x7fffcc09,0xffffffff,0x03ffffff,
    0x3fffffe6,0xffffffff,0xb003ffff,0xffffffff,0x9fffffff,0xfffd1000,
    0xffffffff,0x5c001dff,0xeccccccc,0xccccefff,0x3f6203cc,0xffffffff,
    0x5fffffff,0x3ffff620,0xffffffff,0x2205ffff,0xfffffffe,0x0effffff,
    0x7fffec00,0xffffffff,0xd1004fff,0xffffffff,0x01dfffff,0x3e600000,
    0x02ccefff,0x3fffffa2,0xffffffff,0x7f44000e,0xffffffff,0x000effff,
    0x7fffffec,0xffffffff,0x3fee004f,0xffffffff,0x01ffffff,0x7fffffdc,
    0xffffffff,0xb00001ff,0x07ffffff,0x3ffffe60,0xffffffff,0x4002dfff,
    0xffffffea,0x01efffff,0x7fffffcc,0xffffffff,0x7cc02dff,0xffffffff,
    0xdfffffff,0x7ff54002,0xffffffff,0x220001ef,0xfffffffd,0x8004ffff,
    0xfffffffd,0xffffffff,0xfb806fff,0xffffffff,0x03ffffff,0xffffffb8,
    0xffffffff,0x7fec403f,0xffffffff,0x3aa0004f,0xffffffff,0x4001efff,
    0xffffffd8,0x004fffff,0xffd80000,0x4404ffff,0xfffffffd,0x0004ffff,
    0x3fffff62,0x04ffffff,0x3fffaa00,0xffffffff,0xfe88001e,0xffffffff,
    0x801fffff,0xffffffe8,0xffffffff,0xf9100001,0x2007ffff,0xffffedb8,
    0xcfffffff,0x3b220000,0xefffffff,0xfdb71003,0xffffffff,0x220019ff,
    0xfffffedb,0x0cffffff,0x3fb22000,0x3effffff,0x3b2a0000,0x2cefffff,
    0xffffb000,0xffffffff,0x0dffffff,0x3ffb6e20,0x2cefffff,0x7f6dc400,
    0xceffffff,0x7f654002,0x02ceffff,0xffec8800,0x03efffff,0x7ff65400,
    0x002cefff,0x3f200000,0x5004ffff,0xdfffffd9,0x2a000059,0xefffffec,
    0xc880002c,0xfffffffe,0xca80003e,0xfffffffd,0x54000acf,0xffffffdc,
    0x0000acff,0x09aa9880,0x2aa66000,0x000009aa,0x0026a620,0x5554cc00,
    0x2000009a,0x09aaaa99,0x26200000,0x0000009a,0x00003530,0x3ffffff6,
    0xffffffff,0x0006ffff,0x0026aaa6,0x35553000,0x54c00001,0x88000001,
    0x000009a9,0x00006a60,0x53100000,0x26000155,0x0000001a,0x00000353,
    0x00135310,0x9a988000,0x98800001,0x0000019a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x006f775c,0x66664000,0xb8000001,0x000ccccc,
    0x013332a0,0x333332e0,0x4c000001,0x00aa801a,0x7fffffec,0xffffffff,
    0x5c01ffff,0x001ccccc,0x3faa0000,0x8000000c,0x00cccccb,0x0166dcc0,
    0x32a00006,0x000004cc,0x19999970,0x2006a600,0x800000aa,0x00cccccb,
    0x666665c0,0x00000001,0x19999970,0x3cccb800,0x01999910,0x333332e0,
    0x35530001,0xc8000001,0x01ffffff,0xfffd1000,0x000005ff,0x0f7fffe4,
    0xffff5000,0xfc8001df,0x0001ffff,0x05fff900,0xb007fff4,0xffffffff,
    0xffffffff,0xff9003ff,0x00003fff,0xbffff500,0xfc800000,0x2001efff,
    0xfffffff8,0x0004fa82,0x3bffffea,0x32000000,0x001effff,0x7405fff9,
    0x00000fff,0x07bffff2,0x7fffe400,0x0000001f,0x7ffffe40,0xffd88001,
    0x3ffe60df,0x7fe4002f,0xc8001fff,0x02dfffff,0x7ffec000,0x001fffff,
    0x7ffff440,0x00003fff,0x0dffffc8,0x3ffee000,0x000effff,0x0fffffd4,
    0x3fe20000,0xfff506ff,0x7ffec09f,0xffffffff,0x1fffffff,0xfffff500,
    0xd8000003,0x001fffff,0xffff9000,0x7f44001b,0xdfffffff,0x02fffc9a,
    0xfffffb80,0x00000eff,0x0dffffc8,0xdffff100,0x13fffea0,0x7ffe4000,
    0x540000df,0x001fffff,0xff900000,0x80001bff,0xfb9efffd,0x50002fff,
    0x003fffff,0xffffffc8,0xd80003ff,0xffc8efff,0xd10002ff,0xfff7bfff,
    0x6400009f,0x0003ffff,0x6d7fffe4,0x4000efff,0x01ffffe8,0x7fffc000,
    0x9ffff507,0x77777640,0xeeffffee,0x001eeeee,0x07ffffa2,0xffd80000,
    0x00001fff,0x03ffffc8,0xbcfffd80,0xfffffffd,0xfc8004ff,0xfffdafff,
    0x3200000e,0x8003ffff,0xf507ffff,0x00009fff,0x007ffff9,0x7fff4400,
    0x0000001f,0x01ffffe4,0xffff9000,0x0003ffff,0x1ffffe88,0x3ffff200,
    0x01efffff,0x4fffe880,0x017fffd4,0x8ffffe60,0x004fffe9,0x1efffc80,
    0x7ffe4000,0x3ffff20e,0xfffc8001,0x3200000f,0x3fe03fff,0xf70001ff,
    0x00000fff,0x001ffff9,0x3ffee000,0xc800006f,0x0001efff,0xfe981ff5,
    0x005fffff,0x20efffc8,0x001ffffc,0x1efffc80,0x7fff9000,0x00ffffc0,
    0x3bfff200,0xf9000001,0x00001fff,0x3fffee00,0xfc800001,0x001effff,
    0x3ffff200,0xb9753000,0x5fffffff,0x1aaa9800,0x01555510,0x40e66640,
    0x002cccc8,0x03333260,0x79995000,0x013332a0,0x01e66540,0x00b2a000,
    0x40003971,0x0007fffb,0x07999500,0x7fe40000,0x4c00001e,0x0000cccc,
    0xddb500cc,0x99500059,0x3332a079,0x664c0004,0x540000cc,0x0e5c402c,
    0x33326000,0x4000000c,0x0003ccca,0xcccc9800,0x2e000000,0x0000cccc,
    0x03ccca80,0x3ffee200,0x00001fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ee00000,0x000007ff,0x10000000,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x807ffffc,0x00002aaa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x1fffee00,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffffd800,0x3fffe203,0x00000000,0x00002662,0x00000000,0x0cc00000,
    0x33000000,0xff700000,0x000000ff,0x44000000,0x00000999,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x37fff440,0x01ffff10,0x2a200000,0xfffffedb,0xfff502cf,
    0x3fee000f,0xffff106f,0xffffffff,0x4005ffff,0xeffffeca,0x500000ac,
    0x9dffffd9,0xfb800015,0xfa8007ff,0xf70007ff,0x54400dff,0xffffffdc,
    0xff880adf,0x5c005fff,0x7fc44fff,0x5c005fff,0xffb04fff,0xffffffff,
    0xffffffff,0x3ffff603,0xffffffff,0x01ffffff,0xfffffffb,0xffffffff,
    0x98003fff,0x006fffff,0x3ffe6000,0xd00006ff,0xffffffff,0x8003599d,
    0x05fffff8,0x827ffdc0,0xfffffffd,0xffffffff,0x64001fff,0xf101ffff,
    0x00001fff,0xfffff500,0xffffffff,0x7fffa83f,0xdfff7000,0x3ffffe20,
    0xffffffff,0xe8802fff,0xffffffff,0x20001fff,0xffffffe8,0x001fffff,
    0x01fffee0,0x01fffea0,0x037ffdc0,0xffffffb8,0xffffffff,0x7ffffc43,
    0x3fee000f,0x7fffc44f,0x3ee000ff,0xfffb04ff,0xffffffff,0x3fffffff,
    0x3fffff60,0xffffffff,0xb01fffff,0xffffffff,0xffffffff,0xfc8003ff,
    0x001fffff,0xffff9000,0xd00003ff,0xffffffff,0x03bfffff,0x3ffffe20,
    0x3fee000f,0xffffb04f,0xffffffff,0x03ffffff,0x2ffffa80,0x01ffff10,
    0xffc80000,0xffffffff,0x541fffff,0x70007fff,0x3e20dfff,0xffffffff,
    0x2fffffff,0x7ffffd40,0xffffffff,0xffa8002f,0xffffffff,0x0002ffff,
    0x000ffff7,0x000ffff5,0x101bffee,0xfffffffb,0xffffffff,0xfffff889,
    0x3fee004f,0x7fffc44f,0x3ee004ff,0xfffb04ff,0xffffffff,0x3fffffff,
    0x3fffff60,0xffffffff,0xb01fffff,0xffffffff,0xffffffff,0xff8003ff,
    0x004fffff,0xfffff000,0xd00009ff,0xffffffff,0xbfffffff,0xfffff100,
    0x7fdc009f,0xffffb04f,0xffffffff,0x03ffffff,0x3ffff880,0x01ffff10,
    0x3fa20000,0xceffffff,0x1fffffec,0x003fffd4,0x106fffb8,0xdddddddd,
    0xffffdddd,0x7fffe405,0xffecbeff,0x2003ffff,0xeffffffc,0xfffffecb,
    0xffb8003f,0xffa8007f,0xff70007f,0x7ffd40df,0xccefffff,0x44fffffe,
    0xfffffff8,0x9fff7000,0xffffff88,0xfff7000f,0x3bbbb209,0xeffffeee,
    0x01eeeeee,0xddddddd9,0xddddffff,0x3b203ddd,0xffeeeeee,0xeeeeeeff,
    0x3fe6001e,0x006fffff,0xffff9800,0x80006fff,0xeeeefffe,0xffffffee,
    0x7ffc403f,0x7000ffff,0x3b209fff,0xffeeeeee,0xeeeeeeff,0x7fcc001e,
    0xfff102ff,0x1000001f,0x37ffffff,0x541fda80,0x70007fff,0x0000dfff,
    0xa817fffc,0x80afffff,0x2fffffc8,0xfffffa80,0xfffc880a,0x7dc002ff,
    0xfa8007ff,0xf70007ff,0x3fee0dff,0x401bffff,0x7fc44fda,0x004fffff,
    0xf889fff7,0x04ffffff,0x009fff70,0x00ffff70,0xffff7000,0xff700000,
    0x640000ff,0xffffdfff,0x7e400001,0x1ffffdff,0x7fff4000,0x3fff6603,
    0x3fe201ff,0x004fffff,0x0009fff7,0x000ffff7,0x0ffffa80,0x01ffff10,
    0xfff90000,0x098003ff,0x003fffd4,0x006fffb8,0x0bfffe00,0x00fffff4,
    0x037fffe4,0x00fffff4,0x037fffe4,0x01fffee0,0x01fffea0,0x437ffdc0,
    0x0efffff8,0x3e20c400,0x0fffffff,0x44fffb80,0xfffffff8,0xfffb800f,
    0xfffb8004,0xfb800007,0x800007ff,0x0007fffb,0x3a7fffe0,0x00004fff,
    0x7f4ffffc,0x740004ff,0xfb803fff,0x3e205fff,0x0fffffff,0x04fffb80,
    0x07fffb80,0x7fff4000,0x3fffe207,0x7c400000,0x0000efff,0x00ffff50,
    0x01bffee0,0x2ffff800,0x02ffffa8,0x07ffff20,0x02ffffa8,0x07ffff20,
    0x07fffb80,0x07fffa80,0x0dfff700,0x009ffff9,0x7fffc400,0xb803fffd,
    0x7fc44fff,0x03fffdff,0x004fffb8,0x007fffb8,0x7fffb800,0xffb80000,
    0xf300007f,0x3fff2dff,0x3e600006,0xdfff96ff,0xfffe8000,0xdfffd003,
    0x6ffffc40,0xfb803fff,0xfb8004ff,0x300007ff,0x407ffffb,0x000ffff8,
    0x7fffe400,0x3ea00000,0xf70007ff,0x40000dff,0xfe82ffff,0xff8004ff,
    0x3ffa05ff,0xfff8004f,0x3fee005f,0xffa8007f,0xff70007f,0xffff98df,
    0x7c400005,0x7fff9fff,0x44fffb80,0xff9ffff8,0xfffb807f,0xfffb8004,
    0xfb800007,0x800007ff,0x0007fffb,0x269fff90,0x0001ffff,0x269fff90,
    0x0001ffff,0x400ffffa,0x2207fffb,0xfff9ffff,0x4fffb807,0x7fffb800,
    0x77774400,0x06ffffff,0x207fffc4,0x0bdeeec9,0x27fffcc0,0x3fea0000,
    0xff70007f,0x7c0000df,0x7fd42fff,0xfc8001ff,0xffa80fff,0xfc8001ff,
    0xf7000fff,0xf5000fff,0x2e000fff,0x7fec6fff,0x400000ff,0xffd7fff8,
    0xfffb807f,0xebfffc44,0x7dc03fff,0xfb8004ff,0x800007ff,0x0007fffb,
    0x07fffb80,0x3ffff000,0x001ffffc,0x21ffff80,0x0003ffff,0x400ffffa,
    0x101ffffa,0x3ffaffff,0x7ffdc03f,0xfffb8004,0x7ffc4007,0x0effffff,
    0x87fffc40,0xffffffd8,0x3ff603ff,0x400000ff,0x0007fffa,0x000dfff7,
    0x217fffc0,0x0007fffd,0xb07ffff5,0x2000ffff,0x003ffffa,0x000ffff7,
    0x000ffff5,0xf99bffee,0x00004fff,0xf77fff88,0xffb80dff,0xbfffc44f,
    0x5c06fffb,0xb8004fff,0x00007fff,0x007fffb8,0x7fffb800,0xfff98000,
    0x037ffe47,0x3fffcc00,0x001bfff2,0x003fffe8,0x201ffff5,0xff77fff8,
    0xfffb80df,0xfffb8004,0x7ffc4007,0x002fffff,0xf31ffff1,0xffffffff,
    0x3ffa0bff,0xa800005f,0x70007fff,0x0000dfff,0x3e17fffc,0x20004fff,
    0xff83ffff,0x3e0004ff,0xf7003fff,0xf5000fff,0x2e000fff,0x3fee6fff,
    0x800000ff,0xff17fff8,0x7fdc05ff,0xbfffc44f,0x202ffff8,0x8004fffb,
    0x0007fffb,0x07fffb80,0xfffb8000,0xffc80007,0x7fffd44f,0x7fe40001,
    0x7fffd44f,0xfffd0001,0x3fff2007,0x5fffe207,0x202ffff8,0x8004fffb,
    0x4007fffb,0x0abffff8,0x7fffc400,0xeefffff9,0x81ffffff,0x0003ffff,
    0x07fffa80,0x0dfff700,0x7fffc000,0x0bfffe62,0x4fffd800,0x017fffcc,
    0x09fffb00,0x01fffee0,0x01fffea0,0x937ffdc0,0x0000bfff,0xc9fffe20,
    0x3ee06fff,0x7ffc44ff,0x81bfff27,0x8004fffb,0x0007fffb,0x07fffb80,
    0xfffb8000,0xfff80007,0x3ffff82f,0x7fffc000,0x03ffff82,0x07fffd00,
    0x0bffff10,0xf93fffc4,0x7fdc0dff,0xffb8004f,0x7fc4007f,0x3e20006f,
    0xcfffffff,0x2ffffdc0,0x00bfffe2,0x3ffea000,0xfff70007,0x7fc0000d,
    0x3ffea2ff,0x3f60001f,0x7ffd45ff,0x3f60001f,0xff7005ff,0xff5000ff,
    0x3ee000ff,0x3fff66ff,0xf1000004,0x7ffc4fff,0x9fff701f,0x227fff88,
    0xf701ffff,0xf70009ff,0x00000fff,0x000ffff7,0x0ffff700,0x7fff9800,
    0x00dfffb0,0x83fffcc0,0x0006fffd,0xb007fffd,0x4401ffff,0x3fe27fff,
    0xfff701ff,0xfff70009,0xdfff000f,0x7ffc4000,0x2e01ffff,0x3ea0ffff,
    0x00001fff,0x007fffa8,0x00dfff70,0x17fffc00,0x001ffff5,0x237ffe40,
    0x000ffffa,0x01bfff20,0x003fffdc,0x003fffd4,0x3e6fffb8,0x00003fff,
    0xd8ffff10,0xff705fff,0x7fff889f,0xb82fffec,0xb8004fff,0x00007fff,
    0x007fffb8,0x7fffb800,0x7ffe4000,0x1ffff505,0x3fff2000,0x1ffff505,
    0x7fffd000,0x7ffff540,0x3fffc404,0x5c17fff6,0xb8004fff,0xf8007fff,
    0x220006ff,0x01ffffff,0x70ffffc4,0x0000ffff,0x01fffea0,0x037ffdc0,
    0x5ffff000,0x003fffdc,0x71fffee0,0x8000ffff,0x7007fffb,0x5000ffff,
    0x2000ffff,0xff16fffb,0x774405ff,0xeeeeeeee,0x23fffc44,0xb81ffff9,
    0x7fc44fff,0x7fffcc7f,0x04fffb81,0x07fffb80,0xfffb8000,0xfb800007,
    0x7c0007ff,0xff102fff,0x3e0007ff,0xff102fff,0xfd0007ff,0xddddddff,
    0x09ffffff,0x98ffff10,0xfb81ffff,0xfb8004ff,0xff8007ff,0x3e20006f,
    0xd001ffff,0x7fe45fff,0x5000007f,0x2000ffff,0x0006fffb,0xb8bfffe0,
    0x40007fff,0x2e0ffffb,0x40007fff,0x800ffffb,0x8007fffb,0x0007fffa,
    0x3e6dfff7,0x3e201fff,0xffffffff,0x3fffc45f,0x5c2fffec,0x7fc44fff,
    0x5fffd87f,0x004fffb8,0x007fffb8,0x7fffb800,0xffb80000,0x3e60007f,
    0x3f600fff,0xf98006ff,0x3f600fff,0xfe8006ff,0xffffffff,0x003fffff,
    0xfb0ffff1,0xfff70bff,0xfff70009,0xbfff000f,0x7ffc4000,0x3ff6002f,
    0x1bfff63f,0x7fd40000,0xff70007f,0x7c0000df,0x3ff22fff,0x7d40007f,
    0x3ff20fff,0x7d40007f,0xfb800fff,0xfa8007ff,0xf70007ff,0x3ffeadff,
    0x3ffe201f,0x5fffffff,0x543fffc4,0x7dc0ffff,0x7ffc44ff,0x0ffffa87,
    0x0027ffdc,0x003fffdc,0x3fffdc00,0x7fdc0000,0x3f20007f,0x7fdc05ff,
    0x7e4000ff,0x7fdc05ff,0x7f4000ff,0xffffffff,0x44002eff,0xffa87fff,
    0x7ffdc0ff,0xfffb8004,0x3ccc8007,0x3ffe2000,0x3ff2000f,0x1ffff24f,
    0x7fd40000,0xff70007f,0x7c0000df,0x3fee2fff,0x7dc0007f,0x7ffdc7ff,
    0x7fdc0007,0xfff7007f,0xfff5000f,0x3fee000f,0x3ffff36f,0x77777440,
    0x445ffffe,0xffd07fff,0x4fffb89f,0xe83fffc4,0x7fdc4fff,0xffb8004f,
    0xb800007f,0x00007fff,0x007fffb8,0x00ffffe0,0x007ffff1,0x403ffff8,
    0x003ffff8,0x7777fff4,0x02fffffe,0x83fffc40,0x7dc4fffe,0xfb8004ff,
    0x000007ff,0x3fffe200,0x3fff2000,0x03fffee4,0x3fea0000,0xff70007f,
    0x7c0000df,0x3fea2fff,0x320000ff,0x7fd47fff,0x320000ff,0xf7007fff,
    0xf5000fff,0x2e000fff,0xfff16fff,0x3f20005f,0x7ffc45ff,0x1ffff507,
    0x2227ffdc,0xff507fff,0x7ffdc1ff,0xfffb8004,0xfb800007,0x800007ff,
    0x0007fffb,0x001ffff3,0x400dfffd,0x800ffff9,0x4006fffe,0x6443fffe,
    0x2004ffff,0xf507fff8,0x7fdc1fff,0xffb8004f,0x0000007f,0x03fffe20,
    0x24fffc80,0x001ffffa,0x7fffa800,0xdfff7000,0x7ffc0000,0x3fffe62f,
    0x3ff20001,0x7fffcc6f,0x3ff20001,0x3bbbb26f,0xeffffeee,0x81eeeeee,
    0x0007fffa,0x7fcdfff7,0xf90003ff,0xfff88bff,0x93fffa07,0x7c44fffb,
    0x3ffa07ff,0x13ffee4f,0x1fffee00,0x3fee0000,0xb800007f,0x90007fff,
    0x2e00dfff,0x9000ffff,0x2e00dfff,0x2000ffff,0xf703fffe,0x22005fff,
    0x3fa07fff,0x3ffee4ff,0xfffb8004,0x00000007,0x003fffe2,0x264fffc8,
    0x0002ffff,0x07fffa80,0x0dfff700,0x7fffc000,0x07fffe22,0x5fffd800,
    0x00ffffc4,0x4bfffb00,0xfffffffd,0xffffffff,0xffa81fff,0xff70007f,
    0x27fff4df,0x5fffc800,0x703fffc4,0x3ee1ffff,0x7ffc44ff,0x3fffee07,
    0x009fff70,0x00ffff70,0xffff7000,0xff700000,0x3fe000ff,0xff3003ff,
    0x3fe007ff,0xff3003ff,0x7f4007ff,0x3ff603ff,0xfff1006f,0x7fffdc0f,
    0x009fff70,0x00ffff70,0x0007df90,0x007fffc4,0x449fff90,0x0003ffff,
    0x07fffa80,0x0bfff700,0x7fffc000,0x01ffffc2,0x07ffff00,0x0007ffff,
    0xfb1ffffc,0xffffffff,0xffffffff,0xffff503f,0x3ffee000,0x01bfff65,
    0x22fffe40,0x7c07fff8,0xfff73fff,0x07fff889,0xfb9ffffc,0xfb8004ff,
    0x800007ff,0x0007fffb,0x07fffb80,0xeffff980,0xeeeeeeee,0x06ffffee,
    0xeeffff98,0xeeeeeeee,0x006ffffe,0x980ffffa,0x8804ffff,0x7fc07fff,
    0x9fff73ff,0xffff7000,0xffffd800,0xfff10003,0x7fe4001f,0x3ffffc4f,
    0x7fcc0000,0xfc8000ff,0x200004ff,0x7fc2ffff,0xf50006ff,0xfff03fff,
    0x3ea000df,0x3ff61fff,0xffffffff,0xffffffff,0x0ffff981,0x4fffc800,
    0x007fffee,0x117fff20,0xfb80ffff,0x9fff76ff,0x407fff88,0xff76fffb,
    0xff70009f,0x700000ff,0x0000ffff,0x00ffff70,0xffffff90,0xffffffff,
    0x01ffffff,0xffffffc8,0xffffffff,0x00ffffff,0x807fffd0,0x400ffffd,
    0x5c07fff8,0xfff76fff,0xfff70009,0x7ffc400f,0xf10007ff,0x64001fff,
    0x7fec4fff,0x400003ff,0x001ffff8,0x003fffd8,0x3ffff100,0x00ffffc8,
    0x07fffd80,0x001ffff9,0x00ffffb0,0x1bffa200,0x00ffffc4,0x51fffec0,
    0x000bffff,0xf88bfff9,0x7fc407ff,0x4fffbaff,0x203fffc4,0xfbaffff8,
    0xfb8004ff,0x800007ff,0x0007fffb,0x07fffb80,0xffffff80,0xffffffff,
    0x3fffffff,0x7fffffc0,0xffffffff,0x3fffffff,0x07fffd00,0x04ffff98,
    0x203fffc4,0xfbaffff8,0xfb8004ff,0x3e6007ff,0x0007ffff,0x001ffff1,
    0x2627ffe4,0x0006ffff,0x02ffff80,0x01ffff80,0xffff3000,0x07ffff30,
    0x3ffff880,0x07ffff30,0x3ffff880,0xdffd0000,0x17fffc01,0x0ffffc00,
    0x007ffff6,0x88bfff90,0xfc807fff,0x4fffbdff,0x403fffc4,0xffbdfffc,
    0xffb8004f,0xb800007f,0x00007fff,0x007fffb8,0x7fffffcc,0xffffffff,
    0x5fffffff,0x3ffffe60,0xffffffff,0xffffffff,0x7fffd005,0x1ffffb00,
    0x03fffc40,0x7defffe4,0xfb8004ff,0x7fc007ff,0x10005fff,0x4001ffff,
    0xfd84fffc,0x00004fff,0x0037fff4,0x003fffee,0x37ffe400,0x00efffd8,
    0x01bfff60,0x001dfffb,0x0037ffec,0x01fffb80,0x0037fff4,0x303fffee,
    0x001bffff,0x222fffe4,0xf8807fff,0x4fffcfff,0x403fffc4,0xffcffff8,
    0xffb8004f,0xb800007f,0x00007fff,0x007fffb8,0x0037ffe4,0x00ffffc8,
    0x000dfff9,0x003ffff2,0x200ffffa,0x203ffff9,0x8807fff8,0xfffcffff,
    0xfffb8004,0x7ffd4007,0xff10000e,0x7e4001ff,0xfff884ff,0x00000dff,
    0x005ffff7,0x813fffe2,0xfff3001a,0x3ffea09f,0xffc800ef,0x7fd402ff,
    0xfc800eff,0x80002fff,0xb805fff8,0x1002ffff,0x3209ffff,0x001effff,
    0xf88bfff9,0xffb007ff,0x889fffff,0xfb007fff,0x09ffffff,0x0ffff700,
    0xfff70000,0xf700000f,0xfe800fff,0xf30003ff,0x3fa05fff,0xf30003ff,
    0xfd005fff,0x3fa007ff,0x3fe207ff,0xfffb007f,0x0009ffff,0x000ffff7,
    0x88000551,0x2000ffff,0xf904fffc,0x015dffff,0xfd01fc98,0xe9807fff,
    0x3200ffff,0x3fea01df,0x3fa00fff,0x9101efff,0x200dffff,0x01effffe,
    0x0dffff91,0x3ffea000,0xffffd004,0xfffe9807,0xffff100f,0xfc8017ff,
    0x7ffc45ff,0xffff3007,0xff889fff,0xfff3007f,0x0009ffff,0x000ffff7,
    0x0ffff700,0xfff70000,0x7ffcc00f,0x3fe0001f,0xfff985ff,0x3fe0001f,
    0xffe805ff,0xfff5003f,0x3ffe207f,0xffff3007,0x70009fff,0x0000ffff,
    0x7ffc4000,0x3ff2000f,0xfffb104f,0x99bdffff,0x03ffffdb,0x37ffffea,
    0xffcba9ac,0x7e402fff,0xecbcefff,0x403fffff,0xfffffff9,0xffffebbd,
    0xff3001ff,0x77bfffff,0x3ffffffd,0x3fea0000,0xfff5006f,0x75359bff,
    0x05fffff9,0xffffffa8,0xecaacdff,0x7c45ffff,0x3f6007ff,0x444fffff,
    0x36007fff,0x04ffffff,0xddddddd9,0xddddffff,0x3b203ddd,0xffeeeeee,
    0xeeeeeeff,0xdddd901e,0xdffffddd,0x43dddddd,0x0006fffc,0x207fffe4,
    0x0006fffc,0x007fffe4,0x800ffffa,0xf106fffe,0x7ec00fff,0x904fffff,
    0xfddddddd,0xdddddfff,0x000003dd,0x007fffc4,0x809fff90,0xfffffffb,
    0xffffffff,0x3fff601f,0xffffffff,0xc804ffff,0xffffffff,0x004fffff,
    0xffffffd1,0xdfffffff,0xffe88001,0xffffffff,0x0000efff,0x3bfffe60,
    0x3ff602cc,0xffffffff,0x004fffff,0xffffffb1,0xffffffff,0xfff88bff,
    0x3ffe6007,0x7fc44fff,0x3fe6007f,0xfb04ffff,0xffffffff,0xffffffff,
    0x3fff603f,0xffffffff,0x1fffffff,0xffffffb0,0xffffffff,0x7f43ffff,
    0x4c0004ff,0x7f42ffff,0x4c0004ff,0x7402ffff,0x2a003fff,0xf882ffff,
    0x3e6007ff,0xb04fffff,0xffffffff,0xffffffff,0x000003ff,0x007fffc4,
    0x009fff90,0xffffffd1,0xffffffff,0xfffea803,0xffffffff,0xfff5001e,
    0xffffffff,0xfd88005f,0xffffffff,0x220004ff,0xfffffffd,0x0004ffff,
    0xfffffb00,0xffea809f,0xffffffff,0xfb8001ef,0xffffffff,0x43ffffff,
    0x4007fff8,0x44fffffe,0x4007fff8,0x04fffffe,0xfffffffb,0xffffffff,
    0x3f603fff,0xffffffff,0xffffffff,0xffffb01f,0xffffffff,0x23ffffff,
    0x001ffff9,0x25ffff80,0x001ffff9,0x05ffff80,0x001ffff4,0x221bfffe,
    0x74007fff,0xb04fffff,0xffffffff,0xffffffff,0x000003ff,0x007fffc4,
    0x009fff90,0x7fffee54,0x00acffff,0xffffd910,0x0007dfff,0xfffffd71,
    0x400019bf,0xfffffeca,0x500002ce,0xdfffffd9,0x80000059,0x04fffffc,
    0xffffec88,0x0003efff,0x7fff6dc4,0x02ceffff,0x800ffff1,0x44fffffa,
    0x4007fff8,0x04fffffa,0xfffffffb,0xffffffff,0x3f603fff,0xffffffff,
    0xffffffff,0xffffb01f,0xffffffff,0x23ffffff,0x0006fffc,0x21ffff90,
    0x0006fffc,0x01ffff90,0x001ffff4,0x10bfffee,0xa800ffff,0xb04fffff,
    0xffffffff,0xffffffff,0x000003ff,0x007fffc4,0x009fff90,0x00cd4c40,
    0x13531000,0xa9980000,0x26000000,0x0000001a,0x00000353,0x15553100,
    0x13531000,0xa9800000,0x000009aa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xccb80000,0x9999103c,0x55550001,
    0x55555555,0x20000035,0x40cccccb,0x00002aaa,0x99995000,0xca800000,
    0x800004cc,0x0002efd8,0x04ccca80,0xaaaa8000,0xaaaaaaaa,0x2600001a,
    0xaaaaaaaa,0xcca800aa,0x01999103,0x4ccca800,0x332e0000,0x00001ccc,
    0x00266200,0x059b7300,0xb8000018,0x000ccccc,0x55003530,0x98800001,
    0x4000019a,0x8004ccca,0x20002eec,0x20dfffd8,0x002ffff9,0xffffff88,
    0x4fffffff,0xffc80000,0xffc81eff,0x0000002f,0x77ffffd4,0xfa800000,
    0x000effff,0x3ffffa00,0x3ea00002,0x000effff,0xfffff100,0xffffffff,
    0x76d40009,0xffffffff,0xb802ffff,0xffc80fff,0x7fd40007,0x0000efff,
    0x3fffff90,0x75100000,0xffffffdb,0x3fe20059,0xa82fffff,0x3200004f,
    0x001effff,0x405fff90,0x0000fffe,0x3ffffb6e,0x00cdffff,0xfffff500,
    0x3ff6001d,0x6c0002ff,0xffb9efff,0xf10002ff,0xffffffff,0x0009ffff,
    0xdffffc80,0x0bfff300,0x7dc00000,0x0effffff,0x3fee0000,0x00efffff,
    0xffff9800,0xf700005f,0x1dffffff,0xfff10000,0xffffffff,0xd50009ff,
    0xffffffff,0x5fffffff,0x7dfff500,0x0bfff953,0x7fffdc00,0x0000efff,
    0x3fffff50,0x7fd40000,0xffffffff,0x2201ffff,0xfffffffe,0xfffc9adf,
    0xffc80002,0x10000dff,0x2a0dffff,0x8004ffff,0xfffffffb,0x1fffffff,
    0xffffb800,0x4c00efff,0x006fffff,0xfffffc80,0x20001fff,0xeeeeeee8,
    0x03eeeeee,0x3fff2000,0xfffe803f,0xc8000001,0xffdaffff,0xc80000ef,
    0xffdaffff,0x4c0000ef,0x005fffff,0xaffffc80,0x000efffd,0x77777440,
    0xeeeeeeee,0x3ffa2003,0xffffffff,0x2fffffff,0xfffffb00,0x003fffff,
    0x2bffff20,0x000efffd,0xffffd100,0xff900003,0xffffffff,0x403fffff,
    0xfdbcfffd,0xffffffff,0xffc80004,0xf80003ff,0xff507fff,0x744009ff,
    0xffffffff,0x1fffffff,0x7fffe400,0x00efffda,0x1fffffea,0x7ffe4000,
    0x00001eff,0x40000000,0x001efffc,0x0009fff5,0xefffc800,0x07ffff20,
    0xefffc800,0x07ffff20,0xffffd000,0xffc80007,0x3fff20ef,0x0000001f,
    0x7fff4000,0x87ffffff,0x1002fffe,0xfffffffb,0x3f20005f,0x3ff20eff,
    0x200001ff,0x000ffffc,0xfffffd10,0xffd99dff,0x7d403fff,0x7fff4c0f,
    0x80005fff,0x001efffc,0x07fff900,0x000ffffc,0x9dfffffd,0xfdb99559,
    0x7fe4003f,0x3fff20ef,0xffff101f,0x5c0000bf,0x0000cccc,0x00000000,
    0x0066664c,0x003fffe0,0x66654000,0x09999503,0x0f332a00,0x00266654,
    0x013ffa60,0x07999500,0x0013332a,0xc8000000,0xffffffff,0xfffe87ff,
    0x7f6cc002,0x50000bee,0x32a07999,0x400004cc,0x8003ccca,0xbffffff8,
    0x00fed401,0xeeda8066,0xc980002c,0x00000ccc,0x2e201654,0x3ff2001c,
    0x51001cff,0x3332a001,0x09999503,0x0077ffd4,0x00000000,0x00000000,
    0x7fe40000,0x0000003f,0x00000000,0x01000000,0x00000000,0x00000000,
    0x3fffffea,0xe87fffff,0x00002fff,0x00000000,0x00000000,0x0fffffe4,
    0x00002600,0x00000000,0x00000000,0x27fffcc0,0x00000000,0x002a8800,
    0x00000000,0x00000000,0x3fe20000,0x0000006f,0x00000000,0x00000000,
    0x00000000,0x000cc000,0xffffffb0,0xd0ffffff,0x00005fff,0x00000000,
    0x00000000,0x077fffc4,0x00000000,0x00000000,0x00000000,0x001fffee,
    0x00000000,0x00000000,0xffff5000,0x3ffee000,0x00000006,0x000bfff6,
    0x00000000,0x00000000,0x00000000,0xca800000,0xaceffffe,0xffffd000,
    0xffffffff,0x005fffd0,0x00000000,0x00000000,0x7fffe400,0x00000000,
    0x00000000,0x00000000,0x05fffd80,0x00000000,0xfe800000,0xffffffff,
    0xffffffff,0x542fffff,0x70007fff,0x3e20dfff,0xffffffff,0xffffffff,
    0x17ffea07,0x3fffd000,0xfff70000,0x3fffe205,0xffffffff,0x207fffff,
    0xfffffffd,0xffffffff,0xfffb1fff,0xfb00007f,0xd1003fff,0xffffffff,
    0xf8803fff,0xffffffff,0xffe87fff,0xffffb02f,0xffffffff,0x03ffffff,
    0xfffff980,0xff880006,0xffffffff,0x7fffffff,0x027fffcc,0xfffd8000,
    0xffffffff,0x1fffffff,0x007ffffb,0x3ffffb00,0x00fffff6,0x3ffff600,
    0x01bfffa1,0x3ffe6000,0xfff70007,0x0009998d,0x3ffffffa,0xffffffff,
    0xffffffff,0x03fffd42,0x06fffb80,0xfffffff1,0xffffffff,0xffe80fff,
    0x3fa0000f,0xc80001ff,0xff101fff,0xffffffff,0xffffffff,0x7ffffec0,
    0xffffffff,0xf31fffff,0x0001ffff,0x02ffffcc,0x7fffffd4,0xffffffff,
    0x3fffe602,0xffffffff,0x02fffe87,0xfffffffb,0xffffffff,0xc8003fff,
    0x01ffffff,0x7fffc400,0xffffffff,0x6c7fffff,0x0000ffff,0xfffffb00,
    0xffffffff,0x263fffff,0x000fffff,0x97fffe60,0x00fffff9,0x3fffe600,
    0x07fffe45,0x3fe60000,0xff70007f,0x27ffc4df,0xfffffd00,0xffffffff,
    0xffffffff,0x7fffa85f,0xdfff7000,0x3ffffe20,0xffffffff,0x5c07ffff,
    0x20004fff,0x0002fffd,0x101fffc8,0xffffffff,0xffffffff,0x7ffec0ff,
    0xffffffff,0x1fffffff,0x00fffff2,0x0ffffd80,0x7ffffe40,0xfffecbef,
    0xff303fff,0xffffffff,0xfffd0fff,0x3ffff605,0xffffffff,0x01ffffff,
    0x7fffffc0,0x7c40004f,0xffffffff,0xffffffff,0x02ffff47,0xfffb0000,
    0xffffffff,0x3fffffff,0x01ffffe4,0x1ffffb00,0x03ffffc8,0x3ffff600,
    0x27fffdc0,0x3fe60000,0xff70007f,0x2fffc4df,0xdddddb00,0xffffdddd,
    0xdddddddd,0x7fffa83d,0xdfff7000,0x3bfffe20,0xeeeeeeee,0x4406eeee,
    0x20007fff,0x0002fffc,0x100fffc8,0xddddffff,0xdddddddd,0x777640dd,
    0xffffeeee,0x1eeeeeee,0x03ffffe2,0x3fffe600,0x7fffd404,0xffc880af,
    0xfff02fff,0xffffffff,0x5fffd0ff,0x3bbbbb20,0xeeffffee,0x001eeeee,
    0x3fffffe6,0x7c40006f,0xeeeeefff,0xeeeeeeee,0x01ffffc6,0xddd90000,
    0xffffdddd,0x3ddddddd,0x07ffffc4,0x7fffcc00,0xfffff884,0xfff98000,
    0xffff984f,0x2600005f,0x70007fff,0x7fc4dfff,0x5c00005f,0x50007fff,
    0x2000ffff,0xf106fffb,0x00003fff,0x00bfff20,0x01fffe40,0x07ffec00,
    0x01ffff88,0x3ee00000,0x7dc007ff,0xe8004fff,0x7400ffff,0xc801ffff,
    0xfd06ffff,0xffffffff,0xfffd0fff,0xfff70005,0x7e40000f,0x1ffffdff,
    0x3ffe2000,0x7c40001f,0x00002fff,0xffff7000,0xffffb800,0xfffe8004,
    0xffff700f,0xfffd0009,0x3ffee01f,0x80003fff,0x0007fff9,0x7ccdfff7,
    0x400005ff,0x0007fffb,0x000ffff5,0x441bffee,0x0001ffff,0x0dfff300,
    0x0fffee00,0x1fff6000,0x01ffff88,0x3ee00000,0xfe8007ff,0x2a000fff,
    0x5403ffff,0x2002ffff,0xd81ffffc,0xffffffff,0xffe87fff,0xffb8002f,
    0x3e00007f,0xfffe9fff,0x3fe20004,0x540001ff,0x0001ffff,0xfff70000,
    0xfffd000f,0x7fd4001f,0x7ff403ff,0x3ea000ff,0x7ec03fff,0x0bffffff,
    0xffff3000,0x3ffee000,0x017ffe66,0xffff7000,0x3ffea000,0xfff70007,
    0x3fffe20d,0x36000001,0xb8001fff,0x80003fff,0x3e207ffe,0x00001fff,
    0x1fffee00,0x3fffea00,0x3fffa005,0x4fffe806,0x5ffff800,0xffffff88,
    0xe87fffff,0xb8002fff,0x00007fff,0x3f2dfff3,0x220006ff,0x0001ffff,
    0x003fffdc,0xff700000,0xff5000ff,0x7f400bff,0xffa806ff,0x3fa005ff,
    0xff9006ff,0x5bffffff,0x7fff9800,0xdfff7000,0x0037ffcc,0x1fffee00,
    0x3fffd400,0x6fffb800,0x03ffff10,0x7fd40000,0xffa8004f,0xfe80004f,
    0x3ffe206f,0x0000001f,0x001fffee,0x00fffff4,0x017fffd4,0x007fffea,
    0x03ffff20,0x3fffffee,0xfe87ffff,0xfb8002ff,0x900007ff,0x3fe69fff,
    0xf10001ff,0x80003fff,0x0007fffc,0x3fee0000,0xffd0007f,0xff5003ff,
    0x3fa005ff,0xfa801fff,0x26002fff,0xfffffffe,0xff3002ef,0x3ee000ff,
    0x3ffe66ff,0x7dc00006,0xf50007ff,0x2e000fff,0xff106fff,0x000003ff,
    0x000ffff8,0x0027ffd4,0x1037ffc0,0x0003ffff,0x7ffdc000,0xfff30007,
    0xfffd00df,0xffffb00b,0x3ffea000,0xffffb03f,0xd0ffffff,0x70005fff,
    0x0000ffff,0xff87fffe,0xf10003ff,0x80003fff,0x0006fffd,0x3fee0000,
    0xff30007f,0xffd00dff,0x7fcc00bf,0xffe806ff,0xfb50005f,0xdfffffff,
    0x7fff9803,0xdfff7000,0x0037ffcc,0x1fffee00,0x3fffd400,0x6fffb800,
    0x03ffff10,0xffb80000,0x7fcc003f,0xff80005f,0x3ffe205f,0x0000001f,
    0x001fffee,0x02ffffd8,0x007fffee,0x0013fffe,0x103ffff8,0xfffffff9,
    0x5fffd0ff,0xffff7000,0xfff30000,0x06fffc8f,0x3ffff100,0xfffc8000,
    0x00000007,0x001fffee,0x02ffffd8,0x007fffee,0x05ffffb0,0x00ffffdc,
    0x3fff2600,0x203fffff,0x0007fff9,0x7d4dfff7,0x400006ff,0x0007fffb,
    0x000ffff5,0x441bffee,0x0001ffff,0x37ffc400,0x17ffe600,0x7fc01988,
    0x3ffe205f,0x0000001f,0x001fffee,0x06ffff88,0x2013fffe,0x002ffff9,
    0x013fff60,0xffffff91,0x05fffd0f,0x0ffff700,0x9fff9000,0x01ffffa8,
    0x1ffff880,0x7ffdc000,0x0000000f,0x00ffff70,0x37fffc40,0x009ffff0,
    0x0dffff10,0x0027fffc,0xfffd7100,0x3e605fff,0xf70007ff,0x7ffd4dff,
    0x7dc00007,0xf50007ff,0x2e000fff,0xff106fff,0x000003ff,0x005fffb0,
    0xf037ffc4,0x3fe205ff,0x3ffe204f,0x0000001f,0x001fffee,0x07ffff90,
    0x001ffff7,0x003ffff5,0x02fffec0,0x7ffecb88,0x002fffe8,0x007fffb8,
    0x82ffff80,0x8003ffff,0x001ffff8,0x0ffffd40,0xb8000000,0x40007fff,
    0xb83ffffc,0x0000ffff,0x707ffff9,0x0001ffff,0x3fffea00,0xfff981ff,
    0xfff70007,0x03fffd4d,0x3ffee000,0xfff50007,0x3fee000f,0xffff106f,
    0x30000003,0xf800bfff,0xfff506ff,0x13ffe20b,0x01ffff88,0x3ee00000,
    0x440007ff,0x7c47ffff,0xf5003fff,0x40001fff,0x0006fffc,0x02fffe80,
    0x07fffb80,0x3fffcc00,0x006fffd8,0x01ffff88,0x7fffcc00,0x00000002,
    0x000ffff7,0x47ffff88,0x003ffff8,0x1ffffe20,0x007ffff1,0xffe88000,
    0xfff985ff,0xfff70007,0x03fffd4d,0x3ffee000,0xfff50007,0x3fee000f,
    0xffff106f,0x55555557,0x00355555,0x003fffd0,0xfc837ffc,0xff980fff,
    0x3ffe203f,0xaaaaaabf,0x01aaaaaa,0x0ffff700,0xffff7000,0x037ffe47,
    0x00ffff70,0x07fffb80,0xfffe8000,0xfffb8002,0x7fe40007,0xffff505f,
    0xfff88001,0xaaaaaabf,0x21aaaaaa,0x003ffff9,0xff700000,0xf70000ff,
    0x7fe47fff,0xfb80006f,0x3ff23fff,0x0000006f,0x30ffffd1,0x5555ffff,
    0x55555555,0x54dfffb5,0x00007fff,0x003fffdc,0x007fffa8,0x20dfff70,
    0xfffffff8,0xffffffff,0xfa8003ff,0x3fa004ff,0xfffff07f,0x07fff307,
    0x7fffffc4,0xffffffff,0x70003fff,0x0000ffff,0x7c5bfffa,0x2e002fff,
    0x40007fff,0x000ffffb,0x17fff400,0x3fffdc00,0x3fffe000,0x7ffff102,
    0xffff8800,0xffffffff,0x7c3fffff,0x00007fff,0xffff7000,0x3ffa0000,
    0x5ffff16f,0x3ffa0000,0x5ffff16f,0x64000000,0x7cc0ffff,0xffffffff,
    0xffffffff,0x3ee6ffff,0x400007ff,0x0007fffb,0x000ffff5,0x441bffee,
    0xffffffff,0xffffffff,0xfff0003f,0x3ffa001f,0xfffff987,0x02fffa86,
    0x3fffffe2,0xffffffff,0x70003fff,0x0000ffff,0x32ffffea,0x64006fff,
    0x40007fff,0x000ffffa,0x17fff400,0x3fffdc00,0xffff3000,0x37ffec01,
    0x3fffe200,0xffffffff,0x643fffff,0x0003ffff,0xfffb8000,0xff500007,
    0xdfff97ff,0x7fd40000,0x6fffcbff,0x4c000000,0x7cc1ffff,0xffffffff,
    0xffffffff,0x3ee6ffff,0x00000fff,0x001fffee,0x003fffd4,0x106fffb8,
    0xffffffff,0xffffffff,0x3f20007f,0xffb003ff,0xffffc81f,0x7ffd40ff,
    0x3fffe202,0xffffffff,0x003fffff,0x00ffff70,0x7fffec00,0x4001ffff,
    0x0007fffb,0x003fffdc,0x17fff400,0x3fffdc00,0xbfff9000,0x0ffffb80,
    0x3fffe200,0xffffffff,0x4c3fffff,0x0007ffff,0xfffb8000,0x3f600007,
    0x1fffffff,0x7fec0000,0x01ffffff,0x7d400000,0x7fcc0fff,0xffffffff,
    0xffffffff,0x3fee6fff,0x200000ff,0x0007fffb,0x000ffff5,0x441bffee,
    0xaaabffff,0xaaaaaaaa,0xff10001a,0x3ff600df,0x7efffc0f,0x7ffd43ff,
    0x3fffe201,0xaaaaaaab,0x001aaaaa,0x00ffff70,0x7fffcc00,0xa8005fff,
    0x0000ffff,0x001ffff2,0x0bfffa00,0x1fffee00,0x3ffff800,0x1ffffc40,
    0x7ffff100,0x55555555,0xfb035555,0x00009fff,0x7fffb800,0x3fe60000,
    0x005fffff,0xffff9800,0x00005fff,0x6fffc800,0xaaffff98,0xaaaaaaaa,
    0x6fffdaaa,0x003fffee,0x7fffb800,0xffff5000,0x3ffee000,0x3ffff106,
    0xd8000000,0xfc801fff,0x3ffe60ff,0x7dc6fff8,0x3fe201ff,0x000001ff,
    0x01fffee0,0xffff9000,0xf30001ff,0x40003fff,0x0006fffc,0x02fffe80,
    0x07fffb80,0x1ffff300,0x0dfffd00,0x0ffffc40,0xfffa8000,0x00000dff,
    0x0ffff700,0xfffc8000,0x00000fff,0xffffff90,0x80000001,0x984ffffa,
    0x70007fff,0x7fdcdfff,0x200000ff,0x0007fffb,0x000ffff5,0x441bffee,
    0x0001ffff,0x7ffd4000,0x1fffc805,0x7fedbff2,0x03ffee1f,0x01ffff88,
    0x3ee00000,0x400007ff,0x04fffff8,0x3ffff100,0x7ffec000,0xfe800005,
    0xfb8002ff,0xf90007ff,0x3ee00dff,0xf1000fff,0x00003fff,0x7fffffe4,
    0x0fe4c00a,0x3fffdc00,0x3fe20000,0x00004fff,0x3ffffe20,0x0ac98004,
    0x3ffee200,0xfff981ff,0xfff70007,0x0ffffe4d,0xfff70000,0x3fea000f,
    0xff70007f,0x3ffe20bf,0x0000001f,0x400fffe8,0x3fa1fffb,0x47fff53f,
    0x2200fffc,0x0001ffff,0x3ffee000,0xfc800007,0x20000fff,0x0003ffff,
    0x000ffffe,0x0bfffa00,0x1fffee00,0x1ffffc00,0x3ffff980,0x3ffff100,
    0xffc80000,0xcdefffff,0x1ffffedc,0x7fffb800,0xffc80000,0x000000ff,
    0x007fffe4,0x6f7ffcc0,0xdccaabcc,0x02ffffff,0x000ffff3,0xfc9bffee,
    0x00001fff,0x001fffee,0x007fffcc,0x827ffe40,0x001ffff8,0xffb80000,
    0x7ffdc03f,0x223fff32,0x3ff26fff,0x7fffc407,0x20000001,0x0007fffb,
    0x07fffb80,0x37fffc00,0xffffa800,0xff800001,0xfb8001ff,0xf98007ff,
    0xeeeeefff,0xffeeeeee,0xff1006ff,0x000003ff,0xfffffffb,0xffffffff,
    0xff70003f,0x700000ff,0x0000ffff,0x0ffff700,0x3fffe600,0xffffffff,
    0x02ffffff,0x001fffe6,0xf937ffdc,0x00003fff,0x003fffdc,0x01ffff88,
    0x03fffd80,0x003ffff1,0xff100000,0xfffa80ff,0xfd8dff93,0x0fffb1ff,
    0x01ffff88,0x3ee00000,0x800007ff,0x0007fffb,0x007fffe4,0x03fffec0,
    0x7ffc4000,0xffb8000f,0xffc8007f,0xffffffff,0xffffffff,0xff8800ff,
    0x000001ff,0xffffffd7,0xffffffff,0xfff70003,0xf700000f,0x00000fff,
    0x00ffff70,0x3ffffe60,0xffffffff,0x4c02efff,0x70007fff,0x7fe4dfff,
    0x200001ff,0x0007fffb,0x000bfffe,0x4407fffe,0x0001ffff,0xfff90000,
    0x9fffcc05,0x7fd44ffe,0x80dffb4f,0x001ffff8,0x3fee0000,0xb800007f,
    0x40007fff,0x003ffff9,0x01ffffc4,0x7ffcc000,0xfff70007,0xffff000f,
    0xffffffff,0xffffffff,0xfff1007f,0x8000003f,0xffffffc9,0x000adfff,
    0x00ffff70,0xffff7000,0xf7000000,0x22000fff,0xfffffedb,0x2cefffff,
    0x0ffff300,0x9bffee00,0x001ffffc,0x1fffee00,0x6fffe800,0x7fffdc00,
    0x3ffff100,0x20000000,0x2606fff9,0xfff9cfff,0xfb7fff81,0xfff880df,
    0x0000001f,0x001fffee,0x1fffee00,0x3fff6000,0x3ff6000e,0x7000006f,
    0x2000bfff,0x4007fffb,0xfffffff9,0xffffffff,0x05ffffff,0x01ffff88,
    0xffb00000,0x0001339f,0x01fffee0,0x3ffee000,0xb8000007,0x00007fff,
    0x3ffeaa66,0xff98002f,0xff70007f,0x7fffecdf,0x3ee00002,0x2e0007ff,
    0x1002ffff,0x4409ffff,0x0001ffff,0x3ffa0000,0x9fff101f,0x3f20dff7,
    0x05ffeaff,0x00ffffc4,0xff700000,0x700000ff,0x0000ffff,0x01dffff5,
    0x05ffff90,0x7c400260,0x70004fff,0xc800ffff,0x90006fff,0x8801ffff,
    0x0001ffff,0x1ffff000,0xff700000,0x700000ff,0x0000ffff,0x0ffff700,
    0x3fe20000,0xff30007f,0x3ee000ff,0x3fff66ff,0x2e00002f,0x40007fff,
    0x403ffffe,0x00ffffe9,0x007fffe2,0xfa800000,0xfff104ff,0x2a09ffbb,
    0x5ffedfff,0x0ffffc40,0xf7000000,0x00000fff,0x000ffff7,0x3bffffa0,
    0xffff9101,0x0bfa200d,0x1ffffb10,0x3ffee000,0x7fff4007,0xfff30003,
    0xfff8805f,0x8000001f,0x0006fff8,0x0ffff700,0xfff70000,0x7000000f,
    0x0000ffff,0x017ffe60,0x03fffcc0,0x06fffb80,0x3ee00000,0x540007ff,
    0xacdfffff,0xffffcba9,0x7ffc402f,0x0000001f,0x807fffc0,0x1fffefff,
    0x3fbfffe0,0x7ffc404f,0x0000001f,0x001fffee,0x1fffee00,0x7ffcc000,
    0xebbdffff,0x01ffffff,0x37bfff90,0x3fffea61,0x3ee0002f,0x3e6007ff,
    0x20001fff,0x4405ffff,0x0001ffff,0x4fffa800,0xff700000,0x700000ff,
    0x0000ffff,0x0ffff700,0x3fee0000,0xff30003f,0x3ee000ff,0x000006ff,
    0x01fffee0,0x3ffff600,0xffffffff,0xf8804fff,0xeeeeefff,0xeeeeeeee,
    0x3f200006,0xffff03ff,0xffc80dff,0x4404ffff,0xeeeeffff,0xeeeeeeee,
    0x3bbb206e,0xffffeeee,0x1eeeeeee,0x7fffb800,0x3fa20000,0xffffffff,
    0x000effff,0xfffffff3,0xffffffff,0xdddd900b,0xdffffddd,0x43dddddd,
    0x0006fffc,0x007fffe4,0xdddffff1,0xdddddddd,0xfc800ddd,0x320001ff,
    0xfeeeeeee,0xeeeeefff,0xfb8001ee,0x000007ff,0x007fffb8,0x1fffb000,
    0x3ffe6000,0xfff70007,0x4000000d,0x0007fffb,0xfffffd50,0x3dffffff,
    0x3fffe200,0xffffffff,0x007fffff,0x1bffe200,0x27fffff4,0x3ffffe60,
    0x7ffc403f,0xffffffff,0x07ffffff,0x3ffffff6,0xffffffff,0x8001ffff,
    0x0007fffb,0x7fffec40,0x4fffffff,0xfffe9800,0xffffffff,0xfffb004f,
    0xffffffff,0x3fffffff,0x0027fff4,0x0bfffe60,0xffffff88,0xffffffff,
    0x74007fff,0x6c0007ff,0xffffffff,0xffffffff,0xfb8001ff,0x000007ff,
    0x007fffb8,0x0dfff000,0x3fffcc00,0x6fffb800,0x2e000000,0x00007fff,
    0x3ffffb22,0x4003efff,0xfffffff8,0xffffffff,0x400007ff,0xfe82fffd,
    0xf801ffff,0x403fffff,0xfffffff8,0xffffffff,0x3ff607ff,0xffffffff,
    0xffffffff,0xfffb8001,0x95000007,0x9dfffffd,0xffa80005,0xefffffff,
    0x3fff6001,0xffffffff,0x1fffffff,0x003ffff3,0x0bffff00,0x7fffffc4,
    0xffffffff,0x7c007fff,0x6c0005ff,0xffffffff,0xffffffff,0xfb8001ff,
    0x000007ff,0x007fffb8,0x4fff8800,0x3ffe6000,0xfff70007,0x4000000d,
    0x0007fffb,0x026a6200,0xffff8800,0xffffffff,0x007fffff,0x04ccc400,
    0x03ffffec,0x2fffffc8,0x7ffffc40,0xffffffff,0x3607ffff,0xffffffff,
    0xffffffff,0xfb8001ff,0x000007ff,0x00003530,0x2b32e620,0xffd80009,
    0xffffffff,0xffffffff,0x00dfff91,0x3ffff200,0xfffff100,0xffffffff,
    0x800fffff,0x40000999,0xfffffffd,0xffffffff,0xb8001fff,0x00007fff,
    0x07fffb80,0x13330000,0x7ffcc000,0xfff70007,0x0000000d,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0333332e,0x2efd8800,0xcccb8000,
    0x19999103,0x1e665400,0x00cccc88,0x554c0000,0x01a9801a,0x00000aa8,
    0xcdcba880,0x2e00003c,0x000ccccc,0x33326000,0x32e003cc,0x999103cc,
    0x88000019,0x002aaaaa,0x00b36e60,0x53100003,0x15579bb9,0xefd88000,
    0xcca80002,0x01999103,0x03cca800,0x80019991,0x0aa801a9,0x0f332a00,
    0x00666644,0xaaaaaa80,0x1aaaaaaa,0x32000000,0x001effff,0x17ffff40,
    0x3ff62000,0x3ffe60df,0xffd8002f,0x3ffa60df,0x8000002f,0x6400fffe,
    0x3fa02fff,0x000000ff,0x3ffffff2,0xf900007f,0x0003dfff,0x7fffcc00,
    0x7ec4004f,0x3fe60dff,0x800002ff,0x00effffd,0xfffff880,0x04fa82ff,
    0xffffb100,0x07ffffff,0xffffe800,0x7fdc0002,0x07ffc80f,0x0fffb800,
    0x4007ffc8,0x3a02fffc,0x36000fff,0x3a60dfff,0x10002fff,0xffffffff,
    0x009fffff,0x3ff20000,0x40000dff,0x05fffff9,0xdfffb000,0x05ffff73,
    0x77ffec00,0x02ffffb9,0xff980000,0x7ffc405f,0xffff506f,0xd3000009,
    0xffffffff,0xff90000f,0x00001bff,0x7ffffcc0,0x3ff60002,0xffffb9ef,
    0xfd800002,0x10004fff,0xfffffffd,0xfff935bf,0xfffb8005,0xffffffff,
    0x3e60003f,0x0005ffff,0x4df7ffd4,0x005fffca,0xbefffa80,0x05fffca9,
    0x1bfffe20,0x027fffd4,0x27bfff60,0x002ffffb,0x3ffffe20,0xffffffff,
    0xc8000004,0x0003ffff,0xbfffff30,0x7fe40000,0x01ffffff,0xffffc800,
    0x0001ffff,0x5fffb000,0x0fffff00,0x013fffea,0x3fffa000,0x07ffffff,
    0x7fffe400,0x44000003,0x000effff,0xfffffc80,0x00001fff,0x02ffffd8,
    0x33fff600,0xffffffdb,0x5c004fff,0xeeffffff,0x003ffeee,0x3ffffe60,
    0xffd80005,0xffffffff,0xffb00001,0xffffffff,0xffff8003,0x9ffff507,
    0xffff9000,0x0003ffff,0xeeeeee88,0x3eeeeeee,0x7e400000,0x00001eff,
    0x01fffff4,0x3fff2000,0x00001eff,0x3ffffff2,0x10000001,0x3200dfff,
    0x3fe03fff,0x400001ff,0x41dffffc,0x3f200018,0x00001eff,0x27fffc40,
    0x3ff20000,0x0001efff,0x0efffd80,0x07fd4000,0x3fffffa6,0x7fc4005f,
    0x0cc01dff,0x3fffa000,0xd880003f,0xffffffff,0x36200002,0xffffffff,
    0xfffc8002,0x07fffe03,0x7fffe400,0x000001ff,0x00000000,0x00199993,
    0x9ffd3000,0x32e00000,0x00000ccc,0x00cccca8,0x3ee00000,0x32a003ff,
    0x00e5c402,0x3ffe2000,0x9800004f,0x0000cccc,0x2cccb800,0x99700000,
    0x00000199,0x74c9fffb,0x0cc001ee,0x059ddb50,0x0dfff900,0x74c00000,
    0x400004ff,0x0beefed9,0xdb300000,0x00017ddf,0x2e201654,0x6540001c,
    0x00000ccc,0x00000000,0x00000000,0x00000002,0x00000000,0x7fc00000,
    0x000000ff,0x7d400000,0x00000fff,0x00000000,0x00000000,0x55300000,
    0x07ffc855,0x00000000,0x000ffffa,0x00020000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x004fffa8,0x00000000,0x005fffd8,0x00000000,0x00000000,0x00000000,
    0x0013ffa0,0xf8000000,0x00002fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x74000000,
    0x00001fff,0xf8000000,0x00003fff,0x00000000,0x00000000,0x30000000,
    0x00005fff,0x7f400000,0x000005ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffff300,0x7f40000d,0xffffffff,0xffffffff,0xffe83fff,
    0xffffffff,0xffffffff,0xfffe83ff,0xffffffff,0xffffffff,0x3fffa03f,
    0xccefffff,0x2000001a,0x0006fff9,0x37ffffcc,0xff100000,0x980003ff,
    0x0000ffff,0xfff98000,0xffffffff,0xff100fff,0xffffffff,0xffffffff,
    0xff700000,0x3e60000f,0x0006ffff,0x027fffe4,0xffff1000,0xffffffff,
    0x00ffffff,0xdfffff30,0xfff10000,0xffffffff,0x0fffffff,0x7fffffc4,
    0xffffffff,0xff507fff,0x9dffffff,0x00001357,0xffffff90,0x3fa00003,
    0xffffffff,0xffffffff,0xffe83fff,0xffffffff,0xffffffff,0xfffe83ff,
    0xffffffff,0xffffffff,0x3fffa03f,0xffffffff,0x00001dff,0x002fffc8,
    0x7ffffe40,0x3000001f,0x0001ffff,0x00ffff98,0xfc800000,0xffffffff,
    0x100fffff,0xffffffff,0xffffffff,0x2a2000ff,0xfffefedb,0xff900004,
    0x0003ffff,0x6fffffc4,0xff880000,0xffffffff,0x7fffffff,0xffffc800,
    0x440001ff,0xffffffff,0xffffffff,0x3ffe207f,0xffffffff,0x07ffffff,
    0xfffffff5,0xdfffffff,0x7fc00003,0x004fffff,0xfffffd00,0xffffffff,
    0x7fffffff,0xffffffd0,0xffffffff,0x07ffffff,0xfffffffd,0xffffffff,
    0x407fffff,0xfffffffe,0xffffffff,0x3e200005,0xf80007ff,0x04ffffff,
    0xfff70000,0xff30000f,0x000001ff,0xfffff880,0xffffffff,0xfff100ff,
    0xffffffff,0x0fffffff,0xffffd880,0x0dffffff,0xffff8000,0x40004fff,
    0x3ffffffb,0x7ffc4000,0xffffffff,0x07ffffff,0xffffff80,0x7c40004f,
    0xffffffff,0xffffffff,0x3fffe207,0xffffffff,0x507fffff,0xffffffff,
    0xffffffff,0xf9800019,0x06ffffff,0xffffd000,0xffffffff,0xffffffff,
    0xfffffd05,0xffffffff,0x5fffffff,0xffffffd0,0xffffffff,0x05ffffff,
    0x7777fff4,0xfffffeee,0x700003ff,0x80009fff,0xfffffff9,0xf9000006,
    0x30000dff,0x0001ffff,0xfffb8000,0xcccdffff,0xf100cccc,0xdddddfff,
    0xdddddddd,0x7ff4c00d,0xffffffff,0x20002fff,0xfffffff9,0x3fee0006,
    0x1effffff,0xffff1000,0xdddddddd,0x00dddddd,0xffffff98,0x7c40006f,
    0xeeeeefff,0xeeeeeeee,0x3fffe206,0xeeeeeeee,0x506eeeee,0xddddffff,
    0xfffffffd,0x640005ff,0xffffdfff,0x00000001,0x02ffffcc,0x7ffcc000,
    0x9800005f,0x7405ffff,0x36603fff,0x001fffff,0x00fffe80,0x6fffe400,
    0x0001ffff,0x05fffd80,0xffff9800,0x40000000,0xfffdeffe,0xfff10001,
    0x4000003f,0xeffffffb,0xffffffcc,0xff90001f,0x03ffffbf,0xfffff700,
    0x09ffffff,0x3ffff100,0xf9000000,0x3ffffbff,0x7ffc4000,0x4400001f,
    0x0001ffff,0x81fffea0,0xfffffc98,0xfff0002f,0x09fffd3f,0xe8000000,
    0x0000ffff,0x0ffffe80,0xffe80000,0x7ff400ff,0xfffb803f,0x7d40005f,
    0xf80005ff,0xfffe9fff,0xfe800004,0x980004ff,0x0000ffff,0x3ffe6000,
    0x001fffdb,0x03ffff10,0x3fe60000,0x3e60afff,0x0fffffff,0x9ffff800,
    0x4004fffe,0xd53ffff9,0x03dfffff,0x0ffffc40,0x7fc00000,0x4fffe9ff,
    0x3ffe2000,0x4400001f,0x0001ffff,0x01fffea0,0x37fffec4,0xb7ffcc00,
    0x0006fffc,0x3fee0000,0x800003ff,0x003ffffb,0xffffb800,0x3fffe803,
    0x0dfffd00,0x1fffd800,0x7ffcc000,0x00dfff96,0x7ffff000,0xfff30000,
    0x0000001f,0x7ec7ffe4,0xf10001ff,0x00003fff,0x03bfff60,0x3feffff2,
    0x7cc005ff,0xdfff96ff,0x4fffe800,0xffffffc8,0xffff1003,0x98000003,
    0xfff96fff,0x7fc4000d,0x400001ff,0x001ffff8,0x1fffea00,0x7ffff700,
    0x4fffc800,0x003ffff3,0xff300000,0x00000bff,0x00bffff3,0xffff3000,
    0x3fffa00b,0xffff7003,0x7ffc4000,0xffc80006,0x3ffff34f,0xffffc800,
    0xffffffff,0x3fffffff,0x0ffff980,0xf1000000,0x3fff6bff,0xfff10001,
    0x5000003f,0x3e01ffff,0xffffd4ff,0x7ffe4001,0x03ffff34,0x03fffe60,
    0x7fffff4c,0xffff8804,0x64000001,0xfff34fff,0x3e20003f,0x00001fff,
    0x00ffffc4,0xffff5000,0xffffd000,0x7fffc001,0x00ffffe1,0x3fa00000,
    0x00000fff,0x00ffffe8,0xfffe8000,0xfffd000f,0x3ffea007,0xff90001f,
    0xff00007f,0x7fffc3ff,0x7ffe4003,0xffffffff,0xffffffff,0xffff9803,
    0x70000000,0x3ff65fff,0xff10001f,0x000003ff,0x2609fffd,0xfff11fff,
    0x7ffc007f,0x0ffffe1f,0x02fffd40,0x17ffffdc,0x07fffe20,0xfff00000,
    0x1ffffc3f,0xffff8800,0x7c400001,0x00001fff,0x001fffea,0x013fffea,
    0x323fffcc,0x00006fff,0x7fffdc00,0xfb800003,0x00003fff,0x03ffffb8,
    0x00ffffa0,0x007fffd4,0x00ffff80,0x3fffcc00,0x001bfff2,0xfffffff9,
    0xffffffff,0x3007ffff,0x0001ffff,0x9fffa000,0x0001fffd,0x003ffff1,
    0xffff8800,0xd8fff901,0xf3006fff,0xfffc8fff,0xbfff7006,0x3fffea00,
    0x3ffe200f,0x2000001f,0x7e47fff9,0xf10006ff,0x00003fff,0x01ffff88,
    0x3ffea000,0xfffd0007,0x3fff200d,0x0ffffd44,0xf8800000,0x00005fff,
    0x05ffff88,0xfff88000,0x7ff4005f,0xfff9003f,0x3fea000f,0xfc80004f,
    0x7ffd44ff,0x2aa6001f,0xfffdaaaa,0xaaaaaaaf,0xfff9800a,0x8000000f,
    0x3f64fff9,0xf10001ff,0x00003fff,0x206fff98,0x7fdc4ffe,0xfff9007f,
    0x1ffffa89,0x07fffa80,0x13fffe60,0x01ffff88,0x3ff20000,0x7fffd44f,
    0xfff88001,0x4400001f,0x0001ffff,0x01fffea0,0x03fffdc0,0xf82ffff8,
    0x00003fff,0x1ffffd00,0xffd00000,0x000001ff,0x001ffffd,0x803fffe8,
    0x005ffff8,0x003fffd0,0x05ffff00,0x0007ffff,0x01bfff20,0x7fffcc00,
    0xd8000000,0x3ff60fff,0xff10001f,0x800003ff,0xf305fffa,0xfffa85ff,
    0x5ffff007,0x007ffff0,0x005ffff1,0x1037ffe4,0x0003ffff,0x17fffc00,
    0x001ffffc,0x00ffffc4,0x3ffe2000,0x2a00001f,0x50007fff,0x9801ffff,
    0xffb07fff,0x000000df,0x007ffff7,0xffff7000,0xf7000007,0xd0007fff,
    0xfb007fff,0x30001fff,0x0000bfff,0x360ffff3,0x00006fff,0x0009fffb,
    0x03fffe60,0xff100000,0x1fffd8bf,0xffff1000,0xfb800003,0xfff904ff,
    0x01ffff30,0xb07fff98,0x3a00dfff,0x5001ffff,0x7c40ffff,0x00001fff,
    0x20ffff30,0x8006fffd,0x001ffff8,0x7fffc400,0x3ea00001,0xf30007ff,
    0xfc803fff,0xfff505ff,0x4000001f,0x005ffff8,0xffff8800,0xf8800005,
    0xd0005fff,0x75407fff,0x0004ffff,0x0005fffb,0x20bfff90,0x000ffffa,
    0x03fffe80,0xffff3000,0xb8000001,0x7fec2fff,0x999999bf,0x3fffe200,
    0xaaaaaaab,0x201aaaaa,0xfd03fffd,0x3fffe09f,0x2fffe401,0x00ffffa8,
    0x1fffff98,0x01ffff00,0x2affffe2,0xaaaaaaaa,0xfc801aaa,0xfff505ff,
    0xff88001f,0xaaaaabff,0x1aaaaaaa,0x2ffffe20,0xaaaaaaaa,0xf501aaaa,
    0x22000fff,0x7c02ffff,0xff102fff,0x000007ff,0x007fffec,0x7ffec000,
    0xd800000f,0x0000ffff,0xddddfffd,0xffffffdd,0x3fe20009,0xff00007f,
    0x3fe205ff,0xf80003ff,0x00002fff,0x001ffff3,0x7ffe8000,0xffffffd8,
    0x2206ffff,0xffffffff,0xffffffff,0x3fff603f,0x82fff984,0x400ffff8,
    0xf102ffff,0x32007fff,0x403fffff,0x2207fff8,0xffffffff,0xffffffff,
    0xffff803f,0x7ffff102,0xffff8800,0xffffffff,0x203fffff,0xfffffff8,
    0xffffffff,0xfff503ff,0x7ffc000f,0x3ffe603f,0x3fff600f,0xf7000006,
    0x00007fff,0x07ffff70,0xfff70000,0x7f40007f,0xffffffff,0x003fffff,
    0x00fffee0,0x3fffe600,0x1bfff600,0xffff1000,0x3e600003,0x00000fff,
    0x213ffe60,0xfffffffd,0x3e206fff,0xffffffff,0xffffffff,0x17fff203,
    0x7cc1fff2,0x7fcc07ff,0x3ff600ff,0x3ff2006f,0xf700dfff,0x7fc40bff,
    0xffffffff,0x3fffffff,0x07fffcc0,0x00dfffb0,0xffffff88,0xffffffff,
    0x3e203fff,0xffffffff,0xffffffff,0x0ffff503,0x27fffc00,0x80bfff90,
    0x000ffffb,0x7fffc400,0xf8800005,0x00005fff,0x05ffff88,0x7ffff400,
    0xefffffff,0xffe80002,0xfc80000f,0x7fdc05ff,0x260000ff,0x0000ffff,
    0x01ffff30,0x7fec0000,0xffffd81f,0x06ffffff,0x3fffffe2,0xffffffff,
    0x3ee03fff,0x4ffe86ff,0x80dfff50,0x5c05fffc,0x2000ffff,0x3ffffffb,
    0x017fffcc,0xfffffff1,0xffffffff,0xffc807ff,0x7ffdc05f,0x3fe2000f,
    0xffffffff,0x3fffffff,0x3ffffe20,0xffffffff,0xf503ffff,0x74000fff,
    0x3fe04fff,0x7fc403ff,0x400003ff,0x000ffffd,0xffffd800,0xfd800000,
    0x40000fff,0xeeeefffe,0x002fffff,0x02fffd40,0x3ffff800,0x1ffffc40,
    0xffff5000,0x7fcc0000,0x000000ff,0x360dfff1,0x9999bfff,0x3fe20099,
    0xaaaaabff,0x1aaaaaaa,0x31fffea0,0x3ee05fff,0x7ffc04ff,0x7ffc403f,
    0x7f4c003f,0xfa9effff,0x7c405fff,0xaaaabfff,0xaaaaaaaa,0x1ffffc01,
    0x0ffffe20,0xbffff880,0xaaaaaaaa,0x2201aaaa,0xaaabffff,0xaaaaaaaa,
    0xffff501a,0x7fffc000,0x1ffff304,0x0dfffd00,0x7ffd4000,0xa800003f,
    0x0003ffff,0x3ffffa80,0xfffe8000,0x7fffe443,0x3ff60004,0xf980001f,
    0xfe800fff,0x320006ff,0x00006fff,0x003fffe6,0x7ffdc000,0x03fffb03,
    0x3fffe200,0x7c400001,0x3ff21fff,0x0ffffa07,0x00ffff98,0x006fffe8,
    0xffffff70,0x801dffff,0x001ffff8,0x7fffcc00,0x6fffe800,0x3fffe200,
    0x7c400001,0x00001fff,0x001fffea,0x81ffffc4,0x7006fffc,0x0001ffff,
    0x0dffff10,0xfff10000,0x100000df,0x000dffff,0x40ffffa0,0x002ffffb,
    0x006fff98,0x0dfff900,0x03fffee0,0x2fffec00,0xfff30000,0x2000001f,
    0xfb00fffe,0x220003ff,0x0001ffff,0x0efffd80,0x3ea09ffd,0x3f200fff,
    0xff7006ff,0x220001ff,0xfffffffd,0xfff8800d,0x6400001f,0xf7006fff,
    0x22001fff,0x0001ffff,0x0ffffc40,0xfff50000,0x3fe6000f,0xffff02ff,
    0x3ffe6007,0xfd80003f,0x00000fff,0x00ffffd8,0xfffd8000,0xfd00000f,
    0x7fec07ff,0xffc8006f,0xff00002f,0x3e6007ff,0xd0003fff,0x00009fff,
    0x007fffcc,0x7ffd4000,0x07fff605,0x7fffc400,0xfa800001,0xfff9cfff,
    0x3fffe882,0x01ffffc0,0x03ffff98,0x7fff5400,0xff1001ff,0x800003ff,
    0x3003ffff,0x2007ffff,0x001ffff8,0x7fffc400,0x3ea00001,0xf50007ff,
    0xff303fff,0xddddddff,0xfffddddd,0xfa8000df,0x00003fff,0x03ffffa8,
    0xfffa8000,0x3a00003f,0x3e603fff,0x22004fff,0x00007fff,0xdddffff3,
    0xdddddddd,0x000dffff,0x000ffffe,0x0ffff980,0xffd80000,0xaaaaaacf,
    0x0001fffe,0x003ffff1,0x3fffa000,0xe987ffef,0x7cc07fff,0xeeeeefff,
    0xffeeeeee,0x900006ff,0x001dffff,0x003ffff1,0x7fffcc00,0xeeeeeeee,
    0x6ffffeee,0x3ffff100,0xff880000,0x200001ff,0x0007fffa,0x320ffff9,
    0xffffffff,0xffffffff,0x0000ffff,0x00dffff1,0xffff1000,0xf100000d,
    0x0000dfff,0x403fffe8,0x000ffffd,0x0009fff7,0x3fffff20,0xffffffff,
    0x0fffffff,0x7fffc400,0x3e600001,0x00000fff,0x7fffffc4,0xffffffff,
    0xff10001f,0x000003ff,0x3fffffe2,0xffdb99df,0x7e402fff,0xffffffff,
    0xffffffff,0x00000fff,0x005ffff7,0x003ffff1,0x7fffe400,0xffffffff,
    0xffffffff,0xffff8800,0x7c400001,0x00001fff,0x001fffea,0x413fffe2,
    0xffffffff,0xffffffff,0x003fffff,0x01ffffb0,0xfffb0000,0xb000001f,
    0x0001ffff,0x03fffe80,0x027fffcc,0x000fffe8,0xffffff00,0xffffffff,
    0x7fffffff,0xffffa800,0x3e600000,0x00000fff,0x7fffffdc,0xffffffff,
    0xff10001f,0x000003ff,0x7fffffd4,0xffffffff,0xffff803f,0xffffffff,
    0xffffffff,0x3a00003f,0xf8804fff,0x00001fff,0x3ffffffe,0xffffffff,
    0x03ffffff,0x01ffff88,0x7ffc4000,0x2a00001f,0xc8007fff,0xf982ffff,
    0xffffffff,0xffffffff,0x8005ffff,0x003ffffa,0xffffa800,0xfa800003,
    0x00003fff,0x803fffe8,0x400ffffd,0x0005fff9,0xffffff30,0xffffffff,
    0xbfffffff,0x6fffd800,0x7fcc0000,0x400000ff,0xffffffff,0xffffffff,
    0xfff10001,0x8000003f,0xffffffe8,0x00efffff,0xffffff98,0xffffffff,
    0x5fffffff,0x3ff20000,0xfff8804f,0xf300001f,0xffffffff,0xffffffff,
    0x100bffff,0x0003ffff,0x1ffff880,0x3fea0000,0x7fcc007f,0xfff906ff,
    0x3ff2000d,0x3e2000ff,0x00006fff,0x06ffff88,0xfff88000,0xd000006f,
    0xf3007fff,0xfd807fff,0x900002ff,0x2000dfff,0x000ffffc,0x009ffff1,
    0xffff9800,0x3ea00000,0x99999dff,0x1fffd999,0xffff1000,0x20000003,
    0xffffffff,0x3f2003de,0xf90006ff,0x00001fff,0x200bfffa,0x001ffff8,
    0x0dfff900,0x3ffff200,0x7fffc400,0x7c400001,0x00001fff,0x801fffea,
    0x01ffffe9,0x0007fffd,0x00bfffe6,0x00ffffd8,0xfffd8000,0xd800000f,
    0x0000ffff,0x07fffd00,0x81ffffa0,0x0006fff8,0x00ffffa0,0x17fffcc0,
    0x2ffffb80,0x7fcc0000,0x200000ff,0xd802fffd,0x10001fff,0x0003ffff,
    0x7fff3000,0x20001355,0x0003fffe,0x005ffff3,0x1ffff700,0x3ffff100,
    0x3ffa0000,0xff30003f,0xff8805ff,0x400001ff,0x001ffff8,0x1fffea00,
    0x7ffffdc0,0x3ffff305,0x7fffc000,0xffff5005,0xf5000007,0x00007fff,
    0x07ffff50,0x7ff40000,0xfff5003f,0x3fff207f,0xff300003,0x7c0003ff,
    0x220c5fff,0x006ffffb,0xffff9800,0xff100000,0x3ff600ff,0xff10001f,
    0x000003ff,0x000fff90,0x07fffe60,0x5ffff800,0x5101bdd8,0x00bffffb,
    0x007fffe2,0x3fffe600,0x3ffe0001,0x7ffc405f,0x4400001f,0x0001ffff,
    0x41fffea0,0xffffea98,0xfff900ef,0xffc8000d,0x7fc400ff,0xffffffff,
    0xffffffff,0x7fc45fff,0xffffffff,0xffffffff,0x7fc45fff,0xffffffff,
    0xffffffff,0x3fa05fff,0x3fa003ff,0xffff06ff,0x3f200001,0x640006ff,
    0x3fe0ffff,0xffffffff,0xf9800002,0xeeeeefff,0xeeeeeeee,0x04fffc86,
    0x559fffb0,0x20355555,0xeeeffff8,0xeeeeeeee,0x7f4006ee,0xf900004f,
    0xc8000dff,0x7ec0ffff,0xffffffff,0x005fffff,0x3bbfffe2,0xeeeeeeee,
    0x7fe46eee,0x7e40006f,0x3e200fff,0xeeeeefff,0xeeeeeeee,0x3fffe206,
    0xeeeeeeee,0x506eeeee,0xddddffff,0xffffffff,0xfffe80bf,0x7fcc0004,
    0x7fcc02ff,0xffffffff,0xffffffff,0x7fcc5fff,0xffffffff,0xffffffff,
    0x7fcc5fff,0xffffffff,0xffffffff,0x3fa05fff,0x3ea003ff,0x7fd42fff,
    0x3a00004f,0x40004fff,0x3e2ffff9,0xffffffff,0xf3000003,0xffffffff,
    0xffffffff,0x03ffff0f,0x3fffff60,0x03ffffff,0xfffffff1,0xffffffff,
    0x7cc00fff,0xd00001ff,0x80009fff,0x6c2ffff9,0xffffffff,0x005fffff,
    0x7fffffc4,0xffffffff,0x7ff47fff,0x7cc0004f,0x3e202fff,0xffffffff,
    0xffffffff,0x3fffe207,0xffffffff,0x507fffff,0xffffffff,0xffffffff,
    0xffff9807,0xfff80001,0x7ffcc05f,0xffffffff,0xffffffff,0x7ffcc5ff,
    0xffffffff,0xffffffff,0x7ffcc5ff,0xffffffff,0xffffffff,0x3ffa05ff,
    0x7ffc003f,0x0ffff46f,0xfff98000,0xff80001f,0x3fffe5ff,0x0001efff,
    0x3fffe600,0xffffffff,0x547fffff,0x36006fff,0xffffffff,0xff103fff,
    0xffffffff,0xffffffff,0x03ffe400,0xffff9800,0xfff80001,0x7fffec5f,
    0xcfffffff,0xfff88001,0xffffffff,0x27ffffff,0x001ffff9,0x05ffff80,
    0x3fffffe2,0xffffffff,0x3e207fff,0xffffffff,0xffffffff,0xfffff507,
    0xffffffff,0xff90017d,0x320000df,0x2600ffff,0xffffffff,0xffffffff,
    0x4c5fffff,0xffffffff,0xffffffff,0x4c5fffff,0xffffffff,0xffffffff,
    0x205fffff,0x4003fffe,0x262ffffb,0x20000199,0x0006fffc,0x21ffff90,
    0x01abccca,0xff980000,0xffffffff,0x7fffffff,0x001fffec,0xfffffffb,
    0x2207ffff,0xffffffff,0xffffffff,0x2662007f,0xff900000,0x320000df,
    0x5440ffff,0xaacccccb,0x3fe20000,0xffffffff,0x7fffffff,0x001bfff2,
    0x07fffe40,0xffffff88,0xffffffff,0x3e207fff,0xffffffff,0xffffffff,
    0xfffff507,0x379bddff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x55550000,0x55555555,0xaaa80035,0xaaaaaaaa,0x000001aa,
    0x95100000,0x10000057,0x00005795,0xeeb80000,0x0000003e,0x001f7754,
    0x00155544,0x26055510,0x000001aa,0x05555551,0x55544000,0x22000002,
    0x002aaaaa,0x9bdfd973,0x99999999,0x05551003,0x20006aa6,0x55302aa8,
    0x32a60003,0x0002bcdd,0x000bca80,0x01aaa980,0x6402aaaa,0xdb9882cc,
    0xa8001bde,0xdeefedcb,0xff1001ac,0xffffffff,0x44009fff,0xffffffff,
    0x204fffff,0x0001dfe9,0xfff70000,0x00001bff,0x37ffffee,0x00000000,
    0x003fffd0,0x15555000,0x0017ffec,0x0fffffa2,0x17ffc400,0x00027ff4,
    0x7ffff440,0x2600000e,0x00007fff,0xdffffd10,0xfffd9801,0xffffffff,
    0x803fffff,0xfe82fff8,0xff88004f,0x04ffe82f,0x7ffffd40,0x002effff,
    0x3ffffb00,0xffe88000,0x7fff443f,0x4bfff103,0xffffffd8,0xff5004ff,
    0xffffffff,0x3e200bff,0xffffffff,0x2004ffff,0xfffffff8,0x04ffffff,
    0x001ffffa,0x3fee0000,0x006fffff,0xfffffb80,0x000006ff,0x6fff8800,
    0xfff00000,0x03fffc3f,0x3ffffa20,0xff0003ff,0x7ffd43bf,0x74400002,
    0x0004ffff,0x07fff980,0xffe88000,0xffb804ff,0xffffffff,0xffffffff,
    0x3bfff003,0x0017ffd4,0x2a1dfff8,0xd3002fff,0xffffffff,0x000bffff,
    0x5fffff98,0xffe88000,0x7fffd34f,0x9b7ffc40,0xfffffffe,0x3a205fff,
    0xffffffff,0x005fffff,0xddddddd1,0x07dddddd,0x77777440,0xeeeeeeee,
    0xfffff103,0x40000007,0xfb12fff8,0x7c40007f,0x7ffb12ff,0x04400000,
    0x00fffea0,0x7fffc000,0x009fff31,0x7effff44,0xb8003fff,0xfffeffff,
    0x200000ff,0x02ffffe8,0x26666200,0x9ffffb99,0x20000999,0x02ffffe8,
    0xcfffffa8,0xffffdb9a,0x003fffff,0xffdffff7,0x20001fff,0xffeffffb,
    0xf8800fff,0xecefffff,0x03fffffe,0x3fffee00,0xd100007f,0xffffbfff,
    0xefff8807,0xeffffff8,0x05ffffff,0xbdfffffd,0xbfffdb99,0x00000000,
    0xfe800000,0x00004fff,0x10ffe600,0x4c000bff,0x2ffc43ff,0x36e60000,
    0x7ffe404f,0xff000000,0x3fff23ff,0xfffd1001,0x0ffffa67,0x3ffffa00,
    0x0002ffff,0x3bfffa20,0x7fd40000,0xffffffff,0x003fffff,0x1dfffd10,
    0xdffff100,0x3fffa601,0x3ffa0006,0x02ffffff,0x7ffff400,0xb002ffff,
    0x2607ffff,0x000ffffe,0xdfffff50,0x7f440000,0x803fffff,0xffeffff8,
    0x3fea21df,0x7fe40fff,0x54400bff,0x00000002,0x4c000000,0x0005ffff,
    0x0bfee000,0xb8001ffa,0x07fe82ff,0x7ffe4000,0x02fffc04,0xffff0000,
    0x401bffa3,0x442fffe8,0x8003fffe,0x1efffffb,0x3fa20000,0x500004ff,
    0xffffffff,0x7fffffff,0xfffd1000,0x7ffe4009,0x7ffcc00f,0x3ee0002f,
    0x001effff,0xfffff700,0x3fea003d,0x7fc401ff,0x360002ff,0x0001ffff,
    0x7ffff440,0xffff1002,0x7cc05fff,0x7ffc4fff,0x0000003f,0x00000000,
    0x3fffc800,0x26000000,0x2ffc45ff,0x8bff3000,0x00005ff8,0x3027ffe4,
    0x00005fff,0x44ffffc0,0x53003fff,0x55540355,0x3530000a,0x53000001,
    0x40000355,0xfffffffa,0xffffffff,0xaaa98003,0x7ffec001,0xbfffb003,
    0x13530000,0x2a600000,0x7fec0009,0xfffb004f,0xcdb80009,0x51000001,
    0x7c400355,0x801fffff,0x3e27fffc,0x00000fff,0x00000000,0xffa80000,
    0x0000002f,0x754e7ffc,0x7c0003ff,0xffea9cff,0x7e400003,0x2aa204ff,
    0x7c000002,0xaaa89fff,0x00000000,0x00000000,0x31000000,0xff733333,
    0x013333ff,0xff000000,0x3ee003ff,0x000006ff,0x00000000,0x001fffe8,
    0x0009fff9,0x00000000,0xffff8800,0xfff3002f,0x3fffe25f,0x7ec00001,
    0xffffffff,0xffffffff,0xffff101f,0xffffffff,0x20ffffff,0x0000fffc,
    0x7ffcc000,0x0005ffff,0xffffff98,0xc800005f,0x00004fff,0xffff0000,
    0x00000003,0x00000000,0x00000000,0x01fffe60,0x22000000,0x5000ffff,
    0x0000ffff,0x00000000,0x0ffff880,0x07fffd00,0x00000000,0xff880000,
    0x7fc003ff,0x3fffa3ff,0x7ec00006,0xffffffff,0xffffffff,0xffff101f,
    0xffffffff,0x70ffffff,0x00007fff,0x3ffa6000,0x200004ff,0x04ffffe9,
    0xfff90000,0x00000009,0x007fffe0,0x00000000,0x00000000,0x4c000000,
    0x00007fff,0xfff88000,0xfff7001f,0x0000000b,0x98000000,0xf5007fff,
    0x00003fff,0x00000000,0x0ffff880,0x1fffec00,0x05dffffb,0x3fff6000,
    0xffffffff,0x1fffffff,0xffffff10,0xffffffff,0x7f74ffff,0x000005ff,
    0x009a9800,0x13530000,0x7e400000,0x000004ff,0x3ffff000,0xba880000,
    0x00acceed,0x80033332,0x8002ccca,0xcceedba8,0xba88000a,0xffbabced,
    0x2e60007f,0xbcdefeec,0x3ffff800,0x09fffb00,0xfdd97300,0x000179bd,
    0x7bdd9530,0xfffa8015,0xffffa806,0x32a60004,0x000abdee,0xbdd95300,
    0xff880157,0x7e4000ff,0x3ffe24ff,0x001cffff,0x3bbbbb20,0xeeffffee,
    0x101eeeee,0xddddffff,0xdddddddd,0x27fffcdd,0x00000000,0x00000000,
    0xcccc9800,0xcefffecc,0xcccccccc,0x7310002c,0xff379dd9,0x200003ff,
    0xfffffffb,0xf886ffff,0x32000fff,0x2e004fff,0xffffffff,0xf5006fff,
    0xffffffff,0x800fffff,0xffffffda,0x0cffffff,0x03ffff60,0x05ffff30,
    0x3ffff6a0,0xffffffff,0xff98000c,0xffffffff,0x1bffea03,0x1dffff90,
    0xffff3000,0x07ffffff,0x7fffcc00,0x03ffffff,0x003fffe2,0x98bfff90,
    0xffffffff,0x200001cf,0x0007fffb,0x003ffff1,0x001cef80,0x33320000,
    0x332a000c,0xd973002c,0x0179bdfd,0xfffff700,0xffffffff,0xffffffff,
    0xffe98009,0xffffffff,0x40001fff,0xffffffd8,0x87ffffff,0x000ffff8,
    0x2013fff2,0xffffffd8,0x07ffffff,0x7ffffec4,0xffffffff,0x7fec007f,
    0xffffffff,0x301fffff,0x201bffff,0x006fffe9,0x3ffffff6,0xffffffff,
    0x3fee001f,0xffffffff,0xffa80dff,0xfffb106f,0x3ee000bf,0xffffffff,
    0x4000dfff,0xfffffffb,0x80dfffff,0x000ffff8,0x4437ffdc,0xfffffffc,
    0x80002eff,0x0007fffb,0x003ffff1,0x00000000,0x01ffff10,0x027ffe40,
    0xffffffb5,0x19ffffff,0x7fffdc00,0xffffffff,0xffffffff,0x3ff2004f,
    0xffffffff,0x001fffff,0x3ffffee0,0xfffeefff,0xffff887f,0x3fff2000,
    0x7fffdc04,0xffeeffff,0x3fe607ff,0xeeefffff,0x07ffffff,0x7ffffec0,
    0xffffedee,0xff700eff,0x97359fff,0x001fffff,0x77ffffec,0xfffffede,
    0xffd800ef,0xfdcbdfff,0x540fffff,0xffb06fff,0x360007ff,0xcbdfffff,
    0x0ffffffd,0xfffffb00,0xffffb97b,0xfff881ff,0x7fe4000f,0x3ff2604f,
    0xdfffffff,0x3fee0000,0xff10007f,0x800003ff,0x5440ccca,0x002cdfed,
    0x001ffff1,0xb027ffe4,0xffffffff,0x3fffffff,0x3fffee00,0xffffffff,
    0xffffffff,0xffe8804f,0xfeeeffff,0x01ffffff,0xfffff300,0xfd71015d,
    0x01ffff10,0x027ffe40,0x5dfffff3,0x40fd7101,0x00bffffe,0x00ffffb5,
    0x200bdfd8,0x05ffffe9,0xfffffffb,0x5fffffff,0x0bdfd800,0x3ffffa60,
    0x7fffe405,0x3ffff204,0x437ffd44,0x002ffffa,0x09ffff90,0x027fffe4,
    0x027fffe4,0x889ffff9,0x4000ffff,0x5003fffd,0xfffffff9,0x7fdc000d,
    0xff10007f,0x800003ff,0x3ea1fffc,0xefffffff,0x7fffc400,0x3fff2000,
    0x3ffff604,0xfffedeef,0x0000efff,0x0027ffe4,0x3ffff600,0xfff7301d,
    0x3fa0003f,0x02004fff,0x003fffe2,0x204fffc8,0x004ffffe,0x7fffdc02,
    0x7fff9801,0x20004c00,0xfa87fffe,0xffffffff,0x000cffff,0x7f400098,
    0x3fe207ff,0xffb802ff,0x3ffea1ff,0x05fffd86,0x5ffff100,0x3ffff700,
    0x17fffc40,0x0ffffdc0,0x001ffff1,0x002fffe8,0xfffffda8,0xfff70004,
    0x3fe2000f,0x400001ff,0xffb1fffc,0xffffffff,0x7ffc403f,0x3ff2000f,
    0x2f7f604f,0x3fffa600,0x7e40005f,0x200004ff,0x002ffffa,0x0003ffff,
    0x007ffff7,0x1ffff100,0x27ffe400,0x03ffffb8,0xffff8800,0xffff3002,
    0xf3000000,0x7fc41fff,0xbfdb936f,0x00000379,0x0ffff980,0x00bfff90,
    0xf52ffff4,0xfffd0dff,0x3ff20005,0x3ffa005f,0x3fff205f,0x3fffa005,
    0x03fffe25,0x01ffff00,0x7fffcc00,0xfff70007,0x3fe2000f,0x400001ff,
    0xffdafffc,0xfffeeeff,0x3fe205ff,0x3f2000ff,0x002604ff,0x00ffffd0,
    0x04fffc80,0x3fffa000,0x3fffe003,0x7ffc4001,0xf100006f,0x64001fff,
    0xff884fff,0x900006ff,0x4c00dfff,0x00007fff,0x45ffff00,0x0003fff9,
    0x3e000000,0xff882fff,0x3ea000ff,0x3ffea7ff,0x04fffe86,0x0ffff880,
    0x1fffea00,0x007fffc4,0x44ffff50,0x2000ffff,0x0007fffa,0x00ffffa8,
    0x07fffb80,0x3ffff100,0xffc80000,0x41dfffef,0x01ffffe8,0x001ffff1,
    0x0027ffe4,0x3fffe600,0x3ff20000,0xf700004f,0xff800fff,0x7d4001ff,
    0x00001fff,0x001ffff1,0x5427ffe4,0x0001ffff,0x005fffd0,0x003fffcc,
    0xfffe8000,0x00bfff23,0x80000000,0xfb83fffe,0xff8005ff,0xdfff50ff,
    0x01ffff90,0x05fffb80,0x80ffff80,0x8005fffb,0xff10ffff,0x7f4001ff,
    0x880004ff,0x8001ffff,0x0007fffb,0x003ffff1,0xffffc800,0x3fe204ff,
    0xfff104ff,0x7fe4001f,0xf800004f,0x20002fff,0x0004fffc,0x007fffb0,
    0x001ffff8,0x0037ffdc,0x1ffff100,0x27ffe400,0x0037ffdc,0x01ffff00,
    0x03fffcc0,0xffe80000,0x1bfff63f,0x00000000,0xc83fffe8,0xf8004fff,
    0xfff51fff,0xdffff50d,0x7ffe4001,0xffff8004,0x04fffc81,0x11ffff80,
    0x2001ffff,0x000ffffb,0x0ffff980,0x7fffb800,0xffff1000,0xfc800003,
    0xc804ffff,0xff105fff,0x7e4001ff,0x800004ff,0x0003fffe,0x0013fff2,
    0x00ffffc0,0x007fffe0,0x00bfffb0,0x7fffc400,0x3fff2000,0x05fffd84,
    0xffff1000,0x7fff9800,0x55310000,0xfffd5555,0x77fffdc7,0x19999aac,
    0x53100000,0xffd55555,0x7fffb07f,0x33333333,0xfffd3333,0x41bffea7,
    0x02fffffd,0x337fffb0,0x33333333,0x07fffd33,0x3337fffb,0x33333333,
    0x227fffd3,0xd801ffff,0x04c2ffff,0x3fffa200,0xfff70006,0x3fe2000f,
    0xaaaaabff,0x1aaaaaaa,0x17ffff20,0x837ffd40,0x000ffff8,0x0013fff2,
    0x0ffffa00,0x4fffc800,0xfff88000,0x7ffc000f,0x7ff4001f,0x2200003f,
    0x2000ffff,0xfe84fffc,0x500003ff,0x9800dfff,0x20007fff,0xffffffeb,
    0x3fffffff,0x3fffffe2,0xffffffff,0x70000bde,0xfffffffd,0x07ffffff,
    0xffffffff,0xffffffff,0x2a9fffff,0xfd106fff,0xf009ffff,0xffffffff,
    0xffffffff,0xff09ffff,0xffffffff,0xffffffff,0x3fe29fff,0x99abdfff,
    0x5ffffeca,0xaabdffc8,0xffca9999,0x70001fff,0x2000ffff,0xfffffff8,
    0xffffffff,0x3ff203ff,0x3fe6006f,0xffff107f,0x7ffe4001,0xaa988004,
    0xfffeaaaa,0x3ff20003,0xf980004f,0xff8007ff,0x7fc001ff,0x200002ff,
    0x000ffff8,0x3e13fff2,0x00002fff,0x800dfff7,0x8007fff9,0xfffffffc,
    0xffffffff,0x7fffd43f,0xffffffff,0x00cfffff,0xffffff90,0xffffffff,
    0xfff887ff,0xffffffff,0xffffffff,0xdfff54ff,0x7fffec40,0xfff100df,
    0xffffffff,0xffffffff,0xfff889ff,0xffffffff,0xffffffff,0xffff14ff,
    0xffffffff,0x9019ffff,0xffffffff,0xffffffff,0x7fdc0009,0xff10007f,
    0xffffffff,0x7fffffff,0x027ffe40,0x01ffff10,0x001ffff1,0x8027ffe4,
    0xffffffeb,0x3fffffff,0x3fff2000,0xffa80004,0xfff8006f,0x7ffc001f,
    0x2200002f,0x2000ffff,0xff84fffc,0x900002ff,0x9800bfff,0x6c007fff,
    0xefffffff,0xfffeeeee,0xffffc83f,0xffffffff,0x806fffff,0xfffffffd,
    0xffeeeeee,0xffff83ff,0xffffffff,0xffffffff,0x0dfff53f,0xdfffff90,
    0x7fffffc0,0xffffffff,0x3fffffff,0xfffffff8,0xffffffff,0x13ffffff,
    0xffffffff,0x3dffffff,0x7ffffe40,0xffffffff,0x5c0002ff,0x10007fff,
    0xffffffff,0xffffffff,0x7ffe407f,0x3ffe2004,0xffff880f,0x3fff2000,
    0x7fffe404,0xffffffff,0x0003ffff,0x0013fff2,0x01bffee0,0x007fffe0,
    0x007ffff0,0x7fffc400,0x3fff2000,0x03ffff84,0xdfff7000,0x7fff9800,
    0x3fffee00,0x7ff400ae,0x7fffe43f,0xcccaaaab,0x5ffffffe,0x3bfffee0,
    0x7fff400a,0x9bffff83,0x99999999,0x09999999,0x200dfff5,0x04fffffa,
    0x3337ffff,0x33333333,0xf0133333,0x33337fff,0x33333333,0x3e213333,
    0xffffefff,0xa803ceff,0xffffffed,0x002dffff,0x0ffff700,0x3fffe200,
    0xaaaaaaab,0x201aaaaa,0x2004fffc,0x880ffff8,0x2000ffff,0x3604fffc,
    0xefffffff,0xfffeeeee,0x3f20003f,0xa80004ff,0xf8007fff,0x6c001fff,
    0x00004fff,0x003fffe2,0xd84fffc8,0x00004fff,0x800ffff5,0x1007fff9,
    0x400dffff,0x3f23fffe,0x2a000fff,0xf107ffff,0x7400dfff,0xffe83fff,
    0x2a00003f,0x26006fff,0xe81fffff,0x00003fff,0x007fffd0,0x7fffc400,
    0x00033310,0x55555330,0xf7000003,0x22000fff,0x0001ffff,0x027ffe40,
    0x01ffff10,0x001ffff1,0xb827ffe4,0x00aeffff,0x001ffff4,0x009fff90,
    0x0ffff300,0x03ffff00,0x06fffc80,0x3ffe2000,0x3ff2000f,0x6fffc84f,
    0xfff30000,0xfffc800f,0xffff5007,0x7fff4001,0x05ffff13,0x3ffff700,
    0x01ffff50,0x41ffff40,0x0004fffc,0x01bffea0,0x09ffff30,0x0009fff9,
    0x13fff200,0xfff88000,0x0000000f,0xf7000000,0x22000fff,0x0001ffff,
    0x027ffe40,0x01ffff10,0x001ffff1,0x4427ffe4,0x2006ffff,0x0003fffe,
    0x0013fff2,0x03fffe20,0x1ffffa80,0x7fffdc00,0x3fe00001,0xff3001ff,
    0xfff709ff,0xf100003f,0x2a003fff,0x7007ffff,0xe800dfff,0xfff53fff,
    0x3fe6000f,0xfffb81ff,0x7fff4006,0x06fffb83,0x3ffea000,0xfffd8006,
    0x06fffb85,0xfff70000,0x7c40000d,0x00000fff,0x00333100,0xffff7000,
    0x3ffe2000,0x6400001f,0x22004fff,0xf880ffff,0x32000fff,0xffa84fff,
    0x3fa000ff,0x2e0003ff,0x80005fff,0x002ffff8,0x03fffff1,0x6ffff980,
    0x3ffa0000,0xfff9802f,0xfff984ff,0xff00006f,0xff3009ff,0x3600ffff,
    0x2a005fff,0xff93ffff,0x3ea000df,0xffd80fff,0x3fea005f,0xfff983ff,
    0xf500003f,0xf7000dff,0xfff30dff,0x3000007f,0x0007ffff,0x03fffe20,
    0x7fc00000,0x400000ff,0x0007fffb,0x003ffff1,0x4fffc800,0x3fffe200,
    0x03ffff00,0x13fffe60,0x001bffee,0x0007fffd,0x003fffd4,0x05fffe80,
    0xfffffe88,0xfffc8001,0xfb00003f,0xfe880dff,0xf904ffff,0x00007fff,
    0x980dfff9,0x07ffffff,0x00ffff90,0x4ffffff2,0x000ffffc,0x906fffd8,
    0x3200ffff,0xb03fffff,0x0001ffff,0x00dfff50,0x20bfff90,0x000ffffd,
    0xffffd800,0xff880000,0x000000ff,0x006fff98,0x7fffb800,0xffff1000,
    0xfc800003,0x3e2004ff,0xffd00fff,0xfff3005f,0xfffb09ff,0x7ffd400b,
    0x3e60003f,0x80002fff,0x200ffffb,0xffffffe8,0xfff88001,0x4a801eff,
    0x05ffff70,0x3fffffe6,0xffff104f,0x095003df,0x20bffff3,0xfffdfffa,
    0xffff5007,0x7fff4c07,0xfff53fff,0x362001bf,0xf503ffff,0x74c07fff,
    0x03ffffff,0x07fffff3,0x6fffa800,0x7fffcc00,0xfffff303,0xf9800007,
    0x0003ffff,0x007fffc4,0x7fd40000,0xb800003f,0x10007fff,0x0003ffff,
    0x04fffc80,0x03fffe20,0x2037ffec,0x4fffffe8,0x007fffc8,0x07fffff9,
    0xfffff800,0x7fc40001,0xfe980eff,0x01fffeff,0xfffff700,0x995579bf,
    0x3fe20fff,0xda9acfff,0xfffcffff,0x3fffee04,0xcaabcdff,0xffd07ffc,
    0xfb537bff,0x1fffebff,0x7ffffc40,0xffeb99ac,0x13ffffff,0x7bfffffd,
    0xfb553333,0x4409ffff,0x9acfffff,0xfffffeb9,0x3f203fff,0x9abeffff,
    0xfdca9999,0x21bffea1,0xfdaa99ac,0x7e406fff,0x9abeffff,0xfdca9999,
    0x7fffe401,0x9999abef,0x221fdca9,0x0000ffff,0x1fffc800,0xffb80000,
    0xff10007f,0x800003ff,0x2004fffc,0x700ffff8,0x2605ffff,0x4fffffff,
    0x03ffffa8,0x3fffffa6,0x7dc0003f,0x9abdffff,0x6404dcaa,0xa9beffff,
    0xfc9ffffc,0x2e0001ff,0xffffffff,0x07ffffff,0x3fffffee,0x99ffffff,
    0x7dc04fff,0xffffffff,0x307fffff,0xffffffff,0x3fe1bfff,0x3fee007f,
    0xffffffff,0xfffabfff,0x3ffffe23,0xffffffff,0x805fffff,0xfffffffb,
    0xabffffff,0x32203fff,0xffffffff,0xffffffff,0x21bffea1,0xffffffff,
    0x64401fff,0xffffffff,0xffffffff,0x7ffe4401,0xffffffff,0x221fffff,
    0x0000ffff,0x06ffe800,0xfff70000,0x3fe2000f,0x400001ff,0x2004fffc,
    0x100ffff8,0x359fffff,0xf9ffffb5,0xfff109ff,0xd73359ff,0xffffffff,
    0xffd00007,0xffffffff,0xfe8809ff,0xffffffff,0x3fff91ff,0xffd88000,
    0xffffffff,0x7fec07ff,0xefffffff,0x009fff31,0xffffffb1,0x0fffffff,
    0x7fffff44,0x3fa0efff,0x7fe4007f,0xffffffff,0x87fff50e,0xffffffd8,
    0xffffffff,0x3ff2001d,0xffffffff,0x07fff50e,0xfffffd50,0xffffffff,
    0x37ffd43f,0x7ffffffc,0x2a001eff,0xfffffffe,0x1fffffff,0xffffd500,
    0xffffffff,0x7ffc43ff,0x4000000f,0x0004fff8,0x0ffff700,0x3fffe200,
    0x7e400001,0x3e2004ff,0x3ee00fff,0xffffffff,0xfff99fff,0xfffff704,
    0xffffffff,0x007fff57,0xffffb100,0x9fffffff,0xffffd100,0x643fffff,
    0x00001fff,0xfffffd95,0x50037bff,0x7dffffff,0x004fff98,0x3ffffb2a,
    0x401bdfff,0xcffffed8,0x007ffe82,0xfffffe98,0x7ffd43df,0xffdd7103,
    0x39bdffff,0x3ffa6000,0x543dffff,0x2e003fff,0xfffffffd,0x2a0bdeff,
    0xfff86fff,0x002defff,0x3ffff6e0,0xbdefffff,0x7fedc000,0xefffffff,
    0x3ffe20bd,0x4000000f,0x0002fff9,0x0ffff700,0x3fffe200,0x7e400001,
    0x3e2004ff,0x7ec00fff,0xffffffff,0x09fff31e,0x7fffffe4,0xf50effff,
    0x400007ff,0xffffffd9,0x32003eff,0x0bdffffe,0x000fffe4,0x09998800,
    0x2aa62000,0x88000001,0x20000999,0x000001a8,0x0002aa60,0x004cc400,
    0x0aa98000,0x53000000,0x00013355,0x00033330,0x4d554c00,0x4c000009,
    0x00099aaa,0x00000000,0x3bbb2000,0xffffeeee,0x1eeeeeee,0xddffff10,
    0xdddddddd,0x7e40dddd,0x3e2004ff,0xfa800fff,0x43efffff,0x4c04fff9,
    0xdffffffe,0x01fffd43,0x9a988000,0x54400019,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xd8000000,0xffffffff,0xffffffff,0xfff101ff,
    0xffffffff,0x0fffffff,0x0027ffe4,0x001ffff1,0x000d54c4,0x00554c00,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fffec00,0xffffffff,0x01ffffff,0xfffffff1,0xffffffff,0x7fe40fff,
    0x3fe2004f,0x000000ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fffffec,0xffffffff,0xf101ffff,
    0xffffffff,0xffffffff,0x0000000f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x55100000,0x54405555,0x0001aaaa,0xddd30000,0x01310003,0x30000330,
    0x00000135,0x00aaaa20,0x55100000,0x51005555,0x00035555,0x0d554c00,
    0x00155550,0x002aaaaa,0x00155540,0x51000000,0x00055555,0x00555510,
    0x2aa20000,0x31002aaa,0x00033001,0x00aaaa20,0xaa880000,0x98002aaa,
    0x31bcedca,0x098805b7,0x80001980,0x0002aaa8,0xfffe8800,0x7fdc00ef,
    0x00002fff,0x07ffc800,0x02fffa80,0x40017ff6,0x0cfffffc,0x40001f88,
    0x03ffffe8,0xfd100000,0x2001dfff,0x02fffffb,0xffd10000,0xfffe887f,
    0x3fff2003,0x1026205f,0x0001ffff,0xfd100000,0x0001dfff,0x3ffffe88,
    0x74400000,0x800effff,0x3602fffa,0x440005ff,0x003ffffe,0xffe88000,
    0xb3000eff,0xffffffff,0x407fffff,0x3602fffa,0x220005ff,0x003ffffe,
    0x3ffa2000,0x3a6004ff,0x0002ffff,0x27ff4000,0x3ffffc00,0x03ffffb8,
    0x7ffffec0,0xfd30bfff,0x3a20003f,0x03ffffff,0x7f440000,0x98004fff,
    0x002ffffe,0xfffd1000,0x0ffffa69,0x3ffff600,0xffedb98b,0x07fffc40,
    0x20000000,0x04ffffe8,0xfffe8800,0x00003fff,0x9ffffd10,0x3ffffc00,
    0x03ffffb8,0xffffd100,0x000007ff,0x27ffff44,0xfffff500,0xffffffff,
    0x7ffc07ff,0xffff707f,0xffd10007,0x0007ffff,0xffffd100,0xffb10005,
    0x000005ff,0x00bffe60,0x3fffff10,0x0bffffb0,0x77fffe40,0xffffffff,
    0x88000eff,0xfffdfffe,0x1000003f,0x005ffffd,0x7fffec40,0xd1000002,
    0xffffbfff,0x3fa20007,0xffffffff,0x7ffc40ff,0x0000000f,0x3ffffa20,
    0xfe880002,0x3ffffdff,0x7f440000,0x22002fff,0xd81fffff,0x8005ffff,
    0xffdfffe8,0x800003ff,0x02ffffe8,0x3fffff20,0xfffeedef,0xff103fff,
    0xffb03fff,0xe8800bff,0xffffdfff,0x3a200003,0x0000efff,0x017fffdc,
    0x7fdc0000,0xffff0007,0x3fffee0f,0x8fff2003,0xffffffd8,0xe88000ff,
    0xffd33fff,0x8800007f,0x000efffe,0x5ffff700,0x3a200000,0x03ffffff,
    0x7fedd440,0xffffffff,0x7ffc40ff,0x0000000f,0x1dfffd10,0xffd10000,
    0x3fffa67f,0xfd100003,0xf0001dff,0x3ee0ffff,0x44003fff,0xfd33fffe,
    0x400007ff,0x00efffe8,0x37ffff60,0xffff7101,0x3ffffc07,0x03ffffb8,
    0x4ffffa20,0x003fffe9,0x4fffe880,0x3fa60000,0x880002ff,0xffefedba,
    0xff30004f,0x27fec03f,0xea81e400,0x001dffff,0x42fffe88,0x003fffe8,
    0x9fffd100,0xfd300000,0x000005ff,0x0bffffa2,0xfffff100,0xdfffffff,
    0xfff10379,0x0000001f,0x09fffd10,0x3ffa2000,0x7fff442f,0x7f440003,
    0x260004ff,0x3f601fff,0x7f44004f,0x7ff442ff,0xe880003f,0x4c004fff,
    0xd004ffff,0x7cc07fff,0x3ff601ff,0x3ffa2004,0x7fff442f,0x554c0003,
    0x8800001a,0x20002aaa,0xffffffd8,0x000dffff,0x00440020,0x03310000,
    0x1aaa9800,0x002aaaa0,0x06aaa600,0xaa880000,0x2000002a,0x8001aaa8,
    0xfffffff8,0x8803ffff,0x0000ffff,0xaaa98000,0x2a600001,0x2aaa01aa,
    0x2a60000a,0x100001aa,0x20002200,0x2a01aaa9,0x40000aaa,0x8001aaa9,
    0x2004fffd,0x0803fffe,0x98001100,0x2aa01aaa,0x000000aa,0x00000000,
    0xfffffd30,0xffffffff,0x00000005,0x00000000,0x00000000,0x00000000,
    0x00000000,0xbfff1000,0xffffd359,0xffff8801,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fe60000,0x3fa000ff,0x000003ff,
    0x00000000,0x00000000,0x7fdc0000,0xfcceffff,0x01ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfff301b8,0xfff880bf,
    0x0000000f,0x00000000,0x00000000,0x00000000,0x00000000,0x3f200000,
    0x7f4005ff,0x000003ff,0x00000000,0x00000000,0x3fe60000,0x3e60afff,
    0x0fffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ffdc000,0x3ffe203f,0x0000000f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fa00000,0x7f4002ff,0x000003ff,0x00000000,0x80033332,
    0x9902ccca,0x65400199,0x7ffec2cc,0xbfffc80e,0x8005ffff,0xbdeecb98,
    0x3100000a,0x157bdd97,0x2e620000,0x00abdeec,0xd9731000,0x000157bd,
    0x3bb2e620,0x00000abd,0x3bfb72ea,0x8001acde,0xffffdcb9,0xffff100f,
    0xdedb9881,0x3726001b,0xb882bdee,0x0001bded,0x77f6e5d4,0x0001acde,
    0xddfdb975,0x2000359b,0xabdeeca9,0x95300000,0x00157bdd,0x3bb2a600,
    0xff800abd,0x7f4001ff,0xcccc83ff,0x3332a000,0x01999902,0x41666540,
    0x000ffff8,0x2213fff2,0x2000ffff,0x3ea4fffc,0xfff00fff,0x03ffffa9,
    0xfffffc80,0x004fffff,0x7ffffe40,0x004fffff,0x7ffffe40,0x004fffff,
    0x7ffffe40,0x004fffff,0x7ffffe40,0x004fffff,0x7ffffd40,0x5fffffff,
    0xffffd300,0x0bffffff,0x443fffe2,0xfffffffd,0x7ffdc04f,0x25ffffff,
    0xfffffffa,0xfffa8002,0xffffffff,0x7fd4005f,0xffffffff,0x7cc005ff,
    0xffffffff,0x3e60003f,0xffffffff,0x3e60003f,0xffffffff,0x3ffe203f,
    0x7ff4000f,0x7fffc43f,0x3fff2000,0x0ffff884,0x13fff200,0x003fffe2,
    0x884fffc8,0x2000ffff,0x3fa4fffc,0xfff304ff,0x0ffffe23,0x3ffffa60,
    0xffffffff,0x7f4c001e,0xffffffff,0x4001efff,0xffffffe9,0x1effffff,
    0x7fff4c00,0xffffffff,0x74c001ef,0xffffffff,0x001effff,0x7fffff44,
    0xffffffff,0xffffb805,0xffffffff,0x7fff881f,0xffffffd3,0x740bffff,
    0xffffffff,0xffffacff,0x002fffff,0xffffffd1,0xbfffffff,0x3fffa200,
    0xffffffff,0x3ee005ff,0xffffffff,0x4000dfff,0xfffffffb,0x00dfffff,
    0x7ffffdc0,0xdfffffff,0x0ffff980,0x1ffff400,0x003fffe2,0x884fffc8,
    0x2000ffff,0xf884fffc,0x32000fff,0xff884fff,0x3f2000ff,0xffff14ff,
    0xb1fff203,0xfa80dfff,0xedffffff,0x2fffffff,0xfffff500,0xffffdbff,
    0x2a005fff,0xdfffffff,0xfffffffe,0xffff5002,0xfffdbfff,0x2005ffff,
    0xfffffffa,0xffffffed,0x3ffa002f,0xdccdefff,0x6c05fffe,0xefffffff,
    0x86fffffe,0xff8ffff8,0xfffeffff,0xffd05fff,0xfffb99bf,0xd7bfffff,
    0xd001ffff,0x9bdfffff,0x0bfffdb9,0x3fffffa0,0xffedccde,0xfffb005f,
    0xffb97bff,0x2001ffff,0xbdfffffd,0xffffffdc,0xffffb000,0xfffb97bf,
    0xff981fff,0xffe8007f,0x7fffc43f,0x3fff2000,0x0ffff884,0x13fff200,
    0x003fffe2,0x884fffc8,0x2000ffff,0xff34fffc,0x27ff40df,0x881fffee,
    0x80bfffff,0x06ffffe9,0xbfffff88,0xffffe980,0xffff8806,0xffe980bf,
    0xff8806ff,0xe980bfff,0x8806ffff,0x80bfffff,0x06ffffe9,0x17ffff90,
    0x3602a880,0x80adffff,0x442ffffb,0xfffeffff,0x3ffea21d,0x01de80ff,
    0x5ffffff5,0x402fffd8,0x00bffffc,0x7e401544,0x4400bfff,0xfffc802a,
    0x3fff204f,0xfffc804f,0x3fff204f,0xfffc804f,0x3fff204f,0x7fffcc4f,
    0x7fff4000,0x07fffc43,0x09fff900,0x001ffff1,0x4427ffe4,0x2000ffff,
    0xf884fffc,0x32000fff,0xfff54fff,0x0bffe60b,0x6c0ffff5,0xc801ffff,
    0x6c03ffff,0xc801ffff,0x6c03ffff,0xc801ffff,0x6c03ffff,0xc801ffff,
    0x6c03ffff,0xc801ffff,0xf803ffff,0x00003fff,0x009ffff3,0xf88dfffd,
    0x02ffffff,0x213fffe6,0xffffd800,0x05fff984,0x001ffffc,0x1ffffc00,
    0x3fe20000,0xffb802ff,0x3fe201ff,0xffb802ff,0x3fe201ff,0xffb802ff,
    0x3ffe21ff,0x7ff4001f,0x7fffc43f,0x3fff2000,0x0ffff884,0x13fff200,
    0x003fffe2,0x884fffc8,0x2000ffff,0xff74fffc,0x1fff209f,0x203fffe6,
    0x001ffff9,0x403ffff6,0x001ffff9,0x403ffff6,0x001ffff9,0x403ffff6,
    0x001ffff9,0x403ffff6,0x001ffff9,0x803ffff6,0x000ffff8,0x09fffd00,
    0x83fffee0,0x1ffffff8,0x07fffc80,0x3ffff500,0x403fffa0,0x000ffff8,
    0x7fffc400,0x7e400000,0x3fa005ff,0x3ff205ff,0x3ffa005f,0x3fff205f,
    0x3fffa005,0x00ffffc5,0x87ffff10,0x000ffff8,0x2213fff2,0x2000ffff,
    0xf884fffc,0x32000fff,0xff884fff,0x3f2000ff,0x7fffb4ff,0x7c13ffa0,
    0xffe81fff,0x7fcc005f,0xfffd03ff,0xfff9800b,0xbfffd03f,0xffff9800,
    0x0bfffd03,0x3ffff980,0x00bfffd0,0x03ffff98,0x007fffe2,0x3fffea00,
    0xffff1000,0x7ffffc47,0xffff3002,0xfff30005,0x0fffe40f,0x01ffff88,
    0x7ffc4000,0x2200001f,0x2000ffff,0xf107fffa,0x54001fff,0xff107fff,
    0x7d4001ff,0x7fff47ff,0x3fffa004,0x7fffc43f,0x3fff2000,0x0ffff884,
    0x13fff200,0x003fffe2,0x884fffc8,0x2000ffff,0xffb4fffc,0x5fff309f,
    0x81ffff10,0x002ffff8,0x884fffd8,0x8002ffff,0xf884fffd,0xd8002fff,
    0xff884fff,0xfd8002ff,0xfff884ff,0xffd8002f,0x7fff404f,0xffe80006,
    0x7fe4004f,0x3fffe26f,0x7fffc003,0xfff88003,0x0bffee05,0x006fffe8,
    0x6fffe800,0x3fee0000,0xfff8005f,0x5fffb80f,0x0ffff800,0x005fffb8,
    0x360ffff8,0xfb006fff,0xf887ffff,0x32000fff,0xff884fff,0x3f2000ff,
    0xfff884ff,0x3ff2000f,0xffff884f,0x3fff2000,0x90bfff94,0x3fe60fff,
    0x7fff987f,0xbfff7000,0x00ffff30,0x217ffee0,0x0007fff9,0xf30bfff7,
    0x2e000fff,0xff985fff,0xff70007f,0xfffd80bf,0x3e0002ef,0x54001fff,
    0xff10ffff,0xfd8001ff,0xf88003ff,0x3fee05ff,0x3fff602f,0x200002ef,
    0x02effffd,0x4fffc800,0x1ffff800,0x004fffc8,0xc81ffff8,0xf8004fff,
    0x3fe61fff,0x7fec02ff,0x7c43ffff,0x32000fff,0xff884fff,0x3f2000ff,
    0xfff884ff,0x3ff2000f,0xffff884f,0x3fff2000,0xd0dfff74,0x3fea09ff,
    0x6fffa86f,0xffff5000,0x00dfff50,0x21fffea0,0x0006fffa,0xf50ffff5,
    0x2a000dff,0xffa87fff,0xff50006f,0xfff880ff,0x001cffff,0x003fffe2,
    0x23ffff30,0x000ffff8,0x4027ffe4,0xfffbaa98,0xdaaaaaad,0x3e203fff,
    0x1cffffff,0x7ffc4000,0x001cffff,0x337fffb0,0x33333333,0x07fffd33,
    0x3337fffb,0x33333333,0xb07fffd3,0x33337fff,0x33333333,0xfe87fffd,
    0xfd881fff,0x43fffeff,0x000ffff8,0x2213fff2,0x2000ffff,0xf884fffc,
    0x32000fff,0xff884fff,0x3f2000ff,0xffff54ff,0x702fff98,0xff709fff,
    0x3e6000bf,0x7fdc0fff,0xff30005f,0xfffb81ff,0xfff30005,0x5fffb81f,
    0xffff3000,0x05fffb81,0x1ffff300,0xfffff980,0x401cffff,0x0007fff9,
    0x3e25ffff,0x64000fff,0xfb505fff,0xffffffff,0xffffffff,0xf9807fff,
    0xffffffff,0xff30001c,0x9fffffff,0x7fffc003,0xffffffff,0xffffffff,
    0xfffff84f,0xffffffff,0xffffffff,0xffffff84,0xffffffff,0x4fffffff,
    0x67ffffdc,0xaffffb9a,0x7c43fffc,0x32000fff,0xff884fff,0x3f2000ff,
    0xfff884ff,0x3ff2000f,0xffff884f,0x3fff2000,0x43ffff14,0x3fa07ffc,
    0xfffd83ff,0xfff10004,0x4fffd83f,0xffff1000,0x04fffd83,0x3ffff100,
    0x004fffd8,0x83ffff10,0x0004fffd,0x003ffff1,0xffffff91,0x2a05dfff,
    0xd0006fff,0x3fe27fff,0x7dc000ff,0x7fec46ff,0xffffffff,0xffffffff,
    0x8803ffff,0xfffffffc,0x88002eff,0xfffffffc,0x7c402eff,0xffffffff,
    0xffffffff,0x7c44ffff,0xffffffff,0xffffffff,0x7c44ffff,0xffffffff,
    0xffffffff,0xfd84ffff,0xffffffff,0x7fff92ff,0x00ffff88,0x213fff20,
    0x000ffff8,0x2213fff2,0x2000ffff,0xf884fffc,0x32000fff,0x3ff64fff,
    0x09ffd0ef,0x203fffea,0x0005fffc,0xc81ffff1,0x10005fff,0xfc81ffff,
    0xf10005ff,0xffc81fff,0xff10005f,0xfffc81ff,0xfff10005,0x7e4c001f,
    0xffffffff,0x37ffdc0d,0x3fffe800,0x001ffff1,0x6c4fffc8,0xeeefffff,
    0xeeeffffe,0x2eeeeeee,0x3fff2600,0x0dffffff,0xfffc9800,0x0dffffff,
    0x3fffffe0,0xffffffff,0x3fffffff,0xfffffff8,0xffffffff,0x83ffffff,
    0xffffffff,0xffffffff,0xb03fffff,0xffffffff,0x1fffec5f,0x003fffe2,
    0x884fffc8,0x2000ffff,0xf884fffc,0x32000fff,0xff884fff,0x3f2000ff,
    0x3ffea4ff,0x82fff9cf,0x703fffe8,0x2000dfff,0xfb87fff9,0xf30006ff,
    0xfff70fff,0x3fe6000d,0x6fffb87f,0xffff3000,0x00dfff70,0x01fffe60,
    0xffffca80,0x7fd46fff,0xfff0007f,0x3fffe25f,0x7ffec000,0x0ffffea3,
    0x0013ffe2,0x3ff2a000,0x006fffff,0x7fffe540,0x3fe06fff,0x99999bff,
    0x99999999,0xfff80999,0x999999bf,0x99999999,0xffff8099,0x9999999b,
    0x99999999,0x3ffae009,0x7ec1bdff,0x7ffc43ff,0x3ff2000f,0xffff884f,
    0x3fff2000,0x0ffff884,0x13fff200,0x003fffe2,0x744fffc8,0x7ffeffff,
    0x07fffe98,0x001fffea,0x542fffd4,0x50007fff,0xff50bfff,0x3ea000ff,
    0xfffa85ff,0xfff50007,0x0ffff50b,0x17ffea00,0x7fed4000,0x3fe64fff,
    0x7c4000ff,0xfff12fff,0xffe8001f,0x13fffa2f,0x002fffc4,0x3f6a0000,
    0x0004ffff,0xfffffb50,0x0ffffa09,0x7ff40000,0xd000003f,0x00007fff,
    0xb0054c00,0xff887fff,0x3f2000ff,0xfff884ff,0x3ff2000f,0xffff884f,
    0x3fff2000,0x0ffff884,0x13fff200,0xfffffff1,0xfffb733b,0x7fcc05ff,
    0xff90007f,0xffff309f,0x3fff2000,0x07fff984,0x09fff900,0x000ffff3,
    0x2613fff2,0x90007fff,0x00009fff,0x27ffff98,0x001ffff8,0x887fffcc,
    0x4000ffff,0x3fe1ffff,0xfff101ff,0x0000000d,0x01ffffe6,0xffff3000,
    0x13fff20f,0x7fe40000,0x9000004f,0x00009fff,0xffe80000,0x7fffc43f,
    0x3fff2000,0x0ffff884,0x13fff200,0x800ffffc,0xf04ffff9,0x26003fff,
    0xfa84ffff,0xffffffff,0x03ffffff,0x01ffffc4,0x0ffffe20,0x00ffffe2,
    0x07ffff10,0x007ffff1,0x83ffff88,0x003ffff8,0x41ffffc4,0x003ffff8,
    0x01ffffc4,0x7ffd4000,0x13fffe0f,0x4dfff900,0x000ffff8,0xf89fffea,
    0x3fe207ff,0x0000007f,0x03fffea0,0xfff50000,0xdfff701f,0x3ee00000,
    0x000006ff,0x000dfff7,0xfe800000,0xffff83ff,0xffff3001,0x07fffe09,
    0x27fffcc0,0x802fffe8,0x04fffff9,0x3005fffd,0x209fffff,0xffffffe8,
    0x00efffff,0x00ffffd0,0x00ffffb8,0x800ffffd,0xd00ffffb,0xb800ffff,
    0xfd00ffff,0xfb800fff,0xffd00fff,0xffb800ff,0x800000ff,0x361ffff8,
    0x1000ffff,0x7c49ffff,0x3a000fff,0x3fe64fff,0x3ffee06f,0x0000001f,
    0x03ffff10,0xfff88000,0xffff981f,0xf9800003,0x00003fff,0x03ffff98,
    0x20000000,0xfe83fffe,0xff9802ff,0xffd04fff,0xfff3005f,0x3ff609ff,
    0x7ff4406f,0xffb04fff,0xffe880df,0x7fc04fff,0xdeffffff,0x7ffd4003,
    0xfff3003f,0x7ffd407f,0xfff3003f,0x7ffd407f,0xfff3003f,0x7ffd407f,
    0xfff3003f,0x7ffd407f,0xfff3003f,0x2000007f,0x260ffff9,0x9004ffff,
    0x7c41ffff,0xf7000fff,0x7fc41fff,0xffff307f,0x0000009f,0x03fffe60,
    0xfff30000,0x3fff601f,0xd800000f,0x0000ffff,0x0ffffd80,0x00000000,
    0xfb07fffd,0xfe880dff,0xfb04ffff,0xfe880dff,0xf704ffff,0x3e605fff,
    0x04ffffff,0x205ffff7,0xfffffff9,0x2fffe604,0x400009aa,0x405ffffd,
    0x806ffffa,0x405ffffd,0x806ffffa,0x405ffffd,0x806ffffa,0x405ffffd,
    0x806ffffa,0x405ffffd,0x806ffffa,0x7f440009,0xfffc86ff,0x3ff600df,
    0x7ffc44ff,0x7fe4401f,0xffff82ff,0x7ffffc41,0x260002ff,0x7ff44000,
    0x0002606f,0x40dfffd1,0x03fffff9,0x7ffcc000,0x400003ff,0x03fffff9,
    0xe8000000,0xffb83fff,0xfff302ff,0x2e09ffff,0xf302ffff,0x09ffffff,
    0x33ffffe2,0xffffda9a,0xf104fffc,0x5359ffff,0xff9ffffb,0x3ffe409f,
    0x7fcc0000,0xa9acefff,0x2fffffdb,0xfffff980,0xfdba9ace,0x9802ffff,
    0xacefffff,0xffffdba9,0xfff9802f,0xba9aceff,0x02fffffd,0xefffff98,
    0xffdba9ac,0xfc802fff,0x999aabdf,0xfffffca9,0xfffff881,0xfeca9ace,
    0x7c40efff,0x9abdffff,0xffffeba9,0x5dfffd05,0xfbbfff91,0x33137fff,
    0x7fe409b7,0x9999aabd,0x1fffffca,0x2af7ff20,0xfca9999a,0x6401ffff,
    0xabefffff,0xdca99999,0x7ffe401f,0x999abeff,0x01fdca99,0x77ffffe4,
    0xa99999ab,0x00001fdc,0x441ffff4,0x9acfffff,0xfcffffda,0xfff104ff,
    0xfb5359ff,0x9fff9fff,0x7ffffdc0,0x9fffffff,0x2e04fff9,0xffffffff,
    0xff99ffff,0x13ffa04f,0x7fd40000,0xffffffff,0x002fffff,0x3fffffea,
    0xffffffff,0x3fea002f,0xffffffff,0x002fffff,0x3fffffea,0xffffffff,
    0x3fea002f,0xffffffff,0x002fffff,0xfffffff9,0xffffffff,0x7ffd409f,
    0xffffffff,0xf880efff,0xffffffff,0x4fffffff,0x3ffffea0,0x3fa6ffff,
    0xffffffff,0x3fff204f,0xffffffff,0x404fffff,0xfffffffc,0xffffffff,
    0xffc8804f,0xffffffff,0x01ffffff,0x7ffffe44,0xffffffff,0x64401fff,
    0xffffffff,0xffffffff,0x7f400001,0xfff703ff,0xffffffff,0x09fff33f,
    0x7fffffdc,0x99ffffff,0x7ec04fff,0xffffffff,0x09fff31e,0xffffffd8,
    0xff31efff,0x3ffe609f,0x22000001,0xfffffffd,0x000dffff,0xfffffd88,
    0x0dffffff,0xfffd8800,0xffffffff,0xfd88000d,0xffffffff,0x88000dff,
    0xfffffffd,0x000dffff,0x3ffffff2,0xffffffff,0xffd8802f,0xffffffff,
    0x3ff600df,0xffffffff,0xd801efff,0xefffffff,0x3ffffe20,0x204fffff,
    0xfffffffc,0xffffffff,0xffffc802,0xffffffff,0x54002fff,0xfffffffe,
    0x1fffffff,0xffffd500,0xffffffff,0x3aa003ff,0xffffffff,0x01ffffff,
    0x7fff4000,0x3ffff603,0x31efffff,0xfd809fff,0xffffffff,0x09fff31e,
    0xffffff50,0x4fff987d,0xfffffa80,0x7ffcc3ef,0x00fff904,0x3f6e0000,
    0x3defffff,0xffdb8000,0x03deffff,0xfffdb800,0x003defff,0xffffdb80,
    0x0003deff,0xfffffdb8,0xa8003def,0xffffffed,0x002dffff,0xfffffdb8,
    0x2a001dff,0xffffffec,0x7dc003ce,0x980befff,0xffffffec,0x3fb6a01d,
    0xffffffff,0x36a002df,0xfffffffe,0x0002dfff,0x7ffffedc,0x0bdeffff,
    0x7ffedc00,0xdeffffff,0x7edc000b,0xffffffff,0x00000bde,0x201ffff4,
    0xeffffffa,0x027ffcc3,0x7fffffd4,0x27ffcc3e,0x03553100,0x55310000,
    0x99880003,0x80000000,0x00001a98,0x000d4c40,0x06a62000,0x53100000,
    0x88000003,0x800001a9,0x1aaaaa99,0x2aa20000,0x26000009,0x53000019,
    0x55544003,0x55330001,0x00003555,0x2aaaaa66,0x26000001,0x00099aaa,
    0x4d554c00,0x4c000009,0x00099aaa,0x10000000,0x00003553,0x00355310,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2aa20000,0x00001aaa,0x0de76544,0x0aaaa200,0x4c004c40,0x26a60001,
    0x44000000,0x32002aaa,0x32000ccc,0xa8800ccc,0x0001aaaa,0x0ef6c400,
    0x02aaaa00,0x000d554c,0x0000bca8,0x03555530,0x006aaaaa,0x0aaaa800,
    0x55554c00,0x35555501,0x00b33322,0x22cccc80,0xb5103ccc,0x800059bd,
    0x900009a9,0xdd930599,0x000037bd,0x5eee8000,0xb8000000,0xa8803eee,
    0x0355302a,0xfffff700,0x3ea00005,0x03ffffff,0x00bfff60,0xd80bffea,
    0x7e4005ff,0x880cffff,0xfd10001f,0xf1007fff,0x7c001fff,0xf7001fff,
    0x0005ffff,0x3fffe200,0x3fee000f,0x7ffd40ef,0xffd8000e,0x4c0001ff,
    0xf905ffff,0x0000bfff,0x003fffe8,0x417fffe6,0x7c5ffffc,0x30006fff,
    0x3e25ffff,0x7ff4c6ff,0x00dfffff,0x7ffffe40,0x441f880c,0x3f625fff,
    0x3fffffff,0x50000000,0xa800bfff,0xaaaaaaaa,0xfffd01aa,0x5fff1003,
    0x0009ffd0,0x0bffffa6,0xffff5000,0x007fffff,0x200bfff5,0xf707ffff,
    0x36007fff,0xffffffff,0x03ffd30b,0xffffe880,0x7fc403ff,0x3fe000ff,
    0x3a6001ff,0x0002ffff,0xfffffb80,0x7ffdc004,0x1dfff91f,0xffff3000,
    0x744000bf,0xff905fff,0x000009ff,0x2007fffd,0x905fffe8,0xf909ffff,
    0x90003fff,0x7fc4ffff,0x3fffee6f,0x0fffffff,0xfffffb00,0x3a617fff,
    0x3ffe21ff,0xffffff35,0x00bfffff,0xff900000,0xfff8005f,0xffffffff,
    0x06fff884,0xa877ffe0,0x20002fff,0x02ffffd8,0x2ffffe00,0x00ffffda,
    0x003fffe2,0x07ffffe2,0x017ffff6,0x3fbffff2,0xffffffff,0x3a2000ef,
    0xffffdfff,0x3fffe203,0x3fffe000,0x7fec4001,0x400002ff,0x05fffffc,
    0xdffffb80,0x0000efff,0x0ffffff7,0x2ffff400,0x03ffffb8,0xfffd0000,
    0x3fffa007,0x7ffff705,0x13fffe60,0x93fffe00,0xff96fff8,0xfffddfff,
    0xff900bff,0xfffffdff,0x41dfffff,0xff9efff8,0xfffeefff,0x00001fff,
    0x03fff400,0x7fffffc0,0xa84fffff,0x2e003fff,0xfffeffff,0xb80000ff,
    0x8002ffff,0x7d41fffb,0x3ff203ff,0x3ffe002f,0xffff707f,0x47ff9007,
    0xffffffd8,0x3a2000ff,0xffd33fff,0x3ffe207f,0x3ffe000f,0xff70001f,
    0x400005ff,0x03fffffa,0xfffff500,0x540001df,0x006fffff,0x20bfffb0,
    0x002ffffa,0x3fffa000,0x5fffd803,0x05ffff50,0x007fffd8,0x10ffffd4,
    0xfff9dfff,0xfffe885d,0x1ffe400f,0xffffffb1,0xfff881ff,0xb83fffff,
    0x0006ffff,0x801ffff3,0x8004fff8,0xffffffff,0xffc84fff,0x7ff4000f,
    0x02ffffff,0x3ffa6000,0x7fec002f,0x05fff886,0x800bfff3,0x3601fff9,
    0x0f2004ff,0x6fffff54,0x3ffa2001,0x7fff442f,0x0ffff883,0x07fffe00,
    0xfffe9800,0x3f600002,0x540005ff,0x000effff,0x1ffffd80,0x5fffc800,
    0x03ffff50,0xffe80000,0x7ffe403f,0x3ffff505,0x5ffff500,0x37ffec00,
    0x3fffffe2,0x3ffe205f,0x503c804f,0x03bffffd,0xfffffff1,0x7fffdc03,
    0xfff98000,0x7ffdc00f,0x7ec00001,0x5fff84ff,0xffff7000,0x000003df,
    0x80055551,0xffd04fff,0x03fffa0d,0x08800400,0x19880000,0x35553000,
    0x20555540,0x000ffff8,0x0007fffe,0x00555510,0x002a9800,0x01555300,
    0x0e6dc000,0x15554400,0x00155550,0xfffd0000,0x15554407,0x00155550,
    0x802ffffc,0x443ffff8,0x04ffffff,0x005fffc8,0x88033100,0x00ffffff,
    0x00ffffc4,0x07fffcc0,0x001bff60,0x13fff600,0x0005fff3,0x00009a98,
    0x3e000000,0xfff903ff,0x007fff90,0x00000000,0x00000000,0x3fffe200,
    0x3fffe000,0x00000001,0x00000000,0x00000000,0x00000000,0x3fffa000,
    0x00000003,0x00ffffc8,0x40ffffa8,0x05fffff8,0x00dfff50,0xff880000,
    0xfd001fff,0xf30005ff,0xaa801fff,0xd800001a,0x55444fff,0x00000002,
    0x20000000,0xffb05fff,0x05fff98d,0x00000000,0x00000000,0x3ffe2000,
    0x3ffe000f,0x0000001f,0x00000000,0x00000000,0x00000000,0x3ffa0000,
    0x0000003f,0x3ffff980,0x85fffd80,0x006ffff8,0x001bffea,0xfff10000,
    0x7fec005f,0xff98003f,0x000000ff,0x27ffec00,0x00000000,0x80000000,
    0xfff07ffe,0x00fffe89,0x00000000,0x00000000,0x3ffe2000,0x3ffe000f,
    0x0000001f,0x04ccc000,0x00000000,0x00000000,0x20000000,0x0003fffe,
    0xffd00000,0xfff880df,0xffff882f,0x3bba6001,0x40000005,0x000ffff8,
    0x0013fff2,0x003fffe6,0xfb000000,0x000009ff,0x30000000,0x157bdd95,
    0x85fff900,0x3ee2fffb,0x980003ff,0xcdefeecb,0x2e60000b,0xbcdefeec,
    0x32e60000,0x0bcdefee,0x03fffe20,0x01ffff80,0xfeecb980,0x0000bcde,
    0x0017ffd4,0x3bb6ea20,0x10000acc,0x599ddb75,0x06666401,0x05999500,
    0x3b72a600,0x3fffeabc,0x3b2e6200,0x0000abde,0x403ffff5,0xf107fffb,
    0x00003fff,0x00333320,0xf12ccca8,0x64001fff,0x98004fff,0x0000ffff,
    0x7fec0000,0x8800004f,0xabdeecb9,0xff980000,0xffffffff,0x7fffcc03,
    0x26fffcad,0x0006fff9,0x3fffff6a,0xcfffffff,0xfffb5000,0xffffffff,
    0x36a0019f,0xffffffff,0x880cffff,0x2000ffff,0x5001ffff,0xfffffffb,
    0x019fffff,0x0bffea00,0x7fffdc00,0x6fffffff,0x3fffee00,0x6fffffff,
    0x00ffff88,0x013fff20,0xfffffd88,0xffffffff,0xffff9003,0x09ffffff,
    0x13fffe00,0x104fffe8,0x0003ffff,0x1ffff100,0xa7ffe400,0x000ffff8,
    0x0013fff2,0x003fffe6,0xfb000000,0x800009ff,0xfffffffc,0x20004fff,
    0xfffffffb,0x00dfffff,0x3ffffff2,0x3ffa1fff,0x3f60001f,0xffffffff,
    0x01ffffff,0xffffffd8,0xffffffff,0xfffd801f,0xffffffff,0x7c41ffff,
    0x3e000fff,0xfb001fff,0xffffffff,0x03ffffff,0x05fff500,0xffffd880,
    0xffffffff,0xfffd8807,0xffffffff,0xffff887f,0x3fff2000,0xffff7004,
    0xffffffff,0xe9807fff,0xffffffff,0x001effff,0x883fffe4,0xf100ffff,
    0x00003fff,0x01ffff10,0x8a7ffe40,0x2000ffff,0x8004fffc,0x000ffff9,
    0x7ec00000,0x300004ff,0xfffffffd,0x03dfffff,0xfffffd80,0xffffdcbd,
    0x3fee00ff,0x2e0effff,0x40004fff,0xeefffffd,0xffffffed,0x7ffec00e,
    0xffedeeff,0x400effff,0xeefffffd,0xffffffed,0x3fffe20e,0x3fffe000,
    0xffffb001,0xfffdbddf,0x8001dfff,0x2003fffa,0xfffffffb,0x7ffffeef,
    0x7ffffdc0,0xfffeefff,0xffff887f,0x3fff2000,0x7ffec404,0xffeeefff,
    0x203fffff,0xfffffffa,0xffffffed,0x3fe6002f,0xfffb82ff,0x3fffe206,
    0xf8800001,0x32000fff,0xfff14fff,0x7fe4001f,0xff98004f,0x000000ff,
    0x27ffec00,0x7ffd4000,0xffedffff,0x002fffff,0x409ffff9,0x404ffffc,
    0x442bdcb9,0x80006fff,0x2600bdfd,0x405ffffe,0x2600bdfd,0x405ffffe,
    0x2600bdfd,0x225ffffe,0x2000ffff,0xb001ffff,0x74c017bf,0x4005ffff,
    0x3003fffb,0x15dfffff,0x4c0fd710,0x0aefffff,0xf887eb88,0x32000fff,
    0x7e404fff,0x7101efff,0x2207ffff,0x80bfffff,0x06ffffe9,0x42ffff40,
    0x2203fffe,0x0001ffff,0x0ffff880,0x53fff200,0x000ffff8,0x0013fff2,
    0x003fffe6,0xfb000000,0x880009ff,0x80bfffff,0x06ffffe9,0x02ffff88,
    0x01ffffb8,0x0fffec00,0x0004c000,0x301ffffa,0xfffe8001,0x20004c07,
    0x3e27fffe,0x3e000fff,0x13001fff,0x7fffe800,0x1fffdc00,0x4ffffe80,
    0xffe80200,0x202004ff,0x000ffff8,0x8813fff2,0xd003ffff,0x3f607fff,
    0xfc801fff,0x2e003fff,0x3e60ffff,0x3e200fff,0x00001fff,0x00ffff88,
    0x453fff20,0x2000ffff,0x8004fffc,0x000ffff9,0x7ec00000,0x6c0004ff,
    0xc801ffff,0x6403ffff,0x3a005fff,0x20005fff,0x0004fffb,0x3fe60000,
    0x400000ff,0x000ffff9,0x7fffcc00,0x03ffff10,0x00ffffc0,0xfff30000,
    0x7ee4c01f,0xb803ffff,0x0003ffff,0x07ffff70,0xffff1000,0x7ffe4001,
    0x13fff604,0x83fffe80,0x001ffff9,0x003ffff6,0x91ffffc4,0xf880bfff,
    0x00001fff,0x00ffff88,0x453fff20,0x2000ffff,0x8004fffc,0x000ffff9,
    0x7ec00000,0x260004ff,0x2001ffff,0x100ffffd,0x4001ffff,0x0007fffa,
    0x000dfff1,0xfff00000,0xf000005f,0x00005fff,0x225ffff0,0x9001ffff,
    0x0003ffff,0x2ffff800,0xfffffc88,0x7c404fff,0x00006fff,0x00dffff1,
    0x3fffe200,0x3fff2000,0x1ffff504,0x1ffff400,0x002ffff4,0x00ffffe6,
    0x3e6fffc8,0x7c401fff,0x00001fff,0x00ffff88,0x453fff20,0x2000ffff,
    0x8004fffc,0x000ffff9,0x7ec00000,0x3a0004ff,0x4c005fff,0xf703ffff,
    0xff000bff,0xfb0001ff,0x000003ff,0x7fffd000,0xffd00000,0xd000007f,
    0x3fe27fff,0xffa803ff,0x00002fff,0x21ffff40,0xfffffff8,0x7d404fff,
    0x00001fff,0x003ffff5,0x3fffe200,0x3fff2000,0x09fff904,0x43fffe80,
    0x002ffff8,0x004fffd8,0x2a7fffe6,0xf8806fff,0x00001fff,0x00ffff88,
    0x453fff20,0x2000ffff,0x8004fffc,0x000ffff9,0x7ec00000,0xf10004ff,
    0xb0005fff,0x3f209fff,0xff8004ff,0x7d4001ff,0x000004ff,0x7fffd000,
    0xffd00000,0xd000007f,0x3fe27fff,0x7fcc06ff,0x0003ffff,0x1ffff400,
    0x2fbffff6,0x5c00999a,0x00006fff,0x001bffee,0x0ffff880,0x13fff200,
    0x0017ffec,0xf30ffffa,0x2e000fff,0x74005fff,0xfffdbfff,0xffff8804,
    0xf8800001,0x32000fff,0xfff14fff,0x7fe4001f,0xff98004f,0x000000ff,
    0x27ffec00,0x7fff9800,0xbfff7000,0x26ffff60,0x99999999,0x3fffe999,
    0x3fffe200,0x00001880,0x555554c4,0x003fffea,0xaaaaa988,0x003fffea,
    0xaaaaa988,0xf13fffea,0x2a07ffff,0x5fffffff,0x554c4000,0xfffeaaaa,
    0x17fffea3,0x5fffd800,0x3ff60000,0x2200005f,0x2000ffff,0xfd04fffc,
    0xfe8003ff,0x7ffd43ff,0xfff50006,0xfffb800f,0x800ffffe,0x001ffff8,
    0xffff8800,0x3fff2000,0x01ffff14,0x027ffe40,0x07fffcc0,0x20000000,
    0x0004fffd,0x000dfff5,0x7c1fffea,0xffffffff,0xffffffff,0x2004ffff,
    0x3622fffd,0x002effff,0xfffffd70,0xffffffff,0x3ffae007,0xffffffff,
    0xd7003fff,0xffffffff,0x227fffff,0xadffffff,0xaefffda9,0x00adffff,
    0xfffffd70,0xffffffff,0x07fffe47,0x7fffd000,0x7ff40000,0x2200003f,
    0x2000ffff,0xff04fffc,0xfe8001ff,0x7ffdc3ff,0xfff30005,0x7fc4001f,
    0x006fffff,0x003ffff1,0xffff1000,0x7ffe4001,0x01ffff14,0x027ffe40,
    0x07fffcc0,0x20000000,0x0004fffd,0x000bfff7,0x103fffe6,0xffffffff,
    0xffffffff,0x009fffff,0xf997ffea,0x4fffffff,0x3ffff200,0xffffffff,
    0x6403ffff,0xffffffff,0xffffffff,0x7fffe403,0xffffffff,0xff13ffff,
    0xffffffff,0x3fa1ffff,0x6401ffff,0xffffffff,0xffffffff,0x017fff63,
    0x05ffff00,0x7fffc000,0x3e200002,0x32000fff,0xff984fff,0x7f4000ff,
    0x7ffec3ff,0xfff10004,0xffc8003f,0x1002ffff,0x0003ffff,0x1ffff100,
    0xa7ffe400,0x000ffff8,0x0013fff2,0x003fffe6,0xfb000000,0x360009ff,
    0x10004fff,0xff03ffff,0xffffffff,0xffffffff,0xd1007fff,0x3fe21fff,
    0xffffffff,0xffffd802,0xeeeeefff,0x203ffffe,0xfffffffd,0xffeeeeee,
    0x3ff603ff,0xeeefffff,0x3ffffeee,0xfffffff1,0x41dfffff,0x01fffffa,
    0x3ffffff6,0xfeeeeeef,0x3ffe3fff,0x7fc0004f,0x200002ff,0x0002ffff,
    0x03fffe20,0x84fffc80,0x8007fff9,0x7e43fffe,0xf10005ff,0x98001fff,
    0x006fffff,0x007fffe2,0x3ffe2000,0x3ff2000f,0x1ffff14f,0x27ffe400,
    0x7fffcc00,0x00000000,0x0027ffec,0x005fffc8,0x01ffff10,0x3337ffff,
    0x33333333,0x00133333,0x7e45fff9,0xfff713ff,0xffffb80d,0x7ff400ae,
    0xffff703f,0xffe8015d,0xffff703f,0xffe8015d,0x1dfff13f,0x07dffffb,
    0x407fffaa,0x0aeffffb,0xf1ffff40,0x8000bfff,0x0003ffff,0x00ffffe0,
    0xffff8800,0x3fff2000,0x0ffff984,0x1ffff400,0x001bffee,0x003fffcc,
    0x02ffffe8,0x07fffe20,0x3fe20000,0x3f2000ff,0xffff14ff,0x7ffe4001,
    0xfff98004,0x0000000f,0x027ffec0,0x06fffb80,0x0ffff300,0x000ffffa,
    0x3ffe6000,0x213ffe25,0xf101fffc,0x7400dfff,0xff883fff,0x3fa006ff,
    0xfff883ff,0x3ffa006f,0x4ffff13f,0x31001a98,0x3fffe203,0x3fffa006,
    0x01ffffa3,0x09fffb00,0x7ffec000,0x3e200004,0x32000fff,0xff884fff,
    0x7f4001ff,0x7ffd43ff,0xfff50007,0x3ffa000b,0x0000006f,0xffff1000,
    0x7ffe4001,0xffb00004,0xff30007f,0x000001ff,0x4fffd800,0xffff5000,
    0x3ffea000,0x09fff905,0xffd00000,0x0fffcc1f,0xa817ffd4,0x2000ffff,
    0xfa83fffe,0x3a000fff,0xffa83fff,0x3fa000ff,0xffff13ff,0xfa800000,
    0x3a000fff,0x3ff63fff,0x320000ff,0x00006fff,0x001bfff2,0x0ffff880,
    0x13fff200,0x000ffffc,0x987ffff1,0x90007fff,0x50009fff,0x0007ffff,
    0x22000000,0x2000ffff,0x0004fffc,0x005fffd0,0x01ffff30,0xd8000000,
    0x30004fff,0x2000ffff,0xf704fffc,0x00000dff,0x543fffc8,0xff880fff,
    0xdfff703f,0x3fffe800,0x006fffb8,0x5c1ffff4,0x74006fff,0xfff13fff,
    0x4000001f,0x4006fffb,0x3e63fffe,0x20005fff,0x001ffffb,0x3ffff700,
    0x7ffc0000,0xfff3001f,0x3fffa09f,0x3fffa003,0x7fffc43f,0x7ffc4003,
    0xffe8003f,0x8800007f,0x7c000199,0xf3001fff,0x00009fff,0x0003fffe,
    0x003fffe6,0xfb000000,0x220009ff,0x4003ffff,0x303ffff8,0x0007ffff,
    0x1bffe600,0x7c07ffee,0xfffb03ff,0x7ffd400b,0x5fffd83f,0x3fffea00,
    0x05fffd83,0x4ffffea0,0x000ffff8,0x3fff6000,0x3ffea005,0x7ffff43f,
    0xfff30004,0x260000df,0x0006ffff,0x00bfffa0,0x13ffffe6,0x8037ffec,
    0x83fffffd,0x4007fffe,0x000ffffb,0x017fffe4,0x7fffc000,0x3ffa0000,
    0xfff9802f,0xa80004ff,0x30007fff,0x0001ffff,0xffd80000,0x3fa0004f,
    0x7dc007ff,0x3f600fff,0x00000fff,0x980fffe8,0xff883fff,0xffff902f,
    0x3ffff200,0x7fffc83f,0xfffff900,0x0ffff907,0x3fffff20,0x01ffff13,
    0x7fe40000,0xfff9007f,0xfff987ff,0xc8001dff,0x0003ffff,0x07ffff90,
    0x3fff6000,0x7fff4406,0xfff304ff,0xfffd803f,0xffa83fff,0xff3003ff,
    0xfb8007ff,0x00004fff,0x006fff98,0x037ffec0,0x3fffffa2,0xffe80004,
    0xff30005f,0x000001ff,0x4fffd800,0x3ffea000,0xfff3003f,0xfff9807f,
    0x200003ff,0xf103fffb,0xfff70bff,0x3fffea01,0x3fffa603,0xffa83fff,
    0x3fa603ff,0xa83fffff,0x2603ffff,0x3ffffffe,0x001ffff1,0x7ffd4000,
    0x3ffa603f,0xfa83ffff,0x19dfffff,0xfffff100,0x2095003d,0x1efffff8,
    0xff704a80,0x3fe605ff,0x204fffff,0x881ffffe,0xfffdfffd,0xbffffb03,
    0x6ffffa80,0x3fff6200,0x5000006f,0x80007fff,0x302ffffb,0x9fffffff,
    0x7ff44000,0xf30000ff,0x00001fff,0xfffd8000,0x7fec0004,0x7fd405ff,
    0xff9006ff,0x3357dfff,0x3fb95333,0x80dfff30,0xf30bfffe,0x7fc40bff,
    0xb99acfff,0xfffffffe,0xffff883f,0xfeb99acf,0x3fffffff,0xcfffff88,
    0xfffeb99a,0xf13fffff,0x00001fff,0x7ffffc40,0xffeb99ac,0x03ffffff,
    0xfffffff5,0xfb80dfff,0xbcdfffff,0x07ffccaa,0x3fffffee,0xfccaabcd,
    0xffff107f,0xffb5359f,0x09fff9ff,0x67ffffdc,0xaffffb9a,0xf303fffb,
    0x359dffff,0xfffffb75,0x3b732e05,0x01ffffff,0xfff90000,0xff880003,
    0xda9acfff,0xfffcffff,0x7edc4004,0x0003ffff,0x003fffe6,0xfb000000,
    0x980009ff,0xacefffff,0xffffdba9,0xff91002f,0xffffffff,0x03ffffff,
    0xa803fffd,0xffefffff,0x7fdc01ff,0xffffffff,0xfffabfff,0xfffff703,
    0xffffffff,0x207fff57,0xfffffffb,0xabffffff,0xfff13fff,0x8000001f,
    0xfffffffb,0xabffffff,0x36203fff,0xffffffff,0xffffb807,0xffffffff,
    0x7fdc07ff,0xffffffff,0x2e07ffff,0xffffffff,0xff99ffff,0x7ffec04f,
    0xffffffff,0x407fff52,0xfffffffa,0xffffffff,0x3ffff202,0x001effff,
    0x1bffa000,0x7ffdc000,0xffffffff,0x04fff99f,0x7ffffcc0,0x7cc0005f,
    0xeeeeefff,0xeeeeeeee,0x3332e006,0xfffecccc,0x3cccccce,0xfffff500,
    0xffffffff,0xd50005ff,0xffffffff,0x83ffffff,0x9004fffb,0xffffffff,
    0x3fff2005,0xefffffff,0x407fff50,0xfffffffc,0xff50efff,0x7ffe407f,
    0xefffffff,0x227fff50,0x0000ffff,0xffffc800,0x0effffff,0x5007fff5,
    0xfffffffb,0x3fff6200,0xffffffff,0xffd8807f,0xffffffff,0x7fec07ff,
    0xefffffff,0x009fff31,0xfffffff9,0x7ffd45ff,0x7ffec403,0xffffffff,
    0x7ffe400d,0x0003ffff,0x27ffc400,0xfffb0000,0x3dffffff,0x0013ffe6,
    0x07fffff3,0xffff3000,0xffffffff,0x00ffffff,0x7fffffec,0xffffffff,
    0x2006ffff,0xffffffd8,0x00dfffff,0x7ffedc00,0xdeffffff,0x1bffe20b,
    0xfffff500,0xfe98003b,0x43dfffff,0x4c03fffa,0xdffffffe,0x01fffd43,
    0x3fffffa6,0x7ffd43df,0x01ffff13,0x3a600000,0x3dffffff,0x001fffd4,
    0x0ffdb951,0xfffeca80,0x01bdffff,0x3fffb2a0,0x01bdffff,0xffffffa8,
    0x27ffcc3e,0xffffeb80,0x7ffd41bd,0xfffb7003,0x007bdfff,0x2f7bfff2,
    0x98000000,0x00002fff,0x7fffffd4,0x27ffcc3e,0x337fe600,0xff300000,
    0xffffffff,0xffffffff,0x7fffec00,0xffffffff,0x06ffffff,0xffffdb80,
    0x0003deff,0x33555300,0x10000001,0x26000033,0x000000aa,0x00001553,
    0x0002aa60,0x00000000,0x0000aa98,0x40000000,0x00009998,0x00266620,
    0x01aa9880,0x02a60000,0x53100000,0x00cc0003,0x00000000,0x2a620000,
    0x2000001a,0xf3000000,0xffffffff,0xffffffff,0x7ffec00f,0xffffffff,
    0x6fffffff,0x0d4c4000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20b33200,0x1bdeeec9,0x026a6000,0x2aaa2000,0x000001aa,0x2aaaa200,
    0x5551002a,0x4c06aa60,0x00001aaa,0x004d4c00,0x26662000,0x99999999,
    0xaaaaa801,0x01aaaaaa,0xeeca9800,0xa8800abd,0xaaaaaaaa,0x0000002a,
    0x1579b953,0x554c0000,0x2aaaa01a,0x54400000,0x0002aaaa,0xaaaaa880,
    0x1aaa9802,0x002aaaa0,0x0aaaa200,0x00262000,0x2a600066,0xacceeedb,
    0xdeeec981,0xaa88000b,0xfff1002a,0x7fffec4b,0x4003ffff,0x0cfffffc,
    0xfb801f88,0x0002ffff,0xffe88000,0xf1000eff,0x9ffd05ff,0x017fff20,
    0x7fe40000,0xf880cfff,0x3fff2001,0xffffffff,0x7fffc00f,0x4fffffff,
    0x3ffe6000,0x3fffffff,0x7ffffdc0,0x00ffffff,0x3fa60000,0x2fffffff,
    0xffd10000,0xfffe887f,0x74400003,0x000effff,0x7fff4400,0xfe8800ef,
    0x7ff443ff,0xe880003f,0x0003ffff,0xd80bffea,0xfd5005ff,0xffffffff,
    0xfffc81ff,0x4001ffff,0x1002fffd,0x3fe6bfff,0xffffffff,0xfffb005f,
    0x217fffff,0x9801ffe9,0x002ffffe,0x3fa20000,0xf8004fff,0x3fea1dff,
    0xbfff902f,0xfb000000,0x7fffffff,0x007ffa61,0x7fffffe4,0x00ffffff,
    0x7ffffffc,0x0004ffff,0xfffffff7,0x01bfffff,0x3fffffee,0x000fffff,
    0xffff7000,0xbfffffff,0x3fa20000,0xfffd34ff,0xe8800007,0x0004ffff,
    0xffffe880,0x7ff44004,0x7fffd34f,0xffd10000,0x0007ffff,0x5c1ffffe,
    0x2203ffff,0xfffffffd,0x40ffffff,0xfffffffc,0x3ffea006,0x3ffe2005,
    0xefffff9e,0x1ffffffe,0x77fffe40,0xffffffff,0xb1000eff,0x0005ffff,
    0xfffd1000,0x3ee0005f,0xffffefff,0xbfff900f,0xfc800000,0xffffefff,
    0x0effffff,0xfffff900,0x1fffffff,0xffffff80,0x004fffff,0xdfffffd8,
    0xfffffdcb,0xffffb80f,0x0fffffff,0xff980000,0xfffeffff,0x00002fff,
    0xffbfffd1,0x800007ff,0x02ffffe8,0xffe88000,0xd10002ff,0xffffbfff,
    0xfd100007,0x7ffffbff,0xffff8800,0xffffd81f,0xfffff105,0xfdddddff,
    0x889981ff,0x1007fffc,0x4001ffff,0xfffffff8,0xffffb83f,0x11ffe406,
    0xfffffffb,0xff70001f,0x000005ff,0x077fff44,0x3fffa000,0x202fffff,
    0x0005fffc,0x11ffe400,0xfffffffb,0x0000001f,0x7ffec000,0x7ffe4004,
    0x3fff204f,0x7fcc004f,0x800000ff,0x222ffffe,0x00fffffb,0xfffd1000,
    0x00007fff,0x0efffe88,0xfe880000,0x40000eff,0xffffffe8,0xfe880003,
    0xfffd33ff,0xffff8007,0x7ffff707,0x37ffff60,0xff001801,0x3ff200df,
    0x7fc4002f,0x201fffff,0x400ffffb,0xfffd503c,0x4c0003bf,0x0002fffe,
    0x4fffe880,0x3fee0000,0x6401efff,0x00005fff,0xfd503c80,0x0003bfff,
    0xd8000000,0x22004fff,0xb802ffff,0x2001ffff,0x000ffff9,0x7fffd400,
    0x3ffff501,0x7f440000,0x00002fff,0x027fff44,0xffe88000,0x2200004f,
    0x002ffffe,0x2fffe880,0x01ffff44,0x403fff30,0xff504ffd,0x300005ff,
    0x09fff933,0x00bfff30,0xffffff10,0xffff8801,0x19880001,0x2aa20000,
    0x9800002a,0x00001aaa,0x20013530,0x0005fffc,0x33100000,0x00000000,
    0x27ffec00,0x0bfff900,0x02ffff40,0x01ffff30,0xfffb8000,0x3fffe205,
    0x54400003,0x800001aa,0x0001aaa9,0x06aaa600,0x2aa20000,0x5300001a,
    0x55540355,0x8004000a,0xffff1008,0x3fe00009,0xd004ffff,0x10001fff,
    0x003fffff,0x000bfffa,0x00000000,0x00000000,0x64000000,0x00005fff,
    0x00000000,0x20000000,0x1004fffd,0x4001ffff,0x2007fffa,0x000ffff9,
    0x27ffec00,0x013fff60,0x00000000,0x00000000,0x00000000,0x00000000,
    0x98000000,0x0000ffff,0xfffffff0,0x3fffc807,0xffff1000,0x7ffec005,
    0x00000003,0x00000000,0x00000000,0x0bfff900,0x00000000,0x00000000,
    0x27ffec00,0x05fffb80,0x00ffff80,0x01ffff30,0xfffd8000,0x17fff404,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x000bfff5,
    0x7ff6e640,0xfff302ff,0x7fc4000b,0x3f2000ff,0x000004ff,0x00000000,
    0x00000000,0xfff90000,0x0000000b,0x31000000,0x157bdd97,0xfffb0000,
    0xffc86209,0xfff8004f,0xfff3001f,0xc800001f,0x7fc06fff,0x000001ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fff2000,0x32000004,
    0xffd05fff,0x7c40001f,0x32000fff,0x33204fff,0xcccccccc,0x9990002c,
    0x99999999,0x59990005,0x7bddd930,0x66664003,0x2ccccccc,0x05fffc80,
    0x33333260,0x30599900,0x037bddd9,0x3ffff200,0x04ffffff,0x27ffec00,
    0xffd93f22,0x999999bf,0xfe999999,0xff3003ff,0x800001ff,0x900ffffb,
    0x2000ffff,0xccccccca,0xcccccccc,0x666404cc,0x9bdb5103,0xcccc8005,
    0x2ccccccc,0x07999000,0x0b37b6a2,0x99999900,0x00599999,0x33333320,
    0x802ccccc,0x0003fffd,0x1bffee00,0x000fffee,0x01ffff10,0x027ffe40,
    0xffffffff,0x20009fff,0xffffffff,0x44004fff,0x3f625fff,0x3fffffff,
    0xffffff00,0x009fffff,0x200bfff9,0x02fffff9,0x6c4bfff1,0xffffffff,
    0x3ffa6003,0xffffffff,0xb0001eff,0x3f229fff,0x3fffe4ff,0xffffffff,
    0xffffffff,0xfff3004f,0x9800001f,0xfb85ffff,0x90002fff,0xffffffff,
    0xffffffff,0x7ffc40ff,0x7ffff4c6,0xf000dfff,0xffffffff,0xf10009ff,
    0xffe98dff,0x00dfffff,0xfffffff0,0x0009ffff,0x3ffffffe,0xe804ffff,
    0x00002fff,0xfff75335,0x6fff989f,0xfff88000,0x3ff2000f,0x3fffe04f,
    0x4fffffff,0xfffff000,0x09ffffff,0x35fff880,0xffffffff,0xff00bfff,
    0xffffffff,0xfff9009f,0xffff300b,0x7ffc403f,0xffffff35,0x00bfffff,
    0xfffffff5,0xffffffdb,0xffb0005f,0xfffff99f,0x3ffffe29,0xffffffff,
    0xffffffff,0xffff3004,0xfb000001,0x7fe45fff,0x320005ff,0xffffffff,
    0xffffffff,0x3ffe207f,0x3ffffee6,0x00ffffff,0xfffffff8,0x8004ffff,
    0x3ee6fff8,0xffffffff,0xfff800ff,0xffffffff,0xffff0004,0x9fffffff,
    0x05ffff00,0x3fffa000,0x740effff,0x80001fff,0x000ffff8,0xf813fff2,
    0xffffffff,0xff0004ff,0xffffffff,0xff88009f,0xfffff9ef,0xffffffee,
    0x7ffffc01,0x04ffffff,0x405fffc8,0x01fffff9,0x7cf7ffc4,0xffeeffff,
    0x2201ffff,0x80bfffff,0x06ffffe9,0xfffffd80,0x3e0dffff,0xffffffff,
    0xffffffff,0x3003ffff,0x0001ffff,0xfffff100,0x09fffff7,0xffffc800,
    0xffffffff,0x207fffff,0xff96fff8,0xfffddfff,0xfff00bff,0xffffffff,
    0xfff10009,0x3fffff2d,0x5fffffee,0xffffff80,0x004fffff,0xfffffff0,
    0xf009ffff,0x00005fff,0x3ffffffa,0x27ffdc0d,0xfff88000,0x3ff2000f,
    0xffb0004f,0xb000009f,0x88009fff,0xffffffff,0x6ffffb83,0x3fff6000,
    0x5fffc804,0x3ffffe60,0xffff8801,0xfb83ffff,0x3f606fff,0xfc801fff,
    0x6c003fff,0xdfffffff,0x9bffff81,0x99999999,0x09999999,0x1ffff300,
    0x3ee00000,0xffffffff,0x00000003,0x405ffff7,0xffcefff8,0x7ff442ef,
    0x360000ff,0x88004fff,0xfffcefff,0x7fff442e,0x3f60000f,0x800004ff,
    0xf804fffd,0x00002fff,0x0379bd97,0x000dfff1,0x07fffc40,0x09fff900,
    0x13fff600,0x3ff60000,0x7fc4004f,0x201fffff,0x000ffffb,0x009fffb0,
    0x260bfff9,0x001fffff,0xfffffff1,0x7fffdc03,0x1ffff980,0x3ffff600,
    0xfffc8800,0x3a01dfff,0x00003fff,0x3fffe600,0x3a000000,0x0dffffff,
    0x30000000,0x8809ffff,0x5fffffff,0x13fffe20,0x4fffd800,0xffff8800,
    0x3e205fff,0x20004fff,0x0004fffd,0x04fffd80,0x002ffff8,0xffd80000,
    0x2200001f,0x2000ffff,0x0004fffc,0x0009fffb,0x09fffb00,0xfffff880,
    0x7ffc400f,0xffb0001f,0xfff9009f,0xfffff30b,0x7ffc4003,0x7c400fff,
    0xffe81fff,0x7fcc005f,0x3f2203ff,0x01efffff,0x004fffc8,0x3fe60000,
    0xec8800ff,0xfffb803d,0x00005fff,0x3ffe2000,0xfff8806f,0xfc804fff,
    0x360005ff,0x88004fff,0x04ffffff,0x005fffc8,0x013fff60,0x3fff6000,
    0x2ffff804,0x5c000000,0x00004fff,0x007fffc4,0x009fff90,0x013fff60,
    0x3fff6000,0x7ffc4004,0xffd001ff,0x3f60005f,0xffc804ff,0x7fffcc5f,
    0x7fc4001f,0xfd001fff,0xfff885ff,0xffd8002f,0xfffc884f,0x004fffff,
    0x000dfff7,0x7ffcc000,0x7ff4400f,0xffb106ff,0x03ffffff,0x00133326,
    0x1ffffb00,0xfffff100,0x3ffea00b,0x3ff60006,0xff88004f,0xf5005fff,
    0x6c000dff,0x00004fff,0x804fffd8,0x0002ffff,0x3ffe2000,0xf8800006,
    0x32000fff,0xb0004fff,0x00009fff,0x009fffb0,0x02ffff88,0x00ffff60,
    0x027ffec0,0xf32fffe4,0x0003ffff,0x005ffff1,0x261fffec,0x70007fff,
    0xffb8bfff,0xffffffff,0xffff3004,0x20000007,0x400ffff9,0x3ffffffd,
    0xfeffffd8,0xfa80ffff,0x200006ff,0x002ffffc,0x00dffff1,0x0037ffd4,
    0x009fffb0,0x0dffff10,0x037ffd40,0x09fffb00,0xfffb0000,0x5ffff009,
    0x6c000000,0x00001fff,0x00ffff88,0x013fff20,0x027ffec0,0x7ffec000,
    0x7ffc4004,0x3ff2000f,0xffb0004f,0xfff9009f,0x3ffffe6b,0xfff10001,
    0x7fe4001f,0x37ffd44f,0x7fffa800,0x4effffec,0x2004fffd,0x000ffffd,
    0xfff98000,0x7fffc00f,0x7fec6fff,0xffffb3ff,0x0bfff50d,0x3ffea000,
    0x3fe2004f,0x3a6001ff,0x360005ee,0x88004fff,0x2001ffff,0x0005eee9,
    0x0013fff6,0x13fff600,0x00bfffe0,0x7fd40000,0x1000004f,0x4001ffff,
    0x0004fffc,0x0009fffb,0x09fffb00,0x0ffff880,0x13fff200,0x27ffec00,
    0x4efffe40,0x001fffff,0x03fffe20,0x44fffc80,0x0005fffb,0x6c1ffff3,
    0x3ff61dff,0x3fe6004f,0x00003fff,0x07fffcc0,0xffffff10,0x7fffccdf,
    0x3ffffa23,0x027ffdc4,0x7fffc400,0x7ffc4005,0x0000001f,0x009fffb0,
    0x03ffff10,0x36000000,0x00004fff,0x804fffd8,0x0002ffff,0xffff8800,
    0xf1000000,0x64001fff,0xb0004fff,0x00009fff,0x009fffb0,0x00ffff88,
    0x013fff20,0x027ffec0,0x7ff7ffe4,0x40001fff,0x000ffff8,0xfb13fff2,
    0x220009ff,0x3761ffff,0x04fffd81,0x7ffffe40,0x99999abe,0x2001fdca,
    0x400ffff9,0x5ffffffe,0x2217fffa,0x323fffff,0x80004fff,0x000efffe,
    0x00ffffc4,0xfd800000,0xf88004ff,0x00001fff,0x9fffb000,0xffb00000,
    0xffff009f,0xb0000005,0xddb05fff,0x88001ddd,0x2000ffff,0x0004fffc,
    0x0009fffb,0x09fffb00,0x0ffff880,0x13fff200,0x27ffec00,0x6efffe40,
    0x0003ffff,0x007fffc4,0xc89fff90,0x10005fff,0x0041ffff,0x8009fffb,
    0xffffffc8,0xffffffff,0x3e6001ff,0x7d400fff,0xf10fffff,0x3ea03fff,
    0xffd1ffff,0xfc80007f,0x88001fff,0x0001ffff,0xfffb0000,0xfff10009,
    0x0000003f,0x013fff60,0x3fff6000,0x2ffff804,0x7d400000,0xfffb85ff,
    0x44000fff,0x2000ffff,0x0004fffc,0x0009fffb,0x09fffb00,0x0ffff880,
    0x13fff200,0x27ffec00,0xeafffe40,0x0002ffff,0x003fffe2,0x5c4fffc8,
    0x30006fff,0x6c00ffff,0x50004fff,0xfffffffd,0x3fffffff,0x7fffcc00,
    0xefffa800,0x01fffea1,0xf3fffff7,0x40003fff,0x003ffffb,0x03ffff10,
    0x36000000,0x88004fff,0x0001ffff,0xfffb0000,0xfb000009,0xfff009ff,
    0x4000005f,0x440fffe8,0x0fffffff,0x7fffc400,0x3fff2000,0xfffb0004,
    0xfb000009,0xf88009ff,0x32000fff,0xb0004fff,0xf9009fff,0x3ffa2bff,
    0xf10002ff,0x64001fff,0x7fd44fff,0xff50007f,0x7fec00bf,0x6dc0004f,
    0xffffffff,0x2000bdff,0x000ffff9,0x3ffee022,0xffffd806,0x0006ffff,
    0x017fffe6,0x1ffff880,0xb0000000,0x10009fff,0x0003ffff,0x3ff60000,
    0xd800004f,0xff804fff,0x000002ff,0x360bfff2,0x0fffdeff,0x00000000,
    0x9fffb000,0xffb00000,0xff88009f,0x3f2000ff,0xfb0004ff,0xff9009ff,
    0x7fffccbf,0xff88001f,0x3f2000ff,0x7ffcc4ff,0xfff90007,0x7ffec009,
    0x54c00004,0x0005fffb,0x003fffe6,0x1bfff200,0x3ffffa20,0x10003fff,
    0x001dfffd,0x0ffffc40,0xd8000000,0x88004fff,0x0001ffff,0xfffb0000,
    0xfb000009,0xfff009ff,0x2000005f,0xfa85fff9,0x0fffc9ff,0x00000000,
    0x9fffb000,0xffb00000,0xff88009f,0x3f2000ff,0xfb0004ff,0xff9009ff,
    0xffff98bf,0x7fc4001f,0x3f2000ff,0x7ffc44ff,0x7fc4003f,0x3f6003ff,
    0x000004ff,0x8000dffd,0x000ffff9,0x0ffffa80,0xfffff880,0xfb0000ff,
    0x80001fff,0x001ffff8,0xffb00000,0xff10009f,0x000003ff,0x13fff600,
    0x3ff60000,0xffff804f,0xfd000002,0xfff881ff,0x001fff94,0x03331000,
    0x3ff60000,0xd800004f,0x44004fff,0x2000ffff,0x0004fffc,0x9009fffb,
    0xff50bfff,0x44001dff,0x2000ffff,0xfe84fffc,0x7dc007ff,0x36000fff,
    0x00004fff,0x001fffc8,0x07fffcc0,0x7ffcc000,0xfff5002f,0x2e000bff,
    0x0002ffff,0x01ffff88,0xfb000000,0xf10009ff,0x00003fff,0x3fff6000,
    0xfd800004,0xfff804ff,0xc800002f,0xffd83fff,0x01fff90f,0xffff0000,
    0xfb000001,0x000009ff,0x8009fffb,0x000ffff8,0x0013fff2,0x4027ffec,
    0xf705fffc,0x2001dfff,0x000ffff8,0x2a13fff2,0x3003ffff,0x8007ffff,
    0x0004fffd,0x02fffc40,0x7fffcc00,0xff880000,0xe8800fff,0x000fffff,
    0x027fffcc,0xffff8800,0x00000001,0x0009fffb,0x003ffff1,0x3f600000,
    0x800004ff,0xf804fffd,0x00002fff,0x5437ffcc,0x3ff22fff,0x4c00000f,
    0x00006fff,0x009fffb0,0x9fffb000,0xffff8800,0x3fff2000,0xfffb0004,
    0xbfff9009,0x77fffe40,0xffff8800,0x3fff2000,0xbffffb04,0x6ffffa80,
    0x4fffd800,0x7fd40000,0xf980003f,0x00000fff,0x03dffff9,0x7fffffd4,
    0x3fe2006f,0x200006ff,0x001ffff8,0xffb00000,0xff10009f,0x000003ff,
    0x13fff600,0x3ff60000,0xffff804f,0x7f400002,0xfffe80ff,0xcfffeccc,
    0xf500000c,0x000007ff,0x0013fff6,0x13fff600,0x1ffff100,0x27ffe400,
    0x4fffd800,0x05fffc80,0x02ffffec,0x007fffc4,0x209fff90,0xcefffff9,
    0xfffdba9a,0xfd8002ff,0x400004ff,0x0006fffb,0x00ffff98,0xfffd1000,
    0xd97579ff,0xffffffff,0x3ffa00bf,0x200000ff,0x001ffff8,0xffb00000,
    0xff10009f,0x000003ff,0x13fff600,0x3ff60000,0xffff804f,0x3ee00002,
    0xffff03ff,0xffffffff,0x3200003f,0x70001fff,0xd9999999,0x9999dfff,
    0x332e0799,0xffeccccc,0xccccccef,0x0ffff883,0x13fff200,0x6666665c,
    0xccefffec,0xff93cccc,0xffe880bf,0x7fc405ff,0x3f2000ff,0x3fea04ff,
    0xffffffff,0x502fffff,0xd5555555,0x5555bfff,0xf3000555,0x0599dfff,
    0x99999991,0x999ffffb,0x80039999,0xfffffff9,0xffffffff,0x03fffffb,
    0x677fffe4,0xcccccccc,0xf103cccc,0x00003fff,0x333332e0,0xcefffecc,
    0x103ccccc,0x0003ffff,0x33332e00,0xefffeccc,0x03cccccc,0x99999997,
    0x999dfffd,0x3ffe7999,0xf300002f,0x7ffc0dff,0xffffffff,0xd00001ff,
    0x6c000dff,0xffffffff,0xffffffff,0xfffb06ff,0xffffffff,0xdfffffff,
    0x01ffff10,0x827ffe40,0xfffffffd,0xffffffff,0xfff96fff,0xffff100b,
    0x7ffc409f,0x3ff2000f,0x7fec404f,0xffffffff,0x3ff600df,0xffffffff,
    0xffffffff,0xfffb0006,0xff309fff,0xffffffff,0xffffffff,0xfb30005f,
    0xffffffff,0x3fea19ff,0x3fe01fff,0xffffffff,0xffffffff,0xffff105f,
    0x36000003,0xffffffff,0xffffffff,0xfff106ff,0x2000003f,0xfffffffd,
    0xffffffff,0xffb06fff,0xffffffff,0xffffffff,0x00bfffed,0x0ffff400,
    0x55555550,0x0157fffb,0x9fff1000,0x7ffec000,0xffffffff,0x6fffffff,
    0xffffffb0,0xffffffff,0xf10dffff,0x64001fff,0xffb04fff,0xffffffff,
    0xffffffff,0x017fff2d,0x27ffffcc,0x00ffff88,0x013fff20,0x7ffffedc,
    0xfd803def,0xffffffff,0xffffffff,0xf910006f,0xf309ffff,0xffffffff,
    0xffffffff,0x540005ff,0xeffffffd,0xffffb81c,0xfffff00f,0xffffffff,
    0x0bffffff,0x007fffe2,0x7ffec000,0xffffffff,0x6fffffff,0x03ffff10,
    0x3ff60000,0xffffffff,0xffffffff,0xfffffb06,0xffffffff,0x3edfffff,
    0x80002fff,0x0004fffb,0x0003fff2,0x02fff980,0x3ffff600,0xffffffff,
    0x06ffffff,0xfffffffb,0xffffffff,0xff10dfff,0x7e4001ff,0xfffb04ff,
    0xffffffff,0xdfffffff,0x8017fff2,0x83fffffa,0x000ffff8,0x0013fff2,
    0x20006a62,0xfffffffd,0xffffffff,0x40006fff,0x980aaa98,0xffffffff,
    0xffffffff,0x00002fff,0x00001331,0xfffffff0,0xffffffff,0x220bffff,
    0x0001ffff,0xfffffb00,0xffffffff,0x20dfffff,0x001ffff8,0xffffb000,
    0xffffffff,0x0dffffff,0x3ffffff6,0xffffffff,0xfff6ffff,0xf880005f,
    0x640006ff,0x00000fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x98000000,0x88004eed,0x6cc02aaa,
    0xa88004ee,0x331002aa,0x33333333,0x2aaa0033,0x88000002,0x99999999,
    0x4c001999,0xcdefeecb,0x5530000b,0x55554035,0xaaaaaa80,0x001aaaaa,
    0x00bca800,0x039b7000,0x33331000,0x33333333,0x00666640,0xa8599950,
    0x000002aa,0x55551000,0x22000055,0xaccddcaa,0xaa88000a,0x9100002a,
    0x220005bd,0x00000099,0x00000066,0x10000998,0xffffffff,0xffffffff,
    0xffffd985,0xfffd8006,0xffffb302,0xfffb000d,0x3fff2005,0xffffffff,
    0x7ffc400f,0x4000000f,0xfffffffc,0x400fffff,0xffffffda,0x0cffffff,
    0x7fff4400,0x1ffff443,0xfffffff8,0x0004ffff,0x0ffffec0,0x3fffa000,
    0x7e40001f,0xffffffff,0xff880fff,0x3f2000ff,0x3ffe24ff,0x0000000f,
    0x7ffff440,0xfc80000e,0xffffffff,0x7f44004f,0x40003fff,0x04fffff8,
    0xffffed98,0x0001ceff,0x3ffffb2a,0x80000ace,0xffffdca8,0x3e2002df,
    0xffffffff,0x2fffffff,0xffffff91,0xfffa800d,0xffffc885,0x7d4006ff,
    0x3f2005ff,0xffffffff,0x7c400fff,0x00000fff,0x7ffffe40,0x0fffffff,
    0x7ffffec0,0xffffffff,0x744001ff,0xffd34fff,0x7fffc07f,0x4fffffff,
    0x3fe60000,0x20005fff,0x06fffffa,0x7fffe400,0xffffffff,0x0ffff880,
    0x93fff200,0x000ffff8,0x3a200000,0x0004ffff,0xffffffa8,0x04ffffff,
    0x3ffffa20,0x360003ff,0x00ffffff,0xffffff91,0x1bffffff,0x7fff4400,
    0xffffffff,0x3fee0001,0xffffffff,0xff8801ef,0xffffffff,0x8affffff,
    0xffffffff,0x3ffe2006,0x7fffc40f,0x2006ffff,0x000ffff8,0x3ffffff2,
    0x80ffffff,0xffff9999,0x0999999a,0xfffc8000,0xffffffff,0x7ffec00f,
    0xffedeeff,0x000effff,0x7effff44,0x7fc03fff,0xffffffff,0x2e00004f,
    0x007fffff,0x3ffffee0,0x7fe40007,0xffffffff,0xfff880ff,0x3ff2000f,
    0x3fffe24f,0x00000000,0x05ffffd1,0xffff1000,0xfffddfff,0x3fa2009f,
    0x3ffffdff,0xfffff000,0xfff105ff,0xffffffff,0x001dffff,0xfffffff5,
    0x5fffffff,0xffffb000,0xffffffff,0xee8805ff,0xeeeeeeee,0xd2ffffee,
    0xdfff3dff,0x17ffe400,0xff9effe8,0x3ff2006f,0x0000002f,0xfffffff0,
    0xffffffff,0x0000000d,0x02f7f600,0x5ffffe98,0xfffe8800,0x40003fff,
    0x0004fffd,0x3ffffea0,0x3fea0006,0x00006fff,0xfff10000,0x7fe4001f,
    0x3fffe24f,0x80000000,0x00efffe8,0xffffb000,0x006a601b,0x4cffffa2,
    0x8003fffe,0x2ffffffe,0xbeffffe8,0xfffca99a,0x7fe405ff,0xecbeffff,
    0x03ffffff,0xbffffd10,0x3fb2a237,0x00003fff,0xea97fffc,0x401bffe2,
    0x2a05fff9,0x01bffe2e,0x002fffcc,0xfff00000,0xffffffff,0x000dffff,
    0x26000000,0x7fff4000,0xffd10007,0xb00005ff,0x00009fff,0x01ffffd8,
    0x7ffff400,0x00000002,0x01ffff10,0x127ffe40,0x0001ffff,0xffe88000,
    0x2a00004f,0x0003ffff,0x85fffd10,0x003fffe8,0x7fffffdc,0x0ffffe40,
    0x3ffff620,0xfffff502,0xfff91015,0xff8805ff,0xfb800eff,0x00004fff,
    0xf80bfffe,0xffd006ff,0xfff8001f,0x1fffd006,0x40000000,0xffffffff,
    0x6fffffff,0x00000000,0x3fe60000,0x510000ff,0x20000355,0x0004fffd,
    0x001cdb80,0x02dec880,0x20000000,0x000ffff8,0xf893fff2,0x00000fff,
    0x0d554c00,0x3ff20000,0x2600006f,0x2aa01aaa,0x7ec000aa,0xfff81fff,
    0xffd1003f,0x3fffa09f,0xfffc801f,0x7ffe406f,0x7ffd4005,0xff00000f,
    0x7ffc05ff,0x3fffc806,0x06fff800,0x003fffc8,0x4cc00000,0x9affff99,
    0x00099999,0x00000000,0x17fffc00,0x00000000,0x0013fff6,0x00000000,
    0x00000000,0x01ffff10,0x127ffe40,0x0001ffff,0x00000000,0x03fffd80,
    0x00000000,0x202ae600,0x000ffff8,0x2a17fff2,0x2002ffff,0x101ffffc,
    0x2000bfff,0x0004fffa,0x405ffff0,0x7cc06fff,0xff0005ff,0xfff980df,
    0x00000005,0x07fffc40,0x00000000,0xfd000000,0x000007ff,0xfffd8000,
    0x00000004,0x00000000,0x7fc40000,0x3f2000ff,0x3ffe24ff,0x0000000f,
    0x7c000000,0x00002fff,0x00000000,0x01fffea0,0xd0dfff70,0xf0009fff,
    0x3f60bfff,0x360000ff,0x80000fff,0x3e02ffff,0x7ff406ff,0xfff0000f,
    0x0fffe80d,0x765cc000,0x00bcdefe,0x01ffff10,0x54c00000,0x00abdeec,
    0x7ff40000,0x0000003f,0x27ffec00,0x00000000,0x99000000,0x65400199,
    0xffff12cc,0x7ffe4001,0x03fffe24,0x00000000,0xfff88000,0x0000001f,
    0x20000000,0x000ffff9,0xf517fff2,0x90003fff,0xf981ffff,0xfdb504ff,
    0x7fcc59bf,0xff80004f,0x3ffe02ff,0x0fffee06,0x06fff800,0x000fffee,
    0x7ffffed4,0xcfffffff,0x7fffc400,0x98000000,0xffffffff,0x220003ff,
    0xeaaaaaa9,0x33203fff,0xeeec982c,0xfb0001bd,0x950009ff,0x99999999,
    0x99999999,0xcccccc89,0x002ccccc,0x007fffc4,0x229fff90,0x2000ffff,
    0x3e24fffc,0x764c0fff,0x5000bdee,0x99999999,0x99999999,0xff880099,
    0x990000ff,0x2a000099,0x40002ccc,0x004ffff8,0xfb0ffffa,0x2a000fff,
    0x7ec3ffff,0x7fec40ff,0x6c5fffff,0x40000fff,0x3e02ffff,0xfff306ff,
    0xfff8000d,0x0dfff306,0x7fffec00,0xffffffff,0x3e201fff,0xdca80fff,
    0xb8000abc,0xffffffff,0x000dffff,0xffffffd7,0x7fffffff,0x897ffe20,
    0xfffffffd,0xffd8003f,0xffc8004f,0xffffffff,0x7fffffff,0x7ffffffc,
    0x4004ffff,0x000ffff8,0x7c53fff2,0x32000fff,0x3fe24fff,0xfffb10ff,
    0x007fffff,0xfffffff9,0xffffffff,0xf8800fff,0xf0000fff,0x00001fff,
    0x0007fffb,0x05ffffd0,0x81ffff90,0x0004ffff,0xfd0ffffe,0xffffd0bf,
    0xf98bffff,0x7c0002ff,0x3fe02fff,0x3fffd06f,0x6fff8000,0x003fffd0,
    0x7ffffec0,0xffffedee,0xff100eff,0x7ffdc1ff,0x001effff,0x37fffff6,
    0xfffffdcb,0x3fff200f,0xffffffff,0x103fffff,0x3fe6bfff,0xffffffff,
    0x7fec005f,0xffc8004f,0xffffffff,0x7fffffff,0x7ffffffc,0x4004ffff,
    0x000ffff8,0x7c53fff2,0x32000fff,0x3fe24fff,0xffff98ff,0x5fffffff,
    0x7ffffe40,0xffffffff,0x4007ffff,0x000ffff8,0x003fffd0,0x05fffd00,
    0xffff3000,0x7ffe409f,0x7fffcc3f,0x3ff60002,0x21fffc4f,0x10affffb,
    0x07fff095,0x2ffff800,0x2e1bffe0,0x80004fff,0xffb86fff,0x7ec0004f,
    0x3fa600bd,0xff105fff,0xfffd11ff,0x7fffffff,0x9ffff900,0x27fffe40,
    0xffffffd8,0xfeeeeeef,0xff103fff,0xfffff3df,0xffffffdd,0x7ffec003,
    0xfffc8004,0xffffffff,0x47ffffff,0xffffffff,0x44004fff,0x2000ffff,
    0xff14fffc,0x7e4001ff,0x3ffe24ff,0xefffff9f,0x1ffffffe,0x3fffff20,
    0xffffffff,0x4007ffff,0x000ffff8,0x005fff90,0x01ffff00,0x3fff2000,
    0x3faa2eff,0xffa85fff,0x360001ff,0x3fe25fff,0x3fffe22f,0x13ffa000,
    0x5ffff000,0x22155540,0x00006fff,0xff885555,0x0980006f,0x3ffff400,
    0xe8ffff88,0xffffffff,0x2200ffff,0xb802ffff,0x7dc1ffff,0x400aefff,
    0xf103fffe,0x7fffffff,0x0dffff70,0x027ffec0,0xffb80000,0x3f6002ff,
    0x7c4004ff,0x32000fff,0xfff14fff,0x7fe4001f,0x3fffe24f,0x5c0cffff,
    0x0005ffff,0x17fffdc0,0x7ffffffc,0xffffffff,0x6fffffff,0x001fffdc,
    0x003fffc0,0x3ffff200,0xffffdeff,0xffff504f,0x7fe40001,0x87ffea6f,
    0x4003fff9,0x40006ffd,0x0002ffff,0x0003fffb,0x3fffb000,0x20000000,
    0x880ffff9,0xfffeffff,0x3fff221d,0x3fff205f,0x3fffa005,0x1bfffe25,
    0x03fffe80,0xfffffff1,0x7fffdc03,0x9fffb000,0xf3000000,0xd8009fff,
    0x44004fff,0x2000ffff,0xff14fffc,0x7e4001ff,0x3ffe24ff,0x2e01ffff,
    0x0000ffff,0x09ffff30,0x3ffffffe,0xffffffff,0x6fffffff,0x0027ffd4,
    0x01bffe20,0x3ffaa000,0xefffffff,0x1fffee02,0xffff7000,0xf707ffdc,
    0xfc8003ff,0x7fc0007f,0xfb8002ff,0x000004ff,0x004fffb8,0x7fc00000,
    0xfff882ff,0x3203ffff,0xf880ffff,0x2a000fff,0x3fea7fff,0x3fa000ff,
    0xfff103ff,0xf8801fff,0xfb001fff,0x000009ff,0x06ffff88,0x04fffd80,
    0x07fffc40,0x29fff900,0x000ffff8,0xf893fff2,0x401fffff,0x001ffff8,
    0x6ffff880,0x3fffffe0,0xffffffff,0xffffffff,0x02fffcc6,0x3e601555,
    0x000005ff,0x3ffffff6,0x7fdc02ff,0x7dc0007f,0xfff90fff,0x000fffc8,
    0x0007ffdc,0x005ffff0,0x006fff88,0xfff88000,0x00000006,0x883fffe8,
    0x02ffffff,0x40ffffc4,0x8005fffb,0xff70ffff,0xffe800df,0xffff103f,
    0x3ffa003f,0xfffb002f,0xd8000009,0x8000ffff,0x4004fffd,0x000ffff8,
    0xff93fff2,0xff3001ff,0x7ffc49ff,0xffd001ff,0xfb00005f,0x66401fff,
    0xffcccccc,0xccccccff,0x7c43cccc,0xfff106ff,0x13ffea07,0x0039d910,
    0xffffffb1,0x201bffff,0x0007fffc,0xc87fffd4,0x3ffe47ff,0x07ffdc00,
    0x5ffff000,0x1fffd800,0xfd800000,0x000001ff,0x3fffe800,0x3fffff88,
    0x05fffd00,0x0009fff9,0x3f63ffff,0x3ea005ff,0xff103fff,0x7ec005ff,
    0xffb003ff,0x4000009f,0x002ffffc,0x009fffb0,0x00ffff88,0xe93fff20,
    0xf9802fff,0x3e24ffff,0x36002fff,0x40003fff,0x002ffffc,0x03fffe20,
    0x07fff800,0x2e0dfff7,0x3e203fff,0x2a02ffff,0xfcffffff,0x82ffffff,
    0x0007fffb,0xf73fffdc,0x7ffdc1ff,0x3ffe4000,0x3fffe000,0x3ffea002,
    0xa8000004,0x00004fff,0x55553100,0x07fffd55,0x009ffff1,0x6c1fffec,
    0x9999bfff,0x99999999,0xff93fffe,0x3ff200ff,0xff103fff,0x7e4001ff,
    0xffb004ff,0x2000009f,0x004ffffa,0x013fff60,0x01ffff10,0xb27ffe40,
    0xe880dfff,0x224fffff,0x2000ffff,0x0004fffc,0x013fffea,0x1ffff100,
    0x7fff4000,0x1ffffd80,0x202fffc8,0x0ffffffc,0xcfffffa8,0xfffff910,
    0xffffa85f,0x3ff20000,0x87ffea7f,0x4002fffa,0x40006ffd,0x1002ffff,
    0x3301ffff,0xff100001,0x000001ff,0x7fffff5c,0xffffffff,0x0ffff883,
    0x13fff200,0x3ffffffe,0xffffffff,0x54ffffff,0x4c07ffff,0x3ffffffe,
    0x01ffff10,0x027ffe40,0x004fffd8,0xffff8800,0x7fec0005,0x7fc4004f,
    0x3f2000ff,0x3ffee4ff,0xffff302f,0x7fc49fff,0x3f2000ff,0xf10004ff,
    0x0000bfff,0x001ffff1,0x20fffec0,0x84fffff8,0x3600fffd,0x43ffffff,
    0x01fffffa,0x1fffffd1,0x00ffffcc,0x4dfff900,0x3e62fff9,0x7f4006ff,
    0x7fc0005f,0xffb002ff,0x7ffe445f,0x360003ff,0xeed82fff,0x32000eee,
    0xffffffff,0xffffffff,0x0ffff883,0x13fff200,0xfffffff1,0xffffffff,
    0x29ffffff,0xacfffff8,0xffffeb99,0xf103ffff,0x64001fff,0xfb004fff,
    0x000009ff,0x001dfffd,0x04fffd80,0x07fffc40,0x49fff900,0xacfffff8,
    0xcffffda9,0x3fe24fff,0x3f2000ff,0xfd0004ff,0x00001dff,0x001ffff1,
    0x217ffdc0,0x87fffffa,0x7dc07ffe,0x7c5fffff,0x4400efff,0x225ffffd,
    0x0001ffff,0xf897fff6,0x7fff43ff,0x3e0ee21d,0x7c0003ff,0xfa802fff,
    0x3ffe65ff,0x005fffff,0xb85fffa8,0x00ffffff,0xffffffb0,0xfddddddf,
    0xff107fff,0x7e4001ff,0xffff84ff,0xffffffff,0xffffffff,0x3fffee3f,
    0xffffffff,0x03fffabf,0x001ffff1,0x8027ffe4,0x0004fffd,0x0ffffe40,
    0x7ffec000,0x7ffc4004,0x3ff2000f,0x7fffdc4f,0xffffffff,0x224fff99,
    0x2000ffff,0x8004fffc,0x001ffffc,0x1ffff100,0x7ffd4000,0x7ff7fec3,
    0x037ffc1f,0x3fffffa2,0x0bfffee6,0x0ffffe80,0x000ffffe,0x7c3ffff8,
    0x7ffcc5ff,0x45ffffff,0x0002fff8,0x2017fffc,0x220fffe8,0xfffeefff,
    0x3fa2003f,0x7ffc40ff,0xb800ffff,0x00aeffff,0x441ffff4,0x2000ffff,
    0xff84fffc,0x99999bff,0x99999999,0x7fe40999,0xffffffff,0x07fff50e,
    0x003fffe2,0x004fffc8,0x0009fffb,0x1ffffdc0,0xfffd8000,0x7ffc4004,
    0x3ff2000f,0xffffd84f,0x31efffff,0x7fc49fff,0x3f2000ff,0x7dc004ff,
    0x00003fff,0x003fffe2,0x24fff980,0xfff9fff8,0x402fffc4,0x25fffffa,
    0x4006fffd,0x3e2ffffa,0x50006fff,0xfd83ffff,0x7ffdc0ff,0x645fffff,
    0x20001fff,0x401ffff8,0xea82fffc,0x017ffe61,0xd82fffc8,0x0fffdeff,
    0x37fffc40,0x07fffd00,0x001ffff1,0x7427ffe4,0x00003fff,0xfffffd30,
    0xfffa87bf,0x1ffff103,0x27ffe400,0x04fffd80,0xffff3000,0x7ec0000b,
    0x7c4004ff,0x32000fff,0xff504fff,0x987dffff,0x3fe24fff,0x3f2000ff,
    0x3e6004ff,0x00005fff,0x007fffc4,0x4bfff100,0xfffb7ffa,0x8027ffc4,
    0x3e4ffffd,0x44004fff,0x3f23ffff,0xd8000fff,0xff987fff,0xffed884f,
    0x3fe22cef,0x7cc0005f,0x7fcc07ff,0x7ffc005f,0xbfff3006,0xf93fff50,
    0xffa801ff,0x3fa000ff,0xfff883ff,0x3ff2000f,0x4fffc84f,0xa9800000,
    0x3bff600a,0x1ffff100,0x27ffe400,0x04fffd80,0xfffe8800,0x3600000e,
    0x44004fff,0x2000ffff,0x4404fffc,0xff901aa9,0x7fffc43f,0x3fff2000,
    0xfffd1004,0x8800001d,0x0000ffff,0xffb37ffc,0x4cbffea9,0xf7003fff,
    0x7ffc5fff,0x7fc4004f,0x3ffe63ff,0x7fc4003f,0xfffb03ff,0x3f201801,
    0x640001ff,0x7f406fff,0x3e6000ff,0xffd005ff,0x4fff881f,0xb801fff9,
    0x74006fff,0xff883fff,0x3f2000ff,0xfffb84ff,0x00000006,0x401fffb0,
    0x000ffff8,0x4013fff2,0x0004fffd,0x00ffffd8,0x7ffec000,0xffff8004,
    0xffff3001,0xff700009,0xffff883f,0x3fff2000,0xffffb004,0xf1000001,
    0x80001fff,0x3ffe7ffe,0x2abfff11,0xf9002fff,0x7ff43fff,0x7fcc005f,
    0x7ffec1ff,0x3ff6000e,0x3ffe606f,0xfff10005,0x2600350b,0x3204ffff,
    0x22003fff,0xc801fffe,0xffd83fff,0x01fff90f,0x005fffd8,0x20ffffea,
    0x000ffff8,0x2613fff2,0x0003ffff,0x7fd40000,0x7ffc402f,0x3ff2000f,
    0xfffb004f,0xffb80009,0x800002ff,0x8004fffd,0x9802fffe,0x004fffff,
    0x41fffcc0,0x000ffff8,0x2013fff2,0x002ffffb,0xffff1000,0xffd80001,
    0x6c7ffa8f,0xfffb8fff,0xbffff001,0x01ffffc8,0x21ffff60,0x00effffa,
    0x02ffffc8,0x002fffec,0x207fffe6,0x3ea01dfc,0xf300ffff,0x74400dff,
    0xf9803fff,0xfffa86ff,0x003fff22,0x200ffff9,0x83fffffc,0x000ffff8,
    0x6c13fff2,0x0000ffff,0x3ffa0000,0xffff8806,0x3fff2000,0x9fffb004,
    0x7ffcc000,0xb000004f,0xb0009fff,0xe880dfff,0x004fffff,0x407ffec0,
    0x000ffff8,0x3013fff2,0x0009ffff,0x7fffc400,0x7fdc0000,0x544ffd9f,
    0x7ffcafff,0xffffd880,0x7ffffdc0,0xffffc801,0xdffffd05,0x3fff2203,
    0xfff9806f,0xffa800ef,0xfff904ff,0xffd979df,0x7f407fff,0xff5000ff,
    0x3fa007ff,0xfffe80ff,0xcfffeccc,0xffff500c,0x7fff4c07,0xff883fff,
    0x3f2000ff,0xfff304ff,0x000007ff,0x0bfff300,0x01ffff10,0x027ffe40,
    0x004fffd8,0x0dffff10,0x7fec0000,0xffb8004f,0xfff302ff,0x0009ffff,
    0xf106fff8,0x64001fff,0x3e204fff,0x00006fff,0x07fffc40,0x3ffea000,
    0xff81fffa,0x106ffddf,0x5fffff93,0x3fffff60,0xfca99abe,0x300effff,
    0xbfffffff,0xfffffd77,0x3fe6003f,0x260aceff,0x04ffffdb,0x3ffffff2,
    0x4fffffff,0x00fffee0,0x00ffffdc,0xf03fffb8,0xffffffff,0x2203ffff,
    0x9acfffff,0xfffffeb9,0xff883fff,0x3f2000ff,0x3ff204ff,0x99abefff,
    0x1fdca999,0x7ffcc000,0xffff8807,0x3fff2000,0x9fffb004,0x3fffa000,
    0x2000000f,0x8004fffd,0xacfffff8,0xcffffda9,0x20004fff,0x880ffff8,
    0x2000ffff,0x3a04fffc,0x0000ffff,0x7fffc400,0x7fcc0000,0xfb07ffef,
    0xd0bffdff,0x7fffffff,0x7ffff440,0xffffffff,0x4400ffff,0xfffffffe,
    0x0effffff,0x7fff4400,0xffffefff,0x7d402fff,0xffffffff,0x3e602fff,
    0xfd8806ff,0xf3000dff,0x7ffc0dff,0xffffffff,0x3fee01ff,0xffffffff,
    0xfffabfff,0x0ffff883,0x13fff200,0xfffffc88,0xffffffff,0x40001fff,
    0xcceffff8,0x0ffff883,0x53fff200,0xcccccccb,0xcccefffe,0xff903ccc,
    0x99999dff,0x99999999,0x333332e7,0xcefffecc,0x203ccccc,0xfffffffb,
    0xf99fffff,0x7c0004ff,0x13cdffff,0x4001ffff,0xf904fffc,0x9999dfff,
    0x99999999,0x7fc40079,0x440000ff,0x04ffffff,0x9ffffff5,0xbfffffd0,
    0xfff91001,0xffffffff,0x22001bff,0xfffffffd,0x0004ffff,0x7fffffec,
    0x01efffff,0xffffd710,0xe8019bff,0xfa801fff,0xffffffff,0x1fffe82f,
    0x2aaaaaa0,0x0abfffda,0x7ffffe40,0x50efffff,0xff107fff,0x7e4001ff,
    0xfea804ff,0xffffffff,0x001fffff,0xfffffc80,0xffff885f,0x3fff2000,
    0xffffffb4,0xffffffff,0x3e0dffff,0xffffffff,0xffffffff,0xffffb5ff,
    0xffffffff,0x0dffffff,0xffffffd8,0xff31efff,0xfa80009f,0xf16fffff,
    0x64001fff,0xfff04fff,0xffffffff,0xffffffff,0x7ffc400b,0xff80000f,
    0x3e02ffff,0xe83fffff,0x8002ceff,0xffffffc8,0x0000cfff,0xfffffd95,
    0x2000059d,0xffffffc9,0x20000acd,0x2e000a99,0xf5004fff,0xffffffff,
    0x4fffb85f,0x3fff2000,0x3ffa6000,0x543dffff,0xff883fff,0x3f2000ff,
    0x36e004ff,0xffffffff,0x0000bdef,0xbfffff70,0x01ffff10,0xda7ffe40,
    0xffffffff,0xffffffff,0xffff06ff,0xffffffff,0xbfffffff,0x3ffffff6,
    0xffffffff,0xa806ffff,0x3effffff,0x0027ffcc,0x7ffff540,0x01ffff16,
    0x827ffe40,0xffffffff,0xffffffff,0x22005fff,0x0000ffff,0x07ffffe8,
    0x17ffffe4,0x4000004c,0x0001aaa9,0x00035300,0x03533000,0x10000000,
    0x5400dfff,0xffffffff,0x3ffe22ff,0x7fe40006,0x5530000f,0xff880001,
    0x3f2000ff,0x260004ff,0x00099aaa,0x5554c000,0x0ffff880,0x53fff200,
    0xfffffffd,0xffffffff,0xfff06fff,0xffffffff,0xffffffff,0x3fffff6b,
    0xffffffff,0x006fffff,0x0006aa62,0x2aa60000,0x1ffff10a,0x27ffe400,
    0xfffffff8,0xffffffff,0x2005ffff,0x000ffff8,0x4ffffd80,0x7ffffcc0,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x22000000,0x00001aa9,0x01333100,0x01998800,0x33100000,
    0x4c400001,0x8000019a,0x00000199,0x00000044,0x88000011,0x99999999,
    0xff101999,0xffffffff,0x1fffffff,0x003fffd4,0xf36fffb8,0x2e000fff,
    0x22006fff,0x00000009,0x54c00000,0x32ea0000,0xacdeefed,0x95510001,
    0x007fffdb,0x9ddb7510,0x51000159,0xffb00001,0xf980009f,0x00000fff,
    0x402dec88,0xfffffec9,0x0002dfff,0xfffdca88,0x00adffff,0xfffffb50,
    0x1000059d,0xffffdb75,0x5c0059ff,0xffffffed,0x4000cdff,0xfffffeca,
    0xffffffff,0xdb9805ff,0x4c00004f,0x00004fdb,0x7fffffe4,0x80ffffff,
    0xfffffff8,0xffffffff,0x3ffea0ff,0xfff70007,0x01fffe6d,0x037ffdc0,
    0xfffffb75,0x9100007d,0x0003ffff,0x3fffb660,0xa800bdff,0xffffffff,
    0x4005ffff,0xffffffd9,0x2e003fff,0xffffffff,0x64c06fff,0xcefffffe,
    0xfffd8000,0x7fcc0004,0x400000ff,0x04fffff8,0xfffffff1,0x5dffffff,
    0x3ffee000,0xffffffff,0x3a203fff,0xffffffff,0x2a0004ff,0xffffffff,
    0x01ffffff,0x3fffffee,0xffffffff,0xfffd1001,0xffffffff,0xbfffffff,
    0x09fff900,0xfffc8000,0x7e400004,0xffffffff,0xff880fff,0xffffffff,
    0x0fffffff,0x001fffea,0xf9b7ffdc,0xf70007ff,0xffd30dff,0xffffffff,
    0x3ee0005d,0x001fffff,0x7fffe440,0x3fffffff,0xfffffd10,0xffffffff,
    0x3ffaa00b,0xffffffff,0xffd8803f,0xffffffff,0x3fee07ff,0xffffffff,
    0x7fec002f,0x7cc0004f,0x00000fff,0x7fffffec,0xfffff880,0xffffffff,
    0x362002ff,0xffffffff,0x4fffffff,0xfffffd10,0xbfffffff,0xfffc8001,
    0xffffffff,0xe881ffff,0xffffffff,0x1fffffff,0xfffff980,0xffffffff,
    0x5fffffff,0x04fffc80,0x7ffe4000,0x7e400004,0xffffffff,0xff880fff,
    0xeeeeeeff,0x0eeeeeee,0x001fffea,0xf9b7ffdc,0xf70007ff,0xfffb8dff,
    0xffffffff,0x2e003fff,0xffffffff,0x3fe20001,0xffffffff,0x740effff,
    0xcdefffff,0x05fffedc,0xffffffb8,0x2eeeefff,0x7ffffdc0,0xfffeefff,
    0xfffe987f,0xffffffff,0x3f6004ff,0x4c0004ff,0x0000ffff,0x7fffffc0,
    0xcfff882f,0xffcbaabc,0xa801ffff,0xffffffff,0xffffecce,0xffff984f,
    0xffcaacef,0x8800efff,0xfffffffe,0xffffecce,0xffffe81f,0xccaaccef,
    0x5c01ffed,0xacffffff,0xccefffda,0x802ccccc,0x0004fffc,0x027ffe40,
    0x80000000,0x0006fff8,0x007fffa8,0x26dfff70,0x70007fff,0x7fecdfff,
    0xdbbdffff,0x00ffffff,0x7fffff54,0x0001ffff,0x33bffff6,0xfffeba9a,
    0x3ffff20e,0x0154400b,0x3bfffff2,0xf980019a,0x80aeffff,0x7fc47eb8,
    0xa99bdfff,0x04ffffec,0x009fffb0,0x0ffff980,0x7ff40000,0xb882ffff,
    0xfffc8800,0x7ffdc06f,0x5401bfff,0x7ffc44fd,0xffb102ff,0xff8809ff,
    0x401bffff,0x7fe41fda,0x51001cff,0x7fffc401,0x4fffb81e,0xfffc8000,
    0x7e400004,0x000004ff,0xfff10000,0xff50000d,0x3ee000ff,0xffff36ff,
    0x3ffee000,0x077fff66,0x37fffec4,0xfffffea8,0x01ffffff,0x9ffff700,
    0x7c0ffa80,0x00003fff,0x0bbffff2,0x3fffa000,0xf902004f,0x74405fff,
    0xd800ffff,0x40004fff,0x000ffff9,0x7fffdc00,0xb00000ff,0x7c40ffff,
    0x000effff,0x3ffee0c4,0xfffd802f,0x3fff200f,0x04c001ff,0x009ffff3,
    0xffff9000,0x13ffee01,0x3fff2000,0x7e400004,0x000004ff,0xfff10000,
    0xff50000d,0x3ee000ff,0xffff36ff,0x3ffee000,0x400ffa26,0x5c1ffffe,
    0x9effffff,0x001ffffb,0x05ffff88,0xfff88310,0xf100000f,0x00009fff,
    0x00ffffee,0x2ffffa80,0x09fffd00,0x009fffb0,0x0ffff980,0xffd80000,
    0x200001ff,0x901ffffa,0x0009ffff,0x01ffff40,0x03ffff88,0x01dffff1,
    0xffff7000,0xff100000,0x7fdc03ff,0xfc80004f,0x400004ff,0x0004fffc,
    0xf1000000,0x50000dff,0x2000ffff,0xff36fffb,0x3ee000ff,0x001446ff,
    0x887ffff3,0x2e2effff,0x8001ffff,0x000ffff9,0x07fffe20,0x7ffec000,
    0xff100006,0xe8000dff,0x2a005fff,0x6c00ffff,0x36604fff,0x3fffe602,
    0x73000000,0x88000015,0xf982ffff,0x00005fff,0x003fffe6,0x907fffb8,
    0x0001ffff,0x017fff60,0x3fff2000,0x27ffdc04,0xccccc980,0xccefffec,
    0xcccccccc,0x99999932,0x999dfffd,0x59999999,0x44000000,0x80006fff,
    0x0007fffa,0x3e6dfff7,0xf70007ff,0xf0000dff,0xffb09fff,0x3ffff707,
    0xdfff7000,0xfffd0000,0xff30000d,0x200001ff,0x001ffffa,0x017fffc0,
    0x013fffe0,0xb309fffb,0x7fcc05ff,0x000000ff,0xff000000,0xfffb05ff,
    0x6c00001f,0x44005fff,0x7cc2ffff,0x00004fff,0x001bfffa,0x5ffff100,
    0x04fffb80,0xffffff70,0xffffffff,0x9fffffff,0x3fffffee,0xffffffff,
    0x4fffffff,0x33333320,0x802ccccc,0x0006fff8,0x007fffa8,0x26dfff70,
    0x70007fff,0x0000dfff,0x930dfffb,0x3fffee01,0xfffc8001,0xffd80004,
    0x20002eff,0x0003fffd,0x01bffee0,0x1ffff300,0x6fffc800,0x327ffec0,
    0x405ffffb,0x000ffff9,0x00000000,0x41ffff98,0x004ffff9,0x3fffe200,
    0x3ff62002,0x7ffec4ff,0x3200000f,0x0000ffff,0x01fffee0,0x4013ffee,
    0xfffffffb,0xffffffff,0x74ffffff,0xffffffff,0xffffffff,0x409fffff,
    0xffffffff,0xf8804fff,0xa80006ff,0x70007fff,0x3fe6dfff,0xff70007f,
    0xfb0000df,0xf7000dff,0xb0003fff,0x00007fff,0xfffffff1,0xfff80039,
    0x3600000f,0x40005fff,0x8007fffa,0x6c07fffa,0xffd9cfff,0x2601ffff,
    0x0000ffff,0x80000000,0xfb86fffb,0x00000fff,0x801fffe6,0x6fffffe9,
    0x002ffff4,0x3fffee00,0x3f200004,0xffb805ff,0xfff7004f,0xffffffff,
    0xffffffff,0x3ffee9ff,0xffffffff,0xffffffff,0x3ffe04ff,0xffffffff,
    0x6fff8804,0xfffa8000,0xfff70007,0x01fffe6d,0x037ffdc0,0x2ffff400,
    0x7fffdc00,0xfffe8001,0xff300003,0x9fffffff,0x7fff8803,0x7ff40000,
    0x7dc0003f,0xf98007ff,0x3f601fff,0xffffffff,0x7fcc00cf,0x000000ff,
    0x7c400000,0xffc82fff,0x5400005f,0xf7006fff,0x8fffffff,0x0003ffff,
    0x7ffffcc0,0xffd00005,0xfff7007f,0xff900009,0xc800009f,0x00004fff,
    0xffffffff,0xf1009fff,0x03333fff,0x0ffff500,0x5bffee00,0x0007fff9,
    0x000dfff7,0x007ffff0,0x03ffff70,0x07fffd00,0x7fe44000,0xefffffff,
    0x8bfff502,0x09bcca99,0x02ffff80,0x7fffd400,0x7ffc4000,0x3fff601f,
    0x00cfffff,0x01ffff30,0x00000000,0x27fff4c0,0x004fffd8,0x2fffdc00,
    0x3ffff620,0xf10fffff,0x00005fff,0xffffff70,0xfff80007,0xfffb802f,
    0xffc80004,0x6400004f,0x00004fff,0x04fffd80,0xffffff88,0x02deffff,
    0x003fffd4,0xf36fffb8,0x2e000fff,0x40006fff,0x002ffffa,0x01ffffb8,
    0x03fffe80,0xffc98000,0xdfffffff,0x45fffe40,0xffffffeb,0xff101eff,
    0x980005ff,0x4001ffff,0x302ffff8,0x9ffffffd,0xfff98001,0x76d4000f,
    0x4c00000c,0xffdba999,0x3ffe02ff,0x6400003f,0x3a604fff,0xffaeffff,
    0xffff51ff,0x36000003,0xbfffffff,0x7ffc4000,0xfffb802f,0xaaaaaaad,
    0x4fffc800,0x7fe40000,0x8000004f,0x8804fffd,0xffffffff,0x0cffffff,
    0x007fffa8,0x26dfff70,0x70007fff,0x8000dfff,0x0006fffd,0x003ffff7,
    0x007fffd0,0xffca8000,0x6c6fffff,0xffffefff,0xffffffff,0xffff80cf,
    0xfff80003,0xfff8005f,0x7ffec42f,0x0000cfff,0x001ffff3,0x0fffffec,
    0xfff88000,0x0effffff,0x0bfffe20,0xeeeeee88,0xff94eeee,0x3ffee09f,
    0xffff0dff,0x01fffee3,0xfff90000,0x05bfffff,0x07fffe20,0x3ffffee0,
    0x01ffffff,0x004fffc8,0x27ffe400,0x7ec00000,0xff8804ff,0xffffffff,
    0xa85fffff,0x70007fff,0x3fe6dfff,0xff70007f,0x7d4000df,0x70002fff,
    0x7003ffff,0xdffff999,0x99999999,0xa8000199,0x24fffffd,0xfffffffe,
    0xffffeeff,0xffe86fff,0xfd80004f,0x2e002fff,0xf912ffff,0x09ffffff,
    0xffff9800,0xffff5000,0x20000dff,0xfffffff8,0xf300beff,0x7c403fff,
    0xffffffff,0x87fffb5f,0x3fffffd8,0xfc8ffffc,0x000007ff,0xfffffe98,
    0x4402efff,0xb800ffff,0xffffffff,0xfc801fff,0x400004ff,0x0004fffc,
    0x4fffd800,0x55555500,0xffffd995,0xfffa8bff,0xfff70007,0x01fffe6d,
    0x037ffdc0,0x6ffff880,0x3ffee000,0xfffd801f,0xffffffff,0x0fffffff,
    0xfff30000,0x7ffff4ff,0xfb881bef,0x7ec3ffff,0x880006ff,0x00cfffff,
    0xffffff93,0x3fffffa5,0x40004fff,0x000ffff9,0xfffffff9,0xff100001,
    0xffffffff,0xfff507ff,0x7ffc403f,0x5fffffff,0x7cc7fffd,0xf81effff,
    0xfffb1fff,0x4000000d,0xffffffda,0xff301eff,0xff7001ff,0xffffffff,
    0xfff9003f,0xfc800009,0x000004ff,0x004fffd8,0x7ffdc400,0x3ffea5ff,
    0xfff70007,0x01fffe6d,0x037ffdc0,0x0ffffe80,0x3ffee000,0xfffd801f,
    0xffffffff,0x0fffffff,0x3fea0000,0xdffff0ff,0x3ffa2005,0x3fff20ff,
    0xfb80001f,0xdeffffff,0xfffffffe,0x9fffd1ff,0x0009fffd,0x00ffff98,
    0xffffffb0,0x2a00003f,0xfecbaaaa,0x7cc5ffff,0x3a201fff,0xfffeeeee,
    0x27fffb5f,0x05fffffb,0x7e43fffe,0x000007ff,0xffffc980,0xf883ffff,
    0xfb801fff,0x99999dff,0x66664c19,0xccefffec,0x0ccccccc,0x09fff900,
    0xffb00000,0x2000009f,0x2a7ffff9,0x70007fff,0x3fe6dfff,0xff70007f,
    0xffb000df,0xb80005ff,0xc801ffff,0xeffffeee,0xeeeeeeee,0x200000ee,
    0xff1ffff8,0xfa8007ff,0x3fe23fff,0x700006ff,0xffffffff,0xffffffff,
    0x433fa3ff,0x0004fffd,0x007fffcc,0xffffffb8,0x01f7ecc7,0xfffd3000,
    0x7fffc49f,0xfff90002,0x373fff6b,0x203fffff,0xf70ffff8,0x00001fff,
    0x3fae2000,0xf82fffff,0xfb801fff,0x3ee004ff,0xffffffff,0xffffffff,
    0xff9000ff,0x0000009f,0x0009fffb,0x7fffd400,0x00ffff51,0x4dbffee0,
    0x70007fff,0xd800dfff,0x0004ffff,0x01ffffb8,0x03fffe80,0xf3000000,
    0x7fff4fff,0xfffe8003,0x1ffffec4,0xffd88000,0xefffffff,0x90ffff8a,
    0x04fffd81,0x7fffcc00,0xffff1000,0x7ffcc7ff,0x400004ff,0x3e1ffffd,
    0x90003fff,0x3ff6bfff,0x1effffff,0x53fffcc0,0x0003ffff,0xff500000,
    0xff83ffff,0xffb802ff,0x3fee004f,0xffffffff,0xffffffff,0xfff9000f,
    0xb0000009,0x00009fff,0x9ffffc40,0x0007fffa,0x3e6dfff7,0xf70007ff,
    0x7e400dff,0x00004fff,0x003ffff7,0x007fffd0,0x44000980,0x3f66fffe,
    0xfc8004ff,0x7ffcc5ff,0x4a801eff,0x66e5cc40,0x3ffe60aa,0x27ffec07,
    0x3ffe6000,0x3fa2000f,0x7ffec3ff,0x00001fff,0xfd27fffc,0x320009ff,
    0xfff95fff,0x2009ffff,0x3e66fffa,0x00002fff,0xffd10000,0xfffe8bff,
    0x4fffb803,0x3fffee00,0xffffffff,0x0fffffff,0x09fff900,0xffb00000,
    0x8000009f,0xff55fffe,0x3ee000ff,0xffff35ff,0x3ffee000,0xffff9006,
    0x7dc00009,0xe8001fff,0x40003fff,0x9aabdffc,0xfffca999,0x3fff21ff,
    0xfffb8005,0xfffffb87,0xccaabcdf,0x200007ff,0x6c05fffb,0x40004fff,
    0x000ffff9,0xffff0188,0x00007fff,0x366fffd8,0x90006fff,0x3feabfff,
    0x2002ffff,0x3e25fffb,0x00003fff,0x3fa20000,0x7ffec7ff,0x4fffb804,
    0xfffc8000,0x7e400004,0x000004ff,0x004fffd8,0x7fff4000,0x01ffff34,
    0x29fff900,0x0007fff9,0x900dfff7,0x0009ffff,0x1ffffb80,0x3fffe800,
    0x7ffe4000,0xffffffff,0x5c3fffff,0xb8005fff,0xff506fff,0xffffffff,
    0x000fffff,0x01fffec0,0x0013fff6,0x01ffff30,0xfffe8000,0x00002fff,
    0xf73fffdc,0x90003fff,0x3fe6bfff,0x6c000eff,0x7ffc4fff,0x0000007f,
    0x7fffe400,0x01bfff20,0x0013ffee,0x013fff20,0x9fff9000,0xfb000000,
    0x000009ff,0xf12ffff8,0xb0003fff,0x3fe67fff,0xff90007f,0xfffc80bf,
    0xb800004f,0x8001ffff,0x0003fffe,0x7fffffe4,0xffffffff,0x7fffa82e,
    0x5fffc800,0x3ffffaa0,0xffffffff,0x3fe00007,0x7fec01ff,0x7cc0004f,
    0x00000fff,0x37ffffdc,0x7fe40000,0x3fffea5f,0xfffc8005,0x00ffffe5,
    0x83ffff10,0x003ffffd,0x26000000,0x3ea1ffff,0x7dc01fff,0xc80004ff,
    0x00004fff,0x0027ffe4,0x7ffec000,0x26000004,0x3fe0ffff,0xff8002ff,
    0xffff31ff,0x3fff6000,0x3ffff204,0xf7000004,0xd0003fff,0x80007fff,
    0xfffffeda,0x03dfffff,0x00bfffe6,0x007fffd0,0xffffff93,0x00037bff,
    0x017fff20,0x0013fff6,0x01ffff30,0xfff90000,0xd000003d,0xffd87fff,
    0x7e4001ff,0x3ffee5ff,0x7ffdc007,0x6ffff986,0x00000000,0xf03fffea,
    0xfb809fff,0xb80004ff,0x00005fff,0x002fffdc,0x7ffec000,0x3a000004,
    0x7ff47fff,0x7fdc006f,0xffff30ff,0x3fffa000,0x9ffffb03,0x7dc00000,
    0xe8001fff,0x00003fff,0x3ff2a662,0x3ffa006f,0x3fe6005f,0x3f6001ff,
    0x00009cff,0x1ffffa80,0x04fffd80,0x7fffcc00,0x51000000,0x26000003,
    0x7cc1ffff,0x2000dfff,0x3e25fffc,0x3a002fff,0xffb03fff,0x000009ff,
    0x3fff2000,0x0ffffc86,0x013ffee0,0x1fffea00,0xfff50000,0xb000000f,
    0x00009fff,0x0fffff20,0x005ffff7,0x993fffe2,0x98007fff,0xfd82ffff,
    0x00004fff,0x0ffffdc0,0x1ffff400,0xff700000,0x7fd4009f,0xffd000ff,
    0xffe800df,0x3000000f,0x200bffff,0x0004fffd,0x007fffcc,0x00000000,
    0x37fff440,0x1effffc8,0x8bfff900,0x800ffffc,0x2207fffd,0x00dfffff,
    0x2a000000,0xf884ffff,0xf700efff,0x300009ff,0x0005ffff,0x17fffcc0,
    0x3f600000,0x400004ff,0x04ffffe9,0x807ffffd,0x20ffffe9,0x0087fff9,
    0x21bfffa2,0x004ffffd,0xfffb8000,0xffe8001f,0x2000003f,0x4002fffd,
    0x201ffffe,0x01ffffd8,0x01bffe20,0x3ff22000,0xfb000eff,0x980009ff,
    0x0000ffff,0x40000000,0x01ffffeb,0x7ffffff1,0x5fffc801,0x0f7fffcc,
    0x09ffffb0,0xefffffc8,0x8fe4c00a,0x22000ac9,0x01fffffb,0x01dffffb,
    0x0009fff7,0x07ffffe0,0xffff8000,0x2000001f,0xb804fffd,0xba9aaabd,
    0x5fffffec,0x3ffffea0,0xfcba9acd,0x7cc2ffff,0xacfa87ff,0xfffffcaa,
    0x27fffec2,0xfb800000,0xe8001fff,0x00003fff,0x001fffa0,0x33ffffee,
    0xffeb989a,0x7d4003ff,0x880004ff,0xfffffda9,0x3ff6001f,0xeeeeeeff,
    0x26eeeeee,0xeeeffff9,0xeeeeeeee,0x00000eee,0x5335579b,0xfffff995,
    0xfffa805f,0xacdfffff,0x5ffffeca,0xcfffffc8,0xffffda9a,0xffd8805f,
    0xcdefffff,0x1ffffedc,0x99bdfff3,0xffb99557,0x4405ffff,0xbdfffffe,
    0xcefffd99,0x02cccccc,0xbfffff70,0x9b955357,0x3fffee00,0xcaa9abdf,
    0xffb0004d,0xfff9009f,0xffffffff,0xd801bfff,0xffffffff,0x4fffffff,
    0xa87fff98,0xffffffff,0x7ffd45ff,0xffffffff,0xffffffff,0x3ffff64f,
    0xffffffff,0x2fffffff,0xffff9997,0x9999999d,0x03999999,0x005fff88,
    0xffffff90,0xffffffff,0xfff9000b,0x7775c005,0xfffffffe,0x6c001eff,
    0xffffffff,0xffffffff,0x3ffffe67,0xffffffff,0x000fffff,0xffffff00,
    0xffffffff,0x362007ff,0xffffffff,0xffffffff,0xfffff705,0xffffffff,
    0xfffb8009,0xffffffff,0xf31fffff,0xffffffff,0xffffffff,0xffd1007f,
    0xffffffff,0xffffffff,0x7f400bff,0xffffffff,0x3a004fff,0xffffffff,
    0x9704ffff,0xfd999999,0x99999dff,0x3ffff279,0xffffffff,0x3faa001d,
    0xffffffff,0xff301eff,0xffff50ff,0x509fffff,0xffffffff,0xffffffff,
    0x7ec9ffff,0xffffffff,0xffffffff,0xffffb2ff,0xffffffff,0xffffffff,
    0xfffa805f,0x3fea0003,0xffffffff,0xfb0002ef,0xffc800ff,0xffffffff,
    0xfb0004ff,0xffffffff,0xffffffff,0x7fffffcc,0xffffffff,0x0000ffff,
    0xfffffff0,0x7fffffff,0xfff70001,0xffffffff,0x5407ffff,0xffffffff,
    0x10003fff,0xfffffffd,0x3fffffff,0x3fffffe6,0xffffffff,0x6c002dff,
    0xffffffff,0xffffffff,0x22005fff,0xfffffffd,0x2004ffff,0xffffffd8,
    0xb04fffff,0xffffffff,0xffffffff,0x3fff2dff,0xdeffffff,0xfd910001,
    0x7dffffff,0x87fff980,0xeffffed9,0xffff501d,0xffffffff,0xffffffff,
    0x7ffffec9,0xffffffff,0xb2ffffff,0xffffffff,0xffffffff,0x805fffff,
    0x0000fffc,0x7ffff644,0x40003eff,0x64005fff,0xffffffff,0x20000cff,
    0xfffffffd,0xffffffff,0x3fffe67f,0xffffffff,0x00ffffff,0xfffff000,
    0x7ddfffff,0xdb880001,0xfffffffe,0xd93002ce,0x3bffffff,0xfb950000,
    0x9fffffff,0x7f6dc415,0xffffffff,0x20000cff,0xfffffdca,0xffffffff,
    0x98005fff,0xfffffffd,0xd98003ef,0xffffffff,0xffffb03e,0xffffffff,
    0x4dffffff,0x09aaaa98,0x53100000,0x80000013,0xfff50019,0xffffffff,
    0xffffffff,0x7fffec9f,0xffffffff,0x2fffffff,0xfffffffb,0xffffffff,
    0x05ffffff,0x00019988,0x000aa980,0x00266600,0xddffff90,0x00000379,
    0x00000000,0x99800000,0x0009aaaa,0x55530000,0x53000013,0x00000135,
    0x000cd4c4,0x4d5554cc,0x22000000,0x0000199a,0x266a6200,0x26200001,
    0xfd80199a,0xffffffff,0xffffffff,0x0000006f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ffff100,0xff900000,
    0xff9800bf,0xffffe87f,0xffffffff,0xffffffff,0xffffd2ff,0xffffffff,
    0xffffffff,0xfff905ff,0x59bdffff,0x80000013,0xfffffff9,0x0fffffff,
    0xffffffc8,0x009acdef,0x13fffea0,0xffffd800,0xffffff10,0xffffffff,
    0x7fd4ffff,0xceffffff,0x000009ab,0x6fffff98,0xffff8800,0xceefffff,
    0x7ffc00ac,0xffffffff,0x37ffffff,0x2000ffff,0xffb6fffb,0xffffffff,
    0xffffffff,0x3ffffe23,0xffffffff,0xffffffff,0x01ffff13,0x27fffdc0,
    0x001ffff3,0x7ffdc000,0x40fff900,0xfffffffe,0xffffffff,0x2fffffff,
    0x40676d40,0x001ffff8,0x5fffc800,0x3fffcc00,0x7ffffff4,0xffffffff,
    0xffffffff,0xffffffd2,0xffffffff,0xffffffff,0xfffff905,0xffffffff,
    0x2000005f,0xfffffffc,0x0fffffff,0xffffffc8,0xffffffff,0xffffd002,
    0xfff30001,0x7fffc47f,0xffffffff,0x2a7fffff,0xffffffff,0x1effffff,
    0x3ff20000,0x4001ffff,0xfffffff8,0xffffffff,0xfffff00c,0xffffffff,
    0x3e6fffff,0xf70007ff,0x3fff6dff,0xffffffff,0x1fffffff,0xfffffff1,
    0xffffffff,0x27ffffff,0x000ffff8,0x98bffff3,0x0000ffff,0x81ffee00,
    0x3fa06ffd,0xffffffff,0xffffffff,0x202fffff,0x41effffa,0x001ffff8,
    0x5fffc800,0x3fffcc00,0x555567f4,0xaaaaaaaa,0xffaaaaaa,0xffffffd2,
    0xffffffff,0xffffffff,0xfffff905,0xffffffff,0x00001bff,0x7fffffc4,
    0xffffffff,0xffffc80f,0xffffffff,0x4c00dfff,0x8005ffff,0x7c46fffe,
    0xffffffff,0xffffffff,0x3ffffea7,0xffffffff,0x0000cfff,0xfffffff8,
    0x7ffc4004,0xffffffff,0x82ffffff,0xffffffff,0xffffffff,0x0ffff37f,
    0x5bffee00,0xfffffffd,0xffffffff,0xfff11fff,0xffffffff,0xffffffff,
    0x3ffe27ff,0xfff8800f,0x7ffcc0ef,0x2000000f,0x3fa07ffc,0x3fffa05f,
    0xffffffff,0xffffffff,0x3fa02fff,0x7c45ffff,0x00001fff,0x005fffc8,
    0x743fffcc,0x3e00002f,0xdddddb2f,0xffffdddd,0xdddddddd,0xffff903d,
    0xffffdddd,0x007fffff,0x3fffee00,0xccccdfff,0xffc80ccc,0xffeeeeff,
    0x3fffffff,0x0ffffe40,0x3ffff500,0xeeffff88,0xeeeeeeee,0x3fea6eee,
    0xfeeeeeff,0xffffffff,0x3fe60002,0x006fffff,0x777fffc4,0xffffeeee,
    0x7fc1ffff,0xeeeeeeff,0x5eeeeeee,0x000ffff3,0x765bffee,0xffeeeeee,
    0xeeeeeeff,0xfffff11e,0xffffffff,0xffffffff,0x03fffe27,0x07ffffa0,
    0x003fffe6,0x6ffd8000,0xd817ffa0,0xeeeeeeee,0xeeeffffe,0x01eeeeee,
    0x3ffffffe,0x2bfffe21,0x80001999,0x4005fffc,0xfe87fff9,0x0004d442,
    0xfb800bfe,0x320007ff,0x73105fff,0x07ffffff,0xbdffd000,0x90003fff,
    0x2620bfff,0x3ffffffb,0x1bfffe20,0x84fffe80,0x001ffff8,0x03fffd40,
    0xfffff931,0x3f20005f,0x1ffffdff,0x3fffe200,0x3ffee201,0x7fffc6ff,
    0x3fe60003,0xff70007f,0xfff700df,0x4000000f,0xf11ffff8,0xfc801fff,
    0xff302fff,0x000001ff,0xff02fff4,0xfb80009f,0xd80007ff,0x22ffffff,
    0xfffffff8,0x0bdeffff,0x7ff66440,0xccccccff,0xffdccccc,0x5fd3ccff,
    0x3effffb8,0x2002ff80,0x0007fffb,0x2017fff2,0x07ffffd8,0x5fffcc00,
    0x8001fffd,0x8805fffc,0x407ffffd,0x802ffffb,0x880ffffb,0x0001ffff,
    0x803fffd4,0x06ffffd8,0xd3ffff00,0x44009fff,0xd001ffff,0x7fc1ffff,
    0x260003ff,0x70007fff,0xf700dfff,0x00000fff,0x12fffe40,0x5401ffff,
    0x2603ffff,0x0000ffff,0x413ffe00,0x0003fff8,0x003fffdc,0x7ffffcc0,
    0x3fffe23f,0xffffffff,0xf300cfff,0xffffffff,0xffffffff,0xffffffff,
    0xff70bfab,0x407fffff,0x3ee002ff,0x320007ff,0x2a005fff,0x0003ffff,
    0x3f63fff2,0xfc8001ff,0x3ea005ff,0x7f403fff,0x7fc407ff,0xfff103ff,
    0xfa80003f,0x7dc007ff,0x4c003fff,0xfff96fff,0x7ffc400d,0xfff3001f,
    0x1ffffc5f,0xffff3000,0x3ffee000,0x7fffb806,0xf1000000,0x7fc43fff,
    0xfff300ff,0xfff980bf,0x2000000f,0xff303fff,0xfb80005f,0x900007ff,
    0x447fffff,0xffffffff,0xffffffff,0xffff982f,0xffffffff,0xffffffff,
    0xfd5fffff,0x3fae6605,0x05ff04ff,0x03fffdc0,0x0bfff900,0x0ffffe80,
    0x5fff8800,0x0003fffb,0x800bfff9,0x200ffffe,0x203ffff9,0x2206fffc,
    0x0001ffff,0x003fffd4,0x007ffff4,0x269fff90,0x1001ffff,0x4003ffff,
    0x3fe4ffff,0x260003ff,0x70007fff,0xf700dfff,0x00000fff,0x117fff20,
    0xd101ffff,0xf300dfff,0x00001fff,0x40fffe20,0x0001fffa,0x003fffdc,
    0xfffff880,0x2ffffe22,0xfedcaaaa,0x4c1fffff,0xffffffff,0xffffffff,
    0xffffffff,0x2005fd5f,0xff82fffa,0x3ffee002,0x3ff20007,0x7fd4005f,
    0xfb8004ff,0x3fffb2ff,0xbfff9000,0xffffa800,0x7fffec04,0x1ffff980,
    0x07fffe20,0xffff5000,0xffff5000,0x7fffc009,0x00ffffe1,0x00ffffc4,
    0x7c9fffd0,0x20003fff,0x0007fff9,0x700dfff7,0x0000ffff,0x3ffff100,
    0x80ffff88,0x800efffd,0x000ffff9,0xeeeeec80,0xeeeeefff,0xeeefffee,
    0x3ee002ee,0x200007ff,0x220ffffe,0x4c01ffff,0x01fffffe,0x800bfff9,
    0xfe87fff9,0x1ffea002,0xfb800bfe,0x320007ff,0xe8005fff,0xe8006fff,
    0x3fff67ff,0xfffc8001,0xfffe8005,0x7fffc406,0x04fffd85,0x00ffffc4,
    0x1fffea00,0x37fff400,0x47fff980,0x1006fffc,0x2003ffff,0x3e3ffff8,
    0x20003fff,0x0007fff9,0x700dfff7,0x0000ffff,0x0dfff900,0xb81ffff1,
    0x3001ffff,0x0001ffff,0xffffffb0,0xffffffff,0xffffffff,0x7fdc007f,
    0x3a00007f,0x7fc47fff,0xff9001ff,0x3ff20dff,0x7fcc005f,0x002fe87f,
    0x3fe0fff4,0x3ffee002,0x3ff20007,0xffb8005f,0x7fcc007f,0x07fff64f,
    0x17fff200,0x1fffee00,0x87fffee0,0x400ffffa,0x001ffff8,0x03fffd40,
    0x07fffb80,0xa89fff90,0x8801ffff,0x3001ffff,0x7fc3ffff,0x260003ff,
    0x70007fff,0xf700dfff,0x00000fff,0x82ffff88,0x2a0ffff8,0x2002ffff,
    0x000ffff9,0xfffffd80,0xffffffff,0xffffffff,0x3ee003ff,0x300007ff,
    0xf887ffff,0x36001fff,0xfc80ffff,0x7cc005ff,0x02fe87ff,0x3e1ffe40,
    0x3fee002f,0x3f20007f,0xfa8005ff,0x36000fff,0x3ff60fff,0xffc8001f,
    0xffa8005f,0xffe800ff,0x0ffffa5f,0x07fffe20,0xffff5000,0x3ffea000,
    0xffff800f,0x03ffff82,0x01ffff88,0x45fffe88,0x0003ffff,0x001fffe6,
    0x4037ffdc,0x0007fffb,0x37ffe400,0x10ffff88,0x8007ffff,0x000ffff9,
    0xdaaaa980,0xaaaaafff,0xaaaeffea,0x3ee000aa,0x980007ff,0xf885ffff,
    0x26001fff,0xfc81ffff,0x7cc005ff,0x02fe87ff,0x3e17fec0,0x3fee002f,
    0x3f20007f,0xf98005ff,0xf1001fff,0xfffd8bff,0xfffc8001,0xfff98005,
    0xfffa801f,0x06fffb9f,0x03ffff10,0x7fffa800,0xffff3000,0x7fff9803,
    0x00dfffb0,0x803ffff1,0x41ffffd8,0x0003ffff,0x001fffe6,0x4037ffdc,
    0x0007fffb,0x3fffe200,0x1ffff102,0x0017fffa,0x003fffe6,0x37fe4000,
    0x000bffd0,0x00ffff70,0x3fff6a60,0xfff880ff,0x7ffc001f,0x5fffc83f,
    0x3fffcc00,0xf10017f4,0x02ff81ff,0x01fffee0,0xfffb5550,0x0155555d,
    0x017fffc4,0x6c2fffb8,0x9999bfff,0x36aaa099,0xaaaaefff,0x3ffe200a,
    0xfffb002f,0x003ffffd,0x2affffe2,0xaaaaaaaa,0x3fea1aaa,0xff10007f,
    0xffc805ff,0xffff505f,0xffff8801,0xdba9999a,0xf81fffff,0x20003fff,
    0xaaaffff9,0xaaaaaaaa,0x06fffdaa,0x007fffb8,0x3fff2000,0x3fffe206,
    0x006fffd8,0x01ffff30,0x3ff60000,0x013ffe06,0x1fffee00,0xfffff100,
    0x3e203dff,0x74001fff,0xffc85fff,0xccccccff,0xffdccccc,0x802fe87f,
    0xf84ffeb8,0xeeeed82f,0xeeffffee,0xff82eeee,0xffffffff,0x7fc01fff,
    0xffd003ff,0xfffffb0f,0x7cdfffff,0xffffffff,0x7c01ffff,0xf1003fff,
    0x09ffffff,0x7ffffc40,0xffffffff,0x3ea3ffff,0x3e0007ff,0x7fc03fff,
    0xfff102ff,0xfff8807f,0xffffffff,0xf00bffff,0xdddddfff,0xdddddddd,
    0x3ffffe63,0xffffffff,0xffffffff,0x7fffb806,0xff100000,0x7fc407ff,
    0x0ffffcff,0xffff3000,0x3a000001,0x3ffe05ff,0xffb80004,0x7fc4007f,
    0x4403ffff,0x4001ffff,0xfc85fffd,0xffffffff,0xffffffff,0x02fe87ff,
    0xdffffffd,0xff05ff01,0xffffffff,0x7fffffff,0xfffffff0,0x03ffffff,
    0x804ffff8,0xfd84fff9,0xffffffff,0x3ffffe6f,0xffffffff,0x27fffc01,
    0xfffff900,0x7fc4001f,0xffffffff,0x3fffffff,0x001fffea,0x204ffff8,
    0x200ffff9,0x4406fffd,0xffffffff,0xceffffff,0xffffff01,0xffffffff,
    0x3fe63fff,0xffffffff,0xffffffff,0xfb806fff,0x000007ff,0x880dfff9,
    0xffffffff,0x3fe60004,0x000000ff,0x3e209fff,0xb80003ff,0x44007fff,
    0x800cdeff,0x001ffff8,0x641ffffc,0xffffffff,0xffffffff,0x2fe87fff,
    0x7dffffd0,0x7fc17fc0,0xffffffff,0x3fffffff,0xfffffff8,0x01ffffff,
    0x4027fff4,0xfd81fffd,0xffffffff,0x3ffffe6f,0xffffffff,0x27fff401,
    0x3ffffa00,0x7ffc4003,0xffffffff,0x23ffffff,0x0007fffa,0xc813fffa,
    0x7dc05fff,0x3e200fff,0xffffffff,0xffffffff,0xffffff84,0xffffffff,
    0xfff31fff,0xffffffff,0xffffffff,0xff700dff,0x100000ff,0x8807ffff,
    0xfffeffff,0xff30002f,0x000001ff,0x2607fff1,0x80002fff,0x4007fffb,
    0xff100018,0x7c4003ff,0xffc82fff,0xffffffff,0xffffffff,0xb02fe87f,
    0x3fe003df,0xeeeeed82,0xeeeffffe,0xaaa82eee,0xaaaefffd,0x7ffc00aa,
    0x7ffc404f,0x37fffb06,0x54133333,0xaefffdaa,0x7c00aaaa,0x5c004fff,
    0x88007fff,0xaaabffff,0xaaaaaaaa,0x1fffea1a,0x4ffff800,0x00ffffe0,
    0x407ffff1,0xaabffff8,0xfffdcaaa,0x7ffc6fff,0xeeeeeeef,0x31eeeeee,
    0x5555ffff,0x55555555,0x00dfffb5,0x000ffff7,0x0ffff700,0xd3ffff10,
    0x0003ffff,0x001ffff3,0x5fff1000,0x007ffea0,0x1fffee00,0xf8800000,
    0x2e001fff,0xfc80ffff,0x7cc005ff,0x02fe87ff,0x7fc00dfb,0x3ffee002,
    0x3ff20007,0xff88005f,0x7fdc03ff,0x3fffb03f,0xbfff9000,0xffff1000,
    0xffffff07,0xffffffff,0x107fffff,0x0003ffff,0x007fffa8,0x07ffff10,
    0x003fffe6,0x881bfffa,0x4401ffff,0x24fffffb,0x0003ffff,0x001fffe6,
    0x4037ffdc,0x0007fffb,0x1ffffc40,0x47fffc40,0x00effff9,0x07fffcc0,
    0x7fcc0000,0x1fff502f,0xfff70000,0x32e2000f,0xfff8800b,0xfff3001f,
    0x3fff209f,0x7ffcc005,0xfb02fe87,0x017fc00b,0x00ffff70,0x02fffe40,
    0x17fffcc0,0x403fffa0,0x8001fffd,0x8005fffc,0xf82ffff9,0xffffffff,
    0xffffffff,0xfff883ff,0x7d40001f,0xf30007ff,0x3f205fff,0xff7006ff,
    0x3fe201ff,0xff3001ff,0x3ffe3fff,0x3e60003f,0xf70007ff,0xff700dff,
    0xb80000ff,0x8800ffff,0xff70ffff,0xf9800bff,0x40000fff,0xffb99999,
    0xc99999af,0x19999fff,0x7fffb800,0xffff9800,0x7ffc402f,0xffea801f,
    0x3fff206f,0x7ffcc005,0xfb02fe87,0x017fc00b,0x00ffff70,0x02fffe40,
    0x0ffffd40,0x40bfff50,0x8001fffd,0x8005fffc,0xf81ffffa,0xffffffff,
    0xffffffff,0xfff883ff,0x7d40001f,0xf50007ff,0x3fe03fff,0xff3003ff,
    0x3fe207ff,0x3ea001ff,0xffff3fff,0x7fcc0007,0xff70007f,0xfff700df,
    0x7c40000f,0xf1004fff,0x7fec1fff,0x3e6003ff,0x40000fff,0xffffffff,
    0xffffffff,0xffffffff,0x7ffdc000,0xfffe8007,0x3e200fff,0xa9881fff,
    0x01fffffe,0x0017fff2,0xfd0ffff3,0x80026205,0x3ee002ff,0x320007ff,
    0xc8005fff,0x7ec07fff,0xaaaaacff,0x001fffea,0x005fffc8,0x507fffc8,
    0xfb555555,0x55555fff,0xfff10155,0xfa80003f,0xf90007ff,0x3fe60fff,
    0xeeeeeeff,0xfffeeeee,0xffff106f,0x7ffc4003,0x07ffff4f,0x3fffcc00,
    0x6fffb800,0x07fffb80,0x3ffee000,0xfff1000f,0xffffe81f,0xffff3001,
    0xfff80001,0xffffffff,0xffffffff,0x000fffff,0x003fffdc,0x3fffffea,
    0x3ffe202f,0xffffffff,0x03ffffff,0x002fffe4,0x3a1fffe6,0x3e00002f,
    0x3fee002f,0x3f20007f,0x7c4005ff,0x3e205fff,0xffffffff,0x01ffffff,
    0x05fffc80,0x2ffffc40,0x3fffdc00,0x7fffc400,0x7fd40001,0xff88007f,
    0xfff904ff,0xffffffff,0xffffffff,0xffff101f,0xfffe8003,0x007ffff5,
    0x03fffcc0,0x06fffb80,0x007fffb8,0x13fffe00,0x0ffff880,0x07ffffcc,
    0x07fffcc0,0x3fffe000,0xffffffff,0xffffffff,0x4000ffff,0x4007fffb,
    0xfffffffb,0x3fffe203,0xffffffff,0xc800dfff,0x4c005fff,0x2fe87fff,
    0x7c003950,0x3fee002f,0x3f20007f,0x7e4005ff,0x3ee02fff,0xffffffff,
    0x01ffffff,0x05fffc80,0x17fffe40,0x3fffdc00,0x7fffc400,0x7fd40001,
    0xffc8007f,0xffff02ff,0xffffffff,0xffffffff,0xffff107f,0xffff8003,
    0x007ffff4,0x03fffcc0,0x06fffb80,0x007fffb8,0x1ffff700,0x7fffc400,
    0x6ffffa80,0x0ffff980,0xffd80000,0x013ffe06,0x3fffdc00,0x3fffe600,
    0x3e202fff,0xffffffff,0x002effff,0x0017fff2,0xfd0ffff3,0x01fff305,
    0xb800bfe0,0x20007fff,0x2005fffc,0x00fffff8,0x3ffffffe,0xffffffff,
    0xffc8001f,0x3fe2005f,0xb8000fff,0x88007fff,0x0001ffff,0x003fffd4,
    0x41bfffe6,0xfffffff9,0xffffffff,0x85ffffff,0x001ffff8,0x7cbfffe2,
    0x20003fff,0x0007fff9,0x700dfff7,0x0000ffff,0x0013fffe,0x201ffff1,
    0x404ffffc,0x000ffff9,0x05ffe800,0x00013ffe,0x003fffdc,0x37fffff4,
    0x3bfffe20,0x01acdeee,0x0bfff900,0x87fff980,0xfffb82fe,0x005ff003,
    0x003fffdc,0x00bfff90,0x0bffff62,0x99dfffa8,0xfd999999,0xfc8001ff,
    0xfb1005ff,0x76c05fff,0xffeeeeee,0xeeeeeeff,0xffff882e,0x7fd40001,
    0x3fa6007f,0xff901fff,0x3f2000df,0x7fc40fff,0x3ee001ff,0xffff0fff,
    0x7fcc0007,0xff70007f,0xfff700df,0xff70000f,0xf88001ff,0x3fa00fff,
    0x3e602fff,0x00000fff,0xf104fff8,0x200007ff,0x8007fffb,0x00efffe8,
    0x00ffffc4,0x7ffe4000,0x7ffcc005,0xf982fe87,0x5ff001ff,0x3fffdc00,
    0xbfff9000,0xfffff500,0x2fffd80b,0x01fffd80,0x05fffc80,0x5fffffa8,
    0x7fffffc0,0xffffffff,0x883fffff,0x0001ffff,0x803fffd4,0x05fffffb,
    0x000ffffa,0x217fffcc,0x001ffff8,0x7cdffff3,0x20003fff,0x0007fff9,
    0x700dfff7,0x0000ffff,0x000bffff,0x401ffff1,0x01fffff8,0x001ffff3,
    0x3fff8800,0x005fff30,0x1fffee00,0x001a9800,0x003ffff1,0xbfff9000,
    0x7fff9800,0x39302fe8,0x0017fc00,0x000ffff7,0x442fffe4,0xfffffda9,
    0x3ffe200e,0x3fffb007,0xbfff9000,0xfffb5310,0xff801dff,0xffffffff,
    0xffffffff,0xffff883f,0x7fd40001,0xfd53107f,0x201dffff,0x001ffff9,
    0x117fffe0,0x9803ffff,0x20fffffc,0x0003ffff,0x001fffe6,0x4037ffdc,
    0x0007fffb,0x00ffffdc,0x07fffc40,0x3bfffea0,0x0ffff980,0x7fc40000,
    0x3fff502f,0x3fee0000,0x0000007f,0x007fffe2,0x3fff2000,0x7ffcc005,
    0x0002fe87,0xb800bfe0,0x20007fff,0xeeeffffc,0xffffffff,0x7fe400df,
    0xfffb004f,0x55555559,0xdffff903,0xffffffdd,0x9001bfff,0xfb999999,
    0x99999fff,0xfff10399,0xdddddddf,0x4ddddddd,0xeeeffffa,0xfffffffe,
    0x7fe405ff,0x7e40006f,0x3fe20fff,0xdccccdff,0xfffffffe,0x01ffffc1,
    0x0ffff300,0x5bffee00,0xeeeeeeec,0xeeeeffff,0x7fc01eee,0xf10005ff,
    0xf9001fff,0xff30bfff,0xddddddff,0xdddddddd,0x817ffcc0,0x0000fffb,
    0x00ffff70,0x7fc40000,0x800001ff,0x4005fffc,0xfe87fff9,0x9999999b,
    0x99999999,0x002ff999,0x001fffee,0xffffffc8,0xffffffff,0xffff004f,
    0x3fff6003,0xffffffff,0xfffffc83,0xffffffff,0x700004ff,0x1000ffff,
    0xffffffff,0xffffffff,0x7fffd4ff,0xffffffff,0xe803ffff,0x40004fff,
    0x222ffff9,0xffffffff,0xffffffff,0x3ffff82e,0x3ffe6000,0xfff70007,
    0x3fffff6d,0xffffffff,0x201fffff,0x001ffffb,0x01ffff10,0x0fffffa0,
    0xfffffff3,0xffffffff,0x7fd40fff,0x0fff701f,0x7ffdc000,0x20000007,
    0x001ffff8,0x5fffc800,0x3fffcc00,0x7ffffff4,0xffffffff,0xffffffff,
    0x3ffee002,0x3ff20007,0xffffffff,0x5000beff,0x6c00dfff,0xffffffff,
    0xffc83fff,0xffffffff,0x0000beff,0x01fffee0,0x3ffffe20,0xffffffff,
    0x3ea7ffff,0xffffffff,0x00beffff,0x01ffff98,0x5ffff800,0x3fffffe2,
    0xffffffff,0x3fffe02e,0x3fe60003,0xff70007f,0x3ffff6df,0xffffffff,
    0x01ffffff,0x0017fffa,0x00ffff88,0x5fffff10,0x7fffffcc,0xffffffff,
    0x3ee07fff,0xfff900ff,0x7fdc0000,0x0000007f,0x007fffe2,0x3fff2000,
    0x7ffcc005,0xfffffe87,0xffffffff,0xffffffff,0x3fee002f,0x3f20007f,
    0xdeffffff,0xfd8001bc,0x3f6003ff,0xffffffff,0xfffc83ff,0xbcdeffff,
    0xf7000001,0xf1000fff,0xffffffff,0xffffffff,0x7ffffd4f,0x1bcdeeff,
    0x37ffe400,0xfffc8000,0xfffff10f,0x79bdffff,0x7ffff003,0x7ffcc000,
    0xfff70007,0x3fffff6d,0xffffffff,0x701fffff,0x0003ffff,0x007fffc4,
    0x1fffff30,0x3fffffe6,0xffffffff,0x3f207fff,0x1bff607f,0xfffb8000,
    0x00000007,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x88000000,0x005fffff,
    0xf8a7ffdc,0xffffffff,0x0001bcde,0xfffff900,0xffffd00b,0xffffffff,
    0xffffffff,0x0fffff67,0x3fff6000,0x3fffee1f,0xfff10005,0x0ffff4df,
    0x7ffdc000,0x01ffffb2,0xffff5000,0x3fffffa3,0x1accefff,0x3fffe600,
    0x3ff6000f,0x019105ff,0x80015400,0x0004eee9,0x00000000,0x00000000,
    0x2b7b2a20,0x37bdb700,0x3bb72600,0xedb882bd,0x220001bd,0xacceedba,
    0x7765cc00,0x000bcdef,0xbdd97310,0x64400157,0x3ffe22de,0x2e000fff,
    0xfff14fff,0xffffffff,0x0007dfff,0x7ffffcc0,0xfffe805f,0xffffffff,
    0xffffffff,0xfffff33f,0x7fcc0001,0xfffe85ff,0xffd8001f,0x3fffa1ff,
    0xffc80001,0x7ffff51f,0xfffb0000,0x7fffff4d,0xffffffff,0xfff9801d,
    0xff1002ff,0xff50dfff,0x3fe2000b,0x7fcc000d,0x02d8005f,0x88000000,
    0xfd88001d,0x7cc0002e,0x41ffffff,0x2ffffffe,0x3ffffee0,0x3ea5ffff,
    0x02ffffff,0x7ffffdc0,0x46ffffff,0xffffffda,0x0cffffff,0x3ffff200,
    0x04ffffff,0x4fffff98,0x9ffffff1,0xa7ffdc00,0xfffffff8,0xffffffff,
    0xe80002ff,0x05ffffff,0xffffffe8,0xffffffff,0x23ffffff,0x003ffffc,
    0x03ffff60,0x01bfffe6,0x89ffff50,0x0002fffd,0xf11fffc8,0x0000bfff,
    0x7f49ffff,0xffffffff,0x05ffffff,0x2fffffd4,0xfffffb80,0x17fffe46,
    0x7fffec00,0x3ffe6000,0x1ffec005,0x10000000,0x44003ffd,0x002fffff,
    0xffffff30,0x3ff61dff,0x01ffffff,0xfffffffd,0xfff59fff,0x05ffffff,
    0xfffffb10,0xffffffff,0xffffffd8,0xffffffff,0x7ff4c01f,0xffffffff,
    0x3fa01eff,0xf8afffff,0x00ffffff,0x229fff70,0xeeeeffff,0xffffffee,
    0x2e0001ff,0x5fffffff,0xfffffe80,0xffffffff,0x2fffffff,0x03ffffe2,
    0x3fffe600,0x3ffff204,0xffff1003,0x05fff90d,0x1fff9000,0x007fffec,
    0x3ffff500,0x7777fff4,0xfffffeee,0x3fea03ff,0xe800ffff,0x446fffff,
    0x4006ffff,0x004ffffa,0x002fffcc,0x00bffff9,0xff300000,0x2a001fff,
    0x005fffff,0xdfffff88,0xffacffff,0x7fffecff,0x99bfffd0,0xfffffffb,
    0xffffd7bf,0x7fffdc01,0xffeeffff,0x7ffec7ff,0xffedeeff,0x500effff,
    0xbfffffff,0xfffffffd,0xfffff105,0xffff19ff,0x2e009fff,0xfff14fff,
    0xfffb803f,0x88000fff,0xfffdffff,0x4c000005,0xfb85ffff,0xe8004fff,
    0x7400ffff,0xc800ffff,0xfc81ffff,0xd80003ff,0x3fee0fff,0x320002ff,
    0x7ff46fff,0x3ff6603f,0xff701fff,0x9807ffff,0x87ffffff,0x444ffffa,
    0x7fff4409,0xfff98005,0x3ffa2005,0x00000eff,0xfffff700,0x7ffdc007,
    0xfb8006ff,0x7ffec5ff,0x7fec5fff,0x501de82f,0x85ffffff,0xf302fffd,
    0x015dffff,0xdfd8fd71,0x3ffa600b,0xfff885ff,0xfe980bff,0xff986fff,
    0xf8dfffff,0x0fffffff,0x14fffb80,0x2003ffff,0x006ffffc,0xfccfffd8,
    0x000005ff,0x807ffff4,0x000ffffe,0x00ffffea,0x017fffea,0x209ffff3,
    0x0003fffb,0x7c47ffd8,0x20005fff,0x7f44ffff,0xffb803ff,0xfff705ff,
    0xfc80dffb,0x907ffedf,0xff95ffff,0xffb9bfff,0xf30001ff,0xfb000bff,
    0x0003dfff,0xffffc800,0x7fcc001f,0xe8003fff,0x7fc40fff,0x7c40ffff,
    0xd80085ff,0xf984ffff,0xfffd05ff,0x2604009f,0x7fff4000,0x1ffffd87,
    0x3ffffc80,0xfffffff8,0xfdffff8b,0xffb803ff,0x3ffff14f,0x7ffff400,
    0x3ffee000,0x00bfff96,0x7ffdc000,0x3ffea03f,0x3ffa005f,0x3ff6006f,
    0x3ffa02ff,0xfff700ff,0xffd00007,0x0ffffb0f,0x3fffe600,0x01ffff41,
    0x706fffe8,0x3fff7fff,0x7edfffc0,0x3fffa07f,0xffffffff,0x001fffff,
    0x00bfff30,0x3ffffee0,0xd8800002,0x000effff,0x00bfff70,0x20bfff10,
    0xd05ffffd,0x50001fff,0x3a03ffff,0x7fdc0fff,0x000003ff,0x0ffff980,
    0x007fffe6,0x40ffffd8,0x8efffffb,0xff9ffff8,0xfffb807f,0x03ffff14,
    0x0ffffcc0,0x1ffff880,0x000bfff9,0x3fffe600,0xffffe805,0xffffa801,
    0x3ffe2002,0xffff506f,0x27ffd405,0x37ff4000,0x017fffdc,0x437ffe40,
    0x7003fffe,0x3f20ffff,0x03fff8ff,0xffb1fff5,0x3ffe201f,0xffffffff,
    0x0003ffff,0x0017ffe6,0x3fffffa8,0x3fa20000,0x0000dfff,0xb8000d44,
    0xff703fff,0x3ff207ff,0xff98001f,0x3fff207f,0x1bfffe21,0xf8000000,
    0x3ffa2fff,0x7fcc005f,0xfffb83ff,0x2ffff10d,0x5c03fffe,0xfff14fff,
    0xfff8003f,0xfffb003f,0x02fffe49,0xfffe8000,0xfff9800f,0xfffe806f,
    0xfffb8005,0x7fffc43f,0x27ffd405,0x37ffc000,0x027fffc4,0x427fff40,
    0x5003fffe,0xf903ffff,0x41bffadf,0xfffb6ffd,0x7fffe401,0xfffecbdf,
    0x260002ff,0x40005fff,0x05ffffe9,0xffff9800,0x0000004f,0x03fff900,
    0x40bfffea,0x8002fffb,0x2e05fff8,0x3fea2fff,0x000001ff,0x4ffffa00,
    0x002ffff8,0x204fffd8,0xbfffc409,0x5c06fffb,0xfff14fff,0xffe8003f,
    0xfffa805f,0x02fffe46,0x7ffdc000,0x3ff6003f,0x3fee02ff,0xfd0001ff,
    0x7fe41fff,0x7fcc00ff,0xff80005f,0xffffb05f,0xffff9800,0x03fffe81,
    0x01ffff50,0x3feedffb,0x97ffc41f,0x3e00fffd,0xfb80efff,0x33106fff,
    0xf7333333,0x33333dff,0xe8803333,0x000effff,0x5fffff50,0x00000000,
    0x9807ffec,0xf501ffff,0xf10005ff,0x7fdc0bff,0x1bffee2f,0xd0000000,
    0x3fe67fff,0xff70007f,0xff8800bf,0x5ffff17f,0x8a7ffdc0,0x4001ffff,
    0x4405fffd,0x7e41ffff,0x400005ff,0x005ffff8,0x037fffc4,0x0009ffff,
    0x9affffcc,0x9803ffff,0x26205fff,0x82fffc01,0x001ffffb,0x741bffee,
    0xf9003fff,0x3ff60fff,0xb89fff16,0xfff90fff,0x3fffee03,0x3fffee00,
    0xfffffb81,0xffffffff,0xffffffff,0xffffb007,0xffc8003d,0x00001fff,
    0x7ff40000,0xffff300f,0xf9555557,0x531007ff,0x55bfff75,0xfffb5555,
    0x02fffec7,0x2a620000,0xffeaaaaa,0x0dfff53f,0x1fffea00,0x4ffff100,
    0x2e06fffc,0xfff14fff,0xfff8003f,0x7ffe403f,0x05fffc84,0x7fff4000,
    0xffc8000f,0xfffb83ff,0x7e40000f,0xfffeafff,0xdfff1006,0x8817ffc0,
    0xff104fff,0x7f4009ff,0xfffd03ff,0xffff1007,0xd9bff60b,0x2fff47ff,
    0x3e03fff9,0x7c404fff,0xffb83fff,0xffffffff,0xffffffff,0x2e007fff,
    0x802fffff,0x0effffd8,0x26666600,0x99999999,0x99999999,0x1fffa099,
    0xffffff88,0xffffffff,0xffffb504,0xffffffff,0xffffffff,0x01ffff47,
    0x7ff5c000,0xffffffff,0xfff73fff,0x3fe6000b,0x3e2000ff,0x3ffe27ff,
    0x9fff701f,0x007fffe2,0x01ffff88,0x203fffe6,0x0005fffc,0x0ffffee0,
    0x7fffc400,0x1ffffc47,0xfffe8000,0x001fffff,0x7d41bffe,0xfff105ff,
    0x3fffec09,0x1ffff880,0x007fffd0,0x201ffffb,0x3fea6ffe,0x45fff12f,
    0xf881fffc,0xfd801fff,0xfffb84ff,0xffffffff,0xffffffff,0x7d4007ff,
    0x2203ffff,0x005ffffe,0xfffffff8,0xffffffff,0xffffffff,0x881fffe3,
    0xffffffff,0x44ffffff,0xffffffd8,0xffffffff,0xffffffff,0x00bfffe3,
    0xffffc800,0xffffffff,0xffb3ffff,0x3e20009f,0x22001fff,0x7fec7fff,
    0x9fff705f,0x007fffe2,0x00ffffc8,0x640bfffa,0x00005fff,0x00bffff1,
    0x3ffffb80,0x001bfff2,0xfffffa80,0x7fc004ff,0xffff906f,0x07fff301,
    0x00ffffdc,0xd037ffdc,0x75407fff,0x3a04ffff,0x3ffe26ff,0xfb8fff75,
    0xfff982ff,0xfffc800f,0xaaaaa885,0xefffcaaa,0xaaaaaaaa,0xffe98002,
    0xfff984ff,0xff0003ff,0xffffffff,0xffffffff,0x7c7fffff,0x3fe207ff,
    0xeeeeeeff,0x7ec3eeee,0xeeeeffff,0xeeeeffff,0x22eeeeee,0x0002ffff,
    0xffffffb0,0xfddddddf,0x3ff27fff,0xff10005f,0x7c4001ff,0x7ffcc7ff,
    0x4fffb81f,0x003ffff1,0x813fffea,0x3205fffc,0x00005fff,0x001ffffb,
    0x2dfffd00,0x002ffff8,0x7fffec00,0xffe8006f,0x7fffff07,0x407fff30,
    0x804ffff8,0x3a03fffe,0xeeeeefff,0x4ffffffe,0x3637ffc0,0x89ffd7ff,
    0xfa82fffb,0xff7007ff,0x3e6000df,0x000005ff,0x97ffffa2,0x03fffffa,
    0x3ffffe00,0xffffffff,0xffffffff,0x1fffe3ff,0x01ffff88,0x3ffffa80,
    0x004fff88,0x007ffff0,0xdffff700,0xfffe8015,0x00dfff73,0x01fffe60,
    0xb0ffff10,0xff70bfff,0x3fffe29f,0xffffb801,0x3fffe606,0x17fff200,
    0x3ffee000,0xf500003f,0xfff97fff,0xf100000d,0x0007ffff,0xff30fffd,
    0xff50dfff,0xfffd805f,0x7fffc406,0x3ffffa01,0xffffffff,0xfff803ff,
    0x7dfffd45,0x7ffdc1ff,0x07fffa82,0x00dfff70,0x017ffe60,0xfffb8000,
    0x7ffe41ff,0x990001ef,0x99999999,0x99999999,0x74399999,0xff100fff,
    0xfd0005ff,0x3fe209ff,0xffb0005f,0xf880009f,0x3a006fff,0xfff53fff,
    0x3fea000f,0x7fc4005f,0xffffa87f,0x8a7ffdc0,0x999affff,0xffffcaa9,
    0x3ffa01ff,0x7ffe402f,0x7fc40005,0x400005ff,0xfffffffd,0xb800001f,
    0x006fffff,0x640fffd8,0x40ffffff,0x5c02fffa,0x2e01ffff,0x7f406fff,
    0xffffffff,0x3e002eff,0xffff85ff,0xfffb86ff,0x0ffff983,0x05fffc80,
    0x0bfff300,0x3ff60000,0xff700eff,0x00005fff,0x7ec00000,0xfff300ff,
    0xfff0005f,0x3ffe203f,0xfff90006,0xffa8000d,0x3fa000ff,0xffff33ff,
    0x3fff2000,0x7ffc4004,0x89fffd07,0xff14fffb,0xffffffff,0x5dffffff,
    0x02fffdc0,0x002fffe4,0x03ffff60,0xfff30000,0x000bffff,0xfffff100,
    0xfd8009ff,0x6fffc0ff,0x7fd43fff,0x7ffc401f,0x3fff603f,0x77fff403,
    0xfffffeee,0xbfff1002,0x7fffff90,0x107fff50,0xd003ffff,0x20007fff,
    0x0005fff9,0x7ffff440,0xffffa805,0x0000003f,0x3fffb000,0x13fffea0,
    0x0ffff100,0x003fffc4,0x01ffffb8,0x1bffee00,0x27fffd00,0x003ffff8,
    0x01ffffc4,0x41fffe20,0x2e0ffffa,0xfff14fff,0xffffffff,0x8809ffff,
    0xc800ffff,0x20005fff,0x003ffffa,0xffff9000,0x000001ff,0xfffffffb,
    0x7fe4003f,0x23ffe60f,0x7fdc6fff,0xfffd801f,0x1ffff106,0x43fffe80,
    0x04ffffc8,0x985fff88,0xa80fffff,0xfff04fff,0xfff9809f,0xff30002f,
    0x4c0000bf,0x004ffffe,0x17ffffa6,0x00000000,0x640ffff2,0x4006ffff,
    0x2e06fff9,0x8001ffff,0x006ffff9,0x017fff60,0x23ffffa8,0x4007fffe,
    0x000ffffb,0xd03fffc4,0x7fdc9fff,0xfffff14f,0xdfffffff,0xfffb003b,
    0x3fff2007,0xfff10005,0x400000df,0x04fffff8,0xfffa8000,0x06ffffbf,
    0xc87fff20,0x3fffb6ff,0x4007ffdc,0xa80ffffb,0xfe806fff,0xfff703ff,
    0xfff8805f,0x0bfffd05,0x6413ffea,0xd101ffff,0x4000dfff,0x0005fff9,
    0x5fffff50,0xfffd1000,0x000001df,0x7ffcc000,0xfffffd05,0x7ffc4003,
    0xfffff307,0x3ff20009,0xf90003ff,0x3f200fff,0x3ea3ffff,0xf3003fff,
    0x10007fff,0x7dc0ffff,0xfff70fff,0x37fffe29,0x001abccc,0x0037ffd4,
    0x000bfff9,0x003ffff6,0xfff90000,0x8800001f,0xff76ffff,0x3ee007ff,
    0x4fffa1ff,0x3f23fffa,0xff8800ff,0xfffd83ff,0x3fffe803,0x01bfff60,
    0x2e09fff3,0xff502fff,0x3ffe609f,0x7ff4c2ff,0x260002ff,0x80005fff,
    0x01fffffc,0x7fffe400,0xd880001e,0xff0002ef,0xfffb83ff,0x0200efff,
    0xf883ffff,0x02ffffff,0xfffff880,0xf54a801e,0x74c07fff,0x43ffffff,
    0x405ffffd,0x006ffffa,0x80ffff10,0xff73ffff,0x3fffe29f,0xffd00001,
    0xdddddddf,0xffffdddd,0x01dddddf,0x01ffffd4,0x7fdc0000,0xd800007f,
    0x3fa1ffff,0xfb800fff,0x3fff32ff,0xfc9bffe2,0x3ff6007f,0x7fffc46f,
    0x3fffe800,0x13fffe60,0x104fff98,0x7fcc0999,0x3fffa05f,0xffffefff,
    0x20000fff,0x0005fff9,0x077fffec,0xfffb8000,0x220002ff,0x001ffffe,
    0x9aefffc8,0xffedfffb,0xeba99bef,0x577fff45,0xfddfffc8,0x9989bfff,
    0xfff704db,0x5579bfff,0x3e2fff99,0x99acffff,0xffffffeb,0x7ffcc3ff,
    0xba9aceff,0x02fffffd,0x0ffff100,0xf76fffb8,0x3ffe29ff,0xff00001f,
    0xffffffff,0xffffffff,0x3fffffff,0x1bfffe20,0x7dc00000,0x400007ff,
    0x544ffffa,0xa805ffff,0xdff93fff,0xfb1fffd8,0x7fdc00ff,0x3ffee0ff,
    0x7fffd006,0x0ffffd80,0x009fff50,0x05fff980,0xfffffff3,0xffffffff,
    0x774c000b,0xfd10004e,0x0001bfff,0xfffffa80,0xfff50003,0xf1000bff,
    0xffffffff,0xfffff51d,0xa8bfffff,0xffffffff,0x3ffffa6f,0x04ffffff,
    0x3fffffee,0xffffffff,0x3ffffee7,0xffffffff,0xa83fffab,0xffffffff,
    0x2fffffff,0x3ffe2000,0x7fffc407,0xf14fffba,0x00003fff,0x3ffffffe,
    0xffffffff,0xffffffff,0xfffb01ff,0x0000001f,0x001fffee,0xfffff880,
    0x2ffffd80,0xe9fffcc0,0x7ffd44ff,0x400dffb4,0x363ffff8,0xfd003fff,
    0xff9807ff,0xfff504ff,0xff980009,0xffff885f,0xffffffff,0x003fffff,
    0x3e600000,0x0004ffff,0x3fffa600,0xffb8005f,0x30006fff,0xffffffff,
    0x7ffffdc3,0xfd85ffff,0x0effffff,0x3fffffe2,0x4404ffff,0xfffffffd,
    0x647fffff,0xffffffff,0xfff50eff,0x3fff6207,0xffffffff,0x7c40000d,
    0xffc807ff,0x14fffbdf,0x0003ffff,0x3fffffe0,0xffffffff,0xffffffff,
    0xffa81fff,0x000003ff,0x01fffee0,0xffffc800,0xfffff102,0x67ffcc01,
    0xff81fff9,0x00dffb7f,0xf15fffd8,0x3a001fff,0xfd803fff,0xffb80fff,
    0x7cc0004f,0xfffd86ff,0xeefdca9e,0x1ffffc8b,0xa8000000,0x002fffff,
    0xffe88000,0x26000eff,0x004fffff,0x3ffffa60,0xfffda82d,0xf702dfff,
    0x3017dfff,0xffffffd9,0x3b2a003b,0xdfffffff,0xfffe981b,0x7d43dfff,
    0x7edc03ff,0x3defffff,0xfff10000,0xffff100f,0x3e29fff9,0x00001fff,
    0xfffc8000,0xffff1005,0x8000000d,0x0007fffb,0x0dffff30,0x05ffffb8,
    0x3ef3ffe2,0x5fff906f,0xb800bffd,0xffa8ffff,0x3ffa006f,0xfff9803f,
    0x3fffb83f,0x7ffcc000,0x0ffffdc6,0x1ffffd00,0x5c000000,0x001fffff,
    0x7fec0000,0x2e000eff,0x00006fff,0x54c002a6,0x3530009a,0x0d554400,
    0x4ccc4000,0x0554c000,0xa9880000,0xf1000001,0x3f600fff,0x14ffffff,
    0x0003ffff,0xff900000,0x3ff600bf,0x000000ff,0x03fffdc0,0xffffe800,
    0xffffe801,0xbbfff102,0x3fea09ff,0x005ffedf,0x6d7fffc4,0x3a003fff,
    0xfd003fff,0xfff70fff,0xff880007,0x3fffe66f,0x7ffcc004,0x66665c5f,
    0xcccccccc,0xcccccccc,0x01dfff30,0x2e000000,0x88004fff,0x0000001a,
    0x00000000,0x00000000,0x00000000,0xf1000000,0x3e600fff,0x14ffffff,
    0x0003ffff,0xff900000,0xfff500bf,0x0000007f,0x00ffff70,0x9ffff900,
    0x3fffe600,0xfdfff00e,0x7ffc03ff,0x8004ffef,0xfffdfffe,0x3ffa000f,
    0xfff5003f,0x3fffc87f,0x7ffc4000,0x03fffee7,0x3bfff200,0x3fffff60,
    0xffffffff,0x1fffffff,0x000037e6,0x09f50000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x2007fff8,0x4ffffffd,0x003ffff1,
    0xf9000000,0xff880bff,0xffffffff,0xffffffff,0xb8005fff,0x40007fff,
    0x00fffff9,0x13ffff60,0x37fffffc,0x3fffff20,0xffb8004f,0x006fffff,
    0x001ffff4,0xfc8dfffd,0x440003ff,0x7ec47fff,0x5ff10002,0xffffffb0,
    0xffffffff,0x83ffffff,0x00000000,0x00000020,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fff8800,0x3fffe600,0xffff14ff,0x00000003,
    0x80bfff90,0xfffffff9,0xffffffff,0x05ffffff,0x07fffb80,0x7ffff400,
    0x7ffc4002,0xfffe81ff,0x7fcc04ff,0x8003ffff,0xfffffff8,0x7fff4003,
    0x3ffea003,0x0ffff62f,0xffff1000,0x13000060,0x3fffff60,0xffffffff,
    0x1fffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0ffff100,0xfffffe80,0x03ffff14,0x90000000,0xf980bfff,
    0xffffffff,0xffffffff,0x8005ffff,0x0007fffb,0x017ffff2,0x37fffdc0,
    0x0ffffff4,0x7fffffc0,0xfffd0003,0xe8001fff,0x7c003fff,0x3ff66fff,
    0xff80002f,0x000000ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x01fffe20,0x9fffff50,0x007fffe2,
    0x32000000,0x7cc05fff,0xffffffff,0xffffffff,0x8005ffff,0x0007fffb,
    0x03fffff3,0x7ffff400,0x3ffffec3,0xfffffc80,0xfff70002,0xfd000dff,
    0xfb8007ff,0xfffb2fff,0xfff00005,0x0000001f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xbdd95300,0x99900157,0x66540019,
    0x6e5d402c,0x1acdeefe,0x01666644,0x45999900,0x00004ccc,0x30059995,
    0x332a0013,0xcb8003cc,0x66641ccc,0x9bdb5103,0x66665405,0xcccccccc,
    0x2e4ccccc,0x3bb221cc,0x3deda80d,0x93059990,0x4037bddd,0xcccccccc,
    0xca802ccc,0x326002cc,0x1000cccc,0x00000003,0x6dd44000,0x500001bc,
    0x00000355,0x00000000,0x40400030,0xeeeeecb9,0xd953002c,0x200039bd,
    0x0003eeda,0x3fffffe6,0x2203ffff,0x2000ffff,0xf504fffc,0xffffffff,
    0xfff0bfff,0x3ea000df,0x3ffe1fff,0xfd80000f,0x7f5cc3ff,0x02efffff,
    0x07ffffe2,0x6ffffa80,0x2637ffc4,0xfffffffe,0xffffc80d,0xffffffff,
    0x367fffff,0xffff13ff,0x7ffdc1ff,0x7ffc45ff,0x3ffff625,0xff03ffff,
    0xffffffff,0xfff9009f,0x3ffe600b,0x3b2202ff,0x00ceffff,0x1bffea00,
    0x7ff4c000,0x04ffffff,0x017ff400,0x20077200,0x005b102d,0x5f7001d7,
    0xe81d9000,0xffffffff,0xffb102ff,0x3dffffff,0x3fffaa00,0xff70004f,
    0xffffffff,0xff101bff,0x7e4001ff,0x7ff444ff,0xffffffff,0xffc85fff,
    0xfd8000ff,0x7fff46ff,0xffe80001,0x7fffec2f,0x0effffff,0x1dffff50,
    0xffffd100,0x26fff881,0xfffffffb,0x7e40ffff,0xffffffff,0xffffffff,
    0x7f4fff67,0xf54fffff,0x45ffffff,0xff35fff8,0xffffffff,0xfffff0bf,
    0x09ffffff,0x00bfff90,0x03fffff3,0x7fffffd4,0x0002ffff,0x000dfff5,
    0xdfffff90,0x03dffffd,0x00bffa00,0x05fff980,0xfc87bff2,0xfff300ff,
    0x2fffb80b,0x83bff200,0xfffffffe,0x7d41ffff,0xffffffff,0x3aa00fff,
    0x04ffffff,0xfffffd80,0xffffdcbd,0x7ffc40ff,0x3ff2000f,0x7ffff44f,
    0xfedccdef,0xfff985ff,0x7fc4003f,0x7ffe43ff,0xfff80002,0x7fffec0f,
    0x5fffffee,0x13ffff20,0x0bffff20,0x7e5bffe2,0xffeeffff,0x7fe45fff,
    0xffffffff,0x7fffffff,0x3fef3ff6,0xff6fffce,0x4bfffdbf,0xff9efff8,
    0xfffeefff,0x7ffc1fff,0xffffffff,0x5fffc804,0x7ffffcc0,0x3fffee01,
    0xffffffff,0xfffa8001,0x3fa20006,0x6cc40bff,0xd8003fff,0x3a0001ff,
    0xff304fff,0x7ffe43ff,0x5ffff105,0x3ffffe20,0xffffc802,0x33337fa3,
    0x45fffffc,0xfefffffa,0xa85fffff,0xfffffffe,0x7fe4004f,0x3ff204ff,
    0x7ffc44ff,0x3ff2000f,0x3ffff24f,0x8154400b,0x4006fffe,0x5c0ffffa,
    0x80003fff,0x2cd87fff,0x01ffff50,0x017ffff4,0x209ffff5,0xffcefff8,
    0x7ff442ef,0x5c0000ff,0x3f62ffff,0x3f25ffcf,0x3e2ffbff,0x3ffe27ff,
    0xb83fffff,0x2006ffff,0xc804fffd,0x3e605fff,0x2201ffff,0x98adffff,
    0x006ffffb,0x006fffa8,0x0037ffa0,0x2a0bffea,0x203ffb01,0x37ffdc04,
    0x887fffd0,0xf503fffe,0x3ea01fff,0x3202ffff,0x0044ffff,0x2e1ffff6,
    0x7ff541df,0x3ffe60ff,0x4fffffff,0x3fffe200,0xffffb802,0x03fffe21,
    0x24fffc80,0x0003ffff,0x03ffff50,0x42fffec0,0x0004fffa,0x0037ffc4,
    0x202fffd8,0x80fffff8,0x206fffe8,0xfffffff8,0x3fffe205,0x3fe60004,
    0x7ffec4ff,0x3ffea0ff,0x7ffec4ff,0xffffff10,0x7ffdc03f,0xfffb000f,
    0xbfff9009,0x3ffffe60,0x27ffec01,0x03fffe88,0x037ffd40,0xf34ffb80,
    0x4c57bfff,0x3fe20eff,0x4c0ffc83,0xfff103fe,0x3fff203f,0x1ffff305,
    0x813fff60,0x82fffffa,0x004ffffc,0x306fffa8,0x0ffffdc0,0x3633fffa,
    0x32004fff,0x3a005fff,0x3fe25fff,0x3f2000ff,0xffff14ff,0x3e200001,
    0xf1004fff,0xff305fff,0x055540bf,0x005fff98,0x807fff50,0xc85ffffa,
    0x2200ffff,0x04ffffff,0x005fffc8,0x0dffff10,0x987ffffb,0x640fffff,
    0xfff11fff,0xf8801fff,0xfb001fff,0xff9009ff,0xffff30bf,0xfff8803f,
    0x3ffee00f,0x7ffd4005,0xfff98006,0xffffff30,0x927fdc7f,0x7e43dfff,
    0x3ffff20f,0x04fffd80,0x401ffff5,0xf105fffb,0x7cc03fff,0x3f22ffff,
    0x90004fff,0x10009fff,0xfa85ffff,0x13fff60b,0x07fffc40,0x4ffff500,
    0x000ffff8,0x7c53fff2,0x00001fff,0x401ffff2,0xf107fffb,0x3fe20dff,
    0x9fff503f,0x2e666200,0xfd803fff,0x3fea2fff,0x7fc402ff,0xf5005fff,
    0x36000dff,0xfd80ffff,0xfff987ff,0x1fffc84f,0x03fffff1,0x00bfffa0,
    0x4027ffec,0x7cc5fffc,0x9801ffff,0x7c404fff,0x7d4006ff,0xfc8006ff,
    0x4c3fe62f,0x87ff47fe,0x73ffffea,0x3fffa6ff,0x7ffd40df,0xffff880e,
    0x3fffe802,0x80dfff70,0xcafffff9,0x8004ffff,0x01ffffb8,0x0ffffa80,
    0x4fffd808,0x0bfff700,0x21ffff00,0x000ffff8,0xfe93fff2,0x200006ff,
    0x802ffff9,0x3e04fffe,0xfff707ff,0x0fffee0d,0x7ffff5c4,0x803fffff,
    0x88ffffe8,0x8804ffff,0x2006ffff,0x8006fffa,0xb02ffffc,0xff307fff,
    0xfff901ff,0x0bfffe23,0x03fffd80,0x009fffb0,0x7ccbfff9,0x5001ffff,
    0xff007fff,0xffa800ff,0x7fe8006f,0xff707fcc,0x2a17fdc1,0xffcefffe,
    0x81dffffb,0xb02ffff8,0x22009fff,0xfb01ffff,0xff9809ff,0x4fffffff,
    0xfffdd500,0x20003dff,0x2006fffe,0x9004fffd,0xf0009fff,0x3fe23fff,
    0x3f2000ff,0x3fff64ff,0xd00002ef,0xf980bfff,0x3fa00fff,0xfffd80ff,
    0x2fffc81f,0xffffffa8,0x03ffffff,0x9bffff30,0x2200dfff,0x2001ffff,
    0x4005eee9,0x204ffffa,0xf980fffd,0xfff905ff,0x03fffe23,0x04fffc80,
    0x009fffb0,0x3e6bfff9,0x2001ffff,0xf802fffc,0x7d4007ff,0xff8006ff,
    0xfb07fcc5,0x503ff98d,0xfffffffd,0x7fec019f,0xdfff504f,0x6fffa800,
    0x03ffff10,0xffffff98,0x3fea004f,0x00bfffff,0x2ffffd80,0x13fff600,
    0x4dfffec0,0x99999999,0x3fffe999,0x001ffff1,0xf127ffe4,0x39ffffff,
    0x7ffdc000,0x3fff200f,0x0fffec05,0x13ffffe2,0xf303fff6,0x5557dfff,
    0x4007fff9,0xfffffffb,0xfff1000f,0x0000003f,0x017fffe2,0xf301fffb,
    0x3ff209ff,0x1ffff11f,0x27ffe400,0x04fffd80,0xf9dfffc8,0x4001ffff,
    0xf803fffb,0x266666ff,0xffb99999,0x999999ef,0x9ff30999,0xfdbbff98,
    0x02ffc42f,0x33ffffaa,0x7fffcc00,0x1ffff880,0x3fffd800,0x00bfff70,
    0x0bfffff3,0xfffffa80,0x1002ffff,0x00bffffb,0x004fffd8,0xffffffff,
    0xffffffff,0x229fffff,0x2000ffff,0x7cc4fffc,0xffffffff,0x7fc4001c,
    0x3ffe03ff,0x7ffdc02f,0x7ffffd42,0xd87ffe87,0xff503fff,0xffd8007f,
    0x2002ffff,0x001ffff8,0xfffd0000,0xfffd801d,0x04fff980,0x3e23fff9,
    0x32000fff,0xfb004fff,0xff9009ff,0x3fffffdf,0xbfff3000,0x25fff980,
    0xffffffff,0xffffffff,0x3fffffff,0xff987ff5,0xff00dfff,0x7ffe440d,
    0x7c402eff,0xffb02fff,0xff88007f,0xfffd01ff,0xffff9007,0x544005ff,
    0xffffdbaa,0x7ff4c02f,0xfd8005ff,0xff8804ff,0xffffffff,0xffffffff,
    0xfff14fff,0x7fe4001f,0xfffc884f,0x2effffff,0x1bfff600,0x403fffd4,
    0x7ec3fffa,0x7c1fffef,0xffff86ff,0x07fff500,0xfffff880,0x7ffc4004,
    0x8000001f,0x801ffffc,0xf980fffd,0xfff904ff,0x03fffe23,0x04fffc80,
    0x009fffb0,0xffbbfff9,0xf10007ff,0x7ec01fff,0x3fffe3ff,0xffffffff,
    0xffffffff,0x9ff13fff,0xffdbff98,0x884ff882,0xfffffffc,0x3ea02eff,
    0xff880eff,0x3f6001ff,0xfff703ff,0xffff900d,0x0005ffff,0x06fffe88,
    0x13ffffea,0x27ffec00,0xffffff80,0xffffffff,0x3fffffff,0x001ffff1,
    0x3027ffe4,0xfffffff9,0xf3001bff,0xffb03fff,0xfff3009f,0x7cfffc49,
    0x2fffc4ff,0x540ffffc,0x4003ffff,0x0efffffa,0x3fffe200,0x5c000001,
    0xb003ffff,0xff301fff,0x3fff209f,0x01ffff11,0x027ffe40,0x804fffd8,
    0xffd5fffc,0xfd0005ff,0xff701bff,0x7fffc1ff,0xffffffff,0xffffffff,
    0x17fe3fff,0x3ff61ff3,0xb31ffd40,0xff77ffff,0x07dfffd3,0x5413fff6,
    0xb800efff,0xff106fff,0xffc803ff,0xfffffcff,0x7fdc0002,0xffff907f,
    0x7ec0005f,0xfff004ff,0x3333337f,0x33333333,0x3ffe2133,0x3ff2000f,
    0xff95004f,0x00dfffff,0xf113fffa,0xf1003fff,0xbffd4bff,0x3fe27ffd,
    0xdfffd84f,0xffffda89,0x3fe6003f,0x005fffff,0x007fffe2,0xfff98000,
    0x3ff6005f,0x4fff980f,0x223fff90,0x2000ffff,0xb004fffc,0xf9009fff,
    0x3ffa2bff,0x7cc002ff,0xdbacffff,0x6642ffff,0xdccccccc,0xccccffff,
    0x361ccccc,0x887fcc7f,0x8ffdc3ff,0x71effffc,0x7fffdcff,0x7fffc41f,
    0x09fffb01,0x00ffff88,0xc809fffb,0xff33ffff,0x40005fff,0x6c46fffc,
    0x000effff,0x027ffec0,0x003fffe8,0x3fffe200,0x3fff2000,0xffda8004,
    0xfb804fff,0x7ffdc7ff,0x9bffe006,0xfff54ffd,0x20fffe65,0xfffffffb,
    0x03fffdff,0xfffffd10,0x22007fff,0x0001ffff,0xdfffd100,0x7ffec001,
    0x04fff980,0x3e23fff9,0x32000fff,0xfb004fff,0xff9009ff,0x7fffccbf,
    0x7fe4001f,0xffffffff,0xff50004f,0xff7000df,0xfb07fcc7,0xf73ffc4f,
    0x0ffc87ff,0x5c1bffa6,0xff106fff,0x7ff405ff,0xdfff503f,0x7fffe401,
    0x7ffffcc4,0xfffa8002,0x3fffe64f,0x999999df,0xffd80099,0xfff9004f,
    0x7c400009,0x32000fff,0x20004fff,0x807ffff9,0x3a2ffff8,0x3a003fff,
    0x47ffe7ff,0xff55fff8,0x3fff605f,0xffd3ffff,0x3fff6007,0x1ffffc8f,
    0x1ffff880,0xffb00000,0xfd8001ff,0xfff980ff,0x23fff904,0x000ffff8,
    0x4013fff2,0xc804fffd,0x7fcc5fff,0x54001fff,0xffffffff,0x3ea0002f,
    0xe88006ff,0x41ff31ff,0x7ffb3ffa,0xffd80de8,0x3a02fb80,0xff503fff,
    0xfff901ff,0x3fffe20b,0x3ffff202,0xfffff304,0x555e6cc5,0xffffffdc,
    0x3fffffe1,0xffffffff,0x3fffee4f,0xffffffff,0xfffb83ff,0x7fc00006,
    0xff3001ff,0xa80009ff,0xd800ffff,0xfff35fff,0x7fec001f,0x6c7ffa8f,
    0xfffb8fff,0x37bb6a01,0x00732e1b,0x44ffffee,0x400ffffe,0x001ffff8,
    0xffffb800,0xfffd8002,0x04fff980,0x3e23fff9,0x32000fff,0xfb004fff,
    0xff9009ff,0xffff50bf,0xcb88001d,0x000acefe,0x037ffd40,0x88eff980,
    0x5de640cc,0x360085ff,0x980101ff,0xf901ffff,0xfff98bff,0xbfffb00f,
    0x27fffe40,0x3ffffea0,0xffffff32,0x85ffffff,0xffffffff,0x4fffffff,
    0x3fffffee,0xffffffff,0x3ffff983,0x3ffa0000,0xfff9802f,0x440004ff,
    0xa801ffff,0xfff77fff,0xfffb8009,0x7d44ffd9,0x07ffcaff,0x7cc00000,
    0x7fcc5fff,0x7fc406ff,0x400001ff,0x004ffff9,0x301fffb0,0x3f209fff,
    0xffff11ff,0x7ffe4001,0x9fffb004,0x0bfff900,0x03bfffee,0x80000000,
    0x0006fffa,0x100bfff2,0x8001fffb,0x20001ffe,0x3a06fffc,0x3ffa3fff,
    0xffff503f,0x3fffa201,0xffff5004,0x3ffffe65,0x81dfffff,0xffffffff,
    0x4fffffff,0x3fffffee,0xffffffff,0x1ffffb03,0x3ff60000,0x7ff4406f,
    0x40004fff,0x000ffff9,0xffd5ffff,0xffa8003f,0xf81fffaf,0x06ffddff,
    0x3e200000,0xfb80ffff,0x3e204fff,0x00001fff,0x01bfffe2,0x80fffd80,
    0xf904fff9,0x3ffe23ff,0x3ff2000f,0xfffb004f,0xbfff9009,0x77fffe40,
    0x00000000,0x00dfff50,0xbdfffc80,0xdfff9511,0x5ffd0003,0x1dfe8000,
    0x910bbe60,0x7fdc40bf,0x027f4403,0xd88bfea0,0xcceefffe,0x33333201,
    0xcccccccc,0x333262cc,0xcccccccc,0xff301ccc,0x00007fff,0x205ffff7,
    0xfffffff9,0xe8800134,0x32006fff,0x6fffefff,0xefff9800,0xfffb07ff,
    0x0000bffd,0x7fffec00,0x3ffffa02,0x3ffff102,0x7ff40000,0x360000ff,
    0xff980fff,0x3fff904f,0x003fffe2,0x004fffc8,0x9009fffb,0xfd80bfff,
    0x00005fff,0xfff50000,0xff50000d,0xffffffff,0x3e00019f,0x4c0002ff,
    0x09803001,0x71003880,0x000aa000,0x00000000,0x3ff20000,0x99abefff,
    0x1fdca999,0x67ffffc4,0xffffda9a,0xff94fffc,0x3333557b,0x3fffff95,
    0x7fffc400,0x88003fff,0x04ffffff,0x9ffffff5,0xffffff70,0xffffffff,
    0xffff90ff,0xffff8809,0xffff881f,0xff900001,0x99999dff,0x99999999,
    0x203fff67,0xf904fff9,0x3ffe23ff,0x3ff2000f,0x9999974f,0x9dfffd99,
    0x32799999,0x74405fff,0xfb85ffff,0xffffffff,0x07ffffff,0x037ffd40,
    0xffec8800,0x002dffff,0x0004ccc0,0x00000000,0x00000000,0x00000000,
    0x44000000,0xfffffffc,0xffffffff,0xffffb81f,0xffffffff,0xf94fff99,
    0xffffffff,0x9fffffff,0xffffb000,0x3e0001ff,0x202fffff,0x83ffffff,
    0xfffffffb,0xffffffff,0x77fffd47,0xffffb800,0x7fffc40e,0xfff00001,
    0xffffffff,0xffffffff,0x203fff6b,0xf904fff9,0x3ffe23ff,0x3ff2000f,
    0xfffffb4f,0xffffffff,0x32dfffff,0xf8805fff,0x7dc4ffff,0xffffffff,
    0x07ffffff,0x037ffd40,0x0aa98000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xa8000000,0xfffffffe,0x1fffffff,0xffffffb0,0x3e63dfff,
    0xffff94ff,0xffffffff,0x20005fff,0x05fffffa,0x3ffffa00,0x7fffe407,
    0xffffb82f,0xffffffff,0x3fe27fff,0x36001fff,0x7c45ffff,0x00001fff,
    0xffffffff,0xffffffff,0x3ff6bfff,0x4fff980f,0x223fff90,0x2000ffff,
    0xffb4fffc,0xffffffff,0xffffffff,0x017fff2d,0x27ffffcc,0xfffffff7,
    0xffffffff,0xfffa800f,0x00000006,0x00000000,0x00000000,0x00000000,
    0x00000000,0x5c000000,0xfffffffd,0x200bdeff,0xeffffffa,0xaa7ffcc3,
    0xffffffed,0x002dffff,0x2fffff80,0x3fff6000,0x7ffcc04f,0x999881ff,
    0x99999999,0x3fa19999,0x44004fff,0x224fffff,0x0001ffff,0xfffffff0,
    0xffffffff,0x3f6bffff,0xfff980ff,0x23fff904,0x000ffff8,0x7ed3fff2,
    0xffffffff,0xffffffff,0x0bfff96f,0x7ffffd40,0x33333313,0x33333333,
    0xcc980033,0x0000003c,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x04cd554c,0x0d54c400,0x2aa66000,0x00001aaa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x54400000,0x000abddb,
    0x027ffd40,0x55555530,0x55555555,0x41555555,0x99999999,0x99999999,
    0x55309999,0xaaa88355,0x098800aa,0x00001980,0x15555544,0x0000d4c0,
    0xaaaaa880,0x26620001,0x99999999,0x2aaaa219,0xaaaaaaaa,0x2eeeee2a,
    0xbbbbbbbb,0xbbbbbbbb,0x01bbbbbb,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xff900000,0x09ffffff,
    0x7ffff400,0xffffb001,0xffffffff,0xffffffff,0x3ffffe23,0xffffffff,
    0x5fffffff,0x889ffff9,0x400fffff,0x3602fffa,0x100005ff,0x01dffffd,
    0x3fffff62,0x5c00000c,0x002fffff,0xffffff90,0x21ffffff,0xfffffffb,
    0x27ffffff,0xffffffff,0xffffffff,0xffffffff,0x00003fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ffff4c0,0x0effffff,0x7fffdc00,0xfffb005f,0xffffffff,0xffffffff,
    0x3fffe23f,0xffffffff,0xffffffff,0x89ffff95,0x00fffff8,0xb83ffffc,
    0x0003ffff,0x27ffff44,0xfffffd10,0xff003fff,0xffe980df,0xfc8002ff,
    0xffffffff,0xfff70fff,0xffffffff,0x7fffcfff,0xffffffff,0xffffffff,
    0x3fffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3a200000,0xeccdffff,0x2005ffff,0xfffefff8,
    0xffffd802,0xffffffff,0xffffffff,0xffffff11,0xffffffff,0x2bffffff,
    0xf83ffffb,0x7c407fff,0xfd81ffff,0x20005fff,0x02ffffe8,0x7ffffff4,
    0x2202ffff,0xd8805fff,0x4002ffff,0xfffffffc,0xf70fffff,0xffffffff,
    0x7fcfffff,0xffffffff,0xffffffff,0xffffffff,0x0000003f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0xa80dfffc,0x9002ffff,0xfffd1dff,0x99998801,0x99999999,0x19999999,
    0x33333322,0xcccccccc,0x75fffdcc,0xff07ffff,0xfff00fff,0x3ffee0ff,
    0xfd10003f,0xfa801dff,0xffdbefff,0xff302fff,0x7fdc009f,0x000002ff,
    0x99999950,0x99999999,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xff880000,0x7ffdc06f,
    0x2fff9806,0x0009fff5,0x00000000,0xf55fffb8,0xffd05fff,0xfff300df,
    0x027fec03,0x4fffe880,0x87fffd00,0x83fffffa,0x4003fffc,0x002fffe9,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fea0000,0x7fff803f,0x6c5ffd80,
    0x00001fff,0x20000000,0xff55fffb,0xfffd05ff,0x8800400d,0x2aa60000,
    0xfff1001a,0x3fffe60d,0xfffcabdf,0x55510007,0x00000005,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0xd801fffc,0x3ea00fff,0x7ffcc1ff,0x00000005,
    0x3fee0000,0x3ffff35f,0x00bfffb0,0x00000000,0x27ffcc00,0xffffff30,
    0x007fffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x003fffb0,
    0x7403fffb,0xfff905ff,0x00000005,0x3fee0000,0x3ffff35f,0x00bfffb0,
    0x00000000,0x27ffcc00,0x3ffffa20,0x0005ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xd003fff9,0x7fdc0fff,0xffff100f,0xddddd901,
    0xdddddddd,0x3ddddddd,0x7fdc0000,0x1ffff15f,0x009fff90,0x00000000,
    0x04ccc400,0xfffffb80,0x0000004f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ee00000,0x7fc403ff,0x9fff106f,0x84fffb80,0xfffffffd,0xffffffff,
    0x001fffff,0x57ffee00,0xc80ffff8,0x00004fff,0x00000000,0x77510000,
    0x00000013,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfa800000,0x3f200fff,
    0xfff904ff,0x3fffd001,0xffffffd8,0xffffffff,0x01ffffff,0x3bbaa000,
    0x641fffe4,0x00003fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0f7fff40,0x407fffe4,0x5003fff9,0xeec8dfff,
    0xeeeeeeee,0xeeeeeeee,0x000001ee,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fffe600,0xffffeeff,
    0x1fffb02f,0x17ffec00,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ea00000,0xffffffff,
    0xfff502ff,0xfff98007,0x0000000f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0xffffffd8,
    0x332e00df,0x99970004,0x00000003,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x009aca98,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_50_latin_ext_x[560]={ 0,10,6,1,2,0,1,10,7,6,4,2,5,6,
9,2,2,3,3,4,1,4,3,2,2,2,10,6,3,3,5,7,0,0,3,2,2,4,5,1,2,4,4,3,
5,1,2,1,3,1,4,2,2,2,0,1,0,0,2,8,3,7,2,0,0,3,3,3,2,2,0,2,3,4,
3,4,4,2,3,2,3,2,4,4,1,3,1,0,1,1,4,3,11,5,1,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,10,3,2,2,1,
11,3,0,0,5,3,2,6,2,0,5,2,6,6,0,3,2,9,10,5,5,3,0,0,0,4,0,0,0,0,
0,0,-2,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,1,0,0,0,0,0,3,3,0,0,
0,0,0,0,0,3,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,2,2,0,0,0,0,0,3,0,
0,0,0,0,0,3,1,1,1,1,1,1,1,1,-1,-1,0,2,0,0,0,0,0,0,4,2,0,0,1,0,
1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,4,4,0,4,2,2,0,0,3,4,4,0,1,5,
4,-6,-4,4,2,1,4,0,0,2,3,0,0,0,2,3,0,0,0,0,0,0,0,0,-1,0,4,4,-1,0,
0,0,0,0,2,4,0,0,2,1,0,-5,2,1,0,0,0,0,0,0,0,0,0,0,2,3,0,0,0,0,
0,0,0,0,0,0,0,7,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,-2,0,-3,-2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,4,2,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__consolas_50_latin_ext_y[560]={ 37,2,2,5,0,2,3,2,0,0,2,11,29,21,
29,2,4,4,4,4,5,5,5,5,4,4,12,12,9,17,9,2,2,5,5,4,5,5,5,4,5,5,5,5,
5,5,5,4,5,4,5,4,5,5,5,5,5,5,5,1,2,1,5,43,2,12,2,12,2,12,2,12,2,2,
2,2,2,12,12,12,12,12,12,12,4,12,12,12,12,12,12,1,-3,1,18,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,37,12,0,4,6,5,
-3,2,2,4,4,13,21,21,2,3,2,7,2,2,2,12,2,19,37,2,4,13,2,2,2,12,-4,-4,-4,-4,
-4,-6,5,4,-4,-4,-4,-4,-4,-4,-4,-4,5,-4,-4,-4,-4,-4,-4,13,-1,-4,-4,-4,-4,-4,5,2,2,2,
2,2,2,0,12,12,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,10,7,2,2,2,2,2,2,2,
-3,3,-4,2,5,12,-4,2,-4,2,-4,2,-4,2,-4,1,5,2,-3,3,-4,2,-4,2,5,12,-4,2,-4,2,
-4,2,-4,2,4,1,-4,-5,5,2,-4,2,-3,3,-4,2,5,2,-4,12,5,2,-4,2,5,2,12,-4,-5,5,
2,1,1,5,2,5,2,-4,2,5,12,-4,2,-2,5,12,-3,3,-4,2,-4,2,4,12,-4,2,5,12,-4,2,
-4,2,-4,2,4,12,-4,2,5,4,-4,1,5,4,-4,2,-3,3,-4,2,-6,0,-4,2,5,12,-4,2,-4,2,
-4,-4,2,-4,2,-4,2,2,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,2,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,-11,-6,-4,2,-4,2,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,4,12,5,4,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static unsigned short stb__consolas_50_latin_ext_w[560]={ 0,7,16,26,23,28,27,7,15,15,20,24,13,16,
9,22,24,22,22,20,26,20,22,23,23,23,8,12,20,22,20,16,28,28,22,23,24,20,18,24,23,20,18,23,
20,26,23,26,22,27,22,23,24,23,28,26,27,28,23,13,22,13,23,28,17,21,22,20,22,23,26,24,21,20,
19,22,20,24,21,24,22,22,22,20,23,21,25,27,26,25,20,19,5,19,25,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,0,8,20,23,24,26,
5,22,22,28,17,21,22,16,23,21,18,23,16,16,24,24,23,9,7,17,18,21,28,28,28,17,28,28,28,28,
28,28,29,23,24,24,24,24,24,24,24,24,26,25,27,27,27,27,27,21,26,25,25,25,25,28,22,22,24,24,
24,24,24,24,27,20,25,25,25,25,24,24,24,24,23,24,26,26,26,26,26,24,24,24,24,24,24,26,22,26,
28,24,28,24,28,22,24,24,24,22,24,22,24,22,27,31,26,26,24,25,24,25,24,25,21,23,24,25,24,26,
24,26,24,26,24,26,25,24,27,24,24,24,24,24,24,24,21,22,24,20,23,23,22,22,23,22,22,25,23,20,
20,31,31,24,29,24,20,25,24,23,21,25,24,25,23,21,27,26,27,26,28,27,27,27,27,26,22,22,27,26,
25,24,25,24,23,20,25,24,24,23,26,31,24,23,25,24,25,24,25,24,25,24,28,27,23,22,27,27,28,26,
28,25,24,25,24,25,24,19,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,25,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,28,24,29,27,30,28,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,23,20,24,23,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24, };
static unsigned short stb__consolas_50_latin_ext_h[560]={ 0,36,12,32,43,36,35,12,48,48,22,25,17,5,
9,41,34,33,33,34,32,33,33,32,34,33,26,34,29,13,29,36,46,32,32,34,32,32,32,34,32,32,33,32,
32,32,32,34,32,42,32,34,32,33,32,32,32,32,32,47,41,47,16,5,11,26,36,26,36,26,35,36,35,35,
46,35,35,25,25,26,36,36,25,26,34,26,25,25,25,36,25,47,51,47,11,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,0,36,44,33,30,32,
51,41,11,34,25,21,12,5,23,10,17,30,20,20,11,36,41,9,8,20,25,21,35,35,35,36,41,41,41,41,
41,43,32,41,41,41,41,41,41,41,41,41,32,41,42,42,42,42,42,21,44,42,42,42,42,41,32,36,36,36,
36,36,36,38,26,33,36,36,36,36,35,35,35,35,36,35,36,36,36,36,36,27,36,36,36,36,36,46,46,46,
40,35,41,36,42,35,42,36,42,36,42,36,42,36,41,37,32,36,40,35,41,36,41,36,42,35,41,36,42,46,
42,46,42,46,44,47,41,42,32,35,41,35,40,34,41,35,42,45,41,25,33,46,42,46,43,46,25,41,42,43,
46,36,36,32,35,32,35,41,35,43,36,41,35,39,43,36,41,35,42,36,42,36,34,26,41,35,43,36,41,35,
42,36,42,36,41,33,42,36,43,44,41,37,32,34,42,36,41,35,42,36,44,38,42,36,42,35,41,35,41,46,
41,41,35,41,35,41,35,35,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,41,32,32,32,
32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32,32,32,32,32,48,44,41,36,47,41,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32,32,32,32,32,44,36,43,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32, };
static unsigned short stb__consolas_50_latin_ext_s[560]={ 504,504,90,444,294,27,273,504,58,42,370,
321,496,221,496,107,47,313,290,1,48,221,381,375,413,425,499,400,332,44,311,
493,385,259,288,72,234,213,311,22,330,354,493,399,423,235,1,437,25,411,212,
96,471,242,183,156,128,99,75,159,79,105,20,238,181,455,310,434,273,1,345,
316,298,229,414,123,183,211,236,477,467,489,167,47,172,25,68,94,140,324,190,
119,1,139,155,52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,
52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,504,497,196,
336,262,186,7,324,107,464,122,391,67,221,346,199,1,287,474,457,130,131,237,
502,504,491,302,413,30,1,475,181,385,356,286,295,130,265,129,340,315,54,130,
426,468,306,281,331,159,255,100,372,261,315,128,435,45,178,51,428,289,389,1,
392,156,291,106,81,56,102,406,404,1,463,437,411,48,353,405,430,286,146,234,
207,180,153,126,353,101,76,51,26,1,331,200,250,479,59,372,341,343,135,454,
239,26,191,439,222,479,199,451,159,102,264,26,109,401,366,347,415,490,219,241,
441,236,277,211,223,204,304,123,173,471,1,24,84,364,23,1,196,261,98,156,
22,155,258,266,480,77,434,318,457,279,185,187,366,1,420,452,474,243,449,198,
229,73,387,1,442,158,51,342,398,209,171,400,484,158,296,120,378,414,326,242,
350,79,378,77,386,25,361,447,360,103,261,217,172,1,127,77,148,51,373,28,
250,464,214,72,77,129,245,1,275,102,372,180,358,418,1,320,27,204,53,301,
455,52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,159,
52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,
52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,
52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,
52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,
52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,
52,52,52,13,98,211,333,74,266,52,52,52,52,52,52,52,52,52,52,52,
52,52,52,52,52,52,52,52,52,52,52,52,52,148,490,217,172,52,52,52,
52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,
52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,52,
52,52,52,52,52,52,52,52,52, };
static unsigned short stb__consolas_50_latin_ext_t[560]={ 47,1,586,493,53,348,385,100,1,1,559,
559,493,586,511,228,458,458,458,458,526,458,458,493,422,458,458,422,526,586,526,
143,1,493,493,458,493,493,493,458,493,493,422,493,493,526,526,422,526,53,526,
458,493,458,526,526,526,526,526,1,186,1,586,586,586,526,310,526,348,559,422,
270,422,422,1,385,422,559,559,526,270,310,559,559,458,559,559,559,559,348,559,
1,1,1,586,493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,
493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,47,186,53,
458,526,493,1,228,586,422,559,559,586,586,559,586,586,526,559,559,586,348,186,
526,38,559,559,559,422,422,385,348,143,143,186,228,228,53,493,186,186,186,186,
228,143,143,143,143,493,143,143,100,100,100,143,559,53,143,143,100,100,186,493,
270,348,270,348,348,348,270,526,458,348,310,310,310,385,385,385,385,310,385,310,
310,310,310,310,526,310,310,310,311,311,1,1,1,228,422,228,270,100,422,100,
270,143,270,53,348,100,348,228,270,493,270,270,422,228,270,228,270,53,385,228,
270,100,1,100,1,143,1,53,1,186,143,493,422,186,385,270,458,186,385,143,
53,186,559,458,1,143,1,53,1,559,228,100,53,53,348,348,458,385,458,385,
143,385,53,385,143,422,270,53,348,186,385,100,348,100,348,458,526,143,385,53,
348,228,385,100,310,100,310,186,458,100,310,53,53,186,270,493,458,100,348,186,
422,53,270,53,270,100,348,100,422,186,422,186,1,186,228,422,228,422,228,385,
385,493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,228,
493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,
493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,
493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,
493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,
493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,
493,493,493,1,53,228,310,1,228,493,493,493,493,493,493,493,493,493,493,493,
493,493,493,493,493,493,493,493,493,493,493,493,493,53,270,53,53,493,493,493,
493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,
493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,493,
493,493,493,493,493,493,493,493,493, };
static unsigned short stb__consolas_50_latin_ext_a[560]={ 440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_50_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_50_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_50_latin_ext(stb_fontchar font[STB_FONT_consolas_50_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_50_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_50_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_50_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_50_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_50_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_50_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_50_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_50_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_50_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_50_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_50_latin_ext_s[i] + stb__consolas_50_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_50_latin_ext_t[i] + stb__consolas_50_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_50_latin_ext_x[i];
            font[i].y0 = stb__consolas_50_latin_ext_y[i];
            font[i].x1 = stb__consolas_50_latin_ext_x[i] + stb__consolas_50_latin_ext_w[i];
            font[i].y1 = stb__consolas_50_latin_ext_y[i] + stb__consolas_50_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_50_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_50_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_50_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_50_latin_ext_s[i] + stb__consolas_50_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_50_latin_ext_t[i] + stb__consolas_50_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_50_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_50_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_50_latin_ext_x[i] + stb__consolas_50_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_50_latin_ext_y[i] + stb__consolas_50_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_50_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_50_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_50_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_50_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_50_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_50_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_50_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_50_latin_ext_LINE_SPACING
#endif

