// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_27_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_27_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_27_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_bold_27_latin_ext_BITMAP_HEIGHT        208
#define STB_FONT_consolas_bold_27_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_bold_27_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_bold_27_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_bold_27_latin_ext_LINE_SPACING          18

static unsigned int stb__consolas_bold_27_latin_ext_pixels[]={
    0x03cc8f32,0x00000004,0x00000c40,0x00199980,0x000bbbae,0x98801300,
    0x80099999,0x002602a9,0x0800cc00,0x8ccccccc,0x00004cc8,0x40333322,
    0x077624ea,0x801e6440,0x033224c9,0x3333332a,0x6f6dc001,0x7991000b,
    0x0332e000,0x00006664,0x7ed40000,0x2f4c001d,0x06604c40,0x26aeea60,
    0x01ba2000,0x33100351,0x20266201,0x000cc098,0xa8000000,0xff9bfe2c,
    0x003bf606,0x027ffdc0,0x7447fe20,0x05fe885f,0x00bfff60,0x800f7fdc,
    0x3e605fe8,0x3ffee00e,0xff802fff,0x3dfff104,0x7ffe9800,0xff1ffc80,
    0x3e2fffff,0xd100007f,0x7fc03dff,0x00dff72f,0x2017fff6,0x7fd9cff8,
    0xffffff90,0x3ffa6007,0xd800efff,0x64005fff,0xff80efff,0x7d40000f,
    0xdffe8aff,0xffbff300,0x037dc001,0xffa87fd4,0xffffd300,0x2a001fff,
    0x3ffee07f,0x7f44c8ae,0x0bff702f,0x3fea1ff5,0x1ff50000,0x07fff200,
    0x7fc7ffea,0x7d41bfe6,0xfb8004ff,0x7c4002ff,0x5fff74ff,0x802fffb8,
    0x9000effd,0xfb8009ff,0xdffb02ff,0x3fffee01,0x7fd402ff,0xfffff102,
    0x3ffee003,0x7ffcc07f,0xfffffff6,0x0001ffe2,0x0037ffa2,0x3fee5fff,
    0xfbffd806,0xfffc804f,0xddd703ff,0xf3007fff,0xfffb79ff,0x7dffec01,
    0x7ff7004f,0xfff81dfd,0x3fea0000,0x02fff98e,0x02fc97dc,0x22017f60,
    0x05fffffe,0xfffffff5,0x3ee001ff,0xfffff306,0x7f41ffff,0x0bff702f,
    0xbfffffd1,0x037ec000,0x1ffeffd8,0xff97ffe4,0x7d41bfe6,0x7d4004ff,
    0x01ff50ef,0x3ee6ffe8,0x7ffdc2ff,0x02775c02,0x00059710,0x2205fff7,
    0x9880efff,0x402ffc99,0x2a600ffd,0xf8806ffd,0x4401adff,0x3fff5fff,
    0x1ffe2333,0x0fbb2000,0x3721ecc0,0x98ef5c01,0xfeb802ee,0x3ffa002e,
    0x0fff4403,0x75c0ffea,0x805dd31d,0x9db12ee9,0x0000fff8,0x3fe69ff3,
    0x9dfa800e,0x3b2201fe,0x01efffff,0x037fffa6,0x2afbffe2,0x9000dba9,
    0xe99ec0bf,0x7ff42fff,0x20bff702,0x00dfffe9,0x3feaea20,0xb1efd803,
    0x7ffcc3ff,0x37fcdff0,0x0001dfb0,0xf901bf60,0x27ec41ff,0x4c027ec4,
    0x3fe6001a,0x6c000eff,0x7ffcc04f,0x02ffc804,0xfd002664,0x5ffa801f,
    0xf8f7dc00,0x0fff107f,0x00000000,0x00000000,0x00fffa00,0x3f203ff9,
    0x00000006,0x0001fff0,0xffb00000,0x7ffd409f,0x01ffffff,0x7fd40188,
    0x2620000f,0x22000cfe,0x205ffd00,0x0c405ffb,0x3fff6200,0x00002fff,
    0x9bfe0a88,0x000006ff,0x1ffd5d44,0x005fff50,0x7ffec000,0x325fb004,
    0x2000002f,0x6401fffb,0x800002ff,0x7dc01ffc,0xff80003f,0x22fff107,
    0xaa982cca,0x98d55402,0x555402aa,0x59995101,0x2a205555,0x2aaaaccc,
    0x880fffa0,0x3fea04ff,0xa8055531,0x555541aa,0x7c1aaaaa,0x555440ff,
    0x8804cc41,0x09988099,0x42662153,0xffdffff8,0x4cc41fdd,0x2e133100,
    0x98000fff,0x0ffffffe,0x4c402662,0x205ffd09,0x2a205ffb,0xff9800ab,
    0x0effffff,0x26aaa600,0x3e6ff800,0x2aaaa66f,0x6c4000aa,0x02ffffff,
    0x2a213ffa,0x02aa882a,0x0bfab7ee,0x3fa73f20,0x99951002,0xfb055555,
    0x2ffc80df,0x55999510,0x3fee0555,0x817fdc02,0xaaaaaaaa,0x220fff1a,
    0xfffe8fff,0x3ffea0df,0x23fff301,0xf301fffa,0xfff703ff,0x0fffffff,
    0xfffffff7,0x7ff40fff,0x443fee03,0x2ff9b9aa,0x2603fff5,0x7ffc1fff,
    0x44ffffff,0x7ff40fff,0x817ff40f,0xffe85ffb,0x32bff702,0x01ff37ff,
    0xfb817ff4,0x1bfff55f,0x7fffe400,0x3fa0ffff,0x2bff702f,0xff702ffe,
    0xffffb10b,0x7ff403df,0x5ffffbbe,0x7fffe440,0x9bfe1fff,0xc9bfe6ff,
    0x03ffffff,0x3ffffe60,0xf980efff,0x0fff107f,0x7ec0fff1,0xd1007f71,
    0x2e009fff,0xffffffff,0x1fff887f,0x2e0bff20,0xffffffff,0x05ff707f,
    0xff02ffb8,0x9fffffff,0x7fc41ffe,0xffffffff,0xc827ffc5,0x27ffc6ff,
    0xfa86ffc8,0xffffddff,0x6fffd47f,0x07fffffd,0xfe80fffa,0x3fffff76,
    0x27ffc7ff,0xff86ffc8,0x4fffffff,0xffb07ffc,0x05ffd03f,0x3fa17fee,
    0x2bff702f,0x0ff55ffd,0xf702ffe8,0x3fffe2bf,0x7fd401df,0x0ecffcff,
    0x7dc0bffa,0x205ffd5f,0x7fcc5ffb,0x2fffffff,0xf50effb8,0x2607ffff,
    0xfffffffe,0xff9bfe1f,0xffc9bfe6,0x2003ffff,0xffbbeffe,0x5ffc85ff,
    0xf10fff10,0x56fdc0ff,0x551002fe,0xfff50015,0xffffffbb,0xc813ffa0,
    0x7ffd42ff,0x7fffffdd,0xb807ff70,0xffff02ff,0x3e9fffff,0xffff107f,
    0x3fff915d,0xfe83ffe4,0x83ffe43f,0xffe83ffe,0x203ffe22,0x3fe22ffe,
    0x1fff400f,0xff9bff88,0x4ff8ffff,0x7f41fff2,0x9999983f,0x7fc4ffd9,
    0x05fff70f,0x7dc0bffa,0x02ffe85f,0x3ff2bff7,0x7406fbbf,0xbff702ff,
    0x7fffffd4,0x1bffd03e,0x3ffa0ff3,0x3abff702,0xbff702ff,0xcbcfffe8,
    0xffe87fff,0x3ff3ff23,0xdffff885,0x3e1fdcac,0xff9bfe6f,0x3fa66626,
    0xdff7003f,0x3ffffea1,0x881fffc3,0x7ff887ff,0x17fffa20,0x37fffc40,
    0xf117ff40,0x7fe401ff,0xd0bff206,0x7ffc45ff,0x017fe600,0x26603ff9,
    0x4ffd9999,0x3fe20fff,0x27ffc0ef,0xf985fff1,0x7ffc40ff,0x407ffcc2,
    0x3ffc87ff,0xffc87ff8,0x81fff403,0x9ffc9ffa,0x44bfd7fc,0x7fcc2fff,
    0x3ff2000f,0x7d47ffc4,0x3ffa02ff,0xd0bff702,0x3fee05ff,0xffffff35,
    0x02ffe80b,0xfe98bff7,0x20dfffff,0xdf52fff8,0x5c0bffa0,0x05ffd5ff,
    0xffb97fee,0x1fffcc1f,0x7fc1fff1,0xfc86ff9c,0x7c1102ff,0xff9bfe7f,
    0x00fffa06,0xff91fff4,0x7fc4bff9,0x0fff101f,0x7500fff1,0x7ffd4005,
    0x3ffc01ff,0xf501ffe4,0x17fe40ff,0x3ff21ffe,0x80fffc03,0x4000fff9,
    0x0fff4ffc,0x3203ffe2,0x2ffec5ff,0x7ec13ff2,0x827fe45f,0x3ffb87ff,
    0xffb87ff8,0x81fff403,0xb5ff8ffc,0xfb13faff,0x04ffc8bf,0x3e27fe40,
    0x03fffaff,0xfb817ff4,0x02ffe85f,0x7fe4bff7,0xd02effff,0x3fee05ff,
    0xffff9305,0x87ffd4bf,0x5ffd05fb,0x7f57fee0,0x4bff702f,0xffb03fff,
    0xf33ffccd,0x98fff15f,0xf1003fff,0xff1554ff,0x01fff40d,0xff07ffc4,
    0x7ccdff39,0x1ffe207f,0x5441ffe2,0x800acccb,0x03fffffc,0x7fdc3ffc,
    0x03ffe203,0x3fe17fe4,0x403ffb87,0xdb5ffffb,0x90007fff,0x41ffe9ff,
    0xff707ff8,0x20fffa8d,0xff501fff,0x80fffc1f,0x3fa23ffe,0x23ffe81f,
    0x7401ffe8,0x1df903ff,0x75bfa9ff,0x07ffd44f,0xc8003fff,0x7fffc4ff,
    0xffe805ff,0xd0bff702,0x3fee05ff,0x7ffff545,0x7ff40eff,0x80bff702,
    0x70ffffb8,0x827e4fff,0xff702ffe,0x5c0bffab,0x3fff15ff,0xfa9ffea0,
    0xff9ff26f,0x03ffee1f,0x203ffc40,0x3ffa06ff,0x27ff9803,0x7ff8aff9,
    0xf881bfea,0x87ff887f,0xfffffffb,0x67ffc03f,0x7ff405ff,0x007ffa23,
    0x3f203fff,0x11fff42f,0xf5003ffd,0x3fffedff,0x9ff90001,0x7fc41ffe,
    0xf0dff707,0x1bfea5ff,0x3ea5fff0,0x3ffea06f,0x505fffde,0xfffbdfff,
    0x07ffd00b,0x4ffe7bf6,0xf07ff5fe,0x1bfea5ff,0xf13ff200,0x01fffdff,
    0xf702ffe8,0x05ffd0bf,0x7d417fee,0x746fffff,0xbff702ff,0x4bffee00,
    0x7fd0fffa,0x5c0bffa0,0x07ffd5ff,0x7fccfff2,0x43ffe607,0x97fa6ffb,
    0x3ff21fff,0x1ffe2006,0x7f40dff0,0x6ffa803f,0x1fff9ff2,0x7c40dff5,
    0x87ff887f,0xffeefffb,0xdff302ff,0x5401fff3,0xfffdefff,0x01ffe805,
    0xffa85ff9,0x05fffdef,0x93dfffd8,0x0007fffd,0x1ffe9ff9,0xfc83ffc4,
    0xb5ffc84f,0xffc807ff,0x5c07ffb5,0xcfffffff,0xfffff700,0xfd0019ff,
    0x277fa07f,0xf19ff2ff,0x2bff907f,0xc8003ffd,0x4fffc4ff,0x7f406ffe,
    0x0bff702f,0x3ee05ffd,0xd5ff305f,0x7ff45fff,0x00bff702,0x7cc7ffe2,
    0x205ff3ff,0xff702ffe,0x6c13ff6b,0x0fff51ff,0xfa8fffc4,0x7c5ff36f,
    0x17ff60ff,0x407ff980,0x3ffa06ff,0x26ffb803,0x47ffe5fe,0xf100fff9,
    0x0fff10ff,0xbffb0175,0x7fd3fee0,0x3ffee02f,0x400cffff,0xf900fff8,
    0xffffb85f,0x4c00cfff,0xff300eff,0x9ff9000d,0x7fc41ffe,0x107ffd07,
    0x1fff3fff,0xf9fff880,0xbff100ff,0x44015773,0x0abb9dff,0x40fffa00,
    0x8aff9dfe,0x81ff9cff,0xfff9fff8,0x4ffc8000,0x7fcc7ffc,0x0bffa05f,
    0x7f42ffdc,0x0bff702f,0x7ffc5bea,0x5c0bffa3,0x640355ff,0x3ffa0fff,
    0x0b89ffbf,0x7dc0bffa,0x81fff75f,0x3fee7ff8,0x4bffe207,0x1ff77ff9,
    0xffd1ffe2,0x7ffcc009,0xe81bfe00,0xffa803ff,0x7fc5ff36,0x05fff10f,
    0x3e21ffe2,0x7fcc007f,0x363ffd07,0xbff104ff,0x20015773,0x3f207ffa,
    0x277fe22f,0xf5000abb,0x0ffe807f,0xfa7fe400,0x0fff107f,0x3603fff7,
    0x005ffeff,0x0bffdffb,0x20027fd4,0x40004ffa,0xdfb03ffe,0x9ff97ff1,
    0x7fec0ff9,0x90005ffe,0x0fff89ff,0x3a07fff7,0xbff702ff,0x2e05ffd0,
    0x4bf705ff,0x3ffa2fff,0x36bff702,0xfecccdff,0x7ffd45ff,0x20ffffff,
    0xff702ffe,0x2fbffe2b,0x2a5fffba,0x3fe207ff,0x3a3ffe1f,0xd1bfea5f,
    0x7cc00bff,0x7cbdd0ff,0x0fffa06f,0x7ddffe60,0xf8fff10f,0xfff104ff,
    0x200fff10,0x887ffa99,0x1ffee7ff,0x00027fd4,0x7e40dff9,0x013fea2f,
    0x402ffb80,0x64002ffc,0x20fff4ff,0xdaabfff8,0x3ea03fff,0x5002ffff,
    0x405fffff,0xcccdfff9,0xfff980ab,0x80abcccd,0xdfffcccc,0x2df91ccc,
    0xffffffff,0x3ffea03f,0xf90002ff,0x20fff89f,0xfe82fffd,0x0bff702f,
    0x3ee05ffd,0x3f61575f,0x743fff94,0xbff702ff,0x3ffffff6,0xff506fff,
    0x41ffffff,0xff702ffe,0x7ffffdcb,0x3e60efff,0xfff300ff,0x3ffcffe8,
    0xff913ff2,0x7ffcc00d,0x37fcdff0,0xbfff9999,0x3fe03999,0x3ea5fe8f,
    0x82ffe46f,0xff887ff8,0xffff9107,0xff50ffff,0x40fffc4b,0xcccdfff9,
    0x7ff400ab,0x98bff203,0xbcccdfff,0x17fdc00a,0x000bfee0,0x1ffe9ff9,
    0x7fffffc4,0xff805fff,0x7fc006ff,0xffc806ff,0x3fffffff,0xffffffc8,
    0x3fe23fff,0xffffffff,0x3eaff92f,0x05fff9ef,0x006ffff8,0xff13ff20,
    0x7fff441f,0xc81fff40,0x3ffe84ff,0x3fa9ff90,0xfffeffff,0x81fff44f,
    0xffd74ffc,0x805dffff,0x2ceffea8,0xfc81fff4,0x7fff544f,0x7fc40cff,
    0x8dff501f,0x50fffffc,0xffb81fff,0xfff5000f,0x6ff9bfe3,0xfffffff1,
    0x3a05ffff,0x323ffcff,0x7ffcc4ff,0x887ff880,0xfffa87ff,0x87ffffff,
    0x7ff43ffd,0xfffff903,0x2207ffff,0x3f200fff,0x7fffe42f,0x203fffff,
    0x7dc02ffb,0x7fe4002f,0x3e20fff4,0x2effffff,0x05fff900,0x02fffc80,
    0xfeeeffc8,0x7e43ffff,0xffffeeef,0xfffff13f,0x25ffffff,0x44531ffb,
    0xfff9000a,0x7fe40005,0x2607ffc4,0x3f60efff,0x05ffb04f,0x3f609ffb,
    0xfffffd2f,0xfb09ffff,0x0bff609f,0x00033331,0x7fec0bf9,0x405ffb04,
    0x3fe01ffe,0x0bffb04f,0xfb9ffffd,0xfff509ff,0x3ffea009,0xb7fcdff1,
    0xfffffff8,0xf902ffff,0x3ea1ffff,0x5ffe80ff,0xf887ff88,0x6fffc47f,
    0xf0fff309,0x6ffc81ff,0xfdddff90,0xfb07ffff,0x2ffc80bf,0x7f777fe4,
    0xf703ffff,0x2ffb805f,0xfa7fe400,0x1fff107f,0xff900013,0xdff9000d,
    0x10bff700,0x7fdcbffb,0x05ffd885,0x027fc400,0x06ffc800,0x01fff400,
    0x1fff7000,0xb81fff88,0x7fc40fff,0xffdb951f,0x3ee019bd,0x7ffc40ff,
    0x000aaa01,0x7fdc09fb,0x0fffc40f,0x5c02ffa8,0x7fdc2fff,0xffff881f,
    0xb00dffff,0x15109fff,0x6ff86662,0x74401bfe,0x7fff406f,0x04fffdcf,
    0x8007fff3,0x7fd47ffa,0x4c7ff987,0xffffffff,0x7fdc0fff,0x45ffd885,
    0x6400fffb,0x17fee2ff,0x6417ff62,0x7fdc01ff,0x9fff4003,0xfff107ff,
    0x7ffcc000,0x7ffcc003,0x02ffe803,0x7ff4bff7,0x40bff702,0x3f600aa9,
    0x7cc0001f,0x220003ff,0x55402fff,0xefff8802,0x04fffbab,0x757dfff1,
    0x3e609fff,0xdfff1007,0x09fff757,0x2002ffc4,0x3fe202fe,0xfffbabef,
    0x003ff604,0xd9dffff1,0x7dc09fff,0x403effff,0xdefffff9,0x7fc01ffe,
    0x6401bfe6,0x7fc400ff,0x0dffffff,0x007fff20,0x7dc5ffb8,0x3fff447f,
    0x3ffffff2,0x742fffff,0xbff702ff,0x401fffcc,0x3ffa2ffc,0x20bff702,
    0x7cc00ffe,0x3fe2005f,0x220fff2f,0x262007ff,0x805fffb9,0x5fffb998,
    0x10bffd00,0x7ff47ffd,0x03ffe885,0xfa807ff2,0x4164c1ef,0x5fffb998,
    0x71159500,0x4401fffd,0xff7005ff,0x1dffffff,0x7ffffdc0,0xf700efff,
    0x7ffdc00d,0x00efffff,0xf000bfea,0xfffb803f,0x00efffff,0x803bbff6,
    0xfffffff9,0x3bf600df,0x3ea00099,0xffffffff,0xff37fc01,0x01bfe00d,
    0x77ffffdc,0xfffe8803,0x3faa1500,0x6fffd44f,0x47fffeba,0xccccdffe,
    0x7f45ffec,0x3ffe885f,0x220bfff1,0x22ffc999,0xfe885ffe,0x3ff6a63f,
    0xdfff8806,0x7115951a,0x3fe1fffd,0xff11999f,0x7ffcc00f,0xf9800eff,
    0x000effff,0xdddffff7,0xffb8dfff,0xfffeeeff,0x4037f406,0xffeffffc,
    0xffff983f,0xff7000ef,0x05ffffff,0x2002ffa8,0x4fffffe9,0xffffd300,
    0x05fc809f,0x7ffff4c0,0x0ffc804f,0x003fe200,0x3fffffa6,0xffff9804,
    0x7ffec400,0x7fc403ef,0x3b220003,0x00beffff,0x0dff37fc,0x013bffe0,
    0x00133dfb,0xf05ffe88,0x01ffffff,0xdffffffd,0x3ffc4ffd,0xfb8fff70,
    0xffeeefff,0x03bff66f,0x7fffffdc,0x3bfffee2,0x226fffee,0x001fffff,
    0x2efffff7,0xffffffff,0x3fffffe2,0x400fff17,0x004ffff9,0x013fffe6,
    0x3ffffee0,0xfb80bfff,0xbfffffff,0x8027fc00,0xdffffffb,0x4ffff981,
    0x7fffd400,0xfc802eff,0x1330000f,0x004cc000,0x20000988,0x2a600099,
    0x00198002,0x98000998,0x04c4001a,0x001ee980,0xf0006600,0x8037fcdf,
    0x2206fffb,0x440003ff,0xffff00ee,0x3f6203df,0x4ffb4fff,0x3e605ffb,
    0x7ffdc1ff,0x20bfffff,0x3ee00ef9,0x5c2fffff,0xffffffff,0x3bffe20b,
    0x7ff54001,0xffffff57,0xfffff85d,0x8006667f,0x4000abb8,0x0000abb8,
    0x00d5dd4c,0x01abba98,0x80015510,0x2200abb9,0x10000abb,0x40035755,
    0x000002a9,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x01bfe6ff,0x2600a988,0x880001ee,0x06b2a600,0x6c00cc40,0x7ffc02ff,
    0x35775304,0x262004c0,0x30099999,0x4c035775,0x43300001,0x301abaa8,
    0x00333333,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7c000000,0x001bfe6f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2a2aa800,0x0000002a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x266602a8,0x99999999,0x00000009,0x00000000,0x00000000,0x00000000,
    0x01981310,0x22000a60,0x9981aba9,0x18001999,0x35100188,0x4ccccc00,
    0x22099999,0x99999999,0x00000009,0x0c40c000,0x03330000,0x4c006666,
    0x31000002,0x004cc033,0x00998800,0x02666200,0x26019988,0x00000009,
    0x001a8800,0x6666664c,0x3ff2000c,0x3ffffe04,0x5fffffff,0x0027ffdc,
    0x7fe4ffee,0x7ffec002,0x22bff202,0x26001ffd,0x2e00dfff,0x64002fff,
    0xd8001fff,0x3ee02fff,0x200ff70e,0xd3006ffa,0x7fffffff,0x3fffffe6,
    0x7f400bef,0x7017fe26,0x9915dfff,0x3fffffe0,0x3f26ffff,0xffffffff,
    0x17ffdc05,0x2bffea00,0xe80dffe8,0x017fe26f,0xf30bffee,0x7fff50ff,
    0x00dff500,0xd817ffdc,0xff982fff,0x5fffb005,0x0006ffa8,0x40dffff1,
    0xf983fffd,0x27ffdc5f,0xc9ffdc00,0x3fee02ff,0x204c8aef,0xfffffffa,
    0x13ff2001,0xfffffff8,0x985fffff,0x5c004ffe,0x002fffff,0x40077fec,
    0x00effffc,0x00fffe60,0x05ffdff7,0x3ffbff60,0x3bff6001,0x7fffc400,
    0xffb004ff,0xfffc803f,0x34ffffff,0xffffffff,0x7ffcc0df,0x201fff51,
    0xfffffff9,0xffff80ff,0x26ffffff,0xfffffffc,0x3fee05ff,0xf5002ffe,
    0x5fff31df,0x547ffe60,0x3ee00fff,0x3e62ffef,0x37ff447f,0x01fffd80,
    0x2ffeffb8,0x986fffd8,0xffd805ff,0x06ffa80e,0xfffff500,0x1ffff603,
    0x3a617fe6,0xfb8004ff,0x2602ffff,0xffffffff,0xdddd500f,0x64003ddd,
    0x2aaa04ff,0xaabfffba,0x9ffb102a,0x1fffa800,0x027fec00,0x003bff20,
    0x401eff98,0x7ff72ffc,0xfb1efd80,0x9ffb003f,0x7fff5400,0x1bfee004,
    0x7bffff70,0x3e69fb95,0xfffdbaff,0x43bfa03f,0x9ec05ff8,0x502fffe9,
    0x57fff755,0x677fe455,0x903ccccc,0x0ffee5ff,0x3e69ff30,0x77f400ef,
    0x640bff10,0x27ff72ff,0x7fe47ff9,0xdff7000f,0x2e5ff900,0x7ffec3ff,
    0x02ffcc2f,0xfa813ff6,0xff90006f,0x3f607fff,0x7fcc3fff,0x09ffb105,
    0x03fff500,0x3ffa67b0,0x1000002f,0x5dffb555,0x3e605555,0x000000ff,
    0x00000000,0x00000000,0x00000000,0x00088000,0x7c401550,0x23100eff,
    0xfff87ff9,0x31026205,0x80022000,0x3f207ff9,0x0000005f,0x13100000,
    0x30000188,0x7ffccfff,0x00554002,0x7ffec000,0x02ffcc6f,0x06ffa800,
    0xff9fff00,0x3ffff60b,0x002ffcc6,0x40000000,0x2ea20008,0xfff9800a,
    0xffffffff,0x01fff306,0x98804cc4,0x2eea6009,0x0998809a,0x30013310,
    0x20013555,0x4009aaa9,0x009abba9,0x03575310,0x13577530,0x2aea6200,
    0x57531001,0x01fff903,0x321ffe60,0xba8807ff,0x5d44000a,0x3fe6000a,
    0x017ff207,0x00aba880,0x0055d440,0x98804cc4,0x4cccc409,0xff319999,
    0x002fff4f,0x204d554c,0x33100998,0x3fffff61,0x8817fe63,0x3ea00aba,
    0xff98006f,0xd80fff9e,0x262fffff,0x2ea205ff,0x0ccc400a,0x4cc41330,
    0x22026601,0x1efffffd,0x3ffffe60,0x06ffffff,0x7401fff3,0xbff702ff,
    0xfffffd30,0x2ffe81ff,0x220bff70,0xfffffffc,0xffff9101,0xfd303fff,
    0x01ffffff,0x7fffff4c,0xffe983ff,0x200fffff,0xffffffe9,0xfffd303f,
    0x7fc7ffff,0x3fe6004f,0x206ffc87,0xefffffd8,0x7ffec401,0xf9801eff,
    0x17ff207f,0x3fff6200,0x6c401eff,0x01efffff,0x7dc0bffa,0x7fffe45f,
    0xff37ffff,0x003fff2f,0x7ffffe44,0x0bffa1ff,0xffdaffdc,0x3fe66ffb,
    0xffffd885,0x6ffa81ef,0xf4ffb800,0x9ffb05ff,0x2ffccdff,0x7ffffec4,
    0x7fffb01e,0x7ecbff30,0x5ff983ff,0x7fffffcc,0x26602fff,0x999dffd9,
    0x1fff3009,0xb817ff40,0x7ffd45ff,0x40ffffff,0xff702ffe,0xffffd30b,
    0xd303ffff,0xffffffff,0xfffffa83,0xf900ffff,0xffffffff,0xfffffa89,
    0xf900ffff,0xffffffff,0xfffff909,0x3e29ffff,0x3e6002ff,0x1fffcc7f,
    0xffffff98,0xff302fff,0x5fffffff,0x207ff980,0x9999dffc,0xfff98099,
    0x02ffffff,0xfffffff3,0x3ffa05ff,0xc8bff702,0xffffffff,0xff3fff37,
    0x3fa6003f,0x1fffffff,0x7dc0bffa,0xfd1ffb5f,0x317fe67f,0xffffffff,
    0x06ffa85f,0xfb1ffe80,0xf3ffb09f,0x17fe63ff,0xfffffff3,0xfffb05ff,
    0x6cbff30f,0xff987fff,0x5e7fff45,0x9007fffc,0x7cc009ff,0x3ffa00ff,
    0x44bff702,0xa9abefff,0x17ff40db,0x7c45ffb8,0xdcacdfff,0x7fffc41f,
    0x21fdcacd,0x9abefff8,0xffb80dba,0xfdcabdff,0x2fbffe24,0xb80dba9a,
    0xcabdffff,0x7ffdc4fd,0x4fdcabdf,0x7dc3fff3,0xff34ffff,0xbfffdb9f,
    0x5e7fff40,0xfd07fffc,0xfff979ff,0x07ff980f,0x3ffffff2,0xffe83fff,
    0x7fffcbcf,0x979fffd0,0x3fa0ffff,0x8bff702f,0xfcaaaaa9,0xfdfff37f,
    0x3fe2009f,0xfdcacdff,0x5c0bffa1,0x51ffb5ff,0x17fe6dff,0xf979fffd,
    0x6ffa8fff,0x73ffc400,0x1ffb0fff,0x3fe6bff7,0x5e7fff45,0xfd87fffc,
    0x7fcc3fff,0x0fffff65,0x7fdcbff3,0x1fffcc1f,0x0027fe40,0x7401fff3,
    0xbff702ff,0x0007ffd4,0x3ee05ffd,0x17ffe45f,0x7ffe4088,0x7fd41102,
    0x3fe2000f,0x543100ef,0x22000fff,0x3100efff,0x8077ffc4,0x41fff518,
    0x34fffffb,0xbfffffff,0x0fffdc05,0xf70fffe6,0xfff983ff,0x81ffe603,
    0xfffffffc,0x7ffdc3ff,0x21fffcc1,0x7cc1fffb,0x2ffe83ff,0x200bff70,
    0xfff37ffa,0x32009fff,0x41102fff,0xff702ffe,0x7f43ff6b,0x2e5ff9bf,
    0x7fcc1fff,0x01bfea3f,0x7c4bff50,0x47fec1ff,0xff98fff8,0x307ffee5,
    0xffd87fff,0x2ffcc6ff,0x98dffffb,0x0fffe5ff,0x64037fec,0x3e6004ff,
    0x3ffa00ff,0x5cbff702,0x3a000fff,0xbff702ff,0x001fffcc,0x4007fff3,
    0x2000fffb,0x2000fffc,0x2000fffb,0x2000fffc,0x3000fffc,0x77541fff,
    0xfff34fff,0x403ffffd,0xffb03fff,0xb03fff8d,0x7fcc0dff,0x2bbff207,
    0x7c1aaaaa,0xdffb03ff,0xfb03fff8,0x05ffd0df,0x54017fee,0x7fff37ff,
    0xf9803fff,0x3fa003ff,0x2bff702f,0xfff50ffd,0x7ffcbff3,0x54dffb03,
    0x7ec006ff,0x21fff43f,0x9ff90ffd,0x7ffcbff3,0xd8dffb03,0x262fffff,
    0x3fff65ff,0x57fe62ff,0xf501fff8,0x9ff900ff,0x07ffcc00,0x2e05ffd0,
    0x3ffea5ff,0x5ffd000d,0xfb97fee0,0x3ee000ff,0x3ea000ff,0xff000dff,
    0xffa8009f,0xfff000df,0x4fff8009,0x07ffe200,0xff9a7fe4,0x01fffb17,
    0x2a03fff1,0x3ffe27ff,0x40fff501,0x3f207ff9,0xfff1005f,0x89ffea03,
    0xff501fff,0x205ffd0f,0xf5005ffb,0x75ffe6ff,0x7fdc06ff,0x3ffa000f,
    0x36bff702,0x37ffa0ff,0x3fff15ff,0xfa9ffea0,0x7ffc006f,0x3637fe40,
    0x5fff10ff,0x3ffe2bff,0xd8fff501,0x266ffcff,0x33ff65ff,0x57fe66ff,
    0x3e607ff9,0x7fe400ff,0x3ffe6004,0x40bffa00,0x3fe25ffb,0x7401dfff,
    0xbff702ff,0x20037fe4,0x44006ffc,0x01dfffff,0x000bffe2,0x3bfffff1,
    0x017ffc40,0x005fff10,0xf904fff8,0x89ffe69f,0xff984fff,0x43ffe607,
    0x3e607ff9,0xfff300ff,0x802ffe40,0x3e607ff9,0x0fff30ff,0x3a07ffcc,
    0xbff702ff,0x4dffea00,0x9fff37ff,0x0037fe40,0x7dc0bffa,0x541ffb5f,
    0xf35fffff,0x7ffcc0ff,0x400dff50,0xfffffff9,0x3f60ffff,0x3f7ff60f,
    0x40fff35f,0x3f60fff9,0xf31fff9f,0x7cffecbf,0x2bff31ff,0x3e207ffa,
    0x7fe401ff,0x3ffe6005,0x40bffa00,0x7fd45ffb,0xd03effff,0x3fee05ff,
    0x0017ff65,0x5000bffb,0x7dffffff,0x5c3fff30,0x544fffff,0x3effffff,
    0x2e1fff98,0xf34fffff,0x7ffdc3ff,0x1fff64ff,0xff9a7fe4,0x207ffe47,
    0x3e207ffa,0x0fff51ff,0x980fffc4,0x3ff207ff,0x0fff5005,0xfa8fffc4,
    0x3ffe207f,0xb817ff41,0xff5005ff,0xfc9ffe6f,0xbffb01ff,0x02ffe800,
    0x3ff6bff7,0xafffff40,0x3e207ffa,0x0dff51ff,0x7ffffe40,0x22ffffff,
    0x3fe60ffd,0xfff55fff,0xb0fffc40,0x2bff71ff,0x3ff65ff9,0xff35ffb8,
    0x881ffeeb,0x7dc02fff,0x3fe6007f,0x0bffa00f,0x74c2ffdc,0x0dffffff,
    0xfb817ff4,0x013ffa5f,0x0009ffd0,0x3fffffa6,0x3ffea0df,0x3ffffee0,
    0xffffe984,0x3fea0dff,0x3fffee0f,0x41fff54f,0x24fffffb,0x640efff9,
    0x8fff34ff,0x7dc3fff8,0x3ffe207f,0x440fff72,0xff302fff,0x02ffe40f,
    0x2207ffb8,0xfff72fff,0x217ffc40,0xff702ffe,0x5ffea00b,0x3fe27ff9,
    0x09ffd06f,0x702ffe80,0x03ff6bff,0x2ebffff5,0x3fe207ff,0x00dff52f,
    0x6666fff4,0x365ffecc,0x7fff40ff,0x40fff75f,0x3f62fff8,0x98fff88f,
    0x23ff65ff,0xff98fff8,0x440fff55,0x7d401fff,0x03aaadff,0x7401fff3,
    0xbff702ff,0x7fffe4c0,0x817ff45f,0x3ffa5ffb,0x2fff4005,0x3ff26000,
    0x3fe65fff,0x3ffbaa0f,0x3ff2604f,0x3fe65fff,0x3ffbaa0f,0x41fff34f,
    0x44fffeea,0xcceffffc,0xfff34fff,0xfa8fffb0,0x3ffe207f,0x440fff51,
    0x33321fff,0x3cccfffd,0x3bbbfff2,0x3fea4eee,0x47ffe207,0x3e207ffa,
    0x17ff41ff,0x5005ffb8,0x1ffe6fff,0xfd09fff5,0xffe800bf,0x36bff702,
    0xfffe80ff,0x440fff55,0xfff51fff,0x1ddddddd,0xfb81ffe2,0x503ff67f,
    0x3eabffff,0x3ffe207f,0x7e43ff61,0x365ff9cf,0x39ff90ff,0x3ffe6bff,
    0x00fff300,0x3ffffffa,0x01fff306,0xfb817ff4,0xffb8805f,0x0bffa0ff,
    0xff92ffdc,0x6ffc800d,0xff710000,0x3ffe21ff,0x009ff901,0x21ffff71,
    0xf901fff8,0x07ffe29f,0x32227fe4,0xffffffff,0x30fff34f,0x7fcc7fff,
    0x4fff300f,0xf300fff9,0xfffff8ff,0x326fffff,0xffffffff,0x03ffe65f,
    0xff33ffcc,0x1ffe601f,0x7dc0bffa,0xfff5005f,0x3f61ffe6,0x37fe42ff,
    0x40bffa00,0x1ffb5ffb,0x26bfff50,0xff300fff,0x7ffffd4f,0xf70fffff,
    0x7ffcc0bf,0xff01ffb1,0x3ffe6bff,0xd8fff300,0x5fff10ff,0x87fecbff,
    0x5ffafff8,0x2a03fff1,0xf91006ff,0x260dffff,0x3fa00fff,0x09ff903f,
    0xd17ffdc0,0x3ff207ff,0x003ffee4,0x000fffb8,0x8bffee00,0xff904fff,
    0x7ffdc009,0x6413ffe2,0x13ffe4ff,0xea827fe4,0x1cffffff,0x3fa0fff3,
    0x07ffe26f,0xff137fd4,0x1bfea03f,0xffffffff,0x7ffe4dff,0x25ffffff,
    0xf501fff8,0x0fffc4df,0xfe86ffa8,0x09ff903f,0x7cdffea0,0xefff887f,
    0x003ffee0,0xf903ffe8,0x403ff69f,0xfff15ffe,0xa9bfea03,0xffffffff,
    0x05ffb0ff,0xffb4fff8,0x2bfff701,0xf501fff8,0x20ffd8df,0x25ffdffd,
    0x3ff60ffd,0x3ffe5ffd,0x00bffb04,0x00013330,0x6c13ff60,0x3e2002ff,
    0x13ff61ff,0xff517fec,0x7fd4009f,0x2200004f,0x3ff61fff,0x009ff907,
    0xfb0fffc4,0x93ff20ff,0xff907ffd,0x01331009,0x9fff0000,0xff17ff60,
    0x17ff609f,0x002ffa80,0xfff85ff7,0xf8bffb04,0xbffb04ff,0x3609ffb0,
    0xff7002ff,0x3ea0000d,0x3f6004ff,0x05ffb04f,0xff27fec0,0x17ff609f,
    0x7cc00000,0xff00003f,0x17ff609f,0x7fcc1ffb,0x3ff65fff,0x3ffffe60,
    0x70bffee5,0x54003fff,0x0aaa002a,0x881fff70,0x806a1fff,0x3ee0fffc,
    0x7ffc40ff,0x427ffec1,0x7ffec0a8,0x06a0a884,0x260fffc8,0x7e40efff,
    0xfc806a4f,0x3ffe60ff,0x327fe40e,0xfc81dfff,0x0155404f,0x2e00aaa0,
    0x7fdc2fff,0x17ffdc1f,0x4007ffee,0xf3004ff8,0x5fff709f,0x5c1fffb8,
    0x7fdc2fff,0x0fffb81f,0x2a0fffc4,0x027ff440,0x3f600555,0x20a884ff,
    0x7c40fffb,0x3fe001ff,0x0bffee3f,0x4c03fff7,0x220000aa,0x2aa805ff,
    0x217ffdc0,0x7ec1fffb,0x7ffff40f,0xfd03ff65,0x7fc4bfff,0xfffeceff,
    0x17fe2004,0x202ffc40,0xbabefff8,0x7fec4fff,0xfffecccd,0x5f7ffc45,
    0x984fffba,0xedefffff,0x7ffcc1ff,0x1ffedeff,0x33337ff6,0xfc85fffe,
    0xffccefff,0x337ff64f,0x85fffecc,0xcceffffc,0x7fe44fff,0xfffcceff,
    0x017fe204,0x8805ff88,0xfeceffff,0xfff884ff,0x4fffecef,0x00ffee00,
    0x7c417fdc,0xffecefff,0xffff884f,0x04fffece,0x757dfff1,0xbfb09fff,
    0x03fffd77,0x4c017fe2,0xedefffff,0x3ffe21ff,0x4fffbabe,0x3fffb500,
    0x677fffc4,0x6404fffe,0x2a0001ff,0x7fc404ff,0x7fffc405,0x84fffece,
    0x7fd40ffd,0x03ff65ff,0x98bffff5,0xffffffff,0x3fea000d,0x05ff5002,
    0xffffff70,0xffd81dff,0x6fffffff,0xffffff70,0x3ea01dff,0xffffffff,
    0xfffffa81,0x3f61ffff,0xffffffff,0xffff9106,0x6c9fffff,0xffffffff,
    0xfff9106f,0x89ffffff,0xffffffc8,0x3ea04fff,0x3fea002f,0xffff3002,
    0x201bffff,0xfffffff9,0x3ee000df,0x7dc02eff,0x7fcc1eff,0x0dffffff,
    0xffffff30,0x7dc01bff,0xefffffff,0xfffffd80,0x3fea04ff,0x3ffea002,
    0x41ffffff,0xfffffffb,0xffb800ef,0xfff984ff,0x00dfffff,0x200037f4,
    0x502efffa,0xff3005ff,0x1bffffff,0xff01ffb0,0x07fecbff,0x442ffffc,
    0x03effffd,0x000ffc80,0x26001ff9,0x04fffffe,0xffffffd7,0xffe9805d,
    0xc8804fff,0x0beffffe,0xffffd910,0x7ff5c17d,0x802effff,0xffffffea,
    0x3fffae1c,0xa802efff,0xcffffffe,0xffffd501,0x7e4039ff,0x3ff2000f,
    0x3ff62000,0xd8803eff,0x003effff,0x02fffe88,0x417fff44,0x3effffd8,
    0xffffd880,0xffd3003e,0x75409fff,0x402effff,0x44000ffc,0xbeffffec,
    0xffffe980,0x3fee004f,0x3ff6203f,0xff003eff,0xffb00009,0x03ff207f,
    0x7fffec40,0x03ff603e,0xfd97ffee,0x5fffb80f,0x00004c40,0x54c00553,
    0x01330002,0x00666620,0x00004cc0,0x06600033,0x00666620,0x40099880,
    0x00019998,0x10002662,0x2a600133,0x0154c002,0x00013100,0x20000262,
    0x2a6001a9,0x00098801,0x40001310,0x0cc00099,0x00055300,0x99800330,
    0x09a98000,0x80026200,0x00000aa8,0x2a601353,0x01310002,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x00001881,0x03bfb500,0x36000000,0x00003fff,0x00000000,0x00000000,
    0x0000c40c,0x00000000,0x00151000,0x00006206,0x98800000,0xa8800cc0,
    0x65d44000,0x2203cccc,0x22000aba,0x0262001a,0x00000033,0x0007ffea,
    0x30000000,0x22000310,0x9933eedc,0x7fdc0019,0xfff7002f,0x27ffdc05,
    0x7c4dfd00,0x1dfd105f,0x2600bfd3,0x000ffdff,0x005fffb0,0x0007bff2,
    0x4005fffb,0xd102fffd,0x0bfd31df,0x004fffb8,0x002fffb8,0x2ffc4dfd,
    0x00bffee0,0x0dfff980,0x17ffec00,0x007ffcc0,0x5ff89bfa,0x2fffd800,
    0x0bfff600,0xffa87fd4,0x07ffcc00,0x7ffff4c0,0xd885ffff,0x01efffff,
    0x4577ffdc,0x21ff504c,0x7dc00ffa,0x805ff93f,0x02fffffa,0x005fff70,
    0x3ff27ff7,0xf89bfa02,0x7fdc005f,0xfff54fff,0x3bfee003,0x7fdc02ff,
    0x3a602ffe,0xff9804ff,0x01fff51f,0x17ffffa2,0x5f92fb80,0x1dffb000,
    0x017ff200,0x003bff60,0x400effd8,0x05ffffe8,0x009ffd30,0x17ff7fdc,
    0x547ffe60,0xff700fff,0x30005ffd,0xb0007fff,0x2e001dff,0x3e602fff,
    0x1fff51ff,0x077fec00,0x01dffb00,0x7fffff44,0x2fffb805,0x7ffffdc0,
    0x4c5ffeef,0xffffffff,0xffff302f,0x101fffff,0x0bfffffd,0x3ffffee0,
    0xc9ffdc02,0x7fdc02ff,0xfb802ffe,0x2602ffff,0xfff51fff,0x3ffe6001,
    0xfff54eef,0x25ff9003,0xff903ffb,0x880ffee5,0xfe804ffd,0x80bff10e,
    0x4005ffe8,0x01fe9dfa,0x0027fec0,0x9ffb0000,0x04ffd800,0x017ffa20,
    0x009ffb10,0x3fee5ff9,0x8877f403,0x5ff905ff,0x9800ffee,0xd8001eff,
    0x7cc004ff,0x77f400ff,0x400bff10,0x6c004ffd,0xfd3004ff,0xf3001bff,
    0x7fcc01ff,0xff56ffff,0xbcfffe8b,0x3607fffc,0x05fffd33,0x06ffff4c,
    0x03fff500,0xffc80000,0x5007ff72,0xfd003fff,0x017fe21d,0xa80effc8,
    0x00000fff,0x00000000,0x00310262,0x3ff60000,0x4000004f,0x1cccccca,
    0x00000000,0x00000000,0x13100000,0x00000188,0x00000000,0x22006a60,
    0x0000c409,0x88000000,0x01a98001,0x7fffffe4,0x7d4bff56,0x7ffcc1ff,
    0x80022003,0x80000018,0x00004cc8,0x44000000,0x2000c409,0xff302ffe,
    0x9999801f,0x40999999,0x99999998,0x4ccc4099,0x40999999,0x99999999,
    0x99998099,0x95100019,0x19988015,0xff902660,0x8807ffff,0x4cc00099,
    0x99999999,0x19999880,0x4ccccc00,0x31099999,0x81331003,0x99999998,
    0x01331099,0x99809988,0x98801999,0x04cc4009,0x26666666,0x13310999,
    0x44099880,0x99999999,0x4cccc409,0x09999999,0x4ccccccc,0x26620999,
    0x99999999,0x3ffffa09,0x4bff56ff,0xffb04ffe,0x3333330d,0x44013333,
    0x4cc00999,0x99999999,0x1ffe2099,0x20133100,0x26620998,0x99999999,
    0x26662009,0x7ffc4000,0x01fff300,0xfffffff8,0x7fe46fff,0x5fffffff,
    0x7fffffe4,0x7ffc5fff,0x6fffffff,0x7fffffcc,0xf8800bef,0x7ec06fff,
    0x5ff983ff,0x7fff775c,0x037fd403,0x3fffffe0,0xfe86ffff,0x1defffff,
    0x7fffffc0,0xff76ffff,0x42ffa805,0xfffffffc,0x1fff75ff,0x30bffe20,
    0xdfffffff,0x1fff7017,0xf0bffe20,0xffffffff,0x03ffeedf,0x3217ffc4,
    0xffffffff,0x7fffd45f,0x2fffffff,0x7ffffffc,0x3fea6fff,0xffffffff,
    0x3ffffe2f,0x2bff56ff,0xf501fff8,0xfffff0ff,0x20dfffff,0x406ffff8,
    0xffffffff,0x3e25ffff,0x7fec007f,0x549ff903,0xffffffff,0xff102fff,
    0xf9800dff,0x3ffe607f,0x7ffffc00,0x646fffff,0xffffffff,0x7fffe45f,
    0x7c5fffff,0xffffffff,0x7fffcc6f,0x806fffff,0x01fffffa,0x261ffff6,
    0x7ff405ff,0x037fd403,0x3fffffe0,0xfe86ffff,0xffffffff,0x3ffffe04,
    0xf76fffff,0x2ffa805f,0x7fffffe4,0x3ffe5fff,0x30dff903,0xffffffff,
    0x0fffe0df,0x7fc37fe4,0xffffffff,0x640fffe6,0xfffc86ff,0x45ffffff,
    0xfffffffa,0x7fc2ffff,0xffffffff,0x3ffffea6,0x22ffffff,0x6ffffffe,
    0x3fe6bff5,0x03ffe607,0xffffffff,0x3fea0dff,0x3fe01fff,0xffffffff,
    0x1ffe25ff,0x207ffb00,0x3fea4ffc,0xffffffff,0xffff502f,0x7fd4003f,
    0x01ffe606,0x3ffeeaaa,0x7fe42aab,0x3cccccce,0x66677fe4,0x55543ccc,
    0x2aabfffb,0x6dd7ffcc,0x6403ffff,0x203fffff,0x4c3ffffd,0x7ff405ff,
    0x037fd403,0x3feeaaa0,0xfe82aabf,0xfffdcacf,0xf755504f,0x2a5557ff,
    0x7fd402ff,0x6677fe41,0x3ee3cccc,0x7ffc40ff,0xbafff981,0xb83ffffd,
    0x7fc40fff,0xfbaaa81f,0x2e2aabff,0x7fc40fff,0xceffc81f,0x4c3ccccc,
    0xfeeeeeee,0x55541fff,0x2aabfffb,0x3bbbbba6,0x321ffffe,0x56ffffff,
    0x1ffeabff,0x541fff88,0xabfffbaa,0xffff902a,0x5555407f,0xaaabfffb,
    0x001ffe22,0x3f207ffb,0x3bbba64f,0x1ffffeee,0x7fffff90,0x7ee66440,
    0x224cccef,0x7cc007ff,0x2ffe407f,0x00bff900,0x301ffe60,0xbfff0fff,
    0xffcfff80,0x3ffff605,0x202ffcc6,0x7d403ffe,0x3e60006f,0x2ffe807f,
    0x007fff44,0x7d41ffe6,0x0ffdc02f,0xf8017ff2,0x2ffe43ff,0xff87ff98,
    0x87fff05f,0xf9805ffc,0x1fffc07f,0x7e417ff2,0xf300005f,0xff9809ff,
    0xfff30007,0xfffff889,0x2ebff56f,0x3fe207ff,0x1ffe602f,0x7fe7ffc0,
    0x3ffe6005,0x45ffe200,0xffb02ccb,0x013ff207,0xf027ffcc,0x40bff9ff,
    0xfffffff9,0x3fe27fff,0x3ffcc007,0x8017ff20,0x30005ffc,0xff980fff,
    0x207ffc87,0xfff9eff9,0xfffffb00,0x202ffcc5,0x7d403ffe,0x3e60006f,
    0x2ffe807f,0x404fff88,0xff307ff9,0x40ffb807,0x2e005ffc,0x3ffe27ff,
    0x90fff301,0x3fee0fff,0x007ffe27,0xf701ffe6,0x0fffc4ff,0x0005ffc8,
    0x300dffd0,0x3a000fff,0xfff306ff,0x57feadff,0x3e207ffa,0x3fe601ff,
    0x9eff9807,0xf3000fff,0x7fc401ff,0x5fffff9f,0xf903ffd8,0x3ffa009f,
    0x27bfe606,0xdd300fff,0xddddfffd,0x003ffc4d,0xf901ffe6,0x7fe400bf,
    0xfff30005,0xc87ff980,0x3fee06ff,0x3605fff4,0x266ffcff,0x7ff405ff,
    0x037fd403,0x00fff300,0x3f605ffd,0x3ffcc05f,0x3f23ff98,0xf903fee4,
    0xfff800bf,0x4c0bff93,0x6ffc87ff,0x7e4fffe0,0xfff3005f,0x327fff00,
    0x3ff205ff,0xffc80005,0x7ff9801f,0x1fffc800,0x5bffee20,0xfff55ffa,
    0x03ffe601,0xb807ff98,0x05fff4ff,0x803ffe60,0xfffffff8,0x7fec3fff,
    0x009ff903,0x5c03fff9,0x05fff4ff,0xf00bffa0,0xff9800df,0x4effe407,
    0x64099999,0x99999dff,0x1ffe6009,0xf98fff30,0x3ffa03ff,0x3609ffb1,
    0x31fff9ff,0xffe80bff,0x037fd403,0x00fff300,0x3ee05ffd,0x3ffcc07f,
    0x3fe3ff98,0x3f21ff27,0x999999df,0xf8effb80,0x3fe601ff,0x01fffcc7,
    0xfff1dff7,0x1ffe6003,0x3e3bfee0,0x3ff201ff,0x0999999d,0x04fff980,
    0x800fff30,0x4004fff9,0x26bff508,0xff501fff,0x07ff980f,0xffb1ffe8,
    0x3ffe6009,0x3fffe200,0x46ffd9ae,0xaaaadffd,0x4c04ffda,0x7f404fff,
    0x009ffb1f,0xff007ffe,0x7ff9800d,0x7ffffe40,0x7e43ffff,0xffffffff,
    0x01ffe603,0xfdb9fff3,0x7fc40bff,0x6c1ffee7,0x35ffb8ff,0xffe80bff,
    0x037fd403,0x00fff300,0x3ea05ffd,0x3ffcc07f,0xff34ff88,0x321ff23f,
    0xffffffff,0xdfff883f,0x7fcc05ff,0x5fffedcf,0x7efffc40,0x3fe6005f,
    0xdfff8807,0x7fe405ff,0x3fffffff,0x006ffe80,0xd001ffe6,0xa8000dff,
    0x13ffe5ff,0x26027fec,0x7fc407ff,0x401ffee7,0x2200fff9,0x3ea0efff,
    0x7fffec7f,0x4fffffff,0x2037ff40,0x3fee7ff8,0x0fff8807,0x2001e640,
    0x7e407ff9,0xffffffff,0x7ffffe43,0x2603ffff,0x7fcc07ff,0x02dfffff,
    0xff12ffd4,0x11ffb03f,0xbff31fff,0x403ffe80,0x20006ffa,0xfe807ff9,
    0x1fff502f,0x883ffcc0,0x9fff94ff,0x3ff21ff2,0x3fffffff,0x3fffff70,
    0xfffff980,0xf7002dff,0x4003ffff,0xf7007ff9,0xc803ffff,0xffffffff,
    0x7ffe403f,0x1ffe6001,0x01fffc80,0x92ffd400,0xffb85fff,0x3ffcc01f,
    0xf897fea0,0xff9801ff,0x3ffe200f,0x363ffcc0,0xffffffff,0x3f204fff,
    0x7fd401ff,0x007ffe25,0x0000fff1,0x203ffcc0,0xaaaaeffc,0x77fe41aa,
    0x01aaaaaa,0xf301ffe6,0x3ffffdff,0x743ffd80,0x0ffd83ff,0xbff39ff9,
    0x403ffe80,0x20006ffa,0xfe807ff9,0x0fff702f,0x3e07ff98,0x2dfffd4f,
    0xeffc86fc,0x01aaaaaa,0x00bffff1,0xfffdfff3,0x3fe2003f,0x7cc005ff,
    0xfff1007f,0xdff900bf,0x03555555,0x0027ffcc,0x4c01ffe6,0x80004fff,
    0x3fe25ffa,0xfffedeff,0x07ff9804,0x3fa1ffec,0xfff9803f,0x21ffe200,
    0x7fec7ff8,0xfdaaaaad,0x9fff304f,0xe87ffb00,0x7fcc03ff,0x002eb807,
    0x3203ffcc,0x3f2005ff,0xff30005f,0x17ff980f,0x7c01fffb,0x37fe40ff,
    0xff887fec,0x7405ffaf,0x7fd403ff,0x3fe60006,0x02ffe807,0xf980dff9,
    0x273fe07f,0xfd9ffbff,0x005ffc86,0x003fff70,0x3f62fff3,0xff7000ff,
    0xff98003f,0x3ffee007,0x05ffc801,0x00dffd00,0x200fff30,0x00006ffe,
    0xff98bff7,0x05ffffff,0xf80fff30,0x37fe40ff,0x007ffcc0,0xff10fff1,
    0x903ffd8f,0x3ffa09ff,0x81fff006,0x7d406ffc,0x7ffd406f,0x1ffe6001,
    0x400bff90,0x30005ffc,0xff980fff,0x413ffe27,0xfffffff9,0x7ec0ffff,
    0x3f7ff60f,0x1fff405f,0x001bfea0,0xe807ff98,0xbffd02ff,0x207ff980,
    0xf8dfbdff,0xfc85fdbf,0xff30005f,0x9ffe600f,0x3004fff8,0xf3000fff,
    0x7fcc00ff,0x0bff9007,0x03fff900,0x00fff300,0x0003fff9,0x260fff60,
    0x03effffc,0x981ffe60,0xffffffff,0x7cc00fff,0x3fe200ff,0x6c7ff887,
    0x9ff903ff,0x003fff90,0xfffffff3,0x6c01ffff,0x7fe404ff,0x3fe6002f,
    0x02ffe407,0x000bff90,0xf301ffe6,0x0fffc8ff,0xffffffc8,0x6c2fffff,
    0x3ffe60ff,0x7ff405ff,0x037fd403,0x00fff300,0xff505ffd,0x7ff9803f,
    0x4ffb7fa0,0xc85fdefe,0xf30005ff,0x3fe600ff,0x007ffe47,0x4003ffcc,
    0x26007ff9,0xff9007ff,0xfff9800b,0xfff30003,0x03fff980,0x7fc40b80,
    0x1ffe602f,0x81ffe600,0xfffffffc,0x4c02ffff,0x3e200fff,0x47ff887f,
    0xff903ffd,0x03fff989,0xffffff90,0x205fffff,0x4402fff8,0x26000eff,
    0x7fe407ff,0x17ff2005,0x03ffcc00,0xff11ffe6,0x9bffd07f,0xbffd9999,
    0x7f40ffd8,0x7f405fff,0x37fd403f,0x0fff3000,0xfb85ffd0,0xff9805ff,
    0x3ffbfa07,0x0bfdff70,0x2000bff9,0xf3007ff9,0x3fff88ff,0x007ff980,
    0x2007ff98,0xf9007ff9,0xffe800bf,0x3fe60006,0x037ff407,0x6deffd40,
    0xff806fff,0xf300a23f,0x6fff40ff,0xffeccccc,0x07ffcc05,0xf10fff10,
    0x03ffd8ff,0xffe89ff9,0x37ffa006,0xffeccccc,0x3fff32e5,0x0018800f,
    0x9fffb999,0xfffc8799,0x44eeeeee,0xeeeefffc,0x6e6644ee,0x43cccfff,
    0xffd87ff9,0x703ffc47,0x0ffd8fff,0x22ffffd4,0xdfffcccc,0x7fd41ccc,
    0xeeeeeeef,0x7fee6640,0xfe83cccf,0xffffeeef,0xfb99900f,0x6c7999ff,
    0x3fe26fff,0xfffc84ff,0x04eeeeee,0x4c01ffe6,0x7ffd87ff,0x007ff980,
    0x9fffb999,0x7fcc0799,0xdfff9007,0xb89ddddd,0xffffffff,0x66643fff,
    0x3cccfffd,0x3fffffee,0xd83fffff,0xffffffff,0xefffc801,0x66641ffe,
    0x3cccfffd,0x7dc0fff1,0x7ffcc07f,0x21ffe200,0x7fec7ff8,0x5c9ff903,
    0xffffffff,0xfff13fff,0xfd3ffdc0,0x0003ffff,0xffffff00,0xfc8dffff,
    0xffffffff,0x7ffffe45,0x7fc5ffff,0xffffffff,0x4c3ffcc6,0x3fee3fff,
    0x87ffe605,0xfff80ffd,0x3fffe25f,0x2fffffff,0x7fffffd4,0x7fc0ffff,
    0xffffffff,0xfffffe86,0x3e00cfff,0xffffffff,0x0ffff66f,0xf909fffd,
    0xffffffff,0x03ffcc0b,0xf987ff98,0x7fcc03ff,0xfffff007,0x40dfffff,
    0xf9007ff9,0xffffffff,0xfffffc8b,0x43ffffff,0xffffffff,0x3fff26ff,
    0xffffffff,0xdfffb503,0x7ff44007,0x7fc4ffff,0xffffffff,0x4c0bff76,
    0x3e601fff,0x3fe200ff,0x6c7ff887,0x9ff903ff,0x7fffffe4,0xf73fffff,
    0x7ffcc0bf,0x03bfffd1,0x3ffe0000,0x6fffffff,0x7fffffe4,0x7fe45fff,
    0x5fffffff,0x7ffffffc,0x7fcc6fff,0x6cdffd07,0x7ffc02ff,0x2e03ff64,
    0x3fe25fff,0xffffffff,0x7fffd42f,0x40ffffff,0xffffffff,0xfffe86ff,
    0xf801bdef,0xffffffff,0x07fff26f,0xf907fff7,0xffffffff,0x03ffcc0b,
    0xfd07ff98,0x7ff980df,0xffffff00,0x4c0dffff,0xff9007ff,0xbfffffff,
    0xffffffc8,0x7c3fffff,0xffffffff,0x3ffff26f,0x3fffffff,0xeb800000,
    0xfff82dff,0x6fffffff,0xff805ffb,0x3ffe604f,0x21ffe200,0x7fec7ff8,
    0x649ff903,0xffffffff,0x5ffb3fff,0x004fff80,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x1a880000,0x00000000,0x3baa0000,0x0000003e,
    0x30000000,0x039dddb9,0x33333326,0x3026200c,0x002a2003,0x33333326,
    0x2eea600c,0x3530009a,0x33332600,0xa9800ccc,0x00799101,0x13555300,
    0x33333260,0x320000cc,0x00b260cc,0x00000000,0x1e644000,0x0732a000,
    0x88039950,0x0332a2cc,0x0cc89326,0x59997510,0x33333001,0x24c98033,
    0x26600cc8,0x2e019999,0x059910cc,0x00abcb98,0x15dfff70,0x3e600099,
    0x7dc00dff,0xf50002ff,0xfb0005ff,0x3fee05ff,0xffb8004f,0x3605ff93,
    0x4fffffff,0xffffff50,0x87fd403f,0x7cc00ffa,0x7fd400ff,0x981fffff,
    0xfffffffe,0x27ffec00,0x7ffffd40,0x7fec01ff,0x01fff04f,0xffff9100,
    0xff503fff,0x003fffff,0xff1bfea0,0xf500003f,0x3fa2005f,0x665c0005,
    0x0003ffa9,0xf300ffec,0xfb803fff,0x102ffbbf,0x0ffb39ff,0x3fffffee,
    0x3fe603ff,0x200fffff,0x7fd9cff8,0x3ffffe60,0xdfd100ff,0x6c40bfd3,
    0x02ffffff,0x7fffffcc,0x4c000fff,0xfb803fff,0x4002ffef,0x8000effa,
    0x4c00effd,0xb8004ffe,0x902fffff,0xfb99bfff,0x3bbbaa09,0x3a201eee,
    0x805fffff,0x5402fffb,0x1eeeeeee,0x7fffffd4,0x3ee00fff,0x5402fead,
    0x1eeeeeee,0x3fab7ee0,0x004ffb82,0x7fffff4c,0xeea81fff,0x001eeeee,
    0xff85ffb0,0xff80004f,0xfff7007f,0x7ff40005,0x1000ffca,0x206ff855,
    0x1ffdcff9,0x17fffdc0,0x3fffff20,0xddfff703,0x2605ffff,0x0fffffff,
    0x7ffffe40,0x3fffe603,0x3a200fff,0xd100efff,0xfffddfff,0xfd33d803,
    0xf98005ff,0xffc801ef,0x0007ff72,0xfd800cc4,0x3f62004f,0xffa8004f,
    0x13ffa01f,0x98000004,0x800dfffe,0x0000fff9,0x2fbffe20,0x200dba9a,
    0x007f71fd,0xb8fec000,0x07ff883f,0x37fffe20,0x001fdcac,0xfff10000,
    0x0007ff50,0x200dfff0,0x0002fffb,0x1bfabffa,0xf327fe40,0x93b6207f,
    0x75c00dec,0xdfd7003e,0x6c05d405,0x266605ff,0xd7001999,0x333005df,
    0xb1003333,0x7fe401bd,0x01bff20d,0x00000220,0x40000000,0x000005fe,
    0x40000000,0x31004fff,0x02662013,0x53000310,0x99999803,0xf5099999,
    0x2e0001ff,0x202feadf,0x99999998,0x5bf70099,0x3ff205fd,0x5fff9003,
    0x99880220,0x3f200009,0x01ffa83f,0x01ee9800,0x00013f60,0x05dd5ffd,
    0xea93ff20,0x0000000e,0x30000000,0x00000fff,0x00000000,0x03fff100,
    0x31003fff,0x26000133,0x01999999,0x0004ccc4,0x200bfe20,0x40009998,
    0x88009998,0x99999999,0x67ffec09,0x817ff400,0x4cc45ffb,0x09999999,
    0x4cccccc4,0x7ffc0999,0x6fffffff,0x0001fff7,0x017fffa2,0xfffffff9,
    0x3fa20bff,0x3fe605ff,0x3fff9806,0xffff1000,0x3fe2000d,0x027ff40f,
    0x00000000,0x02ffe800,0x004ffc80,0x2af32a60,0x5e654c00,0x2f2e600a,
    0x2a66000a,0x65cc07ff,0x5d4400ab,0x2200accc,0x00acccba,0x80abcb98,
    0x9999effa,0x4402ffe9,0x8006ffff,0xfffffff9,0xffff100f,0xcb98800d,
    0x7c400ffd,0x22006fff,0xc806ffff,0xffffffff,0x3fff625f,0x3ffa02ff,
    0xc8bff702,0xffffffff,0x7fffe45f,0x7c5fffff,0xffffffff,0x1bfff56f,
    0x015d4000,0x7fffffe4,0x5d405fff,0x01ffe802,0x0007ffdc,0x1fffffa8,
    0x85ffb800,0x200002de,0x00abcca9,0x002af2e6,0x3faf2ea2,0xaaa8802f,
    0xaaaaeffd,0x7fff4c02,0xfd304fff,0x109fffff,0x5ffffffb,0x3ffff220,
    0xfb107fff,0x205fffff,0xfffffffb,0xffffb83f,0xb103ffff,0x85ffffff,
    0xfffffffb,0x5403ffff,0x001fffff,0x7fffffe4,0xfff500ff,0x3e6003ff,
    0x01ffffff,0x0fffffd4,0xfffffa80,0x7fffe401,0x3a5fffff,0xdfffffff,
    0x702ffe80,0xfffc8bff,0x45ffffff,0xfffffffc,0x5d5545ff,0x12aabfff,
    0x03bfffff,0xa882aa88,0xceffc82a,0x883ccccc,0x00acccba,0xf9017fea,
    0x7e4000df,0x8003ffff,0x2aa01ffe,0x002f32a2,0xffffffd3,0xffffb109,
    0x3f2205ff,0x2fffffff,0xfffff980,0x06ffffff,0x3fffffea,0xfffa84ff,
    0x444fffff,0xffeefffe,0x7fffd41f,0x887fffff,0xffeefffe,0xefffb81f,
    0x5c2ffffe,0xfffeefff,0x7fff442f,0x321fffee,0xffffffff,0x7e403fff,
    0x4003ffff,0xaadfffff,0xffff900a,0xfff7007f,0x03ffffff,0x1fffffe4,
    0xfffffc80,0x677fe403,0xf53ccccc,0xffff93ff,0x02ffe83f,0xffc8bff7,
    0x3cccccce,0x66677fe4,0x3e603ccc,0x3ffea07f,0xf103efff,0x0fff30ff,
    0x5c00bff9,0xffffffff,0x803ffe03,0x20005ffd,0x05ffcfff,0x2037fcc0,
    0xfffe8efe,0xfff500ef,0x889fffff,0xffeefffe,0xffffe81f,0x802fffff,
    0xfffffff9,0xf106ffff,0x95337fff,0xbffff887,0x7e43ca99,0x9bff20df,
    0x309dfff8,0xbff90fff,0x5437fe41,0x45ffd80b,0x5ffd80ba,0xf906ffe4,
    0x4effdcdf,0x09999999,0x7fe7ffc0,0x33fea005,0xfff004ff,0xf880bff9,
    0xfffc8cff,0x9fff00ff,0x3fe00bff,0x6405ffcf,0xffd805ff,0x3ffffa65,
    0x5c0bffa0,0x2ffe45ff,0x00bff900,0x301ffe60,0xbffffffd,0x987ff881,
    0x5ffc87ff,0x3bffee00,0x702ffffe,0x7ff409ff,0xdff30004,0x4001fff3,
    0x7f402ffd,0xffffffef,0xbffff885,0x7e43ca99,0x1bff20df,0x7445fff9,
    0x333002ff,0x3333bffb,0x03fff201,0x007ffe40,0x7c0fffc4,0x0fff51ff,
    0xff88fff3,0x01fff81f,0x801ffe60,0x3fe27ff9,0x51fff81f,0x98000dff,
    0x0fff9eff,0xff3ffb00,0x3dff3009,0x7e401fff,0x3fb7fa5f,0x9eff982f,
    0x7cc00fff,0x00fff9ef,0x36017ff2,0xfffc86ff,0x5c0bffa3,0x2ffe45ff,
    0x00bff900,0x401ffe60,0x5fffffc9,0x7cc3ffc4,0x05ffc87f,0x3f602ea0,
    0x0fff105f,0x8002fff4,0x5fff4ffb,0x01ffe200,0x22fffffa,0x7e40fffc,
    0xff8800ff,0x11fff81f,0xffd07fff,0x9ff90005,0x01fff400,0x2007ffd0,
    0x9999effa,0xff72ffe9,0x47ffe88f,0x9999effa,0x9802ffe9,0x9807ffa9,
    0x3ea7ffa9,0xe99999ef,0x7fff12ff,0xa7fdc000,0xf8802fff,0x804ff9cf,
    0x5fff4ffb,0xf997fec0,0xb83ffbaf,0x05fff4ff,0xfff4ffb8,0x02ffe405,
    0x7427ffdc,0x0bffa5ff,0x3f22ffdc,0x3ff2005f,0xfff30005,0xfffb8800,
    0x21ffe20f,0xffc87ff9,0x0999999d,0x81ffe600,0xff902ffd,0x3ffa000d,
    0x2009ffb1,0xfe804ffc,0x3ffe21ff,0x801fff41,0x9999effa,0xff52ffe9,
    0x00bffa0f,0x4013ff20,0x1002fff8,0x2e005fff,0xffffffff,0xfff53fff,
    0xffffd75b,0xffffffb8,0x883fffff,0xfffffffc,0xffffc887,0x3fee7fff,
    0xffffffff,0x37fff23f,0x404cba9a,0x9ffb1ffe,0xf33ff700,0x3a0333bf,
    0x09ffb1ff,0x7fc8fff4,0xffd0bff5,0xd013ff63,0x13ff63ff,0x999dffc8,
    0xfff10999,0x2ffec3bf,0x3ee05ffd,0x4effe45f,0x64099999,0x99999dff,
    0x1ffe6009,0x17ffdc00,0xff30fff1,0xfffff90f,0x3007ffff,0x4c0fff53,
    0xfff706ff,0x7ff88001,0x7c01ffee,0xffe800ff,0x221fff82,0xf7002fff,
    0xffffffff,0x1bfee7ff,0x40017ff4,0xf3004ffc,0x3e6003ff,0xff9001ff,
    0xffffffff,0x7ffff47f,0x647feeff,0xffffffff,0x7fd43fff,0x7fffffff,
    0x7fffffd4,0x3ff27fff,0xffffffff,0x7ffff43f,0x2205ffff,0x1ffee7ff,
    0x7fcdbfa0,0xff887fff,0xf81ffee7,0x269ff0ff,0x3ffc46ff,0x7c40fff7,
    0x81ffee7f,0xfffffffc,0x3ffe63ff,0x3fff8cff,0x7dc0bffa,0x7fffe45f,
    0x643fffff,0xffffffff,0x1ffe603f,0x17ffc400,0xff30fff1,0xfffff90f,
    0x9107ffff,0xffffffff,0x981ffe80,0x54004fff,0x3ffe25ff,0x02ffd401,
    0xfe81ffe8,0x07ffe61f,0x7ffffe40,0x93ffffff,0x3ffa0bff,0x4ffc8002,
    0x05fff100,0x00bffe20,0x4cceffdc,0x22099999,0xfb4ffffd,0x99dffb8f,
    0x20999999,0x309dfff8,0x7ffc4fff,0x4fff309d,0x9999dffb,0xfb809999,
    0x04ffffff,0xff897fea,0x4ffe601f,0x87fffff9,0x3fe25ffa,0x33ffd01f,
    0x17fea3ff,0x7fc4bff5,0x4bff501f,0xf901fff8,0xffffffff,0xffffe987,
    0x3fa0efff,0x8bff702f,0xfffffffc,0x7ffe43ff,0x03ffffff,0x0d41ffe6,
    0x441fff90,0x7ff987ff,0xaaaeffc8,0x7fd41aaa,0x7fffffff,0xe82ffd40,
    0x0a884fff,0x3fa1ffec,0x0fff403f,0xe81ffe80,0x3ffe21ff,0x3bff7002,
    0x13333333,0x7f417ff2,0xffc8002f,0x17ffe004,0x005fff80,0x2000dff5,
    0x0ffe6198,0xa800dff5,0x7ff987ff,0x3e61ffea,0x01bfea7f,0x09ff5100,
    0xfe87ffb0,0x43ff203f,0x82aadff9,0x7ff43ffd,0xf97ff903,0x3627fecf,
    0x1fff43ff,0x7f43ffd8,0x5dff903f,0x20355555,0x1efffffb,0xfb817ff4,
    0x577fe45f,0x641aaaaa,0xaaaaaeff,0x1ffe601a,0x6666ffec,0x7c45fffe,
    0x87ff987f,0xf1005ffc,0x3e613bff,0x0fff807f,0xefffff98,0x7fc1ffed,
    0x037fe40f,0x7400dff3,0x1ffe81ff,0xa802fffc,0x3ee006ff,0x2fff986f,
    0x05ffc800,0x40ffff20,0x81fffe40,0x00fffe20,0x217fe200,0x2003fff8,
    0x7f447ffb,0x11ffee7f,0x7fc4fffd,0x7f40003f,0x81fff006,0x3fe06ffc,
    0xf013fe66,0x6ffc81ff,0x9ffdff50,0xff07ffe6,0x06ffc81f,0xffc81fff,
    0x00bff906,0x17fff620,0x7e40fffa,0x02ffe44f,0x000bff90,0x7ec1ffe6,
    0xffffffff,0x07ffc40e,0x3f21fff2,0xfff5005f,0x900fff30,0x3fea07ff,
    0x1fffffff,0x3fffffe6,0xb00fffff,0x7f4005ff,0x41ffe81f,0x4103fffc,
    0x3003fff8,0x7fc45fff,0xfb8002ff,0x3fe2007f,0x4fdcceff,0x677fffc4,
    0x7fe44fdc,0x4cba9adf,0x207ff500,0xa9adfffc,0x7ffd44cb,0x7fffebad,
    0x2eb7ffea,0x7e47fffe,0xcba9adff,0x02ffcc04,0x7fffffcc,0xa80fffff,
    0xffffffff,0x3fffe604,0x0fffffff,0xcffffe88,0x7cc5fffc,0xffffffff,
    0x7ffcc0ff,0xffffffff,0x005ffc80,0x6c3ffec0,0x5ffb04ff,0x2005ffc8,
    0x30005ffc,0x3fae0fff,0x03efffff,0x7dc3fff1,0x5ffc87ff,0x88fff700,
    0xf8807ffe,0x3ff2207f,0x320cefff,0xffffffff,0xff882fff,0x0fff4007,
    0x3e20fff4,0xfdccefff,0x56fffe44,0x7f44cba9,0xffffccff,0xffa8002f,
    0x203aaadf,0xfffffffa,0xffffa84f,0xfe84ffff,0x5fffffff,0x5dfff500,
    0xffffffd0,0xfffd0bff,0x8ffddfff,0xeffffffe,0xfffe87fe,0x405fffff,
    0x203efff8,0xfffffffc,0xfd82ffff,0x4fffffff,0x3fffff20,0x02ffffff,
    0xffffffd1,0xfffc81bf,0xffffffff,0x7ffffe42,0x82ffffff,0x00805ffc,
    0x3ee1bff2,0x7ffc40ff,0x002ffe41,0x2000bff9,0x4c407ff9,0xfe804ffb,
    0xffffecff,0x005ffc87,0xd75bfff5,0x3600ffff,0x7fdc02ff,0x9bffd00b,
    0xbffd9999,0x8009ff70,0xffe81ffe,0xfffffa81,0xffe84fff,0x45ffffff,
    0xeffffffa,0xd0002ffc,0x0dffffff,0xfffffc88,0xfff9102e,0x3ee05dff,
    0x04ffffff,0x40ffff60,0xfffffffb,0xffffd884,0xfd88ffb4,0x0ffb4fff,
    0x3fffffee,0xfffc804f,0x337ffa04,0x5ffecccc,0x66677fc4,0x3fa04ffd,
    0xecccccdf,0x3fe605ff,0xfd03efff,0xd99999bf,0xdffe8bff,0xffeccccc,
    0x805ffc85,0xfcbabcfb,0xfff884ff,0x4fffbabe,0x2005ffc8,0x32005ffc,
    0xccfffdcc,0x03ff703c,0xffffff70,0xff90ffdb,0x9ddddddf,0xffffffe8,
    0xf3007fee,0x07fd80df,0xfb81ffe2,0x00fff87f,0x740fff40,0xff9101ff,
    0x2e05dfff,0x4fffffff,0x8dfffe98,0x10002ffb,0x0dfffff9,0x2000cc40,
    0x26200198,0x53000099,0x99988013,0x00198800,0x88000cc4,0x44000999,
    0xfff1009a,0x323ffdc0,0x77fcc2ff,0xfff10ccc,0x503ffdc0,0x440135ff,
    0x3fee07ff,0xb81ffe27,0xfffc87ff,0x74eeeeee,0xffffffff,0x3ffee01d,
    0x80efffff,0xeeeefffc,0x7ffe44ee,0x44eeeeee,0xffffffff,0x0dfb06ff,
    0x9ffffdc0,0xfffc87fd,0x45ffffff,0xb4ffffd8,0x7ff400ff,0xb813fe01,
    0x3fe605ff,0x017fea1f,0x3a07ffa0,0x198801ff,0x02666200,0x00002620,
    0x00099980,0x00000000,0x00000000,0x00000000,0x40000000,0x3e605ffb,
    0x21ffe1ff,0x1ffffff9,0x7cc0bff7,0x0dfb01ff,0x9817fee0,0xbff71fff,
    0x20fffcc0,0xfffffffc,0xfffb55ff,0xd3007dff,0x409fffff,0xfffffffc,
    0x7ffe45ff,0x45ffffff,0xffffffff,0x05db06ff,0x20013300,0xfffffffc,
    0x033105ff,0x07dd5000,0xfd807ba2,0x27ffc02f,0x00003dd9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x17fec000,
    0x7d53ffe0,0xffff984f,0x05ffb1ff,0xdb04fff8,0x0bff6007,0x3f69fff0,
    0x27ffc02f,0x3ffffff2,0x00205fff,0xc8009980,0xffffffff,0x7fffe45f,
    0x005fffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x32a00000,0x0aaa22cc,0xea80aaa2,
    0x20077624,0x20003cc8,0x260cccc8,0x00003ccc,0x6edc0662,0x2a0b3202,
    0x8077624e,0x0262dec8,0x000f3220,0x20cccc88,0x0003ccc9,0x22099910,
    0x86a24ccc,0x99711aa8,0x33333005,0x20000033,0x077624ea,0x000f3220,
    0x20cccc88,0x0003ccc9,0xbd910004,0x9d5004c5,0xc880eec4,0x100262de,
    0x22000799,0x3260cccc,0x644003cc,0x8801ceed,0xaaaaccca,0x3224c982,
    0xccc9800c,0x22199950,0x26001abc,0x3fea001b,0x43ffcc4f,0x3fe06ffa,
    0x00dff72f,0x000bfffb,0x503dffd1,0x00009fff,0x3ff617fa,0x0ffb85ff,
    0xff72fff8,0x3fffa20d,0x400febdf,0x8005fffd,0xa81effe8,0x10004fff,
    0x13fff533,0xffdfff70,0x4e7fc45f,0x205fffff,0xfffffff9,0x05fe8800,
    0xff72fff8,0xbfffb00d,0xdffd1000,0x09fff503,0x003bf600,0x7bffffd1,
    0x3ffe01fd,0xd10dff72,0xfd7bffff,0x2fffec01,0x3bffa200,0x04fffa81,
    0xffffff70,0x7ffdc09f,0x87ffffff,0x7fd9cff8,0x53ffe880,0x7fcc3fff,
    0x7dc03fff,0xffa802ff,0x87ff982f,0x3fe06ffa,0x80dff72f,0x04ffbffd,
    0x037ffa20,0x004ffe88,0x2617fc40,0x20ffaaff,0xfff03ff8,0x4c1bfee5,
    0xffffebef,0x7dffec05,0x3fa2004f,0x3fa200df,0xffe8004f,0x224fffff,
    0xffffffec,0x3fbfe22f,0x03ffffff,0xfffffff3,0x5fff7001,0xf72fff80,
    0xbffd80df,0x3a2004ff,0x3a200dff,0x7d4004ff,0x77cc04ff,0x05ffffeb,
    0x7fdcbffe,0xfebef986,0x3f605fff,0x1004ffbf,0x4401bffd,0x7cc04ffe,
    0xfffecfff,0xddfffa82,0x907fffff,0x007fffff,0x3fea7ffb,0x7fffcc0e,
    0xffd00eff,0xded980bf,0x50fff300,0x1ecc0dff,0xdeb80772,0x2005dd31,
    0x32003eec,0x262003ee,0x5c0ffdcb,0xfe8bfa6f,0xb90f6605,0xbb504c03,
    0x8ef5c017,0xd9002ee9,0x7764007d,0x7fff4003,0x3e64ffff,0x0bffffff,
    0x577fffc4,0x2606ffd9,0x00199999,0x9805fff7,0x700ee43d,0x0bba63bd,
    0x001f7640,0x54007dd9,0x09804fff,0x9802f76a,0x980ee43d,0x402f76a0,
    0x5dd31deb,0x007dd900,0xfb01f764,0x85ffd89f,0x3fe22ffe,0x77f5c00f,
    0x13eea802,0x2ea209db,0xd05ffffc,0x00009fff,0x3ea1ffe6,0x0000006f,
    0x00000000,0x3fffe600,0x37dc1fff,0x03fee9fb,0x00000000,0x00000000,
    0x53310000,0x6cc13fff,0x86fff9ac,0x2a0efff8,0x000007ff,0x000027ec,
    0x00000000,0xdfb00000,0x00000001,0x00000000,0x00000000,0xffb83fff,
    0xfc87ff85,0x0000003f,0x7ffec000,0x00eff982,0x055e654c,0x3ea1ffe6,
    0x82aa886f,0x55442aa8,0x442aa882,0x2aa882aa,0x54415544,0xffffb82a,
    0x221fffff,0x8aff88ff,0xb98803ff,0x98800abc,0x8800abcb,0x800abcb9,
    0x00abcb98,0x0abcb988,0xfccca980,0x7f5cc07f,0x7ffc43ff,0x103ffcc0,
    0x00157973,0xbcb98000,0x7973000a,0x32e60015,0x973000ab,0x80000157,
    0xaa882aa8,0x99975102,0x65d44015,0x2a200acc,0x200acccb,0x0acccba8,
    0x6665d440,0x07ffc40a,0xff07ffd1,0x407ff70f,0x00abcb98,0x0abcb988,
    0x04fff800,0xfffd3006,0xff989fff,0x886ffa87,0x7ff987ff,0x7cc3ffc4,
    0x43ffc47f,0x7fc47ff9,0x447ff987,0xffc8cfff,0x3ffa0fff,0x00dfb6ff,
    0xffffffd3,0x7fff4c05,0x3a602fff,0x02ffffff,0x3fffffa6,0x3ffa602f,
    0xd302ffff,0xffffffff,0x3ffffa60,0x3fe20fff,0x307ff887,0x5ffffffd,
    0x2aaaaaa0,0xd882aaaa,0x02ffffff,0x3fffff62,0x3ff6202f,0x2202ffff,
    0x2ffffffd,0xaaaaaa98,0x21ffe200,0xffb87ff9,0x83ffffff,0xfffffffb,
    0xffffb83f,0xfb83ffff,0x3fffffff,0xffffff70,0x3ffc47ff,0x3a0dffd1,
    0x3ffa23ff,0xffffd301,0x7f4c05ff,0x002fffff,0x80027ff4,0xfffffffa,
    0x43ffcc4f,0xff886ffa,0x447ff987,0x7ff987ff,0x7cc3ffc4,0x43ffc47f,
    0x7fe47ff9,0x3ffb7fa5,0x23bff262,0x7d401ffa,0xffffffff,0xfffffa83,
    0xfa83ffff,0xffffffff,0xfffffa83,0xfa83ffff,0xffffffff,0x7ffffcc3,
    0xf987ffff,0xffffffff,0x221ffe23,0xfffa87ff,0x83ffffff,0xfffffffe,
    0x7ff445ff,0x81fffeef,0xfeefffe8,0xffe881ff,0x81fffeef,0xfeefffe8,
    0x7ffe41ff,0x3e203fff,0x87ff987f,0xffeefffb,0x7ffdc2ff,0x42ffffee,
    0xffeefffb,0x7ffdc2ff,0x82ffffee,0xffeefffb,0x4fff12ff,0x3ea05ffd,
    0x5fffdeff,0xffffff50,0xff507fff,0x7fffffff,0x0fffe200,0x3fffe200,
    0x4c3ca99b,0x6ffa87ff,0xf987ff88,0x43ffc47f,0x7fc47ff9,0x447ff987,
    0x7ff987ff,0xff997fec,0x2103ffba,0x7c403ff8,0xffc9aeff,0x3ffe20ff,
    0xffffc9ae,0x2bbffe20,0x20ffffc9,0xc9aefff8,0x3e20ffff,0xffc9aeff,
    0x3bffa0ff,0x3a1ffea1,0x3ff61eff,0x221ffe27,0x7ffc47ff,0xffffc9ae,
    0x7fffff40,0x7e45ffff,0x1bff20df,0xfc837ff2,0x0dffc86f,0x3f21bff2,
    0x1bff20df,0x7ffffff9,0x4c3ffc40,0x80ba87ff,0x05d45ffd,0x2ea2ffec,
    0x545ffd80,0x85ffd80b,0x5ffd80ba,0x3fe6fff1,0x3ffee00f,0x880cffff,
    0xfc9aefff,0x3fe20fff,0xfffc9aef,0xebaa880f,0xc8000fff,0xf3000fff,
    0x0dffb0ff,0xff30fff1,0x987ff88f,0x3ffc47ff,0x3e23ffcc,0x47ff987f,
    0x2ff91ffe,0x7ec05ffa,0x0fffb806,0xf71fffc4,0xfff881ff,0x103ffee3,
    0x7fdc7fff,0x1fffc40f,0xf881fff7,0x1fff73ff,0x7dc7ff98,0x7ffd40ff,
    0xf10fff11,0x0fffb8ff,0x2a1fffc4,0xffeaaaaa,0x07ffe21f,0xff887ffe,
    0x21fff81f,0xff81fff8,0x07ffe21f,0x99887ffe,0x2203ffe9,0x7ff987ff,
    0x03ffcc00,0x400fff30,0x26007ff9,0x7cc007ff,0x26fff17f,0xff100fff,
    0x4015773b,0x7c40fffb,0x3ffee3ff,0x41fffc40,0x2ffffff8,0xfd07db10,
    0x7fcc007f,0x1bfff21f,0x3e61ffe2,0x43ffc47f,0x7fc47ff9,0x447ff987,
    0x7ff987ff,0x4ff87ffc,0x7d40dff3,0x3ffd801f,0x7ec9ffd0,0x49ffd03f,
    0xffd03ffd,0xe81ffec9,0x0fff64ff,0xffca7ff4,0x647ff984,0x5fff04ff,
    0x3e21ffe2,0x81ffec7f,0xfa804ffe,0x77fd43ff,0xffe99999,0x267bfea2,
    0x22ffe999,0x9999effa,0x3ea2ffe9,0xe99999ef,0x3ffa02ff,0x21ffe203,
    0x33007ff9,0x3300fff5,0x3300fff5,0x3300fff5,0x2600fff5,0xff17ffa9,
    0x037ffe2f,0xb0013fea,0x3ffa07ff,0x740fff64,0xfff884ff,0x3ff201df,
    0x0bffe23f,0xcffff980,0x0cfffffe,0x3e61ffe2,0x43ffc47f,0x7fc47ff9,
    0x447ff987,0x7ff987ff,0x7fccfff4,0x220bff51,0x039b74ff,0x3f205ffd,
    0x40bffa5f,0x3ffa5ffc,0x74bff902,0xbff902ff,0xfc817ff4,0x307ffd5f,
    0x3ffe8fff,0x3e27fff0,0x47ff887f,0xff902ffe,0x5fff880b,0xffffffb8,
    0x2e3fffff,0xffffffff,0x3fee3fff,0xffffffff,0x3fffee3f,0x3fffffff,
    0x880fffa0,0x7ff987ff,0xfffff910,0xff910fff,0x10ffffff,0xfffffff9,
    0xffff910f,0x3220ffff,0x7fffffff,0x7fe4fff1,0x7ffcc1ef,0x80abcccd,
    0xff902ffe,0xc817ff4b,0x0fff05ff,0x99bfff60,0x26001fff,0xbfffffff,
    0x3e21fffe,0x47ff987f,0xff987ff8,0x4c3ffc47,0x3ffc47ff,0x3f23ffcc,
    0x3f67fcbf,0x3adfb04f,0x7fc3ffff,0x4dff702f,0xff702fff,0xb817ffcd,
    0x0bffe6ff,0xfff37fdc,0x7dbfee05,0x7ff982ff,0xfe817ffc,0x10fff13f,
    0x2fff8fff,0xe80dff70,0xffc80eff,0xffffffff,0x3ffff23f,0x3fffffff,
    0x3ffffff2,0x323fffff,0xffffffff,0x3fa03fff,0x1ffe203f,0x3ea1ffe6,
    0xffffffff,0x7ffffd47,0x7d47ffff,0xffffffff,0x7ffffd47,0xfa87ffff,
    0xffffffff,0xfd8fff17,0x7fe40fff,0x3fffffff,0xfb817ffc,0x40bffe6f,
    0xdff06ffb,0x9fffea00,0x2002fff8,0x3ffffff9,0x7c43fff5,0x47ff987f,
    0xff987ff8,0x4c3ffc47,0x3ffc47ff,0x3ea3ffcc,0xff34ffef,0x53ff503f,
    0xe8df95ff,0xbff904ff,0xfc827ff4,0x413ffa5f,0x3ffa5ffc,0x74bff904,
    0xbff904ff,0x3e613ffa,0x827ff47f,0xfff13fff,0xfe8fff30,0x0bff904f,
    0xb80fffec,0x99999dff,0x3fee0999,0x9999999d,0x277fee09,0x09999999,
    0x26677fee,0x20099999,0x3e203ffe,0x47ff987f,0x309dfff8,0x7ffc4fff,
    0x4fff309d,0x309dfff8,0x7ffc4fff,0x8fff309d,0x309dfff8,0x1ffe2fff,
    0xf917ffee,0xffffdddf,0x827ff47f,0x3ffa5ffc,0x20bff904,0x3f2003cc,
    0x02fffc7f,0x031dff30,0xfff88131,0x223ffe40,0x7fe40fff,0x207ffc47,
    0x7fc47ffc,0x23ffe40f,0xccffffe8,0xff885fff,0x3fe2bf94,0x741bff61,
    0x1bff63ff,0xffb1fff4,0xd8fffa0d,0x7ffd06ff,0xfe837fec,0x90bffb3f,
    0x6ffd8fff,0x001fff88,0xffd8dff7,0x207ffd06,0x2a02fffb,0x7d4006ff,
    0x7fd4006f,0x37fd4006,0x0fffa000,0x640fff88,0x3ffd47ff,0xff53ffcc,
    0x54fff30f,0x7ff987ff,0x3e61ffea,0x43ffd47f,0xfff17ff9,0xfb9fff20,
    0x5ffd885f,0x7f41bff6,0x41bff63f,0x00003ffe,0xff917fea,0xff30207f,
    0xfff1000f,0x23fffdc3,0x3ee1fff8,0x7ffc47ff,0x11fffee1,0x7fdc3fff,
    0xfffe887f,0xc80dffff,0xff93f26f,0x50bffee2,0x7fdc3fff,0x0fffd42f,
    0xfa85fff7,0x3ffee1ff,0x70fffd42,0xffa85fff,0x41fff91f,0x7e47fffb,
    0x3ffec1ff,0xb8bffb00,0x7fd42fff,0x4fff981f,0x01fffc40,0x007fff10,
    0x001fffc4,0x0007fff1,0xf101fff4,0x7ffdc3ff,0x223ffdc7,0x3fee7ffe,
    0x73fff447,0xffe88fff,0xd11ffee7,0x7ffb8fff,0xf8bfff44,0x4fff307f,
    0xff702ffe,0x217ffdcb,0x3ee1fffa,0x7ffd42ff,0x4009d901,0x7fc41ffd,
    0x4fdcceff,0x8003ffcc,0xffecfffe,0xfffe87ff,0x87ffffec,0xffecfffe,
    0xfffe87ff,0x07ffffec,0x7dfffff3,0xfa87fea0,0x7c43ff36,0xffdcefff,
    0x7fffc44f,0x44fffdce,0xdceffff8,0x7fc44fff,0xfffdceff,0x77fffc44,
    0x224fffdc,0xffdcffff,0x7ffc47ff,0x3fffdbef,0x2fffc980,0x677fffc4,
    0xe884fffd,0xff9006ff,0x997535bf,0x35bfff90,0xff909975,0x997535bf,
    0x35bfff90,0xfe809975,0x7fff403f,0x47ffffec,0xebadfffa,0x3fea7fff,
    0xfffebadf,0x2b7ffea7,0x2a7fffeb,0xfebadfff,0x7ffd47ff,0x7fffebad,
    0x2ae6fff1,0x3fa6ffda,0x3ffe885f,0x33bfffe2,0x7c44fffd,0xffdcefff,
    0x5fff704f,0x27ff65c0,0xffffffa8,0x3ffcc4ff,0xffffb800,0xb87fedff,
    0xedffffff,0xffffb87f,0xb87fedff,0xedffffff,0x35ff507f,0x227f4401,
    0x85fffff8,0xfffffffa,0xfffa80df,0x80dfffff,0xfffffffa,0xfffa80df,
    0x80dfffff,0xfffffffa,0x7ffe40df,0x87fecfff,0xfffffffb,0xfff8805f,
    0xffff505f,0xb01bffff,0xdddddfff,0xffffd0bd,0x3a0bffff,0xffffffff,
    0xfffffd05,0x3fa0bfff,0x5fffffff,0x7ffe6664,0x7dc1cccd,0xfedfffff,
    0xfffffe87,0x7f47feef,0xfeefffff,0x7fffff47,0x7f47feef,0xfeefffff,
    0xfffffe87,0xff17feef,0x3ffffeaf,0x3fffee1f,0x86fffeee,0xfffffffa,
    0xfffa80df,0x00dfffff,0x7c07fff9,0x64402eff,0x42efffff,0x20007ff9,
    0xfb3ffffb,0x3fffee0f,0x3ee0ffb3,0x0ffb3fff,0x6cffffee,0x00dfb07f,
    0x36a03bf2,0xfb100dff,0x8807dfff,0x03effffd,0x77fffec4,0x7ffec403,
    0x7ec403ef,0x3203efff,0xffd3ffff,0x3ffffa60,0xfff1003f,0x7fec4019,
    0x3fe03eff,0xffffffff,0xfffff706,0x7fdc09ff,0x204fffff,0xfffffffb,
    0x3fffee04,0x3fe24fff,0xffffffff,0xffffb82f,0xfb10ffb3,0x1ff69fff,
    0x29ffffb1,0x7fec47fd,0x88ffb4ff,0xfb4ffffd,0xffffb10f,0x7fc5ff69,
    0x3bffff57,0xffffff70,0x362017ff,0x403effff,0x3effffd8,0x007ffcc0,
    0x31000359,0x00199803,0x80009980,0x99800099,0x00998000,0x0000fb60,
    0x4cc00110,0x00998000,0x80009980,0x99800099,0x00066000,0x44000998,
    0x4cc000aa,0xfffff800,0x406fffff,0x20009998,0x20009998,0x20009998,
    0xf8809998,0xffffffff,0x026602ff,0x80033100,0x4c400198,0x00cc4001,
    0x8000cc40,0x75300098,0x99800357,0x00998000,0x00002620,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x03995000,0x89e64400,0x599711aa,
    0x99991000,0x3332ea01,0x332a601b,0x2aa23a9b,0x302aa882,0x20664499,
    0x99711aa8,0x00b2e005,0x2e099910,0x059910cc,0x950ccc98,0x66440199,
    0x33333003,0x57310033,0x05553003,0x1001aaa8,0x2a619999,0x8379930a,
    0x70004cc8,0x0b322199,0x87332e00,0x000cccc8,0xcc88665c,0x4ccccc02,
    0x6664c099,0x00002ccc,0xa8333322,0x01cccccc,0x26201331,0x0176cc09,
    0x2ed98599,0x54c0b320,0x54c001ab,0x220009aa,0x80000099,0x99500ffe,
    0x3ea39999,0xf39ff13f,0x001bffff,0x207bffa2,0xfffffffa,0xffffe886,
    0x3fe27fff,0x107ff987,0x0ffb39ff,0xfff39ff1,0xffb80bff,0x3fe2001f,
    0xd3dfd107,0xffe880bf,0x803fff53,0x4c05fffd,0x0fffffff,0x3ffffee0,
    0x3ffea00d,0x03fff301,0x43dffd10,0xfffcaffc,0x1ffe22ff,0x4f7f4400,
    0xfc8005fe,0xffe882ff,0x3fa2000e,0xf805fe9e,0x42ffffff,0x4ffffffa,
    0xffd10000,0xffffc83d,0x7ffb03ff,0x7453ff20,0xff703fff,0x0ffffa21,
    0x3aa07fdc,0x03ffffff,0x3fffff22,0xff9301ff,0x10005fff,0x5ff88133,
    0x3fffff20,0x221ff93f,0xfffffeff,0xfe8805ff,0xfffa80df,0x546feedf,
    0xffffffff,0x21ffe27f,0x3f207ff9,0xf883ffff,0xffffffef,0x3fff603f,
    0x1ffe2003,0x0efffe88,0xfa9ffec0,0x7fec00ef,0x3e604ffb,0x00ffffff,
    0xfffffff5,0x04fff80d,0xd100dff9,0xffc81bff,0xfffffffe,0x000fff10,
    0x077fff44,0x03bff200,0x001dff90,0x077fff44,0x7fffffc0,0x7f77542f,
    0x880004ff,0xeb80dffe,0xb03fffee,0x3ff207ff,0x07ffdf14,0x77c47ff1,
    0x3ff883ff,0x7fffffd4,0xfe983fff,0x1fffffff,0xffffffc8,0xffa8002f,
    0x7017fd46,0x27fffddd,0x3ffe26fe,0xfffc8aef,0x01f76401,0xd060dffb,
    0x7fcc3dff,0x261ffe27,0x7f5c07ff,0xffff102e,0x0dffb35d,0x000fffd4,
    0xd880fff1,0x775400de,0x7009db13,0x0bba63bd,0x19999998,0x7ccbffe0,
    0x3ff201ff,0x007ffd07,0x3f207dd9,0xff98cfff,0x00fff12f,0x00ded880,
    0x00277540,0x88009dd5,0x33000ded,0x80133333,0x80004ffc,0x3a003eec,
    0x7ffb03ff,0xf193ff20,0x30bfd07f,0x17fa0ffe,0x6cc33ffe,0x7ffc46ff,
    0x1fdcacdf,0x66f7ffec,0xfa8000aa,0x002f5c6f,0x3ba2fffa,0x03bffe22,
    0x00009fff,0x2e017ffa,0x7fc40fff,0x261ffe27,0x100007ff,0x7d41dfff,
    0x00dcc07f,0x001ffe20,0x00000000,0xff300000,0x203ffc8d,0x7cc2fff8,
    0x900000ff,0xffc87fff,0x000fff14,0x00000000,0x00000000,0x13ff2000,
    0xe8000000,0x7ffb03ff,0x3e13ff20,0x007fdc3f,0x0ffb87ff,0x7c43ffc4,
    0x3fff20ff,0x7fd41102,0x2a00003f,0xd00006ff,0x7fc407ff,0x45ffc80f,
    0x9711bcca,0xdfffd817,0x09ffb00a,0x7fc4fff1,0x447ff987,0x2aa882aa,
    0xf303ffe2,0x260000ff,0x07ffccca,0x0de665d4,0x2a20aaa2,0x9975002a,
    0x2aa88379,0x7cc2aa88,0x017fec6f,0xff917ff6,0x99975009,0x85ffc837,
    0xfff13eeb,0x440b32a2,0x599711aa,0x555554c0,0x5554c00a,0x54c00aaa,
    0x0379930a,0x2aaaaaa6,0x09ff9000,0x711aa880,0x3fa00599,0x7fecd53f,
    0xf09ff903,0x01ffc47f,0x3ff88ffe,0xf887ff98,0x0fffe67f,0x003ffe80,
    0x037fd400,0x03ffe800,0x7dc1ffe2,0x3ffffa6f,0x1ffffecf,0x3fffffe6,
    0x41fff41d,0x3fe27ff8,0x447ff987,0x7ff987ff,0x3e21ffe2,0x837fc07f,
    0xffffffe9,0xffff507f,0xff88dfff,0x407ff987,0xfffffffa,0x4c3ffc46,
    0x1fff87ff,0xa801fff5,0x3ffe0fff,0x3fffea01,0x7fe46fff,0x1fff1004,
    0x81bffffd,0xfff9cff8,0xfff905ff,0xfc807fff,0x403fffff,0xfffcaffc,
    0xfffc82ff,0xf9003fff,0xff88009f,0x5fffff9c,0xfedffe80,0x640fff67,
    0x23ff84ff,0x3ff806fd,0xfff81bf6,0xb93ff60d,0xf3000fff,0x800001ff,
    0x00006ffa,0x7c407ffd,0x4dff707f,0xffffddff,0x6cc6ffef,0x25ffffff,
    0xff882fff,0x261ffe27,0x3ffc47ff,0xff13ffcc,0x80fff10f,0xfff986ff,
    0x87ffffff,0xeedffffa,0x43ffc46f,0x3ea07ff9,0x6feedfff,0x7cc3ffc4,
    0xbeffc87f,0xff002fff,0x81bfea5f,0xeedffffa,0x027fe46f,0xffffff88,
    0x7c45ffff,0xffffffef,0xffffc83f,0x7fe403ff,0x6403ffff,0xfffffeff,
    0x7ffe40ff,0xf9003fff,0xff88009f,0xfffffffe,0x7ffff403,0x40fff66f,
    0x3ff84ffc,0xff003ff5,0xb807fea7,0xffebffff,0x01bff20e,0xcb9effa8,
    0x2a0002cd,0xd00006ff,0x7fc407ff,0x5c9ff907,0x647ffe60,0xfeb880ff,
    0x7ffd3fff,0x7c4fff10,0x47ff987f,0xff987ff8,0x221ffe27,0xff7107ff,
    0x43dffd0d,0xffd87ff9,0x7ff88306,0x3607ff98,0xf88306ff,0x87ff987f,
    0x2ffffff8,0x6d7ff200,0x3ff603ff,0x4ffc8306,0xdffff100,0x43fff915,
    0x9aeffff8,0x99886ffd,0x4403ffe9,0x03ffe999,0x467fffe4,0x4c42fff9,
    0x003ffe99,0x7b709ff9,0x5dffff10,0x540dffb3,0x6c3fffff,0x9ff903ff,
    0x003ff880,0xb803ff88,0x0dffffff,0x9002ffec,0xffffffff,0xf50003df,
    0x3a0000df,0x3fe203ff,0x807ffd07,0x0bfe67ff,0x36bfff30,0x7ffb84ff,
    0xf903ffe2,0x87ff88ff,0x3fe27ff9,0x447ff887,0x5c7ffffd,0x7fc40fff,
    0x005ffe87,0xff30fff1,0x02fff40f,0xf987ff88,0xfffe887f,0x7fc4000e,
    0x200fff9f,0xf9005ffe,0x3fe2009f,0x27ffc0ef,0x541dfff1,0xffe807ff,
    0x1fff4003,0x90ffff20,0xffe809ff,0x89ff9003,0x7c44fffd,0x3fea0eff,
    0xffffea87,0x207ffb04,0x7ec04ffc,0x0dfb0006,0x3ffff620,0x27ff41ef,
    0xfffff900,0x00dfffff,0x000dff50,0x880fffa0,0xfffb87ff,0xf12ff401,
    0xbffb007f,0xfa83fff2,0x3ffe27ff,0x11fffee1,0xfff30fff,0x7c43ffc4,
    0x7ffff47f,0x427fe47f,0xffd87ff8,0x3e200adf,0x07ff987f,0x02b7fff6,
    0xf987ff88,0x7fff447f,0x0bff31ff,0x5ffeffd8,0x56fffec0,0x013ff200,
    0x6407ffc4,0x3ffe25ff,0x403ffcc0,0x74003ffe,0x7fe403ff,0x403eeb85,
    0xf9003ffe,0x7ffff89f,0x2607ffc4,0x7ffd47ff,0xffb03fff,0x813ff207,
    0xa8001ffa,0xfe8801ff,0x2ffffdef,0xd8017ffa,0x3ee0afff,0x7d4003ff,
    0xfd00006f,0x7ffc407f,0x3fffdaab,0xfffffeb8,0xbd3fffff,0xfff73337,
    0x2fbffe27,0x747ffffd,0xfffecfff,0x43ffc47f,0x3fe27ff9,0x2e7ff887,
    0x3fa03fff,0x87ff883f,0xdffffff9,0x987ff881,0x3fe607ff,0x881dffff,
    0x7ff987ff,0x7feeffec,0x404ff98f,0x02fffffa,0x7fffffcc,0x04ffc81d,
    0x2e0fff10,0x1ffe26ff,0x3a01ffe2,0x7f4003ff,0x27fe403f,0x0fffa000,
    0x3e27fe40,0x7fc46fff,0x547ff887,0x03ffebff,0x3f207ffb,0x19ff104f,
    0x44015bb7,0x199914ff,0x3ea5ffe8,0xdff90fff,0x82ffe400,0x54004ffd,
    0xd00006ff,0x7fc407ff,0x5fffffff,0xffffffe8,0xf3ffffff,0xffffffff,
    0x7fffe41d,0x5c7ffdff,0xedffffff,0x43ffc47f,0x3fe27ff9,0x367ff887,
    0x7ffc06ff,0x307ff882,0xbffffffb,0xf987ff88,0x7fecc07f,0x7c45ffff,
    0x27ff987f,0xffd0fff9,0xf007ff7d,0x2600dfff,0x5ffffffd,0x88027fe4,
    0xdff707ff,0x7c43ffc4,0x3ffe807f,0x01fff400,0x00013ff2,0x32007ffd,
    0x7ffd44ff,0x443ffc42,0xfd1cc7ff,0x0fff607f,0xfd827fe4,0x09ffffb6,
    0xfffd37ec,0x4c37fd41,0xfff72fff,0x1bfee001,0x2002ffe4,0x00006ffa,
    0x7c407ffd,0x2effffff,0xfd0cffa8,0xffffd809,0xfb80bfff,0x7ff8bfff,
    0xb3ffffb8,0x87ff88ff,0x3fe27ff9,0x3a7ff887,0x7ff405ff,0x407ff883,
    0x3ffffeb8,0x3e61ffe2,0xfd71007f,0x7fc47fff,0x2e7ff987,0x3ffe25ff,
    0xfc801fff,0x5c4002ff,0x323ffffe,0xff1004ff,0x893ff20f,0x7ff887ff,
    0x003ffe80,0x3201fff4,0x740004ff,0xff9003ff,0xf1015109,0x0fff10ff,
    0xfb03ffe8,0x13ff207f,0x45c47fea,0x3ff507fc,0xc83ff7ee,0x7ffd04ff,
    0x4013ffea,0xfc80fffa,0x7fd4004f,0xffd00006,0x47ffc407,0x07fe4009,
    0x26600bfd,0x13300099,0x9981ffe2,0xf889ff30,0x3ffe40ff,0x7ffe4000,
    0x213ff600,0x26007ffb,0x3fe25fff,0x03ffe40f,0x12fffcc0,0xffc81fff,
    0xf313fee7,0x3200dfff,0x4c0006ff,0x40005fff,0xffd07ff8,0x443ffc47,
    0xffe807ff,0x1fff4003,0x0013ff20,0x2007ffd0,0x44004ffc,0x7ff887ff,
    0xd81fff40,0x7ffd03ff,0xfb04ff88,0x229ff10d,0x2e0ff8ff,0x3fff07ff,
    0x4427ffec,0x87fff10a,0x4003fff8,0x00006ffa,0x7c407ffd,0x3ff6007f,
    0x001fff10,0x88001554,0x3fe007ff,0x21fff885,0x5407fffb,0x3ffea02a,
    0x1fff902e,0x003fffd4,0xff897ff6,0x1fffee1f,0x12ffec00,0x7fdc3fff,
    0x03ffea7f,0x3009fff7,0x00007fff,0x5540bffb,0x21ffe202,0x3e21fffb,
    0x07ff887f,0x4003ffe8,0x7e403ffe,0x7f40004f,0x9ff9003f,0x87ff8800,
    0x7f407ff8,0x27ffb03f,0x1fffdcdc,0xffc837e4,0x3f66fc82,0x3e62ff9c,
    0xfeb9bdff,0x7fffcc7f,0x21ffedef,0xfcbdfffc,0xfa8006ff,0xfd00006f,
    0x3ffc407f,0xd37ff500,0x9313dfff,0x0017fe20,0xa803ffc4,0xfffd04ff,
    0x0fffffd9,0x3202ffc4,0x0eefffff,0xfb7dfff1,0x7bd0ffff,0x7fff7333,
    0xfecfffe8,0x37a07fff,0xfffb999b,0x767fff43,0x3e27ffff,0xffbabeff,
    0x4cc41fff,0x2005fffb,0xfb999bde,0xbff103ff,0x55fffc40,0x443fffda,
    0x7ff887ff,0xfffcccc8,0x6641cccd,0xccdfffcc,0x027fe41c,0x3ff33320,
    0x971cccdf,0x99dffd99,0x7ff88059,0x6647ff88,0xccdfffcc,0x327ffb1c,
    0x544fffff,0x7ff441ff,0x3e1ffa81,0x21ffffff,0xfffffffc,0xfffa81ff,
    0x21ffffff,0xffffffe8,0xfa8001ff,0xeeeeeeff,0xf999900e,0x43999bff,
    0x22007ff8,0xfddfffff,0xf507ffff,0x3e20005f,0xfff3007f,0xffffb85d,
    0x207fedff,0xfc802ffa,0x320fffff,0xedffffff,0xfffff87f,0x5c0effff,
    0xedffffff,0x3fffe07f,0x40efffff,0xdffffffb,0x7ffd47fe,0xffffffff,
    0x3fffe60e,0x3fe000ef,0xefffffff,0x405ff500,0xfffffff8,0x7ff885ff,
    0x7c47ff88,0xffffffff,0x3ffe22ff,0xffffffff,0x0027fe42,0xfffffff1,
    0x3fa5ffff,0xffffffff,0x3ffc403f,0xff13ffc4,0xffffffff,0x64fff65f,
    0x7443ffff,0xffffe84f,0xc89fd12f,0x40cffccc,0xcfffffea,0x3ffb2200,
    0xfc80beff,0x000cffff,0xffffff50,0xf101ffff,0xffffffff,0x3ffc45ff,
    0x57ffae00,0x06ffffd8,0x20001ff9,0x36007ff8,0xffb83fff,0x40ffb3ff,
    0x91000ffc,0xfb81fffd,0x0ffb3fff,0xfffffffb,0x3ffee017,0x6c0ffb3f,
    0xbfffffff,0x7ffff700,0x3fa61ff6,0xfe8aefff,0x3fffe65f,0xfffd8004,
    0x200bffff,0x32200ffc,0x2efffffe,0xf10fff10,0xffff88ff,0x2fffffff,
    0x3fffffe2,0x642fffff,0x3e2004ff,0xffffffff,0xffffd2ff,0x07ffffff,
    0xf887ff88,0x3fffe27f,0x2fffffff,0xfc804c40,0xffffe80e,0x801df92f,
    0x266200ff,0x00330001,0x400004c4,0xfffffffa,0xff880fff,0xffffffff,
    0x000ccc2f,0x09988088,0x0000aa60,0xa8800333,0x00266009,0x40005530,
    0x00266018,0x00133330,0x980004cc,0x26000999,0x09980009,0x01577100,
    0x09999800,0x80055300,0x00000098,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fb2e200,0x066643de,0x44332e00,0xa98802cc,0x644001ab,
    0xbb700ccc,0x4ccc4287,0x20199999,0x4000ab98,0x9999aaa9,0x2aea2009,
    0x1e644000,0x2e0dd880,0x90e6403e,0x37310039,0xabba9800,0x6776c409,
    0x880b3201,0xbd91002a,0x220004c5,0x3310cccc,0x03333333,0x90079910,
    0xca800199,0x101ccccc,0x51000999,0x00015595,0x07bddb91,0x33101544,
    0x88266201,0x13310099,0x00aba980,0x33333331,0x26613333,0x99999999,
    0x99980099,0x75019999,0x4cc37999,0x99999999,0x7ffd4099,0xf335ffff,
    0x001335ff,0xbfd3dfd1,0xffffe980,0xe8803fff,0xffb01eff,0x45fd7dff,
    0xfffffffc,0xfffd887f,0x7d400eff,0xffffffff,0xfffd883f,0xfb001eff,
    0xffb00bff,0x803ffe69,0x1ffc9dfe,0x3ffff620,0x7ff4c05f,0x260fffff,
    0xb80fffff,0x9ff900ff,0xffffd100,0x2001fd7b,0x321effe8,0xffffffff,
    0x7ffec01f,0x007ffc05,0x3fffff20,0x0fff103f,0xfffffc80,0xf7000cff,
    0x20dfffff,0x3fa04ffc,0x4bff702f,0xffd05ffb,0x3fffea05,0xfffc84ff,
    0xffffffff,0xfffffff2,0x80dfffff,0xfffffff9,0x3fffea0f,0x3ffe6fff,
    0xffffffff,0x3fffe65f,0xfff5edce,0x00bfffff,0x03bfffa2,0xffffffc8,
    0x74404fff,0xfd100dff,0x1fffffb7,0x7fffffe4,0x7ff447ff,0x01ffffff,
    0xfffffff9,0xf987ffff,0xffffffff,0x7dffec02,0xa7fec04f,0x2a00fff9,
    0x205fffff,0xfecdffe9,0xfffa80ef,0x40ffffff,0xf885ff10,0x13ff203f,
    0x3fafbe60,0xd1005fff,0xffc81bff,0x1fffffff,0x3fefff60,0x003ffe04,
    0xfffddd70,0x01ffe207,0xffffffb0,0xff300bff,0x20ddbbff,0x3fa04ffc,
    0x4bff702f,0xffd05ffb,0xfffff905,0xffc8dfff,0xffffffff,0x9999ff2f,
    0x0df99999,0xffffffc8,0xffff50ff,0x7fcdfddb,0xffffffff,0x37ffa5ff,
    0x3ffffe00,0x22005fff,0x3ee00ded,0xdcabdfff,0x1f76404f,0x9db30c40,
    0xaaaaa983,0x7fec7ffc,0x5fffb9ae,0xcadfff98,0x41aaaeff,0xfcbcfffe,
    0x37ae07ff,0x4405dd31,0x00b6a0cd,0x8813bfaa,0x6fe885ff,0x55f7ffc4,
    0x7540dba9,0x05fe85ff,0x98027fe4,0x002f76a0,0xfc81f764,0xeeeeeeef,
    0x263bd701,0x1fff02ee,0x3ffe8000,0x800fff10,0xfeb99acc,0x7fec01ff,
    0x13ff2005,0xf702ffe8,0x3fffb2bf,0xfffeeeee,0x37ffe63e,0x22fffc99,
    0xeeeeeeeb,0x2df2fffe,0x3e20bcdb,0x7ffffc06,0xffb0aaad,0xaaaa860d,
    0xaaabfffb,0x801fff32,0x99afff99,0xf8800000,0x03100eff,0x00000000,
    0xff99ffea,0x0fffcc0f,0xffa97ff6,0x07ffee05,0x0007fff3,0x00000000,
    0x1130bf90,0x7ffd45fd,0x3ffea000,0x103fee2f,0x5dffb555,0x00005555,
    0x2ffc8000,0x3e000000,0x740000ff,0xfff103ff,0x3fe20000,0x17ff403f,
    0xffb55510,0x3a55555d,0xbff702ff,0x3ffffff6,0x4fffffff,0x3f217ff6,
    0x3ff2006f,0x7ffe5be6,0x540df13f,0xd04ffcff,0xf3000bff,0x3fea01ff,
    0x03ffe006,0xaaaaaa80,0x3f22aaaa,0x54c000ff,0x0379930a,0x2aaaaaa6,
    0x3ffd4000,0x3f609ffb,0x87ffe24f,0x3fe05ffa,0x0dffb03f,0x15555553,
    0xaaaaa980,0x5554c00a,0xff100aaa,0x5dfff623,0x03ffee6f,0xf8b7ec00,
    0xffff983f,0x6fffffff,0x65c46aa2,0x2aaaa02c,0x22aaaaaa,0x55002ffc,
    0x1aa88015,0x55103ffe,0x3ffe8035,0x2e2fff10,0xfe8002cc,0x0fffc02f,
    0xffffff30,0x3adfffff,0xbff702ff,0x3ffffff6,0x4fffffff,0x3e60bffa,
    0xff8800ff,0x54c5be3f,0x06f8affd,0x13fe7ff6,0x056fffec,0x00fff980,
    0x7c00bff7,0xdffda8ff,0xfffffe80,0x3fe5ffff,0xffc8004f,0x2fffffca,
    0xffffffc8,0x3ffd4003,0xffb03fff,0x23ffccbf,0xff105ffa,0x1ffea03f,
    0x3ffffff2,0x7fffe403,0x7fe403ff,0xf503ffff,0x8bffff4d,0xbfff51ff,
    0xf9995001,0x4c1bf67f,0xffffffff,0x3fe26fff,0x5fffff9c,0xffffffd0,
    0x7fe4bfff,0x03ffb002,0x3fe4ff98,0x07fff40f,0x440fffa0,0xffff9fff,
    0x3fe2005f,0x00fff807,0x3fffffe6,0xfd6fffff,0x97fee05f,0xffd05ffb,
    0x883fff85,0xfc801fff,0xfd837c7f,0xff106f8d,0x2609ff39,0x1dffffff,
    0x807ffcc0,0x3e005ffb,0xfffffbff,0x7ffff40f,0xf15fffff,0xf90005ff,
    0xffffffdf,0xffffc81f,0x7d4003ff,0x983ffe7f,0x2a6ffffe,0x6ffd45ff,
    0x1ffe6199,0x640fff98,0x03ffffff,0x7fffffe4,0x7fffe403,0x2bf703ff,
    0x7f413ffb,0xbfffff12,0x77ffdc03,0x4c03ff54,0x99dffd99,0x3bfe2099,
    0x3fffffff,0xffffffe8,0x3ff25fff,0xf901bccd,0x3ffa805f,0xffd83ffe,
    0x3ffe801f,0xffffff10,0x2607ffff,0x83ffea99,0xbfffaaaa,0x2660aaaa,
    0x999dffd9,0x205ffd09,0x3fee5ffb,0xe85ffd05,0x5fff05ff,0x43fff880,
    0xf1bf906f,0x267fee0d,0x4c199dff,0x5ffffffd,0x403ffe60,0x3e005ffb,
    0xffedffff,0x5555544f,0xf31fffea,0x7ffdc3ff,0x7ffe44ff,0x2fff98cf,
    0x7ff4ccc4,0xbffd4003,0x3fee7ff8,0x3ee7ffef,0x7fffd45f,0x0fff51ff,
    0x220fffc4,0x03ffe999,0x7ff4ccc4,0x74ccc403,0x29f903ff,0x47fb07fc,
    0xeffffffa,0xff883303,0x13ff2003,0x5dffff10,0x550dffb3,0xfffd5555,
    0x7ffffe43,0x7fdc2eff,0xf17fdc03,0x3ffee1ff,0x07ffd002,0x2bbfffe2,
    0xf886ffd9,0xf02fffff,0xffffffff,0x3f207fff,0x0bffa04f,0xff72ffdc,
    0xffdddddf,0xdfffc85f,0x3fffda9a,0x7c3ffe40,0x2fff2aa6,0x2dfd06f8,
    0x07fffff9,0x7ffffd71,0x7fff774c,0x3fee0eee,0x3fffe005,0x2017ff23,
    0x3ea3fffa,0x3ffee0ff,0x7ffe44ff,0x2027fe43,0x54003ffe,0x1fff37ff,
    0xff17fffb,0x513ff21f,0x23ffffff,0x3e207ffb,0x7ff402ff,0x1fff4003,
    0x40fffa00,0x20ffb3fd,0x7ff4c4fc,0x800dffff,0x998806fd,0x1999dffd,
    0x5077ffc4,0x3ea00fff,0x7ffe43ff,0x21ffffff,0x8f2e4ffa,0x3ffe0ffc,
    0x002fffa8,0x7c40fffa,0x3fea0eff,0xfffff887,0xffff84ff,0xffffffff,
    0x409ff903,0xff702ffe,0x7ffffdcb,0x42ffffff,0xfffffff8,0x2202ffff,
    0x26f83fff,0xdf14fffe,0x3e67ff30,0x9807ffff,0x3fea5fff,0x1fffffff,
    0xf8017fee,0x37fd44ff,0x317ffe20,0x77541fff,0x7fe44fff,0x403eeb85,
    0x54003ffe,0xffff17ff,0x3fe63dff,0xf517fee7,0x2a1555df,0x3fe207ff,
    0x1fff401f,0x00fffa00,0x3207ffd0,0xb01ffb4f,0x3ff2607f,0x7d405fff,
    0xfffc801f,0x47ffffff,0x7cc0fff8,0xfff8807f,0xffca8805,0x457fe66f,
    0x8ffb0fff,0x3fffafff,0x81fff400,0x7cc0fff8,0xd755507f,0xff80bfff,
    0x3ff2000f,0x40bffa04,0x3fee5ffb,0xffeeeeef,0xfffe982f,0x01ffffff,
    0x3e03ffee,0xf882bfa6,0xf30ffc86,0x200555bf,0x3fea5ffd,0x1fffffff,
    0xf8017fee,0x37fcc0ff,0x103bffa0,0x3f203fff,0x027fe44f,0x00fffa00,
    0x7fcfff50,0x3e60dfff,0x517fee6f,0x3fe60bff,0x0fff300f,0x8007ffd0,
    0x74003ffe,0x2bf703ff,0x3a3adffb,0x7fdc402f,0x9ff100ff,0xf9033322,
    0xffffffff,0x887ff88f,0xffe807ff,0x7fec000e,0xffbb7fc7,0xff8dfd3f,
    0x8005ffff,0xff103ffe,0x00fff10f,0xf00fffdc,0x7e4001ff,0x0bffa04f,
    0xff72ffdc,0x80bffa0b,0xff89aba9,0x9fff100f,0x40fd9be0,0x26ff86f8,
    0x7bd04ff9,0x7fff7333,0x403ffe60,0x3e005ffb,0x37fcc0ff,0x203fffb0,
    0xff904fff,0x004ffc89,0x001fff40,0xfff9ffea,0x25ffb82f,0x7fd47ffa,
    0x03fff105,0x3a01bfea,0x7f4003ff,0x7ff4003f,0x7f4ff503,0x01ff17ff,
    0x40bffee0,0x3fffa6fd,0x7fed54c0,0x7c42aaae,0x07ff887f,0x000fffec,
    0xfd0fffcc,0x75bfffaf,0x7f7ffc5f,0x7f4000ff,0x0fff103f,0xf800fff1,
    0x3ffe02ff,0x13ff2000,0xf903ffe8,0x82ffdc9f,0x54002ffe,0x3fee06ff,
    0x808df00f,0x7ffd46f8,0xf04fffff,0xffffffff,0x3ffe601d,0x00bff700,
    0x3e607ffc,0x5fff706f,0xc83ffec0,0x27fe44ff,0x0fffa000,0x6cdff700,
    0x7ffd05ff,0xf50fffc4,0x27ffc0bf,0xe805ffd8,0x7f4003ff,0x7ff4003f,
    0x225ff103,0x0df76fec,0x40fffc40,0xfbf71ffa,0x2ffe401f,0x221ffe20,
    0x3fee07ff,0xff90002f,0xff9ffd8f,0x44ff9ffe,0x6ffe9fff,0x81fff400,
    0xff887ff8,0x3ffe2007,0x003ffe01,0x3605ffc8,0x5ffb04ff,0xfe82ffdc,
    0x7ff4002f,0x813ffe03,0x883fd16f,0x7fffec6f,0xfd04ffff,0x09ffffff,
    0x700fff98,0x7fc00bff,0x437fcc0f,0x4c04fff9,0x7e40efff,0x027fe44f,
    0x40fffa00,0x27ff440a,0xfb83fff5,0x26ffd87f,0x3ee05ffa,0x7ffdc2ff,
    0x03ffe801,0x001fff40,0xfc80fffa,0x43ff300e,0x3fff201a,0xf8a7fc40,
    0x2e00ff8f,0x7fc407ff,0x307ff887,0x20009fff,0x7e45fff8,0xcff9ffdf,
    0x47ffc3ff,0x2005fff9,0xff103ffe,0x00fff10f,0xf007ffe4,0x7dc001ff,
    0x3ffee07f,0x70fffc40,0x3ffa0bff,0xfffd3002,0x03ffee01,0x87ff36f8,
    0x3bfe26f8,0x04ffdccc,0x8037fccc,0xf700fff9,0x7ffc00bf,0x2237fcc0,
    0xf9006ffe,0xff99dfff,0x04ffc89f,0x81fff400,0xffebbdfd,0x67fff41f,
    0xa83fffca,0xffdcefff,0x3e21ccce,0xffecefff,0x7ffd004f,0x03ffe800,
    0x101fff40,0xffa83dff,0x666ffec5,0xc85fffec,0x3e73f66f,0x3ffea02f,
    0x3e23aaad,0x87ff887f,0xd806ffe8,0xfffecacc,0x7fffdc1f,0x85ffffd5,
    0xfff70fff,0x0fffa007,0x7c43ffc4,0x2af3627f,0x04ffffcb,0x50007ffc,
    0x7555bfff,0x2afbffe2,0x7dc4fffb,0x05ffd05f,0xffffdddd,0x27ff403f,
    0x883a9be0,0x30bff26f,0x01999dff,0x26009ff1,0xff700fff,0x07ffc00b,
    0xffb1bfe6,0xbddddddf,0xfffffc88,0x7e44ffff,0x6664004f,0xcccdfffc,
    0xffffffb1,0xfffd309f,0x6409ffff,0xffffffff,0x7fcc3fff,0x0dffffff,
    0xfff99990,0xcc83999b,0xccdfffcc,0x7e66641c,0x41cccdff,0xffefffe9,
    0xffffd85f,0xa86fffff,0x3fffe1ff,0x3fa01fff,0x226fffff,0x7ff887ff,
    0xeeefffd8,0x3ffe5eee,0x82ffffff,0xf92ffffa,0xfff83fff,0x20bfff60,
    0xdfffcccc,0xfff11ccc,0x7c4fff10,0xffffffff,0x00fff805,0x7fffff40,
    0x3fffee6f,0x5c0effff,0x5ffd05ff,0xfffffff0,0x7ffdc03d,0x7777fc00,
    0x6feeeeee,0x3fe61ffe,0xfa81ffff,0xfff3001f,0x017fee01,0x7cc0fff8,
    0x7ffffc6f,0x506fffff,0x9ffffffd,0x004ffc83,0x3fffffe2,0xd52fffff,
    0x405dffff,0x2effffc8,0xffffea80,0x883fffff,0x03effffd,0x3fffffe2,
    0x222fffff,0xffffffff,0x3fe22fff,0xffffffff,0xffec882f,0xffd703ef,
    0x105dffff,0xcccc89fd,0x32200cff,0x226fffff,0x7ff887ff,0xfffffff8,
    0x3ffe6fff,0x300befff,0x3e61ffff,0x7ffc0fff,0x83fffa20,0xfffffff8,
    0xff12ffff,0x44fff10f,0xdfffffff,0x01fff001,0xffffc880,0x7fff4c6f,
    0xbff704ff,0x3e0bffa0,0x802cefff,0xff805ffe,0xffffffff,0x09ff56ff,
    0x3ffffff3,0x4c00bd70,0xff700fff,0x07ffc00b,0xfff1bfe6,0xdfffffff,
    0x40133100,0x22004ffc,0xffffffff,0x01982fff,0x20001880,0x31000099,
    0xffff1001,0x5fffffff,0x7fffffc4,0x222fffff,0xffffffff,0x0c402fff,
    0x03333100,0x7c00efc8,0x2666000f,0x443ffc40,0xffff87ff,0x46ffffff,
    0x3e000998,0x3fff45ff,0x3e607ffc,0xfff10eff,0xffffffff,0x221ffe25,
    0x4ccc47ff,0x1fff0001,0x04ccc000,0x00002660,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x10000000,0x00033333,
    0x26200333,0x0ccc0009,0x06aa2000,0xabcca980,0x01575100,0x00d5d440,
    0x0ccc4000,0x4c426660,0x84cc4009,0x26201998,0x4cccc419,0x33331001,
    0x80ccc003,0x26621999,0x06662000,0x98826662,0x00266019,0x20026662,
    0x004cc098,0x2004ccc4,0x00999999,0x004ccccc,0x00cccccc,0x4cccccc4,
    0x26099999,0x99999999,0x20133109,0x03310998,0x26613310,0x84cc4009,
    0x99999998,0x33333099,0x13333333,0x26666662,0x26600999,0x0000a800,
    0x3ff20510,0x01deffff,0x4007ffc4,0x26002ffe,0x910007ff,0xd300bfff,
    0x89ffffff,0xcffffffb,0x3fff2200,0x26442fff,0xff883360,0x4dff703f,
    0xf100fffb,0x3ffe25ff,0xc8bfff04,0xdeffffff,0xfffffd01,0x3e603bdf,
    0x3fffa87f,0xc801bfea,0x7fe42fff,0x0ffff62f,0xf3017fe6,0xff009fff,
    0x200ffcc9,0x206ffff8,0xfffffff9,0x7ffcc1df,0x40beffff,0xfffffff9,
    0xfffa80be,0xffffffff,0x3fffffe2,0xffb6ffff,0x5d3ff207,0x7fd402ff,
    0xe80dffb2,0xffff94ff,0x3ebfffff,0xffffffff,0xfff95fff,0x09ffffff,
    0x3ee037fc,0x7cc0000e,0xffffc82f,0x204fffff,0xe800fff8,0x3e6002ff,
    0xffb8007f,0x7d405fff,0x4fffffff,0xffffffd1,0x7fec0bff,0x31ffffff,
    0x3ee05fff,0x3ffee0ff,0x217ffc40,0xff903fff,0x40fffc8d,0x7e41fffb,
    0xffffffff,0xfffffe84,0xf984ffff,0x37ff447f,0xc801bfea,0x7ff44fff,
    0x1ffff63f,0xfd017fe6,0xff009fff,0x2007fd49,0x01fffffa,0xfffffff3,
    0x7fcc3fff,0xffffffff,0x3ffffe61,0xfa86ffff,0xffffffff,0x3fffe2ff,
    0xb6ffffff,0x3ff207ff,0xa805ff74,0x1fff72ff,0x64bffe20,0xffffffff,
    0xffffff5f,0x2bffffff,0xfffffffc,0x1bfe04ff,0x01ffff88,0x1ffff500,
    0xdcadffc8,0xf104ffff,0xffd001ff,0x7ffcc005,0x980bceee,0x5fffffff,
    0x2ffffe20,0x3f63ca99,0xfffebbcf,0x9cfffa82,0x7fe44fb8,0xff9aaa9f,
    0x44ffe83f,0xffb86ffc,0x0fffc40f,0xff13ffe2,0x5bff90bf,0x89ffffb9,
    0xfdcacffe,0x7fcc4fff,0x207ffe47,0x36006ffa,0x3fe27fff,0x3fff63ff,
    0x02ffcc3f,0x09fffff5,0x3ee3ff88,0x7ffe400f,0xfff303ff,0xdfff9555,
    0x6557ffcc,0xf30efffd,0xfffb75ff,0xeeee987f,0x1ffffeee,0x3ffeeaaa,
    0x7ffb2aab,0x7d53ff20,0x8ffd402f,0xf503fff8,0x677fe4ff,0x553ccccc,
    0x57fff755,0x3bff2555,0x02cccccc,0xfd301bfe,0xfb8005ff,0xffc80eff,
    0x07fff444,0xb707ffc4,0x4005ffd0,0xfffffff9,0x7ffc44ff,0x3205ffcc,
    0xd8800fff,0x427ffc40,0xd0085ffc,0xffffffff,0x3ffea0bf,0x203fff10,
    0x7fe43fff,0x21fff705,0xfc80fffb,0x7fff444f,0xd10bffa0,0x7fcc1fff,
    0x20bffe67,0x36006ffa,0xff71ffff,0x7ffec9ff,0x82ffcc6f,0x4ffcfff8,
    0xf917fcc0,0xf9fff00f,0x1bfe60bf,0xff99ffee,0x32fffb87,0xbfff0fff,
    0x27ffcc00,0x360fff30,0x9ff903ff,0xf700bfea,0x82fff43f,0x3ff25ffc,
    0xfff98005,0x00bff900,0x2201bfe0,0x9003fffe,0x7e40bfff,0x4fff884f,
    0xfb8fff88,0x02ffe85f,0x3bbffe60,0x6c4fffff,0x40bff90c,0x80003ffe,
    0xffe85ffd,0x3ffe2002,0x00ffffff,0x7fe57ff6,0x89ffee04,0x3fa01fff,
    0x209fff5f,0xff884ffc,0x20bffa4f,0x3e64fff8,0x417ffa7f,0x36006ffa,
    0x9fd4ffdf,0x7ffec9ff,0x17fe62ff,0x7fd5ffe4,0xfffffb04,0x3fffffff,
    0xff3dff30,0x0dff301f,0x3e61fff3,0x29ffd07f,0xffc87ff9,0x1bffa007,
    0x360fff30,0x9ff903ff,0xf700ffe6,0x83ffe41f,0x3ff22fff,0xfff98005,
    0x00bff900,0xfff55553,0x36035555,0x36205fff,0x7e403fff,0x0bffb04f,
    0xfffffff1,0x005ffd0b,0xb513ffcc,0x7e403fff,0x5fff105f,0x9ffb0000,
    0x4003fff0,0xfc9afff8,0x3fe600ff,0x400fffaf,0xbff93fff,0xfdfffa80,
    0x9ff900ff,0xfe97ff60,0x4bffb02f,0xfff97ff9,0x01bfea01,0x8efddfe8,
    0x364ff9ff,0x266ffcff,0x6ff985ff,0x3f609ff5,0xffffffff,0xffb81fff,
    0xf305fff4,0x4dff70df,0xffb07ff9,0x321ffe6b,0xff9006ff,0x7ff9803f,
    0x3207ffb0,0x47ff34ff,0x83fee4fc,0x7cc1fff9,0x17ff20ff,0x03ffe600,
    0x6402ffe4,0xffffffff,0x3ee03fff,0x7f4c0eff,0x7ecc02ff,0x3ee099df,
    0xffff887f,0x5ffd02ef,0x7cc5b910,0x3fff987f,0x4c17ff20,0x40001fff,
    0xff83fff8,0x3fea001f,0x201ffec3,0x03fffffc,0xff8effb8,0xfffe801f,
    0xffb303ff,0x7fdc133b,0x5c0bffa7,0x3ffe67ff,0x2a01fff9,0x3fa006ff,
    0xf7fbffac,0x7cffecbf,0x0bff31ff,0x3fea3ffd,0x5ffb5304,0x155bff55,
    0x3f63ffd0,0x26ff984f,0x262fffb9,0x7ffd07ff,0xff31ffe6,0xfff3007f,
    0x0fff3009,0x2aab7ff6,0xf34ffdaa,0xf93ffc7f,0xb87fff0f,0x6ffe46ff,
    0x00999999,0x3201fff3,0xffc805ff,0xffffffff,0x7ffd403f,0x3ffff30e,
    0xffffff00,0x23ffd4bf,0x02efffea,0x7f417ff4,0x0fff33ff,0xfc817ffa,
    0x5fff105f,0x7ffc8000,0x777fff6c,0xff903eee,0x404ffb81,0x006ffff8,
    0xbffbfff1,0x3fffe600,0x3ffffe06,0x9ffea5ff,0xff502ffe,0x7f7ffccf,
    0x37fd404f,0xff19ff00,0xd97fa9ff,0x35ffb8ff,0x4ffb8bff,0xf9013fea,
    0x2204ff8f,0x1ffee7ff,0x3fffffe6,0x7fcc2fff,0x32fffa87,0xffdb9fff,
    0x3ffa00bf,0x0fff3006,0x3ffffff6,0xf14fffff,0x47ffe69f,0x6ffc87fc,
    0x3f21ffec,0xffffffff,0x01fff303,0x3bbbfff2,0x3fe00eee,0xfffc8006,
    0x13fff624,0x3fffffe0,0x43ffea5f,0x00fffffb,0x7cc2ffe8,0xfff35fff,
    0xc813ff60,0x3ffe05ff,0x3fea0005,0x7ffffc3f,0xb04fffff,0x4ff981ff,
    0x02fffb80,0x3ffffee0,0xffff1001,0x7ffffc0b,0x3ffea5ff,0x2a05ffd0,
    0xfff30fff,0xfa809fff,0x53fe006f,0xdfd2fffe,0x7fc47fec,0x225ff98f,
    0x3fea0fff,0xf137ec04,0x2ffd407f,0xf983fff1,0xffffffff,0x27ffe61e,
    0x25fffca9,0xfffffff9,0xfff9002d,0x1ffe6003,0x7fffffec,0xf14fffff,
    0x53fff29f,0xfffa87fc,0xc83fff10,0xffffffff,0x1fff303f,0x3fffff20,
    0x3e01ffff,0x3fa2006f,0xfff903ff,0x7fed401b,0x3fee1aad,0x3ffffee7,
    0x42ffe800,0xf35ffff8,0x5fff10ff,0x902ffe40,0x80207fff,0xcc84fff9,
    0xccccdfff,0xa85ff702,0x999902ff,0x07999fff,0x05ffff88,0x3fffff20,
    0x5bffb502,0xd3ffdc35,0x3fee05ff,0x3efffe67,0x3fea01ff,0x5d3fe006,
    0xd9bfa7ff,0x39ff90ff,0x17fecbff,0xfd013fea,0xb017fccb,0x3ffe87ff,
    0x5d57ffcc,0xf30ffffd,0xffffffff,0x77ffcc1f,0x9801ffff,0x26004fff,
    0xbffb07ff,0xffb55555,0xffea7fc9,0x3e0df96f,0x0dff52ff,0x5555dff9,
    0x3fe60355,0xffff900f,0x403fffff,0xfd3006ff,0xffb805ff,0x3ff200ef,
    0x5cdff904,0x800fff8a,0xffb82ffe,0x98fff31f,0x3200fffe,0x3fe205ff,
    0x4fdcceff,0x80bfff30,0x26001fff,0x3ffa0dff,0xffffff00,0x700dffff,
    0x26003fff,0x06ffffff,0x7e413ff2,0x40bffa6f,0x3fe66ffc,0x540dffd7,
    0xff1006ff,0xfe93fe67,0x7c43ff66,0xf35ffaff,0xf95555ff,0x3aa155df,
    0xfeeefffe,0xfff83eef,0x2637fe40,0xfff986ff,0xffffff34,0xfff309ff,
    0x003fff62,0x9800dffd,0x7ffb07ff,0xff93ff20,0x9ffbff9c,0xbffb06fd,
    0x3f213ff2,0xff98005f,0x0bff900f,0x201bfe00,0x001efffa,0x203ffff5,
    0xffd04ffc,0x01fff10b,0x2205ffd0,0x3bffe60a,0x02fffffe,0x2a02ffe4,
    0xffffffff,0x05fff984,0x2001fff8,0xfecffff8,0x2eaaa06f,0x02aaafff,
    0x2007ff98,0xfff9effd,0x209ff903,0x3ffa5ffe,0x4cbffd02,0x9fff37ff,
    0x401bfea0,0x87b63ff8,0x83ff67fe,0x75ffdffd,0xffffffff,0x2e3fffff,
    0xffffffff,0x7cc4ffff,0xffffffff,0x1bfe60ff,0xff9afff4,0x2601aaaf,
    0x3ffe27ff,0x07fff204,0x20fff300,0xff903ffd,0x6fdeffc9,0x05fdbff8,
    0x3ffafff7,0x005ffc81,0x900fff98,0x32000bff,0x7ffdc03c,0x7f4c000e,
    0x4ffc82ff,0x881fffa8,0xfe800fff,0x3fe6002f,0x2effffff,0x805ffc80,
    0xefffffc9,0x02fffcc2,0x2001fff8,0xfffffffa,0xff8801ff,0x7ff98007,
    0x25fff500,0xfc80fffd,0x1fffa84f,0x3ea0bffa,0x9ffe61ff,0xfa81fffc,
    0x7ff1006f,0x3f67fd80,0x3fffe60f,0xfffff75f,0xffffffff,0x37ff3263,
    0x2ccffecc,0x7fffffe4,0x262fffff,0x9ffd06ff,0x9801ffe6,0x7ffe47ff,
    0x03fff980,0xb07ff980,0x3ff207ff,0x4ffb7fa4,0x105fdefe,0x0fff5fff,
    0x20017ff2,0xf900fff9,0x400000bf,0x0005fff8,0x903bffa2,0xfffb89ff,
    0x01fff105,0x4005ffd0,0xcdeefff9,0x17ff2002,0x302ffc80,0x7c00bfff,
    0xff1001ff,0xffbdffdf,0xfdddd01f,0x00bdddff,0x3a00fff3,0x3ffe66ff,
    0x5c4ffc84,0x7ff45fff,0x22fffdc2,0x3fe27ff9,0x06ffa86f,0xd807ff30,
    0xd03ff67f,0x2a6bffff,0xfdaaaaaa,0x7cc0aaef,0xe81ff22f,0xcccccdff,
    0x3fe65ffe,0x33fffb86,0x7cc00fff,0x1fffc47f,0x80037ff4,0xffb07ff9,
    0xe93ff207,0xff70ffef,0x7ff40bfd,0xff905ffe,0xfff3000b,0x017ff201,
    0x33333322,0x7cc4cccc,0x1db00004,0xfddfff90,0x2201ffff,0xeeeeefff,
    0xddffd2ee,0x987ddddd,0x76c007ff,0xeeffffee,0x41bfa02e,0xfffffff8,
    0xfdb2ffff,0xddddddff,0x82fff43d,0xfff85ffe,0x6fffffff,0x807ff980,
    0x7ec2fffb,0x7ffe41ff,0x0fffffee,0x7f777ff4,0x7cc0ffff,0x27ffd47f,
    0x3bbbffea,0xff30eeee,0xb0ffd805,0xfffa81ff,0x9ff7005f,0xfb0ffd40,
    0x81ffe20d,0x3fe67ffb,0xfffedccf,0x00fff30e,0x7ec3ffcc,0x7fffdc7f,
    0x3fffffff,0x3fff7332,0x7ffb3ccc,0xfd93ff20,0x3ffe26ff,0x3ffee04f,
    0xfff902ff,0x09dddddd,0x6403ffe6,0xff9805ff,0xffffffff,0x0000040f,
    0x7fffe402,0x200cffff,0xfffffff8,0xfffd3fff,0x89ffffff,0x7c007ff9,
    0xffffffff,0x7ff103ff,0x3ffffe60,0xf2ffffff,0xffffffff,0x3f625fff,
    0x09ff300f,0x3fff5333,0xff300133,0x6fff880f,0x646fff88,0xffffffff,
    0xffffe80c,0x980cffff,0xfffd87ff,0x3ffffea2,0xf50fffff,0x0ffd805f,
    0xfff01ffb,0x3fee00bf,0xe83fee04,0x0bff705f,0xf98fffcc,0xffffffff,
    0x01ffe61f,0xf987ff98,0x3fff23ff,0xffffffff,0x3fffffe3,0xffb6ffff,
    0xd93ff207,0x7ff43fff,0x3ffe604f,0xfff900ff,0x0bffffff,0x6403ffe6,
    0xff9805ff,0xffffffff,0x0000000f,0xbdffff90,0xfff10037,0x7fffffff,
    0x3ffffffa,0x7fcc4fff,0x7fffc007,0x3fffffff,0x2601dd30,0xffffffff,
    0xffff2fff,0xffffffff,0x05401985,0x003ffc40,0x3203ffcc,0xff901fff,
    0x7fffe45f,0x3fa01bde,0x01bdefff,0x3e21ffe6,0xfff50eff,0x1fffffff,
    0xf900bfea,0x203ff63f,0x7005fffb,0x3fdc09ff,0x7fec13fa,0x9a7ffc02,
    0xdeffffff,0x007ff982,0x7f41ffe6,0x3ffff26f,0x3fffffff,0x3ffffffe,
    0x7ffb6fff,0xfc93ff20,0x7ffdc1ff,0x2ffffc03,0xffffff90,0x3e60bfff,
    0xbff900ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x03100000,0xabcb9880,0x332ea200,0x155440ac,0x26015544,0xa80abcca,
    0x201bcccb,0x300abcb9,0x17951037,0xca805e54,0x179711bc,0xa8079900,
    0xaaaaaaaa,0x406aaa2a,0x75102aa9,0x01555015,0x5511aa88,0x2e217911,
    0x882aa80b,0x2aa61aaa,0x30379930,0x01555555,0x65c46aa2,0xedb8802c,
    0x2aa980bd,0x220d5540,0x0000abba,0x401c04c0,0xb8008828,0x3bb6a03c,
    0xedc981de,0x3dd9102d,0x20176c40,0xdc880099,0x00000bde,0x77777773,
    0xccc87777,0x26079951,0x33326000,0x400fb220,0x9800eff9,0x2ffffffe,
    0xffffffb8,0x1ffe23ff,0x74c1ffe6,0x24ffffff,0xfffffffa,0xffffd886,
    0x7ffdc2ff,0x477fff42,0x740efffc,0xfecfffff,0x7fc01fff,0x7ffff406,
    0x325fffff,0x7fc41fff,0xffffb84f,0x00ffec4f,0x7fcd3fe6,0xfe8efffa,
    0x07ffc1ff,0xfc83fffa,0xfffffcaf,0x7ffffe42,0x39ff103f,0x40bfffff,
    0xfffefffb,0x80fffd42,0x3ea1fff9,0x442fffff,0x441d301e,0x13fea5fd,
    0x7f43df90,0x902ff404,0x45ffffff,0x5ffffffc,0x0bffff66,0x502fffd8,
    0x7cc01fff,0x21ffffff,0xfffffff9,0xff90ffff,0xffffffff,0xf72fff8f,
    0xdfffc8bf,0xff315440,0x1ffff41f,0x017ffe40,0x3fffffea,0x7fdc3fff,
    0x2ffffeef,0xff30fff1,0xfffff50f,0x3fea9fff,0x46feedff,0xfeefffe8,
    0x3fffa1ff,0x3ff7ff25,0x45ffdffe,0xffffddff,0x7c06ffef,0x7fff406f,
    0x25ffffff,0x7ec6ffe8,0xefffb86f,0x3ff23fff,0x99ffd402,0xeffffeff,
    0x7fc4ffff,0x07fff60f,0xffffdff9,0x7fe41fff,0xf103ffff,0xffffffdf,
    0x37df707f,0xf85ff513,0xdff904ff,0xfebabda8,0x307ffa27,0x7fec1dff,
    0x203ffd13,0x3fee6ff9,0x29fb2444,0x2aaea0c8,0x3bea6ffd,0xfb1fffec,
    0x7c05ffff,0xffd05fff,0x67ff409f,0x3e66ffdb,0xffffffff,0xffff90ff,
    0x8fffffff,0xbff71ffe,0x77ffffdc,0x7cc3ff20,0xffff10ff,0x3fff500d,
    0x577ffc40,0x20ffffc9,0x5ffd80ba,0xff30fff1,0xbffff88f,0xffb3ca99,
    0xbff9060d,0xfd37fe41,0xa9ffc9ff,0x1ff73fff,0x3fff305c,0xff803ff2,
    0x55555406,0x4c1fffea,0xfff54fff,0x7c4dff03,0x00ffee7f,0x3fe65ff7,
    0xd5fff8bf,0x70fff8df,0xff903fff,0xfff319ff,0x7f4ccc45,0xffff103f,
    0x8dffb35d,0x7ffff6f9,0x7fe41ff1,0x007ffd07,0x3fa21ff5,0x9fff31ff,
    0xf50fff88,0x47ffa0df,0xefd86ff9,0x4ffabfc9,0x4317fea0,0x5d51fff8,
    0x7dc05ffd,0xcffb86ff,0x3ff981ff,0xaa887fec,0xaaaaaaaa,0x22222222,
    0x747fe888,0x49ff51ff,0xfffecfff,0x3e27fe8a,0x2ffffc7f,0x5c02cb80,
    0x7fc40fff,0xfff3003f,0x3e61ffe2,0x07ffe47f,0x2017ffa0,0xff81fff8,
    0x21dff31f,0xfff11ffa,0xf007fe61,0x017fccff,0xf5000dff,0x3fee07ff,
    0x983fffaf,0x87fe42ff,0x8f2e4ffa,0xfff30ffc,0x7fd8fffc,0x7fd47ffc,
    0x7fff902f,0x3a04ffc8,0xfff103ff,0x23ffd41d,0xfd3bf1fc,0xfff88fea,
    0x407ffcc2,0x0ffedcb8,0x3ebfffa2,0xbff504ff,0x3f21ffe4,0x207ffa3f,
    0xfefefffd,0x7e6544ff,0x3fee01ef,0x02ffd80f,0x3e22ffec,0xf50dfd3f,
    0x01ffb83f,0x7fd80000,0xffa87fec,0x7ec7ff34,0x224fffff,0x7ffd47ff,
    0x7ec00001,0x09ffd03f,0x17ffa998,0xfff30fff,0xd803ffe8,0x500adfff,
    0x33333dff,0x5c185ffd,0xf13ffc7f,0x25fe805f,0x99993ff8,0x9999fff9,
    0x2fffc407,0x3fffff60,0xc85ff305,0x2bff30ff,0xffb0fff8,0xdff27fcc,
    0x3ffe3fec,0x3203fffa,0x3eeb85ff,0x440fffa0,0x7fcc0fff,0xd19f3f47,
    0xffb17e2f,0xa84ffc8b,0x0ffeefff,0x7fffff44,0x89ffe404,0xdff30fff,
    0x9101ffe4,0x019fffff,0x03bffff7,0x6c0fffea,0x7fdc02ff,0xff537e44,
    0x643ffa87,0x000000ff,0x7fec7fd8,0x3a67ff30,0x7fffe42e,0x4437fc0e,
    0x33333201,0x3ccccccc,0x7e40bffa,0x7ffe445f,0xff17ffff,0x44fff30f,
    0xf9802fff,0x41dfffff,0xfffffffb,0x5c03ffff,0x7ffff47f,0x7f5c3fff,
    0xffffffff,0xffffff3f,0x0dffffff,0x20077ff4,0x00fffff8,0x7fe8bff1,
    0xfffbb7fc,0x7fccdfd3,0x7fd9bfe4,0x2ffffffc,0x0013ff20,0xf103ffe8,
    0x8fff10ff,0x87bffe5f,0x07ffd46f,0xdff03fff,0x74407fd4,0xfe805fff,
    0x44dff31f,0xbff50fff,0x7fffdc40,0xfb75302e,0xfffb83ff,0x80bff603,
    0x3e60ffe8,0x107fec2f,0x3fea3dff,0x3bbbba67,0x00eeeeee,0xff91bb20,
    0xa801ffcc,0x5ff80bdc,0xfffff800,0x6fffffff,0x7dc0bffe,0x3fffea6f,
    0xf17fffff,0x4fff30ff,0x3001fff9,0xbffffffb,0x7fffffe4,0x403fffff,
    0x7fff47fc,0x3fa3ffff,0xffffffff,0xffff3fff,0xffffffff,0x07fff60d,
    0x037ffec0,0x3f6f7ffa,0xfebff43f,0x4cbfd6ff,0xd9bfe4ff,0x7f7ffc7f,
    0x3ff200ff,0x3ffa0004,0x10fff103,0x3e6f8fff,0x217e2fcd,0xdff52fff,
    0x3a63bfe0,0xfff980ff,0x3ff201ff,0xf507ffa3,0x417fecbf,0xfffffffc,
    0x7fec03ff,0x007fff24,0xcb885ffb,0x37f42fff,0x3f22ffcc,0x22ffffff,
    0xfffffff9,0x0000ffff,0x00000000,0x3fffe000,0xffffffff,0x6413ffa6,
    0xbfff15ff,0x45ffe613,0x7ff987ff,0x000bffe2,0x7ffffd71,0x26677fee,
    0x40099999,0x037fc7fb,0x7f433fea,0x4ccccc04,0x09999fff,0x002fffb8,
    0x07fffff7,0x7fffffcc,0xff9ffd85,0x24ff9ffe,0x9bfe4ff9,0x4fffc7fd,
    0x3f206ffe,0x3fa0004f,0x0fff103f,0x0fd8fff1,0x27cdbe9f,0xffdaffe4,
    0xfffffb03,0xfff981ff,0xfa81ffff,0x413ff26f,0xfff12ffd,0xfcaffd81,
    0x2ae4ffbb,0x92fffbaa,0x9ddddfff,0x3bfffbae,0x3dfff34e,0xf901ffb8,
    0xffffc83f,0x6666442f,0x04cccccc,0x00000000,0x4cc00000,0x99999999,
    0x1bff6099,0xffa9fff4,0xf17ff987,0x7ffc81ff,0x0002fffc,0x3eabfff3,
    0x054c006f,0x07ff8ff7,0xbfd07fe4,0x00dff000,0x2009fff3,0xfffefff9,
    0x37bb2201,0xffbff903,0x47ff9ff3,0x9bfe4ff9,0x47ffc7fd,0xf904fff9,
    0x7f40009f,0x0fff103f,0x5fa8fff1,0x3fabf29f,0xf9fff881,0xbd9100ff,
    0x7cc19917,0xfffe8cff,0x4c3ffe21,0x3fe206ff,0x98bff50f,0x3a69fb0d,
    0x3fffffa0,0x3ffffa5f,0xfff95fff,0x2e2bffff,0x4033101a,0xa9880998,
    0x00000001,0x00000000,0x40000000,0x7d42fffb,0x8fff71ff,0xff17ffe8,
    0x3fffdc3f,0x040ffff2,0xf8affec0,0xff5003ff,0x447fea3f,0x3f601fff,
    0x01fff10f,0x4406ff80,0xd1006ffe,0x1bffabff,0x7ffdc000,0x5ffffd5f,
    0xdff27fcc,0x3ffe3fec,0x907fff70,0x740009ff,0xfff103ff,0xfb0fff10,
    0x03fd881b,0x17ffbff6,0x3ffe2000,0x83fffa24,0x07f223ea,0x6ec19f70,
    0xb02ff401,0xb839dddd,0x2ccccccc,0x99999995,0x00000005,0x00000000,
    0x00000000,0xfd880000,0x7fffc404,0x24fffdce,0xebadfffa,0x3ffa7fff,
    0x7ffffecf,0x677fffc4,0x37bd4fdc,0x47fff733,0xa9adfffc,0x3fffa4cb,
    0x3f29ff15,0x54510eff,0xfffe9bff,0x7c04989e,0x7ffec06f,0x45eeeeee,
    0xff30fffd,0xcccc889f,0x7d44cccc,0xfff92fff,0xf27fcc3f,0x3e3fecdf,
    0x3fff60ff,0x0027fe41,0xbfff9999,0x3fe23999,0x887ff887,0xffecdffd,
    0x7fffd404,0x9999102f,0x7ec99999,0x003fe884,0x00004002,0x000009db,
    0x00000000,0x00000000,0x00000000,0x40000000,0x5402fffb,0xffffffff,
    0x7ffff40d,0x2e7feeff,0xedffffff,0xffffa87f,0xfff4ffff,0x1dffffff,
    0xffffffe8,0x3fffa5ff,0x3fffff64,0x27fffffc,0xddfffff8,0x407fffff,
    0x7ffc06ff,0x6fffffff,0xf90bffee,0x7ffc45ff,0x4c7fffff,0xff30ffff,
    0x27fcc1ff,0x23fecdff,0x3fa20fff,0x13ff20ff,0x7ffffc40,0x12ffffff,
    0xfff10fff,0x6fffed40,0xdffff001,0x7ffffc40,0x101c7fff,0x00000005,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x8801fffb,
    0x03effffd,0x29ffffb1,0x7ffdc7fd,0x220ffb3f,0x2efffffc,0xfffffffb,
    0x3ffee017,0x3ea4ffff,0x3ff621ff,0xdffff73f,0xb15ffeb8,0x980dffff,
    0x7fffc009,0x36ffffff,0x3fa09fff,0x999910ff,0xff099999,0x47ffe8bf,
    0x9bfe4ff9,0x07ffc7fd,0xfc9bffe6,0xfff1004f,0xffffffff,0x221ffe25,
    0x001007ff,0x407fff90,0xccccccc8,0x0000004c,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x07db1000,0x20013300,0x4cc00198,
    0x03310000,0x0004cccc,0x22013331,0x88131009,0x20220099,0x00000998,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x06fec400,0x400f3326,0x01999999,
    0x40666640,0xa8ee44ea,0x1ccccccc,0x11111111,0x41111111,0x00000ffd,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffd80000,0x4fffa85f,0x7ffffcc0,0x3ff6007f,0x25fff01e,0xfff96ffb,
    0x3fe7ffff,0xffffffff,0x3fe6ffff,0x00000005,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0fffff00,0x9813ffa2,
    0x07ffffff,0x401bffb0,0xdff72fff,0x3ffffff2,0xffffff3f,0xffffffff,
    0x000bfe2d,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x74000000,0x76405fff,0x2222203e,0xeec80088,0x643d9803,
    0x3333311d,0x2aaaa133,0xaaaaaaaa,0x01dd32aa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0003bfa6,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00010000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_27_latin_ext_x[560]={ 0,5,2,0,1,0,0,5,3,3,1,1,2,3,
4,0,0,1,1,1,0,2,1,1,1,0,5,2,1,1,2,3,0,0,1,1,1,2,2,0,1,1,2,1,
2,0,1,0,1,0,1,1,1,1,0,0,0,0,1,4,1,3,1,0,0,1,1,1,1,1,0,1,1,1,
1,1,1,0,1,0,1,1,2,2,0,1,0,0,0,0,1,2,5,2,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,5,1,1,0,0,
5,1,0,0,2,1,1,3,0,0,2,1,3,3,0,1,0,4,5,3,2,1,0,0,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,0,0,0,0,0,0,1,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,-1,0,0,1,0,0,0,0,0,0,2,1,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,1,1,1,0,0,1,1,1,0,0,2,
1,-4,-2,2,1,0,1,0,0,1,1,0,0,0,1,1,0,0,0,0,0,0,0,0,-1,0,1,2,-1,0,
0,0,0,0,1,2,0,0,1,0,0,-3,1,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,0,0,
0,0,0,0,0,0,0,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,-3,-1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,2,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__consolas_bold_27_latin_ext_y[560]={ 20,1,1,2,0,1,1,1,0,0,1,6,15,11,
15,1,2,2,2,2,2,2,2,2,2,2,6,6,5,8,5,1,1,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,0,2,22,1,6,1,6,1,6,1,6,1,0,
0,1,1,6,6,6,6,6,6,6,2,6,6,6,6,6,6,0,-2,0,9,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,20,6,0,2,2,2,
-2,1,1,2,2,7,11,11,1,1,1,3,1,1,1,6,1,10,20,1,2,7,1,1,1,6,-3,-3,-3,-3,
-3,-3,2,2,-3,-3,-3,-3,-3,-3,-3,-3,2,-3,-3,-3,-3,-3,-3,6,-1,-3,-3,-3,-3,-3,2,1,1,1,
1,1,1,-1,6,6,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,5,3,1,1,1,1,1,1,1,
-2,1,-3,1,2,6,-3,1,-3,1,-3,0,-3,1,-3,0,2,1,-2,1,-3,1,-3,0,2,6,-3,1,-3,1,
-3,1,-3,0,2,0,-3,-3,2,1,-3,1,-2,1,-3,1,2,0,-3,6,2,0,-3,1,2,1,6,-3,-3,2,
1,0,0,2,1,2,1,-3,1,2,6,-3,1,-1,2,6,-2,1,-3,1,-3,1,2,6,-3,1,2,6,-3,1,
-3,1,-3,1,2,6,-3,1,2,2,-3,0,2,2,-3,1,-2,1,-3,1,-3,-1,-3,1,2,6,-3,1,-3,1,
-3,-3,1,-3,0,-3,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-6,-5,-3,1,-3,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,6,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static unsigned short stb__consolas_bold_27_latin_ext_w[560]={ 0,5,10,15,13,15,16,5,9,9,13,13,8,9,
6,14,15,13,13,13,15,12,13,13,13,14,5,9,12,13,12,10,15,15,13,13,14,11,11,14,13,12,10,14,
12,15,13,15,13,15,14,13,13,13,15,15,15,15,13,7,13,8,13,15,10,12,13,12,13,13,14,13,13,13,
11,14,13,15,13,14,13,13,12,11,13,13,15,15,15,15,12,10,4,11,15,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,5,12,13,15,15,
4,13,12,15,10,13,13,9,14,12,11,13,9,9,14,14,14,7,5,9,11,13,15,15,15,10,15,15,15,15,
15,15,16,13,13,14,13,13,13,14,13,13,15,14,15,15,15,15,15,13,15,14,14,14,14,15,13,14,13,14,
13,13,13,13,15,12,14,14,14,14,14,14,14,14,13,14,14,14,14,14,14,13,14,14,14,14,14,15,13,15,
15,13,15,13,15,13,14,15,14,13,14,13,14,13,16,17,15,14,13,14,13,14,13,14,12,13,13,14,14,14,
14,14,14,14,14,14,14,14,15,13,13,14,13,14,13,14,13,13,13,13,13,13,12,13,14,14,14,14,14,12,
13,18,17,13,17,14,13,14,14,13,13,14,14,14,13,13,15,14,15,14,16,16,15,15,16,14,14,12,16,14,
14,14,14,13,13,11,14,13,13,13,14,18,13,13,14,14,14,14,14,14,14,14,16,16,13,13,15,15,15,15,
15,14,14,14,13,14,13,11,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,14,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,15,14,16,15,18,15,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,11,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13, };
static unsigned short stb__consolas_bold_27_latin_ext_h[560]={ 0,20,7,18,24,20,20,7,26,26,12,14,10,4,
6,22,19,18,18,19,18,19,19,18,19,18,15,19,16,9,16,20,25,18,18,19,18,18,18,19,18,18,19,18,
18,18,18,19,18,23,18,19,18,19,18,18,18,18,18,26,22,26,10,4,6,15,20,15,20,15,19,20,19,20,
26,19,19,14,14,15,20,20,14,15,19,15,14,14,14,20,14,26,28,26,7,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,20,24,18,18,18,
28,23,6,19,14,12,7,4,14,6,10,17,11,11,6,20,23,6,4,11,14,12,19,19,19,20,23,23,23,23,
23,23,18,22,23,23,23,23,23,23,23,23,18,23,24,24,24,24,24,13,24,24,24,24,24,23,18,20,20,20,
20,20,20,22,15,18,20,20,20,20,19,19,19,19,20,19,20,20,20,20,20,15,20,20,20,20,20,25,25,25,
22,20,23,20,24,20,24,20,24,20,24,21,24,20,23,21,18,20,22,20,23,20,23,21,24,20,23,20,24,25,
24,25,24,26,24,26,23,23,18,19,23,19,22,19,23,19,24,26,23,14,19,26,24,25,24,25,14,23,23,24,
25,20,20,18,19,18,19,23,19,24,20,23,19,21,24,20,23,20,24,20,24,20,19,15,23,19,24,20,23,19,
24,20,24,20,22,18,24,20,24,24,23,21,18,19,24,20,23,20,24,20,24,22,24,20,24,20,23,19,23,25,
23,23,19,23,20,23,19,19,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,23,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,26,26,23,20,26,23,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,24,20,24,24,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18, };
static unsigned short stb__consolas_bold_27_latin_ext_s[560]={ 506,501,468,284,374,107,222,495,44,114,361,
134,405,61,501,284,97,60,87,352,268,280,493,440,465,425,96,502,497,440,484,
491,281,300,316,479,195,432,458,41,386,373,86,210,225,238,254,129,330,364,344,
206,444,395,416,400,163,147,359,183,240,124,414,71,9,30,283,57,148,82,366,
445,338,330,171,309,324,205,263,15,38,80,236,70,381,43,292,189,161,239,148,
160,6,148,479,454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,
454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,506,506,417,
101,115,131,1,112,48,190,308,347,454,61,277,20,428,470,385,375,33,17,349,
1,87,395,177,333,449,433,220,137,82,66,34,1,470,74,468,254,29,290,15,
197,167,135,1,43,1,478,447,388,268,225,209,319,475,29,59,359,301,244,46,
430,416,401,387,373,359,226,118,74,315,300,285,270,327,312,145,160,213,250,183,
168,153,138,123,1,92,77,62,47,32,205,191,221,268,466,394,452,417,423,89,
1,491,380,344,314,74,394,150,343,179,198,212,437,141,408,155,328,255,495,98,
480,119,237,149,252,164,99,179,133,440,425,409,13,380,71,169,357,320,175,241,
11,260,249,419,54,316,313,329,327,221,120,105,404,267,1,20,32,372,17,405,
90,390,433,123,463,297,299,374,227,493,241,459,459,284,474,113,102,227,56,194,
270,57,342,134,255,104,193,183,485,44,162,15,1,410,361,497,236,430,344,126,
207,388,108,359,197,342,176,445,94,181,293,211,297,274,305,265,334,256,455,27,
1,454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,486,
454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,
454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,
454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,
454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,
454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,
454,454,454,83,68,17,52,25,50,454,454,454,454,454,454,454,454,454,454,454,
454,454,454,454,454,454,454,454,454,454,454,454,454,403,68,15,1,454,454,454,
454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,
454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,454,
454,454,454,454,454,454,454,454,454, };
static unsigned short stb__consolas_bold_27_latin_ext_t[560]={ 22,55,184,165,1,103,124,184,1,1,184,
184,184,200,184,79,145,165,165,145,165,145,124,145,124,145,184,103,165,184,165,
103,1,165,165,124,165,165,165,145,165,165,145,165,165,165,165,145,165,55,165,
145,165,145,165,165,165,165,165,1,79,1,184,200,200,184,124,184,124,184,145,
103,145,103,1,145,145,184,184,184,124,124,184,184,145,184,184,184,184,124,184,
1,1,1,184,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,
145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,22,1,1,
165,165,165,1,79,200,145,184,184,184,200,184,200,184,165,184,184,200,103,55,
200,200,184,184,184,124,124,145,124,79,79,79,79,55,55,145,79,55,55,55,
55,55,55,55,55,165,30,30,30,30,30,30,184,1,30,30,30,30,55,165,
103,103,103,103,103,103,79,184,165,103,103,103,103,124,124,145,145,103,145,103,
103,103,103,103,184,103,103,103,103,103,1,1,1,79,79,55,79,30,79,30,
103,1,79,30,79,30,79,55,79,165,103,79,79,79,79,79,79,30,79,79,
79,30,1,30,1,30,1,30,1,55,55,145,145,55,145,79,124,55,145,30,
1,55,184,124,1,30,1,30,1,184,55,55,30,1,124,124,165,124,165,124,
55,124,30,124,30,124,79,30,103,30,103,1,103,30,103,145,184,55,145,30,
124,55,124,30,124,30,124,79,145,30,124,30,30,55,79,145,145,1,103,79,
124,1,124,1,79,1,124,1,124,55,145,55,1,55,55,145,55,103,55,145,
145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,55,
145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,
145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,
145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,
145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,
145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,
145,145,145,1,1,79,124,1,79,145,145,145,145,145,145,145,145,145,145,145,
145,145,145,145,145,145,145,145,145,145,145,145,145,1,124,30,30,145,145,145,
145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,
145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,
145,145,145,145,145,145,145,145,145, };
static unsigned short stb__consolas_bold_27_latin_ext_a[560]={ 238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_27_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_bold_27_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_27_latin_ext(stb_fontchar font[STB_FONT_consolas_bold_27_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_27_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_bold_27_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_27_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_27_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_27_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_27_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_27_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_27_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_27_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_27_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_27_latin_ext_s[i] + stb__consolas_bold_27_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_27_latin_ext_t[i] + stb__consolas_bold_27_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_27_latin_ext_x[i];
            font[i].y0 = stb__consolas_bold_27_latin_ext_y[i];
            font[i].x1 = stb__consolas_bold_27_latin_ext_x[i] + stb__consolas_bold_27_latin_ext_w[i];
            font[i].y1 = stb__consolas_bold_27_latin_ext_y[i] + stb__consolas_bold_27_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_bold_27_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_27_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_27_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_27_latin_ext_s[i] + stb__consolas_bold_27_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_27_latin_ext_t[i] + stb__consolas_bold_27_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_27_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_27_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_27_latin_ext_x[i] + stb__consolas_bold_27_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_27_latin_ext_y[i] + stb__consolas_bold_27_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_27_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_27_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_27_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_27_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_27_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_27_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_27_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_27_latin_ext_LINE_SPACING
#endif

