// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_31_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_31_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_31_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_bold_31_latin_ext_BITMAP_HEIGHT        265
#define STB_FONT_consolas_bold_31_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_bold_31_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_bold_31_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_bold_31_latin_ext_LINE_SPACING          20

static unsigned int stb__consolas_bold_31_latin_ext_pixels[]={
    0x3a21ddd1,0x000000ee,0x004cccc0,0x00000280,0x66644000,0x0600001c,
    0x00662000,0x80000000,0x54000cec,0x00164c1c,0x09dddb10,0x0aaa1554,
    0x000aaa00,0x0aaaa980,0x10055500,0x55555555,0x00155540,0x15997300,
    0x98177540,0x553003ee,0x00555301,0x001a8800,0x01000000,0x10000000,
    0x00000000,0x02eeee98,0x3e23fff1,0x3bf201ff,0xffd80001,0xfb8000df,
    0x7fffffc4,0x09dffb7f,0xfffd1000,0xffeb8005,0x00017ea5,0x7d401ffd,
    0x04ffffff,0x9009fd30,0x54009fff,0xfff10fff,0xffd10007,0x1ffd807f,
    0xc800bff3,0x80005fff,0x003ffff9,0x980bfff9,0x6fffffff,0x0017ffa0,
    0x3ffff620,0xfff983ff,0x1ffff80f,0x077ffd40,0x0001fff6,0x06fffec4,
    0x03ffc000,0x7ffff6dc,0xfd95004e,0x4037bfff,0xb8006fdb,0x00cdffed,
    0x3fffe600,0x47ffe202,0xf701fff8,0xd8000dff,0x70003fff,0x7ffc5fff,
    0xffb7ffff,0x20003fff,0x000dffe8,0x57ffffa6,0x0005fff9,0xfa80dff3,
    0x04ffffff,0x807ffff0,0x2006fffd,0xff52fffc,0xfe8800bf,0xffa801ef,
    0x002fffef,0x17fffff2,0xefff9800,0xffff9001,0x7ffcc0bf,0x3a06ffff,
    0x4c0005ff,0xffffffff,0x7fffd43f,0x1ffffc41,0xdfffff50,0x003ffec1,
    0xfecefc80,0x7fcc0004,0x3fffea05,0x407fffff,0xffffffe9,0x3fe04fff,
    0x3f62006f,0x2fffffff,0xdfff9800,0x8fffc400,0xf901fff8,0x20001fff,
    0x3fe1effd,0x5fffb807,0x7ff77774,0xdffffd97,0x0b32e000,0x3ffffa00,
    0x17fff64e,0x017ff200,0xddddfff5,0xffff1007,0x4fffb809,0x43ffea00,
    0x4002fff8,0x2000cccb,0x04fffffc,0x7ed7fee0,0xff98004f,0xff7000df,
    0x4413ff6b,0x6fffaaaa,0x0017ffa0,0x11dffe88,0x7c43fff7,0xffe80fff,
    0x1dff301f,0x3f61dff7,0xfd00007f,0x4001be65,0x2605ff90,0xffffffff,
    0x3fee07ff,0xffffffff,0x1bffe04f,0x7ffffc40,0x03ffffff,0x801e65c0,
    0xff11fff8,0x3ffea03f,0x33310006,0x4c05ff98,0xfb805fff,0x2fffb87f,
    0x1eff5c00,0x13ffea00,0x003fffd8,0x2a01fff4,0x3a0007ff,0xcb802fff,
    0x40b98003,0xaa8001b8,0x9d950002,0x1e644005,0x9000732e,0x64400799,
    0x00e65c3c,0x3a06fff8,0x360005ff,0x9ff705ff,0x9101dd98,0x0666405b,
    0x3ff65995,0x9fb00007,0x5c00bf91,0x07ffffed,0x4677fffa,0xff305b99,
    0x75359dff,0x7ffc09fb,0xdfff9006,0xffffb737,0x2cc88000,0x223fff10,
    0x36e01fff,0x4200000c,0x7f402ffc,0xffb800ef,0x007ffd07,0x27ff7fec,
    0x00dff700,0x4001fffd,0xffa80199,0x37220007,0x00000002,0x7ff44000,
    0x000000ef,0x00000000,0x20000000,0x3fa06fff,0xff50005f,0x007ff80d,
    0xfb000000,0x260000ff,0x801fffff,0xffffffd8,0xfff882ff,0xfffd0006,
    0x550c401b,0x55dfff55,0x7fcc5555,0xfffd80ef,0x3ff20003,0x23fff102,
    0x0001fff8,0xffdb7000,0xffc80fff,0xfff7002f,0x4017ff20,0x0ff51ff8,
    0x402ffe40,0x0005fff9,0x00fff500,0x32a20000,0x2aaaaacc,0x1006aaa6,
    0x7ec03555,0x2005ffcf,0xaaaccca8,0x2aaa62aa,0x8d554401,0x4401aaa9,
    0x2a201aaa,0xaaaaaccc,0x037ffc02,0x65ccbffd,0x0bffa00b,0x5545ff90,
    0x0555302a,0x55555553,0x3ff61555,0x05555507,0x0019b910,0xfffffff1,
    0xf985ffff,0xfa8006ff,0x7c4006ff,0xffffffff,0x3f65ffff,0xfff301ff,
    0x7ff4000d,0x23fff100,0x5511fff8,0x00555555,0x3ffff620,0xf102ffff,
    0x7dc00bff,0x0bff907f,0x6fb9ffc0,0x013ff600,0x2017ffe4,0xaaaccca8,
    0x1ffea2aa,0x55555530,0x91015555,0xffffffff,0x7ffccfff,0x17ffdc05,
    0x1fe63ff0,0x3ffff220,0x27ffffff,0x5c05fff9,0xfff32fff,0x2fffb80b,
    0xfffffc88,0x407fffff,0x3fa06fff,0xffffe8df,0x46ff983f,0xffaa8899,
    0x6c17ffa3,0xfffd87ff,0x2fffffff,0xff50fffb,0x6eeb83ff,0x362776c0,
    0xff9adfff,0x3e20ffff,0x6c002fff,0x44002fff,0xffffffff,0x3e5fffff,
    0x7ff407ff,0xdba8800f,0x3e205ffd,0x3fff11ff,0x3fffffe6,0xff88006f,
    0xffffffff,0x0fffb82f,0x41ffee00,0x2e005ffc,0x002fffff,0x44013ff6,
    0xf9105fff,0xffffffff,0x03ffd4ff,0x3ffffff6,0xfd82ffff,0xffffffff,
    0x7fff47ff,0x01fffa00,0x01fe65ff,0x3ffffff6,0x747fffff,0x3fa00fff,
    0x07fff47f,0x360fffd0,0xffffffff,0x7fc07fff,0x3bffa06f,0xffffffff,
    0xfa9ffe43,0xff9fffff,0x6c17ffa4,0xfffd87ff,0x2fffffff,0xff98fffb,
    0x7ffc81ff,0xf32fffc0,0x7ffccbff,0x7ffc3fff,0xfd002dff,0x2aa000ff,
    0xaaefffaa,0x3ffe2aaa,0x0fffe405,0x3ffffee0,0x3fe205ff,0x23fff11f,
    0xfffffff9,0xfffd8006,0xfffff9ad,0x02fff40f,0x5c1ffee0,0x64c006ff,
    0x7ec000cc,0x3ff6004f,0xffffd80f,0x7fffffff,0xfb01ffea,0xffffffff,
    0x3fffa85f,0x0abbffaa,0x2607fff7,0x7ec04fff,0x5405ffdf,0x3faa3fff,
    0x7fdc2aef,0x9fff303f,0x303fffb8,0xff509fff,0x77ff547f,0x37ffc02a,
    0xdfffffd0,0xe8ffffb7,0xffff98ff,0x25ff8eff,0xffb05ffe,0x5555530f,
    0x365fff95,0x3ffe27ff,0x0fff902f,0x3f65fff8,0x2ffee0ff,0x7fd45fff,
    0x00beffff,0x5511bffe,0x7c035555,0x7fcc06ff,0x7ffe404f,0x3ffff602,
    0x105fffff,0x3fe23fff,0xf555511f,0xf9800dff,0x3ffe65ff,0x3fe63fff,
    0x7fdc003f,0x00fff507,0x07777744,0x007ffd00,0x2a17ffd4,0x3faa3fff,
    0x3fea2aef,0x55554c07,0x42fffcaa,0xffa86ffc,0x6fff881f,0x803fff90,
    0x00dfffd8,0x7d437fe4,0xfff881ff,0x83fff906,0xf906fff8,0xdff903ff,
    0x003fff50,0x7f40dfff,0x7fec2fff,0x3adff12f,0x8dffddff,0x17ffa6ff,
    0x2003ffec,0xffb2fffa,0x01ffff4f,0xff80fff9,0xd1bffe5f,0x0dffb1ff,
    0xfffffff7,0xbfff109f,0xffffffa8,0x01bffe04,0xb807fff5,0xff702fff,
    0xffff97df,0x3fff10bf,0xf807ffe2,0x7ec006ff,0x2ffee0ff,0x3fee5fff,
    0x7fdc000f,0x03fff107,0x3ffffee0,0x5fff1003,0x44fff800,0xffa86ffc,
    0x03ffd41f,0x85fff500,0xff884ffe,0x3fffb02f,0x400dfff0,0xffd001a9,
    0x05fff109,0x3e07fff6,0xfffb06ff,0x20dfff03,0xff884ffe,0x6fff802f,
    0x20ffffa0,0xff54fff9,0x3eefff19,0x7f4dff4f,0x0fffb05f,0xb2fffa80,
    0x3fff6fff,0x03ffe404,0xfff97ffe,0x7ddbfe24,0xffd980ff,0x20efffff,
    0x7d45fff9,0x204fffff,0x7d406fff,0x7fdc03ff,0xefff882f,0xfffdff90,
    0x11fff883,0x7fc01ddd,0x7ffc006f,0x7ec7ff46,0x01fff26f,0xe81ffee0,
    0x2009beff,0x05fffffd,0x3fff6662,0x2fff4000,0x3e213ffa,0x3ffd42ff,
    0x5fff5000,0xf886ffd8,0xfff501ff,0x03fffa89,0x5e666544,0x437fec01,
    0xf501fff8,0xfffa89ff,0x89fff503,0xfb03fffa,0x3fff10df,0x40dfff00,
    0xff106ffe,0x2affeebf,0x19ff74ff,0x2fff4dff,0x4007ffd8,0xffb2fffa,
    0x00bfff7f,0xff80fff9,0x47fff35f,0xfff73ffb,0x7ffe4c03,0x3fe25fff,
    0x7e664c5f,0x3ffe04ff,0x27ffd406,0x207ffee0,0x3fe2fffb,0x442fff9f,
    0xf8001fff,0x7fc006ff,0x5dbfe24f,0xdffb0fff,0x0fff7000,0x2ffffecc,
    0xfffffff0,0x3ffff601,0xffd8002f,0x4437fec6,0x7fd41fff,0x3fea0007,
    0x17ffdc2f,0xfd01fff6,0x0fffd8ff,0xfffffd10,0x2e03dfff,0x7fec2fff,
    0x23fff407,0x3a00fffd,0x7ffec7ff,0x85fff700,0xff007ffd,0x2fff40df,
    0x3f2dfff0,0xf93ffcaf,0x74bff17f,0xfffb05ff,0x2fffa800,0xdffffffb,
    0x01fff200,0x3feabfff,0x547ff62f,0xf5002fff,0x7fc1ffff,0x27ffc06f,
    0x980dfff0,0x7e405fff,0x7ffc80ff,0x7ff53fea,0x00fffc44,0x0037ffc0,
    0x7dc7fff3,0x23fff73f,0xb8005ffe,0x7f5407ff,0xfff505ff,0x3605fff9,
    0x0000efff,0xffb8fff9,0x43ffec2f,0x20007ffa,0xfe82fffa,0xfffedeff,
    0x97ffdc03,0x2204fff8,0xffffffff,0xffd00eff,0x7fffdbdf,0x12fffb80,
    0xfb809fff,0x9fff12ff,0xdefffe80,0xf003fffe,0x7ff40dff,0x6dbffe05,
    0xb2ffc9ff,0x4bff15ff,0xffb05ffe,0xfffa800f,0xffdfffb2,0xfff9005f,
    0xf55fff80,0x9bfe25ff,0x2002fffa,0x3a2ffff8,0x3fe00fff,0x1bffe04f,
    0x80dfff10,0xfd80fffe,0x6c7ff66f,0x7ffc46ff,0x6fff8001,0x8bffea00,
    0xfff51ffd,0x001bffa5,0xfc81ffee,0xf904efff,0x09fff1df,0x0fffffb2,
    0x21bff200,0xfedefffe,0x7ffa83ff,0x3ffea000,0x7ffff442,0x8804ffff,
    0xfff75fff,0x4d6fc403,0x4fffe988,0xfffffe88,0xf8804fff,0x3fff75ff,
    0x75fff880,0x74403fff,0xffffffff,0x1bffe004,0xf105ffe8,0x23ff6bff,
    0x3ffb2ffd,0x7ff49ff3,0x00fffb05,0xfb2fffa8,0x3ffff3ff,0x407ffc80,
    0xfff35fff,0xfa93fea7,0x7ec001ff,0x3fff62ff,0x813ffe04,0xfe806fff,
    0xfff100ff,0xf97ffa0b,0x11bff67f,0xf0003fff,0x7d400dff,0x4dff12ff,
    0xffb2fffa,0xfff7000f,0x00fffe60,0x7ff53ffe,0x7ffe4407,0x2ffec001,
    0x3fffffa2,0xff504fff,0x7fd4000f,0x66ffe42f,0x2000cdee,0xffe8fffd,
    0x7fc40006,0xcdffc85f,0x2000cdee,0xffe8fffd,0x1fffb006,0xfc80dffd,
    0x0cdeecdf,0x037ffc00,0x3e60bffd,0xb1ffd3ff,0x23ffa5ff,0x3ffa2ffa,
    0x00fffb05,0xfb2fffa8,0x3bffeeff,0x01fff200,0x3fe2bfff,0x5c3ffb3f,
    0x74000fff,0x3fe60fff,0x9fff01ff,0x403fff40,0xf905fffc,0x3ff605ff,
    0x7f49ff56,0x0fffc45f,0x037ffc00,0x2a7fff30,0x3ffea4ff,0x000fff91,
    0x3ea0fff7,0xfff9807f,0x803fff92,0x4003fff8,0x7fe44ffe,0x00cdeecd,
    0x8001ffea,0x7fc2fffa,0xfa80001f,0x03fffbff,0x86ffe800,0x80001fff,
    0xfffbfffa,0x7fff5003,0xff807fff,0xff00001f,0x2fff40df,0xfb2fffd8,
    0xf35ff91f,0x41ffb1ff,0xffb05ffe,0xfffa800f,0x7ecfffb2,0x3ff205ff,
    0xf2fffc07,0xb1ffebff,0x4df5cfff,0x37ffecc0,0x4dffffe4,0x409fff10,
    0x4403fffd,0x931cffff,0x7dc0dfff,0x7c3ffb7f,0x7ffc44ff,0x401ddd11,
    0x22006fff,0x3ffb3fff,0xfb87ffdc,0x7dc001ff,0x0dff707f,0x2a1fff70,
    0xfe804fff,0x7ffc004f,0x000fffc3,0x0003ffd4,0x7c45fff5,0x80000cff,
    0x0fffffff,0x5554c400,0x7fc46ffe,0xf80000cf,0x00ffffff,0x3fffffe0,
    0x3ffe200f,0xff80000c,0x17ffa06f,0xfc9bfff2,0xfeeffb9f,0x746ffdff,
    0xfffb05ff,0x2fffa800,0x7f44fffb,0xfff904ff,0x365fff80,0x44ffafff,
    0x3fee6fff,0xffffffff,0xfff881ff,0xffffffff,0x3ffee04f,0x645edcef,
    0xffffffff,0x3e601fff,0x2e6ffbff,0x7fc42fff,0x03fff11f,0x20037ffc,
    0x8fff5fff,0x3fe67ffd,0x7fdc004f,0x00bff907,0xfff8bffb,0x04ffd806,
    0x887ffea0,0x4000cfff,0x20007ffa,0x7f42fffa,0xdeffffff,0xfff9001c,
    0x75c00bff,0xffffffff,0xfffffe86,0x001cdeff,0x0bfffff9,0xfffffc80,
    0xffffe805,0x81cdefff,0xfffeeeec,0xfd1eeeef,0xfffbbdff,0x57fe41ff,
    0xffeffff9,0x7ff41fff,0x00fffb05,0xfb2fffa8,0xffff98ff,0x407ffc82,
    0x3ff25fff,0x3ee2ffff,0x3ffee2ff,0xffffffff,0x3fff6202,0x4fffffff,
    0x7fffff40,0xfffc85ff,0x01ffffff,0x7fffffc4,0x10dfff54,0x3fe23fff,
    0xfdddd91f,0x3ddddfff,0x7d7ffec0,0x237ffc4f,0x5c007ffe,0xbff907ff,
    0x43fff880,0x6c00fffd,0x3f6004ff,0xffffe86f,0x81cdefff,0x20007ffa,
    0x7442fffa,0xffffffff,0xff8804ff,0xe8801fff,0xffffffff,0xffe886ff,
    0xffffffff,0xffff8804,0x7fc4001f,0xe8801fff,0xffffffff,0x7fff44ff,
    0xffffffff,0xfffffd1f,0xb85fffff,0x1dff93ff,0xfd05dff7,0x1fff60bf,
    0x25fff500,0xffb87ffd,0x7ffe41ff,0x893ffe00,0x717ffffe,0xfda8dfff,
    0xcfffffff,0xfffd7000,0x8017dfff,0xffffffc8,0xffffb505,0x3ea0019f,
    0xffedffff,0xfff882ff,0x3a3fff11,0xffffffff,0x3201ffff,0x22ffffff,
    0x7dc2fffb,0x3ee002ff,0x0bff907f,0x5c1fffa8,0x7ec02fff,0xfff1004f,
    0xffffd107,0x89ffffff,0x20007ffa,0x7d42fffa,0xffeeeeff,0xfd803fff,
    0xffb005ff,0xfd3335df,0xdfff50df,0xfffffddd,0xbfffb007,0x3fff6000,
    0xdfff5005,0xfffffddd,0x7fffff47,0x1fffffff,0xfffffffd,0x97fea09d,
    0xfd004408,0x1fff60bf,0x25fff500,0xffb07ffd,0x7ffdc1ff,0x87fff100,
    0xfefffff9,0x2602ffff,0x00009a99,0x0000cd44,0x50013553,0x50003fff,
    0xffffffff,0x3ffe205f,0x3a3fff11,0xffffffff,0x2201ffff,0x717ffffe,
    0xff10dfff,0x7fdc00df,0x80bff907,0xff987ffc,0x27fec05f,0x80fffd80,
    0xeeeefffa,0x2a3fffff,0x2a0007ff,0x3fe62fff,0xdfff504f,0x05fffd00,
    0x20dfff10,0x7fcc6ffd,0xdfff504f,0x05fffd00,0x0bfffa00,0x413ffe60,
    0x0006fffa,0x331bffd0,0x01fff100,0xffe80000,0x7ffe4006,0x3ea00001,
    0xfff703ff,0xfffff703,0x4003ffff,0x26000199,0x26600019,0xfff88001,
    0xffc80185,0x200dffff,0xff11fff8,0x7fd4003f,0xffff9805,0x2fffffef,
    0x007fff70,0x7e41ffee,0x7fffc05f,0xffffffff,0x02ffe407,0x4c27ffd4,
    0xff504fff,0x03ffd4df,0x43fff900,0x7f407ffd,0x7ffd406f,0x9fff3006,
    0xd8dfff10,0x7ff407ff,0x37ffd406,0x6fffa800,0x80fffb00,0x4c406ffe,
    0x17ffa009,0x013ff600,0xfff88000,0x3fffc005,0x44006660,0x7cc1ffff,
    0x3ffe06ff,0x000dffff,0x0003ffe6,0x0003ffe6,0x0003ffe6,0x2ef7fffa,
    0x7fec00fe,0xff1000aa,0x07ffe23f,0x007ffcc0,0xffffffb8,0x7f401fff,
    0xffb801ff,0x409ffd07,0xfffffff9,0x01ffffff,0xd101bfee,0x3ff60dff,
    0x537ff407,0x7c000fff,0x7ffec7ff,0x09fff301,0x00ffffd4,0x4c6fff98,
    0x7ec6ffff,0xfff301ff,0x7fffd409,0xfffa8001,0xfffb001f,0x13ffe603,
    0x740bff90,0xf98005ff,0x002e03ff,0x227ffdc0,0x7fdc40b8,0x3ffe606f,
    0xffff9000,0x5ffffddd,0x2a77fe60,0xbff70000,0x17fee000,0x02ffdc00,
    0xfffff980,0x3e205fff,0xff88006f,0x03fff11f,0x0013ff20,0xbfffffff,
    0xffff1001,0x87ffb803,0x3202fffc,0xffffffff,0x204fffff,0x880cfffa,
    0xfb01fffe,0x3fe603ff,0x81ffea4f,0x7fdc40b8,0x77ffe46f,0xfffca9ab,
    0x3fbba21f,0x7c002fff,0xffecffff,0x7fe46fff,0xfca9abef,0x3ba21fff,
    0x002ffffe,0xffffddd1,0x7ffe4005,0xffca9abe,0x7ff401ff,0x017ffa02,
    0x5efffec0,0x800ffcaa,0xfffecce9,0x677fcc0f,0x01fffffd,0x88017fee,
    0xfffffffe,0x3ff203ff,0xffc80002,0x7ff90003,0x0fff2000,0xffffa800,
    0x3ee03fff,0xff88003f,0x03fff11f,0x0abbff60,0x2a77fe60,0xfffa8000,
    0x3bbbba0f,0xfffd97ff,0x5ffe80df,0x01bffe20,0x49dffffb,0x3203fffd,
    0xa9abefff,0x2a1ffffc,0x3eeeefff,0xffb9dff3,0xfe883fff,0xffffffff,
    0x7ffc42ff,0xb8003fff,0xffffffff,0x7f446ffb,0xffffffff,0x7ffc42ff,
    0x22003fff,0x03ffffff,0x7ffff440,0x2fffffff,0x200fff80,0x20005ffe,
    0xfffffffd,0xff9800ff,0x983fffff,0xffffffff,0x1ffe403f,0x7fffdc00,
    0x7f401dff,0xfe80000f,0xffd0000f,0x3ffa0001,0x65440000,0x4c400acd,
    0xfff10001,0x007ffe23,0x037fffdc,0x00017fe4,0xff0fffd4,0x36ffffff,
    0x201effff,0x7403fff8,0x3a600fff,0xff35ffff,0xffe8807f,0xffffffff,
    0x7fffd42f,0xfff34fff,0x07ffffff,0x3ffffae2,0xf880bfff,0x0000dfff,
    0x33ffffee,0xb886ff98,0xfffffffe,0xffff880b,0x7fc4000d,0x10000dff,
    0xffffffd7,0xff30017f,0x05ffe80b,0x7fff6400,0xf3002dff,0x205dffff,
    0xffffffd8,0x0ffe801d,0x00d4c000,0x00001330,0x98000666,0x26600019,
    0x00000001,0x3fe20000,0x03fff11f,0x037ffe40,0x00007ff4,0x7ffc2fa8,
    0xdfb7ffff,0xfff7007b,0x3fffb801,0x25fedb80,0xd71003f9,0x7fffffff,
    0xfffff501,0x3ff629ff,0x001dffff,0x00135331,0x80000353,0x220001a9,
    0x98009a99,0x54c0001a,0x4c400001,0x440009a9,0x00000099,0x00033300,
    0x40026a62,0x4001a998,0x00000199,0x00000000,0x00000000,0x00000000,
    0xfff88000,0x003fff11,0x04cc0010,0x00020000,0x6ffd8000,0x05fff980,
    0x10000800,0x00013533,0x01a99880,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x22000000,0xfff11fff,0x00000003,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x33000000,0x00019983,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x02f2e200,0x81331003,0x2aa00998,
    0x20015541,0x98002ee8,0x26666199,0xdddddd90,0xbddddddd,0x88166400,
    0x04cc4199,0xdb01bbae,0x506aa09d,0xaa800055,0x333002aa,0xeee88001,
    0x980000ee,0x88000999,0x3ba09999,0x5540004e,0x77415541,0x0bcdeeee,
    0x00666000,0x15c40ba8,0x000d4400,0x00026660,0x01817971,0x26199980,
    0xaa800999,0x3330000a,0x02666000,0x5c40ba80,0xeeeeec82,0x24eeeeee,
    0x2e05eeeb,0x3fe604ee,0x4fa9cfff,0x467fec40,0x7ec05ffc,0x00bff51f,
    0x4002ffa8,0xff93fffd,0x7ffff49f,0xffffffff,0x13fe006f,0xfc8dffd8,
    0x07ffc85f,0xfd82fffc,0x00bff51f,0x06fffec0,0x077ffec0,0xfffff700,
    0xffd80007,0x7cc000ef,0x7ffc3fff,0x7ff40005,0xff0bff51,0xffffffff,
    0x7f44001b,0x7e400dff,0x027ff46f,0x0dfffd88,0xefffd800,0xffff3000,
    0x009f539f,0xfc9fffec,0x7f4404ff,0x22000eff,0x000dfffe,0x003bfff6,
    0xffd1bff2,0xfffffd89,0x25ffffff,0x902ffffc,0x7ff40bff,0x6fffffff,
    0xfffffb00,0xffff500b,0xb8005fff,0x3f2001ff,0x5fff91ef,0xffffffe8,
    0x6fffffff,0x807ff100,0x05fffffd,0xff80fff9,0xffff505f,0x20005fff,
    0x8803fffd,0x0effeffe,0xfffffb00,0x7fec000b,0xff88003f,0x5fff81ef,
    0x7ffdc000,0xff81ffff,0xffffffff,0xffd1006f,0x7401dffd,0xfff11fff,
    0x33bf200d,0x3a2004fe,0x00effeff,0xffffffe8,0xf9006fff,0x3fff23df,
    0x77ff4402,0xe8800eff,0x00effeff,0x7ff7ff44,0x7fff400e,0xd8dfff11,
    0xffffffff,0x3ff25fff,0xbff906ff,0xfea8fd40,0x36000fff,0x2e004fff,
    0x003fffff,0x59ffd953,0x0dffc803,0x5501bffb,0x9fff9555,0x20055555,
    0xfc802ff9,0x3ff205ff,0x02fffc07,0x07fffff7,0x07bff600,0x5cfffa20,
    0xff800eff,0x000fffff,0x001fffd8,0x00dfff88,0x0000bfff,0x05fffff7,
    0x32abbffe,0x403ffffe,0xff72ffe8,0x1bff201d,0x3a009ffd,0x200df32f,
    0xff73ffe8,0x51fa801d,0x001ffffd,0x3f61bff9,0x7f4400df,0x03fff52f,
    0xfb97ff44,0xffd100ef,0x803bfee7,0x7ff46ffc,0x7dcccc44,0x20999bff,
    0x83fffffc,0x40405ffc,0x330001a9,0x35310003,0xfffb3001,0x01ffffff,
    0x33310ccc,0x2fffa800,0x07fea000,0x3200ccc0,0x7ffc07ff,0x04d4c405,
    0x22000000,0x04cc4099,0x3f3ffea0,0x4c4002ff,0x31000099,0x5fff8033,
    0x35310000,0x427ffc01,0x4404fffd,0x04cc4099,0x2b881750,0x3233f600,
    0x1331005f,0x08009988,0x26001a98,0x00666219,0x99880000,0x8804cc40,
    0x04cc4099,0x57102ea0,0x05fff500,0x37ffffe4,0x0002ffe4,0x00000000,
    0x3fffe600,0x0fffffff,0x2a000000,0x44002fff,0x01cffeba,0xfff90020,
    0x005fff80,0x55551000,0x80005555,0x77fe4000,0x0004fff8,0x40000002,
    0x00005fff,0x84fff800,0x0006fff9,0x40000000,0x01fffff9,0x00000000,
    0x54000000,0x000002aa,0x00000000,0x5fff5000,0x7ffffe40,0x42ffe43f,
    0x76c06eeb,0x76dcc04e,0x2e0bdfff,0x776c06ee,0x9dfffd14,0x81fb7bff,
    0x76c06eeb,0xfffa804e,0xfff91002,0x5c0dffff,0x4effffed,0x3e03ffe4,
    0x3b6e05ff,0x4c00cdff,0x6fffffff,0x7ff6dc00,0x7fc04eff,0x00fffd4f,
    0x7ffff6dc,0xdb73004e,0x7c17bfff,0xa80005ff,0xbdffffec,0x2213ffe1,
    0x95005fff,0x37bffffd,0x6fff6dc0,0x6e44000c,0xedb8000c,0x2000cdff,
    0x0cdffedb,0x3ffb6e00,0xffe800cd,0xdb980005,0x20bdfffe,0x76c06eeb,
    0x01bbae4e,0x3ea09ddb,0x3ff202ff,0x7e47ffde,0x07ffc85f,0xf902fffc,
    0xffffffff,0x203ffe43,0xfff55fff,0x900ffe6b,0xfff80fff,0x2fffa805,
    0xfffff980,0xfa86ffff,0xffffffff,0x203ffe47,0xfd885fff,0x2fffffff,
    0x3ffffe60,0xff5006ff,0xffffffff,0xc97ffcc0,0x7d401fff,0xffffffff,
    0xffffc807,0x3e1fffff,0x260005ff,0xfffffffe,0x13ffe4ff,0x3013ffee,
    0xfffffffd,0xffb109ff,0x05ffffff,0x3bbbba20,0xfffb1000,0x805fffff,
    0xffffffd8,0x7ec402ff,0x2fffffff,0x002fff40,0x3fffff20,0x3f21ffff,
    0x2fffc07f,0xff80fff9,0x5fff505f,0x7cf7fe40,0x17ff23ff,0xff01fff2,
    0xfffd10bf,0x3fffffff,0x3e03ffe4,0x7fff75ff,0xf9007fea,0x5fff80ff,
    0x02fffa80,0xfdffffe8,0x7fcc6eef,0xffffffff,0x203ffe47,0x7fc45fff,
    0xffffffff,0x5555103f,0xf300dfff,0xffffffff,0x7ffdc0ff,0x409fff50,
    0xfffffff9,0x3a207fff,0xffffffff,0x17ffe1ff,0x7fffdc00,0x4fffffff,
    0x64c53ffe,0x2e00ffff,0xffffffff,0x7fc44fff,0xffffffff,0xfffb803f,
    0xff8803ff,0xffffffff,0xffff103f,0x7fffffff,0x3ffffe20,0x03ffffff,
    0x40017ffa,0xffffffe8,0x3f21ffff,0x2fffc07f,0xff80fff9,0x5fff505f,
    0xfdb7fe40,0x217ff27f,0x7fc07ffc,0xffffd85f,0x1fdba9bd,0xff01fff2,
    0x3bffeebf,0x6400ffb8,0x7ffc07ff,0x2fffa805,0x4f7ffdc0,0xfe813ff8,
    0x73319dff,0x407ffc8b,0x7fec5fff,0xffeb9bef,0x3ffe007f,0xdfffe806,
    0x40b73319,0x7ffc5ffd,0x37fffa06,0x40b73319,0x9bdffffd,0x3fe1fdba,
    0xff98005f,0xba9aceff,0x3fffe4fd,0x1effffff,0x3bfffe60,0x4fdba9ac,
    0x4df7ffec,0x807fffeb,0x05fffffd,0x9befffd8,0xb07fffeb,0xd737dfff,
    0x3f60ffff,0xfeb9beff,0x3ffa07ff,0xfffb0005,0xfb7537bf,0x203ffe43,
    0x3ff25fff,0x82fffc07,0x3202fffa,0x7fff36ff,0x3f217ff2,0x2fffc07f,
    0x80bfffe6,0x01fff208,0x3fe6bfff,0x807fefff,0x7fc07ffc,0xfffa805f,
    0x8ffff402,0xff882ff9,0x7fe4006f,0x32fffc07,0xfb01dfff,0x3fe007ff,
    0x7ffc406f,0xfff10006,0x80fffd87,0x0006fff8,0x405ffff3,0x017ffe08,
    0x037fffa0,0x3fffe188,0x802fffff,0x200dfffe,0x3bffe618,0x03fffd80,
    0x7ffffffc,0x3bffe600,0x43fffd80,0xd80efff9,0x7fcc3fff,0xfffd80ef,
    0x00bffd03,0x05ffff30,0x0fff9044,0x3f25fff8,0x2fffc07f,0x202fffa8,
    0x3ff66ffc,0xf90bff97,0x5fff80ff,0x001ffff4,0xff01fff2,0x7fffecbf,
    0x3200bfff,0x7ffc07ff,0x2fffa805,0xf53fffc0,0xdfff303f,0x07ffc800,
    0xffb2fffc,0x3ffe603f,0x0dfff006,0x006fff98,0xb83fff50,0xff982fff,
    0xffd0006f,0xfff8007f,0x7ffd4005,0xffff8006,0x406ffffe,0x8006fffa,
    0xf301fffd,0x7fd40dff,0x202fffcf,0xf301fffd,0xfffd8dff,0x8dfff301,
    0xf301fffd,0x3ffa0dff,0x03799515,0x000ffffa,0xff80fff9,0x01fff25f,
    0x3ea0bfff,0x3ff202ff,0x32fffe66,0x7ffc85ff,0xf32fffc0,0xf9000fff,
    0x5fff80ff,0x7fffffec,0xfff903ff,0x805fff80,0x2202fffa,0x3fee5fff,
    0x2ffff880,0x01fff200,0x7ffcbfff,0x07fff407,0x2037ffc0,0x002ffff8,
    0xf987ffc8,0xfff885ff,0x7fcc002f,0xfff8007f,0x7ffec005,0x4fff8002,
    0x409fffb1,0x8002fffd,0x7f407fff,0xdff900ff,0x7c09fff1,0x7ff407ff,
    0x01fffe0f,0x7fc1fffd,0x7fff407f,0xf9dffe80,0x4c2fffff,0xc8007fff,
    0x7ffc07ff,0xf01fff25,0x3fea0bff,0x1bff202f,0xbffbfffb,0xf80fff90,
    0x3ffea5ff,0x7ffc8004,0x542fffc0,0xfffffffe,0x03ffe40e,0x2a017ffe,
    0x3e602fff,0x81ff25ff,0x02dfffff,0x200fffc8,0xfff14fff,0x1fffc80b,
    0x806fff80,0x02dfffff,0x3fffffe0,0x07ffffff,0x05bfffff,0x013ffea0,
    0x0017ffe0,0x2000fffd,0x3fa24fff,0xfffd01ff,0xbfff1000,0x01fffc80,
    0x3ffa9fff,0x0bfff107,0xf11fffc8,0xffc80bff,0x0bfff11f,0xe81fffc8,
    0xfffffeff,0x3fea0fff,0xffc8004f,0x92fffc07,0xfff80fff,0x05fff505,
    0x3e637fe4,0xc85fffff,0x7ffc07ff,0x00fffee5,0xf01fff20,0x7fd40bff,
    0x646fffff,0x7ffc07ff,0x2fffa805,0xd9fffe20,0x3ffea06f,0x700befff,
    0x3e201fff,0x9fff33ff,0x01fffc80,0xa806fff8,0xbeffffff,0x3fffe600,
    0xffffffff,0xffffa81f,0x2e00beff,0xf8003fff,0x7fc005ff,0x5555446f,
    0x13ffe1aa,0x3e09fff7,0x555446ff,0xfff31aaa,0x1fffc809,0xf92fff98,
    0xfff303ff,0x1fffc809,0xc809fff3,0xfff31fff,0x1fffc809,0xefffffe8,
    0x2e4ffffc,0xc8003fff,0x7ffc07ff,0xf01fff25,0x3fea0bff,0x1bff202f,
    0x17fffff6,0xff01fff2,0x17ffe4bf,0x03ffe400,0xfa817ffe,0x1ffffdbf,
    0xff01fff2,0xfff500bf,0x1ffff805,0xffb80bfd,0x84ffffff,0xf703fffa,
    0x3ffea5ff,0x17ffdc03,0x8037ffc0,0xfffffffb,0xffff904f,0xffffffff,
    0x3ffee09f,0x904fffff,0xf0005fff,0x7c400bff,0x7ffd45ff,0x3ffe4fff,
    0x07fffc44,0xf517ffe2,0x2a9fffff,0x7dc03fff,0xfffb82ff,0x509fff50,
    0xfb807fff,0x7fff52ff,0x52fffb80,0xfb807fff,0xfffe82ff,0x9bffe22f,
    0x8002fffc,0x7fc07ffc,0x01fff25f,0x3ea0bfff,0x3ff202ff,0xfffff986,
    0x407ffc85,0x3ff65fff,0xffc8002f,0x02fffc07,0x3ff61ff9,0x01fff23f,
    0xf500bfff,0xffc805ff,0x0a4ff9ff,0x7ffffecc,0x3fe20eff,0x7ffcc1ff,
    0x00fffea7,0xf005fff7,0x6cc00dff,0xefffffff,0x102fff40,0x6cc0dfff,
    0xefffffff,0x017ffec0,0x4cf7ffc0,0x26199999,0x7fd45fff,0x3fe4ffff,
    0x4fffc84f,0x2a2fffcc,0x54ffffff,0xfb807fff,0x5ffd82ff,0x7d437ffc,
    0x7fdc03ff,0x07fff52f,0xf52fffb8,0xffb807ff,0x3fffe82f,0x3f67ffe8,
    0xfc8002ff,0x2fffc07f,0xff80fff9,0x5fff505f,0xd837fe40,0xfc85ffff,
    0x2fffc07f,0x0007fff9,0xff80fff9,0xb9ff605f,0x3ff23fff,0x02fffc07,
    0x2017ffd4,0xfffffff8,0x64c07fee,0x45ffffff,0xeeeffffc,0x3e63ffff,
    0x7fdc04ff,0x6fff801f,0xfffc9800,0x3fe25fff,0x7fff403f,0x7ffe4c00,
    0x7fe45fff,0xfff8003f,0xffffffff,0x8bfff10f,0x4fffccc9,0x3e213ffe,
    0x3fe20fff,0x7e664c5f,0x9fff34ff,0x41fffb80,0x7ec3fff8,0x7ffcc0ff,
    0x8fffdc04,0x5c04fff9,0xfff31fff,0x1fffb809,0xfb06ffe8,0x1fffe4ff,
    0x03ffe400,0xffc97ffe,0xdafffc07,0xffffffff,0x3ff25fff,0xbffff306,
    0xf80fff90,0x3ffee5ff,0x7ffc8004,0x80afffc0,0x3fff66fe,0xf01fff21,
    0xff500bff,0xfff5005f,0x0fffffff,0x7ffffd40,0x3ffffa20,0x444fffff,
    0x7e405fff,0xfff800ff,0x7fd40006,0xfff70fff,0x3fffb801,0x3fffea00,
    0x13ffee0f,0x3ffffe00,0x0fffffff,0xff01bffe,0x827ffc9f,0x7fc4fffd,
    0xa7ffc06f,0x6405fff8,0x7fd40fff,0x17ffdc1f,0x9017ffe2,0x3fe21fff,
    0x7ffe405f,0x80bfff10,0xfe80fffc,0x4fffb05f,0x8004fffb,0x7fc07ffc,
    0x01fff25f,0x3ff6bfff,0xffffffff,0x81bff25f,0xfc85fffd,0x3ffe00ff,
    0x01bffea4,0x803fff20,0x7bf94fff,0xffb5bff3,0x0fffc8df,0x2013ffe0,
    0x3002fffa,0xfffffffb,0xfff8800d,0xfffec82f,0xfff01dff,0x07ffe80d,
    0x000dfff0,0x25ffff10,0xf9806ffd,0x7c4005ff,0x3fea2fff,0xfff8006f,
    0xffffffff,0x03fffa0f,0x3fe4fff8,0xffff304f,0x007fff41,0x7ffc9fff,
    0x43fff406,0xff987ffc,0x06fff85f,0x3fe3fff4,0x3fff406f,0xfd01bffe,
    0x17ffa0ff,0xff53ffec,0xff9000df,0x27ffc01f,0x7c01fff9,0xffffb4ff,
    0xbfffffff,0xf3037fe4,0xfff70bff,0x8fffe201,0x001ffff9,0x8807ffdc,
    0xfff93fff,0xffffffff,0x0fffb83f,0x007fff10,0xffb10000,0x36000157,
    0x3a202fff,0x7ffc04ff,0xdfff100f,0x01bffe00,0x17ffec00,0x04ffc800,
    0x45fffb00,0x001ffff9,0x3ff60000,0x13ffe04f,0xfffb0000,0xf27ffc09,
    0x3e201fff,0xffff86ff,0xffffffff,0x00ffff87,0xff8dfff1,0xfff100ff,
    0x00ffff8d,0x3a0dfff1,0xfffb05ff,0x00ffffcc,0x403ffee0,0x3ee3fff8,
    0xfff100ff,0x3ffa2007,0xfff88002,0x03fffa84,0xfd83fff7,0x2a000eff,
    0xff703fff,0x3ffff23f,0x1effffff,0x703fffa8,0x26003fff,0xff900019,
    0xfffd0000,0x02ffdc01,0xc827ffdc,0xff002fff,0x3a0000df,0xa8000fff,
    0x3a0005ff,0x7fec0fff,0x220000ef,0x7fcc0099,0x9fff01ff,0x30019980,
    0x3e03ffff,0x3ffee4ff,0x85fff904,0xfffffff9,0x41ffffff,0xf904fffb,
    0xfffb85ff,0x85fff904,0xf904fffb,0x3ffa05ff,0xd8fffb05,0x2000efff,
    0xf703fffa,0x7ffd43ff,0x03fff703,0x000fff20,0x441fffdc,0x7cc1ffff,
    0xfff986ff,0xca989bff,0x3fffe21f,0x337ffcc1,0xbffffd97,0x7ffc4039,
    0x37ffcc1f,0x00fff980,0x2e06fe80,0x7ecc09be,0x7ff406ff,0xffff8802,
    0xdfff931c,0x037ffc00,0xb3026fae,0x2000dfff,0xbeb82ffe,0x7ffecc09,
    0xfffff986,0x1fca989b,0x2017ff20,0x09bffffc,0x4c09fff1,0xf9000fff,
    0x22137fff,0x3fe24fff,0xff931cff,0xffff90df,0xffffffff,0xffff889f,
    0xdfff931c,0x39ffff10,0x21bfff26,0x31cffff8,0x740dfff9,0xfffb05ff,
    0xbfffff98,0x21fca989,0x4c1ffff8,0x7fc46fff,0x7ffcc1ff,0x1fff1006,
    0xfffd1000,0x3ffff203,0x2ffffeee,0xffffff90,0xc83fffff,0xfeeeffff,
    0x3f202fff,0x3ff2000f,0xfffeeeff,0xbff7002f,0x817fe000,0xfffffffb,
    0x401fffff,0x4019dfff,0xfffffffc,0x2002ffff,0x7dc06fff,0xffffffff,
    0xf0001fff,0x7dc33bff,0xffffffff,0xff901fff,0xffffffff,0x17ff403f,
    0x7ffffc40,0x4fffffff,0x8017fee0,0xfffffff8,0x644fffff,0xffffffff,
    0xffe82fff,0x1bffe205,0x3ffffff2,0x902fffff,0xffffffff,0x3f205fff,
    0xffffffff,0x3ffa02ff,0x90fffb05,0xffffffff,0xffc83fff,0xfffeeeff,
    0xffffc82f,0x2ffffeee,0x39fff300,0xfffd3001,0x7ff440bf,0x3fffffff,
    0x7ffffdc0,0x441fffff,0xfffffffe,0x3fec03ff,0x3fffa200,0x03ffffff,
    0x000fff20,0xfb80ffe2,0xffffffff,0xffd802ff,0xffb804ff,0x2fffffff,
    0x3fbbbb20,0x1eeeefff,0x3fffffee,0x002fffff,0x93ffff60,0xfffffffb,
    0x5c02ffff,0xffffffff,0x3ffe01ff,0xfffb1000,0x9fffffff,0x001ffe40,
    0x3fffff62,0xb84fffff,0xffffffff,0x3fff882f,0x407fff40,0xfffffffb,
    0x7fdc02ff,0x2fffffff,0x7ffffdc0,0x7402ffff,0xfffb05ff,0x3ffffee0,
    0x441fffff,0xfffffffe,0xffd103ff,0x7fffffff,0x7fffc400,0xfffa802f,
    0xffb800ff,0x001dffff,0xfffffd91,0x7ffdc07b,0xe801dfff,0xff70005f,
    0x003bffff,0x8000ffe8,0x36a02ff9,0xffffffff,0xffb1000c,0x3faa007f,
    0x400dffff,0xfffffffe,0x2a1fffff,0xfffffffd,0x440000cf,0x36a4fffd,
    0xffffffff,0xfd91000c,0x407bffff,0xb8005ff9,0xeffffffe,0x03ffa00b,
    0x7fff5c00,0x500befff,0x1bfffffd,0x003ffee0,0x2a07fff7,0x0dfffffe,
    0xffffd500,0x3aa001bf,0x00dfffff,0xfb05ffe8,0x7f6440ff,0x203dffff,
    0xdffffffb,0xffffb801,0x98001dff,0xa801fffe,0x8000bfff,0x980001a9,
    0x1a980009,0x001f6c00,0x0000d4c0,0x26000333,0x333001ee,0x08000135,
    0x00262000,0xffffffe8,0x01ffffff,0x00135333,0x33002000,0x00001353,
    0x26200133,0x54400009,0x06660019,0x0cd44000,0x4004c400,0xf9806ffd,
    0x098805ff,0x004c4000,0x00026200,0x3f60bffd,0x0266007f,0x0006a600,
    0x00001a98,0x00988002,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x09999800,0xd00f6e00,0x3bae09dd,0x1333005e,0x01dddd70,0x30013bae,
    0xee881333,0xeeeeeeee,0x1999884e,0x0f6e0000,0x00666620,0x81797100,
    0x440ba801,0x3330002b,0x33300013,0x04ccc013,0x30001331,0x2ea00133,
    0x00015c40,0x44026666,0x04cc4199,0x98833310,0x7776c009,0xa805eeee,
    0x5415c40b,0x310001aa,0x26000333,0x02662099,0x000f6e00,0x00004ccc,
    0x00001333,0x5506aa00,0x01aaa985,0x03bfff60,0x01fffdc0,0xff30bfff,
    0xffb003ff,0xfffc81df,0x0bff904f,0x077ffec0,0x3fffffe6,0x885fffff,
    0x0005fffd,0x403fffb8,0x005fffd8,0x9fffff30,0x7e409f53,0x027ff46f,
    0x03bfff60,0x1dfffb00,0x4cf7fd40,0x6c001fff,0x6400efff,0x27ff46ff,
    0xefffd800,0x237ff600,0xfd805ffc,0x05ffc8df,0xffffffe8,0x37fe407f,
    0xffd13ffa,0x3f62000b,0xfa8005ff,0x1fff99ef,0x1fffdc00,0x3bfff600,
    0xfffd8000,0xdb73000e,0x2017bfff,0xbff51ffd,0x004fffc8,0x8007fffb,
    0x3e05fffd,0xfffe85ff,0x77ff4403,0x3ff20eff,0xffc80fff,0x7fffb005,
    0x3ffffe60,0x05ffffff,0x0017ffee,0x00bfffb0,0x0017ffee,0x3ffffffa,
    0x3fa06fff,0xdfff11ff,0x1fffec00,0x1fffec00,0xfffffa80,0x3fa2001f,
    0x200effef,0xff11fffe,0xffb000df,0x3ff6007f,0x36005fff,0x005fffff,
    0xdddddddb,0x1fffe80b,0xfa8dfff1,0x2e0001ff,0xa8005fff,0x01ffffff,
    0x06fffd80,0xffdffd10,0x3fa2001d,0x400effef,0xfffffffc,0xfff501ff,
    0xfb85ffff,0xffd804ff,0xffb8001f,0x17ffe03f,0x880dfff7,0xdff73ffe,
    0x3fffff21,0x805ffc83,0x2601fffd,0xaaaadfff,0x74c01aaa,0x2e0005ff,
    0x26003fff,0x54005ffe,0xffffd51f,0x237fe401,0xfb004ffe,0xfb0003ff,
    0xf98003ff,0x22001fff,0xdff73ffe,0xd1bff201,0xfd8009ff,0x7e4001ff,
    0xfc8005ff,0x000005ff,0xfd1bff20,0x09fff09f,0x5ffe9800,0xffff9800,
    0xfff70001,0x7ffd1009,0x1003bfee,0x3fee7ffd,0xfffe880e,0x1fffffff,
    0x3ffffee0,0x04fffb83,0x0004ccc4,0xff807b70,0x3fffe25f,0x204cc400,
    0xfff90998,0xbff90dff,0x00999880,0x0027ffcc,0x004ccc40,0x0007b700,
    0x80013331,0x5001a980,0x002b8817,0x00013331,0x00013331,0x10002662,
    0x09988133,0x57102ea0,0x09998800,0x00333000,0x0000ccc0,0x205d4000,
    0xfff702b8,0x99880001,0x99880009,0x1edc0000,0x44099880,0x4cc40099,
    0x6c04cc40,0xa9bdffff,0x4c401fdb,0xfff7009a,0x00000007,0x6cbfff00,
    0x00002fff,0xffffffc8,0x002ffe42,0x13ffe600,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x406eeb80,
    0x00004eed,0x001fffc4,0x00000000,0x00000000,0x3e600000,0x02202fff,
    0x7ffdc000,0xb01bbae3,0xdb9809dd,0x20bdfffe,0xfff75fff,0xdddd300b,
    0x29dddddd,0x6ffeeffc,0xb702ffe4,0x2019bffd,0x4004fff9,0x76c06eeb,
    0x7f65404e,0x201bdfff,0x0cdffedb,0x03bbbae0,0x3b22775c,0xeeeeeeee,
    0x3bbae4ee,0x89dd700e,0xeeeeeee8,0xdd04eeee,0x179bdddd,0xddddd900,
    0x09dddddd,0x07777744,0x77777640,0x44eeeeee,0xeeeeeeec,0x25eeeeee,
    0x700eeeeb,0x3ffe49dd,0xd117ffe0,0xdddddddd,0xdffb09dd,0xeeeec800,
    0x4eeeeeee,0x6f777764,0xdd9001ac,0xdddddddd,0x013baa9d,0x3a21775c,
    0xeeeeeeee,0x3fffa4ee,0xeeec8003,0xeeeeeeee,0x647fff54,0x7ffc07ff,
    0x3ffff205,0x3e1fffff,0xefff8dff,0xffff9800,0x95ffffff,0x3fff5dff,
    0x6c42ffe4,0xffffffff,0x04fff982,0x203ffe40,0xfd305fff,0xffffffff,
    0xffffb109,0x3205ffff,0xf904ffff,0xffffd8bf,0x5fffffff,0x413ffff2,
    0x7fcc5ffc,0xffffffff,0xfffff05f,0x01bfffff,0x7fffffec,0x205fffff,
    0x03fffffb,0xffffffd8,0x745fffff,0xffffffff,0x326fffff,0xf904ffff,
    0x03ffe4bf,0xff317ffe,0xffffffff,0x5fff30bf,0x7fffec00,0x5fffffff,
    0x7fffffec,0x6c02ffff,0xffffffff,0xdff55fff,0x30fff200,0xffffffff,
    0x3fe6bfff,0xffb0007f,0xffffffff,0x8bffeabf,0x7fc07ffc,0xfffe885f,
    0x1fffffff,0x3ff77ffe,0xfff3001f,0xbfffffff,0x7ffdbff2,0xf117ff25,
    0xffffffff,0xfff987ff,0xeeeeeeef,0x203ffe41,0xffb85fff,0xffffffff,
    0x7fffc44f,0x3fffffff,0x0fffffc8,0x7ec5ffc8,0xffffffff,0x3fff25ff,
    0x5ffc80ff,0x7fffffcc,0xf05fffff,0xffffffff,0x7fec0dff,0xffffffff,
    0x3fff605f,0xffd805ff,0xffffffff,0x7ffff45f,0xffffffff,0x3ffff26f,
    0x25ffc80f,0x7fc07ffc,0x7fffcc5f,0x5fffffff,0x400bffd0,0xfffffffd,
    0x7ec5ffff,0xffffffff,0x3ff605ff,0xffffffff,0x00dff55f,0xff30fff6,
    0xffffffff,0x13ffeabf,0x7fffec00,0x5fffffff,0x7e45fff5,0x2fffc07f,
    0x5effffec,0x3e1fdba9,0x04ffffff,0x4cccccc0,0xff95fff9,0x647ffeed,
    0x7ffec5ff,0xfffeb9be,0x7ffffcc7,0x42ffffff,0x7fc07ffc,0x7fffcc5f,
    0xfdba9ace,0x5f7ffec4,0x87fffeb9,0x83fffffc,0x4cc45ffc,0x99bfffb9,
    0x3ffff209,0x45ffc83f,0xaaadfff9,0xff01aaaa,0xffd955df,0x266207ff,
    0x99bfffb9,0x3fffe009,0x4c400fff,0x9bfffb99,0x55554099,0xaacfffca,
    0x3fff22aa,0x5ffc83ff,0xff01fff2,0xdfff98bf,0x1aaaaaaa,0x001fff50,
    0x3fee6662,0x6c0999bf,0xecbaafff,0x3103ffff,0x37fff733,0x1bfea133,
    0x2617fec0,0xaaaadfff,0xfff71aaa,0x26620007,0x99bfffb9,0x45fff309,
    0x7fc07ffc,0x7fffcc5f,0xfff82202,0x000ffffe,0x95fff880,0x3ffe2dff,
    0x7ccbff94,0xffd80eff,0x3fffe63f,0x2fffffff,0x3e03ffe4,0x7fff45ff,
    0xf986200d,0xffd80eff,0x7fffe43f,0x05ffc86f,0x9017ffd4,0x90dfffff,
    0xfff98bff,0x9fff0004,0x009fffb0,0x400bffea,0xfffcfffa,0x7ffd4002,
    0xfffa8002,0x7fffe402,0x25ffc86f,0x7fc07ffc,0x27ffcc5f,0x09fff000,
    0x0bffea00,0x320fffb0,0xa800ffff,0xff302fff,0x0bff600f,0x2009fff3,
    0x0002fffc,0x205fff50,0x3f22fff9,0x2fffc07f,0x000ffffa,0xfff9bfff,
    0xff10000b,0xc9bff2bf,0x5ffc8fff,0x4c07fff6,0x3fe66fff,0xaaaaaadf,
    0x03ffe40a,0xffa97ffe,0xffd8006f,0xdfff301f,0xffffffc8,0x202ffe42,
    0x3202fffa,0x42ffffff,0x7fcc5ffc,0xfff0004f,0x0dfff309,0x00bffea0,
    0x7fc77fe4,0x7fd4004f,0xffa8002f,0x7ffe402f,0x7fe42fff,0xf01fff25,
    0xfff98bff,0x3ff20004,0xfff50007,0x07ffd805,0x2013fff6,0xf302fffa,
    0x3ff600ff,0x027ffcc1,0x002fffd8,0x05fff500,0xfc87ffe6,0x2fffc07f,
    0x000ffff3,0xffd1bfff,0xf880005f,0x4dff95ff,0xffccfff8,0xd01fffe5,
    0x3fe61fff,0x7fe4004f,0xb2fffc07,0xf0005fff,0xffe80fff,0x3bbff20f,
    0x2ffe46ff,0x80bffea0,0x6ffeeffc,0x3e62ffe4,0xff0004ff,0xbfff109f,
    0x0bffea00,0xfea7ffc0,0x7fd4007f,0xffa8002f,0x77fe402f,0x7fe46ffe,
    0xf01fff25,0xfff98bff,0x3fe20004,0xffa8003f,0x3ffec02f,0x00bfff50,
    0x2205fff5,0x22f5c7ff,0x7fcc1ffe,0xfff9004f,0x3ea00007,0xfff302ff,
    0x203ffe43,0x3fea5fff,0xfff8004f,0x01ffff55,0xafffc400,0x7fec6ffc,
    0xff15ffdf,0xfffc80bf,0x009fff31,0x7c07ffc8,0x1fffa5ff,0x17ffe200,
    0x643fff90,0x1fffaeff,0xf5017ff2,0x7fe405ff,0x321fffae,0x7ffcc5ff,
    0x9fff0004,0x009fff70,0x200bffea,0xff92fff9,0x7fd4003f,0xffa8002f,
    0x77fe402f,0x3f21fffa,0x01fff25f,0xff98bfff,0x7ec0004f,0xffa8006f,
    0x3ffec02f,0x201fffe0,0xf102fffa,0x20fff8ff,0x7fcc0ffe,0xfff7004f,
    0x3ea00009,0xfff102ff,0x203ffe43,0x3fee5fff,0xfff8003f,0x017fff65,
    0x95fff880,0xfff98dff,0xfff35fff,0x1fffc809,0x8009fff3,0x7fc07ffc,
    0x11bffe5f,0x23555555,0x6404fff9,0x3ff21fff,0x7e4bfff6,0x7ffd405f,
    0x7dbff202,0x17ff25ff,0xdddffff3,0x3e03dddd,0xff9314ff,0x3ea001ff,
    0xffb802ff,0x09fff50f,0x017ffd40,0x017ffd40,0x7ffdbff2,0xfc97ff25,
    0x2fffc07f,0x3bbfffe6,0x401eeeee,0x4001fff9,0x6c02fffa,0x7ff407ff,
    0x2fffa807,0xff99ffe0,0x303ffa3f,0xddddffff,0x3fea3ddd,0xf500006f,
    0x3fe205ff,0x01fff21f,0x7fe4bfff,0xfff8002f,0x0bfffe25,0xafffc400,
    0xffe86ffc,0xfff55fff,0x2fffb807,0x8009fff3,0x7fc07ffc,0x8bfff15f,
    0x4ffffffa,0xb807fff5,0x3ff22fff,0x323fff76,0x7fd405ff,0x5bff202f,
    0xff91fffb,0xfffff98b,0x02ffffff,0xffffffff,0x54003dff,0xfd802fff,
    0x037ffc5f,0x005fff50,0x805fff50,0xfff76ffc,0xfc97ff23,0x2fffc07f,
    0x3fffffe6,0x802fffff,0x54005ffe,0x7ec02fff,0x7fff407f,0x17ffd400,
    0x3f21fff0,0x21ffe5ff,0xfffffff9,0xff12ffff,0x500003ff,0x3a205fff,
    0x1fff20ee,0x7ecbfff0,0xff8002ff,0x7fffdc5f,0xfff88000,0xf50dff95,
    0x3eabffff,0x7fdc03ff,0x39fff32f,0x81333333,0x7fc07ffc,0x8bfff35f,
    0x4ffffffa,0xb807fff5,0x3ff22fff,0x329fff16,0x7fd405ff,0x5bff202f,
    0xff94fff8,0xfffff98b,0x02ffffff,0xffffffff,0xff50005f,0xfff8805f,
    0x007ffec3,0x002fffa8,0x402fffa8,0xfff16ffc,0xfc97ff29,0x2fffc07f,
    0x3fffffe6,0x802fffff,0x2000fffb,0x6c02fffa,0x7fec07ff,0x7ffd400f,
    0x743ffe02,0xfff0ffff,0xffffff30,0x6c5fffff,0x0000efff,0x0017ffd4,
    0x3e03ffe4,0x3fff25ff,0x5fff8003,0x005fffe8,0xf95fff88,0x3fffe0df,
    0x09fff35f,0xf31fffb8,0xffffffff,0x7ffc8bff,0xf8afffc0,0x6664c5ff,
    0xfff34fff,0x1fffb809,0xffc9bff2,0x405ffc8f,0x3202fffa,0x3fff26ff,
    0x7cc5ffc8,0xaaaaadff,0xffff00aa,0x00dffffd,0x805fff50,0x7dc1fffa,
    0xff5002ff,0xff50005f,0x6ffc805f,0x3f23fff2,0x01fff25f,0xff98bfff,
    0xaaaaaadf,0x9fff000a,0x17ffd400,0xd01fff60,0xff500fff,0x47ff405f,
    0xf2ffeff8,0xbfff30ff,0x15555555,0x5fffffcc,0x01fca989,0x1017ffd4,
    0x07ffc815,0xff72fffc,0xfff0009f,0x7ffff30b,0x5fff8800,0x3ee0dff9,
    0xfff15fff,0x0fffc80b,0xfffffff3,0xfc8bffff,0x2fffc07f,0xff80dfff,
    0x0bfff14f,0x320fffc8,0x3ffe26ff,0x5405ffcc,0x3f202fff,0x33ffe26f,
    0x7fcc5ffc,0xfff0004f,0x13fff629,0x05fff500,0xf987ffc8,0xff5005ff,
    0xff50005f,0x6ffc805f,0x3f33ffe2,0x03fff25f,0x7cc4fff8,0x900004ff,
    0x7d400fff,0x7fec02ff,0x037ffc07,0xd017ffd4,0xf5ff73ff,0x261bfebf,
    0x64004fff,0xffffffff,0x7d401fff,0xfff302ff,0x007ffe43,0x7fd49fff,
    0xfff8006f,0x1ffff905,0xafffc400,0xff106ffc,0x37ffcbff,0xf99fffa0,
    0xffffffff,0x7ffe45ff,0xe93ffe00,0x3fe00fff,0x01bffe4f,0xffc8fffd,
    0x7efffec6,0x7ffd405f,0xb1bff202,0x8bffbfff,0x0004fff9,0x7f449fff,
    0x3ea001ff,0x7ffc02ff,0xffffffff,0xfff5007f,0xfff50005,0x46ffc805,
    0x5ffdfffd,0x4403ffee,0x7fcc3fff,0xf100004f,0x3ea005ff,0x7fec02ff,
    0x17ffe607,0x80bffea0,0xf6fd9ffd,0x30dff1ff,0x70009fff,0xffffffff,
    0xffa803ff,0xbfffb02f,0x8807ffdc,0x3fe63fff,0x000001ff,0xfff98000,
    0x3fe00004,0xfff100ff,0x7ff4400d,0x807ffdc1,0x3f63fff8,0x3ffe04ff,
    0x403fffe4,0x7e46fff8,0x7fffcc6f,0x7fd405ff,0x1bff202f,0xbffffff3,
    0x004fff98,0xfb89fff0,0x3ea004ff,0x3fe602ff,0xffffffff,0xfa801fff,
    0xfa8002ff,0x7fe402ff,0x7ffffcc6,0x0fffea5f,0x260fffdc,0x00004fff,
    0x5401bff6,0x7ec02fff,0x3fff607f,0x2fffa802,0x3febff60,0xbff5ffb3,
    0x009fff30,0x3ffff260,0xfa803dff,0xfffb02ff,0x81fffd4b,0x7ec1fffb,
    0x40000eff,0x80200199,0x4c03fffb,0xfffb8019,0x05fff904,0x541ffec0,
    0xff703fff,0x7fffcc3f,0x5c9fff01,0xff904fff,0x86ffc85f,0x05fffffe,
    0x9017ffd4,0xfffd0dff,0xfff98bff,0x9fff0004,0x00ffff88,0x405fff50,
    0xfffffffc,0x04ffffff,0x002fffa8,0x402fffa8,0xffe86ffc,0x3fe25fff,
    0x7ffcc1ff,0x04fff986,0x3ffea000,0x2fffa801,0xb83ffec0,0xf5006fff,
    0x7fec05ff,0xbff51ffd,0xfff30bff,0xffb80009,0x7fd4001e,0x3fff302f,
    0x20ffffc4,0xf986fff9,0x989bffff,0x3e601fca,0x3b5000ff,0x01ffffa8,
    0x1003ffe6,0x2639ffff,0x2006fffc,0xff107ff9,0xfff983ff,0xbffffc86,
    0x49fff109,0x31cffff8,0xf90dfff9,0xffff50df,0xfffa80bf,0x21bff202,
    0x45fffffa,0x999cfff9,0xff009999,0x9fff909f,0x0bffea00,0x2205ffe8,
    0xfa806fff,0xfa8002ff,0x7fe402ff,0xfffffa86,0x77fffe45,0x82ffffee,
    0x999cfff9,0x40009999,0xfa805ffe,0x7fec02ff,0xffea999f,0xff5001ff,
    0x7ffe405f,0x3fffe26f,0xcfff985f,0x09999999,0x001ffec0,0x1017ffd4,
    0xffff9013,0x5ffffddd,0x3fffff20,0x01ffffff,0xa8017fee,0xffffefff,
    0x2ffdc05f,0xfffffc80,0x02ffffff,0x26fffea0,0x77fffe40,0x82ffffee,
    0xfffffff8,0x644fffff,0xffffffff,0xffc82fff,0xbfffff06,0xffffffd8,
    0x325fffff,0xffff06ff,0xffff98bf,0x5fffffff,0xf109fff0,0xffb01fff,
    0xffffffff,0x0fffe2bf,0xd81fffd0,0xffffffff,0xfa805fff,0x7fe402ff,
    0xbfffff06,0xfffffe88,0xf303ffff,0xffffffff,0xfb800bff,0x7ffec0ff,
    0xffffffff,0x7ffffec5,0x03ffffff,0x3ffffff6,0x325fffff,0x7ec4ffff,
    0xff984fff,0xffffffff,0x07ffc05f,0x7ffffec0,0x05ffffff,0xfffffd10,
    0xb807ffff,0xffffffff,0x3ff201ff,0x3ffea003,0x00efffff,0x7001ffe4,
    0xffffffff,0xff88005f,0x7f441fff,0xffffffff,0x3fff6203,0x4fffffff,
    0xffffffb8,0xff902fff,0x3fffee0d,0x7ffffec5,0x25ffffff,0xff706ffc,
    0xfff98bff,0xffffffff,0x209fff05,0xfd84fffd,0xffffffff,0x1fff75ff,
    0x43fffb80,0xfffffffd,0xa805ffff,0x7e402fff,0xffff706f,0x3fffee0b,
    0x3e601dff,0xffffffff,0x7c4005ff,0x7ffec3ff,0xffffffff,0x7ffffec5,
    0x400effff,0xfffffffd,0x3ee5ffff,0x7fd41fff,0xfff984ff,0xffffffff,
    0x017fe205,0x7fffffec,0x005fffff,0x7fffffdc,0xfd91001d,0x807bffff,
    0x22000ffe,0x3ffffffc,0x001ffd00,0xfffffea8,0xfd50000d,0x3fee03ff,
    0x001dffff,0xffffffd7,0x3faa017d,0x200dffff,0xff106ffc,0xfffd8bff,
    0xffffffff,0x441bff25,0x7cc5ffff,0xffffffff,0x9fff05ff,0x03fffe60,
    0xfffffffb,0x3f6bffff,0xfff9806f,0x7ffffec5,0x05ffffff,0x402fffa8,
    0xff106ffc,0x35300bff,0x3fffe600,0x5fffffff,0x40998800,0xfffffffd,
    0x7ec5ffff,0x2bceffff,0xfffffb00,0x4bffffff,0xf887fffb,0xff983fff,
    0xffffffff,0x02aa205f,0x7ffffec0,0x05ffffff,0x0006a600,0x98002660,
    0x26200019,0x01998001,0x0004c400,0xa9800200,0x4d440001,0x00988001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x44000000,0x00001999,0x000cccc4,0x80133330,
    0x00c0bcb8,0x80013330,0x015c40ba,0x2aaaa620,0x999802aa,0x99980000,
    0x07b70009,0x220ccc40,0x65c40099,0x20000c0b,0x4000aaa8,0x00009999,
    0x88399973,0x00001999,0x02666620,0x2620ccc4,0x506aa009,0x33300055,
    0x00080001,0x0000f6e0,0xa8026666,0x4015541a,0xabcccba8,0x3bbbb600,
    0xdb005eee,0x0bdddddd,0xeeeeeed8,0x0aaa005e,0x40155400,0x005fffd8,
    0x5ffff500,0x3fff6000,0x3ffe600e,0x04fa9cff,0x00efffd8,0xfe8dff90,
    0x7fe4404f,0x5fffffff,0x077ffec0,0xdfffb000,0x7fff7001,0x46ffec00,
    0x7cc05ffc,0xfa9cffff,0x3ff60004,0x7ffec006,0x7ec4000e,0x6c45ffff,
    0x00005fff,0x03ffff98,0x7e46ffec,0x8ffec05f,0x6c005ffa,0x2000efff,
    0xeffffedb,0x7fff7004,0x7ffec000,0x47ff600e,0x7dc05ffa,0x3fffffff,
    0x3fffffa0,0xffd007ff,0x80ffffff,0xfffffffe,0xfffe8807,0xffd1000e,
    0xff7001df,0xfa8000bf,0xb0000eff,0xfd007fff,0xffffffff,0x77ff440d,
    0xfe800eff,0xdfff11ff,0x7ffffe40,0x05ffffff,0xdffdffd1,0xfffb0001,
    0x7ffec007,0x7ffec006,0xffe805ff,0x6fffffff,0x7fff1000,0x1fffec00,
    0xffffe800,0xfff705ff,0x7c40000b,0xfb001eff,0x500bffff,0x5fffffff,
    0x3bffa200,0x7d400eff,0xffffffff,0xdfffb007,0x3fff6000,0xffffa803,
    0x3f202fff,0xffffffff,0x3bbbb603,0xdb005eee,0x0bdddddd,0xeeeeeed8,
    0xcffd805e,0xffb005ff,0x2600bff9,0x50005ffe,0x40009fff,0x5001fffd,
    0x3fffaa3f,0x7ffd100f,0x9003bfee,0x4ffe8dff,0xffffff50,0x0bffd57f,
    0x3ee7ffd1,0x3f6000ef,0x7dc001ff,0xfc8004ff,0x3f5005ff,0x03ffffaa,
    0x07ffe400,0x01fffd80,0x9ffff700,0x7f4c0555,0xf880005f,0x64000dff,
    0x2e005fff,0x003fffff,0x3ee7ffd1,0xfff300ef,0xffffffff,0x13ffee00,
    0x07fff600,0xfffffb80,0x3fffe603,0x02cb999a,0x00000000,0x3ff00000,
    0x7fc01fe6,0x4400ff31,0x88000999,0x22000099,0x04000999,0x26200d4c,
    0x004cc409,0x0ae205d4,0x7fffffc4,0x0bffd1ff,0x99881331,0x13331000,
    0x00f6e000,0x40019980,0x0001a980,0x88027ffc,0x20000999,0x4000fffe,
    0x00009998,0x0000ccc4,0x31000333,0x4c400135,0x804cc409,0x319dfffe,
    0x6dc00b73,0x99988003,0x9a988000,0x17ffdc00,0x00000000,0x40000000,
    0x00ff32ff,0x03fccbfe,0x00000000,0x00000000,0x00000000,0xfffffb80,
    0xbffd1fff,0x00000000,0x00000000,0x80000000,0x0000fffa,0x5fff8000,
    0x00000000,0x00000000,0x40000000,0x0006fff8,0x00000000,0x3fee0000,
    0x36e0005f,0x400cdffe,0xeeeeeee8,0x7644eeee,0xeeeeeeee,0x3ff604ee,
    0xfb005ffd,0x440bffbf,0xeeeeeeee,0xeee84eee,0x00bcdeee,0x300bbbae,
    0xeec87ddd,0xeeeeeeee,0x05ddd74e,0xd73eee98,0xee9805dd,0xfffff93e,
    0x3ffa3fff,0x403bbae5,0x3a23eee8,0xeeeeeeee,0x3a21eeee,0xeeeeeeee,
    0x3a21eeee,0xeeeeeeee,0x2201eeee,0x000eeeee,0x4017ffa0,0x00eeeee8,
    0x03fff980,0x77777440,0xddd10000,0x83dddddd,0xeeeeeee8,0x2204eeee,
    0x000eeeee,0x07777744,0x00dfff30,0x3bbbba20,0x84eeeeee,0x88004eee,
    0xeeeeeeee,0x7fcc4eee,0x22000dff,0xfffffffd,0x3ffe602f,0xffffffff,
    0x7ffffec5,0x05ffffff,0x037fff62,0x6fffec40,0x3fffe600,0x5fffffff,
    0xfffffff8,0xf980dfff,0x7fec06ff,0x7fffec1f,0x5fffffff,0xd80dfff3,
    0xfff31fff,0x1fffd80d,0xfffffffd,0xc97ffa3f,0xff100fff,0x7fffc49f,
    0xffffffff,0x3fffe22f,0xffffffff,0x3fffe22f,0xffffffff,0x3ffee02f,
    0xf30003ff,0x3ee005ff,0x8003ffff,0x4002fffa,0x03fffffb,0xfffff700,
    0xf983ffff,0xffffffff,0x3fee05ff,0x5c003fff,0x203fffff,0x002ffff8,
    0xffffff98,0xf85fffff,0xf98005ff,0xffffffff,0x7ffcc5ff,0xf8803fff,
    0xffffffff,0xfff303ff,0xffffffff,0xfffffd8b,0x05ffffff,0x30001a98,
    0xfff30035,0xffffffff,0xffffff0b,0x20dfffff,0xf302fffd,0xfffb0bff,
    0xffffffff,0x817ffecb,0x7ec5fff9,0xfff302ff,0x7ffffecb,0xbffd1fff,
    0x8807ffe4,0x3fe24fff,0xffffffff,0x3fe22fff,0xffffffff,0x3fe22fff,
    0xffffffff,0x3f602fff,0x0005ffff,0x6c00dffb,0x005fffff,0x001fffb8,
    0x2fffffec,0xffffe800,0x4c1fffff,0xffffffff,0x3f605fff,0x4005ffff,
    0x05fffffd,0x16fffffc,0xfffff300,0x0bffffff,0x3000bfff,0xffffffff,
    0x7fccbfff,0x1effffff,0x2fbfff60,0x07fffeb9,0x555bfff3,0x98835555,
    0x9bfffb99,0x15554099,0x5102aa98,0x40379999,0xaaadfff9,0xff81aaaa,
    0xffecaaef,0xfff983ff,0x03fffb06,0xfff73331,0x7cc13337,0xfffb06ff,
    0x06fff983,0x7dc3fffb,0x1fffffff,0x7fe4bffd,0x9fff100f,0x66666644,
    0x0ffffecc,0x33333322,0x0ffffecc,0x33333322,0x0ffffecc,0x3fffffe0,
    0x7fc4000f,0x3ffe003f,0x4c00ffff,0x9fffc999,0x7fc01999,0x000fffff,
    0x7fff7fcc,0xff98199a,0xaaaaaadf,0x3fffe01a,0x3e000fff,0x00ffffff,
    0x3fffffea,0x7fcc00be,0xaaaaaadf,0x05fff81a,0xadfff980,0x21aaaaaa,
    0xfffcffff,0xff983fff,0xfffd80ef,0x04fff983,0x17ffd400,0x6c17ffe0,
    0x7ff447ff,0x1effffff,0x004fff98,0xfd84fff8,0xfffb04ff,0x05fff983,
    0x805fff50,0x7cc1fffd,0xfffb05ff,0x45fff983,0xfffffff9,0x64bffd1f,
    0xff100fff,0x7f44009f,0x744003ff,0x44003fff,0x2a03fffe,0x2fffcfff,
    0x07ffdc00,0xfcfffa80,0x7ffc02ff,0xffffffff,0x3ffea07f,0x4002fffc,
    0x1fffbffd,0x027ffcc0,0xfcfffa80,0xff5002ff,0x805fff9f,0xfffffffb,
    0x3ffe604f,0x5fff8004,0x4fff9800,0x29fff500,0x3fffffd8,0x980fffec,
    0xff986fff,0x7d40004f,0x7ffc02ff,0x88fffb05,0xffffffff,0x7fcc0eff,
    0xfff8004f,0x06fff984,0xfd8bfff3,0xff5000ff,0xfff9805f,0x807ffec5,
    0x7ec5fff9,0xfffb80ff,0xffd1ffff,0x807ffe4b,0x2004fff8,0x8005fffc,
    0x8005fffc,0x6405fffc,0x4fff8eff,0x027ffc00,0xff1dff90,0xffff809f,
    0xffffffff,0x23bff207,0x22004fff,0x1fff9fff,0x027ffcc0,0xf8effc80,
    0xff9004ff,0x009fff1d,0xffffffb3,0xfff301df,0xbfff0009,0x9fff3000,
    0x0bfff200,0x43ffffd5,0x7f407fff,0x7ffcc0ff,0x7fd40004,0x2fffc02f,
    0x7c47ffd8,0xfe9889ad,0x7ffcc4ff,0x4fff8004,0x205fff88,0xff31fffd,
    0x7fd4009f,0xfffd802f,0x809fff31,0xff31fffd,0x7ffdc09f,0xbffd1fff,
    0x8807ffe4,0xf3004fff,0x98001fff,0x4000ffff,0x400ffff9,0xfffd4fff,
    0x0fffd400,0x3a9fff00,0x666407ff,0xcccefffc,0x53ffe04c,0x2e007ffe,
    0x1fff8dff,0x027ffcc0,0xfd4fff80,0x3ffe00ff,0x400fffd4,0xffffffc9,
    0x04fff985,0x005fff80,0x004fff98,0xd10bfff7,0x3fe29fff,0x7ffe405f,
    0x027ffcc1,0x0bffea00,0x360bfff0,0x7c4007ff,0x7ffcc5ff,0x4fff8004,
    0x204fffb8,0xffb5fff9,0x7fd4001f,0xfff9802f,0x801fffb5,0xffb5fff9,
    0xfeb8801f,0x4bffd1ff,0xf100fffc,0xfd1009ff,0xe88007ff,0x44003fff,
    0x4c03fffe,0xfff92fff,0x17ffa003,0x92fff980,0x22003fff,0x26004fff,
    0xfff92fff,0x2bffa003,0x4c01fff8,0x98004fff,0xfff92fff,0x2fff9803,
    0x0003fff9,0x81fffff5,0x8004fff9,0x98005fff,0xf3004fff,0xff507fff,
    0x13ffe6bf,0x983fff90,0xeeeeffff,0x7d401eee,0x7ffc02ff,0x00fffb05,
    0xf98dffd0,0xeeeeefff,0x4fff81ee,0x1ffff931,0xf9fffd80,0x7d4004ff,
    0xffb002ff,0x009fff3f,0x3fe7fff6,0x2188004f,0x3ff25ffe,0xeeeeeeef,
    0xfc804fff,0xfc8005ff,0xfc8005ff,0xffb805ff,0x09fff50f,0x005fff30,
    0xfa87ffdc,0xff3004ff,0x7fdc007f,0x09fff50f,0x3e2fff30,0x984ccdff,
    0xeeeeffff,0xffb81eee,0x09fff50f,0xf50fffb8,0x220009ff,0x7cc2ffff,
    0xeeeeefff,0x5fff81ee,0xffff9800,0x1eeeeeee,0x837ffff6,0xff55fff8,
    0xfffb807f,0x7ffffcc2,0x02ffffff,0x2017ffd4,0xffb05fff,0xaaa9880f,
    0x7fcc6ffe,0xffffffff,0xfffff82f,0x01efffff,0xffffff98,0x7fd4000f,
    0xfff3002f,0x2001ffff,0xfffffff9,0xffe80000,0x3fffff25,0xffffffff,
    0x7fffcc04,0x7ffcc000,0x7fcc000f,0xffd800ff,0x4037ffc5,0x6c006ffc,
    0x37ffc5ff,0x02fffa80,0xff17ff60,0x9ff900df,0x3fffffe2,0xfffff987,
    0x82ffffff,0x7ffc5ffd,0x22ffec06,0x20006fff,0x7cc2fffd,0xffffffff,
    0x5fff82ff,0xffff9800,0x2fffffff,0x3fffffa2,0x2a9fff74,0x7dc03fff,
    0x7ffcc2ff,0xffffffff,0x17ffd402,0x6c17ffe0,0xffd707ff,0x8dffffff,
    0xfffffff9,0xff82ffff,0x2fffffff,0x7fffec00,0xffa8004f,0x3ff6002f,
    0x6c004fff,0x004fffff,0x64bffd00,0xffffffff,0x404fffff,0x8002fffe,
    0x8002fffe,0x8802fffe,0x7fec3fff,0x3ffe200f,0x3ffe2003,0x007ffec3,
    0x800fffdc,0x7ec3fff8,0x7ffc00ff,0xffffff11,0xfffff30f,0x85ffffff,
    0x7ec3fff8,0xfff100ff,0x00fffd87,0x83fffd00,0xfffffff9,0xff82ffff,
    0xff98005f,0xffffffff,0x7fff442f,0x0ffffeff,0xb809fff3,0x7fcc1fff,
    0xaaaaaadf,0x7ffd400a,0x82fffc02,0x7f447ffd,0xffffffff,0x6fffcc6f,
    0x0aaaaaaa,0xffeffff8,0x7cc006ff,0x8000ffff,0x2002fffa,0x00fffff9,
    0x7ffffcc0,0xffd00000,0x55fffe4b,0xfffbaaaa,0x17fff204,0x17fff200,
    0x17fff200,0x20fffd40,0x2e02fffb,0x2a000fff,0x7fdc1fff,0xfffb802f,
    0x3fff5000,0x202fffb8,0x3fe26ffa,0xf98199af,0xaaaaadff,0x7ffd40aa,
    0x817ffdc1,0x7dc1fffa,0x4df5c2ff,0x37ffecc0,0x556fffcc,0xf80aaaaa,
    0xf98005ff,0xaaaaadff,0xfff700aa,0x445fffff,0x7e405fff,0x7ffcc0ff,
    0x7fd40004,0x2fffc02f,0x7ec7ffd8,0xe999aeff,0x7ffcc6ff,0x4fff8004,
    0x009fffb1,0x004fffd8,0x005fff50,0x004fffd8,0x009fffb0,0x92fff400,
    0x3e201fff,0xfff304ff,0xff98001f,0x7cc000ff,0xf9000fff,0xbfff30ff,
    0x0027ff40,0x3e61fff2,0xffc805ff,0x1fff2007,0xd817ffe6,0x3ffe23ff,
    0x27ffcc01,0x21fff200,0xf905fff9,0xbfff30ff,0xffffffb8,0x82ffffff,
    0x8004fff9,0x98005fff,0x20004fff,0x3fffffc8,0x7406fff8,0xfff987ff,
    0x7fd40004,0x2fffc02f,0x3e27ffe8,0xdffb06ff,0x004fff98,0x3a24fff8,
    0x2a001fff,0x50002fff,0xa8005fff,0x50002fff,0x00005fff,0xff92fffc,
    0x3ffe201f,0x05fffd04,0x05fffd00,0x05fffd00,0x7fffffc0,0x07ffffff,
    0x8003fff5,0xffffffff,0xe807ffff,0x3fe006ff,0xffffffff,0xfff107ff,
    0x3fffdddd,0x04fff980,0x7fffffc0,0x07ffffff,0xffffffff,0xfb8fffff,
    0xffffffff,0xfff303ff,0xbfff0009,0x9fff3000,0xfff30000,0x1ffff09f,
    0x21bffe20,0x0004fff9,0x2017ffd4,0xffd87ffe,0x13ffe67f,0xf31bffe2,
    0xff0009ff,0x4fffb89f,0x0bffea00,0x17ffd400,0x0bffea00,0x17ffd400,
    0xfffa8000,0x403fff23,0xfc84fff8,0xfc8005ff,0xfc8005ff,0x3e6005ff,
    0xffffffff,0xfd81ffff,0x7fcc006f,0xffffffff,0x3e201fff,0xff3005ff,
    0xffffffff,0xff703fff,0xffffffff,0x4fff9803,0x3fffe600,0xffffffff,
    0x7fffcc1f,0xffffffff,0x3fff6a1f,0x00cfffff,0x0013ffe6,0x20017ffe,
    0x0004fff9,0x70bfff50,0x3f209fff,0xfff982ff,0x7fd40004,0x7ffec02f,
    0xfffffb12,0x2637ffcc,0x7cc6ffff,0xff8004ff,0x7fffc44f,0x5fff5000,
    0x3ffea000,0x7ffd4002,0xfff50002,0x44244005,0x3f22fffd,0xfff100ff,
    0x0ffff989,0x7fffcc00,0x7ffcc000,0x3ff2000f,0xffffffff,0x7fcc4fff,
    0x7fe4002f,0xffffffff,0x3ee04fff,0xff9003ff,0xffffffff,0xffd09fff,
    0xffffffff,0x4fff9803,0x3ffff200,0xffffffff,0x7fffe44f,0xffffffff,
    0xff93304f,0x3ffe600d,0x5fff8004,0x4fff9800,0xffa80100,0xffff884f,
    0xdfff931c,0x273ffe60,0x00999999,0x2017ffd4,0xfffffffb,0x7fc7ffff,
    0xfffecfff,0x7ffcc6ff,0x9999999c,0xc84fff80,0xf5004fff,0x2a0005ff,
    0x54002fff,0x50002fff,0x6c005fff,0xfffcbcff,0x07ffe46f,0x744fff88,
    0xaaaadfff,0x7f40aaaa,0xaaaaadff,0x7ff40aaa,0xaaaaaadf,0x17ffa0aa,
    0x646fff88,0xfe8007ff,0x3ffe205f,0x3ffaeae6,0xffd000ff,0x37ffc40b,
    0xf103ffe6,0xff9803ff,0x999999cf,0x817ffa09,0x7f46fff8,0x3ffe205f,
    0x01ffe406,0x99cfff98,0xf8099999,0x99999eff,0xfff98199,0x9999999c,
    0x5557bf50,0x205ffff9,0xfffffffc,0xf302ffff,0xffffffff,0xfffd8bff,
    0xffffffff,0xfffffe85,0x5c7ffaef,0xffffffff,0x7fcc6ffb,0xffffffff,
    0x84fff85f,0x800ffff8,0xb002fffa,0xffffffff,0xfa80bfff,0xf50002ff,
    0x3ea005ff,0xffffffff,0x07ffe40f,0x2a4fff88,0xffffffff,0x2a3fffff,
    0xffffffff,0x2a3fffff,0xffffffff,0xf13fffff,0xffe807ff,0x07fff10f,
    0x03fff880,0xfe87fff4,0x002fffff,0xe807fff1,0x3ff20fff,0xfffff885,
    0x7ffcc2ff,0xffffffff,0x807fff15,0xff10fffe,0xfffe807f,0x003ffa00,
    0x7fffffcc,0xf85fffff,0xffffffff,0x7fcc0fff,0xffffffff,0xfffff55f,
    0x80bfffff,0xfffffffb,0x3fe602ff,0xffffffff,0x7fffec5f,0x5fffffff,
    0x4ffffd88,0xff70fff3,0xff319fff,0xfffff98d,0x85ffffff,0xffb04fff,
    0xfff5009f,0x3fff6005,0xffffffff,0x17ffd405,0x2fffa800,0x3fffaa00,
    0xfc80dfff,0xfff100ff,0x7ffffd49,0xffffffff,0x3ffffea3,0xffffffff,
    0x3ffffea3,0xffffffff,0x801fff73,0xff73fffb,0xffb8001f,0x7ffdc00f,
    0x5fffffd3,0x07ffdc00,0xf8fffee0,0xfff882ff,0x7cc2ffff,0xffffffff,
    0x1fff75ff,0x73fffb80,0xfb801fff,0xdff103ff,0x7fffcc00,0x5fffffff,
    0xfffffff8,0x4c0fffff,0xffffffff,0xfff55fff,0x07ffffff,0x3ffffaa0,
    0x7fcc00df,0xffffffff,0x7fffec5f,0x5fffffff,0x00026620,0xf98006a6,
    0xffffffff,0x4fff85ff,0x01ffff30,0x002fffa8,0xfffffffb,0xa80bffff,
    0x50002fff,0x30005fff,0x64015795,0xff100fff,0x7fffd49f,0xffffffff,
    0x3fffea3f,0xffffffff,0x3fffea3f,0xffffffff,0x00dffb3f,0x262bfff3,
    0xffd80009,0x5fff9806,0x00035975,0xf300dffb,0x1ffeabff,0x7fffffc4,
    0x7fffcc2f,0x5fffffff,0xf300dffb,0x1bff6bff,0x417ffe60,0x26001aa8,
    0xffffffff,0xfff85fff,0xffffffff,0x7fffcc0f,0x5fffffff,0x2b32ea62,
    0x02620002,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xeeeeed80,0x000005ee,0x66445997,0x40000000,0x4001ccc8,
    0x22002aaa,0x555001aa,0x3002aa83,0x951007db,0x00037999,0x540019d9,
    0x4015542a,0x000accb9,0x02aa8555,0x15555400,0x5542aa88,0x0aaa200a,
    0x55541555,0x006f32e0,0x02c98395,0x0000aaa0,0x882aaaa6,0x0001aaaa,
    0x000b3220,0x40999300,0x0164c1ca,0x0205e5c4,0x00055500,0x82aaaa60,
    0x001aaaa8,0xaaa80000,0xfd00082a,0x0fffffff,0x3ffe0000,0x001bffa2,
    0x8aaa9800,0x4000fffa,0xd1006ffe,0xf3005fff,0x0bff63ff,0x80ffffc0,
    0xffffffe8,0xf9001eff,0x7ec009ff,0x40bff31f,0xffffffe8,0x31ffd804,
    0x64000bff,0x3601efff,0x0bff74ff,0x3ee9ffb0,0x4d7ff45f,0x02ffffff,
    0x3e21fff5,0xffc803ff,0x3e60005f,0xffb83fff,0x900001ff,0x551005ff,
    0x64555555,0xfff505ff,0x80fffe21,0x8bfffff9,0xff9003fa,0xf98000bf,
    0xffb83fff,0x320001ff,0xff3001ef,0x3ffb79ff,0xdddddb00,0x10000bdd,
    0x3a0fff98,0x00001fff,0xf93fff70,0xdddb00bf,0x409dffff,0x2fffffe8,
    0xfefff980,0xfff1003f,0x3ffe207f,0xefffffff,0x6fffd800,0x3bffea00,
    0xff502fff,0xdfffffff,0xfefffa80,0xf90002ff,0x3f600bff,0x2006ffdf,
    0x86ffdffd,0xffffcffe,0xfc80ffff,0xbfff52ff,0xfffffc80,0xfff98005,
    0x3ffa601e,0xfe80001f,0xfff9800f,0x3fa6ffff,0x5fff902f,0xe817ffea,
    0xffffffff,0xfffc806f,0xf30005ff,0x74c03dff,0xb8001fff,0xb3006fff,
    0xffffffff,0x00000003,0x3ee37edc,0x0fffd45f,0xffb80000,0x802ffe9f,
    0xffffffff,0x5ffd106f,0x3003ffd1,0x8007ffff,0xf101fffe,0xfd31135b,
    0xff7009ff,0xffc8009f,0x3fe04fff,0xffd98bff,0x7ffe403f,0xf90004ff,
    0x744005ff,0x2000efff,0x80efffe8,0xcefffffe,0xfa84ffff,0x5fff10ff,
    0xfdaffdc0,0x3fe6004f,0xfd8800df,0x2a2001ff,0x005ffddb,0xfffffff3,
    0x403ffe2d,0xff10fffa,0xb8fd405f,0x401fffff,0x9ffb5ffb,0xdfff9800,
    0xfffd8800,0x7ffe4001,0x7fff400f,0x0cefffff,0x20000000,0x7fec6fff,
    0x000fff82,0x3fff7000,0x3fe00fff,0x6fffffff,0x64459950,0x7993004c,
    0x03991000,0x2fffc400,0x0003cb80,0x5c059d95,0xffd81fff,0x6765400f,
    0x99930002,0x99910003,0x99910001,0x3ffffa01,0x41bffe22,0x00dc40b9,
    0xccb87991,0x07999001,0x01999500,0xffffff70,0x2aa200bf,0xf56fffaa,
    0x40b980bf,0x440801b8,0x64400aca,0x00e65c3c,0x00079990,0x40019995,
    0xe806fffa,0x6fffffff,0xeeee8800,0x3fe0000e,0x22265c6f,0x00005ffb,
    0x32bffee0,0xffd0003c,0x0000000d,0x00000000,0x0001bffa,0x3fe00000,
    0x3fff506f,0x00000000,0x00000000,0x20ffffa0,0x00007ffe,0x00000000,
    0xffd80000,0x5fffffff,0x2dfff000,0x00001cca,0x00000000,0x00000000,
    0x019b7000,0x3fa15990,0x7dc003ff,0x0003ffff,0x7c01bffe,0x00000eff,
    0x007ffee0,0xfd799530,0x5d4400df,0x51001acc,0x20035997,0x01accba8,
    0x7f5554c4,0xccb9806f,0x9951000a,0xff103799,0x955555bf,0xb9805fff,
    0x88000acc,0x001accba,0x002b32e6,0xccccba88,0x41bffa0a,0x55547ffd,
    0xa8555302,0x555302aa,0x5302aaa8,0x05555055,0xffb8aaa6,0xffffcbef,
    0xfff8005f,0x97510006,0x54400359,0x2001accb,0x01accba8,0x2b32ea20,
    0x32ea2001,0x000001ac,0xfffdb988,0x3ff6001f,0x2a005fff,0xaefffaaa,
    0x6742aaaa,0x54c00002,0x1fffdccb,0xffffd500,0x300dffff,0xfffffffd,
    0x7fff4c07,0x2603ffff,0xfffffffe,0xffffeb83,0x2206ffff,0x4ffffffe,
    0x3ffffa20,0x261effff,0xffffffff,0x103fffff,0x9ffffffd,0x3fffa600,
    0x4403ffff,0x4ffffffe,0xfffffc80,0x3ffa4fff,0xf8fffb05,0xfffb05ff,
    0xfb05fff8,0x05fff8ff,0xfff0fffb,0x45fff60b,0xff90efff,0x8003fffd,
    0xb8006fff,0xdfffffff,0x7fffdc00,0x5c00dfff,0xdfffffff,0x7fffdc00,
    0x5c00dfff,0xdfffffff,0x55555440,0xff5002aa,0x0bffffff,0x7fffffc0,
    0xfff8800f,0xffffffff,0x355305ff,0x2015e64c,0xffffffd8,0xfc801fff,
    0xffffffff,0x7ffdc06f,0x03ffffff,0xfffffff7,0x3fee07ff,0x3fffffff,
    0x3fffffa2,0x506fffff,0xffffffff,0x3ffe20df,0xefffffff,0xffffff50,
    0x7fffffff,0xffffff50,0xfb80dfff,0xffffffff,0x3fffea03,0x206fffff,
    0xfffffffd,0x17ffa4ff,0x3fe3ffec,0x8fffb05f,0xffb05fff,0xb05fff8f,
    0xbfff0fff,0x7ddfff60,0x27ffe2ff,0x7c002fff,0x7ec006ff,0xffffffff,
    0xffffb00f,0x01ffffff,0x3ffffff6,0xfb00ffff,0xffffffff,0x3fff601f,
    0x0fffffff,0x3fffffe6,0xfffc806f,0x1fffffff,0xfcfffa80,0xff8802ff,
    0xffffffff,0xff905fff,0xfffffb19,0x3fffea09,0x1fffffff,0x67fffd40,
    0x06fffbaa,0x37bfffea,0xfa83fedc,0xedcdefff,0xffffa83f,0x23fedcde,
    0x99aefffd,0xff06ffe9,0xffb317ff,0x35bf107f,0x9fffd311,0x266fffea,
    0x09999999,0x98bffff8,0xf503fffd,0xdb9bdfff,0x7fffc07f,0x3fffd98b,
    0x0affff98,0x7ff47733,0xf8fffb05,0xfffb05ff,0xfb05fff8,0x05fff8ff,
    0xfff0fffb,0x65fff60b,0x53fea7ff,0x7c004ffe,0x3ee006ff,0xffccdfff,
    0xfffb85ff,0xffffccdf,0xdffffb85,0x85ffffcc,0xccdffffb,0xfb85ffff,
    0xffccdfff,0x3ffe65ff,0x5406ffff,0xcaacffff,0xfc805fff,0x04fff8ef,
    0xfff55550,0x0555555d,0x3ffb7ff2,0x443fffff,0xa9adffff,0x2201fffe,
    0xfe81fffe,0xffff106f,0xff106209,0x106209ff,0x2209ffff,0x20dfff11,
    0xffb86ffd,0x0fffd81f,0xafffc400,0x0003fff8,0xfb03fff7,0xfff881ff,
    0x2e03104f,0xffd81fff,0x1fffdc0f,0xb05ffe80,0x5fff8fff,0xff8fffb0,
    0x8fffb05f,0xffb05fff,0x20bfff0f,0xdffb7ffd,0xffd8ffec,0x37ffc006,
    0x1ffff880,0x10ffff44,0xe883ffff,0x3fe21fff,0x7ff441ff,0x3fffe21f,
    0x0ffff441,0x883ffff1,0x5511fffe,0x80dfff55,0x7c41fffe,0xfff807ff,
    0x000fffd4,0x9001bffe,0xd9ffffff,0xffd8ffff,0x1fffb83f,0x413ffea0,
    0xff706ffe,0xffb800bf,0x7fdc005f,0xfff3005f,0x0dfff109,0x3ea0dfff,
    0xfe8001ff,0x01bffe6f,0xa837ffc0,0x7fdc1fff,0xfff0005f,0x07ffea0d,
    0x001bfff7,0x3f60bffd,0x82fffc7f,0x7ffc7ffd,0xf8fffb05,0xfffb05ff,
    0x360bfff0,0x4bffd7ff,0x1bff67ff,0x00dfff00,0x540fffee,0x3fee3fff,
    0x7fff503f,0xa81fffdc,0x3fee3fff,0x7fff503f,0xa81fffdc,0x3fe03fff,
    0x3ffea06f,0x03fffb04,0xfc97ffcc,0xff8001ff,0x7fe4006f,0x7ffec4ff,
    0x20dfff10,0x2e01fffb,0xffd01fff,0x07fff20d,0x03fff900,0x01fffc80,
    0x98dfff30,0x7c46ffff,0xaaaaadff,0x4402fffc,0x6ffeaaa9,0x4037fff2,
    0x6fffc408,0xffcaaaaa,0x0fffe42f,0x6fffc400,0xffcaaaaa,0x7fffd42f,
    0x3ffa02cf,0xf8fffb05,0xfffb05ff,0xfb05fff8,0x05fff8ff,0xfff0fffb,
    0x6dfff60b,0x49ff56ff,0x7c005ffe,0xff9006ff,0x3ffe201f,0x403fff25,
    0x3f25fff8,0xfff100ff,0x807ffe4b,0x3f25fff8,0xfff100ff,0x037ffc0b,
    0x2e03fff7,0x3ee02fff,0x9fff50ff,0x0dfff000,0x85fffc80,0xff31fffb,
    0x3ffee07f,0x03fff201,0xfe837ff4,0x7f4000ff,0x7f4000ff,0x3fe000ff,
    0xfffecfff,0x7ffcc6ff,0xffffffff,0xffd703ff,0x4dffffff,0xcefffff8,
    0x7cc4feec,0xffffffff,0x7f43ffff,0xf98000ff,0xffffffff,0xfd83ffff,
    0x1cffffff,0xfd82fff4,0x82fffc7f,0x7ffc7ffd,0xf8fffb05,0xfffb05ff,
    0x360bfff0,0x2fff77ff,0x3ffe1ffd,0x37ffc004,0x407ffd80,0x3ff66fff,
    0xb37ffc07,0xfff80fff,0xf01fff66,0x3ffecdff,0xf81bffe0,0x3ff206ff,
    0x7fff500f,0x3e2ffec0,0xff8006ff,0x7fe4006f,0x1fffa80f,0x2e05fff7,
    0x3fa01fff,0x1bffa07f,0x4003fffc,0xf8007fff,0x7dc007ff,0xbfffffff,
    0x7ffd46ff,0xffffffff,0x7ff443ff,0xffffffff,0x7ffff4c6,0x544fffff,
    0xffffffff,0x7c3fffff,0xf50007ff,0xffffffff,0x2e07ffff,0xffffffff,
    0x6c17ffa3,0x2fffc7ff,0x7fc7ffd8,0x8fffb05f,0xffb05fff,0x20bfff0f,
    0xfff37ffd,0x7fdcdff7,0x7ffc002f,0x0fffd006,0x3fa6ffe8,0x37ff407f,
    0xfe80fffd,0x01fffa6f,0x7ff4dffd,0x037ff407,0x7f40dfff,0x3ffea07f,
    0x87fff103,0x4000fffd,0x64006fff,0xffa80fff,0x03fff91f,0xd807ffee,
    0xffd00fff,0x03fffa0d,0x01fffd00,0x00fffe80,0x7ffffdc0,0x546ff98c,
    0x9999bfff,0x6c099999,0x999aefff,0xff906ffe,0x87dfffff,0x999bfffa,
    0x40999999,0x8000fffe,0x999bfffa,0x00999999,0x7ffffed4,0x20bffd1f,
    0x7ffc7ffd,0xf8fffb05,0xfffb05ff,0xfb05fff8,0x0bfff0ff,0x7fc5fff6,
    0xff54ffff,0xfff000df,0x1fff600d,0x7ecbfff0,0x2fffc07f,0xff80fffb,
    0x01fff65f,0x7fecbfff,0x02fffc07,0x7ec0dfff,0xfff700ff,0x07ffea07,
    0x8005fff7,0x64006fff,0xffa80fff,0x05fff71f,0xc807ffee,0xff881fff,
    0x7fff906f,0x3fffc800,0x1fffe400,0x6c1a9800,0x7ffc43ff,0xfff88003,
    0x80dffb06,0x102fffa8,0x20007fff,0x8003fffc,0x0003fff8,0x4ffffa80,
    0xf1bffe00,0x3ffa0bff,0xe82fffc7,0x2fffc7ff,0xff87ffe8,0x4fffd05f,
    0xedfffffa,0x8002ffff,0xf9006fff,0x3fe603ff,0x07fff24f,0xf927ffcc,
    0x3fe603ff,0x07fff24f,0xf927ffcc,0x3fe603ff,0x1bffe04f,0x901fffc8,
    0x3f205fff,0x5fff987f,0x037ffc00,0x203fff20,0xff51fffa,0x3fff205f,
    0x0fffee01,0x5c1bfff6,0x2000ffff,0x000ffffb,0x003fffee,0x827fe400,
    0x98006fff,0xff884fff,0x3ffc806f,0x0037ffc0,0x00ffffb8,0x006fff80,
    0xbfff5000,0x13ffe600,0xffb0fffd,0x87ffe8ff,0x7f47fffd,0x7fffd87f,
    0xfd87ffe8,0x7ffd47ff,0x02ffffff,0x00dfff00,0x6417ffee,0x3fee2fff,
    0x5fff905f,0xc82fffdc,0x3fee2fff,0x5fff905f,0xc82fffdc,0x3fe02fff,
    0x3ffee06f,0x0ffff884,0xfffffff0,0x00ffffff,0x4007ffe8,0xfa80fffc,
    0xbfff31ff,0x03ffff70,0x89ffffc4,0x106ffffd,0x415fffff,0x7ffc42b9,
    0x0ae60aff,0x15fffff1,0xff0015cc,0x3fff203f,0xf981100d,0x7ffcc6ff,
    0x7ffc406f,0x6fffe400,0xff101100,0x5cc15fff,0x1bfff902,0x806a0220,
    0x9803fffc,0x7ec3fffd,0xfffb12ff,0x2fffd8ff,0x8fffffb1,0xfb12fffd,
    0xffb0ffff,0x3fff625f,0xffffc87f,0x20000dff,0xf1006fff,0x7dc49fff,
    0x7ffc46ff,0x3ffee24f,0x27fffc46,0x88dfff71,0x2e24ffff,0x7fc46fff,
    0x3fee24ff,0x37ffc06f,0x45ffff10,0x305fffd8,0xffffffff,0x003fffff,
    0x001fffec,0xf501fff9,0x7fff43ff,0xfffff712,0xffffd803,0x6ffffffe,
    0x3ffffea0,0xa83fffff,0xffffffff,0xfffa83ff,0x3fffffff,0x39fff100,
    0xfffff883,0x84feecce,0xfecfffff,0x4c06ffff,0x1009cfff,0x99dfffff,
    0x3ea09fdd,0xffffffff,0xffff103f,0x9fdd99df,0x979bff90,0x403ffffd,
    0x86ffffe8,0xfffffffb,0x7dc7ffff,0xffffffff,0x7ffdc7ff,0xffffffff,
    0xfffffb87,0x87ffffff,0x000aaffd,0x00dfff00,0x77ffffdc,0xb81fffff,
    0xffefffff,0xffb81fff,0xffffefff,0xffffb81f,0x1fffffef,0xefffffb8,
    0x401fffff,0x7e406fff,0xfffeffff,0xfff901ff,0xffffffff,0x7dc009ff,
    0x5edcefff,0x501fff90,0x7fdc3fff,0xfffffeff,0x7fcc01ff,0xfbdfffff,
    0x7ffdc06f,0x03ffffff,0xfffffff7,0x3fee07ff,0x3fffffff,0x3ffffa00,
    0xffffe983,0xb84fffff,0xffffffff,0xff806ffb,0x3a602fff,0xffffffff,
    0x3ffee04f,0x03ffffff,0x3fffffa6,0xfc84ffff,0xffffffff,0x7ffc402f,
    0xfffd01ff,0xfff5dfff,0xffffffd0,0xfd0fff5d,0xf5dfffff,0x3fffa0ff,
    0x7ffaefff,0x00037fc4,0x3ffbbbb2,0x01eeeeff,0x3ffffff6,0x3f602fff,
    0xffffffff,0x3ffff602,0x202fffff,0xfffffffd,0x3ff602ff,0x2fffffff,
    0x7ff77764,0x21eeeeff,0xffffffd8,0x3fa02fff,0x3ffe205f,0x7fff4006,
    0xf905ffff,0xfff501ff,0x7fffec43,0x1fff9fff,0xffffe880,0x100dff54,
    0xbffffffb,0x7ffec403,0x2201dfff,0xdffffffd,0x3ffa6001,0x3fff202f,
    0x703effff,0x319fffff,0xfd300dff,0xff9005ff,0x07dfffff,0xfffffd88,
    0xffc801df,0x83efffff,0xfffffffb,0xff8801df,0x3f6200cf,0xfff34fff,
    0x9ffffb10,0x3621ffe6,0xff34ffff,0x3fff620f,0xb8fff34f,0x740003ff,
    0xffffffff,0x5401ffff,0x0dfffffe,0xffffea80,0xfea800df,0x800dffff,
    0xdfffffea,0xfffea800,0xffe80dff,0xffffffff,0xfffb81ff,0x2201cfff,
    0x7f403fff,0x322000ff,0x05ffffff,0xf501fff9,0xfff903ff,0x07ffe1bf,
    0x00099880,0x00026600,0x980004cc,0x00800009,0x0066a620,0x00001a98,
    0x2a620002,0x26600019,0x35310000,0x2a662003,0x04c00099,0x00266200,
    0x00026620,0x40002662,0x31000998,0xffd00003,0xffffffff,0x54c003ff,
    0x02a60000,0x000a9800,0x80002a60,0x7ff400a9,0xffffffff,0x2a6201ff,
    0x1fff7001,0x03fffb80,0x01355300,0x5407ffe4,0x26601fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2601bff6,0x00005fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4c000000,0x5440009a,0x20accccb,
    0x55501aaa,0x2aa60003,0xc9839502,0x01554002,0xaaaa9800,0x06aaaa20,
    0x2aaa2000,0x546aaaa2,0x2f32e0aa,0x4c1ca800,0x5e5c402c,0x55500040,
    0x55530000,0x55554415,0x99750001,0x79710035,0x2a2aa803,0x2f32e0aa,
    0x98155541,0x3ca802aa,0x20015554,0x4401aaa9,0x97101aaa,0x55440817,
    0x00b32e22,0x39991000,0x55e654c0,0x54c004a9,0x09800aaa,0x801e5c00,
    0x2aa002aa,0x80015542,0xd80aaaa9,0x401dffff,0xfffffffc,0x417ffe4f,
    0xb0005fff,0xfff50fff,0x00fffe21,0x002fffe4,0x0ffffe60,0x007fffee,
    0x23fffd00,0xfd0dfffb,0xfffff35f,0x7ffd407f,0x207fff10,0x8bfffff9,
    0xffc803fa,0x3e60005f,0xffb83fff,0x3ee001ff,0x0dffffff,0x9ffffd30,
    0xfe8ffee0,0xfffff9af,0x417ffe2f,0x7dc07ffd,0x17ffa5ff,0x0bfff300,
    0x982fffb8,0xa8bfffff,0x23ffe63f,0x1efffffb,0xfff50000,0xffffd301,
    0x400fffff,0x203ffff9,0x0cffffea,0x01fffdc0,0x4017fff2,0xbff31ffd,
    0xffff3000,0x3ffff607,0xffd80dff,0x4fffffff,0x7fc17ffe,0xffb0005f,
    0x25fff90f,0xc805fffa,0x005fffff,0x03dfff30,0x00ffff4c,0x51fffc80,
    0xffe89fff,0xfffffffc,0x5fff903f,0x7417ffea,0xffffffff,0x7ffe406f,
    0xf98005ff,0x3a601eff,0xfb801fff,0xffffffff,0xffbffd06,0x45ff983f,
    0xffffcffe,0xfff0ffff,0x01fff60b,0x7f4ffffb,0xffe8005f,0x1fffa00f,
    0x7ffffff4,0x3fe66fff,0xffffffcf,0xf900006f,0xffff90bf,0x0fffffff,
    0x07bffe60,0xffffffc8,0x3ff600ff,0x3fff206f,0xffa805ff,0x002fffef,
    0x00f7ffcc,0xfffffffb,0x7fffcc1d,0x7c77330a,0xbfff05ff,0x1fff6000,
    0x7c43ffea,0x7fdc02ff,0x8009ffb5,0x800dfff9,0x001fffd8,0xf98fffd4,
    0xfffe82ff,0xfffdbeff,0x21fff507,0xf502fff8,0x3ffffee3,0x6d7fee01,
    0x3e6004ff,0xd8800dff,0x3e601fff,0xfe99cfff,0x9ffcc2ff,0x7ff44ff9,
    0x7fffff40,0xf4ffffce,0x3ff60bff,0x37ffe407,0x7000bffd,0x3e607fff,
    0x23f504ff,0x21fffffb,0xcffffff9,0x801ffffb,0xffe84eee,0x67fffd42,
    0x07ffebaa,0x00dfff98,0x3b3bffe6,0x3f205fff,0xbff704ff,0x32013ff6,
    0x004fffff,0x006fffcc,0x7ffed4c4,0x0fffee5f,0xf82fffc0,0xfb0005ff,
    0x102e60ff,0x3cc88037,0x9000e65c,0x95000799,0x66400199,0x4073321c,
    0x6c2ffffe,0x17302fff,0x20401b88,0x2200aca8,0x0e65c3cc,0x003ccc80,
    0x700ccca8,0xff885fff,0xf0ffd44f,0x41ffdcbf,0x222ffffe,0xbfff6fff,
    0x101fff60,0x7ff43ffd,0xfff88005,0x03fff906,0x02b2a204,0x41dffff3,
    0xf803fffa,0x87ff85ff,0xfd81fffe,0x3ccc807f,0x6c6ffd80,0x3f6207ff,
    0x43cc880d,0xca801ccb,0xcc8002ce,0x3ea0003c,0xfff71fff,0xbfff001b,
    0x0017ffe0,0x0003ffec,0x00000000,0x00000000,0x1ffff400,0x0027ffcc,
    0x00000000,0x00000000,0x81fffb00,0x7dc4fff8,0x7c53fe1f,0x7fffd06f,
    0x3fefffd0,0x0fffb05f,0x02fff400,0x81fffd80,0x00006fff,0x40ffffcc,
    0xff804fff,0x21e6445f,0xfb04fffa,0xf00000ff,0xfffa87ff,0x00000000,
    0x00000000,0x27fffb00,0x2cfffffa,0x7c17ffe0,0xca9805ff,0x407ffebc,
    0x000accb9,0x005665cc,0x02b32e60,0x15997300,0x302aaa80,0xdffd0555,
    0x417ffe20,0x1bcccca8,0xcccca880,0xcca8801b,0xa8801bcc,0x001bcccc,
    0x37999951,0xf90dffd0,0x4ff985ff,0x3ff67ff5,0x20dffd01,0xbfff7ffd,
    0x201fff60,0x2fff4198,0x54017973,0x7fd44fff,0x0555503f,0x7fccaaa6,
    0x0599903f,0x400bfff0,0xfb01fffb,0x65d440ff,0xff00accc,0x07ffb89f,
    0x2a200ccc,0x80accccb,0x55302aaa,0x1bccb985,0x0002b32a,0x7ec7fff7,
    0x1cffffff,0xff82fffc,0x3ffa605f,0x07ffffff,0xffffffd1,0xfffd1009,
    0xd1009fff,0x09ffffff,0xfffffd10,0x2fffc09f,0xfe87ffd8,0x1bffe05f,
    0xffffffd1,0xfd103dff,0xdfffffff,0xffffd103,0x103dffff,0xfffffffd,
    0x3fa203df,0xefffffff,0xf917ffa1,0x3ffa0bff,0xffb8fffe,0x417ffa03,
    0xbfff7ffd,0x201fff60,0x3ffa1fff,0xfffffe8d,0xb1fffa03,0x3fe01fff,
    0x2fffb05f,0x0003fff9,0x400bfff0,0xfb00fffd,0x3fff20ff,0xb04fffff,
    0x7ffc4dff,0x03ffe205,0x7fffffe4,0x5fff84ff,0x7ecfffb0,0xfdbfffff,
    0x2000efff,0x7dc2fffc,0x3fffffff,0x7fc17ffe,0xffff905f,0x0fffffff,
    0xfffffff5,0x7fd40dff,0x6fffffff,0x3ffffea0,0x2a06ffff,0xffffffff,
    0x0bfff06f,0x3fa1fff6,0x1bffe05f,0xfffffff1,0xf881dfff,0xffffffff,
    0x7ffc40ef,0xefffffff,0x7ffffc40,0x80efffff,0xfffffff8,0xffd0efff,
    0x02fffdcb,0x15fffff3,0xffe80dff,0x3efffb05,0xfffb05ff,0x745fff00,
    0xfffffeff,0xff703fff,0x13ffe25f,0xfb05fff8,0x0fffe6ff,0x2fffc000,
    0x40fffd00,0xffd87ffd,0x4fffffff,0xd37fff70,0x7c401fff,0xfffd80ff,
    0x84ffffff,0xffb05fff,0x7ffffecf,0xffffffff,0xffff5005,0x3fff6a01,
    0xbfff1fff,0x2a17ffe0,0xbaacffff,0xfff87ffe,0xfffd98bf,0x17ffff03,
    0x207fffb3,0xd98bffff,0xfff03fff,0xfffb317f,0x20bfff07,0xffe87ffd,
    0x8bfff105,0x9889adf8,0x7c44fffe,0xfe9889ad,0x56fc44ff,0xfffe9889,
    0x44d6fc44,0x84fffe98,0x9889adf8,0xffd4fffe,0x01bffe2b,0x7ec2b2a2,
    0x2fff401f,0xfff7ffd8,0x01fff60b,0x7f45fff3,0xfdbeffff,0xfff107ff,
    0x807ffeeb,0xffb05fff,0x00fffe6f,0x02fffc00,0x201fffb0,0x7fcc7ffd,
    0x77330aff,0x7fffff40,0x7fc401ff,0x7fffcc1f,0xf077330a,0x3ff60bff,
    0x7ec47367,0xfffa9eff,0xfffeea80,0xff5003ff,0x17ffe9ff,0xd117ffe6,
    0xffb03fff,0x81fffb8f,0x7dc0fffd,0xfffd81ff,0x40fffdc0,0x7dc0fffd,
    0xfffd81ff,0xd82fffc0,0x5ffe87ff,0x007fff30,0x005fff88,0x002fffc4,
    0x0017ffe2,0x000bfff1,0x3fabfff1,0x07fff35f,0x013fea00,0x7ec17ffa,
    0x20bfff7f,0xff907ffe,0x7ff45fff,0x7ffec2ff,0xd1fffb02,0xfff80dff,
    0x26fffb05,0x00003fff,0x6400bfff,0xffd01fff,0x03fffb8f,0xfffff300,
    0xfff1001b,0x03fffb83,0xd82fffc0,0x7fc407ff,0x20bff22f,0x4ffffffa,
    0xafffd400,0x7f447fff,0x7ffd45ff,0xf8fffb04,0xfff506ff,0x506fff83,
    0xfff83fff,0x83fff506,0xff506fff,0x05fff83f,0xffd0fffb,0x0bfff60b,
    0x01bffa00,0x001bffa0,0x2001bffa,0xd0006ffe,0x57ffadff,0x8005fff9,
    0xfd006ff8,0x5fff60bf,0xffd87ffe,0x7fff447f,0x3ffa3fff,0x4fff983f,
    0xff7fff50,0x5fff807f,0x3e6fffb0,0xf00003ff,0x7dc00bff,0xfffd83ff,
    0x06fffdc7,0x3fff6200,0x21554c6f,0x7dc1fff9,0x3e000dff,0xfffb05ff,
    0x5c1fff00,0xfffa83ff,0x201a81ce,0xfff3fffc,0x3fffa65f,0x0fffdc7f,
    0x3e27ffd8,0xaaaaadff,0x3e22fffc,0xaaaaadff,0x3e22fffc,0xaaaaadff,
    0x3e22fffc,0xaaaaadff,0x7fc2fffc,0x0fffb05f,0xff90bffd,0x553100df,
    0x880dffd5,0x6ffeaaa9,0x75554c40,0x54c406ff,0x806ffeaa,0xffeaaa98,
    0x7fcbffd6,0x7ec005ff,0xbffd001f,0x7edfff60,0xfffb12ff,0xffffd8ff,
    0x3ffa1abc,0x0bfff106,0x7ffffffc,0x82fffc00,0xfff37ffd,0x3fe00007,
    0x3fe2005f,0xfff911ff,0xffffa8ff,0xfe8802cf,0x325fffff,0x7ffcc5ff,
    0x7ffffd41,0x5fff802c,0x440fffb0,0xb999fff9,0xfffa84ff,0x337ff200,
    0x1ffffecb,0xffffffff,0x25ffffff,0xfb00fffc,0x7fffccff,0xffffffff,
    0x3fffe63f,0xffffffff,0x3fffe63f,0xffffffff,0x3fffe63f,0xffffffff,
    0x82fffc3f,0xffe87ffd,0xffffddef,0x3ffae00f,0x06ffffff,0xffffffd7,
    0x3fae0dff,0x6fffffff,0xfffffd70,0x75c0dfff,0xffffffff,0x7dcbffd6,
    0xa800efff,0x7dfb54ff,0x360bffd0,0xffff77ff,0xffffffff,0x007fffcc,
    0x7fc0bffd,0x3fff206f,0xfff805ff,0x26fffb05,0x00003fff,0xd800bfff,
    0xfffeffff,0xffd87fff,0x01cfffff,0xffd5fff9,0x313ff67f,0xffb05fff,
    0x039fffff,0x7ec17ffe,0x7fff547f,0xffffffff,0x07ff984f,0x7fffffe4,
    0x3fe2ffff,0xadffffff,0xffd2ffff,0x53ffec0f,0xffffffff,0x547fffff,
    0xffffffff,0x2a3fffff,0xffffffff,0x2a3fffff,0xffffffff,0x7c3fffff,
    0xfffb05ff,0xffffffd0,0x2205ffff,0xfffffffe,0x7f446fff,0xffffffff,
    0x7fff446f,0x6fffffff,0x7fffff44,0x886fffff,0xfffffffe,0xbffd6fff,
    0x0fffffc8,0x7e5bfe20,0x7f44ffff,0x4fffb05f,0xeffffffe,0x3fea7ffa,
    0x2fff404f,0x440dfff0,0x801fffff,0xffb05fff,0x00fffe6f,0x02fffc00,
    0x3ffffa20,0x07ffceff,0xfffffff7,0x4fff887f,0xfd5fffd1,0x2fffa87f,
    0xffffff70,0xbfff07ff,0xfc9fff60,0xffffffff,0x984fffff,0x7fdc06ee,
    0x1dffffff,0x7ffffffc,0x6cbfff64,0xffb00fff,0x4dfffd4f,0x99999999,
    0x26fffea0,0x99999999,0x26fffea0,0x99999999,0x26fffea0,0x99999999,
    0xd82fffc0,0xfffe87ff,0x404effff,0x99aefffd,0x7ec6ffe9,0xe999aeff,
    0x7ffec6ff,0xffe999ae,0x577ffec6,0x86ffe999,0x99aefffd,0xffd6ffe9,
    0xbffff50b,0x7ccffec0,0x21ffebef,0xffb05ffe,0x7fffec4f,0x7dcfff34,
    0x7ff404ff,0x0bfff105,0x005fffd8,0x3f60bfff,0x07fff37f,0x17ffe000,
    0x3fff6200,0x80fff94f,0xffffffda,0x98bffea1,0x1fffffff,0x2017ffd4,
    0xffffffda,0xd82fffc1,0x7fff37ff,0x333fff33,0x00001333,0x0266a662,
    0x80c67ffc,0x3fff2199,0x44fffd01,0x88003fff,0x88003fff,0x88003fff,
    0xf0003fff,0x3ffa0bff,0x98dffe87,0xdfff1001,0xf89bff60,0xdffb06ff,
    0xd837ffc4,0x3ffe26ff,0x88dffb06,0xffb06fff,0x4c17ffad,0xff507fff,
    0x7d47fee9,0x4400002f,0x8fff6099,0x7406fff9,0xfff305ff,0x2fffe807,
    0x20bfff00,0x00007ffe,0x002fffc0,0xffd82660,0x3ffea007,0x03ffee4f,
    0x0dfffff5,0x4007fff5,0x7c4ffffa,0xfffd05ff,0xfff13fee,0x00353000,
    0x7fc03330,0xffb8004f,0x7fffd83f,0x80037ffc,0xf0006fff,0x3e000dff,
    0xfd0006ff,0xffffb0ff,0x000bffd0,0xf109fff3,0x7ffccdff,0x26fff884,
    0xf884fff9,0x3ffe66ff,0x46fff884,0xf884fff9,0x0bffd6ff,0x2207ffec,
    0x4ff90eff,0x4cc03ff8,0x3fee0001,0x6ffffc45,0x20bffd00,0x2a02fffd,
    0x3a006fff,0xfffd87ff,0x00066607,0x0005fff8,0x007ffd80,0xf52fffd4,
    0xfff905ff,0x7fff507f,0x5fffa800,0x7ec3fff4,0x87ff97ff,0x2e001fff,
    0x26002fff,0xfff00fff,0xfff1000b,0x3fff223f,0x6fffe47f,0xff901100,
    0x202201bf,0x100dfffc,0x1bfff901,0x3ff60220,0xffffb12f,0x00bffd0f,
    0x98dfff30,0x3e66ffff,0x7ffcc6ff,0x1bffe66f,0x4cdffff3,0x7fcc6fff,
    0x7ffcc6ff,0xb7fffcc6,0x3fa05ffe,0x22ffc87f,0x5ff30ffc,0x007ffcc0,
    0xb81fff80,0xbcdfffff,0xf90bffd2,0x7fd40dff,0x3f6001ff,0xfffb12ff,
    0x3ffe60ff,0xbfff0000,0xffb00000,0x3f201a8f,0x3ffe23ff,0x7fffcc0e,
    0x43fffb84,0x3fff201a,0x897ffec3,0xf97ffffd,0x2fffe49f,0x0bffff00,
    0xf02ffdc0,0x36000bff,0xfffeffff,0x7fc47fff,0xeeccefff,0xffff884f,
    0x4feeccef,0xefffff88,0x884feecc,0xccefffff,0xffb84fee,0xffffffff,
    0x05ffe87f,0x9fffff00,0x8dfffffd,0xfecfffff,0x7fc6ffff,0xfffecfff,
    0x7fffc6ff,0xfffffecf,0xcfffff86,0xd6fffffe,0x337aabff,0x7cc5fffe,
    0x467fdc5f,0x3ee01ffd,0xff10005f,0xffc8339f,0xfd6fffff,0xfffbbdff,
    0x777441ff,0x4002ffff,0xfffffffb,0xf707ffff,0x7fc000bf,0x999999ef,
    0xffd80019,0x5e6ffe47,0x41ffffec,0xecdffffd,0x42ffffff,0x7e43fffb,
    0xffecbcdf,0x7ffdc1ff,0xffffffff,0xfb7fff77,0x977bffff,0xbffff01f,
    0x01ffe400,0x2000bfff,0xffffffe8,0xe987ffae,0xffffffff,0xfffd304f,
    0x09ffffff,0x3fffffa6,0xd304ffff,0xffffffff,0x3fffa09f,0x7ffaefff,
    0x0005ffe8,0xfffffff7,0xfb8dff7f,0xbfffffff,0x7ffdc6ff,0xffbfffff,
    0x7ffffdc6,0x86ffbfff,0xfffffffb,0xffd6ffbf,0x3ffffeab,0x07ff40ef,
    0x2ffffffc,0x000fff20,0x83ffffe8,0x6fffffea,0xfffffffd,0xff885fff,
    0x0003ffff,0xdffffffd,0x3f20fff5,0x3fe0003f,0xffffffff,0x7ec000ff,
    0x7fffe47f,0x82ffffff,0xffffffe8,0x1fffffff,0xf913ffee,0xffffffff,
    0x3fffa05f,0x7ffaefff,0x7ffffff1,0xfffffff7,0x03fff501,0xf007ff40,
    0x44000bff,0xf34ffffd,0x7ffe40ff,0x403effff,0xfffffffc,0x7ffe403e,
    0x403effff,0xfffffffc,0xfffb103e,0x21ffe69f,0x20005ffe,0x8cfffffb,
    0xffb86ff9,0xff98cfff,0xfffffb86,0xb86ff98c,0x98cfffff,0xfff706ff,
    0xdff319ff,0x7fd57ffa,0x7e40cfff,0xfffd302f,0x01ffd009,0x7fff4c00,
    0x3fb72a03,0xfffffb56,0x3fe209df,0x20000dff,0x34ffffd8,0x3ffa0fff,
    0x3ffe0000,0xffffffff,0x7fec000f,0x7ffffdc7,0x5c01dfff,0x53ffffff,
    0x3f21ffff,0x7ffdc4ff,0x01dfffff,0x53ffff62,0x3f667ff9,0x3fff23ff,
    0x026205ff,0x00033300,0x01330000,0x0cd4c400,0x0cd4c400,0x0cd4c400,
    0x0cd4c400,0x00133100,0x54c00000,0x03530001,0x0006a600,0x30000d4c,
    0x4c400035,0x31000009,0x000ccc00,0x80000100,0x35300199,0x99880000,
    0x00ccc000,0x3ffffe00,0x0fffffff,0x99880000,0x4400099a,0x80000099,
    0x0099a998,0x80026620,0x13531018,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x8aaaa200,0x5501aaaa,0x8802aa85,0xaaaaccca,0x2000402a,
    0x0002aaaa,0xaaa88000,0x0002aaaa,0x0aaa6000,0x002aa980,0x2aaa6000,
    0x42aa880a,0x55100aaa,0x400aaa85,0x0041bca8,0x5530554c,0x542aa880,
    0x5e6540aa,0x81554009,0x55400aaa,0x80155502,0x3bb202aa,0x004eeeee,
    0x5e5c4000,0x06e60040,0x55554400,0x002aa801,0x2ee2164c,0x55555440,
    0x544002aa,0x801bccdb,0x00000cec,0x00055550,0x5c7fffa0,0xfb00dfff,
    0x817fe63f,0xffffffc8,0x2e27ffff,0x2deffffd,0x27fff4c0,0xffd95000,
    0x3fe6019b,0x006fffff,0x3bfffb26,0x6c3eeeee,0x3f6007ff,0x3000007f,
    0x6c07ffff,0x0bff74ff,0xff74ffd8,0xffffd00b,0xa80bd13b,0x01ffa3ff,
    0x7fdd3ff6,0x6fffff85,0xd50ffee0,0x7dc03fff,0x7fff543f,0x80ffee01,
    0xfffffffd,0x3ffb2205,0x7cc01def,0xfa8bffff,0x09fff703,0x5fffe880,
    0x05fffc80,0x747fff10,0x7ffcc5ff,0x1006ffff,0xfffffffb,0x4fffc80d,
    0x3fb6e600,0xffd0bdff,0xff90000b,0x13ffea3f,0xffdfff50,0x7ffec05f,
    0xffffffff,0x3ffffea7,0x4406ffff,0x8004fffd,0xfffffffd,0xffff981e,
    0xf5006fff,0xffffffff,0x3b329fff,0x04cccfff,0x0001fff6,0x07bffe60,
    0x3ff7ff60,0xfbffb006,0xfff900df,0x3fffffff,0x7f7ffc40,0xffb005ff,
    0x2b20dffb,0xf981ffea,0x7fffcc5f,0x8bff301f,0x01fffff9,0xec80bff3,
    0x04eeeeee,0xfffffff5,0x7ff40bff,0x6fffffff,0x0fffff88,0x7fffd100,
    0xfffff900,0x9fff500b,0x3e63fffc,0x06ffffff,0xffffff98,0x7ec06fff,
    0xff9006ff,0x3fffffff,0x00017ffa,0x3e63fff5,0xff9002ff,0x7d409fff,
    0x3ffaa3ff,0x3ffea2ae,0x5fffffff,0x04fffb80,0xfffffd10,0x883fffff,
    0x6fffaaaa,0xfffffb80,0xffffffff,0xfffffff4,0x7fec0fff,0x7cc00007,
    0xd1000dff,0x2001dfff,0x00efffe8,0xffd33e88,0xff5007ff,0x2001dfff,
    0x00efffe8,0x203ff666,0xdcd80ffe,0x1ffd01ff,0x03ffb9b0,0x00003ffa,
    0x3ffffe60,0x03fffffe,0x3ffee3f5,0xfff881ff,0xfe8800ff,0xffb801ef,
    0x8809ffb5,0x3ff62fff,0x7d555445,0xffe806ff,0x4ba9abef,0x027ffdc0,
    0x3fffffa2,0xfd1fffff,0xcc8000bf,0x0073321c,0x8059d950,0xffa86ffc,
    0x30d64c1f,0x001ffff9,0x70039993,0x3661bfff,0xff805fff,0x7ffc406f,
    0xafffa9bf,0xffff0999,0x40ffffff,0x00007ffd,0x4001e664,0x4000ccc8,
    0x2000ccc8,0x001bca80,0x000f3722,0x88033322,0xfb82ffff,0x0ffe403f,
    0x3201ffdc,0x3ffb81ff,0xffb00000,0x6fff985f,0x15951020,0x037fff40,
    0x1004ccb8,0x1ccb8799,0x1540dc40,0x406fff80,0x0004fffb,0x7ec01e5c,
    0xba9bdfff,0x0bffd1fd,0x00000000,0x09ffd000,0x8005fff1,0x0001fffe,
    0x20dfff00,0x7c01fffe,0x7fdc06ff,0x07ffe22f,0x400fffb0,0x00007ffd,
    0x00000000,0x00000000,0x00000000,0x47fffff1,0xfc806ff8,0x037fc41f,
    0x3e20ffe4,0x9951006f,0x3fe03799,0x0fff905f,0x3b620000,0x0000000d,
    0x00000000,0xfb01bffe,0x000001ff,0x0bfffe60,0x0bffd088,0x99751000,
    0x75100035,0x7ec03599,0x1fff886f,0x0fffdc00,0x55555544,0x7ffdc02a,
    0x09fff302,0x7c06fff8,0x7ffc46ff,0x03ffec01,0x2a0fffb0,0xaa882aaa,
    0x80b32e22,0xaaaaaaa9,0x5441aaaa,0x0b32e22a,0xaaaaaa88,0xaaa8802a,
    0xa802aaaa,0x2f32e0aa,0xb37fc401,0xff9003ff,0x801ffd83,0x7fec1ffc,
    0x7fff4401,0x41efffff,0xff905fff,0x5c15550f,0x40001bcc,0xaaaaaaa8,
    0xaaaa8802,0xa8802aaa,0x02aaaaaa,0xc8b7ffc0,0x0037ff46,0x2aaaaaa6,
    0x3a1aaaaa,0x3a003fff,0x799515ff,0xffff7003,0x2001bfff,0xfffffffb,
    0x2fffb80d,0x4003ffec,0xff306ffc,0x80dfffff,0xfd107ffd,0xfff80dff,
    0x13ffe206,0xd803fff1,0xdfd936ff,0xa87ffd85,0xf981ffff,0xffffb8ff,
    0xfffb81ef,0xffffffff,0x5c7ffcc4,0x81efffff,0xfffffff9,0xffff9806,
    0xfe806fff,0xfffff9af,0x36ef262f,0x07ff73ff,0xfb87ff20,0x3ff9003f,
    0x4401ffdc,0xffffffff,0x3ffa0eff,0x27ffc42f,0x7fcd7ff4,0x0002ffff,
    0x3fffffe6,0xfff9806f,0x9806ffff,0x6fffffff,0x677ffc00,0x2fffc6ff,
    0x3fffee00,0x4fffffff,0x800ffff3,0xfff9dffe,0x3f602fff,0xffffffff,
    0x7ffec00f,0x0fffffff,0xedefffe8,0x54003fff,0xff304fff,0x80dfffff,
    0xffa85ffe,0x7fc07fff,0x3ffe606f,0x00fffc42,0x3febbff6,0x3f64ffff,
    0x7fffcc7f,0xf9fff301,0x0dffffff,0xfffffff7,0xf989ffff,0xfffffcff,
    0xfff986ff,0x9806ffff,0x6fffffff,0xffcffe80,0x50ffffff,0x22dfffff,
    0x3f2006ff,0x00dff11f,0xff88ffe4,0x35bf1006,0x9fffd311,0x467fffd4,
    0xe80ffff9,0xfffffcff,0x30000fff,0xdfffffff,0xfffff300,0xff300dff,
    0x00dfffff,0xfffffff8,0x002fffc6,0x3fffffee,0xf54fffff,0xfe8009ff,
    0xffffffef,0xfffb80ff,0xffffccdf,0x3fffee05,0x5ffffccd,0x7fffff44,
    0x64c04fff,0x03fffedc,0x3feaaaa2,0x27ffc06f,0x3ffffff2,0x037ffc07,
    0xf883fff5,0x40cccdff,0xfffffffd,0xffb1ffff,0x17fffc4f,0xffffff30,
    0x83ffff79,0xeeeeeeea,0x7cc3ffff,0xfbcfffff,0x55441fff,0x806fffaa,
    0xfffaaaa8,0xffffe806,0x4ffffcef,0x6c359971,0x262001ff,0x8007ff61,
    0x07ff6198,0x7ffc4000,0x7ffffe45,0xfd01ffff,0xff9dffff,0x220009ff,
    0x6fffaaaa,0xfaaaa880,0xaa8806ff,0x006fffaa,0x3fffffe2,0x02fffc1d,
    0x3bbbbaa0,0x73ffffee,0xe8007fff,0xfcefffff,0x7fc44fff,0x7ff441ff,
    0xffff881f,0x0ffff441,0xbdd9bff9,0xfff70019,0x8001bfff,0x3e206fff,
    0xfffd34ff,0x401fff9d,0x3ee06fff,0x7ffc41ff,0x7ec1ffff,0xfd9aefff,
    0x4fffb4ff,0x4c03fffe,0x2a0effff,0x36003fff,0xff985fff,0x3fea0eff,
    0x6fff803f,0x0dfff000,0x45ffffd0,0xa806fff8,0x540004ff,0x540004ff,
    0x400004ff,0xffb86ffe,0x201fffff,0x222ffffe,0x59506fff,0x037ffc00,
    0x006fff80,0x100dfff0,0x3bfffff9,0x0017ffe0,0x25fffd80,0x4002fffc,
    0x222ffffe,0x7fdc6fff,0x7fff503f,0x207fff70,0x3fe3fffa,0x3ee0001f,
    0x4fffffff,0x81bffe00,0xffbbfff8,0x1fff73ff,0x7037ffc0,0xff883fff,
    0x6c1fffff,0x3e20ffff,0x2fffb5ff,0x9804fffd,0xff81ffff,0xfff7004f,
    0x3fffe60d,0x804fff81,0xf0006fff,0xffd00dff,0x0fffd07f,0x0006ff88,
    0x00037fc4,0x0001bfe2,0xffd55531,0xfffff70d,0x3fa03fff,0x7ffe83ff,
    0x004fffc8,0x2000dfff,0xf0006fff,0xffb80dff,0x7c06ffff,0x700005ff,
    0xffd8dfff,0x7ff4002f,0x47ffe83f,0xf100fffc,0xfff90bff,0x57ffe201,
    0x000cfff8,0xf9533310,0x3e009fff,0x7ffc06ff,0x321effff,0x7ffc07ff,
    0x07ffee06,0x3335fff1,0xd03fffb0,0x3fff6dff,0x3005fffb,0x33207fff,
    0xfffa802c,0x7fff300f,0x200b3320,0xf0006fff,0xffd00dff,0x01fff60d,
    0x80003ffb,0x40001ffd,0x70001ffd,0xfffffffd,0xefffd8df,0x81fffffc,
    0xffb06ffe,0x1fffff0f,0x00dfff00,0x001bffe0,0x3e037ffc,0x06ffffff,
    0x0002fffc,0x207fffd4,0x4003fffc,0xffb06ffe,0x407ffd8f,0xffd86fff,
    0xd37ffc07,0xdfffffff,0xf300039b,0xff001fff,0xffff80df,0x7fec0dff,
    0x037ffc07,0xf885fff5,0x7fec01ff,0x36dffd07,0x06ffffff,0x00fffe60,
    0x3fffe200,0x0fffe602,0x37ffc000,0x06fff800,0xfb05ffe8,0x27fd40ff,
    0x2a009997,0x7bfb74ff,0x49ff5001,0x3a204ccb,0xffffffff,0x3fff26ff,
    0x1bfffa64,0x7ec17ffa,0xfffff87f,0x06fff803,0x00dfff00,0xf01bffe0,
    0x0dfff3bf,0x0005fff8,0x417fffc4,0x4004fffb,0xffb05ffe,0x407ffe8f,
    0xffe86ffe,0x137ff407,0xfffffffd,0x90009fff,0xff005fff,0xfffe80df,
    0x0dffd03f,0x2606fff8,0x7fc43fff,0x3ffec01f,0xffb6ffe8,0x005fffdf,
    0x000fffe6,0x013fffa0,0x0007fff3,0x001bffe0,0x74037ffc,0xfffb05ff,
    0xfb9bfe20,0x7c400fff,0xfffff76f,0x26ff8809,0xb00ffffb,0x3335dfff,
    0x3fe2dffd,0x3fffd05f,0xfb05ffe8,0xffff50ff,0x0dfff007,0x01bffe00,
    0x2037ffc0,0x01bffe1d,0x8000bfff,0xf504fffe,0xfe800dff,0x8fffb05f,
    0x7fc07ffd,0x07ffd85f,0xff52fffc,0xfffddddf,0xfc8007ff,0xfff802ff,
    0x17ffec06,0x404fff98,0x3e206fff,0x7ffc45ff,0x83ffec01,0xfffb6ffe,
    0x003ffff3,0x0007fff3,0x806fffc8,0x0003fff9,0x000dfff0,0x3a01bffe,
    0xfffb05ff,0x7c47ff60,0x6c00ffef,0x3a6b61ff,0x3ff600ff,0x1ffdff11,
    0x20dfff10,0xfff56ffd,0x0bffea05,0x3f60bffd,0x5fff907f,0x00dfff00,
    0x001bffe0,0x20037ffc,0x7fc06fff,0x3f20005f,0x3fe606ff,0x3fa001ff,
    0x8fffb05f,0xf301fffc,0xfff909ff,0x53ffe603,0xf504fff9,0xfe800dff,
    0xfff800ff,0x2fffcc06,0x400fffc8,0x7ec06fff,0x3ffe21ff,0x83ffec01,
    0xfffb6ffe,0x003bffee,0x0007fff3,0x007fffd4,0x001fffcc,0x006fff80,
    0xd00dfff0,0x3ff60bff,0x364ffa87,0x200ffbdf,0x3fa04ffa,0xd93fea07,
    0x980ffbdf,0xff884fff,0x07fff56f,0xfd0bffea,0x1fff60bf,0x400fffd4,
    0xf0006fff,0x3e000dff,0x7fc006ff,0x2fffc06f,0xffffa800,0x77ffec00,
    0x0bffd000,0xff71fff6,0x3fff20bf,0x05fffb82,0x3f65fff9,0x37ff407f,
    0x7ffecc01,0x0dfff006,0xb87fffd0,0xff805fff,0x7ffd406f,0x03fff11e,
    0xfd07ffd8,0xd9fff6df,0x7cc05fff,0xf30003ff,0x26003fff,0x00003fff,
    0x2000dfff,0xfe806fff,0x8fffb05f,0xff50eff8,0x2201ff71,0xff900eff,
    0x43bfe209,0x0ffb8ffa,0x4c6fff98,0xff36ffff,0xfffb01ff,0xb05ffe81,
    0x3ff20fff,0x0dfff006,0x01bffe00,0x0037ffc0,0xff01bffe,0xff3000bf,
    0xff3003ff,0x53137fff,0x17ffa3f9,0x3e23ffec,0x3ee24fff,0xfff106ff,
    0x7ffdc49f,0x407fff66,0x3fa4fff9,0xffffeeee,0xfff000ff,0xffff500d,
    0x3fffffbf,0x00dfff00,0xfffffffd,0x89ffffff,0xffd07ffd,0xe89fff6d,
    0x3e604fff,0xe88003ff,0x9999cfff,0x7ffcc099,0xfff00003,0x3ffe000d,
    0x05ffe806,0xffc8fffb,0x3f73bfe2,0x2ffc81cf,0x205ffd88,0x3bfe2ffc,
    0xf81cffdc,0xffecffff,0x3ffa6fff,0xfffcceff,0x05ffe85f,0x6d4cfffb,
    0xff000fff,0x3fe000df,0xfff0006f,0x6fff800d,0x002fffc0,0x273fffa2,
    0x64099999,0xffffffff,0xbffd1fff,0x2e1fff60,0xffefffff,0x3ee01fff,
    0xfffeffff,0x3fff21ff,0xffca9abe,0x3fffa1ff,0x1effffff,0xffdddd90,
    0x03ddddff,0xfffffff5,0xddd903df,0xdddffffd,0xfffe883d,0xffffffff,
    0x83ffec4f,0xfffb6ffe,0x02ffff98,0x0007fff3,0xfffffff9,0xf98bffff,
    0xec8003ff,0xeffffeee,0x77641eee,0xeeffffee,0x2fff41ee,0x3e67ffd8,
    0x7ffffc5f,0x7fcc2fff,0x9dffe885,0x22ffcc09,0xffffffff,0xfffffb82,
    0x26ffbfff,0xfffffff8,0xffd06fff,0x65fff60b,0x901effff,0xffffdddd,
    0xec83dddd,0xeffffeee,0x77641eee,0xeeffffee,0xdddd91ee,0xddddffff,
    0x002fffc3,0x3ffffff2,0xb85fffff,0xffffffff,0x0bffd1ff,0x7ec1fff6,
    0xffffffff,0xffffd802,0x442fffff,0xfffffffe,0x7f42ffff,0x2dffffff,
    0x7fffff40,0x1fffffff,0xdffffb30,0x3fffa019,0xffffffff,0xffec881f,
    0xffffffff,0xe83ffec4,0x0fffb6ff,0x303ffff7,0xb0007fff,0xffffffff,
    0xff98bfff,0xffe8003f,0xffffffff,0x7fff41ff,0xffffffff,0x82fff41f,
    0x3ffa7ffd,0x7ed55540,0x07ff40bf,0x7fffffe4,0x2a07ff43,0x0bffdaaa,
    0x9fffff70,0xc88dff31,0x2effffff,0x6c17ffa0,0x7dff97ff,0xfffffe80,
    0x1fffffff,0x7ffffff4,0x41ffffff,0xfffffffe,0xfd1fffff,0xffffffff,
    0x7ffc3fff,0x7ffec005,0xffffffff,0xfffd9105,0x7ff47bff,0x40fffb05,
    0xdfffffea,0x3ffaa000,0x7100dfff,0xfffffffd,0x26666017,0x7fff4001,
    0xffffffff,0x0099801f,0xffffffe8,0x01ffffff,0x36000998,0xdffd07ff,
    0x7ec1fff6,0x7fcc0fff,0xffd8003f,0xffffffff,0x1fffcc5f,0x7ffff400,
    0xffffffff,0x7fffff41,0x1fffffff,0xfd82fff4,0x005ff97f,0xffc81ff7,
    0xfffff902,0x017fe47f,0x4c007fdc,0x5310001a,0xbffd0013,0x0c5fff60,
    0xfffffd00,0x3fffffff,0xffffffe8,0x41ffffff,0xfffffffe,0xfd1fffff,
    0xffffffff,0x7ffc3fff,0x7ffec005,0xffffffff,0x20133005,0xffb05ffe,
    0x002a600f,0x0002a600,0x00135331,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x002aaaa6,0x54c00000,
    0x01000aaa,0x2a200000,0x02aaaaaa,0x77776400,0xec804eee,0x04eeeeee,
    0x79995300,0x90002003,0x9ddddddd,0x00155400,0x00000040,0x75100000,
    0x4c159999,0xeeeeeeee,0x0ddd74ee,0x4404eed8,0x20eedcba,0xd100eeea,
    0x3baa07dd,0x006eeeee,0x03599751,0x7774c000,0xeeeeeeee,0x3bbbbb20,
    0xeeeeeeee,0xdddddd95,0xbddddddd,0x9017bba2,0x77543ddd,0x01acdeee,
    0x321f74c0,0x2776c0ee,0xfeca8000,0x001bdfff,0x00ffffe6,0x19bffdb7,
    0x7ffcc000,0x3fb6e03f,0xa804efff,0x202cefec,0xfffffff8,0x7fec0007,
    0x805fffff,0xfffffffd,0x7fecc005,0x2e06ffff,0x7ec006fd,0x05ffffff,
    0x00bfff90,0x000dfb70,0x5bdffdb1,0x7fff6440,0x7ffe403e,0x264fffff,
    0xffffffff,0x0fff95ff,0xb305fff8,0x3fffffff,0x8807ffdc,0xff504fff,
    0x80ffffff,0xffffffe9,0xffdb983f,0xfff302df,0xffffffff,0x7fffff41,
    0xffffffff,0xffffffd6,0xdfffffff,0x981fffe4,0x7fd45fff,0xffffffff,
    0x89ff5002,0x5fff87fe,0x7ff4c000,0x4fffffff,0x3dfff300,0x7fffec40,
    0x8002ffff,0x501efff9,0xffffffff,0x7fec40ff,0x80efffff,0xfffffff8,
    0x77640007,0x804eeeee,0xeeeeeeec,0x3ffe2004,0x206fffff,0x64006fff,
    0x4eeeeeee,0xfffffc80,0x37ffc005,0x3fffee00,0x5c0dffff,0xffffffff,
    0xffffd80d,0x264fffff,0xffffffff,0x0fff95ff,0xfa85fff8,0xffffffff,
    0x403ffee1,0xd504fff8,0x0ddddddd,0x7fffffdc,0x7fe43fff,0x0effffff,
    0x7fffffcc,0x3a0fffff,0x999999bf,0xfd6fb999,0xffffffff,0x7c4dffff,
    0xfffb07ff,0xfffffa83,0x05ffffff,0x7fc3ffb8,0x005fff87,0x3ffffee0,
    0x04ffffff,0x00dfff98,0x3fffffe2,0x003fffff,0x4037ffe6,0xfffffff9,
    0xfd107fff,0xffb757bf,0xaaaa883d,0x00007ffe,0x00000000,0x4d77ffec,
    0x3ffe04ba,0x40000006,0x9ffb5ffb,0x037ffc00,0xdfffff30,0x7dc3ffff,
    0xffffffff,0x7fffcc5f,0x9877330a,0xff999999,0x80fff95f,0x7fd45fff,
    0xaaabceff,0x403ffee0,0x0004fff8,0x77fffd40,0x3a3fedcd,0xffffffff,
    0x7ffcc5ff,0xcccccccc,0x777cbfa0,0xaab7d41c,0xcfffcaaa,0x7dc2aaaa,
    0x7ffcc3ff,0xacfffa84,0x3ffffecb,0xf117fe40,0xfffff0df,0x9807bdff,
    0x9aceffff,0xc804fdba,0xffd803cc,0xffeb9bef,0x3332007f,0x6ffff403,
    0x20b73319,0xff502ffe,0x0fffd00d,0x00000000,0x6fff8000,0x06fff800,
    0x32200000,0x00e65c3c,0x2006fff8,0x710bfffe,0x7fffc45f,0xffffa88b,
    0x00fffee2,0x57ffe200,0x7fc07ffc,0x3fffe25f,0x1fff7002,0x013ffe20,
    0xffff8800,0x7fd43104,0xfffd99be,0x03ffe61f,0xfff2fe80,0x1bea1dff,
    0x002fffa8,0x7ec1fffd,0xfffa80ff,0x0ffffc82,0xf987ff20,0xfffff85f,
    0x03ffffff,0x401bfffd,0x4c000018,0xfd80efff,0x400003ff,0x8006fff8,
    0x50882ffa,0xffe805ff,0x97300007,0x54400159,0x2001accb,0xa803fff8,
    0xaefffaaa,0x5542aaaa,0x0555302a,0x55550000,0x5555dfff,0x5fff8855,
    0x3fffb810,0x2e6fff98,0x0000dfff,0xfcafffc4,0x2fffc07f,0x4007fff7,
    0xf100fffb,0xaaa889ff,0x2e02aaaa,0x64005fff,0x47fffb03,0x2000fff9,
    0xfd7552fe,0xa81beadf,0xf5002fff,0x3ffe69ff,0x05fff503,0xf913fff6,
    0xffffffff,0x3e5fffff,0xffffffff,0x7fd42fff,0x5550006f,0x80de65c1,
    0xf301fffd,0x55530dff,0x55555555,0x037ffcc3,0x3b237f40,0x80dfd3ff,
    0x40007ffe,0xffffffe8,0xffffb804,0x9800dfff,0x7c402fff,0xffffffff,
    0x7fc5ffff,0x2fffb05f,0x53001aaa,0x3fffe255,0xffffffff,0x17ffd45f,
    0x00fffd80,0x7fd4fffd,0x0002cfff,0x3f2bfff1,0x2fffc07f,0xb800fffd,
    0xff100fff,0xffff989f,0x3f206fff,0x200001ff,0x3e64fffa,0x3fa000ff,
    0xf53ff902,0x17ffd40d,0xd1fffb00,0x7fd40dff,0xbfff502f,0xffffffc8,
    0xffffffff,0x4c4bfff2,0x360ffffd,0xd0002fff,0xffff35ff,0xffff05ff,
    0x40fffe80,0xfffffffb,0x3e24ffff,0x26002fff,0xfffd12ff,0x807fea7f,
    0x20007ffe,0xfffffffa,0x3ff606ff,0xffffffff,0x17ffd400,0x3ffffe20,
    0xffffffff,0xd82fffc5,0x0bffb7ff,0x7c57fee0,0xffffffff,0x7dc5ffff,
    0xffd000ff,0x07ffe40f,0xfffffffb,0x7fc40039,0x80fff95f,0xfff15fff,
    0xb806a62b,0xff100fff,0xffff989f,0x3fa06fff,0x200000ff,0x3e63fffa,
    0x40099aff,0x5ff302fe,0x7fd40df5,0x3fe6002f,0x201fffef,0x3e02fffa,
    0x7f75c7ff,0xffeeeeff,0xbfff2eee,0xe8bfffa0,0x3a0007ff,0xfffffcff,
    0x3fe20fff,0x7ffe405f,0x7ffffdc1,0x44ffffff,0x02dfffff,0xff90ffa8,
    0x3fe2377d,0x01fffa02,0x8bffff80,0xb83fffd9,0xfccdffff,0x4cc45fff,
    0x99bfffb9,0x2aaa0999,0xaaaefffa,0x2fffc2aa,0xff97ffd8,0x93ff200d,
    0xefffaaaa,0x5c2aaaaa,0xfb000fff,0x3fee05ff,0x7fffdc1f,0x1003ffff,
    0x3ff2bfff,0x9afffc07,0xfffeefff,0x7fdc0dff,0x9fff100f,0xffaaaa88,
    0x1fffe06f,0xfff90000,0x7ffffcc5,0xfe81cfff,0xf53ff902,0xffb9998d,
    0xc80199bf,0x205fffff,0xeeefffee,0x883fff44,0x17fe46ff,0xfb82fffc,
    0x1bffe4ff,0x35555551,0xefffffe8,0x264ffffc,0x7e404fff,0x777541ff,
    0xffffeeee,0x7ffffd43,0xff700bef,0xff80fffc,0x41fffa04,0xfff700a8,
    0x41fffb03,0x441ffff8,0x3f61fffe,0xffffffff,0x3e03ffff,0xfff006ff,
    0x5dfff60b,0xffb007ff,0x037ffc07,0x2bfff262,0xfc819999,0xffc80dff,
    0xfffb502f,0xf1003fff,0x1fff2bff,0x3eabfff0,0xffffffff,0x3fee2fff,
    0x9fff100f,0x40dfff00,0x0000fffe,0x983fffe0,0xffffffff,0x897f42ff,
    0xf55fffee,0xffffff8d,0x8807ffff,0x200fffff,0xffffffff,0x407fff46,
    0x7fec5ff8,0x305fff81,0x3fe2bfff,0x7fffd45f,0x7fff44ff,0x9bffe22f,
    0x5c03fffa,0x36002fff,0xff705fff,0x09ffffff,0x1ffe2df9,0x3fa05fe8,
    0x4fffb87f,0xf506fff8,0x7ffdc3ff,0x47fff503,0xfffffffd,0x03ffffff,
    0x7c01bffe,0xfffb05ff,0x9883ffea,0xf017ff41,0xffe80dff,0xffffffff,
    0x7fffcc1f,0xffffdcdf,0xfffa802f,0xfff8804f,0xf80fff95,0xffff75ff,
    0xffffddff,0x03ffee1f,0x4027ffc4,0x3f606fff,0x900003ff,0xee989fff,
    0xfffffeee,0x7c4bfa2f,0xdf50cfff,0xfffffff8,0xf7007fff,0xfff809ff,
    0x6c6fffff,0xff980fff,0x7c07ff45,0xfff505ff,0x517ffe67,0x89ffffff,
    0xfe83fffe,0x0fffea7f,0x005fff70,0x301bffee,0xfffffffb,0xf8b7ec1d,
    0x817fa07f,0x7fc47ffe,0x3fe21fff,0xcaaaaadf,0x3ff22fff,0xbfff100f,
    0x7ff77764,0x2eeeeeef,0x3ffeaaa6,0xf82aaaae,0xfffb05ff,0x7c47ffe2,
    0x07ffe1ff,0x7406fff8,0xffffffff,0xffc81fff,0xffffffff,0xff5002ff,
    0xfff100bf,0xf01fff2b,0x3ffeebff,0x7fff441d,0x201fff73,0xf804fff8,
    0x3fee06ff,0x5c0000ff,0x2000efff,0x3a5fffe9,0x503ff12f,0xfffff8df,
    0x907fffff,0xdfffdddd,0xfca89ddd,0x742aacff,0x9ff507ff,0xfff07fe8,
    0x4bfff60b,0x64c5fff8,0x744fffcc,0xfffb06ff,0x2027ffcc,0xa801fffb,
    0x3000ffff,0xbffffff9,0x3fff3fe4,0xfe813fe0,0x7fffcc7f,0x3fffe63f,
    0xffffffff,0x01fff63f,0x7d40dfff,0xffb802ff,0xffffffff,0x05fff86f,
    0x7ffcfffb,0x7c7fff52,0x3ffe00ff,0x7fee5c06,0x0ccccccf,0xffffff70,
    0x2a3fffdf,0x13fff201,0x657ffe20,0x7ffc07ff,0x207fff55,0xff74fff9,
    0x3ffe201f,0x06fff804,0x2bffffe2,0xf500ae60,0x50003fff,0x17f4ffff,
    0x0df501ff,0x4017ffd4,0xfffffffd,0xfa85ffff,0x3ffe02ff,0x3ffffea6,
    0xffffffff,0x217ffe4f,0x3e0efffc,0x7ffc06ff,0xd82fff44,0x3ffe27ff,
    0x07ffe405,0x0bfffe20,0x7fffd400,0x3a1ff70f,0x3e19aeff,0x1fffa03f,
    0x45fffff1,0xfffffffa,0x23ffffff,0x7f407ffe,0x3ffea06f,0xffffb802,
    0x6fffffff,0xfb05fff8,0xd9fff4ff,0xfff16fff,0x006fff80,0x0001fff7,
    0x36559531,0xbff90fff,0xffffd979,0xbfff1003,0xf803fff2,0x9fff34ff,
    0xfbb7ffc0,0xfff100ff,0x0dfff009,0xffffffb8,0x2603ffff,0x0001ffff,
    0x7f43fffa,0x37d40662,0x005fff50,0xfffb9997,0xf507999b,0x3fe605ff,
    0x3fffea5f,0xffffffff,0x3fffe4ff,0xfffffeee,0x007fff41,0xffe89fff,
    0xf8fffb05,0x7ff406ff,0x4fffe807,0x7ffc4000,0x2a5ff52f,0xf33fffff,
    0x3fff405f,0x2a2fffe4,0x9999bfff,0x36099999,0x7ffc07ff,0x0bffea05,
    0x3feaaa60,0x82aaaaef,0xffb05fff,0xffa7fecf,0x6ff99fff,0x8037ffc0,
    0x0000fffb,0xf937ffc0,0xffffffff,0x3fe6007f,0x01fff74f,0x7c4fffe2,
    0x3ffe05ff,0x201fff75,0xf804fff8,0xffb806ff,0x3fffffff,0x03ffff30,
    0x3fffc400,0x037625fd,0xffa81bea,0xff98002f,0xfffa802f,0x45fffb02,
    0xeefffee9,0x3eefffee,0x3ffffffe,0xfd83ffff,0x3ffe04ff,0xd82fff44,
    0x7fffc7ff,0x0dfff100,0x006fffc8,0x25fffb00,0x3fea5ff8,0x01ffb3ff,
    0xb983fff4,0x03fff882,0x01fffc80,0x5409fff3,0xf8002fff,0xfff006ff,
    0xc9fffa0b,0xfeffadff,0x404ffacf,0xf7006fff,0x400001ff,0x3ee3fffa,
    0xdfffffff,0xfff70041,0x40fffea7,0x3fe1fffb,0xfffa80ff,0x201fff73,
    0xf803fff9,0xf93006ff,0x03bfffff,0x003ffff3,0x25fffb80,0x09ff72fe,
    0x7fd40df5,0xaaa9802f,0xaaacfffc,0x82fffa81,0x3606fffb,0x13fea0ff,
    0x7ffffffc,0xff300cff,0x3ffe03ff,0xd82fff44,0x7ffdc7ff,0x05fff904,
    0x007fffd4,0x0fffe800,0x55307ff2,0xe807ff11,0xff0007ff,0xff7000df,
    0x3fff20bf,0x0bffea02,0x01fffa00,0x7ec3fff4,0x3bfee7ff,0xbfffaffc,
    0x7ff403ff,0x1fff7007,0x3fe60000,0xfa9880ff,0x83b501ff,0xf11ffffa,
    0xff983fff,0x6fffdc6f,0x47fffa60,0x4150fffb,0xf802fffc,0x7ec006ff,
    0x3fe600df,0x808801ff,0x23ffffb9,0x05ff32fe,0x7fd40df5,0xfffd802f,
    0xffffffff,0x9bfffa85,0x1ffffea9,0xff51ffa0,0x2bbffe07,0xff90009a,
    0x3e2137ff,0x2fff44ff,0x7c47ffd8,0xf931cfff,0x7fcc0dff,0xbeb801ff,
    0x7ffecc09,0x80fffc46,0x7400ffe8,0xf90007ff,0x02201bff,0x449ffff1,
    0x5406fffb,0xd8002fff,0xfd803fff,0xfffb12ff,0x7fffd4ff,0xffdffd6f,
    0x3fffd805,0x3fff2620,0x9999999a,0x2aa66620,0x403ffffd,0x3ea06ff9,
    0xfffffeff,0x77fffe45,0x42ffffee,0xeefffff8,0x3ee4ffff,0xffffb0ff,
    0xff001fff,0xfff800df,0x3fffe601,0xaaaaaaac,0xffddff90,0xfe89ffff,
    0x37d40222,0x005fff50,0xfffffffb,0xf50bffff,0xffffffff,0x7ff807ff,
    0xff81ffdc,0xff10005f,0xffffffff,0x5ffe89ff,0xf90fffb0,0xffffffff,
    0x3fa205ff,0x99999cff,0x3fffee09,0xffffffff,0x1bfffb81,0x005fff73,
    0x2000fffd,0xcefffff8,0xfb84feec,0xfffeffff,0x7fd401ff,0xffb8002f,
    0x45edceff,0xfffffffb,0x3e67ffff,0xff74ffff,0xfb803fff,0x5edcefff,
    0xfffffffd,0x45ffffff,0xfffffffd,0xffb804ff,0x3fffea03,0x440effff,
    0xfffffffe,0xfff303ff,0x8bffffff,0xffb0fffb,0xd905ffff,0xdffffddd,
    0x3e203ddd,0x7fffc06f,0xffffffff,0xfffff92f,0xfd09ffff,0xffffffff,
    0x540dffff,0x98002fff,0xfa802fff,0xffffffff,0x37fc400e,0x7fc0bff2,
    0x3620005f,0xffffffff,0x2fff44ff,0xf707ffd8,0xffffffff,0x7fffe405,
    0x5fffffff,0x3fffffee,0x202fffff,0xfffffffa,0xeeec81ff,0xeeeffffe,
    0xffd3001e,0x9fffffff,0x3fffff60,0xa802ffff,0xd0002fff,0xbfffffff,
    0xffffffd0,0xff8fff5d,0xfff31fff,0xffd001ff,0x3abfffff,0xffffffff,
    0x362fffff,0xefffffff,0x01ffb002,0x7ffffe44,0x7ffdc03f,0x4401dfff,
    0x2efffffd,0xf90fffb8,0x3a03dfff,0xffffffff,0xf501ffff,0xffff807f,
    0xffffffff,0xfffff92f,0x3fa019ff,0xffffffff,0x2a06ffff,0x98002fff,
    0xfa802fff,0x2bceffff,0xd8bff100,0xbfff01ff,0xffd70000,0x817dffff,
    0xffb05ffe,0x7fff540f,0x7ec00dff,0xffffffff,0x3ff6a5ff,0x0cffffff,
    0xffffd980,0xfffb00ce,0xffffffff,0xffc8005f,0x03efffff,0x3fffffaa,
    0xfff5000d,0x3f220005,0x885fffff,0xf34ffffd,0x6fffe8ff,0x803ffff4,
    0xffffffc8,0xffffffd5,0x5fffffff,0x6777ffec,0x01554002,0x20003310,
    0x510001a9,0x0cc40003,0x7fffff40,0x1fffffff,0xf8015530,0xffffffff,
    0x2622ffff,0x00000199,0x00000000,0x00000000,0x00000000,0xfd0066a2,
    0x1fff60bf,0xb0004c40,0xffffffff,0x2660bfff,0x200009a9,0xffd80098,
    0xffffffff,0x310002ff,0x53000335,0xfff50001,0x55300005,0x09988013,
    0x89fffb00,0x8006fffc,0x00009aa9,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xa8177744,0x77541eee,0x01acdeee,
    0x801bbb20,0x0000eeeb,0x77777440,0x0281eeee,0xdddd5050,0xdddddddd,
    0x7774403d,0x777400ee,0x02cceeee,0x6c17bba6,0x3bb22eee,0x01acdeee,
    0x77777744,0xd14eeeee,0xdddddddd,0x3bbae5dd,0x27ddd100,0xeeeeeeec,
    0x3ba4eeee,0xbddd704e,0x0004eee8,0x807ffe44,0x700eeeeb,0x3b6009dd,
    0xee882eee,0xeeeeeeee,0xddd71eee,0x3eee9805,0x201bddd3,0xd50deee9,
    0x3bae009d,0x003dddb2,0xeee8bddb,0x00bcdeee,0x37bbbbb6,0xddd901ac,
    0xdddddddd,0x66440bdd,0x0048800c,0x7cc03730,0xfff503ff,0xfffffa85,
    0x802fffff,0x32007ffd,0x00000fff,0x7fffffdc,0x3faa1fff,0x517fd403,
    0xffffffff,0x405fffff,0x03fffffb,0x7ffffffc,0xfa82ffff,0x7fcc1fff,
    0x3fff63ff,0x2fffffff,0xffffff30,0x26bfffff,0xffffffff,0xfff93fff,
    0x53ffe201,0xfffffffd,0x3fe5ffff,0xffff985f,0x002fffc1,0xfffffc88,
    0x9ffff900,0x2017ff20,0x82fffffb,0xfffffff8,0x32ffffff,0xfd80dfff,
    0x3fff61ff,0x49fffb03,0xf9006ffa,0x13fff27f,0xf89fff30,0xffffffff,
    0xffff80df,0x1dffffff,0x7ffffff4,0x6fffffff,0x007ffe20,0x4001bfd1,
    0xf304fffb,0x3fea07ff,0x7fffd42f,0x5fffffff,0x003ffec0,0x0001fff9,
    0xfffffe80,0xff11ffff,0x3fe203ff,0xffff50ff,0xffffffff,0x7ffec05f,
    0x7ffc05ff,0xffffffff,0x7fffdc2f,0x1ffffe44,0xfffffffb,0xf30bffff,
    0xffffffff,0x3ffe6bff,0xffffffff,0x201fff93,0xffb4fff8,0xffffffff,
    0x42fffcbf,0xff83fffe,0xffb8005f,0x900fffff,0x901fffff,0xff880bff,
    0xf882ffff,0xffffffff,0x3f62ffff,0xfff302ff,0x0ffff98b,0x507fffcc,
    0x3f600dff,0x0dfff33f,0x7c2fffc8,0xffffffff,0xffff86ff,0xffffffff,
    0x3fffffa1,0xffffffff,0x07ffe206,0x01dfffb0,0x1fffff10,0xffffffd8,
    0xffffffff,0x33ffea5f,0xffffecba,0x01fff603,0x000fffc8,0x3fbfe600,
    0x54199aff,0xbca9efff,0x2a2fffd9,0xeeeeeeee,0x201ffffe,0x0fffffff,
    0x2677ffe0,0x45fffeb9,0x7c6ffffb,0x3f63ffff,0xfecbaaff,0x7fcc3fff,
    0xaaaaaadf,0x5bfff31a,0x23555555,0xf100fffc,0x266629ff,0x999bfffb,
    0xf717ffe0,0x3ffe0dff,0x3ffe2005,0x00ffffff,0x07fffff9,0xfd80bff9,
    0x882fffff,0xcccccccc,0x260ffffe,0xffb06fff,0x9fffb03f,0x543fffd8,
    0xffb006ff,0x007fffc5,0xfff0fffd,0xfffd955d,0xaefff87f,0xeffffcaa,
    0xf9555550,0x555559ff,0x00fffc40,0x07ffffa2,0x1fffff10,0xffffffd8,
    0xffffffff,0x0bffea5f,0x403ffff2,0x16cc7ffd,0x0007ffe4,0xff7ffb00,
    0xfffc803f,0xffffffff,0xfff98004,0x33ffea06,0x3fe02fff,0x7fff884f,
    0x87ffffe4,0x24fffff9,0xff907ffd,0x7ffcc1ff,0x9fff3004,0x03fff200,
    0xa827ffc4,0x3fe02fff,0x3fffe25f,0x00bfff00,0xfdbfffe8,0xfff900ff,
    0xbff90dff,0x7dfffcc0,0xe88002ff,0xffd83fff,0x2fffcc1f,0x30ffff88,
    0xff30dfff,0x8bff600f,0xf102fffd,0x9fff0bff,0xf89fffb0,0xffe885ff,
    0x3ffea02f,0x7ffc4002,0xffffb001,0x6fffe807,0xffffffd8,0xffffffff,
    0x0bffea5f,0xd827ffec,0x5ffb37ff,0x001fff90,0x27ffe200,0xfe801fff,
    0xffffffff,0xfffb0006,0x477fe405,0x3fe04fff,0x8fffd04f,0x93ffcffc,
    0x6c9ff9ff,0x3ff607ff,0x13ffe64f,0x027ffcc0,0x100fffc8,0x3ea09fff,
    0x3ffe02ff,0x80bfff65,0x54005fff,0x1fff90cf,0x3fffff20,0x02ffe42f,
    0xfff1bffd,0xfff90005,0x17ffe60b,0x6401fffb,0xfffb4fff,0x00fff305,
    0xffa87ff6,0x7fff505f,0xf309fff0,0x5fff8dff,0x409fff50,0x2202fffa,
    0xfffa9999,0x7009999a,0x4409ffff,0xfa880ded,0x99999cff,0x2a0bfffb,
    0xff502fff,0x3fff60bf,0xc82ffffd,0x00000fff,0xfff1bff7,0x9fff9003,
    0x00dfffd7,0x80dfff30,0xfffd4fff,0xf827ffc0,0x57fe46ff,0xf5dfd5ff,
    0x03ffecbf,0x7ccbfff5,0xff3004ff,0x3ff2009f,0x9fff100f,0x80bffea0,
    0xfff75fff,0x05fff80b,0x7ffe4080,0xfddff900,0x05ffc8df,0xff11fff7,
    0xff98005f,0x3ff600ff,0x09fff31f,0xfaffff88,0xfff106ff,0x7ff45eb8,
    0x41fffe21,0xff80fffd,0x5fff884f,0xf882fffc,0x3fea05ff,0x3ffea02f,
    0xffffffff,0x3fea03ff,0x20000dff,0xf503fff9,0xfffa85ff,0x41fffe02,
    0xfffffffd,0x01fff903,0x7f40054c,0x01fff8af,0x7dc3ffe8,0x7ec001ff,
    0x3fe602ff,0x03fff92f,0x3f213ffe,0x4ffec3ff,0xacff8ffe,0x1fff65ff,
    0x7ccffff0,0xff3004ff,0x3ff2009f,0x9fff100f,0x80bffea0,0xfff8dfff,
    0x2fffc00e,0x7ffe4000,0xf5dff900,0x2ffe43ff,0xf89fffc4,0x3a2002ff,
    0x7cc03fff,0x1fffb5ff,0xfffff700,0x3fe205ff,0xfd07ffc7,0x1fffd81f,
    0xff06fff8,0x9fff709f,0xf305fff8,0x7fd409ff,0x3ffea02f,0xffffffff,
    0x7f4c03ff,0x30000eff,0x5555bfff,0x745fff95,0x4eeefffe,0x7443fff4,
    0x403fffff,0xe880fffc,0x3e601eff,0x9bfff17f,0x1fff1099,0x002fff88,
    0x701bffe2,0x3fea1fff,0x9dfff04f,0x09fffd99,0xbff93ffb,0x4bff33ff,
    0x7f407ffd,0x3fffe67f,0x1eeeeeee,0x3339fff3,0x7fe43333,0xeeeeeeef,
    0xff504fff,0x6fffc05f,0xf801fffd,0xc80005ff,0xff900fff,0xfc97ffed,
    0x26ffd85f,0x2002fff8,0xb005fffc,0x9fff3fff,0x7ffff400,0x33ffc05f,
    0x7ff47fff,0x21fffdc0,0xff03fff9,0x3ff2629f,0x2fffc0ff,0x202fffb8,
    0x2602fffa,0xfffccccc,0x801ccccd,0x00ffffe8,0xfffff980,0xffffffff,
    0x3fffffe2,0x7fff46ff,0xfffff910,0x3fff2007,0x6ffffc80,0x7c53ff20,
    0xa87fffff,0x7fff06ff,0x1fffe400,0xff17ff60,0x3fffe0df,0x0dffffff,
    0xff98ffd8,0x4dff37ff,0x7f407ffd,0xffff30ff,0x5fffffff,0x3fffffe6,
    0x3f27ffff,0xffffffff,0xf504ffff,0x7ffc05ff,0xf004ffff,0x90000bff,
    0x3f201fff,0x23fff76f,0x7fd45ffc,0x0bffe21f,0x07fffcc0,0xfffff980,
    0x3ea000ff,0x7c01ffff,0xbfff90ff,0x7fc43ffc,0x0fffdc6f,0xfffffff8,
    0xff81efff,0xffff985f,0x0bffea00,0x03fff100,0x3fffee00,0xfff30004,
    0xffffffff,0x7fffc5ff,0x7ec6ffff,0xffff70ff,0x7fe400ff,0xffffd80f,
    0x447ffe07,0x87ffffff,0xffd07ffb,0x3ffe2005,0x1fffc407,0x3e03fff6,
    0xffffffff,0x7ff42fff,0x269ffff0,0x1fff66ff,0x261fffb0,0xffffffff,
    0xfff32fff,0xffffffff,0x7fffffe4,0x4fffffff,0x405fff50,0xffffefff,
    0x05fff800,0x0fffc800,0x3e2dff90,0x8bff94ff,0x7fc44ffe,0xfffd002f,
    0xfffd8005,0x7dc004ff,0x7c02ffff,0xffffd0ff,0x7f41ffe1,0x1fffa0ff,
    0xfffffff8,0x3ffe02ff,0xfffdcaae,0x7ffd403f,0x7ffc4002,0xfffc8001,
    0x3e60002f,0xeeeeeeff,0x32a2fffe,0x42aacfff,0x3fee7ffe,0x32007fff,
    0xffc80fff,0xdff506ff,0x4cd7ffc4,0x81fffa81,0xf9000fff,0xffa807ff,
    0x17ffdc1f,0x54cefffc,0x20ffffec,0xfff90ffe,0xfd9ffe63,0x3fff407f,
    0x555bfff3,0x3e615555,0xffffffff,0x2ffff27f,0xffbaaaaa,0x5fff504f,
    0x7e6fffc0,0xfff805ff,0xffc80005,0x4dff900f,0xffc8fffc,0x103bff25,
    0xf9005fff,0xf3000bff,0x4001ffff,0x6ffffff8,0x7c47ff40,0xfff2ffef,
    0x44bfff20,0x3fe04fff,0x6ffffeff,0x3fffffe0,0x805fffff,0x4002fffa,
    0x2001fff8,0x01ffffd8,0x2603dfd3,0xff503fff,0x2fffa85f,0xcb9bffe0,
    0x2007ffd8,0xe880fffc,0xffb01fff,0x00fffc47,0xf713ffe6,0x3fe200df,
    0x7ffc807f,0xf85fff98,0xfffd04ff,0xff53ffc9,0xfb3ffc4f,0x6fff80ff,
    0x4013ffe6,0x9004fff9,0x3e201fff,0xfff504ff,0x46fffc05,0x7c02fffe,
    0xc80005ff,0xff900fff,0x667ffc4d,0x7fff35ff,0xfff53333,0xff301337,
    0x360001ff,0x64004fff,0x3fffffff,0x3ee7ffa0,0xdff5ffaf,0x553ffe60,
    0x3fe02fff,0x9fffb14f,0x3fffffe0,0x5002efff,0x88005fff,0xd1001fff,
    0x7401dfff,0xff307fff,0x3ffea07f,0x817ffd42,0xfb05fff9,0x7fe400ff,
    0x0175100f,0x3bbbffe2,0xe801fffe,0xffcbefff,0xfff9004f,0xfffff007,
    0xffffffff,0x2a09fff0,0x9ffe5fff,0x3fe24ff8,0x981fff67,0x3fe65fff,
    0xfff3004f,0x3fff2009,0x09fff100,0xf80bffea,0xffff55ff,0x02fffc01,
    0x07ffe400,0x7ec6ffc8,0xf55ffdff,0xffffffff,0x05ffffff,0x0005fffd,
    0x0017ffd4,0xff3ffff3,0x3ff601ff,0x1fff6fd9,0x7ffc0dff,0xf80fff97,
    0x3ffa24ff,0xcffff81f,0x54001abc,0x44002fff,0xfa801fff,0x2200dfff,
    0x981fffff,0xff503fff,0x2fffa85f,0x205fffb0,0x32007ffd,0x20000fff,
    0xfffffffb,0xfd801fff,0xffffffff,0xffff8806,0x7fffcc00,0xffffffff,
    0x827ffc1f,0x3fe5fff9,0xff104c47,0x81fff61f,0x3e62fffd,0xff3004ff,
    0x3ff2009f,0x9fff100f,0x80bffea0,0x3ff65fff,0x17ffe05f,0x3fff2000,
    0x98dff900,0x55ffffff,0xffffffff,0x5fffffff,0x005fffc8,0x017ffd40,
    0x367fffb0,0xffb05fff,0x3ff67ff5,0x3f205ffa,0x05fff9ff,0x3ee27ffc,
    0x5fff84ff,0xfffa8000,0x5c000002,0xf004ffff,0xf301ffff,0x3fea07ff,
    0x17ffd42f,0xb037ffdc,0x7e400fff,0x3a0000ff,0xffffffff,0x7fdc01ff,
    0xffffffff,0x7ffe404f,0xffffc804,0xffffffff,0x827ffc4f,0xff14fffc,
    0x1fff100f,0x7dc1fff6,0x7ffcc6ff,0x9fff3004,0x03fff200,0xa827ffc4,
    0x3fe02fff,0x3fffe25f,0x00bfff02,0x01fff900,0x3fa1bff2,0xff55ffff,
    0xffffffff,0x4c5fffff,0x0000ffff,0x8017ffd4,0x3e26fffa,0xffd81fff,
    0xbff51ffd,0x7fd40bff,0x402fffdf,0x7fc44fff,0x2fffc0ff,0x7ffd4000,
    0x5c000002,0x2a003fff,0xff302fff,0x3ffea07f,0x4dfffd42,0x1ffffea9,
    0x267fff60,0x90999999,0x33335fff,0x3e601333,0x7ffc40ff,0x3bffe601,
    0xffe9aca9,0xffff102f,0x0bffd001,0x3e37ffc4,0x3f2624ff,0xfff12fff,
    0x6c3ffe00,0xea999fff,0x7cc1ffff,0x99999cff,0x9fff3099,0x03fff200,
    0xa827ffc4,0x3fe02fff,0x7fffdc5f,0x99efff80,0x44199999,0xfffd9999,
    0xff909999,0xfffff50d,0x7ffcc00b,0x5bfffd02,0x15555555,0x02fffa80,
    0xc85fffd0,0xffc86fff,0x3ffe26ff,0x3fe205ff,0x400fffff,0xffc84fff,
    0x02fffc4f,0x17ffd400,0x3fffffe0,0x87ffffff,0x988002fb,0x0fffe600,
    0x2a17ffd4,0xffffffff,0x7ec03fff,0xffffffff,0xffff93ff,0x7fffffff,
    0x2217ff20,0x2fffffff,0x201ffff1,0xb80ffff8,0xf8804fff,0x7ff403ff,
    0x3ffffe0f,0x4fffffff,0x7c01bfe2,0xffffb1ff,0x7fffffff,0xffffff30,
    0x26bfffff,0xf9004fff,0x3fe201ff,0xfffffb4f,0x4bffffff,0xffe85fff,
    0xfffff85f,0x0fffffff,0x3ffffff6,0x93ffffff,0x3ffe0dff,0x3e6005ff,
    0xfffa82ff,0xffffffff,0x7fd403ff,0xfffb802f,0x3ffff886,0x227fffe4,
    0x404ffffd,0x06fffffd,0xf884fff8,0x3ffe0fff,0xffa80005,0x7fffc02f,
    0xffffffff,0x00000107,0xa81fffcc,0x7fd42fff,0xefffffff,0xffffd800,
    0x3fffffff,0xfffffff9,0x3e07ffff,0xfff882ff,0x3ea2ffff,0x17fdc03f,
    0x800ffff8,0x5c00fffb,0x3ffe3fff,0xffffffff,0x8037fcc4,0xfffb1fff,
    0x1dffffff,0x3ffffe60,0x35ffffff,0x32009fff,0xff100fff,0x3ffff69f,
    0x5fffffff,0x3e617ffe,0x7ffc3fff,0xffffffff,0x3ffff60f,0xffffffff,
    0x2e0dff93,0x2005ffff,0xfa82fff9,0xffffffff,0x5403ffff,0x7c402fff,
    0xff902fff,0x7ffdc1ff,0x7fffd41f,0x7fffdc04,0x4fff803f,0x7c9fffb0,
    0xa80005ff,0x7fc02fff,0xffffffff,0x000007ff,0x03fff980,0xfa85fff5,
    0x2bceffff,0x3ffff600,0x3fffffff,0xfffffff9,0xf507ffff,0x3ffe20ff,
    0x0282ffff,0x7ffdc050,0x0dffb004,0x7cbfff30,0xdeffffff,0x06ff980b,
    0x3f65fff0,0x2bceffff,0x7ffffcc0,0x35ffffff,0x32009fff,0xff100fff,
    0x3ffff69f,0x5fffffff,0x7e417ffe,0x3ffe0fff,0xffffffff,0x3ffff60f,
    0xffffffff,0x220dff93,0x2005ffff,0xfa82fff9,0xffffffff,0x5403ffff,
    0x7e402fff,0x3fe206ff,0x3ffee4ff,0x3ffff887,0x7ffffc40,0x04fff801,
    0x3e1ffff3,0xa80005ff,0x00002fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xca800000,0xeed80acd,0xeeeeeeee,0x86aaa66e,0x64003ffe,0x82b2e600,
    0xaaa82cb9,0x10555302,0x03799995,0x50de65cc,0x73001599,0x51001599,
    0x01599997,0x1accba88,0x4000a880,0x01accba8,0x88035553,0x35551aaa,
    0xa8aaa600,0x5417951a,0x155441cc,0x20059971,0x2a00ccc8,0x2f32e0aa,
    0x00aaaa81,0x54c2aaaa,0xaaaaaaaa,0x100001aa,0x00157b75,0xaaaa8800,
    0x2a602aaa,0x3555502a,0x04400000,0x05550008,0x001880c0,0x54405995,
    0x97502ccc,0x97001799,0x3fffa603,0x7ffc2fff,0xffffffff,0x8fffee7f,
    0xb1000fff,0xfff701df,0x3fffeadf,0x417ffe0e,0x3fa27ffd,0xefffffff,
    0x7ffffec1,0xeffffdbf,0xffffd100,0x7fe409ff,0x04ffffff,0xffffffd3,
    0x7ffd407f,0xffff7001,0xf981bfff,0x7fdc05ff,0x00bffb2f,0x7fc57fee,
    0xf77fffbc,0x7fcc3fff,0xfffffb8f,0x7ffc401e,0x26bffa01,0x42ffffff,
    0xf506fffc,0x7ffdcbff,0xffffffff,0x3ffffae4,0x3ffea01d,0x4c03ffff,
    0x982efffd,0x6fffffff,0x2a1bff60,0x4a80ffff,0x3f6025c0,0x0077e20c,
    0xfb300fff,0x0077e443,0x10bfffd7,0xdffffff9,0x7ffffc41,0x3ff604ff,
    0x7fffc42f,0x3e1fffff,0xffffffff,0x3fea7fff,0x00bff33f,0x31bfffa2,
    0xfbffffff,0x7c9fffff,0xfffb05ff,0x7fffffc4,0x360effff,0xffffffff,
    0xa85fffff,0xffffffff,0xffffd86f,0xb84fffff,0xffffffff,0x3fff603f,
    0xffffd805,0x40ffffff,0x3a00fffe,0x1bff27ff,0xf8a7fe40,0xcfffffef,
    0x264fffff,0xffffcfff,0x7c406fff,0x3ffa01ff,0xfffffffc,0x27fff40f,
    0xb83bffe2,0xffffffff,0x3ffa4fff,0xd81fffff,0xfcb9bdff,0xffff705f,
    0xff98bfff,0x206fffff,0x7fcc6ffd,0x4ffa81ff,0x2e09ff50,0x3ffa1fff,
    0x11ffa045,0x221dffb0,0xff984fff,0xf885ffff,0x5fffffff,0x3ffbffe2,
    0xfff882ff,0x877fe47f,0x2665ffe9,0x99999999,0x3ffea199,0x3005ff52,
    0xd81dffff,0xffffb2ff,0x3e1fff33,0xfffb05ff,0x444d6fc4,0x364fffe9,
    0xdfffb11c,0xf81fff53,0xfd98bfff,0x3ffe63ff,0x877330af,0xcdeffffa,
    0x3f603fed,0x7fdc05ff,0xfffccdff,0x1fffdc5f,0x2e4fff98,0xffb007ff,
    0x33fffe27,0xfbcffffb,0x3fffe66f,0xffffbcff,0x07ffe201,0xefffffe8,
    0x444ffffc,0x3f61ffff,0x777541ff,0xffffeeee,0x32626f23,0x5ffdc5ff,
    0xfe99bccc,0x66fffc43,0x2a22fffe,0x06fffaaa,0xff89bff6,0xfffd02ff,
    0x0efffa89,0xf71fffc4,0xb0de81ff,0x103f62df,0x7fdc9ffd,0x7fffc41f,
    0x37d705ff,0x418ffff5,0xf883fffa,0x3fa1ffff,0x03ffd41f,0x2fff9800,
    0xfa801773,0xff885fff,0xc93ffea6,0x0bfff2ff,0x8801fff6,0x7c405fff,
    0x8bff22ff,0xfd81fffb,0x7fff70ff,0x3fffe200,0x74c03104,0x3fe200ef,
    0x7ff441ff,0x1bffe21f,0xf50fffe4,0x20cc41ff,0xfff12ffe,0x45bffe2d,
    0x3ffe67ff,0x3ffea0ef,0x07ffe203,0x22ffffe8,0xfa86fff8,0x9fff76ff,
    0x5fffd800,0x226ff880,0xffff99ff,0x321ff99f,0x2ffe44ff,0xd81bffe0,
    0x3fffa6ff,0x3fffa203,0x01dfff54,0x7fccdffb,0x57ffdc2f,0x4fff9dfd,
    0x362fff98,0xfd3c86ff,0x7ff400bf,0x0fffd407,0x12ffffc8,0xff881fff,
    0xf980000f,0x7e4001ff,0xff303fff,0x717ffc49,0x17ffe7ff,0x2003ffec,
    0xff806ffe,0xf8ffee0f,0xfff506ff,0x037ffee3,0x017ffee0,0x3ee00200,
    0xfff503ff,0x81fffd87,0x7fc46fff,0x43fff11f,0xfff11fff,0xff17ffc5,
    0x3fffe61f,0x204fff81,0x3a01fff8,0xffe83fff,0xfbfffb07,0xfb800dff,
    0xd97306ff,0xa7dcdffd,0x327f94f9,0x307ffa4f,0xfff80dff,0x6dbff606,
    0xe8804fff,0xefffdfff,0x20fffa80,0xfea85ffe,0xffffffff,0x1dff902e,
    0xe80fffe2,0xff7005ff,0xffddb09f,0xfffe807f,0xf307ffe1,0x77776cff,
    0x6eeeeeee,0x8007ffe2,0x202ffffd,0x7ffc3ffa,0xf3ffb99a,0x3ff60bff,
    0x2aaa6207,0x26206ffe,0xfb999fff,0x5bfff14f,0xfff95555,0x3ffffea5,
    0x3fff202c,0x90000001,0x3e201fff,0x7ffd45ff,0x41fffd44,0xfff52fff,
    0xf887ffc7,0x83ffe0ff,0xfff30fff,0x64b33207,0xfffeeeee,0xfd5eeeee,
    0x1fff60df,0x7fffffc4,0x3fea001f,0xfffc80ff,0x3f66ffff,0x7fb19f32,
    0x0ffe97ea,0x3e03ffc4,0x3ff606ff,0x004fffbe,0x3fffffa2,0x3fff880e,
    0xa803ffee,0x2efffffd,0x2e4ffe80,0xffd00fff,0xdfff700b,0xdffffd01,
    0x3ffdc017,0x6c437ffa,0x3fffe5ff,0xffffffff,0x003ffe27,0x07bfffa2,
    0xff87ff70,0x4fffffff,0x3f60bfff,0xfffeb87f,0x546fffff,0xfffffffe,
    0xf34fffff,0xffffffff,0x7ec7ffff,0x1cffffff,0x8007fff4,0xeeeeeeec,
    0xb5eeeeee,0xfff80fff,0x6c7ffe86,0xffe80fff,0x22dfffb3,0x3ffe27ff,
    0xff83ffe0,0x07fff30f,0x7fffff40,0xffffffff,0x360bffd6,0x3fe607ff,
    0x22003fff,0xfa82ffff,0x4dff11ef,0xffff31fe,0xffb3fc47,0x405ffa87,
    0x3f606fff,0x006fffff,0x0fffff88,0xf997ff60,0x3ee201ff,0x400bffff,
    0x3f61fff9,0x17ffa05f,0x01dfff70,0x3fffb32e,0x513ffa06,0xfffdffff,
    0x7ffffc3f,0x7fffffff,0x74400ccc,0xb800efff,0x7fffc2ff,0xff4fffff,
    0x9fff60bf,0xffffffe8,0x3f26ffff,0xffffffff,0xf54fffff,0xffffffff,
    0xfb87ffff,0x3fffffff,0xe801fffe,0xffffffff,0xfd6fffff,0x6ffe80ff,
    0xf12fffb8,0x3ff609ff,0x33fffff4,0x7ffc4dff,0xff83ffe0,0x07fff30f,
    0x7fffff40,0xffffffff,0x360bffd6,0x7ff407ff,0x3fa001ff,0x7ff904ff,
    0x3fd37fd4,0x98ff77e6,0x47bff26f,0x7c03ffe9,0x3ff606ff,0x002fffef,
    0x27ffffdc,0x647fff10,0x7e440eff,0xffffffff,0x4ffe880c,0xe803ffee,
    0x3ff205ff,0x3f2000df,0xfd5311ff,0x3ffee0df,0x4cc3ffff,0x99999999,
    0x64000199,0xb803ffff,0x57ffc3ff,0xff099999,0x9fff60bf,0x99aefffd,
    0xff36ffe9,0x3fff337f,0x2a133333,0x9999bfff,0x50099999,0x3ffffffb,
    0x4003fffa,0xfffffffe,0xb6ffffff,0xfff80fff,0x75fff885,0x3f203fff,
    0xffeffadf,0x3e24ffac,0x83ffe0ff,0xfff30fff,0x4ccc4007,0x99afffa9,
    0x0bffd099,0xfc81fff6,0x9006ffff,0x7dc0dfff,0x6fffdcff,0xfa7ccff2,
    0x7c49f50f,0x6fffffff,0x206fff80,0xfff9effd,0xfff5001f,0x5c09ffff,
    0x3ffa0fff,0x6e7ffec4,0x85fffcdf,0x3fe26ffd,0xffaaa83f,0x3f60aaef,
    0x0aaaaeff,0x1fffb101,0x07bffffa,0x0cdeec98,0x00000000,0x80bffff5,
    0x7ffc3ffa,0x82fffc01,0xfff17ffe,0x5dbff60d,0x03ffc4ff,0x001fffc4,
    0x9ffff500,0x400ffff2,0x99999998,0x90999999,0x3e603fff,0xfffb04ff,
    0x5c0dffd1,0xfaffceff,0x223ffbff,0x3ffe0fff,0x7cc3ffe0,0x440003ff,
    0x3fa01fff,0x0fffb05f,0x3fffffea,0x7ffd404f,0x3ffe200f,0x2a6fedff,
    0x3f29f36f,0xffa87fd4,0x800effff,0x3f606fff,0x1dfff76f,0x9efffa80,
    0x3a04fffe,0x3ffe65ff,0x7ecbfe22,0xfa83ff56,0x1bff61ff,0x3fffffe2,
    0xfff52fff,0x25ffffff,0xffffeffa,0x0bbffa6f,0x00000000,0x7ffcc000,
    0x9ff500ef,0x201fffcc,0xffd87ffe,0x09fff37f,0x3f2dfff1,0x00fffc3f,
    0x00037ffc,0x5d7ffea0,0x0000ffff,0x5fffb800,0x205fff90,0xfffbfffa,
    0x3fffea03,0xffdffd6f,0xf07ffc45,0x87ffc1ff,0x0003fff9,0xd00fffc4,
    0x3ff60bff,0x9ffff887,0xf302ffff,0x71003fff,0xd0aa6579,0x3225919f,
    0x97106fbc,0x7fc0057b,0x9bff606f,0x2a05fffd,0xfd10efff,0x3fe609ff,
    0x517ff22f,0x05137f41,0x7fcc7ff9,0xffff881f,0xf52fffff,0xffffffff,
    0x3ffffea5,0x00260dff,0x00000000,0x7ff44000,0x6ff881ef,0xb01bffee,
    0x3f625fff,0xfff37fff,0x6ffff98d,0x7fe49ff9,0xfffc805f,0x0d41100d,
    0x227fff90,0x20afffff,0x165402b9,0x93fffe20,0x406fffb8,0x0fffffff,
    0x3ffffe60,0x3fffff74,0xff07ffc4,0x987ffc1f,0x40003fff,0x3a01fff8,
    0xfffb05ff,0x2a5fffd0,0x7440ffff,0x9999cfff,0x22000099,0x7ec40dff,
    0xf000001f,0x7fec0dff,0x13fffa26,0x22077ff4,0x33206ffe,0xff802d81,
    0x91093007,0x55555407,0x5510aaaa,0x15555555,0x2b333326,0x00000000,
    0x80000000,0x82ffffd8,0xfffacffe,0x25baaeff,0xfffffffb,0x3fe7ffff,
    0xfffecfff,0x7fff76ff,0x7bfffffb,0x7fc41f97,0xeeccefff,0x337ff24f,
    0x1ffffecb,0x3fffffea,0x2e03ffff,0x7dc03fff,0xfffeffff,0x7fe401ff,
    0xff805fff,0xfff31fff,0x7ffc41ff,0xff83ffe0,0x07fff30f,0x1fff8800,
    0x6c17ffa0,0x7ffe47ff,0x22fffec4,0xfffffffc,0x9955ffff,0x79999999,
    0xeeeffe98,0xcca82eff,0x3ccccccc,0x3ffbbbb2,0xb1eeeeff,0xfff98dff,
    0x00ee882f,0x00001dd1,0x0004cc80,0x00000000,0x00000000,0x00000000,
    0x7ffff900,0xffffffa8,0x7ffffffa,0x7ffffff4,0x3ee7ffae,0xbfffffff,
    0xffff16ff,0xffff77ff,0xfe981fff,0xffffffff,0x3fffff24,0xb82fffff,
    0xffffffff,0x3fffa03f,0xffffd805,0x802fffff,0x02fffff8,0x746fffe8,
    0x7fc47fff,0xf83ffe0f,0x7fff30ff,0xfff88000,0x417ffa01,0x3fea7ffd,
    0x7ffc40ef,0x3ffff63f,0x5fffffff,0xfffffffb,0x3fb20bff,0xfb00ceff,
    0xffffffff,0x7fffff4b,0x1fffffff,0xff70dffb,0x801103ff,0x00000008,
    0x00000000,0x00000000,0x00000000,0xf7000000,0xfff709ff,0x3fffe65f,
    0x7ffec46f,0xb8fff34f,0x98cfffff,0x3ff666ff,0x3ffff23f,0x3fff205f,
    0x2e3effff,0xffffffff,0x3ff6201d,0x201dffff,0x5004fffc,0x1bfffffd,
    0x37ffec00,0x44fffd80,0x7c46fffc,0x83ffe0ff,0xfff30fff,0x33300007,
    0xb05ffe80,0x3ffe2fff,0xffff502f,0x3fffff63,0x95ffffff,0xdddddddd,
    0x0098809d,0xeeeeeec8,0x3ffa4eee,0xffffffff,0x0dffb1ff,0x003bfff6,
    0x00000000,0x00000000,0x00000000,0x00000000,0x26000000,0x404cc04f,
    0x262009a9,0x0d4c0009,0x4c406200,0x5310009a,0xa9988033,0x99800099,
    0x09d91000,0x0002a600,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000100,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xee880000,
    0x2aaa600d,0x2a355510,0xeeeeeeee,0xca85eeee,0x800000cd,0x540aaaa9,
    0x1035302b,0x20035555,0x0164c1ca,0xddddddd9,0x3bbbba29,0xbbb0eeee,
    0xbbbbbbbb,0x00bbbbbb,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfd800000,0x3fee04ff,0x27fff32f,0xfffffffb,0x6c7fffff,0xc83fffff,
    0x3e6001ee,0x7fec3fff,0x27ffdc4f,0x00ffffd4,0x7c43ffea,0xfff903ff,
    0x3e2bffff,0xffffffff,0xfffffff0,0xffffffff,0x000000ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7ffffd40,0x23fff701,0xff73fff9,
    0xffffffff,0x7ffdcfff,0x7fc4ffff,0xfff3001f,0xffff983d,0xfffff11f,
    0x3fffd303,0xa97ffe40,0xdd705fff,0x229ddddd,0xffffffff,0xffffff0f,
    0xffffffff,0x00000fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7d7ff400,0x3fff506f,0x4c4bffe2,0x99999999,0x3ffa7ffa,0x8dfffebd,
    0x9800fffb,0xfa80dfff,0xff52ffff,0x36207fff,0xff501fff,0x0bffe21f,
    0x55551000,0x26155555,0x99999999,0x19999999,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x70000000,0x0fff67ff,0x7c43ffea,0x7cc002ff,
    0x21fff17f,0xffffffe8,0x7999005f,0x7ffffcc0,0x3fffff10,0x204ccb80,
    0x00dc40b9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3e26ff88,0x7ffcc0ff,0x0007ffe0,0x3fe6fff3,0x7fffec46,
    0x800001ff,0x7dc2fffb,0x000004ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2ffd8000,0x3e627fe4,0x00fffc7f,
    0x801ffe60,0x000dfffb,0x40262000,0x000001a9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x5ff98000,0x221fff88,
    0x07ff47ff,0x00aaa200,0x00000020,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ffa0000,0x98dff701,
    0x000cc419,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x54000000,0x776c04ee,0x00000002,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__consolas_bold_31_latin_ext_x[560]={ 0,6,3,0,1,0,0,6,4,3,2,1,3,3,
5,1,0,1,1,2,0,2,1,1,1,1,5,3,1,2,2,4,0,0,1,1,1,2,2,0,1,2,2,1,
2,0,1,0,2,0,1,1,1,1,0,0,0,0,1,4,1,3,1,0,0,1,2,2,1,1,0,1,2,2,
1,2,2,0,2,1,2,1,2,2,0,2,0,0,0,0,2,2,6,3,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,6,1,1,0,0,
6,1,0,0,3,1,1,3,1,0,2,1,3,3,0,2,1,5,6,3,3,1,0,0,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,-1,0,0,1,0,0,0,0,0,0,2,1,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,2,0,2,1,1,0,0,1,2,2,0,0,2,
2,-4,-3,2,1,0,2,0,0,1,2,0,0,0,1,2,0,0,0,0,0,0,0,0,-1,0,1,2,-1,0,
0,0,0,0,1,2,0,0,1,0,0,-3,1,0,0,0,0,0,0,0,0,0,0,0,1,2,0,0,0,0,
0,0,0,0,0,0,0,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,-4,-1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,2,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__consolas_bold_31_latin_ext_y[560]={ 23,1,1,3,0,1,1,1,0,0,1,7,17,13,
17,1,2,3,2,2,3,3,3,3,2,2,7,7,6,10,6,1,1,3,3,2,3,3,3,2,3,3,3,3,
3,3,3,2,3,2,3,2,3,3,3,3,3,3,3,0,1,0,3,26,1,7,1,7,1,7,1,7,1,0,
0,1,1,7,7,7,7,7,7,7,2,7,7,7,7,7,7,0,-2,0,11,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,23,7,0,2,3,3,
-2,1,1,2,2,8,13,13,1,2,1,4,1,1,1,7,1,11,23,1,2,8,1,1,1,7,-3,-3,-3,-3,
-3,-4,3,2,-3,-3,-3,-3,-3,-3,-3,-3,3,-3,-3,-3,-3,-3,-3,7,-1,-3,-3,-3,-3,-3,3,1,1,1,
1,1,1,-1,7,7,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,6,4,1,1,1,1,1,1,1,
-2,2,-3,1,3,7,-3,1,-3,1,-3,1,-3,1,-3,0,3,1,-2,2,-3,1,-3,1,3,7,-3,1,-3,1,
-3,1,-3,1,2,0,-3,-4,3,1,-3,1,-2,2,-3,1,3,0,-3,7,3,1,-3,1,3,1,7,-3,-4,3,
1,0,0,3,1,3,1,-3,1,3,7,-3,1,-1,3,7,-2,2,-3,1,-3,1,2,7,-3,1,3,7,-3,1,
-3,1,-3,1,2,7,-3,1,3,2,-3,0,3,2,-3,1,-2,2,-3,1,-4,-1,-3,1,3,7,-3,1,-3,1,
-3,-3,1,-3,1,-3,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-7,-5,-3,1,-3,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,2,7,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__consolas_bold_31_latin_ext_w[560]={ 0,5,11,17,15,18,18,5,10,10,14,15,9,11,
7,15,17,15,15,14,17,14,15,15,15,15,7,9,14,14,14,11,17,17,15,15,16,13,13,16,15,13,12,16,
14,17,15,17,14,18,16,15,15,15,18,17,17,17,15,9,15,9,15,18,11,14,14,13,14,15,16,16,13,14,
13,15,14,17,13,15,14,14,14,13,15,13,17,17,17,17,13,12,5,12,17,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,5,13,15,17,17,
5,15,14,17,11,15,14,11,16,13,13,15,11,11,16,15,15,7,5,11,12,15,18,18,18,11,17,17,17,17,
17,17,18,15,15,16,15,15,15,16,15,15,17,16,17,17,17,17,17,15,17,16,16,16,16,17,14,15,15,16,
15,15,15,15,17,13,16,16,16,16,16,16,16,16,15,15,16,16,16,16,16,15,15,15,16,15,15,17,14,17,
17,15,17,15,17,15,16,17,16,15,16,15,16,15,18,20,17,16,15,16,15,16,15,16,14,15,15,16,16,17,
16,17,16,17,16,17,16,15,17,15,15,16,15,16,15,16,14,14,15,14,15,15,14,14,16,15,15,16,16,14,
14,20,21,16,19,16,14,16,16,15,13,16,15,16,15,13,17,16,17,16,18,18,17,17,18,16,16,14,18,16,
16,16,16,15,15,13,16,15,15,15,16,20,15,15,16,15,16,15,16,15,16,15,18,18,15,14,17,17,17,17,
17,16,16,16,15,16,15,13,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,16,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,17,16,18,17,21,17,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,13,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15, };
static unsigned short stb__consolas_bold_31_latin_ext_h[560]={ 0,23,9,20,27,23,23,9,30,30,14,16,12,4,
7,26,22,20,21,22,20,21,21,20,22,21,17,22,18,10,18,23,29,20,20,22,20,20,20,22,20,20,21,20,
20,20,20,22,20,27,20,22,20,21,20,20,20,20,20,30,26,30,10,4,7,17,23,17,23,17,22,23,22,23,
30,22,22,16,16,17,23,23,16,17,22,17,16,16,16,23,16,30,32,30,8,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,23,27,21,20,20,
32,26,7,22,16,14,8,4,16,6,11,19,13,13,7,23,26,7,5,13,16,13,22,22,22,23,26,26,26,26,
26,27,20,26,26,26,26,26,26,26,26,26,20,26,27,27,27,27,27,15,28,27,27,27,27,26,20,23,23,23,
23,23,23,25,17,21,23,23,23,23,22,22,22,22,23,22,23,23,23,23,23,17,23,23,23,23,23,29,29,29,
25,22,26,23,27,23,27,23,27,23,27,23,27,23,26,24,20,23,25,22,26,23,26,23,27,23,26,23,27,29,
27,29,27,29,28,30,26,27,20,22,26,22,25,21,26,22,27,30,26,16,21,29,27,29,27,29,16,26,27,27,
29,23,23,20,22,20,22,26,22,27,23,26,22,24,27,23,26,22,27,23,27,23,22,17,26,22,27,23,26,22,
27,23,27,23,26,21,27,23,27,28,26,24,20,22,27,23,26,22,27,23,28,25,27,23,27,23,26,22,26,29,
26,26,22,26,22,26,22,22,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,26,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,30,29,26,23,30,27,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,28,23,27,28,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20, };
static unsigned short stb__consolas_bold_31_latin_ext_s[560]={ 509,505,32,478,52,257,434,499,50,115,393,
226,460,151,94,208,86,283,379,54,315,395,316,108,342,257,501,374,1,484,486,
1,323,124,142,480,176,193,207,1,221,237,287,251,268,158,299,35,439,472,422,
70,454,300,403,385,367,349,333,144,372,61,16,163,110,48,317,111,43,81,158,
37,496,478,154,153,104,193,242,141,145,402,211,97,225,34,157,175,256,332,274,
102,1,71,59,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,
410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,509,453,103,
241,90,442,7,413,122,86,288,377,44,151,300,137,470,470,436,448,77,27,106,
102,505,424,317,408,307,288,269,305,259,224,330,190,270,338,71,473,1,218,457,
356,388,288,254,185,19,168,150,83,356,374,320,361,405,116,1,444,461,36,496,
241,225,208,192,176,160,495,63,365,109,92,75,58,69,384,401,418,493,358,461,
444,427,410,393,125,355,339,322,306,290,257,308,186,1,326,312,176,202,143,237,
225,427,95,18,127,18,111,404,57,460,78,447,124,397,208,364,159,101,192,296,
243,303,275,269,221,133,168,439,126,122,411,1,137,54,219,463,348,489,236,478,
13,423,330,332,341,52,357,35,372,345,380,168,254,293,381,371,54,104,37,435,
201,18,67,276,322,253,40,493,276,429,141,150,20,392,1,119,16,17,169,286,
366,235,202,220,417,185,459,348,273,117,260,87,456,305,19,426,175,1,350,339,
191,35,475,388,479,68,126,134,290,439,207,70,239,88,139,53,156,464,173,186,
450,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,242,
410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,
410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,
410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,
410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,
410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,
410,410,410,84,204,277,491,28,491,410,410,410,410,410,410,410,410,410,410,410,
410,410,410,410,410,410,410,410,410,410,410,410,410,423,13,87,456,410,410,410,
410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,
410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,
410,410,410,410,410,410,410,410,410, };
static unsigned short stb__consolas_bold_31_latin_ext_t[560]={ 1,62,253,191,34,143,143,234,1,1,235,
235,235,253,253,90,167,214,191,167,214,191,191,214,167,191,214,167,235,234,214,
143,1,214,214,167,214,214,214,191,214,214,191,214,214,214,214,191,214,1,214,
191,214,191,214,214,214,214,214,1,62,1,253,253,253,235,143,235,143,235,191,
167,167,117,1,167,167,235,235,235,143,143,235,235,191,235,235,235,235,143,235,
1,1,1,253,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,
191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,1,143,34,
191,214,191,1,90,253,191,235,235,253,253,235,253,234,214,235,235,253,143,90,
253,234,235,235,235,167,167,167,143,90,90,90,90,62,34,214,62,90,62,62,
62,62,62,62,62,214,62,62,62,34,34,34,235,1,62,62,34,34,90,191,
143,143,143,143,143,143,90,235,191,143,143,143,143,167,167,167,167,117,167,117,
117,117,117,117,235,117,117,117,117,117,1,1,1,117,167,90,117,34,117,34,
117,34,117,62,117,34,117,62,117,191,117,90,191,90,117,90,117,62,117,90,
117,34,1,34,1,62,1,1,1,90,34,214,167,90,167,90,191,62,167,34,
1,62,235,191,1,62,1,62,1,235,90,34,34,1,143,117,214,191,214,167,
62,191,62,143,62,167,117,34,117,90,191,34,167,34,167,167,235,90,167,34,
143,62,167,34,143,34,143,90,191,34,117,34,1,62,117,191,191,34,143,62,
191,34,143,1,90,34,143,34,143,62,191,90,1,90,90,191,90,167,90,167,
167,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,90,
191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,
191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,
191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,
191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,
191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,
191,191,191,1,1,90,143,1,1,191,191,191,191,191,191,191,191,191,191,191,
191,191,191,191,191,191,191,191,191,191,191,191,191,1,143,34,1,191,191,191,
191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,
191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,
191,191,191,191,191,191,191,191,191, };
static unsigned short stb__consolas_bold_31_latin_ext_a[560]={ 273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_31_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_bold_31_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_31_latin_ext(stb_fontchar font[STB_FONT_consolas_bold_31_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_31_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_bold_31_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_31_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_31_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_31_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_31_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_31_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_31_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_31_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_31_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_31_latin_ext_s[i] + stb__consolas_bold_31_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_31_latin_ext_t[i] + stb__consolas_bold_31_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_31_latin_ext_x[i];
            font[i].y0 = stb__consolas_bold_31_latin_ext_y[i];
            font[i].x1 = stb__consolas_bold_31_latin_ext_x[i] + stb__consolas_bold_31_latin_ext_w[i];
            font[i].y1 = stb__consolas_bold_31_latin_ext_y[i] + stb__consolas_bold_31_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_bold_31_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_31_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_31_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_31_latin_ext_s[i] + stb__consolas_bold_31_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_31_latin_ext_t[i] + stb__consolas_bold_31_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_31_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_31_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_31_latin_ext_x[i] + stb__consolas_bold_31_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_31_latin_ext_y[i] + stb__consolas_bold_31_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_31_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_31_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_31_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_31_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_31_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_31_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_31_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_31_latin_ext_LINE_SPACING
#endif

