// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_33_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_33_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_33_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_bold_33_latin_ext_BITMAP_HEIGHT        292
#define STB_FONT_consolas_bold_33_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_bold_33_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_bold_33_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_bold_33_latin_ext_LINE_SPACING          22

static unsigned int stb__consolas_bold_33_latin_ext_pixels[]={
    0x2aa65553,0x5554c002,0x0000000a,0x3ffa2000,0x980001ef,0x8003cccc,
    0xaaaaa82a,0x33000aaa,0x00080000,0x004cc880,0x00330033,0x15300000,
    0x009aa980,0x35531000,0x2aaaaaa6,0xddddd11a,0x54007ddd,0x0fba62ee,
    0x017bb200,0x01bdd500,0x005eec80,0x7775c000,0xeeec8001,0xb1000000,
    0x0001bddd,0x2aa20000,0x00000019,0x20000000,0xdffb6ffd,0x7fffcc00,
    0x0001dc03,0x3a200166,0x0000dfff,0x0dffff98,0x9bffa200,0xfffffff8,
    0x6ffd802f,0x7fedc000,0xf70002ce,0xdff900bf,0x817ffa01,0x3f620efc,
    0x3fff2005,0x3fffee01,0x3f20000c,0xfffb4fff,0x3e2bffff,0x4fffffff,
    0x23bfea00,0x4003ffd8,0x005ffffc,0x1dffff30,0x3ffff200,0xffa80005,
    0x00bfff23,0x003fff60,0x3ffa2000,0xfb1000ef,0xd70003bf,0xbfffffff,
    0x98bff205,0x3e6005ff,0x3fe02fff,0xffffffff,0x2dffb4ff,0xf5006ffd,
    0xfb801bff,0xff30003f,0x7ff4400b,0x0099912f,0x07ffff30,0x5ffff700,
    0x3fffffe2,0x7fcc02ff,0xd88003ff,0x4fffffff,0x03ffe800,0x427fffc4,
    0xa82ffffa,0x3ff25fff,0xfff8803f,0x3ffee05f,0xe8000fff,0xfb4fffff,
    0x2bffffff,0xfffffff8,0x7ff4004f,0x000fffff,0x3ffbbfee,0x7ffcc005,
    0x5c00effd,0x05ffeeff,0x917fdc00,0xb0005fff,0x00001fff,0x04fffe88,
    0x3ffffe20,0xffd3000f,0xffffffff,0x33ffea09,0x3003fffd,0x05ffffff,
    0x3ffffffe,0xfb4fffff,0x01bff6df,0x200fbb66,0x003ffff8,0x00ffffcc,
    0x2a0deec8,0x7cc005ff,0x70001eff,0x3e27ffff,0x1cccceff,0x1ffffd40,
    0x3fffe200,0x04ffffef,0x007ffe20,0x709ffff3,0xf507ffff,0x7ffecdff,
    0xffff9804,0x3ff32606,0x7dc004ff,0x972cdfff,0x4bfff999,0xfffc9999,
    0x7ff4c004,0x2e001fff,0xffe88eff,0x5fff3004,0x5c03bff2,0xffe88eff,
    0x3ff20004,0x00bfff21,0x003fff60,0xfffe8800,0x87fd4002,0xffa803fe,
    0xffffffff,0x3ff604ff,0x3005ffff,0xfff57fff,0xffffff07,0x29ffffff,
    0xdffb6ffd,0x00599500,0x01ffffcc,0x02ffff88,0x07ffb000,0x00199880,
    0x87fffc40,0x8003fff8,0x000fffe8,0x2e0ffff4,0xf7002fff,0xffd001ff,
    0xffff103f,0x45ffd101,0xd000fff9,0x22007fff,0x2000fffe,0xf000ffff,
    0x7fdc0bff,0x9950004f,0xaaa80015,0x002aaa20,0x55506aaa,0x882aaa03,
    0xb0000aaa,0x7ffe41ff,0xfffd8002,0x2a600000,0xfb8000aa,0xf1013f26,
    0x337bffff,0xb809fb55,0x1003effe,0x66443999,0x4ffffc0c,0x09999999,
    0x3ff6dffb,0x3fffa206,0xff3000ef,0xffd003ff,0x4c40005f,0x000fffaa,
    0x0037fb22,0x44399300,0x10003fff,0xfc800177,0xbff900ef,0x00666200,
    0x9100e5c4,0x40544019,0x322000a8,0x7fd4002c,0xfff1001f,0x2fffc007,
    0x009fff70,0x00000000,0x00000000,0x8ffd0000,0x8002fffc,0x0000fffd,
    0x7cc00000,0x402ffcdf,0x402ffffc,0x00000018,0x0ffff000,0xfdb7fec0,
    0x2bbf206f,0x2a004ffa,0x7dc06fff,0xd70004ff,0x0dffffff,0x7ffff440,
    0x8800000f,0x00003fff,0x0fffcc00,0x001fff10,0x00000000,0x00000000,
    0x005fff10,0x800bffe6,0x3ee05fff,0xba8004ff,0xaaaaaccc,0x00aaaa62,
    0x5306aaa2,0x55555555,0xcba80155,0x2aaaaacc,0x7fee5440,0x5fff92cf,
    0xd8aaaaa0,0x99510fff,0x55553015,0x03555100,0x04ffffb8,0x017fffcc,
    0x32000000,0x7c000eee,0x3f6007ff,0x40dffb6f,0x017f64fe,0x207fffb0,
    0x8006fff9,0xffffffd8,0xf7003fff,0x40bfd55f,0xaaaaaaa9,0xff10aaaa,
    0x9750007f,0x55555599,0xb00bff90,0xcba807ff,0x2aaaaacc,0xa805554c,
    0x2aaa62aa,0x1aaa8802,0x2aaaaaaa,0x3fe2001a,0xfff5003f,0x2fffc003,
    0x009fff70,0x7fffff54,0x30ffffff,0xd801ffff,0x7fe43fff,0xffffffff,
    0xfffd501f,0xffffffff,0x3fffee01,0xff95ffff,0xffff905f,0x5c7ffec3,
    0x41ffffff,0x400ffff9,0x8803fffd,0xffc800aa,0xff90006f,0x7ffcc05f,
    0x007ffec5,0x801fffe0,0xdffb6ffd,0x7e5ffe40,0x7fcc003f,0xfffd80ff,
    0x7ffc4002,0xffffffff,0x24fd803f,0x3ff206fb,0xffffffff,0x07fff11f,
    0x7ffff540,0x0fffffff,0x1303ffe2,0x413fee62,0xffffffea,0x360fffff,
    0xfff00fff,0x07fffccf,0x44ffff60,0xffffffff,0x1fffc004,0x01fffa80,
    0xb817ffe0,0xf5004fff,0xffffffff,0x7f41ffff,0x3fe203ff,0x7ffe40ff,
    0xffffffff,0xfffffa81,0xffffffff,0x7ffff440,0xf95fffff,0xfffb85ff,
    0x67ffec2f,0xffffffff,0x01ffff41,0x641ffff1,0x3e602fff,0x3fff65ff,
    0xfff90002,0x2fffcc05,0x0003fff6,0x6c00ffff,0x0dffb6ff,0x04ffffd8,
    0x85fff900,0x8005fff8,0xa8bffffc,0x00ffffff,0x5fd877e4,0x3fffff20,
    0x11ffffff,0x2a007fff,0xffffffff,0x2e0fffff,0x3fff66ff,0x85ffadff,
    0xfffffffa,0x20ffffff,0xff00fffd,0x3fffe8ff,0x43fffe20,0xfffffff8,
    0x7ffc004f,0x3fff5003,0x02fffc00,0x1009fff7,0xb315ffff,0xb855bfff,
    0x3ee06fff,0xccca85ff,0xfffecccc,0x57fffc41,0xadfffd98,0xfffffc82,
    0xf95feffe,0x7ffd45ff,0xffffd82f,0xffffdeff,0x037ffdc6,0xfc8bfff7,
    0x3fe602ff,0x07fffa5f,0x13333331,0x3017ffe4,0xffd8bfff,0x7ffc000f,
    0xaaaaaaaf,0x36dffb0a,0x9a8806ff,0x3fe60000,0x17ffdc5f,0x3fffe200,
    0x3fffff21,0x7ffcc04f,0x32a02fff,0xfecccccc,0x7fff11ff,0x5ffff100,
    0x5bfffb31,0xfb3ffd85,0xf39fffff,0xffff88bf,0xdfffd98a,0x07ffec2a,
    0x7dc7fff8,0x3fee06ff,0x6e66645f,0x7c004fff,0xff5004ff,0x7ffc001f,
    0x13ffee05,0x20bffea0,0xf880fffe,0xffd00fff,0xffb0003f,0x2fffa83f,
    0x980fffe8,0xfb8cffff,0x3fff232f,0x07ffff12,0x87bffff6,0x221ffff9,
    0xfd00ffff,0xfffc83ff,0x97ffe602,0x7f40ffff,0x324fffff,0x3e602fff,
    0x7ffec5ff,0x7fffc000,0xffffffff,0x3f6dffb1,0x7fff406f,0x3fa0007f,
    0x3fffa0ff,0x7ffe4000,0x7fdfffc3,0xfffa806f,0x7ec0003f,0x7fff11ff,
    0x05fff500,0xff01fffd,0xfbfff51f,0x8dff39ff,0xfe82fffa,0xfffd80ff,
    0x88ffff00,0xfd00ffff,0xffb803ff,0x7ff4004f,0x1fff9007,0x02fffc00,
    0x9009fff7,0x3fee0fff,0x7fffb01f,0x00dfff10,0x907fff60,0x3fee0fff,
    0x5fffc81f,0xff903ff2,0x9fffd15f,0x0ffffec0,0x3627ffe4,0xff883fff,
    0x2fffc86f,0x457ffe60,0xffe87fff,0x3f24ffff,0x3fe602ff,0x07ffec5f,
    0x3ffffe00,0x1fffffff,0x3ff6dffb,0x3fffe206,0xf70001ff,0x3ffe25ff,
    0xfffe8005,0x7fdbfe60,0x133000ff,0xfffb0000,0x00fffe23,0x7dc1fff2,
    0xbffcc1ff,0x7ffd4ffd,0xffc8fff1,0x03fff707,0x3e01fffb,0xfffd87ff,
    0x06fff883,0x004fffb8,0x005fffe4,0x800dfff3,0x3ee05fff,0xffc804ff,
    0x1fffa80f,0x70dfff30,0x20007fff,0x7e41fffd,0xfffa80ff,0x23fffe81,
    0xfffc87fd,0x405fffda,0xf502fffd,0xfff98bff,0x83fffb86,0x2602fffc,
    0xfff15fff,0xfffffd0f,0x17ffe49f,0xd8bfff30,0x99730fff,0xdffff015,
    0x3ddddddd,0x7fedbff6,0x3fffee06,0xf50004ff,0x3ffe67ff,0x6fff8004,
    0xffda7fe4,0x9975102f,0x40001599,0xff11fffd,0xfff9007f,0x83fff501,
    0x3fff5ffb,0x3fe2bffa,0x407ffe47,0xfd81fffa,0xffff00ff,0x70dfff30,
    0xf7007fff,0xe88009ff,0xd74effff,0x003ffffd,0x2e05fff8,0xfb804fff,
    0x7ffd83ff,0x20ffff40,0x0000fffe,0xfb83fffb,0x7ffd83ff,0x741ffff0,
    0xefffc86f,0xfd806fff,0xfff300ff,0x83fffd0d,0xfc80fffe,0x3fe602ff,
    0x03fffe5f,0x324fff98,0x3e602fff,0x7ffec5ff,0xffffffc8,0x003fffc1,
    0xd800dffb,0x06ffffff,0x29fff300,0x4003fffa,0x7f46fff8,0x05fff91f,
    0xfffffffb,0xb0001bff,0x3fe23fff,0xfffb803f,0xc87ffd83,0x0fff9cff,
    0xdff33fff,0xd83fffb8,0xfffb07ff,0x41fffe01,0x7f41fffe,0xffb800ff,
    0xff50004f,0x3fff2bff,0xff8001cf,0x3ffee05f,0xffff8804,0x5fffd99c,
    0x327ffdc0,0x4000bfff,0x7c41fffd,0xfd99cfff,0xfff885ff,0x7e42ffc7,
    0x04ffffff,0x100fffd8,0xff70ffff,0x2fffcc9f,0x202fffc8,0x3fa5fff9,
    0x3fe601ff,0x0bfff24f,0x6c5fff98,0xffffdfff,0x3fe0ffff,0x3ff6007f,
    0x6fffc006,0x8000fffe,0xff75fff8,0xff98005f,0xc9ffe65f,0xfff83fff,
    0xffffffff,0xfffd8005,0x007fff11,0x339ffff1,0xf90bfffb,0x7cfff57f,
    0x45ff99ff,0x99cffff8,0xfb05fffd,0x3ffe01ff,0x49fff707,0x7005fff9,
    0x70009fff,0x32bfffff,0x002effff,0x2e05fff8,0xf7004fff,0xffffffff,
    0xfff8801d,0x00bfff27,0x81fffd80,0xfffffffb,0xfff00eff,0x213fe23f,
    0xfffbfffc,0x7ffec03f,0x0dfff300,0x7e4ffff1,0xfff902ff,0x2fffcc05,
    0x4c09fffb,0x3ff24fff,0x3ffe602f,0x7ffffec5,0x3ffffeef,0xd801fffe,
    0x3ea006ff,0x3fffcbff,0x2bfff000,0x4001fffc,0x3ee4fffa,0x0fffee4f,
    0x2a6af7fe,0x003ffffc,0xf88fffec,0xff7003ff,0xdfffffff,0xf55ffb01,
    0x23ffe2df,0xffb85ff9,0xefffffff,0x01fffb00,0x7c41fffe,0x3fff27ff,
    0x9fff7002,0xefffb800,0xff9310ab,0xff8007ff,0x3ffee05f,0xffff8804,
    0x00cfffff,0x3e5fffb0,0x6c0007ff,0x7fc41fff,0xcfffffff,0x4bfffe00,
    0xffc83ff9,0x1ffffaaf,0x403fff60,0xfb04fffa,0x1fffe5ff,0x202fffc8,
    0x3ee5fff9,0xff300fff,0x17ffe49f,0xd8bfff30,0x2e1effff,0x3ffe5fff,
    0x1bff6007,0xa8fffc80,0x88005fff,0xfff74fff,0xfffa8005,0xfc8bffa5,
    0x5c0282ff,0x6c004fff,0xfff11fff,0xffff1007,0x019fffff,0x3feebff6,
    0x3eefff36,0x7fffc44f,0x00cfffff,0x7c03fff6,0x3ff607ff,0x00ffff2f,
    0x0027ffdc,0x7c01bffa,0x7fc007ff,0x3ffee05f,0x8dffc804,0x4000abba,
    0xffadfffa,0x7ec0004f,0x6ffe41ff,0x800abba8,0xfa8efffd,0x2fffc82f,
    0x201ffffb,0xfb00fffd,0x3fea07ff,0x04fffadf,0x980bfff2,0x7ff45fff,
    0xfff980ef,0x80bfff24,0x7ec5fff9,0x7fcc1fff,0x01fffe6f,0x2006ffd8,
    0xfff16ffe,0xfff3000f,0x00fffea7,0x22dfff30,0x7ffe47ff,0xfff88001,
    0x7ffec006,0x007fff11,0x7751bff9,0xaffe8015,0xfff56ffa,0xff90bff2,
    0x0157751b,0x201fffb0,0x3ea07fff,0x4fffadff,0x13ffee00,0x009fff00,
    0x8003fff2,0x3ee05fff,0xfff804ff,0x3fa00003,0x00fffdff,0x0fffec00,
    0x8000fffe,0xfdfffff9,0xff94b99f,0x3fffa25f,0x01fffb06,0x403ffff3,
    0xfffdfffe,0x0bfff200,0x545fff98,0x9acfffff,0x324fffc9,0x3e602fff,
    0x7ffec5ff,0x7cffff02,0xaaaaafff,0xdffb1aaa,0x3e602662,0x3fff64ff,
    0x7ffd4002,0x009fff32,0xf76fff98,0x0fffd8bf,0x0dfff000,0x11fffd80,
    0xff007fff,0x3f60007f,0xfd7ffaaf,0xf03ffeff,0x6c0007ff,0xfff00fff,
    0xdfffe80f,0x2e000fff,0x7c004fff,0xff5003ff,0x7ffc003f,0x13ffee05,
    0x26ffffe0,0x3ee00019,0x005fffff,0x41fffd80,0x199bffff,0x7fffec00,
    0x96ffffff,0x7fcc5fff,0xfffd85ff,0x27fffd41,0x3ffffee0,0x7ffe405f,
    0x17ffe602,0x3ffffff6,0x24ffffff,0x2602fffc,0x7fec5fff,0x4ffff00f,
    0xffffffff,0xffb4ffff,0x2e1bff6d,0x3fee2fff,0x7fdc004f,0x0dfff11f,
    0xb1ffff00,0x7fff85ff,0x7ff764c0,0x4006ffff,0xff11fffd,0xffff007f,
    0x32003337,0xefff8bff,0x5ffeffff,0x99bffff8,0x3fff6001,0x80ffff00,
    0x5ffffffb,0x27ffdc00,0x00fffe00,0x000fffd4,0x3ff2bfff,0xffffffff,
    0x7fe41fff,0xefffffff,0xfff1002d,0x00005fff,0xfc83fffb,0xffffffff,
    0x7fec02de,0x6fffffff,0xfb85fff9,0x7fec3fff,0xffffeeff,0x7fc400ef,
    0x6402ffff,0x3e602fff,0xfff705ff,0xffffffff,0x017ffe49,0xfd8bfff3,
    0xffff00ff,0x7ffffffc,0xfb4fffff,0x21bff6df,0x7fcc7ffd,0x7ff4007f,
    0x00ffff47,0x3f3fff60,0x3ffea0ff,0xffffd305,0x0dffffff,0x11fffd80,
    0xf9007fff,0xffffffff,0x9ff705bd,0x3f7ffffa,0xfc80ffff,0xffffffff,
    0xfffb02de,0x01fffe01,0x5ffffff1,0x7ffffe40,0xffffffff,0x00fffe01,
    0x000fffd4,0x3ff2bfff,0xffffffff,0xffd81fff,0xffffffff,0xfffb005f,
    0x360000df,0xffd81fff,0xffffffff,0x7fed405f,0xf94fffff,0xfffb05ff,
    0x7fffec3f,0x0dffffff,0xdffffb00,0x05fff900,0x302fffcc,0xffffffdb,
    0x7ffdc17b,0x0fffea03,0x3e01fffb,0x3fffe7ff,0xffffffff,0x3f6dffb4,
    0x2fffc46f,0x800ffffc,0x7dc4fff9,0x7d4004ff,0x225fffff,0xf981fffe,
    0xeeeeffff,0x6c006fff,0xfff11fff,0x3fff6007,0xffffffff,0xf9affdc5,
    0x3dffb3ff,0x7ffffec0,0x85ffffff,0xff00fffd,0xfffb00ff,0xfffc80df,
    0xffffffff,0x3ffe01ff,0x3fff5003,0xcafffc00,0xffffffff,0x4c1fffff,
    0xeeeeffff,0x803fffff,0x003ffffa,0x83fffd00,0xeeeffff9,0x03fffffe,
    0x419eff88,0xe882fffc,0xffb0ffff,0x5dffffff,0xffffa800,0x3fffb803,
    0x00fffea0,0x500cd4c4,0x7dc09fff,0x7ffec2ff,0x00ffff00,0xfd8fffcc,
    0xa8dffb6f,0xffc83fff,0xfff9003f,0x0ffff883,0x7ffff400,0xfffea8bf,
    0x1bfffd05,0x800dfff0,0xff11fffe,0xfff3007f,0xfffddddf,0x3ffd47ff,
    0xf3002206,0xfddddfff,0xfd87ffff,0xffff00ff,0x7ffff500,0xfffffc80,
    0xffffffff,0x07fff101,0x007ffea0,0x0005fff8,0x03bffe20,0x01bfff22,
    0x001fffea,0x447fff80,0xc880efff,0xf9806fff,0x2000004f,0x0999fffd,
    0x3ffea000,0x9fff5007,0x017ffdc0,0x4c00ccc4,0x3fa07fff,0x7ffec1ff,
    0x00ffff00,0xfd8bffe2,0xc8dffb6f,0xaaaacfff,0x9806fffc,0xffb06fff,
    0xffa8009f,0xffffffff,0xffff00ff,0x0037ffc0,0xff89fffe,0x7ffc403f,
    0xfffc880e,0x0017ffc6,0x03bffe20,0x01bfff22,0x01bffe20,0x001fffea,
    0x205ffc80,0x3002fff8,0x7c005fff,0x4ccc05ff,0x17ffe400,0x80ffff10,
    0x003fffe8,0x8dfff500,0x2202fffc,0xfa807fff,0x2662003f,0x0fffd801,
    0xffe88000,0xfff3003f,0x0ffff40f,0x802ffec0,0x221dfffe,0xfd85fffd,
    0xffff00ff,0xb1bfee00,0x1bff6dff,0xffffffff,0x01ffffff,0x101fffe8,
    0x8003ffff,0xfffffffa,0xff300eff,0x3fff20ff,0x3ffea006,0x00fffe26,
    0x4405fff9,0x7fe47fff,0x7fe40005,0x3ffe202f,0xfffa8007,0x7fff4405,
    0xff500003,0x7ffd401d,0x7fff1001,0x02fffc00,0xd807fff1,0x3ea03fff,
    0x3f6205ff,0x814006ff,0x6c5fffd8,0x3ea03fff,0xffb805ff,0x17ff6002,
    0x003fff60,0xdfffb100,0xdfffe800,0x17fff621,0x801fffc0,0xfffffffa,
    0xd80fffff,0xfff00fff,0x3fff600f,0x7edbff60,0x3fffe66f,0xffffffff,
    0x3fee02ff,0x7ffdc04f,0xfffd8006,0xf804efff,0x3f623fff,0x88146fff,
    0x3e25fffd,0x7fec03ff,0x3ffea03f,0x027ffcc5,0x3fffd80a,0x017ffea0,
    0x80ffff20,0x006fffd8,0x80fffa00,0x000fffe8,0x4007fffe,0x3ea05fff,
    0x7fdc00ff,0x3ee61aff,0x33222fff,0x00fffffc,0x2af7fe20,0x40fffffd,
    0x21affffb,0x02ffffb9,0x2000ffc8,0xfd803fff,0x644000ff,0x0fffffcc,
    0x7fffd400,0xffffffff,0x0fff8800,0x3ffff200,0x02ffffff,0x3e01fffb,
    0xff9007ff,0xdffb3fff,0xffc9bff6,0xeeeeeeef,0xf505fffe,0x3f600dff,
    0x7fc005ff,0x20009aaf,0xfefffffe,0x226fffff,0xffdabdff,0x3fe20fff,
    0x21ccccef,0x21affffb,0x82ffffb9,0x88adfffe,0x3ee07eb9,0x2e61afff,
    0x6c02ffff,0xffffebab,0x3ff33220,0x00000fff,0x211bfff1,0x4ffffdc9,
    0x7fffdc00,0x999972ce,0x7dc0bfff,0xffe8806f,0xffffffff,0x7ffc43ff,
    0x4002ffff,0xfffffff8,0xfe883fff,0xffffffff,0xfb003fff,0x7ffc400f,
    0x0fffd800,0x7fffc400,0x90002fff,0xffffffff,0x3ea005ff,0xfe98006f,
    0x00cfffff,0x7c03fff6,0xfd1007ff,0xdffb3fff,0xffe9bff6,0x3fffcc07,
    0x00ffffd4,0x05fffe88,0x000dff30,0x7fffffcc,0x26ffcdff,0xfffffff8,
    0x7fc43fff,0x22ffffff,0xffffffe8,0x03ffffff,0xffffffb1,0x7440ffff,
    0xffffffff,0xe803ffff,0x4fffffff,0x7fffffc4,0x7c00002f,0xff76ffff,
    0x0001dfff,0x29fffffd,0xfffffffd,0x00fff605,0x7ffffec4,0x882effff,
    0x00dfffff,0xfffff880,0x2202efff,0xfffffffd,0x3a002eff,0x3fea006f,
    0x1fffb006,0xffff8800,0x4c0000df,0xcffffffe,0x0b32a000,0x01351000,
    0x403fff60,0x54007fff,0x2dffb2bb,0xfff16ffd,0x3ffff00b,0x00ffffc4,
    0x07fffa20,0x000fff20,0xdffffd30,0xf89bfee5,0xefffffff,0xfffff882,
    0x7ec42fff,0xffffffff,0xfffd802e,0x404fffff,0xffffffd8,0xd002efff,
    0x09ffffff,0x1bfffff1,0xff500000,0x3ffeedff,0x7dc0004f,0xfffb4fff,
    0x5c0bffff,0x5c4000cc,0x01accecc,0x000de76c,0x33b32a20,0x32e2002b,
    0x001accec,0x59950000,0x02aaa600,0x06f3b600,0x26a20000,0x00000000,
    0x00000000,0xb7fec000,0xfff76ffd,0x9fffb007,0x0001ffa8,0x2a007fd1,
    0x100000aa,0x54400155,0x402bcecc,0xaaaaaaaa,0x9d997100,0xa8800359,
    0x4002bcdc,0xacceccb8,0x6ee54001,0x33b600bc,0x4000001b,0x5531aba8,
    0x98800003,0x5555531a,0x00000355,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0xdffb6ffd,0x2003fff6,
    0x1a86fffb,0x001c4000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fedbff6,0x00000006,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x97000000,0x00f32e79,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x54c40000,
    0x000001aa,0x44000000,0x400000a9,0x002aaaa8,0x000006a2,0x20000000,
    0x00000019,0x20000000,0x00000aa9,0x20000000,0x03000601,0x0000000c,
    0x00000000,0x00000000,0x00015400,0x40099910,0xa8000019,0xffd10002,
    0x3fea003f,0x40000eff,0x3ba20601,0xff9101ee,0x0bffffff,0x7cc3ff90,
    0x17ffe45f,0x40bfff30,0xdfffffeb,0x7f440001,0xea800dff,0x7fec02ff,
    0xffffffff,0x4006ffff,0x202ffffd,0x223ffffb,0xffb1000e,0xfff9003b,
    0xffffffff,0x7fec00bf,0x01ffff00,0xc817fffa,0x17fe62ff,0x883bfa20,
    0x74401ffe,0x3ffa20ef,0x27fffdc1,0x3eebffd0,0x3fa03fff,0xffffff5f,
    0x7403bdff,0x80001fff,0x007ffffe,0x006ffd80,0x00bff500,0x447ffff7,
    0xffd8000e,0x7ff44006,0xb1001fff,0x0001dfff,0x7441dfd1,0x3ffe21ff,
    0xffffa82f,0x06ffffff,0xfdcfffa8,0x7ffe43ff,0x17ffe602,0x3fffff62,
    0x0002ffff,0x007fffd1,0x2017ffe4,0xfffffffd,0x6fffffff,0x37fff600,
    0x3fffea00,0x06ffdfff,0xffffff88,0x7fffe400,0xffffffff,0x81ffa005,
    0xfc80ffff,0x3ea00fff,0x3fffdcff,0x24fffc80,0x6405fffb,0x3fee4fff,
    0x7fffdc5f,0x2bffd00f,0x206ffffb,0xffff5ffe,0xdfffffff,0x03fffd01,
    0xffff8800,0x260001ff,0x0002ffff,0x5403ffd8,0xdfffffff,0x7cc006ff,
    0xd1002fff,0x5fff79ff,0x2fffdc00,0x27ffe400,0x7c4bfff7,0x7fc41fff,
    0xffffffff,0xfffb006f,0xff90bfff,0x7ffcc05f,0x7ffff445,0x3fffffff,
    0x77ff4400,0x7ffe4001,0x7fffec02,0xffffffff,0xffb006ff,0x7ff9007f,
    0x5ffffffb,0x3a1ff500,0x7ffe403f,0xffffffff,0x1bfe005f,0x4c0ffff8,
    0xd802ffff,0x05ffffff,0x5c9fff90,0x7e405fff,0x3ffee4ff,0x7ffffdc5,
    0x2ebffd03,0xd03fffff,0x3fffebff,0xffffffff,0x01fffe86,0x7fffdc00,
    0x260004ff,0x8003ffff,0x0fffaa98,0x7edffe40,0x002fffff,0x01ffffcc,
    0xb31776c4,0x6cc003bd,0x7e4004ee,0x3ffee4ff,0x07fffe25,0x415ffffb,
    0x2e004b98,0xf903effe,0x7fcc05ff,0x7fffdc5f,0xfffeb9ac,0x5554c007,
    0xfffc8000,0x4cccc402,0x999ffff9,0xcca80099,0x9832001c,0x7002dffd,
    0x2027e4df,0xfff99998,0x2009999f,0xeffffdca,0x07fffc3c,0x8013fffa,
    0x003effeb,0xe883bfa2,0x7f4401ff,0x07ffa20e,0x0ffffff7,0x7fdd7ffa,
    0xffd06fff,0x267fffeb,0x2ffffeca,0x000ffff4,0x3fffff60,0x7ec0006f,
    0x3ae000ef,0x06ffffff,0x7fecc190,0xffb0002d,0x0000001d,0x74400000,
    0x3ffa20ef,0x20ffffc1,0x0001ffff,0xfff90000,0x2fffcc05,0x105ffff1,
    0x0007ffff,0xaa82eeb8,0xacfffdaa,0x7c01aaaa,0x00000fff,0x40000000,
    0x2ffcdff9,0x0ffff800,0xffffe980,0x7c7fffff,0x3ff20fff,0x000000ef,
    0x00020180,0xffb80403,0xfe83ffff,0xfffff75f,0x2bffd07f,0xfff07fff,
    0x1fffe89f,0x6fffc000,0x0000fffe,0xfb10014c,0xffffffff,0x00000007,
    0x44000530,0x440000a9,0x030000a9,0x0ffff804,0x003fffe2,0x26aa2000,
    0x02fffc81,0xfc97ffe6,0x3fee04ff,0x7fc0006f,0xfffff81f,0xffffffff,
    0x7fffc05f,0xeeee8800,0x0003eeee,0x3fee0000,0xff0004ff,0xff9801ff,
    0xffffffff,0x87fffc7f,0x001ffff9,0x0000a988,0x000054c4,0xffff7000,
    0xbffd0dff,0x3fffffee,0xff5ffe87,0x3fff20ff,0x00ffff46,0x97fff500,
    0x80007fff,0x22019aa8,0xffffffff,0x2003ffff,0x00000a98,0x5c006aa6,
    0x1dfffffe,0x3fffae00,0x00001dff,0x207fffc0,0x0004ffff,0xfffffd70,
    0x3ff25bff,0x3ffe602f,0x807fffa5,0x000ffff8,0x3e0dff30,0xffffffff,
    0x405fffff,0x8800ffff,0xffffffff,0x17ffe404,0x00bfff30,0x40001551,
    0x7400ffff,0xffdcffff,0x7ffc7dbb,0x07fffd0f,0xffffeb80,0x3ae001df,
    0x01dfffff,0x980bfff2,0xfff75fff,0xfe85fff9,0xf9fff75f,0x5ffe87ff,
    0x3ea0ffff,0x7fff45ff,0x3ff20001,0x05fffa8f,0xffffeb80,0x7e42dfff,
    0xffa8bfff,0x5c00ffff,0x1dfffffe,0x7ff6cc00,0x880dffff,0xfffffffd,
    0x7ec402ff,0xffffffff,0x3ffff202,0xffffffff,0xd03fffe5,0x005dffff,
    0x3ffffa60,0x94ffffff,0x7cc05fff,0x1fffe5ff,0x007fffa0,0x7ff6e54c,
    0xfd999903,0x99999bff,0x0ffff807,0xfffff880,0x7e404fff,0x3fe602ff,
    0x7fff405f,0xfff0007f,0x7ffcc01f,0x401ffb0f,0xffb8ffff,0x3f62006f,
    0xffffffff,0x7ffec402,0x02ffffff,0x4c05fff9,0xfff75fff,0xfe8dfff3,
    0xf1fff75f,0x5ffe8fff,0x3f20ffff,0x7fff44ff,0x3ffa0001,0x00ffff16,
    0x7fffff4c,0x224fffff,0x3f21ffff,0x104fffff,0xfffffffb,0x3ee005ff,
    0xffffffff,0x7fffc40f,0xffffffff,0xfffff103,0x7fffffff,0x3fffff20,
    0x5fffffff,0xf503fffa,0x17dfffff,0x3fffea00,0xffffffff,0x405fff94,
    0xff15fff9,0xfffd00ff,0xfffe9805,0x9004ffff,0x20005fff,0x3000ffff,
    0x9fff9333,0x02fffc80,0x8817ffe6,0x01ffffff,0x00ffff80,0xfe97ffee,
    0x4ffffc07,0x1000ffff,0xffffffff,0x2207ffff,0xffffffff,0xfc83ffff,
    0x3fe602ff,0xb1fff75f,0x7ff43fff,0xf71fff75,0xafff47ff,0x7e447fff,
    0x7ff40fff,0xff30001f,0x17ffec9f,0x7ffffd40,0x4fffffff,0xff0ffff2,
    0x10dfff7f,0xffffffff,0x4407ffff,0xfffffffe,0x7e40ffff,0xfb99cfff,
    0xff907fff,0xff7339ff,0x3ff20fff,0xffffffff,0x1fffa5ff,0x7fffffe4,
    0x3e200dff,0x99bdffff,0xff94fdaa,0x7ffcc05f,0x00dfff35,0x5c07fffb,
    0xffffffff,0xffc803ff,0xfff0002f,0x3ee0001f,0x7fe404ff,0x3ffe602f,
    0x3fffee05,0xff8004ff,0x3fea00ff,0x80dff0ff,0xfffeffff,0x3fff2002,
    0xfffb99cf,0xffff907f,0xffff7339,0x05fff90f,0xfbafffcc,0x5fff98ff,
    0x7fdd7ffa,0x74ffff0f,0xdffff5ff,0x5ffffffd,0x003fffd0,0xb8bffee0,
    0x7c404fff,0x99bdffff,0x3fa4fdaa,0x5bfe60ff,0x7e40ffff,0xfb99cfff,
    0x3f207fff,0x99abefff,0x3fe20fdb,0xfff882ff,0x7fffc43f,0x3ffff882,
    0xff999988,0x209999ff,0x3ee07ffe,0xffffffff,0x5ffff903,0xfff91880,
    0xafffcc05,0xc806fffa,0xff303fff,0xfffd9dff,0xffc807ff,0xfff0002f,
    0x3ee0001f,0x7fe404ff,0x3ffe602f,0x3ffff605,0xff8006ff,0x3fe200ff,
    0x05ffcfff,0x7ffffffc,0xfff1002f,0xffff105f,0x2ffff887,0x43ffff88,
    0x2602fffc,0xfff75fff,0x743fff61,0x1fff75ff,0x7f4fffee,0xffffff5f,
    0x2019ffff,0x0001fffe,0xff98fffb,0x7ffe407f,0xff0c402f,0xb4ffc8df,
    0x7fc45fff,0xfff882ff,0xffff883f,0xff90200d,0x7ffdc09f,0x027ffe46,
    0x200dfff7,0x3a00ffff,0x75c407ff,0x2fffffff,0x017fffcc,0x80bfff20,
    0xff55fff9,0xfffb00df,0x93fff605,0x0fffffff,0x00bfff20,0x007fffc0,
    0x04fffb80,0x3017ffe4,0x7fc0bfff,0x00fffedf,0x007fffc0,0x3ffffff6,
    0x3ffe00df,0x00ffffcf,0x204fffc8,0x7e46fffb,0x3fee04ff,0x17ffe46f,
    0x2ebfff30,0xfff50fff,0x7dd7ffa9,0x3fffe0ff,0xfff5ffe8,0x3dffffff,
    0x00ffff40,0x42fffc40,0xf301ffff,0x88005fff,0x7ff46fff,0x645fff91,
    0x3ee04fff,0xfffc86ff,0xfffe8006,0x3fffe201,0x807fffa0,0x800ffff8,
    0x3600ffff,0x326007ff,0x647fffff,0xc8006fff,0x3e602fff,0xffff35ff,
    0x03fffb00,0x7d4dfff3,0x02fffcdf,0x000bfff2,0x0007fffc,0x404fffb8,
    0x2602fffc,0xff505fff,0x07fff97f,0x00ffff80,0x7fffff44,0xff80cfff,
    0x5fffe8ff,0x01fffe80,0xe83fffe2,0x3e201fff,0x3ff20fff,0x3ffe602f,
    0x741fff75,0x5ffe8fff,0x7dc1fff7,0xf5ffebff,0xffd73fff,0x3ffa01ff,
    0xffa8001f,0x3fffc83f,0x00dfff90,0x4cbfff30,0x3fff27ff,0x807fffa3,
    0x7c0ffff8,0xf8003fff,0xffe807ff,0x01fffe1f,0x2007fffa,0x3600ffff,
    0xe88006ff,0x3f61ffff,0xfc8002ff,0x3fe602ff,0x0ffff15f,0x701fffd0,
    0x7fec5fff,0x203fff8b,0x0002fffc,0x0001ffff,0x9013ffee,0x7cc05fff,
    0xfff905ff,0x00bfff51,0x000ffff8,0xfffffff7,0xffff87ff,0x02ffff98,
    0x7403fffc,0x3ffe1fff,0x1fffe807,0x980bfff2,0xfff75fff,0x75fffdc1,
    0x1fff75ff,0xffeffff8,0xfe8ffff5,0xfffd05ff,0xfff90003,0xff955559,
    0x3fff60df,0xfffa8002,0xfb93fee4,0x1fffe3ff,0x987fffa0,0x88007fff,
    0xfe807fff,0xffff12ff,0x05fffd00,0x401ffff0,0x30006ffd,0x7f45ffff,
    0x4ccc41ff,0xfff70999,0x27ffd407,0x4405ffff,0xff907fff,0x43ffe21f,
    0x3f205fff,0xff0002ff,0x2e0001ff,0x7e404fff,0x3fe602ff,0x2dffd05f,
    0x4007fff8,0x2000ffff,0xffffffb8,0x3fffe3ff,0x01ffff90,0x201fffe2,
    0xff12fffe,0xfffd00ff,0x017ffe45,0x3eebfff3,0x77ffc0ff,0xfff75ffe,
    0xfffffb81,0x88ffff5f,0xfe81ffff,0xff8001ff,0xffffffff,0xfe80ffff,
    0x4ccc41ff,0xfff50999,0xf917ff4b,0x3ffe25ff,0x2fffe807,0x001bffea,
    0x201bffe6,0xff33fffd,0xfffb00df,0x1ffff007,0x0037fe40,0x7c3ffff0,
    0x7ff40fff,0xff54ffff,0x7ffdc09f,0x813fff63,0xfb04fffb,0x97fea1ff,
    0x3f207ffe,0xff0003ff,0x2e0001ff,0x7e404fff,0x3fe602ff,0x4fff985f,
    0x800bfff6,0x8000ffff,0xffffffff,0x21ffff0f,0x305ffff8,0xfb00dfff,
    0x3ffe67ff,0x3fffd806,0x980bfff2,0xfff75fff,0xfffffc81,0x01fff75f,
    0x2bffffff,0xffd87fff,0x1fffe85f,0x7fffcc00,0xffffffff,0xffff82ff,
    0x7fffff40,0x2dfff34f,0x7fe47ff8,0x0dfff31f,0x5c7fffb0,0xa8005fff,
    0xfc806fff,0xdfff53ff,0x07fff900,0x401ffff0,0x00442aa9,0xf13fffd4,
    0xfffd0fff,0x3fe69fff,0x3fffa07f,0x0bfffea1,0x407fffe6,0xffb0fffd,
    0x7037ffc5,0x2000bfff,0x0000ffff,0xc809fff7,0x3e602fff,0xfffb85ff,
    0x013ffee2,0x000ffff8,0xfff75ff8,0x83fffe5f,0xa83ffffa,0xfc806fff,
    0xdfff53ff,0x47fff900,0x2602fffc,0xfff75fff,0xfffff881,0x01fff75f,
    0x2bfffff7,0xff987fff,0x7fff41ff,0x7ffe4001,0xeeeeeeee,0x7fc45fff,
    0xffffe87f,0xdfff34ff,0xffb17fee,0x1bffea1f,0xc8ffff20,0x98005fff,
    0xfd806fff,0xdfff32ff,0x05fffb00,0x001ffff0,0x26afbea0,0xffffc999,
    0x21fffe25,0x4ffffffe,0x8877fffa,0xff86fffd,0xfbaacfff,0x3ee05fff,
    0x0fff89ff,0x540bfff1,0x0082ffff,0x0007fffc,0x404fffb8,0x2602fffc,
    0xffd85fff,0x83fffcc7,0xfff99998,0x4009999f,0x3ffa4ff9,0x81ffff4f,
    0x4c0ffffd,0xfd806fff,0xdfff32ff,0x45fffb00,0x2602fffc,0xfff75fff,
    0xfffffb01,0x403ffeeb,0xff5fffff,0x3fffa0ff,0x55ffff44,0x42aaaaaa,
    0x7cc07ffe,0x7ffc47ff,0xfffffe87,0x23fffe4f,0x7ffc2ffd,0x01bffe67,
    0xfc8bfff6,0xf88005ff,0xffd807ff,0x0ffff11f,0x003fffb0,0x4401ffff,
    0x7ffd40cb,0xffffffff,0x7fffc0ff,0x93ffe600,0xfffffffa,0x981fffff,
    0xffffffff,0x2a00efff,0x5ffabfff,0x8813ffea,0xeeffffff,0x7fffc05f,
    0xfff70000,0x2fffc809,0x117ffe60,0xfff0bfff,0xffff903f,0xffffffff,
    0x23ffa80b,0xfff2fffd,0xffff881f,0x03fffc46,0xf88fffec,0xffd807ff,
    0x0bfff21f,0xf75fff98,0xfff301ff,0x3ffeebff,0xbffff700,0x7d41fffe,
    0x3ffa0fff,0xffffffff,0xbfff10ff,0x83ffff00,0x2600ffff,0x3ff64fff,
    0x2a0fffcf,0x3fe25fff,0xfffd807f,0x01bffee1,0x01fffe20,0x7c43fffa,
    0xffe807ff,0xffff800f,0x1fffd100,0x7fffffd4,0x81ffffff,0x2601fffe,
    0x7fe44fff,0xffffffff,0x3fffea02,0x00efffff,0x7ef7ffc4,0x07fffa2f,
    0xffffff70,0xfff80bff,0xff70000f,0xfffc809f,0x17ffe602,0xf907fff5,
    0xfff907ff,0xffffffff,0x3ee0ccbf,0x1ffff32f,0x2e03fffe,0x3e23ffff,
    0xffe807ff,0x0ffff10f,0x641fffd0,0x3e602fff,0x1fff75ff,0x57ffff60,
    0x3e00fffb,0xffff5fff,0xd27fffc0,0xffffffff,0x3ee1ffff,0xffd803ff,
    0x0ffff44f,0x549fff30,0x25ffffff,0x221fffe8,0xfe807fff,0x3ffea0ff,
    0xffff0007,0x3fffc403,0x8807fffe,0xff007fff,0x3fea01ff,0x3ff663ff,
    0x2effffff,0x813fff60,0xda84fff9,0x0cffffff,0xffffc880,0xfd000bef,
    0xb11fffff,0x2a00bfff,0x4ffffffe,0x007fffc0,0x04fffb80,0x501fffdc,
    0xffc87fff,0xfcaaaacf,0xfffc86ff,0xffffffff,0x337ff25f,0xfffdcffd,
    0x03fffe5f,0xf0fffff4,0x7c403fff,0x7fffc7ff,0x1fffe201,0x5407fff7,
    0xfff73fff,0x3fffea01,0x401fff75,0xfff5fffb,0x7fffdc0f,0xffffffd0,
    0x21ffffff,0xb800fffd,0x7fec6fff,0x3ffe604f,0x7fffff44,0x5fffea8b,
    0x201ffff8,0x7cc7fff8,0xd8002fff,0x3ee04fff,0x7ffec5ff,0x17ffee04,
    0x807fffc0,0x103ffff9,0x20033533,0x300ffffb,0xfb809fff,0xfd0001ff,
    0xfd1000ff,0xffffffff,0x988003ff,0x000001aa,0x027ffdc0,0xb813ffea,
    0x7ffc2fff,0xffffffff,0x98000fff,0x3ff21fff,0xffffffff,0x00000eff,
    0x204fffd8,0x7ec5fffb,0x3fee04ff,0x27ffd45f,0x005fff70,0x3e600000,
    0x000004ff,0x36000000,0xfffb84ff,0x9fff300f,0xffffffa8,0x80ffffff,
    0x2e04fffd,0xfff85fff,0xff98006f,0xfff982ff,0x7fffcc1f,0x1ffff982,
    0x01ffff00,0x88037fec,0xffd00199,0xfff301df,0x03ffe809,0x0bfff600,
    0xffff1002,0x03dfffff,0x000ccc40,0x0000ccc4,0x9809fff7,0x3fa07fff,
    0x3ffe61ff,0xffffffff,0xe8002fff,0x7ffe43ff,0xffffffff,0x1998800c,
    0x5ffff300,0x83ffff30,0x982ffff9,0x7cc1ffff,0x3ffa07ff,0x0ccc401f,
    0xfff70000,0x00ccc407,0x00099980,0x81bff200,0x980efffe,0xffa84fff,
    0xefffffff,0x5ffff300,0x03ffff30,0x01bffff5,0x3fffa04c,0xfffbaacf,
    0xffffd05f,0xffff7559,0x7fffc00b,0xb000cc00,0x3ea00bff,0x99acffff,
    0x2e04fffc,0x5c0007ff,0xda9bffff,0x7ffcc00f,0x000cefff,0x4002ffec,
    0x20005ffd,0xe804fffb,0x3621dfff,0x7fe45fff,0xeeeeeeef,0x4005fffe,
    0xca887ffb,0xbcefffed,0x17ff6000,0xcffffe80,0x5ffffbaa,0x59ffffd0,
    0x0bffff75,0x8877fffa,0xd805fffd,0x100005ff,0x6c05fffd,0xf88005ff,
    0x100003ff,0x7d405fff,0x99acffff,0xfb04fffc,0x09dfffff,0x59ffffd0,
    0x0bffff75,0x67fffff4,0x40feca9b,0xfffffffa,0x500fffff,0xffffffff,
    0x2201ffff,0xffff9999,0x00009999,0xb001fffc,0xffffffff,0x6409ffff,
    0x00011fff,0xffffffd1,0xffb809ff,0x200009ad,0xf8003fff,0x2e0003ff,
    0xfa804fff,0xffffffff,0x7ff40fff,0x3fffcc07,0x47fff200,0x009ff300,
    0x001fffc0,0xfffffff5,0x201fffff,0xfffffffa,0x500fffff,0xffffffff,
    0xf001ffff,0xa80007ff,0x406ffffd,0xa8003fff,0x00000fff,0x4027fff3,
    0xfffffffd,0xf04fffff,0x001355ff,0x7fffffd4,0x00ffffff,0x3fffffe6,
    0x80ffffff,0xfffffff9,0x7cc00eff,0xffffffff,0x3fff200e,0xffffffff,
    0x3e20005f,0x7dc000ff,0xffffffff,0x3fee04ff,0x30002fff,0xffffffff,
    0x01ffe80d,0x0fff8800,0x07ffc400,0xfffffc80,0xffffffff,0xfffffc81,
    0x442fffff,0xff805fff,0x3ee001ff,0xf502ffff,0x3e20007f,0x7cc000ff,
    0xffffffff,0x7ffcc00e,0x0effffff,0x7ffffe40,0x802fffff,0x0000fff8,
    0x0ffffff4,0x001fff10,0x000dff70,0x7ffffc40,0x3fffee05,0x4fffffff,
    0x0006ff98,0x7fffffcc,0x8800efff,0xfffffffe,0xdb100fff,0x009dffff,
    0x7ffff6c4,0xfffc804e,0xffffffff,0x3ea0005f,0xdb30006f,0x7bffffff,
    0x7fff4401,0x2e20002f,0x402dfffe,0x00007ff9,0x5000dff5,0x7e400dff,
    0xffffffff,0xd301ffff,0x19ffffff,0x007fff70,0x4009fffb,0x02ffffe8,
    0x20003ff7,0x10006ffa,0x9dffffdb,0x7ff6c400,0x26004eff,0xcffffffe,
    0x0dff5000,0xdfffd000,0x06ffa803,0x007ffb00,0xffffc800,0x7ff6cc05,
    0x80bdffff,0x80003ffc,0xeffffed8,0xffdb8004,0x002dffff,0x80001331,
    0x32000998,0xffffffff,0x0005ffff,0x0000b32a,0x00066a62,0x0002aeea,
    0x55440000,0x99500001,0x59950005,0x7fffe400,0xffffffff,0x09a8801f,
    0x007ffec0,0x0037ffdc,0xc8055dd4,0x950000ff,0x31000059,0x98800013,
    0x54400009,0xcca80009,0xbcc80002,0x05995001,0x00332e00,0x2b2a6000,
    0x26a62001,0x00aaa801,0x04cc4000,0x09988000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00001980,0xb0000c03,
    0x1007ffff,0x0003fffd,0x00000033,0xaaaaa980,0x22001aaa,0xff54fffe,
    0xfd1007ff,0x3ffea9ff,0x0300c03f,0x00015400,0xfff50000,0x800001df,
    0x01efffe8,0x01fffe88,0x55555530,0x00000355,0x3fffa200,0xffd80001,
    0x300c03ff,0x4ffe8800,0x4403bfee,0x3fee4ffe,0xffb0000e,0x744007ff,
    0x44001fff,0x8001fffe,0x0330002a,0x003bbb20,0x3ffffb80,0x3a2003a2,
    0x3ffa20ef,0x7ffec001,0xffe8801e,0xf7001fff,0x07447fff,0x7fff6440,
    0x3f201def,0x5fffffff,0x4bfffa00,0x000efffb,0x3ee5fffd,0x3a200eff,
    0x3ffa20ef,0x77fec001,0x8bff2000,0xb1005ff9,0x0001dfff,0x13fffa20,
    0x7ffff440,0xfffc801f,0x005fffff,0x7fff6cc0,0x3fffa204,0x360001ff,
    0x2201efff,0x3fa20efe,0x3fa2001f,0x00effdef,0x7ef7ff44,0xfb0000ef,
    0x44003dff,0x01fffffe,0xfffffd10,0x77fec003,0xffff7000,0xffb07447,
    0x3ea0001f,0xfdffffff,0xfffc806f,0x017ffee4,0x004fffd8,0xff79ffd1,
    0xfffa805f,0x6ffdffff,0x7ffffe40,0x3202ffff,0xffffffff,0x3dffb005,
    0x800fffee,0xff71effd,0xfff9007f,0x02fffdc9,0x07ffff30,0x6e7ffd40,
    0x5c003fff,0x80005fff,0x002fffe8,0xff79fff3,0xfffc805f,0x005fffff,
    0x3fffff20,0x9ffd105f,0x0005fff7,0x9009fffb,0x7fdc9fff,0x7ec4005f,
    0x1000efff,0x01dffffb,0x13fff600,0x79fff300,0xe8805fff,0x2fffbcff,
    0x3ffff980,0xfffffa80,0x366ffdff,0x90000fff,0xffffb7ff,0xff9005ff,
    0x2fffdc9f,0x02eeeb80,0x4c5ddb10,0x3f201ded,0xfffffdbf,0x3fff202f,
    0x2fffffff,0x2aaaaa60,0xeb801aaa,0x3bdd50ce,0x86775c00,0x9001deea,
    0x7fdc9fff,0x3fe6005f,0x7ec003ff,0x005fffff,0x009ddb30,0x00deed80,
    0x4c5ddb10,0x2a601dee,0x1aaaaaaa,0xffff7000,0xdb10bfff,0x0ef6cc5d,
    0x05ddd700,0xb93fff20,0xb0005fff,0xb0001bdd,0x20001bdd,0x4002eeeb,
    0x3a62eed8,0xddb101de,0x00ef6cc5,0x00ffffe6,0x3ff6fff2,0x3f62ffff,
    0x320000ff,0x0b7ff660,0x1077f440,0x00003ffd,0x64000000,0x0b7ff660,
    0x0bffff88,0x00000dcc,0x00000000,0xefe88000,0x007ffa20,0x001dffb0,
    0x07dffd70,0x00000000,0x00000000,0xff100000,0x03335bff,0x00000000,
    0x441dfd10,0x00001ffe,0x00000000,0x00000000,0xffb00000,0x9832001d,
    0x7ec2dffd,0x000000ff,0x0100c000,0x1aaa9880,0x00000000,0x37ffd400,
    0x00000000,0x00002a62,0x80600000,0x00a60000,0x00000000,0x2aa60000,
    0x2aa60001,0x054c4001,0x3ffea000,0x55310006,0x00000035,0x00004030,
    0x4001aa98,0x001aaa98,0x0000a988,0x00335510,0x05300000,0xffb00000,
    0x0000001f,0x88000000,0xfffffffc,0x2fffc85f,0x017ffe60,0x7ffcc000,
    0x3ff2001f,0x3ffe602f,0x3fffae05,0xfc801dff,0x3fe602ff,0x0000005f,
    0x00000000,0x80bfff20,0x4c05fff9,0xffffffed,0x7f6cc00d,0x00dfffff,
    0x3fffffae,0xffc8001d,0x3f22003f,0x5fffffff,0x202fffc8,0x0005fff9,
    0x7f6cc000,0x00dfffff,0xffffff91,0xfd700bff,0x003bffff,0xfffffeb8,
    0xfff82dff,0xffffffff,0x00000004,0x887ffec0,0xd000acca,0x800fffff,
    0xffffffff,0xfa84ffff,0xffffffff,0x2fffc86f,0xb97ffe60,0x3a04ffff,
    0x7ffc45ff,0xff9002ff,0x7ffcc05f,0xffffd885,0x402fffff,0x2602fffc,
    0xffc85fff,0xfffb806f,0x7fffffc4,0xffffffff,0x7ffff402,0x5fff9007,
    0x02fffcc0,0xfffffff7,0x7dc01fff,0xffffffff,0xfffd880f,0x02ffffff,
    0x007fff40,0xffffffa8,0xfc86ffff,0x3fe602ff,0x7fff405f,0xff70007f,
    0xffffffff,0xfffff501,0x40dfffff,0xffffffd8,0xe9802fff,0xffffffff,
    0xffff84ff,0x4fffffff,0x7fffffe4,0x45ffffff,0xfffffffc,0xfb5fffff,
    0xffff71ff,0xff8803ff,0x2001ffff,0xffffffff,0x7c44ffff,0xffffffff,
    0xfffc86ff,0x97ffe602,0x00fffffb,0xfe88bffd,0x401effff,0x2602fffc,
    0x7fc45fff,0xffffffff,0x3ff203ff,0x3ffe602f,0x1ffff885,0x03fffe20,
    0xffffffff,0x05ffffff,0x7fffffc4,0x2fffc801,0x217ffe60,0xffffffe8,
    0x880fffff,0xfffffffe,0x7c40ffff,0xffffffff,0x3e003fff,0xff1007ff,
    0xffffffff,0x5fff90df,0x02fffcc0,0x3ffffff1,0x7fff4400,0xffffffff,
    0x7ffffc40,0x06ffffff,0xfffffff1,0x407fffff,0xfffffffa,0xf84fffff,
    0xffffffff,0x7ffe44ff,0xffffffff,0x7fffe45f,0xffffffff,0xff9fffb5,
    0x03ffffff,0x7fffffdc,0x3fffe004,0xffffffff,0x57fffec4,0x3212e620,
    0x3e602fff,0x3ffee5ff,0xbffd03ff,0x7fffff44,0xf900cfff,0x7fcc05ff,
    0x7fffe45f,0xffffb99c,0x0bfff207,0x905fff98,0x7e40bfff,0xffff84ff,
    0xffffffff,0x3fee02ff,0xc804ffff,0x3e602fff,0xfffc85ff,0xdb99abef,
    0xffffc80f,0xfdb99abe,0x67fffe40,0x7ffffb99,0x01bffe00,0x057fffec,
    0xff909731,0x7ffcc05f,0x3fffee05,0x3f2004ff,0x99abefff,0x7fec0fdb,
    0x2e620aff,0x9ffff904,0xfffff733,0x3ffffe20,0xfdaa99bd,0x99999984,
    0x644fffb9,0xffffffff,0x7e45ffff,0xffffffff,0xfffb5fff,0xfffbdfff,
    0x7ffec0df,0x3e006fff,0x99999fff,0x7ffc0999,0xffc8001f,0x3ffe602f,
    0x3ffffee5,0x6cbffd07,0xffffefff,0xffc81eff,0x3ffe602f,0x0bfffe25,
    0x40ffffe2,0x2602fffc,0xff105fff,0xfff103ff,0x9999901f,0xffff9999,
    0x7ffec01f,0xfc806fff,0x3fe602ff,0x7fffc45f,0x3e20200d,0x0200dfff,
    0x105ffff1,0x1007ffff,0x3e00bfff,0xc8001fff,0x3e602fff,0x3ff605ff,
    0x1006ffff,0x401bffff,0x01ffff80,0x2ffff880,0x83ffff88,0x402ffffc,
    0x7fdc0018,0x4cccc44f,0x9999ffff,0x7ccccc40,0x09999fff,0x43dffffb,
    0xf01ffff9,0x1fffdbff,0x01fffe00,0x01ffff10,0x05fff900,0xf72fffcc,
    0xd07fffff,0x3ffe6bff,0xffffc88f,0x7ffe41ff,0x97ffe602,0x2e04fffc,
    0xff906fff,0x7ffcc05f,0x17fff205,0x0013fff2,0x017fffd4,0x3ffb7ffe,
    0x7ffe400f,0x17ffe602,0x000dfff9,0x001bfff2,0xb813fff2,0xfff86fff,
    0xffffffff,0x7ffc46ff,0xffc8000f,0x3ffe602f,0x3b7ffe05,0xfc800fff,
    0xf88006ff,0xc8000fff,0x3ee04fff,0x7ffcc6ff,0x7000002f,0xff009fff,
    0xff0001ff,0x3ff601ff,0xfffc81ff,0xcbfffa84,0xff003fff,0xfff000ff,
    0xff90009f,0x7ffcc05f,0x3ffffee5,0x75ffe86f,0xfe98bfff,0x3f20efff,
    0x3fe602ff,0x07fffa5f,0x80ffff88,0x2602fffc,0x3e205fff,0x3fe21fff,
    0xe88000ff,0x7d405fff,0x3fffcbff,0x017ffe40,0xff8bfff3,0xff0003ff,
    0xfd0007ff,0x7fc403ff,0x7fffc0ff,0xffffffff,0x4ffff86f,0x2fffc800,
    0x417ffe60,0xffcbfffa,0xffff803f,0xffff0003,0xfffd0009,0x7fffc403,
    0x01bfff20,0xfffb8000,0x0ffff804,0x0ffff800,0x205fffb0,0xfc85fffa,
    0x5fffa8ff,0x00ffff00,0x5dffffd0,0x17ffe400,0x5cbfff30,0x2fffcfff,
    0xffbafff4,0xffffb06f,0x017ffe47,0x7fcbfff3,0xfffe807f,0x02fffc81,
    0x9017ffe6,0x7fe49fff,0xff90004f,0xffc801ff,0x05fffa8f,0x3017ffe4,
    0x7fccbfff,0xff30007f,0x3fe000ff,0xfffe807f,0x7fffffc1,0x6fffffff,
    0x2effffe8,0x0bfff200,0x905fff98,0xfff51fff,0x7fff980b,0x3fffa000,
    0x3fe002ef,0xfffe807f,0x00bfff61,0xfffb8000,0x0ffff804,0x0ffff800,
    0x201fffb0,0xfe86fff9,0x0ffff16f,0x001fffe0,0x3fffffea,0x7fe400be,
    0x3ffe602f,0x3e7ffee5,0xafff46ff,0xb03ffff9,0x7fe4bfff,0x3ffe602f,
    0x00ffff15,0xf905fffd,0x7fcc05ff,0x7ffc405f,0x01ffff0f,0x5ffff500,
    0x22dffd00,0x7e407fff,0x3fe602ff,0x1bffea5f,0x37ffd400,0x3fffc400,
    0x017fff40,0x4007fff2,0xeffffffa,0x7ffe400b,0x17ffe602,0xff8b7ff4,
    0x7ffd407f,0x3fea0006,0x00beffff,0x201fffe2,0x3fa2fffe,0x4ccc41ff,
    0x5c000999,0xff804fff,0xff8000ff,0xfffb00ff,0x1fffe201,0x7ec9fff3,
    0xfff802ff,0xaaaaaaaf,0xffffc80a,0x900dffff,0x7cc05fff,0x3ffee5ff,
    0x3a1fffd8,0x3fffa5ff,0x6fffa84f,0x980bfff2,0xfff35fff,0x7fffb00d,
    0x405fff90,0xc805fff9,0xfffacfff,0xffe88004,0xfff9805f,0x80bfff64,
    0x2602fffc,0x3fee5fff,0xff70005f,0xff3000bf,0xfffb00df,0x1fffd807,
    0x3ffff200,0x900dffff,0x7cc05fff,0xfff985ff,0x80bfff64,0x0005fffb,
    0x7fffffe4,0xff980dff,0xfffd806f,0xd03fffe3,0x09ffffff,0x04fffb80,
    0x000ffff8,0xb00ffff8,0x3e601fff,0x7ffdc6ff,0x013ffee2,0x3ffffffe,
    0x701fffff,0xffffffff,0x5fff907f,0x72fffcc0,0xfff31fff,0xf52fff4b,
    0x5c5dffff,0x3ff25fff,0x3ffe602f,0x00dfff55,0xf907fff9,0x7fcc05ff,
    0xfff8805f,0x000fffef,0x00ffffc8,0x2e2fffb8,0x3f204fff,0x3fe602ff,
    0x17fff25f,0x2fffe400,0x37ffd400,0x01fffe40,0x0003fffa,0xfffffff7,
    0xfff907ff,0x2fffcc05,0xf717ffdc,0x7fe409ff,0xfb80005f,0xffffffff,
    0x037ffd43,0xf89fffe4,0xfffe87ff,0x5c004fff,0xff804fff,0xff8000ff,
    0xfffb00ff,0x13ffea01,0xff98fffb,0xffff807f,0xffffffff,0x3ffae201,
    0x642fffff,0x3e602fff,0x3ffee5ff,0x3a1fffb0,0x7ffd45ff,0xfff9dfff,
    0x0bfff22f,0xf35fff98,0xffb00dff,0x5fff905f,0x02fffcc0,0xffffffc8,
    0xfffa8004,0xfffb002f,0x207fff98,0x2602fffc,0x3ff25fff,0xff90005f,
    0xff3000bf,0xfffb00df,0x07fff805,0xfffd7100,0xfc85ffff,0x3fe602ff,
    0x47ffd85f,0x3207fff9,0x00005fff,0xfffffd71,0x7ffcc5ff,0x2fffd806,
    0xfd0ffff1,0x009fffff,0x804fffb8,0x8000ffff,0xfb00ffff,0x3ff601ff,
    0x17ffe23f,0xf007fffe,0xdddddfff,0x26003ddd,0x47fffffc,0x2602fffc,
    0x3fee5fff,0x29fff50f,0xfe985ffe,0xffffffff,0x017ffe46,0x3e2bfff3,
    0xffd807ff,0x2fffc81f,0x017ffe60,0x7fffffc4,0x7ff44000,0xfff1004f,
    0x03ffff0b,0x980bfff2,0x3fee5fff,0xff70006f,0xff1000df,0xfffb00ff,
    0x37ffc403,0x7fe4c000,0x7fe47fff,0x3ffe602f,0x42fffc45,0xf701ffff,
    0x00000dff,0xffffff93,0x403fffc4,0x3fe1fffd,0x3fe600ff,0x7fdc004f,
    0xffff804f,0xffff8000,0x01fffb00,0x543ffff3,0xffc83fff,0x3fffc03f,
    0x7f440000,0x3ff21fff,0x3ffe602f,0xe83ffee5,0x5ffe8fff,0x3fffff20,
    0x7fe40eff,0x3ffe602f,0x00ffff15,0xf901fffd,0x7fcc05ff,0x3ff2005f,
    0xfc8004ff,0xf5000fff,0xfff907ff,0x0bfff207,0x2a5fff98,0x50007fff,
    0x1000ffff,0xfd00ffff,0x7fcc01ff,0x2200005f,0x321ffffe,0x3e602fff,
    0x7ffd45ff,0x03fffc83,0x000ffff5,0x7fff4400,0x0ffff11f,0x741fffd0,
    0x3e601fff,0x7dc004ff,0xfff804ff,0xfff8000f,0x3fffb00f,0x44ffffa8,
    0xaaacfffc,0x406fffca,0x00007fff,0x45ffff30,0x2a03fffb,0x3fee3fff,
    0x2fffee0f,0x6c405ffe,0xb81fffff,0x3ea03fff,0x3fffe3ff,0x1fffe201,
    0x501fffdc,0x44007fff,0x4000ffff,0x002ffff9,0x2ab3fff2,0x06fffcaa,
    0x5407fff7,0x3fe63fff,0xf98002ff,0xf8002fff,0x3e201fff,0x7fd407ff,
    0x4c00004f,0x3ee2ffff,0x3fea03ff,0x67ffe43f,0xfffcaaaa,0x5ffff306,
    0x7cc00000,0x3ffe2fff,0x3ffe201f,0x027ffec7,0x8009fff3,0xf804fffb,
    0xf8000fff,0xffb00fff,0xffffddff,0xffff81df,0xffffffff,0x3ffe00ff,
    0x3e000007,0x3fea1fff,0x3ffee04f,0xf03ffee2,0x0bffddff,0x13fffee0,
    0xb813ffea,0x3ff62fff,0x3ffee04f,0x09fff505,0x0017ffdc,0x1001fffe,
    0x8009fffd,0xffffffff,0x80ffffff,0x2e04fffa,0x7ffc2fff,0xfff0006f,
    0xffb000df,0x7ffdc09f,0x1fffdc05,0x7ffc0000,0x13ffea1f,0x7c2fffb8,
    0xffffffff,0xf00fffff,0x0000dfff,0x21ffff80,0x2e04fffd,0x7fdc5fff,
    0xfff300ff,0xfffc8009,0x0ffff803,0x0ffff800,0xffffffb0,0x981bffff,
    0xffffffff,0x02ffffff,0x1001fffe,0xffff5001,0x207fff98,0x3ee1fffe,
    0x7ffe40ff,0x32005fff,0xff985fff,0x3fffa07f,0x0bfffe61,0x407fffe6,
    0x3a07fff9,0x7c001fff,0x7e4007ff,0x26000eff,0xffffffff,0x82ffffff,
    0x3a07fff9,0x7fd41fff,0x02600dff,0x01bffff5,0xffff304c,0x3ffff305,
    0x01fffe80,0xff500110,0x7fff98ff,0x987fffa0,0xffffffff,0x02ffffff,
    0x01bffff5,0x5001104c,0xff98ffff,0xfff982ff,0xefffe81f,0x44fff980,
    0xffff1008,0x1ffff003,0x1ffff000,0x3fffb260,0xf902efff,0xddddddff,
    0x40bfffdd,0x54007fff,0x9999abef,0xe85ffffc,0x3621dfff,0x7fdc5fff,
    0x7fffc40f,0xfb0025ff,0x3ffa07ff,0x3ff621df,0xffffe85f,0xffffbaac,
    0x6ffff405,0x17fff621,0x01fffe00,0x01ffff98,0x777ffe40,0xffeeeeee,
    0xbfffd05f,0x2fffec43,0xcfffffe8,0x80feca9b,0xbcfffffe,0x740feca9,
    0xbaacffff,0x4c05ffff,0x2a007fff,0x9999abef,0xe85ffffc,0x3621dfff,
    0x7fe45fff,0xeeeeeeef,0x3a05fffe,0x9bcfffff,0x3ea0feca,0xc9999abe,
    0xfe85ffff,0xfbaacfff,0xff505fff,0x93359fff,0xcf989fff,0x3ffffa61,
    0x0ffff800,0x0ffff800,0x00133300,0xf980fffd,0x3ffe07ff,0xaaaaaaaf,
    0x3fffea1a,0xffffffff,0xffffa80f,0xffffffff,0x407ffdc0,0x35fffffd,
    0x973357df,0x2a03ffff,0xffffffff,0xfa80ffff,0xffffffff,0x7d400fff,
    0xffffffff,0xf8000fff,0x3fa007ff,0xcccccfff,0x3fa1cccc,0x7ffcc07f,
    0xfffff507,0x1fffffff,0x3ffffe60,0x0fffffff,0xffffff98,0x40ffffff,
    0xfffffffa,0x5c0fffff,0x4ffffdba,0x3fffea00,0xffffffff,0xffffa80f,
    0xffffffff,0x203fff40,0x2607fff9,0xffffffff,0x3ea0ffff,0xffffffff,
    0xfa80ffff,0xffffffff,0x3f600fff,0xffffffff,0x7fcc4fff,0xffffffff,
    0xf9999882,0x09999fff,0x7fccccc4,0x009999ff,0x5fff8800,0x01ffff80,
    0xffffffff,0x7d49ffff,0xffffffff,0x3f201fff,0xffffffff,0x0fffb82f,
    0x5fffff98,0xfffffff3,0xc809ffff,0xffffffff,0x3fe602ff,0xefffffff,
    0xffff9000,0x05ffffff,0x01fffe00,0x7fffffd4,0xffffffff,0x00bfff13,
    0x3203ffff,0xffffffff,0x7f4402ff,0xffffffff,0xfffd100f,0x1fffffff,
    0xffffff30,0xfd01dfff,0x00dfffff,0xffffffa8,0x01ffffff,0x3ffffff2,
    0x7c42ffff,0xfff805ff,0x3ffa201f,0xffffffff,0x3ffffea0,0x1fffffff,
    0x3ffffe60,0x800effff,0xfffffffb,0x7cc4ffff,0xffffffff,0xfffff904,
    0xbfffffff,0xffffffc8,0x05ffffff,0x3fffb800,0x04fffd80,0xffffffff,
    0x6cc9ffff,0xffffffff,0xffd3002e,0x2019ffff,0xfb00fffb,0x3fe6bfff,
    0xffffffff,0xfffd3004,0x10019fff,0x9dffffdb,0xfffd3000,0x00019fff,
    0xa803fffc,0xffffffff,0x73ffffff,0xfb007fff,0x7f4c09ff,0x00cfffff,
    0x3ffff6e0,0xdb802dff,0x2dffffff,0x3fffb620,0x3ffa04ef,0x4000efff,
    0xffffffd9,0xd3002eff,0x19ffffff,0x007fff70,0x7009fffb,0xbffffffb,
    0xffffd985,0x002effff,0xdffffdb1,0xfed98009,0x0bdfffff,0xfffffeb8,
    0x3fff201e,0xffffffff,0x7fffe45f,0xffffffff,0xffd80005,0xfffb800f,
    0xffffff06,0x09ffffff,0x0066a662,0x00135100,0x2a01fff7,0x2e65ffff,
    0x02cdeedc,0x0026a200,0x00099880,0x00135100,0x01fffe00,0x7fffffd4,
    0xffffffff,0x001fffb3,0x200dfff7,0x800009a8,0x20000998,0x88000998,
    0xedb80099,0x880002cd,0x00019a99,0x36004d44,0xfb800fff,0x4c4006ff,
    0x53310009,0x98800033,0x98800009,0x2620019a,0xfff90009,0xffffffff,
    0xffffc8bf,0xffffffff,0x00000005,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00015400,0x3ffa2000,0x003bfee4,0x3a61dff9,0xfe8803ff,
    0x03bfee4f,0x7fffec00,0x2aaaa603,0x0001aaaa,0x2aa62000,0x7f44001a,
    0xd10001ff,0x00003fff,0x00fffff6,0x007fffa2,0xf727ff44,0x440001df,
    0x001efffe,0x03ffffd8,0xdffffa80,0x00000000,0x00fffff6,0x1ffffec0,
    0x077fffd4,0x1aa98000,0x727ff440,0xd1001dff,0x44003fff,0xeeeeecba,
    0x7fec004e,0x2f76c3ff,0x01cc8800,0x7cc5ff90,0x3ff6005f,0x5ff9000e,
    0x2202ffcc,0xeffdeffe,0x9fff7000,0x44005fff,0xeffdeffe,0xfffb0000,
    0xfffc803d,0x005fffff,0x001bfd91,0xffffff91,0xfd100bff,0x8003ffff,
    0x1fffffe8,0x7ffec000,0xffe8801e,0xd1001fff,0x1dffbdff,0x7ff44000,
    0xffb0004f,0xf50003df,0x88007fff,0x0000dfec,0x007bfff6,0x0f7ffec0,
    0x1dfffb10,0xffdb3000,0x201bffff,0xffdeffe8,0xffe8800e,0x6cc01fff,
    0xffffffff,0x3f6006ff,0xffb81eff,0x7fc4001f,0xffa800ff,0x03fffdcf,
    0x07ffff30,0x373ffea0,0xd8803fff,0x000effff,0x17ffffdc,0x7ffec400,
    0xfb0000ef,0x3f2009ff,0x5fffffff,0xffffe880,0x3ffea00f,0x6fffffff,
    0x5e7ff440,0xd1002fff,0x5fff79ff,0x3fff6000,0x9ffd1004,0x2005fff7,
    0x0effffd8,0x3ffa2000,0xffb0002f,0x3ea0009f,0x44001eff,0x00fffffe,
    0x04fffd80,0x13fff600,0x05fffb80,0x7ffffdc0,0x200fffff,0x0effffd8,
    0xbcffe880,0xff902fff,0xffffffff,0x3f600dff,0x3fe204ff,0x7fd4005f,
    0xffb003ff,0x400bffff,0x003ffff9,0x3ffffff6,0x6f76c005,0xddd50000,
    0xeed80005,0xdd70000d,0x554c005d,0x01aaaaaa,0xfeaaffb8,0xfffff105,
    0x0dffffff,0xb31776c4,0xed8803bd,0x077b662e,0x05ddd700,0x98bbb620,
    0x36001ded,0x40000dee,0x0000deed,0x0005ddd7,0x0013bb66,0x7f557fdc,
    0x7775c005,0x3bae0002,0xed98002e,0xffe8804e,0xffffffff,0xdeed800f,
    0x2eed8800,0xf5077b66,0x3dffffff,0x700dfff3,0xfb005ddd,0x7cc001ff,
    0x2e002fff,0x8003effe,0x4000effd,0x003effeb,0x00000000,0x00000000,
    0xb0000000,0xd837dc9f,0x220affff,0x000004b9,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfb93f600,0x00000006,0x80000000,0xabeffffc,
    0x000fdb99,0x44000000,0xffffffff,0x001bffe6,0x1fffcc00,0x017ff200,
    0x29800000,0x00000000,0x00000000,0x00000000,0xfc800000,0x3e0bfb0e,
    0x00001fff,0x00000000,0x00000000,0x00000000,0x00000000,0x3f200000,
    0x000bfb0e,0x00000000,0xfff88000,0x000200df,0x2a000000,0xffffffff,
    0x001bffe6,0x07ffe800,0x00001880,0x00000000,0x3fffee00,0x217ffa04,
    0xffffffff,0x7fec01de,0xffffffff,0x3ee6ffff,0x3fa04fff,0x7fffe45f,
    0xffffffff,0x3fffe605,0xfff882ff,0x7fdc000f,0x53ff6007,0xb806fffc,
    0x7ffc4fff,0xffffffff,0x3fee2fff,0x3ffea03f,0x7fffffc4,0xffffffff,
    0xffffd002,0xd05fffff,0x20003fff,0xffffffff,0x7cc001de,0xc82fffff,
    0xfb806fff,0xffff84ff,0xffffffff,0xffffff04,0x49ffffff,0x0006fffc,
    0x3ffffffe,0x644fffff,0xffffffff,0xff95ffff,0x4dffffff,0x7fe46fff,
    0xffffffff,0xfff505ff,0x7c000005,0xffffffff,0xfff84fff,0xffffffff,
    0x7fffe44f,0xffffffff,0x3ffffee5,0xf0bffd00,0xffffffff,0x3f601dff,
    0xffffffff,0x2e6fffff,0xd00fffff,0xfffc8bff,0xffffffff,0x7ffd405f,
    0x3fffe03f,0x7ffd4004,0x27ffb000,0x201ffff8,0x7c0ffff8,0xffffffff,
    0x2e2fffff,0x3ea03fff,0x7fffc4ff,0xffffffff,0xff9802ff,0xffffffff,
    0x01fffe82,0xffffff00,0x01dfffff,0x1ffffd40,0x01ffff88,0x203fffe2,
    0xffffffff,0xff04ffff,0xffffffff,0x7fffc9ff,0x3ffe0003,0xffffffff,
    0x7fffe44f,0xffffffff,0xffffffb5,0x37ffcdff,0x3ffffff2,0x05ffffff,
    0xb801bffe,0xfff804ee,0xffffffff,0xfffff84f,0x4fffffff,0x7fffffe4,
    0x25ffffff,0x03fffffb,0xfff0bffd,0xffffffff,0x3fff60df,0xffffffff,
    0x3fee6fff,0xffd03fff,0xfffffc8b,0x5fffffff,0xe8013300,0x002effff,
    0x2001fff5,0x3ff23ffe,0x3fff205f,0xffffff84,0xffffffff,0x80fffee2,
    0x7fc4fffa,0xffffffff,0xc802ffff,0xffffffff,0xfffe82ff,0xffff0001,
    0xffffffff,0x0133000d,0x205fffc8,0xff04fffc,0xffffffff,0x3ffe09ff,
    0xffffffff,0x0ffff34f,0xfffff800,0x4fffffff,0x7fffffe4,0x95ffffff,
    0xffffffff,0x3237ffcd,0xffffffff,0x3205ffff,0xf9001fff,0xffff00df,
    0xffffffff,0xffffff09,0x89ffffff,0xfffffffc,0x2e5fffff,0xd07fffff,
    0xffff0bff,0xfffd9533,0x3333105f,0x333ffff3,0x7ffdc133,0xbffd07ff,
    0xff999988,0x409999ff,0x2aa02aaa,0x3fffea2a,0x2600beff,0xfd000fff,
    0x7fffc47f,0x0ffff881,0xccccccc8,0x0fffffcc,0xa80fffee,0x66644fff,
    0xffcccccc,0xff800fff,0x999fffef,0x1fffe809,0x3ffff000,0xffffd953,
    0xccba8805,0xff100acc,0xfff103ff,0x3fffe01f,0x99999999,0x33ffff00,
    0x21333333,0x0006fffa,0x4ccffffc,0x44099999,0xffff9999,0xff709999,
    0x4dffffff,0x4cc46fff,0x99ffff99,0x3fe20099,0xdffb004f,0x33ffff00,
    0x01333333,0x3333ffff,0x98813333,0x9ffff999,0x3fee0999,0xfe83ffff,
    0x07fff85f,0x4009ffff,0x5c00ffff,0x83ffffff,0xff805ffe,0x7fec00ff,
    0x8dfff00f,0xfffffffc,0xfff980df,0x85ffd000,0xfc85fffc,0xf50004ff,
    0xffb85fff,0x3ffea03f,0x7ffd4004,0xfffa802f,0xfd007ffb,0x3e0003ff,
    0xffff07ff,0x7fffec09,0x80dfffff,0xfc85fffc,0x3ffe04ff,0x3ffe0007,
    0x3ffee007,0x7ffc0005,0xfff00007,0x3ffe601f,0x3e6fffff,0xfff806ff,
    0x7fec000f,0x6ffd800f,0x007fff80,0x000ffff0,0x803fffe0,0x6ffffffb,
    0xff85ffe8,0xdfff907f,0x07fffc00,0x3ffffee0,0x05ffe86f,0x400ffff8,
    0xff00fffd,0xffff70df,0x887fffff,0xff001fff,0xffff885f,0x03fffe21,
    0x3fffa200,0x03fffb85,0x8013ffea,0x005fffe8,0xfff79ffb,0x07fffa00,
    0x83fffc00,0x3e06fffc,0xffffffff,0xfff885ff,0x3fffe21f,0x01fffe00,
    0x007fff80,0x0017fff2,0x000ffff0,0x803fffe0,0xfffffffb,0x201bffe6,
    0x4000ffff,0xd803fff9,0xfff806ff,0xffff0007,0x3ffe0000,0x3ffee00f,
    0x7f42fffc,0x07fff85f,0x400bfff5,0x5c00ffff,0x2fffcfff,0x7c02fff4,
    0x7ec00fff,0xdfff00ff,0x3fffae20,0x3e22ffff,0x0b3221ff,0xff903fff,
    0x27ffe49f,0xffffc800,0x03fffb80,0x8013ffea,0x800ffffc,0xffb9fff8,
    0x3fffd007,0x1fffe000,0xf02fffd4,0xf95357bf,0xff907fff,0x27ffe49f,
    0x001fffe0,0x2007fff8,0x0005fffc,0x0003fffc,0x400ffff8,0x6ffffffd,
    0x3e01bffe,0xe8000fff,0xffd806ff,0x07fff807,0x00ffff00,0x03fffe00,
    0xff9fffb8,0x42fff46f,0xff907fff,0x7ffc009f,0x7ffdc00f,0x7f46fff9,
    0xffff805f,0x07ffec00,0x9806fff8,0x47fffffc,0x3fea1fff,0x440fffc5,
    0xfff0ffff,0xff50001f,0x3fee05ff,0x3ffea03f,0xffff5004,0x5bfee005,
    0xfd007ffb,0x3e0003ff,0xfff907ff,0x3ee01409,0xfff884ff,0x01ffff0f,
    0x0007fff8,0xb801fffe,0x40006fff,0x00007fff,0x5001ffff,0x7cdffffd,
    0xfff806ff,0xffb8000f,0x3fff402f,0x003fffc0,0x0007fff8,0x401ffff0,
    0xffd8fffb,0x217ffa1f,0x7e447fff,0x3e000fff,0x7dc00fff,0x1fffd8ff,
    0x3e017ffa,0x7ec00fff,0xdfff00ff,0x7fff4400,0xd8bffe1f,0x3ffe0fff,
    0x59fff900,0x10009fff,0x5c0bfffd,0xccccefff,0x04fffdcc,0x05fffe88,
    0x7dcfffa0,0xd02aaaff,0x20003fff,0x7e447fff,0x20000fff,0xf906fff8,
    0x9fff59ff,0x55ffff00,0x01555555,0x2aabfffe,0xf50aaaaa,0xf8000fff,
    0xaaaaafff,0xff800aaa,0x2a6000ff,0x1bffe5cc,0x003fffe0,0x202fffc0,
    0xff807ffe,0xaaaaaaff,0xffff80aa,0xaaaaaaaa,0x0ffff800,0x263ffee0,
    0x3ffa5fff,0xeeffff85,0x02ffffff,0x007fffc0,0x3e63ffee,0x17ffa5ff,
    0x003fffe0,0x3e01fffb,0x7cc006ff,0x3ffe2fff,0xf8bfffe2,0xfff100ff,
    0x001fffdf,0x01ffff90,0x7fffffdc,0xffffffff,0xffffc804,0x1fff3000,
    0x3fffffee,0x03fffd07,0x3bfffe00,0x2ffffffe,0x6fff8000,0xfdffff10,
    0xfff001ff,0xffffffff,0x3fffe03f,0xffffffff,0x05ffff31,0x7ffffc00,
    0x1fffffff,0x00ffff80,0x0dfff000,0x001ffff0,0x807fff20,0xff807ffe,
    0xffffffff,0xffff81ff,0xffffffff,0x0ffff801,0x6c3ffee0,0xbffd0fff,
    0xfffffff0,0x00019fff,0xb801ffff,0xfffb0fff,0x2017ffa1,0x6c00ffff,
    0xfff00fff,0xffff000d,0xfa97ff43,0xfff15fff,0xfffffc80,0xffa8004f,
    0x7fdc02ff,0xffffffff,0x5404ffff,0x2002ffff,0x3fee6ffc,0xfd07ffff,
    0x3e0003ff,0xffffffff,0x326000cf,0xffffffee,0x3ffff206,0xfff004ff,
    0xffffffff,0x3fffe03f,0xffffffff,0x01bfffa1,0xffffff80,0x01ffffff,
    0x000ffff8,0x00dfff00,0x0001ffff,0xf813ffe2,0x7fc00fff,0xffffffff,
    0xffff81ff,0xffffffff,0x0ffff801,0x543ffee0,0xbffd4fff,0xfffffff0,
    0x20003dff,0x5c00ffff,0xfff50fff,0x2017ffa9,0x6c00ffff,0xfff00fff,
    0x3ea0022d,0x3ffa0fff,0x2fffff92,0x7c407ff8,0x000fffff,0x027fff44,
    0x7777ffdc,0xfffeeeee,0x3fffa204,0x1fffc004,0xddddfff7,0x007fffa0,
    0x7fffffc0,0x3001efff,0xfffffffd,0x7c40dfff,0x000fffff,0xddddffff,
    0x3e03dddd,0xeeeeefff,0x3fea1eee,0x02600dff,0x3bbbfffe,0x801eeeee,
    0x0000ffff,0xf00dfff0,0x40001fff,0xff00fffd,0xfff801ff,0xeeeeeeef,
    0xeffff81e,0x1eeeeeee,0x00ffff80,0xfe83ffee,0x85ffe8ff,0xfeb9ffff,
    0xf8000fff,0x7dc00fff,0x3fffa0ff,0xf805ffe8,0x7ec00fff,0xdfff00ff,
    0x266afbea,0x5ffffc99,0xdff9ffec,0x7ff8affe,0x4ffffc80,0xffffc800,
    0x3fffb800,0x813ffea0,0x000ffffc,0xfb83ffea,0xfffd007f,0x3ffe0003,
    0xffffeb9f,0x7fffcc00,0xfffeeeef,0x7fffe406,0x1fffe004,0x07fff800,
    0xfffffe80,0x0feca9bc,0x0007fff8,0x001ffff0,0x01bffe00,0x0003fffe,
    0xf03fffa8,0xff801fff,0xfff0007f,0x3fe0000f,0x3fee00ff,0x2fffee0f,
    0xfff85ffe,0x02ffff47,0x007fffc0,0xfb83ffee,0x05ffebff,0x400ffff8,
    0xff00fffd,0x3fffeadf,0xffffffff,0x4dffec0f,0x9cffcbff,0xff8806ff,
    0x7cc000ff,0xf7002fff,0x7fd407ff,0xffff304f,0xeffd8005,0x07ffc999,
    0x003fffd0,0xfd1fffe0,0xffe80bff,0x6fff80df,0x07fffc40,0x00ffff00,
    0x003fffc0,0x7fffffcc,0x80ffffff,0x00007fff,0x0001ffff,0x201bffe0,
    0x0000ffff,0xff837ff4,0x7ffc00ff,0xffff0007,0x3ffe0000,0x3ffee00f,
    0x7f77ffc0,0x47fff85f,0x001ffff8,0x2007fffc,0x7fc0fffb,0x805ffeef,
    0x6c00ffff,0xffb81fff,0xfffff56f,0x3dffffff,0xff99ffb0,0xff3fff33,
    0x1fffe00d,0x9fffd100,0x1fffdc00,0x109fff50,0x8009fffd,0xfffffff8,
    0xfd007fff,0x3e0003ff,0x7ffc47ff,0x1fffe01f,0xf806fff8,0x7fc007ff,
    0x3fe0007f,0xfd10007f,0xffffffff,0x0ffff01f,0x3fffe000,0xff980000,
    0xffff804f,0x7fdc0000,0x1ffff82f,0x003fffc0,0x0007fff8,0x401ffff0,
    0x7e40fffb,0xf85fffff,0xfffd87ff,0x7fffc005,0x07ffdc00,0x3ffffff2,
    0x0ffff805,0x21fffec0,0xb36ffffa,0xffffffff,0x3ff2017d,0x3ffe6fec,
    0xff005ffb,0xffc800ff,0x3ee000ef,0x3fea03ff,0xefffc84f,0x7ffdc000,
    0x7fffffff,0x03fffd00,0x21fffe00,0xf305fffd,0x3ff20fff,0x7fff806f,
    0x03fffc00,0x00ffff00,0x7fff5c40,0xff02dfff,0x3e0000ff,0x80000fff,
    0xf803fffc,0x40000fff,0x7c45fff8,0x7fc01fff,0xfff0007f,0x3fe0000f,
    0x3fee00ff,0x7fffc40f,0x7fff85ff,0x01ffff98,0x003fffe0,0xf881fff7,
    0x805fffff,0x5c00ffff,0xfc89efff,0x9886ffff,0xc804fffa,0x324ffdff,
    0x005ffeff,0x4c00ffff,0x4001ffff,0x2a03fffb,0x7fcc4fff,0xfe8001ff,
    0xfeeeeeef,0xfffd007f,0x3ffe0003,0x1ffff987,0x447ffff0,0x806ffffd,
    0x7c007fff,0x3e0007ff,0x880007ff,0xf800cfff,0xf00007ff,0x32001fff,
    0x2fffe881,0x00ffff80,0x1fffc800,0x007fffe2,0x2000ffff,0x00007fff,
    0x5c01ffff,0xffd80fff,0xfff85fff,0x09fffd07,0x007fffc0,0x3603ffee,
    0x445fffff,0xffff9999,0x7cc09999,0xffffffff,0x3e606ffe,0xffb801ff,
    0x3fea1fff,0xff005fff,0x7ff400ff,0xccccccff,0x3fee1ccc,0x3ffea03f,
    0x67ffff44,0xcccccccc,0x207ffe61,0x9999fffb,0xabfffe80,0x02aaaaaa,
    0x3fa0ffff,0xfffd04ff,0xfffffdff,0xffff00df,0xaffff800,0x1aaaaaaa,
    0x555ffff0,0x80355555,0xf000fff9,0x55555fff,0x99883555,0x99ffff99,
    0xdffb8099,0x5ffffdbb,0xff999988,0x009999ff,0x44fff980,0x7c00aaaa,
    0xaaaaafff,0xfff81aaa,0xaaaaaaaf,0x4cccc41a,0x9999ffff,0x203ffee0,
    0x85fffff9,0xff507fff,0x3fe001ff,0x7fdc00ff,0xffff980f,0x7fffe45f,
    0xffffffff,0xfffffc85,0x06ffcbff,0x5c01bfea,0xff87ffff,0xff004fff,
    0x3fea00ff,0xffffffff,0x3ee3ffff,0x3fea03ff,0x3fffea4f,0xffffffff,
    0x1bff23ff,0x7fffffdc,0xffffe83f,0xffffffff,0x507fff80,0xf301ffff,
    0xbfffffff,0xff00dff9,0xfff800ff,0xffffffff,0xfffff04f,0x9fffffff,
    0x005ffb80,0x3ffffffe,0x644fffff,0xffffffff,0x7c45ffff,0xffffffff,
    0xfffc80ff,0xffffffff,0xffb0005f,0x7fc0001f,0xffffffff,0xffff84ff,
    0xffffffff,0x7ffffe44,0x5fffffff,0x6c03ffee,0xff85ffff,0x3fffe07f,
    0x1ffff004,0x00fffb80,0xc8bffffb,0xffffffff,0xf905ffff,0x3ee5dfff,
    0x0fff206f,0x27fffd40,0x027fffec,0x5007fff8,0xffffffff,0x47ffffff,
    0x2a03fffb,0x3fea4fff,0xffffffff,0xff13ffff,0x3ffee07f,0xfe83ffff,
    0xffffffff,0xfff80fff,0x13fffe07,0x77ffff4c,0xf00dff72,0xff800fff,
    0xffffffff,0xffff04ff,0xffffffff,0x02ffc809,0x3fffffe0,0x44ffffff,
    0xfffffffc,0x985fffff,0xfffffffe,0xffff901d,0xffffffff,0x3fea000b,
    0x3fe0003f,0xffffffff,0xffff84ff,0xffffffff,0x7ffffe44,0x5fffffff,
    0x5403ffee,0xff85ffff,0x3ffee07f,0xffff800f,0x07ffdc00,0x45ffffa8,
    0xfffffffc,0x405fffff,0xd90001a9,0x3fea001d,0xfffa82ff,0xffff003f,
    0x3fffea00,0xffffffff,0x3ffee3ff,0x93ffea03,0xfffffffa,0x3fffffff,
    0x2e01fff7,0x3fffffff,0xffffffe8,0x80ffffff,0x3ee07fff,0x2a200fff,
    0x7fc0000a,0x7ffc007f,0xffffffff,0xfffff04f,0x9fffffff,0x4005ed80,
    0xffffffff,0x7e44ffff,0xffffffff,0x2ea05fff,0x6401bced,0xffffffff,
    0x0005ffff,0x80006aaa,0xffffffff,0xff84ffff,0xffffffff,0x7ffe44ff,
    0xffffffff,0x0000005f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xe8800000,0x7d401fff,0x0000efff,0x03fffd10,0x55555300,
    0xa9803555,0x1aaaaaaa,0xfffd8000,0x7640003f,0xdff900de,0x00fffa61,
    0x01dffff5,0x00000440,0x00000260,0x00000000,0x00000000,0x0fffe600,
    0x00000cc0,0x00000000,0x00000000,0x00000000,0x2620bfff,0x09999999,
    0x4ccccc40,0x20000999,0x7544eee8,0x54001abc,0x0fba62ee,0xffffd100,
    0xffd8803f,0x440000ef,0x01fffffe,0x7ffffe40,0x7e405fff,0x5fffffff,
    0x7ffec000,0x7c40001e,0x7fdc05ff,0x002fffcf,0x01dfffb1,0x000bff50,
    0x07ffd100,0x077ff6a0,0xbffb5007,0x77e40383,0x1017f620,0x07bfffd9,
    0x3bbb2000,0x800fffa8,0x64006ffd,0x17f620ef,0xd883bf20,0x077e405f,
    0xda80bfb1,0x981c1dff,0x2601dffd,0x200005ee,0xf502fff9,0x9fffffff,
    0xfffffa80,0x20004fff,0x7dc6fff8,0x002effff,0xfb11dff5,0x7f44007f,
    0x02fffbcf,0x005fffb8,0x2f3ffa20,0x32002fff,0xffffffff,0x7fffe405,
    0x0005ffff,0x0013fff6,0x00fffe40,0x17ffffdc,0x2fffdc00,0x017fff40,
    0x3fff2000,0x7ffcc00f,0x4fdacfff,0x3ffffe60,0x504fdacf,0x7fe4bfff,
    0xffff903f,0x001fffff,0xc8fffe80,0xff9806ff,0xff5003ff,0x1fffe4bf,
    0x64bfff50,0xff503fff,0x1fffe4bf,0xffffff98,0x7d44fdac,0xd02fffff,
    0x510003ff,0x207ffb83,0xfffffffa,0x7ffd404f,0x004fffff,0x3fffffee,
    0xfff76fff,0x003dffff,0xfffffffd,0x3bb62001,0x0077b662,0x0013bb66,
    0xd98bbb62,0x553001de,0x03555555,0xaaaaaa98,0xd70001aa,0x400005dd,
    0x2a006fff,0x20002eee,0x6c04eed9,0x00004fff,0x00ffffec,0x3fffbff6,
    0x3605ffff,0xfffffeff,0xfff505ff,0x427ffecd,0xfffffffb,0x0000efff,
    0x3fa3fffa,0xfffa803f,0xfff5003f,0x027ffecd,0x7ecdfff5,0xfff504ff,
    0x827ffecd,0xffffeffd,0x7ff45fff,0xfb86ffdc,0x7f54004f,0x027fec2f,
    0x99999993,0xccc98059,0x002ccccc,0x3fffffee,0xffd56fff,0x01dfffff,
    0xfffffe98,0x00000001,0x00000000,0x00000000,0x00000000,0x00bffea0,
    0x00000000,0x001fffc4,0x17ffe600,0xffc8ba20,0x174406ff,0x40dffff9,
    0x3e62ffe8,0x7ffc40ff,0xfffd30cf,0x7ff40005,0x800fff9f,0x000fffe8,
    0x7cc5ffd1,0x3fa200ff,0x03ffe62f,0xf317ff44,0x8ba201ff,0x4c6ffffc,
    0x83ffa4ff,0x4000fff9,0x7fc2fffc,0x0000001f,0x77540000,0x5effffee,
    0xffffea88,0x15995005,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0007ffe8,0x40000000,0x00002ffe,0x40003c98,0x20001ba8,0xa8801ba8,
    0xfa80a880,0xfffa85ff,0x3ffa0004,0x2002aa9f,0x44000bb8,0x800a880a,
    0x00a880a8,0x05440544,0x40dd4400,0x3ff23ffa,0x000bffa1,0x550bfff2,
    0x00000005,0xff100000,0x3ff600df,0x000000ff,0xfffffff8,0x404fffff,
    0x007ffffe,0x1fffffa0,0xffffff00,0x09ffffff,0x07ffffe8,0x3ffffa00,
    0xff980007,0x3fff204f,0x0bceffff,0xfffffc80,0x5fffffff,0x000dff73,
    0x00000000,0x00000000,0x82fffc80,0x0003fffb,0x0003fffa,0x00000000,
    0x00000000,0x7fd40000,0x7dc7ff63,0xff90005f,0x2a20005f,0x00accccb,
    0x2af32a20,0x32ea2000,0x006fffbc,0x100bfffe,0x00157995,0x7ffffffc,
    0x204fffff,0x1ffffff8,0xffff8800,0x3fe001ff,0xffffffff,0x3fe204ff,
    0x8001ffff,0x1ffffff8,0x7ffec000,0x3ffff200,0x3fffffff,0x7ffffe40,
    0x5fffffff,0x0001dfff,0x2f32a600,0xcca9801a,0x555400ab,0x00aaaa02,
    0x01579953,0xd107fff6,0x31003fff,0xfffd7997,0x99510001,0xa8800157,
    0x5400abcc,0x2aaa02aa,0x99975102,0x75100159,0x30159999,0x8bff4bff,
    0x55000fff,0x59fffb55,0x6c035555,0xffffffff,0x7fe400df,0x403fffff,
    0xffffffd8,0x3a006fff,0x3f203fff,0x03ffffff,0xfffffff0,0x409fffff,
    0x4ffffffb,0xffffb800,0x3fe004ff,0xffffffff,0x3fee04ff,0x8004ffff,
    0x4ffffffb,0x3ffe2000,0x7fffe405,0xffffffff,0x3ffff206,0xffffffff,
    0x000059b5,0x3ffffee0,0xfd302fff,0x07ffffff,0xf807ffec,0xffd306ff,
    0xb07fffff,0x7f441fff,0xffb804ff,0xffffffff,0x7ffe4000,0x9003ffff,
    0x7fffffff,0x807ffec0,0xffd86fff,0xdfffffff,0xfffffb00,0xe81bffff,
    0xb4fffeff,0x7fc005ff,0xffffffff,0x3e05ffff,0xffffffff,0xffd105ff,
    0xbfffffff,0x3ffffea0,0x06ffffff,0x20bfffe0,0xffffffe8,0xff805fff,
    0x999999ff,0x3ff60099,0x8006ffff,0x6ffffffd,0x27fffe00,0x09999999,
    0x3fffff60,0xffd8006f,0x0006ffff,0x9007ffee,0x97337fff,0x207fffff,
    0xfff99998,0x4409999f,0x332e22aa,0xffe9801b,0x2fffffff,0xffffffb8,
    0xfb06ffff,0x3ffe01ff,0xfffffb86,0x6c6fffff,0x3ffa0fff,0x7ff4c05f,
    0xffffffff,0xffd1000f,0xbfffffff,0x7ffff440,0xb05fffff,0x3fe01fff,
    0xfffff86f,0x05ffffff,0xffffffff,0xff98bfff,0xffb8efff,0x7fffc005,
    0xffffffff,0x37fe05ff,0xfffca9ab,0xffffd83f,0x2ffffb9b,0x67ffffc4,
    0x06fffdca,0x01ffff70,0x737ffffb,0xf805ffff,0x7c0007ff,0x0fffedff,
    0x76fffc00,0xff000fff,0xff8000ff,0x00fffedf,0x7f6fffc0,0xff0000ff,
    0xfff900df,0xffffd105,0x3fffe001,0xabffdc00,0x03ffffff,0x3fffffa2,
    0x4c2fffee,0xfdefffff,0xfd83ffff,0xdfff00ff,0xefffff98,0x23fffffd,
    0xff70fffd,0xfffd00bf,0xfffb77bf,0x3ff6001f,0xfffb9bff,0xffffb02f,
    0x5ffff737,0x201fffb0,0xdff86fff,0xfffca9ab,0xabdff83f,0x3ffffca9,
    0xf8966e44,0x664000ff,0xcdfffecc,0x0a03cccc,0x989fff70,0xff985fff,
    0x77ffec6f,0x837ffc40,0xffffeccc,0x85fff984,0x7c06fff9,0x2a0007ff,
    0xfffcbfff,0x3ffea003,0x003fffcb,0x4000ffff,0xffcbfffa,0x3fea003f,
    0x03fffcbf,0x03fffa80,0x102fffc8,0x2009ffff,0x5c00ffff,0xffffbfff,
    0xf902ffff,0x37107fff,0x40efffd8,0x6c0ffffc,0xfff00fff,0x0efffd8d,
    0xd87fffe4,0xfffb0fff,0xefffb803,0x00fffe81,0x985fff98,0xff986fff,
    0x6fff985f,0xf00fffd8,0xb8050dff,0x40284fff,0xb004fffb,0x900005ff,
    0x00005fff,0xd8dfff10,0xffb01fff,0x3fffe21f,0x86fff880,0xfffffff8,
    0x03fffb06,0xf803fff6,0x320007ff,0xfffa8fff,0x3fff2005,0x005fffa8,
    0x4000ffff,0xffa8fffc,0x3ff2005f,0x05fffa8f,0x00fffe80,0x202fffc8,
    0xf005fffc,0xfb801fff,0xfdffffff,0xff986fff,0x3e6002ff,0xffd00fff,
    0x0fffd87f,0x7ccdfff0,0xffd00fff,0x43fff67f,0x7c02fffe,0xffd02fff,
    0xfffb001f,0x03fff603,0x3603fffb,0x7fec0fff,0x0dfff00f,0x0dfff100,
    0x0dfff100,0x000bff50,0x00bfff20,0x37ffc000,0xfc81bffe,0xbfff52ff,
    0x41bffe20,0x03ffffff,0xfc81bffe,0x3ffe02ff,0x3ffa0007,0x00ffff16,
    0xff8b7ff4,0xffff007f,0xb7ff4000,0x2007fff8,0xfff16ffe,0xfff9800f,
    0x5fff9004,0x03fffcc0,0x400ffff8,0x23fffffb,0xfa87fff9,0x7dc006ff,
    0x3fea04ff,0x07ffec4f,0x3ee6fff8,0x3fea04ff,0x21fffb4f,0x101ffffc,
    0x7f40dfff,0xfff800ff,0x0bfff206,0x7e40dfff,0x7ffec2ff,0x00dfff00,
    0x001bffe0,0x22037ffc,0x00000fff,0x0005fff9,0x7fff764c,0x3fe26fff,
    0xffffffff,0xff73ffff,0x3ffe207f,0x03dfff06,0xffffff88,0xffffffff,
    0x2bfffe03,0x0aaaaaaa,0x364fff98,0xf9802fff,0x3fff64ff,0xaffff802,
    0x0aaaaaaa,0x364fff98,0xf9802fff,0x3fff64ff,0x3fff2002,0x5fff9000,
    0x03fffc40,0x400ffff8,0xe83ffffb,0x7fe40fff,0x7fe4004f,0x3ffe602f,
    0x807ffec6,0x3ff26fff,0x3ffe602f,0x261fffb6,0xa82fffff,0x3fa05fff,
    0x7fc400ff,0xffffffff,0x3e23ffff,0xffffffff,0x6c3fffff,0xfff00fff,
    0x7f764c0d,0x206fffff,0xffffeec9,0x7fec06ff,0x00157513,0x005fff90,
    0xfffffd30,0x4cdfffff,0xffffffff,0x93ffffff,0x3e205fff,0x9fff06ff,
    0xfffff300,0xffffffff,0x7fffc07f,0xffffffff,0x22fffb81,0xb804fffb,
    0x3fee2fff,0xffff804f,0xffffffff,0x22fffb81,0xb804fffb,0x3fee2fff,
    0xfff1004f,0x7ffe400b,0x0ffffc02,0x007fffc0,0x6c13ffee,0x7fec1fff,
    0x7fec002f,0x3ffe201f,0x807ffec7,0x3ff66fff,0x3ffe201f,0x5c1fffb7,
    0x5c4fffff,0x3fa04fff,0x7fcc00ff,0xffffffff,0x3e63ffff,0xffffffff,
    0x6c3fffff,0xfff00fff,0xffffd30d,0x0dffffff,0xffffffd3,0x540dffff,
    0xffff75ff,0xffc8003d,0x7fcc002f,0xfeeeefff,0x3ffe66ff,0xeeeeeeef,
    0xfffb2eee,0x1bffe205,0x4c027ff4,0xeeeeffff,0x02eeeeee,0x3ffffffe,
    0xd81fffff,0x7ffcc7ff,0x47ffd807,0xf807fff9,0xffffffff,0xffd81fff,
    0x03fffcc7,0x3e63ffec,0xff7007ff,0x7fe4005f,0x7fffc02f,0x0ffff801,
    0x81fffdc0,0x7ec1fffc,0x7ec003ff,0x3fe202ff,0x07ffec6f,0x3f66fff8,
    0x3fe202ff,0x81fffb6f,0x22fffffa,0x3a04fffb,0x7cc00fff,0xeeeeefff,
    0x262eeeee,0xeeeeffff,0x42eeeeee,0xff00fffd,0xffff98df,0xfffeeeef,
    0x7ffffcc6,0x6fffeeee,0xf51fff10,0x00dfffff,0x002fffc8,0x406ffff4,
    0x3fe26fff,0xffc8005f,0xdfff103f,0x2006aaa0,0x0005fff8,0xdddffff0,
    0x883ddddd,0xfff85fff,0x3ffe201f,0x01ffff85,0x7777fffc,0x441eeeee,
    0xfff85fff,0x3ffe201f,0x01ffff85,0x4006ffe8,0x2202fffc,0xf800ffff,
    0x7dc00fff,0xfff903ff,0x04fffc83,0x01fffe40,0xfd8bfff3,0xdfff00ff,
    0x301fffe4,0x3ff6bfff,0xffff980f,0x813ffee7,0x4400fffe,0x10005fff,
    0x4000bfff,0xff00fffd,0xdfffe8df,0x746fff80,0xff80dfff,0x27ffb06f,
    0xffd89ffe,0x3fff2002,0x3fffc002,0xff8dfff0,0xffb8007f,0xdfff704f,
    0x7ffc0000,0xfff00007,0xfff5000f,0x07fff907,0x641fffd4,0x7fc03fff,
    0xffa8007f,0x3fffc83f,0x20fffea0,0x5403fffc,0x64003fff,0x3e602fff,
    0xfff007ff,0xfffb801f,0x83fff903,0x000ffffb,0xc817ffee,0x7fec3fff,
    0x6fffb81f,0xc817ffee,0xfffb3fff,0x3fffe601,0x20bfff50,0x800ffff9,
    0x20007fff,0x20007fff,0xfb81fffd,0x3fffc6ff,0xff8dfff0,0x1bffe07f,
    0x6ff9bfea,0xc800ffea,0x26003fff,0xff907fff,0x3fffe8df,0x37ffd400,
    0x837fffd4,0xfd001cda,0xf00007ff,0xf9000fff,0x955559ff,0x7e40dfff,
    0xcaaaacff,0x7fc06fff,0xffc8007f,0xfcaaaacf,0x3ff206ff,0xfcaaaacf,
    0x7fec06ff,0x7fe4000f,0x3ffea02f,0x1ffff006,0x03fffb80,0xf983fff9,
    0x26005fff,0xf881ffff,0x7fec1fff,0x7fffd43f,0x07fffe66,0x6c7fffe2,
    0x3fa00fff,0xffff11ff,0xfffff881,0x3fffe800,0x7fffd000,0x3fff6000,
    0x37fffd43,0x320ffff3,0x3fe66fff,0xdfff907f,0xf11fff88,0x027fccbf,
    0x00bfff70,0x223ffff8,0x546ffffd,0x5103ffff,0xaeffff83,0x6fffffb8,
    0x00ffffa8,0x03ffffa8,0xfff80351,0xffff8007,0xffffffff,0xffff00ff,
    0xffffffff,0x7ffc01ff,0xffff8007,0xffffffff,0xffff00ff,0xffffffff,
    0x3fe601ff,0xffc8004f,0x3fff602f,0x1ffff004,0x03fffb80,0xfb03fff9,
    0x3335dfff,0xfffd87b7,0xffea88af,0xefffb85f,0xfffffc89,0x57fffec6,
    0x5fffea88,0x2043fff6,0x7ec7fff9,0xffb89eff,0xa800ffff,0x5103ffff,
    0x7ffff503,0x3ee06a20,0xffc89eff,0x7ffc6fff,0x3fff623f,0x1ffffc6f,
    0x8dffffb1,0x3ffc3ffc,0x54007ff7,0x0082ffff,0xfdfffffd,0xb0dfffff,
    0xdddfffff,0xffb89fff,0xefffffff,0xfffc86ff,0xfffb003f,0xfffdddff,
    0x07fff809,0x7ffffcc0,0xffffffff,0xffff982f,0xffffffff,0x3ffe02ff,
    0x7ffcc007,0xffffffff,0xff982fff,0xffffffff,0xf902ffff,0xf90003ff,
    0x3fe605ff,0xfff001ff,0xfffb801f,0x03fff903,0xfffffff1,0xf987ffff,
    0xffffffff,0xff980fff,0xefffffff,0x7ffcc6ff,0xffffffff,0x43fff60f,
    0xffffeefe,0x7ffffd45,0xfffeffff,0xffffb000,0x9fffdddf,0x3fffff60,
    0x84fffeee,0xfffffff9,0x746ffeff,0xffefffff,0x7f46ffff,0xfffeffff,
    0x3fe66fff,0xeacffe86,0x3e2001ff,0xfeefffff,0xfffff305,0xdff9bfff,
    0xfffffb10,0x889fffff,0xfffffffd,0xfc86ffcb,0xb1002fff,0xffffffff,
    0xfff809ff,0x7ffe4007,0xeeeeeeee,0xffc85fff,0xeeeeeeef,0x3e05fffe,
    0x7e4007ff,0xeeeeeeff,0xc85fffee,0xeeeeefff,0x85fffeee,0x0005fff8,
    0xf505fff9,0x7c009fff,0x7dc00fff,0xfff903ff,0x3fffa603,0x83ffffff,
    0xfffffffa,0x3f201eff,0xcbffffff,0xfffa86ff,0x1effffff,0xfe87ffec,
    0x906fffff,0xbfffffff,0x2001fff5,0xffffffd8,0xb104ffff,0xffffffff,
    0x3ff209ff,0xfcbfffff,0x7fffcc6f,0xffcdffff,0x7ffffcc6,0x6ffcdfff,
    0x3ea07ffa,0x004fffff,0xffffffb8,0x3fa605ff,0xff72efff,0x7fff540d,
    0x902effff,0x323dffff,0xffe886ff,0xffea8005,0x02efffff,0x5557fffc,
    0x3a1aaaaa,0x7fcc07ff,0x07ffe87f,0xf03fffcc,0x55555fff,0x7ff43555,
    0x3fffcc07,0x2603fff4,0xffb87fff,0xff90002f,0xffb9559f,0x26201fff,
    0x9ffff999,0x7fdc0999,0x3fff903f,0xffffeb80,0xfb101cff,0x009dffff,
    0x4bbffff2,0xfb106ffb,0x209dffff,0xffd0fffd,0xfb807fff,0xff33ffff,
    0xfea8001f,0x2effffff,0x7ffff540,0x3202efff,0xf72effff,0xfffd30df,
    0x1bfee5df,0x3bffffa6,0x3f2dff72,0x3ffee04f,0x3aa0004f,0x04ffffff,
    0x0000aa88,0x0019aa98,0x4c0006a6,0xaa980001,0x3ffe0019,0xffffffff,
    0x0bfff14f,0x443ffff0,0xff805fff,0xffff01ff,0xffffffff,0x017ffe29,
    0xf887fffe,0xfff805ff,0x037ff41f,0xfffff900,0x3dffffff,0x7ffffe40,
    0x5fffffff,0xc81fffdc,0x22001fff,0x4c400099,0x35300009,0x09988000,
    0x00666000,0x00006a20,0x019aa980,0x03355300,0x0001a980,0x20001551,
    0x00000aa8,0x20000198,0x0001aa98,0x00000000,0x00000000,0x3ffe0000,
    0xffffffff,0x07fff74f,0x5c9fffb0,0xfd803fff,0xffff04ff,0xffffffff,
    0x00fffee9,0xfb93fff6,0xffd803ff,0x0fffea4f,0xffffc800,0x04ffffff,
    0xffffffc8,0x45ffffff,0xf903fffb,0x000003ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfff00000,0xffffffff,0x03fff69f,0xd9bffee0,0xfb800fff,
    0xffff06ff,0xffffffff,0x003fff69,0xfd9bffee,0xffb800ff,0x02aaa66f,
    0xffffc800,0x000acdef,0xfffffff9,0x00bfffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x06600000,0x5eed8000,0x74c5dd50,0x3bb2003e,0xddb10005,0xed880007,
    0x3b620dee,0x00000dee,0x3bbaa000,0x002ea24e,0xddb10000,0x006f74c5,
    0x59999751,0x00000001,0x01579951,0x00bdd900,0x3bbb6200,0x3bbb620d,
    0x5440000d,0x20001acb,0xaaacccba,0xd50002aa,0x00009ddd,0x800fffc8,
    0x80005eec,0x20deeed8,0x00deeed8,0xff700000,0x00a9803f,0x706f74c0,
    0x3b2009dd,0x0ba8805e,0x037fec00,0x07fff800,0xfb11dff5,0x3ff2007f,
    0x744005ff,0x0003ffff,0x01dfffd1,0x01dfffb1,0x37ff6a00,0x3ff201c1,
    0x0fffedff,0xf90bfea0,0xfff9803d,0x202fff9a,0xfffffffd,0x64400dff,
    0x00542efe,0x3ffffff2,0x3ff2003f,0x440005ff,0x880efffe,0x000efffd,
    0xffffff70,0x7f54001b,0xffffffff,0x7d4000ff,0xe8804fff,0x3eeeeeee,
    0x32017ffa,0x0005ffff,0x03bfffa2,0x03bfff62,0x3f200000,0x7ffe406f,
    0x77fdc001,0x800effb8,0x205ffffc,0x001ffff8,0x007ffff3,0x40ffff00,
    0xfffffffe,0xeeffb800,0x3f6005ff,0x002fffdf,0x027fff44,0x0077ffdc,
    0x3ffffe60,0x884fdacf,0xffffffca,0x3fe00fff,0xdfff30ff,0xfffff300,
    0xffff805f,0x5fffffff,0x7fffff40,0x880efcbe,0xfffffffe,0xffb805ff,
    0x0005ffee,0x009fffd1,0x001dfff7,0xffffffc8,0xfa800fff,0xffffffff,
    0x2000ffff,0x002ffff9,0xfffffff1,0x0bffe29f,0xffddff70,0xffd1000b,
    0xfff7009f,0x8000001d,0x3e204ffe,0xc8005fff,0x00efffff,0xffeeffb8,
    0xbffff905,0x3fffea00,0xfff80003,0x3fffa607,0xffb801ff,0x04ffe88e,
    0xff35ffd8,0x3fa2005f,0x3a6002ff,0x36000eff,0xfffffeff,0xfffc85ff,
    0xbcefffff,0x1ffff100,0x401bffea,0x803ffffa,0xca9abdff,0xf703ffff,
    0xfffffdff,0xfffb01ff,0xffff737f,0x477fdc05,0x4004ffe8,0x002fffe8,
    0x003bffa6,0x5dffffcc,0x4404fffe,0xd98affff,0x002adfff,0x003bffe6,
    0xffffff88,0x0fff54ff,0xe88effb8,0x3a2004ff,0x26002fff,0x0000effe,
    0xf883fffd,0x3fe601ff,0xf90006ff,0xf7001fff,0x9ffd11df,0x0dffffb0,
    0x03fffa20,0x1fffe000,0x002b32a0,0x55105554,0x15544015,0x4c00aaa6,
    0x88000aaa,0x22001aaa,0x3ffff22e,0xfffff906,0x3200bfff,0x3ffa25ff,
    0x0aaa6003,0x3fee0140,0xea93204f,0xf981ffff,0xfff985ff,0x882aaa06,
    0x26000aaa,0x88000aaa,0xf9001aaa,0x7ffc41ff,0x17ffd406,0x0007fff4,
    0x4000aaaa,0xfffc9999,0xa809ff94,0x2aaa20aa,0x15553000,0x35551000,
    0x3fffa000,0x4037fd41,0x0003fffe,0x54002aaa,0x2aaa20aa,0x2ffffdc0,
    0x00177100,0x01fffe00,0x00000000,0x00000000,0x44000000,0x2b2e01ba,
    0x05ffff50,0x00d40660,0x44000000,0xa8006fff,0x3fff601b,0x01fffb01,
    0x00000000,0x3fa00000,0x07ffd86f,0xfb83ffe4,0x000001ff,0x4fffb800,
    0x00001553,0x00000000,0x7fff4000,0x400d54c1,0x00002cc8,0x6c000000,
    0x00000eff,0x79975100,0x2a20ffff,0x00accccb,0xaa80aaaa,0x9953002a,
    0x95300357,0x98001579,0x000abcca,0x654c0000,0x000fffff,0x65440000,
    0x80000abc,0x00006fff,0x640dfff0,0x54402fff,0x4000abcc,0x00abcca8,
    0x55e65440,0x43fff400,0x7e406ffe,0xfffa80ff,0x6654c001,0x2e0001ab,
    0x88004fff,0x0accccba,0xcccba880,0x751000ac,0x00159999,0x001fffe8,
    0x26000000,0x801abcca,0x00abcca9,0x2aa200c4,0xaaaaaaaa,0xffc881aa,
    0x7fffffff,0xffffffd8,0xfd80dfff,0xdfff00ff,0xfffffb80,0xfd302fff,
    0x07ffffff,0xfffffd30,0x554c07ff,0x02b33261,0xfffffd88,0x2aa04fff,
    0x01aaaaaa,0x7ffffe40,0xec9803ff,0x6ffffffe,0x55555550,0x7ffc4035,
    0xffffffff,0x3f203fff,0x03ffffff,0xffffff90,0x3ff2007f,0x203fffff,
    0x3ea1fffc,0x7fdc04ff,0x07ffd83f,0x3ffffee0,0x70002fff,0xd8009fff,
    0xffffffff,0xfffb00df,0x1bffffff,0x7ffffec0,0x000dffff,0x8003fffd,
    0xaaaaaaaa,0xfffb8001,0x302fffff,0xfffffffd,0xffa80007,0xffffffff,
    0x7ffd44ff,0xffffffff,0xffffff87,0xd85fffff,0xfff00fff,0x3fffa60d,
    0x82ffffff,0xfffffffb,0x3ee06fff,0xffffffff,0x29ffb06f,0x1ffffffc,
    0xffffffa8,0x880fffff,0xffffffff,0xfffd1004,0x0bffffff,0x3fffffa6,
    0x886fffff,0xffffffff,0x3fffe604,0xffffffff,0xffe883ff,0x5fffffff,
    0x3ffffa20,0x205fffff,0xffffffe8,0xff505fff,0x3fffeedf,0x7fffc400,
    0x5fffd99c,0xffffe980,0x002fffff,0x009fff70,0xfffffff8,0xff05ffff,
    0xffffffff,0x7fffc0bf,0x5fffffff,0x03fffd00,0x7ffffc40,0x26004fff,
    0xfffffffe,0xfffb82ff,0x6fffffff,0x3ffea000,0xffffffff,0x3fffe24f,
    0xfffdbbcf,0x9abdff87,0x43ffffca,0xff00fffd,0xfffd10df,0x5fffddff,
    0xefffff98,0x83fffffd,0xdefffff9,0xd83fffff,0xffffddff,0x3e20ffff,
    0xebacffff,0xff884fff,0x04ffffff,0x37ffffb0,0x985ffff7,0xeeefffff,
    0xf886fffe,0x4fffffff,0x3bfffe60,0xeeeeeeee,0xffffd82e,0x2ffffb9b,
    0x37ffffb0,0x205ffff7,0xb9bffffd,0xfb02ffff,0x3dffffff,0x3fffee00,
    0x00efffff,0x7fffff44,0x002fffee,0x009fff70,0xa9abdff8,0xf83ffffc,
    0xfca9abdf,0xbff03fff,0xfff95357,0xfffd007f,0x7ffc4003,0x004fffff,
    0xdfffffd1,0xf985fffd,0xffdeffff,0x50003fff,0xffffffff,0x7e47ffff,
    0xfff80eff,0x7fdc0287,0x07ffec4f,0xfc86fff8,0x1b883fff,0x2077ffec,
    0x6c0ffffc,0x7e40efff,0x7fec0fff,0xffeeffff,0x3fff23ff,0x37ffdc0e,
    0xffdcccc8,0xfff9804f,0x46fff985,0xf80dfffe,0x999906ff,0x4409fffb,
    0x20005fff,0xf985fff9,0xfff986ff,0x86fff985,0xf985fff9,0xfff306ff,
    0x2001bfff,0xfffffff8,0xfc800cff,0x1b883fff,0x9fff7000,0x7dc02800,
    0x5c0284ff,0x80504fff,0xe804fffb,0x64001fff,0x4fffdccc,0x7ffff900,
    0xffd83710,0x7ffe40ef,0x4400000f,0x3e25fffe,0xfff00fff,0xfff1000f,
    0x00fffd8d,0xff98dfff,0x3e6002ff,0xffd00fff,0x7fffcc7f,0x87fffd00,
    0x21effffd,0xff15fffb,0xfff103ff,0xfff7001f,0x3fffb009,0xf83fff60,
    0x3ffe07ff,0x9fff7006,0x007fff80,0x407fff60,0x7ec0fffd,0xfffb01ff,
    0x01fffd81,0xf301fffb,0x8007ffff,0xbba8dffc,0xfff3000a,0x2000005f,
    0x0004fffb,0x037ffc40,0x037ffc40,0x06fff880,0x001fffe8,0x027ffdc0,
    0x017fffcc,0x01ffff30,0x550ffffa,0x3ff60001,0x3ffea0ef,0x01fffe05,
    0x3637ffc0,0xfff00fff,0x06fffa8d,0x027ffdc0,0x7dc9fff5,0x3fea04ff,
    0x7fffec4f,0xab7ffcc1,0x3fa05fff,0xffb802ff,0x6fff804f,0x4cbfff20,
    0xff907fff,0x3fee00df,0x7fff404f,0xdfff0003,0x217ffe40,0x3f206fff,
    0x37ffc2ff,0xa85fff90,0x0effffff,0x3fe17ffa,0x7d40003f,0x000006ff,
    0x0013ffee,0x01bffe00,0x0037ffc0,0xd00dfff0,0x80003fff,0xa804fffb,
    0x5c006fff,0x3ea04fff,0xfffd14ff,0xfffb8003,0x1fffdc1f,0x4c0ffff0,
    0xfffffeec,0x07ffec6f,0x7e46fff8,0x7e4004ff,0x3fe602ff,0x0bfff26f,
    0x6c6fff98,0xfff02fff,0x80fffeef,0xb803fffd,0x7c404fff,0xffffffff,
    0x3e3fffff,0x3f623fff,0xf7006fff,0xffa809ff,0x835103ff,0xfffffff8,
    0x3fffffff,0x3fffffe2,0xffffffff,0x3ffffe23,0xffffffff,0x3fffe63f,
    0x3fa5fffe,0xbffff84f,0x7e400199,0x000004ff,0x0013ffee,0x7fff764c,
    0x32606fff,0xffffffee,0x7f764c06,0x806fffff,0x0001fffe,0x4027ffdc,
    0x4004fffc,0x2602fffc,0xfff96fff,0x7fcc00bf,0xfffc83ff,0x21fffe02,
    0xffffffe9,0x7ec6ffff,0xdfff00ff,0x002fffd8,0x100fffec,0x7fecffff,
    0x3ffe201f,0x807ffec7,0xfff97fff,0x1fffe405,0x027ffdc0,0x3fffffe6,
    0xffffffff,0x3fffffa3,0x6ffffffe,0x09fff700,0xdfffffb0,0x989fffdd,
    0xffffffff,0x23ffffff,0xfffffff9,0x3fffffff,0x3fffffe6,0xffffffff,
    0x227fffa3,0xfff4fffe,0xfffff909,0x05bdffff,0x0017ffec,0x9fff7000,
    0xfffe9800,0x6fffffff,0xfffffe98,0x306fffff,0xfffffffd,0xfd00dfff,
    0xb80003ff,0xfd804fff,0x7ec002ff,0x3fe201ff,0xfffffb7f,0x3fffe200,
    0x05fffb04,0x3e63fffc,0xeeeeffff,0x7fec6fff,0x8dfff00f,0x4003fffd,
    0x2202fffd,0x3ff66fff,0x3ffe202f,0x807ffec6,0xfffb7fff,0x1fffe405,
    0x027ffdc0,0x3bbfffe6,0xeeeeeeee,0x3ffffe62,0x6ffcdfff,0x09fff700,
    0xfffffb10,0x989fffff,0xeeeeffff,0x22eeeeee,0xeeeffff9,0x2eeeeeee,
    0x3bbfffe6,0xeeeeeeee,0x4cbfff32,0xfffcffff,0xfffffb02,0x0bffffff,
    0x000ffff6,0x4fffb800,0x3fffe600,0xfffeeeef,0x7ffffcc6,0x6fffeeee,
    0xefffff98,0x06fffeee,0x001fffe8,0x027ffdc0,0x001fffec,0x880bfff6,
    0xfff96fff,0x3ffa00bf,0x3fff206f,0xd1fffe03,0xff01bfff,0x0fffd8df,
    0xfc8dfff0,0x7e4004ff,0x3fe603ff,0x0ffff25f,0x6c5fff98,0xfff00fff,
    0x80ffff2f,0xb803fffd,0x7c404fff,0x260005ff,0x72effffe,0x3ee00dff,
    0x3aa004ff,0xefffffff,0x02fffc42,0x05fff880,0x0bfff100,0x87fff500,
    0xfffffffa,0xeffff980,0xfffffeee,0x04fffc83,0x3fee0000,0x3ffa004f,
    0x6fff80df,0x406ffff4,0xffe86fff,0x6fff80df,0x01fffe80,0x27ffdc00,
    0x027ffe40,0x80ffff20,0xfd15fff9,0xff9001df,0x7fdc01ff,0xffff704f,
    0x3e07fff8,0x7ffec6ff,0x46fffb81,0x000ffffb,0xc817ffee,0x3fee3fff,
    0x3fff205f,0x807ffec3,0xfff77fff,0x0ffffc0b,0x027ffdc0,0x0003fffc,
    0xfd105544,0x3fee005f,0xf930004f,0x7ffc03ff,0x3ffe0007,0x3ffe0007,
    0xfffb8007,0xfffffb83,0x0efff885,0x86fffc88,0x000ffffb,0x9fff7000,
    0x03fffc00,0xfff8dfff,0x21bffe07,0x3fe07fff,0xfffe806f,0x7fdc0001,
    0xfffb804f,0x3fee000f,0x3fff205f,0xfa800cc3,0x7d402fff,0xfffa87ff,
    0x1fffe67f,0x3637ffe4,0x7fd43fff,0x7ffcc6ff,0x3fe6005f,0xfff881ff,
    0x3fffe61f,0x1ffff881,0xf807ffec,0xffff57ff,0x0ffff701,0x013ffee0,
    0x000ffffa,0x027ff400,0x009fff70,0x00bffe20,0x0007fffd,0x000ffffa,
    0x001ffff4,0x6c17ffe6,0xfc82ffff,0x3fe202ff,0xffff987f,0xf7000005,
    0x3e6009ff,0xfff907ff,0x83fffccd,0x7cc6fffc,0xfff907ff,0x3fffd00d,
    0xfffb8000,0xffff9804,0x3ffe6005,0xffff881f,0xfff30001,0x3ffa009f,
    0xfffc88df,0x7fffc7ff,0x3ffff623,0x4f7ffdc6,0x6fffffc8,0xaeffffd8,
    0x6c3db999,0xa88affff,0xfd85fffe,0xea88afff,0xffd85fff,0x4ffff00f,
    0x889efffe,0x003ffffb,0x5009fff7,0x2207ffff,0x7fcc001a,0x3fee000f,
    0xff90004f,0xffff500d,0x2a06a207,0x5103ffff,0x7ffff503,0xff886a20,
    0x7fec44ff,0xfffd85ff,0x17ffea03,0x577fffec,0x003db999,0x009fff70,
    0xb11ffffc,0xff8dffff,0x3ff623ff,0xffff86ff,0x3ffff623,0x1fffe806,
    0x7ffdc000,0xffffb004,0x7b73335d,0x8affffd8,0x45fffea8,0xd101fffa,
    0x5555ffff,0x7fdc3555,0xefffffff,0x7fff47ff,0xfffffeff,0x7fffcc6f,
    0xffefffff,0xfffff886,0x43ffffff,0xfffffff9,0x980fffff,0xffffffff,
    0xfd80ffff,0xffff00ff,0x7fffffd4,0x00efffff,0x009fff70,0x3bfffff6,
    0x004fffee,0x0097ffdc,0x004fffb8,0x001fffb0,0xddfffffb,0x3609fffd,
    0xeeefffff,0xffb04fff,0xffdddfff,0xffffb89f,0xffffffef,0x7ffdc3ff,
    0x3fee61af,0xfff102ff,0xffffffff,0x3fee0007,0x3ffa004f,0xffffefff,
    0x7fff46ff,0xfffffeff,0xffffe86f,0xffffffef,0xbfffe806,0x2aaaaaaa,
    0x027ffdc0,0xffffff88,0x4c3fffff,0xffffffff,0x7dc0ffff,0x3ffee06f,
    0xffffffff,0x7fffec5f,0x7ffbcfff,0x7fffffcc,0x86ffcdff,0xfffffffc,
    0xd306ffcb,0xffffffff,0xffff507f,0x03dfffff,0x7fffffd4,0xfb01efff,
    0x3ffe01ff,0x7ffffe47,0x900effff,0xffffffff,0x103fffff,0xfffffffb,
    0xa8009fff,0x643fffff,0xffffffff,0x801fffff,0x01fffffc,0x3fffff62,
    0x104fffff,0xfffffffb,0x36209fff,0xffffffff,0xfffd84ff,0xfeffffff,
    0x3fa22fff,0xffffffff,0x74c03fff,0xffffffff,0xfffc803f,0xffffffff,
    0xfff301ff,0xf9bfffff,0xffff98df,0xffcdffff,0xfffff986,0x6ffcdfff,
    0xfffffe80,0x0fffffff,0xfffffff9,0x03ffffff,0x3fffffa6,0xfa83ffff,
    0xffffffff,0x03ffd81e,0x3ffffff2,0x85ffffff,0x72effffc,0xffd30fff,
    0x3fee5dff,0xdffff906,0x701bfee5,0x9ffffffd,0x3fff6203,0xb1004eff,
    0x09dfffff,0xf00fffd8,0xffd30fff,0x4017ffff,0xfffffffc,0x01ffffff,
    0x3fffffaa,0xd8002eff,0x7e43ffff,0xffffffff,0x8801ffff,0x801ffffe,
    0xffffffea,0x7f5402ef,0x2effffff,0x7ffff540,0xd502efff,0x25dfffff,
    0x221ffffb,0xfffffffd,0x2e002eff,0xcffffffe,0xffffc801,0xffffffff,
    0x3ffa601f,0xdff72eff,0xdffffd30,0x4c1bfee5,0x72effffe,0xffd00dff,
    0xffffffff,0x3fff21ff,0xffffffff,0x7f5c01ff,0x01cfffff,0xdfffffb1,
    0x007ffc09,0xfffffff9,0x40bfffff,0x510001a9,0x54c00015,0x33100001,
    0x09988001,0x02662000,0x807ffec0,0x54c07fff,0xfff90009,0xffffffff,
    0x2a6003ff,0x9800019a,0x7fe40aba,0xffffffff,0x2a001fff,0xa98002bb,
    0x5300019a,0x26000335,0x220019aa,0x220001a9,0x1acceccb,0x04cc4000,
    0x3ffff200,0xffffffff,0x0aa8801f,0x01551000,0x00554400,0x3ffffa00,
    0xffffffff,0xffffff90,0x3fffffff,0x004cc400,0x10026620,0x000009bb,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x1aa98000,0x302b3326,0x6664c355,
    0x4ccc400a,0x80099999,0x3ba62eea,0x202aaa83,0xd8802aaa,0xddb11eee,
    0xdb10007d,0x2aa61bdd,0x02b33261,0x06f776c4,0x54355500,0x20002ccc,
    0x98802eeb,0x3a99bccb,0x7776c400,0x0000000d,0x99100000,0x2f764005,
    0x776c4000,0x3baa00de,0x000fba62,0x40aaaa01,0x54c1aaa8,0xaa8802aa,
    0x776c401a,0x7dddb11e,0x98bbb620,0x2e600dee,0x00acccdc,0x26666662,
    0x77744099,0x003eeeee,0x3b200000,0x5d44005e,0x653ff600,0x21ffffff,
    0xfff94ffd,0x7d403fff,0x4fffffff,0x88effa80,0xffd83ffd,0x0dfff00f,
    0x227fffb0,0x8003fffe,0x20efffe8,0xfff94ffd,0x36203fff,0x8800efff,
    0xffe8bfff,0x8000dfff,0x36201fff,0xffffffff,0x3fa2007f,0x54000eff,
    0x24efffed,0x403dfffd,0xfe805ee9,0xffc803ff,0x220005ff,0x400efffe,
    0xfd88effa,0x7f65403f,0xffd4efff,0xbfff301f,0x00ffff98,0x201fffec,
    0xfd13fffd,0xff9807ff,0x02fff9af,0xffffffd5,0x7fd407ff,0x44ffffff,
    0xfffffff8,0x3ffee04f,0x13ffea03,0x0bffff90,0x07fffe20,0x7feeffec,
    0xb0ffffff,0xffffbbff,0x2a01ffff,0xffffffff,0xffffd004,0xffb01fff,
    0x1bffe01f,0x747fff70,0x88002fff,0xfd84fffe,0xfffffddf,0x3ee01fff,
    0x7c400eff,0xffffecff,0x4c005fff,0x3fea06ff,0xffffffff,0xffd1007f,
    0xfe88009f,0x27ffffff,0x03ffffff,0xf3007ffa,0xfb80dfff,0x005ffeef,
    0x04fffe88,0x3fffffa0,0xffb100ff,0x2dffffff,0xf980fffe,0xfffe85ff,
    0x3fffe203,0x8fffee00,0x3002fffe,0x05ffffff,0x3fffffea,0x2a03ffff,
    0xffffffff,0x7ffffc44,0x3ee04fff,0x3fea03ff,0x3bfee04f,0xfc805ffe,
    0xffb05fff,0xffddffff,0x3fff67ff,0xfffeefff,0x9999303f,0x20059999,
    0x1fffffe9,0x201fffb0,0x3e606fff,0x3bff63ff,0xffe88001,0xffffb02f,
    0xffffbdff,0xeffe980d,0x3fffe200,0xfffddfff,0x372a600f,0xff103ffe,
    0xfb779fff,0xfd100fff,0xfb0005ff,0xffffffff,0x37fdccd4,0x9804ffb8,
    0x2e05ffff,0xffe88eff,0x3ffa2004,0x7f4c002f,0xf101ffff,0xffffffff,
    0x03fffadf,0x2e17ffe6,0x3ee06fff,0x3fe605ff,0x07bff63f,0x7ffff500,
    0x37fffe20,0x03dba99a,0x33333326,0x999982cc,0x2e04fffc,0x3ea03fff,
    0xdff704ff,0x809ffd11,0xb06ffffd,0x5c3dffff,0xfffb5fff,0x7ffdc3df,
    0x20000005,0x3600acca,0xfff00fff,0x10d5540d,0x20001555,0x3600aaa9,
    0x261effff,0x4401ffff,0x3e201aaa,0x360dffff,0xfe983fff,0x04ffffff,
    0xf01dfff9,0x55300fff,0xff500015,0x0e6617ff,0x307ffb55,0x32001fff,
    0x2aa01fff,0x02aaa20a,0x005554c0,0x01599500,0x4dffffe4,0x3ffa7530,
    0x5fff980f,0x00ffff88,0x5403fffd,0x2aaa21aa,0x55530000,0x03fffd40,
    0x5c000000,0x3ee04fff,0x3fea03ff,0x4155504f,0x2e00aaa8,0xfb05ffff,
    0xff983fff,0x3ffffb6f,0x006fff98,0xb0000000,0x3fe01fff,0x0000006f,
    0xfffb0000,0x9fff903f,0x7fc40000,0x7fd40eff,0x7fffdc4f,0x43ffffff,
    0xf00ffff8,0x00000fff,0x00ffff20,0xe82ffffc,0x54c002ff,0x00000000,
    0x98000000,0xe800ffff,0xff980fff,0x7fffb05f,0x00dfff10,0x00000000,
    0x003fffea,0xf7000000,0x3ee089ff,0x3fea03ff,0x4000004f,0xfb00effd,
    0x3ffe05ff,0x205fffb7,0x54c07fff,0x4000abcc,0x00abcca9,0x3e01fffb,
    0xca9806ff,0x2a000abc,0x2aaa02aa,0x40bfff62,0x5545fffa,0x4aaaa02a,
    0x980ffff8,0x3fe64fff,0xfffeceff,0x3ffea3ff,0x01fffe05,0x5999b973,
    0x3fff6001,0xfffdd000,0x02ffdc1f,0x65cc0000,0x880acccd,0x6542cdcb,
    0x0aaaa02c,0xff72aaa8,0x3ffa009f,0x5fff980f,0x70dfff30,0x2aa07fff,
    0x0aaaa02a,0x99b97300,0x7ffcc159,0x55000bff,0x15554055,0x229fff70,
    0x0fffee6c,0xa84fffa8,0x1aaaaaaa,0x3600c400,0xfff00fff,0x403fff6f,
    0xfd307fff,0x07ffffff,0xfffffd30,0xfffb07ff,0x81bffe01,0xffffffe9,
    0xfffb003f,0xd9bffe01,0xff300fff,0x0fffd8df,0x3e2dfff0,0xfd8007ff,
    0x3fffe4ff,0xfff70fff,0x83fffc07,0xffffffea,0xfff003ff,0x3ffa000f,
    0x001fff12,0x5405eea8,0xfffffffe,0x7fffe43f,0xfffeaeff,0xfffd80ef,
    0x32dfff00,0xfd002fff,0xfff301ff,0x0ffff40b,0x6c03fffa,0xfff00fff,
    0x3ffaa00d,0x43ffffff,0xdffffffe,0x3fff600b,0x40dfff00,0xffccfffb,
    0x80fffee6,0x7c44fffa,0x4fffffff,0xffd80000,0x2ffff00f,0xff00fffd,
    0xffff70ff,0x0dffffff,0x7fffffdc,0x7ec6ffff,0xdfff00ff,0x3ffffee0,
    0x806fffff,0xff00fffd,0x07ffecdf,0x6c7fff88,0xfff00fff,0x01fffe2d,
    0x54dfff30,0x2fffcdff,0x7c05fff9,0xfffa87ff,0x3fffffff,0x00ffff00,
    0xfff75571,0x000bff63,0xfa81ffee,0xffffffff,0x7fffec3f,0xffffffff,
    0xfffd85ff,0x36dfff00,0xfd001fff,0xfff301ff,0x27ffdc0b,0x6c0bfff3,
    0xfff00fff,0xffff500d,0x87ffffff,0xffffffe8,0xfffb04ff,0x81bffe01,
    0xfffffffb,0x80fffee6,0x7c44fffa,0x4fffffff,0xffd80000,0x2ffff00f,
    0xff00fffd,0xffff98ff,0xfffffdef,0xfffff983,0x3fffffde,0x7c03fff6,
    0xfff986ff,0xffffdeff,0x7ffec03f,0x6cdfff00,0xff300fff,0x0fffd8df,
    0x3e2dfff0,0x7dc007ff,0x2fff62ff,0xffb3fff8,0x3fffc05f,0x2b7fffe2,
    0x003dba99,0xf300ffff,0x2e9fffff,0xf70005ff,0xfff101ff,0xb75335bf,
    0xb99bed87,0xfdaeffff,0x7ffec0ff,0x36dfff00,0xfd001fff,0xfff301ff,
    0x3fffc40b,0x6c05fff9,0xfff00fff,0xffff880d,0x3dba99ad,0xfffffb50,
    0xfffb0dff,0x81bffe01,0xeffffffb,0x80fffee2,0xcc84fffa,0x04fffdcc,
    0xfffd8000,0x36ffff00,0xfff00fff,0x0efffd8f,0x207fffe4,0x640efffd,
    0xffb0ffff,0x1bffe01f,0x903bfff6,0x6c01ffff,0xfff00fff,0x807ffecd,
    0x7ec4fffa,0xdfff00ff,0x001fffe2,0x3e21fff9,0x2bfff0ff,0x3e03fffc,
    0x7ffd47ff,0xfffd8007,0xffffffff,0xddb13fff,0x3ffe2399,0x7f5cc000,
    0xfffa80ff,0xfd80c007,0x0bffa0ff,0x3e01fffb,0x3fffb6ff,0x03fffa00,
    0xb017ffe6,0x3ffe5fff,0x07ffec07,0x5406fff8,0x40007fff,0xfffffdb8,
    0x807ffec2,0xfc886fff,0xb82effff,0x3ea03fff,0xffb804ff,0xd800004f,
    0xfff00fff,0x403fff6f,0x3fe67fff,0xfffd00ff,0x07fffcc7,0xfb3fffe8,
    0xfff703ff,0x0ffff98d,0x407fffd0,0xff00fffd,0x07ffecdf,0x6c3fffd8,
    0xfff00fff,0x01fffe2d,0x2a1fffb0,0x5fffa5ff,0xf704fffb,0xfffa8fff,
    0x7fec000f,0xffffffff,0xb003ffff,0x6c4005ff,0x80ffffff,0x000ffffa,
    0x646ffc80,0x7ffec4ff,0x36dfff00,0xfd001fff,0xfffb01ff,0xdfffa80b,
    0x6c04fffa,0xfff00fff,0xffffa80d,0xff300000,0xfffd89ff,0x44dfff00,
    0x5ffffffc,0x80fffee0,0xb804fffa,0x2e004fff,0x3ff603ef,0x2ffff00f,
    0xff00fffd,0x27ffdcff,0x5c9fff50,0x3ea04fff,0x7fffb4ff,0x46ffffa8,
    0x2a04fffb,0x3f604fff,0xdfff00ff,0x4c07ffec,0x7ec1ffff,0xdfff00ff,
    0x001fffe2,0x3f61fffb,0x55bffe2f,0xffa87fff,0x7ffcc7ff,0xfb000bff,
    0xffffffff,0x007fffff,0x4400bff5,0xffffffff,0xfffff981,0x3ee0000b,
    0x227fdc5f,0xff00fffd,0x07fff6df,0x217fff40,0x805ffffc,0xfffdfffe,
    0x07ffec00,0x4c06fff8,0x00bfffff,0x4fffc800,0xf807ffec,0x3fff66ff,
    0x2e04ffff,0x3ea03fff,0xffb804ff,0xfff5004f,0x3fff607f,0x36ffff00,
    0xfff00fff,0x017ffe4f,0x7e4dfff3,0x3fe602ff,0x3dfff76f,0xdfffff91,
    0x202fffc8,0x3606fff9,0xfff00fff,0x20fffecd,0xd84ffffa,0xfff00fff,
    0x01fffe2d,0xf13fff70,0x3ffe21ff,0x237fffa5,0x7fffffc8,0xffffffe8,
    0x7fc000bd,0x3e20007f,0x3f6000ff,0x019abfff,0x3ffffffa,0x6e5400bd,
    0xeeefffee,0x7fec5ffe,0x2dfff00f,0xd001fffd,0xf933dfff,0x801fffff,
    0x5ffffffb,0x00fffd80,0xfd00dfff,0x17bfffff,0x3e203750,0x7fec2fff,
    0x4dfff00f,0xfffdeffd,0x0fffee04,0x804fffa8,0x9004fffb,0x360fffff,
    0xfff00fff,0x403fff6f,0x3ff67fff,0x3ffe201f,0x807fff67,0xff37fff8,
    0xdfffffff,0xfffd8dff,0x1fffe201,0xf00fffd8,0x7ffecdff,0xfffffeef,
    0x0fffd80e,0x3e2dfff0,0x7d4007ff,0x25ffabff,0x3ee4fffa,0xffffffff,
    0xfe887fff,0x4fffffff,0x01fffe00,0x263ffd80,0xfff88199,0x3fa2002f,
    0x4fffffff,0xfffffe88,0xffffffff,0x07ffec5f,0xffb6fff8,0x3ffa003f,
    0xffffffff,0x2203ffff,0x02ffffff,0xf00fffd8,0xfd100dff,0x9fffffff,
    0xcdefffb8,0x40fffffe,0xff00fffd,0xfb976cdf,0x3fee04ff,0x3ffea03f,
    0x4fffb804,0xfffff700,0x01fffb03,0x7fedfffe,0x4ffff00f,0x2202fffd,
    0x3ff66fff,0x3ffe202f,0x3fffff26,0x46ffcbff,0x2202fffd,0x3f606fff,
    0xdfff00ff,0x7fffffec,0xb00dffff,0x3fe01fff,0x0ffff16f,0xdefff880,
    0x3fffa2ff,0x7ffffec1,0x07ffebff,0x3fffff6a,0xfff006ff,0x3fea000f,
    0x21fffea5,0x0007fff9,0xffffffb5,0xdfffe8df,0xccceffec,0x7fec2ccc,
    0x2dfff00f,0xd001fffd,0xffffffff,0x07ffff95,0x06ffffd8,0x201fffb0,
    0x2a006fff,0xfffffffd,0x3ffffee6,0x81ffffff,0xff00fffd,0x3fee0cdf,
    0x3ffee04f,0x13ffea03,0x013ffee0,0x81ffffe8,0xff00fffd,0x03fff6ff,
    0xff937ffc,0x7ffcc07f,0x80ffff25,0x7e45fff9,0xff72efff,0x03fffc8d,
    0xd817ffe6,0xfff00fff,0x7ffffecd,0x6c02efff,0xfff00fff,0x01fffe2d,
    0x3fffffa0,0x5fffd88f,0x5dffff90,0x2201fffa,0x2fffffdb,0x007fff80,
    0xf10fff88,0xff50ffff,0xb88000ff,0x52fffffd,0x7fdc3fff,0x3fff6004,
    0x36dfff00,0xfd001fff,0x25dfffff,0x403fffe8,0x003ffffa,0x3e01fffb,
    0xb88006ff,0x52fffffd,0xfffffffd,0x3ff6019f,0x0dfff00f,0x7027ffdc,
    0x7d407fff,0xffb804ff,0x3fe2004f,0x000000ff,0x25fff980,0x3205fffb,
    0x3fee3fff,0x3fff205f,0x74435303,0x7ffdc3ff,0x0ffff205,0xb81fffd8,
    0x3ff66fff,0x2000999f,0xfb81fffd,0x200006ff,0xffffffe8,0x401fffff,
    0x3fffc1a9,0x3fffe600,0x07fff804,0x363ffd80,0xf887fdef,0x00002fff,
    0x2e9ffff3,0x2ffdc5ff,0x03fffb00,0x3f6dfff7,0xffd001ff,0x2a60151d,
    0x7fffa801,0x07fff600,0x001bffee,0x89ffff30,0x019aa998,0xb81fffd8,
    0x3ee06fff,0x3fee04ff,0x3ffee03f,0x4fffb803,0x03fff400,0x00033310,
    0x264fffc8,0xf881ffff,0x3fe61fff,0xfff881ff,0x3ff6001f,0x1ffff984,
    0x01ffff88,0xf50ffff6,0x7fecdfff,0xffb0000f,0xffffa87f,0x00666206,
    0x7fffffc4,0x0001efff,0x2001fffe,0xf804fffc,0x7d4007ff,0x327fea6f,
    0xffffd07f,0x3f200003,0x8bff94ff,0xb000fffd,0xffa87fff,0x3fffb6ff,
    0x01fffa00,0xfffe8800,0x3fff6003,0x37fffd43,0x7ffe4000,0x00666204,
    0xf50ffff6,0x7dc0dfff,0x3fee04ff,0xf513733f,0xf7005fff,0x7c4009ff,
    0x3f6004ff,0x3a20005f,0x7fec3fff,0xfea88aff,0xfffd85ff,0xffea88af,
    0x3fe6005f,0xffffb00f,0xfffd5115,0xefffb80b,0xfffffc89,0x003fff66,
    0x4f7ffdc0,0x6fffffc8,0x8017ff60,0xeffffff9,0x7fc0000c,0x880dd47f,
    0xf802ffff,0x3e2007ff,0x29ff11ff,0xfff507fc,0x81357dff,0xfff101ba,
    0xa9fff25f,0x8084ffff,0xc89efffb,0xfb6fffff,0x3fa003ff,0x880000ff,
    0x4006fffd,0xc89efffb,0x406fffff,0xfff101ba,0x2ffec05f,0x4f7ffdc0,
    0x6fffffc8,0x813ffee0,0xff33fffb,0x00dfffff,0x4013ffee,0x4006ffea,
    0x98003fff,0x986ffffe,0xffffffff,0xf980ffff,0xffffffff,0x2e000fff,
    0xf9812fff,0xffffffff,0x7cc00fff,0xffffffff,0x3ff66ffe,0xff30000f,
    0xdfffffff,0x7ffc0dff,0x37fee003,0x2000009a,0x7fdc7fff,0xfffecdef,
    0xfff800ff,0x8fff2007,0xfffeeffb,0xffffb82e,0x7dc4ffff,0xffecdeff,
    0xfff50fff,0xffffffbd,0x981fd99d,0xffffffff,0xffb6ffef,0x3ffa003f,
    0xcc88000f,0x00fffffc,0x7ffffcc0,0x6ffeffff,0x6f7ffdc0,0x0fffffec,
    0x200fffe0,0xfffffff9,0xf96ffeff,0xffffffff,0x3ee3ffff,0xffff33ff,
    0xff903fff,0xffffffff,0x3fea3fff,0x2001efff,0x8000fff8,0x01fffffc,
    0xfffffff5,0x7d403dff,0xffffffff,0x7fd4001e,0xffa83fff,0xefffffff,
    0xffff9001,0xdff97fff,0x0007ffec,0xffffff90,0x20dff97f,0x2000fff8,
    0x00001ffe,0xfb8ffff0,0xffffffff,0xfff001ff,0x1bfe600f,0xfffffff7,
    0x3ffee05f,0x7dc4ffff,0xffffffff,0x7fffc1ff,0xfffe8eff,0xfc80ffff,
    0xcbffffff,0x3fffb6ff,0x03fffa00,0x3fffe200,0x90002fff,0x7fffffff,
    0xfb80dff9,0xffffffff,0x3fe201ff,0xfff9000f,0xff97ffff,0x3fffff2d,
    0xffffffff,0x267fff71,0x00dffffe,0xfffffff9,0x23ffffff,0x003ffffa,
    0x0006ffa8,0x803bfff9,0xefffffd8,0xfffb1004,0x40009dff,0x103ffffd,
    0x9dfffffb,0xffff9000,0xd9bfee5d,0x40000fff,0x72effffc,0x3fea0dff,
    0x1ffe6006,0xfff80000,0x7ffff547,0x000cffff,0x7401fffe,0x5554c1ff,
    0x400bffda,0x44ffffeb,0xffffffea,0xfe980cff,0xffd10dff,0x3201bfff,
    0xf72effff,0x07fff6df,0x007fff40,0x7ffffc40,0x7e40000d,0xff72efff,
    0xfffea80d,0x00cfffff,0x20037fd4,0x72effffc,0x3fff2dff,0xffffffff,
    0x131001ff,0xfffff900,0xffffffff,0x0026b263,0x00166540,0x8001bcb8,
    0x20000998,0x00000998,0x10015753,0x30000133,0x2aa60035,0x5300000a,
    0x59950003,0x00d54400,0x55550000,0x26aa6620,0xffff0001,0x009ff900,
    0x22001ff2,0x533101a9,0x2a600335,0x01355100,0x36006a60,0x55001fff,
    0x76c00055,0x400001bc,0x880001a9,0x0019aa99,0x4000b32a,0x000001a9,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xeee80000,
    0x003eeeee,0x807dd910,0x00005ee9,0x01355530,0x77764000,0x76c4002e,
    0x775c0dee,0x220002ee,0x02f6c4ee,0x00066a60,0x4ccccccc,0x40000009,
    0x0001eeeb,0x74c5ddb1,0xd88000de,0xd880deee,0x37ba62ee,0x07dd9100,
    0x8805ee98,0x4001aaa9,0x00009aa9,0x000002a6,0x001eeeb8,0x000d4400,
    0x26200000,0x5300000a,0x2a200035,0xa980019a,0x0eeec801,0x3bbba200,
    0x3e03eeee,0x4fffffff,0x7ffe4400,0x0fff404f,0xfffffff1,0xd88fffff,
    0xffffffff,0x7fe40003,0x744002ff,0xf700efff,0x40005fff,0xffb8afff,
    0xfffd9806,0xffffffff,0xfffff105,0x4400dfff,0x0ffffedb,0x002fffc8,
    0x26bffe60,0x88002fff,0x200efffe,0xff9afff9,0xfffc882f,0x0fff404f,
    0xfffffc88,0x36205fff,0x2effffff,0xffffd700,0xffff809d,0x4fffffff,
    0x0005fff9,0x00bffaa0,0x4c05fff9,0x3ae05fff,0x01dfffff,0x3fffb660,
    0x5c00dfff,0xfffffffe,0x3ffae02d,0xfb00dfff,0x7c4001ff,0x4fffffff,
    0x3fffffe0,0x7c4004ff,0x2e04ffff,0x7ffc44ff,0xffffffff,0x7ffffcc7,
    0x006fffff,0x01dfff90,0x4fffe880,0x2fffe980,0xffff9000,0xfa805fff,
    0xffffffff,0xf105ffff,0xdfffffff,0xffffb300,0x7fc1ffff,0xffffffff,
    0x7ffcc004,0x88002fff,0x3004fffe,0x05ffffff,0x13ffffe2,0xf504ffb8,
    0xffffffff,0x3ffea0df,0x5fffffff,0x3ffff620,0xf00effff,0xffffffff,
    0x3fff29ff,0xff900002,0xfffc805f,0x17ffe602,0x3fffff62,0xb802ffff,
    0xffffffff,0xffd300ff,0xffffffff,0x3ffff209,0xd81fffff,0x22000fff,
    0xffffffff,0x2e666604,0xc8004fff,0xf304ffbb,0xfff881ff,0xffffffff,
    0x7ffffcc7,0x04ffffff,0x027ffe40,0x17fff440,0x5fffb100,0x3fff6000,
    0x7fdc03ff,0xffffffff,0x3205ffff,0x3ccccccc,0x7ffffcc0,0x3e0fffff,
    0xffffffff,0xffa8004f,0xe88003ff,0x54002fff,0x6403ffff,0xf304ffbb,
    0xfff101ff,0xffffffff,0xfffff10d,0x7fffffbb,0x37dffd10,0x03fffb73,
    0xffffffff,0x3ff29fff,0xf900002f,0xffc805ff,0x3ffe602f,0x7ffffc45,
    0x3fffffff,0xfffffd10,0x01ffffff,0xfffffff5,0xd09fffff,0xffffffff,
    0xffd83fff,0x4ccc000f,0x004fffc9,0x0013ffee,0xfd04ffa8,0xdfff105f,
    0x99999999,0x2a20ac88,0x2007fffd,0x0001aaa8,0x00015553,0x8000aaaa,
    0xe801bcba,0xff91cfff,0x0013333f,0x3ffe6000,0x199abcff,0x7ffffffc,
    0x30004fff,0x26000555,0x30000aaa,0x7d400555,0x05ffd04f,0x82bffff6,
    0xffc84b98,0x6fffa84f,0x2e04ffd8,0x999986ff,0x4fffb999,0x0005fff9,
    0x00bfff20,0x4c05fff9,0x7fe45fff,0xffb99cff,0xfff907ff,0xb73357df,
    0xffff881f,0xdaa99bdf,0x7fffd44f,0x17fffa61,0x0001fffb,0x004fffb8,
    0x0013ffee,0xfb84ffa8,0x9fff105f,0xff880000,0x000001ff,0x00000000,
    0x7d400000,0x3ffe45ff,0xfd000000,0xc8001bff,0x00002fff,0x00000000,
    0x3fea0000,0x205ffb84,0x8001ffff,0xfd00fffd,0x04ff98ff,0x0017fdc1,
    0x3f29fff7,0x550002ff,0x59fffb55,0x3f235555,0x3fe602ff,0x3fffe25f,
    0x3ffff882,0x06ffffc4,0xffff9010,0x7f418805,0xfff881ff,0x03fff61f,
    0x9fff7000,0x27ffdc00,0x89ff5000,0xf100fff8,0x000009ff,0x2a01fffd,
    0x1aaaaaaa,0x261aa980,0x5400accc,0x1aaaaaaa,0x55555500,0xffe80355,
    0x03ffe41f,0xaaaaaaa8,0x7ffd401a,0xfff90006,0x35530005,0x0056664c,
    0x66543555,0x0d55402c,0xa8059995,0x7ffc44ff,0x1ffff100,0x1fffd000,
    0xfb1bffa0,0x7ffecc1f,0x5c00dff1,0xfff94fff,0x0aaaaa05,0xffffffff,
    0x2bffffff,0x2602fffc,0x3ff25fff,0x3ffee04f,0x037ffe46,0x17fffcc0,
    0x2fffd400,0x6c9fff70,0x99730fff,0xfff70015,0x7ffdc009,0x3fea0004,
    0x1017fec4,0x00009fff,0x220dfff0,0xffffffff,0x94ffd804,0x03ffffff,
    0x3fffffe2,0xff8804ff,0x04ffffff,0x321bffe2,0xff8807ff,0x04ffffff,
    0x0017ffec,0xb71fffc8,0x3f603bdf,0xfffff94f,0x7fff103f,0xbfffffd1,
    0x17fff101,0x1bfffffd,0xfb13fea0,0xffff805f,0xfffd8004,0x24fffa84,
    0x3fee5ff8,0x3ff91fff,0x53ffee00,0xfc82fffc,0x7ffc1fff,0xffffffff,
    0xfff95fff,0x2fffcc05,0x4403fffd,0x3fe0ffff,0xfc8003ff,0xf90006ff,
    0x3fa605ff,0x3fff66ff,0xffffffc8,0x27ffdc01,0x09fff700,0x727fd400,
    0xff880bff,0x6400004f,0xff104fff,0x09ffffff,0xffbbffb0,0x01ffffff,
    0xfffffff1,0xfff1009f,0x409fffff,0xfc84fff9,0xfff8807f,0x404fffff,
    0x0000ffff,0xffb3fff9,0xfb05ffff,0xfffffbbf,0xff881fff,0xfffffecf,
    0xfff885ff,0xffffffec,0x49ff505f,0xfe805ffb,0x2002efff,0x50dffff9,
    0x7cc1ffff,0x9dfff12f,0x00ffe61b,0xfca7ffdc,0x7ffdc2ff,0xecccc82f,
    0xccccdfff,0x05fff93c,0xff2fffcc,0xfffd00ff,0x01fffe63,0x017ffec0,
    0x80fffd80,0x27fffffb,0xfffdfffd,0x200fffff,0x2004fffb,0x0204fffb,
    0x3e235510,0x7fc400ff,0x1cefffff,0x76555440,0x66404fff,0x04fffdcc,
    0xffffffd8,0x03ffffee,0xfffb9999,0x33332009,0x2a04fffd,0xffc84fff,
    0xc80aaabf,0x4fffdccc,0x2ffffe20,0x02dffffd,0x3ffbfff2,0x40ffffff,
    0xeffffffd,0x443ffffe,0xdfffffff,0x440ffffd,0xdfffffff,0x880ffffd,
    0x1fff11aa,0xfffff500,0xf90017df,0xfffdffff,0x71ffb85f,0x3fe20dff,
    0x9fff7004,0xfa8bfff2,0xf9002fff,0xffc805ff,0x3ffe602f,0x00ffff15,
    0x3ea5fffd,0xfd0006ff,0x999883ff,0x3ffa0999,0x7fffec47,0x3fff67ff,
    0xfffeefff,0x3ffee03f,0x3ffee004,0x03ffe984,0x200bff60,0xfffffff8,
    0xf300efff,0x07ffffff,0x09fff700,0x3dffffb0,0x802fffdc,0x0004fffb,
    0x5c09fff7,0xffc83fff,0x802fffff,0x2604fffb,0xffffffff,0xc80effff,
    0xcaefffff,0x7ec3ffff,0x3ee1efff,0x7ffc45ff,0x3ff60dff,0x7fffc43f,
    0x3fff60df,0x05ffb003,0x7ffffe40,0x6400dfff,0xefffffff,0xfb0ffc81,
    0x02ffc07f,0xf94fffb8,0x3ffe25ff,0x3ff2003f,0x7ffe402f,0x57ffe602,
    0xd806fff9,0xfff73fff,0x3ffe000b,0x7ffff40f,0x9bffe4ff,0xfeeffff9,
    0xffffb0ff,0x2fffdc3d,0x009fff70,0x2227ffdc,0x802fffff,0xf1005ffa,
    0xffffffff,0xff301dff,0x1bffffff,0x27ffdc00,0x0ffffec0,0x401bffe6,
    0x0004fffb,0x5c09fff7,0xffc83fff,0x802fffff,0x2a04fffb,0xffffffff,
    0xc85fffff,0x7dc5ffff,0x7ffec4ff,0x37ffcc1f,0x03bfffe2,0xf889fff5,
    0x7d40efff,0xffa804ff,0xfffb8005,0x03ffffff,0x7fffffec,0x3a7fd83f,
    0x1bfa03ff,0xca7ffdc0,0xffe8afff,0x7fe4004f,0x7ffe402f,0x57ffe602,
    0xc806fffa,0xfff93fff,0xfff1000b,0xfffffd0f,0x5bffe29f,0xd8dffffc,
    0xfffb1fff,0x6fff983f,0x013ffee0,0x544fffb8,0x405fffff,0x2000fff8,
    0xeb999999,0xc884ffff,0xffffeecc,0xfff7001f,0x5fffb009,0x401fffe0,
    0x0004fffb,0x5c09fff7,0xffc83fff,0x801ccccf,0x2a04fffb,0x99beffff,
    0x42ffffda,0x4c0efffc,0x7fec5fff,0x8ffff02f,0x980ffff8,0x7fc44fff,
    0xfff980ff,0x07ffc404,0xffeb8800,0x882fffff,0xfffffffe,0x87fe45ff,
    0x3fe04ffd,0x9fff7005,0x3f6bfff2,0xffa805ff,0xffffffff,0x3fff25ff,
    0x57ffe602,0xd806fff9,0xfff92fff,0xfff1000b,0xfffffd0f,0x777ffc9f,
    0x3f63ffff,0x5fffb0ff,0xb81fffe0,0x2e004fff,0x7fd44fff,0x7ec05fff,
    0x0066663f,0x037ffec0,0x0dfffd30,0x013ffee0,0x7c03fff6,0xff7007ff,
    0x3ee0009f,0x3fea04ff,0x07ffc84f,0x09fff700,0xb037ffd4,0xffc89fff,
    0x5fff882f,0xf807ffec,0x7ffc47ff,0xfff10007,0x3f60000f,0x0037513f,
    0xfffff930,0xcfffe88f,0x4ffffea8,0x7fe47fee,0x04ff880e,0x329fff70,
    0x6fffefff,0xfffff500,0xbfffffff,0x3017ffe4,0x3fe2bfff,0xfffd807f,
    0x00dfff71,0x803fffe0,0x3fa4fff9,0x40efffff,0x3ff67ffe,0x0ffff00f,
    0x0027ffdc,0xf889fff7,0x2a02ffff,0x3ffea5ff,0xfff30007,0xfff8800f,
    0xfffb801f,0x0fffd804,0x200ffff0,0x0004fffb,0x4c09fff7,0xffc84fff,
    0xfff70007,0x37ffcc09,0xc8bfff50,0xff882fff,0x07ffec5f,0x7c47fff8,
    0xf10007ff,0x50000fff,0x3fff2bff,0xe88002ff,0x3f61ffff,0xfffd83ff,
    0x265ff50f,0x31edffff,0x3ee007ff,0xffff94ff,0x2a009fff,0xffffffff,
    0x3f25ffff,0x3fe602ff,0x0ffff15f,0x2a1fffd0,0xd0007fff,0x7cc03fff,
    0x3fffa4ff,0xffff04ff,0xf807ffec,0x3fee07ff,0x3fee004f,0x3ffe984f,
    0x443ffe20,0x0007ffff,0x0003fffe,0x7005fffb,0xfb009fff,0x3ffe01ff,
    0x9fff7007,0x3ffee000,0x1bffe604,0x4001fff2,0x2204fffb,0x3e607fff,
    0x7ffe46ff,0x45fff882,0xff00fffd,0x7fff88ff,0xffff1000,0xfff88000,
    0xdffddf90,0x3ffe6000,0x0dfff12f,0xf997fff4,0x3ffff25f,0x003ff91f,
    0x7e53ffee,0x3ffffbff,0x2fffc800,0x01fffdc0,0x7fc7fff5,0x3fe201ff,
    0x3fffe67f,0xfffd8002,0x93ffe604,0x302ffffd,0x7fecdfff,0x0ffff00f,
    0x0027ffdc,0x0009fff7,0x3f63ffd8,0x30007fde,0xd000dfff,0xf7003fff,
    0xffb009ff,0x1fffe01f,0x027ffdc0,0x04fffb80,0x3207fffc,0xf70007ff,
    0xfff809ff,0x9fff501f,0x882fffc8,0x7fec5fff,0x8ffff00f,0x0007fff8,
    0x000ffff1,0x8623ffd8,0xf0001ffe,0x3fe63fff,0x3ffee04f,0xeb83ffa3,
    0x0dff0fff,0xc9fffe40,0xfffaafff,0x7fe4001f,0x7ffd403f,0x8bffee04,
    0x2e04fffd,0x7ffc5fff,0xffb8006f,0xfff300ff,0x02fffdc9,0x7ec7fff9,
    0xffff00ff,0x027ffdc0,0x009fff70,0xf537fd40,0x000ff93f,0x0017fff6,
    0x200ffff5,0xd804fffb,0xfff00fff,0x3ffee00f,0xfff70004,0x5fffc809,
    0x8003ffe4,0x6c04fffb,0xffb04fff,0x2fffc87f,0x6c5fff88,0xfff00fff,
    0x07fff88f,0x0ffff100,0x037fd400,0x0088fff3,0x267fffa8,0x3f207fff,
    0x17fea1ff,0x088bff20,0x23ffff10,0xffb2fffc,0x7dc001ff,0x7fcc05ff,
    0x3fffa07f,0x0bfffe61,0x507fffe6,0x401bffff,0x77fff409,0x24fff980,
    0x882ffff8,0x7fec7fff,0x0ffff00f,0x0027ffdc,0x0009fff7,0x7c47ffe2,
    0x530ff94f,0xfffea983,0x3102661f,0x00bffff9,0x2013ffee,0xff00fffd,
    0x3fee00ff,0xff70004f,0xfff9809f,0xfffd89df,0xb8009999,0x7cc04fff,
    0xf910bfff,0xffc81fff,0x5fff882f,0xf807ffec,0x7ffc47ff,0xfff10007,
    0x3fe2000f,0x7fff301f,0x99abefa8,0x5ffffc99,0x2067fffc,0xfe87fffa,
    0x1bff204f,0x7f4c39f3,0xfff90fff,0x1bfffa25,0x2ffffa80,0x37fffa08,
    0x17fff621,0x2b3ffffa,0x05ffffba,0x79fffffd,0xa81fd953,0x9acfffff,
    0x644fffc9,0x3a62efff,0x7fec3fff,0x0ffff00f,0x0027ffdc,0x0009fff7,
    0xffb8fff2,0x22efffee,0xfffffffb,0x7ec2ffff,0xffffffff,0xf7000eff,
    0xffb009ff,0x1fffe01f,0x027ffdc0,0x04fffb80,0xffffffd8,0xffffffff,
    0x4fffb805,0xfffffd80,0x82ffffff,0xf882fffc,0x7ffec5ff,0x88ffff00,
    0x10007fff,0x2000ffff,0xff503ffc,0xffff505f,0xffffffff,0xffffc81f,
    0xffffeeef,0xbefff983,0x1effdb99,0x7fffffcc,0x3f22ffff,0x3ffe62ff,
    0xfff1005f,0x4bfddfff,0xfffffffa,0xa80fffff,0xffffffff,0xf300ffff,
    0xffffffff,0xffb01fff,0xffffffff,0xfff889ff,0xffffffff,0x07ffec0e,
    0x2e07fff8,0xff904fff,0xffffffff,0xf9803fff,0x7fffdc6f,0x3ee2ffff,
    0xffffffff,0xffffd82f,0x0dffffff,0xffffff90,0x3fffffff,0xf00fffd8,
    0xfff90fff,0xffffffff,0xfffc83ff,0xffffffff,0xfffc81ff,0xffffffff,
    0x7ffe45ff,0xffffffff,0x7fec41ff,0x3fffffff,0x105fff90,0xffd8bfff,
    0x8ffff00f,0x0007fff8,0x000ffff1,0x3f20dff3,0x2a1aacff,0xffffffff,
    0xfd01ffff,0xffffffff,0x7ff4409f,0x0effffff,0xffffff98,0x7fe44fff,
    0x7fffdc2f,0xffff7003,0xfc8bffff,0xffffffff,0x3ffe602f,0x0effffff,
    0x7ffff440,0x00ffffff,0xfffffff7,0xd109ffff,0xffffffff,0x1fffb01b,
    0x7e5fffe0,0xffffffff,0xffc9ffff,0xffffffff,0x7f401fff,0x55554c1f,
    0x3ee0bffd,0x2effffff,0x3fffff60,0x6401cfff,0xffffffff,0x6c1fffff,
    0xfff00fff,0xfffff90f,0xffffffff,0xfffffc83,0xffffffff,0xffffb701,
    0xbfffffff,0xffffffc8,0x1fffffff,0xfffffd70,0x7ffe401b,0x45fff882,
    0xff00fffd,0x7fff88ff,0xffff1000,0x03ffd000,0x3ffffffe,0x3ffff664,
    0x802effff,0xffffffea,0xffd9001d,0xeb807dff,0x81efffff,0xfd82fffc,
    0xd5001fff,0x09ffffff,0xffffffd3,0xfdb10019,0x8009dfff,0xffffffdb,
    0x7f6cc02d,0x0bdfffff,0x3fffff20,0x3fff603e,0x32ffff00,0xffffffff,
    0xfc9fffff,0xffffffff,0x3201ffff,0xff9004ff,0x026a6620,0x09a99980,
    0x7fffe400,0xffffffff,0x07ffec1f,0xfc87fff8,0xffffffff,0x7e41ffff,
    0xffffffff,0x8801ffff,0x3f200099,0xffffffff,0x4401ffff,0xff9000a9,
    0xbfff105f,0xf00fffd8,0xfff88fff,0xfff10007,0x4ffc800f,0x3fffffe0,
    0x3533104f,0x2a620003,0x0cc00019,0x004cc400,0x220bfff2,0x000ffffe,
    0x4006aa62,0x200009a8,0x80000998,0x10000998,0x10003353,0x3ff60033,
    0x2ffff00f,0xfffffffc,0x01ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0000bdd9,0x06f776c4,0x1000d440,0x774c5ddb,0x0aa9800d,
    0x00000000,0x100026a6,0x00000355,0x00000000,0x00000000,0x00000000,
    0x00266200,0x00000000,0x73000000,0x015999b9,0x00000000,0x00000000,
    0x6654c000,0x000001ab,0x00000000,0x00000000,0x5ffffc80,0xffe88000,
    0x7f5400ef,0x7fcc002f,0x02fff9af,0x3fffff62,0x3ffe203f,0x07fff206,
    0xfffffb10,0x7fecc07d,0xf303ffff,0xffffffff,0x365fffff,0xffffffff,
    0x06ffffff,0xff883ffe,0x3fffa007,0xfff3007f,0x179dffff,0x17fffc40,
    0x807fffe0,0x206fffc8,0xffffffff,0xffd80bee,0xffffffff,0xd006ffff,
    0xffffffff,0xfffea85f,0x003fffff,0x07ffffee,0x0003fffa,0x407ffff1,
    0x2e0ffffc,0x3f6007ff,0xffff704f,0x3f25ffff,0xffffffff,0xfff75fff,
    0xa7ffd407,0xfffffffc,0xf7000bce,0xff8007ff,0xffffffff,0x7fdc04ff,
    0x0005ffee,0x013fffa2,0x0017ffe4,0x7fffffcc,0x3fffee02,0x80efffff,
    0x3206fff8,0x3ea01fff,0xffffffff,0x7fffe40e,0x40efffff,0xfffffff9,
    0x2fffffff,0xfffffffb,0xdfffffff,0xf31ffe20,0x3fe200ff,0x9801ffff,
    0xffffffff,0x3ee03fff,0x3fee06ff,0xfff9105f,0x7ffc0dff,0xffffffff,
    0x7fffec3f,0xffffffff,0xff9806ff,0xffffffff,0x3ffffea2,0x003fffff,
    0x3ffffff1,0x001fffd0,0x20ffff90,0x543ffff8,0xfb000fff,0xfffe987f,
    0x92ffffff,0xffffffff,0x3eebffff,0x3fea03ff,0xfffff94f,0x07ffffff,
    0x007fff70,0xfffffff8,0x204fffff,0xfe88effb,0xfe88004f,0x3f2002ff,
    0xf50002ff,0x7d407fff,0xffffffff,0xfff885ff,0x07fff206,0x7fffffc4,
    0x360ffffe,0xffffffff,0x7fcc5fff,0xffffffff,0x9fb2ffff,0x8837dc00,
    0x37fcc7ff,0xfffffb80,0xfff9804f,0xffffffff,0x3fffa06f,0x0ffff883,
    0xffffffb8,0x3fffe06f,0xffffffff,0x3ffff62f,0xffffffff,0xffc806ff,
    0xffffffff,0x5bffff12,0x007b7533,0x3ffffff6,0x9afffe81,0x3ffe2000,
    0x6fffc83f,0x000fffa8,0x7f447ffd,0xffeeffff,0xfffff92f,0xbfffffff,
    0xa80fffee,0xfff94fff,0xffffffff,0xfffb80df,0x7fffc003,0xffffffff,
    0x882aaa04,0x4c000aaa,0x64000aaa,0x20002fff,0x3e202aa9,0xf710cfff,
    0x7fe43fff,0xffffffff,0x86ffffff,0x221dfffd,0x7ffc41fc,0xfffe989b,
    0x3bbba60f,0xffeeeeee,0x329fb1ff,0x7dc0ceff,0xa8dff306,0xffb005ff,
    0x300dffff,0x9733bfff,0x207fffff,0xfc87fffa,0xffff83ff,0x206fffff,
    0x2e627fff,0x2625ffff,0xffff9999,0x80099999,0x9fffefff,0xfff50999,
    0xff50000f,0xd03fffff,0xdfffffff,0xfffb807d,0x3fffe20f,0x00fff982,
    0x7e47ffd0,0x1b883fff,0xfff33331,0x2e13333f,0x3ea03fff,0x7fff94ff,
    0xffff9733,0x7ffdc07f,0x7fffc003,0x99999999,0x00000000,0xdaaaa800,
    0xaaaacfff,0x2a00001a,0xff705fff,0x7fffe4bf,0xffffffff,0xfe86ffff,
    0x2a0101ff,0xffff880d,0xfffc8002,0x7fe53f65,0x1bee4fff,0x3ee2ffd4,
    0xbfff004f,0x9801fffd,0xfe884fff,0xffb00fff,0x37ffc47f,0xfadfffc8,
    0x3ffe06ff,0x0ffff507,0x001ffff0,0xff7fff50,0x7fffd40f,0x7ff40000,
    0xe81fffcf,0xffffffff,0x3fa02fff,0x3fff23ff,0x01fff306,0x7ccbffa0,
    0x20002fff,0xf700ffff,0x7fd407ff,0x05fff94f,0x01ffffd1,0xd50fffee,
    0x01fffe03,0x40055550,0x55442aa9,0xaaaaaaaa,0x7fffc1aa,0xffffffff,
    0x555445ff,0xaaaaaaaa,0x05fff91a,0xfc9fffe2,0xffffffff,0x6fffffff,
    0x0006fff8,0x03fffd80,0x17fffc40,0x36ea69fb,0x4df74fff,0xfffffffb,
    0xffffffff,0x97fff503,0xf9807fff,0xfff104ff,0x3ffe209f,0x05fff90f,
    0x7fc47be6,0x1fffe06f,0x403fffc4,0x8000ffff,0x7ffbcffd,0x3ffffe60,
    0xffb8000b,0x81fffbaf,0xfffffffe,0x501fffff,0xff11ffff,0x3fe203ff,
    0x5fff001f,0x001bffea,0x201ffff0,0x2a03fffb,0xfff94fff,0x3fffe205,
    0x27fff704,0xff01ffea,0xffd800ff,0x1bff2007,0xfffffff5,0xf89fffff,
    0xffffffff,0x545fffff,0xffffffff,0xffb4ffff,0x7fff405f,0x3dfff310,
    0xffb33333,0xfff9817f,0xfd800004,0x7dc003ff,0x827ec6ff,0x4df77ff9,
    0xfffffffb,0xffffffff,0x51fff903,0xf980bfff,0x3ff204ff,0x3fff205f,
    0x405fff8c,0x037ffc42,0x3e60ffff,0xfff806ff,0x7fc4000f,0x407ffb9f,
    0xdffffffe,0xfff8800b,0xd03fff75,0x93335fff,0x201fffff,0xffccfffe,
    0x3ffe205f,0xff0b3221,0x13fff23f,0x1ffff000,0x80fffee0,0xff94fffa,
    0x7ffe405f,0xdbfff705,0x3e03ffff,0x7e4007ff,0xffb000ff,0xfffffa8b,
    0x4fffffff,0x7ff66664,0x3cccccdf,0x7fffffd4,0xb4ffffff,0x7f409fff,
    0x3ffe21ff,0x07fff206,0x0013ffe6,0x0bfffa00,0x85ffff00,0x3ff204fd,
    0x3fee6fb9,0xffffffff,0xd03fffff,0x3ffe2dff,0x27ffcc07,0x40ffff30,
    0xffdffff8,0x7fc4001f,0x1fffe06f,0x401fffec,0x4000ffff,0xfff76ffb,
    0xffffe880,0x6c04ffff,0xfff70fff,0x01fffd03,0x205ffff3,0xfffffff9,
    0x0fffc01f,0xfff8bff5,0x005fffb1,0x00ffff80,0x5407fff7,0xfff94fff,
    0x3fffcc05,0xffffffb8,0x3ffe03ff,0x7ffdc007,0x89ffd001,0xfffffffa,
    0x403fffff,0x5002fffc,0xffffffff,0x3ee7ffff,0x3ff607ff,0x1bffe22f,
    0x981fffc8,0x00004fff,0x007fffcc,0xb0dfff70,0x47ff409f,0x5ffb06fb,
    0x4c01ffe8,0x3ff64fff,0xfff9502f,0x7c41555d,0x7fdc07ff,0x8004ffff,
    0x3e06fff8,0xebaaafff,0xff005fff,0xfe8001ff,0x55fff73f,0x3ff6a055,
    0x506fffff,0x7fdc7fff,0x0fffe81f,0x409fffd0,0x4ffffffd,0x362fff80,
    0x3ffe0fff,0x007fffb0,0x00ffff80,0x999dfff7,0x9fffb999,0x880bfff2,
    0xff907fff,0x8017ffff,0xaaaaffff,0x3ea0aaaa,0xfff002ff,0x7ff44007,
    0xfffc805f,0xfe880002,0x3ffea5ff,0xfeb99cef,0x3fe22fff,0xffffffff,
    0x3b21ffff,0xeeeffffe,0xe8000eee,0x7c004fff,0x4fd82fff,0x57ffaeaa,
    0x3ffd06fb,0x5c00fff8,0x3fee2fff,0xfffff04f,0xff85ffff,0x7ff401ff,
    0x88000fff,0x3fe06fff,0xffffffff,0x3bbb203f,0x5eeeffff,0xb87ffcc0,
    0x07ffffff,0x7fffedc4,0x37ffc42f,0x3a07ffee,0xff700fff,0x7ffcc0bf,
    0xff800fff,0x8bfffe2f,0xfff90fff,0xfff80009,0xffff700f,0xffffffff,
    0x3fff29ff,0x0ffffc02,0x9fffffd3,0x3fffe001,0xffffffff,0xa8fffe21,
    0x3ffe24ee,0x3fff6002,0xfffc800e,0xffd80002,0x7ffec0ef,0xffffffff,
    0x3ffe22ff,0xffffffff,0x3ff61fff,0xffffffff,0x7e4000ff,0x2e000fff,
    0x9fb06fff,0x86ffffec,0x1fff06fb,0x6c03ffc4,0x7ffcc7ff,0xffffff07,
    0xfff85fff,0x7ffcc01f,0xff10003f,0x7fffc0df,0xffffffff,0xfffffb04,
    0x80ffffff,0x3fee6ffc,0x2007ffff,0x644ffff9,0x7fdc1fff,0x0fffe81f,
    0x809fff70,0x006fffff,0x3fea5ffd,0x4fff15ff,0x000ffffb,0x403fffe0,
    0xfffffffb,0x4fffffff,0xf805fff9,0xfff51fff,0xf8007fff,0xffffffff,
    0x7ffc1fff,0x443fffa4,0xf7000fff,0x32003fff,0x40002fff,0x881ffffb,
    0xfffffffe,0x221fffff,0xffffffff,0x21ffffff,0xfffffffd,0x000fffff,
    0x007fffee,0x207fffd0,0x2fbf64fd,0x7c437dc2,0x03ffcc7f,0x3e17ffe2,
    0xfee81fff,0x22eeefff,0x4c0ffff8,0xffffaaaa,0x1001aaab,0x7fc0dfff,
    0xfffdccff,0xffd86fff,0xffffffff,0x71fffc07,0x0ddddfff,0x24fffc80,
    0xfb84fff9,0xfffe81ff,0x07fffb00,0x7fffffdc,0x92ffe803,0x3e2fffff,
    0x3fffe67f,0x3ffe0005,0xdfff700f,0xfddddddd,0x3fff29ff,0x3fffe202,
    0xffffff70,0xffff8007,0xeeeeeeee,0xf8afff41,0xfff33fff,0x3fffe600,
    0x3fff2003,0x3fe60002,0x76d403ff,0xffeadeff,0x3bffe20f,0xfd999999,
    0xfff981ff,0xffa80004,0x7d4003ff,0x93f607ff,0x2df705fc,0xafffbaa8,
    0xaafffcaa,0x83fffa81,0xf303fffc,0x7fcc09ff,0xffffc87f,0xffffffff,
    0xdfff1005,0x443fffc0,0x543ffffc,0xbffffaaa,0x3fea02aa,0x81ffee0f,
    0xfff101ba,0x837ff47f,0xfe81fffb,0xfffa80ff,0xffff101f,0xd801ffff,
    0xfdbff3ff,0xd8fff15f,0x99aeffff,0x3fe03db9,0xfff700ff,0xa7ffd407,
    0x2602fffc,0x33ee7fff,0x4003fffc,0xd8007fff,0xffff76ff,0x201bfeab,
    0x004ffff8,0x0017ffe4,0x04ffff88,0x3fffc400,0xc81bffe2,0xff981fff,
    0x7d40004f,0xe8003fff,0x3f603fff,0x7dc0fae4,0xffffff56,0xffffffff,
    0x9fff909f,0xfff95555,0x13ffe60d,0xc86fffa8,0xffffffff,0x1005ffff,
    0x7fc0dfff,0x3fffa07f,0x07fffc05,0x99effd80,0x2e07ffc9,0xfecdefff,
    0xff50ffff,0xddddddff,0x25dddfff,0xa99afffe,0x204ffffc,0xffedfffc,
    0x5ffec04f,0xcffcbff9,0x7fcc6ff9,0xffffffff,0x3fffe03f,0x07fff700,
    0xfca7ffd4,0x3fea02ff,0x7fdc266f,0x7ffc003f,0x7ffc8007,0x71fffffd,
    0xffd00bff,0xff9000df,0x3fa0005f,0xa80006ff,0x7fc45fff,0x3fff206f,
    0x04fff981,0x3fffea00,0xfffa8003,0x0627ec07,0xfff56fb8,0xffffffff,
    0xff09ffff,0xffffffff,0xf301ffff,0x7fec09ff,0x9999884f,0x9999fffe,
    0xdfff1000,0x703fffc0,0xff80dfff,0xff8800ff,0xffffffff,0x3fffee07,
    0x2fffffff,0x3fffffea,0xffffffff,0xffffd3ff,0xdfffffff,0x4ffffcc0,
    0x201ffffa,0x9ffccffd,0x6ff9fff9,0xffffff98,0x3e03ffff,0xff700fff,
    0x7ffd407f,0x405fff94,0xf704fffd,0xff8007ff,0xffb8007f,0xffeeff9f,
    0x6404ffcb,0x8000ffff,0x8003fffc,0x000ffffc,0x42fffe80,0x3206fff8,
    0xff981fff,0xff50004f,0x3a0007ff,0x7ec03fff,0x7dc1bfa4,0xdffd9936,
    0x9dffd999,0xffff9859,0xffffffff,0xfff982ff,0x3ffff304,0x01fffa00,
    0x06fff880,0xfc81fffe,0x7ffc05ff,0xfffb800f,0x7fffffff,0x3ffffaa0,
    0x540cffff,0xffffffff,0xffffffff,0xffffffd3,0x4019ffff,0x3fa5fffd,
    0x3ff205ff,0x3ffe6fec,0xd7105ffb,0x3bffffff,0x807fffc0,0x2a03fffb,
    0xfff94fff,0x3fffe605,0x07fff701,0x007fff80,0xffcfffa8,0xffdeffbc,
    0x3fffea03,0xfff70002,0xfffa800b,0x6cc0002f,0xff886fff,0x3fff206f,
    0x04fff981,0x2ffffa80,0xffff5000,0xf14fd801,0x0df703ff,0xffd87ff9,
    0x3bfff202,0xfeeeeeee,0xfff985ff,0x4ffffa84,0xff999950,0x059999ff,
    0x81bffe20,0xff107fff,0xfff807ff,0xeffe800f,0x7ffeeeee,0xffd99880,
    0x3bbba607,0xfffeeeee,0xffd2eeef,0x39dfffff,0x1ffffa80,0x40bfffea,
    0x24ffdffc,0x05ffeffc,0x005fffcc,0x700ffff8,0x7d407fff,0x5fff94ff,
    0x09ffff50,0x001fffdc,0x2001fffe,0x9ffffff8,0x2ffffff9,0x09ffff30,
    0x7fffd400,0xfff98082,0x5553004f,0xfffffb97,0x0dfff103,0x550fffe4,
    0x555bfff7,0x54155555,0xccceffff,0xd01ccccc,0xfb009fff,0xfb82fec9,
    0x743ffd86,0x3ffa02ff,0x3fffcc07,0x5577ffcc,0x0fffffdc,0xffffff90,
    0x0bffffff,0xff755553,0x215555df,0xa999ffff,0x01fffffb,0x2007fffc,
    0xfb81fff9,0x009999ff,0x00013ffa,0x3a07fff2,0x0009afff,0x742ffff4,
    0xff706fff,0x7fd43fff,0x7dc05fff,0x2666207f,0x999ffff9,0x07fff709,
    0xfca7ffd4,0xfdcaacff,0x2e00ffff,0xaaaadfff,0x3fe0aaaa,0xaaaaaaff,
    0xffff81aa,0x3ffffa7f,0xfffe881f,0xaaaaaaaf,0x7fffc401,0x445feeff,
    0xaaaffffe,0x3f21aaaa,0xffffffff,0xdfff102f,0xb0fffe40,0xffffffff,
    0x43ffffff,0xffffffff,0x82ffffff,0x800ffffa,0x99999cfd,0x6fb99999,
    0x7fc2ffe8,0xbfff101f,0x83ffff00,0xfffffff9,0x201effff,0xfffeeeeb,
    0xc84eeeef,0xffffffff,0xff3fffff,0xffffffff,0xff007fff,0xffc801ff,
    0xfffff706,0x7ffc07ff,0xffc80001,0x0fffe81f,0xffffb800,0x3ffffa81,
    0x87ffffb8,0x404fffff,0x3f204ffc,0xffffffff,0xfff75fff,0xa7ffd407,
    0xfffffffc,0x401effff,0xfffffffb,0x3e3fffff,0xffffffff,0xffe84fff,
    0x3ffee4ff,0xfffb80ff,0xffffffff,0xfffb805f,0x5c5fffff,0xffffffff,
    0x3f25ffff,0xdfffffff,0x1bffe200,0x361fffc8,0xffffffff,0x21ffffff,
    0xffffffff,0x82ffffff,0xb004fffe,0xffffffff,0x0dffffff,0xfff83ffd,
    0x07fff700,0x989fffb0,0xffffffff,0xfd0004ff,0x3ff200ff,0xffffffff,
    0xffff3fff,0xffffffff,0x3fffe007,0x0fffe200,0x7fffffdc,0x0dff303f,
    0x3fff2000,0x00fffe81,0x2ffffc40,0x81ffffd0,0xd84ffffa,0x7404ffff,
    0x3ff201ff,0xffffffff,0x7fff75ff,0xca7ffd40,0xffffffff,0xff7004ff,
    0xffffffff,0x7fffc7ff,0xffffffff,0x2ffffd84,0x41ffffe6,0xfffffffc,
    0x005fffff,0xffffffd5,0xfffffc89,0x5fffffff,0x37bbfff2,0xfff8800b,
    0x87fff206,0xfffffffd,0x1fffffff,0x3ffffffe,0x2fffffff,0x007fffcc,
    0xffffffd8,0xffffffff,0x220fff86,0x3ff607ff,0xfffb800f,0x7ffffcc6,
    0x0000acde,0x6401fffa,0xffffffff,0xff3fffff,0x9ddfffff,0xffff8005,
    0x03ffee00,0x7fffffdc,0x05dd503f,0x3fff2000,0x00fffe81,0x0ffffe40,
    0x8bffff30,0xa82ffffa,0x7403ffff,0x7ffe405e,0xffffffff,0x07fff75f,
    0xfca7ffd4,0xacdeffff,0x3ffee000,0xffffffff,0x3ffffe3f,0x4fffffff,
    0xe87fffc8,0xff906fff,0xffffffff,0x98800bff,0xfff901aa,0xffffffff,
    0x000000bf,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x6c400e44,0x0bdd9000,0x00000720,0x2aaa06c4,0x40aaaa02,
    0xacccdcb9,0x99975100,0x2a800159,0x79951000,0x654c0015,0x5c400abc,
    0x66542cdc,0x0de54402,0x9800b326,0x801abcca,0x00003ccb,0x644aaa00,
    0x005e5c1c,0x4c035553,0xfa82ffff,0x3fee2fff,0xff70004f,0x7ff409ff,
    0xffffffd5,0x7fc059df,0xffffffff,0xfffff2ff,0x803bdfff,0xffffffff,
    0x92ffffff,0xf700dfff,0x3fffa9ff,0x3fff6001,0xffffffff,0xffff6fff,
    0x97fffa01,0x9804fffe,0x7fcc7fff,0xbcefffff,0x037fdc00,0x20067fec,
    0xfd806ffd,0x4c00002f,0x3ff60eff,0x8dfff00f,0xffffffea,0xfffd83ff,
    0x0dffffff,0x006ffe80,0x7fffffe4,0x7ff4c03f,0x903fffff,0x5dffffff,
    0x01dffffd,0x25fffff3,0x405ffffc,0xfffffffb,0x37fec02f,0x3ffb2600,
    0x77fc01ce,0xfb4ffff8,0xffb83fff,0xa82effff,0xfc85ffff,0x3fee3fff,
    0xff70004f,0x3fa01fff,0xfffffd5f,0x05dfffff,0xffffffff,0x3fe5ffff,
    0xffffffff,0xffff00ef,0xffffffff,0x3ffe25ff,0x3ffe201f,0x03fffd0f,
    0x7ffffec0,0xffffffff,0x01ffff6f,0x5c1ffff9,0xfb807fff,0x7ffcc4ff,
    0xffffffff,0x13fffa03,0x00ffffa8,0x32037fec,0x0003ffff,0x4bffff50,
    0xff00fffd,0x7fffd4df,0x83ffffff,0xffffffff,0x7d405fff,0xe8802fff,
    0xffffffff,0xffff705f,0x0dffffff,0xfffffffb,0xbfffffff,0xffffff88,
    0xffffffcf,0xffffe984,0x402fffff,0x2e006ffd,0xffffffff,0x3f7bfe04,
    0xfffbffff,0x7ffe45ff,0x540fffff,0xff87ffff,0x3fee3fff,0xff70004f,
    0x3fa07fff,0xfffffd5f,0x3fffffff,0xfffffff8,0xff2fffff,0xffffffff,
    0x3ffe0dff,0xffffffff,0x3ff22fff,0x3fff205f,0x007fffa4,0xffffffd8,
    0xffffffff,0x981ffff6,0x7cc2ffff,0x7f401fff,0x7ffcc2ff,0xffffffff,
    0xffff306f,0xff579955,0xffb003ff,0xfffd880d,0x7dc0004f,0x3f60efff,
    0xdfff00ff,0x2b7fffe2,0xf83dba99,0xfca9abdf,0x3ea03fff,0xfd802fff,
    0xffb9bfff,0x7ffcc2ff,0xffffdeff,0x4cdf6c3f,0xdaeffffb,0x3ff20fff,
    0xfffffc8d,0x7447ffca,0xfeefffff,0x7fec02ff,0x39ffb006,0x41bff261,
    0xffbfffff,0x7ffdcfff,0xffd10554,0xfffffa87,0x3ffffe62,0x013ffee3,
    0x7ffffdc0,0x3abffd07,0xca99afff,0x3e0effff,0x99999fff,0xffff0999,
    0xfffd9533,0x9999905f,0xffff9999,0x7fffc41f,0x0ffff881,0x8007fffa,
    0xff999998,0x099999ff,0xfe81ffff,0xfffd04ff,0x7fffc407,0x4efffcc0,
    0xfffffcb9,0xfffff703,0x7fffffff,0x01bff600,0x06ffffe4,0x7fffec00,
    0x00fffd85,0x3feadfff,0x4028007f,0x7404fffb,0xff9806ff,0x6fff985f,
    0x2077ffec,0x060ffffc,0xfd07ffec,0xf07ff45f,0x7ff45fff,0x0fffff22,
    0xffb006e2,0xb5ff700d,0xfd339ddd,0x23ffff09,0xff34fffd,0x9ff7001f,
    0x4fffffb8,0x93fffff2,0x0004fffb,0x7ffffff7,0x3fabffd0,0xfff980ff,
    0x01fffe2f,0xff07fff8,0xf50009ff,0xff905fff,0x9fff90bf,0x001fffe8,
    0x00ffff80,0xfc83fffe,0xff900eff,0x7ffd40bf,0x84fff985,0x00ffffe8,
    0xfffffffb,0x6c00bfff,0x3ea006ff,0x1000efff,0x207ffffd,0xff00fffd,
    0x3fffeadf,0x7c400000,0x019806ff,0x203fffb0,0xff30fffd,0x3ffa01ff,
    0x6ffc803f,0xff9a7fe4,0xb07ffec6,0x3ffe67ff,0x7ec0002f,0x9ffc406f,
    0xa8fffefe,0x2fffc1ff,0x3e61fff9,0x6e5c40ff,0x7dc4ffee,0x3fa7ffcf,
    0x3ee4ffcf,0xf70004ff,0xd0dfffff,0x3fffabff,0x49fff900,0x3e007fff,
    0xfff907ff,0xffe8800d,0xffff105f,0x07fffc43,0x0007fffa,0x803fffe0,
    0xff30ffff,0x7fd403ff,0x3fff207f,0x04fff983,0x209ffff1,0xfdcffffa,
    0xffa85fff,0xffffffff,0xf303ffff,0x9803ffff,0x202ffffe,0xff00fffd,
    0x3fffe6df,0x200000bf,0x00006fff,0xf9037ffc,0x3ffee5ff,0x13ffea04,
    0xf717fee0,0x917fea9f,0x4ffb8fff,0x400dfff5,0xfeaaaaa9,0x2aaaaaff,
    0xf87f4df5,0xff89fb1f,0x997ff22f,0x3fea0fff,0x44ffffff,0x9ffebffc,
    0x5ffbdff9,0x0013ffee,0x7fe7ffdc,0xeafff42f,0xff700fff,0x03fffcbf,
    0x2a0ffff0,0x64005fff,0x3200ffff,0x3ff24fff,0x1fffe84f,0xffff8000,
    0x43fffe00,0xf803fffe,0xfff02fff,0x9fff301f,0x82fffe40,0x3a20fffc,
    0x7fd40fff,0xffffffff,0x2203ffff,0x503ffffe,0x803dffff,0xff00fffd,
    0x7ffff4df,0x9800bdff,0xfffffeec,0x5555536f,0x55555555,0x3fffe255,
    0xffffffff,0x5fff93ff,0x437ffcc0,0xfffeedca,0x55ffeeee,0xfffc8bff,
    0x94ffeeee,0x6c009fff,0xffffffff,0x96ffffff,0x7cc7f49f,0xff8bf71f,
    0x997ff22f,0xfff10fff,0x89ff9339,0xbffcbffc,0x5ffbaffb,0x1013ffee,
    0xf3fff701,0x5ffe8dff,0x2e01fffd,0x3ffe4fff,0x1fffe007,0x0027ffe4,
    0x805ffff5,0xff0ffff8,0xfffd01ff,0xfff00003,0x7fffc01f,0x006fffb8,
    0xf309fffb,0x3fe60dff,0x3ffe604f,0x707ffd07,0xffa85fff,0xffffffff,
    0x4403ffff,0x5c4ffffd,0x800dffff,0xff00fffd,0x7fff44df,0x304fffff,
    0xfffffffd,0x3ff6dfff,0xffffffff,0xff36ffff,0xffffffff,0x3f67ffff,
    0x3fe201ff,0x3fffa27f,0xffffffff,0x9ff75fff,0xffffffb8,0xfffb4fff,
    0x7ffec005,0xffffffff,0x45fd6fff,0x262efffe,0x917ffc7f,0x7ffccbff,
    0xfb8fff50,0x4dffe44f,0xb8ffedff,0x3ffee5ff,0x1bffb104,0x7ec7ffdc,
    0x57ffa1ff,0xfb00fffe,0x3fffc7ff,0x88ffff00,0x000ffffc,0x00bfffd1,
    0x3eb3fff2,0xfffd04ff,0xfff00003,0x7fffc01f,0x000ffff9,0xf70dfff5,
    0xff9507ff,0x441555df,0xff887fff,0x2fff982f,0x00dffb00,0x7ffffcc0,
    0x7ffffd10,0x03fff600,0x6d437ffc,0x6fffffff,0x77ffffcc,0xb6fffeee,
    0xffffffff,0x2dffffff,0xeeeffff9,0x2eeeeeee,0x4405fffb,0x3ffa6fff,
    0xceffecdf,0xf72ccccc,0xefffb89f,0xfb3eeeee,0x764007ff,0xffffeeee,
    0xfb5eeeee,0x077eff47,0x2fff8ff3,0xff997ff2,0x37fff50f,0xfd89fffb,
    0xbfffff2f,0xffb9bfee,0xffffb04f,0x4c7ffdcb,0x3ffa5fff,0x301fffd5,
    0x7fc3ffff,0xeeeeeeff,0x3bfffe5e,0x2ffffffe,0x3ffff200,0xffff1000,
    0x3a01fffd,0x80001fff,0x3e00ffff,0x2fffefff,0x3fffe200,0x40fffec0,
    0xffffffff,0x0ffffc2f,0x2207ffe6,0xfb003fff,0x3ea000df,0x6c40efff,
    0xd804ffff,0xfff00fff,0x7fedc40d,0x3ffa2fff,0x6fff80df,0xddddddd9,
    0xbddddddd,0x0017ffe2,0x980ffff2,0xfff55fff,0x4027fdc3,0x7fe45ffa,
    0x4fffc806,0x6ffd8000,0x1fd27e40,0x22fdcbf7,0x3ff22fff,0x443ffe65,
    0xfefffffe,0xd97fec4f,0xff52ffff,0x827ffdcd,0x70ffffff,0x3ff61fff,
    0x3abffd0f,0xf7310fff,0xfff8bfff,0xffffffff,0x3fffffe7,0x000cffff,
    0x00bfffea,0xffffff90,0x0ffff409,0x7fffc000,0x3ffffe00,0x74002fff,
    0x3fe23fff,0xfffff07f,0xff85ffff,0x7ffcc1ff,0x00fff983,0x000dffb0,
    0x80bffff9,0x00dffffc,0x2e07fff6,0xf3006fff,0x7ffc9fff,0x01bffe07,
    0x0ffff000,0x0bfff700,0xfb9fffe4,0x02ffdc5f,0x3f22ffd4,0xfffb807f,
    0x7ec0000f,0x87fd406f,0xd1ff88fe,0x22fff87f,0x3fe65ffc,0x3bff660f,
    0xffe87db3,0x21ffff52,0x3fee7ffa,0xfffff04f,0xa87ffdcf,0xbffd4fff,
    0x3ffffffa,0x40ffffff,0xffffffff,0x3ffe7fff,0x1effffff,0x3fffa200,
    0xfff88004,0x3fa00fff,0xf80001ff,0x3fe00fff,0x0ffffcff,0x97ffee00,
    0xdd04fffa,0x5dddffff,0x207fffc4,0xfb85fff8,0x3ff6006f,0x3ff62006,
    0xff7004ff,0x3f601dff,0x7ffd43ff,0x3ff2006f,0x0ffff34f,0x001bfff2,
    0x07fffd00,0x1ffff980,0x91ffff88,0xfffd8bff,0x237fcc00,0x4c01fffe,
    0x0005ffff,0x74037fec,0x3f61fd4f,0x7fc0ffbc,0x997ff22f,0x40000fff,
    0xfff12ffe,0xf73ffd4b,0x3ff209ff,0x3ffee5ff,0x3a3fffa0,0xffffd5ff,
    0x1bffffff,0x555ffff0,0x7fc55555,0xfffeb9ff,0xfff9000f,0x3f20001f,
    0x7f404fff,0xf80001ff,0x3fe00fff,0x5fffe8ff,0x9fffe600,0x2602fffc,
    0x3e604fff,0xfffd07ff,0x13ffe619,0x006ffd80,0x05ffffd1,0xfffffa80,
    0x9efffb81,0x6fffffc8,0x3fe20375,0x3fffe2ff,0x3ffff623,0x01775406,
    0x81ffffd4,0x7ffec1a8,0xffea88af,0xa9fff25f,0x4084ffff,0xfff11fff,
    0xfffb00bf,0xb73335df,0x06ffd807,0x2e04ff98,0x2fff82ff,0xff997ff2,
    0x3333310f,0x74133333,0x8fffa2ff,0x3fee7ffa,0x33ff204f,0xb83ffee0,
    0x5ffebfff,0xfffffffd,0x7ffc05bd,0x1fffe007,0x300bfffd,0x0005ffff,
    0x007fffc4,0x0007fffa,0x803fffe0,0xff98ffff,0x3fa002ff,0x0fffd1ff,
    0x204fff98,0xf506fffa,0xffffffff,0x6654007f,0xffff9803,0xfd30001f,
    0xff985fff,0xefffffff,0xdfff76ff,0xfffffd9b,0x7fffff41,0x6ffffffe,
    0x07fffe60,0x3fffff60,0x44fffeee,0xfffffff9,0x2a0fffff,0xfffdefff,
    0xfeccefff,0x3afbff60,0xbbdfffff,0x3ffe20fc,0xffffffff,0x037fec03,
    0xaaceffb8,0xff04ffec,0x32ffe45f,0x3fee1fff,0xffffffff,0xeb87ffe4,
    0x43ffe60e,0x0004fffb,0xff81fff7,0xfd5ffeef,0x400335ff,0x3e007fff,
    0x7ffc47ff,0x3ffa201f,0xff80004f,0xfffe807f,0xfff80001,0x3fffe00f,
    0x01ffff90,0x233fff20,0x7cc05fff,0x3ff604ff,0xffffb04f,0x1dffffff,
    0xff500000,0x80001dff,0x44ffffe8,0xfffffffc,0xff76ffcb,0xffffffff,
    0xffff983f,0xffcdffff,0x3fffea06,0xfffd8803,0x4fffffff,0xffffffa8,
    0xff81efff,0xfe8effff,0x20ffffff,0xdffffff9,0xfffffffb,0x7ffff4c0,
    0x403fffff,0x26006ffd,0xfffffffe,0xc8bffe02,0x3ffe65ff,0xffffff70,
    0x7fc9ffff,0xfff9801f,0x009fff70,0x903ffee0,0x2bffffff,0x8000fffe,
    0x3e007fff,0xfffd87ff,0x3bfff205,0xfff80000,0x1fffe807,0xffff8000,
    0x43fffe00,0x005ffff8,0xff7dfff3,0xfff9805f,0x3ffff304,0xffffff90,
    0x0bffffff,0x33333331,0x4c333333,0x0000dfff,0x20bfff60,0x72effffc,
    0x3ffaadff,0x0cffffff,0xdffffd30,0x981bfee5,0x2001ffff,0xffffffea,
    0xffb102ef,0x4c09dfff,0xd10dfffe,0x81bfffff,0x2e5ffff9,0x206fffff,
    0xffffffeb,0x04cc401c,0x66edd400,0x17ffc00a,0x7fccbff9,0x9999930f,
    0x7c599999,0xff9801ff,0x09fff70f,0x03ffee00,0xbffffff1,0x0003fffa,
    0xf801fffe,0xfff987ff,0xffff981f,0xfff00001,0x3fffd00f,0xffff0000,
    0x07fffc01,0x007ffff5,0x3ffbfffe,0x7ffcc00f,0x4ffffa84,0x88ffffa8,
    0xfffe8899,0x7fffff43,0x7fffffff,0x000027cc,0x54c02fb8,0x2a662001,
    0x2a20019a,0x3aa0000a,0x2a60002e,0x4c40019a,0x02a60009,0x2004d544,
    0x9a9880a9,0x02662000,0x00000000,0x00000000,0x003fff10,0x3ee3fff3,
    0xaaaaadff,0xffb80aaa,0xffffd80f,0x01fffd5f,0x00ffff00,0xfe83fffc,
    0xfffe84ff,0xcccccccf,0xfff801cc,0xbfffe807,0x2aaaaaaa,0x00ffff80,
    0xfb03fffe,0xfb001fff,0x00dfffff,0x955dfff3,0x81fffffb,0x202ffff8,
    0x3a1ffff9,0xffffffff,0x0087ffff,0x00040000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xff880000,0xfff8800f,
    0xffffff71,0x07ffffff,0xf301fff7,0x3fabffff,0xff8000ff,0x3ffe007f,
    0x1ffff507,0x7fffffd4,0xffffffff,0x07fff803,0xffffffe8,0x00ffffff,
    0xf007fffc,0xff881fff,0xffa806ff,0x9803ffff,0xffffffff,0xd301efff,
    0x3df900bf,0xffffffe8,0x07ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3e600000,0xff8800ff,
    0xfffff72f,0x7fffffff,0x201fff70,0xfd5ffffd,0xff0001ff,0x7ffc00ff,
    0x93fffe07,0xfffffffa,0x3fffffff,0x807fff80,0xfffffffe,0x400fffff,
    0x3e00ffff,0xffb80fff,0x7fc403ff,0x9801ffff,0xffffffff,0x015004ff,
    0x000000a0,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7cc00000,0xff8800ff,0xfffff72f,0x7fffffff,
    0x201fff70,0xfd5ffffa,0xff0001ff,0x7ffc00ff,0x3fffee07,0xffffff50,
    0xffffffff,0x0ffff007,0xffffffd0,0x01ffffff,0x200ffff8,0xfd00ffff,
    0xfd803fff,0xf3006fff,0x59bdffff,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xc986aa60,0xaaa80acc,
    0x20b332a1,0x5500aaa9,0xaaaa8555,0x2a01aaaa,0x2a6002aa,0x06aaaa2a,
    0x10aaaa88,0x55555555,0x2a635555,0xaa8802aa,0x0353101a,0x402775c0,
    0x016400d8,0x02018000,0x00026008,0x7ffe4400,0x00002002,0x99700000,
    0x99999999,0x55544999,0xaaaaaaaa,0xdddd12aa,0xc97bba63,0x00882eee,
    0x00055d44,0x76c40000,0x75c00dee,0xdb10003e,0x26201bdd,0x09999999,
    0x77777777,0x5ddddc77,0xbbbbbbbb,0x000bbbbb,0xfb000000,0x3ffff29f,
    0x3ffe21ff,0xfffffe8b,0x07fff20d,0x887ffff2,0xffffffff,0x01fff604,
    0x3ee6ffc8,0xff901fff,0x7fffd4bf,0xffffffff,0x01ffff34,0x4c3fffd8,
    0x03fffffe,0x4404ffb8,0xff900dff,0xffffeb85,0x1dfa802d,0xf71067cc,
    0x405fd989,0x0ceffeda,0xfffffc88,0x3ffb2202,0xefc801df,0x0dffd002,
    0xffffffe8,0x27ffffff,0xfffffffa,0x27ffffff,0xff31ffff,0x17ffe4df,
    0x301dffb1,0x209fffff,0xdf900aaa,0x442fec41,0x700efffd,0x8009ffff,
    0x00efffe8,0x3fffffea,0xffffd3ff,0x7fcfffff,0xffffffff,0xffffffff,
    0x00000000,0xffbbffb0,0x21ffffff,0xffecfff8,0x325fffff,0x7fdc1fff,
    0x7ffc41ff,0x204fffff,0xb000fffc,0xfffd8bff,0x0ffff986,0x3fffffea,
    0x24ffffff,0x2203fffe,0x3ea0ffff,0x5fffffff,0x49ff50cc,0x2ffff428,
    0x3a3fffdc,0x4fffffff,0x89bffe20,0x3ff26ffe,0x07fff21f,0x3fffff62,
    0x3fe20eff,0x302fffff,0xffffffff,0x7fffe407,0x7fffdc01,0x3ffffa02,
    0xffffffff,0x3ffffea7,0xffffffff,0x4c3fffe7,0x3ff25fff,0x3ffff22f,
    0x7ffffcc6,0x7ffc45ff,0x25fffa81,0xf703fffc,0xfff01dff,0x74400fff,
    0xfa804fff,0x3fffffff,0xfffffffd,0x7ffffcff,0xffffffff,0x000fffff,
    0xfb000000,0xfddfffff,0x3fe27fff,0xfddfffff,0xfff90fff,0x17fffd43,
    0xffdcccc8,0x3ffee04f,0x89ffd001,0x224ffff8,0x7d42fffe,0xffffffff,
    0x3fee3fff,0x3ffee06f,0x2fbffe25,0x3a2fffeb,0x2a7ff53f,0x3ffe60ff,
    0x3fffee5f,0x7ee6f740,0xffb00fff,0x0fffe43f,0x744dffd1,0xfffb06ff,
    0xd89fffff,0x82fffeff,0xfedffff8,0xffd01fff,0x7fc40bff,0x9700ffff,
    0x99999999,0x774c9999,0xeeeeeeee,0x3ffe7ffe,0xb93ffe27,0x3ffe1fff,
    0x3ff20fff,0x0dffffff,0xf501fff3,0x7ffecdff,0x3bffe604,0x7fffffc0,
    0xfffe8800,0x99993002,0x3fa59999,0x7fffffff,0x33333332,0xcccccccc,
    0x00000ccc,0xfffb0000,0x7ffdc3df,0xbfffff15,0xc9fffec1,0xfff31fff,
    0x7fdc007f,0x3ffea04f,0x07fff002,0x323ffff5,0x44004fff,0x7c45fffe,
    0xffd00fff,0x07ffd43f,0x7fdd3ffa,0xfcaffadf,0x7ffcc4ff,0x1ffffcdf,
    0x1fffd808,0x2a3fffa8,0xff983fff,0x13ffea4f,0x7fdc2ba2,0x7d45cc6f,
    0xfffb82ff,0x417ffa61,0x207ffffd,0x4ffdbffc,0x80000000,0x3ffa7ffb,
    0xf727ffc7,0x7fff43ff,0x53ffe0ff,0xfdffffe9,0xffd106ff,0x007ffcc5,
    0xfb0aeee2,0x2600dfff,0x00000bbb,0x00000000,0x00000000,0x83ffffb0,
    0xff16fff9,0xffa81dff,0x13fff94f,0x8009fffd,0x2204fffb,0x3baa3fff,
    0x40bffe24,0xffaefffc,0x7ec000ef,0xffd80eff,0x6fff883f,0x7e427fe4,
    0xffffb35f,0x5bffffff,0xffffff30,0x3a2003ff,0xffe887ff,0x817ffe26,
    0x3f21fffc,0xffa801ff,0x3ffea05f,0xc84ffd82,0xfff106ff,0xdff301ff,
    0x0007ffe2,0xff700000,0x3e3fff4f,0x3ffea3ff,0x97fffee0,0x3a21fff8,
    0x3fffffff,0x2a202a20,0xfe880000,0x000000ef,0x00000000,0x00000000,
    0x7ffec000,0x22ffff02,0xf980ffff,0x3fff94ff,0x000bfffb,0xf809fff7,
    0x3fffa4ff,0x201fff10,0xffffffe8,0x7fdc001f,0xfff301ff,0x87fff70d,
    0xffa84ffd,0x7fffe446,0x7cc01dff,0x401fffff,0x1efffeea,0x360fffc8,
    0x7f400fff,0x1bffa26f,0x05fffd10,0x7417ffd4,0x7ffa83ff,0x41fffea0,
    0x3ff22ffe,0x99999886,0x19999999,0x4fff7000,0x7ffc6ffd,0x903ffea3,
    0x66441bff,0x7ffec40c,0x000004ff,0x000cc000,0x00000000,0x00000000,
    0xd8000000,0xfff00fff,0x01fffe2f,0xffdfff90,0x3ee000bf,0x7ff404ff,
    0x27ffff15,0x7cc07ff9,0x004fffff,0x01ffffcc,0xfd07fffa,0x6ffc81ff,
    0xe985ffd8,0x002effff,0x01dffff9,0xdfffffb8,0x226ffe82,0xfc805fff,
    0x3fff60ff,0xbfffd100,0x82fffa80,0xffc85ffd,0x17ffe206,0xff11bfea,
    0xffffe87f,0xffffffff,0xfff70007,0x3fa37fe4,0x01ffe62f,0x67654000,
    0x00000002,0x00000000,0x00000000,0x00000000,0x7ffec000,0x22ffff00,
    0x64007fff,0x4fffffff,0x9fff7000,0xf76ffd80,0x3feabfff,0xffffc806,
    0x7ffc4006,0xfffb804f,0x217ffe64,0x3e61fffb,0x3ffaa3ff,0x2effffff,
    0x3fffff20,0x332a00df,0x545ffffe,0x3fea3fff,0x3ffea02f,0x40fffea3,
    0x805fffe8,0xfc82fffa,0x3ffa21ff,0x0bffea05,0xf703fff1,0x7fff41ff,
    0xffffffff,0x3310007f,0x2204cc43,0x00ccc099,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0xff00fffd,0x1fffe2ff,0xf7fff900,
    0x70005fff,0xfc809fff,0xfffffd7f,0xd00bff71,0x003fffff,0x8037fff4,
    0x3f27fff8,0xfff882ff,0x26fffeef,0xffcffffc,0xb85ffffc,0xffffffff,
    0x3ffe2005,0x07ffec0f,0xf101fffb,0x7ffc4bff,0x9ffff305,0x7fdccc40,
    0x3fe619bf,0xffffdeff,0x5fffb881,0x3a05ffc8,0x3fffa5ff,0xffffffff,
    0x0000007f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfffb0000,0x45fffe01,0x64007fff,0xfffb9fff,0x7fdc001f,0x7ffdc04f,
    0xbffeeff9,0x7e404ffc,0x00efffff,0x00ffffc8,0x7cbfff60,0x3fea07ff,
    0x21efffff,0xff98eff8,0x5c1ffd8a,0xff98ffff,0xff1005ff,0xfff881ff,
    0x217ffe26,0x3f60fffd,0xfffa80ff,0x741999bf,0xffffffff,0x3fffee1f,
    0x7e43ffff,0x440effff,0x3e600fff,0x000001ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf00fffd8,0x3ffe2fff,
    0x7ffe4007,0x01ffffb1,0x027ffdc0,0x3ff3ffea,0xffdeffbc,0x3fffea03,
    0x5405fffe,0x4002ffff,0xffadfffa,0x7fecc04f,0x24b80cef,0x712e3ffa,
    0x7cc3ffff,0x3ba65fff,0x6ffffdcd,0x547fff70,0x3fea3fff,0x0fffea3f,
    0x3fffffe2,0x3fa1ffff,0xffffffff,0x7fffecc1,0xefffc81d,0x00133102,
    0x00001333,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x01fffb00,0x7fc5fffe,0x7fe4007f,0xdfffd11f,0x27ffdc00,
    0x3ffffe20,0xfffff99f,0xffff102f,0x05ffff35,0x013fffe6,0x7effff40,
    0x002000ff,0x9013fee0,0xff303fff,0x7fffcc9f,0x200effff,0x7fec5ffe,
    0xf917faa4,0x3ffe20df,0x1fffffff,0x3bbbbbb6,0x02201eee,0x00035750,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xf00fffd8,0x3ffe2fff,0x7ffe4007,0x13fffe61,0x027ffdc0,
    0xd3fffffc,0x203fffff,0x3f24fffe,0x7f440fff,0xaaaaafff,0x3fee01aa,
    0x2205ffff,0x99999999,0x3fee0099,0x201fc805,0x7ffc44f9,0x9802deff,
    0x700c881d,0x22039101,0xeeeeeeee,0x000001ee,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x6c000000,
    0xfff00fff,0x01fffe2f,0xb83fff90,0x7e43ffff,0xffffffff,0x7f41ffff,
    0x3fee4fff,0xffc80fff,0x7fff40ef,0x7ffffdc6,0x5fffffff,0x3ffffe20,
    0x3ffee02f,0x4fffffff,0x40026620,0x00000800,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xb0000000,0x3fe01fff,0x0ffff17f,0x81fffc80,0x321ffffd,
    0xffffffff,0x6c1fffff,0x3e62ffff,0xffa87fff,0xfff982ff,0x3ffff24f,
    0xffffffff,0x7fffec05,0x7fffdc07,0x04ffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x403fff60,0xfff17fff,0xfffc800f,
    0xffffe881,0xffffff90,0x3fffffff,0xe87fffc8,0x7fc46fff,0x3ff204ff,
    0xffff91ff,0xffffffff,0xffffa80b,0x66664c04,0x02cccccc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_33_latin_ext_x[560]={ 0,6,3,0,1,0,0,6,4,3,2,1,3,4,
5,1,0,1,1,2,0,2,1,1,1,1,6,3,1,2,3,4,0,0,2,1,1,2,2,0,1,2,2,2,
3,0,1,0,2,0,2,1,1,1,0,0,0,0,1,4,1,4,1,0,0,1,2,2,1,1,0,1,2,2,
1,2,2,0,2,1,2,1,2,2,0,2,0,0,0,0,2,2,7,3,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,6,1,1,0,0,
7,1,0,0,3,1,1,4,1,0,3,1,3,3,0,2,1,5,6,3,3,2,0,0,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,-1,0,0,1,0,0,0,0,0,0,2,1,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,2,0,2,1,1,0,0,2,2,2,0,0,3,
2,-4,-3,2,1,0,2,0,0,1,2,0,0,0,1,2,0,0,0,0,0,0,0,0,-1,0,2,2,-1,0,
0,0,0,0,1,2,0,0,1,0,0,-3,1,0,0,0,0,0,0,0,0,0,0,0,1,2,0,0,0,0,
0,0,0,0,0,0,0,4,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,-4,-1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,2,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__consolas_bold_33_latin_ext_y[560]={ 24,1,1,2,-1,0,1,1,-1,-1,1,7,17,13,
18,1,2,2,2,2,2,2,2,2,2,2,7,7,6,10,6,1,0,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,0,2,27,1,7,1,7,1,7,0,7,1,0,
0,1,1,7,7,7,7,7,7,7,2,7,7,7,7,7,7,0,-3,0,11,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,24,7,-1,2,3,2,
-3,0,0,2,2,8,13,13,0,1,0,4,0,0,1,7,1,11,24,1,2,8,1,1,0,7,-3,-3,-3,-4,
-4,-5,2,2,-3,-3,-3,-4,-3,-3,-3,-4,2,-4,-3,-3,-3,-4,-4,8,-1,-3,-3,-3,-4,-3,2,0,1,1,
1,0,0,-2,7,7,1,1,1,0,1,1,1,0,1,0,1,1,1,0,0,6,4,1,1,1,0,1,1,0,
-3,1,-4,1,2,7,-3,1,-3,1,-4,0,-3,1,-3,0,2,1,-3,1,-4,1,-4,0,2,7,-3,1,-3,1,
-4,1,-4,0,2,0,-3,-5,2,1,-4,0,-3,1,-4,1,2,0,-4,7,2,0,-3,1,2,1,7,-3,-5,2,
1,0,0,2,1,2,1,-3,1,2,7,-3,1,-2,2,7,-3,1,-4,1,-3,1,2,7,-3,1,2,7,-3,1,
-3,1,-3,1,2,7,-3,1,2,2,-3,0,2,2,-4,0,-3,1,-4,1,-5,-2,-3,1,2,7,-3,1,-3,1,
-4,-3,1,-4,0,-3,1,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-8,-6,-3,1,-3,-1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,7,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static unsigned short stb__consolas_bold_33_latin_ext_w[560]={ 0,6,12,18,16,19,19,6,11,11,14,16,10,11,
8,16,18,16,16,15,18,15,16,16,16,16,6,10,15,15,14,12,18,19,15,16,17,14,14,17,16,14,13,16,
14,18,16,18,15,19,16,16,16,16,19,18,19,18,16,10,16,9,16,19,12,15,15,14,15,16,17,17,14,15,
14,16,15,18,14,16,15,15,15,14,16,14,18,18,18,18,14,13,4,13,18,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,6,14,16,18,18,
4,16,15,18,12,16,15,11,17,14,13,16,12,12,17,16,16,8,6,12,12,15,19,19,19,12,19,19,19,19,
19,19,19,16,16,17,16,16,16,17,16,16,18,17,18,18,18,18,18,16,18,17,17,17,17,18,15,16,16,17,
16,16,16,16,18,14,17,17,17,17,17,17,17,17,16,16,17,17,17,17,17,16,16,16,17,16,16,18,15,18,
19,16,19,16,19,16,17,18,17,16,17,16,17,16,19,21,18,17,16,17,16,17,16,17,15,16,16,17,17,18,
17,18,17,18,17,18,17,16,18,16,16,17,16,17,16,17,15,15,16,15,16,16,15,15,16,16,16,17,17,14,
15,21,22,17,20,17,15,17,17,16,14,17,16,17,16,14,18,17,18,17,20,20,18,18,19,17,16,15,19,17,
17,17,17,16,16,14,17,16,16,16,17,21,16,16,17,16,17,16,17,16,17,16,20,20,16,15,18,18,18,18,
18,17,17,17,16,17,16,13,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,17,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,19,17,19,18,22,18,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,14,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16, };
static unsigned short stb__consolas_bold_33_latin_ext_h[560]={ 0,24,9,22,29,25,24,9,32,32,15,17,13,4,
7,27,23,22,22,23,22,23,23,22,23,22,18,23,19,10,19,24,31,22,22,23,22,22,22,23,22,22,23,22,
22,22,22,23,22,29,22,23,22,23,22,22,22,22,22,31,27,31,12,4,7,18,24,18,24,18,24,24,23,24,
31,23,23,17,17,18,24,24,17,18,23,18,17,17,17,24,17,31,34,31,8,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,24,30,22,21,22,
34,28,8,23,17,14,9,4,17,7,13,20,14,15,7,24,27,8,5,13,17,14,23,23,24,24,27,27,27,28,
28,29,22,27,27,27,27,28,27,27,27,28,22,28,28,28,28,29,29,15,29,28,28,28,29,27,22,25,24,24,
24,25,25,27,18,22,24,24,24,25,23,23,23,24,24,24,24,24,24,25,25,18,24,24,24,24,25,30,30,31,
27,24,28,24,29,24,28,24,28,24,29,25,28,24,27,25,22,24,27,24,28,24,28,25,29,24,27,24,28,30,
29,30,29,31,29,31,27,29,22,23,28,24,27,23,28,23,29,31,28,17,23,31,28,30,29,30,17,27,29,29,
30,24,24,22,23,22,23,27,23,29,24,27,23,26,29,24,28,24,29,24,28,24,23,18,27,23,29,24,27,23,
28,24,28,24,27,22,28,24,29,29,27,25,22,23,29,25,28,24,29,24,30,27,28,24,29,24,27,23,27,30,
28,27,23,28,24,27,23,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,32,31,27,24,31,29,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,29,24,29,29,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22, };
static unsigned short stb__consolas_bold_33_latin_ext_s[560]={ 443,503,335,176,198,383,297,328,43,31,150,
444,268,447,405,115,462,253,125,58,338,42,183,142,307,72,502,497,278,296,263,
478,141,195,270,427,459,495,71,444,442,427,343,171,139,1,38,408,55,53,86,
290,154,391,188,393,373,120,103,111,484,259,279,459,392,324,496,429,18,357,222,
317,481,451,96,357,496,479,1,374,122,188,16,309,38,294,118,65,84,357,103,
245,1,231,357,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,
159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,443,501,358,
108,227,234,6,92,376,324,498,195,312,447,461,432,254,246,228,182,414,340,449,
348,502,241,137,212,22,270,240,260,18,95,38,1,353,162,303,398,381,363,1,
21,152,466,432,486,215,74,467,409,448,411,251,165,392,226,335,56,270,344,357,
257,412,394,377,366,349,327,391,412,279,261,243,314,110,74,479,155,138,121,103,
85,484,204,239,340,171,138,104,51,332,406,390,196,75,425,206,34,354,191,244,
335,262,68,430,187,373,467,132,274,208,460,58,442,1,491,18,296,496,226,415,
173,428,339,18,285,374,122,443,160,233,479,89,200,479,208,126,165,35,128,182,
215,462,49,462,179,446,323,215,373,32,289,126,339,269,429,354,20,1,477,446,
108,92,288,1,52,217,169,305,16,280,31,232,49,127,83,146,410,307,234,322,
155,70,252,38,204,317,273,160,323,391,397,109,92,90,403,286,374,144,222,109,
429,461,309,425,143,148,376,36,67,177,1,196,304,169,215,20,188,1,251,55,
326,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,299,
159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,
159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,
159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,
159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,
159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,
159,159,159,11,78,269,290,55,73,159,159,159,159,159,159,159,159,159,159,159,
159,159,159,159,159,159,159,159,159,159,159,159,159,1,414,109,92,159,159,159,
159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,
159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,
159,159,159,159,159,159,159,159,159, };
static unsigned short stb__consolas_bold_33_latin_ext_t[560]={ 31,36,273,226,36,124,152,273,1,1,273,
250,273,273,273,124,202,226,226,202,226,202,202,226,202,226,152,177,250,273,250,
124,1,226,226,202,226,226,250,202,226,226,202,250,250,250,250,202,250,36,250,
202,250,202,250,226,226,250,250,1,95,1,273,273,273,250,66,250,152,250,177,
152,202,152,1,202,202,250,273,250,177,177,273,250,226,250,273,273,273,177,273,
1,1,1,273,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,
226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,31,95,1,
226,250,226,1,66,273,202,250,273,273,273,250,273,273,250,273,273,273,177,95,
273,171,273,273,273,202,202,177,177,124,124,124,66,66,36,226,95,95,95,124,
66,124,95,95,36,226,66,36,66,36,36,36,273,36,66,66,66,36,95,226,
124,152,152,152,124,124,95,250,226,152,152,152,124,202,202,177,152,152,152,152,
152,152,124,124,250,177,177,177,152,124,1,1,1,124,124,66,152,36,152,66,
152,66,152,36,124,66,152,124,124,250,124,124,124,95,124,95,124,1,152,95,
152,66,1,36,1,36,1,1,1,95,1,226,202,66,152,95,202,95,202,36,
1,66,273,177,1,66,1,36,1,273,95,36,36,1,152,152,250,202,226,177,
95,202,36,177,95,202,124,36,177,66,177,36,177,66,177,202,250,95,202,36,
177,95,202,66,177,66,177,95,226,66,177,36,36,95,124,226,202,36,124,66,
177,1,177,1,95,66,177,36,177,95,226,95,1,66,95,226,66,152,95,226,
177,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,66,
226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,
226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,
226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,
226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,
226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,
226,226,226,1,1,95,177,1,36,226,226,226,226,226,226,226,226,226,226,226,
226,226,226,226,226,226,226,226,226,226,226,226,226,36,177,36,36,226,226,226,
226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,
226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,
226,226,226,226,226,226,226,226,226, };
static unsigned short stb__consolas_bold_33_latin_ext_a[560]={ 290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_33_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_bold_33_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_33_latin_ext(stb_fontchar font[STB_FONT_consolas_bold_33_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_33_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_bold_33_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_33_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_33_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_33_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_33_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_33_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_33_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_33_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_33_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_33_latin_ext_s[i] + stb__consolas_bold_33_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_33_latin_ext_t[i] + stb__consolas_bold_33_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_33_latin_ext_x[i];
            font[i].y0 = stb__consolas_bold_33_latin_ext_y[i];
            font[i].x1 = stb__consolas_bold_33_latin_ext_x[i] + stb__consolas_bold_33_latin_ext_w[i];
            font[i].y1 = stb__consolas_bold_33_latin_ext_y[i] + stb__consolas_bold_33_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_bold_33_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_33_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_33_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_33_latin_ext_s[i] + stb__consolas_bold_33_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_33_latin_ext_t[i] + stb__consolas_bold_33_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_33_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_33_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_33_latin_ext_x[i] + stb__consolas_bold_33_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_33_latin_ext_y[i] + stb__consolas_bold_33_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_33_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_33_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_33_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_33_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_33_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_33_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_33_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_33_latin_ext_LINE_SPACING
#endif

