// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_34_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_34_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_34_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_bold_34_latin_ext_BITMAP_HEIGHT        314
#define STB_FONT_consolas_bold_34_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_bold_34_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_bold_34_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_bold_34_latin_ext_LINE_SPACING          22

static unsigned int stb__consolas_bold_34_latin_ext_pixels[]={
    0x4cc43331,0x55550001,0xeeb80005,0x5c0003ee,0x00010000,0x00555554,
    0x26666000,0x14409999,0x80009880,0x99999998,0x00001001,0x00005554,
    0x0cc00000,0xaa835510,0x2aa88002,0x15544000,0x6e544000,0x326001bc,
    0x0066cc0c,0x2aa60000,0x5550000a,0x40555555,0x0001aaa9,0x00155500,
    0x55555300,0x0ef6dc00,0x00062000,0x2aaa0000,0x7355551a,0x3fee3fff,
    0x3fa2001f,0x20000dff,0x003ffffc,0x00077e40,0x8001dff5,0x4c3ffffd,
    0xfd300dfe,0x7ffffc1b,0x3fa25fff,0xefffa803,0xffff9003,0x4401ffff,
    0x40001ffe,0x0001fff8,0x0001bfd3,0x07fff644,0x3e66ff98,0x7f44007f,
    0xd10005ff,0x4000bfff,0xffffffe9,0x6fff8805,0x0017ffe2,0xfb027fd4,
    0x3e0005ff,0x6fffffff,0x00fffee0,0x3fff6000,0x3ea0000f,0xb000dfff,
    0x005fffff,0x007bfea0,0xdefecb88,0x7fffc00b,0xf79fffd4,0x3ffee3ff,
    0xfffd1001,0xffc80007,0x013311ef,0x02fffe40,0x05ffff88,0x07bfff60,
    0x7413fffe,0x3ffe5fff,0x3a5fffff,0x7d403fff,0x400effff,0xfffffffc,
    0x3fffa00f,0x7fdc0007,0x3ffe0007,0xff50005f,0x7c01ffff,0x4fffdeff,
    0x3fffa200,0x744005ff,0x005fffff,0xffffffc8,0x7d405fff,0xfff50fff,
    0x3fee000f,0x0bfff602,0x7ffffc00,0x3ee06fff,0x400003ff,0x0efffffd,
    0xffffa800,0x2ffe6003,0xf0006fd9,0x2600bfff,0xfffffffe,0x3fffe02f,
    0xf77fffd4,0x3ffee3ff,0xeffe8801,0x7fe40000,0x00fffc4f,0x00ffffc8,
    0x0fffff30,0x413fff20,0x886ffff9,0x3fe7ffff,0x25ffffff,0x203ffffa,
    0x5ffffffa,0x7ffffe40,0x3fe00fff,0x20000fff,0x10005ffd,0x000dffff,
    0xfffffff1,0x7fffd401,0xd1000eff,0x9ffd1bff,0x37ffa200,0x2004ffe8,
    0xa8aefffb,0x2204fffc,0x3fe66fff,0xff90006f,0x17ffec03,0xdcccc800,
    0x3ee06fff,0x200003ff,0xffd8effc,0x3fea000e,0x7d4001ff,0x2001fea7,
    0x806ffff8,0xfffffffb,0xfd04ffff,0x3fff69ff,0xf71fffba,0x551003ff,
    0x30000003,0x3ea00fff,0x22001fff,0x8805ffff,0x3e201aaa,0xfff05fff,
    0x02fffcbf,0x00ffffdc,0x00ffff54,0x803fff20,0x0007fffe,0x000fffe2,
    0x005ffff8,0x01dfffc8,0x33fff660,0x93bb2000,0xc802eed8,0x3bb624ee,
    0x5fff9802,0x401fff90,0x66d40dd9,0x3aea2000,0xfd80abff,0x300002ff,
    0x7dc0dfff,0x500003ff,0x77641bdd,0xbddb1004,0x9ff10001,0x2000dfb3,
    0x4c03fffd,0xecefffff,0xe81fffff,0xfff94fff,0x2e3fff75,0x7e401fff,
    0x0001efff,0x013ff200,0x007fffe2,0x003bfea0,0x50033726,0x3e601dff,
    0x17ffe0ef,0x037ffdc0,0x003fffa8,0x3007ffe4,0x40005ffd,0x0000ccc9,
    0x00037fa6,0x0003fffa,0x00000000,0xfe800000,0x17ff405f,0xea800000,
    0xffffffff,0x17ffec3f,0xfff98000,0x0fffee06,0x00000000,0x3f200000,
    0x0001ffff,0x3f600b2e,0x7fcc0eff,0xfffe85ff,0xf73fff93,0x3ffee3ff,
    0x2f3fea01,0x880006fe,0xfffffedb,0x4fffd802,0xc8004000,0x001fffff,
    0x2fffc000,0x07fffd00,0x0013ffe0,0x1001fff9,0x00000000,0xfff00000,
    0x04c4000b,0x004c4000,0xf5000000,0xffb801ff,0xd8000006,0xffffffff,
    0x7fec3fff,0x9800082f,0x3ee06fff,0x000003ff,0x00000000,0x0019d950,
    0x3fe60000,0xfff500ff,0x3fffd83f,0xff73fff7,0x07ffee3f,0x3fea6fc8,
    0x3fe60000,0x3fffffff,0x037ffd40,0xff980000,0x0007fece,0x02fffc00,
    0x03ffff30,0x800bffd0,0x0000fffc,0x00262000,0x00026200,0x0013ffe2,
    0xdfffffb5,0x5407dddd,0xeefffffd,0xddd53eee,0xdddd100b,0x804ffe81,
    0xdd50fff9,0xddd100bd,0x7fffdc1d,0xffffffef,0xb8fffec3,0x000dfffe,
    0x5c0dfff3,0xddb03fff,0xddd501bd,0xdddddddd,0x02f77547,0x50777744,
    0xcb805999,0x65cc00cc,0x21bdeffe,0x7c04fffd,0x7fec4fff,0x71fff73f,
    0x3fee3fff,0x2bfee01f,0x20007fd9,0xfffffffb,0x3603ffff,0x3aa02fff,
    0xeeeeeeee,0x9fee03ee,0xdd901ff9,0x3bbae03d,0x0017ffe2,0xd009fff9,
    0xfc800dff,0x3bbba0ff,0x8005eeee,0xefffffda,0x2a03eeee,0xeefffffd,
    0xff103eee,0x7fec007f,0xffffffff,0xfffb04ff,0xffffffff,0x3fffe29f,
    0x37ffdc02,0x5c43ffe6,0xff9dbbcc,0x5ffff10f,0x26fffb80,0xa8cffff8,
    0xd83513ff,0xfffd9fff,0x9801ffff,0x3ee06fff,0xfffd83ff,0xffff701f,
    0x9fffffff,0x017fffc4,0xf91bffee,0xffe807ff,0xfffb101f,0x49ffffff,
    0x6402fffe,0x7fec5fff,0x71ddd52f,0x3fee3fff,0x3ffa201f,0x30002fff,
    0xf7bfffff,0x103fffff,0xfb80dfff,0xffffffff,0x9fee04ff,0xffb01ff9,
    0x3fff205f,0x0017ffe2,0xd00ffff1,0xfc800dff,0x3fffe0ff,0x4006ffff,
    0xfffffffd,0xb04fffff,0xffffffff,0x2209ffff,0xf9003fff,0xfffbbfff,
    0xf909ffff,0xfffbbfff,0x7e49ffff,0x7ff405ff,0x9b7fe43f,0x8ffffffe,
    0x3ff21ffe,0x7fff405f,0x43fffe63,0x7ec02ffb,0xffffffff,0x4c00ffff,
    0x3ee06fff,0x7ffdc3ff,0x3ffee02f,0xffffffff,0x02fffe44,0xf90ffffa,
    0xffe807ff,0xffff981f,0x4fffffff,0x7003fffe,0xffd8bfff,0x3ffee02f,
    0x003fff71,0x00019995,0xf32fffec,0x70dfffff,0xfb807fff,0xffffffff,
    0x3fe604ff,0x3607febd,0xff902fff,0x02fffc5f,0x017fff40,0x9001bffa,
    0x7ffc1fff,0x006fffff,0x377ffff2,0x4fffffff,0xddffffc8,0x4fffffff,
    0x007fff10,0x441dfff3,0xf300fffd,0x7ec41dff,0xfff980ff,0xffff300f,
    0xfd3ffe81,0x3affffff,0x3ffe62ff,0xffff300f,0x87fffd41,0x7ec01ffd,
    0xcacfffff,0x4c03ffff,0x3ee06fff,0x3ffea3ff,0x4ccc403f,0xfffc9999,
    0x07fffcc4,0x40ffff98,0x7403fffc,0x7fcc1fff,0xedceffff,0xffff14ff,
    0x8dfff500,0x2e02fffc,0xfff71fff,0xcccca803,0xff98001c,0x7f7fdc6f,
    0x7ff41fff,0x4ccc400f,0xfffc9999,0x7fffe404,0x3fff601f,0x45fff902,
    0xb8005fff,0x7ec04fff,0x3f2000ff,0x266660ff,0x3006fffa,0x6c41dfff,
    0xff300fff,0x7fec41df,0x7ffcc00f,0x2fffa803,0x504fffa8,0xff505fff,
    0x3fffa09f,0x89fff903,0xffa9fff8,0xfb7ffdbf,0x3fffe87f,0x989fff90,
    0xfe8dffff,0x7ffec00f,0x7ffe40ef,0x37ffcc06,0x267fff70,0x0004ffff,
    0xe84fffb8,0xff903fff,0x7fff909f,0x41fffe80,0x80cffffd,0xffff33a8,
    0x8ffff300,0x2e02fffc,0xfff71fff,0xffffe803,0xffd8004f,0x6dfff43f,
    0x7ffc3fff,0xffb80006,0xcdca804f,0x17ffec00,0x3e2fffc8,0xf88005ff,
    0x7fe406ff,0x3ff2002f,0x3ffe600f,0x5fff5006,0x209fff50,0xfa82fffa,
    0x7fdc04ff,0xfffc802f,0x20bfff00,0xff00fffc,0x3ffee0bf,0x83fffd06,
    0xbffb7ff9,0x7fedbfee,0x837ffdc3,0xff81fffe,0x07ffffff,0x80ffffd8,
    0x200ffff8,0x2e06fff9,0xffe8bfff,0xf700005f,0xfff709ff,0x07fffa0d,
    0xd00ffff2,0x7fd43fff,0x3ea003ff,0xff9807ff,0x0fffe47f,0x2e3fff70,
    0x3e201fff,0x006fffff,0x221fffe8,0xfffb8fff,0x017ffe25,0x13ffee00,
    0x6c004cc0,0xff902fff,0x02fffc5f,0x407fff80,0x01cffff9,0x200fffc8,
    0x9006fff9,0x3fe01fff,0x1fff905f,0x2217ffe0,0x007fffb9,0xf105fff7,
    0x3fee09ff,0x4fff882f,0x83ffff10,0xfb86fff9,0x327fff6f,0x87ffb5ff,
    0x4c1ffff8,0xff506fff,0x19ffffff,0x017ffec0,0x4c03ffff,0x3ee06fff,
    0x5fffebff,0x3fee0000,0xffff884f,0x837ffcc1,0x7403fffc,0x3ffa1fff,
    0x7fcc006f,0xfffa807f,0x00fffdc6,0x32a3fff7,0x3fee00cc,0x000fffff,
    0x3ee3fffc,0x4dfff36f,0x0004fff9,0x984fffb8,0xffffffeb,0x5fffb02d,
    0xf8bfff20,0xfd0005ff,0xffd500ff,0x7e401fff,0x3fe600ff,0xfff7006f,
    0x09fff105,0x220bffee,0x7fdc4fff,0x5001ffff,0xff90bfff,0x3ffea07f,
    0x03fffc85,0xf913fff6,0x9ff907ff,0x3f63fff1,0xb05ffb5f,0xffc89fff,
    0x3ffee03f,0x0dffffff,0x202fffd8,0x2602fffe,0x3ee06fff,0x0effffff,
    0x3fee0000,0x9fffb04f,0x903fffc8,0xfe807fff,0x3fffe1ff,0x7ffc4003,
    0x7ffd400f,0x00fffdc5,0x0003fff7,0xfffdfffb,0x7ffc4007,0xf99ffec7,
    0x3ffea7ff,0xffb80004,0xffffe84f,0x86ffffff,0xf902fffd,0x2fffc5ff,
    0x0fffd800,0xffffe980,0x03fff200,0x006fff98,0xf90bfff5,0x3fea07ff,
    0x3fffc85f,0x067fffdc,0x3ffffa00,0x0efffdbc,0x33ffffa0,0x00efffdb,
    0xff1fffe6,0x9ff901ff,0x3f61fff3,0x305ffb4f,0xfff8ffff,0x7fec400f,
    0x2fffffff,0xb017ffec,0x7cc05fff,0x3fee06ff,0x01ffffff,0x3ffee000,
    0x8ffff304,0xf900ffff,0xffe807ff,0x1ffff31f,0xffff8800,0x27ffdc01,
    0xb807ffee,0xf8001fff,0x5fffbeff,0x9bffe600,0xff11fff8,0x27ffdcff,
    0x7ffdc000,0xeffffe84,0x44fffffe,0xf902fffd,0x2fffc5ff,0x0fffd800,
    0x7ffffe40,0x3fff200f,0x1bffe600,0xcffffe80,0x00efffdb,0x2f3ffffa,
    0x5c0efffd,0x01dfffff,0x3ffffee0,0x401fffff,0xfffffffb,0xfe801fff,
    0xbfff52ff,0x3e6fff60,0x27ffd0ff,0xffd01ffe,0x17ffea5f,0xffffd880,
    0x3f61ffff,0x3ffa02ff,0x3ffe601f,0x2fffee06,0x000efffd,0x09fff700,
    0xfa97fff4,0x3ff205ff,0x7fff403f,0x00ffff51,0x00ffffe0,0xfb87fffd,
    0x3fee00ff,0x7fd4001f,0x07fff9cf,0xa9bffea0,0x3ffe26ff,0x013ffea7,
    0x13ffee00,0xf9102b3a,0xfffd8fff,0x45fff902,0xd0005fff,0xff980fff,
    0xfc800aef,0x3fe600ff,0x3fee006f,0xffffffff,0x7fffdc01,0x01ffffff,
    0x01bfff6a,0x7fffffc4,0x4400cfff,0xffffffff,0xff7000cf,0x07fff69f,
    0x7fd5ffec,0x7fcbffe7,0x9fff700f,0x0007fff6,0xffff9ffb,0x17ffecbf,
    0x401ffff0,0x2e06fff9,0xfff8bfff,0xf700005f,0x7fdc09ff,0x03fffb4f,
    0x201fffe4,0xff71fffe,0x3f2000df,0x3fe206ff,0x0ccc40ff,0x007ffee0,
    0x3e3fff90,0xf3001fff,0x27fecdff,0x7ccdfff3,0xb80005ff,0xd0004fff,
    0x7fec1fff,0x5fff902f,0x8002fffc,0x7e407fff,0x3f2001ff,0x3fe600ff,
    0xfff1006f,0x19ffffff,0xfffff880,0x000cffff,0x9005fffb,0x06aa2dff,
    0x516ffc80,0xff100035,0x0dfff1ff,0x7fcdffec,0x99fff88f,0x3fe206ff,
    0x06fff8ff,0xfd17fe80,0x7ffecfff,0x0ffff502,0x206fff98,0xff33fffb,
    0x700009ff,0x7c409fff,0x6fff8fff,0x01fffe40,0x7e47fffa,0xf30006ff,
    0xfd109fff,0xb80009ff,0x74001fff,0x3fff27ff,0xffff3004,0xff30fffc,
    0x37ffc4bf,0x7ffdc000,0xfffb0004,0x817ffec5,0x3fe2fffc,0xfff0005f,
    0x07ffd80d,0x007ffe40,0x200dfff3,0x35516ffc,0x8b7fe400,0xfa8001aa,
    0xffe803ff,0x7ff40005,0x3f600005,0x03fffdff,0x3fe2fff6,0xcafffc9f,
    0x7fec04ff,0x003fffdf,0x3fea6ff8,0x5fffb0ff,0x09fffd10,0x206fff98,
    0x3f23fffb,0x40002fff,0x6c04fffb,0x3fffdfff,0x01fffe40,0x7dc7fffa,
    0x3a0007ff,0xcabdffff,0x881ffffe,0x7fdc03dc,0x0155531f,0x7d4bfff3,
    0xff1006ff,0x8fff51ff,0x7fc4fffa,0x5c0001ff,0x33004fff,0x45fffd55,
    0xf902fffd,0x2fffc5ff,0x2fffcc00,0x001bffa0,0x4c01fff9,0xfd006fff,
    0xfe8000bf,0xf100005f,0xffd007ff,0x0333359f,0x2b3fffa0,0xa8001999,
    0x0fffffff,0x7fd3ff20,0xffffffff,0x7fd401ff,0x000fffff,0xff52ffc4,
    0x1fffecdf,0x83ffffa6,0xffa99998,0x709999ff,0xffe87fff,0x2e0001ff,
    0x7d404fff,0x00ffffff,0x201fffe4,0xff51fffe,0x220001ff,0xffffffff,
    0xfd02ffff,0x7fdc07ff,0x03fff71f,0x7c47fff7,0xfd000fff,0x89ff95ff,
    0x7e43fffd,0x5c0003ff,0xf7104fff,0xffffffff,0x17ffec5f,0x3e2fffc8,
    0xfc8005ff,0x7ff402ff,0x7ffe4006,0xf5333310,0x13333fff,0x359fffd0,
    0x3fa00333,0x1999acff,0x1fffc400,0x7ffffdc0,0x0cefffff,0xffffff70,
    0x019dffff,0x3fffffa0,0xcaffdc05,0xfffdffff,0xffd003ff,0xa980bfff,
    0x7453fe60,0x3ff64fff,0xffffffff,0x7ffe42ff,0xffffffff,0x7fff75ff,
    0x0effff88,0x9fff7000,0xfffffd00,0x7fff700b,0x30fffe80,0x0003ffff,
    0x7fffffcc,0xf102ffff,0x7dc0dfff,0x3fff71ff,0xe81fffb0,0xf9003fff,
    0x45fffbff,0x4c0ffff8,0x40006fff,0xfa84fffb,0xffffffff,0x3ff62fff,
    0x5fff902f,0x4002fffc,0xfe807fff,0x7fe4006f,0xfffff90f,0xffffffff,
    0xfffff70b,0x19dfffff,0x3ffffee0,0x0cefffff,0x01fffc40,0xffffffd8,
    0x01ffffff,0xfffffffb,0x003fffff,0x03fffff7,0xfd16ffa8,0x0fbfea9f,
    0xfffffb80,0x6f7fdc01,0xfffdeffd,0x3fff61ff,0xffffffff,0xfffffc82,
    0xffffffff,0x507fff75,0x000dffff,0x2013ffee,0x01fffffb,0x404fffb8,
    0x3fe27fff,0x440005ff,0xcfffffeb,0x3fffe200,0x47ffee05,0x7c41fffb,
    0xfffb86ff,0xffff5005,0xfffd8fff,0x05fffd04,0x27ffdc00,0x37ffffe6,
    0x2fffeccc,0x640bfff6,0x3ffe2fff,0x7ffd4005,0x06ffe804,0xc87ffe40,
    0xffffffff,0xb05fffff,0xffffffff,0x3603ffff,0xffffffff,0x2201ffff,
    0xf9803fff,0xfeeeefff,0x4c0fffff,0xeeeeffff,0x00ffffff,0x037fffc4,
    0x0107ffd4,0x3fe20002,0xffb806ff,0xffffffff,0x7fec2fff,0xceffffff,
    0xfffff900,0xffffffff,0x40fffeeb,0x004ffffc,0x804fffb8,0x006ffff8,
    0x440bfff5,0x7ff46fff,0xb00001ff,0x2e003fff,0x3ee01fff,0x3fff71ff,
    0x984fffa8,0xb000ffff,0x73bfffff,0x201ffffb,0x0006fffb,0xfd13ffee,
    0xffb01bff,0x17ffec5f,0x3e2fffc8,0x3e2005ff,0xfe800fff,0x7fe4006f,
    0xfffff90f,0xffffffff,0xdffff30b,0xfffffddd,0xffff981f,0xffffeeee,
    0xfff100ff,0xffff8807,0x5ffff501,0x80ffffc4,0x402ffffa,0x002ffff8,
    0x00007fff,0x0bfffe20,0x3ffffee0,0x1dffffff,0x99afffd8,0x00000001,
    0xfb000000,0xff1007ff,0x3e6005ff,0xff901fff,0xffff98bf,0x200a602f,
    0x0084fffb,0xffb80151,0x83fff71f,0xcccdfffc,0x02ffffcc,0xffffff30,
    0x07ffffff,0x003fffe8,0xf87fffb0,0xffb00fff,0xffb0005f,0x02fffc3f,
    0x009fff90,0x90017ffe,0x98001fff,0x7fc42fff,0xfff501ff,0x7fffc45f,
    0x5ffff501,0x2027ffc0,0x6c03fffb,0x3fee3fff,0x7ffec03f,0x37ffec03,
    0x00dff900,0x3fff6000,0xdb751006,0x037bdfff,0x0017ffec,0x00000000,
    0x7fffc000,0x6fffd802,0x7ffff400,0xffff710a,0xfffffb01,0x9fd9559d,
    0x9ffff300,0x0007f733,0xfb8fffdc,0x7fffc1ff,0xffffffff,0x3e6004ff,
    0xffffffff,0xfff9802f,0xfff8001f,0x3fffe22f,0x2ffffb81,0x0ffff800,
    0x4c017ffe,0xf1006fff,0xfc8009ff,0x3e2000ff,0xfffb83ff,0x1fffec03,
    0xd807fff7,0x3fa03fff,0x7ffec06f,0x0ffff404,0xe809fffb,0x3f201fff,
    0x26001fff,0x0c405fff,0x3ffff900,0x1bfe2000,0x02fffd80,0x1bffa000,
    0x01fff900,0xfff50140,0xfffc801f,0x7fcc001f,0xffffffff,0xffd104ff,
    0xffffffff,0x3ff6009f,0x0fffffff,0xddddddd9,0x3ffee5dd,0x4c3fff71,
    0xffffffff,0x07ffffff,0x7ffffe40,0x32000dff,0x0140ffff,0xf81ffff5,
    0xf910dfff,0x8005ffff,0x7fc7fff9,0xfff9805f,0xfffb001f,0xfffc8007,
    0x1ffee000,0x2027ffec,0x3f61fffe,0x7ff404ff,0x3fff601f,0x3fffee03,
    0x7ffecc0a,0x57fffdc6,0x37ffecc0,0x3fffaeb2,0xffe8003f,0xf9310adf,
    0x7f5d6405,0x20003fff,0x36005ff9,0x00002fff,0x8007fff1,0x7c006ffd,
    0xffca9acf,0xebac84ff,0x0003ffff,0xfffffff7,0xc8809fff,0xffffffff,
    0xff1004ff,0x7fffffff,0x3ffffff6,0xfff73fff,0xb87ffee3,0xeeeeefff,
    0x1ffffeee,0x2afffa00,0x3fa0000a,0x33fe0eff,0xffffca9a,0xfffffd84,
    0xfffffffe,0x326aee02,0x7fc4ffff,0x23ccccff,0x204ffff8,0xffffecc9,
    0x33332a00,0x2000fffe,0xfb80fffd,0x6cc0afff,0x7fdc6fff,0x7ecc0aff,
    0x7fcc06ff,0x7c44cdff,0xfeffffff,0x440fffff,0xefffffff,0x20ffffff,
    0xfffffff8,0xffd10005,0xffffffff,0x3fffe205,0x40005fff,0x36004ffa,
    0x00002fff,0x8003fff3,0x7c003fff,0xffffffff,0xffff886f,0x40005fff,
    0xffffffd8,0x3b6a001e,0x0befffff,0x3ffee200,0x3ff61dff,0x3fffffff,
    0x3ee3fff7,0x3fffa1ff,0x1ffff400,0x00fff880,0xfffd1000,0x7fffffcb,
    0xf106ffff,0xdfffffff,0x6405fff5,0xffffffff,0x7fffffc0,0x3fffa5ff,
    0x7fffd404,0x7fe402ff,0x00ffffff,0x3fffff20,0x3ffffe22,0xfffffeff,
    0x7fffc40f,0xffffefff,0xffd800ff,0x74c0ffff,0xffffffff,0xfd301dff,
    0xffffffff,0xfff883bf,0x80002fff,0xfffffffd,0xfff101ef,0x00005fff,
    0x6c005ff7,0x00002fff,0x8800dff7,0x7c001fff,0xffffffff,0xffff880d,
    0x400002ff,0x00001a98,0x20000333,0xbbb90198,0x25bbbbbb,0xff71fffb,
    0x1bffe23f,0x01bfff20,0x0002ffdc,0xf83bfa20,0xffffffff,0x3ffa200d,
    0xfff14fff,0x7fffe405,0xfff82fff,0x2a5fffff,0xffa804ff,0xfc801eff,
    0x0fffffff,0x3fffe600,0x7fff4c2f,0xdfffffff,0xffffd301,0x3bffffff,
    0x7fffdc00,0xfdd9300f,0x200199df,0xceffeec9,0xbdfd100c,0x4c000017,
    0x01cdefdb,0x05ef7f44,0x09988000,0x07332a00,0x1f75c000,0x017ba600,
    0x3bfbb260,0x3fa201cd,0x00000bde,0x00000000,0x00000000,0x3ee3fff7,
    0x9fff51ff,0x1ffff300,0x00599700,0x981b1000,0x1cdefeec,0x006a6200,
    0xdefeda80,0x33333203,0x02543ccc,0x001abc98,0x3333332a,0xcc88004c,
    0xdd9300cd,0x00199dff,0x3bffbb26,0x310000cc,0x00000995,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0xff71fffb,0x07fff63f,0x017fffc0,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2e000000,0xfff71fff,0x00000003,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xea800000,
    0x1ddd50ee,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01000000,0x00000000,0x01000001,0x02f6c000,
    0x44000000,0x98800001,0x00000009,0x00000000,0xb0bbaa00,0xddb001dd,
    0x51f76c49,0x99999999,0x39999999,0x00006200,0xe9800000,0xdb00deee,
    0x1f76c49d,0x700b332a,0x01001999,0x99999700,0x00015799,0x3ae00000,
    0xdddb0dee,0xbdb7001b,0xeeb80003,0x2662002e,0x01999999,0x0deeeb80,
    0x401bdddb,0x5c3fffd9,0xfdb91001,0x4019bdff,0x5c3fffd9,0x9fb71001,
    0x3fe20000,0x2077e406,0x50002ffa,0x00003dff,0x1000fffc,0xbdfffb95,
    0xff700037,0xfc801bff,0x017fd40e,0x6d5fffcc,0xfd1007ff,0x8bfff5df,
    0xfffffffd,0xffffffff,0x0effa802,0x503bf200,0x4c0005ff,0x200dffff,
    0xffaeffe8,0x3fffc84f,0x80ffff40,0x5c3fffd9,0xfffffd01,0x019fffff,
    0xfa81df90,0x7fdc002f,0xbfffb0ef,0xffffb001,0x3f20005f,0x7002ffff,
    0xffffffff,0x7fdc001f,0xbfffb0ef,0x7fffc401,0x1ffdbeff,0x7ffffe40,
    0x102fffff,0x7dffffff,0xf7003ffb,0x200009ff,0x3ea05ff9,0x3ffe25ff,
    0xfff8000f,0xf300005f,0x7fd400ff,0xffffffff,0x3fee000f,0xffa802ff,
    0x3fffe25f,0xffffd800,0x22002fff,0x84fffffe,0xfffffffd,0xffffffff,
    0x5ffff802,0x4bfff500,0x000ffff8,0x02ffff98,0xfffffd10,0x0ffff209,
    0x103fffd0,0x7dffffff,0xffd03ffb,0xffffffff,0x7fd401df,0x3fffe25f,
    0x9fff5000,0x00ffffa2,0x7ecdffcc,0xfffc8006,0xb803fffc,0xffffffff,
    0xfff5000f,0x0ffffa29,0x3fbbff20,0x00efffff,0x3ffffff6,0x902fffff,
    0xffffddff,0xf7001dff,0x200009ff,0x3ee03ffa,0x3ffe66ff,0x7fc4001f,
    0x900006ff,0xf91009ff,0xffffffff,0x2e001fff,0x7000efff,0x7fccdfff,
    0xff9001ff,0x10005fff,0x3209fffb,0xfffeeeee,0x1eeeeeef,0x37fffc40,
    0x26fffb80,0x001ffff9,0x0077ffcc,0x13fffa20,0x403fffc8,0xfc81fffe,
    0xfffffeef,0xfffe80ef,0xfffffeee,0x3ffee05f,0x07fffe66,0x44bffea0,
    0x2000effe,0x01fea7fa,0x2a1dffb0,0x75403fff,0xeeeeeeee,0x2fffa800,
    0x001dffd1,0xfffd51ec,0x7ffdc03d,0xecbabcff,0xea8f602f,0x7001efff,
    0x00009fff,0xf880bfee,0x37fec3ff,0x3fffd800,0x7f6dc400,0xd802ffff,
    0xcdffffff,0x800fffed,0x4003ccc8,0x7ec3fff8,0x0a98006f,0x40000000,
    0x0003fffd,0x400ffff6,0x7ec3fff8,0x0000006f,0xfff90000,0x1fffe807,
    0x7ff547b0,0xfffd01ef,0x7fffe983,0xb0fffe20,0x00000dff,0x9cff8800,
    0x000006fd,0x00000000,0xa9800000,0x5fffe800,0x4c000440,0x7fdc000a,
    0x4c40004f,0x54403ffd,0x80005501,0x7cc002cb,0xffffffff,0x7fffd403,
    0x0036a01f,0x40155440,0x005501a8,0x00000000,0x03fffd80,0x00165c00,
    0x015406a2,0x00000000,0x807fff90,0x4001fffe,0x7ff400a9,0xffffb81f,
    0x5406a200,0x00000002,0x3fffff90,0x00000000,0x00000000,0xff800000,
    0x000002ff,0x77777400,0xeeeeffff,0x3fae00ee,0x01ffffff,0x00000000,
    0x7ffffdc0,0x03ffffff,0x003bfffa,0xbff70000,0x95000000,0xccb80599,
    0x765cc00c,0x401bdeff,0x0003fffd,0x00000000,0x3ffb7220,0x4400cdef,
    0xdefffedc,0x0ffff20c,0x003fffd0,0x3fffa000,0x1ffff881,0x65400000,
    0x665c02cc,0x3b2a000c,0xb910000c,0x19bdfffd,0x402ccca8,0x2200cccb,
    0x0bdefedb,0xfdb71000,0x7c4017bd,0xa8003fff,0x65c02ccc,0x3fffe0cc,
    0xffffffff,0xfe981fff,0xffffffff,0x3fb6e201,0x88000bde,0xdefffdca,
    0xffff981b,0xfffffbdf,0xffffa81f,0xe8000001,0x999503ff,0x0cccb805,
    0xd00ffff2,0x36203fff,0xffffffff,0x7ffec04f,0x99999003,0x99999999,
    0x0f332a79,0x80666640,0xfffffffc,0x3f202fff,0xffffffff,0x0ffff22f,
    0x803fffd0,0x01ccccca,0x440ffff4,0xa800ffff,0x801ccccc,0x7403fffc,
    0x95001fff,0x80039999,0xfffffffc,0x7fe42fff,0x7fff403f,0xfffff301,
    0x8005ffff,0xfffffff9,0x3ffe02ff,0x7e4002ff,0x7ff403ff,0x3ffffe1f,
    0xffffffff,0x7ffcc1ff,0xffffffff,0xfffff301,0x4005ffff,0xfffffffa,
    0x7ec0ffff,0x3ffe65ff,0xffc86fff,0x4000005f,0x900fff99,0xfe807fff,
    0x3fff21ff,0x0ffff403,0x7fffffcc,0x404fffff,0xf003fffd,0xffffffff,
    0x26dfffff,0x5c01ffff,0xffb06fff,0xffffffff,0x3fff605f,0xffffffff,
    0x00ffff22,0xe803fffd,0x404fffff,0xfc81fffe,0xffd006ff,0xf9009fff,
    0xffe807ff,0xfffd001f,0x7ec009ff,0xffffffff,0x7ffe42ff,0x0ffff403,
    0x7fffffe4,0x003fffff,0xfffffff9,0x3607ffff,0x0aefffff,0x03fffc80,
    0x330ffff4,0x3bfff933,0xfb033333,0xdff5bfff,0xfff903b5,0xffffffff,
    0xfffc8807,0xffffffff,0x1bffe60f,0xffffdff7,0x03fffd83,0x7f6cc000,
    0x3206ffff,0x7f403fff,0x3fff21ff,0x0ffff403,0x3fffffe6,0x04ffedce,
    0x801fffec,0xffffffff,0x26ffffff,0x7405fffd,0xffb82fff,0xcbabcfff,
    0xfffb82fe,0xecbabcff,0x0ffff22f,0x403fffd0,0x6ffffff8,0x4d7fff40,
    0x2ffffda9,0xfffff880,0xfffc806f,0x0ffff403,0x7ffffc40,0xfff7006f,
    0xd97579ff,0x3fffc85f,0x20ffff40,0xcefffff9,0x01fffffe,0x77ffffcc,
    0x1fffffec,0xffffff88,0x3f201cff,0x7ff403ff,0x3ffee01f,0xffff5004,
    0x9813fe65,0xecefffff,0x201fffff,0xdffffffd,0x20fffedc,0x7f43fffd,
    0x43fffdbf,0x6542ffff,0x00cccccc,0x3ffffff2,0xff903fff,0xfffe807f,
    0x00ffff21,0xfd83fffd,0xa880cfff,0x1fffec03,0xffffff80,0xffffffff,
    0x07fffe65,0xe837ffdc,0x04405fff,0x202ffff4,0x0ffff208,0x403fffd0,
    0xfffffffb,0x3ffffa00,0x2fffffff,0xfffff700,0xffc801ff,0x7fff403f,
    0xffffb801,0xfe800fff,0x204405ff,0x7403fffc,0x7ff41fff,0x7ffcc0ef,
    0x7fff405f,0x7fffcc0e,0xfffff305,0x901bffff,0xfe807fff,0x3fee01ff,
    0xfff9004f,0xd01ffd4d,0xf981dfff,0xff505fff,0x6d403fff,0x887fffa0,
    0xfffb8fff,0x07fffe25,0xfffffff9,0x3ffff601,0x2fffffff,0x403fffc8,
    0x3f21fffe,0x7ff403ff,0x3fffea1f,0xffd80003,0x3200003f,0x7ec1ffff,
    0xffff05ff,0x0bfffe05,0x17fffc00,0x0ffff200,0x403fffd0,0xfffefffd,
    0x3ffffa03,0x00afffff,0x3fbfff60,0x7fe403ff,0x7fff403f,0xefffd801,
    0xff803fff,0xfc8002ff,0x7ff403ff,0x3fffea1f,0x1ffff500,0x03fffea0,
    0x807fffd4,0xffffffc8,0x7fe41fff,0x7fff403f,0x13ffee01,0x71ffff40,
    0x3fea05ff,0xfff500ff,0xdfffd01f,0xffff0001,0xff36ffb8,0x7fffc4df,
    0x7ffffe40,0xfffa80ff,0xffffc9bf,0x7ffe42ff,0x0ffff403,0xe807fff9,
    0x3ffa1fff,0xfb00006f,0x200007ff,0x984ffffa,0x7dc0ffff,0xfff106ff,
    0xff10007f,0xfc8007ff,0x7ff403ff,0x3bffe01f,0x3a05fffb,0xffffffff,
    0x3fe000df,0x05fffbef,0x201fffe4,0xf801fffe,0x5fffbeff,0x1ffffc40,
    0x1fffe400,0xd87fffa0,0x7fc04fff,0xfffb03ff,0x3ffff809,0x7fff5c40,
    0x3f20efff,0x7ff403ff,0x3ffee01f,0x3ffff004,0xfd80ffe4,0x7ffc04ff,
    0x7fffd43f,0xfff88001,0xf99ffec7,0x3ffe27ff,0x7f775c1f,0xffe80fff,
    0x3fbffa2f,0x7ffe45ff,0x0ffff403,0xe807fff9,0x3ffe1fff,0xfb00003f,
    0x100007ff,0x6c0dffff,0x7ffc4fff,0x3fffe02f,0xfff8002f,0x3f2002ff,
    0x7ff403ff,0x9fff501f,0x740ffff3,0xffb89fff,0xff5004ff,0x0ffff39f,
    0x403fffc8,0x5401fffe,0xfff9cfff,0xfffff807,0x7ffe4002,0x0ffff403,
    0xc803fffd,0xffd04fff,0xfffc803f,0x3ff66004,0x3ff23fff,0x7fff403f,
    0x13ffee01,0x87fffe20,0xffd00ffd,0xfffc803f,0x02fffe44,0x26fff980,
    0xff11fff8,0x2ffff8ff,0x207fff40,0x3e66fffa,0x46fff8ff,0x7403fffc,
    0x3ff21fff,0x7fff403f,0x01ffff31,0x3fff6000,0xffc80003,0x3fe601ff,
    0xdfff70ff,0xfffffd80,0xffb000ae,0x8015dfff,0x7403fffb,0xff901fff,
    0x07fffe3f,0xf50ffff4,0xf9003fff,0x3fffe3ff,0x0ffff201,0x803fffd0,
    0xfff1fffc,0xfffd803f,0xc800aeff,0x7f403fff,0x3fffe1ff,0x2fffdc00,
    0x400ffff8,0x8005fffb,0x325ffffa,0x7f403fff,0x3fee01ff,0xffff004f,
    0xff03ffc7,0xffb801ff,0x1fffec5f,0x6fffa800,0xff89bfea,0x1ffff47f,
    0x703fffa0,0x7fe47fff,0x641fffb5,0x7f403fff,0x3fff21ff,0x8ffff403,
    0x0007fffa,0x00ffff60,0x7ffff500,0x27fffb00,0x4402fffe,0xffffffff,
    0x7ffc401c,0x01cfffff,0xf809fff7,0xffd00fff,0x827ffe4f,0x7ec1fffe,
    0xffe805ff,0x813fff27,0x7403fffc,0x7f401fff,0x13fff27f,0xffffff10,
    0x7e4039ff,0x7ff403ff,0x0ffff11f,0x10dfff50,0xf500ffff,0x36000dff,
    0x3ff26fff,0x7fff403f,0x13ffee01,0xf2ffff40,0x3ffe20df,0x6fffa807,
    0x2a17fffc,0x0ccccccc,0x7ecdfff3,0x1bffe64f,0xe80dfff9,0x7fe40fff,
    0x64bffa2f,0x3ff21fff,0x7fff403f,0x00ffff21,0x3ee3fffd,0x200006ff,
    0x0003fffd,0x01bfffe2,0x7d7fffcc,0xff3006ff,0xbfffffff,0x7fffcc01,
    0x40dfffff,0x2205fffa,0xff307fff,0x37ffd4bf,0x541fffe8,0x2601ffff,
    0x3fea5fff,0x3fff206f,0x0ffff403,0x54bfff30,0xf9806fff,0xffffffff,
    0x3fffc80d,0x98ffff40,0xf9807fff,0xfff987ff,0x7fff9807,0xbfff9000,
    0x201fffe4,0x2e01fffe,0xf9005fff,0x9ff37fff,0x01fffe60,0xf89fffe6,
    0x7fe41fff,0xf30fffff,0x0fffcfff,0xfa8bfff3,0x3fa02fff,0x7ffec0ff,
    0x7dcfff31,0x3fff23ff,0x0ffff403,0xe807fff9,0xfff91fff,0x7ec0000d,
    0x320003ff,0x2000ffff,0xfffffffd,0x3ff22002,0x1fffffff,0x3ffff220,
    0x261fffff,0xf901ffff,0x3fee09ff,0x3fffe23f,0x81fffe80,0x2e05fffe,
    0x3fe23fff,0xfff900ff,0x1fffe807,0x88fffee0,0x8800ffff,0xfffffffc,
    0x7ffe41ff,0x8ffff403,0x9807fffa,0xffa87fff,0xfff9807f,0x3e200627,
    0x3ff23fff,0x7fff403f,0x1fffea01,0x7ffffc40,0x1ebacffe,0x300ffff5,
    0x7fc4ffff,0x7ffe40ff,0xff10ffff,0x8fff51ff,0xfe84fffa,0xffd02fff,
    0x1fffd81f,0x7fe49ff9,0x0ffff22f,0x643fffd0,0x7f403fff,0xffff71ff,
    0x7fec0000,0xff50003f,0xf98007ff,0x006fffff,0xffffd710,0xb8801dff,
    0xeffffffe,0x2bffffa0,0x3ffff710,0xd03fff60,0xffd07fff,0xffff703f,
    0x03fff603,0x3207fffd,0x7f403fff,0x3ff601ff,0x1ffff40f,0xfffd7100,
    0x7e41dfff,0x7ff403ff,0x0ffff31f,0x30dfff50,0xf500ffff,0x6ffd4dff,
    0xffca99ab,0x3ff21fff,0x7fff403f,0x3fffe601,0x3ee04c1c,0xffffffff,
    0xffff31ff,0x4dfff500,0x5c1ffff8,0x0ffffeee,0x3f2bfffa,0x1fffec4f,
    0x6fffffcc,0xffffb9ac,0xf97ffe40,0x3fff62ff,0x00ffff21,0x7e43fffd,
    0x7ff403ff,0x1ffff51f,0x3ff60000,0xfe88003f,0xfb0005ff,0x0003ffff,
    0xfffffb30,0x7fecc007,0x3fe63fff,0xffffffff,0xfff104ff,0x0bfff70d,
    0xf103fffd,0xff109fff,0xbfff70df,0x00ffff20,0x2203fffd,0xffb86fff,
    0xfb30005f,0x7e47ffff,0x7ff403ff,0x1ffff11f,0x85fffa80,0x400ffff8,
    0x3ea5fffa,0xffffffff,0x7e43ffff,0x7ff403ff,0x7fff401f,0x81fffeff,
    0xfffffffb,0xfff11fff,0xfffa801f,0x017fffc5,0xfc83fffa,0x22fffdff,
    0x900ffff8,0xffffffff,0xb81fffff,0x7ff9cfff,0xc83fffe2,0x7f403fff,
    0x3ffee1ff,0x87fff403,0x001ffff9,0x07fffb00,0x1ffff900,0x3ffe6000,
    0x5400005f,0x8005ffff,0x5c5ffffa,0xffffffff,0x3fea05ff,0xffff984f,
    0x80ffff40,0x540ffffc,0xff984fff,0xfffb80ff,0x07fff403,0x984fffa8,
    0x0000ffff,0xb97fffea,0x7f403fff,0x3fffe0ff,0x27ffdc01,0x401ffff8,
    0x3ea4fffb,0xffffffff,0xffb84fff,0x7fff403f,0x7fffcc00,0x301fffff,
    0xfffffff9,0x0ffffc19,0xd13ffee0,0xfe807fff,0x3ffea0ff,0x7fec7fff,
    0x7ffd404f,0xffffffff,0x7fffc40f,0x3ff24ffd,0x1fffdc5f,0xb83fffa0,
    0x7fc04fff,0x3fffe27f,0xffb00005,0xffa8007f,0x740003ff,0x00002fff,
    0x006fffd8,0x30dfffb0,0xdffffffb,0xdfffc805,0xfffccccc,0x0ffff42f,
    0x44ffff88,0xcccdfffc,0x82ffffcc,0x7c04fffb,0x3ff207ff,0xfcccccdf,
    0x40002fff,0x3ee6fffd,0x7ffc04ff,0x01ffff47,0x740ffffa,0x7f403fff,
    0x3fb663ff,0xcfffffff,0x09fff700,0x3007fff8,0xfffffffb,0x13ffd001,
    0x00ffffa0,0xfc87fffd,0x7ff406ff,0x7fffec0f,0xfffdb9df,0xfec8800f,
    0x1cefffff,0xffffffb0,0x1ffff913,0x404fffb8,0x7fd47fff,0x3ffe205f,
    0x0fffff46,0x20000000,0x005fffe8,0x02fffd80,0xfffc8000,0xfff90005,
    0x4fff980b,0xffffff00,0xffffffff,0x7c000009,0xffffffff,0xa84fffff,
    0x3e205fff,0x3ffe06ff,0xffffffff,0x40004fff,0x3ea5fffc,0x3fe205ff,
    0x37ffe46f,0x03ffff10,0x881bfff2,0x3101ffff,0x50013553,0x7c40bfff,
    0x4c4006ff,0x3e0009aa,0x7ffe406f,0x3fffe206,0x17fffd41,0x981fffd0,
    0xffffffff,0x0003ffff,0x10013353,0xfffffffd,0xf509ffff,0x7fc40bff,
    0x7fffcc6f,0x8bfff901,0x02fffff9,0x800000a6,0x000ffffc,0x02fffd80,
    0xff100310,0x400c47ff,0x403ffff8,0xf3006ffd,0xffffffff,0x00ffffff,
    0x3ffe6000,0xffffffff,0xff987fff,0xfff901ff,0x3fffe60b,0xffffffff,
    0x801887ff,0x263ffff8,0xf901ffff,0xfff88bff,0xfffe884f,0x3fffe204,
    0x4fffe884,0xff300000,0x3ff203ff,0x0000005f,0xf1017fe2,0xfd109fff,
    0x3ffa09ff,0xfffd02ff,0xfffff301,0x005fffff,0xfd100000,0xffffffff,
    0x3fffe607,0x0bfff901,0x215ffffd,0x80ffffb8,0xcefffffd,0x404fecaa,
    0x3000fffc,0x0005ffff,0x00bfff60,0x4d5effd4,0xfffffca9,0x2af7fea1,
    0xffffca99,0x3ffe601f,0xdfff7002,0xfddddddd,0xfc803fff,0xffb800ff,
    0xeeeeeeef,0xe81ffffe,0x710affff,0x2e01ffff,0xeeeeefff,0x1ffffeee,
    0x4d5effd4,0xfffffca9,0x57ffff41,0x1ffff710,0x7bffffb0,0x1ffffd95,
    0xdffffd80,0xffffecab,0x1fff9000,0x5ffffd00,0x3fffee21,0x1fff9000,
    0x09ff3000,0x7bffffb0,0x1ffffd95,0x3ffffe60,0xfffb9acd,0xffff900f,
    0x0001bfff,0x0003fff2,0x3fffffe2,0x7ff401df,0xff710aff,0xfff301ff,
    0xffffffff,0x3ffa209f,0xffffffff,0x37fec04f,0xffffe880,0xeeeeeeee,
    0xfffd805e,0xffff5002,0xffffffff,0xffffa87f,0xffffffff,0x7ffd403f,
    0x1fffd002,0x03fffe80,0xe8037fec,0x7f400fff,0xfff983ff,0xffffffff,
    0x3fffa04f,0x1ffff400,0x3fffffea,0x3fffffff,0xffffff98,0x04ffffff,
    0xfffffff3,0x007fffff,0xfffffff3,0x007fffff,0x98037fec,0xffffffff,
    0x2004ffff,0x50006ffd,0xff3007ff,0xffffffff,0xffc807ff,0xffffffff,
    0xffd00fff,0x00001557,0x2000dffb,0x00aaeffa,0x3ffffe60,0x4fffffff,
    0x3ffffee0,0x404fffff,0xffffffc8,0x7c04ffff,0xff3003ff,0xffffffff,
    0xb00fffff,0x2a005fff,0xffffffff,0xfa84ffff,0xffffffff,0xfa804fff,
    0x2205ffff,0xfc806fff,0x7ffc06ff,0x6fff8803,0x06fffc80,0xfffffff7,
    0x7c409fff,0xffc806ff,0x7fffd46f,0xffffffff,0x3fffee04,0x04ffffff,
    0x7fffff44,0x2002ffff,0xffffffe8,0x7c002fff,0x3ee003ff,0xffffffff,
    0x7ffc004f,0x5ff70003,0x3fffa200,0x02ffffff,0xffffff50,0x01ffffff,
    0x0001fff1,0x003fff80,0x0007ffb0,0x7fffffdc,0x8804ffff,0xeffffffd,
    0x3fb6a001,0x00beffff,0x4007ffe2,0xfffffff9,0x7fffffff,0x02fffd80,
    0xffffdb30,0x2019ffff,0xfffffed9,0x2000cfff,0x205ffffe,0x9804fffa,
    0xf100ffff,0xff5003ff,0xfff3009f,0x3ff6201f,0x401effff,0x9804fffa,
    0x3660ffff,0xfffffffe,0xfd8800cf,0x01efffff,0x3ffffb20,0xd90000df,
    0x01bfffff,0x01fff880,0x7fffec40,0x44001eff,0x90001fff,0xec8003ff,
    0x00dfffff,0x7fff6440,0x701cefff,0x80000bff,0x8001fff8,0x0001fff8,
    0x7ffffec4,0x988001ef,0x3300001a,0x2f74c003,0xfffff300,0xffffffff,
    0xfffb00ff,0x53310005,0x98800135,0x00009aa9,0xd80b372e,0xff001fff,
    0x3ba605ff,0x3fffb005,0x0bfffe00,0x8006a620,0xf001fffd,0x26205fff,
    0x00009aa9,0x00006a62,0x000002a6,0x4c000153,0x440005ee,0x260001a9,
    0x220005ee,0x54c00019,0x2a600000,0xccb80099,0x74c00002,0x9930005e,
    0x98800009,0x0000001a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x77540000,0x000776c2,0x8017775c,
    0x99999998,0x06200019,0x0b333260,0x930ccc98,0x99999999,0x70019999,
    0x26005ddd,0x000deeed,0xeeee9800,0x3333260d,0x03332603,0xd7000000,
    0x020005dd,0x7776cc00,0x3000000d,0x001bdddd,0x4017775c,0xcccccccc,
    0x400ccccc,0x01ccccca,0x3bbae000,0x07332e3e,0x3fea0000,0x3aa00dff,
    0x00776c2e,0x007fffb0,0x88000020,0x0cccb801,0x03999930,0xefc800c0,
    0x2017fd40,0xfdabfff9,0xffc8007f,0xfb802fff,0xffffffff,0xeffa8000,
    0x3fffee00,0x47ffee06,0xfffffffb,0x01ffffff,0x17ffffe4,0xefffe980,
    0x3e600000,0x7dc0dfff,0xf700ffff,0x3bf203ff,0x0017fd40,0x05fffff9,
    0x0ffff660,0xffe98037,0x400000ef,0x00dffff9,0x3fffff20,0x7ffffc02,
    0xffffffff,0x7ffff400,0xf700004f,0xffd87fff,0x5400002f,0x9803ffff,
    0xffdabfff,0x3fff6007,0xfb3004ff,0x001b87ff,0xe803bfea,0xff881fff,
    0xff3006ff,0x7ffd405f,0x03fffe25,0xffffffb0,0xffc8005f,0x403fffcf,
    0xfffffffb,0xff8000ff,0x3fee05ff,0xff703fff,0x3fffee3f,0xffffffff,
    0x3fff201f,0x2003fffc,0x000efffc,0x2ffff980,0x9fffff70,0x207ffee0,
    0x3e25fffa,0xfc800fff,0x03fffcff,0x7fffffc4,0x801ffdbe,0x000efffc,
    0x5ffff300,0xcfffc800,0x3fe03fff,0xffffffff,0x3e200fff,0x006fffff,
    0x1efffb80,0x002fffd8,0x3bffea00,0x3fff6001,0x8802ffff,0xfffbeffd,
    0x7fffc404,0x1ffdbeff,0x0bffff00,0x640ffff4,0xd000ffff,0x2e01ffff,
    0x3fe66fff,0xffc801ff,0x6c002fff,0xfff30eff,0x77775407,0x000eeeee,
    0x037fffc4,0x0ffffff7,0x64c7ffee,0xdfffeccc,0xfb00cccc,0x3ffea1df,
    0x3ffea003,0x3e60000e,0x3ee00eff,0xb80fffff,0xffb81fff,0x3fffe66f,
    0x877fec01,0x3203fff9,0xffffeeff,0xf5000eff,0x80001dff,0x000efff9,
    0xfa877fec,0xffff03ff,0xdddddddd,0x7ffdc01d,0x0000ffff,0xd813ffee,
    0x00002fff,0x0019ddb3,0x5fffff90,0x893bb200,0x3f203eed,0xfffffeef,
    0xff8800ef,0x3ffa06ff,0x7fffcc1f,0xffff1003,0x3ffe203f,0x0037fec3,
    0x000002a6,0x00000000,0x701fffec,0x07ffffff,0x6c03fff7,0x00002fff,
    0x00000000,0x7ffdc000,0xffb83fff,0x3fff881f,0x00037fec,0x7547b000,
    0x0001efff,0x00000000,0xfff80000,0x7ec0001f,0x03fffeff,0xffb00000,
    0x0000005f,0x002a6000,0x1ec00000,0x03dfffd5,0x01fffec0,0xfe83fffd,
    0x7f4005ff,0x0d4407ff,0x000002a8,0x00000000,0x05970000,0xffffffb8,
    0x01fffb87,0x000bfff6,0x00000000,0xff700000,0xf70dffff,0x06a203ff,
    0x00000154,0x000a9800,0x00000000,0x3e000000,0x40001fff,0xfffbefff,
    0xb0000005,0x20005fff,0xaaaaaaaa,0x40000002,0x0000aaa9,0x00015300,
    0xffd00b2e,0x7fffe43f,0x77f44000,0x20000001,0xbdefedb8,0xecb98000,
    0x201bdeff,0xbdefedb8,0xb8000000,0x3fffefff,0xb00fffdc,0xca805fff,
    0x665c02cc,0x0b332a0c,0x54199970,0x65c02ccc,0xdfff70cc,0xffb85fff,
    0x0000001f,0xdfffb951,0x0000037b,0x77f6dc40,0x5c4000bd,0x00bdefed,
    0x77f6dc40,0x3ffe00bd,0x3ea0001f,0x7fff9cff,0xfd973000,0x7ec37bdf,
    0xff0002ff,0x0dffffff,0xffb95100,0xfb037bdf,0x000005ff,0xe8000000,
    0xfff31fff,0x8000005f,0xcccccccc,0x300ccccc,0xffffffff,0x3f62005f,
    0xffffffff,0xfffff304,0x9805ffff,0xcccccccc,0xf70ccccc,0x8ffff5ff,
    0x3601fffb,0x7e402fff,0x7ff403ff,0x0ffff21f,0x643fffd0,0x7f403fff,
    0x7fff71ff,0xffb8dfff,0x66664c1f,0xcccccccc,0x3ffea00c,0xffffffff,
    0x0f333260,0x300ccc98,0xffffffff,0x3fe6005f,0x2fffffff,0xfffff300,
    0x3e05ffff,0x20001fff,0xfff1fffc,0x7ec4003f,0xffffffff,0x00bfff64,
    0x7fffffc0,0x7d4006ff,0xffffffff,0x7ffec0ff,0x99930002,0x99999999,
    0x99990199,0x99999999,0x47fffa19,0x0004fffe,0xff802666,0xffffffff,
    0xffc80fff,0xffffffff,0x7ffcc03f,0xffffffff,0xfffffc84,0x03ffffff,
    0x3fffffee,0x1fffffff,0xff93fff7,0x0fffdc7f,0x805fffb0,0x7403fffc,
    0x3ff21fff,0x7fff403f,0x00ffff21,0x3ee3fffd,0x1fffd9ff,0xf707ffee,
    0xffffffff,0x9103ffff,0xffffffff,0x7dc1ffff,0xf700ffff,0xfff903ff,
    0xffffffff,0xffffc807,0x3fffffff,0x7ffffe40,0x83ffffff,0x0001ffff,
    0xffc9fffa,0xfff3004f,0xffffffff,0x017ffec9,0xfdcccc80,0xf91006ff,
    0xffffffff,0xffd81fff,0xff70002f,0xffffffff,0xfff03fff,0xffffffff,
    0x3fffa1ff,0x006fffc9,0x80bffe20,0xffffffff,0x4c0fffff,0xecefffff,
    0x301fffff,0x9dffffff,0xf989ffdb,0xfeceffff,0xf701ffff,0xffffffff,
    0x3ee3ffff,0xffff89ff,0x403fff70,0x6402fffd,0x7f403fff,0x3fff21ff,
    0x0ffff403,0xe807fff9,0xfff71fff,0x5cbfff53,0x7fdc1fff,0xffffffff,
    0xffd81fff,0xedcdffff,0x3fee0fff,0xff704fff,0xffff983f,0xffffecef,
    0xffff301f,0xffffd9df,0x3ffe603f,0xfffeceff,0x7fffc1ff,0xeeeeeeee,
    0x4bfff304,0x9806fffa,0xceffffff,0x3f64ffed,0x300002ff,0x3600dfff,
    0xcdffffff,0x6c0fffed,0x70002fff,0xffffffff,0xf03fffff,0xffffffff,
    0x3fa1ffff,0x1ffffbff,0x3ffe6000,0x3bfffe02,0xeeeeeeee,0x077fff40,
    0x417fffe6,0x80cffffd,0x7fff43a8,0x7fffcc0e,0xd9999305,0x9999bfff,
    0x647ffee1,0xfff73fff,0x17ffec03,0x00ffff20,0x7e43fffd,0x7ff403ff,
    0x0ffff21f,0x2e3fffd0,0xfffd1fff,0x307ffee3,0xfffd9999,0xa819999b,
    0x201fffff,0x3ffee0da,0xffb80fff,0x77fff41f,0x2ffffcc0,0x40efffe8,
    0xd05ffff9,0xf981dfff,0x7ffc5fff,0xffffffff,0x7fff705f,0x007fffc4,
    0x033ffff6,0xfffd8ea2,0xff300002,0xfff500df,0x06d403ff,0x000bfff6,
    0x7f66664c,0x0ccccdff,0xeeeffff8,0xd0eeeeee,0x9fffffff,0xfff98000,
    0x07fffe03,0x1ffff500,0x03fffea0,0x007ffff5,0x00ffffa8,0x001ffff5,
    0xb80bfff6,0xfff11fff,0x03fff71f,0x2017ffec,0x7403fffc,0x3ff21fff,
    0x7fff403f,0x00ffff21,0x3ee3fffd,0x9fff71ff,0x2007ffee,0xe802fffd,
    0x8000efff,0x3ffffffb,0x2a1fffb8,0xf500ffff,0xffa81fff,0xfff500ff,
    0xffffa81f,0x1ffff500,0x7ffffffc,0xb05fffff,0xffe81fff,0x3ffea03f,
    0x7fec003f,0xf300002f,0xffd00dff,0x360001df,0x00c42fff,0x02fffd80,
    0x003ffff0,0x7ffffff4,0xfb50006f,0x7fc07fff,0x7ec001ff,0x7ffc04ff,
    0x37fff43f,0x27ffec00,0x00ffffe0,0x7017ffec,0x7fe43fff,0x01fffbbf,
    0x900bfff6,0xfe807fff,0x3fff21ff,0x0ffff403,0xe807fff9,0xfff71fff,
    0x5c7fffc3,0xfd801fff,0x7fd402ff,0xf70001ff,0x70dfffff,0x7fec3fff,
    0x7fffc04f,0x027ffec3,0xfb0ffffe,0xfff809ff,0x37fffe3f,0x2ccccccc,
    0xb86fff88,0x3fa05fff,0xfd8006ff,0x300002ff,0xfa80dfff,0x20001fff,
    0xff91fffd,0x6c001bff,0xff002fff,0x7f4003ff,0x4ffffaff,0x3fffa200,
    0x3fe04fff,0x7f4001ff,0x7fe401ff,0x1ffffc4f,0x0ffff400,0x013fff20,
    0x7017ffec,0x7fc43fff,0x01fffbff,0x900bfff6,0xfe807fff,0x3fff21ff,
    0x0ffff403,0xe807fff9,0xfff71fff,0x5e7ffdc3,0xfd801fff,0x7fe402ff,
    0x3ee0005f,0x42fffeff,0x3fa1fffb,0x7fe401ff,0x0ffff44f,0xd13fff20,
    0xfc803fff,0x3fffe4ff,0xfffa8001,0x0ffff984,0x007ffff0,0x005fffb0,
    0x1bffe600,0x00bfff90,0xeafffd80,0x0fffffff,0x05fffb00,0x007fffe0,
    0xfb9fffe8,0xf8801fff,0x4fffffff,0x007fffe0,0x801ffff0,0x3e65fffb,
    0xf8000fff,0x7dc00fff,0xffb005ff,0x7ffdc05f,0x7ffffe41,0x3ff601ff,
    0x7ffe402f,0x0ffff403,0xe807fff9,0x3ff21fff,0x7fff403f,0x443fff71,
    0xfffbffff,0x2fffd801,0x01fffec0,0xf7fff700,0xfffb8dff,0x003fffe1,
    0xff8bfff7,0x7fdc00ff,0x07fffc5f,0xf97ffee0,0xc8001fff,0xccccdfff,
    0x982ffffc,0x8000ffff,0x0002fffd,0x80dfff30,0x0003fffd,0x7fffffec,
    0x05ffffff,0x005fffb0,0x8007fffe,0xffd1fffe,0xfff900df,0x4013339f,
    0x2001ffff,0xa807fff8,0x3fea6fff,0xff88007f,0xfffa807f,0x5fffb006,
    0x20fffdc0,0xfffffff8,0x0bfff601,0x807fff90,0x3f21fffe,0x7ff403ff,
    0x0ffff21f,0x2e3fffd0,0x7fe41fff,0x801fffef,0x7c02fffd,0x66542fff,
    0x2e0ccccc,0xfffd9fff,0x447ffee1,0xfa807fff,0x3ffe26ff,0x6fffa807,
    0x201fffe2,0x3fe6fffa,0xff8001ff,0xffffffff,0xfa84ffff,0xfb0007ff,
    0x200005ff,0x7c06fff9,0x66542fff,0x6c0ccccc,0xacffffff,0x800ffffd,
    0xf002fffd,0x74003fff,0xfff31fff,0xffff809f,0x7fffc003,0xeeeeeeee,
    0x01fffe64,0xfb9fffe6,0xf98006ff,0xff9807ff,0xfffb007f,0x0fffdc05,
    0x7fffffe4,0x0bfff601,0x807fff90,0x3f21fffe,0x7ff403ff,0x0ffff21f,
    0x2e3fffd0,0x7fcc1fff,0x801fffff,0x2202fffd,0x7e41ffff,0x20ffffff,
    0xffa9fffb,0x47ffee5f,0x9807fff9,0x3fe67fff,0xfff9807f,0x01fffe67,
    0xff9fffe6,0x7cc001ff,0xffffffff,0xb87fffff,0xb0006fff,0x00005fff,
    0x881bffe6,0x7e41ffff,0x40ffffff,0x40effffd,0xd801ffff,0xff002fff,
    0xddddddff,0x7fff49dd,0x0bffff21,0x00ffffc4,0x3fffffe0,0x25ffffff,
    0x9807fffa,0x3ff27fff,0xffa8006f,0xfff9807f,0x5fffb007,0x40fffdc0,
    0x1ffffff8,0x00bfff60,0xe807fff9,0x3ff21fff,0x7fff403f,0x00ffff21,
    0x3ee3fffd,0xfffd81ff,0xfd801fff,0x3fe202ff,0x7ffe40ff,0x3ee0ffff,
    0x3fffd1ff,0x7d47ffee,0xff9807ff,0x1fffea7f,0xa9fffe60,0xf9807fff,
    0x3fffe7ff,0x7ffdc001,0xeeeeeeee,0x7e41ffff,0xfb0006ff,0x200005ff,
    0x2206fff9,0x7e40ffff,0x40ffffff,0xd80ffffd,0xfd802fff,0xfff002ff,
    0xffffffff,0x0ffff4bf,0x01dffff1,0x003ffff3,0xfffffff8,0x265fffff,
    0xfa807fff,0x3ffee6ff,0xfff98007,0x6fffa807,0x05fffb00,0xc80fffdc,
    0x531fffff,0x9fffd555,0x7e415555,0x7ff403ff,0x0ffff21f,0x643fffd0,
    0x7f403fff,0x3fff71ff,0xffffff50,0x5fffb003,0x0ffffc40,0x3fffbbae,
    0x47ffee0f,0xff74fffb,0x1fffe63f,0x99bffea0,0xfa807fff,0x3ffe66ff,
    0x6fffa807,0x2aaffffe,0x742aaaaa,0x7f400fff,0x7ffdc3ff,0xfffb0007,
    0x9999999b,0xfff30059,0x7fffc40d,0x7ff775c1,0x7ffec0ff,0x05fff902,
    0x005fffb0,0x3ffffffe,0x3a5fffff,0x7fd41fff,0xffff04ff,0xffff8007,
    0xcccccccd,0x03fffe22,0x54bfff50,0x4000ffff,0x400ffff8,0xb005fffa,
    0x7dc05fff,0xfff101ff,0x3ffee3ff,0xffffffff,0x3fff21ff,0x0ffff403,
    0xe807fff9,0x3ff21fff,0x7fff403f,0x203fff71,0x01fffffe,0x402fffd8,
    0x7402ffff,0x3fee0fff,0x23fffe1f,0xff11fffb,0xffa801ff,0x3fffe25f,
    0x2fffd400,0x801ffff1,0x3fe5fffa,0xffffffff,0xfff10fff,0xdfff900d,
    0x00ffffa8,0xfffffd80,0x4fffffff,0x06fff980,0x2017fffc,0x7ec0fffe,
    0xfff902ff,0x5fffb005,0x37fffe00,0x2ccccccc,0x3607fffa,0xfe82ffff,
    0x3e002fff,0x7c001fff,0x7dc01fff,0x3ffe64ff,0xfff8001f,0x7ffdc01f,
    0x5fffb004,0x00fffdc0,0x2e3ffff9,0xffffffff,0x2e1fffff,0x7f403fff,
    0x3ffee0ff,0x07fff403,0xe807fff7,0xfff70fff,0x3fffee03,0xfffd801f,
    0x1ffff402,0xb83fffa0,0x3fee1fff,0x21fffbcf,0x5c01ffff,0x7ffc4fff,
    0x7ffdc01f,0x00ffffc4,0xff93ffee,0xffffffff,0xfff50fff,0xffff3009,
    0x0ffffcc1,0x7fffec00,0xffffffff,0x6fff9804,0x01ffff40,0xfb03fffa,
    0x3ff205ff,0xfffd802f,0x3ffff002,0x0ffff400,0x07ffffc4,0x3bffffea,
    0xfff019ab,0xffe8003f,0x7fff403f,0x17fffe23,0x0ffffa00,0x007fffd0,
    0xb80bfff6,0x3e201fff,0xfff71fff,0xffffffff,0x7ffdc3ff,0x23fffc04,
    0x7c04fffb,0x7ffdc7ff,0x73fffc04,0x7fc03fff,0xfd801fff,0x7fe402ff,
    0x7fff406f,0x887ffee0,0xfffbffff,0x00ffffa1,0xfe87fffd,0x7ff403ff,
    0x1ffff43f,0xf8ffffa0,0xffffffff,0xffb0ffff,0x3ffe003f,0x3fffe22f,
    0xfffd8005,0xffffffff,0xfff9804f,0x37ffe406,0xb03fffa0,0x3f205fff,
    0xffd802ff,0xffff002f,0x7fff4003,0xbffff701,0xffffff70,0x3ffe0fff,
    0x7fe4001f,0x3ffe206f,0x7ffff41f,0x7ffe4001,0x3fffe206,0x5fffb001,
    0x7ff40000,0x7fec000f,0x02fffd45,0xfa8dfff1,0x3fe205ff,0x2fffd46f,
    0x00dfff10,0xffd80000,0x7ffd402f,0x3fffa02f,0x907ffee0,0x3fffdfff,
    0x1037ffe4,0xfc83ffff,0x3fe206ff,0x7ffe41ff,0x3fffe206,0x27ff4001,
    0x3ffea000,0x1ffffe81,0x00000000,0xa80dfff3,0x3a02ffff,0x7fec0fff,
    0x5fff902f,0x05fffb00,0x007fffe0,0xf7000000,0x0fffffff,0x0007fffe,
    0x109ffff1,0xf309fffd,0x4c05ffff,0x13fffe22,0x013fffa2,0x002fffd8,
    0x01fffe00,0xf30dff90,0x3f203fff,0x7ffcc5ff,0xbfff901f,0x01ffff98,
    0x000bfff9,0xfffd8000,0xffffe802,0x41fffd02,0x7cc1fffb,0x21ffffff,
    0x884ffff8,0xf884fffe,0xfe884fff,0xfff884ff,0xfffe884f,0x37fec004,
    0x3ffe6000,0xfffff302,0x00014c05,0x37ffcc00,0x17ffff40,0x6c0fffe8,
    0xff902fff,0xfffb005f,0x3fffe005,0x00000001,0xfffffb88,0x03ffff07,
    0xbffffb00,0xffffd957,0x3ffff601,0xfecaacef,0x6ffffec4,0xffffecab,
    0x3fff6000,0xff700002,0x7fc400df,0xffffd03f,0x3ffee215,0xffffe80f,
    0xffff710a,0x5ffffd01,0x3fffee21,0x0fffc800,0x3fff6000,0xffff9802,
    0xffb9acdf,0x3ffee0ff,0xfffffd81,0x7fffec1f,0xfffecabd,0xffffb00f,
    0xfffd957b,0x3fff601f,0xffecabdf,0x3e6000ff,0x6c0002ff,0x7fec06ff,
    0xcaacefff,0x7ff404fe,0xfff30006,0xffff300d,0xff7359bf,0xfffd81ff,
    0x05fff902,0x005fffb0,0x0007fffe,0x001fff90,0x04ca9880,0x5557ffff,
    0xf3055555,0xffffffff,0x74407fff,0xffffffff,0x7fcc4fff,0xffffffff,
    0x2aa603ff,0xacfffeaa,0x93000aaa,0x007ffffd,0x981fffcc,0xffffffff,
    0xf304ffff,0xffffffff,0x3e609fff,0xffffffff,0xfb004fff,0x554c00df,
    0xacfffeaa,0xffc80aaa,0xffffffff,0x3fee0fff,0xffffa81f,0x7ffcc1ff,
    0xffffffff,0x3ffe603f,0xffffffff,0x3ffe603f,0xffffffff,0x7fd4003f,
    0x7f40003f,0x7ff4406f,0xffffffff,0x3ffe204f,0x99998803,0x999ffffa,
    0xffffc809,0xffffffff,0x17ffec0f,0x4c2fffc8,0xfffeaaaa,0xf80aaaac,
    0xaaaabfff,0x7ec02aaa,0x0000006f,0x3ffffffe,0x80ffffff,0xffffffe8,
    0xc8802fff,0xffffffff,0xffe884ff,0x2fffffff,0x7ffffdc0,0xffffffff,
    0xffff9001,0xff9800bf,0xffb86fff,0xffffffff,0x7fffdc04,0x04ffffff,
    0x7fffffdc,0x2004ffff,0x2e003fff,0xffffffff,0x501fffff,0xffffffff,
    0x7dc1ffff,0xfffd01ff,0xffd103ff,0x5fffffff,0xffffd100,0x005fffff,
    0xffffffd1,0x30005fff,0x00bfffff,0x3fffffa0,0xffff9101,0x09ffffff,
    0x400fffcc,0xfffffffc,0x05ffffff,0xfffffff5,0xd81fffff,0xff902fff,
    0xffffb85f,0xffffffff,0xfffff81f,0xffffffff,0x00fffe00,0xfff80000,
    0xffffffff,0x3fb200ff,0x000dffff,0x7ffff6d4,0x3b200bef,0x00dfffff,
    0xffffffb8,0x1fffffff,0xbffff900,0xfffb0001,0x3ff620df,0x001effff,
    0xffffffb1,0x3f62003d,0x01efffff,0x007ffe20,0xffffffb8,0x1fffffff,
    0x3fffb220,0x5c1cefff,0xff701fff,0x76403fff,0x00dfffff,0x7ffff640,
    0x764000df,0x00dfffff,0x3ffffa00,0xfff50005,0xeda803ff,0x0befffff,
    0x401bfee0,0xfffffffc,0x05ffffff,0x3ffffb22,0xfd81ceff,0xfff902ff,
    0xfffffb85,0xffffffff,0xffffff81,0x0fffffff,0x003fff10,0x7ffc0000,
    0xffffffff,0x153000ff,0x0ccc0000,0x000a9800,0x7fffffdc,0x1fffffff,
    0x039bd900,0x2cdca800,0x001a9880,0x000d4c40,0x0006a620,0x2002f74c,
    0xfffffffb,0x01ffffff,0x80266a60,0x3e01fffb,0x3001ffff,0x26000015,
    0x5300000a,0x65c00001,0x260002cd,0x4000bcdc,0x3ae00199,0xfff9003e,
    0xffffffff,0x54c00bff,0x7fec0099,0x5fff902f,0xffffffb8,0x1fffffff,
    0xfffffff8,0x00ffffff,0x0000bdd3,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3bbae000,0x774c0002,0xdb300dee,0x00001bdd,0x0017775c,
    0x002eeeb8,0x76cc0000,0x70000dee,0x775c1bdd,0x3a60000d,0x4c00deee,
    0x1bccedcb,0x4ccccc40,0x20001999,0x00deeee9,0xbdddd300,0x893bb601,
    0x55503eed,0x98000005,0x000deeee,0x0005ddd7,0x0017775c,0x00bbbae0,
    0xeeee9800,0x49ddb00d,0x0003eed8,0x0006aaa2,0x03bdddb1,0x6f65cc00,
    0x49ddb00c,0x0003eed8,0x03eeeeb8,0xdb12776c,0xff90007d,0x20005fff,
    0x00dffff9,0x077fff4c,0x7ffe4000,0x7e4002ff,0x4002ffff,0xefffedc8,
    0xffd300cd,0x320001df,0xeffdafff,0x3fe60000,0x36600dff,0xffffffff,
    0x7fffdc06,0x000fffff,0x0dffff98,0xffff3000,0x7ff4401b,0x204fffae,
    0x0002fffc,0xbffff300,0x3fff2001,0xfc8002ff,0x0002ffff,0x05fffff9,
    0xffff3000,0x7ff4401b,0x004fffae,0x017ffe40,0x07bfff60,0x7ffec400,
    0xfd101fff,0x09fff5df,0xffff7000,0xdffd1007,0x0009fff5,0xfff9fff9,
    0xfff98007,0x7fe4002f,0x320000ef,0x3fffcfff,0xf9fff900,0x3f2007ff,
    0xffffffff,0x7ffe402f,0xff90000e,0x0001dfff,0x017fffcc,0x3fffffe2,
    0x5c06ffff,0xffffffff,0x7fcc000f,0x260002ff,0x1002ffff,0x09fffffd,
    0x005fff98,0xffff9800,0x3fff2002,0x2003fffc,0xfffcfffc,0x7ffe4003,
    0x0003fffc,0x00bfffe6,0x7fffff44,0x7fc40004,0x7fec006f,0xd10000df,
    0x3fffffff,0x7ffff440,0xfb80004f,0x22001eff,0x04fffffe,0x50effd80,
    0x26007fff,0x0000efff,0x001dfff5,0x2a1dffb0,0x7ec03fff,0x7fff50ef,
    0xfffffd80,0x02ffffff,0x00efffa8,0x1dfff700,0x7ffcc000,0xfffe800e,
    0x6ecaaace,0x77777540,0x2000eeee,0x000efff9,0x03bffe60,0x9fffd100,
    0x03fff600,0xfff98000,0x3ff6000e,0x07fff50e,0x2a1dffb0,0xfb003fff,
    0x3ffea1df,0xfff98003,0x7f44000e,0xb80004ff,0x36003fff,0x40002fff,
    0xcceffffc,0x7ff4400c,0xfb80004f,0xd10004ff,0x00009fff,0x00000000,
    0x00000000,0x2e000000,0xabcfffff,0x0002fecb,0x00000000,0xfff88000,
    0x0000001f,0x00000000,0x40000000,0x0004fffa,0x00000000,0x00000000,
    0x00000000,0x74000000,0x00000fff,0x3fffe000,0x00000002,0x00000000,
    0x00000000,0x00000000,0x00000000,0x02ffff40,0x00000022,0x00000000,
    0x07fffe60,0x00000000,0x00000000,0x3fa00000,0x0000007f,0x00000000,
    0x00000000,0x00000000,0x3ffea000,0x00000004,0x001fffe6,0x00000000,
    0x90000000,0x99999999,0x99500999,0x20003999,0x01ccccca,0x99999930,
    0x19999999,0xccccca80,0x2ffff801,0x33332000,0xcccccccc,0xccccb80c,
    0x800abccc,0xccccccc9,0x40cccccc,0x00effff8,0x666664c0,0xcccccccc,
    0x00799950,0x2e033332,0x54001ccc,0xcccccccc,0x1ccccccc,0x003fffb8,
    0x01e6664c,0x64c19993,0x666402cc,0x00333264,0xca86664c,0x999003cc,
    0xccccc819,0xcccccccc,0x6666643c,0xcccccccc,0x3ff6003c,0x3332e01f,
    0x00abcccc,0x09fff700,0x07999930,0x8006664c,0xccccccca,0x999903cc,
    0x99999999,0xffff8019,0x7fffffff,0xfffffe80,0xfffd0004,0x3ee009ff,
    0xffffffff,0x7401ffff,0x404fffff,0x003ffff8,0x3fffffe0,0x0fffffff,
    0xffffffe8,0x200cffff,0xfffffffb,0x81ffffff,0x03fffffd,0x3ffffee0,
    0xffffffff,0x03ffff31,0xb06fffb8,0xd8005fff,0xffffffff,0x2fffffff,
    0x006fff88,0x07ffffdc,0x2a1fffb8,0x7fc04fff,0x3fff50ff,0x43ffea00,
    0x401ffff9,0xff86fffb,0xffffffff,0x7fc6ffff,0xffffffff,0x1006ffff,
    0xfe80bfff,0xffffffff,0x7e4000cf,0xffb802ff,0xff700fff,0x3ffa003f,
    0x6fffffff,0xfffffff0,0x01ffffff,0xfffffff8,0x4407ffff,0x06ffffff,
    0xfffff880,0xfff7006f,0xffffffff,0x7fc403ff,0xf806ffff,0x0002ffff,
    0xffffffff,0xd01fffff,0xffffffff,0x2e01dfff,0xffffffff,0x541fffff,
    0xefffffff,0xffffb802,0xffffffff,0x17fff61f,0x205fffd0,0x4002fffd,
    0xfffffffd,0xffffffff,0x03fff902,0x7ffffdc0,0x43fff704,0x7c04fffa,
    0xfff50fff,0x1ffea003,0xe80bfffb,0xfff82fff,0xffffffff,0x7ffc6fff,
    0xffffffff,0xf9006fff,0xffe805ff,0xffffffff,0x3f6000ef,0xffb801ff,
    0xff704fff,0xfff3003f,0xdfffffff,0x3fffffe0,0x0fffffff,0x66666640,
    0x407fffcc,0xfffffffb,0x7ffdc000,0x9800ffff,0xfffecccc,0x200ccccd,
    0xfffffffb,0x7fffec00,0x3e000aef,0xeeeeefff,0xfe80eeee,0xfffeeeff,
    0x99305fff,0x9bfffd99,0x7fcc1999,0xffffffff,0x3332600d,0xccdfffec,
    0x3ffe60cc,0xdfff701f,0x017ffec0,0x3bbbbb20,0xeeeeffff,0xfff301ee,
    0x7ffdc00b,0xffb80fff,0x13ffea1f,0x261ffff0,0xf5001fff,0xffff98ff,
    0x0dfff701,0x3ffffffe,0x5fffffff,0x7ffffffc,0x5fffffff,0x00dfff00,
    0xfdddfffd,0x00bfffff,0x4007fff4,0x0ffffffb,0x801fffb8,0xdffffffc,
    0xfff03ccc,0xdddddddf,0x440001dd,0x7ec07fff,0x03fffeff,0x7f7ffec0,
    0xfb0003ff,0xfd8005ff,0x03fffeff,0x7fffffc4,0xff801cff,0xfd0001ff,
    0xffe983ff,0x3ff6007f,0x7fff402f,0xffffffbd,0x3ff6000e,0xfffd802f,
    0x05ffff05,0x0017ffec,0x03fffd80,0x00fffd80,0xffffff70,0x43fff707,
    0x7c04fffa,0xfff30fff,0x1ffee003,0x7c17fff6,0x20002fff,0x001ffffc,
    0x01ffffc8,0x803fffb8,0x74c1fffe,0x55507fff,0x57ffff55,0xffb81555,
    0xfb83ffff,0xfff801ff,0xf002fffc,0x00003fff,0x07fff880,0x7fdf7ffc,
    0x7ffc005f,0x005fffbe,0x005fffb0,0xffbefff8,0xfff9805f,0x0dffffff,
    0x007fffe0,0x40ffff40,0x000ffffb,0x4c05fffb,0xfb10ffff,0x001fffff,
    0x200bfff6,0x5c0ffff9,0x7ec06fff,0xb00002ff,0x50007fff,0x2e009fff,
    0x86ffffff,0x3ea1fffb,0x7ffc04ff,0x05fff10f,0x261bfee0,0x7dc0ffff,
    0x2a0006ff,0x8004ffff,0x004ffffa,0xd001fffd,0xff703fff,0xfffd01ff,
    0xffffffff,0xfffb85ff,0xffb86fff,0x7ffd401f,0xf002fffa,0x00003fff,
    0x07fff880,0x3e73ffea,0x3ea007ff,0x7fff9cff,0x5fffb000,0x67ffd400,
    0x1007fff9,0xfffffff9,0x3ffe03ff,0xffd0001f,0xffff103f,0x3fff6003,
    0x1bffee02,0x13ffffea,0x017ffec0,0x7c4fffd8,0x7ec02fff,0xb00002ff,
    0x20007fff,0xf7007ffe,0x85fffdff,0x3ea1fffb,0x7ffc04ff,0x05fff10f,
    0x6c1bfee0,0x7ffc4fff,0xff10002f,0xf1000dff,0x2600dfff,0xfd004fff,
    0xfff103ff,0xffffd03f,0xffffffff,0xefffb85f,0x7fdc2fff,0x6ffec01f,
    0xf002fff9,0x00003fff,0x07fff880,0x7fc7fff2,0xff9001ff,0x07fffe3f,
    0x0bfff600,0xf1fffc80,0x44003fff,0xffffffeb,0x1ffff80e,0x3fffd000,
    0x01ffff10,0x80bfff60,0x881ffffa,0x800ffffe,0x3002fffd,0x3ee1ffff,
    0xffd806ff,0xfb00002f,0x2e0007ff,0xfb802fff,0x46fffbff,0x3ea1fffb,
    0x7ffc04ff,0xf0bffe0f,0x05ffb8df,0x2e1ffff3,0x20006fff,0x001ffffc,
    0x01ffffc8,0x003fffb0,0x2207fffa,0xed80ffff,0xeffffeee,0x7dc1eeee,
    0x46fffbff,0x2201fffb,0xfff9afff,0x3ffff002,0xf8800000,0x3ffa07ff,
    0x013fff27,0xff93fff4,0xffb0009f,0x7ff4005f,0x013fff27,0x7fffecc0,
    0x1ffff83f,0x3fffd000,0x00dfff90,0x3017ffec,0x301dffff,0xb003ffff,
    0x6c005fff,0xfffd3fff,0x5fffb005,0x3ff60000,0xff10003f,0xfff700df,
    0x5c3fffb3,0x3fea1fff,0x7fffc04f,0xfa8bffe0,0x17ff21ff,0xfd3fffd8,
    0x2a0005ff,0x8003ffff,0x003ffffa,0x400dfff1,0xfc81fffe,0xff7006ff,
    0x3fee009f,0x21fffd9f,0x2e01fffb,0x5fff37ff,0x07fffe00,0xff100000,
    0x3ffe60ff,0x01bffea5,0xfa97ffe6,0xfd8006ff,0xff3002ff,0x37ffd4bf,
    0x3ffea000,0xeffff85f,0x4eeeeeee,0x335fffd0,0x05ffffb5,0x017ffec0,
    0x0bfffff6,0x200bfffe,0x2002fffd,0xffaffff9,0xfffb006f,0x3f600005,
    0x320003ff,0x7dc01fff,0x5fffa9ff,0xfa87ffee,0xffffffff,0x20ffffff,
    0x3ff23fff,0x813ff23f,0xffaffff9,0xff10006f,0xf1000dff,0x6400dfff,
    0x3a002fff,0xda99afff,0x9002ffff,0x2e007fff,0xfffa9fff,0x807ffee5,
    0xfff34ffe,0x3e07dddd,0xeeeeefff,0x40004eee,0xf707fff8,0x7ffc47ff,
    0x7ffdc00f,0x03fffe23,0x05fffb00,0x88fffee0,0x0000ffff,0x7c37ffec,
    0xffffffff,0xffd05fff,0xffffffff,0xffd8005f,0x7ffc402f,0xff10dfff,
    0xffb003ff,0xffd8005f,0x002fffff,0x0005fffb,0x00ffff60,0x05fff980,
    0xfe8fffdc,0x3fff71ff,0x7fffffd4,0xffffffff,0xf8fffa0f,0x3ff26fff,
    0x7fffec04,0x90002fff,0x0001ffff,0x001ffff9,0x2003fffc,0xfffffffe,
    0x2002ffff,0x7002fffd,0x3ffa3fff,0x03fff71f,0x7cc7ffe6,0x04ffffff,
    0xffffffff,0x000bffff,0xb07fff88,0xffe81fff,0x7ffec03f,0x01ffff40,
    0x00bfff60,0x3a07ffec,0x40003fff,0xff85fffc,0xffffffff,0xfffd05ff,
    0x15ffffff,0x5fffb000,0xffffd300,0xdfffb7ff,0x0bfff600,0xfffff300,
    0x7fec00df,0xfb00002f,0xe80007ff,0x3ee00fff,0x9fff71ff,0xfa87ffee,
    0xffffffff,0x20ffffff,0xfff33ffe,0x13ff61ff,0xffffff30,0x3fea000d,
    0xfa8003ff,0x2a003fff,0x74003fff,0xffffffff,0x7f4000af,0xff7001ff,
    0x53ffee3f,0xf901fffb,0x7fffccdf,0xfff04fff,0xffffffff,0xf88000bf,
    0xfff887ff,0x05fffb86,0x2e1bffe2,0x6c005fff,0xf8802fff,0xfffb86ff,
    0xf8801885,0xfff84fff,0xccccccdf,0xffffd02c,0x01bfffff,0x05fffb00,
    0x3ffff620,0x01ffffff,0x005fffb0,0x3fffffb0,0x17ffec00,0xfffd8000,
    0x7fd40003,0x3ffee03f,0x2e3fffe1,0x3fea1fff,0xccccccef,0x360ffffc,
    0xffff74ff,0x00fff67f,0x07fffff6,0x3fffa200,0xffe88005,0x7ff4005f,
    0x7ff4000f,0xdfffffff,0x7fffc000,0x3fff7000,0x7dc7fffc,0x7fff01ff,
    0x5567ffcc,0xbffff01a,0x59999999,0xfff88000,0x84fffa87,0x500ffff9,
    0xff309fff,0x7ec001ff,0xffa802ff,0xffff984f,0x55effd40,0xffffca99,
    0x1ffff81f,0x3fffd000,0x09ffff71,0x05fffb00,0xffffea80,0x36002fff,
    0x98002fff,0x4005ffff,0x0002fffd,0x007fffb0,0x40ffff00,0x3ee1fffb,
    0x1fffbcff,0xf013ffea,0x7fec1fff,0xbff7ffd4,0x2600fff6,0x0005ffff,
    0x001ffff9,0x01ffff90,0x027ffcc0,0x44ffff40,0x004ffffb,0x801fffe2,
    0x3ee1fffb,0x1fffbcff,0x260fffa8,0xff002fff,0x000003ff,0xc87fff88,
    0xccccdfff,0x902ffffc,0x9999bfff,0x005ffff9,0x4017ffec,0xcccdfffc,
    0x42ffffcc,0xfffffffa,0x04ffffff,0x0003ffff,0xfa87fffa,0x6c001fff,
    0x70002fff,0x009fffff,0x002fffd8,0x005fffd0,0x002fffd8,0x07fffb00,
    0x5fff7000,0x887ffee0,0xfffbffff,0x013ffea1,0x7ec1ffff,0xf9dff8cf,
    0x02ffe8ff,0x005fffd0,0x07ffff50,0x7ffff500,0x1fffd800,0x1fffe800,
    0x007fffea,0x0037ffcc,0x7c43fff7,0x1fffbfff,0xaaafffd8,0xf002fffb,
    0x00003fff,0x87fff980,0xffffffff,0x04ffffff,0xffffffff,0x09ffffff,
    0x017ffec0,0x7ffffffc,0x4fffffff,0x7fffffd4,0x03ffffff,0x0007fffe,
    0x360ffff4,0x6c005fff,0x20002fff,0x007fffe8,0x0017ffec,0x002fffd8,
    0x0017ffec,0x03fffd80,0x6fff8800,0xc83fff70,0x1fffefff,0xf013ffea,
    0x7fe41fff,0xfff2ffbd,0x2005ffd5,0x4002fffd,0x005fffe8,0x05fffe88,
    0x037ffc40,0x41fffe80,0x5005fffd,0x5c00bfff,0x7fe41fff,0x441fffef,
    0xffffffff,0xff002fff,0x000003ff,0x4c6fffa8,0xffffffff,0x87ffffff,
    0xfffffff9,0x7fffffff,0x0bfff600,0xffffff30,0xffffffff,0xffffd98f,
    0x01cfffff,0x000ffffc,0x541fffe8,0x2001ffff,0x0002fffd,0x007fffd4,
    0x005fffb0,0x00bfff60,0x005fffb0,0x0ffff600,0x7ffec000,0x41fffb81,
    0xfffffff9,0x013ffea1,0x7e41ffff,0xf90ffddf,0x003ffd9f,0x000bfff6,
    0x001ffff9,0x01ffff90,0x02fffb80,0x83fffd00,0x801ffffa,0x2003fffd,
    0x7cc1fffb,0x41ffffff,0xfffffffb,0xf002ffff,0x80003fff,0x3fffa018,
    0x777ffdc5,0xffeeeeee,0x7ffdc1ff,0xeeeeeeee,0xb001ffff,0xfb805fff,
    0xeeeeeeff,0x01ffffee,0x0dffd531,0x00ffffc0,0x81fffe80,0x2005fffe,
    0x0402fffd,0x01fffea0,0x005fffb0,0x00bfff60,0x005fffb0,0x0ffff600,
    0x7ffcc000,0x81fffb84,0x1ffffffd,0xf013ffea,0x7fdc1fff,0x3fe65ffe,
    0xb001ffef,0x4c005fff,0x8002ffff,0x002ffff9,0x0007fff8,0x3a07fffa,
    0x7c405fff,0x2e001fff,0xffd81fff,0x7f41ffff,0xfdccccef,0xfff002ff,
    0xf880003f,0xffd989bd,0x7fff42ff,0x1ffff400,0xd003fffa,0x55307fff,
    0x59fffd55,0x7ff41555,0x7fff400f,0x03fff803,0x2affffe0,0x02aaaaaa,
    0xf703fffd,0x55303fff,0x59fffd55,0x3be21555,0xffca99ab,0x2aa605ff,
    0xacfffeaa,0xfd800aaa,0x7ec002ff,0xcccccdff,0xfd802ccc,0x200003ff,
    0x7dc0fffe,0xfffa81ff,0x3fea1fff,0x7fffc04f,0x3ffffee0,0x7fffffc3,
    0x5fffb000,0x3fffa200,0xeeeeeeef,0x3ffa25ee,0xeeeeeeff,0x3fea5eee,
    0x3fa0004f,0xfffb81ff,0x3f6aae1f,0x5c006fff,0xffa81fff,0x3e61ffff,
    0xfff982ff,0xff02aaac,0x555557ff,0xff880555,0xffffffff,0x037ffc45,
    0xf137ffe4,0xff900dff,0xffff70df,0xffffffff,0x1bffe23f,0x01bfff20,
    0x4001fff3,0xffffffff,0xe80fffff,0xff881fff,0xfffb84ff,0xffffffff,
    0xffff11ff,0xffffffff,0x7fffdc01,0xffffffff,0xfffd801f,0x7ffec002,
    0xffffffff,0xfffd804f,0x3ea00003,0x7ffdc3ff,0xfffffd01,0x027ffd43,
    0xfa83fffe,0x7e40ffff,0xb000ffff,0x26005fff,0xffffffff,0x27ffffff,
    0xfffffff9,0x7fffffff,0x0003fffa,0x881fffe8,0x3fa4ffff,0x01ffffff,
    0x80fffdc0,0x21fffffe,0xff307ffd,0x20ffffff,0xffffffff,0x200fffff,
    0xfffffff8,0x7fd40eff,0xfff9804f,0x09fff50f,0x81ffff30,0xfffffffb,
    0x51ffffff,0xf3009fff,0x7d401fff,0x7ffc005f,0xffffffff,0xfffe80ff,
    0x1ffff901,0xffffffb8,0x1fffffff,0xfffffff1,0xb801dfff,0xffffffff,
    0x801fffff,0x4002fffd,0xfffffffd,0x804fffff,0x0003fffd,0x2e37ffc0,
    0xff701fff,0x7fd43fff,0x7fffc04f,0x1bfffea0,0x03ffffea,0x017ffec0,
    0xffffff98,0xffffffff,0x3ffffe67,0xffffffff,0x0bfff37f,0x1fffe800,
    0x21ffff90,0x2ffffffe,0x1fffb800,0x3fffff70,0x4c13ffe2,0x7fffffff,
    0xfffffff0,0x01ffffff,0xfffffeb8,0x3fffb03e,0x4bfffe00,0xf001fffd,
    0xffb85fff,0xffffffff,0xfffb1fff,0x3fffe003,0x00bbae02,0xfffffff0,
    0x01ffffff,0x2203fffd,0x7dc4ffff,0xffffffff,0x32a1ffff,0x1cdeeeed,
    0xfffff700,0xffffffff,0x5fffb003,0xffffd800,0xffffffff,0x3fffd804,
    0x66540000,0x07ffee0c,0x21fffff8,0x7c04fffa,0x3fe60fff,0xffff03ff,
    0x7ffec00f,0xffff3002,0xffffffff,0x7ffccfff,0xffffffff,0x99957fff,
    0xffe80003,0xffff101f,0x0f7bbb29,0x1fffb800,0x47ffffe0,0xf301fffb,
    0x0fffffff,0x3ffffffe,0x00ffffff,0x00006660,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x33333100,
    0x20003333,0x2002eeeb,0x776c2eea,0xaa988000,0x700aaaaa,0x775c1bdd,
    0x2eea800d,0x8000776c,0x00deeee9,0x33333331,0x5dd50033,0xb300eed8,
    0x0001bddd,0x64c00000,0x930000cd,0x7300019b,0x37bdffd9,0x775c0000,
    0x0000000e,0x0f775c00,0x30000000,0x80001555,0x801aaaaa,0x54400099,
    0x4015541a,0x15541aa8,0x5e765cc0,0x40620001,0x80013000,0x55541aaa,
    0x70003101,0xffffffff,0xffc8001f,0xf3002fff,0xfffb57ff,0x7fff5400,
    0x2fffffff,0x36bfff20,0xf3000eff,0xfffb57ff,0x3ffe6000,0x3fee00df,
    0x0fffffff,0x55fffcc0,0x74c07ffd,0x3000efff,0x800009fd,0x01fffffc,
    0x7ffffe40,0xfffb1001,0x09ffffff,0x23555300,0x2e006ffe,0x000003ff,
    0x4c01fff6,0x00000dfe,0x0003fffb,0x41ffffe4,0xfffffeb9,0xff9802df,
    0x201ffe66,0x3fe66ff9,0x3fff6207,0x801effff,0xefffedc8,0x3b202fdc,
    0x801defff,0xff72fffa,0x1dff501d,0x7fffdc00,0x000fffff,0x3ff3fff2,
    0xfffb003f,0x3005ffff,0xfffffffd,0x805fffff,0x0efffffc,0x7fffec00,
    0x98002fff,0xb802ffff,0xffffffff,0xfffd800f,0x9002ffff,0xb001dfff,
    0x00005fff,0x3fb3bfe6,0x3bfe6007,0xf9807fec,0xffffffff,0xfb8004ff,
    0x3fff8cff,0x5ffff300,0xff010000,0x3ffe009f,0xcc88005f,0xcdfffecc,
    0x7ffe4001,0xffffd01f,0x0dffffff,0xffbdfff0,0x3ffe009f,0x104fffde,
    0xffffffff,0x7d403fff,0xffffffff,0xffe982ff,0x03ffffff,0xffcfffa8,
    0xbffff00f,0x77775400,0x000eeeee,0x3ea1dffb,0xff9003ff,0xf1005fff,
    0xbfffffff,0x005fffd9,0x001dfff7,0x3fffff20,0xfff98002,0xddd5000e,
    0x01dddddd,0x3fffff20,0x7ffd4002,0x7ffec00e,0xff700005,0xb800ffcc,
    0x807fe67f,0xeffffff9,0x004ffedc,0xf9cfffb8,0xff7000ff,0x710009ff,
    0xfff989fb,0xffff8801,0xfff98006,0x3fffffff,0x37fff200,0x3ffffa00,
    0x4fffffee,0x7ffffd40,0xff5000ef,0x201dffff,0xbacffffd,0xf905ffff,
    0xffffffff,0xff985fff,0xffffefff,0xfffb803f,0xfff101ff,0x000000df,
    0x30000000,0x7fec0015,0x90ffffff,0x00005fff,0x002a6000,0x00000000,
    0x00153000,0x7fcc0000,0xf700005f,0x800ffccf,0x07fe67fb,0x0cffffd8,
    0xb8003a88,0x6ffbcfff,0x3fffe600,0xfffb8002,0x0037fdc4,0x000bffff,
    0xfffffff3,0x2a007fff,0xce803eee,0x7ffe440a,0xfffd9807,0x7ecc000c,
    0xff300cff,0xfff981ff,0xeffff987,0x5fffb30a,0x21cfffe8,0x800ffffb,
    0x7401eeeb,0x00004fff,0x00000000,0xfff98000,0x90ffffff,0x00005fff,
    0x00000000,0x00000000,0x00000000,0x00013ff6,0x7f5effcc,0x37fe6007,
    0x3ea07feb,0x00003fff,0xd99fff70,0xffb8005d,0xfff70004,0x003eeb89,
    0x00037fa6,0x7ff4cccc,0x000009af,0x7fff4000,0x00000000,0x0bfff500,
    0x3f61fffe,0xfff905ff,0x82fffd45,0x0003fffc,0x004ed880,0x39999950,
    0x66666400,0xcccccccc,0x66665400,0x7ffdc01c,0x90ffffff,0xcca85fff,
    0x1abccccc,0x33333200,0xcccccccc,0xcccccc80,0x0ccccccc,0xccccccc8,
    0x40cccccc,0xccccccc9,0x40cccccc,0xccccccc9,0x20cccccc,0x0001fff8,
    0x3fffff20,0x7ffe4001,0x3ffa01ff,0x2000006f,0x0004fffb,0xffb80000,
    0x0000004f,0xffb08800,0x0040003f,0x5fffb000,0x00004c00,0xff900266,
    0xdfff507f,0x01ffff98,0x7ec5fff9,0xfff302ff,0x0004c00b,0xfffe8000,
    0x3fe004ff,0xffffffff,0x7f400fff,0x6404ffff,0xffffffff,0x85fff90f,
    0xfffffffc,0xf801efff,0xffffffff,0xff80ffff,0xffffffff,0xfff80fff,
    0xffffffff,0x7ffdc0ff,0xffffffff,0x7ffdc1ff,0xffffffff,0x9fffd1ff,
    0xb9500000,0x32a00019,0x7ffc00cd,0x1800003f,0x0009fff7,0xfb800040,
    0x400004ff,0x76440009,0xffffffff,0x3fb6e001,0x2003efff,0xfffeaa99,
    0x7fff6402,0x75cc01de,0x2dffffff,0x442fffd8,0x7d43ffff,0x3ff206ff,
    0x2ffffe2f,0xffbaaaaa,0x7ff6406f,0x33101def,0xfff10003,0x7c00dfff,
    0xffffffff,0x2200ffff,0x06ffffff,0x7fffffec,0xfff90fff,0xfffffc85,
    0xcfffffff,0x3ffffe00,0xffffffff,0xffffff80,0x0fffffff,0xfffffff8,
    0x40ffffff,0xfffffffb,0x41ffffff,0xfffffffb,0xf1ffffff,0x000005df,
    0x13300000,0x0ffff980,0xffdb8000,0x04ffffff,0x3ffb6e00,0xddd03eff,
    0xddffffdd,0x2001dddd,0x1defffec,0x7ffffdc0,0x01ffffff,0xfffffe98,
    0x2e206fff,0xffffffff,0xffd302ff,0x07ffffff,0x7ffffff4,0x7ec6ffff,
    0x3ffa22ff,0x4fffb85f,0x44bfff20,0xffffffff,0x07ffffff,0xffffffd3,
    0xfff507ff,0xfffb8001,0xf000ffff,0xdddddfff,0x5c01dddd,0x0fffffff,
    0x3ffffee0,0xff90ffff,0xefffc85f,0xfffffeee,0x3fffe05f,0xeeeeeeee,
    0xeffff80e,0xeeeeeeee,0xeeffff80,0x0eeeeeee,0x7f66664c,0x0ccccdff,
    0x7f66664c,0x0ccccdff,0x20062003,0xd701eeec,0xfd7303dd,0x05bfffff,
    0x000ffff5,0xfffffea8,0x004fffff,0xfffffe98,0xfff06fff,0xffffffff,
    0x9803ffff,0xfffffffe,0xffff903f,0xffffffff,0xffffb803,0x06ffffff,
    0xfffffff5,0x305fffff,0xffdfffff,0x3fa07fff,0xfffeefff,0x3fff64ff,
    0x413fffa2,0x3203fffc,0xfff32fff,0xffffffff,0xff30ffff,0xffffdfff,
    0x0fffa87f,0x77ffec00,0xff003fff,0xd80003ff,0x3fffefff,0x3ffffea0,
    0xff90ffff,0x3fffc85f,0x1fffffa8,0x003ffff0,0x007fffe0,0x00ffffc0,
    0x2fffd800,0x5fffb000,0x21ddd300,0x02efffea,0x3205fffb,0xffe82fff,
    0xffffffff,0x037ffdc6,0xfffff500,0x9fffffff,0xffffb800,0x06ffffff,
    0xffffffff,0x3fffffff,0x7ffffcc0,0x43fffffe,0x89dffff9,0x01fffe98,
    0x37ffffe2,0x986fcbab,0xccdfffff,0xe82fffec,0x3ee1cfff,0xace80fff,
    0x3fffe440,0x3ea5fffb,0x3ff206ff,0x3fff204f,0x99ffff32,0x99999999,
    0x39fffd07,0x707fffdc,0xf8001fff,0x5fffbeff,0x03ffff00,0xbefff800,
    0x3a205fff,0xffffffff,0xc85fff90,0xfd103fff,0x3ffe0dff,0xfff0001f,
    0x3fe0003f,0xb00001ff,0x20005fff,0xa802fffd,0xfffd9fff,0xfd83ffff,
    0xfff902ff,0xdffffd05,0x49fffffd,0x0006fffc,0x15dffff1,0x013fff66,
    0xdfffff88,0x306fcbab,0xbfff9333,0x80333333,0x2e1cfffe,0x3fa0ffff,
    0xfffb05ff,0x7fffec03,0x3ffa0601,0xfffd80df,0x82fffd42,0x0003fffc,
    0x3f61fffd,0x9fff92ff,0x027ffdc0,0x7fc5fff9,0x3ea0007f,0xfff905ff,
    0x00fffdc7,0xf39fff50,0x3fe00fff,0x2a0001ff,0xfff9cfff,0x7fffcc07,
    0xff90ffff,0x3fffc85f,0x07fffee0,0x0007fffe,0x000ffffc,0x001ffff8,
    0x05fffb00,0x0bfff600,0x3fbffea0,0xffffffff,0x817ffec0,0xce82fffc,
    0x7ffe440a,0x01fffee7,0x077ffec0,0x0027ffdc,0x403ffffb,0x9fff7001,
    0xbfff5000,0x4cffff20,0xfb00ffff,0x3fe603ff,0xff8002ff,0xfffb00ff,
    0x02fffd85,0x000bfff3,0x7ecbfff6,0xdfff72ff,0x837ffd40,0x3a2ffff9,
    0xb0000fff,0x3e605fff,0x3ffee5ff,0x3fff2001,0x003ffff1,0x0003ffff,
    0xff8fffe4,0x7fd401ff,0xf90fffff,0xfffc85ff,0x3fffe203,0x01ffff82,
    0x03ffff00,0x07fffe00,0x7ffec000,0xfffb0002,0xffff5005,0xfff95bff,
    0x2fffd87f,0x005fff90,0x543fffa0,0x8000ffff,0xf702ffff,0x3e6009ff,
    0x00002fff,0x0009fff7,0x2605fffb,0xfff55fff,0x0fffec0b,0x006fffa8,
    0x81ffff88,0x7c2ffffb,0xaaaabfff,0x006fffba,0xfffd5533,0x4cbfff65,
    0x980dffff,0x7c41ffff,0x3f62ffff,0xff0005ff,0x555557ff,0x7e4dfff7,
    0x3fa001ff,0x13fff27f,0x007fffe0,0x327ffe80,0xf7004fff,0x3f21ffff,
    0x7ffe42ff,0x1ffff403,0x000ffffc,0x001ffff8,0x003ffff0,0x0bfff600,
    0x17ffec00,0x7ffffd40,0x227ffe41,0xf902fffd,0x360005ff,0xfff32fff,
    0xff98003f,0x3ffee07f,0xdfff5004,0x7fdc0000,0xfff8004f,0xbaaaaabf,
    0xfff76fff,0x0fffec09,0x005fffc8,0x21bffff0,0x2fffffc8,0x3fffffe2,
    0xffffffff,0xffff7107,0x25ffffff,0x3f62fffd,0xfe81ffff,0xffb9aeff,
    0x3e22ffff,0xa881dfff,0x7ffffc43,0xffffffff,0x0bfff27f,0x52fffcc0,
    0xff00dfff,0xddddddff,0x3fe609dd,0x1bffea5f,0x21753100,0x7e42fffc,
    0x7fec03ff,0xeffff84f,0x4eeeeeee,0xdddffff0,0x209ddddd,0xeeeeffff,
    0xb004eeee,0x20005fff,0xa802fffd,0xfa82ffff,0x7ffec5ff,0x05fff902,
    0x3faaa660,0xffff12ff,0xfffa800b,0x13ffee06,0x02fffe40,0x9fff7000,
    0xffff8800,0xffffffff,0x7fff97ff,0x80fffec0,0x0004fffd,0xfdfffffb,
    0x45ffffff,0xfffffff9,0x7fffffff,0xffffffa8,0xb2ffffff,0x7f445fff,
    0x7d42ffff,0xffffffff,0x7e42ffff,0xffefffff,0x3fe60fff,0xffffffff,
    0x3f27ffff,0xff7002ff,0x7fffc47f,0x7ffffc00,0x5fffffff,0x447fff70,
    0x0000ffff,0x642fffc8,0x7e403fff,0xffff85ff,0xffffffff,0xffffff05,
    0x0bffffff,0x3ffffffe,0x005fffff,0x0005fffb,0x200bfff6,0xf305fffa,
    0xfffd8bff,0x05fff902,0x3ffffee2,0x362fffff,0x2001ffff,0x2e05fffb,
    0xfb004fff,0x400009ff,0x4004fffb,0xfffffff9,0x7fffffff,0x6c09fff9,
    0xff901fff,0x3e2000bf,0xefffffff,0x3e62fffa,0xcccccfff,0x4c3ccccc,
    0xccdfffff,0xfb2fffec,0xffd885ff,0x7fe40fff,0xfbdfffff,0xfffc82ff,
    0xffffffff,0x33fffe60,0xcccccccc,0x0bfff23c,0x207ffec0,0x7c03fffe,
    0xffffffff,0xffb05fff,0x3fffe81f,0xfffc8000,0x01fffe42,0x3e17fff2,
    0xffffffff,0xfff05fff,0xffffffff,0x3fffe0bf,0xffffffff,0x5fffb005,
    0x3fff6000,0x5fffa802,0xd8bfff30,0xff902fff,0xffff505f,0xffffffff,
    0x7ffffcc5,0x7fdca602,0x3ffee05f,0xbfff9004,0x7fdc0000,0x7fcc004f,
    0xccccccff,0xff93cccc,0x7ffec09f,0x0dfff701,0x7fff4400,0x5fff14ff,
    0x0007fff8,0x2037fffa,0xffb2fffd,0x3fff205f,0xffffb83f,0x05fff74f,
    0x3fffff66,0xfff85eff,0xfffb0007,0xdfff1005,0x80bfff70,0xcccdffff,
    0xf882cccc,0xfffb86ff,0xffc80005,0x1fffe42f,0x213fff60,0xcccdffff,
    0xff02cccc,0x99999bff,0x3ffe0599,0xccccccdf,0xfffb002c,0x3ff60005,
    0xfffa802f,0x8bfff305,0xf902fffd,0xfff985ff,0xfecccdff,0x7ffec2ff,
    0xecaaceff,0x0bfff54f,0x8027ffdc,0x0006fffb,0x013ffee0,0x001fffe0,
    0x4c1bffee,0xf501ffff,0x80005fff,0x7fe41a98,0x07fff40e,0x0ffff800,
    0x365fffb0,0x3f602fff,0x06a205ff,0x1005fff9,0x7409fff5,0xd8000fff,
    0xfa803fff,0xfff984ff,0x3fffe00f,0xfffa8001,0x0ffff984,0x7ffe4000,
    0x01fffe42,0x3e0ffffa,0xf0001fff,0x20003fff,0x0001ffff,0x005fffb0,
    0x00bfff60,0x4c17ffea,0x7fec5fff,0x5fff902f,0x80dfffe8,0x7442fffd,
    0xffffffff,0xfff34fff,0x3fffe20f,0xffff5004,0x3ee00005,0xfe8005ff,
    0x7cc000ff,0x7fcc1fff,0xff101fff,0x00403dff,0x80fffb80,0x8005fffd,
    0xb81ffff8,0xffb2ffff,0x7ffdc05f,0xfffc8005,0x0bffb002,0x005fffd8,
    0x803fffd8,0xcccdfffc,0x02ffffcc,0x0007fffe,0x3337fff2,0x2ffffccc,
    0x7ffe4000,0x01fffe41,0x3e0bfffe,0xf0001fff,0x20003fff,0x0001ffff,
    0x005fffb0,0x00bfff60,0x4c17ffea,0x7fec5fff,0xffff982f,0x807fffc2,
    0xd882fffd,0xffffffff,0xffff14ff,0xffffe885,0xffff1004,0xa800403d,
    0xd8007fff,0xe8005fff,0xfa8cffff,0x201fffff,0xacfffffb,0x0007db99,
    0x3e209fff,0xa881dfff,0x0dffff83,0x5fffff91,0x204bfff6,0x003fffe8,
    0x802fffc8,0x4401fff9,0x881dffff,0x1ffff43a,0x7fffffc0,0xffffffff,
    0x07fffe04,0x3ffffe00,0xffffffff,0x7fc0004f,0x7ffe40ff,0x3fffee03,
    0x01ffff80,0x03ffff00,0x07fffe00,0x7ffec000,0xfffb0002,0xbfff5005,
    0x917ffe60,0xff989fff,0x3fe22fff,0xfffb81ff,0x3ff6a02f,0x20beffff,
    0xb8affffd,0x04fffffe,0x3ffffee0,0x07db99ac,0x39ffff30,0xfff10098,
    0x875103bf,0xfffffffa,0x01fffeff,0x7ffffff4,0x8007ffff,0x3204fff8,
    0xfeffffff,0x7ec0ffff,0xfffeffff,0xffb2ffff,0x3ffff25f,0x8000ffff,
    0xb802fffc,0xfc802fff,0xffefffff,0x3ffa0fff,0x7ffcc03f,0xffffffff,
    0x3fe07fff,0x7cc001ff,0xffffffff,0x007fffff,0x21fffe60,0xf103fffc,
    0x3fe09fff,0xff0001ff,0x3e0003ff,0x00001fff,0x0005fffb,0x200bfff6,
    0xf305fffa,0xfffb8bff,0xffffc9bf,0x7fffc2ff,0xffff910d,0xdffd005f,
    0x7fffcc03,0xffefffff,0x7ff4004f,0xffffffff,0x3fffa007,0x01fffeff,
    0x3ffffff2,0x40fffffe,0xfffffffc,0x401fff9d,0xffffffd8,0x88007fff,
    0x907fffff,0xffffffff,0xff881fff,0xaeffffff,0xfffb2fff,0x3fffff25,
    0xf90002ff,0xff5005ff,0xfc80bfff,0xffffffff,0x3fffa0ff,0x77ffdc04,
    0xfeeeeeee,0xfff01fff,0xffb8003f,0xeeeeeeef,0x201ffffe,0xfffc882c,
    0x83fffc86,0x00ffffe9,0x0003ffff,0x0007fffe,0x000ffffc,0x02fffd80,
    0x05fffb00,0x20bfff50,0x7c45fff9,0xffffffff,0x7ec2fffe,0xfffeffff,
    0xf802ffff,0xffb803ff,0xf8efffff,0x6c4004ff,0xffffffff,0x3fe6007f,
    0x1fffffff,0x7ffffe40,0x80ffffff,0x33fffffb,0x2a003fff,0xdffffffd,
    0xfff90003,0x7fecc0ff,0x05ffffff,0x9fffffd1,0x7ecbffe2,0xffff92ff,
    0x640001bf,0xfd002fff,0xb300bfff,0xffffffff,0x04fffe8b,0x2007fff4,
    0xff03fffe,0x555557ff,0xfffe8555,0x1ffff400,0xcaceffa8,0xc81fffff,
    0xecbadfff,0x203fffff,0xaaabffff,0xff02aaaa,0x555557ff,0x3ffe0555,
    0xaaaaaabf,0xaaaa982a,0xaaacfffe,0x55554c0a,0xaaacfffe,0x2fffd40a,
    0xb85fff98,0xefffffff,0x7c42fff9,0xefffffff,0x4c02fffa,0xd5000fff,
    0x3e19ffff,0xb50004ff,0x7bffffff,0xfffd9800,0x9800ffff,0xfffffffd,
    0x00d4405f,0x0ccc4000,0xcdca8000,0x35551003,0x06a62001,0x02666000,
    0x66654000,0x3372e001,0x55544002,0x59999009,0x037ffc40,0xf837ffe4,
    0xffffffff,0xff10ffff,0xfff900df,0xfffff10d,0x09ffffff,0x3ffffff2,
    0x03ffffff,0x7ffffffc,0x80ffffff,0xffffffff,0xf80fffff,0xffffffff,
    0x7dc0ffff,0xffffffff,0x7dc1ffff,0xffffffff,0x7d41ffff,0xfff305ff,
    0x3fffee0b,0x05fff14f,0x9fffffd1,0x700bffe2,0x51000bff,0x80000013,
    0x80001998,0x0009aa98,0x01355510,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x9fff5000,0x1ffff300,0xfffffff0,0x21ffffff,
    0x9804fffa,0xe980ffff,0xffffffff,0x3ffff203,0x0dffffff,0xffffff80,
    0x0fffffff,0xfffffff8,0x80ffffff,0xffffffff,0x5c0fffff,0xffffffff,
    0x5c1fffff,0xffffffff,0x541fffff,0xff305fff,0x01a980bf,0x006a6200,
    0x005dd700,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xb0000000,0x3e003fff,0xfff82fff,0xffffffff,
    0x3fffb0ff,0x0bfffe00,0xbceedca8,0x7fffe400,0x001acdff,0x3ffffffe,
    0x80ffffff,0xffffffff,0xf80fffff,0xffffffff,0x7dc0ffff,0xffffffff,
    0x7dc1ffff,0xffffffff,0x0001ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x44000000,0x015541aa,
    0x99300000,0x000cd981,0x0000aaa2,0x82aaaa98,0x000aaaaa,0x02aa8800,
    0x6cc0cc98,0xdca8800c,0x4400040b,0x400002aa,0xa82aaaa9,0x0000aaaa,
    0x80002620,0x882aaaa8,0x2aa60000,0x2aa8800a,0xdb000000,0x0332609d,
    0x440019b3,0x200002aa,0xa82aaaa9,0x0000aaaa,0x99800010,0x19b95001,
    0x301aa980,0x0cd98199,0x05ee5440,0x55510002,0xf9800000,0x01ffe66f,
    0x001bfd30,0xf89bffe2,0xfd1005ff,0x50000bff,0x301bffff,0x001dffff,
    0x05ffb800,0xf137ffc4,0xffb00bff,0xbd317fff,0x7fff4400,0xff500005,
    0xff301bff,0x40001dff,0xcfffffc8,0xfffd8000,0x04fedbcf,0x0bfff200,
    0x0bfffd10,0xff980000,0x6fff883f,0x4017ffe2,0x005fffe8,0xdffffa80,
    0xeffff980,0x3fa20000,0xffb3001f,0x10bfffff,0x05fffffd,0x2203ffe6,
    0x3fe26fff,0x7ffec05f,0x05e98bff,0x0bfffd10,0x006ff540,0x7fef7ffc,
    0x7ffc004f,0xfff5005f,0x1fffea1f,0x3ffffa20,0x3ea0005f,0x6c403fff,
    0x0000efff,0x500fffa0,0x3ea1ffff,0x7fe407ff,0xffffffff,0xffe8802f,
    0x40005fff,0x403ffffa,0x00efffd8,0xfffff980,0x4000ffff,0xfffffff9,
    0x320004ff,0x3a202fff,0x005fffff,0x3ffee000,0x0ffffa80,0x100ffff5,
    0x0bfffffd,0x7fffd400,0x7ffec403,0xffd0000e,0xfffb00ff,0x0fffffff,
    0xfffffffb,0x540bffa0,0xff50ffff,0x7ffe40ff,0xffffffff,0x7fff4402,
    0xff9805ff,0xffa806ff,0x000effff,0x01bfffe2,0xf337ffc4,0xfe880dff,
    0x04ffe8df,0x1ffffa80,0x3bffee00,0x7ccc0000,0x7fc400ff,0x1bffe66f,
    0xfd33df30,0x1009ffff,0xffd1bffd,0x3fea0009,0x3ee001ff,0x74000eff,
    0xfffeffff,0xfff5006f,0xffffffff,0x7fe40007,0xbffd102f,0x0009ffd1,
    0xfb039997,0x3ffe20df,0x01bffe66,0xfd1bffd1,0xff50009f,0x7dc003ff,
    0xf8000eff,0x3200ffff,0xeeefffff,0x77fc47ff,0xfb85ffd0,0x3ffe205f,
    0x81bffe66,0xffe99ef9,0x74404fff,0x4ffe8dff,0x7ffffdc0,0xfffd9801,
    0xfff8000c,0x3766005f,0x20066d40,0x3b624eec,0x3b62002e,0xd98000de,
    0x6cc004ee,0x06fffffe,0xda81bb30,0x5409800c,0xd9003ded,0x1776c49d,
    0x37bb6200,0xeed98000,0x3ffee004,0x07fffa25,0x3ffffee0,0x0000efff,
    0x902fffc8,0x776c49dd,0x7ffec002,0x203ffe82,0x66d40dd9,0x12776400,
    0x44005ddb,0x8000deed,0x8004eed9,0x2207fffe,0x7304ffff,0x3ee4ffa8,
    0x03ffe63f,0xda81bb30,0x2a04c00c,0xec803ded,0x0bbb624e,0x1fffffb8,
    0x4c000000,0x00000dfe,0x00000000,0x00000000,0x3ffffff2,0x00003fff,
    0x00000000,0x00000000,0xffb00000,0x3fffb81f,0xbbcefb80,0x0003ffff,
    0x002fffc8,0x7fec0000,0x0777442f,0x00000000,0x00000000,0x7ff4c000,
    0x3fffea02,0x93fea000,0x3ffa3ffa,0x00000003,0x00000000,0x00dffff1,
    0x00000000,0x00000000,0x00000000,0x7fffec00,0x2fffffff,0x00001800,
    0x01800006,0x00006000,0x7ff40018,0x02fffa87,0xfffe8088,0x9188000f,
    0x4c005fff,0x3f600019,0x400002ff,0x09800009,0x00098000,0x40001300,
    0xffff9800,0x97fe6003,0xbff72ffc,0x00266000,0x00013300,0x4c000998,
    0xdd900ded,0x3bbae03d,0xd9000001,0x3bae03dd,0x0f77641e,0x641eeeb8,
    0xdd701eee,0x3ddd903d,0xa87bbae0,0xfc9bffff,0x402fffff,0xdefffed9,
    0x3fb66001,0x2001deff,0xdefffed9,0x3fb66001,0x2001deff,0xdefffed9,
    0x0fffec01,0x8003fff6,0xfffffec8,0xfeb8805f,0x2fffffff,0x3ffff660,
    0x6c005fff,0x80002fff,0x1defffec,0x3fffb200,0x3b2001de,0x001defff,
    0x6f7fff64,0xf8800001,0x01beffff,0x7d5fffc4,0x0fff88ff,0xfffeb980,
    0x4c02dfff,0xffffffeb,0x7f5cc02d,0x02dfffff,0x3fff6000,0x85fff902,
    0xeeeeeee9,0x40eeeeee,0xf902fffd,0xfffd85ff,0x85fff902,0xf902fffd,
    0xfffb05ff,0x8bfff205,0x3fa2fffe,0x205fffef,0xfffffffb,0xffb804ff,
    0x4fffffff,0xfffffb80,0xb804ffff,0xffffffff,0xfffb804f,0x04ffffff,
    0xfb93ffee,0x3ee005ff,0xffffffff,0x3ffea01f,0xffffffff,0xfffffb02,
    0x800fffff,0x0002fffd,0x3fffffa6,0x74c03fff,0xffffffff,0x7fff4c03,
    0x803fffff,0xffffffe9,0xeeee83ff,0x5c05eeee,0xefffffff,0xffff900b,
    0x0fff69ff,0x7fffff40,0x206fffff,0xfffffffe,0x3fa06fff,0xffffffff,
    0xfb00006f,0x3ff205ff,0x7fffcc2f,0xffffffff,0x17ffec0f,0x6c2fffc8,
    0xff902fff,0x2fffd85f,0xb05fff90,0x3f205fff,0xdfff52ff,0x7fc7ffcc,
    0xffffb06f,0xbfffffff,0x7ffffec0,0x05ffffff,0x3ffffff6,0x205fffff,
    0xfffffffd,0x3605ffff,0xffffffff,0xff105fff,0xffffb7ff,0x3fff2001,
    0xffffffff,0xfffff905,0x5fffffff,0xdfffff90,0x800fffdd,0x0002fffd,
    0xfdfffff3,0x2607ffff,0xffefffff,0xff303fff,0xffffdfff,0x7ffcc07f,
    0xfffffeff,0x7fffffc3,0xffb806ff,0x3fffffff,0x29ffff90,0x3a006ffb,
    0xffeeffff,0xffd04fff,0xffffddff,0x3fffa09f,0xfffffeef,0xffd80004,
    0x5fff902f,0xffffff98,0x0fffffff,0xc817ffec,0x7fec2fff,0x5fff902f,
    0x902fffd8,0xffb05fff,0x3fff205f,0x647fff72,0x1fffb5ff,0xbdffffa8,
    0x1ffffeba,0xbdffffa8,0x1ffffeba,0xbdffffa8,0x1ffffeba,0xbdffffa8,
    0x1ffffeba,0xbdffffa8,0x1ffffeba,0xffffff70,0x3e6001df,0xb889dfff,
    0x7cc1ffff,0xb30aefff,0xff885fff,0x007304ff,0x002fffd8,0x439fffd0,
    0xe80ffffb,0x3ee1cfff,0xffe80fff,0x3ffee1cf,0x9fffd00f,0x07fffdc3,
    0xffffffff,0x3fae200d,0x03ffffff,0x3fe21331,0x2b3a001f,0x3fffe440,
    0x6440ace8,0x59d07fff,0x7fffc881,0xfffd8000,0x85fff902,0xccccccc8,
    0xd85ffffd,0xff902fff,0x2fffd85f,0xd85fff90,0xff902fff,0x5fffb05f,
    0x64bfff20,0x3ffa2fff,0xe83fff92,0xfe885fff,0xfffe86ff,0x6fffe885,
    0x885fffe8,0xfe86fffe,0xffe885ff,0x5fffe86f,0x06fffe88,0x13fffffa,
    0x0bfffd00,0xe87ffff1,0xff905fff,0xffffa85f,0x3f600000,0xfa8002ff,
    0xfff905ff,0x05fffa87,0xfa87fff9,0xfff905ff,0x0bfff507,0x998ffff2,
    0x06fffa99,0xfffeb880,0x3ff6007f,0xfe800003,0xfd0000ff,0x3a0001ff,
    0x00400fff,0x640bfff6,0x22002fff,0xfb06fffe,0x3ff205ff,0x17ffec2f,
    0x6c2fffc8,0xff902fff,0x5fffb05f,0x6cbfff20,0xfff31fff,0xf51fffdc,
    0x3e601fff,0x7ffd47ff,0xffff300f,0x00ffffa8,0xfa8ffff3,0xff300fff,
    0xffffa8ff,0x0ffff300,0x17fffff2,0xf8815551,0xffb01fff,0x7fffccbf,
    0x85fff901,0x003ffff9,0x0bfff600,0x0bfff600,0x362fffcc,0xff302fff,
    0x2fffd8bf,0xb0bfff30,0x3e605fff,0x3fe605ff,0x7e40006f,0xfa800fff,
    0xb000006f,0x20005fff,0x0002fffd,0x2e05fffb,0xffb00eff,0x3fff205f,
    0x3fff6002,0x5fffb00f,0xb0bfff20,0x3f205fff,0x7ffec2ff,0x05fff902,
    0x3205fffb,0xfffb2fff,0xfc93ff23,0x3ffee2ff,0x0ffffc04,0xf809fff7,
    0x3fee1fff,0x7fffc04f,0x013ffee1,0x7dc3ffff,0x7ffc04ff,0x7fffe41f,
    0x3fee4fff,0x37ffd41f,0x54dfff70,0x3f206fff,0x7ffc42ff,0x0001beff,
    0x0017ffec,0x555ffffc,0x6fffbaaa,0x555ffffc,0x6fffbaaa,0x555ffffc,
    0x6fffbaaa,0xaabffff8,0x6fffbaaa,0x01bffe60,0x1ffff300,0x01fff880,
    0xd5533000,0x26005fff,0x2fffeaa9,0xfd553300,0xfff305ff,0x3fff60df,
    0x05fff902,0x0bfffee0,0x902fffd8,0xffd85fff,0x5fff902f,0x902fffd8,
    0xffb05fff,0x3fff205f,0x3e5fff92,0x3fff62ff,0x00ffff21,0x7e45fffd,
    0x7ff403ff,0x0ffff22f,0x645fffd0,0x7f403fff,0x3fff22ff,0x17fff403,
    0xff7ffff5,0x3ffee5ff,0x027ffdc0,0x7dcffff5,0x3ff204ff,0xffffb82f,
    0x000befff,0x002fffd8,0x7fffffc4,0xffffffff,0x3ffffe27,0xffffffff,
    0x3fffe27f,0xffffffff,0x7ffc47ff,0xffffffff,0x3e607fff,0x2b6a06ff,
    0x6fffe880,0x934ffd80,0xf71007bd,0xffffffff,0x3fee205f,0xffffffff,
    0xffff7102,0x05ffffff,0x05fffff7,0x3205fffb,0xf9802fff,0x7ec04fff,
    0xfff902ff,0x02fffd85,0xfd85fff9,0xfff902ff,0x05fffb05,0x7dcbfff2,
    0x27ff9cff,0x360ffff8,0x7ec03fff,0x3fff63ff,0x1fffec03,0xd807fffb,
    0x3ff63fff,0x7ffec03f,0x00ffff63,0x7f47fffb,0xffff91ff,0xf90fff93,
    0x7fcc07ff,0x0ffff27f,0x702fffc8,0xffffffff,0xffd8007f,0x7fcc002f,
    0xffffffff,0x3e67ffff,0xffffffff,0x267fffff,0xffffffff,0x47ffffff,
    0xfffffff9,0x7fffffff,0x81bffe60,0xeeeffffa,0x403fffff,0xfff76ffa,
    0x3ea01dff,0xffffffff,0xffa82fff,0xffffffff,0xfffa82ff,0xffffffff,
    0xffff982f,0x2fffd84f,0x805fff90,0x806ffff8,0xf902fffd,0xfffd85ff,
    0x85fff902,0xf902fffd,0xfffb05ff,0x4bfff205,0xffdffff8,0xb17fff24,
    0xfe807fff,0x3fff62ff,0x17fff403,0xe807fffb,0x3ff62fff,0x7fff403f,
    0x00ffff62,0x3e65fffd,0x7ffec6ff,0xfc86ffee,0x3fe604ff,0x13fff27f,
    0x202fffc8,0xfffffeb8,0x3f6003ff,0x7cc002ff,0xcccccfff,0x263ccccc,
    0xccccffff,0x23cccccc,0xcccffff9,0x3ccccccc,0x667fffcc,0xcccccccc,
    0x1bffe603,0xffffffa8,0x404fffff,0xff89fff8,0x984fffef,0xccdfffff,
    0x4c2fffec,0xccdfffff,0x4c2fffec,0xccdfffff,0x902fffec,0xfb09ffff,
    0x3ff205ff,0x7fff402f,0xfffd800f,0x85fff902,0xf902fffd,0xfffd85ff,
    0x05fff902,0x3205fffb,0x3ff62fff,0xfc89ffff,0x7fdc0fff,0x7fffc04f,
    0x013ffee0,0x7dc1ffff,0x7ffc04ff,0x13ffee0f,0x5c1ffff0,0x7fc04fff,
    0x9fff50ff,0xfffffe88,0x4fffb83f,0xb9bffea0,0x3f204fff,0xd71002ff,
    0x400fffff,0x8002fffd,0x20007fff,0x20007fff,0x40007fff,0x00007fff,
    0x540dfff3,0xfffffffe,0xffd801df,0x3e67ff94,0xdfffe87f,0x42fffd80,
    0xd80dfffe,0x7ff42fff,0xfffd80df,0x0ffffa02,0x260bfff6,0x3202ffff,
    0xb001ffff,0xff305fff,0xfffd85ff,0x2ffff982,0x4c17ffec,0xfd82ffff,
    0xfff982ff,0x3fffa22f,0xffffffff,0x07fffa84,0xf51fffe6,0x7fcc0fff,
    0x3fffd47f,0xa8ffff30,0x3e607fff,0x7ffd47ff,0x9fffe607,0xf884fffa,
    0xa80fffff,0x3f606fff,0x3ffea5ff,0x5ffff306,0xffff9000,0x3fff6001,
    0xfffe8002,0xfffd0000,0x3ffa0001,0x3fa0000f,0x980000ff,0x33006fff,
    0x20013555,0x3ff66ffa,0x3fe1ffe1,0xfffb00ff,0x00ffff85,0xff85fffb,
    0xfffb00ff,0x0fffe405,0x2627ffe4,0x502fffff,0x4007ffff,0x7cc4fffc,
    0x7e42ffff,0x7ffcc4ff,0x7ffe42ff,0x7ffffcc4,0x44fffc82,0x42fffff9,
    0xffffffe8,0xff303fff,0x3ff607ff,0x7fffcc5f,0x8bfffb03,0xb03ffff9,
    0xff98bfff,0xfffb03ff,0x3ffff98b,0x4cbfffb0,0xfa80ffff,0xff305fff,
    0xfff305ff,0x7fffcc5f,0x7ffffc41,0xfff98002,0xfffb000f,0xfffb0005,
    0x3ff6000b,0xffb0005f,0x7ec000bf,0x980005ff,0x00006fff,0x21fff880,
    0x3ffa0ffe,0x07fffe20,0x88bfffee,0xfb81ffff,0x3fe22fff,0xfffb81ff,
    0x3bffa02f,0xbffffb80,0xffffffc9,0x5ffff982,0x7fffdc00,0xfffffc9b,
    0x7fffdc2f,0xfffffc9b,0x7fffdc2f,0xfffffc9b,0xffffb82f,0xfffffc9b,
    0xffff882f,0x6401dfff,0xa99cffff,0xc80ffffe,0xa99cffff,0xc80ffffe,
    0xa99cffff,0xc80ffffe,0xa99cffff,0xc80ffffe,0xa99cffff,0x7c0ffffe,
    0x3221efff,0xb01fffff,0x7137ffff,0xfd0dffff,0xff735dff,0xda85ffff,
    0xfffe880a,0x3fff6006,0xfff88002,0x83a881df,0x81dffff8,0xfff883a8,
    0x03a881df,0x03bffff1,0xff980751,0x7fe4006f,0x4ffc800f,0xfff17fec,
    0x21bffff0,0x2fffffc8,0x886ffffc,0x42fffffc,0x910dffff,0x305fffff,
    0x2203fffb,0xffffffff,0x442fffef,0xccdffffe,0x440ccccc,0xffffffff,
    0x442fffef,0xffffffff,0x442fffef,0xffffffff,0x882fffef,0xffffffff,
    0xa82fffef,0x000aaeff,0x3fffffe2,0x03ffffff,0xfffffff1,0x207fffff,
    0xfffffff8,0x103fffff,0xffffffff,0x2207ffff,0xffffffff,0xfb83ffff,
    0xffffffff,0x80ffffff,0xfffffff9,0xa82fffff,0xffffffff,0x542fffef,
    0xfeeeffff,0x2003ffff,0xcccdfffd,0xc82ccccc,0xfeffffff,0xfc80ffff,
    0xffefffff,0xffc80fff,0xfffeffff,0xfff900ff,0xffffdfff,0x2666621f,
    0x999ffffa,0x1bff6009,0x703bfe60,0xbffb5dff,0xdfffffb0,0x5fffffff,
    0xefffffd8,0x2fffffff,0x77ffffec,0x2fffffff,0x7fffffd3,0xfffffb80,
    0x2fff9eff,0x7fffffdc,0x1fffffff,0xffffffb8,0x82fff9ef,0xfffffffb,
    0xb82fff9e,0xefffffff,0xf702fff9,0x3dffffff,0xffb05fff,0x7f4c0007,
    0xffffffff,0x7fff4c03,0x03ffffff,0x7fffff4c,0x4c03ffff,0xfffffffe,
    0x7f4c03ff,0xffffffff,0x3ffff603,0xfeefffff,0xffb80eff,0xffffffff,
    0x3ffff203,0xfff9efff,0x7ffffd42,0x04ffffff,0x7ffffec0,0x4fffffff,
    0xffffff90,0x201fffff,0xfffffffc,0xf900ffff,0xffffffff,0x7fe401ff,
    0xffffffff,0xfffff90f,0xffffffff,0x01fffc0b,0x7c417ff4,0x80ffffff,
    0xfffffff8,0x42fffaef,0xfffffff8,0x42fffaef,0xfffffff8,0x32fffaef,
    0x003bffff,0x53ffffee,0x7dc2fff8,0xffffffff,0xf701ffff,0x3e29ffff,
    0xfff702ff,0x3ffe29ff,0xfffff702,0x80bffe29,0x14fffffb,0xff885fff,
    0xfc80001f,0x01dfffff,0x3fffff20,0x3f2001df,0x01dfffff,0x3fffff20,
    0x3f2001df,0x01dfffff,0xfffffe98,0xbffff13f,0x3ffff620,0xfb801dff,
    0xff14ffff,0xfffea85f,0x01dfffff,0xfffffd80,0x4fffffff,0x3ffff660,
    0x4c05ffff,0xfffffffd,0x7fecc05f,0x05ffffff,0xfffffd98,0x3ff25fff,
    0xffffffff,0xff105fff,0x4ffc803f,0x3bfffa60,0x3fffa201,0x5fff14ff,
    0xfffffd10,0x20bffe29,0x4fffffe8,0x3665fff1,0x530001ac,0xfffb8003,
    0xffffffff,0x0d4c01ff,0x006a6000,0x00035300,0x98003530,0x400004cc,
    0x40000a98,0x40000a98,0x40000a98,0x40000a98,0x20000a98,0x000009a9,
    0x20003551,0x260001a8,0x0009aaa9,0x3fffff60,0x4fffffff,0x13555100,
    0x35551000,0x55510001,0x2a200013,0xffc809aa,0xffffffff,0xdd305fff,
    0x3100000b,0x0d4c4001,0x03531000,0x00d4c400,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x53000000,0x55505555,0x54400155,0x1000009a,
    0x04c40001,0x20d55400,0x554c1aaa,0x9800000a,0x980002aa,0x8002aaaa,
    0x53000009,0x00005555,0x103eee88,0xaaa81555,0x17b95100,0x554c0008,
    0x2aaaa62a,0x40031000,0x15541aa8,0x15554c00,0x00155553,0x2aa60062,
    0x5540001a,0x00d5541a,0x99107722,0x01aaa983,0xaa980000,0x3ba602aa,
    0x05eeeeee,0x1039b730,0x55555550,0x55540055,0x000d5541,0xdffffa80,
    0xeffff980,0xffff5000,0x776403bf,0x37ffff24,0xfffda800,0x3eeeeeff,
    0x2e5fff50,0x7fec0eff,0x5400002f,0x0003ffff,0x037fffea,0x7ec4fbba,
    0x20004fff,0x00dffffa,0xaaaaaaa8,0x0bffea2a,0xfb0effc8,0x7ffec0bf,
    0x05e98bff,0x21ffff30,0x323ffff9,0x3fff24ee,0x7fcc00df,0x001ffe66,
    0x261ffff3,0x3b23ffff,0x3ffff24e,0x7fff700d,0xfffa8000,0x801dff72,
    0x3fa0fffd,0x3ffee0ff,0x54000003,0x200dffff,0xfffffff9,0xfffb807f,
    0x0fd88cff,0x7ffffffc,0x3fea006f,0x01dff72f,0xffff5000,0xfffd8807,
    0xfffa800e,0xd80dffff,0xfffe8eff,0x3601ffff,0xffffffff,0x2a04ffff,
    0x0fffcfff,0x002fffd8,0x3fffea00,0xfa8002ff,0x3fe03fff,0xfffff9df,
    0xfa8006ff,0x3e003fff,0x6fffffff,0x3601fff2,0x05ffdeff,0x3ffffff2,
    0x402fffff,0xf31ffff8,0xffd83fff,0xfffffe8e,0x7ffc00ff,0x004fffde,
    0x4c7fffe2,0x7ec1ffff,0xffffe8ef,0x3b320fff,0x4cccefff,0xcfffa800,
    0xff800fff,0xffff12ff,0x01fffdc5,0xfff50000,0xfff3007f,0x80ffffff,
    0xfffffff9,0x7fc5ffff,0x06ffffff,0x7e7ffd40,0xa80000ff,0x2001ffff,
    0x400efffb,0xfffffffa,0x7ffec0ff,0xfffffffe,0xfffc80ff,0xfffffddf,
    0x7fdc04ff,0xffb01fff,0x2600005f,0xfffaafff,0x3ffea002,0x77ffc01f,
    0xffffffff,0x3fea002f,0x7fc001ff,0x26ffffff,0xfb004ffe,0xf980dfff,
    0xffffe99e,0xfffd804f,0x01dfff11,0xfffdfffb,0x80bfffff,0xeffffffa,
    0x3fff6000,0x01dfff11,0xfffdfffb,0x7cbfffff,0xffffffff,0xff70007f,
    0x36003fff,0x3ffa1fff,0x0fffee0f,0x7fd40000,0x000001ff,0x326bfa20,
    0x40efffff,0xfffdcccc,0xfffb8006,0x880001ff,0x8000deed,0x4404eed9,
    0xffffdbaa,0x7fffec6f,0xfffcacff,0x77ffcc3f,0x03fff620,0x01eeeb80,
    0x000bfff6,0xa8bbb620,0xd8800dee,0xff800dee,0xd9aeffff,0xb1006fff,
    0x90001bdd,0xdfffb999,0x8007ffe2,0x9800deed,0x01ef6d40,0xd90ef754,
    0x3ff601bd,0xfdacffff,0x6cc00fff,0x2000cfff,0x3b21deea,0xfffb00de,
    0xffb59fff,0x3fffe1ff,0x07ffffff,0x07bbae00,0x442dc880,0x7ffdc2dd,
    0xd8800003,0x00000dee,0x6cc18800,0xf9800bee,0xd70006ff,0x000003dd,
    0x00000000,0x47ffffb1,0x40effffd,0x7d46fffc,0xfffa82ff,0xfb000004,
    0x000005ff,0x40000000,0x445fffff,0x00007fff,0x7ffcc000,0x000bdd36,
    0x00000000,0xfffd8000,0x7fffc0ef,0x00000001,0xffffb000,0x1ffff81d,
    0x5bfffb55,0x00000555,0xfb800000,0x000003ff,0x09980000,0x20000000,
    0x0006fff9,0x99800000,0x09980000,0xfffd1000,0x07fffecb,0x907fffc4,
    0x3fe01fff,0x1998005f,0x20bfff60,0x00200000,0x801004c4,0xfd06ffff,
    0x4cc001ff,0xff300001,0x080000df,0x80000000,0x7ffec001,0x2fffd80f,
    0x00000600,0xffffd800,0x42fffd80,0x0003fffb,0x00003100,0x07fff700,
    0x01880000,0x3fffae60,0x0002dfff,0x7ffcc000,0x00000d46,0xfffd7300,
    0x3005bfff,0xffffffd7,0xffc8005b,0x0bfff67f,0x2e1ffff8,0xff882fff,
    0xffd9804f,0x6c5fffff,0xffd71fff,0xdb8001bf,0x23effffe,0x3effffc9,
    0x20bfffd3,0x9700ffff,0x7ecc0199,0x05ffffff,0x1bffe600,0xffdb7000,
    0xeec87dff,0x3ddd701e,0x7fff6cc0,0x7fec01de,0x5fff902f,0x7fff6cc0,
    0x776401de,0x3ddd701e,0x205fffb0,0x7dc2fffc,0x06aa23ff,0x7e49dd90,
    0x3a00dfff,0x5eeeeeee,0x40fffee0,0xc80deeed,0x3fff24ee,0x7ff400df,
    0xffffffff,0x3bbbba06,0x4c005eee,0x3fd56fff,0xeeeeee98,0x0eeeeeee,
    0xfffffe80,0x406fffff,0xfffffffe,0x2e006fff,0x3ff66fff,0x3fffa02f,
    0x217ffea2,0x6c03fffc,0xffffffff,0x4fffec7f,0xfffffffd,0xfffe9801,
    0x326fffff,0xefffffff,0x85ffffff,0x0000ffff,0x7fffffec,0x20007fff,
    0x0006fff9,0xffffffd3,0xfffd8dff,0x05fff902,0x3fffffee,0x3f604fff,
    0xfff902ff,0x3fffee05,0x204fffff,0xf902fffd,0xfffb05ff,0x0bfff205,
    0xfd15fff7,0x3603ffff,0xfffe8eff,0xff00ffff,0x0dffffff,0x6c1fffdc,
    0xfb01ffff,0xffffd1df,0x7f401fff,0xfffeefff,0xffff04ff,0x800dffff,
    0xffeffff9,0x7fffcc1f,0xffffffff,0xfffe800f,0xfffffeef,0x3ffffa04,
    0x4fffffee,0x4bfffb00,0x3602fffd,0x7ff42fff,0xfffdbcff,0x3fff200e,
    0x7ffeeeff,0x7fffffec,0x0fffffff,0x3ffffee0,0x326fffff,0xffffdeff,
    0x2fffffff,0x0007fffc,0xdfffff90,0x000fffdd,0x0037ffcc,0x7fffffdc,
    0x7ec6ffff,0xfff902ff,0xfffffb05,0x0bffffff,0x640bfff6,0xffd82fff,
    0xffffffff,0x5fffb05f,0x20bfff20,0xf902fffd,0xfffb85ff,0xffffffeb,
    0xefffd81f,0xffffffff,0xffffff05,0x7fdc0dff,0x7fffdc3f,0x3bfff602,
    0xffffffff,0x102b3a05,0x3e0ffff9,0x6fffffff,0x7fffcc00,0x7cc1ffff,
    0xffffffff,0xe800ffff,0x7fe440ac,0x02b3a07f,0x80ffff91,0x22ffffc8,
    0x3a02fffd,0x7fdc1fff,0xffffffff,0x3fffe201,0xffd87304,0xfcacffff,
    0xff103fff,0x9757bfff,0xd105e4df,0xfb11dfff,0x0ffff8bf,0xffff1000,
    0x8000e609,0x4006fff9,0xbdfffff8,0x7ec6fcba,0xfff902ff,0xdffffa85,
    0xffffebab,0x02fffd81,0xfa85fff9,0xebabdfff,0xfd81ffff,0xfff902ff,
    0x05fffb05,0xf70bfff2,0xffffffff,0xffb0bfff,0xfb59ffff,0x33301fff,
    0x40dfff53,0x3ea3fffb,0x7ec03fff,0xdacfffff,0x0000ffff,0x2603fffa,
    0x6fffa999,0x7fffdc00,0xcc881dff,0xffdccccc,0x200005ff,0x0000fffe,
    0xfd03fffa,0x8bffffff,0x3e02fffd,0x3fe20fff,0xcfffffff,0x7fffd400,
    0x3fff6000,0x7ffe40ef,0x3ffffb06,0x7fdc00c0,0xf1ffea2f,0x20001fff,
    0x000ffffa,0xdfff3000,0xffffd800,0xfffb0601,0x0bfff205,0xd10bfffd,
    0xffb0dfff,0x3fff205f,0x42ffff42,0xd86fffe8,0xff902fff,0x5fffb05f,
    0x70bfff20,0x11bfffff,0xfb0ffff9,0xff81dfff,0xff9801ff,0x3ffee06f,
    0x09ffff33,0x1dffffb0,0x001ffff8,0x00bfff60,0x401bffe6,0xdfffffea,
    0xffd10001,0xd80000df,0x20002fff,0x7f42fffd,0x40dfffff,0xf502fffd,
    0x6ffc8fff,0x4c003551,0x2003ffff,0x880ffffd,0x7cc0ffff,0x80002fff,
    0x3e20fff9,0x3fffe0ff,0xfff30000,0x2000007f,0x2006fff9,0x002ffff9,
    0xc817ffec,0x3fea2fff,0xfff300ff,0x05fffb0f,0xfa8bfff2,0xff300fff,
    0x5fffb0ff,0x20bfff20,0xf902fffd,0xfffb85ff,0x7fffc45f,0x07fffec0,
    0x4017ffec,0x2e06fff9,0xffe8bfff,0xfffb005f,0x5fffb01f,0x7554cc00,
    0xf9802fff,0x7f4c06ff,0x006fffff,0x07fffec0,0x2aa66000,0x2002fffe,
    0xfffeaa99,0x6fffff42,0x05fffb02,0xe89fffd1,0x440005ff,0x1befffff,
    0x017ffec0,0xfa83ffff,0x300006ff,0x3fff0fff,0x0007fffc,0xefffff88,
    0x2600001b,0x2a006fff,0xd8006fff,0xff902fff,0x27ffdc5f,0xb07fffe0,
    0x3f205fff,0x3ffee2ff,0x0ffffc04,0x640bfff6,0xffd82fff,0x5fff902f,
    0x80efffb8,0x7ec1fffe,0xfff902ff,0xdfff3005,0x75fffdc0,0x36005fff,
    0xff902fff,0x7fdc405f,0xffffffff,0x6fff9802,0x7ffffe40,0x2e0006ff,
    0x8002ffff,0xffffffb8,0x2202ffff,0xfffffffb,0x7fec2fff,0x3fffd807,
    0x07ffff4c,0x26b3fffa,0x3ee00199,0xbeffffff,0x02fffd80,0xf90bfffa,
    0x91000bff,0xfffffffd,0x43ffffff,0x0000ffff,0x3fffffee,0x40000bef,
    0x2006fff9,0x8005fffc,0xf902fffd,0x7ffe45ff,0x17fff403,0x640bfff6,
    0x3ff22fff,0x7fff403f,0x817ffec2,0xfd82fffc,0xfff902ff,0x03fffb85,
    0xfd83fffb,0xfff902ff,0xdfff3005,0x7ffffdc0,0x36000eff,0xff902fff,
    0x3ffea05f,0xffffffff,0xfff9802f,0x5effe406,0x30006fff,0x0009ffff,
    0xfffffff5,0x205fffff,0xfffffffa,0x6c2fffff,0xffd807ff,0xffffffff,
    0xfffb82ff,0xefffffff,0x7ffdc00c,0x43ffffff,0x3602fffd,0x7fec2fff,
    0x7fcc004f,0xffffffff,0x21ffffff,0x0000ffff,0x7fffffdc,0x20003fff,
    0x2006fff9,0x8004fffd,0xf902fffd,0x7ffec5ff,0x1fffec03,0x640bfff6,
    0x3ff62fff,0x7ffec03f,0x817ffec3,0xfd82fffc,0xfff902ff,0x03fffb85,
    0xfd83fffb,0xfff902ff,0xdfff3005,0x7ffffdc0,0x36001fff,0xff902fff,
    0xffff305f,0xffd999bf,0xfff3005f,0xf31dc80d,0xf1000dff,0x3000dfff,
    0x99bfffff,0x305fffd9,0x99bfffff,0xd85fffd9,0xffd806ff,0xffffffff,
    0x3fff602f,0xffffffff,0x7f5c401f,0x23ffffff,0x3a02fffd,0x7fe41fff,
    0x7ff4005f,0xafffcacf,0x20aaaaaa,0x0000ffff,0xffffeb88,0x30003fff,
    0x6400dfff,0xd8005fff,0xff902fff,0x1fffec5f,0xb0bfffa0,0x3f205fff,
    0x3fff62ff,0x17fff403,0x640bfff6,0xffd82fff,0x5fff902f,0xb03fffb8,
    0xffd83fff,0x5fff902f,0x0dfff300,0x7edfffdc,0xfb000eff,0x3ff205ff,
    0xdfffe82f,0x02fffd80,0x406fff98,0x037ffcc0,0x07ffff40,0x6ffff400,
    0x82fffd80,0xd80dfffe,0x4cc42fff,0xffffd800,0x00ceffff,0x3bbfffe6,
    0xffffffee,0xffd71000,0x7ffecfff,0x03fffe02,0x400dfff7,0x3e61fffa,
    0x3ffe007f,0x4400000f,0x07ffffeb,0x0dfff300,0x037ffdc0,0x817ffec0,
    0x3ee2fffc,0x7ffc04ff,0x17ffec0f,0x2e2fffc8,0x7fc04fff,0x7ffec0ff,
    0x05fff902,0x3205fffb,0x7fdc2fff,0x3fffb03f,0x902fffd8,0xf3005fff,
    0x7fdc0dff,0x5ffff8bf,0x05fffb00,0x3e0bfff2,0xffb00fff,0xfff3005f,
    0xfff9800d,0x7ffe4006,0xfff0001f,0x3fff601f,0x00ffff82,0x0005fffb,
    0x99afffd8,0xffff1001,0x3fffea03,0xfffc8002,0x05fffb0f,0x2a1fffea,
    0x9002ffff,0xfff98dff,0x00000000,0x0ffffc80,0x6fff9800,0x3fffea00,
    0x7ffec002,0x2ffff982,0x981fffea,0x00007fff,0x40ffff50,0xfd87fff9,
    0xfff982ff,0x3fa0002f,0x7ffdc1ff,0x83fffb03,0xf902fffd,0xff3005ff,
    0x7ffdc0df,0x09ffff33,0x205fffb0,0x7c42fffc,0xffb81fff,0xff9802ff,
    0x7fcc006f,0x3fea006f,0xf10003ff,0xff703fff,0xfff885ff,0xffffb81f,
    0x401f7542,0x8002fffd,0x6c03fffb,0x98003fff,0xffb0ffff,0xfffd105f,
    0xdffff109,0x6ffc8403,0x001fffdc,0x4c000000,0x8000ffff,0x2006fff9,
    0x01effff8,0x89fff902,0x22fffff9,0xb03ffff9,0x0000bfff,0x0ffffe60,
    0x642fffec,0x7fcc4fff,0x30002fff,0xfb81ffff,0xfffb03ff,0x02fffd83,
    0x3005fff9,0x7dc0dfff,0x3fff23ff,0x7ffec02f,0x05fff902,0x221bffff,
    0x02fffffc,0x006fff98,0x8037ffcc,0x005ffff9,0x86ffffc0,0x2fffffc8,
    0x10dffff8,0x45fffff9,0x403ffff9,0x8002fffd,0x7404fffd,0x56d41fff,
    0x6fffe880,0xd30ffff6,0x2e01ffff,0x9acfffff,0xfff97db9,0x3ffffe61,
    0x3f200c40,0x5b5000ff,0xdfffd101,0x3ffe6000,0x7ffdc006,0xdb99acff,
    0x5ffffdc7,0xffffffc9,0x67fffe42,0xffffea99,0x1fff9000,0x9ffff900,
    0xffffd533,0x7ffff701,0xffffff93,0x3ff20005,0x3fffb87f,0xd83fffb0,
    0xff902fff,0x9999885f,0x999ffffa,0x87fff709,0x201ffffe,0xf902fffd,
    0xfffb05ff,0xfffffdff,0x999885ff,0x99ffffa9,0x33331099,0x333ffff5,
    0xfffe8813,0xccccccdf,0x7ffec00c,0xfffffeff,0xfffd82ff,0xfffffeff,
    0x3ffee2ff,0x7ffec05f,0xfffb8002,0x7fecc0af,0xffffa86f,0xfffffeee,
    0x3fffff63,0x2fffffff,0x7fffff40,0xf57fffff,0xffffbfff,0x9fd9bfff,
    0x006ffd80,0x3bbfffea,0x03fffffe,0xfa999988,0x09999fff,0x7fffff40,
    0x447fffff,0xffffffff,0x442fffef,0xffffffff,0x2003ffff,0xf1006ffd,
    0xffffffff,0x3e207fff,0xffffffff,0x2002fffe,0x2ffffda8,0xb03fffb8,
    0xffd83fff,0x5fff902f,0xffffffc8,0x5fffffff,0xf887fff7,0xfb00efff,
    0x3ff205ff,0xffff882f,0xffaeffff,0x7fffe42f,0xffffffff,0xfffff95f,
    0xffffffff,0xfffffb8b,0xffffffff,0x7fffc401,0xffaeffff,0xffff882f,
    0xffaeffff,0x3fffea2f,0x17ffec04,0x7fffc400,0xffffefff,0xfffa80ff,
    0xffffffff,0x7ffffec4,0x02ffffff,0xfffffd88,0x3fa7ffff,0xfc9fffff,
    0x04ffffff,0x5001fffc,0xffffffff,0x32009fff,0xffffffff,0x405fffff,
    0xffffffd8,0xffb87fff,0xf9efffff,0xffe982ff,0x3fffffff,0x01fffc00,
    0xfffffd30,0xb807ffff,0xefffffff,0x2002fff9,0x05fffffa,0x3607fff7,
    0x7fec1fff,0x5fff902f,0xffffffc8,0x5fffffff,0xf507fff7,0x3f60dfff,
    0xfff902ff,0x3fffa205,0x5fff14ff,0xffffffc8,0x5fffffff,0xfffffff9,
    0x8bffffff,0xfffffffb,0x01ffffff,0xfffffe88,0x205fff14,0x4fffffe8,
    0xfd85fff1,0x7fec00ef,0xfd30002f,0xffffffff,0x3faa03bf,0xdfffffff,
    0xfffec981,0x000cefff,0x7ffffed4,0x3ffa63df,0x3fff21ef,0x3e203eff,
    0x3aa001ff,0xffffffff,0x3ff2001d,0xffffffff,0xb5005fff,0x7bffffff,
    0x3ffffee0,0x405fff14,0xdffffffc,0x7ffc4001,0xfffc8001,0x7001dfff,
    0x229fffff,0x2a002fff,0x700cffff,0x3f607fff,0x7ffec1ff,0x85fff902,
    0xfffffffc,0x75ffffff,0x3f207fff,0xffd84fff,0x5fff902f,0x001a9880,
    0x7fffffe4,0x5fffffff,0xfffffff9,0x8bffffff,0xfffffffb,0x01ffffff,
    0x0006a620,0x00035310,0x332a0053,0x64c0001c,0x0cceffee,0x2aaa6600,
    0x26620009,0x26200001,0x8054c019,0x98009a98,0x260005ee,0x0009aaa9,
    0xffffffc8,0x5fffffff,0x01998800,0x00006a60,0x80002a62,0x40005ee9,
    0x20000a98,0x200001a9,0x0000cdea,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x155554c0,0x002aa880,0x2aa0d554,0x2aaaa01a,0x1000001a,0x98055555,
    0x0bceeecb,0x006f7b2e,0x32606aa6,0x1aa9803c,0x9803cc98,0x000001aa,
    0x40bdca88,0x55000000,0x05555555,0xdddd3000,0x200bdddd,0x0554c2aa,
    0x6c07bbb2,0x00000eee,0x777774c0,0xdd505eee,0xddd100bd,0x5555541d,
    0x10002aaa,0x00000555,0x00020000,0x30000000,0x00055555,0x00000000,
    0x7ffd4000,0xfe8800df,0x3ea005ff,0x1dff72ff,0x7fffec40,0x74400002,
    0xd301ffff,0xffffffff,0x7fffffc5,0x83ffe603,0x406fffd9,0x3660fff9,
    0x7cc06fff,0x32a200ff,0x000bdefe,0x17fffffb,0xfd950bd3,0x403bdfff,
    0xffffffff,0xff980006,0x07ffffff,0x7f43fff0,0x0fffec1f,0x200fffe8,
    0xdefffec9,0xffff9801,0xf107ffff,0xfb805fff,0x7fffc6ff,0x8006ffff,
    0x005fffe8,0x3ff72a20,0x4401bdef,0x10004fdb,0x17bdfdb7,0xfff50000,
    0xca8801bf,0x4002cdfe,0xefffedc8,0x6ff540cd,0xfffa8000,0xffd1003f,
    0x5400bfff,0x0fffcfff,0x3ffff700,0x3fa20000,0xff700dff,0xffffffff,
    0x7fede6c5,0x88bffa07,0x406fffff,0x3fe22ffe,0x7f406fff,0x3ffa602f,
    0x01efffff,0x7fffffe4,0x222fffff,0xffffffff,0xfff80dff,0x006fffff,
    0xfffff980,0xf9007fff,0x1ffffbff,0xd01fffd8,0xfb101fff,0xffffffff,
    0xffff980b,0x3207ffff,0x7f405fff,0x7fffc3ff,0x4006ffff,0x5fffffe8,
    0xffffa800,0x0fffffff,0x013ffee0,0x3ffffe60,0x0002ffff,0x00ffffea,
    0x3fffffe6,0xfc800eff,0xffffffff,0x3fffe62f,0x7ffd4006,0xffd1001f,
    0x009ffd1b,0x0fffffdc,0x3fffe600,0x7f440001,0x3fe603ff,0xcbabdfff,
    0x0fff302e,0x3ba17fee,0x3ee06ffc,0xffcee85f,0x817fee06,0xfffffffa,
    0x2602ffff,0xfffe99ef,0x7ffc44ff,0xffffffff,0xfdcccc85,0x000006ff,
    0x7ffc4000,0xfd82ffff,0xfffd01ff,0xfffffb01,0x0bffffff,0x7fcc0000,
    0xfff300ff,0xdcccc81f,0x22006fff,0xffe8dffe,0xfff91004,0xffffffff,
    0x7ffdc01f,0x7ffe4004,0xffffffff,0xfffa8003,0xfffa801f,0xefffecdf,
    0x3ffff601,0x2fffffff,0x07ffffee,0x06f76c40,0x449dd900,0x2e002eed,
    0x10001eee,0x0001bddb,0x200ef764,0x000dfffe,0x207bfff6,0x3080fff9,
    0x3fe60dff,0xdff3080f,0x403ffe60,0xabeffff8,0x406ffffc,0x1ef6d409,
    0x5d5e77c4,0x02fffffd,0x0037ffcc,0x44000000,0xb01dfffc,0x3fa03fff,
    0x7ffd40ff,0xffca89bf,0x000001ff,0x640ffffa,0xf9804fff,0x3b2006ff,
    0x0bbb624e,0x3fffff60,0xfffedcdf,0x13ffee00,0xfffff980,0xfffffece,
    0x3bb62001,0xfffa800d,0x0fffc882,0xcfffffb8,0x22fecbab,0x01fffffb,
    0x00000000,0x00000000,0x4c000000,0x4000ffff,0x40cfffff,0x7cc03ffe,
    0x07ffd06f,0xfd06ff98,0x7ffe407f,0x3ffff886,0x40100000,0x404ffff8,
    0x0006fff9,0x00001300,0x07fff600,0x3207fff4,0xffb03fff,0x000c007f,
    0x741bffee,0xf9801fff,0x000006ff,0xfffffa80,0xb8036a01,0x3a004fff,
    0x7cc0efff,0x00005fff,0x401ffe80,0xffe84ffc,0xf104405f,0x4000dfff,
    0x00000009,0x00004c00,0x20000000,0x8005fffa,0x23ffebaa,0xf9805ffb,
    0x05ffb86f,0xfb86ff98,0x3ffe205f,0xdfff700f,0x00031000,0x405fffc8,
    0x0006fff9,0x3bfffb20,0x2000001d,0xfd01fffd,0xfffd81ff,0x07fff700,
    0x77fff6cc,0x7ffc401d,0x37ffcc1f,0x06fff980,0xfe800000,0xe8000eff,
    0xffffeeee,0x20eeeeee,0x500ffffa,0x0001ffff,0x21ffd400,0xffd1cca8,
    0x02ffff81,0x00ded980,0x7ec4fbba,0x77404fff,0x05eeeeee,0x3627ddd0,
    0x7404ffff,0x5eeeeeee,0xdddddd00,0xffb80bdd,0x7ec0004f,0x01fff14f,
    0xf88dff30,0xff9800ff,0x007ffc46,0x440bfff7,0x7641ffff,0x3ffff24e,
    0xffb8000d,0x7ffcc03f,0xfe980006,0x3fffffff,0x3bbbbba0,0x3ff605ee,
    0x1fffd01f,0x903fffd8,0x3ee03fff,0xffffffff,0x27ffec04,0x400ffff2,
    0x3206fff9,0x3a2006ee,0x3ffea2ee,0xfff0001f,0xffffffff,0x7ec3ffff,
    0x7ffc04ff,0xeeee983f,0xeeeeeeee,0x907ff40e,0x3ea9ffff,0x3fffe24f,
    0x7c000003,0xffff9dff,0x3fe06fff,0x06ffffff,0xff3bfff0,0x40dfffff,
    0xffffffff,0xfffff006,0xfc80dfff,0x3e6003ff,0xb2ffffef,0x3e6007ff,
    0x01ffec6f,0x7ec6ff98,0x7ffe403f,0xfffff502,0xe8effd85,0x0fffffff,
    0x07ffec00,0x01bffe60,0xfffff300,0x07fffffd,0x3ffffffe,0x3fff606f,
    0x81fffd01,0x542ffffb,0xffb06fff,0xffffffff,0x7ffcc0bf,0x007fffc7,
    0x206fff98,0x3000fffc,0x7fe45fff,0x3fe0005f,0xffffffff,0x3a1fffff,
    0x7e401fff,0xfff984ff,0xffffffff,0x93fe60ff,0x24fffffc,0x7fffc6ff,
    0x2000002f,0xffffefff,0xf02fffff,0xdfffffff,0x3fbffe00,0xffffffff,
    0xffffff02,0x3fe00dff,0x06ffffff,0x001fffe4,0x5dfffff3,0x9801bfee,
    0x1bfee6ff,0x2e6ff980,0xffd806ff,0xffffc81f,0x7ffec3ff,0xfffffffe,
    0xff91005f,0xfff300bf,0xffe8000d,0x3ffee1cf,0xfffff80f,0x3f606fff,
    0xfffd01ff,0xfffff881,0x2ffffb9d,0xbdffffa8,0x1ffffeba,0x54bfffa0,
    0x26005fff,0x3ee06fff,0xff5001ff,0x1fffec3f,0x93333000,0x3333bfff,
    0x0ffff833,0x42fffdc0,0xfffffff9,0x20ffffff,0xfff12ffa,0x3fec333b,
    0x3bfffff6,0x7c00000a,0x9aefffff,0x3306fffd,0x0dfff533,0x3fffffe0,
    0x6fffd9ae,0xff533330,0x266600df,0x406fffa9,0x4003fffc,0x3e209aa9,
    0x440001ff,0x40001fff,0xe801fff8,0x3fa60fff,0x44ffffff,0xcffffffd,
    0x80ffffda,0xfffffeee,0xdfff3004,0x5406ee20,0xff905fff,0x5333307f,
    0x7ec0dfff,0xfffd01ff,0xfffff301,0x205fffff,0xe885fffe,0x3ee06fff,
    0x3fffb4ff,0x37ffcc00,0x005fff50,0xfff1ffee,0xcccca85f,0x3ee00ccc,
    0xff8804ff,0xfffa807f,0xccccc886,0x5ffffdcc,0xffb8ffdc,0x883ff207,
    0xffffffff,0xff00001c,0xff88bfff,0xfff3007f,0x3fffe00d,0x3fffc45f,
    0x06fff980,0x0dfff300,0x003fffc8,0x00fff600,0x00fff600,0x00fff600,
    0xff73fffc,0xbfff7dff,0x0effffd8,0x7c0ffffc,0x1dffffff,0x0dfff300,
    0xb07ffff3,0x3e605fff,0xff9805ff,0x3fff606f,0x0ffffc82,0xfffffd10,
    0x3fea05ff,0xfff300ff,0x7fffc40f,0x4006fff8,0x2606fff9,0x0ccc3fff,
    0xff89fff2,0x7ffe41ff,0x2e00ffff,0xf9804fff,0xff9807ff,0x7f44007f,
    0x0ffc86ff,0x7dc0bff9,0x7fffcc2f,0x00dfffff,0x37fffc00,0x800fffe8,
    0xf006fff9,0x3fa0dfff,0xff9800ff,0xff30006f,0xfffc80df,0xff500003,
    0xff50000d,0xff50000d,0x3ffe200d,0x4ffffd8f,0xfd8bfff3,0xffd80fff,
    0xfffff82f,0x400dffff,0xfd86fff9,0x7fc0ffff,0xaaaaabff,0x9806fffb,
    0x3f606fff,0x7ffd44ff,0xffd101ff,0x07ffffff,0xf809fff7,0x3f601fff,
    0x03fffdff,0x037ffcc0,0x7d49fff1,0x97ff60ff,0x640ffff8,0x0fffffff,
    0x3ff6aaa2,0x0aaaaadf,0x201fffea,0x4007fff9,0xd80ffffd,0x0bffb0ff,
    0x64417fdc,0xffffffff,0x401ca81f,0x9700ffff,0xff300199,0x3ffe00df,
    0x1999700f,0x0dfff300,0x1bffe600,0x007fff90,0x03fff100,0x1fff8800,
    0x7ffc4000,0x3fffe001,0x2a2fffff,0x7fec4fff,0x5fff902f,0xfd955550,
    0xf980dfff,0xffff86ff,0x3ffe22ff,0xffffffff,0xf9807fff,0x3ff606ff,
    0xfffc9bff,0x7cc1cfff,0xfffeefff,0x7ffe43ff,0x17fff403,0xffffff50,
    0xff98001f,0x2fffc06f,0x7ec7fffb,0x3fffe24f,0x7ff775c1,0x3ffea0ff,
    0xffffffff,0x3ffe60ff,0x6fffa807,0x3fffee00,0x323ff902,0x3fee07ff,
    0x3ffae201,0x3a0effff,0x3fe04fff,0x200000ff,0xf006fff9,0x00001fff,
    0x0037ffcc,0x406fff98,0x0003fffc,0x32e4ffd8,0xffb002cc,0x02b77269,
    0x9727fec0,0xfffd0599,0xfb81dfff,0x7ffec3ff,0x05fff902,0x1ffffd40,
    0xd0dfff30,0x4c3fffff,0xffffffff,0x07ffffff,0x206fff98,0xfffffffd,
    0x7ffffeff,0xb8ffffe6,0x361fffff,0x7ec03fff,0x7ff403ff,0x98005fff,
    0x7f406fff,0x9bfffe6f,0x7ffc3ffe,0x7fff402f,0x3ffffea0,0xffffffff,
    0x03fffe20,0x00bfff50,0x813fffe6,0xfff52ffa,0x0ffc8217,0xffffb300,
    0x3fffee7f,0x1ffff00f,0x7fcc0000,0xffff006f,0x7cc00001,0xf30006ff,
    0xffc80dff,0x7d40003f,0x3fffe66f,0x96ffa804,0x01ffffff,0x3e66ffa8,
    0xffd84fff,0xff903fff,0x2fffd85f,0x005fff90,0x205fffc8,0xfa86fff9,
    0x7fcc5fff,0xccccccff,0x9803cccc,0x3f606fff,0xcfffffff,0x367ffff8,
    0xff983fff,0x3fff64ff,0x17fff403,0x3ffffee0,0xfff98001,0xabffec06,
    0xff1fffff,0x3fffe85f,0x307fff40,0xffffdddd,0xf81ddddd,0x7dc01fff,
    0xff8804ff,0x7fcc06ff,0x3fffffa3,0x2001ffa4,0xf95ffffa,0x3e03ffff,
    0x00000fff,0x401bffe6,0x0000ffff,0x01bffe60,0x037ffcc0,0x000ffff2,
    0x3a1fff88,0x4404ffff,0x9bf31fff,0x7c407ffd,0x3fffa1ff,0xefffc84f,
    0x07fffa01,0x3205fffb,0x54002fff,0x3e606fff,0x9db506ff,0x001fffe0,
    0x0dfff300,0x7ff7ffec,0x5fffee4f,0x2a07fff8,0x3fee6fff,0x7fffc04f,
    0x7fffc400,0xfff30006,0x8fffb80d,0x8cfffffd,0x7fe41fff,0x7fff406f,
    0x13ffee00,0x01ffff40,0x200ffffa,0x400ffffe,0x3fea6ff8,0xbff34fff,
    0x3fff6000,0x1fffff56,0x003fffe0,0x6fff9800,0x01ffff00,0x7ffcc000,
    0xfff30006,0x3fffc80d,0x93ff6000,0x04ffbffb,0xb8627fec,0x3ff605ff,
    0x3feffee4,0x0efffa84,0xb0dfff30,0x3f205fff,0x7e4002ff,0x3fe605ff,
    0x3fa0006f,0x200000ff,0x3606fff9,0x10198fff,0x3ffe6133,0x9fffe206,
    0x2607fffa,0xf8807fff,0x30002fff,0xfa80dfff,0xfcfffaff,0x40fff9ff,
    0x202ffffa,0x2e00fffe,0xf9005fff,0x7fc40dff,0x7fe401ff,0xffb001ff,
    0x977f6445,0x90001ffc,0x7fecbfff,0x3fffe02f,0x3e600000,0xfff006ff,
    0x4c00001f,0x30006fff,0xfc80dfff,0xf50003ff,0x4e7fc4df,0x3fea04ff,
    0x817ff406,0x3fe26ffa,0xfd04ff9c,0x3ffa09ff,0x2fffd83f,0x005fff90,
    0x01ffffcc,0x000dfff3,0x002fffec,0x0dfff300,0x0007ffec,0x80ffffc4,
    0x3e65fffa,0xffb03fff,0xfffb00bf,0x7fcc000d,0x7ffcc06f,0xfff8effd,
    0xffd07ffc,0x3ffa05ff,0x3ffea00f,0xffff1007,0x9fffd109,0x3ffffa80,
    0x03bfe600,0x188dff30,0x3ffff880,0x3fe0054c,0x200000ff,0xf006fff9,
    0x00001fff,0x0037ffcc,0x406fff98,0x8003fffc,0x3fa1fff8,0x2209ff36,
    0xfd101fff,0xfff101df,0xff9b7f43,0x9ffff704,0x1ffff663,0xc817ffec,
    0x33532fff,0xfff93311,0x7fcc01ff,0x3e20006f,0xa881dfff,0xdfff3003,
    0x00fffec0,0x1dffff80,0x21ffffcc,0x99cffffc,0x00ffffea,0x00ffffe4,
    0x0dfff300,0xffffff88,0xdfffffd3,0x3ffffe60,0xfffb9acd,0x3ffe600f,
    0x3604c1cf,0xcabdffff,0x200ffffe,0x005ffff9,0x500effd8,0xffa83fff,
    0xfca99abd,0x0001ffff,0x0001ffff,0x3ea66662,0x09999fff,0x000ffff8,
    0xf5333310,0x13333fff,0xfa999988,0x09999fff,0x000ffff2,0xff993ff2,
    0x87ffffff,0xfd304ffc,0x27fe40bf,0xfffffff3,0x3fffa0ff,0xffffffff,
    0x05fffb02,0x7ecbfff2,0xffffffff,0x26622fff,0x9ffffa99,0x32000999,
    0xfeffffff,0x4c40ffff,0xffffa999,0xffb09999,0x3ee0003f,0xffefffff,
    0x7c40efff,0xffffffff,0xbac83fff,0x003ffffe,0x3ea66662,0x09999fff,
    0x87fffffc,0x05fffffb,0x3ffffff2,0x0fffffff,0x7fffff40,0x7cc1fffe,
    0xffffffff,0x3a203fff,0xcccdffff,0xe880cccc,0xdb9adfff,0xffa83fff,
    0xffffffff,0x20003fff,0x0000ffff,0xfffffff9,0x0bffffff,0x0001ffff,
    0x3ffffff2,0x5fffffff,0x7fffffe4,0x5fffffff,0x000ffff2,0x7cc1dff3,
    0x7fffffff,0x54077fcc,0x42aaefff,0x3e60eff9,0x7fffffff,0xfffffb10,
    0x6c03ffff,0xff902fff,0x3ffff65f,0x2effffff,0x7fffffe4,0x5fffffff,
    0x7fffe400,0x0fffffff,0x7fffffe4,0x5fffffff,0x0003fffb,0x7fffffec,
    0x300effff,0xfffffffd,0xfff107ff,0x800bffff,0xfffffffc,0x45ffffff,
    0x266ffffe,0x404fffff,0xfffffffa,0x400fffff,0xfffffff9,0xffe881ff,
    0x2fffffff,0x7ffffdc0,0xffffffff,0xffffb101,0x205fffff,0xfffffffa,
    0x004fffff,0x007fffc0,0xfffffc80,0xffffffff,0x00ffff85,0xfffff900,
    0xffffffff,0xfffffc8b,0xffffffff,0x00ffff25,0xa885ffd0,0x2dffbaaa,
    0xfd817ff4,0x20ffffff,0x55442ffe,0x02dffbaa,0x77ffff5c,0x7ffec00c,
    0x25fff902,0xfffffffd,0xfff902df,0xffffffff,0xb3000bff,0xffffffff,
    0xfffff90b,0xffffffff,0x007fff6b,0xffffb300,0x32005dff,0x1dffffff,
    0xffffff10,0xfff90005,0xffffffff,0xfffd8bff,0x7ffff43f,0xffec8802,
    0x01ceffff,0xfffffb30,0x7f6401ff,0x800dffff,0xfffffffb,0x01ffffff,
    0x77fffedc,0x3fb6601c,0xcfffffff,0xfff80000,0xff90000f,0xffffffff,
    0xfff0bfff,0x3f20001f,0xffffffff,0x7e45ffff,0xffffffff,0x3f25ffff,
    0x3f2003ff,0x9ff3004f,0x3604ffc8,0x0fffffff,0x26009ff9,0x262004ff,
    0x3ff60009,0x5fff902f,0x00cd4ccc,0xffffffc8,0x5fffffff,0x55544000,
    0x3fff2009,0xffffffff,0x199975ff,0x54cc0000,0x53100009,0xbdfd1001,
    0x3f200017,0xffffffff,0x7dc5ffff,0x7fdc1fff,0xa98001ff,0x22000099,
    0x40009aa9,0x7dc000a9,0xffffffff,0x2001ffff,0x988000a9,0x00009aa9,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3bbbba60,0x20005eee,
    0x0bcdecba,0x2e03ddd9,0x04001eee,0x005554c0,0xfecb9800,0x3321bdef,
    0xcccccccc,0x000001cc,0x99999999,0x00009999,0xdffd9500,0x1999999d,
    0x99755100,0x0ccc0059,0x99500000,0xcccb8059,0x3bbbb600,0x64c1eeee,
    0x666402cc,0x2002000c,0x4002ccc9,0xccccccc8,0x665401ab,0xcccccccc,
    0x931ccccc,0x44000799,0xbccccccc,0x6665c01a,0xca800001,0xcccccccc,
    0x204ccc83,0x6443ccc8,0x64c01ccc,0x3332a3cc,0xcccccccc,0xba81cccc,
    0x7cc02cdd,0x7fffffff,0xfffe9800,0xffb3ffff,0x3fff205f,0x27edc402,
    0x017ffec0,0x3fff6200,0x24ffffff,0xffffffff,0x9803ffff,0x02ceffec,
    0xffffffff,0x64c0ffff,0x002deffe,0xfffffffb,0x03ffffff,0x7ffffe4c,
    0x3f6604ff,0x05ffffff,0x37bff6ea,0x07fff902,0x201fffe8,0xffffffff,
    0x27ffd41f,0x803fffe0,0xeffffedb,0x05fffa83,0x7ffffcc0,0x01efffff,
    0xfffffffb,0xffffffff,0x017ffea5,0xfffff980,0x01efffff,0x0005fffb,
    0xfffffd00,0xff0dffff,0x7ffcc0ff,0x06fffc85,0xfb17fff4,0xffffffff,
    0x45ffffff,0xffffffea,0xffff300e,0x800fffff,0xfffffff9,0x5fffb3ff,
    0x00bfff20,0xb009fff7,0x40005fff,0xfffffff9,0x3fe4ffff,0xffffffff,
    0x3f2203ff,0xdfffffff,0x7fffffc0,0x887fffff,0xfffffffd,0xffd100df,
    0xffffffff,0x3203ffff,0xffffffff,0xffffb04f,0x10ffffff,0xfffffffb,
    0xfffc81df,0x0ffff403,0xfffffff0,0xfffa83ff,0x07fffc04,0x7fffff4c,
    0xffa86fff,0x7fcc005f,0xffffffff,0x7fec0cff,0xffffffff,0xf52fffff,
    0x4c000bff,0xffffffff,0x6c0cffff,0x00002fff,0x7fffffcc,0xff86ffff,
    0x3ffe607f,0x2ffff885,0xd8dfff70,0xccccccef,0x2ffccccc,0x3ffffffa,
    0x000006ff,0x9ffffd10,0x3f65b977,0xfff902ff,0x4fffb805,0x02fffd80,
    0xfffff300,0x9ffdb9df,0x7ffffffc,0x203fffff,0xfffffffc,0x66646fff,
    0xfffccccc,0x7ffff447,0x06ffffff,0xb7bffff9,0x9999bfff,0xfffffb01,
    0x907ddddf,0xdddfffff,0xfffb8fff,0xffffffff,0x01fffe46,0x0007fffa,
    0x09fff500,0x5c0ffff8,0xffffffff,0xfffa86ff,0x7ffcc005,0xffffeeef,
    0x777645ff,0xeeffffee,0xff51eeee,0x7cc000bf,0xffeeefff,0x7ec5ffff,
    0xabcdeeff,0xfff90000,0x7999bfff,0x67fffe54,0xffdccccc,0x7fdc1cff,
    0x3ffff06f,0x57934fd8,0xf98bfe03,0xffffdabe,0xa8000000,0x6c00ffff,
    0xff902fff,0xfffb805f,0x2fffd804,0xffffb000,0x7c751019,0x99999eff,
    0xff300999,0xfd537dff,0x7fc4001f,0x7fffec7f,0xffffdbac,0x17fffc43,
    0x7007fff5,0x003bffff,0x413fffe2,0x7fffdc39,0xfffffdce,0x00ffff23,
    0x0003fffd,0x04fffa80,0xf107fffc,0x757bffff,0xfff50df9,0x3e60530b,
    0xfffa86ff,0xffd801ff,0x7ffd403f,0x3fe60005,0xffffa86f,0x3ffff61f,
    0x0cffffff,0x7e7ffc00,0x3ff202ff,0xffffffff,0x2fffffff,0x5c3fffe8,
    0x4fd85fff,0x85dffff7,0x7fc0c2ff,0x000001ff,0x803fffb8,0xf902fffd,
    0xffb805ff,0xfffd804f,0xfffa8002,0x7ffc003f,0x3ff60005,0x8003704f,
    0x3e67fff8,0xffc82fff,0x3fff20ff,0x01fffd44,0x00ffffe2,0x01ffff50,
    0xf884fc80,0x3ff25fff,0x7fff403f,0x7d400001,0x7ffc04ff,0x3ffff60f,
    0x3fea0601,0x413f665f,0xd106fff9,0xfb00dfff,0xffa807ff,0x3e60005f,
    0xffd106ff,0x7fffecdf,0xffffffff,0x5fff5002,0x7e405fff,0xffffffff,
    0xffffffff,0x0ffffa82,0xb01ffff1,0x3fffaa9f,0x00bfe3ff,0xec8ffff5,
    0xddd701ee,0x2fffd803,0x02fffd80,0xee85fff9,0xeffffeee,0xfb0eeeee,
    0x401885ff,0x8006fffe,0x20005fff,0x0002fffe,0xb9fffe20,0x3fe05fff,
    0x3fffe2ff,0x01fffd41,0x001bffee,0x00ffffe6,0xfffb80a0,0x00ffff27,
    0xdd03fffd,0x0bdddddd,0x2027ffd4,0xff30ffff,0xf50005ff,0xfffb3bff,
    0x1bffe609,0x01ffffb8,0x201fffec,0x0005fffa,0xb81bffe6,0xffb1ffff,
    0xfffd99bf,0xfb001fff,0x05fff3bf,0x77ffff5c,0xffeeeeee,0xffb01eff,
    0x0ffff27f,0x7e4427ec,0x405ff1ff,0x6c3ffff9,0xff902fff,0xfffd805f,
    0x2fffd801,0xf85fff90,0xffffffff,0xb1ffffff,0x3ff23fff,0xfff80dff,
    0xfff8003f,0x3ffe0005,0x7c400007,0x3fff27ff,0x4ffff203,0xfa87fff8,
    0x7fec03ff,0xff88002f,0x001befff,0x27fffa80,0x7403fffc,0xfff81fff,
    0x206fffff,0x7c04fffa,0xfff50fff,0x3fea000d,0x3fffffff,0x40dfff30,
    0x402ffff8,0x5403fffd,0x20005fff,0x2206fff9,0xffb2ffff,0xffff705f,
    0xafff880b,0xf802fff9,0x3fe607ff,0x7ffcc05f,0x206fff9f,0x3fee04fd,
    0x3e605ff3,0xffd85fff,0x5fff902f,0x01fffd80,0x902fffd8,0xfff85fff,
    0xffffffff,0xffb1ffff,0xfffffd5f,0x7ffcc1ff,0xfff8000f,0x8009aaae,
    0x0006fff8,0xb3fffc40,0x7dc09fff,0xbfff34ff,0x807fff50,0xaa89ffff,
    0x7fdc01ab,0x0befffff,0xdfff5000,0x201fffe4,0xff81fffe,0x06ffffff,
    0xf013ffea,0x3ff21fff,0xff50005f,0x03dfffff,0x2037ffcc,0x6c03fffe,
    0x7d403fff,0x165405ff,0x2037ffcc,0xffb3fffe,0x3fff605f,0x9bffdc07,
    0xff802fff,0x3ffe607f,0xffffc805,0x3f602fff,0x7d3fea04,0xffffa82f,
    0x05fffb04,0xa98bfff2,0xcfffeaaa,0x362aaaaa,0xff902fff,0xc999985f,
    0x9999dfff,0x3ffff619,0xffffffff,0x01fffea5,0x7fffffc0,0x2202dfff,
    0x00006fff,0xf93fffc4,0x7fd40fff,0x0bfff55f,0xddddfff5,0x6ffffc4b,
    0x2fffffff,0x3ffffee0,0x8003ffff,0x3f25fffc,0x7ff403ff,0xa999981f,
    0x3ea06fff,0x7ffc04ff,0x09fffb0f,0xffffb100,0xfee805df,0x44eeefff,
    0x4c44fffd,0x9bfffe99,0x7ffd4099,0x97fffa05,0xeeffffee,0xa7ffec4e,
    0xf502fffd,0x7f401fff,0xddfff34f,0xffff07dd,0xf9555555,0xff100bff,
    0xd80bffff,0x5ffb104f,0xfff70bfe,0x7ffec05f,0x45fff902,0xfffffffc,
    0x7fffffff,0x640bfff6,0x7dc02fff,0xffd804ff,0xfdacffff,0xfff70fff,
    0x3ffe000d,0xffffffff,0x7ffccc45,0x0999999e,0x7fff8800,0x20ffffea,
    0xf76fffc8,0xfff509ff,0x7ccdffff,0xffffffff,0x2205ffff,0xffffffeb,
    0x3fe2003f,0x3fff22ff,0x0ffff403,0x037ffcc0,0xf809fff5,0xfffb0fff,
    0x7fe4400b,0xf002efff,0xffffffff,0x45fffc8b,0xfffffffc,0x7d42ffff,
    0xfff705ff,0x3fffe7ff,0x645fffff,0xfffb5fff,0x0ffffc05,0xf31fff98,
    0x09ffffff,0xffffffff,0x0bffffff,0x3ffffee0,0xd727ec01,0x7fcdfffd,
    0x37ffff22,0x3f63cccc,0xfff902ff,0x7ffffe45,0xffffffff,0x0bfff67f,
    0x00bfffe6,0xb009fff7,0xf81dffff,0xfff91fff,0x3bba000d,0xffffffee,
    0x3ffff64f,0xffffffff,0xfff88004,0x3ffffe27,0xffffdcdf,0x09fff76f,
    0xfffffff5,0x7ffffccd,0xfffffeff,0xfeb8803f,0x36007fff,0x7fe46fff,
    0x7fff403f,0x6fff9801,0x013ffea0,0x3f21ffff,0x3ea006ff,0x005fffff,
    0x3ffffffe,0x7ffe45ff,0x7ffffe45,0x42ffffff,0xfb05fffa,0x3fe9ffff,
    0x5fffffff,0xfdafffe4,0xfff102ff,0x9bff201f,0xfffffff9,0xffffff84,
    0xffffffff,0x3fffa005,0x2e4fd804,0x3e0dffff,0x3ffffe2f,0x365fffff,
    0xff902fff,0x77775c5f,0xeeeeffff,0x3fff25ee,0x7ffffcc4,0x27ffdc02,
    0x07fffec0,0xfb97ffec,0x400007ff,0x0ffffeb8,0xfffffffb,0x009fffff,
    0xa8ffff10,0xffffffff,0xf56fffff,0xfff509ff,0x7d45555b,0x74c1cfff,
    0x64007fff,0xb800ffff,0x7e41ffff,0x7ff403ff,0xfff9801f,0x13ffea06,
    0x2e1ffff0,0x5002ffff,0x0bffffff,0x7fffee40,0x7fec2ccc,0x7fffe44f,
    0x2fffffff,0xc82fffd4,0xb93fffff,0x5999ffff,0xfb4fffd8,0x3fee05ff,
    0x8fffe06f,0xaaacfff9,0xffffff81,0xffffffff,0xd9999305,0x9999bfff,
    0x3ee4fd81,0x22ff809f,0xffffffff,0x3fff65ff,0x05fff902,0x801fffd8,
    0xc9bffffb,0x02ffffff,0x4027ffdc,0xf902fffd,0x3ffea5ff,0x9800000f,
    0xdd92ffff,0xddddffff,0xf10007dd,0xfff70fff,0xffffffff,0x17ffeabf,
    0x980fffea,0x3e607fff,0x26000fff,0x5c00ffff,0xfc83ffff,0x7ff403ff,
    0xfff9801f,0x13ffea06,0x221ffff0,0x201effff,0xfff75d50,0xfff9800b,
    0x1ffff406,0x3ffa6662,0x540999bf,0xff105fff,0x7fcc1fff,0x7fff406f,
    0x305fffb3,0x2a09ffff,0x3fe60fff,0x7fff802f,0x417ffe60,0xfffffffb,
    0x40ffffff,0x81fee4fd,0x333322ff,0x23cccccc,0xf902fffd,0xffd805ff,
    0xfff8801f,0xfeffffff,0x7fdc02ff,0xfffd804f,0x25fff902,0x001ffff9,
    0x9fffb000,0x006fff88,0x3fffc400,0xbdedcb88,0xf34fffb9,0xfff50dff,
    0x3fffc407,0x547fffa0,0xffe880ad,0x7ffd407f,0x7fff704f,0x00fffe80,
    0x206fff98,0x7c04fffa,0x3ff20fff,0xb99acfff,0x7ffd417d,0x7ffcc005,
    0x17fffc06,0x00ffff60,0x440bfff5,0x7fcc0ded,0x7fffc06f,0x559fffb2,
    0x0dffffb7,0x5557ffec,0xf802fffb,0x3fe607ff,0xffff705f,0xffffffff,
    0x264fd81f,0x00bfe03c,0x05fffb00,0xb00bfff2,0x2e003fff,0xefffffff,
    0x5c02fff9,0xfd804fff,0xfff902ff,0x17fffe25,0x7fec0000,0x37ffc44f,
    0x3fe60000,0xffb0007f,0x3fffe27f,0x01fffd40,0xe803fffe,0xfff52fff,
    0xffffdddf,0x7ffd407f,0x3ffee04f,0x03fffc04,0x206fff98,0x7c04fffa,
    0x3fa20fff,0xffffffff,0x5fffa87f,0x37ffcc00,0x01ffff70,0x403fffd8,
    0x0005fffa,0xb81bffe6,0xffb0ffff,0xffffffff,0x3fe203ff,0xffffffff,
    0x7fff802f,0x017ffe60,0x802fffc8,0x806a24fd,0x015d42ff,0x902fffd8,
    0xfd805fff,0x3ee001ff,0xff14ffff,0xfffb805f,0x2fffd804,0x745fff90,
    0x0001ffff,0x42fffe80,0x0006fff8,0x037ffd40,0x07fffc40,0xfa85fffd,
    0x7ffc03ff,0x3fffe03f,0xffffff50,0x409fffff,0x404ffffa,0x2205fffa,
    0xf3006fff,0x7fd40dff,0x7fffc04f,0x7ffff440,0xa87fffff,0x4c005fff,
    0xff106fff,0xffb009ff,0xfffa807f,0x3fe60005,0xffff106f,0x7ffffec9,
    0x00dfffff,0x3fffffee,0x802fffff,0x3e607fff,0x3f2005ff,0x4fd802ff,
    0x7fc07ffa,0x09fffd12,0x305fffb0,0xd805ffff,0x98001fff,0x077fe41a,
    0x017ffee0,0x640bfff6,0x3fe62fff,0x0a602fff,0x0ffffb80,0x0037ffc4,
    0xfffe8062,0xfffd8005,0x077ffdc5,0xc807fff5,0xff706fff,0x7fff54ff,
    0x02dfffff,0x013fffea,0x407fffe6,0x3005fffc,0x7d40dfff,0x3fe204ff,
    0x3ff6a07f,0xa83effff,0x4c005fff,0xfe986fff,0xfd800fff,0x7fd403ff,
    0x3e60005f,0xffe986ff,0x3fff60ff,0x01cdefff,0xccceffe8,0x802fffdc,
    0x3e607fff,0xddd505ff,0xdddffffd,0x24fd81dd,0x5ff03fff,0x0bffffee,
    0x989fff90,0x402fffff,0x0001fffd,0x001fff50,0xb00ffff5,0x3f205fff,
    0x7ffec2ff,0xecaaceff,0x1333734f,0x9ffffb53,0x00dfff10,0x989bdf88,
    0x002ffffd,0x07ffff66,0x37dffff1,0x3339fff7,0xdffff883,0x7ffff711,
    0xfff93310,0xffffa803,0x3fffa003,0xfff710af,0x3fe6001f,0x3ffea06f,
    0x3fa66b64,0xfff805ff,0x7ffd401d,0xccccccce,0x3bffe64c,0xffffecba,
    0xfffb003f,0xefffa807,0xcccccccc,0x5dfff304,0xfffffd97,0x02fffd87,
    0x05fff300,0x5559fff3,0x40ffff05,0xf705fff9,0xffffffff,0xfd81ffff,
    0x7c03bee4,0xfffffb2f,0xffffb807,0xfffffc9b,0x7ffec02f,0xffd00001,
    0x3ffe6009,0xfd84c1cf,0xfff902ff,0xffffe885,0x4fffffff,0xfffffff5,
    0xa98bffff,0xaaaefffb,0x222aaaaa,0xffffffff,0xbaa985ff,0xfffffecc,
    0xfffff903,0xffffffff,0xfffc83ff,0xffffffff,0x06ffc805,0x77ffffd4,
    0x5eeeeeee,0x3fffffe6,0x04ffffff,0xff533331,0x213333ff,0x3fe4fffa,
    0x02ffffff,0x400fffcc,0xfffffffa,0x267fffff,0xffffffff,0x2003ffff,
    0x5403fffd,0xffffffff,0xf307ffff,0xffffffff,0xffb07fff,0x3f60005f,
    0xffff307f,0xfff0ffff,0x2fffcc0f,0xffeeeea8,0x0eeeeeff,0x4cccefec,
    0xf9999999,0xfffff92f,0xffff8807,0xffefffff,0x7ffec02f,0xff880001,
    0x3ffa005f,0x1fffefff,0x3205fffb,0xfc882fff,0xffffffff,0xfffff54f,
    0xb09fffff,0xffffffff,0x4bffffff,0xfffffff8,0xffb80eff,0xffffffff,
    0x7fffdc04,0xffffffff,0xfffc81ff,0x0dffffff,0x404ffd80,0xfffffffe,
    0x46ffffff,0xfffffffb,0x3f204fff,0xffffffff,0xff55ffff,0x7ffffc9f,
    0xffa804ff,0xffff5006,0xffffffff,0x7ffffccf,0x00dfffff,0x01fffec0,
    0x3fffffea,0x07ffffff,0xfffffff3,0x3601bfff,0x88002fff,0xff304fff,
    0xf0ffffff,0x7fcc0fff,0x3ff2005f,0xfffd802f,0xffffffff,0xff32ffff,
    0xf7001dff,0x3dffffff,0xfd805fff,0xf00001ff,0x300fffff,0xffffffff,
    0x0bfff63f,0x5017ffe4,0xdfffffdb,0x3fffea17,0xb00cefff,0xffffffff,
    0x8bffffff,0xefffffeb,0x3fffee03,0x001effff,0xffffffb5,0x03ffffff,
    0x3fffffaa,0x3ffe002e,0x7ffff401,0xffffffff,0xfffd886f,0x6401efff,
    0xffffffff,0xf55fffff,0x7fff49ff,0xff9002ef,0x3ffea007,0xffffffff,
    0x3fffe67f,0x001acdff,0x807fffb0,0xfffffffa,0x307fffff,0x9bffffff,
    0xfffd8035,0xfffb8002,0xfffff301,0xffff0fff,0x02fffcc0,0x005fff90,
    0xfffffffb,0xffffffff,0x00676cc5,0x9fffff70,0xb00bffe2,0x00003fff,
    0x01fffff2,0x7ffffecc,0x5fffb0ff,0x00bfff20,0x26201998,0xfb0009a9,
    0xffffffff,0x40bfffff,0xff700199,0x0037bdff,0x0004cc40,0x4000d4c0,
    0xfe805ee8,0xffffffff,0x4406ffff,0x3f2001a9,0xffffffff,0x1005ffff,
    0xdd900033,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x53000000,0xffd80003,0x2a00001f,0x44003cdc,0x7ec09aa9,
    0xfff902ff,0x00000005,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20011000,0xccccc809,0xcccccccc,0x99999950,0xcb803579,0x997003cc,
    0x33333259,0x3ccccccc,0x99999997,0x664c0559,0x2666402c,0x99999993,
    0x01999999,0x32e0e65c,0x9995002c,0xccb80399,0x9999300c,0x00e665c3,
    0x77764400,0x99910000,0x99970599,0x01579999,0x02cccc88,0xcc879999,
    0xcccccccc,0x9953cccc,0x33320079,0x5999910c,0x16666440,0x20019993,
    0x9930ccc9,0x664c0799,0x9999910c,0x99999999,0x33332e79,0x200abccc,
    0xccccccca,0xcccccccc,0x05554c01,0x00000040,0x01330002,0xc8801000,
    0x3ff8805f,0x7ffffffc,0x90ffffff,0xffffffff,0x3f203dff,0xfff007ff,
    0x3ffffe5f,0x6fffffff,0xfffffffd,0xf507dfff,0xfff809ff,0xfffff70f,
    0xffffffff,0x217ff403,0xfd003ffe,0xe809ffff,0xff881fff,0x7ffec6ff,
    0x3f220002,0x0001ffff,0x0bfffff9,0xfffffffb,0x26019fff,0xf985ffff,
    0x7ffc7fff,0xffffffff,0xfff36fff,0xfffb803f,0x037ffec6,0x543ffff7,
    0xf5001fff,0x3ffee1ff,0xfff700ff,0x3ffffe63,0xffffffff,0xfffffd6f,
    0x019fffff,0xfffffffb,0xffffffff,0x0fffb805,0x00077cc0,0x982fcc00,
    0xffffffeb,0xfdb7002d,0x7c47dfff,0x7ec03fff,0x3fffe5ff,0xffffffff,
    0xfffff90f,0x9fffffff,0x1ffffa81,0xf3fffcc0,0xffffffff,0x3ffadfff,
    0xffffffff,0x7ffd43ff,0x87fffc04,0xfffffffb,0x01ffffff,0xffd07ffe,
    0xffff1005,0xffe80dff,0xffffc81f,0x017ffec0,0x7fffe440,0x98001fff,
    0x85ffffff,0xfffffffd,0x982fffff,0x5c0fffff,0x7fc7ffff,0xffffffff,
    0x3f66ffff,0x7ff405ff,0x7fffcc2f,0x4ffff883,0x800fffd4,0x3fee7ffa,
    0xff704fff,0x3fffe63f,0xffffffff,0xffffd6ff,0xdfffffff,0xfffffd81,
    0xffffffff,0x7fdc02ff,0x3ffe200f,0x2e00001e,0xffe85fff,0xffffffff,
    0x3fffa606,0x5c6fffff,0xa861ffff,0x3fe0ffff,0xeeeeeeff,0xfff90eee,
    0xffffdddd,0xffff0bff,0x5fffc807,0x3bbbfffe,0xfd5eeeee,0xfd999bff,
    0x7d41ffff,0x7ffc04ff,0xd999930f,0x9999bfff,0x03ffe201,0xf7003fff,
    0x01ffffff,0x260ffff4,0xfd83ffff,0x7dc002ff,0xffffffff,0xfffe8001,
    0xffd85fff,0xfffedcdf,0x7fd40fff,0x7ff42fff,0x7fffc7ff,0xffffffff,
    0x3ffe65ff,0xdfff701f,0x21ffff60,0x4c0ffffb,0xf5001fff,0x7fffdcff,
    0xfffb80ff,0xffffff31,0xffffffff,0x3bbfffad,0x5ffffffe,0x7f777764,
    0xeeeeefff,0x7ffdc01e,0x3fffea00,0xfc80002f,0x7f40efff,0xfffeefff,
    0xfffb84ff,0x6fffffff,0xfeefffd8,0x2ffffeff,0x000ffffc,0xf507fff9,
    0xfd83ffff,0x7ff406ff,0x07fffe2f,0x407fff40,0x2a2ffffa,0x7fc04fff,
    0x3ff600ff,0x3fe6002f,0x007ffc47,0x7ff7ffec,0x3fffa03f,0x82ffff41,
    0x4002fffd,0xffdffffe,0x7dc001ff,0x85fffdff,0xfb82fffd,0x7fd45fff,
    0x3fe25fff,0x4000ffff,0x6c1ffffc,0xfff05fff,0x3ffe205f,0x3fffe23f,
    0x01fff984,0x7dcfff70,0xb83fffff,0x26661fff,0xf9999999,0xfffd3fff,
    0x7fffe983,0x07fffb00,0x03ffee00,0x7fffff30,0x3ff62000,0xace80dff,
    0x3fffe440,0x37ffffe2,0x886fcbab,0xfffffffe,0xff84ffff,0x3f2001ff,
    0xffd103ff,0xffffa8df,0x1ffff100,0x800ffffc,0xfd00fffe,0x7ffd47ff,
    0x07fffc04,0x805fffb0,0xafffcaa8,0xabfffbaa,0x2fbffe02,0x3fa05fff,
    0x3fff21ff,0x5fffb00f,0x1effa800,0x4003ffff,0xff9efff8,0x2fffd85f,
    0xb8ffff90,0x2e7ffdff,0x00fffdff,0x13fffea0,0x703fffe6,0xfc80dfff,
    0xfff70fff,0x5fff101f,0xb9bfee00,0x86ffffff,0x4001fffb,0xfd0ffffb,
    0xfff703ff,0xfffb001f,0x3fee0007,0xffe8800f,0x744004ff,0x0004ffff,
    0xfb07fff4,0x80c03fff,0xfffffffa,0xfff07fff,0x7fe4003f,0x3ffee03f,
    0x3fffe21f,0x8dfff502,0xd001ffff,0x3f601fff,0x3ffea2ff,0x07fffc04,
    0x805fffb0,0xfffffffb,0xffffffff,0x39fff507,0x7f40ffff,0xffff31ff,
    0x17ffec05,0x3fe17400,0x3f2001ff,0x5fff9aff,0x102fffd8,0x7dc1ffff,
    0xfb2ffecf,0x001fff5f,0x81bfffe2,0x7fc4fffd,0x7fc402ff,0xffff8bff,
    0x05fff103,0xfb9bfee0,0x42fffeff,0x4001fffb,0x3fa4fffe,0xfff881ff,
    0xfffd801f,0x55554403,0xaabfffda,0xfffb02aa,0xff3001bf,0x00005fff,
    0x3e65fffb,0x70002fff,0xf933dfff,0xfff05fff,0x7fe4003f,0x3ffe203f,
    0x27fff42f,0x7c3fffd8,0xfd001fff,0x3ffe01ff,0x13ffea0f,0x401ffff0,
    0x5c02fffd,0xffffffff,0x7fffffff,0x3e3fff90,0xffd01fff,0x13fffa3f,
    0x005fffb0,0x07fffe00,0x9afffcc0,0xffd85fff,0x3fffe02f,0x3f33fee1,
    0xf8fff8cf,0xff9001ff,0x7fcc03ff,0xdfff70ff,0x3fffee00,0x7c06fffc,
    0x237fc2ff,0x3fee5ffb,0x5c6fffbf,0x2a001fff,0x3fa0ffff,0xfff881ff,
    0xfffd800f,0x7fffcc03,0xffffffff,0x3fee07ff,0x3ea00eff,0x0001ffff,
    0xfffd5533,0x01bffea5,0x40fffe80,0xff85fffa,0x3f2001ff,0x7ff403ff,
    0x37ffdc3f,0x7c1ffff8,0xfd001fff,0xffd881ff,0x27ffd45f,0x803fffe0,
    0x4c02fffd,0xcceffecc,0x4cceffec,0x7e4fffd0,0xfffd04ff,0x00dfff93,
    0x0005fffb,0x007fffe0,0xf987fff4,0xfffd85ff,0x1ffff102,0x7fce7fe4,
    0xff8cffae,0xfffa801f,0xfffd803f,0x005fffd3,0x7ffffff4,0x17ffc02f,
    0x7e43fff5,0x27ffee5f,0x3ee1fffd,0x3fa001ff,0x7fff44ff,0x06fffc81,
    0x807fffb0,0xfffffff9,0x7fffffff,0x7ffffd40,0xeffffb81,0x3fee2000,
    0xffffffff,0x00bfff92,0x213ffe20,0xff86fff8,0xeeeeeeff,0x3fff24ee,
    0x27ffec03,0x303fffe6,0xfff0dfff,0x3333335f,0x3bfffa13,0xdffffeee,
    0x7ffffd40,0xffffffff,0x3ff600ff,0x3ff6002f,0x2027fe43,0x3ea5fff9,
    0xfffd06ff,0x003ffff7,0x0005fffb,0x007fffe0,0xf98fffee,0xfffd85ff,
    0x8dfff702,0xbfff4ffc,0x0bffe5ff,0x0dffff10,0x2bfffe60,0x54006fff,
    0x06ffffff,0x3f23fff8,0x93ff23ff,0xffa9fffb,0x07ffee5f,0x07fffd40,
    0x266bfffa,0x02ffffda,0x807fffb0,0xfdccccc8,0x4ccccdff,0xfffff980,
    0x17ffff63,0xfffff500,0x5fffffff,0x0013fff6,0xe81fffcc,0xffff87ff,
    0xffffffff,0x00ffff25,0xfd0bfff9,0xfffb87ff,0xffffff84,0xd2ffffff,
    0xffffffff,0xff501dff,0xffffffff,0x401fffff,0x2002fffd,0x7fec3ffe,
    0x1fffdc03,0xd01ffff1,0x9fffffff,0x0bfff600,0x7fffc000,0x37ffc401,
    0x3617ffe6,0xff982fff,0x9ffec4ff,0x3e7ffffd,0x7fe402ff,0x3f6000ff,
    0x02ffffff,0xfffffe80,0x23ffe801,0x3f26ffff,0x47ffee4f,0xff71fffe,
    0x3ffa003f,0xffffe84f,0x2fffffff,0x0ffff600,0x07ffdc00,0xffff9800,
    0x3ffff22f,0xfff3000e,0xfd999bff,0x3fff25ff,0xfff30005,0x21bff607,
    0xffffffff,0x3f25ffff,0x7fe403ff,0x5fffc85f,0x7c0ffff4,0xffffffff,
    0xfffd2fff,0xffffffff,0xffffa89f,0xffffffff,0x3f600fff,0x3fa002ff,
    0x01fff42f,0xfd03fff6,0xfffd07ff,0x200dffff,0x0002fffd,0x803ffff0,
    0x7cc1fffd,0xfffd85ff,0xfffdbaac,0x53ffd86f,0x7fc9ffff,0x3ffea02f,
    0x7fcc003f,0x0006ffff,0x05fffffd,0x3e67ffd0,0xffb0ffff,0xb8fffdc9,
    0xfff74fff,0xffff5003,0xfffffd01,0x0015ffff,0x003fffd8,0x001fff70,
    0x3fffff50,0x3dffff70,0x1bfffd00,0x2e5fffb0,0x10006fff,0x3fa0dfff,
    0xdffff85f,0x2ccccccc,0xb00ffff2,0xff309fff,0x3fffc4ff,0xfffffff8,
    0xfd2fffff,0xfd9557ff,0x7d47ffff,0xccccceff,0x00ffffcc,0x800bfff6,
    0x7ff41fff,0x1bffe202,0x3a17ffee,0xffffafff,0x2fffd804,0xffff0000,
    0x27ffd403,0x6c2fffcc,0xffffffff,0xfd81ffff,0x5ffff13f,0xe881fffc,
    0xb0005fff,0x003fffff,0xffffff70,0x4ffd801f,0x27fffff7,0x3fee3ffd,
    0x23fffe1f,0xe801fffb,0xffd05fff,0xbfffffff,0xfffd8001,0xfff70003,
    0xfffc8001,0x3fea00ef,0x7fc02fff,0xfffb00ff,0x0bfffea5,0x07fffc00,
    0x3e13ffe6,0x32001fff,0x7f403fff,0xffff03ff,0x417ffea5,0x999affff,
    0xffd09999,0xfffd101f,0x13ffea1f,0x401ffff0,0x2602fffd,0xccfffccc,
    0x4cdfffcc,0x984fffa8,0x7f40ffff,0xffffb9ff,0x17ffec01,0xffff8000,
    0x41bffa01,0xfd85fff9,0xffffffff,0x7ffd00df,0x3fe3fff4,0xffff903f,
    0x3fe60001,0xf88005ff,0x4fffffff,0xfea7fec0,0xffb5ffbf,0x70fffdc7,
    0xfff79fff,0xffffa803,0x13fffd01,0x009ffff7,0x003fffd8,0x001fff70,
    0x17ffff62,0x7ffff4c0,0x3ffff103,0x25ffff70,0x01effff8,0x77ffe402,
    0x1ffffa8b,0x001ffff8,0xf00ffff2,0x3f605fff,0x5fff94ff,0x007fffe0,
    0xa807fff4,0xff51ffff,0xffff809f,0x0bfff600,0xffffffa8,0xffffffff,
    0x7ffe40ff,0xffcccccd,0x7fff42ff,0x80dfffd1,0x0002fffd,0x203ffff0,
    0xfffffffa,0xffffffff,0xfffffb7f,0xe8039bdf,0x17fee3ff,0xff509ffd,
    0xe80007ff,0xc8002fff,0xfffcefff,0x33ff600f,0xfff9dff8,0x3ee2ffe8,
    0x3ffe21ff,0x401fffbf,0x3a05fffd,0x3fea1fff,0x3f6001ff,0xf70003ff,
    0xfd1001ff,0x88009fff,0xf05ffffe,0x3221bfff,0x2e2fffff,0x9acfffff,
    0xff307db9,0xffffffff,0x07fffe0f,0x03fffc80,0x403fffee,0xfff6fffa,
    0x3fffe01f,0x1fffd001,0xa97fffc0,0x7fc04fff,0x3ff600ff,0x3ffea02f,
    0xffffffff,0x7c0fffff,0xffffffff,0x744fffff,0xfff31fff,0x7ffec09f,
    0xfff00002,0x3ffea03f,0xffffffff,0xfb7fffff,0x3e0005ff,0x073222ff,
    0xfe889ffd,0xd80005ff,0x4c002fff,0xff8affff,0x3ff205ff,0xfff2ffbd,
    0x7dc5ffd5,0x7ffe41ff,0x2601fffe,0x3a01ffff,0x7fec1fff,0x3ff6005f,
    0x5530003f,0xfff98015,0x360002ff,0x6c0effff,0xffefffff,0x742fffff,
    0xffffffff,0xfffd07ff,0xffffffff,0x03ffff09,0x81fffe40,0x204ffff8,
    0xffaffff8,0x3fffe05f,0x1fffd001,0x43fffe60,0x7c04fffa,0x3f600fff,
    0x2aa202ff,0xcaaaeffc,0x4c2aafff,0xffffffff,0x47ffffff,0x3f21fffe,
    0xffb02fff,0x3e00005f,0xff501fff,0xffffffff,0x2fffffff,0x0002fffd,
    0x3a005fff,0x7ffe44ff,0xfd80000f,0x7ec002ff,0x3ffee6ff,0xbbff902f,
    0x33ff21ff,0x3fee1ffe,0x7fffcc1f,0x3f601fff,0x7ff405ff,0x7fffd41f,
    0x7fffb001,0xf5000000,0x0003ffff,0x1dffff70,0x7fffffc4,0x2fffaeff,
    0x7ffffec4,0xfc87ffff,0xeffffeff,0x7fc2ffff,0x3f2001ff,0xffe983ff,
    0x7fec00ff,0x203fffef,0xd001ffff,0x3fa01fff,0x3ffea7ff,0x07fffc04,
    0x005fffb0,0xff517fee,0x77ffdc0d,0xfeeeeeee,0x3ffa1fff,0x3fffe21f,
    0x2fffd80e,0xffff0000,0x33332603,0xffdccccc,0xffb4ccef,0x3fe0005f,
    0xbffd002f,0x017fffcc,0x2fffd800,0x3fffea00,0x837fffc2,0x25ffeffb,
    0x1ffefff9,0x3607ffee,0x01ffffff,0x803ffff3,0xfe81fffe,0xffb005ff,
    0x3331007f,0x33333333,0x3ffa2133,0x2a00000e,0xfe885fff,0xff14ffff,
    0x3ff6a05f,0x543dffff,0x1330ffff,0xf83fffee,0xaaaabfff,0x3ff22aaa,
    0xffecbadf,0xfb803fff,0x00ffffff,0x4007fffe,0xaaabfffe,0x24fffffc,
    0x7c04fffa,0x55530fff,0x559fffd5,0x9ff90155,0x3a05ffb8,0x7f400fff,
    0x3fffa3ff,0x27fffd41,0x666fffec,0x22cccccc,0xffccccc9,0x04cccdff,
    0x42fffcc0,0x8002fffd,0xb002fff8,0x3ffa2bff,0xeeeeeeff,0xfd805eee,
    0x3fa002ff,0xfffb86ff,0xffffb83f,0x7ffffc3f,0x07ffee0f,0x3fffffea,
    0x0dfffb01,0x703fffd0,0xb003ffff,0xfb007fff,0xffffffff,0x7447ffff,
    0x9800000d,0x0d4c405f,0x0ccc4000,0x03ffff88,0xff2ffff4,0xffffffff,
    0x3ff21fff,0xffffffff,0xff1003ff,0xf80dffff,0xfd001fff,0xffffffff,
    0xffa8dfff,0x7fffc04f,0xffffff70,0x3fffffff,0xfc87ffb0,0xdfff104f,
    0x4dfff900,0xfd81fffe,0x7fec2fff,0xffffffff,0x3ffee4ff,0xffffffff,
    0x7cc007ff,0xfffd85ff,0xfff88002,0x2dffb001,0xfffffff9,0x7fffffff,
    0x02fffd80,0x05ffff70,0x503ffffa,0xc81fffff,0x2e0fffff,0xffd01fff,
    0xff303fff,0xffd005ff,0xffff103f,0x7fffb009,0xfffffb00,0xffffffff,
    0x00000087,0x00000004,0x0bfb1000,0xff87ff10,0xffffffff,0xfff90fff,
    0xbfffffff,0xfffe8001,0x7ffc04ff,0xfffd001f,0xffffffff,0x4fffa819,
    0xb87fffc0,0xffffffff,0xe81fffff,0x1ffec3ff,0x804fffa8,0xfd0ffff9,
    0xfff103ff,0x7ffec1ff,0xffffffff,0x3fffee4f,0xffffffff,0x7fcc007f,
    0x2fffd85f,0x1fff8800,0x26dffb00,0xffffffff,0x07ffffff,0x802fffd8,
    0x206ffff8,0x544ffffa,0xfa86ffff,0x3ee0ffff,0xfff701ff,0xfffb03ff,
    0x3fffa00d,0x1ffff901,0x03fffd80,0xffffffd8,0x3fffffff,0x00000000,
    0x00000000,0x01500098,0xffffffff,0x321fffff,0xcdffffff,0xff90001a,
    0xff803fff,0xffd001ff,0x7bdfffff,0x13ffea01,0x2e1ffff0,0xffffffff,
    0xf81fffff,0x17ff42ff,0x001fffd8,0x3fa5ffff,0xfff701ff,0x7fffecbf,
    0xffffffff,0x3ffffee4,0xffffffff,0x7ffcc007,0x02fffd85,0x01fff980,
    0x3e6dffb0,0xffffffff,0x807fffff,0xc802fffd,0x7402ffff,0x3e61ffff,
    0xfff03fff,0x1fffb8ff,0x07ffffe0,0x005ffff1,0x4407fffa,0x6c04ffff,
    0x00003fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80006000,0x31000400,0x98000401,0x02600019,0x77640000,
    0x3ddd701e,0x80004c00,0x10001100,0x33310003,0x30000000,0x260009fd,
    0x200acecb,0x8805eeea,0x3ba0eeee,0x05eeeeee,0x6c0bbbaa,0x7640deee,
    0x3b600dee,0x1bbb23ee,0x32eee880,0xdddddddd,0x301ddddd,0x2a200600,
    0x02c8002a,0x220ae035,0x9971004b,0x3bb6e607,0x011001cd,0x0bcedb98,
    0x01332a00,0x3ffffff6,0x3fffffff,0xffdb3000,0xd7003bdf,0x3f223bff,
    0xff9304ff,0x3fa67dff,0x7ecc05ff,0x05ffffff,0xdefffec8,0xfffd9301,
    0xfffb01bd,0x8bfff205,0xffb13eee,0x57ba09ff,0xfb12effb,0x277643df,
    0x01bffff9,0x007ffee0,0x2defeda8,0x13fffe00,0xffffd880,0xff103fff,
    0xffb805ff,0x7ffffc6f,0x3ee06fff,0xfffd83ff,0xffff881f,0x8dfff905,
    0x3000fffc,0x3fe65fff,0xffffffff,0x1fdc0fff,0xf300bf20,0xffb800ff,
    0x437fe60e,0x3ea0ffea,0x3f2602ff,0xffb05fff,0x80bfffff,0xfc80dffd,
    0x03ffffff,0x03ffff88,0x7fffffec,0x3fffffff,0x5c07bfee,0xffffffff,
    0x3fff204f,0xfffd8eff,0xfffc85ff,0xfffeffff,0xffb05fff,0xffffffff,
    0x7ffff4c0,0xfb83ffff,0x1fffffff,0xc817ffec,0x3ffe2fff,0xffffff9d,
    0xfafff86f,0xffd8ffff,0x3bff67ff,0xffffffe8,0xfffb800f,0xffffb001,
    0xf300bfff,0x2a00dfff,0xecabdfff,0xffc80eff,0x7fff405f,0x7fffffc3,
    0x3fee06ff,0x7fffdc3f,0x3fffea02,0x0ffffcc2,0x4007ffee,0xff31fffa,
    0xffffffff,0x7fdc1fff,0x5fff903f,0x0237fcc0,0x746fff88,0xfff50fff,
    0x077ffc4b,0x7fffffec,0xfffffb05,0x3ea07fff,0x7fe45fff,0x3fffffff,
    0x7ffffe40,0x3ffff600,0xffffffff,0xfffff73f,0xfffffd81,0x85ffffff,
    0xffedfff9,0xfffefffe,0x7ef7fe41,0xffffffff,0x7ffe42ff,0x7ffeeeff,
    0xdfffff30,0xb87fffff,0xffebaace,0x817ffec6,0x3fe2fffc,0xffffffef,
    0x7ffc2fff,0xfefffffe,0xfb2fffff,0xfffffdff,0xf700bfff,0xff9003ff,
    0x7ffffdff,0x09ffff00,0x557dff10,0x217fea55,0x300ffff9,0x9981ffff,
    0x06fffa99,0xfa8fffee,0xfd803fff,0x3ffa0fff,0x2fffa83f,0x44fff700,
    0xdccccccc,0x7e45ffff,0x7fe43fff,0x447ae1ff,0x407ea6ff,0x3f20fffd,
    0x7ffe42ff,0x213ffea2,0x5ffffffd,0x3f221350,0xfff905ff,0x3ffe61ff,
    0xffffb89d,0xfbfff300,0x4ccc40bf,0x99999999,0xffffd099,0x7fffd45f,
    0xfffebabd,0x8a7fe41f,0xfb1effff,0x220bc89f,0xd88efffe,0x3ffe25ff,
    0x3a07304f,0x3ee1cfff,0x4c020fff,0x7ffec7ff,0x45fff902,0xaeffffff,
    0x7c6fffd9,0xffd8efff,0x4fff8bff,0x9ffffffb,0x01ffffb5,0x401fffb8,
    0x3a64fff8,0xfe9807ff,0x36dfb004,0xf98fffff,0x3fffe83f,0x009fff90,
    0x5c0dfff3,0xfff33fff,0x3fe2009f,0xdfff95ff,0x30fffe60,0x07ffc833,
    0x0dfffd10,0x64fffff2,0x3e21ffff,0xb1bff3ff,0xfff70dff,0x827ffcc7,
    0x3f60fffe,0x4e7d41ff,0x2a005fff,0xff703fff,0x3fee5fff,0x01fffa87,
    0xfff17ffb,0x3a000005,0x3a3fffff,0xfe885fff,0x07ffc6ff,0x7d49fff9,
    0xfff7007f,0xf53ffd45,0xa8001fff,0xff905fff,0x2ea6207f,0x7ffec7ff,
    0x45fff902,0x445fffff,0x7ffc7fff,0x4dfff51f,0xfffb4ffe,0xffff81df,
    0x0fffdc01,0x2a1bfea0,0x00000fff,0xcfd8ffcc,0x0ff74feb,0x3a0dfff7,
    0xf9801fff,0x3fee06ff,0x4fffe8bf,0x7fffcc00,0x100ffffc,0x7fd49fff,
    0x017ff60f,0x007fffec,0xffbffff9,0xfffb83ff,0xffeeffdf,0x3ffe21ff,
    0x8077ff46,0x3e25fff9,0xff1086ff,0x5d5440bf,0x3a00ffff,0xffb3ffff,
    0x07fff10b,0x7fdcdff5,0xf9000006,0x3ea1ffff,0xff300fff,0x23ffccff,
    0x3e62fffb,0xfff3007f,0x987ffc41,0x4003ffff,0xf302fffd,0xffeb8bff,
    0x7ec7ffff,0xfff902ff,0x837fffc5,0x3fe0fffe,0x8bffea5f,0xfffb5ffd,
    0x5fffb01f,0x01fffb80,0x7c42ffe4,0x400001ff,0x64bf66fb,0x883ff15f,
    0x7cc1ffff,0xff3006ff,0x7ffdc0df,0x005fffeb,0xffffff90,0x5fff807f,
    0xfd8ffff6,0xfffb804f,0xfffc802f,0x9101ffff,0xffffffff,0x1fffb07f,
    0x200fffe4,0x3ea2fffb,0xfff103ff,0x7fffd40b,0x7fc400ef,0x0bffb1ff,
    0xfd05fff1,0x27ffc45f,0x55555554,0x1aaaaaaa,0x5c5fffb1,0x7fc04fff,
    0x8dff51ff,0x7fc1fffa,0x7ff9800f,0xff11fff8,0x0037dfff,0x5557ffff,
    0x4dfff755,0xfcdefffc,0x17ffec7f,0x3e2fffc8,0x99700fff,0x51fffc19,
    0x7fec1fff,0x205fffb5,0xdd92fffc,0xdfffdddd,0x325ddddd,0xfff986ff,
    0xdddddd91,0xdddddddd,0xfd93f65d,0x3fa2ffcc,0x44fffd82,0x3003fffc,
    0x7dc0dfff,0x0effffff,0x3fffa000,0xffe805ff,0xe9bfffe6,0x7fcc03ff,
    0x3f2004ff,0x8801ffff,0x03fffffc,0xfc83fff6,0x7fe401ff,0x0bffee1f,
    0x502fffc4,0x9fffffff,0x90fffe80,0xffa81fff,0x42ffe41f,0x7ec1fffa,
    0xffffffff,0x54c3ffff,0x01fffe40,0x7d4bfffa,0x7fffd45f,0x41ffffff,
    0xfffffec8,0xffffffff,0x3ffffee1,0xf880beff,0xffffffff,0xf17fffff,
    0x3ffc45ff,0x640bfff6,0x3ffe2fff,0xfff8000f,0xd83ffea3,0x5fffb5ff,
    0x6cbfff20,0xffffffff,0x2fffffff,0xfb81fff5,0x3ffff67f,0xffffffff,
    0x47fd2fff,0x6c0ffffd,0x7fff983f,0x8007fffc,0x2e06fff9,0xffffffff,
    0x3fea0001,0xfd801fff,0xfffff57f,0x880bffe3,0x4006ffff,0x03fffffc,
    0x7ffffe44,0xff880bff,0x3bffa26f,0x49fff500,0x2205fff9,0x26205fff,
    0x1ffffb99,0x54bfff10,0xfb8adfff,0x7ffc47ff,0xd8bffd01,0xffffffff,
    0x003fffff,0xd807fffb,0xbff73fff,0xffffff98,0x3e61ffff,0xffffffff,
    0x1fffffff,0x7fffffdc,0x7fcc3fff,0xffffffff,0xff37ffff,0x23ffdc3f,
    0xf902fffd,0x7fffc5ff,0x3fff8000,0xfd83ffea,0x05fffb5f,0x7ecbfff2,
    0xffffffff,0x32ffffff,0xf715dfff,0x7ffecbff,0xffffffff,0x9f92ffff,
    0x22fe5fec,0xfffd02ff,0x017ffea5,0x206fff98,0xffebfffb,0xfd0000ef,
    0x700bffff,0xfffb1fff,0x3fff19ff,0x07ffff40,0xfffff900,0xffb307ff,
    0xffffffff,0xfffb819f,0x213ffe63,0x7f46fff8,0x3fe200ff,0x7fe4005f,
    0xfffe984f,0x7ffffec0,0x7ec2ffff,0x3ffe604f,0x3bbbbb22,0xeeeeeeee,
    0x7fffb002,0x72fffe80,0xfffa8bff,0x0aaaaaab,0x32b3fffa,0xaaaaafff,
    0xfeb880aa,0x23ffffff,0xcccffff9,0x3ccccccc,0xff9dfff1,0xfffd8fff,
    0x45fff902,0x8000ffff,0x3fea3fff,0x6d7ff60f,0xff902fff,0x33332a5f,
    0xccdfffec,0x3ff21ccc,0x0fffffff,0x3333332a,0xcccccccc,0x7ecdf71c,
    0xff11ff8a,0x53ffee01,0x2001fffd,0x2e06fff9,0xfff8bfff,0xffc8005f,
    0x403fffff,0xfffafffa,0xfff9fffc,0x3ffff900,0x7fffe400,0x543ffffd,
    0xcff9efff,0xe80ffffa,0x3ff21fff,0x0fffec2f,0x5307fff7,0x55dfff75,
    0xfd304cc3,0x3ffaa5ff,0xfd882fff,0x43ffffff,0x6c00fffa,0x00000fff,
    0x09fff700,0xf50ffff8,0x1fffa8df,0x21fffa80,0x40007ff9,0x7ffffeb8,
    0x8003fffc,0xedfffffc,0x17ffec7f,0xf17fffcc,0xf0001fff,0x7ffd47ff,
    0x7ed7ff60,0xfff902ff,0x1fffb805,0xffffd880,0x00001eff,0x3f65ff30,
    0x1bf2bf92,0xf8ffff88,0x7cc006ff,0x3fee06ff,0x9ffff53f,0x7fffd400,
    0x201ffffd,0xeffdfff9,0x7ffcfff8,0x07ffff50,0x8ffffe40,0x743ffffc,
    0x7457fe4f,0xdfff303f,0xb87fff44,0x3fe63fff,0xffffb05f,0x22bfffff,
    0xffffffff,0xffff70ef,0xedca8019,0x000000bc,0x2a000000,0x3e607fff,
    0x1bfea7ff,0x9005fff7,0xfff98dff,0xff900000,0x7fff41ff,0x9b950000,
    0xff9132a5,0xffff989f,0x03fffe2f,0xa8fffe00,0x3ff60fff,0x205fffb5,
    0x5c02fffc,0x2a001fff,0x0002cedc,0xa8ffc800,0xff59931c,0xdfffd805,
    0x4c003fff,0x3ee06fff,0x3fff23ff,0xfff8802f,0x1dfffd3f,0x3ffffe20,
    0xfffffd3f,0xbffff30d,0x7fffe400,0x17fffe41,0x237fc453,0x06ffe403,
    0x3a61bff3,0x07ff4c6f,0xffffffd8,0xfff15fff,0x41dfffff,0x0000acda,
    0x00000000,0x3fe60000,0xfffb03ff,0x907ffccb,0xf9009fff,0x3fffb8df,
    0xfff30000,0x2fffec1f,0xfb800000,0xffc9bfff,0x3fe2ffff,0xff8000ff,
    0x83ffea3f,0xfffb5ffd,0x0bfff205,0x003fff70,0xfea80000,0x5ffd000d,
    0x2013ff20,0xfffffffa,0x26666200,0x999ffffa,0x87fff709,0x401ffffe,
    0x3e66fffe,0x3fe05fff,0xff70ffff,0xfe88bfff,0xccccdfff,0x3fee0ccc,
    0x1dff901f,0x003ffcc0,0x501b80ec,0xcb80aa01,0xcccccccc,0x337bb723,
    0x0000000b,0x00000000,0xfffc8000,0xffea99cf,0x97ffc0ff,0x81fffff8,
    0x4c3fff20,0x440fffff,0x2202b6a1,0x7c46fffe,0xa881dfff,0x2aaaaa23,
    0x222aaaaa,0xffffffff,0x3e2fffef,0xf8000fff,0x3ffea3ff,0x7ed7ff60,
    0xfff902ff,0x1fffb805,0x55555440,0x402aaaaa,0x004ffff8,0xb9bfffd3,
    0x7400bfff,0x405fffff,0xfffffffc,0x75ffffff,0xff887fff,0xff900eff,
    0xfffb81ff,0xffffd02f,0x7ffffccd,0x7ffffdc4,0xffffffff,0x3200fdc1,
    0x3774c00e,0x00000000,0x00000000,0x00000000,0x00000000,0xffffff10,
    0x07ffffff,0xffd9fff9,0xd979ffff,0x6ffffd49,0xdfffffff,0x3fea4fec,
    0xfffeeeff,0xfffc83ff,0xffffefff,0xfffff50f,0x41ffffff,0xfffffffb,
    0x3e2fff9e,0xf8000fff,0x3ffea3ff,0x7ed7ff60,0xfff902ff,0x1fffb805,
    0x7ffffd40,0x00ffffff,0x01bfffe6,0xffffff70,0xffb8005f,0x7e402fff,
    0xffffffff,0xff75ffff,0xffff507f,0x7ffff50b,0x03ffffa0,0xd0fffff6,
    0xfb85ffff,0xffffffff,0x0081ffff,0x00000010,0x00000000,0x00000000,
    0x00000000,0x98000000,0xfffffffe,0xfff303ff,0xfff3dfff,0xfe89ffff,
    0xfc9fffff,0x24ffffff,0xfffffffa,0x3204ffff,0xffffffff,0xfff50fff,
    0xffffffff,0xfffffb81,0x7c5fff14,0xf8000fff,0x3ffea3ff,0x7ed7ff60,
    0xfff902ff,0x1fffb805,0x7ffffd40,0x00ffffff,0x0027fffc,0x001acb98,
    0x0fffff10,0xffffff90,0xbfffffff,0x640fffee,0x3e24ffff,0x3e605fff,
    0xffb86fff,0x7ffdc1ff,0x7fffdc1f,0xffffffff,0x0000001f,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffffc800,0x7cc01dff,0xff30efff,
    0xe987ffff,0x3f21efff,0x2a3effff,0xfffffffe,0xfd9801df,0x5fffffff,
    0x2aaaaaa2,0x2602aaaa,0x3ffe001a,0xfff8000f,0xd83ffea3,0x5fffb5ff,
    0x00bfff20,0x55551000,0x05555555,0x0009db30,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20002a62,0x335301a8,0x3100a980,0xa9980135,0x100009aa,
    0x00013555,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x22000000,
    0x2aa22aaa,0x9999912a,0x99999999,0xaaaaa839,0xaa980000,0xdd9502aa,
    0x64c00019,0x0066cc0c,0xddddddd3,0xa7ffc4dd,0xaaaaaaaa,0xaaaaaaaa,
    0x000001aa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x3ea7fff8,0xffff36ff,0xffffffff,0xfff985ff,0x2a0000ef,0xc80dffff,
    0x82ffffff,0xff885eeb,0x17ffe26f,0xffffff98,0x3ffe67ff,0xfffffff1,
    0xffffffff,0x00009fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x267fff88,0xfff36fff,0xffffffff,0xfb105fff,0x50001dff,
    0x2a07ffff,0xffffffff,0x542ffec3,0xff50ffff,0x7ffcc0ff,0x2e7fffff,
    0x3fffe6ff,0xffffffff,0x04ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fff8000,0x6457ffe6,0xcccccccc,0x202fffcc,
    0x000efffb,0x807fffea,0xffedfffd,0x9ffd13ff,0x4cdfff10,0x00006fff,
    0xeee8fff6,0xeeeeeeee,0x3eeeeeee,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfff80000,0x013ffe26,0x00bffe20,0x2009ddb3,
    0x400deed8,0x3fee4fff,0x2fffffff,0xda81bb30,0x3600000c,0x000000ee,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffd00000,
    0x027ffc4d,0x017ffc40,0x88000000,0x7fdc2fff,0x006fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7c5ffe80,0xf88003ff,0x000002ff,0x15551000,0xdfffff50,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffb00000,0x003fff89,0x002fff88,0x00000000,0x0015e544,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xd87dd900,0x330002ee,0x00000013,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__consolas_bold_34_latin_ext_x[560]={ 0,6,3,0,1,0,0,7,4,3,2,1,3,4,
6,1,0,1,2,2,0,2,1,1,1,1,6,3,1,2,3,4,0,0,2,1,1,3,3,0,1,2,2,2,
3,0,1,0,2,0,2,1,1,1,0,0,0,0,1,5,1,4,1,0,0,1,2,2,1,1,0,1,2,2,
1,2,2,0,2,1,2,1,2,2,0,2,0,0,0,0,2,2,7,3,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,6,1,1,0,0,
7,1,0,0,3,1,1,4,1,0,3,1,3,3,0,2,1,6,6,3,3,2,0,0,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
0,0,0,0,0,1,0,0,1,0,1,0,1,0,-1,0,0,1,0,0,0,0,0,0,3,1,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,2,0,2,1,1,0,0,2,2,2,0,0,3,
2,-5,-3,2,1,0,2,0,0,1,2,0,0,0,1,2,0,0,0,0,0,0,0,0,-1,0,2,2,-1,0,
0,0,0,0,1,2,0,0,1,0,0,-3,1,0,0,0,0,0,0,0,0,0,0,0,1,2,0,0,0,0,
0,0,0,0,0,0,0,4,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,-4,-1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,2,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__consolas_bold_34_latin_ext_y[560]={ 25,1,1,3,-1,1,1,1,0,0,1,7,18,14,
18,1,2,3,2,2,3,3,3,3,2,2,7,7,6,11,6,1,1,3,3,3,3,3,3,2,3,3,3,3,
3,3,3,2,3,2,3,2,3,3,3,3,3,3,3,0,1,0,3,28,1,7,1,7,1,7,1,7,1,0,
0,1,1,7,7,7,7,7,7,7,2,8,8,8,8,8,8,0,-3,0,12,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,25,7,0,2,3,3,
-3,1,1,2,2,9,14,14,1,2,1,4,1,1,1,8,1,12,25,1,2,9,1,1,1,7,-3,-3,-3,-4,
-4,-4,3,3,-3,-3,-3,-4,-3,-3,-3,-4,3,-4,-3,-3,-3,-4,-4,8,-1,-3,-3,-3,-4,-3,3,1,1,1,
1,1,1,-1,7,7,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,7,4,1,1,1,1,1,1,1,
-3,2,-3,1,3,7,-3,1,-3,1,-4,0,-3,1,-3,0,3,1,-3,2,-3,1,-4,0,3,7,-3,1,-3,1,
-3,1,-4,0,2,0,-3,-4,3,1,-4,1,-3,2,-3,1,3,0,-4,8,3,0,-3,1,3,1,8,-3,-4,3,
1,0,0,3,1,3,1,-3,1,3,7,-3,1,-2,3,7,-3,2,-3,1,-3,1,3,7,-3,1,3,7,-3,1,
-3,1,-3,1,2,7,-3,1,3,2,-3,0,3,2,-4,1,-3,2,-3,1,-4,-1,-3,1,3,8,-3,1,-3,1,
-4,-3,1,-4,0,-3,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-8,-6,-3,1,-3,-1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,2,7,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__consolas_bold_34_latin_ext_w[560]={ 0,6,12,18,17,19,20,5,11,12,15,17,10,11,
7,16,18,16,15,15,18,15,17,16,16,16,7,10,15,15,14,13,19,19,16,16,17,14,13,18,17,15,14,17,
14,18,17,19,16,19,16,16,17,17,19,19,19,19,16,9,17,10,17,19,12,16,16,14,16,16,18,17,15,15,
14,17,15,18,15,17,16,16,16,15,17,15,19,19,19,19,15,14,5,14,18,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,6,15,17,19,19,
5,17,16,19,13,16,16,11,17,14,13,16,12,12,18,16,17,7,6,12,13,15,19,19,19,13,19,19,19,19,
19,19,20,16,17,17,17,17,17,17,17,17,18,18,19,19,19,19,19,16,19,18,18,18,18,19,16,16,17,18,
17,17,17,17,19,14,17,18,17,17,17,18,17,17,17,17,18,18,18,18,18,17,17,17,18,17,17,19,16,19,
19,17,19,17,19,16,18,18,16,16,16,16,16,16,19,22,18,18,17,17,17,17,17,17,14,16,17,17,18,18,
18,18,18,18,18,18,18,17,19,17,17,17,17,17,17,17,15,16,17,15,17,17,16,16,17,17,17,17,17,14,
15,22,22,17,21,17,15,18,18,17,15,18,17,17,17,15,19,18,19,18,20,20,19,19,19,18,16,16,19,18,
17,18,17,17,16,15,17,17,17,17,18,22,17,17,18,17,18,17,18,17,18,17,20,20,17,16,19,19,19,19,
19,17,18,17,17,17,17,14,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,18,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,19,17,20,19,23,19,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,16,15,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17, };
static unsigned short stb__consolas_bold_34_latin_ext_h[560]={ 0,25,9,22,31,25,25,9,32,32,15,18,13,4,
8,28,24,22,23,24,22,23,23,22,24,23,19,24,20,10,20,25,31,22,22,23,22,22,22,24,22,22,23,22,
22,22,22,24,22,30,22,24,22,23,22,22,22,22,22,32,28,32,11,4,8,19,25,19,25,19,24,25,24,25,
32,24,24,18,18,19,25,25,18,19,24,18,17,17,17,24,17,32,35,32,8,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,25,30,23,22,22,
35,28,8,24,18,14,9,4,17,7,12,21,14,14,8,24,28,7,5,14,18,14,24,24,24,25,28,28,28,29,
29,29,22,27,28,28,28,29,28,28,28,29,22,29,29,29,29,30,30,16,30,29,29,29,30,28,22,25,25,25,
25,25,25,27,19,23,25,25,25,25,24,24,24,24,25,24,25,25,25,25,25,18,25,25,25,25,25,31,31,31,
28,24,28,25,29,25,29,25,29,25,30,26,29,25,28,26,22,25,28,24,28,25,29,26,29,25,28,25,29,31,
29,31,30,32,30,32,28,29,22,24,29,24,28,23,28,24,29,32,29,17,23,32,29,31,29,31,17,28,29,29,
31,25,25,22,24,22,24,28,24,29,25,28,24,27,29,25,29,24,29,25,29,25,23,19,28,24,29,25,28,24,
29,25,29,25,28,23,29,25,29,30,28,26,22,24,30,25,29,24,29,25,30,27,29,25,29,24,28,24,28,31,
29,28,24,29,25,28,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,33,32,28,25,32,30,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,30,25,29,30,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22, };
static unsigned short stb__consolas_bold_34_latin_ext_s[560]={ 506,499,1,139,337,425,223,506,57,130,369,
174,444,499,503,394,169,211,226,206,228,106,192,378,297,155,502,499,462,487,447,
38,297,158,88,89,36,21,74,389,105,123,140,178,196,264,360,426,247,479,395,
485,412,242,54,340,320,300,283,120,262,158,469,121,31,478,105,495,262,75,19,
69,73,393,69,400,353,139,158,1,52,447,122,59,55,106,242,316,296,333,336,
224,1,143,63,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,
481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,506,499,75,
122,1,461,7,169,82,465,92,385,14,499,224,99,455,430,499,431,44,280,59,
499,114,418,192,402,149,129,109,497,38,18,76,354,391,432,420,241,113,115,21,
1,169,151,58,203,384,240,259,279,299,1,91,352,130,147,166,128,189,205,403,
430,20,1,481,463,445,223,39,296,375,356,338,320,57,75,20,382,244,188,204,
185,166,147,128,206,110,92,73,55,37,423,355,317,1,437,39,412,334,377,354,
358,39,122,462,281,227,218,77,258,329,339,133,244,97,394,461,321,319,464,490,
481,221,258,406,239,111,205,150,186,299,425,441,346,443,455,187,260,151,262,112,
169,76,262,278,102,1,406,479,388,278,225,388,373,372,297,195,366,222,311,473,
280,418,185,274,450,364,187,94,330,56,314,19,290,489,253,172,19,411,1,374,
159,131,38,300,176,452,279,96,210,318,87,244,57,243,298,348,408,38,235,470,
1,208,1,443,205,411,309,336,38,318,369,338,277,280,358,446,262,19,376,489,
94,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,431,
481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,
481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,
481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,
481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,
481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,
481,481,481,13,84,469,139,33,169,481,481,481,481,481,481,481,481,481,481,481,
481,481,481,481,481,481,481,481,481,481,481,481,481,21,409,244,57,481,481,481,
481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,
481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,481,
481,481,481,481,481,481,481,481,481, };
static unsigned short stb__consolas_bold_34_latin_ext_t[560]={ 11,1,302,259,1,157,157,1,1,1,282,
282,282,27,282,98,209,259,234,209,259,234,234,259,209,234,209,157,259,282,259,
183,1,259,259,234,259,259,259,209,259,259,234,259,259,259,259,209,259,1,259,
209,259,234,259,259,259,259,259,1,98,1,282,302,302,259,183,259,157,282,234,
183,234,157,1,183,209,282,282,282,183,128,282,282,234,282,282,282,282,209,282,
1,1,1,302,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,
234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,11,128,37,
234,259,234,1,98,302,209,282,282,302,27,282,302,282,259,234,282,302,209,128,
249,302,282,282,282,209,209,209,68,98,98,98,37,37,37,234,128,98,128,128,
68,128,98,98,68,234,68,68,68,68,37,37,282,37,68,68,68,37,98,234,
128,183,183,157,157,157,128,282,234,157,157,157,157,209,209,209,183,157,209,157,
157,157,157,157,282,157,157,157,157,157,1,1,1,128,183,128,128,68,128,68,
128,68,183,1,128,37,183,128,128,234,128,128,209,128,128,68,128,68,128,98,
128,68,1,68,1,37,1,37,1,98,68,234,183,68,183,98,234,128,209,68,
1,68,282,234,1,98,1,68,1,282,98,68,68,1,157,183,234,209,234,183,
98,183,68,183,98,183,128,68,183,68,209,68,183,37,183,234,282,98,209,37,
183,98,209,37,183,37,157,98,234,37,183,37,37,98,128,234,209,37,183,37,
234,37,157,1,128,37,183,37,234,98,209,98,1,37,98,209,37,157,98,183,
209,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,98,
234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,
234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,
234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,
234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,
234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,
234,234,234,1,1,98,183,1,37,234,234,234,234,234,234,234,234,234,234,234,
234,234,234,234,234,234,234,234,234,234,234,234,234,37,157,37,37,234,234,234,
234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,
234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,
234,234,234,234,234,234,234,234,234, };
static unsigned short stb__consolas_bold_34_latin_ext_a[560]={ 299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_34_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_bold_34_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_34_latin_ext(stb_fontchar font[STB_FONT_consolas_bold_34_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_34_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_bold_34_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_34_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_34_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_34_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_34_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_34_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_34_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_34_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_34_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_34_latin_ext_s[i] + stb__consolas_bold_34_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_34_latin_ext_t[i] + stb__consolas_bold_34_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_34_latin_ext_x[i];
            font[i].y0 = stb__consolas_bold_34_latin_ext_y[i];
            font[i].x1 = stb__consolas_bold_34_latin_ext_x[i] + stb__consolas_bold_34_latin_ext_w[i];
            font[i].y1 = stb__consolas_bold_34_latin_ext_y[i] + stb__consolas_bold_34_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_bold_34_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_34_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_34_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_34_latin_ext_s[i] + stb__consolas_bold_34_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_34_latin_ext_t[i] + stb__consolas_bold_34_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_34_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_34_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_34_latin_ext_x[i] + stb__consolas_bold_34_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_34_latin_ext_y[i] + stb__consolas_bold_34_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_34_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_34_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_34_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_34_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_34_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_34_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_34_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_34_latin_ext_LINE_SPACING
#endif

