// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_35_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_35_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_35_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_bold_35_latin_ext_BITMAP_HEIGHT        330
#define STB_FONT_consolas_bold_35_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_bold_35_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_bold_35_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_bold_35_latin_ext_LINE_SPACING          23

static unsigned int stb__consolas_bold_35_latin_ext_pixels[]={
    0x3e69fff3,0x000004ff,0x40001100,0x401aaaa9,0xc9800001,0x0000cccc,
    0x01333310,0x015302a8,0x006f5c00,0x40003330,0x04cc4099,0x03753000,
    0x00133310,0x02662000,0xda807b70,0x2f6e000c,0x19980000,0x26666600,
    0x00001999,0x004ccccc,0x27fdb930,0x00009998,0x700776a0,0xffffffff,
    0x0b37be67,0x7ffffec0,0x51001fff,0x00359997,0x20166e4c,0x401aaaa8,
    0x00002aaa,0x269fff30,0x36004fff,0x220004ff,0xfb8000ee,0x7e403fff,
    0x3e600002,0x0001efff,0x3dffff30,0x3237fec0,0xc8000eff,0xb800ffff,
    0x88005fff,0x17ff46ff,0x7fffdc00,0x3fee05ff,0x9800005f,0xfb00ffff,
    0x3fea0bff,0xffc800ff,0x7dc0006f,0xfff005ff,0x03ffffff,0x3fff2000,
    0xff9000df,0x3ff27fff,0xf500003f,0x7dc01fff,0x3fffffff,0x1bfffff3,
    0xfffffd80,0x7dc01fff,0xffffffff,0x7ffd403f,0x3fea04ff,0x7ffc06ff,
    0x3dfb1005,0x34fff980,0x22009fff,0x10002fff,0x4001dffd,0x401efffc,
    0x0002fffc,0x04ffff98,0x3ffe6000,0x7ffcc04f,0x7ffff11f,0xfffff000,
    0xffffb805,0xfff8005f,0x01fffcad,0x3ffffa20,0xf705ffff,0x80000bff,
    0x0efffff9,0x07ffffc4,0x01ffffec,0x00fffffc,0xfffffb80,0xfffff805,
    0x0001ffff,0x03ffffc8,0x3fffff20,0x07fff93f,0x3fff6000,0x3ffee03f,
    0xf33fffff,0x80dfffff,0xfffffffd,0xfffd101f,0xffffffff,0xcaeff809,
    0xfff501ff,0x7ffc07ff,0xffff9005,0xa7ffcc01,0x5004fff9,0x10001fff,
    0x400dfffd,0x9003fffc,0x0005ffff,0x717fffcc,0xf3000dff,0xf1005fff,
    0x7ffc3fff,0xffe8002f,0x3fea02ff,0x005fffbf,0x7fffffdc,0x3fe2004f,
    0xffecceff,0x5fffb86f,0x3fe20000,0x20effdcf,0xb07ffff8,0xd005ffff,
    0x0003ffff,0xfff7fff5,0xfffff80b,0x0001ffff,0x00f7ffe4,0x5bffff30,
    0x0ffff213,0x7ffec000,0x2aaa603f,0x263fffca,0x03ffffca,0x2aabfff6,
    0xfffa80aa,0xffffffff,0x3fe204ff,0x7d40bfe1,0x3e07ffff,0xffd005ff,
    0x7fcc03ff,0x09fff34f,0x001fff60,0x0077ffec,0x90001310,0x0003ffff,
    0xfd026662,0x9990007f,0x7fe40019,0x002ffdc5,0x206fffb8,0xff12fffa,
    0xffb8009f,0x2000cfff,0xfb83fffd,0x7ffdc2ff,0xfd100005,0x077fec9f,
    0x2607fff9,0xf5006fff,0xf5000bff,0x3ffe25ff,0x7fffc004,0x3ff20001,
    0x7e4000df,0xfff904ff,0x3e600007,0x54000fff,0xff503fff,0x3ffec0df,
    0xdffffd00,0xfb531137,0x99ffc409,0xfff501ff,0x3fe07fff,0xfff9005f,
    0x7ffcc01f,0x009fff34,0x000bfff1,0x001dfff7,0x0bbfffa6,0x0dfffb00,
    0xfff10000,0x15750003,0x22011000,0x1e4c0001,0x5106aaa0,0xa8800155,
    0x7dc001ac,0x3ff602ff,0x02fffdc5,0x82aa9800,0x0dd41aaa,0x3000ee60,
    0x2aa00055,0x0555441a,0x03ffff00,0x0aaaa200,0x07ffec00,0x003fffc8,
    0x002ee600,0x80fffea0,0x3f607ffe,0xfff7007f,0x900200bf,0x40dfffff,
    0x7ffffffa,0x200bfff0,0x4c01efd8,0xfff34fff,0x30000009,0x2003ffff,
    0xffedeff8,0x7fff4001,0x2e620004,0x006ffdcc,0x17ffff4c,0x00000000,
    0x00000000,0x3fe20000,0x7ffcc04f,0x017ffee0,0x00000000,0x00000000,
    0xff800000,0x000001ff,0x03fff400,0x0007fff9,0x7d400000,0x3ff603ff,
    0x0fffb00f,0x0bffff10,0xfffc8000,0x3ffea00d,0xff83ffff,0x3000005f,
    0x3fe69fff,0x8000004f,0x2004fffe,0x7ff10ffb,0xffffa800,0xfffb8001,
    0x005fffff,0x7fff7ff4,0x05555301,0x44aaaa60,0xaaaaaaaa,0xa9802aaa,
    0xaaaabccc,0xcca9802a,0x2aaaaabc,0x800fffb8,0x3fee3fff,0x5555105f,
    0x55555105,0x85555555,0x5101aaa9,0x95300555,0x55555799,0x015554c5,
    0x402aaa98,0x2601ffff,0x53002aaa,0x7ffc0555,0x8ffff206,0x500abcb9,
    0x55555555,0xfffa8001,0x03fff203,0x5c03ffec,0x0001ffff,0x40835553,
    0xff51aaa8,0xf0ffff9f,0x2a200bff,0x981acccb,0xfff34fff,0xccca9809,
    0x82aaaaab,0x4006fffa,0x7ff31ffa,0xbfffb000,0x7ffec400,0x3fffffff,
    0x225ff300,0xfff303ff,0xfffd005f,0x3ffffea9,0x0fffffff,0xfffffb10,
    0x1fffffff,0x3ffff620,0xffffffff,0x221fffc0,0x93ff2221,0xe885fffb,
    0xfa81ffff,0xffffffff,0x3ff20fff,0xdfff303f,0x7fffec40,0xffffffff,
    0x05ffff30,0x809fffd0,0x2601ffff,0xe802ffff,0x3fe04fff,0x3fff206f,
    0xfffffe8b,0xfffff80e,0x4001ffff,0x3203fffa,0xffb00fff,0xbfff900f,
    0x7ffdc000,0xafffdc05,0xffdbfffa,0x02fffc3f,0x3fffffee,0x3e63ffff,
    0x9fff34ff,0x3ffff620,0xffffffff,0x017ffec0,0x3fbffa20,0xf88000ef,
    0xfd000fff,0xffffffff,0xf5007fff,0xd027f41f,0xf980bfff,0xfff50fff,
    0xffffffff,0xffff101f,0xffffffff,0xfff101ff,0xffffffff,0x7fd41fff,
    0xdfffd30f,0x5cbff79f,0xffd85fff,0xfff502ff,0xffffffff,0x1fffe41f,
    0x106fff98,0xffffffff,0x41ffffff,0x4c05fffe,0x7c00ffff,0x7f401fff,
    0x7fcc05ff,0x3ffe00ff,0x33fff206,0xfffffffe,0x7ffffc1f,0x4001ffff,
    0x3203fffa,0xffb00fff,0x9fffd00f,0x7ffdc000,0xafffdc05,0xff9bfffa,
    0x17ffe0ff,0x7fffff44,0x24ffffff,0xff34fff9,0xffff109f,0xffffffff,
    0x7ffc41ff,0xff910007,0x6c00019f,0xfb803fff,0xffb1cfff,0x9801ffff,
    0x3ffa8cff,0x03fffee0,0x2a5fffc8,0xeeeeeeee,0xfe80ffff,0xffc9adff,
    0xe80ccdff,0xfc9adfff,0x20ccdfff,0xfff35ffc,0xff57ffff,0x22fffdcd,
    0x203ffffc,0xeeeeeeea,0x320ffffe,0xff303fff,0x3fffa0df,0xffffc9ad,
    0x3fee0ccd,0x3ff200ff,0xffff805f,0x7fffdc01,0x17fff200,0x640dfff0,
    0xefffffff,0x6c5fffff,0xffffeeee,0x7ffd4001,0x07ffee03,0x7c03ffec,
    0x7fcc3fff,0x2e4fffff,0x7dc05fff,0x7fff55ff,0xff8ffff6,0xffffa85f,
    0xffffffff,0x53ffe64f,0xfe84fff9,0xffc9adff,0x2e0ccdff,0x10004fff,
    0x00355555,0x037ffd40,0xf11ffffc,0x09ffffff,0xdfffffb0,0x7fffc401,
    0x0bfffe03,0x0ffff880,0x4c37ffcc,0x3e606fff,0xfff986ff,0x3a7ffd06,
    0xbfffffff,0x3fee7ffa,0x3fffea5f,0x7fc40004,0x3fff20ff,0x0dfff303,
    0xf30dfff3,0x3fe20dff,0x3ffe03ff,0xffff802f,0x7fffc401,0x0bfffe03,
    0x205fff88,0x1dfffffc,0x003ffff6,0x8003ffff,0x2e03fffa,0xffb04fff,
    0xffff880f,0x7ffffcc2,0x3ffee4ff,0xafffdc05,0xff33fffa,0x17ffe1ff,
    0x2fbffffa,0x4fda9889,0x7cd3ffe6,0x7ffcc4ff,0x06fff986,0x0005fffb,
    0x1bfffff2,0xffff8800,0x1bffee00,0xfff9fff5,0xfff9100d,0xfff9001b,
    0x1fffea0d,0x1ffff100,0xd02fffa8,0x3ea01fff,0xfffd02ff,0xa9fff881,
    0xfff8bfff,0x3ee7ff9a,0xffff35ff,0xff100009,0x7ffe41ff,0x0dfff303,
    0x3a05fff5,0xff900fff,0x3ffea0df,0x3ffff007,0x0dfff900,0x901fffea,
    0x7e407fff,0xfff06fff,0xffff807f,0x7ffd4001,0x3bffe603,0x407ffd80,
    0x4c2ffff8,0x4fffffff,0x7017ffee,0x3feabfff,0x4ffff63f,0x7fdc5fff,
    0x4c1005ff,0xfff34fff,0x02fffa89,0xfd01fffd,0x3a0001ff,0x00ffffff,
    0x07fff600,0x6c3fffd8,0xffff9cff,0x80026000,0xd80ffff9,0x44004fff,
    0x7dc0ffff,0xfff902ff,0x0bffee03,0x2a0fffe4,0x6ffc8fff,0xff33fff3,
    0x46fffdcf,0x0005ffff,0x41ffff10,0xf303fffc,0xfff70dff,0x07fff205,
    0x407fffcc,0xf004fffd,0xf3003fff,0xffb01fff,0xfdba889f,0x3f200fff,
    0xffb00eff,0xffff80bf,0x7ffd4001,0x7fffec03,0x0fffb1bd,0x887ffff0,
    0x4fffdccc,0x7017ffee,0x3feabfff,0x3fffe63f,0x3e25fff8,0x30005fff,
    0x4ccc9fff,0x817ffdc0,0xff81fffc,0xff10007f,0x005fffff,0x017ffe40,
    0xff83fffd,0x05ffff2f,0x5e6e654c,0xfffe800a,0x0ffffc43,0x3fffe200,
    0x827ffd40,0x3ea07ffe,0xfffd04ff,0x3fadff70,0x31fff54f,0x7ffdcfff,
    0x006fffed,0x3fffe200,0x40ffff20,0xfa86fff9,0xfffd04ff,0x43fffe80,
    0x001ffff8,0x2003ffff,0x7c43fffe,0x7fd41fff,0x6401efff,0x3ee03fff,
    0x7ffc06ff,0x7fd4001f,0xffea803f,0x0fffb4ff,0x807fffd0,0x3ee4fffb,
    0x7fdc05ff,0x87fff55f,0xfffcfffd,0x07fffee5,0x27ffcc00,0x04fffa80,
    0xff10fffd,0x3ee000df,0x04ffffff,0x0ffff200,0x2a0ffff8,0x3fffa7ff,
    0xfffffc83,0x404fffff,0x7d46fffb,0xf88006ff,0x7fc40fff,0x7ffdc1ff,
    0x3fffe206,0x437ffdc1,0x7fff5ffc,0x7fd5ffea,0x3ffffee6,0x00000fff,
    0xc83fffe2,0xff303fff,0xffff10df,0x06fffb83,0x2a37ffdc,0x3e006fff,
    0xf7001fff,0xfffa8dff,0xdffffa86,0x3fffc800,0x01fffee0,0x8003ffff,
    0xa803fffa,0xfb4ffffd,0xfffb00ff,0x4fffb80b,0x7017ffee,0x3feabfff,
    0x7fffcc3f,0x3ff25fff,0x3e60005f,0xff1004ff,0xfffb83ff,0x05fff986,
    0xf9fffb00,0x5c000fff,0xff104fff,0x25ffc8ff,0xfd83fffe,0xffffffff,
    0x3fe204ff,0x3fff61ff,0xfff88003,0xffffc80f,0x1ffffece,0x77fffe40,
    0x81ffffec,0xfff8cffc,0x3eafff72,0x3bffee6f,0x0005ffff,0x83fffe20,
    0xf303fffc,0x3ff20dff,0xfffeceff,0x7ffc401f,0x0ffff61f,0x01ffff80,
    0x43ffff10,0xea83fffd,0x404fffff,0x2a03fffc,0x7fc06fff,0x7d4001ff,
    0x7fdc03ff,0xffb3efff,0xffff900f,0x27ffdc01,0xb80bfff7,0xfff55fff,
    0xfffffb07,0x27fff4bf,0x9fff3000,0x7fffe400,0x1ffffece,0x006fff98,
    0xff1ffff0,0x2e0003ff,0xff304fff,0x22fff8ff,0xfd84fffd,0xffcabcdf,
    0x3f601fff,0xffff14ff,0xfff10001,0xffff501f,0x07ffffff,0xffffff50,
    0x3607ffff,0x2fff8cff,0x3feedff9,0x2b7ffee5,0x0003ffff,0x41ffff10,
    0xf303fffc,0x3fea0dff,0xffffffff,0x9fffb003,0x003fffe2,0x001ffff8,
    0x7c53fff6,0x2e200fff,0x3202fffe,0x3ee03fff,0x7ffc05ff,0x7fd4001f,
    0x3ffe203f,0x07ffd81f,0x04ffff98,0xfb93ffee,0x7fdc05ff,0x07fff55f,
    0xbffffff3,0x261ffffc,0x4fffffff,0x8013ffe6,0xfffffffa,0xff103fff,
    0xff5000ff,0x13fff6bf,0x1fffdc00,0x267fffa8,0x3ff60fff,0x2201b83f,
    0x2604fffe,0xfff77fff,0x3fe20009,0x7ffc40ff,0x0cfffffe,0xfefff880,
    0x200cffff,0xfff8bffd,0x3f2bff91,0x57ffee4f,0x002ffffc,0x0ffff880,
    0x4c0ffff2,0xff886fff,0xcfffffef,0x3ffe6000,0x009fff77,0x001ffff8,
    0x7ddfffe6,0xff7004ff,0x7ffe409f,0x13fff603,0x003ffff0,0x203fffa8,
    0xfb03fffa,0x3ff200ff,0xfff705ff,0x02fffdc9,0x7d57ffee,0xfffb03ff,
    0x3ffe2bff,0x7fffcc2f,0x3fe64fff,0xfff1004f,0x19fffffd,0x007fff80,
    0xf72fffc8,0x32000dff,0xff302fff,0x22ffe4ff,0x0002fffe,0xe80bfff7,
    0xfffeafff,0xfff10001,0x27ffc81f,0xffc80018,0xfd800627,0xd2fff8bf,
    0x8bffabff,0x3fa5fffb,0x40000fff,0x320ffff8,0xff303fff,0x4fff90df,
    0x7f400018,0x1fffeaff,0x0ffffc00,0x2bfffa00,0x1001fffe,0x7e40bfff,
    0xfff103ff,0xffff805f,0x7ffd4001,0x07ffee03,0x8803ffec,0xbdefffff,
    0x24fffeba,0x5c05fffb,0xfff55fff,0x3fffe607,0x5ffff15f,0xffffff98,
    0x53ffe64f,0x7e42ccc8,0xf000627f,0xe8003fff,0xfff30fff,0xffb0001f,
    0x3ffe203f,0xe87ffd0f,0x50001fff,0xfb80dfff,0x06fffeff,0x3fffe200,
    0x003fff40,0x003fff40,0x3fe9ffb0,0x9dfffbbf,0x7ffdc7ff,0x3bfffe65,
    0x3fe20000,0x3fff20ff,0x0dfff303,0x0000fffd,0xffefffb8,0xfff8006f,
    0x7fdc001f,0x006fffef,0xf9037ffc,0x3ff607ff,0x7ffc00ff,0x7fd4001f,
    0x3fff203f,0x00fffb00,0x7fffffdc,0x4fffffff,0x7017ffee,0x3feabfff,
    0x3fff603f,0x0ffffe5f,0xfffb9991,0x9a7ffcc9,0x7ff44fff,0x7fec0007,
    0x3fe6003f,0x1ffffc6f,0x3fffe200,0x3ffff100,0x7c41fff3,0x54400fff,
    0xfffdccca,0x7fffc406,0x20003fff,0x6c0ffff8,0x9aabefff,0xfffb0019,
    0x0333557d,0xffd5ffc8,0xffffffff,0x5fffb8bf,0x02ffffdc,0x1ffff100,
    0x981fffe4,0xffd86fff,0x199aabef,0xffff8800,0x26203fff,0xffff9999,
    0x4401999a,0x3fffffff,0x037ffc00,0x4c1bfff9,0x223ffffd,0xfff99999,
    0x401999af,0x3203fffa,0xffb00fff,0xffe9800f,0xffffffff,0x17ffee4f,
    0x2abfff70,0x3e603fff,0x3ffa5fff,0x7ffdc03f,0x4d3ffe64,0x7fec4fff,
    0x199aabef,0x06fffb80,0x913ffee0,0xa800bfff,0x7f405fff,0x46ffbcff,
    0x2607fffa,0xfffffffd,0xfd806fff,0x000fffff,0x03fffe20,0xfffffff7,
    0x405dffff,0xfffffffb,0xb82effff,0xffff76ff,0x1dffffbd,0xd85fffb8,
    0x0003ffff,0x641ffff1,0xff303fff,0xffff70df,0xdfffffff,0x7ffec005,
    0x3ee00fff,0xffffffff,0x401fffff,0x0ffffffd,0x037ffc00,0xfffffff9,
    0xb8bfffff,0xffffffff,0x01ffffff,0xc80fffea,0xffb00fff,0x3fb2000f,
    0xadffffff,0x017ffee0,0x3ea9fff7,0x7fec03ff,0x17fff65f,0x4c9fff70,
    0xfff34fff,0xfffffb89,0x2effffff,0x03ffff10,0x507fff60,0xd800ffff,
    0x7e402fff,0x43ffefff,0xf704fffd,0xffffffff,0xf500dfff,0x0009ffff,
    0x80ffff88,0xfffffffc,0x205fffff,0xfffffffc,0x545fffff,0x3bff27ff,
    0x80dffe88,0xe885fffb,0x8002ffff,0x320ffff8,0xff303fff,0x3fff20df,
    0xffffffff,0xfff5005f,0xffb809ff,0xffffffff,0x5401ffff,0x004fffff,
    0x3206fff8,0xffffffff,0x7dc0cfff,0xffffffff,0x201fffff,0x3203fffa,
    0xffb00fff,0x5510000f,0x7ffd4033,0x1fffe406,0x5fffb800,0x803ffff2,
    0x3e64fffb,0x9fff34ff,0xffffff90,0x0bffffff,0x2013fff6,0xf887fff8,
    0xf1002fff,0xff300dff,0x5c3fffff,0xfa80ffff,0xaaabefff,0xd006fffc,
    0x0001ffff,0x987fff88,0xeeeefffe,0x83ffffff,0xeeefffe9,0x3ffffffe,
    0x0887ffe6,0x7ffdc008,0xfffff305,0xfff88003,0x81fffe47,0xe986fff9,
    0xfeeeefff,0x003fffff,0x801ffffd,0xfffffffb,0x1fffffff,0x0ffffe80,
    0x06fff800,0x3ffffff2,0xf701dfff,0xffffffff,0x403fffff,0x3203fffa,
    0xffb00fff,0x8000000f,0x6c07fff9,0x90002fff,0x7fcc7fff,0x3fee04ff,
    0x53ffe64f,0x74c4fff9,0xfeeeefff,0xa83fffff,0x5401ffff,0xffd05fff,
    0x3ff6009f,0xfff9003f,0xffb73fff,0x3ff607ff,0xdfff505f,0x17fffe00,
    0x3ffea000,0x17fff447,0x46fffe98,0x302fffe8,0xff8dfffd,0x0000004f,
    0xffa80000,0xff50007f,0xfffe88bf,0xdfffd302,0x17fffe00,0x20000000,
    0x0005ffff,0x7e40fffd,0x00999bff,0x2ffec000,0x80fffea0,0xfb00fffd,
    0x7d4000ff,0xff8803ff,0xfff303ff,0xff10001f,0xfffc85ff,0x9fff705f,
    0xf9a7ffcc,0x3ffa24ff,0xfffd302f,0x1bfff60d,0xddffff90,0xdffffddd,
    0x1dfff500,0x3fffa200,0xffffffff,0x5ffff00e,0x01bffea0,0x007fffee,
    0x17fff600,0xa80bfff7,0x7fdc7fff,0x7ffd405f,0x007ffe47,0x00000000,
    0x017fff60,0x227ffe40,0x5405fffb,0xfb807fff,0x00001fff,0x7ffdc000,
    0xffb0001f,0x3fff201f,0x32000003,0x7d400eff,0x3ffa03ff,0x01fff607,
    0x00fffb80,0x39ffffb0,0x9ffff731,0xfffda800,0x7ffc40ff,0xebabdeff,
    0x3fe64fff,0x49fff34f,0x5405fffb,0xff107fff,0x7ffc07ff,0xffffffff,
    0x2201ffff,0x4001ffff,0xffffffe8,0x7fc04fff,0xfffa83ff,0x7ffd406f,
    0x4403004f,0x7e44ffff,0x7fdc05ff,0x2fffe45f,0x317ffee0,0x0300dfff,
    0x03fffa80,0xfff88060,0xffd0004f,0x5fffc87f,0x02fffdc0,0x013fffea,
    0x01fff900,0x4ffffa80,0x3ffee000,0x07fff905,0x3fe20000,0xfffa803f,
    0x0dfff703,0x0003ffec,0x4400dffb,0xffffffff,0x000effff,0x3fffffe6,
    0xfffff702,0xffffffff,0x9a7ffcc9,0x3ff24fff,0x7ffdc05f,0x3fffea05,
    0xfffff982,0xffffffff,0xffd103ff,0x3ee0009f,0x2effffff,0x1efffe80,
    0xdfffff71,0xfffdaaa8,0x2fbe006f,0xfffeb99a,0x7fffdc0f,0x7ffff503,
    0x03ffffb8,0xd07ffff5,0xb883bfff,0x7fdc006e,0x2fbe000f,0xfffeb99a,
    0x4cdd400f,0x41ffffea,0x503ffffb,0xaa87ffff,0x06ffffda,0x06ffe800,
    0xfffdaaa8,0x7c40006f,0x91acefff,0x00007fff,0x30fffea0,0xfff95555,
    0x3ff6ea27,0x3ff602ff,0x00aaaaaf,0x4004ffe8,0xfffffffa,0x4001efff,
    0x03fffff9,0x7fffff4c,0x24ffffff,0xff34fff9,0x7fffdc9f,0x7ffff503,
    0x2ffffc80,0x666fffdc,0xffeccccc,0xdfffd05f,0x67fec000,0x7e4001aa,
    0xffffffff,0x7fc6ffff,0x00ffffff,0x3fffffe0,0x882fffff,0xeeffffff,
    0x84fffffe,0xeffffff8,0x4fffffee,0xfffffd10,0x00dffffd,0x4006ffd8,
    0xffffffff,0xfb802fff,0x4fffffff,0xffffff88,0xfffffeee,0xffffff84,
    0xf80000ff,0xfff804ff,0x000fffff,0xfffffb80,0x07fff93f,0x3fea0000,
    0xfff75eff,0x267fffff,0x06ffffff,0x7fffffec,0x7fc401ff,0xfc88001f,
    0x03ffffff,0x19dff300,0x7fff6400,0x20adffff,0xff34fff9,0x7fffc49f,
    0xfffeeeff,0xffb004ff,0x7fff43ff,0x7fffdc01,0x077ffec0,0x1fff8800,
    0x3ffe2000,0xeaffffff,0x7fffc6ff,0x7c000dff,0xffffffff,0x3ffe603f,
    0xffffffff,0x3ffe604f,0xffffffff,0x7ff4404f,0x5fffffff,0x027ff400,
    0x3fffffe0,0x7003ffff,0xbfffffff,0x3fffe601,0xffffffff,0xffffff04,
    0xf300001b,0xfff003ff,0x0001bfff,0x7ffffdc0,0x007fff93,0x3ffa2000,
    0xffff77ff,0x3e67ffff,0x400cffff,0xfffffffd,0x0000001f,0x0004d4c4,
    0x88000040,0x3e6019aa,0x9fff34ff,0xffffff98,0x04ffffff,0xf127fec0,
    0xff100fff,0xeffa85ff,0x3fea0000,0xfd880007,0xfb0dffff,0xdefff8df,
    0xffb70002,0x0019dfff,0xfffffb51,0x510017df,0xdffffffb,0x765c0017,
    0x001cefff,0x000fffc4,0x3fffff6e,0x3ea000ce,0x802effff,0xfffffda8,
    0x3fe00bef,0x00002def,0x7c01ffea,0x0002deff,0x5db95100,0x000bbbae,
    0xefec8800,0xdddddd54,0x337a65dd,0xddd9001b,0x001ddddd,0x00000000,
    0x00000000,0x4d3ffe60,0xda884fff,0xbeffffff,0xa89b0000,0xfd004fff,
    0x01d509ff,0x03cca800,0x26a62000,0x00262000,0x00022000,0x00000c40,
    0x44000031,0x00000000,0x40000440,0x88000098,0x004c4001,0x10000000,
    0x00000013,0x00000000,0x00000000,0x00000000,0x00000000,0x4c000000,
    0xfff34fff,0x00062009,0x5fffb000,0x1ffff200,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x98000000,
    0xfff34fff,0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x51000000,0x13599997,0xaaaaaaa8,0x55510019,0x2aaa8055,0x40000000,
    0x74001cca,0x0000005e,0x26016e60,0xaaaaaaaa,0x2aaaaaaa,0x80035553,
    0x2a01aaaa,0x32e02aaa,0x0666543c,0x2cccc880,0x4c799993,0x54401aaa,
    0xd88001aa,0x4002eeee,0x01aaaa98,0x0d665cc0,0x332e0000,0x000002cc,
    0x02ccc980,0x2a1e65c0,0x64c00ccc,0x0166542c,0x33333300,0x59b93001,
    0x26200000,0xb7100aaa,0x002885bf,0x99666644,0x4403cccc,0xfffffffc,
    0x7ffec5ff,0x2effffff,0x3ffffea0,0x017ffe00,0x0037fdc0,0x4003ffb0,
    0x10006ff8,0x4c003dfb,0xfc807fff,0xffffffff,0x96ffffff,0xd8009fff,
    0xff503fff,0x7f4409ff,0x2fffc8ef,0x7fffd100,0x713fffe6,0xfb80bfff,
    0x744005ff,0x2001efff,0xffffffea,0x7fdc01ff,0x01ffffff,0xffffd800,
    0x3bf62003,0xfff30001,0x744007ff,0xfffc8eff,0xafff8802,0x002ffea8,
    0xfffffd95,0xfa80dfff,0x0004ffff,0x3ffffa60,0xffffb05f,0x07fd55df,
    0x4ffffa20,0x404ffff9,0xfffffffa,0x7ec5ffff,0xffffffff,0xffa80eff,
    0x3fe04fff,0xffd0005f,0x7ff40007,0x17fea000,0x7fffe400,0xffff5000,
    0xfffff900,0xffffffff,0x3fff2dff,0x7ffec004,0x6ffff883,0xffffe880,
    0xfd1002ff,0x3ffe65ff,0x5fffb82f,0x02fffdc0,0x1bfffd10,0x7fffe400,
    0x01ffffff,0xffffffb1,0x0007ffff,0x00f7ffec,0x01ffff60,0x3fbffe60,
    0x3a2004ff,0x01ffffff,0x3fffff60,0xfea806ff,0xffffffff,0x77fc06ff,
    0x0001ffca,0xffffffb8,0xffffc85f,0x4fffffff,0x2fffe880,0x805ffff3,
    0xfffffff8,0x6c5fffff,0xffffffff,0xfa86ffff,0xf00fffff,0xf1000bff,
    0x7c0003ff,0x3f22007f,0xffd0004f,0x3ea003ff,0xffc807ff,0xffffffff,
    0xf96fffff,0xfd8009ff,0xfffd83ff,0xffd1001f,0x3a2003ff,0xfff50eff,
    0x3ffee01b,0x2fffdc05,0x3fffe880,0x7fffdc00,0x1ffeedef,0xffffffd0,
    0x07ffffff,0x1bfff900,0xffffd000,0x7ffd4003,0x009fff53,0x0fffff44,
    0x3fff6200,0x7e401eff,0xffffffff,0x2206ffff,0x00bfe1ff,0xfffff100,
    0xdd10bfff,0xfffff711,0xdffd100d,0x037ffea1,0x33ffff20,0x7ec4b980,
    0xfdb99bff,0x7d42ffff,0xf03fffff,0xb9880bff,0x006ffdcc,0x501bfe20,
    0xfffffffb,0x7fe4009d,0xff5000ff,0x333100ff,0x3dfff933,0x3f213333,
    0x7ec004ff,0x7ffd43ff,0x9998003f,0x06662000,0xfb803331,0x7fdc05ff,
    0x0000005f,0x4417fffa,0xffffa80a,0xfffb98ad,0x9998007f,0x3ff60001,
    0x4ccc007f,0x000ccc40,0x00026662,0x802bcba8,0xfffffffa,0x0dfff33f,
    0xff99ffc4,0x7fec0001,0x44020bef,0x00e65c40,0x4c419988,0x3ffa0019,
    0xffd8004f,0xffffa82f,0x7ffffd44,0x0bfff07f,0x7fffffdc,0x260005ff,
    0xffd305ff,0xffffffff,0x77ec400f,0x32aaaa01,0xaaaaffff,0x7fdc01aa,
    0x7ffe405f,0x7ffec004,0x17fffe23,0x00000000,0x2fffdc00,0x017ffee0,
    0x405fff00,0x002ffff8,0x505fffe8,0x0007ffff,0x3f620000,0x0000001e,
    0x00000000,0xfffff880,0xff33ffff,0xfffc80df,0xf80006ff,0x00003fff,
    0x00000000,0x000ffffe,0x740bfff6,0x7fd45fff,0xf82fffff,0xffd885ff,
    0xffffffff,0x3f72a003,0x3e22dfff,0xffffffff,0x00007fff,0xfffffff0,
    0xffffffff,0x5fffb80b,0x027ffe40,0xc8ffff60,0x0000ffff,0x03799953,
    0x88035553,0xffb81aaa,0x7ffdc05f,0x3fea0005,0x3ffe200f,0x7fdc005f,
    0x7ffec07f,0x99751006,0x00013599,0x97510000,0x00135999,0x33332ea2,
    0xaaa9809a,0x8d554401,0xfffffffa,0xdfff33ff,0x1bfff900,0xfff88000,
    0x5554c00f,0x0d554401,0x2b32e620,0xffff8001,0x7fec000e,0xbfff902f,
    0xffdfffa8,0x85fff86f,0xfffffffe,0x403fffff,0xffffffea,0x3fffa5ff,
    0xbafffbdf,0x654c006d,0x7ffc1bcc,0xffffffff,0x5c05ffff,0x7e405fff,
    0x7ec004ff,0xffff53ff,0xffe98005,0x0fffffff,0x7017ffee,0xff70bfff,
    0xfffb80bf,0x3ff20005,0xffffe805,0xfffb000d,0xffffa809,0x3fff2200,
    0x05ffffff,0x55555555,0x15555555,0x3ffff220,0x405fffff,0xffffffc8,
    0xffb85fff,0x7ffdc05f,0xffffff75,0x3fe67fff,0x5d54406f,0x540001aa,
    0xfb806fff,0x7fdc05ff,0x3ffee05f,0x001fffff,0x0bbffff6,0x02fffd80,
    0xfa89fffd,0x2fffebff,0x3ee2fffc,0xffb1cfff,0x3201ffff,0xffffffff,
    0xffff15ff,0x0017fe67,0x3fffffa6,0xddb0ffff,0xddffffdd,0xb809dddd,
    0x7e405fff,0x7ec004ff,0xfffe8bff,0x7ffdc005,0xffffffff,0x017ffee0,
    0xf70bfff7,0xffb80bff,0xb751005f,0x9005fffb,0x09ffffff,0x805fffd0,
    0x501ffff8,0xffffffff,0x3fa0bfff,0xffffffff,0xa82fffff,0xffffffff,
    0x3ea05fff,0xffffffff,0xfffb85ff,0xafffdc05,0xfffffffd,0xdfff33ff,
    0xfffffc80,0x7fdc0006,0xfffb804f,0x2fffdc05,0x7ffffec4,0x003fffff,
    0xfffffff7,0xfffd8017,0x1ffffc82,0x7d5fffd4,0x2fffc5ff,0xf88ffffe,
    0x84ffffff,0xfdfffffa,0xff55feff,0x13fea1ff,0xfffff700,0x01ffffff,
    0x001fffea,0x405fffb8,0x4004fffc,0xffcbfffd,0x3f6000ef,0xffffffff,
    0x3fee0fff,0x7ffdc05f,0x05fffb85,0x402fffdc,0xfffffffc,0x7ffec02f,
    0x02ffffff,0x2007fffe,0xf882ffff,0xffffffff,0xffd05fff,0xffffffff,
    0xf885ffff,0xffffffff,0xff105fff,0xffffffff,0xfff70bff,0x5fffb80b,
    0xfffffff9,0x3ffe67ff,0x7ffff406,0x320000ff,0xfb804fff,0x7fdc05ff,
    0xffffe85f,0xffffffff,0xffffb003,0x203bffff,0xdccdfffd,0xa83fffff,
    0xffff3fff,0xf72fffc3,0xfffa8dff,0x7c46fffc,0xffd0efff,0x3ffe6511,
    0x007ff72f,0x7fffffec,0x00ffffff,0x000ffff5,0x202fffdc,0x4004fffc,
    0xfffdfffd,0x3fea001f,0x988acfff,0x3fee0fdb,0x7ffdc05f,0x05fffb85,
    0x302fffdc,0xfffffffd,0x3ee05fff,0xffffffff,0xfff885ff,0xffff800f,
    0xcffffc83,0xfd04b980,0xffffffff,0xc85fffff,0x980cffff,0xffff904b,
    0x70973019,0xfb80bfff,0xffff55ff,0x267fffff,0x3e206fff,0x02ffffff,
    0x0ffff600,0x017ffee0,0xfb8bfff7,0xc98adfff,0x2007ffff,0xfffffffc,
    0x7fec0dff,0xffffffff,0x7fff502e,0xff97ffee,0x0ffff65f,0xfff39ffb,
    0x7fffdc1f,0x3e21ffe1,0xffdcffff,0xffff5002,0xb731159f,0x3ffea01f,
    0x3fee0007,0x7ffe405f,0x7ffec004,0x4006ffff,0x402ffffe,0x02fffdc0,
    0x2e17ffee,0x7dc05fff,0x3ffa05ff,0xffffdeff,0xffff81ff,0xffffff94,
    0x7fffcc1d,0x4fffe800,0x004fffe8,0x2aaaaaa0,0xffffbaaa,0x27fff40f,
    0x9fffd000,0x3ffee000,0xafffdc05,0xfffffff8,0xdfff33ff,0x7ffffdc0,
    0xdd9004ff,0xddffffdd,0xffb8bddd,0x7ffdc05f,0x13fffe25,0x01ffffd4,
    0xfffffb30,0x7ec1dfff,0xffffffff,0x9fffd403,0xff0ffff8,0x0ffff4bf,
    0x7ffcbffe,0x9bfff22f,0xffb06ff8,0x03ffffff,0x0bffffa0,0x7ffd4010,
    0x3fee0007,0x7ffe405f,0x7ffec004,0x003ffffd,0x005ffff7,0x80bfff70,
    0xfb85fffb,0x7fdc05ff,0xffff705f,0x3ffffea3,0x3ffea0ff,0x3fffa20f,
    0x3ffea5ff,0xfffe800f,0x03ffff83,0x7fec0000,0xffff82ff,0x3ffe0003,
    0xff70003f,0xfffb80bf,0x3fffff25,0xfff33fff,0x67ffec0d,0xfb007fff,
    0xffffffff,0xfb8dffff,0x7fdc05ff,0x1fffee5f,0x00dfffb0,0xffffd710,
    0x7ffec9ff,0x3fffffee,0xc8fffea0,0xbfff4fff,0xf507fffc,0x1ffff4ff,
    0x7cc9fffd,0xfffd104f,0x039fffff,0x017fffdc,0x1fffea00,0x5fffb800,
    0x027ffe40,0x36ffff60,0xe800ffff,0x70006fff,0xfb80bfff,0xfffb85ff,
    0x2fffdc05,0xb17fffc4,0x7ffff9ff,0x407fffd4,0x32fffffb,0xf003ffff,
    0xfff05fff,0x000001df,0x417fffea,0x000effff,0x01dffff0,0x0bfff700,
    0x745fffb8,0x3fffffff,0x7c0dfff3,0xffff8fff,0xffffd801,0xffffffff,
    0x2fffdc6f,0xd97ffee0,0x7d404fff,0x20000fff,0x0fffffea,0x3625fffb,
    0xf501ffff,0x7ffc47ff,0xf15fff8f,0x5ffc8fff,0xff8ffffa,0x0ffea2ff,
    0xfffffd88,0xe80dffff,0x80006fff,0x0007fffa,0x9017ffee,0xd8009fff,
    0xfff8bfff,0xffff805f,0xfff70003,0x5fffb80b,0x405fffb8,0xfa85fffb,
    0x3ffe26ff,0x265fffb9,0xf503ffff,0x3fe29fff,0xfff801ff,0xffffd81f,
    0x4400002e,0xb00fffff,0x005dffff,0x5dffffb0,0x5fffb800,0x22fffdc0,
    0xffffffc8,0x20dfff33,0xffb5fffa,0x5555009f,0x555ffff7,0xfffb8555,
    0x2fffdc05,0x8805fffd,0x0001ffff,0xb1ffffd8,0x7f445fff,0xfff506ff,
    0xfbfffd87,0xffff35ff,0x3f62fff8,0x3fffe4ff,0x200bff23,0xffffffda,
    0x7ffc0eff,0xfa80003f,0x2e0007ff,0x7e405fff,0x7ec004ff,0xffff73ff,
    0x7fffcc07,0xfff70001,0x5fffb80b,0x405fffb8,0xfb84fffb,0x5bfee3ff,
    0x3e26fff9,0xfd03ffff,0x7fffcdff,0x7fffc403,0xfffffb80,0x80000bff,
    0x202ffffc,0xfffffffb,0xfff7000b,0x0017ffff,0xb80bfff7,0xd9105fff,
    0x3fe67fff,0x5fff906f,0x001bffee,0x401bffea,0x5c05fffb,0x3ffe5fff,
    0xffff801f,0xffa80002,0x5fffb2ff,0x81ffffa8,0x7cc3fffa,0x55fffeff,
    0x7fccffff,0x8ffff60f,0x3f65fffe,0x3fee001f,0x26ffffff,0x001ffff9,
    0x07fffa80,0x17ffee00,0x009fff90,0x3a3fffd8,0xf500ffff,0x20001fff,
    0x5c05fffb,0xffa85fff,0x7ffe406f,0x23fffc84,0xfff14ffd,0xfffffb8f,
    0x37ffe40d,0xb80bfffd,0x3f607fff,0xdfffffff,0xfff50001,0xfffb009f,
    0x03bfffff,0xffffffb0,0x7dc03bff,0x7fdc05ff,0x2131005f,0xfd06fff9,
    0x3ffe61ff,0x7fdc000f,0xfff7005f,0x5fffb80b,0x001ffff1,0x0007ffff,
    0x21ffff30,0xfe82fffd,0xfffa85ff,0xfffffe83,0x4ffff35f,0x7ff45ffc,
    0x3ffff62f,0x4001ffd0,0xfffccffc,0xffff51ff,0xff300001,0x2e0001ff,
    0x7e405fff,0x7ec004ff,0x3ffe63ff,0xffff706f,0x7ffdc000,0x2fffdc05,
    0x203fffcc,0xfd83fffd,0x3fff12ff,0x361fffe2,0x23ffffff,0x3ee4fffe,
    0x3fa00fff,0x7fe403ff,0xdfffffff,0x3ffe2000,0xff9000ef,0xbfffffff,
    0xffffc801,0x80dfffff,0x5c05fffb,0x30005fff,0xff30dfff,0x3ffff8df,
    0x27ffe400,0x05fffb80,0xf9afffdc,0xfe800fff,0x015304ff,0x6cffffb0,
    0xffb82fff,0x7ffd41ff,0xfffffa83,0x1ffff15f,0xffd0fffa,0x7fffd43f,
    0x0047ff8e,0x7fd47ff6,0xffff73ff,0x3fe20000,0xf70002ff,0xffc80bff,
    0x7fec004f,0x7fffe43f,0x0ffffb83,0xbfff7000,0x85fffb80,0x303ffff8,
    0xf901ffff,0x9bfee7ff,0xfb06fff9,0xfbdfffff,0x7fc43fff,0xffd80eff,
    0xfd9800ff,0xefffffff,0xffff9000,0xffd98003,0x0effffff,0x7fffecc0,
    0x5c0effff,0x7dc05fff,0xf30005ff,0xfff70dff,0x05fffc89,0x01fffec0,
    0x405fffb8,0xff35fffb,0xffd001ff,0x3bfea07f,0xffcaaabc,0x3ff64fff,
    0xffff882f,0x81fffd45,0x15ffffff,0xff33ffff,0x7fffc41f,0x7fffff40,
    0x05ecbfff,0xfff07ff4,0x3fffee7f,0xfff00000,0x00cc15df,0x9017ffee,
    0x9999dfff,0x7ec99999,0x7ffc43ff,0x7ffd41ff,0xff70000f,0xfffb80bf,
    0x9ffffb05,0xffff7313,0x53fff20b,0x3fea4ffd,0x3ffea05f,0x4fffffff,
    0xdeffffd8,0x4ffffecb,0x7ff5c400,0xa804ffff,0x0004ffff,0x3ffffae2,
    0xd71004ff,0x89ffffff,0x5c05fffb,0x30005fff,0xffb0dfff,0x7fffa83f,
    0x17fff400,0x05fffb80,0xf9afffdc,0xff801fff,0xfff502ff,0xffffffff,
    0xfffd8dff,0x3ffff902,0xb81fffd4,0x3a5fffff,0x6ffbcfff,0x543fffd4,
    0xffffffff,0x7fc05fff,0xa97fffc7,0x0000ffff,0xffffffb0,0xfb80bfff,
    0x7fe405ff,0xffffffff,0x3fff67ff,0x6ffffa83,0x00ffffcc,0x05fffb80,
    0x982fffdc,0xffffffff,0x500effff,0xfff1dfff,0x01fffec3,0x3fffff22,
    0xffd104ff,0xffffffff,0xea8000bf,0x200fffff,0x006ffff8,0x3fffaa00,
    0x754000ff,0x2e0fffff,0x7dc05fff,0xf30005ff,0xfff88dff,0x2ffff887,
    0x07fffe00,0x02fffdc0,0x7c57ffee,0xff801fff,0xfff501ff,0xffffffff,
    0xfffd81df,0x9ffff302,0x881fffd4,0x325fffff,0x3ffeffff,0x9827ffec,
    0xffffffff,0x443755ff,0xfffb16ff,0x3fffe61f,0xff100001,0xbfffffff,
    0x05fffb80,0x7fffffe4,0x27ffffff,0xfb03fffd,0x7fc49fff,0xf70003ff,
    0xffb80bff,0x3ffea04f,0xffffffff,0x3fffe201,0x3fea6ffe,0xfd3000ff,
    0x4401ffff,0xfffffffe,0x200005ff,0x201ffffd,0x001ffffc,0xffffd800,
    0xfffb0001,0x2fffdc3f,0x013ffee0,0x237ffcc0,0xfd05fffa,0x7fc009ff,
    0xff7000ff,0xfffb80bf,0x00ffffe4,0x201ffff1,0xfffffed9,0xfb01dfff,
    0x7fec05ff,0x7fff50ff,0x2ffffe40,0xfffffff3,0x07fffdc3,0xffffb710,
    0x3fee5bff,0xfdeffdef,0x3e24ffff,0x00003fff,0x3fffff22,0x7fdc04ff,
    0x7ffe405f,0xffffffff,0x0ffff67f,0x0fffffc4,0x000fffff,0x901bffea,
    0xd8807fff,0x3fffffff,0xfffff900,0xffff737f,0xfff90009,0xffd5007f,
    0x0005bfff,0x2ffffa80,0x09ffff50,0x3fea0000,0xf50002ff,0x7fd45fff,
    0x7ffe406f,0xfff50003,0xeffffc89,0xffffeeee,0xffff3006,0x37ffd400,
    0xe8ffff20,0x7dc05fff,0x331007ff,0x00001355,0x40000000,0x9ffffffc,
    0x03ffffdb,0x5c0fff20,0xffffffff,0xf85fffff,0x00007fff,0x00355330,
    0x00000000,0xfffb0000,0xff30007f,0xfffd80ff,0x3ffa2002,0x7fec000e,
    0xffffffff,0xff0000ff,0x7dc009ff,0x000004ff,0x101ffff3,0x000dfffd,
    0x7fffcc00,0xfff30000,0x3fffcc1f,0x00bfff60,0x21fffe40,0xffffffff,
    0x1fffffff,0x05fffc80,0x01fffe60,0x7dc5fffb,0x3fa00fff,0x000004ff,
    0x00000000,0x3fffa200,0xffffffff,0x3ff6000e,0xfffff701,0x7fffffff,
    0x0fffff60,0x00000000,0x00000000,0x7ffc4000,0x82e204ff,0x303ffff8,
    0x4001ffff,0x0001fffb,0xfffffffb,0x00201bff,0x005ffff1,0x0837ffcc,
    0xfd800a98,0xfff907ff,0x0a98003f,0x47fffd80,0xffd800a9,0x7fffc47f,
    0x1ffff303,0x7fcc0ee0,0x3ffe62ff,0xffffffff,0xf803ffff,0x22003fff,
    0xf303ffff,0x7fc41fff,0xffd80eff,0xfa8000ff,0xfa8003ff,0x2a0003ff,
    0x22003fff,0xfffffffe,0xfe8004ff,0xd975100f,0x059bffff,0x4fffff88,
    0xf5002e20,0xf50007ff,0xf90007ff,0xfa8001ff,0x3f2003ff,0xbcdfffff,
    0x7ec0ffec,0xb989cfff,0x4004ffff,0x40004fff,0xefffffff,0x2b3be203,
    0xfffeb999,0x3fe2000f,0x6c989eff,0xabceffa8,0xfffffcaa,0x3ffffa84,
    0xceffa800,0xfffcaaab,0x77fd44ff,0xffcaaabc,0xffd84fff,0xfb989cff,
    0xff304fff,0xfff9559d,0xdfffb8bf,0xeccccccc,0x555c5fff,0x00fffffc,
    0x67fffec0,0xffffb989,0xeffffc84,0xffffecbc,0xfff70003,0xfff70001,
    0x7fdc0001,0x7fdc000f,0x02efffff,0x800fff00,0x64000ffe,0xcdffffff,
    0x400ffecb,0x8000fffb,0x8000fffb,0xb8006ffe,0x22000fff,0xfffffffe,
    0x440fffff,0xffffffff,0x000effff,0x0013ffe6,0x1abfff98,0xfffff100,
    0x7fffffff,0xffff9000,0xa89fffff,0xffffffff,0x886fffff,0xeeeffffe,
    0x2eeeeeee,0x3fffffea,0x6fffffff,0xffffffa8,0x6fffffff,0xffffff10,
    0x1dffffff,0x3fffffa0,0x40ffffff,0x5c01fffe,0x3fa0ffff,0x03ffffff,
    0xfffff880,0xefffffff,0xffffe880,0xefffffff,0xdffb0000,0x1bff6000,
    0x0dffb000,0x559ffb00,0xff880003,0x03ffc006,0x7ffff440,0xffffffff,
    0x037fec00,0x006ffd80,0x0009fff0,0x2000dffb,0xfffffffb,0xfa80ffff,
    0xffffffff,0x7c4001ef,0x000eefff,0x4002ffe4,0xfffffff8,0x0003ffff,
    0x3ffffffa,0x3fea0fff,0xffffffff,0xff980eff,0xffffffff,0x2a3fffff,
    0xffffffff,0xa80effff,0xffffffff,0x200effff,0xfffffffa,0x2601efff,
    0xfffffffe,0x7ffc41ef,0xffff8807,0x3fffffa2,0x3ea0004f,0xffffffff,
    0x3f6201ef,0xffffffff,0x7ff40004,0x9ffd0004,0x4ffe8000,0x0fffc400,
    0xbff30000,0x037fc400,0xfffff700,0x01ffffff,0x0004ffe8,0x30009ffd,
    0xd0003fff,0x4c0009ff,0xffffffec,0x3ff2202c,0x003fffff,0x3fffff60,
    0x1fff4000,0xfeecb800,0x000beeff,0x7fffdc40,0x76cc0dff,0xffffffff,
    0x3ffe601d,0xffffffff,0x3663ffff,0xfffffffe,0x3b6601df,0xffffffff,
    0xff91001d,0x007fffff,0x677ff654,0x09fff502,0xd93fffa0,0x001cefff,
    0xffffc880,0x2e003fff,0x2efffffe,0x7ffc4000,0xfff88001,0x3fe20001,
    0x7fd4001f,0x7d400007,0x3fea003f,0x764c0005,0x2cffffff,0x00fffc40,
    0x00fffc40,0x003ffd40,0x000fffc4,0x00133100,0x00135310,0x37bfae00,
    0x33322000,0x00000000,0x35531000,0x55331001,0x3fe60013,0xffffffff,
    0x103fffff,0x00135533,0x13553310,0x9a988000,0xb0000000,0x32005fff,
    0x00007fff,0x09a98800,0x00d4c000,0x00000000,0x00000000,0x00007995,
    0x20009988,0x00000998,0x00004cc4,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x26000000,0x166542cc,0x1e664c00,0xcccb8000,0x0000002c,0xaa880000,
    0x00001aaa,0x0e666644,0x03333326,0xccc98000,0xed880003,0x3aa02eee,
    0x01f6440d,0x00b33260,0x55555555,0x44355555,0xaaaaaaaa,0x401aaaaa,
    0x664c2cc8,0x99999302,0x5c000001,0x2002cccc,0x8002ccc9,0x442dfdb8,
    0x81bd5002,0xa8003ec8,0x30004eee,0x22005999,0x1442dfdb,0x16fedc40,
    0xcca800a2,0x0733220c,0x3332a000,0x3333103c,0x440cccc4,0xfea8afff,
    0x7fcc002f,0x40004fff,0x003ffffd,0x0007bf62,0x000f7ec4,0x37ffffe4,
    0xffd10000,0x3fea03ff,0x80000eff,0x04fffff9,0x3fffa200,0x3ffe602f,
    0x01fffe46,0x3fffff98,0x3fffffa0,0x4fffffff,0x3fffffee,0x5fffffff,
    0x457ffc40,0x2a03ffea,0x000effff,0xffffd800,0x3ffe6003,0x7ec003ff,
    0xeaaeffff,0x7ffcc03f,0x01fffe46,0xbfffff50,0xffff9800,0xfffd803f,
    0x3feaaeff,0x7ffffec0,0x003feaae,0x3eabfff6,0xa80004ff,0xb00dffff,
    0x7fe4ffff,0xffffb06f,0x9800dfff,0x4fffefff,0xdfffb000,0xfffd8003,
    0xfffb0007,0xfffd000f,0x00001fff,0x01bfffd1,0x0efffd88,0x3ffe6000,
    0x8004fffe,0x00dfffe8,0xd07fffdc,0xf300bfff,0x09fffdff,0x3ffffffa,
    0x24ffffff,0xfffffffb,0x05ffffff,0xffffffd8,0x7ec400ff,0x00000eff,
    0x007bfff6,0xffefff98,0xfff9004f,0xffffffff,0xffffb809,0x017fffa0,
    0x7fefffdc,0xfff3005f,0x6409fffd,0xffffffff,0x3f204fff,0xffffffff,
    0x7e4004ff,0x004fffff,0x3ffffa80,0x93fffec0,0x3620dfff,0x01efffff,
    0x553ffe60,0x64004fff,0x8000dfff,0x001ffffe,0x01ffffe8,0x3ffffe20,
    0x440002ff,0x4003fffe,0x000efffb,0xf54fff98,0x744009ff,0xf3003fff,
    0xfffc8dff,0x9fffd403,0xfe84fffa,0xffffffff,0x3fee4fff,0xffffffff,
    0xd8805fff,0x01efffff,0x03bffee0,0x3fff2000,0x3fea000d,0x09fff53f,
    0xf711dd10,0x300dffff,0xffc8dfff,0xfffb803f,0x80bffd32,0xff53fffa,
    0x23ba209f,0x6fffffb8,0x5c477440,0x006fffff,0x07ffff90,0xdfff5000,
    0xffffb003,0x202fffdc,0x8002bcba,0x4cc40998,0x0cccc001,0xffffb000,
    0x3fff6000,0x7ffdc007,0x0004ffff,0x0004ccc4,0x00099988,0x4c409988,
    0x00000019,0x3b20376a,0x40999803,0xffe81998,0x999999bf,0x7fdc0099,
    0x5cc0005f,0x310002bc,0x30000133,0x33000333,0x01998813,0xccb88110,
    0x0376a001,0x00000fb2,0x88133300,0x10220199,0x22003997,0x00e65c40,
    0x00666600,0x00cccc00,0x5cffff90,0x00005fff,0x00000000,0xefd88000,
    0xdfb10001,0xfffd8003,0x0007fffc,0x00000000,0x4cc00000,0x01999999,
    0x00000000,0x05fffd00,0xbfff7000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00013331,0x00000000,0x00000000,0x00000000,0x2a6fffc8,
    0x26204fff,0x0001accb,0x0de6654c,0x200d554c,0x0001aaa8,0x20000000,
    0xfff8ffff,0x54c0001f,0xa981bccc,0x554401aa,0x9751001a,0x7fc03599,
    0x1fffffff,0x00d554c0,0xa986aaa2,0x554401aa,0x05fffd1a,0xbfff7000,
    0xcba88000,0x31001acc,0x00035997,0x06b32e62,0x665cc400,0x7310001a,
    0x20003599,0x01accb98,0x007fff90,0x55555540,0x20aaaaaa,0x402aaaa8,
    0x54402aaa,0x4001aaaa,0x9aaaaaaa,0xaaaa8001,0x20019aaa,0x3ea6fffc,
    0xfff704ff,0x003fffff,0x7fffff4c,0x3ee0ffff,0x7fdc05ff,0x5555445f,
    0xaaaaaaaa,0xaaaaa81a,0xaaaaaaaa,0x2bfff501,0x8004fffd,0xffffffe9,
    0x3fee0fff,0x7ffdc05f,0x7fffdc05,0x83ffffff,0xffffffff,0x7ffdc01f,
    0x2fffdc05,0xb80bfff7,0xfffd5fff,0xff700005,0x3ee000bf,0xffffffff,
    0x3ffee03f,0x001fffff,0x3fffffee,0x3ee001ff,0x1fffffff,0x3fffee00,
    0x2001ffff,0xfffffffb,0x7ffe401f,0x3ffa0003,0xffffffff,0x3fffea3f,
    0x17ffe00f,0xdfffff90,0xffffd800,0x02efffff,0xffffffb0,0xc805dfff,
    0x3fe66fff,0x7ffec43f,0x3fffffff,0xfffffb80,0x20ffffff,0x5c05fffb,
    0x7fdc5fff,0xffffffff,0xffe84fff,0xffffffff,0xfff904ff,0x01bffee5,
    0xffffff70,0x5c1fffff,0x7dc05fff,0xffd105ff,0xffffffff,0xfffff09f,
    0xb803ffff,0x7dc05fff,0x3ffee5ff,0xafffdc05,0x0002fffe,0x005fffb8,
    0x7fffff44,0x84ffffff,0xffffffd8,0x4403ffff,0xfffffffd,0x6c403fff,
    0xffffffff,0x7ec403ff,0xffffffff,0x7fec403f,0xffffffff,0x0ffff203,
    0xffffe800,0x3fffffff,0x13ffffea,0x7405fff8,0x00ffffff,0x3fffff60,
    0x0effffff,0x7ffffec0,0x0effffff,0x4cbfff70,0x7ff43fff,0xffffffff,
    0x3ff603ff,0xffffffff,0x3ffee0ff,0x2fffdc05,0x3fffffee,0x4fffffff,
    0xffffffe8,0x04ffffff,0x3e61fffd,0xfb000fff,0xffffffff,0x7fdc1fff,
    0x7ffdc05f,0xfffffa85,0xffffffff,0x3ffff004,0x05fffb80,0xf72fffdc,
    0xffb80bff,0x37fffd5f,0x03333333,0x00bfff70,0x7fffffd4,0x4fffffff,
    0xffffffe8,0x03ffffff,0x3ffffffa,0x03ffffff,0x3ffffffa,0x03ffffff,
    0x3ffffffa,0x03ffffff,0x3ffffffa,0x03ffffff,0x0007fff9,0x7ffffff4,
    0x2a3fffff,0x00ffffff,0x7c40bfff,0x02ffffff,0x3fffff60,0x6fffffff,
    0x7ffffec0,0x6fffffff,0x44bfff70,0x3fee0aaa,0xfc98adff,0xff507fff,
    0x31159fff,0x7fdc1fb7,0x7ffdc05f,0x7ffffdc5,0xffffffff,0xfffffe84,
    0x4fffffff,0x7c6fff98,0xfa803fff,0x88acffff,0x3ee0fdb9,0x7fdc05ff,
    0xffffe85f,0xda9889be,0xffff004f,0x5fffb803,0x72fffdc0,0xfb80bfff,
    0xffffd5ff,0xffffffff,0x5fffb801,0x3ffffa00,0xda9889be,0x7fffdc4f,
    0xfffc98ad,0xffff707f,0xfff9315b,0x3ffee0ff,0xffc98adf,0xfff707ff,
    0xff9315bf,0x3fee0fff,0xfc98adff,0xff907fff,0x4c40007f,0xfe999999,
    0x3ffea3ff,0xfff03fff,0x7fffdc0b,0x36004fff,0xdb99bfff,0x202fffff,
    0xb99bfffd,0x82fffffd,0x8805fffb,0xf504ffff,0xffd07fff,0x5c0805ff,
    0x7dc05fff,0xffb805ff,0xfffd005f,0x33333337,0x9fff7013,0x805fffc8,
    0x402ffffe,0x02fffdc0,0xf717ffee,0x0200bfff,0x00ffffc0,0x7017ffee,
    0x7fdcbfff,0x7ffdc05f,0xffffffd5,0x01ffffff,0x005fffb8,0x00bffff7,
    0x4ffff882,0x87ffff50,0x504ffff8,0xf887ffff,0xff504fff,0xfff887ff,
    0xffff504f,0x4ffff887,0x07ffff50,0x0007fff9,0x1ffff400,0xfffffff5,
    0xd817ffe0,0x7fffcfff,0x0bfff600,0x813fffea,0xfa82fffd,0xffa84fff,
    0xfffb805f,0x37ffec07,0x00bfffee,0x017ffee0,0x700bfff7,0x3a00bfff,
    0xb0002fff,0xffa83fff,0x7ffdc07f,0xffb8002f,0x7ffdc05f,0x17fffe25,
    0x3ffe0000,0x7ffdc01f,0x2fffdc05,0xb80bfff7,0xfffd5fff,0xffffffff,
    0xfffb801f,0xffff8805,0xfff70005,0x6fffd80f,0x203fffdc,0x7dc6fffd,
    0x7fec07ff,0x3fffdc6f,0x71bfff60,0xfd80ffff,0xfffc86ff,0x00b372a3,
    0x47fffd00,0xfffffffa,0x205fff82,0xfff8ffff,0xfffb001f,0x17fffa05,
    0xd02fffd8,0xff50bfff,0xfffb009f,0xffffa809,0x01bfffa0,0x02fffdc0,
    0x2017ffee,0xd005fffb,0x10005fff,0xff10ffff,0x7ff405ff,0xff70006f,
    0xfffb80bf,0x07fffee5,0x3ffe0000,0x7ffdc01f,0x2fffdc05,0xb80bfff7,
    0xfffd5fff,0x33333337,0xbfff7003,0x3ffff700,0x3fff6000,0x7fffd404,
    0x013fff60,0x6c1ffff5,0x7d404fff,0x3ff60fff,0x7ffd404f,0x13fff60f,
    0x81ffff50,0xfe9afffc,0x000effff,0x547fffd0,0x6fffdfff,0xf505fff8,
    0x3fff6bff,0x5fffb004,0x817fff20,0xf902fffd,0xfff50bff,0x5fffd009,
    0x1ffff880,0x000ffffe,0x202fffdc,0xb805fffb,0xfd005fff,0xf50005ff,
    0x3ffa0bff,0x3fffe04f,0xfff70003,0x5fffb80b,0x0017fff2,0x0ffffc00,
    0x017ffee0,0x7dcbfff7,0x7fdc05ff,0x05fffd5f,0xbfff7000,0x0bfff900,
    0x17fff400,0x87fffe20,0x4402fffe,0x3fa1ffff,0x7fc402ff,0x3fffa1ff,
    0x7fffc402,0x00bfffa1,0xc83ffff1,0xffffcfff,0x0006ffff,0x7d47fffd,
    0x2fffebff,0xfc82fffc,0xdfff72ff,0x0bfff600,0xb027fff4,0x3fa05fff,
    0xfffa84ff,0x1ffff804,0x32ffff80,0x0003ffff,0x7017ffee,0xf700bfff,
    0x3fa00bff,0xfc8002ff,0xeeeeefff,0xf306ffff,0x20003fff,0x5c05fffb,
    0x3ffa5fff,0xf000004f,0xfb803fff,0x7fdc05ff,0x17ffee5f,0x3abfff70,
    0x80002fff,0xe805fffb,0x20004fff,0xf801ffff,0x3ffe2fff,0xffff801f,
    0x007fffe2,0xff8bfffe,0xfff801ff,0x07fffe2f,0x90bfffe0,0xffffffff,
    0x005fffff,0x547fffd0,0xfffabfff,0xe82fffc5,0xfff30fff,0xfffb001f,
    0x3ffff905,0x417ffec0,0x981ffffc,0x7c403fff,0xff800fff,0xffff53ff,
    0x3fee0001,0x7ffdc05f,0x5fffb805,0x37fffd00,0x03333333,0xffffffff,
    0x3fffffff,0x01ffff50,0x17ffee00,0x7cbfff70,0x7fcc3fff,0x004fffff,
    0xb803ffff,0x7dc05fff,0x3ffee5ff,0xafffdc05,0x0002fffe,0x805fffb8,
    0x7cc3ffff,0x14ffffff,0xf001ffff,0x3fe27fff,0xfff800ff,0x1ffff13f,
    0x27ffff00,0x800ffff8,0xff13ffff,0xfff001ff,0xffffc87f,0xfffd31df,
    0xfffd0009,0xf9fffd47,0x3ffe1fff,0x46fff985,0xd803ffff,0xfdccdfff,
    0x6c03ffff,0xfdccdfff,0xf303ffff,0xff9807ff,0xffe800ff,0x0ffff74f,
    0x2fffdc00,0x017ffee0,0x4017ffee,0xfffffffe,0x260fffff,0xffffffff,
    0x3fffffff,0x007fffb8,0x017ffee0,0x3e2bfff7,0x7fcc2fff,0x004fffff,
    0xb803ffff,0x7dc05fff,0x3ffee5ff,0xafffdc05,0x0002fffe,0x405fffb8,
    0x4c2ffff8,0x4fffffff,0x001ffff3,0x3e69fffd,0xfe800fff,0xffff34ff,
    0x9fffd001,0x003fffe6,0x7cd3fffa,0xfe800fff,0x7ffe44ff,0x5fffc86f,
    0x3fffe800,0x7dcfffea,0x17ffe5ff,0xf913ffee,0xffb00bff,0xffffffff,
    0xfffb005d,0xdfffffff,0x1fffcc05,0x03fffe60,0x5cffffa0,0x0000ffff,
    0xb80bfff7,0xfb805fff,0xffd005ff,0xffffffff,0x7ffdc1ff,0xcccccccd,
    0xfb85fffe,0x70000fff,0xfb80bfff,0xffff15ff,0xfffff985,0xfff004ff,
    0xfffb803f,0x2fffdc05,0xb80bfff7,0xfffd5fff,0xff700005,0xfff880bf,
    0x7fffcc2f,0xfff34fff,0xfffd001f,0x03fffe67,0x4cffffa0,0xe800ffff,
    0xfff33fff,0xfffd001f,0x03fffe67,0x90ffffa0,0xf501dfff,0xfd000dff,
    0x7ffd47ff,0x21ffff13,0xffd85fff,0x3fffd41f,0x7ffffec0,0x2003ffff,
    0xfffffffd,0x800003ff,0x801ffff9,0xff52ffff,0x2e0001ff,0x7dc05fff,
    0xffb805ff,0xfffd005f,0xffffffff,0x0ffff41f,0x03fffee0,0x001ffff5,
    0x017ffee0,0x7fcbfff7,0x666443ff,0xf004fffd,0xfb803fff,0x7fdc05ff,
    0x17ffee5f,0x3abfff70,0xccccdfff,0x2a22cccc,0xefffdaaa,0x7fc1aaaa,
    0x666443ff,0xff34fffd,0xfff003ff,0x3fffe65f,0x2ffff801,0x003ffff3,
    0x3e65ffff,0xff801fff,0xffff32ff,0x5ffff003,0x303fffc8,0xd000dfff,
    0x7fd47fff,0x53fff23f,0x7fc45fff,0xffff887f,0x77ffec02,0x03fffffe,
    0xfddfffb0,0x0007ffff,0x1ffff880,0x31ffff80,0x0003ffff,0x7017ffee,
    0xf700bfff,0x3fa00bff,0x99999bff,0x3ffe2199,0xffff8807,0x0ffffcc2,
    0x5fffb800,0xd2fffdc0,0xfb807fff,0xfff004ff,0xfffb803f,0x2fffdc05,
    0xb80bfff7,0xfffd5fff,0xffffffff,0x7fffdc9f,0xffffffff,0x1ffff45f,
    0x453ffee0,0xf801ffff,0xfff11fff,0xffff003f,0x07fffe23,0x447fffe0,
    0xf801ffff,0xfff11fff,0xffff003f,0x03fffc83,0x000dfff3,0x7d47fffd,
    0x3ffe23ff,0x545fff8f,0xffd05fff,0xfffd809f,0x3ffffb12,0x25fffb00,
    0x01ffffd8,0x20037b22,0x4403ffff,0xff10ffff,0x2e0007ff,0x7dc05fff,
    0xffb804ff,0xfffd005f,0x7ffd4005,0x9fffd004,0x03ffff88,0x0bfff700,
    0x364fffb8,0x7dc05fff,0xfff004ff,0xfffb803f,0x27ffdc05,0xb80bfff7,
    0xfffd4fff,0xffffffff,0x7fffdc9f,0xffffffff,0x2fffec5f,0xf93ffee0,
    0x7c403fff,0x3ffe0fff,0x7ffc403f,0x0ffffe0f,0x41ffff10,0x4403ffff,
    0x3fe0ffff,0x7fc403ff,0x7ffe40ff,0x0dfff303,0x47fffd00,0x7ec3fffa,
    0x45fffbff,0xeeeffffc,0x06ffffee,0xd117ffec,0xfb00dfff,0x7ff445ff,
    0x3fff606f,0x5fffe806,0x23fffdc0,0x0007ffff,0xc80dfff5,0xfb803fff,
    0xffd005ff,0x7fec005f,0xfff9002f,0x0fffff0f,0x1bffea00,0x647fff90,
    0x2e00ffff,0xff004fff,0xffa803ff,0x7ffe406f,0x01bffea3,0x3fa7fff9,
    0xffffffff,0x3fee4fff,0xffffffff,0x7fe45fff,0x3fee00ff,0x17fffa4f,
    0xe8ffff70,0x7dc05fff,0x7fff47ff,0x3fffdc05,0x7017fffa,0xffe8ffff,
    0x7ffdc05f,0x03fffc87,0x000dfff3,0x7d45ffff,0x7ffcc3ff,0x7fc5fffe,
    0xffffffff,0x201fffff,0x7d42fffd,0x7ec01fff,0x7ffd42ff,0xfffff01f,
    0xffffb803,0x13fffa00,0x007ffffb,0x80ffff30,0xb802fffd,0xfd005fff,
    0x000005ff,0xb04ffe88,0x0007ffff,0xd80ffff3,0x3fe62fff,0x3fee04ff,
    0xffff004f,0x7fff9803,0x317ffec0,0xfd80ffff,0x3ee002ff,0xfa8001ff,
    0x7ffcc1ff,0x3ffee04f,0x03fffee4,0x5c4fffe8,0x3a00ffff,0x7fdc4fff,
    0x3ffa00ff,0x7fffdc4f,0x13fffa00,0x401ffff7,0xfc84fffe,0xfff303ff,
    0xfff8800d,0x0fffea1f,0x3ffffffa,0x3ffffe65,0xffffffff,0x3ff603ff,
    0x5fffe82f,0x417ffec0,0xfd05fffe,0xf8801fff,0xfd80efff,0x7fc40fff,
    0x2e204fff,0x0ffffe20,0x007fffcc,0x802fffdc,0x0002fffe,0x037fec00,
    0x09fffff1,0xfff105c4,0x3ffe607f,0x7fffe40f,0x09fff705,0x007fffe0,
    0x207ffff1,0x220ffff9,0xf303ffff,0x2a001fff,0x98001fff,0xff902fff,
    0x3fee0bff,0x3fffe24f,0xffffd80e,0x77fffc40,0x0ffffd80,0x077fffc4,
    0x207fffec,0x80effff8,0x440ffffd,0xd80effff,0xfc80ffff,0xfff303ff,
    0x7fe4070d,0x3ffea0ff,0xfffffa83,0x37ffee5f,0xeccccccc,0x3f605fff,
    0xfffb82ff,0x3fff601f,0x1ffffb82,0x003fffa8,0x79dffff9,0x07ffffd9,
    0x3ffffff2,0x0ffecbcd,0x4e7fffec,0x4ffffb98,0x0bfff700,0x00bfffa0,
    0xfff98000,0x7fffe402,0xfecbcdff,0x7fffec0f,0xfffb989c,0xffff884f,
    0xfebabdef,0xfff004ff,0xfffb003f,0xff73139f,0xfffb09ff,0xff73139f,
    0x7f4009ff,0xffb0005f,0x7fffc40d,0xfebabdef,0x7ffe44ff,0xffecbcef,
    0xfff903ff,0xffd979df,0x3ff207ff,0xfecbceff,0xff903fff,0xfd979dff,
    0x3f207fff,0xecbcefff,0xf903ffff,0x3fe607ff,0x99cff86f,0x45ffffd9,
    0xff03fffa,0x7f4bffff,0x7fdc01ff,0xfffb00ff,0xbffff105,0x417ffec0,
    0x105ffff8,0x7f440015,0xffffffff,0xfd100eff,0xffffffff,0xff881fff,
    0xffffffff,0xaa880eff,0xaefffdaa,0xffe81aaa,0xccccccdf,0xf70002cc,
    0xfe8805ff,0xffffffff,0x7fc40fff,0xffffffff,0xff700eff,0xffffffff,
    0x99889fff,0xaffff999,0xff881999,0xffffffff,0xff880eff,0xffffffff,
    0xf1000eff,0x3e000bff,0x7fdc06ff,0xffffffff,0x7f444fff,0xffffffff,
    0xfd100eff,0xffffffff,0x3a201dff,0xffffffff,0xd100efff,0xffffffff,
    0x2201dfff,0xfffffffe,0x900effff,0x3e607fff,0xffff86ff,0x0fffffff,
    0xb81fffd4,0xf15fffff,0xff100fff,0x3ff605ff,0xffff902f,0x0bfff603,
    0x00ffffe4,0xfffb1000,0x09ffffff,0x3ffffee0,0x80ffffff,0xfffffffa,
    0xf701efff,0xffffffff,0xfd09ffff,0xffffffff,0x20009fff,0x04effffb,
    0x7fffffdc,0xa80fffff,0xffffffff,0x74c01eff,0xffffffff,0x7fdc4fff,
    0xffffffff,0xfa81ffff,0xffffffff,0x3fea01ef,0xffffffff,0x7ffc001e,
    0x3a001eef,0x302effff,0xfffffffd,0xb109ffff,0xffffffff,0xffb1009f,
    0x9fffffff,0xffffb100,0x009fffff,0xffffffb1,0xb1009fff,0xffffffff,
    0xfffc809f,0x0dfff303,0xffffffff,0xfff505ff,0x3fffe207,0x09fff55f,
    0x413fffa0,0xf302fffd,0x3f609fff,0xfff302ff,0x7000009f,0x5dfffffd,
    0xffec9800,0x202cffff,0xffffffc8,0x7ffdc03f,0xffffffff,0xfffe84ff,
    0xffffffff,0xff10004f,0x9300bfff,0x9ffffffd,0x7ffe4405,0x4003ffff,
    0xffffffec,0x7fdc0adf,0xffffffff,0x9101ffff,0x7fffffff,0x3fff2200,
    0x0003ffff,0x03fffff9,0x7ffffdc0,0x7fff6402,0x00adffff,0x3fffffae,
    0x7f5c002e,0x002effff,0x7fffff5c,0x7f5c002e,0x002effff,0x7fffff5c,
    0xfffc802e,0x0dfff303,0xffffffb5,0x3ffea019,0x3ffff203,0x005fffb5,
    0x6c1ffff2,0x3f602fff,0xffd80fff,0x3fff602f,0x2000000f,0x200001a9,
    0x88000998,0xf70009a9,0xffffffff,0xfd09ffff,0xffffffff,0x40009fff,
    0x003efed8,0x80009988,0x00009a98,0x4019aa88,0xfffffffb,0x1fffffff,
    0x009a9880,0x026a6200,0x3bbae000,0x76d4000d,0x2a2001de,0x5300019a,
    0x2a600003,0x35300001,0x06a60000,0x00d4c000,0x40ffff20,0x4c06fff9,
    0x00000099,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x5c000000,0xa802cccc,0x1f6440de,0x666664c0,0xdea80000,
    0x201f6440,0x66543ccb,0x32e0000c,0x32a02ccc,0x333220cc,0x99530001,
    0x64c00379,0x326002cc,0x0166542c,0x59999700,0x2a1e65c0,0x20000ccc,
    0x802ccccb,0x442dfdb8,0x7fffd402,0x984fffff,0x00000199,0x00059993,
    0x00599930,0x016664c0,0x0b332600,0x206f5400,0x00003ec8,0x40599997,
    0x66543ccb,0x32e0000c,0x10002ccc,0x6f540333,0xb81f6440,0xffb0003d,
    0xff3007ff,0x3fffc8df,0xeffffa80,0x3fe60000,0x1fffe46f,0x91dffd10,
    0x40005fff,0x803ffffd,0xffaafffd,0x7f4c004f,0xffffffff,0x7fffcc00,
    0xfff1003f,0x05ffd515,0x3ffff600,0x77ff4403,0x002fffc8,0x0fffff60,
    0x7ffffec0,0x203feaae,0xfffffffa,0xfffd84ff,0x7cc00002,0x0003ffff,
    0x0fffffe6,0x3fffe600,0xff30003f,0x98007fff,0x7fe46fff,0x7ec0003f,
    0x74403fff,0xfffc8eff,0x3ff60002,0xf10003ff,0x3fe60fff,0x1fffe46f,
    0x0017fff2,0x003dfffb,0xe83fffee,0xb1005fff,0x0001dfff,0xe83fffee,
    0x74405fff,0x01ffffff,0x3bfff600,0x3fff2001,0x5c004fff,0xffffffff,
    0x3e600fff,0x04fffeff,0xffffffb0,0x3f6000df,0xd1001eff,0x03ffffff,
    0x77ffec00,0xffff9001,0x9fffffff,0x7ffffd40,0xf984ffff,0x200005ff,
    0xfffefff9,0xfff98004,0x2004fffe,0xfffefff9,0x7ffcc004,0x2004fffe,
    0x3a0ffffb,0x20005fff,0x001efffd,0xffffffd1,0x7fec0003,0x2e0001ef,
    0xff703fff,0x7fff41ff,0x0fffffc5,0x0dfffc80,0x1bffe600,0x8007fff9,
    0x000efffb,0x646fff98,0xe8803fff,0x0001ffff,0x0037fff2,0x0fffff20,
    0xfffffb00,0x1fffffff,0x54fffea0,0xd8804fff,0x01efffff,0x0dfffc80,
    0x7fff4400,0x3f20001f,0x22000dff,0xfffb88ee,0x000006ff,0x000ffff4,
    0xa9fffd40,0x2a004fff,0xfff53fff,0x7fff5009,0x4013ffea,0xff53fffa,
    0x3fe6009f,0x1fffe46f,0xdfffc800,0x7ff44000,0x320001ff,0x0000dfff,
    0x9807fffc,0x7fe46fff,0x7ffff43f,0x03333000,0x20376a00,0x310003ec,
    0x2a000133,0x03ec80dd,0x00266620,0x00333300,0x00199980,0x67ffffd4,
    0x0fdb988a,0x98813330,0x32ea0019,0x2660002b,0x26200019,0x4c000099,
    0x11000199,0x001ccb88,0xfffa8000,0x99980004,0x000ccc40,0x99881333,
    0x40999801,0x33001998,0x01998813,0x320376a0,0x2660003e,0x26200019,
    0x4c000099,0xa8000199,0x6d404fff,0xb83ec80d,0x00005fff,0x00000000,
    0x00000000,0x00000000,0x80000000,0x402ffffe,0x00000000,0x00000000,
    0x00000000,0xa9800000,0x554401aa,0x07fffc1a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ffa0000,0x4000001f,0x551002c9,
    0x40003555,0x01aaaaa8,0x2aaaa200,0x2aa2001a,0xaaaaaaaa,0x2aa21aaa,
    0x555402aa,0x0aaaaa22,0xa9855550,0x009aaaaa,0x17fffdc0,0xaaaa8800,
    0xaaaaaaaa,0x5555441a,0xaaaaaaaa,0x1aaa981a,0xaaaa9800,0xaaaaaaaa,
    0x55532aaa,0x2aaa6005,0xaaaaa882,0xaaaaaaaa,0x017ffee1,0xfc8bfff7,
    0x100003ff,0x00355555,0x300aaaa2,0x2aa23555,0x2aaa000a,0x00555531,
    0xa98aaaa6,0x553002aa,0x55555055,0x55555555,0xaaaa8155,0xaaaaaaaa,
    0x55440aaa,0xaaaaaaaa,0x26001aaa,0x55406fff,0xaaaaaaaa,0x40001aaa,
    0x06fffffc,0x3ffff200,0x3f20006f,0x2006ffff,0xfffffffb,0x24ffffff,
    0x00fffffa,0xffa97ffe,0x3fe00fff,0x7fffdc5f,0x0cefffff,0x037fff40,
    0xfffff700,0xffffffff,0xfffffb89,0xffffffff,0x04fffc84,0xfffffc80,
    0xffffffff,0xffff56ff,0x9fffd003,0xffffff70,0x9fffffff,0x202fffdc,
    0x7c45fffb,0x900006ff,0x00dfffff,0x901bffea,0x3fea9fff,0x3ffa001f,
    0x03ffff54,0x549fffd0,0xe801ffff,0xffe84fff,0xffffffff,0x7f42ffff,
    0xffffffff,0x5c2fffff,0xffffffff,0x004fffff,0xd00bfff2,0xffffffff,
    0x5449ffff,0xffe800aa,0x0000ffff,0x1ffffffd,0x3fffa000,0xf7000fff,
    0xffffffff,0x7d49ffff,0x3e04ffff,0x3ffea5ff,0x3ffe04ff,0x7ffffdc5,
    0x3fffffff,0x00ffffe0,0xfffffb80,0xffffffff,0x7ffffdc4,0xffffffff,
    0x04fffc84,0xfffffc80,0xffffffff,0x3fffa6ff,0x7fffd405,0xfffffb80,
    0xffffffff,0x017ffee4,0xfb0bfff7,0xd00005ff,0x01ffffff,0x80dfff50,
    0xff54fffc,0x7ffc005f,0x017fffa4,0xe81ffff5,0x7d405fff,0xffe80fff,
    0xffffffff,0x7f42ffff,0xffffffff,0x5c2fffff,0xffffffff,0x004fffff,
    0xd00ffff1,0xffffffff,0x7c49ffff,0x7fc403ff,0x002fffff,0xffffff88,
    0xff88002f,0x002fffff,0xfffffff7,0x49ffffff,0x0ffffffa,0x7d4bfff0,
    0xf00fffff,0xfffb8bff,0xffffffff,0xfff986ff,0x3ee0001f,0xffffffff,
    0x7dc4ffff,0xffffffff,0xfc84ffff,0xfc8004ff,0xffffffff,0x26ffffff,
    0x200ffffa,0xf704fffe,0xffffffff,0x7dc9ffff,0x7fdc05ff,0x5fff985f,
    0x7ffc4000,0xa802ffff,0x7e406fff,0x5fff34ff,0x51fffc00,0x7401ffff,
    0xffa84fff,0x3ffa00ff,0xffffd04f,0xffffffff,0xfffe85ff,0xffffffff,
    0x7fdc2fff,0xffffffff,0xf7004fff,0xffd007ff,0xffffffff,0x7ffcc9ff,
    0x7fffdc03,0xb8004fff,0x4fffffff,0xffffb800,0x20004fff,0x5405fffb,
    0x03ffffff,0x7fd4bfff,0xff03ffff,0xdfffb8bf,0xfffcba99,0x7ffd43ff,
    0x5c00000f,0x70005fff,0x3200bfff,0x88004fff,0xffc99999,0x099999ef,
    0xa827fff4,0x2000ffff,0x5c05fffb,0x7dc05fff,0xfffd05ff,0x7fdc0001,
    0x804fffff,0x6406fffa,0xfff34fff,0x1fffc005,0x5413fffa,0xfd00ffff,
    0x3fea09ff,0x555500ff,0xff755555,0xaaa81fff,0xfbaaaaaa,0xb800ffff,
    0x20005fff,0xe800fffe,0x9999bfff,0x3e609999,0x7fec03ff,0x007fffcf,
    0xffcfffd8,0xffd8007f,0x007fffcf,0x017ffee0,0xfffffff5,0xfa97ffe0,
    0xf07fffff,0xfffb8bff,0xfffff504,0x03fffdc1,0x7ffdc000,0xfff70005,
    0x3fff200b,0x3ee00004,0xff5005ff,0xfffd01ff,0xfffb8009,0x2fffdc05,
    0x417ffee0,0x0004fffb,0x3ff3fff6,0xfffa807f,0xa7ffe406,0x2003fff8,
    0x7fd43fff,0xfffe80ff,0x3fffea04,0x04fffe80,0x7fffec00,0xfffb0002,
    0x3fee005f,0xff50005f,0x3ffa00bf,0x7fcc002f,0x7fffc03f,0x001ffff8,
    0x7fc7fffc,0x7fc001ff,0x1ffff8ff,0xbfff7000,0xfffffa80,0x5fff82ff,
    0x3fffffea,0x45fff82f,0x2a04fffb,0x3ee4ffff,0x00000fff,0x002fffdc,
    0x005fffb8,0x0009fff9,0x02fffdc0,0xa89fffd0,0x4000ffff,0x5c05fffb,
    0x7dc05fff,0x3ffe05ff,0xfff0000f,0x03ffff1f,0x406fffa8,0xff14fffc,
    0x3fe2007f,0x4fffe82f,0x007fffd4,0xf513fffa,0x40001fff,0x005ffffa,
    0x0bffff50,0x02fffdc0,0x01fffd80,0x005fffd0,0x204fffa8,0xffb5fffa,
    0x7fd4009f,0x09fffb5f,0xdafffd40,0x70004fff,0xfa80bfff,0x86fffdff,
    0x3fea5fff,0xf86fffdf,0x7ffdc5ff,0x37fff404,0x001ffff5,0x5fffb800,
    0xbfff7000,0x13fff200,0xfffb8000,0x3ffea005,0x13fffa0f,0x17ffee00,
    0x80bfff70,0x3205fffb,0xa8003fff,0xfffb5fff,0x6fffa809,0xf27ffe40,
    0x0cca87ff,0x2a0bffe2,0x3fa0ffff,0xffa804ff,0x3fffa0ff,0x3fe20004,
    0x88000fff,0x000fffff,0x0017ffee,0x801bffe6,0x4002fffe,0x3204fffa,
    0xfff72fff,0x7ffe400d,0x00dfff72,0xfb97ffe4,0xf70006ff,0xffa80bff,
    0x42fffebf,0x3fea5fff,0x42fffebf,0x7fdc5fff,0x7ffdc04f,0x07fffe67,
    0xfff70000,0x3fee000b,0xfff9005f,0x7dc00009,0x7f4005ff,0xffff53ff,
    0xfff70001,0x5fffb80b,0x02fffdc0,0x000dfff1,0x3ee5fff9,0x7fd406ff,
    0x7ffe406f,0xfd0fffe4,0x0fffc45f,0xf53fffe8,0x3a001fff,0xfff53fff,
    0x7e40001f,0x90002fff,0x8005ffff,0x8005fffb,0x2002fffc,0x4002fffe,
    0x3a04fffa,0xfff30fff,0x3ffa001f,0x1ffff30f,0x43fffa00,0x000ffff9,
    0x405fffb8,0xffabfffa,0x52fffc5f,0xfff57fff,0x5c5fff8b,0x7d404fff,
    0x3ffe27ff,0x5c00003f,0x70005fff,0x3200bfff,0x00004fff,0x0017ffee,
    0x3f6ffff5,0xf70003ff,0xffb80bff,0x7ffdc05f,0x0fffec05,0x43fffa00,
    0x200ffff9,0xaaaefffa,0xfffdaaaa,0xf993ffe4,0x3ffe25ff,0x2ffff501,
    0x2003fffd,0xffb7fffa,0x7d40007f,0x50004fff,0x0009ffff,0x800bfff7,
    0x4007fff8,0x999bfffe,0x7d419999,0xfff305ff,0x03ffff8d,0x7c6fff98,
    0xf9803fff,0x7fffc6ff,0xfffb8003,0x9fffd405,0x3fe1ffff,0x4fffea5f,
    0x3fe1ffff,0x27ffdc5f,0x87fffe60,0x0007ffff,0x02fffdc0,0x05fffb80,
    0x009fff90,0x2fffdc00,0x67fff400,0x0000ffff,0xb80bfff7,0x7dc05fff,
    0x7fd405ff,0x3fe6005f,0x1ffffc6f,0xffffff50,0xffffffff,0x727ff49f,
    0x7fccffff,0x3fffa00f,0x000ffffc,0x7fe7fff4,0xf10000ff,0x0001dfff,
    0x01dffff1,0x0bfff700,0x04fffb80,0x7fffff40,0x0fffffff,0x5c17ffee,
    0x7fe44fff,0xfffb805f,0x02fffe44,0x3227ffdc,0xb8005fff,0x7d405fff,
    0xbfff73ff,0xff52fffc,0x97ffee7f,0x7fdc5fff,0x7ffcc04f,0x3ffff21f,
    0x3ee00003,0xf70005ff,0x3f200bff,0x200004ff,0x8005fffb,0xfffffffa,
    0x3fee0003,0x7ffdc05f,0x2fffdc05,0x007fff40,0x644fffb8,0x3ea05fff,
    0xffffffff,0x24ffffff,0x3ffa4ffe,0x1fff31ff,0x7ffffd40,0xfa8003ff,
    0x03ffffff,0x3ffff200,0xfff90001,0x3ee0003f,0x7f4005ff,0x7f4000ff,
    0xffffffff,0x3fee0fff,0x3fffb05f,0x807fffa8,0x7d41fffd,0xffd807ff,
    0x3fffd41f,0x2fffdc00,0x44fffea0,0xfff0ffff,0x89fffd4b,0xfff0ffff,
    0x04fffb8b,0x10ffffcc,0x409fffff,0xffb800b8,0xff70005f,0x3ff200bf,
    0x2e00004f,0xd0005fff,0x01ffffff,0x2fffdc00,0x017ffee0,0x700bfff7,
    0x36009fff,0x7fd41fff,0x3ffea07f,0xffffffff,0x3f64ffff,0xfffff14f,
    0x201ffe69,0x0ffffffe,0xffffd000,0x2a0001ff,0x0004ffff,0x009ffff5,
    0x02fffdc0,0x00bfff50,0xffffffd0,0x41ffffff,0xf885fffb,0xfff887ff,
    0x3ffe202f,0x2ffff887,0x21fffe20,0x002ffff8,0x202fffdc,0x3f23fffa,
    0x4bfff4ff,0x3f23fffa,0x8bfff4ff,0x5404fffb,0xffc87fff,0xcbcdffff,
    0xfb800ffe,0xf70005ff,0x3f200bff,0x200004ff,0x0005fffb,0x07fffff7,
    0x5fffb800,0x02fffdc0,0x2017ffee,0x8807fff8,0xff887fff,0xfff502ff,
    0x3333333d,0x7ec9fff9,0xffdff75f,0x201ffead,0x03fffffb,0x3fffee00,
    0xff10003f,0x22000dff,0x0006ffff,0x002fffdc,0x0003fffb,0x3337fffd,
    0xfc833333,0xfffa86ff,0x09fffd05,0xe82fffd4,0x3ea04fff,0xfffd05ff,
    0xfffb8009,0x1fffd405,0xff1ffff1,0x1fffd4bf,0xff1ffff1,0x4fffb8bf,
    0x43fffdc0,0xffffffd8,0x00ffffff,0x005fffb8,0x00bfff70,0x0013fff2,
    0x05fffb80,0x1ffffa00,0x3ffee000,0x2fffdc05,0x013ffee0,0x2017ffe4,
    0xfd05fffa,0x3fea09ff,0x7ffe406f,0x7ed7ff64,0xfa9fffaf,0xfffd007f,
    0xffd0000f,0x7e4000ff,0x90001fff,0x0003ffff,0x005fffb8,0x000dfff1,
    0x000bfffa,0xf90dfff9,0xdddddfff,0x640dffff,0xeeeeffff,0x206ffffe,
    0xeeeffffc,0x06ffffee,0x02fffdc0,0xfb0fffea,0x4bfff7ff,0x7ec3fffa,
    0x45fffbff,0x6c04fffb,0x3f205fff,0xffffffff,0xffb800ff,0xff70005f,
    0x3ff200bf,0x2e00004f,0x20005fff,0x0005fffc,0x405fffb8,0x6406fffa,
    0xf3003fff,0xffc80dff,0xfeeeeeff,0xff506fff,0xfffc80df,0x3e3bff24,
    0xf57ffd6f,0x3ff200df,0xfc80005f,0xf50005ff,0x20009fff,0x004ffffa,
    0x05fffb80,0x007fff90,0x00bfffa0,0xf0dfff90,0xffffffff,0x03ffffff,
    0x3ffffffe,0xffffffff,0xffffff01,0xffffffff,0x7fdc003f,0x7ffd405f,
    0x7f7ffcc3,0x3ffea5ff,0x7f7ffcc3,0x7ffdc5ff,0x3fffe604,0x7ffe4c03,
    0x002cffff,0x000bfff7,0x4017ffee,0x0004fffc,0x017ffee0,0x05fffc80,
    0x5fffb800,0x03fffcc0,0x800bfff6,0x3e01fffd,0xffffffff,0x81ffffff,
    0x6406fffa,0x3ff24fff,0xff94ffae,0x200dff7d,0x0005fffc,0x005fffc8,
    0x06fffe88,0xdfffd100,0x3fee0000,0xfff8805f,0xffd0000f,0xffc8005f,
    0x7fffcc7f,0xffffffff,0xff983fff,0xffffffff,0x983fffff,0xffffffff,
    0x3fffffff,0x17ffee00,0xd07fff50,0x4bffffff,0xfe83fffa,0x5c5fffff,
    0x3f604fff,0xf9000fff,0x700015ff,0x2000bfff,0x9005fffb,0x00009fff,
    0x002fffdc,0x00bfff90,0x0bfff700,0x03ffff88,0x001ffff3,0x982fffd4,
    0xffffffff,0x3fffffff,0x406fffa8,0x3ee4fffc,0xf31ffcef,0x00bff9ff,
    0x0017fff2,0x017fff20,0x07ffff20,0x7fffe400,0xff700001,0xfff700bf,
    0x7ff40009,0x7fec002f,0x6fffdc7f,0xeccccccc,0xffb85fff,0xccccccdf,
    0xb85fffec,0xccccdfff,0x5fffeccc,0x17ffee00,0x507fff50,0x4bffffff,
    0xfa83fffa,0x5c5fffff,0xfe884fff,0x36003fff,0x2e0006ff,0x70005fff,
    0x3200bfff,0x00004fff,0x0017ffee,0x005fffc8,0x05fffb80,0x9cffffd8,
    0x4ffffb98,0x0fffe800,0xccdfffb8,0xffeccccc,0x6fffa85f,0x727ffe40,
    0xf8ffffff,0x005ffeff,0x000bfff9,0x00bfff90,0x03ffffa8,0x7ffff500,
    0x7fdc0000,0xfffe805f,0x3ffa0000,0x7764002f,0x0ffff45e,0x03fffee0,
    0xb803fffd,0x7f40ffff,0x7fdc01ff,0xaaa880ff,0xaaefffda,0x3ffea1aa,
    0xffffff03,0x81fffd4b,0x45ffffff,0xdccefffb,0x06fffffe,0x801fffc0,
    0xffdaaaa8,0x41aaaaef,0xffdaaaa8,0x81aaaaef,0xcccefffc,0x004ccccc,
    0x000bfff7,0x002fffe4,0x3f6aaaa2,0x1aaaaeff,0x7fffffc4,0x0effffff,
    0x3fffb800,0x401fffe8,0x540ffffb,0x7e406fff,0x3ffea4ff,0x7ffe44ff,
    0xff9005ff,0xf90000bf,0x74400bff,0xeeeeffff,0x22eeeeee,0xeeffffe8,
    0xeeeeeeee,0x6d555442,0xaaaaefff,0x017ffe61,0x9bfffd00,0x59999999,
    0x1fffe200,0x8bfffe20,0x8807fff8,0x3e22ffff,0xff8807ff,0xfffb82ff,
    0xffffffff,0x3ffea4ff,0xfffff703,0x81fffd4b,0x45fffffb,0xfffffffb,
    0x00dfffff,0x003ffe20,0x7fffffdc,0x4fffffff,0x7fffffdc,0x4fffffff,
    0xffffffc8,0x07ffffff,0x00bfff70,0x02fffe40,0x3ffffee0,0xffffffff,
    0xfffffa84,0x01efffff,0x8ffff100,0x8807fff8,0x7d42ffff,0x7fe406ff,
    0x3fffea4f,0x7fffd42f,0xfff9004f,0xff90000b,0x7fcc00bf,0xffffffff,
    0x263fffff,0xffffffff,0x3fffffff,0x7fffffdc,0x4fffffff,0x000bfff6,
    0xffffffd0,0x09ffffff,0x013ffea0,0xf527fff4,0x3fa009ff,0x3ffea4ff,
    0x9fffd004,0xffffff70,0x9fffffff,0x881fffd4,0x2a5fffff,0xff103fff,
    0xffb8bfff,0xffffffff,0xffa8002f,0x3ffee005,0xffffffff,0x7ffdc4ff,
    0xffffffff,0xfffc84ff,0xffffffff,0xfff7007f,0x7fe4000b,0x7fdc005f,
    0xffffffff,0xf9104fff,0x07ffffff,0x5fff9000,0x8027ffd4,0x7d44fffe,
    0x7fe406ff,0x3fffea4f,0x9fffff07,0x17fff200,0x3fff2000,0x3ffe6005,
    0xffffffff,0x3e63ffff,0xffffffff,0x43ffffff,0xfffffffb,0x14ffffff,
    0x0000dfff,0xfffffffd,0x009fffff,0x400bfff6,0x3f67fffc,0xff9002ff,
    0x17ffecff,0x87fffc80,0xfffffffb,0x24ffffff,0x3203fffa,0x3ea5ffff,
    0x3ff203ff,0x7ffdc5ff,0x0abcefff,0x5c000000,0xffffffff,0x5c4fffff,
    0xffffffff,0xc84fffff,0xffffffff,0x7007ffff,0x4000bfff,0x4005fffc,
    0xfffffffb,0x04ffffff,0x0009a988,0x8f332200,0x9002fffd,0xffa8ffff,
    0x7ffe406f,0x17fffe64,0x01ffffec,0x005fffc8,0x05fffc80,0x3ffffe60,
    0xffffffff,0x3ffe63ff,0xffffffff,0x7dc3ffff,0xffffffff,0x9934ffff,
    0xfd000059,0xffffffff,0x00009fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x1ccccc88,0x950f32e0,0x664c0199,0x40166542,0x00ccccc9,
    0x666664c0,0xcb800000,0xc9802ccc,0x326002cc,0x0166542c,0x66665d44,
    0x7fd4009a,0x4fffffff,0xfffff500,0xa809ffff,0xffffffff,0x55d4004f,
    0x2aea0000,0x3ffea000,0x04ffffff,0xaaa80000,0x55400002,0x00b7222a,
    0x4cc40000,0x33300009,0x40ccc400,0x20001998,0x00199998,0x8000f722,
    0x98000bdb,0x004cc409,0x266204cc,0x00001300,0x7ffff440,0x77ff4401,
    0x402fffc8,0xea8afff8,0xff5002ff,0xa8001dff,0x000effff,0x3ffff600,
    0xffff9803,0xfff1003f,0x05ffd515,0x7ffffe44,0x5405ffff,0xffffffff,
    0xfff5004f,0x09ffffff,0xffffffa8,0xd3004fff,0x8005ffff,0x02ffffe9,
    0xffffff50,0x00009fff,0x04fff980,0x26333300,0x3ff24fff,0x8000002f,
    0x8005fffa,0x2003fffd,0xff30effe,0x3a20007f,0x2003ffff,0x8003fffe,
    0x4006fffc,0x7ff46ff8,0x237fc402,0xff982ffe,0x0000bcef,0x0dfffe88,
    0xffffd100,0x3f6003ff,0x06ffffff,0x77ffec40,0x7fec4000,0xd80000ef,
    0x9801efff,0x4fffefff,0xfffffb00,0x7fd40dff,0xffffffff,0x7ffd405f,
    0x04ffffff,0xffffff50,0xfa809fff,0xffffffff,0xfdffd004,0x7f4003ff,
    0x801fffef,0xfffffffa,0x000004ff,0x000fffdc,0xfbbfffc4,0x3fff61ff,
    0xaa800006,0xaefffcaa,0xffffb002,0x3fa2007f,0x03fff9ef,0xdfffd100,
    0x7ffcc003,0xfff8007f,0x7fc001ff,0x1fffcadf,0xcadfff80,0xff981fff,
    0x00bfffff,0x7fffd100,0xfffd1000,0x7ec4003f,0x001effff,0x01dfff70,
    0x1dfff700,0x7ffe4000,0xfffa800d,0x009fff53,0xdfffffb1,0x3fffe203,
    0xffffffff,0x00000005,0x00000000,0xff12ff98,0x4bfe6007,0x00003ff8,
    0x2dcc0000,0x80037fec,0xffb7fff8,0x07fffa8d,0xffff8000,0x07ffffff,
    0xffbeffd8,0xffd1002f,0x20009fff,0x00dfffe8,0x37fffcc0,0x7ffff400,
    0x7ffdc001,0x7004ffff,0x9fffffff,0x3ffffe60,0x8001ffff,0x00009998,
    0x00026662,0x0015e5d4,0x004ccc40,0x00999880,0x00666600,0x4c409998,
    0x32ea0019,0x7ffe402b,0x04b980cf,0x00000000,0xa8000000,0x013fa0ff,
    0x9fd07fd4,0x00000000,0x3e1fffe6,0xf10003ff,0x0fffefff,0x0001bff6,
    0x3fffffe0,0x6407ffff,0xfff50eff,0x3ffa2005,0xfd10004f,0x6c0007ff,
    0xa8002fff,0x70005fff,0x019fffff,0x7ffffdc0,0xffdd100c,0x01dfffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fa00000,0x200004ff,
    0x01accb98,0x2aaaaaa0,0x1aaaaaaa,0x55555544,0x1aaaaaaa,0x2a33fe60,
    0xff3003ff,0x007ff519,0x0d555544,0x7ffd4000,0x00fffcc7,0x9ffff880,
    0xffd81fff,0xee800004,0xeffffeee,0x02aaa206,0x44005553,0x260002aa,
    0x80001aaa,0x260001aa,0x5440002a,0x510001ac,0xd7000359,0x400bffff,
    0xaaaaaaa8,0xaaa80aaa,0xaaaaaaaa,0x554401aa,0x22001aaa,0xaaaaaaaa,
    0xa81aaaaa,0xaaaaaaaa,0xaa81aaaa,0xaaaaaaaa,0xaaa81aaa,0xaaaaaaaa,
    0xaaaa81aa,0xaaaaaaaa,0x0ffffe1a,0x7ffdc000,0x801fffff,0xfffffffe,
    0x5c4fffff,0xffffffff,0x404fffff,0x0efffffd,0x3ffff600,0x3f2000ef,
    0x0006ffff,0x447fffa8,0x220002aa,0x2aa8ffff,0x007ffe5c,0x7fd40000,
    0x0000005f,0x00000000,0x00000000,0x00000000,0xfe880000,0xf7000fff,
    0xffffffff,0xffffd05f,0xffffffff,0xffffc809,0x3fee006f,0xffffffff,
    0xffe84fff,0xffffffff,0xfffe84ff,0xffffffff,0xffffe84f,0xffffffff,
    0xfffffe84,0x4fffffff,0x003bfffe,0xffffd880,0x03ffffff,0x7ffffff4,
    0x44ffffff,0xfffffffb,0x04ffffff,0x06fffe44,0x3fff2200,0x7ff4000d,
    0x0000ffff,0x003fffd4,0x7fff8800,0x00f7ffc0,0x32a62000,0x05fffccc,
    0xbccba880,0x2ea2000a,0x2000abcc,0x0abccba8,0xccba8800,0x973000ab,
    0xa9800379,0x00abcdcc,0x0de65cc0,0xffffa800,0xffffd001,0x05ffffff,
    0xfffffffd,0x809fffff,0x0ffffffe,0xfffff700,0xffffffff,0xfffffd09,
    0x9fffffff,0xffffffd0,0x09ffffff,0xfffffffd,0xd09fffff,0xffffffff,
    0x7ec9ffff,0x0002efff,0xfffffffd,0x407fffff,0xfffffffe,0x5c4fffff,
    0xffffffff,0x004fffff,0x26000026,0xfff88000,0x4002ffff,0xfffcaaaa,
    0x1aaaaaaf,0x79975300,0xcd80ffff,0xfa800002,0xffffffff,0x3fa6005f,
    0x2fffffff,0x7ffff4c0,0x4c02ffff,0xfffffffe,0xffd3002f,0x05ffffff,
    0x7fffffcc,0x7fe401ef,0xffffffff,0xffff9804,0x4001efff,0x803ffff8,
    0xfffffff9,0xfe82ffff,0xffffffff,0x3e204fff,0x02ffffff,0xffffff70,
    0x9fffffff,0xffffffd0,0x09ffffff,0xfffffffd,0xd09fffff,0xffffffff,
    0xfd09ffff,0xffffffff,0x7fdc9fff,0x00bfffff,0x5bffff70,0xfffff931,
    0x4dffff40,0x09999999,0x05fffb80,0x101aaa98,0x54c05555,0x00abcdcc,
    0xffffff70,0xfff8009f,0xffffffff,0x5405ffff,0xfffffffe,0x551007ff,
    0x5e6e4c15,0x3fffa200,0xffffffff,0xffff9005,0x05ffffff,0x7fffffe4,
    0x3202ffff,0xffffffff,0xffc802ff,0xffffffff,0xfffff702,0x407fffff,
    0xfffffffd,0x2e04ffff,0xffffffff,0x3e6003ff,0xfc801fff,0x005fffef,
    0x3337fffd,0x40133333,0xfffffffb,0x3fee0004,0xfffd005f,0x33333337,
    0x7fffd013,0x33333333,0x37fffd01,0x13333333,0x337fffd0,0x81333333,
    0xfffffffd,0x3fe201df,0xfff504ff,0x3fffa07f,0xff700002,0xfff900bf,
    0x1bffe607,0x3ffffff2,0xd804ffff,0x7fffcfff,0x7ffffc00,0xffffffff,
    0x3ff605ff,0xffffffff,0xfff3007f,0xfffffb15,0x3fff605f,0xfffdcdff,
    0xfffc805f,0xffffffff,0xfffff902,0x05ffffff,0x3ffffff2,0x402fffff,
    0xfffffffc,0xfa82ffff,0xfebbefff,0xffb01fff,0xfff9579b,0xfff503ff,
    0xfffd77df,0x3ff6003f,0xfff800ff,0xd005fffb,0x80005fff,0xfffcfffd,
    0x3fee0007,0xfffd005f,0x3ffa0005,0xffd0002f,0x3fa0005f,0xf90002ff,
    0xffffffff,0xffff701b,0x06fffd80,0x0005fffd,0x017ffee0,0x4c0ffff2,
    0xffd86fff,0xffffffff,0x7fffc04f,0x001ffff8,0x3ffbbbb6,0xeeeeeeff,
    0xfffff904,0xfffffb9b,0x2fffe600,0xfffffffe,0x7fffd41f,0x05fffa84,
    0x5fffffcc,0x260b6a60,0x20bfffff,0xff982da9,0x2a60bfff,0x3ffe602d,
    0x36a60bff,0x82fffe82,0x3705fffd,0x27fff440,0x6c17fff4,0xaa985fff,
    0x04ffffeb,0xff8fffa8,0xfffd005f,0xfff80005,0x01ffff8f,0x0bfff700,
    0x00bfffa0,0x017fff40,0x02fffe80,0x05fffd00,0x7ffecc00,0x40efffff,
    0x5404fffd,0xfe80ffff,0x700002ff,0xf900bfff,0x3fe607ff,0xcdffd86f,
    0xfffffcab,0x2bfff501,0x0004fffd,0x001fffea,0x10bffff3,0x2600ffff,
    0xffffffff,0x7c5fffff,0xff505fff,0xfffe80bf,0xffe8000f,0xfe8000ff,
    0x20000fff,0x000ffffe,0x8837ffdc,0x0000ffff,0xfb8bfff7,0xfff106ff,
    0xffffd81f,0xd800efff,0x0bfff6ff,0x00bfffa0,0xb5fffa80,0x20009fff,
    0xd005fffb,0x20005fff,0x0002fffe,0x0005fffd,0x000bfffa,0x3fffae20,
    0x7ff44fff,0x7ffc402f,0x2fffe81f,0xfff70000,0x7fff900b,0x21bffe60,
    0x3ffa201b,0x5fff904f,0x001bffee,0x007fffa8,0x8837fff4,0xf3007fff,
    0x117fffff,0x7ccffff9,0xff501fff,0x7ffcc0bf,0xff98003f,0xf98003ff,
    0x20003fff,0x003ffff9,0x202fffd8,0x0001fffe,0xfd8dfff5,0x3ffa02ff,
    0x7fffec1f,0xf8800dff,0x0bfff3ff,0x00bfffa0,0x72fffc80,0x2000dfff,
    0xd005fffb,0x20005fff,0x0002fffe,0x0005fffd,0x000bfffa,0xffffd500,
    0x0ffffc1f,0x417fffc0,0x999bfffe,0x70019999,0xf900bfff,0x3fe607ff,
    0xff70006f,0x3fffa0bf,0x01ffff30,0x1fffea00,0x05ffff00,0x401fffe2,
    0x41fffff9,0xf50ffff9,0x7fd40dff,0x3ffea05f,0xfff50007,0x3fea000f,
    0x7d40007f,0xfd0007ff,0x999999ff,0x805fffd9,0xfdcccaa8,0x7fff46ff,
    0xeccccccc,0x7fe42fff,0x2e001bef,0xdfff0fff,0x3fa03333,0x99999bff,
    0x3ffa0199,0x1ffff30f,0xbfff7000,0x2ffffa00,0x19999999,0x337fffd0,
    0x20333333,0x999bfffe,0xfd019999,0x333337ff,0x36000333,0xff11ffff,
    0xfff001ff,0xffffd07f,0xffffffff,0xbfff7001,0x07fff900,0x001bffe6,
    0x4c37ffd4,0x7ffc6fff,0xff50003f,0x7fcc00ff,0x3ffe207f,0xffff3007,
    0x47fffe05,0x2a05fffb,0x3ee05fff,0xf70006ff,0x2e000dff,0x40006fff,
    0x0006fffb,0xffffffff,0x7fffffff,0x3ffff660,0x46ffffff,0xffffffff,
    0x3fffffff,0x000fffe4,0xfff2fff4,0xd01fffff,0xffffffff,0xf301ffff,
    0xffff8dff,0xfffb8003,0xffffd005,0xffffffff,0xfffffd01,0x1fffffff,
    0xffffffd0,0x01ffffff,0xfffffffd,0x001fffff,0x25ffff50,0x800ffff9,
    0xfe84fffe,0xffffffff,0xfb800fff,0xffc805ff,0xdfff303f,0xcccaa880,
    0xfb86fffd,0x7ffe44ff,0xfff50005,0x7ffd400f,0x1fffe207,0x037ffcc0,
    0x3f23ffff,0x3fea05ff,0x3fff605f,0xfffb0005,0x3ff6000b,0x7ec0005f,
    0xf98005ff,0xffffffff,0x83ffffff,0xfffffffb,0x266fffff,0xffffffff,
    0x3fffffff,0x000fffdc,0xff8bffe6,0x80ffffff,0xfffffffe,0xb80fffff,
    0x7fe44fff,0xffb8005f,0xfffd005f,0xffffffff,0xffffd01f,0xffffffff,
    0xfffffd01,0x1fffffff,0xffffffd0,0x01ffffff,0x3ffff300,0x003fffe6,
    0x3a0ffffa,0xffffffff,0xb800ffff,0xfc805fff,0xfff303ff,0x3fff660d,
    0x6fffffff,0x541fffd8,0x50007fff,0x5c00ffff,0x3e206fff,0xff3007ff,
    0x7fffc0df,0x40bfff91,0x3205fffa,0x90007fff,0x2000ffff,0x0007fffc,
    0x003fffe4,0x557fffc4,0xaaaaaaaa,0x7fffd40a,0xffcaaabe,0x3fffe26f,
    0xaaaaaaaa,0x7fdc0aaa,0x7fe4000f,0x7fffffc7,0xfffe80ff,0xffffffff,
    0x1fffd80f,0x003fffd4,0x802fffdc,0xfffffffe,0xe80fffff,0xffffffff,
    0xfe80ffff,0xffffffff,0xffe80fff,0xffffffff,0x001530ff,0x7ccffffb,
    0xff801fff,0xfffe82ff,0x9999999b,0xbfff7001,0x07fff900,0x2e1bffe6,
    0xffffffff,0x7c46ffff,0xfff887ff,0xffa8002f,0x3fee007f,0x3ffe206f,
    0xdfff3007,0xb8ffffc0,0x3ee06fff,0x3fea05ff,0xfa8000ff,0xa8000fff,
    0x0000ffff,0x003fffea,0x003fffe0,0x05fffd80,0xff8dfff5,0x000000ff,
    0x89fff100,0x1999efff,0x337fffd0,0x10333333,0xff10ffff,0xfb8005ff,
    0xffd005ff,0x3333337f,0x3fffa033,0x9999999b,0x37fffd01,0x03333333,
    0x266ffffa,0x2a199999,0xaaabceff,0x24fffffc,0x801ffff8,0xfe81ffff,
    0x700002ff,0xf900bfff,0x3fe607ff,0x7fffd46f,0xffcaaabe,0x2fffd46f,
    0x004fffe8,0x007fffa8,0x981fffea,0xf3007fff,0x7ffc0dff,0x1ffff51f,
    0x0bffff10,0x027fffcc,0x27fffcc0,0x7fffcc00,0x3fe60004,0xfe8004ff,
    0x3e0002ff,0xff502fff,0x2fffe8df,0x50000000,0xfff83fff,0x5fffd005,
    0xbfff5000,0x013fffa0,0x00bfff70,0x000bfffa,0x0017fff4,0x002fffe8,
    0x005fffd0,0x7fffffd4,0xefffffff,0x01ffffc0,0x203fffe2,0x0002fffe,
    0x00bfff70,0x2a07fff9,0x7fec6fff,0xdfff505f,0xeeffffc8,0x6ffffeee,
    0xffff9800,0xffff3000,0x1ffffa01,0x037ffcc0,0x3e23ffff,0x7f443fff,
    0x7fc05fff,0x02203fff,0x80fffffe,0xfffff808,0xff802203,0x02203fff,
    0x001ffff9,0x20ffffe0,0x646ffffa,0x0000ffff,0x4001bfd5,0xccccfffe,
    0xfd005fff,0xf90005ff,0xdddddfff,0x800dffff,0xd005fffb,0x20005fff,
    0x0002fffe,0x0005fffd,0x800bfffa,0xfffffffa,0x80dfffff,0x5c05fffe,
    0xffd07fff,0x2e00005f,0xfc805fff,0xfff884ff,0x17fffc6f,0x7c6fffa8,
    0xffffffff,0x01ffffff,0x17fffc40,0x4ffff880,0x07ffffd8,0x40dfff30,
    0x3f61ffff,0xfea9bfff,0x5405ffff,0xacefffff,0xfa82fdba,0xaaceffff,
    0xffa82fdb,0xbaacefff,0x3fea02fd,0xbaacefff,0x7ffc42fd,0x5d440bff,
    0x1efffe82,0xdfffff71,0xbfffff88,0x2215d440,0x1006ffff,0xffffffff,
    0x3a00bfff,0xf8002fff,0xffffffff,0x01ffffff,0x017ffee0,0x0017fff4,
    0x002fffe8,0x005fffd0,0x00bfffa0,0xffffed98,0x202dffff,0x200ffffb,
    0xfd04fffe,0x200005ff,0xb805fffb,0x7f446fff,0x7ffc6fff,0xffffa83f,
    0x3ffffe66,0xffffffff,0xff8003ff,0x0660aeff,0x273ffff2,0x7fffffeb,
    0x0dfff300,0xf50ffffc,0xffffffff,0xb00bfffd,0xffffffff,0x3f605fff,
    0xffffffff,0xfffb02ff,0xffffffff,0xffffd805,0x2fffffff,0xffffffa8,
    0x84ffffff,0xfffffffc,0x86ffffff,0xfffffffa,0x544fffff,0x800fffff,
    0xfffffffc,0xd005ffff,0x98005fff,0xffffffff,0x3fffffff,0x17ffee00,
    0x017fff40,0x02fffe80,0x05fffd00,0x0bfffa00,0x7eccc400,0xff8801ff,
    0xffd80eff,0xfffd00ff,0x3ee00005,0xffa805ff,0xfffb9dff,0x7ff46fff,
    0xfff711ef,0x7ffdcdff,0xcccccccd,0x8005fffe,0xfffffffd,0xfff885ff,
    0xefffffff,0xff3007ff,0x7fffc0df,0x7ffffdc1,0x5ffe8eff,0xffffc880,
    0x02ffffff,0xffffff91,0x2205ffff,0xfffffffc,0x64402fff,0xffffffff,
    0xfff702ff,0xffffffff,0xfffff109,0xffd5ffff,0x3fffee0d,0x4fffffff,
    0x03ffffcc,0xcccefff8,0x005fffcc,0x8005fffd,0xcccdfffb,0xfffecccc,
    0x3ffee005,0x5fffd005,0x3fffa000,0xfffd0002,0x3ffa0005,0xfd80002f,
    0x3ff2006f,0xfecbceff,0x3fa03fff,0xcccccdff,0x55442ccc,0xaefffdaa,
    0xfff81aaa,0xefffffff,0x7ffe46ff,0xffffffff,0x3fffa6ff,0x7fffdc01,
    0x7ffc4000,0x05ffffff,0xfffffff5,0x00fff95f,0xf81bffe6,0xfea81fff,
    0xffd0cfff,0x7f6cc00b,0x00ceffff,0x7ffff6cc,0x6cc00cef,0xcefffffe,
    0xffdb3000,0x4019dfff,0xffffffd8,0xfb102dff,0x361bffff,0x3f6206ff,
    0xdfffffff,0x02fffc82,0xf03fffa8,0x35555dff,0x99bfffd0,0x45999999,
    0x5c01fffe,0xa880ffff,0xefffdaaa,0xfe81aaaa,0xcccccdff,0xffe82ccc,
    0xccccccdf,0xfffe82cc,0xcccccccd,0xdfffe82c,0xcccccccc,0x01fffc02,
    0xfffffd10,0x1dffffff,0x7fffff40,0x4fffffff,0x7fffffdc,0x4fffffff,
    0xffffffa8,0x46ffd9ff,0xfffffff8,0x16ffeaff,0xf100ffff,0x10005fff,
    0xfffffff9,0x7fff4c09,0x0fff91df,0x81bffe60,0x2201ffff,0x0000009a,
    0x40001333,0x20000999,0x80000999,0x88000999,0x20009aa9,0x00009a98,
    0x009aa988,0xfb000a98,0x3ffe01ff,0xe83fffff,0xffffffff,0xff14ffff,
    0xfff100ff,0xffff705f,0xffffffff,0xffffd09f,0xffffffff,0xfffffd09,
    0x9fffffff,0xffffffd0,0x09ffffff,0xfffffffd,0x409fffff,0x4000fff9,
    0xffffffd8,0xfe804fff,0xffffffff,0x7fdc4fff,0xffffffff,0xff504fff,
    0x3f61bfff,0xfffd886f,0xdffb0dff,0x4013ffea,0x0004fffe,0x000d54cc,
    0x00001551,0x7c0dfff3,0x00001fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0xff100000,0x7fffc0bf,0xfe83ffff,0xffffffff,0xfff54fff,
    0x3fffa009,0xfffffb84,0xffffffff,0xfffffe84,0x4fffffff,0xffffffe8,
    0x84ffffff,0xfffffffe,0xe84fffff,0xffffffff,0x2a04ffff,0x2e0005ff,
    0x2efffffe,0xfffffd00,0x9fffffff,0xffffffb8,0x4fffffff,0x0004d4c0,
    0x8009a988,0x9002fffd,0x0000ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfb800000,0x3ffe02ff,0xe83fffff,
    0xffffffff,0xffb4ffff,0x3ff2005f,0xffffb87f,0xffffffff,0xffffe84f,
    0xffffffff,0xfffffe84,0x4fffffff,0xffffffe8,0x84ffffff,0xfffffffe,
    0x004fffff,0x0d4c0000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80999800,0x31000999,
    0x4ccc1333,0x02666019,0x55302666,0x82cdca85,0x3002aaa9,0x15405555,
    0x4c000a98,0x4c000019,0x26209999,0x00001999,0x81540000,0x54c000a9,
    0x4cc00001,0x33000001,0x99881333,0x88000199,0x00019999,0x5554c000,
    0x33330000,0x0ccc0013,0x26660000,0x40aa0099,0x998000a9,0x99800001,
    0x26620999,0x20000199,0x510001a9,0x15799b97,0x55953100,0x3fff7013,
    0x8017ffa2,0x3f25fffe,0x3ee02fff,0xbffd11ff,0x3a6fff90,0x20efffff,
    0x802ffff9,0xfb04fffe,0x0effc8df,0x0bfff700,0x3fff2000,0x7ffdc0df,
    0xf000005f,0xffb005ff,0x00effc8d,0x2effffa8,0x3ee0016a,0x400005ff,
    0x80dffffc,0x005ffffb,0xbffffe80,0x800fdb98,0x99999999,0x003fff41,
    0x0dffffc8,0x0bfff700,0x3fff2000,0xdffb00df,0x000effc8,0x0017ffee,
    0xdffffc80,0x2ffffdc0,0x3ffea000,0x4416a2ef,0xfffffffc,0x3fea02ff,
    0x06ffffff,0xffd3fff9,0x7ffe400d,0x07fffee5,0x3a7fff20,0xfff906ff,
    0xfffffff5,0x5fffe8df,0x07fffcc0,0x88ffffcc,0xb803ffff,0x005fffff,
    0x1ffffe40,0x0bffff30,0xfffa8000,0x7fffcc00,0x07ffff11,0xffffff98,
    0x005ffdef,0x17ffffee,0x7ffe4000,0x7ffcc03f,0x7440005f,0xffffffff,
    0xffff800f,0xf11fffff,0xf90009ff,0x5c007fff,0x005fffff,0x1ffffe40,
    0x23ffff30,0x003ffff8,0x0bfffff7,0xffff9000,0x7fffcc07,0xfff30005,
    0xffbdffff,0xffffe88b,0x82ffffff,0xffffffd8,0x3f206fff,0x000effff,
    0x7d4bfff5,0x32000eff,0x00efffff,0xfffffff9,0x45ffffff,0x200ffffb,
    0xf105fffc,0x7ffc3fff,0x7ffd402f,0x0005fffb,0x003dfff9,0x00bfffb1,
    0x02ffe400,0xf0ffffc4,0xfb805fff,0xfffffcdf,0xff5002ff,0x00bfff7f,
    0x1efffc80,0xbfffb100,0xffb91000,0xffffffff,0xfffff001,0x3ea3ffff,
    0x7e4001ff,0x2a001eff,0x5fffbfff,0xdfff9000,0xffff8803,0x00bfffe1,
    0x3fefffea,0x3f20005f,0xd8801eff,0xb8005fff,0xffffcdff,0x7ff42fff,
    0xdcaabdff,0xffffe82f,0x06ffeeff,0x0077ffec,0x265fff88,0xb0005fff,
    0x6401dfff,0x31dfffff,0x7c49fffd,0x3fe03fff,0x3ff202ff,0x202ffdc5,
    0xff12fffa,0xffc8009f,0x7e4000df,0xa88005ff,0x02fffddb,0xfb8bff90,
    0x4477005f,0x003ffffc,0x3e25fff5,0xf90004ff,0x90001bff,0xa800bfff,
    0xffffffff,0xff001bdf,0x3fffffff,0x9001fff2,0x4001bfff,0xff12fffa,
    0xffc8009f,0xff9000df,0x805ffb8b,0xff12fffa,0xff90009f,0xfc8001bf,
    0x3b8005ff,0x0fffff22,0x807ffff1,0x67fffdc0,0xaa802880,0x2aa6000a,
    0x00155542,0x9002aaa0,0xf90dffff,0xfffc8bff,0x0ffff506,0x00620110,
    0x55106aaa,0x2aa20015,0x2a60002a,0x3f2001aa,0x2fffffff,0x0c402200,
    0x00cc4000,0x5106aaa0,0xa8800155,0x4c0002aa,0x2a001aaa,0xfffeffff,
    0xff80004f,0x09ffd1ff,0x01555440,0x220d5540,0x51000aaa,0x11000555,
    0x55400620,0x0555441a,0x05555100,0x0d554c00,0x01988000,0x003ffff3,
    0x004ffff8,0x00000000,0x64000000,0xfa80efff,0x7ffcc6ff,0x4fffd80f,
    0x00000000,0x00000000,0x3ffa6000,0xffffffff,0x00000002,0x00000000,
    0x00000000,0x82b2a000,0x001ffffd,0xa8ffffc0,0x000000aa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3bfffe20,0xffff1002,0x5d440001,
    0x00abccdc,0x9bcdba88,0x65cc0000,0x3ff201bc,0xdfff303f,0x887fffd0,
    0x5301ffff,0x2aa20355,0x0d554c2a,0x4c2aaa88,0x55101aaa,0x35553055,
    0xd0aaaa20,0xffbdffff,0x2003ffff,0x09bcdba8,0xcdba8800,0xa880009b,
    0x0009bcdb,0x9bcdba88,0xdba88000,0x440009bc,0x6ffffdb9,0x7fffc000,
    0x372a2001,0x2f2e21bc,0x32ea2002,0x800abccd,0xbccdcba8,0x32e6000a,
    0x730001bc,0x20003799,0x001bccb9,0x03799730,0x20355530,0x3fa2aaa8,
    0x01ceffff,0x001bffea,0x7ffffe44,0x6402ffff,0xffffffff,0xfff98002,
    0xc81effff,0xff303fff,0xdfff70df,0x206fffa8,0xf303fffc,0xfffc8dff,
    0x8dfff303,0xf303fffc,0xfff90dff,0x9bffe607,0xf51ffffb,0x01ffffff,
    0xffffffc8,0x3f2002ff,0x2fffffff,0x3ffff200,0x2002ffff,0xfffffffc,
    0x3ff2002f,0x02ffffff,0xffffff70,0x40007fff,0x7001ffff,0x7fffffff,
    0x0bfffff5,0xfffffc88,0x2202ffff,0xfffffffc,0xff9802ff,0x01efffff,
    0xffffff30,0x3e6003df,0x1effffff,0xfffff300,0x7e403dff,0xfff303ff,
    0x7ffffccd,0x5c0befff,0x88005fff,0xfffffffe,0xfd302fff,0xffffffff,
    0x7fdc00bf,0xffffffff,0x81fffe43,0xf886fff9,0x3ff61fff,0x3fff203f,
    0x8dfff303,0xf303fffc,0xfffc8dff,0x0dfff303,0x2607fff9,0xfff16fff,
    0x7e7fec5f,0xfd303fff,0xffffffff,0xffe980bf,0xffffffff,0x7fff4c05,
    0x5fffffff,0x7ffff4c0,0x05ffffff,0x7fffff4c,0x205fffff,0xffffffe8,
    0x0007ffff,0x4007fffe,0xfffffffc,0xffffffff,0xffffd104,0x05ffffff,
    0x3fffffa2,0x402fffff,0xfffffffb,0x7dc03fff,0xffffffff,0x7ffdc03f,
    0x3fffffff,0x7ffffdc0,0x903fffff,0x3e607fff,0x7ff446ff,0x1effffff,
    0x0017ffee,0x2f7ffffa,0xd02fdcaa,0xffffffff,0x5005ffff,0xd77dffff,
    0x7e43ffff,0xfff303ff,0x53fff60d,0x200ffff8,0xf303fffc,0xfffc8dff,
    0x8dfff303,0xf303fffc,0xfff90dff,0x5bffe607,0x3e26fffa,0x5fffb9ff,
    0xffffffd0,0x05ffffff,0x7ffffff4,0x02ffffff,0x3ffffffa,0x02ffffff,
    0x3ffffffa,0x02ffffff,0x3ffffffa,0x02ffffff,0x9bfffffb,0x007ffffd,
    0x007fffe0,0x7dd56fe4,0xffbeffff,0xfffe80ff,0xfdcaabdf,0xbffffd02,
    0x05fb9557,0x5f7fffd4,0x01ffffeb,0x77dffff5,0x203ffffd,0xbbeffffa,
    0x501ffffe,0xd77dffff,0xf903ffff,0x3fe607ff,0xffd7306f,0x2e1fffff,
    0x44005fff,0x0403ffff,0x067fffdc,0x00dffff5,0xfb05fffd,0x7ffe4bff,
    0x0dfff303,0x7ddfffe6,0x7fe404ff,0xdfff303f,0x303fffc8,0xffc8dfff,
    0xdfff303f,0x207fff90,0xff76fff9,0x9b7fdc7f,0xffb86fff,0x3fea0cff,
    0xfff706ff,0x7ffd419f,0xffff706f,0x7fffd419,0x9ffff706,0x37fffd41,
    0x0cffffb8,0x21bfffea,0xe84ffffa,0xf0005fff,0x2a003fff,0x26fffb80,
    0x7c42fff8,0x40403fff,0x403ffff8,0x0bfffa00,0x7417fff6,0xffd82fff,
    0x5fffd05f,0x20bfffb0,0xfd82fffe,0xfffc85ff,0x0dfff303,0xfffff930,
    0x017ffee7,0x03ffff30,0x4ffff880,0x07ffff30,0x8837ffdc,0xff90ffff,
    0x3ffe607f,0x2bfffa06,0x6401fffe,0xff303fff,0x3fffc8df,0xc8dfff30,
    0xff303fff,0x7fff90df,0x65bffe60,0x3ff63fff,0x88ffff14,0xf304ffff,
    0xff887fff,0xfff304ff,0xffff887f,0x7ffff304,0x04ffff88,0x887ffff3,
    0xf304ffff,0xfff87fff,0xffff905f,0xffff0001,0xff880003,0x227ff44f,
    0x001ffff9,0x01ffff98,0x0dfff700,0x703fffe2,0x3e20dfff,0x7fdc0fff,
    0xffff106f,0x06fffb81,0xc81ffff1,0xff303fff,0x7fcc00df,0xbfff74ff,
    0xffff8800,0x3fea002e,0x3ff600ff,0x3fff604f,0x47fffa02,0xf303fffc,
    0x7fdc0dff,0x806fffef,0xf303fffc,0xfffc8dff,0x8dfff303,0xf303fffc,
    0xfff90dff,0x5bffe607,0xff12fffd,0x1fffe23f,0x401ffff5,0x7d44fffd,
    0x3f600fff,0x7ffd44ff,0x3fff600f,0x07fffd44,0xa89fffb0,0x3600ffff,
    0x3fe24fff,0xfff301ff,0xfff0005f,0xff00003f,0x45ffd85f,0x02effff8,
    0x77fffc40,0xfffd8002,0x07fffa02,0x7405fffb,0x7fec1fff,0x3fffa02f,
    0x017ffec1,0xfc83fffd,0xfff303ff,0xffff800d,0x00bfff73,0xdfffffd0,
    0xfffb8039,0x2fffdc05,0x999fffd0,0xfffd9999,0x40ffff25,0x2206fff9,
    0x3fffffff,0x03fffc80,0xfc8dfff3,0xfff303ff,0x03fffc8d,0xf90dfff3,
    0x3fe607ff,0x27fff96f,0x3fe66ffb,0x2fffdc6f,0x717ffee0,0xfb80bfff,
    0x7ffdc5ff,0x2fffdc05,0x7017ffee,0xffb8bfff,0x7ffdc05f,0x01fffea5,
    0x0005ffff,0x0003ffff,0x9fff5531,0x0bffb555,0x9dfffffd,0x3fffa003,
    0xd001ceff,0x99999fff,0x85fffd99,0xccccfffe,0x2fffeccc,0x6667fff4,
    0xfffecccc,0x667fff42,0xffeccccc,0x1fffe42f,0xd56fff98,0xfff91037,
    0x17ffee3f,0x3fffe600,0x80beffff,0x5404fffc,0x3fe06fff,0xffffffff,
    0xf93fffff,0x3fe607ff,0x7ffec06f,0xfc800fff,0xfff303ff,0x03fffc8d,
    0xfc8dfff3,0xfff303ff,0x07fff90d,0x7e5bffe6,0x49ffb4ff,0x7e45fffa,
    0x7fd404ff,0x27ffe46f,0x91bffea0,0xfa809fff,0x7ffe46ff,0x37ffd404,
    0x5013fff2,0x7fdcdfff,0x7fffc06f,0xffff8003,0x3ffa6001,0xffffffff,
    0xf986ffff,0xefffffff,0x3ffe600b,0x0befffff,0x3fffffe0,0xffffffff,
    0x7ffffc3f,0xffffffff,0x7fffc3ff,0xffffffff,0x7ffc3fff,0xffffffff,
    0x7e43ffff,0xfff303ff,0x3ffffead,0x6ffffffe,0x0017ffee,0x7fffff44,
    0x7ec1efff,0x7fd404ff,0xffff307f,0xffffffff,0x3ff27fff,0xdfff303f,
    0xfffffa80,0x7fff9004,0x91bffe60,0x3e607fff,0x7ffe46ff,0x0dfff303,
    0x2607fff9,0xfff56fff,0x6c3fff1d,0x7fec3fff,0x7ffd404f,0x027ffec7,
    0xfb1fffea,0xffa809ff,0x27ffec7f,0xb1fffea0,0xfa809fff,0x3fff27ff,
    0x1ffff405,0x0ffffc00,0xfffffb80,0xffffffff,0xfd105fff,0xdfffffff,
    0x7fff4403,0x81efffff,0xfffffff9,0xffffffff,0x3ffffe63,0xffffffff,
    0x3ffe63ff,0xffffffff,0x3e63ffff,0xffffffff,0x43ffffff,0xf303fffc,
    0x3ffeadff,0xffffffff,0x17ffee0e,0xffd73000,0x641fffff,0x7dc05fff,
    0xfff106ff,0x5555555f,0x3f215555,0xfff303ff,0xffffd00d,0x3fff2001,
    0x8dfff303,0xf303fffc,0xfffc8dff,0x0dfff303,0x2607fff9,0xfff16fff,
    0x7d4dffdf,0x7fe40fff,0x7ffdc05f,0x02fffe46,0xf91bffee,0xffb80bff,
    0x2fffe46f,0x91bffee0,0xfb80bfff,0x3fff26ff,0x1ffffc05,0x0ffffc00,
    0x577ffc40,0x99afff99,0x4c009999,0xffffffeb,0x7f5cc00f,0x40ffffff,
    0xaaaffff8,0xaaaaaaaa,0x2bfffe20,0xaaaaaaaa,0x3ffe20aa,0xaaaaaaaf,
    0x3e20aaaa,0xaaaaafff,0x40aaaaaa,0xf303fffc,0x3ffa6dff,0xbeffffff,
    0x02fffdc0,0xfff93000,0x7ffdc7ff,0x27ffe406,0x001ffff0,0xf8000000,
    0x32005fff,0xff503fff,0x3fffc8df,0xc8dfff50,0xff503fff,0x7fff90df,
    0xc9bffea0,0x9bffffff,0xb84ffffb,0x7e406fff,0x7ffdc4ff,0x27ffe406,
    0x901bffee,0xffb89fff,0x7ffe406f,0x037ffdc4,0xfb93fff2,0x7ffc06ff,
    0xfff8002f,0xfffa801f,0x000fffc1,0xffffc980,0x3f26003f,0xff83ffff,
    0x3e0000ff,0x20000fff,0x0000ffff,0x0003fffe,0x503fffc8,0x5330dfff,
    0x7dc01355,0x800005ff,0x2a4ffff9,0x3e01ffff,0x3fa03fff,0x000002ff,
    0x3ffee000,0x3ff2001f,0xffff884f,0x427ffe46,0x646ffff8,0xff884fff,
    0xfffc86ff,0x6ffff884,0x7fffffec,0x80ffffff,0x201ffffa,0x7d43ffff,
    0x3fe01fff,0x7ffd43ff,0x3fffe01f,0x0ffffd43,0xa87ffff0,0x3e01ffff,
    0x3fea3fff,0xfff500ff,0xfff0001f,0xfff9003f,0x0007fff0,0x4ffff980,
    0xffff9800,0x02fffe84,0x0bfffa00,0x2fffe800,0x3fffa000,0x3ff20002,
    0xffff884f,0xff700006,0x200000bf,0x3e23ffff,0xff905fff,0x7fe401ff,
    0xa80000ff,0x54003fff,0x4004ffff,0x7446fffb,0x7dc6ffff,0x7ff446ff,
    0x7ffdc6ff,0x7ffff446,0x46fffb86,0x86ffffe8,0xfffffffd,0xff100dff,
    0x3ff20bff,0x7ffc40ff,0xffff905f,0x5ffff881,0x81ffff90,0x905ffff8,
    0xf881ffff,0xff905fff,0x7ffc41ff,0xfffe884f,0xffff0006,0x8fff9003,
    0x0006fffa,0x03ffff80,0x07ffff00,0x001ffff9,0x03ffff20,0x7fffe400,
    0xfff90000,0x3ee0001f,0x7ff446ff,0x3fea06ff,0x3ffee03f,0x0df54005,
    0x0ffffe44,0x2fbfffee,0x3ffffda9,0x7ffffc40,0x015d440b,0x5003ffee,
    0xdffffb55,0xffff5000,0xfffff73b,0xffffa8df,0xfffffb9d,0x7fffd46f,
    0xfffffb9d,0xffffa86f,0xfffffb9d,0xfffff06f,0xf7007dff,0xb537dfff,
    0x2e07ffff,0xa9beffff,0x703ffffd,0x537dffff,0x207ffffb,0x9beffffb,
    0x03ffffda,0x37dffff7,0x07ffffb5,0x35bffff9,0x05ffffd5,0x07fffe00,
    0x4c7ffee0,0xa83fffff,0x440df540,0x541ffffc,0xffc881be,0xfff881ff,
    0x5d440bff,0xfffff882,0x415d440b,0x0bfffff8,0x7c415d44,0x440bffff,
    0xfffa82ba,0xffffb9df,0x3fee06ff,0x3ffee00f,0x7ffd4005,0xfffffeff,
    0xffffd06f,0xdfffffff,0x3fffea00,0xffffffff,0x037fec04,0x7ffffffc,
    0xfff0000f,0xdfffffff,0xffff0dff,0xfdffffff,0xfffff0df,0xffdfffff,
    0x3ffffe0d,0xffefffff,0xabfff986,0xfffe8001,0xffffffff,0x7ffff406,
    0x6fffffff,0x7fffff40,0x06ffffff,0x7ffffff4,0x406fffff,0xfffffffe,
    0xf106ffff,0xffffffff,0x3100bfff,0xffff3333,0xf5033335,0xffffbfff,
    0xffdbdfff,0xfffffa81,0x6ffffffe,0xefffffa8,0x06ffffff,0x3fffffea,
    0x04ffffff,0xfffffff5,0x209fffff,0xfffffffa,0x504fffff,0xffffffff,
    0x3e09ffff,0xffffffff,0x3606ffef,0x7fdc06ff,0x7fd4005f,0xffffffff,
    0xffd300ef,0xbfffffff,0x7ffdc001,0xffffffff,0x027ff404,0x6ffffffc,
    0x3fea0000,0xd9ffffff,0xfffa86ff,0xfd9fffff,0xffffa86f,0xffd9ffff,
    0xfffff506,0xdffb3fff,0x000bff90,0xfffffe98,0x400dffff,0xffffffe9,
    0x4c00dfff,0xfffffffe,0x74c00dff,0xffffffff,0x7f4c00df,0xffffffff,
    0x3ffea00d,0x5fffffff,0xfffff700,0xffffffff,0xffffd03f,0xffff55ff,
    0xfa81ffff,0xffffffff,0xffa80eff,0xffffffff,0x7fdc00ef,0xffffffff,
    0x3ffee04f,0xffffffff,0x3fffee04,0x4fffffff,0x3ffffee0,0x04ffffff,
    0xfffffff5,0x40dffb3f,0x7dc04ffe,0x74c005ff,0xffffffff,0xfeb800be,
    0x002effff,0xfffffb10,0x4405bfff,0xff801fff,0x00002def,0x1bfffff5,
    0x7d41bff6,0xfb0dffff,0x3ffea0df,0xdffb0dff,0x7ffffd40,0xd0dffb0d,
    0x200007ff,0xefffffeb,0x7ff5c002,0x4002efff,0xefffffeb,0x7ff5c002,
    0x4002efff,0xefffffeb,0xfff91002,0x4005dfff,0xfffffffb,0x1fffffff,
    0x2efffe88,0x3fffffea,0x7fff4c0d,0x0befffff,0xfffffd30,0x0017dfff,
    0x3fffff62,0x4402dfff,0xfffffffd,0x7ec402df,0xdfffffff,0x7ffec402,
    0x02dfffff,0x37ffffea,0x220dffb0,0x7dc01fff,0x260005ff,0x0009aaa9,
    0x00035310,0x09aa9880,0x26200000,0x26000000,0x2600009a,0x2600009a,
    0x4c00009a,0x3220009a,0x400000cc,0x80001a98,0x80001a98,0x80001a98,
    0x80001a98,0x40001a98,0x80009a98,0xfffffffb,0x1fffffff,0xa9802a60,
    0xa998009a,0x4c0009aa,0x0009aaa9,0x04d54c40,0x9aa98800,0x55310000,
    0x26200013,0x4c0009aa,0x0000009a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x55440000,0x80333001,0x0015302a,0x400006a6,0x40000199,
    0x22099999,0x00019999,0x009aa988,0x4c409980,0x00000009,0x57999530,
    0x00055555,0x33004ccc,0x10099881,0x50001333,0x6e5c4555,0x42aa982b,
    0x4002cdca,0x26099998,0x00001999,0x440aaa98,0x00000999,0x98001553,
    0x80009999,0x99999999,0x3bb50001,0x99980000,0x5d4c0099,0x13a89acc,
    0x00001333,0x2f3732a6,0x02a6000a,0x2b9802a2,0x3bfffee0,0x81bff201,
    0x7fe46ffd,0x3ffea00e,0x8016a2ef,0x0005fffb,0x1bffff90,0x05ffffb8,
    0xffffd500,0x22003bff,0x17ff46ff,0x6f7f64c0,0xffd88003,0xffffffff,
    0xf98000ff,0xdff106ff,0xf902ffe8,0xff0007ff,0x3fffeedf,0xbffe44ff,
    0xefffffe9,0xbfffd000,0x017fffe4,0x7ffec000,0x02fffdc0,0x3fffa200,
    0x4c07a23f,0x001fffff,0x7ffffffc,0x7d4001ff,0x00000fff,0x01bffff9,
    0x3fffffea,0xff76ffff,0xfc8000bf,0xffffffff,0xfffa804f,0x20bffe61,
    0xfb86fffc,0x80ffffff,0xf300fff9,0x3fe23fff,0xfff303ff,0xffbdffff,
    0xffff700b,0xfc8000bf,0x3e603fff,0x64005fff,0xffffffff,0xfff001ff,
    0x03fff95b,0xffffffc8,0xff1001ef,0xffffffff,0x0001ffff,0x7c0dfff3,
    0xfffcadff,0x07fff901,0xf7ffff00,0x9fffffff,0x7fd7ffe4,0x06ffffff,
    0x2e5fffc8,0x0001ffff,0x4cbfff00,0x99dfffb9,0x7ff40019,0xffdeffff,
    0xfffb100f,0x7ffc003f,0x01ffffff,0x1ffffec0,0x7ffe4000,0xfffb103f,
    0xffffffff,0x017ffeed,0xfffffb00,0x09ffffff,0x364fffe8,0x7fcc5fff,
    0x7ffc3fff,0xe83ffeab,0x3fe203ff,0x3fffe1ff,0xf9bff702,0x05ffffff,
    0xffbfffa8,0xff90005f,0xfb1003df,0x3ea00bff,0xffeeffff,0xfb800fff,
    0x04ffffff,0x7fffffe4,0xe800efff,0xfc9adfff,0x00ccdfff,0x06fff980,
    0x3fffffee,0x3fff204f,0xffff8003,0xfffeffff,0xffff90ff,0xffffffff,
    0x7ffd405f,0x03bffea5,0x06aaa600,0xff8bffe6,0xffffffff,0xdff3001f,
    0xffffffd9,0xffff700b,0x3fffe003,0x001fffff,0x01ffffec,0x3bfff200,
    0x3ffff601,0xffffdcdf,0x00bfff76,0xbcdffd80,0x1fffffca,0xd93fffa0,
    0x7fd45fff,0x3fe64fff,0xf717fea6,0xbff900df,0x5c05ffb8,0x3ffff223,
    0x97ffd403,0x4004fff8,0x000dfffc,0x402fffe4,0x260cffff,0x7002ffff,
    0x019fffff,0x4dffffcc,0x404ffffb,0xf986fff9,0x4c0006ff,0x7dc06fff,
    0x200cffff,0x8003fffc,0x0cffffff,0x327ffff1,0x31dfffff,0x2209fffd,
    0x3fe65fff,0x3f20005f,0xfffb84ff,0x3fffffe0,0x001fffff,0xffff7166,
    0x3fe6001b,0xff0001ff,0xf98003ff,0x20000fff,0x200dfffc,0x984ffffa,
    0xfff76fff,0x01b8000b,0x813fffa2,0x3e20eff9,0x7ffcc1ff,0x93fea3ff,
    0x3fe66ff9,0x2011001f,0x26200018,0x83555001,0x1000aaa8,0x40005555,
    0x2601aaa9,0xfd80ffff,0x2a2003ff,0xffb801ac,0x2fffd43f,0x40bffea0,
    0x0000fffe,0x201bffe6,0xc801aca8,0xf8003fff,0xfc84ffff,0xffff94ff,
    0x0bfff90d,0x5550aaa6,0xffc80005,0x45ffd84f,0xeffffeee,0x80001eee,
    0x88000a98,0xf0002aaa,0x30003fff,0x44000177,0xfe802aaa,0xfff305ff,
    0x017ffeed,0x3fee0000,0x300c405f,0x237ffec0,0x3fea5ffa,0x000fffa5,
    0x00000000,0x00000000,0x3ea00000,0xfffb06ff,0xd8000007,0xfff80fff,
    0x17ffdc06,0x001fffc8,0x01bffe60,0x7ffe4000,0xffff8003,0x29fff705,
    0xa80efffc,0x00006fff,0x7ffe4000,0x700aaa84,0x0000bfff,0x00000000,
    0x41ffff80,0x00000000,0x3fffe600,0x2dfff301,0x0005fffb,0x6fffa800,
    0x65400000,0x90fff983,0x1bfee9ff,0x9b995300,0x2a600157,0x00abcdcc,
    0x79b99530,0x32a60015,0x000abcdc,0x2f3732a6,0x4fffc80a,0x00ffff98,
    0x22035553,0x7fec2aaa,0x2fffcc1f,0x413ffea0,0x31007ffe,0xfff99995,
    0xcdba880d,0x3ff2009b,0x2af2e63f,0x02ffff80,0x3f235551,0xfff303ff,
    0x01aaa98d,0x00055551,0x0013fff2,0x002fffdc,0x55555550,0x2aa00155,
    0x0aaaaaaa,0x1ffff800,0xaaaa8bb3,0x800aaaaa,0x6e542aa9,0xffff502c,
    0xbb7ffcc0,0x55105fff,0xaa880555,0x6fffdccc,0x55555550,0xd0000155,
    0x1fffdfff,0x2003fff1,0xfffffffc,0x3f204fff,0xffffffff,0x3fff204f,
    0x4fffffff,0x3fffff20,0x404fffff,0xfffffffc,0x7fe44fff,0x7fffcc3f,
    0x0ffff204,0x2e37ffcc,0x7fec4fff,0x7ffc403f,0x37ffdc1f,0x7ffffd40,
    0x206fffff,0xfffffffc,0x7fff902f,0xdfffffd1,0x02ffff81,0x81fffe40,
    0x7e46fff9,0xfff303ff,0x3ff2000d,0xff70004f,0x37f6e29f,0x3fffe00c,
    0x001fffff,0xffffffff,0xfff0003f,0xf8bffb5f,0xffffffff,0x37ffc801,
    0x1dfffffd,0x206fffb8,0xff76fff9,0xfffd10bf,0x3ff6603f,0xffffffff,
    0xffffff06,0x00003fff,0x7ffffff3,0xd8013ff6,0xffffffff,0xffb04fff,
    0xffffffff,0x3fff609f,0xffffffff,0xfffffb04,0x09ffffff,0x7fffffec,
    0x324fffff,0x3fe63fff,0x7fe404ff,0xdfff303f,0x89ffff98,0x9006fffd,
    0xfd9dffff,0x6c403fff,0xffffffff,0xfe986fff,0xffffffff,0xcfffc85f,
    0xfffffffe,0x0bfffe1f,0x07fff900,0xf91bffe6,0x3fe607ff,0xff90006f,
    0x3ee0009f,0xffff9cff,0xfff01fff,0x03ffffff,0x3fffffe0,0xf8001fff,
    0x5fffffff,0x7ffffffc,0xffc801ff,0xffffffaf,0x7ffe46ff,0x5bffe605,
    0xfd85fffb,0xff702fff,0xffffffff,0x3ffe0dff,0x01ffffff,0xbddb1000,
    0x001bfee3,0x9579bffb,0xb03fffff,0xf9579bff,0xfb03ffff,0xff9579bf,
    0xffb03fff,0xfff9579b,0x3ff603ff,0xfffcabcd,0x7fff91ff,0x4027fff4,
    0xf303fffc,0xfffb0dff,0x01dffffd,0x3ffffea0,0x403fffff,0xcdfffffd,
    0xe86ffffd,0xffffffff,0x7e42ffff,0xfeffffff,0x3fe5ffff,0x7e4002ff,
    0xfff303ff,0x03fffc8d,0x000dfff3,0x0013fff2,0x7fefffdc,0x06ffffff,
    0xfffddddb,0x3bb6003f,0x01ffffee,0xffffff80,0x7776c3ff,0x801ffffe,
    0xfffffffc,0x22ffffff,0x2605fffc,0xfff76fff,0x3ffffc8b,0x7dffff50,
    0xdfff9555,0x3fbbbb60,0x00001fff,0x00fffc40,0xfe8806e0,0x201b84ff,
    0xb84fffe8,0x3fffa201,0x3a201b84,0x03704fff,0xca7fff44,0xfff33fff,
    0x3fff200f,0x0dfff303,0xfffffff1,0x3fe2001b,0xcfffffef,0x7fffd400,
    0x46fff984,0x20cffffb,0x646ffffa,0x21dfffff,0xff0ffffd,0xfc8005ff,
    0xfff303ff,0x03fffc8d,0x000dfff3,0x0013fff2,0x7fffffdc,0x2fffffce,
    0x03ffff00,0x0ffffc00,0xffffb100,0x3e0019ff,0xfc801fff,0xd31dffff,
    0x7fdc9fff,0x3ffea06f,0x54bfff76,0x3604ffff,0xff505fff,0x7ffc00df,
    0x4000001f,0x00004ffd,0x00bfff70,0x017ffee0,0x02fffdc0,0x05fffb80,
    0x57ffee00,0xff53fffc,0x3ff200ff,0xdfff303f,0x3fffff60,0x3ffe4002,
    0xfff80031,0xdfff305f,0x827fffc4,0x323ffff9,0xff06ffff,0x3fffe7ff,
    0x7ffe4002,0x8dfff303,0xf303fffc,0x32000dff,0x70004fff,0xe89fffff,
    0xff003fff,0x7c0003ff,0xc8801fff,0x0cffffff,0x0ffffc00,0x37fffe40,
    0xf52fffe4,0xfd101fff,0x3ffeedff,0x09ffff35,0x502ffff8,0x7c00dfff,
    0xdb801fff,0x3fea000c,0x2a000006,0x50006fff,0x2000dfff,0x0006fffa,
    0x000dfff5,0xfcb7ffd4,0xffff13ff,0x7fff9007,0x11bffe60,0x5ffffffd,
    0xfe83ccc8,0x3e60007f,0xff301fff,0x7fffd4df,0x93fff600,0xb00efffc,
    0x3ffebfff,0x7fe4002f,0xdfff303f,0x303fffc8,0x2000dfff,0x0004fffc,
    0x90bffff7,0x3e009fff,0x20001fff,0x5401ffff,0xffffffff,0xffff8001,
    0xefffc801,0x26fffa80,0xe83ffff8,0xff76ffff,0xbffff1bf,0x07ffff00,
    0x00dffff5,0x200ffffc,0x800ffffd,0x0001fff8,0xdcccaa88,0x54406fff,
    0xfffdccca,0x66554406,0x406fffdc,0xfdcccaa8,0xaa8806ff,0x6fffdccc,
    0x7f47fff9,0x7e404fff,0xfff303ff,0xfffffd8d,0xfff10fff,0x7dfffb0b,
    0xa8033355,0x3e607fff,0x3ffee6ff,0x2fffdc05,0x5c07fff9,0xffff6fff,
    0xfffc8005,0x8dfff303,0xf303fffc,0x32000dff,0x70004fff,0x3ee0dfff,
    0xfff005ff,0x7fc0003f,0x7fdc01ff,0x01ffffff,0x01ffff80,0x303fffc8,
    0xffd8dfff,0xfffb9bff,0xfff76fff,0x00dfffdb,0x447bfffa,0x06fffffb,
    0x807fffe0,0x03fffff9,0xfd34ffd8,0xfb3007df,0xffffffff,0x3ff660df,
    0xffffffff,0xffffb306,0x0dffffff,0x3fffff66,0x206fffff,0xffffffd9,
    0xff96ffff,0x7fffcc7f,0xfff900ef,0x9bffe607,0xfe8efffb,0xfff88eff,
    0xfffffb84,0x2effffff,0x206fffb8,0x3f26fff9,0x7fd404ff,0x0ffff26f,
    0xff7fffb8,0xfc8005ff,0xfff303ff,0x03fffc8d,0x000dfff3,0x0013fff2,
    0xb82fffdc,0xff005fff,0x7c0003ff,0x7dc01fff,0x1ffff8cf,0x1ffff800,
    0x03fffc80,0xf98dfff3,0xffffffff,0xff76ffff,0x01ffffff,0x3fffff20,
    0xffffffff,0x3fffe006,0x3fffea01,0x7ffd404f,0xffffffa8,0x3fffee04,
    0xffffffff,0xfffffb86,0x6fffffff,0xffffffb8,0x86ffffff,0xfffffffb,
    0x706fffff,0xffffffff,0x3f2dffff,0x7ffd43ff,0xffc80eff,0xdfff303f,
    0xf88ffffc,0xfffadfff,0xfffff903,0xbfffffff,0x205fffc8,0x3f66fff9,
    0x7fd404ff,0x0ffff27f,0xff6fffa8,0xfc8005ff,0xfff303ff,0x03fffc8d,
    0x000dfff3,0x0013fff2,0xb82fffdc,0xff005fff,0x7c0003ff,0x65c01fff,
    0x007fffe0,0x007fffe0,0x4c0ffff2,0xffb86fff,0xfaffffff,0xdfff76ff,
    0x200bffff,0xfffffff8,0x06ffeaff,0x807fffe0,0x02fffff8,0x3e2bffe2,
    0x1fffddff,0xbeffffa8,0x6fffcaaa,0x5f7fffd4,0x6fffcaaa,0x5f7fffd4,
    0x6fffcaaa,0x5f7fffd4,0x6fffcaaa,0xbeffffa8,0x6fffcaaa,0xf307fff9,
    0xf90bffff,0x3fe607ff,0x8dfff36f,0xffeffffa,0xfffe982f,0xffffeeee,
    0x3fff23ff,0x9bffe605,0x5c05fffc,0x3ff26fff,0x3ffee03f,0x005ffff5,
    0x303fffc8,0xffc8dfff,0xdfff303f,0x3fff2000,0xfff70004,0x17ffee0b,
    0x00ffffc0,0x03ffff00,0x03ffff00,0x03ffff00,0x207fff90,0xd506fff9,
    0xf11bffff,0x3ffeedff,0x03ffffad,0xfffffb10,0x01bff61b,0x401ffff8,
    0x6c05fffb,0x4bff55ff,0xffd83ffd,0xdfff505f,0x505fffd8,0xffd8dfff,
    0xdfff505f,0x505fffd8,0xffb0dfff,0x3ffea0bf,0x207fff96,0xc87fffe8,
    0xff503fff,0x17ffeadf,0x3fffffee,0x2fffe886,0x4dfffd30,0x2a06fffb,
    0x3fee6fff,0x7ffe406f,0x80ffff24,0x0004fffd,0x7ffd4000,0x81fffe45,
    0x0006fffa,0x0009fff9,0x5c17ffee,0xff005fff,0x7c0003ff,0xf8001fff,
    0xf8001fff,0xfc801fff,0xfff303ff,0x209a880d,0xff76fff9,0x3ffff2bf,
    0x26a62002,0x00bffe60,0x801ffff8,0x7fd401a8,0x5c7ff70f,0xffff84ff,
    0x8dfff502,0xf502ffff,0xffff8dff,0x8dfff502,0xf502ffff,0xffff0dff,
    0x5bffea05,0x2a03fffc,0x7e41ffff,0xfff884ff,0x0dfff56f,0x0ffffff6,
    0x5017ffee,0x7fd4ffff,0xffe880ff,0x3fffea6f,0x8ffffe01,0xf103fffc,
    0x00005fff,0x4fffc800,0x4427ffe4,0x0006ffff,0x0009fff9,0x5c17ffee,
    0xff005fff,0x7c0003ff,0xf8001fff,0xf8001fff,0xfc801fff,0xfff303ff,
    0x3fe6000d,0x4bfff76f,0x000ffffe,0x01fffc40,0x007fffe0,0x17ffc400,
    0x7fd47ff9,0x83ffff84,0x7c6ffffa,0xffa83fff,0x7fffc6ff,0x6ffffa83,
    0x541ffffc,0xff86ffff,0xfffa83ff,0x07fff96f,0x20ffffc4,0x7446fffb,
    0xff16ffff,0x3ffa03ff,0xfffc81ff,0x2fffdc05,0xd07ffff1,0x7c4dffff,
    0xff905fff,0x7ffe41ff,0x1ffffb03,0x00fffea0,0x3fffe200,0x237ffdc2,
    0x06ffffe8,0x09fff900,0x17ffee00,0x802fffdc,0x0001ffff,0x0007fffe,
    0x0007fffe,0x2007fffe,0xf303fffc,0x26000dff,0xfff76fff,0x77fffccb,
    0x3ff20000,0xffff8007,0xff900001,0x325ffb8b,0xfffe83ff,0xffff711e,
    0xefffe8df,0xfffff711,0x1efffe8d,0xdfffff71,0x11efffe8,0x0dfffff7,
    0x223dfffd,0x96fffffb,0x90627fff,0xff50ffff,0xfff73bff,0x7ffcdfff,
    0xff930aff,0xff70dfff,0x3fea07ff,0x7ffec3ff,0xffffb9bf,0x7ffdc6ff,
    0xffda9bef,0x7ffe43ff,0x3fff660d,0x3ffee03f,0x3ee60000,0xffa86fff,
    0xfffb9dff,0x90006fff,0x20009fff,0xf705fffb,0x99988bff,0x9affff99,
    0x99988199,0x9affff99,0x26662199,0x9affff99,0x26662199,0x9affff99,
    0xfffc8199,0x0dfff303,0x5bffe600,0x7dc5fffb,0x20005fff,0x26207ffe,
    0xffff9999,0x8001999a,0x7cc0fff9,0x0fffbcff,0xffffffc8,0x6fffffff,
    0x7fffffe4,0x6fffffff,0x7fffffe4,0x6fffffff,0x7fffffe4,0x6fffffff,
    0xffffffc8,0x6fffffff,0x3ea7fff9,0x4fffffff,0xfffffff0,0x4dffdfff,
    0xfffffffa,0xffffffff,0x7ffffc44,0xffffeeef,0xffff984f,0xfeffffff,
    0xffffe86f,0x6fffffff,0xffffffc8,0x05ffffff,0x00037fec,0x3ffffff1,
    0x3fffffe0,0x6ffeffff,0xdfff9000,0x99999999,0x0bfff709,0xf717ffee,
    0xffffffff,0xb83fffff,0xffffffff,0x71ffffff,0xffffffff,0x23ffffff,
    0xfffffffb,0x1fffffff,0x981fffe4,0x30006fff,0x3feedfff,0xffffd85f,
    0xfffb0003,0xfffb87df,0xffffffff,0x74001fff,0xfffb02ff,0x3e209fff,
    0xffffffff,0x7c46ffea,0xffffffff,0x7c46ffea,0xffffffff,0x7c46ffea,
    0xffffffff,0xf886ffea,0xffffffff,0xff96ffea,0x3fffea7f,0x3ea05fff,
    0x9fffffff,0x7fe46ffd,0xffffffff,0x4c3ffffd,0xffffffff,0x2e04ffff,
    0xffffffff,0xe986ffd9,0xffffffff,0xfffc80df,0xffffffff,0x27ff400c,
    0xffff1000,0x7ffd405f,0xfd9fffff,0xff90006f,0xffffffff,0xfff70fff,
    0x17ffee0b,0xfffffff7,0x3fffffff,0xffffffb8,0xffffffff,0xffffff71,
    0xffffffff,0x3ffffee3,0xffffffff,0x1fffe41f,0x006fff98,0x2edfff30,
    0xfe885fff,0xa8002fff,0x5c3fffff,0xffffffff,0x01ffffff,0x9017ff20,
    0x8807ffff,0x0dfffffd,0xfb10dffb,0x361bffff,0xffd886ff,0xffb0dfff,
    0xffffb10d,0x1bff61bf,0x7ffffec4,0x32dffb0d,0xfff53fff,0xf5005dff,
    0x361bffff,0xffd986ff,0xf90cffff,0xda885fff,0xbeffffff,0xfffea800,
    0x0dffb0df,0x7fffff5c,0x3f6e602e,0x1dffffff,0x01fff880,0x33bfe200,
    0xffffa800,0x0dffb0df,0x3ffff200,0xffffffff,0x05fffb87,0xfb8bfff7,
    0xffffffff,0x5c1fffff,0xffffffff,0x71ffffff,0xffffffff,0x23ffffff,
    0xfffffffb,0x1fffffff,0x981fffe4,0x30006fff,0x3feebddd,0xffff305f,
    0xdb50003f,0xfffb83bd,0xffffffff,0x00001fff,0x22000cc0,0x100009a9,
    0x20001353,0x00009a98,0x00013531,0x0004d4c4,0x00066620,0x00004d4c,
    0x00001553,0x220000c4,0x4400009a,0x310001a9,0x00000133,0x20000800,
    0x000009a9,0xffffffc8,0x07ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0xccccccc8,0x266601cc,0x00199999,0x26666660,0x73000199,
    0x4c403799,0x4c000099,0x09998099,0x26666000,0x33100009,0x26660133,
    0x00099980,0x20000ccc,0xaa880cca,0x0666001a,0x33001998,0x800ccc03,
    0x1a980199,0xa8555300,0x3000abdc,0x00133033,0x33301333,0x80d554c1,
    0x2202aaa8,0xcccccccc,0x0d554c1c,0x801aaa98,0xcc8802b9,0x1ccccccc,
    0x00bdb800,0x55533000,0x66664403,0x001ccccc,0x4c000ccc,0x802ccccb,
    0xfffffff8,0x3ffe02ff,0x01ffffff,0xffffff00,0x4c003fff,0xefffffff,
    0x03fffc81,0x8fffdc00,0x0005ffe8,0x037ffff2,0x3fffea00,0x3fff701e,
    0x0017ffa2,0x000bfff7,0xf07fffea,0x807fffff,0xfea86ffc,0x6ffc807f,
    0x807ffea8,0x3ea06ffc,0x16a2efff,0x3fa6fff9,0x800effff,0x3fee1ffe,
    0x1fffb805,0xfc8bffd1,0xfff303ff,0x7fffc40d,0x6c2fffff,0xff703fff,
    0xfffc809f,0x7fffc406,0x002fffff,0x0037ffe4,0x3ffffaa0,0xfff107ff,
    0x05ffffff,0x02fffdc0,0xffffff50,0x7fc405ff,0x2fffffff,0x3fffffe0,
    0xf0001fff,0xffffffff,0x3ffee003,0x3fffffff,0x001fffe4,0x74fffe40,
    0x320006ff,0x0003ffff,0x01bffff5,0xfe9fffc8,0x7fdc006f,0xe8005fff,
    0x7fc4ffff,0x300ffffe,0x7f441fff,0x7cc07fff,0x3ffa20ff,0x7fcc07ff,
    0xffff300f,0xbffbdfff,0x7fd7ffe4,0x1fffffff,0x5d77fe40,0xf9004fff,
    0x0dffd3ff,0x2607fff9,0x3e206fff,0xffffffff,0x81fffec2,0x2604fffb,
    0x203fffff,0xfffffff8,0x7fc002ff,0xb0001fff,0xffffffff,0x3fffe20f,
    0x002fffff,0x0bfffff7,0x3bbbfea0,0x2a00ffff,0xaaaaaaaa,0x3ffffe00,
    0x0001ffff,0xffffffff,0xfff5003f,0xfffd77df,0x1fffe43f,0xfffc8000,
    0x90000eff,0x0003dfff,0x00ffffea,0xefffffc8,0x3ffea000,0x4005fffb,
    0x044ffffe,0x7f407ffe,0xffefe83f,0x41fff407,0x407ffefe,0x3ee03ffe,
    0xfffffcdf,0x3fff22ff,0xfffeffff,0x7fc405ff,0x00ffffff,0x3fffff20,
    0x3fffc80e,0x80dfff30,0xaaaaaaaa,0x1fffec0a,0x204fffb8,0x04fffffa,
    0x55555554,0x7f4000aa,0xb8001fff,0xfeffffff,0x2aaaa07f,0x800aaaaa,
    0xfffbfffa,0x4c0a9805,0x00002fff,0x0ffffc00,0xffff0000,0x5fffd003,
    0x64bfffb0,0x00003fff,0x003bfff6,0x06fffe40,0xefffa800,0xfffd8001,
    0x3fea000e,0x09fff12f,0x07fffd40,0x837fedd4,0x15506ffb,0x7fdc0fff,
    0xfff15506,0x4037fdc0,0x3fff223b,0x7fffe43f,0x3fff61df,0x7ff4c00f,
    0xd8001eff,0xf900efff,0x3fe607ff,0xd800006f,0xff703fff,0x7ffcc09f,
    0x000003ff,0x05fffa80,0xdffff880,0x00000c40,0x44bffea0,0x20004fff,
    0x00003ffe,0x0ffffc00,0xffff0000,0x6fffb803,0x21ffff10,0x0003fffc,
    0x00055540,0x002aaa88,0x00555540,0x00155500,0x5441aaa8,0x32a000aa,
    0xfffff00c,0x03fff303,0xf307ff88,0xff8803ff,0x03fff307,0xc80cc400,
    0xff06ffff,0x2ea007ff,0x5540001b,0x3fff200a,0x0dfff303,0xfffb0000,
    0x13ffee07,0x00dfffb0,0x54c00000,0xfff30002,0x0000001f,0x5106aaa0,
    0xb9300155,0x807fffdd,0x09bcdba8,0x1ffff800,0x3ffe0000,0x7ffec01f,
    0x47fffa02,0x0003fffc,0x00000000,0x00000000,0x00000000,0xffddb000,
    0x03ffe89f,0xfd07ff88,0xfff1007f,0x000fffa0,0xdfff9000,0x17fff601,
    0x00000000,0x303fffc8,0xa980dfff,0x80abcdcc,0xf703fffd,0x795009ff,
    0xbccb9800,0x00000001,0x8017ffea,0x5101aaa9,0x00000555,0xfffffe88,
    0x3f203fff,0x2fffffff,0x0ffffc00,0xffff0000,0xcfffe803,0xfecccccc,
    0x7fff92ff,0x10166e54,0x55555555,0x50355555,0x6e5c4555,0x5555402b,
    0x000aaaaa,0x65c45555,0x555402bd,0x00aaaaaa,0x00355500,0x7fdcdff7,
    0x0fff1006,0x2200dff7,0x6ffb87ff,0x542aa980,0xffc82cdc,0x3ffee03f,
    0xaaaaaa86,0xa9800aaa,0x166e542a,0x981fffe4,0xff906fff,0xffffffff,
    0x03fffd89,0x0009fff7,0xfffff300,0x54403dff,0xaaaaaaaa,0x6401aaaa,
    0x32004fff,0xff303fff,0x00aaaadf,0xfe855530,0xffe99bff,0xffffe983,
    0x05ffffff,0x007fffe0,0x1ffff800,0x7fffffc0,0xffffffff,0x35fff93f,
    0x1dfffffd,0xffffff30,0x9fffffff,0x3eedfff0,0x204fffff,0xffffffff,
    0xdfff001f,0x3fffffee,0x3ffffe04,0x0001ffff,0xab88bffd,0xf16ffeaa,
    0x3e2003ff,0x0fffc47f,0x447ff880,0xfc801fff,0xffffd37f,0x7ffe41df,
    0x1fffee03,0x3ffffffe,0xffc801ff,0xfffffd37,0x1fffe41d,0xb06fff98,
    0xffffffff,0x7fec9fff,0x9fff703f,0xffb80000,0xffffffff,0xfffff303,
    0xffffffff,0x4fffc809,0x0ffff200,0xfdb7ffcc,0x3f6001ff,0x0bffe27f,
    0xffd07ffd,0xffffffff,0x3fe005ff,0x200001ff,0x2601ffff,0xffffffff,
    0x3fffffff,0xfff9fff9,0x30dfffff,0xffffffff,0xf09fffff,0xffff7fff,
    0x3e09ffff,0xffffffff,0x7ffff001,0xffffffff,0x3ffffe09,0x0001ffff,
    0xff98bfff,0xfb1fffff,0x7fc4009f,0x0027fec7,0xffd8fff1,0x5fff9004,
    0xffffffff,0x01fffe4d,0xff0dfff5,0x3fffffff,0xf5fff900,0xdfffffff,
    0x981fffe4,0xffb06fff,0xfff9579b,0x3fff63ff,0x09fff703,0x7ffd4000,
    0xfffebbef,0xffff981f,0xffffffff,0x7ffe404f,0x3fff2004,0x2dfff303,
    0x2002fffc,0x3fe26ffe,0x7fffb34f,0x0cffffb8,0x01bfffea,0x000ffffc,
    0x03ffff00,0x557fffc4,0xaaaaaaaa,0xfffff90a,0xffffffff,0xfffff985,
    0xffffffff,0xffffff83,0xfffffeff,0xfeeeed80,0xff001fff,0xfdffffff,
    0xdb01ffff,0x3ffffddd,0xdfff1000,0xbeeffe98,0x800dff70,0x3fee4cc8,
    0x26644006,0x6400dff7,0xffffffff,0xf92fffff,0x7fdc07ff,0xeeeed85f,
    0xc801ffff,0xffffffff,0xf92fffff,0x3fe607ff,0x4403706f,0xffb4fffe,
    0x3ffee07f,0x3fa00004,0xfffd82ff,0xfffff985,0xffffffff,0x3fbbbae3,
    0xeeeeffff,0x7ffe42ee,0x2dfff303,0x2003fffb,0x7ff45fff,0x3fffffff,
    0x413fffe2,0x803ffff9,0xd881ffff,0xfff002ef,0xffff803f,0xfffc8000,
    0xffd31dff,0x3333309f,0xdffff533,0x3fffffe0,0x7ffff10c,0x07fffe00,
    0x7fffffc0,0x7ffff10c,0x07fffe00,0xffffeb80,0x7ffc4006,0xff880001,
    0xf880001f,0x3f2001ff,0xd31dffff,0x3ff29fff,0x3fff603f,0x3ffff004,
    0xfffff900,0x3fffa63b,0x207fff94,0x0006fffa,0x7ed7ffee,0xfff903ff,
    0x40151009,0xf106fffb,0x33301fff,0xfff53333,0xffffc8df,0xffffffff,
    0x7fe43fff,0xdfff303f,0x4013ffea,0x7cc3fff8,0xffbcffff,0x03fffea3,
    0x804fffd8,0xfe81ffff,0xff802fff,0x7ff401ff,0xffc8002f,0xfffc86ff,
    0x3ffa2005,0xffff00ff,0x9fff909f,0x07fffe00,0x27ffffc0,0x8027ffe4,
    0x9801ffff,0x7ffffffe,0x027fec00,0x04ffd800,0x09ffb000,0x6ffffc80,
    0xf95fffc8,0x3fe207ff,0xfff002ff,0xfff9003f,0xbfff90df,0x2213fff2,
    0x0006ffff,0x7edbffea,0xfffa84ff,0x7ffdc04f,0x05fffb03,0x000ffff4,
    0x81ffffd1,0xfffffffc,0xffffffff,0x81fffe43,0xff16fff9,0x21ccc8bf,
    0x5502fff9,0xf704cc13,0xffb80bff,0xffff805f,0x7ffffd41,0x1ffff806,
    0x07fffe40,0x3bfff200,0x06fffa80,0x07ffff60,0x705ffff8,0x3e009fff,
    0xff001fff,0x3fee0bff,0xffff004f,0xfffe8803,0x2007ffff,0x00006ffa,
    0x0000dff5,0x2001bfea,0xa80efffc,0xfff96fff,0x3ffff607,0x3ffff000,
    0x1dfff900,0x2edfff50,0x7f446fff,0xa8806fff,0xfffdccca,0x98dfffb6,
    0x205fffff,0x82fffff8,0xccccfffe,0x2fffeccc,0x3ffff600,0xdaaaa981,
    0xaaaadfff,0x7ffe40aa,0x4dfff303,0x3fe66fff,0x07ffe64f,0x3fff2000,
    0x37ffd404,0x20ffffc0,0x07fffffb,0x401ffff8,0x0bfffff8,0xff915d44,
    0x3ffe607f,0xffff7006,0x2ffff807,0x00355510,0x4007fffe,0x5102ffff,
    0x3fe00355,0x7fe401ff,0x88001cff,0x80001fff,0x0001fff8,0x001fff88,
    0x303fffc8,0x3ff2dfff,0x3ff660df,0x3fe003ff,0xffc801ff,0xdfff303f,
    0x277fffea,0x6ffffffb,0x3ffff660,0xb6ffffff,0xf93bffff,0x15ffffff,
    0xbfffff30,0xfffffff0,0xffffffff,0x3ffee007,0x3ff2003f,0x3ff2004f,
    0xdfff303f,0xff93fff4,0x07ffd4ff,0x99999991,0x3f659999,0x7fd404ff,
    0xffff807f,0x7ffffd41,0x1ffff806,0xfffffa80,0x4fffffff,0x4c0ffff2,
    0xf9806fff,0xff805fff,0x400002ff,0xf001ffff,0x00005fff,0x401ffff8,
    0x0005fffe,0xeea93ff6,0x3ff6006e,0x17dffb54,0xa93ff600,0x3f206eee,
    0xfff303ff,0x3fffff2d,0x5fffffff,0x0ffffc00,0x81fffe40,0x3fe6fff9,
    0xffffffff,0xff706ffe,0xffffffff,0x3fff6dff,0xfeffffff,0xf883ffff,
    0x7cc7ffff,0xffffffff,0x03ffffff,0x05ffff98,0x027ffe40,0x207fff90,
    0x3f66fff9,0xffffd0ff,0xf31ffee5,0xffffffff,0x3fff27ff,0x37ffdc05,
    0x40ffffc0,0x801ffffd,0x7001ffff,0xffffffff,0x7fe49fff,0xdfff303f,
    0xeffff880,0x2ffff800,0x7ffc0000,0xffff001f,0xff800005,0x3fe201ff,
    0xf50002ff,0x3ffe21ff,0xfff5007f,0xffffff51,0x1fff5009,0x81ffffe2,
    0xf303fffc,0x3fff2dff,0xffffffff,0x7ffc000c,0xfffc801f,0x4dfff303,
    0xfffffffa,0xa86ffd9f,0xaabeffff,0xfb6fffca,0xdfffffff,0x07ffffb1,
    0x11ffffea,0x5555ffff,0x15555555,0xeffff880,0x7ffe4000,0x3fff2004,
    0x4dfff303,0xff99fffc,0xdff95fff,0xffffff98,0xf73fffff,0xffc80dff,
    0xffff804f,0x00179501,0x8007fffe,0xffffffd8,0x3ff22dff,0xdfff303f,
    0x1ffffe80,0x05ffff00,0xffff8000,0x5ffff001,0xfff80000,0x3ffe201f,
    0xff88003f,0x3ffff62f,0x2fff8807,0x3ffeeb76,0x8bffe200,0x207ffffd,
    0xf303fffc,0x3fff2dff,0x1dffffff,0x3ffff000,0x07fff900,0xf51bffe6,
    0x361bffff,0xfffd86ff,0x2dfff505,0xfffefffd,0x7ffff30d,0x437ffe40,
    0x0000ffff,0x07ffffa0,0x13fff200,0x03fffc80,0x7dcdfff5,0xffffcaff,
    0x85ffd8ff,0x99999999,0xfff50999,0x7fffc03f,0x1ffff803,0x3ffe0000,
    0xd310001f,0xff901dff,0x3ffe607f,0x3ffff206,0x3fffe003,0x7fc00002,
    0xfff001ff,0xf800005f,0x7fc01fff,0xfd8005ff,0x3affea5f,0x5ffd807f,
    0xb007ffc0,0x5ffd4bff,0x3ff207fe,0xdfff303f,0x266ffff2,0xff800009,
    0xffc801ff,0xdfff303f,0xf9826a60,0xffff82ff,0x2dfff502,0x0a99fffd,
    0xfa803530,0xfffe84ff,0xff900002,0x320007ff,0x32004fff,0xff884fff,
    0x3ffea6ff,0xfffbffeb,0x0004ffea,0x0bffff10,0x003ffff2,0x0007fffe,
    0x01ffff80,0x03ffee00,0x981fffe4,0xff506fff,0xff8009ff,0x400002ff,
    0xf001ffff,0x00005fff,0x401ffff8,0x004ffffd,0x7443ffea,0xa80ffd6f,
    0x3f200fff,0x3ffea06f,0x3fadfd10,0x0ffff207,0xfcb7ffcc,0x800003ff,
    0xc801ffff,0xff303fff,0x7fc400df,0x7ffff04f,0x2dffff50,0x0002fffd,
    0x20bfff20,0x000ffffc,0x27fffd40,0x9fff9000,0x37ffdc00,0x9bffffa2,
    0x7ffdfff8,0x7fffbffd,0x400dffd0,0x9beffffb,0x03ffffda,0x003ffff0,
    0x0ffffc00,0x09fff000,0x981fffe4,0xff886fff,0xff8006ff,0x400002ff,
    0xf001ffff,0x00005fff,0x401ffff8,0xbefffff9,0xfff8809a,0x7f47ff22,
    0x0bffe207,0x101fffc8,0x7fe45fff,0x7e40ffd1,0xfff303ff,0x00ffff2d,
    0x3fffe000,0x3fffc801,0x00dfff30,0xe807ffe4,0xf711efff,0x3f6dffff,
    0x880002ff,0xf104fffb,0x8817ffff,0xfff102ba,0xfc8000df,0x3ea004ff,
    0xffb9dfff,0x7fc6ffff,0xff75ffff,0xf883ffff,0x7f4003ff,0xffffffff,
    0x999886ff,0x9affff99,0x99880199,0xaffff999,0xf3001999,0x7fe409ff,
    0xdfff303f,0xdffffe88,0x2ccccccc,0x002ffff8,0xf3333310,0x33335fff,
    0x00bfffe0,0x4ccccc40,0x999affff,0xfffffb81,0x7e43ffff,0x7ffffc5f,
    0xfc83ffff,0xdffd105f,0x22ffe403,0xffffffff,0x3fffc83f,0x32dfff30,
    0x20003fff,0xff999998,0x81999aff,0xf303fffc,0x7f400dff,0xfff900ff,
    0xffffffff,0x3fff6dff,0xfdd10003,0x5401dfff,0xffffffff,0xe884ffff,
    0xcccdffff,0x6402cccc,0x7c004fff,0xffffffff,0x7f46ffef,0xff12ffff,
    0xf981ffff,0x74c000ff,0xffffffff,0xfffb80df,0xffffffff,0x7dc01fff,
    0xffffffff,0x801fffff,0x0eeffff8,0x981fffe4,0x7fdc6fff,0xffffffff,
    0xfff85fff,0xff70002f,0xffffffff,0xff03ffff,0x2e0005ff,0xffffffff,
    0x81ffffff,0xfffffffb,0x03ffe63f,0xffffffff,0x0fff987f,0xabffff98,
    0x07ffcc1a,0x3ffffffe,0xfffc83ff,0x2dfff303,0x0003fffc,0x3fffffee,
    0xffffffff,0x81fffe41,0x2006fff9,0x43effffd,0xfffffff8,0xb6ffeaff,
    0x20007fff,0x03fffff8,0xffffff70,0x709fffff,0xffffffff,0x80bfffff,
    0x4004fffc,0xfffffffa,0x6c6ffd9f,0x3a0fffff,0xfb87ffff,0x3ae0006f,
    0x02efffff,0x3fffffee,0xffffffff,0x7fffdc01,0xffffffff,0xffb001ff,
    0xffc81fff,0xdfff303f,0xffffffb8,0x5fffffff,0x002ffff8,0xffffff70,
    0xffffffff,0x05ffff03,0x3fffee00,0xffffffff,0xff9101ff,0x7f47ffff,
    0x9999982f,0x7f409ffe,0xffff702f,0xffe89fff,0xe9999982,0xffc809ff,
    0xdfff303f,0x000ffff2,0xffffffb8,0xffffffff,0x81fffe41,0x2006fff9,
    0x83fffffa,0xdfffffd8,0x3f6dffb0,0xf10003ff,0x8800179b,0xfffffffd,
    0xfffb82df,0xffffffff,0x7fe405ff,0xffa8004f,0xffb0dfff,0x5ffffc8d,
    0x437fffdc,0x80003ffd,0xf7001a98,0xffffffff,0x803fffff,0xfffffffb,
    0x1fffffff,0x37bfae00,0x81fffe40,0x7dc6fff9,0xffffffff,0xff85ffff,
    0xf70002ff,0xffffffff,0xf03fffff,0x20005fff,0xfffffffb,0x1fffffff,
    0x76e54c40,0x400bff92,0x5ffc87fe,0x3ffffee0,0x17ff24ff,0x3207fe80,
    0xff303fff,0x0bbbaedf,0xffffb800,0xffffffff,0x7ffe41ff,0x0dfff303,
    0x2deed980,0x0026a620,0x000bbbb2,0x4c400000,0x7dc009aa,0xffffffff,
    0x6405ffff,0x20004fff,0x2e0009a9,0x7c42ffff,0x01105fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x33330000,0x32a60013,0xaaa81bcc,
    0xaaaaaaaa,0x65d4402a,0x000abccd,0x2b332ea2,0xaaaaaa81,0x40aaaaaa,
    0xabcdcca9,0xcb988000,0x260001ac,0x4401accb,0x54c02aaa,0x332e01aa,
    0x03cccccc,0x57999530,0x06aaa601,0x40355510,0xaccccba8,0x16e60009,
    0xccba8800,0x988000ab,0x2e6002aa,0x260001bc,0xaaaaccca,0x5cc02aaa,
    0x654c0005,0x00000abc,0x0aaaa880,0x21aaaa80,0x9aaaaaa8,0x2aaa6000,
    0xaaaaaaaa,0x2a22aaaa,0x009aaaaa,0x05555100,0xaaaaaa80,0x0aaaaaaa,
    0x7fffe400,0x3ffa600d,0x0fffffff,0x3ffffffe,0x107fffff,0xfffffff9,
    0xff7005ff,0xffffffff,0x7fffff47,0x23ffffff,0xffffffff,0xf7000cff,
    0x3fffffff,0x7fffdc00,0xf500efff,0xffc80dff,0x3fffa04f,0x405fffff,
    0xffffffd9,0x7fdc0cff,0x7ffdc05f,0xffffc885,0x805fffff,0x8007fff9,
    0xffffffe9,0x7e4402ff,0x807fffff,0xfffffffc,0xffd3000d,0xffffffff,
    0x3fe60bff,0xfb10007f,0x1bffffff,0x2a009b30,0x6fffe82e,0x07fffd40,
    0xfffffff1,0x64019dff,0xffffffff,0x6fffffff,0x3fffffe2,0x000cefff,
    0x800ffff5,0xfffffffe,0x002fffff,0x00fffff2,0xfffffff7,0x7fc1ffff,
    0xffffffff,0xffe887ff,0xffffffff,0x3fffa202,0xffffffff,0x3fffffa4,
    0x23ffffff,0xffffffff,0x6c406fff,0xffffffff,0xffc803ff,0xffffffff,
    0x06fffa82,0xd027ffe4,0xffffffff,0x7fffcc0b,0x5fffffff,0x202fffdc,
    0x7d45fffb,0xffffffff,0xffa805ff,0x7fe4007f,0xffffffff,0xffffb102,
    0xd80fffff,0xffffffff,0x7fd400ef,0xffffffff,0xf505ffff,0xf3000fff,
    0xffffffff,0x3ff223df,0x7ffc402f,0x3fffe60e,0x13fffa02,0xfffffff1,
    0x207fffff,0xfffffffc,0xffffffff,0x3ffffe26,0x3fffffff,0x07fffa80,
    0x7fffff40,0x2fffffff,0x3dfff900,0xfffffd80,0x0fffffff,0x3ffffffe,
    0xe87fffff,0xaabdffff,0xff502fdc,0xffffffff,0x7ff49fff,0xffffffff,
    0x3bfffe3f,0x4ffffffe,0x3fffffa0,0x3fffffff,0x3fffff60,0x1ffffffd,
    0x2037ffd4,0x2a04fffc,0xaaaaaaaa,0xfffff101,0xfffffb9b,0x02fffdc7,
    0xf897ffee,0xffffffff,0xfa805fff,0x3f2007ff,0xffffffff,0xffe882ff,
    0x7fffffff,0x37dffd10,0x07fff6e2,0x7fffffd4,0xffffffff,0xffff505f,
    0xffffd000,0x1dfffbbf,0x007fffec,0xd81dfffb,0xff506fff,0xfff881ff,
    0xffffffff,0xfffc86ff,0xffffffff,0x3e26ffff,0xffffffff,0x5406ffff,
    0x74007fff,0xffffffff,0xc802ffff,0x5400dfff,0x8acfffff,0x3e0fdb98,
    0xcccccfff,0x7fc44ccc,0xe80403ff,0x89beffff,0x224fda98,0xe9999999,
    0x02b23fff,0x0fffff51,0x2b7fffee,0x7ffffc98,0x87ffff30,0x545ffffa,
    0x7e406fff,0x000004ff,0x320dfff7,0x3fee6fff,0x7ffdc05f,0x33ffff25,
    0xa804b980,0xf3007fff,0x4c17ffff,0x7ffc42da,0x999abeff,0x01dff901,
    0xfe837fec,0x3ffe1eff,0x3ffea006,0x7ffdc007,0x03f220bf,0x95bffff1,
    0xffff7799,0x7ffff103,0x105fffd0,0x7533ffff,0x87fffff9,0xfc999998,
    0x99999eff,0x27fffe20,0xffffcba9,0x3ffea03f,0x3ffa0107,0x999999bf,
    0x55440099,0xfffd002a,0x7fc0805f,0xff98007f,0xfb8001ff,0x01005fff,
    0x01ffff40,0x81ffff70,0x504ffff8,0xfb07ffff,0x3fee09ff,0x3ffea0ff,
    0x27ffe406,0xffc80000,0xffff103f,0x202fffdc,0x3fa5fffb,0x550004ff,
    0x5ffff955,0x74355555,0x4000ffff,0x002ffffc,0x40077fc4,0x7fd42ffd,
    0x37ffc0ff,0xff955550,0x555555ff,0x0bfff903,0xffff9804,0xffffffff,
    0x3ffee03f,0x837ffdc7,0xf507fff8,0x7001ffff,0xf100bfff,0x3fea0fff,
    0xff500fff,0xd07c88ff,0x00005fff,0x3ffee000,0xfff8002f,0xfff88007,
    0x3e2002ef,0x00005fff,0x007fffd0,0x207fffc4,0x6c07fffb,0x7fcc6fff,
    0x3ff600ff,0x1bffea4f,0x509fff90,0x55555555,0x2fffd801,0x5cdfff10,
    0x7dc05fff,0x3fffe5ff,0xffff0003,0xffffffff,0x3fe6bfff,0x7c4003ff,
    0xc8002fff,0x7ff5c2ff,0xfe8dff17,0x6fff83ff,0x3fffffe0,0xffffffff,
    0x2fffe85f,0xffff7000,0xbfffffff,0x47fffd00,0xf101ffff,0x7fd40fff,
    0xffb804ff,0xfff8805f,0x3fffea07,0x2ffff504,0xfd07ffc8,0xa88005ff,
    0xaaaaaaaa,0x7f41aaaa,0xff0006ff,0x3fa000ff,0x01ceffff,0x00ffffdc,
    0xfffe8000,0x3ffe6003,0x04fffd85,0x707fffd4,0x74c0bfff,0x3fea6fff,
    0x7ffe406f,0xffffff84,0x7e401fff,0xffb80eff,0x17ffee4f,0x7cbfff70,
    0x8000efff,0xffffffff,0x5fffffff,0x000ffff5,0x000bfff7,0x7f44fff1,
    0x3ff67fff,0x207fffe2,0x3fe06fff,0xffffffff,0xf85fffff,0x10000fff,
    0xffbdffff,0xf5007fff,0xfff71fff,0x3fffc40b,0x01bfffa0,0x2017ffee,
    0x7407fff8,0xff506fff,0xfffff7ff,0x00bfffa0,0xffffff30,0x9fffffff,
    0x003ffff8,0x000ffff0,0x3fffffe6,0xfc80beff,0x000005ff,0x800ffffa,
    0xfe83fffd,0x7fc402ff,0x3fff21ff,0xfffff702,0x037ffd4f,0x3e13fff2,
    0xffffffff,0x7fffcc01,0x3fffea1e,0x017ffee0,0x7ecbfff7,0x4002efff,
    0xfffeeeed,0x4eeeeeef,0x000dfff7,0x0007fffb,0x7fe49ff3,0x3fea7eef,
    0x20ffff13,0x3b606fff,0xeffffeee,0xf84eeeee,0x90000fff,0x7dc49fff,
    0xffd007ff,0x01ffff9f,0x203fffc4,0xb807fffb,0xf8805fff,0x7fdc07ff,
    0xffff507f,0x209fffff,0x4002fffe,0xfffffff9,0x24ffffff,0x001ffff9,
    0xdddffff0,0xfd100399,0xdfffffff,0x04fffe83,0x3ffa0000,0xb999983f,
    0xf80dfffe,0xff801fff,0x3fff62ff,0x7fffec42,0x3ffea7ff,0x27ffe406,
    0x7ff7776c,0xffc801ff,0xfffddfff,0x2fffdc2f,0xb97ffee0,0xbfffffff,
    0xfffa8000,0x5fffd807,0xaffff800,0x0bceeeca,0xff13ffa8,0x53fe609f,
    0xff06fff9,0x013333df,0x001fffea,0x0001ffff,0x3a03fffa,0xf9801fff,
    0x03ffffff,0x27fffea6,0x7ffd4199,0x5fffb807,0x7fffd4c0,0x7fd41999,
    0xffff507f,0x74019fff,0x4c002fff,0xffffffff,0x2a3fffff,0x0000ffff,
    0xffffffff,0x73007dff,0xfffffffd,0x21ffffc1,0xfffffff9,0x3fffa004,
    0xffffff83,0xfff103ff,0xffff001f,0x50ffff47,0xffffffff,0x1bffea1f,
    0x009fff90,0x4007fffe,0xfffffffc,0xfffb82ff,0x2fffdc05,0x3ffffff6,
    0x2a001dff,0xfc807fff,0x7c4007ff,0xffffffff,0x7dc3ffff,0x01fff52f,
    0x7fd57fe2,0xfffff06f,0x3ea05fff,0xcca807ff,0xccccffff,0x7ffc04cc,
    0x05fff905,0x3fffff20,0x7ffffc06,0x7cc7ffff,0x66541fff,0xccefffec,
    0x7ffffc3c,0x7cc7ffff,0x7fdc1fff,0x800cffff,0xcccdfffe,0x9983cccc,
    0xffa99999,0x7ffdc6ff,0x3ffe0007,0xffffffff,0x3f26003f,0xff13ffff,
    0xfff985ff,0x2004ffff,0xff83fffe,0x2cffffff,0x00ffff98,0x3e4fffe8,
    0xfff90fff,0x3fffd1df,0x901bffea,0x3e009fff,0x2e001fff,0xdfffffff,
    0x05fffb80,0x642fffdc,0xffffffff,0xffa800df,0xfffb807f,0x3fe6000f,
    0xffffffff,0x3f23ffff,0x80fff71f,0xbfff76ff,0x3fffffe0,0xfff502ff,
    0xffffb00f,0xffffffff,0x27ffc40f,0x002fffb8,0x05fffff1,0xfffffff8,
    0x7ffcc7ff,0x7fffe41f,0x6fffffff,0x7ffffffc,0x7ffcc7ff,0xffffd31f,
    0x7f4001ff,0xffffffff,0x3a2006ff,0x7dc0ffff,0x90000fff,0xffb99999,
    0x8005ffff,0xf14ffff9,0xff985fff,0x004fffff,0x3e0ffffa,0xffffffff,
    0x7fffcc5f,0x3fffe800,0x3fabfffe,0x3ffe4fff,0x0dfff51f,0x004fffc8,
    0x2003ffff,0xfffffffa,0x7fdc1fff,0x7ffdc05f,0xffffb305,0x881dffff,
    0xffffdccc,0x2a2ccccc,0x2004ffff,0xdffffff9,0xfffffecc,0x3ee3ff90,
    0x5bfe00ff,0xff05fffb,0x05ffffff,0x201fffea,0xfffffffd,0x207fffff,
    0xf706fff8,0x7dc005ff,0xfff806ff,0x47ffffff,0x641ffff9,0xffffffff,
    0x7ffc6fff,0x47ffffff,0xf51ffff9,0x00ffffff,0xffffffe8,0x006fffff,
    0x207ffff6,0x000ffffa,0xfffb8800,0xfff8004f,0x0ffffe4f,0xfffb9991,
    0x7fff4009,0x7f5ccc03,0x3fe64fff,0xfff801ff,0x3ffffa2f,0x7fc2ffff,
    0xdfff50ff,0x04fffc80,0x003ffff0,0xf7bffff5,0x5c3fffff,0x7dc05fff,
    0x75c405ff,0x44ffffff,0xfffffff9,0x44ffffff,0x203ffffe,0x7ffff308,
    0x4ffffee0,0xfff52ffb,0x557fe205,0xfff06fff,0x7ffd400d,0xffcca807,
    0xccccccff,0x07fffc04,0xb80fffe4,0xffffffff,0x4c4fffff,0x999ffffa,
    0x43fffd41,0xfffeeeeb,0x54c4eeef,0x1999ffff,0xf53fffd4,0x00ffffdf,
    0xeeefffe8,0x005eeeee,0x207ffff7,0x001ffff9,0x3fff2000,0x2206faa6,
    0x3a2ffffc,0x7dc03fff,0x3fa004ff,0x7ec003ff,0xfff10fff,0xffff003f,
    0x7ffffec3,0x7ffc40df,0x01bffea7,0x2009fff9,0x4c01ffff,0x3623ffff,
    0x3ee6ffff,0x7fdc05ff,0x3faa005f,0x3e60ffff,0xffffffff,0x7dc4ffff,
    0xaaceffff,0xfff32fdb,0x7ffec01f,0x3e27ff55,0x2629aeff,0xdfff34ff,
    0x801bffe0,0x4007fffa,0x0000ffff,0xf885fffd,0x3fee07ff,0xffffffff,
    0xff884fff,0x7ffdc07f,0x5fffb807,0x07fff880,0xb53fffdc,0x00ffff51,
    0x002fffe8,0x5ffff980,0x0ffffe20,0xffa80000,0xffff50ff,0xffffffdf,
    0x05fffd8d,0x0027ffdc,0x8007fffd,0x3e1ffff8,0x7c403fff,0x3ff20fff,
    0xff303fff,0x37ffd4df,0x013fff20,0x200ffffc,0xf904fffd,0x3fee3fff,
    0x7ffdc05f,0xfffd8004,0x3733221f,0xccccffff,0xffffd82c,0x2fffffff,
    0x403ffff1,0xff36fffb,0x7ffffe4b,0x7ccffee7,0xdfff07ff,0x3fffd400,
    0x03fffe00,0x7fffdc00,0x3fffebad,0x3bbbbaa0,0xeeeeffff,0x07fff883,
    0x402fffec,0x8805fffb,0x7ec07fff,0xfff505ff,0xfffe800f,0x7fc40002,
    0x7fc00eff,0x000007ff,0xfa9fffea,0xffffffff,0x7fe41eff,0x3fee00ff,
    0x3ffe004f,0xfff8002f,0x17fffa2f,0xc8ffff70,0x3201ffff,0x3fea5fff,
    0x7ffe406f,0x3ffff004,0x00ffff80,0x7d4bfffe,0x7fe406ff,0xffa8003f,
    0x3fea02ff,0x7fec007f,0xffffffff,0x80bfffe2,0xff16fffb,0x3fff621f,
    0x447ffa7f,0xff81ffff,0x3fea006f,0x7ffc007f,0xff30000f,0xffffffff,
    0xffb8007f,0xfff1005f,0x7fffcc0f,0x5fffb803,0x07fff880,0x40ffffe6,
    0x4007fffa,0x0002fffe,0x00fffff4,0x01ffffec,0xfffc8000,0x3ffffa66,
    0x303effff,0x5c09ffff,0xf1004fff,0x98003fff,0x3ee0ffff,0x3fa00fff,
    0x7ffcc4ff,0x3fffe01f,0x01bffea2,0x2009fff9,0x2601ffff,0x7ec07fff,
    0xffff32ff,0x02fffd80,0x0ffff980,0x03fffe60,0xffff9300,0x7f419fff,
    0x3ff205ff,0x50fff24f,0x3fe67bb9,0x427fff45,0x26006fff,0x2000ffff,
    0x0000ffff,0xfffffffd,0x003fffff,0x802fffdc,0x3607fff8,0xb800ffff,
    0xf8805fff,0x3ff607ff,0xfff500ff,0xfffe800f,0x3ff20002,0xff1003ff,
    0x5c409fff,0x3ffea000,0xff73304f,0xfff9009f,0x3ffee0bf,0xfffc80e4,
    0x3fa2000f,0x7ffc47ff,0xfffd80ef,0x6fffd80f,0xa8dfff90,0x7f406fff,
    0xfff003ff,0x7ffc403f,0x3fffe03f,0x07ffff11,0x4c3fffe6,0xfffd800a,
    0x7fffc407,0xfffb0002,0x3ffee013,0xffff981f,0x007ffe22,0xfa83ffd1,
    0x7ffc1fff,0x3ffe2006,0x3ffe002f,0xffc8000f,0xeefffeff,0xff706fff,
    0xffffffff,0xff109fff,0xfffd10ff,0x3fee007f,0xfff8805f,0xffffe887,
    0x1fffea03,0x05fffd00,0x3fffea00,0x7ffe4004,0xecbcdfff,0x335930ff,
    0xffffb533,0xfffa801d,0xffff8801,0xfebabdef,0x273fe4ff,0x5ffffd99,
    0x26666aea,0x3fffffca,0xceffffc8,0x3ffffecb,0x5bffff30,0x5ffff931,
    0x366fffa8,0xffffd9ab,0x3ffff001,0xbffffe80,0x1ffff661,0x139ffffb,
    0x49ffff73,0xaabceffa,0x4fffffca,0xaeffff80,0xfff00660,0xfffff009,
    0xffff7337,0x1fffc81d,0x20bffd10,0xaacfffff,0xaaaaefff,0x3bfffe02,
    0x6654660a,0xccccffff,0x2a0ccccc,0xf101ffff,0xff70bfff,0xffffffff,
    0xff109fff,0xffdb99ff,0x5c00dfff,0xf8805fff,0xfedccfff,0x5406ffff,
    0xccccffff,0xfd1ccccc,0xf10005ff,0x1000dfff,0xfffffffd,0x2a1fffff,
    0xffffffff,0xc801ffff,0x3ee006ff,0xffffffff,0x3fe4ffff,0xffffffff,
    0x3ffff20f,0xffffffff,0xffffd105,0xdfffffff,0x7fffec01,0x5fffffff,
    0x3a6fffa8,0x5fffffff,0xf9999988,0x1999afff,0x7fffffd4,0x2fffffff,
    0x7fffffc4,0x0effffff,0x3fffffea,0x6fffffff,0xfffffb00,0x440bffff,
    0xfb801fff,0xffffffff,0xfd881fff,0xfdbabeff,0xff700dff,0xffffffff,
    0x40bfffff,0xfffffffd,0xffffb5ff,0xffffffff,0x3fe23fff,0x7fd404ff,
    0x6664c1ff,0xccefffdc,0xfff882cc,0xffffffff,0x3ee000df,0xff8805ff,
    0xffffffff,0x7d400dff,0xffffffff,0xffd3ffff,0xfe88005f,0xccccdfff,
    0x3ee02ccc,0xffffffff,0xffff50ff,0x3bffffff,0x00fff600,0xfffffd30,
    0x49ffffff,0xffffffff,0x7ffe42ff,0xffffffff,0x7ffec404,0x04ffffff,
    0xffffff90,0x3ea07fff,0x3fffa6ff,0xfb80efff,0xffffffff,0x641fffff,
    0xffffffff,0xff503fff,0xffffffff,0xffffa83d,0xffffffff,0xfff1000e,
    0x0bffffff,0x70037fd4,0xffffffff,0xffc805ff,0x4fffffff,0xfffffa80,
    0xffffffff,0x3ffe205f,0xb5ffffff,0xffffffff,0x3fffffff,0xd8037e44,
    0xff7001df,0x3fe200bf,0xffffffff,0xffb8002f,0xfff8805f,0xffffffff,
    0xffff5002,0xffffffff,0x0bfffa7f,0xfffff700,0xffffffff,0xffec980b,
    0x2a2cffff,0xffffffff,0x7ffc001d,0xffd90000,0x15bfffff,0x7ffffed4,
    0xfffc80cf,0x0befffff,0x3fffae00,0x54002eff,0x2dfffffe,0xc9bffea0,
    0x204fffff,0xfffffffb,0x1fffffff,0xfffffd98,0x64400cff,0x3fffffff,
    0xffffdb30,0x003bffff,0xfffff910,0x7fe409ff,0x7fecc003,0x000cffff,
    0xbfffffb5,0x7f6cc005,0xffffffff,0x7e4405ff,0xb4ffffff,0xffffffff,
    0x3fffffff,0x06200330,0x0bfff700,0x3ffffe20,0x000abcef,0x00bfff70,
    0xdffffff1,0x54001579,0xffffffff,0xfd3fffff,0xfb8005ff,0xffffffff,
    0x4005ffff,0x4cc00998,0x000001aa,0x4d544000,0x01333001,0x13553330,
    0x06a60000,0x0054c000,0x00133000,0xfffffff7,0x3fffffff,0x009a9980,
    0x01353100,0x4d54cc40,0x26600000,0x000001aa,0x00026a20,0x00001510,
    0x00003331,0x000d54cc,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfff70000,0xffffffff,0x00000bff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x35553000,0x55554000,0x02aaaa00,0xaaaaa880,0x530aaaaa,0x55555555,
    0x25555555,0xaaaaaaaa,0x531aaaaa,0x55555555,0x05555555,0x02b32ea2,
    0x01aaaa88,0x0055554c,0x0d555544,0x55555440,0xaaaaaaaa,0x55555551,
    0xaa880135,0x2aaa000a,0x00555551,0x802aaaa2,0x00accca9,0x2aaaaaa2,
    0xaaaaaaaa,0x06aa600a,0x55505551,0x55554035,0x2aaaaa62,0x2a60009a,
    0x200001aa,0x2a01aaa8,0x19aaaaaa,0x05555300,0x20aaaa60,0x5301aaaa,
    0x55441555,0x555402aa,0x80555512,0x5531aaa9,0x00135555,0xaa882a60,
    0x3f60002a,0x3e0003ff,0x3fa01fff,0x3ee001ff,0xffffffff,0xfffff92f,
    0xffffffff,0x3fffafff,0xffffffff,0xfffff94f,0xffffffff,0xffea8dff,
    0x00cfffff,0xe80dffff,0xf9006fff,0x700dffff,0xffffffff,0x369fffff,
    0xffffffff,0xffa81dff,0x3ffa001f,0x00ffffb4,0x4c1fffee,0xfffffffe,
    0xfffff104,0xffffffff,0x7fec05ff,0x6c3ffd44,0xff503fff,0x7ffdc9ff,
    0xceffffff,0x13fff200,0x3ff22000,0x3ff604ff,0xefffffff,0x3fffea02,
    0x4fffe801,0x837fffc4,0x2a2ffffd,0x200fffff,0xfff55fff,0x4fffc80d,
    0xfffffffb,0x32007dff,0xfff32fff,0x7fec000f,0x3fe0003f,0x3ffa01ff,
    0x3ffa001f,0xffffffff,0xffffff92,0xffffffff,0x3ffffaff,0xffffffff,
    0xffffff94,0xffffffff,0x3fff22df,0xefffffff,0x3ffffa80,0x05ffff70,
    0x3fffffa0,0x7ffdc00f,0xffffffff,0xffffb4ff,0xffffffff,0x02fffa87,
    0x7dd3ffe0,0xfd801fff,0xfffb85ff,0xefffffff,0x7ffffc40,0xffffffff,
    0x3ffa02ff,0x6c37fdc3,0xff883fff,0x7ffdc6ff,0xffffffff,0x9fff903f,
    0x7fe44000,0x3604ffff,0xffffffff,0xfd00efff,0xffa80bff,0x7ffcc0ff,
    0xffff80ff,0x3fffea3f,0x57ffe04f,0x6406fffa,0xfffb4fff,0xffffffff,
    0x7ffcc05f,0x7fff98ff,0x3fff6000,0x3100199c,0x3335ffff,0x7ffff333,
    0xffff3001,0x5fffffff,0xc80197f2,0xfffffd7f,0x9fffffff,0x3ffffff2,
    0xffffffff,0xfffff96f,0x9fffffff,0x41ffffa0,0x1006fffe,0x5fffffff,
    0xfffffb80,0xffffffff,0xffffffb4,0x5fffffff,0x0017ffcc,0x3fe27fff,
    0xfff804ff,0x7fffcc2f,0xfffffeff,0x7ffffc45,0xffffffff,0x3ffa02ff,
    0x6c2ffe43,0xffd83fff,0x7ffdc1ff,0xffffffff,0xfffc86ff,0xffb88004,
    0x04ffffff,0x3ffffff6,0x06ffffff,0x401ffff5,0xf984fffe,0x7d43ffff,
    0x3ea3ffff,0xf00fffff,0x3ffeabff,0xa7ffe406,0xfffffffd,0x01ffffff,
    0x39fffff7,0x4000ffff,0xfffffffd,0xff902dff,0xffffffff,0xdfffffff,
    0xffdff900,0x9afe40bf,0x640befff,0x37fffd7f,0x13333333,0x32666662,
    0x9999efff,0x59ffd109,0xfffff511,0x7ffff501,0x01ffffb8,0xffffff70,
    0xff70009f,0x7ffec0bf,0x7fffe4c2,0x00bffe65,0x3fa3fff8,0x7fd406ff,
    0x3ffe20ff,0x3ff621ef,0x333221ff,0xeccccccc,0x3e01ffff,0x27fec2ff,
    0x2a1fffec,0xfb83ffff,0xcba99dff,0x643fffff,0xe8004fff,0xffffffff,
    0x3fff604f,0xfffdb99b,0xfffd02ff,0x3fffea09,0xfffffa80,0x7ffffe45,
    0x3ffffea3,0x2bfff03f,0x6406fffa,0xfffb4fff,0xffd53339,0xff301dff,
    0xfff3bfff,0x7fec000f,0xffffffff,0x7ffe41ef,0xffffffff,0x06ffffff,
    0xfffbfff8,0x7cd7f205,0x322fffff,0x05fffd7f,0xbfff7000,0x2a03d300,
    0xfb01ffff,0xffff8fff,0x3fff6005,0x8007fffc,0x3605fffb,0xff902fff,
    0x1fffc4ff,0x5c7fff00,0x3200ffff,0x7fd45fff,0xfffd00ff,0x3ffa000b,
    0x3ffe205f,0x6c1fff41,0x3fe23fff,0xfff705ff,0x3fffea09,0x13fff20f,
    0x3bffee00,0x204fffda,0xfa82fffd,0xff504fff,0xfffd01ff,0x3fffea09,
    0x3fffe0ff,0x3ffea4ff,0xfff07fff,0x01bffeab,0x3f69fff9,0xfff903ff,
    0x3fff205f,0x07fff9ef,0x3ffff600,0xffffffff,0x3ffff21f,0xffffffff,
    0x406fffff,0xfff8fffa,0x5457f205,0x91ffffcb,0x0bfffaff,0x3ffee000,
    0xfff00005,0x3ffe607f,0x3ffff73f,0x47fffc00,0x4001ffff,0x3605fffb,
    0xff502fff,0x1fffc4ff,0x22fff880,0x202ffff9,0x7dc3fffe,0x3fee05ff,
    0xffa8007f,0x7ffd41ff,0xffffffff,0xfb3fffff,0x7ffe47ff,0x9fff700f,
    0x27fffd40,0x0009fff9,0x7fec7ff1,0x3fff604f,0x0bfffd02,0x2a27fff4,
    0xf500ffff,0x265ffddf,0x24ffdeff,0xfffffffa,0xf55fff82,0xffc80dff,
    0x07fffb4f,0xd027fff4,0xfff39fff,0x7fec000f,0xfeba99cf,0xf530efff,
    0x55557fff,0x59ffff55,0xff6ffd80,0x02fe40bf,0x5ff2bff9,0x0002fffe,
    0x005fffb8,0x07ffff00,0x7c7fffe4,0x2a004fff,0xfffb5fff,0xfffb8009,
    0x0bfff605,0x3e37ffdc,0x066543ff,0xff85fff1,0xfff104ff,0x4fffd81f,
    0x03fffe20,0x0bfffd00,0xfffffff5,0xffffffff,0x4ffff67f,0x202ffffa,
    0x7404fffb,0x3ff26fff,0x8150004f,0x3604fffd,0xff902fff,0x7ffd40bf,
    0x13fffa0f,0xffcdffb8,0xffb7ff95,0x7efffd4b,0x5fff86ff,0xc80dfff5,
    0xfffb4fff,0x2fffec07,0xf37fff90,0x6c000fff,0xffb03fff,0xffff85ff,
    0x07fffa01,0x3e7fff10,0x17f205ff,0xff97ff88,0x000bfffa,0x017ffee0,
    0x3fffe200,0x3fffe202,0x000ffffe,0x7dcbfff2,0x7dc006ff,0x3ff605ff,
    0x7fffd02f,0x7f43fff8,0x07ffe22f,0x2e0ffff9,0xffc86fff,0x3ffe206f,
    0x3fe6001f,0xfffa82ff,0xffffffff,0xfb3fffff,0xfffd17ff,0x4fffb80b,
    0x93fffdc0,0x00009fff,0xb027ffec,0x3fa05fff,0x7ff404ff,0x1ffff53f,
    0x7ceffdc0,0xfb3ffd7f,0x5fffd4bf,0x7fc2fffe,0x0dfff55f,0xfb4fffc8,
    0x7fec07ff,0x3fffa05f,0x007fff98,0x40ffff60,0x7c3ffff9,0x3fa01fff,
    0x7fdc01ff,0x33dfff0f,0x102fe433,0x75ff2dff,0x9999bfff,0xfb801999,
    0xb80005ff,0x6400ffff,0x4fffffff,0x87fff400,0x000ffff9,0xd817ffee,
    0x3aa62fff,0x7fc0efff,0x97ffe64f,0x7d41fff8,0xffd81fff,0xffffb84f,
    0x0bfffe01,0x06fffd80,0x3dff9331,0x33fff533,0x2ffff613,0x400efffc,
    0x5404fffb,0x3ff27fff,0x3600004f,0x3f604fff,0xfffc82ff,0x7ffd401f,
    0x807fffb7,0x5fff5ffc,0x97ff2dff,0xffabfffa,0xaafffc5f,0xaaaaefff,
    0x4fffdaaa,0x7407fffb,0xfc883fff,0xffff33ff,0x6c3eec80,0x3fa03fff,
    0x7fffc5ff,0xfeeeeeee,0x7f401fff,0x3ffffe5f,0x0bf90fff,0x7e53ff6a,
    0xffffffd7,0x01ffffff,0x005fffb8,0x27fff440,0x7ffffc40,0x3e6000ff,
    0x7fffc6ff,0x3ffee003,0x3ffff605,0xdfffffff,0x2e4ffe80,0x3fe67fff,
    0x3ffff80f,0x981ffff8,0x20aeffff,0x02ffffd9,0x05ffff30,0xfa8bff90,
    0xbfffb07f,0x7003ffff,0xf9809fff,0xfff91fff,0x7ec00009,0x3ff604ff,
    0xfffdccdf,0xffd003ff,0x01ffff9f,0xffb5ffc8,0x3ff29ffd,0x7cfffea6,
    0x3ffe1fff,0xffffff55,0xffffffff,0x0ffff69f,0xa97fffd4,0x25ffffee,
    0x3607fff9,0x3f64ffff,0x3ff203ff,0x7ffffc5f,0xffffffff,0x3fe601ff,
    0x3ffffe2f,0x4bf90fff,0x0efffffa,0x3fffaff9,0xffffffff,0x7ffdc00f,
    0x7fec0005,0xff9000ff,0xb8009fff,0x7fe44fff,0x3fee005f,0x3fff605f,
    0xffffffff,0x24ffe81c,0xf31ffffe,0xfffb01ff,0x07fff98b,0x3ffffffa,
    0xfffffffe,0xdfffb002,0x513ff600,0x3ff60fff,0x006fffff,0x9809fff7,
    0xff91ffff,0x6c00009f,0x3f604fff,0xffffffff,0x3ea002ef,0x03ffffff,
    0xff55ffc8,0x3ff23fff,0x5cfffea6,0x3ffe5fff,0xffffff55,0xffffffff,
    0x0ffff69f,0xa9bfffea,0x4c2effff,0xff307fff,0x3f61ffff,0x3ffa03ff,
    0x7ffffc3f,0xffffffff,0x3ff201ff,0x7fffffc7,0x54bf90ff,0x320cefff,
    0xfffffd7f,0x1fffffff,0x05fffb80,0x3fffee00,0x3fffa003,0x7ec006ff,
    0x7ffd41ff,0x3ffee007,0x3ffff605,0xffffffff,0x8a7fec2f,0xf34fffff,
    0x3ffea0ff,0x13fff20f,0xffffff88,0xffffffff,0xffff9801,0x87ffd002,
    0xffb06ffb,0x07ffffbf,0x809fff70,0xf91ffff9,0x400009ff,0x3604fffd,
    0xffffffff,0xffd0003f,0xb001ffff,0x3ffe29ff,0xa9fff26f,0xfff13fff,
    0x557ffe1f,0xffffffff,0x4fffffff,0xb99dfffb,0x43fffffd,0xf302cdea,
    0x3fea0fff,0xffb1ffff,0x3ffe607f,0x6ffffc2f,0xffcccccc,0xfff101ff,
    0x99efff89,0xf997f219,0x3aff901f,0x9999bfff,0xfb801999,0xf70005ff,
    0x5c009fff,0x4fffffff,0x0ffff100,0x005ffff1,0xd817ffee,0x9999bfff,
    0x20fffffc,0xdff75ffd,0x1ffeadff,0xd17fffc4,0xc8805fff,0xdfffffff,
    0xd800ffff,0x3a006fff,0x2ffe43ff,0xfdbfffd8,0x7dc00fff,0x7fd404ff,
    0x13fff27f,0xfffd8000,0x3bfff604,0x03fffffe,0xfffffb80,0x49ffb003,
    0x3ee4fffe,0x8fffea7f,0xfff4fffc,0x27bffeab,0xfc999999,0xffffb4ff,
    0xffffffff,0x3fe60007,0xffff107f,0x1fffecff,0x437fffd4,0x3a01ffff,
    0xff501fff,0x05fff83f,0x0ff997f2,0x3ffaff90,0xfb80002f,0xfa8005ff,
    0x22005fff,0xffffffff,0xfffa800f,0x09fffd05,0x817ffee0,0xf502fffd,
    0x7fec9fff,0xfff5ffb5,0x740fff53,0xfff14fff,0x65d4400f,0xffff98ab,
    0x7fffcc00,0x3fffe603,0xffffffff,0x3f64ffff,0xffff8bff,0x27ffdc05,
    0xc9fffee0,0x00004fff,0xd813fff6,0xffb12fff,0xfd0003ff,0x7f400fff,
    0x87ffee4f,0x3fea7ffb,0x3fffe23f,0xff55fff8,0xfffc80df,0xffffffb4,
    0x001bffff,0x03fffcc0,0x6c5ffff7,0xedccefff,0xf81fffff,0x3fa01fff,
    0xfffd01ff,0xbfff9999,0x5512fe40,0xffebfe40,0xfb80002f,0x7d4005ff,
    0x64005fff,0xfff9ffff,0xfffc805f,0xffeeeeef,0xff7006ff,0x7ffec0bf,
    0x9bfffa02,0x6ff8effc,0xdff57ffd,0xab7ffdc0,0x00005fff,0xb00dfff7,
    0xf980ffff,0xffffffff,0x4fffffff,0x7dcffff6,0x3ee03fff,0x7fec04ff,
    0x13fff25f,0xfffd8000,0x8bfff604,0x006fffe8,0x005fffc8,0xff993ffa,
    0xa87ffdc7,0x7fec3fff,0xf55fffbf,0xffc80dff,0xddfffb4f,0x100359bd,
    0x3ffe6013,0x20e64c07,0xfffffffd,0xf03fffff,0x7f403fff,0xfff881ff,
    0xffffffff,0xc897f205,0x3aff900b,0x80002fff,0x2005fffb,0x005ffffa,
    0xca7fffcc,0x7c01ffff,0xffffffff,0x01ffffff,0x205fffb8,0x3202fffd,
    0x3ff26fff,0xff94ffae,0x4c0dff7d,0xffd9ffff,0xfb00003f,0xff8807ff,
    0x7fcc03ff,0xffffffff,0x24ffffff,0x3fa3fffd,0xff700fff,0x7ffcc09f,
    0x13fff23f,0xfffd8000,0x0bfff604,0x003ffff5,0x005fffc8,0x3550fffa,
    0xf50fffb8,0xfff987ff,0xff55fffe,0xfffc80df,0x007fffb4,0x213ffee0,
    0x0007fff9,0x3ffffff6,0x201effff,0x3a01ffff,0xffc81fff,0xffffffff,
    0xd97f205f,0x2ff904ff,0x0002fffe,0x005fffb8,0x009ffff5,0x21ffffb0,
    0x206ffff8,0xfffffff9,0xffffffff,0x5fffb803,0x80bfff60,0x3ee4fffe,
    0xf31ffcef,0x80bff9ff,0xfffbfffe,0xfb80000f,0x7e400fff,0x733007ff,
    0xf3333fff,0x6c1337ff,0x3fe63fff,0xfff706ff,0x7fffec09,0x013fff20,
    0x4fffd800,0x20bfff60,0x4005fffe,0x2005fffc,0xf5003fff,0x3ffea1ff,
    0xfffffe83,0x0dfff55f,0xfb4fffc8,0xf50007ff,0xf987ffff,0x360007ff,
    0xceeeefff,0xffff802b,0x07fffa01,0x3333bffe,0x205fffcc,0x17ffa5fc,
    0xfffebfe4,0xffb80002,0xfffa805f,0xffa8004f,0x7ffe43ff,0xbfff703f,
    0xd9999999,0xf700bfff,0x7fec0bff,0xffff902f,0x7ffffdc7,0x7ff7ffc7,
    0x77ffe405,0x40006fff,0x04ffffc8,0x01ffffc4,0xf11bfea0,0x3ff603ff,
    0x7fffe43f,0x84fffb83,0x43ffffe8,0x0004fffc,0x813fff60,0xfb82fffd,
    0x32001fff,0x3e005fff,0xff5003ff,0x0fffea3f,0x3fffffea,0x80dfff55,
    0xffb4fffc,0xff90007f,0xff98bfff,0x3f60007f,0x3e0003ff,0x3fa01fff,
    0x7ffd41ff,0x55dfff03,0x997f2355,0x2ff901de,0xcccdfffe,0x402ccccc,
    0x5405fffb,0xeeefffff,0x41eeeeee,0x440ffffe,0xe80fffff,0x7dc01fff,
    0x2aa20fff,0xaefffdaa,0xfffb1aaa,0xffd97559,0x7fd41fff,0x7fe44fff,
    0x7cc05fff,0x03ffffff,0xeecccc98,0x806fffff,0x000ffffc,0x3e637fdc,
    0xfffb00ff,0xfffff887,0x677ffdc1,0xfffffedc,0xcefffc86,0x4ccccccc,
    0x7f777754,0xeeeeefff,0x105fffb2,0x400bffff,0x2005fffc,0xf5003fff,
    0x3ffea3ff,0xffffff03,0x01bffeab,0x3f69fff9,0xfc8003ff,0x7cc5ffff,
    0xcccccfff,0xfd81cccc,0x3e0003ff,0x3fa01fff,0x7ffec1ff,0xffffff00,
    0x27bf27ff,0x99999999,0xffd7fc99,0xffffffff,0xffb809ff,0x7ffec05f,
    0xffffffff,0x3fee2fff,0xfff903ff,0x7fff889f,0x2ffff880,0x3fffffee,
    0x4fffffff,0xfffffffb,0x83ffffff,0x42fffffa,0x04fffffa,0xfffffff8,
    0xffffb801,0x0effffff,0x27fffc40,0x22ffe400,0x3f607ffa,0xfffa83ff,
    0x7fffdc6f,0xffffffff,0xffffc80d,0xffffffff,0x7ffffd47,0xffffffff,
    0x05fffb3f,0x007ffff2,0x802fffe4,0x5002fff8,0x3fea5fff,0xffff703f,
    0x1bffeabf,0x369fff90,0xa8003fff,0x4c3fffff,0xffffffff,0xd82fffff,
    0x20003fff,0x3a01ffff,0x3fe21fff,0x3fffe05f,0xff93ffff,0xffffffff,
    0x3affffff,0xffffffff,0x5c04ffff,0x7ec05fff,0xffffffff,0xf12fffff,
    0x7c40ffff,0x3ea1ffff,0xffd004ff,0x7fffdc9f,0xffffffff,0xfffffb4f,
    0x5dffffff,0x0fffff50,0x013ffffe,0x1ffffff6,0x7ffffdc0,0x9003ffff,
    0x0001ffff,0xffb89ffb,0x0ffff606,0x727fffec,0xffffffff,0x7e405fff,
    0xffffffff,0x7fd47fff,0xffffffff,0xffb3ffff,0x3ffe605f,0xfff9004f,
    0x3ffe200b,0x5fff5002,0x440fffea,0xf55fffff,0xffc80dff,0x07fffb4f,
    0x17fff200,0x3fffffe6,0x2fffffff,0x003fffd8,0x807fffe0,0x3ee1fffe,
    0x3ffe02ff,0xf93fffff,0xffffffff,0x2fffffff,0xfffffffe,0x404fffff,
    0x6c05fffb,0xffffffff,0x92ffffff,0xb807ffff,0x3f65ffff,0xff9002ff,
    0x7fffdcff,0xffffffff,0xfffffb4f,0x4039bdff,0xb05ffff9,0x5007ffff,
    0x009fffff,0x37bfffee,0xff10009b,0x3a0009ff,0x37fdc3ff,0x207fffb0,
    0x71fffff8,0x9dffffff,0xffc80157,0xffffffff,0x7ffd47ff,0xffffffff,
    0xfffb3fff,0x7fffec05,0x5fffc800,0x05fff300,0x54bffe60,0x3f203fff,
    0xfff55fff,0x4fffc80d,0x0007fffb,0xff980544,0xffffffff,0x00002fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0aaaaa60,0xaaaaaaa8,0xaaaaaaaa,0x00000000,0x4c000000,
    0x0abcdcca,0x332ea200,0xcb9800ab,0x951001bc,0x1bca8859,0x2f372a20,
    0x00af2e21,0x53003530,0x2aa20355,0xb975102a,0x88015799,0x009bcdba,
    0x0bcb8aaa,0x5102f2e2,0x55555555,0x88035555,0xaa800aba,0x554c002a,
    0x00aaaa62,0x5515554c,0xaa880555,0x455550aa,0x982bdcb8,0x66e542aa,
    0x33322002,0xaaaaa802,0x2200aaaa,0x55101aaa,0x65d40555,0x006c01ac,
    0x999800e4,0x55d54400,0x3e20000a,0xd00fffff,0xffffffff,0x05ffffff,
    0x003fff98,0x25c16a00,0xffff9000,0x09ffffff,0xfffffe98,0xff302fff,
    0x03dfffff,0xafffff44,0x84ffffe8,0xfffffffb,0x5fffffab,0x09fff700,
    0x303fffc8,0xfc88dfff,0xffffffff,0x3ffff202,0xff02ffff,0x1ffffb1f,
    0x43ffffd1,0xfffffff9,0x04ffffff,0xffffffd5,0x0fffec07,0x4cfffb00,
    0xe802ffff,0x3fee4fff,0x3ffa04ff,0x5dbffe5f,0x44ffffff,0xffd37ffc,
    0x3001dfff,0xff009fff,0x3fffffff,0x827ffdc0,0x981ffffe,0x4ffffffe,
    0x6401ffb0,0x7fc401ff,0x3fff202f,0x0004ffff,0x1ffffffb,0x3fffffa0,
    0xffffffff,0x7ffcc02f,0xff700003,0x005ffb8b,0xffffffb0,0x209fffff,
    0xfffffffc,0xffb82fff,0xffffffff,0xfffffd03,0xfffffb9f,0xffffc87f,
    0xffffffff,0xff804fff,0x3f200fff,0xfff303ff,0x7ffff44d,0x82ffffff,
    0xffffffe9,0xff85ffff,0xbfffffcf,0x25fffffd,0xfffffff9,0x84ffffff,
    0xfeeffffc,0xffc80dff,0x3ffa002f,0x02ffff46,0xb03fffe6,0xf703ffff,
    0x7ffc1fff,0xffffffbf,0x3fff24ff,0xfffffffa,0xfff9806f,0xfffff804,
    0x2e01ffff,0xffd84fff,0xfff982ff,0x44ffffff,0xc80ffffd,0xff807fff,
    0x3fff201f,0x005fffff,0x7fffffd4,0xffffd00f,0xffffffff,0xff9805ff,
    0xfd80003f,0xfff54fff,0xfd8001df,0xffcabcdf,0x7fe41fff,0xffffffff,
    0x7fffd42f,0xffffebbe,0x557ffd41,0xeaffffff,0x56fe47ff,0xefffffba,
    0x400ffffb,0x200fffff,0xf303fffc,0x7fff4dff,0xfdcaabdf,0xfffffe82,
    0x2fffffff,0x777ffffc,0xffdfffff,0x3fffe67f,0xffffffff,0x06ffec3f,
    0x703bfee2,0x7c007fff,0x7ffdc5ff,0x3fff200f,0x6ffff885,0x217fffcc,
    0xffffffff,0x90fffffe,0xffffffff,0x805fffff,0xd804fff9,0xffffeeee,
    0x13ffee01,0x205ffff9,0xfc9bfffe,0x3fe61fff,0x3ff20fff,0x3e24c1ff,
    0xdb8ea0ff,0x7fffdbac,0x7ffff400,0x55500fff,0xf7555555,0x9801ffff,
    0x20003fff,0x0effffd8,0x07bffff2,0x3a201b80,0x3fe64fff,0x2a60bfff,
    0x17fff42d,0x362fffec,0x3fff23ff,0xa8bffe0f,0x26fffb80,0x6402fff8,
    0x7e405fff,0xfff303ff,0x0ffffe2d,0xffffb810,0x3fffea0c,0x9affffc6,
    0xff73ffff,0x4ccccc1f,0x6ffffa99,0x7fdd7fd4,0x4ff98dff,0x8027ffd4,
    0x7c43fff8,0x3fe03fff,0xfff502ff,0x2ffff49f,0x67fffffc,0x27ffff10,
    0x1dfffffc,0x809fffd3,0x0004fff9,0x5c03ffff,0x3fea4fff,0xfff303ff,
    0x43fff985,0xc8effff9,0xfd81ffff,0xb11ffd1e,0x7fc401ff,0x3ff2007f,
    0x00fffecf,0x3ffff600,0x3fff9802,0xfffd3000,0x3ffee0bf,0x200002ff,
    0x3fa5fffb,0x2e000fff,0xff106fff,0x3ffe21ff,0xb1bffea1,0xff1007ff,
    0x04ffe89f,0xfc802ca8,0xfff303ff,0x07fffe6d,0x4ffff880,0x47ffff30,
    0xff11ffff,0x0fffd4ff,0x7ffff440,0x7dd3fe20,0xff56ffef,0x22fffc43,
    0x3fe61ccc,0x6fffc82f,0x80ffff50,0xfb9ffffc,0xfff80fff,0xfffc84ff,
    0x0dffff94,0x980bfff9,0xf0004fff,0x7dc03fff,0xffff34ff,0x83ffd409,
    0xff985ffe,0x1fffffff,0xdbffffa8,0x4fffe9ff,0x017ffee0,0xfeb7ffcc,
    0xf50000ff,0x2600bfff,0x98003fff,0x403fffff,0x03fffffa,0xdfff5000,
    0x00ffffe6,0x405fffb0,0xff31fffe,0x44fff88f,0xff004ffc,0x05ffd85f,
    0x7ffe4000,0x2dfff303,0x02effff8,0x01ffff50,0xff27ffec,0x1fffc4bf,
    0xb003fff5,0xfa83ffff,0x3ea9f70f,0xff89fd0f,0x93ffe66f,0xf981fff9,
    0xffd80fff,0xfffe804f,0xf02fffff,0x3ee0bfff,0xdfff94ff,0x0dfff501,
    0x004fff98,0x403ffff0,0xff8cfffb,0x7fdc05ff,0x20bffb07,0xfffffff9,
    0xffff9101,0xbfffffff,0x7ffff443,0xffb000df,0x03fffa5f,0x3fffe200,
    0x7fffcc0f,0xffffffff,0xff703fff,0x26005fff,0x004ffffe,0x37332aa2,
    0xfff56fff,0xfffd000f,0xd9999999,0x3fea5fff,0x56fffc47,0x105ffdaa,
    0x59fff553,0x00bffb55,0x3fffc800,0x74dfff30,0x1cefffff,0x017ffee0,
    0x7fcbfff7,0x8bffe24f,0x5c01fffa,0xfb83ffff,0x3fdd3ee6,0x7ffe8df9,
    0xfa9ffff2,0xfffd00ff,0x1ffff887,0xfffff980,0x3ffe04ff,0x3555102f,
    0x4c0ffff2,0xfff96fff,0xffffffff,0xf80fffff,0x3ee01fff,0x6fffedff,
    0x81fffa80,0x3e604fff,0x8803ffff,0xfffffffb,0xffff880c,0xfa801cff,
    0x3fffa5ff,0xfffc8000,0xffff982f,0xffffffff,0xffc83fff,0x44001eff,
    0x00dffffd,0x3fffff66,0xf76fffff,0xff000dff,0xffffffff,0x2a7fffff,
    0x7ffc46ff,0x5fffffff,0x7fffff4c,0xffffffff,0xfffff96f,0xffffffff,
    0x3fff2fff,0x4dfff303,0xfffffff9,0x7fe40bef,0x7ffd404f,0xf893ffe6,
    0x3ffea2ff,0x3fffe601,0x7dc9fb05,0x3ea1dfff,0xe87ffec7,0xff72ffff,
    0x37ffdc0f,0x801bffea,0x06fffffb,0x0017fffc,0x4c0ffff2,0xfff96fff,
    0xffffffff,0xf80fffff,0x3ee01fff,0x0fffffff,0x44fff980,0x3202fffa,
    0x00ffffff,0xfffffb88,0xfdb9100d,0x4407ffff,0x3fa0ffff,0x7d4000ff,
    0xff304fff,0xffffffff,0x447fffff,0x00dffffd,0x3ffff200,0xffffb80e,
    0xffffffff,0x00bfffb6,0xffffff98,0xffffffff,0xf0dff73f,0xffffffff,
    0x7fffdcbf,0xffffffff,0xff95ffff,0xffffffff,0x32ffffff,0xff303fff,
    0xfffe88df,0x21efffff,0x5404fffd,0x3ffe7fff,0xa8bffe24,0xff101fff,
    0x3f601dff,0x13fbbee4,0xfffc8ff5,0x5fffff99,0x7c40dff9,0x3ff61fff,
    0x3fe2003f,0x7fc04fff,0x7e4002ff,0xfff303ff,0x3fffff2d,0xffffffff,
    0x7ffc07ff,0x3ffee01f,0x005ffffe,0xfb7dfffd,0x7fe40dff,0x00ffffff,
    0xffffff91,0x9003bfff,0x7e40dfff,0x7fff43ff,0x3ffe2000,0x555100ef,
    0x5bfff955,0x7f415555,0x00005fff,0x43fffff9,0xabeffffa,0x96fffcaa,
    0x8800ffff,0xaaaaffff,0x0aaaaaaa,0xff88dff5,0x999999cf,0x35dfff10,
    0x3335fff3,0x3ff21333,0xffffffff,0xf97fffff,0x3fe607ff,0xffd7306f,
    0x321fffff,0x7dc05fff,0x93ffe6ff,0x3ea2fff8,0xfffd01ff,0x737dc03f,
    0x645ff19f,0x57ffdc5f,0x8ffffffc,0x7ec05ffd,0xffff14ff,0x7fff4001,
    0x3fe02fff,0x7e4002ff,0xfff303ff,0x2aaaaa6d,0xaaadfffc,0x7ffc02aa,
    0x3ffee01f,0x03ffffbc,0xffffff98,0xff901fff,0xfffff7ff,0xeffffa81,
    0xffffdffe,0x3fffd404,0xe86fff98,0x32000fff,0x8001ffff,0xa803fff9,
    0x003fffff,0x7ffffcc0,0x82fffec3,0xff56fffa,0xff8001ff,0xfa8000ff,
    0x27ffc47f,0x20fffd40,0xa9801fff,0xaaaaaaaa,0x92aaaaaa,0x3ea07fff,
    0xfc9806ff,0xff73ffff,0xfffc80df,0xf893ffe4,0x3ffea2ff,0x3ffffc81,
    0xfb87fd40,0x27f4df94,0x3fafffea,0xfeafffbf,0x7ffcc04f,0x009fff77,
    0x7fffffe4,0xffff00ff,0xfffc8005,0x0dfff303,0x004fff98,0x403ffff0,
    0xffb4fffb,0xfd5003ff,0x201dffff,0xf31ffffc,0x7c41ffff,0x2effb4ff,
    0x57992fff,0x0bffff95,0x3a07fffa,0xf5000fff,0x20009fff,0x3003fff9,
    0x009ffffd,0x3ffffea0,0x02ffff82,0x3e6dfff5,0x74004fff,0x98002fff,
    0x7ffcc7ff,0x87ffc805,0x00003fff,0x13fff200,0x01bfffe2,0x54ffff98,
    0x7c03ffff,0x3ffe3fff,0xa8bffe24,0x7fd41fff,0xfe8804ff,0x3fe69f75,
    0x7c41ffb9,0xfd7ffdff,0x007fffbf,0xffd5fffd,0x3fea003f,0x5ffffbff,
    0x005ffff0,0x303fffc8,0xf980dfff,0xff0004ff,0x7fdc03ff,0xffffd14f,
    0x2aea6001,0x3ffff201,0x37fffcc1,0x0ffe8bee,0x7fffcbd3,0x80efffff,
    0xfd04fffb,0xff1001ff,0x4c000dff,0x22003fff,0x00dffffe,0x3fffff20,
    0x07ffff01,0x7cdffff5,0x2203ffff,0x03ffff20,0x43fff100,0x400ffffb,
    0x7fd47ffc,0x0180006f,0x88dfff70,0x006ffffe,0xf89ffffc,0xff905fff,
    0x27ffc1ff,0x7d45fff1,0x3ffe21ff,0x3fea006f,0x2eaa1a9b,0xffff04ff,
    0x3ffeebff,0xfb801fff,0x06fffeff,0x29ffff10,0xf83ffffb,0x64002fff,
    0xff303fff,0xfff980df,0xffff0004,0x27ffdc03,0x00dffff3,0x3fff5000,
    0x20bffe60,0x820fffc0,0xffffffff,0xffff880c,0xfe999999,0x900999ff,
    0x0003ffff,0x001fffcc,0x077fffec,0x77fffec0,0x3bfffa00,0xfffff711,
    0x7ffffd4d,0x2fdbaace,0x2fffffe2,0x3a15d440,0x3fffa4ff,0x3fee085f,
    0xfffff31f,0xf9801507,0x7fd402ff,0xfffb9dff,0x37d56fff,0x3ffff910,
    0x5f7fffdc,0x3ffffda9,0xff127ffc,0x8fffd45f,0xcdffffe8,0x42cccccc,
    0x64c1dffc,0x3ffa06ff,0xfff12fff,0xf1001fff,0x07ffffff,0x83bfff60,
    0x7c1ffffe,0x64002fff,0xff303fff,0xfff980df,0x4cccc404,0x99affff9,
    0x13ffee19,0x10bffff7,0x99999999,0x1fa85999,0xf8017cc0,0x2aaa01ff,
    0x7d401aaa,0xffffffff,0xffffffff,0x4ffffa83,0x7ffcc000,0xfff70003,
    0x3fa205ff,0xfc805fff,0xffffffff,0x7ec6ffff,0xffffffff,0x7ffd42ff,
    0xffffffff,0x6fffe44f,0xeffffffd,0xff50fecc,0xfffffbff,0x1ffdbdff,
    0x07fffe80,0xfffffff8,0x56ffefff,0xffdfffff,0xfd0dffff,0xffffffff,
    0x9fff0dff,0xf517ffc4,0x3ffee3ff,0xffffffff,0xfffb85ff,0x0dffffef,
    0x3fffff60,0x1fffffa0,0xfffffd80,0xfffc800f,0x7fffc42f,0x017fffc6,
    0x40ffff20,0x4c06fff9,0x7dc04fff,0xffffffff,0xf71fffff,0xfffb09ff,
    0xffff987f,0x3fffffff,0x40010008,0x00001ccc,0xffffffa8,0xffffffff,
    0x7f443fff,0x880006ff,0x20001aaa,0x43fffffa,0x04fffff9,0xffffff10,
    0xdffd5fff,0xfffffc88,0xb82fffff,0xffffffff,0x7fc44fff,0xfe9fffff,
    0x20ffffff,0xaffffffe,0xfffffffa,0x7fffc00f,0x7ffd400f,0xfd9fffff,
    0xfffff56f,0x1dffffff,0xfffffd30,0xf01bffff,0x7ffc49ff,0x5c7ffea2,
    0xffffffff,0x305fffff,0x5dfffffb,0xbffff900,0x06ffffb8,0x3ffffea0,
    0xffff9805,0x9ffff704,0x0017fffc,0x4c0ffff2,0x7cc06fff,0x7fdc04ff,
    0xffffffff,0xff71ffff,0xfffd109f,0x7fffcc5f,0x3fffffff,0x00000000,
    0xfff50000,0xffffffff,0x87ffffff,0x001ffffc,0x98000000,0xf54fffff,
    0x8005ffff,0xdfffffd8,0x260dffb0,0xefffffed,0xfffb100c,0x05bfffff,
    0x23dfffd1,0xdfffffd8,0x3bfffa20,0x3ffffea2,0x7fec00df,0xfff5006f,
    0x3ff61bff,0xfffffd36,0x8017dfff,0xefffffeb,0x893ffe02,0x3fea2fff,
    0xfffff71f,0xffffffff,0x0035300b,0x42ffffb8,0x005ffff8,0x00fffff4,
    0x01bfffe2,0x3e5ffffb,0x64002fff,0xff303fff,0xb80000df,0xffffffff,
    0x71ffffff,0x3e609fff,0x2660ffff,0x99999999,0x00000009,0x51000000,
    0x55555555,0x557ffff5,0x1ffffd43,0x4cccc400,0x99999999,0x7f440019,
    0xfffd11ff,0x54c40003,0x99800009,0x54c40009,0x3510009a,0x8026aa20,
    0x2aa600a9,0xbd910009,0x09a98001,0x5554cc00,0xa9880009,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0xe880ffff,0xeeeeffff,0x22eeeeee,0xfffffffd,
    0x07ffffff,0xe883fb00,0x0000000e,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x980ffff8,0xffffffff,
    0x3fffffff,0x3ffffff6,0x7fffffff,0x04402000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xf8000000,
    0xff980fff,0xffffffff,0x363fffff,0xffffffff,0x007fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x07fffc00,0x7fffffcc,0xffffffff,0x4000003f,0x2000aaa8,
    0x02002aa8,0x00c01000,0x01357530,0x400aaa80,0xaaaaaaa9,0x22aaaaaa,
    0x26609999,0xffff3099,0xffffffff,0x00cc0dff,0x26055000,0x2660000a,
    0x26620999,0x76c40199,0x2eee201d,0x11bbbbbb,0x11111111,0x26666611,
    0x99999999,0x00999999,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfff70000,0x4c03dfff,0x000ffffd,
    0x05d505dd,0x5fd30bd5,0xffffd880,0xff9002ff,0xfffd809f,0xffffffff,
    0xffff17ff,0x4bfffe25,0xfffffff9,0x6fffffff,0x04ffffc8,0x7ec02666,
    0x077fe46f,0x7fffe400,0x7fffdc0d,0xffffd105,0x3fffe203,0xf92fffff,
    0xffffffff,0x3fffffed,0xffffffff,0x001fffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffffe800,
    0x4c0fffff,0x0ffffffd,0x23fffc80,0x3ee5fff8,0x3ffe63ff,0xffff300f,
    0x809fffff,0x01fffff8,0x3ffffff6,0x7fffffff,0xff87fffe,0xffff31ff,
    0xffffffff,0xfffe8dff,0x7c40efff,0xfff982ff,0x7ffff11f,0xffffc800,
    0x3fffe603,0xfffffb85,0xfffff105,0x3f25ffff,0xffffffff,0xfffffff6,
    0xffffffff,0x0003ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfdfff300,0xfe87ffff,0x00ffffff,
    0x3637ffcc,0x3fa21fff,0x3ffee0ff,0x7bfffd04,0x403ffffb,0x06fffffd,
    0x3ffffff6,0x7fffffff,0xff83fffe,0x555511ff,0xd5555555,0x7ffd4dff,
    0x20efffff,0xf881fffa,0x3ffe1fff,0x3ff2002f,0xfd8801ef,0x7ffe45ff,
    0x2aaa06ff,0x90aaaaaa,0xffffffff,0x3ffffedf,0xffffffff,0x01ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xe8570000,0x7fd45fff,0x400ffffc,0x3ee0fffe,0xfff984ff,
    0x20ffff46,0x7cc2fffa,0xfff504ff,0x0007fff3,0x07fff400,0x0001fffd,
    0xffe9bff6,0xfffffbbf,0x00fffd9a,0xffb8bff9,0x3fff2005,0x7fe4000d,
    0x3fffea5f,0x7500005f,0x77777777,0x00000007,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffe80000,
    0xfff0b83f,0x7ffe401f,0x81bffe63,0x3e63fffc,0x3ffdc6ff,0xfd06ffe8,
    0x03ffee5f,0x7ff40000,0x003fff47,0x7fcdffb0,0x3fffa24f,0x405fffff,
    0x40031008,0x0002aaa8,0xfe86aaa6,0x00000fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2e000000,0x7c01ffff,0xff300fff,0x0fffe8bf,0x70ffff40,0x7fec7fff,
    0x70fff906,0x4ffe8dff,0xffb00000,0x007ffd8f,0x7c5bff60,0x7ff443ff,
    0x001fffff,0x00000000,0x019b7000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x1ffffdc0,0x807fffc0,0x3ee0fffe,0xff9803ff,0x87fff45f,0xfe80fffc,
    0x0fffc45f,0x9707ffea,0x99999999,0x7ec99999,0x03ffec7f,0x4cdffb00,
    0xffc88099,0x00001fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fe40000,0xfff004ff,0x3ffee01f,0x01bffe63,0xf98bfff2,0x3ffea5ff,
    0x227ffd43,0xffd05ffd,0xfffffd8d,0xffffffff,0xf91bff27,0x4c4000df,
    0xba880009,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2ffffc80,0x03fffe00,0x2e1fffe8,0x3ea03fff,0x3ffa25ff,0x3fffe20f,
    0x0ffffece,0x4c07ffe6,0x3ff63fff,0xffffffff,0x2aa67fff,0x001554c2,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xd8000000,
    0x4001efff,0x2600ffff,0x7ff46fff,0xffff881f,0x20bfff20,0xfffffffa,
    0x27ff43ff,0x5c3fff60,0xcccccccc,0x004ccccc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfffffb00,0x5c1fffff,
    0xeffffeee,0xfffc80ee,0x21bffe63,0x3ea2fffd,0x3fa605ff,0x4c1effff,
    0x64400ccc,0x000002cc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffffd000,0x41ffffff,0xfffffffc,0xff880fff,
    0x3ffee1ff,0x893ffee4,0x9800ffff,0x00001aaa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7fffff40,
    0x320fffff,0xffffffff,0xdff500ff,0x222efe83,0x7fe446fc,0x00000003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x33333100,0x98833333,0x99999999,0x2980e401,0x01c40660,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_35_latin_ext_x[560]={ 0,6,3,0,1,0,0,7,4,3,2,1,3,4,
6,1,0,1,2,2,0,2,1,1,1,1,6,3,1,2,3,4,0,0,2,1,1,3,3,0,1,2,2,2,
3,0,1,0,2,0,2,1,1,1,0,0,0,0,1,5,2,4,1,0,0,1,2,2,1,1,0,1,2,2,
2,2,2,1,2,1,2,1,3,2,1,2,0,0,0,0,2,2,7,3,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,6,1,1,0,0,
7,1,0,0,3,1,1,4,1,0,3,1,3,4,0,2,1,6,7,3,3,2,0,0,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
0,0,0,0,0,1,0,0,1,0,1,0,1,0,-1,0,0,1,0,0,0,0,0,0,3,1,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,2,0,2,1,1,0,0,2,2,2,0,0,3,
2,-5,-3,2,1,0,2,0,0,1,2,0,0,0,1,2,0,0,0,0,0,0,0,0,-1,0,2,3,-1,0,
0,0,0,0,1,2,0,0,1,1,0,-3,1,0,0,0,0,0,0,0,0,0,0,0,1,2,0,0,0,0,
0,0,0,0,0,0,0,4,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,-4,-2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__consolas_bold_35_latin_ext_y[560]={ 25,0,0,2,-1,0,0,0,-1,-1,0,7,18,13,
18,0,2,2,2,2,2,2,2,2,2,2,7,7,5,10,5,0,0,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,0,2,28,0,7,0,7,0,7,0,7,0,0,
0,0,0,7,7,7,7,7,7,7,2,7,7,7,7,7,7,0,-3,0,11,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,25,7,-1,2,2,2,
-3,0,0,2,2,8,14,13,0,1,0,3,0,0,0,7,0,12,25,0,2,8,0,0,0,7,-4,-4,-4,-4,
-4,-5,2,2,-4,-4,-4,-4,-4,-4,-4,-4,2,-4,-4,-4,-4,-4,-4,8,-2,-4,-4,-4,-4,-4,2,0,0,0,
0,0,0,-2,7,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,3,0,0,0,0,0,0,0,
-3,1,-4,0,2,7,-4,0,-4,0,-5,0,-4,0,-4,-1,2,0,-3,1,-4,0,-5,0,2,7,-4,0,-4,0,
-4,0,-5,0,2,-1,-4,-5,2,0,-4,0,-3,1,-4,0,2,0,-5,7,2,0,-4,0,2,0,7,-4,-5,2,
0,-1,-1,2,0,2,0,-4,0,2,7,-4,0,-2,2,7,-3,1,-4,0,-4,0,2,7,-4,0,2,7,-4,0,
-4,0,-4,0,2,7,-4,0,2,2,-4,-1,2,2,-4,0,-3,1,-4,0,-5,-2,-4,0,2,7,-4,0,-4,0,
-4,-4,0,-5,0,-4,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-9,-7,-4,0,-4,-1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,7,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static unsigned short stb__consolas_bold_35_latin_ext_w[560]={ 0,7,13,19,17,20,20,5,12,12,15,17,10,11,
7,17,19,17,16,16,19,16,17,17,17,17,7,11,15,15,15,13,20,20,16,17,18,14,14,18,17,15,14,17,
15,19,17,19,16,20,17,17,17,17,20,19,20,20,17,10,17,10,17,20,12,16,16,15,16,17,18,18,15,16,
14,17,16,18,15,18,16,16,15,15,16,15,19,20,19,19,15,14,5,14,19,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,7,15,17,19,19,
5,17,16,19,13,17,16,11,18,15,13,17,13,12,18,17,17,7,6,13,13,16,20,20,20,13,20,20,20,20,
20,20,20,17,17,17,17,17,17,17,17,17,19,18,19,19,19,19,19,17,19,18,18,18,18,20,16,17,17,18,
17,17,17,17,19,15,18,18,18,18,18,18,18,18,17,17,19,19,19,19,19,17,18,17,18,17,17,19,16,19,
20,17,20,17,20,17,18,19,17,17,17,17,17,17,20,22,19,19,17,18,17,18,17,18,15,17,17,18,18,19,
18,19,18,19,18,19,18,17,19,17,17,18,17,18,17,18,16,16,17,16,17,17,16,16,17,17,17,18,18,15,
16,23,23,18,22,18,16,18,18,17,15,18,17,18,17,15,19,19,19,19,21,21,19,19,20,18,17,15,20,18,
18,18,18,17,17,15,18,17,17,16,18,22,17,17,18,17,18,17,18,17,18,17,21,21,17,16,19,20,20,19,
20,18,18,18,17,18,17,14,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,18,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,20,18,20,19,23,21,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,15,17,16,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17, };
static unsigned short stb__consolas_bold_35_latin_ext_h[560]={ 0,26,10,23,31,26,26,10,34,34,16,18,14,5,
8,29,24,23,23,24,23,24,24,23,24,23,19,25,21,11,21,26,33,23,23,24,23,23,23,24,23,23,24,23,
23,23,23,24,23,30,23,24,23,24,23,23,23,23,23,32,29,32,12,5,8,19,26,19,26,19,25,26,25,25,
33,25,25,18,18,19,25,25,18,19,24,19,18,18,18,26,18,32,36,32,9,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,25,31,23,23,23,
36,30,8,24,18,15,9,5,18,7,13,22,15,15,8,25,30,7,6,15,18,15,25,25,25,25,29,29,29,29,
29,30,23,29,29,29,29,29,29,29,29,29,23,29,30,30,30,30,30,16,31,30,30,30,30,29,23,26,26,26,
26,26,26,28,19,24,26,26,26,26,25,25,25,25,26,25,26,26,26,26,26,19,26,26,26,26,26,33,32,33,
28,25,29,26,30,25,30,26,30,26,31,26,30,26,29,27,23,26,28,25,29,26,30,26,30,25,29,26,30,33,
30,33,31,33,31,34,29,30,23,25,29,25,28,24,29,25,30,32,30,18,24,33,30,33,31,33,18,29,30,31,
33,26,26,23,25,23,25,29,25,31,26,29,25,27,31,26,29,25,30,26,30,26,24,19,29,25,31,26,29,25,
30,26,30,26,29,24,30,26,31,31,29,27,23,24,30,26,29,25,30,26,31,28,30,26,30,25,29,25,29,33,
29,29,25,30,25,29,25,25,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,30,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,34,33,29,26,33,30,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,31,26,31,31,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23, };
static unsigned short stb__consolas_bold_35_latin_ext_s[560]={ 510,498,168,298,91,1,149,506,33,67,481,
396,501,292,501,467,142,371,129,105,1,38,287,280,199,262,502,391,57,152,73,
497,198,167,204,20,336,96,497,71,466,188,90,318,355,428,448,122,484,294,389,
235,111,217,241,221,146,407,21,424,291,398,134,304,255,89,226,106,189,122,440,
170,79,394,143,447,44,249,380,230,284,430,364,214,345,198,324,303,344,76,268,
349,1,409,199,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,
78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,510,503,75,
362,380,400,7,276,219,305,498,85,182,292,284,276,120,39,57,497,236,373,410,
268,498,71,449,103,245,224,203,189,43,1,309,435,22,428,57,141,79,97,115,
485,61,449,159,64,458,416,281,301,321,341,361,463,55,134,39,210,191,233,20,
113,95,76,58,40,22,243,160,271,444,425,406,387,358,132,170,483,288,266,268,
248,228,208,188,180,169,151,132,114,96,329,364,123,261,355,40,460,94,465,115,
403,21,367,109,423,196,385,120,305,420,347,189,403,133,478,76,441,229,61,22,
41,153,158,262,178,491,272,435,13,330,381,37,321,254,339,207,180,177,301,245,
381,58,414,162,254,399,237,178,219,431,195,172,162,312,297,306,1,21,478,377,
101,411,37,60,82,320,328,473,259,169,1,1,206,487,19,325,140,477,113,19,
243,456,151,315,368,353,350,151,55,372,1,144,127,214,282,440,253,468,463,272,
459,391,131,454,225,214,275,236,338,349,477,369,292,390,411,1,334,422,430,95,
497,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,449,
78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,
78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,
78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,
78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,
78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,
78,78,78,46,104,1,330,80,254,78,78,78,78,78,78,78,78,78,78,78,
78,78,78,78,78,78,78,78,78,78,78,78,78,1,481,144,127,78,78,78,
78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,
78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,
78,78,78,78,78,78,78,78,78, };
static unsigned short stb__consolas_bold_35_latin_ext_t[560]={ 1,70,313,266,38,188,188,70,1,1,291,
291,266,313,281,101,241,266,266,241,291,241,241,266,241,266,188,215,291,313,291,
131,1,266,266,241,266,266,241,241,266,266,241,266,266,266,266,241,266,38,266,
241,266,241,266,266,266,266,291,1,101,1,313,313,313,291,188,291,188,291,215,
188,215,188,1,188,215,291,291,291,215,188,291,291,241,291,291,291,291,161,291,
1,1,1,313,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,
266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,1,101,38,
241,241,241,1,38,313,241,215,313,313,313,291,313,313,291,313,291,313,215,38,
313,234,313,291,313,215,215,215,215,101,101,101,70,101,38,266,101,131,131,131,
101,131,101,101,101,241,70,70,70,70,70,70,291,38,70,70,70,70,101,266,
188,188,188,188,188,188,131,291,241,161,161,161,161,188,215,215,188,161,215,161,
161,161,161,161,291,161,161,161,161,161,1,1,1,131,215,131,131,70,188,70,
131,70,131,38,131,38,131,101,131,241,131,131,215,131,131,70,131,70,215,131,
161,70,1,70,1,1,1,1,1,101,70,266,188,101,188,131,241,101,215,70,
1,70,291,241,1,70,1,38,1,291,101,70,38,1,188,161,267,215,241,188,
101,188,38,161,101,215,131,1,188,131,215,70,188,38,161,241,291,70,215,38,
188,70,215,38,161,38,161,131,241,38,161,38,38,101,131,241,241,38,161,101,
215,38,188,1,131,38,188,38,215,101,215,101,1,101,101,241,38,215,101,215,
161,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,38,
266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,
266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,
266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,
266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,
266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,
266,266,266,1,1,131,161,1,38,266,266,266,266,266,266,266,266,266,266,266,
266,266,266,266,266,266,266,266,266,266,266,266,266,38,161,38,38,266,266,266,
266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,
266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,
266,266,266,266,266,266,266,266,266, };
static unsigned short stb__consolas_bold_35_latin_ext_a[560]={ 308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_35_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_bold_35_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_35_latin_ext(stb_fontchar font[STB_FONT_consolas_bold_35_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_35_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_bold_35_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_35_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_35_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_35_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_35_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_35_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_35_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_35_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_35_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_35_latin_ext_s[i] + stb__consolas_bold_35_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_35_latin_ext_t[i] + stb__consolas_bold_35_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_35_latin_ext_x[i];
            font[i].y0 = stb__consolas_bold_35_latin_ext_y[i];
            font[i].x1 = stb__consolas_bold_35_latin_ext_x[i] + stb__consolas_bold_35_latin_ext_w[i];
            font[i].y1 = stb__consolas_bold_35_latin_ext_y[i] + stb__consolas_bold_35_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_bold_35_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_35_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_35_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_35_latin_ext_s[i] + stb__consolas_bold_35_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_35_latin_ext_t[i] + stb__consolas_bold_35_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_35_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_35_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_35_latin_ext_x[i] + stb__consolas_bold_35_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_35_latin_ext_y[i] + stb__consolas_bold_35_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_35_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_35_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_35_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_35_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_35_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_35_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_35_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_35_latin_ext_LINE_SPACING
#endif

