// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_37_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_37_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_37_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_bold_37_latin_ext_BITMAP_HEIGHT        358
#define STB_FONT_consolas_bold_37_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_bold_37_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_bold_37_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_bold_37_latin_ext_LINE_SPACING          24

static unsigned int stb__consolas_bold_37_latin_ext_pixels[]={
    0x32e19997,0x330000cc,0x2aa01333,0x88000001,0x00019999,0x800201c8,
    0x20000000,0x5551001c,0x01555555,0x20001880,0x2aaa6000,0x002aaaaa,
    0x10015310,0xaa800003,0x6540000a,0xc88000cc,0x01dd983e,0x01999500,
    0x90333200,0x20000399,0x01ccccca,0x2f7b6e60,0x1e664c01,0x99300000,
    0x33322039,0x665c0004,0x04cccccc,0x80000800,0xbc801aa8,0xffd0009a,
    0x07fffa3f,0x3ffff600,0xfffff104,0xf5000005,0x0005ffff,0x7441ffc8,
    0x3fa603ff,0xff50003f,0xffc85fff,0xffff9801,0x001fffff,0x800bffee,
    0xb800dffb,0xffffffff,0x3ff66007,0x7fdc02ff,0xfa80002f,0x2a0001ff,
    0x8005ffff,0x3e63fffd,0x54000fff,0x0005ffff,0x7fcc9ffd,0xfa80000f,
    0x2002ffff,0xfffffffb,0xdfff700e,0x3e200000,0xf981ffff,0x20000fff,
    0xfffffffd,0xdb88007f,0x7e40003f,0x3e00efff,0x01dfffff,0x7f47fffa,
    0x7ec001ff,0x3e201eff,0x00efffff,0xffff5000,0xfc80001d,0x3ffa0fff,
    0xfffd01ff,0xffa8003f,0x7fe40eff,0x7fcc01ff,0x1fffffff,0xfffff100,
    0xffff5001,0xffff700b,0x200fffff,0x2ffffffc,0x3ffffe20,0x7fec0000,
    0x3fea0007,0x4005ffff,0x3ee6ffff,0x2a002fff,0x05ffffff,0xddfffc80,
    0x80006fff,0x00effffa,0xfffffd10,0x701dffff,0x0000dfff,0xfffffd10,
    0xffff981f,0x3ff60000,0x07ffffff,0x03ffff80,0x3bffee00,0x3ffe05ff,
    0x80dfffff,0xffd1fffe,0x3fa2003f,0xff8804ff,0x004fffff,0x3ffffa80,
    0xc800aaa6,0x7fc3ffff,0xff883fff,0x2a003fff,0xf103ffff,0x4c03ffff,
    0xffffffff,0xfff5001f,0xff9003ff,0xff700fff,0x0fffffff,0xffffff30,
    0x7ffd405f,0x7c0001ff,0xf30005ff,0xbfff59ff,0x27fff400,0x003ffff5,
    0x3eb3ffe6,0x7c4005ff,0x1fffffff,0x7ffd4000,0x7ff4004f,0xffdbabef,
    0x7ffdc0ef,0x74400006,0xeffe9eff,0x03fffe60,0xffffd800,0x8007ffff,
    0x0003ffff,0x0ffc9bf6,0xfffffff0,0xffe83fff,0x03fffd1f,0x006aaa60,
    0xffffb310,0x76cc0003,0x27ffc1de,0x3ffffa80,0x02fffff8,0x005fffff,
    0x007fffea,0x01fffff3,0x01fffe80,0x1fffff30,0xdffff700,0x09fff700,
    0x3bfffa00,0xfff9801a,0x2a0000ff,0x98004fff,0x3fea4fff,0xdfd3004f,
    0x003ffc81,0x7d49fff3,0x6c4004ff,0x002effff,0x17fffd40,0x17fff600,
    0x2e1fffe4,0x00006fff,0x443bffa2,0xff30effe,0x800001ff,0x8007fffc,
    0x0003ffff,0x0ffa97fa,0xfffdb990,0x7f41dfff,0x3fffd1ff,0x5bddb500,
    0x7ffec000,0x26000003,0xf8801fff,0xff504fff,0x7ffd40bf,0x98000005,
    0x4004ffff,0x2001fffe,0x2003fffd,0xb801fffd,0x88004fff,0x4000ffff,
    0x0003fffd,0x000f7764,0x4c40ccc4,0x00040019,0x10333100,0x22000333,
    0x300001aa,0xa8001333,0x7ec04fff,0x37ffdc6f,0x33310000,0x30999881,
    0x0001ffff,0x07fffc80,0x03ffff80,0x2f3ff200,0x322007fe,0x3a5fffff,
    0xfffd1fff,0xffffb803,0xf50004ff,0x000009ff,0xd803ffe4,0x54406fff,
    0x001a8802,0x00b7ff62,0x02ffffb8,0x007fffa0,0x30003550,0x3fee0015,
    0xff98004f,0x3550005f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x03fffe00,0x5c3fff50,0x00006fff,0xfff98000,0x6400000f,0x55407fff,
    0xdffffaaa,0x01aaaaaa,0x7fffff44,0xfffa8001,0x47fffa7f,0x7c01fffe,
    0x0ffd89ef,0x5fff9800,0xecb98000,0x804fffff,0x001ffffb,0x3e200000,
    0x003fffff,0x003bfffa,0x000ffff4,0x70000000,0x50009fff,0x00007fff,
    0x00000000,0xacccba88,0x30aaaaaa,0x20015555,0x5532aaaa,0x2aa00155,
    0x5d4402aa,0xaaaaaccc,0x555530aa,0x2aaaa001,0x017ffd42,0xf727ffc4,
    0x6e544dff,0xaaa8801b,0xaaaaaaaa,0x3fffe62a,0x55555300,0x0ffff900,
    0xfffffff8,0xffffffff,0x9db7004f,0x7fec0001,0x3fffd1ff,0x9807fffa,
    0x07fea3ff,0x1bffe200,0xffff7000,0x009fffff,0x9809ffff,0x2a602aaa,
    0xffd802aa,0x000fffbc,0x007ffff3,0x5447fffa,0xaaaaaaaa,0xa8802aaa,
    0xaaaacccb,0xfff70aaa,0xfff70009,0xaaaa9807,0x0002aaaa,0x55999751,
    0x40155555,0xfffffffb,0x30ffffff,0x1009ffff,0x3e69ffff,0xf8804fff,
    0x3ee04fff,0xffffffff,0xff30ffff,0xff1009ff,0x6ffe89ff,0x5ffe8808,
    0x7ddbffee,0x405fffff,0xfffffff9,0x267fffff,0xf980ffff,0xc801ffff,
    0x7fc07fff,0xffffffff,0x24ffffff,0xa804ccc9,0xfb803ccc,0xfffd2fff,
    0x007fffa3,0xffd55dff,0xfff10001,0x3f62000d,0xffffffff,0x3fea04ff,
    0xfffb807f,0x1bffee06,0xffa97fe0,0x3fff2002,0x3fffd006,0x3fffffe6,
    0x07ffffff,0x7fffffdc,0x0fffffff,0x0009fff7,0xd807fff7,0xffffffff,
    0xfffb8007,0xffffffff,0xfffb00ff,0xffffffff,0x7ff41fff,0xfffa807f,
    0x1ffffa1f,0x07fffea0,0x7fffffec,0xffffffff,0x01ffffa0,0x987fffea,
    0x3fae3fff,0xffcbfeef,0x337ffee6,0xffffffff,0xffff300e,0xffffffff,
    0x07fffccf,0x0bffffa2,0x03fffe40,0x3ffffffe,0xffffffff,0x1fffea4f,
    0x017fff20,0x747fffee,0xfffd1fff,0xffffa803,0xf10002ff,0x3a000dff,
    0xfeffffff,0xb03fffff,0xf7009fff,0x7fdc0dff,0x27fc406f,0x4c005ff3,
    0xe801ffff,0xfff31fff,0xffffffff,0x7ffec0ff,0xffffffff,0xfff70fff,
    0xfff70009,0xffffd807,0x4007ffff,0xfffffffd,0x0fffffff,0xadffffb8,
    0xeefffffc,0x3fffee0e,0x37ffec02,0x00bfffee,0x2e0dfffb,0xfcadffff,
    0x0eeeffff,0x00bfffee,0xfb8dfffb,0xffffb0ff,0xdff75fff,0x7fffffdc,
    0xffffffff,0xfffff304,0xffffffff,0x207fffcc,0x003ffffe,0x001ffff2,
    0x400ffffe,0xc807fffa,0xfe805fff,0x3fffa7ff,0x003fffd1,0x0019b971,
    0x007fff80,0x1effffa8,0xfffffff3,0x1ffff881,0x06fffb80,0x201bffee,
    0xffeabffe,0x7fff4000,0x1fffe804,0xfffffff3,0x20ffffff,0xcadffffb,
    0xeeefffff,0x009fff70,0x807fff70,0xfffffffd,0x3fee007f,0xfffcadff,
    0xf80eeeff,0xffd82fff,0xffff104f,0x7fffc40b,0x2ffffc43,0x07ffff10,
    0x360bfffe,0xff104fff,0x7fc40bff,0xaffec3ff,0xfffffffa,0x2e7ffb9f,
    0xadffffff,0x0fffffa8,0xffff7000,0x907fffcc,0x8009ffff,0x8007fffc,
    0x5003ffff,0xf900ffff,0x4ccc4bff,0x24ffffea,0xffd1fffe,0x9999003f,
    0x7c000399,0x74001fff,0x3ee0efff,0x44ffffff,0x7006fffb,0x7dc0dfff,
    0xff9806ff,0x8004ffff,0xe807fffc,0x2e001fff,0xfff07fff,0x9fffb05f,
    0x009fff70,0x005fff90,0x00ffff90,0x6c17fffc,0x3e604fff,0xfff306ff,
    0x7fffe40f,0x1ffff700,0x01ffff90,0x203fffee,0xf306fff9,0x7fe40fff,
    0xfff700ff,0xd4fff81f,0xfff95fff,0x2e1fff51,0xa84fffff,0x0003ffff,
    0x7ccffff7,0xfff70fff,0xff9000bf,0xfff000ff,0x3fea007f,0xfffc807f,
    0x3ffffea5,0x3fa0ffff,0x3fffd1ff,0xfffff980,0x3fa0004f,0x3ea003ff,
    0x7ff41fff,0x646fffed,0xf7004fff,0x7fdc0dff,0xffd3006f,0x3e60007f,
    0x7f400fff,0x3ee001ff,0xfff987ff,0x0ffff306,0x8009fff7,0x001ffff8,
    0x007fffc8,0x260dfff3,0x3ea07fff,0x3ffe05ff,0xffff300f,0x17fffa07,
    0x81ffffcc,0xf505fffe,0x7ffc0bff,0xffff300f,0x17fffa07,0xff35fff3,
    0x23fff27f,0xff70fffa,0x7ffc0bff,0xff70004f,0x7fffccff,0x05ffffa8,
    0x0ffff900,0x07ffff00,0x01fffea0,0xfa97fff2,0x1effffff,0xfe8ffff4,
    0x7fe401ff,0x0006ffff,0x06ffffee,0x11bfff60,0xfff75fff,0x1fffec1f,
    0x06fffb80,0x001bffee,0xf8800011,0x7f400fff,0x3ee001ff,0xfffa87ff,
    0x03fffe05,0x2009fff7,0x06fffe98,0x0ffff900,0x817ffea0,0xf300ffff,
    0x7ffc0dff,0x37fff407,0x00ffffcc,0xf30dfffd,0x3e603fff,0x3ffe06ff,
    0x37fff407,0x20ffffcc,0xffb8fffb,0x2afffb1f,0xfff70fff,0x5fffd80f,
    0xffff7000,0x7cffffcc,0x0000efff,0x000ffff9,0x2007ffff,0xc807fffa,
    0x3fe65fff,0xfd03efff,0x2aaaa3ff,0x7ffff400,0x20000fff,0x4ffffffd,
    0x713fffa0,0xfff31fff,0x1ffff45f,0x06fffb80,0x101bffee,0x579bb975,
    0x3fffe000,0x0ffff401,0x0ffff700,0x7c0dfff3,0xfffb87ff,0x7fffcc04,
    0x90001fff,0x2600ffff,0x3fe06fff,0x3ffe207f,0x6fffb81f,0x0ffffdc0,
    0x701bfff2,0xfc83ffff,0x3fe206ff,0xfffb81ff,0x7fffdc06,0x437ffe41,
    0xfff97ffb,0xffab7fec,0x01bffee7,0x000dfffb,0xf99fffee,0xefffffff,
    0x3ff20000,0xfff8007f,0xfff5003f,0xbfff900f,0x0077ffcc,0x0007fffa,
    0x3fffffe2,0x540003ff,0x204ffffe,0x7ec3ffff,0x7ffff16f,0x8017fffc,
    0x2e06fffb,0xfd506fff,0xffffffff,0xffe8005d,0x7fff402f,0x3ffee001,
    0x1ffff887,0xb86fffb8,0x7cc04fff,0x000bffff,0x01ffff20,0x40ffffc4,
    0x6c06fffb,0xc99cffff,0x4403ffff,0x7fc4ffff,0x7fc403ff,0x7fffc4ff,
    0x7fffec03,0xffffc99c,0x7fffc403,0x41ffffc4,0xdffb6ffc,0xffbb7ff4,
    0x01bffee7,0x000ffff9,0xf99fffee,0xefffffff,0x3ff20000,0xfff8007f,
    0xfff5003f,0xbfff900f,0x4037ffcc,0x8001fffe,0xffddfffb,0x3ee0005f,
    0x204fffff,0x3e22ffff,0x3fffe3ff,0x007fffe4,0x7037ffdc,0x3f20dfff,
    0xffffffff,0x3a002fff,0x7f403fff,0x3ee001ff,0xfffb07ff,0xfff9339f,
    0x9fff707f,0xfffff980,0x3f20005f,0x3f6007ff,0xfc99cfff,0x7c403fff,
    0xffffffff,0xffb005ff,0x7fffccff,0x7fffd800,0x003fffe6,0xfffffff1,
    0x200bffff,0x3e67fffd,0xffc80fff,0x7fcdffd6,0x5cdff75f,0x7ec06fff,
    0xf70006ff,0x7ffccfff,0x05ffffbf,0x1ffff200,0x0ffffe00,0x03fffd40,
    0xf12fffe4,0xffd00bff,0xffb0003f,0x1ffff77f,0xffff5000,0x3e60357b,
    0x3fea1fff,0x93fffe0f,0x7002ffff,0x7dc0dfff,0xfff906ff,0xfffd99bd,
    0x3fa001ff,0x7ff402ff,0x3fee001f,0xffff107f,0xbfffffff,0x013ffee0,
    0xffff9551,0x3ff20009,0x3fe2007f,0xffffffff,0xfffb805f,0xcfffffff,
    0xffff3000,0x017fff63,0xd8ffffcc,0xfb805fff,0xffffffff,0xff3000cf,
    0x3fff63ff,0x3abffb05,0x53ffe5ff,0x3fee6ffc,0x7fff406f,0xfff70005,
    0x47fffccf,0x004ffffc,0x00ffff90,0x007ffff0,0x201fffea,0x3225fffc,
    0xffe803cc,0xfff8001f,0x2ffff99f,0x3fffd800,0x3ffff300,0x3fa37fec,
    0x3fffa4ff,0xdfff7003,0x837ffdc0,0x3fee01cb,0xfff003ff,0xfffe803f,
    0x3ffee001,0xfffff707,0x019fffff,0x0013ffee,0x001ffff5,0x00ffff90,
    0x7fffffdc,0x400cffff,0xedbdfff9,0xe8000cce,0xfff8cfff,0x3ffa002f,
    0x2ffff8cf,0x5efffcc0,0x000cceed,0xf8cfffe8,0xffb02fff,0x7c57ffab,
    0x49ffd3ff,0x2206fffb,0x0003ffff,0x7ccffff7,0xfffd0fff,0xff90005f,
    0xfff000ff,0x3fea00bf,0xfffc807f,0x7ff40005,0x7fcc001f,0x13fffe7f,
    0x01fffe00,0x22ffff98,0x7ffc3fff,0x13fff63f,0x037ffdc0,0x000dfff7,
    0x804fffe8,0x400ffff8,0x2001fffe,0xf987fffb,0xceedbdff,0x7ffdc00c,
    0xffff8004,0xfffc8001,0xbfff3007,0x0199ddb7,0x007fff20,0xffff7000,
    0x800ffff5,0xffaffffb,0xfffc807f,0x7dc00001,0x7fffafff,0x7f57ff60,
    0x17fff76f,0x7fdc3fff,0x3ffee06f,0xff70002f,0x7fffccff,0x3fffff30,
    0x7fffc800,0xffffe800,0x7fffa800,0x45fffc80,0xffd00198,0xffc8003f,
    0x1ffff24f,0x01fffe00,0x52ffff88,0xfff83fff,0x1bfff22f,0x037ffdc0,
    0x000dfff7,0x805fffc8,0xe807fff9,0x2e001fff,0xffc87fff,0x3ee0001f,
    0xfd8004ff,0xfc8002ff,0xff9007ff,0xfb00003f,0x800007ff,0xfffffff8,
    0x7fc4004f,0x04ffffff,0x003fffd8,0x7fffc400,0x3204ffff,0x5fffb6ff,
    0xff9bffff,0x06fffb8f,0x00dffff3,0x33fffdc0,0x7dc1ffff,0x2000efff,
    0x8007fffc,0x9beffffc,0x3fea2b99,0xfffc807f,0x017ffe65,0x7f47fffa,
    0xfffd01ff,0x0ffffd45,0x0dfff100,0x9ffffc40,0x7fc46ffc,0x3ffea1ff,
    0xfffb800f,0x1bffee06,0xfb333100,0xff900bff,0xfffd00bf,0x7ffdc003,
    0x03fffd87,0x13ffee00,0x0fffee00,0x1ffff200,0x01fffec0,0x7fffe400,
    0x1aaacccd,0xffffd800,0xd8000fff,0x0fffffff,0xdffffc80,0x01aaaccc,
    0xfffffd80,0x3ff200ff,0xffffff77,0x89ffffff,0x99bffffb,0x1fffffca,
    0x3ffee000,0x03fffe67,0x10bffffb,0xffb55555,0x155555ff,0x7ffffcc0,
    0x2a4fffff,0xfc807fff,0x3fffa5ff,0x7fff403f,0x103fffd1,0x7c41ffff,
    0x22003fff,0x7c006fff,0x9fff5fff,0x447fffa8,0xb803ffff,0x3ee06fff,
    0x764406ff,0xffffffff,0xffff805f,0x1fffe802,0x1fffee00,0x337ffff2,
    0x201aaacc,0x8004fffb,0x2203fffb,0xffdaaaaa,0x0aaaaaff,0x66ffffe4,
    0x801aaacc,0xfffffff9,0x03ffffff,0x3ffffe60,0xff30005f,0x200bffff,
    0xfffffff9,0x03ffffff,0x3ffffe60,0xbffdc05f,0xebfffff8,0xfb85ffff,
    0xffffffff,0x0004ffff,0xf33fffdc,0xfe881fff,0x7fd44fff,0xffffffff,
    0x401fffff,0xfffffffc,0x3ffea4ff,0x5fffd807,0x017ffffe,0x3fa3fffd,
    0xfffb81ff,0x06fffe86,0x01bffe20,0xf5ffff90,0xfffd83ff,0x06fffd86,
    0x206fffb8,0x3206fffb,0xffffffff,0x4c05ffff,0xfd007fff,0x7dc003ff,
    0xfff987ff,0xffffffff,0xfffb83ff,0xfffb8004,0x3fffea03,0xffffffff,
    0x7fcc1fff,0xffffffff,0x7cc03fff,0xffffffff,0x2005ffff,0x01fffffe,
    0x3ffffa00,0x3fe6001f,0xffffffff,0x3a005fff,0x401fffff,0xfd31fffa,
    0x33bfa67d,0xfffffb80,0x2fffffff,0xfffb8000,0x03fffe67,0x8bffffe6,
    0xfffffffa,0xffffffff,0xfffea801,0x3ea4ffff,0x7ec00fff,0x3fffa4ff,
    0x7fff404f,0xb03fffd1,0xff907fff,0x3e2001ff,0x7d4006ff,0x47ffefff,
    0xa82ffff9,0x5c02ffff,0x3ee06fff,0xfffb06ff,0xffddffff,0xffd80bff,
    0xfffd004f,0x7ffdc003,0xfffff307,0xffffffff,0x04fffb8b,0x03fffb80,
    0x3fffffea,0xffffffff,0xffff981f,0xffffffff,0xfffd105f,0xfffddddd,
    0x2e009fff,0x0006ffff,0x037fffdc,0xddfffd10,0xfffffddd,0x3fee009f,
    0xff9806ff,0x4008043f,0xfffffffb,0x0000ceff,0x4cffff70,0xf700ffff,
    0x3ea3ffff,0xffffffff,0x01ffffff,0x06aaa620,0x003fffe6,0x7cc7fffd,
    0x7f400eff,0x3fffd1ff,0x81ffff88,0x002ffff9,0x000dfff1,0x9fffffff,
    0x037fff44,0xb80dfffd,0x3ee06fff,0xfffb86ff,0xfffc81df,0x3fffea05,
    0x3fffd001,0x3fffdc00,0x777fff44,0xfffffeee,0x13ffee4f,0x0fffee00,
    0xffffffa8,0xffffffff,0x7fff441f,0xfffeeeee,0xffe84fff,0x3ffea05f,
    0xfff9006f,0xfc80005f,0x3a002fff,0x3ea05fff,0xf9006fff,0x3e005fff,
    0x700006ff,0x3531dfff,0x3f200000,0x000005ff,0x00000000,0x0ffffe20,
    0x41ffff88,0xffd001a8,0x07fffa3f,0x333ffff5,0xbffff333,0x17ffe600,
    0x3fffea00,0xfffdbdff,0x3fe602ff,0xb00003ff,0xffb0bfff,0x7ffe40df,
    0x17fffa05,0x01fffe80,0x217fff20,0x2a05fffe,0x3ee6ffff,0xfa8004ff,
    0x100004ff,0xffd0bffd,0x7ffd40bf,0x7fffd46f,0x3fffe400,0x37fffc40,
    0x3ffe2000,0x3fea006f,0x7fe400ff,0xfff8807f,0x3ff2006f,0xfb80001f,
    0x000006ff,0x009fffd0,0x00000000,0x007fff40,0x807ffffc,0x000ffffd,
    0xe8ffff40,0x7fe41fff,0xffffffff,0x5007ffff,0x20009fff,0xfffffffd,
    0x805fffff,0x001ffffc,0x84fffe80,0x3a04ffff,0xff905fff,0x7f4001ff,
    0x3fa001ff,0x7ffd44ff,0x7ffe400f,0x013ffee7,0x017ffe60,0x077ff400,
    0x003fffea,0xfc8ffff9,0xffd807ff,0xfffe805f,0x7f40001f,0x32001fff,
    0xfd807fff,0xffe805ff,0x3e2001ff,0x00800fff,0x001bffee,0xfff30020,
    0xfffd007f,0x7fc40001,0x3fe0007f,0xfff7006f,0xfd5359ff,0xcc885fff,
    0x3fa03ccc,0x3fffd1ff,0xfffffff8,0xffffffff,0xfffe801f,0x3ff20003,
    0xffffffff,0xfffd1003,0x7c40001d,0xffe83fff,0xfffe887f,0xffffb85f,
    0x7fff4002,0xfff98011,0x3fffe43f,0x72fffec0,0x10009fff,0x0003ffff,
    0xc82fffb8,0xfd807fff,0x7ffdc5ff,0x3ffea04f,0x754ccc3f,0x4003ffff,
    0xfffea999,0x7fdc003f,0x3fea04ff,0x54ccc3ff,0x003ffffe,0x01efffd8,
    0x7fdc09b5,0xde80006f,0x3ffea20b,0xfff800ff,0x7fd40006,0xff30004f,
    0x7ff4009f,0xffffffff,0xffd105ff,0x3ffa09ff,0x43fffd1f,0xfffffff9,
    0xffffffff,0xfeb9984f,0x20000fff,0xfffffff8,0x7cc001df,0xa800efff,
    0x3ffff620,0xcffffd81,0xffffeb89,0x7fffd45f,0x4ccccc04,0x7bd1fffe,
    0x7fffd441,0x7fffdc0f,0x3fffea04,0x273ffee3,0xfd801999,0x009acfff,
    0x40fffec0,0x204ffffb,0x443ffffa,0xcdefffff,0x6ffffecc,0xfffffff8,
    0xfff8005f,0x005fffff,0xefffff88,0xfffecccd,0xfffff86f,0x10005fff,
    0x99fffffd,0x5c09fffb,0x80006fff,0xfffffffe,0x9802ffff,0x40004fff,
    0x0002fffb,0x4003fff7,0xffffffe8,0x400dffff,0xe84ffffc,0xfffd1fff,
    0x577ffdc3,0xeaaaaaaa,0x7fc46fff,0x004fffff,0x54fffdc0,0x7d40000a,
    0x2200efff,0xffffffff,0xffff504f,0xfdffffff,0x7ffd4bff,0x7ffcc05f,
    0xd1ffffff,0xffffffff,0xff105fff,0x999bdfff,0xb8dffffd,0xffffffff,
    0xffff9807,0x6c002fff,0x224cefff,0xcdefffff,0x6ffffecc,0xffffff50,
    0xdfffffff,0xffffff01,0xff0001bf,0x01bfffff,0x3fffea00,0xffffffff,
    0xffff80ef,0x0000dfff,0x3fffffa2,0x204fffff,0x0006fffb,0xffffffe8,
    0x7004ffff,0x80003fff,0x20007ffd,0x70007ffc,0xdffffffd,0x7ffd4005,
    0x8ffff44f,0x3fa1fffe,0xffc803ff,0x3ffe20ff,0x0000cfff,0x0002fff4,
    0x02fffd40,0x3fffffe2,0x3f600fff,0xefffffff,0x3ee5fff8,0xff9805ff,
    0x1fffffff,0xfffffffd,0x7d409fff,0xffffffff,0x5c0effff,0xffffffff,
    0xffff7007,0xfb8005ff,0x7d47ffff,0xffffffff,0x200effff,0xffffffd9,
    0x3e02efff,0x002effff,0x3bffffe0,0xfd980002,0xffffffff,0x3fffe02e,
    0x100002ef,0xfffffffb,0x7fdc017d,0xfc80006f,0xdfffffff,0x1fff2001,
    0x17ffa000,0x01aaa800,0x01aa9800,0x3fffa200,0x747fffa4,0xfff11fff,
    0xfff5003f,0x77ffc47f,0xf880001d,0x000002ff,0xff100bf5,0x019fffff,
    0xdfffff70,0x2a2fffc7,0xfff3005f,0x23ffffff,0xfffffffc,0xfd9801df,
    0xffffffff,0xffff702e,0x400fffff,0x02fffec8,0x7ffffc80,0xfffffd98,
    0x002effff,0x2af2ea62,0xabcb8009,0xbcb80000,0x8800000a,0x09abcba9,
    0x00abcb80,0x32a20000,0x331001ab,0x22000013,0x009acbaa,0x001aaa80,
    0x001aaa80,0x00000000,0x86666000,0xffd1fffe,0x1bffea3f,0x2ffffc40,
    0x20000066,0x0000eeea,0xa9800a00,0x8000abcc,0x28001aa9,0x4ccccc00,
    0x55441999,0x80009acb,0x9abcba98,0x4cccc400,0x00019999,0x44000262,
    0x54c401a9,0x0009abcb,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xe8000000,0xfffd1fff,0x013fff63,
    0x007fffd8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fa00000,0x3fffd1ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xaaa80000,0x0155550a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x00000998,0x4ccc0000,0x32a00099,0x9930101b,0x99950099,
    0x4c155407,0x000000aa,0x26662000,0x33333109,0x66666654,0xcccccccc,
    0x0aaa03cc,0x44002aa6,0x19988199,0x55544000,0x333261aa,0xccca8004,
    0xcccccccc,0x262002cc,0x88000019,0x00099999,0x01333330,0x000ccc40,
    0x000ccc40,0x8006aa20,0xccccccca,0x100001ab,0x800005b9,0x00099999,
    0x51000f6e,0x7bddfdb7,0xfecc9803,0x001bdeff,0x0004ffb8,0x0000fff8,
    0x037ffff6,0x3ffffe60,0xf503b61e,0xff900fff,0x17ffc0bf,0x4005fff1,
    0xacefecb8,0x3fe60000,0xfffd15ff,0x7fffe45f,0xffffffff,0x3e06ffff,
    0x3ffe22ff,0xbfff3002,0x013ffee1,0xffffe880,0x03fffdc4,0x7ffffe40,
    0xffffffff,0xffff5003,0x7440000b,0x0005ffff,0x01dffff9,0x3bfffe60,
    0xfff30000,0xf90001df,0x9001dfff,0xffffffff,0x00019fff,0x00ffffa2,
    0x7fffe400,0xfffd000e,0x3ffee00d,0xffffffff,0xffffd884,0x05ffffff,
    0x003ffd80,0x003ffc40,0x07ffffb0,0x3ffffe20,0x5fffefff,0x403fffd4,
    0x3605fffc,0xfffddfff,0xfff7000f,0x05ffffff,0x7ffff300,0x037fffa2,
    0xfffffff9,0xffffffff,0x7ffec0df,0x00ffffdd,0x37fffe60,0x20003fff,
    0x82ffffe8,0x8007fffb,0xfffffffc,0x03ffffff,0xffffffa8,0xfe880005,
    0x90002fff,0x4009ffff,0xeffffffa,0x7ffd4000,0x2000efff,0x5ffefffb,
    0xfffffc80,0xefffffff,0xfffa8000,0xfc80007f,0x2a004fff,0x202fffff,
    0xffffffe8,0x44ffffff,0xfffffff9,0x005fffff,0x0002ffe8,0x80037fcc,
    0x001efffd,0x3f73bfea,0x40ffffff,0xc807fffa,0x3e205fff,0x2fffffff,
    0xffffd880,0x4fffffff,0x3fffe600,0x07fffd11,0x3ffffff2,0xffffffff,
    0x3fe206ff,0x02ffffff,0xfffff980,0x3a20003f,0xf700dfff,0xf9000fff,
    0xffffffff,0xb807ffff,0xfffbdfff,0xfd10000e,0x20001dff,0x002ffffc,
    0x3eb7ffea,0xf5000eff,0xdfff5bff,0xc9bf6001,0x7fe400ff,0xffffffff,
    0xa8006fff,0x0007ffff,0x017fffe4,0x3ffffea0,0xfffff302,0xffffffff,
    0x7fff449f,0xffeeefff,0xf731005f,0x000139ff,0x20017fea,0x0004eeec,
    0xfffea8b5,0x7fffa81e,0x05fffc80,0x77fffec4,0xffffb001,0xffffffff,
    0xddb1007f,0x37bb621b,0xfff88001,0xfb10003f,0x0003dfff,0x01f776c4,
    0x0f332e00,0x00ffff70,0x33dfff90,0x13333333,0x31f77540,0x20009ddb,
    0x0004eeec,0x0037bbae,0x223eee98,0xe9805eed,0x3bb623ee,0x54bfd005,
    0x7fe400ff,0x3ff6e65f,0xe8001fff,0x20003fff,0x000deeeb,0x0fffff88,
    0x9fffffd0,0x3f6a6215,0x37fffee4,0xb8077301,0xffffffff,0xfb8006ff,
    0x2600004f,0x44000099,0x3ffea009,0x5fffc807,0x50006200,0x117fffff,
    0x0fffff93,0x20000000,0x003ffff8,0x00001880,0x00000000,0x001fffee,
    0x001bfff2,0x00000000,0x00000000,0x00000000,0x5e7fe400,0xffc807fe,
    0xffff705f,0x59710007,0x00000000,0xa80efecc,0x001fffff,0x07fffec3,
    0xfffd3000,0xffffffff,0x7ff9000d,0x3fea0000,0x8000001f,0xc807fffa,
    0x00005fff,0x07ffff40,0x03ffffc8,0x88000000,0x0003ffff,0x00000000,
    0x666665c0,0x7dc04ccc,0xfc8007ff,0x000006ff,0x00000000,0x00000000,
    0x00000000,0x3fffffd1,0x0bfff900,0x002ffffc,0x00000000,0x7ff40000,
    0xff0000ff,0x44000dff,0xffffffff,0x806fffff,0xfffffeca,0x7ec0002d,
    0x3332606f,0x3ccca804,0x900ffff5,0x664cbfff,0xccca804c,0x0bfffea3,
    0x30dffff0,0x95009999,0x7c400799,0x30003fff,0x159bfd97,0xfd993000,
    0x4037bdff,0xfffffffd,0x7ffdc07f,0xfffc8007,0x32600006,0xbdefffec,
    0x6e54c001,0x801bdeff,0xefffecc9,0x2a6001bd,0x1bdeffdc,0xfdb75100,
    0x40037bdd,0x9000cedb,0x7fc0bfff,0x2a2005ff,0xbdeefedb,0x026664c1,
    0x001e6654,0x4ffffa80,0x3fffa000,0xffb0001f,0x9ffb7dff,0x7440db73,
    0xffffffff,0x3e20004f,0x3fea03ff,0xfffc807f,0x00ffff55,0x7d4bfff9,
    0xffc807ff,0x3ffff25f,0x7fffe400,0x03fffd40,0x002fffe4,0x007ffff1,
    0xffffff70,0x22005fff,0xfffffffd,0x3f605fff,0x7fffffff,0x03fffdc0,
    0x037ffe40,0x7ffec400,0x5fffffff,0xffffd100,0x01ffffff,0x3fffff62,
    0x805fffff,0xffffffe8,0x5c00ffff,0xffffffff,0xcc804fff,0xc801cccc,
    0xff105fff,0x3ee007ff,0xffffffff,0x3ffea4ff,0x5fffc807,0x83fffa80,
    0x000ffffc,0x3fffff60,0xffff8003,0x400fff66,0xfffffffa,0x2004ffff,
    0xfffeeca9,0x1fffea00,0x557fff20,0xfc807fff,0x3ffea5ff,0x5fffc807,
    0x2017fffa,0x541ffffa,0xfc807fff,0x3e2005ff,0x22003fff,0xfffffffd,
    0x4c04ffff,0xffffffff,0x3605ffff,0xffffffff,0x3fffdc07,0x37ffe400,
    0x3ffe6000,0xffffffff,0xfffa805f,0xffffffff,0xffff980f,0xffffffff,
    0x7fffd405,0xffffffff,0xffffd100,0xffffffff,0xffff9809,0xffc804ff,
    0xffffb05f,0xfffe8803,0xffffffff,0x1fffea4f,0x017fff20,0x360fffea,
    0x40007fff,0xfffffffa,0xfff9800b,0x00bffa3f,0x3fffffe2,0x04fffffd,
    0xffffffa8,0x3ea00fff,0xffc807ff,0x0ffff55f,0x54bfff90,0xfc807fff,
    0x3fffe5ff,0xffff9804,0x03fffd42,0x002fffe4,0x007ffff1,0x7ffffff4,
    0x3fffffff,0xfffffd10,0xbfffdddf,0x7fffc800,0x03fffdc0,0x7ffffe40,
    0xffffffff,0xffffe880,0xfffeeeff,0x7fffe405,0xffffffff,0x7fff440f,
    0xffeeefff,0x3fff205f,0xffffffff,0xfff980ff,0xffffffff,0x7e404fff,
    0x806fffff,0xa99efffc,0x04fffffb,0x7fffffcc,0xffffffff,0x01fffea4,
    0x2017fff2,0xfe83fffb,0xccca86ff,0x7ec2cccc,0xdfffffff,0x3fffe602,
    0x2003ffe5,0xf54ffffd,0xf900a6df,0xffffffff,0x3fea01ff,0xfffc807f,
    0x00ffff55,0x7d4bfff9,0xffc807ff,0x0ffffe5f,0x0ffffe20,0x900ffff5,
    0x4400bfff,0x5003ffff,0x115dffff,0x0fffffb5,0x077fffee,0x32001dcc,
    0x7dc07fff,0xfc8007ff,0xffffffff,0xfb80ffff,0x7301dfff,0x7fffcc07,
    0xb5311bef,0xffffb81f,0x2077301d,0xbefffff9,0x01fb5311,0x59fffffd,
    0x13f6a621,0xffffffd0,0xfffc801f,0xffffffff,0xfffe804f,0x5310acff,
    0x7ffd49fb,0x5fffc807,0x3fffaa20,0x85ffff84,0xfffffffd,0x7fffec44,
    0x01efffff,0xf3bfffff,0xfff300ff,0x02ffdcbf,0xffffffd8,0x0effffff,
    0x807fffa8,0xff55fffc,0xfff900ff,0x03fffd4b,0xf9afffe4,0xf8802fff,
    0x7fd44fff,0xfffc807f,0x3ffe2005,0xfffd003f,0x3fff201d,0xffffd82f,
    0xfc800000,0x7fdc07ff,0xffc8007f,0xffffffff,0xffd80fff,0x6c0000ff,
    0x0805ffff,0x00ffffd8,0x3ffff600,0xffa80805,0x03001fff,0x7fffffc4,
    0x7fe403ff,0xffffffff,0xfffa801b,0x543001ff,0xfc807fff,0xffd885ff,
    0x7c44ffff,0xffd84fff,0x704fffff,0xffffffff,0xfffb07ff,0x00dfffff,
    0x645ffff7,0xff9804ff,0xfffb1eff,0xff50dfff,0xfff900ff,0x01fffeab,
    0xfa97fff2,0xffc807ff,0x5ffff35f,0x13fffe00,0x900ffff5,0x4400bfff,
    0xb803ffff,0x7c02ffff,0xfff86fff,0x9000006f,0xfb80ffff,0xfc8007ff,
    0xcccccfff,0xfff04ccc,0xfa8000df,0x20005fff,0x0006ffff,0x017fffea,
    0x0ffffe80,0xfff70000,0x80bfffbb,0xfffffffc,0xe800dfff,0x0000ffff,
    0x900ffff5,0xff98bfff,0x85ffffff,0xfd85ffff,0x04ffffff,0x7ffffed4,
    0x7fc41fff,0xcfffffff,0x3ffff201,0x200fff60,0x3e26fffe,0x2ffffdff,
    0x403fffd4,0xff55fffc,0xfff900ff,0x03fffd4b,0xf9afffe4,0xf8803fff,
    0x7fd43fff,0xfffc807f,0x3ffe2005,0xfffd803f,0xffffd807,0x0fffff40,
    0x7fe40000,0x7ffdc07f,0xfffc8007,0x3ffa0006,0x360001ff,0x0002ffff,
    0x007ffffa,0x17fffec0,0xffffa800,0x3f600004,0xffffbbff,0x3bfff200,
    0x5ffffeb9,0x27fffd40,0xffff5000,0x8bfff900,0xeefffffe,0x5fffe84e,
    0x04fffd80,0xfffff910,0xfffd30df,0x3dffffff,0xe8bfffd0,0x7fcc01ff,
    0x3ffee2ff,0x544fffe8,0xfc807fff,0xffff55ff,0x4bfffb00,0xc807fffa,
    0xfff15fff,0xfff3007f,0x7fffa85f,0x05fffc80,0x0ffffe20,0x017fffa0,
    0xb07fffea,0x007fffff,0x7fffc800,0x03fffdc0,0x037ffe40,0xfffffb00,
    0x3ffe0007,0x7ec0006f,0x8003ffff,0x0006ffff,0x003ffff2,0x9ffff800,
    0x202ffff9,0x7ec5fffc,0x3f202fff,0x20000fff,0xc807fffa,0x3fee5fff,
    0xfd800dff,0xffd806ff,0xffd8004f,0xff900fff,0xffffffff,0x45fffe89,
    0x7d400fff,0xafff47ff,0x7d46fffb,0xffc807ff,0x1ffff55f,0x24fffd80,
    0xc807fffa,0x3ffe5fff,0xfff9804f,0x3fffd41f,0x02fffe40,0x07ffff10,
    0x009ffff0,0xa85ffff3,0xbfffffff,0xffc80000,0x7ffdc07f,0xfffc8007,
    0x3fea0006,0x00bfffff,0x09ffff10,0xffffa800,0x8800bfff,0x0004ffff,
    0x001ffff6,0x27fff980,0x3204ffff,0x7fc45fff,0x3ff606ff,0x7d40007f,
    0xffc807ff,0x3ffff65f,0xffff9000,0x4fffd803,0xffffd000,0xffffa805,
    0x363fffff,0x3fe27fff,0x5fffb807,0x7dcbffe2,0x7ffd47ff,0x5fffc807,
    0x801ffff3,0x3ea3fffe,0xffc807ff,0x1bfffe5f,0x03fffee0,0x900ffff5,
    0x4400bfff,0x4403ffff,0x8803ffff,0xfd83ffff,0xdfffffff,0x3ff20002,
    0x7ffdc07f,0xfffc8007,0x7fec0006,0x2dffffff,0x1ffffcc0,0x7ffec000,
    0x02dfffff,0x00ffffe6,0x86fffe80,0xccccccca,0x49fff902,0x3207fffc,
    0xffc85fff,0xfffd02ff,0x9999950d,0x7ffd4599,0x5fffc807,0x801bfffe,
    0x405ffffb,0x0004fffd,0x003ffff7,0xffffdfff,0x3fff21ff,0x00dff31f,
    0x7dcbfff9,0xffff50ff,0x807fffa8,0xff15fffc,0x7fc407ff,0x3ffea2ff,
    0x5fffc807,0x007ffff6,0xf50dfffd,0xff900fff,0x7fc400bf,0x7fcc03ff,
    0xff8802ff,0xffd884ff,0xefffffff,0xfffc8001,0x3fffdc07,0x37ffe400,
    0x3ff62000,0xefffffff,0x7ffff501,0xffb10000,0xdfffffff,0x7ffff503,
    0x7fffc000,0xfffffd85,0xfffd04ff,0x0ffffd45,0x885fffc8,0xff06ffff,
    0xfffb0bff,0x7d49ffff,0xffc807ff,0x1bfffe5f,0x5ffffd00,0x027ffec0,
    0x0ffffc80,0xfabffcc0,0xff72ffff,0x17feabff,0xe97fff20,0x3ffea5ff,
    0x03fffd47,0xff2fffe4,0x3f601fff,0x7ffd47ff,0x5fffc807,0x813fffea,
    0xa82ffffa,0xfc807fff,0x3e2005ff,0x7cc03fff,0xff002fff,0x7fdc09ff,
    0xffffffff,0x7ffe4003,0x3fffdc07,0x37ffe400,0xfffb8000,0x3fffffff,
    0x02ffffb8,0x3ffee000,0x3fffffff,0x017fffdc,0x4ffff880,0xffffffd8,
    0xffff884f,0x0ffffe20,0xd82fffe4,0x7c41ffff,0xffd84fff,0x2a4fffff,
    0xfc807fff,0x3fffa5ff,0x3fea000f,0xffb03fff,0x002b629f,0x00dffff5,
    0x7fdcdff5,0xffff14ff,0x549ff9df,0x16fffc82,0x7fdc5fff,0x3fffd46f,
    0x72fffe40,0x359fffff,0x89ffffd5,0xc807fffa,0x7ffc5fff,0xfff984ff,
    0xffff507f,0x0bfff900,0x1ffffc40,0x0ffffe60,0x0ffffe20,0x3ffff6a0,
    0x2001ffff,0x5c07fffc,0xeeeeffff,0x326eeeee,0xeeeeffff,0x002eeeee,
    0xffffffb5,0xfffa83ff,0xa800003f,0xfffffffd,0x3fffea1f,0x3ffe0003,
    0xffffd85f,0xffb84fff,0x6fffe86f,0x20bfff90,0xf85ffff9,0xffd85fff,
    0x2a4fffff,0xfc807fff,0x3fff25ff,0x3fa000ef,0xccefffff,0xf34ffffd,
    0xb999bdff,0x07ffffff,0x7cc9ff70,0x3fee3fff,0xeeffffff,0xfffb84ff,
    0xfd8fff77,0x7ffd44ff,0x5fffc807,0x7ffffff4,0x85ffffff,0xc807fffa,
    0x7fdc5fff,0xfeddffff,0xf503ffff,0xff900fff,0x7fc400bf,0x7fc403ff,
    0xff9803ff,0x322002ff,0x06ffffff,0x01ffff20,0xfffffff7,0x4fffffff,
    0xfffffffc,0x03ffffff,0x7fffe440,0x7ffcc6ff,0x2000004f,0xffffffc8,
    0x13fffe66,0x5fffe800,0x84fffd80,0xfc83fffd,0xffc80fff,0x3fffa05f,
    0x2ffff41f,0x527ffec0,0xf900ffff,0x7ffccbff,0x4009cfff,0xffffffe9,
    0x4fffffff,0xfffffff3,0x9fffffff,0xb8fff200,0x7ec1ffff,0xffffffff,
    0xfff984ff,0x225ffeaf,0x7d43ffff,0xffd807ff,0x7fff445f,0xefffffff,
    0x07fffa80,0xc85fffd8,0xffffffff,0x2a03ffff,0xfd807fff,0x3e2005ff,
    0xff803fff,0xff9804ff,0xfb0001ff,0x2001ffff,0x5c07fffc,0xffffffff,
    0x327fffff,0xffffffff,0x003fffff,0x3fffff60,0x17fffe20,0x7ec00000,
    0xff10ffff,0x6c000bff,0xfd806fff,0x7ffc44ff,0xffff981f,0x05fffc82,
    0xb17fffee,0xfb00dfff,0x7ffd49ff,0x5fffd807,0x7fffffd4,0x3201ffff,
    0xffffffff,0xff34ffff,0xffffffff,0x9d509fff,0x22bff613,0x907ffffb,
    0xffffffff,0x3ffa09ff,0xb12fffff,0xff50dfff,0xffd801ff,0xfffd704f,
    0x5405dfff,0x6c00ffff,0xffb04fff,0xffffffff,0xffffa807,0x27ffec00,
    0x7ffff100,0x0dfffd00,0x01ffff70,0x7ffff400,0xffff9002,0xfffffb80,
    0xffffffff,0x3fffff27,0xffffffff,0x7ff40003,0x7fffc2ff,0x0000000f,
    0x7c5ffffd,0x0000ffff,0x803ffff9,0x7d44fffd,0x99999fff,0xc85ffff9,
    0x7fc05fff,0x3ff20fff,0x7fec01ff,0x3fffea4f,0x27ffec00,0x7fffffdc,
    0x6d401fff,0xffffffff,0x3ffb222c,0xcfffffff,0xfffff500,0xffffffff,
    0x6dc405ff,0x0bdeffff,0xffffff50,0xffffd73f,0x1ffff305,0x03fffe80,
    0x02fffdc4,0x007fffcc,0x980ffffa,0xcffffffc,0xffff9800,0x1ffff400,
    0x7ec00000,0x7f401fff,0x5c0006ff,0x9001ffff,0x0000ffff,0x7fec0000,
    0x7dc0000f,0x7ff41fff,0x000004ff,0x43ffff70,0x004ffffe,0x0bffff70,
    0x644fffd8,0xffffffff,0x07ffffff,0xffb80000,0x7fec05ff,0x3fffe64f,
    0x1ffff400,0xfffffd88,0x262001ff,0x330009aa,0x50013555,0xffffffff,
    0x07ffffff,0x001ffe20,0xfffffff5,0x20bfffff,0x203ffff8,0x401ffff8,
    0x1006ffe8,0x4407ffff,0x8801ffff,0x2001ffff,0x203ffff8,0x001ffff8,
    0xfff98000,0x3ffea04f,0x7e40003f,0xf9000fff,0x00000fff,0x3fff2000,
    0xffc80001,0x7ffd40ff,0x000002ff,0x20ffffc8,0x02fffffa,0x5ffffd00,
    0x227ffec0,0xffffffff,0xffffffff,0xe8000001,0x3602ffff,0x3fe24fff,
    0x3fe203ff,0x6e4c01ff,0x0001fffe,0xa8000000,0xffffffff,0x001dffff,
    0x2001bfe6,0xfffffffb,0x7fc03fff,0xffb00fff,0xffb801ff,0x3ffe001f,
    0xfffb00ff,0x3ffa001f,0x7ffc004f,0xfffb00ff,0xffe8001f,0xfffd000f,
    0xffff309f,0x8015b10d,0x006ffffa,0x001ffff2,0x001fffe2,0x209fff10,
    0x7d400ad8,0xffd06fff,0x71017fff,0x0056c41d,0x21bfffea,0x0bfffffe,
    0x7d40eb88,0xfb03ffff,0x7ffcc9ff,0xffffffff,0x004fffff,0x4001fffd,
    0x03fffffa,0xff89fffb,0xffb00fff,0x310001ff,0x07fff400,0x1fffd000,
    0xfdca9880,0x01bcefff,0x005ffa80,0xffffffb0,0xff7003bf,0xd5359fff,
    0xd005ffff,0x5c003fff,0x9acfffff,0x02ffffea,0x8fffff20,0xfff706b8,
    0xfd5359ff,0xf0005fff,0x7d400dff,0xeddfffff,0x982fffff,0xcccdefff,
    0x3ffffffd,0x1ffff200,0x13ffea00,0x9fff7000,0x37bffe60,0xffffdccc,
    0xfff303ff,0xdbbdffff,0x7fcc1fff,0xfdcccdef,0x983fffff,0xefffffff,
    0x80fffedd,0xeffffffe,0x4ffffdcc,0x2abbffee,0xfeaaaaaa,0xfff006ff,
    0xfffd000d,0xfb99dfff,0xffb89fff,0xea9acfff,0x0002ffff,0x0dfff000,
    0x06fff800,0x009ff700,0x009ff900,0x2ab7ffe0,0xfffe8000,0xffffffff,
    0xfffb005f,0x3fa0079d,0xffffffff,0x4c005fff,0xffffffff,0xfffd03ff,
    0xffffffff,0xff3000bf,0xffd8009f,0xffffffff,0xfff305ff,0xffffffff,
    0x2a209fff,0xfffdaaaa,0x00aaaaaf,0x000bffee,0x99ffff50,0x7ffffcc1,
    0xffffffff,0x7ffdc04f,0xffffffff,0x3ffe60ff,0xffffffff,0x3ee04fff,
    0xffffffff,0xe980ffff,0xffffffff,0x3a4fffff,0xfc803fff,0x7cc00fff,
    0xe98004ff,0xffffffff,0xe84fffff,0xffffffff,0x0005ffff,0x9fff3000,
    0x7ffcc000,0x7ffb0004,0x7ffb0000,0x3fff3000,0xffe88000,0xffffffff,
    0xfff7000d,0x3a200dff,0xffffffff,0xc8000dff,0xffffffff,0xffe881ff,
    0xffffffff,0xffb8000d,0xffb8001f,0xffffffff,0x3fffe603,0xffffffff,
    0x3ffea04f,0xffffffff,0x3601ffff,0x880007ff,0x21ffffff,0xfffffff9,
    0x04ffffff,0xfffffd30,0x41ffffff,0xfffffff9,0x04ffffff,0xfffffe98,
    0x00ffffff,0x3ffffff2,0x14ffffff,0x5003ffff,0xb807ffff,0x20001fff,
    0xfffffffc,0x884fffff,0xfffffffe,0x0000dfff,0x3fff7000,0x7ffdc000,
    0x5ffd0001,0x3ffd0000,0x0dff9000,0x7ff5c000,0x002effff,0x06ffffc8,
    0x7ffff5c0,0x40002eff,0xfffffffb,0x7ff5c03f,0x002effff,0x001fff20,
    0xfffffd98,0x764401df,0xffffffff,0x7fd400cf,0xffffffff,0x201fffff,
    0x00005ffe,0x43fffff5,0xfffffec8,0x000cffff,0xffffedb8,0x76441cef,
    0xffffffff,0x6dc000cf,0xcefffffe,0xfffda801,0x22cfffff,0x1006fffa,
    0xc80bffff,0xa80007ff,0xfffffffd,0x7f5c02cf,0x02efffff,0x7e400000,
    0x7e40007f,0x3fe0007f,0xff80001f,0xeed8000f,0x53000003,0x31000035,
    0xa9800035,0x4400001a,0x00acedcb,0x000d54c0,0x001aaa80,0x00155100,
    0x4d554cc0,0x3ffea000,0xffffffff,0x2a01ffff,0x400001aa,0x4cc009a9,
    0x00009aaa,0x00066620,0x01355533,0x06662000,0x35531000,0x13fff601,
    0x07fffd80,0x0000d554,0x026aa620,0x00d54c00,0x55000000,0xaa800035,
    0x2aa0001a,0x99900002,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2002aaaa,0x00999998,0x16e44000,0x26662000,
    0x33333109,0x33333200,0x3000001c,0x99910555,0x99999999,0x4c405999,
    0x09998819,0xba805d40,0x4cccc880,0x01e66440,0x02ea0175,0x00ccc400,
    0x44079995,0x9884cccc,0x80009999,0x00ccccc8,0x000f3322,0x004ccccc,
    0x0101bca8,0x00666200,0x00666200,0x53055500,0x99800035,0x26200999,
    0x01998819,0x00199880,0x17500ba8,0x26666620,0x33326000,0xff90003c,
    0xf9001dff,0x0001dfff,0x0ffffa20,0x7fffcc00,0x5ffffd15,0xfffff300,
    0x2000009f,0xff984fff,0xffffffff,0x2604ffff,0xff50efff,0xfffd809f,
    0x207ffec0,0x03fffff9,0x6c17ffe6,0x7fec0fff,0x7fd4000f,0xfff905ff,
    0x7ffff40d,0xdffff903,0xfff98001,0x3fe604ff,0xffc8005f,0x7cc00eff,
    0x361effff,0x7fd4000e,0x2a0005ff,0x0005ffff,0xffd0bffa,0x7fe40005,
    0x3e600eff,0xfff70dff,0xfffa8009,0x3ff6005f,0x07ffec0f,0x0effffc8,
    0xbffff500,0xffff9000,0xf5003fff,0x0001dfff,0x0fffff50,0x7ffff300,
    0x037fffa2,0x7ffffe40,0x9800006f,0xff981fff,0xffffffff,0x4404ffff,
    0xfffdfffe,0x7fffcc04,0x0ffffe64,0x0ffffff3,0x4c2fffcc,0x3e64ffff,
    0x2a003fff,0x85ffffff,0xf706fffc,0xfa80bfff,0x2000efff,0x0ffffff9,
    0x00bfff30,0x04ffffc8,0xffffff88,0x05fffeff,0x3ffffea0,0xffa8005f,
    0x0005ffff,0xffbbfff9,0x320001ff,0x3004ffff,0xfffbffff,0xfffa8007,
    0xf9805fff,0x3fe64fff,0x3fea03ff,0xf9800eff,0x6c004fff,0xffe9afff,
    0xffd8801f,0x540000ef,0x4007ffff,0xd11ffff9,0xe8007fff,0x0fffffff,
    0x7fe40000,0xfffff307,0xffffffff,0xffd1009f,0xf3009fff,0x7fcc7fff,
    0x7ffcc3ff,0xff303fff,0xffff30bf,0x1ffffcc7,0xbdfffb80,0x3f20efff,
    0xfff886ff,0xfd8800ff,0xf3000eff,0x209fffff,0x2005fff9,0x002ffffc,
    0xffb9dff5,0x001fffff,0x3ef7ffee,0xf7000eff,0xdfff7bff,0xfff88001,
    0x003fffff,0x05ffff90,0xfffff980,0x7fdc003f,0x0efffbdf,0x8ffffe60,
    0x403ffff9,0x00efffd8,0x027fffcc,0xc8399950,0x3ae004cc,0xe80005ee,
    0x22003fff,0xdb10deed,0xf88003bd,0x3fffffff,0xfd973000,0x4009ffff,
    0x002ffff8,0x0fbbb620,0x40fffd80,0x7cc0effd,0x307fffff,0x3f60bfff,
    0x77fec0ff,0x3eeea800,0xfc93bb66,0xfffd86ff,0x775c002f,0xfff3005e,
    0xf301ffff,0x3ae00bff,0x54000dee,0x77fff545,0x7ddd5001,0x402776cc,
    0x3663eeea,0xc88004ee,0x002effff,0x01bddd70,0x3bbb6200,0x77754003,
    0x013bb663,0xfd81fffb,0xdd7000ef,0xfff980bd,0x0000004f,0x10000000,
    0x00000597,0xfffb8000,0x005fffdd,0xffffffb8,0x22004fff,0x0002ffff,
    0x054c0000,0xff980a98,0x983fffff,0x2a605fff,0x00015300,0x6fffc800,
    0x027fffd4,0xff300000,0x307fffff,0x0000bfff,0x02620000,0x00000000,
    0x18800000,0x00000000,0x00000000,0x5300a980,0x4c000001,0x9804ffff,
    0x00003ccc,0x00000000,0x40000000,0xffbbfffd,0xfb1000ff,0xffffffff,
    0x3e2009ff,0x00002fff,0x20000000,0xfffffff9,0x05fff987,0x00000000,
    0x226fffc8,0x0006ffff,0x7ffcc000,0xf986ffff,0x000005ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xff100000,0xff7007ff,
    0x326000df,0xcca804cc,0xdca9803c,0x801bdeff,0xacdfecb9,0xffff0000,
    0x05ffff33,0x3fffffa0,0xffffffef,0xffff8803,0x32a60002,0x41bdeffd,
    0xa804ccc9,0xfff33ccc,0x987fffdb,0x5cc05fff,0x00acdfec,0x99999950,
    0x23999999,0x3f66fffc,0x98001fff,0x0acdfecb,0x3f7ffe60,0x7fcc2fff,
    0x765cc05f,0x8000acdf,0xacdfecb9,0x26664c00,0x01e66540,0x337fb2e6,
    0x7510000a,0x37bddfdb,0x0ccccc88,0x88f33220,0x200ccccc,0x6443ccc8,
    0xcccccccc,0xa82ccccc,0xcccccccc,0x442ccccc,0xcccccccc,0x12cccccc,
    0x7007ffff,0x2000dfff,0xc807fffa,0x3a205fff,0xffffffff,0x3fee00ff,
    0x2fffffff,0x3fffcc00,0x5009ffff,0x263dffff,0x0fffffff,0x17fffc40,
    0x7fff4400,0x0fffffff,0x201fffea,0xff35fffc,0x1ffff7bf,0x702fffcc,
    0xffffffff,0xfffb005f,0xffffffff,0x5bfff25f,0x003ffffa,0xffffffb8,
    0xff302fff,0x8dfff9bf,0x2e05fff9,0xffffffff,0x3fee002f,0x2fffffff,
    0x01fffea0,0xb817fff2,0xffffffff,0x7fdc002f,0xffffffff,0x3fffe64f,
    0x3ffe604f,0x3ffffe65,0x17ffe604,0xfffffff3,0x9fffffff,0xffffff90,
    0x7fffffff,0xffffff98,0xffffffff,0x07ffff14,0x00dfff70,0x01fffea0,
    0x5417fff2,0xffffffff,0xd880ffff,0xffffffff,0x32004fff,0x3ff24fff,
    0xfffe807f,0x3fffee0e,0x7c404fff,0x54002fff,0xffffffff,0x3ea0ffff,
    0xffc807ff,0x2bfff35f,0x3e63fffe,0xffd885ff,0xffffffff,0x7ffec04f,
    0xffffffff,0x1dfff92f,0x800dffff,0xffffffd8,0x984fffff,0xfff8dfff,
    0x17ffe61f,0x3fffff62,0x04ffffff,0x7ffffec4,0x04ffffff,0x900ffff5,
    0xfb10bfff,0xffffffff,0xfd1009ff,0xffffffff,0x7fcc9fff,0xf300ffff,
    0x7ffccbff,0xff300fff,0xffff98bf,0xffffffff,0xfffc84ff,0xffffffff,
    0x7ffcc3ff,0xffffffff,0x3ffe4fff,0xfffb802f,0xfff50006,0xbfff900f,
    0xffffff90,0x1fffffff,0xffffffd0,0x7fffffff,0x8bfffa00,0x201ffffa,
    0x741ffffa,0x6fffedff,0x17fffc40,0xfffff900,0xffffffff,0x03fffd41,
    0xf9afffe4,0xffff75ff,0x217ffe61,0xfffffffe,0x03ffffff,0x3ffffff6,
    0x92ffffff,0xfffbdfff,0xffe8001f,0xffffffff,0x7fcc3fff,0x4bfffb5f,
    0xfe85fff9,0xffffffff,0x3a03ffff,0xffffffff,0xa83fffff,0xfc807fff,
    0xfffe85ff,0xffffffff,0x3fe603ff,0xffffffff,0x3e64ffff,0x304fffff,
    0x7fccbfff,0xf304ffff,0xfff98bff,0xffffffff,0xffc84fff,0xffffffff,
    0x7fcc3fff,0xffffffff,0x3fe4ffff,0xffb802ff,0xff50006f,0xfff900ff,
    0xfffff98b,0xfb5311be,0xeffffa81,0xfffda88a,0xfff8807f,0x3fffe20f,
    0x1bfff603,0xff75fff1,0x7fc401ff,0xff3002ff,0x2237dfff,0x3ea0fda9,
    0xffc807ff,0x4bfff35f,0xff33fffe,0xffffa8bf,0xffda88ae,0x220007ff,
    0xff92ffff,0x07ffffff,0xeffffa80,0xfffda88a,0xafffcc7f,0xf31ffff9,
    0xfffa8bff,0xfda88aef,0xff507fff,0xb5115dff,0xf50fffff,0xff900fff,
    0xffffa8bf,0xffda88ae,0x3ffa07ff,0x310acfff,0x7fcc9fb5,0x980fffff,
    0x3fe65fff,0x980fffff,0xf8805fff,0xf9002fff,0x33333dff,0x10013333,
    0xf805ffff,0xfb802fff,0xf50006ff,0xff900fff,0xffffd8bf,0xffe80805,
    0xfff900ef,0xfffb805f,0x06fffe86,0xf713fffa,0xffff31ff,0x7fffc405,
    0xffffb002,0xffa8100b,0xfffc807f,0x5cbfff35,0xff98ffff,0x77fff45f,
    0x5ffff900,0x3ffe2000,0xfffff92f,0xe800dfff,0xf900efff,0x7fcc5fff,
    0x53fff65f,0x7f45fff9,0xff900eff,0xfffd05ff,0x3fff201d,0x3fffd42f,
    0x22fffe40,0x900efffe,0xf505ffff,0x2003ffff,0x3ffffe61,0xfff983ff,
    0x3ffffe65,0xfff983ff,0xffff8805,0xdfff9002,0x7fc40000,0x7ffc02ff,
    0xfffb802f,0x0af72e26,0x403fffd4,0x3ea5fffc,0x70005fff,0xf805ffff,
    0x7ec06fff,0xfffc83ff,0x7ffff00f,0xff16ffd8,0x7fc407ff,0xffa802ff,
    0xf50005ff,0xff900fff,0x17ffe6bf,0xff39fffd,0x7fffdcbf,0x37fffc02,
    0xffff8800,0xf9dfff92,0x2e007fff,0x7c02ffff,0x3fe66fff,0x3fffea5f,
    0x2e5fff98,0x7c02ffff,0x7fdc6fff,0x7ffc02ff,0x3fffd46f,0x72fffe40,
    0xf805ffff,0xffe86fff,0xf30000ff,0x0dffffff,0x7ccbfff3,0x86ffffff,
    0x8805fff9,0x9002ffff,0x0000dfff,0x017fffc4,0x2007fffe,0xff96fffb,
    0xa81bffff,0xfc807fff,0x3fff65ff,0xffb0002f,0xfffb00ff,0x3ffe201f,
    0xffff981f,0x45ffff02,0x3fe3fff8,0x3fe204ff,0xffd802ff,0xf50002ff,
    0xff900fff,0x17ffe6bf,0xff5ffff7,0x3fffecbf,0x07fffec0,0x7fffc400,
    0x3adfff92,0xd801ffff,0xfd807fff,0xfff30fff,0x9cfffe8b,0x3ff65fff,
    0xfffd807f,0x1ffff60f,0x83ffff60,0xc807fffa,0x3ff65fff,0xfffd807f,
    0x3fffea0f,0x3fe60004,0x42ffffdf,0x3e65fff9,0x2ffffdff,0x402fffcc,
    0x002ffff8,0x000dfff9,0x17fffc40,0x007fffa0,0x3f77ffee,0x5fffffff,
    0x403fffd4,0x3fe5fffc,0x3a0006ff,0xfa805fff,0xff501fff,0x333333ff,
    0xf30bffff,0x7fd43fff,0x13fffe0f,0x02ffff88,0x006ffff8,0x01fffea0,
    0x7cd7fff2,0xfffe85ff,0x3fa5fffe,0xffa805ff,0xf88001ff,0xfff92fff,
    0x1bfffead,0x017fffa0,0x4c7fffea,0x7fdc5fff,0x25fff9ff,0xa805fffe,
    0x3fa1ffff,0xffa805ff,0x3ffea1ff,0x5fffc807,0x2017fffa,0x321ffffa,
    0x0000ffff,0x3f37ffe6,0x7ffcc6ff,0x337ffe65,0x7fcc6fff,0xfff8805f,
    0xfff9002f,0x7c40000d,0x7f402fff,0xffb801ff,0xffffffff,0x3ea1ffff,
    0xffc807ff,0x9ffff15f,0x7fffc000,0xffff9804,0xfffff902,0xffffffff,
    0xffff30ff,0x3a37fec3,0x3e204fff,0x7c402fff,0x20004fff,0xc807fffa,
    0xfff35fff,0xfffff70b,0x7fffcbff,0xffff9804,0xfff88002,0x4dfff92f,
    0x403ffffd,0x9804ffff,0xff32ffff,0xffff88bf,0x3fe5fffc,0xff9804ff,
    0x3fffe2ff,0xffff9804,0x01fffea2,0xff97fff2,0xff9804ff,0x3fff62ff,
    0x7fcc0007,0x1ffff8df,0xf997ffe6,0xffff8dff,0x017ffe61,0x00bfffe2,
    0x0037ffe4,0x5ffff100,0x00fffe80,0xffffffb8,0xffffc8ad,0x01fffea4,
    0x7cd7fff2,0x10003fff,0x1007ffff,0x3e07ffff,0xffffffff,0x1fffffff,
    0xf17fffcc,0xffff87ff,0x3fffe203,0x7fffcc02,0x3fea0003,0xfffc807f,
    0x20bfff35,0x5fffffff,0x007ffff1,0x007ffff1,0x25ffff10,0x3e26fffc,
    0xf101ffff,0xf1007fff,0x3fe67fff,0xffffc85f,0xfff15fff,0xfff1007f,
    0x3fffe27f,0xffff8803,0x01fffea3,0x7c57fff2,0xf8803fff,0x3ffa3fff,
    0xcccca86f,0x3fe62ccc,0x4bfffb5f,0x3e65fff9,0xbfffb5ff,0x402fffcc,
    0x002ffff8,0xfffffff9,0x01ffffff,0x05ffff10,0x800fffd8,0x84fffffb,
    0x3ea5ffff,0xffc807ff,0x7ffff55f,0x3ffe6000,0xfff8802f,0xffff984f,
    0xffffffff,0x7c44ffff,0xfff52fff,0x02ffff83,0x00bfffe2,0x007ffff5,
    0x03fffd40,0xf9afffe4,0xfff705ff,0x3fe6bfff,0xff8802ff,0xf88004ff,
    0xfff92fff,0x6ffffb8d,0x05ffff30,0x29ffff10,0xf885fff9,0x35ffffff,
    0x1005ffff,0x3e69ffff,0xf8802fff,0x3fea4fff,0xfffc807f,0x05ffff35,
    0x49ffff10,0xfd85ffff,0x24ffffff,0xff35fff9,0x3ffe63ff,0x4d7ffe65,
    0xff31ffff,0xfff100bf,0x3ff2005f,0xffffffff,0xf8800fff,0x65c02fff,
    0xffb800cc,0xfffb05ff,0x03fffd4d,0xfbafffe4,0x30002fff,0x2005ffff,
    0xfb84ffff,0xaaaaaeff,0x6fffeaaa,0xc9ffffc4,0x7ffc46ff,0x3ffe201f,
    0x7ffdc02f,0x3ea0002f,0xffc807ff,0x0bfff35f,0xaffffffc,0x002ffff9,
    0x0009ffff,0x325ffff1,0xffe86fff,0xfff984ff,0xffff002f,0x417ffe69,
    0x5ffffffd,0x005ffff3,0x7cd3fffe,0xff002fff,0x7ffd49ff,0x5fffc807,
    0x005ffff3,0x7c53fffe,0xffd84fff,0x264fffff,0x3ff65fff,0x4bfff34f,
    0x3f65fff9,0xbfff34ff,0x5ffff100,0x3ffff200,0xffffffff,0xfff8800f,
    0xb800002f,0x3ee07fff,0x3ffea6ff,0x5fffc807,0x007ffff5,0x0ffffe60,
    0x0ffffe20,0x200ffffa,0x7c0ffffc,0x9fff5fff,0x227fffa8,0xfffccccc,
    0x22ccccdf,0x003ffffa,0x01fffea0,0x7cd7fff2,0x3fee05ff,0xfff35fff,
    0xfff1007f,0xff10007f,0x3fff25ff,0xfffff986,0x1ffffcc1,0x9ffffc40,
    0xf305fff9,0x26bfffff,0x8803ffff,0xff33ffff,0xff1007ff,0x7ffd47ff,
    0x5fffc807,0x007ffff3,0x7c7ffff1,0xffd85fff,0x264fffff,0x3fea5fff,
    0x5fff98ff,0xfa97ffe6,0xfff98fff,0xffff8805,0xffff9002,0x99999999,
    0x3ffe2009,0x0008802f,0xb81bffee,0x3fea6fff,0xfffc807f,0x09ffff35,
    0x3fffe200,0xffff9803,0x0ffffc42,0x1ffffd40,0x3ebffff2,0x7ffec1ff,
    0x3ffffe66,0xffffffff,0x3fffe64f,0x3fea0004,0xfffc807f,0x80bfff35,
    0xf15fffff,0xf3007fff,0x10005fff,0x3f25ffff,0xfff906ff,0xffff88df,
    0xffff9803,0x40bfff32,0x15fffffe,0x3007ffff,0x3e25ffff,0xf9803fff,
    0x3fea2fff,0xfffc807f,0x07ffff15,0x45ffff30,0xd805fffe,0x3fe64fff,
    0x67fff45f,0x3e65fff9,0x7fff45ff,0x805fff9c,0x002ffff8,0x000dfff9,
    0x17fffc40,0x003bff20,0xb81bffee,0x3fea6fff,0xfffd807f,0x0bffff15,
    0x27fffc00,0x0ffffcc0,0x401bffea,0x545ffff8,0x7ffeffff,0x317fffcc,
    0xffffffff,0x49ffffff,0x005ffff8,0x01fffea0,0x7cd7fff6,0x7fdc05ff,
    0x3fffe5ff,0xffff9804,0xfff88001,0x0dfff92f,0x13ffffe2,0x3009ffff,
    0x3e63ffff,0x3fea05ff,0x3ffe5fff,0xfff9804f,0x13fffe1f,0x87fffe60,
    0xd807fffa,0x3ffe5fff,0xfff9804f,0x1bfff61f,0x993fff60,0x7fdc5fff,
    0x25fff9ff,0x7dc5fff9,0x5fff9fff,0x2ffff880,0x0dfff900,0x7ffc4000,
    0x3ffea02f,0xfffb805f,0x9bffee06,0x400ffffa,0x3fe4fffd,0xd0000fff,
    0xf700dfff,0xffd81fff,0x3ff6004f,0xfffff87f,0x3ffa24ff,0x7fffcc6f,
    0xffffffff,0x7fffc4ff,0xff50000f,0xffd801ff,0x0bfff34f,0x74bffff0,
    0xfb806fff,0x98000fff,0xff92ffff,0x7ffd40df,0x3fffa1ff,0xffffb806,
    0x80bfff30,0x3a5ffffe,0xfb806fff,0x3ffa0fff,0xfffb806f,0x3fffea0f,
    0x27ffec00,0x700dfffd,0x7e41ffff,0x7ec01fff,0x3ffe64ff,0x67fffc45,
    0x3fe65fff,0x7fffc45f,0x8805fffc,0x9002ffff,0x0000dfff,0x017fffc4,
    0x00fffff9,0x5c0dfff7,0x3fe66fff,0x7ff400ff,0x3ffffa3f,0xfffb0004,
    0xfffe803f,0x3e600006,0xfff505ff,0xffb7bfff,0x40005fff,0x7f41fffc,
    0x30004fff,0xe801ffff,0x20003fff,0x3f65fffd,0x7f401fff,0xf50006ff,
    0x00003fff,0x07ffff60,0x00dfffd0,0x7ffec000,0x7fff401f,0x0ffffec6,
    0x31bfffa0,0xe801ffff,0x3ff63fff,0x7ff401ff,0x7fffdc6f,0x27ffec05,
    0xf90bfff3,0x4bffffff,0xfc85fff9,0x05ffffff,0x02ffff88,0x00dfff90,
    0x7fffc400,0x3fffee02,0x6fffb805,0x89bffee0,0x2203ffff,0x3ea1ffff,
    0x8002ffff,0x204ffff9,0x003ffffa,0x0dffd100,0xffffffd8,0x05ffffff,
    0x0bffee00,0x0bffffea,0x3fffe200,0x3fffe203,0x3ffa0001,0x3fffe63f,
    0x3fffea04,0xfff90003,0x2000001f,0x204ffff9,0x003ffffa,0x3ffe6000,
    0x3ffea04f,0x7fffcc3f,0x3fffea04,0x1ffffc43,0x43ffff10,0x204ffff9,
    0xe83ffffa,0x3602ffff,0x3fe64fff,0xffff885f,0x3fe65fff,0xffff885f,
    0xf8805fff,0xf9002fff,0x40000dff,0x402ffff8,0xb801fffd,0x3ee06fff,
    0x7fffc6ff,0xffffb00f,0xfffffe81,0x40eb880b,0x984ffffe,0x0006ffff,
    0x007ffee0,0x3ffffff2,0x0003ffff,0xe817ffe2,0x80bfffff,0x7ffc0eb8,
    0xfffb00ff,0x3e60001f,0x7ff42fff,0xfff984ff,0x4c07606f,0xe806ffff,
    0x3a000fff,0xf984ffff,0x3a006fff,0xfd000fff,0xff309fff,0x3ffa0dff,
    0xfff984ff,0xfffff06f,0x3ffff601,0x27ffff40,0x837fffcc,0x03fffffa,
    0x7cc9fffb,0xfffb05ff,0x7fccbfff,0xffffb05f,0xff100bff,0x3f2005ff,
    0x200006ff,0x802ffff8,0xff7000a9,0x7ffdc0df,0x7ffffdc6,0xfffea9ac,
    0xffff982f,0xfeddefff,0x7ffd40ff,0xffeddfff,0x00002fff,0x2007fffa,
    0xfffffff8,0x540001df,0x3e605fff,0xdeffffff,0x5c0fffed,0x9acfffff,
    0x02ffffea,0xffffca80,0x7fffd40f,0xfffeddff,0x3bfa02ff,0xffffcaac,
    0x6fff803f,0x7fffd400,0xfffeddff,0x3fe002ff,0x3fea006f,0xfeddffff,
    0xf502ffff,0xdbbfffff,0x205fffff,0xacfffffb,0x2ffffea9,0xffffffa8,
    0xfffffedd,0x3ffffa02,0xffdcceff,0x3ffe64ff,0xfffff305,0x2fffccbf,
    0xffffff98,0x66666445,0xcccdffff,0xffffc82c,0xeeeeeeee,0x6666442e,
    0xccdffffc,0x5c0002cc,0x3ee06fff,0xfffe86ff,0xffffffff,0x3ffee05f,
    0xffffffff,0xfffd80ff,0xffffffff,0x7400005f,0x203cefff,0x0aa9fffb,
    0x3fea0000,0xfb81cdff,0xffffffff,0xfe80ffff,0xffffffff,0xd8005fff,
    0x03ffffff,0xfffffffb,0x80bfffff,0xfffffffe,0xf9806fff,0xfd8004ff,
    0xffffffff,0x26005fff,0x6c004fff,0xffffffff,0x6c05ffff,0xffffffff,
    0x7405ffff,0xffffffff,0x3605ffff,0xffffffff,0x4c05ffff,0xfffffffe,
    0x24ffffff,0x3a05fff9,0x265fffff,0x3fa05fff,0x7cc5ffff,0xffffffff,
    0xc84fffff,0xffffffff,0x4c3fffff,0xffffffff,0x04ffffff,0x37ffdc00,
    0x10dfff70,0xfffffffd,0x9801bfff,0xfffffffe,0xf700ffff,0xffffffff,
    0x7000007f,0x40dfffff,0x00005ffe,0x3ffffe20,0xfffd302f,0xffffffff,
    0xffffd101,0x1bffffff,0xffffb000,0xfffb80bf,0x3fffffff,0xfffffe80,
    0x800dffff,0x0001fffb,0xfffffff7,0xb8007fff,0xb8001fff,0xffffffff,
    0xff7003ff,0xffffffff,0xfffd1007,0xbfffffff,0xffffb801,0x03ffffff,
    0x3fffff20,0x4fffffff,0xa817ffe6,0x265fffff,0x3ea05fff,0x7cc5ffff,
    0xffffffff,0xc84fffff,0xffffffff,0x4c3fffff,0xffffffff,0x04ffffff,
    0x37ffdc00,0x40dfff70,0xffffffeb,0x76dc002e,0x1cefffff,0x7fffecc0,
    0x00001dff,0x1bffff20,0x0017ffc4,0x3ffa6000,0x76dc02ff,0x1cefffff,
    0x7ffff5c0,0x20002eff,0x002efffd,0xffffffb3,0x3f26003b,0x02efffff,
    0x001fff20,0xfffffb30,0xf90003bf,0x6cc000ff,0x1dffffff,0x7ffecc00,
    0x4001dfff,0xffffffeb,0x3f66002e,0x01dfffff,0xffffda80,0x4c2cffff,
    0x7f405fff,0x3fe65fff,0x7fff405f,0x7fffcc5f,0xffffffff,0xfffc84ff,
    0xffffffff,0x7ffcc3ff,0xffffffff,0x40004fff,0x2e06fffb,0x53006fff,
    0x22000035,0x22000199,0x000000aa,0xa806a620,0x00000eee,0x00133300,
    0x00019988,0x00006aa6,0x0000d55c,0x80001551,0x50001a98,0x40000355,
    0x40000aa8,0x00001aaa,0x00001551,0x00002aa2,0x0000d54c,0x00005544,
    0x01355310,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4ccc4000,0x00000099,0x00266666,0x0101bca8,
    0xccba9880,0x2a03cccc,0x0017500b,0x6f776e54,0x666400ac,0x1ccccccc,
    0x33333200,0x001ccccc,0x09999980,0x33333000,0x5b910001,0x09998800,
    0x0004ccc4,0x00019988,0x0000ccc4,0x15530555,0x01998800,0x26660000,
    0x02ea0099,0x540005d4,0x500101bc,0x01553055,0x4ccc4000,0x99988019,
    0x004ccc40,0x00199880,0x99999800,0x0b722000,0x7fffe400,0xc800000e,
    0x800effff,0x1efffff9,0xf91003b6,0xffffffff,0x3ff60dff,0x07ffec0f,
    0x3ffffee0,0x201fffff,0xfffffff8,0xf1002fff,0xffffffff,0xfc80005f,
    0x8000efff,0x00effffc,0x1ffffc40,0x3dffd100,0x003bffa6,0x17fffea0,
    0x7fffd400,0x5fff0005,0x0017ffc4,0x00bffff5,0xffff9000,0x3fff601d,
    0x007ffec0,0xefffff98,0xff003b61,0x17ffc45f,0xfffa8000,0xfe8802ff,
    0xdffd31ef,0xfff50001,0x640000bf,0x000effff,0x007ffff1,0x3bfffea0,
    0x3f200000,0xf1004fff,0xdfffffff,0x7dc0bfff,0xffffffff,0xf986ffff,
    0x3fe64fff,0x3ff203ff,0xffffffff,0x3ffe201f,0x2fffffff,0xfffff100,
    0x005fffff,0x27fffe40,0xffffc800,0xfff70004,0xfe8800df,0x05fffdff,
    0xfffff500,0xffa800bf,0x8005ffff,0xffddfffd,0xff5000ff,0x000bffff,
    0x27fffe40,0x49ffff30,0x803ffff9,0xfffffff8,0x405fffef,0xffddfffd,
    0xa80000ff,0x000dffff,0x3f7fffa2,0xf50005ff,0x00bfffff,0x9ffff900,
    0xffffb800,0x3f620006,0x80000eff,0x002ffffc,0x3f73bfea,0x00ffffff,
    0xfffffff9,0xdfffffff,0x47ffff30,0x503ffff9,0x97bfffff,0xc803ffb9,
    0xcccccccc,0x3332001c,0x1ccccccc,0xffff9000,0x3ff20005,0x2e0002ff,
    0x0006ffff,0x0bfffffb,0x37ffee00,0x800efffb,0xffbdfffb,0x3e2000ef,
    0x2fffffff,0x7bfff700,0x0001dfff,0x02ffffc8,0x31ffffcc,0x5007ffff,
    0xfffb9dff,0x8801ffff,0xffffffff,0xffa80002,0x360003ff,0x005fffff,
    0xf7bfff70,0x20001dff,0x002ffffc,0x06ffffb8,0x5eeeb800,0x7775c000,
    0x45a8000d,0x01efffea,0xfffffff5,0x3ffee1ff,0x81fffb06,0xfb00effd,
    0x04401fff,0x00000000,0x3bae0000,0xd70000de,0x80001bdd,0x002ffff8,
    0x013bbb20,0x31f77540,0xea809ddb,0x3bb663ee,0x7fec4004,0xd5001eff,
    0x776cc7dd,0x3bae0004,0xffb000de,0x0effd81f,0xfea8b500,0xb1001eff,
    0x003dffff,0x3bddd300,0xddd90000,0x3baa0009,0x13bb663e,0x37bbae00,
    0xfff10000,0x0000005f,0x00000000,0xff002620,0xffffffff,0x81bffee1,
    0x015300a9,0x0037fff4,0x00000000,0x00000000,0x88000000,0x000001cb,
    0x00000000,0x22000000,0x00000001,0x26000000,0x0015300a,0x00026200,
    0x00000188,0x00000000,0x00000000,0x65c40000,0x00000001,0x00000000,
    0x7fffcc00,0x70ffffff,0x0000dfff,0x2ffffe80,0xecb98000,0x4c00acdf,
    0xca804ccc,0x000003cc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x66654000,0xcccccccc,0xccc802cc,0x91001ccc,0x44019999,0xfff53ccc,
    0x1fffffff,0x911bffee,0x99999999,0x90599999,0x007fffff,0x7ffffdc0,
    0x2a02ffff,0xfc807fff,0x666445ff,0xcccccccc,0x99952ccc,0x332e0019,
    0xcccc884c,0xcccccccc,0x6664c2cc,0x01abcccc,0xccccca80,0xcccccccc,
    0x00599932,0x6443ccc8,0xcccccccc,0x952ccccc,0x2e001999,0x99504ccc,
    0x99999999,0x332a5999,0x997000cc,0x99991099,0x99999999,0x99900599,
    0xa8003999,0xbccccccc,0x6654001a,0x1abccccc,0x19999100,0x42cccb80,
    0xcccccccb,0xcccccccc,0x666665c1,0xcccccccc,0x3ff201cc,0xffffffff,
    0x7cc03fff,0x004fffff,0x09fffff3,0xfcafffcc,0xffffffff,0x8dfff70f,
    0xfffffff9,0x4fffffff,0xffffffa8,0x3f62002e,0xffffffff,0xfff504ff,
    0xbfff900f,0xffffff98,0xffffffff,0x09ffff34,0x09ffff10,0xfffffff3,
    0x9fffffff,0xffffffb8,0x00dfffff,0xffffff90,0x7fffffff,0x000fffea,
    0xff98bfff,0xffffffff,0xff34ffff,0xff1009ff,0x3ff209ff,0xffffffff,
    0xfff33fff,0xfff1009f,0xffff309f,0xffffffff,0xff9809ff,0x4004ffff,
    0xfffffffc,0x800cffff,0xfffffffc,0x200cffff,0x400ffff9,0x7ec4fffe,
    0xffffffff,0x42ffffff,0xfffffffd,0xffffffff,0x3ffff202,0xffffffff,
    0x7ffe403f,0xf3006fff,0x201fffff,0xff75fff9,0xffffffff,0x31bffee1,
    0xffffffff,0x89ffffff,0xfffffffa,0xfe800dff,0xffffffff,0xfa83ffff,
    0xffc807ff,0x7fffcc5f,0xffffffff,0x3fff64ff,0x7ffe400f,0xffff980f,
    0xffffffff,0x7ffdc4ff,0xffffffff,0xffc804ff,0xffffffff,0xfff33fff,
    0x7ffc4009,0x7ffffcc4,0xffffffff,0x3ffff64f,0x7fffe400,0xfffff900,
    0xffffffff,0x07fffec7,0x03ffff20,0x3fffffe6,0xffffffff,0x7fffe404,
    0x7e4006ff,0xffffffff,0x6400efff,0xffffffff,0x300effff,0xe801ffff,
    0x7fec4fff,0xffffffff,0x6c2fffff,0xffffffff,0x2fffffff,0x3fffff20,
    0xffffffff,0x7ffff403,0xf9800fff,0x304fffff,0x3feabfff,0xffffffff,
    0x98dfff70,0xffffffff,0x24ffffff,0xfffffff9,0x202fffff,0x8aeffffa,
    0x7ffffda8,0x807fffa8,0x7cc5fffc,0xffffffff,0x264fffff,0x2204ffff,
    0xf303ffff,0xffffffff,0xb89fffff,0xffffffff,0x06ffffff,0x7fffffe4,
    0x3fffffff,0x4009fff3,0x7cc4fff8,0xffffffff,0x264fffff,0x2204ffff,
    0x3203ffff,0xffffffff,0x263fffff,0x2204ffff,0xf303ffff,0xffffffff,
    0x809fffff,0xfffffffe,0x3fff2000,0xffffffff,0x7fe406ff,0xffffffff,
    0xff306fff,0xffe801ff,0x7fffec4f,0xffffffff,0x7fec2fff,0xffffffff,
    0x202fffff,0x999efffc,0x00999999,0x3fffffe2,0xff9803ff,0x980fffff,
    0xfff15fff,0x1fffffff,0x201bffee,0x402ffff8,0xfb9ffffd,0x04ffffff,
    0x201dfffd,0x542ffffc,0xfc807fff,0xff8805ff,0xffd802ff,0xfff900ff,
    0x7fc4001f,0xffb802ff,0xeba999ff,0x202fffff,0x999efffc,0x10999999,
    0x44009fff,0xf8803fff,0xfd802fff,0xff900fff,0x7fe401ff,0x999999ef,
    0x7fec0999,0xfff900ff,0x7fc4001f,0x7c4002ff,0x3fffffff,0x97fff200,
    0xfffffdb9,0x97fff201,0xfffffdb9,0x0ffff981,0x227fff40,0xaaaaaaaa,
    0xeffffdaa,0x55555540,0xfffdaaaa,0x3ff200ef,0xfb80006f,0x5fffddff,
    0xfffff980,0xfff983ff,0x3fffff65,0xff70ffff,0xfff100df,0x7ffc405f,
    0x3fff623f,0x7fdc3fff,0x7ffc02ff,0x3fffd46f,0x02fffe40,0x017fffc4,
    0x41ffffcc,0x003ffff8,0x017fffc4,0x903fffdc,0x201fffff,0x4006fffc,
    0x2005fff8,0x8803fff8,0x9802ffff,0xf883ffff,0x7e403fff,0xf30006ff,
    0xff107fff,0xf88007ff,0x5c002fff,0xfffddfff,0x3fff2005,0x7ffff705,
    0x82fffe40,0x983ffffb,0x7400ffff,0x88004fff,0x001fffff,0x3fffff10,
    0x06fffc80,0xbfffd800,0x400ffffb,0xfffffff9,0x25fff986,0xffffffe8,
    0xdfff70ff,0x5ffff100,0x17fffd40,0x7fffffd4,0x01ffff60,0xa83ffff6,
    0xfc807fff,0xff8805ff,0xffb002ff,0xffffb0ff,0xfff88001,0xfffb802f,
    0x7fffe407,0x0dfff903,0x05fff880,0x00fffe60,0x00bfffe2,0x6c3fffec,
    0x6400ffff,0x20006fff,0xfd87fffd,0x44000fff,0x4002ffff,0xffbbfffd,
    0xff9000ff,0x7fffc0bf,0x17fff205,0x985ffff8,0x7400ffff,0xd8004fff,
    0x0004ffff,0x013ffff6,0x001bfff2,0x267fffe0,0x4c02ffff,0xffffdfff,
    0x22fffcc2,0xffffffe9,0x0dfff70f,0x05ffff10,0x82ffffcc,0x24ffffe8,
    0xa805fffe,0x3ea1ffff,0xffc807ff,0xfff8805f,0xfff3002f,0x7fffc47f,
    0xfff88003,0xfffb802f,0x7fffcc07,0x0dfff906,0x88bfff00,0x7ffcc1aa,
    0xffff8802,0xffff3002,0x1ffffc47,0x037ffe40,0x7ffff300,0x01ffffc4,
    0x17fffc40,0x27fffe00,0x002ffff9,0x7c0bfff9,0x3f205fff,0x3ffe05ff,
    0xffff985f,0x27fff400,0x3fffea00,0x3fea0006,0xff9006ff,0xf98000df,
    0x3fffe7ff,0x6fffcc04,0x7cc6fffc,0xffd505ff,0x3fee1fff,0xfff8806f,
    0x3ffe202f,0xfff302ff,0x27fffcbf,0x17fffcc0,0x900ffff5,0xf100bfff,
    0x6c005fff,0x3ff26fff,0xff10007f,0xff7005ff,0xfffd00ff,0x1bfff20f,
    0x517ffe00,0xfff98fff,0xffff8802,0x3fff6002,0x01ffff26,0x0037ffe4,
    0xc9bfff60,0x10007fff,0x4005ffff,0x3fe7fff9,0xff9004ff,0x3ffe20bf,
    0x3fff203f,0x7ffff105,0x01ffff30,0x004fffe8,0x07ffffe2,0x7fffc400,
    0xfff9001f,0xffc8000d,0x1ffff24f,0xf1bfff30,0x7fcc3fff,0x65d4c05f,
    0x0dfff70d,0x05ffff10,0x4fffffd8,0x22dfffd0,0x8803ffff,0x3ea3ffff,
    0xffc807ff,0xfff8805f,0x3fe6002f,0xffff8aff,0xfff10003,0xfff7005f,
    0xffff900f,0x01bfff20,0xfb1bffa0,0x7ffd43ff,0xffff8801,0x3ffe6002,
    0x3ffff8af,0x0dfff900,0xffff9800,0x03ffff8a,0x5ffff100,0x27ffe400,
    0x200ffff9,0xfb05fffc,0x7e403fff,0xfffb05ff,0xffff303f,0x33333335,
    0x4009fffd,0x004ffffd,0x13ffff60,0xfffffc80,0xffffffff,0x45fffd00,
    0x201ffffa,0xffb5fff9,0x2fffccbf,0xdfff7000,0x5ffff100,0xfffff880,
    0x7fffc2ef,0x05ffff35,0x49ffff10,0xc807fffa,0xf8805fff,0x6c002fff,
    0xfffbefff,0x3fe20007,0xffb802ff,0xfffb807f,0xffffc81f,0xffffffff,
    0xf1bffa0f,0x7fd49fff,0xfff8801f,0x7fec002f,0x07fffbef,0x3fffff20,
    0xffffffff,0x3bfff600,0x0007fffb,0x00bfffe2,0x2a2fffe8,0xc801ffff,
    0xba99efff,0x404fffff,0xa99efffc,0x04fffffb,0xfffffff3,0xffffffff,
    0x3fea009f,0x2a0006ff,0x4006ffff,0xfffffffc,0x80ffffff,0x220ffff8,
    0x2603ffff,0xfff35fff,0x17ffe63f,0x6fffb800,0x2ffff880,0xfffff980,
    0xfffa8dff,0x5ffff33f,0x93fffe00,0xc807fffa,0xf8805fff,0x4c002fff,
    0xffffffff,0x3fe20003,0xffb802ff,0xfffb807f,0xffffc82f,0xffffffff,
    0xa9bffa0f,0x3ea6ffff,0xff8800ff,0x7cc002ff,0x3fffffff,0x3ffff200,
    0xffffffff,0x3ffe600f,0x003fffff,0x0bfffe20,0x07fffc40,0x007ffff1,
    0xfffffff9,0x009fffff,0xfffffff9,0x409fffff,0xfffffff9,0xffffffff,
    0xfff8804f,0xf10001ff,0x8003ffff,0xfffffffc,0x80ffffff,0xfe86fffb,
    0x3fe606ff,0x53fff65f,0x0005fff9,0x201bffee,0x002ffff8,0xffffffd3,
    0x21ffffff,0x803ffff9,0x2a3ffff8,0xfc807fff,0xff8805ff,0xfd8002ff,
    0x007fffff,0x17fffc40,0x03fffdc0,0x40ffffd4,0xfffffffc,0x20ffffff,
    0x3ff27ffd,0xfff51fff,0xffff1001,0xfffb0005,0xc800ffff,0xffffffff,
    0x400fffff,0x7ffffffd,0x7ffc4000,0xfff7002f,0x0dfffd0d,0xffffff90,
    0x0037ffff,0x3ffffff2,0x401bffff,0xfffffff9,0xffffffff,0xfffd804f,
    0x3f60003f,0xc8003fff,0xccccffff,0xfb04cccc,0xfff907ff,0x3ffe601f,
    0x23fffea5,0x0005fff9,0x201bffee,0x002ffff8,0x7fffffe4,0x3e21ffff,
    0xf9803fff,0x3fea2fff,0xfffc807f,0xffff8805,0xfff98002,0x40003fff,
    0x802ffff8,0xb807fffb,0xfc80ffff,0xcccccfff,0x7fec4ccc,0x3fffffe7,
    0x200fff73,0x002ffff8,0xffffff98,0x7ffe4003,0xcccccccf,0xfff9804c,
    0x40003fff,0x002ffff8,0xf907fffb,0xfc801fff,0xffffffff,0xff9000df,
    0xffffffff,0xfff9801b,0xeeeeeeef,0x404ffffe,0x006ffffa,0x1bfffea0,
    0x37ffe400,0xffff8800,0x2ffff981,0xe8bfff30,0xfff9cfff,0x3fee0005,
    0xfff8806f,0xfd88002f,0x81ffffff,0x9804ffff,0x3ea1ffff,0xffd807ff,
    0xfff8805f,0xffb0002f,0x10000dff,0x7005ffff,0xf900ffff,0x3ff20fff,
    0xffc8006f,0xffbdff37,0x401ffeed,0x002ffff8,0x0dffffb0,0x0dfff900,
    0x7ffec000,0xf880006f,0xf8802fff,0xff981fff,0x7fe402ff,0xfffeb9ef,
    0xfff9005f,0xffffd73d,0xffff980b,0x27fff400,0x3fffff10,0x3ffe2000,
    0xf90001ff,0x2a000dff,0x9999ffff,0x05ffff99,0xfb8bfff3,0x5fff9fff,
    0x3ffee000,0xffff8805,0x3faa0002,0xfe80ffff,0xffb806ff,0x3ffea0ff,
    0x7ffec00f,0xffff8804,0xfff30002,0xf100007f,0xf7005fff,0xffb00fff,
    0x3fff20df,0x7ffc8006,0xfff79ff7,0x200fff71,0x002ffff8,0x07ffff30,
    0x0dfff900,0x7ffcc000,0xf880003f,0xfa802fff,0x99999fff,0x405ffff9,
    0x7ec5fffc,0xfc802fff,0x7ffec5ff,0x3ffe602f,0x7fff400f,0x3ffff604,
    0x3ff60003,0x320003ff,0x90006fff,0xffffffff,0x0fffffff,0xf117ffe6,
    0xbfff9fff,0x7ffe4000,0xffff8804,0x7f440002,0xffd82fff,0x7ff401ff,
    0x7fffcc6f,0x1ffff400,0x17fffc40,0xffff8800,0xff880002,0xffb802ff,
    0x7ffc407f,0xdfff905f,0x1fff7000,0xfff33ffd,0x200dff95,0x002ffff8,
    0x05ffff10,0x0dfff900,0x7ffc4000,0xf880002f,0xfc802fff,0xffffffff,
    0x407fffff,0x7c45fffc,0xfc806fff,0x7ffc45ff,0x3ffe606f,0x7fff400f,
    0xdffff504,0x7ffd4000,0x7e40006f,0xff0006ff,0xffffffff,0x03ffffff,
    0xf90bfff3,0x0bffffff,0x1ffff400,0x17fffc40,0x7ffd4000,0xffff983f,
    0x3fffea04,0x1ffffc43,0x03ffff10,0x05ffff10,0x3fffe200,0xff880002,
    0xffb802ff,0x7ffe407f,0xdfff902f,0x3fff7000,0x6fff4fff,0xf1006ffc,
    0x20005fff,0x002ffff8,0x006fffc8,0x3fffe200,0xff880002,0xfff802ff,
    0xffffffff,0x201fffff,0xfc85fffc,0x7e402fff,0xfffc85ff,0xffff302f,
    0x4fffe801,0x0fffff88,0xffff1000,0xfc80001f,0xf98006ff,0xffffffff,
    0x4fffffff,0x885fff98,0x5fffffff,0x3ee01b30,0xf8801fff,0x00402fff,
    0x80ffffdc,0x984ffffe,0xff06ffff,0x3f601fff,0xf8800fff,0x10002fff,
    0x0005ffff,0x05ffff10,0x40ffff70,0x206ffffa,0x8006fffc,0x4ffcfffa,
    0x3ff7fff2,0xffff1005,0x3fe20005,0xfc8002ff,0x200006ff,0x002ffff8,
    0x2ffff880,0x7ffffcc0,0xffffffff,0x3f204fff,0xfff885ff,0x7ffe406f,
    0x6ffff885,0x01ffff30,0xc84fffe8,0x0003ffff,0x00fffff2,0x1bfff200,
    0x3bffee00,0xaaaaaaaa,0xf986fffe,0xfffb05ff,0x3fa0bfff,0xffdaabdf,
    0xff1005ff,0xcef805ff,0xffca999a,0x3fea07ff,0xfeddffff,0xf702ffff,
    0x5359ffff,0x005ffffd,0x00bfffe2,0x17fffc40,0x7ffc4000,0xfffb802f,
    0xffffd887,0x3fff201f,0xfffa8006,0x3fe62fff,0x1005ffff,0x0005ffff,
    0x00bfffe2,0x01bfff20,0xffff8800,0xff880002,0x7fdc02ff,0xaaaaaaef,
    0x06fffeaa,0x6c17fff2,0x3201ffff,0xffb05fff,0xfff303ff,0xfffe801f,
    0x2ffffd44,0xffff5000,0x3f20000b,0xeeeeefff,0x3fa2eeee,0xffc803ff,
    0x7ffcc0ff,0xfffff305,0xffff90bf,0xffffffff,0x99999101,0x999bffff,
    0x7ffffc59,0xffffffff,0x7fffec03,0xffffffff,0x7ffff405,0xffffffff,
    0x99999105,0x999bffff,0xfff10059,0xcc88005f,0xdffffccc,0x7dc2cccc,
    0xffeeefff,0x404fffff,0xeeeffffc,0x22eeeeee,0x87fffffa,0x85fffffe,
    0xffccccc8,0x2ccccdff,0x2ffff880,0xffffc800,0xeeeeeeee,0xfff8802e,
    0x6644002f,0xdffffccc,0x3fa2cccc,0xffc803ff,0xfff900ff,0x3fffe60b,
    0x17fff205,0x42ffffcc,0x400ffff9,0x7fc4fffe,0xffffffff,0x43ffffff,
    0xffffffff,0xffffffff,0x3ffff203,0xffffffff,0x3ffff13f,0x7ffff500,
    0x205fff98,0x85fffffe,0xffffffe9,0xf301efff,0xffffffff,0x7c9fffff,
    0xffffffff,0xf7003fff,0xffffffff,0xffd1007f,0xffffffff,0x3ffe601b,
    0xffffffff,0xf8804fff,0x4c002fff,0xffffffff,0x44ffffff,0xfffffffb,
    0x03ffffff,0xffffffc8,0x3fffffff,0x17ffffe6,0x13fffff2,0x3fffffe6,
    0xffffffff,0xffff8804,0xfffc8002,0xffffffff,0xff8803ff,0x7cc002ff,
    0xffffffff,0xf14fffff,0xf5003fff,0x3f207fff,0x3ffa05ff,0xfff901ff,
    0x7ffff40b,0x07fffcc1,0x893fffa0,0xffffffff,0xffffffff,0x3ffffe23,
    0xffffffff,0x3f203fff,0xffffffff,0xff53ffff,0x3fe200df,0x7ffcc5ff,
    0x3fffea05,0x3ffaa05f,0x4c02efff,0xffffffff,0x24ffffff,0xffffffec,
    0x4c000bff,0xdffffffd,0x7ff5c001,0x402effff,0xfffffff9,0x4fffffff,
    0x2ffff880,0x7fffcc00,0xffffffff,0x7ffdc4ff,0xffffffff,0xfff9000d,
    0xffffffff,0x7ffcc7ff,0xfff982ff,0xfff984ff,0xffffffff,0xf8804fff,
    0xc8002fff,0xffffffff,0x803fffff,0x002ffff8,0x7fffffcc,0xffffffff,
    0x00dfff54,0x417fffe2,0x2e05fffc,0xf905ffff,0x7fdc0bff,0x7ffcc5ff,
    0x7fff400f,0x3ffffe24,0xffffffff,0x3fe23fff,0xffffffff,0x03ffffff,
    0x3ffffff2,0x3fffffff,0x4009fffb,0x7cc7fffd,0x7ff405ff,0x131005ff,
    0x7fffcc00,0xffffffff,0x333104ff,0x54400003,0x5300000a,0x7fcc0035,
    0xffffffff,0x8804ffff,0x4002ffff,0xfffffff9,0x4fffffff,0x7fffffdc,
    0x4001abde,0xfffffffc,0x23ffffff,0x00fffff8,0x307fffff,0xffffffff,
    0x09ffffff,0x05ffff10,0xfffff900,0xffffffff,0xffff1007,0xfff98005,
    0xffffffff,0xfffb4fff,0x7ffec009,0x0bfff907,0x80fffff8,0x7c05fffc,
    0x3e60ffff,0x7f400fff,0x3ffe24ff,0xffffffff,0x223fffff,0xffffffff,
    0xffffffff,0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x10333100,
    0x2ea00333,0x00017500,0x6f76e540,0x80de5403,0x4c400000,0x20009999,
    0x20001998,0x99881998,0x81998801,0x00001998,0x99999880,0x30000000,
    0xa8013333,0x00aa982a,0x0016e440,0x66666664,0x00001ccc,0x66666400,
    0x001ccccc,0x3332e000,0x66400002,0xcccccccc,0xb9530001,0x0037bdff,
    0x06666440,0x00000262,0x10000040,0x88000000,0x2000ffff,0xf70dfff9,
    0xffb009ff,0x0fffd81f,0x7ff4c000,0xf305ffff,0x6c3dffff,0xd100000e,
    0x400bffff,0x005ffffa,0x21bfff30,0x9804fffb,0xff70dfff,0xd993009f,
    0x037bdfff,0x077fffe4,0x3f200000,0x7c00efff,0x3ffe22ff,0x3ffe2002,
    0x3fe2003f,0xffffffff,0x3ff62002,0x3fe2002d,0xffffffff,0x3ff62002,
    0x3ffea02d,0x3e200006,0xffffffff,0x7f44002f,0xffffffff,0xff70000f,
    0x2fff98bf,0x36200000,0x2e0004ff,0x00000dff,0xfaa6664c,0xf98005ff,
    0x3fffdfff,0x4ffff980,0x00ffffe6,0xfffff880,0xff885fff,0xfeffffff,
    0x880005ff,0x002ffffe,0x3fffffea,0xfff30005,0x007fffbf,0x7effffcc,
    0x7ec403ff,0xffffffff,0x7ffd405f,0x000000ef,0x009ffff9,0x3f77fff6,
    0x2e000fff,0x2006ffff,0xfffffff8,0xf1002fff,0x007fffff,0x3fffffe2,
    0x1002ffff,0x07ffffff,0x000ffffc,0xfffff880,0x002fffff,0x3fffffea,
    0x00ffffff,0x85ffff00,0x0007fffd,0x3ffff200,0xfffa8003,0x5c00005f,
    0xfff97fff,0x3fe60005,0x3003ffff,0x7cc7ffff,0x20003fff,0xdefffffd,
    0xceffa85e,0xfffffffd,0x7f440000,0x2e000eff,0xfffbdfff,0xff98000e,
    0x8003ffff,0x3ffffff9,0x7ffffcc0,0x5fffffff,0xefffd880,0x7e400000,
    0x22002fff,0xffffffff,0x7ffdc002,0x6664006f,0x1ccccccc,0xf79ffb00,
    0x332001ff,0xcccccccc,0x79ffb001,0x3f201fff,0x200005ff,0xcccccccc,
    0xff9001cc,0xffffffff,0x50001fff,0xff90dfff,0x000003ff,0x017ffffa,
    0x1fffff20,0xfff70000,0x001fffaf,0x07dddb10,0x40fffd80,0x0000effd,
    0x03bffff3,0xffd516a0,0x900003df,0xa8009ddd,0x3b663eee,0xdb10004e,
    0x440007dd,0x4403eeed,0xeffffffe,0x005fffee,0x0017bbae,0x0deeeb80,
    0xfffd8800,0xf88001ef,0x00002fff,0x52ffc000,0x000005ff,0xfa97fe00,
    0xffff102f,0x00000001,0xfffff300,0x36a6237d,0xffe8000f,0xffff883f,
    0xfb000001,0x70009fff,0x000dffff,0xf7fffb80,0x000009ff,0x402a6000,
    0x2e0000a9,0x0000ffff,0x00001310,0x00000000,0x00000000,0xffff7000,
    0x00ee603b,0x00000000,0x00188000,0x001cb880,0x7c400000,0x00bfe64f,
    0x3e200000,0x80bfe64f,0x0004fffd,0xfd800000,0x00805fff,0x0ffff980,
    0x001fff70,0x3ffa2000,0xffb0000e,0xb800003f,0xfff9ffff,0x00000001,
    0x20000000,0x0005fffd,0x00000000,0x00000000,0x00000000,0x01ffffb0,
    0x00000000,0x00000000,0x44000000,0xcccccccc,0x02cccccc,0x7f55fff4,
    0x6665400f,0xcccccccc,0x7ff402cc,0x200ffeab,0x0007fff9,0x66666640,
    0xffff5001,0x6400000b,0x3f604fff,0x8000006f,0xa9800019,0xfb800000,
    0x01998fff,0x666665c0,0xcccccccc,0xccc801cc,0x80001ccc,0x0003ffff,
    0x07333332,0x6665c000,0x1ccccccc,0xcccccc80,0x99995001,0x99999999,
    0x95079999,0x99999999,0x7fc59999,0x800006ff,0x01cccccc,0x026664c0,
    0x33332a00,0xcccccccc,0xcccca82c,0xcccccccc,0x7fffcc2c,0xffffffff,
    0x7fcc04ff,0xc804ffff,0xffffffff,0x403fffff,0x4ffffff9,0x02fffe80,
    0xffff3000,0x3f6009ff,0x00002fff,0x03ffff10,0x003fffd9,0x00000000,
    0x2e000000,0x40007fff,0xfffffffd,0xffffffff,0x7fffcc02,0x440004ff,
    0x0002ffff,0x9ffffff3,0xfff10000,0xffffffff,0xffff9805,0xff9004ff,
    0xffffffff,0x0dffffff,0xfffffff9,0x47ffffff,0x001ffffe,0x3fffe600,
    0x7dc004ff,0x640007ff,0xffffffff,0xc83fffff,0xffffffff,0x4c3fffff,
    0xffffffff,0x04ffffff,0x03fffe98,0xffffff90,0x7fffffff,0x7fffd300,
    0x1bffee00,0x7ffe4000,0xff006fff,0x00000dff,0xf837ffdc,0x00001eff,
    0xbccca980,0xb951000a,0x31000359,0xfffb9997,0xffd8000f,0xffffffff,
    0x402fffff,0x6ffffffc,0x7ffc4000,0xff90001f,0x000dffff,0xffffff70,
    0x805fffff,0x6ffffffc,0xfffff900,0xffffffff,0xff90dfff,0xffffffff,
    0x7fec7fff,0x00003fff,0xdffffff9,0x7fffb800,0x7ffe4000,0xffffffff,
    0xfffc83ff,0xffffffff,0x7ffcc3ff,0xffffffff,0x22004fff,0x7ffe4000,
    0xffffffff,0x022003ff,0x07fffe00,0x3fffa000,0x4400ffff,0x0004ffff,
    0x0bfffa00,0x000015e4,0x7ffffe40,0x2201ffff,0xfffffffd,0xffd8800d,
    0xffffffff,0x7fec0007,0xffffffff,0x402fffff,0xfffffffe,0x3fe60000,
    0xfd0000ff,0x01ffffff,0xffffe800,0x2fffffff,0x7fffff40,0xffc800ff,
    0xffffffff,0x86ffffff,0xfffffffc,0x23ffffff,0xfffffffa,0x3fa0000b,
    0x00ffffff,0x01fffee0,0xfffff900,0xffffffff,0xfffff907,0xffffffff,
    0xffff1007,0x55553005,0x415554c0,0x999efffc,0x00999999,0x33772ea2,
    0xfff9002b,0xff88000b,0x03ffffff,0x01ffffcc,0xfffa8000,0x83555007,
    0x2002cdca,0xffffffe9,0xd301ffff,0xffffffff,0x7fdc05ff,0xffffffff,
    0x540007ff,0xaaaaaaaa,0x0effffda,0x3ffffe20,0x95003fff,0xffffb999,
    0x80799999,0xfffffff8,0x3e60003f,0x04fffeff,0x7ffffc40,0x20003fff,
    0x003ffff8,0x267bfff2,0x09999999,0x7fffffec,0x44002dff,0xffffffff,
    0x3ffee003,0x7fe40007,0x999999ef,0xffc80999,0x999999ef,0xf8800999,
    0xfb802fff,0x3ff206ff,0x6fffc86f,0x3ffaa000,0xefffffff,0x7fffc402,
    0x3fee0000,0x05fffddf,0x01ffffd4,0xfffd8000,0x5fff8803,0xdffffff5,
    0xffff9803,0xffffffff,0xfffff881,0xfffffdce,0xfffffa80,0xfffffeef,
    0x88000007,0x401fffff,0xffddfffb,0xfff9005f,0xffffffff,0xfb80dfff,
    0x5fffddff,0x3fff2000,0x4004fffb,0xffddfffb,0x3e20005f,0x32003fff,
    0x10006fff,0xfffffffb,0x2e003dff,0xfffddfff,0x3ffee005,0x7fe40007,
    0x3f20006f,0x200006ff,0x802ffff8,0x3206fffb,0xffc86fff,0x3f20006f,
    0xffffffff,0x7ec02fff,0x360003ff,0xfffbbfff,0x3ffee00f,0x9800002f,
    0x8800ffff,0xfffbdfff,0x00ffffff,0x2ffffffa,0x81fda999,0x4c2efffc,
    0x7c44ffff,0x640bffff,0x00007fff,0x4ffffd80,0xbbfffd80,0xc800ffff,
    0xffffffff,0x06ffffff,0x7ddfffec,0xf0000fff,0x9fff5bff,0xbfffd800,
    0x000ffffb,0x07ffff10,0x037ffe40,0x3fffee00,0x03ffffff,0xfbbfffd8,
    0xf7000fff,0xc8000fff,0x20006fff,0x0006fffc,0x0bfffe20,0x81bffee0,
    0xfc86fffc,0x320006ff,0xeccdefff,0x200fffff,0x0007fffa,0x3e67fffe,
    0x3ea02fff,0x00003fff,0x004fffc8,0xfffffff1,0x9fffffff,0x37ffff20,
    0x7ffc4000,0xffff702f,0x02ffffc8,0x000ffff7,0xffffa800,0x3ffff006,
    0x005ffff3,0xfffdddd7,0x9dddddff,0x99ffff80,0x8002ffff,0xffaafffa,
    0x7ffc004f,0x2ffff99f,0xffff1000,0x7ffe4007,0xfb500006,0x3fffffff,
    0x99ffff80,0x7002ffff,0x8000ffff,0x0006fffc,0x001bfff2,0x2ffff880,
    0x06fffb80,0x321bfff2,0x20006fff,0x3fee01cb,0x7ff403ff,0xff98002f,
    0x13fffe7f,0x04ffff98,0x7ffc4000,0xfff1001f,0xf717dfff,0x3fe0ffff,
    0xc8000fff,0x3e206fff,0x3ffe0fff,0x3ffee06f,0x22000007,0x801fffff,
    0x3fe7fff9,0xfd0004ff,0xf30007ff,0x7fffcfff,0x7ffd8004,0x4009fff5,
    0x3fe7fff9,0xf10004ff,0x64007fff,0x00006fff,0x7ffffe44,0x3ffe606f,
    0x013fffe7,0x003fffdc,0x01bfff20,0x06fffc80,0x3ffe2000,0xfffb802f,
    0x1bfff206,0x001bfff2,0x3fffa000,0x37ffdc04,0x27ffe400,0x440ffff9,
    0x0005ffff,0x037ffdc0,0xdfffff10,0x87fffc81,0x003ffff8,0x339fffb0,
    0xfff33333,0x3fffe25f,0x1fffee02,0xffd80000,0xff9004ff,0x3fffe49f,
    0x2ffff800,0x4fffc800,0x001ffff2,0x3ea9fff1,0x3f2004ff,0x3fff24ff,
    0xfff10007,0x7fe4007f,0x2000006f,0x00fffffd,0x7e49fff9,0xff7007ff,
    0xfc8000ff,0x320006ff,0x00006fff,0x00bfffe2,0xc81bffee,0xffc86fff,
    0xffffffff,0x20000fff,0x4405fffc,0x4001ffff,0x3ea2fffe,0x3fe01fff,
    0x00000fff,0x800bfffa,0x80effff8,0x541ffffa,0x0002ffff,0xfffffffd,
    0xffffffff,0x07fffe67,0x007fffb8,0xffff5000,0x7fff400d,0x07fffea2,
    0x3ffff100,0x5fffd000,0x00ffffd4,0x2a3fff90,0xffffffff,0x45fffd00,
    0x001ffffa,0x03ffff88,0x3fffff20,0xffffffff,0xfffd0000,0x3fffa05f,
    0x07fffea2,0x01fffee0,0xfffff900,0xffffffff,0xfffff901,0xffffffff,
    0xffff1001,0xdfff7005,0x437ffe40,0xfffffffc,0x00ffffff,0x3f666620,
    0xffc805ff,0x3fe2004f,0x3ffe20ff,0x3fffa03f,0xf500004f,0xf8800fff,
    0xff102fff,0xfffb83ff,0xfff0001f,0xffffffff,0x2e7fffff,0x2e00ffff,
    0x00007fff,0x1fffff88,0x1ffff100,0x01ffffc4,0x03fffe60,0x1ffff100,
    0x01ffffc4,0x7d4dfff0,0x0fffffff,0x20ffff88,0x003ffff8,0x03ffff88,
    0x3fffff20,0xffffffff,0xfff70000,0xffff105f,0x1ffffc41,0x03fffdc0,
    0x3ffff200,0xffffffff,0xffffc80f,0xffffffff,0xfff8800f,0xfffb802f,
    0x1bfff206,0x3ffffff2,0x0fffffff,0x3fffb220,0x05ffffff,0x00ffff98,
    0xd0dfff70,0x7d40dfff,0x0002ffff,0x003fffd8,0x80ffffc4,0x5c1ffff8,
    0x8001ffff,0xfffffff8,0xffffffff,0x1ffff72f,0x03fffdc0,0x7ffec000,
    0x3fee003f,0x6fffe86f,0x7fffd400,0x7ffdc000,0x06fffe86,0x547fff50,
    0xffffffff,0x86fffb80,0x8006fffe,0x003ffff8,0x3ffffff2,0x0fffffff,
    0xffff9000,0x0dfff701,0x700dfffd,0x8000ffff,0xfffffffc,0x80ffffff,
    0xfffffffc,0x00ffffff,0x02ffff88,0x206fffb8,0xfc86fffc,0xcccccfff,
    0x3f204ccc,0xffffffff,0xfb005fff,0x3f6007ff,0xfffc83ff,0x3fffa00f,
    0xeb880bff,0x1ffff100,0xffff8800,0x3ffff101,0x02ffffa8,0x05ffff00,
    0x3fffea00,0x1fffee00,0xfff50000,0xffd800df,0xffffc83f,0x3ffee000,
    0xfffd8007,0x0ffffc83,0x20fffd80,0xcccefffa,0x3fffd80c,0x00ffffc8,
    0x1ffffc40,0x9ffff900,0x99999999,0x2a0056c4,0xfb07ffff,0xfff907ff,
    0xfffb801f,0x7fe40007,0xccccccff,0xfff904cc,0x9999999f,0x3fe20099,
    0xffb802ff,0x3fff206f,0x06fffc86,0x3ffff600,0xfffeefff,0xfff5005f,
    0xffff100d,0x5ffff303,0x7ffffd40,0xffeddeff,0xbfff900f,0xffff1000,
    0x3fffe203,0x2ffffcc1,0x4fffe800,0xffff3000,0x3fffec03,0xfff10000,
    0x7c4003ff,0xff981fff,0x3f2002ff,0x7c4006ff,0xff981fff,0x7fc402ff,
    0x27ffd46f,0x0ffffc40,0x017fffcc,0x0ffffe20,0x06fffc80,0x6f7ffcc0,
    0xffffdccc,0xfff882ff,0xffff981f,0x3fffdc02,0x3fff2000,0x3ff20006,
    0x2200006f,0xb802ffff,0x3f206fff,0xfffc86ff,0xfff70006,0xfff903bf,
    0x7fff400b,0x7fffd402,0xff999999,0x7fdc05ff,0xffffffff,0xfff00fff,
    0xff10003f,0x3fe203ff,0xffff81ff,0xffc8001f,0xf88000ef,0xff704fff,
    0x40000fff,0x003ffffd,0x4cffffd4,0xffff9999,0x3fff6005,0x7ffd4005,
    0xf999999f,0x7dc05fff,0xfb999cff,0xffa804ff,0x999999ff,0x4005ffff,
    0x003ffff8,0x001bfff2,0xfffffff3,0xbfffffff,0x27fffea0,0xfff99999,
    0x7ffdc05f,0x7fe40007,0x3f20006f,0x200006ff,0x802ffff8,0x3606fffb,
    0xffc86fff,0xffb0006f,0x7ffe40df,0x3ffee005,0x7fffe405,0xffffffff,
    0xff9807ff,0xffffffff,0xfffb80ff,0xfff10006,0x3ffe203f,0xffffd81f,
    0xf506602f,0x20009fff,0x5c0ffffe,0x007fffff,0xdffff500,0xffff9000,
    0xffffffff,0x7fc00fff,0x7e4003ff,0xffffffff,0x407fffff,0xfffffffe,
    0xc804ffff,0xffffffff,0x07ffffff,0x1ffffc40,0x0dfff900,0xfffff980,
    0xffffffff,0x3ffff204,0xffffffff,0x7fdc07ff,0x7e40007f,0x320006ff,
    0x00006fff,0x00bfffe2,0x203fffee,0xc86ffffc,0xf0006fff,0x7f409fff,
    0x3e2005ff,0x3fe01fff,0xffffffff,0x01ffffff,0xffffeb88,0xfd01ceff,
    0x220005ff,0xf101ffff,0xff103fff,0x99bdffff,0xffb05ffb,0x33337dff,
    0xffa87b95,0xffebbeff,0x0007ffff,0x0fffff88,0xfffff800,0xffffffff,
    0xfa801fff,0x7c001fff,0xffffffff,0x1fffffff,0xffffff30,0x09ffffff,
    0xfffffff0,0xffffffff,0x7fc4003f,0x3f2003ff,0x644006ff,0xfffffffe,
    0x7fc01cff,0xffffffff,0x01ffffff,0x001fffee,0x00dfff90,0x037ffe40,
    0xffff1000,0xffff5005,0xfffffc85,0x06fffc86,0x0ffffd00,0x0bffffd1,
    0x04fffc80,0xfffffff3,0xffffffff,0x7fc4009f,0x7cc009ff,0x220007ff,
    0xf101ffff,0x3ea03fff,0xffffffff,0xff882fff,0xffffffff,0xfff83fff,
    0xdfffffff,0x80007fff,0x003ffffc,0xffffff98,0xffffffff,0xffd804ff,
    0x7fcc007f,0xffffffff,0x04ffffff,0xfffffff9,0x809fffff,0xfffffff9,
    0xffffffff,0x3fe2004f,0x3f2003ff,0x220006ff,0x06fffb99,0xffffff30,
    0xffffffff,0x7fdc09ff,0x7e40007f,0x320006ff,0x00006fff,0x00bfffe2,
    0x33ffffe2,0xfffffffb,0x06fffc86,0x9ffffb00,0xffffd713,0xff9800bf,
    0xfffb80ff,0xaaaaaaae,0x006fffea,0x4013ffe6,0x0004fffd,0x407fffe2,
    0x201ffff8,0xffffffea,0xd302ffff,0xffffffff,0xfd307fff,0x1bffffff,
    0x8000ffff,0x005ffffa,0x55dfff70,0xfd555555,0xbaab8dff,0x005ffffe,
    0x5577ffdc,0xfeaaaaaa,0xffff06ff,0xff733333,0xfffb809f,0xaaaaaaae,
    0x006fffea,0x00ffffe2,0x006fffc8,0x07fff500,0x2bbffee0,0xeaaaaaaa,
    0x3ee06fff,0x640007ff,0x20006fff,0x0006fffc,0xff999991,0x59999bff,
    0xffffffb0,0xdfffbfff,0xddffff90,0x5ddddddd,0xffffffa8,0xfffeffff,
    0xfffd8005,0x03fffe83,0x00ffffc8,0x003fff70,0x001ffff1,0x0ffffc40,
    0x01ffff88,0xfffffeb8,0x75c00bef,0xffffffff,0xfffb101d,0x3fff47ff,
    0x3fffe000,0xffffffff,0x3fa3ffff,0xffc803ff,0x3fffa0ff,0x000fffff,
    0x401ffff4,0x540ffffc,0xff504fff,0x459999df,0xc803fffe,0x1000ffff,
    0x4007ffff,0xeeeffffc,0x02eeeeee,0x8007ffe4,0xc803fffe,0xf700ffff,
    0xdddddfff,0x320ddddd,0xeeeeffff,0xc82eeeee,0xeeeeffff,0x4c2eeeee,
    0xffffffff,0x84ffffff,0xfffffff9,0x86fff8df,0xfffffffc,0x83ffffff,
    0xfffffffd,0x05fff8ef,0x46fffa80,0x801ffff8,0x003ffffa,0x3200dffb,
    0x40005fff,0x101ffff8,0x8003ffff,0x00009998,0x00135553,0x00001a98,
    0x3ffffe20,0xffffffff,0xfff13fff,0xfff5003f,0x7ffff47f,0x44001fff,
    0xa801ffff,0x7ec3ffff,0xfff501ff,0x229fffff,0xa801ffff,0x1003ffff,
    0x4007ffff,0xfffffffc,0x03ffffff,0x8802ffec,0xa801ffff,0xf703ffff,
    0xffffffff,0x320fffff,0xffffffff,0xc83fffff,0xffffffff,0x4c3fffff,
    0xffffffff,0x04ffffff,0x7fffffd1,0x7e437ffc,0xffffffff,0xf703ffff,
    0x7c7dffff,0xfd0005ff,0x7ffd45ff,0xffff1006,0x0fffa00b,0x00ffffc0,
    0x3fffe200,0x3ffff101,0x00000000,0x00000000,0xfffff880,0xffffffff,
    0xfff53fff,0x3ffe200d,0x3ffffa5f,0xfa8000cf,0xff1006ff,0x7ffc4bff,
    0x3fffea06,0xff54ffff,0x3fe200df,0xff1005ff,0x7e4007ff,0xffffffff,
    0x7c03ffff,0xff5002ff,0x3fe200df,0xfff705ff,0xffffffff,0x3ff20fff,
    0xffffffff,0xffc83fff,0xffffffff,0x7fcc3fff,0xffffffff,0x4404ffff,
    0xfc8001a9,0xffffffff,0x4c03ffff,0x000001aa,0x7ec9ddd7,0x3f6004ff,
    0x555007ff,0xbddd3001,0x00000000,0x00000000,0x00000000,0xfffff100,
    0xffffffff,0x3ff67fff,0x3ff6004f,0x000cc47f,0x027ffec0,0x5cffffb0,
    0x3ea03fff,0x4fffffff,0x4009fffb,0x1007fffd,0x4007ffff,0xfffffffc,
    0x03ffffff,0xfb001554,0x7ec009ff,0xfff707ff,0xffffffff,0x3ff20fff,
    0xffffffff,0xffc83fff,0xffffffff,0x00003fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xff300000,0xccb800df,0x06664003,
    0x2e007332,0x665c0ccc,0xdcba8804,0x64002bcd,0x3ccc83cc,0x32066640,
    0xb80001cc,0x400ccccc,0x01acdca8,0x8f333200,0x00ccccc9,0x64400040,
    0x01dd983e,0x00666540,0x99995000,0x66664439,0x4000003c,0x75000999,
    0x05799bb9,0xd983ec88,0x3b26001d,0x0000883d,0x00019995,0x99999500,
    0xccccc883,0x55530003,0x15ee5c41,0x1e666640,0xbd950144,0x19993007,
    0x00016e44,0x0fffee00,0x4ffffc80,0x993ffa00,0xe8800fff,0xfff90eff,
    0x7fff5405,0x2effffff,0x4bfff300,0x7400effd,0x3ffe64ff,0x7fe40000,
    0x36200eff,0xdfffffff,0x7ffe4000,0xdfffd10f,0x6ffdc003,0x3fff6000,
    0x03fffe63,0x2ffffd40,0xfffa8000,0xffe882ff,0x000004ff,0xb803fff5,
    0xfffffffe,0x3ff601ff,0x3fffe63f,0xffffb800,0x01dd12ff,0x5ffffa80,
    0x7fd40000,0xfd102fff,0x70009fff,0x3ff25fff,0x200dffff,0xbbfffff9,
    0xffb07fec,0x7401dfff,0x3ffe24ff,0x0100003f,0x2001fffb,0x3ffffffc,
    0xbbfff900,0x4400dfff,0xfffceffe,0x7fffe402,0xffffffff,0xbfff3002,
    0x9001fffb,0xfffbbfff,0xffc8000d,0x7f4c04ff,0xffffffff,0xfff7002f,
    0x3fffa21f,0x3fea000d,0x3fe005ff,0x3ffee6ff,0xfffa802f,0x40005fff,
    0x00effffa,0x027fffe4,0x37fec000,0x3fffff60,0x01ffffff,0xfb9bfffe,
    0x7cc02fff,0xffffffff,0x2a005fff,0x05ffffff,0xffff5000,0xfff9001d,
    0xffb8009f,0xfffffdaf,0x7dc05fff,0xffffffff,0xfffffb87,0xfff905ff,
    0x37fffdc1,0x3fdb8800,0x7006fff8,0xfff95fff,0xffff1007,0x8003ffff,
    0x3ffffff8,0xdefffc80,0xfffffecc,0xffff5000,0x3e2003ff,0x1fffffff,
    0x3fff2000,0x7ffc402f,0xfffdceff,0x7fcc00ff,0x3fff61ff,0xfffc8004,
    0x3ffa007f,0x3fffea4f,0x67ffcc01,0x0005fffa,0x009ffff5,0x027fffd4,
    0x7fff1000,0x7ffffdc0,0x1ffdcccd,0xa93fffa0,0x4401ffff,0xfffcadff,
    0x3000ffff,0xfff59fff,0xffa8000b,0x7d4004ff,0x2e004fff,0xffffffff,
    0x41ffffff,0xffffffd8,0xf87fffff,0x1fff73ff,0x5c2fff98,0x0006ffff,
    0xf987ffff,0xffb803ff,0x0bfff22f,0x3ffff620,0xff30002e,0x32e007ff,
    0x3fffee01,0x3ffea003,0x7ec4001f,0x0002efff,0x003bfff2,0x30bbfff2,
    0x4409ffff,0x3f61fffe,0xf70003ff,0x4c00dfff,0x7fe40efe,0x27ffcc03,
    0x8009fff5,0x002ffffa,0x04fffe88,0xfdd95300,0x7ff401ff,0x802600ff,
    0x7e40efe9,0x9891003f,0x001dfffd,0x7d49fff3,0xf50004ff,0x20005fff,
    0x004fffe8,0xbffffff7,0x9ffff915,0xffffff98,0x981bffff,0x0fffc7ff,
    0x3e617ffa,0xf0003fff,0xffb87fff,0x0999800f,0x20019998,0x80001aa8,
    0x00001998,0x004fffe8,0x00004cc4,0x00003551,0x22003333,0xf702ffff,
    0x4cc40fff,0x004ccc09,0x07fff600,0x20000200,0x99881998,0x4cccc001,
    0x4ccc0000,0x7ffd4001,0x00ffffff,0x009ffff1,0x00000200,0x44000980,
    0x19988199,0x13333000,0x33330000,0x3fffee00,0x5ffff84f,0x76ffffcc,
    0xf503ffff,0x22ffe8df,0xb300fffb,0x7fc0007d,0x04cc43ff,0x00000000,
    0x00000000,0x17fff200,0x00000000,0xc8000000,0x3e206fff,0x00000fff,
    0x01530000,0x00000000,0x00000000,0xffc80000,0xffffffff,0xfffff00f,
    0x00000003,0x00000000,0x00000000,0xfb800000,0xffb05fff,0x20ac88df,
    0x80fffff9,0x7ffc7ff9,0x005fff31,0xffff0000,0x53000007,0x00157999,
    0x06b372a2,0x66e54400,0x2620001a,0x05fffd99,0x5e6654c0,0x65d4400a,
    0x0002bcdd,0x2af332a6,0x39fffb00,0xff333333,0xaaa985ff,0x0aaaa602,
    0xa9800000,0x2aa602aa,0x15554c2a,0x98555530,0x2a602aaa,0xaaa982aa,
    0x0aaaa602,0xfffffffb,0x01dfffff,0x5bfffffd,0x654c0001,0x20001acd,
    0x01acdca9,0x3372a600,0x2a60001a,0x0001acdc,0x06b372a6,0x40ffff70,
    0x4c06fffb,0x5ffffeca,0xf31fff88,0x17ffa1ff,0x2aaa0000,0xadffffaa,
    0x001aaaaa,0x7fffffe4,0x36201fff,0xdfffffff,0xfffb1000,0x001bffff,
    0xfffffd91,0x200bffff,0xfffffffc,0xffea81ff,0xefffffff,0x3fff2002,
    0x81ffffff,0xfffffffe,0xffffffff,0x037ffdc3,0x500dfff9,0x55555555,
    0xb8355555,0x3f206fff,0x7ffdc6ff,0x1bfff206,0x640dfff7,0xffb86fff,
    0x3fff206f,0x3bfffe66,0xffffffb1,0xfffff50d,0x4005bfff,0xfffffffa,
    0x3ea000ef,0xefffffff,0x3ffea000,0x00efffff,0x3ffffea0,0x2000efff,
    0xfffffffa,0xfff700ef,0x37ffdc0d,0xfffffe98,0xfe82ffff,0x75fffdff,
    0xfd801fff,0xfff800ff,0xffffffff,0x004fffff,0xffffffd3,0x2603ffff,
    0xfffffffe,0x74c02fff,0xffffffff,0x3ff202ff,0xffffffff,0x7f4c05ff,
    0xffffffff,0xffffc81f,0xffffffff,0x7fff4c02,0x1fffffff,0xfffffff8,
    0xffffffff,0x37ffdc3f,0x00dfff90,0xffffffff,0x87ffffff,0x3206fffb,
    0x7fdc6fff,0x3fff206f,0x037ffdc6,0xf70dfff9,0x7fe40dff,0x9bfffa6f,
    0xfffdfff8,0xffffb82f,0x02ffffff,0x7fffffe4,0x803fffff,0xfffffffc,
    0xc803ffff,0xffffffff,0xfc803fff,0xffffffff,0xffc803ff,0xffffffff,
    0x6fffb83f,0x21bffee0,0xfffffffc,0xf986ffff,0x88ffffff,0xfd802fff,
    0xfff800ff,0xffffffff,0x804fffff,0xfffffff9,0x881fffff,0xdcefffff,
    0x100fffff,0xb9dfffff,0xb01fffff,0xdfffffff,0x40bffffd,0xfffffff9,
    0xc81fffff,0xeccdefff,0x300fffff,0xffffffff,0xf883ffff,0xffffffff,
    0x2fffffff,0x9037ffdc,0xff00dfff,0xffffffff,0xfb87ffff,0x3ff206ff,
    0x37ffdc6f,0xb8dfff90,0x3f206fff,0xfffb86ff,0x5bfff206,0x2e2ffff9,
    0xfffe8fff,0xffff9104,0x209fffff,0xfffffffc,0x01ffffff,0x3ffffff2,
    0x1fffffff,0x3fffff20,0xffffffff,0x3ffff201,0xffffffff,0x3fff201f,
    0xffffffff,0x7ffdc1ff,0x1bffee06,0xdffffff7,0x03fffffd,0x21bfffb3,
    0xfb005ffd,0xfff001ff,0xffffffff,0x009fffff,0x37fffffd,0x903fb533,
    0xf985dfff,0xff904fff,0xfff985df,0x7fffdc4f,0x5fffc81d,0x3fffffa0,
    0x1fda999b,0x3ee01cb8,0xffd03fff,0x53337fff,0xffff03fb,0xffb80005,
    0x3fff206f,0xfffff806,0xffffffff,0x37ffdc3f,0xb8dfff90,0x3f206fff,
    0x7ffdc6ff,0x1bfff206,0xc81bffee,0xfff56fff,0xf75ffe8f,0xf9500dff,
    0x83ffffff,0x9bfffff9,0x5ffffda8,0x7fffff30,0xffffb513,0x3fffe60b,
    0xffda89bf,0xfff305ff,0xfb5137ff,0x3e60bfff,0xa89bffff,0x5c5ffffd,
    0x3ee06fff,0x3ffe26ff,0x7ffcc2ff,0x3ee0405f,0xffd000ff,0x3fe0001f,
    0x320003ff,0x000dffff,0x817fffc4,0xf887fffb,0xff702fff,0x6fffd8ff,
    0x417fff20,0x00dffffc,0x3ffa0000,0xffffc84f,0xffe8000d,0x7dc0004f,
    0x3ff206ff,0xaaaa806f,0xfffdaaaa,0x7ffdc0ef,0x1bfff206,0x640dfff7,
    0x7fdc6fff,0x3fff206f,0x06fffb86,0x7ddbfff2,0x3ffe25ff,0x00ffff72,
    0x3fffffa8,0x80fffff4,0xe82ffffd,0xfb01ffff,0xffd05fff,0x3ff603ff,
    0xfffe82ff,0xffffb01f,0x3ffffd05,0x8bffff60,0x2e06fffb,0x3ff66fff,
    0xffff01ff,0x7ffc400f,0x3fffa003,0xffff0001,0x7ffc0007,0xfc8000ff,
    0x3fe206ff,0x7ffe40ff,0x3fffe206,0x813fffe0,0xff05fffe,0x00001fff,
    0x85fffc80,0x000fffff,0x01dfff90,0x37ffdc00,0x00dfff90,0xfffff880,
    0x06fffb80,0xf71bfff2,0x7fe40dff,0x37ffdc6f,0x70dfff90,0x7e40dfff,
    0xbfff96ff,0xfa87ffdc,0xfa8007ff,0x3fe24fff,0x3fe204ff,0x7ffc44ff,
    0x3ffe204f,0x7fffc44f,0x3fffe204,0x27fffc44,0x89ffff10,0x204ffff8,
    0x2e4ffff8,0x3ee06fff,0x3fffe6ff,0x3ffff205,0x0dffb001,0x01fffe80,
    0x07ffff00,0x3fffe200,0xfffb0003,0x33333339,0xfd85ffff,0x99999cff,
    0x22ffff99,0xe887fffe,0xf885ffff,0x00003fff,0xffd99988,0x7fffc45f,
    0x3fea0003,0x2e0004ff,0x3f206fff,0x220006ff,0x702ffffe,0x7e40dfff,
    0x7ffdc6ff,0x1bfff206,0x640dfff7,0xffb86fff,0x3fff206f,0x74bfff96,
    0x3ffea5ff,0x7fd40047,0x3ffea2ff,0x7fff400f,0x07fffd45,0x517fffa0,
    0xe801ffff,0x7fd45fff,0x7ff400ff,0x7fffd45f,0x2ffff400,0x5c0dfff7,
    0xfff16fff,0x7ffd405f,0xfffa802f,0x7fffc000,0xffff0001,0x3fea0007,
    0xfd0002ff,0xffffffff,0x87ffffff,0xfffffffe,0xffffffff,0x33ffff63,
    0xffffeb89,0xffffa85f,0xec880002,0xffffffff,0x7fffd45f,0x7fec0002,
    0x9999beff,0xffb83dca,0x3fff206f,0x3ff60006,0x3fee04ff,0x3fff206f,
    0x037ffdc6,0xfb8dfff9,0x3ff206ff,0x6fffb86f,0x65bfff20,0xfff16fff,
    0x137ffdc5,0x54c337bf,0x2e0fffff,0xfd807fff,0x7ffdc6ff,0x6fffd807,
    0x403fffdc,0x7dc6fffd,0xffd807ff,0x3fffdc6f,0x737ffec0,0x7dc0dfff,
    0xffff56ff,0x7fffcc01,0x9fffc403,0xf00bcca8,0x20005fff,0x0003ffff,
    0x003ffff7,0x3fffffe0,0xffffffff,0x7fffc3ff,0xffffffff,0x3ea3ffff,
    0xffffffff,0xb85fffef,0x0001ffff,0x7fffffe4,0x45ffffff,0x001ffffb,
    0x7ffffc40,0xffffffff,0x06fffb83,0x001bfff2,0x037fffdc,0xc81bffee,
    0x7fdc6fff,0x3fff206f,0x037ffdc6,0xf70dfff9,0x7fe40dff,0x2ffff76f,
    0x7fec7ffb,0x3fffe24f,0xffffffff,0x3fffe45f,0x23fffe40,0xc807fffc,
    0x7fe47fff,0xfffc807f,0x03fffe47,0x323fffe4,0xfc807fff,0x3ffee7ff,
    0x5bffee06,0x4407fffb,0x6c03ffff,0xffff56ff,0xffff03ff,0x3ffe0005,
    0xff70003f,0xf10003ff,0xffffffff,0x5fffffff,0x7fffffc4,0xffffffff,
    0x7ffec2ff,0xf8efffff,0xfffb85ff,0x3f60001f,0xeeffffff,0x7dc5ffff,
    0x80001fff,0xffffffe9,0xb83fffff,0x3f206fff,0xf98006ff,0x5c00ffff,
    0x3f206fff,0x7ffdc6ff,0x1bfff206,0x640dfff7,0xffb86fff,0x3fff206f,
    0xd5ffff36,0x7ffc4bff,0x3fffe23f,0xffffffff,0x07fffc85,0x646fffc8,
    0xfc807fff,0x7ffe46ff,0x6fffc807,0x403fffe4,0x7e46fffc,0xffc807ff,
    0x1bffee6f,0xf96fffb8,0xff880fff,0x3fea03ff,0xfffff89f,0xffff86ff,
    0xffff0002,0x3fea0007,0xff0002ff,0xf80005ff,0x80002fff,0x3efffffb,
    0x3ea17ffe,0x70002fff,0x903bffff,0xffa8bfff,0x200002ff,0xffffffeb,
    0xffb81dff,0x3fff206f,0x7ffc4006,0xffb801ff,0x3fff206f,0x037ffdc6,
    0xfb8dfff9,0x3ff206ff,0x6fffb86f,0xe9bfff20,0x2fffffff,0x88dfffb1,
    0xfffffffe,0xff702dff,0xffd801ff,0x7fffdc5f,0x2fffec00,0x003fffee,
    0xfb8bfffb,0x7ec00fff,0x7ffdc5ff,0x7ffec00f,0x81bffee5,0xff76fffb,
    0x7fcc01ff,0xfff103ff,0x2a7bff27,0x7ffc2fff,0xfff0002f,0x3e60007f,
    0xd0005fff,0x80009fff,0x0004fffe,0xf706aa60,0xfff305ff,0x3f6000bf,
    0x3ff206ff,0x7fffcc5f,0x73000005,0xfb80bfff,0x3ff606ff,0x7fec006f,
    0xff7003ff,0x7ffec0df,0x037ffdc6,0xfb8dfffb,0x3ff606ff,0x6fffb86f,
    0xa9bfff60,0x9fffffff,0x02ffffeb,0x26aaaa62,0x7fffd400,0x27fffc01,
    0x007fffea,0xfa89ffff,0x7fc01fff,0x7ffd44ff,0x7fffc01f,0x0ffffd44,
    0x013fffe0,0xffff5000,0x7fffd403,0x74dffb01,0x93ff62ff,0x003ffff8,
    0x007ffff0,0x0fffffc0,0x77ffe400,0x3ff20000,0x000000ef,0xf01fffd4,
    0x0003ffff,0x7409ffff,0xfff85fff,0x000001ff,0xb801dffd,0xfc80ffff,
    0x32006fff,0x2005ffff,0xc80ffffb,0x7dc6ffff,0xffc80fff,0x7ffdc6ff,
    0xffffc80f,0x0ffffb86,0x46ffffc8,0xfffffffa,0x005fffff,0x3ffe6000,
    0x3ffea05f,0x7fffcc2f,0x3fffea05,0x2ffffcc2,0x85ffff50,0x205ffff9,
    0x4c2ffffa,0x2a05ffff,0x0002ffff,0x27fffcc0,0x20ffffd0,0x3fe1fffa,
    0x897fee1f,0x0003ffff,0x000bffff,0x17ffffec,0xfffa8330,0x3ea0004f,
    0x00004fff,0x2037ff40,0x02fffffd,0xffffd066,0xbffffd10,0x5fffffb0,
    0x2a000cc0,0xfa802fff,0x7fe42fff,0xf5006fff,0x4001dfff,0x642ffffa,
    0x546fffff,0x7e42ffff,0x7d46ffff,0x7fe42fff,0xffa86fff,0x7ffe42ff,
    0xfffb86ff,0x3fffffff,0x07fff400,0x1fffff40,0x837fffcc,0x983ffffe,
    0xfd06ffff,0xff307fff,0x3ffa0dff,0xfff983ff,0xffffd06f,0xdffff307,
    0x03fffa00,0x03ffffd0,0x10bffff7,0xfff89ffd,0xf893ff21,0xd0003fff,
    0x0001ffff,0x3fffffe2,0x2ffdccde,0xbeffffd8,0x3dca9999,0x7dffffb0,
    0x7b953333,0xdfff1000,0xfffff880,0xffdccdef,0x67fffec2,0xffffeb89,
    0xffff885f,0xfdccdeff,0x7fec002f,0xfff8802f,0xffffbcff,0xf8806fff,
    0x4001ffff,0xbcfffff8,0x6fffffff,0x67ffffc4,0xfffffffb,0x7ffffc46,
    0xffffffbc,0xffff886f,0xfffffbcf,0xfffb06ff,0x003bffff,0x200dfff0,
    0xbdfffff9,0x2fffffdb,0xbfffff30,0xfffffb77,0x3fffe605,0xfffdbbdf,
    0xfff302ff,0xffb77bff,0x3e605fff,0xdbbdffff,0x002fffff,0xf500dfff,
    0xb779ffff,0x903fffff,0x7ffd0dff,0xff31fff4,0x320009ff,0x99beffff,
    0xffa802b9,0xffffffff,0xfff882ff,0xffffffff,0xfff103ff,0xffffffff,
    0xf10007ff,0x2039bfff,0xfffffffa,0x542fffff,0xffffffff,0x05fffeff,
    0xfffffff5,0x005fffff,0x4cefffd8,0x7ffffec0,0xfffdffff,0xffffe806,
    0xeeeeeeef,0xffffd83e,0xffdfffff,0xffffd86f,0xffdfffff,0xffffd86f,
    0xffdfffff,0xffffb06f,0xffbfffff,0x37ffe0df,0x260000aa,0x36004fff,
    0xffffffff,0x6c05ffff,0xffffffff,0x6c05ffff,0xffffffff,0x6c05ffff,
    0xffffffff,0x6c05ffff,0xffffffff,0x3005ffff,0x3a009fff,0xffffffff,
    0xf984ffff,0xfffc81ff,0x260fffdc,0x0004ffff,0xfffffff3,0x2a009fff,
    0xfffffffe,0xfd302fff,0xffffffff,0x7f4c07ff,0xffffffff,0xfd0003ff,
    0x5407ffff,0xfffffffe,0xffd82fff,0x8effffff,0x3aa05fff,0xffffffff,
    0x7d4002ff,0x4c07ffff,0xffffffff,0x406fff8d,0xfffffff9,0x4fffffff,
    0xffffff98,0x6fff8dff,0xffffff98,0x6fff8dff,0xffffff98,0x6fff8dff,
    0xffffff30,0xdfff1bff,0x003fff30,0x07ffee00,0xfffff900,0x007fffff,
    0x3ffffff2,0x9003ffff,0xffffffff,0x3f2007ff,0xffffffff,0xfff9003f,
    0x7fffffff,0x0fffdc00,0xffffd880,0x04ffffff,0x3e209ffd,0x43ffffff,
    0x004ffff9,0x3fffff20,0x4004ffff,0xffffffeb,0x7f5c00be,0xdfffffff,
    0xfffeb801,0x01dfffff,0xffffd300,0xfffd7007,0x2017dfff,0x3efffffb,
    0x2e017ffe,0xeffffffe,0xffc8000b,0xfe8807ff,0x3fe3ffff,0x7ffcc06f,
    0xffffffff,0xfd104fff,0x7fc7ffff,0xfffd106f,0x37ffc7ff,0xfffffe88,
    0x881bffe3,0x23fffffe,0xffc86fff,0x3f200006,0xfd30007f,0x03bfffff,
    0xffffe980,0x4c001dff,0xdffffffe,0x7ff4c001,0x001dffff,0x7fffff4c,
    0x7e4001df,0xfeb8007f,0x01dfffff,0xe980dff9,0xf983ffff,0x40004fff,
    0xffffffea,0x2620004f,0x53000099,0x40001355,0x0009aaa9,0x00266200,
    0x00266620,0x0001aa98,0x004ccc40,0x00d4c400,0x0006a620,0xffffff30,
    0xffffffff,0x01a98809,0x00d4c400,0x006a6200,0x006a6200,0x000fbb60,
    0x001aaa80,0x000aa980,0x00155300,0x002aa600,0x00554c00,0x00aa9800,
    0x006aaa00,0x00355300,0x80262000,0x00099998,0x35553100,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x65d44000,0xaaaaaacc,0x1555530a,0x0aaaaa00,0x6cc1f644,0xcca8001d,
    0x5400000c,0x221ccccc,0x003ccccc,0xc8199900,0x5554c1cc,0x0aaaa602,
    0xd983ec88,0xdec9801d,0x54000883,0x00000ccc,0x8733332a,0x03ccccc8,
    0x76e5c400,0x220002cd,0x000001a9,0x4c166654,0x32e20aaa,0x000001bd,
    0x003fffd0,0x3fffd000,0xb882aaa6,0x99002bdc,0x01ccc819,0xb8199970,
    0x654004cc,0x200000cc,0x01ccccca,0x99999500,0x40375103,0xfffffffb,
    0x30ffffff,0x1009ffff,0x3609ffff,0x3fe63fff,0x3ea000ff,0x00005fff,
    0x0bffffea,0x13ffffa2,0x93ffa000,0x7dc0fff9,0x3ff206ff,0x3fff606f,
    0x03fffe63,0xffffffb8,0x2001dd12,0x005ffffa,0xfffff500,0xffffd105,
    0x3fee0009,0x2effffff,0x3fffaa00,0x00000cff,0xb85fffc8,0xfff92fff,
    0x0000bfff,0x07fff880,0xccccccb8,0x3ffe24cc,0x64bffee7,0x0dffffff,
    0xf327ff40,0x3a2001ff,0xfff90eff,0x7ffd4005,0xf500005f,0x0005ffff,
    0x0bffffea,0x20ffffe6,0xfffffffd,0x0fffffff,0x201ffffa,0xf01ffffa,
    0x7fdcdfff,0xff5002ff,0x000bffff,0x1dffff50,0x4ffffc80,0x7ffe4000,
    0xb86fffdd,0x3f206fff,0x3ffe06ff,0x3fffee6f,0xfffff302,0xbfffffff,
    0xfffff500,0xfa8000bf,0x6400efff,0x4004ffff,0xfffffffc,0xd802ffff,
    0xffffffff,0x32a0001f,0xefffeccc,0x2bffee4c,0xfffffffd,0x000000ef,
    0xb009fff5,0xffffffff,0x727ffd4f,0xfffb5fff,0x80bfffff,0xffddfffc,
    0x7f44006f,0x02fffcef,0x3ffffea0,0x7d40005f,0x0000efff,0x01dffff5,
    0x83fffff6,0xcadffffb,0xeeefffff,0x0bfffee0,0x40dfffb0,0x3ea4fffe,
    0xf9801fff,0x5fffacff,0x3ffea000,0x3fea004f,0x220004ff,0xffffffff,
    0x06fffb81,0xe81bfff2,0x3fea4fff,0xbff101ff,0xffffff95,0xfff9801f,
    0x005fffac,0x09ffff50,0x27fffd40,0xfffffa80,0xfffffdcd,0x3fffee00,
    0x0effffff,0xffff9000,0x1fffffff,0x3fffffee,0xffffffff,0x6664c004,
    0x03fff904,0xffffffb0,0x7ffe4fff,0x3ffffee1,0xffffffff,0x3ffe201f,
    0x001fffff,0xffffff88,0x3ffe6003,0x005fffac,0x09ffff50,0x7fffd400,
    0x7ffffc04,0x0bfffe2f,0x4413fff6,0x2205ffff,0x2603ffff,0x7fe40efe,
    0x4fff9803,0x0013ffea,0x00bfffea,0x13fffa20,0xfffd8800,0xfff702ef,
    0x37ffe40d,0xc81dfd30,0x224403ff,0x01dfffd9,0xf527ffcc,0xfa8009ff,
    0x88002fff,0xe804fffe,0x7d40efff,0xff102fff,0xff7119ff,0x320007ff,
    0xffffffff,0xfff70fff,0xf515bfff,0x4001ffff,0xfd07fffb,0x3ff600df,
    0x27ffffff,0x7fdc6ffe,0xc8adffff,0x4404ffff,0x02effffd,0x3fffe600,
    0x3ffe6003,0x013ffea4,0x05ffff50,0x7fffd400,0xfffff802,0x0dfff31f,
    0xc81fffe6,0xf700ffff,0x01001fff,0x06662000,0x20006662,0x00009999,
    0x0000cccc,0x2e00d544,0x3f206fff,0x000806ff,0x00098000,0x33103331,
    0x99998003,0x4ccc0000,0x7fffc401,0x07ffff03,0x3217ffea,0x50004fff,
    0xfffd9999,0x7ffdc99d,0xfffa84ff,0x3fee003f,0x07fff07f,0x3fffe400,
    0xffb87fff,0xfff84fff,0x3551005f,0x26620000,0x0ccc4001,0x2000ccc4,
    0x00009999,0x8004cccc,0x2a6ffffb,0x3fe05fff,0xfff300ff,0x3fffa07f,
    0x00000005,0x00000000,0x00000000,0x1bffee00,0x006fffc8,0x00000000,
    0x00000000,0x26000000,0xf880ffff,0xff902fff,0xbfff707f,0x7fe40000,
    0xffffb85f,0x13fffe05,0x07fffb80,0x40001333,0x2667fffc,0x7fffdc09,
    0x0dfffb05,0x00000000,0x00000000,0x00000000,0x260ceeb8,0x3fe06fff,
    0x7fff407f,0x1ffff986,0x3372a200,0x9510001a,0x2000359b,0x01acdca8,
    0x59b95100,0x55553003,0xb95554c0,0x3f206fff,0x5d4406ff,0x002bcddc,
    0x33772ea2,0x2ea2002b,0x002bcddc,0x33772ea2,0x5d44002b,0x702bcddc,
    0x3f20ffff,0xff900fff,0x7fff909f,0x99751000,0x70bfffd7,0xfd80ffff,
    0x3ee005ff,0x000007ff,0x803fffe4,0x2e07fffb,0xa9806fff,0x0001acdc,
    0x333772ea,0x32ea002b,0x002bccdd,0x333772ea,0x6e65402b,0x0dedcc2b,
    0xffff8800,0x06fffb81,0x20ffffdc,0x1006fffc,0xfffffffb,0x3f62001b,
    0x0dffffff,0xffffb100,0x2001bfff,0xffffffd8,0x3fee00df,0x3fff206f,
    0x40dfff76,0xd506fffc,0xffffffff,0x7f5405df,0xffffffff,0x3ffaa02e,
    0xefffffff,0x3fffaa02,0x2effffff,0x7ffff540,0x42efffff,0xfb86fffb,
    0x3ea03fff,0x7ffc46ff,0x3f62002f,0xffffffff,0x6fffb85f,0x037ffec0,
    0x00ffff70,0xfffc8000,0xdfff7007,0x037ffdc0,0xfffffff5,0x75c001df,
    0xffffffff,0x7ff5c01f,0x1fffffff,0x7ffff5c0,0xa81fffff,0xdfffffff,
    0x4fffffc8,0xffffb000,0xffff9339,0xffff8807,0x01ffffc4,0x7fffff4c,
    0x402fffff,0xffffffe9,0x4c02ffff,0xfffffffe,0x74c02fff,0xffffffff,
    0xfff702ff,0xb7ffe40d,0x3206fffb,0xff906fff,0xffffffff,0x3ff205ff,
    0xffffffff,0xfff902ff,0xffffffff,0x3fff205f,0xffffffff,0x3fff202f,
    0xffffffff,0x1bffee2f,0x809ffff7,0xd33ffff8,0x6400bfff,0xffffffff,
    0xfb85ffff,0x7fe406ff,0x3fee007f,0x4000007f,0x7007fffc,0x7dc0dfff,
    0xfff906ff,0xffffffff,0xffffb007,0x3fffffff,0x7ffffec0,0x01ffffff,
    0x3ffffff6,0xc81fffff,0xffffffff,0xffffffff,0xfff88004,0xffffffff,
    0xffffb005,0x007fffcc,0x3bffffe2,0x0fffffdc,0xdfffff10,0x1fffffb9,
    0x3ffffe20,0xfffffdce,0xfffff100,0xfffffb9d,0x0dfff701,0xfbb7ffe4,
    0x3ff206ff,0xdfff906f,0xffffd99b,0xdfff901f,0xffffd99b,0xdfff901f,
    0xffffd99b,0xdfff901f,0xffffd99b,0x3fff201f,0xfffeccde,0xdfff70ff,
    0x027fffcc,0xfcffffc8,0x7000efff,0xddffffff,0x70bfffff,0xfd80dfff,
    0x3ee006ff,0x000007ff,0x803fffe4,0x2e06fffb,0xffc86fff,0xffffffff,
    0x3ee01fff,0xcccdffff,0xff701ffd,0xb999bfff,0x3fee03ff,0xdcccdfff,
    0xcffc81ff,0xffffffca,0x007fffce,0xffffffb8,0x000cffff,0x363ffff3,
    0xfc805fff,0x7fcc2eff,0xfff904ff,0xffff985d,0x5dfff904,0x04ffff98,
    0x985dfff9,0xfb84ffff,0x3ff206ff,0x0dfff76f,0xb837ffe4,0x3ffee01c,
    0x201cb83f,0xb83ffffb,0x3ffee01c,0x201cb83f,0x703ffffb,0x7ffdc039,
    0x4dfff73f,0x2006fffd,0xfffffff8,0xff1000df,0xffb05fff,0xdfff70bf,
    0x05fffe80,0x01fffee0,0xfff90000,0x3ffee00f,0x1bffee06,0x37fffff3,
    0xbffffb51,0x07ffff40,0x3ffa0130,0x402600ff,0x200ffffe,0xf882b809,
    0x3fea5fff,0x3fe6002f,0xcceedbdf,0xfffe8000,0x02ffff8c,0x817fffc4,
    0xf887fffb,0xff702fff,0xffff10ff,0x1fffee05,0x40bfffe2,0xfb87fffb,
    0x3ff206ff,0x0dfff76f,0x0037ffec,0x013fffa0,0x04fffe80,0x13fffa00,
    0x4fffe800,0x7fff4000,0x74dfff74,0x5c005fff,0x02ffffff,0x0ffffec0,
    0xb85fffc8,0x3e206fff,0x2e003fff,0x00007fff,0x03fffe40,0x206fffb8,
    0x7f46fffb,0xffb01fff,0xfff105ff,0x3e20009f,0x10004fff,0x0009ffff,
    0x85fffb00,0x32004fff,0x00001fff,0x7d7fffdc,0xffc807ff,0x3ffe206f,
    0x37ffe40f,0x81ffff10,0x2206fffc,0x7e40ffff,0x3fe206ff,0x7ffdc0ff,
    0x5bfff206,0xc80ffffb,0x0006ffff,0x002fffe4,0x00bfff90,0x02fffe40,
    0x0bfff900,0x5fffc800,0x7ecdfff7,0xf5000fff,0x889fffff,0xfff82aaa,
    0x3fff205f,0x06fffb85,0x00bfffee,0x007fffb8,0x7ffe4000,0xdfff7007,
    0x137ffdc0,0x4409ffff,0xff04ffff,0x20003fff,0x001fffff,0x03fffff0,
    0xfffc8000,0x322fff40,0x3ff60dff,0x4400003f,0xffffffff,0xcfffd804,
    0xf9999999,0x7fec2fff,0x999999cf,0x6c2ffff9,0x9999cfff,0x2ffff999,
    0x4ce7ffec,0xfff99999,0x37ffdc2f,0x2adfff90,0x7e42ffff,0x4006ffff,
    0xfffd9998,0x26662005,0x2005fffd,0xfffd9998,0x26662005,0x4005fffd,
    0xfffd9998,0x5cdfff75,0x400effff,0xfffffffa,0x17ffe62f,0x405ffff3,
    0xfb85fffc,0xfff306ff,0xffb800df,0x4000007f,0x7007fffc,0x7dc0dfff,
    0x3ffea6ff,0x7fff400f,0xfffffd05,0x7f40015b,0x00adffff,0x3fffffa0,
    0xc80000ad,0x6ffd87ff,0xc9bffff2,0xcccdffff,0xd8001aaa,0x0fffffff,
    0xfffffe80,0xffffffff,0x7fff43ff,0xffffffff,0x7f43ffff,0xffffffff,
    0x43ffffff,0xfffffffe,0xffffffff,0x037ffdc3,0x3e2dfff9,0xffbcffff,
    0x406fffff,0xfffffec8,0x2205ffff,0xffffffec,0x32205fff,0xfffffffe,
    0x3b2205ff,0xffffffff,0x7f64405f,0xffffffff,0x44dfff75,0x02ffffff,
    0xfdbffff3,0x3fe63fff,0x7fffd44f,0x17fff200,0x26ffffee,0xfffffca9,
    0x7ffdc001,0x64000007,0xf7007fff,0x7fdc0dff,0x1fffee6f,0x41bfff60,
    0xfffffffa,0xffa802df,0x2dffffff,0xfffffa80,0x3002dfff,0xffffffd9,
    0xdfffffff,0x8ffffffc,0xfffffff9,0x03ffffff,0x3ffffe60,0xffff005f,
    0xffffffff,0xff87ffff,0xffffffff,0x43ffffff,0xffffffff,0xffffffff,
    0x7fffffc3,0xffffffff,0x7ffdc3ff,0x9bfff206,0xfffffffd,0x06fffdff,
    0x3ffffff2,0x05ffffff,0xfffffff9,0x20bfffff,0xfffffffc,0x905fffff,
    0xffffffff,0x640bffff,0xffffffff,0xff75ffff,0xffffa8df,0xfffd83ff,
    0x1fffff16,0xfb89fff5,0x7fe407ff,0xffffb85f,0xffffffff,0xffb8004f,
    0x4000007f,0x7007fffc,0x7dc0dfff,0x3fff26ff,0x7fffc807,0x3ffffee0,
    0x402fffff,0xfffffffb,0x7dc02fff,0xffffffff,0xfffb102f,0xffffffff,
    0x7cdfffff,0x262fffff,0xffffffff,0x005fffff,0x07fffffa,0x3ffffe20,
    0xffffffff,0x3fe22fff,0xffffffff,0x22ffffff,0xfffffff8,0xffffffff,
    0x3fffe22f,0xffffffff,0x7dc2ffff,0x3ff206ff,0x3fffe66f,0xff8dffff,
    0xffffb06f,0xfffddfff,0xffffb0bf,0xfffddfff,0xffffb0bf,0xfffddfff,
    0xffffb0bf,0xfffddfff,0x3fff60bf,0xffeeffff,0xdfff75ff,0xffffff30,
    0x17fffc45,0xf9dffff3,0xfffc87ff,0x2fffe407,0x7fffffdc,0x02ffffff,
    0x0ffff700,0xffc80000,0xfff7007f,0x37ffdc0d,0x900ffff9,0xc880dfff,
    0xffffffff,0x7fe4404f,0x4fffffff,0x7fffe440,0xc84fffff,0xffeeffff,
    0xeeeeeeff,0x3ffff65e,0xdfffd10f,0xffffdddd,0x3ee009ff,0x3e006fff,
    0x40002fff,0x0002ffff,0x0017fffc,0x00bfffe0,0x0dfff700,0x2237ffe4,
    0x23fffffe,0xffb86fff,0xffc81dff,0x7fffdc5f,0x5fffc81d,0x0effffdc,
    0x2e2fffe4,0xc81dffff,0xffb85fff,0xffc81dff,0x0dfff75f,0x9bffffa2,
    0x5c0ffff9,0xffffffff,0x07fffdc0,0x70bfff90,0xffffffff,0x400019df,
    0x0007fffb,0x3fffe400,0x06fffb80,0xfb9bffee,0x7ec00fff,0x32a005ff,
    0x1fffffff,0xffff9500,0x2a003fff,0xfffffffc,0x83bffe61,0x22006ffc,
    0x3fa2fffe,0x3fea05ff,0xff9006ff,0x7f4005ff,0x740004ff,0x40004fff,
    0x0004fffe,0x0027fff4,0x81bffee0,0x3106fffd,0x2fffb835,0x206fffd8,
    0x7ec5fffc,0x3ff206ff,0x37ffec5f,0xd8bfff90,0x3f206fff,0xfffd85ff,
    0x57fff206,0x2206fffb,0xf50ffffe,0x3ff60fff,0xfa85ffff,0x3fa01fff,
    0xfffb85ff,0x0001a98e,0x01fffee0,0xfff90000,0xf900000f,0x7ffd4bff,
    0x7fffc01f,0xfff50004,0xf50007ff,0x0007ffff,0x47fffff5,0x7e42fffb,
    0x0a98007f,0x003fffea,0x100ffff9,0x800dffff,0x000efffc,0x03bfff20,
    0xefffc800,0x3ff20000,0x2e0000ef,0xfc80ffff,0x54006fff,0xfff03fff,
    0x7fff409f,0x027fffc5,0xff8bfffd,0x3ffa04ff,0x27fffc5f,0xf0bfffd0,
    0x7f409fff,0xdfff75ff,0x2ffffb80,0x201ffff3,0x82fffffe,0x903ffff9,
    0xf70bffff,0x00000dff,0x003fffdc,0x3fff2000,0xfe800007,0x3ffe63ff,
    0x3ffea05f,0x3ea0002f,0x50004fff,0x0009ffff,0xc93fffea,0x7fe40fff,
    0xfc80001f,0xffd807ff,0xfffe805f,0x7fd4001f,0x2a0004ff,0x0004ffff,
    0x013fffea,0x4ffffa80,0x3ffea000,0x7fffe42f,0x7ff4006f,0x1ffffa07,
    0x17ffffa2,0xd10ffffd,0xfe8bffff,0xffe887ff,0x7fff45ff,0xffffe887,
    0x87fffe85,0x75ffffe8,0xfa80dfff,0xfff11fff,0x3ffe60bf,0xffff01ff,
    0xffffc81d,0x6fffb85f,0x3ee00000,0x000007ff,0x003fffe4,0x3fffea00,
    0x1fffff42,0x037fffcc,0xffff5001,0xff500105,0x500105ff,0x7e45ffff,
    0x3ffe61ff,0xfff5004f,0x27fffdc9,0x87ffff50,0xfffea999,0xffb0003f,
    0x33337dff,0x3f607b95,0x999befff,0xfb03dca9,0x3337dfff,0x3607b953,
    0x99beffff,0x883dca99,0xfbcfffff,0x06ffffff,0x81bffe20,0x89cffffd,
    0x5fffffeb,0x4e7fffec,0xfffffeb8,0x67fffec5,0xffffeb89,0x7fffec5f,
    0xfffeb89c,0xfffd85ff,0xffeb89cf,0xfff75fff,0x754ccdcd,0x7ff47fff,
    0xfb99adff,0x80efffff,0xbbeffffb,0x5ffffffe,0x006fffb8,0x3ffee000,
    0x64000007,0x00007fff,0x1dffff71,0xdfffff98,0xfffffdbb,0x337bf102,
    0x7ffffd4c,0x0cdefc40,0x1fffff53,0x219bdf88,0x0fffffa9,0x74d3ffee,
    0x4c3fffff,0x87fff20c,0xdefffff8,0xffffeccc,0xffffff86,0x220005ff,
    0xffffffff,0x103fffff,0xffffffff,0x207fffff,0xfffffff8,0x03ffffff,
    0xfffffff1,0x07ffffff,0x3ffffff6,0x6fffdfff,0x3fffe200,0x7ffd42cd,
    0xefffffff,0x7fd45fff,0xffffffff,0x7d45fffe,0xffffffff,0x545fffef,
    0xffffffff,0x85fffeff,0xfffffffa,0x5fffefff,0x7f4dfff7,0x3fffffff,
    0x7fffffc4,0xffffffff,0xfff885ff,0xdfffffff,0xffb85fff,0x2000006f,
    0xeeeffffb,0x06eeeeee,0x6d555544,0xaaaaffff,0x3ff2000a,0xfb02ffff,
    0xffffffff,0x7c40bfff,0xffffffff,0xf885ffff,0xffffffff,0xf885ffff,
    0xffffffff,0x7cc5ffff,0xefffffff,0xffefffff,0x21bffa1f,0xfffffffa,
    0x0effffff,0xfffffff8,0x74c0000d,0xffffffff,0x3a603fff,0xffffffff,
    0x3a603fff,0xffffffff,0x3a603fff,0xffffffff,0xff303fff,0x1bffffff,
    0xe800dfff,0xd83fffff,0xffffffff,0xd85fff8e,0xffffffff,0xd85fff8e,
    0xffffffff,0xd85fff8e,0xffffffff,0xb05fff8e,0xffffffff,0x2ebfff1d,
    0x3ffa6fff,0x504fffff,0xffffffff,0xffffbdff,0xfffff309,0xfff19fff,
    0x0dfff70b,0x7fdc0000,0xffffffff,0x7d407fff,0xffffffff,0x01ffffff,
    0x3fffff20,0x7fffe404,0x03ffffff,0x7fffffc4,0x05ffffff,0xfffffff1,
    0x20bfffff,0xfffffff8,0xb05fffff,0x2bffffff,0xfffffffd,0x40fffe1f,
    0xffffffd9,0x3e02efff,0x002effff,0x7fff5c00,0x01dfffff,0xfffffeb8,
    0xb801dfff,0xfffffffe,0xfeb801df,0xdfffffff,0x3fffa201,0x1bffe3ff,
    0xffffd100,0x3fffee07,0x17ffe3ef,0x77ffffdc,0x5c17ffe3,0x23efffff,
    0xff705fff,0x7fc7dfff,0x3ffee05f,0x3ffe3eff,0x74dfff75,0x01efffff,
    0x7ffffe44,0x3fff63ff,0xfffe983f,0xbfff12ef,0x00dfff70,0x7ffdc000,
    0xffffffff,0x7fd407ff,0xffffffff,0x001fffff,0x0077fff2,0x7fffff4c,
    0xfe8801df,0xffffffff,0x3ffa202d,0xdfffffff,0x3fffa202,0x2dffffff,
    0x3ffff620,0x7ffffe44,0x1fff30df,0xbcba9880,0xbcb8009a,0x8000000a,
    0x0009aaa9,0x026aaa60,0x9aaa9800,0x2aa60000,0x4c40009a,0x1000001a,
    0x55300133,0xaa980003,0x554c0001,0x554c0001,0xaa980001,0x33300001,
    0x2a620001,0x98800009,0x9988001a,0x20000009,0xfffffffb,0x07ffffff,
    0x7fffffd4,0xffffffff,0x26aa001f,0x2aa60000,0x2a620000,0x40009aaa,
    0x09aaaa98,0x5554c400,0x2a20009a,0x06aa6201,0x00006aa2,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xaa980000,0x2f77260a,0x02aaa981,0x0006aaaa,
    0x40799950,0x0883dec9,0x00006200,0x15999731,0x33326753,0x32000003,
    0x33263ccc,0x00000ccc,0x00000000,0x1ccccca8,0x00266644,0x542cca80,
    0x332a02cc,0x40000ccc,0x65c0cccb,0xc880004c,0x2002cccc,0x0000ccca,
    0x2073b6e2,0xcca80001,0x3b601ccc,0xeeeeeeee,0x33bb6e00,0xccc9800b,
    0x01ccc880,0x880ccc98,0xc9801ccc,0x000000cc,0x776e5400,0x375102ce,
    0xb13fffb0,0x87ffffff,0x3606fffc,0x40004fff,0xf706fffb,0x225fffff,
    0xffb800ee,0x7f44002f,0xffffffff,0x0dfff76f,0x3ff20000,0xfffd10ff,
    0xfeca883d,0x001cdeff,0xcdfecb98,0xf500000a,0xf305ffff,0x00001fff,
    0xffe8dff7,0x7fffe403,0x3a20000e,0xfff90eff,0xfe880005,0x2a004fff,
    0x0005ffff,0x9ffffff1,0x8000bee1,0x02fffffa,0x7ffffff4,0x3fa01fff,
    0x400fffff,0x7e444ffe,0xfe803fff,0x7ffe444f,0x4ffe803f,0x77f6e540,
    0x2a0001cd,0xffffffff,0x3ffff987,0x7f57ffec,0x3fffffff,0xd81bfff2,
    0x40004fff,0xf986fffb,0xffffffff,0x7c405fff,0x7000ffff,0xffffffff,
    0x3eedffff,0x800006ff,0xd10ffffb,0xfd01bfff,0xffffffff,0x3ee001bf,
    0xffffffff,0x7fd40002,0x65540eff,0xaaabffff,0xfff98002,0x01ffffce,
    0x0effffa8,0x3ffa2000,0x002fffce,0x7ffff440,0x3ffea002,0xe8005fff,
    0xffffffff,0x8000ffff,0x00effffa,0xffffffe8,0x37a01fff,0x204fffcc,
    0x3e20fffc,0x403fffff,0x3e20fffc,0x403fffff,0xd300fffc,0xffffffff,
    0xfb8001bf,0xffffffff,0xfffffd87,0x3fffff60,0xffffffff,0x81bfff27,
    0x0004fffd,0x4437ffdc,0xfffcadff,0x5400ffff,0x801fffff,0xeffffffb,
    0x76fffffe,0x0000dfff,0x21ffff98,0x3a04fffd,0xffffffff,0x6c406fff,
    0xffffffff,0x50004fff,0x3e09ffff,0xffffffff,0xf90006ff,0x09ffffff,
    0x77fff440,0x3fe20000,0x0003ffff,0x077fff44,0x59fff300,0xd800bfff,
    0xfffebbef,0xa8003fff,0x2004ffff,0x99999998,0x7fec0019,0x05fff305,
    0x07fffbfb,0x6c17ffcc,0x203fffdf,0xf302fff9,0xffffffff,0x4c00dfff,
    0xccefffff,0xffff87ee,0x3fff62ff,0xff90cfff,0x3fff25ff,0x13fff606,
    0xdfff7000,0xffb31220,0xff3003bf,0xf8801fff,0xfc82ffff,0xdfff76ff,
    0x7f440000,0x3fff61ff,0x77fff403,0xffffffed,0x3ffffa04,0xffffffff,
    0x7fd4003f,0x3ffe02ff,0xffffffff,0x3fee0006,0x90003fff,0x0001dfff,
    0x01ffffcc,0x3fffa200,0x7ffcc004,0x013ffea4,0xfffc8190,0xffa8003e,
    0x000002ff,0xfffd9700,0x417ffa03,0x407fff19,0x23305ffe,0x3fa03fff,
    0x3fffa05f,0xfffdbbdf,0xffb003ff,0x3e0205ff,0x361fffff,0xf82fffff,
    0xfff93fff,0x27ffec0d,0x3ffee000,0x00130006,0x803fffd8,0x701ffffc,
    0x3feedfff,0x2200006f,0x4ccc0999,0x880ab800,0x506ffffb,0x115dffff,
    0x0fffffb5,0x00999980,0x7ffff774,0x0005eeee,0x0004d4c4,0x00266620,
    0x00333100,0x01333100,0x10333100,0x40000333,0x26600009,0x00000099,
    0x3ffffa00,0x0fffb80c,0x703fff80,0xff001fff,0x3ffee07f,0x5ffff500,
    0x017fffa0,0x0027fff4,0xb1bfffee,0x3607ffff,0xfff94fff,0x27ffec0d,
    0x3ffee000,0x40000006,0xff8801aa,0x3fee05ff,0x0dfff76f,0x00000000,
    0xffffe800,0x0efffe80,0x05ffff90,0xff300000,0x000001ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x372a6000,0xdd9001ac,0x7cc1ffff,
    0xfff002ff,0x05fff307,0x260fffe0,0x3ee02fff,0x3fea06ff,0xffff007f,
    0x9dd70005,0x06fffd81,0x7e53bbb2,0x3ff606ff,0x9751004f,0x8dfffb79,
    0x2602aaa9,0x00002aaa,0x017fffcc,0x3eedfff7,0x372a26ff,0x9530001b,
    0x0000359b,0xb87fffb8,0x7c02ffff,0x55306fff,0x5eee4c15,0x3fffe601,
    0x2aa60000,0x02aaaaaa,0x2aaaaa60,0x26002aaa,0x37260aaa,0x554c01bd,
    0x02aaaaaa,0x000aaaa8,0xa9815554,0x2aaaaaaa,0x2aaaaa00,0xaaaaaaaa,
    0x7ffd401a,0x00efffff,0xe8fffe20,0x3fe005ff,0x05ffe83f,0x3a0fffe0,
    0x7fe405ff,0x3ffea05f,0xffff9806,0xfd800001,0xfc8005ff,0x3ff606ff,
    0x7fec404f,0xffffffff,0x037ffdc6,0x54cdfff9,0x2aaaaaaa,0x07fffd40,
    0x2edfff70,0xfff76fff,0x5400bfff,0xffffffff,0xf700000e,0xfffb0bff,
    0xffffb00f,0x13fffb01,0x7ffffffb,0x99fffe60,0x6c03dedb,0xffffffff,
    0x3fff6007,0x007fffff,0x3627fff6,0x03ffffff,0x3ffffff6,0xffd807ff,
    0x7ff4003f,0xfffffb07,0x7c00ffff,0xffffffff,0x203fffff,0xfffffffc,
    0xa883ffff,0x2fffca9a,0x4001fff7,0x7fdc3fff,0x3ffe000f,0x007ffdc3,
    0x407fffee,0x9804fffd,0x0001ffff,0x05fffd80,0x06fffc80,0xb813fff6,
    0xffffffff,0x7dc6ffff,0x3ff206ff,0x3ffff66f,0x5c07ffff,0x7dc07fff,
    0xbfff76ff,0xfffffff9,0xffc801df,0xffffffff,0x7440003f,0xffe82fff,
    0xfffa805f,0xafffd81f,0xfffffffe,0x7fff983f,0xdffffff9,0x3ffff601,
    0x2007ffff,0xfffffffd,0x3ff6007f,0xfffffeaf,0xffb03fff,0x0fffffff,
    0x009fff90,0xfb06fff8,0xffffffff,0x7ffffc00,0xffffffff,0xffff903f,
    0xffffffff,0xffff983f,0xfff15fff,0x3fff8005,0x000bffe2,0x7fc47fff,
    0xfff8802f,0x7ffe42ff,0xfff9800f,0xd800001f,0xc8005fff,0x3f606fff,
    0xfff704ff,0xfffddfff,0xfffb8dff,0x9bfff206,0xfffffffd,0x7ffe407f,
    0xb7ffdc07,0xfffffffb,0x4fffffff,0x3fffff20,0xffffffff,0xffd50001,
    0xffff01df,0xffff3009,0xfffffb05,0xffffffff,0x9ffff30f,0xffffffff,
    0x3ffff60b,0x2007ffff,0xfffffffd,0x3ff6007f,0xffffffff,0xffb07fff,
    0x0fffffff,0x00bfff70,0xd82fffc4,0xffffffff,0x3fffe007,0xffffffff,
    0xfff983ff,0xfda89bff,0x7fcc5fff,0x3f63efff,0xeed8005f,0x0017ff62,
    0xffd8bbb6,0x3fff2005,0xfffdadff,0xeeeeb83f,0xeeeffffe,0x0002eeee,
    0x000bfffb,0x6c0dfff9,0xff884fff,0xffc82fff,0x37ffdc6f,0x6cdfff90,
    0xffffffff,0x7fffdc07,0x5bffee00,0xdffffffb,0xfffffa8a,0xfffff980,
    0xfffda89b,0xfeeb805f,0x104fffff,0x1007ffff,0xfb07ffff,0x219fffff,
    0x4c2ffffc,0xefffffff,0x00ffffff,0x00ffff90,0x07fffc80,0x3fffff60,
    0xffff90cf,0x3fff2005,0x6fff9807,0x13ffe600,0x07fffc80,0x2aaaaaa0,
    0xeffffdaa,0x1ffffe80,0x05ffffb0,0xfff70133,0x3ee00001,0x700000ff,
    0xd8001fff,0xffffffff,0xfff903ff,0xffffffff,0x005fffff,0x017fff60,
    0x41bfff20,0xd84ffff8,0xf701ffff,0xfffb8dff,0x1bfff206,0x80ffff90,
    0x201ffffa,0xff76fffd,0xff509fff,0xfffd07ff,0x3fff603f,0x7ffe402f,
    0x301effff,0x1005ffff,0xfb09ffff,0xff05ffff,0xfff987ff,0x3fee3fff,
    0xff9003ff,0xfc8000ff,0x3f6007ff,0xff82ffff,0xff9003ff,0xfff100ff,
    0x5419988f,0x32003fff,0x00007fff,0x01fffff1,0x409ffff1,0x004ffff8,
    0x000fffe2,0x01fffc40,0x3fff8800,0xffff7000,0x6407ffff,0xffffffff,
    0xffffffff,0xb0599302,0x9000bfff,0xfd10ffff,0xfff09fff,0x7ffdc0bf,
    0x037ffdc6,0xc80dfff9,0x7cc07fff,0xff903fff,0x3ffeedff,0x3fffe05f,
    0x27fffc44,0x09ffff10,0xffffffc8,0x7cc1efff,0xff002fff,0xfffb09ff,
    0x3fff607f,0x7ffffcc4,0x04ffff82,0x00ffff90,0x07fffc80,0x0fffff60,
    0x8027ffec,0xf007fffc,0x7fec1fff,0x0bffea0f,0x07fffc80,0xfffe8800,
    0xffff502f,0x5fffe801,0x01bff600,0x06ffd800,0x1bff6000,0xffffb800,
    0x704fffff,0xfffddddd,0xdddddddf,0x7ffff305,0x005fffd8,0x21ffffc8,
    0x5fffffd8,0x017fffcc,0xfb8dfff7,0x3ff206ff,0x7ffe406f,0xefffe807,
    0x7ffffdc0,0x80ffff76,0x7d45fffd,0x7f400fff,0x554c05ff,0xfffffdcc,
    0x3fffe61f,0xffff8803,0x06fffd83,0xf313bbb2,0x3fa09fff,0xff9004ff,
    0xfc8000ff,0x3f6007ff,0x3bb206ff,0xfff9004e,0x3fffa00f,0xb8ffffe1,
    0x32001fff,0x80007fff,0x204ffffd,0xd807fffb,0xf5006fff,0x200001ff,
    0x0000fffa,0x001fff50,0x3fffff60,0x05ffffff,0x03ffff30,0xfffffd80,
    0x017fff60,0x3fffff20,0xffffffcc,0xfff51bff,0x7ffdc01f,0x037ffdc6,
    0xc80dfff9,0xfb807fff,0xfebbefff,0xf76fffff,0xffd80dff,0x3fffdc6f,
    0x037ffec0,0xffffc880,0x0ffffe26,0x0bfffe60,0x0017fff6,0x00ffff98,
    0x200bfffb,0x0007fffc,0x003fffe4,0x000bfffb,0x0ffff900,0x54bfff60,
    0x3f26ffff,0x3f2000ff,0x5c0007ff,0x6406ffff,0xfc807fff,0xff8807ff,
    0x0aaaa63f,0x13fff880,0x40015995,0x2a63fff8,0x3ff602aa,0xfffb33ff,
    0xff3007ff,0xfe8003ff,0x3f64ffff,0xfc8005ff,0xffffffff,0x4fffffdf,
    0xb80ffff7,0x7fdc6fff,0x3fff206f,0x3fffe406,0x7ffffc40,0xffefffff,
    0x0dfff76f,0x647fffc8,0xfc807fff,0x640007ff,0x3fe1ffff,0xff9804ff,
    0xfffd81ff,0x3fe60005,0xfffb00ff,0x3fff200b,0x7fe40007,0x3ff6007f,
    0xc800005f,0xf9007fff,0x3fff67ff,0x0fffb1ff,0x07fffc80,0x3fffe600,
    0x7ffe400f,0x6fffc807,0x226ffd80,0x2007ffff,0xfff76ffd,0x36005fff,
    0x3ffe26ff,0xffff507f,0xfffff705,0xffff9801,0x7ffe4001,0x3fff65ff,
    0xfffc8005,0xf3ffffff,0x3f29ffff,0x7fdc07ff,0x37ffdc6f,0x80dfff90,
    0x3007fffc,0xffffffff,0x2edfff5b,0x7ec06fff,0x7ffe46ff,0x6fffc807,
    0x7ffd4000,0x1bfffa2f,0x03fffee0,0x0017fff6,0x00ffff98,0x200bfffb,
    0x0007fffc,0x003fffe4,0x000bfffb,0x0ffff900,0x7d3ffee0,0xfd4fffff,
    0xffc800df,0xff10007f,0xf7003fff,0xfd801fff,0x7fd405ff,0x3ffff61f,
    0x3fff5007,0x3fffffee,0x1fffa806,0x41fffff6,0x2e05fffe,0x4c01ffff,
    0x8001ffff,0x365ffffe,0xc8005fff,0xefffefff,0x53fffea3,0x200ffffb,
    0x7dc6fffb,0x3ff206ff,0x7ffe406f,0x3ffa2007,0xfff73fff,0x01bffeed,
    0xfb8bfffd,0x7ec00fff,0x540005ff,0x3f61ffff,0x7f401fff,0xfffb06ff,
    0x7fcc000b,0xfffb00ff,0x3fff200b,0x7fe40007,0x3ff6007f,0xc800005f,
    0xf5007fff,0xdfff5bff,0x13ffefff,0x0ffff900,0x3ffff600,0xffff5003,
    0x4ffff803,0xa8fffe20,0x807ffcff,0x8643fff8,0x2201fff9,0x3fea3fff,
    0xfff07ffc,0x7ffc405f,0x7ffcc02f,0xff88001f,0x400004ff,0x1a8cfffc,
    0x7d435310,0x3f601fff,0x7ffdc6ff,0x1bfff606,0x00ffff90,0xff706a60,
    0x1bffeedf,0x43ffff88,0x401ffffa,0x0004ffff,0x307fffe4,0x5409ffff,
    0xfb03ffff,0x4c000bff,0xfb00ffff,0x3f200bff,0x640007ff,0x36007fff,
    0x00005fff,0x007fffc8,0xff9dfff1,0xff5fff7b,0xffc8007f,0xffc8007f,
    0x3e6005ff,0x3ea05fff,0x3f602fff,0x23ffa26f,0xffd807ff,0x07ffcc06,
    0x744dffb0,0x887ff8ff,0x7c03ffff,0x7cc02fff,0xd0001fff,0x00005fff,
    0x005fffc8,0x0ffffe60,0x237fffe4,0xc80ffffb,0x6406ffff,0x00007fff,
    0xfbb7ffdc,0x3fee06ff,0x7ffcc2ff,0x3ffea05f,0x3ee0002f,0xffe86fff,
    0xfff984ff,0x3fff606f,0x3fe60005,0xfffb00ff,0x3fff200b,0x7fe40007,
    0x3ff6007f,0xc800005f,0x3e007fff,0x8bffffff,0x2fffefff,0x3fffe400,
    0x3fffea00,0x7ff4000e,0xfff983ff,0x3ffea06f,0x7fcbff21,0x0fffd407,
    0x40bfff10,0x3f21fffa,0x3e0fff2f,0x3ea07fff,0x7cc00fff,0x88001fff,
    0x7400ffff,0x7e400fff,0x740005ff,0x7dc0efff,0x7d46ffff,0x7fe42fff,
    0x7e406fff,0x400007ff,0xff76fffb,0x3ffe60df,0xffffd06f,0xdffff307,
    0x2aab36a0,0xfffffcba,0xffffa82f,0xfffeddff,0x3ff602ff,0x3e60005f,
    0xffb00fff,0x3ff200bf,0x7e40007f,0x3f6007ff,0x800005ff,0x2007fffc,
    0x0ffffffe,0x3ffffffd,0x7fffc800,0x3fffe200,0xff98001f,0xfdbbdfff,
    0xd102ffff,0x77fcc9ff,0x809fff99,0x2604ffe8,0xd100efff,0x77fcc9ff,
    0x409fff99,0x9beffffd,0x6ffffc98,0x1ffff980,0x7ffec400,0x06fff802,
    0x006fffc8,0x77fffdc0,0xfffffebb,0x7fffc46f,0xfffffbcf,0x7fe406ff,
    0x5c00007f,0xfff76fff,0xff95337f,0x3e603fff,0xdbbdffff,0x702fffff,
    0xffffffff,0x407fffff,0xfffffffd,0x405fffff,0x0005fffd,0x403fffe6,
    0x5445fffd,0xfffdaaaa,0x40aaaaaf,0xfdaaaaa8,0xaaaaafff,0x05fffd80,
    0x2aaaa200,0xaaffffda,0xffd80aaa,0x3fee6fff,0x5100ffff,0xfffb5555,
    0x0155555f,0xddfffffd,0x07dddddd,0x3ffffff6,0x05ffffff,0xff71bff2,
    0x7fffffff,0x5c0dff90,0x7e405fff,0x7fffdc6f,0x443fffff,0xffffffff,
    0x01ffffff,0x01ffff98,0xffffdcc8,0x4fff9805,0x06fffc80,0x7fffc400,
    0xfdffffff,0xfffd86ff,0xfdffffff,0x555516ff,0x55ffffb5,0x20001555,
    0xff76fffb,0xffffffff,0xfd809fff,0xffffffff,0x3ee05fff,0xffffffff,
    0xfb803eff,0xffffffff,0xfffd803f,0x3fe60005,0xfffb00ff,0xfffffa8b,
    0xffffffff,0x7ffd41ff,0xffffffff,0xfd81ffff,0x2a0005ff,0xffffffff,
    0x1fffffff,0x3fffffc8,0x1fffffe2,0xffffffa8,0xffffffff,0x7fffcc1f,
    0xffffffff,0x3ff204ff,0xffffffff,0x07ffe603,0xfffffff7,0xfff987ff,
    0x9ffff901,0xfff98599,0x7ffffdc1,0xfa83ffff,0xffffffff,0xf3001fff,
    0xff003fff,0x2007ffff,0xc801fffb,0x80006fff,0xfffffff9,0x30dfff5f,
    0xffffffff,0x2adfff1b,0xffffffff,0x1fffffff,0xdfff7000,0x3fffffee,
    0x02ffffff,0xffffff90,0xb807ffff,0xffffffff,0x6cc002df,0x1dffffff,
    0x0bfffb00,0x7fffcc00,0x8bfffb00,0xfffffffa,0xffffffff,0x7ffffd41,
    0xffffffff,0xfffd81ff,0x3fea0005,0xffffffff,0xb81fffff,0x740fffff,
    0x2a06ffff,0xffffffff,0x1fffffff,0x7fffffcc,0xffffffff,0x7fff4c04,
    0x7401dfff,0x999884ff,0x409fff99,0x3fa04ffe,0x45ffffff,0x99884ffe,
    0x09fff999,0xfffff710,0x98007dff,0xf801ffff,0x2000ceff,0xf9007ffc,
    0x20000dff,0x3fffffe8,0x7441bffe,0x3e3fffff,0xffff56ff,0xffffffff,
    0x20003fff,0xb716fffb,0xdfffffff,0xfe980019,0x01dfffff,0x33553310,
    0x55440000,0xfffd8000,0x3fe60005,0xfffb00ff,0xfffffa8b,0xffffffff,
    0x7ffd41ff,0xffffffff,0xfd81ffff,0x2a0005ff,0xffffffff,0x1fffffff,
    0x86ffffa8,0x205ffffb,0xfffffffa,0xffffffff,0x7ffffcc1,0xffffffff,
    0x2aa6004f,0x0dff9000,0xfc87ff80,0x7fff406f,0x3f25ffff,0x3ffc006f,
    0x13553100,0x3ffe6000,0x0009801f,0x4006aaa0,0x00009998,0x0001a980,
    0xa800d4c4,0xffffffff,0x1fffffff,0x13331000,0x00666620,0x00aa9800,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xca800000,0x2201cccc,0xceefedba,
    0x81999702,0x54004ccb,0xa8000ccc,0x1ee440cd,0xd8000000,0xeeeeeeee,
    0xcccb800e,0x002665c0,0x6664c000,0xd9300003,0xb001107b,0xdddddddd,
    0x9999701d,0x88099999,0x00004ccc,0x00000000,0xcccccb80,0x00004ccc,
    0x3332e001,0x003ccccc,0x40002000,0xeeeeeeed,0x000000ee,0x77ee5440,
    0xccccccce,0x01999913,0x002cccb8,0x13332aa6,0x33772ea0,0x666442bc,
    0x3ea0002c,0x2a02ffff,0xffffffff,0xdffd106f,0x00bfff21,0x05ffffa8,
    0x237ffd40,0x2002fffe,0xeefedba8,0x7ff401bd,0x1fffffff,0x0effe880,
    0x2005fff9,0xacefeca8,0x1bffee00,0x3ffee000,0x1dd12fff,0xfffffe80,
    0xfd81ffff,0x7fffffff,0x07fffcc0,0x32a20000,0x0001bdfe,0xdfffd993,
    0xfffb037b,0x00ffffff,0x00ff6e20,0x7ffffff4,0x200006ff,0x0003fdb8,
    0xfffffffd,0x654003ff,0x802cdffd,0xfffffff9,0x6fffffff,0x801ffff3,
    0x4c04fffd,0xfffffffc,0x3fffae07,0x21ffffff,0x004ffff9,0x1dffff50,
    0x3ffff620,0x06ffffff,0x3f3bffa2,0x3ea002ff,0x005fffff,0x443ffff2,
    0x7005ffff,0xffffffff,0x7f409fff,0xffffffff,0xdffd1001,0x2005fff9,
    0xfffffffa,0xfff701ef,0xff98000d,0xffffffff,0x7ff405ff,0x1fffffff,
    0xffffffd8,0x7fcc07ff,0x200000ff,0xfffffffc,0xfb1000ef,0xffffffff,
    0xffffb0bf,0x000fffff,0x400ffffe,0xfffffffe,0x3e00006f,0xd0003fff,
    0xffffffff,0xffb1003f,0x1dffffff,0x3ffffee0,0xffffffff,0xffff36ff,
    0x4fffd801,0x3fffff60,0xfb07ffff,0xffffffff,0x7ffc43ff,0xffa8003f,
    0x7fe404ff,0xeccdefff,0x7ffc406f,0x26003fff,0xfffacfff,0xffff7005,
    0x404ffff8,0xffffffe8,0x04ffffff,0x26666662,0x7c400199,0x003fffff,
    0xfffffff9,0xf705ffff,0x88000dff,0xfffcadff,0x4400ffff,0x99999999,
    0xfffffb01,0xf980ffff,0x00000fff,0xfdfffffb,0x9803dfff,0xffffffff,
    0xfd85ffff,0x7fffffff,0x7ffff000,0x3ffffa00,0x0006ffff,0x00ffffe0,
    0x4ccccc40,0xf8801999,0xffffffff,0x7fcc1fff,0xfffeffff,0x36ffffff,
    0xd801ffff,0xfe884fff,0xffffffff,0xffffb87f,0xffdcccdf,0x0ffffe21,
    0x5ffff500,0xeffff980,0x3e600201,0x26003fff,0x3fea4fff,0x5ffb004f,
    0x200dff98,0xfffffff9,0x4fffffff,0x98000000,0x9003ffff,0xfbbfffff,
    0xb81fffff,0x80006fff,0x7ffecc48,0x0000001d,0x407fffc8,0x000ffff9,
    0x1bfffe80,0x07fffaa2,0x7fffff44,0x5fffeeef,0x0ffff900,0x0ffffe00,
    0x6fffc800,0x3ffe0000,0x0000003f,0x7ffffe40,0x85fffdce,0x70affffd,
    0x7cc09fff,0x7ec00fff,0xfffe84ff,0x9999acff,0x0ffffe81,0xffff0260,
    0x99998005,0xffffd800,0x33100000,0x19988003,0x20019988,0x7f400400,
    0x10acffff,0x0009fb53,0x26620000,0xffff1001,0x7ffdc41d,0x37ffdc4f,
    0x04c00000,0x90000000,0xf980ffff,0x40000fff,0x2201fffb,0xff706ffe,
    0x2e603bff,0xffff9003,0x3fffe000,0x3ff20003,0x3e00006f,0x00003fff,
    0x3ffe6000,0x076c41df,0x70ffffe6,0x7cc09fff,0x7ec00fff,0x7ffdc4ff,
    0x3e2000df,0xf8004fff,0x00002fff,0x04ffff80,0x00000000,0x00000000,
    0x0fffffd4,0xca880180,0x00001acd,0x77ffe400,0x1ffffb00,0x0037ffdc,
    0x44000000,0x2bcddcba,0x3fffe400,0x1ffff304,0x7ffc4000,0x2ffe8801,
    0x00ffffd8,0x3fff2000,0xaaaaa807,0xaaadffff,0x7e401aaa,0x550006ff,
    0xbffff555,0x83555555,0x2602aaa9,0xffa82aaa,0x360200ff,0xffb86fff,
    0x3ffe604f,0x7ffec00f,0x037fffc4,0x1fffff80,0x0ffffc00,0x220aaa98,
    0xf102bdcb,0x20005fff,0xaaaaaaaa,0x81aaaaaa,0xaaaaaaa9,0x2aa6002a,
    0x02aaaaaa,0x01ffffd0,0x3ff62000,0x00dfffff,0xb882aaa6,0xff102bdc,
    0x7fc407ff,0x3ffee4ff,0x0af72e26,0x220aaa98,0x5402bdcb,0xfffffffe,
    0xf9002eff,0x32eccfff,0x2601ffff,0x7dc2aaaa,0x7ff64c5f,0xff0dff55,
    0x80000dff,0xf807fffc,0xffffffff,0x4fffffff,0x037ffe40,0xffffff80,
    0xffffffff,0x7ffdc4ff,0x1bfff206,0x0017fff2,0x2e13fffe,0x3e604fff,
    0x7ec00fff,0x3ffea4ff,0xffd0001f,0x0015bfff,0x2e03fffd,0xfff92fff,
    0xf981bfff,0xf0001fff,0xffffffff,0xb07fffff,0xffffffff,0x7ffec00f,
    0x807fffff,0x004ffffa,0xffffd300,0x05ffffff,0x7e4bffee,0x40dfffff,
    0x200ffffb,0x2e6ffffa,0xfff96fff,0xf701bfff,0x3fff25ff,0xf900dfff,
    0xffffffff,0xf9005fff,0xbffb3fff,0x407fffcc,0x41fffff9,0x3fee1fff,
    0x3ffa5fff,0x0fffff42,0xfff90000,0xfffff00f,0xffffffff,0xfc809fff,
    0xff0006ff,0xffffffff,0x89ffffff,0x3206fffb,0xffd86fff,0xfff8004f,
    0x4fffb81f,0x03fffe60,0x649fffb0,0x20007fff,0xfffffffa,0x3ff602df,
    0x5fff700f,0xfffffffb,0xffff98bf,0xffff0001,0xffffffff,0xfffb07ff,
    0x00ffffff,0x7fffffec,0xffc807ff,0x880000ff,0xdcefffff,0xb80fffff,
    0xfffdafff,0x645fffff,0x3f205fff,0x3ee7ffff,0xffffddff,0xfb85ffff,
    0xffffdaff,0xf905ffff,0xfd99bdff,0xc801ffff,0xffffffff,0x03fffe65,
    0x85ffffd1,0x3fe66ff8,0x3ee5ffff,0x7fffec3f,0xf900003f,0xfff00fff,
    0xffffffff,0x809fffff,0x0006fffc,0xffffffff,0xffffffff,0x06fffb89,
    0x361bfff2,0x44003fff,0xfb80ffff,0x3fe604ff,0x7fec00ff,0x57fffa4f,
    0x00abdcba,0x7fffffdc,0xa982ffff,0x3ffee02a,0xffffffff,0x3fe61fff,
    0xff0001ff,0xffffffff,0xfb07ffff,0xffffffff,0x7fffec00,0xd807ffff,
    0x00007fff,0x985dfff9,0xfb84ffff,0xffffffff,0x361fffff,0xfe984fff,
    0x2e7fffff,0xffffffff,0x41ffffff,0xfffffffb,0x1fffffff,0x3ee01cb8,
    0x7e403fff,0x3fffffff,0xd03fffe6,0xf307ffff,0x1fffecbf,0x2a27fd41,
    0xbfffffff,0x3ff20000,0xfff0007f,0x7e40007f,0x200006ff,0x2003ffff,
    0x3206fffb,0xffd86fff,0x7fcc003f,0xfffb80ff,0xf33fffff,0xfd801fff,
    0x3fffe4ff,0xffffffff,0x3f2200df,0xffffffff,0xfff70004,0xf915bfff,
    0x7fcc9fff,0x550001ff,0xfb555555,0x2001dfff,0x0007fffc,0x403fffe4,
    0xca86fffe,0x42cccccc,0x702ffff8,0xff70ffff,0x915bffff,0x7f49ffff,
    0x7ffdc4ff,0x70ffffff,0x5bffffff,0x89ffff91,0xdffffffb,0x4ffffc8a,
    0x3fffa000,0x3fffa604,0x7cc1dfff,0x3ff20fff,0x9ff704ff,0xf302fffc,
    0xffffb0bf,0x005bffff,0x00ffff90,0x00ffffe0,0x06fffc80,0x3e00736e,
    0x2e003fff,0x3f206fff,0xfd5536ff,0x55555bff,0xffff5055,0x3ffffee0,
    0xfff33fff,0xfffd801f,0xffffff14,0xffffffff,0xff95003f,0x983fffff,
    0xfff701cb,0xffff09ff,0x0ffffccb,0x7fc40000,0x32000fff,0x40007fff,
    0xf807fffc,0xffd85fff,0x644fffff,0x3e206fff,0x7fdc0fff,0xfff84fff,
    0x4ffffe5f,0xafffffd8,0xff71ffff,0xfff09fff,0xffffb8bf,0x5ffff84f,
    0x3fff2000,0xffffd985,0xff301dff,0x3ffee1ff,0x4fff205f,0x2203fff8,
    0xffd887ff,0xefffffff,0x3fff2001,0xffff0007,0x7fe40007,0xffffd06f,
    0x3ffff807,0x1bffee00,0xf96fffc8,0xffffffff,0xf70dffff,0x3fee0fff,
    0x33ffffff,0xd801ffff,0xfff14fff,0xffffffff,0x800dffff,0x23fffffa,
    0xb84ffffa,0xfb05ffff,0x7ffccdff,0x4400001f,0x002ffffe,0x003fffe4,
    0x01ffff20,0xb09ffff1,0x9fffffff,0x99cfffd8,0xfff99999,0x7fffdc2f,
    0x4dfffb05,0xfe9affff,0xff88dfff,0xffff72ff,0x1bfff60b,0x20bffff7,
    0x2006fffd,0xfffd9998,0x3ffff625,0x7cc07fff,0xfffa8fff,0x97fe405f,
    0x7c03fff9,0x3ffee07f,0x3fffffff,0x0ffff900,0x3fe66660,0x99999cff,
    0x6fffc800,0x7fffffa8,0x01ffffc0,0x40dfff70,0xff96fffc,0xffffffff,
    0xff50dfff,0x3ffee0ff,0xf31cccce,0xfd801fff,0xffff34ff,0x7fd4439f,
    0x54002fff,0xff14ffff,0xfb83ffff,0x3fee07ff,0x3fffe66f,0x7ec00001,
    0xc8004fff,0x40007fff,0xf807fffc,0xffd85fff,0x744fffff,0xffffffff,
    0x3fffffff,0x703fffdc,0x7ff4dfff,0x3fffffef,0x5c7fffe2,0x3ee07fff,
    0x7ffdc6ff,0x1bffee07,0xffffec88,0x2a5fffff,0xffffffff,0x7fffcc07,
    0x00effff9,0xff89ffdc,0x1bfe205f,0x3ffff6a0,0xc801ffff,0xf8807fff,
    0xffffffff,0x803fffff,0xfc86fffc,0x201fffff,0x2003ffff,0x3206fffb,
    0xfff96fff,0xffffffff,0xfff30dff,0x9fff701f,0x07fffcc0,0x453fff60,
    0x2603ffff,0x0024ffff,0x54ffffea,0x43ffffff,0x2e06fffb,0x3fe66fff,
    0x200001ff,0x006ffffb,0x00ffff90,0x07fffc80,0x805fffe8,0x7fc4fffd,
    0xffffffff,0x43ffffff,0x2e06fffb,0x3ff66fff,0x41efffff,0xf70ffff9,
    0x7fdc0dff,0x37ffdc6f,0x20dfff70,0xfffffffc,0x2a5fffff,0xfffddfff,
    0x7fffcc07,0x800effff,0x3ffe4ffa,0x0bff300f,0x7fffe440,0xffc806ff,
    0xfff8807f,0xffffffff,0xfc803fff,0xfffc86ff,0x3fe00fff,0x3ee003ff,
    0x3ff206ff,0x3fffd86f,0x7fffcc00,0x04fffb80,0x003fffe6,0x7fc9fffb,
    0x7ff404ff,0x337bf15f,0x7ffffd4c,0xffffff31,0x06fffb87,0xf99bffee,
    0x00001fff,0x01fffff3,0x1ffff200,0xffff9000,0x0dfffb00,0x449fffb0,
    0xffffffff,0xffffffff,0x037ffdc2,0x7e4dfff7,0x504fffff,0x7fdcffff,
    0x3ffee06f,0x037ffdc6,0xfb0dfff7,0xddffffff,0x7d4bffff,0x0ffff91d,
    0xffffff98,0xf9800eff,0x3ffff25f,0x13fea4cd,0x7fffec00,0x7ffe400f,
    0xffff8807,0xffffffff,0xffc803ff,0xffff986f,0x7fffc05f,0x3ffee003,
    0x1bfff206,0x000ffff6,0x705ffff1,0x7cc09fff,0x7ec00fff,0x3fffa4ff,
    0xb7ffec04,0xfffffff8,0x45ffffff,0x40fffffe,0x2e06fffb,0x3fe66fff,
    0x880001ff,0x001fffff,0x01ffff20,0x0ffff900,0x03ffff90,0x7c4fffd8,
    0x40002fff,0x2e06fffb,0x3fee6fff,0x3f202fff,0x3ffee6ff,0x1bffee06,
    0x5c0dfff7,0x7fdc6fff,0xffc81dff,0xff90625f,0xfff980ff,0x05ffffbf,
    0xf10fff88,0x6cbfffff,0x3a0003ff,0x6402ffff,0x33007fff,0x39ffff33,
    0x90013333,0x3ea0dfff,0x7fc00dff,0x3ee003ff,0x3ff206ff,0x3fffd86f,
    0x5ffff800,0x204fffb8,0x400ffff9,0x3fa4fffd,0x7fec06ff,0xfffff15f,
    0xbfffffff,0x2ffff981,0x206fffb8,0x3e66fffb,0x80001fff,0x003ffffd,
    0x03fffe40,0x1ffff200,0x17fffee0,0xe89fffb0,0x40004fff,0x2e06fffb,
    0x3fea6fff,0x7ffc02ff,0x1bffee4f,0x5c6fffb8,0x3ee06fff,0x7ffec6ff,
    0x17fff206,0x80ffff90,0xfc8ffff9,0xfe804fff,0x3fffa23f,0x01fff15f,
    0x7fffdc00,0x3fffe401,0x3ffff800,0x3fff2000,0xf8004c06,0x2e003fff,
    0x3f606fff,0xfffd86ff,0xfffc8003,0x27ffdc0f,0x01ffff30,0x324fffe8,
    0xf101ffff,0x3fa29fff,0xffffffff,0x02a6202d,0x7037ffdc,0x7fccdfff,
    0x640001ff,0x0005ffff,0x007fffc8,0x03fffe40,0x02ffffe8,0xf913fff6,
    0x40001dff,0x2e06fffb,0x3fe26fff,0x3fea06ff,0x3ffee0ff,0x1bffee06,
    0x5c0dfff7,0x7ffc6fff,0x3fffa04f,0x3fffe405,0x43fffe60,0x402ffffe,
    0xaa986ffa,0x009ff90a,0x0ffffc80,0x03fffe40,0x05ffff80,0x1bfff200,
    0xffff8000,0x3ffee005,0xffffc80f,0x03fffd86,0x6ffff980,0x3027ffdc,
    0x2021ffff,0x262ffff9,0xf905ffff,0x53305fff,0x0003fffd,0x81bffee0,
    0x3e66fffb,0x20001fff,0x00effffa,0x7fffc800,0x7ffe4000,0xffff5007,
    0x3fff607f,0x27fffd44,0xdfff7000,0x237ffdc0,0x983ffffb,0x7dc5ffff,
    0x3fee06ff,0x37ffdc6f,0xe8dfff70,0xfe887fff,0x7e405fff,0x7fcc07ff,
    0xffff30ff,0x5ffe803f,0x40fffb80,0x7d400ad8,0xfc806fff,0xfd0007ff,
    0x20001fff,0x0006fffc,0x03ffffa0,0x17fffd40,0x1bfffff2,0x000ffff6,
    0x6ffffff4,0xccefffdb,0xffff33cc,0x3f2f3ea1,0x7ec0ffff,0xebabefff,
    0xe805ffff,0x200007ff,0x2e06fffb,0x3fe66fff,0xf10001ff,0x0003ffff,
    0x01ffff20,0x0ffff900,0x7fffff40,0xfffdccef,0xffffd84f,0xca9999be,
    0x6fffb83d,0x11bffee0,0x35bfffff,0x83fffff7,0x2e06fffb,0x7fdc6fff,
    0x3ffee06f,0x67fffec6,0xffffeb89,0x7ffe405f,0x7fffcc07,0x3bfffee0,
    0x37ffea00,0x09fff700,0x99bdfff3,0xffffffb9,0xffff9007,0x3fff2000,
    0x2b999bef,0x037ffe40,0xffff9000,0x8573337d,0xbcfffff8,0x6fffffff,
    0xdffffdd7,0xdddddddd,0xffff983d,0xffffffff,0xff36ffff,0x3ffea1ff,
    0x984fffff,0xffffffff,0x400fffff,0x0004fff8,0x81bffee0,0x3e66fffb,
    0xd0001fff,0xdddfffff,0x887ddddd,0xffdaaaaa,0x0aaaaaff,0x6d555544,
    0xaaaaffff,0xfffe980a,0xffffffff,0xfff884ff,0xffffffff,0xfffb83ff,
    0x1bffee06,0x3fffffee,0x83ffffff,0x2e06fffb,0x7fdc6fff,0x3ffee06f,
    0x7ffffd46,0xffefffff,0x5555515f,0x555ffffb,0x3ffe6155,0x7fffec0f,
    0x7fffdc05,0xffffdbce,0xfffff304,0xffffffff,0xaaaa889f,0xaaffffda,
    0x7cc00aaa,0xffffffff,0x5555514f,0x555ffffb,0xf3000155,0xffffffff,
    0xffffb09f,0xffbfffff,0x3ffff2df,0xffffffff,0xe881ffff,0xffffffff,
    0x36ffffff,0x3ea1ffff,0x0effffff,0xfffffd30,0x003dffff,0x0003fff5,
    0x037ffdc0,0x7ccdfff7,0x98001fff,0xffffffff,0x44ffffff,0xfffffffa,
    0xffffffff,0x7ffffd41,0xffffffff,0x3ff201ff,0xffffffff,0xffd304ff,
    0xffffffff,0xdfff707f,0x837ffdc0,0xfffffffa,0xff702fff,0x7ffdc0df,
    0x037ffdc6,0xfb0dfff7,0xdfffffff,0x3eabfff1,0xffffffff,0x31ffffff,
    0xe881ffff,0x5404ffff,0xffffffff,0x3fe602ff,0xffffffff,0xffa84fff,
    0xffffffff,0x801fffff,0xfffffffc,0xffff74ff,0xffffffff,0x20001fff,
    0xfffffffc,0xfff984ff,0xf8dfffff,0xffff96ff,0xffffffff,0x2203ffff,
    0xffffffec,0x36ffffff,0x3a61ffff,0x003effff,0xdffffff9,0x37fdc005,
    0x3fee0000,0x3ffee06f,0x07fffe66,0x3fffe600,0xffffffff,0x7ffd44ff,
    0xffffffff,0x7d41ffff,0xffffffff,0x01ffffff,0x7ffffed4,0xb802cfff,
    0xfffffffe,0xfffb81df,0x1bffee06,0xfffffd88,0x3fee00de,0x3ffee06f,
    0x037ffdc6,0x2e0dfff7,0x23efffff,0xfff55fff,0xffffffff,0x3e63ffff,
    0xff980fff,0x64c02fff,0x1ceffffe,0x7fff6440,0x0cffffff,0xffffff50,
    0xffffffff,0x3faa003f,0x74ffffff,0xffffffff,0x1fffffff,0x7ff54000,
    0x104fffff,0x47fffffd,0xfff96fff,0xffffffff,0x003fffff,0x000026a6,
    0x00009988,0x20003531,0x00001aa9,0x7037ffdc,0x7fccdfff,0xf98001ff,
    0xffffffff,0x544fffff,0xffffffff,0x1fffffff,0x7fffffd4,0xffffffff,
    0x2a62001f,0x2600009a,0x5c009aaa,0x3ee06fff,0x351006ff,0x3ffee001,
    0x1bffee06,0x5c0dfff7,0x54c06fff,0xfff5001a,0xffffffff,0x3e63ffff,
    0xff700fff,0x4c003fff,0x2660000a,0xa8009aaa,0xffffffff,0x1fffffff,
    0x5554c400,0x7ffffdc1,0xffffffff,0x880000ff,0x1001aaa9,0x00000353,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xcc880000,0xccb804cc,0xcccb80cc,
    0x33332202,0x33333220,0xcccccccc,0x332e002c,0xcccccccc,0x40799951,
    0x004cccc8,0xabccca98,0x77775400,0x003eeeee,0x00000000,0x50099993,
    0x665c7999,0xcccccccc,0x2a6003cc,0x1bdeffdc,0x3333332a,0x51cccccc,
    0x99999999,0x99999999,0x666665c9,0xcccccccc,0x599931cc,0x03ccc800,
    0x44044003,0x8803cccc,0x9972cccc,0x32600199,0xcc800ccc,0x8801cccc,
    0x5c00cccc,0x99952ccc,0x99999999,0xc8799999,0xabcccccc,0x76cc0001,
    0x332a01ee,0xaacccccc,0x6664c001,0xd81e6540,0x2a02ffff,0xfd06ffff,
    0x7fc409ff,0x3ffe61ff,0xffffffff,0xf1004fff,0xffffffff,0x3fff25ff,
    0x3ffffa06,0x3fff2003,0x01ffffff,0x3fffffee,0x54404fff,0x01ceffdb,
    0x6ffee540,0x3ffea02c,0x5fffc807,0x3ffffff6,0x06ffffff,0xfffffe88,
    0xfb0fffff,0xffffffff,0x3ff25fff,0xffffffff,0x27ffffff,0xfffffffd,
    0xffffffff,0x007fff52,0x7545fff8,0x19f9000f,0x01ffffc8,0xc87fffec,
    0xb002ffff,0xf300ffff,0x009fffff,0x801ffff3,0xff94fffe,0xffffffff,
    0x4dffffff,0xfffffff8,0x000dffff,0x3fffff22,0x3ffff201,0xefffffff,
    0x1fff7002,0xf306ffd8,0x7f40dfff,0xffd01fff,0x7ffc409f,0x3fffe61f,
    0xffffffff,0xff7004ff,0xffffffff,0x1bfff25f,0x02ffffdc,0xfffffe98,
    0x201fffff,0xfffffffb,0x3fea04ff,0xdfffffff,0x7fff4c00,0x80dfffff,
    0xc807fffa,0x3ff65fff,0xffffffff,0x7fd406ff,0xffffffff,0xffffb0ff,
    0xffffffff,0x3bbbff25,0xeeeeeeee,0x3ff67ffe,0xffffffff,0xf32fffff,
    0x7c4009ff,0x3fff64ff,0xffffa805,0x1bfffe21,0x23ffff98,0x004ffffa,
    0x900bffff,0x0dffffff,0x01ffff30,0xf94fffe8,0xffffffff,0xdfffffff,
    0x7fffffc4,0x4fffffff,0x7fffe440,0x3f201fff,0xffffffff,0xb804ffff,
    0x5ffe87ff,0x0bffff60,0x217fffea,0x9cfffe98,0xffa99999,0xfff31aff,
    0xffffffff,0x3a009fff,0xffffffff,0xfff92fff,0xfffff10d,0xffff3001,
    0xffffffff,0x4cccc403,0x88099999,0xfffffffd,0x2e06ffff,0xffffffff,
    0x7d40ffff,0xffc807ff,0x3ffff65f,0xffffffff,0x3ffff206,0xffffffff,
    0xfffffb0f,0x5fffffff,0x00999ff2,0xfffb3fec,0xffffffff,0x3e65ffff,
    0x3e2004ff,0x3fff24ff,0x3ffe203f,0xffffb86f,0x8dfffb02,0x806ffff8,
    0x802ffff9,0xfffffffe,0x7fffcc00,0xa7fff400,0xfffffffc,0xffffffff,
    0x3fffe26f,0xffffffff,0xffc886ff,0x1fffffff,0x3fffff20,0xffffffff,
    0x37fe402f,0xf1027ff4,0xffd0dfff,0xfff903ff,0xffffffff,0xffffffff,
    0x17fffc40,0xefff9800,0x3f204fff,0xfffd86ff,0xfffd002f,0xb53337ff,
    0x2000003f,0xfffffffb,0x84ffffff,0xdffffff9,0x44fffffe,0xc807fffa,
    0x3ff65fff,0xccccccdf,0xfff303cc,0x26237dff,0xf1000fda,0x9ff25fff,
    0xd82dffff,0x2aaaaa7f,0xffdaaaaa,0xfff10eff,0x7ffc4009,0x57ffff43,
    0xffdbcedb,0xfffd01ff,0x5ffff30d,0x01ffffb0,0x00ffffc8,0x7fffffc4,
    0x7fcc03ff,0x7ff400ff,0x7ffc404f,0xfff8803f,0xfeba99bf,0x7ec2ffff,
    0xffffffff,0x3fff201f,0xffffd985,0x437fec05,0x7e403fff,0x3fea3fff,
    0xfff904ff,0xffffffff,0xffffffff,0x17fffc40,0xbfffc800,0x3f204fff,
    0x7ffd46ff,0xfff9004f,0x000001bf,0x56ffec00,0xfffff910,0x85ffffd0,
    0x21ffffe8,0xc807fffa,0x3ff65fff,0x3f60002f,0x00805fff,0x4bfffe20,
    0x3fffe7fc,0x1ff61eff,0xfffff100,0x02fffc43,0x887fff10,0xffffffff,
    0x02ffffff,0xb0ffffea,0x3ee0bfff,0x7f403fff,0xffb805ff,0x05fffddf,
    0x007fffcc,0x1013fffa,0x1007ffff,0x3205ffff,0x2a0fffff,0xffacffff,
    0x3ff201ff,0x3fffa05f,0x22fff406,0x4402fff8,0x3fa7ffff,0xff900fff,
    0xffffffff,0xffffffff,0x7fffc40f,0xbfff0002,0x6409fff5,0x3fe26fff,
    0x3fe006ff,0x30000fff,0x55555555,0x407d1005,0x261ffffd,0xf103ffff,
    0x7fd4bfff,0xfffc807f,0x00bfff65,0x2ffffd40,0x7fc40000,0x54ff92ff,
    0x0efffecb,0xfd800ffb,0x7fc44fff,0x3fe6005f,0xffffa83f,0xffffffff,
    0x7fffd804,0x403fffea,0x205ffff8,0x803ffff8,0xffbbfffd,0x3fe600ff,
    0x7ff400ff,0x7ffc404f,0xfff8803f,0x3fff202f,0x986ffc3f,0x3201ffff,
    0x3f605fff,0x7ffcc7ff,0xffffffff,0x04ffffff,0xf57ffff7,0x54c09fff,
    0xaaadffff,0xffffbaaa,0x3ffe202c,0xffa8002f,0x04fffaaf,0xfd9bfff2,
    0xf1001fff,0x40007fff,0xfffffffd,0xf500007f,0x7fd45fff,0x3ff600ff,
    0x1fffea6f,0xd97fff20,0xb0002fff,0x0005ffff,0x5ffff100,0xff981ff2,
    0x400ffb3f,0xf06ffffa,0x1aa88bff,0xe817ffcc,0xffefffff,0xf9802fff,
    0xfffd3fff,0x7fffe809,0x03fffea0,0x267fffe0,0x2602ffff,0x7400ffff,
    0x7c404fff,0xf8803fff,0x3e602fff,0x20dc6fff,0x201ffff9,0x3605fffc,
    0x7fcc6fff,0xffffffff,0x4fffffff,0x3bffffa0,0xe800ffff,0x3e204fff,
    0x7c401fff,0xd8002fff,0x9fff57ff,0xab7ffe40,0x2003ffff,0x002ffffa,
    0x3fffff60,0x00007fff,0x645ffff3,0x7dc07fff,0x3ffea7ff,0x5fffc807,
    0x000bfff6,0x0037fffc,0xffff8800,0xfb80ff92,0x200ffb5f,0x01fffff8,
    0xffa8bfff,0x417ffcc7,0x2a2ffff9,0x9005fffe,0xfff5ffff,0xfffb801f,
    0xdfffb01f,0x4ffff300,0x2604ffff,0x7400ffff,0x7c404fff,0xf8803fff,
    0x7f402fff,0xff9807ff,0x3ff201ff,0xffff105f,0xfffff987,0xffffffff,
    0x2a04ffff,0xffffffff,0x9fffd003,0x0ffffc40,0x0bfffe20,0x29fff100,
    0x3204fffa,0xfff8efff,0x7fdc006f,0x360001ff,0xffffffff,0xff500007,
    0x7ffe43ff,0x7fffd407,0x00ffff50,0x7ecbfff9,0x2abccdff,0x27fffc40,
    0xff880000,0x80ff92ff,0x0ffb5ffb,0x13ffff60,0x7ec6ffe8,0x3ffea1ff,
    0x83fffd81,0x800ffff9,0xfffffff8,0xfff9802f,0x9ffff04f,0x49fff900,
    0x2607fffc,0x999affff,0xfffe9999,0x7fffc404,0xffff8803,0x3fffe402,
    0x0ffffcc0,0x30bfff90,0x881dfffd,0xacfffcaa,0xaafffdaa,0x7fff401a,
    0x3a006fff,0xccccefff,0x1ffffccc,0x17fffc40,0x47fff200,0xfffffffa,
    0xbdfff90f,0x8001ffff,0x001ffffb,0x3fffe400,0xfffd8000,0x3fffea0f,
    0x3fffe601,0x00ffff51,0x7ecbfff9,0xffffffff,0xfff980bf,0x1000003f,
    0x3f25ffff,0x4fffa207,0xffa807fd,0x7ff406ff,0x527fffc6,0xffd03fff,
    0x3fffe01f,0xffff7001,0x7fc00dff,0xfff986ff,0xfffe801f,0x07fffea2,
    0x7fffffcc,0xffffffff,0x555444ff,0xaacffffb,0x7ffffc1a,0x5c4fffff,
    0x4c01ffff,0x3201ffff,0xfeeeffff,0x401effff,0x7e41fffa,0x7fcc006f,
    0x2002ffff,0xfffffffe,0xffffffff,0x7fffc401,0x37ffc002,0xfffffff5,
    0x3ffff21f,0x8003ffff,0x002ffffa,0x3fffe400,0x7ffcc000,0x7fffcc5f,
    0xfffc881e,0x0ffff52f,0x6cbfff90,0xffffffff,0x7d40efff,0x00003fff,
    0x25ffff10,0x7f7747fc,0x0ffb0eff,0x1fffff88,0xf537ff40,0x7fd4dfff,
    0x07fff80f,0x800bfff6,0x01fffffe,0x03ffff20,0x100ffff7,0x7c41ffff,
    0xff303fff,0xffffffff,0x89ffffff,0xfffffffa,0x7c5fffff,0xffffffff,
    0x7fffdc4f,0x7fffcc02,0x3ffff201,0xefffffff,0x0fffb801,0x20037fec,
    0x3ffffffa,0x3ffffa00,0xffffffff,0x7c401fff,0x2a002fff,0x3fea3fff,
    0x90ffffff,0xffffffff,0xfff3000d,0xc80000bf,0x80007fff,0xe81ffffe,
    0xccffffff,0x2ffffffe,0x900ffff5,0x7fecbfff,0xffffffff,0x3fee0eff,
    0x000002ff,0x325ffff1,0x7ffffc7f,0xb01ff60d,0xb007ffff,0x7ffe4fff,
    0x1fff51ff,0x201ffff0,0x2002fffd,0x005ffffa,0x217fffd4,0xb804fffe,
    0xffe86fff,0xffff306f,0xffffffff,0xfa89ffff,0xffffffff,0x7ffc5fff,
    0x4fffffff,0x00ffffd4,0x807fffe6,0xfffffffc,0x0dffffff,0x3a1ffee0,
    0x7f4005ff,0x00ffffff,0xffffffd0,0xffffffff,0xfff8803f,0x3ff6002f,
    0x3bffea0f,0xff90cccc,0x7ffff9df,0xffff8800,0x3200001f,0x40007fff,
    0x304ffffc,0xffffffff,0x3fffffff,0x201fffea,0x8805fffc,0x3fffffc9,
    0x00ffffea,0x7ffc4000,0xff8ff92f,0x07fd81ae,0x01bfffea,0xfff3ffec,
    0x3fee7fff,0x05fffd07,0x4407fffa,0xfffaaaaa,0x01aaaacf,0xf12ffffc,
    0xfb005fff,0xfff907ff,0xffff301f,0xdddddddd,0xfa89ffff,0xffffffff,
    0x7e645fff,0x2cccdfff,0x007fffdc,0x807fffe6,0xcccefffc,0x6fffffec,
    0x3a1bff20,0x3ee004ff,0x4fffffff,0x39fffd00,0xff533333,0xff8803ff,
    0xff1002ff,0x4fffa8df,0x75bfff20,0x4001ffff,0x02fffffc,0x7fe40066,
    0x3ee0007f,0x7d405fff,0xffffffff,0xf51fffff,0xff900fff,0xffa800bf,
    0x3ffe65ff,0x1000004f,0x3f25ffff,0xfb02ff47,0x3fffe20f,0xfff9001f,
    0x3ff7bfe6,0x360fff76,0xff884fff,0xfff300ff,0xffffffff,0xfd809fff,
    0x3ffea7ff,0x7ffc400f,0xffff981f,0x0ffff982,0x227fff40,0xfffbaaa8,
    0x881aaacf,0x6402ffff,0xf9807fff,0x3f201fff,0xffd305ff,0x2aaa27ff,
    0xaaaaeffe,0x01aadfff,0x3bbfffe2,0xe801ffff,0x3e204fff,0x7c401fff,
    0xf7002fff,0xf73339ff,0x7fe409ff,0xdffff56f,0xffff8800,0xfdccdeff,
    0xfff9002f,0x3fee000f,0xb8800eff,0xbbdffffe,0xff50ffff,0xfffb00ff,
    0xfffb000b,0x2ffffc4f,0xff880000,0xd8ff92ff,0x41ff603e,0x003ffffd,
    0x7fddfff2,0xfb8fffbc,0xffff707f,0x05fffd85,0x3fffffe6,0xffffffff,
    0x7fffd404,0x00bfff91,0x333ffff5,0xbffff333,0x01ffff30,0x404fffe8,
    0x803ffff8,0x402ffff8,0x9806fffd,0x3201ffff,0x3ee05fff,0xfff35fff,
    0xffffffff,0x09ffffff,0x557fffe4,0xe806ffff,0x3e204fff,0x7c401fff,
    0xfd002fff,0xffffffff,0x7fe409ff,0x3ffff66f,0x7ffd4003,0xffffffff,
    0xfff9002f,0xfff5000f,0x400001df,0x3ea7fffc,0x7ec00fff,0xfc8004ff,
    0x3ffe0fff,0x800000ff,0xf92ffff9,0x0ffb000f,0x00dffff5,0xfe8fffb8,
    0xcafff99f,0xfff106ff,0xffffbfff,0x5554403f,0xacffffaa,0x7c401aaa,
    0xffff3fff,0xffff9007,0xffffffff,0xfff30fff,0xfffe801f,0x7fffc404,
    0xffff8803,0x3fffe202,0xffff9805,0x17fff201,0x26dffff0,0xffffffff,
    0xffffffff,0xffff304f,0x17ffff4d,0x813fffa0,0x401ffff8,0x802ffff8,
    0xfffffff9,0x204fffff,0x3e26fffc,0x4001ffff,0xfffffffa,0x9002ffff,
    0xa800ffff,0x000effff,0x27fff400,0x801ffff3,0x8003fffe,0x7f47fffd,
    0x00004fff,0x91ffffa8,0x02fec4ff,0xfff88ffb,0x7dc000ff,0x3a7ff9ff,
    0x06ffcdff,0xfffffff1,0x009fffff,0x005ffff0,0x27bfffa0,0xf800ffff,
    0xffffffff,0x1fffffff,0x007fffcc,0x1013fffa,0x1007ffff,0x6405ffff,
    0x9802ffff,0x3201ffff,0x7fc05fff,0xfddd36ff,0xfdddddff,0x207dddff,
    0x2a2ffffd,0x7406ffff,0x3e204fff,0x7c401fff,0xfc802fff,0xffffffff,
    0x3f204fff,0x7ffdc6ff,0xeb88006f,0xceffffff,0xffff9000,0x7fffd400,
    0x5400000e,0x3e21ffff,0x3e203fff,0x44001fff,0x7d45ffff,0x0002ffff,
    0x87fffe40,0x3ffee7fc,0xfc8ffb01,0xa8003fff,0x24ffcfff,0x5ffdfffc,
    0xffffffd0,0x5fffffff,0x7cccccc0,0x9999bfff,0xffffb800,0x9806fffc,
    0xffffffff,0xffffffff,0x07fffcc4,0x013fffa0,0x007ffff1,0x205ffff1,
    0x006ffffa,0x403ffff3,0x2a05fffc,0xf884ffff,0x7ffd42ff,0x7fffd400,
    0x4ffffe86,0x813fffa0,0x401ffff8,0x802ffff8,0x9999ffff,0x204fffb9,
    0xfe86fffc,0x30004fff,0x0003bfff,0x401ffff2,0x00effffa,0x7ffc4000,
    0xfffff86f,0x1ffffb00,0x7fff4400,0xffffe83f,0x0eb880bf,0x3ffe603b,
    0xfa9ff26f,0x4ffb01ff,0x005ffffa,0xffffff50,0x7ffffcc5,0xffffd85f,
    0xfebdeedb,0xff980fff,0xffffffff,0x9804ffff,0xffffffff,0xefffb804,
    0xaaaaaaaa,0x7cc6fffe,0x7f400fff,0x7fc404ff,0xff8803ff,0x7fec42ff,
    0xf3001fff,0x7e403fff,0xfff505ff,0xfff305ff,0x807ffb83,0x982ffffe,
    0xd00fffff,0x7c409fff,0x33221fff,0xdffffccc,0x3ea2cccc,0xfff504ff,
    0x3259999d,0xff986fff,0xb8001fff,0x20002fff,0xa807fffc,0x000effff,
    0x3fff2600,0xfffb82ff,0xfea9acff,0x33a22fff,0xffdcaaab,0xff305fff,
    0xbbdfffff,0x3fa1fffd,0xfffcaace,0x71ff23ff,0xf3fec05b,0xffffffff,
    0x7fffffff,0x3fffffd4,0x2ffffff4,0x80ffffee,0x986ffff9,0xffffffff,
    0x04ffffff,0xffffffd0,0xfffd003f,0xffff9007,0x07fffcc1,0x013fffa0,
    0x007ffff1,0xdddffff1,0x9fffffff,0xffffff30,0xffffffff,0x3bfff27f,
    0xfffedccc,0xfff506ff,0x406ffc81,0x206ffffb,0xd05ffffd,0x7c409fff,
    0x3fe61fff,0xffffffff,0x3f64ffff,0xfff501ff,0x329fffff,0xff906fff,
    0xfb000dff,0x2aa200ff,0xffffdaaa,0xf50aaaaa,0xffffffff,0x45ffffff,
    0xfffeeee9,0x203fffff,0xfffffffe,0x445fffff,0xffffffff,0x5c06ffff,
    0xffffffff,0xfd0fffff,0xffffffff,0xaaffc8df,0xaaaaaaaa,0xff17feaa,
    0xffffffff,0x47ffffff,0x85fffff9,0x24fffffc,0x805fffe8,0x442ffffb,
    0xfffccccc,0x02ccccdf,0xffffff90,0xffff100f,0xffff5003,0x07fffcc7,
    0x013fffa0,0x007ffff1,0xfffffff1,0x07ffffff,0x3fffffe6,0xffffffff,
    0xfffff93f,0xffffffff,0x3ffee01f,0x102ffec0,0x403fffff,0x81fffff9,
    0x2204fffe,0x3e61ffff,0xffffffff,0xf14fffff,0x7fd40dff,0x94ffffff,
    0x3e20dfff,0x4004ffff,0xf5004ffe,0xffffffff,0x23ffffff,0xfffffffc,
    0xffffffff,0x3ffffe62,0x04ffffff,0x7fffff44,0x40dfffff,0xfffffff8,
    0x800cffff,0xffffffe9,0xfd0fffff,0xffffffff,0xffffc81b,0xffffffff,
    0xff17ffff,0xffffffff,0x47ffffff,0x82fffff9,0x84fffff9,0xfd000ffb,
    0x7ffc0019,0x3e60002f,0x804fffff,0x1006fffa,0x7ccbffff,0x7f400fff,
    0x7fc404ff,0xff8803ff,0xffffffff,0x3fe600df,0xffffffff,0xf93fffff,
    0xffffffff,0x64019fff,0x5ffe87ff,0x17ffff20,0x1bffff60,0x8813fffa,
    0x3e61ffff,0xffffffff,0xf74fffff,0x7fd407ff,0x94ffffff,0x7d40dfff,
    0x1001ffff,0x2a003fff,0xffffffff,0x1fffffff,0xfffffff9,0xffffffff,
    0x7ffffcc5,0x001dffff,0x3fffffae,0xfff102ef,0x17dfffff,0xffdb7000,
    0x4c39dfff,0xeffffffc,0xfffff902,0xffffffff,0x3fe2ffff,0xffffffff,
    0x23ffffff,0x00fffff8,0x207fffff,0x00620018,0x00bfffe0,0xffffff00,
    0x9fffb005,0x3fffec00,0x801ffff3,0x4404fffe,0x8803ffff,0xdeffffff,
    0xff9801ab,0xffffffff,0xf93fffff,0xddffffff,0xff900179,0x009fff0d,
    0x00000000,0x00000000,0x00000000,0x02aa8800,0x3ffffea0,0xffffffff,
    0xffff91ff,0xffffffff,0x7fcc5fff,0x00aceeff,0x00d54c00,0x01355330,
    0x19988000,0x00353100,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4ccc9800,
    0x33332000,0x33332e04,0xcccccc81,0x90001abc,0x00003999,0x99999910,
    0x66666640,0xcccccccc,0x999951cc,0x99999999,0x33332259,0x3332200c,
    0x99999953,0x54013579,0x7000cccc,0x66549999,0xcccccccc,0x99950ccc,
    0x33260007,0x1abccccc,0x99999500,0x50035799,0x99999999,0x99999999,
    0x07333227,0x4cc40000,0x00000001,0xca980000,0x2a001acd,0x5cc2bdcc,
    0x2a2001bd,0x2001acdc,0xbcddcba8,0x17b73002,0x001bdb88,0x55e6654c,
    0x6ee5d400,0x22002bcc,0x7fdc00bb,0xff10007f,0xff105fff,0xff885fff,
    0xffffffff,0xff1000df,0x000005ff,0x0ffffffb,0x3fffffe2,0xffffffff,
    0xffff92ff,0xffffffff,0x3fffe67f,0x3ffe604f,0xffffff95,0x019fffff,
    0x009ffff3,0x649ffff1,0xffffffff,0xf91fffff,0x2e000dff,0xffffffff,
    0x3200dfff,0xffffffff,0xf900cfff,0xffffffff,0xdfffffff,0x00bfffe2,
    0x7fff4000,0x26400000,0x80000e98,0xfffffffa,0x3fea00ef,0xc8dfffff,
    0x404fffff,0xffffffd8,0x3faa00df,0xffffffff,0x3fff602e,0xffff31ff,
    0xfff9007f,0x03ffffff,0xffffffd7,0xf1003fff,0x7dc03fff,0xf10007ff,
    0xf509ffff,0xf887ffff,0xffffffff,0x8804ffff,0x0002ffff,0x7ffffd40,
    0xffff107f,0xffffffff,0x3f25ffff,0xffffffff,0xff33ffff,0x2601ffff,
    0xfff95fff,0xffffffff,0xfffb07ff,0xfffc801f,0x3ffff20f,0xffffffff,
    0x0dfff91f,0x3fffee00,0xffffffff,0xffff904f,0xffffffff,0xffff901d,
    0xffffffff,0x3e2dffff,0x00002fff,0x001fffd0,0x13ff6200,0x0003fff3,
    0x7fffffe4,0x903fffff,0xffffffff,0xffffffff,0x3fffa609,0x2fffffff,
    0xffffff90,0x05ffffff,0xfffffff9,0xfffffff3,0x3fffa607,0x1fffffff,
    0x7fffffec,0x801fffff,0x205ffffb,0x0007fffb,0x0ffffff1,0x87fffffb,
    0xfffffff8,0x6fffffff,0x17fffc40,0xffd10000,0x220fffff,0xffffffff,
    0xffffffff,0xffffff92,0x7fffffff,0x3fffffe6,0x2bfff304,0xfffffffc,
    0x1fffffff,0x027fffcc,0xc87ffff1,0xffffffff,0xf91fffff,0x13555fff,
    0xfffff700,0xffffffff,0xffff90df,0xffffffff,0xffff90df,0xffffffff,
    0x3e2dffff,0x00002fff,0x001fffd0,0xffffd100,0x3ffffe27,0xfffc8002,
    0xffffffff,0xcffc81ff,0xffffffca,0x887fffce,0xdcefffff,0xc80fffff,
    0xeccdefff,0x260fffff,0xffebdfff,0xfffcffff,0xfffff987,0x1fffffff,
    0x37ffffee,0x01ffdccc,0x06ffffc8,0x001fffee,0x7fffffcc,0x7fffffc1,
    0x5ffffc43,0xfffeba99,0x3fe202ff,0x000102ff,0xfffffff9,0x6666640f,
    0xffcccccc,0xfff90fff,0x3333333d,0x3ffe6133,0xf980ffff,0xdfff95ff,
    0x7fff5cc4,0x7ffec0ff,0xffff900f,0x9efffc81,0x19999999,0x3ffffff2,
    0x702dffff,0x5333ffff,0x5fffffd7,0x265fffc8,0x1fffffdb,0x7ffff100,
    0x2ffff880,0xffd00000,0xf980001f,0x320effff,0x004fffff,0x2fffffe6,
    0xffffda89,0xff882b85,0x3ffea5ff,0x177ffe42,0x213fffe6,0x3fee01cb,
    0x9bff23ff,0x30effffa,0xffe83fff,0xa999bfff,0x3fffa1fd,0x2002600f,
    0x203ffff9,0x0007fffb,0x9ffffff3,0x7fffffd4,0x17fffc44,0x0fffffc8,
    0x85ffff10,0x7cc005d9,0x7fffbfff,0xfff88000,0x1bfff25f,0xfffff300,
    0xfff307ff,0x81bfff2b,0x4c2ffffe,0xf883ffff,0xffc83fff,0x7fe4006f,
    0xffffffff,0x7fdc1eff,0x3fff207f,0x3fff20ff,0x7ffff705,0x3fffe200,
    0x7fffc403,0xfd000002,0x5c0001ff,0x505fffff,0x00bfffff,0x407ffffa,
    0x002ffffd,0xff0bfff6,0x7fffc49f,0x0ffff702,0x27fff400,0xfff87fff,
    0x927ff44f,0x001bffff,0x013fffe2,0x03dda800,0x003fffdc,0xffcfffa8,
    0x3ff3ff26,0x7fffc44f,0x3ffff202,0x5ffff103,0x0017ff66,0xff39fffd,
    0xf90000ff,0x7fe43fff,0x7fcc006f,0x986fffff,0xfff95fff,0x7fffcc0d,
    0x87fffd83,0xc80ffffd,0x64006fff,0xffffffff,0x20ffffff,0x6407fffb,
    0x3f23ffff,0x3ffe05ff,0xfff1005f,0xfff8807f,0xd000002f,0x20001fff,
    0x03fffffc,0x77ffffcc,0x3fffe200,0x3fffe204,0x3fff2004,0xf92fff40,
    0x7fc40dff,0xf90000ff,0x3ffe2bff,0x217ffec1,0x3ffe4ffd,0x7fc000ff,
    0x00001fff,0x7fffb800,0x5fff5000,0x3ffe1fff,0x7c45fffa,0x3e602fff,
    0xff106fff,0xffff99ff,0x7ffd400b,0x00ffff36,0x5ffff880,0x0037ffe4,
    0x3ff7ffe6,0x7ffcc2ff,0x80dfff95,0xf985ffff,0x3fe23fff,0xfff903ff,
    0xfffc800d,0xffdbaaaf,0x3fee6fff,0x7ffcc07f,0x17fff26f,0x005ffff8,
    0x807ffff1,0x002ffff8,0x3bbbba20,0xeeeffffe,0x3f602eee,0x1002ffff,
    0x03fffffd,0x003fffea,0x400bfffd,0xffd87ffc,0x273fff66,0xff999999,
    0x331002ff,0x26bfffb3,0x7fec0fff,0x8affec1f,0x8003ffff,0xadfffffe,
    0x70000000,0x2000ffff,0xfff8fffa,0xffd7ff9a,0x2ffff88b,0x83ffff40,
    0xfffffff8,0xf1003fff,0x3fe65fff,0x7e40007f,0x7fe41fff,0x7fcc006f,
    0x46fffcdf,0xff95fff9,0xfffe80df,0x4dfffb05,0x3207fffc,0x64006fff,
    0xff306fff,0x3fee3fff,0xfffe807f,0x417fff27,0x003ffff8,0x807ffff1,
    0x002ffff8,0x3ffffe20,0xffffffff,0xfe883fff,0x8001efff,0x82fffffd,
    0xd807fffb,0xd9306fff,0xffffffff,0x74dfffff,0xffffffff,0x3fffffff,
    0xffffd910,0x2abfffff,0x7fe40fff,0xffffffff,0x05ffff56,0xfffff500,
    0x2a05bfff,0xcccccccc,0xcccccccc,0x007fffbc,0x3f6fff70,0xfd5ffbdf,
    0xffff88bf,0x3fffe402,0xffffff88,0x32000cff,0x3fe65fff,0x3e20007f,
    0xffc85fff,0x7fcc006f,0x1ffff8df,0x7e57ffe6,0x7ffc06ff,0xffff303f,
    0x07ffff15,0x0037ffe4,0xa81bfff2,0xff73ffff,0xfff900ff,0x82fffe4f,
    0x001ffffd,0x807ffff1,0x402ffff8,0x7fc42cdb,0xffffffff,0x43ffffff,
    0x0dfffff9,0x3fff2000,0x7ffe43ff,0x7fffc807,0x7ffffec4,0xffffffff,
    0x3ffe6fff,0xffffffff,0xc83fffff,0xffffffff,0xff55ffff,0xffffc81f,
    0x76ffffff,0x0003ffff,0x3fffffee,0x7e42ffff,0xffffffff,0xffffffff,
    0x0007fffb,0x3feefff7,0xffd2ffef,0x7fffffcd,0x7dc4ffff,0x7e441fff,
    0x00cfffff,0x07fffcc0,0x000ffff3,0x417fffe4,0xfffffffc,0x30ffffff,
    0x3ff6bfff,0x57ffe65f,0x2e06fffc,0x3602ffff,0xfffbefff,0x77ffe407,
    0xaaaaaaaa,0x01bfff22,0x3eebffff,0xffb807ff,0xdfff91ff,0xffff7533,
    0x7fc4009f,0x7fc403ff,0x3ff602ff,0x333223ff,0xdffffccc,0x2a1ccccc,
    0x004fffff,0xfffff500,0x03fffe49,0x3237ffe4,0xffeeffff,0xeeeeeeff,
    0xfffff15e,0xffffffff,0xffd85fff,0xfeefffff,0xfff75fff,0xeefffc81,
    0xf74eeeee,0x40003fff,0xffffffc8,0x3ff24fff,0xffffffff,0xbfffffff,
    0x90007fff,0x3ffe2fff,0x9bffa7ff,0xffffffff,0x7ffdc4ff,0xffff912f,
    0x20001bff,0x7cc2fffe,0xf10007ff,0x3f20dfff,0xffffffff,0xff30ffff,
    0x3fffe6bf,0x32bfff31,0xff306fff,0x7cc01fff,0x3fffffff,0x7ffffe40,
    0x5fffffff,0xd01bfff2,0x3feebfff,0xfffb807f,0xfffff92f,0x9fffffff,
    0xffff8800,0x7fffc403,0xfffff502,0xfffd001f,0xffffb001,0x2200005f,
    0x70effffe,0xd801ffff,0x3fe65fff,0x1bff20ef,0x02ffff80,0x3fffee00,
    0x5fffc81d,0xfc81fff5,0xffa800ff,0x500002ff,0xfffffff9,0x3fffff23,
    0xffffffff,0xfffbffff,0xfff90007,0xb2fffff4,0x7fffcfff,0x44ffffff,
    0xf51ffffa,0x05ffffff,0x17ffee00,0x001fffe6,0x817fffe4,0xfffffffc,
    0x30ffffff,0x7fecbfff,0x2bfff34f,0x999ffffc,0x2fffffda,0xfffffd80,
    0xfffc807f,0xffffffff,0x1bfff25f,0x2e9ffff0,0xfa807fff,0xfff91fff,
    0x7fffffff,0xfff10003,0xfff8807f,0xffff902f,0xffd003ff,0x3fee001f,
    0x40003fff,0x0effffe9,0x007fffea,0x7dc9ffff,0x3ffe42ff,0x09fffd00,
    0x37ffec00,0x26bfff90,0x7fec0fff,0xfff9801f,0xa800005f,0x003fffff,
    0x3fffdc00,0x26ffc800,0x362ffffc,0x3ff327ff,0x42cccdff,0xf50ffffb,
    0x05ffffff,0x1ffff100,0x00ffff30,0x0dffff10,0x667fffe4,0x24cccccc,
    0x3ea5fff9,0xfff98fff,0xffffff95,0xbfffffff,0x3fffe600,0xffc803ff,
    0xffffffff,0x3fff25ff,0x3fffea06,0x00ffff72,0x321ffff7,0xffffffff,
    0x88000dff,0x4403ffff,0xf702ffff,0x003fffff,0x4001fffd,0x05fffffa,
    0xfffff500,0xbffff30b,0x17fffd40,0xfc81fff9,0xff9001ff,0x3e0001df,
    0x3fa04fff,0x3fff35ff,0x003fffe8,0x003fffff,0xffff5000,0xfb800009,
    0xfb0007ff,0x7fffccdf,0xf11fff60,0xfc805fff,0x2b7ea7ff,0x8002ffff,
    0xf303fffd,0xf7000fff,0x7e405fff,0x7cc006ff,0x7fff45ff,0xf95fff9c,
    0xffffffff,0xd8007fff,0x9006ffff,0x5555dfff,0x7e455555,0xffd106ff,
    0x3ffee1ff,0x7fffc807,0x2e7bfff2,0x005ffffe,0x03ffff88,0x817fffc4,
    0x06fffff8,0x001fffd0,0xefffff98,0x3ffee000,0x3ffa03ff,0xfff983ff,
    0x0fffe46f,0x009ffff3,0x013fffea,0x43ffff40,0x15ffffe8,0x7fc47fff,
    0xffb006ff,0x0cc05fff,0xffff5001,0x002aa005,0x000ffff7,0xfff1bff6,
    0x20fffd8b,0x402ffff8,0x4666fffd,0x002ffff8,0x667fffcc,0xfffdcccc,
    0xf802cccf,0x7e406fff,0x7cc006ff,0x7ffdc5ff,0xf95fff9f,0xffffffff,
    0xf30001bf,0x32007fff,0x64006fff,0x7dcc6fff,0x3ee4ffff,0xffd807ff,
    0x17fff26f,0x005ffffb,0x03ffff88,0x017fffc4,0x001bfff5,0x0003fffa,
    0x3bffffa2,0xffffd801,0x7ffcc02f,0xffdbbdff,0x7fdc2fff,0xffffd34f,
    0x6c0c987f,0x99beffff,0x6c3dca99,0xb89cffff,0x25fffffe,0x3ff26ffd,
    0x20a84fff,0xeffffff8,0x12ffdccd,0x54c337bf,0x400fffff,0x201fffe8,
    0x0007fffb,0xffc8dffd,0x107ffe42,0x4405ffff,0xf105ffff,0x98005fff,
    0xffffffff,0xffffffff,0x7fdc04ff,0x7fe403ff,0x7fcc006f,0x7fffc45f,
    0xff95fffc,0x003555ff,0x5ffff100,0x1bfff200,0xfffff900,0xffffffff,
    0x07fffb8d,0x92ffffc4,0xff88bfff,0x7c4006ff,0x7c403fff,0x09802fff,
    0x07fff400,0xfffd8800,0xffd102ff,0x36003fff,0xffffffff,0xf985ffff,
    0xefffffff,0xffefffff,0x7fffc41f,0xffffffff,0x7fffd43f,0xfeffffff,
    0x3ffea5ff,0xffefffef,0x40ffedff,0xfffffffa,0xf12fffff,0xffffffff,
    0x700bffff,0x5c0bffff,0xd0007fff,0x7e400bff,0x3ffe20ff,0x3fff202f,
    0xffff102f,0xfff98005,0xffffffff,0x4fffffff,0x03ffffc0,0x0037ffe4,
    0x3217ffe6,0x5fffffff,0x000dfff9,0x5ffff100,0x1bfff200,0xfffff900,
    0xbfffffff,0x07fffb81,0x917fffe4,0xff90bfff,0x7c4005ff,0x7c403fff,
    0x00002fff,0xf9000000,0xf987ffff,0x000effff,0x7fffffe4,0x3603ffff,
    0xb5ffffff,0xffffffff,0xffffd303,0x7fffffff,0xffffffb0,0xbfff1dff,
    0x7fffff44,0xfffff9cf,0xfea80fff,0xffffffff,0xfffff12f,0xbfffffff,
    0x3ffff200,0x1fffee06,0x02fff400,0x443fff90,0xf502ffff,0x7c40dfff,
    0x4c002fff,0xffffffff,0xffffffff,0x3fee04ff,0xffc803ff,0x7fcc006f,
    0xffff885f,0xfff95fff,0xf100000d,0x32005fff,0x64006fff,0xffffffff,
    0xff702eff,0x7ffd40ff,0x2fffe46f,0x037fffc4,0x07ffff10,0x02ffff88,
    0x00000000,0x3ffffee0,0xbfffff33,0x7ff4c000,0x401dffff,0x44ffffd8,
    0xdffffffc,0x3fffae00,0x01dfffff,0x7dfffff7,0x3a22fffc,0x3a64ffff,
    0x00dfffff,0x3fffffae,0xffd10bef,0xbfffffff,0x7ffcc005,0x3ffee03f,
    0xbfff0007,0x0fffe400,0x885ffff1,0x01fffffd,0x00bfffe2,0x26666660,
    0xfffb9999,0x3a00999f,0xf9007fff,0xf9800dff,0xfffb05ff,0x3ff2bfff,
    0x8800006f,0x9002ffff,0xc800dfff,0xbcccffff,0x7ffdc00a,0xffffd887,
    0x2fffe41f,0x01ffffd8,0x07ffff10,0x02ffff88,0x55554c00,0xaaaaaaaa,
    0xf98002aa,0x3ff20eff,0x2600004f,0xa88000aa,0x06aa6201,0x26aaa600,
    0x06aa6000,0x80554400,0x40009aa9,0x44009998,0x009aaaa9,0x807dd500,
    0xeeeffffb,0x46eeeeee,0x2e005fff,0x3fe22fff,0xfffeeeff,0x4404ffff,
    0xeeeeffff,0x02eeeeee,0x07fff980,0x07ffff50,0x3bffff20,0xeeeeeeee,
    0x20bfff32,0x5ffffff9,0x000dfff9,0x5ffff100,0x1bfff200,0x0dfff900,
    0x3fffee00,0xfffffeee,0xfffc84ff,0xbffff305,0x3fffe200,0x7fffc403,
    0xeeeeeeee,0xfff901ee,0xffffffff,0x2000ffff,0x2fc80ee8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fffffdc,0x7fffffff,
    0x70027ffc,0x7fc45fff,0xffffffff,0xf8803fff,0xffffffff,0x002fffff,
    0x007fff98,0x001ffffd,0x3ffffff2,0x3fffffff,0x740bfff3,0xf95fffff,
    0x00000dff,0x005ffff1,0x001bfff2,0x000dfff9,0x3fffffee,0x3fffffff,
    0x40bfff90,0x801ffffe,0x403ffff8,0xfffffff8,0x2fffffff,0xffffff90,
    0xffffffff,0x0044000f,0x00000003,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffff700,0xffffffff,0x027ffc4f,0x447fff70,0xffffffff,
    0x1000dfff,0xffffffff,0x05ffffff,0x0ffff300,0x09ffff50,0x7ffffe40,
    0xffffffff,0x40bfff33,0x95fffffa,0x0000dfff,0x05ffff10,0x01bfff20,
    0x00dfff90,0x3ffffee0,0x0dffffff,0x817fff20,0x805ffffb,0x403ffff8,
    0xfffffff8,0x2fffffff,0xffffff90,0xffffffff,0x0000000f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0xfffffffb,0x27ffffff,
    0x2004fff8,0x3e23fffb,0xbdefffff,0x7fc4001a,0xffffffff,0x8002ffff,
    0xe807fff9,0x2000ffff,0xfffffffc,0x33ffffff,0xfe80bfff,0xfff95fff,
    0xf100000d,0x32005fff,0x64006fff,0x70006fff,0xbdffffff,0xff900357,
    0xffff80bf,0x7ffc400f,0x7ffc403f,0xffffffff,0x00002fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x2602aaa9,0x2aa62aaa,0x02aaaaaa,
    0x9305554c,0x555037bb,0xaaa80015,0x55555542,0xaaaaaaaa,0x40555511,
    0x262aaaa9,0x5000aaaa,0x00005555,0x33261555,0x405e64c1,0x400aaaaa,
    0x530aaaa9,0x6e5c4155,0x0000002b,0x0003332e,0x2f7bb2a2,0x99950001,
    0x6400ae00,0x00020000,0x3b6e2000,0x2601ceee,0x00bdeecb,0x003ccca8,
    0x9700732a,0x31039bdd,0x33333333,0x00333333,0x97007997,0x6664c799,
    0x2000000c,0xccccccc8,0xcccccccc,0x99950003,0x3fee0399,0x3fff206f,
    0x3fffff66,0x7ec07fff,0xfffd89ff,0x7fec3fff,0x7ff4003f,0x7fffffc7,
    0xffffffff,0x20ffff33,0x21fffff9,0x804ffff9,0x544ffff8,0x0ceeffec,
    0xffaafff8,0xffff55ff,0xffffa81d,0x3fffe206,0x64bffee6,0x0dffffff,
    0x33bfb6e0,0x7fff4001,0x7ffdc001,0x00dfffff,0x403ffe40,0x7ec02ffb,
    0x407e440e,0xf7000fea,0xf5077207,0xbfffffff,0xfffffc88,0xfd501fff,
    0x2e00bfff,0xe982ffff,0x4fffffff,0x7fffffe4,0xffffffff,0x7fffcc07,
    0x2ffff402,0x301ffff5,0x0019dfdb,0xffffff88,0xffffffff,0xffa8006f,
    0x3ee02fff,0x3ff206ff,0x3ffff66f,0x6c07ffff,0xfffeafff,0x323fffff,
    0x7c004fff,0x7fffc6ff,0xffffffff,0xffff33ff,0x5ffffd10,0x00ffffd0,
    0x443ffff5,0xffffffff,0x7dfffc2f,0xff9fffff,0xfd84ffff,0xffb04fff,
    0x7ffdc1ff,0xffffffda,0xffe985ff,0x005fffff,0x4007fffa,0xbcdfffd8,
    0x001effed,0xf701bfee,0x3f605fff,0x3ffea6ff,0x02fffe45,0x2637ffcc,
    0x3fea4fff,0x4fffffff,0x3ffffff2,0x3aa0ffff,0x05ffffff,0x8ffffff0,
    0xfffffff9,0x3ff24fff,0xffffffff,0x7407ffff,0x200fffff,0x3ea5fffd,
    0x7fd40fff,0x981fffff,0xfff12eee,0xffffffff,0x800dffff,0x00effffa,
    0x9037ffdc,0x7fecdfff,0x07ffffff,0x7fffffec,0x7fffffff,0x8017ffee,
    0x7fc5fff8,0xffffffff,0xff33ffff,0xffffd0ff,0x3fffee07,0x37ffec02,
    0x3b33bfe2,0x7ffc6fff,0xffffefff,0x87fffeff,0x41fffff8,0x5c3ffffa,
    0xffffffff,0x21ffffff,0xfffffff8,0xfd004fff,0x3f6003ff,0x70999adf,
    0x3d101fff,0x7b12ffdc,0x17ffffcc,0x88bffff6,0x3e22fffe,0x7f402fff,
    0x7fff43ff,0x2a66b262,0x7f46fffe,0xffffecce,0x3ffffee2,0xfff005ff,
    0x7ff45fff,0xfffdaadf,0xfffff91f,0xffffffff,0x7ffdc0ff,0x3f604fff,
    0x3ffe64ff,0x7ffffc47,0x7d42ffff,0xffff12ff,0xffffffff,0x5400dfff,
    0x7004ffff,0x7e40dfff,0x7fe406ff,0x7ffec07f,0xff90cfff,0x3ffe65ff,
    0x3ffe6006,0x55555544,0xeffffdaa,0xc8ffff30,0x2204ffff,0x2205ffff,
    0x0283ffff,0x7fc3fff7,0xfffd1fff,0x03fff65f,0x89bfffe6,0xfb85ffff,
    0x8adfffff,0x324ffffc,0xfc99cfff,0xfe800fff,0xffa801ff,0xdfffff8c,
    0xfd85ff98,0x2abff54f,0x3fe60fff,0xfffb2fff,0xffff305f,0x037ffd41,
    0xfc8dfff7,0xff7004ff,0x7c4298bf,0x3fe23fff,0x005fffcc,0x27fffffd,
    0xfb85fff9,0x555534ff,0x55555555,0x3fe20555,0x01fffbbf,0x7cc9fff9,
    0x7ffdc7ff,0x2fffffef,0x0007fff6,0x5006fff8,0x4005ffff,0x3206fffb,
    0x7e406fff,0x7fec07ff,0xfff82fff,0x8ffff13f,0x7fd41998,0x3fe2003f,
    0x3fe60fff,0x3fffee7f,0xffffc804,0x1ffff700,0x17ffcc00,0x7ec9ffff,
    0x3fff26ff,0x9ffff901,0x203ffff6,0x84fffffb,0x3fe5ffff,0x2fffb85f,
    0x01fffe80,0xbff16ff8,0x3fee9ffd,0x3bfffe62,0xfffccffb,0x7fffcc4f,
    0x03ffffef,0xfb17fff2,0xfff109ff,0x37ffd41f,0x3fffe980,0x2ffff980,
    0x5fffb854,0xfffff100,0x20bffea9,0x0005fff8,0xe9bff200,0xfff906ff,
    0x23fffc47,0xfd30fffe,0xfffddfff,0xfff8000f,0x13333006,0x6fffb800,
    0x01bfff20,0xd80ffff9,0xfb03ffff,0x7fffc9ff,0xa83fff60,0xd1002fff,
    0xf985ffff,0xffff57ff,0x3ffe600b,0xbfffd03f,0x77765c40,0x3ffe2fff,
    0x8bfff60f,0x3a01fffb,0xfffcffff,0xffff702f,0x5bfff60b,0xf982fff9,
    0xffe804ff,0x8ffcc01f,0x4dfb0ff8,0x7ff5c4fe,0xffffffff,0xfff980cf,
    0x803fffff,0x3e23fffe,0x7fec1fff,0x3fffe23f,0x3ffffa01,0xfe8803ff,
    0x7fdc06ff,0x3fea005f,0x3fff72ff,0x001bffe0,0x17ffcc00,0xf707fff5,
    0x7ffc47ff,0x2237ffc6,0xfffffffe,0x7fc0003f,0x0000006f,0x640dfff7,
    0x7e406fff,0x7fec07ff,0x3bbb206f,0xf87fffa4,0x3fee3fff,0xfffb001f,
    0xffff309f,0x00dffff3,0x986fffe8,0xf901ffff,0xffffffff,0x3637ffc5,
    0x7ffdc7ff,0x3fffe201,0x2e05ffff,0x3ee07fff,0x5fff56ff,0x6553ffe0,
    0xfffccccc,0x4cccccdf,0x47fc4ff7,0x1bf25fe8,0x7fffff54,0x7cc00bff,
    0x003fffff,0x541ffff1,0x3fee6fff,0x1fffec5f,0x3fffffa0,0x3fa200bf,
    0x7dc02fff,0x3e2005ff,0xfff50fff,0x0bfff307,0x3ffa0000,0x40fffe85,
    0x7fc2fffb,0x0fbba25f,0x3fffffa2,0x7c0000df,0x000006ff,0x40dfff70,
    0x6406fffc,0x7ec07fff,0xfb0005ff,0x3ffea5ff,0x03fff26f,0x1bfffee0,
    0x7f7fffcc,0x5c000eff,0x7e41ffff,0xfff706ff,0x5fff755b,0x3f637ffc,
    0x0fffdc7f,0x3ffffee0,0x3fee00ff,0x3ffee06f,0x309fff36,0x3ff27fff,
    0xffffffff,0x97ffffff,0x7fffc4df,0x81fee0df,0x3fffffe9,0x3ffffa00,
    0xffd1002f,0x7fffcc3f,0xe89fffb0,0x76c01fff,0x1fffffee,0x2ffffe88,
    0x05fffb80,0x99bffe60,0xffc86fff,0xfffff93f,0xffffffff,0x1fffa8ff,
    0x545fff98,0x7ffc2fff,0xfff70005,0x3e00009d,0x000006ff,0x40dfff70,
    0x6406fffc,0x7ec07fff,0xf90005ff,0x3fff67ff,0x0fffb1ff,0x1fffff30,
    0x3ffffe60,0x4000efff,0x7c4ffff8,0xffd03fff,0x22fff98d,0x7fec6fff,
    0x00fffdc7,0x17ffffec,0x81bffee0,0x3fe6fffb,0x2fffc86f,0xfffffff9,
    0xffffffff,0xf89bf2ff,0x7dc0ffef,0xffffea87,0x00bfffff,0x3ffffff6,
    0xfffd802f,0x117fff44,0x7cc3ffff,0x26000eff,0x7cc4fffe,0x7001ffff,
    0x2600bfff,0x7f41fffe,0xffebcfff,0xffff90ff,0xffffffff,0x7ffc4fff,
    0x87fff605,0x5540aaa8,0x0440001a,0x00000000,0x7ffdc000,0x1bfff206,
    0x80ffff90,0x0005fffd,0x3fe9fff7,0xffd4ffff,0xffff880d,0x3ffe601f,
    0x05ffffbf,0x27fffd80,0xf00ffff9,0x7feccdff,0xb1bffe2f,0xfffb8fff,
    0x7fffc401,0x7fdc05ff,0x3ffee06f,0x2bbfffa6,0x326fffd9,0xffffffff,
    0xffffffff,0x7fc4ff77,0x37e46fc8,0xfdffffd3,0x7fffffdf,0xffffffb0,
    0x7d405fff,0x7ffe46ff,0x46fffb85,0x4004fffc,0x3ea6fffd,0x2000dfff,
    0x9105fffb,0x07ffffd9,0xfffffff3,0x7fe47fff,0xffffffff,0x3f27ffff,
    0x3fe200ff,0x0000006f,0x00000000,0x7dc00000,0x3ff206ff,0x7ffe406f,
    0x2fffec07,0xdfffa800,0x7ffefffa,0xfd809fff,0x7cc03fff,0xffffb7ff,
    0xfff98007,0x0bfffb1f,0x7f77ffec,0x3fe2ffff,0x23ffec6f,0x6c01fffb,
    0x2fffffff,0x81bffee0,0x3e66fffb,0xffffffff,0xfffd001f,0x11ff9803,
    0x47ff11ff,0x3ffe24fe,0xe9cff9bf,0x7fec2fff,0xffff9aff,0xffff882f,
    0x03fffe61,0xd11ffff4,0xaa985fff,0xffffb999,0xdfffff54,0x64cddddd,
    0xcefffecc,0x3fffe24c,0x3fa602ef,0x42ffffff,0xaaaaaaa9,0x2aaaaaaa,
    0x7009fff3,0xcb987fff,0x41f64402,0x76c01dd9,0xeeeeeeee,0xdddddd50,
    0x0009dddd,0x1bffee00,0x406fffd8,0x6c07fffc,0x10005fff,0xbff9dfff,
    0xfff5fff7,0x7fffe407,0x7fff9805,0x05ffffd1,0x8cfffe80,0x2602ffff,
    0xedffffff,0x1bffe2ff,0xffb8fffb,0x3fff201f,0x00ffffff,0x5c0dfff7,
    0x7fd46fff,0x02ffffff,0x007fffa0,0x87fc5bfe,0x85ff76fd,0xbff50efb,
    0x3ff637e4,0x3ffe62ff,0x7ffec2ff,0x017fff43,0x4c3ffff3,0x3f60ffff,
    0xffffffff,0xfffff91f,0x54ffffff,0xffffffff,0x3ffe27ff,0x372a003e,
    0x00000acd,0xf5000000,0x7ec0bfff,0x3ffe63ff,0x3fffa00f,0x50ffffff,
    0xffffffff,0x00000bff,0x203fffee,0x406ffffc,0x6c07fffc,0x20005fff,
    0xbfffffff,0xfffefff8,0xdffff502,0xffff3001,0x0fffffcc,0x5ffff700,
    0x9300ffff,0x332a59bd,0xfb1bffe1,0x1fffb8ff,0x59ffff30,0x2e0dffff,
    0x3ee06fff,0xedc886ff,0x74000bde,0xfa801fff,0x930cc8bf,0x0e0bff59,
    0x21a8dff7,0x983ffffc,0x3ea6ffff,0x7ffe46ff,0x6fffb805,0xfb2fffe4,
    0xdfffffff,0x7ffffe43,0x2a7fffff,0xffffffff,0x002627ff,0x00000000,
    0x7fc00000,0xff02ffff,0x7ffdcdff,0x3fffa02f,0x50ffffff,0xffffffff,
    0x00000bff,0x90bfffea,0x80dfffff,0x6c07fffc,0x20005fff,0x0ffffffe,
    0x3ffffffd,0x3fffff10,0x1fffe600,0x01dffff7,0x3ffffe20,0x00004fff,
    0xfd8dfff0,0x0fffdc7f,0x877fffc4,0xb84ffffd,0x3ee06fff,0x000006ff,
    0x800ffff4,0xf700dffd,0x3f2001ff,0x7ff4406f,0x07ffe603,0xfc881fd5,
    0x5dfd000f,0x2e0cfe88,0x1bceeeee,0xcccccca8,0x3264cccc,0xcccccccc,
    0x0000004c,0x00000000,0xfffff300,0x3fffa09f,0x07fffea4,0x99999998,
    0x3ffea199,0x5fffffff,0xff100000,0xfff79fff,0x2a2dffff,0xfffdaaaa,
    0xb0aaaaaf,0x4000bfff,0x26fffffd,0x0ffffffb,0xefffffe8,0x3eeeeeee,
    0xfb0ffff3,0x6c00bfff,0x0fffffff,0x4cccccc0,0xf0999999,0x7ffd8dff,
    0x6c0fffdc,0x3e22ffff,0x7dc1ffff,0x3fee06ff,0x2666666f,0x09999999,
    0x01fffe80,0x7bfffb10,0x05fffd97,0x403ffe40,0x1e9803e8,0x00288060,
    0x000980a6,0x00000000,0x00000000,0x00000000,0xffffff88,0x81dfd304,
    0x00003ffc,0x88888888,0x00000888,0x3fffff60,0xfffdffff,0xffffff56,
    0xffffffff,0x17fff63f,0xffffc800,0x3fffe23f,0xffff987f,0xffffffff,
    0xffff34ff,0x9ffffd10,0x3fffe600,0x7fc405ff,0xffffffff,0x8dfff2ff,
    0x7fdc7ffd,0x7fffdc1f,0xeffffa84,0x81bffee0,0xff16fffb,0xffffffff,
    0xffd005ff,0xffb8003f,0x0dffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffd00000,0x00803fff,0x00000000,0x26000000,
    0xffffffff,0xf56fff8d,0xffffffff,0x23ffffff,0x0005fffd,0x03ffffee,
    0x30dffffd,0xffffffff,0x29ffffff,0xf307fff9,0x2005ffff,0x02fffffe,
    0x7fffffc4,0xf2ffffff,0x7ffd8dff,0xf30fffdc,0x7ec0dfff,0x3fee5fff,
    0x3ffee06f,0xffffff16,0x05ffffff,0x003fffd0,0x7bdd9710,0x00000003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x88000000,0x0003fffe,
    0x11000000,0x11111111,0x11111111,0xe8800011,0x3e3fffff,0xffff56ff,
    0xffffffff,0x3ff63fff,0x3ea0005f,0xffb86fff,0xfff985ff,0xffffffff,
    0xfff34fff,0x7fffdc0f,0xfffb801f,0xeee8807f,0xeeeeeeee,0xd8dfff2e,
    0x7ffdc7ff,0x3fffff11,0x7ffffc40,0x40dfff73,0xdd16fffb,0xdddddddd,
    0x000005dd,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x000054c0,0xff000000,0xffffffff,0xffffffff,0x100003ff,
    0x00000353,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ffffffe,0xffffffff,0x001fffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffffffff,0xffffffff,0x0003ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0xaaaaaaaa,0xaaaaaaaa,0x0000aaaa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_37_latin_ext_x[560]={ 0,7,4,0,1,0,0,7,4,4,2,1,3,4,
6,1,0,2,2,2,0,2,1,1,1,1,6,4,1,2,3,5,0,0,2,1,1,3,3,0,1,2,3,2,
3,0,1,0,2,0,2,1,1,1,0,0,0,0,1,5,2,4,1,0,0,1,2,2,1,1,0,1,2,2,
2,2,2,1,2,1,2,1,3,2,1,2,0,0,0,0,2,2,8,3,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,7,2,1,0,0,
8,1,0,0,3,2,1,4,1,0,3,1,4,4,0,2,1,6,7,4,3,2,0,0,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
0,0,0,0,0,1,0,0,1,0,1,0,1,0,-1,0,0,1,0,0,0,0,0,0,3,1,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,2,0,2,1,1,0,0,2,2,2,0,0,3,
2,-5,-3,2,1,0,2,0,0,1,2,0,0,0,1,2,0,0,0,0,0,0,0,0,-1,0,2,3,-1,0,
0,0,0,0,1,2,0,0,1,1,0,-3,1,0,0,0,0,0,0,0,0,0,0,0,1,2,0,0,0,0,
0,0,0,0,0,0,0,4,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,-4,-2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__consolas_bold_37_latin_ext_y[560]={ 27,1,1,3,-1,1,1,1,0,0,1,8,20,15,
20,1,2,3,2,2,3,3,3,3,2,2,8,8,6,11,6,1,1,3,3,3,3,3,3,2,3,3,3,3,
3,3,3,2,3,2,3,2,3,3,3,3,3,3,3,0,1,0,3,30,1,8,1,8,1,8,1,8,1,0,
0,1,1,8,8,8,8,8,8,8,2,8,8,8,8,8,8,0,-3,0,12,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,27,8,-1,2,3,3,
-3,1,1,2,2,9,15,15,1,2,1,4,1,1,1,8,1,13,27,1,2,9,1,1,1,8,-4,-4,-4,-4,
-4,-5,3,3,-4,-4,-4,-4,-4,-4,-4,-4,3,-4,-4,-4,-4,-4,-4,9,-1,-4,-4,-4,-4,-4,3,1,1,1,
1,1,1,-2,8,8,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,7,4,1,1,1,1,1,1,1,
-3,2,-4,1,3,8,-4,1,-4,1,-4,0,-4,1,-4,0,3,1,-3,2,-4,1,-4,0,3,8,-4,1,-4,1,
-4,1,-4,0,2,0,-4,-5,3,1,-4,1,-3,2,-4,1,3,0,-4,8,3,0,-4,1,3,1,8,-4,-5,3,
1,0,0,3,1,3,1,-4,1,3,8,-4,1,-2,3,8,-3,2,-4,1,-4,1,3,8,-4,1,3,8,-4,1,
-4,1,-4,1,2,8,-4,1,3,2,-4,0,3,2,-4,1,-3,2,-4,1,-5,-2,-4,1,3,8,-4,1,-4,1,
-4,-4,1,-4,0,-4,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-9,-7,-4,1,-4,-1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,2,8,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__consolas_bold_37_latin_ext_w[560]={ 0,6,13,20,18,21,21,6,13,12,16,18,11,12,
8,18,20,17,17,17,20,17,18,18,18,18,8,10,16,16,16,13,21,21,17,18,19,15,15,19,18,16,14,18,
16,20,18,20,17,21,18,18,18,18,21,20,21,21,18,11,18,11,18,21,13,17,18,16,17,18,19,19,16,17,
15,18,17,19,16,19,18,17,16,16,17,16,20,21,20,20,16,15,5,15,20,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,6,15,18,20,20,
5,18,17,21,14,17,17,12,19,16,14,18,13,12,19,18,18,8,6,13,14,17,21,21,21,14,21,21,21,21,
21,21,21,18,18,18,18,18,18,18,18,18,20,19,20,20,20,20,20,17,20,19,19,19,19,21,17,18,18,19,
18,18,18,18,20,16,19,19,19,19,19,20,19,19,18,18,20,20,20,20,20,18,19,18,19,18,18,20,18,20,
21,18,21,18,21,18,19,20,18,18,18,18,18,18,21,24,20,20,18,19,18,19,18,19,16,18,18,19,19,20,
19,20,19,20,19,20,19,18,20,18,18,19,18,19,18,19,17,17,18,17,18,18,17,17,18,18,18,19,19,16,
17,24,24,19,23,19,17,19,19,18,16,19,18,19,18,16,20,20,20,20,22,22,20,20,21,19,18,16,21,19,
19,19,19,18,18,16,19,18,18,17,19,24,18,18,19,18,19,18,19,18,19,18,22,22,18,17,20,21,21,20,
21,19,19,19,18,19,18,15,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,19,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,21,19,21,20,24,22,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,16,18,17,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18, };
static unsigned short stb__consolas_bold_37_latin_ext_h[560]={ 0,27,10,24,33,27,27,10,35,35,17,19,14,5,
8,30,26,24,25,26,24,25,25,24,26,25,20,26,22,12,22,27,34,24,24,25,24,24,24,26,24,24,25,24,
24,24,24,26,24,32,24,26,24,25,24,24,24,24,24,35,30,35,12,5,8,20,27,20,27,20,26,27,26,27,
35,26,26,19,19,20,27,27,19,20,26,20,19,19,19,27,19,35,38,35,10,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,0,27,33,25,24,24,
38,31,8,26,19,16,9,5,18,7,13,23,15,15,8,27,31,8,6,15,19,16,26,26,26,27,31,31,31,31,
31,32,24,30,31,31,31,31,31,31,31,31,24,31,32,32,32,32,32,17,32,32,32,32,32,31,24,27,27,27,
27,27,27,30,20,25,27,27,27,27,26,26,26,26,27,26,27,27,27,27,27,20,27,27,27,27,27,34,34,34,
30,26,31,27,32,27,32,27,32,27,32,28,32,27,31,28,24,27,30,26,31,27,31,28,32,27,31,27,32,34,
32,34,32,35,33,35,31,32,24,26,31,26,30,25,31,26,32,35,31,19,25,35,32,34,32,34,19,31,32,32,
34,27,27,24,26,24,26,31,26,32,27,31,26,29,32,27,31,26,32,27,32,27,25,20,31,26,32,27,31,26,
32,27,32,27,31,25,32,27,32,33,31,28,24,26,32,27,31,26,32,27,33,30,32,27,32,27,31,26,31,34,
31,31,26,31,27,31,26,26,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,31,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,36,35,31,27,35,32,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,33,27,32,33,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24, };
static unsigned short stb__consolas_bold_37_latin_ext_s[560]={ 511,499,434,386,40,479,274,502,76,129,259,
220,371,478,502,403,155,350,38,152,80,94,466,101,460,56,503,499,326,398,343,
497,363,269,368,112,229,120,195,96,291,450,131,489,1,18,136,170,155,157,249,
290,268,75,247,184,407,173,165,191,343,142,415,478,497,420,110,459,37,401,479,
1,176,74,154,249,309,147,188,360,317,92,36,476,370,1,111,53,167,21,75,
203,1,35,448,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,
146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,511,501,59,
407,205,226,7,100,443,268,132,312,469,478,239,461,383,307,343,330,487,18,62,
434,503,357,205,294,438,416,394,496,187,20,107,63,21,415,467,384,1,323,242,
461,480,160,442,81,39,42,259,299,361,320,201,276,104,20,476,341,162,179,211,
255,236,216,197,178,159,324,380,1,102,82,62,42,250,290,56,76,460,193,422,
401,380,359,338,493,301,282,262,243,224,342,385,279,362,212,383,123,82,85,336,
142,376,26,40,442,143,104,220,481,329,296,305,116,229,45,248,461,299,163,149,
65,395,258,382,321,456,170,1,237,449,1,429,211,364,333,267,18,282,230,125,
219,201,18,447,90,222,404,240,422,92,209,262,282,441,336,361,287,346,60,231,
402,1,280,443,422,136,422,182,386,119,373,221,403,59,129,426,438,405,191,437,
1,427,270,356,462,316,443,168,485,242,424,202,459,129,1,310,327,98,55,140,
388,137,122,477,286,179,182,118,141,261,311,301,300,342,469,353,489,205,1,37,
21,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,43,
146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,
146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,
146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,
146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,
146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,
146,146,146,13,109,85,482,51,75,146,146,146,146,146,146,146,146,146,146,146,
146,146,146,146,146,146,146,146,146,146,146,146,146,21,321,202,459,146,146,146,
146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,
146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,
146,146,146,146,146,146,146,146,146, };
static unsigned short stb__consolas_bold_37_latin_ext_t[560]={ 1,74,334,283,40,171,200,256,1,1,334,
334,334,345,267,139,256,283,283,228,309,283,256,309,228,283,200,228,309,334,309,
1,1,283,283,283,309,309,309,256,283,282,283,282,309,309,309,228,309,40,309,
256,309,283,283,283,282,309,283,1,139,1,334,351,29,309,228,309,228,309,228,
200,256,228,1,256,256,334,334,309,200,228,334,309,256,334,334,334,334,200,334,
1,1,1,334,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,
283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,1,171,40,
256,283,283,1,107,345,256,334,334,334,345,334,345,334,309,334,334,334,228,107,
345,221,334,334,334,228,228,228,40,139,107,139,139,139,40,282,139,107,107,107,
74,74,107,74,107,309,107,74,74,74,74,74,334,74,74,40,74,74,107,309,
200,200,200,200,200,200,139,309,283,200,200,200,200,228,228,256,256,171,256,171,
171,171,171,171,309,171,171,171,171,171,1,1,1,139,256,107,171,74,171,40,
171,40,171,74,139,74,171,107,139,283,200,139,256,139,171,139,139,40,171,139,
171,40,1,74,1,40,1,40,1,107,74,282,228,107,228,139,283,107,228,74,
1,107,334,256,1,74,1,74,1,334,139,40,40,1,200,200,309,256,309,256,
74,256,74,171,74,256,139,74,200,107,228,40,200,74,228,256,309,107,228,40,
228,107,228,40,200,40,200,139,256,40,200,40,1,139,171,283,256,40,228,107,
256,40,200,1,139,40,171,40,200,107,228,107,1,107,107,228,107,171,139,256,
256,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,139,
283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,
283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,
283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,
283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,
283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,
283,283,283,1,1,139,200,1,40,283,283,283,283,283,283,283,283,283,283,283,
283,283,283,283,283,283,283,283,283,283,283,283,283,40,171,40,1,283,283,283,
283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,
283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,
283,283,283,283,283,283,283,283,283, };
static unsigned short stb__consolas_bold_37_latin_ext_a[560]={ 325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_37_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_bold_37_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_37_latin_ext(stb_fontchar font[STB_FONT_consolas_bold_37_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_37_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_bold_37_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_37_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_37_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_37_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_37_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_37_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_37_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_37_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_37_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_37_latin_ext_s[i] + stb__consolas_bold_37_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_37_latin_ext_t[i] + stb__consolas_bold_37_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_37_latin_ext_x[i];
            font[i].y0 = stb__consolas_bold_37_latin_ext_y[i];
            font[i].x1 = stb__consolas_bold_37_latin_ext_x[i] + stb__consolas_bold_37_latin_ext_w[i];
            font[i].y1 = stb__consolas_bold_37_latin_ext_y[i] + stb__consolas_bold_37_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_bold_37_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_37_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_37_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_37_latin_ext_s[i] + stb__consolas_bold_37_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_37_latin_ext_t[i] + stb__consolas_bold_37_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_37_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_37_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_37_latin_ext_x[i] + stb__consolas_bold_37_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_37_latin_ext_y[i] + stb__consolas_bold_37_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_37_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_37_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_37_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_37_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_37_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_37_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_37_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_37_latin_ext_LINE_SPACING
#endif

