// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_39_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_39_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_39_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_bold_39_latin_ext_BITMAP_HEIGHT        396
#define STB_FONT_consolas_bold_39_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_bold_39_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_bold_39_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_bold_39_latin_ext_LINE_SPACING          26

static unsigned int stb__consolas_bold_39_latin_ext_pixels[]={
    0x26213331,0x31000099,0x08013333,0x3ae00000,0x0002eeee,0xeb800008,
    0x8002eeee,0xdb1edca9,0x6c001579,0xeeeeeeee,0x26008806,0x01771000,
    0x40005950,0x40000098,0x0000fffc,0x00002b98,0xd1003993,0xdddddddd,
    0x1cc88009,0x545ffd80,0x50000fff,0x2001dfff,0x003ffff8,0x00008000,
    0x3fffa200,0x744001ef,0xff501fff,0xc80003ff,0xffffffff,0x7d40004f,
    0xff000eff,0x3fea5fff,0x0dfff56f,0xffffd100,0x000ed809,0xffffb800,
    0xfa80001f,0x3fee0003,0x4c001fff,0xd1fffffe,0x007fffff,0x3ffffffe,
    0x3fa207ff,0x17ff443f,0x07fffe60,0x005fffd8,0x3bffff66,0xff80001c,
    0xfb80006f,0x20000eff,0x402ffffa,0xfffffff8,0x3e6006ff,0x7dc03fff,
    0xfffd11ff,0x3ffea000,0xff1005ff,0x000007ff,0x07bfff22,0xffe88000,
    0x44000dff,0x81fffffe,0x001ffffa,0x7ffffe40,0x0004ffff,0x17ffffea,
    0x97ffff40,0xff56fffa,0xfe8800df,0x7ec02eff,0x200000ef,0x00dffffb,
    0x3fffa800,0xffffb800,0x7fd4000d,0xfd1fffff,0x00dfffff,0xffffffff,
    0x7ffe40ff,0x3ffff60f,0x3ffffa00,0xfffff305,0xffff9005,0x003fffff,
    0x027ffcc0,0x7ffffc00,0x3ffa0003,0x7fc406ff,0x6fffffff,0x3ffff600,
    0x7fffc407,0x004fffff,0xffffff98,0xfff8805f,0xb000003f,0x03ffffff,
    0xfffd1000,0xfd10007f,0x81ffffff,0x001ffffa,0x7ffffe40,0x0004ffff,
    0xfffffff3,0xffffd00b,0x55bffea5,0x26006fff,0x400dffff,0x00effffa,
    0xffffb800,0x013ffe23,0x06ffffa8,0x1ffffdc0,0xfffff800,0xffdb1eef,
    0xd807ffff,0xfffeeeee,0x3ffffa07,0x07ffffa1,0x06fffff8,0x07fffff5,
    0x7fffff44,0x01ffffff,0x05fff900,0xffff8800,0x3fe0004f,0x7c407fff,
    0xeeeeefff,0x3fffa004,0x7fdc00ff,0x006fffff,0xb8efff98,0x7c405fff,
    0x00003fff,0xfa9dffa8,0x7440005f,0x0001efff,0xff33fffd,0x7ffd41df,
    0x75c0001f,0xffffeeee,0xfff98004,0x05fffb8e,0xa8fffff4,0xfff56fff,
    0x6665c00d,0x3fff2002,0x220000ef,0x7d41aaaa,0xff5002ff,0x44001dff,
    0x0001aaaa,0x019ffff7,0x07fffe98,0x07fff980,0xc83ffff2,0x7ec07fff,
    0xff305fff,0x7ec03fff,0xda89bfff,0x8000ffff,0x0000ffff,0x03fffff8,
    0x3ffff600,0x7fffc405,0x7fe40000,0xff5006ff,0x10009fff,0x7dc1dfff,
    0x3fe204ff,0x800003ff,0x1ff61ffb,0xfffe8800,0xffb0000d,0x77ffcc3f,
    0x03ffff50,0xfff10000,0xff88009f,0x3ffee0ef,0x3ffffa04,0x2adfff51,
    0x73006fff,0xf9000579,0x0000bfff,0x007ffd80,0x01fffff1,0x00157500,
    0x02fffec0,0x03ffff30,0x07fff980,0x7e40f7e4,0x7ff4401e,0x3ffee00e,
    0x3bfff203,0x07fffb00,0x05eee980,0x9fff3000,0xffe98000,0x7ffc400e,
    0x7440000f,0x44001fff,0x0000001a,0x7ffff100,0xff500000,0x001bfe25,
    0x00000000,0x07fffea0,0x3fe20000,0x000004ff,0x3ffff600,0x2adfff51,
    0xfd806fff,0x000effff,0x017fffec,0x3e666000,0xffb005ff,0xe98003ff,
    0x0004ffff,0x8005fffd,0x4002fffe,0x0007fff9,0x00198000,0x7fcc0131,
    0x7ff400ef,0x00000006,0x000004c0,0x3fe20033,0x300000ff,0x00000015,
    0xf1000000,0x00007fff,0xffdfff10,0x0000007f,0xf5000000,0x00003fff,
    0x09ffff10,0x6c000000,0xff51ffff,0x1bffeadf,0xfb9dff90,0xfe8800bf,
    0x20000fff,0xfffffec9,0xffb802ff,0x7c4003ff,0x03ffffff,0x00ffff80,
    0x01fffec0,0x01fffe60,0x00000000,0x0bfffa00,0x007ffee0,0x00000000,
    0x44000000,0x0000ffff,0x32a60000,0xaaaaabcd,0x555530aa,0x55554003,
    0x0ffffe22,0x02aaaaa8,0x9fffff30,0x1aaaa980,0x0aaaaa00,0x55555554,
    0x22aaaaaa,0x221ffffa,0x8000acdb,0x004ffff8,0x2f372a60,0x0aaaaaaa,
    0x543ffff6,0xfff56fff,0x20ffe80d,0xfa8007fe,0x70005fff,0xffffffff,
    0xff8809ff,0xfc8006ff,0x07ffa8cf,0x07fffc40,0x13fff200,0x4ffff300,
    0x001aaaa9,0x510aaaaa,0x55401555,0xfff982aa,0x9fff3005,0x3372a600,
    0xaaaaaaab,0xcdca9800,0xaaaaaaab,0x2aaaaa60,0x4401aaaa,0x5400ffff,
    0xaaaaaaaa,0x4c02aaaa,0xfffffffe,0x31ffffff,0x200dffff,0x225ffff9,
    0xf703ffff,0x8005ffff,0xf9800aba,0xf3006fff,0xff10bfff,0xffffffff,
    0x7fd4dfff,0xfffe88ff,0x44004fff,0x8004ffff,0xffffffe9,0x1fffffff,
    0x543ffff2,0xfff56fff,0x20ffe80d,0xfb0007fe,0x44003fff,0xfffffffd,
    0x204fffff,0x001ffffc,0x3f20ffd8,0x3fe2001f,0x7e4000ff,0x7cc004ff,
    0x3ffe67ff,0xfff3006f,0xffffa8bf,0x1bfffa01,0x4007fff6,0x4c05fff8,
    0xfffffffe,0x01ffffff,0x3fffffa6,0xffffffff,0x3fffff21,0x4404ffff,
    0x2200ffff,0xffffffff,0x206fffff,0xfffffffb,0xffffffff,0x07ffffa1,
    0x8bffff20,0x983ffff8,0x982fffff,0xd801eeee,0x3ffa4eee,0xffc801ff,
    0xfff882ff,0xffffffff,0x3ffea6ff,0xfffffeaf,0x22005fff,0x4004ffff,
    0xfffffffb,0xffffffff,0x43ffff21,0xff56fffa,0xfffb80df,0x0004fffd,
    0x009ffff1,0x7fffffec,0xffffffee,0x09ffff03,0xd87ff600,0x3e2000ff,
    0x64000fff,0x4c004fff,0x7ff47fff,0xffc801ff,0x7ffd42ff,0x3fffa01f,
    0x137ffc46,0x3fd9dfd9,0x7dc0dffb,0xffffffff,0x01ffffff,0xfffffff7,
    0xffffffff,0x7ffffe43,0x4404ffff,0x2200ffff,0xffffffff,0x306fffff,
    0xd9bfffff,0xffffffff,0x27fffdc3,0x23ffffc0,0x443ffff8,0x503fffff,
    0xd005ffff,0x7fdcbfff,0xfff804ff,0xffff107f,0xffffffff,0x7fffd4df,
    0xffffffff,0xf1003fff,0x4c009fff,0xecdfffff,0xffffffff,0xa9ffff21,
    0xfff56fff,0xffff700d,0xfd80009f,0xff3007ff,0x3f215fff,0x40ffffff,
    0x001ffffa,0xfb7dff70,0xff8800df,0x7e4000ff,0x7cc004ff,0x7ffdc7ff,
    0xffff804f,0x1ffffa87,0x51bfffa0,0x3fe67fff,0xc9ffffff,0xfff307ff,
    0xfffd9bff,0x303fffff,0xd9bfffff,0xffffffff,0x7ffffe43,0x4404ffff,
    0x2200ffff,0xffffffff,0xd06fffff,0xf981dfff,0xff102fff,0xffa80fff,
    0x7ffc44ff,0x3fffa23f,0x3ffea04f,0xfffe802f,0x1ffffe25,0x09ffff50,
    0x4ccccccc,0x26ffff99,0xfffffffa,0xffffeaad,0xffff1006,0x7fff4009,
    0x7fffcc0e,0x4ffff902,0xff56fffa,0x2a6200df,0xfa80000a,0xfd802fff,
    0x7ffc1fff,0x6c4fffff,0x40006fff,0x1ffffffd,0x3fffcc00,0x37ffdc00,
    0x1fffe600,0x80fffff1,0xa84ffffa,0x3a01ffff,0x7fe46fff,0xfffffd0f,
    0xfff91fff,0x03bfffa0,0x805ffff3,0x4c0efffe,0x3102ffff,0xffff3333,
    0xffff8809,0x4ccccc00,0xffff9999,0x05ffff06,0xc81bfff6,0x3602ffff,
    0x7c40ffff,0x3ff63fff,0x7fd405ff,0xffe802ff,0x7fffe45f,0x3ffff602,
    0x7ff40000,0x3fffea6f,0xfffe81ff,0xfff8802f,0x3ffe004f,0xdfffb02f,
    0xa9fffee0,0xfff56fff,0xdddd900d,0x440001dd,0x4c05ffff,0x7cc4ffff,
    0x6ffffcff,0x00ffffe2,0x37ffae00,0xfffb8000,0xfffa8006,0x3fe6001f,
    0xffffc87f,0x3ffff602,0x1ffffa80,0xd1bfffa0,0x3ffeedff,0xf77fffbe,
    0xffff01ff,0x1bfff605,0x205ffff0,0x2006fffd,0x404ffff8,0x000ffff8,
    0x86fffe80,0x500ffff9,0x7cc0ffff,0xff105fff,0xfff10bff,0x3ffff27f,
    0xffffa806,0x5fffe802,0x82ffffcc,0x005ffff8,0x26fffe80,0x02fffffa,
    0x009ffff5,0x009ffff1,0x403fffe6,0xf707fffa,0x7ffd4fff,0x00dfff56,
    0x5fffffff,0xfffd8000,0x7fffe406,0x6c7ffe41,0xff30ffff,0x400003ff,
    0x3fe60000,0xf88004ff,0x3000dfff,0xff30ffff,0x3fe20bff,0xfff505ff,
    0x7fff403f,0x753ffe26,0xffff0fff,0xf307ffee,0x3ea01fff,0x3fe607ff,
    0xfff500ff,0x7ffc400f,0x7ffc404f,0xfe80000f,0xfff986ff,0xffff300f,
    0x0ffffe80,0x82ffffa8,0xfabffff8,0xa800efff,0xe802ffff,0xffe85fff,
    0xfffa80ff,0xfe80002f,0x3ffea6ff,0x3ffe203f,0xfff8805f,0xfff3004f,
    0x3ffe601f,0x4ffff707,0xff56fffa,0xfff980df,0x0005ffff,0x203fffe4,
    0xfe86fffd,0x5ffff56f,0x003fffea,0xceccba80,0x3ba201ac,0x00fffffe,
    0xfffff900,0x7fcc07dd,0xffffd07f,0x5ffff501,0x07fffea0,0x2a6fffe8,
    0xfff8bfff,0x7ddbffe6,0x7ffcc0ff,0xffff300f,0x07fffcc0,0x007fff98,
    0x013fffe2,0x001ffff1,0x0dfffd00,0x640ffffe,0x7dc06fff,0xffd83fff,
    0xffff107f,0x01fffffb,0x0bfffea0,0x217fffa0,0xd83ffffb,0x00007fff,
    0x7d4dfffd,0x7fc01fff,0xff8806ff,0x3fe004ff,0xfff903ff,0x9bffee0d,
    0x9936fffa,0xfffb8079,0x0007ffff,0x007fffdc,0xf88bfffd,0xffff34ff,
    0x01fffee7,0x3ffff660,0x1dffffff,0xffffff88,0x7540000d,0x204fffff,
    0xf707fff9,0xffb07fff,0x7ffd40ff,0x3fffa01f,0x267ffee6,0xfff14fff,
    0x203ffeeb,0xf903ffff,0xfff80dff,0xdfff903f,0x7fffc400,0x7fffc404,
    0xffe80000,0xdfffd06f,0x4ffffa83,0x37fffc40,0x413fffe2,0xfffffff8,
    0x3ea002ff,0xfe802fff,0xfff885ff,0x7fffc46f,0xffd00004,0x7fffd4df,
    0x3ffff401,0x27fffc40,0x3dfffd00,0x04ffffa8,0x7d4dfff5,0xfd0006ff,
    0x3fffffff,0x7ffd4000,0x3fffe01f,0x98fffdc4,0xff94ffff,0xff5000df,
    0xffffffff,0xff883fff,0x0003dfff,0xfffffd98,0x1fffe604,0x237fffc4,
    0x204ffff8,0x201ffffa,0x3ee6fffe,0x3fffb8ff,0x3ee9fff3,0xdfffd07f,
    0x4ffffa83,0x0f7fff40,0x013fffea,0x04ffff88,0x007fffc4,0x37fff400,
    0xefffff98,0x0fffffec,0x1ffffc80,0x407fffee,0xffeffff8,0xf5000fff,
    0xfd005fff,0x3ff20bff,0x3ffee1ff,0xfd00001f,0x7ffd4dff,0x7fff401f,
    0xffff8807,0x3ffe6004,0xfffeceff,0xfff500ff,0x037ffd4d,0x5ffffc40,
    0x0004ffff,0x407fffe6,0x744ffff8,0x3ffe27ff,0x0bfffb4f,0xfffff500,
    0xfffffddd,0x7fff441d,0x20005fff,0xeffffffb,0x1fffe603,0x21ffffc8,
    0x201ffffb,0x201ffffa,0x3f26fffe,0x2fffb8ff,0x3f29fff3,0xffff307f,
    0xffffd9df,0xfff9801f,0xfffeceff,0x3e2000ff,0x7c404fff,0x80000fff,
    0x3a06fffe,0xffffffff,0xf3001fff,0x7ff49fff,0x3ffe206f,0x6ffffcbf,
    0x5ffff500,0x0bfffd00,0xe93fffe6,0x00006fff,0xfa9bfffa,0x7fc01fff,
    0xff8806ff,0x7f4004ff,0xffffffff,0x3fea01ff,0x1bffea5f,0x5fffea00,
    0x0006ffff,0x407fffe6,0x223ffff9,0x3fe24fff,0xdfffb5ff,0x039d5000,
    0x0bffffa6,0x1ffffdc4,0x7fffc400,0xfff3000d,0x7fffcc0f,0x01bfffa4,
    0x403ffff5,0x3f66fffe,0x23fff97f,0xffb3fffa,0x7ffff40f,0x1fffffff,
    0xfffffd00,0x03ffffff,0x4ffff880,0x07fffc40,0x7fff4000,0xfffff906,
    0x019fffff,0x36fffe80,0x4407ffff,0xffd3ffff,0xff5009ff,0xffd005ff,
    0x7fff40bf,0x07ffff36,0x7fff4000,0x07fffea6,0x04ffff88,0x04ffff88,
    0x3fffff20,0x00cfffff,0xf504ccc4,0xfb000dff,0x3fff6bff,0xff50000f,
    0x3fe601ff,0x3ffee4ff,0x53fffe21,0x8007fffc,0xffff3000,0x6fffe807,
    0xffffa800,0x3ffe6000,0xb7fff407,0x403ffff9,0x201ffffa,0x3f66fffe,
    0x23fff97f,0xffd2fffb,0x3ffff20b,0x0cffffff,0xfffff900,0x019fffff,
    0x9ffff100,0x0ffff880,0xfffe8000,0x56fff986,0x00013597,0x327fffee,
    0x2200ffff,0xff33ffff,0xfa807fff,0xfe802fff,0x3fee05ff,0xffffc9ff,
    0x3fa00000,0x3ffea6ff,0x3ffee01f,0xfff8803f,0xfff3004f,0x026b2ead,
    0x3ffea000,0xffff8006,0x07ffff53,0x1fffee00,0x24ffff88,0x7fcc7ffd,
    0xffff73ff,0xff800000,0x7fdc05ff,0xffb8007f,0x7fcc005f,0x7ffdc07f,
    0x0ffffc9f,0x0ffffd40,0x6cdfffd0,0x3fff97ff,0x7fc7fff2,0x6fff983f,
    0x00135975,0xbab7ffcc,0x200009ac,0x404ffff8,0x000ffff8,0x86fffe80,
    0x0003fffb,0xcffff880,0x4404fffe,0x3ee3ffff,0x2a01ffff,0xe802ffff,
    0x3e205fff,0xfffecfff,0x7f400004,0x3ffea6ff,0x3fffa01f,0xfff8801f,
    0xfff7004f,0x2a600007,0x037ffd42,0x43fffe60,0x005ffff8,0x40dfff70,
    0xf15ffff8,0xfff98bff,0x1ffff51f,0x7f400000,0x7fcc05ff,0xffc8007f,
    0x7fcc004f,0x7ffc407f,0x04fffecf,0x01ffffa8,0xfd9bfffa,0x15fff77f,
    0xff53ffff,0x7fff703f,0x3fee0000,0x1000003f,0x8809ffff,0x0000ffff,
    0xc86fffe8,0x0000efff,0xfffffd80,0x7c401fff,0x7fec3fff,0xff500fff,
    0xffd005ff,0xfffd80bf,0x001fffff,0x37fff400,0x103ffff5,0x00bffffb,
    0x013fffe2,0x0077ffe4,0x9bffea00,0x5516fffa,0x3fff2055,0x03ffff46,
    0x05fffd80,0xfab7fffc,0x7ffd42ff,0x7ffff30f,0xdcba8000,0x5ffffeee,
    0x07fffc40,0x13fff200,0x0ffff300,0xffffffb0,0xff5003ff,0x7ff403ff,
    0x23fff26f,0xffedfffa,0x07ffedff,0x001dfff9,0x1dfff900,0xff100000,
    0xff8809ff,0xe80000ff,0xffa86fff,0xcceeefff,0x4c0009ac,0x6fffffff,
    0x3ffff880,0x37ffff44,0x02ffffa8,0x405fffe8,0xfffffff9,0xfe800006,
    0x3ffea6ff,0xfecaabdf,0x6440ffff,0xfffccccc,0x0cccccef,0x77ffffd4,
    0x09acccee,0x4fffffe0,0xff56fffa,0x3fffa0df,0x17fffe44,0x3fffe200,
    0x7fffec03,0x6c0fffd8,0x7ffc7fff,0xfc88005f,0xffffffff,0x7c405fff,
    0x64000fff,0x4c004fff,0xf9807fff,0x06ffffff,0x03ffff50,0xf737fff4,
    0xffff11ff,0xffffffff,0x3ffea07f,0xccceeeff,0x7fd4009a,0xcceeefff,
    0x991009ac,0xffff9999,0x2199999d,0x000ffff8,0x86fffe80,0xffffffe8,
    0xcfffffff,0x3fffa000,0xf8803fff,0xff983fff,0xffa84fff,0xffe802ff,
    0xfffe805f,0x00003fff,0x2a6fffe8,0xffffffff,0x82ffffff,0xfffffff9,
    0xffffffff,0x7fff441f,0xffffffff,0x7fc40cff,0xfff54fff,0x21bffead,
    0x4c2ffff8,0x4004ffff,0x400ffffb,0xffbffffb,0x7fffc45f,0x07fffe45,
    0xfffff100,0xffffffff,0xfff880bf,0x7fe4000f,0x7fcc004f,0xfffd007f,
    0x2a007fff,0x3a01ffff,0x3fea6fff,0xdffff91f,0x09fffff3,0x7fffff44,
    0xffffffff,0xfffd100c,0xffffffff,0xff9819ff,0xffffffff,0x11ffffff,
    0x0001ffff,0x20dfffd0,0xfffffff8,0x6fffffff,0x3fffee00,0xfff1007f,
    0x3ffee07f,0x7ffd43ff,0xffff802f,0xffffb805,0xd000007f,0x7fd4dfff,
    0xffffffff,0xff301eff,0xffffffff,0x03ffffff,0xfffffff1,0xdfffffff,
    0x27fffff0,0xff56fffa,0xffff70df,0x0dffff01,0x05fffe80,0xffffff98,
    0x7ffe43ff,0x7fffcc1f,0xfffd1003,0xf55599ff,0xf880bfff,0x64000fff,
    0x4c004fff,0xf7007fff,0x400fffff,0x201ffffa,0x3ea6fffe,0x37ff23ff,
    0x007bfd70,0xfffffff1,0xdfffffff,0x7ffffc40,0xffffffff,0x7fffcc6f,
    0xffffffff,0xff11ffff,0xd00001ff,0x3f60dfff,0xeeeeefff,0x04ffffff,
    0x7fffff10,0x3fffe200,0x3ffff603,0x3fffe61f,0x3ffff803,0xfffff880,
    0xff000003,0x7ffd4bff,0xefffffff,0x7fffcc03,0xffffffff,0xfd81ffff,
    0xeeeeefff,0x44ffffff,0x3ea5fffa,0xdfff56ff,0x20bfffb0,0x001ffffd,
    0x005ffff3,0x3ffffff6,0xffff910f,0x3bfffa0b,0xffffb800,0xbfffd00d,
    0x0ffff880,0x27ffe400,0x1fffe600,0x7ffffc40,0x3ffea003,0x3fffa01f,
    0x017ffe66,0x7ffec000,0xffeeeeef,0xfb04ffff,0xdddddfff,0x49ffffff,
    0xfffffff9,0xffffffff,0x1ffff11f,0xffff0000,0x3ffffb0b,0x3fffee20,
    0xffff1006,0x0000001f,0x27fffc40,0x0bfffe20,0x3ffffe20,0xff000000,
    0x7ffd49ff,0x0009a9af,0x7ec00000,0xf7101fff,0x3510dfff,0xf56fffa8,
    0xfff88dff,0xffff703f,0x3fffa007,0x3ffe2006,0xffecffff,0xf701ffff,
    0xfb009fff,0x7f401fff,0xfff805ff,0x7fec001f,0x7fcc003f,0xfff1007f,
    0x000001ff,0x3a2ffffc,0x00000fff,0x80ffffec,0x86ffffb8,0x101ffffd,
    0x00dffff7,0x12fffcc0,0x0001ffff,0x989ffff0,0xe802ffff,0xf9007fff,
    0x00009fff,0xffff0000,0xffffc80f,0xffffc801,0xf3000004,0x7fd47fff,
    0x000001ff,0x3ffe6000,0xfffe802f,0x3ffea007,0xa8dfff56,0xeeeeffff,
    0x5ffffeee,0x2ffffb80,0x7fffdc00,0xffffffff,0x7fff403f,0x7fff401f,
    0x3fffea07,0x2fffe805,0x17fff400,0x1fffe600,0x27fffe40,0xff100000,
    0xfffb89ff,0x3e600003,0xfe802fff,0x7ffcc7ff,0xfffe802f,0xfff10007,
    0x0ffff88d,0x7ffcc000,0x7fffdc3f,0x6fffe801,0xfffffa80,0xeea80000,
    0x7fec005e,0xfff304ff,0xfff500df,0x000001ff,0xa87ffff2,0x0001ffff,
    0x07ddd700,0x03ffff70,0xf0dfffd0,0x3fea3fff,0x8dfff56f,0xfffffffc,
    0xffffffff,0x3ffe200f,0xff50005f,0xffffffff,0xfff3003d,0xfffd80df,
    0xffffb82f,0xfffd805f,0x3ffea006,0x7fcc001f,0xfffa807f,0x000000ff,
    0x10ffffea,0x0003ffff,0x07fffee0,0x71bfffa0,0xd003ffff,0x2000dfff,
    0x7c41fffd,0x40000fff,0x541ffffc,0x5c06ffff,0x2204ffff,0x01fffffc,
    0x9fff9000,0xffff9800,0xffdcbcef,0x32201fff,0x001fffff,0x3ee039b0,
    0x3ea0efff,0x00001fff,0x005fffd0,0x80dffff5,0x444ffffb,0x3fea6fff,
    0x8dfff56f,0xffffffff,0xffffffff,0xfffd102f,0x7fc0001f,0xceffffff,
    0x3fff2000,0x3fff204f,0xffebacff,0xb805ffff,0x009dffff,0x0dffff73,
    0x0ffff300,0x7ffffe44,0x10300001,0xb03ffffd,0x4c03ffff,0x7ffd403d,
    0x7ffdc06f,0x7fffd44f,0x7fffdc06,0xffff0004,0x0ffff881,0x7dc07360,
    0x7c40efff,0x9aceffff,0xeffffeba,0x7fffffc0,0x00003fff,0x0007fff6,
    0x3ffffff2,0x4fffffff,0xfffffff8,0x360003ff,0xffeeefff,0x7d41ffff,
    0x00001fff,0x001ffff0,0x9dfffff1,0xfffd7535,0xfffa81df,0x55bffea4,
    0x3fe66fff,0xffffffff,0x4fffffff,0x2ffffe88,0x3ffe6000,0x00009aac,
    0x413ffffa,0xfffffff8,0xfffeffff,0xffffd005,0x3ffa3fff,0x402fffff,
    0xffffffff,0x7ffffc7f,0x0003ffff,0x3f77bf60,0xf305ffff,0x557dffff,
    0x8807ffd9,0xacefffff,0xffffeba9,0x7fffc40e,0xeba9acef,0x000effff,
    0xadffff88,0xffffff12,0x3ff6dfff,0xffffeeef,0xfff701ff,0xffffffff,
    0xff03ffff,0x09ffffff,0x7fff8000,0x3fff2000,0xffffffff,0xffffff03,
    0xd80009ff,0xffffffff,0xffa84fff,0x800001ff,0x2005fff9,0xfffffffb,
    0xffffffff,0x21fffb81,0xff56fffa,0x3fffdcdf,0x3ffffc40,0x027fffec,
    0x03ffee00,0xffe88000,0xfff703ff,0x37ffffff,0x2600bfff,0x1fffffff,
    0x9ffffffd,0xffffff00,0xfff8ffff,0x004fffff,0x7fffec00,0x200fffff,
    0xffffffe9,0x803fffff,0xfffffffb,0xffffffff,0xfffff701,0xffffffff,
    0x740003ff,0xf17fffff,0xffffffff,0x3fffff6d,0x04ffffff,0x7fffffdc,
    0x0cffffff,0xdffffff0,0xf8800003,0x4c0004ff,0xfffffffd,0x3fffe00d,
    0x80001eff,0xfffffffd,0xff502eff,0x000003ff,0x8007fff5,0xfffffffb,
    0x00cfffff,0xffa8dffb,0x4dfff56f,0xb005fffe,0x7d43ffff,0x80004fff,
    0x00006ffe,0x06fffe88,0x3fffffea,0x0bfff31d,0x7fffe440,0xdffffd1f,
    0x3fffe005,0x7c7fffff,0x01efffff,0xfffd8000,0x801effff,0xffffffe8,
    0x7001dfff,0xffffffff,0x8019ffff,0xfffffffb,0x00cfffff,0x7fffd400,
    0xfffff17f,0x3f6dffff,0xffffffff,0x3b2a002e,0x0bcdeffe,0x166fff40,
    0xee980000,0x2200001e,0xfd0009a9,0x000059bf,0x77f76d44,0x664c03cd,
    0x800000cc,0x0000eeeb,0xbdffdd95,0xccb80179,0xab7ffd42,0xfff16fff,
    0x3fee007f,0x1ffdc4ff,0x7ffc4000,0xd1000004,0x551001df,0x10000013,
    0x32e19753,0x664001ab,0x4ccccccc,0x0166fff4,0xffb70000,0x300079df,
    0x17bdfdb7,0x3bb2a000,0x00bcdeff,0x7ff76540,0x0000bcde,0x4b372e20,
    0xccccccc8,0xddb513cc,0x00079bdf,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3eadfff5,0xffff56ff,0x3ffe6001,
    0x0003b86f,0x80000000,0x000000d8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffa80000,0x2dfff56f,0x4006fffd,
    0x000fffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffa80000,0x0dfff56f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xeeea8000,0x00bddd55,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x76400000,
    0x0001deee,0x080006a2,0x00000440,0x98000333,0x10000999,0x22000003,
    0x2600001a,0xdb000001,0x9980005d,0x14400009,0x000c4000,0x0aaa2000,
    0x33331000,0xf8800013,0x020004ff,0x44008000,0x98800000,0x3bae0009,
    0xfd8000de,0x0fffcc4f,0x77764000,0x3bbaa1de,0xeeeeeeee,0x05eeeeee,
    0x500ccc40,0xdddddddd,0x2e00179b,0x6c0000cd,0x001effff,0x03bffe60,
    0x81efe980,0x88004ffd,0xfffffedb,0x36a00bdf,0xfffffffe,0xffeb802d,
    0x001641df,0x0077ffcc,0x7fff64c0,0x00001cef,0x20005fff,0x02ffffe8,
    0x07ff64c0,0xfffeb800,0x0001641d,0x8001bfea,0x0effffe8,0x7ffd4000,
    0x7fe44002,0xd30001ef,0x9ffb03df,0xffd50000,0xf900bfff,0x003fffff,
    0xa9bfffc8,0x80007ffe,0x41effffc,0xfffffffb,0xffffffff,0x764407ff,
    0xdfffffff,0x3ffffee0,0xdfffffff,0x3ffff200,0xfffb0000,0xfb00009f,
    0x74009fff,0x7fdc6fff,0x3ee001ff,0xffffffff,0xfd984fff,0xffffffff,
    0x7fdc04ff,0xdacfffff,0x7ec003ff,0x5c004fff,0xffffffff,0x440003ff,
    0x88000fff,0x3ffffffe,0x3ffff200,0xfffb8000,0xfdacffff,0x3ee0003f,
    0xfd10005f,0x00009fff,0x2001fff6,0x1ffffffd,0x6fffe800,0x00ffffdc,
    0xffffe880,0x7e405fff,0x1ffffeff,0x3fffe200,0x003fffff,0x27fffe40,
    0xffffffb8,0xffffffff,0x3f207fff,0xffffffff,0x3ffee0ff,0xffffffff,
    0xff880eff,0xc8003fff,0x0002ffff,0x0bfffff0,0x23ffffc0,0x803ffffc,
    0xffffffd8,0x4fffffff,0x7fffffc4,0x4fffffff,0x3ffffe60,0xffffffff,
    0x7fffc002,0xffb1005f,0xffffffff,0x540009ff,0xe88007ff,0xfffecfff,
    0xffff9003,0xfff98001,0xffffffff,0x320002ff,0xe88004ff,0x0002ffff,
    0x2fffcccc,0x277fea00,0xf8005ffa,0x7fe47fff,0xfb0003ff,0xbfffffff,
    0x9a7ffe40,0x2001ffff,0xfffffffa,0x7fe40004,0x3fee02ff,0xffffffff,
    0x7fffffff,0xffffff90,0x41ffffff,0xfffffffb,0x6fffffff,0x4fffff88,
    0x66664c00,0x3f600000,0x3a003fff,0x7fd46fff,0x7fc401ff,0xffffffff,
    0x744fffff,0xeeffffff,0x404fffee,0xffc88dfc,0x8004ffff,0x003ffffd,
    0xfffffff9,0x7fffffff,0x3b2e6200,0x00abcfff,0xb0ffff44,0xf9007fff,
    0x90001fff,0xfff911bf,0x80009fff,0x44003ffe,0x000dfffe,0xffffec98,
    0x5c002fff,0x01ff61ff,0x51bfffa0,0x0003ffff,0x9ffffff7,0x2aa20999,
    0x1555441a,0x37b6e200,0x5440001c,0x20000aaa,0x000ffffc,0x33ffffe6,
    0x0fecaa9b,0x983fffee,0x1fffffda,0x02ffffe8,0x15553000,0x3ffa2000,
    0x77f44005,0x803ffc80,0xaefffffd,0x527ed4c1,0x405fffff,0x882802a8,
    0x0002ceec,0x200bffd1,0x1cfffff9,0xfffffd51,0xfffff700,0x0bffffff,
    0x98099988,0xffc80199,0x050000ff,0x0059dd91,0x005fff00,0x00199988,
    0xffffff70,0x8009ffff,0xdff12ffa,0x1dfd1000,0x0007ff90,0x00bffffa,
    0x00000000,0x00000000,0x03ffff20,0x4ffffb80,0x7fffdc00,0x7ffffb00,
    0x007ffd30,0x03ffec00,0x00004c00,0x7fcc0000,0x82004fff,0x002ffffc,
    0x00000000,0x3f600098,0xfd103fff,0x3a607fff,0xffffffff,0x0005ffff,
    0x55555400,0xaabffffe,0x0001aaaa,0xff980000,0x0000001f,0x7ffffec4,
    0x4fffffff,0x3bffe200,0x00003fff,0xff100000,0x20000dff,0x00009999,
    0x33000000,0x32000133,0x2000ffff,0x001ffffd,0x807fffdc,0x204ffffa,
    0x7c400000,0x300005ff,0x33000033,0xffffd000,0x7ff40009,0x000001ff,
    0x31000000,0x7ffcc013,0x7ffcc05f,0xfffe886f,0xffffffff,0xfff505ff,
    0xffd0003f,0xffffffff,0x09ffffff,0x40001980,0xfffffec9,0xfffc82ef,
    0x04ffffff,0x3fffff60,0xfffffeef,0x3fe6003f,0x00004fff,0x3ea00000,
    0x50003fff,0xffffffdb,0xddd305bf,0xdddb003d,0xffeda809,0x02dfffff,
    0x03ffff20,0xdffffc80,0x3ffee000,0xffff300f,0x40000009,0x8002fffa,
    0xffffedb8,0x4c00bdff,0xceffffec,0x7fffcc01,0x3f60000f,0x20004fff,
    0x801eeee9,0xa804eeed,0xffffffdc,0x7fffe43d,0xffffe802,0x77fffe40,
    0xb9afff9c,0xffff505d,0xfffd0003,0xffffffff,0x809fffff,0xeffffec9,
    0xff91001c,0xffffffff,0xfffff907,0x2009ffff,0x0afffff9,0xfffffff9,
    0x0aba8001,0x77774c00,0x4eeed801,0x1ffff700,0xfffd9800,0xffffffff,
    0x2ffffa84,0x05fffe80,0xffffffb3,0x009fffff,0x007fffe4,0xdfffff50,
    0x3ffee003,0xffff500f,0x07999107,0xddb75100,0xf7000fff,0xffffffff,
    0x7dc09fff,0xffffffff,0x3ffee03f,0x7e40004f,0x0004ffff,0x005ffff5,
    0x440bfffd,0xfffffffd,0x3f60ffff,0xfc800fff,0x7ffc1fff,0x1fff31ff,
    0x3fffea00,0xfffe8001,0xffffffff,0x204fffff,0xfffffffb,0x7cc03fff,
    0xffffffff,0xffc83fff,0x4fffffff,0x3ffffb00,0xfffffff8,0xddd9004f,
    0x2a001ddd,0xe802ffff,0xf9005fff,0xf8800fff,0xffffffff,0xfa84ffff,
    0xfe802fff,0xfff885ff,0xffffffff,0x3f2004ff,0x22000fff,0xcfffffff,
    0x7fffdc00,0xffffe880,0x05fff981,0x3ffffa20,0x000effff,0xffffffb1,
    0x9fffffff,0xfffffb10,0x9fffffff,0x07ffff20,0xffff5000,0x40019fff,
    0x802ffffa,0xf505fffe,0xffffffff,0x7f41ffff,0xff7006ff,0x7ffc45ff,
    0x01ffea6f,0x01ffffa8,0xd9999880,0x9999ffff,0xfd880999,0xffffffff,
    0x3fa04fff,0xffefffff,0xeeb83fff,0x4ffffeee,0x4ffff980,0x7fe7ffcc,
    0xfff006ff,0x2005ffff,0x802ffffa,0xb005fffe,0xe800dfff,0xeeffffff,
    0xa84fffee,0xe802ffff,0xffe85fff,0xeeeeffff,0x32004fff,0x3000ffff,
    0xfffffffd,0x7fdc07ff,0x3faa20ff,0xff505fff,0x3fea00bf,0xffffffff,
    0x7fc401ff,0xffffffff,0xd84fffff,0xffffffff,0x83ffffff,0x440ffffd,
    0xaaaaaaaa,0x7ffffec1,0xa802dfff,0xe802ffff,0xffb85fff,0xffffffff,
    0x3fe0ffff,0xff5006ff,0x7ffc47ff,0x0dff70ff,0x0ffffd40,0xfffc8000,
    0x7fec000f,0xffffffff,0xfb83ffff,0xffb2ffff,0x22005719,0xc804ffff,
    0x7e41ffff,0xffffd8ff,0x7fffcc00,0xf5005fff,0xfd005fff,0x3fa00bff,
    0x3ea005ff,0x2202ffff,0xffffa82a,0x5fffe802,0x17ffffd4,0x64005510,
    0x8800ffff,0xfffffffe,0xb80effff,0xffffffff,0x00dfffff,0x500dfff5,
    0xffffffff,0x01ffffff,0x77ffffec,0x27ed4c1a,0x2fffffe6,0xffffd511,
    0x0ffffd0f,0xfffffff1,0xfffe88bf,0x3fffffff,0x0bfffea0,0x117fffa0,
    0x37ffffff,0x887ed4c1,0x3005ffff,0xff89ffff,0xffc9dfff,0x3ffea005,
    0xf900001f,0x4c001fff,0x11bfffff,0x8fffffd5,0x20fffff8,0x88003ffe,
    0xd804ffff,0xffe86fff,0x05ffff56,0xffffffb8,0xfff5007f,0xfffd005f,
    0xaaaaa98b,0xaaaeffff,0xfffc82aa,0x3ea0002f,0xfe802fff,0x7ffe45ff,
    0xc800002f,0xc800ffff,0xffbdffff,0x41ffffff,0xfffffffb,0x403effff,
    0xf806fffa,0xf99cffff,0x05ffffff,0x09fffff3,0x3fff6040,0xfffd103f,
    0x6ffff85f,0xffffff88,0xfff905ff,0xbfffffff,0x5ffff501,0x8bfffd00,
    0x01fffffc,0x3fffe608,0xffff3004,0xfffffd8b,0x2004ffff,0x001ffffa,
    0x1ffff900,0x7fffec00,0xffffd103,0x27fffd45,0x2000bffe,0x804ffff8,
    0x7c45fffe,0xffff34ff,0xffffe807,0xa801ffff,0xe802ffff,0x7fdc5fff,
    0xffffffff,0xe85fffff,0x0001ffff,0x00bfffea,0xfd17fffa,0x00003fff,
    0x01ffff90,0x44fffff0,0xfffffffc,0x3ffffee1,0x00dfffff,0x406fffa8,
    0x2e3ffffb,0xffffefff,0x4ffffe81,0x3ffea000,0x7ffcc05f,0x3ffffc6f,
    0x7fffffc4,0x3f2605ff,0xffffffff,0x2ffffa86,0x25fffe80,0x01fffff8,
    0x5ffff980,0x9ffff300,0xffffff88,0x5001dfff,0x6543ffff,0xf9001bcd,
    0x2a001fff,0x4c05ffff,0x3ee6ffff,0x3fe21fff,0xff88001f,0xfff804ff,
    0x8fffdc4f,0x204ffff9,0xffbffff8,0xffa804ff,0xffe802ff,0x7fffdc5f,
    0xffffffff,0xffd85fff,0x2a0004ff,0xe802ffff,0x7fec5fff,0x800004ff,
    0x400ffffc,0x985ffff8,0x26fffffe,0xfecffffb,0x401fffff,0x7c07fffb,
    0x7ff46fff,0x44ffff9e,0x00fffff9,0x3ffff200,0xfffff802,0x21ffffa0,
    0xfffaaaa8,0xfeb8805f,0x44ffffff,0x802ffffa,0x3f25fffe,0x10005fff,
    0x200dffff,0xa83ffffa,0xffffffff,0x7d402eff,0xffe98fff,0xc803ffff,
    0x9000ffff,0xf005ffff,0x3f21ffff,0x3fe60fff,0xfff10007,0xfff8809f,
    0x13fff44f,0x5409ffff,0xffff7fff,0xffff500d,0xbfffd005,0xffffffb8,
    0xffffffff,0xffffc85f,0xff50004f,0xffd005ff,0xffffc8bf,0x6400004f,
    0x4c00ffff,0x3606ffff,0xf73fffff,0x3f621fff,0x7dc05fff,0x3fe607ff,
    0x3ffe22ff,0xb8dfffd4,0x0004ffff,0x007fffec,0xb0ffffe4,0xf001ffff,
    0x9800bfff,0x47fffffd,0x802ffffa,0x3f65fffe,0x20002fff,0x5006ffff,
    0x2205ffff,0xfffffffd,0xf501efff,0xffff5fff,0x807fffff,0x000ffffc,
    0x001ffffb,0x3a3ffff9,0x3ea0ffff,0xff10007f,0xff9809ff,0x3ffe23ff,
    0x17fffe24,0xfb5fffd8,0xfa801fff,0xfe802fff,0x4ccc45ff,0x9affffc9,
    0xfa809999,0x0cffffff,0x3fffea00,0x5fffe802,0x7fffffd4,0xc80000cf,
    0xf800ffff,0x3602ffff,0xff75ffff,0xfffe81ff,0x3ffee02f,0x3fffea07,
    0x6c7ffee0,0x7fe47fff,0x740001ff,0xf7006fff,0x7fe45fff,0xfff802ff,
    0xff90005f,0x7fd43fff,0xffe802ff,0x1ffffe5f,0xfffff000,0x3ffff200,
    0x7ffe4c01,0x0fffffff,0xffffffa8,0xffffffff,0x3fff200f,0xfffd000f,
    0x3ffee00d,0x3ffffb2f,0x8002ffdc,0x404ffff8,0x2e4ffff9,0x3fe21fff,
    0x3ffe04ff,0x7ffff53f,0x2ffffa80,0x05fffe80,0x00ffffc8,0x7ffffec0,
    0xa802dfff,0xe802ffff,0xffd85fff,0x2dffffff,0x3fff2000,0xfffe800f,
    0xfff303ff,0x3fffeedf,0x37fffcc0,0x40ffff90,0x7f47fffb,0x1ffff26f,
    0x881ffffb,0xaaaaaaaa,0x01bfffe1,0x71ffffd4,0xf00bffff,0x4000bfff,
    0x2a2fffff,0xe802ffff,0xfff15fff,0xfe8000ff,0xfe802fff,0xf9000fff,
    0xffffffff,0xfffff50d,0xfff75bff,0x7fe407ff,0xfff000ff,0x3fea00df,
    0xffff93ff,0x0027fe47,0x04ffff88,0xb27fffc4,0xfff98fff,0xffff303f,
    0x17fffe21,0x05ffff50,0x00bfffd0,0x000ffffb,0xffffffd1,0x5407ffff,
    0xe802ffff,0xfe885fff,0xffffffff,0xffc8003f,0xff9800ff,0x440dffff,
    0xff76ffff,0xfffd01ff,0x3fff205f,0x9ffff207,0x3ee3fff9,0x7fff47ff,
    0xfffff887,0xfff15fff,0x3fe600bf,0x3ffe64ff,0x7ffc01ff,0x3f60005f,
    0x3fea1fff,0xffe802ff,0xdffff35f,0xfffb8000,0x7ffcc04f,0x3ff6005f,
    0xffffffcd,0x7ffffd41,0x7fffcc1f,0x3ffff204,0xffff8800,0xffff3005,
    0x97fffee9,0x10003ffd,0x8809ffff,0xff15ffff,0xffff98bf,0x8dfff901,
    0x5407fffe,0xe802ffff,0xfe805fff,0x320006ff,0xffffffff,0xffa80dff,
    0xffe802ff,0x3fff205f,0xdfffffff,0x3fff2000,0xfff9000f,0x7d47ffff,
    0xfff75fff,0xffff501f,0x3ffff20d,0x1ffff700,0xfc83ffee,0x7fffc6ff,
    0xfffff886,0xfff35fff,0x3fe6009f,0x7ffec5ff,0x3ffe01ef,0xff10005f,
    0xfffa8fff,0xfffe802f,0x0bffff55,0xffff8800,0x3fffa01f,0x3ffa001f,
    0x7fffff13,0x2fffffa8,0x40bffff0,0x802ffffc,0x004ffff9,0x26bffff3,
    0xfd5fffff,0x3e20005f,0xff804fff,0x5fff56ff,0x00ffffa8,0xfc89fffd,
    0x3ea02fff,0xfe802fff,0xfff805ff,0x64c0005f,0xffffffff,0xffffa86f,
    0x5fffe802,0x7fffe4c0,0x006fffff,0x003ffff2,0xffffffc8,0xffffeaef,
    0x01ffff72,0x20bffffe,0x700ffffc,0x3fa1ffff,0x2fffec6f,0x221ffffe,
    0xffffffff,0x0bffff35,0x13fffe60,0x5ffffff1,0x2bffff01,0x2600adf8,
    0x545ffffe,0xe802ffff,0xfff55fff,0xfb0000bf,0x4c15ffff,0x006ffffd,
    0xff917ffc,0xfffa89ff,0x3fffa03f,0x3fffea06,0xffff9805,0xffff3005,
    0x7ffffec9,0xeb9afffe,0xffff1004,0xffffb009,0xd81fffb1,0xff107fff,
    0xfff985ff,0x3ffea04f,0xfffe802f,0x4ffff805,0xfd710000,0x89ffffff,
    0x802ffffa,0x1005fffe,0xffffffd7,0x3ff2009f,0x7d4000ff,0xffffffff,
    0x3fee5fff,0xfff700ff,0xffffb0df,0x3fffea01,0x223fff9a,0x7f44ffff,
    0xaaa887ff,0xf15ffffa,0x2a00dfff,0xfb83ffff,0xefffffff,0x15fffffe,
    0xdddfffff,0xfffffffd,0x2ffffa83,0x35fffe80,0x000dffff,0xffffff30,
    0xffffffdf,0x7fc4003f,0x3fffee1f,0x0ffffd42,0x40dfffd0,0xcefffff9,
    0xff13cbaa,0x3ea00dff,0x3fe23fff,0xffffffff,0xf1004fff,0xf7009fff,
    0xbfff7fff,0x05ffff88,0xf01ffff7,0x7d40dfff,0xfe802fff,0x7fc405ff,
    0x800003ff,0x7fffffd9,0x017fffd4,0x002ffff4,0x7ffffecc,0xffff9007,
    0xff910001,0xdfffffff,0x07fffdc1,0x1fffff88,0x00ffffec,0xff9dffff,
    0x7fffdc1f,0x07fffec2,0xf2ffffc0,0x2a00dfff,0xfb02ffff,0xffffffff,
    0x22bfffff,0xffffffff,0x2fffffff,0x02ffffa8,0xf15fffe8,0x0000ffff,
    0x3fffffea,0x1fffffff,0xfff30110,0x40ffffe8,0x201ffffa,0x6c06fffe,
    0xffffffff,0x3fffe4ff,0xffff5006,0xfffff985,0x4fffffff,0x9ffff100,
    0xfffff300,0xffc87fff,0xfffb01ff,0x3ffff60b,0x5ffff501,0x0bfffd00,
    0x02ffff98,0x3ff20000,0x3fea1fff,0xfff802ff,0x3f20005f,0xc801ffff,
    0x0000ffff,0x3fffffa6,0x7ffdc0ef,0x3fff200f,0x7fffec5f,0x3ffff601,
    0x3fea6fff,0xfffc85ff,0xffff802f,0x01ffffa5,0x007fffe4,0xfffffff5,
    0x2bffffff,0xfffffff8,0x3fffffff,0x05ffff50,0x7cbffff0,0x0001ffff,
    0xffffff50,0x405fffff,0xfb9acef9,0xfffea8ef,0xffffa86f,0x1bfffa01,
    0xffffff10,0x7f49ffff,0xff9007ff,0xffb101ff,0xffffffff,0x3ffe2007,
    0xfffb004f,0x3221ffff,0xf105ffff,0x3ee07fff,0xff503fff,0xfff005ff,
    0xfffa80bf,0x4000001f,0x262fffff,0xf803ffff,0x40003fff,0x802fffff,
    0x000ffffc,0xfffffa80,0x7fffdc0f,0x3fffe600,0x3ffffa1f,0x3fffe601,
    0xffdbdfff,0xffb81fff,0xfff805ff,0x3ffff65f,0x7fffe802,0xfffec880,
    0x41cfffff,0xffffffdc,0x4c03efff,0xf803ffff,0x3ffa3fff,0x200004ff,
    0xfffffeb8,0x7fcc00be,0xffffffff,0x80ffffff,0x201ffffa,0x8806fffe,
    0xfffffffc,0x3ffff63f,0x7fffe802,0x7fff5c40,0x22001bce,0x1004ffff,
    0x9fffffff,0x3ffffffd,0x3bfffea0,0xffeeeeee,0xfff305ff,0xffff007f,
    0xffffc807,0x6c000000,0x3e21ffff,0x7c404fff,0x40002fff,0x001ffffd,
    0x7cc00000,0x0001ffff,0xffffe800,0x7fffdc01,0xffffffff,0xffff304f,
    0xffff803f,0x13fffee5,0x0dffff30,0x13355100,0x2aaa6600,0x3fe20019,
    0x7fc404ff,0x3fff22ff,0x800000ff,0x2006fffd,0xfffffff9,0xffffffff,
    0x3ffff501,0x037fff40,0x06aaa660,0x013fffee,0x00dffff3,0x80013ff6,
    0x004ffff8,0x3fffffee,0x3fffffff,0x3fffff20,0xffffffff,0xff880fff,
    0x7fc404ff,0x3fe202ff,0x000006ff,0x43ffffc4,0x6407ffff,0x0001ffff,
    0x01ffffe2,0x64000000,0x0002ffff,0xffffe800,0xffffb802,0x2fffffff,
    0x77fffec0,0x97fffe01,0x01fffff8,0x007ffffa,0x00000000,0x03ffffc0,
    0x887ffff2,0x01efffff,0x3fee0008,0xff3001ff,0xffffffff,0x54019fff,
    0x3a01ffff,0x00006fff,0x3fffff10,0x0fffff40,0x003ffe80,0x13fffe20,
    0xfffff500,0x03dfffff,0xfffffff8,0xffffffff,0xffff02ff,0xffffc80f,
    0x3fffee01,0x56fc4004,0x3fffa600,0xffffd85f,0xdffff304,0x200adf88,
    0x05ffffe9,0x00bddd50,0x7fff4006,0xddd5000f,0x6665c00b,0xfff5001c,
    0x01bdffff,0xffffff10,0xbffff015,0xafffffc8,0x3ffff660,0x77754005,
    0x77540005,0x3ff6005e,0xfff304ff,0xffff70df,0xda8837ff,0xfff3000f,
    0x985b83df,0xffffedba,0xfa800acd,0x3fa01fff,0xeea806ff,0xfff9005e,
    0x7ecc15ff,0x3e005fff,0x220002ff,0x8004ffff,0xffffffff,0x7fcc00ce,
    0xffffffff,0x4fffffff,0x09ffffb0,0xa9bfffe6,0xffffeb9a,0x7fc4001f,
    0xfeeeefff,0x81ffffff,0xcefffff9,0xfffffdcb,0x7ffffc41,0xffffeeee,
    0xf9001fff,0x3fa009ff,0xdb9899ad,0x2006ffff,0x0004fffc,0x5fff9000,
    0xf7000135,0xdfffffff,0x8bfffffd,0xfffffff8,0xfffffffe,0x7ffe4001,
    0x7fe40004,0x3fe6004f,0xdcbcefff,0xd01fffff,0xffffffff,0x01fffffd,
    0x7fffff40,0x403fffee,0x8000fff8,0x201ffffa,0xc806fffe,0xf1004fff,
    0xfdffffff,0x03ffffff,0x007ffe20,0x4ffff880,0x67ffcc00,0x2e0009aa,
    0xf8807fff,0xff307fff,0xb979dfff,0x743fffff,0xffffffff,0xfff88004,
    0xffffffff,0x3202ffff,0xffffffff,0x884fffff,0xffffffff,0x2fffffff,
    0x07fff600,0x7fffff40,0xffffffff,0x3fff6002,0xf0000001,0x20000bff,
    0xfffffffd,0x5fffffff,0xffffffa8,0x3fffffff,0x1fffd800,0x7ffec000,
    0x7ffe4001,0xffffffff,0x3fa604ff,0xffffffff,0x2000ffff,0xfffffff9,
    0x2a00ffff,0xf50007ff,0x7f403fff,0xffd806ff,0x3fea001f,0xffffffff,
    0x26003fff,0xc8800fff,0xfffccccc,0x0cccccef,0x001fff70,0x02ffff40,
    0x01ffffd8,0xfffffff9,0x89ffffff,0xfffffffe,0xfff10006,0xffffffff,
    0xf9007fff,0xffffffff,0x3fe207ff,0xffffffff,0x4003ffff,0x3a007fff,
    0xffffffff,0x4002ffff,0x00007fff,0x05fff500,0x7ffd4000,0xffffffff,
    0xffd305ff,0xdfffffff,0x3ffe0003,0xfff80007,0xfff90007,0xffffffff,
    0x3fff2007,0xffffffff,0x7fdc000f,0xdfffffff,0x01bfee00,0x0ffffd40,
    0x00dfffd0,0x3000ffff,0xfffffffd,0xa8003dff,0xff3007ff,0xffffffff,
    0x03ffffff,0x8001bffa,0x003ffff8,0x409ffff7,0xfffffffc,0xfe83ffff,
    0x002fffff,0x7fffee40,0x03efffff,0x7fffecc0,0x6400dfff,0xfffffffd,
    0x88003eff,0x36004fff,0xffffffff,0x44001cff,0x00004fff,0x01fffb00,
    0xfec88000,0xcfffffff,0x7ff64401,0x000cefff,0x009fff10,0x04fff880,
    0x3fff6600,0x000dffff,0x7ffff64c,0x0001beff,0xbffffd91,0x0bff9005,
    0x3fffea00,0x1bfffa01,0x009fff10,0x3fffb220,0x8000ceff,0xf3006ffb,
    0xffffffff,0x3fffffff,0x009fff10,0x07fffd40,0x6ffff980,0x7fffecc0,
    0x5100dfff,0x00003555,0x33555330,0x2a620000,0x53300009,0x80003355,
    0x8001eee9,0x1aaaaaa8,0x3bba6000,0x00000001,0x51000000,0x40001335,
    0x800009a9,0x0001eee9,0x000f774c,0x009a9880,0x066a2000,0x00440000,
    0x000fbb20,0x00ffffd4,0x980dfffd,0x00001eee,0x80001353,0xf3003eeb,
    0xffffffff,0x3fffffff,0xfd800000,0x7fc006ff,0x31000fff,0x00000135,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x10020000,0x10020001,0xeee98001,0x13bbaa0d,
    0x007bbba6,0x4013bbb6,0x324eeeeb,0x2004eeee,0x324eeeeb,0x4004eeee,
    0x360001a8,0x7ffcc4ff,0x00188001,0x4cccc400,0x00199999,0x4cccccc4,
    0xdd101999,0xea805ddd,0x200404ee,0xeeb80008,0x540000de,0x0001eeee,
    0x3bbbb620,0xddddd10d,0x4eeea809,0x20220040,0xeeeeeee8,0xeeeeeeee,
    0x00031003,0x6f777644,0xc8000001,0x001deeee,0x006f775c,0x77777754,
    0xeeeeeeee,0x07bfa602,0x98013ff6,0xffd81efe,0x7ffd4004,0x05fffc9e,
    0x005ffff5,0x500bfffd,0x7ec9ffff,0x2a004fff,0x3f64ffff,0x54004fff,
    0x90005fff,0xfd537fff,0xfeb800ff,0x01641dff,0x3fffffa0,0x001fffff,
    0x3ffffffa,0xf981ffff,0x5c07ffff,0xfd306fff,0x09ffb03d,0x7ffffe40,
    0xff50001f,0x0003ffff,0xbffffd10,0x7ffffcc1,0x3ffee00f,0x03dfd306,
    0xff889ffb,0xffffffff,0x404fffff,0x41dfffeb,0xfffc802c,0x000001ff,
    0x07bffff2,0xfffff900,0xfffb803f,0xffffffff,0x3fa03fff,0x7ffdc6ff,
    0xfffd001f,0x1ffffb8d,0x7fffd400,0x3ea05fff,0xfe802fff,0x7fd405ff,
    0x3fff63ff,0x3fea001e,0x3fff63ff,0xfff8001e,0xf88002ff,0xffffffff,
    0x3ffee003,0xfdacffff,0x3ffa003f,0xffffffff,0x3fffa001,0x1fffffff,
    0xffffff98,0x1bffee03,0x2e37fff4,0xc801ffff,0xffffefff,0x7ffdc001,
    0x002ffffe,0x3ffffa20,0xfffff983,0x3ffee04f,0x8dfffd06,0x221ffffb,
    0xffffffff,0x4fffffff,0x3ffffee0,0x3ffdacff,0xfffffa80,0xfc800000,
    0xc8004fff,0xffffefff,0x3fffee01,0xffffffff,0x3ffe03ff,0x7fffe47f,
    0xfffff003,0x03ffffc8,0xfffff980,0x7fffd405,0x5fffe802,0x47bffea0,
    0x00dfffe8,0x47bffea0,0x00dfffe8,0xfffff880,0xfff50004,0x4009ffff,
    0xfffffff9,0x02ffffff,0x3fffffa0,0x001fffff,0x3ffffffa,0xf981ffff,
    0x207fffff,0xff06fffb,0xfffc8fff,0x7ffe403f,0x03ffff34,0x237ffee0,
    0x002fffe8,0x1efffe88,0xffffff30,0x3ffee01f,0x8fffff06,0x223ffffc,
    0xffffffff,0x4fffffff,0xffffff30,0x5fffffff,0x3fff6200,0x3200000f,
    0x8002ffff,0xff34fffc,0x3fee03ff,0xffffffff,0x3a03ffff,0x7fd46fff,
    0xffd001ff,0xffffa8df,0x55530001,0xffff5005,0xbfffd005,0x30555540,
    0x50003555,0x554c1555,0x7f40001a,0x20002fff,0x01cdedb8,0xc88dfc80,
    0x04ffffff,0x4ccccc40,0x40019999,0x99999998,0xfff30199,0x2e07ffff,
    0xffd06fff,0xffffa8df,0x06aaa201,0x10055551,0x55505555,0x55530005,
    0x7ffcc015,0xf703ffff,0x3ffa0dff,0x7fffd46f,0xffffc801,0x46fe4000,
    0xffffffc8,0xaaaa8004,0x55100002,0x51000155,0xaaa88355,0x3ffff702,
    0xdfd10000,0x007ff901,0x64077f44,0x000003ff,0x17fffd40,0x02ffff40,
    0x00000000,0xff980000,0x0000004f,0x76441400,0x000002ce,0x20000000,
    0xfffffff9,0x0dfff707,0x3203bfa2,0x000003ff,0x00000000,0xffff3000,
    0x3ee0ffff,0xdfd106ff,0x007ff901,0x003ffff2,0x3bb220a0,0x0000002c,
    0x00000000,0x7ffdc000,0x0000001f,0x00000000,0x09999800,0x0bfffea0,
    0x017fffa0,0x30000000,0x4c000003,0x0cc00000,0x00000000,0x00006600,
    0xfff30000,0x707fffff,0x0000dfff,0x00000000,0x00026620,0x9804cc40,
    0xffffffff,0x06fffb83,0x7e400000,0x00000fff,0x06600000,0x00660000,
    0x80066000,0x001ffffb,0x00000000,0xda800000,0xfffffffe,0x7fffd42d,
    0x5fffe802,0x007bbba6,0x8013bbb6,0xeffffec9,0x0000001c,0x7ff64c00,
    0x0001ceff,0x64c00000,0x1ceffffe,0x0f7774c0,0x9a7776c0,0xfffdffff,
    0x37ffdc0f,0xdd300000,0xddb003dd,0xfb95009d,0x07bfffff,0x7ffee540,
    0x3e63dfff,0x6fffdfff,0x006fffb8,0x7fe40000,0x000000ff,0x3fb26000,
    0x001cefff,0xffffec98,0xc98001ce,0x1ceffffe,0x07fffee0,0xddd90000,
    0xd7001ddd,0x6c007ddd,0x36605eee,0xffffffff,0x7fd44fff,0xffe802ff,
    0x3fffea5f,0x5fffe802,0xfffff700,0x007fffff,0x3bbbbbae,0xeeeeeeee,
    0x3fee01ee,0xffffffff,0xeeec8003,0x70000eee,0xffffffff,0x7fd407ff,
    0xffe802ff,0x3ffff35f,0xfb87ffff,0xeeea86ff,0xeeeeeeee,0x3fea2eee,
    0xffe802ff,0x3ff6205f,0xffffffff,0x7fec400f,0xffffffff,0x5ffff30f,
    0xfb85ffff,0x777446ff,0xeeeeeeee,0x6403eeee,0x8800ffff,0x404eeeee,
    0x2e04eeea,0xffffffff,0x3ee003ff,0xffffffff,0x3fee003f,0xffffffff,
    0x3ffff703,0xfff80000,0x8802ffff,0x800fffff,0x103ffffb,0xffffffff,
    0xa89fffff,0xe802ffff,0x3fea5fff,0xffe802ff,0x7fec405f,0xffffffff,
    0xffc804ff,0xffffffff,0x81ffffff,0xffffffd8,0x04ffffff,0x7fffffc0,
    0x7ec4002f,0xffffffff,0xff504fff,0xffd005ff,0x5fffe6bf,0x2e0ffffc,
    0xffb86fff,0xffffffff,0x3ea3ffff,0xfe802fff,0xfff505ff,0xffffffff,
    0x7fd401ff,0xffffffff,0xfff30fff,0x71bfffaf,0xff88dfff,0xffffffff,
    0x404fffff,0x800ffffc,0x0ffffff9,0x21bffee0,0xffffffd8,0x04ffffff,
    0x7ffffec4,0x4fffffff,0x7fffec40,0xffffffff,0x1ffffb84,0x3fe60000,
    0x005fffff,0x007ffff9,0x740fffff,0xeeffffff,0x544fffee,0xe802ffff,
    0x3fea5fff,0xffe802ff,0x7ffec05f,0xffffffff,0x7e403fff,0xffffffff,
    0x1fffffff,0xffffffd8,0xffffffff,0xffff3003,0xd800bfff,0xffffffff,
    0x83ffffff,0x802ffffa,0xff35fffe,0x3fffe2ff,0x21bffee3,0xfffffffb,
    0x3fffffff,0x00bfffea,0x2e17fffa,0xffffffff,0x00ffffff,0xfffffff7,
    0x1fffffff,0x7d5fffe6,0x3fee1fff,0x7fffc46f,0xffffffff,0x7e404fff,
    0xf9800fff,0x204fffff,0xfd86fffb,0xffffffff,0x203fffff,0xfffffffd,
    0x3fffffff,0x3fffff60,0xffffffff,0x7fffdc3f,0xeeeeeeee,0xfff7006e,
    0x200fffff,0x407ffff8,0x503ffffb,0x405fffff,0x7ffd42a8,0xfffe802f,
    0x0bfffea5,0x817fffa0,0x1bfffff9,0xfffffd51,0xfffffc80,0xffffffff,
    0x7fcc1fff,0xd511bfff,0x200fffff,0xfffffffb,0x3ffe6007,0xfd511bff,
    0xff50ffff,0xffd005ff,0x9fffe6bf,0xf70ffffc,0xfff70dff,0xffffffff,
    0x7fd47fff,0xffe802ff,0x7fffc45f,0x2a609bff,0xfff880fd,0x2609bfff,
    0xfff30fda,0x72ffffcf,0xff88dfff,0xffffffff,0x404fffff,0x800ffffc,
    0xfffffff9,0x8dfff700,0x1bfffff9,0xfffffd51,0x3ffffe60,0xfffd511b,
    0x3ffe60ff,0xfd511bff,0xffb8ffff,0xffffffff,0xfd007fff,0x3fffffff,
    0x3ffff200,0x1ffffe03,0x02ffffc8,0x5ffff500,0x4bfffd00,0x802ffffa,
    0x3605fffe,0xd103ffff,0x4c05ffff,0xaaaaaaaa,0x6ffffeaa,0x03ffffd8,
    0x05ffffd1,0xffffffd0,0x3f6003ff,0xfd103fff,0xffa85fff,0xffe802ff,
    0x4ffff35f,0xf74ffff8,0xfff70dff,0xff50003f,0xffd005ff,0xffffc8bf,
    0xf900801f,0x1003ffff,0xf73fffcc,0x3fee1fff,0xfff9006f,0xff90001f,
    0xff3001ff,0x207fffff,0x7ec6fffb,0xfd103fff,0xffb05fff,0x3fa207ff,
    0xffd82fff,0xffd103ff,0x7ffdc5ff,0xffffffff,0xff8807ff,0x4ffffbff,
    0xdffff100,0x0ffffee0,0x01ffffe8,0x5ffff500,0x4bfffd00,0x802ffffa,
    0xf505fffe,0xf980bfff,0x80006fff,0x41fffffa,0x405ffffa,0x406ffff9,
    0xffbffff8,0xffa804ff,0x7fcc05ff,0x7ffd46ff,0xfffe802f,0xc8ffff35,
    0xffb8ffff,0xffffb86f,0xfffa8001,0xfffe802f,0x3ffffe25,0x3fe20001,
    0x98001fff,0x3fe27fff,0xdfff74ff,0x3ffff200,0xfffc8000,0xfff9800f,
    0xf707ffff,0x7ffd4dff,0x7ffcc05f,0x7fffd46f,0x7fffcc05,0x2ffffd46,
    0x9bfffe60,0xfffffffb,0x07ffffff,0xff7fffa8,0x7e400dff,0xfff82fff,
    0x7ffec07f,0xff50004f,0xffd005ff,0x7fffd4bf,0x5fffe802,0x05ffff90,
    0x01fffff0,0x7fffc400,0xffffc84f,0xfffff802,0x5fffea00,0xc806ffff,
    0xf802ffff,0x3ea0ffff,0xfe802fff,0xffff35ff,0xbcffff88,0xffb86fff,
    0xfa8001ff,0xfe802fff,0x3fff25ff,0x7e40005f,0x30005fff,0xffc8ffff,
    0x6fffb8ff,0x1ffff900,0xffff9000,0xffff3001,0xf707ffff,0x7ffe4dff,
    0xffff802f,0x3ffff20f,0xfffff802,0x0bffff20,0x43ffffe0,0x99affffb,
    0x01999999,0xfb5fffd8,0x22001fff,0x7dc6ffff,0x7e403fff,0x8004ffff,
    0x802ffffa,0x3ea5fffe,0xfe802fff,0xfffb05ff,0xfff9001f,0x7ec0003f,
    0xffb06fff,0xff9001ff,0x7fec03ff,0x1ffffb5f,0x0ffffd80,0x1ffffc80,
    0x00bfffea,0x7cd7fffa,0xfffd87ff,0xb86fffcf,0x8001ffff,0x802ffffa,
    0x3f65fffe,0x40002fff,0x002ffffd,0x88ffff30,0xffbbffff,0xfff9006f,
    0xff90001f,0xff3001ff,0x0dfffbff,0x7ecdfff7,0xfc800fff,0x3ff61fff,
    0xffc800ff,0x3fff61ff,0xfffc800f,0x3ffff71f,0x3ffe0000,0x7ffff53f,
    0x7fffe400,0x01bfffe2,0x3fffffea,0xff5000cf,0xfff005ff,0x7fffd4bf,
    0x5fffe802,0x00dfffd0,0x00bfffee,0x7ffffd40,0x0dfffd01,0x0bfffee0,
    0xf53ffff8,0xfe807fff,0xff7006ff,0x7ffd45ff,0xfffe802f,0x10ffff35,
    0xffffffff,0x3ffff70d,0xffff5000,0xbfffd005,0x003ffffc,0x03ffffc0,
    0x0ffff300,0xff7dfffb,0x3ff200df,0xfc8000ff,0xf9800fff,0xffffafff,
    0xd37ffdc2,0x2e00dfff,0x3fa2ffff,0xff7006ff,0x7fff45ff,0xffff7006,
    0x07fffee5,0x3ffe6000,0xbffff10f,0x7fffc400,0x07ffff55,0x3fffff60,
    0x4c02dfff,0xf803ffff,0x3fea4fff,0xffe802ff,0xdffff05f,0x3fffea00,
    0xfff88003,0x3ffe03ff,0xfff5006f,0x3ffe607f,0xbffff10f,0x06ffff80,
    0x47ffff50,0x802ffffa,0xff35fffe,0x3fff60ff,0xfb86ffff,0xa8001fff,
    0xe802ffff,0xfff15fff,0xf88000ff,0x20007fff,0xf987fff9,0x6fffdfff,
    0x1ffff900,0xffff9000,0xffff3001,0xf71bfffa,0x7fffcdff,0xffff5006,
    0x037fffc7,0x23ffffa8,0x5006ffff,0x3ee7ffff,0x80001fff,0x7f46fffc,
    0x7e4007ff,0xfffe9fff,0x3ffa2006,0xffffffff,0x9ffff103,0x3ffff880,
    0x00bfffea,0x2217fffa,0x3005ffff,0x0009ffff,0x40dffffb,0x005ffff8,
    0x209ffff3,0x7f46fffc,0x3fe207ff,0xff3005ff,0x7ffd49ff,0xfffe802f,
    0x20ffff35,0xfffffff8,0xeffffb86,0xeeeeeeee,0x17fffd46,0x9affff40,
    0x0006ffff,0x037fffcc,0x0ffff300,0x3ffffffa,0xfff9006f,0xff90001f,
    0xff3001ff,0x3fffeaff,0x45bffee1,0x3005ffff,0x3e29ffff,0xf3005fff,
    0x3fe29fff,0xff3005ff,0x3ffee9ff,0xfe80001f,0x7ffe44ff,0x3fe2002f,
    0x2ffffeff,0xffffc800,0x0dffffff,0x407ffff8,0x2a1ffffc,0xe802ffff,
    0xff985fff,0xff3004ff,0xfa800bff,0x2600ffff,0x3004ffff,0x3a0bffff,
    0x7fe44fff,0xfff302ff,0x3fe6009f,0x3ffea5ff,0xfffe802f,0x40ffff35,
    0x6ffffffd,0xffffffb8,0x7fffffff,0x017fffd4,0xfaaffff4,0x40005fff,
    0x005ffffa,0x41fffe60,0xfffffffa,0xffff9006,0xfff90001,0xfff3001f,
    0x72ffffcf,0x3fe6dfff,0xff3004ff,0x3ffe6bff,0xfff3004f,0x3fffe6bf,
    0xffff3004,0x07fffeeb,0xffff1000,0x4ffff985,0x7fffe400,0x20006fff,
    0xffffffc9,0xffd86fff,0xfff304ff,0xffffa8df,0x5fffe802,0x05ffff98,
    0x09ffff30,0x7ffffc40,0x7fffcc03,0xffff3005,0x5ffff109,0x04ffff98,
    0x00bffff3,0xa93fffe6,0xe802ffff,0xfff35fff,0x7fffcc0f,0xfffb86ff,
    0xffffffff,0x7ffd47ff,0xfffe802f,0x0bffff55,0xffffa800,0x3fe60005,
    0x3fffe07f,0xf9006fff,0x90001fff,0x3001ffff,0x7fdcffff,0xdfff70ff,
    0x017fffe6,0x9a7fffcc,0x3005ffff,0x3e69ffff,0xf3005fff,0x3fee9fff,
    0x5c0001ff,0xff80ffff,0x7c4006ff,0x02ffffff,0xffeb8800,0x4c4fffff,
    0xbcefffff,0x2fffffdc,0x017fffd4,0x442ffff4,0x5006ffff,0x4007ffff,
    0x805ffffd,0x006ffff8,0x707ffff5,0xff01ffff,0x3fe20dff,0xff5006ff,
    0x7ffd47ff,0xfffe802f,0x80ffff35,0x86fffffd,0xfffffffb,0x47ffffff,
    0x802ffffa,0xff35fffe,0x98000dff,0x0006ffff,0xb81fffe6,0x06ffffff,
    0x01ffff90,0x7f777744,0xeeeeffff,0x3fffcc3e,0x2e9ffff1,0xfff16fff,
    0x3fea00df,0xffff13ff,0x3ffea00d,0xdffff13f,0x3fffea00,0xffffff73,
    0xffffffff,0x17fff607,0x00ffffec,0x3fffff20,0xd9800006,0xd87fffff,
    0xffffffff,0xa84fffff,0xe802ffff,0xfff05fff,0x3fea00df,0xff5002ff,
    0x3e001fff,0xf5006fff,0xffb05fff,0x3fff60bf,0xdffff01f,0x3fffea00,
    0x0bfffea2,0x4d7fffa0,0x7cc07fff,0xfb86ffff,0x9999afff,0x7d419999,
    0xfe802fff,0xffff15ff,0xff88000f,0x260007ff,0x3e207fff,0x006fffff,
    0x401ffff9,0xfffffff8,0xffffffff,0x23fffcc4,0xfb8ffffc,0x3fffe6ff,
    0xffff5006,0x037fffc5,0x22ffffa8,0x5006ffff,0x3ee5ffff,0xffffffff,
    0x883fffff,0xf703ffff,0x88007fff,0x002fffff,0x3fff2000,0xfffc81ff,
    0xffffffff,0x5ffff504,0x0bffff00,0x401ffffa,0x800ffffc,0x03fffff8,
    0x01ffffa0,0x207fffe4,0x703ffff8,0x3a07ffff,0xf9007fff,0x7fd41fff,
    0xfff802ff,0x0ffff35f,0x0dffffb0,0x003ffff7,0x05ffff50,0x7cbffff0,
    0x0001ffff,0x00fffffc,0x07fff980,0x37ffffe4,0x0ffffc80,0x3ffffe20,
    0xffffffff,0x7ffcc4ff,0x5ffffc47,0x3fa6fffb,0xff9007ff,0x7fff41ff,
    0xffff9007,0x03ffff41,0x70ffffc8,0xffffffff,0x07ffffff,0xdddffff5,
    0xffffdddd,0xfffb000b,0xf000000f,0x2a05ffff,0xfffffffd,0x3ffe601d,
    0xffff803f,0x5ffffb03,0x0ffffd00,0x17ffff60,0x5ffffb00,0x0ffffd00,
    0xdddffff5,0xffffdddd,0x3ffff60b,0x7fffe802,0x01ffffcc,0xf99ffffc,
    0xff9807ff,0xfffb86ff,0xff98001f,0xfff803ff,0x3ffffa3f,0x7ff40004,
    0xf30004ff,0xff980fff,0xf9006fff,0x7c401fff,0xffffffff,0x44ffffff,
    0xfd87fff9,0x6fffbeff,0x00bffff6,0xfb1ffffa,0xfd005fff,0xfffd8fff,
    0xfffe802f,0x3ffffee7,0xffffffff,0xffffc83f,0xffffffff,0x4000ffff,
    0x0007fffd,0xffffd800,0xfffe9801,0xffff8802,0x7fffc404,0x9ffff702,
    0x6ffff980,0xfffffa80,0x7ffdc000,0x7ffcc04f,0xffffc86f,0xffffffff,
    0xfb80ffff,0x7cc04fff,0x7fc46fff,0x7fc404ff,0x7c0002ff,0xffb85fff,
    0xf88001ff,0x7c404fff,0x3ff22fff,0x20000fff,0x00fffffc,0x00000000,
    0x00ffffc8,0xfffd1000,0x87fff983,0xffdffff9,0x3fffee6f,0x7fffcc04,
    0x27fffdc6,0x1bfffe60,0x809ffff7,0x006ffff9,0x80effe88,0xffffffff,
    0xffffffff,0x7fec002f,0x4000007f,0x007ffff8,0x4009fff7,0x6407ffff,
    0xf101ffff,0x7403ffff,0x4401ffff,0x002fffff,0x1fffff88,0x07ffffa0,
    0x3ffffffe,0xffffffff,0xfff882ff,0x3ffa01ff,0xffff81ff,0x7fffe407,
    0x3fe20001,0xfffb83ff,0xfff0001f,0xfffc80ff,0x3fffe21f,0x880801ef,
    0x01efffff,0x00000008,0x03ffff20,0x7ffec000,0x07fff981,0xfffffffd,
    0x7ffffc4d,0x3ffffa01,0x7ffffc41,0x3ffffa01,0x7ffffc41,0x3ffffa01,
    0xfffe8001,0xfffff981,0xffffffff,0x4004ffff,0x4007fffd,0x2600adf8,
    0x805ffffe,0x4007fff8,0x304ffffd,0xc80dffff,0x20afffff,0x05ffffd9,
    0x05ffffd8,0x3ffff200,0x3ff660af,0xfff985ff,0xffffffff,0x04ffffff,
    0x15fffff9,0x2ffffecc,0x04ffffd8,0x00dffff3,0x2ffffb80,0x01ffffb8,
    0x9ffffb00,0x1bfffe60,0x3fffffee,0x07ed441b,0x7fffffdc,0x07ed441b,
    0x02f77540,0x7fffe400,0xffa80000,0xffff305f,0x3ffffea0,0x7ffe46ff,
    0x3f660aff,0xff905fff,0x6cc15fff,0xf905ffff,0x4c15ffff,0x005ffffd,
    0x704fffb8,0xf100ffff,0xd800ffff,0x44007fff,0xeeefffff,0xfffffffe,
    0x5fffa801,0x7fffcc00,0xffdcbcef,0x7c401fff,0xfeffffff,0x01ffffff,
    0x57ffffd4,0x99999999,0x7ffc4099,0xfffeffff,0xfb81ffff,0xff8807ff,
    0xfff107ff,0xfffdffff,0x2603ffff,0xbcefffff,0x1fffffdc,0x3ffea000,
    0xfffb80ff,0xff30001f,0xb979dfff,0x203fffff,0xfffffffe,0x0fffffef,
    0xffffffd0,0xfffffdff,0x9fff9001,0xfff90000,0xf900001f,0x3fe607ff,
    0x3fffe07f,0x7fc46fff,0xffefffff,0x101fffff,0xdfffffff,0x3fffffff,
    0x3ffffe20,0xfffffeff,0xfd8001ff,0xfffd02ff,0x3fff600b,0x3ff6001f,
    0x7fc4007f,0xffffffff,0x002fffff,0x357ffff7,0x3ffff200,0xffffffff,
    0xfff5004f,0xffffffff,0xfff007ff,0xffffffff,0x07ffffff,0xfffffff5,
    0x07ffffff,0x4017fffa,0x501ffffd,0xffffffff,0x807fffff,0xfffffffc,
    0x04ffffff,0xffffe880,0xfff704ff,0xffffffff,0xff907fff,0xffffffff,
    0x74c09fff,0xffffffff,0x300fffff,0xfffffffd,0x01ffffff,0x003fffb0,
    0x7f777744,0xeeeeffff,0x7fec003e,0x3e60abef,0x3fee07ff,0xfa86ffff,
    0xffffffff,0x5403ffff,0xffffffff,0x403fffff,0xfffffffa,0x03ffffff,
    0x5dfffd00,0x3fffe215,0xffff7003,0x7ffec009,0x7ffc4007,0xffffffff,
    0x26003fff,0x04ffffff,0x3fffff20,0x03ffffff,0x7ffff4c0,0x01efffff,
    0xfffffff0,0xffffffff,0x3fa607ff,0xffffffff,0xffff101e,0x3ffee007,
    0x3ffa604f,0xefffffff,0xffff9001,0x7fffffff,0x3ffe2000,0x3ee06fff,
    0xffffffff,0x903fffff,0xffffffff,0x32007fff,0xffffffff,0x6400ffff,
    0xffffffff,0xf800ffff,0x7c4007ff,0xffffffff,0x04ffffff,0x7ffffdc0,
    0x1fffe62f,0xffffff88,0xffffd306,0x03dfffff,0x3ffffa60,0x01efffff,
    0xfffffd30,0x003dffff,0x7ffffe40,0x1ffff51f,0x3fffe600,0x3fff6006,
    0xffdc8007,0xefffffff,0xfff90003,0xd98009ff,0xdfffffff,0xfd910000,
    0x019dffff,0x7fffffc0,0xffffffff,0x32203fff,0xcefffffe,0x3fffea00,
    0xffff3000,0xffec880d,0x000cefff,0x7ffffecc,0x20000dff,0x0cfffff8,
    0x3ffffee0,0xffffffff,0x3ff6603f,0x00dfffff,0x7fff64c0,0x001befff,
    0xfffffd93,0xf10037df,0xf88009ff,0xffffffff,0x04ffffff,0xfffffe80,
    0x01fffe62,0x0dfffff9,0x7ffff644,0x44000cef,0xefffffec,0x7644000c,
    0x0cefffff,0x7ff44000,0xfffb1fff,0xffff800d,0xfffb000f,0xa998000f,
    0x000019aa,0x00399993,0x004d4c40,0x04d4c000,0xfffff800,0xffffffff,
    0x2003ffff,0xfb0009a9,0xff800dff,0x26000fff,0x1000009a,0x00001353,
    0x002f3be2,0x3fffffee,0xffffffff,0x13531003,0x4d440000,0x35100001,
    0xddd30003,0xfff88003,0xffffffff,0x0004ffff,0x4c179b95,0x7cc07fff,
    0x2006ffff,0x000009a9,0x000026a6,0x00009a98,0x0bcdca80,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3bbbbb20,0xd500000e,0x74c03ddd,
    0x00002eee,0xff117ff2,0x3510005f,0xbddb1000,0x02f76cc1,0x0000d440,
    0xdd500062,0x775c01dd,0x320005ee,0x001deeee,0x0037bbae,0x3bdddd91,
    0xeed88000,0x37bb661d,0xddd70000,0x2000001b,0x03eeeeea,0xeeeec800,
    0x3310001d,0xeeec8801,0x220001de,0x3661deed,0x22000dee,0x99999999,
    0xec800019,0x0001deee,0x1deeeec8,0x13333000,0xd9753000,0xdfffffff,
    0x007ffffa,0x3ffffffe,0xffa80002,0xf301ffff,0x00007fff,0x54e7ffdc,
    0x4001fffd,0x8005fffa,0xfbaffff9,0x54000eff,0xb8005fff,0x641dfffe,
    0x0ffffdc2,0x2fffff98,0xffff9000,0x7fe4003d,0xc801ffff,0x001fffff,
    0x57fff4c0,0x000efffa,0xffffff90,0xfa800003,0x0002ffff,0x1effffc8,
    0x3ff72a00,0x203dffff,0x01fffffc,0x3fffa600,0x00efffaa,0x7fffff40,
    0x001fffff,0x3bffff20,0xffc80001,0x2a001eff,0xffffffed,0x7ecc02df,
    0xffffffff,0xfffd6fff,0xfff9803f,0x0005ffff,0x7ff7ffdc,0xfff982ff,
    0x7400003f,0xffffffff,0xffff8005,0xff98002f,0x00efffff,0x2fffff80,
    0x3fffee00,0xffdacfff,0x07fffee3,0x027ffff4,0x4ffffc80,0x77ffe400,
    0xa801ffff,0x000fffff,0x7ffff440,0x90000eff,0xffffdfff,0x3ea00003,
    0x0000efff,0x04ffffc8,0x3ffff620,0x0fffffff,0x3ffffea0,0x3fa20000,
    0x00efffff,0xfffffe80,0x001fffff,0x09ffff90,0x3fff2000,0x3f66004f,
    0xffffffff,0x3ff604ff,0xffffffff,0xffb6ffff,0xffb801ff,0x007fffff,
    0x237ffee0,0x4c2fffe8,0x0003ffff,0x7ffff4c0,0x44000dff,0x004fffff,
    0xbffffd10,0xfff10001,0x3e6009ff,0xffffffff,0x3ee2ffff,0xffb81fff,
    0xf90006ff,0xc8005fff,0xfff34fff,0xffb1003f,0x880001ff,0x00effffe,
    0x29fff900,0x001ffff9,0x27fffd40,0xfffc8000,0x3fea002f,0xffffffff,
    0x6c400fff,0x0000ffff,0x3bffffa2,0xfffd0000,0x3fffffff,0xffff9000,
    0x3f200005,0x22002fff,0xffffffff,0x904fffff,0xffffffff,0xdffffddf,
    0x003ffff2,0xfffffffd,0x5510003f,0x85555055,0x003ffff9,0x9bd97000,
    0x7ff40005,0x220002ff,0x40002aaa,0x002ffffe,0x3f2237f2,0x5c4fffff,
    0x7cc1ffff,0x8001ffff,0x000aaaa8,0x220d5544,0x2a002aaa,0x80002aaa,
    0x000aaaa8,0x88355510,0x40002aaa,0x0001aaaa,0x01555510,0x7ffffdc0,
    0xffffffff,0x5555000f,0xaa880005,0x220000aa,0x99999999,0xaa880019,
    0x100000aa,0x80015555,0xeffffffe,0x84fffeee,0xfffffffa,0x3fff26ff,
    0x80ffff96,0xffbffff8,0x000004ff,0x3ffff980,0x00000000,0x09fff300,
    0x80000000,0x8004fff9,0x2ceec882,0x41ffffb8,0x003ffffe,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3e200000,0x09bfffff,0x0003f6a6,
    0x00000000,0x00000000,0x00000000,0x5fffff50,0x7fc15440,0xffffffff,
    0x5dbfff26,0x7d407fff,0xdffff7ff,0x19980000,0x0ffffe60,0x26600000,
    0x00980001,0x04cc4000,0x00026000,0x3fee0000,0x3ffee1ff,0x0000005f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7ffffe40,0x00000801,
    0x00000000,0x00000000,0x80000000,0x002ffffc,0xffffff10,0x7e4dffff,
    0xffff76ff,0xb5fffd80,0x0001ffff,0x3fffb6e2,0xf30bdfff,0x00007fff,
    0xfffedb88,0x000bdfff,0xdca80000,0x3dffffff,0x00000000,0x3fffee00,
    0x1fffff31,0x1eeee980,0x84eeed80,0xeeeeeeea,0x20eeeeee,0x801eeee9,
    0xea84eeed,0xdeeeeeee,0x320000bc,0x00eeeeee,0x77777540,0x00bcdeee,
    0x0bbbba60,0x7fffc400,0x7540001f,0xeeeeeeee,0x4c2eeeee,0xeeeeeeee,
    0x22001abc,0xeeeeeeee,0x3eeeeeee,0x007dddd7,0x802f776c,0x0eeeeeec,
    0x3ffffd00,0x3ffea000,0x6fffffff,0x7d5bfff2,0x7ffc06ff,0x7ffff53f,
    0xffff7000,0xffffffff,0x0ffffe69,0xfffb8000,0xffffffff,0xeeeea84f,
    0xeeeeeeee,0x3f6202ee,0xffffffff,0x777440ff,0xeeeeeeee,0x7443eeee,
    0xeeeeeeee,0x73eeeeee,0x3fa3ffff,0xfa802fff,0xfe802fff,0xfffb85ff,
    0xffffffff,0x3ffea1ff,0xfffe802f,0xfffffb85,0xdfffffff,0xffff8000,
    0x5c002fff,0xffffffff,0x800dffff,0x003ffff9,0x0bffff90,0xffff7000,
    0xffffffff,0xfffa87ff,0xffffffff,0xff8801ef,0xffffffff,0xf14fffff,
    0x7001ffff,0x2007ffff,0x2fffffff,0x9ffffb00,0x3ffee000,0x6fffffff,
    0x7d5bfff2,0x3fe605ff,0xffff10ff,0x7fec400b,0xffffffff,0xfff34fff,
    0xb100007f,0xffffffff,0x709fffff,0xffffffff,0x07ffffff,0x3fffffea,
    0x0fffffff,0x7fffffc4,0xffffffff,0x7fffc44f,0xffffffff,0xfff74fff,
    0x9ffff73f,0x3fffea00,0x5fffe802,0xffffffb8,0x1fffffff,0x00bfffea,
    0x2e17fffa,0xffffffff,0x00efffff,0x3ffffe60,0x7dc005ff,0xffffffff,
    0x400effff,0x003ffff9,0x05ffffb0,0xffff7000,0xffffffff,0xfffa87ff,
    0xffffffff,0x2200cfff,0xffffffff,0x4fffffff,0x00fffff2,0x401ffffe,
    0xfffffff9,0xffff9005,0xff70009f,0xffffffff,0x8b7ffe4d,0x3f203ccc,
    0x7fff46ff,0xffff1007,0xffffffff,0x3fe69fff,0x440003ff,0xffffffff,
    0x4fffffff,0xffffffb8,0xffffffff,0xfffffb83,0xffffffff,0x7fffc40f,
    0xffffffff,0x7fc44fff,0xffffffff,0xf74fffff,0xffff5fff,0x3fea001d,
    0xffe802ff,0xffffb85f,0xffffffff,0x3fffea1f,0x5fffe802,0xffffffb8,
    0xffffffff,0x3ffee006,0x4007ffff,0xfffffffb,0x6fffffff,0x1ffffcc0,
    0x7ffff800,0xfff70000,0xffffffff,0xffa87fff,0xffffffff,0x206fffff,
    0xfffffff8,0xffffffff,0x1ffffe24,0x07ffff70,0x3ffffee0,0xff5007ff,
    0x019fffff,0x3ffffe60,0x326fffff,0xe8006fff,0x7fe44fff,0xffd802ff,
    0x4c1aefff,0xfff34fda,0xfd80007f,0x41aeffff,0xfb84fda9,0xffffffff,
    0x443fffff,0x9bffffff,0x103f6a60,0xffffffff,0x9fffffff,0xffffff88,
    0xffffffff,0xfffff74f,0x4003ffff,0x802ffffa,0x0005fffe,0x543ffff7,
    0xe802ffff,0xffb85fff,0x3f6a60ff,0xd001ffff,0xffffffff,0x7ffdc003,
    0x3ff6a60f,0x3e601fff,0x88003fff,0x0007ffff,0x03ffff70,0x3fffea00,
    0x3ffeea62,0x64002fff,0xc800ffff,0x3e03ffff,0x3a007fff,0xffffffff,
    0xffffb001,0x805bffff,0xfffffff8,0x3ff26fff,0x7fc4006f,0x7ffcc2ff,
    0x7ffcc04f,0x4c2004ff,0x0003ffff,0x13ffffe6,0xfffb8080,0xff90001f,
    0x01003fff,0x07fffe40,0xffff9000,0x7fffdc01,0x001fffff,0x00bfffea,
    0x0017fffa,0x50ffffdc,0xd005ffff,0xff70bfff,0x3ff601ff,0xff8803ff,
    0x4ffffbff,0x3fffee00,0x7ffffb00,0x1ffffcc0,0x7fffcc00,0xff700006,
    0x2a0003ff,0xd102ffff,0x800dffff,0x800ffffc,0x706ffff8,0x2007ffff,
    0xffbffff8,0xfd1004ff,0xffffffff,0x7ffec07f,0x26ffffff,0x4006fffc,
    0xf80ffffb,0x7f406fff,0x30004fff,0x0007ffff,0x027ffff4,0x7fffdc00,
    0xfff88001,0x800001ff,0x000ffffc,0x03ffff20,0xfcffffb8,0x2a006fff,
    0xe802ffff,0x70005fff,0x7d43ffff,0xfe802fff,0xfffb85ff,0xffff500f,
    0xffff5009,0x801bfffe,0x500ffffb,0x4c09ffff,0x8003ffff,0x005ffffa,
    0x3ffff700,0x3ffea000,0x7fff402f,0x3ff2003f,0xff9000ff,0xffff05ff,
    0x7ffd400f,0x00dffff7,0xffffffc8,0x880dffff,0xffffffff,0x1bfff26f,
    0x0bfffb00,0x407ffff6,0x00fffff9,0x7ffff300,0x3ffe6000,0xb80000ff,
    0x8001ffff,0x005ffffc,0xffff9000,0x7fe40001,0x3fee00ff,0xffffe9ff,
    0xffff5004,0xbfffd005,0x3ffee000,0x3fffea1f,0x5fffe802,0x00ffffb8,
    0x009ffff3,0x3f6bfffb,0xf7000fff,0x3e601fff,0x3e604fff,0xa8003fff,
    0x0005ffff,0x03ffff70,0x3fffea00,0x7fffdc02,0x3fff2006,0xfff1000f,
    0xffffb8df,0x3fff6003,0x01ffffb5,0xffffc980,0x306fffff,0xffffffff,
    0x037ffe4d,0x07ffff10,0x40ffffee,0x004ffffb,0x0ffffe60,0x7fffdc00,
    0xff700004,0xfb0003ff,0x00005fff,0x03ffff20,0xffffc800,0x3fffee00,
    0x1fffff99,0x2ffffa80,0x05fffe80,0x3ffff700,0x017fffd4,0x5c2ffff4,
    0xf500ffff,0xff007fff,0x3ffea7ff,0xfff7003f,0x3ffea01f,0x3ffe603f,
    0xff98003f,0x700006ff,0x0003ffff,0x00bfffea,0x00fffff1,0x007fffe4,
    0x45ffff90,0x4006ffff,0xff53ffff,0x220007ff,0xffffffeb,0xfff9304f,
    0x7fe4dfff,0x3fea006f,0xeeeeeeff,0x905ffffe,0x0003ffff,0x01ffffcc,
    0x1ffffc80,0xfff70000,0xfff0003f,0x400000ff,0x000ffffc,0x03ffff20,
    0x91ffffb8,0x500dffff,0xd005ffff,0x2000bfff,0x2a1ffffb,0xe802ffff,
    0xffb85fff,0xffe880ff,0x7fcc01ff,0xffff10ff,0x3ffee00b,0xfffe880f,
    0x3ffe601f,0xff88003f,0x700007ff,0x0003ffff,0x00bfffea,0x801ffffa,
    0x000ffffc,0x557fffe2,0x2003ffff,0xf10ffff9,0x0000bfff,0xffffffb3,
    0xfffec880,0x01bfff26,0xffffffc8,0xffffffff,0xfffd80ff,0x5555440f,
    0xff31aaaa,0x360007ff,0x5440ffff,0x1aaaaaaa,0x01ffffb8,0x3ffffc40,
    0xff900000,0x640001ff,0x2e00ffff,0x3fa1ffff,0x7d404fff,0xfe802fff,
    0xf70005ff,0x7fd43fff,0xffe802ff,0xffffb85f,0x3fffaa20,0xfffc805f,
    0x03ffff46,0x20ffffb8,0x5ffffea8,0x1ffffcc0,0xfffff800,0xffb80001,
    0xeeeeeeff,0xffa86eee,0xffd802ff,0xff9001ff,0xfc8001ff,0xfffe9fff,
    0x7ffe4006,0x03ffff46,0xffff9000,0x2198003f,0x2006fffc,0xffffffff,
    0xffffffff,0x7fffe82f,0xffffff88,0xffff35ff,0x3ffa0007,0xffff887f,
    0xfb85ffff,0xeeeeefff,0x3e66eeee,0x00006fff,0x03ffff20,0xffffc800,
    0x3fffee00,0x3ffffea1,0x3fffea01,0x5fffe802,0xffff7000,0x17fffd43,
    0x42ffff40,0xfffffffb,0x0dffffff,0x44fffe80,0x802ffffc,0xfffffffb,
    0x0dffffff,0x1ffffcc0,0xffffe800,0xffb80004,0xffffffff,0xffa87fff,
    0xffd802ff,0xff9002ff,0xf88001ff,0xffffefff,0x7fff4002,0x17fffe44,
    0xffff0000,0xfc80005f,0xff3006ff,0xffffffff,0x9fffffff,0x10dffff0,
    0xffffffff,0x0ffffe6b,0x37fffc00,0x7fffffc4,0xfffb85ff,0xffffffff,
    0x3ffea7ff,0x2000005f,0x000ffffc,0x03ffff20,0x41ffffb8,0x00effffd,
    0x005ffff5,0x000bfffd,0xa87fffee,0xe802ffff,0xffb85fff,0xffffffff,
    0xff1003ef,0xfff985ff,0xfffb804f,0xffffffff,0xfff3003e,0x3f20007f,
    0x0000ffff,0x7fffffdc,0x7fffffff,0x02ffffa8,0x02ffffc8,0x01ffff90,
    0xfffff900,0xf8800dff,0x7fcc2fff,0x200004ff,0x001ffffd,0x037ffe40,
    0x807fffb8,0xf87ffff8,0xff887fff,0x35ffffff,0x0007ffff,0x221ffffe,
    0xffffffff,0xfffffb85,0xffffffff,0x17fffea7,0xffc80000,0x320000ff,
    0x2e00ffff,0x7c41ffff,0xf504ffff,0xfd005fff,0x2e000bff,0x3ea1ffff,
    0xfe802fff,0xfffb85ff,0xdfffffff,0x3ffee000,0x6ffff80f,0xfffffb80,
    0x00dfffff,0x0ffffe60,0x7fffc400,0x700801ef,0xffffffff,0x50ffffff,
    0xb005ffff,0x2003ffff,0x000ffffc,0xffffff88,0x7fdc002f,0xffff80ff,
    0xff100006,0x80001fff,0xd006fffc,0x3600bfff,0x7f41ffff,0xaaa887ff,
    0xf35ffffa,0xffffffff,0xe8ffffff,0xaa887fff,0x85ffffaa,0xfffffffb,
    0x27ffffff,0x006ffff9,0x3fff2000,0x3f20000f,0x3ee00fff,0xffb81fff,
    0xffa82fff,0xffe802ff,0xff70005f,0x7ffd43ff,0xfffe802f,0xcffffb85,
    0x1ffffffe,0x0bfffb00,0x007ffff6,0xfd9ffff7,0x003fffff,0x00ffffe6,
    0xfffffb80,0x7ed441bf,0xaffffb80,0x99999999,0x2ffffa81,0x0ffffe80,
    0x1ffff900,0x3fff2000,0xfd8006ff,0xfffb05ff,0x15bf103f,0x7ffff4c0,
    0xffc80006,0xfff8806f,0xfff7003f,0xffffd89f,0x5ffff800,0xfffffff3,
    0xffffffff,0x00ffffd8,0xb85ffff8,0x999affff,0x22199999,0x0007ffff,
    0x3ffff200,0x3ff20000,0x3fee00ff,0xfffd01ff,0xfffa81ff,0xfffe802f,
    0xfff70005,0x7fffd43f,0x5fffe802,0x10ffffb8,0x00bffffb,0x207ffff1,
    0x403ffffb,0xb10ffffb,0x200bffff,0x003ffff9,0x3ffffe20,0xfffeffff,
    0xfffb80ff,0xff50001f,0xfff005ff,0x7fe400ff,0xf10000ff,0x8005ffff,
    0x703ffff8,0xf107ffff,0xddddffff,0x3fffffff,0xfff90000,0xffff500d,
    0x3ffe6001,0x7fffe46f,0x5ffff802,0xfffffff3,0xffffffff,0x02ffffc8,
    0xb85ffff8,0x8001ffff,0x001fffff,0xffff9000,0x7fe40001,0x3fee00ff,
    0xfff301ff,0xfffa8bff,0xffff802f,0xfff70005,0x7fffd43f,0x5ffff802,
    0x40ffffb8,0x402ffffe,0xeeeffffa,0xffffeeee,0x7fffdc05,0x17ffff40,
    0x1ffffcc0,0x3ffa2000,0xffffffff,0xffb80fff,0xf50001ff,0xf8805fff,
    0x32006fff,0x0000ffff,0x001ffff6,0x3bbfffea,0xfffeeeee,0xffff885f,
    0xffffffff,0x00004fff,0xb00bfffb,0xf800dfff,0x3ee0ffff,0xff805fff,
    0xffff35ff,0xffffffff,0xfffb8fff,0xffff805f,0x1ffffb85,0xffffe800,
    0xf9000004,0x40001fff,0x200ffffc,0x201ffffb,0x22fffffc,0x803ffff9,
    0x0003ffff,0x4c3ffff9,0xf803ffff,0xffb83fff,0x7ffcc0ff,0x7ffe406f,
    0xffffffff,0x200fffff,0x4c0ffffb,0x9806ffff,0x0003ffff,0xfffffd88,
    0x0fffffff,0x01ffffb8,0x5ffff500,0x4ffffc80,0x3ffff200,0x3ff60000,
    0xffc8007f,0xffffffff,0x40ffffff,0xfffffff8,0x2fffffff,0x3ffa0000,
    0x4000004f,0xf985fffa,0x7c01ffff,0x00005fff,0x1fffff98,0x42ffffc0,
    0x001ffffb,0x0fffffc8,0xffc80000,0x320000ff,0x0000ffff,0x7ffc4000,
    0x7ffc404f,0xffb0002f,0x7ffc41ff,0x7ffc404f,0xffffb82f,0x2ffffe80,
    0x3fffffe0,0xffffffff,0x3ee02fff,0xffe80fff,0x7fcc02ff,0x200003ff,
    0xffffffc9,0xff701bef,0x2a0003ff,0x2202ffff,0x000fffff,0x003ffff2,
    0x07fffd80,0xffffff80,0xffffffff,0xfec82fff,0xffffffff,0x200000be,
    0x003ffff8,0x3ffe2000,0x3ffff606,0x3fffe01e,0xfb000005,0x7c03dfff,
    0xffb85fff,0xf88001ff,0x801effff,0x3fff2000,0x3f20000f,0x00000fff,
    0x7ffff800,0x0ffffe40,0x3ffe2004,0x7ffff86f,0x0ffffe40,0x407fffdc,
    0x306ffffa,0xffffffff,0xffffffff,0x7ffdc09f,0xffffa80f,0x7fffcc06,
    0xfc800003,0xf7001dff,0x20003fff,0x302ffffa,0x009ffffd,0x00ffffc8,
    0x1ffff600,0xfffff300,0xffffffff,0x9809ffff,0x03fffea9,0x3602e880,
    0x0001ffff,0x07fff600,0xffffff88,0x5ffff80a,0x01f775c0,0xffffff88,
    0x5ffff80a,0x01ffffb8,0xfffff700,0xfda8837f,0xffff9000,0x7fe40001,
    0xea8000ff,0x7ec005ee,0xff304fff,0x07360dff,0x17ffff62,0x413ffff6,
    0x706ffff9,0x3e01ffff,0xfb82ffff,0xff8807ff,0x3fee07ff,0xffff00ff,
    0x7ffcc05f,0xe800003f,0x2e001fff,0x0001ffff,0x445ffff5,0xffffffb9,
    0x7ffe4000,0x3f60000f,0x7dc007ff,0xff8807ff,0x3fe007ff,0xfc8000ff,
    0xfeb9abef,0x00005fff,0x007fffc0,0x3fffffee,0xffffeeff,0x7fff405f,
    0x3ffee002,0xfeefffff,0xfb85ffff,0x20001fff,0xfffffffe,0x0fffffef,
    0x1ffff900,0x7ffe4000,0xffc8000f,0x7fcc004f,0xdcbcefff,0xb01fffff,
    0xffb99dff,0xf303ffff,0x979dffff,0x03fffffb,0x403fffee,0xe86ffffb,
    0xfb005fff,0x3ee03fff,0xff700fff,0x7fcc0dff,0xffffffff,0x2007ffff,
    0x5c006fff,0xffffffff,0x43ffffff,0xfffffffa,0xffffffff,0x3bbba202,
    0xeefffffe,0xfb003eee,0xfe800fff,0xffb005ff,0xff1003ff,0xff5000bf,
    0xffffffff,0x00001fff,0x67fffc40,0x3fff602a,0xffffffff,0x7fc05fff,
    0x7ec000ff,0xffffffff,0xb85fffff,0xffffffff,0x83ffffff,0xffffffe9,
    0x0fffffff,0x7f777744,0xeeeeffff,0x7777443e,0xeefffffe,0x7ec03eee,
    0xfc8001ff,0xffffffff,0x3604ffff,0xffffffff,0x3f203fff,0xffffffff,
    0x2e04ffff,0xf100ffff,0x7c43ffff,0xf7003fff,0x3ee09fff,0xff100fff,
    0x3e603fff,0xffffffff,0x007fffff,0x8007fff3,0xfffffffb,0x3fffffff,
    0x7fffffd4,0xefffffff,0x7fffc401,0xffffffff,0xfb004fff,0x7c400fff,
    0xf7003fff,0xf5009fff,0xd30005ff,0xffffffff,0x00003dff,0xffffff00,
    0xffffa80f,0xffffffff,0x3ffe605f,0xfff50005,0xffffffff,0xfff70bff,
    0xffffffff,0x7e407fff,0xffffffff,0x7fc40fff,0xffffffff,0x444fffff,
    0xffffffff,0x4fffffff,0x003fffc0,0xffffff90,0x807fffff,0xfffffffd,
    0xfc804fff,0xffffffff,0x7fdc03ff,0x3ff200ff,0x3ffea5ff,0xfff3000f,
    0x3ffee0df,0x3fff200f,0xffff305f,0xffffffff,0x3ea00fff,0x7dc000ff,
    0xffffffff,0x543fffff,0xffffffff,0x1003ffff,0xffffffff,0x9fffffff,
    0x1ffff600,0x0ffffa80,0xdffff300,0x00fff900,0xffffea80,0x00003fff,
    0x3fffea00,0xfec8807f,0xcfffffff,0x1fffd401,0xffd91000,0x39ffffff,
    0x3ffffee0,0xffffffff,0x7f64c03f,0x1befffff,0xffffff88,0xffffffff,
    0x7fffc44f,0xffffffff,0x3e204fff,0x4c0004ff,0xfffffffd,0xfec8800d,
    0x00dfffff,0x3ffff660,0xb800dfff,0x2600ffff,0xfb1fffff,0xff800dff,
    0xffb80fff,0x3fe600ff,0xff981fff,0xffffffff,0x5007ffff,0xf7000799,
    0xffffffff,0xa87fffff,0xdfffffff,0x220009ac,0xffffffff,0x4fffffff,
    0x0ffffb00,0x037ffec0,0x03ffffe0,0x00079950,0x026aa620,0x44000000,
    0x8002cdcb,0x00099aa8,0x0003bbae,0x099aa880,0xfffffb80,0xffffffff,
    0x4d44003f,0xffff8801,0xffffffff,0x7fc44fff,0xffffffff,0x204fffff,
    0x0001eee9,0x0026a620,0x009a9880,0x09a98800,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xee980000,0x3bbaa0de,
    0xeeeb8004,0x6400000d,0xf91deeee,0x00000fff,0x00deeeb8,0xdeeeb800,
    0xd9000000,0x4003bddd,0x000deeeb,0xa837bba6,0x80004eee,0x01deeeec,
    0x3fffdc00,0x41bddd30,0x8804eeea,0x99999999,0xdd910019,0x80003bdd,
    0x7fcc4ffd,0x3ae0001f,0x26000dee,0x3aa0deee,0xffb004ee,0x01fff989,
    0x77776400,0x2666201d,0x01999999,0xf989ffb0,0x880001ff,0x80deeeed,
    0x1deeeec8,0x2ea00000,0x5400000a,0xffc9efff,0xffc8005f,0x0001ffff,
    0x3dffff90,0x017fffc4,0xfffc8000,0x20001fff,0x1ffffffc,0x7fe40000,
    0x32001eff,0x01ffffff,0x27bffea0,0x0005fffc,0x1effffc8,0xfffe8000,
    0x77ffd404,0x005fffc9,0xfffffffd,0x64003fff,0x001fffff,0x26ffff20,
    0x0007ffea,0x3ffffff2,0x3ffea001,0x05fffc9e,0x26ffff20,0x0007ffea,
    0x0f7fffe4,0x3fffffa0,0x801fffff,0xea9bfffc,0x880007ff,0x00dffffe,
    0x0fffffe4,0x3fa60000,0x00004fff,0x7fffffd4,0xffc8005f,0x01ffffef,
    0x7fffe400,0x0dfffb04,0xfff90000,0x003ffffd,0xffdfff90,0x200003ff,
    0x004ffffc,0x7ff7ffe4,0x3ea001ff,0x05ffffff,0xffffc800,0xff500004,
    0xff5001ff,0x00bfffff,0x7ffffff4,0x4001ffff,0x00fffffa,0xfffff100,
    0x0007ffff,0x3ffbfff2,0x3ea001ff,0x05ffffff,0x7ffffc40,0x0003ffff,
    0x013ffff2,0x7ffffff4,0x8801ffff,0xffffffff,0x7440003f,0x2003ffff,
    0x00fffffa,0xffff1000,0x00007fff,0x5fffff98,0x4fffc800,0x003ffff3,
    0x0bffff20,0x01ffff98,0x3fff2000,0x03ffff34,0x9a7ffe40,0x0001ffff,
    0x017fffe4,0x4d3fff20,0x2001ffff,0x05fffff9,0xffffc800,0x3f600002,
    0x3e6005ff,0x4005ffff,0xfffffffe,0x88001fff,0x000ffffd,0xffffff50,
    0x3f20009f,0xffff34ff,0x7ffcc003,0xf50005ff,0x09ffffff,0x7fffe400,
    0x3fffa002,0x1fffffff,0xfffff500,0x880009ff,0x001efffe,0x0ffffd88,
    0xcffc8000,0x0007ffa8,0x02aaa980,0x41aaa880,0x8002aaa8,0x800aaaa8,
    0x0004fffe,0x88355510,0x51002aaa,0xaaa88355,0x2aa20002,0x544000aa,
    0x555441aa,0x5554c002,0xaa880002,0x200000aa,0x002ffff9,0x0015554c,
    0x4cccccc4,0x40001999,0x0002aaaa,0x0737b6e2,0x0d554400,0x000aaaa2,
    0x00055553,0x1cdedb88,0x2aaa2000,0x4cc4000a,0x19999999,0x6f6dc400,
    0xa980001c,0x40000aaa,0x0002aaaa,0x3f20ffd8,0x0000001f,0x00000000,
    0x7fd40000,0x000000ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0037ffe4,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x3ff61ffd,0x00000000,0x00000000,
    0xffff8000,0x00000003,0x00000000,0x00000000,0x00000000,0x22000000,
    0x0003ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x5c000000,0x6ffdbeff,0xdddd5000,0xdddddddd,
    0x44bddddd,0xe802eeee,0xeea83eee,0xeeeeeeee,0xfc82eeee,0xe98006ff,
    0x744004ee,0xdddd74ee,0x7776c007,0xeeeeeb85,0xeeeeeeee,0xeea81eee,
    0xeeeeeeee,0x75c2eeee,0xeeeeeeee,0x1eeeeeee,0x13bbbba2,0x009ddd50,
    0x00ffffb8,0x77777754,0xeeeeeeee,0xeeeec802,0x3a2000ee,0xeeeeeeee,
    0x03eeeeee,0xeeeeeec8,0x3bba2000,0xeeeeeeee,0x3a23eeee,0x5404eeee,
    0xeea84eee,0xeeeeeeee,0x7442eeee,0xeeeeeeee,0x83eeeeee,0xeeeeeeea,
    0x2eeeeeee,0x77777744,0xeeeeeeee,0x3baa003e,0xeeeeeeee,0xeeec802e,
    0x40000eee,0x1ffffffd,0xffff7000,0xffffffff,0x44ffffff,0xf803ffff,
    0xffb84fff,0xffffffff,0xf883ffff,0x4c002fff,0x4c006fff,0xfff15fff,
    0xff7001ff,0xfff907ff,0xffffffff,0x703fffff,0xffffffff,0x87ffffff,
    0xfffffffc,0xffffffff,0x3fffe61f,0x3fee00ff,0x7ff4006f,0xfffb804f,
    0xffffffff,0xff803fff,0x002fffff,0x3fffffe2,0xffffffff,0xffff804f,
    0x22002fff,0xffffffff,0x4fffffff,0x3fffffe6,0x1bffee00,0x3fffffee,
    0xffffffff,0x7ffffc43,0xffffffff,0xfffb84ff,0xffffffff,0x7fc43fff,
    0xffffffff,0x004fffff,0x3ffffff6,0x803fffff,0x2fffffff,0xffeb8000,
    0x3ee0000d,0xffffffff,0xffffffff,0x0ffffe27,0x213fffe0,0xfffffffb,
    0x3fffffff,0x00bfffb0,0x006fff98,0xf92fffcc,0xff007fff,0x3ff20fff,
    0xffffffff,0x81ffffff,0xfffffffb,0x3fffffff,0x7fffffe4,0xffffffff,
    0x3ffe61ff,0x3ee04fff,0x3ea006ff,0xfb801fff,0xffffffff,0x403fffff,
    0xfffffff9,0x3ffe2005,0xffffffff,0x4c04ffff,0x5fffffff,0x3fffe200,
    0xffffffff,0x3fe64fff,0x2e04ffff,0xffb86fff,0xffffffff,0x7c43ffff,
    0xffffffff,0x84ffffff,0xfffffffb,0x3fffffff,0x7fffffc4,0xffffffff,
    0xfff1004f,0xffffffff,0xfff9807f,0x0005ffff,0x5c000020,0xffffffff,
    0xffffffff,0x3fffe27f,0x4ffff803,0xffffffb8,0xffffffff,0x3ffff303,
    0x37ffc400,0x93ffe600,0x407ffff8,0x903ffffb,0xffffffff,0xffffffff,
    0xfffff703,0xffffffff,0xffffc87f,0xffffffff,0x3e61ffff,0x00ffffff,
    0x400dfff7,0x7005fffd,0xffffffff,0x07ffffff,0xffffffb8,0x3fe2007f,
    0xffffffff,0x404fffff,0xfffffffb,0x3ffe2007,0xffffffff,0x3e64ffff,
    0x00ffffff,0xf70dfff7,0xffffffff,0x887fffff,0xffffffff,0x4fffffff,
    0xffffffb8,0xffffffff,0x7ffffc43,0xffffffff,0xff7004ff,0xffffffff,
    0xffb807ff,0x007fffff,0x802aaaa2,0x0002aaaa,0x00ffffc8,0x03ffff88,
    0xb84ffff8,0x0001ffff,0x004fffe8,0x001bffe2,0xfc89fff3,0x3fe03fff,
    0x2aa607ff,0xaaaaaaaa,0x706ffffe,0x0003ffff,0x2aaaaaa6,0xfffeaaaa,
    0x7fffcc6f,0xff703fff,0x3fe200df,0xff7002ff,0x200003ff,0xfffffffe,
    0x7e40001f,0xe8000fff,0xffffffff,0x7fe40001,0x7fcc00ff,0x703fffff,
    0xff70dfff,0x800003ff,0x000ffffc,0x003ffff7,0xffffc800,0x3ffa0000,
    0x002fffef,0xffffffe8,0xff5001ff,0x7ff403ff,0xfc80005f,0xf8800fff,
    0xff803fff,0xfffb84ff,0xfb80001f,0xf1000fff,0xfa800fff,0x7ffc43ff,
    0xffff706f,0xff500007,0x3ee03fff,0x00001fff,0x7ffffd40,0x7ffffcc1,
    0xfff707ff,0x3fff200d,0x3ffee006,0xf880001f,0xffffbfff,0x7fe40004,
    0x7c4000ff,0xffffbfff,0x7fe40004,0x7fcc00ff,0x707fffff,0xff70dfff,
    0x800003ff,0x000ffffc,0x003ffff7,0xffffc800,0xfff30000,0x005fffb9,
    0xfbffff88,0xf5004fff,0x7f403fff,0xc80005ff,0x8800ffff,0xf803ffff,
    0xffb84fff,0x880001ff,0x2003ffff,0x54007fff,0xffc83fff,0xffff82ff,
    0xff880007,0x3ee04fff,0x00001fff,0x3ffffe20,0xfffff984,0xffb83fff,
    0xfff8806f,0x3fee003f,0xa80001ff,0xffff7fff,0xffc8000d,0x7d4000ff,
    0xdffff7ff,0xfffc8000,0x7ffcc00f,0xb83fffff,0xffb86fff,0x400001ff,
    0x000ffffc,0x003ffff7,0xffffc800,0xfffb0000,0x005fffb3,0xff7fffa8,
    0x3ea00dff,0x3fa01fff,0xc80005ff,0x8800ffff,0xf803ffff,0xffb84fff,
    0x900001ff,0x7c00dfff,0x0aa987ff,0x441fffd4,0x7dc6ffff,0x80003fff,
    0x406ffffd,0x001ffffb,0x3fff6000,0xffff306f,0xf70dfffb,0xff700dff,
    0x7dc001ff,0x80001fff,0xffb5fffd,0x640001ff,0x4000ffff,0xffb5fffd,
    0x640001ff,0x4c00ffff,0xfffdffff,0x86fffb86,0x001ffffb,0x7fffe400,
    0xffff7000,0xfc800003,0x88000fff,0xfffb6fff,0xfffd8005,0x01ffffb5,
    0x03ffff50,0x002ffff4,0x07fffe40,0x1ffffc40,0x427fffc0,0x001ffffb,
    0x5ffff100,0x21fffa00,0x7fd44ffe,0xffff902f,0x037fffc5,0x7fffd400,
    0x7ffdc01f,0x5000001f,0x203fffff,0xffaffff9,0x7ffdc2ff,0x4fffe806,
    0x7fffdc00,0xfff80001,0x7ffff53f,0x7ffe4000,0x7ffc000f,0x7ffff53f,
    0x7ffe4000,0x7ffcc00f,0x42ffffaf,0xfb86fffb,0x00001fff,0x007fffe4,
    0x01ffffb8,0x7ffe4000,0xffb8000f,0x05fffb3f,0x53ffff80,0x5007ffff,
    0x7403ffff,0x80005fff,0x800ffffc,0x803ffff8,0xfb84ffff,0x00001fff,
    0x4017fff6,0x3e20fffe,0x7ffdc6ff,0xbffff102,0x00ffffea,0xfffff100,
    0xffff7007,0xf1000003,0x4c07ffff,0xfffd7fff,0x06fffb8d,0x00ffffcc,
    0x07fffee0,0xffff3000,0x17fffe21,0xffffc800,0x3ffe6000,0xbffff10f,
    0x7ffe4000,0x7ffcc00f,0xb8dfffd7,0xffb86fff,0x400001ff,0x000ffffc,
    0x003ffff7,0xffffc800,0xfffe8000,0x005fffb0,0x887fffcc,0xa805ffff,
    0x3a01ffff,0x80005fff,0x800ffffc,0xeeeffff8,0xffeeeeee,0xfffb84ff,
    0xeeeeeeef,0xff5006ee,0xffd001ff,0x7fffdc1f,0x807ffee0,0xfe9ffffc,
    0xd80006ff,0x7006ffff,0xddddffff,0x00dddddd,0x06ffffd8,0xfabfffcc,
    0x3fee1fff,0x7ffec06f,0xfffb8006,0xeeeeeeef,0x3ff206ee,0x3ffff46f,
    0xffff9000,0x7ffe4001,0x03ffff46,0x1ffff900,0x57fff980,0x7dc3ffff,
    0xfffb86ff,0xeeeeeeef,0x3f2006ee,0xf7000fff,0xdddddfff,0x400ddddd,
    0x000ffffc,0xfb37ffcc,0x19999bff,0xd1bfff20,0xf500ffff,0x7f403fff,
    0xc80005ff,0x8800ffff,0xffffffff,0xffffffff,0xffffb84f,0xffffffff,
    0x3ffa007f,0xfffd804f,0x8fffffa0,0x2201fffb,0xfffeffff,0x7d40002f,
    0x7000ffff,0xffffffff,0x00ffffff,0x07ffffd4,0xf9fffe60,0x3fee5fff,
    0x3ffe206f,0xffb8002f,0xffffffff,0x3fa07fff,0x7ffe44ff,0xff90002f,
    0x7f4001ff,0x7ffe44ff,0xff90002f,0xff9801ff,0x97fffe7f,0xfb86fffb,
    0xffffffff,0x2007ffff,0x000ffffc,0xfffffff7,0x0fffffff,0x07fffe40,
    0x8ffff200,0xfffffffd,0x9fffd00f,0x02ffffc8,0x00ffffd4,0x000bfffd,
    0x01ffff90,0xffffff10,0xffffffff,0xff709fff,0xffffffff,0x5c00ffff,
    0xfd807fff,0xffff10ff,0x07ffe4bf,0x3fffff20,0x440006ff,0x003fffff,
    0x3fffffee,0x7fffffff,0xfffff100,0xffff3007,0xb87fffdc,0x3f206fff,
    0xf70007ff,0xffffffff,0x220fffff,0x7cc2ffff,0x90004fff,0x2001ffff,
    0x4c2ffff8,0x0004ffff,0x801ffff9,0x3ee7fff9,0xfff70fff,0xfffff70d,
    0xffffffff,0x7ffe400f,0xfff7000f,0xffffffff,0x7e400fff,0x7c000fff,
    0x3ff60fff,0x80ffffff,0x4c2ffff8,0x5404ffff,0x3a01ffff,0x80005fff,
    0x800ffffc,0xfffffff8,0xffffffff,0xfffb84ff,0xffffffff,0x3e2007ff,
    0x7e403fff,0xffff51ff,0x3fff21ff,0x7fffc400,0x40002fff,0x005ffffd,
    0x7fffffdc,0x7fffffff,0xbffffb00,0x9fffe600,0xf74ffff8,0x7ffc0dff,
    0xff70003f,0xffffffff,0x3ee0ffff,0xfff80fff,0xff90006f,0x3ee001ff,
    0xfff80fff,0xff90006f,0xff9801ff,0x3fffe27f,0x70dfff74,0xffffffff,
    0x00ffffff,0x007fffe4,0xffffffb8,0x7fffffff,0x3ffff200,0x3ffea000,
    0x7ffffec5,0xffb80fff,0xffff80ff,0x7fffd406,0x17fffa01,0x3fff2000,
    0xfff8800f,0x999999cf,0x84ffff99,0x99affffb,0x01999999,0x037ffe40,
    0x7ec7fff2,0xf92fffef,0x3ff200ff,0x40006fff,0x00fffffa,0x57fffdc0,
    0x99999999,0xffffa801,0xfff3000f,0x8ffffc8f,0xf506fffb,0x20001fff,
    0x99affffb,0x01999999,0x360bfffb,0x8001ffff,0x000ffffc,0x360bfffb,
    0x8001ffff,0x400ffffc,0x7e47fff9,0xfffb8fff,0xaffffb86,0x99999999,
    0x3fff2001,0xfff7000f,0x3333335f,0x7e400333,0x36000fff,0x7fec2fff,
    0xfffb002f,0x3ffff60b,0x3fffea01,0x17fffa01,0x3fff2000,0xfff8800f,
    0xffff803f,0x1ffffb84,0xff980000,0x3fee01ff,0xff3fff1f,0x01fff2bf,
    0x17ffffc4,0xffff1000,0xff70007f,0x100003ff,0x007fffff,0x223fffcc,
    0xffbbffff,0x9fffd06f,0x7ffdc000,0xff10001f,0x3fee07ff,0xfc8003ff,
    0xf8800fff,0xff703fff,0xf90007ff,0xf9801fff,0x7ffc47ff,0x86fffbbf,
    0x001ffffb,0x7fffe400,0xffff7000,0xfc800003,0xf1000fff,0xfffb0fff,
    0xffff1005,0x3fffee07,0x3fffea03,0x17fffa01,0x3fff2000,0xfff8800f,
    0xffff803f,0x1ffffb84,0xffb00000,0x7ffdc0bf,0xffb7ffaa,0x801fff6f,
    0x0007fffd,0x02ffffec,0x1ffffb80,0xfffd8000,0x7fcc005f,0xefffd87f,
    0xf986fffb,0x20001fff,0x001ffffb,0xddffff50,0xfffddddd,0xff9000bf,
    0xff5001ff,0xddddddff,0x00bffffd,0x01ffff90,0xd87fff98,0xfffbefff,
    0x1ffffb86,0x7fe40000,0xff7000ff,0x800003ff,0x000ffffc,0x999dfff7,
    0x005ffff9,0xdddffff5,0xffffdddd,0x7fffd40b,0xbffff502,0xfff90000,
    0xfff1001f,0xffff007f,0x3ffff709,0x3ea00000,0xff700fff,0x2ebff95f,
    0x6ffdafff,0x1ffff600,0xffffa800,0xff70000f,0xa80003ff,0x000fffff,
    0x4c3fffcc,0xfffdffff,0x06fffd86,0x7fffdc00,0xfff90001,0xffffffff,
    0x001fffff,0x00ffffc8,0xffffffc8,0xffffffff,0x7e4000ff,0x7cc00fff,
    0xfff987ff,0xb86fffdf,0x0001ffff,0x07fffe40,0x1ffffb80,0x7fe40000,
    0xffd000ff,0xffffffff,0xff9005ff,0xffffffff,0x01ffffff,0x20ffffe6,
    0x05fffff9,0xffffc800,0xffff8800,0x4ffff803,0x01ffffb8,0x3ffa0000,
    0x7fff504f,0x3fe25fff,0x006ffecf,0x001ffff6,0x17ffffc4,0xffff7000,
    0x7fc40003,0x98002fff,0xffd07fff,0x88dfffff,0x0002ffff,0x00ffffdc,
    0xffffff80,0xffffffff,0x64002fff,0xf800ffff,0xffffffff,0xffffffff,
    0x7ffe4002,0x7ffcc00f,0xfffffd07,0xfff70dff,0xc800003f,0x7000ffff,
    0x0003ffff,0x0ffffc80,0xfffff980,0xffffffff,0xfffff802,0xffffffff,
    0xf102ffff,0x7d41dfff,0x005fffff,0x0ffffc80,0x3ffff880,0x84ffff80,
    0x001ffffb,0x3ffee000,0xfbfff507,0xeeffe8ff,0x3f6005ff,0xfb0007ff,
    0x8000bfff,0x001ffffb,0x17ffff60,0x3fffcc00,0xffffffa8,0x3fffe46f,
    0x7ffdc000,0xff98001f,0xffffffff,0x4fffffff,0x7fffe400,0x7fffcc00,
    0xffffffff,0x004fffff,0x007fffe4,0x541fffe6,0x6fffffff,0x01ffffb8,
    0x7ffe4000,0xfff7000f,0xc800003f,0xc800ffff,0xffffffff,0x402fffff,
    0xfffffff9,0xffffffff,0x3ffe04ff,0xfffecfff,0x0005ffff,0x00ffffc8,
    0x03ffff88,0xb84ffff8,0x0001ffff,0x3fffe200,0xfffff982,0x7fffdc5f,
    0x3f6005ff,0xfa8007ff,0x999affff,0x09999999,0x01ffffb8,0xfffff500,
    0x33333335,0x7fcc1333,0x3fffe07f,0x7ffc6fff,0xfb80003f,0xb8001fff,
    0xf8807fff,0x64007fff,0x5c00ffff,0xf8807fff,0x64007fff,0x4c00ffff,
    0x3fe07fff,0xb86fffff,0x0001ffff,0x07fffe40,0x1ffffb80,0x7fe40000,
    0xfff800ff,0x5fffb00f,0x07fffb80,0x07ffff88,0x3fffffee,0xfffcffff,
    0xffc80005,0xff8800ff,0xfff803ff,0xffffb84f,0xffffffff,0xf90003ff,
    0xfff30dff,0xff985fff,0x2005ffff,0x8007fffd,0xffffffff,0xffffffff,
    0xffffb83f,0xffffffff,0x7fffc3ff,0xffffffff,0x263fffff,0x3ee07fff,
    0x2a6fffff,0x0000ffff,0xffffffb8,0xffffffff,0x017fffa3,0x40ffffec,
    0xffeeeee8,0xeeeeefff,0x017fffa3,0x40ffffec,0xffeeeee8,0xeeeeefff,
    0x81fffe63,0x6ffffffb,0xffffffb8,0xffffffff,0x77777443,0xeeefffff,
    0xfffb83ee,0xffffffff,0x77443fff,0xfffffeee,0x2a3eeeee,0x3f606fff,
    0x3eeeeeff,0x4017fffa,0x201ffffd,0xfffffffe,0x05fff9af,0xffffc800,
    0xffff8800,0x4ffff803,0xffffffb8,0xffffffff,0xfff30003,0xffff883f,
    0xfffe80ff,0x3f6004ff,0xff8007ff,0xffffffff,0x3fffffff,0xffffffb8,
    0xffffffff,0x7fffffc3,0xffffffff,0x3fe63fff,0x3ffe207f,0x3ffa6fff,
    0xf700005f,0xffffffff,0x227fffff,0x7003ffff,0xf109ffff,0xffffffff,
    0x29ffffff,0x003ffff8,0x109ffff7,0xffffffff,0x9fffffff,0x103fffcc,
    0x0dffffff,0xfffffff7,0x7fffffff,0xffffff88,0xffffffff,0xffffb84f,
    0xffffffff,0x7ffc43ff,0xffffffff,0x3f64ffff,0x3ff603ff,0x14ffffff,
    0x2007ffff,0x404ffffb,0x1dfffffc,0x000bfff3,0x01ffff90,0x07ffff10,
    0x709ffff0,0xffffffff,0x07ffffff,0x2ffff400,0x17ffffe2,0x27ffffe4,
    0x0ffffb00,0xffffff00,0xffffffff,0xff707fff,0xffffffff,0xff87ffff,
    0xffffffff,0x3fffffff,0x901fffe6,0x26dfffff,0x0001ffff,0xffffff70,
    0xffffffff,0x03fffea7,0x37fffcc0,0x7fffffc4,0xffffffff,0x1ffff54f,
    0x3fffe600,0xfffff886,0xffffffff,0x3ffe64ff,0x7fffe407,0xffffb86f,
    0xffffffff,0x7ffc43ff,0xffffffff,0xfb84ffff,0xffffffff,0x443fffff,
    0xffffffff,0x4fffffff,0x401ffff1,0xfffffffd,0x1ffff54f,0x3fffe600,
    0x01553006,0xff900000,0xff1001ff,0xfff007ff,0xffff709f,0xffffffff,
    0x000007ff,0x03fffff8,0x07fffff3,0x03fffec0,0x7fffffc0,0xffffffff,
    0xffb83fff,0xffffffff,0x7fc3ffff,0xffffffff,0x3fffffff,0x301fffe6,
    0x00dfffff,0xfff70000,0xffffffff,0x3ff67fff,0x7ffc006f,0x7ffc40ff,
    0xffffffff,0xffb4ffff,0xfff800df,0x7ffc40ff,0xffffffff,0x3e64ffff,
    0x7fcc07ff,0xffb86fff,0xffffffff,0x7c43ffff,0xffffffff,0x84ffffff,
    0xfffffffb,0x3fffffff,0x7fffffc4,0xffffffff,0x0bfff74f,0xffffffd8,
    0xdfffb4ff,0xfffff800,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00055d40,0x2aaa0000,0x8800000a,0xceb82aaa,0x22000000,
    0x4c000001,0x22000aaa,0x20002600,0x40026008,0x20000009,0x00026008,
    0x20000062,0x000002b9,0x01555500,0x00000660,0x1aaaa800,0x00001880,
    0x80016540,0x20026008,0x7d45fffa,0xfa8005ff,0x40000eff,0xc804fffc,
    0x003fffff,0x2f72e600,0x33bf200a,0x260001ab,0x004ffffe,0xfff30000,
    0x7000001f,0xffb8bfff,0x400000ff,0x40cfffeb,0x7ec0001b,0xffd1007f,
    0x02ffe887,0x887ffd10,0xf9102ffe,0xf9009fff,0x3fa203ff,0x17ff443f,
    0xcfffeb80,0x2e000dc0,0x0000efff,0x3ffe6000,0xfffb100f,0x00019fff,
    0x3ffe2000,0x3ffae01f,0x000dc0cf,0x00bfffb0,0x221fff44,0xfa802ffe,
    0xbfff55ff,0xffff5000,0x7dc000bf,0xa804ffff,0x003fffff,0x7ffffd40,
    0xff904fff,0x005dffff,0xffffff88,0x3600003f,0xfff56fff,0x3600000b,
    0x7fe43fff,0x200003ff,0xfffffffb,0x001ffc9b,0x00bfff10,0xd83ffff2,
    0xc800ffff,0x3f60ffff,0x7f440fff,0x206fffff,0x3203fff9,0x3f60ffff,
    0x7dc00fff,0x9bffffff,0x3e001ffc,0x0003ffff,0x3ffee000,0xfffff905,
    0x009fffff,0xffffffc8,0x3fea4fff,0x3ffee06f,0xfc9bffff,0xff98001f,
    0xf9001fff,0x7fec1fff,0xffb800ff,0x00efffef,0x7ffffcc0,0xfb8005ff,
    0x03ffffff,0x2ffffe98,0xffffb000,0x3dffffff,0xffffffc8,0xf9001eff,
    0x0fff519f,0x7ffec000,0x007fff96,0xfff81440,0x7fffd40f,0xff300004,
    0xffffffff,0x20009fff,0xd002fffa,0x7f43ffff,0xfe801fff,0x3ffa1fff,
    0x7ffe41ff,0xd02ffffe,0xffe80dff,0x3fffa1ff,0x3ffe601f,0xffffffff,
    0xff1004ff,0x00009fff,0x17ffec00,0x7fffffe4,0x03ffffff,0x3fffff20,
    0x3f24ffff,0xfff303ff,0xffffffff,0xf50009ff,0x2007ffff,0x3a1ffffe,
    0x7001ffff,0x01dfffff,0x8efff980,0x2005fffb,0xffb5fffa,0x3ff2007f,
    0x7ec002ff,0xffeeffff,0x7fe46fff,0xffffffff,0x20ffd801,0x00001ffc,
    0x3fadfffb,0x64c000ff,0x7fcc0ffe,0x7fffb05f,0x6fe40000,0xfffffd99,
    0xb751005f,0x400fffdd,0x320ffffc,0xf9007fff,0x7fe41fff,0x23fff87f,
    0xffc85ffe,0x7ffe401f,0x1ffff20f,0x36677f20,0x05ffffff,0x1fffffc0,
    0x3bba6000,0x1fffd02e,0xdfffff98,0x7ffffdaa,0x3ffff200,0x3a4fffff,
    0x3f200fff,0xffffd99d,0xf10005ff,0x2003ffff,0x320ffffc,0x64007fff,
    0x4000efff,0x2e0efff8,0xfa804fff,0x7ffec5ff,0xffff5002,0x3ffea005,
    0x3ff621df,0x332a62ff,0xeffffffe,0xb0ffec00,0x200001ff,0xff8efffd,
    0xffc8005f,0x7ffdc0ff,0x05fff502,0xd9838000,0x4400ceff,0xfffffffe,
    0x3f2000ef,0x01efc81e,0x3207bf20,0x7ffcc1ef,0xf31bff21,0x3f2009ff,
    0x01efc81e,0xdffb3070,0xff980019,0xf980004f,0xff883fff,0xffffd85f,
    0x1ffffc81,0xddddd700,0x7fc9ffff,0xd983806f,0x0000ceff,0x000fffea,
    0xdf903df9,0x00000003,0x00000000,0x74000000,0x3fa06fff,0x7ecc07ff,
    0x5c04ffff,0x6ffdbeff,0x3ff60000,0x02fffaef,0x0ffffc80,0xd807ffec,
    0x00000fff,0xfa800400,0xffffffff,0x00001fff,0x20000000,0x7fdc7ffa,
    0x0037ff47,0x20000000,0x00980000,0xffff3000,0x05fff507,0x260dffff,
    0x0003ffff,0x4d3fffe2,0x80003fff,0x26200000,0x00000000,0x00000000,
    0x00000000,0xfff50000,0x7ffdc05f,0xfffc800f,0xfffd807f,0x00001fff,
    0x001bfff6,0x07fffe40,0x3ffffa00,0x00000002,0xfffff500,0xffffffff,
    0x0000001f,0x3e600000,0x9bff21ff,0x0001fffb,0x00000000,0x40000000,
    0x003ffff9,0x03ffff88,0x003ffff5,0x27fffc40,0x00000000,0x00000000,
    0x372e6000,0xaa8800ab,0x2aaa00aa,0x2e62002a,0x880aaccc,0x2a00aaaa,
    0x3ff22aaa,0x7ffd407f,0xffff001f,0xffd7001f,0xd800001b,0x00006fff,
    0x001ffff9,0x002efff8,0x2aaaa200,0x0aaaaa00,0x339fffff,0xbfffffff,
    0x66dd4400,0x750000ab,0x03599d99,0xfe8fffe2,0x09fff35f,0x5ee5cc00,
    0xcba8000a,0x001accec,0x157b9730,0x7ffcc000,0xffa8003f,0xffe882ff,
    0x220000ff,0x0004ffff,0xabcdba88,0xb9880000,0x880aaccc,0x2a00aaaa,
    0x7d402aaa,0x4fffffff,0x0ffffd40,0x00bfffd0,0xffffffd3,0xffa83fff,
    0x3ffa01ff,0x3ffff65f,0xeeeeeeee,0xd003ffff,0x4005ffff,0xca980000,
    0x6fffebcc,0xaaaaa800,0xaabffffe,0xbc81aaaa,0xfa800002,0x3fa01fff,
    0x3ffee5ff,0x3bffee3f,0x4401ffff,0xfffffffd,0xfd9800cf,0xffffffff,
    0xfffe81df,0xfd1fffed,0x3ea000df,0x4fffffff,0xffffd980,0x1dffffff,
    0xfffff500,0x20009fff,0x003ffff9,0x41ffffa8,0x03ffffe8,0x7fffc400,
    0x3f620004,0xcfffffff,0xffe98000,0x1fffffff,0x00ffffd4,0x6c0bfffd,
    0xffffffff,0xff501eff,0x7ff403ff,0x7ffe405f,0xffffffff,0x0ffffd41,
    0x74bfffd0,0xffffffff,0xffffffff,0xffffd003,0x7665d401,0x2e001acc,
    0xffffffff,0xe8006fff,0xffffffff,0xffffffff,0x21555404,0x402bdcb8,
    0x201ffffa,0x3fe5fffe,0x77ff46ff,0x204ffff9,0xfffffffa,0x401effff,
    0xfffffffa,0x41ffffff,0xfffffff9,0x003fff75,0xffffffb0,0x403dffff,
    0xfffffffa,0x01ffffff,0x7fffffec,0x001effff,0x01ffffcc,0x0ffffd40,
    0x013ffffa,0x3fffe200,0xfff50004,0xffffffff,0x7fe4003d,0xffffffff,
    0x7fffd41f,0x17fffa01,0x77ffffec,0x06fffffe,0x403ffff5,0x3a05fffe,
    0xffffffff,0x7d41ffff,0x3fa01fff,0x3fffe5ff,0xffffffff,0x803fffff,
    0x987ffff9,0xfffffffd,0x2601dfff,0xfffffffe,0x006fffff,0xffffffe8,
    0xffffffff,0x7ffc04ff,0xfffff90f,0x3fea01bf,0x3ffa01ff,0x5ffff35f,
    0xfea7ffc4,0xfff506ff,0xffffffff,0x7d401fff,0xfeeeffff,0x4c0effff,
    0xf13ffffe,0xfb0009ff,0xffddffff,0x7d40dfff,0xfeeeffff,0xb00effff,
    0xfddfffff,0x800dffff,0x003ffff9,0x21ffffa8,0x003ffffc,0x9ffff100,
    0xffff5000,0xffffffff,0xffd001ff,0xffffffff,0xfffa83ff,0x3fffa01f,
    0xdffffa85,0x3ffff621,0x1ffffa82,0x417fffa0,0xcefffffb,0x41ffcbaa,
    0x201ffffa,0x3fe5fffe,0xccccceff,0x1ccccccc,0x7ffff540,0xfffffa85,
    0xffffffff,0xfffff881,0xffffffff,0xffe8006f,0xffffffff,0x04ffffff,
    0x7f47fffc,0x6fffffff,0x03ffff50,0xfaaffff4,0x3fee0fff,0x0ffffb1f,
    0x2fbffffa,0xfffffcaa,0x4073aa04,0x02ffffe9,0xeffd8351,0x7ffd4000,
    0x3ff621df,0x39d502ff,0x3ffffa60,0xdffffa82,0x3ffff621,0x3ffe6002,
    0xffa8003f,0xffff11ff,0x7c40000b,0xe8004fff,0xaabeffff,0x04fffffc,
    0x77ffffdc,0x1ffcbaac,0x00ffffd4,0xfd0bfffd,0x7ff40dff,0xffffa87f,
    0x17fffa01,0x13ffffe6,0xfffa8150,0x3fffa01f,0x01bfff65,0x3ffbba00,
    0xa80fffff,0xeeefffff,0x40efffff,0x0aeffffd,0x01bfffa6,0x36666620,
    0x9999ffff,0x7fc00999,0xfffffeff,0xa83fffff,0x3a01ffff,0xfff75fff,
    0x326ffe8f,0xffb87fff,0xff980dff,0x00101fff,0x00ffffe6,0x002fffb8,
    0x206fffe8,0x0107fffe,0x0ffffe60,0xe81bfffa,0x26007fff,0x8003ffff,
    0xf51ffffa,0x00007fff,0x027fffc4,0x37fffee0,0xfffff980,0xfffff301,
    0x7d40a809,0x3fa01fff,0x7ffd45ff,0x3ffee02f,0x7fffd40f,0x17fffa01,
    0x013ffff6,0x0ffffd40,0x64bfffd0,0x80007fff,0xffffffff,0x039d502f,
    0x8bffffa6,0x00effffa,0x000dfffb,0x03ffff20,0xfffff800,0xffeabfff,
    0xfffa86ff,0x3fffa01f,0x4cffff95,0x3fee3fff,0xfffff87f,0x3ffff200,
    0xfff80003,0xfff1005f,0xfff50009,0x7ffdc05f,0x7fc0000f,0x7ffd45ff,
    0x3ffee02f,0xfff3000f,0xff50007f,0x3ffe63ff,0x2200004f,0x4004ffff,
    0x200fffff,0xb03ffffc,0x0009ffff,0x807fffea,0x7e45fffe,0x7fd407ff,
    0x7ffd41ff,0x3fffa01f,0x0fffff85,0xffff5000,0x2ffff403,0x007ffff7,
    0xffffff80,0x400200df,0x3a3ffff9,0x3601ffff,0x00006fff,0x001ffff9,
    0x7fffffc0,0x87fffe84,0x201ffffa,0xff75fffe,0x3ffee1ff,0x11bfff20,
    0x8809ffff,0x0005ffff,0x005fffe8,0x0001fffb,0xa80ffff9,0x0001ffff,
    0x322ffff4,0x7d407fff,0xf3001fff,0x50007fff,0x3e23ffff,0x0002ffff,
    0x09ffff10,0x27fffc40,0x17fffe20,0x007ffffc,0x1ffffa80,0xb17fffa0,
    0xddddffff,0xffffdddd,0x1ffffa87,0x117fffa0,0x000bffff,0x00ffffd4,
    0x7c4bfffd,0x1002ffff,0x15bfffd0,0xfff80000,0x1bfffe5f,0x00dfffb0,
    0x3ffff200,0x3ffe0000,0xfff905ff,0xffffa81f,0x57fffa01,0xfd0ffffb,
    0x5fffd8df,0x017fffd4,0x8037fffc,0xfeeedcba,0xfa805fff,0x4004c2ff,
    0xeeeffffd,0xfffeeeee,0xdcba803f,0x5ffffeee,0x777fffec,0xffeeeeee,
    0xff3003ff,0xf50007ff,0x7fec3fff,0x80004fff,0x004ffff8,0x00bfffea,
    0x221bfffe,0x0005ffff,0x807fffea,0x7f45fffe,0xffffffff,0x3fffffff,
    0x00ffffd4,0xf98bfffd,0x20004fff,0x201ffffa,0x7dc5fffe,0xaabeffff,
    0xe83fdcaa,0x00002fff,0x22bfffd0,0x6c04ffff,0x00006fff,0x001ffff9,
    0x037fffc0,0xa83ffff7,0x3a01ffff,0xfff55fff,0x47fff35f,0x5c4ffff8,
    0xe801ffff,0x32207fff,0xffffffff,0x4405ffff,0xffb15fff,0x7ff407ff,
    0xffffffff,0x03ffffff,0xffffff91,0x8bffffff,0xfffffffe,0xffffffff,
    0xfff3003f,0xff50007f,0x7ffc43ff,0x0000dfff,0x013fffe2,0x01ffffb8,
    0x987fffe8,0x0004ffff,0x807fffea,0x7fc5fffe,0xffffffff,0x3fffffff,
    0x00ffffd4,0xfa8bfffd,0x20004fff,0x201ffffa,0xfe85fffe,0xffffffff,
    0xfe83ffff,0x2a0002ff,0xffeeedcb,0xffff55ff,0x6fffd807,0xfff90000,
    0x7fc0001f,0x3fee04ff,0x7ffd41ff,0x3fffa01f,0x33bfffe5,0x3fee0fff,
    0x7ffe42ff,0xfffe801f,0xfffff107,0xffffffff,0xfffd80bf,0xffffff98,
    0xfffff04f,0xffffffff,0xf107ffff,0xffffffff,0xf8bfffff,0xffffffff,
    0xffffffff,0xffff3003,0xfff50007,0xffff983f,0x220006ff,0x2004ffff,
    0x801ffffc,0xfa87fffe,0x20004fff,0x201ffffa,0x7fc5fffe,0xccccceff,
    0x1ccccccc,0x00ffffd4,0xfa8bfffd,0x20005fff,0x201ffffa,0xc885fffe,
    0xffffffff,0xfd83ffff,0x644002ff,0xffffffff,0xff75ffff,0xffd805ff,
    0xf900006f,0x40001fff,0x2e04ffff,0x7d41ffff,0x3fa01fff,0x3fff65ff,
    0x3ea6ffff,0xffb85fff,0xffe802ff,0xfffe886f,0xfaaaccff,0x3ea05fff,
    0xbfffb2ff,0xff03ffff,0x99999dff,0x39999999,0xfffffe88,0xfffaaacc,
    0x77fffc5f,0xcccccccc,0x3001cccc,0x0007ffff,0x103ffff5,0x09fffffd,
    0x3fffe200,0x3ffee004,0xfffe802f,0x5ffffa86,0x3ffea000,0x3fffa01f,
    0x037ffec5,0x7fffd400,0x17fffa01,0x00dffff1,0x0ffffd40,0x40bfffd0,
    0xffffffd9,0x9881deff,0x7fc40019,0xffffffff,0xff55ffff,0xffd805ff,
    0xf900006f,0x40001fff,0x2e04ffff,0x7d41ffff,0x3fa01fff,0x3ffe65ff,
    0xfdbdffff,0xfa81ffff,0xff803fff,0xfffb85ff,0xfffd00df,0x57ffe20b,
    0xff12fff9,0xdfffb09f,0xfff70000,0x3ffa01bf,0x37ffec5f,0xff300000,
    0xf50007ff,0x7ec03fff,0x8000ffff,0x004ffff8,0x00ffffea,0x2217fffe,
    0x0006ffff,0x807fffea,0x7e45fffe,0xa80007ff,0xf502ffff,0xfff0bfff,
    0x2a0005ff,0xf502ffff,0x2200bfff,0x004fffd9,0xfffd1000,0xf55599ff,
    0x3fe6bfff,0x7fec03ff,0xf900006f,0x40001fff,0x2e04ffff,0x7d41ffff,
    0xff502fff,0xfffb8bff,0xffffffff,0xfff304ff,0xfffa80bf,0xffffd84f,
    0x17fffa00,0xfa87ffec,0x42ffec7f,0x0007fffc,0x00ffffd8,0xf917fffa,
    0x00000fff,0x01ffffcc,0x0ffffd40,0x07ffffa0,0x3fffe200,0x3ffe6004,
    0x7ffd405f,0xfffff04f,0x3fea0005,0xfff502ff,0xffffb8bf,0x7fcc0003,
    0xfff983ff,0xfffe85ff,0xf98000ef,0xff983fff,0x26005fff,0xb8805fff,
    0x3fee002c,0xffd00dff,0x3fffe6bf,0x3fffea04,0xff900006,0x7c0001ff,
    0x3ee04fff,0x7fcc1fff,0xfff983ff,0xfffb85ff,0xffffffff,0x7ffffc02,
    0x3ffff601,0x07fffe82,0x217fffea,0x3ee2fffa,0x42ffe46f,0x003ffffb,
    0x03ffff40,0xb8bffff5,0x0003ffff,0x7ffff300,0xffff5000,0xffffc803,
    0xfff88002,0x7ffc004f,0x3ff601ff,0xfffd02ff,0xf30001df,0xff307fff,
    0xff88bfff,0x01002fff,0x41dffff1,0x5ffffffa,0xefffffa8,0xf8839302,
    0x3ea0efff,0x005fffff,0x1003fffa,0x2009ffff,0x200ffffd,0xff15fffe,
    0x3fe60fff,0x00006fff,0x005ffff9,0x027fffc0,0x883ffff7,0x2a0effff,
    0x05ffffff,0xfffffff5,0xff9001bd,0xffb03fff,0x3ff60bff,0xfffb82ff,
    0x7ff445ff,0x363ffd45,0xfff884ff,0xb01002ff,0xf705ffff,0xf88bffff,
    0x1002ffff,0x7fffcc00,0xfffa8003,0x7ffe401f,0xff88001f,0x7e4004ff,
    0xfd81ffff,0x3ea05fff,0x302effff,0xffff8839,0x3fffea0e,0xfffb85ff,
    0xaaaabeff,0xfff03fdc,0xfffd9fff,0x360bffff,0xefffffff,0xf81fffee,
    0xfecfffff,0x05ffffff,0x00ffff10,0x03fffff9,0x40ffffd0,0x365ffffa,
    0x74c4ffff,0x006fffff,0xbffff500,0x7fffc000,0x3fffee04,0xffffff81,
    0xffffffec,0x5fff905f,0xf8800135,0xdcefffff,0x01ffffff,0x59fffff9,
    0xffffffd7,0x40fffc8b,0xff11fff9,0x3ffee07f,0xaaaabeff,0xffc83fdc,
    0xfebacfff,0xb85fffff,0xabefffff,0x03fdcaaa,0x0ffffe60,0x3fffea00,
    0xf9555951,0x2000ffff,0x004ffff8,0x7fffffc4,0xfffffdce,0x7ffec01f,
    0xfeeeffff,0xffff81ff,0xffffecff,0xffd05fff,0xffffffff,0x3ee07fff,
    0xffffffff,0x105fffcf,0xffffffff,0x703fffff,0xffffffff,0x0bfff9ff,
    0x33fffe60,0xffffb02a,0xfffb005f,0xffff705f,0x7fffccbf,0xffffecef,
    0x00006fff,0x9dfffff3,0xf8079755,0x3ee04fff,0xffb81fff,0xffffffff,
    0xff05fffc,0xf70000bf,0xffffffff,0x4407ffff,0xffffffff,0x5fffefff,
    0x220fffe6,0xfffdffff,0x3fffa00f,0xffffffff,0xfff883ff,0xffffffff,
    0xfd05fffe,0xffffffff,0x4007ffff,0xfffffff9,0x7fffffff,0x547fffea,
    0xffffffff,0x6664402f,0xeffffccc,0x200ccccc,0xfffffffb,0x03ffffff,
    0xffffff88,0x1fffffff,0xffffffb8,0xfffcffff,0xffff9105,0xffffffff,
    0x7ffff407,0xff9affff,0x3ff2205f,0xffffffff,0xffffd01f,0xff35ffff,
    0x7ffc00bf,0xff706fff,0xf9001fff,0xd759ffff,0x8bffffff,0xfffffffe,
    0x6fffcfff,0x3ff60000,0xffffffff,0x27fffc04,0x03ffff70,0x3ffffffa,
    0x5fff9aff,0x002fffa8,0xfffff500,0x05ffffff,0xffffff70,0xfff37fff,
    0x7037ff4b,0x7fffffff,0xffffc880,0xffffffff,0xfffff703,0xff37ffff,
    0x3ff220bf,0xffffffff,0x3e6003ff,0xffffffff,0x2a7fffff,0xff51ffff,
    0x07ffffff,0xffffff30,0xffffffff,0xffa803ff,0xffffffff,0x3f22002f,
    0xffffffff,0xfffd01ff,0xf35fffff,0xfd980bff,0xffffffff,0x7ffe401d,
    0xfff31dff,0xffdb300b,0x017bffff,0x6fffffe4,0x00bfff31,0x37ffffd4,
    0x007fffb0,0x3fffffe2,0xffefffff,0x7ffec45f,0xf9afffff,0x200006ff,
    0xfffffff8,0x7fc04fff,0x3fee04ff,0x3ff201ff,0xff31dfff,0x1fffb0bf,
    0x7e440000,0x0defffff,0x3fffea00,0xfff31dff,0x003fff2b,0x05fffff5,
    0x7fffecc0,0x01dfffff,0x3fffffea,0x0bfff31d,0xfffffd98,0x001dffff,
    0x3fffffe6,0xffffffff,0x47fffea7,0xdffffffa,0xffff3001,0xffffffff,
    0x1003ffff,0xdffffff9,0x3660001b,0xdffffffe,0x3fff200b,0xfff31dff,
    0x554c400b,0xa980009a,0x9800000a,0xa980019a,0x4400000a,0x4c02cdcb,
    0x7fdc000a,0xbfffffff,0xf905fff9,0x223bffff,0x00006fff,0x7ffffe44,
    0x7fc03fff,0x3fee04ff,0xaa9801ff,0x00000000,0x026a6200,0x13551000,
    0x98800000,0x54c40000,0x440009aa,0x000009aa,0x026aaa62,0x7fffcc00,
    0xffffffff,0x262007ff,0xf9800099,0xffffffff,0x1fffffff,0x04d4c400,
    0x4d4c0000,0x0aa98001,0x00000000,0x00000000,0x00000000,0x80000000,
    0xdffffffa,0x80bfff31,0x00000aa8,0x2aa66000,0xffff001a,0x7fffdc09,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x09aa8800,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26200000,0x99999999,0xfd100001,
    0x2003dfff,0x000efffa,0xfffe8800,0xfffc81ef,0x800003ff,0x7e400018,
    0x5cc3ffff,0x44011004,0x26662000,0x01999999,0xcceccba8,0x7fec001a,
    0x007ffd45,0x3ea2ffec,0xfa8000ff,0x00000eff,0x77ffff44,0x7ffffe41,
    0x30000003,0x01bfffff,0x66f65d4c,0xf80001ac,0xaa884fff,0x5e6e541a,
    0xfffa8001,0x2200000e,0x41effffe,0x03fffffc,0x20000000,0x6541aaa9,
    0x10000bcd,0xfc801335,0xffffffff,0xfe880007,0x5000dfff,0x00bfffff,
    0xfffe8800,0x3fea00df,0x00003fff,0x819fffd7,0xfffc801b,0x7fffecff,
    0xc85ffc80,0xff9005ff,0xffffffff,0x3ffff660,0x1dffffff,0x23fff700,
    0x7007ffe8,0x3fa23fff,0xffa8007f,0x00005fff,0x37ffffa2,0xfffff500,
    0x98000007,0x203fffff,0xffffffd9,0x0000ffff,0x5427fffc,0xffd35fff,
    0x4007ffff,0x05fffffa,0xfffd1000,0x3fea01bf,0x50003fff,0x3200dffd,
    0xfff91fff,0x3ffffeab,0xec8802ff,0x5fffffff,0xffffff90,0x8000ffff,
    0x03ffffe8,0x3ffffe60,0x100005ff,0x007ffffd,0x0bffffa6,0xffff7000,
    0xff937fff,0x7ffd4403,0x7fffffff,0x1ffffcc0,0x007ffff5,0xfffffff9,
    0x3fea0fff,0xffffffff,0xf8801fff,0xffffffff,0xffff1004,0x009fffff,
    0xffffff98,0xe880005f,0x9803ffff,0x002ffffe,0xffff3000,0x7ffd403f,
    0xffffffff,0xddd1000f,0xdfffffdd,0x37ffea1d,0xfffffffa,0xff9803ff,
    0x005fffff,0x7ffff440,0xfffe9803,0x3faa002f,0xf9806fff,0x3fff23ff,
    0xffffffad,0x3ee02fff,0xffffffff,0xffff907f,0x00ffffff,0x77fff440,
    0x3ffe6001,0x05fffb8e,0x7fff4400,0xffc8001e,0xf30002ff,0xffffffff,
    0x3e09ffff,0xffffffff,0x5405ffff,0x3ee5ffff,0xfc804fff,0xffffffff,
    0xfffff507,0xfffffddd,0xfff7001d,0x800dffff,0xfffffffb,0x7ffcc006,
    0x05fffb8e,0x3fffa200,0x7fe4001e,0x400002ff,0x00dffff9,0x3fffffe6,
    0x0fffeece,0xfffff100,0x1fffffff,0x3ffbffea,0xffffffff,0x3ffe600f,
    0x05fffb8e,0xdfffd100,0xfffc8003,0xffff002f,0xffd00dff,0xfffffc8d,
    0xffffffff,0xffffb06f,0xffffffff,0x20000000,0x00dfffe8,0x83bffe20,
    0x0004fffb,0x01bfffd1,0x7fffd400,0x3bf90002,0xffffffb3,0x7ffffc0b,
    0x01efffff,0x45ffff30,0x002ffff9,0x1cea8000,0x5ffffd30,0x3fffea00,
    0xff50004f,0x88009fff,0x3ee0efff,0xe88004ff,0x0000dfff,0x005ffff5,
    0x3fffe600,0xffffc804,0x4002e605,0xfffffff8,0xf50fffff,0x5bffffff,
    0x07fffff7,0xb83bffe2,0x44004fff,0x000dfffe,0x05ffff50,0xdffd9f90,
    0x41fffc80,0xfffffffc,0xffffe99c,0x7ffffd42,0x7dcbabce,0x00000000,
    0x00000000,0x00000000,0xb3070000,0x7c019dff,0xfffcdfff,0x3aa001ff,
    0x03fea83f,0x00100000,0x00ffffe6,0x00003510,0x000006a2,0x00000000,
    0x00000000,0xffffd000,0x64400001,0xffffcccc,0xfff50cce,0xff983fff,
    0x000004ff,0x00000000,0xffd84400,0x13ffe606,0x3ffffff2,0x1ffffd40,
    0x07fffff1,0x00000000,0x00000000,0x00000000,0x20000000,0xc8159000,
    0x0006ffff,0x00000000,0x3fffe000,0x00000005,0x00000000,0x00000000,
    0x00000000,0x05fffff0,0xfff00000,0xffff509f,0x3fffe05f,0x00000005,
    0x00000000,0xe81bff60,0xfff906ff,0x3ffe03ff,0x3fffee4f,0x97300003,
    0x5100157b,0x55401555,0x751002aa,0x0001579b,0x55e6dd44,0x2ea20000,
    0x0000abcd,0x73100000,0x09fffff9,0xa8000000,0x1acceccb,0xfffd0000,
    0xd997500b,0x20003599,0x00abdcb9,0x2f72e600,0x2e60000a,0x0000abdc,
    0x02af72e6,0x99731000,0x3f601559,0x000cffff,0x66654c40,0xa84ffffb,
    0x3a03ffff,0x5d406fff,0x01accecc,0x67665d40,0xba8001ac,0x01accecc,
    0x2e0dffb0,0xff901fff,0x7ffc07ff,0x1ffff25f,0x3ffea000,0x404fffff,
    0x201ffffa,0x4405fffe,0xfffffffd,0x362000cf,0xffffffff,0x3f62000c,
    0xcfffffff,0x0d554400,0x006f372a,0x7fffffe4,0x2601ffff,0xaaaaaaaa,
    0x3f66001a,0xffffffff,0xcba801df,0xffffeeed,0xffffb305,0x3bffffff,
    0x3fffea00,0x4004ffff,0xfffffffa,0x7fd4004f,0x04ffffff,0x7ffffd40,
    0x98004fff,0xfffffffe,0xfffb81ff,0x01beffff,0x7ffffdc0,0x84ffffff,
    0x201ffffa,0xd986fffe,0xffffffff,0x36601dff,0xffffffff,0x6cc01dff,
    0xffffffff,0x7ec01dff,0x4fff986f,0x03ffff20,0x3a099988,0x40006fff,
    0xfffffffd,0xf501efff,0x7f403fff,0x3fea05ff,0xffffffff,0xffa801ef,
    0xffffffff,0xffa801ef,0xffffffff,0x3fea01ef,0xffffd35f,0x7f5407ff,
    0xffffffff,0x3ff205ff,0x4fffffff,0x3fffea00,0xffffffff,0xfffc881f,
    0xffffffff,0xffff505f,0xffffffff,0xfffd803f,0xefffffff,0xffffd801,
    0x1effffff,0xfffffd80,0x01efffff,0xffffffd8,0x001effff,0xfffffff9,
    0x3603ffff,0xffffffff,0x7f4c02ef,0xffffffff,0xffa84fff,0x3ffa01ff,
    0xffffa86f,0xffffffff,0xffff501f,0xffffffff,0x7ffd403f,0xffffffff,
    0x3ff601ff,0x406ffe86,0x000ffffc,0x00bffff0,0x7ffffec0,0x6fffffee,
    0x03ffff50,0xa82ffff4,0xffffffff,0x00ffffff,0x3fffffea,0xffffffff,
    0x3fffea00,0xffffffff,0xfff500ff,0xffffff5b,0xff307fff,0xffffffff,
    0x3201ffff,0xffffffff,0x3fea004f,0xffeeefff,0x3e20efff,0xffffffff,
    0x505fffff,0xdddfffff,0x01dfffff,0x3bfffff6,0x06fffffe,0x77ffffec,
    0x06fffffe,0x77ffffec,0x06fffffe,0x77ffffec,0x06fffffe,0xffffffe8,
    0x01ffffff,0x3fffffee,0x880dffff,0xffffffff,0x84ffffff,0x201ffffa,
    0xfa86fffe,0xfeeeffff,0xa80effff,0xeeefffff,0x00efffff,0xddfffff5,
    0x1dfffffd,0xf71bff60,0xffc803ff,0xff0000ff,0x2a000bff,0x221dffff,
    0xa82ffffd,0x3a01ffff,0xffd05fff,0xf9557dff,0x7409ffff,0xaabeffff,
    0x04fffffc,0x2fbffffa,0xfffffcaa,0xfdfff504,0xffffffff,0xfffd81ff,
    0xffb10aef,0x3ff209ff,0x4fffffff,0x4073aa00,0x12ffffe9,0x99fffffd,
    0xbffff555,0x4c073aa0,0xa82ffffe,0x221dffff,0x502ffffd,0x443bffff,
    0x502ffffd,0x443bffff,0x502ffffd,0x443bffff,0x202ffffd,0xcefffffb,
    0x01ffcbaa,0x7fffed44,0xfd85ffff,0x260aefff,0xfa84ffff,0x3fa01fff,
    0x1cea86ff,0x5ffffd30,0x26039d50,0x502ffffe,0x3fa6039d,0xffb02fff,
    0x027ffc4d,0x007fffe4,0x05ffff80,0x0dfffd00,0x543ffff4,0x3a01ffff,
    0xffb85fff,0xff980dff,0xffb81fff,0xff980dff,0xffb81fff,0xff980dff,
    0xffa81fff,0xbadfffff,0x2a3fffff,0xa80effff,0x3106ffff,0xffff3333,
    0x98004009,0xff73ffff,0x3fa01bff,0x200105ff,0xe83ffff9,0x3fa06fff,
    0xfffd07ff,0x3ffff40d,0x206fffe8,0xfd07fffe,0x7ff40dff,0xffff307f,
    0x000a809f,0x3ffff6a2,0x3ffee1ff,0xffff00ef,0x3ffff509,0x437fff40,
    0xffff3000,0x3e600107,0x00103fff,0x00ffffe6,0x001dffb0,0x001ffff9,
    0x017fffe0,0x0bfffea0,0x40ffffb8,0x201ffffa,0xff85fffe,0x3f200fff,
    0xfff83fff,0x3ff200ff,0xffff83ff,0x3fff200f,0xffffa83f,0x7ffcc1ff,
    0x3ffffa4f,0x3ffffe01,0xffff1000,0x3e000009,0xfffb5fff,0x7fff401f,
    0xfff80005,0x7fffd45f,0x3fffee02,0x17fffd40,0x81ffff70,0x202ffffa,
    0x540ffffb,0x2e02ffff,0xfd80ffff,0x00004fff,0x7ffffcc0,0x07ffffa3,
    0xa84ffff8,0x3a01ffff,0x40006fff,0x0005ffff,0x002ffffc,0x02ffffc0,
    0x005fff70,0x003ffff2,0x02ffffc0,0x03fffe40,0x507fffea,0x7403ffff,
    0x7fc45fff,0x7fc404ff,0x7ffc45ff,0x7ffc404f,0x7fffc45f,0x7fffc404,
    0xfffffa85,0x4bffff02,0x6406ffff,0x1002ffff,0x0009ffff,0x57fffa00,
    0x2a07fffe,0x0005ffff,0x645fffe8,0x7d407fff,0x7fe41fff,0x7ffd407f,
    0x3fffe41f,0x07fffea0,0xa80ffff9,0xff81ffff,0x00000fff,0x3ffffb80,
    0xf017fffe,0xff509fff,0x7ff403ff,0x7f40006f,0x740005ff,0x80005fff,
    0x1005fffe,0x64009fff,0x0000ffff,0x000bffff,0xdddffffb,0xfffddddd,
    0xffffa87f,0x17fffa01,0x005ffff5,0xfa8dffff,0xff802fff,0x7ffd46ff,
    0xffff802f,0x3ffffa86,0x45bfffa0,0x5c04ffff,0x1002ffff,0x0009ffff,
    0x7776e5d4,0xffb5ffff,0xfff705ff,0x2ea00bff,0xfffeeedc,0x7fffec5f,
    0xeeeeeeee,0x7ec3ffff,0xeeeeefff,0x3ffffeee,0x777fffec,0xffeeeeee,
    0x7ffec3ff,0xeeeeeeef,0x443ffffe,0x0005ffff,0x7ff40054,0xffff31ff,
    0x4ffff809,0x01ffffa8,0x201bfffa,0xfeeedcba,0xba805fff,0xfffeeedc,
    0xb975005f,0xbffffddd,0x03fff600,0x0ffffc80,0xbffff000,0xffffd000,
    0xffffffff,0xfa87ffff,0x3fa01fff,0x7ffdc5ff,0xfffe801f,0x0ffffdc7,
    0x23ffff40,0x801ffffb,0xfa87fffe,0x3fa01fff,0xffff56ff,0xffffa807,
    0xffff1003,0xffc88009,0xffffffff,0xffff95ff,0xfffd759f,0x6440bfff,
    0xffffffff,0x7f45ffff,0xffffffff,0x3fffffff,0x7ffffff4,0xffffffff,
    0x7fff43ff,0xffffffff,0x743fffff,0xffffffff,0xffffffff,0x27fffcc3,
    0x2f7fe000,0xffdb999a,0x3ffea7ff,0x7fffc03f,0x1ffffa84,0x41bfffa0,
    0xffffffc8,0x05ffffff,0xffffff91,0x0bffffff,0x7ffffe44,0x5fffffff,
    0x42fffa80,0x3fff2009,0xfff0000f,0xfff000bf,0xffffffff,0x87ffffff,
    0x201ffffa,0x7e45fffe,0xfe801fff,0x7ffe47ff,0xfffe801f,0x0ffffe47,
    0x43ffff40,0x201ffffa,0xff76fffe,0xffa805ff,0xff1003ff,0x7c4009ff,
    0xffffffff,0xf15fffff,0xffffffff,0x0bfffdff,0x3fffffe2,0xffffffff,
    0x7fffffc5,0xffffffff,0x7ffc3fff,0xffffffff,0x43ffffff,0xffffffff,
    0xffffffff,0x7ffffc3f,0xffffffff,0x7d43ffff,0x40004fff,0xffffffff,
    0x23ffffff,0x402ffffb,0xfa84ffff,0x3fa01fff,0xfff886ff,0xffffffff,
    0xff885fff,0xffffffff,0xf105ffff,0xffffffff,0x80bfffff,0xfb35fff8,
    0xfc819dff,0xf0000fff,0xf000bfff,0x9999dfff,0x99999999,0x1ffffa83,
    0x717fffa0,0xd005ffff,0xffb8dfff,0xffe802ff,0x7fffdc6f,0x6fffe802,
    0x01ffffa8,0x7ddbfffa,0x7d402fff,0xf1003fff,0x22009fff,0xccfffffe,
    0x5ffffaaa,0x3fffffee,0xfff9bfff,0xffffe885,0xffaaaccf,0x7fffc5ff,
    0xccccccce,0x7c1ccccc,0xccccefff,0xcccccccc,0x677fffc1,0xcccccccc,
    0x7ffc1ccc,0xccccccef,0x41cccccc,0x005ffffa,0x7fffffc0,0x3fffffff,
    0x017fffdc,0x2a13fffe,0x3a01ffff,0x7f446fff,0xaaccffff,0x445ffffa,
    0xccfffffe,0x5ffffaaa,0xfffffe88,0xfffaaacc,0x7ffec05f,0xffffff88,
    0x7fffe44f,0xffff0000,0xfffb000b,0xff50000d,0x7ff403ff,0x7fffd45f,
    0x5ffff803,0x01ffffd4,0x2a2ffffc,0xf803ffff,0xffa85fff,0x3ffa01ff,
    0x7ffff56f,0x2ffffb80,0x9ffff100,0x3fffee00,0xbfffd00d,0xffffffa8,
    0x0bfff31d,0x01bffff7,0xfb17fffa,0xb0000dff,0x0000dfff,0x000dfffb,
    0x00dfffb0,0xdffff100,0xfffd8000,0xcfffffff,0x3ffffa81,0x427fffc0,
    0x201ffffa,0x7dc6fffe,0xfd00dfff,0xfffb8bff,0xfffd00df,0xbffff70b,
    0x17fffa01,0x322fffa8,0x0fffdbcf,0x003ffff2,0x02ffffc0,0x03fffe40,
    0x7fffd400,0xbffff502,0x05ffff98,0x227fffd4,0x405ffff9,0x4c4ffffa,
    0x5405ffff,0xfa84ffff,0x3fa01fff,0xffff36ff,0xffffe80b,0xffff1001,
    0x3fff6009,0x3fffa00f,0x81355105,0xfd82fffd,0x3fa00fff,0x7ffe45ff,
    0xffc80007,0xfc80007f,0xc80007ff,0x00007fff,0x005fffff,0x55553100,
    0xfff98033,0x3ffee04f,0xff80004f,0x7ffec4ff,0x3fffa00f,0x07fffec5,
    0xb0bfffd0,0x7401ffff,0xff105fff,0x7fcc10bf,0xf000001f,0x7000bfff,
    0x0007ffff,0x83ffff98,0x85fffff9,0x201fffff,0xf82ffffd,0x3601ffff,
    0xff82ffff,0x3f601fff,0xffa82fff,0x3ffa01ff,0xfffff16f,0x3fffe601,
    0x3ffe2007,0xfffd004f,0x7fffd40f,0xfffc8005,0x0ffffd03,0x22ffffd4,
    0x003ffffb,0x1ffffdc0,0x3ffee000,0x7dc0003f,0x80003fff,0x00effffe,
    0x22000000,0xf307ffff,0x0009ffff,0x43ffff88,0x2a07fffe,0x7f45ffff,
    0x3fea07ff,0xfffe85ff,0x3fffea07,0x01fffb05,0x0007ffc8,0x17fffe00,
    0x3fffe200,0xf101002f,0x7d41dfff,0xc85fffff,0xd81fffff,0xf905ffff,
    0xfb03ffff,0x3f20bfff,0xfd81ffff,0xff505fff,0x7ff403ff,0x3ffff66f,
    0x7fff4c0e,0x3fe2004f,0xffb004ff,0xfff705ff,0xf9800bff,0x3ff606ff,
    0xfffb82ff,0x7ffc45ff,0x101002ff,0x005fffff,0x3fffe202,0xf101002f,
    0x2005ffff,0xfffff500,0x0072605d,0x402f7754,0x4c4ffffd,0x04ffffff,
    0x7fffe400,0x17fffec2,0x2fffffdc,0x20bffff6,0x85fffffb,0xb82ffffd,
    0xa85fffff,0x7e402fff,0xeea804ff,0xffff005e,0x3fee000b,0xaaabefff,
    0xff03fdca,0xffd9ffff,0x10bfffff,0x9dffffff,0x3ffffffb,0x3ffffe20,
    0xffffdcef,0xfff101ff,0xffb9dfff,0x2a03ffff,0x3a01ffff,0x3fe66fff,
    0xfdcdffff,0x000fffff,0x013fffe2,0x67ffffe4,0xfffffeba,0x7fdc005f,
    0x3fff204f,0xffebacff,0xfb85ffff,0xaabeffff,0x703fdcaa,0x57dfffff,
    0x07fb9555,0x3bffffee,0xfdcaaaab,0xfffff703,0xb955557d,0x7ffec07f,
    0xfeeeffff,0xff9001ff,0xfff5009f,0xfffb9dff,0x0009ffff,0x07ffffdc,
    0x33fffff2,0xfffffeba,0x7fffe45f,0xfffebacf,0xffc85fff,0xfebacfff,
    0x445fffff,0x36205ffe,0xf9004fff,0x3fe009ff,0x3a0005ff,0xffffffff,
    0x703fffff,0xffffffff,0x0bfff9ff,0x3fffffee,0x3fffffff,0x7ffffdc0,
    0xffffffff,0x7fffdc03,0xffffffff,0x3ffea03f,0x3fffa01f,0x7ffffe46,
    0xffffffff,0x99999102,0x99dffff9,0xff881999,0xffffffff,0x005fffef,
    0x55ffffe4,0x7ffffc41,0xfeffffff,0xfffd05ff,0xffffffff,0x7ff407ff,
    0xffffffff,0x3fa03fff,0xffffffff,0x3a03ffff,0xffffffff,0x203fffff,
    0xfffffff8,0x01ffffff,0x003fffb0,0x3ffffffa,0xfffcffff,0x7ff44004,
    0xf882ffff,0xffffffff,0x45fffeff,0xfffffff8,0xfffeffff,0xfffff885,
    0xfeffffff,0x7ffe45ff,0x7fffd100,0x0fffec00,0x05ffff80,0x3fff2200,
    0xffffffff,0x3fffa03f,0xf9afffff,0x3fea05ff,0xffffffff,0xfff5002f,
    0xffffffff,0x3ffea005,0xffffffff,0x7fffd402,0x1bfffa01,0x3fffffee,
    0x202fffff,0xfffffff9,0xffffffff,0xffffb81f,0xf9bfffff,0x7d4005ff,
    0xb83fffff,0xffffffff,0x05fff9bf,0xffffff91,0x07ffffff,0x7ffffe44,
    0x3fffffff,0x3ffff220,0xffffffff,0x3fff2203,0xffffffff,0x7fe4403f,
    0xffffffff,0xffff001f,0x7fff4400,0xfa9fffff,0x7c4004ff,0x205fffff,
    0xfffffffb,0x5fff9bff,0xffffffb8,0xfff9bfff,0xfffff705,0xff37ffff,
    0x1fffccbf,0xefffff88,0x7ffc04ee,0x3fffe007,0xfd980005,0xffffffff,
    0x7ffe401d,0xfff31dff,0xfffc880b,0x000defff,0x7ffffe44,0x44000def,
    0xeffffffc,0xfffa800d,0x3fffa01f,0xffffb306,0x98019fff,0xffffffff,
    0xffffffff,0xfffff501,0x3ffe63bf,0xfffd8005,0xfff503ff,0x3e63bfff,
    0x7ecc05ff,0xffffffff,0xffd9801d,0xdfffffff,0xfffd9801,0x1dffffff,
    0xffffd980,0x01dfffff,0xffffdb30,0x10017bff,0x88009fff,0x0dfffffd,
    0x8009fff5,0x02fffff8,0xffffffa8,0x0bfff31d,0x3fffffea,0x0bfff31d,
    0x7fffffd4,0x4bfff31d,0x3e606ffe,0x5fffffff,0x013ffe20,0x005ffff8,
    0x5554c400,0xaa980009,0x26200000,0x1000009a,0x00001353,0x00026a62,
    0x403ffff5,0x8806fffe,0x260009aa,0xffffffff,0xffffffff,0x04d54401,
    0xdca80000,0x554401bc,0x22000009,0x0009aaa9,0x26aaa620,0x2a620000,
    0x200009aa,0x009aaa98,0x019a9800,0x01eee980,0x002aa600,0x79df1000,
    0x13551000,0x9aa88000,0xaa880000,0xfff90009,0x7fffcc01,0x2605ffff,
    0x3e001eee,0x00005fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x55440009,0x566e541a,0x3a200000,0x401effff,0x01bcdba8,0x3fff6000,
    0x3ffff23f,0xfd10000e,0xb803dfff,0x7fdc4fff,0x3ffea03f,0x02fffd45,
    0x03bffea0,0x665d4c00,0x803b98ab,0x00001cc9,0x55100573,0xbcdca835,
    0x0aaaa881,0x006aaaa0,0x004cc400,0x7d45ffd8,0x998800ff,0x19999999,
    0x22ffec00,0x0000fffa,0x647ffffb,0x200effff,0x99999998,0x2a600199,
    0xaaaabcdc,0x20000aaa,0x5516fffe,0x55540155,0x3fffea2a,0x93000001,
    0xffb3005b,0xa84885df,0xffd35fff,0x0009ffff,0xbffffd10,0xffffb801,
    0x0001dfff,0x71ffffdc,0x001bffff,0x3ffffa20,0xfff9000d,0x013ffee9,
    0x7d57ffea,0x7d4005ff,0x4005ffff,0xfffffffb,0x5406ffff,0x0002ffff,
    0x0077ffdc,0x3a6bfff5,0x43ffffff,0x101ffffa,0x0009ffff,0x3ffffae2,
    0x7fdc06ff,0x0fffd11f,0x3fffff20,0x4007ffff,0xfd11fffb,0x3ee000ff,
    0x3fee3fff,0x7e400dff,0xffffffff,0xfffe9807,0xffffffff,0x3a0001ff,
    0xfff56fff,0x7fff403f,0x07fffea5,0x3fea0000,0x3fe204ff,0xaadfffff,
    0x7ffd44fe,0xffffffad,0x20005fff,0x03ffffe8,0xffffffd8,0x0001ffff,
    0x547ffff3,0x0004ffff,0x0fffffa2,0x3bfff200,0x2e004fff,0xefffefff,
    0x3ffe6000,0x9805ffff,0xfffffffe,0x406fffff,0x006ffffe,0x1fffffc0,
    0xf5bfff50,0xffffffff,0x0ffffd47,0x04ffff88,0xfffffa80,0x4407ffff,
    0xffffffff,0xfff9004f,0x0fffffff,0xfffff880,0x8004ffff,0x2a3ffff9,
    0x9004ffff,0xffffffff,0xfffb80ff,0xffffffff,0x0001ffff,0x7d5bfffa,
    0x3fa01fff,0x3ffea5ff,0xe800001f,0xd00fffff,0xffffffff,0x541dffff,
    0xffffefff,0x3fffffff,0xfffe8800,0xfffb801e,0xfffffeff,0xfff88006,
    0x3fffea3f,0x3fa20002,0x20001eff,0x05fffffd,0xfffffb80,0x3fe6000e,
    0x5fffb8ef,0x3ffffe60,0xffffffff,0x7fffc06f,0x3e20007f,0x2a04ffff,
    0xffffefff,0x0fffffff,0x203ffff5,0x004ffff8,0x7fffffcc,0xb807ffff,
    0x6fffffff,0x3ffff200,0x007fffff,0xffffffb8,0xff88006f,0x3ffea3ff,
    0x3ff2002f,0x7fffffff,0x3ffffe60,0xfffffecd,0x20001fff,0xff56fffe,
    0x7ff403ff,0x3fffea5f,0xff800001,0xf300ffff,0xffff715f,0xffa83fff,
    0xaadfffff,0x006ffffe,0x06ffff44,0x6ffffc40,0x07ffff60,0x47fffd00,
    0x001ffff9,0x37fffa20,0xffd80000,0x3f20005f,0x22000eff,0x3ee0efff,
    0xfffb04ff,0x7f4c15df,0x7fec06ff,0x7c0005ff,0x2a03ffff,0xdfffffff,
    0x3fffffba,0x203ffff5,0x004ffff8,0x67fffff4,0x5007dcba,0x009fffff,
    0xa8000000,0x004fffff,0x4c7fffd0,0x0001ffff,0xfffe8000,0x7fffcc0e,
    0xffd00002,0x3fffeadf,0x97fffa01,0x001ffffa,0xffffc800,0x3220cc06,
    0xfa81dfff,0xe81fffff,0x0002ffff,0xffff3000,0x07ffff01,0x00000000,
    0x00000000,0x00000000,0x3ffea000,0xfffd00ef,0xeffe980d,0x7fcc0000,
    0x7ffd404f,0x7fcc1fff,0xffff54ff,0x3fffe203,0x3ffea004,0x100000ef,
    0x00000035,0x01a88000,0x00000000,0xfff80000,0xdfffb02f,0x3ffa0000,
    0x3ffff56f,0x52ffff40,0x0003ffff,0x3dffb100,0x54008000,0x502fffff,
    0x0009ffff,0x3ffee000,0x09fffd06,0x00000000,0x00000000,0x00000000,
    0x3fffa000,0x3fffa01f,0x00033006,0xfa800980,0xff02ffff,0x3ffeabff,
    0xffff101f,0x7ffdc009,0x0000000f,0x00000000,0x00000000,0x20000000,
    0x500ffff9,0x0000ffff,0x7d5bfffa,0x3fa01fff,0x3ffea5ff,0x2000001f,
    0x00000019,0x407ffff5,0x005ffff8,0x99bd9753,0x7ffdc035,0x05ffff07,
    0x01555510,0x40155554,0x40acdcb9,0x0001bdca,0x55999731,0x32ea6001,
    0x001accde,0x337b2ea6,0x7ffc41ac,0x7fff406f,0x00000006,0xffffa800,
    0x5bfffa03,0x101ffffa,0x4009ffff,0x8007fffd,0x200aaaa8,0x8802aaaa,
    0x00abcdba,0x336ea200,0x220000ab,0x00abcdba,0x05555440,0x4c555550,
    0xf300ffff,0xa9800fff,0xfffebccc,0x03ffff56,0xf52ffff4,0x6dc43fff,
    0x000000ac,0x5555554c,0x7d401aaa,0x7fc01fff,0x7ecc06ff,0xffffffff,
    0xffff300f,0x0ffffb83,0x1ffffa80,0x817fffa0,0xffffffe9,0xffffe8af,
    0x3fa6004f,0xffffffff,0x3fff6601,0x0fffffff,0x7fffecc0,0x20ffffff,
    0x404ffff9,0x2a66fffe,0xaaaaaaaa,0x2aaaa001,0xaaaaaaaa,0xfff50aaa,
    0x7fff403f,0x03ffff56,0x013fffe2,0x006fffe8,0x01ffffa8,0x8817fffa,
    0xfffffffd,0x362000cf,0xffffffff,0x3f62000c,0xcfffffff,0xffff5000,
    0x2ffff403,0x640ffffe,0xf7006fff,0xffffffff,0x3ffeadff,0x3fffa01f,
    0x23fffea5,0xffffffe8,0xcccb8004,0xfffff900,0xa809ffff,0x7401ffff,
    0x3ea07fff,0xffffffff,0xff100fff,0x7ffdcdff,0xfff5004f,0x7fff403f,
    0x3fffee05,0xffffffff,0x803fffff,0xfffffffc,0xf501ffff,0xffffffff,
    0x7d401fff,0xffffffff,0x3fea0fff,0x7ff403ff,0x3ffff26f,0x004fffff,
    0x3ffffffa,0xffffffff,0x03ffff53,0xfab7fff4,0xff101fff,0x7f4009ff,
    0xfa8006ff,0x3fa01fff,0xfff505ff,0xffffffff,0xfff5003d,0xffffffff,
    0xfff5003d,0xffffffff,0xfff5003d,0x7fff403f,0x0f7fff45,0x013fffea,
    0xffffffd3,0x2dffffff,0x201ffffa,0x3ea5fffe,0xfffeafff,0x005fffff,
    0xc80ffff4,0xffffffff,0x7ffd404f,0x7fff401f,0xfffff307,0xfffdd9df,
    0x7fffe401,0x06ffffdc,0x07fffea0,0x205fffe8,0xfecceffb,0xfeefffff,
    0x7ff407ff,0xffffffff,0xfff981ff,0xfeecefff,0xfff300ff,0xfdd9dfff,
    0x7ffdc1ff,0x7fff402f,0x3fffff26,0x2004ffff,0xfffffffe,0x3fffffff,
    0x403ffff5,0xff56fffe,0x3fe203ff,0x3fa004ff,0xfa8006ff,0x3fa01fff,
    0xfffa85ff,0xffffffff,0x3ea00fff,0xffffffff,0x200fffff,0xfffffffa,
    0x0fffffff,0x0ffffd40,0x98bfffd0,0xecefffff,0x200fffff,0xfffffff8,
    0x6fffffff,0x403ffff5,0x3ea5fffe,0xffffffff,0x03ffffff,0x407fffe0,
    0xfffffffc,0x7fd404ff,0x7ffc01ff,0xffff906f,0x2005cc0b,0xfffffffe,
    0x3ea000df,0x3fa01fff,0x072e05ff,0xd93ffffa,0xff702fff,0x7559dfff,
    0xff903ff9,0x05cc0bff,0x05ffffc8,0xfffb82e6,0x7fff402f,0x3fffff26,
    0x2004ffff,0xfffffffe,0x3fffffff,0x403ffff5,0xff56fffe,0x3fe203ff,
    0xccc984ff,0xcfffffcc,0x81cccccc,0x201ffffa,0xfe85fffe,0xcaabefff,
    0x204fffff,0xabeffffe,0x4fffffca,0x3bffffa0,0xffffcaab,0x7ffd404f,
    0x3fffa01f,0xfffffe85,0x01ffffff,0x577fffec,0x5bfffa60,0x201ffffa,
    0x3ea5fffe,0xadffffff,0x06ffffea,0x407fffe0,0xff999998,0x7fd404ff,
    0x3fe201ff,0xfffd04ff,0xf300001f,0x07ffffff,0x3ffff500,0x02ffff40,
    0x0ffffa80,0x2613ffe2,0x404fffff,0xffffe80a,0x3ffa0000,0x7d4000ff,
    0x7f403fff,0x266626ff,0x04ffff99,0x333332e0,0xfffffccc,0x3ffff50e,
    0xab7fff40,0xf101ffff,0xff709fff,0xffffffff,0x5fffffff,0x03ffff50,
    0x2e2ffff4,0x980dffff,0xb81fffff,0x980dffff,0xb81fffff,0x980dffff,
    0x201fffff,0x201ffffa,0x7e45fffe,0xffffffff,0x7fd400cf,0xffd00eff,
    0x3fffeadf,0x97fffa01,0x1ffffffa,0x02ffffe8,0x3ffffb2a,0x3ffe2002,
    0x7ffd404f,0x3ffee01f,0xfffff03f,0xff900005,0x0001ffff,0x807fffea,
    0x0005fffe,0xfd0dfff3,0xffffb0bf,0x7ffc0009,0x3e0002ff,0x4002ffff,
    0x204ffff9,0x406ffffa,0x004ffff8,0x3fffea00,0x3fffea1f,0x5bfffa01,
    0xb01ffffa,0xf709ffff,0xffffffff,0xffffffff,0x3ffff505,0x22ffff40,
    0x200fffff,0xf83ffffc,0x3200ffff,0xff83ffff,0x3f200fff,0x3ea03fff,
    0x3fa01fff,0x3ffe65ff,0x01359756,0x07ffffa0,0xf56fffe8,0x3ea05fff,
    0x3fea5fff,0xff502fff,0xffd109ff,0x005fffff,0x027fffc4,0x807fffea,
    0xb01ffffe,0x019fffff,0x3ffffa00,0x7fdc5fff,0xffff506f,0x2ffff403,
    0x4fff8800,0xff86ffd8,0x20000fff,0x0cfffffd,0xffffd800,0xff1000cf,
    0x3fe60fff,0x7c406fff,0x00004fff,0x87fffff1,0x201ffffa,0xff56fffe,
    0xfff907ff,0xfff709ff,0xffffffff,0x05ffffff,0x403ffff5,0x3e25fffe,
    0x7c404fff,0x7fc45fff,0x7fc404ff,0x7ffc45ff,0x7ffc404f,0x3ffea05f,
    0x3fffa01f,0x00fffee5,0x1bfffe00,0x26dfffd0,0xf983ffff,0x3ea5ffff,
    0x3e203fff,0x7fcc5fff,0x3fffffff,0x3fffe200,0x7fffd404,0xffffd881,
    0x3fffee05,0x001befff,0xfffffffb,0x7ffdc7ff,0x3ffff505,0x02ffff40,
    0xffccba88,0xfeccccef,0x7fffc47f,0x7fdc0005,0x1befffff,0xfffff700,
    0xd8037dff,0x7d44ffff,0x406fffff,0x004ffff8,0xbffffd00,0x03ffff50,
    0xfab7fff4,0x3ee0efff,0x005fffff,0x001bfffa,0x807fffea,0x3ea5fffe,
    0xff802fff,0x7ffd46ff,0xffff802f,0x17fffd46,0x037fffc0,0x403ffff5,
    0x3f25fffe,0x20000eff,0x404ffff9,0xff16fffe,0x7fd41dff,0x3ea5ffff,
    0x7fc01fff,0x7fff46ff,0x01cccdff,0x13fffe20,0x7bffff50,0xffffd955,
    0xfffd801f,0x2effffff,0x33fffea0,0x72fffff8,0x3ea09fff,0x3fa01fff,
    0x7ec405ff,0xffffffff,0x7fffffff,0x027fffcc,0x7fffec00,0x02efffff,
    0xffffffd8,0xf302efff,0xfd9dffff,0x0dffffff,0x04ffff88,0xffffc800,
    0x3ffff506,0xab7fff40,0xfcffffff,0xffffffff,0xfffe802d,0xfffa8006,
    0x3fffa01f,0x07fffee5,0x71ffffa0,0xd003ffff,0xffb8ffff,0xffe801ff,
    0x3ffea07f,0x3fffa01f,0x3ffffea5,0x9accceee,0x7ffff500,0x26fffe80,
    0xecffffff,0x5fffffff,0x007fffea,0x7d4ffffd,0x0001ffff,0x027fffc4,
    0x3fffffea,0xffffffff,0xffff7002,0x1bffffff,0x4cdfffd0,0xfd9fffff,
    0xfff503ff,0x7fff403f,0x3fffe605,0xffffffff,0x47ffffff,0x004ffffa,
    0xfffff700,0x01bfffff,0xffffffb8,0xe80dffff,0xffffffff,0x06fffeff,
    0x027fffc4,0x3fffee00,0xffff500f,0xb7fff403,0xfffffffa,0xfffcffff,
    0xffe804ff,0xffa8006f,0x3ffa01ff,0x3ffff25f,0x7fffe801,0x00ffffe4,
    0x323ffff4,0xe801ffff,0x3ea07fff,0x3fa01fff,0x3ffa25ff,0xffffffff,
    0x7dc0cfff,0x7f402fff,0x3ffee6ff,0xcfffffff,0x3fea5fff,0x7ff401ff,
    0x3ffff27f,0xff880003,0x7fd404ff,0xffffffff,0x44001eff,0xffffffda,
    0x7ffc45ff,0x7fffdc3f,0x502ffffe,0x7403ffff,0x3fa05fff,0xffbabeff,
    0xaaaaaadf,0x7fffd42a,0x2a200005,0xfffffffd,0xfda8805f,0x5fffffff,
    0xfffffe88,0xfffcafff,0x7fffc406,0x3fe60004,0x3ea02fff,0x3fa01fff,
    0xffff56ff,0x31ffffff,0x009fffff,0x000dfffd,0x403ffff5,0x3ee5fffe,
    0xfe802fff,0x7ffdc6ff,0xfffe802f,0x17fffdc6,0x037fff40,0x403ffff5,
    0x7c45fffe,0xffffffff,0x5c6fffff,0x7402ffff,0x7ff46fff,0x9affffff,
    0x3fea5fff,0x7ffc01ff,0x3ffff66f,0xff880001,0x7fd404ff,0xffffffff,
    0xa880003e,0x1ffffffd,0x207fffe6,0xfffffffc,0x3fffea07,0x17fffa01,
    0x2237ffd4,0x44004fff,0x0006ffff,0xfffb5100,0x44003fff,0xffffffda,
    0xfffff901,0x1bfff63b,0x09ffff10,0x3fffa200,0x7ffd404f,0x3fffa01f,
    0xfdffff56,0x7fdc3bff,0xffe804ff,0xffa8006f,0x3ffa01ff,0x3fffea5f,
    0x5ffff803,0x01ffffd4,0x2a2ffffc,0xf803ffff,0x3ea05fff,0x3fa01fff,
    0x7ffec5ff,0xffeeeeef,0x3ea4ffff,0x7f403fff,0xfffc86ff,0xfff31dff,
    0x0ffffd4b,0x49ffff10,0x002ffffe,0x4ffff880,0x57fffd40,0x000009a9,
    0x3ffffe60,0x07fffea3,0x7ffffff4,0x3fffea04,0xbffff502,0x10fffee0,
    0xf0009fff,0x0005ffff,0xffff9800,0xff30003f,0xa9807fff,0x37ffec0a,
    0x13fffe20,0x7fffec00,0x20000006,0x1557fffa,0x4006aa20,0x8006fffe,
    0x502ffffa,0x7ccbffff,0x7d405fff,0x7fcc4fff,0x7fd405ff,0x7ffcc4ff,
    0x7ffd405f,0x3ffea04f,0xffff502f,0x0ffffecb,0x6ffffb88,0x813fffe6,
    0x206ffffa,0x7fec0aa9,0x3fffea2f,0x3fffee01,0x13ffff23,0x3ffe2000,
    0x7ffd404f,0x0000001f,0x11ffffdc,0x2207ffff,0x00fffffe,0x20ffffe6,
    0x05fffff9,0xf985fff9,0xfe8007ff,0x0000efff,0x7fffdc00,0x3fee0003,
    0x3a0003ff,0x7c406fff,0xc8004fff,0x000fffff,0x3fea0000,0x2000007f,
    0x8006fffe,0x983ffff9,0x7c5fffff,0x3601ffff,0xff82ffff,0x3f601fff,
    0xfff82fff,0x3ff601ff,0x3fe602ff,0xfff983ff,0xffff35ff,0xffffd005,
    0x83ffffc4,0x06fffff9,0x43fffc80,0x201ffffa,0x2a1ffffe,0x002fffff,
    0x27fffc40,0x07fffea0,0x40054000,0x7c1ffffe,0xf901ffff,0x4403ffff,
    0x2a0effff,0x05ffffff,0x7449fff7,0x4003ffff,0x2efffffa,0x01503930,
    0x03ffffd0,0xfffd0015,0x7f40003f,0x7fc406ff,0x7d4004ff,0x0001ffff,
    0x202f7754,0x000ffffa,0xdfffd000,0xffff1000,0x7fffd41d,0x7ffe45ff,
    0xfffd81ff,0xffff905f,0xffffb03f,0x3ffff20b,0xffffd81f,0x7fffc405,
    0x3fffea0e,0xffff75ff,0xdfffd003,0x44ffffd8,0x6ffffffa,0x37ffc400,
    0x40ffffd4,0x45ffffd8,0xdffffff8,0xfff10001,0xfffa809f,0xff00001f,
    0xb733357b,0xf90fffff,0x7559ffff,0xfffffffd,0x7ffffc01,0xfffffecf,
    0xfff505ff,0xffffb33d,0x36a617ff,0xfffffb01,0xfffdddff,0x357bff03,
    0xffffb733,0x2af7fe0f,0xfffdb999,0x7f40007f,0x7fc406ff,0x3e2004ff,
    0x0003ffff,0x404fffc8,0x001ffffa,0xdfffd000,0x3fffe000,0xffffecff,
    0x7fc45fff,0xfdceffff,0x101fffff,0x9dffffff,0x3ffffffb,0x3ffffe20,
    0xffffdcef,0xfff801ff,0xfffecfff,0xff55ffff,0xffb80dff,0x7ffcc4ff,
    0xfffeceff,0x4006ffff,0xfa85fffb,0xcaabdfff,0x80fffffe,0xfffffff9,
    0x3220eeff,0xfffccccc,0x0cccccef,0x003ffff5,0x3ffffe00,0xffffffff,
    0xfffe883f,0xffffffff,0x00efffff,0xfffffff7,0xbfff9fff,0x3ffffe20,
    0xfffdffff,0x01ffffff,0xfffffff1,0x03ffffff,0xffffffff,0x07ffffff,
    0x3ffffffe,0x3fffffff,0x7fff4000,0x99999916,0x999dffff,0xfffd0199,
    0xffffffff,0xfd809fff,0x7fd401ff,0x000001ff,0x000dfffd,0x3fffffee,
    0xfffcffff,0xfffffb85,0xffffffff,0x7fffdc03,0xffffffff,0x7ffdc03f,
    0xffffffff,0xff7003ff,0xffffffff,0x3e2bfff9,0x9aceffff,0xeffffeba,
    0xfffffe80,0xffcfffff,0x7fdc006f,0xff51abff,0xffffffff,0x5c05ffff,
    0xffffffff,0x3ffe60ff,0xffffffff,0xf51fffff,0x00003fff,0x3ffffffe,
    0x03ffffff,0x3fffffa6,0xfddfffff,0x3fa05fff,0xafffffff,0x3205fff9,
    0x8fffffff,0xfffffff8,0x3f2201ff,0xffffffff,0xffff81ff,0xffffffff,
    0x3fffe03f,0xffffffff,0xfe80003f,0xffff36ff,0xffffffff,0xf883ffff,
    0xffffffff,0x04ffffff,0x5403fffc,0x0001ffff,0x0dfffd00,0x7ffff400,
    0xff9affff,0xffff505f,0x5fffffff,0x3fffea00,0x2fffffff,0xfffff500,
    0x05ffffff,0xfffffe80,0xfff9afff,0x3ffffee5,0xffffffff,0xffd101ff,
    0x35ffffff,0xa800dfff,0x53ffffff,0xffffffff,0x003dffff,0xffffffb3,
    0x7ffcc1ff,0xffffffff,0xf51fffff,0x00003fff,0x3ffffff6,0x001cffff,
    0xfffffff7,0x3fffa23d,0x3fff204f,0xfff31dff,0xffffc80b,0x3fffa20e,
    0x9800dfff,0xffffffed,0xfffd80bd,0xcfffffff,0x7fffec01,0x1cffffff,
    0xfffd0000,0x3ffffe6d,0xffffffff,0x7fc41fff,0xffffffff,0x204fffff,
    0xa804fff8,0x0001ffff,0x0dfffd00,0xffffc800,0xbfff31df,0x7fffe440,
    0x4000deff,0xffffffc8,0x644000de,0xdeffffff,0xfff90000,0x3fe63bff,
    0x7fffdc5f,0xffffffff,0xfffc800c,0xfff31dff,0xfffb000d,0x3b2a27ff,
    0xefffffff,0xffd98003,0x3e60ffff,0xffffffff,0x1fffffff,0x00199993,
    0xaaa98800,0x2200019a,0x00001aa9,0x0000554c,0x510054c4,0x98000355,
    0x2620019a,0x0019aaaa,0x9aaaa988,0xcb800001,0xffff33cc,0xffffffff,
    0xf883ffff,0xffffffff,0x04ffffff,0x2007bba6,0x000cccc9,0xdfffd000,
    0x2aa60000,0x53100000,0x22000013,0x000009a9,0x00013531,0x000554c0,
    0xeffeeca8,0x98000bcd,0x000000aa,0x40379b93,0x00009999,0x012ea620,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x53000000,0x54003555,0x99882aaa,
    0x00000000,0xe8800000,0x501effff,0xffa8bfff,0xffff105f,0x7fd40007,
    0x00005fff,0xc8001310,0xffffffff,0x9998004f,0x10000009,0x03dffffd,
    0xf517ffea,0xfffa8bff,0xffb0001f,0x7fffffff,0x26200000,0xfff90009,
    0x09ffffff,0x88157300,0x0003ffff,0x7ffe4000,0x310003ff,0x26000013,
    0x3ea00019,0x00000eff,0x30000033,0xeeea8001,0xeeeeeeee,0xffff98ee,
    0xffff3006,0xeffffd8b,0xfffc800c,0x06ffea81,0x003fff90,0xbffffd10,
    0x5fffa801,0x440bfff5,0x0003ffff,0x2fffff44,0x7ee44000,0xeeefffff,
    0x3ff25eee,0x4fffffff,0xfffec980,0x002dffff,0xffffd100,0xfffa801b,
    0x50bfff55,0x0003ffff,0x3ffffff6,0x00003fff,0x3fffffae,0x3ff202df,
    0x4fffffff,0x77ffe400,0x0ffffe20,0xfc800000,0x2001efff,0xfffffdca,
    0xb71003df,0xbffffffd,0xfff50017,0x26000bff,0xceffffec,0xfdb98001,
    0xb803ceff,0xffffffff,0xfd1fffff,0xf9003fff,0xffe85fff,0x4c05ffff,
    0x7f543fff,0xf9806fff,0xe88003ff,0x2003ffff,0xfffefffb,0xffeee80e,
    0x2eeeeeff,0xffffc800,0x3fe60005,0xffffffff,0x327fffff,0xffffffff,
    0xfffd804f,0xffffffff,0x3a20000e,0x2003ffff,0xfffefffb,0xffffa80e,
    0xfffb0001,0x07ffffff,0xfffd3000,0xdfffffff,0xfffff901,0x4009ffff,
    0x25fffffa,0x003ffff8,0xfff90000,0x362001bf,0xffffffff,0x7dc00fff,
    0xffffffff,0x7cc04fff,0x05ffffff,0x7ffffdc0,0x003fffff,0x3fffffee,
    0x2e00efff,0xffffffff,0xf71fffff,0xff009fff,0x55790fff,0x7403fffb,
    0xffff86ff,0xffe806ff,0xffe88006,0xfb8001ef,0xf00effff,0xffffffff,
    0x20007fff,0x005ffffa,0xffffffb8,0xffffffff,0x3bbae7ff,0x04ffffee,
    0xffffffd8,0x06ffffff,0xdfffd100,0xfff70003,0x3ea01dff,0x90001fff,
    0xfffddddd,0xf880007f,0xffffffff,0x5c0effff,0xfffeeeee,0x3ff2004f,
    0xff10ffff,0x000007ff,0x07ffff90,0x7ffffd40,0xffffffff,0xffffb100,
    0xffffffff,0x7ffcc09f,0x05fffb8e,0xfffffd88,0x4fffffff,0xfffffd80,
    0x1fffffed,0xffffff70,0x3fffffff,0x01ffffe2,0x009ffff5,0x3201fff7,
    0xcfc81fff,0x7e406ffe,0x744001ff,0x0000dfff,0x803bfff2,0xffffffff,
    0x0003ffff,0x017fffa2,0xffffff88,0xeeffffee,0x7c405eee,0xfd804fff,
    0xfffdceef,0x4004ffff,0x00dfffe8,0x3bfff200,0x3fffea00,0x3e600001,
    0x40003fff,0xaceffffe,0x3ffffedb,0x4ffff880,0x3ffff200,0x3fffe27f,
    0x64000003,0x2001efff,0xfffffffb,0x0fffffff,0xffffff88,0xffffffff,
    0xdfff104f,0x027ffdc1,0x3ffffff6,0xffffffff,0x33fffa03,0x7fffd441,
    0xfff70001,0x7fffe43f,0x3ffff602,0xfffdd900,0x13ffe607,0x06ffd844,
    0x0013ffe6,0x00000000,0x7ffff774,0x002eeeee,0x3f200000,0x3fa0cfff,
    0xf88003ff,0xaa804fff,0xffffb100,0x0000000b,0xfff50000,0x4c00003f,
    0x0003ffff,0x417fffe2,0x805ffff8,0x004ffff8,0x97ffffe6,0x003ffff8,
    0x20000000,0xbffffff8,0x03f6a609,0x3bfffff6,0x27ed4c1a,0x7cc00000,
    0x511bffff,0x20fffffd,0x4403fffa,0x70006ffe,0x7cc3ffff,0xff105fff,
    0x7fec0bff,0xffd02eff,0x1bff600d,0x0006ffe8,0x00000000,0x03ffff88,
    0x20000000,0xe85ffff8,0x88003fff,0x0004ffff,0x0fffff30,0x00000000,
    0x3ffff500,0x7fcc0000,0x2a0003ff,0x3601ffff,0xf8807fff,0x20084fff,
    0x220dfffb,0x0003ffff,0x32000000,0x801fffff,0xfffff980,0x00002004,
    0x3ffff600,0xffffd103,0x007ffd05,0x000bffe2,0xd07fffee,0xf501ffff,
    0x76405fff,0x5c4ffffe,0xfb001fff,0x3ffee0df,0x1aaa9801,0x005e6e54,
    0x2aaaaaaa,0xaaaaaaaa,0x1ffffc40,0x2aaa6000,0x01aaaaaa,0x81ffffc8,
    0x8003fffe,0x004ffff8,0x1ffffa00,0x2a0d5544,0x4401bcdc,0x6e541aaa,
    0xfffa81bc,0x2f372a1f,0x3ffe6001,0x3ee0003f,0x3f200fff,0xff8806ff,
    0x013aa4ff,0xfff10131,0x5555407f,0x5555302a,0x00355555,0x07ffffe2,
    0xffffe800,0xaa980004,0x1aaaaaaa,0x5ffffa80,0x37fffcc0,0x36e1ffea,
    0xdff72fff,0xffff7000,0x3ffffb83,0x007fffd8,0xff33fff4,0x7fec009f,
    0x04fff986,0x2abfff90,0x2fffffff,0x3fffffa0,0xffffffff,0x7fffc43f,
    0x39bd9512,0xfffffc80,0xe804ffff,0xffd06fff,0xff10007f,0x400009ff,
    0xf504fffe,0x3ffa6bff,0x2a03ffff,0xffd35fff,0xfa87ffff,0xffe98fff,
    0x3003ffff,0x0007ffff,0x81ffffd4,0x804ffff8,0xeacffff8,0x220004ff,
    0xf703ffff,0x3205ffff,0xffffffff,0xfff9004f,0x7cc000bf,0x0000ffff,
    0xffffffc8,0xfc804fff,0xff802fff,0x3ffa0fff,0x3ffff623,0x05fff13f,
    0x1ffffb80,0x237fffc4,0x104ffff8,0xfff53335,0x0037ff4d,0x3fa1bff6,
    0x3ff2006f,0xfffffadf,0xfd02ffff,0xffffffff,0x887fffff,0xfe8affff,
    0x204fffff,0xfffffffc,0xfff804ff,0x7fffd04f,0xffff1000,0x3e600009,
    0xff502fff,0xfffff5bf,0x2a07ffff,0xfffadfff,0x23ffffff,0xffaffffa,
    0x3fffffff,0x3ffff980,0x3ffe2000,0xfffd83ff,0xfff8800f,0x04ffffff,
    0x3fffe200,0xfffff983,0x3ffff202,0x004fffff,0x005ffffb,0x27fffdc0,
    0xfffc8000,0x04ffffff,0x00ffffd8,0x11ffffc8,0x7fec1fff,0x3f63ffff,
    0x7fdc003f,0xfffc81ff,0x3fffee1f,0xfffff101,0x3fee5fff,0x7fec001f,
    0x00fffdc6,0xffffff90,0xffffffff,0x3ffffa0d,0xffffffff,0x7ffc43ff,
    0xffffffbf,0xff903fff,0x9fffffff,0x3ffff880,0x007fffd0,0x09ffff10,
    0xfffd5000,0x3ffea01f,0xfffffffe,0xfa80ffff,0xfffffeff,0x50ffffff,
    0xffffffff,0x1fffffff,0x3ffff980,0x7ffe4000,0xffd8aeff,0xff1004ff,
    0x9fffffff,0x7ffc4000,0x7fffc43f,0x7ffe403f,0x04ffffff,0x00fffff0,
    0x1ffffc80,0xfff90000,0x09ffffff,0x00dfffd0,0x4cbfffee,0x3ffe66ff,
    0x3ee099af,0x7fdc005f,0xfff981ff,0x1bfffa4f,0xffffff88,0x09fff12d,
    0x44dffb00,0x64004fff,0xcfffffff,0x2ffffe99,0xccccccb8,0xefffffcc,
    0x7ffffc40,0xffffffff,0x3333107f,0x809ffff3,0xd02ffff9,0x9999bfff,
    0xffff8803,0x33326004,0x0dffffee,0x3ffffea0,0xfffbadff,0xfffa83ff,
    0xfbadffff,0xff53ffff,0x75bfffff,0x807fffff,0x203ffff9,0x3f600bb9,
    0xffffffff,0x3ea004ff,0x2effffff,0x7ffc4000,0x3fffa23f,0x9998804f,
    0x04ffff99,0x07ffff88,0x7fffec00,0x55555440,0x99881aaa,0x4ffff999,
    0x06ffff80,0x27ffff50,0x3ff25ffa,0x1bfea02f,0x3ffff700,0x4dbfffa0,
    0x4c03ffff,0x7ec09aaa,0x200000ef,0x4000effd,0x0ffffffc,0x01ffffd4,
    0x7ffffd40,0xfffff881,0xfffd52ff,0x3fe2005f,0x7fd404ff,0xfffd02ff,
    0x807fffff,0x004ffff8,0x3fffffea,0xffa804ff,0x7cc1ffff,0xffa84fff,
    0x7cc1ffff,0xfff54fff,0xff983fff,0x7fcc04ff,0xfff903ff,0x7ffe405f,
    0x02ffffff,0xfffffd50,0x200005df,0x363ffff8,0x0005ffff,0x013fffe2,
    0x01bfffe6,0x0ffffd00,0xfffffff1,0x3fe200bf,0x7fc404ff,0xff3005ff,
    0x93fee9ff,0x2600fffd,0x7dc007ff,0xff701fff,0xffff93ff,0xffb80001,
    0x2e00002f,0xc8002fff,0xf01fffff,0x88009fff,0x103fffff,0x83ffffff,
    0x003ffffa,0x809ffff1,0xd01ffffb,0xffffffff,0xffff8807,0x3ffea004,
    0x2effffff,0x3ffffea0,0x0bffff02,0x05fffff5,0x7d57fffe,0xff02ffff,
    0xff980bff,0xfffa83ff,0x3f600fff,0xdfffffff,0x3fffa600,0x4005ffff,
    0x7c43efe9,0xfff93fff,0xf88000df,0xfa804fff,0x40005fff,0xf886ffff,
    0x5fffffff,0x9ffff100,0x4ffff980,0xbffff300,0xffe93ff2,0x07ffc407,
    0x3ffff700,0x33fffe20,0x0004fffe,0x0027ffc4,0x09fff100,0x3ffff200,
    0x17fffe03,0xbffffd00,0x7ffffc40,0x4ffff881,0x9ffff100,0x1ffffa80,
    0xffffffd0,0xff8807ff,0x3ea004ff,0xffffffff,0xfff505ff,0x7fff407f,
    0x3ffffa86,0x55bfffa0,0x3a03ffff,0x7cc06fff,0xffd83fff,0xe883ffff,
    0xffffffff,0xff881fff,0x4fffffff,0x3fffe200,0x3fffe23f,0x0effffab,
    0x7ffc4000,0xfffa804f,0x7fc0005f,0xfff887ff,0x005fffff,0x809ffff1,
    0x005ffff9,0x329ffff3,0x3fffa4ff,0x01ffe600,0x03ffff70,0x7fffffec,
    0x6c0001ff,0x00000fff,0x0003fff6,0x007fffe4,0x40013331,0x406ffffc,
    0x204ffff8,0x1004ffff,0x9809ffff,0xfd02ffff,0xf10007ff,0x80009fff,
    0xfffffda8,0x1ffffa83,0x21bfffa0,0x201ffffa,0xff56fffe,0x7ff403ff,
    0x7ffcc06f,0xffffd83f,0x7ffc43ff,0xfffeadff,0x7fc40fff,0x4ffffeff,
    0x3fffea00,0x3fffe27f,0x00fffffd,0xffff8800,0xffff9804,0x7ff40006,
    0xaaaa887f,0x1005ffff,0x8809ffff,0x5006ffff,0x3ee7ffff,0x0bfff65f,
    0x4006ffa8,0x201ffffb,0xfffffff9,0x7fd40006,0x2a00002f,0x20002fff,
    0x000ffffc,0xffffb800,0x7ffc400f,0x3fffe03f,0xffff1004,0xffff9809,
    0x07fffd02,0x9ffff100,0x7fd40000,0x7fd40fff,0x3ffa01ff,0xffffa86f,
    0x5bfffa01,0x201ffffa,0x4c06fffe,0xfb83ffff,0x741fffff,0x7dc2ffff,
    0x7c45ffff,0xffff8aef,0x3ffee004,0xfff12fff,0x05ffffff,0x3ffe2000,
    0xfff8804f,0x7ec0007f,0xff800fff,0xff1005ff,0xfff009ff,0x3fea00df,
    0x4dff32ff,0x98befffb,0x0017fee0,0x803ffff7,0x3ffffffe,0x3ffe2000,
    0x1ffffe25,0x25fff880,0x407ffff8,0x000ffffc,0x7fffcc00,0xfff8802f,
    0x3fffe03f,0xffff1004,0xffff8809,0x07fffd03,0x9ffff100,0xffd80000,
    0x7ffd41ff,0x3fffa01f,0x1ffffa86,0x55bfffa0,0x3a01ffff,0x7cc06fff,
    0xffd03fff,0xfffb89ff,0xffff302f,0xf117441f,0x44009fff,0x13ffffff,
    0xfffdffff,0x100001ff,0x2009ffff,0x001fffff,0x0bffff20,0x017fffe0,
    0x027fffc4,0x803ffff4,0xf10ffffc,0x3ffe21ff,0x3f23ffff,0x7fe4004f,
    0x7fdc01ff,0x40007fff,0x3f20fffd,0x36007fff,0x3ff20fff,0x7fe407ff,
    0x200000ff,0x04ffffe8,0x07ffff10,0x8027fffc,0x804ffff8,0xfd06ffff,
    0xf10007ff,0x00009fff,0x42ffffb8,0x201ffffa,0xfa86fffe,0x3fa01fff,
    0xffff56ff,0x37fff403,0x0ffffe60,0xfd82ddb8,0x7fdc06ff,0x7fc402ff,
    0x7d4004ff,0xff13ffff,0xffff97ff,0xff10000d,0x3fa009ff,0x20004fff,
    0x805ffffb,0x1005ffff,0xb009ffff,0xd005ffff,0xfff8ffff,0x3ffffea3,
    0x05fff13f,0x0ffffd80,0x7ffffc40,0x3fea0003,0x3fffe62f,0xfff5007f,
    0x7ffffcc5,0x7fffe407,0x3f600000,0x22006fff,0x3e03ffff,0xf1004fff,
    0xfd009fff,0xffd01fff,0xff10007f,0x800009ff,0x541ffffd,0x3a01ffff,
    0xffa86fff,0x3ffa01ff,0x3ffff56f,0x037fff40,0x00ffffe6,0x05ffff80,
    0x01ffffcc,0x013fffe2,0x4bffff20,0xfd3ffff8,0x80009fff,0x004ffff8,
    0x01fffff9,0x3fffe600,0x7fffc01f,0xffff1005,0xffff7009,0xffff9809,
    0x2637fe46,0xf72ffffd,0x7c4008df,0xf8806fff,0x0000ffff,0xfe8bfff1,
    0x8807ffaf,0x7ff45fff,0x7e407ffa,0x00000fff,0x01fffff9,0x1ffffc40,
    0x009ffff0,0x013fffe2,0x213fffea,0x8003fffe,0x004ffff8,0x3fffe200,
    0x1ffffa87,0x21bfffa0,0x201ffffa,0xff56fffe,0x7ff403ff,0x7ffcc06f,
    0x3fe0003f,0x7fd407ff,0x7fc401ff,0xfa8004ff,0xfff10fff,0x3fffe67f,
    0x3e20003f,0xf1004fff,0x003dffff,0xdffffb01,0x2ffffc03,0x4ffff880,
    0xfffff880,0x3ffffa01,0x817ffc41,0x0fffa218,0xffb1039b,0xff900bff,
    0x6c0009ff,0x3ff20fff,0xd807ff9b,0x3ff20fff,0x6407ff9b,0x0000ffff,
    0x1fffffa8,0x7fffc400,0x13fffe03,0x27fffc40,0x3fffff80,0x001ffff4,
    0x027fffc4,0xfffea800,0xffffa85f,0x1bfffa01,0x807fffea,0xff56fffe,
    0x7ff403ff,0x7ffcc06f,0x3f60003f,0x3fa03fff,0xff8807ff,0xfc8004ff,
    0x3ffe26ff,0x3fffee3f,0xff10001f,0x7dc009ff,0x41bfffff,0x7c40fda8,
    0x80afffff,0x1005ffff,0x2009ffff,0x0afffffc,0x17ffff66,0x2017ffe4,
    0xfd86ffe8,0xfffdccef,0x7d401fff,0x0000ffff,0x7cc5fff5,0x80fff36f,
    0x3e62fffa,0x80fff36f,0x000ffffc,0x7ffffc40,0xfff88003,0x3fffe03f,
    0xffff1004,0x3fff2009,0xfffddfff,0x05eeeeef,0x027fffc4,0x33333bea,
    0xfffffedc,0xffffa80f,0x1bfffa01,0x807fffea,0xff56fffe,0x7ff403ff,
    0x7ffcc06f,0x3ee0003f,0xa9beffff,0x05ffffeb,0x04ffff88,0x0ffffd40,
    0xd87ffff1,0x000fffff,0x04ffff88,0x7fffff40,0xffffefff,0xffffb80f,
    0xffeeffff,0xf1005fff,0x22009fff,0xefffffff,0x1fffffff,0x17ffff10,
    0x05fffd30,0xfffffffb,0x4407ffff,0x01fffffc,0x8bffd100,0xffdcdffe,
    0xffe882cf,0x6e6fff45,0xf902cfff,0x80001fff,0xfffffffe,0x4fffffff,
    0x01ffffc4,0xc889ffff,0xfffccccc,0x0cccccef,0x7fffff44,0xffffffff,
    0x99917fff,0xdffff999,0x2a199999,0xffffffff,0x01ffffff,0x403ffff5,
    0xfa86fffe,0x3fa01fff,0xffff56ff,0xb7fff403,0xfdccccc9,0xccccefff,
    0x3fffa004,0xffffffff,0x33220eff,0xffffcccc,0x30ccccce,0x7ffffd75,
    0x43ffff88,0x06ffffe8,0x33333322,0xccceffff,0xffd300cc,0xffffffff,
    0x3f601fff,0xffffffff,0x445fffff,0xffcccccc,0xccccceff,0xfffffa80,
    0xffffffff,0x7fffcc03,0xffffdcef,0xffffb02f,0x09ffffff,0xffffffff,
    0x7e40007f,0x7fffc0ff,0x84ffffff,0x7fc0fffc,0xffffffff,0x1ffff904,
    0x7ffc4000,0xffffffff,0x7c44ffff,0x3fe03fff,0x7ffcc4ff,0xffffffff,
    0xb01fffff,0xffffffff,0xffffffff,0x3fffffe6,0xffffffff,0xffff51ff,
    0xffffffff,0x7ffd403b,0x3fffa01f,0x1ffffa86,0x55bfffa0,0x3a01ffff,
    0xfff56fff,0xffffffff,0x001fffff,0x3fffffa2,0x0effffff,0x7fffffcc,
    0xffffffff,0xffffb1ff,0xfff107ff,0xffff307f,0x3ffe609f,0xffffffff,
    0x401fffff,0xfffffffc,0x200fffff,0xfffffffa,0x45ffffff,0xfffffff9,
    0xffffffff,0xfffd301f,0x3dffffff,0x3fffa200,0x1fffffff,0x3fffb220,
    0xff00dfff,0x09ffffff,0x1fffcc00,0x7ffffffc,0x7fcc4fff,0xfffff83f,
    0x904fffff,0x0001ffff,0x7fffffc4,0xffffffff,0x7fffc44f,0x13fffe03,
    0xfffffff3,0xffffffff,0x7fedc03f,0xffffffff,0xfff37fff,0xffffffff,
    0x2a3fffff,0xffffffff,0xfa801cef,0x3fa01fff,0xfffa86ff,0x3fffa01f,
    0x03ffff56,0xfab7fff4,0xffffffff,0x0fffffff,0x7fff5400,0x302effff,
    0xffffffff,0xffffffff,0x33ffff63,0x7ffff100,0x3ffffee0,0xfffff983,
    0xffffffff,0xc9801fff,0xeffffffe,0xfec8801b,0xcfffffff,0xfffff981,
    0xffffffff,0x32201fff,0xcefffffe,0xffdb8000,0x000bdfff,0x20026a62,
    0x1effffff,0x37ff4000,0x20fff300,0x26006ffe,0x7fe407ff,0x220000ff,
    0xffffffff,0x4fffffff,0x01ffffc4,0xf989ffff,0xffffffff,0x1fffffff,
    0x01335100,0x3ffffe60,0xffffffff,0x26621fff,0x80009aaa,0x201ffffa,
    0xfa86fffe,0x3fa01fff,0xffff56ff,0xb7fff403,0xfffffffa,0xffffffff,
    0x2a60000f,0xff9801aa,0xffffffff,0x71ffffff,0xf8801357,0x3f603fff,
    0x7cc1ffff,0xffffffff,0x1fffffff,0x019a8800,0x99aa8800,0x7fffcc00,
    0xffffffff,0x2001ffff,0x000009a9,0x000006a2,0x59bffd00,0xfff90000,
    0x3ffcc001,0x0007ffe4,0x0000fff3,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xe8800000,0x201effff,0x7fc0fff9,0x2666003f,
    0x09999999,0x45fffa80,0x0005fffa,0x44000033,0x0a200002,0x7ffd4000,
    0x2600000e,0x20000999,0xeeedcba8,0xecba9805,0x4001accd,0x40000098,
    0x774c0098,0xeed801ee,0x0098804e,0xe8800000,0xee802eee,0xb98803ee,
    0x5c0aaccc,0xeeeeeeee,0x544eeeee,0xeeeeeeee,0xeeeeeeee,0xddddd55e,
    0xdddddddd,0x710bdddd,0x32019800,0x75405eee,0xddb01eee,0x579ddddd,
    0x7776c003,0x1abceeee,0xfe880000,0x4400dfff,0x3fee4fff,0xfff3002f,
    0x5fffffff,0x57ffea00,0x2005fffa,0xeffffdc9,0x764c000c,0x260000ff,
    0x0000ffec,0x2fffffd4,0xffdb5000,0x05bfffff,0x3ffff260,0x2606ffff,
    0xfffffffd,0x75c00fff,0x03efffff,0xffffb500,0xffa819df,0xffe802ff,
    0xffdb885f,0x8002efff,0x407fffd9,0x803ffff8,0x2604ffff,0xfffffffe,
    0x3fff21ff,0xffffffff,0x7ffdc5ff,0xffffffff,0x77ffffff,0xffffffff,
    0xffffffff,0x03ffb8ff,0xb03bfd10,0xfa80dfff,0xfff01fff,0xffffffff,
    0xfff003df,0xffffffff,0x200003df,0x03ffffe8,0x3fffff60,0x3000efff,
    0xffffffff,0x7dc005ff,0x0efffeff,0xfffff500,0x003fffff,0x007fffe4,
    0x1ffff900,0x7ffcc000,0x4005ffff,0xffffffd9,0x804fffff,0xfffffffc,
    0xff506fff,0xffffffff,0x3faa01ff,0xffffffff,0xffb1000d,0xffffffff,
    0x17fffd45,0x22ffff40,0xfffffffa,0x8801efff,0x07fffffc,0x01ffffc4,
    0xc827fffc,0xffffffff,0x3ff21fff,0xffffffff,0x7fdc5fff,0xcccccccd,
    0x7ffccccc,0xfffffff7,0xffffffff,0x7fff4fff,0xfffc801f,0x37ffec2f,
    0x07fffea0,0x7ffffffc,0xcfffffff,0x3ffffe00,0xffffffff,0x220000cf,
    0x001efffe,0x7fffffc4,0x3e6001ff,0xffffffff,0x7fdc002f,0x9000efff,
    0xffffffff,0x2007ffff,0x000ffffc,0x03ffff20,0x77ffcc00,0x005fffb8,
    0xfffffff1,0x09ffffff,0xffffffd8,0x986fffff,0xceffffff,0xb80fffee,
    0xffffffff,0x800fffff,0xfffffffd,0xf52fffff,0xfd005fff,0x3ff62bff,
    0xffffffff,0x3f2206ff,0x07ffffff,0x01ffffc4,0x7427fffc,0xffffffff,
    0x3f21ffff,0xffffffff,0x7dc5ffff,0x8013531f,0xffff77fe,0xffffffff,
    0x5cffffff,0x5406ffff,0x2626ffff,0x999ffffe,0xfffb9999,0xffff81af,
    0xffffffff,0x3fe06fff,0xffffffff,0x006fffff,0x1bfffd10,0x3ff62000,
    0x00001eff,0x7fe40000,0xff7000ef,0xffb9dfff,0x9001ffff,0x0001ffff,
    0x007fffe4,0x077ffc40,0xd009fff7,0xddffffff,0x409fffdd,0xaefffffd,
    0xfffc801a,0x102e605f,0x9bffffff,0x09fffffd,0xffffffa8,0x25fffdbc,
    0x802ffffa,0xff35fffe,0xffffffff,0xc889ffff,0xffffffff,0x7ffc407f,
    0xffff803f,0x7ffffdc4,0xffcbaace,0x2bbfff21,0xaaaaaaaa,0xfc8ffdc2,
    0xfe81dfff,0xffffc807,0xffffb000,0xf7bddb79,0x7e41ffff,0xffffffff,
    0xffffffff,0xffff87ff,0x3ffeea65,0xfff02fff,0x7fdd4cbf,0x0002ffff,
    0x26200000,0x00000009,0x44000000,0x441fffff,0x804ffffd,0x000ffffc,
    0x03ffff20,0x20000000,0x02fffffa,0x7fcc0aa2,0xe8002eff,0x8000ffff,
    0xa84ffffe,0x200fffff,0x882fffff,0x7fffd45d,0x5fffe802,0x882bbfee,
    0x647ffffe,0xffffffff,0x7fc407ff,0xfff803ff,0x3fffe64f,0xf905404f,
    0x2e000bff,0xffff91ff,0x07fe8bff,0x00ffffc8,0xfffffd10,0xffffffff,
    0xffffc85f,0xffffffff,0x7fffffff,0x105ffff8,0x20dffffd,0xd105ffff,
    0x000dffff,0x00000000,0x00000000,0x3ffee000,0xffff102f,0x5555541f,
    0xaabffffe,0x2aa1aaaa,0xffffeaaa,0x1aaaaaab,0xf9000000,0x80005fff,
    0x001ffffd,0x05fffff0,0x6ffff880,0x13fffee0,0x01ffffc4,0x5ffff502,
    0x8bfffd00,0x3ffe205d,0x3ffe60ff,0x7fffd9ef,0x1ffffc40,0xb27fffc0,
    0x0009ffff,0x000bfff9,0x66547fee,0x3a5ffffd,0xfffc807f,0x3fe6000f,
    0xffffffff,0xffc84fff,0xffffffff,0xffffffff,0x5ffff87f,0x1fffff40,
    0x202ffffc,0x203ffffe,0xaaaaaaaa,0x0aaaaaaa,0x55555530,0x4c003555,
    0xaaaaaaaa,0x2aa6001a,0x5e6e541a,0x0dffff00,0x24ffffa8,0xfffffffe,
    0xffffffff,0x3ffffa4f,0xffffffff,0x5554ffff,0x55500035,0x7ffff415,
    0x3fe20001,0x360004ff,0x00cfffff,0x05ffff50,0x837fffc4,0x000ffffa,
    0x017fffd4,0x002ffff4,0x217fffec,0x3ff62efe,0x7ffc407f,0xffff803f,
    0x03ffffe4,0x17fff200,0x80ffdc00,0xfd1fffd8,0xffff900f,0xfffd8001,
    0xffffffff,0xffeca81f,0xccccccff,0x4dffffdc,0x405ffff8,0xf86ffffb,
    0x7dc05fff,0x3fa06fff,0xffffffff,0x903fffff,0xffffffff,0x7fe4009f,
    0x4fffffff,0x57fff200,0xfffffffa,0x1ffffd42,0x9bfffea0,0xfffffffe,
    0xffffffff,0x3ffffa4f,0xffffffff,0xffb4ffff,0xfff0009f,0x7fffec1f,
    0x3fea0004,0x2e0002ff,0xefffffff,0x3ffee01b,0x7ffec01f,0x0ffff707,
    0x5ffff500,0x0bfffd00,0x5ffff900,0xfffd83a8,0x7fffc407,0x4ffff803,
    0x00bffff1,0x017fff20,0x200ffdc0,0x0ffd3ffe,0x01ffff90,0x77fffc40,
    0x9ffff931,0x037ffec0,0x407fffea,0x4405ffff,0xff87ffff,0x7fc405ff,
    0x3ffa07ff,0xffffffff,0xf903ffff,0xffffffff,0x7ffe4009,0x04ffffff,
    0x2b7fff20,0xffffffff,0x3fffee2f,0xffffb100,0x7ffff4ff,0xffffffff,
    0x3fa4ffff,0xffffffff,0x4fffffff,0x800dfff9,0x7e47fff8,0x0004ffff,
    0x261ffff9,0xd8009aba,0xffffffff,0xfffb82ef,0x7ffe401f,0x7fffc80f,
    0xffffa800,0x5fffe802,0xffffd800,0xffffb001,0x3ffff880,0x34ffff80,
    0x0009ffff,0x2abbfff2,0xffb8019a,0xea7fec01,0xfffc807f,0x3fee000f,
    0xfffc80ff,0x1bfff607,0x03ffff50,0x2017fffe,0xff87fffe,0xffe805ff,
    0x3fffa07f,0xffffffff,0xff903fff,0x9fffffff,0x7fffe400,0x004fffff,
    0x3ffffff2,0xffffffff,0x41ffff26,0xffffffe9,0x36666627,0x9999ffff,
    0x26620999,0x9ffffd99,0x70999999,0x9800ffff,0x7fd46fff,0x00cfffff,
    0x33ffffa0,0xefffffff,0x7fffdc02,0x0dffffff,0x00ffffea,0x903ffff9,
    0x5000ffff,0xd005ffff,0xf000bfff,0x2001ffff,0x4407fffd,0xf803ffff,
    0xfff54fff,0x3f20009f,0xffffffff,0x3ff701cf,0xe97ffc40,0xfffc807f,
    0x3ff2000f,0xffff504f,0x3ffff601,0xb9999999,0x7741ffff,0xeeefffff,
    0x7fffec0e,0xfffffdd1,0xfd81dddd,0x99701fff,0xff999999,0x2201dfff,
    0xfff99999,0x2662004f,0x4ffff999,0x3ffff200,0xfe99cfff,0xfffb2fff,
    0xfffff70d,0x6401ffff,0x0000ffff,0x003ffff2,0x001fffe6,0xfb0bfff5,
    0xbfffffff,0xfffff005,0xffffffff,0xda880bff,0xffffffff,0x3ffffe65,
    0x3ffff200,0x07fffc82,0x2ffffa80,0x05fffe80,0x2ffffd40,0x0ffffb00,
    0x03ffff88,0xf54ffff8,0x2000bfff,0xfffffffc,0xb84fffff,0x36ea61ff,
    0xffd0efff,0xffffff88,0x4fffffff,0x40ffff60,0xb01ffff8,0xffffffff,
    0xffffffff,0xffffff83,0x6c0fffff,0xfff2ffff,0xffffffff,0x2ffffd81,
    0xffff5000,0xff88003f,0x440004ff,0x2004ffff,0x0ffffffc,0xe9ffffd4,
    0x3f625fff,0xfffdffff,0x3fff201f,0x3f20000f,0xf8800fff,0x2e000fff,
    0xfe884fff,0xffffffff,0x3fffe03f,0xffffffff,0x1004ffff,0xffffffb5,
    0x7fffffc3,0xfffca9bd,0xfff92fff,0xffffffff,0xff50bfff,0xffd005ff,
    0x7fc400bf,0x36001fff,0x7c407fff,0xff803fff,0xffff34ff,0x3ff2000d,
    0xffffffff,0x7fdc3fff,0x3fffff21,0xf11ffa1f,0xffffffff,0x7409ffff,
    0x3fe02fff,0xfffb01ff,0xffffffff,0xf83fffff,0xffffffff,0x7ffe40ff,
    0xffffff2f,0xc81fffff,0x8002ffff,0x03fffff8,0x4ffff880,0x7ffc4000,
    0x3ff2004f,0xfff01fff,0x57fffe9f,0x9efffffa,0x202ffff9,0x000ffffc,
    0x03ffff20,0x10ffffc0,0xffc8bfff,0x3fff203f,0xdfffffff,0xffffff80,
    0xfffcaace,0x4c001fff,0x2a3fffff,0xffffffff,0xffffffff,0xffffff92,
    0xffffffff,0x5ffff50b,0x0bfffd00,0x2ffffec0,0x1ffff600,0x07ffff10,
    0x229ffff0,0x002fffff,0xaaaaaa98,0xffffffec,0xfc87fee2,0x7fe83def,
    0x7fffffc4,0x4fffffff,0x80ffff60,0xfb01ffff,0xffffffff,0x3fffffff,
    0xfffffff8,0x7ec0ffff,0xffff1fff,0x1fffffff,0x01ffffd8,0x5ffffe80,
    0xffff1000,0xff880009,0x3f2004ff,0x3fe03fff,0xbfffd5ff,0x49fffff9,
    0x201ffffa,0x000ffffc,0xfffdddd1,0xddddddff,0x23fffe85,0x320ffffb,
    0x64c02fff,0xffffffff,0x7fffc46f,0xfffd101f,0xff70007f,0xfffc87ff,
    0xffffffff,0xff91ffff,0xffffffff,0xf50bffff,0xfd005fff,0x3f200bff,
    0x4000efff,0x4407fffd,0xf803ffff,0x3ffa4fff,0x00000eff,0x4fffff98,
    0xffb87fee,0xd11ffa01,0xfffffddd,0x6407dddd,0xff304fff,0x3ff601ff,
    0xccccccff,0x41ffffdc,0x9dffff99,0xfffe8199,0xffff330f,0xfd03333b,
    0xc8001fff,0x0006ffff,0x013fffe2,0x9ffff100,0x7fffe400,0x42666200,
    0xfffffffd,0x7ffd42ff,0x3fff201f,0xfff1000f,0xffffffff,0xfd85ffff,
    0x3fffa4ff,0x03fff62f,0x7fff5c40,0x7fc4ffff,0x7fcc06ff,0x2002a5ff,
    0xa82ffffe,0xfffffffe,0x30ffffee,0x5ffffb55,0x03555555,0x005ffff5,
    0x700bfffd,0x003fffff,0x80ffffb0,0x803ffff8,0x3ea4ffff,0x302effff,
    0xff300039,0x0ffdcdff,0x7f403ff7,0xffffc807,0x3ffee000,0x6fffd80f,
    0x01bfff60,0x203ffff5,0xf805ffff,0xfff87fff,0xffff805f,0x7ffdc007,
    0x220000ff,0x0004ffff,0x027fffc4,0x01ffff90,0xfffff900,0xff701bff,
    0x7fe401ff,0xff1000ff,0xffffffff,0xc85fffff,0xfff15fff,0x3fff4bff,
    0xfffd9800,0x7fff47ff,0x6ffff807,0x266af7fe,0xfffffdb9,0x2f2ea600,
    0x0ffffb0a,0x001ffff2,0x00bfffea,0x7017fffe,0x003fffff,0x01ffff60,
    0x007ffff1,0xfe89ffff,0xeeffffff,0x0001fffe,0x7dcfffff,0x802aa21f,
    0xffc807fe,0x3e2000ff,0xc99cffff,0x3602ffff,0x7d406fff,0xfff01fff,
    0xfff880bf,0x5ffff86f,0x37fffc40,0xfffff300,0xff880005,0x440004ff,
    0x2004ffff,0x000ffffc,0xffffffb8,0x1ffff203,0x01ffff90,0x3fbbba20,
    0xeeeeffff,0x7ffdc2ee,0xffffff76,0x001bffe1,0x3fffff90,0x403fffec,
    0x3fe6fffe,0xffffffff,0x0003ffff,0xc837fffc,0x98007fff,0xf803ffff,
    0x3ee03fff,0x0001ffff,0x101ffff6,0xf007ffff,0xfe889fff,0xffffffff,
    0xd0001fff,0x7fdcffff,0x3fa00d41,0xffffc807,0x7ffec000,0xffffffff,
    0x3fff600f,0x7fffd406,0x0bffff01,0x84ffffc8,0x6405ffff,0x1004ffff,
    0x009ffffd,0x9ffff100,0xfff88000,0x3ff2004f,0xfa8000ff,0x7c01efff,
    0x7e406fff,0x20000fff,0x000ffffc,0x3f6ffff3,0xf8bfffff,0xf80005ff,
    0x3f22ffff,0x7fc02fff,0x3fffe5ff,0xffffffff,0x7cc0004f,0xff903fff,
    0xff1000ff,0xff8809ff,0xfff702ff,0xd80003ff,0x7c407fff,0xff803fff,
    0xffe884ff,0xffffffff,0xff88001f,0x87fee6ff,0x3fa04ffd,0xffffc807,
    0x3ffe6000,0xffffffff,0x3ff605ff,0x7ffd406f,0xbffff01f,0x7ffffc40,
    0x05ffff80,0x03ffffe2,0x37fffec0,0xfff88000,0x7c40004f,0x32004fff,
    0x8000ffff,0x405ffff9,0x403ffffa,0x000ffffc,0x03ffff20,0x47fffc40,
    0xefffbfff,0x0004fff9,0x21ffffd8,0x205ffffa,0x363ffffa,0xffffffff,
    0x80001cff,0x900ffffe,0x2000ffff,0x6407ffff,0xfb81ffff,0x0001ffff,
    0x407fffd8,0x403ffff8,0x203ffff8,0xffffffd9,0xc8000bef,0x3ee4ffff,
    0x0dfff11f,0x7e403ff4,0xd1000fff,0xffffffff,0x07ffffff,0x501bfff6,
    0x3e03ffff,0xfd305fff,0x3fe09fff,0xffd305ff,0x3f2009ff,0x0000ffff,
    0x09ffff10,0xffff8800,0x3fff2004,0xffb0000f,0x7fec05ff,0xfffc807f,
    0x3f20002f,0x3e002fff,0x8fffcfff,0xfffbfffd,0x7fc40003,0xfffe87ff,
    0xffff983f,0xfca9881f,0x100007ff,0x40bffffb,0x0007fffc,0x209ffffb,
    0xb86ffff9,0x001fffff,0x0ffffb00,0x23ffff88,0x2ffffc81,0x1bfffe80,
    0x3ff22000,0x3fee1fff,0xe813ffa1,0xfffc807f,0xfffb000f,0x3799957f,
    0xb03fffff,0xfa80dfff,0xfff01fff,0x7fdcc4bf,0xff00ffff,0x7dcc4bff,
    0x800fffff,0x01fffffa,0x3ffe2000,0x7c40004f,0x32004fff,0x0000ffff,
    0x01fffff3,0x007ffffb,0x00bffff5,0x2ffffd40,0xfffffd00,0x3bffeedf,
    0x6fc42fff,0x3ffa600a,0xfffa85ff,0xffdbceff,0xfb804fff,0x310004ff,
    0xffffff95,0x3fffe401,0xffff9800,0xffdcbcef,0x7fdc1fff,0x9999afff,
    0x26099999,0xffe99999,0x099999ff,0x747ffff1,0xffffecef,0xffff800f,
    0x666f7c00,0xfffffecc,0x10ffdc3f,0x07fe8057,0x00ffffc8,0x05ffffb8,
    0x077fffd4,0x501bfff6,0x3e03ffff,0xffffffff,0x02ffffff,0x3ffffffe,
    0xffffffff,0xffff8802,0x4400003f,0x0004ffff,0x027fffc4,0x01ffff90,
    0x7ffff400,0xfffecbdf,0xff9800ff,0xbaacefff,0x7ffcc03c,0xcbaaceff,
    0x7ffffec3,0xfffff13f,0xfff883ff,0xffeeeeff,0xd01fffff,0xffffffff,
    0x200dffff,0x8801fffc,0xffffffff,0xc81fffff,0xffffffff,0xffffffff,
    0x7fffe41f,0xffffffff,0x7fffd44f,0xffffffff,0xff12ffff,0xffffffff,
    0x27ffffff,0x3a3ffff8,0xffffffff,0x4fff9803,0xffffff80,0x4fffffff,
    0xcccdffb8,0xcccccccc,0xfc807ffc,0xfd800fff,0xfc800fff,0x7fec1fff,
    0x7ffd406f,0xfffff01f,0xffffffff,0xffff803d,0xffffffff,0xffd001ef,
    0xffffffff,0x9109ffff,0xfff99999,0x199999df,0xcccccc88,0xccceffff,
    0xfffc80cc,0x3e60000f,0xffffffff,0x2001ffff,0xfffffffd,0xfd804fff,
    0xffffffff,0x7fffe44f,0x3fffa1ff,0x7fc40fff,0xffffffff,0x402fffff,
    0xfffffffd,0xd000dfff,0x3e200dff,0xffffffff,0xff901eff,0xffffffff,
    0x3fffffff,0xffffff90,0x707fffff,0xffffffff,0xffffffff,0x3ffffe25,
    0xffffffff,0xfff13fff,0x7ffff47f,0xf7005fff,0xfff003ff,0xffffffff,
    0x3ffee07d,0xffffffff,0x07ffffff,0x00ffffc8,0x2005fd50,0xffb04fe8,
    0xfffa80df,0xfffff01f,0x7fffffff,0x3ffffe00,0x3fffffff,0x3fffe200,
    0xffffffff,0xff984fff,0xffffffff,0x41ffffff,0xfffffff9,0xffffffff,
    0xffffc81f,0x7f440000,0xffffffff,0x7fc4000e,0xffffffff,0xffff8804,
    0x44ffffff,0x46fffffb,0x87fffffb,0xfffffff8,0x3fffffff,0xffffd500,
    0x44003bff,0xf1003fff,0xffffffff,0xfffc807f,0xffffffff,0x01ffffff,
    0xffffffb3,0x3fee01bf,0xffffffff,0x12ffffff,0xffffffff,0xffffffff,
    0x8ffffe27,0x2efffffc,0x01bff200,0x7ffffffc,0x7dc02dff,0xffffffff,
    0xffffffff,0xffffc807,0x20014000,0x3fff6009,0x7fffd406,0xffffff01,
    0x001359bf,0x7ffffffc,0x40009acd,0xfffffff8,0xffffffff,0xfffff984,
    0xffffffff,0x7fcc1fff,0xffffffff,0x81ffffff,0x000ffffc,0xffffd900,
    0x440009df,0xfffffffc,0xff91003f,0x87ffffff,0x44fffffa,0x06fffff8,
    0xffffffb9,0x0007dfff,0x8000d54c,0x1000ccc8,0x7bddffff,0x3fff2003,
    0xffffffff,0x01ffffff,0x8009a988,0xfffffffb,0xffffffff,0xfffff12f,
    0xffffffff,0x98007fff,0x99700019,0x554c4005,0x0000009a,0x00000000,
    0x00000000,0x00000000,0x22000000,0xffffffff,0x4fffffff,0xffffff98,
    0xffffffff,0x7ffcc1ff,0xffffffff,0xc81fffff,0x0000ffff,0x000d4c40,
    0x5554cc00,0x2a660001,0xfff101aa,0xfffd03ff,0x5533009f,0x00000335,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x6c000000,0xd8005eee,0x40004eee,0x001eeeea,0x3bbaa000,
    0xeeeeeeee,0x03bbbb62,0x4bbbbae0,0xeeeeeee9,0x8801abce,0x401eeeed,
    0x21eeeee8,0x4004eee9,0xddb4eee8,0xdddddddd,0x23dddddd,0x200eeeea,
    0x265eeeeb,0x0002eeee,0x40bbbbb6,0x21eeeee8,0x04eeeee8,0xeaa77754,
    0xeeeeeeee,0x400eeeee,0xeed83eee,0xeeeeea84,0x00acdeee,0x3bbbbbaa,
    0x002cdeee,0xdddddd90,0x76400001,0x2e05eeee,0xeeeeeeee,0xeeeeeeee,
    0x07dddd71,0x12f776c0,0xd005dddd,0x3ba27ddd,0xeeeeeeee,0xd53eeeee,
    0xbddddddd,0xeea80179,0xeeeeeeee,0xfd02eeee,0xff000dff,0xa8000bff,
    0x0001ffff,0x3ffff600,0x3fffffff,0x017fffee,0x21fffff1,0xfffffffa,
    0x01efffff,0x037fffe4,0x317ffff6,0x9800dfff,0xffff5fff,0xffffffff,
    0x2e3fffff,0xf301ffff,0x7cc5ffff,0x20003fff,0x705fffff,0x4c5fffff,
    0x00ffffff,0x7ddbffee,0xffffffff,0x201fffff,0xff84fff8,0xffffa85f,
    0xffffffff,0xffffb81d,0xffffffff,0x7ffc003f,0x0002ffff,0xffffff50,
    0x7fffe40d,0xffffffff,0xff11ffff,0xf7001fff,0x7fc47fff,0xfff803ff,
    0xfffff14f,0xffffffff,0x3ffee9ff,0xffffffff,0xfff700df,0xffffffff,
    0x3fa07fff,0xff8006ff,0x540005ff,0x0001ffff,0xfffff100,0x7fffffff,
    0x01ffffe8,0xa8bfffee,0xffffffff,0x0cffffff,0x5fffff10,0x3ffffe60,
    0x037ffcc1,0x7d7ffe60,0xffffffff,0xffffffff,0x03ffff71,0x313ffffa,
    0x0007ffff,0x07fffffc,0x1fffffec,0x9ffffff3,0xbb7ffdc0,0xffffffff,
    0x01ffffff,0xf10fffe6,0xfff509ff,0xffffffff,0xffb87fff,0xffffffff,
    0x3004ffff,0xbfffffff,0xfff10000,0x640dffff,0xffffffff,0xffffffff,
    0x0fffff21,0x11ffffe0,0xf007ffff,0x3fe29fff,0xffffffff,0xf74fffff,
    0xffffffff,0x701dffff,0xffffffff,0x07ffffff,0x001bfffa,0x0017fffe,
    0x59ffff50,0x00001355,0xfffffff7,0x987fffff,0xf106ffff,0xffa8dfff,
    0xffffffff,0x206fffff,0xb06ffffb,0xf109ffff,0xf9800dff,0xfffff4ff,
    0xffffffff,0x3ee3ffff,0xffb81fff,0xfff986ff,0xff10003f,0xf885ffff,
    0x263fffff,0x0fffffff,0x2edfff70,0xffffffff,0x01ffffff,0xf30bffea,
    0xfff507ff,0xffffffff,0x7dc3ffff,0xfeeeefff,0x02ffffff,0xffffffb8,
    0xfc80007f,0x06ffffff,0x3ffffff2,0xffffffff,0x3ffe21ff,0x7ffdc07f,
    0x7fffc43f,0x4ffff803,0xfffffff1,0xffffffff,0x3ffffee9,0xffffffff,
    0xffffb86f,0xffffffff,0xfffd03ff,0xfff8040d,0x7d40005f,0xffffffff,
    0xd0001dff,0x5fffdfff,0x3ffff600,0x1ffffc82,0x317fffd4,0xffffff75,
    0x7ffff405,0x7ffffcc2,0x06fff880,0xca7ffcc0,0xcccccccc,0xfffffccc,
    0x83ffff70,0x81fffff9,0x003ffff9,0xffffff10,0xfffffa8b,0x3fffe64f,
    0xff703fff,0x3fffeedf,0xffb80001,0x17ffd41f,0x10ffffd4,0xffffff73,
    0x03fffee1,0x13ffffaa,0x3fffffa0,0x20001fff,0xfffffff9,0x2aaa606f,
    0xeaaaaaaa,0xfc86ffff,0x3fe03fff,0xfff887ff,0xffff803f,0x7fffe404,
    0x3fffee00,0x3fff6a60,0x7ffdc1ff,0x7f40001f,0x04ea86ff,0x000bffff,
    0xffffffa8,0xdfffffff,0x3ffe6000,0x002fffdc,0x88dffff1,0xfa84ffff,
    0xfd102fff,0x7d40dfff,0x7fec6fff,0xfff104ff,0xfffa800f,0xfffb8003,
    0x3fffee4f,0x1fffff41,0x03ffff98,0xfffff100,0xfeffd8ff,0x3ffe64ff,
    0xf707ffff,0x3ffeedff,0xfb80001f,0x7ffd40ff,0x1ffffa82,0x5fffff10,
    0x403fffee,0x406ffff9,0xffbffff8,0x3a0004ff,0xfffcefff,0xffa80006,
    0xff881fff,0xfff706ff,0xffff107f,0x9ffff007,0x0ffffc80,0x03fffee0,
    0x21ffffec,0x001ffffb,0x537fff40,0x3fe09ffd,0x540005ff,0xffffffff,
    0x0effffff,0xb3fffb00,0x64005fff,0x3f23ffff,0xffa80fff,0x7ff402ff,
    0x3ffa03ff,0xffff33ff,0x3fffc01f,0x0fffea00,0x3ffffa00,0x87fffee0,
    0x205ffffb,0x003ffff9,0xff9fff30,0x7e7ffc5f,0x3ffe64ff,0xb83fffff,
    0xfff76fff,0xff30003f,0xffffffff,0xffffffff,0x07fffea9,0x73ffffb8,
    0x7c01ffff,0x7d407fff,0xdffff7ff,0x3ffee000,0x06fffc9f,0x7fffc400,
    0x3fff204f,0x7ffff82f,0x07ffff10,0x809ffff0,0x200ffffc,0x500ffffb,
    0xfb89ffff,0x40001fff,0xfeaefffe,0xfff04fff,0xfa8000bf,0xcbaacfff,
    0x05ffffff,0xfb6fff88,0x7c4005ff,0xfff16fff,0x3ffea07f,0x7ffdc02f,
    0x3ffe606f,0x7ffffb6f,0x987fff80,0x7ffd40aa,0x7ffdc003,0x7fffdc5f,
    0x1fffff31,0x1ffffcc0,0xafff9800,0xfff54fff,0x7ccbfff3,0x6fffdfff,
    0xf76fffb8,0x30003fff,0xffffffff,0xffffffff,0x3ffea9ff,0x3ffe601f,
    0x1ffff75f,0x037fffc0,0x7ed7fff6,0x44000fff,0xff93ffff,0xfd8000df,
    0x7c406fff,0x7fdc6fff,0xfff103ff,0xffff007f,0xffffc809,0x3fffee00,
    0x9ffff300,0x01ffffb8,0x7ffff400,0x03ffffff,0x000bffff,0x01ffffa8,
    0x03fffff9,0xfb3fffb8,0xfa8005ff,0xfffdbfff,0x3fffea06,0x7fffc402,
    0x7fffec07,0x806ffffc,0xffe87ffe,0x017ffd44,0x07ffffa0,0x3a3ffff7,
    0x4c02ffff,0x0003ffff,0xffb5fff5,0x3e3bff2d,0x3ffe65ff,0x42ffffaf,
    0xff76fffb,0xf30003ff,0xffffffff,0xffffffff,0x3fffea9f,0x3fffe201,
    0x01ffff75,0x00ffffe6,0x3ea7ffff,0x64003fff,0x3ff26fff,0x3ea0006f,
    0xc801ffff,0x3fe2ffff,0x3fe206ff,0xfff803ff,0x7ffe404f,0x3ffee00f,
    0xffff500f,0x1ffffb87,0x7fff4000,0x00dfffff,0x2017fffe,0x7fd40bba,
    0x3ff601ff,0x7ff403ff,0x05fffb0f,0xfffffd00,0x7d405fff,0xfe802fff,
    0x7fcc07ff,0x2fffffff,0x20fffe80,0x7dc6fff8,0x3ea002ff,0xffb85fff,
    0xffffb9ff,0xffff9804,0xfff50003,0xff1fff73,0x99bffe7f,0xfffd7fff,
    0x76fffb8d,0x0003ffff,0xdfff9991,0xffff9999,0x3fea5999,0x3fe601ff,
    0xffff74ff,0xffffd301,0x7fffcc01,0x0bffff10,0x0ffffcc0,0x000dfff9,
    0x0fffffe2,0xaffffc40,0x203ffffa,0x803ffff8,0x6404ffff,0x2e00ffff,
    0xe880ffff,0x7dc1ffff,0x20001fff,0xfffffff9,0xffff801d,0x7fffec05,
    0x07fffea2,0x04ffff98,0xfd9bffe6,0x0ccccdff,0x7ffffcc0,0x7fd405ff,
    0xffd802ff,0x7fe401ff,0x006fffff,0x7dc1fffd,0x3fee0fff,0x3ffa001f,
    0xfffb81ff,0x0effffaf,0x3ffff980,0x3fff7000,0xfff9fff1,0xf99bffe1,
    0xffff57ff,0xbb7ffdc3,0x0001ffff,0xff84fff8,0xffff505f,0x7fffdc03,
    0x99ffff72,0xfffffd99,0x6fffc803,0x003ffff4,0xfc89fffd,0xfb0006ff,
    0xc800dfff,0xffe9ffff,0x7ffc406f,0xeeeeeeef,0x04ffffee,0x007fffe4,
    0x441ffff7,0x85ffffea,0xeeeffffb,0x46eeeeee,0xffffffd9,0x3ffe001d,
    0x3ffee05f,0xfff50fff,0x7ffc403f,0x3fff205f,0x3fffff63,0xfd800fff,
    0x400fffff,0x802ffffa,0x402ffffd,0xfffffff8,0x1fffb001,0x71fffff4,
    0x2a003fff,0xf705ffff,0xffffffff,0x3ffe6003,0xff70003f,0x3ffffa3f,
    0x99bffe6f,0x3ffe7fff,0x5bffee5f,0xfffffffb,0x04ffffff,0x3e13ffe2,
    0xfff505ff,0x3ffe603f,0xffff70ff,0xffffffff,0xfffd001b,0x2ffffc89,
    0x0ffffb80,0x0037ffe4,0x07ffffd4,0x3fffe200,0x402ffffe,0xfffffff8,
    0xffffffff,0x7fe404ff,0x3fee00ff,0xffffffff,0xfb80dfff,0xffffffff,
    0x3e67ffff,0x06ffffff,0x05ffff80,0x3ffffffa,0x03ffff52,0x027fffcc,
    0x7ec1ffff,0x0fffffff,0xfffff880,0xffffa804,0xffffc802,0xffffe802,
    0xffb000ff,0x3fffe21f,0x03fff25f,0x17ffff40,0xffffffb8,0xf3001fff,
    0x20007fff,0xff91fffb,0x7ffc7fff,0xb9fffe67,0xff70ffff,0x3fffeedf,
    0xffffffff,0x3ffe604f,0x827ffc43,0x441ffffa,0x24fffffb,0xfffffffb,
    0x2effffff,0x0bfffe20,0x809ffff3,0xc82ffff8,0x44006fff,0x003fffff,
    0xffffff90,0xfff100df,0xffffffff,0x09ffffff,0x00ffffc8,0x3fffffee,
    0x03efffff,0x3fffffee,0x7fffffff,0x3fffffea,0xfff8006f,0x3fffa05f,
    0xfff52fff,0x7ffd403f,0xbfff503f,0xffffffd8,0xff9000ff,0xff5001ff,
    0xffb005ff,0xffa803ff,0x004fffff,0x3ea3fff9,0xf90fffff,0xff5001ff,
    0x7fdc0dff,0x6ffffcff,0x7ffff300,0x3fff2000,0x3fffff30,0xff33fffc,
    0x7fffc4ff,0x2edfff74,0xffffffff,0x204fffff,0x7cc2fffa,0xfff503ff,
    0xffffdddf,0xffb8dfff,0xffffffff,0x703fffff,0xff01ffff,0xffd80dff,
    0xdfff905f,0xffffd800,0x3fe20005,0x802fffff,0xfffffff8,0xffffffff,
    0x7fe404ff,0x3fee00ff,0xffffffff,0x7ffdc00d,0xffffffff,0x3bfea7ff,
    0x8006ffff,0x3205ffff,0x50ffffff,0x7403ffff,0xfb01ffff,0xfffd85ff,
    0xffff8802,0xffffffff,0x7fd44fff,0xffe802ff,0x7ff400ff,0x00ffffff,
    0xfb1fffc8,0x325fffdf,0xffd007ff,0x7fdc05ff,0xffffe9ff,0xffff9804,
    0xfff90003,0x237fffc1,0x3fe67ffe,0x7fffe47f,0xf76fffb8,0xdddddfff,
    0x5c07dddd,0x7fd41fff,0xffff502f,0xffffffff,0xfffb83df,0x7ff54c0f,
    0xffd80fff,0xffffb05f,0x3fffea03,0x0dfff900,0x7ffffd40,0x7fe40000,
    0xf1006fff,0x33339fff,0xffff3333,0xffffc809,0x3fffee00,0xffffffec,
    0x3fffee01,0x9999999a,0x7f4baa19,0xff8006ff,0x3fe205ff,0x3fea3fff,
    0xffd881ff,0xfff106ff,0x05fffb0f,0xffffff10,0xffffffff,0xffffa89f,
    0x7ffff802,0x7ffffdc0,0xb805ffff,0x3fff1fff,0x3ff2bfff,0xffff9807,
    0x7fffdc06,0x1fffff99,0x1ffffcc0,0x0fffc800,0xfd13fff6,0x3ffe61ff,
    0x5ffffc47,0xff76fffb,0xf98003ff,0xffffffff,0xffffffff,0x3fffea4f,
    0xffffffff,0x1ffff703,0x27fffec0,0x40ffffe2,0xd03ffffb,0x33339fff,
    0x3dfffb33,0x3fe20133,0x80003fff,0x02fffff8,0x07ffff10,0x809ffff0,
    0x200ffffc,0xb10ffffb,0x5c0bffff,0x4001ffff,0x037fff40,0x02ffffc0,
    0xf50b7b22,0xb9559fff,0x03ffffff,0x333bffee,0x02ffffcc,0xfeeeee88,
    0xeeeeffff,0x7fffd43e,0x7fffc402,0x3fffe206,0x2fffffaf,0x557ffdc0,
    0x2fffb7ff,0xfd807ffd,0x7dc02fff,0xfff91fff,0xfff980df,0xffb0003f,
    0x0fffd41f,0x7cc3fffa,0xfffd87ff,0xf76fffbe,0x98003fff,0xffffffff,
    0xffffffff,0x3ffea4ff,0xacdeffff,0x3fffee00,0x3fffe600,0x77fffd46,
    0xffeeeeee,0xfff985ff,0xffffffff,0xffffffff,0xbffffb04,0x7fec0000,
    0x3fe2007f,0xfff803ff,0x7ffe404f,0x3ffee00f,0x7ffff40f,0x3ffff702,
    0xfffe8000,0xffff8006,0x7fd40005,0xffffffff,0x3a03ffff,0xffffffff,
    0x0002ffff,0x401ffff2,0x402ffffa,0x204ffffc,0xf95ffffc,0xfb80dfff,
    0x75ffcaff,0xdffb5fff,0x6ffff980,0x1ffffb80,0x813ffffa,0x003ffff9,
    0xc88fffb0,0x1fffe84c,0xf30ffff3,0xdfffbfff,0x007fffee,0xffffff30,
    0xffffffff,0x7d49ffff,0x70001fff,0x4401ffff,0x7e46ffff,0xffffffff,
    0x0fffffff,0x7fffffcc,0xffffffff,0xa84fffff,0x000fffff,0x1ffff600,
    0x3ffff880,0x04ffff80,0x007fffe4,0x981ffff7,0xf706ffff,0x80003fff,
    0x8006fffe,0x0005ffff,0x7fffffd4,0x2effffff,0x3ffffe60,0xffffffff,
    0x3ff20002,0xfff5007f,0x7ffc405f,0xfff300ff,0x3ffe21ff,0x3fea03ff,
    0xf12fffbf,0x0dffd9ff,0x03ffffd8,0x21ffffb8,0x01fffffa,0x007ffff3,
    0x001fffa0,0x3e63fffb,0xfffd07ff,0x3eedffff,0x44001fff,0xcffffccc,
    0xcfffeccc,0x3ffea2cc,0xff70001f,0x7fcc01ff,0x7fffc5ff,0xffffffff,
    0x4c2fffff,0xffffffff,0xffffffff,0x7fc44fff,0x00002fff,0x003fffec,
    0x007ffff1,0xc809ffff,0x2e00ffff,0xfe80ffff,0xffb82fff,0x740001ff,
    0xf8006fff,0x40005fff,0xfffffffa,0xc803efff,0xffffffff,0x802fffff,
    0xfeccccc8,0xcccccfff,0x17fffd42,0x4ffffe98,0x13ffff60,0x01fffff9,
    0x3ff7ffea,0x7f77ff47,0x3ffe605f,0xfff7007f,0xffffd83f,0xffff980e,
    0xfffd0003,0x1fffd800,0x2a0ffff3,0x6fffffff,0x003ffff7,0xe85fff80,
    0x3fea06ff,0xf70001ff,0x7ec01fff,0x3fe64fff,0xffffffff,0x4fffffff,
    0x7fffffcc,0xffffffff,0x6c4fffff,0x0005ffff,0x07fffd80,0x0ffffe20,
    0x013fffe0,0x401ffff9,0xa80ffffb,0xfb86ffff,0x40001fff,0x8006fffe,
    0x0005ffff,0x567fffd4,0x7fc000aa,0xfffb00ff,0xffff1005,0xffffffff,
    0xffa89fff,0x3ee622ff,0x300fffff,0x881fffff,0x304fffff,0x8bffffff,
    0x5ffffffb,0x0fffff60,0x0ffffdc0,0x13ffffe2,0x00ffffe6,0x003fff40,
    0x7ccbfff6,0x3ffe07ff,0xff76ffff,0xf80003ff,0x5fff84ff,0x07fffea0,
    0x7fffdc00,0xffffd980,0x1fffee2f,0x1ffffe20,0xdfff9000,0x7ffffd40,
    0x9999999a,0xfb000999,0x7c400fff,0xff803fff,0x7fe404ff,0x3fee00ff,
    0xffff00ff,0xffffb85f,0x7ff40001,0xffffffff,0xfff2ffff,0xffffffff,
    0xf503ffff,0x40003fff,0x3606fffa,0xeeeeefff,0x7ffffc43,0xffffffff,
    0x7ffd44ff,0xffffffff,0x3a02ffff,0xf704ffff,0xf303ffff,0x985fffff,
    0x05ffffff,0x00fffff3,0x40ffffdc,0x42fffffb,0xfffffff9,0x7fffffff,
    0x2003fffc,0xff32fffd,0x7ffdc0ff,0xfff76fff,0x7c40003f,0x4fff84ff,
    0x07fffea0,0x7fffdc00,0xffffeeee,0x7ff45fff,0xfffb005f,0x7e40003f,
    0x3ffe06ff,0xffffffff,0x03ffffff,0x00ffffb0,0x01ffffc4,0xe8a7fffc,
    0xffffeeee,0x73eeeeef,0x2e01ffff,0x7dc6ffff,0xffffffff,0xd03fffff,
    0xffffffff,0x25ffffff,0xffffffff,0x1fffffff,0x01ffffa8,0x0ffff600,
    0xffffffd8,0xaaaa84ff,0xaaffffda,0x7fd41aaa,0xffffffff,0x2a01efff,
    0x200fffff,0x886fffff,0x80ffffff,0x04fffffe,0x007ffffb,0x80ffffdc,
    0x20fffffe,0xfffffff9,0x7fffffff,0x20037ffc,0xff33fffc,0x7ffc40ff,
    0xfff76fff,0x7cc0003f,0x7ffc43ff,0x3fffea04,0xfff70001,0xffffffff,
    0xff88dfff,0xff7003ff,0x640009ff,0x3fe06fff,0xffffffff,0x3fffffff,
    0x0ffffb00,0x1ffffc40,0x8a7fffc0,0xffffffff,0x4fffffff,0x201ffff7,
    0x21fffff8,0xfffffffb,0x3fffffff,0xffffffd0,0xffffffff,0x3fffffe5,
    0xffffffff,0xffffa81f,0xfff10001,0x7ffec01f,0x004fffff,0x200ffff9,
    0xfffffffa,0x403fffff,0x04fffff8,0x17ffffdc,0x17ffffe2,0x27ffffe4,
    0x07ffffc4,0x3ffff700,0x3ffffe60,0x3ffffe65,0xffffffff,0x037ffc7f,
    0x4cffff20,0x7e407fff,0xff76ffff,0x540003ff,0x7fcc2fff,0x3ffea03f,
    0xff70001f,0xffffffff,0xfa817fff,0xf3000fff,0x4000dfff,0x3e06fffc,
    0xffffffff,0xffffffff,0xffffb003,0x7fffc400,0x4ffff803,0xfffffff1,
    0xffffffff,0x03fffee9,0x25ffffc8,0xfffffffb,0x3fffffff,0xffffffd0,
    0xffffffff,0x3fffffe5,0xffffffff,0xffffa81f,0xfff70001,0xffffd80b,
    0x9004ffff,0x2a00ffff,0xdfffffff,0xfb8009ac,0xe800ffff,0xff86ffff,
    0xff303fff,0xff907fff,0xfb8009ff,0x3f201fff,0xff32ffff,0xffffffff,
    0x7c4fffff,0x7e4006ff,0xffff33ff,0xfffff980,0x03ffff76,0x0fffdc00,
    0xa80bffea,0x0001ffff,0xfffffff7,0x6c079bdf,0x7c006fff,0x0000ffff,
    0x7c0dfff9,0xffffffff,0xffffffff,0xffffb003,0x7fffc400,0x4ffff803,
    0xfffffff1,0xffffffff,0x03fffee9,0x1fffff98,0xfffffff7,0x7fffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0x002eeeed,0x547bbbae,
    0xeeeeeeee,0xeeeeeeee,0xaaa8805e,0x00000002,0x65cc0000,0x6e540acd,
    0x3ca8001b,0xd9975000,0x2a203599,0x2aa00aaa,0xb98802aa,0x400aaccc,
    0xccdecba9,0x32e6001a,0x88000abd,0x00abcdba,0x88015730,0xdb981bdb,
    0x0999801b,0xaaaaaa80,0xaaaaaaaa,0x8355510a,0x001bcdca,0x54001988,
    0xa801aaaa,0x5550aaaa,0x55500035,0x2aaaa615,0x2aaaa001,0x506aaa62,
    0x550179b9,0x02b2e235,0x20017995,0xaa980198,0x1aaaaaaa,0x3ff20000,
    0x3fe005ff,0x3ffee7ff,0xffffffff,0x07ffffff,0x006fffa8,0x00000fa2,
    0x74c1f440,0xafffffff,0x4fffffe8,0x1bfff200,0x7fffecc0,0x1dffffff,
    0x00ffffd4,0x4c0bfffd,0xfffffffe,0xffd981ff,0xffffffff,0x7fffd400,
    0x1004ffff,0xfffffffb,0x7fe4019f,0xfff700ef,0x7ffe4bff,0xffeb83ff,
    0xd01dffff,0xffffffff,0x27ffffff,0xfd35fffa,0x007fffff,0xbffffdb3,
    0xffff5007,0x7ffcc03f,0x13fff66f,0x43fffe00,0x006ffff9,0x64bffff3,
    0xfff55fff,0xfe85ffff,0xffffe8cf,0x1dffff91,0x7ffff5c0,0xffff902e,
    0x009fffff,0x261effb8,0x3007ffff,0x7dcbffff,0xffffffff,0xffffffff,
    0x6fffa807,0x09ffd100,0xff980000,0x7fffdc2f,0xffffffff,0x803fffff,
    0x03fffff8,0xffffffa8,0x1fffffff,0x807fffea,0xf905fffe,0xffffffff,
    0xfffa83ff,0xffffffff,0x3fff600f,0xefffffff,0x3fffea01,0xefffffff,
    0xfffffa81,0xfffffb85,0xffffabff,0x7ff42fff,0x1fffffff,0xffffffe8,
    0xffffffff,0xf5bfff53,0xffffffff,0x7fffdc07,0x01efffff,0x037fffe4,
    0x643ffffd,0x44006fff,0x7ff47fff,0xffc801ff,0x3fff22ff,0xffffffad,
    0x3ffa2fff,0xcfffffdc,0x4ffffffa,0xfffffe88,0xffc85fff,0x4fffffff,
    0x3fffe600,0x3ffffe1f,0xffffb801,0x3ffffee2,0xffffffff,0xa807ffff,
    0xe8806fff,0x000dffff,0xffffa800,0x33bfee2f,0xffffffec,0x807fffee,
    0x03fffff9,0xefffffa8,0xefffffee,0x03ffff50,0x742ffff4,0xffffffff,
    0x3e61ffff,0xecefffff,0xfb00fffe,0xffddffff,0x3ea0dfff,0xffffffff,
    0x640fffff,0x20ffffff,0xfecffff8,0xfdefffff,0x66ff46ff,0x86fffdca,
    0xfffffffe,0x3fffffff,0xfffdfff5,0xffffffff,0xcfffe881,0xfffdb99a,
    0x3fffa202,0xffffc84f,0x03fffdc3,0x71bffe60,0xf009ffff,0xffc8ffff,
    0xffffffff,0x3fa6ffff,0xffffffff,0xffffffef,0xfffffe87,0x643fffff,
    0xffffffff,0x3ff2004f,0x3ff25fff,0xffd803ff,0xff9000ff,0x540001ff,
    0xf7006fff,0x001dffff,0x7fffe400,0x2072e0ef,0x364ffffe,0xfe802fff,
    0xea801fff,0xfffd301c,0x3fffea5f,0x17fffa01,0x9dfffff7,0x43ff9755,
    0x205ffffc,0xfffa80b9,0x3ff621df,0xfffe82ff,0xffcaabef,0x7fe44fff,
    0x7fdc7fff,0xfffff11f,0x87fff21b,0x21fff601,0xcccccccb,0x0efffffc,
    0xfffffff5,0xfffff75b,0xabdffc87,0xfff70aaa,0x7fffcc01,0x3fffe61f,
    0x07fff986,0x22fffd40,0x407ffff8,0x644ffffa,0xcfffffff,0x2ffffe99,
    0x91bffffd,0xf15fffff,0x7fdc1fff,0xfff931ef,0x4cccc41f,0x004ffff9,
    0x3ffffff2,0x0dffff50,0x06ffff88,0x03ffff20,0x6fffa800,0x3fffea00,
    0xd80001ff,0x005fffff,0x107fffd4,0xd3009fff,0x002005ff,0xa9ffffcc,
    0x3a01ffff,0x3fe65fff,0x05404fff,0x001ffffd,0x81bfffa0,0x7dc7fffe,
    0xf980dfff,0x3e61ffff,0x7ec5ffff,0x7fffe46f,0x013ffe22,0x0007ffe4,
    0x87ffffea,0x1ffffffa,0x527fffcc,0x3fff6bff,0x0bff35ff,0x26ffffb8,
    0x880ffffe,0x2000ffff,0xfc84fffb,0x3f602fff,0x7fe40fff,0x7d40ffff,
    0xfffd3fff,0x3fffea1f,0xe87fff64,0xffe80fff,0x7ffc402f,0x3fea004f,
    0xff11ffff,0x7d401fff,0x32003fff,0x0000ffff,0x001bffea,0x5fffffd3,
    0x3ffa2000,0x98003fff,0xffe86fff,0x00000005,0x2abffff0,0x3a01ffff,
    0x3ff65fff,0xff8004ff,0xa8002fff,0x2e02ffff,0x3fe0ffff,0x3f200fff,
    0x7fdc3fff,0x3ffe20df,0x07fffd44,0x32a17ffe,0x0fffeeed,0x3fffe200,
    0x7fffd43f,0xbffff02f,0xefd87ff4,0xff92ffec,0xffffe805,0x03ffffcc,
    0xf887fffe,0x7ffe45ff,0x5ffff983,0x0bffff10,0x03fffff9,0x7f53fffe,
    0x3ffe64ff,0x8bfff60f,0xff706fff,0xfff8807f,0x7fe4004f,0x3ff61fff,
    0x3ff202ff,0x3f2001ff,0xcc800fff,0xfffdcccc,0x1ccccccf,0xfffffb10,
    0xfff98009,0x10002fff,0xffb09fff,0x0000000d,0x557fffa0,0x3a01ffff,
    0x3ffe5fff,0xfd8000ff,0x000cffff,0x501ffff2,0x3e23ffff,0x7c404fff,
    0x09885fff,0x4c2fff88,0xffe87fff,0x3ffffea5,0x000fffff,0x217ffffa,
    0x203ffffa,0xff16fffe,0xff8a7ec7,0xf1013fe4,0xffffffff,0x3fffe80b,
    0xc83fffee,0xffd02fff,0xfff501ff,0xffff905f,0xaffffc07,0x3e61fffe,
    0x7ffec5ff,0x20bfff12,0x4404fff9,0x8004ffff,0x2e0ffffe,0x3a04ffff,
    0x64006fff,0xf800ffff,0xffffffff,0xffffffff,0x7fffe403,0xfff5005f,
    0x44003dff,0xefffccba,0x7ffecccc,0x33333331,0x33333333,0x65d40333,
    0xffffeeed,0x03ffff55,0xf8affff4,0x70005fff,0xdfffffff,0xfffd8037,
    0xeeeeeeef,0xf53ffffe,0xff005fff,0xf9800dff,0x7ffcc2ff,0xfffccccf,
    0x79ffff36,0x001fffb5,0x41bffff2,0x201ffffa,0xff56fffe,0xffaa7ec3,
    0x2a01bf63,0xffffffff,0x27ffec00,0x6c5ffffd,0xff700fff,0xfffb07ff,
    0x3ffff20f,0x42666200,0x3e60fffe,0x7ffec5ff,0x5c1fffe2,0x7c402fff,
    0xc8004fff,0x7fc46fff,0xfff307ff,0xffc8009f,0xfff800ff,0xffffffff,
    0x03ffffff,0xefffffb8,0x3fffee00,0xfb1000df,0xffffffff,0xffffffff,
    0x3fffffee,0xffffffff,0x7e447fff,0xffffffff,0xfff55fff,0x7fff403f,
    0x09ffff35,0x7fffec00,0x02efffff,0xfffffffd,0xffffffff,0x3fffee7f,
    0x7fffe801,0x17ffd400,0x3fffffe2,0xf96fffff,0xfffc85ff,0xffffb800,
    0xffff500f,0xb7fff403,0x3ff60ffc,0x3fe44fff,0xfffffd80,0xfffc802f,
    0xbfffff15,0xf103fff4,0xff88dfff,0xfff904ff,0xffd0001f,0x2fffcc1f,
    0xfe8bfff6,0xfffe81ff,0x7fffc401,0xfffd8004,0x1ffffe84,0x01ffffb8,
    0x07fffe40,0x7fffffc0,0xffffffff,0xf5003fff,0x903fffff,0x009fffff,
    0x7fffffcc,0xffffffff,0xff77ffff,0xffffffff,0xffffffff,0x7fffffc4,
    0xffffffff,0x03ffff55,0xfaaffff4,0x40004fff,0xfffffffb,0x7fc0dfff,
    0xffffffff,0x3fffffff,0x003ffff9,0x800ffffd,0x7c41fffa,0xffffffff,
    0x3fffb6ff,0x007fff4c,0x0bffffe6,0x01ffffa8,0x7e5bfffa,0x27fffec7,
    0x54007fe4,0x00ffffff,0xf76fffb8,0x3e1fffff,0x7fe406ff,0x3ffee1ff,
    0xffff901f,0xfffd0001,0x22fffcc1,0x3f62fffd,0xff932eff,0xfff100df,
    0xffb8009f,0xfffb80ef,0x7fffd83f,0xffffc800,0x3fea0000,0xf300006f,
    0x6c3fffff,0x004fffff,0x55f7fff4,0xaaadfffb,0xff72aaaa,0xffffffff,
    0xffffffff,0x3fffffa2,0xfffaaacc,0x3ffff55f,0xaaffff40,0x0005ffff,
    0xffffda88,0x7fc5ffff,0xccccceff,0x1ccccccc,0x005ffff7,0x800dfffd,
    0x7cc2fffa,0xaaaaaeff,0xdfff92aa,0x1fffffb7,0x7ffff440,0x7fffd404,
    0x5bfffa01,0x33f61ffa,0x37ec3ff9,0x7ffffc40,0xff9805ff,0xfffffb7f,
    0x0bfff17f,0x24ffff98,0x3206fffe,0x8000ffff,0x3e60fffe,0x7ffec5ff,
    0x3ffffe22,0x01ffffff,0x04ffff88,0x7fff6554,0xffff301f,0x0bffff0b,
    0x1ffff900,0x7ffd4000,0xfd880006,0x7443ffff,0x002fffff,0xf88dfff5,
    0x995004ff,0x99999999,0x99999999,0x037fffee,0xfaaffff4,0x3fa01fff,
    0xffff15ff,0xa880000d,0x1ffffffd,0x001bfff6,0x03ffffa8,0x005ffff8,
    0x2617ffcc,0xf3006fff,0xfdffffff,0x7fec01ff,0xffa806ff,0x3ffa01ff,
    0x6c5ff36f,0x7c1ff94f,0xfffd805f,0x403fffff,0xff8ffff8,0xf9efffbf,
    0xffe804ff,0x7ffff36f,0x07fffe40,0x07fff400,0xfd8bfff3,0x7ffdc2ff,
    0x03ffffff,0x09ffff10,0xeffffff8,0x3ffffc02,0x00bfffea,0x03ffff20,
    0x6fffa800,0x7ff4c000,0xfb101fff,0x7009ffff,0xff887fff,0x0000004f,
    0x01ffffb0,0xfaaffff4,0xff502fff,0x7fffcbff,0x3000002f,0x647fffff,
    0x20007fff,0x405ffff9,0x884ffffa,0x2fff981a,0x003fffd4,0x27dfffd5,
    0xff900fff,0xf5001fff,0x7f403fff,0xd9bfe6ff,0x2e7ff34f,0x7fdc03ff,
    0xfffffeff,0x67fffc01,0xfffd8fff,0xb803fffb,0xffc9ffff,0x3ff200ff,
    0xfe8000ff,0x3ffe60ff,0x417ffec5,0xdfffffe9,0x3ffe2000,0x7fffc04f,
    0xfff9003f,0x7fffe45f,0xfffc8000,0x3ea0000f,0x2a0006ff,0x01efffff,
    0xdfffffc8,0x0bfff200,0x000ffff3,0x3ffa0000,0x3ffea07f,0x7ffff35f,
    0xbfffff30,0x077ffff4,0xffb80000,0x3ffee3ff,0x3fe0003f,0x3f601fff,
    0x7fdc2fff,0x3ffe20ef,0x0ffffdc4,0x00026200,0x03fffff5,0x07fffea0,
    0x2e6fffe8,0x6c9fb4ff,0x406ff9ff,0xc8effff9,0x7406ffff,0x76ffffff,
    0x5fffdfff,0x9ffff100,0xc809fffd,0x8000ffff,0x3e60fffe,0x7ffec5ff,
    0x000d4c02,0x04ffff88,0x2000d5e4,0x3a4ffffa,0x90005fff,0x0001ffff,
    0x0037ffd4,0xdfffffb8,0x3ffee000,0xff700eff,0x7fff449f,0xdb80003f,
    0xfffd800c,0xffffb82f,0xdffff15f,0x7ffffd41,0x3fffea5f,0x439302ef,
    0xfffe800a,0x3fffe21f,0xfc81002f,0xfd81ffff,0x7fcc5fff,0x7ffc5fff,
    0x2ffffec6,0x7c400000,0x2003ffff,0x201ffffa,0x7ec6fffe,0x7ff4c03f,
    0x3fffe201,0x3ffffa2f,0x3ffff604,0xffff13ff,0x36003fff,0xffffffff,
    0x7fffe401,0xfffe8000,0xb17ffe60,0x00005fff,0x4ffff880,0x7fc00000,
    0xffff16ff,0x3ff20007,0x2a0000ff,0xd8006fff,0x005fffff,0xffffff30,
    0x3dfff503,0xffffffb3,0x0076a617,0x003ffff6,0x59fffff9,0xffffffd7,
    0x7fffffcb,0xffffffec,0x7fffec5f,0xffeeefff,0x2af7fe1f,0xfffdb999,
    0xffffb87f,0xcaaaabef,0x7ffc43fd,0xffdcefff,0x7e41ffff,0x7e47ffff,
    0xffff52ff,0x70b887ff,0x99999999,0x7f419999,0xffffffff,0xf54fffff,
    0x7f403fff,0x7ffc46ff,0xff9311ae,0xfffd809f,0x7fffcc4f,0xffff902f,
    0x7fff43ff,0xf3000fff,0x0dffffff,0x01ffff90,0x41fffd00,0x7ec5fff9,
    0x3332e2ff,0xcccccccc,0x9999910c,0x99dffff9,0x00001999,0x2e3ffff6,
    0x0000ffff,0x001ffff9,0x01e664c0,0xfffffd10,0xfe980007,0x7c42ffff,
    0xffffffff,0xfffffffd,0x7fc401ff,0x7c403fff,0xffffffff,0x25fffeff,
    0xfffffffb,0x5fffcfff,0x7fffffc4,0x1fffffff,0x3ffffffe,0x3fffffff,
    0xffffffd0,0x7fffffff,0xffffff70,0x7fffffff,0xffffff90,0xffffff98,
    0xfffffeff,0xffd1fffe,0xffffffff,0x3ffe23ff,0xffffffff,0xff54ffff,
    0x7ff403ff,0xfffd886f,0x2fffffff,0x37fffdc0,0x0fffffc8,0x6fffffb8,
    0x3fffffdc,0x3ffffa00,0xffc803ff,0xfe8000ff,0x3ffe60ff,0xd17ffec5,
    0xffffffff,0x3e63ffff,0xffffffff,0x1fffffff,0xfff50000,0x0dfffb7f,
    0x7fffe400,0x80000000,0x2fffffe9,0xffb10000,0xffc89fff,0xf88fffff,
    0xffffffff,0x7fffc401,0xfffb803f,0x9bffffff,0x7ff45fff,0x9affffff,
    0xfc885fff,0xffffffff,0x3fffe1ff,0xffffffff,0x3ff2203f,0xffffffff,
    0xfff503ff,0xffffffff,0x3fffea05,0xffffd85f,0xfffc8fff,0xfd1fffff,
    0xffffffff,0x3fe23fff,0xffffffff,0xf54fffff,0x7f403fff,0x3fae06ff,
    0x00dfffff,0x0fffffcc,0x0bffffd0,0x89fffff5,0x06fffff8,0x7ffffdc0,
    0xfffc800f,0xffe8000f,0x17ffe60f,0x7f45fffb,0xffffffff,0xfff31fff,
    0xffffffff,0x003fffff,0x3fffe200,0x004ffffd,0x03ffff20,0xf1000000,
    0x003fffff,0xffffb000,0xffffc87f,0x3fffa20e,0xe800dfff,0x5000ffff,
    0x3bffffff,0x3217ffe6,0x31dfffff,0x6cc0bfff,0xdffffffe,0x3ffff60b,
    0x1cffffff,0xffffb300,0x03bfffff,0x7ffffe44,0x7dc00def,0xff900eff,
    0x7fdc3dff,0x970dffff,0x99999999,0x3fe21999,0xffffffff,0xf54fffff,
    0x7f403fff,0xb98806ff,0xffd1001a,0xff9809ff,0x7fc43fff,0xffe81fff,
    0x7c4004ff,0x9005ffff,0x0001ffff,0x7cc1fffd,0x7ffec5ff,0x333332e2,
    0x0ccccccc,0xfffffff3,0xffffffff,0x7400003f,0xffffffff,0x3ff20001,
    0xcc9800ff,0xcccccccc,0x4c3ccccc,0x0000efff,0x17ffee00,0x510054c4,
    0xc8800355,0xa88001de,0x2600009a,0x200000aa,0x988019a9,0x0019aaaa,
    0x4d554c40,0x9a988000,0x00d44000,0x55101a98,0x00000135,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7dc00000,
    0x07ffffff,0x7fffe400,0xffffb800,0xffffffff,0x5f986fff,0xf5000000,
    0x0000000b,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffff300,0xc80009ff,0xb800ffff,0xffffffff,0x6fffffff,
    0x00000030,0x15555008,0x15555540,0x03ccc980,0x24400e60,0x09fff300,
    0x00000000,0x4cccc002,0x004c4000,0x33100000,0x3baa0001,0xfffb803e,
    0xffffffff,0xff96ffff,0x7fff43ff,0x2666660f,0x99999999,0x04400999,
    0xeca80130,0x220000bd,0xfc80001a,0x4003ffff,0x99999998,0x22000199,
    0x11effffe,0x77777777,0x3bba3777,0xeeeeeeee,0xeeeeeeee,0x000002ee,
    0xffffffe8,0x7fe40002,0xffb800ff,0xffffffff,0x006fffff,0x20000000,
    0x502ffff8,0x003fffff,0x401bffea,0x74404ff9,0xfff1005f,0x0cf88009,
    0x5d5019b0,0xfb017ae0,0x17ffffff,0x3ffff6a0,0x7fdc01df,0x7e4403ff,
    0x002fffff,0x07ffffe2,0xffffff70,0xffffffff,0x3ffff2df,0xf1ffff61,
    0xffffffff,0xdfffffff,0x10fffa20,0xfb105ffd,0x205fffff,0x3f22ccc9,
    0xfd981eff,0x3ffea03e,0x3f2003ff,0xffffffff,0xffd10007,0x7fc41bff,
    0xffffffff,0xffffff4f,0xffffffff,0x5fffffff,0xf9000000,0x001fffff,
    0x0ffffc80,0x00000000,0x40000000,0x982ffff8,0x002fffff,0x201bffea,
    0x104ffff9,0x030bfffd,0x40087fff,0x7d43fffd,0xdffd33ff,0x17fffc41,
    0xffffff88,0x3a60efff,0xffffffff,0x7ffe442f,0x3ea03fff,0xffffffff,
    0xfffc800e,0x7fdc06ff,0xffffffff,0xf76fffff,0x7fec1fff,0x7ffffc7f,
    0xffffffff,0xff906fff,0x7ffec1ff,0x7ffff40f,0xfb83ffff,0xffff53ff,
    0xffff98df,0x3ffa604f,0xff9002ff,0xffffffff,0xfffd1000,0xffff107f,
    0x9fffffff,0x3ffffffe,0xffffffff,0x02ffffff,0x00000000,0x00000000,
    0x00000000,0xfff88000,0x7fffc42f,0x7fd4003f,0xfffa806f,0x7ff444ff,
    0x06fc44ff,0x1fd45fff,0x20ffffa8,0xd13ffff8,0xffc89fff,0xfff880ff,
    0x3fffffff,0x3fffffe2,0x3ea7ffff,0x3fffffff,0xffffff10,0x809fffff,
    0xfffefff8,0x33332603,0xcccccccc,0xfff73ccc,0x37ffe41f,0x3ffffffe,
    0xffffffff,0xffffd06f,0x0fffff43,0xfffffff3,0xffd87fff,0xfffffb2f,
    0x7fffec3f,0x7fe400ff,0xffc802ff,0x7fffffff,0x7fff4400,0xffff101e,
    0x9fffffff,0x3bbbbbba,0xeeeeeeee,0x02eeeeee,0x00000000,0x00000000,
    0x00000000,0xfff88000,0x3fffa22f,0xffa8004f,0xfff5006f,0x3ffa27ff,
    0xfffc84ff,0xfb13ffd1,0xfff881ff,0x2fffec3f,0x88bfffe6,0x3704fffe,
    0x45ffff98,0xffbabefb,0xfff11fff,0x207fffff,0x931efffd,0x6c03ffff,
    0xfffe8eff,0x54000000,0x7fe47fff,0x6666646f,0xdccccccc,0xff906fff,
    0x7ffe41ff,0x4efffec7,0x9dfffffb,0xfd0ffffb,0x7c5fffff,0x01ffffff,
    0x02ffffa8,0xe8800000,0x2200dfff,0xcccccccc,0x00002ccc,0x00000000,
    0x00000000,0x00000000,0x44000000,0x3f62ffff,0x50005fff,0x5400dfff,
    0xfecfffff,0xff984fff,0xbffecfff,0x6c4ffffe,0x7fdc5fff,0xfffb80ff,
    0x3fffea0f,0x3fffa001,0xfffb8283,0x3e73f62f,0xfff03fff,0x7fffb01f,
    0x54bffea0,0x00004fff,0x23fffd40,0x0005fffb,0x9037ffcc,0x3df903df,
    0x260fffe8,0xffffffff,0x3fff65ff,0x3ffa1fff,0x0001ffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xc97fffc4,
    0x0005ffff,0x001bffea,0xfffffff5,0x7ecc09ff,0xffffffff,0x3ea0bfff,
    0x3fe20fff,0x3ffa02ff,0x37ffe45f,0x3fff2620,0xfffb001f,0xfff04c1f,
    0xbfff307f,0x417ffea0,0x7fec6ffe,0x2000001f,0x7dc6fff9,0x4c0005ff,
    0x00006fff,0xd30ffff0,0xffffffff,0x7ffffc43,0x7ffffdc4,0x00000006,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xff880000,
    0xffffbaff,0x4ccc400e,0xefffb999,0x01999999,0xfffffff5,0x3ff26009,
    0x82efffff,0x743ffff8,0x7c404fff,0x3fa22fff,0xfffb84ff,0x7001efff,
    0xf80bffff,0xffa83fff,0xbfff304f,0x983fff70,0xaa886fff,0xaaaaaaaa,
    0xf32aaaaa,0xfffa8dff,0x7fcc0004,0x9000006f,0x3fa20799,0x982fffff,
    0xffb03efd,0x000001df,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x10000000,0xfffbffff,0xff7001df,0xffffffff,0xffffffff,
    0x7ffffd40,0x7fe44006,0xf901efff,0xfffb8dff,0xffff9007,0x40ffffa8,
    0xeffffffb,0xffffb803,0x7fffc00f,0x07fff983,0xf889fff7,0xfff905ff,
    0xfffffb87,0xffffffff,0xbfff16ff,0x004fffa8,0x037ffcc0,0x54000000,
    0x0001bdec,0x00001a98,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3fffffe2,0xf7002fff,0xffffffff,0xffffffff,
    0x3fffa20f,0xc8804fff,0xffffffff,0x7ffcc2df,0x3fffe21f,0x7fffc402,
    0x427fff43,0xfffffeea,0xfff900ff,0xfff003ff,0x3fffe07f,0x42fffe81,
    0xf100fffd,0x7fdc1fff,0xffffffff,0x326fffff,0x666443cc,0x77440002,
    0x0000004e,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fc40000,0xeffffeff,0xffffb800,0xffffffff,
    0x887fffff,0xfffffffe,0xfff9104f,0xffffffff,0x7fe45dff,0x7fffd46f,
    0x17fff600,0x001ffff7,0x07ffff91,0x01dffff9,0x40ffffe0,0xbadffffd,
    0x260fffff,0x7dc04fff,0x3ffee5ff,0xffffffff,0x0006ffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfb5ffff1,0x9500bfff,0xffb99999,0x999999ff,
    0xffffe889,0x84fffffd,0xd9effff8,0xffffc9ff,0x13fffe23,0x2a0bfffb,
    0x3e60ffff,0x22002fff,0x7ec5ffff,0x7c004fff,0xff103fff,0xffffffff,
    0x0fffe85f,0x12fffe80,0x33333333,0x13333333,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ffe2000,0xffffe8af,0x3fea0004,0xffd1006f,0x3ffea9ff,
    0x4ffb83ff,0x7fd4bffa,0x1ffffa86,0x10ffffe2,0xfe85ffff,0x409885ff,
    0x13ffffc8,0x99dffffd,0x55547999,0xaadffffa,0x7ffff4c2,0x9983ffff,
    0x33310009,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x32ffff88,
    0x005fffff,0x01bffea0,0x13ffffa2,0x07fffff5,0x22fff85b,0xfffb02d8,
    0x1ffffa8d,0xf717fffa,0xff701fff,0xffffffff,0x3fffea3f,0x6fffffff,
    0xfffffff1,0x2e0dffff,0x00cdffed,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fe20000,0x3ffee2ff,0xfa8001ff,0xffb806ff,0xfff504ff,
    0x3ffe00bf,0x3ffe2003,0xafffec3f,0x220ffff9,0xf702ffff,0xffffffff,
    0x7fffd43f,0x6fffffff,0xfffffff1,0x000dffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xf8800000,0x7fec2fff,0x54000eff,0xf9006fff,
    0xdffa809f,0x4fff8800,0x4177dc00,0x7e442ef8,0x205fc882,0xfffffffb,
    0x7ffd40be,0xffffffff,0xffffff16,0x00dfffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x88000000,0x7442ffff,0x4006ffff,0x2006fffa,
    0x01b5004c,0x00b33220,0x080100a0,0x26200440,0x00000999,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xff100000,0xfff305ff,
    0x7d4009ff,0x000006ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fffe200,0xfffff702,
    0x3ffea007,0x00000006,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80bfffe2,0x01fffffd,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__consolas_bold_39_latin_ext_x[560]={ 0,7,4,0,1,0,0,8,5,4,2,1,4,4,
6,1,1,2,2,2,0,2,1,2,1,1,7,4,1,2,3,5,0,0,2,1,1,3,3,0,1,2,3,2,
3,0,1,0,2,0,2,1,1,1,0,0,0,0,1,5,2,5,1,0,0,2,2,2,1,1,0,1,2,2,
2,2,2,1,2,1,2,1,3,2,1,2,0,0,0,0,2,2,8,4,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,7,2,1,0,0,
8,1,0,0,4,2,1,4,1,0,3,1,4,4,0,2,1,7,7,4,3,2,0,0,0,3,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
0,0,0,0,0,2,0,0,1,0,1,0,1,0,-1,0,0,1,0,0,0,0,0,0,3,1,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,2,0,2,1,1,0,0,2,2,2,0,0,3,
2,-5,-3,3,1,0,2,0,0,1,2,0,0,0,1,2,0,0,0,0,0,0,0,0,-1,0,2,3,-1,0,
0,0,0,0,1,2,0,0,1,1,0,-3,1,0,0,0,0,0,0,0,0,0,0,0,1,2,0,0,0,0,
0,0,0,0,0,0,0,4,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,-4,-2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__consolas_bold_39_latin_ext_y[560]={ 28,1,1,3,-1,0,1,1,-1,-1,1,8,20,15,
20,1,2,2,2,2,3,3,3,3,2,2,8,8,6,12,6,1,0,3,3,2,3,3,3,2,3,3,3,3,
3,3,3,2,3,2,3,2,3,3,3,3,3,3,3,0,1,0,3,32,1,8,1,8,1,8,0,8,1,0,
0,1,1,8,8,8,8,8,8,8,2,8,8,8,8,8,8,0,-4,0,13,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,28,8,-1,2,3,3,
-4,0,0,2,2,9,15,15,0,1,0,4,0,0,1,8,1,13,28,0,2,9,0,0,0,8,-4,-4,-4,-5,
-5,-6,3,2,-4,-4,-4,-5,-4,-4,-4,-5,3,-5,-4,-4,-4,-5,-5,9,-1,-4,-4,-4,-5,-4,3,0,1,1,
1,0,0,-2,8,8,1,1,1,0,1,1,1,0,1,0,1,1,1,0,0,7,4,1,1,1,0,1,1,0,
-4,1,-4,1,3,8,-4,1,-4,1,-5,0,-4,1,-4,-1,3,1,-4,1,-4,1,-5,0,3,8,-4,1,-4,1,
-4,1,-5,0,2,0,-4,-6,3,1,-5,0,-4,1,-4,1,3,0,-5,8,3,0,-4,1,3,1,8,-4,-6,3,
1,-1,-1,3,1,3,1,-4,1,3,8,-4,1,-2,3,8,-4,1,-4,1,-4,1,2,8,-4,1,3,8,-4,1,
-4,1,-4,1,2,8,-4,1,3,2,-4,-1,3,2,-5,0,-4,1,-4,1,-6,-2,-4,1,3,8,-4,1,-4,1,
-5,-4,1,-5,0,-4,1,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-10,-7,-4,1,-4,-1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,2,8,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__consolas_bold_39_latin_ext_w[560]={ 0,7,14,21,19,22,22,6,13,13,17,19,11,13,
9,19,20,18,18,18,21,18,19,18,19,19,8,11,17,17,17,14,22,22,18,19,20,16,16,20,19,17,15,19,
17,21,19,21,18,22,19,19,19,19,22,21,22,22,19,11,19,11,19,22,14,17,19,17,18,19,21,20,17,18,
16,19,18,20,17,20,19,18,17,17,18,17,22,22,21,22,17,16,5,15,21,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,7,16,19,21,21,
5,19,18,22,14,17,18,13,20,17,15,19,13,13,20,19,19,8,7,13,15,18,22,22,22,14,22,22,22,22,
22,22,22,19,19,19,19,19,19,19,19,19,21,20,21,21,21,21,21,18,21,20,20,20,20,22,18,19,19,20,
19,19,19,19,21,17,20,20,20,20,20,21,20,20,19,19,21,21,21,21,21,19,20,19,20,19,19,22,19,22,
22,19,22,19,22,18,20,21,19,19,19,19,19,19,22,25,21,21,19,20,19,20,19,20,17,19,19,20,20,21,
20,21,20,21,20,21,20,19,22,19,19,20,19,20,19,20,18,18,19,18,19,19,18,18,19,19,19,20,20,17,
18,25,25,19,24,20,18,20,20,19,17,20,19,20,19,17,21,21,21,21,23,23,21,21,22,20,19,17,22,20,
20,20,20,19,19,17,20,19,19,18,20,25,19,19,20,19,20,19,20,19,20,19,23,23,19,18,21,22,22,22,
22,20,20,20,19,20,19,16,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,20,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,22,20,22,21,25,23,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,17,19,18,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19, };
static unsigned short stb__consolas_bold_39_latin_ext_h[560]={ 0,28,10,25,34,29,28,10,37,37,17,19,15,5,
9,32,27,26,26,27,25,26,26,25,27,26,21,27,23,12,23,28,36,25,25,27,25,25,25,27,25,25,26,25,
25,25,25,27,25,34,25,27,25,26,25,25,25,25,25,36,32,36,13,4,8,21,28,21,28,21,28,28,27,28,
36,27,27,20,20,21,28,28,20,21,27,21,20,20,20,28,20,36,40,36,9,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,0,28,34,26,25,25,
40,33,9,27,20,17,10,5,20,8,15,24,16,17,8,28,32,9,6,16,20,17,28,28,28,28,32,32,32,33,
33,34,25,32,32,32,32,33,32,32,32,33,25,33,33,33,33,34,34,18,34,33,33,33,34,32,25,29,28,28,
28,29,29,31,21,26,28,28,28,29,27,27,27,28,28,28,28,28,28,29,29,21,29,28,28,28,29,35,35,36,
32,28,32,28,33,28,33,28,33,28,34,29,33,28,32,30,25,28,32,28,32,28,33,29,33,28,32,28,33,35,
33,35,34,36,34,36,32,34,25,27,33,28,32,27,32,27,33,36,33,20,26,36,33,35,33,35,20,32,34,33,
35,29,29,25,27,25,27,32,27,33,28,32,27,30,33,28,33,28,33,28,33,28,27,21,32,27,33,28,32,27,
33,28,33,28,32,26,33,28,33,34,32,30,25,27,34,29,33,28,33,28,35,31,33,28,33,28,32,27,32,35,
33,32,27,33,28,32,27,28,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,33,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,38,36,32,28,37,34,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,34,28,33,34,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25, };
static unsigned short stb__consolas_bold_39_latin_ext_s[560]={ 511,503,310,288,173,177,63,504,76,36,159,
120,500,458,394,211,85,305,286,193,371,362,188,172,296,226,255,335,82,292,64,
497,199,348,329,389,106,494,271,409,436,456,496,191,211,229,251,451,310,150,474,
168,24,266,1,150,127,413,393,285,63,144,272,472,404,142,477,178,439,214,288,
418,253,211,297,347,174,444,319,234,22,192,426,196,106,160,403,380,358,1,301,
111,1,128,363,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,511,502,254,
246,421,84,7,462,344,473,286,177,325,458,337,419,256,44,228,214,437,268,484,
385,503,242,465,195,47,454,24,497,461,441,268,179,1,314,61,335,355,43,149,
265,274,378,317,367,488,406,427,449,471,232,46,140,292,224,184,285,337,418,42,
288,434,413,393,221,157,1,100,344,292,271,250,200,131,367,430,149,129,109,87,
65,43,334,135,122,114,457,22,417,376,400,442,156,251,170,294,209,1,190,326,
313,306,437,130,356,104,132,375,21,466,353,398,1,358,229,84,241,493,477,231,
396,24,481,63,314,25,244,68,222,22,193,443,111,144,1,398,43,418,22,387,
266,124,481,324,179,205,423,164,359,100,314,271,45,462,262,308,22,271,1,316,
190,212,347,250,337,233,73,245,375,202,330,157,352,112,374,152,264,291,70,482,
477,245,64,421,42,379,172,464,208,47,152,442,213,1,47,401,125,109,94,224,
398,400,310,379,484,88,86,68,458,83,145,105,336,24,128,1,136,230,169,91,
495,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,358,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,13,90,438,110,50,1,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,89,335,442,213,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381, };
static unsigned short stb__consolas_bold_39_latin_ext_t[560]={ 1,1,373,325,42,178,239,111,1,1,373,
373,351,373,373,145,297,297,297,268,325,297,297,325,268,297,351,268,351,373,351,
178,1,325,325,268,325,325,325,268,325,325,268,325,325,325,325,268,325,42,325,
297,351,297,351,325,325,325,325,1,145,1,373,373,373,351,239,351,239,351,239,
239,268,239,1,268,268,351,351,351,239,239,351,351,297,351,351,351,351,268,351,
1,1,1,373,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,1,42,42,
297,297,325,1,42,373,268,351,373,373,373,351,373,373,351,373,373,373,239,111,
373,30,373,351,373,268,210,268,239,145,111,111,77,77,42,325,111,111,145,145,
77,145,145,145,77,297,77,77,77,77,42,42,373,42,111,111,77,42,111,325,
178,210,210,210,178,178,178,351,297,210,210,210,178,268,268,268,210,210,210,210,
210,210,178,178,351,178,178,210,178,178,1,1,1,145,210,145,210,111,210,77,
210,77,178,42,178,111,239,111,178,297,210,145,210,145,210,111,178,77,178,145,
178,111,1,111,1,42,1,42,1,145,42,297,268,111,239,111,297,145,297,77,
1,111,351,297,1,111,1,111,1,373,111,42,111,1,178,178,325,268,325,268,
145,268,77,239,145,268,178,77,210,77,239,77,239,77,239,268,351,111,268,42,
210,111,297,42,239,42,239,111,297,77,239,42,42,145,178,297,297,42,178,77,
239,42,239,1,145,77,239,77,239,145,297,145,1,77,145,297,77,239,145,268,
210,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,42,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,1,1,145,239,1,42,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,42,210,42,42,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297, };
static unsigned short stb__consolas_bold_39_latin_ext_a[560]={ 343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_39_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_bold_39_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_39_latin_ext(stb_fontchar font[STB_FONT_consolas_bold_39_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_39_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_bold_39_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_39_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_39_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_39_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_39_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_39_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_39_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_39_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_39_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_39_latin_ext_s[i] + stb__consolas_bold_39_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_39_latin_ext_t[i] + stb__consolas_bold_39_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_39_latin_ext_x[i];
            font[i].y0 = stb__consolas_bold_39_latin_ext_y[i];
            font[i].x1 = stb__consolas_bold_39_latin_ext_x[i] + stb__consolas_bold_39_latin_ext_w[i];
            font[i].y1 = stb__consolas_bold_39_latin_ext_y[i] + stb__consolas_bold_39_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_bold_39_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_39_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_39_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_39_latin_ext_s[i] + stb__consolas_bold_39_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_39_latin_ext_t[i] + stb__consolas_bold_39_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_39_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_39_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_39_latin_ext_x[i] + stb__consolas_bold_39_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_39_latin_ext_y[i] + stb__consolas_bold_39_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_39_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_39_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_39_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_39_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_39_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_39_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_39_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_39_latin_ext_LINE_SPACING
#endif

