// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_40_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_40_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_40_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_bold_40_latin_ext_BITMAP_HEIGHT        416
#define STB_FONT_consolas_bold_40_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_bold_40_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_bold_40_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_bold_40_latin_ext_LINE_SPACING          26

static unsigned int stb__consolas_bold_40_latin_ext_pixels[]={
    0x223ffff1,0x0001ffff,0x00000000,0x98006600,0x33220001,0x2200002c,
    0x0130000a,0x00000000,0x33332600,0x9950003c,0x00599909,0x3bbb6200,
    0x332000de,0x993000cc,0x99999999,0x05999900,0x99500000,0x66400039,
    0x300000cc,0x2aa60015,0x55500009,0x15555555,0x35531000,0x541775c0,
    0x400003ee,0x43ccccca,0xaaaaaaaa,0x004000aa,0x22000000,0xff11ffff,
    0x320003ff,0x202fffff,0x200000ea,0x77ff443d,0x3bffa201,0xfffc8000,
    0xff900002,0x7f44009f,0x500000ef,0x0159dfd9,0x3ffe6000,0x70000dff,
    0x7fd43fff,0xf880002f,0x000dffff,0x01bffff6,0x7fffffdc,0x7c407fff,
    0x00004fff,0x7ffffdc0,0xfffd8001,0xfd80006f,0xffd802ff,0x7c002eff,
    0xffffffff,0x3faa001f,0xff505fff,0x7ffcc3ff,0xf500002f,0xfd09ffff,
    0xffffffff,0x2fdb8805,0xffb50000,0xfff1003b,0x3fffe23f,0xfffc8001,
    0x3fea00df,0xfd80000e,0x3ffff23f,0x3ffff606,0xfffe8005,0xff980000,
    0xfb002fff,0x8000bfff,0xffffffe8,0x440002ff,0x003fffff,0x67fffcc0,
    0x000ffffd,0x7ffff440,0x7ffec003,0xfb805fff,0xffffffff,0x7fffc407,
    0x2a000004,0x1fffffff,0x3ffff600,0x2e0005ff,0x400fffff,0x5ffffffd,
    0x3ffffe00,0x001fffff,0xbffffffb,0x8fffff60,0x005ffffb,0xfffffa80,
    0xfffffd02,0x5c05ffff,0x0002ffff,0xffffffb8,0x7fffc403,0x03ffff11,
    0x2ffffd80,0x77fffcc0,0x3ff60000,0xffffd2ff,0x3fffe01f,0x7fcc007f,
    0xf700006f,0x2009ffff,0x007fffff,0x3ffffea0,0x02ffffff,0xdffff100,
    0x007775c3,0xffffff90,0x880009ff,0x001efffe,0x7e67ffe4,0x7fdc05ff,
    0x7fffffff,0x27fffc40,0xffa80000,0x0efffaef,0xccfffc80,0xb0005fff,
    0x805fffff,0xfffffffd,0xfffff003,0x003fffff,0xfffffff7,0x3ffff20b,
    0x13fffee2,0xffff5000,0x7fff401d,0x02ffffff,0x00bfffee,0x77fff100,
    0x7c401fff,0xfff11fff,0x7764003f,0xffb000de,0xb0001dff,0x7f4bffff,
    0x3fe07fff,0x64006fff,0x00004fff,0x07fffff7,0x1fffffa0,0x7fffd400,
    0xffffdbdf,0x76c4002f,0x7ffc0cee,0xfffc8006,0x80004fff,0x8003cccb,
    0x3f24fffc,0x266204ff,0x7fffe999,0x27fffc40,0x7fcc0000,0xdfff50ef,
    0x27ffe401,0x0009fff9,0x03fffffb,0xfffca988,0xfff800ff,0x019999bf,
    0xcfffff88,0xffd1009a,0x01dffd0d,0x7fffd400,0x99998804,0x202ffff9,
    0x002ffffb,0xf71ffcc0,0x7ffc403f,0x3ffff11f,0x00d54c00,0x2fffff40,
    0x3fffee00,0x27fffd46,0x05ffff70,0x02ffff80,0xffff1000,0x3fea001f,
    0xf88002ff,0xff905fff,0x300000df,0x20009fff,0x001bddb9,0x40006600,
    0xcb83ccc9,0x7f4001cc,0x7fc407ff,0x800004ff,0x64c0cccc,0x999303cc,
    0x03999707,0x5ffff980,0xffff9800,0x2ffff803,0xffff7000,0x01544005,
    0xc8800055,0x40002ccc,0x2e02ffff,0x0002ffff,0xff71ffcc,0x7fffc403,
    0x03ffff11,0xdfffff50,0x7ff44003,0xff3002ff,0xbb301dff,0x05bb5005,
    0x00333300,0x0cec8800,0x00e64c00,0x04fffe80,0x000ffff4,0x07fff200,
    0x00000000,0x009ffff9,0xd0000000,0xf880ffff,0x00004fff,0x00000000,
    0x3ed98000,0x3fff6000,0x2ffff804,0xbfff9000,0x00000000,0x7c000000,
    0x3ee02fff,0x40002fff,0xffccfff8,0x7fffc407,0x03ffff11,0xfeefff98,
    0x3e2000ff,0xe800ffff,0x0000ffff,0x00000000,0x00000000,0x6fffb800,
    0x04fff980,0xdfd97300,0x0000ffff,0xb0000133,0x0bffffff,0x00133000,
    0x0ffffd00,0x04ffff88,0x00000000,0x00000000,0x3ffee000,0x2ffff805,
    0x7fffb000,0x00000000,0x7c000000,0xdddb2fff,0xddffffdd,0x01dddddd,
    0xffffff50,0xffff8805,0x03ffff11,0x3f22ffc8,0x7fdc002f,0x7fe405ff,
    0x000003ff,0x004cc000,0x40000000,0xff800099,0xffd001ff,0xffd8800f,
    0x5fffffff,0xfffd9800,0xeeeeeeff,0x7ffd404e,0x001fffbb,0x7ffffecc,
    0x4eeeeeee,0x07fffe80,0x027fffc4,0x01bdddd9,0x3bbbbbba,0x1eeeeeee,
    0x00bdddd3,0x0177775c,0xff500000,0xffff00df,0x3ffa0005,0x3bba602f,
    0x3bae005e,0xdddd32ee,0x7775c00b,0x7fffc02e,0xffffffd2,0xffffffff,
    0x26001fff,0x8800ceec,0xff11ffff,0xffd803ff,0x000ffee1,0x40bffffa,
    0x206ffff8,0x202eeee9,0x801eeeea,0xefffffd9,0x24eeeeee,0xeeeeeeee,
    0x01eeeeee,0x7ffffecc,0x4eeeeeee,0x0027ffd4,0x2003fff9,0xfffffff9,
    0x004fffff,0xffffffb1,0xffffffff,0x22ffc80b,0xb1003ffa,0xffffffff,
    0x0bffffff,0x80ffffd0,0x704ffff8,0x405fffff,0xffffffff,0x21ffffff,
    0x001fffff,0x541fffff,0xeeeeeeee,0xff50006e,0xffff00ff,0x3ffa0005,
    0x7fffc02f,0xffff001f,0x7ffffc1f,0xfffff001,0x2ffff801,0xfffffffd,
    0xffffffff,0x666441ff,0xccca801c,0x3ffff10c,0x007fffe2,0xff97dff7,
    0xff30001f,0x3ff20bff,0x3fe601ff,0x3fee03ff,0x3f6202ff,0xffffffff,
    0x3e5fffff,0xffffffff,0x101fffff,0xfffffffb,0xbfffffff,0x220fffe8,
    0xaba88ab9,0xfa802fff,0xffffffff,0x805fffff,0xfffffffd,0xffffffff,
    0x50ffe405,0x3f6009ff,0xffffffff,0x05ffffff,0x407fffe8,0xa84ffff8,
    0x403fffff,0xffffffff,0x21ffffff,0x804ffffc,0x5c4ffffa,0xffffffff,
    0xff50007f,0xffff00ff,0x3ffa0005,0x7ffe402f,0xfffa804f,0x7fffe44f,
    0xffffa804,0x2ffff804,0xffdddddb,0xddddddff,0x7ffcc1dd,0xfffb803f,
    0x3ffff11f,0x007fffe2,0x3ffffff6,0x3ff60002,0xffff80ff,0x7fffcc05,
    0x3fffee03,0x3ffff602,0xffffffff,0x3ffe5fff,0xffffffff,0xffb01fff,
    0xffffffff,0x4cbfffff,0x3fea6fff,0xf9dfffff,0xffe803ff,0xffaaceff,
    0x201fffff,0x89effffb,0xceffffda,0x6ffd402c,0x802ffe99,0x89effffb,
    0xceffffda,0xfffe802c,0x7fffc407,0x7ffffcc4,0xeeeee804,0xffffeeee,
    0x3fffe61f,0xffffd807,0x7ffffdc1,0x0007ffff,0xf00ffff5,0x20005fff,
    0x4c02fffe,0xd807ffff,0x7cc1ffff,0xfd807fff,0xff801fff,0x3fee02ff,
    0x3e6002ff,0xfb803fff,0xfff11fff,0x3fffe23f,0x9bb93001,0xffa80001,
    0x7ffd43ff,0x7ffcc02f,0x3ffee03f,0xffff702f,0xfffb513d,0x774599df,
    0xfeeeeeee,0xfb81ffff,0xda89efff,0x2cceffff,0x7d4fffee,0xcfffffff,
    0x5403fff9,0x2e0effff,0x6fffffff,0x41bfff60,0x000ffffc,0x3ffffffa,
    0xdfffb006,0x03ffff20,0x07fffe80,0x127fffc4,0x00bffffd,0x7fffe400,
    0x17ffff41,0x0dffff10,0xffddddd5,0x2a000fff,0x7c00ffff,0xf0002fff,
    0xfd005fff,0x7c405fff,0xffd06fff,0x7fc405ff,0xfff006ff,0x7ffdc05f,
    0x3fe6002f,0xffb803ff,0xffff11ff,0x07fffe23,0x33333260,0x7fc0001c,
    0x7ffec6ff,0xffff9807,0x3fffee03,0x0dfffb02,0x003ffff2,0x0ffffe40,
    0xc837ffec,0xfd80ffff,0xfffff0ff,0xff17ffff,0xfffe809f,0x77fff40f,
    0xff01ffff,0x3fe605ff,0x3a2002ff,0x000effff,0x2605ffff,0x2002ffff,
    0x4407fffe,0x3f64ffff,0x00005fff,0x20ffffe4,0x205ffffb,0x003ffffb,
    0x001ffffa,0x017fffcc,0x000bfffe,0x007fffe2,0x817fffee,0x703ffffb,
    0x5c0bffff,0xf003ffff,0x7dc05fff,0x26002fff,0xb803ffff,0xff11ffff,
    0x3ffe23ff,0xfffc801f,0x40004fff,0x3e0ffffc,0xf9804fff,0x3ee03fff,
    0xfff02fff,0x3ffe605f,0xff90002f,0xffff03ff,0x3fffe605,0xf76fff82,
    0xfffb1dff,0xa817ffe5,0x7c44ffff,0xffffbdff,0x1ffff883,0x00ffffa0,
    0x800aeea0,0x201ffff8,0x2003fffe,0x4407fffe,0xff94ffff,0x00001dff,
    0x41ffffc8,0x00fffff8,0x001ffffd,0x003ffff4,0x04ffff88,0x0017fffc,
    0x007fffdc,0x07ffffc4,0x00ffffe8,0x01fffff1,0x003ffffa,0x7017fffc,
    0x4005ffff,0x803ffff9,0xf11ffffb,0x3fe23fff,0xfff801ff,0x0007ffff,
    0x88ffffd4,0x9802ffff,0x2e03ffff,0xf882ffff,0x3fa01fff,0xf90003ff,
    0xff883fff,0x3ffa01ff,0xafffc43f,0xffb1fffd,0x817ffe5f,0x5c1ffffc,
    0xfff9afff,0xffff886f,0x0bfffe03,0x00266600,0x03ffff88,0x800bfffe,
    0x4407fffe,0xffbcffff,0x00000eff,0x81ffffc8,0x883ffffc,0x4005ffff,
    0x0007fffe,0x273ffff2,0x02ffff80,0xffff9310,0x7ffe400b,0xffff883f,
    0x7fffe405,0x5ffff883,0x0bfffe00,0x02ffffb8,0x0ffffe60,0x87fffee0,
    0x3fe21999,0x7fcc01ff,0x01ffffff,0x3fffe600,0x05ffff32,0x07ffff30,
    0x417fffdc,0x203ffff8,0x0002ffff,0x883ffff9,0x3e03ffff,0x7fd42fff,
    0x6cffff3f,0xbfff1fff,0x43fffec0,0xfff0fffd,0x3fffe0ff,0x3ffff506,
    0xfffdb980,0x802effff,0xf506ffff,0x74003fff,0x7c407fff,0xffffefff,
    0x9000001f,0xf303ffff,0xff70dfff,0xfe8005ff,0x220007ff,0x7ffffffe,
    0x4017fffc,0xefffffff,0x3ffe6000,0xffffb86f,0x7fffcc02,0x2ffffb86,
    0x0bfffe00,0x02ffffb8,0x0ffffe60,0x07fffee0,0x07fffe20,0xffffff70,
    0x440007ff,0xff53ffff,0xff3003ff,0x7fdc07ff,0xffff02ff,0x3fffea0d,
    0xfff90001,0xdffff03f,0x07fffea0,0xff35fff7,0x87fff4bf,0x3fa04fff,
    0x7ffc46ff,0x03ffffa5,0x873ffff2,0x407ffffa,0xfffffffa,0x01ffffff,
    0x873ffff2,0x007ffffa,0x203ffff4,0xfffffff8,0x000005ff,0x407ffff2,
    0x740ffffe,0xe8007fff,0x80007fff,0x47ffffeb,0xf802ffff,0x00beffff,
    0x0ffffe80,0x803ffff4,0x740ffffe,0x7c007fff,0x3ee02fff,0x26002fff,
    0xb803ffff,0x8801ffff,0x7401ffff,0xffffefff,0x7ffc0006,0x1ffff74f,
    0x7ffff300,0x17fffdc0,0x1cffffc8,0x01ffffea,0x1ffffc80,0x1cffffc8,
    0x21ffffea,0xffa9fffb,0x45fffe4f,0x3fe04fff,0x7ffd45ff,0x03ffff63,
    0x77fffff4,0x01ffffff,0x7fffffd4,0xffffffff,0x3ffffa00,0xffffffef,
    0x7fff4001,0x7fffc407,0x04fffffd,0xfff90000,0x3ffee03f,0x3fffe63f,
    0xfffe8004,0x7f540007,0x7fc7ffff,0xfff802ff,0x8002efff,0x263ffffb,
    0x7004ffff,0x7cc7ffff,0x7c004fff,0x3ee02fff,0x26002fff,0xb803ffff,
    0x8801ffff,0x2201ffff,0xffeaffff,0x3a0000ff,0xfff95fff,0x3ffe600f,
    0x3ffee03f,0x3fffa02f,0xfffffeff,0x3f20001f,0xffd01fff,0xffffdfff,
    0xfff903ff,0x7c7fff51,0x7fff17ff,0x17fffe20,0x7ec1fffb,0xfe881fff,
    0xffffffff,0xffa803ff,0xfdaaacce,0xd104ffff,0xffffffff,0xd0007fff,
    0xf880ffff,0xfff9cfff,0x800002ff,0x101ffffc,0x7e4dffff,0xe8000fff,
    0x20007fff,0xdefffffa,0x017fffc4,0x7ffff6e4,0x7fc4002f,0x3fff26ff,
    0xfff1000f,0x7fffe4df,0x7fffc000,0x3fffee02,0x3ffe6002,0xfffb803f,
    0xfff8801f,0x3ffea01f,0x2ffffb8f,0x3fffe000,0x01ffff94,0x07ffff30,
    0x817fffdc,0xffffffe8,0x003fffff,0x0ffffe40,0x7fffff44,0x03ffffff,
    0xff71fffb,0x5bffe27f,0xf303fff9,0xfff89fff,0x0ffffe46,0x7ff7ffe4,
    0x000cffff,0xff980393,0xfff906ff,0x9ffffffd,0x3ffa0001,0x7ffc407f,
    0xfffff74f,0xfc800003,0x3f201fff,0xffff1fff,0x3ffa000b,0x3fa0007f,
    0x3fe00eff,0x74c002ff,0xc8006fff,0xfff1ffff,0xffc800bf,0xbffff1ff,
    0x5ffff000,0x1ffffdc0,0x7ffff300,0x3ffff700,0x3ffff100,0x9b7ffec0,
    0x0005ffff,0x7dcffffe,0xf9801fff,0x3ee03fff,0xff902fff,0xffffffdf,
    0xf9000019,0xff903fff,0xffffffdf,0xbffec019,0xff33fffb,0x07ffeabf,
    0x32ffffcc,0xffd87fff,0x6fff987f,0x00013531,0xffffd800,0x8b7ffcc0,
    0x800009a9,0x4407fffe,0x3f64ffff,0x0000efff,0x07ffff20,0xacffff98,
    0x0002ffff,0x000ffffd,0x007fffe2,0x0005ffff,0x001ffff9,0xacffff98,
    0x4002ffff,0xfacffff9,0xf8002fff,0x3ea02fff,0x26005fff,0xb803ffff,
    0x8801ffff,0x3e01ffff,0x3ffe4fff,0xff10007f,0x3ffea5ff,0xfff9802f,
    0x3ffee03f,0x6fff982f,0x00013531,0x1ffffc80,0x98b7ffcc,0xffb0009a,
    0x54fffeef,0xfff94fff,0x37fffc40,0xfe83fff9,0xfffb87ff,0x00000005,
    0xb83ffff9,0x00005fff,0x01ffffa0,0x449ffff1,0x005fffff,0x3ffff200,
    0x77fff401,0x0007fffd,0x001ffffa,0x403fffcc,0x8002ffff,0x001ffff9,
    0xfdefffe8,0xfd0007ff,0xffffbdff,0x3fffe000,0x3fffe602,0xfff3000f,
    0xfff7007f,0x3bbba23f,0x03ffff10,0xd87fffe6,0x8001ffff,0xf31ffff9,
    0xf3007fff,0x7dc07fff,0xffb82fff,0x0000005f,0xb83ffff9,0x40005fff,
    0xffa8fffc,0x2bfffd4f,0x7fc05fff,0x1bffe6ff,0x321bfffa,0x0002ffff,
    0xf9331000,0xffc83fff,0x000002ff,0x880ffffd,0x7d44ffff,0x0004ffff,
    0x03ffff90,0xffffffb8,0x3a0004ff,0x50007fff,0xff00ffff,0x3e0005ff,
    0xb8002fff,0xffffffff,0xfff70004,0x009fffff,0x80bfffe0,0xdffffff8,
    0x260ecbab,0xb803ffff,0xff11ffff,0x3ffe23ff,0xffff901f,0x04ffffb8,
    0x0ffffb80,0x00bffff1,0x407ffff3,0xc82ffffb,0x0002ffff,0xffffc800,
    0x17fffe41,0x3fff9000,0xffbdfff3,0x7fffbfff,0x37ffff80,0xff889fff,
    0xfffa84ff,0xdeeeefff,0x64c001ac,0xffffffee,0x7fd41fff,0xeeeeffff,
    0xdd101acd,0xffffdddd,0x29dddddf,0xc84ffff8,0x002fffff,0x1ffffc80,
    0x7ffffc40,0x20001fff,0x0007fffe,0xf00ffff5,0x20005fff,0x8002fffe,
    0xfffffff8,0xff10001f,0x03ffffff,0x0bfffe00,0xffffff70,0x4c1fffff,
    0xb803ffff,0xff11ffff,0x3ffe23ff,0xbfffd01f,0x06ffff88,0x46fffe80,
    0x400ffffe,0x203ffff9,0xa82ffffb,0xeeffffff,0x001acdee,0x0ffffe40,
    0x3fffffea,0x1acdeeee,0x3a3fff70,0xffffffff,0xd806ffff,0xffcaffff,
    0x7fffd41f,0xfffffb03,0xffffffff,0xffd9805d,0xffffffff,0xffd81fff,
    0xffffffff,0x7c42efff,0xffffffff,0x5fffffff,0x209ffff1,0x01fffffe,
    0x7fffe400,0xffffd801,0xee8806ff,0xffffeeee,0x04eeeeef,0x403fffd4,
    0x0002ffff,0x0005fffd,0x3ffffff6,0x7fec0006,0x0006ffff,0x200bfffe,
    0xfffffffe,0x3fe60fff,0xffb803ff,0xffff11ff,0x07fffe23,0x20ffffe2,
    0x000ffffe,0x70ffffe6,0x9807ffff,0x2e03ffff,0xfb02ffff,0xffffffff,
    0x005dffff,0x07ffff20,0x3ffffff6,0xefffffff,0xb97ffd42,0xfe9fffff,
    0xa800ffff,0xffedffff,0x1ffffd87,0x3fffffa0,0xffffffff,0xffff302f,
    0xffffffff,0x3fa03fff,0xffffffff,0x222fffff,0xffffffff,0xffffffff,
    0x09ffff15,0x3bffffe2,0x3ff20000,0xff9801ff,0x8802ffff,0xffffffff,
    0xffffffff,0x3fffd405,0x017fffc0,0x02fffe80,0xfffff300,0xf980005f,
    0x002fffff,0x00bfffe0,0x7fffffd4,0x3fe60eff,0xffc803ff,0xffff10ff,
    0x07fffe23,0x207fffee,0x003ffffc,0x103ffff2,0x980bffff,0x2e03ffff,
    0x3a02ffff,0xffffffff,0x02ffffff,0x1ffffc80,0xffffffd0,0xffffffff,
    0x727ffcc5,0x3f663bfd,0xff1001ce,0x89ffffff,0x204ffffa,0xeeeffffd,
    0xffffffee,0x7fffc40f,0xc999abff,0xfd81ffff,0xeeeeefff,0x0fffffff,
    0xfffffff1,0xffffffff,0x3fffe2bf,0x3fffea04,0x3f20005f,0xfd001fff,
    0x2200dfff,0xffffffff,0xffffffff,0x3fffd405,0x017fffc0,0x02fffe80,
    0x3ffffa00,0xffd00006,0xf8000dff,0x44002fff,0x8809aaa9,0xc804ffff,
    0x3fe27fff,0xffff11ff,0x0dfffb03,0x017fffea,0x82ffffc4,0x201ffffd,
    0x203ffff9,0xb01ffffb,0xddddffff,0xfffffffd,0xfffc8001,0xffffd81f,
    0xfffeeeee,0xff30ffff,0x000000df,0xfffffff9,0x3fffea25,0xffff900f,
    0x7fffd405,0x7fffdc2f,0x3fffee05,0x17fffe41,0x5fffff50,0x00000000,
    0x3f600000,0x3fa007ff,0xf1002fff,0xffffffff,0xbfffffff,0x06fffa80,
    0x002ffff8,0x005fffd0,0x17ffff40,0xfffe8000,0x7fc0002f,0x000002ff,
    0x402ffffc,0x3e26fffe,0xfff11fff,0xffff883f,0x1ffffe04,0x0ffffe40,
    0x06ffffa8,0x3fff2000,0xffffc80f,0x3fffea02,0x7fec002f,0xffffc87f,
    0x3fffea02,0x07fffa2f,0xff100000,0xfddfffff,0x209fffff,0x804ffff9,
    0x6c3ffffa,0x2e01ffff,0x3e61ffff,0xfa804fff,0x00003fff,0x00000000,
    0x00dfffd0,0x01bfffee,0xffe88000,0x7ffdc01f,0x2ffff806,0x7fffd000,
    0x3ffee000,0xf700006f,0x0000dfff,0x1005ffff,0x2001dddd,0x201ffffe,
    0x225ffff9,0xff11ffff,0xfffa83ff,0xffffffff,0x402fffff,0x405ffff9,
    0x003ffffd,0x0ffffd00,0x009ffff3,0x007ffff5,0x4c6fffe8,0xa804ffff,
    0x3ee3ffff,0x000004ff,0xffffffa8,0xdfffffff,0x5ffff700,0x5ffff700,
    0x01ffffe8,0x43fffff3,0x802ffffb,0x802ffffb,0x0005eee9,0x001dddd1,
    0xffff5000,0xffff300b,0x4000005f,0xc802fffd,0xff805fff,0xf90002ff,
    0xf30009ff,0x0005ffff,0x5fffff30,0xffff0000,0xffff5005,0x7fffe400,
    0xfffe881e,0x3fffe21f,0x83ffff11,0xfffffffc,0xffffffff,0x7fff404f,
    0x7ffc400f,0xf80000ff,0xffb86fff,0xffb802ff,0x3ea002ff,0x7fdc5fff,
    0xffb802ff,0x3ffe22ff,0x8000002f,0xfffffff9,0x5403ffff,0x4406ffff,
    0x6c0ffffe,0xfa84ffff,0x2a1fffff,0x4406ffff,0x800ffffe,0x0005fffc,
    0x000ffff5,0x3fa60399,0x7d403fff,0x0004ffff,0x17ffea00,0x0ffffe20,
    0x00bfffe0,0x07fffdc0,0xfffff500,0xff500009,0x00009fff,0x200bfffe,
    0x2004fffc,0xdffffff8,0xfffffdcc,0x8ffffc44,0x7c1ffff8,0xffffffff,
    0xffffffff,0x3ffff607,0xffff5002,0x2e01001d,0xfa85ffff,0x74406fff,
    0x3990ffff,0x3ffffa60,0x37fffd43,0x3ffffa20,0x17fffec0,0xd0001aa0,
    0xffffffff,0xfff1003b,0x53357bff,0x09fffff9,0x7bfffff7,0xffffffd7,
    0x7fffc43f,0xca99abdf,0x004fffff,0x0005fffb,0x0013fff2,0x3337fff2,
    0x85fffffe,0xfffffeee,0x4000006f,0x5404fffd,0x801ffffe,0x0002ffff,
    0x05dffff3,0x3ffffbba,0xdd0006ff,0xdffffffd,0x7ffc0000,0xfffd802f,
    0x7ffdc002,0xffffffff,0x7fc40fff,0xffff11ff,0x7ffffcc3,0xffffffff,
    0xc81fffff,0x4005ffff,0x00effffd,0x7f666fe4,0xf881ffff,0x9abdffff,
    0xfffffca9,0x337fff24,0x5fffffec,0xdfffff88,0xffca99ab,0xff984fff,
    0xb99bdfff,0x20007ffc,0xaaadfff8,0xfffc8000,0xffffffff,0xf105ffff,
    0xffffffff,0x3ffffdff,0xffffffc8,0xffffffff,0x3ffe005f,0xffb0000f,
    0xff90005f,0xffffffff,0xffff01ff,0x001dffff,0xfffd8000,0xfffb09ae,
    0x200bffff,0xffffffff,0xffd801ff,0x3e5fffff,0xefffffff,0xffff0000,
    0x001dffff,0xffffffd0,0xff005fff,0x3ee000ff,0xffffffff,0xff880dff,
    0xffff11ff,0x07fffdc3,0x1ffffe40,0x03bffff2,0xffffd100,0xffffc80d,
    0x204fffff,0xfffffffc,0xffffffff,0x7ffffe45,0x0fffffff,0xffffff90,
    0xffffffff,0x7ffcc0bf,0xffffffff,0x3ea0007f,0x900002ff,0xffffffff,
    0x807fffff,0xfffffffa,0xfffe8dff,0xfffffc81,0xffffffff,0x3ffe2003,
    0x3ffe0006,0xfff90007,0xbfffffff,0x3ffffe01,0x000004ff,0xffffff90,
    0x3fffff67,0xfff000ff,0x3fffffff,0xfffff100,0x7fffcbff,0x40004fff,
    0x4fffffff,0x3fffa000,0x02ffffff,0x002fffc4,0xfffffb10,0x7c405dff,
    0xfff11fff,0x37fff43f,0x6ffffa80,0x03bfffe6,0x7fff4400,0x3fff202f,
    0x00cfffff,0x7fffffe4,0x3fffffff,0xffffffc8,0x400dffff,0xfffffffc,
    0x03ffffff,0xfffffe88,0x005fffff,0x003fff60,0xffdb8800,0x02deffff,
    0x3ffffa60,0x3fffa2ef,0xfffb7101,0x005bdfff,0x007fff50,0x017ffe20,
    0x7fff5cc0,0x7c01deff,0x001cefff,0x3fe20000,0xffb3ffff,0x40019fff,
    0xffffffff,0xf91001ff,0x7fcbffff,0x0001ceff,0x1ceffff8,0x7fff4000,
    0x02ffffff,0x31000000,0x3e200355,0xfff11fff,0x3fffe23f,0xffff1004,
    0x077fdc1f,0x3ffa2000,0x7fffdc03,0x22001dff,0xffffffdb,0x3ae602de,
    0x1defffff,0x3ff6e200,0x02deffff,0x7ff65440,0x0000beff,0x0017ffe2,
    0x00262000,0x02aaa200,0x01310000,0x00000000,0x02600000,0x00002600,
    0xdd910000,0x2f3b23bd,0xeee8000a,0x0eeeeeee,0x765d4400,0x000004c4,
    0x40000098,0xeeeeeeed,0x000001ee,0x7c400000,0xfff11fff,0x3fffea3f,
    0x3fffa001,0x00075c2f,0x2003e880,0x40000198,0x4c000098,0x4c400000,
    0x01800000,0x09998000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ffff100,0x6c7fffe2,0x5c007fff,0x0005ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ffe2000,0x3ffff11f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x33322000,0xa800001c,0xceefeecb,0xa880001b,0x0002aaaa,
    0x73100000,0x379ddfd9,0x3ccccc88,0x00cccc80,0x00000880,0x00009998,
    0x00005553,0x33326000,0x19abcccc,0x99999300,0x99999999,0x00399999,
    0x00000000,0x66666440,0x0cccc802,0x00004400,0x00000000,0x1e666440,
    0xd7000000,0x000001dd,0x1cccc980,0x33333220,0x00000002,0x3e600440,
    0x00003fff,0x3fffffaa,0x007fffff,0x7ffffcc0,0xffb8000d,0x320004ff,
    0xffffffff,0xff10ffff,0xf803ffff,0x64001fff,0x00001eff,0x4000bffe,
    0x98005ffd,0x440cffec,0xfffff704,0x7dffffff,0x7fffdc01,0xffffffff,
    0x03ffffff,0xd303df91,0x3260019f,0x2440cffe,0xffffff10,0x03ffff00,
    0x00f7fe40,0x303df910,0x000019fd,0x93ffffee,0x005ffff8,0x3ffe0000,
    0xffb50006,0x3fee003b,0x3ff202ff,0x32200fff,0xcfe981ef,0xffb10000,
    0x3ffe601b,0xfb00003f,0xffffffff,0x4000ffff,0x03fffff9,0xfffff700,
    0xfe98009f,0xffffffff,0xff10ffff,0xf809ffff,0x2e001fff,0x0006ffff,
    0x003fff10,0x0013ffa0,0xfffffff3,0x709fd539,0xffffffff,0x01ffffff,
    0x3fffffee,0xffffffff,0xf903ffff,0x7fc41fff,0xff9804ff,0xa9cfffff,
    0xfff104fe,0xff807fff,0xff7001ff,0x7e400dff,0x3fe20fff,0xb80004ff,
    0x442fffff,0x0005ffff,0x9fff3000,0xffff7000,0xff7007ff,0x3fe605ff,
    0x7e402fff,0x3fe20fff,0xf90004ff,0x3e609fff,0x80003fff,0xfffffffb,
    0x07ffffff,0xdffff300,0x3ff20003,0x04fffeef,0xffffff90,0xffffffff,
    0x3fffe21f,0x3fe00fff,0x3f6001ff,0x0000ffff,0x000fff98,0x4007fff0,
    0xffffffe8,0x0fffffff,0x7fffffdc,0xffffffff,0xffffb80e,0xffffffff,
    0x03ffffff,0x4c3fffff,0x4407ffff,0xfffffffe,0x80ffffff,0x7ffffff8,
    0x00ffffc0,0x0fffffd8,0x3fffff00,0x03ffffcc,0x3fffee00,0xffff880e,
    0x90000005,0x88003fff,0xfffbbfff,0x7fffdc00,0xbffffd02,0x3fffff00,
    0x03ffffcc,0x7ffffe80,0x07ffff30,0xffff8800,0xa999abef,0xf98007dc,
    0x0000dfff,0x7ecbfff9,0x7fd405ff,0xabdeffff,0x10fffdcb,0x9fffffff,
    0x00ffffc0,0x0fffff90,0x1ffee000,0x3ffee600,0x3bf6001b,0xfffffdab,
    0xfffb81ff,0xffdcbacf,0xa884ffff,0xffdaaaaa,0xaaaaadff,0xffffd00a,
    0x37fffc41,0x6d5f7ec0,0x1fffffff,0xffffff10,0x7fffc07f,0xffff9001,
    0x7fff400f,0x3fffe20f,0x3fee0006,0x3fe203ff,0x400005ff,0xffefecb9,
    0xff98007f,0x7007fee3,0xf905ffff,0xd001dfff,0x7c41ffff,0xb0006fff,
    0x260dffff,0x0003ffff,0x077fffdc,0x00000040,0x0aaaa200,0xe802aaaa,
    0x803fffff,0xffff10da,0x7fc0ffff,0x3e2001ff,0x00003fff,0x9100dff9,
    0xfffffffd,0x3b001dff,0x2dfffd98,0x05ffff70,0x0dffffb1,0x3ffffb80,
    0x3fff9800,0x001fffc8,0xfffd983b,0x3ffe202d,0xf00fffff,0x22003fff,
    0x2003ffff,0xfc83fff9,0x510001ff,0xf8803555,0x00005fff,0xffffffb1,
    0x3000bfff,0x0ffdc7ff,0x0bfffee0,0x03fffff3,0x20fffe60,0x0001fffc,
    0x205ffff3,0x003ffff9,0x1ffffe40,0x4c000000,0x00004fff,0x7fffdc00,
    0xff10001f,0x07ffffff,0x0007fffe,0x00003771,0x2e02ffec,0xffffffff,
    0x001fffff,0xffb80180,0xfff102ff,0xffb800ff,0x510003ff,0x00054401,
    0x3e200300,0x3fffffff,0x003ffff0,0x4000ddc4,0x02a200a8,0xf1000000,
    0x0000bfff,0xfffffff3,0x009fffff,0xfccfff88,0xfffb807f,0x7ffff42f,
    0x00544004,0x88000151,0x3fe601bb,0x001883ff,0x007ffffb,0xff900000,
    0x6664403f,0x3e20001c,0x0003ffff,0x3fffffe2,0xffff06ff,0x00000003,
    0x3fff6ea2,0xfffb81be,0xffffffff,0x00001fff,0x5ffff700,0x07ffff40,
    0x7ffff700,0x00000000,0x3e200000,0xffffffff,0x01ffff80,0x00000000,
    0x66664c00,0x404ccccc,0x005ffff8,0x7ffffd40,0xffffffff,0x7fd4005f,
    0xb802ffff,0x3f22ffff,0x00006fff,0x00000000,0x265ffff3,0x02dfffec,
    0x07fffff2,0xfd000000,0xfff980df,0x3ea0003f,0x0000ffff,0x3effffe2,
    0xfff82fff,0x9731001f,0x0379ddfd,0xfffffd88,0x7cc7ffff,0xffdfffff,
    0x81ffedef,0x801cccc8,0xf70cccca,0x7f405fff,0x2e000fff,0x1003ffff,
    0x50039999,0x30019999,0x157bdd97,0xbffff880,0xff83ffff,0x751001ff,
    0x037bdddb,0x37bb2e60,0x3ee000ab,0xffffffff,0x7fffc407,0x7ff40005,
    0xffaaceff,0x001fffff,0x0067764c,0x32ffffb8,0x801fffff,0x002cccca,
    0x20b33326,0xccccccc9,0xcccccccc,0xf9affff9,0x4fffffff,0xffffff70,
    0x40000017,0x04fffa98,0x01ffffcc,0x9ffff700,0xfff88000,0x86fffe9f,
    0xc801ffff,0xffffffff,0xfb80ffff,0xffffffff,0x7ffec7ff,0x47ffd0df,
    0xfff980a8,0xfffb803f,0x5ffff71f,0x1bfffe20,0x7ffff700,0x3fffe600,
    0xffffb803,0x3fff6201,0x02ffffff,0x367fffe2,0x7fc0ffff,0x7f4c01ff,
    0xffffffff,0x3ff6204f,0x2fffffff,0xfffff700,0x880fffff,0x0005ffff,
    0x83bfffea,0xfffffffb,0x33326006,0xfb801ccc,0xfffd2fff,0xfff3007f,
    0x7ff400ff,0xfffa81ff,0xffffffff,0xfff9ffff,0xffffffcf,0xf884ffff,
    0xcfffffff,0xdc980001,0x1fffffff,0x1ffffcc0,0xffff9000,0xff880005,
    0xffffb9ff,0x00ffffc1,0xffffffd3,0x1fffffff,0xffffffb8,0x47ffffff,
    0x3e0fffff,0xff3002ff,0xff7007ff,0x3ffee3ff,0xfffe882f,0x7fdc003f,
    0xff3003ff,0xff7007ff,0x3fea03ff,0xffffffff,0xfff104ff,0x7ffff33f,
    0x201ffff8,0xfffffffc,0x504fffff,0xffffffff,0x7009ffff,0xffffffff,
    0xfff880ff,0x3fa0005f,0x7ff40fff,0x01ffffef,0xffffff90,0xffff7009,
    0x0bffff75,0x1ffffec0,0x2ffffd40,0xffffffa8,0xffffffff,0xffffff9f,
    0xffffefff,0xfffa80ff,0xbeffffff,0xfffb8000,0xefffffff,0x3fffe600,
    0x3ff60003,0xeeed81ff,0xf10eeeee,0xfff13fff,0x1ffff8bf,0xffffff90,
    0xffffffff,0x7fffc41f,0xbfffcbff,0x3fffe27e,0x007ffe27,0x01ffffcc,
    0xb8ffffdc,0xbaacffff,0x06fffffd,0x3ffffb80,0x7ffff300,0x3ffff700,
    0xffffff50,0xffffffff,0x3ffff10b,0xf83ffff6,0xfe881fff,0xffffffff,
    0xfa84ffff,0xffffffff,0x405fffff,0xfe999998,0x7fc407ff,0xf50005ff,
    0xff889fff,0x3ffffbdf,0xffffff00,0xfff700ff,0x1fffff9f,0x7fffcc00,
    0xffffe807,0xfffff501,0xffffffff,0xfffff3ff,0x3fe617ff,0xff704fff,
    0xffffffff,0x3f62007f,0xffffffff,0xf301ffff,0x40007fff,0xe80ffffe,
    0xffffffff,0x23ffff10,0x3e1ffffc,0xffa81fff,0xabdeffff,0x20fffdcb,
    0x70effffd,0x3fe0cfff,0xfff53fff,0x3ffe6001,0xfffb803f,0xfffff71f,
    0xffffffff,0xff70001b,0x3e6007ff,0xfb803fff,0xffe81fff,0xfdbbdfff,
    0x441fffff,0xff31ffff,0x7fffc9ff,0xfffffd81,0xfdcaacef,0xffffe84f,
    0xfffdbbdf,0xe8001fff,0x7c407fff,0x90005fff,0xfb83ffff,0xffff9aff,
    0xffff9806,0x5c01ffff,0xffffffff,0xffd8002f,0x3fea02ff,0x3fea05ff,
    0xcccccdff,0xff9ccccc,0xf981ffff,0x3a607fff,0xffffffff,0xffc805ff,
    0xffedffff,0xf306ffff,0x40007fff,0xfd07ffff,0x1fffffff,0x447fffe2,
    0x3fe4ffff,0xfffe81ff,0x0da803ff,0x41fffff1,0x3fa05ffc,0xffcdffff,
    0x3ffe6007,0xfffb803f,0xfffff71f,0x59ffffff,0x7ffdc000,0xfff3003f,
    0xfff7007f,0xffffb83f,0xffff880f,0x7fffc45f,0x43ffff61,0x7cc1ffff,
    0x200effff,0x7ffdc2a8,0xfff880ff,0xfe8005ff,0x7fc407ff,0xfb0005ff,
    0xfffb0fff,0x01ffffe1,0x3fffffee,0x7fdc03ff,0x5fffffff,0xffff9800,
    0x3ffffa06,0x3fffea01,0x3ffe6003,0x3ffa02ff,0x7ecc00ff,0xffffffff,
    0x3fffe204,0x3ffffe2f,0xff983fff,0x801983ff,0xe80fffff,0xffffffff,
    0x43ffff10,0xff0ffffd,0xfffb83ff,0xf50001ff,0xffd89fff,0x3fffee04,
    0x006fffff,0x00ffffe6,0x5c7fffee,0xffffffff,0x0000cfff,0x00ffffee,
    0x01ffffcc,0x10ffffdc,0x403fffff,0x20fffff9,0x261ffff8,0xfff4ffff,
    0xffffd83f,0xff88000e,0x3e601fff,0x4000ffff,0x4407fffe,0x0005ffff,
    0xf88dfffd,0x3fffa5ff,0x7fff400f,0x406ffffe,0xffbffffb,0xe8002fff,
    0xfa82ffff,0x7d405fff,0x26003fff,0x6404ffff,0x1001ffff,0xffffffd7,
    0x3fff203f,0x37ffea2f,0xf986ffff,0xffb32fff,0x3fa05dff,0x99881fff,
    0x10ffffc9,0x7cc3ffff,0xffff4fff,0x7ffffc43,0x3fee0003,0x1fff42ff,
    0x3fffff60,0x802dffff,0x803ffff9,0xf71ffffb,0xffb79fff,0x4000bfff,
    0x003ffffb,0x007ffff3,0x5c3ffff7,0xd805ffff,0x3e24ffff,0x7fec1fff,
    0x1ffff9ff,0x07ffffea,0x7fffdc00,0xffffd805,0x7fff4004,0x7fffc407,
    0xffff0005,0x23fffa8b,0x200ffffd,0xfeaffff8,0x3ee00fff,0xfffbafff,
    0x7cc000ff,0xffe86fff,0x7fd400ff,0x3e6003ff,0x7dc03fff,0xa8002fff,
    0x04ffffff,0xfd8dffff,0xffffd8ff,0x57fffcc0,0xfffffffb,0xffffd83f,
    0xffffc802,0x83ffff10,0xff8ffffe,0x3ffea1ff,0x320000ff,0x7fc1ffff,
    0x7fec402f,0xffffffff,0x3ffe602f,0xfffb803f,0x5ffff71f,0x17ffffcc,
    0xffffb800,0xffff3003,0xffff7007,0x17fffe43,0x2ffffd40,0x983ffff1,
    0xfffcffff,0x3ffff21f,0x3ff20005,0xffa802ff,0x7f4005ff,0x7fc407ff,
    0xf88005ff,0x7fec5fff,0x3ffff60f,0x3fffea01,0x02ffffb8,0x74bfffee,
    0x8005ffff,0x2a2ffffe,0xa805ffff,0x2003ffff,0x403ffff9,0x003ffffb,
    0xbffffd10,0x47ffff10,0xff55fff8,0xfff985ff,0xffffffdf,0x7dc1ffff,
    0xfc804fff,0xfff10fff,0xffffa83f,0x2e1ffffb,0x0004ffff,0x117fffec,
    0x2a003fff,0xfffffffe,0xf980efff,0xfb803fff,0xfff71fff,0xffffb85f,
    0xfff70006,0x3fe6007f,0xffb803ff,0x3fff61ff,0xfff8800f,0x3fffe26f,
    0xfffffd81,0x3ffa1fff,0x360002ff,0x8800ffff,0x4006ffff,0x4407fffe,
    0x8005ffff,0x7c4ffff9,0x7ffe46ff,0x3fff601f,0x0bffff36,0x997fffdc,
    0x003fffff,0xd2ffffcc,0x5001ffff,0x4007ffff,0x403ffff9,0x003ffffb,
    0x1bffff20,0xa87fffea,0xfff33fff,0xffff987f,0xffffffff,0x7fd45fff,
    0x7e400fff,0xfff10fff,0xdfffd03f,0x7e43ffff,0x40002fff,0x263ffffc,
    0x4c000fff,0xfffffffd,0xfff985ff,0xfffb803f,0x5ffff71f,0x07ffffd0,
    0x7ffff700,0x3fffe600,0xffffb803,0x01ffffa1,0x227ffff8,0xf981ffff,
    0x1fffffff,0x003ffffe,0x07fffe80,0x01ffffe0,0x80ffffd0,0x005ffff8,
    0x25ffff98,0x7ec3fff9,0x7ffc07ff,0x1ffffe4f,0x22ffffb8,0x00fffffc,
    0x4fffff40,0x004ffff9,0x339ffff5,0x13333333,0x807ffff3,0x001ffffc,
    0x13fffee0,0xd83fffee,0xfff10fff,0xffff989f,0xff50bfff,0xfff88fff,
    0x7fe403ff,0xffff10ff,0xfffff703,0x7fec3fff,0xeeed81ff,0xf70eeeee,
    0x7fd4bfff,0xfff50007,0x7fffffff,0x03ffff98,0x71ffffb8,0xf705ffff,
    0x7000dfff,0x2007ffff,0x803ffff9,0x3e1ffffb,0x3e007fff,0xff10ffff,
    0x3ffa03ff,0xf11fffff,0x8000ffff,0x2007ffff,0x000fffff,0x101ffffa,
    0x000bffff,0x64dffff1,0x7ff41fff,0x3ffe607f,0x3ffff61f,0x5ffff701,
    0x37ffff44,0x3fffe600,0x00ffffdc,0xffffff50,0xffffffff,0x07ffff37,
    0x20ffffd8,0x7ffec000,0xffffc83f,0x44bfff10,0x7cc3ffff,0xe81fffff,
    0x7dc0ffff,0x3203ffff,0xff10ffff,0xfff103ff,0x743fffff,0xfe80ffff,
    0x0fffffff,0x21fffff5,0x70006ffb,0xfff91dff,0xfff98bff,0xfffb803f,
    0x5ffff71f,0x5fffff10,0xffffb800,0xffff3003,0xffff7007,0x1bfffe23,
    0x1ffffe80,0x203ffff1,0xfffffff9,0x0fffff31,0x7fffc400,0x3fffa006,
    0x3ffa001f,0x7ffc407f,0xfff0005f,0x437ffcdf,0x3206fffe,0x7fdc7fff,
    0xfff704ff,0xffffa85f,0x7ff4003f,0x04ffffff,0x3ffffea0,0xffffffff,
    0x3ffff9bf,0x9ffffe20,0x3009bef8,0x03fffffb,0x2a3ffff7,0x3fe63fff,
    0x7ffcc2ff,0xfff902ff,0xfffff03f,0xffc8159f,0xffff10ff,0x3ffff203,
    0x3ffe1fff,0xffffd07f,0x3e21ffff,0xfd9fffff,0xfc800c5f,0x3ffff25f,
    0x1ffffcc7,0x8ffffdc0,0x902ffffb,0x800dffff,0x003ffffb,0x007ffff3,
    0x263ffff7,0x2006ffff,0xf11ffffe,0x7f403fff,0xf51fffff,0x4000dfff,
    0x006ffff9,0x007ffffa,0x407fffe8,0x99dffff8,0x99999999,0x4dffffe0,
    0x7fc44fff,0x3ffa04ff,0x7fffc45f,0x5ffff706,0x3fffffb0,0x7fffd400,
    0x2000ffff,0xfffffffa,0xbfffffff,0x203ffff9,0x225ffffc,0xeeffffff,
    0xfffffffe,0x5ffff504,0xfa83fff6,0x7fcc1fff,0x3fee04ff,0xfffa82ff,
    0xfeffffff,0xf10fffff,0x3e203fff,0x21ffffff,0xe80fffff,0xffffffff,
    0x3ffffee0,0xecadffff,0x49ffd007,0x20fffff8,0x803ffff9,0xf71ffffb,
    0x3e205fff,0x2002ffff,0x003ffffb,0x007ffff3,0x223ffff7,0x2006ffff,
    0xf10ffffe,0x7cc03fff,0xf31fffff,0x4000ffff,0x006ffff8,0x003ffffa,
    0x407fffe8,0xfffffff8,0xffffffff,0x2bffff63,0x7d41fffc,0xff103fff,
    0xfffd07ff,0xffff701f,0xfffff105,0xfffe800d,0x54004fff,0xeeeeffff,
    0x9aeeeeee,0xf903ffff,0x7c41ffff,0xffffffff,0x05ffffff,0x233fffe6,
    0x7fec5fff,0x7ffcc0ff,0x3ffee03f,0xffff702f,0xffffffff,0x3fe21fff,
    0x3ff601ff,0x3fa1ffff,0x99881fff,0x40ffffc9,0xfffffffe,0x007fffff,
    0x7fc47fff,0x7ffcc6ff,0xfffb803f,0x5ffff71f,0x37fffec0,0x7ffff700,
    0x3fffe600,0xffffb803,0x01ffffe1,0x227ffff8,0x7401ffff,0xf11fffff,
    0x0001ffff,0x003ffffc,0x800fffff,0x4407fffe,0xffffffff,0x3fffffff,
    0x3b7fffea,0xfffd87ff,0xffff701f,0x7ffff903,0x05ffff70,0x0fffffee,
    0xfffffa80,0x7fd4000f,0x3e6003ff,0xcabcefff,0x43fffffe,0xfffffff8,
    0xdfffffff,0x7ffff400,0x3e62fffb,0xff985fff,0x3fee03ff,0x3fa602ff,
    0xffffffff,0xff10ffff,0x7fcc03ff,0x3f61ffff,0xfc802fff,0x7f440fff,
    0xffffffff,0x220a27ff,0x3ff22fff,0x7ffcc4ff,0xfffb803f,0x5ffff71f,
    0x7ffffcc0,0xffff7001,0x3ffe6007,0xfffb803f,0x1ffffe1f,0x26ffff80,
    0x401ffff8,0x21fffffa,0x001fffff,0x01ffffe0,0x006ffff8,0x203ffff4,
    0xfffffff8,0xffffffff,0x3ffffe23,0x7fd44fff,0x3ff604ff,0xffff506f,
    0x5ffff70b,0x7fffff40,0x3fffa001,0xffa8004f,0x3e6003ff,0xffffffff,
    0x905fffff,0xfffffffb,0x20019fff,0xfffffffc,0xfffff30f,0x7ffff303,
    0x17fffdc0,0x7ffff5c0,0x20adffff,0x401ffff8,0x21fffffe,0x804ffffb,
    0x900ffffc,0xffffffff,0x6ffccdff,0xbafffaab,0x41fffffe,0x803ffff9,
    0xf70ffffc,0xfe805fff,0xf7005fff,0x26007fff,0xc803ffff,0x3fa0ffff,
    0xf9801fff,0x3fe24fff,0xffe801ff,0x3fffa1ff,0x3fa0003f,0xf9801fff,
    0x74004fff,0x7c407fff,0xffffffff,0x43ffffff,0xfffffffc,0xfffff512,
    0x3fffe201,0x1ffffe04,0x80bfffee,0x06fffff9,0x0bfffee0,0x3fffea00,
    0x3ffe6003,0xffffffff,0x533003ff,0x00013555,0xfffffff1,0xfffffb7d,
    0x3fffe60b,0x3fffee03,0x554c4002,0x00000019,0x0fffffa8,0x07fffe40,
    0x37fff660,0x7ffcc1bc,0xffffffff,0x883fffff,0xc804ffff,0x00007fff,
    0x10000000,0x9009ffff,0xffd8ffff,0xffc804ff,0xc80003ff,0x3f61ffff,
    0x20007fff,0x804ffffd,0x003ffffc,0x003ffff4,0x3fe20000,0xfeefffff,
    0x204fffff,0xfffffffa,0xffffffff,0x0000002f,0x2ffffb80,0xffffa800,
    0x3ffe6003,0xefffffff,0x0000000c,0x7ffffd40,0xffffffff,0xffff300e,
    0x7fffdc07,0x00000002,0xfff10000,0xffc807ff,0xffb800ff,0x7fffcc06,
    0xffffffff,0x3fe04fff,0xffe805ff,0x0000006f,0x3fe00000,0xffe805ff,
    0x7fffd46f,0xffffe806,0xffd80001,0x7fffdc7f,0xff50003f,0xffd00dff,
    0xfe8003ff,0x000007ff,0xfffffa80,0xffffffff,0x3fff200d,0xffffffff,
    0x004fffff,0xfb800000,0xa8002fff,0x2003ffff,0x99bffff9,0xd100001a,
    0x20001ddd,0xfffffffa,0x4c04ffff,0x2e03ffff,0x1002ffff,0x0001dddd,
    0x00eeee88,0x3ffffee0,0x3ffff203,0x05ffc800,0x7fffffcc,0xdfffffff,
    0x7ffff401,0x3fffe601,0xeeee8805,0xee880000,0x3fa000ee,0x3e601fff,
    0xffe85fff,0x3ff204ff,0x880005ff,0xfe86ffff,0x8803ffff,0x27ffff41,
    0x0bffff90,0x0ffffd00,0x17bba600,0xfffff300,0x07ffffff,0xfffffff0,
    0xffffffff,0x3a200fff,0x00000eee,0x005ffff7,0x07ffff50,0x1ffffcc0,
    0xffa80000,0x7cc0007f,0xdfffffff,0xffff9802,0x3fffee03,0xffff5002,
    0xfff50000,0xffff000f,0xfc8159ff,0xfd800fff,0xcba8804f,0xbceffffe,
    0xffff9001,0xfffd103d,0xfff5003f,0x3ea0000f,0x7e4007ff,0xe881efff,
    0xfb81ffff,0x261cffff,0x00fffffc,0x7ffec400,0xffffa85f,0x2a21adff,
    0x7ffdc4fd,0x3f261cff,0x8000ffff,0x0007fffe,0x000bfff9,0xfffffffd,
    0xff3003bf,0xffffffff,0xffffffff,0xffff5003,0x7fdc0000,0xfa8002ff,
    0x26003fff,0x0003ffff,0x09fff900,0xbfffb800,0x7cc000aa,0x3ee03fff,
    0xf9002fff,0x900009ff,0x50009fff,0xffffffff,0xffffffdf,0x07ffd001,
    0x00fffe00,0x7ffffc40,0xfffdccdf,0xff9004ff,0x3200009f,0x44004fff,
    0xcdffffff,0x4fffffdc,0xffffff10,0xffffffff,0x7640009f,0x00ffffff,
    0xfffffffb,0x9fffffff,0xffffff88,0xffffffff,0xffd0004f,0x3f6000ff,
    0x7c4002ff,0x00aaadff,0x07fffdc0,0x1ffffe40,0x027ffe40,0xffff7000,
    0xfff50005,0xffffffff,0xfff3ffff,0x2000007f,0x0002fffd,0x0003fff4,
    0x80ffffe6,0x002ffffb,0x0005fffb,0x005fffb0,0x3ffffee0,0xffffffff,
    0xfff800ff,0xfff88002,0x3fee0001,0xffffffff,0xb000ffff,0x00005fff,
    0x000bfff6,0x3fffffee,0xffffffff,0x3fffe600,0xffffffff,0x3a0000df,
    0x02ffffff,0x3fffff62,0xffffffff,0xfffff984,0xffffffff,0x3bba200d,
    0xfffffeee,0x404eeeee,0x4000ffff,0x0002fffa,0x8037fff4,0x806ffffa,
    0x0002fffd,0x0bfffee0,0x3fffea00,0xffffffff,0xffff9fff,0xff000003,
    0xf98000ff,0x4c0004ff,0x2e03ffff,0xf002ffff,0x20000fff,0x40007fff,
    0xffffffe9,0x0fffffff,0x00fffc40,0x007ffcc0,0x3fffee00,0xdfffffff,
    0x1fffe000,0x7fff8000,0x3ffee000,0xffffffff,0xffe8800d,0xffffffff,
    0xffe80003,0xf7003fff,0xffffffff,0x3a209fff,0xffffffff,0xff8803ff,
    0xffffffff,0x05ffffff,0x001bffe2,0x0003fff6,0x04ffff88,0x1fffff10,
    0x007fff80,0x7fffdc00,0xfffa8002,0xffffffff,0xfff9ffff,0x8800003f,
    0x40005fff,0x0001fffc,0x01ffffcc,0x005ffff7,0x000bfff1,0x00bfff10,
    0x3fffae00,0x0adfffff,0x00fff980,0x007ffb80,0xffffb100,0x8005dfff,
    0x0005fff8,0x00bfff10,0xffffd880,0x8002efff,0xffffffec,0xfd00001d,
    0x910007df,0xfffffffd,0xffd90059,0x003bffff,0x3fffffe2,0xffffffff,
    0x3fea05ff,0x7fc4003f,0x7d40005f,0x3a001fff,0x2202ffff,0x00005fff,
    0x017fffdc,0x7ffffd40,0xffffffff,0x3ffff9ff,0x00000000,0x00199880,
    0x3ffff980,0x0bfffee0,0x00000000,0xa9880000,0xea80019a,0xdd70005e,
    0x3100000b,0x00000355,0x00000000,0x01aa9880,0x02aa6000,0x00020000,
    0x02666200,0x00aa9800,0xfffff880,0xffffffff,0x00005fff,0x0004ccc0,
    0x01ffff60,0x0bffff70,0x00000000,0x30000000,0x0005dddd,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x32a60000,0x000abdee,0xcccc9800,0x3322003c,0x99931ccc,0x64400599,
    0x00001ccc,0x08800000,0x32a00000,0x5c03cccc,0x3eed84ee,0x22000000,
    0xa801cccc,0x9100cccc,0xccb81999,0x6664400c,0x0e665c0c,0x3613bae0,
    0x000003ee,0xccc88000,0x999931cc,0x00000059,0x00002200,0x99930000,
    0x99999999,0x32e09999,0x0001cccc,0x99993000,0x99100079,0x66400399,
    0xcccccccc,0x5c4ccccc,0x2203cccc,0xfffffffd,0x200002ff,0x0dfffff9,
    0xffffd100,0x3ffffe65,0x3ffe6003,0x4c001fff,0x440cffec,0x3f620004,
    0x400000df,0x04fffffa,0x712fffb8,0x44007fff,0xfe981efc,0x3fffe60c,
    0xffffb803,0x3bffee01,0x03fffe89,0x15ffff30,0x7009fffb,0x3ee25fff,
    0xf91003ff,0x19fd303d,0xfffd1000,0x3fffe65f,0x77e4403f,0x00cfe981,
    0x06ffec40,0x7ff64c00,0xfa82440c,0xffffffff,0x107fffff,0x03fffffb,
    0xff980000,0x4000dfff,0x1ffffff9,0xffffff00,0xffffffff,0x7ffec1ff,
    0xfffd305f,0xffffffff,0xff300009,0x44007fff,0xf30efffe,0x4001dfff,
    0xfffffff9,0xfff3002f,0xd539ffff,0x3f20009f,0x00004fff,0x0bffffea,
    0x7ffffc40,0x000fffff,0x883ffff2,0x3e64ffff,0xfb803fff,0x7d401fff,
    0x2fffffff,0x7fffcc00,0x1004ffff,0xffffffff,0x3f2001ff,0x3fe20fff,
    0x744004ff,0xff30efff,0xf9001dff,0x7fc41fff,0x7e4004ff,0x4c004fff,
    0xcfffffff,0xfa84fea9,0xffffffff,0x407fffff,0x01fffffb,0xfff30000,
    0xf30007ff,0x5fffffff,0xffffff00,0xffffffff,0x7ffec1ff,0xffff985f,
    0xffffffff,0x260005ff,0x001effff,0x997fffa2,0x4004ffff,0xf99ffff9,
    0x74402fff,0xffffffff,0x000fffff,0x07ffffe8,0xffff5000,0xffb8001b,
    0x02ffffff,0x0fffffc0,0x4cfffff3,0xb803ffff,0xa801ffff,0x02ffffff,
    0xfffff300,0xffb8007f,0x02ffffff,0x87ffffe0,0x007ffff9,0x997fffa2,
    0x2004ffff,0x261fffff,0x4007ffff,0x007ffffe,0x3fffffa2,0xffffffff,
    0x7ffffd40,0xffffffff,0xffe9807f,0x400001ff,0x01effff9,0x9ffff980,
    0x402ffff9,0xffffffff,0xffffffff,0x13ffff20,0x37fffffa,0xfffffdbb,
    0xed88001f,0xec8004ee,0x3bb623ee,0x76cc001d,0x3bb620de,0x5f7ec01e,
    0xffffffda,0xffb0001f,0x30000dff,0x0007dddb,0x6ffffecc,0xfffe8000,
    0x3fffe20f,0x0ffffe66,0x07fffee0,0x177774c0,0x3bb62000,0xfb30003e,
    0x8001bfff,0x220ffffe,0x2006ffff,0x3623eeec,0x74001dee,0x3e20ffff,
    0x6c006fff,0x4006ffff,0xffdabefd,0xa81fffff,0xcccdffff,0x04cccccc,
    0x037bbb20,0x776c4000,0xdb30004e,0x776c41bd,0x2aaaa01e,0xacffffca,
    0x7fe42aaa,0x7ffd44ff,0xffe881ff,0x000005ff,0x00000000,0x1d800000,
    0x16fffecc,0xffff3000,0x00000005,0x00008800,0x641fffcc,0x3fe61fff,
    0xffb803ff,0x000001ff,0x80000000,0x3e600008,0xfffc83ff,0x00000001,
    0x20fffe60,0x4001fffc,0x002ffff9,0x7fecc1d8,0xfff502df,0x0000007f,
    0x00000000,0x80000000,0x803ffffb,0x744ffffc,0x2201ffff,0x001fffff,
    0x00000000,0x00000000,0x00000c00,0x00003771,0x00000000,0x10054400,
    0xffff9815,0xffffb803,0x00000001,0x00000000,0x44015100,0x0000000a,
    0x200a8800,0x710000a8,0x20000037,0xffffa801,0x00000003,0x00000000,
    0x5c000000,0xb803ffff,0x3ea4ffff,0xfd805fff,0x2a004fff,0xceefeecb,
    0xcccc881b,0xcccca801,0x765d4000,0x01bceefe,0x00000000,0xba880000,
    0x01bdeeed,0x37bb2e60,0x000000ab,0x1ffffcc0,0x0ffffdc0,0x7f765d40,
    0x4001bcee,0xdeeedba8,0x6666441b,0xcccca801,0x00000000,0x5ef765cc,
    0x0000000a,0x00000000,0xfff50000,0x9800007f,0x0abdeecb,0x3b2e6000,
    0x0000abde,0x2f7bb2e6,0xff70000a,0xff7007ff,0x7ffe47ff,0xfffa802f,
    0xffea805f,0xffffffff,0x3ffff987,0x1ffffb80,0xffffd500,0x0fffffff,
    0x666664c0,0x332a001c,0xcccccccc,0x03cccccc,0xfffffe98,0x404fffff,
    0xffffffd8,0x93002fff,0x99999999,0x26999999,0xb803ffff,0x2a01ffff,
    0xfffffffe,0xd3007fff,0xffffffff,0x7ffcc9ff,0xfffb803f,0xccc9801f,
    0x10001ccc,0xfffffffb,0xcc8005ff,0xcccccccc,0x904ccccc,0x99999999,
    0x89999999,0x03ccccc8,0xf50cccc8,0x00007fff,0x3fffff62,0x4002ffff,
    0xffffffd8,0x44002fff,0xfffffffd,0xfb8002ff,0xfb803fff,0x3ff63fff,
    0xff8800ff,0x7fec06ff,0xffffffff,0xfff987ff,0xfffb803f,0xfffd801f,
    0xffffffff,0x3ff2007f,0x2004ffff,0xfffffffc,0xffffffff,0x7ffe406f,
    0xffffffff,0x3ffea04f,0xffffffff,0xfffa804f,0xffffffff,0xfff37fff,
    0xfff7007f,0x3fff603f,0xffffffff,0xfffc807f,0xffffffff,0x3fffe64f,
    0xffffb803,0xffffc801,0xfa8004ff,0xffffffff,0x3e004fff,0xffffffff,
    0x07ffffff,0xffffffff,0xffffffff,0xffffff88,0x8ffffc01,0x003ffffa,
    0xfffffa80,0x4fffffff,0xfffff500,0x9fffffff,0x3fffea00,0xffffffff,
    0x7ffdc004,0xfffb803f,0x1ffffa3f,0x07ffff80,0x3fffffee,0x7fffffff,
    0x03ffff98,0x01ffffb8,0x7fffffdc,0x7fffffff,0x3ffffe00,0x3f2007ff,
    0xffffffff,0x6fffffff,0xfffffd10,0xffffffff,0x3fffea09,0xffffffff,
    0x7fd405ff,0xffffffff,0xff37ffff,0xff7007ff,0xfff703ff,0xffffffff,
    0x7f440fff,0xffffffff,0x3e64ffff,0xfb803fff,0xff801fff,0x007fffff,
    0x7fffffd4,0xffffffff,0xfffff005,0xffffffff,0x3ffe0fff,0xffffffff,
    0x7c47ffff,0x404fffff,0xff51ffff,0x333339ff,0x2a013333,0xffffffff,
    0x05ffffff,0x7fffffd4,0xffffffff,0x7fffd405,0xffffffff,0x3ee005ff,
    0xfa803fff,0x3ffe2fff,0x3ffe007f,0xfff880ff,0x999abeff,0xff987dca,
    0xffb803ff,0x3fe201ff,0x99abefff,0x3007dca9,0xffffffff,0x3fff2003,
    0xffffffff,0xb06fffff,0x9dffffff,0x09ffb955,0x37fffffa,0xfffffdbb,
    0x3ffea01f,0xffffffff,0xfff37fff,0xfff7007f,0xffff883f,0xa999abef,
    0x3ff607dc,0xaaceffff,0x3e64ffdc,0xfb803fff,0x7cc01fff,0x1fffffff,
    0x3ffffa00,0xfffdbbdf,0xff801fff,0xffffffff,0xf07fffff,0xffffffff,
    0x8fffffff,0xfffffff8,0x47fffe00,0xfffffffa,0x3fffffff,0xbfffffd0,
    0xfffffb77,0x7fff403f,0xffdbbdff,0x3a01ffff,0xbbdfffff,0x1ffffffd,
    0x7ffff700,0x5ffff500,0x01bfffe2,0x81ffffe8,0x00effffb,0xffff9808,
    0xffffb803,0x3fffee01,0x7000800e,0xffffffff,0x3bbae007,0xeeeeeeee,
    0x984fffff,0x00efffff,0x3fee0aa2,0xff880fff,0x3ea05fff,0xccccdfff,
    0xf34ccccc,0xf7007fff,0xffb83fff,0x00800eff,0x1dfffff3,0xff315440,
    0xff7007ff,0xffb803ff,0x03ffffff,0x1fffff70,0xbfffff10,0x95555500,
    0x5559ffff,0x2aaaa055,0xacffffca,0x7fc42aaa,0x204fffff,0xff51ffff,
    0xffffffff,0xf707ffff,0xf101ffff,0x2e0bffff,0x880fffff,0x705fffff,
    0x101fffff,0x00bfffff,0x00ffffee,0x4cbfffea,0x2006ffff,0xc81ffffe,
    0x0003ffff,0x00ffffe6,0x807fffee,0x003ffffc,0x77fff400,0x0006ffff,
    0xfffffd80,0xeffffd80,0xfff10000,0x7fcc03ff,0xff500fff,0xf98007ff,
    0xfb803fff,0x7fe41fff,0x6c0003ff,0x000effff,0x03ffff98,0x01ffffb8,
    0x7ff7fff4,0xff8806ff,0x3e601fff,0x8000ffff,0x003ffffb,0x1ffffdc0,
    0x7ffffc40,0x3ffe07ff,0xfffff51f,0xffffffff,0xffff887f,0x3ffe601f,
    0x7ffc40ff,0x3fe601ff,0x7fc40fff,0x3e601fff,0xb800ffff,0x9803ffff,
    0xff12ffff,0x7f400dff,0xffd80fff,0x260003ff,0xb803ffff,0x3601ffff,
    0x0003ffff,0x2bfffe20,0x000ffffe,0x3fffea00,0xffffa82f,0x3ee0001f,
    0xfd805fff,0xff504fff,0xf98007ff,0xfb803fff,0x7fec1fff,0x2a0003ff,
    0x001fffff,0x07ffff30,0x03ffff70,0x757fffc4,0x5c00ffff,0xd805ffff,
    0x8004ffff,0x003ffffb,0x1ffffdc0,0x7ffffc40,0xfff03fff,0x3fffea3f,
    0xeeeeeeee,0x7ffdc2ee,0xfffd805f,0x7fffdc4f,0xffffd805,0x2ffffdc4,
    0x27fffec0,0x1ffffdc0,0x8ffffcc0,0x007ffff8,0x641ffffe,0x001fffff,
    0x07ffff30,0x03ffff70,0x0fffffe4,0xfffa8000,0x2ffffb8f,0xfff10000,
    0x3ff20bff,0x640005ff,0xa802ffff,0xf505ffff,0x98007fff,0xb803ffff,
    0x7e41ffff,0x0001ffff,0x00bffff9,0x1ffffcc0,0x0ffffdc0,0x71ffff50,
    0xc805ffff,0xa802ffff,0x8005ffff,0x003ffffb,0x1ffffdc0,0x7ffffc40,
    0xfff06fff,0x3fffea3f,0xfff90003,0xfff5005f,0xffffc8bf,0xffffa802,
    0x17fffe45,0x2ffffd40,0x1ffffdc0,0x0ffffcc0,0x400fffff,0xf706ffff,
    0x017fffff,0x3ffff980,0x1ffffb80,0x3ffffee0,0x6c0000bf,0xfff36fff,
    0x360000bf,0xd00fffff,0x0005ffff,0x00ffffd8,0x06ffff88,0x007ffff5,
    0x03ffff98,0x41ffffb8,0xbffffffb,0x7fff4000,0x3e60002f,0xfb803fff,
    0x3f601fff,0xffff36ff,0xffffd80b,0xffff8800,0xfffb8006,0x7dc0003f,
    0xf8803fff,0xffffbfff,0x51ffff82,0x0007ffff,0x003ffff6,0xb1bfffe2,
    0x1001ffff,0xfd8dffff,0xf8800fff,0xfb806fff,0xf9803fff,0x3ffa1fff,
    0xff9801ff,0xfff105ff,0x039fffff,0x0ffffe60,0x07fffee0,0xffffff88,
    0xf0001cff,0x7ffc9fff,0xfa80007f,0x3e02ffff,0x0000ffff,0x003ffff4,
    0x2a0fffff,0x4003ffff,0x803ffff9,0x441ffffc,0xffffffff,0xffff001c,
    0x7cc0001f,0xfb803fff,0x3fe01fff,0x3fffe4ff,0x3ffff407,0x0fffff00,
    0x7ffff700,0xfffb8000,0xfff8803f,0x86fffe9f,0xff51ffff,0x3a0007ff,
    0x3e007fff,0x7ff47fff,0x3ffe007f,0x3ffff47f,0x0fffff00,0x07ffff70,
    0x41ffff10,0x804ffffd,0x203ffffc,0xfffffffa,0x2600beff,0xb803ffff,
    0x5401ffff,0xffffffff,0xf3000bef,0x7fec3fff,0x220001ff,0x204fffff,
    0x007ffff8,0x07ffff80,0x03ffffe0,0x273fffea,0x99999999,0x09ffff10,
    0x01ffff90,0xfffffff5,0x22017dff,0x0007ffff,0x01ffffcc,0x80ffffdc,
    0x361ffff9,0x3e01ffff,0x3e007fff,0x4000ffff,0x003ffffb,0x1ffffdc0,
    0x4ffffc40,0x7c1ffffb,0xfff51fff,0x3fe0007f,0x3fe007ff,0x3ffe0fff,
    0x3ffe007f,0x3fffe0ff,0x3fffe007,0x7ffdc00f,0xfff8803f,0x3fffea0f,
    0xffffe806,0x7fffdc00,0x3fffffff,0x07ffff30,0x03ffff70,0xffffff70,
    0x007fffff,0xfb8ffff9,0x20004fff,0x00effffd,0x01ffffe6,0xdffff100,
    0x7ffff400,0xfffffa81,0xffffffff,0x17fffe3f,0x81ffffa0,0xfffffffb,
    0xf983ffff,0x40007fff,0x803ffff9,0x901ffffb,0xffb8ffff,0xfff104ff,
    0x7ff400df,0x7dc001ff,0x40003fff,0x803ffffb,0xf89ffff8,0x7ffc5fff,
    0x7ffff51f,0xffff1000,0x7fff400d,0xdffff11f,0x7ffff400,0x0dffff11,
    0x0fffff40,0x0ffffee0,0x03fffe20,0x409fffff,0x005ffffc,0xffffffd3,
    0xf30bffff,0xf7007fff,0x26003fff,0xfffffffe,0x7f405fff,0x7ffc45ff,
    0xff50006f,0xfa803fff,0x40006fff,0x006ffff9,0x207ffffa,0xfffffffa,
    0x3fffffff,0x807ffffe,0x405ffff9,0xffffffe9,0x7d45ffff,0x40006fff,
    0x803ffff9,0xd01ffffb,0xff88bfff,0xfff306ff,0x7ff400df,0x7dc001ff,
    0x40003fff,0x803ffffb,0xf91ffff8,0x7ffc3fff,0x7ffff51f,0xffff3000,
    0x7fff400d,0xdffff31f,0x7ffff400,0x0dffff31,0x0fffff40,0x0ffffee0,
    0x7ffe4000,0x3f261cff,0x4001ffff,0xffffffd9,0x7fcc4fff,0xffb803ff,
    0x6cc001ff,0xffffffff,0xffff104f,0x1ffffd07,0xffff8800,0xfff9804f,
    0x7c40007f,0x3a006fff,0xfa80ffff,0xffffffff,0x323fffff,0x881effff,
    0x001ffffe,0xffffffb3,0x7fcc9fff,0x4c0007ff,0xb803ffff,0xf881ffff,
    0xffe83fff,0xfff880ff,0x3ffa006f,0x7dc000ff,0x40003fff,0x803ffffb,
    0xf11ffff8,0x7ffc9fff,0x7ffff51f,0xffff1000,0x7fff400d,0xdffff10f,
    0x7ffff400,0x0dffff10,0x07ffff40,0x0ffffee0,0x7ffc4000,0xffffffff,
    0x0004ffff,0x3ffffae2,0x3fe61fff,0xffb803ff,0x710001ff,0xfffffffd,
    0x3ffff703,0x07ffff90,0x6ffffd80,0xfffff100,0xfff80001,0x3ffe007f,
    0xffff507f,0xdddddddd,0x7ffc45dd,0xfdccdfff,0x8006ffff,0xfffffeb8,
    0xffff11ff,0x7cc0001f,0xfb803fff,0xffb81fff,0xfffc81ff,0xfffff03f,
    0x3ffffc00,0x7fffdc00,0x7fdc0003,0xff8803ff,0x3fff61ff,0x23ffff0f,
    0xfffffffa,0x7fffffff,0x003ffffc,0xff8fffff,0x3fe007ff,0x7fffc7ff,
    0x3fffe007,0x7fffffc7,0xffffffff,0x0ddcc0ff,0xffffff98,0x4fffffff,
    0x3fea0000,0x3e64ffff,0xfb803fff,0x80001fff,0x4ffffffa,0x506fffd8,
    0x400bffff,0x01fffffa,0x07ffffe0,0xfffff000,0x37fffc00,0x03ffffa8,
    0xfffff900,0xffffffff,0xfa80001d,0x3e4fffff,0x0001ffff,0x00ffffe6,
    0x207fffee,0xf506fffd,0x3fe0bfff,0x3fe007ff,0xfb8006ff,0x40003fff,
    0x803ffffb,0x261ffff8,0xfff4ffff,0x3fffea3f,0xffffffff,0x7fffc7ff,
    0x3fffe007,0x03ffffc6,0xf8dffff0,0x3e007fff,0x7ffc6fff,0xffffffff,
    0x2a0fffff,0xf301ffff,0xffffffff,0x000009ff,0x4bffffd1,0x803ffff9,
    0x000ffffc,0xffffd100,0x4ffff88b,0x01ffffe0,0x27ffffc4,0x3ffffa00,
    0x7ff40003,0xff9801ff,0xfff504ff,0x7dc0007f,0xffffffff,0x00000eff,
    0x4bffffd1,0x003ffffe,0x0ffffe60,0x03ffff20,0x409ffff1,0xfd07ffff,
    0xf3003fff,0x70009fff,0x0007ffff,0x03ffffb8,0x41ffff88,0xff8ffffe,
    0xffff51ff,0xffffffff,0xfffe8fff,0xfff9801f,0x7ffff44f,0xffff9801,
    0x0fffff44,0x27fffcc0,0x3ffffffe,0xffffffff,0x3ffffa0f,0x7fff5406,
    0x0000cfff,0x3ffff200,0x13fffe26,0x01ffff20,0xffff9000,0xfffffa8d,
    0xffffffff,0xfd802fff,0xd8006fff,0x0007ffff,0x027fffec,0x81ffffe4,
    0x003ffffa,0x7fffecc0,0x0002efff,0x6ffffc80,0x01fffff6,0x4ffff880,
    0x87fffc80,0xfffffffa,0xffffffff,0xffffd82f,0xffffc804,0xfffb8003,
    0x7dc0003f,0xf8803fff,0x7fd41fff,0x1ffffbff,0xfffffff5,0xffffffff,
    0x04ffffd8,0x43ffffc8,0x804ffffd,0x6c3ffffc,0xc804ffff,0x7fc3ffff,
    0xffffffff,0x20ffffff,0x007fffff,0x003ffff7,0xfff70000,0x5ffff89f,
    0x06fffe80,0x7ffdc000,0x7fffe44f,0xffffffff,0x5404ffff,0x001fffff,
    0x3fffffb8,0x3ffea000,0xfffe806f,0xffff501f,0x6c400007,0x00005fff,
    0x93fffee0,0x03fffffb,0x17fffe00,0x21bfffa0,0xfffffffc,0xffffffff,
    0xffffa84f,0xffffe806,0xfffb8001,0x7dc0003f,0xf8803fff,0xffe81fff,
    0x01ffffef,0x43fffc80,0x806ffffa,0x541ffffe,0xe806ffff,0x7d41ffff,
    0xfe806fff,0x20001fff,0x7ec4fffb,0xf3005fff,0x10007fff,0xffffd800,
    0x0fffff43,0x0bffff30,0x7fec0008,0x7fffc3ff,0xffffffff,0x207fffff,
    0x03fffff8,0x3ffffa00,0xe818803f,0x3204ffff,0x2a05ffff,0x0003ffff,
    0x01bffe60,0xffd80010,0x7fff43ff,0x418803ff,0x201ffffe,0xf85ffff9,
    0xffffffff,0xffffffff,0x9ffffd07,0x2ffffe40,0xffffb800,0x7fdc0003,
    0xff8803ff,0xfffb81ff,0x001fffff,0xe827ffdc,0x3204ffff,0xfd05ffff,
    0x7e409fff,0xffd05fff,0x7fe409ff,0x2a0005ff,0xff985fff,0x3fe001ff,
    0x0ec42fff,0x804df7c4,0x1fffffd9,0x0f7fffe4,0x0fffff44,0x0137df10,
    0x3fffff66,0x3ffffe61,0xffffffff,0xb01fffff,0x000dffff,0xffffffa8,
    0x3f6a21ad,0xfffffb84,0x3fff261c,0x3fea00ff,0x200003ff,0x2001fffe,
    0x3009bef8,0x83fffffb,0xdffffffa,0x13f6a21a,0x03dffff9,0x83ffffd1,
    0xfffffff9,0xffffffff,0xffb81fff,0x3261cfff,0x000fffff,0x07ffff70,
    0xffffb800,0xffff8803,0xfffff881,0x22001fff,0x3ee07fff,0x261cffff,
    0x00fffffc,0x39fffff7,0x7ffffe4c,0xfffff700,0x7ffe4c39,0x3e0000ff,
    0x55100fff,0xfffd8001,0x6ffedeff,0xffffff88,0xfffffeee,0xfff884ff,
    0xfdccdfff,0x4404ffff,0xeeffffff,0xfffffffe,0x07fffdc4,0x1ffffe40,
    0x67ffffd4,0xaaaaaaaa,0xfffb02aa,0xffffffff,0xff109fff,0xffffffff,
    0x809fffff,0x003ffffa,0x1ffff100,0x7fffc400,0xfffeeeff,0xfb04ffff,
    0xffffffff,0x889fffff,0xcdffffff,0x4fffffdc,0x00ffffb8,0x83ffffc8,
    0xfffffff8,0xffffffff,0x3fee0004,0x5c0003ff,0x8803ffff,0xf901ffff,
    0x03ffffff,0x037ffdc0,0xfffffff1,0xffffffff,0x7fffc409,0xffffffff,
    0x3e204fff,0xffffffff,0x04ffffff,0x1bffea00,0x7fc40000,0xffffffff,
    0x7fffc44f,0xffffffff,0x3ee05fff,0xffffffff,0x400fffff,0xfffffff8,
    0xffffffff,0x06fffe85,0x0dffff50,0xfffffffd,0xffffffff,0x3ff620ff,
    0xffffffff,0xff304fff,0xffffffff,0xa801bfff,0xffffffff,0x07ffffff,
    0x4e7fffcc,0xffff8801,0xffffffff,0x36205fff,0xffffffff,0xb84fffff,
    0xffffffff,0x80ffffff,0x5006fffe,0x260dffff,0xffffffff,0x00dfffff,
    0xfffffff0,0xffffffff,0x3ffffe0f,0xffffffff,0x7ffc47ff,0xffff101f,
    0x5c003fff,0x819affff,0xfffffff9,0x0dffffff,0x7ffffcc0,0xffffffff,
    0x7ffcc00d,0xffffffff,0x20000dff,0x19bffffa,0x7fd40000,0xffffffff,
    0x7ffffc44,0xffffffff,0x7fdc00df,0xffffffff,0xff8800df,0xffffffff,
    0x440dffff,0x1004ffff,0xf81fffff,0xffffffff,0xffffffff,0x7fffdc07,
    0xffffffff,0x3fffa204,0x3fffffff,0xfffff500,0xffffffff,0xfff880ff,
    0xf8807fff,0xffffffff,0x00dfffff,0xffffffb8,0x04ffffff,0xfffffff7,
    0x101bffff,0x2009ffff,0x00fffff8,0xffffffd1,0x8007ffff,0xffffffff,
    0x7fffffff,0xfffffff0,0xffffffff,0x1ffff88f,0x3fffff60,0x3fea001f,
    0xd105ffff,0xffffffff,0x744007ff,0xffffffff,0x3a2003ff,0xffffffff,
    0x980003ff,0x06ffffff,0xffc88000,0x901dffff,0xfffffffb,0x40019fff,
    0xffffffd8,0x6e4002ef,0xffffffff,0xff500cff,0x7f4003ff,0x7ffc2fff,
    0xffffffff,0x07ffffff,0xffffec88,0x9002cfff,0xbffffffd,0x7ffd4003,
    0xffffffff,0xfc807fff,0x9007ffff,0xfffffffb,0x80019fff,0xfffffec8,
    0x6c402cff,0xefffffff,0x3fffea02,0x3fffa001,0x7ff6402f,0x001dffff,
    0xfffffff8,0xffffffff,0xffffff07,0xffffffff,0xffff88ff,0x3fffe601,
    0x7f4001ff,0x6405ffff,0xdffffffe,0xffd90001,0x003bffff,0x3ffffb20,
    0x00001dff,0x1bfffff6,0x53100000,0xaa998003,0x800009aa,0x0001aa98,
    0x35555330,0xffffb001,0xffffb800,0x7fffffc5,0xffffffff,0x88007fff,
    0x40000999,0x50000aa9,0xffffffff,0x0fffffff,0x13bbb6a0,0x2aaa6600,
    0x2000009a,0x00009998,0x20035531,0x4007fffd,0x005ffffb,0x00002aa6,
    0xffffffff,0xffffffff,0x3fffffe0,0xffffffff,0x7fffc47f,0x7ffff401,
    0xedb8001f,0x2a6003de,0x4c00000a,0x400000aa,0x00000aa9,0x0fbbb6a0,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x99991000,0x33220003,
    0x000002cc,0x33326000,0x80001ccc,0x001cccc8,0x2e17baa0,0x980005ee,
    0x203ccccc,0x01cccccb,0x99910000,0x98000059,0x003ccccc,0x33333220,
    0x6665c00c,0x000001cc,0x0f333326,0xb8199990,0x20002ccc,0x001cccc8,
    0x39999100,0xcc980000,0x65c03ccc,0x0001cccc,0x66664c00,0x3260003c,
    0x9003cccc,0xccb81999,0x9991002c,0x0cccb819,0x666665c0,0x99950001,
    0xfff30059,0x88003fff,0x02fffffe,0x33ffb260,0x32002440,0x04ffffff,
    0x7fffcc00,0xf50001ff,0x3fea27ff,0x7cc0005f,0x200dffff,0x1fffffd8,
    0x7f440000,0x0002ffff,0xbfffff30,0x3fa20001,0x8801efff,0x01fffffd,
    0xfff98000,0x7cc00dff,0xffd8afff,0x3e60004f,0x001fffff,0x7ffffcc0,
    0xf300001f,0x801bffff,0x1fffffd8,0xff300000,0x0001bfff,0x37ffffe6,
    0xffff3000,0x09fffb15,0x9efffb80,0x803fffe8,0x1fffffd8,0xffffc800,
    0x7fffcc04,0x1002ffff,0xfffffffd,0xffff3007,0xfd539fff,0x7fffc009,
    0x20007fff,0xfffffff9,0xffd0002f,0x3fffffff,0x7ffcc000,0x3ee003ff,
    0x0001ffff,0xfffffd10,0x980007ff,0x003fffff,0x3ffffa20,0xfffb8004,
    0x200001ff,0x03fffff9,0x3ffffe60,0x20004fff,0xfffffff9,0xff30002f,
    0x05ffffff,0xffff9800,0x7fdc003f,0x00001fff,0x1fffffcc,0xffff3000,
    0xff30007f,0x09ffffff,0x3fffea00,0x4002ffff,0x01fffffb,0x1ffffdc0,
    0x33ffff30,0x8805ffff,0xfe9bfffe,0x3fa203ff,0xffffffff,0x9800ffff,
    0xffffffff,0xfff98001,0x2ffff99f,0xffff9800,0x0004ffff,0x07bfffe6,
    0x3fffa600,0x7440001f,0xffe9bfff,0xff30003f,0x40003dff,0x02ffffe8,
    0x3fffa600,0xf980001f,0x8001efff,0x4fffffe8,0x3ffe6000,0x2ffff99f,
    0x7fffcc00,0x02ffff99,0xdffff300,0x3fa60003,0x00001fff,0x03dffff3,
    0x7fffcc00,0x3a20001e,0x004fffff,0x7ffffd40,0xfd30002f,0x5c003fff,
    0xb303ffff,0x76c41bdd,0xddb101ee,0x2eeec83b,0x36afbf60,0x1fffffff,
    0xfffff700,0x98007fff,0x3620deed,0x88001eee,0x01dfffed,0x3bbb6200,
    0xeec80004,0xb10000de,0xeec83bdd,0x76c4002e,0xc80004ee,0x0000deee,
    0x01bddd90,0x7776c400,0x76c40004,0x260003ee,0x3620deed,0xb3001eee,
    0x76c41bdd,0x6c4001ee,0x00004eee,0x001bddd9,0x4eeed880,0x776c4000,
    0xb100004e,0x00007ddd,0x00bbbba6,0x37bbb200,0xffff5000,0x00000005,
    0x30760000,0x005bfffb,0x7ff7fff4,0x000006ff,0x00100000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2a000000,0x0002ffff,
    0x00000000,0xf1000300,0xfffd5fff,0x0000001f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fcc0000,0xccc981ff,
    0xcccccccc,0x751002cc,0x037bdddb,0xf5000000,0xfff71fff,0xccc8805f,
    0xccca801c,0x9731000c,0x0379ddfd,0x00399991,0x44199995,0xa801cccc,
    0x1000cccc,0x9ddfd973,0x66644037,0x64c0003c,0xabcccccc,0xcc980019,
    0xcccccccc,0xc984cccc,0xcccccccc,0x304ccccc,0x79999999,0x30000335,
    0x03999999,0xcccccc80,0xcccccccc,0x9993004c,0xc8003999,0xcccccccc,
    0x04cccccc,0x99999999,0x99999999,0x01666654,0x85999930,0xccccccc9,
    0x64c001ab,0xcccccccc,0xcccccccc,0xccc9801c,0xf9801ccc,0xffb81fff,
    0xffffffff,0x74c04fff,0xffffffff,0xcccc84ff,0xcccccccc,0x7ec04ccc,
    0xffff36ff,0xffff980b,0xffffb803,0xffffc801,0xffffffff,0x0ffffe60,
    0x87fffee0,0x803ffff9,0x801ffffb,0xfffffffc,0x880fffff,0x0005ffff,
    0x7fffffdc,0x0befffff,0xfffff500,0xffffffff,0xffff50ff,0xffffffff,
    0x3fee0fff,0xffffffff,0x90000bef,0x09ffffff,0xffffff80,0xffffffff,
    0xfff9007f,0xf8009fff,0xffffffff,0x07ffffff,0xffffffff,0xffffffff,
    0x03ffffcc,0x83ffffd0,0xfffffffa,0x00ceffff,0x7fffffdc,0xffffffff,
    0xc803ffff,0x04ffffff,0x80ffff88,0xfffffffb,0x04ffffff,0x3ffffff2,
    0x84ffffff,0xffffffff,0x7fffffff,0xf27fffc0,0xf980ffff,0xfb803fff,
    0x3a601fff,0xffffffff,0x260fffff,0xb803ffff,0x3e61ffff,0xfb803fff,
    0x3a601fff,0xffffffff,0x880fffff,0x0005ffff,0x7fffffdc,0xffffffff,
    0xffffa800,0xffffffff,0xfffa87ff,0xffffffff,0xff707fff,0xffffffff,
    0x0001ffff,0xffffffff,0xfffff800,0xffffffff,0xfff007ff,0x800fffff,
    0xffffffff,0x7fffffff,0xfffffff0,0xffffffff,0x3ffffd8f,0x5ffffa80,
    0xffffffa8,0xffffffff,0x3fffee03,0xffffffff,0x03ffffff,0xfffffff8,
    0xffff8807,0xfffffb80,0xffffffff,0xffffe884,0xffffffff,0xfffff84f,
    0xffffffff,0x3fe607ff,0x3fff61ff,0x3ffe601f,0xfffb803f,0xffff901f,
    0xffffffff,0x7fcc1fff,0xffb803ff,0x3ffe61ff,0xfffb803f,0xffff901f,
    0xffffffff,0xff101fff,0xb8000bff,0xffffffff,0x0effffff,0x7ffffd40,
    0xffffffff,0xffffa87f,0xffffffff,0xfff707ff,0xffffffff,0x4001dfff,
    0xfffffff9,0x3ffe001f,0xffffffff,0x9807ffff,0xffffffff,0x3fffe001,
    0xffffffff,0xfff07fff,0xffffffff,0xf98fffff,0xfe807fff,0xffa81fff,
    0xffffffff,0x80efffff,0xfffffffb,0xffffffff,0x7cc03fff,0x1fffffff,
    0x10199980,0x55555555,0xb09ffff7,0x9dffffff,0x09ffb955,0xffffffff,
    0xffffffff,0x23fffe40,0x204ffffb,0x803ffff9,0xa81ffffb,0xdeffffff,
    0xfffdcbab,0x0ffffe60,0x87fffee0,0x803ffff9,0xa81ffffb,0xdeffffff,
    0xfffdcbab,0x5ffff880,0x7ffdc000,0xffdcbacf,0x5404ffff,0xcccdffff,
    0x84cccccc,0xccdffffa,0x4ccccccc,0x59ffff70,0xfffffb97,0x7fdc009f,
    0x03ffffff,0x32aaaaa0,0xaaacffff,0xfffb802a,0x003fffff,0x3f2aaaaa,
    0xaaaacfff,0x95555502,0x5559ffff,0xffffb055,0x7fffd405,0xbffff505,
    0xffffb955,0x55109fff,0xfffb5555,0x555555bf,0xffffb801,0x0003ffff,
    0x3ffe6000,0x7fffcc4f,0x0aa200ef,0x3f2aaaaa,0xaaaacfff,0x17fffa02,
    0x40dffff1,0x803ffff9,0xe81ffffb,0x803fffff,0x3ffe60da,0xfffb803f,
    0x3fffe61f,0xffffb803,0xfffffe81,0x880da803,0x0005ffff,0x417fffdc,
    0x06ffffd8,0x01ffffd4,0x7ffff500,0xfffb8000,0xfffd882f,0x3ffa006f,
    0x06ffffef,0x7fffdc00,0xfffd0003,0x00dffffd,0x3ffffb80,0x7ffdc000,
    0xfff3003f,0x7fff40df,0xffff501f,0x3fffe607,0x3ee000ff,0x20003fff,
    0xfffefffe,0xfffd806f,0xfff30004,0xffffd89f,0x5c00000e,0x2003ffff,
    0xe83ffff8,0xf300ffff,0xf7007fff,0xffb83fff,0x20001fff,0x803ffff9,
    0x261ffffb,0xb803ffff,0x7dc1ffff,0x0001ffff,0x05ffff88,0x7fffdc00,
    0xfffff102,0x3ffffa80,0x3ffea000,0x7dc0003f,0xff102fff,0x3e200fff,
    0xfffeafff,0x3ee0000f,0x88003fff,0xffeaffff,0x2e0000ff,0x0003ffff,
    0x01ffffdc,0x05ffffd0,0x40bffff5,0x203ffffa,0x05ffffe8,0x0ffffee0,
    0x7fffc400,0x00ffffea,0x000ffff4,0x24ffff98,0x01fffffa,0xfffb8000,
    0x3fee003f,0xfffc81ff,0xffff303f,0xffff7007,0x7ffffc43,0x7fcc0003,
    0xffb803ff,0x3ffe61ff,0xfffb803f,0x3fffe21f,0xf100003f,0x8000bfff,
    0x202ffffb,0x200ffffe,0x003ffffa,0x0ffffea0,0xffff7000,0x7ffff405,
    0xffffa800,0x02ffffb8,0x3fffee00,0xfffa8003,0x2ffffb8f,0x3ffee000,
    0x7dc0003f,0x26003fff,0xfe86ffff,0x3ea00fff,0x7d403fff,0x7001ffff,
    0x0007ffff,0x2e3fffea,0x2202ffff,0x20006fff,0x324ffff9,0x0005ffff,
    0x7ffff700,0x37ffec00,0x05ffffa8,0x007ffff3,0x543ffff7,0x000fffff,
    0x1ffffcc0,0x0ffffdc0,0x007ffff3,0x543ffff7,0x000fffff,0xbffff100,
    0xfffb8000,0x3fffa02f,0x3ffea00f,0x3ea0003f,0x40003fff,0x202ffffb,
    0x800ffffe,0xff36fffd,0x5c000bff,0x8003ffff,0xff36fffd,0x5c000bff,
    0x0003ffff,0x01ffffdc,0x8bffffa0,0x405ffffa,0x803ffffa,0x002fffff,
    0x007ffff7,0x4dbfff60,0x2605ffff,0x20003fff,0x3a4ffff9,0x0002ffff,
    0x7ffff700,0x3fffe200,0x1ffffe04,0x01ffffcc,0x70ffffdc,0x0009ffff,
    0x07ffff30,0x43ffff70,0x803ffff9,0x2e1ffffb,0x0004ffff,0x17fffe20,
    0xffff7000,0x3fffe205,0x7fffd406,0x3fea0003,0x5c0003ff,0xf102ffff,
    0x3e00dfff,0x3ffe4fff,0x3ee0007f,0xf8003fff,0x3ffe4fff,0x3ee0007f,
    0x40003fff,0x003ffffb,0xd2ffffcc,0xa801ffff,0xc803ffff,0x7003ffff,
    0x0007ffff,0xff93fffe,0x3fee07ff,0x3e60000f,0x3ffe4fff,0x000000ff,
    0x007ffff7,0x3fffffea,0xffffffff,0xfff982ff,0xfffb803f,0x3ffff21f,
    0xff980002,0xffb803ff,0x3ffe61ff,0xfffb803f,0x3ffff21f,0x3e200002,
    0x40005fff,0x882ffffb,0x403ffffe,0x99cffffa,0x09999999,0x9cffffa8,
    0x99999999,0x5ffff700,0x7ffffd10,0x3ffff300,0x00ffffec,0x3ffffb80,
    0x7fffcc00,0x07ffff61,0x7fffdc00,0x7fdc0003,0xfe8003ff,0xfff99fff,
    0xfffa804f,0xfffb803f,0xfff7004f,0xff30007f,0x7ffec3ff,0x09bb701f,
    0xffff9800,0x0fffff14,0x7fdc0000,0xff9003ff,0xffffffff,0x09ffffff,
    0x007ffff3,0x6c3ffff7,0xed81ffff,0x0eeeeeee,0x00ffffe6,0x987fffee,
    0xb803ffff,0x3f61ffff,0xeed81fff,0x80eeeeee,0x005ffff8,0x67fffdc0,
    0xffffdbaa,0xfffa806f,0xffffffff,0xffa83fff,0xffffffff,0xf703ffff,
    0xb7559fff,0x00dfffff,0xf71ffff2,0x20009fff,0x003ffffb,0x2e3fffe4,
    0x0004ffff,0x007ffff7,0x3ffffb80,0xffff9800,0x00ffffdc,0x03ffffa8,
    0x05ffffa8,0x07ffff70,0x8ffff900,0x004ffffb,0xfff98000,0xfffff34f,
    0x7dc00000,0xff003fff,0xffffffff,0xffffffff,0x07ffff30,0x43ffff70,
    0xe80ffffe,0xffffffff,0x0ffffe60,0x87fffee0,0x803ffff9,0x3a1ffffb,
    0xfe80ffff,0x0fffffff,0x05ffff88,0x7fffdc00,0xffffffff,0xffa800df,
    0xffffffff,0xfa83ffff,0xffffffff,0x703fffff,0xffffffff,0x01bfffff,
    0x117fffa0,0x000dffff,0x00ffffee,0x88bfffd0,0x0006ffff,0x007ffff7,
    0x3ffffb80,0xffffd000,0x2009ffff,0x803ffffa,0x006ffff9,0x007ffff7,
    0x88bfffd0,0x0006ffff,0xffff9800,0x0dffff54,0x7fdc0000,0xff9803ff,
    0xffffffff,0xffffffff,0x1ffffcc1,0x0ffffdc0,0x3a0fffff,0xffffffff,
    0x0ffffe60,0x87fffee0,0x803ffff9,0x3e1ffffb,0xffd07fff,0x01ffffff,
    0x00bffff1,0xfffffb80,0x2cffffff,0x3fffea00,0xffffffff,0xfffa83ff,
    0xffffffff,0xff703fff,0xffffffff,0x7c40059f,0xffe83fff,0xfb8000ff,
    0x22003fff,0xfe83ffff,0xb8000fff,0x0003ffff,0x01ffffdc,0xfffffa80,
    0xf5000fff,0xf3007fff,0x2e00dfff,0x4003ffff,0xe83ffff8,0x0000ffff,
    0x7fffcc00,0x0fffff34,0x7fdc0000,0xffb803ff,0xffc800ff,0x7ffcc3ff,
    0xfffb803f,0x3ffffe1f,0xfffffe80,0x3fe60fff,0xffb803ff,0x3ffe61ff,
    0xfffb803f,0x3ffffe1f,0xfffffe80,0xff880fff,0x5c0005ff,0xffffffff,
    0x2000cfff,0xeeeffffa,0x2eeeeeee,0xeeffffa8,0xeeeeeeee,0xfffff702,
    0x19ffffff,0x7fffdc00,0x3ffffc81,0xffffb800,0x3ffee003,0xffffc81f,
    0xfffb8003,0x7dc0003f,0x20003fff,0x4ffffffe,0x3fffea00,0xffffa803,
    0xffff7005,0xfffb8007,0xffffc81f,0x4c000003,0xff14ffff,0x00001fff,
    0x0ffffee0,0x01bfffa0,0x237fffd4,0x803ffff9,0x3a1ffffb,0x9881ffff,
    0x0ffffc99,0x00ffffe6,0x987fffee,0xb803ffff,0x3fa1ffff,0x99881fff,
    0x80ffffc9,0x005ffff8,0x67fffdc0,0x5fffffdb,0x3fffea00,0x3fea0003,
    0x5c0003ff,0xfdbcffff,0x2005ffff,0xf506fffd,0x7000bfff,0x4007ffff,
    0xf506fffd,0x7000bfff,0x0007ffff,0x03ffffb8,0x3fffea00,0x3ea000ff,
    0xfb803fff,0xf7004fff,0xd8007fff,0xff506fff,0x00000bff,0x24ffff98,
    0x001fffff,0xffff7000,0xffff8807,0xffff1004,0x7fffcc1f,0xffffb803,
    0x0bffff61,0x83ffff20,0x803ffff9,0x261ffffb,0xb803ffff,0x3f61ffff,
    0xfc802fff,0xff880fff,0x5c0005ff,0x3e62ffff,0x5002ffff,0x0007ffff,
    0x01ffffd4,0x3fffee00,0x3ffffe62,0xffff8802,0x1ffffe04,0x3fffee00,
    0xffff1003,0x3ffffc09,0x7fffdc00,0x7fdc0003,0x740003ff,0x4004ffff,
    0x803ffffa,0x003ffffc,0x007ffff7,0x027fffc4,0x000fffff,0xffff9800,
    0x0fffffa4,0x7fdc0000,0x7fd403ff,0x3fa001ff,0x3fe62fff,0xffc803ff,
    0x3ffee0ff,0xfffc804f,0x3fffe60f,0xffffc803,0x0ffffe60,0x83ffff20,
    0x804ffffb,0x880ffffc,0x0005ffff,0x217fffdc,0x006ffffb,0x007ffff5,
    0x1ffffd40,0x3ffee000,0x7fffdc2f,0xffffa806,0xffffffff,0x4002ffff,
    0x003ffffb,0xfffffff5,0xffffffff,0xffb8005f,0x5c0003ff,0x0003ffff,
    0x017fffdc,0x0ffffea0,0x0bffffa0,0x1ffffdc0,0xfffff500,0xffffffff,
    0x00005fff,0x27fffd40,0x00fffffb,0x3ffee000,0x7ffec03f,0x7ffdc007,
    0x3fffe25f,0x7fffc804,0x07ffffd4,0x83ffff20,0x804ffff8,0x7c47fffc,
    0xfc804fff,0x7ffd47ff,0x7fe400ff,0xfff880ff,0x7dc0005f,0xffe82fff,
    0xffa803ff,0x2a0003ff,0x0003ffff,0x417fffdc,0x403ffffe,0xfffffffc,
    0xffffffff,0x7fdc004f,0xff9003ff,0xffffffff,0x09ffffff,0x3ffffb80,
    0x7ffdc000,0x7dc0003f,0x54002fff,0x5403ffff,0x000fffff,0x007ffff7,
    0x7fffffe4,0xffffffff,0x000004ff,0xb8ffffee,0x003fffff,0xffffb800,
    0x22000003,0xff81fffe,0xffe805ff,0x7fffc46f,0x7ffe403f,0x2ffffc0f,
    0x437fff40,0xe805ffff,0x7fc46fff,0x7e403fff,0xff880fff,0x5c0005ff,
    0xfb82ffff,0xfa806fff,0x20003fff,0x003ffffa,0x17fffdc0,0x037fffdc,
    0x3ffffffe,0xffffffff,0x7dc007ff,0xff003fff,0xffffffff,0xffffffff,
    0xffffb800,0x7fdc0003,0x5c0003ff,0x4002ffff,0x403ffffa,0x003ffffe,
    0x00ffffee,0xfffffff8,0xffffffff,0x030007ff,0x83ffffd0,0x03fffffe,
    0xff700188,0x000007ff,0xe817ffec,0x2601ffff,0xfb85ffff,0x3203ffff,
    0x7f40ffff,0x3e601fff,0xffe85fff,0x3fe601ff,0xfffb85ff,0x3ff203ff,
    0xfff880ff,0x7dc0005f,0xff882fff,0x7d402fff,0x20003fff,0x003ffffa,
    0x17fffdc0,0x17ffffc4,0xffffff98,0xffffffff,0x2001ffff,0x803ffffb,
    0xfffffff9,0xffffffff,0x2e001fff,0x0003ffff,0x01ffffdc,0x3fffee00,
    0x7ffd4002,0xfffb103f,0x7dc001ff,0xf3003fff,0xffffffff,0xffffffff,
    0x5d90003f,0xfffffb10,0xfffffa81,0x36a21adf,0xfff7004f,0x2000007f,
    0x3205fffa,0x881effff,0xf01ffffe,0x159fffff,0x40ffffc8,0x81effffc,
    0x81ffffe8,0x81effffc,0x01ffffe8,0x59ffffff,0x0ffffc81,0x9dffff88,
    0x99999999,0xffffb809,0xdffff902,0x3ffffa80,0x3ffea000,0x7dc0003f,
    0xff902fff,0x3fee0dff,0xffc800ff,0x3ee003ff,0xfb803fff,0xfc800fff,
    0x2e003fff,0x0003ffff,0x01ffffdc,0x3fffee00,0x7ffd4002,0x3feea63f,
    0x4003ffff,0x003ffffb,0x001ffff7,0x007ffff9,0xb9dfff90,0x07ffffff,
    0x3ffffff6,0xffffffff,0xffff7004,0x36000007,0x3e204fff,0xccdfffff,
    0x04fffffd,0x3fffffea,0xffffefff,0x7ffc40ff,0xfdccdfff,0xf104ffff,
    0x99bfffff,0x09fffffb,0x7fffffd4,0xffffefff,0xfff880ff,0xffffffff,
    0xfb83ffff,0xff102fff,0x7d405fff,0xffffffff,0xa87fffff,0xffffffff,
    0x07ffffff,0x205ffff7,0x82fffff8,0x5006fffe,0x3e0dffff,0xffffffff,
    0x47ffffff,0x5006fffe,0x3e0dffff,0xffffffff,0x07ffffff,0xffffffff,
    0xffffffff,0x7fffdc00,0x7ffd4002,0xffffffff,0x8005ffff,0x003ffffb,
    0x200dfffd,0x006ffffa,0xffffffc8,0x206fffff,0xffffffd8,0x4fffffff,
    0xfffffff8,0xffffffff,0xffd80007,0xfb809aef,0xffffffff,0x400fffff,
    0xfffffffb,0xffffffff,0xfffffb80,0xffffffff,0x3ffee00f,0xffffffff,
    0x7dc00fff,0xffffffff,0x80ffffff,0xfffffff8,0xffffffff,0x2ffffb83,
    0x1bffff60,0xffffffa8,0xffffffff,0xfffffa87,0xffffffff,0xffff707f,
    0x7fffec05,0x27fffc46,0xfffff880,0xffffff80,0xffffffff,0x3fffe27f,
    0xffff1004,0xfffff01f,0xffffffff,0x3ffe0fff,0xffffffff,0x2007ffff,
    0x002ffffb,0x7fffffd4,0xffffffff,0xfff70002,0xfff1007f,0x3fe2009f,
    0x64000fff,0xffffffff,0xfb800dff,0xffffffff,0xfff84fff,0xffffffff,
    0x0007ffff,0xffffffc8,0xfffff703,0x1bffffff,0x3fffa600,0xffffffff,
    0xfff700ff,0xffffffff,0xfff7001b,0xffffffff,0x3fa6001b,0xffffffff,
    0xf880ffff,0xffffffff,0x83ffffff,0x202ffffb,0x01fffff9,0xfffffff5,
    0xffffffff,0xffffff50,0xffffffff,0x3fffee0f,0x3fffe602,0x3fffea1f,
    0x3fffa001,0xfffff82f,0xffffffff,0x3ffea7ff,0x3ffa001f,0xffff82ff,
    0xffffffff,0xfff07fff,0xffffffff,0x400fffff,0x002ffffb,0x7fffffd4,
    0x0dffffff,0x3ffee000,0xfffa803f,0x3ffa001f,0x5c4002ff,0xeffffffe,
    0x7f644002,0x2cffffff,0xfffffff0,0xffffffff,0xff10000f,0x4407ffff,
    0xfffffffd,0xfd70002e,0xbfffffff,0xffd88015,0x02efffff,0x7fffec40,
    0x0002efff,0xffffffd7,0x22015bff,0xffffffff,0x3fffffff,0x02ffffb8,
    0x82fffff4,0xfffffffa,0x7fffffff,0xffffffa8,0xffffffff,0x5ffff707,
    0x5ffffe80,0x001ffff6,0xf0bffff7,0xffffffff,0x4fffffff,0x4007fffd,
    0xf85ffffb,0xffffffff,0x07ffffff,0xffffffff,0xffffffff,0x7fffdc00,
    0x7ffd4002,0xabceffff,0xffb80000,0xffd803ff,0x7fdc007f,0x220005ff,
    0x00000aa9,0x20026662,0xffffffff,0x7fffffff,0xdd910000,0x262003bd,
    0x400001aa,0x0019aa98,0x006aa620,0x0d54c400,0x2a620000,0x0000019a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ff60000,0xffffffff,0x09999504,0xcc880000,0x100001cc,
    0x00039999,0x03999910,0x33260000,0x32203ccc,0x665c0ccc,0x9900000c,
    0x54000599,0x00deffec,0x99999300,0x32a00007,0x2003cccc,0xeeffecc8,
    0xeeb801bd,0x003eed84,0x70333322,0xeb801999,0x03eed84e,0x40cccc88,
    0x8000cccb,0xcccccaa9,0x91001ccc,0xd8003999,0xffffffff,0x75c004ff,
    0x03eed84e,0xffffffd8,0x2004ffff,0xeefeecba,0xffd801bc,0xffffffff,
    0x26662004,0x7ffec000,0x4fffffff,0x05ffff30,0x3fe60000,0x0001ffff,
    0x7fffffcc,0x3fe60001,0x0001ffff,0x7ffffcc0,0x7ffdc00d,0x3fffe89e,
    0xfff50000,0xfd30003f,0x03ffffff,0xfffff300,0xf500001b,0x2009ffff,
    0xffffffd8,0xb804ffff,0xff712fff,0xffb8007f,0xfffe89ef,0x2fffb803,
    0x007fff71,0x227bffee,0x2003fffe,0xffffffd9,0x02ffffff,0xffffff98,
    0x3fff6001,0x4fffffff,0x97ffdc00,0x803fffb8,0xfffffffd,0xea804fff,
    0xffffffff,0xffd807ff,0xffffffff,0x3ffb2204,0x02efffff,0xffffffd8,
    0x3604ffff,0x00006fff,0xffffff98,0xf30002ff,0x5fffffff,0xffff3000,
    0x0005ffff,0x3ffffe60,0x3ffea003,0x002fffff,0x17fffa00,0x3fffe600,
    0x001fffff,0x1fffffcc,0xfffa8000,0xff1002ff,0xffffffff,0xff1009ff,
    0xffffffff,0xfff50001,0x005fffff,0x3fffffe2,0x2000ffff,0xfffffffa,
    0xffb3002f,0xffffffff,0x9805ffff,0xffffffff,0xffffb002,0x09ffffff,
    0xfffff880,0x800fffff,0xfffffffd,0x7ec04fff,0xffffffff,0xfd807fff,
    0xffffffff,0xffff904f,0x9fffffff,0x55555300,0x40355555,0x001ffffa,
    0x3fffe600,0x02ffff99,0x4ffffcc0,0x002ffff9,0x267fffe6,0x0002ffff,
    0x0f7fffcc,0x7fffd400,0x200002ff,0x002ffff9,0xffffffe8,0x26001fff,
    0x001effff,0xbffff500,0x7fff4001,0xfeedceff,0xfff7004f,0x005fffff,
    0x7ffffd40,0x7fdc002f,0x02ffffff,0xfffffa80,0xfff3002f,0xffffffff,
    0x405fffff,0xf99ffff9,0xa9802fff,0xaaaaaaaa,0xffb8001a,0x02ffffff,
    0x55555530,0x5c035555,0xffffffff,0x807fffff,0xaaaaaaa9,0xffc81aaa,
    0xffffffff,0x000004ff,0x02ffff40,0xdeed9800,0x07bbb620,0x06f76cc0,
    0x003dddb1,0x441bddb3,0x0001eeed,0x009dddb1,0x2eeee980,0x7fec0000,
    0xffb8006f,0x0020beff,0x04eeed88,0x3bb66000,0x7fcc003e,0x55100fff,
    0x7ffecc00,0x980000df,0x0002eeee,0x1bffffb3,0x7774c000,0xffd1002e,
    0x5fffffff,0x05ffff53,0x8837bb66,0x0001eeed,0xfd980000,0x0000dfff,
    0x7ffc4000,0x999abeff,0x00007dca,0x7ffffd40,0xfdbaa9bd,0x40000004,
    0x000ffffb,0x00000000,0x00000000,0x00000000,0x10000000,0x0007ffff,
    0x005ffffb,0x00000000,0xfff70000,0x4000007f,0x00000008,0x00110000,
    0xfb000000,0xffffffff,0x3fffe61f,0x00000002,0x22000000,0x00000000,
    0x03bfffee,0x00000020,0x009ffffb,0x39999101,0x19999500,0x03ffff88,
    0x00000000,0x00000000,0x00000000,0x00000000,0x001ffff7,0x00fffff0,
    0x00000000,0x3ff20000,0x000005ff,0x00000000,0x00000000,0x7fffc000,
    0x0fffffff,0x005ffff3,0x97300000,0x00157bdd,0x66400000,0xcccccccc,
    0x644ccccc,0x0003ffff,0xcccccc98,0xcccccccc,0x03ffffd4,0x3fffe600,
    0xffffb803,0x07fffc81,0x03ccc980,0x21cccb80,0x802cccc8,0x950cccca,
    0x4c005999,0x6542cccc,0xcccccccc,0x3ccccccc,0x66666654,0xcccccccc,
    0xff8003cc,0xf98004ff,0x91004fff,0x90079999,0x44001999,0xcccccccc,
    0xff504ccc,0x00009fff,0x6666664c,0x6664c001,0xcccccccc,0xccc84ccc,
    0xcccccccc,0x6444cccc,0xc803cccc,0xfff30ccc,0xffffffff,0x0bfffe61,
    0x33333326,0xcccccccc,0x3fff6204,0x02ffffff,0x99999930,0x99999999,
    0xffffff09,0xffffffff,0xffffd8ff,0xffa80003,0xffffffff,0xffd7ffff,
    0x30001bff,0x7007ffff,0xf303ffff,0x98005fff,0xd8006fff,0x3fe21fff,
    0xffc804ff,0xffff30ff,0x7fff400f,0x7fffe41f,0xffffffff,0x7e46ffff,
    0xffffffff,0x6fffffff,0x7fffd400,0xfffa8001,0xfff1002f,0xff803fff,
    0x3ea001ff,0xffffffff,0x3ffe07ff,0x0002efff,0xffffffc8,0x7ffd4004,
    0xffffffff,0xfff87fff,0xffffffff,0x7c47ffff,0x401fffff,0xff51ffff,
    0xffffffff,0x3fffe61f,0xfffffa82,0xffffffff,0xffff507f,0xffffffff,
    0xffff5009,0xffffffff,0xffff0fff,0xffffffff,0xffc8ffff,0x40001fff,
    0xfffffffa,0x7fffffff,0x9ffffff9,0x7ffcc003,0xfffb803f,0xdfffd01f,
    0x7fff9800,0x1fffd800,0x013fffe2,0xd83ffff2,0xa803ffff,0xfc85ffff,
    0xffffffff,0x6fffffff,0x7fffffe4,0xffffffff,0x7f4006ff,0xf70006ff,
    0x22003fff,0x04ffffff,0x000ffffc,0xfffffffd,0x2a0fffff,0xffffffff,
    0x3fe0000d,0x007fffff,0x7fffffd4,0xffffffff,0xffffff87,0xffffffff,
    0x7fffc47f,0x7ffc04ff,0xfffff71f,0x21ffffff,0xa82ffff9,0xffffffff,
    0x87ffffff,0xfffffffa,0x5fffffff,0x7ffffd40,0xffffffff,0xfffff87f,
    0xffffffff,0x7ffdc7ff,0x0000bfff,0xfffffff5,0xffffffff,0x3fffffe2,
    0x4c01cfff,0xb803ffff,0xf501ffff,0x44003fff,0xe8007fff,0x3fe21fff,
    0xffc804ff,0x3ffe60ff,0xfffe807f,0xffffc81f,0xffffffff,0x7e46ffff,
    0xffffffff,0x6fffffff,0x3fffe600,0xfff90002,0x3fe2001f,0x200fffff,
    0x1001ffff,0xffffffff,0xf50fffff,0xffffffff,0xf30007ff,0x3fffffff,
    0x7fffd400,0xffffffff,0xffff87ff,0xffffffff,0x7fc47fff,0x200fffff,
    0xff51ffff,0xffffffff,0x3fffe61f,0xfffffa82,0xffffffff,0xffffe87f,
    0xfffdbbdf,0x3ea01fff,0xffffffff,0xa87fffff,0xfffcaaaa,0x42aaaacf,
    0xfffffff8,0x7d4001cf,0xccccdfff,0x2a4ccccc,0xffffffff,0xff302eff,
    0xff7007ff,0x7ffc03ff,0x3fe2004f,0xffe8007f,0x3fffe20f,0xffffc804,
    0x17fffec0,0x0bffff50,0x3bbbbbae,0xfffeeeee,0x7775c4ff,0xeeeeeeee,
    0x004fffff,0x001ffff2,0x007fffd8,0x3fffffe2,0x3fffe04f,0xffff9001,
    0x5555dfff,0xfffff985,0xffffffff,0x3fee000e,0x03ffffff,0x37fffea0,
    0xcccccccc,0xaaaaa84c,0xaacffffc,0x7ffc42aa,0x3e04ffff,0xfff11fff,
    0xffffffff,0x0bfffe61,0x337fffea,0xcccccccc,0x7ffffdc4,0xfffff880,
    0x3fffea05,0xcccccccd,0xff7004cc,0x3ea007ff,0xffffffff,0xffa800be,
    0xb10003ff,0xffffffff,0xfff309ff,0xfff7007f,0x7ffdc03f,0xfff1000f,
    0xfffd000f,0x27fffc41,0x07fffe40,0x81bfffe6,0x001ffffe,0xfffffd80,
    0x3ff60000,0xf1000fff,0xd5007fff,0xffffdddd,0x3ddddddf,0xffffff88,
    0x3fffe07f,0x9ffff001,0xfb00bfff,0x3fee9fff,0x01efffff,0xffdfffd0,
    0x7d400dff,0x00003fff,0x01ffffdc,0x7fffffc4,0x3fffe07f,0x3fffffe1,
    0xf30fffff,0xff505fff,0xf10007ff,0x4c03ffff,0x500fffff,0x0007ffff,
    0x3ffffb80,0x3fffee00,0x3fffffff,0x1ffffd40,0x3fae2000,0x2fffffff,
    0x01ffffcc,0x00ffffdc,0x007ffff1,0x0007fffc,0xff11fffe,0xff9009ff,
    0xfffd01ff,0xffff505f,0xff50000b,0x40005fff,0x02fffffa,0x03fffee0,
    0x3ffffee0,0xffffffff,0x7fc41fff,0x03ffffff,0x5003ffff,0xfff7bfff,
    0xfffff00b,0xfffffd88,0x7fc400ff,0xffffeaff,0xffff5000,0xfb800007,
    0xf8803fff,0x3fffffff,0x5c3ffff0,0xffffffff,0xffff30ff,0x7ffff505,
    0xffff7000,0xffffb00b,0x3fffea09,0x7dc00003,0x4c003fff,0xfffffffe,
    0x3ea05fff,0x00003fff,0x3ffffae2,0x7fffcc6f,0xffffb803,0x37ffec01,
    0x01ffff00,0x447fff80,0xc804ffff,0xf980ffff,0xffe86fff,0x440000ff,
    0x005fffff,0x3ffffe20,0x7fffc005,0xffff7005,0xffffffff,0xf883ffff,
    0x6fffffff,0x003ffff0,0xff75fffb,0xfff880bf,0xffff506f,0xffa809ff,
    0xffffb8ff,0xffff5002,0xfb800007,0xf8803fff,0x6fffffff,0xc83ffff0,
    0xffffffff,0x5ffff30f,0x07ffff50,0x5ffff900,0xbffff500,0x0ffffea0,
    0xfff70000,0x3660007f,0xffffffff,0xffff504f,0x32000007,0x7cc7ffff,
    0xfb803fff,0x7cc01fff,0xff002fff,0x4eea81ff,0x7c47fff8,0xfc804fff,
    0xffd00fff,0x7ffd45ff,0xfd80005f,0x0000ffff,0x03fffff6,0x1ffffa80,
    0xfffff700,0xffffffff,0xff883fff,0x2ffffbff,0x401ffff8,0xff77fff8,
    0xfff880bf,0xffd101ff,0x7ec01fff,0xffff36ff,0x3ffea00b,0x5c00003f,
    0x8803ffff,0xfffbffff,0x1ffff82f,0xffffffe8,0xffff30ff,0x7ffff505,
    0xffffb000,0xffff1001,0x3fffea0d,0x7dc00003,0x40003fff,0xfffffeb8,
    0xfffa81ff,0x3000003f,0xf98fffff,0xfb803fff,0xfe801fff,0xffd005ff,
    0x87ffd83f,0x7fc46fff,0xffc804ff,0xfff300ff,0x7ffff4bf,0x7fd40000,
    0x20002fff,0x02fffffa,0x037fff40,0x3fffe600,0x3ffe2003,0x86fffe9f,
    0x5c01ffff,0xfff74fff,0xfffff00b,0x3ffe201b,0x3ffe01ff,0x1ffffe4f,
    0x1ffffd40,0x3fee0000,0xff8803ff,0x6fffe9ff,0x501ffff8,0x1ffffffd,
    0x20bfffe6,0x003ffffa,0x007fffe8,0x541ffffe,0x0003ffff,0x1ffffdc0,
    0xfff50000,0xff509fff,0x333339ff,0x06e13333,0x17ffff20,0x007ffff3,
    0x003ffff7,0x003ffff5,0x7c43fffd,0x7ffc2fff,0x6ffffc46,0x99999999,
    0x200ffffd,0xf99ffffe,0x40004fff,0x04fffff8,0x3fffe200,0x7fcc004f,
    0x540002ff,0x2002ffff,0xfb9ffff8,0x7ffc1fff,0x7fff401f,0x00bfff71,
    0x1dfffff9,0x0fffffa0,0xb0ffffcc,0x5003ffff,0x3339ffff,0x01333333,
    0x0ffffee0,0x27fffe20,0x7c1ffffb,0x64c01fff,0xff30feec,0xfff505ff,
    0x3333339f,0x7ffc1333,0x3ffe007f,0xfffa80ff,0x999999cf,0xf7000999,
    0x00007fff,0x5ffffe88,0xffffffa8,0xffffffff,0x3559dff3,0xfffffb73,
    0x3ffff987,0x1ffffb80,0x09ffff00,0x543fffb0,0x3e24ffff,0x7ffc45ff,
    0xffffffff,0x0fffffff,0x33fffe60,0x000ffffd,0x77fffec0,0x3ff60000,
    0x64000eff,0x80007fff,0x001ffffb,0x227fffe2,0x7fc5ffff,0x3fe601ff,
    0x3fffee6f,0x7c44ffff,0x83ffffff,0x902ffffd,0xffb8ffff,0xffa804ff,
    0xffffffff,0x7003ffff,0x1007ffff,0xff13ffff,0xffff8bff,0x7fcc0001,
    0xfffa82ff,0xffffffff,0xfff13fff,0x7ff400df,0xfffa81ff,0xffffffff,
    0xf7003fff,0x00007fff,0x0dffff90,0xfffffff5,0x7fffffff,0x3ffffffe,
    0xefffffff,0x1ffffcc0,0x0ffffdc0,0x0ffffc80,0xb0fffec0,0x7c4fffff,
    0x7ffc45ff,0xffffffff,0x0fffffff,0x7fffff40,0x40004fff,0x01fffffa,
    0x3fffea00,0x7fc4001f,0xc80004ff,0x2000ffff,0xf91ffff8,0x7ffc3fff,
    0x3fff201f,0x3ffffee3,0xffa84fff,0x12efffff,0x201fffff,0x7c45fffe,
    0xfa806fff,0xffffffff,0x003fffff,0x007ffff7,0x323ffff1,0x3fe1ffff,
    0x4c0001ff,0xfa82ffff,0xffffffff,0xf33fffff,0x7400dfff,0xfa81ffff,
    0xffffffff,0x003fffff,0x007ffff7,0xffff7000,0xfffff50b,0xffffffff,
    0x3ffffe7f,0xffffffff,0xffff980e,0xffffb803,0xffff1001,0x2fffc807,
    0x47fffffe,0x7c44fff8,0xffffffff,0xffffffff,0x7ffd400f,0x000fffff,
    0x3ffffe20,0x3fe20004,0xb8004fff,0x0000ffff,0x007fffd8,0x88ffffc4,
    0x3fe4ffff,0x3ffe01ff,0x3fffee0f,0xf304ffff,0xbfffffff,0x20bffffb,
    0xe83ffff8,0x5400ffff,0xffffffff,0x03ffffff,0x07ffff70,0x23ffff10,
    0x3e4ffff8,0x40001fff,0xa82ffff9,0xffffffff,0x13ffffff,0x400dffff,
    0xa80ffffe,0xffffffff,0x03ffffff,0x07ffff70,0xffd80010,0xfffa83ff,
    0xeeeeeeef,0xfffb2eee,0xbfffffff,0x7fffcc05,0xffffb803,0x3fff6001,
    0x97ffe406,0x4ffffffa,0xf889fff3,0xeeeeffff,0xffffeeee,0xfffe800f,
    0x40004fff,0x006ffffd,0x37fffec0,0x5fffe800,0xfffd0000,0xfff8800d,
    0x3ffff61f,0x203ffff0,0x7dc6fffa,0x3eeeefff,0x3ffff620,0xffffffff,
    0x3ffff700,0x07ffff90,0xeeffffa8,0xeeeeeeee,0xffff7002,0xffff1007,
    0x87fffec3,0x0001ffff,0x417fffcc,0xeeeffffa,0x2eeeeeee,0x801ffffe,
    0xf507ffff,0xdddddfff,0x005ddddd,0x00ffffee,0x20137df1,0x1fffffd9,
    0x03ffffa8,0x55553100,0xff300135,0xff7007ff,0x7cc003ff,0x3ee02fff,
    0xfbff92ff,0x3ffe6dff,0x27fffc44,0x07fffe40,0x7ffffd40,0x3ea0000f,
    0x0001ffff,0x07ffffea,0x3fffea00,0xfff00001,0xff8800bf,0x3ffe61ff,
    0x03ffff4f,0xf70ffff6,0x2a000bff,0xffffffff,0x3ff601ff,0xffff506f,
    0xffffa80b,0x7dc00003,0xf8803fff,0x3fe61fff,0x3ffff4ff,0xfff98000,
    0xffffa82f,0xffff8003,0x3fffe007,0x7ffff506,0xffb80000,0x7fc403ff,
    0xfeeeffff,0x04ffffff,0x007ffff5,0x7cc00000,0xfc803fff,0x74000fff,
    0x3ee05fff,0xb5fff3ff,0xfff31fff,0x4ffff887,0x0ffffc80,0x9ffffd00,
    0x7ffc4000,0x220004ff,0x004fffff,0x00dfffb0,0x3fffe200,0x7ffc4004,
    0x7ffff41f,0x881ffff8,0x7dc0ffff,0x640005ff,0x1fffffff,0x13fffe20,
    0x407ffff8,0x003ffffa,0x7fffdc00,0xffff8803,0x47ffff41,0x0001ffff,
    0x417fffcc,0x003ffffa,0x01ffffe8,0x04ffff98,0x007ffff5,0xffffb800,
    0x7fffc403,0xffffffff,0xf500efff,0x00007fff,0x001dddd1,0x009ffff1,
    0x000ffff9,0x201ffff7,0xff9bfffb,0xabfffa8f,0x7fc43fff,0xffc804ff,
    0xff7000ff,0x6c0005ff,0x0006ffff,0x037fffec,0x3ffff980,0xfff30000,
    0xff88009f,0x7ffd41ff,0x81ffffbf,0xeeeffffb,0x005fffee,0xffffe880,
    0x3ffea03f,0xffffffff,0x202fffff,0x003ffffa,0x7fffdc00,0xffff8803,
    0x5ffffd41,0x0001ffff,0x40ffffd4,0x003ffffa,0x04ffffd8,0x03ffffc8,
    0x007ffff5,0xffffb800,0x7fffc403,0xffffffff,0x7fd404ff,0xa80003ff,
    0x3e007fff,0xfe805fff,0xff0006ff,0x3fea09ff,0xf16ffbbf,0x5fff5bff,
    0x04ffff88,0x00ffffc8,0x05ffff70,0x3fffea00,0x3ea0001f,0x0001ffff,
    0x000ffff9,0x17fffdc0,0x3fffe200,0xfefffe81,0xffe81fff,0xffffffff,
    0x200005ff,0x205ffffe,0xfffffffc,0xffffffff,0x3ffea04f,0x5c00003f,
    0x8803ffff,0xfe81ffff,0x1ffffeff,0x7ffdc000,0xffffa80f,0xfffa8003,
    0xfffe806f,0xffff501f,0xfb800007,0xdc803fff,0xffffffff,0xfa801cff,
    0x80003fff,0x2004fffc,0x201ffffe,0x005ffff9,0x01ffff90,0xffd9fff5,
    0x7dffff47,0x7ffc42ff,0xfffc804f,0xfff7000f,0xff10005f,0x40007fff,
    0x03fffff8,0x9ffff100,0x7ff40000,0x7c4000ff,0xffb81fff,0x41ffffff,
    0xfffffff9,0x05ffffff,0x3ffea000,0x3fffe06f,0xffffffff,0x207fffff,
    0x003ffffa,0x7fffdc00,0xffff8803,0xfffffb81,0x40001fff,0xf507fffe,
    0x20007fff,0x204ffffe,0x205ffffc,0x003ffffa,0x7fffdc00,0x6d4cc003,
    0x54006fff,0x0003ffff,0x002fffd8,0x07bffff2,0x07ffffa2,0x7fffc400,
    0xfdfff983,0x3ffee1ff,0x7c41fffd,0xfc804fff,0xf7000fff,0xb0005fff,
    0x000dffff,0x06ffffd8,0x3fffee00,0xff500000,0xf1000dff,0xff103fff,
    0x83ffffff,0xeeeefffc,0x05fffeee,0xfff90018,0x3ffe609f,0xffffffff,
    0x1fffffff,0x07ffff50,0xfffb8000,0xfff8803f,0xffff881f,0x3601ffff,
    0x3fffee03,0x7ffff505,0x3ffee000,0x3f261cff,0x2a00ffff,0x0003ffff,
    0x1ffffdc0,0x7fffb000,0xffffa800,0xfff80003,0x7ffc4007,0xfdccdfff,
    0x0004ffff,0x4c37ffec,0x46ffffff,0xfffffff8,0x27fffc41,0x07fffe40,
    0x2ffffb80,0x7fffd400,0xaaaaaacf,0x7d42aaaa,0xaaacffff,0x2aaaaaaa,
    0x002ffff4,0xffda9aa8,0x88003fff,0xf901ffff,0x43ffffff,0x701ffff8,
    0xfd00bfff,0x9511337b,0x205fffff,0x800ffffb,0x503ffffc,0x0007ffff,
    0x3ffffb80,0x1ffff880,0xffffff90,0x3bfee03f,0xfffda9ac,0xfff501ff,
    0x3e20007f,0xffffffff,0x04ffffff,0x01ffffd4,0xffffff00,0xffffffff,
    0x3ffe00ff,0x7fd4000f,0xffffffff,0xf107ffff,0xf7000bff,0xffffffff,
    0x001fffff,0x1ffffa80,0x7fffffc4,0xfffffe84,0x7fffc40f,0xffffc804,
    0xffff7000,0xfffe8005,0xffffffff,0x747fffff,0xffffffff,0xffffffff,
    0x0bfffea7,0x7ffff400,0x0006ffff,0x203ffff1,0xfffffff8,0x81bffea1,
    0xeeeffffb,0x3fffa0ee,0xffffffff,0x3ffa05ff,0xfff5006f,0x3ffea0df,
    0xffffffff,0xfff87fff,0xffffffff,0x7c47ffff,0xff101fff,0x303fffff,
    0xffffffff,0x409fffff,0xfffffffa,0x7fffffff,0xffffff98,0xdfffffff,
    0x7fffd400,0xffffffff,0xffff87ff,0xffffffff,0xf8807fff,0xfa8005ff,
    0xffffffff,0x007fffff,0x7ffdc000,0xffffffff,0xfd00000d,0xfff88bff,
    0xffb81fff,0x7c40ffff,0xfc804fff,0xf7000fff,0xf8005fff,0xffffffff,
    0xffffffff,0x7fffffc7,0xffffffff,0x3ff67fff,0x3fa0006f,0x0fffffff,
    0xffff1000,0x7fffec03,0x3fffa1ff,0x3fffee03,0x3a0fffff,0xffffffff,
    0x2205ffff,0x1004ffff,0x501fffff,0xffffffff,0x0fffffff,0xffffffff,
    0xffffffff,0x01ffff88,0x3ffffff6,0xffffe981,0x5fffffff,0x7ffffd40,
    0xffffffff,0xfffd107f,0x7fffffff,0x3fffea00,0xffffffff,0xffff87ff,
    0xffffffff,0xfa807fff,0xfa8002ff,0xffffffff,0x007fffff,0xffd88000,
    0x02efffff,0x7ffdc000,0x7ffffc0f,0xfffff307,0xffff881f,0xffffc804,
    0xffff7000,0xffff8005,0xffffffff,0x7c7fffff,0xffffffff,0xffffffff,
    0x07ffff17,0x7ffff400,0x20000cff,0x201ffff8,0x1ffffff9,0x401ffff1,
    0xfffffffb,0x3fff60ff,0xefffffff,0x7fffd403,0x3fffa001,0xffffa82f,
    0xffffffff,0xffff87ff,0xffffffff,0x7fc47fff,0x3fe601ff,0x2a01ffff,
    0xfffffffe,0xfffa801e,0xffffffff,0x76407fff,0x1dffffff,0x3fffea00,
    0xffffffff,0xffff87ff,0xffffffff,0xea807fff,0xff50005e,0xffffffff,
    0x000fffff,0xaa988000,0x4c000001,0x7ffc0999,0x3ffa04ff,0xfff887ff,
    0xfffc804f,0xfff7000f,0xfff8005f,0xffffffff,0x47ffffff,0xffffffff,
    0xffffffff,0x0333317f,0xaccb9800,0xf8800009,0x7f401fff,0xff91ffff,
    0xfffb80df,0x80ffffff,0xabcccaa9,0xffffb001,0xffffb800,0xfffffa85,
    0xffffffff,0xfffff87f,0xffffffff,0x7ffc47ff,0x7fff401f,0xba8801ff,
    0x2a0009ac,0xffffffff,0x07ffffff,0x0002aa60,0x7fffffd4,0xffffffff,
    0x00000007,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x98000000,0x0cc00001,0xffffb000,0x09ffffff,0x76dd4400,0x0001bdee,
    0x5e4c0000,0x00000000,0x13000000,0x01330000,0x00098000,0x00066200,
    0x00000000,0x00000033,0x000cc000,0x00000000,0x666665c0,0x33322002,
    0x26654003,0x4c016664,0xccb83ccc,0x2eeb801c,0x0003eea8,0x00019999,
    0x99909995,0x00008805,0x009ffff9,0x4ffffc80,0xffffd800,0x04ffffff,
    0xffffe980,0x04ffffff,0x3ffe0000,0x3bffe63f,0x00000000,0x01bfff20,
    0x00bffd30,0xfffffd98,0x4eeeeeee,0x1dffd100,0x25eeea80,0x1dffffda,
    0xfd800000,0xbddd35ff,0x77fffecc,0xff980002,0x5eee984f,0x3bffff66,
    0xc8000002,0x40006fff,0x03fffffc,0x3ffffa20,0x3ffee004,0x00bffea1,
    0xf92fffe4,0xff5009ff,0x7ffcc3ff,0x7fec002f,0xfb8006ff,0x3ffea1ff,
    0x1dffd102,0x7fffec00,0xfb0005ff,0x00bfffff,0xffffffd8,0x4004ffff,
    0xfffffffc,0x004fffff,0xffff3000,0x1ffffe41,0x26000000,0xffd1cccc,
    0xffe8007f,0xfd8803ff,0xffffffff,0x005fffff,0x80bffffb,0xff96fffb,
    0x05ffffff,0xfff80000,0x2dfff32f,0xfffffffb,0x7e40003f,0xfff981ff,
    0xffffff76,0x326007ff,0xcccccccc,0x01ffff44,0xdffff900,0x7ff44003,
    0x3004ffff,0xffb9ffff,0x7e4001ff,0x4fffcdff,0x7ffffb00,0x02ffffdc,
    0xffffffb0,0xfff9800b,0x0ffffdcf,0x0bffffb0,0x2efffea0,0x54001fff,
    0xfffbbfff,0x2aaa6001,0x1aaaaaaa,0xffffd100,0xffffffff,0x0100009f,
    0xfb8bfff7,0x00005fff,0x7fffdc00,0x00ffff8a,0x3ffffe20,0xffffd806,
    0xffffffff,0xff005fff,0xfb80ffff,0xffffbfff,0x00ffffff,0xfff30000,
    0x5ffffccf,0xffffffff,0x3a0001ff,0xfff306ff,0xffffff7f,0x7003ffff,
    0xffffffff,0x7fffc4ff,0xfff90000,0xfe8001bf,0x3fffdbff,0xfffff900,
    0xb0009fff,0x0bffffff,0x17fffe40,0x009ffff7,0x3f33fff2,0x7e4005ff,
    0x4fffffff,0x1fffffe0,0xf517fe40,0xffc8007f,0x000ffea2,0xffb00000,
    0x559dffff,0x0009ffb9,0xfb05fb71,0xffe885ff,0x0000005f,0x557fffdc,
    0x44006fff,0x405fffff,0x89effffb,0xceffffda,0xfffd002c,0xfffb80ff,
    0xfeffffff,0x2003ffff,0x703cccc8,0x7fcc9fff,0xffffffff,0x005fffff,
    0x27ffd4c4,0xffffff98,0xffffffff,0xfffb805f,0x27ffffff,0x0006fff9,
    0x007ffff9,0x6c5fffb0,0xf9003fff,0x009fffff,0x2ffffec0,0x1bffa200,
    0x2003bffa,0x3f24fffc,0x7e4004ff,0x404fffff,0x006ffffe,0x7fd43ff9,
    0x0ffe4004,0x00009ff5,0x7ffcc000,0x2a200eff,0x7ffdc002,0x07fff82f,
    0x0009fff5,0xfffb8000,0x03fffbaf,0x1ffffc80,0x837ffec0,0x000ffffc,
    0x017fffd4,0x3fffffee,0x3fffea2e,0x3ffe2007,0x3fffb05f,0x7fffffcc,
    0xffff50bf,0xffdc980f,0x301fffff,0x7fffffff,0x1ffffea1,0x3ffffee0,
    0x3ee7ffff,0xc98003ff,0xa8001ccc,0xccc82ccc,0xbb73000c,0x99000037,
    0x2a200099,0x4c00aa02,0xccb83ccc,0x6dcc001c,0xffb801bd,0xff5002ff,
    0x05ffd33b,0x99dffa80,0x98002ffe,0x01cccccc,0x3bffff60,0xf7000000,
    0xff985fff,0x5fff704f,0xb8000000,0xffdaffff,0x9950000f,0x5ffff001,
    0x0bfffe60,0x00732600,0x3fffffee,0x07fffe80,0x17fffe20,0x3e63fffc,
    0xe81fffff,0xf700ffff,0xffffffff,0xfff301df,0xffd03fff,0x998801ff,
    0x7fffe999,0x0003fff6,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0b76a000,0xfffffd00,0x3fa000df,0x006fffff,0xffffff90,0x3ffea009,
    0x000001ff,0x30bfffee,0xfca83999,0x000005ff,0xaffffb80,0x00003ccc,
    0x3ffff100,0x01ffff40,0x7fdc0000,0xff901fff,0x3e2001ff,0xcc885fff,
    0x7fffcc2c,0xffff902f,0xffffd883,0xffffffff,0x7fffcc1f,0xffff902f,
    0x3ffa0003,0x00f3327f,0x00000400,0x18800008,0x00c40000,0x00000000,
    0x4cc00000,0x00000009,0x1dffffd1,0x3ffa2000,0xf0000eff,0x0fffffff,
    0x17ffff20,0xff700000,0xff8005ff,0x00000eff,0xffffb800,0x01000002,
    0x03ffff88,0x000bfffe,0xffb800c4,0x3bae03ff,0xff1000ee,0xf3000bff,
    0x7dc09fff,0x7fe42fff,0xffedffff,0x7cc6ffff,0x3ee04fff,0xd0002fff,
    0x0000ffff,0x7fff6e4c,0x4c002def,0xeffffedc,0xfedb802d,0x8002deff,
    0xdefffedb,0x77774c02,0x3bbbaa02,0x177774c1,0x03dddd50,0x3ffff6e6,
    0x0002efff,0x02bba800,0x05775000,0x7fffcc00,0xe801ffff,0x0002ffff,
    0x7fffdc00,0x177fc002,0x22000000,0x05ffff71,0xfdb93000,0xf85bdfff,
    0xff506fff,0x6dc003ff,0x02defffe,0x005ffff7,0x3ffe2000,0xff98005f,
    0x3fee03ff,0x3ffe22ff,0x3fffe2ff,0x3e63ffff,0x3ee03fff,0xd0002fff,
    0x0000ffff,0x3ffffff2,0x2004ffff,0xfffffffc,0x36204fff,0xffffffff,
    0xffb1004f,0x9fffffff,0x1ffffd40,0x83ffff70,0x203ffffa,0xa81ffffb,
    0xffffffff,0xf01fffff,0x00000fff,0x04ccc000,0xffff7000,0xf007ffff,
    0x0001ffff,0x777776c0,0xeeeeffff,0x0040eeee,0x20002620,0xfffffedb,
    0x0002ffff,0x7fffffe4,0x7e44ffff,0x3ea1cfff,0xb1007fff,0xffffffff,
    0xffff709f,0x22000005,0x8005ffff,0x203ffff9,0x322ffffb,0x3ea2ffff,
    0x6ffffdff,0x80ffffe6,0x002ffffb,0x00ffffd0,0xffffe980,0x4fffffff,
    0xffffe980,0x4fffffff,0xffffff30,0x0dffffff,0xffffff98,0x06ffffff,
    0x407ffff5,0x541ffffb,0x2e03ffff,0xfa81ffff,0xffffffff,0x440fffff,
    0xd300ffff,0x75405ddd,0xb7301eee,0xdfffffff,0xfffe8005,0x406ffffe,
    0x007ffff8,0x7ffff400,0xffffffff,0x200fffff,0xf911eeed,0x3009ffff,
    0xfffffffd,0x005fffff,0x3ffffa60,0x4fffffff,0xefffffe8,0x01ffffff,
    0xffffff98,0x46ffffff,0x002ffffb,0xffff1000,0xfff3000b,0x7ffdc07f,
    0x1bfffe2f,0xffb1fffb,0x3ffe61ff,0x3ffee03f,0xffd0002f,0x7c4000ff,
    0xffffffff,0x4404ffff,0xffffffff,0xd04fffff,0x759fffff,0x407fffff,
    0xacfffffe,0x83fffffb,0x203ffffa,0x541ffffb,0x2e03ffff,0xfa81ffff,
    0xdaaaccef,0x444fffff,0xf500ffff,0x7dc07fff,0xffa81fff,0xffffffff,
    0xf8801fff,0xfffeafff,0x3ffe600f,0x7400007f,0xffffffff,0xffffffff,
    0x3fffa00f,0xfffffe99,0xff900eff,0xffffffff,0x0005ffff,0xfffffff1,
    0x89ffffff,0xffffffe8,0x003fffff,0x59fffffd,0x47fffff7,0x002ffffb,
    0xffff1000,0xfff3000b,0x7ffdc07f,0x7ffff12f,0xfaafffc4,0xfff32fff,
    0x7ffdc07f,0xffd0002f,0x7ec000ff,0x209dffff,0x7ec04da9,0x209dffff,
    0xffb84da9,0xffe883ff,0xfffb80ff,0xfffe883f,0x7fffd40f,0x3fffee03,
    0x1ffffd41,0x03ffff70,0xff980393,0x7ffc46ff,0xffff500f,0x7fffdc07,
    0xfffffa81,0xffffffff,0x7ffd400f,0x2ffffb8f,0x1bfffea0,0xdddb0000,
    0xddffffdd,0x01dddddd,0x7fdffff4,0xffffffff,0xfffff984,0xfffdccdf,
    0xfd8002ff,0x209dffff,0x7fe44da9,0xffffffef,0xfff7000c,0xfffd107f,
    0x3fffee1f,0xf1000002,0x3000bfff,0x5c07ffff,0xff52ffff,0x7ffd43ff,
    0x27ffff33,0x203ffff9,0x002ffffb,0x00ffffd0,0x3ffffea0,0x7fd40003,
    0x88003fff,0x2a06ffff,0x7c43ffff,0x3ea06fff,0x7fd43fff,0x3fee03ff,
    0x7ffd41ff,0x3ffee03f,0x7ec0001f,0x3fe20fff,0xfff501ff,0x7ffdc07f,
    0xceffa81f,0xfffdaaac,0x7fec04ff,0xbffff36f,0x3ffffcc0,0x7dc00000,
    0x20002fff,0xfffffffe,0xffffffff,0x6fffff40,0x2ffffb80,0x7fffd400,
    0x7fcc003f,0x0135316f,0x6ffff880,0x4ffffea0,0x002ffffb,0xffff1000,
    0xfff3000b,0x7ffdc07f,0x1ffff72f,0xf887ffec,0xfff34fff,0x7ffdc07f,
    0xffd0002f,0x3f6000ff,0x80005fff,0x005ffffd,0x07ffff50,0x544ffff8,
    0x7c03ffff,0x7fd44fff,0x3fee03ff,0x7ffd41ff,0x3ffee03f,0x7e40001f,
    0x3fe61fff,0xfff501ff,0x7ffdc07f,0x401c981f,0x406ffff9,0x3fe4ffff,
    0x3fe207ff,0x00000fff,0x17fffdc0,0xffffd000,0x3fa639ff,0x3ff22fff,
    0x3fee05ff,0x7ec002ff,0xb8005fff,0x00005fff,0x807ffff5,0xff74ffff,
    0x000005ff,0x017fffe2,0x0ffffe60,0x92ffffb8,0x3e21ffff,0x3ffe25ff,
    0x7ffff33f,0x17fffdc0,0x7fffe800,0xffffd000,0xffd00001,0x2e0001ff,
    0x9999ffff,0xffff9999,0x4ffffdc6,0xf9999999,0x7fd46fff,0x3fee03ff,
    0x7ffd41ff,0x3ffee03f,0x9988001f,0x261ffffc,0xf501ffff,0x7dc07fff,
    0x40001fff,0x300ffffd,0x7ec3ffff,0x3fe01fff,0x00001fff,0x17fffdc0,
    0xffffd000,0xffff709f,0x0fffff47,0x05ffff70,0x0ffffe80,0xffffc800,
    0xffb80002,0x999999ff,0x76ffff99,0x0005ffff,0x3fffe200,0xfff98005,
    0x3ffee03f,0x3ffff72f,0xf98fffea,0xfff32fff,0x7ffdc07f,0xffd0002f,
    0xff1000ff,0x10000fff,0x000fffff,0x7fffffec,0xffffffff,0x7ffec7ff,
    0xffffffff,0x547fffff,0x2e03ffff,0x7d41ffff,0x3ee03fff,0x64c01fff,
    0xffffffee,0x3fe61fff,0xfff501ff,0x7ffdc07f,0x7e40001f,0xff901fff,
    0xffffb8ff,0x3ffffa04,0x5c000003,0x0002ffff,0x417ffffa,0x3e4ffff9,
    0x7dc06fff,0x22002fff,0x0007ffff,0xdffffff5,0x0359bddd,0xffffffd8,
    0xffffffff,0xffff77ff,0x22000005,0x8005ffff,0x203ffff9,0xf52ffffb,
    0x3ff65fff,0x3fffea0f,0x07ffff31,0x017fffdc,0x07fffe80,0x6ffff980,
    0xfff98000,0x3fa0006f,0xffffffff,0x7fffffff,0x7ffffff4,0xffffffff,
    0x7ffd47ff,0x3ffee03f,0x7fffd41f,0x3fffee03,0xffffb301,0xffffffff,
    0x7fffd43f,0x7ffff502,0x0ffffdc0,0x7e4cc400,0xffd01fff,0xffff88bf,
    0x3ffff606,0x5c000007,0x0002ffff,0xf01ffffa,0x3fe6bfff,0x7fdc05ff,
    0x3e6002ff,0x20006fff,0xfffffffd,0x2effffff,0xffffffd0,0xffffffff,
    0x3ffeefff,0x1000002f,0x000bffff,0x407ffff3,0xf32ffffb,0xfff19fff,
    0x0ffffd8b,0x407ffff3,0x002ffffb,0x00ffffd0,0x0bffff50,0xffff5000,
    0x7ffc000b,0xffffffff,0x47ffffff,0xffffffff,0xffffffff,0x7fffd47f,
    0x3fffee03,0x1ffffd41,0x03ffff70,0xfffffff3,0xffffffff,0x17fffd43,
    0x03ffffa8,0x007fffee,0xffffdd93,0x103fffff,0xfd07ffff,0x3ea01fff,
    0x0003ffff,0x3fffee00,0x3ffa0002,0x7fffc06f,0x09ffff55,0x02ffffb8,
    0x17fffea0,0xffffd000,0xffffffff,0xffff05ff,0xffffffff,0x2effffff,
    0x0002ffff,0xbffff100,0xffff3000,0x7fffdc07,0x2fffffa2,0x3fe62fff,
    0x3ffe65ff,0x3ffee03f,0xffd0002f,0xff3000ff,0x30000fff,0x000fffff,
    0x4cf7fff4,0x99999999,0x7fff4099,0x9999999e,0x54099999,0x2e03ffff,
    0x7d41ffff,0x3ee03fff,0x7fc41fff,0x99abffff,0x21ffffc9,0x502ffffa,
    0x5c07ffff,0xb301ffff,0xffffffff,0x703fffff,0xf903ffff,0x7f407fff,
    0x8803ffff,0x7ffdc001,0x3fa0002f,0x7ffc06ff,0x7ffff75f,0x2ffffb80,
    0x3fffe600,0x3ff60007,0xfeeeeeff,0x40ffffff,0x999efffe,0x99999999,
    0x5ffff709,0x3e200000,0x98005fff,0x2e03ffff,0x3f21ffff,0x0fffffff,
    0x43fffff3,0x203ffff9,0x002ffffb,0x00ffffd0,0x03ffffe0,0x3fffe000,
    0xffb0000f,0xfb0000ff,0x50000fff,0x5c07ffff,0x7d41ffff,0x3ee03fff,
    0x7fdc1fff,0x3fee05ff,0x3ffea1ff,0xffff502f,0x7fffdc07,0xfffff981,
    0xffffffff,0xfffd81ff,0xbffff506,0x7ffffd40,0x36a21adf,0x7fdc004f,
    0x3a0002ff,0x7fc06fff,0xffff55ff,0xffffb809,0x7fffc002,0xffc8000f,
    0x3fea02ff,0x7fec2fff,0x0000007f,0xfff10000,0x000000bf,0x441ffff9,
    0xefffffff,0x5fffffdb,0x00000000,0x001ffffa,0x027ffff4,0x7ffff400,
    0xfff70004,0xfb80003f,0x40001fff,0x303ffff9,0x983fffff,0xf303ffff,
    0xfd83ffff,0x3ee01fff,0x3fee1fff,0xfff503ff,0x7ffdc07f,0x7fffc41f,
    0xc999abff,0x7c41ffff,0x3fe04fff,0x7ff407ff,0xffffffff,0x4004ffff,
    0x002ffffb,0x01bfffa0,0x3e6bffff,0x7dc04fff,0x74002fff,0x4004ffff,
    0x804ffff9,0x5c3ffffa,0x0001ffff,0x88000000,0x0005ffff,0x7fffd800,
    0xffffffa8,0xefffffff,0x00000000,0x01ffffa0,0x7ffffec0,0x7fec0002,
    0xa8002fff,0x0006ffff,0x037fffd4,0x3fffe600,0xffffe885,0x7fffcc1f,
    0xffffe885,0x7ffff41f,0xfffff301,0x1ffffdc3,0x03ffffa8,0x707fffee,
    0x5c0bffff,0x7d41ffff,0xffffffff,0x2fffffff,0x3ffff620,0xffffffff,
    0x7fdc004f,0x3a0003ff,0x7fc06fff,0xffff15ff,0x7fffc40d,0x7fec002f,
    0x2e002fff,0xb802ffff,0x7d42ffff,0x00006fff,0x003bbba2,0x3fffe200,
    0x4c000005,0xf506ffff,0xffffffff,0xe88009ff,0x00000eee,0x003ffff4,
    0xffffff88,0x204b980c,0xcffffff8,0xfe84b980,0x1800dfff,0x1bffffd0,
    0x3ffe0300,0x3ffaa1ff,0xff81ffff,0x3faa1fff,0x6c1fffff,0xfa84ffff,
    0x2e1fffff,0xf303ffff,0x3e607fff,0x7ec1ffff,0x3ee01fff,0x7fe41fff,
    0xffffffff,0x04ffffff,0xffffffc8,0x04ffffff,0x2ffffd40,0xdfffd000,
    0x25ffff80,0x881fffff,0x02fffffe,0x7ffffc40,0x54b980cf,0x880dffff,
    0xe80ffffe,0x800dffff,0x3fffd401,0xfff88000,0x2000005f,0x03ffffe9,
    0x3fffffe6,0xa8002dff,0x00007fff,0x007fffe8,0x3ffffee0,0xfffeefff,
    0x7fffdc05,0xffeeffff,0xffff985f,0xcbaabcff,0xfff307fd,0x75579fff,
    0x3fa0ffb9,0xffeeffff,0x81ffffff,0xeefffffe,0xffffffff,0x7ffffdc1,
    0xffffebbd,0x3ff21fff,0xfff304ff,0xfffd10bf,0xfffe83ff,0xffff301f,
    0xfffff83f,0xffffffff,0x3007ffff,0xffffffd7,0xf30005bf,0x0001ffff,
    0xf01bfffa,0x7fe4bfff,0x3fa60eff,0x002fffff,0xffffffb8,0x5fffeeff,
    0x7bfffff1,0xfff95335,0x3fe609ff,0xaabcffff,0x6407fdcb,0x00004fff,
    0x33bffff1,0x33333333,0x3ffb2001,0x7dc06fff,0x000aabff,0x027ffe40,
    0x7fff4000,0x7ff40007,0xffffffff,0xffe805ff,0xffffffff,0xfffb05ff,
    0xffffffff,0x7fec0fff,0xffffffff,0xff507fff,0xffffffff,0x503ffff9,
    0xffffffff,0x3ffff9ff,0xffffff88,0xffefffff,0x3fff21ff,0x3fffe04f,
    0x3fffaa1f,0x7fec1fff,0xfffa84ff,0x3fe61fff,0xffffffff,0xffffffff,
    0x3ffea001,0x4400009f,0xbdffffff,0x3a00ecba,0x7fc06fff,0x3ffe25ff,
    0xfffedfff,0x002fffff,0xffffffd0,0x4bffffff,0xfffffffc,0xffffffff,
    0x7fffec05,0xffffffff,0x7ffec07f,0xff100002,0xffffffff,0x007fffff,
    0x3ffffffa,0x03fff401,0x3fff6000,0xddd10002,0xfffffddd,0x009ddddd,
    0x7fffffdc,0x005fffff,0xfffffff7,0x5c0bffff,0xffffffff,0x5c07ffff,
    0xffffffff,0x3607ffff,0xffffffff,0x203fffd4,0xfffffffd,0x03fffd4f,
    0xfffffff5,0xfffd1bff,0x27fffe43,0xdfffffd0,0xfffffffd,0xffffb83f,
    0xfffebbdf,0x3ee1ffff,0xfc800fff,0x32003fff,0x00004fff,0x3fffffee,
    0x200fffff,0x7c06fffe,0x7fec5fff,0xffffffff,0x002fffec,0x3ffffee0,
    0x45ffffff,0xfffffffc,0x03ffffff,0xffffff70,0x0fffffff,0x0007fff8,
    0x3ffffe20,0xffffffff,0xffd003ff,0xf9803dff,0x400004ff,0x20007fff,
    0xfffffff8,0xffffffff,0x76c4005f,0xceffffff,0x3fb62001,0x1cefffff,
    0x7fffec40,0x03efffff,0xfffffd88,0x403effff,0x2efffffb,0xb807fffa,
    0x22efffff,0xd301fffe,0x45dfffff,0x3f21fffe,0x3ea04fff,0xffffffff,
    0x41ffffcf,0xfffffff8,0xfffeffff,0x1bfffa1f,0x37fffd40,0x03fffb00,
    0xfffe8000,0x0fffffff,0x01bfffa0,0xfb0bffff,0x9fffffff,0x000bfffa,
    0xffffdb10,0x71039dff,0xdffffffb,0xfb10005b,0xffffffff,0x7ffc407d,
    0x3e200005,0xffffffff,0x03ffffff,0x005bdfd0,0x0007fff2,0x05fff880,
    0x3fffe200,0xffffffff,0x0005ffff,0x0004cd4c,0x0099a980,0x35553100,
    0x54c40001,0x980009aa,0x300001aa,0x10000355,0xc8001555,0x6c04eeee,
    0xffffffff,0x503fffd4,0xffffffff,0x3fffd1bf,0x013fffe2,0x07ffffc4,
    0x006fff80,0xffff5000,0x401dffff,0x7c06fffe,0xff905fff,0x7f45dfff,
    0x400002ff,0x800099a9,0x40000098,0x009aaa98,0x88000000,0xffffffff,
    0x3fffffff,0x22000100,0x00000199,0x3fe20000,0xffffffff,0x05ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3bffffee,
    0x407fffa2,0xefffffe9,0x547fffa2,0x2001ffff,0x802ffffe,0x0003fff8,
    0x5554c400,0xfffe8009,0x2ffffc06,0x0006aa20,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x01aa9800,0x0aaa8800,0x1ffff600,
    0xbffff700,0x01ddd300,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x03100000,0x66540000,0xeeb800cc,0x003eea82,0x40f7f6e2,
    0x33320001,0x5000000c,0x70799999,0x00599999,0x1e665400,0x40333322,
    0x82ccccca,0xa8000098,0x003ccccc,0x5c001333,0x002ccccc,0x83ccc980,
    0xb801cccb,0x3eea82ee,0x19999000,0x99500000,0x99707999,0x00005999,
    0x33332a00,0x054c003c,0x82eeb800,0x71003eea,0x00607bfb,0x00666640,
    0x66654000,0xcccb83cc,0x400002cc,0xdefffedb,0x3f200002,0x7d400fff,
    0x3fe61fff,0xff8802ff,0x912effff,0xffb0005f,0x00000dff,0x09fffff5,
    0x17ffffec,0xfffb0000,0x017ffec7,0x2bfffff6,0x002ffecb,0x7ffffd40,
    0xfffb7304,0x005dffff,0x05fffffb,0xbfff9000,0x4027ffe4,0x261ffffa,
    0x4002ffff,0x006ffffd,0x7fffd400,0x3fff604f,0x000002ff,0x27ffffd4,
    0x0bfff600,0x3ffff500,0x017fffcc,0x3fffffe2,0x005f912e,0x06ffffd8,
    0x7ffd4000,0x3ff604ff,0x80002fff,0xffffffd8,0xb8004fff,0xfffecccc,
    0xffb02ccf,0x7ffdc7ff,0xfffe805f,0xffffffff,0x3f6000ff,0x005fffff,
    0x3fffea00,0xfffb802f,0x200002ff,0xffdbfffd,0xffe8802f,0xffffffff,
    0x3fea0002,0xff502fff,0xffffffff,0xfb803fff,0x0002ffff,0xfcdfffc8,
    0xffb004ff,0x7ffdc7ff,0x3ff6005f,0x0005ffff,0x5fffff50,0xfffff700,
    0x2a000005,0x002fffff,0x07ffffdc,0x7ffffb00,0x02ffffdc,0x3ffffffa,
    0x0fffffff,0xfffffb00,0x2a0000bf,0x802fffff,0x02fffffb,0x3fffe600,
    0xffffffff,0x7fff4006,0xffffffff,0x5ffff905,0x027fffdc,0x3af7ffa2,
    0x3fffffff,0x33fff200,0x0005fffc,0x0effffa8,0x3fffa600,0xd100002f,
    0x07ffffff,0xfffffdb8,0x2fffffff,0xffff5000,0x7ffd401d,0xffffffff,
    0x74c00fff,0x0002ffff,0xffffffd8,0x3fff2005,0x3fffee2f,0x9fff9004,
    0x000bfff9,0x0effffa8,0x3fffa600,0x5400002f,0x000effff,0x2fffffd8,
    0x3ffff200,0x13fffee2,0xebdffe88,0x3fffffff,0x99fff900,0x8000bfff,
    0x00effffa,0x3ffffa60,0xfffd0002,0xfff759ff,0x7f4007ff,0xffffffff,
    0xffd105ff,0x01dffd0d,0xffc85d10,0x32005fff,0x3ff24fff,0x3ea0004f,
    0x20004fff,0x002ffffd,0xffffd100,0xffffd007,0x7bffffff,0xff500013,
    0xff5009ff,0xfb55599d,0x2009ffff,0x002ffffd,0x5ffffd80,0x37ff4400,
    0x40077ff4,0x3f24fffc,0xf50004ff,0x40009fff,0x002ffffd,0x9ffff500,
    0x7ffec000,0x3a2001ff,0xeffe86ff,0x32174400,0x005fffff,0x7e49fff9,
    0xf50004ff,0x40009fff,0x002ffffd,0x41ffffdc,0x00ffffe8,0xffffffd0,
    0x40bfffff,0x00aa02a8,0x05654400,0x07999300,0x00039997,0x00599991,
    0x19999500,0x33220000,0xfffd003c,0x5fffffff,0x66644000,0x0393002c,
    0x06ffff98,0x033332a0,0x13332000,0x50154400,0x33326005,0x01cccb83,
    0x16666440,0x66654000,0x6440000c,0x40002ccc,0x005ffff9,0x0aa02a88,
    0x2b2a2000,0x79993000,0x00399970,0x02cccc88,0xcccca800,0xffff1000,
    0x7fffd40d,0x3ff20003,0x000000ff,0x00000000,0x00000000,0x00000000,
    0xcee80000,0xfffffb1b,0x00000001,0xffffd800,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0000fb66,0x00000000,0x00000000,
    0x00000000,0x0ffffea0,0x009ffff0,0xffff9198,0x00620001,0x00062000,
    0x00006200,0x00000620,0x00000062,0xff880001,0x00005fff,0x7e400000,
    0x00001fff,0x99988000,0x01880000,0x000c4000,0x00006200,0x88000620,
    0x0004c009,0x33000000,0x26000013,0x30000099,0x20000133,0x00000999,
    0xb8002666,0x9999ffff,0xffff9999,0x7ff6dc06,0x0fffffff,0xfffb9100,
    0x10005bdf,0xbdffffb9,0xfb910005,0x005bdfff,0xffffb910,0x910005bd,
    0x5bdffffb,0x76e4c000,0x02deffff,0x3ffff6e2,0x2602ffff,0x2a02eeee,
    0x4001eeee,0xffffc998,0x177774c1,0x03dddd50,0xffffec88,0x2002efff,
    0xdefffedb,0xfedb8002,0x8002deff,0xdefffedb,0xfdb70002,0xa805bdff,
    0x0dfffffd,0x07dfffb1,0xb9800000,0xfffffffd,0xfb73002e,0x5dffffff,
    0x3ff6e600,0x02efffff,0xffffb730,0x4005dfff,0xfffffdb9,0x7ec02eff,
    0xffffffff,0x7fffffff,0xfffffd30,0x1fffffff,0xfffff500,0x01bfffff,
    0x3ffffea0,0x00dfffff,0xffffff50,0x001bffff,0x3fffffea,0x000dffff,
    0xfffffff5,0x8001bfff,0xfffffffc,0xfd504fff,0xffffffff,0x7ffd40df,
    0x3ffee03f,0x3bb2601f,0xffffffff,0x7fffd41f,0x3fffee03,0x3ffff201,
    0x4fffffff,0xffffd880,0x004fffff,0xffffffb1,0x22009fff,0xfffffffd,
    0x362004ff,0xffffffff,0xffff704f,0xff7fffff,0x507fffff,0xdddddddd,
    0x7fd400dd,0xffffffff,0x3ea01fff,0xffffffff,0x2a01ffff,0xffffffff,
    0x201fffff,0xfffffffa,0x01ffffff,0x7fffffd4,0x1fffffff,0xffffffd0,
    0xffffffff,0xfff90fff,0xffffffff,0xfd801fff,0xffffffff,0x6c01ffff,
    0xffffffff,0x401fffff,0xfffffffd,0x01ffffff,0x7fffffec,0x1fffffff,
    0x7ffffec0,0xffffffff,0xfffe9801,0xffffffff,0xfffffc84,0xffffffff,
    0x7ffff502,0x0ffffdc0,0x7ffffecc,0xffffffff,0x1ffffd41,0x03ffff70,
    0x3ffffff2,0x04ffffff,0x7fffffcc,0x06ffffff,0x7fffffcc,0x06ffffff,
    0x7fffffcc,0x06ffffff,0xffffff98,0x86ffffff,0xfffffffb,0xffffffff,
    0x7fdc1fff,0x7fffffff,0x3fffea00,0xffffffff,0xfff500ff,0xffffffff,
    0x3ea01fff,0xffffffff,0x500fffff,0xffffffff,0x01ffffff,0x7fffffd4,
    0xffffffff,0xffffff80,0xffffffff,0x7fd47fff,0xeccdffff,0x200fffff,
    0xfffffffb,0x5fffffff,0x3ffffee0,0xffffffff,0x3ffee05f,0xffffffff,
    0x3ee05fff,0xffffffff,0x205fffff,0xfffffffb,0x5fffffff,0x7ffffc40,
    0xffffffff,0x7ffffd44,0xfffeccdf,0xffff506f,0x7fffdc07,0x7ffffcc1,
    0xffffffff,0x7ffd41ff,0x3ffee03f,0xffffa81f,0xdbaa9bdf,0x7fff404f,
    0xfffbacff,0x3ffa03ff,0xffbacfff,0x3fa03fff,0xfbacffff,0x7403ffff,
    0xbacfffff,0x5c3fffff,0xffb99bef,0xfeabffff,0x7ffdc4ff,0x07ffffff,
    0x333bfea0,0xffffdaaa,0x9dff504f,0xfffb5559,0x3fea09ff,0xfdaaacce,
    0xf504ffff,0xb55599df,0x409fffff,0xaacceffa,0x4fffffda,0x99efffe8,
    0x99999999,0x3ffa2099,0xfff905ff,0x3ffe201f,0x3f221dff,0xf882ffff,
    0x221dffff,0x82fffffc,0x1dfffff8,0x3fffff22,0xfffff882,0x3fff221d,
    0xfff882ff,0x3f221dff,0x3602ffff,0x09dfffff,0xffd136a6,0xff981bff,
    0xffa80fff,0x3fee03ff,0x3ffe21ff,0x999abfff,0x541ffffc,0x2e03ffff,
    0xfd81ffff,0x00804fff,0x20ffffee,0x80ffffe8,0x883ffffb,0xb80ffffe,
    0xe883ffff,0xf700ffff,0xfd107fff,0x80cc1fff,0x744ffffa,0x777547ff,
    0x07ffffee,0xf3007260,0x3260dfff,0x7fffcc01,0x98039306,0x9306ffff,
    0xffff9803,0x30072606,0xfb0dffff,0xc8000fff,0x3205ffff,0xfb00ffff,
    0x7e409fff,0xffd86fff,0x3ff204ff,0xfffd86ff,0x3fff204f,0xffffd86f,
    0x3ffff204,0x4ffffd86,0x1bffff20,0x1fffffd4,0x3ffff200,0x3ffffa05,
    0x3ffffa83,0x87fffee0,0x205ffffb,0x541ffffb,0x2e03ffff,0xfe81ffff,
    0x20001fff,0x206ffff8,0x443ffffa,0x2a06ffff,0x7c43ffff,0x3ea06fff,
    0xff883fff,0x3fea06ff,0x3fe003ff,0x7ffe42ff,0x7fffe801,0xffb00000,
    0xd80001ff,0x0000ffff,0x007fffec,0x3ffff600,0xffd80000,0x7ffdc0ff,
    0x3fa0001f,0x3f201fff,0xfff00fff,0x7fc401ff,0x7ffc0fff,0x3fe200ff,
    0x7ffc0fff,0x3fe200ff,0x7ffc0fff,0x3fe200ff,0x7ffc0fff,0x3fe200ff,
    0xffd80fff,0xfe8005ff,0x3ee01fff,0xffa85fff,0x3fee03ff,0x3fff61ff,
    0x3ffee01f,0x7fffd41f,0x3fffee03,0xdffffe81,0xfff50000,0xffff807f,
    0x1ffffd44,0x513fffe0,0xf807ffff,0xffa84fff,0x7ffc03ff,0x3ffe004f,
    0x17ffd40f,0x03ffff40,0xfffc8000,0x7e40001f,0x40001fff,0x001ffffc,
    0x0ffffe40,0x7ffe4000,0x7fffd41f,0x3ffe0006,0x7ffe406f,0xffff880f,
    0xffffc805,0x17fffe21,0x87ffff20,0x805ffff8,0x221ffffc,0xc805ffff,
    0x3e21ffff,0xfc805fff,0xffe81fff,0xff8000ff,0x7fcc06ff,0xfffa86ff,
    0x3ffee03f,0x3ffffa1f,0xfffff301,0x3ffffa83,0x07fffee0,0x3ffffff2,
    0x7fdc001c,0x999999ff,0x46ffff99,0x999ffffb,0xfff99999,0x7fffdc6f,
    0x99999999,0xfb86ffff,0x99999fff,0x6ffff999,0x21fffa00,0xe802fffa,
    0x00007fff,0x3fff2662,0x9988001f,0x001ffffc,0xfffc9988,0x9988001f,
    0x001ffffc,0xfff93310,0xffffd03f,0x7cc3001b,0x7e405fff,0xffa80fff,
    0xffb803ff,0x3ffea2ff,0xfffb803f,0x3fffea2f,0xffffb803,0x0ffffea2,
    0x8bfffee0,0x803ffffa,0x442ffffb,0x8007ffff,0x405ffff8,0xa87ffff8,
    0x2e03ffff,0x3f61ffff,0xffa84fff,0x7d41ffff,0x3ee03fff,0xff881fff,
    0xcfffffff,0xffffd801,0xffffffff,0x7ec7ffff,0xffffffff,0x7fffffff,
    0x7fffffec,0xffffffff,0xfffd87ff,0xffffffff,0x507fffff,0xffffddb9,
    0xfffddddd,0xffffd007,0x3bb26000,0xffffffff,0x7764c01f,0xffffffff,
    0x7764c01f,0xffffffff,0x7764c01f,0xffffffff,0xeec9801f,0xffffffff,
    0xffff981f,0xcbaabcff,0x3ffea7fd,0x7ffe404f,0xffffb80f,0xffffb802,
    0x0bfffee3,0x8ffffee0,0x802ffffb,0x2e3ffffb,0xb802ffff,0x3ee3ffff,
    0xfb802fff,0x7fcc3fff,0xfa8006ff,0xff804fff,0xfffa87ff,0x3ffee03f,
    0x3fffee1f,0xfffebbdf,0x7d41ffff,0x3ee03fff,0xff501fff,0xffffffff,
    0x7fff405d,0xffffffff,0x747fffff,0xffffffff,0xffffffff,0x7fffff47,
    0xffffffff,0xffe87fff,0xffffffff,0x47ffffff,0xfffffffa,0xffffffff,
    0xfe803fff,0x6cc007ff,0xffffffff,0x301fffff,0xfffffffb,0x03ffffff,
    0x3fffff66,0xffffffff,0xffffb301,0xffffffff,0x7fecc03f,0xffffffff,
    0xffb01fff,0xffffffff,0x7fdcffff,0x7fe403ff,0xfffb80ff,0xfffa802f,
    0x3fffee3f,0xffffa802,0x0bfffee3,0x8ffffea0,0x802ffffb,0x2e3ffffa,
    0xa802ffff,0x7d43ffff,0xb8005fff,0xf803ffff,0xffa87fff,0x3fee03ff,
    0x3ffe21ff,0xffffffff,0x541ffffe,0x2e03ffff,0x2201ffff,0xfffffffd,
    0xfff04fff,0xffffffff,0x8fffffff,0xffffffff,0xffffffff,0x7ffffc7f,
    0xffffffff,0xff87ffff,0xffffffff,0x7fffffff,0x3fffffea,0xffffffff,
    0x803fffff,0x2007fffe,0xfffffff9,0xffffffff,0xfffff981,0xffffffff,
    0xfff981ff,0xffffffff,0xf981ffff,0xffffffff,0x01ffffff,0xfffffff3,
    0xffffffff,0x7fffdc03,0xffffffff,0x13fffea7,0x01ffff90,0x007ffff5,
    0x545ffff7,0xb803ffff,0x3ea2ffff,0xfb803fff,0x3fea2fff,0xffb803ff,
    0x3ffea2ff,0xfffb803f,0x7fffcc2f,0xfffa8007,0x7ffc404f,0xffffa87f,
    0x3fffee03,0x7ffffd41,0xfe8dffff,0x7ffd41ff,0x3ffee03f,0xfeb8801f,
    0x2fffffff,0x99efffe8,0x99999999,0x7fff4099,0x9999999e,0x74099999,
    0x9999efff,0x99999999,0x9efffe80,0x99999999,0xffd10999,0xfff333bf,
    0x3333333d,0xfffd0013,0x3ffe200f,0x999abfff,0x441ffffc,0xabffffff,
    0xffffc999,0x7ffffc41,0xfc999abf,0x7fc41fff,0x99abffff,0x81ffffc9,
    0xbffffff8,0xfffc999a,0x7fec401f,0xdfffffff,0x13fffe63,0x01ffff90,
    0x009ffff3,0x4c1ffff9,0xc804ffff,0x3e60ffff,0xfc804fff,0x3fe60fff,
    0xffc804ff,0x3ffe60ff,0xfffc804f,0xfffff80f,0x7ffcc000,0x7ffcc05f,
    0xffffa86f,0x3fffee03,0xffffe981,0x3fffa2ef,0x1ffffd41,0x03ffff70,
    0xfffeb880,0xfffd86ff,0xffd80007,0xfd80007f,0xb00007ff,0x4000ffff,
    0xfe86fffa,0xfd00006f,0x3ee00fff,0x3ee05fff,0x7fdc1fff,0x3fee05ff,
    0x7ffdc1ff,0x3ffee05f,0x7fffdc1f,0x3fffee05,0x5ffffb81,0x07fffee0,
    0xfffc9880,0xffff880e,0x3fffe606,0xffff880f,0x7fffc407,0x3ffffc47,
    0x1ffffe20,0x80fffff1,0x447ffff8,0x4407ffff,0x7c47ffff,0x7c407fff,
    0xffd07fff,0xf88009ff,0x7dc06fff,0xff984fff,0xfff303ff,0x554403ff,
    0x2fffd40a,0x81ffffcc,0x01fffff9,0x3ffff200,0x1ffffb87,0x7ffdc000,
    0x7dc0001f,0x80001fff,0x001ffffb,0xd09fff70,0x20000fff,0xb007fffe,
    0x5c03ffff,0x7ec1ffff,0x3ee01fff,0x7fec1fff,0x3fee01ff,0x7ffec1ff,
    0x3ffee01f,0xffffd81f,0x3fffee01,0x7ff44001,0x3fffe01f,0xfffe880f,
    0xffff00ff,0x7ffdc07f,0xfffff85f,0x3fffee03,0x3fffff85,0x17fffee0,
    0x80fffffe,0xf85ffffb,0x2e03ffff,0xfb05ffff,0x8005ffff,0x102fffff,
    0x305fffff,0xd10bffff,0x003fffff,0x41bffe60,0x885ffff9,0x01fffffe,
    0x3fffe600,0x6ffffa87,0x7ffd4000,0x7d40006f,0x80006fff,0x006ffffa,
    0x887fff90,0x0002ffff,0x007fffe8,0x203ffffd,0x41fffff9,0x301ffffe,
    0xe83fffff,0xf301ffff,0xfe83ffff,0xff301fff,0xffd03fff,0x3fe603ff,
    0x64001fff,0x7e404fff,0x3a60efff,0x00ffffff,0x07fffff7,0x03fffff7,
    0x07fffff7,0x03fffff7,0x07fffff7,0x03fffff7,0x07fffff7,0x03fffff7,
    0x07fffff7,0x03fffff7,0x3fffffe2,0x324b980c,0x441fffff,0x207ffffe,
    0x2a1fffff,0x1ffffffe,0x3fffd000,0x0fffffc0,0xffffffd5,0xf9003703,
    0x3fa0bfff,0x1800dfff,0x1bffffd0,0x3ffa0300,0x01800dff,0x037ffffa,
    0x5fffb860,0x037fffec,0x3ffff400,0x4ffffd80,0xffffffa8,0x27fffec1,
    0x7fffffd4,0x27fffec1,0x7fffffd4,0x27fffec1,0x7fffffd4,0x4ffffd81,
    0xffffffa8,0x7fff4001,0x7fffcc02,0xffffddff,0x3a00ffff,0xddffffff,
    0x04ffffff,0x3ffffffa,0xffffffdd,0x3ffffa04,0xffffddff,0x3ffa04ff,
    0xffddffff,0x3a04ffff,0xddffffff,0x04ffffff,0x7fffffdc,0x5fffeeff,
    0x3fffffe2,0xfffffdde,0x3fffa03f,0xffffeeff,0x8001ffff,0x200ffff8,
    0xeefffffe,0xffffffff,0xaaceff81,0xffffdb99,0xffff303f,0x975579ff,
    0x3fe60ffb,0xaabcffff,0xf307fdcb,0x579fffff,0x40ffb975,0xcffffff9,
    0x7fdcbaab,0x26bfffea,0xdffffffd,0x005da989,0x200ffffd,0xbdfffffb,
    0xffffffeb,0x7fffdc1f,0xfffebbdf,0x7dc1ffff,0xebbdffff,0x1fffffff,
    0x6fffffdc,0xfffffebb,0xfffb81ff,0xffebbdff,0x001fffff,0x4ceffffc,
    0xfffffb00,0xff9fffff,0x7fd401ff,0xffffffff,0x2a00efff,0xffffffff,
    0x00efffff,0x3fffffea,0xefffffff,0x3fffea00,0xffffffff,0x3fea00ef,
    0xffffffff,0xe800efff,0xffffffff,0x7dc5ffff,0xffffffff,0x5405ffff,
    0xffffffff,0x1ffffcff,0xffff9800,0xfffa819c,0xcfffffff,0xff81ffff,
    0xffffffff,0x200effff,0xfffffffd,0x07ffffff,0x3ffffff6,0x7fffffff,
    0x3fffff60,0xffffffff,0x7fffec07,0xffffffff,0x3fffe27f,0xffcfffff,
    0x5fffffff,0x3bbbbba2,0xeeefffff,0x7ffc44ee,0xffffffff,0x441ffffe,
    0xffffffff,0xffffefff,0x7ffffc41,0xfeffffff,0x7fc41fff,0xffffffff,
    0x81ffffef,0xfffffff8,0xfffeffff,0x7ff4001f,0x3601ffff,0xffffffff,
    0x801ffff3,0xffffffe9,0x3004ffff,0xfffffffd,0x26009fff,0xfffffffe,
    0xd3004fff,0xffffffff,0x3a6009ff,0xffffffff,0x7dc004ff,0xffffffff,
    0xfffb85ff,0xffffffff,0xffffb005,0x3fa9ffff,0xf88001ff,0xb07fffff,
    0xffffffff,0x207fffa9,0xffffffff,0x00efffff,0xffffffb8,0x07ffffff,
    0x7fffffdc,0x07ffffff,0x7fffffdc,0x07ffffff,0xffffffb8,0x47ffffff,
    0xfffffffc,0xffffffb2,0x7ffc4bff,0xffffffff,0xa85fffff,0xffffffff,
    0x1fffe8df,0xffffffa8,0xffe8dfff,0xffffa81f,0xe8dfffff,0xffa81fff,
    0xdfffffff,0x501fffe8,0xffffffff,0x3fffd1bf,0xffff9800,0x7fe401ff,
    0x3fe2efff,0xfd9000ff,0x03bfffff,0xffffd900,0x90003bff,0xbffffffd,
    0xffd90003,0x003bffff,0xfffffd90,0x220003bf,0xffffffed,0xffb101ce,
    0x03bfffff,0xfffffb80,0x07fffa2e,0x7fffe400,0x3ffee07f,0x3ffa2eff,
    0xffffd81f,0x2dffffff,0x7ffec400,0x3effffff,0xffffd880,0x03efffff,
    0xfffffd88,0x003effff,0xffffffb1,0xf707dfff,0xfc85dfff,0x23efffff,
    0xfffffff8,0xffffffff,0xfffd305f,0x7ff45dff,0xfffd301f,0x7ff45dff,
    0xfffd301f,0x7ff45dff,0xfffd301f,0x7ff45dff,0x3ffa601f,0x3fa2efff,
    0xc98001ff,0x1000defe,0x00000155,0x00015531,0x002aa620,0x0554c400,
    0xaa988000,0x53100000,0x30000015,0x88001335,0x80001aa9,0x00001aa9,
    0x27776d40,0x000d54c0,0x2aaaa620,0x8800009a,0x0009aaa9,0x26aaa620,
    0x2a620000,0x400009aa,0x009aaa98,0x2200a988,0xf8809aaa,0xffffffff,
    0x5fffffff,0x00555440,0x05554400,0x55544000,0xaa880000,0x5100000a,
    0x00000155,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4c000000,0x0bcefedc,
    0x42665400,0x00002ccc,0x00399993,0x88f33326,0x223ccccc,0x0001cccc,
    0x00019800,0x00080620,0x80033332,0x002deeca,0x3ba67999,0x3ae005ee,
    0x4c002eee,0x2a000000,0x003ccccc,0x00000062,0x001aa980,0x009abca8,
    0x37f6e200,0x32a00303,0x02ccc84c,0x79999300,0x1e666644,0x2213b660,
    0xc8000ced,0xc9800ccc,0xcccccccc,0xcccca804,0x003ccccc,0xcefda800,
    0x26000180,0xfffffffd,0x3ee004ff,0x3ffea1ff,0xff700002,0xff1005ff,
    0x7fec1fff,0x7ffcc5ff,0x3a60003f,0x3ff665ee,0x5c002dff,0xceffffec,
    0xfb002fec,0x3200dfff,0x05ffffff,0xff0fffe4,0x3e003fff,0x1000ffff,
    0x0001dffd,0xfffffa80,0x3fff2004,0xfecb9803,0x201cdeff,0xffffffc8,
    0xfff7000c,0x40019fff,0xeffffff8,0x7005f912,0x7fd43fff,0xff88002f,
    0x3ff60fff,0xfff805ff,0x2ffff44f,0x3ffff600,0xffffb806,0x807fffff,
    0xfffffffc,0x400006ff,0xcffffffc,0x3000bf50,0xffffffff,0x2009ffff,
    0xfdcffff9,0x00000fff,0x005ffff7,0x6c1ffffd,0xf983ffff,0x20003fff,
    0xff76fff9,0x09ffffff,0xfffffd30,0x5fffffff,0xfffffb00,0xfffa80bf,
    0x303fffff,0xffc89fff,0xffa804ff,0x3f6004ff,0x00005fff,0x0bffffea,
    0xfffffa80,0x3ffff201,0x03ffffff,0xfffffff5,0xf7003fff,0x9fffffff,
    0xffffd001,0xffffffff,0xfff9801f,0x0ffffdcf,0xffffe800,0x0fffff60,
    0x9bfffe60,0x00fffff8,0xffffffb0,0xffffb80b,0x807fffff,0xfffffffc,
    0x200006ff,0xfffffffb,0x03ffffff,0x7fffff40,0xffffffde,0xffff9002,
    0x0009ffff,0x17fffdc0,0x83ffff20,0x302ffffc,0x0007ffff,0x7dffffcc,
    0xffffffff,0x3ffee04f,0xffffffff,0x7e402fff,0x5fffccff,0x267bffa0,
    0xffd07ffe,0xfffff30d,0x3ffffb00,0x7ffffc00,0xff500007,0xd8001dff,
    0x984fffff,0xfffffffe,0xf883ffff,0xffffffff,0x7dc00fff,0xffffffff,
    0x3ffa201f,0xfffffebd,0xff9003ff,0x09ffffff,0x1ffff900,0x017fffe4,
    0x26ffff98,0x007ffff8,0xff99fff9,0x7ffdc0bf,0x07ffffff,0xffffffc8,
    0x00006fff,0x3f6fbff2,0x0effffff,0x3ffff200,0x7fffe41d,0x3fff2004,
    0x00004fff,0x017fffdc,0x5c3ffff5,0x2601efff,0x0003ffff,0x3fffffe6,
    0xffffefff,0xfffa80ff,0xfdccdfff,0x3202ffff,0x3ff24fff,0x2fff884f,
    0xf903ffee,0x3ffa03ff,0x3fe202ff,0x7f4006ff,0x80007fff,0x004ffffa,
    0x7fffff90,0xffffff88,0x3fffeeff,0x9cffffd8,0x04ffffea,0x7fffff54,
    0x200fffff,0x7ffe42e8,0x7e4005ff,0x004fffff,0x21ffffa8,0x001efffb,
    0x2e0fffe4,0xfc802fff,0x3fff24ff,0x33333104,0x100ffffd,0xfff33333,
    0xc80000df,0x7ffff545,0x7ff4000f,0x3fffe07f,0x6edcc006,0xb800001b,
    0x3202ffff,0x33221ccc,0x7fcc00cc,0x260003ff,0xbfffffff,0x9fffff30,
    0x1bffffd0,0x05ffff70,0x2e0f3326,0x7fcc1ccc,0x87ffe61f,0x2e04fff9,
    0x2e05ffff,0x4003ffff,0x002ffffa,0x16666440,0xffff3000,0xffffc81f,
    0x419880bf,0xe83ffff8,0x4c006fff,0x6ffffffb,0x15951000,0x376e6000,
    0x9990001b,0x66664439,0x01530000,0x326002a6,0xcccb83cc,0x3fffa001,
    0x3ffe0007,0x0000006f,0x40006eea,0x3e04ffff,0x00006fff,0xff700000,
    0x000005ff,0x1ffffcc0,0xffff3000,0xfff303ff,0xffffb8ff,0x3fffee05,
    0x26000002,0x3fe61fff,0x03fffa1f,0x0fffff88,0x01ffffd0,0x00399300,
    0x20000000,0x7c40dfd9,0x8000ffff,0xb80ffffa,0x20007fff,0x01fffffd,
    0x00000000,0x00000000,0x00000000,0x3ffa0000,0x3fe0007f,0x000006ff,
    0x3e200000,0xff303fff,0x000009ff,0xfb8c4000,0x00002fff,0x3fffe600,
    0xf9801883,0x3a02ffff,0x3fe0ffff,0x3ee01fff,0x44002fff,0x3e200999,
    0x9ffee2ff,0xc802fffb,0xf883ffff,0x00005fff,0x4cc40000,0x20000009,
    0x003ffffb,0x20ffff70,0x0006fffc,0x01fffff4,0x44000000,0x18800001,
    0x00000000,0x20000000,0x6447fffe,0x6ffff800,0x00000000,0x3fffe600,
    0xffffe883,0x5dddd301,0x0f777540,0x3fffb6e0,0x42ffffff,0x202eeee9,
    0x301eeeea,0x3265ffff,0x302dfffe,0xc809ffff,0xff11ffff,0xffb80dff,
    0x764402ff,0xefffffff,0x99efff82,0xfff36ffe,0x3ffe600b,0xffffb86f,
    0x00000002,0x7ffff644,0x0002efff,0x0ffffe40,0xffffa800,0x05fffe81,
    0x7fffe400,0x177774c5,0x03dddd50,0xffffdc88,0xc88002de,0x2deffffd,
    0xeeeea800,0x006eeeee,0x3bbbbbaa,0x20006eee,0xf917fffe,0xffff001f,
    0x3aa0000d,0xeeeeeeee,0x3fe60006,0x7ff443ff,0x3fea03ff,0x3fee03ff,
    0xffd301ff,0xffffffff,0xfffa85ff,0x3ffee03f,0xffff301f,0xffffff35,
    0xfff309ff,0xfffb807f,0xbffff32f,0x2ffffb80,0x3fffff20,0x84ffffff,
    0xfffffffb,0x01fffd1f,0x07ffff40,0x201ffffa,0xeeeeeeec,0x5eeeeeee,
    0x7ffffe40,0x04ffffff,0x21fffe40,0x000ffffd,0x8bffff10,0x002ffffc,
    0x2ffffdc0,0x80ffffea,0x201ffffb,0xfffffffa,0x5000dfff,0xffffffff,
    0x5c001bff,0xffffffff,0x3fee007f,0x7fffffff,0x3fffa000,0x00ffffcf,
    0x006ffff8,0xfffff700,0x000fffff,0x11ffffcc,0x807ffffd,0x203ffffa,
    0xc81ffffb,0xffffffff,0x42ffffff,0x203ffffa,0x301ffffb,0xfff9ffff,
    0x9fffffff,0x03ffff98,0xa9ffffdc,0x5c04ffff,0xf902ffff,0xffffffff,
    0x3f609fff,0xf73fffff,0xfb8005ff,0x3fe63fff,0xffe804ff,0xffffffff,
    0x3207ffff,0xffffffff,0x4004ffff,0x7f44fffc,0x740007ff,0xfd8affff,
    0x80005fff,0x544ffffc,0x2e03ffff,0xfb01ffff,0xffffffff,0xd803ffff,
    0xffffffff,0x001fffff,0xfffffff7,0x7dc00fff,0xffffffff,0x3ffa0007,
    0x0fffffff,0x06ffff80,0xffff7000,0x00ffffff,0x1ffffcc0,0x007ffff9,
    0x407ffff5,0x4c1ffffb,0xcdffffff,0x2fffffdc,0x01ffffd4,0x203ffff7,
    0xfffffff9,0xfffffeff,0x3fffe60f,0x7fffdc03,0x07ffff73,0x82ffffb8,
    0xbdfffffa,0x04fdbaa9,0x4473bb6e,0x88005fff,0x3f26ffff,0xfe800fff,
    0xffffffff,0x507fffff,0x37bfffff,0x009fb755,0x744fffd8,0x40007fff,
    0xfffffff9,0x0000dfff,0x17ffffc4,0x80ffffea,0xb81ffffb,0xffffffff,
    0x05ffffff,0x3fffffee,0xffffffff,0xdddd5005,0x00fffffd,0x7f777754,
    0x20007fff,0xfffffffe,0xfff800cf,0xd500006f,0xffffdddd,0x7fcc000f,
    0x3fffe3ff,0xffff5007,0x7fffdc07,0x6fffff41,0x2ffffb80,0x01ffffd4,
    0x203ffff7,0xfffffff9,0xfffff30b,0x1ffffcc9,0x47ffff20,0x404ffffa,
    0xd82ffffb,0x0804ffff,0x1fffb000,0x3fff2000,0x0bffff1f,0x3fffffa0,
    0xffffffff,0xffffb06f,0xd8001009,0x7ff45fff,0xfc80007f,0x4fffffff,
    0xca998800,0xa86fffff,0x2e03ffff,0x7c41ffff,0x221dffff,0x82fffffc,
    0x1dfffff8,0x3fffff22,0x3ffa0002,0xfe80007f,0xc88007ff,0xcfffffff,
    0x3fffe000,0x077faa06,0x1ffffa00,0xffff9800,0x0dffff13,0x0ffffea0,
    0x21ffffb8,0x205ffffc,0x542ffffb,0x2e03ffff,0xf301ffff,0x303fffff,
    0x7ccfffff,0x7ec03fff,0xfff30fff,0xfffb809f,0xffffe82f,0xf7000001,
    0x4c0005ff,0xffacffff,0x331002ff,0xfb333333,0x3a03ffff,0x0001ffff,
    0xfffffb70,0x07fffe8b,0xffff8800,0xd0001eff,0xffffffff,0xffff503f,
    0x7fffdc07,0x27fffec1,0x0dffff90,0x409ffffb,0x006ffffc,0x01ffffa0,
    0x1ffffa00,0xffffc880,0x8000cfff,0xf706ffff,0x8005ffff,0x0007fffe,
    0xf8ffffe6,0xa801ffff,0x2e03ffff,0x3fa1ffff,0x3ee01fff,0x7fd42fff,
    0x3fee03ff,0xfff301ff,0x7ff405ff,0xffff30ff,0x7fffc407,0x1bfffe27,
    0x2fffff88,0x0dffffe8,0x7fc40000,0xfe80005f,0x7fffdeff,0x3fea0000,
    0x3fa02fff,0x0000dfff,0x3fffffa6,0x7fff45ff,0x7f440007,0xa83fffff,
    0xffb00aaa,0x05ffffff,0x80ffffea,0x7c1ffffb,0x2200ffff,0x7c0fffff,
    0x2200ffff,0x000fffff,0x00ffffd0,0x0ffffd00,0x3fffff20,0x20007fff,
    0xf886ffff,0x006fffff,0x003ffff4,0x47ffff30,0x01fffffd,0x01ffffd4,
    0x7c3ffff7,0x7dc06fff,0x7fd42fff,0x3fee03ff,0xfff301ff,0xfffc809f,
    0x7ffff31f,0x2ffffe40,0x207ffffe,0x2fffffe8,0xffffffc8,0xfb00001c,
    0x700001ff,0xffffffff,0x3e200009,0x6404ffff,0x1cffffff,0x7fffc400,
    0x746fffff,0x20007fff,0xfffffff8,0x7fffc1ff,0xfffffb01,0x7fd4019f,
    0x3fee03ff,0x3ffe21ff,0xfffc805f,0x3fffe21f,0xffffc805,0xfffd0001,
    0xffd0000f,0x3ffe00ff,0x07ffffff,0x1bfffe00,0x3fffffe6,0x3ffa000f,
    0x3e60007f,0x3fea3fff,0x2a03ffff,0x2e03ffff,0xff31ffff,0xffb80bff,
    0x7ffd42ff,0x3ffee03f,0xffff301f,0xffffb807,0x07ffff32,0x03fffff2,
    0x41dffff9,0xffffffe9,0xfffff882,0x001cffff,0x4c7fff50,0x22000abb,
    0xffffffff,0xffd00001,0xff100dff,0x9fffffff,0xffffb003,0xe85557bf,
    0x20007fff,0xffdffffe,0xfff10fff,0x3fff603f,0xfff5001e,0x7ffdc07f,
    0x3fffea1f,0xffffb803,0x0ffffea2,0x0bfffee0,0x3ffff400,0x7fff4000,
    0x9ffff007,0x000fffff,0x4c37fffc,0x0fffffff,0x1ffffa00,0xffff9800,
    0x7ffffe43,0xffff504f,0x7fffdc07,0x09ffff51,0x42ffffb8,0x203ffffa,
    0x301ffffb,0xb807ffff,0xff33ffff,0xd9579dff,0x107fffff,0xdbffffff,
    0xffffffff,0x3fffea05,0x2effffff,0x57ffe200,0x2fffffe8,0x3ffff600,
    0x900006ff,0x001fffff,0x3fffffea,0x502effff,0x005fffff,0x000ffffd,
    0x653fffee,0xf98effff,0xff900fff,0x7fd400bf,0x3fee03ff,0x3ffee1ff,
    0xfffb802f,0x3fffee3f,0xffffb802,0xfffd0003,0xffd0000f,0x37fe00ff,
    0x00ffffd0,0x837fffc0,0x05fffffe,0x03ffff40,0x7ffff300,0xffffff90,
    0x7ffff509,0x8ffffdc0,0x403ffffb,0x542ffffb,0x2e03ffff,0xf301ffff,
    0xfb807fff,0xfff33fff,0xffffffff,0x7ec0bfff,0xffffffff,0x02ffffef,
    0x3fffff62,0x004fffff,0xff11fffb,0x05ffffff,0x3ffffe60,0xfb80002f,
    0x4001ffff,0xffffffd8,0xfb84ffff,0xfd004fff,0x3e000fff,0x7ff46fff,
    0x7fffadff,0x013fff20,0x03ffffa8,0xb87fffee,0xa802ffff,0x3ee3ffff,
    0xfa802fff,0xd0003fff,0x0000ffff,0x200ffffd,0x3ffff41d,0xdffff000,
    0x3bfffe60,0x7fff4000,0x3fe60007,0xfff703ff,0xffa83fff,0x3fee03ff,
    0xffff51ff,0xffffb809,0x1ffffd42,0x03ffff70,0x00ffffe6,0x263ffff9,
    0xffffffff,0x803fffff,0xfffffffd,0x2ffff9cf,0xfffeb880,0x402fffff,
    0xff93fffa,0x0dfff9bf,0x37ffff40,0x7ffcc000,0x220003ff,0xffffffeb,
    0x7ffec2ff,0xfffd003f,0xfff1000f,0xffff889f,0x205fffff,0x2004fffc,
    0x203ffffa,0x2a1ffffb,0xb803ffff,0x3ea2ffff,0xfb803fff,0xd0002fff,
    0x0000ffff,0x000ffffd,0x003ffff4,0x40dffff0,0xd0002cb8,0x4000ffff,
    0x203ffff9,0x44fffff9,0x203ffffa,0xf31ffffb,0xfb809fff,0x7fd42fff,
    0x3fee03ff,0xfff301ff,0xfffd807f,0xfffff30f,0x19dfffff,0x7fffe400,
    0xffff52ef,0xfeb88005,0x2206ffff,0x3ffe6fff,0x003ffee4,0x017ffff4,
    0x3fffa200,0x2200005f,0x6fffffeb,0x01ffffec,0x007fffe8,0x82ffff98,
    0xfffffff9,0x5000002f,0x5c07ffff,0x3e61ffff,0xfc804fff,0x3fe60fff,
    0xffc804ff,0xfd0000ff,0xd0000fff,0x4000ffff,0x0007fffe,0x001bfffe,
    0xffffd000,0x7ffcc000,0x7ffdc03f,0x7fffcc6f,0xfffff303,0x1bfffe23,
    0x2fffff88,0x81ffffcc,0x01fffff9,0x407ffff3,0x267ffff8,0xa99bffff,
    0xaa880001,0x17fffd41,0xffff9000,0x8fffec0f,0x3e62fff8,0xffb801ff,
    0xd80006ff,0x000effff,0xffff9000,0x6ffffb8f,0x0ffffd00,0x7ffff500,
    0x3ffffea0,0x2000007f,0x303ffff9,0x443fffff,0x4407ffff,0x7c47ffff,
    0x7c407fff,0x20007fff,0x0007fffe,0x007fffe8,0x01ffffa0,0x06ffff80,
    0x7ff40000,0x3e60007f,0x7c403fff,0x7fcc6fff,0xffe885ff,0x3ffe1fff,
    0xffe881ff,0x7fcc2fff,0xffe885ff,0xff301fff,0x7fe407ff,0x3ffe65ff,
    0x0000003f,0x017fffdc,0xfffff300,0x98fffea0,0x3fe21fff,0x7ffcc02f,
    0x640002ff,0x001fffff,0x3ffe6000,0x7fffd47f,0xfffe804f,0xfff88007,
    0x3fff205f,0x6e4404ff,0x3fe6000c,0xffe885ff,0x7ffc1fff,0x3fee03ff,
    0xffff85ff,0x3ffee03f,0x3fa0005f,0xe80007ff,0x20007fff,0x0007fffe,
    0x001bfffe,0xffffd000,0x7ffcc000,0x7ffcc03f,0xfffff85f,0x3ffffaa1,
    0x3fff21ff,0x3ffa60ef,0xff82ffff,0x3faa1fff,0x301fffff,0x3207ffff,
    0x260fffff,0x0003ffff,0x7ffdc000,0xc801b82f,0xe885ffff,0x7ffc46ff,
    0x803ffea2,0x04fffffa,0x7fffd400,0x0370003f,0x8bffff90,0xdffffff8,
    0x1ffffa02,0x7ffffc00,0xfffff503,0xffffe80d,0x3fffe000,0x3fffaa1f,
    0x7fdc1fff,0xffb83fff,0xffb81fff,0xffb83fff,0x20001fff,0x0007fffe,
    0x007fffe8,0x01ffffa0,0x06ffff80,0x7ff40000,0x3e60007f,0x59b13fff,
    0x7fffff95,0xdfffffd0,0xfffffffd,0x7fffc43f,0xffffedff,0xfe82ffff,
    0xffeeffff,0x01ffffff,0x79dffff3,0xfffffd95,0x3ffff987,0x5c000000,
    0xff82ffff,0xdb99aace,0xc83fffff,0xfff81fff,0xdd1fff25,0xdffffffd,
    0xfff88000,0x99999eff,0xdff01999,0xfb733559,0xf307ffff,0xdfffffff,
    0x3fffa59d,0xfff90007,0xfb959dff,0x09ffffff,0x13ffffee,0xfffffe80,
    0xffffffee,0xfffe81ff,0xfffddfff,0x3fa04fff,0xfddfffff,0x804fffff,
    0xfeeeeee8,0xeeeeffff,0x7777444e,0xefffffee,0xdd14eeee,0xffffdddd,
    0x29dddddf,0xfeeeeee9,0xeeeeffff,0x3ba2003e,0xffffeeee,0x04eeeeef,
    0x13ffff98,0xffffffff,0x3ffea0df,0xcfffffff,0x7ec1ffff,0xffffffff,
    0x82fffecf,0xfffffffa,0xffffcfff,0xfffff301,0xffffffff,0xffff30bf,
    0x80000007,0xf82ffffb,0xffffffff,0x40efffff,0xfb04fff9,0x9fffddff,
    0xfffffff8,0x740000ef,0xffffffff,0x0fffffff,0xfffffff8,0xefffffff,
    0xfffff500,0x3a7fffff,0x20007fff,0xfffffffe,0xffffffff,0xfffc83ff,
    0x3ea005ff,0xffffffff,0x81ffffcf,0xfffffffa,0x0effffff,0x3ffffea0,
    0xffffffff,0xfff8800e,0xffffffff,0x445fffff,0xffffffff,0xffffffff,
    0xffffff15,0xffffffff,0x3ffeabff,0xffffffff,0x004fffff,0x3fffffe2,
    0xffffffff,0xff9805ff,0xffff13ff,0x401dffff,0xfffffffd,0x03fffd4f,
    0xfffffffb,0x0bfffa9f,0x7fffffec,0x3fffd4ff,0x3ffffe60,0xffffffff,
    0x7ffff303,0xb8000000,0xff82ffff,0xffffffff,0xfe80efff,0x3ffe206f,
    0x7c0effff,0x04ffffff,0xfffff000,0xffffffff,0xfff01fff,0xffffffff,
    0xea801dff,0xffffffff,0x00ffffd3,0x7ffff440,0xbeffffff,0x542fffff,
    0x003fffff,0x7fffffec,0x3fffd4ff,0x3ffffa60,0x04ffffff,0xfffffd30,
    0x009fffff,0x7fffffc4,0xffffffff,0x7ffc45ff,0xffffffff,0xf15fffff,
    0xffffffff,0xbfffffff,0x3fffffea,0xffffffff,0x3e2004ff,0xffffffff,
    0x5fffffff,0x3ffff980,0xdffffff1,0x3ffee005,0x3ffa2eff,0xffff901f,
    0x7fff45df,0x3fffee02,0x3fffa2ef,0x3ffb2a01,0x0cefffff,0x0ffffe60,
    0xf7000000,0xffb05fff,0xffffffff,0x3fff205b,0x7fff4401,0xffff80df,
    0x200001ce,0xffffffff,0xffffffff,0xfffffd80,0x02dfffff,0x7ffff540,
    0xffffd3ff,0xffd50000,0x5c5fffff,0x640fffff,0x70005fff,0x45dfffff,
    0x6401fffe,0xdffffffe,0xffec8001,0x001dffff,0x7fffffc4,0xffffffff,
    0x7ffc45ff,0xffffffff,0xf15fffff,0xffffffff,0xbfffffff,0x3fffffea,
    0xffffffff,0x3e2004ff,0xffffffff,0x5fffffff,0x99988000,0x2aa60001,
    0xaa880001,0x55300001,0x99800003,0x3a6001a9,0x00002eee,0x77775400,
    0x2aaa6201,0x000009aa,0x13003310,0x7fc00000,0xffffffff,0x00ffffff,
    0x2aaaaa62,0x4c400009,0xffd2ecba,0x440000ff,0x00009aa9,0x40000d4c,
    0x00001aa9,0x0002aa62,0x00554c40,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x99999910,
    0x0e664401,0x0001332a,0x1e666654,0x002cccc8,0x07999300,0x20039997,
    0xfffffffb,0x93003fff,0x99970799,0xbfb71003,0x76dc0607,0x9000acef,
    0xdd710799,0x3332001d,0x0eeeb883,0x00799900,0x66666540,0x7fffdc03,
    0x03ffffff,0xb83ccc98,0x66441ccc,0x000001cc,0x04000008,0x2eeee980,
    0x41bbbb20,0x0002cccc,0xcccccc98,0x00004ccc,0xccca8000,0x710003cc,
    0x39bdffd9,0x7ffffdc0,0x003fffff,0x7ff44000,0xff801eff,0x037ffc4f,
    0x7fffd400,0x3fffe04f,0x3f200004,0x3fff25ff,0x3ffee004,0x3fffffff,
    0x97fff200,0x8804fffc,0x2effffff,0xffd05f91,0x801dffff,0x2e21fffc,
    0x800fffff,0x2e21fffc,0x800fffff,0x0001fffc,0x09fffff5,0xffffff70,
    0x2007ffff,0x3f25fffc,0xfff984ff,0x8800003f,0x40002fdb,0x5002fdb8,
    0x6c05ffff,0xff887fff,0xb80004ff,0xffffffff,0x7e44007f,0x2a0000cf,
    0x004fffff,0xfffffb88,0x2e03ffff,0xffffffff,0x000003ff,0x17ffffa2,
    0xcdfffe80,0x0004fffe,0x17ffffd4,0x7fffdd54,0x002aaaae,0x337fff20,
    0x5c004fff,0xffffffff,0x7e4003ff,0x4fffcdff,0xfffffd00,0xffffffff,
    0xfedeee81,0x3fe603ff,0x7ffffc4f,0x7fcc00ff,0x7ffffc4f,0x7fcc00ff,
    0xff50004f,0x2e005fff,0xffffffff,0x3f2003ff,0x4fffcdff,0x07ffff30,
    0xfffb8000,0x3ee0002f,0xf5002fff,0x7ec05fff,0xfff887ff,0xfb80004f,
    0xffffffff,0x7fff4007,0xff50006f,0x20005fff,0xfffffffd,0x3ee03fff,
    0xffffffff,0x1000003f,0x007ffffd,0xffffff98,0x20000eff,0x00effffa,
    0xffffffff,0x000dffff,0xffffffd8,0xaaa88005,0x0aaaaaaa,0xffffd800,
    0xfd1005ff,0xffffd7bf,0x98107fff,0x3fa03fff,0xfeffd86f,0x7ff400ff,
    0xffeffd86,0x37ff400f,0xffffa800,0x2aa2000e,0xaaaaaaaa,0x7ffec000,
    0x3e605fff,0x00003fff,0x017fffdc,0x5ffff700,0x3fffea00,0x1ffff602,
    0x013fffe2,0x3fffee00,0x007fffff,0x3fffffea,0x7ffd4002,0xf70000ef,
    0xfddfffff,0x554407ff,0xaaaaaaaa,0xe8800000,0x0001efff,0xdffffff5,
    0x7fd40003,0x7ffc04ff,0xffffffff,0xfd80006f,0x00005fff,0x3f600000,
    0x44005fff,0x7fffe42e,0x3aea605f,0xff900fff,0xf919503f,0x7fe401ff,
    0xfc8ca81f,0x3ff200ff,0xffa8001f,0x000004ff,0xfffd8000,0x7ffcc05f,
    0x5c00003f,0x0002ffff,0x00bfffee,0x017fffd4,0xf10ffffb,0x00009fff,
    0xfd333331,0x7dc00fff,0x003fffff,0x013fffea,0xfffff880,0x0001980c,
    0x2e000000,0x0000cccc,0x0166e5c4,0x33332200,0xfffff802,0x6fffffff,
    0x99990000,0x00000000,0x00999900,0x0aca8800,0x7ffffe40,0x09fff300,
    0x201fff90,0xc804fff9,0xff300fff,0x9910009f,0x00000599,0x66640000,
    0xffff9804,0x7dc00003,0x20002fff,0x002ffffb,0x405ffff5,0xf887fffd,
    0x00004fff,0x01ffffa0,0xffffffa8,0x99991001,0xff980005,0x000005ff,
    0x00000000,0x00000000,0x26660000,0x999dffff,0x00000009,0x00188000,
    0x00000000,0x3fff2000,0xffe83fff,0xfffc800f,0x01fffd00,0x201fff90,
    0x0000fffe,0x18800000,0x20000000,0x003ffff9,0x7fffdc00,0x3fee0002,
    0xff5002ff,0x7fec05ff,0xffff887f,0x3a000004,0x74007fff,0x0005ffff,
    0x7fd40000,0x000002ff,0x00000000,0x00000000,0x20019880,0x0004ffff,
    0x00331000,0x3fff7220,0x00002def,0x30000066,0x2a662003,0x3ee0fffe,
    0xff9002ff,0x5fff701f,0x03fff200,0x000bffee,0x20000cc0,0xdefffedb,
    0x20000002,0x983ffff9,0xeeeed801,0xeeeffffe,0xdb0eeeee,0xffffdddd,
    0xdddddddd,0x0bfffea1,0x887fffd8,0x0004ffff,0x1ffffa00,0x09dd9100,
    0x90000000,0x8001ffff,0x202eeee9,0x001eeeea,0x77777754,0x54006eee,
    0xeeeeeeee,0x3baa006e,0x3fff6a5e,0x7ffc01df,0x000a984f,0x6d4bddd5,
    0x001dffff,0xfffffff5,0x4c01bfff,0x3f665eee,0x2602efff,0x3f665eee,
    0x2002efff,0xff31fffc,0x7fe400bf,0x2fffcc0f,0x81fff900,0x9805fff9,
    0x3f665eee,0x2002efff,0xffffffd8,0x76404fff,0xeeeeeeee,0x265eeeee,
    0xfb32ffff,0x3a05dfff,0xffffffff,0xffffffff,0xfffffd0f,0xffffffff,
    0x3ea1ffff,0x3f602fff,0xfff887ff,0x3bbb204f,0xffd000de,0x400000ff,
    0xeeeeeeec,0x5eeeeeee,0x3ffff200,0x7ffd4000,0x3ffee03f,0x7fdc001f,
    0x7fffffff,0x7fffdc00,0x007fffff,0x7e5bffee,0x2fffffff,0x4d3fffe0,
    0x02fffffd,0xfcb7ffdc,0x2fffffff,0x7ffffec0,0xffffffff,0x2dfff301,
    0xfffffffb,0xdfff303f,0x3fffffee,0x6f7443ff,0x3a7fffed,0x32000fff,
    0x7ff40fff,0x3ff2000f,0x07fff40f,0xbb7ffcc0,0xffffffff,0xffff9803,
    0xffffffff,0x3ffffa06,0xffffffff,0x3ffe67ff,0xfffffbaf,0xffe83fff,
    0xffffffff,0x0fffffff,0xfffffffd,0xffffffff,0x3ffea1ff,0x3fff602f,
    0x4ffff887,0x5fffff70,0x3ffff400,0xffd00000,0xffffffff,0x400fffff,
    0x000ffffc,0x01ffffd4,0x003ffff7,0xffffffb8,0x5c007fff,0xffffffff,
    0x3fee007f,0xfffffbff,0xf00fffff,0xfff57fff,0x409fffff,0xffbffffb,
    0xffffffff,0xfffff700,0xffffffff,0x3ffe60bf,0xffffffbf,0xf981ffff,
    0xffffbfff,0x21ffffff,0xfffffff8,0x05fff71f,0x20fffc80,0x4002fffb,
    0x3ee0fffc,0xff3002ff,0xfffff7ff,0x803fffff,0xacfffffe,0x03fffffb,
    0xfffffffd,0xffffffff,0x7effffcc,0xffffffff,0x77776c1f,0xeeeffffe,
    0xdb0eeeee,0xffffdddd,0xdddddddd,0x0bfffea1,0x887fffd8,0xfa84ffff,
    0x4003ffff,0x0007fffe,0x3ffffa00,0xffffffff,0x3f2007ff,0x54000fff,
    0x2e03ffff,0x4001ffff,0xffeeeeea,0x754007ff,0xffffeeee,0x3ffee007,
    0xfeffffff,0xff03ffff,0xfffffbff,0x201fffff,0xfffffffb,0xfffffeff,
    0xfffff883,0x3fff221d,0xfff982ff,0xffffffff,0xf985ffff,0xffffffff,
    0x25ffffff,0xbdefffe8,0x00bfff10,0x7c499950,0xca8005ff,0x17ffe24c,
    0xfffff980,0xffffffff,0x3fee05ff,0xffe883ff,0xfffe80ff,0xffffffff,
    0x3fe66fff,0xffffffff,0x805fffff,0x002ffffb,0x0bfffee0,0x17fffd40,
    0x10ffffb0,0xf989ffff,0x8004ffff,0x0007fffe,0x3ffffa00,0xffffffff,
    0xfffb86ff,0xffffffff,0x87ffffff,0x203ffffa,0x001ffffb,0x0ffffd00,
    0x3fffa000,0x3ffee007,0x3ea2efff,0xfff07fff,0xfdbfffff,0x2e09ffff,
    0x2effffff,0x21ffffea,0x204ffffd,0x986ffffc,0xbfffffff,0x0fffff50,
    0xfffffff3,0x3fffea17,0xfffd8007,0x3f600000,0x200000ff,0x2000fffd,
    0xfffffff9,0xfffff50b,0x1bfffe20,0x83ffffa8,0x99999998,0x1fffffd9,
    0x3fffffe6,0xffff50bf,0xffff700f,0x7fdc0005,0xff5002ff,0x7ff405ff,
    0xffff887f,0x3ffffa24,0xfffd0005,0x4400000f,0x99999999,0x81fffffd,
    0xfffffffb,0xffffffff,0xfffa87ff,0x3ffee03f,0xfd00001f,0x20000fff,
    0x2007fffe,0x0ffffffb,0xf07fffe8,0x43dfffff,0x706ffffa,0x01ffffff,
    0xff0ffffd,0x7c401fff,0x7cc0ffff,0xe81fffff,0x7cc0ffff,0xe81fffff,
    0x2000ffff,0x0002fffb,0x00bffee0,0x2fffb800,0x7fffcc00,0xfffe81ff,
    0xffffa80f,0x27fffc03,0x7fffd400,0x7fffcc2f,0xfffe81ff,0x7ffdc00f,
    0x3ee0002f,0xf5002fff,0x3ee07fff,0xff887fff,0x3fff64ff,0x3fa0005f,
    0x130007ff,0xfffa8000,0xfff702ff,0xffffffff,0x0fffffff,0x407ffff5,
    0x001ffffb,0x0ffffd00,0x3fffa000,0x3ffee007,0xfff901ff,0xfffff01f,
    0xfffff01f,0x3ffffee0,0x1ffff901,0x02ffffc4,0x20ffffe4,0x02fffff9,
    0x983ffff9,0x902fffff,0x2003ffff,0x0005fff8,0x017ffe20,0x5fff8800,
    0xffff9800,0xffff902f,0x3ffff703,0xf3333333,0x8800dfff,0x984fffff,
    0x902fffff,0x9983ffff,0xbffffc99,0x80099999,0x002ffffb,0x50bffff5,
    0x81ffffff,0xf94ffff8,0x0001dfff,0x003ffff4,0x003bffa6,0x3ffffe20,
    0x3bbbaa04,0xeefffffe,0xa85eeeee,0x2e03ffff,0x0001ffff,0x00ffffd0,
    0x1ffffa00,0x3ffffb80,0x03bbbae0,0x407ffffe,0xb80ffffd,0x2e03ffff,
    0x3ea0eeee,0xfb803fff,0x7fcc2fff,0x3fee04ff,0x7ffcc2ff,0x3ffee04f,
    0xfffb002f,0x7ec00001,0x200000ff,0x8000fffd,0x204ffff9,0xd82ffffb,
    0xffffffff,0xffffffff,0x7fff4007,0xffff306f,0x7fffdc09,0x7fffffc2,
    0xffffffff,0xfffb806f,0xfff5002f,0x7ffd43ff,0x7c41ffff,0xfffbcfff,
    0x740000ef,0x74007fff,0x8006ffff,0x006ffffe,0x01ffff90,0x3ffffa80,
    0x07fffee0,0x7fff4000,0xffd00007,0x7fdc00ff,0xf80002ff,0x3f205fff,
    0xffb80fff,0x2e0002ff,0xb802ffff,0x7cc3ffff,0x3ee03fff,0x7fcc2fff,
    0x3fee03ff,0xffa802ff,0x2666623f,0x3ffea000,0x0006ea63,0x988fffea,
    0xff300999,0x7fdc07ff,0xfffe82ff,0xffffffff,0x007fffff,0x03fffff2,
    0x01ffffcc,0xf85ffff7,0xffffffff,0x06ffffff,0x02ffffb8,0xffffff50,
    0xfffffffb,0x3e21bfff,0xffffefff,0xfe80001f,0x3e6007ff,0x002fffff,
    0x03fffff2,0x7fffe400,0x7ffd4000,0x3ffee03f,0xfd00001f,0x20000fff,
    0x2007fffe,0x002ffffb,0x04ffff80,0x203ffff2,0x002ffffb,0x0bfffee0,
    0x0ffffea0,0x407ffff3,0x4c2ffffb,0x2e03ffff,0x4402ffff,0x7ff45fff,
    0xff1003ff,0x3fffaabf,0xff1004ff,0xffffe8bf,0x7ffff303,0x17fffdc0,
    0x7ffffffc,0xffffffff,0xff7007ff,0x7cc03fff,0x3ee03fff,0x7ffc2fff,
    0xffffffff,0xb806ffff,0x5002ffff,0xffffffff,0xffff7fff,0x3ffe21ff,
    0x05ffffff,0xffffd000,0x7fffcc00,0xff7005ff,0x40003fff,0x000ffffc,
    0x01ffffd4,0x003ffff7,0x1ffffa00,0x7fff4000,0x3ffee007,0xff80002f,
    0x3ff204ff,0xfffb80ff,0x3ea0002f,0xfb803fff,0x7fcc2fff,0x3fee03ff,
    0x7ffcc2ff,0x3ffee03f,0x7ffec02f,0x3ffffee0,0x1fffb003,0x3ffffff6,
    0xfffd801f,0x3ffffee0,0x7ffff303,0x17fffdc0,0x4cf7fff4,0x99999999,
    0xff980099,0x7cc03fff,0x3ee03fff,0x66642fff,0xcdffffec,0xb803cccc,
    0x5002ffff,0xffffffff,0x3fffa5ff,0xffff10ff,0x09fffffb,0xffffd000,
    0xffffe800,0xfff9806f,0x640003ff,0x4000ffff,0x203ffffa,0x001ffffb,
    0x0ffffd00,0x3fffa000,0x3ffee007,0xff80002f,0x3ff204ff,0xfffb80ff,
    0x3e60002f,0xfc804fff,0x7fcc0fff,0x3fee03ff,0x7ffcc2ff,0x3ffee03f,
    0x3ffea02f,0x3fbffe23,0xfffa803f,0x3ea73e23,0x7fd405ff,0x3bffe23f,
    0xfff303ff,0x7ffdc07f,0x7fffd82f,0xfe880000,0xf9805fff,0x3ee03fff,
    0x7dc02fff,0x20002fff,0x002ffffb,0xffdffff5,0x7ff4c5df,0xffff10ff,
    0x5fffff39,0xfffe8000,0x7ffc4007,0x7f4406ff,0x80005fff,0x000ffffc,
    0x01ffffd4,0x003ffff7,0x1ffffa00,0x7fff4000,0x3ffee007,0xff80002f,
    0x3ff204ff,0xfffb80ff,0x3e20002f,0x7c407fff,0xff987fff,0x3fee03ff,
    0x7ffcc2ff,0x3ffee03f,0xdfff102f,0xffebffd8,0x37ffc403,0x817ffa04,
    0x7ec6fff8,0x303ffebf,0x5c07ffff,0xfb82ffff,0x00001fff,0x077fffec,
    0x1ffffcc0,0x05ffff70,0x03ffffb8,0x3fffee00,0xffff5003,0x54c01531,
    0x3fffe20a,0x3fffff74,0x7fff4000,0xfffa8007,0x7ffec05f,0xc80000ef,
    0x4000ffff,0x303ffff9,0x003fffff,0x1ffffa00,0x7fff4000,0x3ffee007,
    0xff80002f,0x3ff204ff,0xfffb80ff,0x7fc0002f,0x3ee03fff,0xff985fff,
    0x3fee03ff,0x7ffcc2ff,0x3ffee03f,0x3fffb02f,0xffeaffd4,0x0fffec03,
    0x80fffea0,0x3ea1fffd,0x207ffd5f,0x203ffff9,0xa82ffffb,0x0006ffff,
    0x3fffff20,0xffff3001,0x7fffdc07,0x7fffd402,0x3fea0005,0xff5005ff,
    0x880003ff,0x3f64ffff,0x0000efff,0x000ffffd,0x407ffff1,0x01fffffc,
    0xffff9000,0xfff98001,0xfffe885f,0xd00001ff,0x0000ffff,0x801ffffa,
    0x002ffffb,0x04ffff80,0x203ffff2,0x002ffffb,0x7ffffdc0,0xfffffb83,
    0x3ffff981,0x0bfffee0,0x407ffff3,0xa82ffffb,0x3fe23fff,0x407ffd1f,
    0x5403fffa,0xf500efff,0x7ffc47ff,0x2607ffd1,0x2e03ffff,0xfd02ffff,
    0x3001bfff,0x7ffffd40,0x3ffe6003,0x3ffee03f,0x7ffcc02f,0xf30000ff,
    0x5001ffff,0x0005ffff,0x24ffff88,0x05fffff8,0x0ffffd00,0x3ffff500,
    0x3ffffea0,0x3f200003,0xf8000fff,0x3aa1ffff,0x01ffffff,0xffffd000,
    0x3ffa0000,0x3fee007f,0xf80002ff,0x3f204fff,0xffb80fff,0xe80002ff,
    0xddffffff,0x04ffffff,0x407ffff3,0x4c2ffffb,0x2e03ffff,0x7442ffff,
    0x77fe46ff,0x84dfffcc,0x6406ffe8,0xd100efff,0xeffc8dff,0x84dfffcc,
    0x203ffff9,0x302ffffb,0x79ffffff,0x0ffb9755,0x3bffffe2,0x99999999,
    0x0ffffe61,0x02ffffb8,0x7fffffc4,0x00ecbabd,0x3fffffe2,0x50ecbabd,
    0x0005ffff,0x44ffff88,0x04fffffa,0x07fffe80,0x27fff440,0xefffff88,
    0x99999999,0x3fff2001,0xffe8000f,0xfffeefff,0x001fffff,0x3bbbbba2,
    0xeeefffff,0xeee884ee,0xfffffeee,0xb84eeeee,0x0002ffff,0x204ffff8,
    0xb80ffffc,0x0002ffff,0xffffffa8,0xefffffff,0x7ffff300,0x17fffdc0,
    0x80ffffe6,0x642ffffb,0x7fec1fff,0xffffffff,0x80fffe40,0x00dfffd8,
    0xfb07fff2,0xffffffff,0xffff981f,0x3fffee03,0x3ffff602,0xffffffff,
    0xffffd07f,0xffffffff,0x3fe61fff,0x3fee03ff,0xffb802ff,0xffffffff,
    0x7ffdc00f,0xffffffff,0x05ffff50,0xffff8800,0xfffffc84,0xeeeee882,
    0xeefffffe,0xb5514eee,0x740dffff,0xffffffff,0x0fffffff,0x1ffff900,
    0xffff5000,0xf9ffffff,0x44003fff,0xffffffff,0xffffffff,0xfffff885,
    0xffffffff,0xffb85fff,0xf80002ff,0x3f204fff,0xffb80fff,0x300002ff,
    0xfffffffd,0xf9809fff,0x3ee03fff,0x7fcc2fff,0x3fee03ff,0x3ffe62ff,
    0xfffffd84,0x260fffff,0x3fa04fff,0x1eeeefff,0x3613ffe6,0xffffffff,
    0x7ffcc0ff,0x3ffee03f,0x7ffdc02f,0xffffffff,0xfffff07f,0xffffffff,
    0x3fe61fff,0x3fee03ff,0xffd002ff,0xffffffff,0xffffd001,0x21ffffff,
    0x002ffffa,0x27fffc40,0x1fffffe8,0x7fffffc4,0xffffffff,0xffff95ff,
    0x7fc01bff,0xffffffff,0x00ffffff,0x01ffff90,0x3ffff600,0xffd4ffff,
    0x7fc4003f,0xffffffff,0x85ffffff,0xfffffff8,0xffffffff,0xffffb85f,
    0xfff80002,0x3fff204f,0xffffb80f,0x76400002,0x1dffffff,0x3ffff980,
    0x0bfffee0,0x407ffff3,0x3a2ffffb,0x7f4006ff,0x06ffe83f,0x7ffffffc,
    0x1bffa1ff,0x207ffd00,0x203ffff9,0x802ffffb,0xffffffd8,0xff03efff,
    0xffffffff,0x21ffffff,0x203ffff9,0x002ffffb,0x3fffffea,0xf5000eff,
    0xdfffffff,0x0bfffea1,0xffff1000,0x3fffe209,0x3ffe20ef,0xffffffff,
    0xf95fffff,0xf005dfff,0xffffffff,0x1fffffff,0x3ffff200,0x3fee0000,
    0x3fa2efff,0x3e2001ff,0xffffffff,0x5fffffff,0xffffff88,0xffffffff,
    0xfffb85ff,0xff80002f,0x3ff204ff,0xfffb80ff,0x1000002f,0x98001553,
    0x2e03ffff,0x7cc2ffff,0x3ee03fff,0xfff92fff,0x3ffe8003,0x200fffe4,
    0xffffffff,0x03fff91f,0x303ffe80,0x5c07ffff,0x4002ffff,0x009aaa98,
    0xfffffff8,0xffffffff,0x7ffff30f,0x17fffdc0,0x5554c400,0x53100009,
    0xee981355,0x440002ee,0x2a04ffff,0x225fffff,0xffffffff,0xffffffff,
    0x00359b75,0x7ffffffc,0xffffffff,0xfff9000f,0x5300001f,0x00000035,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x70000000,0xffffffff,0x664c07ff,
    0x00003ccc,0x00199990,0x80bbbba6,0x801eeeea,0xeefeecba,0x6664c1bc,
    0xcccccccc,0xcb980ccc,0x0bceeffe,0x36ea2000,0x001bdeee,0x159dd951,
    0x76e54000,0x0000bcef,0x33100008,0x95100013,0x00157bfb,0x99553100,
    0xcccc8839,0xcccca801,0xeecb9800,0xf0000abd,0xffffffff,0x654400df,
    0xccccdeed,0x9911cccc,0x99500599,0x26200199,0xbceefecb,0x666664c1,
    0xcccccccc,0x99999932,0x99999999,0x32239999,0x9000cccc,0x20019999,
    0x2bdeedca,0xf7000000,0xffffffff,0xfffa807f,0x400005ff,0x006ffffd,
    0x407ffff5,0x201ffffb,0xffffffea,0x7dc7ffff,0xffffffff,0x641fffff,
    0xffffffff,0x2000cfff,0xffffffe9,0x2204ffff,0xfffffffe,0x3ee000ef,
    0xffffffff,0xb93000df,0x5bdffffd,0xffffd910,0xb005dfff,0xffffffff,
    0xf910003d,0x5fffffff,0x03ffff98,0x01ffffb8,0x3fffff62,0x8002ffff,
    0xffffffff,0xff7006ff,0xffffffff,0x227fffff,0xc804ffff,0xc800ffff,
    0xffffffff,0xff70ffff,0xffffffff,0x3fee9fff,0xffffffff,0xffffffff,
    0x13ffff23,0x17fffea0,0x3ffffa60,0x881effff,0x0000cffc,0xfffffff7,
    0xd1007fff,0x000bffff,0x3fffff60,0xfffa805f,0x3ffee03f,0xffffb01f,
    0xffffffff,0xfffffb8f,0xffffffff,0x7fffe41f,0xffffffff,0xfffc800e,
    0xffffffff,0xfffd304f,0xdfffffff,0xffffb003,0xffffffff,0xfffc801d,
    0x4fffffff,0x7fffffe4,0x204fffff,0xffffffe8,0x003fffff,0xffffffb1,
    0xf985ffff,0xfb803fff,0xff501fff,0xffffffff,0xff8009ff,0xffffffff,
    0x7ffec406,0xffffffff,0xf13fffff,0xf9009fff,0x74c01fff,0xffffffff,
    0xf70fffff,0xffffffff,0x3ee9ffff,0xffffffff,0xffffffff,0x3fffe23f,
    0x7fff401f,0x7ffd400f,0xffffffff,0x7ffff43f,0x55510006,0x15555555,
    0x7fffe400,0x7fe40005,0x05fffccf,0x01ffffd4,0x703ffff7,0xffffffff,
    0xb8ffffff,0xffffffff,0x41ffffff,0xfffffffc,0x05ffffff,0x3fffffa2,
    0xffffffff,0xdffffa84,0xfffdb99b,0x3ffee02f,0xfffeefff,0xfd306fff,
    0xffffffff,0x7ffe49ff,0xffffffff,0xffff304f,0xffffffff,0xff9805ff,
    0xffffffff,0x7ffcc2ff,0xfffb803f,0xffffa81f,0xffffffff,0x2aa005ff,
    0xaaaaaaaa,0x7ffff402,0xffffffff,0xf13fffff,0xf9009fff,0x3f201fff,
    0xffffffff,0x70ffffff,0xffffffff,0x2e9fffff,0xffffffff,0xffffffff,
    0x7ffdc3ff,0x3ffee05f,0x7ffc404f,0xffffffff,0x3ffea4ff,0x00002fff,
    0x7fd40000,0xf90005ff,0x7ffe49ff,0x3fffea04,0x3fffee03,0x7ffffc41,
    0xca999abe,0x7fffdc7d,0xffffffff,0x567641ff,0xffeca899,0xffb00fff,
    0x559dffff,0xf889ffb9,0x3e601fff,0xfff00fff,0x7d4415ff,0x7c40ffff,
    0xffffffff,0xff54ffff,0x5537bfff,0x3f609fb7,0xb88aefff,0x206ffffe,
    0xfffffff9,0x41ccccde,0x803ffff9,0xe81ffffb,0xbbdfffff,0x1ffffffd,
    0x2a000000,0x9adfffff,0xaaaefffd,0xffff11aa,0xffff9009,0xfffff501,
    0xb9757bdf,0x2aa21fff,0xfbaaaaaa,0x55514fff,0xffffb555,0x1555555b,
    0x05ffffd0,0x01fffff1,0x1effffc8,0xf717faa2,0x007fffff,0x10000000,
    0x80039999,0xcb83ccc9,0xfff501cc,0x7ffdc07f,0x7fffdc1f,0x7dc0800e,
    0x000007ff,0x17ffffc4,0x77ffffcc,0xf90aa200,0xff3003ff,0xffff309f,
    0x7fffe409,0x7ffffec2,0x536a609d,0x804ffffd,0xeffff980,0x5ffffd00,
    0x3fffffa0,0x7ffcc002,0xfffb803f,0x7fffdc1f,0xffff880f,0x0000005f,
    0x90bffffa,0xf880dfff,0xfc804fff,0xffe80fff,0xda803fff,0x3ffe6000,
    0xfffb804f,0x7fd4003f,0xfffb86ff,0xffff802f,0xf509100f,0x003fffff,
    0x00133300,0x00000000,0xffff5000,0x7fffdc07,0x1ffffe41,0x7fffb800,
    0xfd800000,0xffd83fff,0x88000eff,0xba882fff,0x81fff52b,0x201ffffa,
    0x2a2ffff9,0x003fffff,0x007ffffa,0x0ffffe40,0x0dffff50,0x00dffff5,
    0x0ffffe60,0x87fffee0,0x01fffff8,0x03ffffe6,0x3ea00000,0xffc84fff,
    0x7ffc406f,0xfffc804f,0x7fffdc0f,0x2000001f,0x804ffff9,0x003ffffb,
    0x22ffffd8,0x806ffff8,0x003ffff8,0x0bffffd0,0xfffb7300,0x005dffff,
    0x00000000,0x3fffea00,0x3fffee03,0x1ffffec1,0x7fffb800,0xfa800000,
    0x7fd41fff,0x90001fff,0xffe88dff,0x13ffa6ff,0x407ffff5,0x361ffffa,
    0x4005ffff,0x00dffffe,0x37fffc40,0x0ffffec0,0x007ffffa,0x1ffffcc0,
    0x0ffffdc0,0x00bffff7,0x209ffffb,0xeeeeeeea,0xffd806ee,0xfffc81ff,
    0x7fffc406,0xffffc804,0x3ffffe20,0x4c000003,0xb804ffff,0x8003ffff,
    0x326ffff9,0x9801ffff,0x0002ffff,0x0009dd91,0xfffffff5,0x03ffffff,
    0x77777754,0x76406eee,0xeb8004ee,0xffff54ee,0x7fffdc07,0x7ffffe41,
    0xfffb8001,0xc8000007,0xffc87fff,0x3e0005ff,0x3ffe63ff,0x3fee6fff,
    0x7ffffcc7,0x8dfffd00,0x000ffffe,0x7fffffe4,0xfff5001c,0xfffc807f,
    0x3ffe62ff,0x3e60004f,0xfb803fff,0x3ff21fff,0xffa802ff,0xfff705ff,
    0x0fffffff,0x20ffffd0,0x4406fffc,0xc804ffff,0x3ea0ffff,0x0000ffff,
    0x7fffcc00,0xffffb804,0xfff90003,0x9ffff15f,0x3fffea00,0x00000001,
    0x3fffffea,0xffffffff,0xfffff700,0xc80fffff,0xc8006fff,0xfff54fff,
    0x7ffdc07f,0x7fffdc1f,0x2e000bff,0x00007fff,0x2ffffcc0,0x017ffff4,
    0x20fff880,0x6eeffffd,0xfd03ffe2,0x6c45ffff,0x3e23ffff,0x88007fff,
    0xffffffff,0x3fee01cf,0xffd100ff,0x7dc7ffff,0x20003fff,0x803ffff9,
    0x361ffffb,0x8800ffff,0xf706ffff,0xffffffff,0xbffff00f,0x01bfff20,
    0x009ffff1,0x5c1ffff9,0x0004ffff,0xffff9800,0xffffb804,0xfff10003,
    0x1ffff9df,0x3fffee00,0x00000001,0x2b33bfea,0xfffffdaa,0xfffff704,
    0xb80fffff,0xd8007fff,0xfff53fff,0x7ffdc07f,0x7fffc41f,0x801cffff,
    0xeeeffffb,0x10000bcc,0x3dffff93,0x01fffff0,0x99ffe600,0x3e00ffff,
    0x7ffcc1ff,0xfffbefff,0x7ffcc4ff,0xff50006f,0xffffffff,0xffff905d,
    0xfffff501,0x7fec9fff,0xeedc99ff,0x3fe602cd,0xffb803ff,0x3fffa1ff,
    0x3fffe007,0xddddd507,0x880fffff,0xf904ffff,0xff880dff,0xffc804ff,
    0x3fff20ff,0x8000002f,0x804ffff9,0x003ffffb,0x3ffffee0,0x2e003fff,
    0x0001ffff,0x07260000,0x0dffff30,0x3fbbbbaa,0x7d407fff,0x74000fff,
    0xfff52fff,0x7ffdc07f,0xffffa81f,0x0befffff,0xffffff70,0x03bfffff,
    0xffffff98,0xff105fff,0x54000fff,0x3ffee6ff,0x417ff403,0xfffffffa,
    0xfa84ffff,0x20005fff,0xffffffd8,0x7ec4ffff,0x7fec47ff,0x5fffffff,
    0x3ffffffa,0xefffffff,0x3ffff982,0x1ffffb80,0x801ffffe,0x000fffff,
    0x301ffffa,0x3207ffff,0xffffffff,0x13fffe27,0x83ffff20,0xd81ffffd,
    0xeeeeeeee,0x3ffe6000,0xdaaaa84f,0xaaadffff,0x7fff4002,0xa9806fff,
    0xabffffca,0x00aaaaaa,0xb0000000,0x4001ffff,0x4c07fffe,0x4001ffff,
    0xff51ffff,0x7fdc07ff,0xfff701ff,0xffffffff,0xfffff707,0xffffffff,
    0x7fffcc05,0x301effff,0x000fffff,0xff92ffe4,0x4ffd803f,0xfffffd30,
    0x3e609fff,0x80007fff,0xfffffeb8,0x3ffa2fff,0x3fffa66f,0x6fffeaff,
    0x3ffffffa,0xffffffff,0x7fffcc4f,0xffffb803,0x0dffff11,0x0fffff40,
    0x0ffffd00,0x03ffffa8,0xfffffff9,0x7fffc4ff,0xffffc804,0x03ffffa0,
    0x3ffffffa,0x3e6000ff,0x7fc44fff,0xffffffff,0x2000ffff,0x2ffffff9,
    0xfffffb80,0xffffffff,0x000000ff,0xffff9000,0x7fff4003,0x7fffc407,
    0x7c155542,0x3ffe67ff,0xffff303f,0x7ff4c03f,0xffffffff,0x7ffffdc5,
    0xffffffff,0xffff301f,0x5fffffff,0x06ffffa8,0xd93ff200,0x7e401fff,
    0xfffb104f,0x1bffffff,0x0fffff88,0x3ae20000,0x3e6fffff,0xfff76fff,
    0x3ffa1dff,0x3ffffe6f,0xffffffff,0x3e61ffff,0xfb803fff,0xfff31fff,
    0x7ff400df,0x3fa001ff,0x7fdc07ff,0xfff902ff,0x44ffffff,0xc804ffff,
    0x3fe0ffff,0xfffd07ff,0x001fffff,0x227fffcc,0xfffffff8,0x0fffffff,
    0x7fffec00,0xffff7005,0xffffffff,0x00001fff,0x64cc4000,0x2001ffff,
    0xf807fffe,0x7ffc3fff,0x9fffe20f,0x885ffff9,0x01fffffe,0xfffffd98,
    0x8804ffff,0xfffffea9,0xdb999106,0x7fffffff,0x03ffffcc,0x64bff700,
    0x7ec03fff,0xffff983f,0xffffffff,0x7ffffc0e,0xf9000004,0x7ff4ffff,
    0xfffffdef,0xf2ffffc4,0x159fffff,0x3ffffee6,0x0ffffe66,0x47fffee0,
    0x006ffff8,0x003ffffa,0x407fffe8,0x903ffffa,0x9999ffff,0x27fffc49,
    0x07fffe40,0xd01fffff,0xffffffff,0x7ffcc001,0x7fffc44f,0xffffffff,
    0x2aaa00ff,0xcffffcaa,0xfb82aaaa,0xffffffff,0x00ffffff,0x00006ee6,
    0xffffdd93,0x003fffff,0x403ffff4,0x3ea4fffe,0x3fe63fff,0x7ffffc5f,
    0x3ffffaa1,0x2e2001ff,0xfffffffe,0x7ffdc001,0x6d4000ff,0xf11fffff,
    0x0001ffff,0xffb9bfea,0x17ff405f,0x33ffffe6,0xffffffb8,0x7ffffec5,
    0xf9800002,0x3ff67fff,0x1fffffff,0x3e4ffff8,0x2600ffff,0xf30fffff,
    0xf7007fff,0x7ffc3fff,0x3ffe007f,0x7ff4007f,0x7ffcc07f,0xdfff903f,
    0x4ffff880,0x0ffffc80,0x207ffffa,0xfffc9998,0x3fe6000f,0xcccc84ff,
    0xccdffffd,0x7fffc04c,0xffffffff,0x99887fff,0x99affffb,0x2e019999,
    0x8003ffff,0xffffffd9,0x1fffffff,0x1ffffa00,0xd97fff20,0x3ea6ffff,
    0x7fff44ff,0xffffeeff,0x0001ffff,0x9ffffff5,0xffffd000,0x3ff60005,
    0x3fffe4ff,0xff30001f,0x77fffccf,0x0fffc3ab,0x10bffffa,0x45fffffb,
    0xcffffff9,0x0374b980,0x4dffff90,0xfffffffc,0xffff880d,0x03ffffa4,
    0x23ffffb0,0x803ffff9,0x3e1ffffb,0x3e007fff,0x74006fff,0x7c407fff,
    0xff904fff,0xfff880df,0xfffc804f,0x3ffff60f,0xffffc802,0x3ffe6000,
    0xfffb804f,0x7ffc003f,0xffffffff,0x5c07ffff,0x8001ffff,0x0ffffff8,
    0x3fffe600,0xffffffff,0x3a001fff,0xfb807fff,0x3fffe6ff,0x7fff71ff,
    0xffffffa8,0xfffcffff,0x3a20001f,0x8005ffff,0x004ffffc,0x4bffff50,
    0x003ffffe,0x6c3fff10,0x26ffffff,0x3ee0fff9,0x3f603fff,0x7fec5fff,
    0xeeffffff,0x9dff5fff,0xffb73355,0x7fdc7fff,0x2603ffff,0x3f63ffff,
    0x7e400fff,0xfff32fff,0xfff9007f,0x7ffff41f,0xffff9801,0x7fff4004,
    0x7fffc407,0x0dfff905,0x04ffff88,0x20ffffc8,0x804ffffb,0x000ffffc,
    0x013fffe6,0x00ffffee,0xfb999990,0x9999bfff,0xffffb809,0xfffb8001,
    0xf1002fff,0x357fffff,0x3ffff933,0x3ffff400,0xabfffd40,0x94ffffff,
    0xffb05fff,0x29ffffff,0x0001fffe,0x037fffe4,0x1ffffdc0,0xffff8800,
    0x1fffff66,0x24fff800,0x6fffffe8,0xffb1bff6,0xfff880ff,0xffffd86f,
    0xffffffff,0xfffffff5,0xdfffffff,0x1effffa8,0x0ffffe40,0x803ffffb,
    0xf12ffffb,0xf9009fff,0xfffd8fff,0xfffc804f,0x7ff4003f,0xffff807f,
    0x0dfff907,0x04ffff88,0x20ffffc8,0x00fffffa,0x007fffe4,0x09ffff50,
    0x07ffff70,0xffff5000,0xfff70005,0xff50003f,0x2005ffff,0x205ffffb,
    0x001ffffb,0x201ffffa,0xfd8ffff9,0xfb6fffff,0x3fee03ff,0x3fa2efff,
    0x5c0001ff,0x8004ffff,0x001ffffd,0x49ffff50,0x03fffffb,0x81fff700,
    0xf14fffdb,0xffff85ff,0x7fffe806,0xffffffb0,0x3ebfffff,0xffffffff,
    0x440effff,0x400fffff,0x7e46ffff,0x7ec04fff,0x3ffe0fff,0xfffe805f,
    0x37fffd46,0x0fffff40,0x1ffffa00,0x07ffff60,0x101bfff2,0xb009ffff,
    0x7c41ffff,0x6403ffff,0x2000ffff,0x803ffffb,0x003ffffb,0x2ffffa80,
    0xffffb800,0xfff88001,0xfb000fff,0x7dc03fff,0x3a001fff,0xf8807fff,
    0xcfff9fff,0xffe9fffd,0x0d54c00f,0x0217ffea,0x7ffffb00,0xffffa800,
    0x3ffa0007,0x7fff43ff,0x218803ff,0x2004fff8,0xffe86ffc,0x7ffc01ff,
    0x3ff2605f,0x1cffffff,0xfffffffb,0x6405bfff,0x2e04ffff,0x7cc3ffff,
    0x3e207fff,0x7ff47fff,0x3fe601ff,0xfffe85ff,0x3fff204f,0xffe8005f,
    0xfffa807f,0x6fffc86f,0x27fffc40,0x43ffff40,0x03fffffb,0x0c3ffff2,
    0x0fffff40,0x1ffffdc0,0x33333200,0xccdffffd,0x7fdc04cc,0xf50001ff,
    0x74005fff,0xf301ffff,0x4003ffff,0xf007fffe,0x5fff9fff,0xfff9fff7,
    0x7fcc000f,0x5f7c40ef,0xfffb3009,0x710023ff,0x00bfffff,0xfffffd30,
    0xfffffa83,0x36a21adf,0x27ffdc4f,0x417ffe40,0x205ffffd,0x803ffffc,
    0x009efffc,0x3ffeea62,0xfff8802f,0xfffb82ff,0xffffb07f,0xfffe881b,
    0x7fffe45f,0xfffe881e,0xffffb81f,0x3ff261cf,0xe8000fff,0xfd007fff,
    0x7e41bfff,0x7fc406ff,0xf502a4ff,0x3fe0dfff,0x40acffff,0xd90ffffc,
    0xffffb105,0xfff7001f,0xfff8007f,0xffffffff,0x5c07ffff,0x0001ffff,
    0xb0002aa2,0xf509ffff,0x003fffff,0x803ffff4,0xfffffffe,0xffffff88,
    0x3fa0006f,0xfff882ff,0xffeeefff,0x3e4fffff,0xfedcceef,0x4c6fffff,
    0xedccdeef,0x3ffffffe,0xffffffb0,0xffffffff,0xdffff889,0x5fffd981,
    0xffffff70,0xfffd757b,0xffb003ff,0xff98005f,0x3ff2007f,0xfeccffff,
    0xf303ffff,0xb9bfffff,0x81ffffff,0xdffffff8,0xfffffdcc,0xfffff104,
    0xffffffff,0x3a0009ff,0xf7007fff,0xfddfffff,0xddddffff,0x3fffe25d,
    0x3fbbbf24,0xf503ffff,0xffffffff,0x1ffffffd,0x373bfff2,0x03ffffff,
    0x07ffff70,0xffffff80,0xffffffff,0xffffb87f,0xffffffff,0x005fffff,
    0x7fffdc00,0xfffebbdf,0x2001ffff,0x9007fffe,0x4bffffff,0x5ffffffe,
    0xffff1000,0xfffff101,0xffffffff,0xffff8bff,0xffffffff,0x7ffcc0ef,
    0xffffffff,0x36204fff,0xffffffff,0x884fffff,0xddfffffe,0x405fffff,
    0xfffffffd,0x2fffffff,0x00ffff00,0x009fff70,0x7fffff44,0x4fffffff,
    0x7ffffec0,0xffffffff,0xfffff701,0xffffffff,0x7ffcc01f,0xffffffff,
    0x3a200dff,0xfffeeeee,0x4eeeeeff,0xffffffd8,0xffffffff,0xfff13fff,
    0x7fffe49f,0x5c06ffff,0xffffffff,0x0fffffff,0xfffffff9,0x400dffff,
    0x003ffffb,0x7e555554,0xaaaacfff,0xfffffb82,0xffffffff,0x0005ffff,
    0x7ffffc40,0xfeffffff,0x77441fff,0xffffeeee,0x44eeeeef,0x2ffffffb,
    0x3fffffee,0xfff30004,0x7fc4339f,0xffffffff,0x7c0dffff,0xffffffff,
    0xf980cfff,0xffffffff,0x7003efff,0xffffffff,0x6c09ffff,0xffffffff,
    0xffb003ff,0xffffffff,0x3e6007ff,0xfc8004ff,0xfd8001ff,0xffffffff,
    0xfff7002f,0xdfffffff,0xffffb805,0xdfffffff,0xfffe8800,0x3fffffff,
    0xfffff880,0xffffffff,0xff905fff,0xffffffff,0x27ffffff,0x324ffff8,
    0xefffffff,0xfffe9801,0xffffffff,0xffff90ff,0x1bffffff,0x7fffdc00,
    0xffa80003,0xff7002ff,0xffffffff,0xbfffffff,0xff500000,0xbfffffff,
    0x883fffd1,0xffffffff,0xffffffff,0x7ffffd45,0x3fffe20f,0x3e0002ff,
    0x647fffff,0xfffffffd,0xff00cfff,0xdfffffff,0x7ffcc017,0xdfffffff,
    0xfec88002,0x2cffffff,0xffffdb80,0x4c001cef,0xfffffffd,0x3ea000bf,
    0xfe8001ff,0x3ae0006f,0x1cefffff,0x7ffecc00,0x2003efff,0xffffffd8,
    0xec8002ef,0x1dffffff,0xfffff100,0xffffffff,0x6d40bfff,0xfffffffe,
    0x13ffffff,0x7dc9ffff,0x004fffff,0xfffffeb8,0x220adfff,0xffffffeb,
    0xffb8002e,0xa80003ff,0x7002ffff,0xffffffff,0xffffffff,0x200000bf,
    0xefffffe9,0x107fffa2,0xffffffff,0xffffffff,0xfffff98b,0xfffffe85,
    0x3fee0001,0x26607fff,0x0009aaaa,0x01355531,0xaaa99880,0x88000009,
    0x20000999,0x00000aa8,0x00135533,0x0017bae0,0x00017774,0x00009a98,
    0x00035510,0x00355310,0x00554c00,0x7ffffc40,0xffffffff,0x31005fff,
    0x00000135,0x00001331,0x0066aa62,0x000554c4,0x00000000,0x00000000,
    0x55100000,0xff100015,0xffffffff,0x8bffffff,0x83fffff8,0x00fffffb,
    0x77f6d400,0x00000004,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x99999000,0x99999999,0x02079999,0x88000200,0xcccccccc,0xccc84ccc,
    0x01abcccc,0xcccccc80,0x80001abc,0xcca84ccb,0xb951000c,0x00037bdf,
    0x99999930,0x36e62001,0x0001cdef,0x40399993,0x001cccc9,0x13332e00,
    0x13332e00,0x33326000,0xcccccccc,0x1ccccccc,0x40266654,0x64c3cccc,
    0xcccccccc,0xcccccccc,0x9999931c,0x99999999,0x0f332699,0x47332e00,
    0x001ccccc,0xc9333322,0xcccccccc,0x24cccccc,0xccccccc9,0x2ccccccc,
    0xccccc980,0xccc9801c,0x9aaccccc,0x66664c00,0x33332201,0xffff802c,
    0xffffffff,0x446fffff,0x3e6002fc,0xffa8000c,0xffffffff,0xfffff87f,
    0xceffffff,0xfffff800,0xceffffff,0x6fff8000,0x801fffc8,0xfffffffb,
    0x20000cff,0x1ffffffe,0xfffffc80,0x000dffff,0x5fffffb1,0x1ffffd40,
    0xfffb0000,0xffe8001f,0xfb80007f,0xffffffff,0xffffffff,0x7fffec3f,
    0x2ffffc00,0x3fffffee,0xffffffff,0xff53ffff,0xffffffff,0x3e6fffff,
    0xfd8006ff,0xffffb1ff,0x7ffd400b,0x3ffffe4f,0xffffffff,0x3ffea7ff,
    0xffffffff,0xfc804fff,0x804fffff,0xfffffffb,0x02dfffff,0x405ffff7,
    0x00fffffc,0xfffffff8,0xffffffff,0x3ffee6ff,0xffe8800f,0x7ff4003f,
    0xffffffff,0xfffff87f,0xffffffff,0x7fffc03f,0xffffffff,0x7fc003ff,
    0x0fffd85f,0x3ffffa20,0xffffffff,0xfffb8001,0x2601ffff,0xfffffffe,
    0x200fffff,0xffffffc8,0x3ffea02f,0x3600003f,0x4000ffff,0x0007fffe,
    0xffffffb8,0xffffffff,0x7ec3ffff,0x7fc00fff,0x7ffdc5ff,0xffffffff,
    0x3fffffff,0xfffffff5,0xffffffff,0x001fffe6,0x7d47fff6,0x36007fff,
    0x3fe2ffff,0xffffffff,0x2a7fffff,0xffffffff,0x04ffffff,0xfffffff8,
    0xffffb807,0xffffffff,0xfffb85ff,0xffff302f,0x3ffe005f,0xffffffff,
    0x26ffffff,0x805ffffd,0x005ffffc,0x3fffffe2,0x87ffffff,0xffffffff,
    0xefffffff,0xffffff00,0xffffffff,0xff1001df,0x0fffd09f,0xffffffd8,
    0x6fffffff,0x7fffc400,0xf501ffff,0xffffffff,0x10bfffff,0xfffffff9,
    0x7fd405ff,0x200003ff,0x000ffffd,0x003ffff4,0x0017fdc0,0x3f61ffd4,
    0x7fc00fff,0x7ffdc5ff,0xffffffff,0x3fffffff,0xfffffff5,0xffffffff,
    0x001fffe2,0x7c47fffa,0xf001ffff,0x7fc1ffff,0xffffffff,0x2a7fffff,
    0xffffffff,0x04ffffff,0x7fffffcc,0x7fdc01ff,0xffffffff,0x5c4fffff,
    0xfd02ffff,0x7c00bfff,0xffffffff,0xffffffff,0x3ffffe25,0x3ea35533,
    0x2000efff,0xfffffffc,0xf82aaaae,0xdcaaffff,0x4fffffff,0x55fffff0,
    0xffffffb9,0xfff3009f,0x40dffd09,0x9cfffffb,0xfffffc98,0x3fff6002,
    0x201fffff,0xabdefffd,0x2ffffffc,0x3fffffea,0x202fffff,0xfffffffa,
    0x4002cdef,0x000ffffd,0x003ffff4,0xfb97fdc0,0xff502cce,0x3ffffae7,
    0xeeeeeeef,0x3efffffe,0xb5555551,0x555bffff,0x3fea1555,0xcccccdff,
    0xff14cccc,0xffd000ff,0x7fffec1f,0xffff9804,0x65555545,0xaaacffff,
    0x3fffea2a,0xcccccccd,0x7fdc02cc,0x03ffffff,0x4d7fffdc,0xffffdaa9,
    0x7fffdc7f,0xeffffc82,0x3a000000,0x7cc2ffff,0xffffffff,0x1fffffff,
    0x67fffc00,0xff005fff,0x3fe60dff,0xff80ffff,0xfff306ff,0xfa801fff,
    0x6fff83ff,0x0bffffe0,0x037fffdc,0xfdffffa8,0x3a201fff,0xffff104f,
    0x7fffd47f,0x2ffffdef,0x3ffffea0,0xffffffff,0xffffb003,0x3fa0b301,
    0xb80007ff,0xffff72ff,0x3ffa87df,0xfffffff9,0xffffffff,0x009fffff,
    0x007ffff7,0x007ffff5,0x007fff88,0x2e0fffe8,0xb806ffff,0xb803ffff,
    0x5403ffff,0x0003ffff,0xffdfffd0,0xffb80dff,0xfff301ff,0x7ffdc3ff,
    0x7fffcc2f,0x2000001f,0x706ffffa,0xffffffff,0x07ffffff,0xbdfffa80,
    0xff005fff,0x7f440dff,0xfff85fff,0x3ffa206f,0x555445ff,0xaaacfffc,
    0x2aaefffb,0x017fffe2,0x003ffffd,0xff3bfffd,0x019803ff,0x22ffffdc,
    0xff73ffff,0x7fd405ff,0xffffffff,0x400effff,0x220ffffd,0xfffd07fd,
    0xff70000f,0x3ffffee5,0x4ffea4ff,0xfffffffc,0xffffffff,0x804fffff,
    0x803ffffb,0x003ffffa,0x000ffff8,0x3e23fffc,0x7400ffff,0xb800ffff,
    0x5403ffff,0x0003ffff,0xeaffff88,0x2e00ffff,0x3601ffff,0x3ee2ffff,
    0x7ff42fff,0x000004ff,0x017ffff4,0xfffffffb,0x00bfffff,0xf75fffb0,
    0x3fe00bff,0x7fd406ff,0x7ffc1fff,0x7ffd406f,0x3ffe21ff,0xffffffff,
    0xffffffff,0x07ffff50,0x02ffffc8,0x4c7fffe4,0x0001ffff,0x46ffff98,
    0x7ffdc3fc,0x3ffea02f,0xffffffff,0x6c05ffff,0xfc88ffff,0xfffd07ff,
    0xff70000f,0xfffb9885,0x327ff53f,0xffffffff,0xffffffff,0xb804ffff,
    0xa803ffff,0x8003ffff,0x4000ffff,0xffe87fff,0x3fe202ff,0xff7006ff,
    0xffa807ff,0xa80003ff,0xffb8ffff,0x3fee02ff,0x3ff201ff,0x3ffee2ff,
    0x3ffff22f,0x54000006,0x6c06ffff,0xdbceffff,0x4006ffff,0xff77fff8,
    0x3ffe00bf,0xffff806f,0x37fffc2f,0x17ffffc0,0xfffffff1,0xffffffff,
    0x3ee1ffff,0x7d402fff,0x3e603fff,0xfff33fff,0xf300003f,0x8088bfff,
    0x202ffffb,0x4c3ffffa,0x3fffffea,0x33ffff60,0xd07fffff,0x0000ffff,
    0x74405ff7,0x27ff55ff,0x9ffffd98,0xf9999999,0x8009efff,0x803ffffb,
    0x003ffffa,0x540ffff8,0x7fff84ee,0x05ffffc8,0x013fffea,0x01ffffdc,
    0x00ffffea,0x5bfff600,0x205ffff9,0x201ffffb,0x2e1ffffd,0xff32ffff,
    0x00001fff,0x3ffffe80,0x17fffe20,0x007ffff2,0xf74fffb8,0x3fe00bff,
    0xffc806ff,0x7fffc3ff,0xffffc806,0x3ffffe23,0xffffffff,0x70ffffff,
    0x9807ffff,0x3604ffff,0x3fe66fff,0xb80001ff,0x7004ffff,0x5405ffff,
    0x3603ffff,0x3606ffff,0xffffffff,0xfffd03ff,0xff70000f,0x57ffb805,
    0xfffd87ff,0x7fffc00f,0x3ffee005,0xfffa803f,0xffe8003f,0x43ffec1f,
    0xff986fff,0x3ff207ff,0xff7001ff,0xffa807ff,0xf80003ff,0x3ffe4fff,
    0x3ffee07f,0xffff301f,0x2ffffb8d,0x007ffffd,0xfff98000,0x7ffdc07f,
    0x7ffff00f,0x8ffff400,0x4c05fffb,0x99effff9,0x7ffdc099,0xffff334f,
    0xb813333d,0x4cc4ffff,0x999fffe9,0x99afffc9,0x1bfffe61,0x0bffff10,
    0x987fffea,0x0001ffff,0x03ffffe8,0x05ffff70,0x01ffffd4,0x40fffff1,
    0xfffffffd,0x7fff403f,0x0dfeb807,0x32017fdc,0x87ff56ff,0x400ffffd,
    0x2005ffff,0x803ffffb,0x99cffffa,0x09999999,0xf887fffa,0x7ffc2fff,
    0x3fffff06,0x01ffffe0,0x03ffffb8,0x01ffffd4,0x3fffe600,0x07ffff61,
    0x20ffffdc,0x1fffffa8,0x5d7fffdc,0x0005ffff,0xffffd800,0x2fffe403,
    0x009fffb0,0xfb9bffe6,0x4fffffff,0x3ffffffe,0x7d42ffff,0xffff5fff,
    0x5fffffff,0x05ffffa8,0x3f21bffe,0xfff100ff,0xf91039ff,0xff10dfff,
    0xfff989ff,0x7cc0001f,0x2e007fff,0x2a02ffff,0x7403ffff,0x6441ffff,
    0x3fffffff,0x0ffffd00,0x0fffffd8,0xf980bfee,0x87ff55ff,0xcccffffd,
    0xfffccccc,0x3fee005f,0xffa803ff,0xffffffff,0x3f63ffff,0x3ffea1ff,
    0x17ffe24f,0x41ffffe4,0x004ffff9,0x00ffffee,0x55bffff5,0x05555555,
    0x2e3fffe4,0xf704ffff,0xffffffff,0x705fffff,0xfff9ffff,0x000001ff,
    0x0fffff98,0x027ffec0,0x200bfff9,0x3ee3fffc,0x4fffffff,0x3ffffffe,
    0x7cc2ffff,0xffff6fff,0x5fffffff,0x06ffff98,0x3f617ffe,0x3ff600ff,
    0xecceffff,0x86ffffff,0x4c0ffffc,0x0001ffff,0x0fffffa2,0x2ffffb80,
    0x0ffffea0,0x23ffffb0,0xffffffb8,0x3fa000bf,0x3fe607ff,0x3ee5ffff,
    0x3ffbaa2f,0x7ff50fff,0xffffffd8,0xffffffff,0x3ee005ff,0xfa803fff,
    0xffffffff,0x363fffff,0x3ff61fff,0x3ffe27ff,0xbffff505,0x05ffff70,
    0x1ffffdc0,0x3ffffea0,0xffffffff,0xbfffd00f,0x06ffff88,0xfffffff7,
    0x05ffffff,0x3fffffee,0x00002fff,0x4ffffd80,0x04fffd80,0x4017fff2,
    0x3ee0ffff,0x4fffffff,0x3ffffffe,0x7cc2ffff,0xffff6fff,0x5fffffff,
    0x06ffff98,0xfd09fff1,0xfff880ff,0xffffffff,0x4c5fffff,0xf982ffff,
    0x20001fff,0x006ffffd,0x017fffdc,0x807ffff5,0xf50ffffe,0x1fffffff,
    0x7fffe800,0x3ffffee0,0xa8bfee7f,0x21efffff,0x7fec3ffa,0xffffffff,
    0x05ffffff,0x0ffffee0,0x3ffffea0,0xffffffff,0x8bfff23f,0x11ffffff,
    0x3e209fff,0x7f40ffff,0x7dc007ff,0x7d403fff,0xffffffff,0x880fffff,
    0xfe83ffff,0xffb80fff,0xffffffff,0x5c1effff,0xffffffff,0x4000005f,
    0x00fffff9,0x205fffc8,0xa804fffd,0x7fdc6fff,0x23eeeeff,0xefffffee,
    0x7fd42eee,0xfffdd5ff,0x85ddddff,0x305ffffa,0xfff09fff,0xffff500d,
    0xffffffff,0xffe8bfff,0xffff305f,0x3ff20003,0x5c000fff,0x2a02ffff,
    0x2203ffff,0x3ea7ffff,0x0fffffff,0x3ffff400,0xffffff70,0xf517fdcd,
    0xff5057df,0xfffffd87,0xffffffff,0x2e005fff,0xa803ffff,0xeeeeffff,
    0x22eeeeee,0xff52fffc,0x3e69ffff,0x3ff604ff,0x3ffe22ff,0x7fdc005f,
    0x7fd403ff,0xffffffff,0xfb80ffff,0xffc81fff,0xfffb83ff,0xffeeeeef,
    0x2e1fffff,0xfffbffff,0x000002ff,0x013ffff6,0xf03fffdc,0xfb007fff,
    0xfffb87ff,0xdffff005,0x9ffff700,0x806ffff8,0x264ffffb,0x9cfffb99,
    0x9efff999,0x3fee2019,0xfcdfffff,0x3fee4fff,0xfff300ff,0xff90003f,
    0x70005fff,0x5405ffff,0x3603ffff,0x3ea5ffff,0x0ffffecf,0x3ffff400,
    0xffffff10,0xf517fdc9,0x1ffd407f,0x2afffff6,0xffaaaaaa,0x3ee005ff,
    0xfa803fff,0xb8003fff,0xbff92fff,0x3fe6dfff,0x3ffee04f,0x3fffea4f,
    0x7ffdc003,0x7ffd403f,0xccccccdf,0xffd80ccc,0xffff506f,0x3ffff70b,
    0x3ffffea0,0x2bfffee6,0x00fffffb,0xfff98000,0xff5000ff,0xfff709ff,
    0xfff8801f,0x2fffdc0f,0x06ffff80,0x43ffffc8,0xc806ffff,0xff33ffff,
    0xffffffff,0xffffffff,0x3531001f,0x9ffffdc3,0xaadffff8,0xfffcaaaa,
    0xb802aacf,0x002fffff,0x05ffff70,0x41ffffd4,0x1fffffd8,0x7ffec326,
    0x7ff4000f,0x7ffdc07f,0x317fdc5f,0x7fd407ff,0x07fffec3,0x017fffe0,
    0x03ffffb8,0x03ffffa8,0xf3fffb80,0x1fffb5ff,0x4407fff3,0x3f27ffff,
    0x5c000fff,0x5403ffff,0x0003ffff,0x409ffff1,0xfb87ffff,0x3e601fff,
    0xff71ffff,0x3fffa5ff,0xd800005f,0x4004ffff,0xabfffffe,0x805ffffd,
    0xeeeffffb,0x005fffee,0xd00dffff,0xff85ffff,0xffe806ff,0xffff32ff,
    0xffffffff,0x1fffffff,0xfffd8000,0xfffff31f,0xffffffff,0x1fffffff,
    0x7ffffdc0,0x3fee0002,0x3fea02ff,0xfedccdff,0x403fffff,0x000ffffd,
    0x403ffff4,0xffb82cb9,0xf5004cc2,0xffffd87f,0x2ffffc00,0x7ffff700,
    0x7ffff500,0x7fff7000,0xff51fff3,0x07fff57f,0xf1ffffe8,0x7000dfff,
    0xa807ffff,0x0003ffff,0xfffffff5,0xffffffff,0xffffb85f,0x7ffff401,
    0x25ffff72,0x03fffff9,0x3ffe2000,0x7e4000ff,0xffffffff,0xfe804fff,
    0xffffffff,0xff005fff,0xffa80dff,0x7ffc0fff,0x7ffd406f,0xffff30ff,
    0xffffffff,0x1fffffff,0x7ffc4000,0x3fffe66f,0xffffffff,0xffffffff,
    0xfffff700,0xffb80005,0x3fea02ff,0xffffffff,0xd806ffff,0x4000ffff,
    0x0007fffe,0x5dc2ffb8,0xb0ffea00,0xf801ffff,0x2e005fff,0xa803ffff,
    0x8003ffff,0xffbbfffa,0xf5bfff16,0xffb805ff,0xffff9bff,0xfffb8003,
    0x7ffd403f,0xff90003f,0xffffffff,0x89ffffff,0x401ffffb,0xf72ffffd,
    0x7fe45fff,0x00000fff,0x00bffff9,0xffffff98,0xffffffff,0x3fffe602,
    0xffffffff,0xffff005f,0xffffe80d,0x06ffff83,0x11fffff4,0x5fffd555,
    0x9fffb555,0xc8000555,0x3e63ffff,0xffffffff,0xffffffff,0xffb80fff,
    0x80002fff,0x202ffffb,0xfffffffa,0x02ffffff,0x01ffffb0,0x07fffe80,
    0x22ffb800,0x3ea06ffd,0x7fffec3f,0x2ffffc00,0x7ffff700,0x7ffff500,
    0x9fff5000,0x7ff47ffd,0x402fffbf,0xfbdffff9,0xb8001fff,0x5403ffff,
    0x0003ffff,0xffffffff,0xffffffff,0xffffb8ff,0x7ffffc01,0x45ffff71,
    0x06ffffe8,0xffff8800,0x3fa2001f,0xffffffff,0x00ffffff,0xddddfff9,
    0x0bfffddd,0x41bfffe0,0x0fffffd8,0x106ffff8,0x01fffffb,0x7dc3fff4,
    0x880001ff,0x20fffffc,0xeeeeeee9,0xfffeeeee,0x5c0eeeef,0x001fffff,
    0x5ffff700,0x7ffffd40,0x0befffff,0x3ffff600,0x7fff4000,0xffb80007,
    0x403fffe2,0x7fec3ffa,0x7ffc00ff,0x3fee005f,0xffa803ff,0xf98003ff,
    0x21fffdff,0xfffdfffb,0xfffff801,0x0007fffd,0x807ffff7,0x003ffffa,
    0xffffff98,0xffffffff,0x3ee1ffff,0x3ee01fff,0x3fee7fff,0x7ffd42ff,
    0x640003ff,0x4005ffff,0xa9bffffd,0xfffc8abb,0xffff886f,0x0bfff701,
    0x99bfffe0,0xffffffba,0x4dffff03,0xfffffba9,0x37ffc03f,0x0007ffe4,
    0x3ff2a662,0x0002ffff,0x00ffffd4,0x59fffff7,0x55555555,0x4cccccc5,
    0x99bffffc,0xffff5199,0x0001355b,0x4cffffec,0x99999999,0x33ffffd1,
    0x33333333,0xc8bfee01,0x3fea06ff,0x07fffec3,0x017fffe0,0x03ffffb8,
    0x03ffffa8,0xfffff980,0x7fffc46f,0xfc801fff,0x4fffffff,0xffff7000,
    0xffffa807,0xfffb8003,0xfffc800f,0x3fffee3f,0xffffd981,0x3fffee6f,
    0xfffffd82,0xfff10001,0x7e4003ff,0xfe806fff,0x7fd44fff,0x3ffee06f,
    0x40eeeeef,0xffffffff,0x5fffffff,0x3fffffe0,0xffffffff,0x7ffc405f,
    0x00fffd85,0xfffffff8,0x03ffffff,0xffffa800,0xfffff501,0xffffffff,
    0x7ffcdfff,0xffffffff,0xf57fffff,0x00007fff,0x7fffffec,0xffffffff,
    0xffffffd7,0xffffffff,0x50bfee0b,0x43ffa805,0x400ffffd,0x2005ffff,
    0x803ffffb,0xfffffffa,0x7fffffff,0x3fffffe2,0xfffffe84,0xfffa800f,
    0x802fffff,0xffffffff,0x7fffffff,0x00ffffea,0x01bfffa0,0x737fffd4,
    0xffffffff,0xffffffff,0x17fffdc1,0x37ffffc4,0xffffc800,0x7ffec005,
    0xfff9800f,0x1ffff44f,0xffffff70,0xfff81fff,0xffffffff,0x7fc02fff,
    0xffffffff,0x8802ffff,0xffe84fff,0xfffff007,0x7fffffff,0x3fea0000,
    0xfff701ff,0xffffffff,0x7cdfffff,0xffffffff,0x7fffffff,0x007ffff5,
    0x7fffec00,0xffffffff,0xffffd7ff,0xffffffff,0x3fee0bff,0xcccccccd,
    0xffdccccc,0x07fffec3,0x017fffe0,0x03ffffb8,0xffffffa8,0xffffffff,
    0x3ffffe27,0xffffb81f,0xfff000ff,0x200fffff,0xffffffff,0x7fffffff,
    0x00ffffea,0x09ffff10,0x3ffffe20,0xffffff70,0xffffffff,0xffffb85f,
    0xfffff702,0xfff88007,0xe98001ff,0x37ee003f,0x07fffc41,0xffffff70,
    0xfff81fff,0xffffffff,0xfff800df,0xffffffff,0xff3000df,0x0dfff07f,
    0x3fffffe0,0x000cffff,0x3fffea00,0xfffff701,0xffffffff,0x7ffcdfff,
    0xffffffff,0xf57fffff,0x00007fff,0x7fffffec,0xffffffff,0xffffffd7,
    0xffffffff,0x3fffee0b,0xffffffff,0x43ffffff,0x400ffffd,0x2005ffff,
    0x803ffffb,0xfffffffa,0x7fffffff,0x83fffffc,0x0ffffff9,0xfffffb00,
    0x3ffe00bf,0xffffffff,0x3ea7ffff,0x54003fff,0x2001ffff,0xf72ffffe,
    0xffffffff,0x7039ffff,0x7405ffff,0x001fffff,0x01bffff2,0x03000500,
    0x701bfff2,0xffffffff,0xfffff81f,0x00abceff,0x3fffffe0,0x000abcef,
    0x7c1fffd4,0xfff005ff,0x0159bdff,0xfff50000,0x3ffee03f,0xffffffff,
    0x3e6fffff,0xffffffff,0x7fffffff,0x007ffff5,0x7fffec00,0xffffffff,
    0xffffd7ff,0xffffffff,0x3fee0bff,0xffffffff,0xffffffff,0x07fffec3,
    0x017fffe0,0x03ffffb8,0xffffffa8,0xffffffff,0x27ffffc7,0x0fffffd0,
    0x7ffffd40,0xffff002f,0xffffffff,0x7fd4ffff,0x7ec003ff,0x7dc007ff,
    0xfff75fff,0x9ddfffff,0x7ffdc017,0x3ffe602f,0x000006ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x33260000,0x1abccccc,0x33332200,0xcccc803c,
    0x05999910,0x21999950,0xccccccca,0xcccccccc,0x5999953c,0x66664c00,
    0x39999912,0x79999700,0x01e66644,0x666664c0,0x0019abcc,0x99999993,
    0x5c001357,0x2e02cccc,0x0003cccc,0x14c00000,0x000006a0,0x88000188,
    0x80004400,0x40000999,0x00009998,0x00800010,0x00188000,0x13002620,
    0x00000000,0x00003310,0x01800066,0xfffa8062,0xffffffff,0x3fe200ce,
    0x7c01ffff,0xfff11fff,0xfff9009f,0x3ffff21f,0xffffffff,0xff36ffff,
    0x7f400fff,0x3ff61fff,0x7fc406ff,0x3fe23fff,0xfb8005ff,0xffffffff,
    0x2a00beff,0xffffffff,0xf803ffff,0x3e06ffff,0x1006ffff,0x0001ffff,
    0x502ffa80,0x200005ff,0xeffffdc8,0xfd91002d,0xffec85df,0x3f6e602e,
    0x2effffff,0xfffec880,0x002effff,0xffffdb93,0xfb1005bd,0xdb80009f,
    0x02defffe,0x7ffffed4,0xdfffb10d,0x7edd4007,0x75402bdf,0x3ff6a5ee,
    0xee981dff,0x3fff665e,0x4eed82ef,0x6419fff5,0x7d40dfff,0xffffffff,
    0x103fffff,0x09ffffff,0xf11ffff8,0xf9009fff,0x3ff21fff,0xffffffff,
    0x26ffffff,0x803ffffd,0x4c5ffffa,0x202fffff,0x446ffffc,0x8005ffff,
    0xfffffffb,0x0fffffff,0xffffff50,0xffffffff,0x7ffffc07,0xffffa80f,
    0xfff1007f,0x5c00001f,0x7d42ffff,0x40003fff,0xfffffffa,0x7400dfff,
    0xb2ffffff,0x05ffffff,0xfffffff5,0x03ffffff,0x3ffffff2,0x804fffff,
    0xfffffffc,0xfd804fff,0x88004fff,0xfffffffd,0xfff704ff,0xf7ffffff,
    0x07ffffff,0xfffffd88,0xf700dfff,0x3fff2dff,0x4c2fffff,0xfff76fff,
    0xe87fffff,0xffff9dff,0xfffff95f,0xfffffa8d,0xffffffff,0x7fc40eff,
    0x200fffff,0xff11ffff,0xff9009ff,0x3fff21ff,0xffffffff,0x266fffff,
    0xe807ffff,0xfd81ffff,0xff106fff,0xff885fff,0xfb8005ff,0xffffffff,
    0x80efffff,0xfffffffa,0xffffffff,0xffffff02,0xfffff907,0x3ffe200f,
    0xf900000f,0xfe8dffff,0x0004ffff,0xfffffffb,0x03ffffff,0x3ffffff6,
    0xfffffcff,0x7fd40fff,0xffffffff,0x7e40ffff,0xffffffff,0x3a604fff,
    0xffffffff,0xff804fff,0x4c006fff,0xffffffff,0xfb86ffff,0xffffffff,
    0xffffffff,0xffff501f,0xffffd99d,0x7ffff705,0xffffffff,0x7ffcc1ff,
    0xffffffbf,0x3fa1ffff,0xfffffedf,0xffffffaf,0x3fffea1f,0xfffdcaad,
    0x7c44ffff,0x04ffffff,0x7c47fffe,0xfc804fff,0xddd70fff,0xdddddddd,
    0xd89fffff,0x2a02ffff,0xf105ffff,0xf905ffff,0xff10dfff,0xf7000bff,
    0xb9759fff,0x09ffffff,0x55bffff5,0xfffffd97,0xfffff03f,0xfffff0bf,
    0x3fe200ff,0x440000ff,0x0dfffffd,0x7ffffec4,0x3fee000d,0xffffffff,
    0xf985ffff,0xfffa9dff,0xffd9cfff,0x677fd44f,0xfffdaaac,0x3ffea4ff,
    0xbaa9bdff,0xfff104fd,0xffffffff,0xfff009ff,0xfe800dff,0xfbacffff,
    0x7dc3ffff,0xfffb99be,0xffeabfff,0x4fff984f,0x70bfff20,0xffffffff,
    0x7fffffdf,0x7fffffcc,0xffffffff,0x3ffffa5f,0xfffffedf,0x24fffecf,
    0x303ffffa,0x41ffffff,0xfffffff8,0x47fffe07,0x804ffff8,0x000ffffc,
    0x0fffffd8,0x037fffcc,0x403ffffd,0x446ffffc,0x881fffff,0x8005ffff,
    0x882ffffb,0xa86ffffd,0xf503ffff,0xf88bffff,0x20ffffff,0xfffffff9,
    0xffff8800,0x3fa20000,0x6404ffff,0x00efffff,0xdfffff88,0x3ffff221,
    0x07ffdc2f,0xe8dffff9,0x00e4c6ff,0xd9bfffe6,0x0804ffff,0xbfffffb0,
    0x026d4c13,0x017fffdc,0x07ffff70,0x41ffffd1,0xffff5019,0x447ffe89,
    0xfffc9ffe,0x1dff33ef,0x7fffffdc,0x3fffea2e,0x3ffffe67,0xfff50bff,
    0x7ffff4ff,0x5fffff34,0xfa97ffee,0x3a203fff,0x3e25ffff,0x3fffffff,
    0x223ffff0,0xc804ffff,0x4000ffff,0x02fffffa,0x505ffffd,0x880bffff,
    0x322fffff,0xf105ffff,0x7000bfff,0x2205ffff,0xfa87ffff,0x3ea03fff,
    0x7fc47fff,0x322fffdf,0x0fffdfff,0x0ffff880,0xffff3000,0x3ee005ff,
    0x401fffff,0x204ffffd,0x746ffffc,0x7ffd46ff,0x07ffe44f,0xffffd800,
    0x03ffffd0,0x3fffea00,0x2600003f,0x3e2001cc,0x3ea06fff,0x3e003fff,
    0x7fe42fff,0x64fff21f,0x74ffffff,0x7ffdc9ff,0xffe80fff,0x3fffe67f,
    0xfffe81ff,0x1ffffd0f,0xf537fffc,0x7ffd4dff,0x7ffd403f,0xffff11ff,
    0x3e0dffff,0xfff11fff,0xfff9009f,0x7fc4001f,0x3e605fff,0xffe86fff,
    0xffb800ff,0xffff16ff,0x3ffe203f,0xffb8005f,0x3ffa02ff,0x7ffd40ff,
    0x7fffc03f,0x2fffe60f,0x3ffa5fff,0x800fffdd,0x000ffff8,0xffffffa8,
    0x7ffcc001,0x3fe02fff,0x3e200fff,0xff10ffff,0xffff889f,0x00fffdc2,
    0x1ffffc80,0x01bffffd,0xbffffb00,0x00000000,0x00ffffea,0x4009ffff,
    0x7d40ffff,0xc9bfe2ff,0x6cdff36f,0x3fffee7f,0xffff901f,0x3ffffe61,
    0x3ffff902,0xff13fffa,0x7ffcc5ff,0x0ffffea6,0x4bffffe0,0xffbffff8,
    0xffff82ff,0x09ffff11,0x01ffff90,0x7ffffec0,0x7ffff400,0x17fffea2,
    0xbffffe80,0x204ffffc,0x005ffff8,0x02ffffb8,0x503ffffa,0xd807ffff,
    0x3e61ffff,0x37ffdbff,0xfffb5fff,0x7fffffc3,0xffffffff,0xff907fff,
    0x0001dfff,0x3fffffa2,0x5ffff884,0x1ffffc80,0xff07fff1,0xfffa83ff,
    0x32662002,0xff91ffff,0x0039ffff,0x007ffff4,0xb8000000,0x9999ffff,
    0xffff9999,0x1fffa006,0x7ccbffea,0xfd9bf23f,0x7dc7fee6,0x3ae03fff,
    0xfff30eee,0x7ffdc09f,0x83fffd2f,0x7fcc7fff,0x3fffea6f,0xffffc803,
    0xd3ffff13,0xfff0dfff,0x3fffe23f,0xffffc804,0xffff5000,0xfff3005f,
    0x7ffff4bf,0x3ffea000,0x0fffffff,0x17fffe20,0x3fffee00,0xdffff102,
    0x07ffff50,0x21ffffd8,0xffbbfff9,0xc8fffb9f,0x3ffe1fff,0xffffffff,
    0x87ffffff,0x05fffffd,0xfffd8800,0x7ffd45ff,0xfffb803f,0x07fff32f,
    0xddddffff,0x2605fffd,0xfffffeec,0xff11ffff,0x9fffffff,0x7fffc403,
    0xccc98007,0xcccccccc,0x1ccccccc,0x3ffffff6,0xffffffff,0xdb9507ff,
    0xdddffffd,0x2e7fffdd,0x2bff21ff,0x3fe64ffc,0x05ffff73,0x3fffe600,
    0x3fffee03,0xf83fffd2,0x7ffcc7ff,0x0ffffea6,0x53fffee0,0xfb9ffff8,
    0x7ffc1fff,0xbffff11f,0x33333333,0x001ffffb,0x09fffff1,0x4fffff40,
    0x004ffff9,0xffffffe8,0x7fc403ff,0xfb8005ff,0xfe882fff,0xffa83fff,
    0x7ffc03ff,0x57ffd47f,0xffdbfff8,0x7c5fff95,0xffffffff,0xffffffff,
    0x3ffffa27,0x6400003f,0x70efffff,0x7005ffff,0x3ea7ffff,0xffff83ff,
    0xffffffff,0x7fffecc2,0xffffffff,0x3fffea1f,0x2effffff,0x06ffff98,
    0xfffffb80,0xffffffff,0x3a3fffff,0xffffffff,0xffffffff,0x7ffffd47,
    0xffffffff,0xf93fffff,0x7fffe41f,0xba7fc42e,0x0002ffff,0x407ffff3,
    0xfd2ffffb,0x7fff83ff,0xf537ffcc,0xf5007fff,0x3fe2bfff,0xffff89ff,
    0x88ffffc5,0xffffffff,0xffffffff,0xffd800ff,0x26000eff,0xffdcffff,
    0xf98000ff,0x0fffffff,0x2ffffc40,0x7fffdc00,0xfffdbaac,0xfff506ff,
    0x7ffd407f,0x97ffd46f,0x2fffeffe,0x6645fff9,0xfffccccc,0x4ccccccf,
    0x1bfffff2,0x7ff40000,0xfff74fff,0xfff5005f,0x0bffea7f,0x3ffffffe,
    0x262fffff,0xffffffff,0x1fffffff,0x7ffffec4,0x544fffff,0x8005ffff,
    0xfffffffb,0xffffffff,0x3ffe3fff,0xffffffff,0x27ffffff,0xfffffffa,
    0xffffffff,0xff73ffff,0x7fe7fe43,0xfb9ffcc2,0x30002fff,0x5c07ffff,
    0xffd2ffff,0x47fff83f,0x3ea6fff9,0xf9803fff,0xfff16fff,0x3ffff23f,
    0x447fffe1,0xffffffff,0xffffffff,0x7fd400ff,0xe8001fff,0xffffffff,
    0x3ff60004,0x8803ffff,0x8005ffff,0xfffffffb,0x0dffffff,0x07ffff50,
    0x0fffffe6,0x3f25fff7,0xf90fffff,0xff1005ff,0x3f2001ff,0x000effff,
    0xffffb100,0x7fffd49f,0xffffb803,0xf07fff52,0x33333fff,0x3fe21333,
    0x99abffff,0x01ffffc9,0xfffffd71,0x7fcc5fff,0xfb8007ff,0xffffffff,
    0xffffffff,0x3bfffa3f,0x99999999,0xfd109999,0xff333bff,0x333333df,
    0x8bfe6133,0x41ff96fc,0xfff71ffa,0x3e60005f,0x3ee03fff,0xfffd2fff,
    0x4c7fff83,0x3fea6fff,0xff9803ff,0xffff16ff,0x93fffe23,0xff11ffff,
    0xffffffff,0xffffffff,0x7fffc401,0xff50004f,0x01ffffff,0x7ffff400,
    0xff8803ff,0xfb8005ff,0xffffffff,0x7d402cff,0xa999cfff,0x86fffffc,
    0xff32fffb,0x7fdcbfff,0xfff8803f,0x3fee000f,0x0001efff,0x7fffff4c,
    0x27fffcc3,0x87fffe40,0xff83fff9,0xff7001ff,0x7fdc0bff,0xeb8801ff,
    0x7c6fffff,0x4000ffff,0xaaaaaaa9,0xaaaaaaaa,0x3ff61aaa,0x3ea0007f,
    0x6ffe86ff,0xc93fe200,0x649ff16f,0xffff70ff,0x3fe60005,0x3fee03ff,
    0x3fffd2ff,0x7cc7fff8,0x3ffea6ff,0xfffa803f,0x3ffff15f,0xf87fffec,
    0xfff11fff,0xddddddff,0x1fffffdd,0x37fffec0,0x3fffa000,0x20004fff,
    0xfffffffa,0x7ffc400f,0xffb8005f,0xffffffff,0x7fd400cf,0xffffffff,
    0xb81fffff,0x3ffe1fff,0x3ffee3ff,0xffff8803,0x7ffd4000,0x50002fff,
    0x03ffffff,0x80fffff1,0x267ffff8,0x7fc44fff,0xffb002ff,0x7fdc03ff,
    0x7e4001ff,0x7ff47fff,0x000004ff,0xffff7000,0x3fee0003,0x07ffe84f,
    0xfc8fff40,0x3e63ff66,0x3fffee6f,0xfff30002,0x7ffdc07f,0x83fffd2f,
    0x7fcc7fff,0x3fffea6f,0xffffb803,0x43ffff14,0xff4ffff9,0x3ffe23ff,
    0xfffc804f,0xffff500f,0xfa80003f,0x000fffff,0x3fffffa0,0x7c405fff,
    0xb8005fff,0xfdbcffff,0x5405ffff,0xffffffff,0x01efffff,0x7ec3fff9,
    0x3fee0fff,0xfff8804f,0xfe98000f,0x4003ffff,0x1efffffb,0x0fffffe0,
    0x25ffffb8,0x7d45fff8,0xfd004fff,0x3e603fff,0x4001ffff,0x6c7ffff9,
    0x002fffff,0xfa800000,0x90006fff,0xff887fff,0x3e6002ff,0x263ca8ef,
    0x21ffeacc,0x002ffffb,0x07ffff30,0xe97fffdc,0x7ffc1fff,0x537ffcc7,
    0x9007ffff,0x3e27ffff,0x7ff41fff,0x1ffff8ff,0x009ffff1,0x101ffff9,
    0x009fffff,0x3ffffa00,0x3fee0004,0xffffffff,0x3fffe201,0xfffb8005,
    0x3fffe62f,0x3ffea02f,0xffffffff,0x7ffe403f,0x71bffea1,0xf1009fff,
    0x20001fff,0x5fffffe8,0xfffff900,0xfffb801b,0xfffb83ff,0x3fff41ff,
    0x03fffff2,0x13ffff60,0x3fffffea,0xff900371,0xfff88bff,0xb980cfff,
    0x07dd9004,0xdffffe80,0x3fee1800,0x7fffec5f,0x77fdc006,0x0fffa602,
    0x005ffff7,0x0ffffe60,0xd2ffffb8,0xfff83fff,0x537ffcc7,0xd007ffff,
    0x3e25ffff,0x7fd41fff,0x1ffffbff,0x009ffff1,0xb01ffff9,0x000dffff,
    0x17fffdc0,0xffff8800,0x6ffffdaf,0x17fffe20,0x3fffee00,0x37fffdc2,
    0xddffff50,0x001359bd,0x7c43fffb,0x7ffd43ff,0xffff8804,0x7fec0000,
    0xd100efff,0x009fffff,0x7ffffff4,0xffffffdd,0x34fffc84,0x3dffffff,
    0xfff71dc4,0xffd77bff,0x3e3fffff,0xb99aacef,0x83fffffd,0xfffffffb,
    0x05fffeef,0x03ffffc8,0x3ffffe60,0xdcbaabcf,0x3fffea7f,0xfffffd9a,
    0x5da989df,0x57bfffb0,0x0bfffb75,0x005ffff7,0x0ffffe60,0xd2ffffb8,
    0xfff83fff,0x537ffcc7,0xa807ffff,0xf10fffff,0xffd03fff,0x23ffffdf,
    0x804ffff8,0x540ffffc,0x001fffff,0x3fffee00,0xfff90002,0x3fffe6df,
    0xffff103f,0xfff7000b,0xffffd05f,0x3fffea07,0x7fec0003,0x2055540f,
    0x8805fffa,0x0000cccc,0xefffffb8,0x7ffff4c1,0x7fd4003f,0xffffffff,
    0xf980efff,0xefffffff,0xfffffffe,0x3fffe25f,0xefffffff,0xfff1ffff,
    0xffffffff,0x3a01dfff,0xffffffff,0xf805ffff,0x4006ffff,0xfffffffd,
    0x27ffffff,0xfffffff8,0xfffffcff,0x2a05ffff,0xffffffff,0xfff702ff,
    0x3e60005f,0x3ee03fff,0xfffd2fff,0x4c7fff83,0x3fea6fff,0x7ff403ff,
    0x3ffe23ff,0xffffb81f,0xff11ffff,0xff9009ff,0x7ffc41ff,0x400003ff,
    0x002ffffb,0x2fffff88,0x03fffff6,0x017fffe2,0x0bfffee0,0x41bfffee,
    0x003ffffa,0x007ffec0,0x00bfff50,0xfa800000,0x7f46ffff,0x0002ffff,
    0xffffffd3,0xc809ffff,0xafffffff,0xfffffff9,0x7fffd45f,0xe8dfffff,
    0xffff1fff,0xffffffff,0xffb801df,0xffffffff,0xffff805f,0xffb8006f,
    0xffffffff,0x7ffe47ff,0xffb2ffff,0x0bffffff,0xffffec88,0x3fee00ce,
    0xf30002ff,0x7dc07fff,0xfffd2fff,0x4c7fff83,0x3fea6fff,0xffb103ff,
    0x7fc41fff,0xfff881ff,0xf11fffff,0xf9009fff,0x7fec1fff,0x800006ff,
    0x002ffffb,0x46ffffd8,0x84fffff8,0x005ffff8,0x82ffffb8,0x82fffff8,
    0x003ffffa,0x007fff40,0x00dfff50,0xf3000000,0xff881fff,0xc80001ff,
    0xdffffffe,0xffff9001,0x7fff4c5f,0xfe983eff,0x3a2effff,0xfffb1fff,
    0xbfffffff,0x7f6c4005,0x1cefffff,0x3ffffc80,0xfffb1000,0x7dffffff,
    0x5dffff70,0xffffffc8,0x00cc003e,0x05ffff70,0x3fffe600,0x3fffee03,
    0xf83fffd2,0x7ffcc7ff,0x8ffffea6,0xfffffba9,0x7fffc43f,0xfffff901,
    0x3ffe23ff,0xfffc804f,0xfffff50f,0x55555559,0x2e005555,0x4002ffff,
    0x81fffff9,0x41fffffc,0x99dffff8,0x99999999,0x05ffff70,0x21bffff2,
    0x003ffffa,0x007fff40,0x54dfff30,0xeeeeeeee,0xeeeeeeee,0x1fd10002,
    0x0003be20,0x01553100,0x300d4c00,0x51001355,0x31000155,0x01355555,
    0x13353000,0x05bd7000,0x2aa62000,0xa988009a,0x26aaa200,0x00000000,
    0x00000000,0xf5000000,0xffffffff,0x0bffffff,0x203ffff1,0xfffffff8,
    0x09ffff11,0x21ffff90,0xfffffffe,0xffffffff,0xfff7007f,0xffe8005f,
    0xfff105ff,0xfff88bff,0xffffffff,0xff73ffff,0x3fe205ff,0x7fd42fff,
    0x7c0003ff,0x7cc007ff,0x3ffea6ff,0xffffffff,0x002fffff,0x00020040,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfa800000,0xffffffff,0x102fffff,0x6c03ffff,0x11ffffff,
    0x9009ffff,0x3fe1ffff,0xffffffff,0x7fffffff,0x5ffff700,0x7fffd400,
    0x3fff201f,0x3ffe22ff,0xffffffff,0xff73ffff,0x7fec05ff,0x7ffd46ff,
    0x7fc0003f,0x7fcc007f,0x3fffea7f,0xffffffff,0x0002ffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ffea000,0xffffffff,0x3fe200df,0x3fe601ff,0xff11ffff,
    0xff9009ff,0x3fffe1ff,0xffffffff,0x007fffff,0x005ffff7,0x02fffffc,
    0x9bffffe2,0xfffffff8,0xffffffff,0x05ffff73,0x0fffffcc,0x007ffff5,
    0x007fff80,0xf53fffcc,0xffffffff,0x5fffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x54000000,0xefffffff,0xf8800abc,0x7f401fff,0xff11ffff,0xff9009ff,
    0x3fffe1ff,0xffffffff,0x007fffff,0x005ffff7,0x07ffffee,0x3ffffee0,
    0xffffff13,0xffffffff,0x3fffee7f,0x7ffff402,0x0ffffea5,0x7fff8800,
    0x3fffc400,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x77774c00,0x3bbbaa02,0xbddb7101,0x26600039,
    0xddd30019,0x775c00bd,0x9ddd92ee,0x9ddd7000,0x77777764,0xeeeeeeee,
    0x7f76dc45,0xdd700bde,0xeb801bdd,0x77744eee,0x3bbb203e,0x777540de,
    0x06eeeeee,0x00080020,0x80026664,0x0000c00a,0x24c01300,0x9ddd7100,
    0xddfb9500,0x00000017,0xcc800098,0x5551003c,0x55555555,0x2a155555,
    0x32a2cccc,0x33322ccc,0xcccccccc,0x01cccccc,0x40000044,0xeea82eeb,
    0xcccccb83,0x20011002,0xfffffffb,0x3fea3fff,0x3fee03ff,0xfffa81ff,
    0x00cfffff,0x07fffe20,0x0fffffc0,0x0fffff80,0x000dfff9,0x7f49fff9,
    0xffffffff,0x6c7fffff,0xffffffff,0xffff882f,0x3ffe605f,0x7fffc0ff,
    0xfffff704,0xfffff705,0x200fffff,0x5e8801fc,0x01fffe00,0x2033fe60,
    0x76dc1dfc,0x202defff,0xfd985fd9,0x7fe4402f,0x3ea06fff,0xffffffff,
    0x7ff64c02,0xff5002ce,0x7fdc009f,0xffa802ff,0xffffffff,0x72ffffff,
    0x7dc7ffff,0x3ffe3fff,0xffffffff,0x82ffffff,0x03ffffd8,0xffff5000,
    0x17fffcc3,0x17ffffec,0x01dffd30,0xffffffb8,0x3ea3ffff,0x3ee03fff,
    0x7fdc1fff,0xffffffff,0x3ffe2005,0xfff9001f,0xfff5009f,0x3fffdc9f,
    0x1fffec00,0xfffffffd,0xffffffff,0xffffffd8,0xf980ffff,0xfd02ffff,
    0xfff05fff,0xffff509f,0x3ffee07f,0x07ffffff,0x201fffc8,0xd005ffe8,
    0xfd000dff,0xfffa8dff,0x3ffffe1f,0x4c0effff,0x7ec3ffff,0xfc880fff,
    0x06ffffff,0xfffffff3,0x9103ffff,0xffffffff,0x7ffc401b,0xff8805ff,
    0xfa806fff,0xffffffff,0x2fffffff,0x545ffff5,0x3fe2ffff,0xffffffff,
    0x2fffffff,0x7fffffcc,0xdddb00ef,0x1ffffec0,0x20bffff7,0x82fffffb,
    0x0ffffff8,0x3ffffee0,0x2a3fffff,0x2e03ffff,0x3e21ffff,0xffcbdfff,
    0xf1002fff,0x26003fff,0xd807ffff,0x3ea1ffff,0x74000fff,0x3ffa2fff,
    0xffffffff,0x5e46ffff,0x17ffec41,0x0fffffc8,0x82ffffdc,0x7c44ffff,
    0x2a04ffff,0xfffeeeee,0x7ffdc07f,0xffe881ff,0x361ec3ff,0x702dc5ff,
    0x7c41ffff,0x7ffc4fff,0x5fffffff,0x20ffffc8,0x985ffff8,0xffffffff,
    0x3bfff206,0x84fffffe,0xfffffffd,0x3ee06fff,0x400fffff,0x3ffffffd,
    0x7ffffd40,0xffffffff,0xfff52fff,0x7fffd45f,0x3fffffe2,0xffffffff,
    0x7ffc2fff,0x1fffffff,0x903fffc4,0x7dc5ffff,0x3a604fff,0x7e42ffff,
    0x203fffff,0xaaaaaaa8,0x3fea0aaa,0x3fee03ff,0x3fff21ff,0x05fffc84,
    0x03ffff10,0x17ffff40,0x8dffff10,0x001ffff9,0x310ffffc,0xb3333333,
    0x003fffff,0xd01fffcc,0x7ccbffff,0xff00ffff,0x7ff449ff,0xfd0004ff,
    0xfe880fff,0x3a21ffff,0x7cc4ffff,0x29ff90df,0xf981ffd8,0x7fec3fff,
    0xaabce86f,0x80fffffb,0x7d45fffe,0xffd82fff,0x406fffed,0x7fffd42d,
    0x6ffffd45,0x3fffffcb,0xffffff70,0x5fffd407,0x2200fffe,0xaaaaaaaa,
    0xaaaaaaaa,0x43ffff30,0x261ffff9,0x99999999,0xfffe9999,0x3ffffea2,
    0x21ffffff,0x2206fffa,0xffe86ffe,0xfffd800e,0x3ffffa2f,0x800004ff,
    0x203ffffa,0x361ffffb,0xffa80fff,0xfff1006f,0x7fdc003f,0x3fee05ff,
    0x7ffc43ff,0x4155542f,0x54007fff,0x402fffff,0xfffba998,0x3fffe204,
    0x5ffffd3f,0xb27fffc0,0x000bffff,0x403ffff4,0x9fffffe8,0x84ffffe8,
    0xfc9efffe,0x6fffe9cf,0x545fffe8,0x2001ffff,0xf307fffc,0xffd87fff,
    0xfb1ca86f,0xf3000dff,0xffe89fff,0x6fffc83f,0xffffff10,0xab7ff409,
    0x00005fff,0x3ffff300,0x00ffffcc,0x8bfffa00,0xd88cfffd,0xfbcfffff,
    0x54404fff,0x5000aa02,0x3f619999,0x004fffff,0xffffa800,0x3fffee03,
    0xf81fffe1,0xff1007ff,0x7c4003ff,0xfd00ffff,0xfff01fff,0x0ffff87f,
    0x801fffe2,0x04fffff8,0x3fffff6a,0x7dc04fff,0xfffdffff,0x7fffc04f,
    0x0dffff94,0x7fffe800,0xffffd100,0x09ffffdf,0xdfffffb1,0xfffffdff,
    0x7fffdc1b,0x0ffffe20,0x0bfffd00,0x107fffdc,0xd809ffff,0xd8006fff,
    0x7fc2ffff,0xffff307f,0x7ffffd40,0x45fff704,0x0002fffd,0xffff8800,
    0x03fffe20,0x5fffd000,0x320ffff4,0xffffffff,0x000000ff,0xfffa8000,
    0x00001fff,0x03ffffa8,0xf87fffee,0x3ffe07ff,0xffff1007,0xfffc8003,
    0xffff883f,0x49fffd05,0x263ffffa,0x3a005fff,0x3206ffff,0xffffffff,
    0xffd804ff,0x06ffffff,0xfbcffff8,0x0000efff,0x003ffff4,0xffffffd1,
    0xfc8809ff,0xffffffff,0x7ffc40cf,0x37ffec3f,0x3ff73260,0x7ec01eff,
    0x7ffd46ff,0x3fff601f,0x7ffec006,0x37ffcc6f,0x403fffd0,0x883ffffc,
    0x7fcc5fff,0x000000ef,0x107fffc4,0x0001ffff,0x3e2fffe8,0xffc80fff,
    0x04ffffff,0x00000000,0x00bfffee,0x7ffd4000,0x3ffee03f,0x07fffa1f,
    0xc997ffea,0xffdccccc,0xcccccdff,0xffff981c,0x2ffffb86,0x6cbfff90,
    0x3ea6ffff,0xff9004ff,0x3ea01fff,0x3fe61eff,0xfff8804f,0x801fffff,
    0xfffeffff,0xe80000ff,0x44007fff,0x4ffffffe,0x3fff2200,0xf900cfff,
    0xfff98fff,0x7ffd402f,0xa800efff,0x3e21ffff,0x3f604fff,0x3f6006ff,
    0x7cc0efff,0x3ffe07ff,0x3ffea00f,0x1fffc81f,0xa84fffc8,0xeeeeeeee,
    0xeeeeeeee,0x3e1fffe2,0xe80007ff,0x2aaa2fff,0x3fffee02,0x000004ff,
    0xaa880000,0x2a000000,0x2e03ffff,0x3f61ffff,0xfffd84ff,0x3ffffee4,
    0xffffffff,0xd03fffff,0xfe81ffff,0x3fee07ff,0x3ffffe6f,0x07fff71f,
    0x3fffff70,0x217ffe40,0x3004fff9,0x09ffffff,0x3fffffe0,0x00005fff,
    0x000ffffd,0x3ffffff3,0x7fff5400,0xf102efff,0xffc89fff,0x3fea00ef,
    0x0cffffff,0x89ffff10,0x200efffc,0x8806fffd,0x00effffe,0xf503ffff,
    0xffb80fff,0x5fff987f,0x83ffff10,0xfffffffa,0xffffffff,0x21fffe2f,
    0x80007fff,0x0001eeed,0x00379971,0x00000000,0xa8000000,0x2e03ffff,
    0x3ea1ffff,0xffbbefff,0x3fee0fff,0xffffffff,0xffffffff,0x7ffff703,
    0x027fffcc,0x3eaffff5,0xf94fffff,0xff9805ff,0x7e403fff,0x3ffee4ff,
    0xfff3004f,0x3e009fff,0xffffdfff,0xfe80003f,0x744007ff,0x1fffffff,
    0x3fffee20,0xffffffff,0x7fffd40b,0x13fffa21,0xfebaaa88,0xffb05fff,
    0xffffa8df,0x37ffec02,0x3ffffa20,0x6ffff405,0x17fffa61,0x82ffff98,
    0x2e00fffe,0x7fd46fff,0xffffffff,0x22ffffff,0x99981999,0x00000001,
    0x00000000,0x00000000,0x7ffd4000,0x3ffee03f,0x7fffec1f,0x43ffffff,
    0xfffffffb,0xffffffff,0xff103fff,0x7ffe4dff,0x3ffe600f,0xfffffd8f,
    0x03fffb6f,0x2fffff44,0x7ffffd40,0x04ffffff,0xffffff88,0xfff801ff,
    0xfffffacf,0x7ff40002,0x3fa2007f,0xffffffff,0xfffff881,0xffedffde,
    0x7fec0fff,0x7fffd46f,0x7fff4002,0x7fffdc0f,0x17fffa21,0x81bfff60,
    0x03fffff9,0xefffff98,0x20fffffe,0xffffdba8,0x04fffb84,0x2a2fffe8,
    0xffffffff,0xffffffff,0x00000002,0x07999995,0xbbb07bb7,0xbbbbbbbb,
    0x6eeeeecb,0xdddddddd,0x5ddddddd,0x00000000,0x07ffff50,0x20ffffdc,
    0xffffffd8,0xaaa982ff,0xffffbaaa,0x1aaaaaab,0x47ffff20,0x4405ffff,
    0xfff9ffff,0xfe9fffdc,0x3ff600ff,0xfd000eff,0xfdbfffff,0xfffb009f,
    0x01ffffff,0xf94ffff8,0x0001ffff,0x803ffff4,0xecffffe8,0xd81fffff,
    0xffc8dfff,0x85fffd8c,0x644ffff8,0x2000ffff,0x220ffffe,0x7e43ffff,
    0xeee80fff,0xeefffffe,0xfffff11e,0x5fffffff,0xffffffc8,0x7f43ffff,
    0x884fffff,0xa800ffff,0x0000ffff,0x00000000,0x27ffffd4,0x22ffffec,
    0xffffffff,0x3ffe7fff,0xffffffff,0xffffffff,0x000007ff,0xfff30000,
    0x3ffe607f,0xfdb501ff,0x100019bf,0x0003ffff,0x2b3fffe6,0xf802ffff,
    0xafffcfff,0xfffcfffb,0x3ffff207,0x7f5c001f,0x059952ce,0xeeffffb8,
    0x7c05ffff,0x3ffa4fff,0xd0000eff,0xd100ffff,0x3a29ffff,0x441fffff,
    0x97ff62ff,0xff700ffa,0x7ff443ff,0x2aaf265f,0x6ffffdba,0x2a37fff4,
    0xff02ffff,0xffffffff,0x3ffe65ff,0xffffffff,0xffffa82f,0xfe81efff,
    0x0001dfff,0x00000000,0x54000000,0xa82fffff,0x23ffffff,0xffffffff,
    0x3ffe7fff,0xffffffff,0xffffffff,0x000007ff,0xfff30000,0xfffd10bf,
    0x000003ff,0x07fffe20,0xefffe800,0xd007fffd,0x1fffffff,0xfffffff1,
    0x3fffea0d,0x0000003f,0x1fffff30,0x07fffff3,0xf127fffc,0x000bffff,
    0x101ffffa,0x889ffffd,0x41fffffe,0x22ffec0a,0x7fff4028,0x8ffffcc6,
    0xfffffffa,0x3a22ffff,0x7ff40fff,0x3fffe05f,0xffffffff,0xffffff32,
    0x05ffffff,0x06f32ea2,0x000abcd8,0x00000000,0x80000000,0x00effffa,
    0xbffffff9,0x7ffffffc,0x3fe7ffff,0xffffffff,0xffffffff,0x00007fff,
    0x3fe00000,0x3faa1fff,0x001fffff,0xfff10000,0x7dc0003f,0x4fffffff,
    0xfffff900,0x7ffff4bf,0xfff885ff,0x99999eff,0x00001999,0x3ffffe88,
    0x07fffff2,0x2a27fffc,0x003fffff,0x407fffe8,0x104ffffa,0x003ffffd,
    0x3000dffd,0x0ff207ff,0xfffffff5,0x3ea03dff,0x401fd503,0xcccccccc,
    0x9911cccc,0x99999999,0x00000399,0x00000000,0x00000000,0x7fffd400,
    0x7fffe404,0x2eeee5ff,0x3bbbbbbb,0x00000000,0x20000000,0xeefffffe,
    0xffffffff,0x3bbbbb21,0x4eeeeeee,0x3ffff100,0x7ffc4000,0x001fffff,
    0x5ffffff7,0x7fffffdc,0xfffffe84,0xffffffff,0xdddd90ff,0xdddddddd,
    0xbffffb09,0x0dffffd0,0x3213fffe,0x882fffff,0xffeeeeee,0xeeeeefff,
    0x1013fee4,0x3e003ffd,0x030007ff,0x3fffa600,0x0001ceef,0x00000030,
    0x00000000,0x00000000,0x00000000,0x59999100,0xfffff500,0x0000007f,
    0x00000000,0xff500000,0xffffffff,0x6c3ffff9,0xffffffff,0x1005ffff,
    0x0003ffff,0xffffffd8,0x3ffea006,0x3fe20fff,0xff82ffff,0xffffffff,
    0xb0ffffff,0xffffffff,0xfb8bffff,0xf980ffff,0xff84ffff,0xfffb04ff,
    0xfff883ff,0xffffffff,0x5c5fffff,0x003b1004,0x0000cccc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfb000000,0x0000dfff,
    0x00000000,0x40000000,0xfffffffd,0x43fffd4f,0xfffffffd,0x005fffff,
    0x003ffff1,0xfffff980,0x3fe6003f,0xffe85fff,0xfff81fff,0xffffffff,
    0xfb0fffff,0xffffffff,0x7fccbfff,0x3ee03fff,0x7fc2ffff,0xfff104ff,
    0x7fc41dff,0xffffffff,0x05ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0000f76e,0x00000000,
    0x00000000,0x3bffffee,0x987fffa2,0xaaaaaaaa,0x1001aaaa,0x0003ffff,
    0x1fffffd0,0x7fffc400,0xffffb83f,0xfffff80f,0xffffffff,0x55530fff,
    0x55555555,0x3fffa235,0xfffe805f,0x3fffe0ff,0x3fffea04,0x3fffe25f,
    0xffffffff,0x0005ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x1aa98000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_40_latin_ext_x[560]={ 0,7,4,0,1,0,0,8,5,4,2,1,4,4,
7,1,1,2,2,2,0,3,1,2,1,1,7,4,1,2,3,5,0,0,2,1,1,3,3,0,1,2,3,2,
3,0,1,0,2,0,2,1,1,1,0,0,0,0,2,5,2,5,1,0,0,2,2,2,1,1,0,1,2,2,
2,2,2,1,2,1,2,1,3,3,1,2,0,0,0,0,2,2,8,4,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,7,2,1,0,0,
8,1,0,0,4,2,1,4,1,0,3,2,4,4,0,2,1,7,8,4,3,2,0,0,0,3,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
0,0,0,0,0,2,0,0,1,0,1,0,1,0,-1,0,0,1,0,0,0,0,0,0,3,1,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,2,0,2,1,2,0,0,2,2,2,0,0,3,
2,-5,-3,3,1,0,2,0,0,1,2,0,0,0,1,2,0,0,0,0,0,0,0,0,-1,0,2,3,-1,0,
0,0,0,0,1,3,0,0,1,1,0,-4,1,0,0,0,0,0,0,0,0,0,0,0,1,2,0,0,0,0,
0,0,0,0,0,0,0,5,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,-4,-2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__consolas_bold_40_latin_ext_y[560]={ 29,1,1,3,-1,1,1,1,-1,-1,1,8,21,16,
21,1,3,3,3,3,3,3,3,3,3,3,8,8,7,12,7,1,0,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,0,3,33,1,8,1,8,1,8,1,8,1,0,
0,1,1,8,8,8,8,8,8,8,2,9,9,9,9,9,9,0,-3,0,13,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,29,8,-1,3,3,3,
-3,1,1,3,3,10,16,16,0,2,0,4,1,0,1,9,1,14,29,1,3,10,1,1,1,8,-4,-4,-4,-5,
-5,-6,3,3,-4,-4,-4,-5,-4,-4,-4,-5,3,-5,-4,-4,-4,-5,-5,9,-1,-4,-4,-4,-5,-4,3,1,1,1,
1,1,1,-2,8,8,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,7,4,1,1,1,1,1,1,1,
-3,2,-4,1,3,8,-4,1,-4,1,-5,0,-4,1,-4,-1,3,1,-3,2,-4,1,-5,0,3,8,-4,1,-4,1,
-4,1,-5,0,3,0,-4,-6,3,1,-5,1,-3,2,-4,1,3,0,-5,9,3,0,-4,1,3,1,9,-4,-6,3,
1,-1,-1,3,1,3,1,-4,1,3,8,-4,1,-2,3,8,-3,2,-4,1,-4,1,3,8,-4,1,3,8,-4,1,
-4,1,-4,1,3,8,-4,1,3,2,-4,-1,3,2,-5,1,-3,2,-4,1,-6,-2,-4,1,3,9,-4,1,-4,1,
-5,-4,1,-5,0,-4,1,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-10,-7,-4,1,-4,-1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,8,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__consolas_bold_40_latin_ext_w[560]={ 0,8,14,22,20,22,23,6,13,13,18,20,11,14,
8,19,20,18,18,18,22,17,20,18,19,19,8,11,18,18,17,14,22,22,19,19,20,16,16,21,20,18,15,20,
17,22,20,22,19,23,20,19,20,20,22,22,22,22,18,12,19,11,20,22,14,18,19,17,19,19,21,20,18,18,
16,20,18,20,18,20,19,19,18,17,19,18,22,22,22,22,18,16,6,16,22,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,8,17,20,22,22,
6,20,18,22,14,18,19,14,20,17,16,18,14,14,21,20,20,8,6,14,16,18,22,22,22,14,22,22,22,22,
22,22,23,19,19,20,19,19,20,20,20,20,21,21,22,22,22,22,22,18,22,21,21,21,21,22,19,19,20,21,
20,20,20,20,22,17,20,21,20,20,20,21,20,20,20,20,21,21,21,21,21,20,20,20,21,20,20,22,19,22,
22,20,22,20,22,18,21,21,19,19,19,19,19,19,22,26,21,21,19,20,19,20,19,20,17,19,19,20,21,21,
21,21,21,21,21,21,21,20,22,20,20,20,20,20,20,20,18,19,20,18,20,19,18,18,20,20,20,20,20,17,
18,25,26,20,25,20,18,21,21,20,18,21,20,20,20,18,22,21,22,21,24,24,22,22,23,21,20,18,23,21,
20,21,20,20,19,17,20,20,20,19,21,26,20,20,21,20,21,20,21,20,21,20,24,24,20,19,22,22,22,22,
22,20,21,20,20,20,20,16,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,21,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,22,20,23,22,26,23,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,19,17,20,19,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20, };
static unsigned short stb__consolas_bold_40_latin_ext_h[560]={ 0,29,11,26,35,29,29,11,39,39,18,20,15,5,
9,33,27,26,26,27,26,27,27,26,27,26,22,28,23,13,23,29,38,26,26,27,26,26,26,27,26,26,27,26,
26,26,26,27,26,34,26,27,26,27,26,26,26,26,26,37,33,37,13,5,9,22,29,22,29,22,28,30,28,29,
38,28,28,21,21,22,29,29,21,22,28,21,20,20,20,29,20,37,41,37,10,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,0,29,35,26,26,26,
41,33,9,27,20,17,10,5,21,8,15,25,16,17,9,28,33,8,6,16,20,17,28,28,28,29,33,33,33,34,
34,35,26,32,33,33,33,34,33,33,33,34,26,34,34,34,34,35,35,19,35,34,34,34,35,33,26,29,29,29,
29,29,29,32,22,27,29,29,29,29,28,28,28,28,29,28,29,29,29,29,29,22,30,29,29,29,29,37,36,37,
32,28,33,29,34,29,34,29,34,29,35,30,34,29,33,31,26,29,32,28,33,29,34,30,34,29,33,29,34,37,
34,37,35,38,35,38,33,35,26,28,34,28,32,27,33,28,34,37,34,20,27,38,34,37,35,37,20,33,35,35,
37,30,30,26,28,26,28,33,28,35,30,33,28,31,35,30,33,28,34,29,34,29,27,22,33,28,35,30,33,28,
34,29,34,29,32,27,34,29,35,36,33,31,26,28,35,29,33,28,34,29,36,32,34,29,34,28,33,28,33,37,
34,33,28,34,29,33,28,29,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,33,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,39,37,33,29,38,35,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,35,30,35,36,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26, };
static unsigned short stb__consolas_bold_40_latin_ext_s[560]={ 511,503,391,111,169,168,289,504,52,38,220,
37,339,437,483,153,242,196,177,124,154,106,263,1,186,134,496,427,230,372,249,
313,147,441,464,143,1,342,424,393,43,405,415,484,129,188,22,305,168,1,147,
86,321,284,382,359,106,83,64,381,23,457,351,452,468,311,87,348,42,387,461,
181,306,385,108,387,408,489,470,267,107,127,451,330,346,1,58,81,138,191,104,
394,8,364,426,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,
277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,511,501,151,
475,20,452,1,241,449,163,123,239,406,437,430,492,322,211,307,258,406,366,348,
428,504,292,20,273,219,196,173,257,481,348,304,92,285,425,43,66,239,259,369,
181,371,392,327,333,89,375,415,438,461,276,340,201,402,150,128,84,254,413,215,
1,489,467,446,425,404,22,407,206,341,319,298,277,22,1,417,396,173,152,131,
109,87,65,43,366,287,235,194,459,438,434,1,411,43,1,262,480,61,216,136,
354,20,376,320,161,243,153,436,134,67,21,473,264,412,396,492,202,397,1,285,
417,172,240,106,197,129,125,86,86,66,65,298,66,40,483,432,328,305,23,484,
344,354,182,372,66,1,302,448,281,161,194,363,384,262,242,327,256,457,235,438,
195,242,108,308,326,131,113,299,268,389,109,158,349,308,371,349,288,215,44,212,
223,280,87,25,235,71,147,453,224,222,256,233,469,459,86,431,325,190,328,1,
483,263,21,489,1,46,62,201,66,43,43,88,321,469,111,439,115,214,132,285,
272,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,173,
277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,
277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,
277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,
277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,
277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,
277,277,277,15,219,217,362,170,41,277,277,277,277,277,277,277,277,277,277,277,
277,277,277,277,277,277,277,277,277,277,277,277,277,21,493,233,469,277,277,277,
277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,
277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,
277,277,277,277,277,277,277,277,277, };
static unsigned short stb__consolas_bold_40_latin_ext_t[560]={ 1,80,389,335,43,247,247,115,1,1,389,
389,389,400,389,150,306,335,335,306,335,306,306,335,306,335,306,277,362,389,362,
247,1,335,335,306,362,335,335,306,362,335,306,335,362,362,362,306,362,80,362,
306,335,306,335,335,362,362,362,1,150,1,389,400,389,362,247,362,247,362,277,
184,277,217,1,277,277,362,362,362,247,247,362,362,277,389,389,389,389,247,389,
1,1,1,389,335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,
335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,1,184,43,
306,335,306,1,150,389,306,389,389,389,400,362,389,389,362,389,389,400,277,150,
400,127,389,389,389,277,277,277,247,115,115,115,80,80,43,335,184,115,115,150,
80,115,115,115,80,335,80,80,80,80,43,43,389,43,115,115,115,43,115,335,
247,217,217,217,217,217,184,362,306,217,217,217,217,306,277,247,247,217,277,217,
217,217,217,217,362,184,217,217,184,184,1,43,1,184,306,150,184,115,217,80,
184,115,184,43,184,80,217,115,184,335,217,150,277,150,184,43,184,80,217,150,
184,115,1,115,1,43,1,43,1,150,43,335,277,115,247,150,306,150,277,80,
1,80,389,306,1,115,1,43,1,389,115,43,43,1,184,184,335,247,335,247,
150,277,43,184,150,277,184,43,184,150,277,80,247,80,247,306,362,115,277,43,
184,115,277,80,247,80,247,150,306,80,217,43,1,115,184,306,277,43,247,150,
277,80,247,1,184,80,247,80,306,150,306,150,1,43,150,277,80,247,150,277,
247,335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,150,
335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,
335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,
335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,
335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,
335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,
335,335,335,1,1,150,217,1,43,335,335,335,335,335,335,335,335,335,335,335,
335,335,335,335,335,335,335,335,335,335,335,335,335,43,150,43,1,335,335,335,
335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,
335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,335,
335,335,335,335,335,335,335,335,335, };
static unsigned short stb__consolas_bold_40_latin_ext_a[560]={ 352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_40_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_bold_40_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_40_latin_ext(stb_fontchar font[STB_FONT_consolas_bold_40_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_40_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_bold_40_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_40_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_40_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_40_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_40_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_40_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_40_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_40_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_40_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_40_latin_ext_s[i] + stb__consolas_bold_40_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_40_latin_ext_t[i] + stb__consolas_bold_40_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_40_latin_ext_x[i];
            font[i].y0 = stb__consolas_bold_40_latin_ext_y[i];
            font[i].x1 = stb__consolas_bold_40_latin_ext_x[i] + stb__consolas_bold_40_latin_ext_w[i];
            font[i].y1 = stb__consolas_bold_40_latin_ext_y[i] + stb__consolas_bold_40_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_bold_40_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_40_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_40_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_40_latin_ext_s[i] + stb__consolas_bold_40_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_40_latin_ext_t[i] + stb__consolas_bold_40_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_40_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_40_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_40_latin_ext_x[i] + stb__consolas_bold_40_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_40_latin_ext_y[i] + stb__consolas_bold_40_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_40_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_40_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_40_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_40_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_40_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_40_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_40_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_40_latin_ext_LINE_SPACING
#endif

