// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_46_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_46_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_46_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_bold_46_latin_ext_BITMAP_HEIGHT        537
#define STB_FONT_consolas_bold_46_latin_ext_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_consolas_bold_46_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_bold_46_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_bold_46_latin_ext_LINE_SPACING          30

static unsigned int stb__consolas_bold_46_latin_ext_pixels[]={
    0x361ddddb,0x0000eeee,0x6f777754,0x00001802,0xa8000040,0x200000bc,
    0x1ccccccb,0x4c400000,0x00099999,0x20000000,0x730002b9,0x15d40017,
    0x7ffec000,0xcc980005,0x18000001,0x3ae00000,0xd7000dee,0x00009ddd,
    0x41eeec80,0x6c06eee8,0xeeeeeeee,0x00000eee,0x3bbbbae0,0x7777444e,
    0x3eeeeeee,0x77774c00,0xeeb80002,0x000000de,0x45db9751,0xeeeeeeee,
    0xfffeceee,0x1ffffd0f,0x7ffdc000,0xfc801eff,0xfb000002,0xffe80003,
    0xc80001ff,0x02ffffff,0x7fdc0000,0x4404ffff,0xff504ffd,0xfb00003d,
    0x64001dff,0x4402ffff,0x000efffe,0x07ffff10,0xffffc800,0x64c00003,
    0x02cdfffe,0xffff7000,0xff9001df,0x00000dff,0x5c4fffc8,0x7fc06fff,
    0xffffffff,0x000000ff,0x7ffffff7,0xffffff10,0x009fffff,0x7fffffcc,
    0x3fee0002,0x0000efff,0x3ffff220,0x3fffe2ff,0xdfffffff,0xfd0ffffe,
    0x20001fff,0x03fffffb,0x005fff90,0x1fffd800,0xffff7000,0xfc8000df,
    0x000effff,0x7ffdc000,0xfc802fff,0x7fcc4fff,0x5c0006ff,0x005fffff,
    0x1ffffff3,0x7ffffe40,0xfff50004,0x7cc0003f,0x001fffff,0xfffff900,
    0x001bffff,0x7ffffdc0,0xffc806ff,0x000006ff,0x567fffd4,0x405ffffc,
    0xffffffff,0x0000ffff,0xfffffb80,0xffff101f,0x9fffffff,0x3fffe200,
    0x8001ffff,0xfffffffb,0xff500006,0x45ffffff,0xffffffff,0xfffedfff,
    0x1ffffd0f,0xffff9000,0x3fee003d,0x80002fff,0x0fffffd8,0xffffd800,
    0xf90001ff,0x4c47ffff,0x70000199,0x01bfffff,0x1fffffe0,0x05fffff9,
    0x7fffec00,0xffc800ff,0x3e01ffff,0x007fffff,0x00ffffb0,0xfffffb80,
    0x74c0003f,0xffffffff,0x8000efff,0xffcffffa,0x7fe405ff,0x000006ff,
    0xffffffe8,0x7c00ffff,0xffffffff,0x00000fff,0x6fffffdc,0x3fffe200,
    0x4fffffff,0xefffe880,0x001ffffd,0x3f3fffea,0x40005fff,0xfffffff8,
    0x3fffe2ff,0xdfffffff,0xfd0ffffe,0x98001fff,0x4003cccc,0x2ffffff9,
    0x3ffa2000,0xb0003fff,0x01ffffff,0xfffff900,0x06fffc83,0xffffb800,
    0x7ffc003f,0x7ffe46ff,0x360001ff,0x00ffffff,0xffffffc8,0x3ffffe01,
    0xff88006f,0x5c0005ff,0x03ffffff,0x3fffe600,0xffffefff,0x2a000eff,
    0xff33ffff,0x7fe40bff,0x000006ff,0xffffff98,0xcc802fff,0xfffecccc,
    0x200000ff,0x03fffffb,0xcfffff88,0x402ccccc,0x88efffe8,0x800ffffd,
    0xf33ffffa,0x4000bfff,0xdffffffc,0x333320ac,0xdffffdcc,0xfd0ffffe,
    0x88001fff,0x30000aaa,0x05ffffff,0x3ffff600,0x3ee0003f,0x8006ffff,
    0x80ccccc9,0x0003fffe,0x0f7fffdc,0x7fffe400,0x37fffcc4,0x3ffea000,
    0xff3005ff,0xfc80ffff,0x8004ffff,0x003ffffb,0x7ffffcc0,0xff10000f,
    0xda83bfff,0x3004ffff,0xf987ffff,0xff904fff,0x00000dff,0x3ffff620,
    0x5c0001ef,0x000fffff,0xfffff700,0x3ffe2003,0xfd10006f,0x7f441dff,
    0x3e600eff,0x7fcc3fff,0xf88004ff,0x000dffff,0xedffffa8,0xffd0ffff,
    0x366001ff,0x01dfffff,0xfffffa80,0x7fd4000e,0x80004fff,0x001efffd,
    0x3ffe6000,0x0000000f,0x827fe400,0x0000dfea,0x00efffc8,0x07fffee0,
    0x0bfffb10,0x33332e00,0xffb80000,0x360002ff,0x2204ffff,0x1007fffe,
    0x26203333,0xfff90199,0x000000df,0x0009a988,0xfffff700,0x26600001,
    0x22000999,0x0006ffff,0x20133331,0x22009999,0x33101999,0xff300033,
    0x20001fff,0xfedffffa,0xfffd0fff,0xfff1001f,0x01ffffff,0xfffff500,
    0x7ffc4009,0x200004ff,0x000002a9,0x006fffb8,0x0bdeca80,0x00000000,
    0x00351000,0x8002aa20,0x000001a9,0x15510000,0x7ffe4000,0xfff8803f,
    0x0000002f,0x06ffffc8,0x00000000,0xffff7000,0x0000001f,0x3fffe200,
    0x00000006,0x00000000,0x00ffffea,0xdffffa80,0xfd0ffffe,0xf9001fff,
    0x3ffe63ff,0xfff90004,0x3f6003ff,0x00006fff,0xa9800000,0xfffedeec,
    0x3fa20003,0x001fffff,0x00000000,0x00000000,0x00000000,0x44000000,
    0x2006ffff,0x0005fffc,0xc8002662,0x0006ffff,0x09988000,0xfff70000,
    0x000001ff,0x3ffe2000,0x0000006f,0x00000000,0x0bffff20,0xffffa800,
    0xd0ffffed,0xb001ffff,0x6ffc89ff,0xffff1000,0xfff700df,0x000005ff,
    0x7fdc0000,0xffffffff,0x3f60001f,0x0fffffff,0x00000000,0x004cc400,
    0x00000000,0x0004cc40,0x2e000000,0x2001ffff,0x000ffffa,0xfffffd91,
    0xdddddddd,0x1bffff29,0xdddddd70,0x3fb22003,0xeeeeffff,0xb804eeee,
    0x400fffff,0x04eeeee9,0x77777440,0x0dffff13,0xeeeeeb80,0xeeeeeeee,
    0x3bba64ee,0x744004ee,0x6403eeee,0x0001ffff,0x3b7fffea,0xffd0ffff,
    0xff9001ff,0x004ffe8d,0x3ffffea0,0x3fffe204,0xeeeb805f,0xeeeeeeee,
    0x8004eeee,0xffffffd8,0x05ffffff,0x39fff500,0x4c09fff7,0x004eeeee,
    0x1f777744,0x7fff6440,0xeeeeeeff,0x3bbb64ee,0x7774c03e,0xd91000ee,
    0xdddfffff,0x6c9ddddd,0xeeeeeeee,0x7c000eee,0x44004fff,0x4403ffff,
    0xfffffffc,0xffffffff,0xdffff96f,0x7ffffcc0,0xffc8803f,0xffffffff,
    0x06ffffff,0x0fffffb8,0xffffff80,0x3ffee000,0xffff12ff,0xfffc800d,
    0xffffffff,0x7fc6ffff,0x2000ffff,0x02fffffb,0x00ffffec,0xbffff500,
    0x3a1ffffd,0xa800ffff,0xfffdffff,0x7f40001f,0x3ee07fff,0xc800ffff,
    0xffffffff,0x6fffffff,0x7fffcc00,0xffffffff,0x4000efff,0x7fdc6ffc,
    0x7ffffc06,0x3fee000f,0x32202fff,0xffffffff,0xffffffff,0x13ffffa6,
    0x3fffff30,0xffffc880,0xffffffff,0x3fe6ffff,0xffffffff,0x3ea000ff,
    0x09881fff,0x3fff6262,0x7fffec03,0xffffffff,0xf96fffff,0x3e20dfff,
    0x004fffff,0xfffffffb,0xffffffff,0xff700dff,0xf9001fff,0x4007ffff,
    0x226ffffe,0x4006ffff,0xfffffffc,0xffffffff,0x7ffffe46,0x3fffa003,
    0xfffd806f,0x3ea0001f,0xfffedfff,0x1ffffd0f,0x3fffee00,0x80003fff,
    0x02fffff9,0x009ffffd,0x3ffffff2,0xffffffff,0x3fe2006f,0xffffffff,
    0x5fffffff,0x227fec00,0x7e407ffa,0x2003ffff,0x406ffffe,0xfffffffd,
    0xffffffff,0x3fffa6ff,0x7ffcc04f,0x7fec01ff,0xffffffff,0x6fffffff,
    0x3ffffffe,0x000fffff,0xd71bfffa,0x3ffddfff,0x5c09fff9,0xcdefffff,
    0xffffffff,0xffff96ff,0xffffd10d,0x3fee00bf,0xffcdefff,0xffffffff,
    0xffffb806,0xfff8800f,0xff3006ff,0x7fc47fff,0x7e4006ff,0xffffffff,
    0x46ffffff,0x06fffff8,0x7fffff30,0x3ffffb00,0x7ffd4000,0x0ffffedf,
    0x001ffffd,0x05ef6dc4,0xfffd0000,0xffff30bf,0x3ff2003f,0xffffffff,
    0x006fffff,0x3bfffff2,0xfffff71b,0x5c005fff,0x3ff60fff,0x7fffc405,
    0xfff3006f,0x7fdc07ff,0xffcdefff,0xffffffff,0x13ffffa6,0x3fffff30,
    0x7ffffdc0,0xfffffcde,0x3e6fffff,0xffffffff,0xf1000fff,0x7fec7fff,
    0x8fffffff,0xf105fffb,0xd509ffff,0x1339ffff,0x21bffff2,0x05fffffd,
    0x9fffff10,0x9ffffd50,0xff700133,0x36001fff,0x801fffff,0x20fffffc,
    0x006ffff8,0x5555554c,0xfffeaaaa,0xffffd86f,0xfffc801f,0xffd800ff,
    0x2a0001ff,0xffedffff,0xffffd0ff,0x2aaa2001,0x0001aaaa,0x1fffff70,
    0x06ffffc8,0x2aaaaa60,0xffeaaaaa,0xff1006ff,0xfd81dfff,0x6fffffff,
    0x3fffe200,0x802ffffd,0x01fffffd,0x0fffffc8,0x9fffff10,0x9ffffd50,
    0x7fff4133,0x7ffcc04f,0xfff101ff,0xffd509ff,0x541339ff,0xffdaaaaa,
    0xf5000fff,0x3fee1fff,0x7fffffff,0x2a0dfff7,0x2e06ffff,0xfc86ffff,
    0x7fe46fff,0x5000efff,0x5c0dffff,0x4006ffff,0x00fffffb,0x9fffff50,
    0xbfffff00,0x06ffff88,0x3ff60000,0xfffa86ff,0xfff804ff,0xffd005ff,
    0x540001ff,0xffedffff,0xffffd0ff,0x3ffee001,0x0005ffff,0x7fffff10,
    0x03fffff8,0xfffb0000,0x3ff200df,0x7fc40fff,0xfffffeff,0x3ffee001,
    0x5005ffff,0x009fffff,0x40bfffff,0x206ffffa,0xd06ffffb,0x9809ffff,
    0x501fffff,0x5c0dffff,0x4006ffff,0x00fffffb,0x22dfff90,0xffefffff,
    0xdfff57ff,0x0fffff20,0x1fffff88,0x537fffe4,0x01dfffff,0x1ffffe40,
    0x3fffff10,0x7fffdc00,0x3ffe000f,0x7fd407ff,0x7fc42fff,0x000006ff,
    0x41bffff6,0x407fffff,0x02fffffa,0x00fffff0,0xdffffa80,0xfd0ffffe,
    0x36001fff,0x7fffffff,0x3ffa0000,0x3ffe24ff,0x000000ff,0x00dffffb,
    0x09fffff1,0xff5ffff5,0xa8009fff,0x003ffffe,0x03fffffc,0x0bffffea,
    0x03ffffc8,0x07ffffe2,0x013ffffa,0x03fffff3,0x80fffff2,0x01fffff8,
    0x3ffffee0,0x9fffd000,0x6cffffee,0xfff56fff,0x3ffff60f,0x7fffec01,
    0xb7fffe42,0x1ffffff9,0x7fffec00,0x7fffec01,0x3ffee002,0x3f2000ff,
    0x3601ffff,0xf887ffff,0x00006fff,0x1bffff60,0x0fffffe4,0x0fffffb0,
    0x1bfffee0,0xffff5000,0x21ffffdb,0x000ffffe,0xffffffff,0x3200005f,
    0x3e65ffff,0x00007fff,0x1bffff60,0x3ffffea0,0xf5fffd82,0x000dffff,
    0x640006a2,0x201fffff,0x407ffffd,0x401ffffd,0xe82ffffd,0x4c04ffff,
    0xb01fffff,0xd803ffff,0x2002ffff,0x00fffffb,0xd2ffff88,0x7ff4dfff,
    0x0ffff35f,0x00fffff6,0xc83ffffd,0xff8effff,0x8001ffff,0x403ffffd,
    0x001ffffe,0x03ffffee,0xfffff880,0xfffff104,0xdffff109,0x7ec00000,
    0xff106fff,0x3e209fff,0x2204ffff,0x3fffffc9,0x7ffd4000,0x0eeeeddf,
    0x001ffffd,0xfffffff5,0x200009ff,0x2a6ffffb,0x0006ffff,0x3ffff600,
    0xffffb806,0x25ffff07,0x00fffffc,0x004ccc40,0x7ffffc40,0xfffff104,
    0xffffd809,0x7ffff403,0x4ffffe81,0x7ffffcc0,0x7ffffb01,0x1ffffe80,
    0x3fffee00,0xfff9800f,0x3ffff89f,0x7d53fffe,0xfff707ff,0x7ffc40df,
    0xffffc87f,0x2fffffee,0xffff7000,0x7fffc40d,0x7ffdc007,0x7ec000ff,
    0xff507fff,0xff103fff,0x00000dff,0x037fffec,0x20fffffb,0x81fffffa,
    0xfffffffc,0xfa80005f,0x7f405fff,0xfc800fff,0xffffffff,0xff500007,
    0x7ffdcfff,0x2000005f,0x806ffffd,0xa85ffffc,0xff70ffff,0x5c403fff,
    0xfffffffd,0xfb000bef,0x3ea0ffff,0x5c01ffff,0x2206ffff,0xfd07ffff,
    0xf9809fff,0xf701ffff,0x7c40dfff,0x5c007fff,0x800fffff,0xff37fffa,
    0x7fffc3ff,0x20dfff54,0x82fffff9,0x86ffffd8,0xfffffffc,0x20004fff,
    0x82fffff9,0x06ffffd8,0x7ffffdc0,0x7ffd4000,0xfffd82ff,0xffff106f,
    0x6c00000d,0x2a06ffff,0xd82fffff,0xf906ffff,0x07dfffff,0x3ffea000,
    0x7fff405f,0xffff800f,0x1fffffdf,0xfff98000,0xffff90ff,0x6c000009,
    0xd806ffff,0xfc85ffff,0x3ffea5ff,0xfffb01ff,0xffffffff,0xf5007fff,
    0xfb05ffff,0xf300dfff,0xb105ffff,0x3a0dffff,0x4c04ffff,0x301fffff,
    0x105fffff,0x00dffffb,0x0fffffb8,0x56fffb80,0x3e21ffff,0xfff53fff,
    0x7fffec0d,0xffecacff,0xffc81fff,0xffffffff,0x3f60000f,0xcacfffff,
    0x01fffffe,0x7ffffdc0,0xffff8000,0x7fffc45f,0xffff102f,0x6c00000d,
    0x7c06ffff,0x7c45ffff,0xf902ffff,0x039fffff,0x3ffea000,0x7fff405f,
    0x7ffcc00f,0xfffff9ff,0xff880003,0xfffb1fff,0x4000007f,0x806ffffd,
    0xf84ffffe,0x3fea3fff,0xffb02fff,0xffffffff,0x007fffff,0x88bfffff,
    0x002fffff,0x9ffffffb,0xfffffd95,0x3ffffa03,0x7fffcc04,0x3fff601f,
    0xfecacfff,0x4001ffff,0x00fffffb,0xf76fffb8,0x7ffc4fff,0x0bfff52f,
    0x7fffffc4,0xffffffff,0xdffff903,0x1dfffff7,0x3ffe2000,0xffffffff,
    0xb8003fff,0x000fffff,0x0fffffc8,0x81ffffee,0x006ffff8,0x3fff6000,
    0x7ffe406f,0x3ffee0ff,0x3fff207f,0x003fffff,0x5ffffa80,0x07ffff40,
    0x57fffee0,0x006ffffe,0xfffff880,0x09ffffd1,0x7fec0000,0xfff806ff,
    0x7ffcc3ff,0x3fffe60f,0xffffb02f,0xffffddff,0xc801ffff,0x2e0fffff,
    0x2007ffff,0xfffffff8,0x3fffffff,0x13ffffa0,0x3fffff30,0x7ffffc40,
    0xffffffff,0xffb8003f,0xfc800fff,0xffff95ff,0xb8ffffcc,0x3f205fff,
    0xffffffff,0x3204ffff,0xffb6ffff,0x2000bfff,0xfffffffc,0x04ffffff,
    0xfffff700,0xfff30001,0x7fff47ff,0x3ffe204f,0x2000006f,0x406ffffd,
    0x23fffff9,0x204ffffe,0xfffeba98,0x540001ff,0x7405ffff,0x7400ffff,
    0xff93ffff,0x80001fff,0xb0fffff9,0x000bffff,0x7fffec00,0x7fffc406,
    0x37ffe43f,0x0bffffe6,0x404df7ec,0x4fffffe9,0x7ffffcc0,0x13ffffa3,
    0xfffffc80,0xffffffff,0x7ffff404,0x7fffcc04,0x3fff201f,0xffffffff,
    0xf70004ff,0x9001ffff,0x3ff2bfff,0x3fffea7f,0x209fff91,0xffeffff9,
    0x00cfffff,0x8b7fffe4,0x03ffffff,0x77fffcc0,0xcfffffff,0x3fee0000,
    0xd0000fff,0x3e6dffff,0x2201ffff,0x0006ffff,0x3ffff600,0xffffe806,
    0x3fffff36,0xffffd800,0x7fd40005,0x7ff405ff,0x3fe200ff,0xfff50fff,
    0x980005ff,0x3f27ffff,0x00005fff,0x1bffff60,0x9fffff10,0x4c3fffe8,
    0x501fffff,0x3ffa2001,0xffe806ff,0xffff36ff,0x3fe6003f,0xfffffeff,
    0xfe800cff,0x7cc04fff,0xf301ffff,0xffffdfff,0x00019fff,0x07ffffdc,
    0xca7ffec0,0x3fee6fff,0x0bfffa7f,0x5337ffec,0x7e400135,0x3fe66fff,
    0x2002ffff,0x2a66fffd,0x7000009a,0x001fffff,0x3ffffea0,0x06ffffc8,
    0x037fffc4,0xfffb0000,0xfff500df,0xffff91ff,0xfff1000d,0xfa8000ff,
    0x7f405fff,0x3ea00fff,0x7ffc6fff,0x540005ff,0x3ee6ffff,0x00006fff,
    0x1bffff60,0x93ffffe0,0x540ffff9,0x000fffff,0xfffff700,0xfffff500,
    0x0dffff91,0x337ffec0,0xe8001355,0x4c04ffff,0xb01fffff,0x554cdfff,
    0xf7000009,0xb001ffff,0x3ff29fff,0x9ffff26f,0xf880ffff,0x00005fff,
    0xb8dffff9,0x01ffffff,0x05ffff88,0xffb80000,0x20000fff,0xffbfffff,
    0x7c403fff,0x00006fff,0x1bffff60,0x5fffffc0,0x003fffff,0x01ffffd0,
    0x7fffd400,0x7ffff405,0x3ffff600,0x3ffffec4,0x3ffee000,0x3fffea5f,
    0x36000007,0xf806ffff,0x3ee5ffff,0xfffa86ff,0x2a00007f,0x800fffff,
    0xffbfffff,0xf1003fff,0x0000bfff,0x027ffff4,0x07ffffe6,0x017fffe2,
    0x3fee0000,0xfc800fff,0xffff75ff,0x55ffffe2,0xff306fff,0x00001fff,
    0xb0dffff9,0x01dfffff,0x0fffff98,0x7dc00000,0x0000ffff,0x3ffffff2,
    0x4400ffff,0x0006ffff,0x3ffff600,0xffff9006,0x01ffffff,0x3ffff600,
    0x3fea0001,0xffffedff,0x01ffffd0,0x217ffffc,0x01fffffb,0x3ffff600,
    0x3ffffe64,0xfb000002,0xfd00dfff,0x7ff4bfff,0xffffb84f,0x3ea00006,
    0xc800ffff,0xffffffff,0xff3000ff,0x00001fff,0x013ffffa,0x03fffff3,
    0x01fffff3,0xffb80000,0xfc800fff,0xffff76ff,0x5fffffb5,0x2209fffd,
    0xacffffff,0x8009aaaa,0x886ffffc,0x05ffffff,0x7fffffc4,0x09aaaaac,
    0x99999880,0x9fffffc9,0x80099999,0xfffffff9,0xff8804ff,0x000006ff,
    0x01bffff6,0x7fffffcc,0x20004fff,0x001ffffd,0x37fffea0,0xfd0ffffe,
    0x3e601fff,0x7cc0ffff,0x0004ffff,0x85fffff1,0x004fffff,0xffffb000,
    0xffffb00d,0x07fffe2f,0x017ffff6,0xffedcba8,0x0fffffff,0xfffff980,
    0x2004ffff,0xcffffff8,0x009aaaaa,0x09ffffd0,0x1fffff98,0xffffff88,
    0x09aaaaac,0x99999880,0x9fffffc9,0x2e099999,0xfff16fff,0xffffffff,
    0x403fffff,0xfffffffd,0xefffffff,0xffffc80c,0xfffff506,0xfffd809f,
    0xffffffff,0xd80cefff,0xffffffff,0xffffffff,0xffd004ff,0x03ffffff,
    0x0dffff10,0x7fec0000,0x3fa006ff,0x1fffffff,0x3fff6000,0x3ea0001f,
    0xfffedfff,0x1ffffd0f,0x17ffff20,0x037ffffc,0x7ffffb80,0x07ffffc8,
    0xfffb0000,0xfff700df,0xffff75ff,0x9fffff10,0xffffd700,0xffffffff,
    0x3fa001ff,0x1fffffff,0x7fffec00,0xffffffff,0xfd00ceff,0xf9809fff,
    0xfb01ffff,0xffffffff,0x19dfffff,0xffffffb0,0xffffffff,0x7d49ffff,
    0x3fff67ff,0xffffdfff,0x74403fff,0xffffffff,0xffffffff,0x37fffe43,
    0xffffff90,0x7fff4405,0xffffffff,0x6c3fffff,0xffffffff,0xffffffff,
    0xff7004ff,0x00dfffff,0x01bfffe2,0xfffd8000,0x3fee006f,0x006fffff,
    0x0ffffec0,0xffff5000,0x21ffffdb,0xd00ffffe,0x3207ffff,0x000fffff,
    0x84ffffd8,0x02fffff9,0xfffd8000,0xfff8806f,0x4fffddff,0x1fffffb8,
    0x3ffffe20,0xffffffff,0x7000ffff,0xdfffffff,0xfffd1000,0xffffffff,
    0xd07fffff,0x9809ffff,0x101fffff,0xfffffffd,0xffffffff,0xffffd87f,
    0xffffffff,0x24ffffff,0xf30ffff9,0x3f29ffff,0x5004ffff,0xffffffff,
    0xffffffff,0x7fffe47f,0x7ffff406,0x3fea01ff,0xffffffff,0x3fffffff,
    0x3ffffff6,0xffffffff,0x1004ffff,0x5fffffff,0x3fffe200,0x36000006,
    0x2006ffff,0xfffffff8,0x7fec0002,0x2a0001ff,0xffedffff,0xffffd0ff,
    0xfffff101,0x3fffea03,0x7fc4003f,0xffd00fff,0x00000bff,0x00dffffb,
    0x3ffffffa,0x7fc42fff,0x3a205fff,0xffffffff,0xffffffff,0xfff1000f,
    0x0005ffff,0x3fffffea,0xffffffff,0x7ff43fff,0x7fcc04ff,0x3ea01fff,
    0xffffffff,0xffffffff,0x3fffff63,0xffffffff,0x224fffff,0x3662ffff,
    0x3bae22de,0xfff5001b,0xddddddff,0xffffffff,0x1bffff21,0xffffff10,
    0xffff501d,0xfddddddf,0x1fffffff,0x3ffffff6,0xffffffff,0x2004ffff,
    0x06fffffc,0x1bfffe20,0xffd80000,0x7e4005ff,0x0006ffff,0x01ffffd8,
    0x3fffea00,0xd0ffffed,0xf701ffff,0x7c40ffff,0x4005ffff,0x205ffffd,
    0x01fffffc,0x7ffec000,0xfff7005f,0x88ffffff,0x01fffffe,0x3bfffffa,
    0xffffa80a,0x3ff2000f,0x50006fff,0xdddfffff,0xfffffddd,0x7ff41fff,
    0x7fcc04ff,0xff500fff,0xdddddfff,0xfffffffd,0x3ffff61f,0xffffffff,
    0x24ffffff,0x005ffff8,0x7ffcc000,0x7f4c03ff,0x0002ffff,0x3ffe6000,
    0x7f4c03ff,0x0002ffff,0x7fec0000,0x22002fff,0x0006ffff,0x3ffffa00,
    0x7ffec004,0xd80002ff,0x0001ffff,0x3b7fffea,0xffd0ffff,0xfffb01ff,
    0x555555df,0x0ffffff5,0x7ffffcc0,0x3fffe202,0x7400006f,0x2004ffff,
    0xfffffffe,0xffffdb9e,0x3fe205ff,0x7d406fff,0x2000ffff,0x02fffffd,
    0xfffff980,0x7fff4c03,0x540002ff,0x980fffff,0x403fffff,0x2fffffe9,
    0x7ffdc000,0x3fffec1f,0x3fa00000,0xf1005fff,0x0009ffff,0x7fff4000,
    0xfff1005f,0x000009ff,0x7fffc400,0x7fc4006f,0x000006ff,0x00fffffe,
    0x6fffff88,0xfff90000,0x7d40005f,0xfffedfff,0x1ffffd0f,0xfffffff0,
    0xffffffff,0x2005ffff,0x806ffffe,0x03fffffb,0x3fffe000,0x3fe6003f,
    0xffffffff,0x0fffffff,0x3ffffea0,0x7fffd402,0xfff1000f,0x3a000dff,
    0x1005ffff,0x009fffff,0x7ffffa80,0x0bffffd0,0x3ffffe20,0x3fee0004,
    0xfffa82ff,0x1000002f,0x005fffff,0x01fffffc,0x00555554,0x3ffffe20,
    0x3fffe002,0x5555003f,0xfe800015,0x4003ffff,0x006ffff8,0xffff5000,
    0x7ff4003f,0x00003fff,0x007ffff7,0x6ffffd40,0xfd0ffffe,0xffa81fff,
    0xffffffff,0xffffffff,0xfffb804f,0xffd001ff,0x00001fff,0x03fffff5,
    0xfffffa80,0xffffffff,0x7fdc00ef,0x3a201fff,0x000fffff,0x07fffffd,
    0xfffff100,0x7fffc005,0x7e40003f,0xff886fff,0x3e002fff,0x0003ffff,
    0x409ffff1,0x000effff,0xffff9800,0xfff5003f,0xfff003ff,0xff3000ff,
    0x2a007fff,0x001fffff,0x000fffff,0x5fffffd8,0xffff8800,0x200a6006,
    0x0fffffe8,0xfffffb00,0x7d40000b,0x20006fff,0xfedffffa,0xfffd0fff,
    0xffffc81f,0xffffffff,0x6fffffff,0x7ffffcc0,0x3ffe6003,0x02980eff,
    0xfffffe88,0xfff98000,0xffffffff,0xfff5004f,0x3fa60bff,0x800fffff,
    0x05fffffd,0xfffff300,0x3ffea007,0x220001ff,0x984fffff,0x003fffff,
    0x03fffff5,0x3fffee00,0x3ffff201,0x0053000e,0x03bffffe,0xffffff50,
    0xbffff100,0x3fffe000,0x7fd400ef,0xf3007fff,0x26009fff,0xfffeb999,
    0x88000eff,0x2006ffff,0x220acffa,0x4ffffffa,0xfeb99998,0x000effff,
    0x3fffe200,0xff50004f,0xffffdbff,0x03ffffa1,0xfffffffd,0xffffffff,
    0x203fffff,0x05fffff9,0xfffffb80,0x0acffa85,0x3ffffea2,0x3fe0004f,
    0xffffffff,0x3fe6002d,0x710bffff,0xffffffff,0x75ccccc1,0x00efffff,
    0x3ffffe00,0x7ffd400e,0x0b9807ff,0x7fffff4c,0xdfffff02,0xffffa801,
    0x3f60007f,0x3e201fff,0x201dffff,0xfb003fda,0x7bdfffff,0xffffd975,
    0xff5003ff,0x360005ff,0xdeffffff,0xfffecbab,0xf5001fff,0x36005fff,
    0xffffffff,0xf10001ff,0x5555ffff,0xfffa8355,0xffffffff,0xffb06fff,
    0xffffffff,0xfb000003,0x557dffff,0x55555541,0xfedffffc,0xfffd0fff,
    0x7fffcc1f,0x9999999f,0xffffb999,0xffff983f,0xfd0000ff,0xfa8bffff,
    0xffffffff,0x006fffff,0x2bfffea0,0x20000aba,0xffffffff,0xfffffffe,
    0x3ff60fff,0xffffffff,0x7fec0001,0xabdeffff,0xfffffecb,0xfffb801f,
    0xffffffff,0x3ffff605,0xcbabdeff,0x1ffffffe,0x3fff6000,0xfb82bcef,
    0xcdffffff,0x03ffffdc,0xffffff10,0xffffffff,0x2005ffff,0x000ffffb,
    0xffffff10,0xffffffff,0x4005ffff,0x2007fffc,0xfffffffd,0x220002ff,
    0xffffffff,0x7fd44fff,0xffffffff,0xfb01ffff,0xffffffff,0x22000005,
    0xffffffff,0x3ffffe2f,0xedffffff,0xffd0ffff,0x7ffdc1ff,0x3fe2006f,
    0x7fc45fff,0x0002ffff,0x3fffffa2,0x3ffffea5,0xffffffff,0x3f20001f,
    0x400005ff,0xfffffffa,0xfddfffff,0x3ff60fff,0x2fffffff,0xfff88000,
    0xffffffff,0x2fffffff,0xfffff700,0x03ffffff,0x7fffffc4,0xffffffff,
    0x0002ffff,0x7fffffe4,0xffff504f,0xffffffff,0x744007ff,0xffffffff,
    0x1dffffff,0x1bfff600,0xfffd1000,0xffffffff,0x8003bfff,0x2005fffe,
    0xfffffffd,0x7c40000d,0xffffffff,0x7ffd44ff,0xffffffff,0x3ff601df,
    0x00dfffff,0x7fdc0000,0x22ffffff,0xffffffff,0xfffedfff,0x1ffffd0f,
    0x027fffec,0x3fffffa0,0x3fffff20,0xfe880001,0xff50efff,0xffffffff,
    0x80003bff,0x0002ffff,0xfffffd80,0xf94fffff,0x7fec1fff,0x00dfffff,
    0x3ffa2000,0xffffffff,0x001dffff,0x3fffffee,0x8802efff,0xfffffffe,
    0xdfffffff,0xfe880001,0x204fffff,0xfffffffa,0x02efffff,0xffffc980,
    0x1dffffff,0x3ffff800,0xff930000,0xffffffff,0x3fe0003b,0x3f6002ff,
    0x002effff,0xfffff100,0x89ffffff,0xfffffeb8,0xd801dfff,0x02efffff,
    0x3a600000,0x22ffffff,0xffffffff,0xfffedfff,0x1ffffd0f,0x07ffffe2,
    0xfffff900,0x01fffc85,0x3ffa2000,0x3ffae20e,0x1dffffff,0xfff98000,
    0x5000000f,0xbfffffff,0x07fffe43,0x5dfffffb,0x64c00000,0xffffffff,
    0xa8001dff,0xffffffff,0xffc98004,0xffffffff,0x4400001d,0x02efffec,
    0x7fffedcc,0x0001dfff,0x33553310,0x33330000,0x26200000,0x00019aa9,
    0x80033330,0x0000aaa8,0xfffff880,0x04ffffff,0x026aa662,0x01555100,
    0xa8000000,0x3e2ffecb,0xffffffff,0xffffedff,0x21ffffd0,0x007ffffa,
    0x4fffffa8,0x00001fc8,0x2200ee88,0x0009aa99,0x27775c00,0x54400000,
    0x88000aab,0x00000aaa,0xaa998800,0x26000019,0x00009aaa,0x33553310,
    0x08000000,0x26aa2000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x43ffffa0,0xf90ffffe,0x2000bfff,
    0x107fffff,0x04400000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfe800000,0xfffd0fff,0x0000001f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3a000000,0xffd0ffff,0x000001ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x26219998,0x00000199,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x88000000,0x001abcee,
    0x03eeeed8,0x00000000,0x00000000,0xdddb9531,0x00003579,0x40000011,
    0x44000008,0x00001999,0xa806eed8,0x002aaaaa,0x54155553,0x1001aaaa,
    0x00155555,0x001e6640,0xceedba98,0x000001bc,0x55555100,0x55555555,
    0x55555555,0x55555543,0x00019aaa,0x54000000,0xa801aaaa,0x002aaaaa,
    0x2aaaaaa2,0x2aa6001a,0xaaaaaaaa,0x2aaaaaaa,0x2aaaaaaa,0xaaaaaaaa,
    0x2aaaa2aa,0x553001aa,0x7ffc4155,0x2001efff,0x004ffffe,0xffb10000,
    0x200005bf,0x20007db9,0xffffffc8,0x05ffffff,0x3dffd100,0x7f440000,
    0x980001ef,0x004fffff,0x037ffc00,0x7ffffff4,0xffffc801,0x0fffffe2,
    0x7ffffc40,0xfff10002,0x7fecc00b,0xffffffff,0x5cc00dff,0x1702dffe,
    0x3ffffe60,0xffffffff,0xffffffff,0xffffff13,0x9fffffff,0x75cc0003,
    0x01702dff,0x1fffffc4,0x3ffffe60,0x3fee002f,0x005fffff,0x3ffffff2,
    0xffffffff,0x3ffa7fff,0xffffffff,0x26ffffff,0x0ffffffe,0x2ffffc80,
    0x3fffffe2,0xffd004ff,0x000009ff,0xffffff30,0x7d40007f,0x70007fff,
    0xffffffff,0x0bffffff,0x3ffffa00,0x3fa00006,0x40006fff,0xfffffffa,
    0xff300004,0xfffd00bf,0xf900bfff,0x7ffc5fff,0xff1003ff,0x20005fff,
    0x9004fff9,0xffffffff,0x1fffffff,0x7ffffcc0,0x3bee1eff,0xfffff980,
    0xffffffff,0xffffffff,0xffffff13,0xffffffff,0xf98003df,0x1effffff,
    0x7c403bee,0x7403ffff,0x004fffff,0x7fffffec,0x3ff2007f,0xffffffff,
    0x7fffffff,0x3ffffffa,0xffffffff,0x3fffa6ff,0xfc803fff,0x3fe22fff,
    0x2fffffff,0x4ffffe80,0xfe800000,0x1fffedff,0xffff7000,0xfff7000f,
    0xffffffff,0x000bffff,0x5ffffff3,0xfff30000,0x20005fff,0xfffffffa,
    0xa80005ff,0xfe804fff,0x01ffffff,0xf17fffe4,0x2007ffff,0x02fffff8,
    0x07fff500,0xfffffe98,0xffffffff,0xfd100fff,0xffffffff,0x30dffffd,
    0xffffffff,0xffffffff,0x227fffff,0xffffffff,0xffffffff,0xffd1000f,
    0xdfffffff,0x220dffff,0x203fffff,0x06fffffc,0xffffff80,0xf9002fff,
    0xffffffff,0xffffffff,0x7fffff4f,0xffffffff,0x3ffa6fff,0x400fffff,
    0x542ffffc,0xfffffecb,0xffffe806,0x4c000004,0x3ff60fff,0xfff70003,
    0xff9800ff,0xffffffff,0x05ffffff,0xfffff980,0xf980002f,0x002fffff,
    0x8dffffa8,0x005ffffb,0x0ffff220,0x3fffffa0,0x7fe404ff,0x3fffe2ff,
    0xfff1003f,0x2e0005ff,0x3ea02fff,0xffffffff,0xffffffff,0xffff900f,
    0xfffffffd,0xff305fff,0xffffffff,0xffffffff,0x3fe27fff,0xffffffff,
    0xefffffff,0xffffc800,0xfffffffe,0xff102fff,0x3e607fff,0x001fffff,
    0x7fffffd4,0xf9004fff,0xffffffff,0xffffffff,0x7fffff4f,0xffffffff,
    0x3ffa6fff,0x403fffff,0x402ffffc,0x02fffffb,0x027ffff4,0x3fea0000,
    0x0027fdc6,0x07ffffb8,0x7fffff40,0xdb9880be,0xfff88005,0x80000fff,
    0x0ffffff8,0x7fffdc00,0x2ffffcc3,0xfffdc980,0x3defffff,0xffffffe8,
    0x3ff200ff,0x3fffe2ff,0xfff1003f,0x320005ff,0x3fa01fff,0xbcffffff,
    0xffcba989,0x437f600f,0xffffffc8,0x2666603f,0xffffa999,0x999999cf,
    0xfffff109,0xff955337,0x007fffff,0x7e4437f6,0x03ffffff,0x0fffffe2,
    0x1ffffff4,0x7fffe400,0x007fffff,0xf5333331,0x3339ffff,0x7fff4333,
    0xaaaaaaef,0x3a2aaaaa,0xffffffff,0x3ffff200,0xffffc802,0x7ffff404,
    0x4c000004,0x3ffa1fff,0xfff70003,0x7fc400ff,0x0000ffff,0xffffa800,
    0x3ea00002,0x00002fff,0x3f620000,0xffffffff,0xfe87ffff,0x3fffffff,
    0x8bffff20,0x003fffff,0x05fffff1,0x03fffa00,0x7fffffdc,0x01b5000d,
    0xdfd93038,0x7c400059,0x1003ffff,0x405fffff,0x04fffffd,0x7f64c0e0,
    0x7fc402ce,0xffb83fff,0xf0005fff,0xfffbffff,0x440003ff,0x803fffff,
    0x005ffffe,0x3fffffa0,0x3f203fff,0xf9802fff,0x7f405fff,0x00004fff,
    0xfefffe80,0x70000fff,0x400fffff,0x04fffff9,0x2a200000,0x8800000a,
    0x000000aa,0x3ffee000,0xffffffff,0xfe87ffff,0x7fffffff,0x8bffff20,
    0x003fffff,0x05fffff1,0x0ffff100,0x3fffffe2,0x00000003,0xff880000,
    0xf1003fff,0x4405ffff,0x006fffff,0x3e200000,0x7cc3ffff,0x000fffff,
    0x9fffff98,0x003fffff,0x3ffffe20,0xffffe803,0x3ffa0005,0x0fffffff,
    0x05ffff90,0x0dffff10,0x04ffffe8,0x22000031,0x2fffffff,0xeeeeeb80,
    0xeefffffe,0x75eeeeee,0x009fffff,0x00000000,0x36000000,0x0003eeee,
    0xffffff98,0xffffffff,0xfffe87ff,0x03ffffff,0x7c5ffff9,0x1003ffff,
    0x005fffff,0xfffffd95,0x7fe45bff,0x00005fff,0x00000000,0x07fffff1,
    0x3ffffe20,0x7ffff402,0x00000007,0x0fffffe2,0x05fffffd,0x3fffee00,
    0x0dffffd5,0x7fffc400,0xfffe803f,0x3fa0005f,0xffffffff,0x5ffff904,
    0x1ffffe00,0x47ffffd0,0xcefffeca,0x3ae20000,0xf9000cef,0xffffffff,
    0xffffffff,0x3ffeafff,0x00000fff,0xeedba980,0x40001bcc,0xbcdeeca9,
    0x3ffffa01,0x7fc40004,0xfcdfffff,0x7fecbeff,0xfcffffe8,0xff906fff,
    0x7fffc5ff,0xfff1003f,0x7f4c05ff,0xffffffff,0x3fffe4ff,0x200001ff,
    0x001aaaaa,0x01555551,0x3ffffe20,0xffff1003,0xfffd805f,0x9530007f,
    0x200157bd,0x23fffff8,0x05fffffb,0x3ffffa00,0x1fffff93,0x3ffe2000,
    0xffe803ff,0x3a0005ff,0xfffcffff,0xfffc80ff,0xffff002f,0xffffe80f,
    0xffffff93,0x55401dff,0x51001aaa,0x3f215555,0xffffffff,0xffffffff,
    0xffff17ff,0x00003dff,0xfffffb30,0xbfffffff,0x3ffae001,0xffffffff,
    0xffffe83f,0x7fdc0004,0xff50dfff,0xfe81887f,0xffff9fff,0xffffc82f,
    0x0fffffe2,0x7ffffc40,0xffffc882,0xffffffff,0xfffff14f,0xff80000b,
    0xf1003fff,0x2005ffff,0x03fffff8,0x5fffff10,0x6fffff80,0x7fffdc00,
    0x02ffffff,0x9fffffc4,0x0efffff8,0xffff1000,0x3fffea1f,0xff10002f,
    0xfd007fff,0x4000bfff,0xff8ffffe,0xffc84fff,0xfff002ff,0xfffe80ff,
    0xfffffdbf,0x00efffff,0x007fffff,0x4bffffe2,0xfffffffc,0xffffffff,
    0x3fe7ffff,0x2dffffff,0xfff90000,0xffffffff,0x8801ffff,0xfffffffe,
    0x84ffffff,0x004ffffe,0x7ffffe40,0x00bffee1,0x647ffff4,0xfc86ffff,
    0x3ffe2fff,0xff1003ff,0xffb05fff,0xffffffff,0x3ea9ffff,0x0002ffff,
    0x1fffffc0,0xfffff880,0xffff1002,0x3fe2007f,0x3ea02fff,0x1004ffff,
    0xfffffffb,0x409fffff,0xb3fffff8,0x003fffff,0x37fffd40,0x017ffffe,
    0x7ffffc40,0xffffe803,0x3ffa0005,0xffffb8ff,0x7fffe40f,0xfffff002,
    0xfffffe80,0xffffffff,0xff05ffff,0x22007fff,0x532fffff,0xfffb5555,
    0x555557ff,0x7ffdc555,0xbeffffff,0xffe98000,0xffffffff,0x00ffffff,
    0x3fffffea,0xffffffff,0xffffe84f,0x7ff40004,0x7ffec7ff,0xffffd001,
    0x3fffff31,0x22ffffc8,0x003fffff,0x85fffff1,0xfffffffa,0xffdfffdd,
    0x3fffff74,0xfff80000,0xff1003ff,0x22005fff,0x003fffff,0x05fffff1,
    0x3fffffee,0xffff9800,0xffffffff,0xf880dfff,0xffbbffff,0x40004fff,
    0x6c4ffffd,0x0007ffff,0x07fffff1,0x5dffffd0,0x55555555,0x7fff4155,
    0x9fffff0f,0x02ffffc8,0x80fffff0,0xfffffffe,0xfffebcff,0xfff81fff,
    0xff1003ff,0xfb805fff,0xd8007fff,0xffffffff,0x5001dfff,0xffffffff,
    0xffffffff,0x3ff201ff,0xffffffff,0x84ffffff,0x004ffffe,0x7fffff40,
    0x003fffa2,0xd87ffff4,0x7e45ffff,0x3ffe2fff,0xff1003ff,0x7f445fff,
    0x3f64ffff,0x3f2551ff,0xf980ffff,0xffffffff,0x7ffffc1f,0xffff1003,
    0x3fe2005f,0xf1003fff,0x9559ffff,0xfffffff9,0xffff1007,0xffffffff,
    0x10bfffff,0xff9fffff,0x0000dfff,0xb85fffff,0x001fffff,0x3fffff88,
    0xfffffe80,0xffffffff,0x3ffa1fff,0xffff70ff,0x7fffe41f,0xffffd002,
    0x7ffff401,0xffc82fff,0xfff84fff,0xff1003ff,0xfb805fff,0x88007fff,
    0xfffffffd,0x00dfffff,0x7ffffff4,0xba989bcf,0xf880fffc,0xceffffff,
    0xffdaa99a,0x4ffffe84,0x7ffe4000,0xffff2fff,0x7ffff400,0x1fffff50,
    0xf17fffe4,0x2007ffff,0x22fffff8,0x44fffffc,0xfd80fffe,0xff307fff,
    0xffffffff,0x3fffff83,0xfffff100,0x3ffe2005,0xff1003ff,0xffffffff,
    0x05ffffff,0x3fffff20,0xfeca9bdf,0x441fffff,0xffffffff,0x40001fff,
    0x40fffff9,0x04fffff9,0xfffff880,0xffffe803,0xffffffff,0x3fa1ffff,
    0x3ffe0fff,0x3fff24ff,0xfffb002f,0x7fff405f,0x3fe02fff,0x7fc0ffff,
    0xf1003fff,0xb805ffff,0x0007ffff,0x3fffffee,0x2fffffff,0xffffff70,
    0x036a001b,0x3ffffff6,0xe82a8803,0x0004ffff,0x7fffffd4,0x006fffef,
    0xe83ffffa,0x3f24ffff,0x3ffe2fff,0xff1003ff,0x7ff45fff,0x7ffc0fff,
    0xfffffd07,0x3ffffe60,0x7c1fffff,0x1003ffff,0x005fffff,0x0fffffe2,
    0x7ffffc40,0xffffffff,0xff1000be,0x2203ffff,0x45fffffe,0xfffffff8,
    0x0004ffff,0x82ffffe4,0x006fffff,0x3fffff88,0xfffffe80,0xffffffff,
    0x3ffa1fff,0x3ffee0ff,0xffff90ff,0x3ffee005,0x3fffa06f,0x7fe403ff,
    0x7ffc1fff,0xff1003ff,0xfb805fff,0x80007fff,0xffffffeb,0x441fffff,
    0x03ffffff,0xffff3000,0xd00005ff,0x3109ffff,0xffe88013,0xffffffff,
    0x3fffa005,0x3fffee0f,0x5ffff90f,0x01fffffc,0x2fffff88,0x113ffffe,
    0x3fa0dfff,0xff307fff,0xffffffff,0x3fffff83,0xfffff100,0x3ffe2005,
    0xff1003ff,0xffffffff,0xc8007fff,0x402fffff,0x0fffffe8,0x33ffffe2,
    0x01ffffff,0x3ffffa00,0xfffff903,0xfff88001,0xffe803ff,0xffffffff,
    0x21ffffff,0x7c0ffffe,0xff94ffff,0x3e2005ff,0x409effff,0x805ffffe,
    0x42fffffa,0x003fffff,0x05fffff1,0x07ffffb8,0x3ff26000,0x6fffffff,
    0x2fffffe4,0xfffd0000,0x200007ff,0x2e3ffffe,0x04effffe,0x3fffffe2,
    0x1cffffff,0x07ffff40,0x64fffffe,0x3fe2ffff,0xf1003fff,0x3e25ffff,
    0x7cc3ffff,0xfffb04ff,0x999101ff,0x3fffffb9,0x03fffff8,0x5fffff10,
    0x3fffe200,0xfff1003f,0xffffddff,0x2200bfff,0x006fffff,0x49fffff7,
    0xabfffff8,0x006fffff,0x3fffff10,0x3ffffea0,0x7ffc4003,0xffe803ff,
    0x99999eff,0x74199999,0x7dc0ffff,0xffc8ffff,0x3ee002ff,0x6fffffff,
    0x009ffffd,0x87fffff3,0x003fffff,0x05fffff1,0x07ffffb8,0xfeb88000,
    0x22ffffff,0x01ffffff,0xffff3000,0x200001ff,0xd8bffffe,0xffffffff,
    0xfffd300e,0xffffffff,0x3ffa01bf,0x7ffe40ff,0x5ffff97f,0x01fffffc,
    0x2fffff88,0x85fffff3,0xf903fffa,0x2003ffff,0x41fffff9,0x003fffff,
    0x05fffff1,0x3ffffe20,0xffff1003,0x3ffee25f,0xfb803fff,0x3003ffff,
    0x44dfffff,0xfd3fffff,0x0009ffff,0x40fffff7,0x05fffff8,0x7ffffc40,
    0xffffe803,0x3ffa0005,0xffff80ff,0x2ffffccf,0x7ffed400,0xfffd6fff,
    0xfff1009f,0xffff89ff,0xfff1003f,0xffb805ff,0x000007ff,0x7fffffe4,
    0xbfffff14,0x7fd40000,0x00004fff,0x3afffffa,0xffffffff,0x7fe405ff,
    0xffffffff,0xffe83fff,0x7ffc40ff,0xffffcaff,0x0fffffe2,0x7ffffcc0,
    0x5fffff51,0x502fffb8,0x005fffff,0x07ffffe6,0x007fffff,0x0bffffe2,
    0x7ffffc40,0xffff1003,0xffff985f,0x7fe400ff,0x3a000fff,0x3e27ffff,
    0xff33ffff,0x8003ffff,0xaaeffffd,0xfffaaaaa,0x7c4007ff,0xe803ffff,
    0x0005ffff,0x203ffffa,0xfefffffb,0x44002fff,0x6fffffeb,0x009ffffd,
    0x89fffff1,0x003fffff,0x05fffff1,0x07ffffb8,0xffd80000,0xfff55fff,
    0x400005ff,0x02fffffb,0x3fffa000,0xffffffff,0x01ffffff,0x7ffff5c4,
    0x2fffffff,0x407ffff4,0xfceffffd,0x3ffe2fff,0xff3003ff,0x3fe63fff,
    0x7fe44fff,0xffff301f,0x3fe600bf,0x7ffc1fff,0xff1003ff,0x22005fff,
    0x003fffff,0x05fffff1,0x09fffff7,0x07ffffe8,0x3ffffec0,0x47fffff1,
    0x0efffffc,0x3ffffe00,0xffffffff,0x02ffffff,0x3ffffe20,0xffffe803,
    0x3ffa0005,0xffff00ff,0x05ffffff,0x7ffffcc0,0xfffd6fff,0xfff3009f,
    0xffff87ff,0xfff1003f,0xffb805ff,0x000007ff,0x6fffffa8,0x03fffff7,
    0x7ffec000,0x200001ff,0xfffffffe,0xffffccff,0x3fe005ff,0xffffffff,
    0x3fffa1ff,0xffff980f,0x22ffffef,0x004ffffe,0x21fffff5,0x46fffff8,
    0xf100fffd,0x001fffff,0x83fffff3,0x003fffff,0x05fffff1,0x3ffffe20,
    0xffff1003,0xffff105f,0x7ffc01ff,0x7e4006ff,0xff10ffff,0xffe87fff,
    0xf5004fff,0xffffffff,0xffffffff,0x7c4009ff,0xe803ffff,0x0005ffff,
    0x403ffffa,0xfffffffb,0xff1002ff,0x1357ffff,0x013ffffa,0x07ffffea,
    0x007fffff,0x0bffffe2,0x0fffff70,0xff300000,0x3ff29fff,0xff980fff,
    0xffffffff,0x3fffffa1,0x3fa00000,0x42ffffff,0x06fffff8,0xfbdfff10,
    0x49ffffff,0xb00ffffe,0xffffffff,0x7fffec5f,0xffff7005,0x7fffff8f,
    0x3a03fff4,0x804fffff,0x41fffff9,0x003fffff,0x05fffff1,0x3ffffe20,
    0xffff1003,0x3fff205f,0x3ffe04ff,0x7dc006ff,0xff11ffff,0xffa87fff,
    0xc802ffff,0xffffffff,0xffffffff,0x22006fff,0x803fffff,0x005ffffe,
    0x03ffffa0,0xfffffff8,0xff7002ff,0x3fa01dff,0xfb804fff,0x7fc0ffff,
    0xf1003fff,0xb805ffff,0x000fffff,0x7ffdc000,0xffffb2ff,0x3fffe60f,
    0x21ffffff,0x007fffff,0x7ffff400,0xfff902ff,0x3fea00ff,0xffffd34f,
    0x7ffff4df,0xfffff500,0x7e45ffff,0xf801ffff,0x7f45ffff,0x3fe5ffff,
    0x7ffcc06f,0x7cc03fff,0x7fc1ffff,0xf1003fff,0x2005ffff,0x03fffff8,
    0x5fffff10,0x3ffffe20,0xffff880f,0x7fdc005f,0xfff12fff,0xfffb07ff,
    0xfe801fff,0xffffffff,0xffffffff,0xf1001fff,0xd007ffff,0x000bffff,
    0x007ffff4,0xfffffff7,0x3ff6005f,0x3ffa02ff,0xffe804ff,0xffff87ff,
    0xfff1003f,0xffa805ff,0xbb003fff,0x3fee0015,0xffd0ffff,0x3fe60fff,
    0xffffffff,0xffffff11,0xffe80000,0x3ea03fff,0xb800ffff,0x3fe63fff,
    0xffd0ffff,0x7ff401ff,0x22ffffff,0x0dfffffa,0x3fffff20,0x7ffffd41,
    0x45fff9ef,0x7fffec29,0xff300dff,0xfff83fff,0xff1003ff,0x22005fff,
    0x003fffff,0x05fffff1,0x1fffffec,0x2fffffc4,0x3fffea00,0xfffff13f,
    0xfffff107,0x7ffcc0bf,0x999999ff,0xfffb9999,0xff1003ff,0xfd007fff,
    0x4000bfff,0x400ffffe,0xffffffff,0xffffd002,0x7ffff401,0x7fffd404,
    0xfffff85f,0xffff1003,0xfff9805f,0xffb005ff,0x95559bdf,0xfffffff9,
    0x3fffff4d,0xffffff98,0x3fe1ffff,0x00007fff,0x02fffff4,0x07ffffe6,
    0xd0bfff20,0x7f4fffff,0x3ee00fff,0x2fffffff,0x77fffff4,0xffda989b,
    0xffd06fff,0xffffffff,0x88bfd97b,0xffffffff,0xffecabde,0x7ffc1fff,
    0xff1003ff,0x22005fff,0x003fffff,0x05fffff1,0x7fffffcc,0x5fffff80,
    0x7fffdc00,0xfffff12f,0x3fffee07,0xfff702ff,0x7fc400df,0x66545fff,
    0xffffcccc,0x4cccccdf,0x33bffffa,0xcccccccc,0x3fffa3cc,0x7ffdc00f,
    0xd002ffff,0xfe80ffff,0x3e604fff,0xf81fffff,0x1003ffff,0x805fffff,
    0x3ffffff8,0xfffb3988,0xffffffff,0x1dffffff,0x07ffffec,0x7ee66644,
    0x3fe1ffff,0x0000ffff,0x13ffffa0,0x3fffff30,0x81fffb00,0x3a6ffffe,
    0x7c00ffff,0x2fffffff,0x7fffffd4,0xffffffff,0xff501fff,0xffffffff,
    0x70bfffff,0xffffffff,0xffffffff,0xffff83ff,0xfff1003f,0x3e2005ff,
    0x1003ffff,0x805fffff,0x83fffffe,0x006fffff,0x97ffffdc,0x03fffff8,
    0x3ffffffa,0x4ffffd80,0x7ffff400,0x3ffff20f,0xffffffff,0x3a7fffff,
    0xffffffff,0xffffffff,0x03ffffa6,0x3fffffe0,0xffff002f,0xffffe80f,
    0x7ffdcc1d,0xfff03fff,0x3e2007ff,0xe802ffff,0xffffffff,0xffb7ffff,
    0xffffffff,0x3fffffff,0x1fffffc8,0xfffff300,0x7fffff43,0x3fa00001,
    0x7cc04fff,0x4031ffff,0x7fd47ffe,0x3ffa4fff,0x7fe400ff,0xd82fffff,
    0xffffffff,0x2fffffff,0x7ffffd40,0xffffffff,0xffff505f,0xffffffff,
    0xf83fffff,0x1003ffff,0x005fffff,0x0fffffe2,0x7ffffc40,0x7fffd402,
    0xffffe87f,0x7ffe4006,0xffff11ff,0x7ffcc07f,0x7fc45fff,0x64001fff,
    0x322fffff,0xffffffff,0xffffffff,0x3ffffa7f,0xffffffff,0x3fa6ffff,
    0xfb800fff,0x002fffff,0xe80fffff,0xffffffff,0xffffffff,0x3ffffe06,
    0xffff1003,0xfff3005f,0xffffffff,0x3ffff6ff,0xffffffff,0xfa81dfff,
    0x3002ffff,0x643fffff,0x002fffff,0x3ffffa00,0x7fffcc04,0x4359ff1f,
    0xff916fff,0x7f45ffff,0x7c400fff,0x02ffffff,0xfffffff7,0x05ffffff,
    0x3ffffa60,0xffffffff,0x3fff6205,0xffffffff,0x7fc0efff,0xf3003fff,
    0x2003ffff,0x03fffff8,0x5fffff10,0xffffff00,0x7ffffd87,0x7fffec00,
    0xfffff10f,0xffffc807,0x3ffea2ff,0xffa8007f,0x3ff24fff,0xffffffff,
    0x7fffffff,0x3ffffffa,0xffffffff,0x3fffa6ff,0xffff000f,0x3fe005ff,
    0x7ff407ff,0xffffffff,0x01efffff,0x00fffffe,0x0fffffcc,0xfffffb80,
    0x57ffffff,0xffffffd9,0x019fffff,0x2fffffcc,0xfffff980,0x3ffffee1,
    0x3fa00005,0x7cc04fff,0xfff1ffff,0xffffdfff,0xfffffffd,0x0ffffe8b,
    0xfffffd80,0x3fb6602f,0x3effffff,0xfff95000,0x17dfffff,0xfffdb500,
    0x39dfffff,0x0fffffe0,0x7ffffcc0,0xffff1000,0x3fe2007f,0xfb802fff,
    0x7e46ffff,0x2001ffff,0x226fffff,0x403fffff,0xfffffff8,0x0bffff90,
    0x3ffffe00,0x3fffff27,0xffffffff,0x3fa7ffff,0xffffffff,0x6fffffff,
    0x003ffffa,0x17ffffdc,0x07ffff80,0x7ffffff4,0xffffffff,0xfffff803,
    0xffff3003,0x7e44001f,0xffffffff,0x57555306,0x3e200135,0x800fffff,
    0x21fffff9,0x1ffffffa,0xfffd0000,0xfff9809f,0xfffff1ff,0xffffffff,
    0x00dfffff,0x88000000,0x00effffa,0x3ffff000,0x75300003,0xfd001335,
    0x2a009fff,0x0007ffff,0x00000000,0x7ffffdc0,0xffff3004,0x0000009f,
    0xff500000,0x300005ff,0x0007ffff,0x017fffd4,0xffff9800,0xffff001f,
    0xffffe80f,0xefffffff,0xfffd000c,0x3fea009f,0x310007ff,0x00355755,
    0x7ff40000,0xf9804fff,0x3e21ffff,0x005fffff,0x9ffffd00,0xfffff980,
    0xfffffff1,0xffffffff,0x00001bff,0xffb00000,0x200001ff,0x0006fff8,
    0xffb00000,0x3ee00bff,0x00006fff,0x00000000,0x37ffffc4,0xfffffc80,
    0x00000001,0x7ffd4000,0xf980003f,0x20004fff,0x003ffffa,0x3fffea00,
    0xffff000f,0xffffe80f,0x000aaa8c,0x0bffffb0,0x1bfffee0,0x20000000,
    0x000aaaaa,0x7ffffff3,0xfffff980,0x7ffffdc1,0x7404004f,0x4c04ffff,
    0xff1fffff,0xffffffff,0x03bfffff,0x55555400,0xff700000,0x400005ff,
    0x0004fff9,0x00aaaaa8,0x7ffffe40,0xfffff801,0x55554005,0x5500000a,
    0xb0001555,0x809fffff,0x05fffffa,0x05555540,0x3a000000,0x00005fff,
    0x000dfffd,0x02ffffc4,0x3fff2000,0x3ffe007f,0x7fff406f,0x3200004f,
    0x801fffff,0x005fffff,0x00555554,0x1ffffe00,0xfffffb00,0x3fe601bf,
    0xfff81fff,0x201effff,0xffe84eb8,0x7fcc04ff,0x2ea21fff,0xdeffffec,
    0xf80000ac,0x00007fff,0x001bfffa,0x07fff500,0xfffff000,0xffff5000,
    0x7fe401bf,0x7c002fff,0x00007fff,0x001ffffe,0x7fffffcc,0xfffff303,
    0xfff8003f,0x0000007f,0x017fffd4,0x7fffcc00,0x3fea0003,0x200002ff,
    0x05fffff9,0x0bffff30,0x04ffffe8,0x3ffea000,0x3f200dff,0x4002ffff,
    0x0007ffff,0x02ffffc4,0x3ffffe20,0xcabdefff,0x81fffffe,0xfffffffa,
    0xffdcceff,0xfffe84ff,0x7ffcc04f,0x7ffc01ff,0xf8800007,0x00005fff,
    0x00fffff1,0x2fffb800,0x7ffc4000,0xffd0005f,0x3137dfff,0xbfffffb5,
    0xffff8800,0xff100005,0x74000bff,0xdfffffff,0xfffffedb,0x7fc4005f,
    0x000005ff,0x17fffe40,0x7ffdc000,0x3f20003f,0x80002fff,0xffffffb9,
    0xffff7003,0xffffe809,0x7f400004,0x89beffff,0xfffffda9,0x7ffc4005,
    0x7d40005f,0xb8002fff,0xffffffff,0xffffffff,0xfffd01ff,0xffffffff,
    0xd09fffff,0x9809ffff,0x201fffff,0x0006fff8,0x2ffffa80,0x3ffe0000,
    0x000cbdff,0x00fffe40,0x3fffea00,0xfff50002,0xffffffff,0x01ffffff,
    0x2ffffa80,0xfff50000,0x7cc0005f,0xffffffff,0xffffffff,0x7ffd4000,
    0x0000002f,0x67ffffe4,0xff70002b,0x00779fff,0xcfffffc8,0x7fcc002b,
    0x05ffffff,0x7fffff30,0x4ffffe80,0x7fd40000,0xffffffff,0x0fffffff,
    0x7fffd400,0x7fdc0002,0xf50000ff,0xffffffff,0xffffffff,0x7fffdc03,
    0xffffffff,0xffe84fff,0x7fcc04ff,0x3e601fff,0x800005ff,0x000ffffb,
    0x3ffffa00,0x40001fff,0x0000fffd,0x007fffdc,0xfffffb00,0xffffffff,
    0xf70007ff,0x00001fff,0x003fffee,0xfffff300,0xffffffff,0xf70003df,
    0x00001fff,0xffffa800,0x30005fff,0xdfffffff,0xffffb800,0x4c004fff,
    0xffffffff,0xffb75500,0xe801ffff,0x0004ffff,0xfffffd80,0xffffffff,
    0xfb8003ff,0x40000fff,0x0006fffd,0x7ffffec4,0xffffffff,0x7f4c00ef,
    0xffffffff,0xfe83ffff,0x7cc04fff,0x2a01ffff,0x00004fff,0x006fffd8,
    0x7fffcc00,0x40001fff,0x80007ffe,0x0006fffd,0xffffffb8,0x1effffff,
    0xdfffb000,0x7fec0000,0xd100006f,0xffffffff,0x40009fff,0x0006fffd,
    0xfffd0000,0x4000bfff,0x6ffffffd,0xffffe800,0x7cc004ff,0x01dfffff,
    0xfffffff1,0xffd007ff,0x000009ff,0x3fffffee,0x1effffff,0xdfffb000,
    0xffff0000,0x36a00007,0xfffffffe,0x5c001cef,0xffffffec,0xffd00bdf,
    0xff9809ff,0x3ee01fff,0x800003ff,0x0003ffff,0xffffd980,0x7fc0000e,
    0xff80006f,0x100003ff,0xfffffffb,0xf80007df,0x00003fff,0x000ffffe,
    0xffffb700,0x0005bfff,0x003ffff8,0x3ae00000,0x0003efff,0x27ffff54,
    0xfffeb800,0x7fcc003e,0x7c401dff,0x5fffffff,0x9ffffd00,0x6c400000,
    0xffffffff,0x7fc0003e,0x980003ff,0x00000199,0x0266aea6,0x9aa88000,
    0xffffd001,0xffff9809,0x3332a01f,0x99800001,0x00000019,0x66440000,
    0x9980003c,0x10000019,0x00035753,0x000cccc0,0x00666600,0x57510000,
    0x4cc00001,0x00000019,0x00000200,0x02000004,0x009a8800,0x3ffffe20,
    0x3fa002ff,0x00004fff,0x35753100,0x4ccc0000,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xff880000,
    0x0000acce,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26660000,0x00001999,0x4c066662,
    0x0002aaaa,0xccc98000,0x00003ccc,0x64c00000,0x00002ccc,0x45999997,
    0x0cccccca,0x00003000,0x0004c000,0x59999970,0x66666654,0x00110000,
    0x906eed80,0x00001ddd,0x00199997,0xeeed8000,0x93001dee,0x99305999,
    0x20000399,0x3cccccc9,0x066665c0,0x0026665c,0x3b20dddb,0x220000ee,
    0x00abddca,0x3bbbbaa0,0xffd88004,0x000002df,0xffffff90,0x7e400007,
    0xfff906ff,0x000000ff,0xffffff88,0xfeb9800d,0x001702df,0xfffff500,
    0xfb80007f,0x3ee4ffff,0x001effff,0x004fffa8,0xfedb8000,0x2001efff,
    0x24fffffb,0x1efffffb,0xffdb7100,0x019bffff,0x30ffff60,0x0000ffff,
    0x1dfffff9,0x3f600000,0x001effff,0x727fffdc,0x0009ffff,0x3ffffe60,
    0x7f4400df,0xffb12fff,0x7ec003ff,0x7ffcc3ff,0xfff70007,0x5fffffff,
    0xfffff700,0xfff9800b,0x0003ffff,0x7fffe400,0x400001ef,0xf903fffe,
    0x0000ffff,0x7fffc400,0xff3003ff,0x43dfffff,0x20000efb,0xfffffffa,
    0xff70003f,0x7fe45fff,0x30004fff,0x009fffff,0x3ffea000,0x02ffffff,
    0x5fffff70,0x27ffffe4,0xffffc880,0xffffffff,0xffff7002,0xbffffd9d,
    0xfffd8000,0x001fffff,0x7fffec00,0x3ee0004f,0xfffdefff,0xf300003f,
    0x007fffff,0x67fffec4,0x001fffff,0x677fffdc,0x005ffffe,0x7ffffec4,
    0x4fffffff,0x7ffffdc0,0x7fff4005,0x001fffed,0xffff9000,0x300000bf,
    0x3201ffff,0x0007ffff,0xffff1000,0x3a2003df,0xffffffff,0x06ffffef,
    0xbffff500,0x007ffffb,0x1effffb8,0x07bffff2,0xffffc800,0xb800007f,
    0xffffffff,0xffb802ff,0x3ff21eff,0xf1001eff,0xffffffff,0x005fffff,
    0x7ffffff4,0x0000ffff,0x3f3ffff6,0x0001ffff,0x5fffffb0,0xfff50000,
    0x007fffff,0x3fffe600,0xfb0001ef,0x1dffffff,0x3fffa000,0x0fffffff,
    0x3fffa600,0xffffffff,0xf500efff,0x400bffff,0x3f60fff9,0xc800003f,
    0x002fffff,0xdfff7000,0x3ffffe40,0x7c400000,0x000dffff,0x3fbffff2,
    0xffffffff,0xffb8002f,0x3ffee4ff,0xfff5004f,0x7ffe41bf,0x640000df,
    0x007fffff,0x7fffcc00,0x2fffffff,0x6ffffd40,0x37ffff20,0xfffd1000,
    0xffffffff,0x44005fff,0xfffffffe,0xfb10001e,0x3fa23fff,0x40001fff,
    0x00effffd,0x3ffea000,0x00002fff,0x09fffff3,0xffffb000,0x440001df,
    0xfffffffe,0x7ffc001e,0xffffffff,0x05ffffff,0x0bfffff5,0x2e37fd40,
    0x400004ff,0x00effffc,0xeeca9800,0x203fffed,0x007ffffc,0xcccb8000,
    0xbfb0002c,0x3ffff221,0x98003fff,0xca82cccc,0x64401ccc,0x664c3ccc,
    0x500002cc,0x00bfffff,0xffffe800,0x1baaabef,0x0f333220,0x00599993,
    0xefffffb8,0x3b2a661b,0xfeca8002,0x540003de,0xcb80cccc,0x10000ccc,
    0x00033333,0x33332a00,0x32e00002,0x00002ccc,0x0033332e,0x77f65400,
    0xffb8003d,0xa9bdffff,0xffffffeb,0xfffffa81,0x3ffe6004,0x000fffa1,
    0x20000000,0xfffffffb,0x3201ffff,0x0007ffff,0x80000000,0x9dfd9303,
    0x00000005,0x00000000,0x3bfff600,0x3e600000,0x0005ffff,0x6c000000,
    0x001fffff,0x00000000,0x00000000,0x03999900,0x00000000,0x00000000,
    0x00000000,0xffffff88,0xffffd102,0xffff30bf,0xffe8009f,0x00ffffef,
    0x00000000,0x3fffff62,0x5fffffff,0x1fffff20,0x00000000,0x00000000,
    0x00000000,0x30000000,0x70000055,0x005fffff,0x80000000,0x007fffff,
    0x00000000,0x00000000,0x1ffff500,0x00000000,0x00000000,0x00000000,
    0xfffffc80,0x7fff4402,0x7ffcc1ff,0x7c4004ff,0x02ffffff,0x3bbbb600,
    0x0eeeeeee,0x7fffcc00,0xffffffff,0xfc80efff,0x00007fff,0x3b72a620,
    0x001abcee,0x00000000,0x337bb2a6,0x5555501b,0x2aaa2003,0x000000aa,
    0x3ff60000,0x200007ff,0x0abdeca9,0x3fffa000,0x000002ff,0x2af7b2a6,
    0x53100000,0x579dddb9,0x36000003,0x80005fff,0xbcdeeca9,0x654c0001,
    0x001bcdee,0xeedca988,0x2a01abce,0x1001aaaa,0x44155555,0x006fffff,
    0x89fffff7,0x03fffff9,0xcefeb880,0x7ffc0000,0xffffffff,0x3fe2000f,
    0xffffffff,0x5fffffff,0x07ffffc8,0xffc88000,0xffffffff,0x544005ff,
    0x01aaaaaa,0x3ffae000,0xffffffff,0x7ffffc3f,0xffff1003,0x5554405f,
    0xaaaaaaaa,0xaaaaaaaa,0x7fffc002,0xfb80004f,0xffffffff,0xffd8002f,
    0x0002ffff,0x7ffffdc0,0x002fffff,0xfffff910,0xbfffffff,0xff880000,
    0xd70002ff,0xffffffff,0x5c007fff,0xfffffffe,0x8803ffff,0xfffffffc,
    0xf05fffff,0x2007ffff,0x22fffff8,0x03fffffa,0xdfffff10,0x3fffff98,
    0x55554400,0x20001aaa,0xffffffff,0x2000ffff,0xbefffffc,0xffffff71,
    0xfffc85ff,0x5c00007f,0xffffffff,0x05ffffff,0x7ffffdc0,0x880005ff,
    0xfffffffe,0x44ffffff,0x003fffff,0x05fffff1,0x7fffffcc,0xffffffff,
    0x005fffff,0x0fffffe2,0xfffd8800,0xffffffff,0x7fcc004f,0x00dfffff,
    0x7ffec400,0xffffffff,0x7fdc004f,0xffffffff,0x0005ffff,0xfffb9988,
    0x7f44000f,0xffffffff,0x8804ffff,0xfffffffe,0x04ffffff,0x7fffffdc,
    0xffffffff,0x7fffff05,0x3fffe200,0x3ffff22f,0x3ffa000f,0x7ffc47ff,
    0x7dc003ff,0x05ffffff,0x3ffffe00,0x0fffffff,0xfffff100,0xffffd81d,
    0x7e46ffff,0x00007fff,0x3fffffee,0xffffffff,0x7fec005f,0x007fffff,
    0x7ffffd40,0xffffffff,0x7fffc4ff,0xfff1003f,0x7fcc05ff,0xffffffff,
    0xffffffff,0x3fe2005f,0x30002fff,0xffffffff,0xbfffffff,0x3ffea001,
    0x03ffffff,0xfffff300,0xffffffff,0xf7001bff,0xffffffff,0x0bffffff,
    0xffdb7100,0x00bfffff,0xffffffa8,0xffffffff,0x7ffd404f,0xffffffff,
    0x2e04ffff,0xffffffff,0x5fffffff,0x07fffff0,0x3ffffe20,0x1fffffa2,
    0xfffffb00,0x3fffff88,0x7fffec00,0x20007fff,0xfecccccc,0x9000ffff,
    0x881fffff,0xfffeffff,0x3fff21ff,0xf300007f,0xffffffff,0xbfffffff,
    0xfffff800,0x0002ffff,0xfffffff9,0xffffffff,0xfffff89f,0xffff1003,
    0x7ffcc05f,0xffffffff,0xffffffff,0x3ffe6005,0xf88001ff,0xffffffff,
    0xffffffff,0xffffb805,0xefffffff,0x3ffe2002,0xffffffff,0x05ffffff,
    0x7fffffcc,0xffffffff,0x7d4005ff,0xffffffff,0xf9001fff,0xffffffff,
    0x9fffffff,0x7ffffe40,0xffffffff,0xff304fff,0xffffffff,0x0bffffff,
    0x00fffffe,0x17ffffc4,0x00dfffff,0x0fffffc8,0x0bffffe2,0xffffff00,
    0x00005fff,0x0fffffb8,0xfffff880,0xaffffa84,0x324fffff,0x0007ffff,
    0xdfffffd0,0xbb731017,0x7fffd400,0x004fffff,0xffffff88,0xaa99acef,
    0x7ffc4ffd,0xff1003ff,0x7cc05fff,0xffffffff,0xffffffff,0x3ea005ff,
    0x8000ffff,0xdffffffc,0xfffeca9b,0x3ea01fff,0xffffffff,0x00dfffff,
    0xffffffc8,0xffeca9bd,0x3a01ffff,0x0befffff,0x005db988,0x3ffffff2,
    0xffffffff,0x7fffc403,0x99acefff,0x104ffdaa,0xdfffffff,0xfb553359,
    0x3fffa09f,0x9880beff,0xffff05db,0x3fe2007f,0x3ffe2fff,0x7dc006ff,
    0x7fc1ffff,0x2a002fff,0xffffffff,0x5c00004f,0x800fffff,0x82fffffa,
    0xfff5fffd,0x7ffe4dff,0xf880007f,0x000fffff,0xffff9000,0x00ffffff,
    0xffffffb0,0xf8551007,0x1003ffff,0x405fffff,0xccccccc8,0xffdccccc,
    0x9983ffff,0xfffc9999,0x999999ff,0xfffff101,0x3ffa203f,0xff105fff,
    0xffd7ffff,0x1dffffff,0x7ffffc40,0xfffd101f,0x3fe20bff,0x0000ffff,
    0xfffffd80,0xffffffff,0x3f602fff,0x803fffff,0xfffb02a8,0x51007fff,
    0xfffff105,0xff00001f,0x22007fff,0xf12fffff,0x800bffff,0x42fffffb,
    0x002fffff,0x3ffffff2,0x00007fff,0x07ffffdc,0x3ffffdc0,0xf92ffff8,
    0x3f21ffff,0x80007fff,0x04fffff9,0x3ffe0000,0xfffffdff,0x3ffe6001,
    0x40002fff,0x003fffff,0x05fffff1,0xfffd8000,0xfff886ff,0xffffffff,
    0xffffffff,0xfffffc80,0x7fff4402,0xfffb80ff,0x3ffee3ff,0x01ffffff,
    0x05fffff9,0xfffffe88,0xfffff980,0xfa800004,0xaacfffff,0xffffffff,
    0xffff980f,0x980002ff,0x02ffffff,0xffff9800,0xff00004f,0x22007fff,
    0xf12fffff,0x800bffff,0x42fffffa,0x001fffff,0x3f7ffffe,0x0001ffff,
    0x3ffffee0,0xffffc800,0x0ffffa85,0x23fffff7,0x007ffffc,0xfffffb80,
    0xf3000004,0xfff3ffff,0x7f4007ff,0x0003ffff,0x03fffff8,0x5fffff10,
    0x7fdc0000,0xf880ffff,0xffffffff,0xffffffff,0x7ffc40ff,0xff7006ff,
    0xffb09fff,0xffb10fff,0x81dfffff,0x06fffff8,0x9fffff70,0x9fffff70,
    0xffd00000,0x7fdc3fff,0x3fffffff,0x3fffffe8,0xfffd0000,0x200007ff,
    0x04fffffb,0xfffff000,0x3ffe2007,0xffff12ff,0xffb800bf,0x7ffc1fff,
    0xff3001ff,0xffff3fff,0x5c00007f,0x800fffff,0xc85ffffd,0x3fea5fff,
    0xfff91fff,0xf50000ff,0x001fffff,0xffff7000,0x1bffffab,0x7ffffcc0,
    0xff80000f,0xf1003fff,0x0005ffff,0x3ffffe20,0xffff103f,0xffffffff,
    0x1fffffff,0x3fffffb8,0xfffff300,0xfffffd0d,0x7ffffd40,0x7ffdc4ff,
    0xff3003ff,0xff50dfff,0x0001ffff,0x7ffffd40,0x767fff42,0x7cc6ffff,
    0x000fffff,0xfffff980,0xf500000f,0x001fffff,0x7fffff00,0x3fffe200,
    0x3ffffe2f,0x7ffdc006,0x7fffc0ff,0xfff7001f,0x3ffffabf,0x3ee00006,
    0xe800ffff,0xff84ffff,0x3ffea3ff,0xffff92ff,0xff10000f,0x003dffff,
    0xffffe800,0x1fffff93,0xfffff500,0x3fe00009,0xf1003fff,0x0005ffff,
    0x3fffff60,0x3fffe205,0xffffffff,0x0fffffff,0x07ffffe4,0xfffffd00,
    0x3fffffd0,0x7ffffcc0,0x3fff20ff,0x3fa000ff,0xff887fff,0x001effff,
    0xdffffb00,0xb9ffff88,0x2a1fffff,0x004fffff,0xfffff500,0x7c400009,
    0x01efffff,0x7ffffc00,0xffff1003,0x7ffff45f,0x7ffe4006,0xffffe87f,
    0xffffd001,0x3fffff27,0xff700000,0xff001fff,0xff987fff,0x3ffe60ff,
    0xffff92ff,0x3fe0000f,0x2dffffff,0xfff88000,0xffff50ff,0xfff7005f,
    0x200005ff,0x003fffff,0x05fffff1,0xffff7000,0x999801ff,0xfffff999,
    0x1999999b,0x07ffffe8,0x3ffffec0,0x2fffffec,0x3ffffe20,0x3ffffa1f,
    0x7ffec007,0xfffff07f,0x0005bfff,0x43ffffe8,0x3fe6fffb,0x3fee2fff,
    0x00002fff,0x05fffff7,0xffff8000,0x002dffff,0x07fffff0,0x3ffffe20,
    0x1fffffa2,0xfffffb00,0x01ffffd0,0x1fffff10,0x0bffffea,0x7ffdc000,
    0x7fc400ff,0x7fe43fff,0x7fffcc6f,0xfffff92f,0x3fee0000,0xefffffff,
    0xff50000b,0xffff8dff,0xfffd805f,0xf00001ff,0x2007ffff,0x02fffff8,
    0x7fffc400,0xf30003ff,0x8003ffff,0x006fffff,0x07ffffe4,0x3fffffee,
    0x3fff200d,0x3fffe3ff,0x7fe4006f,0xffb80fff,0xefffffff,0xfff8000b,
    0x7fff41ff,0x8fffffe4,0x01fffffd,0xffffb000,0xb800003f,0xffffffff,
    0x3e000bef,0x1003ffff,0x6c5fffff,0x001fffff,0x21bffffe,0x800ffffe,
    0x7c6ffffa,0x0005ffff,0x1fffff70,0xfffff880,0x21ffff44,0x91fffff9,
    0x000fffff,0x7ffffec0,0x1dffffff,0x7fffec00,0x3ffffec4,0x7fffff40,
    0xfff00000,0x3e2007ff,0x0002ffff,0x2fffffec,0xffff5000,0xfff8001f,
    0x7dc006ff,0x7441ffff,0x1effffff,0x7fffff50,0x037ffffc,0x3ffffee0,
    0xfffffb01,0x3bffffff,0x3fffe200,0x3fffe20f,0x93ffffa1,0x00fffffe,
    0xffffd000,0xb000001f,0xffffffff,0xf003bfff,0x2007ffff,0x22fffff8,
    0x04fffffb,0x9fffff30,0x01ffffb0,0x89ffffb0,0x007ffffd,0xfffff700,
    0xfffff001,0x07fffcc9,0x43ffffea,0x007ffffc,0x3fff6200,0xffffffff,
    0xfff000df,0xfffb85ff,0x7ffc01ff,0x200007ff,0x003fffff,0x05fffff1,
    0x7fffdc00,0x2e0000ff,0x4007ffff,0x05fffff8,0x7ffffdc0,0xfffffa82,
    0x7dc0dfff,0xff12ffff,0xb800bfff,0x102fffff,0xfffffffb,0x01bfffff,
    0x47ffffa8,0x7ec6fffb,0x3ffe4fff,0x200007ff,0x007fffff,0xfffb1000,
    0xffffffff,0x7ffc01bf,0xff1003ff,0x7fc45fff,0xf9006fff,0xd901ffff,
    0x3fe00ddd,0x7fdc2fff,0x80001fff,0x00fffffb,0x25fffff8,0xfa86fffb,
    0x3ff27fff,0x800007ff,0xfffffffb,0x02ffffff,0x07ffffcc,0x13ffffe6,
    0x7fffff88,0x3ffe0000,0xff1003ff,0x20005fff,0x2ffffff8,0x7ffe4000,
    0x7fc4007f,0x54005fff,0x703fffff,0xffffffff,0x3fffa27f,0xffff10ff,
    0xffa800bf,0x7dc03fff,0xffffffff,0x2a02ffff,0x3a0fffff,0x7ff43fff,
    0xffff13ff,0x220000ff,0x007fffff,0x7ffdc000,0xffffffff,0xffff02ff,
    0x3fe2007f,0x7fec2fff,0x7d404fff,0x0005ffff,0x3ffffe60,0x7ffffcc0,
    0xffb80004,0xfe800fff,0x3ffa5fff,0xffffb84f,0x1fffff26,0xfeb80000,
    0xffffffff,0x3ff201ff,0xffff05ff,0xffff80df,0x3e00007f,0x1003ffff,
    0x005fffff,0x3fffff60,0xffd80005,0xff8006ff,0x5c005fff,0x202fffff,
    0xfffffffa,0xffffdeff,0x7ffffc4f,0x7ffdc005,0xfd7002ff,0xffffffff,
    0x3fe603ff,0xfff31fff,0xfffff83f,0x1fffffe2,0xffff8000,0x0000007f,
    0xffffffd7,0xf03fffff,0x2007ffff,0x42fffff8,0x3ffffffa,0xffffff30,
    0x7e400003,0xfff05fff,0x70000dff,0x001fffff,0x22fffffb,0xfd81ffff,
    0x3ff25fff,0xeeeeefff,0x2eeeeeee,0x7ffe4c00,0x06ffffff,0x40fffffa,
    0x00fffffc,0x03fffffe,0x7fffc000,0xfff1003f,0xf70005ff,0x001fffff,
    0xbffffd00,0xfffff000,0xfffb800d,0x7f4c02ff,0xffffffff,0x7c0effff,
    0x4006ffff,0x02fffffb,0x7fffe4c0,0x106fffff,0x2e5fffff,0x7fc46fff,
    0x3ffe1fff,0x00000fff,0x01ffffff,0x64c00000,0xffffffff,0xfffff86f,
    0xffff1003,0xfffff05f,0xfdb7bfff,0x80dfffff,0xffd002a9,0x3ff207ff,
    0x40000fff,0x00fffffb,0xafffffb8,0xf887fffb,0x3f24ffff,0xffffffff,
    0xffffffff,0xfd710003,0x05ffffff,0x03fffff1,0x0fffffea,0x1fffffe8,
    0xffff0000,0x3fe2007f,0x44002fff,0x02ffffff,0xfffff000,0xfffd0009,
    0xffc800df,0xf7001fff,0xffffffff,0xffd03fff,0xfc800dff,0x0001ffff,
    0xfffffd71,0x3ffe05ff,0x7fffd4ff,0x0fffffb8,0x07fffffa,0x7fff4000,
    0x000001ff,0xfffeb880,0x7fc2ffff,0xf1003fff,0xf305ffff,0xffffffff,
    0xdfffffff,0x77ffec01,0x3fffe200,0xffff501f,0xfb80007f,0x8800ffff,
    0xfddfffff,0xfffb84ff,0x3fff21ff,0xffffffff,0x03ffffff,0xffffc800,
    0xfffb84ff,0x3ffe207f,0x3ff205ff,0x00002fff,0x007fffff,0x07ffffe6,
    0xfffffb00,0x7fc0000b,0xd8003fff,0x4007ffff,0x00fffffd,0x3ffff220,
    0xb00effff,0x800fffff,0x00fffffd,0xffffc800,0xfff904ff,0x1ffff5ff,
    0x46ffffe8,0x02fffffc,0xffff9000,0x0000005f,0xfffffc80,0x7ffffc4f,
    0xffff3003,0x3ffe603f,0xffffffff,0x2e00efff,0x205fffff,0x207ffffb,
    0x05fffff8,0x7fffdc00,0xfffd000f,0x85ffffff,0x45fffff8,0xfffffffc,
    0xffffffff,0xb00003ff,0xb0bfffff,0x555dffff,0xffff5555,0x7ffdc0ff,
    0xf00005ff,0x2007ffff,0x00fffff9,0x3ffffea0,0xf100000f,0x0005ffff,
    0x03fffff9,0x37ffffc0,0xfffe9800,0x3f206fff,0x2001ffff,0x006fffff,
    0x3ffff600,0xffff505f,0xd8dfffff,0x5c1fffff,0x005fffff,0xfffff700,
    0x0000000b,0xbfffffb0,0x03fffff8,0x1fffff30,0x7ffffd40,0xdfffffff,
    0x7fffec00,0x3fff607f,0xaaaaaaef,0x07fffffa,0x7fffdc00,0xfff7000f,
    0x88ffffff,0x41fffffe,0xfffffffc,0xffffffff,0x500003ff,0xf0dfffff,
    0xffffffff,0xffffffff,0x3fea05ff,0x0001ffff,0x04ffffe8,0x0fffff50,
    0x7ffffc40,0x2a00002f,0x001fffff,0x4fffffb8,0xfffff300,0xffc80009,
    0xf701ffff,0x2009ffff,0x04fffff9,0x3ffea000,0x3ffa06ff,0x8bffffff,
    0x5fffffea,0xffffffa8,0xffa80001,0x0001ffff,0x7fd40000,0x7ff46fff,
    0xff5004ff,0x36a00fff,0xcfffffff,0xffffb001,0x7fffc0ff,0xffffffff,
    0x2fffffff,0x3ffee000,0x3fa000ff,0x9effffff,0xffffffdb,0x00000005,
    0xffff9800,0x7fffd44f,0xffffffff,0x4fffffff,0xffffff10,0xffb0000b,
    0x3ee00bff,0x36006fff,0x004fffff,0x7fffec00,0xfff10007,0x3f200dff,
    0x0001ffff,0x3fffffd8,0xdfffff10,0x3ffff200,0x2600001f,0x204fffff,
    0xfffffff9,0xffffffff,0xfff881ff,0x80005fff,0x5ffffff8,0x40000000,
    0x44fffff9,0x005ffffd,0x00dffff7,0x1fffff98,0x7fffdc00,0xffff505f,
    0xffffffff,0x9fffffff,0x7ffdc000,0x3e6000ff,0xffffffff,0xffffffff,
    0x00000000,0xffffb800,0x7fffe42f,0xffffffff,0x6fffffff,0x3ffffee0,
    0x3204004f,0x801fffff,0x005fffff,0x1dfffff5,0x7fc40000,0x20005fff,
    0x04fffffd,0x2fffffd4,0xfffa8000,0x3ff602ff,0x7d404fff,0x0005ffff,
    0x7ffffdc0,0x7fffdc02,0xffffffff,0x3ee02fff,0x004fffff,0x7fffdc04,
    0x004004ff,0xffff7000,0xffffc85f,0xffff801f,0xfff8005f,0xfd8003ff,
    0xff900eff,0xffffffff,0xffffffff,0x7dc000df,0x4000ffff,0xfffffffa,
    0xefffffff,0xaaaa8000,0x15bb000a,0x3fffee00,0x7fff40ff,0xffffffff,
    0xffffffff,0x3fffe01f,0x2201efff,0x7ffd44eb,0x3f200dff,0x8802ffff,
    0x01ffffff,0x7ffdc000,0x260003ff,0x03ffffff,0x3ffffff3,0xfd800220,
    0x2600ffff,0x03ffffff,0x3ffffff3,0x4002b760,0x0ffffffb,0xfffffa80,
    0xdfffffff,0xfffff800,0x2e201eff,0xfffff04e,0x5c403dff,0x00add84e,
    0xffffff70,0xfffffa81,0x3fff200d,0xfd8002ff,0x1700ffff,0xfd00ae60,
    0xffffffff,0xffffffff,0x20003fff,0x00fffffb,0xfffff980,0x4fffffff,
    0x3fffe000,0x3fff6007,0xccaaacde,0x6fffffff,0x4fffffcc,0x99999999,
    0x3fffffb9,0x3ffffea0,0xdcceffff,0xfe84ffff,0x89beffff,0xfffffda9,
    0xffffb005,0x4d40009f,0xffffc999,0x740000ff,0xdfffffff,0xfffffedb,
    0x2fbee05f,0x7fe54419,0xfe807fff,0xbdffffff,0xffffffed,0x3bfff605,
    0xfccaaacd,0x06ffffff,0x3ffffea0,0x003dffff,0x3fffffea,0xfdccefff,
    0xff504fff,0xdfffffff,0x9ffffb99,0x9bdfffb0,0xfff99555,0x3a0dffff,
    0x9befffff,0xffffda98,0xff90005f,0x7337ffff,0x4c000bfd,0x999fffff,
    0xb9999999,0x003fffff,0x1fffff70,0x3fffe000,0x2dffffff,0x3ffe6000,
    0x3ff6004f,0xffffffff,0xefffffff,0x37fffdc0,0xfffff100,0xffffe80b,
    0xffffffff,0xfa84ffff,0xffffffff,0xffffffff,0xffffa800,0xffffffff,
    0x7fffffff,0xfffffffd,0x00007fff,0xfffffff3,0xffffffff,0x7fdc01ff,
    0xffffffff,0x03ffffff,0xffffff98,0xffffffff,0x3f600fff,0xffffffff,
    0xffffffff,0x3ff2000e,0x000abbef,0x3fffffa0,0xffffffff,0x3fa04fff,
    0xffffffff,0x4fffffff,0xffffffd8,0xffffffff,0xf500efff,0xffffffff,
    0xffffffff,0x3fe20001,0xffffffff,0x70002fff,0x400dffff,0x05fffff8,
    0x26666662,0x99fffffc,0x2a009999,0xabaaffff,0xff500000,0x7ec005ff,
    0xffffffff,0xffffffff,0x4ffffd81,0x7ffff400,0x7ffdc00f,0xffffffff,
    0xfb04ffff,0xffffffff,0x07ffffff,0x3fffff20,0xffffffff,0xd7ffffff,
    0xffffffff,0x4c0000bf,0xffffffff,0x1effffff,0x7ffffdc0,0xffffffff,
    0x3e6004ff,0xffffffff,0x01efffff,0x7fffffec,0xffffffff,0x7c001fff,
    0x00002fff,0x7fffffdc,0xffffffff,0x7ffdc04f,0xffffffff,0xfd84ffff,
    0xffffffff,0xffffffff,0x7fffec01,0xffffffff,0x40003fff,0xfffffffa,
    0x00ffffff,0x4ffffd80,0x7ffff400,0xffffb00f,0xffffffff,0x09ffffff,
    0x002fffe4,0xffff9000,0xffffd800,0xffffffff,0xf881dfff,0x4001ffff,
    0x02fffffc,0xfffffe98,0xffffffff,0x3fffee03,0xffffffff,0x3ff2001e,
    0xffffffff,0xffffffff,0xfffffd7f,0x00019fff,0xffffe880,0x4fffffff,
    0xfffff700,0xffffffff,0xfd10007f,0xffffffff,0x3f6009ff,0xffffffff,
    0x1dffffff,0x7fffd400,0xe9800000,0xffffffff,0x803fffff,0xffffffe9,
    0x3fffffff,0xffffffd8,0xffffffff,0xff7001df,0xffffffff,0x00003dff,
    0x3fffffee,0x00cfffff,0x7ffffc40,0x7ffe4001,0xfffb02ff,0xffffffff,
    0x9fffffff,0x017fffc0,0xfffd0000,0xfeca800b,0xffffffff,0x3ea00cff,
    0xa8007fff,0x004fffff,0x3ffffb2e,0x800bdfff,0xffffffd8,0xc8003eff,
    0xffffffff,0xffffffff,0xfffb7fff,0x0003bfff,0xfffdb800,0x002dffff,
    0x3ffff726,0x02efffff,0xfffdb800,0x002dffff,0x3ffffb2a,0xcfffffff,
    0xfffb0000,0xb800000b,0xffffffec,0x5c000bdf,0xffffffec,0xd9500bdf,
    0xffffffff,0x00019fff,0xffffffb1,0x00007dff,0xfffff910,0x20003bff,
    0x007ffffa,0x4fffffa8,0xffffffb0,0xffffffff,0x2609ffff,0x0000ffff,
    0x0bfffe00,0x75553000,0x32001355,0x0005ffff,0x00ffffff,0x00cd5440,
    0x2aea6200,0x7fe40001,0xffffffff,0xffffffff,0x0066627f,0xa8800000,
    0x200000ab,0x00099999,0x2aea2000,0x55300000,0x00135575,0x05dddb00,
    0xa8800000,0x4000019a,0x00019aa8,0x35575553,0x4c400001,0x00001aba,
    0x06aaa600,0x3fff2000,0xfff0005f,0x3ff60fff,0xffffffff,0xffffffff,
    0x09ddd704,0x99980000,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00300000,0x8000c000,0x2cccccca,0xeea80000,0x3eeea82e,
    0x33326000,0x0000002c,0xcccca800,0x000002cc,0x99999300,0x65c00079,
    0x00000ccc,0x5c000000,0x0000cccc,0x00ccccb8,0x664c0000,0x8803cccc,
    0xfb101dfd,0x7ec4003b,0x3bfb101d,0x99300000,0x2a079999,0x02cccccc,
    0x32200000,0x00cccccc,0x33332e00,0x93000000,0x00799999,0xdddb9531,
    0x20003579,0x0004fffa,0x013ffea0,0x3fffff20,0x5400002f,0x7f445fff,
    0xf50002ff,0x007fffff,0x37ffae60,0x32001702,0x02ffffff,0x7c400000,
    0x00dfffff,0xfffff900,0xb980001d,0x1702dffe,0xffff9000,0x640001df,
    0x00efffff,0xfff10000,0xd001bfff,0xfd03ffff,0x3a001fff,0xfe81ffff,
    0x00000fff,0x3fffffe2,0x3fff200d,0x00002fff,0xffffe880,0x320000ef,
    0x00efffff,0x7ffc4000,0x2200dfff,0xfffffffc,0x005fffff,0x27ffffcc,
    0x7ffcc000,0xf98004ff,0x002fffff,0x3fffe200,0xfffffdcf,0xfffa8000,
    0x003fffff,0x7fffffcc,0x03bee1ef,0x7ffffcc0,0x0000002f,0x7ffffff1,
    0x7ffec000,0x001fffff,0xffffff30,0x077dc3df,0xfffffb00,0xb0003fff,
    0xffffffff,0xf8800003,0x003fffff,0x89fffff3,0x03fffffa,0x4fffff98,
    0x1fffffd4,0xfff88000,0xf3003fff,0x005fffff,0x7ff44000,0x40004fff,
    0xfffffffd,0xf100001f,0x807fffff,0xfffffffb,0x5fffffff,0x7fffe400,
    0xfc80007f,0x0007ffff,0x5fffffb1,0x7fdc0000,0xffffffff,0xfffa8003,
    0x3ffffddf,0xffffd100,0xffdfffff,0x6c400dff,0x002fffff,0x7ffc4000,
    0x20001eff,0xffcffffd,0x44001fff,0xfffffffe,0x6ffffeff,0x9ffffb00,
    0x003fffff,0x7e7fffec,0x0001ffff,0xdfffff10,0x7ffd4003,0x7ffd45ff,
    0xffa804ff,0x7fd45fff,0x80004fff,0x1efffff8,0x7ffec400,0x800002ff,
    0x2fffffe8,0x7ffec000,0x1fffffcf,0x7ffc4000,0x7dc01eff,0xffffffff,
    0x05ffffff,0x7ffffe40,0xffc80007,0x40007fff,0x02fffffb,0x3fff2000,
    0x004fffff,0x24ffffb8,0x804ffffb,0xffeffffc,0xffffffff,0xfffb8002,
    0x000002ff,0x1bfffff1,0x3ff62000,0xfffd11ff,0x7fe4003f,0xfffffeff,
    0x402fffff,0x11ffffd8,0x803ffffd,0x11ffffd8,0x003ffffd,0xfffff880,
    0x7fc4000d,0x7fc42fff,0xf8801fff,0x7c42ffff,0x0001ffff,0x6fffffc4,
    0x3fee0000,0x00002fff,0x37ffffa2,0x3f620000,0xffd11fff,0x220003ff,
    0x00dfffff,0x7fffffcc,0xffffffff,0x7d4005ff,0x0005ffff,0x5fffffa8,
    0xccc98000,0x200000cc,0x0cdefdc9,0xcccc9800,0x1cccca82,0x910dfd80,
    0x7fffffff,0x6664c000,0x800000cc,0x002ccccb,0x06666540,0x0066665c,
    0x3221bfb0,0x3fffffff,0x0cccca80,0x00ccccb8,0x2033332a,0x000ccccb,
    0x0b3332e0,0x3ffe9800,0x007fff50,0xa81fff4c,0x80003fff,0x002ccccb,
    0x99999300,0x32e00001,0x80003ccc,0xb80cccca,0x8000cccc,0x002ccccb,
    0x7dfffffd,0x0bb73101,0x1dfffb00,0x3ff60000,0x000000ef,0x00000000,
    0x00000000,0x77f64c0e,0x0000002c,0x00000000,0x00000000,0x77f64c0e,
    0x0000002c,0x00000000,0x04000000,0x02000180,0x000000c0,0x00000000,
    0x00000000,0x00000000,0xffff8800,0x000000ff,0x00002a98,0x00002a98,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xff980000,0x00004fff,0x00000000,0x2aaaa000,0x5551001a,
    0xa9800155,0x1bcceedb,0x36ea6000,0x001bccee,0x20000000,0x0abdeca9,
    0x32a60000,0x0000abde,0x2f7b2a60,0x0000000a,0xaaaaa800,0xaaaaaaaa,
    0x55540aaa,0x551001aa,0xaaa81555,0x551001aa,0xaaa81555,0x551001aa,
    0x4c001555,0x00abdeca,0x55555300,0x55540000,0xaaaaaaaa,0x02aaaaaa,
    0x55555555,0x50000335,0x55555555,0x55555555,0x2aaaaa05,0xaaaaaaaa,
    0x3ee2aaaa,0x0004ffff,0x2aaaaaa0,0xaaaaaaaa,0xaa982aaa,0xaaaaaaaa,
    0x2aaaaaaa,0x01fffffc,0x2fffff88,0xffffd980,0xffffffff,0xffd9800d,
    0xffffffff,0x55540dff,0x53002aaa,0xf7001555,0xffffffff,0x7dc0005f,
    0xffffffff,0x3ee0002f,0xffffffff,0x2aa6002f,0xaaaaaaaa,0x2aaaaaaa,
    0xffffffd0,0xffffffff,0xfffff85f,0xffff1003,0xfffff85f,0xffff1003,
    0xfffff85f,0xffff1003,0xfff7005f,0x5fffffff,0xffffc800,0x3fa00007,
    0xffffffff,0x6fffffff,0xffffff88,0xcfffffff,0xfffe8001,0xffffffff,
    0xd06fffff,0xffffffff,0xffffffff,0x7ffffd4d,0xfd00000f,0xffffffff,
    0xdfffffff,0xffffff90,0xffffffff,0xfff8ffff,0xff1003ff,0xfc805fff,
    0xffffffff,0x00ffffff,0x7fffffe4,0xffffffff,0x7ffff40f,0xffc801ff,
    0x3f6202ff,0xffffffff,0x44004fff,0xfffffffd,0x004fffff,0x7ffffec4,
    0x4fffffff,0xfffff900,0xffffffff,0x3a0fffff,0xffffffff,0x2fffffff,
    0x01fffffc,0x2fffff88,0x01fffffc,0x2fffff88,0x01fffffc,0x2fffff88,
    0x3ffff620,0xffffffff,0x3fff2004,0x3a00007f,0xffffffff,0xffffffff,
    0xfffff886,0xffffffff,0x3a001eff,0xffffffff,0xffffffff,0xfffffd06,
    0xffffffff,0x7fc4dfff,0x001effff,0xfffffe80,0xffffffff,0xffc86fff,
    0xffffffff,0x7fffffff,0x01fffffc,0x2fffff88,0xfffffd30,0xffffffff,
    0x3a601fff,0xffffffff,0xffffffff,0x7fffff40,0xfffc805f,0xffff302f,
    0xffffffff,0x3001bfff,0xffffffff,0xbfffffff,0xffff3001,0xffffffff,
    0xc801bfff,0xffffffff,0xffffffff,0xffffd07f,0xffffffff,0xfff85fff,
    0xff1003ff,0xfff85fff,0xff1003ff,0xfff85fff,0xff1003ff,0x3e605fff,
    0xffffffff,0x0dffffff,0x7ffffc80,0x3ffa0000,0xffffffff,0x86ffffff,
    0xfffffff8,0xffffffff,0xffd000ff,0xffffffff,0x0dffffff,0x3ffffffa,
    0xffffffff,0x7fffc6ff,0x002dffff,0x3fffffa0,0xffffffff,0xffc86fff,
    0xffffffff,0x7fffffff,0x01fffffc,0x2fffff88,0xffffffa8,0xffffffff,
    0xfa80ffff,0xffffffff,0xffffffff,0x7ffff40f,0x7e401fff,0xff882fff,
    0xffffffff,0x5fffffff,0x7ffffc40,0xffffffff,0x4405ffff,0xffffffff,
    0xffffffff,0x7ffe405f,0xffffffff,0x07ffffff,0xfffffffd,0xffffffff,
    0x3fffff85,0xfffff100,0x3fffff85,0xfffff100,0x3fffff85,0xfffff100,
    0xfffff105,0xffffffff,0x900bffff,0x000fffff,0x7fffff40,0xffffffff,
    0xff886fff,0xffffffff,0xefffffff,0xffffe800,0xffffffff,0xfd06ffff,
    0xffffffff,0xdfffffff,0xffffffb8,0x000befff,0x7ffffff4,0xffffffff,
    0xfffc86ff,0xffffffff,0x47ffffff,0x003fffff,0x05fffff1,0xfffffffd,
    0x97531379,0xffd01fff,0x379fffff,0xfff97531,0xfffffe81,0x7fe404ff,
    0xfffc82ff,0xca9bdfff,0x1ffffffe,0x3fffff20,0xfeca9bdf,0x201fffff,
    0xdffffffc,0xfffeca9b,0x3f201fff,0xffffffff,0xffffffff,0x33333107,
    0xfff53333,0xffff85ff,0xfff1003f,0xffff85ff,0xfff1003f,0xffff85ff,
    0xfff1003f,0xfff905ff,0x9537bfff,0x3ffffffd,0x7ffffc80,0x3ffa0000,
    0xaaaaaeff,0x82aaaaaa,0x9bfffff8,0xffffcaa9,0xfe803fff,0xaaaaefff,
    0x2aaaaaaa,0x5dffffd0,0x55555555,0xfffb0555,0xffffffff,0x3ffa003b,
    0xaaaaaeff,0x82aaaaaa,0xfa999998,0x999cffff,0x7fffc199,0xfff1003f,
    0xfffb85ff,0x5000dfff,0xffffb81b,0xb5000dff,0xfffffe81,0x3f200fff,
    0x7fc42fff,0xd101ffff,0x20bfffff,0x1ffffff8,0xfffffd10,0x3fffe20b,
    0xffd101ff,0x4c40bfff,0xfffa9999,0x99999cff,0x7fcc0001,0x7ffc2fff,
    0xff1003ff,0xfff85fff,0xff1003ff,0xfff85fff,0xff1003ff,0xff885fff,
    0xd101ffff,0x80bfffff,0x007ffffc,0x3ffffa00,0xff880005,0x3f602fff,
    0xe804ffff,0x0005ffff,0x0bffffd0,0xfffb1000,0xffffffff,0xffe801bf,
    0x000005ff,0x0fffffe2,0x1fffffc0,0xfffff880,0x3ffffe22,0xf880003f,
    0x003fffff,0xfffffd00,0x7e407fff,0x7fe42fff,0x74402fff,0xc80fffff,
    0x402fffff,0x0fffffe8,0x2fffffc8,0x7ffff440,0x7fc4000f,0x00003fff,
    0x5fffff30,0x03fffff8,0x5fffff10,0x03fffff8,0x5fffff10,0x03fffff8,
    0x5fffff10,0x2fffffc8,0x7ffff440,0x3fff200f,0x3a00007f,0x0005ffff,
    0x2fffff88,0x3ffffe20,0xffffe806,0xffd00005,0x40000bff,0xfffffffb,
    0x02ffffff,0x017ffffa,0xfff88000,0xfff003ff,0x3e2007ff,0x3f22ffff,
    0x0005ffff,0xbfffff90,0x7ff40000,0x07ffffff,0x88bffff2,0x006fffff,
    0x89fffff7,0x06fffff8,0x9fffff70,0x6fffff88,0xfffff700,0xfff88009,
    0x000003ff,0x85fffff3,0x003fffff,0x85fffff1,0x003fffff,0x85fffff1,
    0x003fffff,0x45fffff1,0x06fffff8,0x9fffff70,0x3ffffe40,0xfffd0000,
    0xf10000bf,0xe805ffff,0xe807ffff,0x0005ffff,0x0bffffd0,0xffd70000,
    0xffffffff,0x3fffa03f,0x2000005f,0x03fffff8,0x07fffff0,0x3ffffe20,
    0x3fffffe2,0xfff00001,0x00003fff,0x7ffffff4,0xff903fff,0x7ffdc5ff,
    0xff3003ff,0xffb8dfff,0xf3003fff,0xfb8dffff,0x3003ffff,0x00dfffff,
    0x3fffff88,0xff300000,0xfff85fff,0xff1003ff,0xfff85fff,0xff1003ff,
    0xfff85fff,0xff1003ff,0x7fdc5fff,0xf3003fff,0x640dffff,0x0007ffff,
    0x17ffffa0,0x3ffe2000,0x7fec02ff,0xffe807ff,0xd00005ff,0x000bffff,
    0x7ffe4c00,0x06ffffff,0x00bffffd,0x7ffc4000,0xfff003ff,0x3e2007ff,
    0xff12ffff,0x0000bfff,0x17ffffe2,0xfffd0000,0x0dffff9f,0xc8bffff2,
    0x000fffff,0x91fffffa,0x001fffff,0x23fffff4,0x00fffffc,0x1fffffa0,
    0xfffff100,0x26000007,0x7c2fffff,0x1003ffff,0xf85fffff,0x1003ffff,
    0xf85fffff,0x1003ffff,0x645fffff,0x000fffff,0x81fffffa,0x007ffffc,
    0x3ffffa00,0xff880005,0x7fc02fff,0xfe806fff,0x00005fff,0x00bffffd,
    0xfd710000,0x05ffffff,0x00bffffd,0x7ffc4000,0xfff003ff,0x3e2007ff,
    0xff52ffff,0x00005fff,0x0bffffea,0xfffd0000,0x5fffff3f,0x45ffff90,
    0x007ffffe,0x23ffffec,0x007ffffe,0x23ffffec,0x007ffffe,0x03ffffec,
    0x3ffffe20,0xf3000003,0xff85ffff,0xf1003fff,0xff85ffff,0xf1003fff,
    0xff85ffff,0xf1003fff,0x7f45ffff,0x6c007fff,0x3207ffff,0x0007ffff,
    0x17ffffa0,0x3ffe2000,0x3fea02ff,0xfe804fff,0x00005fff,0x00bffffd,
    0xffc80000,0xfe84ffff,0x00005fff,0x3ffffe20,0xfffff003,0x3ffe2007,
    0xffff72ff,0x2e00003f,0x001fffff,0x7ffff400,0x86ffffc8,0x3e2ffffc,
    0x4006ffff,0x20fffffc,0x006fffff,0x07ffffe4,0x00dfffff,0x0fffffc8,
    0x3fffe200,0x3000003f,0xf85fffff,0x1003ffff,0xf85fffff,0x1003ffff,
    0xf85fffff,0x1003ffff,0x7c5fffff,0x4006ffff,0x00fffffc,0x00fffff9,
    0x7ffff400,0xaaaaaaae,0xf880aaaa,0xf702ffff,0x001fffff,0x55dffffd,
    0x55555555,0x3fffa015,0xaaaaaaef,0x000aaaaa,0xfffffd80,0xeffffe85,
    0xaaaaaaaa,0x22000aaa,0x003fffff,0x007fffff,0x4bffffe2,0x80fffffc,
    0xfffffff9,0xfff91fff,0xfff301ff,0x3fffffff,0x98ffffe8,0x641fffff,
    0x3fe2ffff,0x5c006fff,0x3e1fffff,0x4006ffff,0x21fffffb,0x006fffff,
    0x0fffffdc,0xfffff100,0x26000007,0x7c2fffff,0x1003ffff,0xf85fffff,
    0x1003ffff,0xf85fffff,0x1003ffff,0x7c5fffff,0x4006ffff,0x01fffffb,
    0x00fffff9,0x7ffff400,0xffffffff,0xf881ffff,0xcaacffff,0xfffffffc,
    0xffffd003,0xffffffff,0x3a03ffff,0xffffffff,0xffffffff,0xffa80001,
    0xffe86fff,0xffffffff,0x01ffffff,0x3ffffe20,0xfffff003,0x3ffe2007,
    0xffffb2ff,0x3fffe60f,0xb1ffffff,0x260fffff,0xffffffff,0x7fff41ff,
    0xbffffb0f,0x12ffffc8,0x00bfffff,0x2fffffb8,0x0bfffff1,0xfffffb80,
    0xbfffff12,0xffffb800,0x3fe2002f,0x00003fff,0x5fffff30,0x03fffff8,
    0x5fffff10,0x03fffff8,0x5fffff10,0x03fffff8,0x5fffff10,0x17ffffe2,
    0xfffff700,0x3ffff205,0x3fa00007,0xffffffff,0x1fffffff,0xffffff88,
    0xffffffff,0x3fa002ff,0xffffffff,0x1fffffff,0xffffffd0,0xffffffff,
    0x300003ff,0xd0bfffff,0xffffffff,0xffffffff,0x7ffc4003,0xfff003ff,
    0x3e2007ff,0xffd2ffff,0x3fe60fff,0xffffffff,0x0fffffd1,0x3fffffe6,
    0x7f41ffff,0xfff50fff,0x7ffe41ff,0xfffff12f,0xfffa800b,0xffff13ff,
    0xffa800bf,0xfff13fff,0xfa800bff,0x2003ffff,0x03fffff8,0xfff30000,
    0xffff85ff,0xfff1003f,0xffff85ff,0xfff1003f,0xffff85ff,0xfff1003f,
    0x3ffe25ff,0x7d4005ff,0xf903ffff,0x0000ffff,0x7ffffff4,0xffffffff,
    0xfff881ff,0xffffffff,0x4000beff,0xfffffffe,0xffffffff,0xffffd01f,
    0xffffffff,0x0003ffff,0x7fffff70,0xffffffd0,0xffffffff,0x7c4003ff,
    0xf003ffff,0x2007ffff,0xd2fffff8,0x260fffff,0xffffffff,0xffffd1ff,
    0x3fffe60f,0x41ffffff,0x3a0ffffe,0x3f24ffff,0x3ffe2fff,0x7dc005ff,
    0x3fe2ffff,0x5c005fff,0x3e2fffff,0x4005ffff,0x02fffffb,0x3ffffe20,
    0xf3000003,0xff85ffff,0xf1003fff,0xff85ffff,0xf1003fff,0xff85ffff,
    0xf1003fff,0x7fc5ffff,0x5c005fff,0x902fffff,0x000fffff,0x7fffff40,
    0xffffffff,0xff881fff,0xffffffff,0xd0003fff,0xffffffff,0xffffffff,
    0x3ffffa03,0xffffffff,0x3761ffff,0xfff7000a,0xffd03fff,0xffffffff,
    0x03ffffff,0x7ffffc40,0xfffff003,0x3ffe2007,0xffffb2ff,0x9999101f,
    0x23fffffb,0x80fffffd,0xffdcccc8,0x7ff41fff,0x3ffee0ff,0xffff90ff,
    0x37ffffc5,0x3fffee00,0x3ffffe2f,0x7ffdc006,0x3fffe2ff,0x7fdc006f,
    0x22002fff,0x003fffff,0xffff3000,0xfffff85f,0xffff1003,0xfffff85f,
    0xffff1003,0xfffff85f,0xffff1003,0x7ffffc5f,0x7ffdc006,0xfff902ff,
    0x740000ff,0x999effff,0x19999999,0xdfffff10,0xfffffffd,0xfffd000b,
    0x333333df,0x74033333,0x999effff,0x19999999,0x66f7ffec,0xfffccaaa,
    0xfd05ffff,0x3333dfff,0x03333333,0xfffff880,0xfffff003,0x3ffe2007,
    0xffff92ff,0x3fe6003f,0xfff91fff,0x3e6003ff,0x7f41ffff,0x7ffc0fff,
    0xffff93ff,0x37ffff45,0x3ffff200,0x3ffffa1f,0x7ffe4006,0x3fffa1ff,
    0x7fe4006f,0x22001fff,0x003fffff,0xffff3000,0xfffff85f,0xffff1003,
    0xfffff85f,0xffff1003,0xfffff85f,0xffff1003,0x7ffff45f,0x7ffe4006,
    0xfff901ff,0x740000ff,0x0005ffff,0x2fffff88,0xffffff71,0xfffe8007,
    0xfd00005f,0x4000bfff,0xfffffffd,0xffffffff,0xffd00fff,0x00000bff,
    0x1fffffc4,0x3fffff80,0xfffff300,0x3ffffea3,0xffff3002,0x3fffea3f,
    0xfff3002f,0xfffe83ff,0x7fffe40f,0x45ffff97,0x007ffffd,0x07ffffec,
    0x00fffffb,0x0fffffd8,0x01fffff6,0x1fffffb0,0x7fffc400,0x3000003f,
    0xf85fffff,0x3003ffff,0xf83fffff,0x3003ffff,0xf83fffff,0x3003ffff,
    0x6c3fffff,0x4007ffff,0x00fffffd,0x00fffff9,0x7ffff400,0xff880005,
    0x7fcc2fff,0x2000ffff,0x005ffffe,0xbffffd00,0x7ffec000,0xffffffff,
    0x02ffffff,0x017ffffa,0xfff88000,0xfff003ff,0x3e6007ff,0xff30ffff,
    0x2600bfff,0xf31fffff,0x200bffff,0x41fffff9,0x440ffffe,0xfcafffff,
    0x3ff22fff,0x3e001fff,0x7e46ffff,0x2001ffff,0x646fffff,0x001fffff,
    0x01bffffe,0x7fffff10,0x3e600000,0x7fc2ffff,0xf3003fff,0xff81ffff,
    0xf3003fff,0xff81ffff,0xf3003fff,0x7e41ffff,0x2001ffff,0x206fffff,
    0x007ffffc,0x3ffffa00,0xff880005,0xffb82fff,0x3a004fff,0x0005ffff,
    0x0bffffd0,0x7fffec00,0xffffffff,0x7400dfff,0x0005ffff,0x3fffe200,
    0xfffd003f,0x3fea009f,0x3ffe27ff,0xf9800fff,0xff11ffff,0x3001ffff,
    0xe83fffff,0xfd80ffff,0xfffcefff,0x3fffee2f,0xfff3004f,0xfffb89ff,
    0xff3004ff,0xffb89fff,0xf3004fff,0x8009ffff,0x03fffff8,0xfff70000,
    0xfffe83ff,0xfff5004f,0xffffd0ff,0x3ffea009,0xffffe87f,0xffff5004,
    0xfffffb8f,0xffff3004,0x7ffe409f,0x3a00007f,0x0005ffff,0x2fffff88,
    0xffffff88,0xffffd000,0x3fa0000b,0x20005fff,0xfffffeca,0x1cffffff,
    0xbffffd00,0x7c400000,0xb003ffff,0x200bffff,0x746ffffb,0x804fffff,
    0x21fffff9,0x04fffffe,0x1fffff98,0x407ffff4,0xfefffff9,0x3fe22fff,
    0xf9006fff,0xf883ffff,0x9006ffff,0x883fffff,0x006fffff,0x03fffff9,
    0xfffff880,0xf9000003,0xfd81ffff,0xf7005fff,0xffb0dfff,0x3ee00bff,
    0xffd86fff,0xff7005ff,0xfff88dff,0xff9006ff,0x7e403fff,0x00007fff,
    0x017ffffa,0x3fffe200,0xffff902f,0x3ffa009f,0xd00005ff,0x000bffff,
    0x3f2aa620,0xe8006fff,0x0005ffff,0x3fffe200,0xfff9003f,0xfff003ff,
    0xfff98bff,0x7cc03fff,0x3e61ffff,0x403fffff,0x41fffff9,0xb00ffffe,
    0xffffffff,0xffffd85f,0x7ffd404f,0xfffb05ff,0xffa809ff,0xffb05fff,
    0xfa809fff,0x8005ffff,0x03fffff8,0xfff88000,0xfffc87ff,0xfff801ff,
    0xfffc85ff,0xfff801ff,0xfffc85ff,0xfff801ff,0xfffd85ff,0x7fd404ff,
    0x7e405fff,0x00007fff,0x017ffffa,0x3fffe200,0xffff102f,0xffd001ff,
    0x20000bff,0x005ffffe,0xffff7000,0xfffd0005,0x400000bf,0x03fffff8,
    0xbfffff50,0x7fffe401,0xffffd82f,0xff300dff,0xffd83fff,0x300dffff,
    0xe83fffff,0xf500ffff,0xffffffff,0xfffff985,0xffff303f,0x3fe603ff,
    0xf303ffff,0x203fffff,0x3ffffff9,0xffffff30,0xfff10003,0x744007ff,
    0x7fffe402,0xffffa85f,0x3ff200df,0xffa82fff,0x3200dfff,0xa82fffff,
    0x00dfffff,0x0bfffff2,0x3fffffe6,0xfffff303,0xfffc803f,0x3a00007f,
    0x0005ffff,0x2fffff88,0x3fffff60,0xffffe803,0xffd00005,0x00000bff,
    0x003ffff2,0x17ffffa0,0xff880000,0x3a003fff,0x9befffff,0xffffda98,
    0xffff105f,0x57bdffff,0x3fffffd9,0xffffff88,0xecabdeff,0x741fffff,
    0x3a00ffff,0xffffffff,0xfffffe82,0xffedbdff,0x7405ffff,0xdfffffff,
    0xfffffedb,0x7fff405f,0xedbdffff,0x05ffffff,0xfffff100,0x7ffc4007,
    0xffea99ac,0xfd02ffff,0x137dffff,0xfffffb53,0x7ffff40b,0xda989bef,
    0x205fffff,0xbefffffe,0xfffda989,0x3ffa05ff,0xdbdfffff,0x5ffffffe,
    0xfffffc80,0xeeeeeeee,0xfd02eeee,0x9999dfff,0x79999999,0x5fffff10,
    0x7ffffcc0,0x7fff400f,0xccccccef,0xd03ccccc,0x999dffff,0x99999999,
    0x3fffa007,0xfffd0005,0x999999df,0x50799999,0xff999999,0x9999bfff,
    0xffff5099,0xffffffff,0x401fffff,0xfffffffb,0xffffffff,0xffb81fff,
    0xffffffff,0xffffffff,0x07ffff41,0xffffff70,0xfff305ff,0xffffffff,
    0x01ffffff,0xffffff98,0xffffffff,0x7cc00fff,0xffffffff,0xffffffff,
    0x66665400,0xdfffffcc,0x884ccccc,0xffffffff,0x05ffffff,0x3fffffea,
    0xffffffff,0x3ea00fff,0xffffffff,0xffffffff,0x3fffea00,0xffffffff,
    0x200fffff,0xfffffff9,0xffffffff,0xffc800ff,0xffffffff,0x3fffffff,
    0xffffffd0,0xffffffff,0xfff10dff,0xffe805ff,0x7f403fff,0xffffffff,
    0x6fffffff,0xffffffd0,0xffffffff,0x3fe00dff,0xfd0002ff,0xffffffff,
    0xdfffffff,0xffffff90,0xffffffff,0x3f60ffff,0xffffffff,0x03ffffff,
    0xffffffa8,0xffffffff,0xff501fff,0xffffffff,0x3fffffff,0x00ffffe8,
    0x7ffffffc,0xffff302f,0xffffffff,0x26003dff,0xffffffff,0x1effffff,
    0xfffff300,0xffffffff,0xff9003df,0xffffffff,0xffffffff,0xffffff10,
    0xffffffff,0xffffd801,0xffffffff,0xfd803fff,0xffffffff,0x03ffffff,
    0xffffffd8,0xffffffff,0xfff9803f,0xffffffff,0x9001efff,0xffffffff,
    0xffffffff,0x3fffa07f,0xffffffff,0x886fffff,0x402fffff,0x07fffffa,
    0x7ffffff4,0xffffffff,0xfffd06ff,0xffffffff,0x00dfffff,0x000ffff3,
    0x7ffffff4,0xffffffff,0xfffc86ff,0xffffffff,0x07ffffff,0x3fffffee,
    0x1effffff,0x3fff6200,0xffffffff,0x2200efff,0xfffffffd,0xefffffff,
    0x07ffff40,0x3fffff20,0x3fa202ff,0xffffffff,0xe88004ff,0xffffffff,
    0x88004fff,0xfffffffe,0x2004ffff,0xfffffffc,0xffffffff,0xfff887ff,
    0xffffffff,0xff7000df,0xffffffff,0x5c003dff,0xffffffff,0x001effff,
    0x3fffffee,0x1effffff,0x3fffa200,0xffffffff,0x7ffe4004,0xffffffff,
    0x03ffffff,0xfffffffd,0xffffffff,0xffff10df,0xffff005f,0x7ff407ff,
    0xffffffff,0x06ffffff,0xfffffffd,0xffffffff,0x999300df,0x7ff40005,
    0xffffffff,0x86ffffff,0xfffffffc,0xffffffff,0x7ec407ff,0xefffffff,
    0x3b6a0003,0xffffffff,0x36a001ce,0xfffffffe,0xffd01cef,0xff8801ff,
    0x802fffff,0xffffffdb,0x5c0002df,0xfffffffd,0x6dc0002d,0xdfffffff,
    0x7ffe4002,0xffffffff,0x07ffffff,0xfffffd71,0x10003bff,0xfffffffb,
    0x220007df,0xfffffffd,0xb10003ef,0xffffffff,0x6dc0007d,0xdfffffff,
    0xfffc8002,0xffffffff,0x03ffffff,0xfffffffd,0xffffffff,0xffff10df,
    0xfff7005f,0x7ff40dff,0xffffffff,0x06ffffff,0xfffffffd,0xffffffff,
    0x000000df,0xffffffe8,0xffffffff,0xfffc86ff,0xffffffff,0x07ffffff,
    0x06aea620,0x5d4c0000,0x0000099a,0x01335753,0x01ffffd0,0xffffffb0,
    0xaba88005,0x51000000,0x00000157,0x0002aea2,0xffffffc8,0xffffffff,
    0x98807fff,0x000009aa,0x006aea62,0x57531000,0x98800003,0x00001aba,
    0x000aba88,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x97000000,0x00001999,0x033332e0,
    0x077f6200,0x000efec4,0xccccc980,0xccca803c,0x00002ccc,0x3bbbbb60,
    0x0eeeeeee,0x06eed800,0x5401ddd9,0x02cccccc,0x97530000,0xdddddddb,
    0x6665405d,0xccccb81c,0x6fec4000,0x03bfb101,0x33260000,0x2003cccc,
    0xb80ccccb,0x6c004ccc,0xeeeeeeee,0x0000eeee,0x0066665c,0x3332e000,
    0xb800000c,0x0000cccc,0x101dfd88,0x00003bfb,0x33333260,0x6665c03c,
    0x4cccb80c,0xfffc8000,0x00000eff,0x77ffffe4,0x7fff4000,0xffffe81f,
    0x7fc40000,0x000dffff,0x5ffffff9,0x3fa00000,0xffffffff,0xd8000fff,
    0x7fcc3fff,0xfffc807f,0x00002fff,0xffffffb3,0xffffffff,0xffffd807,
    0x0bffff62,0x3ffffa00,0x0ffffe81,0x7fc40000,0x000dffff,0x4bffffa2,
    0x01ffffd8,0x7fffff40,0x0fffffff,0x3fff2000,0x00000eff,0x1dfffff9,
    0x7fe40000,0x0000efff,0x40fffff4,0x000ffffe,0x7fffc400,0x74400dff,
    0xfb12ffff,0x80003fff,0xfffffffd,0xfb00001f,0x3fffffff,0x3fffe600,
    0x7fffd44f,0x3e20003f,0x003fffff,0xffffff98,0xfe800002,0xffffffff,
    0xb8000fff,0xfeceffff,0xf3005fff,0x005fffff,0x7fffecc0,0xffffffff,
    0xd803ffff,0xffedffff,0xf98001ff,0x7d44ffff,0x0003ffff,0x3ffffe20,
    0xfb10003f,0xffff9fff,0xffd0003f,0xffffffff,0x360001ff,0xffffffff,
    0x7fec0001,0x01ffffff,0xffffd800,0x0001ffff,0x89fffff3,0x03fffffa,
    0x3ffe2000,0x22003fff,0xffcffffd,0x40001fff,0xffcffffd,0x40001fff,
    0xffcffffd,0xfa801fff,0x7d45ffff,0x0004ffff,0x3dfffff1,0x7fec4000,
    0x00002fff,0x7ffffff4,0x00ffffff,0xfffffd00,0x001fffff,0x7ffffec4,
    0xfffa8002,0xffffffff,0x3fffffff,0xfffff900,0x20003fff,0x45fffffa,
    0x04fffffa,0xffff1000,0xb00003df,0xdfffffff,0x3ffa0001,0xffffffff,
    0xfd8000ff,0xffffcfff,0xffb0001f,0xfffff9ff,0x7fec0003,0xfffffcff,
    0xfffa8001,0x7ffd45ff,0x100004ff,0x03dfffff,0x3ffff600,0x0000efff,
    0x47ffff62,0x01ffffe8,0xffffd880,0x3ffffd11,0xfffff880,0x7ffffc42,
    0xfff88001,0x00000dff,0x05fffff7,0x4ccc4000,0x99999999,0x3fa20001,
    0x1effffff,0xffff7000,0x7fc4005f,0xffffffff,0xffffcccf,0x3ff2003f,
    0x0001ffff,0x0bffffe2,0x03fffff1,0xffff1000,0x400001bf,0x0efffffd,
    0x26662000,0x99999999,0x7fec4001,0xfffd11ff,0x7ec4003f,0xffd11fff,
    0xd88003ff,0xfd11ffff,0x88003fff,0x442fffff,0x001fffff,0xfffff880,
    0x7ec0000d,0x000effff,0x06666540,0x0066665c,0x033332a0,0x0033332e,
    0x2a07ffd3,0x70003fff,0x00059999,0x99999300,0x00000001,0x76540000,
    0x80003def,0x00ccccc9,0xffffffd0,0x741fffff,0x4003ffff,0x001ccccb,
    0x03ffe980,0x0007fff5,0x0b3332e0,0x665c0000,0x000000cc,0x66540000,
    0xcccb80cc,0x9995000c,0x99997019,0x66654001,0xccccb80c,0x7ff4c000,
    0x07fff503,0x3332e000,0x2e00002c,0x0000cccc,0x00000000,0x00800000,
    0x00000030,0x00000000,0x00000000,0x00000000,0xffff7000,0xffffffff,
    0x1fffff41,0x00000000,0x0000c002,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x00003000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x95300000,0x000157bd,0x00000000,0xffffb000,
    0xffffffff,0x1fffff41,0x00000000,0x00000000,0x00000000,0xaaaaa800,
    0x55551001,0x00000015,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2aaa2000,0x0001aaaa,0x55555553,0x55555555,0x55530555,0x55555555,
    0x05555555,0x2aaaaa20,0x200001aa,0xaaaaaaa8,0xff700001,0xffffffff,
    0x5554c005,0xaaaaaaaa,0x82aaaaaa,0xaaaaaaa9,0xaaaaaaaa,0x3fffe2aa,
    0xffffffff,0x3ffffa0f,0x55555503,0x00033555,0x55555100,0x54c00355,
    0x8000aaaa,0x442aaaaa,0xaaaaaaaa,0xaaaaaaaa,0x7c1aaaaa,0x1003ffff,
    0xa85fffff,0x1001aaaa,0x22155555,0x0001aaaa,0x54c6aaaa,0x8000aaaa,
    0x262aaaaa,0x000aaaaa,0x82aaaaa8,0xaaaaaaa8,0xaaaaaaaa,0x5442aaaa,
    0xaaaaaaaa,0xaaaaaaaa,0xfb8002aa,0x05ffffff,0xfffff900,0xffffffff,
    0xf90fffff,0xffffffff,0xffffffff,0x3ffee00f,0x0005ffff,0x3ffffee0,
    0x440005ff,0xfffffffd,0x004fffff,0xfffffff9,0xffffffff,0xfff90fff,
    0xffffffff,0x2fffffff,0xfffffff8,0x20ffffff,0x883ffffe,0xffffffff,
    0x01cfffff,0xffffb800,0x2a005fff,0x005fffff,0x27ffffcc,0x3fffffe6,
    0xffffffff,0x3fffffff,0x01fffffc,0x2fffff88,0x027ffff4,0x0fffffa8,
    0x009ffff3,0x4ffffe20,0x05fffffa,0x7ffffcc0,0x3ffffea4,0x7ffcc005,
    0xfff984ff,0xffffffff,0xffffffff,0x7ffffcc5,0xffffffff,0x05ffffff,
    0xfffffd80,0xf90007ff,0xffffffff,0xffffffff,0xfffff90f,0xffffffff,
    0x200fffff,0xfffffffd,0x3f600007,0x07ffffff,0x3fffe600,0xffffffff,
    0x6400dfff,0xffffffff,0xffffffff,0xffffc87f,0xffffffff,0xf37fffff,
    0xffffffff,0x7f41ffff,0xff883fff,0xffffffff,0x01efffff,0x3ffff600,
    0x74007fff,0x001fffff,0x03fffff6,0xfffffff3,0xffffffff,0x87ffffff,
    0x003fffff,0x85fffff1,0x004ffffe,0x21fffff5,0x004ffff8,0x47ffff10,
    0x01fffffe,0x3fffff60,0x7fffff40,0x3fff6001,0xfff980ff,0xffffffff,
    0xffffffff,0x7ffffcc5,0xffffffff,0x05ffffff,0xffffff80,0xc8002fff,
    0xffffffff,0xffffffff,0xffffc87f,0xffffffff,0x007fffff,0xffffffff,
    0x3e00005f,0xffffffff,0xfff88002,0xffffffff,0x05ffffff,0x7fffffe4,
    0xffffffff,0xffc87fff,0xffffffff,0x7fffffff,0xfffffff1,0x41ffffff,
    0x883ffffe,0xffffffff,0xffffffff,0xfff0000f,0x05ffffff,0x7ffffd40,
    0xffff3005,0xffff309f,0xffffffff,0xffffffff,0xfffff87f,0xffff1003,
    0xffffe85f,0xffff5004,0x3fffe21f,0xfff30005,0x7fffd45f,0xfff3005f,
    0xfff509ff,0x3e600bff,0xf304ffff,0xffffffff,0xffffffff,0xfff98bff,
    0xffffffff,0xffffffff,0x7ffd4005,0x04ffffff,0xfffffc80,0xffffffff,
    0xfc87ffff,0xffffffff,0xffffffff,0xffffa807,0x004fffff,0xfffffa80,
    0x8004ffff,0xdffffffc,0xfffeca9b,0x3f201fff,0xffffffff,0xffffffff,
    0xfffffc87,0xffffffff,0x3fe7ffff,0xffffffff,0x3ffa0fff,0xfff883ff,
    0xffffffff,0x0effffff,0x7fffd400,0x004fffff,0x07fffff4,0x7fffff40,
    0xfffff980,0xffffffff,0xffffffff,0x1fffffc3,0xfffff880,0x27ffff42,
    0xfffffa80,0x017fffe0,0x17fffcc0,0x03fffffa,0x3fffffa0,0xfffffd00,
    0xffffd001,0x3ffe601f,0xffffffff,0xffffffff,0x7ffffcc5,0xffffffff,
    0x05ffffff,0x7ffffe40,0x8007ffff,0xfa999998,0x999cffff,0x99988199,
    0xfffffa99,0x0199999c,0xffffffc8,0x80007fff,0xfffffffc,0x7c4007ff,
    0x101fffff,0x0bfffffd,0x54ccccc4,0x99cfffff,0x99881999,0xffffa999,
    0x199999cf,0x3ffffff6,0x20ffffff,0x883ffffe,0x99bfffff,0xfffffcaa,
    0x7e4003ff,0xffffffff,0x7ffd4007,0x7fcc04ff,0x26603fff,0xffa99999,
    0x9999cfff,0x7ffc0999,0xff1003ff,0xffe85fff,0xff5004ff,0x7ffc1fff,
    0xff30005f,0xfffa83ff,0x7fcc04ff,0x3ea03fff,0x4c04ffff,0x203fffff,
    0xccccccc8,0xffdccccc,0x6443ffff,0xcccccccc,0xffffdccc,0x7fc003ff,
    0xffffdfff,0xf100001f,0x0007ffff,0x7fffff10,0x7fffc000,0x1fffffdf,
    0x7fffc000,0x1fffffdf,0x3ffff200,0x7ff4402f,0x44000fff,0x003fffff,
    0xfffff880,0xffffc803,0xffffffff,0x0fffffa0,0x0bffffe2,0x4fffffd8,
    0x7ffffc00,0x01fffffd,0x7fffff40,0x3ffffa00,0xff10000f,0xf8007fff,
    0x1003ffff,0xe85fffff,0x5004ffff,0x7c1fffff,0x50006fff,0xfd03ffff,
    0x7401ffff,0x400fffff,0x00fffffe,0x03fffffa,0xfffb0000,0x20000dff,
    0x06fffffd,0x7ffffcc0,0x03fffff9,0xffff1000,0xf100007f,0x0007ffff,
    0x27ffffe6,0x003fffff,0x3ffffe60,0x03fffff9,0xdfffff10,0x3fffee00,
    0x7fc4004f,0x80003fff,0x03fffff8,0xfffffe88,0x20ffffff,0x883ffffe,
    0x202fffff,0x06fffff8,0x3ffffe60,0x03fffff9,0x7ffffd40,0xfffff304,
    0x7fc40007,0x7c003fff,0x1003ffff,0xe85fffff,0x5004ffff,0x741fffff,
    0x50006fff,0xf503ffff,0x2609ffff,0x803fffff,0x04fffffa,0x07fffff3,
    0xfffb8000,0x80000fff,0x0ffffffb,0x7fffdc00,0x0dffffd5,0x3ffe2000,
    0x880003ff,0x003fffff,0x2bffff70,0x006ffffe,0x57fffee0,0x006ffffe,
    0x07fffff7,0x3ffffe60,0x7ffc4006,0x880003ff,0x003fffff,0xfffffff3,
    0x7f41ffff,0xff883fff,0x7f402fff,0x2e007fff,0xffd5ffff,0xfd000dff,
    0xfd01ffff,0x0001ffff,0x1fffffc4,0x3ffffe00,0xffff1003,0xffffe85f,
    0xffff5004,0x37fff41f,0xffffa800,0xfffffd00,0xfffffd01,0x3fffa001,
    0xfffe80ff,0x200000ff,0x3ffffff8,0xfff88000,0xe8003fff,0xff93ffff,
    0x00001fff,0x07fffff1,0xffff1000,0x3fa0007f,0xfff93fff,0x3a0001ff,
    0xff93ffff,0xf9001fff,0x4001ffff,0x007ffffe,0x1fffffc4,0x7ffc4000,
    0x3ea003ff,0xffffffff,0x3ffffa0f,0xfffff883,0x7fffec02,0x3fffa007,
    0xfffff93f,0xfffa8001,0x7ffd43ff,0x440003ff,0x003fffff,0x01fffffc,
    0x2fffff88,0x027ffff4,0x0fffffa8,0x541bfff6,0xfffa81aa,0xffff500f,
    0xffffa87f,0x3fea003f,0x7fd43fff,0x00003fff,0x2fffffec,0xfffd8000,
    0xf88005ff,0xff50ffff,0x00005fff,0x07fffff1,0xffff1000,0xff10007f,
    0x3fea1fff,0x88002fff,0xf50fffff,0xd005ffff,0x800fffff,0x007ffffd,
    0x1fffffc4,0x7ffc4000,0x644003ff,0xffffffff,0x0fffffa0,0x0bffffe2,
    0x0dfffff0,0x3ffffe20,0x5fffff50,0xffffd000,0xfffffd8f,0x7fc40000,
    0x7c003fff,0x1003ffff,0xe85fffff,0x5004ffff,0x6c1fffff,0xff987fff,
    0x7fffb86f,0x3fffff40,0x03fffff6,0xfffffd00,0x0fffffd8,0x3fee0000,
    0x0000ffff,0xffffffb8,0xfffa8000,0x7ffffc6f,0xff880005,0x80003fff,
    0x03fffff8,0x6ffffa80,0x02fffffc,0x37fffd40,0x017ffffe,0x01bffffe,
    0x1fffff90,0x7fffc400,0xf880003f,0x0003ffff,0xffffff91,0x1fffff41,
    0x17ffffc4,0x9fffff50,0x3fffea00,0x2fffffc6,0x7fffd400,0xfffff33f,
    0xff100007,0xf8007fff,0x1003ffff,0xe85fffff,0x5004ffff,0x641fffff,
    0xffb87fff,0x7ffdc0ff,0x7fffd407,0xfffff33f,0xfff50007,0x3ffe67ff,
    0x200003ff,0x3ffffff8,0xfff88000,0xb0003fff,0xfd89ffff,0x80007fff,
    0x03fffff8,0xffff8800,0xffd8003f,0x7ffec4ff,0xffd8007f,0x7ffec4ff,
    0xffff807f,0x7fdc006f,0x22001fff,0x003fffff,0xfffff880,0x53300003,
    0x7ffff417,0xfffff883,0xfffff702,0x3ff6001f,0x7ffec4ff,0xffd0007f,
    0x3fff2dff,0xf100007f,0x8007ffff,0x003fffff,0x85fffff1,0xcceffffe,
    0xdccccccc,0x320fffff,0xffe87fff,0x7ffdc2ff,0xffffe807,0x0fffff96,
    0x7ffff400,0x0fffff96,0xfffd8000,0xb00005ff,0x00bfffff,0x17ffffc0,
    0x07ffffee,0xffff1000,0xf100007f,0x0007ffff,0xb85fffff,0x001fffff,
    0x217ffffc,0x01fffffb,0x17ffffe2,0xfffff700,0x7ffc4005,0x880003ff,
    0x003fffff,0xfffe8000,0xffff883f,0xffccaacf,0x003fffff,0x70bffffe,
    0x003fffff,0x5fffff50,0x007fffff,0x3fffe200,0x7ffc003f,0xff1003ff,
    0xffe85fff,0xffffffff,0xffffffff,0x3fff20ff,0x7ffffc47,0x037ffe45,
    0x57ffffd4,0x003fffff,0x3ffffea0,0x03fffffa,0x3ffee000,0x80000fff,
    0x0ffffffb,0xffff3000,0xffff981f,0x7c40004f,0x0003ffff,0x3fffff88,
    0x7fffcc00,0x7fffcc0f,0x3fe6004f,0x7fcc0fff,0x3e204fff,0x4005ffff,
    0x03fffffa,0x3ffffe20,0xff880003,0x00003fff,0x3ffffe80,0xffffff88,
    0xffffffff,0x3e6002ff,0x7cc0ffff,0x0004ffff,0xfffffffd,0x40000fff,
    0x03fffff8,0x1fffffc0,0xfffff880,0x7fffff42,0xffffffff,0x0fffffff,
    0xb83fffee,0x647fffff,0xfd006fff,0xffffffff,0xffd0000f,0xffffffff,
    0x7fc40000,0x0002ffff,0xffffff88,0x3ff20002,0xffff05ff,0xf88000df,
    0x0003ffff,0x3fffff88,0x7fffe400,0xdfffff05,0x7fffe400,0xdfffff05,
    0x5fffff80,0x7fffdc00,0x3fe2002f,0x80003fff,0x03fffff8,0xffe80000,
    0xfff883ff,0xffffffff,0x4000beff,0xf05ffffc,0x000dffff,0x3fffffea,
    0x00003fff,0x0fffffe2,0x7fffff00,0x3fffe200,0x7ffff42f,0xffffffff,
    0xffffffff,0x83fffee0,0x2ffffffd,0x4017fff2,0xfffffffa,0xa80003ff,
    0xffffffff,0x3600003f,0x005fffff,0xfffffb00,0xffe8000b,0xfff903ff,
    0x440001ff,0x003fffff,0xfffff880,0x7fff4003,0xffff903f,0x3ffa001f,
    0xfff903ff,0x7ffc01ff,0x7dc006ff,0x2002ffff,0x03fffff8,0xffff8800,
    0x8000003f,0x883ffffe,0xffffffff,0x003fffff,0x07ffffd0,0x03fffff2,
    0x7ffff400,0x00007fff,0x1fffffc4,0x3ffffe00,0xffff1003,0xffffe85f,
    0xffffffff,0xffffffff,0x43fffea0,0xfffffff8,0x017fff24,0xffffffe8,
    0x3a00007f,0x7fffffff,0x3fee0000,0x0000ffff,0xffffffb8,0x3fe20000,
    0xff501fff,0x40007fff,0x03fffff8,0xffff8800,0x3fe2003f,0xff501fff,
    0xf1007fff,0x2a03ffff,0x203fffff,0x006ffffe,0x0fffffe4,0xfffff100,
    0xff100007,0x00007fff,0x7ffffd00,0xdfffff10,0xfffffffd,0xfff8800b,
    0xfff501ff,0x2a0007ff,0x3fffffff,0x7fc40000,0x7c003fff,0x1003ffff,
    0xe85fffff,0x999dffff,0xfb999999,0x3ea0ffff,0xfff51fff,0x7ecffffd,
    0x3ea004ff,0x03ffffff,0x3ffea000,0x0003ffff,0xffffff10,0xff100005,
    0x0005ffff,0x07ffffb8,0x17ffffe2,0xffff8800,0xf880003f,0x2003ffff,
    0x207ffffb,0x05fffff8,0x07ffffb8,0x17ffffe2,0x07ffffd8,0x7ffffec0,
    0x3ffe2000,0x880003ff,0x003fffff,0xfffe8000,0xffff883f,0xffff712f,
    0x7dc007ff,0x3e207fff,0x0005ffff,0x1bfffffa,0x3fe20000,0x7c003fff,
    0x3003ffff,0xe83fffff,0x5004ffff,0x4c1fffff,0xffb1ffff,0x23ffff5f,
    0x4004fffd,0x06fffffe,0xfffe8000,0x200006ff,0x05fffffd,0xffffb000,
    0xfb0000bf,0x5555dfff,0xfffff555,0x7fc4000f,0x80003fff,0x03fffff8,
    0x3bffff60,0xfaaaaaaa,0xd807ffff,0xaaaeffff,0xffffaaaa,0x3fff207f,
    0x3fe001ff,0x44006fff,0x003fffff,0xfffff880,0xf8000003,0xf882ffff,
    0x7cc2ffff,0x000fffff,0x55dffffb,0xfff55555,0x54000fff,0x003fffff,
    0xffff8800,0x7ffc003f,0xff3003ff,0xffe81fff,0xff5004ff,0x7fcc1fff,
    0x2dfff1ff,0xffb4fffe,0xffa8009f,0x00003fff,0x3fffffa8,0xfff50000,
    0x00001fff,0x1ffffff5,0xffff0000,0xffffffff,0x5fffffff,0x3ffe2000,
    0x880003ff,0x003fffff,0x3ffffffe,0xffffffff,0x7c02ffff,0xffffffff,
    0xffffffff,0xfff702ff,0x3e6009ff,0x4004ffff,0x03fffff8,0xffff8800,
    0x4000003f,0x81fffff8,0x82fffff8,0x04fffffb,0xfffffff0,0xffffffff,
    0x0005ffff,0x0bffffe6,0x3fe20000,0x74003fff,0x5004ffff,0xfd0fffff,
    0x2a009fff,0x220fffff,0xffaaffff,0x2dfff94f,0x4003fffe,0x02fffff9,
    0xfff98000,0x880002ff,0x02ffffff,0xffff8800,0xa80002ff,0xffffffff,
    0xffffffff,0x10004fff,0x007fffff,0xfffff100,0x3ffea007,0xffffffff,
    0xffffffff,0x3fffea04,0xffffffff,0x4fffffff,0xdfffff10,0x3ffff200,
    0x7fc4001f,0x80003fff,0x03fffff8,0x7fcc0000,0xff880fff,0xff882fff,
    0x5400ffff,0xffffffff,0xffffffff,0x30004fff,0x005fffff,0xffff1000,
    0xffd8007f,0xff7005ff,0xfffd0dff,0x3fea009f,0x3fe20fff,0x1fffcaff,
    0xfd1ffff3,0xf98007ff,0x0002ffff,0xfffff980,0xffd80002,0x00004fff,
    0x09fffffb,0x3fff2000,0xffffffff,0xffffffff,0xfff10006,0x100007ff,
    0x007fffff,0x3ffffff2,0xffffffff,0x206fffff,0xfffffffc,0xffffffff,
    0x3606ffff,0x404fffff,0x05fffffa,0xfffff880,0xff880003,0x10003fff,
    0x3ffff200,0xfffff106,0x3ffff205,0x7ffe404f,0xffffffff,0xffffffff,
    0xfff30006,0x000005ff,0x07fffff1,0xfffffc80,0xfffff801,0x4ffffe85,
    0xfffff500,0x57fffc41,0x7ffc7ffe,0x02fffebf,0x7ffffcc0,0xf9800002,
    0x0002ffff,0x77ffffd4,0xffa80000,0x0000efff,0xffffffd0,0xffffffff,
    0x03ffffff,0xfffff100,0xff100007,0x3a007fff,0xffffffff,0xffffffff,
    0xfd01ffff,0xffffffff,0xffffffff,0x3e603fff,0x303fffff,0x03ffffff,
    0xfffff100,0xff100007,0x20007fff,0x3fea00de,0xff105fff,0x3e205fff,
    0x200fffff,0xfffffffe,0xffffffff,0x001fffff,0x2fffff98,0xff880000,
    0x54003fff,0x00dfffff,0x0bfffff2,0x013ffffa,0x07ffffd4,0x3ff3fffe,
    0x6fffe44f,0x4002ffff,0x02fffff9,0xfff98000,0x220002ff,0x01ffffff,
    0xffff8800,0x300001ff,0x333fffff,0x73333333,0x007fffff,0x7fffff10,
    0xfff10000,0xff3007ff,0x33333fff,0xff733333,0xff307fff,0x33333fff,
    0xff733333,0x7f407fff,0xbdffffff,0xffffffed,0xfff10005,0x100007ff,
    0x007fffff,0x359fff90,0xfffff951,0x3ffe201f,0x3ff602ff,0xff303fff,
    0x33333fff,0xff733333,0x30007fff,0x005fffff,0xffff1000,0xffd0007f,
    0x3137dfff,0xbfffffb5,0x13ffffa0,0x7ffffd40,0x7fffffc0,0x7ffd42ff,
    0x001fffff,0x17ffffcc,0x7fcc0000,0x20002fff,0x04fffffd,0xffffb000,
    0x5c00009f,0x2006ffff,0x05fffff8,0x3333332a,0xccdfffff,0xcca84ccc,
    0xffffcccc,0x4cccccdf,0x01bfffee,0x5fffff88,0x06ffffb8,0x3ffffe20,
    0x3fffe605,0xffffffff,0x400fffff,0xfcccccca,0xcccdffff,0xccca84cc,
    0xfffffccc,0x04cccccd,0xfffffff3,0xffffffff,0x7fffc407,0x3ffe602f,
    0xffb80fff,0x3e2006ff,0x8005ffff,0x02fffff9,0xfff88000,0xfa8003ff,
    0xffffffff,0xffffffff,0x9ffffd00,0x3fffea00,0x7ffffc0f,0xffff07ff,
    0x8003ffff,0x02fffff9,0xfff98000,0xf50002ff,0xffffffff,0xffffffff,
    0xfffa8fff,0xffffffff,0xffffffff,0x9ffffb07,0xffffe800,0xffff900f,
    0xffffffff,0x90ffffff,0xffffffff,0xffffffff,0x7fffecff,0x7fff4004,
    0x7ffec0ff,0x7ff4004f,0x3e600fff,0xffffffff,0x01efffff,0xffffffc8,
    0xffffffff,0xffc87fff,0xffffffff,0x7fffffff,0xffffffb0,0xffffffff,
    0xffff880b,0x7fff402f,0xfffd83ff,0x7ff4004f,0x4c000fff,0x002fffff,
    0xffff8800,0xffb0003f,0xffffffff,0x407fffff,0x004ffffe,0x81fffff5,
    0x5ffffffe,0xffffffb0,0xff98001f,0x00002fff,0x2fffff98,0xffff9000,
    0xffffffff,0xffffffff,0xffffffc8,0xffffffff,0x887fffff,0x001fffff,
    0x17ffffe4,0xffffffc8,0xffffffff,0xffc87fff,0xffffffff,0x7fffffff,
    0x03fffff1,0xfffffc80,0x3ffffe22,0x7ffe4001,0x7f4402ff,0xffffffff,
    0x3f2004ff,0xffffffff,0xffffffff,0xfffffc87,0xffffffff,0x2a07ffff,
    0xfffffffe,0x8803ffff,0x402fffff,0x47fffffa,0x01fffff8,0x7ffffe40,
    0x7ffcc002,0x800002ff,0x03fffff8,0x3fffee00,0xffffffff,0x7fff401e,
    0xfff5004f,0xfffe81ff,0xff502fff,0x001fffff,0x2fffff98,0xff980000,
    0x90002fff,0xffffffff,0xffffffff,0xffc8ffff,0xffffffff,0xffffffff,
    0xffffa87f,0xfffa8007,0xfff904ff,0xffffffff,0x0fffffff,0xfffffff9,
    0xffffffff,0x3ffeafff,0xffa8007f,0x3fea4fff,0xfa8007ff,0x7004ffff,
    0xfffffffb,0xffc8005b,0xffffffff,0x7fffffff,0xffffffc8,0xffffffff,
    0xdb807fff,0xcefffffe,0xffff1000,0xffff005f,0x7ffd47ff,0xffa8007f,
    0x4c004fff,0x002fffff,0xffff8800,0x6c40003f,0xffffffff,0xfffd003e,
    0x3fea009f,0x7fec0fff,0xf100ffff,0x01ffffff,0xfffff980,0xf9800002,
    0x0002ffff,0xfffffff9,0xffffffff,0xfc8fffff,0xffffffff,0xffffffff,
    0xfffc87ff,0xfff0005f,0x3ff20fff,0xffffffff,0x7fffffff,0xffffffc8,
    0xffffffff,0xfff97fff,0x3fe000bf,0x3ff27fff,0xff0005ff,0x1000ffff,
    0x40001575,0xfffffffc,0xffffffff,0xfffc87ff,0xffffffff,0x07ffffff,
    0x0004cc40,0x2fffff88,0xfffffb80,0x17ffff26,0x7ffffc00,0x7ffcc007,
    0x800002ff,0x03fffff8,0x2ea62000,0xffe8001a,0xff5004ff,0xffd81fff,
    0x7ec05fff,0x8007ffff,0x02fffff9,0xfff98000,0xf90002ff,0xffffffff,
    0xffffffff,0xfffc8fff,0xffffffff,0xffffffff,0x00000007,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xcc980000,0x0003cccc,0x666664c0,0xcccb803c,
    0x4cccb80c,0x664c0000,0x5c03cccc,0xcb80cccc,0xfd8804cc,0x3bfb101d,
    0x41bbb600,0xa800eeec,0xcb81cccc,0xd8000ccc,0xddd906ee,0x3bb60001,
    0xeeeeeeee,0x200000ee,0xbcdeeca9,0xddddb001,0xdddddddd,0x3bbb6001,
    0xeeeeeeee,0x6c00000e,0xdd12eeee,0x00001ddd,0x5ef65400,0x00008000,
    0xbd950000,0x00000017,0x2aaaa880,0xa9800000,0x04c41aaa,0x7fc40000,
    0x000dffff,0x3fffe600,0xe8800dff,0xfb12ffff,0x00003fff,0x7fffffc4,
    0x7ff4400d,0xfffb12ff,0xfffd003f,0xffffd03f,0x7fffb001,0x007fff98,
    0xd8bffff6,0x0002ffff,0xf987fffb,0x3a0007ff,0xffffffff,0x0000ffff,
    0x7fffff5c,0x03ffffff,0x7ffffff4,0x00ffffff,0xffffffd0,0x01ffffff,
    0x7ffcc000,0x3fffa0ff,0x8000003f,0xffffffe8,0x5fff7001,0x22000000,
    0x1ffffffe,0x20000000,0x003ffffc,0xfffc8000,0x37ffee3f,0xff100000,
    0x0007ffff,0xfffff980,0x7ec4003f,0xffffcfff,0x2200001f,0x03ffffff,
    0x3ffff620,0x01fffffc,0x4fffff98,0x1fffffd4,0x77fffdc0,0x05ffffec,
    0x6ffffec0,0x001ffffe,0x3bfffee0,0x05ffffec,0x3ffffa00,0xffffffff,
    0xffd10000,0xffffffff,0xfe809fff,0xffffffff,0xfd000fff,0xffffffff,
    0x00001fff,0x22ffffe4,0x006ffffa,0xfffd8000,0x400fffff,0x00fffff9,
    0xffd80000,0x00ffffff,0xfd000000,0x00003fff,0x74ddddd5,0xff50ffff,
    0x00009fff,0x3dfffff1,0xff980000,0x0001efff,0x3ffffff6,0x200000ef,
    0x1efffff8,0xffffb000,0x2001dfff,0x45fffffa,0x04fffffa,0xffffffd0,
    0x0001ffff,0xfffffff9,0xfd00003f,0xffffffff,0x7f40001f,0xffffffff,
    0xa8000fff,0xffffffff,0x4fffffff,0x7fffff40,0x0fffffff,0xfffffd00,
    0x1fffffff,0x3fe20000,0xfff81fff,0x000002ff,0x2e73ffea,0x7d404fff,
    0x0004ffff,0x67ffd400,0x004fffb9,0xfff00000,0x2a0000df,0xff17ffff,
    0x7ffecdff,0x440007ff,0x00dfffff,0x7ffcc000,0xb00004ff,0x01dfffff,
    0x7ffc4000,0x40000dff,0x0efffffd,0x3fffe200,0x7fffc42f,0xffd1001f,
    0x03dfffff,0x7fffe400,0x100001ff,0xfffffffd,0x9880003d,0x99999999,
    0xfc800199,0xffffffff,0x4fffffff,0x4ccccc40,0x01999999,0x26666620,
    0x01999999,0x3ffee000,0xffff706f,0x6400000b,0x37fdc6ff,0x3ffffe60,
    0x64000005,0x37fdc6ff,0x36e60000,0x7ffff307,0x3fea0000,0xffff57ff,
    0x7ffffec7,0x32e0000f,0x00002ccc,0x05999970,0xcccb8000,0x5c00000c,
    0x0002cccc,0x033332e0,0x0fffa600,0x001fffd4,0x1ef7f654,0xcccb8000,
    0xa800001c,0x003defec,0x00000000,0xfffffff1,0xb553359d,0x000009ff,
    0x00000000,0x3ffffa00,0xfffff102,0x36000003,0x3ffd44ff,0x2ffffe40,
    0x3f600000,0x03ffd44f,0xffffa800,0x1ffff707,0x3fea0000,0xffff77ff,
    0x7ffffdc1,0x00000006,0x00000000,0x00000000,0x00000000,0x03000800,
    0x00000000,0x00000000,0x00000000,0xffffb000,0x551007ff,0x00000000,
    0x50000000,0xc80fffff,0x0004ffff,0x41fff700,0xff005ffd,0x000009ff,
    0x360fffb8,0x700005ff,0x360fffff,0x00005fff,0x6dffffea,0xffe85fff,
    0x000001ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x51000000,0x03555555,0xfffff300,0x5300005f,0x55555555,
    0x55555555,0x2aaaaa05,0xaaaaaaaa,0x0002aaaa,0x013ffff6,0x01fffff3,
    0xfff10000,0x05ffffbf,0x00ffffa0,0xfff10000,0x05ffffbf,0x3ffee000,
    0x7ffff07f,0x7fd40000,0xffff8fff,0x00179502,0x05555555,0x02aaaa60,
    0x2aaaa600,0xaaaaaaaa,0xaaaaaa82,0x55553002,0x55555301,0x55555555,
    0x54055555,0xaaaaaaaa,0xaaaaaaaa,0x55555502,0x55555555,0x2aa05555,
    0xaaaaaaaa,0x2aaaaaaa,0xaaaaaaa8,0x000009aa,0x55555510,0x5c000035,
    0x5fffffff,0xffffe800,0xf900003f,0xffffffff,0xffffffff,0x3ffffa0f,
    0xffffffff,0x0006ffff,0x01fffff3,0x07ffffd0,0x3fee0000,0x005fffff,
    0x001dfff7,0xfff70000,0x000bffff,0x3ffffdc0,0x00019998,0x7ffffd40,
    0x00019998,0x3fffffa0,0xfffc801f,0xfff8002f,0xffffffff,0x7ff40fff,
    0xc801ffff,0xfc82ffff,0xffffffff,0xffffffff,0x3ffffa07,0xffffffff,
    0xfd06ffff,0xffffffff,0xdfffffff,0x3fffffa0,0xffffffff,0xfff86fff,
    0xffffffff,0x00003cef,0xfffffff7,0x7ec0000b,0x07ffffff,0x7ffffcc0,
    0xf900000f,0xffffffff,0xffffffff,0x3ffffa0f,0xffffffff,0x0006ffff,
    0x00bffff9,0x01bfffea,0xffea8000,0xffe803ff,0x00001fff,0x3fffaa00,
    0x5c00003f,0x0007ffff,0xfffa8000,0x4000007f,0x5ffffffe,0x2ffffc80,
    0x7fffd400,0xffffffff,0x7fff40ff,0xfc805fff,0xffc82fff,0xffffffff,
    0x7fffffff,0x3fffffa0,0xffffffff,0xffd06fff,0xffffffff,0x0dffffff,
    0x3ffffffa,0xffffffff,0xffff86ff,0xffffffff,0x0001efff,0x7fffffec,
    0x3e00007f,0xffffffff,0x3ffea002,0x200004ff,0xfffffffc,0xffffffff,
    0xfffd07ff,0xffffffff,0x00dfffff,0x3fffff10,0x7ffffc00,0x44000002,
    0x3ffe001a,0x000002ef,0x00035100,0x3fffee00,0x88000007,0xfffff519,
    0x37776400,0x7fffff40,0x7fe401ff,0x7ec002ff,0xffffffff,0x740fffff,
    0x1fffffff,0x17fffe40,0x7fffffe4,0xffffffff,0x3fa07fff,0xffffffff,
    0x6fffffff,0xffffffd0,0xffffffff,0x3ffa0dff,0xffffffff,0x86ffffff,
    0xffffffff,0xffffffff,0xff0000cf,0x5fffffff,0xfff50000,0x09ffffff,
    0x7ffffdc0,0x3f200002,0xffffffff,0xffffffff,0xfffffd07,0xffffffff,
    0x7000dfff,0x800dffff,0x005ffffb,0xf8000000,0x000003ce,0x02666200,
    0xeeeeb800,0xefffffee,0x5eeeeeee,0x7ff65400,0xffffffff,0x3fff6007,
    0xffffe807,0x7e404fff,0x22002fff,0xffffffff,0x0fffffff,0x7ffffff4,
    0x7ffe404f,0xffffc82f,0xffffffff,0x207fffff,0xfffffffe,0xffffffff,
    0xffffd06f,0xffffffff,0x3a0dffff,0xffffffff,0xffffffff,0xffffff86,
    0xffffffff,0x8006ffff,0xfffffffa,0xc80004ff,0xffffffff,0x3ff6007f,
    0x00001fff,0x2a666662,0x99cfffff,0xffd01999,0x55555dff,0x05555555,
    0x7ffffd00,0xffff8800,0x3b60001f,0x74c03eee,0x0000eeee,0x440004cc,
    0xffffffdb,0x2000beff,0xfffffffc,0xffffffff,0x3007ffff,0xfffffffb,
    0x0fffffff,0x07fffec0,0x3fffffa0,0x3f200fff,0x2e002fff,0xfffeffff,
    0x8199999f,0xfffffffe,0x3fff200f,0x9999882f,0xcfffffa9,0x20199999,
    0xaaeffffe,0xaaaaaaaa,0xffffd02a,0x5555555d,0x3a055555,0xaaaeffff,
    0xaaaaaaaa,0xcfffff82,0xffecba99,0x003fffff,0x7fffffe4,0x80007fff,
    0xffdfffff,0xfd001fff,0x0001ffff,0xffff1000,0xffe8007f,0x000005ff,
    0x03ffffd4,0x4ffffd80,0x3fffe000,0x7ffcc04f,0xeeea80ff,0x3fff261e,
    0xfd800dff,0xffffffff,0x003fffff,0xfffffff9,0xffffffff,0x900fffff,
    0xffffffff,0xffffffff,0x7ffff400,0x7ffff400,0x3203ffff,0x2002ffff,
    0xffddfffe,0xffd000ff,0x07ffffff,0x017fffe4,0x7fffff10,0xffffd000,
    0x3fa0000b,0x00005fff,0x00bffffd,0x7fffff00,0x7ffffcc0,0x3fe000ff,
    0xffffdfff,0x3e60001f,0xfff9ffff,0xfff003ff,0x00000fff,0x3ffffe20,
    0x7fff4003,0x4000005f,0x004ffffd,0x1fffff30,0x3fffe000,0x7ffcc04f,
    0xfffa80ff,0xfffff72f,0xd805ffff,0xffffffff,0x3fffffff,0xfffffc80,
    0xffffffff,0x07ffffff,0x7fffffe4,0xffffffff,0x3fa007ff,0x7f400fff,
    0x7fffffff,0x0bffff20,0x57fffcc0,0x000ffffd,0xfffffffd,0x7ffe40ff,
    0x3fe2002f,0xe8003fff,0x0005ffff,0x0bffffd0,0x3fffa000,0xff80005f,
    0x74403fff,0x004fffff,0xf3fffff3,0x0007ffff,0xeaffffdc,0x8806ffff,
    0x007fffff,0xfff10000,0xfe8007ff,0x00005fff,0x3ffffe20,0x3ffa0000,
    0xff0003ff,0xf9809fff,0xfa80ffff,0xfffcafff,0xffffffff,0x3ffff601,
    0xffffeeff,0x4c00ffff,0xffdaaaaa,0xaaaabfff,0x3e602aaa,0x9bdfffff,
    0xffffda98,0x3fffa007,0x7fff400f,0x03ffffff,0x005ffff9,0x7edffff6,
    0xfd000fff,0xffffffff,0x3ffff207,0x3ffe2002,0xfe8003ff,0x00005fff,
    0x00bffffd,0x3ffffa00,0xfff80005,0xff9803ff,0xb800ffff,0xffd5ffff,
    0x74000dff,0xff93ffff,0xff001fff,0x0000ffff,0x3fffe200,0x7ff4003f,
    0x000005ff,0x017ffff2,0xdffff500,0x3fffe000,0x7ffcc04f,0xfffa80ff,
    0xffffffef,0x05ffffff,0x2026fbf6,0x4fffffe9,0xffff7000,0xffe8000f,
    0x3ea04fff,0x3a007fff,0x7401ffff,0xfffcffff,0xffff906f,0xffff1005,
    0x03ffff69,0x67ffff40,0xf906ffff,0x44005fff,0x003fffff,0x05ffffe8,
    0xffffd000,0x3fa0000b,0x80005fff,0x003fffff,0x05fffffd,0x27ffffd0,
    0x00fffffc,0xfffff880,0x5fffff50,0xffffff00,0x10000001,0x007fffff,
    0x05ffffe8,0xfff10000,0xf00005ff,0x0005ffff,0x809fffff,0x80fffff9,
    0xfffffffa,0xfffebdff,0x01501fff,0x3ffffa20,0xfff70006,0x7dc000ff,
    0x5405ffff,0x2007ffff,0x401fffff,0xff9ffffe,0xffc82fff,0xffb802ff,
    0xffffb1ff,0x3fffa001,0x2fffff9f,0x02ffffc8,0x3ffffe20,0xfffe8003,
    0xfd00005f,0x0000bfff,0x017ffffa,0x3ffffe00,0xffff7003,0xfff8807f,
    0xffff50ff,0xff50005f,0xffff8dff,0xfffe805f,0x000001ff,0x3fffff88,
    0x7ffff400,0xf7000005,0x0000dfff,0x017ffff2,0x13ffffe0,0x1fffff30,
    0xffffff50,0xfffc81bf,0x700002ff,0x000fffff,0x01ffffee,0xfffffd80,
    0x7fffd401,0x3fffe007,0x7fff401f,0x6ffffc8f,0x02ffffc8,0x366fffe8,
    0xd000ffff,0xff91ffff,0xfff90dff,0x7fc4005f,0xe8003fff,0x0005ffff,
    0x0bffffd0,0x3fffa000,0xff80005f,0xf1003fff,0xa809ffff,0x7fc6ffff,
    0xd8005fff,0x7ec4ffff,0xfc807fff,0x0002ffff,0xffff8800,0x7ff4003f,
    0xaaaaaeff,0x00aaaaaa,0x07ffffd0,0x3ffe2000,0x7fc000ff,0x7cc04fff,
    0xfa80ffff,0x306fffff,0x007fffff,0x3fffea00,0xffb8000f,0x3a0007ff,
    0xa805ffff,0x2007ffff,0x402fffff,0xf98ffffe,0x7e41ffff,0x7cc02fff,
    0x3ff63fff,0x099999ff,0x98ffffe8,0x641fffff,0x2002ffff,0x03fffff8,
    0xeffffe80,0xaaaaaaaa,0xffd00aaa,0x55555dff,0x01555555,0x2bbffffa,
    0xaaaaaaaa,0xffff80aa,0xfff1003f,0xffd80bff,0x7ffec4ff,0xfff8007f,
    0x7ffdc2ff,0x7fdc01ff,0x00005fff,0xfffff880,0x7fff4003,0xffffffff,
    0x801fffff,0x00fffff9,0x3fff6000,0x7ffc004f,0x7fcc04ff,0xffa80fff,
    0x3e00efff,0x0004ffff,0x1fffff50,0xffff7000,0x7ffc000f,0xffa804ff,
    0x3fe007ff,0x7f402fff,0xfffb0fff,0xffffc8bf,0x7fffe402,0x3fffff60,
    0xfe85ffff,0xfffb0fff,0xffffc8bf,0x3ffe2002,0xfe8003ff,0xffffffff,
    0x1fffffff,0xffffffd0,0xffffffff,0x3ffa03ff,0xffffffff,0x81ffffff,
    0x003fffff,0x01bffffe,0xb85fffff,0x001fffff,0x03ffffe6,0x09fffff3,
    0xffffffa8,0x44000001,0x003fffff,0x7ffffff4,0xffffffff,0xffd801ff,
    0x400004ff,0x007ffff9,0x027ffffc,0x03ffffe6,0x03ffffea,0x09ffffd0,
    0x3fb72ea0,0xffffffff,0xfffb8000,0xff30007f,0xf5007fff,0x2200ffff,
    0x402fffff,0xf50ffffe,0x7e41ffff,0x7fc02fff,0x7ffec6ff,0x85ffffff,
    0xf50ffffe,0x7e41ffff,0x22002fff,0x003fffff,0xffffffe8,0xffffffff,
    0xfffd01ff,0xffffffff,0x203fffff,0xfffffffe,0xffffffff,0xfffff81f,
    0x3fffa003,0x3ffe607f,0x7ffcc0ff,0x3f2004ff,0xfff05fff,0xff880dff,
    0x0005ffff,0x7fffc400,0x7ff4003f,0xffffffff,0x01ffffff,0x0fffffc4,
    0x7ff40000,0x3fe003ff,0x7cc04fff,0xfa80ffff,0xfe807fff,0x75c04fff,
    0xffffffff,0x00ffffff,0x7ffffb80,0xffff5000,0xfff5005f,0x3fe200ff,
    0x7f402fff,0x3ffa0fff,0x3fff24ff,0x3ffea02f,0x7fffec3f,0xe85fffff,
    0x3fa0ffff,0x3ff24fff,0x3e2002ff,0x8003ffff,0xfffffffe,0xffffffff,
    0xffffd01f,0xffffffff,0x3a03ffff,0xffffffff,0xffffffff,0x3fffff81,
    0x3ffffa00,0x3ffff207,0xdfffff05,0x7ffff400,0xfffff903,0xffffb801,
    0x004004ff,0x7fffff10,0xffffe800,0xffffffff,0x6401ffff,0x0005ffff,
    0xdffff700,0x7ffffc00,0x7fffcc04,0xffffa80f,0xffffe807,0xfffff104,
    0xffffffff,0x0001ffff,0x00fffff7,0x3ffffea0,0xffffa802,0xffff1007,
    0xfffe807f,0x3fffee0f,0x5ffff90f,0x07fffec0,0x3ffffff6,0xffe85fff,
    0x3ffee0ff,0xffff90ff,0x7ffc4005,0xfe8003ff,0xffffffff,0x1fffffff,
    0xffffffd0,0xffffffff,0x3ffa03ff,0xffffffff,0x81ffffff,0x003fffff,
    0x81bffffe,0x903ffffe,0x001fffff,0x03fffff1,0x0fffffea,0xffffff10,
    0x75c403df,0x3ffe2004,0x7f4003ff,0x9999efff,0x01999999,0x02fffff8,
    0xfff10000,0x3fe003ff,0x7cc04fff,0xfa80ffff,0xfe807fff,0xfe884fff,
    0xffffffff,0xffffffff,0xfffb8000,0xff30007f,0xf5007fff,0x2200ffff,
    0x403fffff,0x7c0ffffe,0xff93ffff,0x3fe205ff,0xfffd85ff,0xfffd000f,
    0xfffff81f,0x05ffff93,0x7ffffc40,0xfffe8003,0x999999ef,0x3a019999,
    0x999effff,0x19999999,0x3bffffa0,0x99999999,0xffff0199,0x3fe2007f,
    0xff105fff,0x3ea03fff,0xb803ffff,0x2207ffff,0x805fffff,0xfffffffb,
    0xffdcceff,0x3e2004ff,0x4003ffff,0x005ffffe,0x3fffea00,0x64000006,
    0xf005ffff,0x9809ffff,0xa80fffff,0xe807ffff,0xfe84ffff,0x80aeffff,
    0x00fffffa,0x7ffffb80,0xffff1000,0xfff7007f,0x3fe600ff,0x7f403fff,
    0x7fe40fff,0xffff97ff,0x3fffee05,0x0ffffd82,0x1ffffd00,0x97ffffc8,
    0x4005ffff,0x03fffff8,0x5ffffe80,0xfffd0000,0x3a0000bf,0x0005ffff,
    0x03fffff8,0x9fffff10,0x1ffffee0,0x5fffff88,0xeffffd80,0xfaaaaaaa,
    0xb007ffff,0xffffffff,0xffffffff,0x7ffc4009,0x7f4003ff,0x00005fff,
    0x00fffffa,0xfff10000,0xfff001ff,0xffa809ff,0xffa80fff,0xffe807ff,
    0x7ffc44ff,0x7fd406ff,0xb8000fff,0x000fffff,0x0bfffff0,0x7fffff98,
    0xfffff300,0xffffe809,0x7ffffc40,0x02ffffca,0x360ffffd,0xd000ffff,
    0xf881ffff,0xffcaffff,0x3e2002ff,0x8003ffff,0x005ffffe,0xbffffd00,
    0x3ffa0000,0xf80005ff,0x5003ffff,0x207fffff,0xaaeffffd,0xfffaaaaa,
    0xfff807ff,0xffffffff,0xffffffff,0xffff9002,0xffffffff,0x44009fff,
    0x003fffff,0x02fffff4,0xffff9800,0x8000000f,0x804ffffd,0x204ffffe,
    0x0ffffff8,0x07ffffa8,0x44ffffe8,0x02fffffa,0x07ffffd4,0x7fffd400,
    0xffd0003f,0x3a201fff,0x007fffff,0x09fffff3,0x80ffffe8,0xfceffffd,
    0xff982fff,0xffffffff,0x000fffff,0xb01ffffd,0xff9dffff,0x7c4005ff,
    0x8003ffff,0x005ffffe,0xbffffd00,0x3ffa0000,0xf80005ff,0xb003ffff,
    0x205fffff,0xffffffff,0xffffffff,0x3ea02fff,0xffffffff,0xffffffff,
    0x3ea004ff,0xffffffff,0x003fffff,0x0fffffe2,0xbffffd00,0x3ff60000,
    0x000004ff,0x0fffff50,0x0dffffb0,0x3fffffa2,0xffffa80f,0xffffe807,
    0x7ffffdc4,0x3fffa201,0xf98000ff,0x0005ffff,0x09fffff7,0xffffffd1,
    0x3ffe600f,0x7ff404ff,0xfff980ff,0x2ffffeff,0xffffffc8,0xffffffff,
    0xfffd000f,0xffff301f,0x05ffffdf,0x7ffffc40,0xfffe8003,0xfd00005f,
    0x0000bfff,0x017ffffa,0x3ffffe00,0xffff9803,0xfffa80ff,0xffffffff,
    0xffffffff,0x3ffff204,0xffffffff,0x6fffffff,0xfffda800,0x0befffff,
    0x7fffc400,0x7ff4003f,0x880005ff,0x001fffff,0x3ffa0000,0x7fe402ff,
    0x7ec40fff,0x80ffffff,0x807ffffa,0x544ffffe,0x305fffff,0x1ffffffd,
    0xffff1000,0x073107ff,0x3fffffe2,0xffffd9ad,0x5007ffff,0x809fffff,
    0xb00ffffe,0xffffffff,0xfffff05f,0xffffffff,0x3a001fff,0xfb00ffff,
    0xffffffff,0x7ffc4005,0xfe8003ff,0x00005fff,0x00bffffd,0x3ffffa00,
    0xfff80005,0xffd803ff,0xff903fff,0xffffffff,0xffffffff,0x7fff40df,
    0xffffffff,0xffffffff,0xffd0001f,0x800035ff,0x03fffff8,0x2fffff40,
    0x7ffdc000,0x0000005f,0x037fffdc,0x3fffffee,0xfffffc9c,0xfa80ffff,
    0xfe807fff,0x7fcc4fff,0x710bffff,0xffffffff,0x3ffa0001,0xffffffff,
    0x3ff207ff,0xffffffff,0x7fffffff,0xfffff500,0xffffe80b,0xfffff500,
    0xfa85ffff,0xffffffff,0x0fffffff,0x1ffffd00,0x3ffffea0,0x2002ffff,
    0x03fffff8,0x5ffffe80,0xfffd0000,0x3a0000bf,0x0005ffff,0x03fffff8,
    0x37ffffe4,0xffffffd0,0xffffffff,0x03ffffff,0x33fffff3,0x33333333,
    0x07fffff7,0xbffff100,0x3fe20000,0x74003fff,0x0005ffff,0x02fffff8,
    0x7c400000,0x2201ffff,0xffffffff,0xffffffff,0xfffa80ff,0xfffe807f,
    0xfffff84f,0xffffefff,0x00ffffff,0xfffff300,0xffffffff,0x7ffffc40,
    0xafffffff,0x5007fffd,0x80bfffff,0x200ffffe,0xfffffffe,0x7fffec2f,
    0xe9999999,0xd000ffff,0x7401ffff,0xffffffff,0x3ffe2002,0xfe8003ff,
    0x00005fff,0x00bffffd,0x3ffffa00,0xfff80005,0xfea883ff,0x302fffff,
    0x333fffff,0x73333333,0x707fffff,0x400dffff,0x05fffff8,0x2ffff980,
    0x66665400,0xdfffffcc,0xd04ccccc,0x999dffff,0x99999999,0x6ffffa87,
    0x90000000,0xc80bffff,0xffffffff,0xfffcbfff,0xffffa80f,0xffffe807,
    0xfffffa84,0xdfffffff,0x000ffffd,0x3ffffee0,0x07ffffff,0x7fffff44,
    0xffb2ffff,0x3fee00ff,0x7f405fff,0x3ee00fff,0x2fffffff,0x01bfffe2,
    0x557ffffb,0xffe81555,0x3fee00ff,0x82ffffff,0xfcccccca,0xcccdffff,
    0x3ffa04cc,0xccccceff,0x03cccccc,0x99dffffd,0x99999999,0x3fffa079,
    0xccccccef,0xf83ccccc,0xdccdffff,0xfffffffe,0x3ffee06f,0x3fe2006f,
    0xffd85fff,0x7f4004ff,0x4000ffff,0x8007fffb,0xfffffffc,0xffffffff,
    0xfffd07ff,0xffffffff,0xe8dfffff,0x0003ffff,0xfff30000,0x7f4401ff,
    0xffffffff,0x01ffff93,0x00fffff5,0x209ffffd,0xfffffffd,0xfff94fff,
    0xc880001f,0xffffffff,0xffd8806f,0x360dffff,0x00007fff,0x07ffff40,
    0x3fffffe0,0x3ffee2ff,0x7ffec03f,0x2fffffff,0x007ffff4,0x3ffffffe,
    0xffffc82f,0xffffffff,0x207fffff,0xfffffffe,0xffffffff,0xffffd06f,
    0xffffffff,0x3a0dffff,0xffffffff,0xffffffff,0xffffff86,0xffffffff,
    0x3600cfff,0x4004ffff,0x20fffffe,0x01fffff8,0x7ffffe40,0x7ffec002,
    0xfffc8004,0xffffffff,0x07ffffff,0xfffffffd,0xffffffff,0x7fffccdf,
    0x0000000f,0x0fffff60,0x3fffff20,0x3fff21df,0xffffa80f,0xffffe807,
    0x3fffea04,0x3f21dfff,0x00000fff,0x35575531,0x2aaa2000,0x00000000,
    0x00ffffe8,0x7fffffe4,0x3ffffa2f,0x7fffec00,0x42ffffff,0x400ffffe,
    0xfffffffc,0xfffffc82,0xffffffff,0x3a07ffff,0xffffffff,0xffffffff,
    0xfffffd06,0xffffffff,0x3fa0dfff,0xffffffff,0x6fffffff,0xfffffff8,
    0xffffffff,0x7ffc402e,0x7e4001ff,0x3ea2ffff,0xa8007fff,0x004fffff,
    0x000ffff4,0x7fffffe4,0xffffffff,0xffd07fff,0xffffffff,0x4dffffff,
    0x004ffffc,0x7d400000,0x26007fff,0x20000aba,0x807ffffa,0x804ffffe,
    0x000aaba8,0x00000000,0x00000000,0xffffd000,0xffff8801,0xfff32fff,
    0xfffb00bf,0x5fffffff,0x00ffffe8,0x7fffffc4,0xffffc82f,0xffffffff,
    0x207fffff,0xfffffffe,0xffffffff,0xffffd06f,0xffffffff,0x3a0dffff,
    0xffffffff,0xffffffff,0xffffff86,0xffffffff,0xfffa800c,0xffa8007f,
    0x3ff24fff,0xff0005ff,0xc800ffff,0xf90004cc,0xffffffff,0xffffffff,
    0x3ffffa0f,0xffffffff,0x3b66ffff,0x00001eee,0xeeed8000,0x0000001e,
    0x00000000,0x00000000,0x00000000,0x74000000,0xd800ffff,0x92ffffff,
    0xb005ffff,0xffffffff,0xfffe85ff,0xfffd800f,0xffc82fff,0xffffffff,
    0x7fffffff,0x3fffffa0,0xffffffff,0xffd06fff,0xffffffff,0x0dffffff,
    0x3ffffffa,0xffffffff,0xffff86ff,0xceefffff,0x3ff2000a,0xff0005ff,
    0x0000ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x31000000,0x00000013,0x00020000,0x00002000,0x00999880,
    0x05750000,0x00000000,0x00000220,0x00009988,0x0000ae60,0x00000660,
    0x55544000,0x4cc4002a,0x00000000,0x00000000,0x55500000,0x98800155,
    0x99800009,0x04000199,0x00440000,0x90000000,0xdd503999,0x3bb69ddd,
    0x7fff5c5e,0x362004ef,0xdff504ff,0xfec98003,0x001502df,0x2dffec98,
    0xdb880150,0xffffffff,0xd80000be,0x4000efff,0xf504ffd8,0x32a003df,
    0x1deffffe,0x46eeed80,0x4effffeb,0x7ffec000,0x3260000e,0x2deffffe,
    0x90000000,0x8809ffff,0xefffffec,0x4eeeeeee,0x413ff620,0x1001effa,
    0x3ea09ffb,0x000001ef,0x3ffffe20,0xb8bdddb0,0x04effffe,0x3ffffae0,
    0x00deffff,0x2dffec98,0xec880150,0x3000deff,0x0001bddd,0x80ffffa8,
    0xd4fffffa,0x3fa2dfff,0xefffffff,0xffffc800,0x37fffcc4,0xfffff300,
    0x77d43dff,0xffff3000,0x7d43dfff,0xffffb00e,0xffffffff,0x5c0007ff,
    0x005fffff,0x227fffe4,0x406ffff9,0xffffffd9,0x201dffff,0xe88fffff,
    0xffffffff,0xffb8000d,0x90005fff,0xffffffff,0x00001bff,0xffffd800,
    0xffff9101,0xffffffff,0x640dffff,0x7cc4ffff,0xf9006fff,0xff989fff,
    0x76c006ff,0xeeeeeeee,0x3ffe60ee,0x5bfffa5f,0xffffffe8,0x3ee00eff,
    0xffffffff,0x4c01ffff,0xefffffff,0x4c03bea1,0xffffffff,0x3fffe801,
    0xfffd8000,0xfffff305,0x23ffffa9,0xfffffffe,0xff805fff,0x7fe47fff,
    0xf8802fff,0xffffffff,0x06fffeef,0xffffff88,0xffeeffff,0xffffb06f,
    0xffffffff,0x20007fff,0x07fffffe,0x3fffffc0,0x0bfffff2,0x7fffffd4,
    0xffffffff,0x3fffff00,0xfffffffd,0xb000bfff,0x01ffffff,0x7ffff440,
    0xffffffff,0x0000002f,0xd81bfffe,0xffffffff,0xffffffff,0x3fffe06f,
    0x7fffe47f,0xffff802f,0x7fffe47f,0x3ffe002f,0xffffffff,0x3fffee0f,
    0x23ffffa2,0xfffffffe,0xffb05fff,0xffffffff,0x4403ffff,0xffffffff,
    0x6fffeeff,0xffffff88,0x7e406fff,0x880006ff,0xf302ffff,0x3fa7ffff,
    0xffffefff,0xffffffff,0x7ffffc01,0x7ffffe46,0xffffc801,0xfffffffe,
    0xfc803fff,0xffffefff,0x03ffffff,0xdffffffb,0xfffffffd,0xffd0001f,
    0xf800ffff,0x7e46ffff,0xf881ffff,0xffffffff,0x0effffff,0xfefffff8,
    0xffffffff,0x6c001fff,0x00ffffff,0xffffff10,0xfffffddf,0x530001ff,
    0x7cc05555,0xff703fff,0xff9bdfff,0xffffffff,0x7ffffc0d,0x7ffffe46,
    0xfffff801,0x7ffffe46,0x3fffe001,0xffffffff,0xd1ffff60,0xfffdffff,
    0xffffffff,0xffffb83f,0xffeeefff,0x3f201fff,0xffffefff,0x83ffffff,
    0xfcbffffb,0xff303fff,0x220003ff,0x0ffffb99,0x7fffff10,0x3ffffffa,
    0xfffccfff,0x7e405fff,0x7fcc4fff,0x3f2006ff,0xffffb10d,0x64009fff,
    0xfffb10df,0x6c09ffff,0xe9809bef,0x004fffff,0x5fffffb8,0x7fffe400,
    0x37fffcc4,0xcfffffd8,0xffffd511,0xfffff05f,0xb57dffff,0x00bfffff,
    0x5fffffa8,0x3fffee00,0x7ffe443f,0xfc8004ff,0x3ee07fff,0xff880fff,
    0xfea84fff,0x0099cfff,0x313ffff2,0x200dffff,0x4c4ffffc,0x4006ffff,
    0xffffffff,0x3fe0ffff,0x7fff44ff,0xccffffff,0x45ffffff,0x0bffffff,
    0xc803b730,0xfffb10df,0x3a09ffff,0x3fee0fff,0x7fffd05f,0x7f6dc400,
    0x05ffffff,0x4bffffe2,0xfffffffe,0x7ffffc42,0x04ffc806,0x8001bfd5,
    0xbfffb303,0x26070007,0x403dfffd,0xffd1000a,0x32000dff,0x8000dfff,
    0xfd504ffc,0xffff301b,0x3ffe207f,0xffff84ff,0xfe82ffff,0xc8007fff,
    0x1000efff,0x405fffff,0x00fffffc,0x3ffffe40,0x20dfffb0,0x206ffffa,
    0x006ffffb,0x75413ff2,0x3f2000df,0x1bfd504f,0xccccc800,0x0fffffec,
    0xe83ffff3,0x2fffffff,0x37ffffc4,0x0bfffff3,0xb3038000,0x7c07bfff,
    0x7ffcc7ff,0x06fffc86,0x3ffffea0,0x1fffffff,0x4bffffe0,0x2ffffffe,
    0x0fffff90,0x00000000,0x000004c0,0x00000260,0x03ffffdc,0x00035100,
    0xff500000,0xffd80fff,0xffff85ff,0xff703fff,0x22000fff,0x7fe4001a,
    0x7fc404ff,0x64003fff,0x3e07ffff,0xff903fff,0x7fc407ff,0x00001fff,
    0x00000000,0xfffb8000,0xffff70ff,0xffffffd0,0x3ffff205,0x3ffffee7,
    0x80000003,0x7ffcc009,0x23fffc46,0x001ffff9,0xfffffff9,0x7fffffff,
    0x47ffffe0,0x03fffffe,0x03ffffea,0x00000000,0x00000000,0x7d400000,
    0x0000ffff,0x00000000,0x05ffffc8,0x427ffff4,0x04ffffff,0x03ffffe6,
    0xff800000,0xfd801fff,0x64004fff,0x2607ffff,0x3ff60199,0x7fec01ff,
    0x000002ff,0x00000000,0xffffb800,0x0133310f,0x07fffffd,0x87ffffd4,
    0x1ffffffa,0x00000000,0x446fff88,0x7ff46fff,0xfffb003f,0xffffffff,
    0xd05fffff,0x3fa3ffff,0x7cc05fff,0x0001ffff,0x80000033,0x10000019,
    0x00001333,0xfffffa80,0x00c40000,0x09998800,0x9ffffb00,0x7ffffcc0,
    0x5fffff83,0x7ffffcc0,0x00330001,0x07ffffc4,0x2ffffe40,0x3ffff200,
    0xffd80007,0x7ff403ff,0x000001ff,0x00cc0000,0x3fee0000,0x3a000fff,
    0x4c05ffff,0xf11fffff,0x5bffffff,0x00000000,0x2a0ffff8,0x3fee5fff,
    0xfff5006f,0xff559fff,0x1fffffff,0xd0ffffe8,0x9809ffff,0x801fffff,
    0xffffedb8,0x220003de,0xeffffedb,0xdb88003d,0xffffffff,0x5d4000be,
    0xfffffedc,0x4000ffff,0xfffffdca,0x2e201cdf,0xfffffffd,0xffd00bef,
    0x3fa209ff,0xff80ffff,0x00004fff,0x7fff64c0,0x3e602def,0xffffffff,
    0xffffffff,0x7e4007ff,0x80007fff,0x206ffffb,0x407ffff8,0x403eeeed,
    0x00eeeee9,0xffffd930,0x800005bd,0x00fffffb,0x13ffffa0,0x3fffff30,
    0x7fffffec,0x2002dfff,0x403eeeed,0x20eeeee9,0xe98cfffe,0xfff33fff,
    0x3ffa003f,0x3fee1fff,0x3fffffff,0xe87fffec,0x4c04ffff,0x401fffff,
    0xffffffe9,0x001effff,0x7fffff4c,0x01efffff,0xffffffb0,0xffffffff,
    0xfffd7007,0xffffffff,0x2a001fff,0xfffffffe,0xfb03ffff,0xffffffff,
    0xd07fffff,0xd109ffff,0x205fffff,0x004fffff,0x3fff2000,0xdfffffff,
    0xfffffb80,0xffffffff,0x07ffffff,0x3ffffe40,0x7ffcc000,0xffd882ff,
    0x7ffc06ff,0x7fcc04ff,0xfc800fff,0xffffffff,0x700000df,0x001fffff,
    0x027ffff4,0x87ffffe6,0xfffffff8,0x01cfffff,0x027ffffc,0x83ffffe6,
    0xfffffffb,0x3fffa6ff,0xffff5004,0xcfffe85f,0x4c6ffffe,0x3ffa2aaa,
    0x7fcc04ff,0x3f201fff,0xffffffff,0x003fffff,0xfffffff9,0x7fffffff,
    0xfffffb00,0xffffffff,0x3fe207ff,0xffffffff,0x0fffffff,0x7fffec40,
    0xffffffff,0xffffb03f,0xffffffff,0xffe87fff,0x7ff444ff,0x3fe02fff,
    0x00004fff,0xfffffe88,0xffffffff,0x7ffffe42,0xffffffff,0x07ffffff,
    0x3ffffe40,0xfffd8000,0xfecacfff,0x7c01ffff,0x4c04ffff,0x200fffff,
    0xffffffe8,0x2fffffff,0xfffb8000,0x3fa000ff,0x7cc04fff,0x6c41ffff,
    0xffffffff,0x3e03ffff,0x4c04ffff,0x740fffff,0xffffffff,0x00dfff72,
    0x237fffec,0xfb9ffff8,0xd001ffff,0x9809ffff,0xb01fffff,0xffffffff,
    0xffffffff,0xffffd803,0xffffffff,0x6c01ffff,0xeeffffff,0xffffffff,
    0x7ffff440,0xffffffff,0x200fffff,0xffffffe8,0xffffffff,0xfffffb03,
    0xfffffddf,0x7ff41fff,0x7ffec4ff,0x7ffc02ff,0x400004ff,0xfffffff8,
    0xffffffee,0x3ffff20f,0xffffffff,0x6fffffff,0x7fffe400,0xff100007,
    0xffffffff,0xf007ffff,0x9809ffff,0x100fffff,0xdfffffff,0xfffffffd,
    0xffb80001,0x3a000fff,0x4c04ffff,0x501fffff,0xfffffffb,0x3e09ffff,
    0x4c04ffff,0x440fffff,0x1efffffc,0x003ffff1,0x21fffff4,0x3fe6fffb,
    0x3fe62fff,0xffffd5ff,0xffff9809,0xffff981f,0xfdcbdfff,0x206fffff,
    0xfffffff9,0xffffdcbd,0x77ec06ff,0xffe9809b,0x7ff44fff,0xa80aefff,
    0x200fffff,0xfffffffc,0xffeeccde,0x137dfb03,0xfffffd30,0x27ffff49,
    0x07fffff3,0x09fffff0,0xfffb8000,0x7fe443ff,0x3fee4fff,0x000007ff,
    0x1fffff20,0x7ffe4000,0xffffffff,0xfff004ff,0xff9809ff,0xff700fff,
    0xfc887fff,0x0004ffff,0x07ffffdc,0x9ffffd00,0xfffff980,0x7fedc401,
    0x1fffffff,0x04fffff8,0x07ffffcc,0x741aba88,0x7c004fff,0x7f41ffff,
    0x3fffe4ff,0x3fffee3f,0x09ffffd2,0x1fffff98,0x4fffffe8,0xffffff30,
    0x3ffffa07,0xffff304f,0x005407ff,0x6ffffe88,0x1bffffe2,0x1fffff50,
    0x3ffffe60,0x0b2600ef,0xfe880054,0x3ffa6fff,0x3ffee4ff,0xfff800ff,
    0x200004ff,0x02fffff8,0x43fffff2,0x00fffffa,0xff900000,0x30000fff,
    0xfffdffff,0x0019ffff,0x027ffffc,0x03ffffe6,0x0bffffe2,0x0fffffc8,
    0x3ffee000,0x3fa000ff,0x7cc04fff,0x2001ffff,0xfffffeb8,0xfffff84f,
    0x7fffcc04,0xffb8000f,0x3e2000ef,0x3e20ffff,0x3ffa1fff,0x3fff64ff,
    0x13ffffa7,0x3fffff30,0x4fffffa8,0x7ffffcc0,0xfffffa87,0x7fffcc04,
    0x2e00007f,0x3ea7ffff,0x5402ffff,0xd00fffff,0x009fffff,0xff700000,
    0x7fff4fff,0x3ffff24f,0xffff800f,0x3200004f,0x4404ffff,0xf13fffff,
    0x0005ffff,0x3fff2000,0xfd80007f,0x26aa66ff,0xffff0000,0xfff9809f,
    0xfffc80ff,0x7ffc404f,0x2e0003ff,0x000fffff,0x013ffffa,0x03fffff3,
    0x3ffff200,0xfffff86f,0x7fffcc04,0x7fc4000f,0x7d4002ff,0x7fdc7fff,
    0x7fffec6f,0xe93fffa4,0x4c04ffff,0x6c1fffff,0x800fffff,0x40fffffe,
    0x00fffffd,0x0fffffe8,0xfff50000,0x3ffee1ff,0x3fa201ff,0xf980ffff,
    0x000fffff,0xffa80000,0xfffd0fff,0x7fffdc9f,0xffff803f,0x3e00004f,
    0xd801ffff,0x3fe4ffff,0x00006fff,0xfffff900,0xfff88000,0xf800005f,
    0x4c04ffff,0xf80fffff,0xd801ffff,0x0004ffff,0x03ffffee,0x4ffffe80,
    0x7ffffcc0,0xfff10001,0xffff0dff,0xfff9809f,0x7ec000ff,0xfa8004ff,
    0x3fa0ffff,0x7fff43ff,0x3ffff13f,0x027ffff4,0x07ffffe6,0x00bffffd,
    0x07ffffea,0x00bffffd,0x07ffffea,0x7ffd4000,0xffff50ff,0x3ffa60bf,
    0xfa80ffff,0x0003ffff,0xfff50000,0x3fffa1ff,0x3fffe64f,0x7ffc02ff,
    0x100004ff,0x001fffff,0x64bffff9,0x004fffff,0xfffc8000,0x7cc0007f,
    0x0000ffff,0x27ffffc0,0x3ffffe60,0x7ffffc40,0xffffc800,0x3fee0005,
    0x3a000fff,0x4c04ffff,0x011fffff,0xfffffa80,0x4fffff84,0x7ffffcc0,
    0x3ffea000,0xff98000f,0xfff31fff,0xfffff83f,0xe8dfff32,0x4c04ffff,
    0x7c1fffff,0x3003ffff,0xf85fffff,0x3003ffff,0x005fffff,0x3ffb72ea,
    0x0fffffff,0x7ffffff3,0x3fffee21,0xfc80ffff,0x0000ffff,0xfdb97500,
    0xffffffff,0x13ffffa1,0x9ffffffd,0x27ffffc0,0xfff98000,0xffffffff,
    0xffffffff,0x3ffffe27,0xb9880aef,0xffc8004d,0x440007ff,0xacffffff,
    0x0009aaaa,0x027ffffc,0x03ffffe6,0xfffffff3,0xffffffff,0x000fffff,
    0x07ffffdc,0x9ffffd00,0xfffff980,0x2017bf71,0xffffff98,0x4fffff82,
    0x7ffffcc0,0xffff1000,0x44009885,0xf72fffff,0xfff88dff,0x599931ff,
    0x04ffffe8,0x0fffffcc,0x07fffff1,0x3ffffe20,0x3ffffe23,0xffff1003,
    0xffeb807f,0xffffffff,0x3fe0ffff,0xfeffffff,0xffffffff,0xffffd80f,
    0xeb800007,0xffffffff,0xd0ffffff,0xf989ffff,0x0effffff,0x04fffff8,
    0xffff7000,0xffffffff,0xffffffff,0xffffffa8,0xffffefff,0xfc8005ff,
    0x80007fff,0xfffffffd,0xefffffff,0x7fffc00c,0x7ffcc04f,0x7ffdc0ff,
    0xffffffff,0xffffffff,0x3fee0007,0x3a000fff,0x4c04ffff,0xf71fffff,
    0xdbddffff,0xffffffff,0x9fffff01,0xfffff980,0xbfffb000,0x27ffff5c,
    0x29fffff0,0x7dc3fffe,0xd000ffff,0x9809ffff,0x2a1fffff,0x002fffff,
    0xa93ffffe,0x002fffff,0x413ffffe,0xfffffff8,0xffffffff,0x3ffea0ff,
    0xffffffff,0x0ffffddf,0x06fffff8,0x3ffe2000,0xffffffff,0xd0ffffff,
    0xf509ffff,0x1dffffff,0x04fffff8,0xffff9000,0xffffffff,0xffffffff,
    0xffffffb0,0xffffffff,0xff9000bf,0x10000fff,0xfffffffd,0xffffffff,
    0x7fffc07f,0x7ffcc04f,0x7ffe40ff,0xffffffff,0xffffffff,0x3fee0007,
    0x3a000fff,0x4c04ffff,0xf71fffff,0xffffffff,0x3fffffff,0x13ffffe0,
    0x1fffff30,0x1ffff500,0x3ffffff6,0xfffc80ef,0x0ffffaff,0x037ffff4,
    0x09ffffd0,0x1fffff98,0x0bffffe6,0x7ffffc40,0x3ffffe63,0xffff1002,
    0xfffd107f,0xffffffff,0x81ffffff,0xfffffffd,0xfff94fff,0xffffd01f,
    0x3a20000f,0xffffffff,0xffffffff,0x9ffffd0f,0x3ffffea0,0x7fffc6ff,
    0xf900004f,0xffffffff,0xffffffff,0x3fea0dff,0xffffffff,0x8005ffff,
    0x007ffffc,0xfffff500,0xffffffff,0x3e07ffff,0x4c04ffff,0x640fffff,
    0xffffffff,0xffffffff,0x20006fff,0x00fffffb,0x13ffffa0,0x3fffff30,
    0x3fffffee,0xffffffff,0x3fffe01f,0x7ffcc04f,0x7fc400ff,0xffff72ff,
    0x509fffff,0xffffffff,0xffffd8df,0x3ffa001f,0x7fcc04ff,0x3fe21fff,
    0xf3003fff,0x7c45ffff,0x3003ffff,0xd05fffff,0x15dfffff,0x1fffff50,
    0xffffff50,0x7ffe43bf,0xffffd80f,0xfe80000f,0x80aeffff,0xd0fffffa,
    0x4409ffff,0x3ffffffe,0x013ffffe,0x7fffdc00,0x91000007,0xfffffffd,
    0x0005bdff,0x00fffff9,0xfffff500,0xffdddddd,0x01ffffff,0x809fffff,
    0x40fffff9,0x007ffffb,0xff700000,0x74001fff,0x4c04ffff,0xb30fffff,
    0xffffffff,0xf005bfff,0x9809ffff,0x400fffff,0xff15fffd,0xfff939ff,
    0xffffd01f,0xd517ffff,0x00bfffff,0x7c000000,0x5004ffff,0xf83fffff,
    0x5004ffff,0x883fffff,0x406fffff,0x00fffffa,0x102aaea2,0x3209fffd,
    0x002fffff,0x7ffffc40,0x7fffd406,0x9ffffd0f,0xffffe880,0x0000005f,
    0x01fffff5,0xb5300000,0x0007ffff,0x07ffffc8,0x7fffcc00,0x7ff4c03f,
    0xfff82fff,0x7fd404ff,0x7fd40fff,0x00000fff,0xffffb800,0x4000000f,
    0x107ffffa,0x35575553,0x7fffc001,0x7ffd404f,0x3fea00ff,0xbfff50ff,
    0x981fffe8,0xffffffff,0xffffffff,0x0000001f,0x3ffffa00,0xfffd800f,
    0xffffe87f,0xfffd800f,0xffffa87f,0x7ffd402f,0x220000ff,0x2e05fffe,
    0x006fffff,0x7ffffd40,0x7fffd402,0x9ffffd0f,0xfffff100,0x2000000f,
    0x02fffff8,0xff100000,0x900009ff,0x000fffff,0x05ffffe8,0x9fffff10,
    0x09ffffd0,0x7fffffc4,0x7ffffc40,0x80000002,0x00fffffb,0x7fdc0000,
    0x000006ff,0x09ffffd0,0x7fffffc4,0x5ffff100,0x321fffdc,0xff702fff,
    0xffffffff,0x005fffff,0xaaaaa800,0x3fff6000,0x7fcc03ff,0xffd86fff,
    0x7cc03fff,0xfb86ffff,0x2201ffff,0x00fffffe,0x3ffff200,0x3fffe600,
    0x2e0003ff,0x201fffff,0x0fffffe8,0x009ffffd,0x01fffff6,0x002aaaaa,
    0x1bffffe0,0x7f400000,0x900006ff,0x000fffff,0x17ffffc4,0x7fffff00,
    0x0dffffb0,0x3fffffa2,0xfffff80f,0x80000006,0x00fffffb,0x7ff40000,
    0x555005ff,0x7ec00155,0xfd106fff,0x201fffff,0x7e45fffc,0x7ffdc2ff,
    0x3fffea03,0xffffffff,0xf800000d,0x4c007fff,0x02ffffff,0x3ffffff3,
    0xffffff30,0x3fffe605,0xfffa81ff,0xffd305ff,0x0001ffff,0x013fffe2,
    0x3ffffff6,0x2a15400d,0x305fffff,0x1ffffffd,0x013ffffa,0x037fffec,
    0x003ffffc,0x4fffffc8,0x7cc00000,0x00003fff,0x00fffff9,0x7ffffcc0,
    0xffff5003,0xffff903f,0xfffd881f,0xfc80ffff,0x0004ffff,0x7ffdc000,
    0x000000ff,0x0fffffee,0x03ffffc0,0x3fffff20,0x7fffec40,0xffa80fff,
    0x7ffe40ff,0x017ffe43,0x3fffffea,0x0003dfff,0xbffff100,0xffffb000,
    0xf9537bff,0x409fffff,0xdffffffd,0xffffca9b,0xfff304ff,0x2e217fff,
    0xffffffff,0xfff50000,0xfff100bf,0x59bfffff,0x989ffb95,0x0bffffff,
    0xffffff71,0x3fffa1ff,0x3ee0664f,0x4404ffff,0x0005ffff,0xdffffff1,
    0x9b731015,0xffffb800,0xff900004,0xf8000fff,0x400effff,0x07fffffa,
    0x9ffffff7,0xffffff93,0xff101fff,0x015dffff,0x0009b731,0x0fffffb8,
    0x6cc40000,0x00ffffff,0x05ffff88,0x7ffffdc0,0xffffc9cf,0x440fffff,
    0xfa83fffe,0x7fff45ff,0x77ffe401,0x00000abb,0x2ffffa80,0xffff8800,
    0xffffffff,0x200fffff,0xfffffff8,0xffffffff,0x3ffe00ff,0xffefffff,
    0xffffffff,0xfff30000,0x5c097bff,0xffffffff,0x4fffffff,0xfffffff8,
    0xffffffef,0xffd0ffff,0x7ffe49ff,0xffffffff,0x7fffd401,0x3fea0002,
    0xefffffff,0x05ffffff,0x7ffffd40,0x320003bc,0xeeefffff,0xeeeeeeee,
    0x3ffff62e,0xcbabdeff,0x1ffffffe,0xffffff10,0xffffffff,0x2a01ffff,
    0xffffffff,0xffffffef,0x99998805,0xfffffc99,0x00999999,0xfffffa80,
    0xf5002fff,0x88005fff,0xffffffff,0xffffffff,0x7ffe40ff,0x7ffff306,
    0x00ffff91,0x0005ffff,0xfff70000,0x3ee0001f,0xffffffff,0x01ffffff,
    0xffffffb8,0xffffffff,0x7ffd401f,0xffffffff,0x0ffffddf,0xffff1000,
    0xfd80ffff,0xffffffff,0xa84fffff,0xffffffff,0xffddffff,0xffffd0ff,
    0x7ffffe49,0x803fffff,0x000ffffb,0x7ffffec0,0xffffffff,0x7cc005ff,
    0x06ffffff,0x3ffff200,0xffffffff,0x223fffff,0xffffffff,0xffffffff,
    0x7fe402ff,0xffffffff,0x0ffffcbf,0x3fffff60,0xffffffff,0xffd805ff,
    0xffffffff,0xffffffff,0xfffa8004,0x2005ffff,0x000ffffb,0xffffffc8,
    0xfcbfffff,0x3fe60fff,0x3ff600ff,0x3fffffff,0x07fffd40,0x6c000000,
    0x40006fff,0xffffffe9,0x00dfffff,0x3ffffa60,0xdfffffff,0xffffb000,
    0x29ffffff,0x000ffffc,0x3ffffee0,0xffea807f,0xffffffff,0xfffb04ff,
    0x9fffffff,0x743ffff2,0x3f24ffff,0xffffffff,0xdfffb004,0x3fea0000,
    0xffffffff,0x8005ffff,0x6ffffffc,0x3fff2000,0xffffffff,0x43ffffff,
    0xffffffe8,0xffffffff,0xffe8801d,0x3fffffff,0x801ffff9,0xfffffffa,
    0x5fffffff,0xfffffd80,0xffffffff,0x004fffff,0xffffffa8,0x7ffec003,
    0xffd10006,0x7fffffff,0xe83ffff2,0x7cc03fff,0x5fffffff,0x05fffd80,
    0xff000000,0x200007ff,0xffffffeb,0x2e0002df,0xfffffffe,0xffa8002d,
    0x21dfffff,0x000ffffc,0x7fffed40,0x3ffae005,0xbdffffff,0x3fffea00,
    0x3f21dfff,0xfffd0fff,0x7fffe49f,0x2000cfff,0x0003ffff,0x3fffb220,
    0xdeffffff,0xffd50002,0x640009ff,0xffffffff,0xffffffff,0xfff9303f,
    0xbfffffff,0xfff90003,0x7e43bfff,0xc8800fff,0xfffffffe,0xd802deff,
    0xffffffff,0xffffffff,0xfa8004ff,0x8000ceff,0x0003ffff,0x7fffffe4,
    0x3ffff21d,0x00dfff90,0x3fffff62,0x5dddb003,0x20000000,0x00001999,
    0x00157530,0x15753000,0x2ea20000,0x000000aa,0x88000080,0x80019aa9,
    0x000aaba8,0x9aa99800,0x33330000,0xa9800000,0x0009aaab,0x80000400,
    0xfffffffc,0xffffffff,0x998803ff,0x000019aa,0x0002aea6,0xaaba9800,
    0x7ec0009a,0xffffffff,0xffffffff,0x1a88004f,0x19998000,0x2ea60000,
    0x0000000a,0x000054c4,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x37777540,0xdddddd50,0x10000009,0x76400033,0x302eeeee,
    0x00000017,0x775c0000,0x8004eeee,0x000deeeb,0x107bbb20,0xc800dddd,
    0x77441eee,0x75c0006e,0x00000dee,0x777775c0,0xeeeea84e,0x000004ee,
    0x40080660,0xc81eeeeb,0x10005eee,0x40000000,0x3eeeeeeb,0x41eeec80,
    0x0006eee8,0x006f775c,0x3bae0000,0xea84eeee,0x004eeeee,0xeeeb8000,
    0x0000000d,0x01ffffee,0xbffffff5,0x3bbb6000,0x7ffff5c5,0x3a2000ce,
    0xa9ffffff,0x000fffec,0xb103dff5,0x400007ff,0x3ffffffb,0xffffb800,
    0xf90000ef,0xfffb89ff,0x7ffe4006,0x037ffdc4,0xfffff700,0x2000001d,
    0x3ffffffb,0x3ffffea0,0xa800005f,0xeffffedb,0x401fedbd,0x361ffffd,
    0x2000ffff,0x02dffec9,0xb8000015,0x03ffffff,0xb89fff90,0x20006fff,
    0x0efffffb,0xff700000,0x5407ffff,0x05ffffff,0x3fee0000,0x0000efff,
    0x555554c0,0xaafffffc,0xffffd102,0xffd000bf,0x3fffa2df,0x00efffff,
    0x3ffffa20,0xffffffff,0xffff9800,0x7ffff40f,0xffb80002,0x8001ffff,
    0xfffffffb,0xfff50006,0xffff959f,0xfffa800b,0xffffcacf,0xfff70005,
    0x000dffff,0xfffff700,0xffd1003f,0x0000bfff,0x3fffff62,0xffffffff,
    0xfffe801f,0x1ffffd9f,0x3fffe600,0x3ea1efff,0xf700000e,0x003dffff,
    0x567fffd4,0x005ffffc,0xffffff70,0x700000df,0x03ffffff,0xfffffd10,
    0xf700000b,0x0dffffff,0xfffc8000,0xffffffff,0x7fe407ff,0x74005fff,
    0xffe8ffff,0xffffffff,0x76dcc00e,0xffffffff,0xc800ffff,0x262fffff,
    0x005fffff,0x7ffffdc0,0xffa8000d,0x5ffffcff,0xffffd000,0x01ffffff,
    0xfffffd00,0x001fffff,0xf9ffff50,0x0000bfff,0x6fffffdc,0x7ffe4000,
    0x540005ff,0xffffffff,0xffffffff,0xfffe8801,0x001fffff,0x3fffffe2,
    0xffeeffff,0xfb80006f,0x000dffff,0xffffffe8,0x8000ffff,0xffcffffa,
    0x200005ff,0x0dfffffb,0x7fffe400,0x2a00005f,0xfffcffff,0x3200005f,
    0xffffffff,0x807fffff,0x05fffffa,0x3bffffa0,0xffffffff,0x2605ffff,
    0xffffffff,0xceffffff,0xffffc800,0x3fffe22f,0x3ee0005f,0x0003ffff,
    0x267ffff5,0x8005ffff,0xfffffff9,0xf30002ff,0xffffffff,0xfff50005,
    0x3fffe67f,0xffb80005,0x20003fff,0x05fffffa,0xfffff700,0xffffffff,
    0x2003ffff,0xffffffe8,0x7ffe4001,0xffffffef,0x0003ffff,0x1fffffdc,
    0xffff3000,0x005fffff,0x27ffff50,0x005ffff9,0xfffffb80,0x3fea0003,
    0x80005fff,0xf33ffffa,0x0000bfff,0x3ffffff2,0x7fffffff,0xffffd100,
    0x3fffa00b,0xbcffffff,0x1ffffffe,0xffffff30,0x19ffffff,0xffff9800,
    0x7ffff40f,0xfff70002,0x260003ff,0x7cc3ffff,0x88004fff,0x1efffffd,
    0x7fec4000,0x8001efff,0x4c3ffff9,0x0004ffff,0x07ffffee,0x3ffa2000,
    0x7c4005ff,0x9befffff,0xffffda98,0x3fa2001f,0x90002fff,0x3ff621bf,
    0x004fffff,0x77fffdc0,0xfd880001,0x001effff,0x43ffff98,0x004ffff9,
    0x3ffffee0,0xfe880001,0x20005fff,0x4c3ffff9,0x0004ffff,0xdccccca8,
    0x4ccfffff,0x0ccccc00,0xfffffe80,0xfffc82ff,0xfff304ff,0xffffddff,
    0x3aa000df,0xefd881df,0x26660003,0x22000099,0x33101999,0x4c400033,
    0x4000009a,0x00009a98,0x44066662,0x20001999,0x00099999,0x0ccccc00,
    0x3ffff200,0x3ffe605f,0x4c4001ff,0x1c000099,0x3dfffd98,0x99998000,
    0x44000009,0x200009a9,0x31019998,0x4c000333,0x00009999,0x00ccccc0,
    0x03333100,0x00066662,0xffffb800,0x80000007,0x2ffffffe,0x3fffffe0,
    0x21bce980,0x4fffffe8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffff300,0xffff980d,0x0000001f,0x00098000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0xffff7198,
    0x0000000f,0x07fffffd,0x1fffffc8,0xffffb800,0x000001ff,0x00000000,
    0x00000000,0x00000660,0x00026662,0x0000cc00,0x00003300,0x64001980,
    0x402fffff,0x01fffff9,0x00003300,0x00000000,0x00000031,0x33100000,
    0x88000013,0x00000999,0x00099988,0x00033000,0xfffb9500,0xffffffff,
    0x3eeeed80,0x777774c0,0x0bffffd0,0x5fffff50,0xfffd9700,0x00dfffff,
    0xdb000000,0xe9807ddd,0xdb00eeee,0xe9807ddd,0x3000eeee,0xbdffffd9,
    0xfdb88005,0xefffffff,0xd930000b,0x05bdffff,0x7ff64c00,0x0002deff,
    0x7ffff64c,0x7fec02de,0xff9806ff,0x93001fff,0x5bdffffd,0x99880000,
    0xb9500000,0x9bffffff,0xeeeed803,0x77774c03,0x3f6e200e,0xefffffff,
    0x36e2000b,0xffffffff,0x5c4000be,0xfffffffd,0x88000bef,0xeffffedb,
    0x3620003d,0xffffffff,0x407fffff,0x404fffff,0xd0fffff9,0x3009ffff,
    0x407fffff,0xffffffe9,0x03ffffff,0xeeeeeed8,0x000eeeee,0x013ffffe,
    0x01fffff3,0x013ffffe,0x01fffff3,0xffffff90,0x001bffff,0xfffffffb,
    0x7fffffff,0xffffc800,0x0dffffff,0x7fffe400,0x0dffffff,0xffffc800,
    0x0dffffff,0x0bffffd0,0x3fffff30,0xfffff900,0x01bfffff,0x5c5eeed8,
    0x04effffe,0xffffd500,0x7fffffff,0x4fffff80,0x7ffffcc0,0xfffffb00,
    0xffffffff,0xfffb007f,0xffffffff,0x36007fff,0xffffffff,0x03ffffff,
    0x3ffffa60,0x1effffff,0x7fffdc00,0xffffffff,0x7fc07fff,0x7cc04fff,
    0xffd0ffff,0xff1009ff,0x3f209fff,0xffffffff,0x806fffff,0xffffffff,
    0x2000ffff,0x404fffff,0x00fffff9,0x809fffff,0x00fffff9,0x3fffffa2,
    0xffffffff,0x7fffec02,0xffffffff,0xe8803fff,0xffffffff,0x802fffff,
    0xffffffe8,0x2fffffff,0xffffd100,0xffffffff,0xfffff05f,0xffff3009,
    0x7ff4403f,0xffffffff,0x3fa02fff,0xfffd16ff,0x01dfffff,0x3ffff620,
    0xffffffff,0x7fffc03f,0x7ffcc04f,0xfffb00ff,0xffffffff,0xd807ffff,
    0xffffffff,0x3fffffff,0xfffffd80,0xffffffff,0xffc803ff,0xffffffff,
    0x7003ffff,0xffffffff,0xffffffff,0xfffff80f,0x7fffcc04,0x9ffffd0f,
    0xfffff100,0xfffff709,0xffffffff,0xff805fff,0xffffffff,0x3fe000ff,
    0x7cc04fff,0xff00ffff,0xf9809fff,0xf100ffff,0xddffffff,0x1fffffff,
    0x7ffffec0,0xfffffeef,0x3e200fff,0xeeffffff,0x0fffffff,0x3ffffe20,
    0xffffeeff,0x7c400fff,0xeeffffff,0x0fffffff,0x0fffffe6,0x3ffffe60,
    0xfffff101,0xffffddff,0x3fa01fff,0xfffe8fff,0x5fffffff,0xffffe880,
    0xffffffff,0x7ffc03ff,0x7fcc04ff,0xffb00fff,0xffddffff,0x01ffffff,
    0x7fffffec,0xffffffee,0x7fec00ff,0xffeeffff,0x00ffffff,0x3ffffff6,
    0xffffffff,0x7fc401ff,0x89beffff,0x7ffffda9,0x27ffffc0,0x3ffffe60,
    0x09ffffd0,0x7fffff30,0xffffff88,0xffc989be,0x7fc06fff,0xffffffff,
    0x3fe000ff,0x7cc04fff,0xff00ffff,0xf9809fff,0xf700ffff,0xc887ffff,
    0x204fffff,0x9809befd,0x04fffffe,0x0fffffee,0x9fffff91,0x7ffffdc0,
    0x7fffe443,0x7ffdc04f,0x7fe443ff,0x3fe64fff,0xf9803fff,0xf701ffff,
    0xc887ffff,0xd04fffff,0xfffdffff,0xffffffff,0xfffc803f,0xccdeffff,
    0x7c03ffee,0x4c04ffff,0xb00fffff,0xd30137df,0x409fffff,0x9809befd,
    0x04fffffe,0x404df7ec,0x4fffffe9,0xffffff30,0xfffb97bf,0xfd80dfff,
    0x2e05ffff,0x7c07ffff,0x4c04ffff,0xfd0fffff,0xf5009fff,0xfd83ffff,
    0x3e05ffff,0x200fffff,0xfdaaaaaa,0x2000ffff,0x404fffff,0x00fffff9,
    0x809fffff,0x80fffff9,0x02fffff8,0x03fffff2,0xfe880054,0xff106fff,
    0x7e405fff,0xf880ffff,0x3202ffff,0x100fffff,0x405fffff,0x10fffffc,
    0x009fffff,0x03fffff3,0x05fffff1,0x07ffffe4,0x7ffffff4,0xfffccfff,
    0x3e605fff,0x00efffff,0xfff00b26,0xff9809ff,0x01500fff,0x3ffffa20,
    0x44002a06,0x406ffffe,0xffd1000a,0x3ffa0dff,0xff304fff,0x2a07ffff,
    0x406fffff,0x407ffffb,0x404fffff,0xd0fffff9,0x7009ffff,0x4c1fffff,
    0x406fffff,0x02fffffc,0xfffffb80,0x3fffe000,0x7ffcc04f,0xffff00ff,
    0xfff9809f,0xfffc80ff,0x7ffc404f,0x700003ff,0x320fffff,0x4404ffff,
    0xc83fffff,0x4404ffff,0x903fffff,0x8809ffff,0x3e3fffff,0xa804ffff,
    0xc81fffff,0x4404ffff,0xe83fffff,0x2fffffff,0x37ffffc4,0x9fffffd0,
    0x7ffc0000,0x7fcc04ff,0x00000fff,0x00fffff7,0x7fffdc00,0x7dc00007,
    0xffa87fff,0x7cc04fff,0xf907ffff,0xb805ffff,0x7c07ffff,0x4c04ffff,
    0xfd0fffff,0xfd009fff,0xffb8ffff,0x7d402fff,0x8005ffff,0x00fffffb,
    0x13ffffe0,0x1fffff30,0x13ffffe0,0x1fffff30,0x03fffff0,0x09ffffb0,
    0x3ffea000,0xffff80ff,0xfffd801f,0xfffff84f,0xffffd801,0x3fffff04,
    0x9ffffb00,0x037ffff4,0x3fffffa2,0x1fffff81,0x4ffffd80,0xffffffe8,
    0xfffff902,0x3ffffe60,0x3e00000f,0x4c04ffff,0x000fffff,0xfffff500,
    0x3ea00001,0x0000ffff,0x3ffffea0,0x7ffffec0,0xffffe800,0xffffd80f,
    0xffffb806,0x7ffffc07,0x7fffcc04,0x9ffffd0f,0xfffffa80,0x3ffffec5,
    0x6fffff80,0xffffb800,0x3ffe000f,0x7fcc04ff,0xfff00fff,0xff9809ff,
    0x7fc40fff,0xfc800fff,0x00005fff,0x81fffff5,0x00fffff8,0x45ffffc8,
    0x00fffff8,0x85ffffc8,0x00fffff8,0x25ffffc8,0x01fffffd,0x3ffffffa,
    0x7ffffc41,0xffffc800,0xfffffe85,0x3fffea03,0xffffa80f,0x7c00003f,
    0x4c04ffff,0x000fffff,0xfffff500,0x3ea00001,0x0000ffff,0x3ffffea0,
    0x2fffff40,0xfffffa80,0x5ffffe81,0x7ffffb80,0x27ffffc0,0x3ffffe60,
    0x09ffffd0,0x7fffffcc,0x2fffff41,0x7fffff80,0xffffb800,0x3ffe000f,
    0x7fcc04ff,0xfff00fff,0xff9809ff,0x7fcc0fff,0xffffffff,0xffffffff,
    0xb975007f,0xfffffffd,0xfff981ff,0xffffffff,0xffffffff,0x7ffffcc7,
    0xffffffff,0x87ffffff,0xfffffff9,0xffffffff,0x3ea7ffff,0xd885ffff,
    0x1fffffff,0x7fffffcc,0xffffffff,0xe87fffff,0x4c05ffff,0xc81fffff,
    0x000fffff,0x7ffffc00,0x7fffcc04,0xb975000f,0xfffffffd,0x2ea001ff,
    0xfffffedc,0x2000ffff,0xfffedcba,0x40ffffff,0x003fffff,0x05fffff3,
    0x009fffff,0x80fffff7,0x404fffff,0xd0fffff9,0x983bffff,0x3ffffffb,
    0x04fffff8,0x0fffffd0,0xfffff700,0x7fffc001,0x7ffcc04f,0xffff00ff,
    0xfff9809f,0x7ffdc0ff,0xffffffff,0xffffffff,0x7fff5c07,0xffffffff,
    0x7fdc0fff,0xffffffff,0xffffffff,0x7fffdc7f,0xffffffff,0x7fffffff,
    0xffffffb8,0xffffffff,0x7c7fffff,0x9adfffff,0xfffffffc,0x7ffdc1ff,
    0xffffffff,0xffffffff,0x4ffffe87,0x7ffffcc0,0x7ffffd81,0xfff80000,
    0x7fcc04ff,0x75c00fff,0xffffffff,0x00ffffff,0x7fffff5c,0xffffffff,
    0xffeb800f,0xffffffff,0x3e20ffff,0x1003ffff,0x987fffff,0x803fffff,
    0x407ffffb,0x404fffff,0xd0fffff9,0xffffffff,0xffffffff,0xfffff10d,
    0x3fff6007,0xffb8007f,0x3e000fff,0x4c04ffff,0xf00fffff,0x9809ffff,
    0x640fffff,0xffffffff,0xffffffff,0xff107fff,0xffffffff,0x1fffffff,
    0xffffffc8,0xffffffff,0x647fffff,0xffffffff,0xffffffff,0xffc87fff,
    0xffffffff,0xffffffff,0x7fffdc7f,0xffffffff,0x41ffffff,0xfffffffc,
    0xffffffff,0xfe87ffff,0x7cc04fff,0xff81ffff,0x00006fff,0x04fffff8,
    0x07ffffcc,0xffffff88,0xffffffff,0xff100fff,0xffffffff,0x1fffffff,
    0x7ffffc40,0xffffffff,0x3ea0ffff,0x2002ffff,0x4c4fffff,0x803fffff,
    0x407ffffb,0x404fffff,0xd0fffff9,0xffffffff,0xdfffffff,0xfffff303,
    0x3fff6007,0xffb8007f,0x3e000fff,0x4c04ffff,0xf00fffff,0x9809ffff,
    0x640fffff,0xffffffff,0xffffffff,0xfe886fff,0xffffffff,0xffffffff,
    0x7ffffe40,0xffffffff,0x46ffffff,0xfffffffc,0xffffffff,0xfc86ffff,
    0xffffffff,0xffffffff,0x7ff446ff,0xffffffff,0x1fffffbf,0x7fffffe4,
    0xffffffff,0xe86fffff,0x4c04ffff,0xe81fffff,0x0007ffff,0x4fffff80,
    0x7ffffcc0,0xffffe880,0xffffffff,0x880fffff,0xfffffffe,0xffffffff,
    0xffd100ff,0xffffffff,0x1fffffff,0x17ffffcc,0xfffff880,0x7ffffc43,
    0xffffb804,0x7ffffc07,0x7fffcc04,0xfffffd0f,0xffffffff,0x7ffc407f,
    0xffd004ff,0xf7000fff,0x4001ffff,0x404fffff,0x00fffff9,0x809fffff,
    0x40fffff9,0x007ffffb,0x7ffff400,0xffa80aef,0x7fdc0fff,0x200007ff,
    0x007ffffb,0x7fffdc00,0x6c400007,0xffffffff,0xfffff8bf,0x3ffffdc1,
    0x3ffa0000,0x7fcc04ff,0xffd81fff,0x00000fff,0x027ffffc,0x03ffffe6,
    0x3bfffffa,0xffffa80a,0xffffe80f,0xffa80aef,0xffd00fff,0x5015dfff,
    0x441fffff,0x003fffff,0x05fffff3,0x009fffff,0x80fffff7,0x404fffff,
    0xd0fffffa,0xffffffff,0x0019dfff,0x00bfffff,0x01bffffe,0x3ffffee0,
    0x3fffe000,0x7ffd404f,0xffff00ff,0xfffa809f,0x7ffd40ff,0x100000ff,
    0x80dfffff,0x40fffffa,0x00fffffa,0xffff5000,0x5400001f,0x000fffff,
    0xffffc800,0xfff11dff,0xfffa83ff,0x200000ff,0x404ffffe,0x81fffff9,
    0x02fffffc,0x7fffc000,0x7ffd404f,0x7ffc40ff,0x7fd406ff,0x7fc40fff,
    0x7d406fff,0xf880ffff,0x5406ffff,0x7c0fffff,0x5004ffff,0xd03fffff,
    0x880dffff,0x407fffff,0x204ffffe,0x0ffffff8,0x519ffffd,0xfd000155,
    0xf500ffff,0x0009ffff,0x01fffff7,0x27ffff40,0xffffff10,0x3ffffa01,
    0x3fffe204,0x7ffc40ff,0x500002ff,0x805fffff,0x40fffffa,0x02fffff8,
    0xffff1000,0x4400005f,0x002fffff,0x2aea2000,0x7ffffcc0,0x7ffffc41,
    0x3fa00002,0x7cc04fff,0xfb81ffff,0x0006ffff,0x27ffff40,0xffffff10,
    0xfffffa81,0x7fffd402,0x7fffd40f,0x7ffd402f,0xfffa80ff,0x7fd402ff,
    0x7ff40fff,0xfd800fff,0xffb07fff,0x3a203fff,0x407fffff,0x106ffffd,
    0x1ffffffd,0x013ffffa,0x7fffec00,0x7fff402f,0xfb8002ff,0x2000ffff,
    0x106ffffd,0x1ffffffd,0x1bffff60,0x7fffff44,0xfffff80f,0xff700006,
    0x74403fff,0xf80fffff,0x0006ffff,0x1bffffe0,0xffff0000,0x000000df,
    0x7ffffcc0,0x6fffff81,0x3ffa0000,0x7fcc04ff,0xff981fff,0x0003ffff,
    0x1bffff60,0x7fffff44,0x7fffdc0f,0x3ffa201f,0x7fdc0fff,0x3a201fff,
    0xb80fffff,0x201fffff,0x0fffffe8,0x1fffffec,0x3ffffe60,0xfffff706,
    0xffffd10b,0xffc80fff,0x7ec40fff,0xd0ffffff,0x0009ffff,0x3ffffea0,
    0xffff901e,0x3ee000ff,0x2000ffff,0x40fffffc,0xffffffd8,0xffff900f,
    0xfffd881f,0xfc80ffff,0x0004ffff,0x5fffffa8,0xfffffd30,0xffff901f,
    0x3200009f,0x004fffff,0x3ffff200,0x0000004f,0x3fffff30,0x9fffff90,
    0x3ffa0000,0x7fcc04ff,0xffb01fff,0x801bffff,0x7ffe402a,0x7fec40ff,
    0x540fffff,0x305fffff,0x1ffffffd,0x5fffffa8,0xfffffd30,0xffff501f,
    0x3ffa60bf,0x7cc0ffff,0x302fffff,0x03ffffff,0x6ffffffc,0xfffffb9a,
    0x7dc07fff,0xc9cfffff,0xffffffff,0x9ffffd0f,0x7ff40000,0xa9acffff,
    0x3ffffffd,0xffff7000,0x7fdc001f,0xfc9cffff,0xffffffff,0xfffff700,
    0xffff939f,0x101fffff,0x5dffffff,0x09b73101,0x7ffffff3,0x3fffee21,
    0xf880ffff,0x0aefffff,0x104db988,0x5dffffff,0x09b73101,0x7fffffc4,
    0xdb9880ae,0xff300004,0xff103fff,0x015dffff,0x3a09b731,0x4c04ffff,
    0x101fffff,0xffffffff,0xffb9559b,0xffffb809,0xfffc9cff,0x40ffffff,
    0xbffffff9,0xfffff710,0xff981fff,0x710bffff,0xffffffff,0xfffff301,
    0x3fee217f,0x80ffffff,0xdffffffd,0xffffca9b,0x7fe404ff,0xffffffff,
    0x7fffffff,0x7ffffc40,0xffffffff,0xfd0fffff,0x00009fff,0x7fffffd4,
    0xffffffff,0x4cc406ff,0xfffc9999,0x999999ff,0xfffff880,0xffffffff,
    0x100fffff,0xffffffff,0xffffffff,0x3fea01ff,0xefffffff,0x05ffffff,
    0xffffffff,0xfffffffd,0x3ea01fff,0xffffffff,0x5ffffffe,0x3ffffea0,
    0xfffeffff,0x7d405fff,0xffffffff,0x5ffffffe,0xfff30000,0x3fea03ff,
    0xefffffff,0x05ffffff,0x809ffffd,0x01fffff9,0x3fffffee,0xffffffff,
    0x7ffc404f,0xffffffff,0x0fffffff,0xfffffff8,0xffffffef,0xff80ffff,
    0xfeffffff,0xffffffff,0xfffff00f,0xffffdfff,0x01ffffff,0xfffffff1,
    0xffffffff,0xfe8801ff,0xffffffff,0x7fffeaff,0xfffffc80,0xcbffffff,
    0xffd0ffff,0x800009ff,0xfffffffd,0xefffffff,0x7fffec00,0xffffffff,
    0x04ffffff,0xfffffff9,0xff97ffff,0x7fe401ff,0xffffffff,0x0ffffcbf,
    0x3fffff60,0xffffffff,0xfff505ff,0xffffffff,0x1ffffbbf,0x7ffffec0,
    0xffffffff,0x7fec05ff,0xffffffff,0x805fffff,0xfffffffd,0xffffffff,
    0xff300005,0x7ec03fff,0xffffffff,0x05ffffff,0x809ffffd,0x01fffff9,
    0x7fffffec,0xffffffff,0xffffc804,0xbfffffff,0xa80ffffc,0xffffffff,
    0xffddffff,0xfffa80ff,0xffffffff,0x0ffffddf,0xffffff50,0xbbffffff,
    0x2e01ffff,0xffffffff,0x1fffffff,0xffffd100,0x365fffff,0xe8807fff,
    0xffffffff,0x1ffff93f,0x013ffffa,0x3ffee000,0xffffffff,0xffd800ef,
    0xffffffff,0xffffffff,0xffffd104,0x327fffff,0x2200ffff,0xfffffffe,
    0xffff93ff,0xffffa801,0xffffffff,0x3ff605ff,0xffffffff,0x01ffff94,
    0xffffffa8,0xffffffff,0xffffa805,0xffffffff,0xff5005ff,0xffffffff,
    0x000bffff,0x3ffffe60,0x7fffd401,0xffffffff,0xfffd05ff,0xfff9809f,
    0xfea801ff,0xffffffff,0xe8804fff,0xffffffff,0x1ffff93f,0x3fffff60,
    0xf94fffff,0x3f601fff,0xffffffff,0x1ffff94f,0x7ffffec0,0xf94fffff,
    0x74c01fff,0xffffffff,0x8000dfff,0xdffffffd,0x01ffff60,0xffffffc8,
    0x3ffff21d,0x09ffffd0,0x3f620000,0xdfffffff,0x3fff6001,0xffffffff,
    0x4fffffff,0x7ffffe40,0x3fff21df,0xfffc800f,0x3f21dfff,0xc8800fff,
    0xfffffffe,0x5402deff,0xdfffffff,0x03ffff21,0x3fffb220,0xdeffffff,
    0xffd91002,0xdfffffff,0x7644005b,0xffffffff,0x00002def,0x03fffff3,
    0xffffd910,0x5bdfffff,0x13ffffa0,0x3fffff30,0x7fff5c00,0x0bdfffff,
    0x3ffff200,0x3ff21dff,0x3fea00ff,0x21dfffff,0x200ffffc,0xfffffffa,
    0x3ffff21d,0x7fffd400,0x3f21dfff,0xeb800fff,0xdfffffff,0xba880002,
    0x3000000a,0xe8001575,0x0004ffff,0xaba98800,0xffd80009,0xffffffff,
    0xffffffff,0x15753004,0x75300000,0x40000015,0x09aaaba9,0xaaba8800,
    0x26000000,0x009aaaba,0xaaba9800,0x3000009a,0x01355575,0xfff30000,
    0x530003ff,0x00135557,0x809ffffd,0x01fffff9,0x33553100,0x57530000,
    0x54400001,0x00000aab,0x002aaea2,0x55751000,0x26000001,0x00000aba,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x32000000,0x0009abce,0xddd70000,
    0x88009ddd,0x77540000,0x0004eeee,0x00e64c00,0x35753000,0x80000000,
    0xd7000001,0x009ddddd,0x0004cc40,0xbddddb10,0x777775c1,0x3bbae00d,
    0x5eeec81e,0x3ba60000,0x76400eee,0x76c40dee,0x3bbb64ee,0xe980003e,
    0x4004eeee,0xb3eeeee8,0x9807dddd,0x200eeeee,0x00000098,0x6f776400,
    0x09880000,0x7775c000,0x2000000d,0x4eeeeeeb,0x7fec0000,0x00cfffff,
    0xfff70000,0x22007fff,0x80ceffdb,0x7ffd4028,0x00005fff,0x07ffff90,
    0x7ffec400,0x000cffff,0x7f64c000,0x02deffff,0x7fffdc00,0x2e2003ff,
    0xffffffdc,0x3fa002de,0x3ea0ffff,0x800effff,0x361ffffd,0x0000ffff,
    0x3ffffe60,0xefffe801,0x83bfff60,0x004ffffe,0xffffff00,0x7ffdc001,
    0xfffff2ff,0xffff9809,0x7fff540f,0x26001dff,0x4000deee,0x05fffffc,
    0x3fff6200,0xfff70003,0x00001dff,0xffffff70,0x7dfd5007,0xfffffd80,
    0x000cffff,0x3fffee00,0x3fa001ff,0x23ffffff,0x74402fe8,0x005fffff,
    0x7fffcc00,0xfa8001ff,0xffffffff,0x800002ff,0xffffffd9,0x0004ffff,
    0x3fffffee,0x3ffaa001,0xffffffff,0xfff9003f,0x7ffcc1ff,0x3a000dff,
    0xffd9ffff,0x400001ff,0x01fffff9,0x9efffe88,0x740efffd,0x0004ffff,
    0x7fffff90,0x7ffff400,0x13ffffe6,0x1fffff30,0xffffffc8,0xffd002ff,
    0xffb8007f,0x005fffff,0x5fffffd0,0xffffb800,0x00006fff,0x7fffffdc,
    0xffffb801,0x3fff605f,0xffffffff,0xffb80002,0x2000dfff,0xfffffffc,
    0xffffefff,0xffffc801,0x2e00005f,0x03ffffff,0x7ffffd40,0xffffffff,
    0x3e600001,0xffffffff,0x70004fff,0x01bfffff,0x3ffff220,0xffffffff,
    0xfffa803f,0x3ffe60ff,0xe88004ff,0xffffffff,0xf9800001,0x1001ffff,
    0xfffffffd,0xffffd01f,0x3e200009,0x3006ffff,0x7c7fffff,0x4c04ffff,
    0x640fffff,0xffffffff,0x6fffc806,0x7fffdc00,0x005ffffc,0x7fffffcc,
    0x3ffea006,0x05ffffcf,0xffff7000,0xff1001bf,0x205fffff,0xfffffffd,
    0x001fffff,0x3ffffee0,0x7ffc4003,0xffffffef,0x2006ffff,0x05fffffa,
    0xffff7000,0xfe8007ff,0xfedeffff,0x0006ffff,0x3fffffa0,0x4fffffff,
    0xffffb800,0x7fec003f,0xffffffff,0x4c03ffff,0x220fffff,0x002fffff,
    0x3ffffa20,0x000001ff,0x03fffff3,0x7ffff440,0xfffd01ff,0x6c00009f,
    0x801fffff,0x20fffffc,0x404fffff,0x40fffff9,0x3fffdc19,0x07fffe60,
    0x3ffffa80,0x009ffff5,0x7fffffcc,0xffff5007,0x17fffe67,0xffff7000,
    0x7fcc007f,0x304fffff,0xfffd9955,0x001fffff,0x3fffff70,0x87fe6000,
    0xfffffffa,0x7f44000f,0x80005fff,0x0ffffff9,0x3fffee00,0x7fffe41f,
    0xfc80001f,0x9acfffff,0x4003dba9,0x01fffffb,0x7ffffd40,0xa999abef,
    0x3fa203dc,0x3fa20fff,0x80001fff,0x02ffffe8,0x3fe60000,0x44001fff,
    0x201fffff,0x004ffffe,0x3fffea00,0xffff804f,0x7ffffc5f,0x7fffcc04,
    0x7fe4400f,0x7fff404f,0x3ffea003,0x7fffd43f,0xffff1004,0xff300bff,
    0xfff987ff,0xff70004f,0x98003fff,0x4fffffff,0x7ffed400,0x98005fff,
    0x00009999,0x7fe4414c,0x20001cef,0x00019999,0x05ffff70,0x2ffffd80,
    0x07ffffd0,0xfffff000,0x9800001f,0x80009999,0x03fffffe,0x99998800,
    0x04cccc40,0x33310000,0x98000001,0x001fffff,0x40099988,0x004ffffe,
    0x7ffffc00,0x7fffd407,0x7ffffc2f,0x7fffcc04,0xffff980f,0x3f200dff,
    0x4cc006ff,0x33310099,0x7ffdc003,0x998800ff,0x33331019,0x26666000,
    0xff880009,0x002fffff,0xffffffb0,0x00000001,0x00022000,0x20000000,
    0xf8000aa8,0xf900ffff,0x80009fff,0x02fffff8,0x00000000,0x07fffff7,
    0x00000000,0x00000000,0x7fffcc00,0x8000001f,0x004ffffe,0x7fffe400,
    0x3fff601f,0xfffff87f,0x7fffcc04,0xffff980f,0xff300bff,0x000003ff,
    0x3b6a0000,0x0000000c,0x80000000,0x05fffffb,0x7ffff400,0x0330001f,
    0x00000000,0x00019800,0x3e200000,0xfb00ffff,0x80005fff,0x00fffffa,
    0x80099800,0xfffc8019,0x0000007f,0x00000033,0x000ccccc,0x3fe63300,
    0x40001fff,0x7fff4018,0x0003104f,0x09fffff1,0x13ffffe2,0x013ffffe,
    0x01fffff3,0xfffffff3,0x7fffd03f,0x03100000,0x00000000,0x00066666,
    0x01999980,0x07dfd500,0xffff9000,0xdb71007f,0x07bdffff,0x00000000,
    0x7fff6dc4,0x00003def,0x7fffc000,0xffff882f,0x7dc0001f,0x10007fff,
    0xdfffffd7,0x7fffec45,0xffffd01d,0x7100000b,0xbdffffdb,0x75c00007,
    0xffffffff,0xb93000de,0xffdfffff,0xa8003fff,0xffffffdc,0xffffd1cd,
    0x7fff6547,0xffb000ce,0x3fea0fff,0xfff81fff,0x7fcc04ff,0x33300fff,
    0xb89fffd5,0x00006fff,0xfffffb95,0x000039bf,0xfffeb800,0x0defffff,
    0x3fffae00,0x0defffff,0x20000000,0x04fffffa,0x7fffff4c,0x01efffff,
    0xddddddb0,0x001ddddd,0x3ffffa60,0x1effffff,0x3bbbbb60,0x00eeeeee,
    0x17ffff60,0x01bffff2,0x3ffff200,0xfff88007,0xcfffffff,0xfffffffa,
    0xfffff81f,0x74c00004,0xffffffff,0x20001eff,0xfffffffb,0x01ffffff,
    0x7ffffec4,0xffffffff,0xffd5001f,0xffffffff,0x3ffffa7f,0xffffff93,
    0xf5001dff,0xfb05ffff,0x3fe0dfff,0x7cc04fff,0xb000ffff,0x7fccbfff,
    0x540001ff,0xfffffffe,0x2003ffff,0x2004eeee,0xfffffffb,0x01ffffff,
    0xffffffb8,0x1fffffff,0x20000000,0x02fffffb,0x3ffffff2,0xffffffff,
    0xfffff803,0x0fffffff,0xffffc800,0xffffffff,0xffff03ff,0xffffffff,
    0x7ffdc001,0x3fff62ff,0xc80002ff,0x8007ffff,0xfffffff9,0xffffffff,
    0x20ffffff,0x03fffff8,0x3fff2000,0xffffffff,0xd8003fff,0xffffffff,
    0x01ffffff,0x3fffffee,0xffffffff,0x7ec401ff,0xffffffff,0xffd3ffff,
    0xffffb7ff,0x1dffffff,0xbfffff00,0x2fffff88,0x09fffff0,0x0fffff98,
    0x7ee5666c,0x3ffa3fff,0x3620004f,0xffffffff,0x003fffff,0x4017fffe,
    0xfffffffd,0x1fffffff,0x7ffffec0,0xffffffff,0x0000001f,0x3fffffa0,
    0xfffffb01,0xffffffff,0xff803fff,0xffffffff,0x7ec000ff,0xffffffff,
    0x1fffffff,0xfffffff8,0x000fffff,0x57fffff4,0x04fffffe,0xffff9000,
    0xfff3000f,0xffffdbbd,0xffdbffff,0x7ffc49ff,0xb00003ff,0xffffffff,
    0xffffffff,0x7ffdc003,0xfeeeffff,0xf501ffff,0xffffffff,0xffffffff,
    0x7fff4403,0xffffffff,0xfffd3fff,0xffffffff,0x0bffffff,0x1fffff90,
    0x03ffffdc,0x809fffff,0x40fffff9,0xffffffff,0xdfff70ef,0x7ff44000,
    0xffffffff,0x1003ffff,0x700bffff,0xdfffffff,0x3fffffdd,0x7ffffdc0,
    0xfffeeeff,0x000001ff,0xffffc880,0xffff307f,0xfb97bfff,0x80dfffff,
    0xffffffff,0x2000ffff,0xfffffff9,0xffffdcbd,0xffff86ff,0xffffffff,
    0x7ffd4000,0xffffffff,0x66644003,0xffffeccc,0xcccccccf,0x40e7cc3c,
    0x0ffffffc,0xf89ffff6,0x0003ffff,0xffffff98,0xfffdcbdf,0x3e006fff,
    0x00bfffff,0xff103b73,0x137dffff,0xfffffb53,0x7fffe403,0xeccdefff,
    0xfffd3ffe,0x79ffffff,0x3ffffffd,0xfffff980,0x13ffffa3,0x04fffff8,
    0x07ffffcc,0x3ffffffe,0xffff10cf,0x7fe40003,0xcdefffff,0x003ffeec,
    0x00dffff1,0x17ffffff,0xf8076e60,0x00bfffff,0x00003b73,0xfdcccb80,
    0x02ffffff,0x09fffffd,0x3fffffe6,0x2aaaaa03,0x0fffffda,0x3ffffa00,
    0xffff304f,0xaaaa87ff,0xfffffdaa,0xfffd8000,0x02ffffff,0xfffff980,
    0xffffffff,0x6fffffff,0x3ffe0044,0x7ffcc3ff,0xfffff11f,0xffd00007,
    0x3e609fff,0x803fffff,0x05fffff9,0x7fffec00,0x3ffe605f,0xfff301ff,
    0x4c01dfff,0xfffffd2c,0xfff905ff,0xffd009ff,0x3ffe6dff,0x3ffe01ff,
    0x7fd404ff,0x65d40fff,0xffe81abc,0x3e60004f,0x00efffff,0x2e200b26,
    0x4c06ffff,0x005fffff,0xfffff980,0x00000005,0x3fffff60,0x505fffff,
    0x809fffff,0x07fffff9,0xfffffb80,0xffff5000,0xfff9809f,0xff7007ff,
    0x50001fff,0x9fffffff,0x3fe60001,0xffffffff,0xffffffff,0xfc8006ff,
    0xffe81fff,0xfffff13f,0xffa80007,0x7cc04fff,0xb807ffff,0x003fffff,
    0x3ffffea0,0x7fffcc06,0xffffd01f,0xffd0009f,0x7c05ffff,0x400fffff,
    0xc8fffffa,0x7406ffff,0x2204ffff,0x00ffffff,0x1dfff700,0x7fff4000,
    0x700004ff,0xfffffffd,0xfffffb80,0xffb80003,0x00003fff,0x6c001510,
    0xffffffff,0x3fff604f,0xffe800ff,0x5c000fff,0x000fffff,0x01fffffb,
    0x1fffffd0,0xfffff700,0xfffb8001,0x981fffff,0xf980aaaa,0xffffffff,
    0xffffffff,0xc8006fff,0xfd80ffff,0xffff13ff,0xfd80007f,0xe800ffff,
    0x400fffff,0x1ffffffa,0xffff9000,0xfff9805f,0xfff981ff,0xe8000fff,
    0x403fffff,0x01fffffc,0xfbfffff8,0x6c03ffff,0xd106ffff,0x01ffffff,
    0x5ffff100,0x7ffcc000,0x40000fff,0xffffffe9,0x7fd407ff,0x0001ffff,
    0x7fffffd4,0x36200001,0xc800dfff,0xefffffff,0x7ffff402,0xffff5005,
    0xffb8003f,0xfd000fff,0x2a00bfff,0x801fffff,0x00fffffb,0x3ffffee0,
    0x640fffff,0xe882ffff,0xfffeeeee,0xeeeeefff,0xc8005eee,0xffb06fff,
    0x3fffe29f,0x7f40003f,0xf5005fff,0x8803ffff,0xdfffffff,0x7ffec002,
    0xfff9806f,0xfffa81ff,0xfd0003ff,0xf500bfff,0x9005ffff,0xffffffff,
    0xffc801ff,0x7ec40fff,0x00ffffff,0x04fffd80,0x7fffd400,0x7d40003f,
    0xffffffff,0x7ffc407f,0x002dffff,0xffffff10,0x900005bf,0x00dfffff,
    0x15dffff9,0x3ffffe00,0xffff3003,0xffb8005f,0xff000fff,0x26007fff,
    0x802fffff,0x00fffffb,0xffffff50,0xd8dfffff,0x4001ffff,0x007ffffc,
    0xeccba980,0xccccefff,0xf15fffec,0x0007ffff,0x03fffff8,0x5fffff30,
    0xfffffb00,0x005bffff,0x00bffffd,0x03fffff3,0x01fffff9,0x3ffffa00,
    0xffff9804,0xfff9803f,0x04ffffff,0xffffffb8,0xfffffc9c,0x4000ffff,
    0x000ffffa,0x7ffffe40,0x3fa20000,0xeeffffff,0x7fec00ee,0xdfffffff,
    0x7ffec002,0x2dffffff,0xfffff000,0xffc805ff,0x3e2003ff,0x1003ffff,
    0x007fffff,0x0fffffb8,0xfffff880,0xffff1003,0xfff7007f,0xff1001ff,
    0xffb1dfff,0x7fec9fff,0x7e4000ff,0x20007fff,0xffffffea,0xffffffff,
    0xf15fffff,0x0007ffff,0x1fffffc4,0xfffff880,0xffff8803,0xffffffff,
    0xfffff01c,0xffff3009,0xffffb03f,0x7ff4000f,0xff8804ff,0xfd004fff,
    0x3fffffff,0xfffff100,0xffffffff,0x001fffff,0x017fffc4,0x7fffec00,
    0x7fe40007,0x0002ffff,0xfffffff1,0x039fffff,0xffffff10,0x39ffffff,
    0x3fffe200,0x7dc06fff,0x2a002fff,0x002fffff,0x013ffffe,0x1fffff70,
    0xfffff500,0x7fffc005,0xfffb804f,0xffb800ff,0xffd10fff,0x3ffe7fff,
    0xffc8007f,0xf90007ff,0xffffffff,0xffffffff,0x3e2bffff,0x0003ffff,
    0x0bffffea,0x4fffff80,0xffffb100,0xffffffff,0xfffff987,0xffff9803,
    0xfffff81f,0x3ffa0006,0xff8804ff,0xf7004fff,0x0dffffff,0x7ffffe40,
    0xcbffffff,0x2000ffff,0x7545fffd,0x7c02eeee,0x0006ffff,0x0ffffff4,
    0x3ff62000,0xffffffff,0xfd8803ff,0xffffffff,0xff003fff,0x80ffffff,
    0x002ffffb,0x0bffffe6,0x7ffffc40,0x7ffdc003,0xff9800ff,0xf1002fff,
    0x7007ffff,0x001fffff,0x889ffffd,0xfaffffff,0xc8007fff,0x8007ffff,
    0xeffffffa,0xeeffffee,0x3eeeeeee,0x07fffff1,0x7fffcc00,0xfff1002f,
    0xda8007ff,0xffffffff,0x3fe64fff,0xf9803fff,0xfe81ffff,0x20007fff,
    0x804ffffe,0x03fffff9,0xffffff10,0x7f44005f,0xffffffff,0x01ffff93,
    0x83fffea0,0x2ffffff8,0x3fffff40,0xffff1000,0x540000df,0xfffffffd,
    0x5004ffff,0xfffffffb,0x5009ffff,0x1fffffff,0x0f777540,0xfffff100,
    0x3ffe6007,0x7dc002ff,0x8800ffff,0x003fffff,0x05fffff3,0x1fffff70,
    0x5fffff00,0xffffff50,0x0009ffff,0x00fffff9,0x85fffff0,0x4005fffc,
    0x03fffff8,0x3fffe200,0xfff3003f,0x220005ff,0xffffffdb,0xfff11fff,
    0xff3009ff,0xffb03fff,0x20001fff,0x804ffffe,0x01fffffa,0x3fffff20,
    0xfff90006,0x7e43bfff,0xf8800fff,0x7fec2fff,0x6c02ffff,0x000fffff,
    0xbfffff30,0xb7100000,0xffffffff,0x6dc4003f,0xffffffff,0xfffc801f,
    0x00000fff,0x27ffffc0,0xfffffa80,0x7ffdc001,0xfff000ff,0x3ea009ff,
    0xb801ffff,0x400fffff,0x00fffff9,0xfffffff7,0xf90003ff,0x9800ffff,
    0xfc84ffff,0x7c4006ff,0x0003ffff,0x027ffffc,0x1fffffa8,0xfeb88000,
    0x3e4fffff,0xa804ffff,0xc81fffff,0x002fffff,0x09ffffd0,0x1fffff70,
    0x7fffec00,0x54c0002f,0x7ff440ab,0xfffb005f,0xfdfffa8b,0x7fe402ff,
    0x30002fff,0x00dfffff,0xfeb88000,0x004fffff,0xffffd710,0x3fa009ff,
    0x00006fff,0xfffffe80,0xffffd800,0xfffb8007,0xffd000ff,0xfb001fff,
    0x2e00ffff,0x400fffff,0x01fffff9,0x3ffffff6,0xff90006f,0xfa800fff,
    0xffc81fff,0x7fc4007f,0x40003fff,0x00fffffe,0x07ffffd8,0xfffc8000,
    0x3fffa6ff,0x7ff4406f,0xffb81fff,0xd0006fff,0xd009ffff,0x400fffff,
    0x06fffff8,0x7f440000,0xff5006ff,0x7ffc41ff,0x402fffad,0x06fffffb,
    0x3ffffe00,0x0000000f,0x0dfffff9,0xffff9000,0x3ff200df,0xcc9805ff,
    0xfffd8001,0x7fcc03ff,0xb8006fff,0x000fffff,0x07fffffb,0x6fffff98,
    0xfffff700,0xfffff001,0xffffe807,0xf90003ff,0xb800ffff,0xfc80ffff,
    0x22002fff,0x003fffff,0x7ffffec0,0x7fffcc03,0x8800006f,0x366fffff,
    0x201fffff,0x1ffffffe,0xffffff98,0xfffe8003,0x7ffd404f,0x3fa005ff,
    0x0003ffff,0x7fffe400,0xffff8800,0x547ffe42,0x7cc02fff,0x003fffff,
    0xbfffffd0,0x22000000,0x006fffff,0xfffff880,0xffffb006,0xffffc807,
    0x7ffcc004,0xff302fff,0x0003ffff,0x01fffff7,0x3ffffe60,0xffff302f,
    0x3ee003ff,0xe800ffff,0x200fffff,0x2ffffff9,0xffff9000,0xfffb800f,
    0x7fffd42f,0x3fe2005f,0x40003fff,0x2ffffff9,0xffffff30,0xa8001003,
    0x2a4fffff,0x885fffff,0xfffffffd,0xfffffb01,0xd2a801bf,0x4c09ffff,
    0x01ffffff,0xbfffffb0,0xf8800000,0xf9005fff,0xfff98bff,0x005fff52,
    0xbffffffb,0x3f22a801,0x01dfffff,0x3ea00040,0x0084ffff,0x7ffffd40,
    0xffff9804,0x7fffcc06,0x7ec001ff,0x9bdfffff,0xffffffca,0xfff70004,
    0x7ec001ff,0x9bdfffff,0xffffffca,0x3ffee004,0xffc800ff,0x260bffff,
    0xfffffffb,0xffc8001f,0x7d4007ff,0x3fe64fff,0x304fffff,0x7ffffc47,
    0xffd80003,0xa9bdffff,0x4ffffffc,0x017bf700,0x3ffffe62,0x7ffffc2f,
    0xfffc9adf,0x01ffffff,0xfffffff1,0xfb9559bf,0x3ffffa9f,0x7ffdcc1d,
    0x99983fff,0xfffffeb9,0x4000000e,0x805ffff9,0x740ffffa,0xffcaafff,
    0x3e200acf,0xdfffffff,0x4ffdcaac,0x3fffffa2,0x19aaceff,0x2017bf70,
    0xffffff98,0x00bdfb82,0xffffff31,0x7ffdc405,0x7fe401ff,0x4004ffff,
    0xfffffff8,0xffffffff,0x266200ff,0xfffc9999,0x999999ff,0xfffff880,
    0xffffffff,0x4c40ffff,0xffc99999,0x99999fff,0x3fffa209,0xffffffff,
    0xffffffff,0x7fe4000f,0x7cc007ff,0xffdeffff,0xefffffff,0x226fedcc,
    0x003fffff,0xfffff880,0xffffffff,0x7000ffff,0xbddfffff,0xfffffffd,
    0xffffb81f,0xffffffff,0x01ffffff,0x3fffffee,0xffffffff,0xfffffd4f,
    0xffffffff,0x3f60dfff,0xffffffff,0x8000001f,0xbdfffff9,0x3fffe884,
    0x7fffffc4,0x01ffffff,0x7fffffdc,0xffffffff,0x7fffc44f,0xffffffff,
    0xfffff707,0xffffdbdd,0xf701ffff,0xdbddffff,0xffffffff,0xfffeed81,
    0xfc803fff,0x003fffff,0xffffffb8,0xffffffff,0x7ffec01f,0xffffffff,
    0x4fffffff,0xffffff70,0xffffffff,0xffffb03f,0xffffffff,0x89ffffff,
    0xfffffff9,0xffffffff,0x006fffff,0x03ffffe4,0x7ffffec0,0xffcbffff,
    0xffffffff,0x3ffffe26,0xff700003,0xffffffff,0x003fffff,0x7fffffdc,
    0xffffffff,0xffe881ff,0xffffffff,0x1ffffcbf,0x7ffffec0,0xffffffff,
    0xfffffd4f,0xffffffff,0x3f603dff,0xffffffff,0x10000002,0xffffffff,
    0x10dfff90,0xffffffff,0xb003ffff,0xffffffff,0x09ffffff,0xfffffff3,
    0x2e0fffff,0xffffffff,0xffffffff,0xfffff701,0xffffffff,0xfff03fff,
    0x005dffff,0x3fffffe6,0xffd30001,0xffffffff,0xffb001bf,0xffffffff,
    0xffffffff,0x7fff4c09,0xffffffff,0xffffb00d,0xffffffff,0x09ffffff,
    0xffffffd5,0xb3dfffff,0x00bfffff,0x03ffffe4,0x7ffffcc0,0xffd13fff,
    0xdfffffff,0x1fffffc4,0xffd30000,0xffffffff,0xfb8001bf,0xffffffff,
    0x01ffffff,0x3fffff62,0xff93ffff,0xfd5003ff,0xffffffff,0x3ffa9fff,
    0xffffffff,0x6c03ffff,0xdfffffff,0x40000000,0x7ffffffb,0x407fffcc,
    0xeeeeeee8,0x001eefff,0xffffffd5,0x09ffffff,0x3fffff22,0xf707ffff,
    0xffffffff,0x03ffffff,0x7fffffdc,0xffffffff,0xfffff01f,0xff70007f,
    0x700007ff,0xfffffffd,0x7fec005b,0xffffffff,0xffffffff,0xfffeb804,
    0x402dffff,0xfffffffd,0xffffffff,0x3ee04fff,0xefffffff,0x3ffffa22,
    0xfff9003f,0x3a6000ff,0x443effff,0xfffffffc,0x3fffe23e,0xb800003f,
    0xfffffffe,0xfb30002d,0xffffffff,0x64005bff,0x1dffffff,0x007fffee,
    0xfffffeb8,0x510bdfff,0xffffffd9,0xb0019dff,0x05dfffff,0x54000000,
    0x745ffffd,0xa8003fff,0x70002fff,0xfffffffd,0xc88017bf,0x7fffffff,
    0xfffffb30,0x5bffffff,0xffffb300,0xbfffffff,0x9acde805,0x2aa20000,
    0xa9800000,0xfb0000ab,0xffffffff,0xffffffff,0xba98009f,0x3ff6000a,
    0xffffffff,0xffffffff,0xaba98804,0x32000001,0x0007ffff,0x22005d4c,
    0x8809abaa,0x003fffff,0x55d4c000,0x4c400000,0x09aabaaa,0x2aea2000,
    0x44000000,0x20019aa9,0x000aa999,0x000aaa88,0x08000000,0x00dfff90,
    0x00bffea0,0x26aa6200,0x75310001,0x3100ffd9,0x13557555,0x2aa62000,
    0x0009aaba,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3b200000,
    0x777441ee,0x57300006,0x76c40000,0x3ae0deee,0x400deeee,0xfffffffc,
    0x0006ffff,0xddddd700,0xfff9009d,0xffffffff,0x7775c00d,0x5eeec81e,
    0xed880000,0x360deeee,0xeeeeeeee,0x00000eee,0x3bbbbae0,0x77776c4e,
    0x0eeeeeee,0x7776d400,0x3bba6001,0xdddb500d,0x7774c003,0x3bbba60d,
    0x4eeeeeee,0xddb10000,0x0003dddd,0xfffffc80,0x06ffffff,0x04eeeeb8,
    0xeee98000,0x02eeeb84,0x03dddd70,0xed8bddd9,0x75c02eee,0x55505eee,
    0x55555555,0x80155555,0x7dc4fffc,0xd80006ff,0x0000efff,0x0fffffe8,
    0x3bffffea,0xffffc800,0x6fffffff,0xffb80000,0x9003ffff,0xffffffff,
    0xd800dfff,0x3f61ffff,0x00000fff,0x7fffff44,0x7ffffc0e,0x0fffffff,
    0xff700000,0xff07ffff,0xffffffff,0x3a6001ff,0x001fffff,0x260ffffa,
    0x01fffffe,0x30ffffa0,0xffffffff,0x0000bfff,0x7ffffec4,0x3200001f,
    0xffffffff,0xfc806fff,0x00006fff,0x40ffff88,0x2002ffff,0x361ffffd,
    0x7fc0ffff,0x7e403fff,0xffd06fff,0xffffffff,0x805fffff,0xcacffffa,
    0x0005ffff,0x2fffffdc,0x3fff2000,0x3ffe60ff,0xf9000dff,0xffffffff,
    0x80000dff,0x1ffffffb,0x3ffff200,0x6fffffff,0xffffe800,0x01ffffd9,
    0x7ff44000,0xfff04fff,0xffffffff,0x7000001f,0x03ffffff,0x3ffffffe,
    0x800fffff,0xfffffffd,0xdfff9001,0xffffffb0,0x3ff2003f,0xffff986f,
    0x5fffffff,0xffb80000,0x0001ffff,0xffffff90,0x20dfffff,0xffffd999,
    0x0099999e,0x77fffc00,0x0ffffeba,0x7ffff400,0x81ffffd9,0x403fffff,
    0xd06ffffc,0xffffffff,0x5fffffff,0xfffffd00,0x001fffff,0xfffffd80,
    0xff50000f,0x7fcc1fff,0x64004fff,0xffffffff,0x00006fff,0x37ffffee,
    0x7ffe4000,0xffffffff,0xffe88006,0x01ffffff,0x7ff44000,0x3fe02fff,
    0xffffffff,0x400000ff,0x0dfffffb,0x3fffffe0,0x00ffffff,0xffffffc8,
    0xfff9801f,0xffffc81f,0xf9801fff,0xff981fff,0xffffffff,0x3000005f,
    0x03fffffd,0xffff9000,0xdfffffff,0x3fffffe0,0xffffffff,0x7fd40005,
    0xffffffff,0xffe88004,0x01ffffff,0x807fffff,0xd06ffffc,0xffffffff,
    0x5fffffff,0xfffff300,0x0005ffff,0xffffffb0,0xfff30001,0x7ffc41ff,
    0x000002ff,0x3ee00000,0x0003ffff,0x44000000,0x1ffffffe,0x7f440000,
    0x6400efff,0xffeccccc,0x00000fff,0x0fffffee,0x33333320,0x00fffffe,
    0xfff9df98,0xfffe801f,0xff3bf303,0xffd003ff,0x3332207f,0xfffffccc,
    0x22000005,0x01fffffd,0xf0000000,0xffffffff,0x00bfffff,0xfffffb00,
    0x4000dfff,0xffffffe8,0x3ffffe01,0x7fffe403,0xfffffd06,0xffffffff,
    0x362005ff,0x01efffff,0xffff5000,0xfd1000bf,0x7f441fff,0x00001fff,
    0x2e000000,0x001fffff,0x00000000,0x05ffffd1,0xffe88000,0x5c0004ff,
    0x000fffff,0xfffff700,0xffb80003,0x43000fff,0x6401ffff,0xf0c06fff,
    0xfc803fff,0xfd0006ff,0x0000bfff,0xfffff700,0x00000003,0xfffffff0,
    0xbfffffff,0x3fee0000,0x0003ffff,0x2ffffe88,0x1fffffc0,0x1bffff20,
    0x4cccccc4,0xffffa999,0x54c4002f,0xc8000009,0x8000efff,0x44099998,
    0x00009999,0x40000000,0x00099999,0x00000000,0x0004ccc4,0x4cccc400,
    0xffb80000,0x00000fff,0x00133333,0xfffff700,0xffff0001,0x7fffcc03,
    0x3fffe001,0x3fffe601,0xfffd0001,0x000000bf,0x00266662,0x3a000000,
    0xffffffee,0x004eeeee,0x00d54c00,0x26662000,0xfffff800,0x7fffe403,
    0x7fcc0006,0x00002fff,0x35100000,0x00000000,0x00660000,0x00000000,
    0x00999880,0x00000000,0x20000000,0x00fffffb,0x00000000,0x07ffffdc,
    0x0ffffc00,0x007fffd0,0x201ffff8,0x0003fffe,0x017ffffa,0x00000000,
    0x00033000,0x01bffff2,0x00000000,0x7fc00000,0x7e403fff,0x40006fff,
    0x02fffff9,0x00003300,0x00000000,0x2e200000,0xdeffffed,0x31000003,
    0xb7100013,0xffffffff,0x8000017d,0x00000998,0x7dc00000,0x0000ffff,
    0x00099880,0x7ffffdc0,0x3fe03540,0xfff701ff,0xffff000d,0x1bffee03,
    0xffffd000,0x0000000b,0xec980000,0x02deffff,0x0dffff90,0x00000000,
    0x3e000000,0x6403ffff,0x0006ffff,0x17ffffcc,0x7ff6dc40,0x0003deff,
    0xddb00000,0xee9807dd,0x4c000eee,0xfffffffe,0xb001efff,0xfeb8dddd,
    0xb004efff,0xffffffff,0x07ffffff,0xb8ddddb0,0x04effffe,0xddddddb0,
    0x001ddddd,0xfffffb80,0x3bbb6000,0x7ffff5c5,0xff70004e,0x3faa1fff,
    0x0ffffc07,0x00ffffcc,0x40ffffc0,0x001ffff9,0x2fffff40,0x3bb60000,
    0xeeeeeeee,0x3f20000e,0xffffffff,0x7fe400df,0x003106ff,0xeeeeeed8,
    0x000eeeee,0x3bbbbba6,0xeeeeeeee,0xffff4eee,0xfffc807f,0x7cc0006f,
    0x4c02ffff,0xfffffffe,0x9801efff,0xeeeeeeee,0xeeeeeeee,0xfffff84e,
    0x7fffcc04,0x3ff2000f,0xffffffff,0xf803ffff,0xfe88ffff,0xdfffffff,
    0x7fffec00,0xffffffff,0x7fc03fff,0xffe88fff,0x0dffffff,0x7fffffc0,
    0x00ffffff,0x7fffdc00,0x3ffa000f,0xffffd16f,0x001dffff,0xafffffb8,
    0x7c07fffe,0xffe81fff,0xfff0004f,0x9fffd03f,0xfffd0000,0xf80000bf,
    0xffffffff,0x88000fff,0xfffffffe,0x02ffffff,0xa97ffff2,0x03effffd,
    0xfffffff8,0x000fffff,0x3fffffea,0xffffffff,0xffff5fff,0xfffc807f,
    0x7cc0006f,0x3202ffff,0xffffffff,0x03ffffff,0x7fffffd4,0xffffffff,
    0xfff85fff,0x7fcc04ff,0xfb000fff,0xffffffff,0x3fffffff,0x9fffff80,
    0xfffffffe,0x7ec05fff,0xfeefffff,0x0fffffff,0x27ffffe0,0xfffffffe,
    0x7fc05fff,0xffffffff,0x5c0000ff,0x000fffff,0x3a3ffffa,0xffffffff,
    0x7dc005ff,0xffffffff,0x7fffc07f,0x037ffdc1,0x83ffff00,0x0006fffb,
    0x0bffffd0,0xffff8000,0xffffffff,0x7ffc4000,0xffeeffff,0x900fffff,
    0x3f29ffff,0xdfffffff,0x3ffffe00,0x0fffffff,0x3fffea00,0xffffffff,
    0xff5fffff,0xfc807fff,0x40006fff,0x02fffff9,0xfffffffb,0xffffffff,
    0x7ffd403f,0xffffffff,0x85ffffff,0x404fffff,0x00fffff9,0xffffff98,
    0xfffdcbdf,0x7fc06fff,0xffffefff,0xffffffff,0x26fbf601,0xffffe980,
    0x3fffe04f,0xffffffef,0x01ffffff,0x3ffffffe,0x000fffff,0x7ffffdc0,
    0x3fffa000,0xffffffef,0x01ffffff,0x3ffffee0,0x407fffff,0x3e21ffff,
    0x20001fff,0x3e21ffff,0x00001fff,0x00bffffd,0xfffff800,0x0fffffff,
    0x7fffdc00,0x7ffe443f,0xfff904ff,0xfffff99f,0x409fffff,0xffffffff,
    0x2000ffff,0xfffffffa,0xffffffff,0xfffff5ff,0xffffc807,0x7fcc0006,
    0xff982fff,0xcbdfffff,0x6ffffffd,0x3ffffea0,0xffffffff,0xff85ffff,
    0x7cc04fff,0xe800ffff,0x304fffff,0x07ffffff,0x7ffffffc,0xffdabeff,
    0x02a05fff,0x7ffff440,0x3ffffe06,0xdabeffff,0x205fffff,0xfdaaaaaa,
    0x0000ffff,0x07ffffdc,0xfffffd00,0xff99ffff,0x400bffff,0xfffffffc,
    0x4cc00cff,0x27fff419,0x06666000,0x0009fffd,0x2fffff40,0x5400d440,
    0xffdaaaaa,0x22000fff,0x202fffff,0x80fffffc,0xfffffffc,0xffffffff,
    0x555500ff,0xfffffb55,0x7774c001,0xeeeeeeee,0xf2ffffff,0xc807ffff,
    0x0006ffff,0x17ffffcc,0x27fffff4,0xffffff98,0xddddd303,0xffdddddd,
    0xff05ffff,0xf9809fff,0x5400ffff,0x404fffff,0x07fffff9,0x3ffffffe,
    0xffffe82f,0x3ee00007,0x3fe07fff,0x82ffffff,0x007ffffe,0x0fffffb8,
    0x7ffdc000,0x3fa000ff,0x42ffffff,0x06fffff8,0xfffffe98,0x0000cfff,
    0x0077ffdc,0xfffb8000,0x3a00000e,0x2205ffff,0x001efffd,0x0fffffb8,
    0x3ffff200,0x7fffc404,0xffffc83f,0xfcadffff,0x004fffff,0x07ffffdc,
    0x7f440000,0x3fe4ffff,0x7ec03fff,0x40006fff,0x42fffff9,0x04fffffa,
    0x3fffffcc,0x3ffa2000,0xfff04fff,0xff9809ff,0x7ec00fff,0xe800ffff,
    0xf00fffff,0x07ffffff,0x01ffffee,0xffffa800,0xfffff00f,0x3fee07ff,
    0xfb8007ff,0x0000ffff,0x07ffffdc,0xfffffd00,0x3fff205f,0x3ffa607f,
    0x0cffffff,0xfff88000,0x1000002f,0x0005ffff,0x5ffffe80,0x3fffffa0,
    0x7fdc000f,0x3e000fff,0xd801ffff,0xfc84ffff,0x42ffffff,0x05fffff8,
    0x7ffffdc0,0xfd800000,0x7fc6ffff,0x3ee04fff,0x0006ffff,0x17ffffcc,
    0x03fffff6,0x3fffffa0,0x3ff60000,0x3fe06fff,0x7cc04fff,0x7400ffff,
    0x5005ffff,0x203fffff,0x04ffffff,0x03ffffe6,0x7ffd4000,0xffff00ff,
    0x7fcc09ff,0x5c000fff,0x000fffff,0x7ffffdc0,0x3fffa000,0x3fea03ff,
    0x7ecc0fff,0xffffffff,0xfb00000f,0x000009ff,0x0027ffec,0x7ffff400,
    0xfffff505,0xfb8009ff,0x1000ffff,0x001fffff,0x90bffff9,0x05ffffff,
    0x01bffffa,0x1fffff70,0xffb80000,0x7fc0ffff,0xff506fff,0x000fffff,
    0x2fffff98,0x02fffff4,0x1fffffa8,0xffff7000,0x7ffc01ff,0x7fcc04ff,
    0x7fc00fff,0xf3003fff,0x3e05ffff,0x4c05ffff,0x001fffff,0xfffdb975,
    0x01ffffff,0x017ffffe,0x03fffff3,0xfffffb80,0x7fdc0000,0x3a000fff,
    0x4c05ffff,0x5c1fffff,0xffffffff,0x80000fff,0x000ffffa,0xffff5000,
    0xfd000001,0x3f20bfff,0x06ffffff,0x7ffffdc0,0xffff3000,0xffffffff,
    0xffffffff,0x9fffff90,0x3ffffe40,0x3fffee00,0x2600000f,0x82ffffff,
    0x40ffffff,0xfffffff9,0x3e60000f,0x7fc2ffff,0xf3003fff,0x0005ffff,
    0x5ffffff3,0x4fffff80,0x7ffffcc0,0x3fffe200,0xfff1003f,0x3ffe07ff,
    0x000004ff,0xffffffd7,0xffffffff,0x3ffffe01,0x70000004,0x001fffff,
    0xfffffb80,0x3fffa000,0x7ffcc04f,0x7ffdc1ff,0xfffffeff,0x7fc40000,
    0x009982ff,0x3fffe200,0xfd000002,0x3f20bfff,0x06ffffff,0x7ffffdc0,
    0xffff7000,0xffffffff,0xffffffff,0x0dffff90,0x07ffffb8,0x7ffffdc0,
    0xff100000,0x3e07ffff,0x9bffffff,0xfffffffd,0x80009dff,0x22fffff9,
    0x03fffff8,0x7fffff10,0xffff8800,0xfff803ff,0x7fcc04ff,0x3ea00fff,
    0x2002ffff,0xf04fffff,0x0009ffff,0xfffff880,0xffffffff,0xff00ffff,
    0x00009fff,0x3fffee00,0x7dc0000f,0x2000ffff,0x404ffffe,0x41fffff9,
    0xfb8cfffb,0x0000ffff,0xd72fffec,0x005dffff,0xa8bfffb0,0x002eeeee,
    0x05ffffe8,0xfffffff7,0xfffb800b,0xff9000ff,0xffffffff,0xffffffff,
    0xffff90ff,0xffffb80d,0x7ffdc007,0xd00000ff,0x40bfffff,0xffffffff,
    0xffffffff,0x002fffff,0x2fffff98,0x0bffffea,0x4fffff80,0x7ffff400,
    0xffff005f,0xfff9809f,0x3fe600ff,0xf1002fff,0x3e07ffff,0x0004ffff,
    0x3ffffa20,0xffffffff,0xf00fffff,0x0009ffff,0x3ffee000,0x5c0000ff,
    0x000fffff,0x013ffffa,0x83fffff3,0x3fee0cfb,0x20000fff,0xf88ffffa,
    0xffffffff,0x3ffea002,0x3fffe20f,0xfe8002ff,0x3fa05fff,0x000fffff,
    0x07ffffdc,0xfffffc80,0xffffffff,0x86ffffff,0x406ffffc,0x007ffffb,
    0x07ffffdc,0x7ffe4000,0x3fe00eff,0xffffffff,0xfffe9fff,0x98002fff,
    0x262fffff,0x002fffff,0x07fffff1,0x7ffffe40,0xffff000e,0xfff9809f,
    0x3fe200ff,0xf3003fff,0x3e05ffff,0x0004ffff,0x3fffffa0,0xfffa80ae,
    0xffff00ff,0x0000009f,0x03ffffee,0xffff7000,0x7ff4001f,0x7fcc04ff,
    0x404c1fff,0x00fffffb,0x5ffff100,0x7fffffe4,0xff1006ff,0xfffd85ff,
    0xe8002fff,0x2205ffff,0x001efffd,0x0fffffb8,0xfffff700,0xffc80000,
    0x7fdc06ff,0x7dc007ff,0x0000ffff,0x7fffffd4,0x7ffffc01,0x1fffffff,
    0x5ffffff5,0xffff7000,0x7fffc43f,0xfff3003f,0x3ea005ff,0x001fffff,
    0x013ffffe,0x01fffff3,0x04fffff8,0x3fffff50,0x13ffffe0,0x7ffc4000,
    0x7fd406ff,0xfff00fff,0x000009ff,0x3ffffee0,0x7fdc0000,0x3a000fff,
    0x4c04ffff,0x001fffff,0x01fffff7,0x17fff600,0x7ffdc5d1,0xbfffb007,
    0xffdfffa8,0xffe8002f,0x1a8805ff,0x3ffee000,0xff5000ff,0x00001fff,
    0x037fffe4,0x01ffffee,0x1fffff70,0x7ffcc000,0xff803fff,0xffffefff,
    0x7fffe41d,0xffc8002f,0x7ffc0fff,0xff5004ff,0xf3003fff,0x007fffff,
    0x04fffff8,0x07ffffd4,0x3fffffa0,0xffffd800,0x3ffffe07,0xff500004,
    0xfa805fff,0xff00ffff,0x00009fff,0x3fffee00,0x7dc0000f,0x2000ffff,
    0x404ffffe,0x01fffff9,0x1fffff70,0xffff5000,0xdfff3001,0x1ffff500,
    0x7d6fffc4,0xfe8002ff,0x00005fff,0xfffff700,0x3ffe2001,0x200002ff,
    0x406ffffc,0x007ffffb,0x07ffffdc,0xfffe8800,0xfff005ff,0x015533ff,
    0x00055544,0x3fffffc4,0x07fffff4,0x3ffffec0,0x7ffff440,0xffe8005f,
    0x3fe204ff,0x6c00ffff,0x403fffff,0x06fffff9,0x013ffffe,0x7fffdc00,
    0x3ffa201f,0xfff00fff,0x000009ff,0x3ffffee0,0x7fdc0000,0x3a000fff,
    0x4c04ffff,0x001fffff,0x01fffff7,0x2ffff880,0x09fffb00,0x42ffff88,
    0xffa8fffc,0xffe8002f,0x000005ff,0x1fffff70,0x7ffffc00,0x3f200006,
    0x7dc06fff,0x5c007fff,0x000fffff,0xdfffffb0,0x7ffffc00,0x5d100001,
    0xfffffc80,0xfffffd85,0x7fffcc03,0xfffd806f,0xfb0006ff,0x3a20dfff,
    0x00ffffff,0x7fffffcc,0xfffff302,0x7fffc03f,0xf500004f,0x260bffff,
    0x0ffffffe,0x09fffff0,0x3ee00000,0x0000ffff,0x07ffffdc,0x9ffffd00,
    0xfffff980,0xffff7001,0xffc8001f,0xffd8805f,0x7fe401ff,0x97ffcc5f,
    0x8002fffa,0x005ffffe,0xfff70000,0x7e4001ff,0x0004ffff,0x0dffff90,
    0x07ffffb8,0x7ffffdc0,0xfffb8000,0x3e000fff,0x0002ffff,0x359fff10,
    0xfffffd53,0xffff305f,0x3fe605ff,0x5c01ffff,0x00ffffff,0xfffff900,
    0xffffd881,0xfd800fff,0x9bdfffff,0xffffffca,0x7ffffc04,0xff300004,
    0x2217ffff,0xfffffffb,0xfffff00f,0x20000009,0x00fffffb,0x7fffdc00,
    0x3ffa000f,0x7fcc04ff,0xf7001fff,0x4001ffff,0x400ffffa,0x01ffffe8,
    0x207fffd4,0xfcaafffe,0x2000acff,0x005ffffe,0xfff70000,0x7c4001ff,
    0x0aefffff,0x904db988,0xb80dffff,0x4007ffff,0x00fffffb,0x7ffffcc0,
    0x7ffc002f,0x100003ff,0xffffffff,0x0bffffff,0x7fffffec,0xfffca9bd,
    0x7cc04fff,0x002fffff,0x3ffffee0,0xffffc9cf,0x800fffff,0xfffffff8,
    0xffffffff,0x7ffc00ff,0x200004ff,0xffffffff,0xfffffffe,0xfff00fff,
    0x400009ff,0xc9999998,0x999fffff,0x26620999,0xfffc9999,0x999999ff,
    0x4ffffe80,0x7ffffcc0,0x26666621,0x9fffffc9,0x44099999,0x4c03fffe,
    0x400effff,0x443fffe8,0xffffffff,0x4cc1ffff,0xffe99999,0x99999eff,
    0x4cc40009,0xfffc9999,0x999999ff,0xfffff500,0xfffdffff,0x3f20bfff,
    0x7dc06fff,0x99887fff,0xfffc9999,0x999999ff,0xfffff880,0xeeeeeeff,
    0xfff5eeee,0x200007ff,0xfffffff8,0x0fffffff,0x3ffffe20,0xffffffff,
    0x2200ffff,0xefffffff,0xeeeeeeee,0xffff885e,0xffffffff,0x00ffffff,
    0xffffff70,0xffffffff,0xffff003f,0x5400009f,0xffffffff,0xffddffff,
    0xffff00ff,0x6c00009f,0xffffffff,0xffffffff,0x3fff64ff,0xffffffff,
    0x4fffffff,0x04ffffe8,0x0fffffcc,0xfffffffb,0xffffffff,0xffc89fff,
    0x7ffdc06f,0x809999ef,0xf886fffc,0xffffffff,0x3fe21fff,0xffffffff,
    0xffffffff,0x7fec002f,0xffffffff,0xffffffff,0x3ffff604,0xffffffff,
    0xff905fff,0xffb80dff,0xfffd87ff,0xffffffff,0x4fffffff,0xffffffc8,
    0xffffffff,0xffff7fff,0x2200007f,0xffffffff,0x800dffff,0xfffffffb,
    0xffffffff,0x7fffe401,0xffffffff,0x907fffff,0xffffffff,0xfff97fff,
    0x7f4c001f,0xffffffff,0xff000dff,0x00009fff,0xffffffd8,0xff94ffff,
    0x3ffe01ff,0x200004ff,0xfffffffd,0xffffffff,0x3ff64fff,0xffffffff,
    0xffffffff,0x4ffffe84,0x7ffffcc0,0x3fffff61,0xffffffff,0x264fffff,
    0x2200ffff,0xffffffff,0x7ffcc3ff,0xeeee880f,0xeefffeee,0x3ffffe21,
    0xffffffff,0x02ffffff,0x7ffffec0,0xffffffff,0x404fffff,0xfffffffa,
    0x5fffffff,0x0dffff90,0x87ffffb8,0xfffffffd,0xffffffff,0xffc84fff,
    0xffffffff,0x7fffffff,0x007fffff,0x7ff5c400,0x01dfffff,0x7ffff4c0,
    0xdfffffff,0xffffc800,0xffffffff,0x107fffff,0xfffffffd,0x3fff27ff,
    0xfeb8000f,0x2dffffff,0x7ffffc00,0xfa800004,0x1dffffff,0x403ffff2,
    0x004fffff,0x3ffff600,0xffffffff,0x24ffffff,0xfffffffd,0xffffffff,
    0xffe84fff,0x7fcc04ff,0x3ff61fff,0xffffffff,0xffffffff,0x00ffffa4,
    0xfffffff1,0xffe87fff,0xffa8003f,0xffff882f,0xffffffff,0x2fffffff,
    0x7fffec00,0xffffffff,0x04ffffff,0xffffec88,0x2defffff,0x0dffff90,
    0x87ffffb8,0xfffffffd,0xffffffff,0xffc84fff,0xffffffff,0x7fffffff,
    0x007fffff,0x2aa62000,0xeb800009,0xdfffffff,0x3fff2002,0xffffffff,
    0x07ffffff,0x7fffffe4,0x3ffff21d,0x5d4c0000,0x3fe0000a,0x00004fff,
    0x02aaea20,0xfffff000,0x7ec00009,0xffffffff,0xffffffff,0x3ffff64f,
    0xffffffff,0x84ffffff,0x404ffffe,0x21fffff9,0xfffffffd,0xffffffff,
    0xfff94fff,0xffff100d,0x47ffffff,0x0006fffc,0xf105fff5,0xffffffff,
    0xffffffff,0xfd8005ff,0xffffffff,0xffffffff,0xba98004f,0xc8009aaa,
    0x5c06ffff,0xfd87ffff,0xffffffff,0xffffffff,0xffffc84f,0xffffffff,
    0xff7fffff,0x00007fff,0x40000000,0x0000aba9,0xfffffff9,0xffffffff,
    0x2a600fff,0x000000ab,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xdd700000,0x2e0001bd,0xec81eeee,0x2e0005ee,0x0000deee,
    0xffffff90,0x00dfffff,0x00000000,0x2e000000,0x24eeeeee,0x003eeeed,
    0x277775c0,0x26200000,0xbceeedca,0x9510001a,0x0000179d,0xabdeca98,
    0x22000000,0x5502aaa9,0x55555555,0x05555555,0x00355555,0x02aaaaa2,
    0x3bb2a600,0x75101bcd,0x579bddd9,0x5d4c0000,0x01bcceed,0x03333300,
    0xdd975300,0x40001579,0x0acddba8,0x03100000,0xffffb800,0xfb0000ef,
    0x7fec3fff,0xf70000ff,0x001dffff,0xfffff900,0x0dffffff,0x03edcc00,
    0x0fb73000,0xff700000,0xfe87ffff,0x40004fff,0x006ffffc,0xfff91000,
    0xffffffff,0x7f5c00bf,0xdfffffff,0x3fee0000,0xffffffff,0x6dc40002,
    0xfffffffe,0xffffff80,0xffffffff,0xffff87ff,0xfff1003f,0x3ae005ff,
    0xffffffff,0x3ff63fff,0xffffffff,0xb30003ff,0xffffffff,0x401bffff,
    0xffffffeb,0x2600deff,0xfffffffd,0x2000cfff,0xfffffffa,0x40001eff,
    0xfffffdca,0xfb801cdf,0x06ffffff,0x3ffffa00,0x01ffffd9,0xfffff700,
    0x90000dff,0xffffffff,0x5000dfff,0x000fffff,0x0fffff50,0xffb80000,
    0xfe81ffff,0x40004fff,0x006ffffc,0xffffb800,0xffffffff,0xfd8805ff,
    0xffffffff,0x44001eff,0xfffffffd,0x004fffff,0xfffffc98,0x80ffffff,
    0xffffffff,0xffffffff,0x3fffff87,0xfffff100,0xfffe8805,0xffffffff,
    0xffff14ff,0xffffffff,0x64001fff,0xffffffff,0x0fffffff,0xffffffb8,
    0x1fffffff,0xffffff90,0xffffffff,0xffff9003,0xffffffff,0xffd50005,
    0xffffffff,0xfffa807f,0x05ffffcf,0xffffd100,0x0003ffff,0x3f3fffea,
    0x40005fff,0xfffffffc,0x8006ffff,0x007ffffb,0x7ffffb80,0x3ee00000,
    0xd00dffff,0x0009ffff,0x06ffffc8,0x7ffdc000,0xffffffff,0x4405ffff,
    0xdffffffe,0x2ffffffe,0xfffff300,0xffffffff,0x2e001bff,0xffffffff,
    0xf80fffff,0xffffffff,0x7fffffff,0x03fffff8,0x5fffff10,0x7ffffd40,
    0xffffffff,0xffff14ff,0xffffffff,0x9801dfff,0xfffffffe,0xffffffff,
    0x7fffec0f,0xffffffff,0xfffb81ff,0xffffffff,0x101fffff,0xfffffffb,
    0x9fffffff,0x3fff6200,0xffffffff,0x3fea03ff,0xffff33ff,0x3fa2000b,
    0x001fffff,0x27ffff50,0x005ffff9,0x40000000,0x007ffffb,0x7ffffb80,
    0xff700000,0xfe807fff,0x40004fff,0x006ffffc,0x3fffe600,0xffffffff,
    0x2605ffff,0x41beffff,0x3ffffda8,0x7ffffc40,0xffffffff,0xc805ffff,
    0xffffffff,0x80ffffff,0xffffffff,0xffffffff,0x3fffff87,0xfffff100,
    0x3ffff205,0xffffffff,0xff14ffff,0xffdddfff,0x09ffffff,0x7fffffd4,
    0xffffffff,0x3ee0ffff,0xeeffffff,0x41fffffe,0xeffffff9,0xffffecac,
    0xfffd06ff,0xffdbffff,0x805fffff,0xffffffe8,0xffffffff,0x7ffff303,
    0x04ffff98,0xffffd100,0x3fe60005,0x7ffcc3ff,0x0000004f,0x3ffee000,
    0xfb80007f,0x00007fff,0x1fffffb8,0x4ffffe80,0x7ffe4000,0x3a00006f,
    0x0befffff,0x205db988,0x800efffd,0x200ffffd,0xdffffffc,0xfffeca9b,
    0x3f601fff,0xcdffffff,0xf01999ab,0xddddffff,0xbddddddd,0x07fffff0,
    0x3ffffe20,0xfffff882,0xa99aceff,0x9d14ffda,0x3ff66015,0x3fa07fff,
    0xbcffffff,0xffcba989,0x3ffffe0f,0x3b7300bf,0x1fffffc8,0x1fffffa0,
    0x3fffffea,0x7fffecc1,0x7ffe406f,0xccdeffff,0x3103ffee,0x26620333,
    0x26200019,0x22000099,0x33101999,0x00000033,0x7ffdc000,0xfb80007f,
    0x00007fff,0x00999998,0x09ffffd0,0xffffc800,0xff100006,0x0001ffff,
    0x01dfff30,0x827ffec0,0x1ffffff8,0xfffffd10,0x3fffe60b,0xf0000cff,
    0x0001ffff,0x03fffff8,0x5fffff10,0xffffffb0,0x00551007,0x3fffffa0,
    0xfffffb80,0x1b5000df,0x17ffffe6,0xffffe800,0x7fffd405,0x7ffff41f,
    0x3fffa01f,0xfff302ff,0x4c01dfff,0x0000002c,0x00000000,0x00000000,
    0x3fee0000,0xb80007ff,0x0007ffff,0x7f400000,0x40004fff,0x006ffffc,
    0xfffff300,0x3f600009,0x553100ff,0x407fff43,0x02fffffc,0x7fffff44,
    0xfffffe80,0x7ffc0001,0x7c0000ff,0x1003ffff,0x985fffff,0x02ffffff,
    0xff700000,0xff883fff,0x0003ffff,0x1fffffdc,0xfffff000,0xfffff005,
    0x7ffffcc3,0x7fffcc02,0xffffd06f,0x0000009f,0x31000000,0x00000013,
    0x3bbb6000,0x7774c03e,0x3bbae0ee,0xfffffeee,0xeeeeeeee,0xdddddd75,
    0xdddfffff,0x00bddddd,0x7ff40000,0x099884ff,0x37fffe40,0xfffb8000,
    0x980004ff,0xfea85fff,0x3fee7fff,0x7fffc44f,0xfff7006f,0xfffa89ff,
    0xf80004ff,0x0000ffff,0x01fffffc,0x2fffff88,0x1ffffff4,0xf5000000,
    0xfc83ffff,0x0005ffff,0xffffffa8,0xffff0001,0xfff8807f,0x3fff60ff,
    0xfff7007f,0xfff983ff,0x40000fff,0xeeeeeeed,0x2000eeee,0x75c5eeed,
    0x904effff,0x0005dddd,0xf82f776c,0x4c04ffff,0x320fffff,0xffffffff,
    0xffffffff,0xfff97fff,0xffffffff,0xffffffff,0xddddd30f,0xdddddddd,
    0xfe89dddd,0x3fae3fff,0xf904efff,0xeb80dfff,0x2a1eeeee,0x00ffffff,
    0x0fffec00,0x3ffffff2,0x83fffe27,0x03fffffb,0xdfffff30,0x06ffffd8,
    0xfffff000,0xfff80001,0xff1003ff,0x7fcc5fff,0x0000ffff,0x3ffee000,
    0x7fffc0ff,0x880001ff,0xdfffffff,0x7fff4002,0x3ff200ef,0x3ffe27ff,
    0xfe8804ff,0x7d43ffff,0x0003ffff,0xfffffff8,0x000fffff,0x745bfffa,
    0xffffffff,0x7fffe40e,0x3ffe0004,0xfffff06f,0xffff9809,0x3ffff20f,
    0xffffffff,0x7fffffff,0xfffffff9,0xffffffff,0xf50fffff,0xffffffff,
    0xffffffff,0xbffffe8b,0xffffffd8,0x7fe40eff,0x3fe606ff,0x7c43ffff,
    0x01efffff,0x71bffe00,0xffffffff,0x321fffc8,0x000fffff,0xf1fffffa,
    0x000bffff,0x03ffffe0,0xfffff000,0x3ffe2007,0x3ffea2ff,0x000004ff,
    0x2fffff40,0x17ffffe2,0xfffd8000,0x2dffffff,0xfffffc80,0xffffa80e,
    0x3fffe63f,0x7ffd401f,0x7e45ffff,0x0000ffff,0xfffffff8,0x000fffff,
    0x3a3ffffa,0xffffffff,0x7ffdc5ff,0xff10005f,0x3ffe0bff,0x7fcc04ff,
    0x3ff20fff,0xffffffff,0xffffffff,0xfffff97f,0xffffffff,0x0fffffff,
    0xfffffff5,0xffffffff,0xfffe8bff,0xfffffebf,0x645fffff,0xf106ffff,
    0x209fffff,0xffffffff,0x7fc4002d,0x7ffff44f,0x7fd44aac,0x3ffffa2f,
    0x7ffec007,0x3fffe27f,0x004cc43f,0x35fffff0,0xfff00013,0x3e2007ff,
    0x3ee2ffff,0x0002ffff,0xfffb1000,0xfffa83ff,0x200002ff,0xfffffff8,
    0x01cfffff,0xfffffff1,0x3fffee17,0x7fffd46f,0x7fffe407,0x7ec6ffff,
    0x00007fff,0xffffffff,0x4001ffff,0xffeffffe,0xffffffff,0x3ffea1ff,
    0xff30006f,0x3ffe09ff,0x7fcc04ff,0x2aa60fff,0xffffdaaa,0xaaaaaabf,
    0x5555532a,0x57fffffb,0x05555555,0xfffffff5,0xffffffff,0xfffe8bff,
    0xffffffff,0x21ffffff,0x886ffffc,0x05fffffe,0x3fffffee,0x800befff,
    0x3ea3fff9,0x7cc03fff,0x3fffe3ff,0x7fe4006f,0xfff50fff,0xfffd75ff,
    0xf807dfff,0xffffffff,0x7c00bdff,0x1003ffff,0x6c5fffff,0x001fffff,
    0x2a666200,0xffffffcb,0xfffffb81,0x6c400001,0xffffffff,0xf503ffff,
    0xdfffffff,0x81dfffff,0x307ffffa,0xfffffffd,0xffff8fff,0x5500006f,
    0xfffb5555,0x7f4001ff,0xffffffff,0xffffffcc,0x1ffffe65,0x7fffd400,
    0x9fffff03,0xfffff980,0xffffb800,0xffb80007,0xd30007ff,0xdddddddd,
    0xffffffdd,0xfffffe85,0xffccffff,0x3f25ffff,0xffd86fff,0xfd805fff,
    0xffffffff,0x3ea01dff,0x3fff22ff,0x4fff8807,0x01bffffe,0x3fffff70,
    0x3fffffee,0xffffffff,0xfff01eff,0xffffffff,0x3e019fff,0x1003ffff,
    0x745fffff,0x000fffff,0x3fffea00,0x0dffffff,0x1fffff90,0xffffff30,
    0x2a03ffff,0xfffffffd,0xf504ffff,0xffffffff,0xf701bfff,0xff70dfff,
    0xffffffff,0xfffff8ff,0x5c000007,0x000fffff,0x3ffffffa,0x7fffc42f,
    0x3ffffc6f,0xffffb800,0x9fffff02,0xfffff980,0xffffb800,0xffb80007,
    0x000007ff,0x7fffff44,0xfffffe84,0x7ffc42ff,0x3fff26ff,0x7fffe46f,
    0xfd8800ef,0xffffffff,0xfb80dfff,0x3fff61ff,0x2bfff006,0x05fffff8,
    0x7ffffdc0,0xffffff92,0xffffffff,0xff05ffff,0xffffffff,0x01dfffff,
    0x007fffff,0x8bffffe2,0x007fffff,0x7fffd400,0x0affffff,0x0fffffb0,
    0x3fffffe6,0x4401ffff,0xffffffdb,0xfd301fff,0xffffffff,0x7fffe40d,
    0x3ffff625,0xffffbcff,0x7fffff47,0x2e000000,0x000fffff,0x3ffffffa,
    0xfffff902,0x41fffff8,0xfb83ccc9,0xfff01fff,0xff9809ff,0xfb800fff,
    0x80007fff,0x007ffffb,0x7ffec000,0xfffd06ff,0x3f205fff,0x3ff27fff,
    0x3ffea6ff,0x5c000eff,0xffffffff,0x642fffff,0x3ffa1fff,0xdfff006f,
    0x17ffffe2,0xfffff500,0x3fffff27,0xffffffff,0x40ffffff,0xffffffff,
    0xffffffff,0x7ffffc0e,0xffff1003,0x3fffe25f,0x5400007f,0xffffffff,
    0xfe84ffff,0xff307fff,0xffffffff,0x7f5c4003,0x104fffff,0xfffffffb,
    0xfb03dfff,0x3feabfff,0xf72fffff,0xffd8ffff,0x00002fff,0x3ffffee0,
    0x3fffa000,0x3fea03ff,0x3ff60fff,0x7ffec2ff,0x3fffe40f,0x09fffff0,
    0x0fffff98,0x7ffffb80,0xfffb8000,0x2000007f,0x0ffffffb,0x7fffffd0,
    0x7ffffd40,0x2dffff90,0x1ffffff9,0x3ffae000,0xffffffff,0x8bffee1f,
    0xf007fffd,0x7fffcbff,0x7fdc005f,0xfffb2fff,0x557bffff,0xffffffb7,
    0x9999998b,0xffffdbaa,0x7ffc4fff,0xff1003ff,0x7ffc5fff,0x400007ff,
    0xfffffffa,0x0effffff,0x41fffffa,0xfffffff9,0x90001fff,0x30dfffff,
    0xffffffff,0x85ffffff,0xfcdffffd,0x20dfffff,0x647ffffb,0x006fffff,
    0x3ffee000,0x3fa000ff,0x7cc05fff,0x3f21ffff,0x7ffc3fff,0x7ffec3ff,
    0x3ffffe07,0x7fffcc04,0x7fffec0f,0xffffffff,0x804fffff,0x007ffffb,
    0xffff3000,0x7ff405ff,0x7fcc05ff,0xfff91fff,0xfffff1df,0x2600003f,
    0xfffffffc,0x3ffea6ff,0x07ffff22,0x7c9fff10,0x4006ffff,0xb2fffffb,
    0x807fffff,0x07fffffb,0xffffd100,0xfffff8df,0xffff1003,0x7ffffc5f,
    0x8000000f,0xfffffda9,0x3ffff65f,0xcccc880f,0x01fffffd,0xfffff100,
    0xfffff98d,0xfffffccf,0x3ff22fff,0xffffffff,0xffffc83f,0x7ffffcc6,
    0x7000003f,0x001fffff,0x027ffff4,0x87ffffe6,0x2a4ffffb,0x746fffff,
    0x3fe05fff,0x7cc04fff,0x7ec0ffff,0xffffffff,0xffffffff,0xffffb804,
    0xf8800007,0x403fffff,0x404ffffe,0x91fffff9,0xffddffff,0x00005fff,
    0xffffd710,0x3fe65fff,0x3fffee3f,0x3ffe601d,0x1bffffa3,0xfffff900,
    0x3fffff23,0xffffd800,0xfd10001f,0x7fc1ffff,0xf1003fff,0x7f45ffff,
    0x0001ffff,0x7ffcc000,0xfff92fff,0x3e6003ff,0x0011ffff,0x5fffffa8,
    0x3fffffe6,0x3ffff221,0x3ffee6ff,0x1effffff,0x0bffffb0,0xbffffffb,
    0x2002a801,0x00fffffb,0x13ffffa0,0x3fffff30,0xb2ffffd4,0x43ffffff,
    0x3e04ffff,0x4c04ffff,0x6c0fffff,0xffffffff,0xffffffff,0xfffb804f,
    0xe800007f,0x805fffff,0x404ffffe,0x91fffff9,0xffffffff,0x000009ff,
    0xffffff90,0x893ffe29,0xeeffffff,0xb17ffd47,0x800fffff,0x70fffffd,
    0x001fffff,0x05fffff5,0x7fffe400,0x3ffffe2f,0xffff3003,0x7fffe43f,
    0x0000002f,0x4fffffa8,0x05fffff5,0x3ffffe60,0x2017bf71,0xffffff98,
    0x3fffff63,0xfffff500,0x3fffea7f,0x7404ffff,0xfa84ffff,0xdfffffff,
    0x4ffdcaac,0x3fffee00,0x3ffa000f,0x7fcc04ff,0x3fe61fff,0x3fffe6ff,
    0x3ffe4fff,0x3fffe03f,0x7ffcc04f,0x7ffec0ff,0xffffffff,0x04ffffff,
    0x07ffffb8,0x7ffe4000,0xfe800eff,0x7cc04fff,0xff91ffff,0xffffffff,
    0x0000001f,0x4bfffffb,0x7fdc7fff,0x6c7fffff,0x3ff21fff,0x3e001fff,
    0x3ee6ffff,0x9801ffff,0x003fffff,0x3ffffea0,0x0fffffe3,0x7ffffcc0,
    0x3ffffee0,0x00000005,0x26dfffff,0x005fffff,0x23fffff3,0xeefffffb,
    0xffffffed,0xffff30ff,0xfffa805f,0xffff35ff,0xff005fff,0x3f607fff,
    0xffffffff,0x04ffffff,0x3ffffee0,0x3fffa000,0x7ffcc04f,0x3ffe21ff,
    0xfffff57f,0x3ffe2dff,0x3fffe02f,0x7ffcc04f,0x5554c0ff,0xbfffffda,
    0x01aaaaaa,0x07ffffb8,0x3ffea000,0xfd001fff,0xf9809fff,0xff91ffff,
    0xffff7dff,0x000001df,0x6fffffa8,0xf90bfff6,0x44ffffff,0x7fdc6fff,
    0xf3004fff,0x7d49ffff,0x9802ffff,0x002fffff,0x3ffffea0,0x13ffffa2,
    0x3ffffd40,0x3fffffea,0x80000001,0xf16fffff,0x001fffff,0x23fffff3,
    0xfffffffb,0xffffffff,0x3fffee2f,0xffffd007,0x3ffffe2d,0xfffa800e,
    0x3ff202ff,0xffffffff,0x2004ffff,0x00fffffb,0x13ffffa0,0x3fffff30,
    0xc8fffff8,0xffffefff,0x01ffffa9,0x013ffffe,0x01fffff5,0x0fffff70,
    0xffff7000,0x3e60000f,0x003fffff,0x013ffffa,0x23fffff3,0xfb6ffffc,
    0x000bffff,0xffff9800,0x1bffea4f,0x9bfffb66,0x7c43fffc,0x9006ffff,
    0x4c3fffff,0x805fffff,0x01fffffa,0x3ffff200,0x3ffff60f,0xffff7005,
    0xfffff88d,0x0000005f,0x27ffffc4,0x09fffffd,0x3fffff30,0x3fffffee,
    0xffffffff,0x7fffe41e,0xffff9006,0x7fffff4f,0xffffd800,0xffffb806,
    0xffffffff,0x3fee004f,0x3a000fff,0x4c04ffff,0x6c1fffff,0xfff9ffff,
    0xbcffff9f,0x3a00ffff,0x2204ffff,0x00ffffff,0x0fffffb8,0x7ffdc000,
    0x440000ff,0x05fffffe,0x27ffff40,0x3ffffe60,0x2dffff91,0x3ffffff8,
    0x3ee00000,0x7f42ffff,0x102202ff,0x3f60dfff,0x5404ffff,0xf85fffff,
    0x400fffff,0x007ffffd,0x3ffffe60,0x7ffffe46,0xfffff801,0xfffffb85,
    0x0004004f,0x5fffff90,0x7fffffcc,0x7fffcc03,0xffffb31f,0xdfffffff,
    0x3ffff207,0xffffb007,0x7ffffd4b,0x7fffcc05,0x3faa003f,0xdfffffff,
    0x3fee000b,0x3a000fff,0x4c04ffff,0x641fffff,0xfffbffff,0xf9dfffb7,
    0xffd80fff,0xffd106ff,0x5001ffff,0x007fffff,0xfffffa80,0x7fec0003,
    0xe8006fff,0x4c04ffff,0xf91fffff,0x7fccdfff,0x6c02ffff,0xff7000ad,
    0xfa81ffff,0xd1002fff,0x3e607fff,0x303fffff,0x03ffffff,0x0bfffff7,
    0x2fffffdc,0xfffe9800,0x7ffd44ff,0x3f200dff,0xff02ffff,0x03dfffff,
    0x800275c4,0x1ffffffb,0x7fffffec,0xffff300d,0xd553103f,0xa805ffff,
    0x403fffff,0x43fffff9,0x01fffffe,0x0dfffff3,0xdffff100,0x7dc00013,
    0x2000ffff,0x404ffffe,0x41fffff9,0xfffffffb,0xdffff54f,0xfc80dfff,
    0x6c40ffff,0x0fffffff,0xfffff980,0x7fcc0005,0x20005fff,0x0ffffffb,
    0xffffe800,0x7fffcc04,0xdffff91f,0xffffffb8,0x3bfff601,0xfccaaacd,
    0x06ffffff,0x805ffffd,0x406fffe8,0xfffffffe,0xffffedbd,0x3ffe05ff,
    0xa89aefff,0x1ffffffd,0x2666af6a,0xffffeba9,0xffe80eff,0x989befff,
    0x5fffffda,0x3ffffea0,0xdcceffff,0x5994ffff,0x95533335,0x9fffffff,
    0xffffff10,0xd957bdff,0x003fffff,0x300ffffd,0x59ffffff,0xfffffa81,
    0x7fffd41f,0xff732dff,0x0007ffff,0x007ffff5,0xfffff700,0x7fff4001,
    0x7ffcc04f,0x7ffd41ff,0xf12fffff,0xbfffffff,0xfffffb80,0xffffc9cf,
    0x800fffff,0x3ffffff8,0x7c403988,0x883fffff,0xffff3039,0x3a0005ff,
    0x4c04ffff,0xf91fffff,0xffb0dfff,0x3601dfff,0xffffffff,0xffffffff,
    0xfff300ef,0x2e637bff,0x01effffd,0x7fffffcc,0xffffffff,0x3ee00fff,
    0xffffffff,0x3fffffff,0x7fffffdc,0xffffffff,0xfff500ff,0xffffffff,
    0x01ffffff,0xffffffe8,0xffffffff,0xffffd4ff,0xffffffff,0x5c0bffff,
    0xffffffff,0xffffffff,0x7fc401ff,0xffb004ff,0xfdffffff,0x9fffffff,
    0x3fffffa0,0xffffffff,0xf90006ff,0x22001fff,0xfc999999,0x9999ffff,
    0xfffe8099,0x7ffcc04f,0x7ffcc1ff,0x7ec7ffff,0x04ffffff,0x7fffffc4,
    0xffffffff,0xd000ffff,0xffffffff,0xd00fffff,0xffffffff,0xf10fffff,
    0xddffffff,0xdddddddd,0x4ffffe8b,0x7ffffcc0,0x0dffff91,0xbffffff1,
    0x3fffff60,0xffffffff,0x4401ffff,0xfffffffe,0x0effffff,0xfffff300,
    0xffffffff,0xffb003df,0xffffffff,0xf70bffff,0xffffffff,0x03ffffff,
    0xffffffd8,0xffffffff,0xfff7003f,0xffffffff,0x3fa9ffff,0xffffffff,
    0x0effffff,0x7ffffd40,0xffffffff,0x4c01ffff,0x1001ffff,0xfffffffd,
    0xffffffff,0x7fff440b,0xffffffff,0x360005ff,0x36005fff,0xffffffff,
    0xffffffff,0xfffe84ff,0x7ffcc04f,0x7ffc41ff,0x7d44ffff,0x02ffffff,
    0xffffffc8,0xfcbfffff,0xf3000fff,0xffffffff,0xf300ffff,0xffffffff,
    0xff90ffff,0xffffffff,0xffffffff,0x04ffffe8,0x8fffffcc,0x506ffffc,
    0x09ffffff,0xfffffffb,0xffffffff,0x7fec003b,0xffffffff,0xfe88005f,
    0xffffffff,0x7dc004ff,0xffffffff,0xff702fff,0xffffffff,0x20017fff,
    0xfffffffb,0x01efffff,0x7ffff4c0,0xffffffff,0xfffffd3f,0xffffffff,
    0x7ec4005d,0xffffffff,0x00efffff,0x0037ffdc,0x3fffff62,0xffffffff,
    0xfffc800c,0xffffffff,0x7ffc0003,0x3ff6002f,0xffffffff,0xffffffff,
    0x4ffffe84,0x7ffffcc0,0xffffff81,0x7fffc42f,0xe8801fff,0xffffffff,
    0x1ffff93f,0x7fffdc00,0x7fffffff,0xfffff700,0x0fffffff,0xfffffff9,
    0xffffffff,0xfffe8fff,0x7ffcc04f,0xffff91ff,0x7fffe40d,0x7f6542ff,
    0xffffffff,0x50000cff,0xdfffffd9,0xdb800059,0xdfffffff,0xffb30002,
    0x19ffffff,0x7ffffdc0,0x03dfffff,0xffffb100,0x007dffff,0xfffecb80,
    0x20bdffff,0xfffffffe,0x002defff,0x3fffb6a0,0x1cefffff,0x07fffb00,
    0x3fff6600,0x0cffffff,0x7ffed400,0x002cefff,0x03fffc40,0x3fffff60,
    0xffffffff,0xe84fffff,0x4c04ffff,0xe81fffff,0xb07fffff,0x01ffffff,
    0x7ffffe40,0x3fff21df,0x7e44000f,0xffffffff,0x3ff22006,0x6fffffff,
    0xffffffc8,0xffffffff,0x7ff47fff,0x7fcc04ff,0xfff91fff,0xfffe80df,
    0x2a601fff,0x009aabaa,0x0ab98000,0x75100000,0x88000015,0x40009ab9,
    0x09aaaa99,0x54c40000,0x000001ab,0x30066aa2,0x13555553,0x54c00000,
    0x800099ab,0x0000cccb,0x09aba998,0x37510000,0x64c00001,0x7ec002cc,
    0xffffffff,0xffffffff,0xffffe84f,0x7fffcc04,0xffffc81f,0xffff505f,
    0x2a6000ff,0x000000ab,0x555d54c4,0x2a620001,0x3201aaba,0xffffffff,
    0xffffffff,0x7ffff47f,0x7fffcc04,0xdffff91f,0xfffff880,0x000000ef,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xaaa80000,0x551001aa,0x22001555,0xaaccddca,0x1aaaaaaa,0x7ffffc40,
    0x2fffffff,0x2aaaaa60,0x00009aaa,0x01555551,0x2aaa2000,0xaaaaaaaa,
    0xaaaaaaaa,0x555101aa,0x00000155,0x55555530,0x05555555,0x9bd97300,
    0x55554035,0x2200001a,0x5002aaaa,0x26035555,0xaaaaaaaa,0x00000009,
    0x55544000,0xaaaaaaaa,0xaaaaaaaa,0x2aaaa1aa,0x554c002a,0x55550aaa,
    0x55555555,0x2a355555,0xaaaaaaaa,0xaaaaaaaa,0x15555552,0x55553000,
    0x55555415,0x0009aaaa,0x2aaaaaa0,0x0019aaaa,0x006aaaaa,0x05555544,
    0x013ffffa,0x07ffffd4,0x3ffffea0,0xffffffff,0x4405ffff,0xffffffff,
    0x3202ffff,0xffffffff,0x003cefff,0x01fffff7,0x3ffe6000,0xffffffff,
    0xffffffff,0xfff104ff,0x000007ff,0xfffffff0,0x1fffffff,0x3fffaa00,
    0x82ffffff,0x004fffff,0x3fffea00,0xfffd800f,0xffff905f,0xdfffffff,
    0x3ae00079,0x81dc8000,0xfffffff9,0xffffffff,0x23ffffff,0x03fffffc,
    0x3fffffa0,0xffffffd0,0xffffffff,0x3fffa7ff,0xffffffff,0xfb6fffff,
    0x0007ffff,0xf8fffffd,0xffffffff,0x003cefff,0xfffffff1,0x9fffffff,
    0x7ffff401,0xffff5004,0xffffe81f,0xffff5004,0x7ffe401f,0xffffffff,
    0x5fffffff,0x7ffffc40,0x2fffffff,0x3fffff20,0xffffffff,0x7fdc01ef,
    0x00000fff,0xfffffff3,0xffffffff,0x09ffffff,0x0fffffe2,0xff500000,
    0xffffffff,0x8801ffff,0xfffffffd,0x20dfffff,0x004fffff,0x3fffea00,
    0xfffd800f,0xffff905f,0xffffffff,0x2a003dff,0x4c004fff,0x3e60cfff,
    0xffffffff,0xffffffff,0x3e23ffff,0x800fffff,0x23fffffb,0xfffffffe,
    0xffffffff,0xfffffd3f,0xffffffff,0x3feedfff,0x44005fff,0x7c5fffff,
    0xffffffff,0x1effffff,0x7ffffc40,0xffffffff,0xfe80dfff,0xf5004fff,
    0xfe81ffff,0xf5004fff,0xb101ffff,0xffffffff,0xffffffff,0xf880bfff,
    0xffffffff,0x3f202fff,0xffffffff,0xcfffffff,0xfffff700,0x3e600001,
    0xccccccff,0xcccccccc,0xf104ffec,0x0007ffff,0xffffd800,0xffffffff,
    0x7fec00ff,0xffffffff,0x3fe6ffff,0x00004fff,0x03ffffea,0x17ffff60,
    0x7fffffe4,0xffffffff,0x3f600cff,0x2002ffff,0x30fffffe,0xffffffff,
    0xffffffff,0xb87fffff,0x804fffff,0x746fffff,0xffffffff,0xffffffff,
    0xffffffd3,0xffffffff,0x3ffe2dff,0x2a000fff,0x7c2fffff,0xffffffff,
    0xffffffff,0xffff100c,0xffffffff,0xd0bfffff,0x2009ffff,0x40fffffa,
    0x004ffffe,0x01fffff5,0xfffffff9,0xffffffff,0x00bfffff,0xffc80000,
    0xffffffff,0x6fffffff,0x1fffff70,0x3fe60000,0xd8002627,0xfff104ff,
    0x000007ff,0x7fffffc4,0xffffffff,0x3ffea00f,0xfdcdefff,0x3fe1ffff,
    0x9aaadfff,0x7dcc4000,0x999affff,0xffe99999,0x7e409dff,0xffffffff,
    0xffffffff,0x3fffe606,0xffc800ff,0x3fe63fff,0xffffffff,0xffffffff,
    0xffe83fff,0x3ee00fff,0x7f41ffff,0xffffffff,0x3fffffff,0xfffffffd,
    0xffffffff,0x7ffff4df,0x3ff6002f,0x7ffc0fff,0xffffffff,0x6fffffff,
    0xffffff10,0xffffffff,0xfe89ffff,0xf5004fff,0xfe81ffff,0xf5004fff,
    0xf881ffff,0x21bfffff,0x001fffff,0xf9000000,0x7533ffff,0xffffffd9,
    0xffff707f,0x2600001f,0x3ffee7ff,0x3ff603de,0xfffff104,0x5c000007,
    0xfffeffff,0x0199999f,0x17fffff4,0x7fc2ffb8,0xffffffff,0x6401deff,
    0xffffffff,0xffffffff,0x6fffffff,0x4fffffe4,0xfffecba9,0x2e03ffff,
    0x535fffff,0xfff53579,0x33330bff,0xffff5333,0x3333339f,0xffff5013,
    0x3ffe20bf,0xfffe85ff,0xaaaaaaef,0xfd1aaaaa,0x5555dfff,0x55555555,
    0x27ffffdc,0xdfffff00,0x39fffff0,0xfffd9753,0xf107ffff,0x9885ffff,
    0x7ffffffc,0x027ffff4,0x0fffffa8,0x027ffff4,0x0fffffa8,0x17ffffe4,
    0x00fffffc,0xc8000000,0x2606ffff,0x0fffffff,0x07ffffdc,0x7ff98000,
    0x3fffffee,0x04ffd83f,0x07fffff1,0xe8000b22,0xfffddfff,0x7fcc000f,
    0x14c03fff,0x7ffffffc,0xffffffff,0xffff901d,0xffffffff,0xffffffff,
    0xffc8dfff,0x3fe606ff,0x200fffff,0xfffffffd,0xffffffff,0x44000fff,
    0x003fffff,0x3fffffb0,0x1fffff90,0x0bffffd0,0x3ffffa00,0x3fe60005,
    0xf3006fff,0xff07ffff,0x7cc07fff,0x40ffffff,0x02fffff8,0x3fffffe2,
    0x13ffffa0,0x7ffffd40,0x27ffff40,0xfffffa80,0x3ffffe20,0x3fffff04,
    0x00000000,0x01bffff2,0x9fffffd1,0x0fffffb8,0xfff30000,0x7fffffdc,
    0x27fec5ff,0x3fffff88,0x0017fe44,0xdaffff98,0x4000ffff,0x007ffffa,
    0x3fffffe0,0xffffffff,0xffc84fff,0xffffffff,0xffffffff,0x646fffff,
    0x4406ffff,0x04fffffe,0x3fffffe2,0xffffffff,0x88001fff,0x003fffff,
    0xbfffff10,0x3fffff88,0x0bffffd0,0x3ffffa00,0x7ff40005,0xfb800fff,
    0xff81ffff,0x74403fff,0x444fffff,0x402fffff,0x22fffffc,0x004ffffe,
    0x81fffff5,0x004ffffe,0x41fffff5,0x01fffffb,0x003fffff,0xeeeeeed8,
    0x000eeeee,0x00dffff9,0x1ffffff3,0x07ffffdc,0x7ff98000,0x3feea662,
    0x3ff64fff,0xfffff104,0x3ffff227,0xfffb0002,0x03ffff6f,0xbffff700,
    0x7fffc000,0xffffffff,0x42ffffff,0xfffffffc,0xffffffff,0xffffffff,
    0x37fffe46,0x7ffffcc0,0x3ffe600f,0xffffffff,0x0003ffff,0x07fffff1,
    0x7fffe400,0x3ffff21f,0x3ffffa06,0xfffd0005,0xfc8000bf,0xe803ffff,
    0xff06ffff,0xf3007fff,0x441fffff,0x402fffff,0x21fffffa,0x004ffffe,
    0x81fffff5,0x004ffffe,0x41fffff5,0x207ffffd,0x001fffff,0x7ffffffc,
    0x000fffff,0x00dffff9,0x8bfffffa,0x00fffffb,0x0fff3000,0x21ffff90,
    0xff104ffd,0xfff97fff,0x10005fff,0x3f69ffff,0x6c000fff,0x0004ffff,
    0x277ffffe,0xfffdba99,0x2a61ffff,0xabfffffc,0xeaaaaaaa,0x42aeffff,
    0x006ffffc,0x05fffffd,0xffffffe8,0xfffffffe,0xfff10002,0x440007ff,
    0xf15fffff,0x7405ffff,0x0005ffff,0x00bffffd,0xfffffa80,0x7fffc405,
    0xfffff04f,0x3fffa007,0x3ffe22ff,0x7fdc02ff,0x3ffa0fff,0xff5004ff,
    0xffe81fff,0xff5004ff,0x7ff41fff,0x3ffe04ff,0x7fc001ff,0xffffffff,
    0xff9000ff,0x3ee00dff,0x3ee3ffff,0x0000ffff,0x200fff30,0xffb1fffd,
    0x3fffe209,0xffffffff,0xffb8002f,0xffffb1ff,0xfffd8001,0x3fe0004f,
    0x3ea04fff,0xa85fffff,0x800fffff,0x905ffffd,0x200dffff,0x03fffffb,
    0x33ffffe6,0x3ffffa60,0xfff10005,0xb80007ff,0xfc9fffff,0x7f405fff,
    0xd0005fff,0x000bffff,0x0ffffff0,0x1fffffa8,0x07fffff0,0x3ffffee0,
    0x3ffffe23,0x7fffec02,0x27ffff46,0xfffffa80,0x27ffff40,0xfffffa80,
    0x0fffffe0,0x01fffff8,0x7fffffc0,0x00ffffff,0x0dffff90,0x3ffffe20,
    0x3ffffee4,0x01351000,0x2e00fff3,0x9ffb2fff,0x3ffffe20,0x0cffffff,
    0xdfffd000,0x007fffec,0x13ffff60,0xfffff800,0x7fffcc04,0xffffa86f,
    0xfffd800f,0xffff905f,0x3ffe200d,0x3ff604ff,0xfff304ff,0xf10001ff,
    0x0007ffff,0xfdffffd0,0xe803ffff,0x0005ffff,0x00bffffd,0xfffffb00,
    0x7fffe403,0x3ffffe07,0xffff1003,0x7fffc49f,0x3ffee02f,0x7fff42ff,
    0xfff5004f,0xfffe81ff,0xfff5004f,0x7fffc1ff,0x3fffe02f,0x019999af,
    0x36aaaaaa,0x400fffff,0xfffffdaa,0xf882aaaa,0x3ee5ffff,0xb800ffff,
    0x7cc3ffff,0xfffd007f,0x4413ff63,0xffffffff,0x260000df,0x3f63ffff,
    0x99999fff,0x3ffff600,0x3ffe0004,0xffd804ff,0x7fd40fff,0xfd800fff,
    0x6d545fff,0xaaafffff,0xffff882a,0x3fffe05f,0x3fff600f,0xff88002f,
    0x80003fff,0xfffffff9,0xffe804ff,0xfd0005ff,0x5555dfff,0x15555555,
    0x9fffff50,0x2fffffc0,0x07fffff0,0x3ffffe20,0x3ffffe25,0xfeba999b,
    0xfe85ffff,0xccccefff,0xffdccccc,0x7ff40fff,0xff5004ff,0x3fe21fff,
    0x3fe02fff,0xffffffff,0x7fdc000f,0x7fc00fff,0xffffffff,0xfff80fff,
    0x3ffee6ff,0x7fdc00ff,0x3e62ffff,0x7fe4c07f,0x213ff67f,0xfffffffb,
    0xc80001df,0x3f60ffff,0xffffffff,0x3fb33225,0xccccefff,0xff03cccc,
    0xf7009fff,0xfa83ffff,0xeeeeffff,0xfffeeeee,0x7fffc5ff,0xffffffff,
    0xfffff80f,0xdffff106,0x3ffffc80,0x6e6664c0,0xccdfffff,0xfd8003cc,
    0x0fffffff,0xeffffe80,0xcccccccc,0x3fffa3cc,0xffffffff,0x881fffff,
    0x306fffff,0x405fffff,0x003fffff,0x89bffffe,0xffffffff,0xffffffff,
    0xfffffd04,0xffffffff,0x1fffffff,0x04ffffe8,0x1fffff50,0x07ffffe6,
    0xfffffff8,0x4000ffff,0x00fffffb,0x7ffffffc,0x80ffffff,0x2e7ffffe,
    0x200fffff,0xfffffff8,0xd31ffe67,0x5fffffdd,0xff727fec,0x3bffffff,
    0x7ffc0000,0x7fffec6f,0x265fffff,0xffffffff,0xffffffff,0xfffff05f,
    0xffff7009,0xffffa85f,0xffffffff,0x5fffffff,0x7ffffffc,0x80ffffff,
    0x307ffffe,0xb80bffff,0x5c04ffff,0xffffffff,0x6fffffff,0xffff8800,
    0xfd003fff,0xffffffff,0x4dffffff,0xfffffffe,0xffffffff,0xffffd01f,
    0xffff701f,0x7fffc01f,0x3ffa003f,0x3ffe27ff,0xffffffff,0xd00cffff,
    0xffffffff,0xffffffff,0xfe81ffff,0xf5004fff,0x3ea1ffff,0x3e01ffff,
    0xffffffff,0x7dc000ff,0x7c00ffff,0xffffffff,0xfe80ffff,0x3fee7fff,
    0x3ea00fff,0x1fffffff,0xff98fff3,0x6c3fffff,0xffff34ff,0x007fffff,
    0x7fffd400,0x7ffffec3,0x3e65ffff,0xffffffff,0xffffffff,0x9fffff05,
    0xfffff900,0xfffffa81,0xffffffff,0x45ffffff,0xffffffff,0xe80fffff,
    0xf307ffff,0xfb80bfff,0x7dc04fff,0xffffffff,0x06ffffff,0xfffff900,
    0x7fff400d,0xffffffff,0x3fa6ffff,0xffffffff,0x1fffffff,0x5fffff70,
    0x0bffffd0,0x03fffff8,0x9fffffa0,0xfffffff8,0xffffffff,0xfffe84ff,
    0xffffffff,0xffffffff,0x7ffff40f,0xffff5004,0x3fffe61f,0x3fffe01f,
    0x0fffffff,0x7fffdc00,0x7fffc00f,0xffffffff,0xfffff80f,0x3ffffee6,
    0x3fffea00,0xff31ffff,0xdefff98f,0x34ffd80c,0xffffffff,0x6c00007f,
    0x7ec0ffff,0xffffffff,0x3ffffe65,0xffffffff,0xff05ffff,0xfb009fff,
    0xff50ffff,0xffffffff,0xffffffff,0xfffff8bf,0xffffffff,0x6fffff80,
    0x0dffff10,0x03ffffb8,0x7fffffdc,0xffffffff,0xff10006f,0x74005fff,
    0xffffffff,0x6fffffff,0x3ffffffa,0xffffffff,0xfff301ff,0xfff889ff,
    0x7ffc03ff,0x3fe003ff,0x3fe26fff,0xffffffff,0xffffffff,0x7fffff46,
    0xffffffff,0x0fffffff,0x027ffff4,0x0fffffa8,0x05fffff3,0x00fffffc,
    0xffffb800,0x7eccc00f,0x9999ffff,0xfffff881,0x3ffffee5,0x3fffe200,
    0x3fe67fff,0x007ffcc7,0x7fcd3ff6,0x3fffffef,0xfff10000,0xffffb0bf,
    0xeccc8801,0xccceffff,0xf03ccccc,0xa809ffff,0xa85fffff,0xeeefffff,
    0xffeeeeee,0x6ccc5fff,0x999fffff,0xffff8819,0x3fffe05f,0x7fffec07,
    0x7fffdc02,0xffffffff,0x7e406fff,0xffffffff,0xffffffff,0xfffffe86,
    0xffffffff,0x3fffa6ff,0x999999ef,0x74019999,0x7d47ffff,0x7c00ffff,
    0x1003ffff,0x44bfffff,0x442fffff,0xfffffea9,0x3ffffa3f,0x9999999d,
    0xfffffb99,0x27ffff40,0xfffffa80,0x5fffff10,0x0fffffc0,0xfffb8000,
    0xff9000ff,0x3e200dff,0x3ee4ffff,0x6400ffff,0x23ffffff,0x7fc47ff9,
    0xa7fec00f,0xfff89ef9,0x700003ff,0xfb05ffff,0xd8001fff,0x0004ffff,
    0x813ffffe,0x3fffffe8,0x0fffffa8,0x5ffffd80,0x0dffff90,0x3ffffe20,
    0x3ffffe04,0xfffff103,0xfff10001,0xf90007ff,0xffffffff,0xffffffff,
    0xbffffd0d,0x3fffa000,0x3200005f,0x321fffff,0xf806ffff,0x1003ffff,
    0x449fffff,0x402fffff,0x0ffffffb,0x009ffffd,0x03ffffea,0x009ffffd,
    0x83ffffea,0x203fffff,0x001fffff,0xfffff700,0x3fff2001,0xfff5006f,
    0x7ffdc7ff,0xffc800ff,0x3ffcc3ff,0x3601ffe2,0x7c4514ff,0x0003ffff,
    0x20ffffd0,0x000ffffd,0x027fffec,0x9fffff00,0xffffc988,0xfff505ff,
    0xffb001ff,0x3ff20bff,0xff5006ff,0x7e407fff,0x7441ffff,0x0005ffff,
    0x07fffff1,0xfffff900,0xffffffff,0xfd0dffff,0x2000bfff,0x005ffffe,
    0x3fffe600,0x3ffffa3f,0xfffff804,0xffff5003,0x7fffc47f,0xfffd802f,
    0xffffd1ff,0x3ffea009,0x7fff40ff,0xfff5004f,0x7fff41ff,0x3fffe05f,
    0xf700001f,0x2001ffff,0x006ffffc,0x45fffffb,0x00fffffb,0xf3013510,
    0xfd8000ff,0xffff104f,0xf300007f,0xffffffff,0x01ffffff,0x4ffffd80,
    0x3fffe000,0xffffffff,0x00ffffff,0x01fffff5,0x0bffffb0,0x01bffff2,
    0x17ffffec,0xffffff30,0xfffffb9b,0x3e20003f,0x8003ffff,0xfbaaaaa9,
    0xaaacffff,0xfffe82aa,0xffd0005f,0x80000bff,0xf16fffff,0xf003ffff,
    0x2007ffff,0x22fffffd,0x02fffff8,0x3fffffb8,0x009ffffd,0x03ffffea,
    0x009ffffd,0x83ffffea,0x207ffffe,0x001fffff,0xfffff700,0x3fff2001,
    0xfff9806f,0x3fee0fff,0x00000fff,0x7b70fff3,0x209ffb00,0x03fffff8,
    0xffffc800,0xffffffff,0x6c000fff,0x0004ffff,0x3ffffffe,0xffffffff,
    0x3fea02ff,0xfd800fff,0xff905fff,0xff300dff,0xf801ffff,0xffffffff,
    0x01ffffff,0xfffff100,0xff800007,0x3a002fff,0x0005ffff,0x00bffffd,
    0xffffd800,0x7ffffb8f,0x7fffff00,0xfffff300,0x7fffc41f,0xfffb802f,
    0xffffd3ff,0x3ffea009,0x7fff40ff,0xfff5004f,0x7ffdc1ff,0xffff01ff,
    0x2e00003f,0x000fffff,0x00dffff9,0x87fffffb,0x00fffffb,0x8fff3000,
    0x6c04fffc,0xfff104ff,0xf00007ff,0xffffffff,0x1fffffff,0xffffd800,
    0x3ffe0004,0xffffffff,0x400dffff,0x00fffffa,0x05ffffd8,0x00dffff9,
    0x07fffffb,0xffffffc8,0xffffffff,0xf88000ff,0x0003ffff,0x17ffffc0,
    0xbffffd00,0x3fffa000,0x5400005f,0xfdafffff,0xff004fff,0xfb007fff,
    0xf887ffff,0xd802ffff,0xfd1fffff,0x2a009fff,0x740fffff,0x7004ffff,
    0xf88fffff,0xff05ffff,0x00003fff,0x03ffffee,0x37fffe40,0x3fffff20,
    0xfffffb86,0xff300000,0x06fffe8f,0xf8827fec,0x0003ffff,0x7fffffd4,
    0xffffffff,0x7ec000ff,0x20004fff,0xffffffff,0x02dfffff,0x1fffff50,
    0xbffffb00,0x1bffff20,0xdfffff90,0xfffffb80,0xffffffff,0x8005ffff,
    0x03fffff8,0xaaaaa980,0xacfffffb,0xfe82aaaa,0xd0005fff,0x000bffff,
    0xfffff880,0x02fffffc,0x07fffff0,0x6fffffc8,0x2fffff88,0x7ffffcc0,
    0x9ffffd0f,0x3fffea00,0x7ffff40f,0xffffd004,0xfffffb0d,0x3fffff09,
    0x3fee0000,0xf9000fff,0xd510dfff,0x05ffffff,0x01fffff7,0x1ffe6000,
    0xd809fffb,0xfff104ff,0xd80007ff,0x9999ffff,0xffffe999,0x7ffec000,
    0x3fe0004f,0xacccefff,0xffa80009,0xfd800fff,0xff905fff,0xfd510dff,
    0x405fffff,0xbefffff9,0xfcadeeed,0x4004ffff,0x03fffff8,0xfffffc80,
    0xffffffff,0xfe86ffff,0xd0005fff,0x000bffff,0xfffffb00,0x001fffff,
    0x20fffffe,0xfffffea8,0xffff882f,0x3ffaa02f,0x3ffa6fff,0xff5004ff,
    0xffe81fff,0x2f3e64ff,0xfffffeaa,0xfffffa84,0xfffaacef,0xaaaaabff,
    0x7ffdc001,0xff9000ff,0xfdb99fff,0xdfffffff,0x3ffffee0,0xeeeeeeee,
    0xf303eeee,0x0dfd88ff,0x8827fec0,0xeeefffff,0xeeeeeeee,0x3fffe25e,
    0x7fffec06,0x10aaaaab,0xffffd999,0x9999999d,0x7fc79999,0x00004fff,
    0x03ffffea,0x17ffff60,0x67ffffe4,0xfffffedc,0x3a206fff,0x400fffff,
    0x2fffffe8,0x3fffe200,0xffc8003f,0xffffffff,0x6fffffff,0x05ffffe8,
    0xdffffd00,0x99999999,0xf7007999,0xffffffff,0x7fffc00b,0xffedccdf,
    0x06ffffff,0x9bfffff1,0xfffdb999,0x7f45ffff,0xf5004fff,0xfe81ffff,
    0x3fe64fff,0xffffffff,0xffffd00f,0xffffffff,0xffffffff,0x3333310b,
    0x3fffff93,0xc8133333,0xffffffff,0xffffffff,0xffff700c,0xffffffff,
    0x209fffff,0x40007ff9,0xff104ffd,0xffffffff,0xdfffffff,0x01ffffdc,
    0x3ffffff6,0xff32ffff,0xffffffff,0xffffffff,0x7fffcbff,0x2a00004f,
    0x800fffff,0x905ffffd,0xffffffff,0xffffffff,0x7ffec019,0xff3003ff,
    0x2001ffff,0x03fffff8,0xfffffc80,0xffffffff,0xfe86ffff,0xd0005fff,
    0xffffffff,0xffffffff,0xffff100d,0x007fffff,0x7ffffffc,0xffffffff,
    0xff100cff,0xffffffff,0xffffffff,0x4ffffe89,0xfffff500,0x4ffffe81,
    0x3fffffe6,0x2203ffff,0xfffffffd,0xffffffff,0xfd85ffff,0xffffffff,
    0xffffffff,0x7fffe44f,0xffffffff,0x7dc02eff,0xffffffff,0xffffffff,
    0xfffff304,0xffffffff,0xffffffff,0x3fffe209,0xffffffff,0x3a6fffff,
    0x6c00ffff,0xffffffff,0xffff32ff,0xffffffff,0xffffffff,0x27ffffcb,
    0xfff50000,0xffb001ff,0x3ff20bff,0xffffffff,0x802effff,0x005fffe9,
    0x0177ffe4,0x7fffff10,0xfff80000,0x3fa002ff,0xd0005fff,0xffffffff,
    0xffffffff,0x3fffa00d,0x000fffff,0x3ffffffe,0xffffffff,0x7ffc402e,
    0xffffffff,0x85ffffff,0x004ffffe,0x81fffff5,0x264ffffe,0xffffffff,
    0xfff9003f,0xffffffff,0xbfffffff,0xffffffb0,0xffffffff,0xfc89ffff,
    0xffffffff,0x800cffff,0xfffffffb,0xffffffff,0xfff304ff,0xffffffff,
    0xffffffff,0x3fe209ff,0xffffffff,0x6fffffff,0x00bffff3,0xfffffffb,
    0x3fe65fff,0xffffffff,0xffffffff,0x3fffe5ff,0x2a00004f,0x800fffff,
    0x905ffffd,0xffffffff,0x019fffff,0x000fea80,0x88003fe8,0x003fffff,
    0x7ffffc00,0x3fffa002,0xffd0005f,0xffffffff,0x0dffffff,0x3fffff20,
    0x7fc006ff,0xffffffff,0x800cffff,0xfffffff8,0xffffffff,0xffffd01d,
    0x3ffea009,0x7fff40ff,0x3fff624f,0x4001dfff,0xfffffeca,0xffffffff,
    0xfffd85ff,0xffffffff,0x4fffffff,0x7fffffe4,0x00aceeff,0x3ffffee0,
    0xffffffff,0xf304ffff,0xffffffff,0xffffffff,0x2209ffff,0xffffffff,
    0xffffffff,0x5ffff96f,0xfffffb00,0x265fffff,0xffffffff,0xffffffff,
    0x3fe5ffff,0x00004fff,0x03ffffea,0x17ffff60,0x7fffffe4,0x00aceeff,
    0x88000c00,0xfff10000,0x800007ff,0x002fffff,0x017ffffa,0x7fffff40,
    0xffffffff,0xf3006fff,0x09ffffff,0xffffff80,0x0aceefff,0x3fffe200,
    0xdeffffff,0x7ff400bc,0xff5004ff,0x40001fff,0x00000a99,0x00026aa6,
    0xffffffd8,0xffffffff,0x0004ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xaaa80000,0xaaa801aa,0x2aa62aaa,0x4c0002aa,0x401aaaaa,0x02aaaaa9,
    0x1cccca80,0xaaaaaa80,0x00019aaa,0xaaaa9800,0x2aa602aa,0xaaaaaaaa,
    0xaaaaaaaa,0xdca9802a,0x4400abce,0xaaaaaaaa,0xaaaaaaaa,0x55532aaa,
    0x55000155,0x55445555,0x1000aaaa,0x88555555,0x0001aaaa,0x5546aaaa,
    0x3002aaaa,0x2aa15555,0x9aaaaaaa,0x55544000,0xaaaaaaaa,0xaaaaaaaa,
    0x5cc401aa,0x000abced,0x066665c0,0x1b300000,0xaa980000,0xaaaaaaaa,
    0x2aaaaaaa,0x80aaaa80,0x0002aaa8,0x55555551,0x7ffc4003,0x7fcc03ff,
    0x3f22ffff,0x40007fff,0x07fffffc,0x37fffff4,0xffffd300,0xfff8807f,
    0xffffffff,0x00001cff,0x7fffffcc,0x3fff206f,0xffffffff,0xffffffff,
    0x3fffa605,0x04ffffff,0x3fffffe6,0xffffffff,0xf55fffff,0x800bffff,
    0x44fffff9,0x04fffffd,0xbfffffb0,0x04ffff98,0x7ffff100,0x3ffffffa,
    0xffffc801,0xfffffff2,0x5bdfffff,0xfffff980,0xffffffff,0xffffffff,
    0xffffd503,0x019fffff,0x3ffffa00,0xf5000000,0xdfd501df,0x3fff2007,
    0xffffffff,0x07ffffff,0xb82ffff8,0x70007fff,0xbfffffff,0x7fffc400,
    0x7fff403f,0x7ffe44ff,0x7e40007f,0x101fffff,0x0dffffff,0xfffffb30,
    0xff8807ff,0xffffffff,0x01efffff,0xffffb000,0x7e40dfff,0xffffffff,
    0xffffffff,0xffc885ff,0xffffffff,0xff981eff,0xffffffff,0xffffffff,
    0x3ffffa5f,0x3ff6001f,0x7fcc0fff,0x4c01ffff,0x40ffffff,0x004ffff8,
    0x27ffff10,0x5ffffffe,0x2ffffc80,0xffffffff,0xdfffffff,0x3fffe605,
    0xffffffff,0xffffffff,0x7ffec43f,0xffffffff,0xfe8001ff,0x00000fff,
    0x0effffb8,0x17ffffee,0x3fffff20,0xffffffff,0x4407ffff,0xfb81ffff,
    0xfb0006ff,0x0fffffff,0x7ffffc40,0x3ffff203,0xffffc86f,0x7fec0007,
    0xf504ffff,0x40ffffff,0xffffffd8,0x7c403fff,0xffffffff,0xffffffff,
    0x7fd40000,0x06ffffff,0x3ffffff2,0xffffffff,0xe85fffff,0xffffffff,
    0x0fffffff,0x7fffffcc,0xffffffff,0x2a5fffff,0x005fffff,0x09fffff3,
    0x17fffff6,0x9fffffb0,0x0bffff10,0x3fffe600,0xffffffd2,0xfffc803f,
    0xffffff2f,0xffffffff,0xff30bfff,0xffffffff,0xffffffff,0x7fd47fff,
    0xffffffff,0x00efffff,0x07ffff40,0x3ff20000,0xff14ffff,0x805fffff,
    0xfffffffc,0xffffffff,0x7fcc07ff,0xfffc80ff,0xffff0005,0x005fffff,
    0x0fffffe2,0x7fffffcc,0x7ffffc81,0x7ffec000,0xffb06fff,0x910fffff,
    0xffffffff,0xf8807fff,0xffffffff,0xffffffff,0xff10000e,0xdfffffff,
    0x7ffffe40,0xffffffff,0x45ffffff,0xfffffffb,0xffffffee,0x7fffcc5f,
    0xffffffff,0x5fffffff,0x07fffff4,0x7fffff40,0xfffff100,0x3ffe603f,
    0xfff00fff,0x3e6000bf,0xfffd2fff,0xc809ffff,0xfff2ffff,0xffffffff,
    0x7fffffff,0xffffff98,0xffffffff,0x3fffffff,0x3ffffffa,0xffffffff,
    0x7f4005ff,0x00000fff,0xffffffb1,0x3fffe61b,0x7e404fff,0xffffffff,
    0xffffffff,0x3fffd407,0x004fffd8,0xffffffa8,0xf1004fff,0x3a07ffff,
    0x903fffff,0x000fffff,0xffffffd8,0x7fffc40f,0x7fcc7fff,0xffffffff,
    0x7c403fff,0xa99bffff,0xffffffca,0xff90003f,0xdfffffff,0x7ffffe40,
    0xffffffff,0x25ffffff,0x3ffffff9,0x7ffffd44,0x3333221f,0xcccccccc,
    0x3ffffffd,0x27ffffd4,0x3ffffe60,0x7fffe403,0xffffb05f,0x7fffc07f,
    0xfff30005,0x3ffffa3f,0x3200ffff,0xfff2ffff,0x75333bff,0xfffffffb,
    0x99999983,0xcfffffa9,0x09999999,0x2fbfffe2,0xffffb889,0x3a000fff,
    0x0000ffff,0xfffffe88,0x7fffcc4f,0x4c404fff,0xfffa9999,0x99999cff,
    0x3fffd401,0x004fffe8,0xffffffc8,0xf1007fff,0xf707ffff,0x640bffff,
    0x0007ffff,0x7ffffff4,0x7fffd43f,0x7fc0ffff,0xffbfffff,0x7c403fff,
    0x3602ffff,0x004fffff,0xcfffff98,0x0006ffff,0xfffffe80,0x3fffff61,
    0x3fffea02,0x7ec0005f,0xfd06ffff,0x7401ffff,0x400fffff,0x1ffffff8,
    0x3fffffcc,0x01bfffe0,0x8ffffd40,0xfffffffe,0x3fff203f,0x9fffff2f,
    0x7ffff4c0,0x3fe2005f,0x54003fff,0x3fe203ff,0x2002ffff,0x000ffffe,
    0x7ffffcc0,0xfff882ff,0x0002ffff,0x07fffff1,0x1bffee00,0x001ffffc,
    0x7efffffc,0x8801ffff,0x4c3fffff,0x00ffffff,0x01fffff2,0xfbfffd00,
    0xfffd8bff,0x640ffffd,0xf88cffff,0x4403ffff,0x202fffff,0x06fffff8,
    0xcffffe80,0x006ffffa,0x7fffcc00,0x7ffff45f,0xffffe805,0xff70001f,
    0x2a01ffff,0x304fffff,0x007fffff,0x17ffffee,0x07fffffb,0x006fffe8,
    0x23ffff50,0xfffffffe,0x3fff207f,0x9fffff2f,0xfffff980,0x3ffe2006,
    0x1b8003ff,0xfffffb80,0x3fffa003,0x3ee0000f,0x01ffffff,0x17ffffee,
    0xffff8800,0x5555003f,0x555dfffb,0x59ffff55,0xff980155,0xffff9fff,
    0xfff8803f,0x7fff43ff,0x7fe402ff,0x7c0007ff,0xffffbfff,0x3ebfffe0,
    0x7fc41fff,0x3fffe20d,0x7ffc403f,0x7ff402ff,0x7dc007ff,0xffa8ffff,
    0x400006ff,0x21fffffd,0x03fffff8,0x2fffffb8,0xffff8800,0x7ff403ff,
    0xffe80fff,0x3a000fff,0xf31fffff,0xd00dffff,0x2000dfff,0xfd0ffffa,
    0xffffffff,0x3ffff207,0x09fffff2,0x1fffffb0,0x3fffe200,0x2000003f,
    0x25fffff9,0xccccccca,0xcccfffff,0x3204cccc,0x0effffff,0x03efea80,
    0x7fffc400,0xfffd003f,0xffffffff,0xffffffff,0xffb805ff,0xffffd5ff,
    0xffff100d,0x7fffdc7f,0xfffc805f,0x7fc0007f,0x2fffe9ff,0xff3dfff5,
    0x103903ff,0x807fffff,0x02fffff8,0x03ffffec,0x5fffff10,0x01bfffea,
    0xffff9800,0x7fffcc6f,0xfff8802f,0xfd8004ff,0xa805ffff,0x543fffff,
    0x003fffff,0xb7ffffd4,0x02fffffd,0x506fffd8,0xfff50355,0x3ffffa1f,
    0x906ffffc,0x3fe5ffff,0xfb804fff,0x1001ffff,0x007fffff,0x7ffcc000,
    0x3fff24ff,0xffffffff,0xffffffff,0xffffd887,0x000005ff,0x3fffe200,
    0xfffd003f,0xffffffff,0xffffffff,0xffe805ff,0xffff93ff,0xfff8801f,
    0xffff13ff,0xff9001df,0xf8000fff,0xfffc9fff,0xf37fff94,0x44003fff,
    0x403fffff,0x02fffff8,0x037ffffc,0x4bffffb0,0x006ffffa,0x3ffff600,
    0x7fffcc2f,0xfff8803f,0x7dc005ff,0x000fffff,0xd8fffffd,0x000fffff,
    0xcfffffe8,0x005fffff,0xf30ffffb,0xfff70dff,0x4fffff4f,0xc82fffff,
    0xfff2ffff,0xff7009ff,0x22003fff,0x003fffff,0x3ffe6000,0x3fff23ff,
    0xffffffff,0xffffffff,0x7ffff447,0x000003ff,0x7fffc400,0xfffd003f,
    0xffffffff,0xffffffff,0x7fc405ff,0xfff50fff,0xff8805ff,0xfffb3fff,
    0x3f2003ff,0x20007fff,0xfa9ffff8,0x1fffd7ff,0x005ffff3,0x1fffffc4,
    0x3ffffe20,0x3fffea02,0xfff3004f,0x7ffd41ff,0xf300006f,0xf10dffff,
    0x2009ffff,0x006fffff,0x3fffffe2,0x3ffea003,0xffff33ff,0x3e60007f,
    0xffffffff,0xff9001ff,0xffff70ff,0x27fffb81,0xfc8ffffe,0xffc86fff,
    0xfffff2ff,0xffff9009,0x3fe2001f,0x00003fff,0x3ffffee0,0x3fffff22,
    0xffffffff,0x27ffffff,0xfffffff9,0x00000002,0x3fffff88,0xffdddb00,
    0xddddddff,0xddddffff,0x7fffd403,0x2fffffc6,0x3ffffe20,0x4fffffbb,
    0x3ffff200,0x3fe20007,0x5ffff1ff,0x3fe2dfff,0x3e2002ff,0x4403ffff,
    0x702fffff,0x01ffffff,0x0fffffa0,0x00dffff5,0x3ffff600,0xfffff02f,
    0xffff001f,0x7fec00df,0xe8005fff,0xff96ffff,0xd8000fff,0xffffffff,
    0x3ff2005f,0xffffe87f,0xd3fffdc2,0xff31ffff,0xffc83fff,0xfffff2ff,
    0xffffb009,0x7ffc400f,0x000003ff,0x83fffffe,0xccccccca,0xcccfffff,
    0xff54cccc,0x003fffff,0x22000000,0x003fffff,0x81ffff88,0x4006fffb,
    0x6c4ffffd,0x4407ffff,0xffcfffff,0x64006fff,0x0007ffff,0x6c7fffe2,
    0x3fffefff,0x007ffff1,0x1fffffc4,0x3ffffe20,0xfffccaac,0x7003ffff,
    0xf50dffff,0x0000dfff,0x0dfffff1,0x77ffffec,0xffffb301,0x3fee00ff,
    0x8000ffff,0xfafffffa,0x0003ffff,0x7fffffc4,0x32000fff,0x7fc47fff,
    0x7fe45fff,0x3ffffa6f,0x8bffffb0,0xff2ffffc,0xfa809fff,0x2005ffff,
    0x03fffff8,0xfff70000,0xfe8009ff,0xd8800fff,0x05ffffff,0x10000000,
    0x007fffff,0x01ffff30,0x800bfff9,0x5c2fffff,0x201fffff,0xfffffff8,
    0x4001ffff,0x007ffffc,0x43fffe60,0xfffffffb,0x07ffff11,0x7ffffc40,
    0x7fffc403,0xffffffff,0x1002ffff,0x503fffff,0x000dffff,0x5fffff90,
    0x7ffffd40,0xffdcceff,0x06ffffff,0xffffff88,0x3ffa0002,0x7fffffff,
    0xfff90000,0x8009ffff,0x2e0ffffb,0x647fffff,0x3ffa6fff,0xffff50ff,
    0x7fffe41f,0x09fffff2,0x7fffff4c,0x3ffe2003,0x800003ff,0x0ffffff9,
    0x7ffff400,0x3fff2000,0x0000efff,0x7fc40000,0xa8003fff,0xffb07fff,
    0x7fcc009f,0x7fcc0fff,0x3e204fff,0xffffffff,0x7e4004ff,0x20007fff,
    0xf10ffff9,0x44dfffff,0x2003ffff,0x03fffff8,0x7fffffc4,0xefffffff,
    0x3ff6000b,0xfff504ff,0xf88000df,0xd806ffff,0xffffffff,0xffffffff,
    0xffd805ff,0x40005fff,0xfffffffa,0x900003ff,0x9fffffff,0xffffb800,
    0x3fffff60,0x97fff22f,0x3a0ffffe,0x3f24ffff,0xffff2fff,0xffc9889f,
    0x4005ffff,0x03fffff8,0x7ff44000,0xe8003fff,0x4000ffff,0xeffffffb,
    0x00000001,0x0fffffe2,0x1fffee00,0x0027fff4,0x20bffff9,0x206fffff,
    0xfcfffff8,0x001fffff,0x01fffff2,0x0ffffa80,0x13fffffa,0x4009ffff,
    0x03fffff8,0x7fffffc4,0x3fffffff,0x7fffd400,0x3fffea06,0x7fe40006,
    0xe8803fff,0xffffffff,0xffffffff,0x7ffdc04f,0x80000fff,0xfffffffe,
    0xff300007,0x3fffffff,0x7fffd400,0xffffff10,0x2fffe49f,0x5c1ffffd,
    0xf90fffff,0x3ffe5fff,0xffffffff,0x0fffffff,0x7fffc400,0x6c00003f,
    0x005fffff,0x01ffffd0,0xfffff300,0x5d4005ff,0x7c40000a,0x8003ffff,
    0xff06fffb,0x7f4007ff,0xff903fff,0x3e201fff,0xffabffff,0x32006fff,
    0x0007ffff,0xc83fffea,0x7c1fffff,0x22004fff,0x403fffff,0xeefffff8,
    0x5fffffff,0x3ffffa00,0x3fffea02,0x3fe20006,0x22007fff,0xfffffffb,
    0xffffefff,0x3ffe204f,0x00002fff,0xfffffff5,0x3f600007,0xffffffff,
    0x3ffea006,0xfdfff51f,0x7ffecfff,0x03ffffa4,0x327fffff,0xfff2ffff,
    0xffffffff,0x05ffffff,0xfffff100,0x7ec00007,0x000effff,0x01ffffd0,
    0x3fffa600,0x74403fff,0x0002ffff,0x0fffffe2,0x17fff200,0x8017fffc,
    0x01fffff8,0x07fffff5,0x4fffffe2,0x04fffffe,0x0fffff90,0x3fffd400,
    0x21bfffe6,0x2005ffff,0x03fffff8,0x97ffffc4,0xffffffb8,0xffffc803,
    0x7fffd405,0x3ff20006,0x88003fff,0xbcefedcb,0x3fffff88,0x3fffff60,
    0x7f400005,0x0006ffff,0xffffff50,0x005fffff,0x6c7fffe6,0xffffafff,
    0x749fffb1,0x7e40ffff,0xfff97fff,0x3ffffe5f,0xffffffff,0x10000dff,
    0x007fffff,0x3ffff200,0x3a0000ef,0x0000ffff,0x3fffff62,0x3fffa05f,
    0x10000fff,0x807fffff,0xfffeeee8,0xfeeeeeff,0x0eeeefff,0x0fffff70,
    0x2fffffc4,0x3fffff88,0x3ffffff3,0xfffff900,0x7ffdc000,0x84ffff87,
    0x2005ffff,0x03fffff8,0x17ffffc4,0x3fffffe6,0x3fffe200,0xeeeeeeef,
    0xefffffee,0xf8801eee,0x000fffff,0x3ffea000,0xfff502ff,0x00001fff,
    0x3fffffa8,0xfffd0000,0xfffff9ff,0x3ffe600d,0x3adfff1f,0xfffb4fff,
    0x07ffff49,0x2bffffe2,0xff2ffffc,0xffffffff,0x0003bfff,0x3fffff88,
    0xfffc8000,0x40000eff,0x000ffffe,0xfffffd80,0x7ffcc0ef,0x0003ffff,
    0x07fffff1,0xffffff88,0xffffffff,0xffffffff,0xdffffb00,0xf5555555,
    0x220fffff,0x323fffff,0x00efffff,0x03ffffe4,0x0ffff700,0xff03fffb,
    0x7c400bff,0x4403ffff,0xb82fffff,0x204fffff,0xfffffff8,0xffffffff,
    0xffffffff,0xffffc802,0x4000004f,0x80fffffc,0x2ffffff8,0xff980000,
    0x80002fff,0xd5fffffb,0x009fffff,0xf55ffff1,0x3fff29ff,0x747fffd6,
    0xfd80ffff,0xfffcefff,0xdfffff2f,0x00135999,0x7fffc400,0x7e40003f,
    0x000fffff,0x0ccccb80,0xfff70000,0x7d43dfff,0x04ffffff,0xfffff100,
    0xffff8807,0xffffffff,0xffffffff,0xffff00ff,0xffffffff,0x5fffffff,
    0x7fffff10,0x4fffffe8,0x3ffffe40,0xffff9000,0x3a033310,0x22006fff,
    0x403fffff,0x82fffff8,0x0ffffff8,0xffffff10,0xffffffff,0xffffffff,
    0xfff8805f,0x00000fff,0x27ffff40,0x4fffffd8,0xff300000,0x80005fff,
    0x1ffffff8,0x1ffffff5,0xaffff880,0xff31fffc,0x7fffd1ff,0x407ffff4,
    0xfefffff9,0xffff2fff,0x0000009f,0x07fffff1,0x7fffe400,0x000000ef,
    0xff500000,0x225fffff,0x3fffffff,0xffff1000,0xfff8807f,0xffffffff,
    0xffffffff,0xffa80fff,0xffffffff,0xffffffff,0xffff884f,0x7fffd43f,
    0x3ff202ff,0x320007ff,0xd0007fff,0x4400dfff,0x403fffff,0x02fffff8,
    0x09fffff9,0x3fffffe2,0xffffffff,0xffffffff,0x7ffdc02f,0x000004ff,
    0x0fffffe4,0x77ffffd4,0xf3000000,0x0005ffff,0x5fffffc8,0x2ffffff4,
    0x2bfffe20,0x7ffc7ffe,0x22fffebf,0xb00ffffe,0xffffffff,0x3ffffe5f,
    0x88000004,0x003fffff,0xdfffff90,0x00000001,0xfff98000,0x3ff62fff,
    0x0000ffff,0x07fffff1,0xfff75550,0xfb55557f,0x05555dff,0x3ffffff2,
    0xffffffff,0x886fffff,0xd83fffff,0x00ffffff,0x00fffff9,0x037ffe40,
    0x07fffe80,0x3ffffe20,0x7fffc403,0xffff102f,0xfff101ff,0xffffffff,
    0xffffffff,0x4405ffff,0x00ffffff,0x3fee0000,0xff886fff,0x0001ffff,
    0x3fffe600,0x3e20002f,0x541fffff,0x01ffffff,0x7fe7fffc,0x6fffe44f,
    0x3fa2ffff,0xff500fff,0x5fffffff,0x013ffffe,0x3fe20000,0xc8003fff,
    0x00efffff,0xaaaaaa80,0xaaaaaaaa,0x000aaaaa,0x85fffd10,0x01ffffe8,
    0x3fffe200,0x7fcc003f,0xfffc80ff,0xffffd005,0xffffffff,0xffffffff,
    0xfffff883,0xfffff883,0xffff905f,0x7fec000f,0xffd0006f,0x7fc400ff,
    0x7c403fff,0x3602ffff,0x003fffff,0x3fffee00,0x7ffdc006,0x800004ff,
    0xffffffb8,0xffffd81f,0x4000004f,0x02fffff9,0x3ffff600,0xffffd05f,
    0xffff80df,0x7d42ffff,0x1fffffff,0x803ffffa,0xfffffffe,0x9fffff2f,
    0xf1000000,0x8007ffff,0x0efffffc,0xfffff000,0xffffffff,0x03ffffff,
    0x203fd800,0x40000ab9,0x03fffff8,0x83fffd40,0x9804fffd,0x999fffff,
    0xb9999999,0x443fffff,0x703fffff,0x05ffffff,0xddfffff9,0xdddddddd,
    0x3fff65dd,0xfffb0006,0xeeeeeb8f,0xefffffee,0xf15eeeee,0x4c05ffff,
    0x00ffffff,0xffff7000,0xffff800d,0xca8000ff,0xffffedcc,0x82ffffff,
    0xfffffffa,0xffffffff,0x2007ffff,0x02fffff9,0xfffff300,0x3ffe603f,
    0x3fe03fff,0xf07fffff,0x3fffffff,0x007ffff4,0xfffffff7,0x3ffffe5f,
    0x88000004,0x003fffff,0x3ffffff2,0xffffffff,0x3fe6ffff,0xffffffff,
    0xffffffff,0x0180001f,0xccca8000,0xfffffccc,0x04cccccd,0x3a0ffff7,
    0xfb803fff,0x22006fff,0x445fffff,0x203fffff,0x0ffffffe,0x7fffffe4,
    0xffffffff,0xfffd3fff,0x3ff6000d,0x3fff20ff,0xffffffff,0x7fffffff,
    0x05fffff1,0x3fffffe8,0xfff70000,0x7fdc00df,0x90005fff,0xffffffff,
    0x09ffffff,0x3ffffff2,0xffffffff,0x007fffff,0x0bffffe6,0x7ffff400,
    0x7ffec04f,0xffd00fff,0x360bffff,0x0fffffff,0x003ffffa,0xffffffff,
    0x13ffffe5,0x3e200000,0x1003ffff,0xffffffff,0xffffffff,0x7ffcdfff,
    0xffffffff,0xffffffff,0x00000001,0xfffff900,0xffffffff,0x2e0fffff,
    0xfff06fff,0xfffb007f,0xffe8009f,0x3fe20fff,0x3e603fff,0x645fffff,
    0xffffffff,0xffffffff,0x0bfffd3f,0x3ffff600,0x3fffff20,0xffffffff,
    0xf17fffff,0xa805ffff,0x007fffff,0xdffff700,0x7ffff400,0xff90001f,
    0xffffffff,0x7e405dff,0xffffffff,0xffffffff,0x3e6007ff,0x8002ffff,
    0x0ffffffa,0x7ffffcc0,0xffffd04f,0x3fea05ff,0x3a0fffff,0x6400ffff,
    0x2fffffff,0x009fffff,0xfff10000,0x3e2007ff,0xffffffff,0xffffffff,
    0x3fffe6ff,0xffffffff,0x1fffffff,0x00000000,0xffffff90,0xffffffff,
    0x3f20ffff,0xffff05ff,0xffff8805,0x7fe4001f,0x3fe22fff,0x7e403fff,
    0x322fffff,0xffffffff,0xffffffff,0x0bfffd3f,0x3ffff600,0x3fffff20,
    0xffffffff,0xf17fffff,0xf005ffff,0x007fffff,0xdffff700,0x3fffee00,
    0x3f20005f,0xffffffff,0xffc803ff,0xffffffff,0xffffffff,0x3fe6007f,
    0xe8002fff,0x004fffff,0x3ffffffb,0xffffffb0,0x3fffe201,0x3ffa0fff,
    0x7fc400ff,0xff2fffff,0x00009fff,0xfffff100,0x3ffe2007,0xffffffff,
    0xffffffff,0x00000006,0x40000000,0xfffffffc,0xffffffff,0xfffb07ff,
    0x3ffff109,0x7ffffa80,0xffffa800,0x3fffe24f,0x7ffc403f,0xff90ffff,
    0xffffffff,0x7fffffff,0x0017fffe,0x90ffffe4,0xffffffff,0xffffffff,
    0x3ffe2fff,0xffb802ff,0x80006fff,0x006ffffb,0x03fffffd,0x7fffe400,
    0x000aceee,0x3ffffff2,0xffffffff,0x007fffff,0x0bffffe6,0xfffff700,
    0x3fe6001f,0xfd85ffff,0x6c05ffff,0x747fffff,0xd800ffff,0xf2ffffff,
    0x0009ffff,0xffff1000,0x3fe2007f,0xffffffff,0xffffffff,0x0000006f,
    0x00000000,0x7fffffe4,0xffffffff,0xffd07fff,0xffff309f,0xffffc801,
    0xffff0005,0x000000ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000059,0x26000188,0x00008800,0x0004ccc4,0x26002660,
    0x13100001,0x33300000,0x33000033,0x06600000,0x00980000,0x2004c000,
    0xddddb019,0xeeee9807,0x4cc4000e,0x33100000,0xeeeec801,0x3bb60002,
    0x765cc05e,0xdd300acd,0xdddddddd,0x9ddddddd,0x6f777754,0xeeee9800,
    0x3bbbae5e,0x77775404,0x4c4001ee,0x76c00199,0xeeeeeeee,0x2e6000ee,
    0x02cceedc,0x00026620,0x00009ff9,0x7ffee540,0x301cdfff,0x819dfffb,
    0x00dfffeb,0x7fffedc4,0x00beffff,0x7ffff5c4,0x3ff622ef,0x90001dff,
    0x8000bfff,0xffffffeb,0x9800deff,0xdeffffec,0xedb88002,0x03deffff,
    0x3ffb2a00,0x5c00bdef,0xffd52eee,0xffffa87d,0x27ffffc4,0x3ffffe60,
    0xb8ddddb0,0x04effffe,0xeb8bdddb,0x904effff,0x0009ffff,0x8837fffc,
    0xfffffffd,0xffffa83f,0xffffffff,0x745fffff,0x805fffff,0x21fffffe,
    0x205ffffc,0x2ffffff9,0xffffe800,0x3fffe000,0xffffffff,0xffffd000,
    0x03dfffff,0xfffffd91,0x7e4017df,0x00005fff,0x7fffff54,0x83ffffff,
    0xfffffff9,0x3fffff25,0xfffb00ef,0xffffffff,0x3e207fff,0xffffffff,
    0xfffffacf,0x5c001fff,0x004fffff,0xffffffb8,0x1fffffff,0x7ffffe40,
    0x00dfffff,0xfffffd30,0x03dfffff,0x7ffff440,0x02ffffff,0x3e6bfff2,
    0xf72fffff,0x7cbfffff,0x4c04ffff,0xff0fffff,0xffd11fff,0x1bffffff,
    0xd16fffe8,0xffffffff,0xffffb81d,0xfff10005,0xffff30bf,0xdfffffff,
    0xffffffa8,0xffffffff,0x7fc45fff,0x2e03ffff,0x644fffff,0xf105ffff,
    0x007fffff,0x03ffffa0,0xffffff80,0x00ffffff,0xffffffd0,0x981fffff,
    0xffffffff,0xffa81fff,0x000effff,0x7fffec40,0xffffffff,0x7fffc43f,
    0xfbbfffff,0xffffffff,0xfffffd80,0xffffffff,0xfff983ff,0xffffffff,
    0xffffffff,0x3f6000ff,0x4007ffff,0xfffffffd,0x1fffffff,0xfffffd10,
    0xffffffff,0xffffc805,0xffffffff,0xffb803ff,0xffedffff,0xfc80dfff,
    0xffffebff,0xffff8dff,0xfff1ffff,0xff9809ff,0xffff0fff,0xfffffd3f,
    0xe8bfffff,0xffe8ffff,0xffffffff,0x37fffd45,0xffff9800,0xfffffe84,
    0x3fffffff,0x3fffffea,0xffffffff,0xffb85fff,0xf980ffff,0xfc86ffff,
    0xfe885fff,0x0004ffff,0x003ffffa,0xfffffff8,0x000fffff,0xb7579dfd,
    0xf98bffff,0xffffffff,0xffb80fff,0x001fffff,0xfffffd10,0xffffffff,
    0xffffd87f,0xffffffed,0xffffddff,0xfffffd83,0xfffffeef,0x7fcc0fff,
    0xfffeddef,0xfedfffff,0x36004fff,0x007fffff,0x3fffffee,0xffffeeef,
    0xffff881f,0xfffeefff,0xfb00ffff,0xffffffff,0x3fffffff,0x57fffdc0,
    0x6fffd980,0xffefffc8,0xfeffffff,0x4fffffff,0x809fffff,0xf0fffff9,
    0xfffdffff,0xffffffff,0x7ffff43f,0xfffffffe,0x261fffff,0x0007ffff,
    0xc87ffff5,0xb51dffff,0x261fffff,0xeeeeeeee,0xfffffeee,0xffffb02f,
    0xffffd0bf,0xffff903f,0xfffffb0b,0xffe8000b,0x2aa000ff,0xfffdaaaa,
    0x015000ff,0x2637ffe4,0xffdcdeff,0xf502ffff,0x05ffffff,0xfffff900,
    0xdd99bdff,0x7ffc47ff,0x3ffff62f,0x3fff21ff,0x09befd86,0xfffffe98,
    0x640e7cc4,0x20ffffff,0x2007fffd,0x04fffffb,0x3fffffe0,0x03b7300b,
    0x87fffff7,0x4fffffc8,0xffffff98,0xfffdcbdf,0xff306fff,0x999995bf,
    0x0fffee15,0x5ffffff9,0xfffffff3,0x2bffff55,0x404fffff,0xf0fffff9,
    0xffffffff,0xffffb57d,0x7ffff4bf,0xfccfffff,0x7c5fffff,0x70007fff,
    0xff85ffff,0xfff705ff,0xfe88005f,0x2204ffff,0x23ffffff,0x03fffffb,
    0xc8bffff9,0x006fffff,0x0ffffe80,0xfffb8000,0x500000ff,0x0188ffff,
    0x07fffff1,0x7fffff4c,0x3fe6003f,0x200effff,0x3ffee2c9,0x7ffffcc5,
    0x07fffcc5,0x7f44002a,0x00446fff,0x30fffffe,0x4003ffff,0x000dfffd,
    0x0bfffff3,0x7fffc400,0x3fff202f,0x7fff40ff,0xfff304ff,0xffd07fff,
    0x3ffffeeb,0x3fff51ff,0x17ffffe4,0x43fffffd,0xfff6fffe,0xff9809ff,
    0xffff0fff,0xfd05ffff,0x7ff4ffff,0x442fffff,0x7c6fffff,0x64c1ffff,
    0xfffb83cc,0x3fffe21f,0x7ffff302,0xffffd800,0xfff9806f,0xfff98fff,
    0x3ff205ff,0x3ffee5ff,0x80000eff,0x000ffffe,0xfffffb80,0x55330000,
    0x800ffff9,0x401ffffe,0xffffffe8,0xffffd005,0x3f60009f,0xffff83ff,
    0x2ffff83f,0x7ffdc000,0xffc8007f,0xfffe81ff,0x00d44003,0x3ffffee0,
    0x3ff20003,0x7fc404ff,0x3fea3fff,0x7cc04fff,0x7dc7ffff,0xddff70ff,
    0x7fecffff,0x1bffff26,0xe8dffffb,0xffff7fff,0xfff9809f,0xfffff0ff,
    0x3fee07ff,0x3fffa7ff,0xff902fff,0xfffd8fff,0x7fffec2f,0x23fffe40,
    0x200ffffa,0x2005ffff,0x0ffffffb,0xfffff900,0x1fffffdd,0xaffffe40,
    0x0ffffff9,0xfffd0000,0xf700001f,0x4001ffff,0xffffffd9,0x91007fff,
    0x400fffff,0xeffffffc,0x3fffe600,0xff0000ff,0xfffb05ff,0x7fffd03f,
    0xfffa8000,0x7e4000ff,0xffd80fff,0x0000003f,0x3ffffff5,0x3fffe000,
    0xfffd801f,0x3ffff64f,0xfffe800f,0x8bff60ff,0xfff12ffb,0x643ffe21,
    0x7ec2ffff,0x7fec2fff,0x9fffff7f,0xfffff980,0x9ffffff0,0x7ffffcc0,
    0x7fffffd0,0x7ffffd40,0x0fffff20,0xd87fffff,0x7fdc7fff,0x3ffa00ff,
    0xfff3005f,0xe8005fff,0xffffffff,0x7fe402ff,0xffff8dff,0x200001ff,
    0x000ffffe,0xfffffb80,0xffff9000,0xffffffff,0x3fffba60,0x4001efff,
    0xeffffffb,0xfffff501,0x7ffc0007,0xffffd81f,0x03fffd80,0x7fffd400,
    0x7fe4000f,0x9fffb06f,0x22000000,0xdfffffff,0x3ffe2002,0xffc800ff,
    0x3fffa5ff,0xfff5005f,0x07ffc3ff,0x7ff45ff7,0x7e47ff60,0x7fec0fff,
    0x7fffd87f,0x809fffff,0xf0fffff9,0x980bffff,0xfd1fffff,0xf980bfff,
    0x3ee1ffff,0x3fea4fff,0x7ff46fff,0x7fffcc5f,0x7ffff103,0xfffff100,
    0xff10007f,0xbfffffff,0xdffff900,0x05fffffd,0x55555440,0xfffffaaa,
    0xaaaaaaab,0xffffb801,0xfffb800f,0xffb9abef,0xffff507f,0x0015ffff,
    0xffffff50,0xffff905f,0x3e20001f,0xffc80fff,0xecccccff,0x5d404fff,
    0xfffffedc,0x2600ffff,0xfffeccba,0xfeccccce,0x555515ff,0x55555555,
    0x55555555,0x7fffec35,0x02dfffff,0x7fffffcc,0xffffffff,0x3e7fffff,
    0x3003ffff,0x225fffff,0x5ffdc6ff,0x7e45ffda,0x0ffff93f,0xfb0ffffb,
    0x3fffefff,0x7ffcc04f,0xfffff0ff,0xffe80009,0x7fcc04ff,0x3fea1fff,
    0x3fff65ff,0x3ffe1fff,0x7fffc44f,0x5ffff705,0xfffffd00,0x7fdc000b,
    0x00ffffff,0xffffffc8,0x4004ffff,0xfffffff9,0xffffffff,0x04ffffff,
    0x0fffffb8,0x86fffe80,0xf507fffa,0xffffffff,0xfd30005f,0xd87fffff,
    0x0007ffff,0x203fffe6,0xfffffffc,0x04ffffff,0xffffffd7,0xffffffff,
    0xffffd501,0xffffffff,0xbfffffff,0x3fffffe6,0xffffffff,0x4fffffff,
    0x3fffffe2,0x1cffffff,0xffffffb8,0xffffffff,0xf17fffff,0x2007ffff,
    0x53fffff8,0xfffb8bff,0x7d40cfff,0x0ffff95f,0xfb0ffffb,0x3fffefff,
    0x7ffcc04f,0xfffff0ff,0xffe80009,0x7fcc04ff,0x3fe61fff,0x3fffe6ff,
    0x3ffe4fff,0xfffff83f,0x3fffaa0b,0x7ffe400f,0x40000eff,0x3ffffffe,
    0xfffff900,0x01ffffff,0x7ffffcc0,0xffffffff,0xffffffff,0xffffb804,
    0xffff800f,0x07fffb84,0xffdb9993,0x0001ffff,0xffffffd1,0x37ffffc9,
    0xffff3000,0xfffff901,0xffffffff,0xfffff889,0xffffffff,0x7e40ffff,
    0xffffffff,0xffffffff,0xff35ffff,0xffffffff,0xffffffff,0xfd889fff,
    0xffffffff,0x7fe43fff,0xffffffff,0xffffffff,0xfffff57f,0x7fffc005,
    0xb8bff54f,0x82ffffff,0xfff94ffb,0x0ffffb0f,0x3feffffb,0x7cc04fff,
    0xfff0ffff,0xe80009ff,0x4c04ffff,0x221fffff,0xff57ffff,0x22dfffff,
    0xfb82ffff,0xffdfffff,0x5403ffff,0x01ffffff,0x7fffdc00,0xc800ffff,
    0xffcdffff,0x26006fff,0xffffffff,0xffffffff,0x804fffff,0x00fffffb,
    0x89ffffe8,0x07ffffc9,0x7ffffd40,0xfffa8003,0x3fa1efff,0x20007fff,
    0xc80ffff9,0xeeeeffff,0x223eeeee,0xfffffffe,0xffffffff,0x3ffea0ff,
    0xffeeefff,0xeeeeeeff,0xfff33eee,0xffffffff,0xffffffff,0x3f6a09ff,
    0xffffffff,0x3fff24ff,0xffffffff,0xffffffff,0x5fffff36,0x3fffe200,
    0xb8fff13f,0x0fff9aff,0xffc9ffe4,0x7fffd87f,0xff7fffd8,0xf9809fff,
    0xfff0ffff,0xe80009ff,0x4c04ffff,0x7c1fffff,0xffc8ffff,0xa9ffffef,
    0xfd01ffff,0xffffffff,0xff980dff,0x0003ffff,0x7fffffcc,0xfc805fff,
    0xfffd5fff,0x3e600bff,0xffffffff,0xffffffff,0xb804ffff,0x800fffff,
    0xfffffffc,0x007fffff,0x05fffff8,0x7ffffdc0,0x7ffec0ef,0xf30000ff,
    0xff901fff,0xfe8001ff,0x80aeffff,0x20fffffa,0x642fffff,0x4c005fff,
    0xffffffff,0xffffffff,0x404fffff,0xfffffdb8,0xff71ffff,0x10000fff,
    0x007fffff,0x8bffffe6,0x3fee0fff,0xfe87ff92,0x0ffff91f,0xfb0ffffb,
    0x3fffefff,0x7ffd404f,0xfffff0ff,0xffe80009,0x7fcc04ff,0x7fec1fff,
    0x9ffff9ff,0xffbcffff,0xffd100ff,0x9fffffff,0xffffe880,0xfe80005f,
    0xffffffff,0x7ffe403f,0xfffff15f,0x3a00007f,0x0000ffff,0x0fffffb8,
    0xfffff880,0x7ffecfff,0x7fffcc00,0x3ff6004f,0xf905ffff,0x0005ffff,
    0x203fffe2,0x001ffffd,0x1bffffe2,0x1fffff50,0x213fffe6,0x0006fffc,
    0x80000000,0xfffffeb8,0xfffff54f,0xfff00001,0x3ea009ff,0x3f61ffff,
    0x4cbfee3f,0x3ffe67ff,0xb0ffff90,0xffb0ffff,0x3ffffaff,0x3fffe204,
    0xfffff0ff,0xffe80009,0x7fcc04ff,0x7fe41fff,0xb7fffbff,0xfff9dfff,
    0xfffd500f,0xfb003bdf,0x000dffff,0xbfffff90,0x03ffffff,0x52ffffe4,
    0x05ffffff,0xffffd000,0xff700001,0x22001fff,0x71defffc,0xeefd8ddd,
    0xffffedcc,0xfe8801ff,0x203fffff,0x06fffffb,0x3ffff100,0x05ffffb0,
    0x7ffffd40,0x7fffd402,0x3ffff50f,0x00ffff90,0x00000000,0xfffffc80,
    0x5fffff16,0xfffd0000,0xffb001ff,0xfffa8fff,0x7f45ff71,0x64bffd2f,
    0xffd87fff,0x7fffd87f,0x20dffffb,0xffffffe8,0x09fffff0,0xffffe800,
    0x7fffcc04,0x7fffdc1f,0xff54ffff,0x0dfffdff,0x20009880,0x0ffffffb,
    0x7ffd4000,0xffff95ff,0x3ff201df,0x7ffe45ff,0x40000fff,0x000ffffe,
    0xfffffb80,0x80008000,0xfffffffd,0x804fffff,0xfffffff9,0x7fffcc02,
    0xff0003ff,0xffff05ff,0x7fdc009f,0x3a201fff,0xf70fffff,0xff901fff,
    0x000005ff,0x44000000,0x3e6fffff,0x0006ffff,0x3fffffd8,0x7ffffcc0,
    0x936ffd86,0x5de64c39,0x3ff20fff,0x7fffd87f,0xf97fffd8,0xd881ffff,
    0x0fffffff,0x009fffff,0x4ffffe80,0x7ffffcc0,0x7ffffd41,0xfff12fff,
    0x00bfffff,0xfff98000,0x40002fff,0x0ffffff8,0x13fffffa,0x42ffffe4,
    0x0efffffd,0x3fffa000,0xfb80000f,0x0000ffff,0xffffb000,0x7fffffff,
    0xfffff500,0x3f6003ff,0x00dfffff,0x9fffd154,0x7fffff98,0x3fffea00,
    0xfffd305f,0x3fee1fff,0x7ffd42ff,0x400005ff,0x2001cec8,0x7ffd4000,
    0x3fff24ff,0x4c0004ff,0x02ffffff,0x3ffffff3,0x03dfff10,0x42fffd88,
    0xfd87fffc,0xfffd87ff,0xffffff77,0xfffff939,0x3fe1ffff,0x40004fff,
    0x404ffffe,0x41fffff9,0xfffffff9,0x7ffffec7,0x555504ff,0x55555555,
    0x3fe21555,0xeeefffff,0x5eeeeeee,0x7fffffd0,0xffffff98,0x5ffffc82,
    0xffffff88,0x3ffa0005,0x331000ff,0xfff93333,0x333333ff,0x55555541,
    0xaaaaaaaa,0xfffff90a,0x2005bdff,0xeffffffc,0x3ffe2000,0xacdfffff,
    0x2e4ffdca,0x3f20ffff,0x205fffff,0x3ffffe61,0xfff710bf,0x2a1fffff,
    0x3e64ffff,0x04ffffff,0x7fcc0073,0xf7002fff,0x3e62017b,0x222fffff,
    0xaeffffff,0x84db9880,0xdffffffd,0xffffca9b,0x3fea04ff,0x7310acff,
    0xf90bffff,0xfffb0fff,0x2ffffb0f,0xfffffff8,0xffffffff,0xffff0fff,
    0xfe80009f,0x7cc04fff,0x7c41ffff,0x44ffffff,0xfffffffa,0xfffff882,
    0xffffffff,0xffff92ff,0xffffffff,0x90ffffff,0x20bfffff,0x0ffffffc,
    0x82ffffe4,0x3ffffffa,0xffffd000,0x3fff6001,0xffffffff,0x4fffffff,
    0xfffffff1,0xffffffff,0x00099885,0xfffffd88,0xfb8000df,0xffffffff,
    0x24ffffff,0xcbeffff8,0xffffffff,0x46fcbabe,0xffffffff,0xfffffffe,
    0xfff30fff,0xffffbdff,0x99dfffff,0x6c00dfdb,0x006fffff,0xddfffff7,
    0xffffffdb,0xfffa81ff,0xfeffffff,0x885fffff,0xffffffff,0xffffffff,
    0x7ff4c00f,0xffffffff,0xfff903ff,0x0ffffb0f,0x7e4ffffb,0xffffffff,
    0xffffcbff,0x09fffff0,0xffffe800,0x7fffcc04,0xfffff81f,0x7ffc42ff,
    0xf881ffff,0xffffffff,0x92ffffff,0xffffffff,0xffffffff,0xffffa8ff,
    0x3ffa00ff,0x7fe46fff,0x3ff205ff,0x8002ffff,0x000ffffe,0xfffffffb,
    0xffffffff,0x3fe29fff,0xffffffff,0x002fffff,0x3fffa200,0x40004fff,
    0xfffffffd,0x4fffffff,0x7ffffff4,0xffffafff,0x46ffffff,0xfffffffa,
    0xfddfffff,0x3ff60fff,0xbfffffff,0xfffffffc,0x3a006fff,0x007fffff,
    0xfffffff7,0xffffffff,0x3fff603f,0xffffffff,0xf705ffff,0xffffffff,
    0x03ffffff,0x7ffffe40,0x200dffff,0xfd87fffc,0xfffd87ff,0x3ffffa27,
    0xf93fffff,0x3ffe1fff,0x740004ff,0x4c04ffff,0xe81fffff,0xb07fffff,
    0x01ffffff,0xfffffff1,0xffffffff,0x3fffff25,0xffffffff,0x3e27ffff,
    0x402fffff,0x3ffffff9,0x017ffff2,0x1ffffffb,0xffffe800,0xffffb000,
    0xffffffff,0x29ffffff,0xfffffff8,0xffffffff,0x3e200002,0x003fffff,
    0xffffd500,0xffffffff,0xffffe889,0xfff55fff,0x0dffffff,0xfffffffb,
    0x3ff29fff,0x3ffe60ff,0xd13fffff,0xffffffff,0x7fec00df,0xf7006fff,
    0xffffffff,0x03ffffff,0xffffffa8,0xffffffff,0x3fffa605,0xffffffff,
    0xca88000d,0x801bcefe,0xfd87fffc,0xfffd87ff,0xfffffc87,0x3fff21df,
    0x9fffff0f,0xfffe8000,0x7ffcc04f,0xfffc81ff,0xfff505ff,0x55540fff,
    0xaaaaaaaa,0xff90aaaa,0xffffffff,0xffffffff,0x2ffffff4,0xfffffc80,
    0xbffff91f,0xfffff880,0x3b6000ef,0xfb000eee,0xffffffff,0xffffffff,
    0x5555549f,0xaaaaaaaa,0x400000aa,0x001ffff9,0xfffeb800,0x0bdfffff,
    0xfffffe88,0x7ffff4c4,0xff503eff,0x43bfffff,0x4c0ffffc,0x43effffe,
    0xffffffc8,0x3e6003ef,0x3002ffff,0xfffffffb,0x005bffff,0x7ffff644,
    0x2defffff,0xffffeb80,0x0002dfff,0x7fe40000,0x7fffd87f,0x207fffd8,
    0x4000aba9,0x004fffff,0x27ffff40,0x3ffffe60,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x001df300,0x55310000,
    0x5d440033,0x2aea600a,0x5751000a,0xa9800015,0x5d54400b,0x9100009a,
    0x220003bd,0x9aabaaa9,0xba980000,0x00009aaa,0x0002aea6,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00980000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x774c0000,0x44004eee,
    0x003eeeee,0x00200200,0xdd700014,0x098000bd,0x00800080,0xdfffd700,
    0x00053000,0x98000026,0x74001aaa,0xeeeeeeee,0xeeeeeeee,0x555531ee,
    0x55555555,0x15555555,0x717bbbb6,0x401ddddd,0x00001ab9,0x00000000,
    0x77777754,0x00262004,0xdddd7000,0xff9009dd,0xffffffff,0x333326df,
    0xcccccccc,0x1111112c,0x11111111,0x11111111,0x00000111,0x00000000,
    0x3e000000,0x000fffff,0x0bffffee,0xfa8003b2,0x407f9101,0x90003ffb,
    0x4000dfff,0xf100bfe8,0x3b6e201b,0x201cffff,0xffffffb8,0x3ffa6006,
    0x7f6cc04f,0x0003efff,0x03ffffe2,0xffffff80,0xffffffff,0xfb1fffff,
    0xffffffff,0xffffffff,0x3fffa3ff,0x7fffe46f,0xffffc80f,0x400002ef,
    0xf504ffd8,0xdfb503df,0xffffa809,0x7ec405ff,0x80000dff,0x3ffffffb,
    0xfffff900,0x2dffffff,0xfffffff9,0xf4ffffff,0xffffffff,0xffffffff,
    0xffffffff,0x00000003,0x00000000,0xfff90000,0x7f4007ff,0xffc86fff,
    0xfffa800e,0x0ffffe41,0x03ffffe6,0x17ffee00,0xffffc800,0x0cfffd82,
    0x3fffffee,0x6444ffff,0xffffffff,0x3fffa006,0xffc884ff,0xefffffff,
    0xfffc8002,0x3fe005ff,0xffffffff,0xffffffff,0xfffffb1f,0xffffffff,
    0x23ffffff,0x5c6ffffd,0xfd87ffff,0x4fffffff,0x03fffea0,0x44ffffc8,
    0x5c6ffff9,0x406fffff,0x5fffffe8,0x3fffffa0,0x3ee0000e,0x001fffff,
    0x3ffffff2,0xf36fffff,0xffffffff,0x3fe9ffff,0xffffffff,0xffffffff,
    0x1fffffff,0x00000000,0x00000000,0xffff8800,0xfff3006f,0xfffc87ff,
    0x3fea00ef,0x3ff21fff,0xfffd86ff,0x2a06405f,0x01b85fff,0x07ffffcc,
    0xc9bfffee,0xffffffff,0x3f24ffff,0xffffffff,0xffff3006,0xffe81fff,
    0xffffffff,0x3e6001ff,0x02ffffff,0xfffffff0,0xffffffff,0x3f63ffff,
    0xffffffff,0xffffffff,0xffffb1ff,0x7ffffb8b,0x7fffffe4,0xf705ffff,
    0x7fc01fff,0x7fe47fff,0xfff32fff,0x9009ffff,0x70bfffff,0x9fffffff,
    0x3ffee000,0x64000dff,0xffffffff,0xfff36fff,0xffffffff,0x3fffe9ff,
    0xffffffff,0xffffffff,0x001fffff,0x00000000,0x00000000,0x3fffffb0,
    0xfffff900,0x7ffff441,0xfffa80ef,0x7ff41fff,0x7ffc44ff,0x3df702ff,
    0xb127ffd4,0xfffe80bf,0x7fffc43f,0x3fffe21f,0xffffffff,0x3ffffe67,
    0x5006ffff,0x9fffffff,0x77ffffdc,0x6fffffed,0x3bfffa00,0x55006fff,
    0x55555555,0x55555555,0x3ffff615,0xffffffff,0x1fffffff,0xa8bffff9,
    0x7fc7ffff,0xffffffff,0x7fec0dff,0x7fffc07f,0x7fffe46f,0xfffff71f,
    0x3ea00dff,0x7e45ffff,0x06ffffff,0xfffffb80,0x40000003,0xfffffff9,
    0xf4ffffff,0xffffffff,0xffffffff,0xffffffff,0x00000003,0x00000000,
    0x3fea0000,0xff804fff,0xfe885fff,0x2a0effff,0x81ffffff,0x41fffff8,
    0x40fffffa,0xf33ffff8,0x3ffea7ff,0xffff902f,0x7ffffd0b,0x5137df50,
    0x43fffffd,0xfffaaefd,0xfff3006f,0x3e2bffff,0x7442ffff,0xb803ffff,
    0xfff8efff,0x0000004f,0xffc80000,0xffff91ff,0x6ffffa89,0x2bbfffea,
    0xefffffeb,0x0dffff71,0x44ffffc8,0x326ffff9,0x7fffffff,0x3fffa200,
    0x3ffff65f,0x5c006fff,0x001fffff,0x33300000,0x33333333,0x26666133,
    0x99999999,0x99999999,0x00019999,0x00000000,0x00000000,0x03fffffc,
    0x0bffffea,0x7fffff44,0xfffffa8e,0x3ffee01f,0xffffd86f,0x7ffffe44,
    0xfcbfff9e,0xf986ffff,0x7dc0ffff,0x40605fff,0x21fffffb,0x3fffea29,
    0x3fff6006,0xfff56fff,0x3ffea07f,0x7ffc404f,0x1ffff72f,0x00000000,
    0xffffc800,0x89ffff71,0x325ffff9,0x3620ffff,0xffffffff,0xc802ffff,
    0xbfd504ff,0x7ffffdc1,0x998006ff,0x3ffee199,0x4004ffff,0x00099999,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffff9000,0x7ffec03f,
    0x7ffc407f,0xffffefff,0xffd801ff,0x7ffc44ff,0x3ff661ff,0xffffffff,
    0x82efffff,0x4c2ffffe,0x000fffff,0x0fffffc8,0x1bfffea0,0xfffffd00,
    0x03fffeeb,0x406ffff8,0x7f45fffc,0x000005ff,0x7e400000,0xfff71fff,
    0xffff987f,0x417fff65,0xfffffffd,0x00007fff,0xfffff100,0x800007ff,
    0xfffffff8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fffe200,0xffff104f,0xfff1009f,0xffffffff,0x3ffe2003,0x7ffd41ff,
    0xfffc986f,0xffffffff,0xffff702e,0x5ffffd0b,0xffff5000,0xfffa80bf,
    0x7fcc006f,0xfff94fff,0x7fffd80f,0x07fffe60,0x005ffff5,0x00000000,
    0xa8ffffe4,0x7c43ffff,0x3ffa4fff,0x3fff605f,0x02ffffff,0x3ea00000,
    0x0004ffff,0xffffd300,0x00000005,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffffb000,0x3fffea0f,0xfff1001f,0x03ffffff,0x6ffffa80,
    0x03ffffd8,0xffffff91,0x7fc403bf,0x7fdc0fff,0xf98005ff,0x401fffff,
    0x006ffffa,0x92fffff8,0x7c03ffff,0x3fa06fff,0xfffd05ff,0x3fffe01f,
    0xffffffff,0x1fffffff,0xfffc8000,0x5ffff51f,0x24ffff88,0x5c009999,
    0x1fffffff,0x88000000,0x00001cdb,0x000aba80,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x05fffff5,0x00dffffb,0xffffff88,
    0xffd8001f,0x7ffc44ff,0xff9301ff,0x05bfffff,0x17ffff44,0x03bfffea,
    0xfffffa80,0xfffa802f,0x7fc4006f,0xfff71fff,0x3ffe607f,0xffff504f,
    0x3fffe601,0xffffff04,0xffffffff,0x003fffff,0x3ffff900,0x20bfffe6,
    0x0003ffff,0x055ee5c4,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2fffffc0,0x0bffffe2,0xfffff500,
    0x5c001dff,0xfd86ffff,0xfd984fff,0xffffffff,0xff502eff,0xffc81fff,
    0xff7004ff,0x2005ffff,0x006ffffa,0x327fffdc,0x320dffff,0xf883ffff,
    0x7ec04fff,0xfff81fff,0xffffffff,0xffffffff,0x99880001,0x2aaaa219,
    0x01aaaa80,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x32000000,0x2e0fffff,0x4007ffff,0xfffffffa,
    0xf8800eff,0x7dc1ffff,0x7f546fff,0xffffffff,0x3fffffff,0x44ffffd8,
    0x02fffff8,0x77ffffdc,0x3ffea001,0xff93006f,0xfffd0dff,0xffb757df,
    0xff901dff,0xff8801ff,0xffff86ff,0xffffffff,0x1fffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3fffff98,0x013ffffa,0xffffffa8,0x00efffff,
    0x21fffff4,0x41fffff8,0x9dfffffc,0xfffbbfff,0xfff886ff,0x7ffd42ff,
    0xfff900ff,0x99801bff,0xeffffb99,0xddb11999,0x03ffffff,0xfffffff3,
    0x05ffffff,0x007ffff1,0x50fffff2,0x55555555,0x55555555,0x00000155,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ffa0000,0xffff36ff,0x3fea003f,0xffeaffff,
    0xf700efff,0xffb0bfff,0xfff109ff,0x4fffe67f,0x702fffe9,0xc81fffff,
    0xfd85ffff,0xcccfffff,0xfff34ccc,0xffffffff,0x3ffe6fff,0x200dffff,
    0xfffffffa,0xfb03ffff,0x7c400dff,0x0000ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7ffd4000,0xffffc8ff,0xffff5006,0x3ffa23ff,0x7cc0efff,
    0x7dc0ffff,0x3ee06fff,0x93ffe61e,0x7ec05fd8,0x7f445fff,0x3ff23fff,
    0xffffffff,0xfff37fff,0xffffffff,0x3ffe6fff,0xb1001eff,0xbfffffff,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf0000000,0xfff7ffff,
    0xff5007ff,0xe883ffff,0x20efffff,0x443ffffe,0x401fffff,0x85fffa83,
    0x7ffc401a,0x7ffd42ff,0xffff90ff,0xffffffff,0x3fffe6ff,0xffffffff,
    0x3579d37f,0x32a62000,0x0000009a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fffff20,0x400fffff,0x1ffffff8,0xffffff10,0x82ffe445,
    0x0004ffea,0x000bfff7,0x4067ffdc,0x3f21dffc,0xffffffff,0xdd37ffff,
    0xdddddddd,0x0000bddd,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ffffe60,0x5004ffff,0x8803ffff,0x9103ffff,0x000ea801,
    0x00dfff90,0x2200ce80,0xeeeeb81d,0xeeeeeeee,0x0000005e,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fffa000,0x001fffff,
    0x44007fea,0x000003ff,0x4ccca800,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffb80000,0x006fffff,
    0x144001a8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xf1000000,0x07ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fe40000,0x0000ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_46_latin_ext_x[560]={ 0,9,5,0,2,0,0,9,6,5,3,1,4,5,
8,1,1,2,2,3,0,3,2,2,2,1,8,5,2,2,4,6,0,0,2,1,1,4,4,1,2,3,3,2,
4,1,2,0,3,0,2,2,1,1,0,0,0,0,2,6,2,5,1,0,0,2,3,2,1,2,0,1,3,3,
2,3,3,1,3,1,3,1,4,3,1,3,0,0,0,0,3,3,10,4,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,9,2,1,0,0,
10,2,0,0,4,2,2,5,1,0,4,2,5,5,0,3,1,8,9,5,4,2,0,0,0,3,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,3,3,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,3,0,
0,0,0,0,0,2,0,0,1,0,1,0,1,0,-1,0,0,1,0,0,0,0,0,0,4,2,0,0,1,0,
1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,3,3,0,3,2,2,0,0,2,3,3,0,0,4,
3,-6,-3,3,1,0,3,0,0,2,3,0,0,0,2,3,0,0,0,0,0,0,0,0,-1,0,2,4,-1,0,
0,0,0,0,2,3,0,0,1,1,0,-4,1,0,0,0,0,0,0,0,0,0,0,0,1,3,0,0,0,0,
0,0,0,0,0,0,0,5,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,-5,-2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,2,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__consolas_bold_46_latin_ext_y[560]={ 34,2,2,4,0,1,2,2,0,0,2,10,25,19,
25,2,4,4,4,4,4,4,4,4,4,4,10,10,9,15,9,2,1,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,2,1,4,38,2,10,2,10,2,10,1,10,2,1,
1,2,2,10,10,10,10,10,10,10,3,11,11,11,11,11,11,1,-3,1,16,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,34,10,0,4,4,4,
-3,1,1,4,4,12,19,19,1,3,1,6,1,1,2,11,2,16,34,2,4,12,2,2,1,10,-4,-4,-4,-5,
-4,-6,4,4,-4,-4,-4,-4,-4,-4,-4,-4,4,-5,-4,-4,-4,-5,-4,11,-1,-4,-4,-4,-4,-4,4,1,2,2,
2,1,1,-1,10,10,2,2,2,1,2,2,2,1,2,1,2,2,2,1,1,9,6,2,2,2,1,2,2,1,
-3,3,-4,2,4,10,-4,2,-4,2,-5,1,-4,2,-4,0,4,2,-3,3,-4,2,-5,1,4,10,-4,2,-4,2,
-4,2,-5,1,4,1,-4,-6,4,2,-5,1,-3,3,-4,2,4,1,-5,11,4,1,-4,2,4,2,11,-4,-6,4,
2,0,0,4,2,4,2,-4,2,4,10,-4,2,-2,4,10,-3,3,-4,2,-4,2,4,10,-4,2,4,10,-4,2,
-4,2,-4,2,4,10,-4,2,4,3,-4,0,4,3,-5,1,-3,3,-4,2,-6,-1,-4,2,4,11,-4,2,-4,2,
-4,-4,2,-5,1,-4,2,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-10,-8,-4,2,-4,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,10,4,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static unsigned short stb__consolas_bold_46_latin_ext_w[560]={ 0,8,16,25,22,26,26,7,15,15,20,23,13,15,
9,22,24,21,21,20,25,20,22,21,21,22,9,13,19,21,19,16,26,26,22,22,24,18,18,23,22,19,18,23,
19,24,22,25,21,26,23,21,23,23,26,25,26,26,21,13,22,13,23,26,16,21,21,20,22,21,24,23,20,20,
19,22,20,23,20,23,21,22,20,19,21,20,25,26,25,25,19,18,6,18,24,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,8,19,23,25,25,
6,22,21,25,17,21,21,15,23,19,18,21,15,15,24,22,23,10,7,15,17,21,26,26,26,17,26,26,26,26,
26,26,26,22,22,23,22,22,22,23,22,22,25,24,25,25,25,25,25,21,25,24,24,24,24,26,21,22,23,24,
23,23,23,23,25,20,23,24,23,23,23,24,23,23,23,23,24,24,24,24,24,23,23,23,24,23,23,25,21,25,
26,23,26,23,26,21,24,25,22,22,22,22,22,22,26,29,25,24,22,23,22,23,22,23,19,21,22,23,23,24,
23,24,23,24,23,24,24,23,25,22,22,23,22,23,22,23,20,21,22,20,22,22,21,21,23,22,22,23,23,19,
20,29,29,23,28,23,20,24,24,22,20,24,23,23,22,20,25,24,25,24,27,27,25,25,26,24,23,20,26,24,
23,24,23,22,21,19,23,22,23,21,24,29,23,22,24,23,24,23,24,23,24,23,27,27,23,21,25,26,26,25,
26,23,24,23,22,23,22,19,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,24,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,26,23,26,25,30,26,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,21,19,23,21,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23, };
static unsigned short stb__consolas_bold_46_latin_ext_h[560]={ 0,33,12,30,40,34,33,12,44,44,20,23,17,6,
10,37,31,30,30,31,30,31,31,30,31,30,25,32,26,14,26,33,43,30,30,31,30,30,30,31,30,30,31,30,
30,30,30,31,30,39,30,31,30,31,30,30,30,30,30,42,37,42,15,6,10,25,33,25,33,25,33,34,32,33,
43,32,32,24,24,25,33,33,24,25,32,24,23,23,23,33,23,42,47,42,11,30,30,30,30,30,30,30,30,30,
30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,0,33,40,30,30,30,
47,39,11,31,23,20,12,6,24,9,17,28,19,20,10,32,38,10,7,18,23,20,32,32,33,33,38,38,38,39,
38,40,30,37,38,38,38,38,38,38,38,38,30,39,39,39,39,40,39,21,40,39,39,39,39,38,30,34,33,33,
33,34,34,36,25,31,33,33,33,34,32,32,32,33,33,33,33,33,33,34,34,25,33,33,33,33,34,42,41,43,
37,32,38,33,40,34,39,33,39,33,40,34,39,33,38,35,30,33,37,32,38,33,39,34,40,34,38,33,39,42,
39,42,40,43,40,43,38,40,30,32,39,33,37,31,38,32,40,43,39,23,31,43,39,42,40,42,23,38,40,40,
42,34,34,30,32,30,32,38,32,40,34,38,32,36,40,34,38,32,39,33,39,33,31,25,38,32,40,34,38,32,
39,33,39,33,37,31,39,33,40,41,38,35,30,32,40,34,38,32,39,33,41,36,39,33,40,33,38,32,38,42,
38,38,32,39,33,38,32,33,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,39,30,30,30,
30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,
30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,
30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,
30,30,30,30,30,30,30,30,30,30,44,43,38,33,43,39,30,30,30,30,30,30,30,30,30,30,30,30,30,30,
30,30,30,30,30,30,30,30,30,30,40,34,40,41,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,
30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,
30,30,30,30,30,30, };
static unsigned short stb__consolas_bold_46_latin_ext_s[560]={ 297,501,247,21,182,452,113,503,58,42,71,
431,146,394,339,321,466,143,431,379,189,311,288,215,444,237,495,494,475,203,1,
1,270,47,463,356,438,392,373,400,486,1,492,74,98,118,362,262,385,474,165,
214,407,332,411,336,309,282,260,417,344,498,179,410,322,68,308,21,262,160,140,
285,170,92,74,191,201,230,296,182,50,290,275,140,123,254,1,317,382,330,362,
479,8,1,264,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,
124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,297,499,252,
199,297,347,1,277,289,236,476,92,225,394,206,374,160,453,114,494,349,469,200,
311,503,130,344,49,295,268,378,428,101,74,1,122,251,1,172,252,393,466,443,
125,177,78,28,51,74,120,145,171,197,369,343,27,52,47,293,268,318,278,223,
165,460,435,411,72,141,415,90,491,266,241,217,333,351,176,1,96,72,337,67,
18,484,47,22,116,479,26,120,145,309,391,20,149,225,127,198,193,419,96,400,
361,149,405,135,118,377,285,171,469,271,1,298,375,148,169,1,209,467,233,102,
313,96,297,72,345,111,175,272,223,355,158,245,399,223,43,275,50,154,422,446,
248,24,455,1,200,246,431,395,322,408,369,28,78,370,255,357,100,322,148,247,
1,222,205,1,53,25,391,487,387,128,77,300,1,249,211,24,42,416,102,345,
188,224,151,98,469,326,446,490,424,425,239,321,67,305,439,323,100,296,428,330,
76,449,387,42,367,172,49,228,356,380,49,406,453,433,460,145,200,26,484,446,
191,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,224,
124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,
124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,
124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,
124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,
124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,
124,124,124,15,125,26,165,94,350,124,124,124,124,124,124,124,124,124,124,124,
124,124,124,124,124,124,124,124,124,124,124,124,124,89,408,321,67,124,124,124,
124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,
124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,
124,124,124,124,124,124,124,124,124, };
static unsigned short stb__consolas_bold_46_latin_ext_t[560]={ 44,92,511,453,49,251,320,251,1,1,511,
484,511,511,511,212,388,452,452,388,452,388,388,452,388,452,452,320,452,511,484,
320,1,453,421,388,421,421,421,388,421,453,354,452,452,452,452,388,452,92,452,
388,452,388,421,452,452,452,452,1,212,1,511,511,511,484,320,484,320,484,320,
251,388,320,1,388,354,484,484,484,286,286,484,484,388,484,511,484,484,320,484,
1,1,49,511,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,
421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,44,212,49,
421,421,421,1,92,511,388,484,511,511,511,484,511,511,452,511,484,511,354,173,
511,264,511,484,511,354,354,320,320,173,173,173,92,173,92,421,212,133,133,133,
212,173,212,173,173,421,133,133,133,133,49,133,511,92,133,133,133,133,173,421,
251,286,286,286,251,251,212,484,388,286,286,286,251,354,354,388,286,286,286,320,
320,286,251,251,484,251,286,286,286,251,1,49,1,212,354,212,286,49,251,92,
286,92,320,49,251,92,320,212,212,421,286,212,354,212,286,133,251,49,251,212,
286,133,1,133,1,49,1,49,1,173,49,421,354,133,320,212,421,173,354,49,
1,133,484,421,1,133,1,49,1,484,133,92,92,1,251,251,421,354,421,354,
212,354,49,251,212,388,212,49,251,173,354,92,354,92,320,421,484,133,354,49,
251,173,354,92,320,92,320,133,388,92,320,49,49,173,212,421,388,49,251,173,
388,92,286,49,212,92,354,49,320,173,388,173,1,173,173,388,92,354,173,354,
320,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,92,
421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,
421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,
421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,
421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,
421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,
421,421,421,1,1,212,320,1,92,421,421,421,421,421,421,421,421,421,421,421,
421,421,421,421,421,421,421,421,421,421,421,421,421,49,251,49,49,421,421,421,
421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,
421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,421,
421,421,421,421,421,421,421,421,421, };
static unsigned short stb__consolas_bold_46_latin_ext_a[560]={ 405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_46_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_bold_46_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_46_latin_ext(stb_fontchar font[STB_FONT_consolas_bold_46_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_46_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_bold_46_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_46_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_46_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_46_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_46_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_46_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_46_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_46_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_46_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_46_latin_ext_s[i] + stb__consolas_bold_46_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_46_latin_ext_t[i] + stb__consolas_bold_46_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_46_latin_ext_x[i];
            font[i].y0 = stb__consolas_bold_46_latin_ext_y[i];
            font[i].x1 = stb__consolas_bold_46_latin_ext_x[i] + stb__consolas_bold_46_latin_ext_w[i];
            font[i].y1 = stb__consolas_bold_46_latin_ext_y[i] + stb__consolas_bold_46_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_bold_46_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_46_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_46_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_46_latin_ext_s[i] + stb__consolas_bold_46_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_46_latin_ext_t[i] + stb__consolas_bold_46_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_46_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_46_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_46_latin_ext_x[i] + stb__consolas_bold_46_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_46_latin_ext_y[i] + stb__consolas_bold_46_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_46_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_46_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_46_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_46_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_46_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_46_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_46_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_46_latin_ext_LINE_SPACING
#endif

