// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_48_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_48_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_48_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_bold_48_latin_ext_BITMAP_HEIGHT        589
#define STB_FONT_consolas_bold_48_latin_ext_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_consolas_bold_48_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_bold_48_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_bold_48_latin_ext_LINE_SPACING          32

static unsigned int stb__consolas_bold_48_latin_ext_pixels[]={
    0x22555551,0x0002aaaa,0x33333330,0xc8000001,0x02eeeeee,0x0002b800,
    0x4ccc4000,0x99999999,0x00001310,0x20330000,0x0000001c,0x2aa00000,
    0x998801aa,0x99999999,0xeeb80009,0x2000000c,0x000acb98,0x13333000,
    0x33310000,0x80666601,0x00199998,0x99980000,0x00000009,0x4cccccc4,
    0x99999881,0x00999999,0x0033bb20,0x000eff54,0x5d440375,0x99999800,
    0xdffff509,0x01bfffea,0x3ffff600,0x000004ff,0x77ffffe4,0xffb80001,
    0x77f54002,0x3fffa003,0xffffffff,0x7bdfffd3,0xc9800000,0x6c1fffed,
    0x000001ff,0x002efeb8,0x17fffcc0,0x7fffff40,0x03ffffff,0x7ffffe40,
    0x75400000,0xceffffff,0xff700000,0x80001dff,0xfb85fffb,0x3ff606ff,
    0x000007ff,0x77fffdc0,0x30000000,0x5fffffff,0xffffffb0,0x00dfffff,
    0x03fffff6,0x3fffff70,0x3fffe880,0x02ffff98,0x3fffffe2,0x2dffff53,
    0x006ffffa,0x7ffffec0,0x4000001f,0x04fffffd,0xffff9000,0x3ffee005,
    0xffd003ff,0xffffffff,0x3ffffa7f,0x00001eff,0x7ffffe44,0x3fff21ff,
    0x2000001f,0x02fffffc,0x3ffff200,0xffffe800,0x3fffffff,0x3fffe200,
    0x100004ff,0xfffffffb,0x0001dfff,0xffffffa8,0x3e60000e,0x3fa21fff,
    0x3ff604ff,0x000007ff,0x3ffffea0,0x000000ef,0x7fffffcc,0xffffb00e,
    0xdfffffff,0xfffff300,0x7ffc407f,0x7e405fff,0x7f41ffff,0x7fc07fff,
    0xff53ffff,0x3ffeadff,0x3f60006f,0x000dffff,0x7ffec000,0x900001ef,
    0x00dfffff,0x1ffffffe,0x7fffff40,0xd3ffffff,0xffffffff,0x3e200007,
    0xffffffff,0xffffff51,0xf1000003,0x00dfffff,0x037fffc0,0xffffffe8,
    0x003fffff,0x3fffffea,0xfe980006,0xffffffff,0x0000efff,0xfffffff5,
    0xff8000df,0xfffddfff,0x3ff602ff,0x000007ff,0xffffff50,0x00000dff,
    0x7fffffcc,0x7fffec04,0x6fffffff,0xfffffb80,0x3ffe605f,0x7f407fff,
    0x7fc3ffff,0x3e01ffff,0xf52fffff,0x3feadfff,0xfb0006ff,0xcb87ffff,
    0x440003cc,0x00cffffd,0xffff9000,0xff1001df,0x003fffff,0xfffffffd,
    0x3fa7ffff,0xffffffff,0xffd80000,0x1fffffff,0x3ffffff2,0x7cc00001,
    0x00ffffff,0x4ffffa80,0xfffffd00,0x07ffffff,0x7ffffcc0,0x7cc0005f,
    0xccefffff,0x0ffffffe,0x7fffd400,0x05ffffbd,0x3fffea00,0x05ffffff,
    0x03ffffec,0x7fd40000,0xffffbdff,0xf9800005,0x802fffff,0xfffffffd,
    0xa806ffff,0x04ffffff,0x3fffffe2,0x7fffec06,0x7ffffc2f,0x3fffe00f,
    0xffff52ff,0x1bfffead,0x3ffff600,0x4ffff81e,0x00110000,0xffff5000,
    0x7fc001ff,0x800fffff,0xe9999998,0x5313ffff,0xbffffff7,0xfff98000,
    0x819adfff,0x0ffffffd,0x3fe20000,0x0007ffff,0x005ffffb,0x26fffffa,
    0x00099999,0x17fffff4,0xfffd1000,0xffd103df,0x7cc00bff,0x3fee5fff,
    0x320005ff,0xffffffff,0x7ffec00e,0x4000007f,0x2e5ffff9,0x0005ffff,
    0x3ffffe60,0x5555001e,0xfffff555,0xffff100d,0xffd803ff,0x7cc03fff,
    0xffb86fff,0x7ffc05ff,0xfff52fff,0x3fffeadf,0x4ccc4006,0xffff5019,
    0x7ecc0003,0x0001dfff,0xffffff88,0x7ffec001,0xe80005ff,0x3603ffff,
    0x000fffff,0x3fffff60,0xffffb001,0xd80000bf,0x004fffff,0x0fffff88,
    0x5ffffd00,0x7ec40000,0x6c0002ff,0x200effff,0x00fffff8,0x85ffff98,
    0x004ffffb,0x3ffffaa0,0xfffb003f,0x400000ff,0xb85ffff9,0x0004ffff,
    0x4fffff98,0x3ffe0000,0xfd3006ff,0xfd1007ff,0x366009ff,0x7dd700ce,
    0xfffffd00,0x5bfffea5,0x006ffffa,0x3fff2000,0x3fea0006,0x03ffffff,
    0x7fffec00,0xfd88001f,0x80000dff,0x203ffffe,0x01fffff8,0x3ffffa00,
    0x7fff4003,0x200002ff,0x00dfffe8,0x4cccc980,0x3ffffa00,0x18800002,
    0xfffb8000,0xfff3006f,0x0000007f,0x02660000,0xfffffb00,0x00000000,
    0x00000000,0xffff8000,0x04cc006f,0x0002a600,0x3fa00000,0xff51ffff,
    0x3ffeadff,0x0c00006f,0x0009ffff,0x333bffe2,0x0001fffe,0x09fffff7,
    0x001a9800,0x3ffffa00,0x7fffec03,0x3ffe0002,0x7c4000ff,0x000fffff,
    0x00054c00,0xffd00000,0x000005ff,0x7ffc0000,0x3f6001ff,0x000006ff,
    0x00000000,0x03ffffec,0x00000000,0x00000000,0x3ffffe00,0x00000006,
    0x80000000,0x51fffffe,0x3eadffff,0x20006fff,0xffffeca8,0x0001ffff,
    0x7c43fff5,0xf88003ff,0x0006ffff,0xfd000000,0xfc807fff,0x10003fff,
    0x000fffff,0x17ffffee,0x00000000,0x3ffa0000,0x400002ff,0x20001998,
    0x004ffffa,0x00ffffdc,0x00199880,0x06662000,0xfffffb00,0x000004c0,
    0x00000000,0x3fe00000,0x00006fff,0x00000000,0xffffe800,0xdffff51f,
    0x01bfffea,0x7ffffdc0,0x0fffffff,0x1fff7000,0x8004fff8,0x02fffffc,
    0x00000000,0x807ffffd,0x005ffffb,0x0dffff30,0x7ffff400,0x0000001f,
    0x01998800,0x17ffff40,0x7ff5c000,0xeeeeffff,0xfe85eeee,0xf98006ff,
    0x2e003fff,0xeffffffe,0x5eeeeeee,0xffffd700,0xddddddff,0x3fff6bdd,
    0x3ff6e26f,0x3a603dff,0x8005eeee,0x34eeeee9,0x00bddddd,0x9ddddd30,
    0x3ffffe00,0xdddd9006,0xdddd500b,0x77774c1d,0xee98005e,0x3ff64eee,
    0xfff51fff,0x3fffeadf,0x7fec4006,0xffffffff,0x8000efff,0xc99cfff9,
    0x44002fff,0x005fffff,0xddddddd9,0x0009dddd,0x07ffffd0,0x05ffffb8,
    0xdffff300,0x7ffd4000,0xddd505ff,0xdddddddd,0x009ddddd,0x7fffff5c,
    0xeeeeeeef,0x5ffffd5e,0x7ff54000,0xffffffff,0x46ffffff,0x103ffff9,
    0x3fffe301,0xfffea804,0xffffffff,0x406fffff,0xffffffea,0xffffffff,
    0xffffb6ff,0x3ffffe6d,0x3e05ffff,0x002fffff,0x17ffffec,0x05ffffff,
    0xfffffd80,0xfffff002,0x3fff600d,0xfffb807f,0x7fffc0ff,0x7ec002ff,
    0x3f62ffff,0xff50ffff,0x3ffeadff,0x3fa6006f,0xffffffff,0x0effffff,
    0xffffd800,0x8005ffff,0x00fffffb,0xffffffb0,0x00dfffff,0x7ffffd00,
    0x5ffffb80,0xffff3000,0xffd8000d,0xffb80fff,0xffffffff,0x05ffffff,
    0xfffffea8,0xffffffff,0xfffd6fff,0x3ee0005f,0xffffffff,0xffffffff,
    0x7fffec6f,0x3ffff620,0xfffb7fed,0xffffb80b,0xffffffff,0x06ffffff,
    0x3fffffee,0xffffffff,0xffb6ffff,0xffff5bff,0xdfffffff,0xfffff701,
    0x7ffc400b,0x7ffdc7ff,0x3e2005ff,0x2007ffff,0x006fffff,0x00fffffb,
    0x81fffff7,0x05fffffb,0x3ffffe20,0x7ffffec7,0x2dffff50,0x006ffffa,
    0x3ffffffa,0xfffffeff,0x90005fff,0x09ffffff,0x3ffffa00,0x3fff6006,
    0xffffffff,0xffe80006,0x7fdc03ff,0xf30005ff,0x8000dfff,0x82fffffa,
    0xfffffffb,0xffffffff,0x7ffdc05f,0xffffffff,0x6fffffff,0x005ffffd,
    0xffffff30,0xfffffddf,0xf8dfffff,0x3fe65fff,0x7fffffff,0x4c0bfff9,
    0xefffffff,0xfffffffe,0xff306fff,0xfddfffff,0xffffffff,0x3ffff6df,
    0xffffffff,0x84ffffff,0x0ffffff8,0xfffff500,0xfffff889,0xfff5000f,
    0x7fc009ff,0xfb006fff,0xf700ffff,0xf881ffff,0x000fffff,0x89fffff5,
    0x50fffffc,0x3eadffff,0xf7006fff,0x439fffff,0xfffffffe,0x7510002f,
    0x26000157,0x003fffff,0x3ffffff6,0x006fffff,0x3ffffe80,0x2ffffdc0,
    0xffff9800,0x7fc40006,0xffb86fff,0xffffffff,0x05ffffff,0x3fffffe6,
    0xfffffeef,0xfd6fffff,0xd0005fff,0x905fffff,0x559fffff,0x97fffcc5,
    0xfffffff8,0xfff96fff,0x7ffff40d,0xffffc82f,0xfd02aacf,0xf905ffff,
    0x5559ffff,0x3ffffff6,0xffecffff,0xd80fffff,0x003fffff,0x03fffffb,
    0x07fffffb,0x3fffff60,0x3fffe001,0xfffb006f,0xfff700ff,0xfffb01ff,
    0x3f6007ff,0x7e41ffff,0x3fea7fff,0xffff56ff,0x3fffe00d,0x7ffcc2ff,
    0x06ffffff,0xcccccc80,0x7e4001cc,0x2000ffff,0xfccccccb,0x0006ffff,
    0x03ffffe8,0x037fffd4,0x5ffffa80,0xfffd8000,0x6664c0ff,0xcccccccc,
    0x205fffff,0x82fffffe,0xacfffffc,0x5ffffd2a,0xffff8800,0x3fff602f,
    0xffff705f,0x3fffff21,0xf75fffff,0x3fe20fff,0x3f602fff,0x7c405fff,
    0x3602ffff,0xfd85ffff,0x3effffff,0x7fffffcc,0xfffffa83,0xffff8806,
    0xffff506f,0xfff100df,0xff800dff,0xfb006fff,0xf700ffff,0xf501ffff,
    0x100dffff,0x90dfffff,0x7d4fffff,0xfff56fff,0xfff700df,0xfff707ff,
    0x3fffffdf,0x7fffc400,0x4004ffff,0x005ffffe,0x3ffffe00,0xffe80006,
    0x7fcc03ff,0xf70007ff,0x0000bfff,0x07fffff5,0x7fffc400,0xffff105f,
    0x7ffec05f,0xffffe85f,0x7ffd4002,0x7ffcc06f,0xfffd80ff,0x5fffff17,
    0x2ebffff3,0xff507fff,0xff980dff,0x3ea00fff,0x7cc06fff,0x7ec0ffff,
    0x00ffffff,0x0ffffff5,0x07fffffe,0x7fffff70,0x7fffffc0,0x7fffdc01,
    0x7ffc003f,0xffb006ff,0xff700fff,0x3fe01fff,0x5c01ffff,0xc83fffff,
    0x3ea7ffff,0xfff56fff,0xffff00df,0x3fffa0ff,0x4fffffcd,0x3fffee00,
    0x4006ffff,0x003fffff,0x3ffffe00,0xffe80006,0x7fc403ff,0xe8002fff,
    0x0004ffff,0x09fffff0,0x7fffc400,0xffff505f,0xffff980d,0x7ffff40f,
    0x7ffe4002,0x7ffc405f,0xffff81ff,0x27ffff55,0xf54ffff9,0xff901fff,
    0xff880bff,0x3f201fff,0x7c405fff,0x7ec1ffff,0x401fffff,0x80ffffff,
    0x04fffffc,0x07fffff4,0x9fffff90,0xfffffe80,0x7fffc000,0xfffb006f,
    0xfff700ff,0x3ff201ff,0x7f404fff,0xfb80ffff,0x3fea7fff,0xffff56ff,
    0xffffa80d,0xffff885f,0x6fffff9b,0x3ffff600,0x000fffff,0x05fffff1,
    0x7fffc000,0xfe80006f,0xfd803fff,0x1002ffff,0x01fffffb,0x3fffa000,
    0x3e20004f,0xf905ffff,0xf880bfff,0x7f41ffff,0x64002fff,0x4405ffff,
    0x441fffff,0xffb3ffff,0x3ffe61ff,0x1ffff53f,0x0bffff90,0x1fffff88,
    0x17ffff20,0x3fffff10,0x2fffffd8,0xfffffc80,0xfffff881,0x3fffe607,
    0x7ffc404f,0x3fe607ff,0xf8004fff,0xb006ffff,0x700fffff,0x201fffff,
    0x07fffff8,0x13ffffe6,0x537fffdc,0x3eadffff,0x7dc06fff,0xfb82ffff,
    0xfffd0fff,0x3fe001ff,0xffffffff,0xffff3003,0x7c00003f,0x0006ffff,
    0x03ffffe8,0xffffff98,0xdb933cef,0x0bffffff,0x7ffec000,0x3e20005f,
    0xf905ffff,0xf880bfff,0x7f41ffff,0x5c002fff,0x200fffff,0xa87ffff9,
    0xfff2ffff,0x7fffd4df,0x20ffff72,0x00fffffb,0x01ffffe6,0x01fffff7,
    0x43ffffcc,0x007ffffd,0x05fffff7,0x0bfffff6,0x0fffffe4,0x7ffffec0,
    0xfffff902,0xffff0003,0x3ff600df,0xffb807ff,0x3f600fff,0xf902ffff,
    0x2e03ffff,0x3ea6ffff,0x20006fff,0x80fffffd,0x3f66fffd,0xa801ffff,
    0xffffffff,0xff5005ff,0x00003fff,0x037ffffc,0x7ffff400,0xffff3003,
    0x3eedffff,0x4fffffff,0x7fec0000,0x220006ff,0x705fffff,0x401fffff,
    0xe87ffff9,0x4002ffff,0x03fffff9,0x21bffffa,0xf88ffffa,0x3fee5fff,
    0xffff72ff,0x3ffffe60,0x3ffffa03,0x7fffcc06,0x3fffa03f,0xffffd86f,
    0xffff7007,0x3ffea07f,0xffff05ff,0x3fea00df,0xfff05fff,0x3e000dff,
    0xb006ffff,0x700fffff,0x401fffff,0x05fffffa,0x40dfffff,0x2a6ffffb,
    0x0006ffff,0x21fffffa,0x323ffff8,0x801fffff,0xfeeffffc,0xf7007fff,
    0x0001ffff,0x37ffffc0,0x7fff4000,0x7fdc003f,0xff76ffff,0x001bffff,
    0xffff9000,0x7fc4000f,0xff305fff,0x7f407fff,0xffe86fff,0xfe8002ff,
    0x6c42ffff,0xb83fffff,0xff98ffff,0x3ffee3ff,0x0dfff71f,0x17fffff4,
    0x3fffff62,0xffffe803,0x7ffec42f,0xfffd83ff,0xfff5007f,0x7ffc09ff,
    0x7fcc0fff,0x3e003fff,0x4c0fffff,0x003fffff,0x0dfffff0,0x1fffff60,
    0x3ffffee0,0x7ffffc00,0x7fffcc0f,0x3ffea03f,0x3fffea6f,0x3ffe0006,
    0xfffa87ff,0x3ffff21f,0xffff802f,0xfffffcbf,0xffffc802,0x7fc00007,
    0x80006fff,0x003ffffe,0xffffffd3,0x3fffeedf,0x0003ffff,0x3ffffdc0,
    0xffff1000,0x7fff40bf,0x7fec42ff,0xffe83fff,0xf98002ff,0xfeffffff,
    0x05ffffff,0x3e6ffff7,0x3ff23fff,0xdfff90ff,0x7ffffcc0,0xfffffeff,
    0xff3005ff,0xffdfffff,0x20bfffff,0x007ffffd,0x07fffff5,0x17ffffe4,
    0x03fffff2,0xfffffc80,0x7ffffe42,0xffff0000,0x3ff600df,0xffb807ff,
    0x7e400fff,0x7e42ffff,0x2a00ffff,0x3ea5ffff,0x20006fff,0xd86fffff,
    0x7fdc6fff,0x7cc03fff,0xffa9ffff,0xfb804fff,0x0000ffff,0x1bffffe0,
    0x3fffa000,0xfff9803f,0x55eeffff,0xffffffdd,0x5c00007f,0x0007ffff,
    0x17ffffe2,0xffffff98,0xffffffef,0xffffd05f,0x3ffa0005,0xffffffff,
    0xf900ffff,0x3ffeafff,0x9ffff62f,0x7405fffd,0xffffffff,0x00ffffff,
    0x3fffffa0,0xffffffff,0xffffb00f,0x3ffee00f,0x3fe602ff,0x3fe25fff,
    0x4c005fff,0x225fffff,0x005fffff,0x1bffffe0,0x3ffffec0,0x7ffffdc0,
    0x7fffcc00,0x3fffe25f,0x7ffd405f,0x3fffea5f,0xfff10006,0xffff0bff,
    0xfffffa89,0x7fffdc03,0xdfffff17,0xfffff500,0x7fc00003,0x80006fff,
    0x803ffffe,0x03fffffd,0xfffffd30,0x3f200001,0x20006fff,0x05fffff8,
    0x7ffffff4,0xffffffff,0x5ffffd00,0xffff9000,0xffffffff,0x7fe4019f,
    0x5ffff56f,0xfd3fffec,0x7fe409ff,0xffffffff,0x2000cfff,0xfffffffc,
    0x0cffffff,0x1fffff60,0x7ffffe40,0x7fffec01,0xfffff50f,0xfffb0005,
    0x3ffea1ff,0x3e0002ff,0xb006ffff,0x700fffff,0x001fffff,0x21fffffb,
    0x02fffffa,0x50d55544,0x000dffff,0x1bffffe2,0xa83ffff5,0x403fffff,
    0x365ffffe,0x400fffff,0x02fffff9,0x3fffe000,0xfe80006f,0x7c403fff,
    0x4002ffff,0x03fffff8,0xffffb000,0x7fc4000b,0x3f205fff,0xffffffff,
    0x200cffff,0x002ffffe,0x5effffd4,0x0cdefffd,0x56fffd80,0x7f45ffff,
    0x3fffe6ff,0xbffff502,0x9bdfffb7,0xfffa8001,0xefffdbdf,0xffd800cd,
    0xffd007ff,0xff500fff,0x3ff67fff,0xf50006ff,0x3f67ffff,0x40006fff,
    0x006fffff,0x00fffffb,0x01fffff7,0x7fffff50,0x01bffff6,0x3fffea00,
    0x3ffe0006,0x7ffe46ff,0xfffffb87,0x3fffe202,0x3fffee2f,0x7ffc403f,
    0x200003ff,0x006fffff,0x3ffffe80,0x3ffffcc0,0xffffc800,0xffd00004,
    0x440009ff,0x505fffff,0xfb7bffff,0x0019bdff,0x005ffffd,0x00ffffd8,
    0xdfffb000,0x44bfffe6,0xff35ffff,0x3ff601ff,0x800000ff,0x000ffffd,
    0xfffffb00,0xfffff500,0x3fffe00d,0xfffff8ef,0x3ffe0003,0xffff8eff,
    0x7fc0003f,0xfb006fff,0xf700ffff,0x2001ffff,0xf8efffff,0x0003ffff,
    0x06ffffa8,0x3ffffe00,0x427fffc7,0x02fffffc,0x83ffffea,0x05fffff9,
    0x04fffff8,0x3fffe000,0xfe80006f,0x7d403fff,0x70006fff,0x000bffff,
    0x0fffffe0,0xffff8800,0xffffb05f,0x3fa00001,0x7c002fff,0x00007fff,
    0x7cdffff2,0xfffb3fff,0x1bfff2df,0x007ffff8,0xfffff000,0x7fec0000,
    0xffe807ff,0xf9004fff,0xfff9ffff,0x640001ff,0xffcfffff,0x40000fff,
    0x006fffff,0x00fffffb,0x01fffff7,0x3fffff20,0x00fffffc,0xfa87b930,
    0x55516fff,0xfffe8055,0x3fffe67f,0xfffffc82,0x3ffff201,0xffffff86,
    0x7ffffc00,0x3fe00007,0x80006fff,0x403ffffe,0x005ffffb,0x0dffff50,
    0xffff3000,0x7c40005f,0xff05ffff,0x40000fff,0x002ffffe,0x13ffffe2,
    0x7ffdc000,0x9dffff17,0xf9ffffff,0x3e209fff,0x0004ffff,0x7ffffc40,
    0xffb00004,0x7ec40fff,0x000fffff,0xfffffff3,0x8000bfff,0xfffffff9,
    0x80005fff,0x006fffff,0x00fffffb,0x01fffff7,0x3ffffe60,0x005fffff,
    0x54dffff7,0xff56ffff,0xffd80dff,0xfff90fff,0x3ffff60f,0x7ffffc07,
    0xfffffc84,0x7fffe402,0xff00001f,0x0000dfff,0x807ffffd,0x005ffffb,
    0x0dffff30,0xffff9000,0x7c40001f,0xf885ffff,0x0004ffff,0x05ffffd0,
    0xfffffe80,0xaaccccde,0x7ffd4009,0xfffffd0f,0xffffffff,0x7f401fff,
    0xccdeffff,0x0009aacc,0x3bfffffa,0x9aaccccd,0x7fffec00,0xeb9899bf,
    0x02ffffff,0x7fffff40,0x0002ffff,0xffffffe8,0xa9802fff,0xffaaaaaa,
    0xaaaaefff,0x3fff61aa,0xfffb807f,0x3fa000ff,0xffffffff,0xffff8802,
    0xffff53ff,0x1bfffead,0x7fffff90,0x2217fffa,0x205fffff,0x81fffff9,
    0x04fffffa,0x27ffffcc,0xaaaaa980,0xefffffaa,0x01aaaaaa,0x07ffffd0,
    0x05ffffb8,0xdffff300,0xffff0000,0xf88000bf,0xfd05ffff,0x99bdffff,
    0x80135599,0x002ffffe,0x7fffffe4,0xffffffff,0xffa80cff,0xffff51ff,
    0xffff9dff,0xfc803fff,0xffffffff,0xcfffffff,0x7fffe400,0xffffffff,
    0xd80cffff,0xffffffff,0xffffffff,0xffa8005f,0x07ffffff,0xffff5000,
    0x200fffff,0xfffffffc,0xffffffff,0x3f64ffff,0xfb807fff,0x2000ffff,
    0xfffffffa,0xfff5007f,0x3feabfff,0xffff56ff,0xffff980d,0x2ffff9ef,
    0x3fffffb8,0x1fffff20,0x3fffffc4,0x3fffff40,0xfffffc80,0xffffffff,
    0x04ffffff,0x07ffffd0,0x05ffffb8,0xdffff300,0xfffa8000,0x440001ff,
    0x905fffff,0xffffffff,0xffffffff,0xffffd019,0xfff90005,0xffffffff,
    0x89ffffff,0x362ffff9,0xfd0fffff,0x2007ffff,0xfffffffc,0xffffffff,
    0x7fe404ff,0xffffffff,0x4fffffff,0x7fffffec,0xffffffff,0xf0000dff,
    0x7fffffff,0x7ffc0000,0x003fffff,0xfffffff9,0xffffffff,0x7ec9ffff,
    0xfb807fff,0x4000ffff,0xffffffff,0xffff5003,0x3ffeabff,0xdffff56f,
    0xffffff00,0xd01ffffb,0x401fffff,0x205ffffe,0x01fffffe,0x17ffffdc,
    0x7ffffe40,0xffffffff,0x04ffffff,0x07ffffd0,0x05ffffb8,0xdffff300,
    0xfffd8000,0xf880006f,0x3205ffff,0xffffffff,0xffffffff,0x7ffff44f,
    0xfff88002,0xffffffff,0x3fffffff,0x713fffe2,0x6dc417bb,0x3e2000bd,
    0xffffffff,0xffffffff,0x3ffe203f,0xffffffff,0x3fffffff,0x3ffffff6,
    0xffffffff,0x7e40002e,0x00ffffff,0x3fff2000,0x9000ffff,0xffffffff,
    0xffffffff,0x7fec9fff,0xffb807ff,0x64000fff,0x0fffffff,0xfffff100,
    0x3fffea5f,0x0dffff56,0xffffffb0,0xff90bfff,0x7c409fff,0x3203ffff,
    0x403fffff,0x06fffff8,0xffffffc8,0xffffffff,0x004fffff,0x807ffffd,
    0x005ffffb,0x0dffff30,0x7fffcc00,0xf880003f,0x2205ffff,0xffffffff,
    0xffffffff,0x3fffa3ff,0x7fcc002f,0xeeeeffff,0xffffffee,0x3fffe0ff,
    0x30000007,0xddffffff,0xffffdddd,0xf301ffff,0xdddfffff,0xfffffddd,
    0x3ff61fff,0xffffffff,0x00003eff,0x9ffffff3,0xff980000,0x2004ffff,
    0xfffffffc,0xffffffff,0x3f64ffff,0xfb807fff,0x4000ffff,0x4ffffff9,
    0x7fffd400,0x5bfffea4,0x806ffffa,0xfffffff9,0x7ffdc3ff,0x3ee00fff,
    0x2601ffff,0x806fffff,0x04fffffd,0x7fffffe4,0xffffffff,0x004fffff,
    0x807ffffd,0x005ffffb,0x0dffff30,0x7ffff400,0xf880000f,0xf304ffff,
    0xdddfffff,0xfffffddd,0x3ffa1fff,0x3e2002ff,0x200dffff,0xffffffa8,
    0x07ffff62,0xff100000,0x4401bfff,0x2ffffffa,0x6fffffc4,0x3ffea200,
    0xfffb2fff,0x135531ff,0xff300000,0x0001ffff,0xfffff980,0x0000000f,
    0x7e400000,0x98007fff,0x00ffffff,0x541ba880,0xff56ffff,0x3f200dff,
    0xcfffffff,0xffffffdb,0x7ffec03f,0xeeeeeeff,0xffffffee,0x7fffc400,
    0x000000ff,0x003ffffb,0x00fffffa,0x009ffff9,0x1ffffe20,0x7fffdc00,
    0xf300004f,0xf107ffff,0x401bffff,0xffffffa8,0x05ffffd2,0x7ffffec0,
    0xffff5000,0x7fffcc9f,0x6c000004,0x000fffff,0x89fffff5,0x00fffffd,
    0x9fffff50,0x01fffff6,0xffd80000,0x00004fff,0x4fffffd8,0x00000000,
    0xfffd8000,0xffd8006f,0x00004fff,0x56ffffa8,0x200dffff,0xffffffe8,
    0xffffffff,0xfff806ff,0xffffffff,0xffffffff,0xfffb802f,0x800005ff,
    0x002ffffd,0x00fffffa,0x007ffffb,0x07ffffc0,0x3fffe200,0x2a00006f,
    0xd82fffff,0x000fffff,0x29fffff5,0x002ffffe,0x017ffffe,0x3fffff98,
    0x00fffff4,0xffff0000,0x7fcc00bf,0x7ffc3fff,0x3e6005ff,0xffb3ffff,
    0x00000fff,0x3ffffea0,0x5400000f,0x00ffffff,0x55544000,0x4000002a,
    0x005ffffe,0x7fffffd4,0xfffd0000,0x3fffea5f,0x0dffff56,0x7ffff440,
    0xffffffff,0xffa805ff,0xffffffff,0xffffffff,0xffb005ff,0x00007fff,
    0x027fffd4,0x0fffffa0,0x2fffff88,0x3fffa000,0x7fec003f,0x00001fff,
    0x03fffff6,0x017ffffe,0x3fffff98,0x005ffffd,0x17ffffe2,0xfffffb80,
    0x7ffffdc2,0x20022000,0x05fffff8,0x3ffffee0,0x3ffffe22,0x3ffee005,
    0xffffb2ff,0x3000000f,0x07ffffff,0xfff98000,0x00003fff,0x05ffffb8,
    0x3fe60000,0x26004fff,0x03ffffff,0x3ffffe00,0x2dffff50,0x006ffffa,
    0x7fffff44,0x3fffffff,0xfffff900,0xffffffff,0xffffffff,0x3fffe200,
    0xd00003ff,0x8001ffff,0x203ffffe,0x00fffffc,0x3ffff600,0xfffb000f,
    0x018807ff,0xffffff30,0xbfffff10,0x7fffdc00,0x5ffffd2f,0x7ffffc00,
    0xfffa801f,0x7fc40fff,0x4c00efff,0xfff002fc,0xf5003fff,0xf81fffff,
    0x801fffff,0x0ffffffa,0x00fffffb,0x3f260400,0x005fffff,0xfff93020,
    0x0000bfff,0x0bffff60,0xd1015000,0x105fffff,0xfffffc98,0x3e60005f,
    0x3fea5fff,0xffff56ff,0xfffb000d,0xbdffffff,0x7fff4003,0xffffffff,
    0xffffffff,0xff7001ff,0x0005ffff,0x0fffff88,0x99999988,0x313ffffe,
    0xfffffd53,0xffa8000b,0x199bffff,0x6fffffc8,0x00bef980,0x7ffffff7,
    0x3fffffe0,0xffffa801,0xffffd0ff,0x13333337,0xffffffd8,0xeba99acd,
    0x03ffffff,0xdffffff9,0xffd95559,0x3ff6005f,0x9acdffff,0xffffeba9,
    0xfffd83ff,0x99acdfff,0xfffffeba,0x3ffff63f,0x3f600007,0xffffffff,
    0x360000ef,0xffffffff,0x00000eff,0x01fffff0,0xdeeff800,0x5ffffffe,
    0xffffffb0,0x001dffff,0x17fffd40,0x2adffff5,0x4006ffff,0xbacffff8,
    0xf980009b,0x2002ffff,0x04fffffc,0x3fffff20,0x3e20002f,0x19adffff,
    0xfffffffd,0x3fa7ffff,0xffffffff,0xffd80001,0x1fffffff,0x3bfffff2,
    0xffff9800,0xffffeeef,0x3f606fff,0xacdfffff,0xfffeba99,0x3ffa3fff,
    0xffffffff,0x7fffcc3f,0xffffffff,0x4fffffff,0x7ffffdc0,0xffffffff,
    0xff3002ff,0xffffffff,0xffffffff,0x3ffe609f,0xffffffff,0xffffffff,
    0x3ffffec4,0xfffb0000,0x3fffffff,0xfffd8000,0x1fffffff,0xff100000,
    0xf0000bff,0xffffffff,0x3f603fff,0xffffffff,0x7e40001f,0x7ffd47ff,
    0xdffff56f,0xffffa800,0xff700000,0x54001fff,0x006fffff,0x37ffffe4,
    0x3fffe000,0xffd4ffff,0xffffffff,0x3ffffa7f,0x0004ffff,0xffffff30,
    0x3fea3fff,0x3000efff,0xffffffff,0x3fffffff,0x7ffffcc0,0xffffffff,
    0x44ffffff,0xfffffffe,0xf983ffff,0xffffffff,0xffffffff,0xffff5004,
    0xffffffff,0x7cc005ff,0xffffffff,0xffffffff,0x7fffcc04,0xffffffff,
    0xd84fffff,0x0007ffff,0x3fffff60,0x0000dfff,0xffffffd8,0x00000dff,
    0x0ffffe60,0x3fffe000,0x3fffffff,0x3fffff60,0x0000dfff,0x544fffe8,
    0xff56ffff,0xfd800dff,0x200006ff,0x006ffffd,0x0ffffff8,0x77ffe400,
    0x7fdc0000,0xfd4fffff,0xffffffff,0x3fffa7ff,0x0002ffff,0x7ffff4c0,
    0x3ff61fff,0x3e6000ef,0xffffffff,0x802effff,0xfffffff9,0xffffffff,
    0xfffe84ff,0xffffffff,0xfffd7103,0xffffffff,0xea80017f,0xffffffff,
    0x88001cff,0xffffffeb,0x0bffffff,0xfffd7100,0xffffffff,0x3ff6017f,
    0x200007ff,0xfffffffd,0x3f600002,0x02ffffff,0xffb80000,0xf80000ff,
    0xffffffff,0x7ffec00d,0x0002ffff,0x507fffe0,0x3eadffff,0x7c006fff,
    0x00004fff,0x07fffff1,0xfffffb00,0x1ff90007,0x3fee0000,0xffd4ffff,
    0xffffffff,0x3ffffa7f,0x000000ce,0x3fffff6a,0x00077ec1,0x3fffffa2,
    0x03ffffff,0x7fff5c40,0xffffffff,0xfffd00bf,0xffffffff,0xb9953007,
    0x003579bd,0x37b6e600,0x200002ac,0xcdedcca9,0x4c0001ab,0xbcdedcca,
    0xaaa9801a,0x2e00002a,0x001acdee,0xcdeeb800,0x0000001a,0x000f332a,
    0x6f76e540,0xdd7001bc,0x0000359b,0xffff5000,0x1bfffead,0x1ffffa80,
    0xfff50000,0xf70003ff,0x000bffff,0x1000002e,0x55435753,0xaaaaaaaa,
    0x013550aa,0x4c000000,0x000c80aa,0x3bb32e20,0x00009acd,0x6f6e654c,
    0xaa801abc,0xaaaaaaaa,0x000001aa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ea00000,0xfff56fff,
    0x000000df,0x3ffff200,0xfff30007,0x00000fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xab7fffd4,
    0x0006ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2dffff50,0x006ffffa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x79999300,0x00f33326,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x99880000,0x4ccc4009,0x00000019,0xfffff900,0x400001bf,0x0003cccb,
    0x0166edc4,0x00030000,0x00002000,0x44000000,0x00002aaa,0x000000c4,
    0x55555550,0x79999903,0x66664c00,0x5554c01c,0x00555500,0x00000800,
    0x10099998,0x20013333,0x201bcca8,0x33332200,0xcccccccc,0xcccccccc,
    0x266202cc,0x33330099,0x99980003,0x26620999,0x80009999,0x4001dec8,
    0x22000099,0x202fffff,0x01fffffb,0x64000000,0x03ffffff,0xffff8000,
    0x3fee0004,0x000effff,0x3ffb2e60,0x0bceffff,0xedba9800,0x1bdeffff,
    0xfffa8000,0x3fea0004,0x5440005f,0x00004fec,0xfffff900,0x3fffe09f,
    0x3fea006f,0x7dc02fff,0xfffa84ff,0x32a20007,0x0acdfffd,0x7ffe4000,
    0x7fffd44f,0xfffc800e,0x7cc0dfff,0xfffff103,0xffffffff,0xffffffff,
    0x7ff4407f,0x7ffec1ff,0x3f60003f,0xf50dffff,0x009fffff,0x5fffff10,
    0x7fffd100,0xfffd1000,0x3ee05fff,0x0001ffff,0x3ff20000,0x0001efff,
    0x1ffffa80,0xffff5000,0x000bffff,0xffffff91,0x9fffffff,0x7fff4c00,
    0xffffffff,0x20000fff,0x0003fffb,0x0013ffee,0x4fffff98,0xfc800000,
    0x202fffff,0x006fffff,0x0bffffea,0x39ffff50,0x0bffff73,0x3fffee00,
    0x3fffffff,0x7ffe4000,0xffffc8ef,0xffff7005,0x959fffff,0xff107fff,
    0xffffffff,0xffffffff,0x8807ffff,0xe9bffffe,0x0002ffff,0x93fffff2,
    0x2ffffffa,0xffff9000,0xfffd00ff,0x744003ff,0xffffffff,0xfffffb81,
    0x00000001,0x1bfffff9,0x3f200000,0x360006ff,0xffc89eff,0x3ff2000f,
    0xffffffff,0x004fffff,0xfffffff7,0xffffffff,0x7e40001f,0x360002ff,
    0x20003fff,0x04fffff9,0x7fe40000,0x7c00efff,0x2006ffff,0x02fffffa,
    0xffffffe8,0x001fffff,0x7ffffec4,0xffffffff,0x7fdc0005,0x5fffffff,
    0xfffff300,0xffffffff,0xff109fff,0xffffffff,0xffffffff,0x1007ffff,
    0xfffffffd,0x640005ff,0x2a2fffff,0x00dfffff,0x3ffffa00,0x3fe600ff,
    0x1004ffff,0xfd5ffffd,0xffb83fff,0x00001fff,0xffffc800,0x1800003f,
    0x0013fffe,0x7fc2fff8,0xfff5002f,0xffffffff,0x809fffff,0xffffffe9,
    0xffffffff,0x20000fff,0x0001fffe,0x0007fffa,0x4fffff98,0x3f200000,
    0xf003ffff,0x400dffff,0x02fffffa,0xffffff98,0x4004ffff,0xffffffe9,
    0xffffffff,0x2e0000ef,0x5fffffff,0x37ffa200,0xfffffeba,0xff105fff,
    0xffffffff,0xffffffff,0x2007ffff,0xffffffe8,0x3f20002f,0x3ea0efff,
    0x0003ffff,0x7fffffd8,0x7ffffd40,0xfffb005f,0x3fffa23f,0x3fffee0f,
    0x0000001f,0x0d555544,0x76544000,0xffffffff,0x3ffe0001,0x4017ffc2,
    0xfffffff8,0xfffeeeff,0x3fe604ff,0xffffffff,0xffffffff,0x3fe0000f,
    0x544000ff,0x09bffffb,0xffff9800,0x9000004f,0x003fffff,0x037ffffc,
    0x5fffff50,0x3fff6200,0x8002efff,0xfffffffe,0xffffffff,0x540005ff,
    0x004fffff,0xffb84e88,0x200effff,0x99999999,0x9afffffe,0x00999999,
    0x3ffff620,0x3ee0001f,0x7fdc5fff,0x00000eff,0x09fffff3,0xffffff98,
    0xffffd804,0x77fff441,0x3fffff70,0x20000000,0x700000a9,0xffffffff,
    0x0001ffff,0x6cd77fec,0xfd800fff,0x01cfffff,0x6c09b731,0xdfffffff,
    0xf95530ab,0x220001ff,0xb5007fff,0xffffffff,0x4009dfff,0x04fffff9,
    0x00000000,0x01bffffe,0x2fffffa8,0x565d4c00,0xfff50001,0x5137bfff,
    0xfffffff9,0x99880003,0x00200019,0x00015975,0x1fffffb0,0x33300000,
    0x99800013,0x99998199,0xea800001,0xff9004ff,0x00001fff,0x3fffee00,
    0x0000001f,0x3bffff22,0xffb10001,0xffffffff,0x0001dfff,0x3fffffe6,
    0xfff004ff,0x00005fff,0x3fffffea,0x032a002f,0x37ffcc00,0x3ffff660,
    0xffffffff,0x3e6006ff,0x0004ffff,0xeeea8000,0xfffff80e,0x3ffea006,
    0x000002ff,0x3ffffa00,0x3ffe605f,0x00005fff,0x00000000,0x7ffec000,
    0x000000ff,0x00000000,0x00000000,0x001bdd70,0x7fdc0000,0x00001fff,
    0xfffff100,0x98005fff,0xfffffffe,0xffffffff,0xff50000e,0x2009ffff,
    0x07fffff8,0x3fffa000,0x00000eff,0x3fff2600,0xffff700e,0xffffffff,
    0xd70dffff,0xfffddddd,0xdddddfff,0x0000bddd,0xf06fffd8,0x400dffff,
    0x02fffffa,0xf7000000,0x300bffff,0x03ffffff,0x00000000,0x6c000000,
    0x000fffff,0x0000c000,0x00000000,0x00000000,0x7fdc0000,0x00001fff,
    0xdffffb00,0x4001ffff,0xfffffffe,0xffffffef,0x540005ff,0x2a001bcc,
    0x007fffff,0xfffff700,0x8000001f,0xfffffeca,0x3e62efff,0xffffffff,
    0xffffffff,0xfffffc86,0xffffffff,0x6fffffff,0x3fe20000,0xffff03ff,
    0x7fd400df,0x66642fff,0x326003cc,0x7fc1cccc,0xb001ffff,0x009fffff,
    0x3ff72a60,0xc81bdeff,0x2003cccc,0x01ccccc9,0x3fffff60,0x97300000,
    0xdffffffd,0x33320179,0x326003cc,0x0001cccc,0x3fff72a6,0x0001bdef,
    0x77777754,0xeeeeeeee,0x3ffee4ee,0x776401ff,0x1001eeee,0x3ea19fff,
    0xff7003ff,0x7439ffff,0xffffffff,0x79999902,0x66664c00,0xfffff31c,
    0xff00005f,0x000bffff,0x7ffec400,0xffffffff,0x3ffffa3f,0xfffeacff,
    0xc86fdcac,0xffffffff,0xffffffff,0x0006ffff,0x07fffea0,0x037ffffc,
    0x5fffff50,0x06fffff8,0x3ffffea0,0x3ffffea2,0x3ffee006,0x7dc006ff,
    0xffffffff,0x7fc3ffff,0x2a006fff,0x002fffff,0x03fffff6,0xfff91000,
    0xffffffff,0x3ffe09ff,0x3ea006ff,0x8002ffff,0xfffffffb,0x43ffffff,
    0x2e009999,0xffffffff,0xffffffff,0x3ffffee5,0x3fffee01,0x3ea003ff,
    0x2ffec0ff,0xffffff80,0x7ffffcc2,0xff06ffff,0x5400dfff,0xf12fffff,
    0x05ffffff,0x7fffc400,0x000001ff,0xfffffff7,0x7fffffff,0x3fffffea,
    0x207fffa0,0xfffffc81,0xffffffff,0x6fffffff,0x6cd44000,0x3fe06fff,
    0x2a006fff,0x7c2fffff,0x2006ffff,0x22fffffa,0x03fffffb,0x3ffffe20,
    0xfffb1007,0xffffffff,0xfff87fff,0x3ea006ff,0x2002ffff,0x00fffffd,
    0x3ffff200,0xffffffff,0xfff04fff,0x7d400dff,0x2002ffff,0xffffffd8,
    0xffffffff,0x17fffe63,0xffffffb8,0xffffffff,0x3ffee5ff,0xfff501ff,
    0xa8009fff,0x7ff41fff,0xffffb805,0xffffb83f,0x81fffffe,0x006fffff,
    0x8bffffea,0xfffffffe,0xff98002d,0x00005fff,0xffffff70,0xffffffff,
    0x3fffee7f,0x07fffc4f,0xccccca80,0xcefffffd,0x3ccccccc,0x7ff65400,
    0x03ffffff,0x01bffffe,0x2fffffa8,0x037ffffc,0x5fffff50,0x0fffffec,
    0x3ffffa00,0x7ffd400f,0xffffffff,0x7c3fffff,0x2006ffff,0x02fffffa,
    0x3fffff60,0xfff50000,0xffffffff,0x209fffff,0x006fffff,0x0bffffea,
    0x7ffffd40,0xffffffff,0x3fe63fff,0x3fee05ff,0xffffffff,0x25ffffff,
    0x81fffffb,0x5ffffff9,0xdfff8800,0x007fff50,0x20ffffff,0xffcdfffe,
    0xfff84fff,0x3ea006ff,0x3ee2ffff,0xffffffff,0xff5000be,0x00009fff,
    0xffffff10,0xdffff9df,0x3fff67ff,0x3ffe22ff,0xff980007,0x00004fff,
    0x3fffff62,0x0effffff,0x0dfffff0,0x7ffffd40,0x37ffffc2,0xfffff500,
    0x7fffff45,0x7fff4001,0x3fea00ff,0xffffffff,0x3fffffff,0x037ffffc,
    0x5fffff50,0x7fffec00,0xff88000f,0xefffffff,0x4fffffee,0x0dfffff0,
    0x7ffffd40,0xffffa802,0xffffffff,0x2a3fffff,0x2605ffff,0xcccccccc,
    0xfffffccc,0x3ffffee5,0x7ffff441,0x3f60006f,0xffffffff,0x7fffd400,
    0xffff885f,0x6fffff9b,0x06fffff8,0x3ffffea0,0x7ffffec2,0x2dffffff,
    0x7ffffdc0,0xddddd703,0xd81ddddd,0x12ffffff,0x4ae2ffff,0x25fffffd,
    0x0006fffa,0x4fffff98,0xfff50000,0xffffffff,0xff05ffff,0x5400dfff,
    0x7c2fffff,0x2006ffff,0x22fffffa,0x00ffffff,0x7ffffec0,0x3ffffe01,
    0x331bcfff,0xff87ffb5,0x2a006fff,0x002fffff,0x03fffff6,0x3ffff600,
    0x73101cff,0x3fffe09b,0x3fea006f,0xff802fff,0xbcffffff,0x7ffb5331,
    0x02ffffd4,0xffff8800,0x3fffee5f,0x7ffff41f,0x220000ef,0xfffffffe,
    0xffffb802,0xffffb82f,0x1fffffd0,0x06fffff8,0x3ffffea0,0x7ffff442,
    0xffffffff,0xffff902e,0x3fff205f,0x1fffffff,0x3fffffea,0x41bffe61,
    0x3ffffffb,0x0009fff7,0x9fffff30,0xfff70000,0xffffffff,0x81ffffff,
    0x006fffff,0x0bffffea,0x00dfffff,0x17ffffd4,0x00ffffff,0x5fffffb0,
    0x3ffffee0,0x2a8800ef,0x037ffffc,0x5fffff50,0x7fffec00,0xfff8000f,
    0x00002fff,0x00dfffff,0x17ffffd4,0x3ffffee0,0x2a8800ef,0x01bfffea,
    0x7fffc400,0x3fffee5f,0x3ffff61f,0x900000ff,0x003dffff,0x03fffff6,
    0xfd9bfff6,0x7fc1ffff,0x2a006fff,0x902fffff,0xffffffff,0xb09fffff,
    0x203fffff,0xfffffffc,0x3ff21fff,0x7fd44fff,0xffff305f,0xfffddfff,
    0xff300007,0x80009fff,0xfffffff8,0xfffffdbd,0x7ffc6fff,0x3ea006ff,
    0x7fc2ffff,0x2a006fff,0xf12fffff,0x000fffff,0x07fffff9,0xbffffff1,
    0xffff0000,0x7fd400df,0x36002fff,0x000fffff,0x3fffffc4,0xffff0000,
    0x7fd400df,0x3e202fff,0x005fffff,0x37fffdc0,0xfff88000,0x3ffee5ff,
    0xffff71ff,0x000003ff,0xfe800133,0xff887fff,0x3fff23ff,0x7fffc1ff,
    0x3fea006f,0x36602fff,0xffffffff,0x7f45ffff,0xf901ffff,0xffffffff,
    0x7ffff43f,0x27ffdc0f,0xffffffd0,0x005fffff,0xfffff300,0xffc80009,
    0x3fa0efff,0xffffffff,0x1bffffe3,0xfffffa80,0x37ffffc2,0xfffff500,
    0x3ffffe25,0xfffc8007,0xfffc82ff,0xf00007ff,0x400dffff,0x02fffffa,
    0x3fffff60,0x7ffd4000,0x200007ff,0x006fffff,0x0bffffea,0x7fffffc8,
    0xfffb8000,0xf100006f,0x7dcbffff,0xffa9ffff,0x0001ffff,0x00cccc40,
    0x1fffffe0,0xc87fffea,0x7c2fffff,0x2006ffff,0x02fffffa,0xfffffc88,
    0x23ffffff,0x02fffffd,0xfffffff9,0x7ffc3fff,0xfffc86ff,0x3fffe602,
    0xffffffff,0x3e60001c,0x0004ffff,0x3bffffe2,0x37fffe20,0x3e5fffff,
    0x2006ffff,0x42fffffa,0x006fffff,0x8bffffea,0x00ffffff,0x7ffffec0,
    0x7ffffc41,0xff00003f,0x5400dfff,0x002fffff,0x03fffff6,0xfffff300,
    0x3e00005f,0x2006ffff,0x02fffffa,0x7ffffff1,0xfff70000,0x220000ff,
    0x2e5fffff,0xffafffff,0x0002ffff,0x7fff6544,0x02dfffff,0x437ffffc,
    0x7dc6fffd,0x7fc3ffff,0x2a006fff,0x002fffff,0x7ffffecc,0xff90ffff,
    0x5c007fff,0xf11fffff,0xfb0bffff,0xffa803ff,0xffffffff,0x8001efff,
    0x04fffff9,0x3ffff200,0x7fffdc2f,0x0fffffe8,0x00dfffff,0x17ffffd4,
    0x01bffffe,0x2fffffa8,0x03fffffa,0xfffffb00,0xfffff981,0xff00000f,
    0x5400dfff,0x002fffff,0x03fffff6,0xfffff100,0xf00005ff,0x400dffff,
    0x02fffffa,0x1ffffff3,0xfff70000,0x220000ff,0x2e5fffff,0xffffffff,
    0x40003fff,0xfffffffb,0xefffffff,0xfffff882,0x44ffff85,0x43fffffa,
    0x006fffff,0x0bffffea,0x7ffec400,0xff73ffff,0x5c009fff,0xf31fffff,
    0xfd0bffff,0xfb1001ff,0xffffffff,0x0019ffff,0x27ffffcc,0xffffb000,
    0x2bfffd0d,0xf2fffffa,0x400dffff,0x41fffffb,0x006fffff,0x8bffffea,
    0x01fffffe,0x3fffff40,0x2fffffd4,0xffff0000,0x7fd400df,0x36002fff,
    0x000fffff,0xffffffe8,0x3e0002df,0x2006ffff,0x02fffffa,0x0bfffff5,
    0x3fff2000,0xf100007f,0x7dcbffff,0xffffffff,0x640002ff,0xffffffff,
    0xffffffff,0x7ffffc41,0x0ffffd46,0x0fffffea,0x00dfffff,0x17ffffd4,
    0x3ffee000,0xfff34fff,0x7dc00dff,0xff31ffff,0xfff0dfff,0xffda800f,
    0xffffffff,0xf3000eff,0x0009ffff,0x227ffff4,0xf32ffff9,0x3fa7ffff,
    0x32006fff,0x7c0fffff,0x2006ffff,0x22fffffa,0x02fffffd,0x3fffffc0,
    0x27ffffdc,0xffff0000,0x7fd400df,0x36002fff,0x000fffff,0xffffffb8,
    0x000befff,0x037ffffc,0x5fffff50,0x3ffffee0,0xff900004,0x20000fff,
    0x25fffff8,0xfdfffffb,0x001fffff,0x3fffff20,0xffffffff,0x7fc0efff,
    0x7fe46fff,0xffffb87f,0x7ffffc2f,0x3ffea006,0xe80002ff,0xf16fffff,
    0x003fffff,0x47ffffee,0x0ffffff8,0x001bffe2,0x7ffffec4,0x05ffffff,
    0x9fffff30,0x7fffc000,0x7fffe43f,0x9fffff10,0x01fffff6,0x87ffffc8,
    0x006fffff,0x8bffffea,0x05fffffc,0x3ffffe60,0xfffffd86,0x3fe00003,
    0x2a006fff,0x002fffff,0x03fffff6,0x7fffec00,0xdfffffff,0xfffff002,
    0x7ffd400d,0xfffb02ff,0x200007ff,0x007ffffc,0xfffff100,0x7ffffdcb,
    0xefffffd9,0xbff90000,0x32621357,0x43ffffff,0x7c7fffff,0xffc84fff,
    0x7ffc2fff,0x3ea006ff,0x0002ffff,0x5fffffb8,0x13fffffe,0x7ffffdc0,
    0x3fffffe1,0x017ffe62,0xfffffd80,0x3fffffff,0xfffff980,0xfff10004,
    0xfffe85ff,0xa7ffffc5,0x01fffffc,0x0fffffd0,0x00dfffff,0x17ffffd4,
    0x0ffffff5,0x7ffffe40,0xfffffe83,0x3fe00002,0x2a006fff,0x002fffff,
    0x03fffff6,0x7fff4400,0xffffffff,0x7ffc02ef,0x3ea006ff,0xfd02ffff,
    0x0005ffff,0x3fffff60,0xff880000,0x3fee5fff,0xfff89fff,0x50005fff,
    0x3fee0017,0x7ff45fff,0x3ffe67ff,0xffffc82f,0x7ffffc1f,0x3ffea006,
    0xc80002ff,0x323fffff,0x00ffffff,0x1fffffb8,0x93fffffa,0x0004fffb,
    0x3eebfffa,0x05ffffff,0x6fffff88,0xffff3000,0x7fffcc5f,0xa7ffffc2,
    0x05fffffb,0x4fffffa8,0x06fffff8,0x3ffffea0,0x7fffffc2,0xffff8802,
    0xfffff07f,0x7c00003f,0x2006ffff,0x02fffffa,0x3fffff60,0x7fe40000,
    0xffffffff,0x3fe04fff,0x2a006fff,0xf02fffff,0x003fffff,0x3ffff600,
    0xf880000f,0x3ee5ffff,0xff31ffff,0x0009ffff,0x3fffa000,0x7fffec6f,
    0x0ffff90f,0x21fffff6,0x006fffff,0x4bffffea,0xffd10001,0x7fc43fff,
    0x401fffff,0x21fffffb,0x5ffffffc,0x0007fff9,0xfb07fffc,0x200fffff,
    0x00ffffff,0xfffff980,0x11ffff23,0x267fffff,0x03ffffff,0x3fffffa6,
    0x6fffff80,0x3fffea00,0x7fffe42f,0x7ff401ff,0xfff04fff,0x00005fff,
    0x037ffffc,0x5fffff50,0x7fffec00,0xd980000f,0xffffffff,0xff05ffff,
    0x5400dfff,0xf02fffff,0x005fffff,0x3ffff600,0xf880000f,0x3ee5ffff,
    0x3ee1ffff,0x002fffff,0xfffd8000,0x7fffe47f,0x0bfffd3f,0x0bfffff1,
    0x00dfffff,0x97ffffd4,0xa800bdfd,0x0ffffffe,0x7fffffd4,0xfff701bf,
    0x7ffc43ff,0xffddffff,0x009b512f,0xfa8ffff1,0x800fffff,0x03fffffe,
    0xfffff880,0x317fffa4,0x6c5fffff,0xbdffffff,0xffffca9a,0xffff05ff,
    0x7fd400df,0x7fcc2fff,0x40afffff,0xffffffd9,0xfffffd00,0x7fc00007,
    0x2a006fff,0x002fffff,0x03fffff6,0xffc88000,0xffffffff,0xfffff83f,
    0x3ffea006,0xfffd02ff,0x200007ff,0x01fffffd,0xffff8800,0x3fffee5f,
    0x7fffec1f,0x000001ff,0x07ffffe4,0x3dfffff3,0xf705ffff,0xff07ffff,
    0x5400dfff,0xfb2fffff,0x99bdffff,0xfffffdd9,0x3ffa09ff,0xefffffff,
    0xfffffecc,0x7fffdc1f,0xefffffff,0x9804fffe,0x7fc46fff,0xfb007fff,
    0x237fffff,0xff04b998,0x3fe6bfff,0x7ffdc2ff,0x3ffe21ff,0xffffffff,
    0x0fffffff,0x0dfffff0,0x7ffffd40,0xfffffd82,0xfffdefff,0x204fffff,
    0x03fffffd,0x3fffe000,0x3fea006f,0x36002fff,0x000fffff,0xfffb3000,
    0x81ffffff,0x006fffff,0x0bffffea,0x1fffffec,0xfffe8000,0x880001ff,
    0x2e5fffff,0x441fffff,0x0fffffff,0x5d4cc000,0xffffeccc,0x7ffffc0f,
    0x80ffffdf,0x80fffffe,0x006fffff,0x4bffffea,0xfffffffd,0xffffffff,
    0x3e605fff,0xffffffff,0xffffffff,0x7ff441ff,0xffffffff,0x804fffff,
    0x7cc5fffa,0x5005ffff,0xffffffff,0x20dfffff,0xc8fffffe,0xffe87fff,
    0x7fdc0fff,0xffffffff,0x01ffffff,0x01bffffe,0x2fffffa8,0xfffffe88,
    0xffffffff,0x7e404fff,0x0004ffff,0x1bffffe0,0xfffffa80,0x3fff6002,
    0x000000ff,0x7ffffec4,0x7fffc3ff,0x3fea006f,0xff902fff,0x00009fff,
    0x07fffffa,0x3ffe2000,0x3ffee5ff,0xfffa81ff,0xa8006fff,0xfffffffd,
    0x0fffffff,0x7fffffec,0xffc85fff,0xfff04fff,0x7d400dff,0xffb2ffff,
    0xffffffff,0xdfffffff,0xfffd8801,0xffffffff,0x01ffffff,0xfffffffb,
    0x9fffffff,0x7ffdc06e,0x7fffff44,0x3fff6003,0xffffffff,0xffff706f,
    0x89ffff9f,0x04fffffa,0xffffffd3,0x3dffffff,0x6fffff80,0x3fffee00,
    0xfffd101f,0xffffffff,0xf700bfff,0x000dffff,0x37ffffc0,0xfffff700,
    0x7ffec003,0x000000ff,0xffffff70,0x6fffff89,0x3fffee00,0xffff701f,
    0x3a0000df,0x001fffff,0xfffff880,0x3ffffee5,0xfffff901,0x3faa009f,
    0xffffffff,0x0fffffff,0x7fffffcc,0x7fdc3fff,0xff00ffff,0x5c00dfff,
    0xfb1fffff,0xffffffff,0x9fffffff,0x7ffdc001,0xffffffff,0x200effff,
    0xfffffffb,0xd4ffffff,0xfb1379ff,0xfff735ff,0x4003ffff,0xffffffe8,
    0x106fffff,0xffffffff,0x7ffd45ff,0x32200fff,0xfffffffe,0xffd001df,
    0x7e400dff,0x2200ffff,0xfffffffd,0x004fffff,0x5ffffff5,0x3ffa0000,
    0x3f2006ff,0x2000ffff,0x00fffffd,0x3fa00000,0x7f46ffff,0x32006fff,
    0x500fffff,0x05ffffff,0xffffd000,0xf100005f,0x7dcbffff,0x3a01ffff,
    0x03ffffff,0x7fffffd4,0xffffffff,0xfc80ffff,0xcfffffff,0xffffffdb,
    0x3fffa03f,0x3ff2006f,0xfb930fff,0xffffffff,0x00017dff,0x3ffffb22,
    0x1befffff,0x3fff6a00,0x21ceffff,0xfffffffe,0xffffffff,0x0003ffff,
    0xffffffd5,0x7e40bfff,0xffffffff,0xfffffca9,0x7ecc004f,0x6c004fff,
    0x2007ffff,0x007ffffc,0xffffff91,0x4c0017df,0x05ffffff,0xffffb000,
    0x7ffe400f,0x0000007f,0xffb80000,0x7fec5fff,0x3f2007ff,0x3e607fff,
    0x005fffff,0xffffff80,0xff880002,0x3fee5fff,0x3e201fff,0x01ffffff,
    0xfffffff3,0xfb55579d,0xd101ffff,0xffffffff,0xffffffff,0xffffd80d,
    0x3fff2007,0x2aaa607f,0x00019acb,0x35775100,0xfb800013,0x7ff404ff,
    0xffffffff,0xffffffff,0xa9880004,0x8801aabb,0xfffffffe,0xffffffff,
    0x7cc000ff,0xc8005fff,0x001fffff,0x00bffffd,0x0dffffb0,0x7fffec00,
    0xc80002ff,0x001fffff,0x00bffffd,0x00000000,0x7fffff90,0x1fffffc8,
    0xbffffd00,0xfffffd80,0x7fc0002f,0x0002ffff,0x4fffff88,0x07ffffee,
    0xffffff50,0xffffd01f,0x7fe403bf,0xfd100fff,0xffffffff,0x00bfffff,
    0x03fffff9,0x17ffffa0,0x00000000,0xf9000000,0xffe805ff,0xffffffff,
    0x4fffffff,0x00000000,0x3fffffe6,0xffffffff,0xfe8000ef,0xb8000fff,
    0x805fffff,0x04fffffa,0xfffffb80,0xfff30000,0x4007ffff,0x7fffdc18,
    0xfffa805f,0x544004ff,0x18002aaa,0xfffd1000,0xfffb83ff,0xffa805ff,
    0x7cc04fff,0x03ffffff,0xffff8620,0x980002ff,0x003fffff,0xff880000,
    0x6400ffff,0x200fffff,0xffffffe8,0x03ffffff,0xbfffff70,0xfffff500,
    0x55544009,0x2200002a,0x0002aaaa,0x00fffec0,0x3ffffffa,0xffffffff,
    0x440000cf,0x0002aaaa,0x7ffffec4,0x4fffffff,0xffff5000,0x3fe60009,
    0x2603ffff,0x01fffffe,0xfffffa80,0xfd802a04,0xadffffff,0x43fdb880,
    0x3ffffff9,0x3ffffa60,0x7fdc001f,0xfd8005ff,0xfea800bd,0x4c0fffff,
    0x03ffffff,0x3fffffa6,0xffffd801,0x880adfff,0x2aaa3fdb,0x80000aaa,
    0x02fffffa,0xf9800000,0xd804ffff,0x400fffff,0xfffffffd,0x2001deff,
    0x3ffffff9,0x3ffffa60,0x3fee001f,0x200005ff,0x005ffffb,0x07fff400,
    0x76e54c40,0x9bceffff,0xff700000,0x10000bff,0xffffffff,0x40005bdf,
    0x003ffffc,0x3fffff20,0xfca9abdf,0x004fffff,0xffffff10,0x9fb5113b,
    0x7ffffc40,0xeeffffff,0xc83fffff,0xbdffffff,0xffffca9a,0xfd8004ff,
    0xd8002fff,0xcdefffff,0xffffeecc,0xff904fff,0x357bffff,0xffffff95,
    0x3ffe2009,0xffffffff,0x3fffffee,0xfb000000,0x2001ffff,0x002aaaa8,
    0xbfffff50,0xfffffc80,0x3ffe200f,0x009bbacf,0x3ffff200,0xca9abdff,
    0x04ffffff,0x17fffec0,0xfffb0000,0xf800005f,0x320007ff,0x00003fff,
    0x0bffff60,0x3ffea000,0x0009bcbf,0xdffffb00,0xf8800537,0xffffffff,
    0xffffffff,0x7fec0006,0xffffffff,0x3ee02fff,0xffffffff,0xffffffff,
    0xfffff883,0xffffffff,0x0006ffff,0x001ffffd,0xffffffb0,0xffffffff,
    0x440bffff,0xffffffff,0xffffffff,0x7fdc006f,0xffffffff,0x3fffffff,
    0x20031000,0x07fffff9,0x17fffee0,0x7fffcc00,0xfffb00ff,0x5401ffff,
    0x0000ffff,0x7ffffc40,0xffffffff,0x8006ffff,0x000ffffe,0x3ffffa00,
    0x3e200000,0x360006ff,0x00002fff,0x03ffffa0,0x3fff6000,0x2e000006,
    0x7fffffff,0xffffb800,0xffffffff,0x0001ffff,0x7fffffc4,0xefffffff,
    0x3fffa600,0xffffffff,0xf703ffff,0xffffffff,0x3fffffff,0xffff1000,
    0x3ff6000d,0xffffffff,0xefffffff,0x7fffdc00,0xffffffff,0x8001ffff,
    0xffffffe9,0xffffffff,0xdf30003f,0x3ffee017,0x36003fff,0x0002ffff,
    0xdffffff1,0xfffd7117,0x401fffff,0x0006fffd,0xfffff700,0xffffffff,
    0x88003fff,0x0006ffff,0x1bfffe20,0xfff30000,0x7ff4000b,0x1000001f,
    0x000dffff,0x07ffff10,0x7fc40000,0x007fffff,0xfffffd30,0xbfffffff,
    0x3ea00001,0xffffffff,0xc801efff,0xffffffff,0x03ffffff,0x3fffffa6,
    0xdfffffff,0xfff30000,0x3f60007f,0xffffffff,0xcfffffff,0xfffd3000,
    0xffffffff,0xc80001bf,0xffffffff,0x03ffffff,0xfffff300,0xfffffddd,
    0xfe800dff,0x20000fff,0xfffffffd,0xffffffff,0x3e00ffff,0x00004fff,
    0x3ffffa60,0xffffffff,0xff98000d,0x200003ff,0x003ffff9,0x27ffdc00,
    0x1ffff000,0x3e600000,0x80003fff,0x000ffffa,0x7ff4c000,0x40007fff,
    0xffffffeb,0x00002dff,0xfffffc88,0x4003ffff,0xfffffdc9,0x000bdfff,
    0xffffffd7,0x80005bff,0x001ffffb,0xffffb930,0xdfffffff,0x3ae00017,
    0xffffffff,0x2600002d,0xffffffdc,0x0000bdff,0x3fffffe6,0xffffffff,
    0x3fe2001f,0x440006ff,0xffffffff,0xffafffff,0xff500fff,0x000003ff,
    0xfffffd70,0x0005bfff,0x00ffffdc,0xffff7000,0xfc800003,0xf10003ff,
    0x00000fff,0x00ffffdc,0x37ffec00,0x53000000,0x00001557,0x004ddd4c,
    0xca880000,0x000acded,0x09aa9880,0xbba98000,0x2a000009,0x00004ccc,
    0x2b2eaaa6,0x98000019,0x00009bba,0x35531000,0x7cc00001,0xffffffff,
    0x002effff,0x01ffffcc,0x7fffdc00,0x1fffffff,0x001ffffd,0x40000000,
    0x0009bba9,0x09999500,0xccca8000,0xec800004,0xd30001ee,0x000009dd,
    0x00266654,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffe88000,0xffffffff,0xff70003f,
    0x200003ff,0xffffffe8,0x3fffa0cf,0x0000000f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x6f7665c4,
    0x200009ac,0x0004ccca,0x1abb9880,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4ccccc00,0x26666209,0x99800099,
    0x00000099,0xeeeeeec8,0x33100003,0x64c33333,0x0001cccc,0x66666400,
    0x00001ccc,0x00333310,0x33333332,0x009abccc,0x2aaa8800,0x00355530,
    0x2a00ddcc,0x7100002c,0x000059bb,0x01999880,0x4cccc000,0x66654000,
    0xcccccccc,0x03cccccc,0xdeeeeb80,0x2aa60000,0x0555500a,0x5e654400,
    0x4c000201,0x165401bb,0x99998000,0x3332e000,0x97000ccc,0xb0003999,
    0x21bfffff,0x4ffffffa,0x7ffec400,0x000002ff,0x3ffffff6,0xff100003,
    0x545fffff,0x003fffff,0x3ffe2000,0x004fffff,0xffffa800,0xffff805f,
    0xffffffff,0x20002eff,0xf80ffff8,0xf5002fff,0xfd105fff,0xb8000bff,
    0x0effffff,0xffa80000,0x80005fff,0x2fffffd8,0x3ffff600,0xffffffff,
    0x005fffff,0x7fffffdc,0xff70000e,0xffff509f,0x3fff2000,0x7cc0dfff,
    0x7ffd4003,0xfffe882f,0x3f620005,0xb002ffff,0x07ffffff,0x0bffffa0,
    0xfffff900,0x7ffffd49,0x7f44002f,0x02ffffff,0xfffd8000,0x00001eff,
    0xdffffff1,0xfffffa81,0x2e000003,0xffffffff,0x7dc00006,0x05ffffff,
    0x7ffffffc,0xffffffff,0xff0001ff,0xfb535dff,0x3e001fff,0xfc87ffff,
    0x0002ffff,0xfffffff5,0xb80000bf,0x5fffffff,0x3ffa2000,0x002fffff,
    0xfffffffb,0xffffffff,0x7e400bff,0xefffffff,0xfffa8000,0xfffb99cf,
    0xffb8005f,0xcfffffff,0x003fffca,0x21fffffe,0x02fffffc,0xffffe880,
    0xfd802fff,0x00ffffff,0x02ffffe8,0x3fffff20,0x3ffffea2,0x7f44000d,
    0xffffffff,0x3f600003,0x0005ffff,0x3ffffa20,0xffff504f,0x4000007f,
    0xfffffffd,0x700000ff,0xffffffff,0x3ffe01df,0xffffffff,0x0fffffff,
    0xffffb800,0x5fffffff,0xfffff100,0xffffd81f,0xffb0003f,0x1fff913d,
    0x3fee0000,0xefffffff,0x7ff44000,0x3fffffff,0xfffffd80,0xffffffff,
    0x9005ffff,0xff7bffff,0xd0003fff,0xffffffff,0x98003fff,0xffffffff,
    0xffffffff,0xffff1004,0xfffd81ff,0x744003ff,0xffffffff,0x7ffec03f,
    0xe803ffff,0x9002ffff,0x541dffff,0x003fffff,0xbffffe88,0x03ffffe8,
    0xffffd800,0x2200002f,0x02fffffe,0x0fffffea,0xfff80000,0x3fffffff,
    0xfffc8000,0xffffc8df,0xfffff80e,0xffffffff,0x00efffff,0xfffffd80,
    0x000effff,0x21fffffe,0x02fffffc,0xf85fff00,0xc80002ff,0xfc8dffff,
    0x1000efff,0xd17ffffd,0xd807ffff,0xffffffff,0xffffffff,0xfffc805f,
    0x3fffe64f,0x7fcc001f,0xffffffff,0xffe88004,0xffffebad,0x4005ffff,
    0xc87fffff,0x002fffff,0x2fffffa2,0x03ffffe8,0x3ffffff6,0x7ff400ff,
    0xffb802ff,0x7ffdc5ff,0xe88000ef,0x7ec1efff,0x20003fff,0x00aaaaa8,
    0x3ffa2000,0x7d400dff,0x0003ffff,0xfffff500,0x00bfffff,0x3ffffc80,
    0x077fffd4,0x27bffffe,0xfffda999,0x0002ffff,0xfffffff7,0xfff70009,
    0xffff107f,0x7ffc000d,0x0017ffc2,0x0fffff20,0x01dffff5,0x1efffe88,
    0x01ffffec,0x35fffffb,0x33333333,0xaa880133,0xaaa881aa,0xfd88002a,
    0x02efffff,0x2e13a200,0x0effffff,0x7fffdc00,0x6ffff883,0x3fffa200,
    0x7fffec1e,0xfffffb03,0xfe809fff,0x99802fff,0x99998199,0x26620001,
    0x33330099,0x00000003,0x99998800,0xffff5001,0x2000007f,0xfeeffffc,
    0x40007fff,0x31009999,0xfff81333,0x3fe205ff,0x0004ffff,0x026f2a62,
    0x02dda800,0x00033b22,0xd9aeffd8,0x40000fff,0x31009999,0x98801333,
    0x33300999,0x7ffec033,0x000000ff,0x30000000,0x00035975,0x59750020,
    0x6ed40001,0x033b2202,0x09999880,0x20333330,0xfffffffd,0x3ffa00ff,
    0x000002ff,0x00000000,0x99999880,0x00999999,0x50000000,0x007fffff,
    0x3fffe000,0xfffffcbf,0x00000002,0x0bfffff0,0x6fffffa8,0x00000000,
    0x80000000,0xfffffff9,0x0000004f,0x00000000,0x1fffffb0,0x26620000,
    0x00000199,0x00000000,0x00000000,0x00000000,0x3fffff60,0x3a04ffff,
    0x0002ffff,0x00000004,0x3f600018,0xffffffff,0x000006ff,0xfffa8006,
    0x800003ff,0xa9fffff9,0x004fffff,0xf8004000,0x4405ffff,0x007fffff,
    0x00000400,0x40000010,0x4ffffffa,0x00000000,0x00008000,0x01fffffb,
    0x3fff6000,0x0000007f,0x00000010,0x00000004,0x00000000,0xfffffd80,
    0xd00fffff,0x4005ffff,0xdfffeca8,0x200000ac,0xffffecb9,0x400bceff,
    0xfffffffd,0x0006ffff,0xfffecb98,0x40bcefff,0x03fffffa,0xfffb8000,
    0xfffff17f,0x2a60000d,0xeffffedb,0x7fffc1bd,0xffff805f,0x7530007f,
    0xbdffffdb,0xca880037,0x0acdfffe,0x66540000,0x2000001b,0xffffdca9,
    0x22001bde,0xcdfffeca,0xfffd800a,0xb00000ff,0x000fffff,0xfd951000,
    0x00159bff,0xffd95100,0x400159bf,0x003ccccc,0x07333326,0x00799999,
    0x8e66664c,0xffcffffd,0xffd04fff,0x3ee005ff,0xffffffff,0x440003ff,
    0xfffffffc,0x04ffffff,0x7fffffec,0x006fffff,0x3ffff220,0xffffffff,
    0x7fffd44f,0xe800003f,0x3f65ffff,0x0000ffff,0x3fffffa6,0xffffffff,
    0xbfffff0f,0xfffff980,0x7ff4c006,0xffffffff,0xb800ffff,0xffffffff,
    0x80003fff,0xcccccccc,0x3ee00001,0xffffffff,0xb803ffff,0xffffffff,
    0x7ec03fff,0x0000ffff,0x0fffffb0,0xffb80000,0xffffffff,0x3ee0003f,
    0xffffffff,0xfff003ff,0x7d400dff,0x7fc2ffff,0x2a006fff,0xfb2fffff,
    0xfffb7fff,0xfffd01ff,0xffd8805f,0xffffffff,0x90005fff,0xffffffff,
    0x9fffffff,0xfffffd80,0x06ffffff,0xfffff900,0xffffffff,0xfffa89ff,
    0x400003ff,0x22fffff8,0x03fffffb,0xfffff700,0xffffffff,0x3ffe1fff,
    0x7fe405ff,0x2e004fff,0xffffffff,0xffffffff,0x3fff6200,0xffffffff,
    0x220005ff,0xffffffff,0xfd880004,0xffffffff,0x203fffff,0xffffffd8,
    0x5fffffff,0x3fffff60,0xffb00000,0x00000fff,0x3fffff62,0xffffffff,
    0x7fec4005,0xffffffff,0xff805fff,0x2a006fff,0x7c2fffff,0x2006ffff,
    0xb2fffffa,0xff17ffff,0xffd09fff,0x7fcc05ff,0xffffffff,0x0effffff,
    0x3fffea00,0xffffffff,0x5404ffff,0xffaaaaaa,0xa8006fff,0xffffffff,
    0xffffffff,0x7ffffd44,0x7d400003,0x3e60ffff,0x4005ffff,0xffffffe9,
    0xffffffff,0xffff0fff,0x7ffdc0bf,0xe9801fff,0xffffffff,0xffffffff,
    0xffff300f,0xffffffff,0x001dffff,0xffffff70,0xa8000dff,0xffffffff,
    0xffffffff,0xfffff303,0xffffffff,0xfb01dfff,0x3335ffff,0x33333333,
    0x3ffffec0,0x7fcc0000,0xffffffff,0x0effffff,0xfffff980,0xffffffff,
    0x3e00efff,0x2006ffff,0x42fffffa,0x006fffff,0x4bffffea,0xfb3ffffd,
    0xfe81ffff,0x3fa02fff,0xffffffff,0xffffffff,0xffff1005,0xdddfffff,
    0x009fffff,0x37ffffc0,0x3fffe200,0xeeefffff,0x544fffff,0x003fffff,
    0x7fffe400,0xffffff86,0xffff3000,0xffffffff,0x1fffffff,0x27bffffe,
    0xfffeba99,0xf9804fff,0xffffffff,0xffffffff,0xfffd00ff,0xffffffff,
    0x0bffffff,0xfffffb00,0x0001ffff,0x3fffffea,0xffffffff,0xffd03fff,
    0xffffffff,0xbfffffff,0xffffffb0,0xffffffff,0x3f601fff,0x00007fff,
    0xffffffe8,0xffffffff,0xfe805fff,0xffffffff,0xffffffff,0x3ffffe05,
    0x3ffea006,0x7fffc2ff,0x3fea006f,0xfffb2fff,0x3fffe67f,0x7ffff44f,
    0xfffff702,0xf95137bf,0x03ffffff,0xffffffb0,0x36e62039,0x3ffe0004,
    0x7ec006ff,0x01cfffff,0xfa89b731,0x0003ffff,0x27ffffc0,0x17ffffe4,
    0xfffffd80,0x530abdff,0x3e1fff95,0xffffffff,0xffffffff,0xffffb004,
    0x2157bfff,0x0fffcaa9,0xffffffb8,0xffca89bd,0x001fffff,0x7ffffffc,
    0xf0003fff,0x9fffffff,0x3f6a6637,0xffffb83f,0xca89bdff,0x1fffffff,
    0x7fffffec,0xffffffff,0xffb00fff,0x80000fff,0xdffffffb,0xfffca89b,
    0x2e01ffff,0xbdffffff,0xffffca89,0xfff01fff,0x7d400dff,0x7fc2ffff,
    0x2a006fff,0xfb2fffff,0x7fec7fff,0x3ffa0fff,0xfff882ff,0x3e604fff,
    0x805fffff,0x02ffffff,0x3fe00000,0x7c006fff,0x002fffff,0x7ffffd40,
    0x3e600003,0xfa81ffff,0xa804ffff,0x2fffffff,0x7fc32a00,0xffffffff,
    0x02efffff,0xffffff50,0x0654005f,0x3fffffe2,0x3fffe604,0x3ea005ff,
    0xffffffff,0xffb8005f,0x800effff,0x7ffc42a8,0x3e604fff,0x6c5fffff,
    0xffffffff,0xffffffff,0xffffb00f,0x7c40000f,0x204fffff,0x5ffffff9,
    0xffffff10,0x7fffcc09,0xffff05ff,0x7fd400df,0x7ffc2fff,0x3ea006ff,
    0xffb2ffff,0x7ffcc7ff,0x3fffa4ff,0xffffb82f,0xfff9805f,0x3e200fff,
    0x0007ffff,0x7fffc000,0x3fe2006f,0x80007fff,0x03fffffa,0x3fff2000,
    0xffff107f,0xfffd00ff,0x80001dff,0xffffffff,0x00efffff,0x7fffff40,
    0xf700000e,0x300bffff,0x01ffffff,0x3bffff20,0x007ffffe,0x7fffffc4,
    0xffb80005,0xf9805fff,0x360fffff,0xffffffff,0xffffffff,0xffffb00f,
    0x8006660f,0x05fffffb,0xffffff98,0xfffffb80,0xffff9805,0xffff80ff,
    0x3fea006f,0x7ffc2fff,0x3ea006ff,0xffb2ffff,0xfffd87ff,0xffffd0ff,
    0xfffff885,0xfffb000f,0x7fd409ff,0x00007fff,0x7ffffc00,0x3ffea006,
    0xa80007ff,0x003fffff,0x3ffffa00,0x3ffffa05,0x3ffee01f,0x80000fff,
    0xffffffff,0x1effffff,0xfffff700,0x2200001f,0x00ffffff,0x9fffffb0,
    0x3ffffe00,0x2fffffcb,0x3ffff200,0xf880007f,0x000fffff,0x49fffffb,
    0xccfffffd,0xcccccccc,0xfffb00cc,0x7ffe44df,0x3e202eff,0x000fffff,
    0x89fffffb,0x0ffffff8,0xfffffb00,0xdfffff09,0x7fffd400,0x7ffffc2f,
    0x3ffea006,0xffffb2ff,0xfffff987,0x85ffffd4,0x06fffffa,0x3ffffee0,
    0x3fffe606,0x000002ff,0x1bffffe0,0xfffff980,0x7d40002f,0x0003ffff,
    0x7fffff10,0x7ffffe40,0x3ffffe03,0xff00005f,0xfb75dfff,0x00dfffff,
    0x17fffffe,0xfffa8000,0x3ee006ff,0x9806ffff,0xfa9fffff,0x1004ffff,
    0x07ffffff,0xffff5000,0x7fdc00df,0x3ff66fff,0x00000fff,0x2adffffb,
    0xffffffff,0xffff504f,0x7fdc00df,0x7fd46fff,0x2e006fff,0xf86fffff,
    0x2006ffff,0x42fffffa,0x006fffff,0x4bffffea,0xd83ffffd,0xfe9fffff,
    0x7fe42fff,0x22003fff,0x207fffff,0xfffffff8,0xf0000002,0x400dffff,
    0xfffffff8,0x3fea0002,0x00003fff,0x03fffff7,0x37ffffcc,0xffffff88,
    0xfff00001,0xfff98bff,0x7c404fff,0x001fffff,0x3ffff200,0x3fe2003f,
    0xfb807fff,0xfff17fff,0x3e600dff,0x000fffff,0xfffffc80,0x3ffe2003,
    0x3fff67ff,0xb00000ff,0xff7bffff,0xffffffff,0xffff909f,0x7fc4007f,
    0x7fe47fff,0x22003fff,0xf87fffff,0x2006ffff,0x42fffffa,0x006fffff,
    0x4bffffea,0x983ffffd,0xfecfffff,0x7fec2fff,0x74001fff,0x7407ffff,
    0xdfffffff,0x7c000002,0x4006ffff,0xfffffffe,0xffa8002d,0x00003fff,
    0xddfffffb,0xffdddddd,0xf301ffff,0x000bffff,0x2fffffc0,0x7fffffd4,
    0x3fffe601,0x6c00005f,0x001fffff,0x03fffff4,0xb2fffff4,0x001fffff,
    0x0bfffff5,0x3fff6000,0x7f4001ff,0x3ff67fff,0x00000fff,0xfffffffb,
    0xffffffff,0xffd81fff,0x74001fff,0x7ec7ffff,0x4001ffff,0xf87ffffe,
    0x2006ffff,0x42fffffa,0x006fffff,0x4bffffea,0xb03ffffd,0xffffffff,
    0xffff85ff,0x7f4001ff,0x2e00ffff,0xffffffff,0x00000bef,0x06fffff8,
    0x7ffffdc0,0x00beffff,0x7fffff50,0x3ffe0000,0xffffffff,0xffffffff,
    0xffffa82f,0x3e00004f,0xfb05ffff,0x540bffff,0x004fffff,0x7ffffc00,
    0x7ff4001f,0x3e200fff,0x3ee2ffff,0xb803ffff,0x004fffff,0xffffff00,
    0xfffe8003,0xffffb0ff,0x3600001f,0xffffffff,0xfffffdff,0x7fffc4ff,
    0x7f4001ff,0x3fe0ffff,0x4001ffff,0x40fffffe,0x006fffff,0x0bffffea,
    0x00dfffff,0x97ffffd4,0x303ffffd,0xffffffff,0xffff85ff,0x7ec000ff,
    0x6c01ffff,0xffffffff,0x0002dfff,0x1bffffe0,0x3ffff600,0xdfffffff,
    0x7fffd402,0xfa80003f,0xffffffff,0xffffffff,0xffb85fff,0xdd703fff,
    0xdddddddd,0x17ffffe1,0x7fffffcc,0xfffff700,0x3bbbae07,0x20eeeeee,
    0x00ffffff,0x7ffffec0,0x3fffea01,0x3fffe60f,0xfffd805f,0xf00003ff,
    0x001fffff,0x1fffffd8,0x01fffffb,0x3fff6000,0x5c3effff,0x7c6fffff,
    0x000fffff,0x0fffffec,0x01ffffff,0xfffffd80,0x37ffffc1,0xfffff500,
    0x6fffff85,0x3fffea00,0x7ffffb2f,0x7ffffec0,0x7fc2ffff,0xd8007fff,
    0x402fffff,0xffffffe8,0x2effffff,0xffff8000,0xfe88006f,0xffffffff,
    0xf502efff,0x0007ffff,0xffffff90,0xffffffff,0x0fffffff,0x05fffff9,
    0x3ffffff2,0xfff1ffff,0x7ff40bff,0xff904fff,0x3f205fff,0xffffffff,
    0x3ffffe1f,0xfffd8007,0x3ff202ff,0xffff86ff,0x7ff400ff,0x00002fff,
    0x00ffffff,0x5fffffb0,0x03fffff6,0x7ffec000,0xff00ffff,0xfff8ffff,
    0xfd8007ff,0x3fe2ffff,0xd8007fff,0x7c2fffff,0x2006ffff,0x42fffffa,
    0x006fffff,0x4bffffea,0x203ffffd,0xfffffff9,0x3ffe22ff,0xfc8007ff,
    0x9003ffff,0xffffffff,0x009fffff,0x6fffff80,0x3fff2000,0xffffffff,
    0xfffa84ff,0xe80003ff,0xffffffff,0xffffffff,0x6c1fffff,0x901fffff,
    0xffffffff,0x3fffe3ff,0x3ffea05f,0xffd80fff,0xff901fff,0xffffffff,
    0x3ffffe23,0xfffc8007,0x3ffe03ff,0xfffc84ff,0x7ffc02ff,0x80001fff,
    0x07fffff8,0xfffffc80,0x1fffffb3,0x3ff60000,0x3601ffff,0xf10fffff,
    0x000fffff,0x27fffff9,0x07fffff8,0xfffffc80,0x37ffffc3,0xfffff500,
    0x6fffff85,0x3fffea00,0x7ffffb2f,0xfffffd80,0x7ffc2fff,0xfc8007ff,
    0x2003ffff,0xffffffd9,0x05ffffff,0x3ffffe00,0x7ecc0006,0xffffffff,
    0x7fd45fff,0x40003fff,0x02fffff9,0x3fffff20,0x7fffff44,0xfffff901,
    0x3e3fffff,0x7c05ffff,0xe84fffff,0x901fffff,0xffffffff,0x7fffc3ff,
    0xffc8007f,0xff303fff,0xff503fff,0xff809fff,0x0002ffff,0x0ffffff0,
    0xfffff900,0x3fffff67,0xffb00000,0xfc805fff,0x3fe0ffff,0xc8007fff,
    0x3e3fffff,0x8007ffff,0x43fffffc,0x006fffff,0x0bffffea,0x00dfffff,
    0x97ffffd4,0x403ffffd,0xfffffff9,0x7ffffc2f,0x7fec000f,0x88002fff,
    0xfffffffc,0x0003ffff,0x00dfffff,0x3fff2200,0xffffffff,0x3ffffea3,
    0xffffffff,0x2e2fffff,0x000fffff,0x1bffffea,0x05fffffb,0x3ffffff2,
    0xfff1ffff,0xffb80bff,0x7ec0ffff,0xf902ffff,0xffffffff,0x7ffffc3f,
    0x7fec000f,0xff902fff,0x3fe20fff,0x7f407fff,0x0003ffff,0x1ffffff0,
    0xffffd800,0xfffffb2f,0xdddddddd,0x3609dddd,0xb807ffff,0x3e0fffff,
    0x000fffff,0x17ffffec,0x01ffffff,0xfffffd80,0x37ffffc2,0xfffff500,
    0x6fffff85,0x3fffea00,0x7ffffb2f,0xfffffb00,0xfffe85ff,0x7ec000ff,
    0x0002ffff,0x7ffffecc,0x8000ffff,0x006fffff,0xfffd9800,0x50ffffff,
    0xffffffff,0xffffffff,0x7ffec5ff,0xfff8006f,0x3ff20fff,0x2e003fff,
    0xff1fffff,0xf880bfff,0x643fffff,0x003fffff,0x87ffffee,0x00fffffe,
    0x7ffffec0,0xbffffd02,0x7fffff40,0x3ffff601,0xfd00003f,0x8001ffff,
    0xb2fffffd,0xffffffff,0xffffffff,0x3fff60bf,0xfffb807f,0x3fffa0ff,
    0x7ec000ff,0x3fa2ffff,0x4000ffff,0x42fffffd,0x006fffff,0x0bffffea,
    0x00dfffff,0x97ffffd4,0x803ffffd,0xfffffff9,0x7ffffec2,0x7fff4001,
    0x100001ff,0xfffffffb,0xffff0007,0x400000df,0xffffffd8,0xfffff53f,
    0xffffffff,0x225fffff,0x003fffff,0x3fffffd8,0x13ffffee,0xfffffb80,
    0x0bfffff1,0xffffff90,0x7ffffdc1,0x3ffee004,0x3fff61ff,0x7f4001ff,
    0xf881ffff,0x3203ffff,0x203fffff,0x04fffffc,0xffffb000,0xffe8003f,
    0xfffb1fff,0xffffffff,0x0bffffff,0x01fffff6,0x83ffffee,0x01fffffd,
    0x7fffff40,0x3fffff61,0x7fff4001,0x7fffc1ff,0x3fea006f,0x7ffc2fff,
    0x3ea006ff,0xffb2ffff,0x3f6007ff,0x642fffff,0x002fffff,0x03fffffc,
    0x7ffdc000,0xf8004fff,0x0006ffff,0xffffb800,0xffff54ff,0xffffffff,
    0x25ffffff,0x01fffffa,0xfffffb80,0x3ffffe65,0x3ffee006,0xfffff1ff,
    0xffff300b,0x7ffcc7ff,0x3ee006ff,0x3f21ffff,0x4002ffff,0x707fffff,
    0x403fffff,0x06fffff9,0x1bffffee,0x7ffe4000,0x7fc002ff,0x3ff67fff,
    0xffffffff,0x5fffffff,0x0fffffb0,0x1fffff70,0x17ffffe4,0x3ffffe00,
    0x7ffffe47,0x7fffc002,0xfffff87f,0x3ffee006,0x7fffc1ff,0x3fee006f,
    0xfffb1fff,0x3fe6007f,0x7dc2ffff,0x2005ffff,0x06fffff9,0xfffd0000,
    0xff000dff,0x0000dfff,0x3ffffa00,0xfffff56f,0xffffffff,0x325fffff,
    0x0007ffff,0x4ffffff3,0x1ffffff8,0xfffff700,0x17ffffe3,0x7ffffec0,
    0x3ffffe27,0xfff7001f,0x7ffdc3ff,0x3e6005ff,0xfb06ffff,0xddddffff,
    0xffffdddd,0x3fea01ff,0x0002ffff,0x5fffffb8,0x3fffe600,0x3ffff66f,
    0xffffffff,0xb05fffff,0x700fffff,0x5c1fffff,0x005fffff,0x1bffffe6,
    0x0bfffff7,0x7ffffcc0,0x6ffffe86,0x3ffff200,0x7ffff40f,0x3fff2006,
    0xffffb0ff,0x7ffec007,0x7ffd42ff,0x3f2007ff,0x0004ffff,0xfffff700,
    0xffff000b,0x000000df,0x17ffffee,0x00000000,0x17fffe40,0x27fffffc,
    0xfffffb80,0x20000001,0x04ffffff,0x3fffff70,0x3fffffd4,0xfffff900,
    0x3ffffe09,0xffffffff,0x2fffffff,0xffffff30,0xff50000b,0x6400ffff,
    0x004fffff,0x17fffe40,0x07ffffd8,0x0fffffb8,0x1fffffea,0xfffffc80,
    0x7ffffd44,0x3fff2007,0xfffd84ff,0x3ff2007f,0xfffd87ff,0x3ff2007f,
    0x200007ff,0x81fffffb,0x02fffffe,0xffffff88,0xf9000000,0x0007ffff,
    0x00dfffff,0x3ff20000,0x00003fff,0xfb800000,0xff903fff,0x7001ffff,
    0x003fffff,0x7fe40000,0xb800ffff,0x741fffff,0x802fffff,0x0ffffff8,
    0xffffffa8,0xffffffff,0x05ffffff,0x3ffffff6,0xffe80002,0xf8802fff,
    0x000fffff,0x0bffff20,0x07ffffd8,0x0fffffb8,0x17fffff4,0x7ffffc40,
    0xffffe80f,0xfff8802f,0xffc80fff,0xfd001fff,0xff90bfff,0x3a003fff,
    0x0005ffff,0x3fffff20,0xfffffb80,0x7fff401f,0x000c04ff,0xfffffe88,
    0xffff8001,0x0006006f,0x7fffff44,0xaaaa8801,0x10000002,0x440bffff,
    0x1fffffff,0x7ffffdc0,0xaaaa8801,0xfff88002,0x5c01ffff,0x5c1fffff,
    0x01ffffff,0x27fffff4,0xffffffc8,0xffffffff,0x07ffffff,0x3fffffe6,
    0x7062003f,0x03ffffff,0x4fffffe8,0x3ffe6000,0x7ffec05f,0xfffb807f,
    0x7ffdc0ff,0x7f401fff,0xf704ffff,0x803fffff,0x04fffffe,0x0bfffff7,
    0x9fffff50,0xbfffff70,0xfffff500,0x7f400009,0xff107fff,0x815fffff,
    0xffffffd9,0x05efec00,0x7ffff540,0xff8000ff,0x36006fff,0xea800bdf,
    0x00ffffff,0x05ffffb8,0xff900000,0xffa805ff,0x01bfffff,0x03fffff7,
    0x0bffff70,0x3fffea00,0xf701bfff,0xf883ffff,0x0affffff,0x7ffffecc,
    0xffffd00f,0xffffffff,0xffffffff,0x7ffec03f,0x80adffff,0x7c43fdb8,
    0x0affffff,0x7ffffecc,0x3f60000f,0x7ec01fff,0xfb807fff,0x7c40ffff,
    0x0affffff,0x7ffffecc,0xffff100f,0xd9815fff,0x00ffffff,0x7ffffff3,
    0x7ffff4c0,0xffff981f,0x3fa603ff,0x0001ffff,0xbfffff50,0x7ffffe40,
    0xfffdefff,0x803fffff,0xdefffffd,0xfffeeccc,0x0004ffff,0x00dfffff,
    0x77ffffec,0xffeecccd,0x004fffff,0x005ffffb,0x3ffa0000,0xffe801ff,
    0xefffffff,0xfffffecc,0xfffd801f,0x3fa0002f,0xffffffff,0xffffecce,
    0xfffc81ff,0xfdefffff,0x3fffffff,0x5fffff30,0x7fffe400,0x3ffe204f,
    0xffffffff,0x3fffffee,0xffffffc8,0xffffdeff,0x0003ffff,0x007ffffc,
    0x01fffff6,0x03ffffee,0x3ffffff2,0xffffdeff,0x6403ffff,0xffffffff,
    0xffffffde,0x7fe403ff,0x9abdffff,0xffffffca,0x3ffff204,0xca9abdff,
    0x04ffffff,0xffff7000,0x7f4407ff,0xffffffff,0x6fffffff,0xfffffb00,
    0xffffffff,0x40bfffff,0xaaaaaaa9,0xaaefffff,0x7ec1aaaa,0xffffffff,
    0xffffffff,0x3ffe005f,0x000000ff,0x5dffffd0,0x3ffe6033,0xffffffff,
    0xffffffff,0xffffe801,0x3fe60000,0xffffffff,0xffffffff,0xfffe881f,
    0xffffffff,0x206fffff,0x00fffffb,0x3ffffea0,0x7fffdc06,0xffffffff,
    0x883fffff,0xfffffffe,0xffffffff,0xff80006f,0x819adfff,0x807ffffd,
    0x80fffffb,0xffffffe8,0xffffffff,0xfe8806ff,0xffffffff,0x6fffffff,
    0xfffff880,0xffffffff,0x4406ffff,0xffffffff,0xffffffff,0x7640006f,
    0x6fffffff,0xffffd880,0xffffffff,0xfb000dff,0xffffffff,0xffffffff,
    0x7ffe401d,0xffffffff,0xffffffff,0x7ffffec4,0xffffffff,0x000effff,
    0x00bffff1,0x7fec0000,0x205fffff,0xffffffd8,0xffffffff,0x7c401fff,
    0x80006fff,0xffffffd8,0xffffffff,0xfb101fff,0xffffffff,0x01bfffff,
    0x037fffec,0x7fffffc0,0x7fff4c00,0xffffffff,0xb103ffff,0xffffffff,
    0x1bffffff,0xfffd0000,0xfb09ffff,0xf700ffff,0x2201ffff,0xfffffffd,
    0xdfffffff,0xfffb1000,0xffffffff,0x2001bfff,0xfffffffb,0xffffffff,
    0xfffb801f,0xffffffff,0x001fffff,0x7ffffec0,0x32001fff,0xffffffff,
    0x4002ffff,0xfffffffd,0xffffffff,0x7fe400cf,0xffffffff,0xffffffff,
    0x7fffec4f,0xffffffff,0x000cffff,0x00ffffe6,0xffa80000,0x805fffff,
    0xfffffffb,0xffffffff,0x7ffcc00e,0x2e00003f,0xffffffff,0xefffffff,
    0x7fffe400,0xffffffff,0x7fffc402,0xffd8003f,0xf9003fff,0xffffffff,
    0x807fffff,0xfffffffc,0x002fffff,0x3fffea00,0xffd84fff,0xffb807ff,
    0x7e400fff,0xffffffff,0x90002fff,0xffffffff,0x0005ffff,0xffffffd3,
    0x1bffffff,0x7fff4c00,0xffffffff,0xd80000df,0x2fffffff,0xffeda800,
    0x00deffff,0xfffdc980,0xffffffff,0xff9000be,0xffffffff,0xffffffff,
    0xffdc989f,0xffffffff,0xb8000bef,0x0000ffff,0x7ffd4000,0x91005fff,
    0xfffffffd,0x20037dff,0x001ffffb,0x7ff64400,0xefffffff,0x3b6a001b,
    0xdeffffff,0xffffa800,0xffb8001f,0x26005fff,0xffffffdc,0x5000bdff,
    0xffffffdb,0x000001bd,0x9ffffff7,0x0fffffb0,0x1fffff70,0xfffdb500,
    0x001bdfff,0xfffeda80,0x000defff,0x7ffff5c0,0x002dffff,0x3ffffae0,
    0x002dffff,0x3ffff600,0x880000bf,0x00001bb9,0xacbaaa98,0xff900019,
    0xffffffff,0xffffffff,0xaaa9809f,0x00019acb,0x003ccca8,0x2a600000,
    0x100009ab,0x01335775,0x09999500,0x75100000,0x00013357,0x00377310,
    0x0fffff90,0x3fffe600,0x2620007f,0x800009aa,0x0001bb98,0x57531000,
    0x3ffff603,0xffffb807,0x5cc4000f,0x2000001b,0x0001bb98,0x26eea600,
    0xa9800000,0x000009bb,0x00579b90,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4ccc4000,0x664c1999,0xcccccccc,0xcccccccc,0x26200003,
    0x00199999,0x80133330,0x1ccccccb,0x39999700,0x33310000,0x99903333,
    0x99100799,0x22079999,0x00999999,0x32200000,0x988001de,0x00099999,
    0x4c400000,0x00199999,0xca803773,0x4ccc0002,0x54400009,0x00201bcc,
    0x4ccc4000,0xb9801999,0x0165401b,0x26620000,0x00019999,0x555e554c,
    0x26620009,0x33330099,0x4ccc4003,0x33333009,0x7c400000,0x42ffffff,
    0xfffffffb,0xffffffff,0x00006fff,0xfffffff3,0xffd88005,0x3f602fff,
    0x005fffff,0x005ffffd,0xfffff880,0xffff82ff,0xfffd806f,0xfd101fff,
    0x007fffff,0xfff10000,0xe88005ff,0x03ffffff,0xf1000000,0x05ffffff,
    0x05ffff50,0x00bfffd1,0xfffffb10,0x3ff20005,0x4c0dffff,0x4400003f,
    0x2fffffff,0x17fffd40,0x02ffff44,0xfff88000,0x8002ffff,0xffffffd9,
    0x801fffff,0x41ffffe8,0x003ffffd,0x07ffffa2,0x007ffffb,0x3ffe2000,
    0xfb80efff,0xffffffff,0xffffffff,0xf980006f,0x00efffff,0x7ffff440,
    0xffb02fff,0x003fffff,0x005ffffd,0x7ffffc40,0xffff00ef,0xfffa80df,
    0xfc803fff,0x003fffff,0x7ffe4000,0xf90007ff,0x007fffff,0xff880000,
    0x000effff,0x90ffffff,0x005fffff,0x7fffff44,0x7dc002ff,0xffffffff,
    0x03fffcac,0xffff1000,0xff001dff,0xff90ffff,0x00005fff,0xffffff88,
    0x7f44000e,0xffffffff,0x1002ffff,0xd37ffffd,0x0005ffff,0x37ffffd1,
    0x005ffffd,0x3ffa2000,0x3ee04fff,0xffffffff,0xffffffff,0x7cc0006f,
    0x003fffff,0xfffffe88,0xfd83ffff,0x05ffffff,0x02ffffe8,0xffffd100,
    0xffff809f,0x3ffe206f,0x26005fff,0x03ffffff,0x3ffa0000,0x0000ffff,
    0x7ffffff3,0x22000000,0x04fffffe,0x3ffffe20,0x7fffec0f,0xffd1003f,
    0x7fffffff,0x3fffe600,0xffffffff,0x0004ffff,0xfffffe88,0xffff1004,
    0xfffd81ff,0x200003ff,0x4fffffe8,0xfffe8800,0xffffffff,0x22002fff,
    0xfffffffe,0x220002ff,0xfffffffe,0x000002ff,0x5fffffd1,0xfffffb80,
    0xffffffff,0x006fffff,0x3ffffe20,0xfe88001f,0xffe8bfff,0x7ffec3ff,
    0x400fffff,0x002ffffe,0xfffffe88,0xfffff802,0x3ffff206,0x6c4000ff,
    0x003fffff,0xffffb000,0xd88000ff,0x003fffff,0x7ff44000,0xf8002fff,
    0xfc87ffff,0x8802ffff,0xe8bffffe,0x8803ffff,0xfebadffe,0x5fffffff,
    0xffe88000,0x7c002fff,0xfc87ffff,0x0002ffff,0xfffffd10,0x3ffa0005,
    0xeeefffff,0x002fffff,0x7fffff44,0x880002ff,0xfffffffe,0xd1000002,
    0x001bffff,0xfffffd80,0x7c400000,0x000dffff,0x1efffe88,0xb1ffffec,
    0xffffffff,0xffffe809,0x7ff44002,0xff000dff,0x3e60dfff,0x002fffff,
    0x3ffffee0,0xf9800003,0x0004ffff,0x7fffff70,0x3a200000,0x000dffff,
    0x07ffff70,0x00dffff1,0x83dfffd1,0x803ffffd,0xfffb84e8,0x0000efff,
    0x6fffff44,0xfffb8000,0xffff883f,0xfd100006,0x0001bfff,0x3fffffe6,
    0x03b7300b,0xffffb100,0x4400003f,0x01fffffd,0x26620000,0xb0000199,
    0x001fffff,0x99998800,0x26620001,0x33330099,0x7ffffec3,0x3a00ffff,
    0x4002ffff,0x00199998,0x837ffffc,0x04fffffe,0x99998800,0xd5000001,
    0x800009ff,0x00199998,0x33331000,0xbb500003,0x06764405,0x04cccc40,
    0x00199998,0x0acba801,0x33310000,0xda800033,0x33b2202d,0x33100000,
    0xb8000333,0x004fffff,0x33330000,0x26000001,0x00000999,0x20000000,
    0x00fffffd,0x00000000,0xffb00000,0x7fffffff,0x17ffff40,0x7c000000,
    0xfc86ffff,0x000effff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2fffffd8,0x00000000,
    0x00000000,0x00000000,0x3fffff60,0x00000000,0xb0000000,0xffffffff,
    0x7fff40ff,0x0020002f,0x37ffffc0,0x3fffffe6,0x00000001,0x00080000,
    0x00002000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7e400000,0x0006ffff,0x00000000,0x64000000,0x2003cccc,0x01ccccc9,
    0x0fffffd8,0x654c0000,0xbdeffffd,0x66665c01,0xcccccccc,0xffb0cccc,
    0xfffffbff,0x3ffffa05,0xfd951002,0x00159bff,0xe8dfffff,0x003fffff,
    0x00f33332,0x1ccccc98,0x3b6ea600,0x1bdeffff,0x7f654400,0x000acdff,
    0x3333332e,0x99997001,0x99999303,0x99999999,0x30799999,0x99999999,
    0x99999999,0xcccb8799,0x97001ccc,0x99303999,0x99999999,0x99999999,
    0xcccc8007,0x0001cccc,0x66666640,0xf70001cc,0x01dfffff,0x33332200,
    0xcccccccc,0xcccccccc,0x6665c2cc,0x97001ccc,0x7fc03999,0x2a006fff,
    0x802fffff,0x00fffffd,0xffff7000,0xffffffff,0x7ffec07f,0xffffffff,
    0xfb1fffff,0xfffd7fff,0x3fffa0df,0xfffb802f,0xffffffff,0x7ffffc03,
    0x3fffff26,0x7fffc006,0x3fea006f,0xe9802fff,0xffffffff,0x00ffffff,
    0xffffffb8,0x003fffff,0xbffffffb,0x3ffffa00,0xfffffb82,0xffffffff,
    0xb86fffff,0xffffffff,0xffffffff,0x7ffec6ff,0xfd005fff,0xff705fff,
    0xffffffff,0xffffffff,0x7ffc400d,0x004fffff,0x3fffe200,0x0004ffff,
    0xfffffff1,0xff10007f,0xffffffff,0xffffffff,0xfd87ffff,0x005fffff,
    0x405ffffd,0x006fffff,0x0bffffea,0x3fffff60,0x7ec40000,0xffffffff,
    0x203fffff,0xfffffffd,0xffffffff,0x7ffffb1f,0x05fffff5,0x405ffffd,
    0xffffffd8,0x5fffffff,0x5bffffe0,0x0ffffff9,0x7ffffc00,0x3ffea006,
    0x7fdc02ff,0xffffffff,0x00ffffff,0x3fffff62,0xffffffff,0xffffd805,
    0xfe801fff,0xffb82fff,0xffffffff,0xffffffff,0xfffffb86,0xffffffff,
    0x6c6fffff,0x1fffffff,0x2ffffe80,0xffffffb8,0xffffffff,0x2006ffff,
    0xfffffffb,0x2e00006f,0xffffffff,0xffd10006,0x3dffffff,0x7fffc400,
    0xffffffff,0xffffffff,0x7ffec3ff,0xe801ffff,0x3e02ffff,0x2006ffff,
    0x02fffffa,0x0fffffd8,0x3ffea000,0xffffffff,0x203fffff,0xfffffffd,
    0xffffffff,0x7ffffb1f,0x217ffffe,0x302ffffe,0xffffffff,0xffffffff,
    0xfffff01d,0x3fffffad,0xffff8002,0x3fea006f,0xfd302fff,0xffffffff,
    0xffffffff,0x3fffe601,0xffffffff,0x200effff,0xfffffffd,0xffffe805,
    0xfffffb82,0xffffffff,0xb86fffff,0xffffffff,0xffffffff,0x7ffec6ff,
    0xe805ffff,0xfb82ffff,0xffffffff,0xffffffff,0x3ff6006f,0x0fffffff,
    0xfffb0000,0x01ffffff,0xfffff980,0xdfffffff,0xffff8800,0xffffffff,
    0xffffffff,0x7ffec3ff,0xe805ffff,0x3e02ffff,0x2006ffff,0x02fffffa,
    0x0fffffd8,0xffff5000,0xffffffff,0x407fffff,0xfffffffd,0xffffffff,
    0x7ffffb1f,0x07ffffee,0x205ffffd,0xfffffffe,0xffffffff,0xffff85ff,
    0xfffffbef,0xffff0005,0x7fd400df,0xff982fff,0xffffffff,0xffffffff,
    0xffffd00f,0xffffffff,0x40bfffff,0xfffffffd,0x7fff400f,0xffffb82f,
    0xffffffff,0x86ffffff,0xfffffffb,0xffffffff,0x7fec6fff,0x00ffffff,
    0x417ffff4,0xfffffffb,0xffffffff,0x3e006fff,0xffffffff,0xff00003f,
    0xffffffff,0x7ffc4007,0xffffffff,0x4402ffff,0xffffffff,0xffffffff,
    0x43ffffff,0xfffffffd,0x7fff400f,0x3fffe02f,0x3fea006f,0xfd802fff,
    0x0000ffff,0xffffffff,0x36a66379,0x266203ff,0x99999999,0xb1fffffd,
    0x3e27ffff,0x7f45ffff,0xffb82fff,0x89bdffff,0xffffffca,0x7ffffc1f,
    0x0effffff,0xfffff000,0x7ffd400d,0xfffd82ff,0x0abdffff,0x1fff9553,
    0xffffff70,0xff95137b,0x203fffff,0xfffffffd,0x7fff404f,0x7fec002f,
    0x00000fff,0x01fffffb,0x3fffff60,0x7f404fff,0x6c002fff,0x000fffff,
    0x7ffffd40,0x005fffff,0xfffffa80,0x005fffff,0x3bfffffa,0xfffffffe,
    0x4ccc05ff,0xffe99999,0x9999afff,0x7fec0999,0x04ffffff,0x017ffff4,
    0x00dfffff,0x17ffffd4,0x7ffffec0,0xfffb8000,0x8800efff,0xf900002a,
    0x3f63ffff,0x3ff23fff,0x3ffa0fff,0x7ffc42ff,0x3e604fff,0x7c5fffff,
    0xffffffff,0x3e0006ff,0x2006ffff,0x42fffffa,0xfffffffa,0x1032a002,
    0x09ffffff,0x7fffffcc,0xfffffb05,0x7401ffff,0x4002ffff,0x00fffffd,
    0xffffb000,0x3ff6001f,0x0fffffff,0x0bffffa0,0xfffffb00,0xffc80001,
    0xffffeeff,0xffc80007,0xffffeeff,0xffff3007,0x3ffee1ff,0x0dffffff,
    0xffffb000,0xffd8001f,0x0fffffff,0x0bffffa0,0x06fffff8,0x3ffffea0,
    0xffffd802,0x7fc4000f,0x0005ffff,0x3ff20000,0xfffb1fff,0x7fffc47f,
    0x3ffffa4f,0x7ffffdc2,0xffff9805,0x3fffe0ff,0xfffffeff,0xffff0004,
    0x7fd400df,0x7ff42fff,0x0000efff,0xbfffff70,0xfffff300,0xffffb01f,
    0x407fffff,0x002ffffe,0x07ffffec,0xfffd8000,0xffb000ff,0x7fffffff,
    0x17ffff40,0x3ffff600,0x7fc0000f,0xfffcbfff,0x7c0002ff,0xffcbffff,
    0xfc802fff,0x6c43ffff,0xffffffff,0xfffb0005,0xfd8001ff,0xffffffff,
    0x3ffffa03,0x3ffffe02,0x3ffea006,0xffd802ff,0x64000fff,0x007fffff,
    0x7e400000,0xffb1ffff,0xfffd87ff,0xffffd0ff,0x7ffffc45,0xfffb000f,
    0x7fffc9ff,0xfffff9ef,0xfff8002f,0x3ea006ff,0x3ee2ffff,0x000fffff,
    0xfffff100,0x3ff6001f,0xffd84fff,0x7fffffff,0x0bffffa0,0xfffffb00,
    0x3f600001,0xb000ffff,0xffffffff,0x7fff40ff,0x7fec002f,0x20000fff,
    0xa9fffff9,0x004fffff,0x3ffffe60,0x4fffffa9,0xfffffd80,0xffffd501,
    0xb0005fff,0x001fffff,0xffffffd8,0x3fa07fff,0x3fe02fff,0x2a006fff,
    0x802fffff,0x00fffffd,0x3ffffe20,0x0000003f,0x7ffffe40,0x87ffffb1,
    0xd3fffff9,0x7d45ffff,0x2006ffff,0x26fffffb,0xfb6fffff,0x001dffff,
    0x06fffff8,0x3ffffea0,0x3fffffe2,0x3ea00005,0x2006ffff,0x86fffffb,
    0xffdffffd,0xffd02fff,0xfd8005ff,0x0000ffff,0x1fffffb0,0x3ffff600,
    0x02fffffd,0x005ffffd,0x0fffffd8,0x3ffee000,0xfffff17f,0x7fdc000d,
    0xffff17ff,0xfffd00df,0x7ec407ff,0x007fffff,0x0fffffd8,0x7fffec00,
    0x02fffffd,0x405ffffd,0x006fffff,0x0bffffea,0x3fffff60,0x3ffe6000,
    0x00000fff,0x7ffe4000,0xffffb1ff,0xfffffd07,0xc8bffffa,0x003fffff,
    0x9fffffe2,0xf16fffff,0x009fffff,0x06fffff8,0x3ffffea0,0xffffff12,
    0x7e400003,0x2003ffff,0x87fffff8,0xfebffffd,0xffd06fff,0xfd8005ff,
    0x0000ffff,0x1fffffb0,0x3ffff600,0x06ffffeb,0x005ffffd,0x0fffffd8,
    0x3fffa000,0x3ffff65f,0xffd0000f,0x7ffecbff,0x7fe400ff,0xfd806fff,
    0x001fffff,0x07ffffec,0x3ffff600,0x06ffffeb,0x405ffffd,0x006fffff,
    0x0bffffea,0x3fffff60,0x3ffea000,0x000005ff,0xffffc800,0x7ffffb1f,
    0x5fffff50,0x6c5ffffd,0x001fffff,0xf3fffff4,0x7dcdffff,0x002fffff,
    0x01bffffe,0x2fffffa8,0x0bfffff3,0xfffd8000,0x7f4001ff,0xffd87fff,
    0xffffabff,0xffffe82f,0x7ffec002,0xb00000ff,0x001fffff,0x2afffff6,
    0xe82fffff,0x4002ffff,0x00fffffd,0xfffff100,0x7ffffdc5,0xfff88003,
    0x3ffee2ff,0x7fdc03ff,0x4405ffff,0x02ffffff,0x7ffffec0,0x7ffec000,
    0xfffffabf,0x2ffffe82,0x1bffffe0,0xfffffa80,0xffffd802,0x3fee000f,
    0x00004fff,0xfffc8000,0xffffb1ff,0x3ffffe07,0x22ffffed,0x01ffffff,
    0x7fffff40,0x8dfffff0,0x0ffffffe,0xdfffff00,0x7fffd400,0xfffff52f,
    0xff800009,0x4001ffff,0x40fffffe,0xff3ffffd,0xffd0bfff,0xfd8005ff,
    0x0000ffff,0x1fffffb0,0x3ffff600,0x0bfffff3,0x005ffffd,0x0fffffd8,
    0xffff5000,0x7fffcc1f,0xffa8005f,0x3fe60fff,0x7c405fff,0x0effffff,
    0x3fffff60,0x7ffec003,0x7ec000ff,0xffff3fff,0xffffd0bf,0x7ffffc05,
    0x3ffea006,0xffd802ff,0x36000fff,0x003fffff,0xfc800000,0xffb1ffff,
    0x3fee07ff,0xffffffff,0x3fffffe2,0x7ffec000,0xfffff1ff,0xfffff98d,
    0xffff005f,0x7fd400df,0xfff72fff,0x3bae07ff,0xeeeeeeee,0x3fffffe0,
    0x7ffec000,0x7ffec1ff,0xfffff73f,0x2ffffe83,0x7fffec00,0xfb00000f,
    0x2001ffff,0xf73ffffd,0xfe83ffff,0x6c002fff,0x000fffff,0x0dffff90,
    0x01ffffff,0x6ffffc80,0x0ffffff8,0x7ffffdc0,0xff903fff,0xd8007fff,
    0x000fffff,0xb9ffffec,0x741fffff,0x3e02ffff,0x2006ffff,0x02fffffa,
    0x0fffffd8,0x3ffffa00,0x0000002f,0xfffffc80,0x07ffffb1,0x3fffffe2,
    0x3fe2ffff,0xd8007fff,0xff2fffff,0xff90dfff,0xf005ffff,0x400dffff,
    0x92fffffa,0x205fffff,0xfffffffc,0x3ffe1fff,0xfd8007ff,0x7ec2ffff,
    0xfff13fff,0xfffe8bff,0x7fec002f,0x00000fff,0x01fffffb,0x4fffff60,
    0x45fffff8,0x002ffffe,0x07ffffec,0xfffff800,0xfffffc84,0x7fffc002,
    0xffffc84f,0xfffe802f,0x41efffff,0x01fffffe,0x7ffffec0,0x7ffec000,
    0xfffff13f,0x2ffffe8b,0x1bffffe0,0xfffffa80,0xffffd802,0x3ffe000f,
    0x00001fff,0xfffc8000,0xffffb1ff,0x7fffe407,0xf12fffff,0x000fffff,
    0x27fffff9,0xd06fffff,0x01ffffff,0x06fffff8,0x3ffffea0,0x3fffffb2,
    0x3fffff20,0xf11fffff,0x000fffff,0x87fffff9,0x323ffffd,0x3a0fffff,
    0x4002ffff,0x00fffffd,0xffffb000,0x3ff6001f,0x3fff23ff,0x3fffa0ff,
    0x7fec002f,0x98000fff,0xa81fffff,0x004fffff,0x07ffffe6,0x13ffffea,
    0x3ffff620,0xb8cfffff,0x006fffff,0x0fffffd8,0x7fffec00,0x3fffff23,
    0x0bffffa0,0x06fffff8,0x3ffffea0,0xffffd802,0x3ffe000f,0x00002fff,
    0xfffc8000,0xffffb1ff,0x7fffc407,0x3e2fffff,0x8007ffff,0xf3fffffc,
    0x2a0dffff,0x05ffffff,0x037ffffc,0x5fffff50,0x07fffffa,0x7fffffe4,
    0x3fe1ffff,0xc8007fff,0x6c3fffff,0x3e23ffff,0x3fa4ffff,0x6c002fff,
    0x000fffff,0xfffffb00,0x3fff6001,0x3fffe23f,0x3ffffa4f,0x7ffec002,
    0xfc8000ff,0xff107fff,0x6400ffff,0xf107ffff,0x400fffff,0xfffffffc,
    0xffffffff,0xffd8003f,0x6c000fff,0x3e23ffff,0x3fa4ffff,0x3fe02fff,
    0x2a006fff,0xd52fffff,0xfffddddd,0xdddddfff,0xffffd0bd,0x0000007f,
    0xfffff900,0x0fffff63,0xffffffb0,0x7fffc5ff,0x7ec000ff,0xfff2ffff,
    0x7fec0dff,0x3e02ffff,0x2006ffff,0xb2fffffa,0x205fffff,0xfffffffc,
    0x3ffe1fff,0x6c000fff,0x6c2fffff,0x7ec3ffff,0xffd0ffff,0xfd8005ff,
    0x0000ffff,0x1fffffb0,0x3ffff600,0x7ffffec3,0x05ffffd0,0xfffffd80,
    0xfffe8000,0x3fffa05f,0xffd001ff,0x7ff40bff,0x2a001fff,0xfffffffe,
    0x05ffffff,0xfffffb00,0xfffd8001,0x7fffec3f,0x5ffffd0f,0x37ffffc0,
    0xfffff500,0x3ffffee5,0xffffffff,0xd86fffff,0x003fffff,0xfc800000,
    0xffb1ffff,0xff9807ff,0x22ffffff,0x00fffffe,0x7ffffec0,0x0dfffff2,
    0x7fffffc4,0xfffff00f,0x7ffd400d,0xffff92ff,0x7fdc007f,0x3ffa1fff,
    0x6c000fff,0x6c2fffff,0x7cc3ffff,0xffd3ffff,0xfd8005ff,0x0000ffff,
    0x1fffffb0,0x3ffff600,0x7ffffcc3,0x05ffffd3,0xfffffd80,0x7ffc4000,
    0x3ff203ff,0xf8803fff,0x3203ffff,0x003fffff,0x7ffffe44,0x0dffffff,
    0xffffb000,0xffd8001f,0x7ffcc3ff,0xffffd3ff,0x7ffffc05,0x3ffea006,
    0xffff72ff,0xffffffff,0x0dffffff,0x09fffff9,0x90000000,0x363fffff,
    0xe803ffff,0x2fffffff,0x07fffff6,0xfffffd00,0x1bffffe3,0xffffff70,
    0x3ffffe0b,0x3ffea006,0xffff72ff,0x7fdc009f,0x3ff61fff,0x74001fff,
    0x6c1fffff,0xfe83ffff,0xfffd7fff,0xffd8005f,0x00000fff,0x01fffffb,
    0x0fffff60,0x75fffffa,0x4002ffff,0x00fffffd,0x7ffffdc0,0x3fffe601,
    0xfffb806f,0x3fe601ff,0x10006fff,0xfffffffb,0xfd8000bf,0x4000ffff,
    0xe83ffffd,0xffd7ffff,0x7ffc05ff,0x3ee006ff,0xff71ffff,0xffffffff,
    0xffffffff,0xfffff70d,0x0000000d,0x3fffff90,0x00fffff6,0x3fffffea,
    0x3ffff22f,0x7ffc002f,0x3fffe7ff,0xfffe806f,0xfff83fff,0x3ee006ff,
    0xff31ffff,0x5c00dfff,0x321fffff,0x002fffff,0x43fffffc,0xa83ffffd,
    0xfeafffff,0x6c002fff,0x000fffff,0xfffffb00,0x3fff6001,0xffffa83f,
    0x2ffffeaf,0x7fffec00,0x7fec000f,0xeeeeefff,0xfffffeee,0x7ffec00f,
    0xeeeeeeff,0xffffffee,0x3faa0000,0x006fffff,0x7ffffec0,0x7ffec000,
    0xffffa83f,0x2ffffeaf,0x1bffffa0,0xfffffc80,0xffffff70,0xffffffff,
    0xf50dffff,0x005fffff,0xfd800000,0xffb1ffff,0x3fe007ff,0x2e2fffff,
    0x005fffff,0x9bffffe6,0x806fffff,0xfffffff9,0x37ffff40,0xfffff900,
    0x3ffffe21,0xfff7001f,0x7ffdc3ff,0x3e6005ff,0xfd86ffff,0xfff03fff,
    0xffffdbff,0xfffd8005,0xb00000ff,0x001fffff,0x40fffff6,0xfedfffff,
    0x6c002fff,0x000fffff,0x7ffffffc,0xffffffff,0x402fffff,0xffffffff,
    0xffffffff,0x0002ffff,0x7fffff44,0x3f60001f,0x4000ffff,0xf03ffffd,
    0xffdbffff,0x7fec05ff,0x3f2007ff,0x80007fff,0x983ffffb,0x05ffffff,
    0x74000000,0x000fffff,0x3fea0000,0x32007fff,0x004fffff,0xffd80000,
    0x3f2007ff,0x7ffc7fff,0xf7004fff,0x7d43ffff,0x2007ffff,0x84fffffc,
    0x703ffffd,0xffffffff,0xfd8005ff,0x0000ffff,0x1fffffb0,0x3ffff600,
    0xfffff703,0x005fffff,0x0fffffd8,0x3fffea00,0xffffffff,0xffffffff,
    0x3fffea05,0xffffffff,0xffffffff,0xff880005,0x0002ffff,0x03fffff6,
    0x7ffffb00,0x3ffffee0,0x202fffff,0x01fffffc,0x0bffffd0,0xffffb800,
    0x3ffff603,0x000002ff,0x3ffffe00,0x80000007,0x02fffffe,0xffffff88,
    0x80000000,0x01fffffc,0x8bffffd0,0x0ffffffc,0xfffffb80,0x7fffff41,
    0xffff8802,0xfffd80ff,0xffff103f,0x05ffffff,0xfffffd80,0xffb00000,
    0x36001fff,0xf103ffff,0xffffffff,0xffd8005f,0x32000fff,0xffffffff,
    0xffffffff,0x3207ffff,0xffffffff,0xffffffff,0x0007ffff,0x3fffffb0,
    0x7ffec000,0x7ec000ff,0xff103fff,0xffffffff,0x7fffdc05,0xfffa805f,
    0x220004ff,0x4c06ffff,0x3fffffff,0x02806200,0xbfffff90,0x55554400,
    0xfffb8002,0x7f401fff,0x2004ffff,0x002aaaa8,0xbfffff70,0xfffff500,
    0xfffff889,0x7fdc01ff,0x7fdc1fff,0x7401ffff,0xb04fffff,0x6407ffff,
    0xffffffff,0x7fec002f,0x00000fff,0x01fffffb,0x0fffff60,0xffffffc8,
    0x6c002fff,0x000fffff,0x3ffffffa,0xffffffff,0x1fffffff,0xffffffd0,
    0xffffffff,0x3fffffff,0x3e600088,0x0007ffff,0x07ffffec,0x3ffff600,
    0x3ffff203,0x202fffff,0x3ffffff9,0x3ffffa60,0x3f20001f,0xfd802fff,
    0xadffffff,0x03fdb880,0xffa8077e,0x2004ffff,0x005ffffb,0xffffff88,
    0x7fecc0af,0x2000ffff,0x005ffffb,0xffffff30,0x7fff4c07,0xfffa81ff,
    0x701bffff,0x883fffff,0xafffffff,0x7fffecc0,0xfffb00ff,0x7ffc407f,
    0x02ffffff,0x7ffffec0,0xffb00000,0x36001fff,0x2203ffff,0xffffffff,
    0x7fec002f,0xf3000fff,0x4005ffff,0x84fffffc,0x02fffff9,0x3fffff20,
    0x0d677d44,0x7ffff54c,0x7ec0006f,0x4000ffff,0x203ffffd,0xfffffff8,
    0x7fe402ff,0x9abdffff,0xffffffca,0x7ff40004,0xff8802ff,0xffffffff,
    0xfffffeef,0x33bffe03,0xffffdbab,0x36000fff,0x0002ffff,0xfffffff9,
    0xfffffbdf,0xd8007fff,0x0002ffff,0x3ffffff2,0xffca9abd,0x3a04ffff,
    0xffffffff,0xfffeccef,0xffc81fff,0xdeffffff,0xffffffff,0x3ffff603,
    0x7fffec03,0xea82ffff,0xfffeeeee,0xeeeeefff,0xeeeea85e,0xffffffee,
    0x45eeeeee,0x403ffffd,0xfffffffd,0xeeeea82f,0xffffffee,0x45eeeeee,
    0x00fffffb,0x3ffffea0,0xfffffb86,0x3ffea000,0x7ffd46ff,0xfffeffff,
    0x02ffffff,0x7fffec00,0x7fec000f,0x7fec03ff,0x02ffffff,0x7fffffc4,
    0xffffffff,0x80006fff,0x9aeffffe,0x3fffee02,0xffffffff,0x203fffff,
    0xffffffff,0x2fffffff,0x7ffff400,0xffd10000,0xffffffff,0x0dffffff,
    0x1ffffd00,0x7ffc4000,0xffffffff,0x06ffffff,0x7fffffcc,0xffffffff,
    0x881fffff,0xfffffffe,0xffffffff,0x7ffec06f,0x7ffcc03f,0xb82fffff,
    0xffffffff,0xffffffff,0xfffb86ff,0xffffffff,0x6fffffff,0x01ffffec,
    0x3fffffe6,0xfffb82ff,0xffffffff,0x6fffffff,0x037fffec,0x7fffffc0,
    0x37fffec0,0x7ffffc00,0x3fffea0f,0xffffffff,0x0003ffff,0x0fffffd8,
    0x7fffec00,0x7fffcc03,0xb802ffff,0xffffffff,0xffffffff,0xffd80001,
    0x406fffff,0xffffffe9,0xffffffff,0x3fffe03f,0xffffffff,0x7c4005ff,
    0x40006fff,0xffffffd8,0xffffffff,0x7fc4000d,0xb80006ff,0xffffffff,
    0xffffffff,0xfffd8801,0xffffffff,0x01ffffff,0xffffffb1,0xffffffff,
    0xfffd801b,0xfffe803f,0xfb82ffff,0xffffffff,0xffffffff,0xffffb86f,
    0xffffffff,0x46ffffff,0x803ffffd,0xfffffffe,0xfffffb82,0xffffffff,
    0x226fffff,0x003fffff,0x3fffffd8,0x0fffffe2,0x3ffff600,0x3fffea3f,
    0xffffffff,0x00003fff,0x01fffffb,0x3ffffd80,0xfffffe80,0xfd3002ff,
    0xffffffff,0x0001bfff,0x3ffffe60,0xff9006ff,0xffffffff,0x7c07ffff,
    0xffffffff,0x8003ffff,0x003ffff9,0xfffff900,0x5fffffff,0x3ffe6000,
    0xd300003f,0xffffffff,0x001bffff,0xffffffb8,0xffffffff,0x7fe400ef,
    0xffffffff,0xffb002ff,0xff5007ff,0x705fffff,0xffffffff,0xffffffff,
    0xfff70dff,0xffffffff,0xdfffffff,0x03ffffd8,0xffffffa8,0xffffb82f,
    0xffffffff,0x26ffffff,0x01fffffa,0xfffffb80,0x3ffffea5,0xfffb8001,
    0x3ff665ff,0xffffffff,0x00000bef,0x03fffff6,0x7ffffb00,0xfffff500,
    0xeb8005ff,0xffffffff,0xa800002d,0x06ffffff,0x3fff7260,0x0bdfffff,
    0x7fff5c40,0x00ceffff,0x3ffff700,0x76d40000,0xdeffffff,0x3fee0000,
    0x400001ff,0xffffffeb,0x20002dff,0xfffffec8,0x01beffff,0x3fffb6a0,
    0x000defff,0x00fffff6,0x7ffffffc,0xfffffb82,0xffffffff,0xb86fffff,
    0xffffffff,0xffffffff,0x7ffec6ff,0xffff003f,0xff705fff,0xffffffff,
    0xffffffff,0x3ffffe4d,0xffff9800,0x3ffff27f,0xfff30007,0x2a620fff,
    0x019abbaa,0xfffb0000,0xfd8001ff,0xff003fff,0x005fffff,0x04ddd4c0,
    0xa9800000,0x200009ab,0x0009aa98,0x00d554c0,0x4ccca800,0x26200000,
    0x200001bb,0x0004ccca,0x4ddd4c00,0x51000000,0x00133577,0x03773100,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x55530000,0x55555555,0x99880055,0x33310099,0x33333003,0x31000001,
    0x00133333,0xaaaa9800,0xaaaaaaaa,0x36a00002,0x400000ce,0x00009999,
    0x02666600,0x33100000,0x30033333,0x2aa01555,0x4ccc402a,0x00000999,
    0x99998800,0x80000199,0x19999998,0xbcca8800,0x30000201,0x00001333,
    0x2a00ddcc,0x2000002c,0x99999998,0x99980009,0x00000009,0x33333331,
    0x00666000,0x7ffffe40,0x7fffffff,0x7fff4400,0x7fffe42f,0xfffff803,
    0xe8800004,0x03ffffff,0x3fff2000,0xffffffff,0xf900007f,0x0001dfff,
    0xfffffb10,0xd8800005,0x002fffff,0xffff1000,0xf7005fff,0xfff509ff,
    0xfffe880f,0x00003fff,0x3fffa200,0x00003fff,0x7fffffc4,0x7fe4002f,
    0x4c0dffff,0xfd88003f,0x0002ffff,0x82ffffa8,0x005fffe8,0x7f6e5d40,
    0xffffffff,0x3f62003f,0x0002ffff,0x7fffc400,0x3bb22fff,0x3ff220ee,
    0x2002efff,0xfffffffc,0x007fffff,0xcffffe88,0x03ffffe8,0x1fffff70,
    0x3f200000,0x003fffff,0xfffff900,0xffffffff,0xfff10000,0x80007fff,
    0xffffffe8,0xd100002f,0x5fffffff,0xff880000,0x000effff,0x339ffff5,
    0x00bffff7,0x3ffffff2,0x88000003,0x1efffffe,0x7fc40000,0x000effff,
    0x7fffffdc,0xffcacfff,0x3fa2003f,0x02ffffff,0x7ffffc00,0xfffffc87,
    0xffea8002,0xffffffff,0x003fffff,0xffffffd1,0x2000005f,0xeffffff8,
    0x8ffffec0,0xfffffffb,0xff9004ff,0xffffffff,0x22000fff,0xfffffffe,
    0x3e2003ff,0x0003ffff,0x3fffe600,0xc80003ff,0xffffffff,0x0007ffff,
    0xffffff98,0x3fa20005,0xffffffff,0x7f440003,0xffffffff,0xfd100003,
    0x0009ffff,0xfffffffd,0x4003ffff,0x3ffffff9,0x3a200000,0x004fffff,
    0xfffe8800,0xf98004ff,0xffffffff,0x4fffffff,0xffffd100,0x007fffff,
    0x3ffffe20,0x7fffec0f,0x3faa003f,0xffffffff,0xffffffff,0xfffe8803,
    0x03ffffff,0x7ff44000,0xffb04fff,0xffff93ff,0x9fffffff,0xddddd700,
    0xdddddddd,0xfffd8000,0x8002ffff,0x006ffffc,0x7fec4000,0x40003fff,
    0xeeeeeeeb,0x006eeeee,0xfffff880,0xfd10004f,0xffd17fff,0x220007ff,
    0xe8bffffe,0x0003ffff,0x7fffff44,0xfff30002,0x9fffffff,0xfffb1000,
    0x000007ff,0x5fffffd1,0xfd100000,0x0005ffff,0x2eb7ffa2,0xfffffffe,
    0xffd1005f,0xfffd17ff,0x3fe0007f,0xffc87fff,0xf5002fff,0xffffffff,
    0xffffffff,0xfe8807ff,0xffe8bfff,0x100003ff,0x05fffffd,0x7effffec,
    0xffffffff,0x0000ffff,0xfb000000,0x0005ffff,0x07ffffe6,0x3ee00000,
    0x0003ffff,0x00000000,0x03fffffb,0xdfffd100,0x3ffffd83,0x7fff4400,
    0x7fffec1e,0xffd10003,0x80001bff,0xffffffd8,0x7dc0002e,0x0003ffff,
    0x3ffffa20,0x8800000e,0x00dffffe,0x5c274400,0x0effffff,0xefffe880,
    0x1ffffec1,0x7fffdc00,0x6ffff883,0xfffff100,0x5dffffff,0x7fffff75,
    0x77fff440,0x1ffffec1,0x3ffa2000,0x7ec00dff,0xffffffff,0xffffffdf,
    0x0000004f,0x26666000,0x7ff40000,0x000005ff,0x03333310,0x00000000,
    0x3bff2200,0x33310001,0x26666013,0x4ccc4001,0x33333009,0x26662000,
    0x4c000019,0x0001acba,0x06666620,0x99988000,0x20000019,0x00199998,
    0x97500200,0x4cc40015,0x33330099,0x376a0003,0x033b2202,0x7fffff40,
    0x25ffffff,0x03fffff8,0x40266662,0x00019999,0x00ccccc4,0xffffffd8,
    0x7ffdc3ef,0x000006ff,0x00000000,0x3ffffea0,0x00000000,0x00400000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffffff70,0x4bffffff,0x03fffff8,
    0x00000000,0xfffd8000,0xff00ffff,0xccc8ffff,0x326003cc,0x0001cccc,
    0xfff00000,0x000009ff,0x44000000,0xcdfffeca,0x0000000a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffff9000,0xffffffff,0x7ffffc4b,0x00000003,0xfd800000,
    0x201fffff,0x20fffffd,0x006fffff,0x0bffffea,0x33333332,0x0009accc,
    0x7ffffb80,0x99930000,0x99999999,0x79999999,0xfffff700,0x07ffffff,
    0x666664c0,0xcccccccc,0x913ccccc,0x40007999,0x502cccc8,0x99999999,
    0x99999999,0x3332a079,0xcccccccc,0x03cccccc,0x99999993,0x99999999,
    0x32a07999,0xcccccccc,0xcccccccc,0x99999903,0x13579999,0x66665400,
    0xcc88003c,0x99304ccc,0x99999999,0x99999999,0x333332a7,0xccc88003,
    0x3332a4cc,0xc88003cc,0x7f44cccc,0xffffffff,0x3fe25fff,0x665c3fff,
    0x32a004cc,0xcc80cccc,0xcccccccc,0xcccccccc,0xffffb3cc,0xfffc805f,
    0x3fffe0ff,0x3fea006f,0xfff82fff,0xffffffff,0x0004efff,0x05fffff1,
    0xffff7000,0xffffffff,0x0dffffff,0x7ffffec4,0xffffffff,0xffff7005,
    0xffffffff,0x2dffffff,0x006ffff8,0x13fffe60,0x7fffffec,0xffffffff,
    0xffb05fff,0xffffffff,0xbfffffff,0x3ffffee0,0xffffffff,0xb06fffff,
    0xffffffff,0xffffffff,0x3fffe0bf,0xffffffff,0xf9802eff,0x000fffff,
    0x1fffffe4,0xffffffb8,0xffffffff,0xff36ffff,0x8001ffff,0x23fffffc,
    0x0ffffff9,0x7fffe400,0x7ffffc3f,0xffffffff,0x3ffffe25,0x3ffffec3,
    0xfffff900,0xfffff881,0xffffffff,0x5fffffff,0x00fffffb,0x41fffff7,
    0x006fffff,0x0bffffea,0x3ffffffe,0xffffffff,0xfd8002ef,0x80006fff,
    0xfffffffb,0xffffffff,0xff306fff,0xffffffff,0x1dffffff,0xfffffb80,
    0xffffffff,0xf16fffff,0x4000ffff,0xb03ffffa,0xffffffff,0xffffffff,
    0x3fff60bf,0xffffffff,0x05ffffff,0xfffffff7,0xffffffff,0x3f60dfff,
    0xffffffff,0xffffffff,0xffffff05,0xffffffff,0xfd803fff,0x2004ffff,
    0x0ffffff8,0xffffff70,0xffffffff,0x7ecdffff,0x2004ffff,0x0ffffff8,
    0x27ffffec,0xfffff100,0x7fffcc1f,0xffffffff,0x3fffe25f,0x7fffec3f,
    0x3fff2007,0x7ffc40ff,0xffffffff,0xffffffff,0xfffffb5f,0xfffff700,
    0x37ffffc1,0xfffff500,0xffffff05,0xffffffff,0x001bffff,0x0fffffcc,
    0x3ffee000,0xffffffff,0x6fffffff,0xffffffd0,0xffffffff,0xfb80bfff,
    0xffffffff,0xffffffff,0x1ffffe6f,0xffffa800,0xfffffb03,0xffffffff,
    0x360bffff,0xffffffff,0xffffffff,0xffff705f,0xffffffff,0x0dffffff,
    0x3ffffff6,0xffffffff,0xfff05fff,0xffffffff,0x1fffffff,0x7ffffcc0,
    0xfff9000f,0x7fdc07ff,0xffffffff,0xffffffff,0x3ffffe66,0xfff9000f,
    0xfff307ff,0x32001fff,0x443fffff,0xffffffff,0x225fffff,0x6c3fffff,
    0x2007ffff,0x40fffffc,0xfffffff8,0xffffffff,0xfb5fffff,0xf700ffff,
    0x7fc1ffff,0x2a006fff,0xf82fffff,0xffffffff,0xffffffff,0x7f4006ff,
    0x40005fff,0xfffffffb,0xffffffff,0xffb86fff,0x89bdffff,0xffffffca,
    0x3ffee01f,0xffffffff,0x6fffffff,0x001ffffe,0x02ffffa8,0xfffffffb,
    0xffffffff,0x3ff60bff,0xffffffff,0x5fffffff,0xffffff70,0xffffffff,
    0x360dffff,0xffffffff,0xffffffff,0xfffff05f,0xffffffff,0x01dfffff,
    0x27ffffec,0x7ffffc40,0x7fffdc07,0xffffffff,0x46ffffff,0x04fffffd,
    0x7fffff88,0x3fffff60,0xffff8804,0xffffd07f,0xffffffff,0x7ffffc4b,
    0x3ffffec3,0xfffff900,0xfffff881,0xffffffff,0x5fffffff,0x00fffffb,
    0x41fffff7,0x006fffff,0x0bffffea,0x27bffffe,0xffedba99,0x003fffff,
    0x03ffffea,0x7fec0000,0xf1000fff,0x409fffff,0x5ffffff9,0xffffb000,
    0xffff001f,0x7fd4000f,0xfffb02ff,0x333335ff,0x01333333,0x2bfffff6,
    0x99999999,0xd8000999,0x000fffff,0x57ffffec,0x99999999,0xfff00999,
    0x53333dff,0xfffffffb,0x7fffcc05,0x7fe400ff,0x20003fff,0x00fffffd,
    0xffffff30,0xffffc801,0x3ffe603f,0x7e400fff,0xfb03ffff,0xffffffff,
    0x7fc4bfff,0x7fec3fff,0x3f2007ff,0xcc80ffff,0xcccccccc,0xffffeccc,
    0xffffb3ff,0xffff700f,0x7ffffc1f,0x3ffea006,0xffff82ff,0x7ffe405f,
    0x2000ffff,0x003fffff,0xffffb000,0x3fee001f,0xf9805fff,0x000fffff,
    0x0fffffd8,0x07fffe80,0x3fffee00,0xfffffb01,0x3f600001,0x0000ffff,
    0xffffd800,0x7fec000f,0x00000fff,0x40bfffff,0x4ffffff8,0x7ffffec0,
    0x3fffe203,0x7ec0007f,0x2000ffff,0x03fffffd,0x1fffffe2,0x3fffff60,
    0x3fffe203,0x3ffee07f,0xffffffff,0x3fffe25f,0x7fffec3f,0x3fff2007,
    0x880000ff,0x25ffffff,0x807ffffd,0x20fffffb,0x006fffff,0x0bffffea,
    0x017ffffe,0x3fffffea,0x3fff2004,0xb000007f,0x001fffff,0x1ffffff1,
    0x3ffff600,0xffd8004f,0xfe800fff,0x70000fff,0x3603ffff,0x000fffff,
    0xfffffb00,0xb0000001,0x001fffff,0x0fffffd8,0xffff0000,0xfffa80bf,
    0x7fcc06ff,0x3f207fff,0x0003ffff,0x07ffffec,0xfffff300,0x7fffe40f,
    0xfff9803f,0x3ff207ff,0x3e203fff,0xffffffff,0x3fe25fff,0x7fec3fff,
    0x3f2007ff,0x0000ffff,0xffffffd8,0x1fffff60,0x3ffffee0,0x1bffffe0,
    0xfffffa80,0x5fffff82,0xfffff900,0x3fe2001f,0x00002fff,0x0fffffd8,
    0xfffffa80,0x3ffee006,0xfd8006ff,0xd800ffff,0x0000ffff,0x203ffff7,
    0x00fffffd,0xffffb000,0x0000001f,0x01fffffb,0xfffffd80,0xfff00000,
    0xff880bff,0xfd807fff,0xf883ffff,0x0007ffff,0x0fffffd8,0x7fffec00,
    0xffff883f,0x3ff6007f,0xff883fff,0xf9807fff,0xffffffff,0x3ffe25ff,
    0x7ffec3ff,0x3ff2007f,0x40000fff,0x2ffffffb,0x03ffffec,0x07ffffdc,
    0x00dfffff,0x17ffffd4,0x02fffffc,0xffffff88,0x3fff6002,0xd800006f,
    0x800fffff,0x03fffffc,0x3ffffe20,0xfffd8007,0xffd800ff,0xaaa980ff,
    0x0ffffc80,0x1fffffb0,0x3ff60000,0x00000fff,0xfffffd80,0x7ffec000,
    0xf00000ff,0xf00bffff,0x300fffff,0x90ffffff,0x007fffff,0xfffffb00,
    0xfff98001,0xfffc87ff,0x3e6003ff,0xfc87ffff,0x7003ffff,0xffffffff,
    0x7ffc4bff,0x7ffec3ff,0x3ff2007f,0x20000fff,0x5ffffff8,0x07ffffd8,
    0x0fffffb8,0x01bffffe,0x2fffffa8,0x05fffff8,0x3fffff60,0x3ffe6003,
    0x400001ff,0x00fffffd,0x1fffffd8,0x7ffff400,0xfffd8007,0xffd800ff,
    0xfffd81ff,0x0ffffc82,0x1fffffb0,0x3ff60000,0x00000fff,0xfffffd80,
    0x7ffec000,0xf00000ff,0x980bffff,0x006fffff,0x45fffffb,0x06fffff8,
    0xffffb000,0xffb0001f,0x7fc45fff,0xd8006fff,0x222fffff,0x006fffff,
    0x7fffff5c,0x3fe25fff,0x7fec3fff,0x3f2007ff,0x0000ffff,0x3ffffff6,
    0x7ffffd80,0xfffffb80,0x1bffffe0,0xfffffa80,0x5fffff82,0x3fffea00,
    0x7ff4004f,0x400004ff,0x00fffffd,0x1ffffff8,0x7ffff400,0x7fec000f,
    0xfc800fff,0xfff81fff,0x7fffc85f,0x3fffff60,0xffb00000,0x00001fff,
    0xfffffb00,0xfffd8001,0xf00000ff,0xc80bffff,0x004fffff,0x4dfffff3,
    0x03fffffb,0xffffb000,0xff30001f,0x7fdcdfff,0x98003fff,0x2e6fffff,
    0x003fffff,0xfffffd50,0x7fffc4bf,0x7fffec3f,0x3fff2007,0xf70000ff,
    0x205fffff,0x807ffffd,0x20fffffb,0x006fffff,0x0bffffea,0x017ffffe,
    0x5fffffa8,0x7fffdc00,0x3600000f,0x800fffff,0x00ffffff,0x7ffffec0,
    0x7ffec001,0xffc800ff,0x7ffd41ff,0x7fffc87f,0x3fffff60,0x9999999a,
    0x3f601999,0x999affff,0x19999999,0xffffb000,0xffd8001f,0x9999afff,
    0x01999999,0x817ffffe,0x1ffffffb,0x3ffff600,0xdffffd2f,0x7fec0000,
    0xb0000fff,0x3a5fffff,0x0006ffff,0x4bfffff6,0x006ffffe,0xfedcba80,
    0x3ffffe25,0x7ffffec3,0xaaaaaaaa,0xfffffdaa,0xfff88000,0x3f605fff,
    0xfb807fff,0x3fe0ffff,0x2a006fff,0xf82fffff,0x2005ffff,0x06fffff9,
    0x7ffffc40,0x3f600003,0xf800ffff,0x8007ffff,0x02fffffd,0x7ffffec0,
    0xffffb800,0x7ffffe41,0x03fffec2,0xfffffffb,0xffffffff,0x3ff601ff,
    0xffffffff,0x0fffffff,0xffffd800,0x7fec000f,0xffffffff,0x0fffffff,
    0x3dfffff0,0xfffd7533,0x98009fff,0xfadfffff,0x0003ffff,0x3fffff60,
    0xfff30000,0xffff5bff,0x7cc0007f,0xffadffff,0x00003fff,0xfffff100,
    0xfffffd87,0xffffffff,0xffffffff,0xfffd8000,0x3f600fff,0xfb807fff,
    0x3fe0ffff,0x2a006fff,0xf82fffff,0x2005ffff,0x07fffff8,0x7ffffc80,
    0x3ff60000,0x7c400fff,0x8007ffff,0x03fffffc,0x7ffffec0,0xffffb800,
    0x7fffffc2,0x037ffec4,0xfffffffb,0xffffffff,0x3ff601ff,0xffffffff,
    0x0fffffff,0xffffd800,0x7fec000f,0xffffffff,0x0fffffff,0xfffffff0,
    0xffffffff,0x360009ff,0xffefffff,0x400006ff,0x00fffffd,0x3ffff600,
    0x06ffffef,0xffffd800,0x06ffffef,0x3e200000,0x7ec3ffff,0xffffffff,
    0xffffffff,0x4000ffff,0x2ffffffb,0x3ffffec0,0x7ffffdc0,0x1bffffe0,
    0xfffffa80,0x5fffff82,0x3fffe200,0x7c4000ff,0x0002ffff,0x1fffffb0,
    0xffffff00,0xffff9000,0xffd8007f,0xfa800fff,0x3fe62fff,0x7ec7ffff,
    0x3ff606ff,0xffffffff,0x0fffffff,0xffffffb0,0xffffffff,0xb0001fff,
    0x001fffff,0xffffffd8,0xffffffff,0xfff00fff,0xffffffff,0x005dffff,
    0x7ffffcc0,0x002fffff,0x7fffec00,0x3e60000f,0xffffffff,0xf980002f,
    0xffffffff,0x0000002f,0x0fffffe2,0xfffffffb,0xffffffff,0x01ffffff,
    0x7ffffc40,0xfffd804f,0xfffc807f,0x3fffe0ff,0x3fea006f,0xfff82fff,
    0x3e2005ff,0x0007ffff,0x00dffffb,0x3ffff600,0xffff800f,0x7ec000ff,
    0x4002ffff,0x00fffffd,0x22ffffa8,0xfffffffc,0x817fffa1,0xfffffffd,
    0xffffffff,0xfffb00ff,0xffffffff,0x01ffffff,0xfffffb00,0xfffd8001,
    0xffffffff,0x00ffffff,0xffffffff,0x01dfffff,0x3fff6000,0x006fffff,
    0xffffd800,0x7ec0000f,0x6fffffff,0x3ff60000,0x06ffffff,0x7c400000,
    0x7ec3ffff,0xffffffff,0xffffffff,0x2000ffff,0x0efffffd,0x3f600000,
    0x7ffc7fff,0x3ea006ff,0xff82ffff,0x26005fff,0x006fffff,0x3fffff50,
    0xfffb0000,0xffd001ff,0xd8001fff,0x002fffff,0x07ffffec,0x1ffffcc0,
    0xfffffffd,0x02ffff49,0x99fffffb,0x99999999,0x3ff60199,0xcccccfff,
    0x0ccccccc,0xffffd800,0x7fec000f,0xcccccfff,0x0ccccccc,0xfffffff0,
    0xdfffffff,0xff300003,0x05ffffff,0xfffb0000,0x980001ff,0xffffffff,
    0x3e600002,0x2fffffff,0x44000000,0x6c3fffff,0xcccfffff,0xeccccccc,
    0x000fffff,0x5ffffff7,0xfe800000,0x7ffc6fff,0x3ea006ff,0xff82ffff,
    0x2a005fff,0x005fffff,0x13ffffa0,0x3fff6000,0xffd800ff,0x74001fff,
    0x001fffff,0x07ffffec,0x9ffffcc0,0xffdefff8,0x13fffa6f,0x0fffffd8,
    0xfffb0000,0x000001ff,0x1fffffb0,0xffffd800,0xff00000f,0xfb75dfff,
    0x00dfffff,0x3ffff600,0x000006ff,0x01fffffb,0xffffb000,0x00000dff,
    0xdffffffb,0x10000000,0xd87fffff,0x2007ffff,0x00fffffc,0xffffff88,
    0x44000004,0x7c4fffff,0x2006ffff,0x81fffffb,0x005fffff,0x13ffffee,
    0xffffb800,0x7ec0000f,0xc800ffff,0x002fffff,0x03fffffc,0x7ffffec0,
    0xffff9800,0xf77fff73,0x3ffa1fff,0x3fff604f,0xb00000ff,0x001fffff,
    0xfffb0000,0xfd8001ff,0x0000ffff,0x8bfffff0,0x4ffffff9,0xfff98000,
    0x00002fff,0x1fffffb0,0xfff30000,0x00005fff,0xffffff30,0x00000005,
    0x87fffff1,0x007ffffd,0x03fffff2,0x3fffff60,0xd8000006,0x743fffff,
    0x2006ffff,0x80fffffc,0x005fffff,0x0ffffff2,0xffff8800,0x7ec0003f,
    0xb800ffff,0x005fffff,0x1bffffe6,0x3ffff600,0xfff8800f,0x33fffd4f,
    0x3fe7ffff,0x3ff604ff,0x00000fff,0x01fffffb,0xffb00000,0xd8001fff,
    0x000fffff,0xbfffff00,0xffffff50,0xffd00003,0x00000fff,0x07ffffec,
    0xfffe8000,0x2000007f,0x007ffffe,0xff300000,0xffd85fff,0x3f2007ff,
    0x5c00ffff,0x01ffffff,0x3f620000,0x6c0fffff,0x2007ffff,0xf07ffffc,
    0x200bffff,0x1ffffff8,0x7ffe4000,0x7ec0006f,0xa800ffff,0x007fffff,
    0x13fffff2,0x3ffff600,0xfff8800f,0x27fff8cf,0xfff5fffe,0x7ffec07f,
    0xb00000ff,0x001fffff,0xfffb0000,0xfd8001ff,0x0000ffff,0x0bfffff0,
    0x17fffff6,0x3fffa000,0x2000007f,0x00fffffd,0xffffd000,0x7400000f,
    0x0007ffff,0xfff50000,0xfffd83ff,0x3ff2007f,0x3e200fff,0x004fffff,
    0xffff9000,0xf905ffff,0x2003ffff,0xf05ffffe,0x200bffff,0x06fffffc,
    0xffff9800,0x3f60002f,0xd000ffff,0x005fffff,0x1ffffff1,0xffffb000,
    0x3ffe001f,0x25fffacf,0xff8ffffc,0x3ff603ff,0x00000fff,0x01fffffb,
    0xffb00000,0xd8001fff,0x000fffff,0xbfffff00,0x3ffffe60,0x7f40000f,
    0x00007fff,0x3fffff60,0xffd00000,0x00000fff,0x03fffff4,0xfb800000,
    0xffd87fff,0x3f2007ff,0x3600ffff,0x006fffff,0x3fffa000,0xf705ffff,
    0x500bffff,0x209fffff,0x805fffff,0x1ffffff9,0xfffb0000,0x7ec000bf,
    0x7000ffff,0x03ffffff,0x4fffffe8,0xffffb000,0x3ffe001f,0x22fffcdf,
    0xffaffff9,0x3ff602ff,0x00000fff,0x01fffffb,0xffb00000,0xd8001fff,
    0x000fffff,0xbfffff00,0x7fffff40,0x7ff40004,0x000007ff,0x03fffff6,
    0x7fff4000,0x2000007f,0x007ffffe,0xfe800200,0xffd86fff,0x3f2007ff,
    0xf700ffff,0x003fffff,0x7fff4000,0xf300cfff,0x407fffff,0x1fffffe9,
    0x0bfffff0,0xffffffb8,0x3ea00005,0x0001ffff,0x01fffffb,0x3ffffe20,
    0x7ecc0aff,0x000fffff,0x1fffffb0,0x37fffe00,0xfff87fff,0x02ffffdf,
    0x03fffff6,0x7ffec000,0x000000ff,0x0fffffd8,0x7fffec00,0xff00000f,
    0x7d40bfff,0x000fffff,0x1fffffa0,0xffd80000,0x00000fff,0x00fffffd,
    0x7fff4000,0x3200007f,0x7ffe401e,0xfffd85ff,0x3ff2007f,0xff880fff,
    0x0004ffff,0x7ffff400,0xfffc801e,0xa9abdfff,0x4ffffffc,0x17ffffe0,
    0x3ffff6a6,0x00001fff,0x027ffff4,0xfffffd80,0x3fff2000,0xfdefffff,
    0x3fffffff,0x3fff6000,0xffd000ff,0x90bfffff,0xffffffff,0x7fffec03,
    0xfb00000f,0x0001ffff,0xffffb000,0xffd8001f,0x00000fff,0x80bfffff,
    0x04ffffff,0x3ffffa00,0x36000007,0x000fffff,0xfffffd00,0x7f400000,
    0x00007fff,0x137bfff5,0xfffffd53,0xffffb01f,0x7ffe400f,0xfffd80ff,
    0x99999fff,0x99999999,0x2af32001,0x3ffe2001,0xffffffff,0x06ffffff,
    0x77fffffc,0xffffffee,0x0004ffff,0xfffffb80,0xddddd500,0xdffffffd,
    0x10bddddd,0xfffffffd,0xffffffff,0xddd500df,0xfffffddd,0xbddddddf,
    0xffffffe8,0xffffa82f,0x3601ffff,0xeeefffff,0xeeeeeeee,0xffffb04e,
    0xdddddddf,0x209ddddd,0xfeeeeeea,0xeeefffff,0xffb05eee,0xdddddfff,
    0x9ddddddd,0x17ffffe0,0xffffff70,0x3ffa0001,0x540007ff,0xffeeeeee,
    0xeeeeffff,0x7f4005ee,0x00007fff,0x1fffffa0,0x3ffe2000,0xffffffff,
    0xb03fffff,0x400fffff,0x40fffffc,0xfffffffa,0xffffffff,0x007fffff,
    0x3fee0000,0xffffffff,0x01ffffff,0x7ffffffc,0xffffffff,0x00002fff,
    0x7fffff10,0x3ffffee0,0xffffffff,0x106fffff,0xfffffffb,0xbfffffff,
    0xffff7001,0xffffffff,0x8dffffff,0xfffffffd,0xffffff00,0x7fec01ff,
    0xffffffff,0x5fffffff,0xffffffb0,0xffffffff,0x3ee0bfff,0xffffffff,
    0xffffffff,0xffffb06f,0xffffffff,0x20bfffff,0x405fffff,0x3ffffff8,
    0xffffd000,0xffb8000f,0xffffffff,0xffffffff,0x7fff4006,0x2000007f,
    0x007ffffe,0xfffffb80,0xffffffff,0x3ff605ff,0x3f2007ff,0x7e40ffff,
    0xffffffff,0xffffffff,0x22007fff,0x400199a9,0xffffffe9,0x0dffffff,
    0xffffff80,0xffffffff,0x00000dff,0x37fffe40,0xffffffb8,0xffffffff,
    0x6406ffff,0xffffffff,0x2002ffff,0xfffffffb,0xffffffff,0x7fec6fff,
    0x3605ffff,0x0fffffff,0x3fffff60,0xffffffff,0xfb05ffff,0xffffffff,
    0xffffffff,0x3fffee0b,0xffffffff,0x06ffffff,0xfffffffb,0xffffffff,
    0x3ffe0bff,0xffc805ff,0x8000ffff,0x007ffffe,0x7ffffdc0,0xffffffff,
    0x006fffff,0x03fffff4,0xfffd0000,0x2a0000ff,0xfffffffe,0x403fffff,
    0x007ffffd,0x03fffff2,0xfffffff9,0xffffffff,0x40ffffff,0xfffffed9,
    0x2005efff,0xffffffeb,0x3e002dff,0xffffffff,0x02ffffff,0xff300000,
    0xff705fff,0xffffffff,0xffffffff,0xffdb500d,0x01bdffff,0xfffffb80,
    0xffffffff,0x646fffff,0x03ffffff,0x3fffffea,0x3fff600f,0xffffffff,
    0x05ffffff,0xfffffffb,0xffffffff,0x3fee0bff,0xffffffff,0xffffffff,
    0xfffffb06,0xffffffff,0x3e0bffff,0x9805ffff,0x03ffffff,0x7ffffe80,
    0x7ffdc000,0xffffffff,0x6fffffff,0x7ffff400,0x3a000007,0x0007ffff,
    0x7ffff5c0,0x800cffff,0x007ffffd,0x03fffff2,0xfffffff9,0xffffffff,
    0x50ffffff,0xfffffffd,0x01ffffff,0x13775300,0x3fffe000,0xdeefffff,
    0x0000001b,0x3ffee000,0xffffffff,0x6fffffff,0x0ddcc400,0x3ffee000,
    0xffffffff,0x6fffffff,0x7fffffe4,0x3fffe200,0x7fec07ff,0xffffffff,
    0x5fffffff,0xffffffb0,0xffffffff,0x3ee0bfff,0xffffffff,0xffffffff,
    0xffffb06f,0xffffffff,0x20bfffff,0x005fffff,0x0ffffffb,0xfffffd00,
    0xfffb8000,0xffffffff,0x6fffffff,0x7ffff400,0x3a000007,0x0007ffff,
    0x26aea600,0x7ffec000,0x3ff2007f,0x7fe40fff,0xffffffff,0xffffffff,
    0x7ffd47ff,0xffffffff,0x0000ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0xfffffff9,0xffffffff,0xdb50000f,0x4c400019,0x33300999,0xca880033,
    0x000201bc,0x4cccc000,0x26662009,0x33331009,0x53000000,0x00135797,
    0x00133330,0x26200000,0x80199999,0x30099998,0x4c403333,0x00099999,
    0x98800000,0x80199999,0x5500aaa9,0xa8000055,0x20000ced,0x65401bb9,
    0x2aaa6002,0x00555500,0x5555554c,0x02aaaaaa,0x2aaaa600,0xaaaaaaaa,
    0x2aaa6002,0xaaaaaaaa,0x0000002a,0xdfffffb0,0xfdb98815,0xfffc8000,
    0xd10000ef,0xfd83ffff,0x32003fff,0x0dffffff,0x00001fcc,0x3ffffe60,
    0x3fffa202,0x7fffe42f,0x2e000003,0xffffffff,0x3ff62002,0x00002fff,
    0x7fffcc00,0xe8802fff,0x7ec1ffff,0x3a203fff,0x03ffffff,0x22000000,
    0x2fffffff,0x84fffb80,0x0007fffa,0x3bffff20,0xfffa8000,0xfffe882f,
    0x9fff7005,0x00ffff50,0x7fffffe4,0x07ffffff,0x3ffff200,0xffffffff,
    0x3fff2007,0xffffffff,0x2a60007f,0xdeffffdc,0x7ffffc1b,0x2000002f,
    0x3ffffff8,0x3ffa2000,0xfffe9bff,0x3fee002f,0xcfffffff,0x003fffca,
    0x3fff2000,0xffe8806f,0xfffe8cff,0x5000003f,0xfffffffd,0x3a2005ff,
    0x2fffffff,0xf3000000,0x01dfffff,0x7ffff440,0x2ffffe9b,0xfffff900,
    0x0000007f,0xffffff10,0x3fea001d,0xffb99cff,0x100005ff,0x07ffffff,
    0xffffff00,0x5fffff90,0x9ffff500,0xbffff733,0x7fffe400,0xffffffff,
    0x3ff20007,0xffffffff,0x3f2007ff,0xffffffff,0xb8007fff,0xffffffff,
    0xf33fffff,0x000dffff,0xffff9800,0x440005ff,0xfffffffe,0x3e6002ff,
    0xffffffff,0x4fffffff,0xff100000,0x22007fff,0xfffffffe,0x000003ff,
    0xfffffff1,0x1005ffff,0xfffffffd,0x000007ff,0xffffff98,0xffd10003,
    0x5fffffff,0xffff9800,0x000003ff,0x3ffffa20,0xffe8004f,0xffffffff,
    0xf300001f,0x00bfffff,0xffffff88,0x7ffffec0,0xffffd003,0x3fffffff,
    0x7fffe400,0xffffffff,0x3ff20007,0xffffffff,0x3f2007ff,0xffffffff,
    0x22007fff,0xfffffffd,0x3fffffff,0x5ffffff3,0x7c400000,0x004fffff,
    0xffffe880,0x44002fff,0xfebadffe,0x5fffffff,0x3ee00000,0x4000ffff,
    0xfffffffd,0x3a000002,0xffffffff,0x74402fff,0xfe8bffff,0x00003fff,
    0xffffff10,0xfe880003,0x02ffffff,0xffffb100,0x0000007f,0x5fffffd1,
    0x3ffe6000,0x4fffffff,0x3fe20000,0x8004ffff,0xc87fffff,0x002fffff,
    0xfffffff3,0xb8009fff,0xeeeeeeee,0x0006eeee,0x3bbbbbae,0x06eeeeee,
    0x3bbbbae0,0x6eeeeeee,0xfffff500,0xffffffff,0x3fe27fff,0x00cfffff,
    0xfffb0000,0x200003ff,0x1fffffd8,0x709d1000,0x1dffffff,0x7f400000,
    0xb0004fff,0x005fffff,0x7ffdc000,0x9889cfff,0x3ffa200a,0x7ffec1ef,
    0x4400003f,0x00dfffff,0xfffb1000,0x700003ff,0x007fffff,0x7ff44000,
    0x40000dff,0xffffffd8,0xd800002e,0x001fffff,0x83ffffb8,0x006ffff8,
    0x7ffffec4,0x000002ef,0x00000000,0x00000000,0x3fffffea,0xffffffff,
    0x3ffa3fff,0xbeffffff,0x32200000,0x00001eff,0x00099998,0x32ea0040,
    0x4000000a,0x01fffffa,0x02666600,0xffb00000,0x20005fff,0x30099998,
    0x00003333,0x01999988,0x33330000,0x4c400001,0x00001999,0x06666620,
    0x97530000,0x40000035,0x001effc8,0x880b76a0,0x30000cec,0x00035975,
    0x00000000,0x00000000,0xfffff000,0x26379fff,0x263ffda9,0xffffffff,
    0x000befff,0x00000000,0x00000000,0xfb000000,0x0000dfff,0xf8000000,
    0x0005ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xff700000,0x001dffff,
    0xfffa8551,0xffffffff,0x000004ff,0x00000000,0x00000000,0x7fffc400,
    0x0000002f,0x3fe60000,0x00003fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x66666400,0x30001ccc,
    0x99999999,0x99999999,0x332a0799,0xcccccccc,0x3ccccccc,0x7fffffc4,
    0xfb100005,0xffffffff,0x3201dfff,0xcccccccc,0xcccccccc,0xccc83ccc,
    0xcccccccc,0xcccccccc,0x3332003c,0x001ccccc,0x7ffe4000,0x9999007f,
    0x57999999,0x70000013,0x003fffff,0x66666400,0x00001ccc,0x99999930,
    0x99999999,0x33332a01,0xcccccccc,0x003ccccc,0x33333332,0x3260001c,
    0x0001cccc,0x66666400,0x20001ccc,0xccccccca,0xcccccccc,0x999503cc,
    0x99999999,0x07999999,0x3333332a,0xcccccccc,0xf1003ccc,0x9fffffff,
    0x3ffee000,0xffffffff,0x6fffffff,0xffffffb0,0xffffffff,0xffc8bfff,
    0x00007fff,0xffffeb88,0x86ffffff,0xfffffff8,0xffffffff,0x445fffff,
    0xffffffff,0xffffffff,0x1005ffff,0xffffffff,0x44000009,0x003fffff,
    0xffffffff,0x5dffffff,0x7fe40000,0x00000fff,0xfffffff1,0x2000009f,
    0xfffffffc,0x0fffffff,0xffffffb0,0xffffffff,0x2200bfff,0xffffffff,
    0x3fea0004,0x00003fff,0x3ffffe20,0x20004fff,0xfffffffd,0xffffffff,
    0xfffb05ff,0xffffffff,0x0bffffff,0x3ffffff6,0xffffffff,0xf7005fff,
    0xdfffffff,0x3ffee000,0xffffffff,0x6fffffff,0xffffffb0,0xffffffff,
    0x7fc4bfff,0x0003ffff,0x7ff5cc00,0x43ffffff,0xfffffff8,0xffffffff,
    0x445fffff,0xffffffff,0xffffffff,0x7005ffff,0xffffffff,0x5c00000d,
    0x000fffff,0xffffffff,0xffffffff,0xfb00003f,0x0000ffff,0x7fffffdc,
    0x800006ff,0xfffffff8,0xffffffff,0xfffffb00,0xffffffff,0x200bffff,
    0xfffffffb,0x3ea0006f,0x0003ffff,0x3fffee00,0x0006ffff,0x3ffffff6,
    0xffffffff,0xffb05fff,0xffffffff,0xbfffffff,0x3fffff60,0xffffffff,
    0xb005ffff,0xffffffff,0xff70001f,0xffffffff,0xffffffff,0x3ffff60d,
    0xffffffff,0x265fffff,0x00ffffff,0x36600000,0x44ffffff,0xfffffff8,
    0xffffffff,0x445fffff,0xffffffff,0xffffffff,0xb005ffff,0xffffffff,
    0x2000001f,0x005ffffe,0x3ffffffe,0xffffffff,0x40000fff,0x006ffffe,
    0x3ffff600,0x000fffff,0x7fffdc00,0xffffffff,0xffb00fff,0xffffffff,
    0xbfffffff,0x3ffff600,0x000fffff,0x7fffff50,0x7ec00000,0xffffffff,
    0xfffb0000,0xffffffff,0x0bffffff,0x3ffffff6,0xffffffff,0xffb05fff,
    0xffffffff,0xbfffffff,0x3ffffe00,0x003fffff,0xffffffb8,0xffffffff,
    0xfb06ffff,0xffffffff,0xffffffff,0x7ffffd4b,0x00000005,0x8dfffffb,
    0xfffffff8,0xffffffff,0x445fffff,0xffffffff,0xffffffff,0xf005ffff,
    0xffffffff,0x3000007f,0x003fffff,0x7ffffffc,0xffffffff,0x0000efff,
    0x017ffffe,0xfffff800,0x003fffff,0x7ffff400,0xffffffff,0xffb00fff,
    0xffffffff,0xbfffffff,0x3ffffe00,0x003fffff,0x7fffff50,0x7fc00000,
    0xffffffff,0xfffb0003,0xffffffff,0x0bffffff,0x3ffffff6,0xffffffff,
    0xffb05fff,0xffffffff,0xbfffffff,0xfffff500,0x00bfffff,0xffffd800,
    0x7fec000f,0x9999afff,0x09999999,0x13ffffee,0x54000000,0xc85fffff,
    0xcccccccc,0xfffecccc,0xccc83fff,0xcccccccc,0xfffffecc,0xfffa803f,
    0x5fffffff,0xffd80000,0x7fc006ff,0x9999efff,0xffffffda,0x3fe0002f,
    0x00004fff,0xfffffff5,0x0000bfff,0x7f7fffcc,0xd8006fff,0x99afffff,
    0x99999999,0xfffa8009,0x5fffffff,0xffff5000,0x2000007f,0xfffffffa,
    0xb0005fff,0x335fffff,0x33333333,0x3fff6013,0x99999aff,0x00999999,
    0x35fffffb,0x33333333,0xff900133,0xffffddff,0xfd80000f,0x4000ffff,
    0x00fffffd,0x3ffff600,0x2980003f,0x7ffff400,0xf880003f,0x005fffff,
    0xfffff100,0x3ff200bf,0xffffeeff,0x7c400007,0x4002ffff,0x205fffff,
    0x4ffffff8,0x7fffffc0,0xffffffff,0x00ffffff,0xddffff90,0x000fffff,
    0x5ffffe40,0x8006ffff,0x00fffffd,0xfffc8000,0x7ffffeef,0xffff5000,
    0x2000007f,0xfeeffffc,0xb0007fff,0x001fffff,0x3ffff600,0xfb00000f,
    0x0001ffff,0x7fffff00,0x05fffff9,0x7ffec000,0x7ec000ff,0x0000ffff,
    0x0bfffffa,0x37fea000,0x7e54409a,0x001fffff,0xfffffd80,0xfb00000f,
    0x001fffff,0x32fffffe,0x002fffff,0x3ffff200,0xffff8007,0x7ffd405f,
    0x7ffc06ff,0xffffffff,0xffffffff,0xffff000f,0xfffff97f,0x3fe00005,
    0xffff9eff,0xfffd8006,0x800000ff,0xfcbfffff,0x8002ffff,0x03fffffa,
    0xffff0000,0xfffff97f,0xfffb0005,0x200001ff,0x00fffffd,0xffffb000,
    0x9800001f,0xfa9fffff,0x0004ffff,0x3fffff60,0x7ffec000,0x3e0000ff,
    0x001fffff,0xfffffa80,0xffffefff,0x0006ffff,0xffffffb8,0xff700002,
    0x2005ffff,0xa9fffff9,0x004fffff,0x3ffffe00,0xffff8004,0x7ffc405f,
    0x7ffc07ff,0xffffffff,0xffffffff,0xfff9800f,0xffffa9ff,0xfa80004f,
    0xfff9bfff,0xffd8006f,0x00000fff,0x4fffffcc,0x04fffffa,0xfffffa80,
    0xf9800003,0xffa9ffff,0xd8004fff,0x000fffff,0xfffffb00,0x3f600001,
    0x0000ffff,0xbffffdc0,0x06fffff8,0x3fff6000,0x7ec000ff,0x0000ffff,
    0x0bfffffe,0x3ffea000,0xffffffff,0x00efffff,0x7fffc400,0x100005ff,
    0x0bffffff,0xbffffdc0,0x06fffff8,0xffff5000,0xfff0001f,0xfff00bff,
    0xfff80fff,0xffffffff,0xffffffff,0xfffb800f,0xfffff17f,0xffb0000d,
    0xffff31ff,0xfffb000d,0x800001ff,0xf17ffffb,0x000dffff,0x07fffff5,
    0xfff70000,0x3fffe2ff,0xffd8006f,0x00000fff,0x01fffffb,0x3fff6000,
    0x400000ff,0x365ffffe,0x000fffff,0xfffffb00,0xfffd8001,0x3a0000ff,
    0x003fffff,0xfffffa80,0xffffffff,0x80000eff,0x0ffffffd,0xfffb0000,
    0x74001fff,0x3f65ffff,0x0000ffff,0x05ffffe8,0xbfffff00,0xfffff980,
    0x66666406,0xcfffffec,0x0ccccccc,0x5ffffe80,0x03fffff6,0xffff8800,
    0x0dffff36,0xfffffb00,0xfe800001,0x3ff65fff,0x54000fff,0x003fffff,
    0xffffe800,0x3fffff65,0x7ffec000,0xb00000ff,0x001fffff,0x3ffff600,
    0x2200000f,0x2e2fffff,0x003fffff,0xfffffb00,0xfffd8001,0x360000ff,
    0x003fffff,0xffffd980,0xffffffff,0xf700001c,0x005fffff,0x3fffee00,
    0x3e2002ff,0x3ee2ffff,0x0003ffff,0x0fffffcc,0xfffff800,0x7fffe405,
    0xffd0004f,0x10000fff,0x5c5fffff,0x003fffff,0x4ffffee0,0x006ffff9,
    0x0fffffd8,0x3fe20000,0x3fee2fff,0x54003fff,0x003fffff,0x7fffc400,
    0x3fffee2f,0x7fec003f,0x00000fff,0x01fffffb,0x3fff6000,0x200000ff,
    0x20fffffa,0x05fffff9,0xffffb000,0xffd8001f,0x9999afff,0x41999999,
    0x04fffffc,0x554c4000,0x009aacba,0x3ffe2000,0x00005fff,0xbffffff1,
    0xffffa800,0x3fffe60f,0x7ec0005f,0x20006fff,0x205fffff,0x1ffffffb,
    0xfffff000,0xff50000d,0x7fcc1fff,0x20005fff,0xf30ffffe,0xb000dfff,
    0x335fffff,0x33333333,0xffffa803,0x3fffe60f,0x7fd4005f,0x00003fff,
    0x07ffffd4,0x0bfffff3,0xfffffd80,0x9999999a,0x3f601999,0x999affff,
    0x19999999,0x3fffff60,0x9999999a,0x7e401999,0xfff86fff,0x80000fff,
    0x00fffffd,0x7ffffec0,0xffffffff,0x3ee0ffff,0x0006ffff,0x00000000,
    0xffffffd8,0xffb00000,0x8001ffff,0xf86ffffc,0x000fffff,0x7fffff10,
    0x7fffc000,0xeba999ef,0x04ffffff,0x3ffffe00,0xffc80005,0xffff86ff,
    0xf98000ff,0x3fe65fff,0xffffffff,0x3ffff606,0xffffffff,0x200fffff,
    0xf86ffffc,0x000fffff,0x0fffffea,0xfff90000,0xfffff0df,0x7fec001f,
    0xffffffff,0x0fffffff,0xffffffb0,0xffffffff,0x3f601fff,0xffffffff,
    0xffffffff,0x3ffffe00,0xfffffc84,0xffd80002,0x6c000fff,0xffffffff,
    0xffffffff,0x3fffea0f,0x000002ff,0x00aaaaa2,0xffffb800,0x700002ff,
    0x05ffffff,0x9fffff00,0x5fffff90,0x3fff2000,0x7fc0007f,0xffffffff,
    0x4fffffff,0x3ffe2000,0xf80004ff,0xfc84ffff,0x8002ffff,0x262ffffc,
    0xffffffff,0x3ff606ff,0xffffffff,0x0fffffff,0x13ffffe0,0x0bfffff2,
    0xfffffa80,0x7fc00003,0xffc84fff,0x36002fff,0xffffffff,0xffffffff,
    0xffffb00f,0xffffffff,0x201fffff,0xfffffffd,0xffffffff,0xfff300ff,
    0xfff503ff,0xb00009ff,0x001fffff,0xffffffd8,0xffffffff,0x3fe60fff,
    0x0005ffff,0x3fffee00,0xff100005,0x0009ffff,0x3ffffe20,0xff98004f,
    0xffa81fff,0xf0004fff,0x0009ffff,0xfffffff8,0xffffffff,0x7cc0002e,
    0x0003ffff,0x0fffffcc,0x27ffffd4,0x3ffffc00,0x3fffffe6,0x3606ffff,
    0xffffffff,0xffffffff,0xffff300f,0xffff503f,0x7fd4009f,0x00003fff,
    0x07ffffe6,0x13ffffea,0xfffffd80,0xffffffff,0xfb00ffff,0xffffffff,
    0xffffffff,0x3ffff601,0xffffffff,0x900fffff,0x220fffff,0x007fffff,
    0xfffffd80,0x7ffec000,0xffffffff,0x40ffffff,0x2ffffffd,0xffb00000,
    0x200005ff,0x0efffffd,0xfffb0000,0x90001dff,0x220fffff,0x007fffff,
    0x0fffffa8,0x7fffc000,0xffffffff,0x500000ef,0x005fffff,0x7ffffc80,
    0xffffff10,0xffffa800,0x7ffffcc4,0x206fffff,0xfffffffd,0xffffffff,
    0xfff900ff,0x3ffe20ff,0x3ea007ff,0x0003ffff,0x1fffff20,0x3fffffc4,
    0xfffffb00,0xffffffff,0x3601ffff,0xffffffff,0xffffffff,0xffffb00f,
    0xffffffff,0x201fffff,0x205ffffe,0x01fffffe,0x7fffec00,0x7fec000f,
    0xcccccfff,0x0ccccccc,0x7fffffcc,0x0062003f,0x003ffffa,0x3fffee00,
    0x700002ff,0x05ffffff,0x3ffffa00,0x3ffffa05,0x7ff4001f,0xf80005ff,
    0xffffffff,0x01efffff,0xffffb800,0x7f40001f,0x3fa05fff,0x2001ffff,
    0x4c1ffffd,0xcccfffff,0x3ff603cc,0xcccccfff,0x0ccccccc,0x0bffffd0,
    0x0ffffff4,0xfffffa80,0x3fa00003,0x3fa05fff,0xb001ffff,0x999fffff,
    0x99999999,0x3fff6019,0xccccccff,0x00cccccc,0x99fffffb,0x99999999,
    0xfff10199,0x7fe407ff,0x40003fff,0x00fffffd,0x7ffffec0,0xffd80000,
    0x0adfffff,0x403fdb88,0x006ffff8,0xfffff880,0xf100004f,0x009fffff,
    0x3ffffe20,0x3ffff203,0x3fe6003f,0x80002fff,0xbaefffff,0x6ffffffd,
    0xfffc8000,0x220000ff,0x203fffff,0x03fffffc,0x0dffff10,0x00dffff3,
    0x1fffffb0,0xfff10000,0x7fe407ff,0xf5003fff,0x0007ffff,0x3ffffe20,
    0x3ffff203,0xfffb003f,0x200001ff,0x00fffffd,0xffffb000,0xf700001f,
    0x4c03ffff,0x006fffff,0x7ffffec0,0x7ffec000,0x980000ff,0xffffffff,
    0xfffeefff,0x7fcc03ff,0xd80003ff,0x006fffff,0x3ffff600,0x3ee0006f,
    0x2601ffff,0x006fffff,0x01bffff6,0x7ffffc00,0x7ffffcc5,0x7ec0004f,
    0x40007fff,0x01fffffb,0x1bffffe6,0x1ffffdc0,0x037fffcc,0x7ffffec0,
    0xffb80000,0x3e601fff,0x5006ffff,0x007fffff,0x3fffee00,0x3ffe601f,
    0xffb006ff,0x00001fff,0x03fffff6,0x7ffec000,0xd80000ff,0xeeefffff,
    0xfffeeeee,0x20000fff,0x00fffffd,0x7ffffec0,0xff700000,0xffffffff,
    0x7fffffff,0x1ffffb80,0x7ffdc000,0x00001fff,0x3ffffff7,0x7ffec000,
    0xeeeeeeff,0xffffffee,0xffff8800,0xff00003f,0xff50bfff,0x0003ffff,
    0x037ffff4,0x3ffff600,0xeeeeeeef,0x0ffffffe,0xdffffe80,0xfffdcccc,
    0xffd8006f,0x80000fff,0xeefffffd,0xffeeeeee,0xa800ffff,0x003fffff,
    0xfffffb00,0xdddddddd,0x01ffffff,0x1fffffb0,0x3ff60000,0x00000fff,
    0x01fffffb,0xfffff000,0xffffffff,0x5fffffff,0x7ffec000,0x7ec000ff,
    0x0000ffff,0x3ffffe60,0xffffffff,0x65403fff,0x440004cc,0x04ffffff,
    0xffff1000,0xf80009ff,0xffffffff,0xffffffff,0xfb802fff,0x0000ffff,
    0x0bfffff0,0x17fffff6,0xfffff800,0x7ffc0005,0xffffffff,0xffffffff,
    0x7ffcc02f,0xffffffff,0x8006ffff,0x00fffffd,0xfffff800,0xffffffff,
    0x2fffffff,0xfffffa80,0xfff00003,0xffffffff,0xffffffff,0xfffb005f,
    0x200001ff,0x00fffffd,0xffffb000,0xfa80001f,0xffffffff,0xffffffff,
    0x20005fff,0x00fffffd,0x7ffffec0,0x74400000,0xffffffff,0x03ffffff,
    0x7ec00000,0x0006ffff,0x3fffff60,0x7fd40006,0xffffffff,0xffffffff,
    0xfff805ff,0x200004ff,0x305fffff,0x01ffffff,0xfffff300,0x7fd40007,
    0xffffffff,0xffffffff,0x7fe405ff,0xffffffff,0x006fffff,0x0fffffd8,
    0x7ffd4000,0xffffffff,0xffffffff,0xfffa805f,0xa80003ff,0xffffffff,
    0xffffffff,0xd805ffff,0x000fffff,0xfffffb00,0x3f600001,0x0000ffff,
    0x7fffffe4,0xffffffff,0x07ffffff,0x3ffff600,0x7fec000f,0x00000fff,
    0xfffff930,0x817bffff,0xaaaaaaaa,0x00aaaaaa,0xffffff70,0x3ee00003,
    0x001fffff,0x7ffffe40,0xffffffff,0x7fffffff,0x7ffffd40,0x3fe00001,
    0x3fa05fff,0x8004ffff,0x01fffffc,0x3ffff200,0xffffffff,0xffffffff,
    0x3fffe207,0xffffffff,0x8006ffff,0x00fffffd,0x7fffe400,0xffffffff,
    0xffffffff,0xffffa807,0xfc80003f,0xffffffff,0xffffffff,0xfd807fff,
    0x0000ffff,0x1fffffb0,0x3ff60000,0x40000fff,0xfffffffe,0xffffffff,
    0x01ffffff,0xfffffb00,0xfffd8001,0x000000ff,0x4f7fffd4,0x7ffffc01,
    0xffffffff,0xfff8803f,0x00004fff,0x9ffffff1,0xfffd0000,0xffffffff,
    0xffffffff,0x7ff403ff,0x400005ff,0x205fffff,0x0ffffffa,0x3fffe200,
    0x7f40007f,0xffffffff,0xffffffff,0xf701ffff,0xddddffff,0xdffffddd,
    0xffffb000,0xfe80001f,0xffffffff,0xffffffff,0x5401ffff,0x003fffff,
    0xfffffe80,0xffffffff,0xffffffff,0x7fffec01,0xfb00000f,0x0001ffff,
    0x3fffff60,0x3fe60000,0x32002fff,0x004fffff,0x1fffffb0,0xffffd800,
    0x4000000f,0x003ffffc,0xffffffff,0x07ffffff,0xffffffb0,0x33333333,
    0xb0333333,0x33ffffff,0x33333333,0x7fcc3333,0x32002fff,0x304fffff,
    0x005fffff,0xfffff800,0x7ffffc05,0x9899a84f,0x5ffffffb,0x3ffe6000,
    0x3f2002ff,0xfd04ffff,0x7cc05fff,0xd8006fff,0x000fffff,0x3ffffe60,
    0x3fff2002,0x7fd404ff,0x40003fff,0x02fffff9,0x3fffff20,0x7fffec04,
    0xfb00000f,0x0001ffff,0x3fffff60,0x3fee0000,0x2a000fff,0x206fffff,
    0xfeeeeeea,0xeeefffff,0xffb05eee,0xdddddfff,0x9ddddddd,0xffffe800,
    0xfffff000,0xffffffff,0xfffa807f,0xffffffff,0xffffffff,0x7fffd47f,
    0xffffffff,0xffffffff,0x3ffffee7,0x3ffea000,0xfff906ff,0xf00000df,
    0xb80bffff,0x40ffffff,0xfffffffe,0x0000ffff,0x03ffffee,0xfffffa80,
    0x7ffff986,0x7ffffcc0,0x01cccccc,0xddfffffb,0xdddddddd,0x7ffdc9dd,
    0x3ea000ff,0x5406ffff,0xffffffff,0xffffffff,0x3ffee2ff,0x3ea000ff,
    0x6c06ffff,0xeeefffff,0xeeeeeeee,0xffffb04e,0xdddddddf,0x209ddddd,
    0xeefffffd,0xeeeeeeee,0x3fff64ee,0xfff8006f,0xff700fff,0xffffffff,
    0xffffffff,0x3ffff60d,0xffffffff,0x005fffff,0x002ffffc,0xffffffff,
    0x07ffffff,0xffffffc8,0xffffffff,0x47ffffff,0xfffffffc,0xffffffff,
    0x367fffff,0x8006ffff,0x40ffffff,0x03fffff8,0xffff8000,0x7ffc405f,
    0x7ff43fff,0xffffffff,0x7fec0002,0xff8006ff,0x7e40ffff,0x7cc04fff,
    0xffffffff,0xfffb02ff,0xffffffff,0x4bffffff,0x006ffffd,0x0ffffff8,
    0x3ffffea0,0xffffffff,0x362fffff,0x8006ffff,0x00ffffff,0x3ffffff6,
    0xffffffff,0xffb05fff,0xffffffff,0xbfffffff,0x3fffff60,0xffffffff,
    0xff15ffff,0xb0007fff,0x207fffff,0xfffffffb,0xffffffff,0xffb06fff,
    0xffffffff,0xbfffffff,0x7fffcc00,0x3bbba002,0xeeeeeeee,0x7fe402ee,
    0xffffffff,0xffffffff,0x7ffe47ff,0xffffffff,0xffffffff,0xfffff17f,
    0xfffb0007,0xfffb87ff,0x800000ff,0x805fffff,0x0ffffffc,0x3ffffffa,
    0x40003fff,0x03fffff8,0xfffffd80,0x0fffffc3,0x3ffffe60,0x02ffffff,
    0xfffffffb,0xffffffff,0x3ffe2bff,0xfd8003ff,0x2a03ffff,0xffffffff,
    0xffffffff,0xffff12ff,0xffb0007f,0x7ec07fff,0xffffffff,0xffffffff,
    0xfffffb05,0xffffffff,0x360bffff,0xffffffff,0xffffffff,0xfffff55f,
    0xfff70003,0x3fee0bff,0xffffffff,0xffffffff,0xfffffb06,0xffffffff,
    0x400bffff,0x0007fffb,0xff900000,0xffffffff,0xffffffff,0xfffc8fff,
    0xffffffff,0xffffffff,0xfffff57f,0xfff70003,0xfffe8bff,0xf000004f,
    0x300bffff,0x47ffffff,0xfffffffe,0xfa80000c,0x8001ffff,0x25fffffb,
    0x806ffffa,0xfffffff9,0xfb02ffff,0xffffffff,0xffffffff,0x3ffffeab,
    0xfffb8001,0x3fea05ff,0xffffffff,0xffffffff,0x3fffff52,0xffff7000,
    0x7ffec0bf,0xffffffff,0x05ffffff,0xfffffffb,0xffffffff,0x3ff60bff,
    0xffffffff,0x5fffffff,0x00fffff9,0x3ffffe60,0xfffff707,0xffffffff,
    0x20dfffff,0xfffffffd,0xffffffff,0x3f2005ff,0x000004ff,0xffff9000,
    0xffffffff,0xffffffff,0xfffffc8f,0xffffffff,0x7fffffff,0x00fffff9,
    0x3ffffe60,0x00000007,0x017ffffe,0x3fffffec,0x03577551,0xfffc8000,
    0xff30007f,0x7fecffff,0xff9803ff,0xffffffff,0xffffb02f,0xffffffff,
    0x32bfffff,0x0007ffff,0x0ffffff3,0x7fffffd4,0xffffffff,0xff92ffff,
    0x26000fff,0x207fffff,0xfffffffd,0xffffffff,0xfffb05ff,0xffffffff,
    0x0bffffff,0x3ffffff6,0xffffffff,0x00005fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00180000,
    0x002a6000,0x00a98000,0x00179700,0x00000000,0x02f77754,0xdd700000,
    0x260009dd,0x00000999,0x0ccccc40,0x33100000,0x40033333,0x00019998,
    0x30099988,0x98800333,0x33330099,0x9dd70000,0x99880001,0x03333009,
    0x00131000,0x09999880,0x00333310,0x04013100,0x00333331,0x03750000,
    0x00005d44,0x0004cccc,0xffecb980,0x0bceffff,0xfffc8800,0x100001ef,
    0x03dffff9,0x077fff40,0x80000000,0x36199998,0x0004ffff,0x3fffa000,
    0xffb8003f,0x00000eff,0x1fffff60,0x7fcc0000,0x102fffff,0xfffffd95,
    0x0005bfff,0xf70bfff7,0xfb800dff,0xfffb85ff,0x7fe40006,0x20000fff,
    0xfb85fffb,0xb88006ff,0xceffffed,0x7ffcc001,0x7ffdc0ef,0x65c4003f,
    0xcefffffe,0xffb0fedb,0x00000fff,0x41ffff44,0x002ffff9,0x3bfffee0,
    0x3f220000,0xffffffff,0x4004ffff,0xfffffff8,0x7c40002f,0x2fffffff,
    0xfffff980,0x00000005,0x4fffffb0,0x001fffff,0xfff10000,0xfb8001ff,
    0x006fffff,0x3fff6000,0x9800007f,0x0effffff,0xffffff70,0xffffffff,
    0x7fcc005d,0x3ffa21ff,0x7fcc004f,0x3ffa21ff,0x3e20004f,0x004fffff,
    0x87fffe60,0x004fffe8,0x7fffffcc,0x004fffff,0x877fffcc,0x004ffffb,
    0x7fffffdc,0xffffffff,0xfffffb0f,0x7e400000,0x7f41ffff,0x50007fff,
    0x1dffffff,0xffff9000,0xffffffff,0xd8009fff,0xfffeffff,0x3f60000f,
    0xffffefff,0x7fffd400,0x0000007f,0xfffffb00,0x01bfffe2,0x26031000,
    0x4005ffff,0xfffffffa,0x6640005f,0xfffecccc,0x0004ccff,0xffffff98,
    0x7fffe404,0xffffffff,0x2001ffff,0xfddfffff,0x8002ffff,0xfddfffff,
    0x0002ffff,0x3fffffea,0x7ffc0006,0xffffddff,0x3ff2002f,0xffffffff,
    0x2001efff,0xfbeffff9,0x22004fff,0xfffffffd,0xffffffff,0xfffffb0f,
    0x7f400000,0x7fc3ffff,0x4001ffff,0xfffffffa,0x7fd4006f,0xffffffff,
    0x04ffffff,0x433ffe20,0x0003fffa,0x2a19fff1,0x7c403fff,0x000fffff,
    0xfd800000,0xfff57fff,0xa880007f,0xff704fec,0x7d4005ff,0xfffbdfff,
    0xff10005f,0xffffffff,0x000fffff,0xffffff98,0xffffc802,0xffffffff,
    0x000effff,0xfffffff5,0x2000bfff,0xfffffffa,0x40005fff,0x5ffffff9,
    0x7ffd4000,0x5fffffff,0x3ffff600,0xffffffff,0x54006fff,0xffffffff,
    0x3ffe6005,0xffffffff,0x0fffffff,0x00fffffb,0x7ffec000,0x7fffc2ff,
    0x3ea000ff,0xfffbdfff,0xfff1005f,0xddffffff,0x09fffffd,0x207ffd40,
    0x50005ffd,0xffd81fff,0xffff9805,0x0000000f,0x7ffffd80,0x003ffff9,
    0x7ffffcc0,0x1ffffb04,0x3fffe600,0x13fffee5,0x3fffe200,0xffffffff,
    0x260007ff,0x00efffff,0x357bff90,0x3fff2621,0x32003fff,0xffffffff,
    0x3f20000e,0xefffffff,0xffe80000,0x80002fff,0xfffffffc,0xff3000ef,
    0x2215dfff,0x2ffffffa,0x7fffd400,0x7f4005ff,0xacefffff,0xffffecaa,
    0xfffffb0f,0x7cc00000,0xffb86fff,0x3e6005ff,0x3fee5fff,0xffd805ff,
    0x101cffff,0x54009b73,0x7ff41fff,0xfff50005,0x005ffe83,0x000dfffb,
    0x3f600000,0xfffd7fff,0xff98000d,0xfff04fff,0x3fe600bf,0xfffb85ff,
    0x7fc4004f,0xffffffff,0x0007ffff,0x09fffff3,0x7000ba80,0x00bfffff,
    0xfffffea8,0xfd500003,0x0007ffff,0x17ffec40,0xffd50000,0xd8007fff,
    0x100effff,0x01ffffff,0x6ffffb80,0x7fffd400,0x3fee03ff,0xfffb0fff,
    0x800000ff,0xd700ced9,0x7fcc007d,0xfffb85ff,0x7fffc04f,0x000002ff,
    0x5437ffe2,0x10003fff,0x3ea1bfff,0xffd003ff,0x000000bf,0x3ffff600,
    0x03ffff8f,0x7fffcc00,0xffff984f,0x00000002,0x99999900,0x99fffffd,
    0x00000009,0xfffd0000,0x4cc000df,0x26000000,0x20000009,0x40000018,
    0xfa800099,0x5c01ffff,0x002fffff,0xffe80000,0x7dc02fff,0xffb0ffff,
    0x00000fff,0x00000000,0x3fe20000,0x00007fff,0xfffffd80,0x0000ffff,
    0x3ffffff6,0x64c00fff,0x0000ffff,0xffb00000,0x00000fff,0x13ffffe6,
    0x00000000,0x7fec0000,0x000007ff,0x6c000000,0x0007ffff,0x00000000,
    0x00000000,0xe8000000,0x8805ffff,0x003fffff,0x7fdc0000,0xfb806fff,
    0xffb0ffff,0x00000fff,0x00000000,0x3fea0000,0x00007fff,0xffffe880,
    0x40002fff,0xffffffe8,0x7fffc02f,0x000003ff,0x3fff6000,0x3000007f,
    0x009fffff,0x03100000,0xb0988000,0x000fffff,0x00003100,0x3ffff200,
    0x1310000f,0x33100000,0x40000033,0x00000098,0x3e000262,0xf003ffff,
    0x000bffff,0xf9000262,0x7005ffff,0x361fffff,0x2607ffff,0x00000000,
    0x00000000,0x5ffffff3,0x32000000,0x001effff,0x3ffff200,0xffff801e,
    0x0000002e,0xffd84cc0,0x000007ff,0x09fffff3,0xcb980000,0xdffffffe,
    0xedb8800b,0xffffffff,0x4c0007ff,0xfffffecb,0x98000bdf,0xfecccba9,
    0x1000ffff,0xdffffdb7,0xca880039,0xfffffffe,0x220002df,0xeffffedb,
    0x32a0001c,0xcefffffd,0x7fffc402,0xccccccdf,0xfffffccc,0xfdb71006,
    0x8039dfff,0x00fffffd,0x0fffffb8,0x44dffffb,0x3dffffdb,0xbdddd900,
    0xddddd700,0xbdddd901,0xddddd700,0xfffff881,0x000002ff,0x00002660,
    0x20009980,0x00003cef,0xfedc9800,0xffffffff,0x75c0007f,0xfffeeeee,
    0xeeeeefff,0x88005eee,0xfffffffc,0x402fffff,0xfffffffb,0x7fffffff,
    0xfff91000,0xffffffff,0x3f6a005f,0xffffffff,0x800fffff,0xfffffff9,
    0x7004ffff,0xffffffff,0x5dffffff,0xffff9800,0x4fffffff,0x7ffec400,
    0xffffffff,0xffff300c,0xffffffff,0xffffffff,0xffff300f,0x9fffffff,
    0x3fffff40,0xfffffb80,0x2dffffb0,0xfffffff9,0xffd805ff,0xffc807ff,
    0xffd80fff,0xffc807ff,0xffe80fff,0x02dfffff,0x00000000,0x0cccc400,
    0x4c400000,0xff900009,0xffffffff,0x000fffff,0xffffffc8,0xffffffff,
    0x06ffffff,0x7ffffd40,0xffffffff,0xfffd302f,0xffffffff,0x000fffff,
    0xfffffff5,0x5fffffff,0xffffea80,0xffffffff,0x6400ffff,0xffffffff,
    0x01efffff,0x7fffffe4,0xffffffff,0xff9001ff,0xffffffff,0x5003dfff,
    0xffffffff,0x5fffffff,0xffffff50,0xffffffff,0x0fffffff,0xffffffc8,
    0xefffffff,0x6fffff81,0xfffff700,0x37ffff61,0xfffffffa,0x200effff,
    0x807ffffd,0x80fffffc,0x807ffffd,0x80fffffc,0xfffffffb,0x8000beff,
    0x805eeeec,0x00eeeeeb,0x3fffb2a2,0x02dfffff,0x87dddd30,0xdfffffea,
    0xfffea800,0xffffffff,0x0007ffff,0x7fffffe4,0xffffffff,0x06ffffff,
    0x3fffff20,0xffffffff,0xfff882ff,0xffffffff,0x07ffffff,0x7ffffe40,
    0xffffffff,0x3fea02ff,0xffffffff,0xffffffff,0x3ffff600,0xffffffff,
    0x7e406fff,0xffffffff,0xefffffff,0x7fffec00,0xffffffff,0x7d406fff,
    0xffffffff,0xffffffff,0x7ffffe40,0xffffffff,0x6fffffff,0x3fffff60,
    0xffffffff,0x7ffc46ff,0xff7006ff,0x3ff61fff,0xffffffff,0xffffffff,
    0x3ffff604,0xffffc807,0xffffd80f,0xffffc807,0xffffb00f,0xbfffffff,
    0x7ffec005,0xfffc807f,0xfff700ff,0xffffffff,0x9805dfff,0xfd15ffff,
    0xdfffffff,0x7fffd403,0xffffffff,0x007fffff,0x7ffffe40,0xffffffff,
    0x6fffffff,0xfffff300,0xfdddffff,0xffb05fff,0x557bffff,0xffffff95,
    0x7fffcc00,0xeeefffff,0xf302ffff,0x9dffffff,0xfffb5557,0x3fe601ff,
    0x510aefff,0x05ffffff,0x4d5effe4,0xffff9310,0x7fcc07ff,0x510aefff,
    0x05ffffff,0x3fffffe2,0xfffecdff,0x7dc5ffff,0xcccdffff,0xcccccccc,
    0xff303ccc,0x2215dfff,0x2ffffffa,0x1bffffe2,0x7ffffdc0,0xffffffb0,
    0xffd9ffff,0x201fffff,0x807ffffd,0x80fffffc,0x807ffffd,0x00fffffc,
    0xffffffd1,0x5dffffff,0xfffffb00,0xfffff900,0x3ffff201,0xffffffff,
    0x2601ffff,0xff8dffff,0xffffffff,0xfffd00ff,0x7537bfff,0x0ffffff9,
    0xcccca800,0xefffffdc,0xcccccccc,0xffffd003,0x2e603bff,0x7fffdc2e,
    0x3ff602ff,0x3fa007ff,0x01dfffff,0x3fa05d73,0x201dffff,0x00fffffc,
    0x01dffffb,0x3fffffe2,0x20017500,0x05fffffb,0x03bffff6,0x7fffffc4,
    0xfffffc80,0xfffd882f,0x3fea1fff,0x00002fff,0x0effffd8,0xffffff10,
    0x3fffffc1,0xfffffb80,0xffffffb0,0xfff987df,0xffb03fff,0xff900fff,
    0xffb01fff,0xff900fff,0xfc801fff,0xffffffff,0x6c04ffff,0xc807ffff,
    0x900fffff,0xffffffff,0xffffffff,0x3ffe601d,0xfffffeef,0x4fffffff,
    0xffffffc8,0x3ffff602,0xf3000007,0x0009ffff,0x3ffffee0,0xf882002f,
    0x402fffff,0x007ffffd,0x5ffffff7,0x7fc40400,0x6400ffff,0xa80fffff,
    0x401fffff,0x02fffffb,0x3fffa000,0xffff506f,0xfffb803f,0x7ffc42ff,
    0x7ec02fff,0x3e26ffff,0x0003ffff,0x7ffffd40,0x7fffdc01,0x3ffffa2f,
    0xffffb007,0x3ffff61f,0xff500fff,0x3f60ffff,0xfc807fff,0xfd80ffff,
    0xfc807fff,0x9800ffff,0xfffffffd,0x205fffff,0x807ffffd,0x00fffffc,
    0x1357bff9,0x3ffff262,0xfff303ff,0xbfffffff,0xfffffffb,0x7ffffcc1,
    0x7ffec01f,0x3000007f,0x009fffff,0x3ffffe00,0x3ea0004f,0xd806ffff,
    0xf007ffff,0x009fffff,0xfffff300,0xffffb009,0xffffd01f,0xffff100b,
    0x6c00007f,0xfd07ffff,0xf100bfff,0xfc87ffff,0x9804ffff,0x7c7fffff,
    0x0006ffff,0x2fffff40,0x7ffffc40,0x3fffff63,0x7fffe402,0xffffb0ff,
    0xfff803ff,0xffd80fff,0xffc807ff,0xffd80fff,0xffc807ff,0x22000fff,
    0xfffffffc,0xfb03ffff,0xf900ffff,0x2a01ffff,0xfff7000b,0x3fe60bff,
    0x1cffffff,0x3fffffa6,0x3fffff21,0xffffd805,0xf3000007,0x0009ffff,
    0xffffff30,0x7fe40001,0xfd802fff,0xf9807fff,0x000fffff,0xfffffa80,
    0x7fffe405,0xffff80ff,0xffff003f,0x640000bf,0xf80fffff,0xf003ffff,
    0xfd8bffff,0xb001ffff,0x743fffff,0x003fffff,0x3ffffe00,0xfffff003,
    0x7ffffe4b,0x3fffee05,0xfffb0fff,0xff9005ff,0xffb03fff,0xff900fff,
    0xffb01fff,0xff900fff,0x20001fff,0xffffffd9,0xffd80fff,0xffc807ff,
    0x00000fff,0x41bffffa,0xfffffff9,0xfffff904,0x7ffffec7,0xffffd801,
    0xf3000007,0x0009ffff,0x9fffff50,0xfffd8000,0xffd800ff,0xffa807ff,
    0x00004fff,0x1ffffff3,0x3fffff60,0x7ffc40ff,0xcccccdff,0xffffcccc,
    0x54cc006f,0xfffecccb,0x7ffc40ff,0xcccccdff,0xffffcccc,0x7ffff46f,
    0x3ffee006,0x3ffea2ff,0x04002fff,0x6fffffc4,0xcccccccc,0x26fffffc,
    0x2ffffff8,0x7ffffdc4,0xfffb0fff,0x3fee00ff,0xffd82fff,0xffc807ff,
    0xffd80fff,0xffc807ff,0x40000fff,0xffffffd8,0xffffd83f,0xffffc807,
    0x3600000f,0xf307ffff,0x40bfffff,0x24fffffa,0x007fffff,0x00fffffb,
    0x3ffe6000,0xb80004ff,0x003fffff,0x3fffff40,0x7ffffd80,0xfffffb80,
    0xff100003,0x117dffff,0xffffffd7,0xfff981ff,0xffffffff,0xffffffff,
    0xffda807f,0xffffffff,0x7cc0ffff,0xffffffff,0xffffffff,0x7ffc7fff,
    0x3ea006ff,0x7ec3ffff,0x9aefffff,0xbfb73330,0xffffff30,0xffffffff,
    0x8fffffff,0xdffffffd,0xffffffcb,0xffb0ffff,0x3ee00fff,0xfd83ffff,
    0xfc807fff,0xfd80ffff,0xfc807fff,0x0000ffff,0xffffff70,0xfffffb09,
    0xfffff900,0x7e400001,0xf980ffff,0x4405ffff,0xf14fffff,0x200dffff,
    0x007ffffd,0xffff3000,0xfb00009f,0x0005ffff,0x06fffff8,0x0fffffb0,
    0x5fffffb0,0x7fec0000,0xffffffff,0xffffffff,0x7fffd40f,0xffffffff,
    0xffffffff,0x3fffaa07,0xffffffff,0x540fffff,0xffffffff,0xffffffff,
    0x3e27ffff,0x2005ffff,0x44fffff9,0xfffffff8,0xffffffff,0xfffa85ff,
    0xffffffff,0xffffffff,0x7fffcc7f,0xffffffff,0x0fffffff,0x00fffffb,
    0x13ffffea,0x01fffff6,0x03fffff2,0x01fffff6,0x03fffff2,0xfffe8000,
    0xfffd86ff,0xfffc807f,0x4cc000ff,0xffecccba,0xff980fff,0xff803fff,
    0xfff34fff,0x3f600bff,0x00007fff,0x9fffff30,0xfffd0000,0x440005ff,
    0x006fffff,0x00fffffb,0x05fffffd,0x7ffc4000,0xffffffff,0xfffffaff,
    0x7ffffe40,0xffffffff,0x6fffffff,0xffffff50,0xffffffff,0xfc81ffff,
    0xffffffff,0xffffffff,0x3fe66fff,0x26005fff,0xa84fffff,0xffffffff,
    0xffffffff,0xfffffc85,0xffffffff,0x6fffffff,0xffffffd8,0xfbffffff,
    0xffb0ffff,0x3ea00fff,0xfd83ffff,0xfc807fff,0xfd80ffff,0xfc807fff,
    0x0000ffff,0x3ffffee0,0x7ffffd85,0xfffffc80,0xfffda800,0xffffffff,
    0xff980fff,0xff803fff,0xfff54fff,0x3f6009ff,0x00007fff,0x9fffff30,
    0xfffb0000,0x440007ff,0x006fffff,0x00fffffb,0x07fffffb,0xfffb8000,
    0xffffffff,0x81ffffd1,0xcdfffffb,0xcccccccc,0x983ccccc,0xefffffff,
    0xffdaaabc,0x7fdc0fff,0xccccdfff,0xcccccccc,0x3ffe23cc,0x3ea005ff,
    0xb103ffff,0xffffffff,0x0bffffff,0x9bfffff7,0x99999999,0x20799999,
    0xfffffffc,0xfffa9eff,0xffffb0ff,0x3ffee00f,0xfffd82ff,0xfffc807f,
    0xfffd80ff,0xfffc807f,0x200000ff,0x84fffffc,0x807ffffd,0x00fffffc,
    0x3fffffaa,0xffffffff,0xff980fff,0xff803fff,0xfff34fff,0x3f6009ff,
    0x00007fff,0x9fffff30,0xfff70000,0xf80009ff,0xb007ffff,0x700fffff,
    0x009fffff,0xfffd1000,0x7419ffff,0x7d40ffff,0x0002ffff,0x7fffff40,
    0x3fff201d,0x7ffd40ff,0x200002ff,0x006fffff,0x07ffffee,0xfffffd50,
    0x39dfffff,0x5fffff50,0x3aa00000,0x24ffffff,0xb0fffffa,0x200fffff,
    0x81fffffc,0x807ffffd,0x80fffffc,0x807ffffd,0x40fffffc,0xffd10001,
    0xffb07fff,0xff900fff,0x3ea01fff,0xffffffff,0xffffffff,0xffff980f,
    0xffff803f,0xfffff14f,0x3fff600b,0x3000007f,0x009fffff,0xfffff500,
    0xffe8000d,0xffd007ff,0xff500fff,0x0000dfff,0x0d5dcc40,0x427fffd4,
    0x03fffff8,0x3ffe2000,0x7e400fff,0x7c40ffff,0x0003ffff,0x3fffffa0,
    0xffffb000,0x5cc4001f,0x402fffff,0x03fffff8,0x5cc40000,0xffffb82a,
    0xfffffb0f,0x3ffffa00,0xfffffb07,0xfffffb00,0xfffffb01,0xfffffb00,
    0x00bdfd81,0xfffffea8,0xffffd80f,0xffffc807,0xffff980f,0xaabcefff,
    0x0fffffda,0x3fffff98,0x4fffff80,0x01bffffe,0x1fffffa2,0x7fcc0000,
    0x80004fff,0x3ffffff9,0x3fff6000,0x7fec01ff,0xf9807fff,0x003fffff,
    0x3e600000,0x3fe05fff,0x00006fff,0x13ffffe6,0x3fffff60,0x6fffff80,
    0x3ff60000,0xf8803fff,0x0007ffff,0x007ffff7,0x01bffffe,0x2e000000,
    0xfb0fffff,0xf500ffff,0x360dffff,0x200fffff,0x0ffffffc,0x0fffffd8,
    0x3fffff20,0x7fffec0f,0xeecccdef,0x4fffffff,0x0fffffb0,0x1fffff90,
    0xbfffffd0,0x7fffe403,0xffff980f,0xffff803f,0x3ffffe4f,0x7ffec00f,
    0x000007ff,0x0dfffff1,0xffff1000,0x20003fff,0x04fffffc,0x3fffffee,
    0xffff8807,0x00001fff,0xffffd000,0x7ffff401,0xf500003f,0xc80bffff,
    0x80ffffff,0x03fffffe,0xffff7000,0xffd801ff,0x98004fff,0x2005ffff,
    0x03fffffe,0x5c000000,0xfb0fffff,0xfd00ffff,0x3209ffff,0x702fffff,
    0x1fffffff,0x5fffff90,0x3ffffee0,0x7ffec0ff,0xffffffff,0x6fffffff,
    0x1fffff60,0x3fffff60,0x7ffffc40,0x7ffe400f,0xfff980ff,0xfff803ff,
    0x3fff64ff,0x3ff203ff,0x0007ffff,0x3ffffe00,0xfb80000f,0x04ffffff,
    0xfff31e4c,0xff705fff,0x00ffffff,0x3fffffee,0x01e4c04f,0xffffa800,
    0x7fffd404,0x404002ff,0x0ffffff9,0xffffffb0,0xffff501f,0x808005ff,
    0xeffffff8,0xfffff901,0xffb0001f,0x7d4003ff,0x002fffff,0xf7000004,
    0x3f61ffff,0x36207fff,0x00ffffff,0x8bfffff7,0xffffffb8,0xfffb80ff,
    0x7fdc45ff,0x40ffffff,0xfffffffd,0xffffffff,0x3f600eff,0x3200ffff,
    0x40ffffff,0x04fffff9,0x0fffffd8,0x3fffff98,0x4fffff80,0x3fffffea,
    0x7fffe441,0x00007fff,0x3fffffa0,0xffd00003,0xbdffffff,0x87fffd99,
    0xdffffffd,0xfffffebb,0x3a007fff,0xffffffff,0xfffeccde,0xff900003,
    0xffb007ff,0x135dffff,0x17f6e666,0x3fffffe2,0xffeb88be,0x00ffffff,
    0xdffffffb,0x2e666135,0xfff705fd,0xb79bffff,0x7fffffff,0x3fffe000,
    0x7fec001f,0x09aeffff,0x0bfb7333,0x7ffdc000,0xffffb0ff,0xd731337f,
    0x05ffffff,0x7fffffd4,0xfffffcbf,0xa80fffff,0xbfffffff,0xfffffffc,
    0x7fec0fff,0xffffffff,0x04ffffff,0x2fffffc8,0xffffff70,0xffffa81f,
    0x7ffe405f,0xff980fff,0xff803fff,0x7ff44fff,0xfdacffff,0xffffffff,
    0x36000007,0x1bffffff,0x20097331,0xfffffff9,0xffffffff,0x7fffd43f,
    0xffffffff,0x07ffffef,0x3ffffe60,0xffffffff,0x00003fff,0x37dffffb,
    0x3fffe205,0xffffffff,0xb05fffff,0xffffffff,0xffffffff,0x3e201fff,
    0xffffffff,0xffffffff,0x3ffffa05,0xffffffff,0x0006ffff,0x2b7ffffe,
    0xfff88019,0xffffffff,0x05ffffff,0x3ffee000,0xffffb0ff,0xffffffff,
    0x00bfffff,0xfffffffd,0xffdfffff,0x3fa01fff,0xffffffff,0xffffefff,
    0x7ff64c0f,0xffffffff,0xf7000bef,0xb88bffff,0xffffffff,0x7ffffcc0,
    0xffffb00f,0xff301fff,0xff007fff,0xffb89fff,0xffffffff,0xffffefff,
    0x2a000007,0xffffffff,0x006fffff,0x3fffffea,0xffffffff,0xffffd83f,
    0xefffffff,0x007ffff8,0x7fffffd4,0xffffffff,0xf700003f,0x0fffffff,
    0x7fffffd4,0xffffffff,0xfff105ff,0xffffffff,0xfffff5ff,0x7fffd401,
    0xffffffff,0x2605ffff,0xffffffff,0xefffffff,0x3ffa0000,0x005fffff,
    0xfffffff5,0xffffffff,0x5c0000bf,0xfb0fffff,0xffffffff,0xbfffffff,
    0xffff5001,0xffffffff,0x01ffffd1,0x3fffffea,0xe8ffffff,0x4c00ffff,
    0xfffffaa9,0xfffa8003,0xffcbffff,0xffffffff,0x7ffffc40,0xfeb88bef,
    0x0fffffff,0x3fffff98,0x4fffff80,0x7fffff44,0x8effffff,0x0007ffff,
    0x7fffec00,0xffffffff,0x7fe44006,0xffffffff,0xff903fff,0xbfffffff,
    0x01ffffe1,0x3ffff220,0xffffffff,0xf100003f,0x0fffffff,0xfffffd88,
    0xffffffff,0x3ffee05f,0xffffffff,0x01ffffd1,0xfffffd88,0xffffffff,
    0x7fe4405f,0xffffffff,0xa80003ff,0x5fffffff,0x3fff6200,0xffffffff,
    0x00005fff,0x43ffffee,0xfffffffd,0xefffffff,0x7ffe4002,0x1effffff,
    0x401ffffd,0xfffffffc,0xfffd1eff,0xfff8001f,0xfd0000ff,0xffffffff,
    0xffffdfff,0xffffb01f,0xffffffff,0x1fffffff,0x7fffff30,0x9fffff00,
    0x3fffff60,0xff0dffff,0x00000fff,0xfffffe88,0x06ffffff,0xfffdb300,
    0x15bfffff,0x7ffff5c0,0x7fffc3ff,0x3b660007,0xffffffff,0x200000ad,
    0x7fffffe9,0xffffd500,0x9dffffff,0xfffe8805,0x3a0cffff,0x5000ffff,
    0xfffffffd,0x0059dfff,0x3fffff66,0x0001deff,0x3ffffee0,0xfea8005f,
    0xffffffff,0x00002cef,0x83ffffee,0xfffffdb9,0x003effff,0x3ffffea0,
    0x7fff44ff,0x7ffd400f,0x7f44ffff,0x26000fff,0x0005ffff,0x3fffffea,
    0xe8ffffff,0xf880ffff,0xffffffff,0xfffaffff,0xfff980ff,0xfff803ff,
    0x3fb204ff,0x7c3effff,0x00007fff,0xffffd500,0x00bfffff,0x26aaa200,
    0xaba88001,0x80000001,0x0019aaa8,0xaba98000,0xb988000a,0x0001aabc,
    0x00357731,0xcb988000,0x80001aab,0x0009bb98,0x2ea62000,0x4400009a,
    0x01aabcb9,0x2aa60000,0x26200aaa,0x00009aa9,0x00d5d440,0x55d44000,
    0xf5000001,0x80005fff,0xfffffffc,0xfffd1eff,0x3ffee01f,0xffffffff,
    0x01ffffd1,0x07fffff3,0x09fffff0,0x00357510,0x20000000,0x1aabba98,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x1ffff200,
    0x7ffd4000,0x7f44ffff,0x3a200fff,0xcfffffff,0x03ffffa0,0x0fffffe6,
    0x13ffffe0,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0013fffa,0x03575100,0xbb988000,0x0000001a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffff8000,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x99999988,0x99999881,
    0x00000009,0x03bbbaa0,0x44037500,0x260000ba,0x000009bb,0x00999980,
    0x26200000,0x88199999,0x00999999,0x33310000,0x26662013,0x99998801,
    0x00000099,0xeee88000,0x998001ee,0x10000000,0x10033333,0x26013333,
    0x75001999,0x005d4403,0x04cccc00,0x98800000,0x88199999,0x00999999,
    0x33310000,0x00666601,0xa8806ea0,0x3000000b,0x5fffffff,0xfffffd10,
    0x0000007f,0x01bfff60,0x83fffe88,0x002ffff9,0x7fffff5c,0x0000e883,
    0x077fffdc,0x7cc00000,0x82ffffff,0xffffffe8,0xf9800003,0x7dc0efff,
    0xf9803fff,0x41ffffff,0x88006cb9,0x99999999,0x7fcc0999,0x3bbb27ff,
    0x3fff220e,0x00003dff,0x3ffffee0,0x7fffcc00,0x7fffdc0e,0x7fff4403,
    0x2ffff983,0x3ffee000,0x000000ef,0x7fffffcc,0xfffe882f,0x00003fff,
    0xb85fffb8,0x22006fff,0xf983fffe,0x00002fff,0x7fffffcc,0x7ffe400e,
    0x00003fff,0x7fffc400,0x3fff2003,0x7fff41ff,0x3fea007f,0xaeffffff,
    0x000ffe98,0xffffff50,0x4000001d,0xeffffff9,0x7fffe400,0x800003ff,
    0x70effff9,0x4009ffff,0xfffffffa,0x07ffffdc,0xfffffd80,0x46ffffff,
    0x364ffffb,0xff71ffff,0xbfffffff,0x3ee00000,0x9800ffff,0xf70effff,
    0xf9009fff,0xfe83ffff,0x50007fff,0x1dffffff,0x3e600000,0x00efffff,
    0x7fffffe4,0x7cc00003,0x3fa21fff,0x3f2004ff,0x7f41ffff,0x00007fff,
    0x3fffffe6,0x3ffea004,0x00003fff,0x3fffea00,0x3fffa001,0x7fffc3ff,
    0xff8801ff,0xffffffff,0x06ffffff,0xfffffa80,0x00006fff,0xffffff30,
    0x7ffd4009,0x00003fff,0xbeffff98,0x8004ffff,0xfffffffb,0x007fffff,
    0xffffffd8,0x6c6fffff,0x3f61ffff,0xfffc9fff,0xffffffff,0x5c00000e,
    0x000fffff,0xf9dffff5,0x3a009fff,0x7c3fffff,0x001fffff,0x7fffffd4,
    0x800006ff,0x4ffffff9,0x3fffea00,0x400003ff,0xfddfffff,0x2002ffff,
    0x43fffffe,0x01ffffff,0xffff9800,0xe88002ff,0x003fffff,0x366a2000,
    0x6c006fff,0x7c2fffff,0x800fffff,0xfdcffff9,0xffffffff,0x7fd4000f,
    0xffffbdff,0x7cc00005,0x002fffff,0xfffffe88,0xfa800003,0x5fffffff,
    0x3ffb2e00,0xffffffff,0xd8007fff,0xffffffff,0x7ffc6fff,0x7fffec7f,
    0xfffffffd,0x04ffffff,0x7ffdc000,0x3ea000ff,0x4fffffff,0x3ffff600,
    0x7ffffc2f,0x3fea000f,0xffffbdff,0x3e600005,0x002fffff,0xfffffe88,
    0x3ea00003,0xffffffff,0x7fec005f,0x7ffc2fff,0x40000fff,0x1efffff9,
    0x7ffe4000,0x500003ff,0xffffffd9,0xf98007ff,0xffb86fff,0x3e6005ff,
    0x7ffff4c6,0x4c002fff,0x3ee5ffff,0x00005fff,0x3dfffff3,0xfffc8000,
    0x800003ff,0x5ffffffa,0x3fffe200,0xffffffff,0x8003ceff,0xfffffffd,
    0x3e66ffff,0x7fec4fff,0xffffffff,0xffffffec,0x2e00000f,0x000fffff,
    0x7fffffdc,0x7ffcc005,0xffffb86f,0x3ffe6005,0x3fffee5f,0xff980005,
    0x0001efff,0x1fffffe4,0xfff90000,0x01dfffff,0x6ffff980,0x05ffffb8,
    0x7fffcc00,0x2a00004f,0x003fffff,0x3ffff620,0xefffffff,0x676cc000,
    0x007dd700,0x3f6a0130,0x4c001cef,0xfb85ffff,0x40004fff,0x04fffff9,
    0x3ffea000,0x800003ff,0x006ffffb,0x7fffffc4,0x1fffffff,0x55554000,
    0xfffffaaa,0x07fffee6,0xfffffffb,0xffff987d,0x200003ff,0x00fffffb,
    0x5ffffb80,0x19db3000,0x800fbae0,0xb85ffff9,0x0004ffff,0x13ffffe6,
    0xfffa8000,0x200003ff,0x3fffffea,0x33b66000,0x007dd700,0x00000000,
    0x3ea00000,0xffffffff,0x02ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x10000000,0xf9dfffff,0x00bfffff,0x7fffc000,0x1bfff26f,
    0x3ffffff6,0xffff500f,0x5c0000ff,0x000fffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000266,0x00000000,0x00000000,0xfffffb80,
    0xffffffff,0x0000ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0xce880000,0x7fffd41b,0x000003ff,0x00dfffff,0xffffffd8,0x7ffffc01,
    0xf700000f,0x0001ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x44000000,0xdfffffff,0xffffffdb,0x440006ff,
    0x40000009,0x00000098,0x000004c4,0x00002620,0x00013100,0x99a98800,
    0xfd100001,0x001fffff,0xfffff000,0xfffd800d,0xffc802ff,0x10001fff,
    0x3fffee33,0x1880000f,0x04c40000,0x13100000,0x4c400000,0x44000000,
    0x00000009,0x33100000,0x76400033,0xeb805eee,0xd900eeee,0xd700bddd,
    0xfc81dddd,0x3a0effff,0xffffffff,0x372a003f,0x2cefffff,0x7ee54000,
    0x02ceffff,0x7fee5400,0x002cefff,0x7ffee540,0x0002ceff,0x7fffee54,
    0x40002cef,0xfffffed9,0x2005efff,0xfffffdc9,0x0005ffff,0x6fffff80,
    0x7fffec00,0xffff7007,0xd971005f,0xffdfffff,0x98001fff,0xfffffecb,
    0x71000bdf,0x9dffffdb,0x6dc40003,0x1ceffffe,0x3b6e2000,0x01ceffff,
    0x7f6dc400,0x001cefff,0x00bdddd9,0x01ddddd7,0x7fff6544,0x02dfffff,
    0x1fffff60,0x3fffff20,0xfffffb00,0xfffff900,0x7ffffc41,0x3fffe20e,
    0x05fffffd,0xfffffd88,0x0cffffff,0x7ffec400,0xffffffff,0x7ec4000c,
    0xffffffff,0x44000cff,0xfffffffd,0x000cffff,0x7ffffec4,0x0cffffff,
    0x7fff5400,0xffffffff,0xffc800ff,0xffffffff,0x00001fff,0x037ffffc,
    0x1fffff60,0x7ffffdc0,0x7fffdc03,0xffffffff,0x91000fff,0xffffffff,
    0x3005ffff,0xffffffff,0x30009fff,0xffffffff,0x30009fff,0xffffffff,
    0x20009fff,0xfffffff9,0xd804ffff,0xc807ffff,0x700fffff,0xffffffff,
    0x5dffffff,0xfffffb00,0xfffff900,0x3ffff601,0xffffc807,0x3ffff20f,
    0x7fffdc2f,0x0fffffe8,0x3ffffea0,0xffffffff,0xff5002ff,0xffffffff,
    0x005fffff,0x3fffffea,0xffffffff,0xfff5002f,0xffffffff,0x2005ffff,
    0xfffffffa,0xffffffff,0xffff5002,0xffffffff,0x74c01fff,0xffffffff,
    0x05ffffff,0x7fffc000,0x7fec006f,0xff5007ff,0x3a609fff,0xffffffff,
    0xffffffff,0xffffa800,0xffffffff,0x7fe402ff,0xffffffff,0x9001efff,
    0xffffffff,0x03dfffff,0x3fffff20,0xffffffff,0x3ff2001e,0xffffffff,
    0x3601efff,0xc807ffff,0x900fffff,0xffffffff,0xffffffff,0xffffd803,
    0xffffc807,0xffffb00f,0xffff900f,0x7fffec1f,0x55fffe86,0x205fffff,
    0xfffffffa,0xffffffff,0x7fd400ff,0xffffffff,0x0fffffff,0x7ffffd40,
    0xffffffff,0x5400ffff,0xffffffff,0xffffffff,0x7ffd400f,0xffffffff,
    0x00ffffff,0x7fffffcc,0xffffffff,0xfff300ff,0xffffffff,0x03ffffff,
    0x7fffc000,0x7fec006f,0xff5007ff,0xff107fff,0xffffffff,0xffffffff,
    0xffffc801,0xffffffff,0x3f602fff,0xffffffff,0x06ffffff,0xffffffd8,
    0xffffffff,0xfffd806f,0xffffffff,0xb006ffff,0xffffffff,0xdfffffff,
    0x3ffffec0,0x7ffffe40,0xfffff900,0xffffffff,0x6c01dfff,0xc807ffff,
    0xb00fffff,0x900fffff,0x741fffff,0x7cc4ffff,0xfff32fff,0xfff107ff,
    0xd9bfffff,0xbfffffff,0x7ffffc40,0xffecdfff,0x205fffff,0xfffffff8,
    0xffffecdf,0x3e205fff,0xdfffffff,0xffffffec,0x3ffe205f,0xecdfffff,
    0x5fffffff,0x7ffffec0,0x6dcc40ae,0xffffb00f,0xd7537bff,0x00bfffff,
    0x7ffffc00,0x7ffec006,0xfff7007f,0xfffb05ff,0x5559dfff,0x1fffffd9,
    0x7ffffcc0,0xfeeeffff,0xff302fff,0x2215dfff,0x2ffffffa,0x3ffffe60,
    0xfff510ae,0x7cc05fff,0x10aeffff,0x5ffffff5,0xfffff980,0xfff510ae,
    0x3f605fff,0xfc807fff,0xf900ffff,0x221357bf,0xffffffc9,0x3ffff603,
    0xffffc807,0xffffb00f,0xffff900f,0x7ffffc1f,0x87fffe43,0x84fffff8,
    0x2ffffffc,0xfffffd88,0xffff901f,0xffb105ff,0x3203ffff,0x82ffffff,
    0xffffffd8,0xfffff901,0xfffb105f,0x3f203fff,0x882fffff,0x1ffffffd,
    0x3fffffe0,0x7fd40002,0xf503ffff,0x000fffff,0x37ffffc0,0x3ffff600,
    0xffff9007,0xffffa83f,0x3fee03ff,0x3fa00fff,0x01dfffff,0x3f605d73,
    0xf100efff,0x201fffff,0x00effffd,0x1ffffff1,0x3bffff60,0xfffff100,
    0x7ffec01f,0xfff100ef,0xffb01fff,0xff900fff,0x2ea01fff,0xffff7000,
    0x7ffec0bf,0xfffc807f,0xfffb00ff,0xfff900ff,0x3ffe21ff,0x7fff42ff,
    0x27ffffc5,0x3fffffe2,0x7fffec02,0xffff886f,0x7fec02ff,0xff886fff,
    0x6c02ffff,0x886fffff,0x02ffffff,0x37ffffec,0x7fffffc4,0x7fffec02,
    0xffff306f,0xf88000df,0x203fffff,0x1ffffff8,0xffff0000,0xffd800df,
    0xffd007ff,0xfff88fff,0x7dc02fff,0xf700ffff,0x005fffff,0x7fffd404,
    0x7ffdc01f,0xfffa82ff,0x7fdc01ff,0xffa82fff,0x7dc01fff,0xf502ffff,
    0xb803ffff,0xd82fffff,0xc807ffff,0x000fffff,0x3ffffa00,0x3ffff606,
    0xffffc807,0xffffb00f,0xffff900f,0x3fffe61f,0x3fffe62f,0x27ffffc2,
    0x13fffff2,0x3ffffe60,0xfffffc87,0xffff9804,0xffffc87f,0xfff9804f,
    0xfffc87ff,0xff9804ff,0xffc87fff,0xf9804fff,0xf307ffff,0x005fffff,
    0x7ffffd40,0xffffd806,0xff00004f,0xd800dfff,0xa807ffff,0x546fffff,
    0x806fffff,0x00fffffb,0x09ffffff,0xffffd000,0xffff100b,0xffffd07f,
    0xffff100b,0xffffd07f,0xffff100b,0x3fffa07f,0xfff8805f,0xfffd83ff,
    0xfffc807f,0x200000ff,0x207ffffd,0x807ffffd,0x00fffffc,0x00fffffb,
    0x21fffff9,0x23fffff9,0x7c47fffc,0x7ec3ffff,0xb001ffff,0xd83fffff,
    0x001fffff,0x83fffffb,0x01fffffd,0x3fffffb0,0x1fffffd8,0xfffffb00,
    0xfffffd83,0xffffb001,0xffff103f,0x00019fff,0x05fffff7,0xdfffff50,
    0x3ffe0000,0x7ec006ff,0xfe807fff,0x7e44ffff,0xb802ffff,0x980fffff,
    0x00ffffff,0xfffff800,0xfffff003,0x7fffff0b,0x3ffffe00,0x3fffff85,
    0xbfffff00,0x0fffffe0,0x2fffffc0,0x03ffffec,0x07ffffe4,0xfff90000,
    0x3ff601ff,0xffc807ff,0xffb00fff,0xff900fff,0x3fe21fff,0x3ffa4fff,
    0x7fffcc5f,0x7ffff42f,0x3ffee006,0x7fff42ff,0x3fee006f,0x7ff42fff,
    0x3ee006ff,0x7f42ffff,0x2e006fff,0x742fffff,0x2006ffff,0x02fffffb,
    0xfffffffd,0x360017df,0x800fffff,0x06fffff9,0xfffff000,0xfffd800d,
    0x3ff6207f,0x7ec0ffff,0xb800ffff,0xa80fffff,0x004fffff,0xfffff880,
    0xcccccccd,0x6fffffcc,0x6fffffc4,0xcccccccc,0x46fffffc,0xcdfffff8,
    0xcccccccc,0x886fffff,0xccdfffff,0xfccccccc,0xfd86ffff,0xfc807fff,
    0x4000ffff,0xecccba99,0xb00fffff,0x900fffff,0x201fffff,0x807ffffd,
    0x20fffffc,0xf35fffff,0xffb85fff,0x7ffc1fff,0x3ea006ff,0x7fc3ffff,
    0x2a006fff,0x7c3fffff,0x2006ffff,0x43fffffa,0x006fffff,0x0fffffea,
    0x00dfffff,0x1fffffd4,0xffffff98,0x0befffff,0x1fffffa0,0x7ffffc40,
    0xfff00007,0xfd800dff,0x899bffff,0xfffffeb9,0xffffe82f,0xffff7007,
    0xffff701f,0xf300007f,0xffffffff,0xffffffff,0xff98ffff,0xffffffff,
    0xffffffff,0x7ffcc7ff,0xffffffff,0xffffffff,0xffff987f,0xffffffff,
    0xffffffff,0x7ffffd87,0xfffffc80,0xfffda800,0xffffffff,0xffb00fff,
    0xff900fff,0x3f601fff,0xfc807fff,0x3fa0ffff,0xffc8ffff,0xffffe87f,
    0x3fffe20f,0x3fe6005f,0x3fe24fff,0x26005fff,0x224fffff,0x005fffff,
    0x93ffffe6,0x05fffff8,0x3ffffe60,0x3ffffe24,0x3ffe6005,0x3fea04ff,
    0xffffffff,0xfff04fff,0x7fc00dff,0x00007fff,0x00dfffff,0xffffffd8,
    0xffffffff,0xfff05fff,0x3ee00dff,0xfd80ffff,0x0002ffff,0xffffffa8,
    0xffffffff,0x47ffffff,0xfffffffa,0xffffffff,0x547fffff,0xffffffff,
    0xffffffff,0xfa87ffff,0xffffffff,0xffffffff,0xffd87fff,0xffc807ff,
    0x3aa00fff,0xffffffff,0xffffffff,0xfffffb00,0xfffff900,0x3ffff601,
    0xffffc807,0x3fffee0f,0x44ffffcf,0x44fffffa,0x05fffff9,0x3ffffe60,
    0x3ffffe64,0x3ffe6005,0x3ffe64ff,0x3e6005ff,0x3e64ffff,0x2005ffff,
    0x24fffff9,0x05fffff9,0x3ffffe60,0x7ffec404,0xffffffff,0x3ffe20ef,
    0x3fe006ff,0x00007fff,0x00dfffff,0xffffffd8,0xffffffff,0xff880dff,
    0xf7006fff,0xfd01ffff,0x0005ffff,0xffffff90,0xffffffff,0x8dffffff,
    0xfffffffc,0xffffffff,0x646fffff,0xffffffff,0xffffffff,0xfc86ffff,
    0xffffffff,0xffffffff,0xffd86fff,0xffc807ff,0xff500fff,0xffffffff,
    0xffffffff,0x3ffff601,0xffffc807,0xffffb00f,0xffff900f,0x7fffc41f,
    0x22ffffff,0x0ffffffa,0x2fffffc4,0xfffff500,0x7ffffc47,0x3ffea005,
    0x3ffe23ff,0x3ea005ff,0x3e23ffff,0x2005ffff,0x23fffffa,0x05fffff8,
    0x3ffffea0,0xffd71003,0xffffffff,0x7ffffc4d,0x3fffe006,0xff00007f,
    0xd800dfff,0xffffffff,0x2effffff,0x3ffffe20,0xffff7006,0xffffb01f,
    0xf700007f,0x999bffff,0x99999999,0xffb87999,0xccccdfff,0xcccccccc,
    0x7ffdc3cc,0xcccccdff,0xcccccccc,0xffffb83c,0xccccccdf,0xcccccccc,
    0x7ffffd83,0xfffffc80,0xfffff980,0xaaabceff,0x00fffffd,0x00fffffb,
    0x01fffff9,0x01fffff6,0x03fffff2,0xfffffff9,0xfff953ff,0x3fe09fff,
    0x2e006fff,0x7c1fffff,0x2006ffff,0x41fffffb,0x006fffff,0x07ffffee,
    0x00dfffff,0x0fffffdc,0x01bffffe,0x1fffffb8,0xffeb9800,0x23ffffff,
    0x007fffff,0x0ffffff1,0x3fffe000,0x7fec006f,0xffffffff,0xff003eff,
    0x2e00ffff,0xb80fffff,0x004fffff,0xfffffa80,0x3ea00002,0x0002ffff,
    0x3ffffea0,0x7d400002,0x0002ffff,0x3ffffec0,0x7ffffe40,0xfffffe80,
    0x3fff201d,0xfffb00ff,0xfffb00ff,0x3ff601ff,0xffd807ff,0x7f440fff,
    0xffffffff,0xffffffff,0xfffffd00,0x3fff6001,0x7fff40ff,0xffb000ff,
    0xffe81fff,0xfb000fff,0xfe81ffff,0xb000ffff,0xe81fffff,0x000fffff,
    0x01fffffb,0xfffd9800,0x3ffa4fff,0xfa800fff,0x0005ffff,0x0dfffff0,
    0xfffffd80,0x0009aa98,0x07ffffe8,0x1fffffb0,0xdfffff50,0xfff10000,
    0x400007ff,0x03fffff8,0x3ffe2000,0x400003ff,0x03fffff8,0x7ffec000,
    0xfffd807f,0x7ffc40ff,0x7e400fff,0xfb00ffff,0x6401ffff,0x00ffffff,
    0x01fffffb,0x7fffffe4,0xfffff980,0xffffffff,0x3f600eff,0x8803ffff,
    0xd87fffff,0x803fffff,0x87fffff8,0x03fffffd,0x7fffff88,0x3fffffd8,
    0xfffff880,0xfffffd87,0xffff8803,0x3600007f,0x366fffff,0x803fffff,
    0x03fffffd,0xfffff000,0xfffd800d,0x3600007f,0x402fffff,0x0ffffffc,
    0xffffff98,0xfff80003,0x400006ff,0x006fffff,0x7ffffc00,0xff800006,
    0x00006fff,0x07ffffec,0xffffff90,0xfffff981,0xffffd804,0xffff900f,
    0x3ffee05f,0xf900ffff,0x2e05ffff,0x0fffffff,0xfffffb10,0x9fffffff,
    0xfffff700,0xfffd801f,0xfffb84ff,0x7ec00fff,0xfb84ffff,0x400fffff,
    0x84fffffd,0x0ffffffb,0x7ffffec0,0xfffffb84,0x7ffec00f,0x200004ff,
    0x25fffffa,0x06fffffc,0x7fffffcc,0xfff00001,0xfd800dff,0x00007fff,
    0x17fffff2,0xffffffb8,0xffff880f,0x40001fff,0x03fffffe,0x3fffa000,
    0x200003ff,0x03fffffe,0x7fff4000,0x200003ff,0x02fffffc,0xfffffff7,
    0xfffffa81,0x7fffe405,0xfff700ff,0xffb88bff,0x00ffffff,0x8bfffff7,
    0xffffffb8,0x3fe200ff,0xefffffff,0xfff1002d,0x3203dfff,0x80ffffff,
    0xeffffff8,0xfffff901,0xffff101f,0x3f203dff,0x880fffff,0x1effffff,
    0xffffff90,0xfffff101,0x3ff203df,0x5300ffff,0xffffe800,0x3fffe23f,
    0xfff305ff,0x0000dfff,0x037ffffc,0x1fffff60,0xfff88000,0x7dc42fff,
    0x0fffffff,0xffffff70,0x83c9809f,0x2ffffffa,0xffa80400,0x4002ffff,
    0xfffff500,0x2008005f,0x2ffffffa,0xffb80400,0x7dc45fff,0x0fffffff,
    0x7fffffcc,0xfffffb00,0x3fea01ff,0xfcbfffff,0xffffffff,0xffff500f,
    0xfff97fff,0x1fffffff,0x5ffffd40,0x700009bc,0xbfffffff,0xfffffb79,
    0x7fdc07ff,0xbcdfffff,0xfffffffd,0x3fffee03,0xfdbcdfff,0x03ffffff,
    0x3fffffee,0xfffdbcdf,0x2e03ffff,0xdfffffff,0xfffffdbc,0x3fea03ff,
    0x654409ad,0x41ffffff,0xeffffffc,0xffffdbbc,0x00001fff,0x01bffffe,
    0x0fffffb0,0xfffd8000,0xffcbdfff,0xffffffff,0x3ffffa00,0xccdeffff,
    0xfb03fffe,0x35dfffff,0x3f6e6661,0x3ffff605,0x3309aeff,0x6c0bfb73,
    0xaeffffff,0xfb733309,0xffffd80b,0x3309aeff,0x2a0bfb73,0xbfffffff,
    0xfffffffc,0x7fc40fff,0x88beffff,0xffffffeb,0x3ffa00ff,0xffffffff,
    0xfffffeff,0x3ffffa00,0xffffffff,0x00fffffe,0x001bfff6,0xfffffd00,
    0xffffffff,0xfd00dfff,0xffffffff,0xdfffffff,0xfffffd00,0xffffffff,
    0xfd00dfff,0xffffffff,0xdfffffff,0xfffffd00,0xffffffff,0xfa80dfff,
    0xefffffff,0xffffffff,0xfffff886,0xffffffff,0x4005ffff,0xaaaaaaa9,
    0xaaefffff,0xfd81aaaa,0x00007fff,0x7fffffcc,0xffffffff,0x200fffff,
    0xfffffff9,0xffffffff,0xffff103f,0xffffffff,0x40bfffff,0xfffffff8,
    0xffffffff,0x3fe205ff,0xffffffff,0x5fffffff,0x7ffffc40,0xffffffff,
    0x3a05ffff,0xffffffff,0xfffeffff,0xfffd80ff,0xffffffff,0xffffffff,
    0x3fffea00,0xffffffff,0x00ffffe8,0x3fffffea,0xe8ffffff,0xf100ffff,
    0x00007fff,0xffffff98,0xffffffff,0xff9800ef,0xffffffff,0x00efffff,
    0xffffff98,0xffffffff,0xff9800ef,0xffffffff,0x00efffff,0xffffff98,
    0xffffffff,0x7fd400ef,0xffffffff,0x0effffff,0xffffff70,0xffffffff,
    0xff9000bf,0xffffffff,0xffffffff,0xffffb09f,0xfb00000f,0xffffffff,
    0xfffd3fff,0xfffa801f,0xffffffff,0x2a03ffff,0xffffffff,0xffffffff,
    0x7fffd405,0xffffffff,0x5405ffff,0xffffffff,0xffffffff,0xffffa805,
    0xffffffff,0x2a05ffff,0xffffffff,0xffe8ffff,0xfff880ff,0xffffffff,
    0xfffffaff,0x7fffe400,0xd1efffff,0xc801ffff,0xffffffff,0xffffd1ef,
    0x3fffea01,0xc8800000,0xffffffff,0x4003ffff,0xffffffc8,0x03ffffff,
    0x7fffe440,0xffffffff,0x7fe44003,0xffffffff,0x644003ff,0xffffffff,
    0x5003ffff,0xffffffff,0xdfffffff,0xfffe9801,0xffffffff,0xff90004f,
    0xffffffff,0xffffffff,0xffffb09f,0x3200000f,0xffffffff,0xffffd1ef,
    0xfff91001,0xffffffff,0xfd8807ff,0xffffffff,0x805fffff,0xffffffd8,
    0xffffffff,0xfffd8805,0xffffffff,0xb1005fff,0xffffffff,0x0bffffff,
    0xffffffc8,0xffd1efff,0x3fee01ff,0xffffffff,0x1ffffd1f,0xfffff500,
    0xfffe89ff,0xfffa800f,0x7f44ffff,0xffb00fff,0x800000df,0xffffffd9,
    0x20001def,0xffffffd9,0x20001def,0xffffffd9,0x20001def,0xffffffd9,
    0x20001def,0xffffffd9,0x26001def,0xfffffffd,0x01cfffff,0x7ffff640,
    0x000cffff,0x3fffff20,0xffffffff,0x84ffffff,0x007ffffd,0x3ffaa000,
    0x7ec4ffff,0x26000fff,0xffffffed,0x5000adff,0xfffffffd,0x0059dfff,
    0x7fffff54,0x2cefffff,0x3fffaa00,0xefffffff,0x7f54002c,0xffffffff,
    0xfa802cef,0x44ffffff,0x200ffffe,0xffffffe8,0x3fffa0cf,0x2ea2000f,
    0x1000001a,0x00003575,0x80000000,0x0009bb98,0x9bb98800,0x98800000,
    0x000009bb,0x009bb988,0xbb988000,0x98800009,0x9aacbaaa,0xba980000,
    0x9000019a,0xffffffff,0xffffffff,0x55309fff,0x00000555,0x00357310,
    0x2aa20000,0x8800019a,0x01aabcb9,0x79731000,0x20000355,0x1aabcb98,
    0x2e620000,0x0001aabc,0x0006aea2,0x35773100,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x57530000,0x33330001,0x26ee6001,0x4c000000,
    0x00000999,0x33333100,0x33331033,0x00000133,0x0cd654c4,0x00000000,
    0x75c00000,0x73004eee,0x00000137,0x00001998,0x06666662,0x13333331,
    0x00000262,0x33331000,0x4c000333,0x4cc40001,0x26000001,0x00000999,
    0x00000ccc,0x4ccccc40,0x3ae00019,0x100000ce,0x88333333,0x00999999,
    0x7ff4c000,0x9000dfff,0xb801dfff,0x83fffffe,0x2e0000e8,0x000effff,
    0x7ffcc000,0xe882ffff,0x03ffffff,0x7ffdc000,0x0bffffff,0x77f54000,
    0x00000003,0x05ffffd0,0xfffffeb8,0xec80e883,0x3f220eee,0x002effff,
    0x3ffffa20,0x3fffa22f,0xfff50eff,0x0003579d,0xffff3000,0x50005fff,
    0x4003dfff,0xffffffeb,0xeeeeeeee,0x7ffdc005,0x776400ef,0x3ff222ee,
    0x0003efff,0xfffff980,0xf90002ff,0x0001ffff,0xfffffe88,0x3ffffa22,
    0x3b2200ef,0x3fea01df,0x0fffffff,0x17fffcc0,0x3ffffea0,0xe98aefff,
    0xfa8000ff,0x00efffff,0xfff30000,0xc801dfff,0x03ffffff,0xfffea800,
    0xffffffff,0xff70002f,0x00007fff,0xfff88000,0x3fea00ff,0xaeffffff,
    0x6c0ffe98,0xff71ffff,0x9fffffff,0x3fff6000,0x7fff42ff,0x7ffd45ff,
    0x01dfffff,0xfff30000,0x0001dfff,0x1ffffff3,0xffffea80,0xffffffff,
    0x2006ffff,0xeffffffa,0x3ffff600,0xffffff53,0x00009fff,0x7fffffcc,
    0xff30000e,0x0009ffff,0x2fffffd8,0x2ffffff4,0x3ffffa20,0xffff882f,
    0x04ffffff,0x2027fff4,0xfffffff8,0xffffffff,0x7fd4006f,0x06ffffff,
    0xfff98000,0x2a004fff,0x03ffffff,0x3fffea00,0xffffffff,0xf8001fff,
    0x007fffff,0x7d400000,0x3e205fff,0xffffffff,0x6fffffff,0x64ffffec,
    0xffffffff,0x5c004fff,0x6c2fffff,0xa83fffff,0xffffffff,0x00001dff,
    0x3fffffe6,0x3ff60004,0x2e04ffff,0xffffffff,0xffffffff,0xff5006ff,
    0x0dffffff,0x5dffffec,0xffffffff,0x80005fff,0x4ffffff9,0x7ffd4000,
    0x20005fff,0x42fffffb,0x03fffffd,0xffffffc8,0x77ffe40f,0x0ffffd9a,
    0x01ffff90,0xdcffff98,0xffffffff,0x3ea000ff,0xfffbdfff,0x2600005f,
    0x02ffffff,0xffffe880,0xff88003f,0xfeffffff,0x0fffffff,0x3fffe200,
    0x00001fff,0x03999993,0x017fffe4,0xfb9ffff3,0xffffffff,0xffffd81f,
    0xfffffffd,0x00ffffff,0x7fffff30,0x2fffffc8,0xffffff50,0x05ffffff,
    0xffff3000,0xe80005ff,0x05ffffff,0xfffffff3,0xffffffdd,0x500dffff,
    0xff7bffff,0x3ff60bff,0xfffffeff,0xffffffff,0x3fe60000,0x0002ffff,
    0xffffffa8,0xfff30005,0xfffc87ff,0xffd002ff,0xe83fffff,0x3fe22fff,
    0xfff981ff,0x8df3002f,0xffffffe9,0x3fe6002f,0x3ffee5ff,0xf980005f,
    0x001effff,0x7ffffe40,0x7ffec003,0x7fd40dff,0x4002ffff,0x0fffffff,
    0xfff50000,0x7ff407ff,0x46f9807f,0xffffffe9,0xffffd82f,0xfdffffff,
    0x04ffffff,0x3fffff88,0x0f7fffdc,0xffffff50,0x3fffffff,0x7ffcc000,
    0x80001eff,0x3ffffffd,0x5fffffd0,0x9fffff90,0xff980555,0x3ffee5ff,
    0xffffd85f,0xcbefffff,0x04ffffff,0xfffff300,0x7400003d,0x001fffff,
    0x3fffff88,0x0f7fffdc,0xffffff00,0xffff85ff,0x417fff40,0x4005fffe,
    0xdffb5009,0x7fcc0039,0xfffb85ff,0x3e60004f,0x0004ffff,0x3ffffea0,
    0xffff1003,0x7ffd40df,0x7ec004ff,0x0005ffff,0x3ffffea0,0x13fffe03,
    0xfda804c0,0xffb01cef,0x87dfffff,0x06fffffb,0x43ffffd8,0x00dffffb,
    0x7e5d4cc4,0xffffffff,0xfff98000,0x200004ff,0x0ffffff8,0x2fffff88,
    0x17ffff60,0x2ffffcc0,0x227fffdc,0xfffffffd,0x7fffcc2e,0xff98007f,
    0x00004fff,0x02fffe88,0x7ffffb00,0x0dffffb8,0x7fffec00,0x3fe20fff,
    0x3fffd87f,0x007fffe4,0x00000000,0x00000000,0x00000000,0x5fffff30,
    0x7ffffc40,0x7fec4005,0x200000df,0x03fffffa,0x003ffff3,0xffb00000,
    0x201fffff,0x007fffff,0x20000000,0xffffffea,0x00000005,0x37ffa600,
    0xdffff500,0xfffff980,0x40000000,0xfffffffd,0xfffffd01,0x00000000,
    0x00006200,0x98000000,0x44ffffff,0x740ffff8,0x3fe62fff,0x000002ff,
    0x00000000,0x00000000,0x7dc00000,0x2600ffff,0x004fffff,0x00003530,
    0x7fffff50,0x00000000,0xfffffd80,0x3fff601f,0x000000ff,0x3fe20000,
    0x0007ffff,0x08000000,0x5ffffc80,0x7ffffc40,0x40000001,0x2ffffffd,
    0x3ffffee0,0x00000000,0x00000000,0xf5000000,0x3fe09fff,0x7fffc2ff,
    0x017fffa1,0x0cccc400,0x4cc40000,0x88000019,0x00001999,0x00333310,
    0x03ffffe4,0x0bfffff2,0x00000000,0x0fffffea,0x00000000,0x5fffffb0,
    0xfffffc80,0x00000000,0x7fffcc00,0x0cc401ff,0x00000980,0x7fffe400,
    0x7fffc405,0x4c40001f,0x3f60199a,0x5c03ffff,0x001fffff,0x03335310,
    0x01880000,0x004c4000,0x00a98000,0x6437fffa,0x3fee7fff,0xa88000ff,
    0xffffffec,0x44002dff,0xfffffeca,0x4002dfff,0xffffeca8,0x002dffff,
    0xfffeca88,0x02dfffff,0x81fffff6,0x06fffffa,0x00000000,0x07fffff5,
    0x3bbb2000,0xeeeb805e,0xffffb0ee,0xffff700f,0xdddd901f,0xdddd700b,
    0xff80001d,0x5c43ffff,0xcefffffe,0x3ffffaa0,0x3310001d,0x3fee0133,
    0x3e600fff,0x98007fff,0xffffffed,0x7fec5eff,0xaa8807ff,0xb3000aaa,
    0xfffffffd,0x98000bdf,0xfffffecb,0x95000bdf,0x9dfffffb,0x40000005,
    0xfffffffa,0xfff33fff,0xff70007f,0xffffffff,0x005dffff,0xfffffff7,
    0xdfffffff,0xffff7005,0xffffffff,0x2e005dff,0xffffffff,0x2effffff,
    0x07ffffd8,0x5ffffff5,0x77777640,0x04eeeeee,0x3ffea000,0xb00003ff,
    0x900fffff,0x361fffff,0xb807ffff,0xd80fffff,0xc807ffff,0x000fffff,
    0x7ffffec0,0x3ffffe23,0xc9efffff,0xffffffff,0xfffb8001,0xffff303f,
    0x7fff407f,0x3faa006f,0xffffffff,0x3f60ffff,0x00007fff,0x3ffffaa0,
    0xffffffff,0xfc88000f,0xffffffff,0x6c402fff,0xffffffff,0x0000cfff,
    0xffffd000,0x7f4dffff,0xf90005ff,0xffffffff,0x3fffffff,0xfffffc80,
    0xffffffff,0x7e401fff,0xffffffff,0x1fffffff,0xfffffc80,0xffffffff,
    0x7fec1fff,0xfffa87ff,0x7ec02fff,0xffffffff,0x200006ff,0x03fffffa,
    0xffffb000,0xffff900f,0x3ffff61f,0xffffb807,0xffffd80f,0xffffc807,
    0x7f40000f,0x3e22ffff,0xffffffff,0xffffffff,0x000fffff,0x01ffffe4,
    0x85fffffd,0x3fffffd8,0xfffff500,0xffffffff,0x7ffec1ff,0x5000007f,
    0xffffffff,0x1fffffff,0xffffa800,0xffffffff,0x3fea02ff,0xffffffff,
    0x002fffff,0xffd88000,0x3ee5ffff,0x90000fff,0xffffffff,0xffffffff,
    0x7ffe401d,0xffffffff,0x00efffff,0x3ffffff2,0xffffffff,0x7e400eff,
    0xffffffff,0xefffffff,0x1fffff60,0x5ffffff1,0xfffffb00,0x0dffffff,
    0x7ffd4000,0xb00003ff,0x900fffff,0x361fffff,0xb807ffff,0xd80fffff,
    0xc807ffff,0x000fffff,0x3ffffe20,0x3fffe21f,0xffffffef,0xfffeffff,
    0x7e4003ff,0x3e603fff,0xfeffffff,0x05ffffff,0xffffff30,0xffffffff,
    0x7ffec1ff,0x9800007f,0xffffffff,0xffffffff,0x3fff2000,0xffffffff,
    0xf502ffff,0xffffffff,0xffffffff,0x20000001,0x221bccb9,0x0003ffff,
    0x26af7ff2,0xffff9310,0x7fe407ff,0x93109abd,0x07ffffff,0x4d5effe4,
    0xffff9310,0xffc807ff,0x93109abd,0x47ffffff,0x6c7ffffd,0x002fffff,
    0xfffffffb,0x000dffff,0x7ffffd40,0xffb00003,0xff900fff,0x3ff61fff,
    0xffb807ff,0xffd80fff,0xffc807ff,0x10000fff,0x8ffffffb,0x7dc0bef8,
    0x30efffff,0x800dffff,0x404ffffc,0xfffffffe,0x0fffffff,0xfffffb00,
    0xdb98815d,0x3ffff60f,0xfd800007,0x40aeffff,0x000fdb98,0xfffffff3,
    0xfffdddff,0xffff105f,0xfd9bffff,0x0bffffff,0x20000000,0x0006fffe,
    0xfb8005d4,0x2a05ffff,0xfff7000b,0x05d40bff,0xfffffb80,0x8005d405,
    0x25fffffb,0x7c7ffffd,0x2006ffff,0xfccccccb,0x0006ffff,0x3ffffea0,
    0xffb00003,0xff900fff,0x3ff61fff,0xffb807ff,0xffd80fff,0xffc807ff,
    0x54400fff,0xffffcaaa,0x01442fff,0x07fffff2,0x803ffff5,0xfffffda8,
    0x3ffff204,0xffffffff,0x3fe000cf,0x0002ffff,0x00fffffb,0xfffff000,
    0xd000005f,0x3bffffff,0x320bae60,0x82ffffff,0xffffffd8,0x00000001,
    0x00ffffdc,0x7f400000,0x00006fff,0x037ffff4,0x3fffa000,0xe800006f,
    0x3f66ffff,0x3fe27fff,0x00005fff,0x00dfffff,0x7fffd400,0xfb00003f,
    0xf900ffff,0x3f61ffff,0xfb807fff,0xfd80ffff,0xfc807fff,0x5400ffff,
    0xffffffff,0x30005fff,0xf10dffff,0x36207fff,0xffffffff,0xbffff505,
    0x9bdfffb7,0xfff98001,0x360006ff,0x0007ffff,0x7ffffcc0,0xfb800006,
    0x002fffff,0xfffff102,0xfffd805f,0x654006ff,0x7c40002c,0x00003fff,
    0xffffb000,0xfd80000f,0x00007fff,0x03ffffec,0x7ffec000,0x3ffff67f,
    0x7fffffc7,0xfff80000,0x200006ff,0x03fffffa,0xffffb000,0xffff900f,
    0x3ffff61f,0xffffb807,0xffffd80f,0xffffc807,0x7ffd400f,0xefffffff,
    0xfff10000,0x3fffa09f,0xfffffa84,0xb05fffff,0x0001ffff,0xfffff300,
    0x3f60005f,0x00007fff,0x7fffffcc,0x7fc00002,0x0004ffff,0x27ffffe4,
    0x7ffffcc0,0x3fff6007,0xfb0000df,0x00000dff,0x7fffe400,0x3200000f,
    0x000fffff,0x3ffff200,0x6400000f,0xfb0fffff,0xffe8ffff,0x80005fff,
    0x006fffff,0x3fffea00,0xfb00003f,0xf900ffff,0x3f61ffff,0xfb807fff,
    0xfd80ffff,0xfc807fff,0x5400ffff,0xffffffff,0x7c40003f,0xffd03fff,
    0xffff989f,0x5fffffff,0x00fffff0,0x3ffe2000,0x000cffff,0x03ffffec,
    0x3ffe2000,0x000cffff,0xfffff980,0x7ec0000f,0xb001ffff,0x003fffff,
    0xbffffff5,0xffff5000,0x98000003,0xfecccba9,0x4000ffff,0xecccba99,
    0x000fffff,0x6665d4cc,0x00fffffe,0xccba9980,0x0fffffec,0xc8fffffb,
    0x0effffff,0x3fffe000,0x2a00006f,0x003fffff,0xfffffb00,0xfffff900,
    0x1fffff61,0x3ffffee0,0x7ffffd80,0xfffffc80,0x7fffcc00,0x0000bdff,
    0x3fffe666,0xfe99999b,0x7fff45ff,0xcccdefff,0xfffff883,0xfd000004,
    0xdfffffff,0xfffb0017,0xd00000ff,0xffffffff,0x2a00017d,0x004fffff,
    0x6ffffe80,0x3fffee00,0xfffc802f,0x2001ffff,0x263ffff8,0x000bdedb,
    0xfffffda8,0xffffffff,0xffda800f,0xffffffff,0xa800ffff,0xfffffffd,
    0x0fffffff,0xffffb500,0xffffffff,0x3fff61ff,0x7fffc47f,0x0002ffff,
    0x00dfffff,0x7fffd400,0xfb00003f,0xf900ffff,0x3f61ffff,0xfb807fff,
    0xfd80ffff,0xfc807fff,0x4c00ffff,0x000fffff,0xffffdb50,0xffffffff,
    0x4dffffff,0x3ffffffb,0x7ffff400,0xaccccdef,0x7cc0009a,0xffffffff,
    0xfb00beff,0x0000ffff,0xffffff30,0x17dfffff,0x7fffdc00,0xff80003f,
    0x2a006fff,0x803fffff,0xfffffffd,0x3fff6004,0x3ffffee6,0xfd5003ff,
    0xffffffff,0x1fffffff,0x7ffff540,0xffffffff,0x2a00ffff,0xfffffffe,
    0xffffffff,0x7ff5400f,0xffffffff,0xb0ffffff,0xf50fffff,0x7fffffff,
    0xfffff000,0x7d40000d,0x0003ffff,0x0fffffb0,0x1fffff90,0x01fffff6,
    0x03ffffee,0x01fffff6,0x03fffff2,0x0fffff10,0xffffb100,0xffffffff,
    0xffffffff,0x7fffecbf,0xffc8004f,0xffffffff,0x0cffffff,0xfffff500,
    0xffffffff,0xfffffb09,0x3ea00000,0xffffffff,0xb004ffff,0x005fffff,
    0xfffff880,0x3ffe6005,0xffb804ff,0x005fffff,0x323ffff5,0xffffffff,
    0x7ffd402f,0xffffffff,0x0fffffff,0xffffff50,0xffffffff,0x2a01ffff,
    0xffffffff,0xffffffff,0x3fea00ff,0xffffffff,0xffffffff,0x0fffffb0,
    0x3fffffe6,0x7fc003ff,0x00006fff,0x0fffffea,0x7ffec000,0xfffc807f,
    0xffffb0ff,0xffff700f,0xffffb01f,0xffff900f,0xfff8801f,0xffe8007f,
    0xffffffff,0xffffffff,0x3fe5ffff,0x0001ffff,0xfffffff9,0xffffffff,
    0x362009ff,0xffffffff,0x360effff,0x0007ffff,0x3fff6200,0xffffffff,
    0x7ff400ef,0x40002fff,0x05fffff9,0x3ffffe60,0xffffd004,0xff100dff,
    0x3ffe29ff,0x6ffffeff,0x3ffffe60,0xaaabceff,0x80fffffd,0xfffffff9,
    0xfdaaabce,0xf980ffff,0xceffffff,0xfffdaaab,0xfff300ff,0x579dffff,
    0xfffffb55,0x1fffff61,0xfffffe98,0x3fe000ff,0x00006fff,0x0fffffea,
    0x7ffec000,0xfffc807f,0xffffb0ff,0xffff700f,0xffffb01f,0xffff900f,
    0xfff8801f,0x7fe4007f,0xfbaacfff,0xaaaacfff,0xf11aaaaa,0x001fffff,
    0x3ffffe20,0xffffffff,0x003fffff,0x3ffffae2,0x26ffffff,0x007ffffd,
    0xfeb88000,0xffffffff,0x7ffec06f,0x440003ff,0x005fffff,0x0fffffea,
    0x7ffffc40,0xfffd805f,0x437fff26,0xd01ffffa,0x03bfffff,0x07ffffe4,
    0x6ffffff4,0x3ffff201,0xffffe80f,0x3ff201df,0xffd00fff,0x6403bfff,
    0xfb0fffff,0xd880ffff,0x04ffffff,0x1bffffe0,0xfffa8000,0xb00003ff,
    0x900fffff,0x361fffff,0xb807ffff,0xd80fffff,0xc807ffff,0x800fffff,
    0x2002aaaa,0x41fffff8,0x002ffff8,0x7fffffc4,0xfff98001,0xeeeeefff,
    0xfffffffe,0xeb98000f,0xffffffff,0x0fffffb3,0xb9800000,0xfffffffe,
    0x3ffee03f,0xf80004ff,0x2006ffff,0x01fffffb,0x3ffffee0,0x7fffd404,
    0xd0bfffa1,0xff105fff,0xc801ffff,0x440fffff,0x00ffffff,0x07ffffe4,
    0x3fffffe2,0x7fffe400,0xffff880f,0x7fe400ff,0xfffb0fff,0x3ffa00ff,
    0x3e006fff,0x0006ffff,0x3ffffea0,0xffb00003,0xffb00fff,0x00001fff,
    0x7fffec00,0xffffd807,0x4000000f,0x884ffff9,0x8003ffff,0x03fffffe,
    0x7ffffc40,0x3fea200d,0x0002ffff,0x7ffffecc,0x0000004f,0xfffb3000,
    0x7d409fff,0x0006ffff,0x0fffffe8,0xfffffb00,0x7ffc4001,0x3fe202ff,
    0x7fffc4ff,0x41fffec1,0x04fffff9,0x0fffffd8,0x27ffffcc,0x7ffffec0,
    0x7ffffcc0,0xffffd804,0xffff980f,0xfffd804f,0xffffb0ff,0x3ffe600f,
    0x3fe007ff,0x00006fff,0x0fffffea,0x7ffec000,0x3ff200ff,0x0000ffff,
    0x3fff6000,0x3ff200ff,0x0000ffff,0x7fffd400,0x5ffff883,0xffffc800,
    0x3f6001ff,0x5000ffff,0x009fffff,0x3ffff600,0x0000006f,0x7ffec000,
    0x3fe606ff,0x0003ffff,0x1fffffec,0x7ffffc40,0x7ffcc007,0x3ff201ff,
    0x3ffe20ef,0x27ffe40f,0x2fffffd4,0x3fffff20,0x7fffd40f,0x7ffe405f,
    0x7fd40fff,0x7e405fff,0xa80fffff,0x405fffff,0x0ffffffc,0x00fffffb,
    0x03fffffc,0x0dfffff0,0x7ffd4000,0x900003ff,0x205fffff,0xfffffffb,
    0xaaaa8800,0xfffc8002,0xfff702ff,0x5001ffff,0x5c003bfb,0xfa83ffff,
    0x4000ffff,0xfffffffa,0xfffff002,0x7ffcc00b,0x500003ff,0x80bfffff,
    0x002aaaa8,0x3fea0000,0x3e205fff,0x01ffffff,0x3fffee00,0x7fec00ff,
    0x6c004fff,0x2a04ffff,0xff82ffff,0x7ffec1ff,0xfffff983,0xffffb00f,
    0xff981fff,0xfb00ffff,0x81ffffff,0x0ffffff9,0xffffffb0,0xffff301f,
    0x3ff601ff,0xfb0fffff,0x2200ffff,0x006fffff,0x01bffffe,0xffffa800,
    0xf700003f,0xb88bffff,0xffffffff,0xffffb800,0xfffb8005,0x7fdc45ff,
    0x00ffffff,0x17ffffdc,0x4ffffb80,0x7fffffc4,0xfffe8004,0x9abfffff,
    0x7ffffc40,0x3ffee005,0x002982ff,0x1ffffff4,0x17fffee0,0x20014c00,
    0x03fffffe,0x7fffffdc,0x21e4c04f,0xeffffff8,0xfffff901,0x3f62001f,
    0x3a206fff,0xffd04fff,0x1ffff87f,0xffffff88,0xffeb88be,0x40ffffff,
    0xeffffff8,0xfffeb88b,0x440fffff,0xbeffffff,0xffffeb88,0xf880ffff,
    0x8befffff,0xfffffeb8,0xfffb0fff,0x44cdc4ff,0xfffffe99,0x3fffe004,
    0x2a00006f,0x003fffff,0xfffff500,0xffff97ff,0x01ffffff,0x05ffffb0,
    0xfffff500,0xffff97ff,0x01ffffff,0x7fffffc4,0xffff5007,0x3fffa21d,
    0xb883ffff,0xffffe885,0xffffffff,0x3fffffe6,0xffffa801,0xdffa80ff,
    0x7e54409a,0x401fffff,0x002ffffd,0x135bff50,0xffffca88,0xffe801ff,
    0xdeffffff,0x83fffecc,0xfffffffb,0xffffdbcd,0x32a03fff,0xffffffec,
    0x3ffff201,0x7ffff900,0x40dfffd5,0xfffffffd,0xffffffff,0xfd80ffff,
    0xffffffff,0xffffffff,0xfffd80ff,0xffffffff,0xffffffff,0xfffffb00,
    0xffffffff,0x21ffffff,0x227ffffd,0xffffffff,0x2a61ffff,0xffaaaaaa,
    0xaaaaefff,0x7d4001aa,0xffffffff,0xffffffff,0xffffd02f,0xffffffff,
    0x01fffffd,0x01ffffd0,0x3ffffa00,0xffffffff,0x00fffffe,0x3fffffe6,
    0xfff8801f,0xffffdfff,0xdfffffff,0xf306ffed,0xffffffff,0x7fecdfff,
    0x9acdffff,0xffffeba9,0xfff503ff,0xffdfffff,0x0dffffff,0x01ffffd0,
    0x3fffea00,0xfffeffff,0x006fffff,0xfffffff3,0xffffffff,0x3fffa07f,
    0xffffffff,0x406fffff,0xfffffffd,0x3ffe601e,0x3ffe202f,0x2fffffff,
    0x3ffffe20,0xffffffff,0x80fffffa,0xfffffff8,0xfaffffff,0xf880ffff,
    0xffffffff,0xfffaffff,0xfff100ff,0xffffffff,0xfffff5ff,0x9fffff61,
    0xfffffff8,0x7e42ffff,0xffffffff,0xffffffff,0x7d4004ff,0xffffffff,
    0xffffffff,0xffff502f,0xffffffff,0x01ffffd1,0x06ffff88,0x3fffea00,
    0xffffffff,0x00ffffe8,0x3fffffe6,0xfffb000f,0x1bffffff,0xffffffff,
    0x6cc0dfff,0xffffffff,0x3ffe66ff,0xffffffff,0xffffffff,0x3fffea04,
    0xffffffff,0x400effff,0x006ffff8,0x3ffffea0,0xffffffff,0x2000efff,
    0xfffffffa,0xffffffff,0xfffff303,0xffffffff,0xfd801dff,0x803fffff,
    0xb805fffe,0xffffffff,0xffffb805,0x1fffffff,0x201ffffd,0xfffffffb,
    0xffd1ffff,0x3fee01ff,0xffffffff,0x1ffffd1f,0x7ffffdc0,0xd1ffffff,
    0x3f61ffff,0x3fe27fff,0xffffffff,0xfffffc83,0xffffffff,0x04ffffff,
    0x7ffffd40,0xffffffff,0x202fffff,0xfffffffc,0xfffd1eff,0xfff9801f,
    0x7e40003f,0xffffffff,0x1ffffd1e,0xfffffe80,0x3ffe2006,0x2a5fffff,
    0xffffffff,0xfd9806ff,0x6fffffff,0x7fffffcc,0xffffffff,0x7d404fff,
    0xffffffff,0x0effffff,0x3ffff980,0x3ffea000,0xffffffff,0x000effff,
    0xfffffc88,0xffffffff,0x3fff2203,0xffffffff,0xdffb003f,0xff900179,
    0x3aa001ff,0x002fffff,0x3fffffa2,0x3ffa0cff,0x3fa200ff,0x0cffffff,
    0x803ffffa,0xffffffe8,0x3fffa0cf,0x7ff4400f,0x20cfffff,0xfb0ffffe,
    0x7fc4ffff,0x0bffffff,0xffffff90,0xffffffff,0x009fffff,0xffffffa8,
    0xffffffff,0x5402ffff,0x4fffffff,0x007ffff4,0x007fffee,0x3fffea00,
    0x7ff44fff,0x7f4400ff,0x44000eff,0x0dfffffd,0x7fffff4c,0x26003eff,
    0x6ffffecc,0xffffeb88,0xffffffff,0xffd9800b,0xffffffff,0x2e001cff,
    0x0001ffff,0x3fffff66,0xcfffffff,0xed980001,0xffffffff,0xfd9800ad,
    0xdeffffff,0x00002001,0x15510000,0x5dcc4000,0x4400001a,0x0001abb9,
    0x0d5dcc40,0x5cc40000,0x000001ab,0x00355531,0x3ffffff2,0xffffffff,
    0x004fffff,0x7fffffd4,0xffffffff,0x1002ffff,0x00003575,0x00266654,
    0x06aea200,0x0aea0000,0x03753000,0x13577530,0x2a620000,0x6e654c02,
    0x001abcde,0x2eaaa620,0x80009aac,0x0004ccca,0x2eaaa620,0x00009aac,
    0x26aaa200,0x5cc40001,0x0000009b,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x6654c000,0x00009abc,0x4cccccc0,0x99998809,0x33100001,
    0x00133333,0x0ccccc40,0x4c400000,0x99999999,0x88000999,0x99999999,
    0x22009999,0x99999999,0x20000999,0x99999998,0x00099999,0xcba98800,
    0x4c4009aa,0x33100999,0x88000033,0x01999999,0x26662000,0x4c401999,
    0x33100999,0x2a200033,0x100000ac,0x22013333,0x98001999,0x200009bb,
    0x01abcba8,0x01333300,0x0004ccc4,0x1004cccc,0x30001333,0x10001333,
    0xffffffd9,0x0007ffff,0x3fffff60,0xfffb80df,0x700001ff,0x1dffffff,
    0x3ffee000,0x000001ff,0x7fffffd4,0x05ffffff,0xfffffa80,0x5fffffff,
    0x3fffff60,0x06ffffff,0x3fffea00,0xffffffff,0x3a600005,0xffffffff,
    0x3ffe604f,0x7ffdc0ef,0x2600003f,0x2fffffff,0xfff30000,0x9805ffff,
    0x5c0effff,0x4003ffff,0xdfffffd8,0xf3004c81,0xfb81dfff,0x2e003fff,
    0x83fffffe,0xfff900e8,0x003dffff,0x4077ffe4,0x05ffffc8,0x077ffe40,
    0x2ffffe44,0x3bfff200,0x7ffd4000,0xffffffff,0xc80003ff,0x03ffffff,
    0x07ffffee,0xfff98000,0x8000efff,0x01fffffb,0x7fd40000,0xffffffff,
    0xfa8005ff,0xffffffff,0x3f605fff,0xffffffff,0x2a0006ff,0xffffffff,
    0x0005ffff,0xfffffd98,0x04ffffff,0x877fffcc,0x004ffffb,0x3fffe600,
    0x00000eff,0xdffffff3,0x3ffe6001,0xffff70ef,0xfffd0009,0x139fffff,
    0x26009ff7,0xf70effff,0x54009fff,0xffffffff,0x0ffe98ae,0xffffffc8,
    0xf9800fff,0x7e442fff,0x005fffff,0x10bfffe6,0xbffffff9,0x7fffcc00,
    0x7ffe4002,0xffffffff,0x40003fff,0x1efffffc,0xfffdaaa8,0xaaaaabff,
    0xffb10000,0x8001dfff,0x01fffffb,0x7fd40000,0xffffffff,0xfa8005ff,
    0xffffffff,0x3f605fff,0xffffffff,0x2a0006ff,0xffffffff,0x0005ffff,
    0x7fffff44,0x4fffffff,0xeffff980,0x004ffffb,0x3fffe600,0x200004ff,
    0x4ffffff9,0xffff9800,0x04ffffbe,0xfffffd80,0xffffffff,0xf3001fff,
    0xfff7dfff,0x7fc4009f,0xffffffff,0x86ffffff,0xffeccefc,0xffe802ff,
    0xffffe84f,0x3a005fff,0xffe84fff,0x005fffff,0x0013fffa,0xfffffff9,
    0xffffffff,0x7fe40007,0xff00dfff,0xffffffff,0x007fffff,0xfffffb80,
    0x3fee000e,0x00001fff,0x777774c0,0x4eeeeeee,0xeeee9800,0xeeeeeeee,
    0x3ffff604,0x6fffffff,0x3bba6000,0xeeeeeeee,0x7e40004e,0xffffffff,
    0x5004ffff,0xffffffff,0x7cc0000b,0x002fffff,0x3fffe600,0x2a0002ff,
    0xffffffff,0xfffb0005,0xfffffd9b,0x8009ffff,0xfffffffa,0x7fcc005f,
    0xffffdcff,0x80ffffff,0x2ffff880,0x07fffe40,0x7fffffdc,0xfff9005f,
    0xffff701f,0x3200bfff,0x2000ffff,0xfffffff8,0x32a6209b,0xfff90002,
    0xfff807ff,0xffffffff,0x0003ffff,0xefffff98,0xffff7000,0x0000003f,
    0x00000000,0x2aaaa000,0xfffffaaa,0x00000006,0x3ffea000,0x2609dfff,
    0x3ea002b9,0x005fffff,0x3fffe600,0x200001ef,0x1efffff9,0xfffa8000,
    0x40005fff,0x7ffdc2fd,0x0005ffff,0xbffffff5,0x31be6000,0xfffffffd,
    0xff931005,0x7fcc01ff,0x19f102ff,0x300bfffb,0x2205ffff,0x5fffd8cf,
    0x2ffff980,0x7fffec00,0x000000df,0x07fffff2,0x3fffffe0,0xffffffff,
    0xb100003f,0x001dffff,0x03fffff7,0x00000000,0x00000000,0xdfffff00,
    0x00000000,0x7fffe400,0xb800004f,0x0006ffff,0x3ffffe60,0x7cc00004,
    0x0004ffff,0x37fffdc0,0x91028000,0x0007bffd,0x06ffffb8,0xda804c00,
    0x4401ceff,0x1effffff,0x02ffff40,0x05fffd82,0x405fffe8,0x017fff60,
    0x0017fffa,0x1ffffff3,0x00000000,0x7ff77740,0xeeeeefff,0x0000002e,
    0xfffff700,0x00000003,0x00000000,0xffff0000,0x000000df,0x7fec0000,
    0x00000fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffff1000,0x7e405bff,0x36000fff,0x7e405fff,0x36000fff,0x7e405fff,
    0x54000fff,0x003fffff,0x00000000,0x07ffffee,0x00000000,0x3fffff70,
    0x20000000,0x00000098,0x000004c4,0x00dfffff,0x0cccc400,0x3ffe0000,
    0x000005ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fffe200,0xf985ffff,0x6c002fff,0x3e605fff,0x6c002fff,0x3e605fff,
    0xb8002fff,0x001fffff,0x00000000,0x07ffffee,0x00000000,0x3fffff70,
    0x2a000000,0xefffffdc,0x5c40002c,0xceffffed,0x3ffe0001,0x510006ff,
    0xffffffd9,0x40005bff,0x04fffff8,0x00000000,0x00666000,0x01998000,
    0x19980000,0x00000000,0x00ccc000,0x03330000,0x3ff66600,0x7fff40ff,
    0xfffd8005,0x17fffa05,0x17fff600,0x005fffe8,0x1fffffb0,0x3bb20000,
    0xeeeeeeee,0xffb8004e,0x01300fff,0xeeeeec80,0x04eeeeee,0x1fffffb8,
    0x77777640,0xffd8801e,0xffffffff,0xf98000cf,0xffffffff,0xff0004ff,
    0x7000dfff,0xffffffff,0x5dffffff,0xffff3000,0x7440009f,0xeeeeeeee,
    0xeeeeeeee,0xdddd904e,0x7fffe445,0xeec803ef,0x3ff220ee,0x2002efff,
    0x222eeeec,0x3efffffc,0xddddd900,0x09dddddd,0x0eeeec80,0x3fffff22,
    0xeeec802e,0x3fff220e,0xa8002eff,0x3ee1ffff,0xd8000fff,0xff705fff,
    0xfb0001ff,0x3fee0bff,0xfd0000ff,0x0000ffff,0x7fffffec,0x006fffff,
    0x0fffffb8,0xbffffb71,0xffffb003,0xdfffffff,0xfffff700,0x7fffdc03,
    0xffa803ff,0xffffffff,0x002fffff,0x3ffffff2,0xefffffff,0x7fffc001,
    0xffc8006f,0xffffffff,0x01ffffff,0x7ffffcc0,0x3fe60004,0xffffffff,
    0xffffffff,0x7ffffb05,0x3fffffea,0x7ec04fff,0xfff71fff,0x09ffffff,
    0x4fffff60,0xfffffffa,0xffd804ff,0xffffffff,0x7fec006f,0xffff71ff,
    0x809fffff,0xf71ffffd,0xffffffff,0x2aab3209,0x30fffffc,0x0007ffff,
    0x2617fff6,0x0003ffff,0xf30bfffb,0x40007fff,0x007ffffe,0x3ffff600,
    0x6fffffff,0xffffb800,0xfffffd17,0xfd807fff,0xffffffff,0xffb806ff,
    0xff501fff,0x5009ffff,0xffffffff,0xffffffff,0xfffb001f,0xffffffff,
    0x800dffff,0x006fffff,0xffffffc8,0xffffffff,0x26000eff,0x004fffff,
    0x3ffffe60,0xffffffff,0xb05fffff,0xff77ffff,0xffffffff,0x7ffec0bf,
    0xfffffc9f,0x04ffffff,0xbbffffd8,0xffffffff,0x7ec05fff,0xffffffff,
    0x7ec006ff,0xfffc9fff,0xffffffff,0x3ffff604,0xffffffc9,0xf84fffff,
    0xffffffff,0x17fffa3f,0x5fffd800,0x005fffe8,0x217fff60,0x0005fffe,
    0x03fffff4,0xffffb000,0xdfffffff,0xffff7000,0xfffffd1f,0x407fffff,
    0xfffffffd,0xb806ffff,0x981fffff,0x05ffffff,0xffffff88,0xfffecdff,
    0x4c05ffff,0x0aefffff,0xffffff51,0x7fffc005,0xffc8006f,0x93109abd,
    0x07ffffff,0xf7555555,0x555bffff,0x20555555,0xfffffff9,0xffffffff,
    0xffb05fff,0xfffffdff,0xffffffff,0x3ffff601,0xfffffffd,0x00ffffff,
    0x7f7fffec,0xffffffff,0x3600ffff,0xffffffff,0x6c006fff,0xfffdffff,
    0xffffffff,0xfffb00ff,0xffffffbf,0x1fffffff,0xfffffff8,0x3ffee3ff,
    0x3f60000f,0x7ffdc5ff,0x3f60000f,0x7ffdc5ff,0x7f40000f,0x00007fff,
    0x3333332e,0x006fffff,0xffffffb8,0xffffffff,0x32e06fff,0xfffccccc,
    0xffb806ff,0x7f441fff,0x9006ffff,0x05ffffff,0xffffffb1,0x7fffec03,
    0xffff100e,0x3fe001ff,0xa8006fff,0xfff7000b,0xfff88bff,0xffffffff,
    0xffffffff,0xfff306ff,0xffffffff,0x7fffffff,0x3fffff60,0xfcbeffff,
    0xb04fffff,0xffffffff,0xfffffbff,0xffd809ff,0xefffffff,0xffffffcb,
    0x33332e04,0x6fffffcc,0x7fffec00,0xfdffffff,0x04ffffff,0xfffffffb,
    0xffffbfff,0xecc89fff,0x7c42bcde,0x40003fff,0x3e21aaaa,0x40003fff,
    0x3e21aaaa,0x80003fff,0x007ffffe,0xffff0000,0xff7000df,0xbfffffff,
    0xffffffb9,0xffff0007,0xfff700df,0xfffe83ff,0xf8800eff,0x402fffff,
    0x06fffffd,0x03fffff5,0x2fffffb8,0xdfffff00,0x3a000000,0x7c46ffff,
    0xffffffff,0xffffffff,0x0006ffff,0xffffff88,0x3ffff605,0x7cc2efff,
    0xfb07ffff,0x7dffffff,0x6fffffb8,0x7ffffec0,0x7fcc2eff,0xf0007fff,
    0x800dffff,0xfffffffd,0x7fffdc3e,0xffffb06f,0xfb87dfff,0x0006ffff,
    0x001bfffa,0xdfffd000,0xfe800000,0xd00006ff,0x000fffff,0x3fffe000,
    0xffb8006f,0x41ffffff,0x04fffffb,0x6fffff80,0xfffffb80,0x3fffff61,
    0xfff9000f,0xff3009ff,0x3fa0ffff,0xf8805fff,0xf003ffff,0x000dffff,
    0x3fff6000,0x7fffc47f,0xffffffff,0xffffffff,0x7440006f,0x00efffff,
    0x3ffffff6,0xffffd01f,0x3ffff60f,0xfff00fff,0xffd80fff,0xd01fffff,
    0x000fffff,0x01bffffe,0xffffffb0,0x3fffe01f,0xffffb07f,0x3fe01fff,
    0x70007fff,0x0003ffff,0x7fffdc00,0x2e000001,0x0001ffff,0x0fffffd0,
    0x3fe00000,0xb8006fff,0x1fffffff,0x5fffff98,0xfffff800,0xffffb806,
    0xfffff71f,0x7fec003f,0xfb001fff,0xff03ffff,0x3e007fff,0xf005ffff,
    0x000dffff,0x3fff2000,0x3ffe20ff,0xffffffff,0xffffffff,0x6c0006ff,
    0x01ffffff,0x7fffffec,0x3fffee02,0xffffd80f,0x3ff601ff,0x3f600fff,
    0x202fffff,0x00fffffb,0x6fffff80,0x7fffec00,0x3ff601ff,0xffd80fff,
    0x3601ffff,0x000fffff,0x01ffffc4,0xfff10000,0x4000007f,0x003ffff8,
    0x3ffffa00,0xf0000007,0x000dffff,0x5ffffff7,0x37ffffc0,0x7ffffc00,
    0xffffb806,0xfffffa9f,0x7ff4001f,0x3ee006ff,0x7c42ffff,0xcccdffff,
    0xffcccccc,0xff006fff,0x0000dfff,0x6665d4cc,0x00fffffe,0x9fffff30,
    0xfb800000,0x802fffff,0x03fffffd,0x0fffffdc,0x17ffffec,0x3fffff20,
    0x3ffff600,0x7ffdc03f,0xff8001ff,0x6c006fff,0x402fffff,0x80fffffc,
    0x02fffffd,0x07ffffe4,0x1bfff600,0xffb00000,0x800000df,0x0006fffd,
    0x3fffff40,0xff800000,0xb8006fff,0x403fffff,0x007ffffe,0x06fffff8,
    0xafffffb8,0x02ffffff,0x6fffff80,0x3fffea00,0x7fffcc3f,0xffffffff,
    0xffffffff,0xfffff007,0xfda8000d,0xffffffff,0x000fffff,0x09fffff3,
    0x7fcc0000,0xb004ffff,0x100fffff,0xb0155555,0x700fffff,0x401fffff,
    0x807ffffd,0x00aaaaa8,0x6fffff80,0x7fffec00,0xffffb807,0xffffd80f,
    0xffffb807,0x3fea000f,0x000001ff,0x007fffea,0xfffa8000,0x7400001f,
    0x0007ffff,0xfffff000,0xfff7000d,0xffd803ff,0xff8007ff,0xfb806fff,
    0xffffffff,0xf88003ff,0x2005ffff,0x44fffff9,0xfffffffa,0xffffffff,
    0x007fffff,0x00dfffff,0x3ffffaa0,0xffffffff,0x3000ffff,0x009fffff,
    0x3ffe2000,0x36006fff,0x0007ffff,0x3ffffec0,0x7ffffdc0,0x3ffff600,
    0x40000007,0x006fffff,0x03ffffec,0x07ffffdc,0x03ffffec,0x07ffffdc,
    0x3ffff880,0x0555554c,0x7fffc400,0x33bb2e63,0xfff10002,0xaaaa987f,
    0x3ffa000a,0x000007ff,0x0dfffff0,0xfffff700,0xffffd803,0xffff8007,
    0xfffb806f,0xffffffff,0xfff98002,0x3e6005ff,0x7e44ffff,0xffffffff,
    0xffffffff,0xff006fff,0x5000dfff,0xffffffff,0xffffffff,0x3e6001ff,
    0x0004ffff,0xfffffb00,0x7fec001f,0x400007ff,0x807ffffd,0x00fffffb,
    0x01fffff6,0xfff00000,0xfd800dff,0xfb807fff,0xfd80ffff,0xfb807fff,
    0xb000ffff,0xff88dfff,0x8002ffff,0xfb16fffd,0x1dffffff,0x6fffd800,
    0x7fffffc4,0x3fffa002,0x0000007f,0x00dfffff,0x3fffff70,0x7ffffd80,
    0xfffff800,0xffffb806,0xffffffdf,0x7ffc4001,0x3ea005ff,0x7dc3ffff,
    0xcccdffff,0xcccccccc,0xff003ccc,0x9800dfff,0xefffffff,0xffdaaabc,
    0xf3000fff,0x0009ffff,0xfffff900,0xffd8005f,0x400007ff,0x807ffffd,
    0x00fffffb,0x01fffff6,0xfff00000,0xfd800dff,0xfb807fff,0xfd80ffff,
    0xfb807fff,0xa800ffff,0x7ec1ffff,0x002fffff,0xa8ffffd4,0xffffffff,
    0x3fea004f,0x7ffec1ff,0x3a002fff,0x0007ffff,0xfffff000,0xfff7000d,
    0xffd803ff,0xff8007ff,0xfb806fff,0xffd9ffff,0x4000efff,0x006fffff,
    0x07ffffee,0x05fffff5,0xfff00000,0xfe800dff,0x201dffff,0x00fffffc,
    0x9fffff30,0xffa80000,0x8003ffff,0x007ffffd,0x7fffec00,0xffffb807,
    0x3fff600f,0x0000007f,0x037ffffc,0x1fffff60,0x3ffffee0,0x7ffffd80,
    0xfffffb80,0x7fffc400,0x7ffffd44,0x3e2002ff,0x77ec4fff,0x07ffffbc,
    0x89ffff10,0xfffffffa,0x3fffa002,0x0000007f,0x00dfffff,0x3fffff70,
    0x7ffffd80,0xfffff800,0xffffb806,0xfffff89f,0x7ff4005f,0xfb000fff,
    0xf881ffff,0x0003ffff,0xfffff800,0x3ffe2006,0x7e400fff,0x3000ffff,
    0x009fffff,0x7fffc400,0xfb0005ff,0x0000ffff,0x07ffffd8,0x0fffffb8,
    0x1fffff60,0xff000000,0xd800dfff,0xb807ffff,0xd80fffff,0xb807ffff,
    0x400fffff,0x7c46fffd,0x2fffceff,0x1bfff600,0xffff70a2,0x1bfff600,
    0xff9dfff1,0x7ff4005f,0x000007ff,0x0dfffff0,0xfffff700,0xffffd803,
    0xffff8007,0xfffb806f,0xffff31ff,0x7ec009ff,0x8803ffff,0xf07fffff,
    0x000dffff,0xfffff000,0x7ffcc00d,0xffd804ff,0xf3000fff,0x0009ffff,
    0x7fffff40,0xffb0000e,0x80000fff,0x807ffffd,0x00fffffb,0x01fffff6,
    0xfff00000,0xfd800dff,0xfb807fff,0xfd80ffff,0xfb807fff,0x2a00ffff,
    0x7e41ffff,0x2fffc9ff,0x3ffff500,0x17fff200,0x07fffea0,0xff93fff9,
    0x7ff4005f,0x000007ff,0x0dfffff0,0xfffff700,0xffffd803,0xffff8007,
    0xfffb806f,0x3ffee1ff,0xf7002fff,0x801fffff,0x04fffffd,0x07fffffd,
    0xfff80000,0x3ea006ff,0x6405ffff,0x00ffffff,0x9fffff30,0x3ff60000,
    0x0001ffff,0x01fffff6,0xffffb000,0xffff700f,0x7ffec01f,0x0000007f,
    0x037ffffc,0x1fffff60,0x3ffffee0,0x7ffffd80,0xfffffb80,0x9ffff100,
    0xf94fff98,0xff1005ff,0x3e6009ff,0x7c403fff,0x7fcc4fff,0x05fff94f,
    0x3fffff40,0xff800000,0xb8006fff,0x401fffff,0x007ffffd,0x06fffff8,
    0x1fffffb8,0x7fffffec,0xffff8801,0xff901eff,0x2a01ffff,0x02ffffff,
    0xfff00040,0x7cc00dff,0xb00fffff,0x1fffffff,0x3fffe600,0xfb80004f,
    0x003fffff,0x3ffffec0,0x3ff60000,0xffb807ff,0x3f600fff,0x00007fff,
    0x7ffffc00,0x7ffec006,0xfffb807f,0xfffd80ff,0xfffb807f,0xfff900ff,
    0x26ffe81d,0xc802fffc,0xa800efff,0x400effff,0x740efffc,0x3fff26ff,
    0x3fffa002,0x0000007f,0x00dfffff,0x3fffff70,0x7ffffd80,0xfffff800,
    0xffffb806,0x7fffc41f,0xfb800fff,0xcdffffff,0xffffffdb,0x7ffec03f,
    0x309aefff,0x00bfb733,0x037ffffc,0xffffff10,0xffd7117d,0x01ffffff,
    0x3ffffe60,0x7fcc0004,0x0005ffff,0x07ffffd8,0x7ffec000,0xfffb807f,
    0x3ff600ff,0x000007ff,0x37ffffc0,0x3ffff600,0xffffb807,0xffffd80f,
    0xffffb807,0xffffa80f,0x677ffdc2,0x1cdfffec,0x05ffff50,0x1dffff90,
    0x2ffffa80,0x6677ffdc,0x01cdfffe,0x07ffffe8,0x55553000,0xfffff555,
    0x3555555d,0x3ffffee0,0x7fffec01,0xaaaaa987,0xefffffaa,0x71aaaaaa,
    0x503fffff,0x0dffffff,0x3fffffa0,0xffffffff,0xf8806fff,0xffffffff,
    0xffffffff,0x2aaaaa65,0xefffffaa,0x81aaaaaa,0xfffffffd,0xffffffff,
    0x3000ffff,0x009fffff,0x7ffffc40,0xffffffff,0xb06fffff,0x000fffff,
    0x7ffffd80,0xfffffb80,0x3ffff600,0x54c00007,0xffaaaaaa,0xaaaaefff,
    0xfffd81aa,0xfffb807f,0xfffd80ff,0xfffb807f,0x7ff440ff,0xffffc84f,
    0xffffffff,0x4fffe882,0x7fffec40,0xfffe8805,0xfffffc84,0x2fffffff,
    0x7ffffe80,0xfff90000,0xffffffff,0xffffffff,0x3fffee09,0x7ffec01f,
    0xffffc87f,0xffffffff,0x4fffffff,0x03fffff7,0x3ffffff2,0xffff9804,
    0xffffffff,0x5000efff,0xffffffff,0xffffffff,0x7ffffe4b,0xffffffff,
    0x84ffffff,0xfffffff8,0xfaffffff,0x3000ffff,0x009fffff,0x7ffffdc0,
    0xffffffff,0xb06fffff,0x000fffff,0x7ffffd80,0xfffffb80,0x3ffff600,
    0x7e400007,0xffffffff,0xffffffff,0xfffd84ff,0xfffb807f,0xfffd80ff,
    0xfffb807f,0x7ffe40ff,0xffffc80f,0xffffffff,0x0ffffc82,0x3ffffa60,
    0xc81aaaad,0xfc80ffff,0xffffffff,0xfe802fff,0x00007fff,0xfffffff9,
    0xffffffff,0x2e09ffff,0x401fffff,0xc87ffffd,0xffffffff,0xffffffff,
    0xfff74fff,0x7ff403ff,0x8803ffff,0xfffffffc,0x003fffff,0xfffffd88,
    0xffffffff,0x3ffff25f,0xffffffff,0x4fffffff,0xffffff70,0x3a3fffff,
    0x3000ffff,0x009fffff,0x7ffffdc0,0xffffffff,0xb06fffff,0x000fffff,
    0x7ffffd80,0xfffffb80,0x3ffff600,0x7e400007,0xffffffff,0xffffffff,
    0xfffd84ff,0xfffb807f,0xfffd80ff,0xfffb807f,0x3ffe60ff,0x9999502f,
    0x9bfffd99,0x2ffff983,0x7ffffe40,0x4c3fffff,0x9502ffff,0xffd99999,
    0xfd0039bf,0x0000ffff,0x3ffffff2,0xffffffff,0x704fffff,0x803fffff,
    0xc87ffffd,0xffffffff,0xffffffff,0xfff74fff,0x7fc403ff,0x001fffff,
    0xffffffb3,0x80003bdf,0xffffffea,0x22ceffff,0xfffffffc,0xffffffff,
    0x2204ffff,0xfffffffe,0x3ffffa0c,0xffff3000,0x7dc0009f,0xffffffff,
    0xffffffff,0xffffb06f,0xfd80000f,0xfb807fff,0x3600ffff,0x0007ffff,
    0x7ffffe40,0xffffffff,0x84ffffff,0x807ffffd,0x80fffffb,0x807ffffd,
    0x20fffffb,0x0005fffe,0x3a05fff9,0xfc805fff,0xffffffff,0x2ffff43f,
    0x2fffc800,0x3ffffa00,0xff900007,0xffffffff,0xffffffff,0x3ffee09f,
    0x7fec01ff,0xfffc87ff,0xffffffff,0xffffffff,0x3fffff74,0xfffffa80,
    0x4c4000ff,0x000009bb,0x55797310,0x7fffe403,0xffffffff,0x4fffffff,
    0x1abb9880,0xff980000,0x20004fff,0xfffffffb,0xffffffff,0xffb06fff,
    0x80000fff,0x807ffffd,0x00fffffb,0x01fffff6,0xffff9000,0xffffffff,
    0x9fffffff,0x0fffffb0,0x1fffff70,0x0fffffb0,0x1fffff70,0x003ffff2,
    0x417ffe40,0x800ffffc,0xfffffffc,0x3ff23fff,0xf90000ff,0x000005ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0x00009999,0x5cc02b98,
    0x4ccccc02,0x09999999,0x4cc00000,0x13331019,0xdd973000,0x32000579,
    0xb805eeee,0x320eeeee,0xd805eeee,0x9885eeee,0x80001999,0x05eeeee9,
    0xeeeee980,0x26666624,0x00999999,0x6775c000,0x88000000,0x01999999,
    0x99999988,0x00999999,0x09999800,0x04000000,0x00100000,0x00000000,
    0x40000600,0x00000098,0x00000008,0x3bfffee0,0x3fee0000,0xfffc80ef,
    0xfffff105,0x5fffffff,0xff800000,0x7ffc41ff,0x3fa2001f,0xdfffffff,
    0x7ffec001,0xfffc807f,0x3fffa0ff,0xfffe806f,0xffffd86f,0xfff00007,
    0xd8005fff,0x362fffff,0xffffffff,0x00006fff,0x03fffff2,0xff980000,
    0x802fffff,0xfffffffa,0x005fffff,0x77fffdc0,0xa9800000,0xeffffedb,
    0x544001bd,0xacdfffec,0x2a600000,0xdeffffdc,0xecb9801b,0xceffffff,
    0xfdb7300b,0x17bdffff,0x6dd44000,0x00acdfff,0xffa80000,0x000effff,
    0x4fffff88,0x1fffffd4,0x7fffffc4,0x02ffffff,0x7ff40000,0x7fffdc5f,
    0xffff7000,0xffffffff,0x7ffec005,0xfffc807f,0x3fffa0ff,0xfffe806f,
    0xffffd86f,0xff700007,0x4400bfff,0x6c7fffff,0xffffffff,0x00006fff,
    0x9ffffff1,0x3e600000,0x00efffff,0xffffff50,0x0bffffff,0x7fffd400,
    0x00000eff,0xffffffd3,0xffffffff,0xffff7001,0x7fffffff,0xfffb8000,
    0xffffffff,0xff9103ff,0xffffffff,0xffd09fff,0xffffffff,0x80019fff,
    0xfffffffa,0x0001ffff,0x3fffea00,0x8006ffff,0x46fffffa,0x85fffffc,
    0xfffffff8,0x002fffff,0x7ffdc000,0xffffecef,0xffff3006,0xffffffff,
    0x3f6003ff,0xfc807fff,0x3fa0ffff,0xfe806fff,0xffd86fff,0x100007ff,
    0x01ffffff,0x3ffffea0,0x7ffffec4,0x06ffffff,0xffff5000,0x00000dff,
    0x9ffffff3,0xffffa800,0xffffffff,0xfff50005,0x00dfffff,0xfffff700,
    0xffffffff,0x6c401fff,0xffffffff,0x005fffff,0xfffffd88,0xffffffff,
    0xffffc83f,0xffffffff,0xfff84fff,0xffffffff,0x000fffff,0xfffffff9,
    0x07ffffff,0xfff50000,0xbffff7bf,0xffff9800,0x7fffdc6f,0xffff884f,
    0xffffffff,0xe8000002,0xffffffff,0xffd001ff,0xff99bfff,0x200dffff,
    0x807ffffd,0x20fffffc,0x806ffffe,0xd86ffffe,0x0007ffff,0x3fffff60,
    0xffffb003,0xffffd83f,0x6fffffff,0xfff30000,0x0000bfff,0xffffff98,
    0xeee98002,0xeeeeeeee,0xffa8004e,0xffffbdff,0xffd30005,0xffffffff,
    0x1fffffff,0x3ffffe60,0xffffffff,0x5000efff,0xffffffff,0xffffffff,
    0xfffffa87,0xffffffff,0xfff84fff,0xffffffff,0x406fffff,0xffffffd8,
    0xffffffff,0x2600005f,0x3ee5ffff,0x74005fff,0x7c42ffff,0xa880ffff,
    0xffdaaaaa,0x00002fff,0xfffff980,0x7003ffff,0x885fffff,0x00fffffe,
    0x07ffffd8,0x0fffffc8,0x01bffffa,0x21bffffa,0x007ffffd,0x3fffea00,
    0xfff8806f,0xaaaa86ff,0xfffffaaa,0x3fa00006,0x0002ffff,0x3ffffe60,
    0x0000001e,0x3ffe6000,0x3fffee5f,0x7ffcc005,0xffffffff,0xffffffff,
    0xfffffd00,0xffffffff,0x500bffff,0xffffffff,0xffffffff,0x7fffc47f,
    0xeeefffff,0xf84fffff,0xecdeffff,0xfffffffe,0x3ffff604,0xfffcdfff,
    0x002fffff,0x5ffff980,0x04ffffb8,0x40b7b220,0x8001ded8,0x02fffffb,
    0xf9100000,0x003bffff,0x82ffffe4,0x02fffff9,0x07ffffd8,0x0fffffc8,
    0x01bffffa,0x21bffffa,0x007ffffd,0x7ffffc00,0x7ffdc01f,0x7fc003ff,
    0x00006fff,0x00bfff62,0xffff9800,0x0000004f,0x7ffcc000,0xffffb85f,
    0x3fff6004,0x0abdffff,0x1fff9553,0xffffff70,0xff95137b,0x803fffff,
    0xffffffff,0xfb5331bc,0x7fffec7f,0x73101cff,0x0159b09b,0x7fffff54,
    0xfffff306,0xfffd507f,0x00000dff,0x00000000,0x3fee0000,0x00002fff,
    0x001a8800,0x07ffffd0,0x017ffffc,0x03ffffec,0x07ffffe4,0x00dffffd,
    0xb0dffffd,0x000fffff,0xfffffc80,0x7ffff404,0x7ffc000f,0x800006ff,
    0x00000018,0x00000000,0x00000000,0x7fffffd4,0x032a002f,0x9ffffff1,
    0x7ffffcc0,0x3ffee05f,0x8800efff,0x3ffffe2a,0x0000002f,0x3fffffcc,
    0x3fffffd8,0x3ffffe20,0x0000002f,0x00000000,0xffffb800,0x0000002f,
    0xfff80000,0xfff103ff,0xffb003ff,0xff900fff,0x7ff41fff,0xffe806ff,
    0xfffd86ff,0x4400007f,0x207fffff,0x04fffff9,0x6fffff80,0x00000000,
    0x00000000,0x00000000,0xfffd0000,0x00001dff,0x17ffffee,0x3ffffe60,
    0xffff880f,0x220005ff,0x007fffff,0xffd00000,0xff883fff,0xfb805fff,
    0x0006ffff,0x00000000,0xfb800000,0x0002ffff,0x80000000,0x505ffffe,
    0x001fffff,0x00fffffb,0x41fffff9,0x806ffffe,0xd86ffffe,0x3307ffff,
    0xfffb0003,0x3ff205ff,0xf8001fff,0x6a86ffff,0x00000000,0x76400000,
    0xeb805eee,0x0000eeee,0x3fee0000,0x0000ffff,0xffffff10,0x3fff6001,
    0xfffc84ff,0x540007ff,0x007fffff,0xffb00000,0xffc81fff,0xfd001fff,
    0x0003ffff,0x3bbbbbb2,0x004eeeee,0xeeeeeec8,0x004eeeee,0xfffffb80,
    0xec800002,0xeeeeeeee,0x7e4004ee,0x7c40ffff,0xb006ffff,0x900fffff,
    0x741fffff,0xe806ffff,0xfd86ffff,0x3f226fff,0x002effff,0x0bfffff5,
    0x01bffffe,0x37ffffc0,0x3a20ffd5,0xeeeeeeee,0xeeeeeeee,0xeeee884e,
    0xeeeeeeee,0x04eeeeee,0x01fffff6,0x43fffff2,0x003eeeec,0x07777740,
    0x0bffffff,0x7ffd4000,0x3ee006ff,0x7c46ffff,0x003fffff,0x7ffffcc0,
    0x0000002f,0x87ffffe8,0x006fffff,0x7fffffd3,0x3fff6000,0xffffffff,
    0xfffd8006,0xffffffff,0xffb80006,0x00002fff,0xffffffd8,0x006fffff,
    0x27ffffd4,0x3fffffd1,0x3ffff600,0xffffc807,0x3ffffa0f,0xffffe806,
    0x6ffffd86,0xfffffff5,0x3fe009ff,0x7cc0ffff,0x0003ffff,0xd5dfffff,
    0x3e60ffff,0xffffffff,0xffffffff,0xffff985f,0xffffffff,0x05ffffff,
    0x01fffff6,0x43fffff2,0x005ffffc,0x9ffffe20,0x1ffffff8,0x3ff20000,
    0x22003fff,0x4c7fffff,0x00ffffff,0x7fffc400,0x00002fff,0x3fffe200,
    0x7fffc45f,0xfffb804f,0x0005ffff,0xfffffffb,0x000dffff,0xfffffffb,
    0x000dffff,0x5fffff70,0xffb00000,0xffffffff,0xffd000df,0xfff75fff,
    0x6c007fff,0xc807ffff,0x3a0fffff,0xe806ffff,0xfd86ffff,0xfffbdfff,
    0xffffffff,0xffffc804,0x7fffe42f,0xfff0000f,0xffffffff,0x3fffe60f,
    0xffffffff,0x85ffffff,0xfffffff9,0xffffffff,0x3f605fff,0xfc807fff,
    0xff70ffff,0x4c000dff,0x3e66ffff,0x0005ffff,0x7ffffec0,0x7fff4001,
    0x7fffd47f,0xfd00005f,0x5bffffff,0xe8800000,0x4c1fffff,0x202fffff,
    0xffffffd8,0xfb0006ff,0xffffffff,0xfb000dff,0xffffffff,0x70000dff,
    0x005fffff,0xffffb000,0xdfffffff,0xffff3000,0xffffffff,0xfffd8007,
    0xfffc807f,0x3fffa0ff,0xfffe806f,0xffffd86f,0xffffffff,0x00ffffff,
    0x2fffffcc,0x0bfffff1,0x7ffffc00,0x07ffffff,0xfffffff3,0xffffffff,
    0xff30bfff,0xffffffff,0xffffffff,0x7fffec0b,0xffffc807,0xfffff50f,
    0x7ffd4000,0x3fffea5f,0x7c00004f,0x001fffff,0x07fffff4,0x09fffff7,
    0x3ffee000,0xbeffffff,0x93300000,0x05ffffff,0x03fffff5,0x3fffffe6,
    0x0007ffff,0xf9999997,0x000dffff,0xf9999997,0x000dffff,0x5fffff70,
    0xcb800200,0xfffccccc,0xf90006ff,0xffffffff,0xffb0005f,0xff900fff,
    0x7ff41fff,0xffe806ff,0xfffd86ff,0xdfffffff,0x4fffffff,0xfffffd80,
    0x5fffff50,0x7fffc000,0x1dffffff,0xffffff30,0xffffffff,0xf307ffff,
    0xffffffff,0xffffffff,0x7ffec07f,0xfffc807f,0xffff30ff,0x3ee0001f,
    0x3fee4fff,0xdd703fff,0xdddddddd,0x7fffffc1,0x7ffec000,0x3fff61ff,
    0x200003ff,0xfffffffd,0x002dffff,0x7ffffffc,0x700effff,0x903fffff,
    0xffffffff,0x0000ffff,0x0dfffff0,0xffff8000,0xfb80006f,0x5c02ffff,
    0x0000dfff,0x01bffffe,0x7ffffc40,0x0000cfff,0x00fffffb,0x41fffffb,
    0x406ffffe,0x86fffff9,0xfffffffd,0x7fffdc3e,0xfffa806f,0xffffb3ff,
    0x3faa000d,0xdfffffff,0x3e200001,0x005fffff,0xfffff880,0x7ffec05f,
    0xfffc807f,0x3fffe0ff,0xff90001f,0x7ffe45ff,0xfff902ff,0x3fffffff,
    0x03fffffc,0x7ffffec0,0x3fffffa2,0x3a200002,0xffffffff,0x002effff,
    0xffffffff,0x7e401dff,0x3a20ffff,0xddffffff,0x000fffff,0x7ffffc00,
    0x7fc00006,0x80006fff,0x02fffffb,0x3ffffff6,0xffff0000,0xfb1000df,
    0x09ffffff,0xffffd800,0x3fff200f,0x3ffa0fff,0xff100fff,0xfb0dffff,
    0x01ffffff,0x01fffffe,0x477ffffc,0x003fffff,0x7fffff54,0x0001dfff,
    0x7ffff440,0x440000ef,0x0efffffe,0x3ffffec0,0x7ffffe40,0x0bffffa0,
    0x32026666,0x3f61ffff,0xf901ffff,0xffffffff,0x3fffe23f,0xffc8007f,
    0x3ffe3fff,0x00001fff,0xffffffc8,0x4fffffff,0xffffff80,0x1dffffff,
    0x27ffffd8,0xfffffffa,0x1fffff93,0xfff80000,0x400006ff,0x006fffff,
    0xfffffb80,0xfffff502,0x3e000bff,0x4006ffff,0xffffffe8,0xffe82fff,
    0xfffc82ff,0xfff702ff,0x7f41ffff,0xfd01ffff,0xb0dfffff,0x03ffffff,
    0x07ffffec,0x7ffffe40,0x00fffffc,0xfffffd50,0x000dffff,0x3ffff600,
    0xd80001ff,0x01ffffff,0x07ffffd8,0x0fffffc8,0x10fffff6,0xfb0bffff,
    0x7ff41fff,0xff901fff,0xffffffff,0x3fffffc3,0x7fffe400,0x3ffffe3f,
    0x3000002f,0xfffffffb,0x80bfffff,0xffffffff,0x43ffffff,0xfb7ffffd,
    0x43dfffff,0x007ffffd,0xfffff800,0x7fc00006,0x80006fff,0x02fffffb,
    0xfffffff9,0xfff0001f,0x74400dff,0xffffffff,0x7ff41fff,0xfffb81ff,
    0x7fdc45ff,0x20ffffff,0x44fffffe,0xffffffd8,0x7ffec0ff,0x7fe402ff,
    0xf9800fff,0xffffffff,0xfff3005f,0xffffffff,0xf700000d,0x005fffff,
    0xfffff700,0x3ff6005f,0xffc807ff,0x3ff20fff,0x7ffdc5ff,0x7fff40ff,
    0x7ffffec7,0xfffff902,0x7c3fffff,0x000fffff,0x17ffffec,0x07fffffd,
    0xfc880000,0xffffffff,0x2aaa03ff,0xffffccba,0x3f23ffff,0xfffeffff,
    0xffd84fff,0x800006ff,0x006fffff,0x7ffffc00,0xffb80006,0xffd02fff,
    0x03ffffff,0xdfffff00,0x7fffec00,0xfffffdcf,0x3ffffe0e,0xfffffa81,
    0xffffcbff,0x20ffffff,0xfffffffe,0xffffffdb,0xb0beffff,0x700fffff,
    0x001fffff,0x3ffffffa,0xf3002fff,0xffffffff,0x80000dff,0x4ffffff9,
    0xfff98000,0x36004fff,0xc807ffff,0x2e0fffff,0x7f46ffff,0x7fc2ffff,
    0x7ffe46ff,0x3ee003ff,0x3fa1ffff,0x4000ffff,0x22fffffd,0x03fffffd,
    0x36600000,0xffffffff,0xfd50000f,0x321fffff,0xffffffff,0xffd02fff,
    0x00000dff,0x00dfffff,0xfffff800,0xffb80006,0xff902fff,0x00ffffff,
    0x1bffffe0,0x7ffffcc0,0x3fffffa5,0x03ffffe5,0x7ffffff4,0xfeffffff,
    0x3fa0ffff,0xffffffff,0xfffeffff,0xffb2ffff,0xff700fff,0x2a001fff,
    0xffffffff,0x3ffe6007,0xfffff9df,0x3e200006,0x006fffff,0xfffff880,
    0x7fec006f,0xffc807ff,0x3fea0fff,0x3ffe27ff,0x3fe25fff,0x7ffdc5ff,
    0x3ee004ff,0x3f61ffff,0x4001ffff,0x21fffffe,0x04fffffc,0xd8800000,
    0x3fffffff,0x3ffa2000,0xfff73fff,0x1bffffff,0x2fffffc0,0x7ffc0000,
    0x400006ff,0x006fffff,0xfffffb80,0xfffff302,0x3e000bff,0xb006ffff,
    0x441fffff,0x9cffffff,0x2a07ffff,0xffffffff,0xffe8ffff,0x3fffa0ff,
    0xffffffff,0xfffff8df,0xffffb2ff,0xffff700f,0x7ffc001f,0x003fffff,
    0xff877fe6,0x00006fff,0x3ffffff6,0xffd80000,0x4000ffff,0x807ffffd,
    0x20fffffc,0x2e7ffff9,0x0fffffff,0x989ffff1,0x006fffff,0x87ffffee,
    0x02fffffc,0x3fffffc0,0x1bffffee,0xb8000000,0x04ffffff,0x7fffdc00,
    0xfffff55f,0xf8807fff,0x0004ffff,0x6fffff80,0x7ffc0000,0xb80006ff,
    0x202fffff,0x0efffffc,0xfffff000,0x3fffe00d,0xffff985f,0x6ffffdff,
    0x7ffffe40,0xfd1effff,0x7ff41fff,0xffffffff,0x3ffff25f,0xffffb2ff,
    0xffff700f,0x7fe4001f,0x000fffff,0x3ffe0766,0x900006ff,0x05ffffff,
    0xffff9000,0xfb0005ff,0xf900ffff,0xff81ffff,0xfffb0fff,0x3e67ffff,
    0x7fc43fff,0x7001ffff,0x5c3fffff,0x005fffff,0x1bffffe6,0x5ffffff5,
    0x40000000,0x06fffffe,0x7fffcc00,0xfffff16f,0xff5003df,0x00007fff,
    0x0dfffff0,0xffff8000,0xfb80006f,0x5402ffff,0x40003efd,0x806fffff,
    0x03fffff8,0xfffffff7,0xf5007fff,0x89ffffff,0x3a0ffffe,0xfffeffff,
    0xfffd84ff,0xffffb2ff,0xffff700f,0x7fcc001f,0x0004ffff,0x1bffffe0,
    0x3ffea000,0x80003fff,0x3ffffffa,0xffffb000,0xffff900f,0xfffff81f,
    0xffffff8a,0xffff56ff,0xffffff05,0x3ffee009,0x3ffea1ff,0x3f2007ff,
    0x7cc4ffff,0x005fffff,0x3ee00000,0x0005ffff,0x2fffffcc,0x01ffffff,
    0x3fffff60,0xff800001,0x00006fff,0x037ffffc,0x7fffdc00,0x0000002f,
    0x037ffffc,0x1fffffcc,0xffffff90,0x44001fff,0xffa81aba,0x7fff44ff,
    0x401ba8cf,0x3f61aaa9,0xfb807fff,0x2000ffff,0x0ffffff9,0x3ffe0000,
    0x440006ff,0x05ffffff,0xffff8800,0x360005ff,0xd807ffff,0x6c0fffff,
    0xffbaffff,0x8ffffcff,0xc81ffffc,0x00ffffff,0x1fffffb8,0x17fffff4,
    0x7ffffc40,0xffffd80f,0x000002ff,0xfffff900,0xffb80007,0x3ff23fff,
    0xf8804fff,0x0005ffff,0xdfffff00,0xfff80000,0xb80006ff,0x002fffff,
    0x7ffc0000,0xff8806ff,0x7f404fff,0x04ffffff,0x7ffcc000,0xffffe85f,
    0x3f600004,0xfb807fff,0x2000ffff,0x04fffffd,0x7fffc000,0x7f40006f,
    0x000effff,0xfffffe80,0x3f60000e,0x3200ffff,0x40ffffff,0xfdbffffc,
    0xffffacff,0x107fffcb,0x3fffffff,0xfffffb80,0x7ffffdc1,0x7fff401f,
    0xfff304ff,0x4007ffff,0x22000318,0x01fffffe,0x3fffe600,0x3ffe22ff,
    0x7ec01fff,0x0001ffff,0xdfffff00,0xfff80000,0xb80006ff,0x002fffff,
    0x7ffc0000,0xfff006ff,0xff880dff,0x001fffff,0x7ffff400,0x5ffffe80,
    0x3ff60000,0xffb807ff,0xf5000fff,0x001fffff,0xfffff800,0x3ff60006,
    0x0001ffff,0xffffffd8,0x7fe40001,0xff702fff,0xb81fffff,0xfffdffff,
    0xeffff8af,0x2a07fffd,0xbfffffff,0xfffff701,0xfffff883,0x7ecc0aff,
    0x200fffff,0xfffffffd,0xfdb880ad,0x0017bfb3,0xffffffd5,0x3faa0001,
    0x640fffff,0x00efffff,0x0bfffffb,0x7ffc0000,0x400006ff,0x006fffff,
    0xfffffb80,0x40000002,0x006fffff,0x09fffffb,0xffffffc8,0x3ea00003,
    0xffd04fff,0x40000dff,0x807ffffd,0x00fffffb,0xffffff98,0xff800003,
    0x70006fff,0x07ffffff,0xffff7000,0x700007ff,0x88bfffff,0xfffffffb,
    0x7fffd40f,0xfb0fffff,0xbfffffff,0xfffffe80,0xecceffff,0x81ffffff,
    0xfffffffc,0xfffffdef,0x7c403fff,0xffffffff,0xffffeeff,0xfffffb3f,
    0xfdd999bd,0x49ffffff,0xaaaabced,0xfffffcca,0xff882fff,0x9adfffff,
    0xffffffeb,0x3e000002,0x0006ffff,0x37ffffc0,0x7ffdc000,0x000002ff,
    0x37ffffc0,0xfffffb80,0xeb989aef,0xffffffff,0xff900002,0x3ffa09ff,
    0x200006ff,0x807ffffd,0x20fffffb,0x7fffe4c0,0x000005ff,0x00dfffff,
    0xffffff30,0xff30000b,0x000bffff,0x3ffffea0,0xffffcbff,0x40ffffff,
    0xfffffff9,0x3fffea5f,0x4c04ffff,0xffffffff,0xffffffff,0xfe881fff,
    0xffffffff,0x6fffffff,0xfffff700,0xffffffff,0x3f67ffff,0xffffffff,
    0xffffffff,0x7fffec5f,0xffffffff,0x204fffff,0xfffffffc,0xffffffff,
    0x54c0004f,0xffaaaaaa,0xaaaaefff,0xaaa981aa,0xffffaaaa,0xaaaaaaef,
    0x2aaaaaa1,0xcfffffda,0x00aaaaaa,0xaaaaa980,0xefffffaa,0x41aaaaaa,
    0xfffffffd,0xffffffff,0x01ffffff,0xffffc800,0x3ffa29be,0x200006ff,
    0x807ffffd,0x20fffffb,0xfffffffd,0x0000efff,0x55555553,0x55dfffff,
    0xf1035555,0xffffffff,0xffffffff,0xffff10df,0xffffffff,0x0dffffff,
    0xffffffe8,0xfeffffff,0x7c40ffff,0x2fffffff,0x3fffffe2,0xfd8803ff,
    0xffffffff,0xffffffff,0xffffb101,0xffffffff,0x4c001bff,0xfffffffe,
    0xffffffff,0xffffffb3,0xffffffff,0xfd81dfff,0xffffffff,0x5fffffff,
    0xfffffc80,0xffffffff,0xfc80003f,0xffffffff,0xffffffff,0xfffc84ff,
    0xffffffff,0xffffffff,0x3fffffe4,0xffffffff,0x01ffffff,0xfffffc80,
    0xffffffff,0x44ffffff,0xfffffff8,0xffffffff,0x0effffff,0x7ffdc000,
    0x3fa7ffff,0x00006fff,0x01fffff6,0x83ffffee,0xfffffffd,0x20001fff,
    0xfffffffc,0xffffffff,0xfb84ffff,0xffffffff,0xffffffff,0xffffb86f,
    0xffffffff,0x06ffffff,0x7fffffd4,0xe8ffffff,0xff80ffff,0x40ffffff,
    0xfffffffd,0x3ffee002,0xffffffff,0x400effff,0xfffffffc,0x002fffff,
    0x3fffff20,0xffffffff,0xfffffb3f,0xffffffff,0xfb019fff,0xffffffff,
    0x03bfffff,0x7ffffd40,0x1fffffff,0xfff90000,0xffffffff,0xffffffff,
    0xfffff909,0xffffffff,0x49ffffff,0xffffffff,0xffffffff,0x8001ffff,
    0xfffffffc,0xffffffff,0xd984ffff,0xffffffff,0xfe8cffff,0x0005ffff,
    0x7fffffc4,0x3ffffa7f,0x3f600006,0xfb807fff,0x3f60ffff,0xdfffffff,
    0x7fe40000,0xffffffff,0xffffffff,0xffffb84f,0xffffffff,0x86ffffff,
    0xfffffffb,0xffffffff,0xfc806fff,0xffffffff,0x1ffffd1e,0xffffffb0,
    0xfffff50b,0xc88003ff,0xfffffffe,0x2001beff,0xfffffeda,0x80000def,
    0xfffffdc9,0x260bdfff,0xffffffdc,0x0befffff,0x3fffff60,0xceffffff,
    0xfdb10000,0x19bfffff,0x7fe40000,0xffffffff,0xffffffff,0xffffc84f,
    0xffffffff,0x4fffffff,0x3ffffffe,0xffffffff,0x001fffff,0xffffffc8,
    0xffffffff,0x204fffff,0xffffffea,0x3fe20dff,0x0004ffff,0x7fffff4c,
    0x1bffffa7,0xfffd8000,0xfffb807f,0x3fff60ff,0x0002ffff,0xffffff90,
    0xffffffff,0x709fffff,0xffffffff,0xffffffff,0xfff70dff,0xffffffff,
    0xdfffffff,0x3fffea00,0x7ff44fff,0xfffc80ff,0xff883fff,0x000fffff,
    0x4d5dd440,0x98800009,0x000001bb,0x009aa988,0x32eaaa60,0x4cc0019a,
    0x019aaaaa,0x57310000,0x64000003,0xffffffff,0xffffffff,0xffc84fff,
    0xffffffff,0xffffffff,0x3ffffe4f,0xffffffff,0x1fffffff,0xffffc800,
    0xffffffff,0x4fffffff,0x13775300,0x40000000,0x2a0aaba9,0x0002aaaa,
    0x1fffff60,0x3ffffee0,0x2b37bae0,0x7e400001,0xffffffff,0xffffffff,
    0xfffb84ff,0xffffffff,0x6fffffff,0xffffffb8,0xffffffff,0x4006ffff,
    0x0001aba8,0x7fffffdc,0xfffffb00,0x0000000f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x01880000,0x66666644,0xcccccccc,0xcccccccc,0x66666542,
    0x009acccc,0x40001000,0xcccca800,0x09accccc,0x99990000,0x00000079,
    0x22000008,0x99999999,0x00001999,0x00000002,0x44000000,0x31000001,
    0x01000000,0x1e666640,0x99999300,0x666665c3,0xcccccccc,0x10003ccc,
    0x99997000,0x99999999,0x00019999,0x22000001,0x000199a9,0x99755310,
    0x99997099,0x66654009,0xcb9800cc,0xdffffffe,0xfffff10b,0xffffffff,
    0xffffffff,0xffffb87f,0xffffffff,0xc88004ef,0x5dd0002f,0x7ffffdc0,
    0xffffffff,0x3fe0004e,0x00006fff,0x3ffb72a0,0x0001ceef,0xfffffffd,
    0x003fffff,0x3bff6e60,0x100000ac,0xddfffb95,0x99999999,0x32a20079,
    0x100004fe,0x0009fd95,0xfffd9700,0x3fe0379d,0x2a006fff,0x362fffff,
    0xffffffff,0xffffffff,0xfdb73006,0xd8039bdf,0xffffffff,0xffffffff,
    0xffdca801,0x8001cdef,0xfffffed9,0x4005efff,0xfffffeb8,0xffd87fff,
    0x3f2007ff,0x2200ffff,0xfffffffc,0xf12fffff,0xffffffff,0xffffffff,
    0xb87fffff,0xffffffff,0xefffffff,0xffff7002,0xfffc8001,0xffffb81e,
    0xffffffff,0x8002efff,0x006fffff,0xfffe9800,0xffffffff,0x7ff4001d,
    0xffffffff,0x7e4001ff,0xffffffff,0x2a0000ef,0xffffffff,0xffffffff,
    0xff9805ff,0x80004fff,0x04fffff9,0x3ffaa000,0xffffffff,0x6fffff84,
    0x3fffea00,0x3ffff62f,0xffffffff,0x5c06ffff,0xffffffff,0xfb00cfff,
    0xffffffff,0x3fffffff,0x7ffff4c0,0x0cffffff,0xffffea80,0xffffffff,
    0xffd9800f,0xffffffff,0xffffd87f,0x3fff2007,0xfff500ff,0xffffffff,
    0x3fe25fff,0xffffffff,0xffffffff,0x7dc3ffff,0xffffffff,0xffffffff,
    0x3fff600d,0x3e6005ff,0x5c0fffff,0xffffffff,0xffffffff,0x3fe000df,
    0x00006fff,0x7fffffe4,0xffffffff,0x3ffa002f,0xffffffff,0x3f6001ff,
    0xffffffff,0x8001ffff,0xfffffffc,0xffffffff,0x9805ffff,0x004fffff,
    0xfffff980,0xffb00004,0xffffffff,0x7fc3dfff,0x2a006fff,0x362fffff,
    0xffffffff,0xffffffff,0xffffb106,0xffffffff,0xfffb03ff,0xffffffff,
    0x103fffff,0xfffffffb,0x5fffffff,0x7ffffd40,0xffffffff,0x7fd400ff,
    0xffffffff,0xffd87fff,0x3f2007ff,0xfc80ffff,0xffffffff,0x12ffffff,
    0xffffffff,0xffffffff,0x87ffffff,0xfffffffb,0xffffffff,0x3e206fff,
    0x003fffff,0x07fffffd,0xfffffff7,0xffffffff,0x7c00dfff,0x0006ffff,
    0x3ffffea0,0xffffffff,0xb001ffff,0xdddddddd,0x1001dddd,0xbffffffd,
    0xffffffd9,0x3ff62005,0xffffffff,0xffffffff,0xff9805ff,0x80004fff,
    0x04fffff9,0xffffb800,0xffffffff,0x3ffe6fff,0x3ea006ff,0x3f62ffff,
    0xffffffff,0x6fffffff,0xffffffb8,0xffffffff,0xfffd86ff,0xffffffff,
    0xd81fffff,0xffffffff,0xffffffff,0xfffff980,0xffffffff,0x3ee00fff,
    0xffffffff,0xd87fffff,0x2007ffff,0x40fffffc,0xfffffff9,0xfffeeeff,
    0x2666662f,0xffffe999,0x999999af,0x7fffdc09,0xedba99af,0x3fffffff,
    0x3ffffea0,0xaccca98f,0x5fffffc8,0x5fffff70,0xffdb7533,0x007fffff,
    0x01bffffe,0x7fffc400,0xdcabdeff,0x05ffffff,0x22000000,0x81bfffff,
    0x3ffffea8,0xfffffb80,0xffffefff,0xffffffff,0xffff9805,0xf980004f,
    0x0004ffff,0x7fffffc4,0xfffdbbdf,0x3fffe0ff,0x3fea006f,0x3ff62fff,
    0xeeeeeeff,0x85eeeeee,0xfffffffc,0xffffffff,0x4ccc44ff,0xd9999999,
    0x5c1fffff,0xefffffff,0xffffffed,0xffffd84f,0x5cc40aef,0xfff700fd,
    0x579dffff,0xfb033333,0x6400ffff,0x740fffff,0x1dffffff,0x4005d730,
    0x00fffffd,0x7ffffdc0,0x3ffff201,0x3f200fff,0xffffffff,0xffffffff,
    0xfff700ef,0x7fe403ff,0x800fffff,0x206fffff,0xffb800d9,0x3e202fff,
    0x0007ffff,0x3ff20000,0xfe8802ff,0x7fc00fff,0x2a1dffff,0x0007ffff,
    0x27ffffcc,0x7ffcc000,0x6c0004ff,0x80dfffff,0x7fc1ffc8,0x2a006fff,
    0x362fffff,0x0004ffff,0x59ffffd0,0x3ffff261,0x90000fff,0x4c3fffff,
    0x0dffffff,0x7ffffe44,0x7ffffc1f,0x7c40002f,0x02efffff,0xfffffb00,
    0x7fffe400,0x3fffee0f,0x002002ff,0x0fffffd8,0x7fffdc00,0x7ffd401f,
    0x7f404fff,0xffffffff,0xffffffff,0x3fffee01,0x7ffd401f,0xff804fff,
    0xfd986fff,0xfffd800f,0xfffc806f,0x000001ff,0x1ffff880,0x3fffa200,
    0x3fffee04,0xffffa85f,0x7fcc0007,0x80004fff,0x04fffff9,0x7ffffc00,
    0xff829806,0x2a006fff,0x362fffff,0x0004ffff,0x401bff10,0x1ffffffa,
    0xffff9000,0x7fffe43f,0x7ffe405f,0x3ffe65ff,0xc80006ff,0x005fffff,
    0x3ffffec0,0xfffff900,0x7fffffc1,0x36000004,0x000fffff,0x0fffffdc,
    0x7ffffe40,0x3ffe200f,0xffffffff,0x403fffff,0x01fffffb,0xffffffc8,
    0x7ffffc00,0x3ffff666,0xffffe800,0xffff9804,0x0000001f,0x202fffd8,
    0xff10aaa8,0x3ffe01ff,0xffa80eff,0xdd7007ff,0xffffdddd,0xddddddff,
    0x3bbaebdd,0xfffffeee,0xeeeeeeef,0xffff105e,0x7fc0007f,0x2a006fff,
    0x362fffff,0x0004ffff,0x7f400aa0,0x0003ffff,0x43fffff9,0x00fffffe,
    0x7fffffc4,0xffffff30,0x7fcc0005,0x0000ffff,0x03ffffec,0x1fffff90,
    0x3fffffe6,0x36000000,0x000fffff,0x0fffffdc,0x7ffffc40,0x7ffe402f,
    0xffffffff,0x5c01ffff,0x801fffff,0x2ffffff8,0x77ffffc0,0xffffffd9,
    0xffffe800,0xffffa806,0xdddd900f,0x9ddddddd,0x1fffe200,0x2fffffe4,
    0xf509fff9,0x2a07ffff,0x9007ffff,0xffffffff,0xffffffff,0x3f2dffff,
    0xffffffff,0xffffffff,0xff306fff,0x40003fff,0x006fffff,0x8bffffea,
    0x004ffffd,0xff900000,0x20009fff,0x21fffffc,0x006fffff,0x25fffffb,
    0xfffffff8,0xffb8000c,0x80002fff,0x007ffffd,0x43fffff2,0x04fffffa,
    0x7fec0000,0x5c000fff,0x001fffff,0x07fffffb,0x7fffffc4,0xffff910a,
    0xfffb809f,0xffb001ff,0xff807fff,0xffffffff,0xd800ffff,0x402fffff,
    0x207ffffd,0xfffffffd,0x9006ffff,0xfe889fff,0x265fffff,0x7ec0ffff,
    0xf501ffff,0x3200ffff,0xffffffff,0xffffffff,0xff96ffff,0xffffffff,
    0xffffffff,0x3fee0dff,0x20000fff,0x006fffff,0x8bffffea,0x004ffffd,
    0xff700000,0x20009fff,0x31fffffc,0x00bfffff,0x93ffffee,0xfffffffe,
    0xfb000bef,0x0001ffff,0x0fffffb0,0x7ffffe40,0x7fffff70,0xfd800000,
    0x4000ffff,0x01fffffb,0x9fffff50,0x7ffffdc0,0xfffff901,0x7fffdc01,
    0xfff5001f,0xfff809ff,0xffffffff,0xff7001df,0x2e03ffff,0x203fffff,
    0xfffffffd,0xd006ffff,0xfff81fff,0x6c5fffff,0x7ff41fff,0x3fea07ff,
    0xff9007ff,0xffffffff,0xffffffff,0x3fff2dff,0xffffffff,0xffffffff,
    0xffff706f,0x7fc0001f,0x2a006fff,0x362fffff,0x0004ffff,0xfff90000,
    0x320007ff,0xf31fffff,0x200bffff,0x25fffffa,0xfffffff9,0x00beffff,
    0x01bffffe,0x7fffec00,0x3fff2007,0xffffb0ff,0x8000005f,0x00fffffd,
    0xffff9330,0x0133335f,0x0bfffff5,0x027fffec,0x03fffff1,0xfffff933,
    0x50133335,0x80bfffff,0xffffffff,0x44001dff,0xcfffffff,0x3fffff20,
    0x7fffec06,0x6fffffff,0xb8dfff00,0xcbcfffff,0x117ffdc4,0x40bfffff,
    0x007ffffa,0xfb999995,0x999dffff,0x2a799999,0xffdccccc,0xccccefff,
    0xf703cccc,0x0001ffff,0x037ffffc,0x5fffff50,0x7fffffec,0x00bceeff,
    0xfffd0000,0x320005ff,0xf11fffff,0x200dffff,0x46fffff9,0xfffffffa,
    0x84ffffff,0x8cfffff9,0xcefffedb,0x3fff600b,0x3ff2007f,0xfffd0fff,
    0x400005ff,0xffe99999,0x9999afff,0xffffff80,0x5fffffff,0x6fffff98,
    0x07ffffa0,0x05ffffd0,0xffffffff,0x30bfffff,0x20dfffff,0xffffffc8,
    0x20001dff,0xfffffffa,0xfffffecf,0x6665c00f,0xfffffccc,0x5fff8806,
    0x00fffffc,0xf88fffea,0x2a05ffff,0x0007ffff,0x27ffffcc,0x7ffcc000,
    0x2e0004ff,0x000fffff,0x1bffffe0,0xfffffa80,0x3fffff62,0xffffffff,
    0x2600001d,0x00ffffff,0xfffff900,0x7fffff43,0xffff9801,0xfffd886f,
    0xffffffff,0x3ffea0ef,0xffffffff,0x03ffffff,0x00fffffb,0x87ffffe4,
    0x03fffffd,0xffff3000,0xffffffff,0xff0bffff,0xffffffff,0xff10bfff,
    0x7fc0ffff,0x7ec00fff,0xfff83fff,0xffffffff,0xfff885ff,0x7fe447ff,
    0x1dffffff,0xfff70000,0xffffffff,0x80003dff,0x806fffff,0x3e64fff9,
    0xf9804fff,0x3ffe65ff,0x3fea04ff,0xffffffff,0xfff9801f,0x980004ff,
    0x004fffff,0x7ffe4ccc,0x999999ff,0xfff00999,0x7d400dff,0x3f62ffff,
    0xffffffff,0x03ffffff,0xffff9000,0x7e40009f,0x3f61ffff,0x200effff,
    0x6fffffc8,0x3fffae20,0x6fffffff,0x3fffffee,0xffffffff,0x6c0effff,
    0x2007ffff,0x90fffffc,0x009fffff,0x3fffe600,0xffffffff,0xff85ffff,
    0xffffffff,0xff885fff,0xf880ffff,0x6c00ffff,0xff83ffff,0xffffffff,
    0xff885fff,0xff10ffff,0xdfffffff,0xff500000,0xffffffff,0x3e0000bf,
    0xa806ffff,0x3fea3fff,0xff8802ff,0x3fffe66f,0x3ffea03f,0xffffffff,
    0xffff9801,0xf980004f,0x2004ffff,0xfffffff9,0xffffffff,0xfff04fff,
    0x7d400dff,0x3f62ffff,0xffffffff,0x3fffffff,0x7ffd4000,0x20000fff,
    0x21fffffc,0xfffffffb,0xffdba9ac,0x006fffff,0xfffffd73,0x3fee7fff,
    0xffffffff,0xffffffff,0x7fffec5f,0x3fff2007,0xffff70ff,0x260000df,
    0xffffffff,0xffffffff,0xffffff85,0x5fffffff,0x7fffff88,0x03ffffe0,
    0x05ffffb0,0xffffffff,0x10bfffff,0x44ffffff,0xffffffff,0x3000006f,
    0xffffffff,0x00007fff,0x00dfffff,0x7dc5fff9,0xff001fff,0x7fffd4ff,
    0x3ffea03f,0xffffffff,0xffff9801,0xf980004f,0x2004ffff,0xfffffff9,
    0xffffffff,0xfff04fff,0x7d400dff,0x32e2ffff,0xfeeccccc,0xffffffff,
    0xfff10002,0x80009fff,0x41fffffc,0xfffffffe,0xffffffff,0x8005ffff,
    0xffffffd9,0xffffff94,0xffd9dfff,0x45ffffff,0x007ffffd,0x43fffff2,
    0x3ffffffa,0xfff98000,0xffffffff,0xc85fffff,0xdfffffec,0xf982cccc,
    0x3e06ffff,0x7401ffff,0xcc82ffff,0xcdfffffe,0xff982ccc,0x3fe26fff,
    0x6fffffff,0xffa80000,0xffffffff,0x40005fff,0x806fffff,0x3ee3fffb,
    0xff003fff,0x7fffccdf,0x3ffea03f,0xffffffff,0x6e666541,0xccefffff,
    0x801ccccc,0x04fffff9,0x3ffffe60,0xffffffff,0xf04fffff,0x400dffff,
    0x02fffffa,0xffffda80,0xe88005ff,0x006fffff,0xfffffc80,0x7ffffc41,
    0xffffffff,0x05ffffff,0x3ffff600,0xfffff96f,0x3fea039f,0x3f67ffff,
    0x32007fff,0x3e0fffff,0x01ffffff,0x55554400,0xbfffffea,0x2e01aaaa,
    0x001fffff,0x0bfffff5,0x027ffff4,0x01fffff3,0x0fffffdc,0xfffffa80,
    0x3ebbfe25,0x0006ffff,0x7ffffe40,0xffffffef,0x3e0005ff,0xa806ffff,
    0x3fea4fff,0xff8804ff,0x3fffe65f,0x3ffea04f,0xaaaaaaff,0x7ffffe40,
    0xffffffff,0x803fffff,0x04fffff9,0x3ffffe60,0xffffffff,0xf04fffff,
    0x400dffff,0x02fffffa,0x3ffff600,0xffd8007f,0x0000ffff,0x1fffffc8,
    0xfffffe98,0xffffffff,0x0004ffff,0x57ffffea,0x03fffffc,0xffffff98,
    0x0fffffb0,0x7ffffe40,0x3ffffee0,0x1e4c04ff,0xfffffb00,0xfffb8001,
    0xff7001ff,0x7e409fff,0xfb00ffff,0xfb80dfff,0x7001ffff,0x449fffff,
    0x3ffffe2e,0x3f200006,0xb32fffff,0x9fffffff,0x3fffe000,0xfff9806f,
    0x1bfffe65,0x893ffe60,0x204fffff,0x007ffffa,0x3ffffff2,0xffffffff,
    0x9803ffff,0x004fffff,0x3ffffee0,0x3ffe0000,0x3ea006ff,0x0002ffff,
    0x0ffffffc,0xfffffb00,0x3200003f,0x201fffff,0xffffffea,0xffffbbef,
    0xe800533f,0xf74fffff,0x2007ffff,0xb1fffffd,0x400fffff,0x20fffffc,
    0xfffffff8,0xfeccdeff,0x3f6003ff,0x4000ffff,0x01fffffb,0x7fffff90,
    0x7ffffcc0,0xfffb30af,0xffb805ff,0xf9001fff,0xf807ffff,0x0006ffff,
    0xdfffff30,0xfffff501,0xff0001ff,0xf100dfff,0xfffe8dff,0x54399bff,
    0x7ffc3fff,0x3fea05ff,0x3f2007ff,0xffffffff,0xffffffff,0xfff9803f,
    0x2e0004ff,0x000fffff,0x1bffffe0,0xfffffb80,0x7fec0001,0xfb002fff,
    0x005fffff,0x7fffe400,0x5553001f,0x7fffdc13,0x35bff52f,0xfffca881,
    0xfff52fff,0x3ee009ff,0xffb3ffff,0x7e400fff,0x7d40ffff,0xffffffff,
    0x3fffffff,0x3ffff600,0x7fdc000f,0xf8801fff,0x401fffff,0xfffffffe,
    0x7fffffff,0xfffffb80,0xffff8801,0x7ffc01ff,0xd00006ff,0x401fffff,
    0x4ffffff8,0xfffff800,0x8ffff006,0xfffffffa,0x17ffe45f,0x81bffffe,
    0x007ffffa,0x3fbbbbae,0xeeefffff,0x9802eeee,0x004fffff,0x3ffffee0,
    0x3ffa0000,0x3f2006ff,0x0000ffff,0x1fffffe4,0x7ffffe40,0x6c00002f,
    0x001fffff,0xfffffb00,0x3ffffea3,0xffffefff,0x3e66ffff,0x5004ffff,
    0x367fffff,0x2007ffff,0x80fffffc,0xfffffff9,0xffffffff,0x3fff6003,
    0x7dc000ff,0xc801ffff,0x406fffff,0xffffffe8,0xffffffff,0x7ffdc03f,
    0xffc801ff,0xff806fff,0x80006fff,0x04fffff9,0x5fffffa8,0xfffff800,
    0x5fffd006,0xffffffe8,0x07fffc5f,0x03fffffa,0x03ffffd4,0x3fffe600,
    0xf980004f,0x0004ffff,0x03ffffee,0xffffd800,0x3fff2007,0xfd80007f,
    0x6401ffff,0x02ffffff,0xfffe8000,0xf00000ff,0x7d4dffff,0xffffffff,
    0xffffffff,0x3ffffe20,0xffff7006,0x3ffff65f,0x3fff2007,0xffd300ff,
    0xffffffff,0x6c007fff,0x000fffff,0x0fffffdc,0x3ffffe60,0x7ffec01f,
    0xffffffff,0x01ffffff,0x07ffffee,0xffffff30,0xfffff003,0xff50000d,
    0x3e005fff,0x8006ffff,0x006fffff,0xf90dfff9,0x54bfffff,0xffd86fff,
    0xff502fff,0x98000fff,0x004fffff,0xfffff980,0x3fee0004,0x20000fff,
    0x01fffffc,0x0bffffd0,0xfffff000,0xffffc80f,0x000002ff,0x00ffffff,
    0x3fffee00,0x3fffea3f,0xffffffff,0xff80dfff,0xd801ffff,0xfb0fffff,
    0x6400ffff,0x400fffff,0xffffffc9,0x000adfff,0x03fffff6,0xfffff700,
    0x7fffdc03,0x7fdc05ff,0xffffffff,0xffffffff,0xffff700e,0x7ffdc03f,
    0xff005fff,0x0000dfff,0x03fffff7,0x1bffffa0,0x3ffffe00,0xffff1006,
    0xbdd97303,0x40ffff45,0x04fffffa,0x00fffff5,0xfffff880,0xff880006,
    0x20006fff,0x00fffffb,0x3fffee00,0xfffa805f,0x6c0004ff,0x206fffff,
    0x1ffffffc,0xfc801400,0x0005ffff,0xffffff98,0x3ffff660,0xffffffff,
    0x3fff602d,0x7fcc04ff,0x3ff67fff,0x3fa007ff,0x36007fff,0x009dffff,
    0x3ffff600,0x7fdc000f,0x6d4c1fff,0x1fffffff,0x3ffffe60,0xabccca9f,
    0x5fffffd8,0x3fffff70,0xffffda98,0xff001fff,0x0000dfff,0x05fffff7,
    0x13ffffe0,0x3ffffe00,0x3fff2006,0xfffb8005,0x3ffffa05,0xffffa82f,
    0xfff80007,0x80000fff,0x00ffffff,0xfffff700,0x7fcc0001,0x2603ffff,
    0x01fffffe,0xffffb300,0x3ff207ff,0x8001ffff,0x3fea01df,0x0004ffff,
    0x7fffffd4,0x32aa6205,0x800fffff,0x3ffffff9,0xfffffd10,0x3ffffecb,
    0x3ffea026,0x3fa006ff,0x80001fff,0x00fffffd,0x7ffffdc0,0xfffffeee,
    0x204fffff,0x2ffffff8,0xfffff880,0xffffb83f,0xffffeeef,0x04ffffff,
    0x3fffffe0,0xffffffff,0x7cc6ffff,0x400effff,0x03fffffc,0x6fffff80,
    0x3fffe200,0xfff7000d,0x7ffdc03f,0x7fd41fff,0xe80007ff,0x003fffff,
    0xfffffe80,0xfff70003,0xc80001ff,0xbdffffff,0xffffca9a,0x66fd44ff,
    0xfdcbaaab,0x05ffffff,0x5ffffff9,0x33333333,0x3ffe1333,0xffdbabce,
    0x000fffff,0x3ffee662,0x000effff,0x013fffea,0xffffffd8,0xfffcaabd,
    0x3f60ffff,0x6fec7fff,0xfffffdbc,0xfff1004f,0x360000df,0x000fffff,
    0x7fffffdc,0xffffffff,0x7ec02fff,0x2005ffff,0x0ffffffa,0x7fffffdc,
    0xffffffff,0x7c002fff,0xffffffff,0xffffffff,0xfffff86f,0xb510bdff,
    0x03ffffff,0xdfffff00,0xffffc800,0x7ffdc00e,0x7ffc405f,0xdbceffff,
    0xcccfffff,0xfb003ccc,0x237fffff,0xd804b998,0x1bffffff,0x3a297331,
    0xfffffeee,0xeeeeeeee,0x7c44eeee,0xffffffff,0xffffffff,0xfffffa86,
    0xffffffff,0xff906fff,0xffffffff,0xffffffff,0x3ffffedf,0xffffffff,
    0xddd502ff,0xfffffffd,0x001fffff,0x01ffffc8,0x3ffffe60,0xffffffff,
    0x7ec1ffff,0x7fec7fff,0xffffffff,0xfff3000f,0x3600007f,0x000fffff,
    0x7fffffdc,0xffffffff,0xfc8800df,0x6c000fff,0xfb81efff,0xffffffff,
    0x0dffffff,0xfffff800,0xffffffff,0xb86fffff,0xffffffff,0xffffffff,
    0x555303ff,0xffff5555,0x555555df,0xffffb103,0xfb7337bf,0x001bffff,
    0xfffffff9,0xffffffff,0x0bffffff,0x3ffffea0,0xffffffff,0xffffa806,
    0xffffffff,0xfffff36f,0xffffffff,0xffffffff,0xfffff70b,0xffffffff,
    0xff503fff,0xffffffff,0x01dfffff,0x3ffffffe,0xffffffff,0xff6fffff,
    0xffffffff,0x5c0bffff,0xffffffff,0x1fffffff,0x6fffe800,0xffffa800,
    0xffffffff,0xffd83fff,0x7ffec7ff,0x2fffffff,0x3fffee00,0xffb00000,
    0xb8001fff,0xffffffff,0x02ffffff,0x002fd980,0x2e02ef88,0xffffffff,
    0x02ffffff,0x3ffffe00,0xffffffff,0x906fffff,0xffffffff,0xffffffff,
    0x7fffe409,0xffffffff,0x4fffffff,0x3fffff20,0xffffffff,0x7fdc004f,
    0xffffffff,0xffffffff,0x3f6005ff,0xffffffff,0xfb006fff,0xffffffff,
    0x3fe6dfff,0xffffffff,0xffffffff,0xfd305fff,0xffffffff,0x2a01bfff,
    0xffffffff,0x02efffff,0x7ffffffc,0xffffffff,0xff6fffff,0xffffffff,
    0xfb807fff,0xffffffff,0x000cffff,0x007ffff0,0x3ffffa60,0xefffffff,
    0xfffffb01,0xffffffd8,0x6c002fff,0x00005fff,0x03fffff6,0xfffff700,
    0x37bddfff,0x00030000,0x7ffdc00c,0xdeefffff,0xff80001b,0xffffffff,
    0xffffffff,0x3ffff206,0xffffffff,0x7fe403ff,0xffffffff,0xffffffff,
    0x7ffd404f,0xffffffff,0xff50003f,0xffffffff,0xffffffff,0x7f4400bf,
    0xffffffff,0xfd1006ff,0xffffffff,0x3ffe6dff,0xffffffff,0xffffffff,
    0x7f5c05ff,0xdfffffff,0x7fffd402,0xdeffffff,0xfffff001,0xffffffff,
    0xdfffffff,0x3ffffae2,0x800cefff,0xfffffffb,0x001dffff,0x03fffe60,
    0xfffd9000,0x807dffff,0x5c7ffffd,0xdffffffe,0xfffe8000,0x00000001,
    0x00000000,0x00000000,0x00000000,0x32200000,0xffffffff,0xff9003ef,
    0xffffffff,0xffffffff,0xfb73009f,0x37bfffff,0xfdc98000,0xffffffff,
    0x5fffffff,0xfffea800,0x05ffffff,0x7ffff540,0xf35fffff,0xffffffff,
    0xffffffff,0x400bffff,0x0009bba9,0x9aaaa998,0xffff0000,0xffffffff,
    0xffffffff,0x06aaa60d,0x3fffee00,0x001bdeef,0x0dfff700,0xaba98000,
    0x31000001,0x00000135,0x00000000,0x00000000,0x00000000,0x00000000,
    0x26200000,0x0009abba,0x7fffffe4,0xffffffff,0x004fffff,0x0001ba88,
    0x4d554400,0x88000000,0x01aabba9,0x5dd4c400,0x000001aa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x99100000,0x00005999,0x0266665c,0xcccc8800,0xcccccccc,
    0xcccccccc,0x666442cc,0x999001cc,0x4c000599,0xcccccccc,0x20cccccc,
    0x01cccccb,0x666665c0,0x99999951,0x99999999,0x33327999,0xaccccccc,
    0xcca80009,0xcccccccc,0x1ccccccc,0x0b333332,0xccccca80,0x1e666444,
    0x99991000,0x66664005,0x2001cccc,0xccccccc9,0xcccccccc,0x99933ccc,
    0x98000399,0x00cccccc,0x1e666664,0x07999500,0x5c13332a,0x01cccccc,
    0x23999970,0xcccccccb,0x0009abcc,0x3bbb6a00,0x4c00000e,0x3ccccccc,
    0xff300000,0x00009fff,0x03fffff4,0xffff8800,0xffffffff,0xffffffff,
    0x7ffcc4ff,0xfff003ff,0x64000bff,0xffffffff,0x20ffffff,0x06fffffa,
    0x3ffffe60,0x3fffff66,0xffffffff,0xfff5ffff,0xffffffff,0x2009dfff,
    0xfffffffd,0xffffffff,0x3fff22ff,0xf8800fff,0x444fffff,0x0006ffff,
    0x013fffe6,0x7fffffc4,0x3ee004ff,0xffffffff,0xffffffff,0xfffff56f,
    0xffb80007,0x2202ffff,0x06ffffff,0x41bfff60,0xfb06fffd,0x00bfffff,
    0x74bffffa,0xffffffff,0x02efffff,0x3fffa600,0x00001fff,0x7ffffff4,
    0xfec8805f,0x7ffcc01d,0x200004ff,0x007ffffe,0xfffff100,0xffffffff,
    0xffffffff,0xffff989f,0xffff003f,0x3e2000bf,0xffffffff,0x40ffffff,
    0x03fffffe,0x5fffffb0,0x7fffffec,0xffffffff,0xffff5fff,0xffffffff,
    0x805dffff,0xfffffffd,0xffffffff,0x3ffe22ff,0xfc804fff,0x440fffff,
    0x0007ffff,0x00ffffea,0x7fffffdc,0x3ee006ff,0xffffffff,0xffffffff,
    0xfffff56f,0xffb80007,0x2e05ffff,0x06ffffff,0x417fffa0,0xfb05fffe,
    0x03ffffff,0x25ffffd0,0xfffffffe,0xffffffff,0x3f66003f,0x1fffffff,
    0x3fea0000,0x05ffffff,0x7fffff44,0x3fffe602,0x3a00004f,0x0007ffff,
    0x557fff10,0x55555555,0xffd55555,0xfffff989,0xfffff003,0x3fee000b,
    0xffffffff,0x4c0fffff,0x00ffffff,0x2fffffd4,0x3ffffff6,0xffffffff,
    0xffff5fff,0xffffffff,0x1bffffff,0x3fffff60,0xffffffff,0x7dc2ffff,
    0x200fffff,0x3ffffff8,0x00fffff0,0x1ffffd40,0xfffffd80,0x7000ffff,
    0xffffffff,0xffffffff,0x3ffeadff,0x640003ff,0x07ffffff,0x3ffffff6,
    0x3fffe007,0x09ffff04,0x3ffffff6,0xfffe805f,0xfffffd2f,0xffffffff,
    0x880bffff,0xfffffffd,0x00001fff,0xfffffff1,0xffc80bff,0x300fffff,
    0x009fffff,0x7ffff400,0x009aaaaf,0x307ffc40,0x7ff40013,0xffff5314,
    0x3333339f,0xfffff333,0xfe80033b,0xffffffff,0x80ffffff,0x04fffffd,
    0x0ffffff4,0x3ffffff6,0xffffffff,0xffff5fff,0xffffffff,0xdfffffff,
    0x3fffff60,0xffffffff,0xfe82ffff,0x3205ffff,0x207fffff,0x0007ffff,
    0x00bfffea,0x7ffffffc,0xf7003fff,0xffffffff,0xffffffff,0x3fffeadf,
    0x7e40003f,0x82ffffff,0xfffffff8,0x3fffe007,0x09ffff03,0x3ffffff6,
    0x7ff400ff,0xffffd2ff,0xffffffff,0x07ffffff,0xffffff91,0x03ffffff,
    0x3fff2000,0x05ffffff,0x7ffffff4,0xffff301f,0x7400009f,0xffffffff,
    0x01deffff,0xf887ffc4,0x202defff,0xfff74ffe,0xffffffff,0xffffffff,
    0x00ffffff,0x7f7fffcc,0x44006fff,0x00ffffff,0x09fffff5,0x35fffffb,
    0x33333333,0x3fffe133,0xdba999ef,0xfffffffe,0xfffffd83,0x9999999a,
    0xfa809999,0x881fffff,0x03ffffff,0x001ffffe,0x02ffffa8,0xffffffa8,
    0x0005ffff,0x0fffffd8,0x7ffffd40,0x7fec0003,0xa84fffff,0x7fffffff,
    0x7ffff100,0x07ffff10,0x3ffffff6,0x7ff404ff,0xffffd2ff,0xd753333f,
    0x3fffffff,0x7fffffc4,0xffffffff,0xff980001,0xffffffff,0x7ffffc05,
    0xff302fff,0x00009fff,0x7ffffff4,0xffffffff,0xfff101df,0x3ffffe21,
    0xffe82eff,0xffffff74,0xffffffff,0xffffffff,0x7e400fff,0xffffbfff,
    0xfffb8006,0xfffd05ff,0xfffb01ff,0x3e0001ff,0x6405ffff,0x0fffffff,
    0x07ffffec,0xfffe8000,0xfffc85ff,0x7ff406ff,0x3ee0007f,0xfc801fff,
    0xfffeefff,0xfd80007f,0x5400ffff,0x003fffff,0x7ffffec0,0xfffd87ff,
    0x800fffff,0x982ffff9,0xfb02ffff,0xffffffff,0x7ffff401,0x0fffffd2,
    0xffffffb8,0x7fffff45,0xfffffddf,0xffe80001,0xffffdeff,0x7fffec05,
    0xff300fff,0x00009fff,0x7ffffff4,0xffffffff,0xff883fff,0xfffff10f,
    0xfe87ffff,0xfffff74f,0xffffffff,0xffffffff,0x7c00ffff,0xfff9efff,
    0xffd0006f,0xffb83fff,0xffb03fff,0x20001fff,0x805fffff,0x4ffffffa,
    0x07ffffec,0xfff98000,0x3fe21fff,0x7402ffff,0x0000ffff,0x003ffff7,
    0xf97fffff,0x0005ffff,0x0fffffd8,0x7ffffd40,0x7fec0003,0x41ffffdf,
    0xfffdffff,0xb999880f,0x999affff,0x9affffb9,0xffffb099,0x407fffff,
    0xfd2ffffe,0xf900ffff,0xfa8dffff,0xff91efff,0x80003fff,0xd9fffffb,
    0x4c05ffff,0x04ffffff,0x13ffffe6,0xfffe8000,0xffffffff,0x1fffffff,
    0x3307ffc4,0xfffffb75,0xfba7ff45,0xffffffff,0xffffffff,0x7fffffff,
    0x7ffff500,0x00dffff3,0x3ffffea0,0x37ffffc5,0x1fffffb0,0x3fffe000,
    0xfff9005f,0x7fec1fff,0x00000fff,0x97fffff6,0x05fffffc,0x00ffffd8,
    0x3ffff700,0xfffff980,0x4fffffa9,0x7ffec000,0x7fd400ff,0x40003fff,
    0xffecfffe,0x3fffea4f,0xd81ffffb,0xffffffff,0xffffffff,0xb2ffffff,
    0xffffffff,0x7fff40ff,0xfffffd2f,0x3ffffe00,0x2177fc0f,0x01fffffc,
    0x3fffe200,0xbffffb4f,0x9ffff500,0xfffff980,0x3fa00004,0xaaaaffff,
    0xffffffdc,0x3ffe20ff,0x7fff4c00,0x6553ffa6,0xcefffffd,0xcccccccc,
    0x4cefffff,0x1ffffb00,0x00dffff3,0x7fffff40,0x3fffff71,0x7ffffec0,
    0xffff0000,0x3fe200bf,0x3f62ffff,0x0000ffff,0x3ffffe60,0xfffff89f,
    0xfffd801f,0x0aaa980f,0x00ffffc8,0x8bffffdc,0x006fffff,0x7ffffec0,
    0x7fffd400,0x7f40003f,0x6fffccff,0x3ef3fff6,0xffd81fff,0xffffffff,
    0xffffffff,0xffb2ffff,0xfffffbff,0x3ffffa05,0x0fffffd2,0x3fffffa0,
    0xffc81e41,0x20001fff,0x366ffffd,0x2005ffff,0xff9800a9,0x00004fff,
    0x81fffffa,0xffffffc8,0x003ffe24,0xfe9fffe6,0x7fffcc4f,0xffff003f,
    0x7fc400bf,0xffff36ff,0x7fcc000d,0xffff5fff,0xfffd80bf,0xff0000ff,
    0x6c00bfff,0x363fffff,0x000fffff,0x7fffe400,0xfffffcdf,0xffffb005,
    0x05fffb03,0x801ffff9,0x365ffffe,0x000fffff,0x3fffff60,0x7fffd400,
    0x7fc0003f,0xffffacff,0xf53ffff0,0xffb03fff,0xffffffff,0xffffffff,
    0x3f65ffff,0xfffebfff,0xffffd06f,0x1fffffa5,0x7ffffe40,0x3fff2002,
    0xf50001ff,0x7ec5ffff,0x00005fff,0x9fffff30,0x3fa00800,0xfd807fff,
    0x3e26ffff,0xfff000ff,0x313ffa3f,0x007fffff,0x017ffffe,0x33ffffb8,
    0x000dffff,0xdfffffc8,0x400fffff,0x00fffffd,0xbfffff00,0x7fffd400,
    0x3ffff64f,0x4400000f,0xffffffff,0x9000ffff,0xff03ffff,0xfff90bff,
    0xffff880f,0x3fffee2f,0x3f60003f,0x5400ffff,0x003fffff,0x45ffffc0,
    0xff9affff,0x5ffff57f,0xffffffb0,0xffffffff,0xffffffff,0x2fffff65,
    0x82fffffa,0xfd2ffffe,0x3600ffff,0x000fffff,0x07fffff2,0x7ffff400,
    0x2ffffec5,0xff980000,0xf7004fff,0xffe83dff,0xff8807ff,0x3fe27fff,
    0xfff8800f,0x989ffd0f,0x003fffff,0x00bfffff,0x987ffff4,0x0006ffff,
    0x7fffffc4,0xd803ffff,0x99afffff,0x99999999,0x17ffffe1,0xfffffa80,
    0x3fffff65,0xfb800000,0xffffffff,0x3ff2004f,0x7ffd41ff,0x7fffc87f,
    0x7ffffd40,0x3ffffe60,0x3ff60005,0x7d400fff,0x0003ffff,0xfd9ffffc,
    0x4fffbcff,0x005ffff5,0x3a0bfffd,0x3f605fff,0xffff3fff,0xffffd0bf,
    0x1fffffa5,0x3fffffc0,0x3ffff200,0xffb8001f,0x7fec0fff,0x000005ff,
    0x09fffff3,0xffffff90,0x3fffff43,0xfffffe80,0x801fff11,0x3a6fffc8,
    0x7ffcc4ff,0xccccceff,0xffffcccc,0xfff3005f,0x7fffccbf,0x06ffffff,
    0x3ffffee0,0xfb006fff,0xffffffff,0xffffffff,0x17ffffe1,0xfffff980,
    0x3fffff66,0x9999999a,0x3e000999,0xffffffff,0x3fee000f,0x7ffe41ff,
    0x7ffec2ff,0x7fffe407,0xffffff86,0xfffb0000,0xffa801ff,0x20003fff,
    0xf73ffff8,0x5fffddff,0x00ffffea,0x7c13fffe,0x3f604fff,0xfff73fff,
    0xfffe83ff,0xfffffd2f,0xfffff500,0xfffc800d,0x7c4001ff,0xfd83ffff,
    0x00005fff,0x9fffff30,0xfffff980,0x3fffa6ff,0xfffb007f,0x3ffe25ff,
    0x7fee6640,0x3ffa2fff,0x7ffffcc4,0xffffffff,0x5fffffff,0x5ffff900,
    0x7fffffcc,0x4006ffff,0xfffffffe,0xffffb002,0xffffffff,0x3e1fffff,
    0x2005ffff,0x27fffff8,0xfffffffd,0xffffffff,0x3fea005f,0x03ffffff,
    0x17fffdc0,0x13fffffe,0xf80dfffb,0xfc84ffff,0x0002ffff,0x01fffffb,
    0x3fffffa8,0x3ffe2000,0xfffff13f,0x7ffccfff,0xffff803f,0x07ffff03,
    0x89ffffec,0x745fffff,0xffd2ffff,0xff880fff,0x4004ffff,0x01fffffc,
    0x37fffec0,0x05ffffd8,0xfff30000,0xffb809ff,0xd1ffffff,0x200fffff,
    0x11fffffd,0xfff81fff,0x744fffff,0x7ffcc4ff,0xffffffff,0xffffffff,
    0xffff005f,0xfffff98f,0x006fffff,0x7fffffd4,0x3fff6005,0xffffffff,
    0xf0ffffff,0x400bffff,0x0ffffff8,0xfffffffb,0xffffffff,0x7fc400bf,
    0x01ffffff,0x17fffd40,0xfffffff3,0x206fffd8,0x81fffff9,0x04fffffa,
    0xfffffb00,0xffffa801,0x3e20003f,0x3ffa2fff,0x3e65ffff,0x7c403fff,
    0xff883fff,0x3ff603ff,0x3fff23ff,0x3fffa0ff,0xfffffd2f,0x7ffffdc0,
    0x7e4000ef,0x2001ffff,0x01fffffa,0x00bffffb,0x3ffe6000,0x7fe404ff,
    0xd2ffffff,0x200fffff,0x227fffff,0x7ff40fff,0xfe81efff,0x7fffcc4f,
    0xffffffff,0xffffffff,0xffffa805,0x7ffffcc4,0x006fffff,0x1fffffe8,
    0x3ffff600,0xffffffff,0xff0fffff,0x4400bfff,0x367fffff,0xffffffff,
    0xffffffff,0x3fff2005,0x005fffff,0x917fffd4,0x3fffffff,0x902ffff4,
    0x220fffff,0x007fffff,0x1fffffb0,0xfffffa80,0x3fe60003,0x3fff22ff,
    0x3fe62fff,0x7fcc04ff,0xfff982ff,0x3fff602f,0x3fffe23f,0x3ffffa4f,
    0x9fffffd2,0xffffd999,0x0003ffff,0x03fffff9,0x3ffffa20,0x3ffff603,
    0xf3000005,0xb809ffff,0xffffffff,0x0fffffd1,0xdfffff30,0x3a07ffc4,
    0x7f401eff,0x7fffcc4f,0xffffffff,0xffffffff,0xffffd805,0x7ffffcc1,
    0x303ccccc,0xfd999999,0x9999ffff,0xfffb0799,0x999999ff,0x21999999,
    0x005fffff,0x9bffffe6,0xfffffffd,0xffffffff,0xfff3005f,0x5fffffff,
    0x7fffcc00,0x3fffffa3,0x3fffa4ff,0x3ffffa05,0x3ffffa05,0xffd8001f,
    0x7d400fff,0x0003ffff,0x98bfffe6,0x20ffffff,0x404ffff9,0xa81ffffa,
    0x3601ffff,0x7ec3ffff,0xffd0ffff,0x3fffa5ff,0xffffffff,0x04ffffff,
    0xfffff900,0x3fff2003,0x7ffec06f,0x9db7005f,0xffff9801,0x7ffc404f,
    0x3fa6ffff,0xfe807fff,0x3e24ffff,0x27fec0ff,0x2627ff40,0x99cfffff,
    0xf9999999,0x4405ffff,0xf986ffff,0x5c006fff,0xffffffff,0xffffffff,
    0xfffd86ff,0xff0000ff,0x5400bfff,0x365fffff,0xaabfffff,0xaaaaaaaa,
    0xffffb001,0x0dffffff,0x9ffffcc0,0xffdefff8,0x13fffa6f,0x1fffffc4,
    0x7fffff90,0xffffb000,0xfffa801f,0x2a0003ff,0x7fc2ffff,0x7fc45fff,
    0x4cccc5ff,0x99affffb,0xaffffb99,0x7ffec199,0x7fffcc3f,0x5ffffd3f,
    0x3ffffffa,0xffffffff,0x320003ff,0x801fffff,0x01fffff9,0x02ffffec,
    0x0ffffff4,0x9fffff30,0xfffff500,0x7ffff41f,0x3fffa607,0x3fe20fff,
    0x027fec0f,0x3e627ff4,0xf003ffff,0xb80bffff,0xf983ffff,0x5c006fff,
    0xffffffff,0xffffffff,0xfffd86ff,0xff0000ff,0x5c00bfff,0x364fffff,
    0x000fffff,0x7fffd400,0xffffffff,0xffff3003,0x2efffee7,0xffd0ffff,
    0x3ffee09f,0x3fe601ff,0xd8006fff,0x400fffff,0x03fffffa,0x3fffea00,
    0x17fffec1,0xf17fffe2,0xffffffff,0xffffffff,0x41ffffff,0xe83ffffd,
    0xffd7ffff,0x3fffa5ff,0xffffffff,0x0000cfff,0x0fffffe4,0x6fffff40,
    0x99999999,0x99dffffe,0x3fff2099,0x3e606fff,0x3004ffff,0xfe819ddb,
    0xbaaaffff,0xffffffec,0x07ffc43f,0x3a006aa6,0x7ffcc4ff,0xfff003ff,
    0xffe80bff,0xdccccdff,0x4006ffff,0xfffffffb,0xffffffff,0xffd86fff,
    0xf0000fff,0x400bffff,0x23fffffc,0x00fffffd,0x7fff4000,0xffffccff,
    0xff8800ff,0x3fffd4ff,0x3e7ffff3,0xffb04fff,0xdddddfff,0xfffffddd,
    0xffd8001f,0x7d400fff,0x0003ffff,0x507fffea,0xf881ffff,0x7ffc5fff,
    0xffffffff,0xffffffff,0x3f60ffff,0xffa83fff,0xfffeafff,0xfffffd2f,
    0x79bfffff,0x3f200003,0x4401ffff,0xffffffff,0xffffffff,0xffffffff,
    0x3fffffa2,0xfff301ff,0x400009ff,0xfffffffe,0xffffffff,0xfff885ff,
    0x3fa00080,0x7fffcc4f,0xffff003f,0x7ffcc0bf,0xffffffff,0x0006ffff,
    0x1fffff20,0xfffffb00,0x3ffe0001,0xff1005ff,0x7ec3ffff,0x0000ffff,
    0x3ffffee0,0xfffff88f,0xfff8804f,0x27fff8cf,0xfff5fffe,0x3fffe07f,
    0xffffffff,0xffffffff,0x7ffec002,0x7fd400ff,0x20003fff,0x441ffffb,
    0xff884eee,0x7fffc6ff,0xffffffff,0xffffffff,0x3ff60fff,0xffff03ff,
    0x5ffffdbf,0x27fffffa,0x40000019,0x01fffffc,0x7fffffc4,0xffffffff,
    0xffffffff,0x3fffe2ff,0xf302ffff,0x0009ffff,0x7fffff40,0xffffffff,
    0xf880dfff,0x1ffe40ff,0x2627ff40,0x003fffff,0x40bfffff,0xfffffffc,
    0xffffffff,0x3f200006,0x6c007fff,0x000fffff,0x0bfffff0,0x3fffff20,
    0x7ffffec6,0xff100000,0x7e47ffff,0x801fffff,0xffacffff,0x3ffff25f,
    0xa83ffff8,0xffffffff,0xffffffff,0x4005ffff,0x00fffffd,0x1fffffd4,
    0xffff7000,0x3ffe0003,0x7ffffc6f,0xffffffff,0xffffffff,0x3fff60ff,
    0xffff703f,0x25ffffff,0x007ffffe,0x3ff20000,0x7c401fff,0xffffffff,
    0xffffffff,0x2fffffff,0x3ffffff6,0xffff300f,0x7400009f,0xffffffff,
    0x1effffff,0xa83ffe20,0x7401ffff,0x7ffcc4ff,0xfff003ff,0x3fe20bff,
    0xffffffff,0x06ffffff,0x3fff2000,0x7fec007f,0xf0000fff,0x300bffff,
    0x83ffffff,0x00fffffd,0xffff9000,0x7ffc41ff,0xff806fff,0x2fffcdff,
    0x3ebfffe6,0xffc82fff,0xffffffff,0xffffffff,0x7ec007ff,0x5400ffff,
    0x003fffff,0x03ffff20,0x3ffffc00,0x413fffe0,0x6c04ffff,0xf103ffff,
    0xffffffff,0x3ffffa5f,0x20000007,0x01fffffc,0x7fffffc4,0xffffffff,
    0xffffffff,0x3ffea2ff,0x3e605fff,0x0004ffff,0x3fffffa0,0xdeffffff,
    0x0fff8803,0x00bfffee,0xff989ffd,0xff003fff,0x3ee0bfff,0xeeeeffff,
    0x6ffffeee,0x77775400,0xffffffee,0x85eeeeee,0x00fffffd,0xbfffff00,
    0xfffffb80,0xffffd85f,0xf880000f,0xb83fffff,0x02ffffff,0x7feffffc,
    0xdffff87f,0xfe82ffff,0xffffffff,0xffffffff,0x2001ffff,0x00fffffd,
    0x1fffffd4,0xffff9000,0x3ffe0001,0x7fffc07f,0x07ffff03,0x03ffffd8,
    0x3ffffff2,0xfffd2fff,0x000000ff,0x0fffffe4,0x3bbbba20,0xeeeeeeee,
    0xeffffffe,0x7fdc1eee,0x3e600dff,0x0004ffff,0x3fffffa0,0x80009aaa,
    0x3e60fff8,0x7f400fff,0x7fffcc4f,0xffff003f,0x3fffa0bf,0x3ffe602f,
    0x7fdc006f,0xffffffff,0xffffffff,0xfffffd86,0xffff0000,0xffb530bf,
    0xb03fffff,0x001fffff,0xfffffb00,0x3fffe20f,0x7ff406ff,0xc85fffff,
    0xffffffff,0x7ffffcc1,0x3fff2002,0x3f6004ff,0x5400ffff,0x003fffff,
    0x03ffff20,0x3ffffc00,0x05ffff10,0x805ffff1,0x203ffffd,0xfffffff8,
    0xffffd2ff,0x4000000f,0x01fffffc,0x3ffa0000,0x751005ff,0xffff3003,
    0xffffffff,0x07ffffff,0x01fffffa,0x07ffc400,0x3a007766,0x7ffcc4ff,
    0xfff003ff,0xfff30bff,0xfff980ff,0xccccccff,0xfffffb81,0xffffffff,
    0xd86fffff,0xeeefffff,0xeeeeeeee,0xffffff4e,0xfffffddd,0x209fffff,
    0x00fffffd,0x7fffcc00,0x3fee03ff,0x3a03ffff,0x2fffffff,0xffffffa8,
    0x7ffdc1ff,0x3ea000ff,0x7546ffff,0xfffeeeee,0xeeeeefff,0xfffff55e,
    0xffffffff,0x365fffff,0x0000ffff,0x201fffff,0x982ffff9,0x6c02ffff,
    0x6c03ffff,0xffffffff,0x0fffffd2,0x7ffdc000,0xffffffff,0xffffffff,
    0xffe80007,0x000005ff,0xfffffff3,0xffffffff,0x3fa07fff,0x00007fff,
    0x3335fff1,0x33333333,0x9ffd3333,0x3fffff98,0xbfffff00,0x09ffff90,
    0xffffff98,0xa82fffff,0xffeeeeee,0xeeeeffff,0xfffd85ee,0xffffffff,
    0xf5ffffff,0xffffffff,0xffffffff,0x7ffec05f,0x740000ff,0x807fffff,
    0x0fffffff,0xffffffb0,0x3fffe01f,0x7ec0ffff,0xf8006fff,0x2e0fffff,
    0xffffffff,0xffffffff,0xffff56ff,0xffffffff,0x25ffffff,0x0007fffd,
    0x403ffffa,0xa81ffffa,0x6c01ffff,0x4c03ffff,0xffffffff,0x0fffffd2,
    0x7ffdc000,0xffffffff,0xffffffff,0xffe80007,0x000005ff,0xfffffff3,
    0xffffffff,0x3fa07fff,0x00007fff,0xfffffff1,0xffffffff,0x9fffffff,
    0x3fffff98,0xbfffff00,0x03fffff0,0xffffff98,0x002fffff,0x03ffffe4,
    0x3fffff60,0xffffffff,0xfff5ffff,0xffffffff,0x01bfffff,0x0fffffd8,
    0x3ffea000,0xfb803fff,0xb05fffff,0x0bffffff,0x7fffffec,0x3fffe20f,
    0xffd8003f,0x3fee3fff,0xffffffff,0xffffffff,0xffffff56,0xffffffff,
    0x3fa5ffff,0x3a0007ff,0xf700ffff,0xff701fff,0xffd801ff,0xffe803ff,
    0xfd2fffff,0x0000ffff,0x7fffffdc,0xffffffff,0x007fffff,0x5ffffe80,
    0xff300000,0xffffffff,0xffffffff,0x3ffffa07,0xff100007,0xffffffff,
    0xffffffff,0xf989ffff,0xf003ffff,0xfa8bffff,0xf9806fff,0xffffffff,
    0x7e4002ff,0x6c007fff,0xffffffff,0xffffffff,0xffffff5f,0xffffffff,
    0x3ff6005f,0x20000fff,0x06fffffe,0x3fffffa0,0xffffc81f,0x3fea03ff,
    0x2a0fffff,0x001fffff,0x5fffffb8,0x3fffffee,0xffffffff,0xff56ffff,
    0xffffffff,0xffffffff,0x01ffffa5,0x1ffffe80,0x20ffff90,0xd807fffc,
    0xa803ffff,0x2fffffff,0x00fffffd,0x7fffdc00,0xffffffff,0x7fffffff,
    0xfffe8000,0x3000005f,0xffffffff,0xffffffff,0x3ffa07ff,0x100007ff,
    0xffffffff,0xffffffff,0x89ffffff,0x03fffff9,0x8bfffff0,0x803ffffd,
    0xfffffff9,0x4002ffff,0x007ffffc,0x7fffffec,0xffffffff,0xffff5fff,
    0xbddfffff,0xffd80037,0x70000fff,0x07ffffff,0x7ffffd40,0xffffc86f,
    0x3fe200ff,0x7e47ffff,0x30007fff,0x5cffffff,0xffffffff,0xffffffff,
    0xffff56ff,0xffffffff,0x25ffffff,0x0007fffe,0x407ffffa,0xf907fffc,
    0xffb00fff,0x3fe007ff,0xfd2fffff,0x0000ffff,0x7fffffdc,0xffffffff,
    0x007fffff,0x5ffffe80,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x66640000,0xbccccccc,0x6640009a,0xcccccccc,0xcccccccc,0x999953cc,
    0x99100079,0x66649999,0xcc8803cc,0x32e3cccc,0x2a004ccc,0x970ccccc,
    0x00059999,0x4333332e,0xcccccccc,0x009abccc,0xcccccc88,0xcccccccc,
    0xcccccccc,0x99999952,0x99999999,0x07999999,0x13bbba60,0x00000000,
    0x10000000,0x00c40003,0x31000098,0x00026003,0x00333310,0x01331000,
    0x02620000,0x35310000,0x22000033,0x06000009,0x33333300,0x3ffffe01,
    0xffffffff,0xff8802ef,0xffffffff,0xffffffff,0xffff35ff,0xfc8001ff,
    0x3fe3ffff,0xfd806fff,0x361fffff,0x2007ffff,0x90fffffc,0x00dfffff,
    0xffffff10,0x7ffffffc,0xffffffff,0x3ffe202d,0xffffffff,0xffffffff,
    0xfff73fff,0xffffffff,0xffffffff,0x3fea00bf,0x000005ff,0x06d405b8,
    0x97300000,0xbffffffd,0x3fb22017,0x7e441dff,0x2200ceff,0xefffffeb,
    0x3fffaa0c,0x654401df,0xfffffffe,0x4c0002df,0x0003ffff,0xfffedb88,
    0x4c001cef,0xffffffed,0x2a005eff,0xefffffdc,0xedb8802c,0x03eeffff,
    0x17fffffc,0xfffffff8,0xffffffff,0x3fe201ff,0xffffffff,0xffffffff,
    0x3fff65ff,0x3e2004ff,0x3e0fffff,0x5406ffff,0x43ffffff,0x007ffffd,
    0x43fffff2,0x0ffffffa,0x7fffd400,0x3ffffe5f,0xffffffff,0x880effff,
    0xffffffff,0xffffffff,0x73ffffff,0xffffffff,0xffffffff,0x200bffff,
    0x005ffffa,0x2ffe4000,0x000effa8,0x7ffe4400,0xffffffff,0xfffe882f,
    0xfd11ffff,0x01dfffff,0xfffffff1,0xff93dfff,0x03ffffff,0x3fffffee,
    0xffffffff,0xff88002e,0x0001ffff,0x3fffffe6,0x804fffff,0xffffffea,
    0x0fffffff,0x7fffec40,0xcfffffff,0x3ffff200,0x1fffffff,0x3fffffd0,
    0x3fffffe0,0xffffffff,0xf100ffff,0xffffffff,0xffffffff,0x7fccbfff,
    0x9000ffff,0xf87fffff,0x2206ffff,0x85ffffff,0x007ffffd,0x83fffff2,
    0x02ffffff,0x7ffffe40,0x3fffffe3,0xffffffff,0xf886ffff,0xffffffff,
    0xffffffff,0xf73fffff,0xffffffff,0xffffffff,0x2a00bfff,0x0005ffff,
    0xffffb100,0xfffffa8b,0xff500001,0xffffffff,0xfd05ffff,0xdfffffff,
    0xffffffb1,0xff881dff,0xffffffff,0xffffffff,0xfc80ffff,0xffffffff,
    0x1fffffff,0x7fffd400,0xf90004ff,0xffffffff,0x203dffff,0xfffffffa,
    0xffffffff,0x3fffea00,0xffffffff,0xff902fff,0xffffffff,0xfffd01ff,
    0x3ffe03ff,0xffffffff,0xefffffff,0xfffff880,0xffffffff,0x5fffffff,
    0x27ffffec,0x7ffffc40,0x6fffff87,0x3fffff20,0xffffd80f,0x3fff2007,
    0x3fff60ff,0x7f4005ff,0x3fe0ffff,0xffffffff,0xffffffff,0x7fffc44f,
    0xffffffff,0xffffffff,0xffff73ff,0xffffffff,0xffffffff,0x3ffea00b,
    0x8800005f,0x4ffffffe,0xfffffff1,0xffc80007,0xffffffff,0x642fffff,
    0xffefffff,0xefffffff,0x442fffff,0xffefffff,0xffffffff,0x83fffffe,
    0xfffffffc,0xffffffff,0x3ea000ef,0x005fffff,0xffffffd8,0xffffffff,
    0xffff986f,0xffffffff,0xf500ffff,0xffffffff,0xffffffff,0x359df901,
    0x9ffffd75,0x1fffffb0,0x3bffffe0,0xffda9999,0x902fffff,0x99999999,
    0xfffd9999,0xff987fff,0x6400ffff,0xf83fffff,0xf306ffff,0x205fffff,
    0x007ffffd,0x83fffff2,0x07fffffb,0x3ffffe60,0x2fffffc6,0x7fffe4c4,
    0x999986ff,0xfffe9999,0x99999aff,0xdddd5099,0xdddddddd,0xffffffdd,
    0x3ffea009,0x4c00005f,0xdfffffff,0x3ffffea0,0xf30004ff,0xffffffff,
    0x5ffffddd,0x2e5ffff8,0x0fffffff,0x88bfffd1,0x7fdc0bef,0xf30effff,
    0xff90dfff,0x2621357b,0x3ffffffc,0x3fffe200,0x7cc002ff,0x10aeffff,
    0x5ffffff5,0xefffffd8,0x7edcc40a,0xfffff880,0xffecdfff,0x985fffff,
    0x2ffff400,0x07ffffec,0x05fffff8,0x3fffffe2,0xff100004,0x360bffff,
    0x203fffff,0x07fffff8,0x20dfffff,0x04fffffe,0x01fffff6,0x0fffffc8,
    0x3fffffe2,0xffff7001,0xfffff87f,0x7fffd405,0x7ec000ff,0x0000ffff,
    0x7fffc400,0xff5001ff,0x40000bff,0xfffffffa,0xfffff304,0xe8001bff,
    0x1dffffff,0x7cc5d730,0x7ff40fff,0x7fd43fff,0x900a20ff,0xa83fffff,
    0x5d41ffff,0xffff7000,0xffb800bf,0xfd8005ff,0xf100efff,0x7c1fffff,
    0x002fffff,0x7ffffe40,0xfffd882f,0xd8001fff,0xffc86fff,0x3ffe07ff,
    0x7fd405ff,0x00006fff,0x1ffffffb,0x3ffffe60,0x3ffff207,0xfffff03f,
    0xfffff90d,0x7ffec01d,0x3ff2007f,0x7ff40fff,0xfb003fff,0xff83ffff,
    0xfe805fff,0x4001ffff,0x00fffffd,0x7fe40000,0x2a005fff,0x0005ffff,
    0xffffff90,0xffe8805f,0x000effff,0x5ffffff7,0xfff90400,0xfffff90d,
    0x2ffff883,0x7fffcc00,0x3ffff886,0xfffe8000,0xcb98006f,0xfffa8002,
    0x7fdc01ff,0xfff32fff,0x88000dff,0x02ffffff,0x37ffffec,0x3aaaa620,
    0xffc86fff,0x3ffe07ff,0x7fc405ff,0x80007fff,0x2ffffffb,0x7ffffec0,
    0xfffff883,0x3ffffe07,0x7ffffcc6,0x7ffec01f,0x3ff2007f,0x7fdc0fff,
    0xff006fff,0xfff0ffff,0xffb00bff,0xd8003fff,0x000fffff,0x3ffe2000,
    0x2aa61fff,0xffcaaaaa,0xaaaaaeff,0xffd802aa,0x001effff,0x3ffffff6,
    0xffff801f,0x3a0004ff,0xffa84fff,0xffff07ff,0xfff88007,0x9fffd04f,
    0xfffb0000,0x000000ff,0x0bffffd0,0x7fffff10,0x3fffffe6,0x3ff20002,
    0xf9804fff,0xb887ffff,0xfffffffe,0xfffb86ff,0x3fffe07f,0xffff805f,
    0x7c40007f,0x805fffff,0x87fffff9,0x03fffffc,0xd1bffffe,0x007fffff,
    0x00fffffb,0x07ffffe4,0x3fffffe6,0x7fffd400,0xfffff84f,0xffffd805,
    0x7fec000f,0x00000fff,0x3fffff20,0x7ffffe45,0xffffffff,0x7fffffff,
    0x3ffffa20,0xc8000eff,0x2fffffff,0x3ffffe60,0x3fe0000f,0xfff983ff,
    0x9fffd06f,0xffff8800,0x09fffd03,0xffff9000,0x0000001f,0x03fffff8,
    0x2bfffff0,0xfffffff8,0xffd8000c,0xfb001fff,0x7cc3ffff,0xffffffff,
    0xffb86fff,0x3ffe06ff,0x7fcc05ff,0x40006fff,0x0ffffffd,0xfffffb00,
    0x7ffffc45,0x7ffffc06,0x3fffff26,0xffffb006,0x7ffe400f,0xffff80ff,
    0x7fe402ff,0xfff82fff,0x7fc405ff,0xd8006fff,0x000fffff,0xffff1000,
    0xfffc83ff,0xffffffff,0xffffffff,0xffff307f,0x8000bfff,0xfffffffa,
    0xfffff503,0xfff80009,0xffff982f,0xfe99999d,0x333004ff,0x3337ffff,
    0x0bfffd33,0x332ea660,0x0fffffec,0x26666666,0x99999999,0x09999999,
    0x9bfffff1,0x99999999,0x74dfffff,0xffffffff,0xffd000be,0x7dc00dff,
    0xff32ffff,0xd557bfff,0xff50dfff,0x7ffc0bff,0x7fe405ff,0x20004fff,
    0x2ffffffb,0x3fffe600,0x3fffee6f,0x7fffc03f,0xfffff36f,0x3ff6001f,
    0x3f2007ff,0xfc80ffff,0x7404ffff,0xff07ffff,0xfc80bfff,0x8003ffff,
    0x00fffffd,0xfff70000,0xfff90dff,0xffffffff,0xffffffff,0xffff50ff,
    0x00007fff,0x3fffffe6,0xffffb85f,0x3e20003f,0xff882fff,0xffffffff,
    0xb505ffff,0xfffffffd,0xffffffff,0x6d40dfff,0xffffffff,0x10ffffff,
    0xffffffff,0xffffffff,0x29ffffff,0xfffffff9,0xffffffff,0x267fffff,
    0xffffffff,0x200befff,0x006fffff,0x4fffffea,0xd82ffffc,0xffa86fff,
    0x3ffe05ff,0x3fee05ff,0x0001ffff,0xbffffff1,0xffffb000,0x3ffffa5f,
    0xfffff806,0x5fffffd6,0x7fffec00,0xaaaaaaaf,0xffffdaaa,0xffffa80f,
    0x3ffe206f,0xffff05ff,0xffd310bf,0x2000bfff,0x00fffffd,0xffff0000,
    0xfff905ff,0xffffffff,0xffffffff,0xffffb8ff,0x00002fff,0x7fffff44,
    0x3fff60ef,0x260002ff,0xf882ffff,0xffffffff,0x445fffff,0xfffffffd,
    0xffffffff,0x85ffffff,0xffffffea,0xffffffff,0xffff10ff,0xffffffff,
    0xffffffff,0x3ffea9ff,0xffffffff,0xffffffff,0x7fffd47f,0xffffffff,
    0xffff884f,0x3fe6005f,0xfffd4fff,0x1bfff60f,0x80b33322,0x99efffff,
    0xffffeba9,0x360004ff,0x00ffffff,0xfffff980,0x3fffffad,0xefffff80,
    0x05fffffb,0x7ffffec0,0xffffffff,0xffffffff,0xffffff00,0x3fffee03,
    0xfffff02f,0xffffffff,0x001bffff,0x3fffff60,0xfb800000,0x0006ffff,
    0x00bffff5,0x7fffffec,0x2000001e,0xeffffffd,0x5fffffd1,0x7ffcc000,
    0xffff881f,0xffffffff,0x7fff44ff,0xffffffff,0xffffffff,0x7fd45fff,
    0xffffffff,0xffffffff,0xffffff10,0xffffffff,0xffffffff,0x3fffff29,
    0xffffffff,0x6fffffff,0xfffffd88,0xefffffff,0x3ffffe60,0x3ffe6005,
    0xffffb4ff,0x7fffec45,0xfff80006,0xffffffff,0x04ffffff,0x3fffee00,
    0x360002ff,0xffefffff,0xfff006ff,0xffffffff,0xffd8001d,0xffffffff,
    0xffffffff,0xffb00fff,0x3f607fff,0xff00ffff,0xffffffff,0x07ffffff,
    0xffffd800,0xf800000f,0x002fffff,0x0bffff50,0x3ffffe60,0x000004ff,
    0x7fffffcc,0xfffffb4f,0x7fcc0007,0xfff882ff,0xaaaaaaef,0x3ff21aaa,
    0xfbaacfff,0xaaaacfff,0x261aaaaa,0xefffffff,0xffdaaabc,0xfff10fff,
    0xffffffff,0xffffffff,0x3fee9fff,0xccccdfff,0xcccccccc,0x3ae203cc,
    0xffffffff,0x3ffe26ff,0x3ea005ff,0xff73ffff,0xfffdffff,0x6540dfff,
    0xffff00bd,0xffffffff,0x0005dfff,0x7fffffc4,0x7fcc0004,0xffffffff,
    0xfffff002,0x0dffffff,0xfffffb00,0xffffffff,0xffffffff,0x3fffea01,
    0xfffff05f,0x7ffffc0d,0xffffffff,0x001dffff,0x1fffffb0,0xffb80000,
    0x20006fff,0x005ffffa,0x3fffffa6,0x800000df,0xfffffffa,0x3ffffee3,
    0x3fe20004,0xfff982ff,0x7fc4006f,0x7fc41fff,0xfe8002ff,0x201dffff,
    0x10fffffc,0x99999999,0x99999999,0x25999999,0x02fffffa,0xeb980000,
    0xffffffff,0x1bffffe3,0xfffffb80,0xffffff11,0xdfffbfff,0x3fffff60,
    0xffffff82,0xefffffff,0xffd80000,0x0000efff,0xffffffd8,0x3fe006ff,
    0xfffeffff,0x7ec004ff,0xffffffff,0xffffffff,0xf100ffff,0xf50fffff,
    0x7c07ffff,0xffffffff,0xffffffff,0xfd8002ff,0x0000ffff,0x7fffff40,
    0x3fea0002,0x744005ff,0x0effffff,0x3fee0000,0x542fffff,0x006fffff,
    0x0bfffe20,0x01bfffe6,0x09ffff30,0x007ffff1,0xffffff88,0x7fffe400,
    0x0000000f,0x0fffffe2,0xb3000000,0x49ffffff,0x00fffffe,0x1fffffb0,
    0x7fffff4c,0x90dfff2f,0x1fffffff,0xfffffff8,0xefffffff,0x3fee0001,
    0x0002ffff,0xffffff30,0x7fc005ff,0xfff9efff,0x36002fff,0xcccfffff,
    0xeccccccc,0x200fffff,0x41fffffe,0x01fffffc,0x2bbffffe,0xfffccbaa,
    0x001fffff,0x07ffffec,0xfff50000,0xa8000dff,0x0005ffff,0xfffffffb,
    0xffb00003,0x303dffff,0x07ffffff,0x1ffffc00,0x07ffffd4,0x7ffff500,
    0x0bffff10,0xfffff980,0xffffd804,0x0000000f,0x037ffffc,0xfd800000,
    0x3f66ffff,0x8803ffff,0x507fffff,0x99883577,0xffffff80,0x7fffc3ff,
    0xfffdbaef,0x10006fff,0x09ffffff,0xfffd8000,0x7c006fff,0xffb6ffff,
    0x2001dfff,0x007ffffd,0x03fffff2,0x4fffffb8,0x037ffff4,0x017ffffe,
    0xdffffff5,0xffffd800,0x3a00000f,0x003fffff,0x2ffffd40,0xffff7000,
    0x20005fff,0xffffffe8,0xffff100e,0x20003fff,0xfc85ffff,0x2002ffff,
    0xa83ffffb,0x000fffff,0x17ffffea,0xffffff90,0x00020001,0x1ffffff4,
    0x54000000,0x2e5fffff,0x00ffffff,0x27ffffec,0x7fcc0000,0x45ffffff,
    0x4c5fffff,0x04ffffff,0xfffffd80,0xf9800006,0x002fffff,0x8b7ffffc,
    0x04ffffff,0x0fffffb0,0x7ffffe40,0x3fffe600,0x3fffe26f,0x7fffc04f,
    0xfffa805f,0x36001fff,0x000fffff,0xfffff500,0xff50000f,0xa8000bff,
    0x4fffffff,0x7fffcc00,0xfb805fff,0x04ffffff,0xfffb1e4c,0xfffffd0d,
    0x7ffdc00d,0x7fffc44f,0x3e6004ff,0xb00fffff,0x1fffffff,0x77fec400,
    0x7ffd4001,0x04002fff,0xffe80053,0x3fe23fff,0x901effff,0x01ffffff,
    0xfff10000,0xf89fffff,0xfa85ffff,0x001fffff,0x3fffffee,0xfd000001,
    0xf000ffff,0x7dcdffff,0x802fffff,0x007ffffd,0x03fffff2,0x1fffffd0,
    0x07ffffea,0x0bfffff0,0x3fffffa0,0x3fff6002,0xd00000ff,0x007fffff,
    0xbffff500,0xfff30000,0x001bffff,0xfffffff5,0x7fff4007,0xcdefffff,
    0x2a3fffec,0x3ea3ffff,0x04ffffff,0x7fffd451,0xffffd10e,0xb7107fff,
    0x7fffffc4,0xffeb88be,0x00ffffff,0x3fffffa0,0x7ffec000,0x309aefff,
    0x54bfb733,0x4409adff,0xffffffca,0x7ffffdc1,0xffdbcdff,0x6c3fffff,
    0xeeeeeeee,0x1eeeeeee,0x3ffffffe,0x7ffffc3f,0xfffffb05,0x3ffe200b,
    0x00004fff,0x1fffffa0,0x3ffffe00,0x7fffff46,0x7ffec00f,0x3ff2007f,
    0x7e400fff,0xffb3ffff,0xfff00fff,0x3f600bff,0x2003ffff,0x00fffffd,
    0xffffa800,0x880000ff,0x00009999,0xfffffd10,0x7fe401df,0x002fffff,
    0x7fffffcc,0xffffffff,0x3ffe23ff,0xffffcdff,0xccefffff,0x3fe26fec,
    0xfffdffff,0xffffffff,0x6c6ffedd,0xffffffff,0xffffffff,0xf5000fff,
    0x009fffff,0xffffff88,0xffffffff,0x3fea5fff,0xfeffffff,0x6fffffff,
    0xffffffd0,0xffffffff,0xfffd0dff,0xffffffff,0x7d43ffff,0xf86fffff,
    0xf305ffff,0x001fffff,0x0dfffffb,0xffe80000,0xff8007ff,0x7fcc6fff,
    0x6c05ffff,0x2007ffff,0x00fffffc,0xafffffcc,0x805fffff,0x005fffff,
    0x05fffffb,0x7ffffec0,0xffe80000,0x00004fff,0x36000000,0x1fffffff,
    0xffffffd8,0xff50001f,0xffffffff,0xd87fffff,0xffffffff,0xfffffaef,
    0x6c6fffff,0xffffffff,0xfffff8df,0x46ffffff,0xfffffff8,0xfaffffff,
    0x5000ffff,0x0bffffff,0xfffff500,0xffffffff,0x7fd4bfff,0xffffffff,
    0x0effffff,0xffffff30,0xffffffff,0xfffd01df,0xffffffff,0xfa83ffff,
    0xff80dfff,0x3fa05fff,0x5c04ffff,0x01ffffff,0x7ff40000,0xff8007ff,
    0xffc86fff,0x3602ffff,0x2007ffff,0x00fffffc,0x9ffffff8,0x802fffff,
    0x805fffff,0x1ffffff8,0x3ffff600,0x7d40000f,0x000fffff,0x00000000,
    0x7fffffe4,0xffffd12f,0x80001dff,0xffffffc8,0x3fffffff,0xffffffd8,
    0xffffb1ff,0x88dfffff,0xffffffff,0x3ffffea5,0xb86fffff,0xffffffff,
    0xfffd1fff,0x3fe6001f,0x0003ffff,0xffffffb1,0xffffffff,0x7ffffd4b,
    0xffffffff,0x64400eff,0xffffffff,0x3a03ffff,0xffffffff,0x1fffffff,
    0x7fc01530,0x3ea05fff,0x100fffff,0x09ffffff,0xffd00000,0xff000fff,
    0x3fa0dfff,0xb00fffff,0x400fffff,0x00fffffc,0xdfffffd8,0x800fffff,
    0x805fffff,0x07fffffd,0x7ffffec0,0x7ff40000,0x5c004fff,0xcccccccc,
    0xcccccccc,0x50000ccc,0x43ffffff,0x0dfffffd,0x3b660000,0xffffffff,
    0xfffb00ad,0xffb83dff,0x83efffff,0xdfffffd8,0x7ffff4c0,0xd103efff,
    0x9fffffff,0x07ffff41,0xdffffb00,0xffd50000,0xffffffff,0x7fecc59d,
    0xffffffff,0x4c001cff,0xfffffffd,0x000001de,0x3ffe0000,0x7ffc05ff,
    0xffb04fff,0x3333ffff,0x33333333,0xffe80033,0xff8007ff,0xff506fff,
    0x360bffff,0x2007ffff,0x00fffffc,0xffffffa8,0xf005ffff,0x4c0bffff,
    0x6ffffffd,0x7fffec00,0x3e60000f,0x000fffff,0x7ffffff4,0xffffffff,
    0x001fffff,0x07fffe60,0x0013fff6,0x2aaa2000,0x2e620019,0x55dd401a,
    0x1ba9800a,0x9abba980,0x57731000,0x5c000003,0x00000bed,0x555e5cc4,
    0x55531001,0x00135597,0x13773100,0x00000000,0x3ffffe00,0x7fffdc05,
    0x7ffd40ff,0xffffffff,0xffffffff,0x7ff4007f,0xff8007ff,0x3f606fff,
    0xd82fffff,0x2007ffff,0x00fffffc,0xffffff88,0xf003ffff,0xdddfffff,
    0xffffffdd,0xd8003fff,0x000fffff,0x3fffff60,0xfffe8004,0xffffffff,
    0xffffffff,0x7f440001,0x000ff601,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x05fffff8,0x7fffffc4,
    0x7ffffe43,0xffffffff,0x7fffffff,0x7ffff400,0xffff8007,0x3ffe206f,
    0x7ec0ffff,0x32007fff,0x000fffff,0xfffffffb,0x3fe001ff,0xffffffff,
    0xffffffff,0xffd8002f,0x30000fff,0x01ffffff,0xfffffd00,0xffffffff,
    0x03ffffff,0x30031000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffff8000,0xfffc805f,0x3ff20fff,
    0xffffffff,0xffffffff,0x7f4007ff,0xf8007fff,0x5c06ffff,0x45ffffff,
    0x007ffffd,0x03fffff2,0x7ffffdc0,0x3e006fff,0xffffffff,0xffffffff,
    0xffb0003f,0x20001fff,0x05fffffd,0xfffffd00,0xffffffff,0x03ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2fffffc0,0x7ffffcc0,0x3ffff23f,0xffffffff,
    0xffffffff,0x7fff4007,0xfff8007f,0xffe806ff,0x3f63ffff,0x32007fff,
    0x000fffff,0xfffffff1,0x7ffc009f,0xffffffff,0x00cfffff,0x3ffff600,
    0xff98000f,0x0001ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x005fffff,
    0x4ffffffb,0xfffffffc,0xffffffff,0x007fffff,0x03fffff4,0x37ffffc0,
    0x7ffffcc0,0xffffb0ff,0x7ffe400f,0x3fa000ff,0x01ffffff,0x3fffffe0,
    0xcceeffff,0xffb00002,0xb0001fff,0x00bfffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00ccc000,
    0x1004c400,0x77764013,0xeeeb805e,0x998000ee,0x00100001,0x565d4400,
    0x3bbb2001,0x7740003e,0xddd10eee,0xdddddddd,0x9ddddddd,0x17bbbba6,
    0x3bbba600,0x3bbbb24e,0x4eeeeeee,0xddddd500,0x3baa005d,0x44005eee,
    0x20009999,0x00eeeeea,0x77777764,0x26666001,0x00000000,0x35775100,
    0x00002000,0x56665d44,0xaa88000a,0x001001aa,0x2e200031,0x2a6001bd,
    0x00009bcb,0x00e6664c,0x45dddd90,0xefffffc8,0x27ddd703,0x41efffd8,
    0xd83ffffc,0xc807ffff,0xd90fffff,0x7e441ddd,0x002effff,0x3bfffb2a,
    0xfec8001c,0x1dffffff,0x2ffffe40,0xffff1000,0x7ffffccf,0xffffffff,
    0x3e5fffff,0x002fffff,0x17ffffec,0xfffffffb,0x400dffff,0x0ffffffe,
    0x7ffffc40,0x7fd4002f,0x3ee006ff,0x2e00ffff,0x03ffffff,0x13fffe20,
    0x0007ea00,0x3f6601d7,0x3effffff,0x8033f200,0xfffd03f9,0x3bffffff,
    0xffff9100,0x05ea809f,0x0007fee2,0x09ffffd1,0xffffffa8,0xb0000dff,
    0x400dffff,0xf53ffffd,0xffffffff,0x19fff909,0x4dfffffd,0x4ffffffd,
    0x03ffffec,0x87ffffe4,0xf71ffffd,0xffffffff,0xfffd8809,0x0cffffff,
    0xffffe980,0x3fffffff,0x1bfffee0,0xffff9800,0x3ffffe66,0xffffffff,
    0x2e5fffff,0x005fffff,0x1fffffe2,0xfffffffb,0x400dffff,0x5ffffff8,
    0x7ffffec0,0xfffa8004,0x3fee006f,0xff500fff,0x8009ffff,0x003ffff8,
    0x800fffd4,0x3220effb,0xffffffff,0xf9805fff,0xfe80cfff,0x7fffc3ff,
    0xffffffff,0xffff9301,0x3aa09fff,0xffb83fff,0x7ec006ff,0x883fffff,
    0xfffffffd,0x4003ffff,0x3ffffffa,0x7ffffb00,0xfffffff7,0xfc8bffff,
    0xffffcdff,0xfffbafff,0x360fffff,0xc807ffff,0xfb0fffff,0xfff93fff,
    0xffffffff,0x3fffe209,0xffffffff,0x7fffe406,0xffedbcdf,0xffa80eff,
    0x2a0007ff,0x3e65ffff,0xffffffff,0xffffffff,0x3fffe25f,0xff5000ff,
    0xffd89fff,0xffffffff,0x7fd4006f,0xf503ffff,0x000dffff,0x01bfffea,
    0x0fffffb8,0xffffff98,0xffff0005,0x7ffd4005,0x7fdc00ff,0xfff30eff,
    0xffffffff,0xffe809ff,0xfffc85ff,0x3fffe0ff,0xffffffff,0x7fffecc7,
    0x704fffff,0xa81fffff,0x003fffff,0x3ffffffe,0xfffffd87,0xffffffff,
    0x3fffa001,0xd800ffff,0xfffeffff,0xffffffff,0x3fff20ff,0xfffffffe,
    0xffffffef,0x3ff64fff,0xffc807ff,0xfffb0fff,0xffffffbf,0x1fffffff,
    0xffffffb0,0x7ffffffd,0x0bfffee0,0x86fffd88,0x00fffff9,0x9ffff700,
    0x7fffffcc,0xffffffff,0x7ec3ffff,0xb003ffff,0xb83fffff,0xffcccccc,
    0xd8006fff,0x40ffffff,0x1ffffff8,0xffff5000,0x7ffdc00d,0x7ff440ff,
    0x2d805fff,0x442ffff8,0xfffff81e,0xfff700ff,0x7fe43fff,0xffffffff,
    0x3fee06ff,0x7fcc0fff,0x677c1fff,0xffffcaab,0x3ffe61ff,0x4fffffff,
    0x1bffffa0,0x03fffff2,0x7fffffc0,0x3ffea2ff,0xffcbcdff,0xf9006fff,
    0xbffffdff,0xfffffb00,0xf97dffff,0x649fffff,0xaeffffff,0xfffffffe,
    0x25ffffca,0x807ffffd,0xb0fffffc,0xffffffff,0xfffffbff,0xfffb89ff,
    0x3ff222ef,0x7fcc0fff,0xeeeee9df,0x9fff70bd,0x03fffff0,0x3ffff200,
    0xfff10002,0xff50bfff,0xf100dfff,0x800dffff,0x006fffff,0xfffffe88,
    0x7ffffec5,0x3fea0004,0x3ee006ff,0x7f40ffff,0x400effff,0x3fa0dffa,
    0x17fea1ff,0x3fffffe6,0x7fffdc0f,0x0aee82ff,0x3fffffea,0xfffff880,
    0x7ffff443,0x3fee0084,0x7ff42fff,0x4fffffef,0x3ffffe20,0x7ffff443,
    0xffffb005,0x7ffc7fff,0xfff883ff,0x7fc402ff,0xffffbaff,0x7fffec02,
    0x7cc2efff,0x3f27ffff,0x3ea6ffff,0xf10fffff,0x7fecdfff,0xffc807ff,
    0xfffb0fff,0xb87dffff,0x746fffff,0xfd01ffff,0xffe83fff,0xffffff16,
    0x3ffee1ff,0x17ffff41,0x6404cccc,0x8001ffff,0xefffffe8,0xffffff00,
    0xffffb803,0x7ffc003f,0xf30006ff,0x2a7fffff,0x006fffff,0x37fffd40,
    0xfffff700,0x7ffffec1,0xfffe800e,0x21fffb1e,0x982ffffd,0x0fffffff,
    0x5ffffff7,0xfffe8020,0xfffe80ff,0xffffc85f,0xfffa8006,0xf2efb87f,
    0xb809ffff,0x4c0fffff,0x802fffff,0xfffffff9,0x0dffff14,0x027fffe4,
    0xfe9bfff6,0x3f600eff,0x01ffffff,0x64fffffd,0x262fffff,0x7c4fffff,
    0x3ff67fff,0xffc807ff,0xfffb0fff,0x3e01ffff,0x7fc7ffff,0x3ff205ff,
    0x3ffee2ff,0xfd9fff11,0x37ff4bff,0x10fffff6,0xfb0bffff,0xb0001fff,
    0x03ffffff,0x27ffffe4,0x3fffffa0,0x7fffc000,0x3ee0006f,0xff9fffff,
    0x0000ffff,0x037fffd4,0x1fffff70,0x3fffffee,0xffffb800,0x9fffcbff,
    0x06fffffe,0xfffffff3,0x5ffffff9,0xffff1000,0xffff70df,0xffffa81f,
    0x7fd4001f,0x42885fff,0x804fffff,0xc86ffffd,0x800effff,0x3ffffffa,
    0x407ffff5,0x205ffff9,0x2a1ffffa,0x3604ffff,0x02ffffff,0x43ffffee,
    0x4c6ffffc,0x7c0fffff,0x3ff67fff,0xffc807ff,0xfffb0fff,0x7ec03fff,
    0xff10ffff,0x7fcc07ff,0x93ff64ff,0x3fea6ff8,0xc83ffe66,0x7dc5ffff,
    0x7f40ffff,0xfb8007ff,0x402fffff,0x07fffff8,0x13ffffe6,0x3ffffe00,
    0x7ff40006,0xffffffff,0xfa80003f,0x2e006fff,0xfa8fffff,0x001fffff,
    0xffffff91,0xffffffff,0x7cc05bff,0xffffffff,0xb0002fff,0x887fffff,
    0x442fffff,0x803fffff,0xffffffee,0xfff000df,0xff1009ff,0xffd07fff,
    0x3f6009ff,0xff72ffff,0xfff805ff,0x3fffa06f,0x1ffffe85,0x7fffffb0,
    0xfffffb80,0x85ffff91,0xf85ffff9,0x3ff67fff,0xffc807ff,0xfffb0fff,
    0xffc805ff,0xfff30fff,0x7ffc407f,0x88bffa4f,0x1bfea6ff,0x7fdc5fff,
    0x7fff46ff,0x7fffc2ff,0x7ffcc006,0xfb004fff,0x3205ffff,0x001fffff,
    0x06fffff8,0x7fffc400,0x05ffffff,0x33333330,0x3dffff73,0x13333333,
    0x2bffffee,0x02ffffff,0xffffb880,0xffffffff,0xfff3001d,0x5fffffff,
    0x3fff6000,0xfffd86ff,0xffffd85f,0xfffff005,0x4003bfff,0x004fffff,
    0x83fffff5,0x01fffff9,0x0fffffb8,0x409ffff5,0x705ffff9,0xf301ffff,
    0x3f60dfff,0xa8807fff,0xff90aaaa,0xfff985ff,0x7ffff84f,0x01fffff6,
    0x43fffff2,0x807ffffd,0x10fffffb,0x5c0dffff,0xff12ffff,0x4f7fc41f,
    0x7ec3ffeb,0x3fffea3f,0x3ffffe27,0x3fffe25f,0x3ffe2005,0x2a006fff,
    0xf05fffff,0x000dffff,0x01bffffe,0x3fffea00,0x800fffff,0xfffffff8,
    0xffffffff,0x4fffffff,0xfffffff7,0x0007ffff,0xfffffd70,0x300019ff,
    0xffffffff,0xffb10005,0xf883ffff,0x7c42ffff,0xf003ffff,0xffffffff,
    0xfff003df,0x3e2009ff,0x7c42ffff,0xc803ffff,0x3e67ffff,0x3f207fff,
    0xff884fff,0x3ff204ff,0xfffd82ff,0xfc80007f,0x7fcc2fff,0xffff84ff,
    0x1fffff67,0x3fffff20,0x0fffffb0,0x1fffff70,0x807ffffc,0xf31ffffd,
    0xffff88ff,0xffb83eff,0x9ffffe65,0xfffffffb,0x09ffff10,0x7ffffec0,
    0x7ffc000f,0x7fcc0fff,0xf0003fff,0x000dffff,0x3fffff60,0xff1002ff,
    0xffffffff,0xffffffff,0x3ee9ffff,0xffffffff,0xa80002ff,0xfffffffe,
    0xff90000c,0x003fffff,0xfffffe88,0xffff701f,0xffffb81f,0xeccc800f,
    0x6ffffffe,0x4fffff80,0xbffffb00,0x0dffffb0,0x5ffffd10,0x0fffffc4,
    0x17ffff44,0x007fffec,0x81fffff1,0x007ffffd,0x2ffffc80,0x427fffcc,
    0x3f67ffff,0xfc807fff,0xffb0ffff,0xff700fff,0x7ff41fff,0x7fcc0cff,
    0xfff30fff,0xffffff88,0x45ffb80e,0xfb0fffff,0x27ffffff,0x003ffff9,
    0x5ffffff9,0xffff9000,0xffffc85f,0xfff0000f,0x20000dff,0xfffffffc,
    0xffff1002,0xffffffff,0xffffffff,0x3ffee9ff,0xfffffcff,0xfb88001f,
    0xffffffff,0x2001dfff,0xfffffffb,0xfd1001ff,0x801dffff,0xd85ffffe,
    0x0005ffff,0x3fffffb1,0x4fffff80,0xfffffb80,0x7ffffd40,0x7fff4c01,
    0xffffd84f,0xffea9abf,0xfff986ff,0xfffb803f,0x7fffec4f,0xffc80007,
    0x7ffcc2ff,0x7ffff84f,0x01fffff6,0x43fffff2,0x807ffffd,0x20fffffb,
    0xcffffffa,0x2fffffca,0xf883ffe2,0x84ffd8ef,0x7ffc3ffd,0xffff8aff,
    0xff56ffff,0xff5005ff,0x0007ffff,0x97ffffe6,0x05fffff8,0x3ffffe00,
    0xffa80006,0x0fffffff,0xfffff880,0xffffffff,0xffffffff,0xfffff74f,
    0xdfffffd1,0x3ff22001,0xffffffff,0x1dffffff,0x7ffffdc0,0x01ffffff,
    0x7fffffcc,0xffff3004,0xffff885f,0xff50003f,0xff809fff,0x7cc04fff,
    0x7c42ffff,0xcb83ffff,0xeffffffc,0xfffff880,0xffffffff,0x6fffe81f,
    0x3ffffa00,0x1fffff61,0x3fff2000,0x7fffcc2f,0x27ffff84,0x807ffffd,
    0xb0fffffc,0x700fffff,0xd81fffff,0xffffffff,0xfe86ffff,0x45bfe22f,
    0x7ff40fff,0x57fffec1,0xffcffffb,0xffffc8ff,0x7fffc401,0x6c0005ff,
    0xf50fffff,0x0005ffff,0x037ffffc,0x3fffe200,0x06ffffff,0xcccccc88,
    0xfffffdcc,0xcccccccc,0x1fffff72,0xbffffff1,0x3ffff200,0x9fffcbff,
    0x06fffffe,0x3fffffee,0x0fffffff,0xffffff50,0x5555555b,0x1fffff90,
    0x1fffffb8,0xffffb800,0x7fffc03f,0x7fff404f,0xffffd85f,0xffffff06,
    0x7d401bff,0xffffffff,0xffb83fff,0x3ea002ff,0x3ff66fff,0xc80007ff,
    0x7cc2ffff,0xfff84fff,0x3ffff67f,0xffffd807,0xfffffb0f,0xfffff700,
    0xffffe881,0x0dffffff,0x3e24ffd8,0x993ff66f,0x7fe40fff,0xcfffdbff,
    0xfcbffffa,0xffe807ff,0x0000efff,0x9fffffd4,0x006ffffd,0x37ffffc0,
    0x3fffa000,0xffffffff,0xffa80004,0x3ee006ff,0xff50ffff,0x1009ffff,
    0x363dffff,0xffd88fff,0xfff702ff,0xfff35fff,0xf981ffff,0xffffffff,
    0x885fffff,0xd85ffffe,0x6d46ffff,0xfdbaabcc,0x3e1fffff,0xffffffff,
    0x325fffff,0x540fffff,0xf01fffff,0x03dfffff,0x3ffff620,0x501effff,
    0x50005555,0x3f615555,0x80007fff,0x4c2ffffc,0xff84ffff,0x3fff67ff,
    0x3ff200ff,0xffb0ffff,0xff700fff,0x3f201fff,0x3fffffff,0x447ffee0,
    0x3ffea6ff,0xf70dffd0,0xffffbfff,0xbdffff15,0xfd80ffff,0x001fffff,
    0xdfffff00,0x07fffff1,0xfffff800,0x3ff20006,0xfffbdfff,0x40001fff,
    0x006ffffa,0x83ffffee,0x2ffffffc,0x20dffa80,0x3ea1fffe,0xffff706f,
    0x7ffcc5ff,0x3ea0ffff,0xffffffff,0x505fffff,0x885fffff,0x2e4fffff,
    0xffffffff,0x7c4fffff,0xffffffff,0xf35fffff,0xf885ffff,0x3e04ffff,
    0x0002cdef,0x579dd973,0x80000000,0x007ffffd,0x2ffffc80,0x427fffcc,
    0x3f27ffff,0xf702ffff,0x21ffffff,0x807ffffd,0x00fffffb,0x06b32a62,
    0xf8b7ff40,0x5dfff46f,0xffa81fff,0x0fffffff,0xfffffffb,0x7ffdc0bf,
    0x00003fff,0x33fffff2,0x000fffff,0x37ffffc0,0xffffa800,0xffffd0ff,
    0x540001ff,0x2006ffff,0x40fffffb,0x1ffffffd,0xffe82d80,0x5c0f441f,
    0x82ffffff,0xfffffff9,0xffffff50,0xffffffff,0x7fffec0b,0x7fffdc0f,
    0xfffff70f,0x9fffffff,0xfffffff0,0xbfffffff,0x213ffff2,0x406ffffc,
    0x00000001,0xb0000000,0x000fffff,0x85ffff90,0xf84ffff9,0x3fee7fff,
    0x7dc45fff,0x0fffffff,0x00fffffb,0x01fffff7,0x7fc40000,0xff7000df,
    0x3ffe609f,0x2a5fffff,0xffffffff,0xfffff304,0x980000bf,0xffffffff,
    0xf80005ff,0x8006ffff,0x3ffffff8,0x3fffffe2,0x3fea0005,0x3ee006ff,
    0x7c40ffff,0x00efffff,0x05ffff00,0x7fffff40,0x3fffe602,0xffff51ff,
    0xffffffff,0x7fc40bff,0x7ffb01df,0x7ffffdc1,0x01cfffff,0xffffffff,
    0x4bffffff,0x3aa06fd9,0x000001ff,0x00000000,0xffffb000,0xff90000f,
    0xfff985ff,0x7ffff84f,0x3fffffea,0xfffffcbf,0xfb0fffff,0xf700ffff,
    0x0001ffff,0xffffb800,0x3fffa603,0x3fffe206,0x3e22ffff,0x3fffffff,
    0xffffff88,0xffffffff,0xd006ffff,0xffffffff,0x5553005f,0xffff5555,
    0x555555df,0x3ffffa03,0xffffb85f,0xf50003ff,0x5c00dfff,0xa80fffff,
    0x05ffffff,0x3ffff880,0x3fffa200,0xffff9802,0x26666621,0x99999999,
    0x00e5c009,0x2aa202e2,0x01aabccc,0x99999998,0x09999999,0x03b801a8,
    0x00000000,0x20000000,0x007ffffd,0x2ffffc80,0x427fffcc,0x7f47ffff,
    0xffffffff,0xffffefff,0xfffffb0f,0xfffff700,0x777776c1,0xeeeeeeee,
    0xfff701ee,0xffb99dff,0xf801dfff,0x0fffffff,0x7fffffec,0xffffb82f,
    0xffffffff,0x06ffffff,0xffffff50,0x3f200fff,0xffffffff,0xffffffff,
    0xfffc84ff,0xffb00fff,0x0003ffff,0x00dffff5,0x07ffffdc,0xffffffc8,
    0x7ffc4004,0x7f44004f,0x07fe6002,0x00000000,0x00000000,0x00000000,
    0x00000000,0xd8000000,0x0007ffff,0x42ffffc8,0xf84ffff9,0x7fd47fff,
    0xffffffff,0xffffe8ff,0x0fffffb0,0x1fffff70,0x7ffffff4,0xffffffff,
    0x3ffa601f,0xffffffff,0xfffb003f,0xff50bfff,0x703fffff,0xffffffff,
    0xffffffff,0x7fc00dff,0x04ffffff,0xffffff90,0xffffffff,0xa89fffff,
    0x02ffffff,0x3fffffe2,0xfffa8006,0x3fee006f,0x3f600fff,0x002fffff,
    0x0004cccc,0x0cc00144,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x007ffffd,0x2ffffc80,0x427fffcc,0xfc87ffff,0xffffffff,
    0x1ffffd1e,0x01fffff6,0x83ffffee,0xfffffffe,0xffffffff,0xfffeb801,
    0x000dffff,0x3ffffff2,0xfffff883,0xfffb80ff,0xffffffff,0x6fffffff,
    0x3ffff200,0xf9001fff,0xffffffff,0xffffffff,0x7ffc49ff,0xfb805fff,
    0x004fffff,0x037fffd4,0x1fffff70,0x7ffffc40,0x000001ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3f600000,0x80007fff,
    0x4c2ffffc,0xff84ffff,0xfff507ff,0xfe89ffff,0xfffb0fff,0xfff700ff,
    0x7fff41ff,0xffffffff,0x4001ffff,0x0000abb9,0x1ffffff7,0x3fffff60,
    0xfffff707,0xffffffff,0x00dfffff,0x7fffffcc,0x3fff2006,0xffffffff,
    0xffffffff,0x3fffffa4,0xfffb000f,0x54005fff,0x2005eeee,0x00fffffb,
    0x7fffffcc,0x0000000e,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffb0000,0xf90000ff,0xff985fff,0xffff84ff,0x0d5d4407,
    0x7fffec00,0xffffb807,0x0000000f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x99999700,0x99999999,0x01999999,0x33100000,0x99981333,
    0x01880199,0x20000000,0x19999998,0x44037500,0x333100ba,0x98001333,
    0x262002cb,0x99999999,0xffff0999,0xffffffff,0xffffffff,0x05ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffffffe8,0xffffffff,0xf91fffff,
    0xffffffff,0xffffffff,0x3ff21fff,0x7ffc2fff,0xfdb307ff,0x00005dff,
    0x7ffcc000,0x4402ffff,0xf983fffe,0xfe882fff,0x803fffff,0x0effffd8,
    0xfffffa80,0x5fffffff,0xffffffff,0xffffffff,0xffffffff,0x000005ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffe80000,0xffffffff,0xffffffff,0xfffff91f,
    0xffffffff,0x1fffffff,0x0bfffff2,0x50ffffff,0xffffffff,0x6665401b,
    0x7cc0000c,0x00efffff,0x1fffffc8,0x03fffff4,0x7ffffff9,0xfffffc80,
    0xfffa806f,0xffffffff,0xffffff5f,0xffffffff,0xffffffff,0x0005ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xe8000000,0xffffffff,0xffffffff,0xfff91fff,
    0xffffffff,0xffffffff,0x3fffee1f,0x7ffff41f,0x7ffffcc6,0x00efffff,
    0x001ffff9,0x7ffffcc0,0x3ffa004f,0x7ffc3fff,0x3ea01fff,0x103fffff,
    0xffffffff,0xffffa805,0xffffffff,0xfffffff5,0xffffffff,0xffffffff,
    0x00005fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xed800000,0xeeeeeeee,0xeeeeeeee,
    0xffff91ee,0xffffffff,0xffffffff,0x3ffffee1,0x37ffff41,0x3ffffff6,
    0x80efffff,0x0007fffd,0x3fffffe6,0x7ffec002,0x7fffc2ff,0x7f4400ff,
    0xfa83ffff,0x4fffffff,0x777774c0,0x4eeeeeee,0x99999999,0x99999999,
    0x99999999,0x00000399,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x33332a00,
    0xcccccccc,0xfffffccc,0x1fffff50,0x25ffffd8,0xeffffff8,0x1fffffff,
    0x01ffffe2,0x7ffffcc0,0xff98001e,0xfffb86ff,0x3ff2005f,0x7fd43fff,
    0x04ffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3a000000,0xff50ffff,0xffd81fff,0x3ffee5ff,0x3fffa64f,0xfffcdfff,
    0xf98004ff,0x0004ffff,0xb80676cc,0xfa8003ee,0x3e23ffff,0x2fffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0xf30ffffe,0xff90ffff,0x7ffe49ff,0x7fff440f,0xffffffff,0x0000001f,
    0x00000000,0x3fff2000,0x00005fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fff4000,0xfffff30f,0x49ffff90,0xd107fffd,
    0xffffffff,0x00000dff,0x00000000,0xff900000,0x00001bff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2aaaaa00,0xaaaaaaaa,0x0aaaaaaa,
    0xfffd0000,0x3fffe21f,0x3ffffb86,0xb017bbb6,0xffffffff,0x0000001d,
    0x00000000,0x2ee60000,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0xfffffffe,0xffffffff,0x0001ffff,0x41ffffd0,0xfb86ffff,
    0x40003fff,0x4fffffea,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ffffa00,0xffffffff,0x1fffffff,
    0xfffd0000,0x2ffffc1f,0x017fffd4,0x00aa9800,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfffffe80,
    0xffffffff,0x01ffffff,0x99900000,0x99993079,0x00000003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fffffa0,0xffffffff,0x01ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_48_latin_ext_x[560]={ 0,9,5,0,2,0,0,9,6,5,3,1,4,5,
8,1,1,2,2,3,0,3,2,2,2,1,8,5,2,3,4,6,0,0,3,1,2,4,4,1,2,3,4,3,
4,1,2,0,3,0,3,2,1,2,0,0,0,0,2,7,2,6,1,0,0,2,3,3,1,2,0,1,3,3,
2,3,3,1,3,1,3,1,4,3,1,3,0,0,0,0,3,3,10,5,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,9,2,1,0,0,
10,2,0,0,5,2,2,5,1,0,4,2,5,5,0,3,1,8,9,5,4,3,0,0,0,3,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,3,3,0,0,
0,0,0,0,0,3,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,3,0,
0,0,0,0,0,2,0,0,1,0,1,0,1,0,-1,0,0,1,0,0,0,0,0,0,4,2,0,0,1,0,
1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,3,3,0,3,2,2,0,0,3,3,3,0,0,4,
3,-6,-4,3,1,0,3,0,0,2,3,0,0,0,2,3,0,0,0,0,0,0,0,0,-1,0,3,4,-1,0,
0,0,0,0,2,3,0,0,1,1,0,-4,1,0,0,0,0,0,0,0,0,0,0,0,2,3,0,0,0,0,
0,0,0,0,0,0,0,6,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,-5,-2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,2,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__consolas_bold_48_latin_ext_y[560]={ 35,1,1,4,-1,1,2,1,0,0,1,10,26,19,
26,1,3,4,3,3,4,4,4,4,3,3,10,10,8,15,8,1,1,4,4,3,4,4,4,3,4,4,4,4,
4,4,4,3,4,3,4,3,4,4,4,4,4,4,4,0,1,0,4,40,1,10,1,10,1,10,1,10,1,0,
0,1,1,10,10,10,10,10,10,10,3,11,11,11,11,11,11,0,-4,0,16,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,35,10,-1,3,4,4,
-4,1,1,3,3,12,19,19,1,2,1,6,1,1,1,11,1,17,35,1,3,12,1,1,1,10,-5,-5,-5,-5,
-5,-6,4,3,-5,-5,-5,-5,-5,-5,-5,-5,4,-5,-5,-5,-5,-5,-5,11,-1,-5,-5,-5,-5,-5,4,1,1,1,
1,1,1,-2,10,10,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,9,6,1,1,1,1,1,1,1,
-4,2,-5,1,4,10,-5,1,-5,1,-5,1,-5,1,-5,0,4,1,-4,2,-5,1,-5,1,4,10,-5,1,-5,1,
-5,1,-5,1,3,0,-5,-6,4,1,-5,1,-4,2,-5,1,4,0,-5,11,4,1,-5,1,4,1,11,-5,-6,4,
1,0,0,4,1,4,1,-5,1,4,10,-5,1,-2,4,10,-4,2,-5,1,-5,1,3,10,-5,1,4,10,-5,1,
-5,1,-5,1,3,10,-5,1,4,3,-5,0,4,3,-5,1,-4,2,-5,1,-6,-2,-5,1,4,11,-5,1,-5,1,
-5,-5,1,-5,1,-5,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-11,-8,-5,1,-5,-1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,3,10,4,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static unsigned short stb__consolas_bold_48_latin_ext_w[560]={ 0,8,17,26,23,27,28,8,16,16,21,24,14,16,
10,23,25,22,22,21,26,21,23,22,22,23,10,13,20,21,20,17,27,27,22,23,24,19,19,24,23,20,18,23,
20,25,23,26,22,27,23,22,24,23,27,26,27,27,22,13,23,13,24,27,17,22,22,20,23,22,25,24,21,21,
20,23,21,25,21,24,22,23,21,20,22,21,26,27,26,26,20,19,6,18,25,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,0,8,20,24,26,26,
6,23,22,27,17,22,22,16,24,20,18,22,16,16,25,23,24,10,8,16,18,21,27,27,27,17,27,27,27,27,
27,27,27,23,23,24,23,23,23,24,23,23,26,25,26,26,26,26,26,22,26,25,25,25,25,27,22,23,24,25,
24,24,24,24,26,20,24,25,24,24,24,25,24,24,24,24,25,25,25,25,25,24,24,24,25,24,24,26,22,26,
27,24,27,24,27,22,25,26,23,23,23,23,23,23,27,31,26,26,23,24,23,24,23,24,20,22,23,24,24,25,
24,25,24,25,24,25,25,24,26,23,23,24,23,24,23,24,21,22,23,21,23,23,22,22,23,23,23,24,24,20,
21,30,31,24,30,24,21,25,25,23,21,25,24,24,23,21,26,25,26,25,28,28,26,26,27,25,23,21,27,25,
24,25,24,23,22,20,24,23,24,22,25,30,24,23,25,24,25,24,25,24,25,24,28,28,23,22,26,27,27,26,
27,24,25,24,23,24,23,19,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,25,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,27,24,27,26,31,27,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,22,20,24,22,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24, };
static unsigned short stb__consolas_bold_48_latin_ext_h[560]={ 0,35,13,31,42,35,34,13,45,45,22,24,18,6,
10,40,33,31,32,33,31,32,32,31,33,32,26,34,28,15,28,35,44,31,31,33,31,31,31,33,31,31,32,31,
31,31,31,33,31,41,31,33,31,32,31,31,31,31,31,45,40,45,16,5,11,26,35,26,35,26,34,35,34,35,
45,34,34,25,25,26,35,35,25,26,33,25,24,24,24,34,24,45,49,45,12,31,31,31,31,31,31,31,31,31,
31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,0,35,42,32,31,31,
49,40,11,33,25,20,13,6,24,10,17,29,20,20,11,34,40,10,7,20,25,20,34,34,34,35,40,40,40,40,
40,41,31,39,40,40,40,40,40,40,40,40,31,40,41,41,41,41,41,22,42,41,41,41,41,40,31,35,35,35,
35,35,35,38,26,32,35,35,35,35,34,34,34,34,35,34,35,35,35,35,35,26,35,35,35,35,35,44,44,44,
39,34,40,35,41,35,41,35,41,35,41,35,41,35,40,36,31,35,39,34,40,35,40,35,41,35,40,35,41,44,
41,44,41,44,42,45,40,41,31,34,40,34,39,33,40,34,41,45,40,24,32,44,41,44,41,44,24,40,41,41,
44,35,35,31,34,31,34,40,34,41,35,40,34,37,41,35,40,34,41,35,41,35,33,26,40,34,41,35,40,34,
41,35,41,35,39,32,41,35,41,42,40,36,31,33,41,35,40,34,41,35,42,38,41,35,41,34,40,34,40,44,
40,40,34,40,34,40,34,34,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,40,31,31,31,
31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,
31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,
31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,
31,31,31,31,31,31,31,31,31,31,46,44,40,35,46,42,31,31,31,31,31,31,31,31,31,31,31,31,31,31,
31,31,31,31,31,31,31,31,31,31,42,35,41,42,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,
31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,
31,31,31,31,31,31, };
static unsigned short stb__consolas_bold_48_latin_ext_s[560]={ 511,502,46,372,195,1,107,498,75,168,311,
262,452,490,157,79,478,446,222,456,469,200,309,200,1,264,496,496,246,1,267,
283,272,276,152,409,176,156,201,357,100,304,245,76,325,346,399,382,423,320,1,
433,175,176,124,249,221,48,25,232,55,115,486,189,139,363,436,288,311,411,218,
346,183,154,185,96,171,23,71,455,288,412,1,434,128,49,186,137,235,205,165,
148,1,129,64,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,
49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,511,501,174,
151,430,129,8,432,116,49,480,373,23,490,112,168,467,223,356,396,90,159,414,
498,502,413,93,430,477,449,421,328,237,404,157,51,376,255,101,466,254,205,181,
342,79,351,301,277,457,325,224,122,307,407,228,333,73,173,1,460,434,306,26,
130,105,79,54,29,485,49,336,357,435,409,384,359,71,21,1,26,231,396,181,
155,129,103,77,386,52,27,1,484,459,402,352,475,390,193,290,288,126,240,49,
213,283,162,477,443,348,335,27,99,403,186,442,146,366,263,318,313,334,364,213,
387,154,300,203,326,199,246,149,206,439,355,74,47,334,346,418,24,230,82,27,
92,130,213,333,451,75,1,149,24,287,265,55,105,429,176,256,1,51,484,232,
251,294,98,232,482,371,74,486,490,103,120,380,338,1,467,77,309,278,268,179,
395,103,320,80,417,30,371,1,288,423,207,398,219,456,131,378,104,372,207,1,
304,294,460,100,24,448,254,270,136,154,329,358,375,386,465,278,1,254,26,244,
1,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,131,
49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,
49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,
49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,
49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,
49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,
49,49,49,47,48,185,301,15,242,49,49,49,49,49,49,49,49,49,49,49,
49,49,49,49,49,49,49,49,49,49,49,49,49,126,490,398,219,49,49,49,
49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,
49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,
49,49,49,49,49,49,49,49,49, };
static unsigned short stb__consolas_bold_48_latin_ext_t[560]={ 1,1,568,478,51,338,409,510,1,1,542,
542,542,252,568,221,409,478,444,409,478,444,444,510,444,444,478,338,510,568,510,
338,1,478,510,409,478,478,478,409,510,478,444,510,478,478,478,409,478,51,510,
409,510,444,510,478,478,510,510,1,180,1,542,568,568,510,262,510,302,510,374,
338,409,338,1,374,374,542,542,510,302,262,542,510,444,542,542,542,542,409,542,
1,1,1,568,478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,
478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,1,51,51,
444,443,478,1,138,568,444,510,542,568,252,542,568,542,510,542,542,568,409,180,
524,37,542,542,542,374,374,374,338,221,138,221,221,138,96,478,221,180,180,180,
221,180,138,138,138,443,138,138,138,96,96,96,542,51,138,138,96,96,180,478,
338,338,338,338,338,302,262,510,443,302,302,302,302,374,374,409,409,302,374,302,
302,302,302,302,510,302,302,302,262,262,1,1,1,221,374,221,262,96,262,138,
262,96,262,51,338,51,302,180,262,443,262,221,374,221,262,221,262,96,262,221,
262,96,1,96,1,138,1,51,1,180,96,478,374,180,374,221,444,180,409,138,
1,180,542,444,1,138,51,138,51,542,221,96,96,1,338,302,478,409,443,409,
138,374,138,338,138,374,262,96,180,180,374,96,262,96,338,444,510,180,374,96,
338,221,374,96,338,96,338,262,444,51,302,51,51,138,262,443,444,51,338,180,
409,51,302,51,262,51,338,51,409,180,409,180,1,180,180,409,221,409,221,374,
374,478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,221,
478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,
478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,
478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,
478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,
478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,
478,478,478,1,51,221,338,1,51,478,478,478,478,478,478,478,478,478,478,478,
478,478,478,478,478,478,478,478,478,478,478,478,478,51,216,51,51,478,478,478,
478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,
478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,478,
478,478,478,478,478,478,478,478,478, };
static unsigned short stb__consolas_bold_48_latin_ext_a[560]={ 422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_48_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_bold_48_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_48_latin_ext(stb_fontchar font[STB_FONT_consolas_bold_48_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_48_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_bold_48_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_48_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_48_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_48_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_48_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_48_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_48_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_48_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_48_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_48_latin_ext_s[i] + stb__consolas_bold_48_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_48_latin_ext_t[i] + stb__consolas_bold_48_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_48_latin_ext_x[i];
            font[i].y0 = stb__consolas_bold_48_latin_ext_y[i];
            font[i].x1 = stb__consolas_bold_48_latin_ext_x[i] + stb__consolas_bold_48_latin_ext_w[i];
            font[i].y1 = stb__consolas_bold_48_latin_ext_y[i] + stb__consolas_bold_48_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_bold_48_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_48_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_48_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_48_latin_ext_s[i] + stb__consolas_bold_48_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_48_latin_ext_t[i] + stb__consolas_bold_48_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_48_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_48_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_48_latin_ext_x[i] + stb__consolas_bold_48_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_48_latin_ext_y[i] + stb__consolas_bold_48_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_48_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_48_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_48_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_48_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_48_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_48_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_48_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_48_latin_ext_LINE_SPACING
#endif

