// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_49_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_49_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_49_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_bold_49_latin_ext_BITMAP_HEIGHT        609
#define STB_FONT_consolas_bold_49_latin_ext_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_consolas_bold_49_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_bold_49_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_bold_49_latin_ext_LINE_SPACING          32

static unsigned int stb__consolas_bold_49_latin_ext_pixels[]={
    0x33066666,0x20000333,0x3cccccc9,0x00000980,0x00000000,0xb80000a2,
    0x200002cd,0xfffffffb,0x44000002,0x0c000009,0x80000180,0x0000bcb8,
    0xa8005973,0x200001bc,0xeeeeeee9,0x359bdd92,0x20000000,0xdeeeeeeb,
    0x2cdb8000,0x77775c00,0x5eeeeeee,0x7776c400,0x1000000d,0x001bdddb,
    0x77777764,0x005eeeee,0x9ddb9530,0x85eee980,0x401eeee8,0x25eeeeed,
    0x9ceeeeec,0xf30fffff,0x0001ffff,0xffffffa8,0x00ff9804,0xffe80000,
    0x4400005f,0x440003fe,0x004ffffe,0xfffffb80,0x000000df,0x9dffffb7,
    0x3ee00017,0xfff702ff,0x3e600005,0x4000efff,0x00effffa,0x17ffff44,
    0x7ffcc000,0x3fa1ffff,0x00dfffff,0x3ee00000,0x00efffff,0x7ffff440,
    0x3fff2004,0xffffffff,0x3ffa2006,0x0000efff,0x7ffff440,0xffb000ef,
    0xffffffff,0xfd8800df,0x405fffff,0x5c1ffff8,0x7400ffff,0x366fffff,
    0xf9cfffff,0xff30ffff,0x40001fff,0x2efffffa,0x0ffff980,0x3e600000,
    0x00003fff,0x00ffffa2,0xfffffc80,0x3ea0001f,0x003fffff,0xfffd3000,
    0x3fffffff,0xffffa800,0x7fffd41f,0xfe80001f,0x2006ffff,0x4ffffff8,
    0x7ffffe40,0x3e60000f,0x40dfffff,0xfffffffe,0x8000003f,0x4ffffffb,
    0xffff9000,0x3f2003ff,0xffffffff,0x3fa006ff,0x0effffff,0x3ffa0000,
    0x00efffff,0xffffffd8,0x006fffff,0x3fffffee,0xfff805ff,0xfffc9bff,
    0xfffe807f,0x3fff25ff,0xffff9cff,0xfffff30f,0x3fea0001,0x9800dfff,
    0x01ffffff,0xfff90000,0x2200003f,0x02fffffe,0xfffffd00,0x3ea0007f,
    0x221effff,0x0000aaaa,0xfffffff7,0x03ffffff,0x7ffffec0,0x7ffffec4,
    0x7fc40004,0x000fffff,0xdffffff5,0xfffffe80,0xff30002f,0x3a07ffff,
    0xffffffff,0x2000001f,0x2ffffffb,0x3fffa000,0xf9003fff,0xffffffff,
    0x3f600dff,0xffffdfff,0xffb00005,0xbffffbff,0xfffffb00,0x0dffffff,
    0x3ffffe60,0xb805ffff,0xffffffff,0xfd802fff,0x3f25ffff,0xff9bffff,
    0xfff30fff,0xf70001ff,0x8005ffff,0x1ffffffe,0xfff80000,0xd100007f,
    0x00bfffff,0x7fffffc0,0xffa8003f,0x7e40dfff,0xd8000fff,0xffffffff,
    0x1fffffff,0xfffffb00,0xfffffd89,0x7fc40004,0x000fffff,0xdffffff5,
    0xfffffe80,0xff98003f,0x2e01efff,0xfffffedc,0x7000005f,0x01dfffff,
    0xffffe800,0x995003ff,0xfffd9999,0xfffb00df,0x3fffee7f,0x7fec0005,
    0xffff73ff,0xffffd80b,0x3cccccce,0xfffffd00,0x20079bdf,0xfffffffe,
    0xffb005ff,0x7fdcbfff,0xfff9bfff,0xffff30ff,0x3330001f,0xd1000133,
    0x01ffffff,0x7ffd4000,0xfb00005f,0x000dffff,0xffffffd8,0xaaaa8001,
    0xbfffd02a,0xffff7000,0x3ae615bf,0x5007ffff,0xb85fffff,0x002fffff,
    0xfffffe80,0x3ffe2006,0x7e404fff,0x001fffff,0x03ccccb8,0xffffe980,
    0x5c00002f,0x004fffff,0xfffff900,0xf700003f,0xfc80dfff,0x7fe43fff,
    0xf90005ff,0xffc87fff,0x3ff605ff,0x540004ff,0x01efffff,0x3ffff200,
    0x36003fff,0x2e5fffff,0xf9afffff,0xff30ffff,0xa8001fff,0x001defed,
    0xfffffd10,0x7ec0000b,0x80004fff,0x0efffffb,0x7ffc4000,0x000004ff,
    0x01ffffcc,0x3ffffe60,0x3fffa204,0xfff9002f,0x13fff209,0x7ffcc000,
    0x7dc001ff,0x4400ffff,0x003ffffe,0x44000040,0x004fffff,0x2aaaa200,
    0x2200001a,0x004fffff,0xdffff700,0x15555440,0x00aaaaa8,0x15555440,
    0x00aaaaa8,0x009ffffb,0xfffffc80,0xcb980000,0x6c000acd,0x2a4fffff,
    0xf9afffff,0xff30ffff,0x22001fff,0xfffffffe,0xffd10004,0x00005fff,
    0x05fffff1,0xffff9800,0x100000ef,0x00005bd9,0x1ffff700,0x7fffc400,
    0xfff9803f,0x02a2005f,0x00001510,0x000bcb88,0x0017b950,0x000b3722,
    0x0efffecc,0xffff9000,0x0000000b,0xbb910000,0x7dc00005,0x00006fff,
    0x00000000,0x4ffffd80,0x7ffec000,0x0000004f,0x7fffe400,0x3fffea4f,
    0xfffff99f,0x1fffff30,0x3bfffa00,0x003ffffd,0xffffff30,0x00000001,
    0x3ffffa00,0x0000001f,0xd9530000,0x0dfffd9d,0x5ffffc80,0x3fffee00,
    0x00000000,0x00000000,0x20000000,0xfffffffc,0xfff70003,0x000000df,
    0x00000000,0xffffb800,0x00000006,0xd8000000,0x0004ffff,0x017ffff4,
    0x20000000,0x24fffffc,0x99fffff9,0xf30fffff,0x1001ffff,0xffe89fff,
    0x3ff20006,0x00005fff,0xffc80000,0x00004fff,0x6c400000,0xffffffff,
    0x22003fff,0x000fffff,0x00ffffe2,0x00000000,0x00000000,0x7fd40000,
    0x1fffffff,0xffff9800,0xaaaa8807,0x5550002a,0x00001555,0xfff70000,
    0x2aaaa2df,0x5550002a,0x4c001555,0xaacdedca,0x0aaaaaaa,0x009ffffb,
    0x1fffff80,0xdca98000,0xaaaaacde,0x3f20aaaa,0x3e63ffff,0xff98ffff,
    0xfff30fff,0xff5001ff,0x07ffc83f,0x3fffe200,0x000002ff,0x3ffe6000,
    0xaa8806ff,0xaaaaaaaa,0x02aaaaaa,0xffffd300,0xffffffff,0x3fee001b,
    0xfe8003ff,0x2aaa26ff,0x550002aa,0x40015555,0xacdedca9,0xaaaaaaaa,
    0x2aaaaa60,0x55554400,0x3ffa001a,0x6fffb8bf,0xffff9800,0xffff8807,
    0x7c4002ff,0x260fffff,0xaaaaaaaa,0x00002aaa,0x22dffff7,0x02ffffff,
    0x7ffffc40,0xffe9800f,0xffffffff,0xb2ffffff,0x0009ffff,0x07ffffc4,
    0xfffd3000,0xffffffff,0x5c5fffff,0x223fffff,0xf98fffff,0xff30ffff,
    0xf1001fff,0x7ffc49ff,0x7fd40005,0x30006fff,0x559bdb95,0x15555555,
    0x5fffff90,0xfffff500,0xffffffff,0x8001ffff,0xfffffffb,0xffffffff,
    0xffff800e,0xfff90006,0x3fffe21f,0x7c4002ff,0x800fffff,0xffffffe9,
    0xffffffff,0x3fff22ff,0x7fc400ff,0xf1004fff,0x7ffc89ff,0xffff9800,
    0xffffb007,0xffb800bf,0x7fec5fff,0xffffffff,0xb80000ff,0x3f66ffff,
    0x4005ffff,0x05fffffb,0xffffffd8,0xffffffff,0xffb2ffff,0x440009ff,
    0x000fffff,0xffffffb0,0xffffffff,0x7dc5ffff,0x3e23ffff,0xfff37fff,
    0x3ffe61ff,0xffb000ff,0x5ffffdff,0xfffb0000,0x74c003ff,0xffffffff,
    0xffffffff,0x7ffffc42,0xffff5005,0xffffffff,0x001fffff,0x7fffffe4,
    0xffffffff,0x7d406fff,0x5d443fff,0xaacb99bc,0x3f60ffff,0x4005ffff,
    0x05fffffb,0xffffffd8,0xffffffff,0x3f22ffff,0x4400ffff,0x004fffff,
    0xfa85fff3,0x7cc000ff,0xf5007fff,0x001fffff,0x17fffff4,0x3ffffff6,
    0x00ffffff,0xffffb800,0x3ffffea6,0x3ffa000f,0x7ec02fff,0xffffffff,
    0xffffffff,0xffffb2ff,0x7fc40009,0xd8000fff,0xffffffff,0xffffffff,
    0x3fee2fff,0x4ccc3fff,0xfffff319,0x3ffffe61,0xfffb1000,0x0007ffff,
    0x3ffffe60,0xffffb004,0xffffffff,0x85ffffff,0x01fffffb,0xffffff50,
    0xffffffff,0x22001fff,0xefffffff,0xfffffdab,0x3fa03fff,0x3fea0fff,
    0xbfffffff,0x2a1ffff9,0x00ffffff,0x3fffffa0,0x7fffec02,0xffffffff,
    0x2fffffff,0x03fffff2,0x9fffff10,0x22fffc00,0x98007ffd,0x2007ffff,
    0x03ffffff,0xffffff10,0xffffffb0,0x01ffffff,0xffff7000,0xffffff8d,
    0xffff1003,0xfffa80ff,0xfbaacfff,0xffffffff,0x9ffffb2f,0x7ffc4000,
    0x7d4000ff,0xaacfffff,0xfffffffb,0x3fee2fff,0xf3002fff,0x3e61ffff,
    0x4000ffff,0x00bdeec9,0x7fffc000,0xfffd807f,0xffffffff,0xffffffff,
    0x3fffff42,0xfffff500,0xffffffff,0x2001ffff,0x0ffffffc,0x7fffffec,
    0xff880fff,0x3ffee5ff,0xafffffff,0x7c2ffff9,0x003fffff,0x0ffffff1,
    0xffffffa8,0xffffbaac,0x22ffffff,0x00fffffc,0x27ffffc4,0x7dfffb00,
    0x0009fffd,0x01fffff1,0x3ffffee0,0xffff7006,0xffffb09f,0xffffffff,
    0xff700001,0xfffb8dff,0xff7006ff,0xff809fff,0xd880efff,0xfb06ffff,
    0x40009fff,0x00fffff8,0x77ffffc0,0xffffd880,0x3fffea06,0x7fffe42f,
    0x0fffff9d,0x01fffff3,0x4ccccc40,0x20000099,0x02fffffc,0x3fffffea,
    0xffffbaac,0x22ffffff,0x04fffff9,0x26666620,0xfe999999,0x8800ffff,
    0x41ffffff,0xfffffff8,0xffa84fff,0xffff12ff,0x3fffffff,0xb87ffff1,
    0x006fffff,0x09fffff7,0x0efffff8,0x6ffffd88,0x3fffff20,0x7fffc400,
    0x3fe2004f,0x0fffffff,0xffff8800,0xfff1001f,0xfd001fff,0x3101ffff,
    0xffd33333,0x00001fff,0x88dffff7,0x00ffffff,0x0fffffe8,0x3ffffe20,
    0x3fffe202,0xffffd82f,0x3fe60004,0x7c4007ff,0x2202ffff,0x502fffff,
    0xd85fffff,0xff9affff,0xfff30fff,0x7f4001ff,0x06ffffff,0x3ffe6000,
    0x3ffe05ff,0xfd880eff,0x3f206fff,0x0001ffff,0x3ffffa00,0xfffd800f,
    0xfffa82ff,0x7fffffcf,0x90ffffb8,0xffbfffff,0xfff11fff,0xffff887f,
    0xffe800ff,0x3e200fff,0x2202ffff,0x902fffff,0x801fffff,0x04fffff8,
    0x7ffff4c0,0x3e0001ef,0x2003ffff,0x03fffffd,0x2fffffcc,0x7ffff400,
    0xfb80000f,0xffd86fff,0x7cc03fff,0x5405ffff,0xe807ffff,0xfd84ffff,
    0x20004fff,0x007ffffb,0x03ffffd4,0x827ffff4,0x41fffffa,0xff37ffff,
    0x3fe61fff,0xf1000fff,0xffffffff,0x7fc00001,0xff106fff,0x7c405fff,
    0xfb02ffff,0x0000dfff,0xfffffe80,0x7fffc400,0xffffb07f,0x3ffffff1,
    0xf17fffd8,0x3fa3ffff,0x3fffe7ff,0xfffffd84,0x7fffcc03,0x7ffd405f,
    0xfffe807f,0xffff904f,0xfff8801f,0x950004ff,0xb000059b,0x001fffff,
    0x1bffffea,0x5fffff90,0xffffd000,0xf700001f,0xff50dfff,0xfc80dfff,
    0x6402ffff,0xd806ffff,0xfd85ffff,0x20004fff,0x005ffffe,0x037fffe4,
    0x82ffffec,0x21fffff9,0xf34ffff9,0x3e61ffff,0x7000ffff,0xffffffff,
    0x6c00005f,0xf507ffff,0xfd00ffff,0x3fa09fff,0x00005fff,0x7fffff40,
    0x7fffd400,0x9ffff05f,0x0ffffff6,0x3eabffff,0x3ffe4fff,0x13fffe7f,
    0x1bffffea,0x5fffff90,0x6ffffc80,0x5ffffd80,0x1fffff90,0xfffff880,
    0x00000004,0x3ffffea0,0xfff801ae,0x3fe01fff,0xd0007fff,0x001fffff,
    0xdffff700,0x3fffffe0,0x3ffffe01,0xffffb807,0x7ffec00f,0xffffd84f,
    0x7f544004,0x4002ffff,0x00fffffb,0x827fffec,0x21fffff9,0xf31ffffa,
    0x3e61ffff,0xb000ffff,0xffffffff,0x640000bf,0xc80fffff,0xd806ffff,
    0xff05ffff,0x00009fff,0xfffffe80,0x7fffe400,0xffffa82f,0xbfffff52,
    0xca7fffcc,0x3fe1ffff,0x3fffe6ff,0xffffff04,0x7ffffc03,0xffffb807,
    0x7ffec00f,0xffff904f,0xfff8801f,0x751004ff,0x579bdd99,0x7fec0001,
    0x2fffffff,0x9fffff90,0x3ffffea0,0xfffd0004,0x700001ff,0x320dffff,
    0x504fffff,0x009fffff,0x05fffff3,0x17ffffc4,0x027fffec,0x7fffffd4,
    0x98005fff,0x202fffff,0x02fffff8,0x43fffff3,0x3e66fffc,0x9910ffff,
    0x3e001999,0xffffffff,0x2e00007f,0xb81fffff,0x400fffff,0x884ffffd,
    0x003fffff,0x7fff4000,0x7ff400ff,0xffc81fff,0x3fffe67f,0x3fffea5f,
    0x44ffffd2,0x3fe5ffff,0xfff903ff,0x3fea09ff,0xf9804fff,0x2202ffff,
    0x902fffff,0x801fffff,0x04fffff8,0x3ffffae2,0xffffffff,0xfd70000c,
    0x05ffffff,0x1fffffe2,0x0fffffec,0xffffe800,0xfb80000f,0xff106fff,
    0x3f60ffff,0x8801ffff,0x205fffff,0x81fffffc,0x804ffffd,0xfffffffa,
    0xff10003e,0x7e40bfff,0xf301ffff,0x7f41ffff,0x3ffe63ff,0xa80000ff,
    0xffffffff,0x00001fff,0x05fffff5,0x05fffff3,0x17ffffc4,0x17ffffcc,
    0x3fa00000,0x7400ffff,0xf80fffff,0x3fe65fff,0x3fea6fff,0xdffff1ff,
    0xf2ffffc4,0x3e207fff,0xfb07ffff,0x1003ffff,0x40bfffff,0x01fffffc,
    0x01fffff9,0x4fffff88,0x3ffffee0,0xffffffff,0x88001fff,0xffffffea,
    0x3ffff602,0x7fffc42f,0x3fa0006f,0x0000ffff,0x06ffffb8,0x0bfffff6,
    0x0dfffff1,0x7ffffe40,0xffda88ae,0xffb05fff,0xff5009ff,0x005bffff,
    0xfffffc80,0xffda88ae,0x3e205fff,0x3000ffff,0x001fffff,0xfffff900,
    0x09fffff7,0x3ffe6000,0xfff883ff,0x3ff205ff,0xffa81fff,0x00002fff,
    0x7fffff40,0x7ffffc00,0x2ffff987,0x9fffffe2,0xf88ffffb,0x3fe65fff,
    0xffff14ff,0x7fffec05,0x7fffc42f,0x3ff2006f,0xa88aefff,0x05fffffd,
    0x03fffff2,0x9fffff10,0x7ffffdc0,0xffffffff,0x2000ffff,0xffffffe9,
    0x3fea02ff,0x7fd45fff,0x20003fff,0x00fffffe,0xffffb800,0x3fffea06,
    0x7fffd45f,0x7ff4003f,0xffffffff,0xb00fffff,0x5009ffff,0xffffffff,
    0x7f40001d,0xffffffff,0x00ffffff,0x03ffffe2,0x7ffffcc0,0xfff80000,
    0xffff9cff,0xf100006f,0x3207ffff,0x8aefffff,0xfffffda8,0xfffff705,
    0xe8000003,0x400fffff,0xc87fffff,0x7fc0ffff,0x3fee7fff,0xffff88ff,
    0x4ffffea5,0x202ffff8,0x45fffffa,0x03fffffa,0x7fffff40,0xffffffff,
    0x3ff200ff,0x7c400fff,0x2e04ffff,0xcdefffff,0xffffffec,0xfff1005f,
    0x399bdfff,0xffffff80,0x3fffffa0,0x3ffa0000,0x80000fff,0x406ffffb,
    0x20ffffff,0x00fffffe,0x3ffffa20,0xffffffff,0x3ff601ff,0xcc9804ff,
    0xfffffffd,0xffe88000,0xffffffff,0x4401ffff,0x2007ffff,0x00fffff9,
    0x7fffcc00,0xffffff2f,0xff300001,0x7f405fff,0xffffffff,0x00ffffff,
    0x05fffff5,0xffe80000,0x3e200fff,0xfe87ffff,0xffff85ff,0x5ffff27f,
    0x2e4ffff9,0xff32ffff,0xfff803ff,0x3ffa0fff,0x22000fff,0xfffffffe,
    0x1fffffff,0x7ffffe40,0x7fffc400,0x2b7ee04f,0x3fff2200,0xfc800fff,
    0x8003ffff,0x13fffffc,0x009fffff,0xfffffe80,0xffb80000,0x7fe406ff,
    0xfff13fff,0xfd8009ff,0xffffffff,0x400cffff,0x004ffffd,0x7fffff90,
    0xffffb000,0xffffffff,0x2660019f,0x3e600199,0x0000ffff,0x87ffffdc,
    0x03fffffc,0xffffa800,0xfffd101f,0xffffffff,0x7cc03fff,0x0003ffff,
    0x7ffff400,0x7fffc00f,0x7fffcc7f,0x7fffff83,0x7cdffff6,0x3fee4fff,
    0xffff51ff,0xffffc801,0xfffff13f,0xfffd8009,0xffffffff,0xfc800cff,
    0x4400ffff,0x204fffff,0x7ff40008,0xff801fff,0x30004fff,0x2ebfffff,
    0x001fffff,0x7fffff40,0xffb80000,0x7fcc06ff,0xfff75fff,0x7d4003ff,
    0xeeb9dfff,0xb000bcde,0x0009ffff,0x037ffff4,0x37fffea0,0xbcdeeeb9,
    0x20000000,0x00fffff9,0x7fffec00,0x3ffffea6,0xffb80005,0xffb00fff,
    0xffffffff,0x88019fff,0x004fffff,0x7fff4000,0x7ffc00ff,0x3fee0fff,
    0x7ffc40ff,0x3fff66ff,0x49ffff37,0xf91ffffc,0xff300dff,0x3feebfff,
    0x2a001fff,0xeb9dffff,0x000bcdee,0x03fffff2,0x9fffff10,0xffb80000,
    0xff802fff,0x20001fff,0xe8fffffd,0x0006ffff,0x0fffffe8,0xfffb8000,
    0xfffd806f,0xffffe8ff,0x7ffec006,0x3600001f,0x0004ffff,0x01ffffea,
    0x03ffffb0,0x80000000,0x00fffff9,0x3fffe200,0x3fffe23f,0xfc80007f,
    0xff507fff,0xddd73bff,0x7c00179b,0x0005ffff,0x7ffff400,0x7fff400f,
    0x3fffa0ff,0xfffff986,0x45ffff26,0x3fa4ffff,0xfffd0fff,0x3fff6009,
    0xffffe8ff,0x7ffec006,0x6400001f,0x400fffff,0x04fffff8,0x7ffcc000,
    0x7fc403ff,0x20000fff,0xfdfffffa,0x0003ffff,0x0fffffe8,0xfffb8000,
    0xfffa806f,0xfffffdff,0x7fffc003,0x3600001f,0x0004ffff,0x03ffffe6,
    0x1fffff80,0xed980000,0x3fe6001d,0x20000fff,0x41fffffa,0x02fffffe,
    0x7fffec00,0x3ffffb06,0xffe80000,0x000006ff,0x07fffff4,0x3fffffa0,
    0x07ffff11,0x4bfffff3,0xff0ffffc,0x3ffeebff,0xffff99ff,0xffff5002,
    0x7fffffbf,0xfffff800,0x7e400001,0x4400ffff,0x004fffff,0x7fffcc00,
    0x7ffcc04f,0xff80007f,0xffffffff,0xfe80000f,0x0000ffff,0x06ffffb8,
    0xfffffff0,0x8001ffff,0x00efffff,0xffffb000,0x7fc40009,0x3e000fff,
    0x000effff,0x3fffea00,0xfff3001f,0x333221ff,0x3ff200cc,0xfffb87ff,
    0x7c0004ff,0xff05ffff,0x00003fff,0x1fffffd8,0x3fa00000,0x6c00ffff,
    0xf72fffff,0xff703fff,0x7fdc7fff,0xfffff0ff,0xbffffffb,0x800fffff,
    0xffffffff,0x7c000fff,0x000effff,0x3ffff200,0x7ffc400f,0x554004ff,
    0xffffeecc,0x4c04ffff,0x0007ffff,0xffffffc8,0x00005fff,0x01fffffd,
    0xffff7000,0x3fff200d,0x05ffffff,0xfffffd80,0xccccdeef,0x7fec009a,
    0x220004ff,0x000fffff,0x3ffffff6,0xaccccdee,0xffff8009,0xff3006ff,
    0x3fe61fff,0x3fe00fff,0xff985fff,0x20006fff,0x03fffffa,0x01dfffff,
    0x7ffdc000,0x000004ff,0x03fffffa,0xbfffff70,0x6c1bfff6,0x2a1fffff,
    0xff91ffff,0xffffffff,0x07ffffff,0xfffffc80,0x8005ffff,0xeffffffd,
    0x9accccde,0xffffc800,0x7ffc400f,0xfb8804ff,0xffffffff,0x04ffffff,
    0x03ffffcc,0x7fffcc00,0x002fffff,0x99999995,0x99ffffff,0x00199999,
    0x01bfffee,0x7fffffcc,0xb8002fff,0xffffffff,0xffffffff,0xffffb03e,
    0x7fc40009,0x2e000fff,0xffffffff,0xffffffff,0xffff103e,0xf3001fff,
    0x3e61ffff,0xf300ffff,0x3e07ffff,0x001fffff,0x1fffffb0,0x3fffff60,
    0xccccdeef,0xff88009a,0x00007fff,0x3fffffa0,0x7fffcc00,0x4ffff8ff,
    0x7fffff88,0x997fffcc,0xbfffffff,0x5fffffff,0xffff9800,0x002fffff,
    0xffffffb8,0xffffffff,0x3f203eff,0x4400ffff,0x404fffff,0xfffffffb,
    0xffffffff,0x7fcc04ff,0xd00007ff,0xdfffffff,0x7fffdc00,0xffffffff,
    0xffffffff,0xffff7000,0x7fff400d,0x0006ffff,0x3fffffee,0xffffffff,
    0x7ec1ffff,0x20004fff,0x00fffff8,0x7ffffdc0,0xffffffff,0x441fffff,
    0x0fffffff,0xfffff980,0x1fffff30,0x3fffff20,0xfffffb00,0xfff10007,
    0x7fdc09ff,0xffffffff,0x3effffff,0x7ffffec0,0xfd000001,0xf001ffff,
    0xffbfffff,0xfff703ff,0xfff987ff,0x3fffee2f,0xfffff92f,0x7ff4000d,
    0x006fffff,0x3ffffee0,0xffffffff,0xc81fffff,0x400fffff,0x04fffff8,
    0x3fffffee,0xffffffff,0x4c04ffff,0x0007ffff,0xffffff50,0x7fdc005f,
    0xffffffff,0xffffffff,0xff7000ff,0x7d400dff,0x02ffffff,0x3fffe200,
    0xffffffff,0x0effffff,0x013ffff6,0xfffff880,0x7ffc4000,0xffffffff,
    0xefffffff,0x7ffffec0,0xffff3005,0x3fffe61f,0xffffd00f,0x7fffd40d,
    0xffb8005f,0x7dc01fff,0xffffffff,0xffffffff,0xffff501f,0x200000bf,
    0x00fffffe,0xffffffc8,0xffa87fff,0xff887fff,0x5f6d45ff,0x00deed41,
    0x3fffea00,0x20002fff,0xfffffff8,0xffffffff,0x7e40efff,0x4400ffff,
    0x504fffff,0x9fffffff,0xff533355,0xf9809fff,0x00007fff,0x1bfffffe,
    0xfffff700,0xffffffff,0x1fffffff,0x3fffee00,0x7fffc006,0x260006ff,
    0xeeffffff,0xffffeeee,0x3f65ffff,0x20004fff,0x00fffff8,0x3ffffe60,
    0xfeeeeeef,0x5fffffff,0x077fff44,0xfffff980,0x1fffff30,0x9fffff10,
    0x7ffffc40,0x3fe2000f,0xf8806fff,0xffffffff,0xffffffff,0xffff00ef,
    0x000003ff,0x01fffffd,0xffffff10,0xffa89fff,0xff03ffff,0x00001fff,
    0xffff8000,0x260006ff,0xeeffffff,0xffffeeee,0x7e45ffff,0x4400ffff,
    0xd04fffff,0x01dfffff,0x27ffffcc,0x1ffffe60,0x7ffc4000,0x5c003fff,
    0xffffffff,0xffffffff,0x7000ffff,0x400dffff,0x3ffffff8,0xffff1000,
    0xfe9801df,0x3f67ffff,0x20004fff,0x01fffff8,0xdfffff10,0xfffe9801,
    0x057507ff,0xfffff980,0x1fffff30,0x5fffff70,0xfffffe80,0x3fff2002,
    0x7fcc03ff,0xeeeeffff,0xffffffee,0xfff705ff,0x00000dff,0x00ffffff,
    0x7fffffdc,0xfffdcdff,0x3206ffff,0x0002ffff,0x3fe20000,0x0003ffff,
    0x1dfffff1,0xffffe980,0xf300007f,0x3e07ffff,0x400fffff,0x04fffff9,
    0x03ffffd4,0xffffc800,0x0000007f,0x02ffffd4,0x0dffff70,0x7ffffe40,
    0x3ff20007,0x3e001fff,0xfb0fffff,0x80009fff,0x001fffff,0x03fffff9,
    0x7fffffc0,0x3e600000,0xff30ffff,0xffb01fff,0xffffffff,0xffffffff,
    0x3fe6009f,0x7c406fff,0x400effff,0x7fffffe9,0x3fffffa0,0x3e200003,
    0x4005ffff,0xfffffffe,0xffffffff,0x3fe602ff,0x000005ff,0x3ffff200,
    0x3f20007f,0x2001ffff,0x00ffffff,0xffffa800,0xffff982f,0xfffa806f,
    0x7fdc04ff,0x980006ff,0x03ffffff,0x3e600000,0x5c005fff,0x3006ffff,
    0x07ffffff,0x7ffffc00,0x7fff4006,0xffffb0ff,0xffe80009,0xfff003ff,
    0xfe800dff,0x9990ffff,0x99999999,0x7fcc7999,0xfff30fff,0xffff01ff,
    0xffffffff,0xffffffff,0x3fffa00f,0x7fe401ff,0x3e001fff,0x300fffff,
    0x01ffffff,0x3ffea000,0x6c4004ff,0xffffffff,0x1effffff,0x1ffffe80,
    0x98000000,0x03ffffff,0x3ffffe00,0x7fff4006,0xb80000ff,0xa81fffff,
    0x407fffff,0x4ffffffa,0x27fffec0,0x3ffa2000,0x00006fff,0x3fffa200,
    0x7fdc000f,0xfe8806ff,0x0006ffff,0x1bffffe2,0xfffff880,0x13ffff66,
    0xffffb000,0xffff100b,0x7fc400df,0x3ffe6fff,0xffffffff,0x3fe66fff,
    0xfff30fff,0xfffa81ff,0xffffffff,0xffffffff,0x7fe401ff,0xff804fff,
    0x74006fff,0x200fffff,0x06fffffc,0x7ff40031,0xb0002fff,0xffffffff,
    0x001bffff,0x07ffffee,0x44000300,0x06fffffe,0x3fffe200,0x3fe2006f,
    0x00006fff,0x01fffffd,0x5ffffff1,0x3ffffee0,0x3fea04ff,0x10003fff,
    0xfffffff7,0x40000001,0x004ffffb,0x06ffffb8,0x3ffffee2,0x7c0000ff,
    0x001fffff,0x49fffffb,0x004ffffd,0x7ffffe40,0xfffff802,0xfffb001f,
    0x7fffc9ff,0xffffffff,0x3ffe66ff,0xffff30ff,0xffffc81f,0xffffffff,
    0xffffffff,0x3ffee04f,0xff8806ff,0x22006fff,0x806fffff,0x85fffffe,
    0xd300adf8,0x01ffffff,0x3ffff200,0x3dffffff,0x7fffc400,0x5ea801ff,
    0xfffb8800,0x0000ffff,0x0ffffffc,0xfffffd80,0x7e403004,0x3e06ffff,
    0x9cffffff,0xfffffeb8,0x64c44fff,0x00ffffff,0xfffddf90,0x005fffff,
    0xffd80000,0xfb8003ff,0x3bf26fff,0xfffffffe,0xfd80002f,0xabcfffff,
    0xffff7330,0x7fec1fff,0x4c0004ff,0x9cffffff,0xfffffb00,0x2661579f,
    0xfffffffb,0x3fffffe0,0xffffffff,0x3ffffe66,0x1fffff30,0xefffffe8,
    0xeeeeeeee,0x6fffffee,0xffffff50,0x3fffe003,0xffb001ff,0xf3009fff,
    0x88bfffff,0xdcdeffff,0xfffffffe,0x3ffe0002,0x00abbadf,0x7fffe400,
    0xb999beff,0xc805fffc,0xfffffeef,0x80002fff,0xcffffffd,0xff7330ab,
    0x001fffff,0x3b733bfa,0x02ffffff,0x3ffffff2,0xffffffff,0xfd4fffff,
    0xffffffff,0x7ffe4009,0x3fffffff,0xd8000000,0x19aeffff,0x3ffffff2,
    0x326fffff,0xffffffff,0x500003ff,0xffffffff,0xffffffff,0xfd83ffff,
    0xffffffff,0xff9006ff,0xbfffffff,0xffffffa8,0xffffffff,0x41ffffff,
    0xffffffff,0x26ffffff,0x30fffff9,0x4c1fffff,0x003fffff,0x3fffffe6,
    0x7ffffd40,0x3ff6003f,0x0abcffff,0xfffff733,0x3ea001ff,0x224fffff,
    0xffffffff,0x4fffffff,0x3ffe6000,0x9000002f,0xffffffff,0xbfffffff,
    0xfffff900,0x007fffff,0x3fffea00,0xffffffff,0xffffffff,0x3fffa001,
    0xffffffff,0x7fffc405,0xffffffff,0x4ffffccf,0xfffffffd,0x7e4001ff,
    0xffffffff,0x00000002,0xfffffff9,0x3ffff21f,0x6fffffff,0x3ffffff2,
    0x00002fff,0x7fffffd4,0xffffffff,0xfd81ffff,0xffffffff,0xff1006ff,
    0xbfffffff,0xffffff50,0xffffffff,0x9903ffff,0x99999999,0x7cc79999,
    0xff30ffff,0x7fdc1fff,0x74001fff,0x262fffff,0x03ffffff,0x7ffffd40,
    0xffffffff,0x1fffffff,0x7fffd400,0xffff12ff,0xffffffff,0x40001bff,
    0x000ffffc,0x3ffee000,0xffffffff,0xfc805fff,0xffffffff,0x7d400002,
    0xffffffff,0xffffffff,0x7ff4001f,0xffffffff,0xfffa800f,0xffffffff,
    0x29ffff73,0xfffffffe,0x7fe4000d,0x00cfffff,0x26000000,0xffffffff,
    0xffffff90,0x64dfffff,0xcfffffff,0xb3000000,0xffffffff,0x05dfffff,
    0x7fffffec,0x006fffff,0x3fffffa6,0xffb305ff,0xffffffff,0x0005dfff,
    0xffff9800,0xfffff30f,0x3ffffec1,0x7fffe400,0x7fffec5f,0xfff50002,
    0xffffffff,0x3fffffff,0x3ffea000,0x3fffe24f,0xffffffff,0xfe80001e,
    0x000005ff,0xffffffa8,0x0befffff,0xfffffc80,0x00000cff,0xfffffb30,
    0xffffffff,0x3fa0005d,0xffffffff,0x7fec4004,0x20dfffff,0xfd4ffffb,
    0x005dffff,0x33bffee0,0x0000001b,0xfffff700,0x3fff21ff,0xffffffff,
    0x33bffee6,0x0000001b,0xfffdb971,0xb00579bd,0xffffffff,0x5000dfff,
    0x0bfffffd,0xffedcb88,0x002bcdef,0xfff30000,0x3ffe61ff,0xffff10ff,
    0xff50009f,0xffb0ffff,0xfd980005,0xffffffff,0x002effff,0x304ffa80,
    0x9dfffdd9,0x26000057,0x0003ffff,0xfdb51000,0x0039bdff,0xbcefffb8,
    0x10000001,0xdfffdb97,0x8000579b,0xdefffedb,0x2620001c,0xa8002aba,
    0x00001aaa,0x00000000,0x3332a200,0x2aaaa62b,0x2aaaaaaa,0x00000000,
    0xa9800000,0xaaaaaaaa,0x4c0002aa,0x00001aaa,0x30000000,0x261fffff,
    0xf50fffff,0x0005ffff,0x3ffffff1,0x400005b0,0xfffedcb8,0x0002bcde,
    0x00002540,0x33310000,0x00000003,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7cc00000,0xff30ffff,0x3ff21fff,0xd0000fff,0x009fffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffff9800,0xfffff30f,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xff980000,0xfff30fff,0x000001ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x88000000,0xd10eeeee,0x0001dddd,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xdddd7000,0xdddd9005,
    0xdddddddd,0xdddd5001,0x5c00005d,0x000eeeee,0x31000000,0x01333333,
    0x2bcba800,0x26600000,0x00000019,0x99999880,0x26662001,0x22000009,
    0x0000aaaa,0x00039950,0x002aea20,0xddd00000,0x9999881d,0x4cccc001,
    0x19998009,0x00066660,0x0002aea2,0x26666660,0x99999999,0x99999999,
    0x26666621,0x99999999,0x20999999,0x99999998,0x99999999,0x22000199,
    0xabcdecb9,0x033b2600,0x3ffee000,0x7ec02fff,0xffffffff,0xfb800fff,
    0x0002ffff,0x3fffff20,0x00000000,0xffffff98,0x3a60003f,0x01efffff,
    0x7ffc4000,0xb980000f,0x7fec006d,0x7003ffff,0x000dffff,0x07fffe40,
    0x7ffec000,0x3a60004f,0x80cfffff,0x2200004d,0xffe87fff,0x7fc007ff,
    0xff806fff,0xfffb81ff,0x3ffa6006,0x4d80cfff,0x7ffffc40,0xffffffff,
    0xffffffff,0x3fffea7f,0xffffffff,0x2fffffff,0x3ffffff2,0xffffffff,
    0x2001ffff,0xffffffda,0x2dffffff,0x07ffffea,0xffffb800,0x3601ffff,
    0xffffffff,0xb800ffff,0x002fffff,0x3ffff200,0x0000000f,0x7ffffc40,
    0x220001ef,0xffffffff,0x2600000e,0x40007fff,0x007ffffd,0x7fffffec,
    0xfffb800f,0x3a00006f,0x80005fff,0x1ffffffa,0xffff8800,0x99cfffff,
    0x00005ffd,0xfd0dfff5,0xf800ffff,0xe806ffff,0xf511efff,0x22009fff,
    0xffffffff,0x5ffd99cf,0x3ffffe20,0xffffffff,0xffffffff,0x3fffea7f,
    0xffffffff,0x2fffffff,0x3ffffff2,0xffffffff,0x8801ffff,0xfffffffd,
    0xffffffff,0x3fffffa4,0xfff50006,0x3fffffdf,0x3fffff60,0x0fffffff,
    0xfffffb80,0x3f200002,0x0000ffff,0x3fe20000,0x000dffff,0x4e7ffe40,
    0x0003fffc,0x01bffea0,0xffffff00,0xffffd800,0xfb803fff,0x00006fff,
    0x007ffff3,0xfffff900,0xfe88007f,0xffffffff,0x1fffffff,0xfffb8000,
    0x7ffffe85,0x7ffffc00,0xffffa806,0xffffffff,0xfffe8801,0xffffffff,
    0x101fffff,0xffffffff,0xffffffff,0x4fffffff,0xfffffffa,0xffffffff,
    0x3f22ffff,0xffffffff,0xffffffff,0x7ffd401f,0xffffffff,0x14ffffff,
    0x1fffffff,0xffffa800,0xfffff98e,0xeeeeec81,0x0ffffffe,0xfffffb80,
    0x3f200002,0x0000ffff,0xfff10000,0x00005fff,0xffb17ff6,0x7dc0000b,
    0x7c0005ff,0x4007ffff,0xfffffffd,0x7ffdc00f,0xf700006f,0x00001fff,
    0x7ffffff9,0xffff9800,0xffffffdd,0x0003ffff,0xd09fff90,0x800fffff,
    0x006fffff,0xfffffffb,0x26009fff,0xffddffff,0xffffffff,0x3fffe203,
    0xffffffff,0xffffffff,0x3ffea7ff,0xffffffff,0xffffffff,0x3fffff22,
    0xffffffff,0x201fffff,0xfffffffc,0xffffffff,0xfff14fff,0x4001ffff,
    0x20effff9,0x00fffff9,0x3fffffa0,0xffffb800,0x3200002f,0x000fffff,
    0xff880000,0x0000efff,0xf90fffa0,0x220000bf,0x0004fffd,0x03fffffc,
    0x3fffff60,0x7dc04fff,0x4c006fff,0xffeceeca,0xf300006f,0x001fffff,
    0x6441ff30,0x4fffffff,0x3ff60000,0xffffe83f,0x7fffc007,0xff91006f,
    0x07ffffff,0x220ff980,0xfffffffc,0xccccc804,0xffffeccc,0xccccccdf,
    0x3333264c,0xfffffecc,0x1ccccccd,0x3bfffff2,0xeeeeeeee,0xf500eeee,
    0xffffffff,0xffdb979d,0x7fff49ff,0x554005ff,0xaa880aaa,0x3fa001aa,
    0xb800ffff,0x002fffff,0x3ffff200,0x0000000f,0x01999988,0xeffc8000,
    0x009fff31,0x3ffb6ea0,0xacdeffff,0x3fffe000,0x7fec007f,0x0fffffff,
    0x1bfffee0,0x3ffff620,0x3fffffff,0x3fee0000,0x260002ff,0x7dfd9101,
    0xfe800003,0xfffe82ff,0x7ffc007f,0x5cc006ff,0x000bceed,0x3b220330,
    0x00001bef,0x07fffff7,0x3ffee000,0xff9003ff,0x00005fff,0x7ffffffc,
    0x4fc9802e,0x03bfffa6,0x00000000,0x07fffff4,0x7ffffdc0,0x3f200002,
    0x0000ffff,0xaa800000,0xf30001aa,0xffffffff,0xffe98003,0xffffffff,
    0x2002ffff,0x007fffff,0x7fffffec,0x3ee04fff,0x74c06fff,0xffffffff,
    0x000dffff,0x002aa200,0x00000000,0x07fffe00,0x01fffffa,0x0dfffff0,
    0x00000000,0xb8000000,0x003fffff,0xfffff700,0x3fff2007,0x700002ff,
    0x1bffffff,0xca881000,0x00000002,0x7ffff400,0xfffb800f,0x200002ff,
    0x00fffffc,0x40000000,0x003ffff9,0x3ffffee0,0x362002ff,0xffffffff,
    0xffffffff,0x555554c2,0xaffffffa,0xaaaaaaaa,0xffffffb0,0x2e01ffff,
    0x2e06ffff,0xffffffff,0xefffffff,0x00000000,0x00000000,0xffedba88,
    0x3fa1bdff,0x7c007fff,0x0006ffff,0x00000000,0x7fdc0000,0x00003fff,
    0x07fffff7,0x3fffff20,0xff880002,0x0005ffff,0xaa880000,0xaaaaaaaa,
    0x02aaaaaa,0x7fffff40,0xffffb800,0x5554402f,0x7fe42aaa,0x65c40fff,
    0x00000abd,0x1ffff900,0xfed98000,0x7ec000ce,0xffffffff,0xffffffff,
    0x7ffffe42,0xffffffff,0xffffffff,0xfdffffb2,0x2e09ffff,0xf906ffff,
    0xffffffff,0xffffffff,0x7310000d,0x01579bd9,0x00ccccc4,0x02666660,
    0xfffffd10,0x4fffffff,0x007ffffe,0x037ffffc,0x6f65cc40,0x20000abc,
    0x09bcdca9,0x7fdc0000,0x00003fff,0x07fffff7,0x3fffff20,0xffc80002,
    0x0000ffff,0xffa80000,0xffffffff,0x0fffffff,0x3ffffa00,0xfffb800f,
    0x7fec02ff,0x7e43ffff,0x3fea7fff,0x04ffffff,0xffe80000,0x9998805f,
    0x4ccc0019,0x3ffee099,0xffeeffff,0x2ffffeff,0x7fffffe4,0xffffffff,
    0x2fffffff,0xfd9ffffb,0xf701ffff,0xff10dfff,0x57dfffff,0xfffffffb,
    0xfb50007f,0xffffffff,0xfe85bfff,0x7c007fff,0x2e06ffff,0xffffffff,
    0x3a7fffff,0x4007ffff,0x006fffff,0xffffffb5,0x5bffffff,0xffffb100,
    0x05dfffff,0x3ffee000,0x700003ff,0x007fffff,0x0bfffff2,0x3fffe000,
    0x400004ff,0x5004cccc,0xffffffff,0xffffffff,0x7ff4001f,0xfb800fff,
    0x3202ffff,0x84ffffff,0xf77ffffc,0xffffffff,0x400000bf,0x803ffff9,
    0x007ffffe,0x8b7ffffc,0x0dffffff,0x5cc9fff9,0x7fffe41d,0xffffffff,
    0xffffffff,0x9ffffb2f,0x09fffff3,0x90dffff7,0x81ffffff,0xfffffffd,
    0xfb1000ff,0xffffffff,0x89ffffff,0x007ffffe,0x437ffffc,0xffffffe8,
    0xffffffff,0x1fffffa7,0xdfffff00,0xffffd880,0xffffffff,0x74c04fff,
    0xffffffff,0x0004ffff,0x3fffffb8,0xfff70000,0x3f2007ff,0x0002ffff,
    0x7fffffc4,0x7fc00000,0xff5007ff,0xffffffff,0x1fffffff,0x7ffff400,
    0xfffb800f,0xfff502ff,0x3f20bfff,0xfffcffff,0xffffffff,0xb980005f,
    0xffffeeec,0xffffe800,0x7fffc007,0xfffff56f,0x1fffec1f,0xfffffc80,
    0xffffffff,0xffffffff,0x29ffffb2,0x40fffffe,0x446ffffb,0x41ffffff,
    0xfffffff8,0xfa804fff,0xffffffff,0xffffffff,0x3fffff44,0x3ffffe00,
    0xfffffc86,0xffffffff,0x3fffa7ff,0x7ffc007f,0x3fea06ff,0xffffffff,
    0x4fffffff,0x3ffffee0,0xffffffff,0x20000eff,0x03fffffb,0xffff7000,
    0x3ff2007f,0x40002fff,0x06fffff9,0x7ffc4000,0xfff5007f,0xffffffff,
    0x01ffffff,0x7fffff40,0xffffb800,0xffff982f,0x3ff205ff,0xffffffff,
    0xffffffff,0xfe98001f,0xffffffff,0xfffd006f,0xfff800ff,0xffff96ff,
    0x2fffe89f,0x33333100,0x3ffffff3,0x33333333,0x53ffff61,0x44fffff9,
    0x6c6ffffb,0xa82fffff,0xfffcffff,0x7fe407ff,0xffffffff,0xffffffff,
    0x3fffff44,0x3ffffe00,0x7ffffcc6,0xfffd9bff,0x3ffa7ebc,0x7fc007ff,
    0xff906fff,0xffffffff,0xffffffff,0x3ffff209,0xffffffff,0x00ffffff,
    0xfffff700,0x3ee00007,0x9003ffff,0x99bfffff,0x99999999,0xffffa859,
    0x4400005f,0x800fffff,0x99999998,0xfffe9999,0x3fa000ff,0xb800ffff,
    0x442fffff,0x0effffff,0x3fffff20,0xcaadffff,0x05ffffff,0x7ffffdc0,
    0xffffffff,0x7fff400e,0x7ffc007f,0xffffb6ff,0x1ffff89f,0xffff8000,
    0x7fec007f,0x3fffa4ff,0x3ffee0ff,0x3fffe26f,0xffffb07f,0x3ffffff1,
    0x3ffffea0,0xcbceffff,0x44ffffed,0x007ffffe,0x237ffffc,0x0efffffe,
    0x2187fffa,0x007ffffe,0x437ffffc,0xfffffffa,0xedcbceff,0xf884ffff,
    0xdfffffff,0xffffffdc,0xf70003ff,0x0007ffff,0x3ffffee0,0xffff9003,
    0xffffffff,0xb89fffff,0x504fffff,0xffffffff,0x7ffc4bff,0x800000ff,
    0x00fffffe,0x3fffffa0,0xffffb800,0x7ffff42f,0x7fe400ef,0x80efffff,
    0x1ffffffb,0xffffd880,0xffffffff,0x3a01ffff,0x4007ffff,0xf96fffff,
    0x221fffff,0x0000ffff,0x07fffff8,0x27fffec0,0x49fffff3,0x2a6ffffb,
    0xf05fffff,0x3ff69fff,0xfff03fff,0x005dffff,0xffe89f93,0x7fc007ff,
    0x3fee6fff,0x7fc0ffff,0xfffd00ff,0xfff800ff,0xffff86ff,0x9802efff,
    0xfffd84fc,0xff502fff,0x000fffff,0x0fffffee,0x7ffdc000,0xff9003ff,
    0xffffffff,0x9fffffff,0x3fffffc8,0xffffff50,0x7ccbffff,0x0000ffff,
    0xfffffe80,0x3fffa000,0xffb800ff,0x3ff62fff,0xc801ffff,0x0effffff,
    0x3fffffa0,0xffffc804,0xffffffff,0x206fffff,0x007ffffe,0xab7ffffc,
    0xbfffffff,0x0007fff9,0x0ffffff0,0x4ffffd80,0x87fffff4,0x326ffffb,
    0xa82fffff,0xff52ffff,0xff70bfff,0x001bffff,0xffffe810,0x7fffc007,
    0x3ffff26f,0x3fffc44f,0x0fffffd0,0x6fffff80,0x7fffffdc,0x4c08000d,
    0x02ffffff,0x7fffffd4,0xfffb8002,0x700003ff,0x007fffff,0x3ffffff2,
    0xffffffff,0x7ff44fff,0xff502fff,0xffffffff,0x7ffffccb,0xfe800001,
    0x2000ffff,0x00fffffe,0x2fffffb8,0x3ffffff7,0x3ffff200,0x7fdc01ff,
    0x7cc05fff,0x8adfffff,0xfffffffa,0xfffd04ff,0xfff800ff,0xffff16ff,
    0xffffffff,0x3fe0000b,0x6c007fff,0x7d44ffff,0xff74ffff,0x7fff4dff,
    0xfffc81ff,0x3ffffe67,0x7ffffc45,0x3a00005f,0x4007ffff,0x3a6fffff,
    0x4c0fffff,0x3fa06fff,0x7c007fff,0x3e26ffff,0x005fffff,0x3ffff600,
    0xfff9003f,0xf7000dff,0x0007ffff,0x3ffffee0,0xffff9003,0xffffffff,
    0xd89fffff,0x503fffff,0xffffffff,0x7ffccbff,0x800001ff,0x00fffffe,
    0x3fffffa0,0xffffb800,0xfffffaaf,0x3ff2002f,0xf9802fff,0x6c06ffff,
    0x6c5fffff,0xffffffff,0xfffe80ff,0x7ffc007f,0x3fff26ff,0xffffffff,
    0xff80000e,0x6c007fff,0xfe84ffff,0xffb8ffff,0x3fffa6ff,0xffff80ff,
    0x3ffffe65,0x7ffffe46,0x3a00000f,0x4007ffff,0x3e6fffff,0xfa87ffff,
    0x3ffa05ff,0x7fc007ff,0x3ff26fff,0x0000ffff,0xffffff30,0x3ffe6001,
    0x5c001fff,0x003fffff,0xfffff700,0x3fff2007,0xaaaaacff,0x41aaaaaa,
    0x04fffffc,0xffddddd3,0x7fccbfff,0x00001fff,0x0fffffe8,0x3ffffa00,
    0xfffb800f,0xfffffcff,0x7fe4003f,0xf8800fff,0x2607ffff,0x446fffff,
    0xffdcffff,0xffe82fff,0x7fc007ff,0x7fec6fff,0xffffffff,0x20002dff,
    0x007fffff,0x427fffec,0xbdfffffa,0x3fe6ffff,0xff987fff,0x3ffe22ff,
    0x7fffc7ff,0x400004ff,0x007ffffe,0x8b7ffffc,0xb86fffff,0x3fa04fff,
    0x7c007fff,0x3fe6ffff,0x0004ffff,0x3ffffea0,0x7fff4006,0x7dc002ff,
    0x0003ffff,0x7fffff70,0x3ffff200,0x7dc0002f,0x4004ffff,0x2a5fffff,
    0x001fffff,0xffffe800,0x3ffa000f,0xfb800fff,0xffffffff,0xfc8004ff,
    0xf000ffff,0x201fffff,0x42fffffc,0xf99ffffa,0xfe85ffff,0x7c007fff,
    0x6c46ffff,0xffffffff,0x01efffff,0x7fffff80,0x7fffec00,0xfffffd04,
    0x7cdffff9,0xfc87ffff,0x7ffc0fff,0x3ffe27ff,0x00000fff,0x03fffff4,
    0x5bffffe0,0x87fffff9,0x3a03fffd,0x4007ffff,0xf16fffff,0x001fffff,
    0x7fffe400,0x7fe4003f,0x5c003fff,0x003fffff,0xfffff700,0x3fff2007,
    0x540002ff,0x005fffff,0x52fffffc,0x005fffff,0xffffd000,0x7ff4001f,
    0xfb800fff,0xffffffff,0x64000eff,0x000fffff,0x01ffffff,0x21fffff6,
    0x3fa7fffd,0xffe87fff,0x7fc007ff,0xff506fff,0xffffffff,0x8009ffff,
    0x007fffff,0x827fffec,0xfffffffa,0xfff16fff,0xfffd0fff,0xffffff0b,
    0x37ffffcc,0x7ff40000,0x7fc007ff,0xfff16fff,0xffe81fff,0x3fffa02f,
    0x3fe2007f,0xfff35fff,0x80000dff,0x02fffffe,0x7ffffdc0,0x7ffdc004,
    0x700003ff,0x007fffff,0x0bfffff2,0xffff3000,0x7fc001ff,0x3fea5fff,
    0x00002fff,0x0fffffe8,0x3ffffa00,0xfffb800f,0xfffffbff,0x7fe4005f,
    0xff000fff,0x7f40ffff,0x7fc45fff,0x3fff64ff,0xffffe87f,0x7fffc007,
    0x7fed406f,0xffffffff,0x3fe004ff,0x6c007fff,0x3a04ffff,0xffffffff,
    0x3ffffe6f,0x1ffffcc7,0x53fffffc,0x00bfffff,0xffffd000,0xffff800f,
    0x3ffffe6f,0x0ffffc2f,0x1fffffb0,0x3fffe200,0xfffff54f,0xff80000b,
    0x4002ffff,0x05fffffa,0x7ffffdc0,0xff700003,0x32007fff,0x002fffff,
    0x7ffffc40,0x3ffe003f,0x3ffea5ff,0x800002ff,0x00fffffe,0x3fffffa0,
    0xffffb800,0xfffffaaf,0x3ff2003f,0xf8800fff,0x3e06ffff,0x7d44ffff,
    0x3ff21fff,0x7ff40fff,0x7fc007ff,0xf7006fff,0xffffffff,0x3e007fff,
    0x4007ffff,0x204ffffd,0xfffffffa,0x3fffe6ff,0x3ffee0ff,0x7fffc40f,
    0x3fffee6f,0xffff504f,0x8bffffff,0x007ffffe,0xd37ffffc,0x449fffff,
    0x7ec07fff,0x3000ffff,0x2e7fffff,0x504fffff,0xffffffff,0x7fffcbff,
    0x7d4001ff,0x4006ffff,0x03fffffb,0xffff7000,0x3ff2007f,0x80002fff,
    0x06fffffe,0x97ffffe0,0x02fffffb,0xfffe8000,0x3fa000ff,0xb800ffff,
    0xf92fffff,0x005fffff,0x03fffff2,0x3ffffe60,0xfffff105,0x47fffd87,
    0x41fffffc,0x007ffffe,0x037ffffc,0xffefffb8,0x07ffffff,0x0ffffff0,
    0x4ffffd80,0x7fffff40,0x3ffa6fff,0x3ffa0fff,0xffff986f,0x3ffff26f,
    0xffff503f,0x8bffffff,0x007ffffe,0xb37ffffc,0x21dfffff,0x6407fff9,
    0x003fffff,0x25fffff9,0x03fffffc,0xfffffff5,0x7ffcbfff,0x4c000fff,
    0x007fffff,0x1fffffdc,0xfffb8000,0xff9003ff,0x00005fff,0x7ffffff5,
    0x3ffffe00,0x3ffffee5,0xfe800003,0x2000ffff,0x00fffffe,0x2fffffb8,
    0x3ffffffa,0xffffc800,0xfffc800f,0xfff303ff,0x7ffc49ff,0x7fffe44f,
    0x7ffff40f,0x7fffc007,0xfff9006f,0xfffff917,0xfff003ff,0x6c001fff,
    0x5404ffff,0xffffffff,0x3fffffa6,0x07ffff11,0x4bfffff3,0x02fffffe,
    0xfffffff5,0xffe8bfff,0x7fc007ff,0x3fea6fff,0xfa9fffff,0x3ee085ff,
    0x8807ffff,0x3a7fffff,0x502fffff,0xffffffff,0x3ffe2bff,0x4c000fff,
    0x007fffff,0x1fffffdc,0xfffb8000,0xff9003ff,0x00005fff,0x3ffffffa,
    0xfffff804,0x3ffffee5,0xfe800003,0x2000ffff,0x00fffffe,0x2fffffb8,
    0x3fffffe2,0x7ffe400e,0x7fc400ff,0xf102ffff,0x7dc9ffff,0x7fec1fff,
    0xfffe87ff,0x7ffc007f,0xffb006ff,0x7fffd45f,0xffe803ff,0x36003fff,
    0xe804ffff,0x6fffffff,0x4bfffff6,0xb81ffffb,0x363fffff,0x503fffff,
    0xffffffff,0xfffe8bff,0x7ffc007f,0x7fff46ff,0xfffdffff,0x7c4fb534,
    0x00dfffff,0x9fffffb1,0x1fffffec,0xffffffa8,0x3fe5ffff,0x4001ffff,
    0x07fffff9,0x7ffffdc0,0xff700003,0x32007fff,0x002fffff,0xfffff300,
    0xf1015bff,0x7e4bffff,0x0003ffff,0xfffffe80,0x3fffa000,0xffb800ff,
    0x7fd42fff,0x6405ffff,0x400fffff,0x0ffffffc,0x97ffffe0,0xfe86fffd,
    0xffe86fff,0x7fc007ff,0xff006fff,0xfffe83ff,0xffd804ff,0x36005fff,
    0xa804ffff,0x6fffffff,0x57ffffee,0xfb06fffd,0x7e43ffff,0xd304ffff,
    0xffffdddd,0xffffe8bf,0x7fffc007,0x7fffd46f,0xffffffff,0x7e47ffff,
    0xbcffffff,0xfffffcba,0x3fff21ff,0xddd304ff,0xbfffffdd,0x0ffffff4,
    0x3fffea00,0x7fdc007f,0x2a003fff,0xfeeeeeee,0xeeeeffff,0x3ff21eee,
    0xffffffff,0xffffffff,0xfffffb01,0xdddfffff,0x4bffffff,0x04fffffc,
    0xfffe8000,0x3fa000ff,0xb800ffff,0xd82fffff,0x04ffffff,0x03fffff2,
    0xffffffc8,0x7ffffc02,0x89ffff16,0x85fffff8,0x007ffffe,0x037ffffc,
    0x207fffc4,0x03fffffd,0xffffffc8,0xdba999ad,0x09ffffb1,0x3fffffa0,
    0x3fffe66f,0x4ffff8ff,0x7fffff88,0x27ffffdc,0x3ffffe00,0x3fffff45,
    0x3ffffe00,0xfffffc86,0xffffffff,0x7ffc47ff,0xffffffff,0x3fffffff,
    0x27ffffdc,0x3ffffe00,0x3fffff65,0x7ffd4002,0x7dc006ff,0x2003ffff,
    0xfffffffa,0xffffffff,0x3f22ffff,0xffffffff,0xffffffff,0xfffd101f,
    0xffffffff,0xbfffffff,0x27ffffe4,0x7ff40000,0x332a0fff,0xfffccccc,
    0xcccccfff,0xffff70cc,0xfffd105f,0x3f205fff,0x99bdffff,0xfffffeb9,
    0xfffd805f,0xffffbaff,0x7ffffe41,0x7ffffe83,0x7ffffc00,0x7fff9806,
    0x1fffffe8,0xfffff880,0xffffffff,0x9ffffb2f,0x3fffea00,0x7fffc6ff,
    0x1ffffdff,0x3fffffb8,0x2fffffd4,0x3ffffe00,0x3fffff45,0x3ffffe00,
    0xfffff706,0xffffffff,0xffff50ff,0xffffffff,0xf509ffff,0x800bffff,
    0x325fffff,0x002fffff,0x2fffffdc,0x3fffee00,0x3fea003f,0xffffffff,
    0xffffffff,0x3ffff22f,0xffffffff,0x01ffffff,0x3fffff22,0xffffffff,
    0x3f25ffff,0x0004ffff,0xfffffe80,0x3ffffee0,0xffffffff,0x0fffffff,
    0x05fffff7,0x3fffffe6,0xffffc81f,0xffffffff,0x00ffffff,0xefffffa8,
    0x7c46fffe,0xe80fffff,0x4007ffff,0x596fffff,0x8dfff501,0x07fffffc,
    0x3ffffee0,0xffffffff,0x09ffffb2,0x7fffff40,0x7ffffe46,0xfa87ffff,
    0xf987ffff,0x000fffff,0xd17ffffe,0x400fffff,0x05fffff8,0x3fffffa6,
    0x7fffffff,0xfffffd10,0xffffffff,0x3fffe607,0x3fe000ff,0x3ff25fff,
    0x64004fff,0x003fffff,0x1fffffdc,0xfffff500,0xffffffff,0x45ffffff,
    0xfffffffc,0xffffffff,0xfa801fff,0xffffffff,0x3fffffff,0x13fffff6,
    0x3ffa0000,0x3fee0fff,0xffffffff,0xffffffff,0xffff70ff,0x7ffdc05f,
    0x7e40efff,0xffffffff,0xefffffff,0xffff1001,0x47ffffff,0x3fffffe9,
    0x0fffffd0,0x7ffffc40,0x359dffd5,0xd73bfff9,0x09ffffff,0xfffffd80,
    0x2fffffff,0x009ffffb,0x37ffffd4,0x3fffffe2,0x7fd44fff,0xf883ffff,
    0x003fffff,0xb17ffffe,0x001fffff,0x0fffffe2,0x3fffae20,0x801cefff,
    0xffffffdb,0x7c403fff,0x003fffff,0xb97ffffe,0x007fffff,0x0ffffffc,
    0x3fffee00,0x3fea003f,0xffffffff,0xffffffff,0x3ffff22f,0xffffffff,
    0x01ffffff,0xffffb910,0x59ffffff,0xbfffffb0,0xffd00000,0x7fdc1fff,
    0xffffffff,0xffffffff,0xffff70ff,0xfffd805f,0x7fe45fff,0xffffffff,
    0x003fffff,0xffffffb8,0xffcbafff,0x3607ffff,0x000fffff,0x27fffff1,
    0xfffffffe,0xffffffff,0x0006ffff,0xffffffb3,0x0003ffff,0x3ffffe20,
    0xfffffb85,0xffdcdfff,0x206fffff,0x06fffffe,0x17ffffe0,0x01fffff9,
    0x3ffffe60,0x3ffe6002,0xfc980006,0xd000efff,0x00dfffff,0x32fffffc,
    0x03ffffff,0x3ffffea0,0x0000000f,0x3fe60000,0x40000eff,0x005ffffa,
    0x2aaee620,0x7ffec019,0x800005ff,0x20fffffe,0xfffffffb,0xffffffff,
    0xf70fffff,0x8805ffff,0x4ffffffe,0x3ffffff2,0xceffffff,0x3ffa0000,
    0xffffffff,0x3fffffff,0x3fffff20,0xffff3000,0x3ffffa5f,0xffffffff,
    0x0effffff,0x5d4c4000,0x00009aac,0x7ffffcc0,0xfffffd04,0xffffffff,
    0x5405ffff,0x03ffffff,0x8bfffff0,0x03fffffb,0x3fffff90,0x2fffd400,
    0x7ff44000,0x3ea000ff,0x003fffff,0xe8bfffff,0x004fffff,0x07fffffb,
    0x00000000,0x77fffc40,0x7fcc0000,0x000006ff,0x3ffffa00,0xf800005f,
    0x0007ffff,0x00000000,0x7ffffe40,0x0009aa99,0x3fffa200,0xffffffff,
    0x5c02ffff,0x003fffff,0x23fffff9,0xfffffffe,0xffffffff,0x00000dff,
    0xa8000000,0x103fffff,0xfffffffb,0xdfffffff,0xffffd003,0xfff009ff,
    0xfffa8bff,0xff8807ff,0x2000ffff,0x0004fffb,0x02ffffd8,0xfffffe80,
    0xffff804f,0x7fffd45f,0x7fe403ff,0x0000ffff,0x00033333,0xffffb000,
    0xffd00003,0x4c0001ff,0x54001999,0x002aaaaa,0x7fffc400,0x0000005f,
    0x64000000,0x000fffff,0xfffb0000,0xffffffff,0xff5001df,0xf100ffff,
    0x361fffff,0xffffffff,0xdfffffff,0x99980001,0x80000019,0x1fffffe8,
    0x7ffffec0,0xdfffffff,0xffff3000,0x1015bfff,0x88bfffff,0x0dffffff,
    0xfffffb10,0xfffc8009,0x7fcc0003,0xf30006ff,0x5bffffff,0xfffff101,
    0xfffffd0b,0xffc9839f,0x0003ffff,0x01fffff3,0x7fcc0000,0xa80006ff,
    0x0005ffff,0x03ffffe6,0x00000000,0x13ffffea,0x06666600,0x4cccc000,
    0xfffc8001,0x000000ff,0x3fffffe0,0x003dffff,0x3fffffe2,0xfffb100d,
    0xb95309ff,0x7bdffffd,0x26000015,0x000fffff,0x3ffa6000,0x6400ffff,
    0xffffffff,0xd8003dff,0xffffffff,0xfffeeeff,0xffb85fff,0xabcfffff,
    0xffffffcb,0x7ff4000e,0x7dc0002f,0x20006fff,0xfffffffd,0xffeeefff,
    0xfb85ffff,0xffffffff,0xfffffffe,0x3ee0006f,0x00005fff,0x2ffffdc0,
    0x7ffe4000,0x3ee0004f,0x00005fff,0x74003100,0x002fffff,0x07ffffcc,
    0x3ffe6000,0x7e4000ff,0x0000ffff,0xffff3000,0x00015799,0x7fffffdc,
    0xffcbabcf,0x800effff,0x0006fffa,0x3fffee00,0xd9800005,0xfffffffe,
    0xdffff803,0x0000abba,0x7fffff44,0xffffffff,0xf05fffff,0xffffffff,
    0xffffffff,0xfff0005f,0xfb80003f,0x099affff,0x3fffa200,0xffffffff,
    0x5fffffff,0xffffffd0,0xffffffff,0x40005fff,0x003ffffc,0x7ffe4000,
    0x00099aff,0xaeffffd8,0x7fe40019,0x000003ff,0x2015bf10,0xffffffe9,
    0x7ffdc000,0xfb80005f,0xc8005fff,0x000fffff,0xfff90000,0xf800001f,
    0xffffffff,0xffffffff,0xfff9002f,0x64000009,0x0003ffff,0xfffffa80,
    0xf9805fff,0x00002fff,0xfffff910,0xffffffff,0x2a0bffff,0xffffffff,
    0xffffffff,0xfff88004,0x7d40000f,0x2fffffff,0x7ffe4400,0xffffffff,
    0x05ffffff,0x3ffffff2,0xffffffff,0x7f40001e,0x00000fff,0x7ffffdc0,
    0xc8001fff,0xffffffff,0x3fffa000,0x0000000f,0x9bdffff1,0xffffffdb,
    0xff90005f,0x900007ff,0x0007ffff,0x01fffff9,0x3fe00000,0x800005ff,
    0xfffffffa,0xffffffff,0x3ff6004f,0x2000003f,0x000ffffe,0xffffa800,
    0xc800efff,0x0000ffff,0x7fffd400,0xffffffff,0x2203ffff,0xfffffffd,
    0x01efffff,0x0ffff300,0xffff1000,0x0005ffff,0x3fffffea,0xffffffff,
    0x7fdc03ff,0xffffffff,0x80000dff,0x0006ffff,0xffff8800,0x8001ffff,
    0xfffffff9,0x3ffe000f,0x0000006f,0x3fffffe2,0xffffffff,0xffd0004f,
    0xd00001ff,0x0001ffff,0x01fffff9,0xff300000,0x000005ff,0x3fffff62,
    0xefffffff,0x7fff4001,0x3e000002,0x00006fff,0xdfffff50,0x7fff4005,
    0x10000005,0xffffffb9,0x0059ffff,0x7fffff54,0x0003efff,0x0037ffd4,
    0xffffe980,0x220002ff,0xffffffdc,0x002cffff,0x3ffffb26,0x0002dfff,
    0x07ffff30,0x3a600000,0x01ffffff,0xfffff500,0x3e6001ff,0x00003fff,
    0x3fffe200,0xffffffff,0x88000dff,0x0006ffff,0x00dffff0,0x3fffff20,
    0xc8000000,0x0000ffff,0x7fff5400,0x03efffff,0x03ffff00,0x3fe60000,
    0x000003ff,0x0059bdf5,0x03ffff98,0x31000000,0x00335577,0x35753100,
    0x7fdc0000,0x5400005f,0x000acccb,0x2aee6200,0x3000019a,0x00001575,
    0x03dddd50,0xca800000,0x40002ccc,0x02cccca8,0x07bbbaa0,0xf8800000,
    0xffffffff,0x0001efff,0x00ffffe6,0x3fffe600,0xfff90003,0x000001ff,
    0x00133310,0xa9880000,0x440001ab,0x0000ffff,0x3dddd500,0x00000000,
    0x00cccc40,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xd9300000,0x579dfffd,0xddd50000,
    0xd500003d,0x20003ddd,0x00aaaaa9,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x99988000,0x00009999,0xccccc880,0x054c0001,0x00006a20,0x9bcdca88,
    0x4ccc4000,0x31000999,0x31001333,0x79bdd975,0x15300015,0x0001a880,
    0x400732a0,0x99999998,0x00000199,0xccccc980,0x998800cc,0x13331009,
    0x79750000,0x26660005,0x22000099,0x10019999,0x01333333,0x20133310,
    0x00009998,0x002f2e20,0x19988000,0x00a98000,0x40000d44,0x0000aba8,
    0x01575100,0x7ffff400,0x00006fff,0x7fffffcc,0xfe88001f,0xfff502ff,
    0x7e40001d,0xffffffff,0xfffb003e,0x2e00dfff,0x2606ffff,0xfffffffd,
    0x00ffffff,0x02fffe88,0x001dfff5,0x4ffffd80,0xfffffe80,0xefffffff,
    0x2000000c,0xeffffff9,0xbfff7001,0x00bfffe0,0xffffe980,0x3e6001ef,
    0x0005ffff,0x01fffffa,0x3fffffe2,0xfffb800e,0x05ffff05,0x3ffe6000,
    0x500001ff,0xffffffdb,0x22007bdf,0xf502fffe,0x30001dff,0x19fffffd,
    0xf30009b0,0x0003dfff,0xfffffff1,0x200001ff,0xfffffff9,0x7ec001ff,
    0x7c40ffff,0x8004ffff,0xffffffe9,0x04ffffff,0xffffffd8,0xfffb801f,
    0xfffc886f,0xffffffff,0xd800ffff,0x440fffff,0x004fffff,0x3ffffea0,
    0x7fff401f,0xffffffff,0x001dffff,0x7fffcc00,0x26000dff,0x3263ffff,
    0x0000ffff,0xfffffff1,0x3e6001df,0x0005ffff,0x01fffffa,0x3ffffff6,
    0xffff3001,0x7fffe4c7,0xffd00000,0x8000dfff,0xffffffea,0x06ffffff,
    0x1fffffb0,0x4fffff88,0x7fffc400,0x99cfffff,0x22005ffd,0x0fffffff,
    0x7fffdc00,0x002fffff,0xfffff980,0x02fffffc,0x3fffffe0,0x7ffffdc2,
    0x7ffdc007,0xffffffff,0x200effff,0xfffffffd,0xffffb805,0x7ffff446,
    0xffffffff,0xf800ffff,0x5c2fffff,0x007fffff,0x3fffff20,0x7fff403f,
    0xffffffff,0x01ffffff,0xffff3000,0x3a0007ff,0xffffffff,0x20005fff,
    0xfc9cfffc,0xff3003ff,0x4000bfff,0x407ffffe,0x4ffffffa,0x7ffff400,
    0x5fffffff,0x3ffe0000,0x0000ffff,0xfffffff7,0xdfffffff,0x3ffffe00,
    0x7fffdc2f,0x3fa2007f,0xffffffff,0x1fffffff,0xfffff900,0xfd8007ff,
    0xffffffff,0x7fd40005,0xfff31eff,0x3fe005ff,0x7d42ffff,0x2006ffff,
    0xfffffffb,0xffffffff,0xffb00fff,0x01ffffff,0x46ffffb8,0xfffffffd,
    0xffffffff,0xfff800ff,0x7fd42fff,0x20006fff,0x3ffffffc,0x7fffff40,
    0xffffffff,0x000fffff,0x7ffffcc0,0x3e60001e,0xffffffff,0x360000ff,
    0x2ffec5ff,0xfffff980,0x3ffa0005,0x3fe207ff,0x8006ffff,0xfffffff9,
    0x0000ffff,0x3fffffe0,0xfff50007,0xffffffff,0x200dffff,0x42ffffff,
    0x06fffffa,0x37fffe60,0xfffffffd,0x36003fff,0x5fffffff,0x7ffffc00,
    0x007fffff,0x37bbb660,0x77776c40,0xffffc801,0xfffff886,0xffff1003,
    0xfb9bffff,0x7fffffff,0x3fffff60,0x7dc04fff,0x3fee6fff,0xabdfffff,
    0xffecba99,0xffffc800,0xfffff886,0x3fe60003,0x7400ffff,0xcccfffff,
    0xffffffed,0x220005ff,0x004eeeed,0xffffd300,0x0003dfff,0x7e43ffe8,
    0xfff3005f,0x74000bff,0x3607ffff,0x00ffffff,0xffffd300,0x0003dfff,
    0xfffffd80,0xfff88005,0x99acefff,0x006fecaa,0x10dffff9,0x007fffff,
    0x3220ff98,0x4fffffff,0x7fffec00,0x2a004fff,0xffffffff,0x00001fff,
    0x7e400000,0xffd300ef,0x7ffe4009,0xff503fff,0x360fffff,0xffffffff,
    0x3ffee00f,0x3ffffa6f,0x051000ef,0x8077fe40,0x0004ffe9,0x02ffffb8,
    0x07ffffe8,0xffffff71,0x0000000f,0xbdb95000,0x32000059,0xfff31eff,
    0x3ffe6009,0x3a0005ff,0xf507ffff,0x007fffff,0x9bdb9500,0x22000005,
    0x000dfffd,0xffffff98,0x64003000,0xfd300eff,0x0660009f,0x0df7f644,
    0x7fffd400,0x32002fff,0xffbfffff,0x00004fff,0x01000000,0xff100020,
    0xa805ffff,0x83ffffff,0xfffffffd,0x3fee03ff,0x3fffe6ff,0x000001ff,
    0x00010008,0x000aa880,0x80fffffd,0x0ffffffa,0x00000000,0x40000000,
    0xfffffff9,0xff3001ff,0x4000bfff,0x887ffffe,0x05ffffff,0x00000000,
    0x000d4c00,0x9fffff70,0x00800000,0x00000010,0x7fec0000,0x7c005fff,
    0xff9cffff,0x5c006fff,0x000eeeee,0x00000000,0x9fffffb0,0x3ffff200,
    0xffffd86f,0x207fffff,0xf16ffffb,0x001fffff,0x00000000,0xe8000000,
    0xe807ffff,0x402fffff,0xeeeeeeec,0x000eeeee,0x00000000,0x7fffffdc,
    0x3fe6002f,0x20005fff,0xc87ffffe,0x00ffffff,0x00000000,0xc8000000,
    0x006fffff,0x00000000,0x00000000,0x007dfd70,0x2fffff98,0x01ffffff,
    0x7ffffe40,0x30000000,0x01379b95,0xfffff880,0xfff3001f,0xffd83fff,
    0xfffffeff,0xdffff703,0x3fffffe6,0x26200001,0x4c001999,0x00009999,
    0x59999751,0xfffffd03,0xfffffb00,0xffffd807,0xffffffff,0x26662000,
    0x4ccc0019,0x6cc00099,0x4000cefe,0x05fffff9,0x3ffffa00,0x7ffffd47,
    0x2600002f,0x009bcdca,0x33333300,0x33333333,0x03333333,0x3fffffee,
    0x44000004,0x09999999,0x4cc40000,0x00099999,0xfb800000,0xff90ffff,
    0x64007fff,0x000fffff,0x3ff62000,0xefffffff,0xffff5002,0xffe800df,
    0x7fec2fff,0xffffecff,0xdffff706,0x3fffffe2,0xfd00000d,0xf800ffff,
    0x1006ffff,0xffffffd9,0x74bfffff,0xd807ffff,0x402fffff,0xfffffffd,
    0x000fffff,0x01fffffa,0x0dfffff0,0x4ccccc40,0x3e600099,0x0005ffff,
    0x89fffffa,0x04fffffe,0xfffd8800,0x2effffff,0x7ffffc00,0xffffffff,
    0xffffffff,0xfffff881,0x00000dff,0xffffffd0,0xe80000df,0x6fffffff,
    0x80000000,0x2a6ffffd,0x005fffff,0x03fffff2,0x7f4c0000,0xffffffff,
    0xfc804fff,0x4003ffff,0x43fffffc,0xfbcffffd,0xfb82ffff,0x3ffe6fff,
    0x001effff,0x7ffffe80,0x7ffffc00,0xfffe9806,0xffffffff,0x3fffa7ff,
    0xffff807f,0x7fec01ff,0xffffffff,0x3fa000ff,0x7c007fff,0x2006ffff,
    0xfffffffe,0x3ffe6006,0x3a0005ff,0x3f27ffff,0x0006ffff,0xfffffe98,
    0x4fffffff,0x3ffffe00,0xffffffff,0xffffffff,0xfffffb01,0x00007fff,
    0xffffff88,0x00000fff,0xfffffff1,0x000001ff,0x7fffc400,0x3fffe23f,
    0x3ff2007f,0x00000fff,0xffffffb8,0xffffffff,0x3ffa00ef,0x5c002fff,
    0x6c4fffff,0xff8cffff,0xffb86fff,0x3fff66ff,0x02efffff,0x3ffffa00,
    0x7fffc007,0x7ffdc06f,0xffffffff,0x3fa7ffff,0x7dc07fff,0xc807ffff,
    0xffeeeeee,0x2000ffff,0x007ffffe,0x037ffffc,0xffffff88,0xf3000fff,
    0x000bffff,0x9bfffff4,0x01ffffff,0x7fffdc00,0xffffffff,0xf800efff,
    0xffffffff,0xffffffff,0xfb81ffff,0xffffffff,0x700002ef,0xffffffff,
    0x2e00005f,0xffffffff,0x0000002f,0x3ffffea0,0x7fffff41,0xffff9002,
    0xc800001f,0xffffffff,0xffffffff,0xfffd00ff,0xfa8005ff,0x7ec5ffff,
    0xfff94fff,0xfffb83ff,0x3fffe26f,0xcfffffff,0x7fff4001,0x7ffc007f,
    0xffb106ff,0xffffffff,0x4fffffff,0x107ffffe,0x5ffffff9,0xfffe8000,
    0x3fa000ff,0x7c007fff,0x7006ffff,0xffffffff,0x3fe6005f,0x20005fff,
    0xe8fffffe,0x003fffff,0x7ffffe40,0xffffffff,0x400fffff,0xffffffff,
    0xffffffff,0x641fffff,0xffffffff,0x00dfffff,0x7fffec00,0x005fffff,
    0xfffffb00,0x000bffff,0x7fe40000,0xfffb87ff,0xff9004ff,0x00001fff,
    0x7fffffc4,0xfffdcdff,0xf03fffff,0x003fffff,0x6fffffa8,0x8a7fffec,
    0x5c5fffff,0x7d46ffff,0xffffffff,0xd002efff,0x800fffff,0x906fffff,
    0xffffffff,0xffdb99bf,0x7ffff4ff,0xffeccccf,0x005fffff,0xfffffe80,
    0x3fffa000,0x7ffc007f,0xffb006ff,0xbfffffff,0x3fffe600,0x3fa0005f,
    0xfffcffff,0x440005ff,0xffffffff,0xfffffdcd,0x7fc03fff,0xffffffff,
    0xffffffff,0x3fea0fff,0xffffffff,0x03ffffff,0x3ffffe00,0x007fffff,
    0xffffff00,0x000fffff,0x7ffc0000,0xfff985ff,0xff9006ff,0x00001fff,
    0x7fffffec,0xfffff502,0x3fffe0ff,0x7cc000ff,0x7ec7ffff,0x3ff64fff,
    0x3fee0fff,0xfffb86ff,0xffffffff,0x7f401eff,0x7c007fff,0xf886ffff,
    0x1dffffff,0xffd3ed40,0xffffffff,0x09ffffff,0x3fffa000,0x3fa000ff,
    0x7c007fff,0xf006ffff,0xffffffff,0x3fe600ff,0x20005fff,0xfffffffe,
    0x0000ffff,0x7fffffec,0xfffff502,0x700000ff,0x89ffffff,0xadffffff,
    0xfffffffe,0xfa8004ff,0xffffffff,0x540001ff,0xffffffff,0x00001fff,
    0xffff9800,0xfffff03f,0xfff9003f,0x200001ff,0x2ffffff9,0x7ffffd40,
    0x7fffc42f,0x7c4000ff,0x7ec7ffff,0x3fe64fff,0x3fee4fff,0xffd306ff,
    0xffffffff,0x7f407fff,0x7c007fff,0xfd86ffff,0x004fffff,0xfffffd04,
    0xffffffff,0x4000039d,0x00fffffe,0x1fffffa0,0xdfffff00,0xfffff500,
    0x03ffffff,0xbfffff30,0x7fff4000,0xffffffff,0x3fe60003,0x5402ffff,
    0x02ffffff,0x3ffe2000,0x7fd46fff,0x7fe46fff,0x5fffffff,0x7fffe400,
    0x4fffffbf,0x7ffe4000,0xfffffbff,0x3b6e0004,0xfff9001c,0x3ff601ff,
    0xfc803fff,0x6540ffff,0x6c00acdd,0x003fffff,0x0dfffff9,0x03ffffff,
    0xfffff980,0x27fffec6,0x43fffffa,0x406ffffb,0xffffffda,0x03ffffff,
    0x00fffffd,0x46fffff8,0x3ffffff9,0x7fff4000,0xffffffff,0x800002ff,
    0x00fffffe,0x1fffffa0,0xdfffff00,0xfffff900,0x09fffff7,0xbfffff30,
    0x7fff4000,0xfffffcff,0xffb0000f,0x32007fff,0x006fffff,0x3ffffa00,
    0x7ffe41ff,0xffd883ff,0x03ffffff,0x33ffffe0,0x06fffff9,0x7ffffc00,
    0x6fffff9c,0xffff9000,0xfffd005f,0x7ffd40df,0xffc805ff,0x3ffee7ff,
    0x303fffff,0x01ffffff,0x3ffffe60,0x7ffffc1f,0x7fd4001f,0x7fec5fff,
    0x7ffd44ff,0xffff73ff,0x3ff2600d,0xffffffff,0xffffe81f,0x7fffc007,
    0x7ffff46f,0xfe80007f,0xffffffff,0x005fffff,0x7ffff400,0x3ffa000f,
    0x7fc007ff,0xff806fff,0xfff9cfff,0xff9806ff,0x20005fff,0xe8fffffe,
    0x006fffff,0xffffff98,0xffff3000,0x700003ff,0x09ffffff,0x07fffffb,
    0x7fffffd4,0xff9800ff,0xffff2fff,0x260001ff,0xff2fffff,0x8001ffff,
    0xfffffff9,0x3fffe201,0x3ffe204f,0x7e400fff,0xfffb7fff,0xbfffffff,
    0xdfffff50,0xffffe800,0x7ffff42f,0x7fd4002f,0x7fec4fff,0xfffe84ff,
    0xdffff77f,0xfffb5000,0xd0bfffff,0x800fffff,0x226fffff,0x03ffffff,
    0xffffe800,0xffffb717,0x400007ff,0x00fffffe,0x1fffffa0,0xdfffff00,
    0xfffff980,0x1ffffff2,0xfffff980,0x3ffa0005,0xffff37ff,0xfa8007ff,
    0x4006ffff,0x02fffffe,0x7fffc400,0xfffb06ff,0xff980bff,0x803fffff,
    0x90fffffb,0x007fffff,0x3ffffee0,0x7fffff90,0xffffb800,0x3ee04fff,
    0x7402ffff,0x402fffff,0xfdfffffc,0xffffffff,0x7fe41fff,0x64003fff,
    0x6c3fffff,0x002fffff,0x1fffffdc,0x213ffff6,0xbafffffb,0x0006ffff,
    0x3fffffa6,0xffffe87f,0x7fffc007,0x3fffe66f,0xe80000ff,0xfd87ffff,
    0x000fffff,0xfffffd00,0x7fff4001,0x7ffc007f,0x7fdc06ff,0xfff90fff,
    0xff9807ff,0x20005fff,0x367ffffe,0x01ffffff,0x3fffff20,0x7ffe4003,
    0x6c0003ff,0x01ffffff,0x3ffffff9,0xfffff880,0xfffd805f,0x3fffea6f,
    0xffb0005f,0x7ffd4dff,0x7dc005ff,0x07ffffff,0x3ffffff6,0xffffffff,
    0x404fffff,0xfffffffc,0xffffffff,0x7ff46fff,0x5c002fff,0x644fffff,
    0x004fffff,0x1fffffe4,0x213ffff6,0xbefffff8,0x0006ffff,0x7fffff44,
    0x7ffff40f,0x7fffc007,0x3fffea6f,0xfd00006f,0x3fa0ffff,0x0005ffff,
    0x1fffffd0,0x7ffff400,0x7fffc007,0x7ffec06f,0x3fffea6f,0x7ffcc05f,
    0x3a0005ff,0x3e27ffff,0x006fffff,0x0bfffffa,0xfffff700,0x7fdc0009,
    0x2a03ffff,0x2fffffff,0x7ffffe40,0x7fffc407,0x3fffe23f,0xff88007f,
    0x3fe23fff,0x4c007fff,0xffffffff,0xffffff00,0xffffffff,0x0fffffff,
    0xffffffc8,0xfebadfff,0x3e1fffff,0x002fffff,0x2fffffd4,0x1ffffff2,
    0xffffff00,0x4ffffd83,0xbfffff90,0x000dffff,0xffffff50,0x7ffffe85,
    0x7ffffc00,0x3ffffee6,0xffd00005,0x3fe60fff,0x0001ffff,0x0fffffe8,
    0x3ffffa00,0x7fffc007,0x3ffe206f,0x3ffe23ff,0x7fcc07ff,0x20005fff,
    0x5c7ffffe,0x04ffffff,0x5ffffff0,0xffffa800,0xff10005f,0xd00dffff,
    0x7fffffff,0x7ffffcc0,0x7fffd407,0x7ffff41f,0x7fd4002f,0x7ff41fff,
    0x6c002fff,0x1fffffff,0xffffffa8,0xffffffff,0x1fffffff,0x3fffff20,
    0xffe80eff,0x3ffe2fff,0x54001fff,0x4c6fffff,0x01ffffff,0xdfffff50,
    0x09ffffb0,0x3fffffe2,0x0006ffff,0xffffff88,0x3fffff41,0x3ffffe00,
    0x3fffff66,0xffd00004,0x7ff40fff,0x80005fff,0x00fffffe,0x1fffffa0,
    0xdfffff00,0x7ffffd40,0x7fffff41,0x3fffe602,0x3fa0005f,0xffe87fff,
    0xf801ffff,0x001fffff,0x37ffffd4,0xffffd800,0xff9800ff,0x1effffff,
    0x6fffffa8,0x3ffffe40,0x27ffffdc,0x3ffff200,0xfffffb87,0xfffe8004,
    0xffc80fff,0xffffffff,0xffffffff,0x3f204fff,0x00efffff,0x47fffff9,
    0x00ffffff,0x7ffffcc0,0xfffffe87,0xffffb004,0xffffb07f,0x7fffec09,
    0x006fffff,0xfffff980,0x7ffffe87,0x7ffffc00,0x3fffffa6,0xffd00003,
    0x7fdc0fff,0x0000ffff,0x07fffff4,0xfffffd00,0xfffff800,0x3ffff206,
    0xfffffb87,0x3fffe604,0x3fa0005f,0xff987fff,0xf806ffff,0x000fffff,
    0x3fffffcc,0x7fffdc00,0x3f2003ff,0xffffffff,0x3ffff20d,0x7fffc05f,
    0xffff985f,0x7ffc006f,0xfff985ff,0xf98006ff,0xfd07ffff,0xddddffff,
    0xfddddddd,0x640dffff,0x01ffffff,0x53ffffea,0x0ffffff8,0x7fffcc00,
    0xffffb87f,0x7fe403ff,0xffb07fff,0x7fcc09ff,0x6fffffff,0x3f600013,
    0xfe85ffff,0x7c007fff,0x3fe6ffff,0x0003ffff,0x0fffffd0,0x4ffffff8,
    0x7fff4000,0x3fa000ff,0x7c007fff,0x3e06ffff,0xf985ffff,0x2606ffff,
    0x005fffff,0x1fffffa0,0x7fffffe4,0x3fffe204,0x7cc000ff,0x4007ffff,
    0x5ffffff8,0xffffb800,0xabffffff,0x02ffffff,0x0fffffe6,0x0ffffffc,
    0xfffff980,0xffffff03,0xfffd0003,0xffff30bf,0x7fcc007f,0xf900ffff,
    0x8805ffff,0x3e4fffff,0x001fffff,0x3fffffcc,0x7fffffc4,0x7fe4c1cf,
    0xfb04ffff,0xfe809fff,0x6fffffff,0x80159df9,0xffffffda,0x7ffffe83,
    0x7ffffc00,0x3fffffe6,0xffd00003,0xffc80fff,0x0000ffff,0x03fffffa,
    0x7ffffe80,0x7ffffc00,0xfffff306,0x3ffffe07,0xffff301f,0x7f4000bf,
    0x3fa07fff,0x201fffff,0x01ffffff,0x7ffffcc0,0x7ffec007,0x50000fff,
    0xffffffff,0xffffffff,0xffffc80d,0xffffb00f,0x3ff2007f,0xffb00fff,
    0xf0007fff,0xf709ffff,0x8003ffff,0x02fffffe,0x01fffff9,0x4fffff88,
    0x07fffffa,0xfffff500,0x3ffff20f,0xffefffff,0x0effffff,0x09ffffb0,
    0xffffffa8,0xffff96ff,0xfdb9ddff,0xdfffffff,0xfffffd01,0xfffff800,
    0x3fffffa6,0xffd00004,0xff880fff,0x0004ffff,0x03fffffa,0x7ffffe80,
    0x7ffffc00,0xfffff906,0x3ffff601,0xffff303f,0xffffffff,0x2dffffff,
    0x207ffffe,0x6ffffffa,0x3fffffa0,0x7ffd4001,0x3ee007ff,0x003fffff,
    0x7fffec40,0xffffffff,0x7ff400ff,0x3fea06ff,0xfd005fff,0x7d40dfff,
    0x4005ffff,0x80fffffa,0x007ffffd,0x5fffffc8,0x1fffff90,0xfffff880,
    0x3fffff64,0x7ffd4002,0x3ff606ff,0xffffffff,0x0effffff,0x13ffff60,
    0x3fffffa0,0xffff96ff,0xffffffff,0x3fffffff,0x1fffffa0,0xdfffff00,
    0x2fffffec,0xfffe8000,0xfffd807f,0xd0000fff,0x001fffff,0x03fffff4,
    0x1bffffe0,0x037ffff4,0x0bfffff5,0x3fffffe6,0xffffffff,0xffd6ffff,
    0xffd80fff,0xfb04ffff,0x8005ffff,0x06fffffa,0xffffff10,0x7540000b,
    0xffffffff,0x7c401fff,0x2204ffff,0x00ffffff,0x27ffffc4,0xffffff10,
    0x3ffee001,0xfff882ff,0xfa8004ff,0xf907ffff,0x8801ffff,0x324fffff,
    0x002fffff,0x2fffffdc,0x3fffff60,0xffffffff,0x7fec00ff,0xffb804ff,
    0xf96fffff,0xffffffff,0xffffffff,0x7fff405f,0x7ffc007f,0x3fff26ff,
    0xd00006ff,0x300fffff,0x07ffffff,0x3ffffa00,0x3ffa000f,0x7fc007ff,
    0xff886fff,0x3e204fff,0x980fffff,0xffffffff,0xffffffff,0xffffd6ff,
    0xffff880f,0xffc82fff,0x5c002fff,0x005fffff,0x1ffffffb,0xff700000,
    0x1fffffff,0xfffff700,0xffffe805,0x7ffdc02f,0x7ff402ff,0xca982fff,
    0x4ffffffd,0x5fffff50,0xffff1000,0xfff903ff,0xff8801ff,0x3ff24fff,
    0x64004fff,0x803fffff,0xfffffffd,0x00dfffff,0x04ffffd8,0xffffff88,
    0xfffff96f,0xffffffff,0xe803bfff,0x2007ffff,0x25fffff8,0x0ffffffa,
    0xfffe8000,0xfffd007f,0xd0001fff,0x001fffff,0x03fffff4,0xbfffff10,
    0x5fffff70,0xfffffe80,0xfffff982,0xffffffff,0xfd6fffff,0xf700ffff,
    0x81dfffff,0x04fffffc,0x7ffffe40,0xffffb803,0x000002ff,0x3fffff62,
    0xffd802ff,0xffffffff,0xffffffff,0x7ffec04f,0xffffffff,0xffffffff,
    0xfffffc84,0x3f204fff,0x0000ffff,0x09fffffd,0x01fffff9,0x4fffff88,
    0x1fffffee,0xffffff00,0x3fae2003,0x1cffffff,0x3ffff600,0xffff9004,
    0x3f6e6dff,0xffffffff,0xb000cfff,0x001fffff,0x8fffffe2,0x4ffffff9,
    0xfffe8000,0xfff5007f,0xd0007fff,0x001fffff,0x07ffffec,0xfffff880,
    0xfffffd83,0xffffffff,0x84ffffff,0xfffffff9,0xffffffff,0xfffd6fff,
    0x3ffa00ff,0x7dc4ffff,0x4007ffff,0x01ffffff,0x7fffffc4,0x90000005,
    0x0bffffff,0xfffffff0,0xffffffff,0x80ffffff,0xffffffff,0xffffffff,
    0xfc87ffff,0x00dfffff,0x3e600000,0xf900efff,0x8801ffff,0x264fffff,
    0x01ffffff,0xffffff50,0xfff90001,0x000001ff,0x53100000,0x01355975,
    0xfffff900,0x3ffe6001,0x3ffe22ff,0x0000ffff,0x00000000,0x3fffffa0,
    0x3fff2000,0xff3000ff,0xfff05fff,0xffffffff,0xffffffff,0x000000ff,
    0x98000000,0x01ffffff,0xffffff50,0xffffd801,0x000000ff,0x3fffff60,
    0x7fffd406,0xffffffff,0xffffffff,0xffff501f,0xffffffff,0xffffffff,
    0xefffc83f,0x0000002c,0x07ffffc4,0x1fffff90,0xfffff880,0x7fffff44,
    0xffffb004,0x3ea0007f,0x0003ffff,0x00000000,0x3fee0000,0xf9003fff,
    0xfc83ffff,0x004fffff,0x00000000,0x3ffffa00,0x3fee000f,0xf9003fff,
    0xfa83ffff,0xffffffff,0xffffffff,0x0001ffff,0x00000000,0x7fffff40,
    0xffffb004,0xfffb807f,0x00002fff,0x7fffdc00,0x7ffe405f,0xffffffff,
    0xffffffff,0xfff904ff,0xffffffff,0xffffffff,0x009989ff,0x6c000000,
    0x6401ffff,0x400fffff,0x44fffff8,0x3ffffffa,0x7ffffe40,0xff10000f,
    0x0c01dfff,0x19999800,0x4ccc0000,0xffa80019,0xf8807fff,0x440fffff,
    0xefffffff,0x40071000,0x00019999,0x3ffffa00,0x3fea000f,0xf8807fff,
    0x640fffff,0xffffffff,0xffffffff,0x004fffff,0x000ccccc,0x00ccccc0,
    0xfffff500,0xfffc807f,0x3e200fff,0x005fffff,0x3a000440,0x403fffff,
    0xeefffffe,0xeeeeeeee,0x06fffffe,0xddfffffd,0xdddddddd,0x0dfffffd,
    0x00000000,0x00dffff3,0x01fffff9,0x4fffff88,0xffffffe8,0x7ffe4c1c,
    0x40003fff,0x2effffff,0x0003faa2,0x01fffff3,0x3ffe6000,0x7c4000ff,
    0x00dfffff,0x9fffffb1,0x3ffffee0,0x4c09beff,0xf3007fdb,0x0001ffff,
    0x3ffffa00,0x3fe2000f,0x100dffff,0x09fffffb,0xddfffffd,0xdddddddd,
    0x0dfffffd,0x7ffffcc0,0x3fe60000,0x20000fff,0xcffffffe,0x7fffe4c1,
    0x7fec03ff,0xaaabffff,0xaaaaaaaa,0x59df50aa,0xfffb5103,0x7cc03fff,
    0x2003ffff,0x0ffffff9,0x1fffffcc,0xfffff300,0x0000001f,0xffffb800,
    0xffffc805,0x7ffc400f,0xfffb84ff,0xfeffffff,0x6fffffff,0xfffb8000,
    0xffffffff,0x7dc005ff,0x00005fff,0x017fffee,0x7ffffdc0,0xfcbabcff,
    0x00efffff,0x3ffffffa,0xffffffff,0xf7007fff,0x0000bfff,0x7fffff40,
    0x7ffdc000,0xbabcffff,0xeffffffc,0x7ffffcc0,0x3ffe6003,0xf7000fff,
    0x8000bfff,0x005ffffb,0x7ffffdc0,0xfffeffff,0x406fffff,0xfffffffa,
    0xffffffff,0x53ffffff,0xdfffffff,0xfffffffd,0xfffb80df,0x7f4001ff,
    0x7dc2ffff,0x4001ffff,0x02fffffe,0x40000000,0x9afffffc,0xffffc809,
    0x7ffc400f,0xfffd04ff,0xffffffff,0x05ffffff,0x3fffa000,0xffffffff,
    0x3f2003ff,0x00003fff,0x00fffff2,0xffffff80,0xffffffff,0x5402ffff,
    0xffffffff,0xffffffff,0xfff9007f,0x6540007f,0xffcccccc,0xccccffff,
    0xfff00ccc,0xffffffff,0x5fffffff,0x3fffff70,0xffffe800,0xfff9002f,
    0xfc80007f,0x80003fff,0xfffffffe,0xffffffff,0x7fdc02ff,0xffffffff,
    0xffffffff,0xfff53fff,0xffffffff,0x01dfffff,0x07ffffd8,0xfffffc80,
    0x3ffffec5,0x7fffe400,0x0000005f,0x7fffd400,0xfc82ffff,0x4400ffff,
    0x204fffff,0xfffffffc,0xefffffff,0x3e200001,0xffffffff,0x2005ffff,
    0x000ffffe,0x3ffffa00,0x3fea0000,0xffffffff,0x04ffffff,0xfffffb10,
    0xffffffff,0x3fa00fff,0x20000fff,0xfffffffb,0xffffffff,0x500fffff,
    0xffffffff,0xffffffff,0x3ffff609,0xfffc8007,0xffd005ff,0xe80001ff,
    0x0000ffff,0xffffff90,0xffffffff,0xfff7003d,0xffffffff,0xffffffff,
    0x3ffea7ff,0xffffffff,0x400effff,0x04fffff8,0xfffffa80,0x3ffffe27,
    0xfffa8004,0x000007ff,0x7ffc4000,0xc82fffff,0x400fffff,0x04fffff8,
    0x7fffffdc,0x0dffffff,0xfc880000,0xffffffff,0x7ffc002f,0x7c00006f,
    0x80006fff,0xffffffd8,0x1effffff,0xffffb800,0xffffffff,0xfff007ff,
    0xfb8000df,0xffffffff,0xffffffff,0x36200fff,0xffffffff,0x101effff,
    0x009fffff,0xffffff50,0xdffff100,0xffff0000,0xfb80000d,0xffffffff,
    0x7000dfff,0xffffffff,0xffffffff,0x267fffff,0xfffffffe,0x02dfffff,
    0x5fffff50,0xffff1000,0x3ffea3ff,0xf88002ff,0x001fffff,0x4c000000,
    0x2ffffffe,0x0fffffc8,0x7ffffc40,0xffec9804,0x02dfffff,0xdc880000,
    0x00bceffe,0x1ffffcc0,0xfff30000,0x5400007f,0xfffffffe,0x440003ef,
    0xfffffedb,0x3001beff,0x0007ffff,0xffffffb8,0xffffffff,0x00ffffff,
    0xfffffea8,0x5403efff,0x002fffff,0xffffff88,0x7fffcc01,0x7fcc0003,
    0x800003ff,0xfffffec9,0x5c002dff,0xffffffff,0xffffffff,0x983fffff,
    0xaccccbaa,0x7fe4000a,0xd0000fff,0x329fffff,0x000fffff,0x9fffffd0,
    0x00000000,0x2b3332a0,0xfffffc80,0x7fffc400,0xba98004f,0x0000000a,
    0xea800000,0x00001eee,0x007bbbaa,0x5d4c4000,0x4000001a,0x00019aa9,
    0x003dddd5,0xfffffb80,0xffffffff,0x0fffffff,0x55d4c400,0x3fff2001,
    0xfd0000ff,0xa809ffff,0x0001eeee,0x00f77754,0x5d4c0000,0x0000000a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4cc40000,0x99999999,0x00000999,0x7ffffff5,0x7fffffe4,
    0x99998803,0x99999999,0x7d400009,0x0003ffff,0xffffc800,0x53001eff,
    0x001a8801,0x3fffff30,0x0efffe98,0x20054c00,0x540001a8,0x23ffffff,
    0x3ffffffc,0x02aea200,0x3ffa6000,0x0003ffff,0x7fe40000,0x001effff,
    0x3ffffea0,0x00000003,0x98006662,0x00d4400a,0x00aba880,0x3fa20000,
    0x0000efff,0x7fffe400,0x88001eff,0x00000bcb,0x3fffffee,0x3fffffff,
    0xfff98000,0x3ff61fff,0x7001efff,0xffffffff,0x007fffff,0x7ffffdc0,
    0x000003ff,0x3ffffff2,0xfffd1005,0x3bffea05,0xffe98000,0xffff73ff,
    0x7f44001d,0xfff502ff,0xff30001d,0x7ec3ffff,0x001effff,0x9fffffd3,
    0x22009b01,0x3ffffffd,0x90000000,0x0bffffff,0xffffb800,0x00003fff,
    0xfffd9100,0x7440bfff,0xff502fff,0x3a6001df,0x80cfffff,0xfd10004d,
    0x01dfffff,0x3ff20000,0x0004ffff,0x03fffff3,0x3ffee000,0xffffffff,
    0x4c0003ff,0x20dfffff,0x04fffffd,0x7ffffdc0,0xffffffff,0xfff70003,
    0x09ffffff,0xfff90000,0x6c005fff,0x440fffff,0x004fffff,0xdffffd10,
    0x001dffff,0x0fffffd8,0x27ffffc4,0x3fffe600,0x3fff60df,0x3e2004ff,
    0xffffffff,0x05ffd99c,0x3ffffee0,0x0000003f,0x7fffffe4,0x7fdc0002,
    0x4fffffff,0x7dc00000,0xffffffff,0x3ffff606,0x7fffc40f,0xfff8804f,
    0x9cffffff,0x4005ffd9,0xffffffe8,0x00000eff,0x7fffffe4,0x3ffa0002,
    0x00006fff,0xfffffff7,0x07ffffff,0x7fffcc00,0x7fffec4f,0xffb8002f,
    0xffffffff,0xc8003fff,0xfeaeffff,0x00004fff,0x3bfffff2,0x7fffc000,
    0x7ffdc2ff,0x220007ff,0xfffffffe,0xfff8000e,0x7fdc2fff,0x26007fff,
    0x6c4fffff,0x002fffff,0x3fffffa2,0xffffffff,0x26001fff,0x03fffffe,
    0xff900000,0x0001dfff,0xaeffffc8,0x004ffffe,0xffff9000,0x0dffffff,
    0x17fffffc,0x1fffffee,0xfffffd10,0xffffffff,0x26003fff,0xfcbfffff,
    0x0000efff,0xdfffff90,0xfff80001,0x0000ffff,0xffffffb8,0x3fffffff,
    0xffff3000,0xffffd85f,0xff70000d,0xffffffff,0xc8007fff,0x3624ffff,
    0x0004ffff,0x4fffffc8,0xfffff000,0xffffa85f,0x7440006f,0x00efffff,
    0xffffff00,0xfffffa85,0xffff3006,0xffffd85f,0x7fcc000d,0xffffddff,
    0x03ffffff,0xfffff900,0xc8000007,0x004fffff,0x4ffffc80,0x13ffff62,
    0xfff30000,0xffffffff,0x7ffffc0d,0x7fffd42f,0x7ffcc06f,0xfffffddf,
    0x003fffff,0x43dffff3,0x01fffffa,0x7fffe400,0xff00004f,0x000fffff,
    0x00000000,0x302aaaaa,0x00055555,0x10000000,0x2a055555,0x0000aaaa,
    0x06aaaaa2,0xffffc800,0xfffff886,0xaa880003,0x20000aaa,0x886ffffc,
    0x003fffff,0x98155555,0x0002aaaa,0xfc883fe6,0x04ffffff,0x55554c00,
    0x1000000a,0x00355555,0x55555100,0x02aaaaa0,0x7ffc4000,0xcbcdffff,
    0x3fff204c,0xffff886f,0x0ff9803f,0x3fffff22,0x2aa004ff,0xaa880aaa,
    0x220002aa,0x001aaaaa,0x3ffff600,0x0000005f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2601dff9,0x00004ffe,0x7e400000,0xffd300ef,
    0x00000009,0x22033000,0x001befec,0x00000000,0x00000000,0x50000000,
    0x03ffffff,0x03bff200,0x0027ff4c,0x3fb22033,0x000001be,0x00000000,
    0x3ff62000,0x000000df,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00080040,0x00000000,0x00008004,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfff90000,0x100005ff,0x00000200,0x00000000,0x00000000,
    0x001a9800,0x6e54c000,0x880009bc,0x40019999,0x40099999,0x00199998,
    0x004ccccc,0xdd975310,0x0001579b,0x7765d4c4,0x0000abcd,0x20000000,
    0xdeecba98,0x00000abc,0xa9800000,0x0009bcdc,0x00000000,0xbcdca980,
    0x98000009,0x009bcdca,0xdca98000,0x000009bc,0x0fffffd0,0x00000000,
    0x00000000,0xccccba88,0x5100001a,0x03599997,0x00000000,0xfffffd88,
    0x002effff,0x01fffffa,0x0dfffff0,0x07ffffe8,0x37ffffc0,0x7fffecc0,
    0xffffffff,0x3f66000f,0xffffffff,0x4c40ffff,0x00009999,0x01333331,
    0xfffffb30,0xffffffff,0x4cccc401,0x99999999,0x09999999,0xffffd880,
    0x02efffff,0x99999880,0x33310009,0xffb10013,0xdfffffff,0xfd880005,
    0xffffffff,0x6c40002e,0xffffffff,0x200002ef,0x05fffff8,0x33333100,
    0x33333333,0x22033333,0x99999999,0x99999999,0x91000999,0xfffffffd,
    0x800bffff,0xfffffec8,0x05ffffff,0x26666662,0x99999999,0x4c001999,
    0xfffffffe,0x004fffff,0x00fffffd,0x06fffff8,0x03fffff4,0x1bffffe0,
    0xfffffc88,0xffffffff,0xfc8800ff,0xffffffff,0x40ffffff,0x0ffffffa,
    0xfffff800,0x3ff2201f,0xffffffff,0x200fffff,0xfffffffa,0xffffffff,
    0x4c02ffff,0xfffffffe,0x004fffff,0x7fffffec,0xffff7006,0xfffe980d,
    0xffffffff,0xfd30004f,0xffffffff,0x20009fff,0xffffffe9,0x04ffffff,
    0xffff5000,0x3f20007f,0xffffffff,0xffffffff,0xffffa81f,0xffffffff,
    0x2fffffff,0xffffe980,0xffffffff,0x3fa6007f,0xffffffff,0x3207ffff,
    0xffffffff,0xffffffff,0xff7001ff,0xffffffff,0x01dfffff,0x07ffffe8,
    0x37ffffc0,0x1fffffa0,0xdfffff00,0x3ffffa20,0xffffffff,0x4400ffff,
    0xfffffffe,0xffffffff,0xffffe80f,0x7fdc004f,0x3a205fff,0xffffffff,
    0xffffffff,0x3fffea00,0xffffffff,0x2fffffff,0x3ffffee0,0xffffffff,
    0xfb000eff,0x03ffffff,0x0dffff70,0x7fffffdc,0xffffffff,0x3ee000ef,
    0xffffffff,0x0effffff,0x3fffee00,0xffffffff,0x0000efff,0x17ffffdc,
    0xffffc800,0xffffffff,0x81ffffff,0xfffffffa,0xffffffff,0x5c02ffff,
    0xffffffff,0x7fffffff,0xfffff700,0xffffffff,0x7fe40fff,0xffffffff,
    0xffffffff,0xffffc801,0xffffffff,0x00ffffff,0x01fffffa,0x0dfffff0,
    0x07ffffe8,0x37ffffc0,0xffffffd8,0xffffffff,0x7ec00fff,0xffffffff,
    0xffffffff,0xfffffa80,0x3ffe000f,0x3f601fff,0xffffffff,0xffffffff,
    0x3fffea00,0xffffffff,0x2fffffff,0xffffff90,0xffffffff,0xb001ffff,
    0xbfffffff,0xdffff700,0x3fffff20,0xffffffff,0x800fffff,0xfffffffc,
    0xffffffff,0xfc800fff,0xffffffff,0xffffffff,0x3f20000f,0x0001ffff,
    0xfffffff9,0xffffffff,0xff503fff,0xffffffff,0xffffffff,0x3ff6205f,
    0xffffffff,0x07ffffff,0x7ffffec4,0xffffffff,0x3f207fff,0xffffffff,
    0xffffffff,0x7ffc401f,0xdcdfffff,0xffffffff,0x3ffffa03,0x7fffc007,
    0x7fff406f,0x7ffc007f,0xfffb86ff,0x9abdffff,0x0ffecba9,0x3ffffee0,
    0xa99abdff,0xd00ffecb,0x009fffff,0x17ffffee,0xffffffb8,0xba99abdf,
    0x2a00ffec,0xffffffff,0xffffffff,0xff882fff,0xcdffffff,0xfffffffd,
    0xfffd803f,0x400fffff,0x886ffffb,0xffffffff,0xfffffdcd,0x7c403fff,
    0xdfffffff,0xffffffdc,0x7fc403ff,0xcdffffff,0xfffffffd,0x3f60003f,
    0x0000ffff,0xfffffff9,0xffffffff,0xff503fff,0xffffffff,0xffffffff,
    0x3fff205f,0xcdffffff,0x07fffedc,0x7fffffe4,0xedccdfff,0x3f207fff,
    0xffffffff,0xffffffff,0x7ffec01f,0xff502fff,0x740fffff,0x4007ffff,
    0x406fffff,0x007ffffe,0x437ffffc,0x0efffffe,0xfe805100,0x000effff,
    0x7ffd4051,0x7c400fff,0x201fffff,0x0efffffe,0xc9805100,0xffeccccc,
    0xccccdfff,0xfffd81cc,0xff502fff,0xb00fffff,0xffffffff,0xffffb809,
    0xfffffd86,0xffff502f,0xffd80fff,0xf502ffff,0x80ffffff,0x2ffffffd,
    0xffffff50,0x7fec000f,0x320007ff,0xeeefffff,0xeeeeeeee,0xccc980ee,
    0xffffeccc,0xccccccdf,0xfffff881,0x6d401dff,0x3fffe207,0x5401dfff,
    0x3fff207d,0xeeeeeeff,0x0eeeeeee,0x3ffffe60,0x7ffd402f,0xffd02fff,
    0xff800fff,0x7f406fff,0x7c007fff,0xff86ffff,0x0001ffff,0x7fffffc0,
    0x7f400001,0x5c03ffff,0x405fffff,0x01ffffff,0x3ee00000,0x2003ffff,
    0x2ffffff9,0x7ffffd40,0x7ffec02f,0x00ffffff,0x31bfffee,0x05ffffff,
    0xffffffa8,0xfffff302,0xfffa805f,0xff302fff,0xa805ffff,0x02ffffff,
    0x2aaaaaaa,0xaaffffff,0x201aaaaa,0x02fffffc,0xffb80000,0x6c003fff,
    0x04ffffff,0xfffb0040,0x08009fff,0x3fffff20,0x7ec00002,0x9003ffff,
    0x20dfffff,0x007ffffe,0x037ffffc,0x01fffffa,0x8dfffff0,0x0ffffff8,
    0x3fe20000,0x0000ffff,0x7ffffd40,0x3fffe207,0x3fe201ff,0x0000ffff,
    0x3ffee000,0x3f6003ff,0x9003ffff,0x80dfffff,0xfffffffd,0x3fee03ff,
    0x7ffec6ff,0xff9003ff,0x3f60dfff,0x9003ffff,0x20dfffff,0x03fffffd,
    0xdfffff90,0x7fffff40,0xffffffff,0x04ffffff,0x0bfffff2,0x3ee00000,
    0x2003ffff,0x3ffffff9,0x3fe60000,0x0003ffff,0x7ffffe40,0x3e600002,
    0x000fffff,0x3ffffff3,0x0fffffd0,0x6fffff80,0x3fffff40,0x3ffffe00,
    0x7ffffcc6,0x2600001f,0x01ffffff,0xfffe8000,0xfff703ff,0xff980bff,
    0x0001ffff,0x3ffee000,0xff3003ff,0x2001ffff,0x1ffffff9,0x3fffff60,
    0x2e07ffff,0x3e66ffff,0x000fffff,0x3ffffff3,0xffffff98,0xffff3000,
    0xfff983ff,0xf3000fff,0x203fffff,0xfffffffe,0xffffffff,0x3204ffff,
    0x002fffff,0xfffb8000,0x3fa003ff,0x0007ffff,0x7fffff40,0xfc800007,
    0x0002ffff,0x3ffffea0,0x7fff4006,0xfffe82ff,0x7ffc007f,0x7ff406ff,
    0x7fc007ff,0x7fc46fff,0x000dffff,0xfffff100,0x800001bf,0x86fffffa,
    0x1ffffff8,0x7ffffc40,0x000000df,0x7fffff70,0x3fffea00,0x7ff4006f,
    0x3f602fff,0xffffefff,0xffff703f,0x7ffffd4d,0x7fff4006,0x7ffd42ff,
    0x7f4006ff,0x7d42ffff,0x4006ffff,0x02fffffe,0xfffffffd,0xffffffff,
    0x6409ffff,0x002fffff,0xfffb8000,0xff1003ff,0x0007ffff,0x7ffffc40,
    0xc800003f,0x002fffff,0x3ffff200,0x7fe4003f,0xffe83fff,0x7fc007ff,
    0x7f406fff,0x7c007fff,0xff86ffff,0x01efffff,0xfffff000,0x00003dff,
    0x2fffffe8,0x2fffffdc,0xffffff80,0x000001ef,0x3fffffb8,0xfffff900,
    0xfffc8007,0x3ff603ff,0xffffecff,0xdffff706,0x1fffffe4,0x3ffff200,
    0x7fffe43f,0x7fe4003f,0x7fe43fff,0x64003fff,0xd03fffff,0xffffffff,
    0xffffffff,0x7e409fff,0x0002ffff,0xffffb800,0xfff3003f,0x00001fff,
    0x7fffffcc,0xfc800000,0x0002ffff,0x3fffffa0,0x7ffdc002,0xfffe84ff,
    0x7ffc007f,0x7ff406ff,0x7fc007ff,0xffd86fff,0x2effffff,0x7ffec000,
    0x02efffff,0xffff5000,0xfffff8df,0xfffb000f,0x05dfffff,0x7fdc0000,
    0xfd003fff,0x8005ffff,0x04fffffb,0x2f3ffff6,0xb82fffff,0x3fa6ffff,
    0x4002ffff,0x44fffffb,0x02fffffe,0x7ffffdc0,0x7fffff44,0x7ffdc002,
    0x333104ff,0xfffff933,0x33333337,0x7fffe401,0x8000002f,0x03fffffb,
    0xdfffff50,0xffa80000,0x00006fff,0x5fffff90,0x7ffc0000,0x54002fff,
    0xe85fffff,0x4007ffff,0x406fffff,0x007ffffe,0x437ffffc,0xfffffff8,
    0x001cffff,0xffffff88,0x01cfffff,0x7ffff400,0xfffff51f,0x7ffc4009,
    0xffffffff,0x5c00001c,0x003fffff,0x05ffffff,0xfffffa80,0x3ffff605,
    0x6fffff8c,0x26ffffb8,0x02ffffff,0x7ffffd40,0x7fffffc5,0x7ffd4002,
    0x7fffc5ff,0x7d4002ff,0x4005ffff,0x01fffffc,0x3ffff200,0x8000002f,
    0x03fffffb,0xbfffff70,0xffb80000,0x00005fff,0x5fffff90,0x7ffc0000,
    0x54001fff,0xe86fffff,0x4007ffff,0x406fffff,0x007ffffe,0x837ffffc,
    0xfffffffa,0x02efffff,0x7ffffd40,0xefffffff,0xfff50002,0x3fffabff,
    0x7d4000ff,0xffffffff,0x0002efff,0x7fffff70,0x3ffffe00,0x7fd4001f,
    0x3f606fff,0xfff94fff,0xfffb83ff,0x3ffffe6f,0x7fd4001f,0x7ffc6fff,
    0x54001fff,0x7c6fffff,0x001fffff,0x37ffffd4,0x3ffff600,0x3f20000f,
    0xcccdffff,0xcccccccc,0xfffb8002,0xffb003ff,0x00009fff,0x4fffffd8,
    0xff900000,0x9999bfff,0x59999999,0x7fffffc0,0x7ffcc000,0xfffe87ff,
    0x7ffc007f,0x7ff406ff,0x7fc007ff,0x3ee06fff,0xffffffff,0x001effff,
    0x3fffffee,0xefffffff,0xfffe8001,0xfffffaff,0xfff70004,0xffffffff,
    0x80003dff,0x03fffffb,0x1ffffff0,0xffff9800,0x3fff607f,0xfffff14f,
    0x6ffffb8b,0x03fffffe,0xfffff300,0xffffff8f,0x7ffcc000,0x7fffc7ff,
    0x7cc000ff,0x4007ffff,0x007ffffe,0x7ffffe40,0xffffffff,0x8004ffff,
    0x03fffffb,0x7fffffd0,0xffe80000,0x00003fff,0xffffff90,0xffffffff,
    0x3e209fff,0x000fffff,0x3fffffcc,0x03fffff4,0x1bffffe0,0x0fffffd0,
    0x6fffff80,0x7ffff4c0,0xffffffff,0x3fa6003f,0xffffffff,0x4003ffff,
    0xfffffffa,0x0000ffff,0x3fffffa6,0xffffffff,0x3fee0003,0xf8803fff,
    0x000fffff,0x3fffffcc,0x49ffffb0,0x20fffffd,0xf16ffffb,0x001fffff,
    0x7fffff98,0x3fffffe2,0x7ffcc000,0x3ffe27ff,0x4c000fff,0x007fffff,
    0x037ffffc,0x3ffff200,0xffffffff,0x004fffff,0x3fffffb8,0xffffff00,
    0xff800007,0x0003ffff,0xfffff900,0xffffffff,0x7c09ffff,0x001fffff,
    0x3fffffcc,0x03fffff4,0x1bffffe0,0x0fffffd0,0x6fffff80,0xffffb500,
    0xffffffff,0xffda8007,0xffffffff,0x7f4003ff,0xffffffff,0xfb500004,
    0xffffffff,0x20007fff,0x03fffffb,0x3ffffff0,0xffff9800,0x3fff607f,
    0x3fffe64f,0x3fffee4f,0x3fffffe6,0x7ffcc001,0x7fffc7ff,0x7cc001ff,
    0x7fc7ffff,0x4001ffff,0x07fffff9,0x3ffffe20,0x7fe40005,0xffffffff,
    0x4fffffff,0xffffb800,0xffff003f,0x800007ff,0x03ffffff,0xfff90000,
    0xffffffff,0x09ffffff,0x0ffffff4,0x3fffea00,0xffffe87f,0x7fffc007,
    0x7fff406f,0x7ffc007f,0x64c006ff,0xffffffff,0x98001fff,0xfffffffc,
    0x2001ffff,0xfffffffa,0x400000ff,0xffffffc9,0x001fffff,0x3fffffb8,
    0xfffffd00,0xfffa8003,0x3ff607ff,0x7fff44ff,0xffff70ff,0x7fffff4d,
    0x7ffd4001,0x7fff47ff,0x7d4001ff,0x7f47ffff,0x4001ffff,0x07fffffa,
    0x3ffffe60,0x7fe40004,0xffffffff,0x4fffffff,0xffffb800,0xfffd003f,
    0x800009ff,0x04fffffe,0xfff90000,0xffffffff,0x09ffffff,0x17ffffec,
    0x3fffea00,0xffffe86f,0x7fffc007,0x7fff406f,0x7ffc007f,0x2a0006ff,
    0xfffffffd,0x6d40005f,0xffffffff,0x7fff4005,0x0004ffff,0x7ffed400,
    0x005fffff,0x3fffffb8,0xfffffb00,0xfffa8005,0x3ff606ff,0x7ffd44ff,
    0xffff73ff,0x7ffffecd,0x7ffd4002,0x7ffec6ff,0x7d4002ff,0x7ec6ffff,
    0x4002ffff,0x06fffffa,0x3ffffea0,0x7fe40003,0xaaaacfff,0x1aaaaaaa,
    0xffffb800,0xfffb003f,0x80000bff,0x05fffffd,0xfff90000,0x555559ff,
    0x03555555,0x17ffffe4,0x3fffee00,0xffffe85f,0x7fffc007,0x7fff406f,
    0x7ffc007f,0x980006ff,0x7ffffffe,0xffd30000,0x800fffff,0xfffffffa,
    0x30000000,0xfffffffd,0xffff7000,0x3ff2007f,0x5c002fff,0x205fffff,
    0xe84ffffd,0xff77ffff,0x7ffe4dff,0x7dc002ff,0x7e45ffff,0x4002ffff,
    0x45fffffb,0x02fffffc,0x7ffffdc0,0x3ffee005,0x640002ff,0x002fffff,
    0xfffb8000,0xff9003ff,0x0000dfff,0x6fffffc8,0xff900000,0x00005fff,
    0x27ffffe4,0x3ffff200,0xffffe83f,0x3ffe2007,0x7ff405ff,0x3e2007ff,
    0x0005ffff,0xfffffd10,0x2200001f,0x0ffffffe,0x7ffff400,0x0000004f,
    0x7fffff44,0x7fdc000f,0xf9003fff,0x8009ffff,0x03fffffc,0x213ffff6,
    0xbafffffb,0x3f26ffff,0x4004ffff,0x43fffffc,0x04fffffc,0x7ffffe40,
    0x7ffffe43,0x7ffe4004,0x3f2003ff,0x0001ffff,0x17ffffe4,0x7dc00000,
    0x5003ffff,0x01ffffff,0x7ffd4000,0x00000fff,0x2fffffc8,0x3fee0000,
    0x7c007fff,0xd81fffff,0x000fffff,0x07fffff1,0x0fffffd8,0xfffff100,
    0x7d400007,0x002fffff,0x3fffea00,0x7e4002ff,0x0002ffff,0xfffa8000,
    0x5c002fff,0x003fffff,0x0ffffff7,0xffffff80,0x3ffff601,0xfffff884,
    0x26ffffbe,0x07fffffb,0x7fffffc0,0x7ffffdc1,0x7fffc007,0x7ffdc1ff,
    0x7fc007ff,0x2001ffff,0x00fffffd,0x7fffe400,0x8000002f,0x03fffffb,
    0xffffff30,0x7cc00009,0x004fffff,0xffffc800,0x2600002f,0x01ffffff,
    0xffffff50,0xfffff901,0x3ffe6001,0x7fe402ff,0xf3000fff,0x0005ffff,
    0x7ffffc40,0x2200001f,0x01ffffff,0x7ffffe40,0x80000002,0x1ffffff8,
    0x7fffdc00,0xfff3003f,0x2a003fff,0x00ffffff,0x413ffff6,0xfdfffffc,
    0x3fe66fff,0x5001ffff,0x81ffffff,0x1ffffff9,0xfffff500,0xffff981f,
    0xff5001ff,0x4001ffff,0x007ffffe,0xfffffc80,0xb8000002,0x003fffff,
    0xfffffff1,0x3e200001,0x00ffffff,0x7ffe4000,0x400002ff,0x04fffffe,
    0x7fffffb0,0x3ffffee0,0xffff9003,0xfffb803f,0xff9003ff,0x00003fff,
    0x3fffffcc,0x3fe60000,0xc8007fff,0x002fffff,0xff980000,0xb8007fff,
    0x003fffff,0x13fffffa,0x7ffffec0,0x7fffec03,0xfffff104,0xe8dfffff,
    0x004fffff,0x07fffffb,0x13fffffa,0x7ffffec0,0xfffffd03,0x3fff6009,
    0x3e2003ff,0x0005ffff,0x2fffffc8,0xfb800000,0x2003ffff,0x4ffffffc,
    0x3ff20000,0x0004ffff,0x7ffffe40,0x7d400002,0x403fffff,0x0ffffffc,
    0xffffff50,0xfffff100,0xfffa801f,0xff8807ff,0x04c0ffff,0xffffd800,
    0x0000985f,0x0bfffffb,0xfffff900,0x00260005,0x7ffffec0,0xfffb8005,
    0x3ea003ff,0x403fffff,0x0ffffffc,0x27fffec0,0xffffffb0,0xffa8dfff,
    0x6403ffff,0x00ffffff,0x7ffffff5,0xfffffc80,0xffff500f,0xffc807ff,
    0x2000ffff,0x03fffffa,0xffffc800,0x8000002f,0x03fffffb,0x3ffffe20,
    0x71000eff,0x3ffffe20,0x71000eff,0x7ffffe40,0xfe800002,0x41cfffff,
    0xffffffc9,0x3fffe203,0xfb100dff,0x1009ffff,0x1bffffff,0x3ffff620,
    0xacefc84f,0x7ffed400,0xefc83fff,0x7ed400ac,0x003fffff,0x2fffffc8,
    0x59df9000,0xfffda801,0xb8003fff,0x003fffff,0x7ffffff4,0x7ffe4c1c,
    0xfd803fff,0x3e604fff,0xffffffff,0xfffffe86,0x7fe4c1cf,0x7403ffff,
    0x1cffffff,0x7ffffe4c,0x7fff403f,0x64c1cfff,0x03ffffff,0x3ffffe20,
    0xfc80001f,0x0002ffff,0xffffb800,0x7fdc003f,0x9befffff,0x03fedcc0,
    0xfffffff7,0xdb98137d,0x3fff207f,0x800002ff,0xfffffffb,0xfffffeff,
    0xfb806fff,0xbcffffff,0xfffffcba,0xff7000ef,0x579fffff,0xffffff97,
    0xffff901d,0xfdb9ddff,0xdfffffff,0xfffff901,0xffdb9ddf,0x1dffffff,
    0xffff9000,0x3f20005f,0xceefffff,0xffffffed,0xb8000eff,0x003fffff,
    0x7fffffdc,0xffffefff,0xb006ffff,0xe809ffff,0xffffffff,0xfffffb86,
    0xfffeffff,0x806fffff,0xfffffffb,0xfffffeff,0xfb806fff,0xffffffff,
    0xfffffffe,0x2633506f,0x7ffffffa,0xfff90000,0x000005ff,0x7fffff70,
    0xffffd000,0xffffffff,0x80ffffff,0xfffffffe,0xffffffff,0x3ff207ff,
    0x00002fff,0xffffffd0,0xffffffff,0x3e005fff,0xffffffff,0xffffffff,
    0x7ffc002f,0xffffffff,0x2fffffff,0xffffff90,0xffffffff,0x203fffff,
    0xfffffffc,0xffffffff,0x0001ffff,0x05fffff9,0x3ffff200,0xffffffff,
    0x1fffffff,0x3bbbbaa0,0xefffffee,0x01eeeeee,0xfffffffd,0xffffffff,
    0x3f6005ff,0x7d404fff,0x6fffffff,0xffffffd0,0xffffffff,0x3a005fff,
    0xffffffff,0xffffffff,0xfffd002f,0xffffffff,0x05ffffff,0x3ffffffa,
    0x001fffff,0xfffff900,0xffffffff,0x503fffff,0xfddddddd,0xddddffff,
    0x3ea03ddd,0xffffffff,0xffffffff,0x7fffd407,0xffffffff,0x207fffff,
    0xfffffffc,0xffffffff,0xf9001fff,0xffffffff,0x03dfffff,0x7ffffd40,
    0xffffffff,0xa8004fff,0xffffffff,0xffffffff,0x3ffff204,0xffffffff,
    0x02ffffff,0x3ffffff2,0xffffffff,0x0002ffff,0x0bfffff2,0x7fffe400,
    0xffffffff,0x02ffffff,0x7fffffd4,0xffffffff,0x202fffff,0xfffffffc,
    0xefffffff,0x3fff6001,0xfffe804f,0x3206ffff,0xffffffff,0x1effffff,
    0x7fffe400,0xffffffff,0x64001eff,0xffffffff,0x1effffff,0x3fffffa0,
    0x004fffff,0x3ffff200,0xffffffff,0x81ffffff,0xfffffffa,0xffffffff,
    0x2202ffff,0xfffffffd,0xffffffff,0xfffd8807,0xffffffff,0x3207ffff,
    0xffffffff,0xffffffff,0x3ee001ff,0xffffffff,0x8000dfff,0xffffffd8,
    0x1effffff,0x3ff62000,0xffffffff,0x7e401eff,0xffffffff,0xdfffffff,
    0x7fffe401,0xffffffff,0x001dffff,0x7ffffe40,0xfff90002,0xffffffff,
    0x03bfffff,0xffffff50,0xffffffff,0x805fffff,0xfffffffb,0x00dfffff,
    0x27fffec0,0x7ffffdc0,0x7fdc06ff,0xffffffff,0x70000dff,0xffffffff,
    0x001bffff,0x3ffffee0,0xdfffffff,0x7ffff400,0x005fffff,0x7fffe400,
    0xffffffff,0x81ffffff,0xfffffffa,0xffffffff,0xb802ffff,0xffffffff,
    0x07ffffff,0x3ffffee0,0xffffffff,0x3fff207f,0xffffffff,0x1fffffff,
    0x7ff64c00,0x02dfffff,0xfffea800,0x03efffff,0x3ffaa000,0x3effffff,
    0xfffb7300,0xffffffff,0x2e60019f,0xfffffffd,0x00cfffff,0xffff9000,
    0x2e60005f,0xfffffffd,0x00cfffff,0x3ffffea0,0xffffffff,0x02ffffff,
    0xffffec98,0x0002dfff,0x009ffffb,0xfffffff1,0xffd9300d,0x05bfffff,
    0xffd93000,0x05bfffff,0xffd93000,0x05bfffff,0x3fffffa0,0x00001eff,
    0xffffffc8,0xffffffff,0xfa81ffff,0xffffffff,0xffffffff,0xb71002ff,
    0xfffffffd,0x7100037d,0xffffffdb,0xfc8037df,0xffffffff,0xffffffff,
    0x54c0001f,0x000000ab,0x006aea62,0x2a620000,0x880001ab,0x9aacbaa9,
    0xa9880000,0x009aacba,0xfffc8000,0x100002ff,0x35597553,0x3fea0001,
    0xffffffff,0xffffffff,0xba98002f,0xfd80000a,0xf9004fff,0x00dfffff,
    0x00157530,0xaba98000,0x4c000000,0x98000aba,0x009accca,0x3ff20000,
    0xffffffff,0xffffffff,0xfffffa81,0xffffffff,0x02ffffff,0x066aa600,
    0x554c0000,0x7fe40019,0xffffffff,0xffffffff,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x09998800,0x00133310,0x8804ccc4,0x40000999,
    0x0000bcb8,0x7ffff440,0xf500000e,0x0007ffff,0x22013331,0x90000999,
    0xf909ffff,0x74c09fff,0x03ffffff,0xf9000000,0x03dfffff,0xfffff500,
    0xfa800007,0x4003ffff,0xffffffe9,0x80000003,0xeffffffc,0x3fffa201,
    0x7fff4c2f,0x7000001f,0x3dffffff,0xffc80000,0x001effff,0x7fffe400,
    0x10001eff,0x35999975,0xffc80000,0x981effff,0x009abcee,0xbfff7000,
    0x00bfffe0,0xf05fffb8,0x40005fff,0x01fffff9,0xfffd1000,0x0001dfff,
    0xffffffb8,0x7fdc003f,0x5ffff05f,0x7ffe4000,0xfffe88ef,0xffd8803f,
    0x0003ffff,0x7ffe4000,0x70005fff,0x7fffffff,0x3fee0000,0x003fffff,
    0x7ffffec4,0x0000003f,0x3ffffff2,0xfffd1005,0x3fffea7f,0x7000001f,
    0x1bffffff,0xffc80000,0x0005ffff,0xfffffc80,0x7644005f,0xffffffff,
    0x80005fff,0x5ffffffc,0x3ffffe60,0x0000cfff,0x98ffffe6,0x000ffffc,
    0x98ffffe6,0x000ffffc,0x3fffffa0,0xfe880006,0xefffffff,0xfff70000,
    0x09ffffff,0x1ffffcc0,0x01ffff93,0xffffc800,0x03ffffff,0x7ffffdc0,
    0x0000003f,0x5ffffff9,0x3ffee000,0x04ffffff,0x7fffdc00,0x004fffff,
    0xffffffb8,0xc8000003,0x02ffffff,0x7ffff440,0x00effffe,0xfff70000,
    0x00007fff,0xffffff90,0xf9000005,0x005fffff,0xfffffe98,0xffffffff,
    0x7fe40007,0x4c02ffff,0xffffffff,0xd0000cff,0xffffffff,0xd000bfff,
    0xffffffff,0x8000bfff,0x0fffffff,0x3ffe6000,0xffffcbff,0x7fe4000e,
    0xfffeaeff,0x3ffa004f,0xffffffff,0xf700005f,0x5fffffff,0x3ffa6000,
    0x00003fff,0x7ffffe40,0xff90000e,0xfffd5dff,0x3f20009f,0xffeaefff,
    0xe98004ff,0x003fffff,0x3fff2000,0x10000eff,0xfffffffd,0x2000001d,
    0x1efffffb,0xffc80000,0x0000efff,0xfffffc80,0x7fdc000e,0xffffffff,
    0x007fffff,0x3fffff20,0xfff9800e,0xffffffff,0xff98002f,0xffffffff,
    0xff98000f,0xffffffff,0x7fc0000f,0x0007ffff,0x87bfffe6,0x01fffffa,
    0x49ffff90,0x04ffffd8,0xffffff30,0x001fffff,0x7fffdc00,0xc80002ff,
    0x003fffff,0xffff9000,0x7e40009f,0x3f624fff,0x64004fff,0x3624ffff,
    0x0004ffff,0x07fffff9,0xfff90000,0x100009ff,0x1dfffffd,0x3ee00000,
    0x0004ffff,0xfffff900,0x32000009,0x004fffff,0x7ffffec4,0xffffffff,
    0x90007fff,0x009fffff,0x7fffffcc,0x2fffffff,0xfffe9800,0x001effff,
    0x3ffffa60,0x0001efff,0x5fffffd8,0x2aaaa000,0xaaaa880a,0xaaaa8802,
    0x15555502,0x3fffa600,0x001effff,0xaaaa9800,0x2a600001,0x0000aaaa,
    0x55555440,0x2aa20001,0x555502aa,0x2aa20015,0x555502aa,0x2a600015,
    0x0000aaaa,0x2aaaaa20,0x55400001,0x00000aaa,0x35555510,0x2a200000,
    0x0001aaaa,0x55555100,0xfff90003,0x9bffffff,0x0ffffdb9,0x55555100,
    0xecc88003,0xfffffffe,0x50000fff,0x0059bdb9,0x6f6e5400,0x2200002c,
    0x000dfffd,0x00000000,0x2a000000,0x002cdedc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffffff10,0x7da803bf,0x00000000,0xfffffd98,0x00000eff,
    0x00000000,0x01a98000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffd80000,0x4004ffff,0x00000000,0x3fffe600,0x00002fff,
    0x00000000,0x00000000,0xdecb9880,0x98800abc,0x99999999,0x09999999,
    0x00000000,0x99975100,0x4cc40359,0x4cc00199,0x4cc40999,0x4cc00199,
    0x4cc40999,0x4cc00199,0x33100999,0x33333333,0x33333333,0x4ccccc40,
    0x99999999,0x22019999,0x99999999,0x99999999,0x33333019,0x00133333,
    0x4cccc400,0x00199999,0x13333310,0x26662000,0x99988099,0x99999999,
    0x99999999,0x7ffffcc0,0x8000003f,0x99999998,0x7cc00000,0x204fffff,
    0x99999998,0x99999999,0x33310199,0x33333333,0x33333333,0x33333101,
    0x33333333,0x01333333,0x3ffff6a0,0xffffffff,0xffff902d,0xffffffff,
    0x4009ffff,0x99999998,0x32200000,0xfffffffe,0xfe85ffff,0x7c007fff,
    0x7f46ffff,0x7c007fff,0x7f46ffff,0x7c007fff,0xf906ffff,0xffffffff,
    0xffffffff,0x3fff203f,0xffffffff,0x1fffffff,0xffffff90,0xffffffff,
    0xff03ffff,0xffffffff,0x00579dff,0x3fffffa0,0xefffffff,0xfffa800c,
    0xf8000fff,0xa81fffff,0xffffffff,0xffffffff,0x7ff42fff,0x00007fff,
    0xfffffd00,0x00000dff,0x0dfffffb,0x7fffffe4,0xffffffff,0xfa81ffff,
    0xffffffff,0xffffffff,0xfffa82ff,0xffffffff,0xffffffff,0x7ffec402,
    0xffffffff,0xf904ffff,0xffffffff,0x9fffffff,0x7ffff400,0x00006fff,
    0xffffffd3,0xffffffff,0x0fffffd0,0x6fffff80,0x03fffff4,0x1bffffe0,
    0x00fffffd,0x06fffff8,0xfffffff9,0xffffffff,0x3f203fff,0xffffffff,
    0xffffffff,0xffff901f,0xffffffff,0x03ffffff,0xffffffff,0xffffffff,
    0xffe8003d,0xffffffff,0x01dfffff,0x27fffff4,0x3fffee00,0xffff505f,
    0xffffffff,0x5fffffff,0x7fffffc4,0x88000003,0xffffffff,0x5c00000f,
    0x207fffff,0xfffffffc,0xffffffff,0xffa81fff,0xffffffff,0xffffffff,
    0xffffa82f,0xffffffff,0x2fffffff,0x3ffffea0,0xffffffff,0xf904ffff,
    0xffffffff,0x9fffffff,0x3fffe200,0x000fffff,0x7ffffdc0,0xffffffff,
    0xfffe87ff,0x7ffc007f,0x7fff46ff,0x7ffc007f,0x7fff46ff,0x7ffc007f,
    0xfff906ff,0xffffffff,0x3fffffff,0x3fffff20,0xffffffff,0x901fffff,
    0xffffffff,0xffffffff,0xffff03ff,0xffffffff,0x09ffffff,0x7fffff40,
    0xffffffff,0x2a01ffff,0x00ffffff,0x3fffffe0,0xfffff501,0xffffffff,
    0x45ffffff,0x0ffffff9,0xfb800000,0xffffffff,0x7d400002,0x3207ffff,
    0xffffffff,0xffffffff,0xfffa81ff,0xffffffff,0xffffffff,0xfffffa82,
    0xffffffff,0x02ffffff,0xfffffff9,0xffffffff,0x3f209fff,0xffffffff,
    0x4fffffff,0xfffff700,0x0005ffff,0x3fffff62,0xffffffff,0xffe87fff,
    0x7fc007ff,0x7ff46fff,0x7fc007ff,0x7ff46fff,0x7fc007ff,0xff906fff,
    0xffffffff,0xffffffff,0x3ffff203,0xffffffff,0x01ffffff,0xfffffff9,
    0xffffffff,0xfff03fff,0xffffffff,0xffffffff,0xfffd001d,0xffffffff,
    0x1fffffff,0x7fffff40,0xffff7004,0x7ffd40bf,0xffffffff,0xffffffff,
    0x3ffffea2,0xb0000006,0xffffffff,0xc80000bf,0x205fffff,0xfffffffc,
    0xffffffff,0xffa81fff,0xffffffff,0xffffffff,0xffffa82f,0xffffffff,
    0x2fffffff,0xffffffa8,0xdcbcefff,0x504ffffe,0x99999999,0xfffffb99,
    0x3fff6009,0x05ffffff,0xfffff900,0xb99bffff,0xfd0ffffd,0xf800ffff,
    0x7f46ffff,0x7c007fff,0x7f46ffff,0x7c007fff,0xf906ffff,0xddddffff,
    0xdddddddd,0x3fff201d,0xeeeeeeff,0x0eeeeeee,0xdfffff90,0xdddddddd,
    0xff01dddd,0xb999ffff,0xffffffff,0xffd00bff,0xdb999fff,0xffffffff,
    0x7fffd40b,0x7fc400ff,0x2601ffff,0xfecccccc,0xcccdffff,0x3fee1ccc,
    0x00005fff,0xffffff00,0x000fffff,0x7ffffc40,0x3fff204f,0xeeeeeeff,
    0x0eeeeeee,0xcccccc98,0xcdfffffe,0x981ccccc,0xfecccccc,0xcccdffff,
    0xfff81ccc,0x802effff,0x80004fc9,0x04fffffa,0xfffffff0,0x1000ffff,
    0xbfffffff,0xe87da803,0x4007ffff,0x746fffff,0x4007ffff,0x746fffff,
    0x4007ffff,0x906fffff,0x005fffff,0x7fffe400,0x3200002f,0x002fffff,
    0xffffff00,0x3fff6620,0x7401ffff,0x7107ffff,0x0fffffff,0x3fffffe8,
    0x7ffffdc0,0x3fee0005,0xfb003fff,0x0009ffff,0xffff5000,0x3fffffff,
    0xffd30000,0x6403ffff,0x002fffff,0xfffb8000,0x200003ff,0x03fffffb,
    0x3ffffee0,0x008000df,0xffffa800,0xfffa804f,0xffffffff,0x7ffec001,
    0x04004fff,0x03fffff4,0x1bffffe0,0x00fffffd,0x46fffff8,0x007ffffe,
    0x837ffffc,0x02fffffc,0x3fff2000,0x200002ff,0x02fffffc,0xfffff000,
    0xffff900f,0xffe80dff,0x7fd407ff,0x2a00ffff,0x207fffff,0x1ffffff8,
    0x3ffee000,0xffd003ff,0x00007fff,0xfffff900,0x09fffff7,0x7f7774c0,
    0x4fffffff,0x7ffffe40,0xb8000002,0x003fffff,0x3fffee00,0xfff1003f,
    0x0000bfff,0xfffa8000,0xffc804ff,0xffffbfff,0x3fe6004f,0x0003ffff,
    0x0fffffd0,0x6fffff80,0x03fffff4,0x1bffffe0,0x00fffffd,0x06fffff8,
    0x05fffff9,0x7ffe4000,0x200002ff,0x02fffffc,0xfffff000,0x3ffee00f,
    0x3fa02fff,0xfe807fff,0x7402ffff,0x703fffff,0x00bfffff,0xfffffb80,
    0xfffff003,0x0000007f,0xf39fffff,0x400dffff,0xfffffff9,0x400fffff,
    0x02fffffc,0xffb80000,0x00003fff,0x0fffffee,0x7ffffe40,0x0000000f,
    0x7ffffd40,0xfffff804,0x6fffff9c,0x3ffffa00,0x3a00007f,0x4007ffff,
    0x746fffff,0x4007ffff,0x746fffff,0x4007ffff,0x906fffff,0x005fffff,
    0x7fffe400,0x3200002f,0x002fffff,0xffffff00,0x7ffffc00,0x3fffa06f,
    0xfffd807f,0x7fd403ff,0xff886fff,0x0001ffff,0x1fffffdc,0xffffff80,
    0x4c000003,0xff2fffff,0x2001ffff,0xfffffff8,0xc800dfff,0x002fffff,
    0xfffb8000,0x200003ff,0x03fffffb,0x9ffffff0,0x00000000,0x09fffff5,
    0x2fffff98,0x01ffffff,0xffffff10,0x7f400007,0x7c007fff,0x7f46ffff,
    0x7c007fff,0x7f46ffff,0x7c007fff,0xf906ffff,0x0005ffff,0x7ffffe40,
    0x3f200002,0x0002ffff,0x0ffffff0,0x7ffffe40,0x3ffffa07,0xffffd807,
    0xfffe802f,0x7ffdc2ff,0xb80005ff,0x003fffff,0x09fffffd,0xffb80000,
    0xfff90fff,0x3e2007ff,0xffffffff,0x3fff2003,0x000002ff,0x3fffffb8,
    0x3fee0000,0xf8803fff,0x000fffff,0xfa800000,0x5c04ffff,0xf90fffff,
    0x3007ffff,0x01ffffff,0x7fff4000,0x7ffc007f,0x7fff46ff,0x7ffc007f,
    0x7fff46ff,0x7ffc007f,0xfff906ff,0x400005ff,0x02fffffc,0x3fff2000,
    0xf00002ff,0x400fffff,0x1ffffff9,0x0fffffd0,0x3ffffff0,0xfffff500,
    0xffffff8d,0xffb80000,0xfb003fff,0x000bffff,0xffffd800,0x3ffffea6,
    0xffff1005,0x900037df,0x005fffff,0xfff70000,0x400007ff,0x03fffffb,
    0x6fffff98,0x00000000,0x09fffff5,0x26ffffd8,0x05fffffa,0x6fffffa8,
    0x7ff40000,0x7fc007ff,0x7ff46fff,0x7fc007ff,0x7ff46fff,0x7fc007ff,
    0xff906fff,0x00005fff,0x17ffffe4,0xfff90000,0x200005ff,0x007fffff,
    0x1ffffffc,0x07ffffe8,0x3fffffdc,0xfffffd00,0x3ffffea3,0xff700004,
    0x32007fff,0x006fffff,0x3ffe2000,0x3ffe23ff,0x3fe007ff,0x20002fff,
    0x02fffffc,0xffb80000,0x00003fff,0x0fffffee,0x3ffffea0,0x00000005,
    0x9fffff50,0x7ffffc40,0x3ffffe23,0xffffb807,0x7400005f,0x4007ffff,
    0x746fffff,0x4007ffff,0x746fffff,0x4007ffff,0x906fffff,0x99bfffff,
    0x99999999,0x7ffe4059,0xcccccdff,0x02cccccc,0x37fffff2,0xcccccccc,
    0xfff02ccc,0xfe800fff,0xfd03ffff,0x3220ffff,0x02ffffff,0x3ffffea0,
    0x1fffffd5,0x3fee0000,0xf5003fff,0x001fffff,0x3ffea000,0x7fff41ff,
    0xfff002ff,0x640005ff,0xccdfffff,0xcccccccc,0xffb8002c,0x00003fff,
    0x0fffffee,0x3ffffee0,0xfffff504,0x00bfffff,0xfffff500,0x7fffd409,
    0x7ffff41f,0x7ffec02f,0x400004ff,0x007ffffe,0x237ffffc,0x007ffffe,
    0x237ffffc,0x007ffffe,0x837ffffc,0xfffffffc,0xffffffff,0x3ff204ff,
    0xffffffff,0x4fffffff,0x3fffff20,0xffffffff,0xff04ffff,0xe800ffff,
    0xd04fffff,0x999fffff,0xffffffd9,0xffd000bf,0xffff5fff,0x5c00009f,
    0x003fffff,0x9ffffff3,0x3f200000,0xffb87fff,0xff004fff,0x40003fff,
    0xfffffffc,0xffffffff,0xfb8004ff,0x0003ffff,0x3ffffee0,0xffffc803,
    0xffff503f,0x0bffffff,0xffff5000,0x7ffe409f,0xffffb87f,0x7fff404f,
    0x400003ff,0x007ffffe,0x237ffffc,0x007ffffe,0x237ffffc,0x007ffffe,
    0x837ffffc,0xfffffffc,0xffffffff,0x3ff204ff,0xffffffff,0x4fffffff,
    0x3fffff20,0xffffffff,0xff04ffff,0xd800ffff,0xd04fffff,0xffffffff,
    0xffffffff,0x3fea0009,0xffffffff,0x2e00000f,0x003fffff,0xfffffff1,
    0xff000001,0xff30bfff,0x3a00dfff,0x0001ffff,0x3ffffff2,0xffffffff,
    0xb8004fff,0x003fffff,0x3fffee00,0xfffe803f,0xfff502ff,0xbfffffff,
    0xfff50000,0x7ffc09ff,0xfff985ff,0x7ffc06ff,0x00003fff,0x03fffff4,
    0x1bffffe0,0x00fffffd,0x46fffff8,0x007ffffe,0x837ffffc,0xfffffffc,
    0xffffffff,0x3ff204ff,0xffffffff,0x4fffffff,0x3fffff20,0xffffffff,
    0xff04ffff,0xc800ffff,0xd04fffff,0xffffffff,0x39dfffff,0xfffe8000,
    0x04ffffff,0x7ffdc000,0x3f2003ff,0x004fffff,0x7fffcc00,0xfffff03f,
    0x3331003f,0xffc80003,0xffffffff,0x4fffffff,0xffffb800,0x2e00003f,
    0x803fffff,0x03fffffd,0xfffffff5,0x0000bfff,0x09fffff5,0x0fffffe6,
    0x0ffffffc,0x7ffffff0,0xffe80000,0x7fc007ff,0x7ff46fff,0x7fc007ff,
    0x7ff46fff,0x7fc007ff,0xff906fff,0xffffffff,0x9fffffff,0x7ffffe40,
    0xffffffff,0x3204ffff,0xffffffff,0xffffffff,0xfffff04f,0xfffd800f,
    0xfffd03ff,0xffffffff,0x200005ff,0xfffffffa,0x400000ff,0x03fffffb,
    0x3ffffe20,0x71000eff,0x7ffffe40,0xfffffb00,0x00000007,0xfffffff9,
    0xffffffff,0xf70009ff,0x0007ffff,0x7ffffdc0,0xffffc803,0xdddd304f,
    0x0bfffffd,0xffff5000,0x3fff209f,0xfffb00ff,0x7ff407ff,0x00004fff,
    0x03fffff4,0x1bffffe0,0x00fffffd,0x46fffff8,0x007ffffe,0x837ffffc,
    0xacfffffc,0xaaaaaaaa,0x3ff201aa,0xaaaacfff,0x1aaaaaaa,0x3fffff20,
    0xaaaaaaac,0xff01aaaa,0xe800ffff,0xd02fffff,0xffffffff,0x0bffffff,
    0x3fffa000,0x0004ffff,0xfffffb80,0x7ffe4003,0x09beffff,0xd03fedcc,
    0x540dffff,0x005fffff,0xffc80000,0xaaaacfff,0x1aaaaaaa,0xffffb800,
    0x2e00003f,0x803fffff,0x04fffffb,0x2fffffc0,0x7ffd4000,0xfffd04ff,
    0x7ffd40df,0x3ff605ff,0x00005fff,0x03fffff4,0x1bffffe0,0x00fffffd,
    0x46fffff8,0x007ffffe,0x837ffffc,0x02fffffc,0x3fff2000,0x200002ff,
    0x02fffffc,0xfffff000,0xffff800f,0xfffd00ff,0x3ff6e2ff,0x0003ffff,
    0xffffffa8,0xb800000f,0x003fffff,0x7fffffc4,0xffffffff,0xf107ffff,
    0x4409ffff,0x00ffffff,0x0027ff54,0x3fffff20,0xb8000002,0x003fffff,
    0x3fffee00,0xfffa803f,0x7fc005ff,0x80005fff,0x84fffffa,0x04fffff8,
    0x3fffffe2,0xfffff900,0xfe80000d,0x7c007fff,0x7f46ffff,0x7c007fff,
    0x7f46ffff,0x7c007fff,0xf906ffff,0x0005ffff,0x7ffffe40,0x3f200002,
    0x0002ffff,0x0ffffff0,0x7ffffc40,0x3ffffa07,0xfffffd87,0xfe80000f,
    0x0004ffff,0xfffff700,0xfff30007,0xffffffff,0x0fffffff,0x0bffffee,
    0x5fffffd0,0x7ffffd40,0x3ff20005,0x00002fff,0xfffffb80,0x3ee00003,
    0x9803ffff,0x00ffffff,0x17ffffe0,0x3ffea000,0xfffb84ff,0x7ff402ff,
    0xff502fff,0x0001ffff,0x3fffff40,0xfffff100,0x7ffffe8b,0x3fffe200,
    0x7ffff45f,0x3ffe2007,0xfff905ff,0x400005ff,0x02fffffc,0x3fff2000,
    0xf00002ff,0x400fffff,0x06fffffa,0x41fffffa,0x05fffffe,0xffffc800,
    0x7000002f,0x007fffff,0x3ffffa20,0xffffffff,0xffb07fff,0xffffffff,
    0xffffffff,0x7fffc09f,0x90002fff,0x005fffff,0xfff70000,0x400007ff,
    0x03fffffb,0xffffff88,0x3fffe003,0xfa80005f,0xfd84ffff,0xffffffff,
    0xffffffff,0xfff304ff,0x00009fff,0x07ffffec,0xfffff880,0x7ffffec3,
    0xffff1000,0xffffd87f,0xfff1000f,0x3ff207ff,0x00002fff,0x0bfffff2,
    0xfffc8000,0xf00002ff,0x400fffff,0x05fffffe,0x41fffffa,0x1ffffff9,
    0x7ffe4000,0x000002ff,0x07fffff7,0xffffd800,0xffffffff,0xffff07ff,
    0xffffffff,0xffffffff,0x3fffe20f,0x90004fff,0x005fffff,0xfff70000,
    0x400007ff,0x03fffffb,0xdfffffd0,0x7ffffc00,0xffc80005,0xfff83fff,
    0xffffffff,0xffffffff,0xffff107f,0x00001fff,0x03fffff2,0x7ffffcc0,
    0x7ffffe42,0xffff3000,0xffffc85f,0xfff3000f,0x3ff205ff,0x00002fff,
    0x0bfffff2,0xfffc8000,0xf00002ff,0x200fffff,0x1ffffffa,0x1fffffa0,
    0x5fffffe8,0x7ffe4000,0x000002ff,0x07fffff7,0xffd71000,0x9dffffff,
    0x3fffea03,0xffffffff,0xffffffff,0xfffff01f,0x320007ff,0x002fffff,
    0xfffb8000,0x200003ff,0x03fffffb,0xffffff50,0x3fffe007,0xfd80005f,
    0x7d42ffff,0xffffffff,0xffffffff,0xf901ffff,0x009fffff,0x3fffee00,
    0xfff9003f,0xfffb83ff,0xff9003ff,0xffb83fff,0xf9003fff,0x3203ffff,
    0x002fffff,0x3ffff200,0x3200002f,0x002fffff,0xffffff00,0xffffd100,
    0xfffe80bf,0x3ffee07f,0x20000fff,0x02fffffc,0xfff70000,0x400007ff,
    0x9bfffff8,0xffffc800,0xffffffff,0xffffffff,0xffffb04f,0x320001ff,
    0x002fffff,0xfffb8000,0x200003ff,0x03fffffb,0x3fffffa0,0xffff804f,
    0x2a00705f,0x40ffffff,0xfffffffc,0xffffffff,0x04ffffff,0xfffffff1,
    0x20e2001d,0x07fffffa,0xffffff88,0x7ffffd40,0xffff8807,0x7ffd40ff,
    0xff8807ff,0xf900ffff,0x0005ffff,0x7ffffe40,0x3f200002,0x0002ffff,
    0x0ffffff0,0xffffffa8,0x7fff400f,0x7fffc07f,0x320004ff,0x002fffff,
    0xffff7000,0x5400007f,0x4006ffff,0xeefffffe,0xeeeeeeee,0x06fffffe,
    0x05ffffb1,0x7fffe400,0x8000002f,0x03fffffb,0x3ffee000,0x3e6003ff,
    0xadffffff,0xfffff880,0x4c07dd05,0x87ffffff,0xeefffffe,0xeeeeeeee,
    0x06fffffe,0x3fffffee,0x5cc09bef,0xfff887fd,0xb100dfff,0x109fffff,
    0x1bffffff,0x3ffff620,0xffff884f,0xfb100dff,0x6409ffff,0x002fffff,
    0x3ffff200,0x3200002f,0x002fffff,0xffffff00,0xfffda988,0xe804ffff,
    0x6407ffff,0x00ffffff,0xfffff900,0x2e000005,0x003fffff,0x3ffff200,
    0x3ffe6003,0x3e6003ff,0x200fffff,0x40000aba,0x02fffffc,0xffb80000,
    0x00003fff,0x0fffffee,0xfffffb00,0xdddfffff,0x0bffffff,0x2f37fffa,
    0xffffffdb,0x7fffcc2f,0x3fe6003f,0x3a00ffff,0xffffffff,0xffffffff,
    0xffff707f,0x97579fff,0x1dffffff,0x3ffffee0,0xfcbabcff,0x00efffff,
    0xfffffff7,0xfff97579,0x6401dfff,0xffffffff,0xffffffff,0xfff901ff,
    0xffffffff,0x3fffffff,0x3fffff20,0xffffffff,0xf81fffff,0xffffffff,
    0xffffffff,0xfe800eff,0x7c407fff,0x004fffff,0x5fffff90,0x77754000,
    0xffffeeee,0xeeeeeeef,0x7ffec001,0x3fee000f,0x74001fff,0x002fffff,
    0xfff90000,0xffffffff,0x3fffffff,0xdddddd50,0xddfffffd,0x503ddddd,
    0xfddddddd,0xddddffff,0xfd103ddd,0xffffffff,0xffffffff,0x3fffa0bf,
    0xffffffff,0xffb85fff,0x74001fff,0x202fffff,0xfffffffa,0xffffffff,
    0x3ffe07ff,0xffffffff,0x2fffffff,0x7fffffc0,0xffffffff,0x7c02ffff,
    0xffffffff,0xffffffff,0x7ffe402f,0xffffffff,0x1fffffff,0xffffff90,
    0xffffffff,0x3203ffff,0xffffffff,0xffffffff,0xffff81ff,0xffffffff,
    0x0effffff,0xfffffd00,0xfffffb00,0xff90001f,0x40005fff,0xfffffffa,
    0xffffffff,0x4002ffff,0x4005ffff,0x007ffffd,0x5fffffc8,0xf9000000,
    0xffffffff,0xffffffff,0xffff503f,0xffffffff,0x5fffffff,0xffffff50,
    0xffffffff,0x205fffff,0xffffffc8,0xffffffff,0xffd05fff,0xffffffff,
    0xfb01ffff,0x9000ffff,0x80bfffff,0xffffffd8,0xffffffff,0x3ffea07f,
    0xffffffff,0x804fffff,0xfffffffa,0xffffffff,0xfffa804f,0xffffffff,
    0x804fffff,0xfffffffc,0xffffffff,0xff901fff,0xffffffff,0xffffffff,
    0x3ffff203,0xffffffff,0x81ffffff,0xffffffff,0xffffffff,0x7ff4004f,
    0xff9807ff,0x8003ffff,0x02fffffc,0x3fffea00,0xffffffff,0x2fffffff,
    0x3fffe200,0x3ffe2002,0xfa8004ff,0x0007ffff,0xffff9000,0xffffffff,
    0x03ffffff,0xfffffff5,0xffffffff,0xf505ffff,0xffffffff,0xffffffff,
    0xffa805ff,0xffffffff,0x03ffffff,0xfffffffd,0x019fffff,0x09fffff1,
    0xfffff500,0x3ffee00f,0xffffffff,0x6c407fff,0xffffffff,0x001effff,
    0x3fffff62,0xefffffff,0x3ff62001,0xffffffff,0xf9001eff,0xffffffff,
    0xffffffff,0x3fff203f,0xffffffff,0x1fffffff,0xffffff90,0xffffffff,
    0xff03ffff,0xffffffff,0x019fffff,0xfffffd00,0x3ffffa00,0x7e4000ff,
    0x0002ffff,0x3fffffea,0xffffffff,0x002fffff,0x001fffea,0x05fffff5,
    0xfffff100,0x0000003f,0xfffffff9,0xffffffff,0xff503fff,0xffffffff,
    0xffffffff,0xffff505f,0xffffffff,0x5fffffff,0xfffb9100,0x9fffffff,
    0xfffb5005,0x03bfffff,0x17ffffd4,0x7fffc400,0xb71001ff,0xfffffffd,
    0x7540037d,0xffffffff,0x3aa0003e,0xffffffff,0x3aa0003e,0xffffffff,
    0x7fe4003e,0xffffffff,0xffffffff,0xfffff901,0xffffffff,0x203fffff,
    0xfffffffc,0xffffffff,0xfff81fff,0xeeffffff,0x740001bd,0x5007ffff,
    0x07ffffff,0xfffffc80,0x3fea0002,0xffffffff,0xffffffff,0x0000002f,
    0x03fffff2,0x7ffff400,0x8000004f,0xfffffffc,0xffffffff,0xffa81fff,
    0xffffffff,0xffffffff,0xffffa82f,0xffffffff,0x2fffffff,0xabb98800,
    0x2600019a,0x90009aa9,0x001fffff,0x3fffffa0,0x2aa60004,0x31000019,
    0x00003575,0x03575310,0x75310000,0x00000035,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0xeffffffc,0xfffa8001,
    0x880003ff,0xcdeecba9,0x220000ab,0xeeeecca9,0x205eeeee,0x41fffff9,
    0x00efffe9,0x3ffffa20,0x7ffff4c2,0x77776c01,0x80000003,0x03fffffa,
    0xfff50000,0x200007ff,0x99999998,0x00999999,0x7ffe4000,0x4c01efff,
    0x4c1fffff,0x000efffe,0x33333331,0x01333333,0xfffff300,0xefffe983,
    0x7fff4c00,0x00003fff,0xffffc800,0x00001eff,0x017bbbb2,0x83fffff3,
    0x00efffe9,0x3fffea00,0x2ea2003f,0x8000000a,0x5ffffffc,0xffff7000,
    0x20007fff,0xffffffd9,0x0fffffff,0x3fffee00,0xffffffff,0x74c07fff,
    0xff73ffff,0x10001dff,0x2a7ffffd,0x801fffff,0x00fffffc,0x3ee00000,
    0x03ffffff,0x7ffdc000,0x0003ffff,0xffffffb8,0x3fffffff,0x3ff20000,
    0x2005ffff,0x73ffffe9,0x001dffff,0x7fffffdc,0x3fffffff,0xfffd3000,
    0x3fffee7f,0xffb1000e,0x0007ffff,0x7ffe4000,0x00005fff,0x27ffffc4,
    0x7ffff4c0,0x1dffff73,0x7ffdc000,0x9803ffff,0x001effff,0x3fff2000,
    0x70002fff,0xffffffff,0x7e44009f,0xffffffff,0x00ffffff,0xffffffb8,
    0xffffffff,0xe8807fff,0xfffeffff,0x220000ef,0xffeffffe,0xf1000eff,
    0x0007ffff,0x3ffee000,0x04ffffff,0xffff7000,0x009fffff,0xfffffb80,
    0xffffffff,0xff900003,0x0005ffff,0xfdffffd1,0x8001dfff,0xfffffffb,
    0x03ffffff,0x3fffa200,0x0effffef,0xffffb800,0x000003ff,0xffffffc8,
    0xfc800002,0x1000ffff,0xffdffffd,0x40001dff,0xfffffffb,0x3fe204ff,
    0x000fffff,0xffffc800,0xf90000ef,0xffd5dfff,0xfd1009ff,0xffffffff,
    0x1fffffff,0x7ffff440,0xffffffff,0x07ffffff,0xfffffd10,0x00001dff,
    0xffffffd1,0xfd8001df,0x00006fff,0xeffffc80,0x04ffffea,0x7fffe400,
    0x4ffffeae,0x3ffee000,0xffffffff,0xc80003ff,0x00efffff,0x3fffa200,
    0x000effff,0xffffffb8,0x3fffffff,0x7ff44000,0x00efffff,0x3fffa600,
    0x000003ff,0x3bfffff2,0xff000000,0x8800bfff,0xfffffffe,0x3f20000e,
    0xffeaefff,0xfff904ff,0x0007ffff,0xfffffc80,0x3ff20004,0x3ff624ff,
    0x7fec04ff,0xffffffff,0x0fffffff,0x3fffff60,0xeeffffff,0x07fffffe,
    0x3ffffa20,0x200000ef,0xefffffe8,0xfffa8000,0x000002ff,0x893ffff2,
    0x004ffffd,0x49ffff90,0x04ffffd8,0xfffff700,0xffffffff,0xffc80007,
    0x00004fff,0xdfffffd1,0x3fee0001,0xffffffff,0x80003fff,0xefffffe8,
    0xff900000,0x00007fff,0x9fffff90,0x7d400000,0x8001ffff,0xefffffe8,
    0x3ff20000,0x3ff624ff,0xfffd84ff,0x0005ffff,0x2aaaaa20,0x2aa20001,
    0x555502aa,0x3ffee015,0x9abdffff,0x0ffecba9,0xffffff70,0x41ffffff,
    0x007ffffd,0x05555544,0xaaa80000,0x3a0000aa,0x0005ffff,0x55555100,
    0x02aaaaa0,0x55555100,0x02aaaaa0,0x00000000,0x55555440,0x54400001,
    0x0000aaaa,0x00000000,0x02aaaaa2,0x55530000,0x40000155,0x01aaaaa8,
    0x7ff40000,0x220006ff,0x000aaaaa,0x0aaaaa20,0x20555554,0xfffffffd,
    0x00000004,0x00000000,0x1dfffffd,0x7cc0a200,0xffffffff,0x3f60ffff,
    0x00007fff,0x00000000,0x7fffdc00,0x0000001f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfff30000,
    0x000005ff,0x00000000,0xffffffa8,0x0000002f,0x00000000,0x3ffffff0,
    0x3fee0000,0xffffffff,0x3ff60fff,0x000007ff,0x00000000,0x7ffffc40,
    0x00000004,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffffb000,0x0000000f,0x20000000,0x05fffffd,
    0x4ccccc40,0x33310009,0x99998813,0x4cccc001,0xfffff109,0x3600001f,
    0xffffffff,0x360fffff,0x4cc7ffff,0x99999999,0x99999999,0x22019999,
    0x99999999,0xf9000019,0x0001ffff,0x00199998,0x10cccc40,0x00133333,
    0x26666620,0x99999880,0x99999999,0x80999999,0x99999999,0x99999999,
    0x22019999,0x99999999,0x99999999,0x4cc40019,0x00099999,0x33333330,
    0x33333333,0x20333333,0x99999998,0x99999999,0x26009999,0x00009999,
    0x7ffc4000,0x4cc404ff,0x10009999,0x31013333,0x33333333,0x33333333,
    0xefeb8133,0xfffd8003,0xf7006fff,0xffd8dfff,0xf3000fff,0x3e69ffff,
    0x001fffff,0xfffffd00,0xffffffff,0x3ffffec1,0xfffffff1,0xffffffff,
    0xffffffff,0x7fffff40,0xefffffff,0xff98000c,0x20003fff,0x007ffff8,
    0x87ffff40,0x0ffffffa,0xfffff800,0xffffa81f,0xffffffff,0x2fffffff,
    0xfffffff8,0xffffffff,0x01ffffff,0xfffffff9,0xffffffff,0x74003fff,
    0x6fffffff,0xfffff000,0xffffffff,0xffffffff,0xfffff503,0xffffffff,
    0x05ffffff,0x17ffffe6,0xf7000000,0xd801ffff,0x06ffffff,0x0dffff70,
    0xfffffff5,0xffffffff,0x0005ffff,0xfffffb00,0xff7003ff,0xfffd8dff,
    0xff3000ff,0x3fe29fff,0x000dffff,0x7ffffc40,0xffffffff,0x3ffff60f,
    0x3ffffe27,0xffffffff,0xffffffff,0x3fffa07f,0xffffffff,0x001dffff,
    0x037fffec,0xfffff100,0xfffe8000,0x3ffffa0f,0x7fdc004f,0xff505fff,
    0xffffffff,0xffffffff,0xfffff05f,0xffffffff,0xffffffff,0x3ffff203,
    0xffffffff,0x01ffffff,0xffffff10,0xf0001fff,0xffffffff,0xffffffff,
    0xf503ffff,0xffffffff,0xffffffff,0x3fe605ff,0x00005fff,0x7ffffc00,
    0xffffd805,0xfb801fff,0xffa86fff,0xffffffff,0xffffffff,0xd800002f,
    0x5fffffff,0x6ffffb80,0x07ffffec,0xfffff980,0x3fffffe4,0x220001ef,
    0xffffffff,0x20ffffff,0x227ffffd,0xffffffff,0xffffffff,0x07ffffff,
    0x3ffffffa,0xffffffff,0x2a001fff,0x002fffff,0x03ffffe0,0x7ffff800,
    0x7fffffd4,0x3fffe000,0xfff501ff,0xffffffff,0xffffffff,0xffffff05,
    0xffffffff,0x3fffffff,0x3fffff20,0xffffffff,0x001fffff,0xfffffff7,
    0xff0005ff,0xffffffff,0xffffffff,0xff503fff,0xffffffff,0xffffffff,
    0x3ffe605f,0x000005ff,0x3ffffea0,0xffffd801,0xfb805fff,0xffa86fff,
    0xffffffff,0xffffffff,0xd800002f,0xffffffff,0x7fffdc00,0x7ffffec6,
    0xffff3000,0x7fffec9f,0x002effff,0xfffffff0,0x1fffffff,0x13ffffec,
    0xffffffff,0xffffffff,0x0fffffff,0x7ffffff4,0xffffffff,0x2000ffff,
    0x005ffffe,0x03ffffe0,0x7ffff800,0x4fffffe8,0xfffff700,0x7fffd40b,
    0xffffffff,0x2fffffff,0xfffffff8,0xffffffff,0x01ffffff,0xfffffff9,
    0xffffffff,0x36003fff,0xffffffff,0xfff8005f,0xffffffff,0xffffffff,
    0xfffa81ff,0xffffffff,0xffffffff,0xfffff302,0x4000000b,0x006ffffe,
    0xfffffffb,0xfffb801f,0xffffa86f,0xffffffff,0x2fffffff,0xffd80000,
    0x04ffffff,0x237fffdc,0x00fffffd,0x9fffff30,0x7fffffc4,0x01cfffff,
    0x3fffff60,0xffffffff,0x1fffff60,0x99999999,0x9bfffffd,0x09999999,
    0x67fffff4,0xffffedcc,0x2005ffff,0x00fffffb,0x1fffff00,0x7fffc000,
    0xfffffa86,0x7ffc400f,0x32601fff,0xffeccccc,0xccccdfff,0xffff81cc,
    0xffffffff,0xffffffff,0xffff900f,0xdddddddf,0x01dddddd,0x3fffffe0,
    0x8007ffff,0xffffffff,0xffffffff,0x980fffff,0xfecccccc,0xcccdffff,
    0xff301ccc,0x0000bfff,0x3fffe600,0xfffb003f,0x809fffff,0x986ffffb,
    0xfecccccc,0xcccdffff,0x00001ccc,0xffffffd8,0x3ee00fff,0x7fec6fff,
    0xf3000fff,0xfa89ffff,0xffffffff,0xc802efff,0xffffffff,0x360fffff,
    0x4007ffff,0x03fffffb,0x3ffffa00,0xffff7107,0x7c400fff,0x0004ffff,
    0x001ffffd,0x837fffc0,0x03fffffe,0x2fffffdc,0xffff7000,0x0000007f,
    0x9ffffff7,0x7ffffe40,0xf5000002,0xffffffff,0x000003ff,0xffffff70,
    0xfff70009,0xf30007ff,0x000bffff,0x3fff2000,0xffb000ff,0x1fffffff,
    0x37fffdc0,0x3fffee00,0x0000003f,0x7fffffec,0x3ee03fff,0x7fec6fff,
    0xf3000fff,0xf709ffff,0xffffffff,0x403dffff,0xfffffffa,0x20ffffff,
    0x007ffffd,0x1fffffdc,0xffffd000,0xffffa80f,0x3f2000ff,0xd0007fff,
    0x0003ffff,0xa837fffc,0x207fffff,0x1ffffff8,0x3ffee000,0x000003ff,
    0x7fffffc4,0x7fffe406,0x9000002f,0xff7fffff,0x00009fff,0xfffff880,
    0xff70006f,0x30007fff,0x00bfffff,0xfff10000,0x7ec009ff,0xffffffff,
    0x3fffee03,0x7ffdc006,0x000003ff,0x7ffffec0,0x2e07ffff,0x7ec6ffff,
    0x3000ffff,0x209fffff,0xffffffe9,0x3fffffff,0x3fffff20,0x0fffffff,
    0x01fffff6,0x7fffff70,0x7fff4000,0xfffe807f,0x3e6002ff,0x8003ffff,
    0x001ffffd,0x0bffff10,0x1ffffff4,0x5fffffb8,0x7ffdc000,0x000003ff,
    0x7ffffff4,0x7fffe401,0xf000002f,0xff39ffff,0x0000dfff,0xfffffe80,
    0xff70001f,0x30007fff,0x00bfffff,0xfff70000,0x7ec001ff,0xffffffff,
    0x3fffee07,0x7ffdc006,0x000003ff,0x77fffec0,0x703fffff,0xfd8dffff,
    0x3000ffff,0x809fffff,0xffffffda,0x03ffffff,0x3ffffffa,0x360fffff,
    0x4007ffff,0x03fffffb,0x3ffffa00,0xffffd807,0x7ff4003f,0xfd8006ff,
    0x10001fff,0x540bffff,0x886fffff,0x01ffffff,0x7fffdc00,0x2000003f,
    0x4ffffffb,0xfffffc80,0xf9800002,0xfff2ffff,0x00001fff,0x3ffffee0,
    0x3ee0004f,0x8003ffff,0x05fffff9,0xffe80000,0x7ec005ff,0xffffefff,
    0xffff703f,0xfffb800d,0x3ae003ff,0xfd8003ef,0xfffecfff,0xffff706f,
    0xfffffd8d,0xffff3000,0x3f26009f,0xffffffff,0xfff101ff,0xffffffff,
    0x3ffffec1,0x3fffee00,0x3fa0003f,0xfd807fff,0x4002ffff,0x01fffffa,
    0x17fffec0,0x441f774c,0x7404ffff,0x5c2fffff,0x005fffff,0xfffffb80,
    0xf1000003,0x00dfffff,0x0bfffff2,0x3fee0000,0xfff90fff,0x000007ff,
    0xdffffff1,0xfffb8000,0xf98003ff,0x0005ffff,0x7fffd400,0x7fec002f,
    0xffffecff,0xdffff706,0xffffb800,0xfffb003f,0xfd800bff,0xfffbcfff,
    0xfffb82ff,0x7fffec6f,0xfff3000f,0xb50009ff,0xffffffff,0x7ffe440b,
    0x20ffffff,0x007ffffd,0x1fffffdc,0xffffd000,0xfffff00f,0xfff0003f,
    0xfc800bff,0xffc82fff,0xffff986f,0x7fffd404,0x7ffffc6f,0xfb80000f,
    0x0003ffff,0xfffffb00,0x3ff2003f,0x00002fff,0x26ffffd8,0x05fffffa,
    0xfffd8000,0x40001fff,0x03fffffb,0xfffff980,0x6c000005,0x8006ffff,
    0xfbcffffd,0xfb82ffff,0x5c006fff,0x803fffff,0xfffffffa,0x3fff6002,
    0xfffff8cf,0x6ffffb86,0x07ffffec,0xfffff980,0x3fa60004,0x807fffff,
    0xffffffb8,0x3ffff60f,0x7ffdc007,0x3a0003ff,0x5c07ffff,0x007fffff,
    0x1fffff70,0x7fffe400,0x0ffffe82,0x01ffffcc,0x8ffffff4,0x04fffffa,
    0xffff7000,0x7000007f,0x07ffffff,0x7ffffe40,0x7c400002,0x3e23ffff,
    0x0007ffff,0x7ffffdc0,0xfb80003f,0x8003ffff,0x05fffff9,0x3fe60000,
    0xd8003fff,0xff8cffff,0xffb86fff,0x7dc006ff,0xd803ffff,0x4fffffff,
    0x3ffff600,0x3fffff94,0x46ffffb8,0xeefffffd,0xeeeeeeee,0x04fffffe,
    0x7fff4400,0x26000fff,0x360eccaa,0x4007ffff,0x03fffffb,0x3ffffa00,
    0xffff9107,0x220005ff,0x004fffff,0x30bfffee,0x987fffff,0xa803ffff,
    0xfd5fffff,0x0001ffff,0x3ffffee0,0x7c400003,0x006fffff,0x6fffffe4,
    0xcccccccc,0x7d402ccc,0x7f41ffff,0x0002ffff,0xffffff10,0x3ee0000d,
    0x8003ffff,0x05fffff9,0x3ff20000,0xd8000fff,0xff94ffff,0xffb83fff,
    0x7dc006ff,0xd803ffff,0x5fffffff,0x3ffff600,0xbfffff14,0x46ffffb8,
    0xfffffffd,0xffffffff,0x04ffffff,0xffffa800,0x400002ff,0x007ffffd,
    0x1fffffdc,0xffffd000,0xffd9999f,0x00bfffff,0x7ffffc80,0x3fffee00,
    0x7ffffdc3,0x1ffffcc5,0xfffffe80,0x04fffffa,0x3ffee000,0x400003ff,
    0x0ffffffd,0x7fffe400,0xffffffff,0x404fffff,0xb87ffffc,0x004fffff,
    0xfffffb00,0x2e00001f,0x003fffff,0x5fffff98,0xff100000,0x20009fff,
    0xf14ffffd,0xfb8bffff,0x5c006fff,0x803fffff,0xfffffffc,0x3fff6003,
    0x3ffff64f,0x3fffee0f,0x7ffffec6,0xffffffff,0xffffffff,0xff880004,
    0x0001ffff,0x3ffffec0,0x3fffee00,0x3fa0003f,0xffffffff,0x4fffffff,
    0xfff98000,0xff5002ff,0xfffe87ff,0x3fea0fff,0xff5002ff,0xffffffff,
    0x5c00001f,0x003fffff,0x3fffee00,0xfc8003ff,0xffffffff,0xffffffff,
    0x7ffffc04,0xfffff985,0xffb80006,0x0003ffff,0x3ffffee0,0xfff98003,
    0x000005ff,0x03fffff7,0x3ffff600,0x3fffff64,0x1bfffee0,0xfffff700,
    0xffff1007,0x6c001fff,0x3e64ffff,0x3ee4ffff,0x7fec6fff,0xffffffff,
    0xffffffff,0x80004fff,0x0ffffff9,0x7fec0000,0x7dc007ff,0x0003ffff,
    0x3ffffffa,0xefffffff,0x3a00001c,0x5006ffff,0x7c47ffff,0x22ffffff,
    0x002ffffa,0x3ffffffa,0x00004fff,0x1fffffdc,0xfff88000,0x90005fff,
    0xffffffff,0xffffffff,0x7ffcc09f,0xffff03ff,0x440003ff,0x05ffffff,
    0x7ffdc000,0xf98003ff,0x0005ffff,0xbffffd00,0x7ffec000,0x3fffe64f,
    0x3fffee4f,0x7ffdc006,0xff5003ff,0xd8003fff,0x7f44ffff,0xff70ffff,
    0xfffd8dff,0xffffffff,0xffffffff,0x000134ff,0x1bfffff6,0x3ff60000,
    0x7dc007ff,0x0003ffff,0x3ffffffa,0x2fffffff,0xffa80000,0xf9801fff,
    0x3fee3fff,0x2a5fffff,0x2001ffff,0xfffffffa,0x400000ff,0x03fffffb,
    0xffffb000,0x320001ff,0xffffffff,0xffffffff,0x3fff204f,0xfffb00ff,
    0x6c0007ff,0x00ffffff,0x7ffdc000,0xf98003ff,0x0005ffff,0xfffffa80,
    0x3ff60002,0x7fff44ff,0xffff70ff,0xfffb800d,0x2a2003ff,0xfd8000ab,
    0x7fd44fff,0xfff73fff,0xffffd8df,0xaaaaaabf,0xffffbaaa,0x159df94f,
    0xffffda80,0x800004ff,0x007ffffd,0x1fffffdc,0xffffd000,0xffffffff,
    0x00000bff,0x00bfffff,0x6c9ffff3,0x7fffefff,0x007fffea,0xffffffd0,
    0x7000009f,0x007fffff,0xfffff700,0x7e40007f,0xaaacffff,0xaaaaaaaa,
    0x3ffffa01,0x3fffea06,0xff70005f,0x0007ffff,0xfffff700,0xfff30007,
    0x00000bff,0x00dffffb,0x4ffffd80,0x9fffffd4,0x006ffffb,0x1fffffdc,
    0x36000000,0xfe84ffff,0xfff77fff,0xffffd8df,0xfff3000f,0x3fff29ff,
    0xedceefff,0xffffffff,0xd800000f,0x4007ffff,0x03fffffb,0x3ffffa00,
    0xffffb717,0x800007ff,0x00fffffb,0x8a7fffcc,0xfffbffff,0x1ffff72f,
    0xffffa800,0x00000fff,0x3fffffb8,0x7ffc4000,0x40005fff,0x02fffffc,
    0xffff1000,0x7ffc409f,0x44000fff,0x05ffffff,0xfff70000,0xf30007ff,
    0x000bffff,0xfffff880,0x7fec0003,0xfffe84ff,0xdffff77f,0xffffb800,
    0xeeeb803f,0x777643ee,0x3fff62ee,0xffffb84f,0x6ffffbaf,0x07ffffec,
    0xfffff980,0xffffff94,0xffffffff,0x005fffff,0x3fff6000,0x7fdc007f,
    0x20003fff,0xd87ffffe,0x00ffffff,0x3ffe2000,0x7fc403ff,0xbfff54ff,
    0x2e9ffff1,0x8000ffff,0x04fffffe,0xfff70000,0xd80007ff,0x00ffffff,
    0x7fffe400,0xf700002f,0xe805ffff,0x002fffff,0x7fffffec,0xf7000000,
    0x0007ffff,0x0bfffff3,0xfffc8000,0x6c0000ff,0xfb84ffff,0xffbaffff,
    0x7dc006ff,0xb803ffff,0x644fffff,0x362fffff,0xf884ffff,0xffbeffff,
    0x7ffec6ff,0xff3000ff,0x3ff29fff,0xffffffff,0xffffffff,0x3a000002,
    0x4006ffff,0x03fffffb,0x3ffffa00,0xfffffd07,0xfd80000b,0x7c407fff,
    0xfffb5fff,0x65ffffa7,0x90007fff,0x005fffff,0x3ffee000,0x2e0003ff,
    0x02ffffff,0xffffc800,0xfb00002f,0xffffffff,0xffffffff,0x7dc009ff,
    0x002fffff,0x3ffee000,0xf98003ff,0x0005ffff,0x3ffffe20,0xffd80004,
    0xfff884ff,0xffffbeff,0x7ffdc006,0xffa803ff,0x7fe43fff,0x3ff62fff,
    0xfff904ff,0xdffffbff,0x0fffffd8,0xfffff300,0x3fffff29,0xffffffff,
    0x0000efff,0x7ffffc00,0x7ffdc005,0x3a0003ff,0xf307ffff,0x003fffff,
    0x7fffcc00,0x7fffc02f,0x2e1ffff5,0xffc9ffff,0xff90007f,0x00005fff,
    0x3ffffee0,0xfff10003,0x0000bfff,0x0bfffff2,0x7fffc000,0xffffffff,
    0xffffffff,0xffff1007,0x00000bff,0x3fffffb8,0xffff9800,0x2e00005f,
    0x001fffff,0x4ffffd80,0xbfffff90,0x800dffff,0x03fffffb,0x3fffffa8,
    0x0fffffdc,0x209ffffb,0xfffffff8,0x7fec6fff,0xf3000fff,0x3269ffff,
    0xfffffffd,0x01cfffff,0xff880000,0x5c004fff,0x003fffff,0x1fffffa0,
    0x5fffffe8,0x7ff40000,0x7ffc06ff,0x26fff9ef,0xfcbffff9,0xf90007ff,
    0x0005ffff,0x3fffee00,0xffb0003f,0x0001ffff,0x3fffff20,0xffa80002,
    0xffffffff,0xffffffff,0xfd801fff,0x000fffff,0x7ffdc000,0xf98003ff,
    0x0005ffff,0x1bffffa0,0x7ffec000,0xffff104f,0x0dffffff,0xfffffb80,
    0xffff9803,0x7fffdc2f,0x3ffff61f,0x3ffff604,0x6c6fffff,0x000fffff,
    0x09fffff3,0x3ffaaa66,0x100005ff,0x3ffff200,0x7fdc002f,0x20003fff,
    0x207ffffe,0x0ffffffb,0x3fea0000,0x3fe01fff,0x3fffceff,0x7e6ffff4,
    0xf90006ff,0x0005ffff,0x3fffee00,0xffb8003f,0x0002ffff,0x3fffff20,
    0xffc80002,0xffffffff,0xffffffff,0x7dc04fff,0x002fffff,0xfffb8000,
    0xf98003ff,0x0005ffff,0x5fffff30,0x3ff60000,0x3ff604ff,0x6fffffff,
    0x7fffdc00,0xfff9803f,0x7ffd42ff,0x3fff60ff,0x3ffe604f,0x46ffffff,
    0x00fffffd,0x9fffff30,0x3ffff600,0x3fb80002,0x7ffffcc0,0x7fdc001f,
    0x20003fff,0x407ffffe,0x04ffffff,0x7fffc000,0x3fffa04f,0x641fffee,
    0xfffdffff,0xfff90006,0x000005ff,0x0fffffee,0xfffff100,0xc80000bf,
    0x002fffff,0xfffffe80,0xeeeeeeee,0xfffffeee,0x3fffe206,0x000005ff,
    0x7fffff70,0xffff3000,0x360000bf,0x0007ffff,0x13ffff60,0xffffff98,
    0x5c006fff,0x803fffff,0x41fffff8,0x20fffffa,0x404ffffd,0xfffffffe,
    0x7fffec6f,0xfff3000f,0x3fe009ff,0x980007ff,0x88abdfff,0xffffffc9,
    0xfffb8004,0x3a0003ff,0x6407ffff,0x00ffffff,0x3fff2000,0xfffd00ff,
    0xf30dffff,0xbfffffff,0x3fff2000,0x000002ff,0x07fffff7,0xfffffd80,
    0xaaaaaabf,0x0aaaaaaa,0x5fffff90,0xfff98000,0x3e6003ff,0xb00fffff,
    0x57ffffff,0x55555555,0x80015555,0x03fffffb,0xfffff980,0xff880005,
    0x00003fff,0x013ffff6,0xfffffffd,0xffb800df,0xf8803fff,0x7cc1ffff,
    0x7fec7fff,0x7fd404ff,0x46ffffff,0x00fffffd,0x9fffff30,0x9ffff300,
    0xfffd0000,0xffffffff,0x000dffff,0x0fffffee,0xffffe800,0x7fffc407,
    0x200004ff,0x03fffff8,0xfffffffb,0x3ffffe09,0x90005fff,0x005fffff,
    0x77777540,0xefffffee,0x41eeeeee,0xfffffffa,0xffffffff,0x03ffffff,
    0xfffffff9,0xffffffff,0x7fdc3fff,0x74001fff,0xa82fffff,0xffffffff,
    0xffffffff,0xa83fffff,0xfeeeeeee,0xeeeeffff,0xff301eee,0xffffffff,
    0xffffffff,0xfffffc8d,0x3f600000,0x7d404fff,0x6fffffff,0xeeeeeea8,
    0xeefffffe,0x3e1eeeee,0x7cc0ffff,0x7fec7fff,0xffe804ff,0x6c6fffff,
    0x000fffff,0x09fffff3,0x03ffff50,0xffffa800,0xffffffff,0x0001ffff,
    0x07fffff7,0x7ffff400,0xffffd807,0x200000ff,0xb06ffffd,0x3fffffff,
    0x3fffff20,0xf90005ff,0x0005ffff,0x7fffffd4,0xffffffff,0x5c2fffff,
    0xffffffff,0xffffffff,0x903fffff,0xffffffff,0xffffffff,0x7ffec3ff,
    0xffc8007f,0xffb85fff,0xffffffff,0xffffffff,0xffa83fff,0xffffffff,
    0xffffffff,0xffff302f,0xffffffff,0x8dffffff,0x005fffff,0x7fffec00,
    0xffffe804,0xffa86fff,0xffffffff,0xffffffff,0x3ffffe2f,0x37fffc40,
    0x013ffff6,0x3fffffee,0x7fffec6f,0xfff3000f,0xff9009ff,0x2a0000df,
    0xfffffffe,0x01efffff,0x3fffee00,0x3fa0003f,0xf9807fff,0x003fffff,
    0x3fffe600,0xffffc82f,0x3fea07ff,0x004fffff,0x5fffff90,0x7ffd4000,
    0xffffffff,0xffffffff,0x7ffffdc2,0xffffffff,0xffffffff,0xfffff903,
    0xffffffff,0x223fffff,0x004fffff,0x7fffffa8,0xffffffb8,0xffffffff,
    0x3fffffff,0xffffffa8,0xffffffff,0x302fffff,0xffffffff,0xffffffff,
    0x7ffd4dff,0x400001ff,0x804ffffd,0xfffffffb,0xfffffa86,0xffffffff,
    0x22ffffff,0xf887fffe,0x7fec6fff,0xff8804ff,0x6c6fffff,0x000fffff,
    0x09fffff3,0x007fffd0,0xffffb800,0x02efffff,0xffffb800,0x3fa0003f,
    0xfd007fff,0x001fffff,0x7ffff400,0xfffffc85,0x7fffc04f,0x90004fff,
    0x005fffff,0x7ffffd40,0xffffffff,0x42ffffff,0xfffffffb,0xffffffff,
    0x03ffffff,0xfffffff9,0xffffffff,0x3fea3fff,0x88002fff,0x41ffffff,
    0xfffffffb,0xffffffff,0x83ffffff,0xfffffffa,0xffffffff,0xf302ffff,
    0xffffffff,0xffffffff,0x7ffff4df,0xfd800006,0xf8804fff,0x86ffffff,
    0xfffffffa,0xffffffff,0x3fa2ffff,0xffff07ff,0x4ffffd8b,0xfffff900,
    0xffffd8df,0xfff3000f,0x000009ff,0x65cc4000,0x000009ac,0x0fffffee,
    0xffffe800,0xffff5007,0x400007ff,0xb8199998,0x02ffffff,0x7fffffec,
    0xfff90003,0x540005ff,0xffffffff,0xffffffff,0x7fdc2fff,0xffffffff,
    0xffffffff,0xff903fff,0xffffffff,0xffffffff,0x3fffff23,0xfffd0000,
    0xfffb89ff,0xffffffff,0xffffffff,0xfffa83ff,0xffffffff,0xffffffff,
    0xfffff302,0xffffffff,0x4cdfffff,0x00009999,0x4ffffd80,0xfffff900,
    0xffff50df,0xffffffff,0x5fffffff,0x980cccc4,0x00000999,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x33100000,0x33333333,0x40001333,0x03fffffa,
    0xfc800000,0x01efffff,0xffffffd3,0x00000007,0x20000002,0x06a60000,
    0x00000000,0x66666400,0x10000002,0x00399999,0x000f2e20,0x000c0060,
    0x00001880,0x00003100,0x00001880,0x000c0060,0x00006620,0x01797100,
    0x55555440,0x55550002,0x00600155,0xfb80000c,0xffffffff,0x0003ffff,
    0xfffffff7,0x40000007,0x4ffffffc,0xffffd880,0x000003ff,0x3bfffb30,
    0x7ecc0000,0x32001dff,0x0000efff,0x20000000,0x02fffff8,0xff500000,
    0x30001fff,0x001dffff,0x205fff70,0x8002fffb,0x2efffeb8,0x71000350,
    0x205dfffd,0x3ae2001a,0x3502efff,0x17ffdc00,0x002fffb8,0xfffffd91,
    0x400005bf,0x00effff9,0xffffff10,0xfff88005,0x7dc00fff,0xfff702ff,
    0xffb80005,0xffffffff,0xb8003fff,0xffffffff,0x8000004f,0x2ffffffc,
    0x7fffdc00,0x000003ff,0x7fffffe4,0xfc80003f,0x03ffffff,0x5fffff88,
    0x00000000,0x4bbbbbaa,0x007ffffa,0x3ff20000,0xfd0005ff,0x800dffff,
    0x41fffffa,0x01fffffa,0x3ffffa20,0x3e60dfff,0x3fa2001f,0x0dffffff,
    0x22007fe6,0xfffffffe,0x007fe60d,0x07ffffea,0x03fffff5,0xffffffb8,
    0x02efffff,0xffffe800,0x3ff6006f,0x5c005fff,0x405fffff,0x41fffffa,
    0x01fffffa,0x3fffee00,0xffffffff,0x7fe4003f,0xfffeaeff,0x2000004f,
    0x0efffffc,0xfffd3000,0x000007ff,0x3fffffea,0x20001fff,0xfffffffa,
    0x7fd401ff,0x0000ffff,0xff500000,0x3ff27fff,0x000004ff,0x0bffffa0,
    0x3fffe200,0x36000fff,0x6c4fffff,0x004fffff,0x3ffffff6,0xffeeffff,
    0xffb001ff,0xffffffff,0x03ffffdd,0xffffffd8,0xffeeffff,0x7fec01ff,
    0x7fec4fff,0xfd104fff,0xffffffff,0x005fffff,0x7ffffc40,0xff5000ff,
    0x4001ffff,0x02fffffe,0x27ffffec,0x13fffff6,0xffffb800,0xffffffff,
    0x3ff2003f,0x3ff624ff,0x800004ff,0x04fffffc,0xffff9000,0xd000007f,
    0xff717fff,0x7f4000df,0xfffb8bff,0x7fffc406,0x000001ff,0xffff5000,
    0x3ffffa7f,0xdb980001,0x3ffffe06,0xfff88000,0x2000ffff,0x44fffffd,
    0x04fffffd,0xffffff50,0xffffffff,0x3ea00dff,0xffffffff,0x6fffffff,
    0x7ffffd40,0xffffffff,0xfd806fff,0x7ec4ffff,0xf904ffff,0xffffffff,
    0x3fffffff,0x3ffe2000,0x2000ffff,0x03ffffff,0xffffff10,0xfffffb00,
    0xfffffd89,0x00000004,0x2aaaa200,0x15555502,0x55440000,0x00001aaa,
    0x0555554c,0xfff10000,0x007ffc89,0xc89fff10,0xffb807ff,0x00001fff,
    0xfff50000,0x3fffe7ff,0x7fec0006,0xfff307ff,0x7f4000bf,0x4006ffff,
    0x42fffffa,0x02fffffb,0x222ffee0,0xfffffffb,0x3ee000ff,0xfffb88bf,
    0x00ffffff,0xb88bffb8,0xffffffff,0xfffa800f,0x7ffdc2ff,0xfffa82ff,
    0xca9acfff,0x05ffffff,0x3ffffa00,0x7fdc006f,0xf7006fff,0x5009ffff,
    0xb85fffff,0x002fffff,0x00000000,0x00000000,0x00000000,0xff980000,
    0x07ffd42f,0x17ffcc00,0x2003ffea,0x000ffffe,0xf5000000,0xff37ffff,
    0xf80009ff,0xf707ffff,0x40005fff,0x01fffff9,0x04fffc80,0x0009fff9,
    0xfff91077,0x70003dff,0xffff9107,0x1dc003df,0x7ffffe44,0x3ff2001e,
    0x9fff904f,0x3fffffa0,0xfffff302,0x7fcc000f,0x44001fff,0x00ffffff,
    0x0fffffe8,0x09fff900,0x0013fff2,0x00000000,0x00000000,0x00000000,
    0xfff80000,0x003ffec5,0xfd8bfff0,0xfffb007f,0x0000000f,0x7ffffd40,
    0x01ffffbb,0x7ffffc00,0x0ffffb07,0x17971000,0x00544000,0x000002a2,
    0x00055d44,0x15751000,0x75100000,0x2a200015,0x88054400,0x405fffff,
    0x00fffffe,0x02f2e200,0x7fffec00,0x7ffcc03f,0x544005ff,0x00054400,
    0x33333310,0x33333333,0x88003333,0x09999999,0x26600000,0x99999999,
    0x20009999,0x99999998,0x3f600000,0xfffebeff,0x3ff60004,0x4fffebef,
    0x4ffff880,0x00000000,0x2fffffea,0x0002aaa9,0x07fffff8,0x00035555,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fe60000,0x7ec02fff,
    0x0000ffff,0xffa80000,0x7e406fff,0x0002ffff,0x32000000,0xffffffff,
    0xffffffff,0x3fa001ff,0x06ffffff,0xfff30000,0xffffffff,0x7400bfff,
    0x6fffffff,0x3fe20000,0x0fffffff,0x3ffe2000,0x00ffffff,0x1bffffb2,
    0x00000000,0x07fffff5,0x3ffe0000,0x000007ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fdc0000,0x7fc01fff,0x00007fff,0x3ffe0000,
    0x3fe01fff,0x00007fff,0x7e400000,0xffffffff,0xffffffff,0xfff1001f,
    0x01ffffff,0xfffb0000,0xffffffff,0x2200bfff,0xffffffff,0x2600000f,
    0x1efffffe,0xffe98000,0x7c01efff,0x001effff,0x54000000,0x003fffff,
    0xfffff000,0x4000000f,0xacccca98,0xca98000a,0x0001abde,0x5ef654c0,
    0xaa98001a,0xaa8802aa,0xa8801aaa,0xbcdeeccb,0x7510000a,0x579bdd99,
    0x7fffe401,0x3fff200f,0x220004ff,0x01acddca,0xfffffc80,0xfffff504,
    0xca880009,0x0001acdd,0xffffffc8,0xffffffff,0x7001ffff,0xffffffff,
    0x8800005f,0xffffffff,0x5fffffff,0xfffff700,0x0005ffff,0x059b9500,
    0x9b950000,0x3fffe005,0x00000003,0x2f372ea2,0x03fffffc,0x2aaaa600,
    0xffffffaa,0xaaaaaaaa,0xf910000a,0xffffffff,0xfb100bff,0xffffffff,
    0x6c40005f,0xffffffff,0x3f6002ff,0x4c00ffff,0x104fffff,0xffffffd7,
    0x19ffffff,0xfffd7100,0xffffffff,0xfff9019f,0x3fee01ff,0x8000ffff,
    0xfffffffa,0x22002eff,0xb07fffff,0x003fffff,0x3ffffea0,0x002effff,
    0x3fffff20,0xffffffff,0x001fffff,0xfffffffb,0x80000bff,0xfffffffb,
    0xffffffff,0xffffb005,0x00bfffff,0x00000000,0x09a80000,0x20000000,
    0xfffffffc,0x3fffffff,0x3fff2000,0xffffffff,0xffffffff,0xfa8002ff,
    0xffffffff,0x5406ffff,0xffffffff,0x00dfffff,0x7ffffd40,0xffffffff,
    0xfffd800d,0x7fcc00ff,0xff704fff,0xffffffff,0x03ffffff,0xffffffb8,
    0xffffffff,0x7ffe41ff,0xfffb80ff,0xc8002fff,0xffffffff,0x000cffff,
    0x85fffffb,0x06fffff8,0xfffff900,0x9fffffff,0xfff90001,0xddddddff,
    0x1ddddddd,0x3ffffe00,0x007fffff,0x7ffff400,0xaacfffff,0xff001aaa,
    0xffffffff,0x5553000f,0x55510055,0x75100355,0x579bdd99,0x2aaa2001,
    0xdedc982a,0x7f54001b,0xffffffff,0x03ffffff,0x3ffff200,0xffffffff,
    0xffffffff,0x3f62002f,0xffffffff,0x106fffff,0xfffffffb,0xffffffff,
    0xffb1003f,0xffffffff,0x03ffffff,0x0fffffd8,0x7ffffcc0,0xfffff704,
    0xffffffff,0x5c01ffff,0xffffffff,0xffffffff,0x3ffff20f,0x7fffdc0f,
    0x744002ff,0xffffffff,0x06ffffff,0xbfffff50,0x3fffffa8,0x7fff4400,
    0xffffffff,0xc8006fff,0x002fffff,0xffff5000,0x3fffffff,0x3fe60000,
    0xfffffdff,0x3fea0001,0xffffffff,0x7fec001f,0x7cc00fff,0x7104ffff,
    0xfffffffd,0x019fffff,0x26ffff98,0xffffffe8,0xffd800df,0xffffffff,
    0x3fffffff,0x3fff2000,0xffffffff,0xffffffff,0x3f6002ff,0xffffffff,
    0x06ffffff,0xfffffff9,0xffffffff,0xff900dff,0xffffffff,0xdfffffff,
    0xfffffd80,0x7fffcc00,0xffff704f,0xffd99bdf,0x40bfffff,0xdefffffb,
    0xfffffecc,0x3fff25ff,0x3ffe20ff,0xe8001fff,0xcdffffff,0xffffffec,
    0xfffff003,0x7ffff41f,0x7ff4000f,0xeccdffff,0x03ffffff,0x7ffffe40,
    0xf9000002,0xfff7ffff,0x200009ff,0xffaffffc,0x20001fff,0xfbfffffc,
    0x4004ffff,0x00fffffd,0x27ffffcc,0xffffffb8,0xffffffff,0x3fe601ff,
    0xffff57ff,0x3fffffff,0x7ffffdc0,0xffffffff,0x003fffff,0x3fffff20,
    0xffffffff,0xffffffff,0xffff5002,0x5579dfff,0xf10dffb9,0x7bffffff,
    0xfffff953,0x7fc405ff,0x9bdfffff,0xffffffca,0x3fff602f,0x7fcc00ff,
    0xbf704fff,0x7fe44015,0xf700ffff,0x7e44015b,0xf90fffff,0x7e41ffff,
    0x8003ffff,0x0dfffffa,0xffffffb8,0xffffc800,0xfffff13f,0xfffa8009,
    0xffb80dff,0x2000ffff,0x02fffffc,0xffff0000,0xfffff39f,0x3fe0000d,
    0xfffff7ff,0x7ffc0003,0xffff9cff,0x7fec006f,0x7cc00fff,0xf704ffff,
    0xffffffff,0xffffffff,0x3fffe601,0xffffffaf,0x05ffffff,0xfffffff1,
    0xfffc8815,0x220003ff,0xff999999,0x9999ffff,0x80099999,0xfffffff8,
    0xfd84a803,0x101fffff,0x0ffffffd,0x7fffffec,0xffffd101,0x7ffec0ff,
    0x7fcc00ff,0x01104fff,0xfffffe80,0xe8001101,0xf91fffff,0x7ec1ffff,
    0x8000ffff,0x406ffffe,0x05fffffb,0x5fffff98,0x03fffff7,0x6ffffe80,
    0x7ffffdc0,0x3fff2005,0x800002ff,0xf2fffff9,0x001fffff,0x4ffffa80,
    0x003fffff,0x3ffffe60,0x1ffffff2,0x7fffec00,0x7ffcc00f,0xfff704ff,
    0xfd99bdff,0x0bffffff,0x3fffffe6,0xffffffff,0xd81fffff,0x00efffff,
    0x0fffffea,0x7ffc0000,0x200007ff,0x1ffffffc,0x3ffe6000,0x7c401fff,
    0x983fffff,0x01ffffff,0x7fffffc4,0xfffffb03,0xffff9801,0x2e00004f,
    0x002fffff,0x3fffee00,0xfffff92f,0x7fffff41,0x7ffdc001,0xffe801ff,
    0xffb007ff,0xfffd1fff,0xffb800df,0xfe801fff,0x32007fff,0x002fffff,
    0xffffb800,0xfffff90f,0xffd80007,0xfffff1ff,0x3fee0003,0xfff90fff,
    0x7ec007ff,0x4c00ffff,0x704fffff,0x644015bf,0x80ffffff,0xfffffff9,
    0xffd9bfff,0x7d45ffff,0x400fffff,0x03fffffa,0xffff0000,0x7c0000ff,
    0x004fffff,0x7ffffe40,0xffff9005,0xffff909f,0x3ff200bf,0xffb04fff,
    0xf9801fff,0x0004ffff,0x3ffffe60,0x3e600003,0xff93ffff,0x7fec1fff,
    0x74004fff,0x9006ffff,0x001fffff,0xfbfffff5,0x8007ffff,0x006ffffe,
    0x01fffff9,0x3fffff20,0xfd800002,0x3fea6fff,0x20005fff,0x3e6ffff8,
    0x0001ffff,0x54dffffb,0x005fffff,0x03fffff6,0x9fffff30,0xfd000220,
    0xf303ffff,0x7fffffff,0xdfffff50,0x5fffffc8,0xfffffa80,0xff000003,
    0x0000ffff,0x3fffffe6,0x7fec0000,0xf3001fff,0xfb0bffff,0x2003ffff,
    0x05fffff9,0x01fffffb,0x4fffff98,0x3fe60000,0x00004fff,0x53ffffe6,
    0x20fffffc,0x4ffffffb,0x3ffffe00,0xffff7004,0x3ffe003f,0xffffffff,
    0x7fffc000,0xfff7004f,0x3f2003ff,0x0002ffff,0x7ffffc40,0x3ffffe23,
    0x3fee0007,0x3fffe3ff,0xff88001f,0x3fe23fff,0x36007fff,0x400fffff,
    0x04fffff9,0x3ffee000,0xfff982ff,0xf103ffff,0xfd8fffff,0xa801ffff,
    0x003fffff,0xfffff000,0x3ea0000f,0x0005ffff,0x07ffffe8,0x3ffffe20,
    0x7ffffe86,0x3fffe200,0xffffb06f,0xfff9801f,0x2aa004ff,0xffffeecc,
    0x2004ffff,0xffeeccaa,0x94ffffff,0x4c1fffff,0xdfffffff,0x7fffc400,
    0xeeeeeeef,0xffffeeee,0xfff9002f,0x0bffffff,0xfffff880,0xeeeeeeee,
    0xfffffeee,0xffff9002,0x999999bf,0x80599999,0x41fffffa,0x02fffffe,
    0x1ffffd00,0x567ffffc,0x2a00aaaa,0x741fffff,0x002fffff,0x01fffffb,
    0x4fffff98,0x3fe60000,0xff983fff,0x7404ffff,0x3e0fffff,0x5007ffff,
    0x007fffff,0x3fffe000,0xf700007f,0x0009ffff,0x0ffffff0,0x7fffff80,
    0x07fffff8,0x3fffffc0,0x0fffffd8,0x7ffffcc0,0x7ffdc404,0xffffffff,
    0x4404ffff,0xfffffffb,0xffffffff,0x1fffff94,0xffffffb8,0x3fe601ef,
    0xffffffff,0xffffffff,0xf3003fff,0xffffffff,0xfff98005,0xffffffff,
    0xffffffff,0xff9003ff,0xffffffff,0x9fffffff,0x7ffffc80,0x4fffffb8,
    0xffff9800,0x7fffffc6,0x202fffff,0xb87ffffc,0x004fffff,0x01fffffb,
    0x4fffff98,0x3fe60000,0xff984fff,0xfd805fff,0xff10ffff,0x2a00ffff,
    0x003fffff,0xfffff000,0x3f60000f,0x0003ffff,0x37ffffc4,0x3ffffa00,
    0x3fffe20f,0x7ff4006f,0xffd80fff,0x7cc00fff,0x2e04ffff,0xffffffff,
    0xffffffff,0x3ffee04f,0xffffffff,0x94ffffff,0xb01fffff,0xffffffff,
    0x3fffea03,0xffffffff,0xffffffff,0x3ffa003f,0x006fffff,0xffffffa8,
    0xffffffff,0x3fffffff,0xfffff900,0xffffffff,0xf809ffff,0xf985ffff,
    0x8006ffff,0x7c3ffffc,0xffffffff,0x3ffe02ff,0xfff985ff,0xffb006ff,
    0xf9801fff,0x2004ffff,0xffeeccaa,0x84ffffff,0x04fffff9,0x0fffffd8,
    0x0dfffff3,0x3ffffea0,0xff000003,0x0000ffff,0x0ffffff6,0xffff3000,
    0xfff800df,0x3fe60fff,0x7c006fff,0xd80fffff,0x400fffff,0x04fffff9,
    0xfffffff7,0xffffffff,0x3ee09fff,0xffffffff,0xffffffff,0xfffff94f,
    0x3ffff601,0xfb80ffff,0xffffffff,0xffffffff,0x2002ffff,0xfffffffa,
    0xfffb8002,0xffffffff,0xffffffff,0xff9002ff,0xffffffff,0x9fffffff,
    0x7ffffcc0,0xffffff03,0xffff8003,0x7ffffc0f,0x02ffffff,0x07fffff3,
    0x07fffffe,0x3fffff60,0x7fffcc00,0x7fdc404f,0xffffffff,0x984fffff,
    0x804fffff,0x50fffffd,0x00bfffff,0x0fffffea,0x7ffc0000,0x900007ff,
    0x00bfffff,0xffffff00,0xfffff800,0x7fffff87,0x7ffffc00,0xfffffb07,
    0xffff9801,0xffffa84f,0x99aacfff,0x4fffffa9,0xffffffa8,0xa999aacf,
    0xf94fffff,0x5c01ffff,0x5fffffff,0xcfffffa8,0xaaaaaaaa,0x0aaaaaaa,
    0x7ffffc00,0xff50006f,0x55559fff,0x55555555,0x32001555,0xffffffff,
    0xffffffff,0x3fff204f,0xfffb00ff,0x7d4007ff,0xfff85fff,0xffffffff,
    0xfffff902,0x3ffff601,0xfffd803f,0x7fcc00ff,0x3ee04fff,0xffffffff,
    0xffffffff,0xfffff984,0xffffd804,0xfffff30f,0x3ffea00d,0x000003ff,
    0x00ffffff,0x3fffee00,0xff80006f,0x1000ffff,0xf0bfffff,0x001fffff,
    0x17ffffe2,0x07ffffec,0x3ffffe60,0xfffffe84,0x3ffe600e,0xfffe84ff,
    0x3e600eff,0xff94ffff,0xf9801fff,0x40ffffff,0x04fffff9,0x3e200000,
    0x003fffff,0x9fffff30,0x32000000,0xaacfffff,0xaaaaaaaa,0x3fffa01a,
    0x3ffea06f,0x3f6005ff,0xfff82fff,0x99999bff,0xdffffd00,0x7ffffd40,
    0xffffd805,0x7ffcc00f,0xfff704ff,0xffffffff,0x9fffffff,0x9fffff30,
    0xfffffb00,0x3ffffe21,0xffff5006,0x2000007f,0x007fffff,0xfffff300,
    0xfd80003f,0x7002ffff,0xb09fffff,0x005fffff,0x13ffffee,0x07ffffec,
    0x3fffff20,0xffffff84,0x7fffcc00,0xfffff84f,0x7ffcc00f,0xffff94ff,
    0xfff5001f,0xff885fff,0x00005fff,0x3ffff200,0x3e20007f,0x0005ffff,
    0xffff9000,0x2200005f,0x204fffff,0x0ffffff8,0x7ffff880,0x03fffff0,
    0x7ffffc40,0x3fffe204,0x7fec00ff,0x7cc00fff,0xfa84ffff,0xacffffff,
    0xfffa999a,0xfff984ff,0xffd804ff,0x3ffe0fff,0xffb007ff,0x00007fff,
    0x1fffffe0,0x7ffc4000,0x40006fff,0x06fffffc,0x7fffffd0,0xdfffff90,
    0x3ffffa00,0xffff903f,0x7ffdc05f,0x7fcc4fff,0xfa806fff,0x7cc4ffff,
    0xa806ffff,0xf94fffff,0x2001ffff,0x84fffffd,0x00ffffff,0xff980000,
    0x0003ffff,0x07fffffc,0x7e400000,0x0002ffff,0x5fffff70,0xfffffe80,
    0xffffb802,0x3fffff04,0x7fffdc00,0x7fff402f,0x7fec02ff,0x7cc00fff,
    0xfe84ffff,0x200effff,0x84fffff9,0x04fffff9,0x0fffffd8,0x0bfffffa,
    0xffffff90,0x3e000007,0x000fffff,0xfffffd00,0x7d40009f,0x402fffff,
    0x0ffffffb,0xffffffa8,0x7fffdc02,0xfff700ff,0x3fea09ff,0x544fffff,
    0x407fffff,0x4ffffffa,0x3fffffd4,0x3ffffea0,0xfffff94f,0x3ffee001,
    0xfffd83ff,0x000005ff,0x7fffff44,0xffd80006,0x00005fff,0xfffffc80,
    0xffb00002,0xffffffff,0xffffffff,0xfffd009f,0xfddddddf,0x4003ffff,
    0xfffffffd,0xffffffff,0x6c04ffff,0x400fffff,0x84fffffc,0x00ffffff,
    0x27ffffcc,0x27ffffcc,0x7ffffec0,0x3fffff60,0x3fffee05,0x00003fff,
    0x7fffffd0,0x3fe60000,0x01efffff,0x3ffa1b26,0xf703ffff,0x407fffff,
    0x3ffffffe,0xffffff70,0x7fffd407,0x3fee20ef,0x44ffffff,0x2ffffff8,
    0xffffff70,0xffff889f,0xfff702ff,0x3f29ffff,0xb000ffff,0x305fffff,
    0x19ffffff,0x5c400400,0x0fffffff,0xfff98000,0x2000cfff,0x7ffe4000,
    0xf00002ff,0xffffffff,0xffffffff,0xf980ffff,0xffffffff,0x1fffffff,
    0x3ffffe00,0xffffffff,0x7fffffff,0x7ffffe40,0x3fffee02,0x7ffcc4ff,
    0xffa806ff,0xff984fff,0xfd804fff,0x3e60ffff,0x443fffff,0xfffffffc,
    0xb000003f,0x00bfffff,0x7fffe400,0xecefffff,0xfa87fffe,0xdeffffff,
    0xffffffdc,0x7ffd406f,0xdcdeffff,0x6fffffff,0x7ffffcc0,0xffffcdff,
    0x84ffffff,0xcfffffff,0xffffeb89,0xff84ffff,0x89cfffff,0xffffffeb,
    0xffff94ff,0x4ccde41f,0xffffffc9,0xfffff900,0x333359ff,0xc81ffb75,
    0xfffffeef,0x00002fff,0x3ffffff2,0xa9999acf,0x2000ffdb,0x02fffffc,
    0xffffa800,0xffffffff,0xffffffff,0x3fff601f,0xffffffff,0x001fffff,
    0xfffffff5,0xffffffff,0x03ffffff,0x27ffffdc,0xffffffa8,0x7fffd44f,
    0x7ffd407f,0xff984fff,0xfd804fff,0x7f40ffff,0xdbdfffff,0xffffffff,
    0x000003ff,0xbffffff9,0x3b753335,0x3fffe200,0xffffffff,0xfb07ffff,
    0xffffffff,0xffffffff,0xffffb005,0xffffffff,0x005fffff,0xfffffffb,
    0xfdffffff,0xff909fff,0xffffffff,0xffffffff,0xffff909f,0xffffffff,
    0x9fffffff,0x83fffff2,0xffffffff,0x2204ffff,0xfffffffe,0xffffffff,
    0x7ffe40ff,0x3fffffff,0x7f440000,0xffffffff,0xffffffff,0x3fff2000,
    0xc80002ff,0xffffffff,0xffffffff,0x104fffff,0xffffffff,0xffffffff,
    0x3ff2003f,0xffffffff,0xffffffff,0x3ea04fff,0x220effff,0xfffffffb,
    0x7fffc44f,0xfff702ff,0xf309ffff,0xb009ffff,0xa81fffff,0xffffffff,
    0xfeffffff,0x00003fff,0xffffff10,0xffffffff,0x7ff4c005,0xffffffff,
    0xd107ffff,0xffffffff,0x5fffffff,0x3fffa200,0xffffffff,0x3002ffff,
    0xffffffff,0xff75ffff,0xfff109ff,0xffffffff,0xffff99ff,0xfffff109,
    0xffffffff,0x29ffff99,0x20fffffc,0xffffffff,0xf9806fff,0xffffffff,
    0xffffffff,0x7ffffe40,0x0002ffff,0xfffff300,0xffffffff,0x4001ffff,
    0x02fffffc,0xffffe800,0xeeeeeeef,0xffffeeee,0xffff706f,0xdddddddf,
    0x003fffff,0x3bfffffa,0xeeeeeeee,0x6fffffee,0x3ffffe60,0xffffcdff,
    0x84ffffff,0xcfffffff,0xffffeb89,0xf984ffff,0xd804ffff,0xd80fffff,
    0xffffffff,0xffd9ffff,0x000003ff,0x3fffffee,0x2fffffff,0xffffb800,
    0xffffffff,0x7ffdc07f,0xffffffff,0xfb8000df,0xffffffff,0x4000dfff,
    0xfffffffb,0xfff72fff,0x3ffea09f,0xffffffff,0x09ffff73,0x3fffffea,
    0xf73fffff,0x3ff29fff,0x3ffe0fff,0xdfffffff,0xfff91000,0xffffffff,
    0xfc81ffff,0x0cffffff,0x64400000,0xffffffff,0x0fffffff,0x3ffff200,
    0x7cc0002f,0x2003ffff,0x0ffffff9,0x03ffffe8,0x00fffffc,0x1fffffcc,
    0xfffff300,0x7ffec01f,0xffffffff,0x4ffffeff,0xffffffc8,0xffffffff,
    0x984fffff,0x804fffff,0x00fffffd,0xfffffff9,0x3ff23dff,0x000003ff,
    0x7fffffec,0x02ffffff,0xfffd9100,0x37bfffff,0xffffb300,0x007bffff,
    0xffffd980,0x003dffff,0x3ffffa60,0x3fee0dff,0x3f6204ff,0x0dffffff,
    0x813fffee,0xffffffd8,0x3ffee0df,0xfffff94f,0x7fffffc1,0x30001dff,
    0xfffffffb,0x817bffff,0x1bcefffb,0x4c000000,0xfffffffd,0x00bdffff,
    0x3fffff20,0xffffffff,0x2e1fffff,0x001fffff,0x17fffff4,0x03ffffe6,
    0xddfffff0,0x7dcbdddd,0x4001ffff,0x02fffffe,0x3fffffe6,0xbaffffff,
    0xf884ffff,0xffffffff,0xffccffff,0xfff984ff,0xffd804ff,0x3ae00fff,
    0x0cffffff,0x00fffff2,0x3f660000,0xffffffff,0x3100001f,0x00013355,
    0x0055d4c4,0xba988000,0x4400000a,0x0000abba,0x0aaea620,0x75310000,
    0x40000055,0x0009aaa9,0x6654c400,0x000009aa,0x10000000,0x13559953,
    0x7ffe4000,0xffffffff,0x1fffffff,0x01fffff6,0x3fffff20,0x2ffffe45,
    0x7fffffc0,0x367fffff,0x8007ffff,0x05fffffc,0x7fffffdc,0xff72ffff,
    0x3fea09ff,0xffffffff,0x9ffff73f,0x9fffff30,0xfffffb00,0x55751001,
    0x00000000,0x2b2ea620,0x0000009a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x64000000,0xffffffff,
    0xffffffff,0xffff11ff,0xff50009f,0xfff8ffff,0xfff802ff,0xffffffff,
    0x9fffff17,0xffff5000,0xffd300ff,0x5c1bffff,0x2204ffff,0xfffffffd,
    0x3fffee0d,0xfffff984,0xffffd804,0x0000000f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ff20000,0xffffffff,0xffffffff,0x5fffff51,0xffff1000,
    0x3ffea3ff,0xffff007f,0xffffffff,0x0bffffea,0x3fffe200,0x751001ff,
    0x40000157,0x002aba98,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7ffffe40,0xffffffff,0xf91fffff,0x0001ffff,0x53fffffa,
    0x004ffffd,0xffffffff,0x3ff2ffff,0xd0000fff,0x009fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x004c4000,0x00000000,0x33333220,
    0x01555530,0x0159bb95,0x00c00600,0x2a000000,0x2004cccc,0xacdedca9,
    0xaaaaaaaa,0x55500000,0x20000035,0xdeeeeeeb,0x77776cc0,0x800002ee,
    0xe885eee9,0xb3001eee,0xdb01bddd,0x40001bdd,0x00deeed8,0xeeb80000,
    0x980deeee,0x2eeeeeed,0x31000000,0xee980000,0x301eeeee,0x00880057,
    0xe9800088,0xeee885ee,0xca88001e,0x0001acdd,0x7ff64001,0x362003ef,
    0x00003eee,0xfffff700,0x717fffe4,0xffffffff,0x7ffdc007,0x05fff702,
    0x3a000000,0x9804ffff,0xfffffffe,0xffffffff,0xf980002f,0x00003fff,
    0xffffffb8,0xfffd300e,0x00005fff,0x41ffff88,0x000ffffb,0x83bfffea,
    0x002ffffd,0x3ffffa20,0x000000ef,0x3fffffee,0x3ffa600e,0x0002ffff,
    0xfffd7100,0x8006a05d,0xfffffffb,0x3fffeca9,0x1bffd100,0x01bffd10,
    0x0ffffc40,0x003fffee,0xffffffa8,0x9002efff,0x74409fff,0xefffffff,
    0xffffc800,0xb0000000,0x7e49ffff,0xfffb3fff,0xbfffffff,0xfffff500,
    0xfffffa83,0x77764001,0xeeeeeeee,0x7ffffc0e,0x7fffec01,0xffffffff,
    0x02ffffff,0xffffc800,0x7dc00000,0x004fffff,0x5ffffffb,0xfff80000,
    0xfffc9bff,0xffb8007f,0xfffd8eff,0x7f40002f,0x0effffff,0xffb80000,
    0x2004ffff,0x2ffffffd,0x7f440000,0x0dffffff,0xc8007fe6,0xffffffff,
    0x003fffff,0xd0bffffd,0x800bffff,0xc9bfffff,0x2007ffff,0xfffffffc,
    0x00cfffff,0x3bfffffa,0xfffffe80,0x4c04ffff,0x0002ffff,0x3fffa000,
    0x3ffff21f,0xffffffdb,0x01ffffff,0x27ffffec,0x13fffff6,0xfffffb00,
    0x1fffffff,0x03ffffcc,0x3ffffff6,0xffffffff,0x002fffff,0x05fffe80,
    0x7ffdc000,0x54002fff,0x02ffffff,0x3ffee000,0xffffffff,0xfff70002,
    0x07ffffff,0xffffd800,0x005ffffd,0x7fffdc00,0xfa8002ff,0x002fffff,
    0x3ffff600,0xeeffffff,0x4c01ffff,0xffffffcb,0x3fffffff,0xfffff980,
    0x3fffe60f,0x3ee000ff,0xffffffff,0xfe8802ff,0xffffffff,0x906fffff,
    0x9fffffff,0xbeffffa8,0x201fffff,0x0005fffe,0x80266666,0x647ffff8,
    0xffffffff,0xffffffff,0x7fec06ff,0x7fec4fff,0x6c004fff,0xffffffff,
    0x3ee0ffff,0x3ea04fff,0xaacfffff,0xfffffffb,0x40002fff,0x003ffff9,
    0x3fffee00,0xd30000ef,0x005fffff,0x7ffff400,0x005fffff,0x7ffffe40,
    0x6c0003ff,0xff73ffff,0x20000bff,0x0efffffb,0x3ffa6000,0x80002fff,
    0xfffffffa,0xffffffff,0x7fffc06f,0xffffffff,0x802fffff,0x0ffffff9,
    0x3fffffe6,0x7fff4000,0x05ffffff,0xffffffd0,0xffffd99b,0xfffd07ff,
    0xfe8fffff,0x3ffe24ff,0xffff903f,0x3fe60001,0x3ea05fff,0x7fe44fff,
    0xdfffffff,0xfffffeba,0x3ffea01f,0x7ffdc2ff,0x7ec002ff,0xffffffff,
    0x3ff60fff,0x3ffe01ff,0xfd880eff,0x20006fff,0xffeeecb9,0x700000ff,
    0x009fffff,0x3ffff600,0x3200002f,0x3fffffff,0xfff90000,0xc80009ff,
    0x7e43ffff,0x40005fff,0x04fffffb,0x3fff6000,0xb80002ff,0xffb88bff,
    0x0fffffff,0x7fffffc0,0xdfffffff,0x7ff4000a,0xfffe86ff,0xff90006f,
    0x007fffff,0x37ffffea,0xfffffb80,0x3fffe20f,0x3e0fffff,0x7fec2fff,
    0xffff984f,0x3fe60003,0x3f205fff,0x7fe41fff,0x80efffff,0x02fffffe,
    0xc827ffe4,0xc8004fff,0xffeeeeee,0x3fe0ffff,0x3fe206ff,0x3e202fff,
    0x2002ffff,0xffffffe9,0x0006ffff,0x35555510,0xaaa80000,0x400002aa,
    0x00acdcb9,0x55554000,0x55440002,0x555502aa,0x2a200015,0x0001aaaa,
    0x2aaaaa80,0x10770000,0x3dfffff9,0xffffff00,0xdfffffff,0x3ffa6000,
    0xeffe981e,0x32e60001,0x3a000acd,0x5c06ffff,0x7c5fffff,0x7fffffff,
    0x703fffe2,0xffd0bfff,0xf98000df,0x3a05ffff,0xffc86fff,0x900effff,
    0x007fffff,0x0a880151,0xffe80000,0xfff10fff,0x7ffd407f,0xfffe807f,
    0xfff7004f,0xffffffff,0x00001dff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x51000000,0x7fc00157,0xffb89bdf,0x0004ffff,
    0x19880331,0x80000000,0x01fffffb,0x47ffffe8,0xfffffffc,0x03fffe25,
    0xfc8bfff7,0x40000fff,0x05fffff9,0x3206aaaa,0x01ffffff,0x13ffffea,
    0x00000000,0x7fffff40,0x01555510,0x037fffe4,0x02ffffec,0x3fffff62,
    0xffffffff,0x00001fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffd802a0,0x0001ffff,0x00000000,0xffffd000,
    0x3fff200d,0x3ffe20ff,0x7fc0ffff,0x7ffec2ff,0x0ffffe64,0x3ffe6000,
    0x640005ff,0x402fffff,0x04fffff8,0x00000000,0x1fffffd0,0x3ffee000,
    0x7fec00ff,0x7fe404ff,0xffffffff,0x6fffffff,0x155554c0,0x55555440,
    0x55555301,0x55555100,0x55555303,0x55555100,0xdca88003,0x4c001acd,
    0x8802aaaa,0x001aaaaa,0x55ef654c,0x54c00001,0x001abdec,0x00000000,
    0x7fff654c,0x00006fff,0x2a200000,0xbcdeeccb,0x7fffc00a,0xfff7004f,
    0xffd883ff,0xfffe80df,0xd1ffffc4,0x0000dfff,0x17ffffe6,0xffff9000,
    0xfff8801f,0xaaa984ff,0xaaa8802a,0xe80001aa,0x000fffff,0x5fffff30,
    0x7ffffc40,0x3fffe602,0xffa8adff,0x4fffffff,0x3fffff60,0x7fffcc00,
    0xffffb04f,0xfff9801f,0xfffd84ff,0x7fcc00ff,0xf5004fff,0xffffffff,
    0x3ff6005d,0x7cc00fff,0x8804ffff,0xfffffffd,0x20002fff,0xffffffd8,
    0x2002ffff,0xa80aaaa9,0x000acddc,0xffffffc8,0x03ffffff,0xaaaaaa98,
    0x002aaaaa,0xffffd710,0xffffffff,0xffff1019,0xdddddddf,0xffffdddd,
    0x3200c05f,0xfebdffff,0xfff70fff,0x2600003f,0x005fffff,0x7ffffe40,
    0x7fffc400,0xffffd84f,0x7ffcc00f,0xe80004ff,0x000fffff,0xbfffff10,
    0x7ffffe40,0x3ffff601,0x7fffec5f,0x00ffffff,0x01fffffb,0x4fffff98,
    0x1fffffb0,0xfffff980,0xfffffd84,0x7fffcc00,0xfffc804f,0xffffffff,
    0x7fec00cf,0x7cc00fff,0x5404ffff,0xffffffff,0x00dfffff,0x7ffffd40,
    0xffffffff,0xfffc800d,0x3fffee2f,0x5003ffff,0xfffffffd,0x0fffffff,
    0xffffffb0,0x01ffffff,0xfffff700,0xffffffff,0xff983fff,0xffffffff,
    0xffffffff,0x20003fff,0xfffffff8,0xfff33fff,0x4c00007f,0x005fffff,
    0x7ffffe40,0x7fffc400,0xffffd84f,0x7ffcc00f,0xe80004ff,0x000fffff,
    0x3fffff20,0xffda88ae,0x3e605fff,0x7c46ffff,0xfffdcfff,0xfffb02ff,
    0xff9801ff,0xffb04fff,0xf9801fff,0xfd84ffff,0x4c00ffff,0x204fffff,
    0xffffffe8,0xffffffff,0x7fffec06,0x7ffcc00f,0xffb104ff,0xffffffff,
    0x03ffffff,0xfffffb10,0xffffffff,0xfc803fff,0xfffb3fff,0xbfffffff,
    0xfffffc80,0xffffffff,0x7ec03fff,0xffffffff,0xb8000fff,0xffffffff,
    0xffffffff,0x3fffea0f,0xffffffff,0xffffffff,0x1cdca83f,0x3ffffee0,
    0x3ffa5fff,0x4c00006f,0x005fffff,0x7ffffe40,0x7fffc400,0xffffd84f,
    0x7ffcc00f,0xe80004ff,0x000fffff,0x7fffff40,0xffffffff,0x3ff200ff,
    0x7fd42fff,0xffff99ff,0xffffb05f,0xfff9801f,0xfffb04ff,0xff9801ff,
    0xffd84fff,0x7cc00fff,0x3a04ffff,0xcdffffff,0xffffffec,0x3ffff603,
    0x7ffcc00f,0xfff904ff,0xffffffff,0x0dffffff,0xffffff90,0xffffffff,
    0xfc80dfff,0xfffdbfff,0xffffffff,0xffff501f,0xffdfffff,0x80dfffff,
    0xfffffffd,0x000fffff,0xefffffb8,0xffffeccd,0x3fee5fff,0xffffffff,
    0xffffffff,0x7fec2fff,0x3a603fff,0x2e2effff,0x0001ffff,0x7ffffcc0,
    0x7fe40005,0x7c400fff,0xfd84ffff,0x4c00ffff,0x004fffff,0xfffffe80,
    0x3fa20000,0xffffffff,0x401fffff,0xd87ffffd,0x3ffa7fff,0xfffb07ff,
    0xff9801ff,0xffb04fff,0xf9801fff,0xfd84ffff,0x4c00ffff,0x504fffff,
    0x01bfffff,0x1ffffff7,0x3fffff60,0x7fffcc00,0xffff884f,0xca9bdfff,
    0x2fffffff,0x3ffffe20,0xfca9bdff,0x02ffffff,0x3ffffff2,0xffffffff,
    0xfd06ffff,0x817fffff,0x2ffffffa,0x3fffff60,0x0fffffff,0x0adfb800,
    0x3ffff220,0xffff50ff,0x5555559f,0x55555555,0x7fffdc15,0x4c401fff,
    0x7fffc409,0xf9800004,0x0005ffff,0x07ffffe4,0x3ffffe20,0xfffffd84,
    0x7fffcc00,0xfe80004f,0x0000ffff,0x3ffffff6,0xcfffffff,0xffffe800,
    0x27fffc45,0x20fffffb,0x00fffffd,0x27ffffcc,0x0fffffd8,0x7ffffcc0,
    0xfffffd84,0x7fffcc00,0xffffd04f,0xffffb80d,0xffffb05f,0xfff9801f,
    0xfffd84ff,0xfd101fff,0x6c0fffff,0x01ffffff,0xffffffd1,0x7ffffe40,
    0xebadffff,0x41ffffff,0x1ffffffc,0x3fffffe0,0x26666204,0xfffffe99,
    0x00088000,0x8ffffff4,0x04fffff9,0x3fffe000,0x0005ffff,0x001bfffa,
    0x7fffcc00,0x7e40005f,0x4400ffff,0xd84fffff,0x400fffff,0x04fffff9,
    0xffffe800,0xff50000f,0xddd73bff,0x7c00179b,0x7d44ffff,0x3ff21fff,
    0xffd80fff,0x7cc00fff,0xfb04ffff,0x9801ffff,0xd84fffff,0x400fffff,
    0x84fffff9,0x01fffffb,0x07ffffe8,0x01fffffb,0x4fffff98,0x7fffffcc,
    0x7fffc401,0xfff983ff,0x7c401fff,0x903fffff,0xdfffffff,0xfffffd01,
    0x7ffffc45,0x7ffe402f,0xfd0006ff,0x0001ffff,0x3ffee000,0xffff12ff,
    0x220000bf,0xffffffff,0xfff70007,0x2000003f,0x05fffff9,0x7fffe400,
    0x7ffc400f,0xfffd84ff,0x7fcc00ff,0x80004fff,0x00fffffe,0x3ffffb00,
    0x7fc40000,0x7fec3fff,0x7fffe47f,0xffffd81f,0x7ffcc00f,0xfffb04ff,
    0xff9801ff,0xffd84fff,0x7cc00fff,0xfe84ffff,0xf9006fff,0xfb01ffff,
    0x9801ffff,0x644fffff,0x005fffff,0x09fffff9,0x0bfffff9,0x3fffff20,
    0xfffff904,0x3ff201df,0x3fea3fff,0xf9806fff,0x000fffff,0x0fffffe8,
    0xf3000000,0x7fc7ffff,0x0000ffff,0xffffff88,0xf88006ff,0x00004fff,
    0x3ffffe60,0x7fe40005,0x7c400fff,0xfd84ffff,0x4c00ffff,0x004fffff,
    0xfffffe80,0xffff0000,0x4c00003f,0x224fffff,0x7e44ffff,0xfd80ffff,
    0x4c00ffff,0xb04fffff,0x801fffff,0x84fffff9,0x00fffffd,0x27ffffcc,
    0x027ffffc,0x1fffffb8,0x0fffffd8,0x7ffffcc0,0x7ffffec4,0xffff3001,
    0xffffb0bf,0x3fe6003f,0xff905fff,0x5403ffff,0x2e4fffff,0x003fffff,
    0x05ffffff,0xfffffd00,0x20000001,0x24fffff9,0x05fffffd,0xfffff000,
    0xb000bfff,0x0000dfff,0xfffff980,0x7fe40005,0x7c400fff,0xfd84ffff,
    0x4c00ffff,0x004fffff,0xfffffe80,0xffff0000,0x200001df,0x24fffff8,
    0x6c1ffffb,0xfb07ffff,0x9801ffff,0xb04fffff,0x801fffff,0x84fffff9,
    0x00fffffd,0x27ffffcc,0x3bffffe2,0xeeeeeeee,0x2fffffee,0x0fffffd8,
    0x7ffffcc0,0x3fffff44,0xfffff100,0xfffffd0d,0x7fffc400,0xffff906f,
    0xfff8805f,0x3fff64ff,0xffd001ff,0xd0005fff,0x001fffff,0x3b32aa00,
    0xfffffffe,0x3fffe64f,0x02000cff,0x3fffffea,0x7fd4000f,0x000081ff,
    0x3ffffe60,0x7fe40005,0x7c400fff,0xfd84ffff,0x4c00ffff,0x004fffff,
    0xfffffe80,0xfffb0000,0x99bddfff,0xf0013599,0x7ecbffff,0xfffe86ff,
    0xffffb06f,0xfff9801f,0xfffb04ff,0xff9801ff,0xffd84fff,0x7cc00fff,
    0x7cc4ffff,0xffffffff,0xffffffff,0xfd83ffff,0x4c00ffff,0x7c4fffff,
    0x4007ffff,0xf87fffff,0x4007ffff,0x907fffff,0x801fffff,0x24fffff8,
    0x00fffffe,0x7fffffb0,0xffffd000,0x5c40001f,0xffffffff,0x4fffffff,
    0x7fffffe4,0xa9999acf,0xfb80ffdb,0x4001efff,0x264ffff8,0x00cefffd,
    0x3fffe600,0x7e40005f,0x4400ffff,0xd84fffff,0x400fffff,0x04fffff9,
    0xffffe800,0xff70000f,0xffffffff,0x7dffffff,0xb7ffffc0,0x444ffff8,
    0xb05fffff,0x801fffff,0x04fffff9,0x01fffffb,0x4fffff98,0x0fffffd8,
    0x7ffffcc0,0x7ffffd44,0xffffffff,0xffffffff,0xfffffd83,0x7fffcc00,
    0x3fffe24f,0x7ff4006f,0x3fe20fff,0x74006fff,0xc80fffff,0x400fffff,
    0x24fffff8,0x007fffff,0x13fffff2,0x3ffffa00,0xff70000f,0xffffffff,
    0x9fffffff,0xfffffe88,0xffffffff,0x5100ffff,0xfb000157,0x3fee1fff,
    0x01ffffff,0xfffff300,0xffc8000b,0x7c400fff,0xfd84ffff,0x4c00ffff,
    0x004fffff,0xfffffe80,0x3fee0000,0xffffffff,0xffffffff,0xfffffd81,
    0x41ffffba,0x03fffffc,0x01fffffb,0x4fffff98,0x1fffffb0,0xfffff980,
    0xfffffd84,0x7fffcc00,0x7fffdc4f,0xffffffff,0xffffffff,0xffffd82f,
    0x7ffcc00f,0x3ffe64ff,0x7fc006ff,0x3e60ffff,0x4006ffff,0x80ffffff,
    0x00fffffc,0xa7ffffc4,0x07fffff8,0x3fffff20,0xfffe8003,0xfb8000ff,
    0xffffffff,0xffffffff,0xffff984f,0xffffffff,0x000fffff,0xffff5000,
    0x3ffffee5,0x0006ffff,0x0bfffff3,0xffffc800,0x7ffc400f,0xfffd84ff,
    0x7fcc00ff,0x80004fff,0x00fffffe,0x3fffe200,0xffffffff,0x0effffff,
    0x77ffffd4,0x7c46fffe,0xb00fffff,0x801fffff,0x04fffff9,0x01fffffb,
    0x4fffff98,0x0fffffd8,0x7ffffcc0,0x7ffffd44,0xaaaaaaac,0xaaaaaaaa,
    0xfffffd80,0x7fffcc00,0x7ffffc4f,0x7fffc007,0xfffff87f,0x7fffc007,
    0xffff907f,0xfff8801f,0x3fffe4ff,0x3ff6007f,0xe8003fff,0x000fffff,
    0x7fffffd4,0xa999aacf,0x104fffff,0xfffffff9,0xffffffff,0xf1000001,
    0x3fe2bfff,0xfffecfff,0xff98003f,0x40005fff,0x00fffffc,0x27ffffcc,
    0x07ffffec,0x3ffffe60,0xffe80004,0x30000fff,0xddffffff,0xffffdddd,
    0xf88bffff,0xffffffff,0x3fffa63f,0x3ff603ff,0x7cc00fff,0xfb04ffff,
    0x9801ffff,0xd84fffff,0x400fffff,0x44fffff9,0x04fffff9,0xfffd8000,
    0x7fcc00ff,0x7ffc4fff,0xf1000fff,0xff0bffff,0x2001ffff,0x05fffff8,
    0x01fffff9,0x4fffff88,0x03fffffe,0x7fffff40,0xfffe8002,0x7f4000ff,
    0x200effff,0x04fffff9,0x7ffffecc,0xbdffffff,0xfd800000,0xfff70fff,
    0x37ffec1f,0x7fffcc00,0x0000005f,0x7fffff50,0x1fffffb0,0xfffff980,
    0xffe80004,0x88000fff,0x00efffff,0x7fffff4c,0xfffffb87,0xfcbaffff,
    0x407fffff,0x00fffffd,0x27ffffe4,0x0fffffd8,0x7ffffe40,0xfffffd84,
    0x7fffe400,0x7fffc44f,0xd800005f,0x400fffff,0x44fffffc,0x02fffffd,
    0x9fffff70,0x5fffffb0,0x3fffee00,0xffff904f,0xfff8801f,0x3fffa4ff,
    0xfff001ff,0xd0003fff,0x001fffff,0x0ffffff8,0x7ffffcc0,0x3aa62004,
    0x0005ffff,0x7fffd400,0x517fff22,0x3000ffff,0x00bfffff,0x3ee00000,
    0xfd81ffff,0x6400ffff,0x004fffff,0xfffffe80,0xfffc8000,0x3fe001ff,
    0xfe80ffff,0xffffffff,0xffffffff,0x7fffe403,0x3ffee02f,0xff904fff,
    0x7dc05fff,0xc84fffff,0x202fffff,0x4ffffffb,0x0ffffff8,0x7fe40000,
    0x3ee02fff,0x644fffff,0x006fffff,0x07fffffd,0x0dfffff9,0x3fffffa0,
    0xfffff903,0xffff8801,0x3ffff64f,0xfffb805f,0xfd0007ff,0x4001ffff,
    0x06fffff9,0x4fffffa8,0xffff9800,0x44000006,0x7ec5ffff,0x7ffcc3ff,
    0x7fcc000f,0x00005fff,0xffffd000,0xffff901f,0x7ffdc05f,0x80004fff,
    0x00fffffe,0x6fffff80,0x7ffff400,0xfffe880f,0xffffffff,0xb802ffff,
    0x504fffff,0x9fffffff,0x3ffffee0,0xfffff504,0xfff709ff,0x3fea09ff,
    0xd84fffff,0x005fffff,0x7fffdc00,0xffff504f,0xffa89fff,0x5c02ffff,
    0x80ffffff,0x2ffffffa,0x7ffffdc0,0xffff900f,0xfff8801f,0x3ffee4ff,
    0x3e200fff,0x005fffff,0x1fffffd0,0x7fffd400,0x7ffd407f,0xe8004fff,
    0x0000ffff,0x7fffe400,0x21ffff40,0x000ffff8,0x2fffffcc,0x54000000,
    0x707fffff,0x209fffff,0xfffffffa,0xffe80004,0x44000fff,0x006fffff,
    0x1bffffe2,0xffffffb0,0x1dffffff,0x3fffea00,0x3fee20ef,0x04ffffff,
    0x1dfffff5,0x7ffffdc4,0xffa84fff,0x2e20efff,0xffffffff,0xfffff984,
    0x802000cf,0x0efffffa,0x3ffffee2,0xffe84fff,0xf703ffff,0x407fffff,
    0x3ffffffe,0xffffff70,0x7fffe407,0x7ffc400f,0x3ffe24ff,0xe881efff,
    0x01ffffff,0xfffffd00,0x7ffc4001,0xff702fff,0x009fffff,0x04ffffa8,
    0x7fd40000,0xfffd82ff,0x03fffd44,0x7ffffcc0,0x40000005,0x4ffffffb,
    0xdfffff50,0x7fffdc41,0x0004ffff,0x0fffffe8,0xfffff800,0xfffb001f,
    0xfff009ff,0xbfffffff,0xfff98007,0xffcdffff,0xffffffff,0xfffff304,
    0xffff9bff,0x09ffffff,0xfffffff3,0xffffff9b,0x3209ffff,0xcfffffff,
    0xdba9999a,0xfff300ff,0xff9bffff,0xffffffff,0xfffff509,0xffb9bdff,
    0x80dfffff,0xfffffffa,0xffffdcde,0x7e406fff,0x4400ffff,0x5c4fffff,
    0xdfffffff,0xfffffdbc,0x3a0005ff,0x000fffff,0x7ffffffc,0xfffeb89c,
    0x004fffff,0x027fffe4,0xffd10000,0x3fff20bf,0x02fffe46,0x7ffffcc0,
    0xa8000005,0xfffffffe,0x3fffe606,0xfffcdfff,0x4fffffff,0xfffe8000,
    0xfd8000ff,0xabcfffff,0xffff7330,0xf9801fff,0x0abccfff,0x7ffec000,
    0xffffffff,0x4ffffeff,0x3fffff60,0xffffffff,0xb04ffffe,0xffffffff,
    0xffdfffff,0x3fa209ff,0xffffffff,0xffffffff,0x3ffff600,0xffffffff,
    0x04ffffef,0xfffffffb,0xffffffff,0xffb005ff,0xffffffff,0x5fffffff,
    0xfffffc80,0x7fffc400,0xfffff84f,0xffffffff,0x200fffff,0xccccccca,
    0xccffffff,0xc80ccccc,0xffffffff,0xffffffff,0x6c004fff,0x19aeffff,
    0x7fe40000,0xfff500ff,0xffff95df,0xfff30007,0xffffffff,0xdfffffff,
    0xffffc800,0x6c01ffff,0xffffffff,0xffefffff,0xcca804ff,0xfffccccc,
    0xcccccfff,0xfff500cc,0xffffffff,0xffffffff,0xfff9003f,0x9800001f,
    0xffffffff,0xffbaffff,0x3fe604ff,0xffffffff,0xffffbaff,0xfffff304,
    0x5fffffff,0x409ffff7,0xfffffff9,0xffffffff,0x3fe600ff,0xffffffff,
    0xffffbaff,0xffffd104,0xffffffff,0x22005fff,0xfffffffe,0xffffffff,
    0xffffc802,0x7ffc400f,0xfffa84ff,0xffffffff,0x401fffff,0xfffffffb,
    0xffffffff,0x880fffff,0xffffffff,0xfccfffff,0x64004fff,0xffffffff,
    0xff300000,0xffe807ff,0x6fffffff,0xffff3000,0xffffffff,0x0dffffff,
    0xfffffc80,0xff9803ff,0xffffffff,0xffffbaff,0xffffb804,0xffffffff,
    0xffffffff,0x3fffea00,0xffffffff,0x01ffffff,0x00bffff0,0x3ffee000,
    0x2fffffff,0x809ffff7,0xfffffffb,0xfff72fff,0x7ffdc09f,0x2fffffff,
    0x809ffff7,0xffffffc8,0xffffffff,0x7ffdc00f,0x2fffffff,0x809ffff7,
    0xfffffffb,0x00dfffff,0xfffffb80,0xdfffffff,0xffff9000,0xfff8801f,
    0xffb104ff,0xffffffff,0xf7003dff,0xffffffff,0xffffffff,0x3ea01fff,
    0xffffffff,0xffff73ff,0xfff98009,0x000fffff,0x0bfffd00,0xffffff30,
    0x20003fff,0xfffffff9,0xffffffff,0x64006fff,0x00cfffff,0x3ffffee0,
    0xf72fffff,0xf7009fff,0xffffffff,0xffffffff,0xd9801fff,0xffffffff,
    0x02efffff,0x0bfffe60,0xfe980000,0x20dfffff,0x804ffffb,0xffffffe9,
    0x3fffee0d,0x7fff4c04,0x3ee0dfff,0xb3004fff,0xffffffff,0x0017bfff,
    0xffffffd3,0x7fffdc1b,0xfffd9804,0x03dfffff,0x7ffecc00,0x03dfffff,
    0x7ffffe40,0x7fffc400,0x7ff5c04f,0x2effffff,0x3fffee00,0xffffffff,
    0xffffffff,0x3fff6200,0x2e0dffff,0x8004ffff,0xfffffffa,0xffc80000,
    0xfb1000ff,0x001bffff,0x7ffffcc0,0xffffffff,0x006fffff,0x00de6f64,
    0xffffe980,0x3fee0dff,0xffb804ff,0xffffffff,0xffffffff,0x971000ff,
    0x9bdfffdb,0xff900057,0x000001ff,0x01577510,0x77510000,0x88000015,
    0x0000abba,0x332a6200,0x200009aa,0x000abba8,0x57531000,0x22000001,
    0x0000aba9,0x03fffff2,0x9fffff10,0x55dd4c00,0xffb80009,0xffffffff,
    0xffffffff,0xa98800ff,0x000002ab,0x2cccca88,0x00000000,0x00006a62,
    0x7fffffcc,0xffffffff,0x0006ffff,0xba880000,0x200000ab,0xfffffffb,
    0xffffffff,0x000fffff,0x22000000,0x00000999,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3bb32ea2,0x0000abcd,0x1bdddb10,0x2e000000,0x0deeeeee,0x777776cc,
    0x54c0002e,0xdca80aaa,0x10000abd,0x9bddb975,0x26001359,0xee885eee,
    0x000001ee,0x3bbbbbae,0xd300000d,0x0005dddd,0x06f776c4,0x75c00000,
    0x40deeeee,0xeeeeeed9,0x88000002,0x000deeed,0x00009800,0x0166dc00,
    0x6e54c000,0x77510acc,0x565d4400,0x40000009,0x0deeeeeb,0x3bbbbba6,
    0x3ae00004,0x00deeeee,0x019bb500,0x7ffff5c4,0xffffffff,0x3a20000c,
    0x00efffff,0x7fdc0000,0x300effff,0x5ffffffd,0x7ffe4000,0x3fffee2f,
    0x2004ffff,0xffffffd9,0x04ffffff,0x83ffff10,0x000ffffb,0xffff7000,
    0x00001dff,0x1fffffd4,0xfffe8800,0x00000eff,0x3ffffee0,0xffd300ef,
    0x0005ffff,0x7fff4400,0x80000eff,0x0cffffda,0xfd100070,0x00009fff,
    0xffffffd7,0x9fffffff,0xfffff500,0x00019fff,0xfffff300,0x7fffcc1f,
    0x200004ff,0xeffffffb,0xfff90000,0x3fee01ff,0xffffffff,0x01ffffff,
    0xfffffd00,0x00001dff,0x3ffffee0,0xfffb004f,0x20005fff,0xfb3ffffc,
    0xffffffff,0xfffb00bf,0xffffffff,0x7c009fff,0xfc9bffff,0x00007fff,
    0xffffff70,0x4cc40009,0xffffb999,0x200099cf,0xfffffffe,0xb800000e,
    0x04ffffff,0xffffffb0,0x3a000005,0xefffffff,0x3fee0000,0x43ffffff,
    0x7e4004fd,0x001fffff,0xfffffd10,0xffffffff,0x7ec409ff,0xffffffff,
    0x200003ff,0x0ffffff8,0x3fffffa2,0x3ee00003,0x004fffff,0x3ffffea0,
    0xffff705f,0xffffffff,0x001fffff,0xfdffffd8,0x00005fff,0xffffffb8,
    0x7ffd4002,0xc8002fff,0xffdbffff,0xffffffff,0x3ff205ff,0xffffffff,
    0x004fffff,0x3fffffee,0x002fffff,0xffffb800,0x740002ff,0xffffffff,
    0x04ffffff,0xfbffffb0,0x0000bfff,0xffffffb8,0x7ffd4002,0x00002fff,
    0x7effffec,0x30005fff,0xffffffff,0xffffbfff,0x7fff4009,0xb8003fff,
    0xffffffff,0xffffffff,0x3fffa04f,0xffffffff,0xb00001ff,0x441fffff,
    0x02fffffe,0x3ffee000,0x40002fff,0xfffffffc,0xfffffb80,0xfffeccde,
    0x2005ffff,0xf73ffffd,0x0000bfff,0x77ffffdc,0xffd30000,0xc8005fff,
    0xffffffff,0xffffffff,0xffb81fff,0xbcefffff,0x04fffecc,0x7fffff40,
    0x0005ffff,0xfffffb80,0xfe80000e,0xffffffff,0x804fffff,0xf73ffffd,
    0x0000bfff,0x3bffffee,0xffd30000,0x00005fff,0x5cfffff6,0x8005ffff,
    0xfffffffe,0xffffffff,0x3ffa002f,0x4003ffff,0xfffffffa,0xfffffeff,
    0xff904fff,0xffffffff,0x001fffff,0xfffffc80,0x77fffec0,0x3ee00000,
    0x000effff,0xfffffc80,0x15bf707f,0x7fffe440,0xffc800ff,0x7ffe43ff,
    0xfb80005f,0x0004ffff,0x5fffffb0,0x7fffe400,0xaadfffff,0x5ffffffc,
    0x6fffffe8,0x8002b980,0xfffffffc,0xfb800003,0x0004ffff,0x3fffffa0,
    0xffffffff,0x7ffe404f,0x7fffe43f,0x7fdc0005,0x00004fff,0x05fffffb,
    0xffffc800,0x2ffffe43,0x47bfa200,0xffffffd9,0x7e4004ff,0x001fffff,
    0x7ffffff4,0x7ffdc41b,0xfff984ff,0x3fa61eff,0x0003ffff,0x03ffffea,
    0x01bffffb,0x7ffdc000,0x200004ff,0x5ffffff9,0xfe800110,0x4401ffff,
    0x5502aaaa,0x40001555,0x01aaaaa8,0x55554000,0x3ff2002a,0x80efffff,
    0x1ffffffb,0x0ffffffc,0x5cc00000,0x0000acdc,0xaaaaa880,0x7f400001,
    0xffffffff,0x204fffff,0x502aaaa8,0x00015555,0x06aaaaa2,0x55550000,
    0x54400055,0x55502aaa,0xe8800155,0xffffea80,0xff88004f,0x5c004fff,
    0x01ffffff,0x13ffffe2,0x03ffffee,0x13ffffe2,0xaaaaa800,0x15555440,
    0x2aa20000,0x00001aaa,0x0fffffc8,0x3fee0000,0x00002fff,0x00000000,
    0x80000000,0xeffffffc,0x3ffffa00,0x3fffe64f,0x000000ff,0x00000000,
    0x40000000,0x03fffffa,0x00000000,0x00000000,0x00000000,0x2a600000,
    0x6440001b,0x7c4002dd,0x402fffff,0x84fffff8,0x205ffffd,0x006ffffd,
    0x00000000,0x00000000,0x000cdca8,0x7fffcc00,0x0000003f,0x00000000,
    0xfc800000,0x401fffff,0x25fffffb,0xeffffff8,0x00000000,0x00000000,
    0x3ea00000,0x0003ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfff70000,0xff100dff,0xffd09fff,0x7fec09ff,0x000005ff,0x00000000,
    0x00000000,0xfff98000,0xa88004ff,0x001acddc,0x3772a200,0x200001ac,
    0x1acddca8,0xfffffc80,0xffff9802,0x7ffffc6f,0x0001cfff,0x9bb95100,
    0x10000035,0x55999953,0x5cc40001,0xfffcbcdc,0x544003ff,0xbcdeeccb,
    0x7510000a,0x579bdd99,0x5d440001,0xabcdeecc,0xca980000,0x0001abde,
    0x00000000,0x7ffe4000,0xff8803ff,0xffe84fff,0x3ffa05ff,0x200004ff,
    0x1abdeca9,0xecb98000,0xdb981acd,0x000001bd,0xeccaa800,0xfffffffe,
    0x3fea004f,0xefffffff,0x3fea0002,0xefffffff,0x3fea0002,0xefffffff,
    0x3ffff202,0xfff8800f,0x7ffe47ff,0xceffffff,0xffa80001,0xefffffff,
    0x7e440002,0xffffffff,0x7dc005ff,0xffffffff,0x803fffff,0xfffffeb8,
    0xcfffffff,0xffeb8800,0xffffffff,0x71000cff,0xfffffffd,0x019fffff,
    0xffffd880,0x02ffffff,0x555554c0,0x02aaaaaa,0x2aaaaa60,0x02aaaaaa,
    0x3fffff60,0xffff8801,0xffffc84f,0xfffff507,0xfd880005,0xffffffff,
    0xfeb8002f,0x4fffffff,0x3ffffff2,0x9910000e,0xf7100799,0xffffffff,
    0x09ffffff,0x3fffff20,0xcfffffff,0x7ffe4000,0xffffffff,0x7e4000cf,
    0xffffffff,0xfc80cfff,0xf000ffff,0xe81fffff,0xffffffff,0x000befff,
    0xffffffc8,0x0cffffff,0xffffa800,0xffffffff,0xffd3006f,0xffffffff,
    0x007fffff,0xfffffff7,0xffffffff,0xfffb803f,0xffffffff,0x801fffff,
    0xfffffffb,0xffffffff,0xfff5001f,0xffffffff,0x36001bff,0xffffffff,
    0xb000ffff,0xffffffff,0x2001ffff,0x00fffffe,0x4fffff88,0x3fffffa8,
    0x37ffffcc,0x3ffea000,0xffffffff,0xf1000dff,0xffffffff,0xffffddff,
    0x001dffff,0x0dffff30,0xffffffb8,0xffffffff,0x74404fff,0xffffffff,
    0x06ffffff,0xfffffd10,0xffffffff,0x3fa200df,0xffffffff,0xc86fffff,
    0x000fffff,0x81ffffff,0xffffffd8,0x3fffffff,0xffffd100,0xffffffff,
    0x6c400dff,0xffffffff,0x06ffffff,0xffffffc8,0xffffffff,0xfb803fff,
    0xffffffff,0xffffffff,0x3fffee00,0xffffffff,0x400fffff,0xfffffffb,
    0xffffffff,0x3f6200ff,0xffffffff,0x1fffffff,0xfffffd80,0x0fffffff,
    0xfffffb00,0x1fffffff,0x3ffffe00,0xffff1007,0xffff109f,0x3ffea3ff,
    0x10001fff,0xfffffffb,0xffffffff,0xfff1003f,0xffffffff,0xffffffff,
    0x3000dfff,0x5c0dffff,0xffffffff,0xffffffff,0x7ff404ff,0xeccdffff,
    0x03ffffff,0xffffffe8,0xffffeccd,0xffe803ff,0xeccdffff,0x43ffffff,
    0x00fffffc,0x0ffffff0,0x7fffff54,0x5fffffff,0xfffffe80,0xfffeccdf,
    0xfb003fff,0xffffffff,0x0dffffff,0xffffffa8,0xffffefff,0xb803ffff,
    0xcdefffff,0xffffffec,0x3ffee05f,0xfeccdeff,0x05ffffff,0x77ffffdc,
    0xffffeccd,0x3f205fff,0xffffffff,0xffffffff,0xffffd806,0xffffffff,
    0xffffb000,0xffffffff,0xffff1001,0x3fe200ff,0xff704fff,0xfffbdfff,
    0x40007fff,0xfffffffc,0xffffffff,0xff8806ff,0xffebabdf,0xcbefffff,
    0x001fffff,0x83ffffd4,0xfffffffa,0xfa999aac,0x2a04ffff,0x80dfffff,
    0x0ffffffb,0x3ffffea0,0xffffb80d,0x3fea00ff,0xfb80dfff,0x320fffff,
    0x800fffff,0x06fffff8,0xffffec98,0x03ffffff,0x37ffffea,0xfffffb80,
    0x7ffd400f,0xabceffff,0x406ffdca,0xbffffffe,0x7fffe440,0xadfb803f,
    0x3fff2200,0xbf700fff,0x7fe44015,0x2e00ffff,0x32200adf,0x80ffffff,
    0xfffffff8,0xfffca9bd,0x6c02ffff,0xffffffff,0xb000ffff,0xffffffff,
    0x2001ffff,0x007fffff,0x09fffff1,0x7ffffff4,0x002fffff,0x3ffffe20,
    0xfca9bdff,0x02ffffff,0xfd805fc4,0x2a0effff,0x4004ffff,0xd07ffffa,
    0x01dfffff,0x27ffffcc,0x0dffffd0,0x5fffffb8,0x1bffffa0,0xbfffff70,
    0x37ffff40,0x3ffffee0,0x3fffff25,0xffff9800,0x7dcc005f,0x7fffffff,
    0x1bffffa0,0xbfffff70,0x7ffffc40,0x04a803ff,0x3ffffff2,0x3fffea01,
    0x0008803f,0x0ffffff4,0x7f400088,0x2201ffff,0x7fff4000,0xfffd81ff,
    0xfd101fff,0x880fffff,0xfe999999,0x1000ffff,0xfd333333,0x2001ffff,
    0x00ffffff,0x4fffff88,0x3ffffe60,0x001effff,0x7ffffec0,0xfffd101f,
    0x80100fff,0x82fffff9,0x9806fffe,0x7fffffeb,0x1ffffff0,0xfffff980,
    0xfffff704,0xffffd003,0x3fffee0f,0xfffe801f,0xffff707f,0xfffd003f,
    0x7fffe4ff,0xfffc800f,0x2a0003ff,0x0fffffff,0x1fffffb8,0x7ffffe80,
    0x3fffff20,0xf880001f,0x402fffff,0x03fffffa,0xfff70000,0x400005ff,
    0x02fffffb,0x7ffdc000,0x7ffcc2ff,0x7c401fff,0x003fffff,0x1fffffd0,
    0xfffd0000,0x3fa001ff,0xb801ffff,0x204fffff,0xffffffe8,0xf980003f,
    0x401fffff,0x3ffffff8,0xffff8000,0x7fffc80f,0x3ffff620,0x4c0fffff,
    0x806fffff,0x04fffffa,0x00dffffd,0x03fffff2,0x01bffffa,0x07ffffe4,
    0x037ffff4,0x0fffffc8,0x01fffff9,0xffffff88,0x7fcc0002,0xfe82ffff,
    0xf9006fff,0x3e01ffff,0x004fffff,0xfffff500,0xffff500d,0x2000007f,
    0x03fffff9,0x3ffe6000,0x400003ff,0x43fffff9,0x05fffffc,0x9fffff90,
    0x3fffa000,0xe80000ff,0x000fffff,0x09fffffb,0xffffffa8,0xffffd304,
    0x5101ffff,0x7e405555,0x9005ffff,0x009fffff,0x0dfffd00,0x203fffea,
    0xfffffffa,0x7d40ffff,0x5407ffff,0x04ffffff,0x009fffff,0x07ffffee,
    0x013ffffe,0x0fffffdc,0x027ffffc,0x1fffffb8,0x01fffff9,0xffffffc8,
    0x7fc40000,0xff81ffff,0xf7004fff,0xf303ffff,0x001fffff,0x3ffff200,
    0xfffa803f,0x000003ff,0x09fffff3,0x7ffcc000,0x400004ff,0x44fffff9,
    0x01fffffd,0xbfffff30,0x3fffa000,0xe80000ff,0x000fffff,0x0dfffff7,
    0x7fffffcc,0xffff984f,0x0effffff,0x037fffdc,0x03fffffb,0x3ffffe60,
    0xffe80005,0xffff505f,0xfffff983,0x0fffffff,0x7fffffc4,0xfffff702,
    0xfff109ff,0xddddddff,0xfffddddd,0xfff885ff,0xeeeeeeff,0xfffeeeee,
    0x7ffc42ff,0xeeeeeeff,0xfffeeeee,0xffff92ff,0x7ffe401f,0x05c42fff,
    0xfffff900,0xfffff10f,0xdddddddd,0xfffffddd,0xfffff505,0x7ec0000b,
    0xa801ffff,0x003fffff,0xfdd99550,0x9fffffff,0x76655400,0xfffffffe,
    0x6554004f,0xfffffeec,0x7ff44fff,0x3e2007ff,0x0006ffff,0x01fffffd,
    0xffffd000,0x3fe2001f,0xfb85ffff,0x4fffffff,0x7fffffcc,0x45ffffff,
    0x205ffffb,0x007ffffe,0x1bffffe2,0xf9953100,0x9999dfff,0x83ffffb9,
    0xeffffffe,0xf80aaabc,0x9cffffff,0xfffffeb8,0xff984fff,0xffffffff,
    0xffffffff,0x7fcc3fff,0xffffffff,0xffffffff,0x7fcc3fff,0xffffffff,
    0xffffffff,0xfff93fff,0x73337bff,0xbffffffd,0x337dff30,0x7ffe5441,
    0xff985fff,0xffffffff,0xffffffff,0xffb83fff,0x00004fff,0x03fffffa,
    0x3ffffea0,0x3fee2003,0xffffffff,0x404fffff,0xffffffb8,0xffffffff,
    0xffb8804f,0xffffffff,0x7c4fffff,0x4007ffff,0x007fffff,0x1fffffd0,
    0xfffd0000,0x7e4001ff,0xccefffff,0xffffffff,0x7fff44ff,0xffff9cff,
    0x3fff23ff,0x3fffe04f,0x7ffc007f,0xff9007ff,0xffffffff,0xffffffff,
    0x7fdc5fff,0x4004ffff,0xfffffffc,0xffffffff,0xfa84ffff,0xffffffff,
    0xffffffff,0x7d43ffff,0xffffffff,0xffffffff,0x7d43ffff,0xffffffff,
    0xffffffff,0xff93ffff,0xffffffff,0xffffffff,0xfffff301,0xffffffff,
    0x503fffff,0xffffffff,0xffffffff,0xb07fffff,0x007fffff,0x7ffffc00,
    0xffff5007,0x3fee007f,0xffffffff,0x4fffffff,0x3ffffee0,0xffffffff,
    0x5c04ffff,0xffffffff,0xffffffff,0x3fffe24f,0x7ff4006f,0xe8000fff,
    0x000fffff,0xfffffe80,0x3ffe2000,0xffffffff,0xffffffff,0x3ffffea4,
    0x3ffffee5,0x9ffffb2f,0x3ffffe20,0x7fff4006,0x3fea00ff,0xffffffff,
    0xffffffff,0x362fffff,0x006fffff,0xffffff88,0xcfffffff,0xb84ffffc,
    0xffffffff,0xffffffff,0x5c2fffff,0xffffffff,0xffffffff,0x5c2fffff,
    0xffffffff,0xffffffff,0xf92fffff,0xffffffff,0xdfffffff,0x3fffe603,
    0xffffffff,0x702fffff,0xffffffff,0xffffffff,0xb05fffff,0x007fffff,
    0x3fffe200,0xfff5007f,0xff7007ff,0xffffffff,0xffffffff,0x3fffee09,
    0xffffffff,0x04ffffff,0x3fffffee,0xffffffff,0x3e64ffff,0x4006ffff,
    0x00ffffff,0xfffffe80,0xffe80000,0x5c000fff,0xffffffff,0xfffaffff,
    0x3fff64ff,0x7ffec0ff,0xfffe9fff,0xffff303f,0xfff800df,0xff100fff,
    0xffffffff,0xffffffff,0x43ffffff,0x03fffffe,0xfffff500,0x27ffffff,
    0xa84ffffb,0xaacfffff,0xaaaaaaaa,0x540aaaaa,0xaacfffff,0xaaaaaaaa,
    0x540aaaaa,0xaacfffff,0xaaaaaaaa,0xf90aaaaa,0xffffffff,0x07ffffff,
    0xffffff98,0xffffffff,0x3fea02ff,0xaaaacfff,0xaaaaaaaa,0xffc80aaa,
    0x00005fff,0x01fffffe,0x1fffffd4,0x3ffffea0,0x999aacff,0x84fffffa,
    0xfffffffa,0xfa999aac,0xf504ffff,0x59ffffff,0xfff53335,0xffff89ff,
    0x7ffc007f,0xfd0007ff,0x0001ffff,0x1fffffd0,0xffff5000,0x25ffffff,
    0x3e4fffff,0xfd06ffff,0xfffdffff,0x7ffc03ff,0x7fc007ff,0x3f607fff,
    0x999bffff,0x999dfffe,0x41999999,0x02ffffff,0x3fff6200,0x2e0dffff,
    0xf984ffff,0x0004ffff,0x7ffffcc0,0x7cc00004,0x0004ffff,0xffffff90,
    0x9dffffff,0xffdb1001,0xffffffff,0xff3005bf,0x00009fff,0xdfffff70,
    0x7ffc0000,0xfa800fff,0x7403ffff,0x00efffff,0x13ffffe6,0x3bfffffa,
    0x3fffe600,0xffffd04f,0x7fcc01df,0x7ffc4fff,0xf1000fff,0x000bffff,
    0x03fffffa,0x3fffa000,0xd30000ff,0x1bffffff,0x8a7ffffc,0x104fffff,
    0xffffffff,0xfff80dff,0xf1000fff,0x220bffff,0xe80fffff,0xf0005fff,
    0x007fffff,0x55753100,0x1ffffd10,0xbfffff10,0xff880000,0x00005fff,
    0x2fffffc4,0xfffc8000,0x09aa99ff,0x554c4000,0x009aacba,0x3ffffe20,
    0xf9800005,0x001fffff,0xfffffd00,0xffffb003,0xffff807f,0x7fcc00ff,
    0xfff84fff,0x7cc00fff,0xff04ffff,0x9801ffff,0x6c4fffff,0x002fffff,
    0x09fffff7,0x3ffffa00,0xfe80000f,0x0000ffff,0x440abb98,0xf34fffff,
    0x4c09ffff,0xffffffff,0x7ffec03f,0xff7002ff,0x3e609fff,0xffd05fff,
    0x3fa000df,0x0005ffff,0x3fffa000,0x3fffe01f,0x400000ff,0x00ffffff,
    0x7fffc000,0xc80000ff,0x000fffff,0x00000000,0x03fffffe,0xfff10000,
    0x0000dfff,0x0ffffff6,0xffffff70,0x7fffcc07,0xfffa806f,0x7ffcc4ff,
    0xffa806ff,0xff984fff,0xfa806fff,0x7e44ffff,0xd006ffff,0x007fffff,
    0x3fffffa0,0xffe80000,0x00000fff,0xfffff880,0xbfffff14,0xfffffa80,
    0x7e400fff,0xd006ffff,0x207fffff,0xd03ffffb,0x0001ffff,0x7ffffff9,
    0xf9000000,0xfd807fff,0x0005ffff,0x7ffffec0,0x7ec00005,0x0005ffff,
    0x0fffffc8,0x33000000,0xfb000333,0x000bffff,0xfffffd00,0xf700009f,
    0x540dffff,0x3fffffff,0x3ffffea0,0x7fffd407,0x7ffd44ff,0x7fd407ff,
    0xfa84ffff,0x5407ffff,0x44ffffff,0x2ffffffa,0x7ffffdc0,0xffd0000f,
    0x00001fff,0x01fffffd,0xff100000,0x7ff49fff,0x7e401fff,0x805fffff,
    0x2ffffffa,0x7ffffdc0,0xffff700f,0xfffff309,0xfff50007,0x0007ffff,
    0x7fffc400,0xffff9807,0x02000cff,0xffffff98,0x9802000c,0x0cffffff,
    0xfff90200,0x000001ff,0x1fffff30,0xffff9800,0x02000cff,0xffffff30,
    0x364c03df,0xffffff88,0xfffffb84,0x3e203fff,0x702fffff,0x9fffffff,
    0xffffff88,0xfffff702,0xfff109ff,0x3ee05fff,0x84ffffff,0x3ffffffe,
    0xffffff70,0x7ff40007,0x80000fff,0x00fffffe,0xff880000,0x3ff64fff,
    0x2e00efff,0x0fffffff,0xfffffe80,0xffff703f,0x7fd407ff,0x7ff446ff,
    0x8000efff,0xfffffffd,0x000019cf,0x01ffffea,0x7fffffe4,0xa9999acf,
    0x3200ffdb,0xcfffffff,0xdba9999a,0x3ff200ff,0x9acfffff,0xffdba999,
    0x3fffff20,0xb8000000,0x0005ffff,0xfffffff9,0x75333359,0xfc801ffb,
    0xffffffff,0x7fffeece,0x3fffff60,0xfffebcef,0x03ffffff,0x7ffffffc,
    0xfffeb89c,0xf84fffff,0x9cffffff,0xfffffeb8,0xfff04fff,0x7139ffff,
    0xfffffffd,0xffff509f,0xfb9bdfff,0x0dffffff,0xffffe800,0xfe80000f,
    0x0000ffff,0xffff8800,0x3fffea4f,0xba9abfff,0xfffffffe,0x7fd400ef,
    0xcdefffff,0xfffffffd,0x7fffcc06,0xffffb12f,0xb501dfff,0xffffd107,
    0xffffffff,0x7d40003f,0x099bffff,0xfffffd10,0xffffffff,0x4401ffff,
    0xfffffffe,0xffffffff,0x3fa200ff,0xffffffff,0xffffffff,0x3fffff20,
    0xc8000000,0x0003ffff,0xffffffd1,0xffffffff,0xf8801fff,0xffffffff,
    0x7fffffff,0x3ffffe60,0xffffffff,0x03ffffef,0x7fffffe4,0xffffffff,
    0xc84fffff,0xffffffff,0xffffffff,0xff904fff,0xffffffff,0xffffffff,
    0x3fff609f,0xffffffff,0x02ffffff,0x66666654,0xcffffffc,0x50cccccc,
    0xf9999999,0x999fffff,0x00019999,0x3ffffe20,0x7ffffec4,0xffffffff,
    0xffffffff,0xffffd805,0xffffffff,0x402fffff,0xeffffff8,0xffffffff,
    0xfffeefff,0xffff103f,0xffffffff,0x7cc0003f,0x3fffffff,0x3ffffe60,
    0xffffffff,0x4c00ffff,0xffffffff,0xffffffff,0x7ffcc00f,0xffffffff,
    0x20ffffff,0x00fffffc,0xffe80000,0x260000ff,0xffffffff,0xffffffff,
    0xffe9800f,0xffffffff,0x6407ffff,0xffffffff,0xffd9ffff,0x7fc403ff,
    0xffffffff,0xfffccfff,0xffff884f,0xffffffff,0x4ffffccf,0xffffff10,
    0x9fffffff,0x209ffff9,0xffffffe8,0xffffffff,0xfffb802f,0xffffffff,
    0xffffffff,0xfffff70f,0xffffffff,0x1fffffff,0x3fe20000,0x7f444fff,
    0xffffffff,0xffffffff,0x4404ffff,0xfffffffe,0xffffffff,0xffff9002,
    0xb1dfffff,0xffffffff,0x74c07fff,0xffffffff,0x40001fff,0xfffffffe,
    0x7ffe4403,0xffffffff,0x8800ffff,0xfffffffc,0xffffffff,0xfffc8800,
    0xffffffff,0x3f20ffff,0x0000ffff,0x6ffff800,0xffc88000,0xffffffff,
    0x000fffff,0x3fffffee,0x7fffffff,0xfffffb80,0xf91fffff,0xf5007fff,
    0xffffffff,0x3ffee7ff,0xffff504f,0x7fffffff,0x813fffee,0xfffffffa,
    0xff73ffff,0xffb809ff,0xffffffff,0xf7000dff,0xffffffff,0xffffffff,
    0x3fee1fff,0xffffffff,0xffffffff,0x100000ff,0x109fffff,0xfffffffb,
    0x73bfffff,0x05ffffff,0xffffff70,0x1bffffff,0x7fffc400,0xd10effff,
    0xffffffff,0xfd5007ff,0xffffffff,0xfe880003,0x003fffff,0xffffffb3,
    0x17bfffff,0x7ffecc00,0xffffffff,0x366000bd,0xffffffff,0x320bdfff,
    0x000fffff,0x7ffcc000,0x2600003f,0xfffffffd,0x00bdffff,0x7fff6440,
    0x1bdfffff,0xffffd500,0x7fe419ff,0xfb1003ff,0x1bffffff,0x027fffdc,
    0xffffffb1,0x7ffdc1bf,0x7fec404f,0x20dfffff,0x804ffffb,0xffffffd9,
    0x5c003dff,0xffffffff,0xffffffff,0xff70ffff,0xffffffff,0xffffffff,
    0x200001ff,0x04fffff8,0x3fffff66,0x7ec2efff,0x801fffff,0xffffffd9,
    0x10003dff,0x1bfffffb,0xfffffc88,0x2001dfff,0xfffffeda,0x7500001f,
    0x00015999,0x35599531,0x26200001,0x009aacca,0x99531000,0x54c01355,
    0x0000aaaa,0x77775400,0x31000001,0x01355995,0xaa988000,0x22000099,
    0x0000aab9,0x55753100,0xa9880000,0x800002ab,0x002aba98,0x2ea62000,
    0x3ee0000a,0xffffffff,0xffffffff,0xfff70fff,0xffffffff,0xffffffff,
    0x2200001f,0x001aaaaa,0x00357753,0x2a620000,0x200000ab,0xa8802ba9,
    0x0001aabb,0x01555310,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80ccd4c0,0x802aaaaa,0x00aaaaa9,0xddddd700,0x77774c1b,0x800004ee,
    0x80000998,0x0000bcb8,0xdddd1000,0xeee9807d,0x776c40de,0xdddd70de,
    0x2600001d,0xca80aaaa,0x8800acdd,0x00000999,0x776c4000,0x880000de,
    0x000deeed,0x217bba60,0x001eeee8,0x06f776cc,0x006f776c,0x3bbae000,
    0x5530deee,0x55100555,0x554c3555,0xedca81aa,0xeea800ac,0x00002eee,
    0x7775c000,0x4c00deee,0xffffffff,0x000fffff,0x76dc4000,0xefffffff,
    0x1fffff65,0x3ffffee0,0xfff98002,0x3fe60fff,0x0004ffff,0xffffdb50,
    0x8001bdff,0x00effff9,0xff880000,0xfa804fff,0x3f625fff,0x3ff22fff,
    0x00000fff,0x5c5ffff9,0xffffffff,0xffffd503,0x440019ff,0x4003eeed,
    0xefffffe8,0x3fa20000,0x000effff,0x83ffff10,0x000ffffb,0x0effffa8,
    0x00bffff6,0xffff7000,0x7fec1dff,0x7cc00fff,0x3f64ffff,0x3fee4fff,
    0x03ffffff,0x17ffffd4,0x70000000,0x1dffffff,0xfffff300,0xffffffff,
    0x5c000001,0xffffffff,0x3f67ffff,0xfb807fff,0x4002ffff,0x0ffffff8,
    0x3fffffa2,0xfe980003,0xffffffff,0x7f4000ff,0x0006ffff,0xffff8800,
    0xfff7004f,0xffffb1bf,0xfffffc85,0xff900000,0x3fff67ff,0x5fffffff,
    0xffffffb8,0xf9000eff,0xe8001fff,0x6fffffff,0x3fffa000,0x000effff,
    0x37fffff0,0x00fffff9,0x77fffdc0,0x02ffffd8,0x7ffdc000,0xffd84fff,
    0x7cc00fff,0x3f64ffff,0xfffb5fff,0xbfffffff,0xfffb9998,0x99999bff,
    0x5c000000,0x04ffffff,0x3ffffe60,0xffffffff,0xe9800000,0xffffffff,
    0x367fffff,0xb807ffff,0x002fffff,0x07ffffec,0x5fffffd1,0xfff70000,
    0xffffffff,0x7c4001ff,0x00ffffff,0x7fc40000,0x2e004fff,0xffffffff,
    0xffffc83f,0xf900000f,0xfffb7fff,0xffffffff,0xffffb83f,0x803fffff,
    0x002ffff9,0x7effffec,0xd8005fff,0xfffdffff,0xff70005f,0xffffffff,
    0xfb80005f,0xffffffff,0x7dc00003,0xb02fffff,0x801fffff,0x24fffff9,
    0xfcdffffd,0xffffffff,0x3ffe2fff,0xffffffff,0x0005ffff,0x3fffee00,
    0x7cc002ff,0xffffffff,0x0000ffff,0x7ffffc40,0xffffffff,0x3fff67ff,
    0xfffb807f,0x3f2002ff,0x7ec0ffff,0x0000efff,0xffffff98,0xffffffff,
    0x3ffe2000,0x0000ffff,0x7fffc400,0x7fe4004f,0x903fffff,0x001fffff,
    0x3ffff200,0xffffffff,0x46ffffff,0x3ffe61aa,0xfffe805f,0x7ffec005,
    0xbffff93f,0x7fffec00,0x0bffff73,0x3ffffa00,0x005fffff,0xfffff900,
    0x800007ff,0x0efffffb,0x3fffff60,0x7fffcc00,0x3ffff64f,0xffffffff,
    0x26ffffff,0xffffffff,0x5fffffff,0xff700000,0x0001dfff,0x26666666,
    0x00199999,0xffffd800,0xaaacdfff,0x3ff67edc,0xffb807ff,0xf5002fff,
    0xfd81ffff,0x0000dfff,0xffffffd0,0xfb97557d,0xfffe8001,0x000006ff,
    0x4fffff88,0xffffc800,0x3fff204f,0x900000ff,0xffffffff,0xfffd75bf,
    0xf8803fff,0x7e402fff,0x32000fff,0x7e43ffff,0xfc804fff,0x7fe43fff,
    0xf90005ff,0x07ffffff,0xfffc8000,0x400004ff,0x04fffffb,0x0fffffd8,
    0x7ffffcc0,0x3fffff64,0xc89cffff,0xf1ffffff,0xffffffff,0x0bffffff,
    0xfff70000,0x000009ff,0xa8000000,0x0cffffff,0x3fff6080,0xfffb807f,
    0x555002ff,0xaaa88155,0x2a00002a,0x02ffffff,0xfff98000,0x000001ff,
    0x4fffff88,0x55555000,0xfffffc80,0xff900000,0x01dfffff,0x05fffffd,
    0xdffffd99,0x7fffcc01,0x2aaa2003,0x5555502a,0x55554401,0x15555502,
    0x372e6000,0x000000ac,0x00055555,0xaaaaa880,0xffffb001,0xfff9801f,
    0x3fff64ff,0xc80effff,0xff3fffff,0xffffffff,0x00bfffff,0xaaaa8800,
    0x0000001a,0xfe800000,0x0003ffff,0x00fffffb,0x05fffff7,0x00000000,
    0x7ffffdc0,0x22000004,0x00000bcb,0xfffff100,0x20000009,0x00fffffc,
    0xffff9000,0x3f201dff,0x7c43ffff,0x805fffff,0x0006fffe,0x00000000,
    0x00000000,0x00000000,0xfd800000,0x4c00ffff,0x364fffff,0x0effffff,
    0x9fffff30,0x3ffee666,0x99999bff,0x00000000,0x00000000,0xffff1000,
    0x7ec000df,0xfb807fff,0x0002ffff,0x20000000,0x00fffffd,0x00000000,
    0xfff88000,0x000004ff,0x1fffff90,0x3ff20000,0x2a01ffff,0x444fffff,
    0xffffffff,0x1ffff903,0x00000000,0x00000000,0x00000000,0x00000000,
    0x1fffffb0,0xfffff980,0x3fffff64,0x3ffe200f,0xfffa84ff,0x000002ff,
    0x40000000,0x1abdeca9,0xffa80000,0x20004fff,0x807ffffd,0x02fffffb,
    0x00aaaaa6,0x06aaaaa2,0xffffd000,0x0000000f,0x5cc40000,0xfffbccdc,
    0x310004ff,0x15599995,0x07ffffe4,0x02af72e2,0x5fffff90,0xfffff880,
    0xffdccc84,0x7fcc0fff,0x200003ff,0xacccca98,0x5d44000a,0xaccdeedc,
    0x95300009,0x000357bd,0x76e5d440,0x009accde,0xedcba880,0x809accde,
    0x00fffffd,0x27ffffcc,0x05fffffb,0x5fffff88,0x2fffffa8,0x554c0000,
    0xedca81aa,0xd88000ac,0xffffffff,0x200002ff,0x02fffffb,0x3ffff600,
    0xffffb807,0x3fff602f,0x7fcc00ff,0x40004fff,0x006fffff,0xaaaaaa80,
    0xaaaaaaaa,0x800aaaaa,0xfffffffa,0x4fffffff,0x3fff2200,0xffffffff,
    0x4fffff95,0xfffffffa,0x3fff204f,0x7fc400ff,0xf9804fff,0x7ff43fff,
    0xc880006f,0xffffffff,0xd9805fff,0xffffffff,0x2004ffff,0xffffffd8,
    0x0002ffff,0x3fffff66,0x4fffffff,0x3fff6600,0xffffffff,0xffffd84f,
    0x7ffcc00f,0x3fff64ff,0x999801ff,0xfffa8099,0x6e5442ff,0xffb000ab,
    0x7ffdc9ff,0x003fffff,0x3fffffea,0xdfffffff,0xffc80000,0x20002fff,
    0x807ffffd,0x02fffffb,0x03fffff6,0x9fffff30,0xffff8000,0x7c40006f,
    0xffffffff,0xffffffff,0x3fa600ff,0xffffffff,0x04ffffff,0xffffff50,
    0xdfffffff,0x5dfffff2,0xffffffff,0xfff905ff,0xff8801ff,0x5c024fff,
    0x3ee3ffff,0x40001fff,0xfffffffa,0x06ffffff,0x7fffffec,0xffffffff,
    0xffff5004,0xffffffff,0xfd8001bf,0xffffffff,0x004fffff,0xfffffffb,
    0x9fffffff,0x1fffffb0,0xfffff980,0x3fffff64,0x3ea00001,0xfd31ffff,
    0x03ffffff,0x2bffffb0,0xfffffffd,0x6c405fff,0xffffffff,0xffffffff,
    0x7fec0001,0x20001fff,0x807ffffd,0x02fffffb,0x03fffff6,0x9fffff30,
    0xffff8000,0x7c40006f,0xffffffff,0xffffffff,0xfff700ff,0xffffffff,
    0x09ffffff,0xfffffd88,0xffffffff,0xfffff96f,0xfffffff9,0x90bfffff,
    0x801fffff,0x24fffff8,0xffffefff,0xfff30fff,0x6c40007f,0xffffffff,
    0x06ffffff,0x3ffffff2,0xffffffff,0x7fec404f,0xffffffff,0x01ffffff,
    0xffffff90,0xffffffff,0xfff9009f,0xffffffff,0xfb09ffff,0x9801ffff,
    0x364fffff,0x001fffff,0x3fffea00,0xfffffa9f,0x403fffff,0xfcdffffd,
    0xffffffff,0x3f202fff,0xffffffff,0xffffffff,0x7fec0006,0x20001fff,
    0x807ffffd,0x02fffffb,0x03fffff6,0x9fffff30,0xffff8000,0x7c40006f,
    0xffffffff,0xffffffff,0xfff980ff,0xfeffffff,0x4fffffff,0x7ffffec0,
    0xffffffff,0xffff96ff,0xffffffff,0x3fffffff,0x0fffffc8,0x7ffffc40,
    0x3fffffe4,0x3fa2ffff,0x6c0006ff,0xffffffff,0x6fffffff,0xffffff70,
    0xfd9979df,0xffc809ff,0xffffffff,0x6fffffff,0xfffffb80,0xeccbceff,
    0x7dc04fff,0xceffffff,0x4fffeccb,0x0fffffd8,0x7ffffcc0,0x3fffff64,
    0x3ea00001,0xfffbffff,0xffffffff,0x3fff600f,0xffffffff,0x6fffffff,
    0xffffff10,0xff9537bf,0x005fffff,0x7ffffec0,0x3ff60001,0xffb807ff,
    0x3f602fff,0x4c00ffff,0x404fffff,0xeeeeeee8,0xeeffffff,0x2eeeeeee,
    0xffffff10,0xffffffff,0xd01fffff,0x37ffffff,0xfffffb88,0x3fffea04,
    0xaabcefff,0xff96ffdc,0xbfffffff,0xfffff955,0xffffc8bf,0x7ffc400f,
    0x3fffe4ff,0x2e1cffff,0x0001ffff,0x3fffffea,0xdcaabcef,0xfffd06ff,
    0x57300dff,0x7ffffc40,0xfca9bdff,0x02ffffff,0x37fffff4,0x3a015cc0,
    0x806fffff,0xfffd82b9,0x7fcc00ff,0x3ff64fff,0x00001fff,0x3fffffea,
    0xffffffff,0x3604ffff,0xffffffff,0xfffc89cf,0xffd81fff,0xd101ffff,
    0x00ffffff,0x7ffffec0,0x3ff60001,0xffb807ff,0x3f602fff,0x4c00ffff,
    0x404fffff,0xfffffff8,0xffffffff,0x2fffffff,0x99999910,0xffd99999,
    0xf909ffff,0x403fffff,0x04fffff8,0xfffffff1,0x3f295007,0x0effffff,
    0xffffffb8,0x3fffff21,0x7fffc400,0x26aa664f,0xffff8809,0x3fe20004,
    0x803fffff,0xfffff04a,0x3600003f,0x01ffffff,0xffffffd1,0xffffff80,
    0x3fe00001,0x0001ffff,0x07ffffec,0x3ffffe60,0x3fffff64,0x3ea00001,
    0xffffffff,0xffffd99b,0x3fff607f,0xc80effff,0x4c3fffff,0x01ffffff,
    0x7fffffc4,0xfffb0003,0x6c0003ff,0x200fffff,0x2ffffff8,0x3fffff60,
    0x7fffcc00,0x7ffc404f,0xffffffff,0xffffffff,0x80002fff,0x6ffffff8,
    0xffffff88,0x7fffc402,0xffff904f,0xf90003ff,0x01dfffff,0x27fffff4,
    0x01fffff9,0x4fffff88,0xdfffd000,0xfffc8000,0x40001fff,0x0ffffff9,
    0xfff98000,0x7c401fff,0x303fffff,0x01ffffff,0x3ffe6000,0x40000fff,
    0x00fffffd,0x27ffffe4,0x03fffffb,0x7ffd4000,0xf80effff,0xb00fffff,
    0x1dffffff,0x3ffffe60,0x7ffffe44,0xffff9005,0x3f60009f,0x0001ffff,
    0x07fffff6,0xffffffe8,0x3ffff602,0x7ffcc00f,0x7fc404ff,0xffffffff,
    0xffffffff,0x0002ffff,0xffffffe8,0xfffffa80,0xffff8806,0xfffff04f,
    0x3f20009f,0x401fffff,0x25fffffb,0x00fffffc,0x27ffffc4,0x7fffdc00,
    0x7ffc0001,0x80004fff,0xeffffff8,0x7fe40000,0xf9005fff,0x2209ffff,
    0x0effffff,0xfff88000,0x0000efff,0x0bfffff2,0xffffffb8,0x3fffff64,
    0x3ea00001,0x00ffffff,0x03fffffb,0x3ffffff6,0x3fffe200,0x7fffec4f,
    0xfff3001f,0x36000bff,0x001fffff,0x3fffff60,0xfffffb03,0x7fec05ff,
    0x7cc00fff,0x4404ffff,0xfeeeeeee,0xeeefffff,0x02eeeeee,0x7fffec00,
    0xfff902ff,0xff1007ff,0xff309fff,0x0001ffff,0x0bfffff2,0x3ffffe60,
    0x3fffff26,0x7fffc400,0x7fc4004f,0x4c0004ff,0x00ffffff,0xfffff000,
    0x00039fff,0x07fffff6,0x7ffffcc0,0x3ffffe05,0x0001cfff,0x7ffffffc,
    0xfb8001cf,0xf504ffff,0x49ffffff,0x01fffffd,0x3ffea000,0x3f201fff,
    0xfb02ffff,0x8805ffff,0x745fffff,0x2007ffff,0x06fffff8,0xfffffb00,
    0x7fec0003,0x3220efff,0xffffffff,0x3ffff604,0x7ffcc00f,0x7c0004ff,
    0x0006ffff,0xffffb800,0x3ff604ff,0xf8801fff,0xfa84ffff,0x0005ffff,
    0x03fffff2,0x3ffffe20,0x3fffff27,0x7fffc400,0x7fec004f,0xfa80006f,
    0x0005ffff,0x3fffff20,0x01ceffff,0x1fffffa0,0xfffff880,0x3ffff206,
    0x1cefffff,0xffffc800,0x1cefffff,0xfffff500,0x7ffdc41d,0x364fffff,
    0x001fffff,0x3fffea00,0x7ffd404f,0xfffb02ff,0x333003ff,0xffff8133,
    0x7ffc007f,0xfb0007ff,0x0003ffff,0x7fffffec,0xfffffcdf,0x2cffffff,
    0x0fffffd8,0x7ffffcc0,0x7ffc0004,0x000006ff,0x7fffffcc,0x7ffff405,
    0xfff8800f,0xfffb84ff,0x320004ff,0x000fffff,0x21ffffff,0x00fffffc,
    0x27ffffc4,0x3ffff500,0xfff70000,0x800009ff,0xfffffffe,0x00beffff,
    0x03fffffc,0x1fffffe0,0xffffffd0,0x17dfffff,0x7ffff400,0xefffffff,
    0x3ffe600b,0xffcdffff,0xffffffff,0x3fffff64,0x3ea00001,0x5402ffff,
    0xb02fffff,0x003fffff,0xfffff100,0xfffe800d,0xfd8000ff,0x0001ffff,
    0x3ffffff6,0xefffffff,0x6fffffff,0x0fffffd8,0x7ffffcc0,0x7ffc0004,
    0x000006ff,0x3fffffe2,0x7fffc00f,0xfff1007f,0xfffb09ff,0x640007ff,
    0x000fffff,0x21ffffff,0x00fffffc,0x27ffffc4,0x4ffff880,0x2f77774c,
    0x3fffff60,0x6c400003,0xffffffff,0x103fffff,0x00dfffff,0x0fffffe8,
    0x3ffff620,0xffffffff,0xffb1003f,0xffffffff,0x7ec07fff,0xffffffff,
    0xfffeffff,0x3ffff64f,0x2a00001f,0x402fffff,0x02fffffa,0x03fffffb,
    0xffff3000,0xfff800df,0xd8000fff,0x001fffff,0x3fffff60,0xefffffff,
    0xffffffc8,0xfffffd86,0x7fffcc00,0x7fc0004f,0x00006fff,0x3fffff60,
    0x7ffc401f,0xff1007ff,0xffb09fff,0x40007fff,0x00fffffc,0x4ffffff0,
    0x00fffffc,0x27ffffc4,0x0ffffd80,0x37fffff4,0x3fffff60,0xd5000003,
    0xffffffff,0xf30bffff,0x800dffff,0x00ffffff,0xfffffea8,0x5fffffff,
    0x3fffaa00,0xffffffff,0xffff305f,0xffffffff,0x49ffff75,0x01fffffd,
    0x3ffea000,0x7fd402ff,0xffb02fff,0x00003fff,0x01fffffe,0x0ffffff0,
    0x3ffff600,0x3f60001f,0xffffffff,0xfff30fff,0xffb0dfff,0xf9801fff,
    0x0004ffff,0x037ffffc,0xfffc8000,0xff003fff,0x2200ffff,0xc84fffff,
    0x005fffff,0x3fffff20,0xffff8800,0x3ffff26f,0x7ffc400f,0xffa804ff,
    0x7ffdc2ff,0x7e406fff,0x0005ffff,0x7ff64c00,0xffffffff,0x7fffff83,
    0x7ffffc00,0x7f64c007,0xffffffff,0x764c003f,0xffffffff,0xfff703ff,
    0x5fffffff,0xd93fffee,0x001fffff,0x3fffea00,0x7ffd402f,0xfffb02ff,
    0x200003ff,0x00ffffff,0xbfffff10,0x3fff6000,0x360001ff,0xfffeffff,
    0x7fd40dff,0xffd86fff,0x7cc00fff,0x0004ffff,0x037ffffc,0x7ffd4000,
    0x3e005fff,0x800fffff,0x84fffff8,0x06fffffb,0x3ffff200,0xfff9800f,
    0x3fff25ff,0x7fc400ff,0x7c404fff,0x7fc45fff,0x406fffef,0x06fffffb,
    0x2e600000,0xffffffff,0xffffff87,0xffff1000,0x5cc000bf,0xffffffff,
    0x3ee60007,0x7fffffff,0x3ffffa60,0x3fee0dff,0x3fff64ff,0x200001ff,
    0x02fffffa,0x17ffffd4,0x1fffffd8,0xfffb0000,0x3ee005ff,0x0004ffff,
    0x03fffffb,0x7fffec00,0x4402ba8d,0xfd80aaaa,0x6400ffff,0x004fffff,
    0x37ffffc0,0x3fe20000,0x000effff,0x07fffffa,0x3ffffee0,0xfffff984,
    0xff90001f,0xf9001fff,0x0007ffff,0x7fec0000,0x7fff40ff,0x4c06fff9,
    0x01ffffff,0xfa800000,0x40ffffff,0x02fffffd,0x9fffff70,0x3fea0000,
    0x000fffff,0xfffffa80,0x5d4400ff,0x7ff440ab,0x000001ff,0x7ffffd40,
    0x7fffd402,0xffffb02f,0x3200003f,0x006fffff,0x07fffffd,0x3ffff600,
    0x3f60001f,0x00006fff,0x5fffff90,0x7ffffdc0,0x7fc0004f,0x00006fff,
    0x7ffffff4,0x7ffec001,0x7fd404ff,0xf884ffff,0x006fffff,0x1fffff90,
    0xfffff880,0x0000002f,0x85ffff50,0xff8bfffb,0x7ffc406f,0x00006fff,
    0xffff3000,0xfffc85ff,0xffd006ff,0x00007fff,0x7fffffcc,0xff300002,
    0x0005ffff,0x03ffffd0,0xf5000000,0xa805ffff,0xb02fffff,0x003fffff,
    0x3fffea00,0x7fdc02ff,0x0000ffff,0x03fffffb,0x7fffec00,0xf7000006,
    0x2a09ffff,0x4fffffff,0x7fffc000,0x3600006f,0x02ffffff,0xfffffb80,
    0x3fffe606,0xffd04fff,0x0009ffff,0x01fffff9,0xffffffc8,0x26666000,
    0xfff10001,0x6fff88bf,0xd00dfff1,0x09ffffff,0xf1000000,0xa83fffff,
    0x02ffffff,0x7fffffdc,0x3e200000,0x001fffff,0xfffff100,0xfb80003f,
    0x4c003fff,0x50001999,0x805fffff,0x02fffffa,0x03fffffb,0x7fff4000,
    0xff703fff,0x0007ffff,0x0fffffec,0xffffb000,0x2a00000f,0x20efffff,
    0xffffffb8,0x7c0004ff,0x0006ffff,0xffffff70,0x3fe20009,0xfb85ffff,
    0x4fffffff,0xffffff30,0xb64c03df,0x00fffffc,0x3ffffff2,0x3ffe6002,
    0xfc8000ff,0x7fec0fff,0x0dfff11f,0xffffff30,0x364c03df,0xf90005c4,
    0x3a0fffff,0x03ffffff,0x7ffffff7,0x90005c40,0x20ffffff,0x3f2000b8,
    0x0007ffff,0x00fffff8,0x3ffffe60,0xfffa8000,0x7fd402ff,0xffb02fff,
    0x00003fff,0x7fffffd4,0xfffdcdef,0x0006ffff,0x0fffffec,0xffffb000,
    0x2600000f,0xdfffffff,0xfffffffc,0x40004fff,0x006fffff,0xfffff980,
    0x999999ef,0x64099999,0xceffffff,0xfffffffc,0x3f204fff,0xffffffff,
    0x7fffeece,0x7bfffff9,0xfffd7333,0xb800bfff,0x8005ffff,0x4c2ffffa,
    0xfcccefff,0x6403cfff,0xffffffff,0xfffeecef,0x9beff987,0x3ff2a209,
    0xf505ffff,0xbdffffff,0xffffffb9,0xeff980df,0x32a2099b,0x05ffffff,
    0x1337dff3,0x7fffe544,0x4c0005ff,0x4007ffff,0x005ffffb,0x5fffff50,
    0xfffffa80,0xfffffb02,0xfd800003,0xffffffff,0xffffffff,0x7fec0002,
    0x20001fff,0x007ffffd,0x3fff6000,0xffffffff,0x4ffffeff,0x7fffc000,
    0x7440006f,0xffffffff,0xffffffff,0x7ffc42ff,0xffffffff,0xffffefff,
    0x3fffe204,0xffffffff,0xff97ffff,0xffffffff,0xffffffff,0xfffc8001,
    0x7f44003f,0xfffa85ff,0xffffffff,0x7ffc406f,0xffffffff,0x987fffff,
    0xffffffff,0xffffffff,0x3ff601ff,0xffffffff,0x2fffffff,0x7ffffcc0,
    0xffffffff,0x301fffff,0xffffffff,0xffffffff,0xa80003ff,0x99bfffff,
    0x7fffe400,0xfff50003,0xffa805ff,0xffb02fff,0x00003fff,0xfffffe88,
    0xffffffff,0xd80002ff,0x001fffff,0x1fffff60,0xff980000,0xffffffff,
    0xffffbaff,0x7ffc0004,0x540006ff,0xffffffff,0xffffffff,0xffb82fff,
    0xffffffff,0xffffbbff,0x7fff4c04,0xffffffff,0xfff97fff,0xffffffff,
    0x03dfffff,0x1ffffd00,0xffffc800,0xfffffa80,0x6fffffff,0xffffe980,
    0xffffffff,0xfff987ff,0xffffffff,0x02ffffff,0x7fffff44,0xffffffff,
    0xff9802ff,0xffffffff,0x2fffffff,0x3ffffe60,0xffffffff,0x0002ffff,
    0xffffff98,0x7ff403ff,0xf50000ff,0xa805ffff,0xb02fffff,0x003fffff,
    0x3ffee000,0xffffffff,0xb00000df,0x003fffff,0x3ffffec0,0x3ee00000,
    0xffffffff,0x9ffff72f,0xffff8000,0x7d40006f,0xffffffff,0xffffffff,
    0xfff502ff,0x5fffffff,0x013fffee,0x7fffffdc,0x7fffffff,0xfffffff9,
    0xffffffff,0x7ffc0007,0x7fcc006f,0x999303ff,0xffff9999,0x7fdc0079,
    0xffffffff,0xff987fff,0xffffffff,0x02ffffff,0x3ffffee0,0xdfffffff,
    0xffff3000,0xffffffff,0x9805ffff,0xffffffff,0xffffffff,0x3fa00002,
    0x03ffffff,0x0037fffc,0x5fffff50,0xfffffa80,0xfffffb02,0x4c000003,
    0xfffffffd,0x400003df,0x01fffffd,0x3ffff600,0x98000007,0xdffffffe,
    0x13fffee0,0xfffff000,0xffa8000d,0xffffffff,0xffffffff,0x3ffa602f,
    0x2a0dffff,0x2004ffff,0xfffffec8,0x261bdfff,0xffffffdb,0x000cefff,
    0x0ffffe60,0x0bfffd00,0x1bffe200,0x7ff64400,0xbdffffff,0xfffed881,
    0xffffffff,0xfb30002d,0xbfffffff,0xfed88007,0xffffffff,0xb1002dff,
    0xfffffffd,0x005bffff,0xfffd1000,0x7cc07fff,0x20003fff,0x02fffffa,
    0x17ffffd4,0x1fffffd8,0x31000000,0x00001575,0x7ffffec0,0x2aaa0001,
    0x000002aa,0x02aeea20,0x7fc00000,0x40006fff,0xfffffffa,0xffffffff,
    0x3002ffff,0x00001577,0x33553100,0x2a662001,0x2000009a,0x001eeeea,
    0x003ffff2,0x037ffc40,0x9aa98800,0x2a620009,0x09aacbaa,0x2a620000,
    0x100000ab,0x55975553,0x4c400013,0x9aacbaaa,0xa8000000,0x200bcccb,
    0x001eeeea,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x80deeed9,0x000deeed,0x01bdddb3,0x001bdddb,
    0xeeeeb800,0xddd10dee,0xdddddddd,0x3000009d,0x800dfffb,0x303eeed8,
    0x800dfffb,0x403eeed8,0xfffffff9,0x00ffffff,0x3bbbbbb2,0x00eeeeee,
    0xbdddb300,0x1bdddb01,0x3bb62000,0x000000de,0xdddddb10,0x3bbb207d,
    0x0000deee,0x05dddb00,0x8009ddd7,0xfffffff9,0x00ffffff,0xddddddd9,
    0x001ddddd,0x7776c400,0x0000000d,0x00000000,0x0eeeeeb8,0x4ccc4000,
    0x99999999,0x00099999,0x41dffff5,0x002ffffd,0x077fffd4,0x005ffffb,
    0xffffb800,0x3fe20eff,0xffffffff,0x200005ff,0x6fffffd9,0x7fffe400,
    0x7fffecc0,0x7fe4006f,0x7fcc00ff,0xffffffff,0x3f600fff,0xffffffff,
    0x20000fff,0x20effffa,0x002ffffd,0xfffffd10,0x8000001d,0xffffffe8,
    0x7fffe403,0x00000eff,0xf85fffd8,0x4c004fff,0xffffffff,0xb00fffff,
    0xffffffff,0x0001ffff,0x3ffffa20,0x800000ef,0x00006db9,0x4006db98,
    0x00fffffc,0x7fffe400,0xffffffff,0x2004ffff,0xd8effffb,0x0002ffff,
    0xb1dffff7,0x0005ffff,0xfffffb80,0xffff884f,0xffffffff,0xff900005,
    0x00dfffff,0x217fffcc,0xfffffffc,0x3ffe6006,0xfff9802f,0xffffffff,
    0x3ff600ff,0xffffffff,0x5c0000ff,0xfd8effff,0x20002fff,0xfffffffe,
    0x1000000e,0x3dfffffd,0x3fffea00,0x00000eff,0x4effffdc,0x02ffffeb,
    0x7ffffcc0,0xffffffff,0xfffffb00,0x1fffffff,0x3ffa0000,0x00efffff,
    0xffffb000,0x7ec0000f,0x64007fff,0x000fffff,0x7ffffe40,0xffffffff,
    0x5c004fff,0xffffffff,0x7dc0003f,0xffffffff,0x7dc00003,0x102fffff,
    0xffffffff,0x000bffff,0x3fffff20,0x3fa006ff,0xfffc85ff,0x2006ffff,
    0x3005fffe,0xffffffff,0x401fffff,0xfffffffd,0x000fffff,0xfffffb80,
    0x0003ffff,0x3f7ffff6,0x00005fff,0xfffffe88,0x7f44000d,0x000effff,
    0x3fffe200,0x6fffffff,0xffff9800,0xffffffff,0xffffb00f,0xffffffff,
    0xffb00001,0xbffffbff,0x3ffe0000,0x200007ff,0x007fffff,0x07ffffe4,
    0x3fff2000,0xffffffff,0x004fffff,0xffffffc8,0xf900003f,0x07ffffff,
    0xfffb8000,0x3a200eff,0xffeeeeee,0x00005fff,0xfffb9ff3,0x3fff200d,
    0xdcff980f,0xf9006fff,0x4c001fff,0x99999999,0x76401999,0xfffeeeee,
    0x00000fff,0xfffffff9,0x7fec0007,0xffff73ff,0x7440000b,0x003fffff,
    0x7ffffe40,0x2a00000e,0xffffffff,0x330001ff,0x33333333,0x77640333,
    0xffffeeee,0x6c0000ff,0xff73ffff,0xf0000bff,0x000fffff,0x3fffffc0,
    0x3ffff200,0x7e40000f,0xffffffff,0x4fffffff,0xffff9000,0xc800009f,
    0x004fffff,0x7fffdc00,0x7cc0004f,0x0005ffff,0x7ffe42e0,0xffff9806,
    0x7fe42e03,0xfff9806f,0x0000003f,0x3fffa000,0x200000ff,0x04fffffc,
    0x3ffff200,0x2ffffe43,0x7ff44000,0x00001eff,0x1bfffff5,0x7f4c0000,
    0x01efffff,0x00000000,0x0fffffe8,0x3fff2000,0x7fffe43f,0x7ffc0005,
    0x200007ff,0x007fffff,0x07ffffe4,0x3332a000,0xdccccccc,0x004fffff,
    0x00aaaaa0,0x55554000,0x54400002,0x0001aaaa,0x5fffff98,0xff900000,
    0xfffd00df,0x7ffe400d,0x6fffe806,0x00000000,0x7fffff40,0x55400000,
    0x220002aa,0x5502aaaa,0x80001555,0x00aaaaa9,0x55544000,0x800001aa,
    0x002bddca,0x00000000,0x03fffffa,0x55554400,0x15555502,0x7fffc000,
    0x3e00007f,0x4007ffff,0x00fffffc,0x3ea00000,0x0004ffff,0x00000000,
    0x00000000,0x7fffcc00,0x9000005f,0xfc80dfff,0x32000fff,0x7e406fff,
    0x00000fff,0x7f400000,0x0000ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x00fffffe,0x00000000,0x7fffff80,0x3ffe0000,
    0x7e4007ff,0x0000ffff,0x3ffea000,0x000004ff,0x00000000,0x00000000,
    0x2fffffcc,0xffc80000,0x3ffe606f,0x7fe4003f,0x3ffe606f,0xa880003f,
    0x001acddc,0xfffffe80,0x00001880,0x00000000,0x00000000,0x00000000,
    0x44000000,0xcdeeccba,0x3a0000ab,0x000fffff,0x30000000,0xff555555,
    0x5555ffff,0x26155555,0xffaaaaaa,0xaaaaffff,0xf90aaaaa,0x0001ffff,
    0x7ffd4000,0x554c04ff,0xedca81aa,0xaa9800ac,0xddca80aa,0xaa9800ac,
    0xddca80aa,0xf30000ac,0x000bffff,0x1bfff200,0x006fffe8,0x206fffc8,
    0x0006fffe,0x7fffffd4,0x0002efff,0x83fffffa,0x2aa03fd8,0xaaaaaaaa,
    0xaaaaaaaa,0x5555300a,0x55555555,0x2aaa6000,0xaaaaaaaa,0x2aa60002,
    0xaaaaaaaa,0x5530002a,0x55555555,0x2e200055,0xfffffffe,0x00cfffff,
    0xfffffe80,0xaaaaa800,0x554c0001,0x3fff21aa,0xffffffff,0xffffffff,
    0xffff92ff,0xffffffff,0xffffffff,0x3ffff25f,0x66ee540f,0xfa80000a,
    0x6c04ffff,0x3ee4ffff,0x3fffffff,0x17fffe40,0xfffffff7,0xfffc807f,
    0x3fffee2f,0x8003ffff,0x05fffff9,0xfff90000,0x3fffee0d,0xfffc8001,
    0x3ffff706,0x7ffe4000,0xffffffff,0xfe8000cf,0xfc88ffff,0xfff103ff,
    0xffffffff,0xffffffff,0x3ffff601,0xffffffff,0xfffd8000,0xffffffff,
    0xffb0000f,0xffffffff,0xfb0001ff,0xffffffff,0x70001fff,0xffffffff,
    0xffffffff,0xfffe8003,0xffd800ff,0x640006ff,0x3f24ffff,0xffffffff,
    0xffffffff,0xff92ffff,0xffffffff,0xffffffff,0x3ff25fff,0x3ffee7ff,
    0x003fffff,0x7ffffd40,0x7fffec04,0xffffffb5,0x640bffff,0xffb3ffff,
    0xffffffff,0x7fffe40b,0xffffffb3,0x800bffff,0x05fffff9,0xfff90000,
    0x7ffff30d,0x3fff2000,0x3ffff986,0xfffd1000,0xffffffff,0xd000dfff,
    0xffbfffff,0x3e207fff,0xffffffff,0xffffffff,0xfffb00ff,0xffffffff,
    0xffb0001f,0xffffffff,0x360001ff,0xffffffff,0x8000ffff,0xfffffffd,
    0x000fffff,0xffffffb8,0xffffffff,0x3a000fff,0x800fffff,0x007ffffb,
    0x1ffffec0,0xfffffff9,0xffffffff,0x25ffffff,0xfffffffc,0xffffffff,
    0x92ffffff,0x3f6fffff,0xffffffff,0x3ea0005f,0x6c04ffff,0xffcdffff,
    0xffffffff,0xfff902ff,0xfffffb7f,0x3fffffff,0x2fffff20,0xfffffffd,
    0x001fffff,0x17ffffe6,0x7fe40000,0x6fffe86f,0x3fff2000,0x06fffe86,
    0x3ffffa00,0xffeccdff,0x4003ffff,0xfffffffe,0xf103ffff,0xffffffff,
    0xffffffff,0x3ff601ff,0xffffffff,0xfd8000ff,0xffffffff,0xb0000fff,
    0xffffffff,0x0001ffff,0xfffffffb,0x001fffff,0xdfffff70,0xffffd99b,
    0x7400bfff,0x800fffff,0x00fffffa,0x3ffffa00,0x3fffff22,0xffffffff,
    0xffffffff,0xffffff92,0xffffffff,0x5fffffff,0x37fffff2,0xffffffff,
    0x0001ffff,0x09fffff5,0xffffffd8,0xffffffff,0xf906ffff,0xffffffff,
    0xffffffff,0x3fff20df,0xffffffff,0x6fffffff,0x3fffe600,0x9000005f,
    0xffb8dfff,0x320001ff,0x7fdc6fff,0xf50001ff,0x701bffff,0x01ffffff,
    0x7fffff40,0x02ffffff,0xfffffff1,0xffffffff,0x3601ffff,0xffffffff,
    0x8000ffff,0xfffffffd,0x000fffff,0xffffffb0,0x01ffffff,0xfffffb00,
    0x1fffffff,0x15bf7000,0x7fffe440,0xffd000ff,0xf3001fff,0x0003ffff,
    0x107ffffc,0xff333333,0x3333ffff,0x22133333,0xff999999,0x9999ffff,
    0xf9099999,0xffffffff,0xffffffff,0x3ea000df,0x6c04ffff,0xffffffff,
    0xfffc89cf,0xffc81fff,0xdfffffff,0xfffffeba,0xffffc81f,0xbadfffff,
    0x1ffffffe,0xfffff300,0x0577300b,0xffff1000,0x44000009,0x0004ffff,
    0x01bffffa,0x0bfffff7,0x3ffffa20,0x00cfffff,0x33333322,0xffeccccc,
    0x2204ffff,0xfe999999,0x8000ffff,0xe9999998,0x000fffff,0x33333310,
    0x01fffffd,0x33333100,0x1fffffd3,0x80011000,0x01fffffe,0x1fffffd0,
    0xfffff100,0x3fe20005,0x3fe007ff,0x00007fff,0x01fffffe,0xffffff90,
    0xfd75bfff,0x003fffff,0x9fffff50,0xfffffd80,0xffc80eff,0xffc83fff,
    0x80efffff,0x82fffffe,0xfffffffc,0xffffe80e,0xfff3002f,0xffc80bff,
    0x20001eff,0x0006fffe,0x37fff400,0xffff7000,0xfffd003f,0xffc880ff,
    0xcfffffff,0x7c400000,0x006fffff,0x3fffffa0,0x7f400000,0x0000ffff,
    0xfffffe80,0x7f400000,0x0000ffff,0xffff7000,0x3ffa005f,0xff000fff,
    0x20007fff,0x006ffff8,0x01fffffe,0xfffff800,0x7ffe4007,0xe80effff,
    0x002fffff,0x4fffffa8,0x7ffffec0,0xfff300ef,0xfff909ff,0x3201dfff,
    0xc83fffff,0x0effffff,0x7fffff90,0x3fffe600,0x3ffee05f,0x8000ffff,
    0x001ffffb,0x3ffee000,0x3fa0001f,0xf9006fff,0x9101ffff,0xffffffff,
    0x0000019f,0x3ffffffa,0x3ffa0000,0x00000fff,0x07fffff4,0x7ff40000,
    0x00000fff,0x07fffff4,0xf9800000,0xd003ffff,0x001fffff,0x213ffffa,
    0xf983cccb,0x3e005fff,0x0007ffff,0x1fffffe0,0xfffff900,0x3ff201df,
    0xa8003fff,0x404fffff,0x0ffffffd,0x3ffffe20,0xfffffc84,0x3ffea01f,
    0xfffc84ff,0x3ea01fff,0x3004ffff,0x20bfffff,0xfffffff8,0x7fc4004f,
    0x000004ff,0x013fffe2,0x9fffff00,0x3fffee00,0x7fffe41f,0x0fffffff,
    0xffb00000,0x0005ffff,0x0fffffe8,0x7ff40000,0x00000fff,0x0fffffe8,
    0x7ff40000,0x00000fff,0xfffff300,0x3fffa009,0xffb000ff,0xffff0bff,
    0xffffa81f,0x3fffe004,0x3e00007f,0x4007ffff,0x1ffffffc,0x3ffffea0,
    0xfffa8004,0x7fec04ff,0x7c402fff,0xfc85ffff,0x4402ffff,0xc84fffff,
    0x402fffff,0x04fffff8,0xbfffff30,0x3ffffe60,0x6c005fff,0x00006fff,
    0x037ffec0,0x3fffe200,0xeeeeeeef,0xffffeeee,0x3fffe22f,0xffffffff,
    0xfb800000,0x004fffff,0xfffffe80,0x7f400000,0x0000ffff,0xfffffe80,
    0x7f400000,0x0000ffff,0xfdd99550,0x9fffffff,0x3ffffa00,0xfff9000f,
    0xffffa8df,0x7fffdc3f,0xeeeeeb83,0xeeffffff,0x005eeeee,0x01fffffe,
    0x5fffff90,0xfffff880,0xfffa8004,0x7fec04ff,0x99801fff,0xffc80999,
    0x7c400fff,0xfc84ffff,0x4400ffff,0x004fffff,0x0bfffff3,0x3fffffea,
    0x3ea006ff,0x00101fff,0x3ffff500,0xfff98000,0xffffffff,0xffffffff,
    0x3ffe23ff,0xffffffff,0x4c00000f,0x05ffffff,0xffffd000,0xe800001f,
    0x000fffff,0xffffe800,0x7400000f,0x000fffff,0x3fffee20,0xffffffff,
    0xfd004fff,0x2001ffff,0x6c7ffffa,0x646fffff,0xfc82ffff,0xffffffff,
    0xffffffff,0x3ffe006f,0x7e4007ff,0x4400ffff,0x004fffff,0x4fffffa8,
    0x7ffffec0,0x3f200001,0x4400ffff,0xc84fffff,0x400fffff,0x04fffff8,
    0xbfffff30,0x3ffffe20,0xf1004fff,0x76d49fff,0x8002efff,0x4c4ffff8,
    0x205eeeee,0xfffffffa,0xffffffff,0x23ffffff,0xe8cffff8,0x000fffff,
    0x3fffe200,0x00000fff,0x01fffffd,0xfffe8000,0x800000ff,0x00fffffe,
    0x7fff4000,0xf70000ff,0xffffffff,0xffffffff,0x3fffa009,0xff3000ff,
    0x7ffc1fff,0x3f61ffff,0xffc81fff,0xffffffff,0xffffffff,0x3fffe006,
    0x7fe4007f,0x7c400fff,0x8004ffff,0x04fffffa,0x0fffffec,0xfff90000,
    0xff8801ff,0xffc84fff,0x7c400fff,0x3004ffff,0x40bfffff,0xfffffffc,
    0xffffb000,0xfffffb11,0xd8009fff,0x7f40ffff,0x2e06ffff,0xffffffff,
    0xffffffff,0x222fffff,0x3ffa0cff,0x00000fff,0x3ffffff6,0x3fa00001,
    0x0000ffff,0x7fffff40,0xfe800000,0x0000ffff,0x7fffff40,0xfffb8000,
    0xffffffff,0x4fffffff,0xfffffd00,0x3ffe2001,0xffff51ff,0x7fec7fff,
    0xfffc80ff,0xffffffff,0x6fffffff,0x3ffffe00,0x7ffe4007,0x7fc400ff,
    0xa8004fff,0x404fffff,0x01fffffd,0x3fff2000,0x7fc400ff,0xffc84fff,
    0x7c400fff,0x3004ffff,0x40bfffff,0x2fffffd8,0x5ffff500,0x7ffffff4,
    0xf5001fff,0xffb85fff,0x2a06ffff,0xaacfffff,0xaaaaaaaa,0x220aaaaa,
    0xffffe80c,0xf900000f,0x007fffff,0xffffe800,0x7400000f,0x000fffff,
    0xffffe800,0x7400000f,0x000fffff,0x7fffffd4,0xa999aacf,0x004fffff,
    0x01fffffd,0x97ffffc0,0xfffffffc,0x41ffffa6,0xffccccca,0xccccffff,
    0x3e003ccc,0x4007ffff,0x00fffffc,0x27ffffc4,0x7fffd400,0x7ffec04f,
    0x200001ff,0x00fffffc,0x27ffffc4,0x07ffffe4,0x3ffffe20,0xffff3004,
    0x7b9500bf,0x3ffe2001,0x4defcc5f,0x803ffffc,0x445ffff8,0x6fffefff,
    0x3ffffe60,0xd0000004,0x001fffff,0xfffff500,0xd00000bf,0x001fffff,
    0xffffe800,0xe800000f,0x000fffff,0x7ffff400,0x7ff4000f,0x2600efff,
    0x004fffff,0x01fffffd,0x9fffff40,0xffffffff,0x0dffff1f,0x7fffff80,
    0x3ffe0000,0x7e4007ff,0x4400ffff,0x004fffff,0x3fffffc8,0x7ffffec0,
    0x3f200001,0x4400ffff,0xc84fffff,0x400fffff,0x04fffff8,0xbfffff30,
    0x7ec00000,0xf8180fff,0xfd803fff,0x7ff40fff,0x206fff9f,0x05fffff8,
    0xffd00000,0x80001fff,0xeffffff8,0xfe800000,0x0000ffff,0x7fffff40,
    0xfe800000,0x0000ffff,0x7fffff40,0x7fffc000,0x7fcc00ff,0xfd004fff,
    0x4001ffff,0xfacffffd,0xffffbfff,0x04ffff8c,0x3fffffc0,0xffff0000,
    0xffc800ff,0x7c400fff,0x8004ffff,0x02fffffd,0x0fffffec,0xfff90000,
    0xff8801ff,0xffc84fff,0x7c400fff,0x3004ffff,0x00bfffff,0x3ffea000,
    0xfff3002f,0xfffa803f,0x5fffdc2f,0x7c06fff8,0x000fffff,0xfffe8000,
    0x740000ff,0x01ffffff,0xfffd0000,0x800001ff,0x00fffffe,0xfffe8000,
    0x400000ff,0x00fffffe,0x3ffffe60,0xffffa806,0xfffd004f,0x7e4001ff,
    0xfffcdfff,0xf3fffff6,0xf8007fff,0x000fffff,0xffffff00,0x7ffe4001,
    0x7fc400ff,0x20074fff,0x0ffffffa,0x7ffffec0,0x3f200001,0x4400ffff,
    0xc84fffff,0x400fffff,0x04fffff8,0xbfffff30,0xff100000,0x3a200bff,
    0x7c407fff,0x7fc45fff,0x0dfff16f,0x5fffffd8,0xfe800000,0x0000ffff,
    0x3ffffff6,0x3a000002,0x000fffff,0x7ffff400,0xe800000f,0x000fffff,
    0x7ffff400,0x3fea000f,0x7d407fff,0x004fffff,0x01fffffd,0x77fffd40,
    0xffb4fffe,0x5ffff9ff,0xffffe800,0xfd00003f,0x4007ffff,0x00fffffc,
    0xa7ffffc4,0x3fe603ee,0xd807ffff,0x001fffff,0x3ffff200,0x7ffc400f,
    0xfffc84ff,0x7fc400ff,0xf3004fff,0x000bffff,0x1ffff900,0xfffff300,
    0xffffc805,0x88fffec0,0x7cc06fff,0x00cfffff,0xffd00020,0x20001fff,
    0x4ffffffb,0x7f400000,0x0000ffff,0x7fffff40,0xfe800000,0x0000ffff,
    0x7fffff40,0x3ffe2000,0xff702fff,0x009fffff,0x03fffffa,0xfffff980,
    0xff51ffff,0x3fffffff,0xffffd800,0xfb00005f,0x400bffff,0x00fffffc,
    0xa7ffffc4,0xbbcdfffe,0xfffffffd,0xffffd802,0x3200001f,0x400fffff,
    0x84fffff8,0x00fffffc,0x27ffffc4,0xfffff980,0x7d400005,0xfa802fff,
    0x5401ffff,0x7cc2ffff,0xffccceff,0x3f203cff,0xacffffff,0xfdba9999,
    0x3ffa000f,0x98000fff,0x9effffff,0x99999999,0xfe800099,0x0000ffff,
    0x7fffff40,0xfe800000,0x0000ffff,0x7fffff40,0x7fffc000,0xeb89cfff,
    0xffffffff,0xffffd004,0x7fc4001f,0x27ffffff,0xfffffff8,0x7e4000ff,
    0x9adfffff,0x801dba99,0xdffffffc,0x1dba999a,0x01fffff9,0x4fffff88,
    0xfffffffd,0xbfffffff,0x3ffff600,0x3200001f,0x400fffff,0x84fffff8,
    0x00fffffc,0x27ffffc4,0xb9999999,0x99dfffff,0x80079999,0x805fffe8,
    0x01effffc,0x42ffff44,0xfffffffa,0x206fffff,0xffffffe8,0xffffffff,
    0x332a0fff,0xfffccccc,0xcccccfff,0xffe880cc,0xffffffff,0xffffffff,
    0xccccca82,0xffffffcc,0x0ccccccc,0xcccccca8,0xcffffffc,0x00cccccc,
    0x99999995,0x99ffffff,0x50199999,0xf9999999,0x999fffff,0xf9019999,
    0xffffffff,0xffffffff,0x3332a9ff,0xffffcccc,0xccccccff,0xfffff80c,
    0x7fec4fff,0x007fffff,0xffffff88,0xffffffff,0xffff8802,0xffffffff,
    0xffff92ff,0xfff8801f,0xffffd4ff,0xffffffff,0x3f6001ff,0x0001ffff,
    0x3fffff20,0x7fffc400,0xffffc84f,0x7ffc400f,0x3fffe4ff,0xffffffff,
    0xffffffff,0x7ffe4005,0x3ff6200f,0x2aaabeff,0x80ffffc8,0xfffffffa,
    0x406fffff,0xfffffff9,0xffffffff,0x3ffee0ff,0xffffffff,0xffffffff,
    0xffffa80f,0xffffffff,0x2fffffff,0xffffffb8,0xffffffff,0x80ffffff,
    0xfffffffb,0xffffffff,0x700fffff,0xffffffff,0xffffffff,0xf701ffff,
    0xffffffff,0xffffffff,0xff101fff,0xffffffff,0xfff99fff,0x3fffee9f,
    0xffffffff,0xffffffff,0xfffffe80,0x7ffd41ff,0x0006ffff,0xfffffff7,
    0x05ffffff,0x3ffffee0,0xffffffff,0x1fffff92,0xfffff880,0xffffffd4,
    0x19ffffff,0x7fffec00,0x3200001f,0x400fffff,0x84fffff8,0x00fffffc,
    0x27ffffc4,0xffffffff,0xffffffff,0x400bffff,0x403ffff9,0xfffffff9,
    0x3e60ffff,0x99303fff,0xfff99999,0xf910079f,0xffffffff,0x41ffffff,
    0xfffffffb,0xffffffff,0xa80fffff,0xffffffff,0xffffffff,0xffb82fff,
    0xffffffff,0xffffffff,0xfffb80ff,0xffffffff,0xffffffff,0xffff700f,
    0xffffffff,0xffffffff,0xfffff701,0xffffffff,0x1fffffff,0x3ffffea0,
    0x73ffffff,0x3ee9ffff,0xffffffff,0xffffffff,0xffd80fff,0xf887ffff,
    0x05ffffff,0x3ffff600,0xffffffff,0x3fff6002,0xffffffff,0xfffff92f,
    0xffff8801,0x3fff6a4f,0x01dfffff,0xfffffd80,0x3f200001,0x4400ffff,
    0xc84fffff,0x400fffff,0x24fffff8,0xffffffff,0xffffffff,0x2005ffff,
    0x9805fffe,0xffffffff,0x3ffa0fff,0xff10005f,0xfb3000df,0xffffffff,
    0x7dc17bff,0xffffffff,0xffffffff,0xffa80fff,0xffffffff,0xffffffff,
    0xffffb82f,0xffffffff,0xffffffff,0xfffffb80,0xffffffff,0x0fffffff,
    0xffffff70,0xffffffff,0x01ffffff,0xfffffff7,0xffffffff,0x401fffff,
    0xffffffd8,0x3ffee0df,0xfffff74f,0xffffffff,0x1fffffff,0xffffff90,
    0x3ffff609,0x4c0004ff,0xfffffffd,0x4c001fff,0xfffffffd,0xfff91fff,
    0xff8801ff,0x53304fff,0xd8000135,0x001fffff,0x3ffff200,0x7ffc400f,
    0xfffc84ff,0x7fc400ff,0x3ffe4fff,0xffffffff,0xffffffff,0xfff9005f,
    0xfff3001f,0xffffffff,0x03ffff21,0x37ffc400,0x32a62000,0x2e009aac,
    0xffffffff,0xffffffff,0xfa80ffff,0xffffffff,0xffffffff,0xfffb82ff,
    0xffffffff,0xffffffff,0xffffb80f,0xffffffff,0xffffffff,0xfffff700,
    0xffffffff,0x1fffffff,0xffffff70,0xffffffff,0x01ffffff,0x05575310,
    0xfffff700,0xffffffff,0x1fffffff,0xffffff70,0x3fffea05,0x100003ff,
    0x13559753,0xba988000,0x7e409aac,0x4400ffff,0x004fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xb8000000,0x0deeeeee,0x7ffffcc0,
    0xffffffff,0xeeeeea80,0x10000002,0x9bdd9753,0x98000157,0x009bcdca,
    0x97310000,0x001579bd,0x99998800,0x19999880,0x4ccccc00,0x372a2000,
    0x0000acce,0x332ea200,0x33101acc,0x33333333,0x13333333,0x765d4c00,
    0x0000aacd,0xbddb9751,0x44013599,0xbceeecba,0x2200001a,0x009bcdba,
    0x03333310,0x09999980,0x332a6200,0xb000aacc,0xffffffff,0x0009ffff,
    0x56666544,0x9999999a,0x33000099,0x33333333,0x00013333,0x7ffdc000,
    0x9800efff,0xffffffff,0xb80fffff,0x002fffff,0x7fecc000,0xffffffff,
    0x22000fff,0xfffffffd,0x80002eff,0xffffffda,0x2dffffff,0x7f76d400,
    0xe83fffff,0x4007ffff,0x806fffff,0xffffffd8,0x0000dfff,0xffffec88,
    0x5fffffff,0x7fffffec,0xffffffff,0xea802fff,0xffffffff,0xb3000cff,
    0xffffffff,0xd709ffff,0xffffffff,0x0005dfff,0x7fffff64,0x6c01efff,
    0x000fffff,0x0bfffff1,0xfffffc88,0x05ffffff,0xffffffd8,0x04ffffff,
    0xfffffc80,0xffffffff,0x002fffff,0xffffff98,0xffffffff,0x70000005,
    0x09ffffff,0x7ffffcc0,0xffffffff,0xfffffb80,0x91000002,0xffffffff,
    0x1fffffff,0x3fffa600,0xffffffff,0xfb10004f,0xffffffff,0x09ffffff,
    0xfffff930,0x07ffffff,0x00fffffd,0x06fffff8,0x7fffffcc,0x1effffff,
    0x3ffa6000,0xffffffff,0x7fec7fff,0xffffffff,0x2fffffff,0x3ffffa60,
    0xffffffff,0x7fec02ff,0xffffffff,0xfe84ffff,0xffffffff,0x01efffff,
    0x3ffffa20,0xffffffff,0x3ffff602,0xfff1000f,0x7fd40bff,0xffffffff,
    0xfd806fff,0xffffffff,0x22004fff,0xfffffffe,0xffffffff,0x8002ffff,
    0xfffffffd,0x5fffffff,0xfb800000,0x002fffff,0x7fffffcc,0x0fffffff,
    0x2fffffb8,0xfe880000,0xffffffff,0x0fffffff,0xfffffb80,0xffffffff,
    0x2a000eff,0xffffffff,0xffffffff,0x7ffec04f,0xffffffff,0xfffe83ff,
    0x7ffc007f,0x3fea06ff,0xffffffff,0x002fffff,0xffffffb8,0xffffffff,
    0x7fffec7f,0xffffffff,0x102fffff,0xfffffffd,0xffffffff,0x3fff205f,
    0xffffffff,0xfe84ffff,0xffffffff,0x0effffff,0xfffff980,0xffffffff,
    0xfffb04ff,0x3e2001ff,0xd885ffff,0xffffffff,0x06ffffff,0xffffffd8,
    0x04ffffff,0xffffff30,0xffffffff,0x5fffffff,0xffff8800,0xffffffff,
    0x00005fff,0x7ffffdc0,0x3330000e,0x33333333,0x3ffee033,0x800002ff,
    0xfffffffd,0xffffffff,0x7fe400ff,0xffffffff,0xffffffff,0xffffc800,
    0xffffffff,0x04ffffff,0xffffffd1,0xffffffff,0xfffffd07,0xfffff800,
    0xfffff706,0x3f6e617b,0x1003ffff,0xfffffffb,0xffffffff,0xffffd8ff,
    0xffffffff,0xb02fffff,0xffffffff,0xfffffffd,0xfffb81ff,0xcbceffff,
    0xe84fffec,0xffffffff,0xffffffff,0x7fffd405,0xffffffff,0xd84fffff,
    0x000fffff,0x0bfffff1,0xfffffffb,0xffffffff,0x3333100d,0x33333333,
    0xffff3001,0xffffffff,0xffffffff,0xfb8005ff,0xffffffff,0x05ffffff,
    0x3fee0000,0x00004fff,0xfff70000,0x800005ff,0xfffffffb,0xcba99abd,
    0x3e200ffe,0xdfffffff,0xffffffdc,0x7fd403ff,0xefffffff,0xfffedcbc,
    0xfffe884f,0xeeffffff,0xfe81cccc,0x7c007fff,0xfa86ffff,0x4400efff,
    0x802ffffe,0xfffffffc,0xfedccdff,0x7ffec7ff,0xffffffff,0x82ffffff,
    0xbefffff9,0x7fff5440,0x7fff42ff,0x2b9806ff,0x9aacefe8,0xffffca99,
    0x3fa01fff,0x51bfffff,0xfffffffb,0xfffffd81,0xffff1000,0xffffa8bf,
    0xaabcefff,0x0006ffdc,0x3ff60000,0xbabeffff,0xaacfffff,0x4000aaaa,
    0xfffffffe,0xaaaaacff,0x51000001,0x00035555,0x7dc00000,0x0002ffff,
    0x7fffff40,0x8051000e,0x2ffffffd,0xffffff50,0xfffff80f,0xc9802eff,
    0xffffd84f,0x8000bfff,0x007ffffe,0x437ffffc,0x000efffe,0x80dfffd1,
    0xfffffff8,0x23ed401d,0x99effffd,0x99999999,0xfffb8099,0x7fc401ff,
    0x7ffc4fff,0x40001fff,0xfff30009,0x3ea05fff,0x101fffff,0x89ffffff,
    0x00fffffd,0xbfffff10,0x7fffffc4,0x004a803f,0xff100000,0xff05ffff,
    0x00005fff,0x3f7fffe6,0x0001ffff,0x00000000,0xfb800000,0x0002ffff,
    0x7fffffc0,0x3e600001,0x402fffff,0x2ffffffa,0xffffff70,0x9810001b,
    0x0bffffff,0x3fffa000,0x7ffc007f,0x7ffd46ff,0x7f44000e,0x3ff602ff,
    0x4004ffff,0x2ffffec0,0xfffd8000,0xfffd006f,0x7fffccdf,0x000000ff,
    0x7ffffe40,0xfffffd04,0xffffa803,0x3fff60ff,0xff1000ff,0x7fe4bfff,
    0x0001ffff,0xc8000000,0xf04fffff,0x0005ffff,0x2bffff20,0x001fffff,
    0x00000000,0x0aaaaa60,0x2aaaaa20,0x5fffff71,0x7fc40000,0x0000ffff,
    0x3fffff60,0xffff9003,0xffff10df,0x40000bff,0x04fffffe,0xffffe800,
    0x7fffc007,0x17fff46f,0x777ee544,0x20dfff70,0x3ffffff9,0xfffd8000,
    0xfd00005f,0x3a00dfff,0x3e25ffff,0x00efffff,0x3ea00000,0xfa84ffff,
    0xb005ffff,0x6c9fffff,0x000fffff,0x4bfffff1,0x04ffffff,0x55553000,
    0x55555555,0x7fffc400,0x3fffe06f,0xff00002f,0x3fffefff,0x5000001f,
    0x55555555,0x55555555,0x3ff60155,0x7cc00fff,0xff74ffff,0xa8805fff,
    0x4c2aaaaa,0x01ffffff,0xffff3000,0x3e6001ff,0x641fffff,0x00ffffff,
    0xffff5000,0x3a0000df,0x4007ffff,0x2a6fffff,0xfe986fff,0x3e0fffff,
    0xffe82fff,0x00007fff,0x00bffffb,0x3ffff600,0x7ffc400f,0x7fffc3ff,
    0x001cffff,0xfffa8000,0xfffe83ff,0xff3001ff,0x7fecdfff,0xf1000fff,
    0x3e6bffff,0x000fffff,0xfffffb00,0x1fffffff,0x3fffee00,0x3fffe04f,
    0xfa80002f,0xffff4fff,0x1000003f,0xffffffff,0xffffffff,0x3f601fff,
    0x4c00ffff,0xf74fffff,0xd805ffff,0x43ffffff,0xdffffff8,0xffa80000,
    0x74006fff,0x7c2fffff,0x004fffff,0x3ffff200,0xfd00002f,0xf800ffff,
    0x3f66ffff,0x7ffd43ff,0x320fffff,0x7fc45fff,0x0003ffff,0x0bffffb0,
    0x3fff2000,0x7fec06ff,0x7fe41fff,0xefffffff,0x9000001c,0xf05fffff,
    0x200dffff,0xfffffffa,0x1fffffb0,0x3fffe200,0xfffff55f,0x7ec0000b,
    0xffffffff,0xfb000fff,0x7c03ffff,0x0002ffff,0xf1ffffd8,0x0003ffff,
    0xfffff100,0xffffffff,0x01ffffff,0x03fffff6,0x9fffff30,0x0bffffee,
    0xffffffc8,0xffffff04,0xc80003df,0x003fffff,0x1fffffe4,0x1ffffff1,
    0x7ff40000,0x00000fff,0x00fffffd,0x26fffff8,0x3e20fffe,0xffffffff,
    0x31bffe20,0x01ffffff,0x3fff6000,0xf300005f,0x03dfffff,0x0bfffff9,
    0x3ffffffa,0x0befffff,0xfff10000,0xfff10fff,0xff9009ff,0x23ffffff,
    0x00fffffd,0xbfffff10,0x13ffffee,0xfffd8000,0xffffffff,0xffff000f,
    0xffff80ff,0x7c40002f,0x3ffe6fff,0x800001ff,0xfffffff8,0xffffffff,
    0xfb00ffff,0x9801ffff,0xf74fffff,0x2a05ffff,0x05ffffff,0x3ffffff6,
    0xd0002eff,0x005fffff,0x4fffffb8,0x1bffffe6,0xffff0000,0x5554c4ff,
    0xfffd0009,0xfff800ff,0x1bffe6ff,0x15dffff7,0x7fff8151,0x37ffffd4,
    0xfffb0000,0x033555df,0x3ffff600,0xfd88cfff,0x100fffff,0xfffffffb,
    0x07ffffff,0xfffea800,0xfff983ff,0x3fa603ff,0xffffffff,0x1fffffb3,
    0x3fffe200,0xfffffb5f,0x7ec00007,0xffffffff,0xf8800fff,0x7c06ffff,
    0x0002ffff,0xf1ffffdc,0x0003ffff,0xfffff100,0xffffffff,0x01ffffff,
    0x03fffff6,0x9fffff30,0x0bffffee,0x3fffffe6,0x7fffc405,0xcfffffff,
    0x3fffe001,0x7d4002ff,0x3ea5ffff,0x0005ffff,0x3ffffe60,0xfffffdae,
    0x3a00dfff,0x4007ffff,0xf16fffff,0xffff8bff,0xfffe800f,0x3ffffee0,
    0x3f600005,0xffffffff,0x1001cfff,0xfffffffd,0xffffffff,0xfffd5003,
    0xffffffff,0xaaaa80bf,0xfffffecb,0xffff502f,0x3ffee05f,0xffffffff,
    0x1fffffb3,0x3fffe200,0xfffffb5f,0x4c400007,0xffe99999,0xf8800fff,
    0x7c06ffff,0xaaacffff,0xffd002aa,0x7fffc1ff,0x0aaaaacf,0x33322000,
    0xcccccccc,0x4ffffffe,0x3fffff60,0x7fffcc00,0xfffff74f,0xfffff885,
    0xffa800ef,0xffffffff,0xff802eff,0x4001ffff,0x26fffffa,0x04fffffb,
    0xfffffff5,0x3feabfff,0xffffffff,0xffffffff,0xfffffd04,0xfffff800,
    0x44bfff56,0xb005ffff,0x7fec3fff,0x00004fff,0x3ffffff6,0xffffffff,
    0xffe8802e,0xffffffff,0x4c000eff,0xffffffec,0x3a03ffff,0xffffffff,
    0x3ee00eff,0x6c42ffff,0xffffffff,0xffb4ffff,0x22001fff,0xf95fffff,
    0x000bffff,0x3fffa000,0xff9800ff,0x7fc05fff,0xffffffff,0xfff9805f,
    0x7ffffc6f,0x02ffffff,0xff100000,0xd80dffff,0x400fffff,0x74fffff9,
    0xe85fffff,0x00efffff,0x3ffffee0,0xffffffff,0x3fffe01e,0x7cc000ff,
    0x3f27ffff,0xf503ffff,0xffffffff,0x3fffeebf,0xffffffff,0x6fffffff,
    0x07ffffe8,0xb7ffffc0,0x3e64fffb,0xf9004fff,0x7fff45ff,0x200003ff,
    0xfffffffd,0xffffffff,0xfff9002f,0xffffffff,0xfb980001,0x7fffffff,
    0x3fffffa0,0x00bfffff,0x87fffff2,0xfffffff9,0x4fffff9d,0x01fffffb,
    0x3ffffe20,0xdfffff75,0x3a000000,0x800fffff,0x04fffff9,0x7ffffffc,
    0xc805ffff,0x7fc3ffff,0xffffffff,0x0000002f,0x1ffffffd,0xfffffd80,
    0x7fffcc00,0xfffff74f,0x7ffffec5,0xfe98001f,0xffffffff,0xf883ffff,
    0x000fffff,0x3fffffcc,0x05fffffd,0x3fffffea,0xff75ffff,0xffffffff,
    0xffffffff,0xfffe87ff,0x7ffc007f,0x7fff96ff,0x027fffd4,0x3e3fffb8,
    0x003fffff,0x3ffff600,0xffffffff,0x801fffff,0xfffffff9,0x002fffff,
    0xfffff500,0x3ffa01ff,0xffffffff,0xffd80dff,0xfff90fff,0x3e65ffff,
    0xffb4ffff,0x22001fff,0xf55fffff,0x003fffff,0xfffd0000,0xff5001ff,
    0xff809fff,0xffffffff,0xffff805f,0x7ffffc0f,0x02ffffff,0xffd80000,
    0xd802ffff,0x400fffff,0x74fffff9,0x2e5fffff,0x01ffffff,0x7ffed400,
    0xffffffff,0xfffff83f,0x7fcc001f,0x3ff67fff,0xff503fff,0xffffffff,
    0x3fffff2b,0xcbabdfff,0xfffffffe,0x1fffffa0,0xdfffff00,0xf993ffee,
    0xf9005fff,0x7fffc5ff,0x200003ff,0xaaaaaaa9,0xffffffcc,0x3f200fff,
    0xffffffff,0x003fffff,0xfffff300,0x3fffa05f,0xffffffff,0x7fec2fff,
    0xfffeafff,0x3e60efff,0xffb3ffff,0x22001fff,0xf35fffff,0x00dfffff,
    0xfffd0000,0xff3001ff,0xff809fff,0xffffffff,0x7ffd405f,0xfffff85f,
    0x02ffffff,0x7fdc0000,0xb004ffff,0x801fffff,0x74fffff9,0xf55fffff,
    0x005fffff,0x7ffe4c00,0xffffffff,0x7fffff41,0x7ffd4001,0x3fff27ff,
    0xddd304ff,0xbfffffdd,0x3bfffff2,0x7fffe402,0x3fffa3ff,0x7ffc007f,
    0xbfff56ff,0x03ffffc4,0x3a1fffd8,0x004fffff,0xfd500000,0x203fffff,
    0xdffffffd,0xfffffffe,0xf880003f,0x001fffff,0xffff9533,0x7e41ffff,
    0xffffffff,0xffa84fff,0xfffb2fff,0x3e2001ff,0x3fa5ffff,0x004fffff,
    0x7fff4000,0xff8800ff,0x7fc05fff,0x9999bfff,0x7ffec009,0xfffff82f,
    0x0099999b,0x3fe60000,0x2005ffff,0x00fffffd,0xa7ffffcc,0xfcfffffb,
    0x003fffff,0x3ff6a000,0x45ffffff,0x02fffffd,0x7ffffd40,0x3ffffee6,
    0x7fffc004,0xfffff75f,0x3fff6009,0x3fffa4ff,0x7ffc007f,0xdfff36ff,
    0x02fffff8,0x360fffe8,0x005fffff,0x3e600000,0xd83fffff,0x21ffffff,
    0xffffffea,0x8002e21f,0x07fffffc,0x7fffdc00,0x3fff25ff,0xffffffff,
    0xfffff702,0x3fffff63,0xffff1000,0x7fffd4bf,0x2601efff,0xffe8006c,
    0xff000fff,0xff80bfff,0x88002fff,0xff07ffff,0x00003fff,0xffff8800,
    0x36000fff,0x400fffff,0x74fffff9,0xffffffff,0x00009fff,0x3fffa600,
    0x7fe47fff,0x5c002fff,0x2a5fffff,0x005fffff,0xaafffffc,0x005fffff,
    0x4dfffff3,0x007ffffe,0x8b7ffffc,0x7fe47fff,0x0dbbefff,0x3f23fffc,
    0x0006ffff,0x7fdc0000,0x7fd45fff,0xf900efff,0x4cbfffff,0x2099beff,
    0xfffffca8,0xfb80006f,0x3ee7ffff,0xffffffff,0x3fff200d,0xffffb0ff,
    0x3fe2001f,0x7ff45fff,0xefffffff,0x07fffeec,0xfffffe80,0xfffff000,
    0xfffff80d,0xfffb8002,0xfffff04f,0x80000003,0x1ffffffd,0x7fffec00,
    0x7ffcc00f,0xffff74ff,0xdfffffff,0x20000001,0xffffffe8,0x3fffff20,
    0x7ffe4004,0x3ffe63ff,0x3e000fff,0xff35ffff,0x2200bfff,0x3a7fffff,
    0x2007ffff,0x25fffff8,0x3e20ffff,0xffffffff,0x51bffe60,0x01ffffff,
    0x54000000,0x747fffff,0x401fffff,0x0ffffffc,0xfffffff3,0xffffffff,
    0x00003fff,0x47fffffe,0xfffffff9,0xfffd803f,0x3ffff67f,0xfff1000f,
    0xfff98bff,0xffffffff,0x007fffff,0x0fffffe8,0xfffffd00,0x2fffff80,
    0xffffe800,0xffeeeeee,0x00001fff,0x3ffff200,0xfd8003ff,0x4c00ffff,
    0xf74fffff,0xfff7ffff,0x0000bfff,0x7fffd400,0x3ffee2ff,0x7fc007ff,
    0x3e21ffff,0x003fffff,0x4d7ffffe,0x006fffff,0xd9fffffe,0x000fffff,
    0x47fffff1,0x7dc4fffe,0x0fffffff,0xf313fff2,0x009fffff,0x7cc00000,
    0x3e67ffff,0xd005ffff,0x263fffff,0xffffffff,0xffffffff,0x3a00003f,
    0xf12fffff,0x03dfffff,0xffffff10,0x07ffffec,0xfffff880,0xffffe885,
    0xffffffff,0xfe8007ff,0xb000ffff,0x403fffff,0x002fffff,0x7fffffcc,
    0xffffffff,0x000001ff,0xffffff50,0x3ff6000b,0x7cc00fff,0xff74ffff,
    0xfff55fff,0x00007fff,0x3fffe200,0x3ffe61ff,0xf5001fff,0xe81fffff,
    0x006fffff,0x457ffffe,0x00ffffff,0x6fffff88,0x03fffff2,0x7ffffcc0,
    0x21fffee2,0xfffffffa,0x83ffff10,0xfffffff8,0x00000000,0x4bfffff5,
    0x03fffffa,0x5fffff90,0x3fffffe6,0xffffffff,0x400002ff,0x20ffffff,
    0x01fffffe,0x9fffff70,0x07ffffec,0xfffff880,0xffffb105,0xffffffff,
    0xffd000ff,0x32001fff,0x204fffff,0x002fffff,0x7fffffec,0xffffffff,
    0x000001ff,0xffffff88,0xffb0000e,0xfc801fff,0xff74ffff,0x3ff25fff,
    0x0002ffff,0xffff9800,0xffffe87f,0xfffb004f,0xfff507ff,0x3e007fff,
    0x3fe5ffff,0xa803ffff,0x2e4fffff,0x003fffff,0x83fffff9,0x9883ffff,
    0x3ee2cccb,0xfff905ff,0x00009fff,0x3fff6000,0x3ffee3ff,0xff7002ff,
    0x3b625fff,0xffffffff,0x000befff,0x7fffcc00,0x7fffdc7f,0xfffd006f,
    0x7ffec1ff,0xff3000ff,0xb8809fff,0xffffffff,0xe8001bef,0x000fffff,
    0x0dfffff3,0x017ffffc,0xffffff10,0xffffffff,0x00003fff,0xfffffd00,
    0x7e40003f,0x2e02ffff,0x74ffffff,0x745fffff,0x00ffffff,0xfb000098,
    0xf50bffff,0x807fffff,0x0ffffffc,0xffffffd0,0xfffff009,0x7ffffe4b,
    0xffffe806,0x3fffea3f,0xfff8807f,0x7fdc0fff,0x7cc000ff,0xff101fff,
    0x01dfffff,0x70000e20,0x43ffffff,0x04fffffa,0x1fffffb0,0xff755310,
    0x00005fff,0x3ffffa20,0xfffff85f,0x7ffdc03f,0x7ffec5ff,0xff7000ff,
    0x2e007fff,0x01aeffff,0xffffe800,0x3ffa000f,0xfff04fff,0x7dc005ff,
    0xeeeeffff,0xfffffeee,0x6c000001,0x02ffffff,0x7fffdc00,0xffff504f,
    0x3fee9fff,0x3fe22fff,0x400effff,0x400acefc,0xffffffda,0xfffffd03,
    0xffc9839f,0x2603ffff,0xdfffffff,0xffff880a,0x3fffe25f,0xfd880dff,
    0x220fffff,0x0dffffff,0xfffffb10,0x3ffffe09,0xffff3001,0xffffb80b,
    0x409befff,0x0007fdb9,0xffffff91,0xfffff88d,0x7ffd402f,0xff3006ff,
    0x00000fff,0x3fffffaa,0xffffb83f,0xfff701ff,0xffd83fff,0x20660fff,
    0x1ffffff8,0x7ffff900,0x7ff40000,0x2e000fff,0x0bffffff,0x017ffffc,
    0x07ffffd0,0x01fffff8,0x3fee0000,0x0004ffff,0xefffffa8,0x3fffee20,
    0xff74ffff,0xffa85fff,0x6405ffff,0xeeffffff,0xfffffedc,0xf700efff,
    0xffffffff,0xfffffffd,0xfffb00df,0xdfffffff,0xffffffdd,0xfffffc8b,
    0xffcbbcef,0xb83fffff,0xcfffffff,0xffffcbab,0xff700eff,0xfa803fff,
    0xe801ffff,0xffffffff,0xffffffff,0x337be67f,0xffeccabc,0x80ffffff,
    0xefffffff,0xffd998ac,0x5004ffff,0x2009ffff,0xaacccdec,0xfffffdcb,
    0xff105fff,0x37dfffff,0xffffffb7,0xfffffb0b,0x6e6f7dc1,0x0fffffff,
    0x1ffffd00,0x7ff40000,0x22000fff,0xffffffff,0xfffffdcd,0x1eeeeeee,
    0x03ffffe6,0xddfffff0,0x000bdddd,0xffffff98,0x9999999e,0xf3009999,
    0x9bffffff,0xffffffff,0x3ffee9ff,0xfffd82ff,0x3f204fff,0xffffffff,
    0xffffffff,0x7ff401ff,0xffffffff,0x2fffffff,0xffffe880,0xffffffff,
    0x45ffffff,0xfffffff8,0xffffffff,0x3ffe05ff,0xffffffff,0x2fffffff,
    0x7ffffe40,0xffdb9bdf,0x5001ffff,0xffffffff,0xffffffff,0x7fffccff,
    0xffffffff,0x501fffff,0xffffffff,0xffffffff,0x7e400dff,0xf9001fff,
    0xffffffff,0xffffffff,0x7ffdc01d,0xffffffff,0x80efffff,0x20fffffd,
    0xfffffffb,0x1003ffff,0x800bffff,0xccccccca,0xccffffff,0xb80ccccc,
    0xffffffff,0xffffffff,0x22ffffff,0x805ffffc,0xffffffff,0x20007fff,
    0xffffffe8,0xffffffff,0x3602ffff,0xffffffff,0xffefffff,0xffff74ff,
    0xfffd105f,0x3f205fff,0xffffffff,0xffffffff,0xfff9002f,0xffffffff,
    0x4003dfff,0xffffffc8,0xffffffff,0xff985fff,0xffffffff,0x00efffff,
    0x3fffffea,0xffffffff,0xff5004ff,0xffffffff,0x001dffff,0xfffffd88,
    0xffffffff,0x3ffe67ff,0xffffffff,0x402fffff,0xfffffffb,0xffffffff,
    0x3fa000ef,0x3f2006ff,0xffffffff,0xffffffff,0xffffb800,0xffffffff,
    0xffb00dff,0x7fdc1fff,0xffffffff,0x3ffe6006,0x7fdc002f,0xffffffff,
    0xffffffff,0xfff500ff,0xffffffff,0xffffffff,0x7fffc5ff,0xffff802f,
    0x7fffffff,0x3ffea000,0xffffffff,0xffffffff,0x3fffe602,0xffffffff,
    0x74ffffba,0x205fffff,0xfffffff9,0xfffffc81,0xffffffff,0x4001dfff,
    0xfffffffb,0x00dfffff,0xfffff500,0xffffffff,0x36207fff,0xffffffff,
    0x1003ffff,0xfffffffb,0x03dfffff,0xfffff980,0xdfffffff,0x3fee0000,
    0xffffffff,0x3e67ffff,0xffffffff,0x00bfffff,0xffffff70,0xffffffff,
    0xfff8001b,0x3ff2003f,0xffffffff,0x002effff,0x7fffff4c,0x04ffffff,
    0x07ffffec,0xfffffff7,0x5c0019ff,0xb8007fff,0xffffffff,0xffffffff,
    0x2600ffff,0xffffffff,0xffffffff,0xff52ffff,0x3fe00fff,0xffffffff,
    0x3ea0007f,0xffffffff,0xffffffff,0x7fdc02ff,0xffffffff,0x29ffff72,
    0x02fffffb,0x3fffffee,0x7fedcc0e,0xffffffff,0x20000cff,0xfffffec9,
    0x80002dff,0xfffffdc8,0x02cfffff,0xfffffd70,0x00019fff,0xffffffd5,
    0x40007dff,0xfffffdb8,0x00003eff,0xffffdb71,0x9837dfff,0xffffffff,
    0x0002dfff,0x3fffffee,0x000cffff,0x00ffff98,0x3fffff20,0xdeffffff,
    0x3b220001,0xceffffff,0xffffd802,0x3fffaa0f,0x8002dfff,0x8004fffc,
    0xfffffffb,0xffffffff,0x400fffff,0xfffffdb8,0xffffffff,0xffb2ffff,
    0x3fe009ff,0xffffffff,0x3ea0007f,0xffffffff,0xffffffff,0xfe9802ff,
    0x20dfffff,0xf74ffffb,0xd805ffff,0x05ffffff,0x565d54c4,0x0000009a,
    0x00015753,0xabb98800,0x4400019a,0x00009aba,0x06aea620,0x5d440000,
    0x000000aa,0x0019aa98,0x35555533,0x53100000,0x00013577,0x53300000,
    0x01355555,0x5d4c0000,0x44000001,0x00000aa9,0xfffb8000,0xffffffff,
    0xffffffff,0x5544000f,0x0000019a,0x00000000,0xfffffff5,0xffffffff,
    0x4005ffff,0x000abba8,0x17ffffdc,0x3ffffa20,0x000004ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00ccccc4,0x99998800,
    0x00099999,0x4cccccc0,0x99999999,0x99999999,0x00000001,0x00266666,
    0x99998800,0x26600001,0x99999999,0x99999999,0x33019999,0x22001333,
    0x22019999,0x99999999,0x80000009,0xabddca98,0x4ccccc00,0x4cc40009,
    0x26621999,0x99999999,0x09999999,0x33333331,0x33333333,0x99998333,
    0x99999999,0x99999999,0x4c400199,0x00999999,0x26666620,0x00099999,
    0x99999988,0x33331000,0x26666661,0x00009999,0x00666662,0x21333330,
    0x99999998,0x99999999,0x00009999,0x03fffffa,0x3ffee000,0xffffffff,
    0xf1002bce,0xffffffff,0xffffffff,0x40ffffff,0xb30001d9,0xfffff303,
    0x7ec0000b,0x0000ffff,0xffffff88,0xffffffff,0xffffffff,0x7fffcc0f,
    0xfff9004f,0x3fee03ff,0xffffffff,0x0002bcef,0x3ffffee0,0x903fffff,
    0x00dfffff,0x4fffffc8,0x3ffffff2,0xffffffff,0xfff96fff,0xffffffff,
    0x3fffffff,0x3fffffe2,0xffffffff,0xffffffff,0x7fff4007,0x2006ffff,
    0xfffffffe,0xbeffffff,0x7fffec00,0xff7006ff,0x3fffedff,0xffffffff,
    0xfb002bce,0x2001ffff,0x54fffff9,0xffffffff,0xffffffff,0x40005fff,
    0x00fffffe,0xffffb800,0xffffffff,0x4401efff,0xffffffff,0xffffffff,
    0x87ffffff,0x000effc8,0x260dffe8,0x005fffff,0x3ffff600,0xf880000f,
    0xffffffff,0xffffffff,0x40ffffff,0x04fffff9,0x3fffff90,0x3ffffee0,
    0xffffffff,0x20001eff,0xffffffe9,0x0dffffff,0x7fffffc4,0xffff3003,
    0x7ffe41ff,0xffffffff,0x96ffffff,0xffffffff,0xffffffff,0x3ffe23ff,
    0xffffffff,0xffffffff,0x22007fff,0xffffffff,0xfffd000f,0xffffffff,
    0x01bfffff,0x3ffffff6,0xfffb801f,0xffffff6f,0xffffffff,0xfd803dff,
    0x3000ffff,0x2a9fffff,0xffffffff,0xffffffff,0x20002fff,0x00fffffe,
    0xffffb800,0xffffffff,0x204fffff,0xfffffff8,0xffffffff,0x7fffffff,
    0x27ffffdc,0x3ffff200,0xfffff33f,0x7ec0000b,0x0000ffff,0xffffff88,
    0xffffffff,0xffffffff,0x7fffcc0f,0xfff9004f,0x3fee03ff,0xffffffff,
    0x4fffffff,0xffff8800,0xffffffff,0x7dc1ffff,0x800fffff,0x43fffffd,
    0xfffffffc,0xffffffff,0xffff96ff,0xffffffff,0x23ffffff,0xfffffff8,
    0xffffffff,0x7fffffff,0x3fffee00,0x002fffff,0xfffffffd,0xffffffff,
    0xffb01dff,0x00bfffff,0x3edffff7,0xffffffff,0xffffffff,0x3fff604f,
    0xff3000ff,0x3fea9fff,0xffffffff,0xffffffff,0x3fa0002f,0x0000ffff,
    0xffffffb8,0xffffffff,0x880effff,0xffffffff,0xffffffff,0x47ffffff,
    0x2ffffffb,0xfffff300,0x3fffe65f,0x3600005f,0x000fffff,0x01fff880,
    0x07ffd400,0x13ffffe6,0x7ffffe40,0xfffff701,0xffffffff,0x01dfffff,
    0x7ffffec0,0xffffffff,0xffe80eff,0x7cc03fff,0xfc86ffff,0xffffffff,
    0xffffffff,0xffffff96,0xffffffff,0x3e23ffff,0xffffffff,0xffffffff,
    0x007fffff,0x3ffffff6,0xfd005fff,0xffffffff,0xffffffff,0xffffb0bf,
    0xb801ffff,0xfff6ffff,0xffffffff,0xffffffff,0xffffb01d,0x3fe6001f,
    0xfff54fff,0xffffffff,0xffffffff,0x7ff40005,0x80000fff,0xcdfffffb,
    0xffffffdc,0x9905ffff,0xfd999999,0x999bffff,0xfb099999,0x981fffff,
    0x7fffff40,0x3ffffe64,0x3f600005,0xffffffff,0x8802acde,0x37ba1fff,
    0x7fd402ac,0xfffdd50f,0xdddddfff,0xffffdddd,0xfb85ddff,0xdccdffff,
    0xffffffff,0xff5005ff,0xa83bffff,0xf500fffe,0x401fffff,0x82fffffd,
    0xeefffffc,0xeeeeeeee,0xffff95ee,0xdddddddf,0x41dddddd,0xcccccccc,
    0xcdfffffe,0x04cccccc,0x3fffffe0,0xd007ffff,0x555fffff,0xfffff975,
    0xffd83fff,0x04ffffff,0xfb7fffdc,0xcccfffff,0xfffffffd,0xffd85fff,
    0xf3000fff,0x3269ffff,0xffeccccc,0xccccdfff,0x3a0001cc,0x200fffff,
    0xfffb8018,0xfd9882ff,0x01ffffff,0xfffffb80,0xffe88003,0xfffddfff,
    0xffffddff,0x7fffcc5f,0x3600005f,0xffffffff,0x2effffff,0xf87ffe20,
    0x0bffffff,0xf70fffa8,0xffffffff,0xffffffff,0xffffffff,0xfffffb87,
    0xfffd9882,0xd801ffff,0x403fffff,0x7fec01fb,0xff304fff,0x3f20bfff,
    0x0002ffff,0x05fffff9,0xffb80000,0x00003fff,0xfffffff5,0xd003ffff,
    0xb80fffff,0x43ffffff,0xfffffffd,0x3fee00ff,0xfffff6ff,0x3ff6620f,
    0x6c1fffff,0x000fffff,0x09fffff3,0x7fffff70,0x3fa00000,0xc880ffff,
    0xfffb804f,0x7fe402ff,0x8006ffff,0x03fffffb,0xfffff300,0xffffffff,
    0x81ffffff,0x05fffff9,0x3fff6000,0xffffffff,0x82efffff,0x3fe1fff8,
    0x2fffffff,0xfb87ffd4,0xffffffff,0xffffffff,0xffffffff,0x7ffffdc3,
    0x7fffe402,0xfff806ff,0x001006ff,0x3ffffff1,0x3fffffd0,0x3fffff20,
    0xfff90002,0x000005ff,0x3fffffb8,0xfff90000,0xfffff7ff,0xffffd009,
    0xffffb00f,0xffffd8bf,0x203fffff,0xff6ffffb,0xf900ffff,0xd8dfffff,
    0x000fffff,0x09fffff3,0x7fffff70,0x3fa00000,0x3220ffff,0xfb804fff,
    0xb802ffff,0x02ffffff,0x7ffffdc0,0x3fee0003,0xffffffff,0x1fffffff,
    0x5fffff98,0x3ff60000,0xffffffff,0xffffffff,0xd0fffc42,0xffffffdd,
    0x87ffd43f,0xfffffffb,0xffffffff,0xffffffff,0x7ffdc3ff,0xffb802ff,
    0x2202ffff,0x004fffff,0x7fffe400,0x7fffd45f,0x3fff204f,0xf90002ff,
    0x0005ffff,0xffffb800,0xff00003f,0xfff39fff,0xffd00dff,0xff500fff,
    0xffd8dfff,0x7fffffff,0x5bfffee0,0x007fffff,0x5ffffff7,0x07ffffec,
    0xfffff980,0xffffb804,0xd000003f,0x911fffff,0x009fffff,0x05fffff7,
    0x3fffffe0,0x7ffdc006,0x6c0003ff,0xffffffff,0x4fffffff,0xbfffff30,
    0x7fec0000,0xffffffff,0xffffffff,0x07ffe20f,0xfffffc98,0x2e1fff50,
    0xffffffff,0xffffffff,0xffffffff,0x7fffdc3f,0xffff002f,0x7fcc0dff,
    0x00003fff,0x7fffffc4,0x3fffffa1,0x3ffff200,0xff90002f,0x00005fff,
    0xfffffb80,0xff980003,0xffff2fff,0xffe801ff,0xffa807ff,0x7fec5fff,
    0xfffffeff,0xdffff703,0x01fffffe,0x6ffffff8,0x03fffff6,0x7ffffcc0,
    0xffffb804,0xd000003f,0xff9fffff,0x009fffff,0x05fffff7,0x3fffff20,
    0x7ffdc007,0x6c0003ff,0xcdffffff,0x6ffffffd,0xbfffff30,0x7fec0000,
    0x5cc40fff,0x6fffffff,0x2007ffe2,0xf52ffffa,0x3ea621ff,0x999dffff,
    0xfd999999,0x409affff,0x02fffffb,0xffffff90,0x7ffffd40,0xfb800002,
    0xff55ffff,0xfc807fff,0x0002ffff,0x05fffff9,0xffb80000,0x80003fff,
    0x90fffffb,0x807fffff,0x807ffffe,0x43fffffb,0xfecffffd,0xff706fff,
    0x3fffedff,0x3ff2007f,0x3ff67fff,0xf3000fff,0x7009ffff,0x007fffff,
    0x3fffa000,0xffffffff,0xffb802ff,0xf3002fff,0x003fffff,0x1fffffdc,
    0xffff1000,0xffd881df,0xff981fff,0x00005fff,0x03fffff6,0xfffffd88,
    0x03fff11f,0x54ffff60,0x7fcc0fff,0xf9004fff,0x2e03ffff,0x002fffff,
    0x3ffffff3,0x3ffffea0,0xfd000002,0xffd3ffff,0xff900dff,0x20005fff,
    0x02fffffc,0x7fdc0000,0x80003fff,0x2a6ffffd,0x405fffff,0x807ffffe,
    0x40fffffe,0xfbcffffd,0xfb82ffff,0xffff6fff,0x7fcc00ff,0xffb1ffff,
    0x26001fff,0x804fffff,0x03fffffb,0xfffd0000,0xffffffff,0x7ffdc007,
    0x3fe002ff,0x2003ffff,0x03fffffb,0x3fffee00,0xffff100f,0xffff309f,
    0x5dc400bf,0xfffffd82,0x7fffc400,0x3fff13ff,0x53fff200,0x7cc0fffa,
    0x9004ffff,0x203fffff,0x02fffffb,0x3fffffe0,0xfffff503,0x26000005,
    0xffffffff,0xfc801fff,0x0002ffff,0x05fffff9,0xffb80000,0x40003fff,
    0x23fffff8,0x07fffff8,0x03fffff4,0xbfffff91,0x19ffffb0,0x70dfffff,
    0x3fedffff,0x7c007fff,0xfb3fffff,0x2001ffff,0x04fffff9,0x3fffffb8,
    0xffd00000,0x7fffffff,0x3f732001,0xcccdffff,0xffffd04c,0x7fdc007f,
    0x20003fff,0x405ffffd,0x985ffffc,0x005fffff,0x43dffff7,0x00fffffd,
    0x4fffffc8,0x2003fff1,0xff52ffff,0xffff981f,0xfff9004f,0xfdcc83ff,
    0xcccdffff,0xffffd04c,0x3ffea07f,0x000002ff,0x3ffffff6,0xf9005fff,
    0x0005ffff,0x37fffff2,0xcccccccc,0x5c002ccc,0x003fffff,0x7ffffd40,
    0x7fffff41,0x3ffffa02,0xfcbaaaaf,0x80efffff,0xf94ffffd,0xfb83ffff,
    0xffff6fff,0xffe800ff,0xfffb3fff,0xddddddff,0xfffddddd,0xff7009ff,
    0x00007fff,0xffffffb8,0x4000bfff,0xffffffff,0xd07fffff,0x109fffff,
    0xffd99999,0x9999bfff,0xfffd0019,0xfffb807f,0xffff986f,0xfffb805f,
    0xffb0ffff,0xf5001fff,0x3e2dffff,0x7ed401ff,0xfff50fff,0xfffff981,
    0xeeeeeeef,0xffffffee,0x7fffffc1,0x7fffffff,0x9fffffd0,0x3ff73322,
    0xccccdfff,0x0004cccc,0xfffffff1,0x3f2001ff,0xcccdffff,0xcccccccc,
    0xffffff90,0xffffffff,0xb8009fff,0x003fffff,0x3ffffe40,0x27ffffdc,
    0xffffffd0,0xffffffff,0x3f6019ff,0xfff14fff,0xfffb8bff,0xffffff6f,
    0xffffe800,0xfffffb4f,0xffffffff,0xffffffff,0xffff7009,0x2a00007f,
    0xfffffffe,0xff0000cf,0xffffffff,0x3f60ffff,0xf984ffff,0xffffffff,
    0xffffffff,0xfffff800,0x7fffd402,0xfffff987,0xfffff805,0xfffb4fff,
    0xff3001ff,0x3fe2dfff,0x7fffec1f,0x3ea3ffff,0x7ffcc0ff,0xffffffff,
    0xffffffff,0x7fffc1ff,0xffffffff,0xffffb07f,0x3fffe29f,0xffffffff,
    0x07ffffff,0x3ffff200,0x32003fff,0xffffffff,0xffffffff,0xfffff91f,
    0xffffffff,0x8009ffff,0x03fffffb,0x7ffffc00,0xfffff985,0x3ffffa06,
    0xffffffff,0x3601dfff,0x3f64ffff,0x3ee0ffff,0xffff6fff,0xffd800ff,
    0xfffb4fff,0xffffffff,0xffffffff,0xff7009ff,0x00007fff,0xfffffff1,
    0x40001fff,0xffffffff,0x907fffff,0x309fffff,0xffffffff,0xffffffff,
    0xffff001f,0xfffa803f,0xffff987f,0x7ffcc05f,0xfb6fffff,0x7001ffff,
    0x229fffff,0x7fec1fff,0x544fffff,0x7fcc0fff,0xffffffff,0xffffffff,
    0x7ffc1fff,0xffffffff,0xfff907ff,0x3ffe29ff,0xffffffff,0x7fffffff,
    0x7fffc000,0x7e4006ff,0xffffffff,0xffffffff,0xffffff91,0xffffffff,
    0xb8009fff,0x003fffff,0x3ffffe60,0xffffff03,0x3ffffa03,0xffffffff,
    0x80efffff,0x264ffffd,0x2e4fffff,0xfff6ffff,0xfc800fff,0xffb4ffff,
    0xffffffff,0xffffffff,0xf7009fff,0x0007ffff,0xffffff10,0x0001ffff,
    0x7ffffffc,0x07ffffff,0x07fffffb,0xfffffff3,0xffffffff,0xfff001ff,
    0xffb805ff,0xfff986ff,0x7fcc05ff,0xb6ffffff,0x001fffff,0x27fffff9,
    0x7ec1fff8,0xa80cefff,0x7fcc0fff,0xffffffff,0xffffffff,0x7ffc1fff,
    0xffffffff,0xfffb07ff,0x3ffe27ff,0xffffffff,0x7fffffff,0x7ffdc000,
    0x7e4003ff,0xffffffff,0xffffffff,0xffffff91,0xffffffff,0xb8009fff,
    0x003fffff,0x3fffff20,0xfffffb00,0x3ffffa07,0xffffffff,0x1fffffff,
    0x227fffec,0x70fffffe,0x3fedffff,0x6c007fff,0xfb3fffff,0xffffffff,
    0xffffffff,0x7009ffff,0x007fffff,0xfffff100,0x001fffff,0x7ffed540,
    0x2aaaacff,0x5fffffd0,0xffffff30,0xffffffff,0xfd001fff,0xfc807fff,
    0xff985fff,0x7c405fff,0x5fffffff,0x01fffffb,0xffffff88,0xc83fff11,
    0xffa807ff,0x7fffcc0f,0xffffffff,0xffffffff,0x7fed541f,0xaaaacfff,
    0xfffffd02,0x3fbbba25,0xeeeeffff,0x806eeeee,0xeeeeeeea,0xeeefffff,
    0xfc81eeee,0xffffffff,0xffffffff,0x9fffff91,0x55555555,0xb8003555,
    0x003fffff,0x1bffffa0,0x5fffffa8,0x3fffffd0,0xff753333,0xd8dfffff,
    0x7d44ffff,0xff73ffff,0x3fffedff,0x7ff4007f,0xfffb2fff,0x555557ff,
    0xfff75555,0xff7009ff,0x00007fff,0xffd19ff1,0x00001fff,0x05fffff7,
    0x7fffffc0,0x93333300,0x339fffff,0x3f600333,0x7fc06fff,0xff984fff,
    0xfc805fff,0xb1ffffff,0x801fffff,0x0ffffffd,0xfc83fff1,0xfffa806f,
    0x7ffffcc0,0xffff9004,0x3ffee03f,0x3fe002ff,0xf500ffff,0x0005ffff,
    0x3ffffea0,0xffffffff,0x82ffffff,0x9bfffffc,0x99999999,0x3ffff219,
    0x4000002f,0x03fffffb,0xfffff100,0x7fffc409,0xfffe80ff,0xfffc807f,
    0x3ff63fff,0xfffe84ff,0xdffff77f,0x01fffffe,0x1ffffff0,0x03fffff6,
    0x7ffffcc0,0xffffb804,0xd880003f,0x3fffffa0,0xffb80000,0xf1002fff,
    0x800fffff,0x03fffffb,0x3fffee00,0xffff903f,0xffff303f,0x3ff600bf,
    0x3ff62fff,0xfd300fff,0x447fffff,0x7fdc1fff,0x0fffa806,0x27ffffcc,
    0xfffffc80,0xfffff701,0x3ffe2005,0x3fea07ff,0x00002fff,0xfffffff5,
    0xffffffff,0xf905ffff,0x0005ffff,0x0bfffff2,0xff700000,0x20007fff,
    0x02fffffb,0x17fffff4,0x03fffff4,0x5fffffd8,0x213ffff6,0xbafffffb,
    0xfff6ffff,0x7c400fff,0x3f67ffff,0x3000ffff,0x009fffff,0x07fffff7,
    0x3ffa0000,0x80000fff,0x02fffffb,0xdfffff50,0xffffb800,0x3e20003f,
    0x9adfffff,0x5fffffda,0xbfffff30,0x05ee5400,0x33fffff6,0xffffeccc,
    0x7c45ffff,0x04cc41ff,0x207ffd40,0x04fffff9,0x3fffff90,0x3ffffee0,
    0xffff5002,0x7ffd40df,0x500002ff,0xfddddddd,0xddddffff,0xff903ddd,
    0x20005fff,0x02fffffc,0x7fdc0000,0xb0003fff,0xffffffff,0xffffffff,
    0xffd09fff,0x3ee00fff,0x3f67ffff,0xff884fff,0xfffbefff,0xffffff6f,
    0x7fffd400,0x3ffff66f,0xfff3000f,0xff7009ff,0x00007fff,0x3fffffa0,
    0xffb80000,0xfd002fff,0x800bffff,0x03fffffb,0x7fffe400,0xffffffff,
    0xff303fff,0x0000bfff,0x7fffffec,0xffffffff,0x7c40ffff,0x001981ff,
    0xf981fff5,0x9004ffff,0x203fffff,0x02fffffb,0xbfffffd0,0x7ffffd40,
    0xa8000002,0x002fffff,0x17ffffe4,0xffffc800,0x4000002f,0x03fffffb,
    0xffffff00,0xffffffff,0x0fffffff,0x00fffffd,0x9fffffe6,0x904ffffd,
    0xffbfffff,0x3fffedff,0x3ffa007f,0x3ff65fff,0xf3000fff,0x7009ffff,
    0x007fffff,0x3fffa000,0xb80000ff,0x802fffff,0x1ffffffa,0x7fffdc00,
    0x3a20003f,0xffffffff,0xffffffff,0xfffff980,0x3f600005,0xffffffff,
    0xdfffffff,0x41fff881,0x5400effd,0x7fcc0fff,0xf9004fff,0x2e03ffff,
    0x802fffff,0x1ffffffa,0x3ffffea0,0xa8000002,0x002fffff,0x17ffffe4,
    0xffffc800,0x4000002f,0x03fffffb,0xfffffa80,0xffffffff,0xffffffff,
    0x3fffff41,0xfffffb80,0x13ffff66,0x7fffffc4,0xfff6ffff,0x3ea00fff,
    0x361fffff,0x000fffff,0x09fffff3,0x7fffff70,0x3fa00000,0x0000ffff,
    0x2fffffb8,0x7ffff440,0xffb8005f,0x20003fff,0xfffffffd,0xffffffff,
    0xfff985ff,0x200005ff,0xfffffffd,0xefffffff,0x87ffe202,0x404ffff9,
    0x7cc0fffa,0x9004ffff,0x203fffff,0x02fffffb,0x7fffff44,0x7fffd405,
    0x8000002f,0x02fffffa,0x7ffffe40,0xfff90002,0x000005ff,0x3fffffb8,
    0xffffc800,0xffffffff,0xffffffff,0x7ffff44f,0xffffb007,0x7fffecbf,
    0x3ffff604,0xff6fffff,0xd100ffff,0xd8bfffff,0x000fffff,0x09fffff3,
    0x7fffff70,0x3fa00000,0x0000ffff,0x2fffffb8,0x3ffffea0,0xfb8000ff,
    0x0003ffff,0xfffffff7,0xffffffff,0xf987ffff,0x0005ffff,0x3fffff60,
    0xcdefffff,0x1fff8802,0x017fffea,0xf981fff5,0x9004ffff,0x203fffff,
    0x02fffffb,0x3fffffea,0x7ffd400f,0x500002ff,0xffffffff,0xffffffff,
    0xff905fff,0x20005fff,0x02fffffc,0x7fdc0000,0xe8003fff,0xeeefffff,
    0xeeeeeeee,0x746fffff,0xb807ffff,0x23ffffff,0x204ffffd,0xfffffff9,
    0xfffff6ff,0xffffa80f,0x7fec0fff,0xf3000fff,0x7009ffff,0x007fffff,
    0x3fffa000,0xb80000ff,0x222fffff,0xfffffda9,0xf70004ff,0x0007ffff,
    0x3ffffff3,0x2a557551,0x21ffffff,0x05fffff9,0x3fff6000,0x00199aff,
    0x443fff10,0x5401ffff,0x7fcc0fff,0xf9004fff,0x2e03ffff,0x222fffff,
    0xfffffda9,0xffa804ff,0x00002fff,0xfffffff5,0xffffffff,0xf905ffff,
    0x0005ffff,0x0bfffff2,0xff700000,0x98007fff,0x003fffff,0x3fffffe6,
    0x1fffffa0,0xfffffd98,0x3fff61ff,0x7fff404f,0xff6fffff,0xa988ffff,
    0xfffffffd,0xfffffd84,0xffff3000,0xfff7009f,0x000007ff,0x3ffffffa,
    0xffffffff,0x7dc2ffff,0xffffffff,0xffffffff,0xf70000ef,0x8007ffff,
    0x3ffffff8,0xfffff900,0x3fffe61f,0xffffffff,0x07ffffff,0x01fffffb,
    0x3fff1000,0xa801cc88,0x7fcc0fff,0xf9004fff,0x2e03ffff,0xffffffff,
    0xffffffff,0xff880eff,0xffffffff,0xffffffff,0xfa81ffff,0xffffffff,
    0xffffffff,0xfffc82ff,0xf90002ff,0xffffffff,0xffffffff,0x7fdc003f,
    0x5c003fff,0x001fffff,0x17fffff4,0xddfffffd,0xfffffddd,0xfd89ffff,
    0x7d404fff,0x6fffffff,0xffffffff,0xffffffff,0xfb01dfff,0x2001ffff,
    0x54fffff9,0xfddddddd,0xddddffff,0x40003ddd,0xfffffffe,0xffffffff,
    0x7fdc2fff,0xffffffff,0xefffffff,0x3fee0000,0x6c003fff,0x006fffff,
    0x3fffffa2,0xffffff35,0xffffffff,0x360fffff,0x000fffff,0x9afff880,
    0x99999999,0xfb999999,0x7ffcc0ff,0xff9004ff,0x3ee03fff,0xffffffff,
    0xffffffff,0xffff100e,0xffffffff,0xffffffff,0xddd503ff,0xffffdddd,
    0xdddddddf,0xfffff903,0x3ff20005,0xffffffff,0xffffffff,0x3ffee001,
    0x7ec003ff,0xc8007fff,0x3a5fffff,0xffffffff,0xffffffff,0xfffd85ff,
    0xfffe804f,0xfff6ffff,0xffffffff,0xdfffffff,0x3ffff601,0xfff3000f,
    0x3ffea9ff,0xffffffff,0xffffffff,0x3ffa0002,0xffffffff,0xffffffff,
    0x7ffffdc2,0xffffffff,0x80004fff,0x03fffffb,0x7fffe440,0x7ffcc000,
    0x3fffe63f,0xffffffff,0x07ffffff,0x01fffffb,0xffff1000,0xffffffff,
    0xffffffff,0xff981fff,0xf9004fff,0x2e03ffff,0xffffffff,0xffffffff,
    0x7fffc404,0xffffffff,0xffffffff,0x7d4001ff,0x4002ffff,0x02fffffc,
    0xfffff900,0xffffffff,0x003fffff,0x1fffffdc,0xfffff100,0xfff50009,
    0x7fff4fff,0xffffffff,0x0dffffff,0x04ffffd8,0xffffffb8,0xffffff6f,
    0xffffffff,0xfd809fff,0x3000ffff,0x2a9fffff,0xffffffff,0xffffffff,
    0x20002fff,0xfffffffe,0xffffffff,0x7fdc2fff,0xffffffff,0x000cffff,
    0xfffff700,0x3f220007,0x19f90003,0xffffff98,0xffffffff,0xfb07ffff,
    0x0001ffff,0xffffff10,0xffffffff,0xffffffff,0xffff981f,0xfff9004f,
    0x3fee03ff,0xffffffff,0x800cffff,0xfffffff8,0xffffffff,0x1fffffff,
    0x7fffd400,0x7fe4002f,0x90002fff,0xffffffff,0xffffffff,0x7dc003ff,
    0x2003ffff,0x02fffffa,0xfffff880,0xfffffd1f,0xffffffff,0x7ec03bff,
    0xf8804fff,0xf6ffffff,0xffffffff,0x19ffffff,0xfffffb00,0x3ffe6001,
    0xffff54ff,0xffffffff,0x5fffffff,0x7fff4000,0xffffffff,0x2fffffff,
    0x7fffffdc,0x01bdeeff,0xfffb8000,0x0c0003ff,0x7cc02000,0xffffffff,
    0xffffffff,0xffffb07f,0xf100001f,0xffffffff,0xffffffff,0x81ffffff,
    0x04fffff9,0x3fffff90,0x3ffffee0,0x1bdeefff,0x7fffc400,0xffffffff,
    0xffffffff,0x7d4001ff,0x4002ffff,0x02fffffc,0xfffff900,0xffffffff,
    0x003fffff,0x1fffffdc,0xfffff900,0x3ffa0001,0xfffd4fff,0xddffffff,
    0xfb001599,0x32009fff,0xf6ffffff,0xffffffff,0x80037bdd,0x00fffffd,
    0x9fffff30,0x3fffffea,0xffffffff,0x002fffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x66edd4c0,0x9988009a,0x33100199,0x99813333,
    0x00000999,0x40333310,0x31009999,0x10033333,0x41333333,0x99999998,
    0x31000199,0x33333333,0x54000001,0x3001aaaa,0x33333333,0x33333333,
    0x4cc43333,0x10000999,0x4c133333,0x00099999,0x04cccccc,0x00066666,
    0x00333310,0x99999980,0x26666019,0x31000099,0x10013333,0x1359bb73,
    0x33333100,0x33333333,0x33333333,0x55554400,0x000a0002,0x01400000,
    0x037b9510,0x000dee54,0x7fffd400,0x03ffffff,0x03fffff4,0x7fffffc4,
    0x3fffe60e,0x9000005f,0xf501ffff,0x3ea05fff,0x403fffff,0x2ffffffd,
    0x3ffffffa,0xceffffff,0xffffd800,0xefffffff,0x540001cd,0x04fffffe,
    0xfffffff0,0xffffffff,0x23ffffff,0x0ffffffa,0xfffff800,0x3ffff61f,
    0xff7000ff,0x7c45ffff,0x40007fff,0x000ffffe,0xffffff50,0x3ff601ff,
    0x70006fff,0x20bfffff,0xfffffec8,0x5c03ffff,0xffffffff,0xffffffff,
    0x001fffff,0x01fffff1,0x0009fb00,0x4fd80000,0xfffffa80,0x3ffe60ef,
    0x0000efff,0xfffffe98,0xefffffff,0xfffffd01,0xfffffb00,0xffff983f,
    0x9000005f,0x3ee0ffff,0xff701fff,0xf80dffff,0x22ffffff,0xfffffffe,
    0xffffffff,0x3fff601d,0xffffffff,0x001dffff,0x7ffffecc,0xfff004ff,
    0xffffffff,0xffffffff,0x7fff43ff,0x7dc004ff,0x7cc5ffff,0x804fffff,
    0x5ffffff8,0x03ffffc4,0x3ffffa00,0xfffd0000,0x201fffff,0x0ffffffb,
    0xffffe800,0xfffea82f,0xffffffff,0xfff701ef,0xffffffff,0xffffffff,
    0x3e2003ff,0x4000ffff,0x000dfffc,0x7f440000,0x3fea04ff,0x15ffffff,
    0xffffffff,0x7d40001d,0xffffffff,0x2fffffff,0x07ffffe8,0x7fffffd4,
    0xfffff984,0xfb000005,0x3fee0fff,0xfff700ff,0x2a01ffff,0x3fffffff,
    0x3ffffffa,0xffffffff,0xffb01fff,0xffffffff,0xbfffffff,0xffffb300,
    0x009fffff,0x3ffffffe,0xffffffff,0x21ffffff,0x0ffffffa,0x3ffffe00,
    0xffffd81f,0x7fdc00ff,0xff81ffff,0x20000fff,0x0007ffff,0xfffffff7,
    0x3fe201ff,0x4003ffff,0x0ffffff8,0x3fffff22,0xffffffff,0xffb80fff,
    0xffffffff,0xffffffff,0xf1001fff,0x4001ffff,0x0efffffc,0xd3000000,
    0x309fffff,0xffffffff,0xffffb9ff,0x00bfffff,0x3ffffe20,0xffffffff,
    0xfe86ffff,0x3e207fff,0x306fffff,0x00bfffff,0x3fffa000,0x0ffff906,
    0x7fffffe4,0xffff902f,0x7ff47fff,0xffffffff,0xffffffff,0xfffffd80,
    0xffffffff,0x104fffff,0xfffffff9,0x2009ffff,0xffffffff,0xffffffff,
    0x741fffff,0x004fffff,0x0bfffff7,0x3fffffe2,0x3fffe204,0xffff05ff,
    0x7fc0001f,0xf88007ff,0xffffffff,0x3fffa00f,0x7d4005ff,0x7ec5ffff,
    0xffffffff,0xffffffff,0xfffffb85,0xffffffff,0xffffffff,0xffff1001,
    0x3fa2001f,0x01ffffff,0x7fd40000,0x40efffff,0xdacffffd,0xefffffff,
    0x0ffffebb,0xffffd800,0xeb99adff,0x42ffffff,0x207ffffe,0x0ffffffd,
    0xbfffff30,0x3fe00000,0xfffb05ff,0x7fffe40f,0xfff05fff,0x747fffff,
    0xcccfffff,0xffffffed,0xfffd85ff,0xeeccccff,0xffffffff,0x7ffffe42,
    0xffffffff,0xfffff004,0xffffffff,0xffffffff,0xfffffa81,0x7ffc400f,
    0x3f201fff,0x700fffff,0x01ffffff,0x003ffffe,0x06ffff80,0xfffffd80,
    0x200fffff,0x07fffffc,0x7ffffe40,0x7ffffcc3,0xffecacef,0x5c2fffff,
    0xffffffff,0xffffffff,0x001fffff,0x01fffff1,0xfffffd80,0x000003ff,
    0xfffffff7,0x9ffff109,0x7fffffc4,0x3fffe61f,0x7ffd4003,0x3f602fff,
    0x7f46ffff,0xff507fff,0x4c07ffff,0x005fffff,0x9ffff000,0x81bfffa0,
    0xfffffffc,0xfffff987,0x3ffa4fff,0xff7107ff,0xfb0fffff,0x2601ffff,
    0xfffffffd,0x3fffffe0,0xffffffff,0x2e000004,0x04ffffff,0x07fffffd,
    0x5fffffb8,0x7ffffc40,0xffff885f,0x3ffa04ff,0x3e0000ff,0x54006fff,
    0xffefffff,0x3e600fff,0x001fffff,0x03fffffe,0x4033ffea,0x4ffffffb,
    0x55555544,0xaaaaaaaa,0x06fffffd,0x3ffffe20,0xfffb8000,0x0004ffff,
    0x7ffffe40,0xfff503ff,0xffffb81f,0x6fffe85f,0x7fffe400,0xfffe804f,
    0x3fffa3ff,0xffff887f,0x7fcc05ff,0x00005fff,0x03ffff88,0x6c0bffff,
    0xffffefff,0x7f7ffe42,0x3ffa4fff,0x7fd407ff,0x7ec0ffff,0x6400ffff,
    0x21ffffff,0xaefffffc,0x04fffffa,0xfff10000,0x7d40dfff,0x2207ffff,
    0x01ffffff,0xffffffb8,0x7ffffdc1,0x3fffa00f,0x3fe0001f,0x3e2006ff,
    0xffbeffff,0x7fc00fff,0x3004ffff,0x40dfffff,0xffd801fc,0x00006fff,
    0x0ffffffe,0xfffff880,0xfff50000,0x001bffff,0xffffd880,0x3f601fff,
    0xfffa86ff,0xfffc82ff,0x7fff4007,0xffc800ff,0x3ffa5fff,0xfffc87ff,
    0x7cc00fff,0x0005ffff,0xffeeeec8,0xeeeeeeff,0xeeefffff,0x3b7fff65,
    0x7ff44fff,0x25ffffcf,0x807ffffe,0x42fffffe,0x00fffffd,0x3fffffe8,
    0xa8bfffe2,0x004fffff,0xffffd000,0xffe803ff,0xff703fff,0x7400bfff,
    0x225fffff,0x03ffffff,0x00ffffec,0x5ffff880,0x3ffff200,0xfffffb9f,
    0x7fffe400,0xfff7006f,0x000809ff,0x0ffffff5,0x3ffee000,0x7c4007ff,
    0x0000ffff,0x3fffffa6,0xd10000ef,0x1dffffff,0x84fffe80,0x81fffff8,
    0x4007fffb,0x007fffff,0x4ffffff3,0x547ffffe,0x02ffffff,0x5fffff98,
    0xfffd8000,0xffffffff,0xffffffff,0x3ffa6fff,0x27fffcdf,0xff9ffff9,
    0x3fffa5ff,0xfffd807f,0x7ffec3ff,0xffb800ff,0x1fec5fff,0x27ffffd4,
    0x7fdc0000,0xa804ffff,0x886fffff,0x01ffffff,0x3ffffea0,0xfffff91f,
    0xffffb00d,0x3fe20003,0xff3005ff,0x3fee9fff,0x7d400fff,0x800fffff,
    0x01fffffe,0xffff1000,0xf00001ff,0xa87fffff,0xeeeeeeee,0xeeefffff,
    0x402eeeee,0xffffffe8,0x7fcc001f,0x00dfffff,0xf03ffff8,0xf701ffff,
    0x26001fff,0x006fffff,0x43fffffe,0x227ffffe,0x04fffffe,0xbfffff30,
    0xfffb0000,0xffffffff,0xffffffff,0x7ff4dfff,0x1ffffadf,0x3fedfff7,
    0x3fffa5ff,0xfffd807f,0x7ffec2ff,0xffa800ff,0x804c6fff,0x04fffffa,
    0x7ffc4000,0x3a006fff,0x5c2fffff,0x005fffff,0xdfffffe8,0x2ffffff8,
    0x2ffffd80,0x883eee98,0xd004ffff,0x7dcdffff,0xf800ffff,0x402fffff,
    0x07fffff8,0x3ffe6000,0xb80007ff,0x40ffffff,0xfffffffb,0xffffffff,
    0x03ffffff,0xffffffb0,0x3fea005f,0x004fffff,0x7c0ffffe,0xccccffff,
    0x01ffffdc,0xffffff10,0x7ffffc00,0xfffffd1f,0x37ffffe4,0xfffff300,
    0xffb0000b,0xffffffff,0xffffffff,0x7f4dffff,0xffff8dff,0x3e9fffd3,
    0x3ffa6fff,0xfff807ff,0x7fec1fff,0xf9800fff,0x2005ffff,0x04fffffa,
    0x7ffec000,0x2a001fff,0x7c6fffff,0x000fffff,0xffffff98,0x06fffffd,
    0x05ffff90,0xf30dfff9,0xf7009fff,0x7dc5ffff,0xd800ffff,0x404fffff,
    0x04fffffa,0x3ffe6000,0xe80006ff,0xb83fffff,0xffffffff,0xffffffff,
    0x003fffff,0x3fffffee,0x7ffe403f,0x2002ffff,0xf03ffff8,0xffffffff,
    0x03ffffff,0x7fffffc0,0xffffd000,0x3ffffa5f,0xffffff37,0x7ffcc003,
    0xb80005ff,0xffffeccc,0xffeccccc,0x23cccdff,0xffb4ffff,0x3ffff1bf,
    0xfe9bfffe,0x7dc07fff,0xfd87ffff,0xb800ffff,0x004fffff,0x13ffffea,
    0xfffb8000,0xe8003fff,0xf51fffff,0x0009ffff,0x7fffffec,0x002fffff,
    0xd05ffff9,0xf981ffff,0x7c403fff,0x7dc5ffff,0xb800ffff,0x407fffff,
    0x02fffffc,0x3fff2000,0x540005ff,0x80ffffff,0xfffffffb,0xffffffff,
    0x03ffffff,0x7ffffd40,0xfffb05ff,0x8003ffff,0xd02ffff9,0xffffffff,
    0x03ffffff,0x7fffff40,0xffffd005,0x3ffffa5f,0xfffffe8f,0x7ffcc003,
    0x800005ff,0xf906fffd,0x7fc01fff,0xffff74ff,0x7fcdfff5,0x3fffa7ff,
    0xfff9107f,0xffb05fff,0xfb001fff,0x4005ffff,0x04fffffa,0xffff1000,
    0x2a000dff,0xfd5fffff,0x0001ffff,0x7fffffc4,0x2005ffff,0x4c2ffffb,
    0x4c3fffff,0x6403ffff,0x5c0fffff,0x800fffff,0x1ffffff8,0x3fffffe0,
    0xff100000,0x0005ffff,0x4fffffe8,0x99999950,0x9fffff99,0x39999999,
    0xfffd3000,0x3a21dfff,0x0effffff,0xffff9800,0xfffffd02,0xffffffff,
    0x7fe4003f,0x500cffff,0x5ffffffb,0x33fffffa,0x005fffff,0x5fffff98,
    0xffe80000,0xffff906f,0x14ffff80,0xfffdffff,0xd3ffff49,0x999fffff,
    0xffffffd9,0x3fff60bf,0x7fcc00ff,0x2001ffff,0x04fffffa,0xffffb000,
    0x740001ff,0xffafffff,0x80004fff,0xfffffffc,0x3ee001ff,0x7fdc3fff,
    0x7fcc5fff,0x3fe603ff,0xffb82fff,0xfd000fff,0x2607ffff,0x005fffff,
    0x3ffff200,0x7d40006f,0x000fffff,0x1fffff10,0xfd300000,0x21bfffff,
    0xffffffe8,0xff98001e,0xffff03ff,0x3333333f,0xf9800333,0xefffffff,
    0xfffffecc,0xffd2ffff,0xffffffff,0xff30001f,0x0000bfff,0x20bffff0,
    0x2207fffd,0x3fa4ffff,0x21ffffff,0x3fa7fffe,0xffffffff,0x4fffffff,
    0x3fffff60,0x3fffa200,0x7d4006ff,0x0004ffff,0xffffffb8,0x7fd40003,
    0xffffffff,0xf880000f,0x5fffffff,0x7fffd400,0x7fffff43,0x3fffea0f,
    0x3ffffa02,0xfffff705,0x3ffee001,0xfff705ff,0x200007ff,0x3ffffffa,
    0x7fff4000,0x220004ff,0x000fffff,0x7fffd400,0xffb04fff,0x005fffff,
    0x03ffff88,0x001fffff,0x3ffee000,0xffffffff,0xffffffff,0xfffffd1f,
    0x07ffffff,0xfffff300,0xff00000b,0x3ffa09ff,0x3ffe206f,0x3ffff23f,
    0x7fff47ff,0xfffffd0f,0xffffffff,0xffd8039d,0x64c40fff,0x1fffffff,
    0x7fffd400,0x7c40004f,0x005fffff,0xfffffd00,0x0009ffff,0x3ffffe20,
    0x54005fff,0x3e23ffff,0x22ffffff,0x702ffffa,0x201fffff,0x00fffffb,
    0xffffff30,0xfffffb01,0xff100001,0x000dffff,0xffffffa8,0x3fe20000,
    0x00000fff,0x3fffffee,0x7ffdc03f,0x4003ffff,0xff03ffff,0x00003fff,
    0x7fffff40,0xffffffff,0xd0ffffff,0xff9fffff,0x8001ffff,0x05fffff9,
    0x7ffc4000,0xbffff03f,0x1ffffcc0,0x9ffffff5,0xd0ffffe8,0xffffffff,
    0x005fffff,0x3ffffff6,0xffffffff,0x8004ffff,0x04fffffa,0x7fffec00,
    0x500000ff,0xffffffff,0x3200001f,0xffffffff,0x3fe6001f,0x3ffee3ff,
    0x3ea5ffff,0xff881fff,0x3ee03fff,0x2000ffff,0x42fffffe,0x06fffff8,
    0xfffe8800,0x40000fff,0x04fffffe,0x7fffc400,0xfb00000f,0x05ffffff,
    0x3ffffea0,0x3fe005ff,0xfff984ff,0x000003ff,0x3ffffee2,0xffffffff,
    0xfd0fffff,0xffd1ffff,0x9800dfff,0x005fffff,0x7fffcc00,0x09ffff02,
    0x21ffffcc,0x41ffffff,0xfd0ffffd,0xffffffff,0x00bfffff,0xfffffffb,
    0xffffffff,0x2a000dff,0x004fffff,0x3ffffee0,0x7400003f,0x4fffffff,
    0xfff30000,0xdfffffff,0x7fffcc00,0x3fbfff64,0x3ffea7ff,0xffffd81f,
    0x7fffdc06,0x3ff2000f,0x7fd44fff,0x80004fff,0x1ffffffe,0x7ffd4000,
    0x40001fff,0x00fffff8,0x7fff4400,0x4001efff,0xfffffff9,0xfffe800e,
    0xfffffa86,0x88000006,0xffffffec,0xfffff8ad,0x5fffffa7,0x3ffffff9,
    0x3fffe600,0x6640005f,0xdffffdcc,0xfffccccc,0x262cccef,0x7ec3ffff,
    0xffd87fff,0xffffd1ff,0x3fff6e2f,0x7ec03fff,0xffffffff,0x3fffffff,
    0x3ffea000,0xf10004ff,0x00bfffff,0xffff5000,0x00001fff,0x3ffffff6,
    0x003fffff,0x229ffff3,0xfffbffff,0x1ffff72f,0x1fffffa8,0x7ffffdc0,
    0x3ffea000,0x7ffe46ff,0x6c0001ff,0x02ffffff,0xffffe800,0xf880005f,
    0x0000ffff,0x3fffffa6,0xd10000ef,0x3dffffff,0x0ffffc80,0x7fffffec,
    0x80000001,0xffff9819,0x3ffffa6f,0x3fffff67,0xfff3001f,0xf8000bff,
    0xffffffff,0xffffffff,0x24ffffff,0x5c2ffffa,0xfd84ffff,0xfffd1fff,
    0xffffb0ff,0x7fec01ff,0xffffffff,0x000cffff,0x7ffffd40,0xfffb0004,
    0x00001fff,0x3fffffa0,0xff500004,0xfffdffff,0xf1001fff,0x3fea9fff,
    0x4ffff8df,0xe81ffff7,0xcccfffff,0xffdccccc,0x3ccccfff,0x7fffffc0,
    0x1fffffa1,0xffffb000,0x300007ff,0x03ffffff,0xffff1000,0x3ea0001f,
    0x05ffffff,0xffffb000,0x7d405fff,0x3fe64fff,0x81ffffff,0x000001a8,
    0x3ffffee0,0x9fffffa4,0x6ffffff8,0xfffff300,0xfff8000b,0xffffffff,
    0xffffffff,0x3ea4ffff,0x7fc42fff,0xfffd82ff,0xfffffd2f,0x3fffffa0,
    0x3ffff605,0xbcdeffff,0xf5000009,0x0009ffff,0x5ffffff7,0x7e400000,
    0x0002ffff,0xbfffffd0,0x9ffffff3,0xbffff100,0x7f4ffff6,0xffff97ff,
    0xfffffff0,0xffffffff,0xffffffff,0xfffd80df,0xffff13ff,0x7ec0009f,
    0x003fffff,0xfffffb00,0x3e20000b,0x8000ffff,0xfffffffc,0x7e400003,
    0x03ffffff,0x37bffffe,0xffffffff,0xffedcdff,0x20000002,0x21fffffd,
    0x5c7ffffe,0x04ffffff,0x5fffff98,0x7fffc000,0xffffffff,0xffffffff,
    0x3fee4fff,0x4ccb82ff,0x25ffff90,0x307ffffe,0x03ffffff,0x03fffff6,
    0x7d400000,0x4004ffff,0x5ffffff8,0x7e400000,0x0002ffff,0xffffffb8,
    0xffffffb1,0xbffff003,0x7dc3fffe,0xfffc9fff,0xffffff87,0xffffffff,
    0xffffffff,0x7fd406ff,0xfff75fff,0x360005ff,0x03ffffff,0xffff3000,
    0x000003ff,0xfffd8000,0x0002ffff,0xfffff700,0x3ff20bff,0xffffffff,
    0xfffffff9,0x0002ffff,0xffff3000,0xffffe8df,0xfffffe87,0x7ffcc01f,
    0x740005ff,0xfffffeee,0xfffeeeee,0x23eeeeff,0x002ffffb,0x25ffff90,
    0x207ffffe,0x05fffffe,0x01fffffb,0x3ea00000,0x4004ffff,0x0ffffffd,
    0x7e400000,0x0002ffff,0x7fffffc4,0x3ffffe65,0xffff805f,0x266fff9e,
    0xffcbffff,0xfffff87f,0xffffffff,0xffffffff,0x7c406fff,0xffb7ffff,
    0x36000fff,0x02ffffff,0x3fff6000,0x000006ff,0x3ffa2000,0x001fffff,
    0x7ffcc000,0xd80effff,0xffffffff,0xffffff52,0x0005ffff,0xffff1000,
    0xfffe87ff,0xffff987f,0x7fcc06ff,0x00005fff,0xc82ffff4,0x7dc07fff,
    0x90001fff,0x3fa7ffff,0x3ee07fff,0xd80fffff,0x000fffff,0xfff50000,
    0x7dc009ff,0x002fffff,0xfffc8000,0x640002ff,0x40ffffff,0x2ffffffc,
    0x677fffc0,0x7ff43fff,0x86fffcdf,0xffffffff,0xffffffff,0xffffffff,
    0xffffe806,0x5fffffaf,0xffffd800,0x200002ff,0x2ffffff9,0x00000000,
    0x77ffffe4,0x10000000,0x09fffffd,0x77ffffe4,0x7ffff4c2,0x0001dfff,
    0x7fff5400,0x7ff40fff,0xfff907ff,0x7cc09fff,0x0005ffff,0x82ffffc0,
    0x6406fffd,0x0001ffff,0x3a7ffff9,0x7c07ffff,0xd84fffff,0x000fffff,
    0xfff50000,0x3e2009ff,0x005fffff,0xfff90000,0x440005ff,0x84ffffff,
    0x6ffffff8,0x777fff40,0x7fe41fff,0x86fffdff,0xcccccccc,0xfecccccc,
    0xccccffff,0xffffb803,0x3fffffef,0x7fffec00,0x400002ff,0x06fffffd,
    0xcccccb80,0xcccccccc,0x83cccccc,0x000dfffc,0x7ec40000,0x773004ff,
    0xaaca9805,0x33000001,0xffffff75,0xfffd03ff,0x7fff40ff,0xff301fff,
    0x0000bfff,0x827fffc4,0x6406fffe,0x0001ffff,0x3a9ffff7,0x6407ffff,
    0x40ffffff,0x00fffffd,0x33331000,0xffff7333,0x3333339f,0x7ffffec1,
    0xaaaaaabf,0x0aaaaaaa,0x7fffe400,0x3f60002f,0x900fffff,0x07ffffff,
    0x7ffffff4,0xffff986f,0x0005ffff,0x3ffffee0,0xfff98000,0xffffffff,
    0x3fff6000,0xaaaadfff,0xaaaaaaaa,0x3fffe200,0xfe8002ff,0xffffffff,
    0xffffffff,0x09f905ff,0xc8000000,0x0000004f,0x3fea0000,0xffffffff,
    0x03ffffff,0x40fffffd,0x6ffffffa,0xffffff30,0xffffffff,0x220dffff,
    0xff03ffff,0xffd80bff,0xf70001ff,0x3ffa9fff,0x7fc407ff,0x7ec4ffff,
    0x0000ffff,0xffffff50,0xffffffff,0x27ffffff,0xfffffffa,0xffffffff,
    0x03ffffff,0x7ffffe40,0xfff30002,0x7c409fff,0x00ffffff,0xfffffffb,
    0x3ffffe09,0x00005fff,0x03ffffee,0x7ffff400,0x006fffff,0x3ffffff2,
    0xffffffff,0x01ffffff,0x1bfffff2,0x7ffff400,0xffffffff,0x5fffffff,
    0x000000a0,0x00001400,0x2a000000,0xffffffff,0x4fffffff,0x1fffffa0,
    0xffffffb0,0xfffff309,0xffffffff,0x20dfffff,0xf02ffff9,0xfd809fff,
    0x70000fff,0x3fa9ffff,0xfd807fff,0x360fffff,0x000fffff,0xfffff500,
    0xffffffff,0x7fffffff,0x3fffffee,0xffffffff,0x3fffffff,0x7fffe400,
    0xffd0002f,0xc801ffff,0x04ffffff,0xfffffffb,0x3ffff203,0x00005fff,
    0x03ffffee,0x7fffe400,0x003fffff,0x3ffffffa,0xffffffff,0x01ffffff,
    0x5ffffff1,0x3fffa000,0xffffffff,0xffffffff,0x00000005,0x00000000,
    0xfa800000,0xffffffff,0x401effff,0x407ffffe,0xfffffff8,0x7ffffcc2,
    0xffffffff,0x506fffff,0xf103ffff,0xfd807fff,0x70000fff,0x3fabffff,
    0xf9807fff,0x363fffff,0x000fffff,0xfffff500,0xffffffff,0x7fffffff,
    0x3fffffee,0xffffffff,0x3fffffff,0x7fffe400,0xffa8002f,0x8804ffff,
    0x1fffffff,0xffffffc8,0x3fffea07,0x00004fff,0x03ffffee,0x7fffcc00,
    0x001fffff,0x3ffffffa,0xffffffff,0x01ffffff,0x0dfffff9,0x7ffff400,
    0xffffffff,0x5fffffff,0x00000000,0x00000000,0xffa80000,0xffffffff,
    0xffd002ef,0xff700fff,0x4c1dffff,0xffffffff,0xffffffff,0xfff706ff,
    0xffff303f,0xffffe805,0xfff50000,0x3ffffabf,0xffffd007,0x3fff61ff,
    0x500000ff,0xffffffff,0xffffffff,0x3ee7ffff,0xffffffff,0xffffffff,
    0x4003ffff,0x02fffffc,0xfffffe80,0xfff7000f,0xff90dfff,0xf809ffff,
    0x04ffffff,0x3ffee000,0x3e0000ff,0x7fffffff,0x7ffff400,0xffffffff,
    0xffffffff,0xfffff881,0x0000003f,0x00000000,0x00000000,0x40000000,
    0xeefffffa,0x74000abd,0xd007ffff,0x49ffffff,0xfffffff9,0xffffffff,
    0xff906fff,0xfff501ff,0xfffe805f,0xff50000f,0x3fffadff,0xfff5007f,
    0x3ff67fff,0x00000fff,0xfffffff5,0xffffffff,0x2e7fffff,0xffffffff,
    0xffffffff,0x003fffff,0x17ffffe4,0x3fffee00,0x3e2004ff,0x42ffffff,
    0x2ffffffb,0x7ffffec0,0x2e00003f,0x000fffff,0x3fffff60,0x7f4004ff,
    0xffffffff,0xffffffff,0xffc81fff,0x00007fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x99531000,
    0x4c015599,0x81acdecb,0x001bddb9,0x01deda80,0xccba8800,0x00abcdee,
    0xedcba880,0x009accde,0xbdeca980,0x5553001a,0x55510055,0x2a200355,
    0x001acddc,0x00054400,0xaaaaaa98,0x2aaaa000,0x2aaa61aa,0x40f77221,
    0xa882cdca,0x0002aaaa,0x41555555,0xaaaaaaaa,0xaaaaaaaa,0x55530aaa,
    0x9db95035,0x2aaaa015,0x54c0001a,0x55531aaa,0x9bb95015,0x2aaa2015,
    0xaaa800aa,0x554c2aaa,0xaaaaaaaa,0x54c0002a,0x000abcdc,0x79bd9973,
    0xcc880003,0x00000ccc,0xfffff910,0x8bffffff,0xffffffeb,0x3fff24ff,
    0x0000efff,0x03fffff7,0xfffd7100,0xffffffff,0xfb30019f,0xffffffff,
    0x22009fff,0xfffffffd,0x7ec02fff,0x4c00ffff,0x404fffff,0xfffffffa,
    0x30002eff,0xbfffffb9,0x3fe20017,0x5006ffff,0x43ffffff,0xff55fffc,
    0x7f44dfff,0x7c44ffff,0x002fffff,0x7fffffc4,0xffffff10,0xffffffff,
    0x361fffff,0x3ee4ffff,0x3fffffff,0x06ffffd8,0x7fffe400,0x45ffff94,
    0xfffffffb,0xffffa83f,0x7ffec01f,0x7fec2fff,0xffffffff,0xe98000ff,
    0xffffffff,0x3fffea03,0x1dffffff,0xffff3000,0x5000001f,0xffffffff,
    0x44dfffff,0xffffffff,0xfffeefff,0x00efffff,0xffffff80,0xfffb8006,
    0xffffffff,0x201fffff,0xfffffffd,0x4fffffff,0xfffffa80,0xffffffff,
    0xffffb00d,0xfff9801f,0x3ff204ff,0xffffffff,0x2e000cff,0xffffffff,
    0xf7003fff,0x809fffff,0x3ffffff8,0x7c6fffe4,0xb2ffffff,0x5fffffff,
    0x5fffffd8,0x7fffdc00,0x3fffe25f,0xffffffff,0x0fffffff,0x36bffffb,
    0xffffffff,0x7ffdc5ff,0x7ec0007f,0xfff93fff,0x3ffff67f,0x45ffffff,
    0x01fffffa,0x3ffffff2,0xfffffd83,0x0fffffff,0x7fffe400,0xefffffff,
    0xfffffb80,0x0fffffff,0xffff9800,0x2200000f,0xfffffffd,0x6fffffff,
    0x3fffffe2,0xffffffff,0xffffffff,0x7ffcc006,0xb8007fff,0xffffffff,
    0xffffffff,0xffffc80f,0xffffffff,0x36204fff,0xffffffff,0xffffffff,
    0xfffffd81,0x7fffcc00,0xfffe884f,0xffffffff,0xe8806fff,0xfeffffff,
    0x00dfffff,0xffffffd8,0x3ffff201,0xefffc85f,0xfffffffd,0xffffffae,
    0x7ffd46ff,0x3a000fff,0x222fffff,0xffffffff,0xffffffff,0xfffb0fff,
    0xfffff9bf,0x5fffffff,0x07ffffd4,0xffffd000,0x2fffff25,0xfffffffd,
    0x2a1fffff,0x501fffff,0x09ffffff,0x3ffffff6,0x00ffffff,0x3ffffea0,
    0xffffffff,0xdefffb84,0x6fffffed,0xffff9800,0x3600000f,0xffffffff,
    0x6fffffff,0x2af7ffe2,0xffffffeb,0xffffcbef,0x3fe2001f,0x8007ffff,
    0xdefffffb,0xfffffecc,0x7ffdc5ff,0xcbceffff,0x204fffec,0xfffffffc,
    0xffffffff,0xfffd86ff,0x7fcc00ff,0xffe84fff,0xeccdffff,0x03ffffff,
    0x2bbfffe2,0x7fff5440,0x7ffc400f,0xff506fff,0xf901ffff,0xfdffffff,
    0xffffffff,0x83ffffff,0x03ffffff,0xffffff10,0xffffff88,0xffffffff,
    0xfb0fffff,0xffffffff,0xffffffff,0x7fffccdf,0x3fe0001f,0xfff90fff,
    0xffffffff,0xdfffffff,0x0fffffd4,0x7fffffcc,0x3ffff605,0xffffffff,
    0xffff1000,0xffd757df,0x1ca83fff,0x0ffffd10,0xfffff300,0x3ea00001,
    0xceffffff,0x6ffdcaab,0x7ec02fe2,0x2a0effff,0x4004ffff,0x03fffffd,
    0x00adfb80,0x3fffff22,0x3ffffa0f,0x02b9806f,0xfffffff1,0xfff9537b,
    0xfd85ffff,0x4c00ffff,0x544fffff,0x80dfffff,0x0ffffffb,0x559fffd0,
    0x7e415555,0xff9805ff,0x7c44ffff,0x903fffff,0x29ffffff,0xeffffffa,
    0x85ffffd1,0x06fffffb,0x9fffff70,0xcccccc88,0xffeccccc,0x3f64ffff,
    0xffffffff,0xffffc89c,0xffff11ff,0x3e20005f,0x3ff27fff,0xdfffffff,
    0xfffffeba,0xfffff51f,0xfffff883,0x4ccc406f,0xffffe999,0xfff9000f,
    0x3fff60bf,0xffb8004f,0x7cc001ff,0x0000ffff,0xffffff88,0x044a803f,
    0x3ffffe60,0x06fffe82,0x1fffec40,0x40008800,0x21fffffe,0x01ffffff,
    0xffffd800,0xffd101ff,0xffd8ffff,0x7cc00fff,0x7f44ffff,0x7dc06fff,
    0xfb85ffff,0xfffff2ff,0x3fea1dff,0xfffc803f,0x3ff22fff,0x3f205fff,
    0x3e25ffff,0x321fffff,0x7c42ffff,0x800fffff,0x00fffffe,0x3fffe200,
    0x7ffec6ff,0xc80effff,0x3e3fffff,0x0003ffff,0x64dffff1,0xefffffff,
    0xfffffe80,0x3fffff52,0xefffffe8,0x3ffa0000,0xfb000fff,0x3e201fff,
    0xa8005fff,0x4001ffff,0x00fffff9,0xffffc800,0x000001ff,0x407ffffc,
    0x0007fffc,0x00000031,0x5fffff70,0x3fffffe6,0x7fcc0000,0x4401ffff,
    0x23ffffff,0x00fffffd,0x27ffffcc,0x03fffff7,0x8fffffd0,0x3fe4fff8,
    0x26ffffff,0xe800fffd,0xa8efffff,0x00ffffff,0x07fffff2,0xb8bfffff,
    0xfd83ffff,0x4c03ffff,0x005fffff,0x7fffff40,0x7fffec0f,0xff300eff,
    0x7ff49fff,0xcccb84ff,0x5ffff983,0x3ffffff2,0xffff900e,0x3fffea7f,
    0x3ffff61f,0x740000ff,0x000fffff,0xe80dffff,0x32a07fff,0xffffffed,
    0x7fcc001f,0x80000fff,0x04ffffff,0xffe80000,0xffff506f,0x00000001,
    0x7ffcc000,0xffff13ff,0x40001dff,0x05fffffc,0x9fffff90,0x07ffffec,
    0x3ffffe60,0x1bffffa4,0x7ffffe40,0xf83fff20,0xfffc99ff,0x007fff11,
    0xbffffff3,0x05ffffff,0x85ffffc8,0x5c1fffff,0xfa83ffff,0x6406ffff,
    0x002fffff,0x3fffff60,0xffffd82f,0x3fe200ff,0x3ff64fff,0xffff85ff,
    0x7fffd40f,0x3fffff24,0x3ffea01f,0xffff54ff,0x3ffff23f,0xe80001ff,
    0x800fffff,0x405ffff8,0x5c0ffffd,0xffffffff,0x4001ffff,0x00fffff9,
    0x7fffcc00,0x000000ff,0x505fffe8,0x0003ffff,0x40000000,0x24fffff9,
    0xffffffff,0xffd8001c,0xf3001fff,0x7ecbffff,0x4c00ffff,0x3e4fffff,
    0x7004ffff,0x6c3fffff,0x07ffc3ff,0x7fe45fff,0xffff7005,0x9fffffff,
    0x7ffff900,0x70fffff0,0x3e07ffff,0x201fffff,0x007fffff,0x3ffffee0,
    0xffffb04f,0xfff8805f,0x3fff25ff,0x7fffd46f,0x7fffdc3f,0x3fffff23,
    0x7fffc402,0xfffff54f,0xffffff53,0x3fa00005,0x8800ffff,0x7405ffff,
    0x7fe47fff,0xffffffff,0x55541fff,0xffbaaaaa,0xaaaabfff,0x7d402aaa,
    0x0005ffff,0xfcca9880,0xccccefff,0x21ffffdc,0xaaaaaaaa,0xaaaaaaaa,
    0x02aaaaaa,0xfdd99550,0x9fffffff,0x7fffffe4,0x001cefff,0x00fffffd,
    0x37ffffc4,0x01fffffb,0x4fffff98,0xddfffff1,0xdddddddd,0x45fffffd,
    0x7ffc2fff,0x541fff30,0x3f6007ff,0xffffffff,0xfffc800e,0x7ffff83f,
    0x03ffffb8,0x09fffff9,0x13ffffea,0x7fffcc00,0x3ff605ff,0x99801fff,
    0x3fea0999,0x7ffec7ff,0x7ffe46ff,0x3ffff22f,0x7ffc400f,0xffff54ff,
    0xffffff9f,0x7f400005,0xf000ffff,0xff80dfff,0x3ffe66ff,0x7ffd42ff,
    0x3fffe21f,0xffffffff,0xffffffff,0x3ee00fff,0x0004ffff,0x3fffff20,
    0xffffffff,0xffffffff,0xffffff12,0xffffffff,0xffffffff,0x3fee201f,
    0xffffffff,0x744fffff,0xffffffff,0x200befff,0x007fffff,0xb3fffffc,
    0x801fffff,0x34fffff9,0xffffffff,0xffffffff,0x227fffff,0x7ffc0fff,
    0x443fffee,0xf1000fff,0xffffffff,0x3fff2003,0x7ffff83f,0x03ffffb8,
    0x0ffffff1,0x07fffff6,0x3fffe200,0x3f600fff,0x0001ffff,0x0fffff98,
    0x3ffffffe,0x87ffff61,0x00fffffc,0xa7ffffc4,0xfffffffa,0x0004ffff,
    0x7fffff40,0xffffb000,0x3fffea05,0x0bffff24,0x887fffea,0xffffffff,
    0xffffffff,0x0fffffff,0x3fffff60,0xffa80003,0xffffffff,0xffffffff,
    0xf12fffff,0xffffffff,0xffffffff,0x01ffffff,0xfffffff7,0xffffffff,
    0xffd889ff,0xffffffff,0xff883fff,0x74006fff,0xfb0fffff,0x9801ffff,
    0xf54fffff,0xffffffff,0xffffffff,0x3ea7ffff,0xfffff87f,0x3fff01ef,
    0x7fffd400,0x32004fff,0xff83ffff,0xfffb87ff,0x3fff603f,0x7ffc42ff,
    0xfb0006ff,0x803fffff,0x01fffffd,0xffff8800,0xfffff51f,0x7ffec7ff,
    0x3ffff20f,0x7ffc400f,0xffff54ff,0xdfffffff,0xffe80000,0xf9000fff,
    0xfa83ffff,0x3f61ffff,0xffc82fff,0x3ffe21ff,0xffffffff,0xffffffff,
    0x3600ffff,0x003fffff,0x7ffffc40,0xffffffff,0xffffffff,0xfff11fff,
    0xffffffff,0xffffffff,0xfb81ffff,0xffffffff,0xffffffff,0xfffd504f,
    0xffffffff,0xffff98bf,0x7ffc006f,0xfffb0fff,0xff9801ff,0xfff74fff,
    0xffffffff,0xffffffff,0x3ffe25ff,0x7fe7ffc0,0x0fff884f,0x3ffff200,
    0x9000efff,0xff07ffff,0xfff70fff,0x7ffd407f,0x7ffd45ff,0xfc8003ff,
    0x803fffff,0x01fffffd,0xfffff000,0x3fffff25,0x3fffa6ff,0x7ffffe47,
    0x7fffc400,0xfffff54f,0xbffffff7,0x7ff40000,0xf1000fff,0xfddfffff,
    0xb89fffff,0xa9aeffff,0x21fffffe,0xfffffff8,0xffffffff,0xffffffff,
    0x3ffff200,0x7ec0005f,0x999bffff,0x999dfffe,0x21999999,0xfffffff8,
    0xffffffff,0xffffffff,0x3ffffea0,0x999aacff,0x04fffffa,0x7ffff64c,
    0x43ffffff,0x007fffff,0xb3fffffc,0x801fffff,0x54fffff9,0x559fffff,
    0x55555555,0x7c155555,0x47ffc2ff,0x7d41fff8,0x3fea007f,0x5fffffff,
    0x7ffff900,0x70fffff0,0xf807ffff,0x3a0fffff,0x000fffff,0x7fffffd4,
    0xffffb005,0x3a00003f,0xfff3ffff,0x23ffffff,0x7e46ffff,0x4400ffff,
    0xf54fffff,0xff73ffff,0x0007ffff,0x3fffffa0,0x3ffea000,0xffffffff,
    0x7ffcc0ff,0xffffffff,0x55541fff,0xffbaaaaa,0xaaaabfff,0x7dc02aaa,
    0x0006ffff,0x03ffffe2,0x0017fffa,0x55555554,0xaaaaaaaa,0x2aaaaaaa,
    0x77fffff4,0x3fffe600,0x3ee6004f,0x7fffffff,0x07fffffc,0xfffff880,
    0x3fffff65,0x7fffcc00,0xfffff34f,0x7ec00009,0xd87ffc3f,0x2ffe44ff,
    0xfffff880,0x02ffffff,0x83ffffc8,0xfb87ffff,0x7e403fff,0xff13ffff,
    0x88009fff,0x0effffff,0xfffffb00,0x3f600003,0xfffacfff,0x8cffffbf,
    0x7e44ffff,0x4400ffff,0xf54fffff,0x3f63ffff,0x001fffff,0xfffffe80,
    0x7ffdc000,0xdfffffff,0xfffff900,0xfffd9fff,0xfff98003,0x4c0000ff,
    0x01ffffff,0xbffff300,0x01bfffa0,0x00000000,0x01ffffff,0x4fffff98,
    0xffff5000,0x7fec1fff,0xf7002fff,0x7ec9ffff,0x6400ffff,0xf14fffff,
    0x000bffff,0xf077fe40,0x3ffe61ff,0x007fff10,0x3ffffffa,0x00ffffff,
    0x41ffffe4,0xfb87ffff,0x7cc03fff,0xff75ffff,0xe8003fff,0x01ffffff,
    0x3fffff60,0xff900001,0xdfff9bff,0x3e7ffffe,0x7fe43fff,0x7c400fff,
    0xff54ffff,0x3fa23fff,0x000fffff,0x7fffff40,0xffd88000,0x802dffff,
    0x1dfffffb,0x8003fff9,0x00fffff9,0x7fffc400,0xf70006ff,0x3fa07fff,
    0x00000fff,0xff300000,0xf500dfff,0x0009ffff,0x7fffffcc,0x3fffff22,
    0xffffd006,0x7fffe47f,0x3ffee02f,0x3ffe4fff,0x00000fff,0x7fc9fff3,
    0x653ffa0f,0xfc800fff,0xff9effff,0x6406ffff,0xff83ffff,0xfffb87ff,
    0xfffd803f,0xffffe8ff,0x7ffec006,0x6c002fff,0x001fffff,0xdffff500,
    0x3f69fffd,0xffffcfff,0x7ffffe42,0x7fffc400,0xfffff54f,0x7ffffcc3,
    0x7f40006f,0x0000ffff,0x800054c4,0x80000098,0x00fffff9,0xffffe800,
    0xfb8004ff,0xff984fff,0x00003fff,0x20002620,0x07fffffa,0x7fffffd4,
    0x3fe20004,0x3ea1ffff,0x402fffff,0x0ffffffb,0x13ffffee,0x7fffffd4,
    0x3ffff64f,0x2e00005f,0x89992fff,0xfffaccca,0xffffa803,0xffff71ff,
    0x7fe407ff,0xffff83ff,0x3ffffb87,0xfffffa80,0x03fffffd,0x3ffffee0,
    0xffd8004f,0x00001fff,0xfffffff3,0x3ffea3ff,0x41ffffff,0x00fffffc,
    0xa7ffffc4,0x41fffffa,0x5ffffffb,0x3fffa000,0x000000ff,0x00000000,
    0x07ffffcc,0x7ffcc000,0x201effff,0xffff56c9,0xffffe88d,0x400000ef,
    0x004fffd8,0x7fffffc4,0xfffff702,0x002e29ff,0x7fffffc8,0xffffffe8,
    0xfffff703,0xffffa87f,0x3fee20ef,0x24ffffff,0xcffffff9,0xfe802000,
    0xff9003ff,0xfff100bf,0xffd89fff,0xf901ffff,0xfff07fff,0xffff70ff,
    0x3fffe007,0x0fffffff,0xfffff300,0x333333df,0x36133333,0x001fffff,
    0xfffff100,0x7fc4ffff,0x0fffffff,0x07ffffe4,0x3ffffe20,0x3fffff54,
    0xffffffb0,0x3ffa0007,0x31000fff,0x33333333,0x41333333,0x99999998,
    0x99999999,0x3ffe6000,0x900000ff,0xffffffff,0xfffdd9df,0x3ffffe6f,
    0xfffffb12,0x7b501dff,0xffffd800,0x7ffc004f,0xb89cffff,0xfffffffe,
    0x37dff34f,0x7fe54413,0xfa85ffff,0xdeffffff,0xffffffdc,0xffff986f,
    0xfffcdfff,0x4fffffff,0x7fffffe4,0xa9999acf,0xf300ffdb,0x8815dfff,
    0x00ffffea,0x6fffffe8,0xffffff88,0xffffc80e,0x87ffff83,0x003ffffb,
    0xfffffff9,0x3a200bff,0xffffffff,0xffffffff,0xffffb2ff,0x7c00003f,
    0x4fffffff,0x7fffffec,0xffffc87f,0x7ffc400f,0xffff54ff,0xfffd103f,
    0x99505fff,0xfff99999,0x99999fff,0x7fff4199,0xffffffff,0x3fa5ffff,
    0xffffffff,0x05ffffff,0x3ffffe60,0xff100000,0xffffffff,0x2fffffff,
    0xeffffff8,0xffffffff,0xfffeefff,0x3fe2003f,0x4007ffff,0xfffffffc,
    0xffffffff,0xff34ffff,0xffffffff,0xffffffff,0x3ffff603,0xffffffff,
    0xb02fffff,0xffffffff,0xffdfffff,0xffe889ff,0xffffffff,0x0fffffff,
    0x3ffffa60,0xfffffeff,0xffc800ef,0xf501ffff,0x90bfffff,0xff07ffff,
    0xfff70fff,0x3fe6007f,0x2fffffff,0xfffff500,0xffffffff,0x25ffffff,
    0x01fffffd,0x3fffa000,0x7d41ffff,0x86ffffff,0x00fffffc,0xa7ffffc4,
    0x01fffffa,0xfffffff3,0xfffffb81,0xffffffff,0x0fffffff,0x3ffffffa,
    0xffffffff,0x3ffffa5f,0xffffffff,0x26005fff,0x000fffff,0x3fffa600,
    0xffffffff,0x3ff27fff,0xefffffff,0xffffffd8,0x003fffff,0x3fffffe6,
    0x7ffc4007,0xffffffff,0xffffccff,0xffffff34,0xffffffff,0x74405fff,
    0xffffffff,0x2fffffff,0x3ffffe60,0xafffffff,0x984ffffb,0xffffffff,
    0xffffffff,0xfffb800f,0xffffffff,0xffff5003,0xffd809ff,0x7e42ffff,
    0xfff83fff,0xffffb87f,0x3fffa003,0x2007ffff,0xfffffffa,0xffffffff,
    0xffb2ffff,0x00003fff,0x7fffffec,0xfffff887,0xfffc85ff,0x7fc400ff,
    0xfff54fff,0x7fd403ff,0x2e0effff,0xffffffff,0xffffffff,0x3fa0ffff,
    0xffffffff,0x25ffffff,0xfffffffe,0xffffffff,0x3ffe6005,0x800000ff,
    0xfffffffb,0x27ffffff,0xfffffff8,0xfffd10ef,0x7fffffff,0xfffff800,
    0xffa8006f,0xffffffff,0x9ffff73f,0x3fffffe6,0xffffffff,0xff7002ff,
    0xffffffff,0xf7001bff,0xffffffff,0x3fffee5f,0xffff9104,0xffffffff,
    0x26001fff,0xdfffffdc,0xfff1000c,0xf100dfff,0x41ffffff,0xf83ffffc,
    0xffb87fff,0x3ea003ff,0x04ffffff,0x3ffffea0,0xffffffff,0xb2ffffff,
    0x003fffff,0x7fffe400,0xfffb04ff,0xff909fff,0xf8801fff,0xff54ffff,
    0xfd803fff,0x2e5fffff,0xffffffff,0xffffffff,0x3fa0ffff,0xffffffff,
    0x25ffffff,0xfffffffe,0xffffffff,0x33322005,0x000000cc,0xfffffd91,
    0x8837bfff,0x0dfffffd,0x7ffffe44,0x4001dfff,0x01fffffb,0xffffb100,
    0x7dc1bfff,0xfdb14fff,0xffffffff,0x30005bff,0xfffffffb,0xe98007bf,
    0x0dffffff,0x013fffee,0xffffffb3,0x17bfffff,0x002a2000,0x7ffffec0,
    0xfff5001f,0x7fe4dfff,0xffff83ff,0x3ffffb87,0x7ffffc00,0x3ea000ff,
    0xffffffff,0xffffffff,0xffffb2ff,0x5c00003f,0x02ffffff,0x7ffffff5,
    0x1fffff90,0xfffff880,0x3fffff54,0xfffffd00,0x3fffee7f,0xffffffff,
    0xffffffff,0x00000000,0x00000000,0xa9880000,0xa980099a,0xbba8802b,
    0x540001aa,0x80000ced,0x002aba98,0x5d554c40,0x00009aac,0x01575310,
    0x57751000,0x31000001,0x01355995,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00b8001c,
    0x05eeed80,0x03333300,0x00131000,0xb1000000,0x98035003,0x001d9803,
    0x00beec88,0x0001a980,0x00266660,0x26000000,0xaaaaaaaa,0xaaaaaaaa,
    0x2601aaaa,0x00001bcb,0x00300180,0xdddd7000,0xed981bdd,0x002eeeee,
    0xffffff30,0x1fffffff,0x3bbbbbba,0xeeeeeeee,0xeeeeeeee,0x00005eee,
    0x00000000,0x00000000,0x00000000,0x800bfb00,0x74000efc,0x2e006fff,
    0xfffffffe,0xeca800bf,0x02dfffff,0x3ffff220,0xdffd8006,0x819ff101,
    0xd501ffd9,0xe8800dff,0x800effff,0xefffffec,0xff50000c,0x3a001fff,
    0xffffffff,0xffffffff,0xfff95fff,0xffffffff,0xffffffff,0xffff709f,
    0x00003dff,0x205fff70,0x0002fffb,0xffffff70,0x3ffa601d,0x8002ffff,
    0xfffffff9,0xf0ffffff,0xffffffff,0xffffffff,0xffffffff,0x000000df,
    0x00000000,0x00000000,0x00000000,0x200bfffb,0x000efffb,0x8017fffa,
    0xfffffffe,0xb301ffff,0xffffffff,0xfd980bff,0x006fffff,0x0fffffd4,
    0xc9fffff4,0xfa86ffff,0x2003ffff,0x6ffffffb,0x3ffffaa0,0x03ffffff,
    0xfffffe80,0xffffd004,0xffffffff,0xbfffffff,0x3ffffff2,0xffffffff,
    0x44ffffff,0xfffffffc,0x3fe203ff,0x3fea05ff,0x7fd41fff,0x40001fff,
    0x4ffffffb,0xfffffb00,0xff98005f,0xffffffff,0xffff0fff,0xffffffff,
    0xffffffff,0x0dffffff,0x00000000,0x00000000,0x00000000,0xffd80000,
    0x7dc05fff,0x0a86ffff,0x884fffd8,0xfffffe82,0x1fffffff,0x7fffffcc,
    0x5fffffff,0xfffffda8,0x22006fff,0xb85ffffe,0xf31fffff,0xfb09ffff,
    0x2001ffff,0xfffffffd,0xfffffa82,0xffffffff,0x3ffee003,0xe801ffff,
    0xffffffff,0xffffffff,0xfff95fff,0xffffffff,0xffffffff,0x7fffd49f,
    0x4fffffff,0x09ffff10,0x27ffffec,0x13fffff6,0xffffb800,0x7d4002ff,
    0x002fffff,0x3fffffe6,0x0fffffff,0xffffffff,0xffffffff,0xffffffff,
    0x00000dff,0x00000000,0x00000000,0x00000000,0xffffffc8,0xfffff705,
    0x42ff885f,0x7d44fffc,0x77fff40f,0xfffffffe,0xfffffd83,0xffffffff,
    0x3ffffe61,0x006fffff,0x03fffff2,0x87fffff3,0x41fffffb,0x05fffff8,
    0xffffffd0,0xffff88bf,0xffffefff,0xf8800fff,0x6fffffff,0xfffffe80,
    0xffffffff,0x95ffffff,0xffffffff,0xffffffff,0x7f49ffff,0xffffffff,
    0xffa84fff,0x3ff604ff,0x7fec4fff,0x70004fff,0x01dfffff,0x3fffa600,
    0x266002ff,0x99999999,0x3bbba199,0xeeeeeeee,0xeeeeeeee,0x05eeeeee,
    0x00000000,0x00000000,0x00000000,0xffc80000,0x7dc5ffff,0xc82fffff,
    0x3fee5fff,0x9fffb13f,0xfff501a8,0xdff10bff,0xffff9559,0xfffe85ff,
    0x06ffffff,0x5fffff30,0x0bffffd0,0x03bffff6,0x05fffff5,0xffffff90,
    0xffffc8df,0x7fffcc1f,0xfffd805f,0x03ffffbe,0x6666665c,0xcccccccc,
    0x533ccccc,0x55555555,0xf9555555,0x3fe69fff,0xffebefff,0xd10dffff,
    0x5405ffff,0x5c2fffff,0x002fffff,0x4fffffb8,0xfffb0000,0x000005ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf9000000,0x2ebfffff,
    0x82ffffff,0x9efffff9,0xfe9afffb,0x2000ffff,0x504fffff,0x3ffff205,
    0x5f7fdc4f,0x006ffffd,0x90bffffd,0x201fffff,0x84fffff8,0x00fffffd,
    0x7fffff44,0x7ffffc7f,0xfffff501,0x2ffff980,0x001ffffd,0x00000000,
    0x29ffff70,0x5c4ffffb,0xefffffff,0x00ffffff,0xc827ffe4,0x88004fff,
    0x001aaaaa,0x55555400,0x00000002,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfff90000,0xffffdfff,0x3fea05ff,0xffdfffff,0xffffffdf,
    0xfff5002f,0xf90003ff,0xe885ffff,0x1bffff62,0x3fffff20,0x7ffffcc0,
    0x7fffd402,0x7fffc41f,0xfff8804f,0x3fe26fff,0x3fe205ff,0x3fa00fff,
    0x3ffea5ff,0x0000005f,0xffb80000,0xffff94ff,0xfffff503,0x9fffffff,
    0x1002a200,0x00000015,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffffffc8,0x402fffff,0xffffffb8,0xffffffff,
    0x32eaa03e,0x05fffffe,0xfffff980,0xfffd800f,0x7ffcc06f,0xfffe82ff,
    0xfff9005f,0xfffa81df,0xffb801ff,0x3fea5fff,0x7fec04ff,0xfff701ff,
    0xffffd83f,0x00000001,0x7ffdc000,0x1ffffb4f,0x3ffffea0,0x01ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fff6000,0x02ffffff,0x7ffff540,0x02efffff,0xffffffe8,
    0xe88002ff,0x004fffff,0x80dffffb,0xc85ffffe,0x000effff,0x09ffffd1,
    0x00dffffb,0x47fffff3,0x404ffffa,0x881ffffd,0xf985ffff,0x00006fff,
    0x5c000000,0x9974ffff,0xfff98099,0x01ffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfffd8000,
    0x0002ffff,0x3ffffff2,0x3ffa003f,0xceffffff,0xfffd1000,0x36001dff,
    0x7406ffff,0xfd85ffff,0x1000efff,0xd09fffff,0x500dffff,0x4c3fffff,
    0x2207ffff,0xc80fffff,0xf900ffff,0x99707fff,0x99999999,0x99999999,
    0x2e000079,0x0004ffff,0x3bffff22,0x0000000d,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x90000000,0xbfffffff,
    0xfffd5000,0x5bffffff,0xfffffd00,0x01ffffff,0xffffff98,0x3ff6000e,
    0x7fcc06ff,0x7fc42fff,0xfb004fff,0xff70dfff,0xfb003fff,0xfff0bfff,
    0x3fea03ff,0xfff987ff,0x3ffe204f,0x7fff40ff,0xffffffff,0xffffffff,
    0xff700005,0x200009ff,0x00000098,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fffffe4,0xd5005fff,
    0xffffffff,0x05dfffff,0x7e54ccc4,0x203fffff,0xeffffff9,0x7ffec000,
    0xfffc806f,0x7ffd40ff,0x7fdc02ff,0x7fcc1fff,0x6c403fff,0xe80fffff,
    0x4c0effff,0xe84ffffe,0x5c00ffff,0x7f45ffff,0xffffffff,0xffffffff,
    0x000005ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffff7000,0xbfffffff,0x7ffffd40,
    0xfefffeff,0x02ffffff,0x3ffffe60,0xfffff506,0x3f60009f,0xf8806fff,
    0xfc85ffff,0xf300ffff,0xfd07ffff,0x9550dfff,0x5ffffffb,0x3ffffe60,
    0xffffedef,0x7ffdc0ff,0xfffd003f,0x7ffff45f,0xffffffff,0x5fffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0xdffffffb,0x05ffffff,0x3ffffff3,
    0xff55fff7,0x8003ffff,0xb87fffff,0x02ffffff,0x3ffff600,0xffff5006,
    0xffff885f,0xffffd05f,0xfffff70b,0xffffff03,0xfc805fff,0xffffffff,
    0x7c42ffff,0x2a006fff,0x3fa6ffff,0xffffffff,0xffffffff,0x000005ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fffdc00,0xffff92ff,0x3ff60bff,0x7fff70df,
    0x893fff62,0x3fff2200,0x7ffe45ff,0xeeeeffff,0x2aaa0eee,0xfffffeaa,
    0xfb00aaaa,0xfa81ffff,0x7e43ffff,0x7cc0ffff,0xff04ffff,0x019fffff,
    0x3fffff20,0x83ffffff,0x002ffffc,0x027ffff4,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7ffdc000,0x7fe42fff,0xf885ffff,0x27ffe43f,0xffa83fee,
    0xfffeeeef,0x3e63ffff,0xffffffff,0x21ffffff,0xfffffffe,0x1fffffff,
    0xbfffff10,0x1fffff90,0x0fffffe6,0x81bffffa,0x00cdffff,0xffffe980,
    0x0000cfff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7fffffdc,
    0xfffff902,0xfb0350bf,0xa85309ff,0xffffffff,0x4c5fffff,0xffffffff,
    0x1fffffff,0x3ffffffa,0xffffffff,0x3fffee01,0x7fffc42f,0xbffff73f,
    0x3fffff50,0x00000d40,0x0005554c,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffffb00,0xffffc805,0x3ff6003f,0xfff5005f,0xffffffff,
    0xffff309f,0xffffffff,0x7ff43fff,0xffffffff,0x7401ffff,0xff501dff,
    0x0ffc8819,0x009ffb30,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fff6000,0x7fffb002,0x6fffe800,0xfffff500,0x015bffff,
    0x3fffffe6,0xffffffff,0x3ffffa1f,0xffffffff,0x0ecc01ff,0x062005c0,
    0x00001260,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xd8005fb0,0xeed8003f,0x4ccc005e,0x00000099,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x02800000,
    0x00000500,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__consolas_bold_49_latin_ext_x[560]={ 0,9,5,0,2,0,0,10,6,5,3,1,5,6,
8,1,1,2,2,3,0,3,2,2,2,1,9,5,2,3,4,6,0,0,3,1,2,4,4,1,2,3,4,3,
4,1,2,0,3,0,3,2,1,2,0,0,0,0,2,7,2,6,2,0,0,2,3,3,1,2,0,1,3,3,
2,3,3,1,3,1,3,1,4,3,1,3,0,0,0,0,3,3,10,5,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,9,2,1,0,0,
10,2,0,0,5,2,2,6,1,0,4,2,5,5,0,3,1,8,10,5,4,3,0,0,0,3,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,3,3,0,0,
0,0,0,0,0,3,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,3,0,
0,0,0,0,0,2,0,0,1,0,1,0,1,0,-1,0,0,1,0,0,0,0,0,0,4,2,0,0,1,0,
1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,3,3,0,3,2,2,0,0,3,3,3,0,0,4,
3,-6,-4,3,2,0,3,0,0,2,3,0,0,0,2,3,0,0,0,0,0,0,0,0,-1,0,3,4,-1,0,
0,0,0,0,2,3,0,0,1,1,0,-4,1,0,0,0,0,0,0,0,0,0,0,0,2,3,0,0,0,0,
0,0,0,0,0,0,0,6,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,-5,-2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,2,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__consolas_bold_49_latin_ext_y[560]={ 36,2,2,4,-1,1,2,2,0,0,2,11,27,20,
27,2,4,4,4,4,4,4,4,4,4,4,11,11,9,15,9,2,1,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,2,1,4,41,2,11,2,11,2,11,1,11,2,1,
1,2,2,11,11,11,11,11,11,11,3,11,11,11,11,11,11,1,-4,1,17,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,36,11,0,4,4,4,
-4,1,1,4,4,13,20,20,1,3,1,6,1,1,2,11,2,17,36,1,4,13,2,2,1,11,-4,-4,-4,-5,
-5,-6,4,4,-4,-4,-4,-5,-4,-4,-4,-5,4,-5,-4,-4,-4,-5,-5,12,-1,-4,-4,-4,-5,-4,4,1,2,2,
2,1,1,-2,11,11,2,2,2,1,2,2,2,1,2,1,2,2,2,1,1,10,6,2,2,2,1,2,2,1,
-4,3,-5,2,4,11,-4,2,-4,2,-5,1,-4,2,-4,0,4,2,-4,3,-5,2,-5,1,4,11,-4,2,-4,2,
-5,2,-5,1,4,0,-4,-6,4,2,-5,1,-4,3,-5,2,4,1,-5,11,4,1,-4,2,4,2,11,-4,-6,4,
2,0,0,4,2,4,2,-4,2,4,11,-4,2,-2,4,11,-4,3,-5,2,-4,2,4,11,-4,2,4,11,-4,2,
-4,2,-4,2,4,11,-4,2,4,3,-4,0,4,3,-5,1,-4,3,-5,2,-6,-2,-4,2,4,11,-4,2,-4,2,
-5,-4,2,-5,1,-4,2,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-11,-8,-4,2,-4,-1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,11,4,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static unsigned short stb__consolas_bold_49_latin_ext_w[560]={ 0,9,17,26,23,27,28,7,16,16,21,25,14,15,
11,24,25,23,23,22,26,22,24,23,23,24,9,14,21,21,21,18,27,27,23,24,24,20,19,24,23,21,18,24,
20,25,23,27,22,28,23,23,25,23,27,27,27,27,23,13,24,13,23,27,17,22,23,20,23,23,26,25,21,22,
20,24,22,25,21,25,23,23,21,21,23,21,27,27,27,27,21,19,7,19,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,0,9,21,24,26,27,
7,24,22,27,17,22,22,15,25,21,19,23,17,17,25,23,24,11,7,17,19,22,27,27,27,18,27,27,27,27,
27,27,27,24,24,24,24,24,24,24,24,24,26,25,27,27,27,27,27,23,27,25,25,25,25,27,22,23,24,25,
24,24,24,24,27,20,25,25,25,25,25,26,25,25,24,24,26,26,26,26,26,25,25,24,25,24,24,27,23,27,
27,24,27,24,27,23,25,26,24,23,24,23,24,23,27,31,26,26,24,25,24,25,24,25,21,23,24,25,24,26,
24,26,24,26,24,26,25,24,27,24,24,25,24,25,24,25,22,23,24,22,23,23,22,23,24,24,23,24,25,20,
22,31,32,24,29,25,22,25,25,23,21,25,24,25,23,21,27,26,27,26,29,29,27,27,27,25,23,21,27,25,
25,25,25,24,23,21,25,24,25,23,26,31,25,24,25,24,25,24,25,24,25,24,29,29,23,22,27,27,27,27,
27,25,25,25,24,25,24,20,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,27,24,27,27,32,28,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,23,21,25,23,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25, };
static unsigned short stb__consolas_bold_49_latin_ext_h[560]={ 0,35,13,32,43,36,35,13,47,47,21,24,18,6,
10,40,33,32,32,33,32,33,33,32,33,32,26,34,28,15,28,35,46,32,32,33,32,32,32,33,32,32,33,32,
32,32,32,33,32,42,32,33,32,33,32,32,32,32,32,45,40,45,17,5,10,26,35,26,35,26,35,36,34,35,
46,34,34,25,25,26,35,35,25,26,34,26,25,25,25,36,25,45,50,45,12,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,0,35,42,32,32,32,
50,41,11,33,24,20,12,6,25,9,18,30,20,21,10,35,40,11,8,20,24,20,34,34,35,35,40,40,40,41,
41,42,32,40,40,40,40,41,40,40,40,41,32,41,41,41,41,42,42,22,43,41,41,41,42,40,32,36,35,35,
35,36,36,39,26,33,35,35,35,36,34,34,34,35,35,35,35,35,35,36,36,26,36,35,35,35,36,45,44,46,
40,34,41,35,42,35,41,35,41,35,42,36,41,35,40,37,32,35,40,34,41,35,41,36,42,35,40,35,41,45,
42,45,42,46,42,47,40,42,32,34,41,35,40,33,41,34,42,45,41,25,33,46,41,45,42,44,25,40,42,42,
44,36,36,32,34,32,34,40,34,42,35,40,34,38,43,36,41,34,42,35,41,35,33,26,40,34,42,35,40,34,
41,35,41,35,40,33,41,35,42,43,40,37,32,34,42,36,41,34,42,35,43,39,41,35,42,35,40,34,40,45,
41,40,34,41,35,40,34,35,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,41,32,32,32,
32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32,32,32,32,32,47,45,40,35,46,43,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32,32,32,32,32,42,35,42,43,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32, };
static unsigned short stb__consolas_bold_49_latin_ext_s[560]={ 504,494,494,72,152,1,405,504,89,45,25,
480,147,494,499,418,348,172,359,325,304,256,154,383,279,1,494,495,453,206,431,
492,160,356,384,231,432,309,289,129,457,481,490,26,51,99,408,101,149,82,125,
77,330,179,331,276,248,220,196,433,157,364,182,366,326,76,176,1,128,169,76,
141,468,358,106,52,368,247,373,121,103,381,323,99,444,147,273,345,219,453,301,
447,1,292,251,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,
155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,504,498,303,
236,80,261,9,414,277,203,462,101,228,494,193,344,162,407,65,47,300,22,77,
499,504,83,442,124,136,108,222,492,82,464,26,467,439,286,473,439,280,305,255,
382,368,414,469,191,27,246,272,300,328,374,54,1,224,177,203,229,159,386,132,
403,280,254,229,353,378,135,22,398,77,51,25,481,291,264,238,424,399,374,347,
320,305,301,274,50,167,219,193,295,83,312,73,188,314,343,124,450,1,1,457,
175,432,250,185,250,152,152,330,186,209,202,1,164,1,149,483,427,451,475,289,
269,76,406,349,467,252,216,473,62,27,29,181,422,407,332,238,419,26,317,428,
340,51,419,374,243,101,1,335,48,395,393,234,314,25,29,108,107,78,1,190,
1,52,111,200,443,27,160,200,61,1,473,360,299,216,434,445,475,358,447,210,
400,129,1,111,351,85,274,53,303,165,326,402,176,102,218,54,419,277,328,59,
27,260,244,126,110,29,46,325,377,182,391,210,378,137,263,1,388,103,342,213,
1,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,356,
155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,
155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,
155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,
155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,
155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,
155,155,155,17,267,54,464,127,97,155,155,155,155,155,155,155,155,155,155,155,
155,155,155,155,155,155,155,155,155,155,155,155,155,135,127,402,176,155,155,155,
155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,
155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,
155,155,155,155,155,155,155,155,155, };
static unsigned short stb__consolas_bold_49_latin_ext_t[560]={ 24,1,252,519,52,307,344,1,1,1,579,
552,579,37,319,225,451,519,519,451,519,451,451,519,451,519,225,98,519,579,519,
183,1,486,486,451,486,486,486,451,486,486,416,519,519,519,486,451,519,98,519,
451,486,451,519,519,519,519,519,1,225,1,579,579,579,552,380,552,380,552,380,
307,416,344,1,451,416,552,552,552,344,344,552,552,416,552,552,552,552,266,552,
1,1,1,579,486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,
486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,24,52,52,
486,486,486,1,98,579,451,552,579,579,37,552,579,579,519,579,579,579,380,225,
307,15,579,552,579,416,416,380,344,266,183,266,98,98,98,451,183,183,183,183,
141,225,183,225,141,486,141,141,141,141,52,98,579,52,183,183,183,98,183,486,
266,344,344,344,266,266,266,552,451,344,344,344,266,416,416,416,307,307,307,307,
307,344,266,266,552,307,307,307,307,307,1,52,1,225,416,183,307,98,344,141,
344,141,380,98,266,183,380,183,266,486,344,266,416,183,344,141,266,52,307,225,
307,183,1,52,1,52,1,52,1,225,98,486,380,141,344,225,451,183,416,52,
1,183,552,451,1,183,52,98,52,552,225,98,98,52,307,307,486,416,486,416,
225,416,98,380,225,416,266,52,307,141,380,98,380,141,344,451,519,183,380,98,
380,225,416,141,380,141,380,225,451,141,380,52,52,225,266,486,416,52,266,141,
451,98,307,52,266,141,380,52,380,225,416,225,1,141,225,451,98,380,225,416,
380,486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,141,
486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,
486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,
486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,
486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,
486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,
486,486,486,1,1,266,344,1,52,486,486,486,486,486,486,486,486,486,486,486,
486,486,486,486,486,486,486,486,486,486,486,486,486,98,344,52,52,486,486,486,
486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,
486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,486,
486,486,486,486,486,486,486,486,486, };
static unsigned short stb__consolas_bold_49_latin_ext_a[560]={ 431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_49_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_bold_49_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_49_latin_ext(stb_fontchar font[STB_FONT_consolas_bold_49_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_49_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_bold_49_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_49_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_49_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_49_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_49_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_49_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_49_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_49_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_49_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_49_latin_ext_s[i] + stb__consolas_bold_49_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_49_latin_ext_t[i] + stb__consolas_bold_49_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_49_latin_ext_x[i];
            font[i].y0 = stb__consolas_bold_49_latin_ext_y[i];
            font[i].x1 = stb__consolas_bold_49_latin_ext_x[i] + stb__consolas_bold_49_latin_ext_w[i];
            font[i].y1 = stb__consolas_bold_49_latin_ext_y[i] + stb__consolas_bold_49_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_bold_49_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_49_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_49_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_49_latin_ext_s[i] + stb__consolas_bold_49_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_49_latin_ext_t[i] + stb__consolas_bold_49_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_49_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_49_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_49_latin_ext_x[i] + stb__consolas_bold_49_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_49_latin_ext_y[i] + stb__consolas_bold_49_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_49_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_49_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_49_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_49_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_49_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_49_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_49_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_49_latin_ext_LINE_SPACING
#endif

