// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_34_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_34_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_34_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_34_latin_ext_BITMAP_HEIGHT        240
#define STB_FONT_courier_34_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_34_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_34_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_34_latin_ext_LINE_SPACING          16

static unsigned int stb__courier_34_latin_ext_pixels[]={
    0x00014400,0x00000000,0x00000000,0x02600002,0x00012200,0x00000000,
    0x00009800,0x40c40000,0xaaa88009,0x000aaaaa,0x00c00000,0x26620000,
    0x99999999,0x00000099,0x00000000,0x00000440,0x00022000,0x00000188,
    0x0000aaa8,0x200000c0,0x00000008,0x00013e60,0xbf0003d1,0x03b02cc0,
    0x0002f4c0,0x20001fb8,0x2d8002fa,0x007f5000,0x03f905f5,0x2000bd30,
    0x200000eb,0x7d1004e8,0x644007dc,0x0ccccccc,0x000075c0,0x20013a20,
    0x7f400dd8,0xffffffff,0x32006fff,0x002d800d,0x000dd880,0x20017cc0,
    0x980002e9,0x9d10002f,0x360fa200,0x05fdd106,0x01fcc000,0x003f9800,
    0x20000eb8,0x4c0003fa,0x0bf0004f,0x007a82f8,0x007bb3ea,0x0002fc80,
    0x26000bf2,0xbfc8000e,0x0bea00df,0x9f5007f2,0xf70003dd,0xbd100003,
    0x6eec4001,0x0000000d,0x80000f6c,0xe98003f9,0x0ba01edd,0x201aa132,
    0x401edee8,0x74c0003d,0x50001edd,0xcfb8007f,0x3ea0004f,0x09f30003,
    0x7fc37cc0,0x00017400,0x00013ea0,0xd88007f5,0xb8002fde,0x7d40002f,
    0x017e0003,0x7f9559f7,0xfc8bf200,0x01fd8002,0x0007f600,0xd1003fe4,
    0x407b623d,0x01fc82fa,0x02fc8bf2,0x3c9aa5b8,0x8027cc00,0xda9322d8,
    0x26076600,0x05f9001d,0x9174b700,0x647f7007,0x9905d02f,0x4fa80d50,
    0x03d80ff2,0xfb93ea00,0x017dc003,0x3a63fb10,0x17e4000e,0x003fa800,
    0x80188098,0x9800002e,0x5f70005f,0x70de9800,0x0f44007f,0x00bea000,
    0x93001300,0x2a0039dd,0x000fa80e,0xa80003ae,0x3ea0000e,0x5c172005,
    0x31013105,0x7d407540,0xf807f400,0x00fe2006,0x3f204f98,0x2e0fea01,
    0x07ee002f,0x3e01fd00,0x5417cc06,0x4c82e81f,0x0be206a8,0x01ec0bea,
    0xfa82f980,0x003f5001,0x06d80ec8,0x40007ea0,0x000002f8,0x00005d00,
    0x3000fa20,0x07f0003f,0x144007d3,0x00066000,0x00000000,0x18000000,
    0x00000000,0x00000000,0x20080000,0x000c0008,0x04004004,0x00300010,
    0x00088020,0x9905d000,0x20080d50,0x66f665c0,0x003ccccc,0x40000000,
    0x00000400,0x00000000,0x00005d00,0x00000000,0xdc800004,0xb50001eb,
    0x0000005b,0x00000000,0x5d81bb98,0x00000000,0x00000000,0x33330000,
    0x03333101,0x07d307ae,0x4404cccc,0x4ccc1999,0x19998809,0x3e983d70,
    0x20266660,0x44019998,0x81e801ba,0x2206984c,0x99999999,0x337b32a0,
    0x982ccccc,0x99880999,0x2eea2019,0x5d440009,0xba880009,0x4cccc009,
    0x21999880,0x9504cccb,0x25d01999,0x03dffec9,0x0006ea20,0x4000dd44,
    0x0009bba8,0x80049962,0x200d88d8,0xccccccc8,0x3ffae04c,0x079970bd,
    0x42f7ffae,0xff503ccb,0x3ee5ffbd,0x20999970,0x700cccca,0x2e17bffd,
    0x3332e3cc,0x3224cccc,0x9930cccc,0x332e9999,0x9999504c,0x3fffff61,
    0x3ffffe61,0x7d42fd85,0xfffffb05,0x7ffffcc3,0x3fffffb5,0x2fffffcc,
    0x17ea17ec,0x0fffffec,0x0bfffff3,0x9dfbffb1,0x82640201,0x3ffffe00,
    0xd83fffff,0x3fff6003,0x3ffe61ff,0xeffb85ff,0x204bbffe,0xdffeefea,
    0x3faa04b8,0x4b8dffee,0x87fffff6,0x55fffff9,0x326079fd,0xf55d04fd,
    0x0bd73359,0xefdffd88,0xffd8800c,0xb800cefd,0xbbffeeff,0x0b124c04,
    0x01d45700,0x99999971,0x37dd10f9,0x9bd1dd53,0x99bee885,0x2cde8eea,
    0xdfa82fc8,0x0f3faa1f,0x4427ee4c,0xeea99bee,0x32e2cde8,0x27cccccc,
    0x11fcccb8,0x2afb9999,0xb9303cfe,0x3003f09f,0x0980c40f,0x3cc00fc0,
    0x079801f8,0x2004c062,0x3079801f,0x0ed881bd,0x00013200,0x01ec0354,
    0x3cc00fc0,0x2e20bfc8,0x15f504ff,0x8277f5c4,0x3ae20afa,0x801f84ef,
    0x800f8879,0x07fba04d,0xde982ec4,0x30076c40,0x0ed881bd,0xb882ff20,
    0x9bd804ff,0x2498002d,0x1e20001c,0x7f5c037a,0x2e01bd02,0x03f702fe,
    0x07c42fcc,0x0de826c0,0x8005fd70,0x300fc078,0x6c007c4f,0xf3003f04,
    0x0fc00000,0x01f83cc0,0x00000798,0x21e6007e,0x02e404f8,0x20000990,
    0x003d806a,0x879801f8,0x13ea02f9,0x9f9003ea,0xfc801f50,0x79801f84,
    0x0f980990,0x3a00bfa0,0x32027c43,0xc809f105,0x5405f305,0x0395004f,
    0x02776400,0x1d71e200,0xeb82fd80,0x4417ec00,0x07ef401f,0x03e60264,
    0x5fb003ae,0x7c078800,0x0991e601,0x03f00f98,0x00000f30,0x83cc00fc,
    0x0079801f,0x2007e000,0xb005c879,0x00132009,0x1ec03540,0x4c00fc00,
    0x4e806b87,0x7c4017c4,0x44017c44,0x9801f84f,0x6c01f107,0xa802f404,
    0x4d802e46,0x09b005c8,0x209d00d7,0x01999998,0x80000400,0x4c017478,
    0x9802e82f,0x6405d82f,0x01f10bb6,0x802e826c,0x3c4002f9,0x479807e0,
    0x813600f8,0x5479801f,0x999704cc,0x26007e03,0xf3003f07,0x9704cca8,
    0x007e0399,0x003f31e6,0x132003e6,0x40354000,0x01f8003d,0x804c8798,
    0x5002dc19,0x2a005b87,0x79801f83,0x07cc1320,0x7c400fa0,0x26003f30,
    0x4007e60f,0x402640f9,0xffffd019,0x040003ff,0x7c788000,0x3f05f001,
    0x07e0be00,0x01f30fb8,0x403e6099,0x005f001f,0x00fc0788,0x260990f3,
    0x2007e00f,0x83ee4c79,0x3f03ecca,0x07e0f300,0xfb931e60,0x40fb32a0,
    0x5c79801f,0x4016c005,0xd500004c,0xf0007b00,0xd50f3003,0x000b6000,
    0xf00005b0,0x440f3003,0xe804d80f,0x2dc7e002,0x05b8b600,0x01aa16c0,
    0x0999b000,0x7ff6dcc0,0x9e20003e,0x85d000f8,0x85d000f8,0xf0be6078,
    0x9b01f103,0x74003e20,0x203c4002,0x221e601f,0x7c04d80f,0xf1079801,
    0x07e07b00,0x00fc1e60,0x807883cc,0x3003f03d,0x5c003d8f,0x0004c804,
    0x07b00d50,0xf3003f00,0xf00037a0,0x01f80003,0x9801f800,0x3e626407,
    0x3004e800,0x2e001ecf,0x97000f64,0x00001bd0,0x200f33f1,0xc999bdfa,
    0x8f10005e,0x82f8801f,0x42f8801f,0xd07d1069,0x1f313205,0x7c400fc0,
    0x203c4002,0x641e601f,0x3e007cc4,0xf1079801,0x07e07b00,0x00fc1e60,
    0x807883cc,0x3003f03d,0x54002e8f,0x0004c805,0x07b00d50,0xf3003f00,
    0x2b37f220,0x0003e200,0x80000f88,0x4079801f,0x401360f8,0x74d7006e,
    0x5d2d4002,0xc885a800,0x8000acdf,0x0000ba6a,0x220007e2,0x7d4026c7,
    0xfa804d82,0x05d82dc2,0xd83e207b,0x54026c04,0x03c4002f,0x1079807e,
    0x7c026c1f,0xf1079801,0x07e07b00,0x00fc1e60,0x807883cc,0x3003f03d,
    0x4c001f8f,0x0004c807,0x0d900d50,0xf3003f00,0xffeca880,0x0007c40c,
    0x00001f10,0x00f3003f,0x4003e299,0x0fcc04fe,0x2798003f,0x03cc001f,
    0x19ffd951,0x05b8f600,0x000b9000,0x201f98f1,0x1f982ff8,0xd50bfe20,
    0x0ba01d90,0x801f14c8,0x3fe201f9,0x203c4002,0xc81e601f,0x3f001f14,
    0x1e20f300,0x00fc0f60,0x801f83cc,0xb00f1079,0x26007e07,0x2a001747,
    0x3bb33305,0x50051033,0x817f300d,0x00fc5eb8,0x6cc003cc,0x0003e20e,
    0x80000f88,0x8079801f,0x2004c8f8,0xfa80debe,0x2a001744,0xb5000ba5,
    0x00ed9800,0x01f107c4,0x000b7000,0x305f70f1,0x3ee05d9d,0x42ece982,
    0xf00fd478,0x2647c403,0xe982fb80,0x3c4002ec,0x079807e0,0x401323e2,
    0x1079801f,0x3e07b00f,0x3f079801,0x1e20f300,0x00fc0f60,0x000f63cc,
    0xffff7097,0x5b87ffff,0xb5006a80,0x05dffddf,0x00f3003f,0x007e2e40,
    0x00003f00,0x00f3003f,0xe8003f72,0xedcdfd8a,0x4003d82f,0x7000f64b,
    0x01720009,0x2007b0b7,0xdcdeedca,0x50788005,0x27fd99df,0x33bea02e,
    0xf05d3fec,0x7980be23,0x000fdc80,0x3fb33bea,0x788005d3,0x2be66662,
    0x01e60999,0x3a001fb9,0xf107a802,0x0ba07b00,0x01741ea0,0x807883d4,
    0x5005d03d,0x6c005b8f,0x0b700002,0xa8800d50,0x00ba009a,0x788001ea,
    0x3a0001f4,0x02e80003,0xbf1007a8,0x2e62e800,0x0b700acc,0x016e2d80,
    0x220005b0,0x35417407,0x2b33fa60,0x8005ecba,0x332a2078,0x5100ba0a,
    0x41741599,0x5d809d5c,0x8005f880,0x3a0acca8,0xf93c4002,0xffffffff,
    0x3e203ccd,0x200f2005,0xb00f105c,0x3200f207,0xb9007905,0x0f601e20,
    0x22e401e4,0x1f3001f9,0x5b803300,0x4c005c80,0x90079001,0x3e00698b,
    0x70001ae1,0x0790000d,0x3e200b90,0x00174001,0xf3001f98,0x9800fcc1,
    0xf801a60f,0x0fc0f301,0x2e00cf88,0x00788005,0xd0000ba0,0x80ddf105,
    0x1f8800f9,0x02e80000,0x20003c40,0x00fc4079,0x09d00d50,0x07d003e2,
    0x413a01aa,0x104e806a,0x503e801f,0xd909d00d,0x26013600,0x016e01ff,
    0xff9800fa,0xe806a801,0x4c017cc4,0xb1004e87,0x162009d0,0x013a01aa,
    0x174002e4,0x200d9000,0xb006c84d,0x9802f989,0x4c813207,0x0b700d90,
    0x4000d500,0x0fc0001f,0x3e602fd8,0x000b9003,0x50007e00,0x05b8000f,
    0x3e2002e4,0xd803f203,0x207fd102,0x03f203f8,0x1f901fc4,0xfe8816c0,
    0x6407f103,0x404f880f,0x1fd1005c,0xf500fdc0,0x07f44001,0xf901fc40,
    0x400ff981,0x403f985d,0x03f984f9,0x1fc427cc,0xf1001f90,0x005d0003,
    0x32027c40,0xc809f105,0x400ff985,0x3fffe05d,0xd07fffff,0x000b9007,
    0x1ea0009b,0x2a0f5000,0x2a20bfdf,0x03f1003f,0x00f50000,0xe8000bb0,
    0x0007e203,0x5f9113e6,0x2e21ea80,0xf301becf,0x402fc889,0x17e444f9,
    0xfb887aa0,0x9f301bec,0x2202fc88,0x076cc1ee,0xf700b300,0x017dc419,
    0xf3002cc0,0x982fc889,0xed981eef,0x883bf300,0x37e603fb,0x301fdc41,
    0x02fc889f,0x3a000b90,0x77440002,0x10076cc1,0x0ed983dd,0x981eef98,
    0x33d500ed,0x5d333333,0x5fc80b70,0x00bee200,0x8000fea0,0x53f883fa,
    0x05ffddfd,0x00002e40,0x71001fd4,0x3220003f,0x0017201f,0xefeefe98,
    0xffdfb001,0x403ff65d,0x1efeefe9,0xfddfd300,0x3bf6003d,0x1ffb2eff,
    0x3fbbfa60,0xdff9001e,0x440017df,0xdfd3001e,0x10003dfd,0xfe98003d,
    0xb101efee,0x3ffbbfee,0x7fec400c,0x8801effe,0x1effeffd,0xfeefe980,
    0x9999301e,0x910079bf,0x00799bf9,0x77f7fe40,0xdff9000b,0x562017df,
    0xcffeeffb,0x2e00f600,0x220bf885,0x209eceea,0xffccccc8,0x66665402,
    0x995003fe,0x3607fd99,0x400aa884,0xcdfcccc9,0xccca8003,0x32e03fec,
    0x003ffccc,0x3ffb9993,0x6fe6664c,0x2a20003c,0x1550001a,0x0d544000,
    0x01aa8800,0x00015500,0x8000d544,0x060000a9,0x006aa200,0x44000300,
    0xa98001aa,0xa980009a,0x5530000a,0x35510001,0xccccca80,0xcc8803cc,
    0x0004cccc,0x20000a98,0x530000a9,0x0f880135,0xfa80f880,0xf73ffeef,
    0x333221ff,0xcb800acc,0x2000bccc,0x00bccccb,0x32a00002,0x03cccccc,
    0xbccccb80,0x66666400,0x3326000b,0x66540acc,0x003ccccc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x002dc000,0x2aa6207b,0x00000000,
    0x00000000,0x00000000,0x00000000,0x44000000,0xaaaaaaaa,0xdd30aaaa,
    0xdddddddd,0xdddddddd,0x00000003,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x674c4000,
    0x3ae66019,0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ffffcc0,0x1fffffff,0x2aaaaaaa,0xaaaaaaaa,0x000002aa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7e400000,0xf982ffff,0x0004ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x55440000,0xaaaaaaaa,0x000000aa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00810000,0x00180000,0x00040400,0x00000011,0x001cc980,0x00000000,
    0x40f20088,0x0022004b,0x20030000,0x0009503c,0x00188013,0x0039024c,
    0x00000220,0xb101b300,0x00000003,0x412e0002,0x0144005a,0x00006200,
    0x00000060,0x22002000,0x400c880d,0x0103602b,0xf5274000,0x009f3001,
    0x00001db0,0x802ec3f3,0x20001ff9,0xe88001ea,0x22000e99,0x6c4000dd,
    0x7f30000d,0x3f62fcc0,0x00bea001,0x01b62000,0x0bf22fcc,0x9803f700,
    0x07e2002f,0x2a0003e6,0x0ed8002f,0x4c5fb000,0x7fb5005f,0x7dc00188,
    0x07744005,0x6e4005f7,0xf30001eb,0x36c00005,0x000bb000,0x4401fa80,
    0x017a61ed,0x21ae03e6,0xed80002e,0x26005f50,0x3db0004f,0xb1fcc000,
    0x3fea001d,0xf9f90002,0x2a2b8005,0xdbbd3003,0x377a6003,0x1fd4001e,
    0x77577440,0x03fb8000,0x03ba2000,0xedaee880,0x017e4001,0x2e004fa8,
    0x03eb99be,0x4002fb80,0x002fdee9,0x07f79f70,0x3baafea0,0x6c003fcb,
    0x5fb0007f,0x2c4003db,0x7d400093,0x77440004,0xeee98000,0xfb80001e,
    0x2efee002,0x2fb6003f,0x6b82fb98,0xa876c000,0x13e6002f,0x001fc800,
    0x03b63f98,0x10007700,0x013ea1dd,0x200ae498,0x00ff24fb,0x01fdc9f5,
    0x64002fb8,0x7d40004f,0x5e980004,0x037f2000,0x8003fb00,0x36a005f9,
    0xc8002dff,0x27d4001f,0x260009f7,0x022001ee,0x30005dd5,0x7dc0005b,
    0x124c000d,0x5f98000b,0x00bd3000,0x2fc93ea0,0x007f2000,0x000bfe60,
    0x039ffb71,0x540007e2,0x2000fe0e,0x3dc00009,0x1d527400,0x74000000,
    0x2004e884,0xf9805ddd,0xf301fa82,0x9803f505,0x0010001f,0x000ba600,
    0x300009d0,0x001d7000,0x0000fa20,0x001ea800,0x174c17c4,0x00008800,
    0x00000000,0xbd800020,0x880002d9,0x04e8003e,0xf505f300,0x01d70003,
    0x00004400,0x002e4002,0x00000100,0x01000000,0x10000000,0x00880000,
    0x00000000,0x5d440000,0x00000001,0x1eb80000,0x00001f4c,0x4cccc000,
    0x01999880,0x00000000,0x22026666,0x4ccc1999,0x19998809,0x009ba880,
    0x009ba880,0x00039500,0x00000000,0x00004010,0x5dd44000,0xab980009,
    0x000fc401,0x0001ba88,0x09999800,0x4c199988,0x99880999,0x3ffae019,
    0x079970bd,0x98035730,0x99880999,0x4ccccc19,0x4cc19999,0x99999999,
    0x26662199,0x01999999,0x9dfbffb1,0x33331001,0x4cc40033,0x06666200,
    0x17ea17ec,0x99999998,0x4cccc199,0x36199999,0x261fffff,0x265fffff,
    0x99999999,0x33101999,0x36003333,0x261fffff,0xfb5fffff,0x7cc3ffff,
    0xd505ffff,0x71bffddf,0x777f5409,0x104b8dff,0x00333333,0x4ccccccc,
    0x10199999,0x00333333,0x31004cc4,0x4ccc4013,0x99999999,0xfddff701,
    0x6d40977f,0xbafffdff,0x44005c84,0x0cefdffd,0x16666540,0x3fffff60,
    0x3ffffe61,0x3fffffb5,0x2fffffcc,0x2a66fba2,0x02cde8ee,0xfffbffb5,
    0x7ffec975,0x3ffe61ff,0xffff75ff,0x29ffffff,0xfffffffc,0x2a7fffff,
    0xffffffff,0x06f4c1ff,0xfd003b62,0x003fffff,0x101ffff3,0x10bfffff,
    0x7dc02603,0xffffffff,0xfffff74f,0xf89fffff,0x7e479801,0xffffffff,
    0xffd07fff,0x4003ffff,0xf079801f,0x540f3003,0x3fae20af,0x415f504e,
    0xd04efeb8,0x03ffffff,0xffffff90,0x0fffffff,0x3ffffffa,0xffffb801,
    0x2ffffa82,0xffffffa8,0x0fffffff,0xf7105fe4,0x02fea09f,0xf30bfd51,
    0x037a6001,0x64c01db1,0x3f004ecc,0x07e0f300,0x06f41e60,0x2a02feb8,
    0x7f5440bf,0x79801f85,0x79804c80,0x01ea7880,0x027c43f1,0x99b00172,
    0x05fe8009,0x000003c4,0x264004c8,0x3cc00fc0,0x07880798,0x400999b0,
    0xf079801f,0x2a0f3003,0x427e400f,0x27e400fa,0x004ccd80,0x01e201e6,
    0xb002666c,0x200bb00b,0x1f103f2e,0x9f5017cc,0xe8807f30,0xf1009b05,
    0x2005c809,0x003f004c,0x2007e0f3,0x400eb879,0x07f302fd,0x01f85e88,
    0x04c80798,0x27880798,0x3226c07a,0x2009b005,0x400799f8,0x1e201fbe,
    0x26400000,0x3e013200,0xf3079801,0xf100f100,0x0fc00f33,0x01f83cc0,
    0x02f88798,0x17c44f88,0x44027c40,0x2600799f,0x88078807,0x2200799f,
    0x003ea02f,0x440fc3e2,0x3a01ae0f,0xb8027c44,0xc801f304,0x2009b005,
    0x003f004c,0x2007e0f3,0x9802e879,0x004f882f,0x3003f097,0x3009900f,
    0x3d4f100f,0x0fcc1d70,0xa800f980,0xae800ba6,0x951e206b,0x3332e099,
    0x4004c801,0x801f804c,0x100f3079,0x174d500f,0x79801f80,0x0f3003f0,
    0x21d400b7,0x00ea005b,0x3002e9aa,0x500f100f,0xf500174d,0x2005f101,
    0x3e207e6a,0x06601320,0x004400d5,0x00fcc07d,0x4c800f98,0xf3003f00,
    0x1e6007e0,0x417c007e,0x2022006a,0x8079801f,0x8079804c,0x7cc1a658,
    0x36002dc1,0x16e3d802,0x207d2e80,0x83ee4c78,0xc803ecca,0x40264004,
    0x3079801f,0xb00b100f,0x1f802dc7,0x03f07980,0x005b0f30,0x00002d80,
    0x4016e3d8,0x80588079,0xb0016e3d,0x6400b90b,0x83e207e3,0x0990006a,
    0x703d4000,0x802d800b,0x003f004c,0x2007e0f3,0x8007c479,0x0004c82e,
    0x079801f8,0x879804c8,0x740a2029,0x5c003d83,0xf107c404,0x7d4ba001,
    0x0f107880,0x099007b0,0x1f804c80,0x0f307980,0x0f880053,0x07e003e2,
    0x00fc1e60,0x000fc3cc,0x000007e0,0x007c41f1,0x0014c3cc,0x00f883e2,
    0x0f98be20,0x21f87e00,0x0037a060,0x800005d0,0x8007b03e,0x004c804b,
    0x20f3003f,0xf879801f,0xe82f8801,0x01f80002,0x04c80798,0x004c8798,
    0x005d06c8,0x42dc05a8,0x6c5d003d,0x0f107884,0x099007b0,0x1f804c80,
    0x0f307980,0x85b80099,0x801f803d,0x3003f079,0x0000f88f,0x000003e2,
    0x3007b0b7,0xb800990f,0x54003d85,0x4c007d0f,0x406a8fc7,0x00acdfc8,
    0x000003e2,0x000ba0d5,0x009900b5,0x41e6007e,0xd879801f,0x442fa804,
    0x1f80000f,0x4c807980,0xccccf980,0x07d4004e,0x3cc001f8,0x01aa0ba0,
    0x883f1174,0x7b00f107,0xc8009900,0x9801f804,0x9999f307,0x82e8009d,
    0x801f806a,0x3003f079,0x0000f88f,0x000003e2,0x300d505d,0x09d9999f,
    0x06a82e80,0x005ccd80,0x3737e2dc,0xfd951006,0x00f8819f,0xf82f8000,
    0x403cc001,0x003f004c,0x2007e0f3,0x201f9879,0x07c42ff8,0x400fc000,
    0x804c8079,0x4feeeef9,0xe80be200,0x302d4002,0x7400fc0f,0x41e23642,
    0x803d8078,0x0264004c,0x83cc00fc,0x4feeeef9,0x1f81e600,0x3cc00fc0,
    0x479801f8,0x220000f8,0x2600000f,0xf3007e07,0x009fdddd,0x003f03cc,
    0x4000ff88,0x36e6fc3d,0x41db3000,0x999300f8,0x6b807999,0x2d4002e8,
    0x1f802640,0x03f07980,0x0bee0f30,0xf10bb3a6,0x33332601,0x400fc3cc,
    0x804c8079,0x2004c879,0x001ec05d,0x204c812e,0x442e804c,0x3c41e22f,
    0x26401ec0,0x3e013200,0xf3079801,0x26400990,0x01f80990,0x003f0798,
    0x0003f0f3,0x200001f8,0x3013204c,0x6400990f,0x20013204,0x41f8005c,
    0x0000d51f,0x9301f8b9,0x807dd999,0x001ec2f8,0x0132012e,0x83cc00fc,
    0x2079801f,0x3feccefa,0x2603f05d,0x43eecccc,0x8079801f,0xa879804c,
    0x201d7003,0x2d800b71,0x3fffffe0,0x2e807fff,0x20f10fa8,0x803d8078,
    0x0264004c,0x83d40174,0x2003a879,0xffffffff,0x4017407f,0x5005d07a,
    0x80007d0f,0x3e00003e,0xffffffff,0x1d43cc07,0xffffff00,0x9000ffff,
    0xfffa8009,0x00061fff,0x005b1e20,0x46c802e4,0x216c005b,0x9dc99998,
    0x02e80999,0x005d07a8,0xcca880f5,0x0b60ba0a,0x02e85c80,0x04c807a8,
    0x85300798,0x26f301f9,0x01f3001f,0x266667aa,0x7402e999,0x41e29b02,
    0x803d8078,0x0264004c,0x82e401e4,0x50530079,0x3333333d,0x01e405d3,
    0x803c82e4,0x0006b85c,0xa800035c,0x9999999e,0x01e602e9,0x4cf5414c,
    0x2e999999,0x20026400,0x1f9999dc,0x3e006980,0x5c801721,0x7cc3f100,
    0xe81f3001,0xffffffff,0x01e40eff,0x803c82e4,0x1740005c,0x0b9002e4,
    0x00b90079,0x00f30099,0x4c09d16e,0x26c01b27,0x0b7007b0,0x13f302e8,
    0xd003e20f,0x80099007,0x806a804c,0x200f304e,0xb803d85b,0x3a01aa05,
    0x9d00d504,0x2c4013a0,0x05880274,0x40b7007b,0xb0b70079,0x800b7007,
    0x4174004c,0x3e67501f,0x7c479802,0x400b9002,0xd803645c,0x001e9804,
    0x209d00d5,0x004e806a,0x17c40fc0,0x06a85c80,0x04c804e8,0x4b700798,
    0xf13cc06c,0x2205c809,0x00f8800f,0x78dc80ba,0x7f440b60,0x4004c803,
    0x03f8804c,0x03cc03f2,0x007c45b8,0x3f8807c4,0x7c403f20,0x4c03f203,
    0x427cc03f,0x27cc03f9,0x7c4007c4,0x2e00f300,0x44007c45,0x0132000f,
    0x01f80f88,0x003fe6b7,0x003f70bb,0x0fc400b9,0x05c809f1,0x7c400590,
    0x4403f203,0x003f203f,0x3ee07a80,0xf885c801,0x2003f203,0x0079804c,
    0x3003e6b7,0x4c1ee88f,0x016e00ed,0x80ba03d8,0x3aa07bf8,0x2fb3ee21,
    0x20026401,0x89f3004c,0x1e602fc8,0x016e2dc0,0x13e603d8,0xf9805f91,
    0x2017e444,0x7dc41df9,0x1077e603,0x016e07f7,0x00f303d8,0x400b716e,
    0x0132003d,0x203f06a8,0x03ddf35b,0x3ee01db3,0x05eb880c,0x3ba226c0,
    0x80076cc1,0x3e60062b,0x2017e444,0x17e444f9,0x807f5000,0xeb880cfb,
    0xc889f305,0xb333302f,0x2213333b,0x99999fa9,0x9d5c9999,0x33333333,
    0x3bff20f5,0xd3100bef,0x5ccc0339,0x2fa6209e,0x80ff7019,0xb2effefd,
    0x4cccc1ff,0x209999dd,0x99dd9999,0xdfd30099,0x26203dfd,0x999999fa,
    0xd315c999,0x5ccc0339,0xdfd3009e,0x26003dfd,0x01efeefe,0xffdffb10,
    0xffb1003d,0x3103dffd,0x4cc0339d,0xf53109eb,0x33333333,0x33a62b93,
    0x3ae66019,0xbb333009,0xb3101333,0x4d7ccc19,0xb15c9999,0x3ffbbfee,
    0x7ff4c00c,0x002efeee,0xffc80f98,0x2000befe,0x3004fee8,0x03dfddfd,
    0x3fbbfa60,0x9995001e,0x26007fd9,0xefeeeffe,0x777f4c02,0xfff701ef,
    0x7fffffff,0x3fffffee,0x5fffffff,0xfffffffd,0xa980ffff,0xffffc800,
    0xffff982f,0x3fffee4f,0x200fd02f,0xffb800aa,0xffffffff,0xffffff73,
    0x8807ffff,0x7fdc01aa,0xffffffff,0xfff95fff,0xfff305ff,0xaa8809ff,
    0x35510001,0x0554c000,0x00aa9800,0x0bfffff2,0x53ffffe6,0xfffffffb,
    0x95ffffff,0x305fffff,0x709fffff,0xffffffff,0x2dfff907,0xfffffff9,
    0x2a605fff,0xa980009a,0x5400009a,0x0002a600,0x51000110,0x2a200035,
    0x665c001a,0x30000bcc,0x88001355,0x000001aa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00200000,0x40000100,0x55554c08,0x0b620001,
    0x54008800,0x5c0001aa,0x0000b102,0x00030000,0x00ae0000,0x31013333,
    0x99998333,0x50000999,0x401b301b,0x01d880d9,0x06666666,0x05a825c0,
    0x1d880d98,0x04ddd440,0x3b100000,0x36205910,0x4c41c880,0x26662009,
    0x0e409301,0x2c881d88,0x2a2aaa98,0x10c01aaa,0x00880261,0x4401ab98,
    0x01999999,0x00176000,0x80017cc0,0xb00005fb,0x4feeed89,0x01bd1000,
    0x880fe600,0x40003fed,0x000b906a,0xb00001b9,0x3b22000d,0x204c8002,
    0x20fffffb,0x93fffff8,0xffffffff,0x6c4003bf,0x2013ea1e,0x817e62fd,
    0xfffffffd,0x20ee9806,0x5fb002fc,0x3ee02fcc,0x4bbffeef,0x8007fe20,
    0x037a62fc,0x37a61fd8,0x03fffe60,0x17ffffe2,0x03e607e2,0x37a63fc8,
    0x27eeed80,0xf705eeef,0x04fda64d,0x3ff6a099,0x44bafffd,0xffffffff,
    0x774c0003,0x2a0001ee,0x3f60003f,0x0f980007,0x4c002640,0x3ea0004f,
    0x000f6003,0x3262b7a0,0x3ba2001f,0xd10001ed,0xbf70001d,0x22001bf7,
    0x07e00aee,0x43cc1e60,0x4003feb8,0x002fcbfc,0x00fef3ee,0x06666666,
    0xedafd880,0x5e7dc001,0x05fe403f,0x5409ff71,0x7d4003ff,0xf7004fbc,
    0xfe809f57,0x2e03c405,0x03eb99be,0x04fadfa8,0x200fcf30,0xf32642f8,
    0x7f509901,0x05fea881,0xa80001aa,0x000bf24f,0x30000bee,0xb900005b,
    0x98009900,0x3ee0003f,0x001ec002,0x67ff5c40,0xb97ea001,0x6f44003f,
    0x17744000,0x6cc05f91,0x87cffdef,0x3079801f,0x002fa80f,0x400077d4,
    0x00001ee9,0x00dfb800,0x803dd300,0x13ea02f9,0x10001990,0xf98005fd,
    0x1fbe802f,0x36a01e20,0x22002dff,0x9e6002fe,0x6435401f,0x22642644,
    0x2f4403f9,0x20000d50,0x01fa82f9,0x00007ea0,0x1f880000,0x44004c80,
    0x07ea0001,0x0000f600,0x7f100010,0x74005f30,0x980a0004,0xa819f101,
    0x9801f87f,0xbb00f307,0x80001000,0x83d70008,0x008003e9,0xb8008800,
    0x0004e806,0x10000800,0x1aeba001,0x00000788,0x4f300020,0x642e401f,
    0x12642dc4,0x812e009f,0x0200006a,0x00080008,0x00357300,0x4c802e40,
    0x35555300,0xd8000000,0x75100003,0x04010003,0x2a200000,0x1ae0002a,
    0x801f87a8,0x500f3079,0x9999880f,0x26660019,0x01999999,0x05fa85fb,
    0x26666666,0x33331000,0x33333333,0x0cc02641,0x33333331,0x09988333,
    0x88666620,0x99999999,0x0fa5d019,0x4cccc3c4,0x99999999,0x4cccccc1,
    0x3f3cc001,0x44c85c80,0x1aa4c85b,0x1aa00880,0x19998800,0x10266660,
    0x4cc40133,0x37ff6a00,0x004bafff,0x132005f1,0x27f776c0,0x4ccccc40,
    0x21ec0019,0x203cccca,0xcefdffd8,0x404ccc00,0x4cc09998,0x00099999,
    0x4000fdd5,0x0fc0c02e,0x07983cc0,0x7ff404c8,0xb801ffff,0xffffffff,
    0x301884ff,0x3ffff201,0x01dfffff,0x3ffffffa,0x26ffffff,0xffa8006a,
    0xffffffff,0x01ffff31,0x2bfffff1,0xfffffffa,0x52e81fff,0xfc8f101f,
    0xffffffff,0x3ff27fff,0x3dffffff,0x007e7980,0x5b8990b9,0x001324c8,
    0x50006a80,0xb09fffff,0x2e3fffff,0xfa82ffff,0xbfa82fff,0x02ff5440,
    0x132006b8,0x7c026400,0x3fffffff,0xfd30f600,0x37a6059b,0xd8076c40,
    0x3e22ffff,0x3ff26fff,0xdfffffff,0x00079801,0x07e00136,0x03cc1e60,
    0x9b0007ea,0x13200099,0x3cc00000,0xe81ff5c4,0x46a84c82,0x1ea000de,
    0xbfd03f10,0x03d47880,0xd8ba07e2,0x0f307884,0x305d0f10,0x3cc01dd7,
    0xc85c803f,0xd2642dc4,0x35400005,0x001f1000,0x02ec07c4,0x03f982ec,
    0x2f802f44,0x40013200,0x0354004c,0x3fa87b00,0x32027c40,0x3a01e605,
    0xd710f302,0x0079807f,0xf0007e60,0x260f3003,0x02fca887,0x03ccfc40,
    0x00004c80,0xfa80f300,0x84c82e82,0x66fe446a,0xb01ea00a,0x807efa09,
    0x3603d478,0x0fc45d04,0x403cc1e2,0x6c02e878,0x01f9e606,0x2e2642e4,
    0x01f14c85,0x00354000,0x798007e0,0x7d405f10,0x7004f880,0x800d7009,
    0x0990004c,0x20006a80,0x200bf23d,0x209b005c,0x302e8079,0x202fa80f,
    0x7dc00079,0x0fc00ace,0xef983cc0,0x00cffeee,0x00ba6a80,0xcca81320,
    0x03999704,0x217601e6,0x6a84c82e,0x9ffd9510,0x3ae07a81,0x40d75d00,
    0xd703d478,0x8d90ba01,0x100f3078,0x7d005d0f,0x401f9e60,0x35c4c84d,
    0x000f88cc,0x0001aa00,0xd505505d,0x7c407d40,0x4400d502,0x4003e800,
    0x0990004c,0x20006a80,0x3003db3d,0x03e6003f,0x40ba01e6,0x205d8079,
    0x44000879,0xf03efeca,0x260f3003,0x2fdaaaaf,0x2dc7b000,0x93026400,
    0x3b32a0fb,0xf500f303,0x509905d0,0x076cc00d,0x807e60d3,0x1e207d2e,
    0x807e60d3,0xf117c42e,0x16201e60,0x03ea00ba,0x2a01f9e6,0x7c44c82f,
    0x4c03e203,0x03cccccc,0x2d8000d5,0x16e07fcc,0x40b90bb0,0x5400004c,
    0x004c8007,0x6a800990,0x3fb36000,0x800b7000,0xe807982d,0xf500f302,
    0xfec8bcc0,0xa88001df,0x9801f85f,0x3ee0f307,0x107c4002,0x04c8001f,
    0x03d80788,0xd09900f3,0x0d309903,0x8144b900,0xfa97403e,0x81447880,
    0x5417403e,0x1e60f10f,0x00ba00a6,0x3f3cc174,0x26413fa0,0x1f8077dc,
    0xdd999930,0x3601aa07,0xedb87b00,0x3e202642,0x2e803e62,0x01f40000,
    0xc8002640,0x00354004,0x00bdbfb0,0x097000f6,0x205d00f3,0x204c8079,
    0xb9acf9f9,0xf10001fd,0x79802e83,0x17d40f30,0x07b0b700,0x78804c80,
    0x0f303d80,0x90081fa8,0x22000209,0xe806c807,0x01e21362,0x81740364,
    0x1e60f14d,0x00ba0132,0x3f3cc264,0x3203f660,0xb0177444,0x502e4005,
    0x3203f00d,0x322ddec4,0x7d0fa803,0x00007c40,0x90001f30,0x01320009,
    0x6c000d50,0x5d00bd14,0x7985a800,0x0f302e80,0x3e601fa8,0x000b902f,
    0x200f61ec,0xb80f305b,0x505d000f,0x804c800d,0x303d8078,0x05f9510f,
    0x34c04c80,0x7d403f00,0x3e22e800,0x7d403c41,0xf302e800,0x33e60f13,
    0xe804eccc,0xf30b7002,0x20fa00fc,0x6403d44c,0xa8172005,0xb701f806,
    0x16c799f8,0x405ccd80,0x200000f8,0x0990004d,0x50013200,0x11ec000d,
    0x001f809d,0x667cc3cc,0x2fcccccc,0xf9510f30,0x202f9805,0x401dc0f8,
    0x6c035c2e,0x9b00f304,0x0fc0f300,0xf1009900,0x3e607b00,0x0cffeeee,
    0x4c04c800,0x2079802f,0x85d002f8,0x2203c46c,0x405d002f,0xdf3078dc,
    0xd009fddd,0x2616e005,0x0b9007e7,0x4c85b899,0x2e400be2,0x03f00d50,
    0x87e7a9aa,0x1ff1002e,0x9300f880,0x30799999,0x1320001f,0x20026400,
    0x0f60006a,0x017409d1,0x3be616a0,0xfeeeeeee,0xddddf302,0xf30019ff,
    0x1fc85d00,0x0fe21aa0,0x0f300fb8,0x4c803f10,0x4c801320,0x3d807880,
    0xb5555f30,0x1320005f,0xd801ff30,0xe8017605,0x0f117c42,0x0ba005d8,
    0xf307bf88,0x05d00990,0xf9e612e0,0x2642e401,0xf713216e,0x540b9003,
    0xf301f806,0x0fc9b2e4,0x3e00b900,0xd9999301,0x000bb07d,0x4c800264,
    0x00035400,0x209d107b,0x425c003d,0x302e8079,0x5fb5555f,0x3a01e600,
    0x50df7e42,0x13ea07f9,0x2a620bf2,0x3b20099f,0xfffff009,0x400fffff,
    0x8078804c,0x2e0f303d,0x04c8002f,0x4c0f77cc,0x01d700ed,0x3ea0ba06,
    0x075c0f10,0x26fa6218,0x260ff701,0x2e803a87,0x4f307b00,0x642e401f,
    0x42642dc4,0xeb880cfb,0x4f5ccc45,0xf9999999,0x5174f101,0xc8003e2d,
    0x4005b004,0x001f885c,0x3bb33331,0x99003333,0xd806a800,0x540f6620,
    0x016e09cf,0x00f305b0,0x5c1e605d,0x8079802f,0x7e4ddc2e,0x4c02efff,
    0x01efeefe,0x0ffffff7,0x9ea84fe8,0xe9999999,0x10099002,0x2607b00f,
    0x000bea07,0xf7588099,0x019ffddf,0x43cc07e6,0x1e29b02e,0x27980fcc,
    0x02fffffb,0x401e60fd,0xf8017429,0x007e7981,0x5b8990b9,0xffd304c8,
    0xf05dfddd,0xffffffff,0x403fffff,0x3e20f88f,0x26400798,0x32005c80,
    0xf1005c85,0xffffffff,0x4c801fff,0x7c035400,0x507fff11,0x7ccfffff,
    0x301f3001,0x2605d00f,0x300bea07,0xb005d00f,0xbf98001b,0x80000001,
    0x005b803d,0x01f10099,0x80f303e8,0x132000fb,0x02772600,0x43cc09d0,
    0xf13f302e,0x079813a0,0x00f30000,0x5005d16e,0x01f9e60f,0x2e2642e4,
    0xa9804c85,0x0000009a,0x7435cf40,0x2640069a,0x9002f880,0x0001f88b,
    0x01320000,0x03f00d50,0x006c8000,0x201e609b,0xb80f302e,0x201e600f,
    0x004c802e,0xa8000698,0x03e2000a,0x32003e20,0x2205b004,0x00f303fe,
    0x0264009b,0x6c804a80,0x01743cc0,0x0d90f1b9,0x15300798,0x5c01e600,
    0x3e601745,0x00fcf302,0xb713216e,0x15300990,0x0054c000,0x6426d6c0,
    0x264005ad,0x9003f700,0x80006b8b,0x4c8000aa,0x7c035400,0x80054c01,
    0x02e404f8,0x205d00f3,0x204d8079,0x802e8079,0x2688004c,0x0b930000,
    0x7b002dc0,0x2a009900,0x3b3ee21e,0x8807981b,0x0099001f,0xf981ae20,
    0x1743cc00,0xf98f7f10,0x8803cc00,0x00f3006b,0x4405d16e,0x1f9e603e,
    0x22643c40,0x8804c82e,0x2e20006b,0x1fbc8006,0x4004bf98,0x67dc004c,
    0x7c5eb880,0x5c980002,0x4004c800,0x401f806a,0x3a2006b8,0x0076cc1e,
    0x205d00f3,0x01f88079,0x005d00f3,0x3ae00099,0x2a2000fe,0xe9880698,
    0x2e66019c,0x2666609e,0x009999dd,0x25dffdfb,0xf5310ffd,0x4f640133,
    0x9dd99980,0x88b98019,0x3339d00e,0x4f533333,0x7019be98,0x999ce8ff,
    0x07a99999,0x440688a8,0x99999fa9,0x315c9999,0xd733337d,0xf755309f,
    0xd81555fc,0x3f55322e,0x445404c8,0xd1150006,0x40fd9000,0x999804ef,
    0x800999dd,0xfeeeffe9,0x00035c2e,0x101a62a2,0x33bb3333,0xb9988333,
    0x9999999e,0x222a01f9,0xeffc8006,0x2a600bef,0xbe99819f,0x267ea621,
    0x8827b200,0xe98809fa,0x0015401b,0x76400020,0xfffc801d,0xfff982ff,
    0xffff74ff,0x07ffffff,0xfb800aa8,0x7407ffff,0x7fffdc4f,0x4403ffff,
    0x3fa02ddb,0xffffffff,0x3fffee7f,0xfe8fd02f,0xffffffff,0x2deb807f,
    0x7ffffdc0,0xffffffff,0xffffff75,0x3b2037bf,0x3bbba6ee,0x954b7105,
    0x805500bd,0x70002deb,0xf70005bd,0x201fec0b,0xfffffffb,0x554c003f,
    0x00013009,0x4403bd90,0xffffffff,0x3fe0ffff,0xffffffff,0x2e01ffff,
    0x260002de,0xfff9800a,0x3ffe22ff,0xffff73ff,0x14fe80ff,0xfb0dffff,
    0x00003fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3b816c00,0x99999988,0x00000099,0x98013751,
    0x99809999,0x10ba6019,0x2136007b,0x000880db,0x44060000,0x024c003b,
    0x9024c039,0x885d3003,0x20b8003d,0x0260000b,0x40b909b0,0xeeeeeeeb,
    0x005d4005,0x80005d40,0x6c001bb9,0x8800db84,0x0000002b,0x01b709b0,
    0x0cddc880,0xeeeeee98,0x333301ee,0x33333333,0x99998803,0x00000019,
    0xdddd3000,0x4003dddd,0xf504c809,0x2a0f6c49,0xffffffff,0x1ff102ff,
    0x3bbfaa00,0x324b8dff,0x647fffff,0xf703ffff,0x8806f989,0xb81fe87f,
    0x3fe2000e,0x2a176001,0x3d52efdf,0x3e607e20,0x2607e200,0x44fb800f,
    0x1f8006f9,0x7e40007e,0x3a1fe601,0x5555101f,0x22003555,0xd98bfeef,
    0x7fdfd103,0xffa80f62,0x8802ffee,0x401fe87f,0xd52efdfa,0x3bb26003,
    0x43fc401d,0x3e6001fe,0x5501cbcf,0x20555555,0xfffffffc,0x407fffff,
    0x1ffffffe,0x807b2000,0x81e981e9,0x2aaaaaaa,0xf107f200,0x2bba601f,
    0x099000de,0x4017fd40,0x3ae20afa,0x407984ef,0x80a805e8,0x1033001a,
    0x800fe205,0xf5003ff9,0x7f545903,0x4df5c03f,0xeb803eb9,0x004eb89b,
    0x0006a02a,0x8001f83e,0x819801fd,0x80000029,0x37ff663b,0x7ed47500,
    0x05f900ef,0x033009f5,0x5c390051,0xf5003ffe,0x805fd55b,0x40028819,
    0x0000004e,0x00f100f3,0x8004ccd8,0x203fcee8,0x00fee3fc,0x81fd8000,
    0x7ec00ff8,0x00264003,0x03ea0132,0x0f309f90,0x00002744,0x7e400000,
    0x00332000,0x02a00374,0x16ffed40,0x5bffb500,0x40000000,0x001f10f8,
    0x000076c4,0x01ba8800,0x00066000,0x03f700cc,0x0000274c,0x3000a800,
    0x001f505f,0x03f50000,0x88099998,0x07981999,0x3e200788,0x7d400799,
    0xfa817ea4,0x33302fdd,0x03333333,0xf88076c4,0x8000800f,0x8800004c,
    0x84f8802f,0x009f3079,0x3001ba88,0x33101333,0x003f9833,0x807f3000,
    0x00001ba8,0x20002000,0x01999998,0x03c4f100,0x4c0036e0,0x99999999,
    0xfbffb101,0x4cc4019d,0x06666200,0x33333333,0x801f8833,0x04cc40f9,
    0x22013310,0x00199999,0x4c2f8136,0x99999999,0x6b801999,0x7ffffec0,
    0x3ffffe61,0x3c403cc5,0x0174d500,0x07d105f0,0xfb807744,0xffffffff,
    0x801b704f,0x2666667f,0x19999999,0x26602640,0x19999999,0x075002dc,
    0x007f50f3,0x77effec4,0xffffb00c,0x7fffcc3f,0x4cc3745f,0x99999999,
    0x00fc8199,0x9dfbffb1,0x4ccccc01,0x31019999,0x00033333,0x3ffffffd,
    0x3ccf3000,0xff700000,0xffffffff,0x440de989,0xfff980ed,0xffff880f,
    0xfffff75f,0x6c9fffff,0xfb976005,0xffa82fff,0xfffe82ff,0xf9801fff,
    0xffc97200,0xffffffff,0x04c807ff,0x0f3003f0,0x016201e6,0x0016e3d8,
    0x90000000,0xff000009,0x3ffffff2,0x07ffffff,0xfff70264,0x9fffffff,
    0x4c00016c,0x30017d47,0x0ed881bd,0x1e6007e0,0xfff90fd4,0xffffffff,
    0x304f88ff,0x0ed881bd,0xffffffb8,0xfe84ffff,0x001fffff,0x002666c0,
    0x000f3354,0x13201c80,0x5c809f10,0x2202ff40,0x7c04c807,0x361e6001,
    0x2005d805,0x5b804ccd,0x03cc3540,0x026403c4,0x079801f8,0x000530f3,
    0x00f883e2,0x00000000,0x20000132,0x4403cc7e,0x20026407,0x000fc04c,
    0x03f73cc0,0x32027c40,0x26007e05,0xf30bf107,0x2fb8f100,0x2e404f88,
    0xb0004c80,0x44000999,0xa800799f,0x64401aa6,0xdb0ceffe,0x32026401,
    0x7409b005,0x01e201fb,0x00788132,0x017c41f8,0x3e2001f5,0x04c80799,
    0x0f30db75,0x2aaa0f10,0x3e02aadd,0xf3079801,0x2e000990,0x73003d85,
    0x1719fffb,0xcfffdb98,0x013200b8,0x33fff6e6,0xf31ba0b8,0x4c80f100,
    0xf1026400,0x2f300001,0x32001efc,0x3e09b005,0x3e079801,0x78807987,
    0x02e407ec,0x04c804d8,0x0799f880,0x02e9aa00,0xffffffb8,0xb80fffff,
    0xfec99adf,0x026400ee,0x3e6003f3,0x40d75d00,0x204c8078,0x82e8006a,
    0x02f880fa,0x402e9aa0,0x6f7f4c3d,0x78807986,0xeffeed88,0x003f01ee,
    0x333e60f3,0xd0004ecc,0xf700d505,0xffb7337b,0x4cdefdc5,0x3202ffdb,
    0x4defdc04,0x3a2ffdb9,0x3c403cc6,0x99001320,0x00007c40,0x7ecf6fcc,
    0x001f9804,0x003f01f3,0x207f40f3,0x74788079,0x3001f987,0x004c801f,
    0x000ba6a8,0x200b71ec,0xdc99dc99,0x02fa8099,0x132013fa,0x16c005b8,
    0x2207d2e8,0x2e04c807,0xb03d8005,0xd800b90b,0x45d016e3,0x30d51de8,
    0x900b100f,0x2007e009,0xdddf3079,0xf30009fd,0x7f100fc0,0x3f897dc0,
    0x4c80bee0,0xfb80fe20,0x00f31762,0x004c80b1,0x01f10264,0x41df3000,
    0x02dc04fa,0x007e0b60,0x41fc81e6,0x7c588079,0x6c005b86,0x40026402,
    0x20016e3d,0x003e20f8,0x881324c8,0x3ebb602f,0x7b026401,0x5d04b800,
    0x01e203ea,0x006a8132,0x45f102e8,0x3e2000f9,0x2e803e20,0x986a83ee,
    0xc8002987,0x3003f004,0x1321e60f,0x4c813200,0x3d003e60,0x03d003e6,
    0x01f30264,0xf31761e8,0x4c800530,0x3e026400,0x07980001,0x01ec05f1,
    0x007e12e0,0x42fb81e6,0x22029879,0x4003d85f,0x0026404b,0x00f883e2,
    0x01ec2dc0,0x90264990,0x5c876c0b,0x05d02640,0x45d05a80,0xc807884d,
    0x2001e604,0x743ea01f,0x6c2dc003,0x44d8ba03,0x4c87986a,0xf004c800,
    0x260f3003,0xf8003a87,0xffffffff,0x2002fc07,0x2640005f,0x990017e0,
    0x004c8798,0x13200264,0x300007d0,0xe807dc0f,0x7c2d4002,0x32079801,
    0x2643cc1f,0x00ba1be0,0x04c80b50,0x01ec2dc0,0x01aa0ba0,0xd80f63d8,
    0x3541d903,0x01f81320,0x22e83cc0,0x403c41f8,0x000fc04c,0xccd801f3,
    0xa82e8005,0x46a8ba06,0xcccf986a,0x4c8004ec,0xf3003f00,0x14c01e60,
    0x33333d50,0x4405d333,0x009acefe,0x1359dfd1,0xd1013200,0x201359df,
    0x6667cc19,0x264004ec,0xd7013200,0x80f30000,0x8003f03e,0x9801f879,
    0xf303f607,0x809d9999,0x4001f87e,0x00264079,0x801aa0ba,0x4407e079,
    0xffffffff,0x40fc3fff,0x203c40fc,0x000ba04c,0xd90ba0b5,0x04c80788,
    0x0bb002e4,0x8001ff10,0x7407e079,0x30d51fc2,0x09fddddf,0x3e009900,
    0xf3079801,0x3d816e00,0xa9805b80,0x300dffec,0x01bffd95,0x953004c8,
    0x3001bffd,0x09fddddf,0x64004c80,0x1004e804,0x6a80f30b,0x5a8005d0,
    0x079801f8,0x3bbe61fa,0x7ec04fee,0x2a001740,0x30026405,0xc800fc0f,
    0x99813204,0x9be99be9,0x3f217409,0x26407981,0x4b8007b0,0x22f885d0,
    0x404c8078,0x0f9802f8,0x9000b900,0x3d826409,0x07f77f54,0x001321e6,
    0x00fc0132,0x007983cc,0x003e20b7,0x510003e2,0xb51003fb,0x0026403f,
    0x401fda88,0x4004c879,0x0264004c,0x3e601fcc,0x2f807984,0x25c003d8,
    0x03cc00fc,0x990f30df,0x1ec1fc80,0x99012e00,0x99026400,0x3ffffe00,
    0xf007ffff,0x49b00fc3,0x80b701fc,0x0016e04c,0x2a0ba05b,0x9900f10f,
    0x4c03f700,0x0132004f,0x3fffffe0,0x09907fff,0xf3032ee6,0x99000750,
    0x2a00ba00,0x2e00f307,0x6c00b705,0x29d00083,0x6409d000,0x27400204,
    0x00ea1e60,0x33bb3333,0x004c8033,0xfb883bf3,0x4cfd4c43,0x5c13b900,
    0x7416c005,0xf307a802,0x0750f307,0x02dc3f98,0x09900b60,0x7fffffc0,
    0xea807fff,0x99999999,0x3e1f802e,0x3ee3ea01,0xc805f101,0x4007e604,
    0x205d00f9,0x9900f14d,0x882fee00,0x264004fa,0x2667aa00,0x82e99999,
    0x0f30005b,0x09900a60,0x17200f20,0x3333f531,0x8b933333,0x2019ce98,
    0x3a09eb99,0x03d6a801,0x02640d50,0x22d5003d,0x401e60bb,0xfffff329,
    0x405fffff,0x3f62004c,0xb81effef,0x107fffff,0x07e61fff,0x1e407cc0,
    0x0fc82e40,0x85300798,0x800fcc6e,0x026400f9,0x99999ea8,0x6c02e999,
    0x4405b803,0xd801f10f,0x017601fe,0x00d90132,0x302e8136,0x9900f13f,
    0x777f5400,0x4c8002ff,0x5c01ec00,0x8000f985,0x80b70079,0x00d5004d,
    0xffffb89d,0xffffffff,0x7fffe45f,0xffff982f,0x3a013e4f,0x0bd009f5,
    0x009f0264,0x993ff2bd,0x260b7007,0x0264001e,0x000adb80,0x00d90000,
    0x40354136,0x305f884e,0xf716e00f,0x9b006c83,0x36009900,0x2205b803,
    0x00f8800f,0x400f89e2,0x7541cffb,0x404c800e,0x02e404f8,0x78dc80ba,
    0x44004c80,0x20000aee,0x03e2004c,0x13603e20,0x5c01e600,0x400be205,
    0x03f203f8,0x0005b000,0x3fe06c40,0xf0fd881d,0x1fb103bf,0xbff02640,
    0x321fb103,0x401e64ff,0x0005905b,0x36a00099,0x02a60000,0x32027c40,
    0xc80fe205,0x301fb80f,0xf116e00f,0x6404f88b,0x10099005,0x01f1001f,
    0x03d8016e,0x5c0799e6,0xfefffb9f,0x0132003f,0xdb307ba2,0x2202e801,
    0x04c807bf,0x2aeffa60,0x32006e20,0x8016e004,0x503f983d,0x2e00f303,
    0x8003b205,0x17e444f9,0x00162000,0x95d05700,0x3bffddff,0x777fe574,
    0x4ccc1dff,0x09999dd9,0xfddff95d,0x4c2a83bf,0x2e0b7007,0x02640062,
    0x0006b880,0xe8801ae2,0x0076cc1e,0x5f9113e6,0x079817a0,0x81f70b70,
    0x76cc1ee8,0x70099000,0x221ec00b,0x26019ce9,0x79809eb9,0x41f981e6,
    0x99801aa9,0x9999dd99,0xdfdff900,0x5f4c4017,0x30ff7019,0x333bb333,
    0xdfff5013,0x1dfdffdd,0x27766660,0xce988099,0x3ae66019,0x55efd409,
    0x2a621fdb,0x9999999f,0x79b35c99,0xd30003fd,0x003dfddf,0x00e23a00,
    0x0aa32600,0x002aaa62,0x70155531,0xffffffff,0x553107ff,0xf5310015,
    0x33333333,0x3ba20b93,0xb333304f,0x4013333b,0x000e89b9,0x800688a8,
    0x0befeffc,0xfddfd300,0x207ea03d,0x9999fa98,0x85c99999,0xdff903f8,
    0x4cc017df,0x9999dd99,0x0339d310,0xc84f5ccc,0x982fffff,0x984fffff,
    0x00101224,0xfffffb80,0x403fffff,0xff7000a9,0x1fa05fff,0xfffffff7,
    0x15107fff,0x5c035310,0xffffffff,0xfffffc83,0xfffff982,0xabdec984,
    0x7ffffdc0,0xffffffff,0x003376e5,0x00355100,0x03dd9800,0x019b5000,
    0x00000000,0x3ee00000,0xffffffff,0x4405ffff,0xfffff700,0x807fffff,
    0x70002ddb,0x4c0005bd,0x2a20000a,0xb81d401a,0xffffffff,0x305fffff,
    0x800a9807,0xfffffffb,0xfff93fff,0xfff305ff,0x000009ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x204c0000,0x00000002,0x00006200,0xaaa88000,0x2a00aaaa,0x3a6002dd,
    0x1eeeeeee,0x003bd700,0x00000000,0x00000000,0x00026000,0x00000600,
    0x00000000,0x000004c0,0x00000000,0x00000030,0x2a20004c,0x501aaaaa,
    0xbddddddd,0x00018800,0x00000260,0x40003100,0x37660018,0x5d8be601,
    0x00760598,0x2017209b,0x2cc003f9,0x3f2203b0,0xcceccedf,0x1b11b101,
    0x55555400,0x295002aa,0x36200068,0x3620000d,0x4136000e,0x80ea805b,
    0x7dc000ea,0x0ddcc002,0x207a62ec,0x7f7001e9,0x2e037200,0x05f70006,
    0x00ec0b30,0x0001bb10,0x1a21e600,0x7dc003c8,0x333f2001,0x5104dccc,
    0x05555555,0x0003f980,0x44002fb8,0xf98000dd,0x07f30003,0x4c17ff60,
    0x7c03b63f,0xe9807a82,0x001dd10e,0x5f0013e6,0x3bea0f50,0x2006c932,
    0x0000ea2b,0x15c1b000,0x7eefcc00,0xddf98001,0x1dd1001f,0x6c007b62,
    0x000bf22f,0x7d4005f9,0xf72ffdef,0x7dc7f701,0xbf7fb004,0x6c3dd100,
    0x2fc8001f,0x1ea0be00,0x1fddf980,0x20266660,0x05d99998,0x001f107b,
    0x970017e4,0x000024c0,0x0009f500,0x260017e4,0x8001fddf,0xf50004f9,
    0x05ff5009,0x0076c9f3,0x7f9559f7,0x3eff6200,0x05e98005,0x32ab3ee0,
    0x20ff883f,0x93003649,0x266600e4,0x99999999,0x1b1dc019,0x2e3fb800,
    0x8fee003f,0x3f2003fb,0x5c000deb,0x4001edcf,0x3f2001ed,0x01fdfa82,
    0x00bf37ea,0x77443ba2,0xeebfc800,0x01fd8000,0x65567dc0,0x47f7003f,
    0xfffb83fb,0x3ffe20ff,0xbf300cff,0x4009d735,0x074001fd,0x26620930,
    0x40001999,0xed8005e9,0x71fdc001,0xbd30007f,0x017a6000,0xd3264022,
    0x9dd93001,0x07f70003,0x00174400,0x2039dd93,0x1b24c4fa,0x809dd900,
    0xfffffffc,0x407fffff,0x4003edd8,0x01e981e9,0x1e981e98,0x000fea00,
    0x4000de98,0x3ee000ea,0x2017e601,0x9b000ee8,0x7d401720,0x01d50004,
    0x33bb2600,0x303d3001,0x2007e03d,0xfd730079,0x07540059,0x80403400,
    0x1ffffffe,0x01744000,0x98001d50,0x001e981e,0x10002e88,0x0000005d,
    0x01000000,0x00000000,0xb24c1fb8,0x30002001,0x200f100f,0x00000000,
    0x00800000,0x00000800,0xe803f100,0x000000fd,0x00040000,0x00000000,
    0x00fc0000,0x000003cc,0x016c0000,0x04ccd800,0x00000000,0x00000000,
    0x00000000,0x20000000,0x00040000,0x0bee0020,0x08006c93,0x4403cc00,
    0x00000007,0x00000000,0x00040000,0x02ec0020,0x0002edb2,0x10000400,
    0x00010000,0x00100000,0x03cc00fc,0x01000020,0x0fb3b620,0xf33f1000,
    0x00000000,0x00004000,0x00040000,0xffd91011,0xec88019d,0x9800ceff,
    0x00ceffed,0xceffed98,0xffed9800,0x45f980ce,0x5cc03649,0x803effed,
    0x2a788079,0x999704cc,0x07999903,0x9526665c,0x3332e099,0xb8266541,
    0x75c01ccc,0x0172efff,0x677ff6cc,0x7dc03f00,0xd9101f30,0x70019dff,
    0x2e5dfffd,0xffedb980,0x3fae003e,0x54172eff,0x999704cc,0xffed9803,
    0x007e00ce,0xdb7301e6,0x73007dff,0x407dffdb,0x000f642c,0x800ba6a8,
    0x0ceffec8,0x9704cca8,0x36e60399,0x2a03effe,0x999704cc,0x3fb6e603,
    0x226403ef,0xda99adfa,0x35bf502f,0x6405fb53,0xeea99bef,0x26fbf201,
    0x3201eea9,0xeea99bef,0x9264fc81,0x9bdfa80d,0x4c05ec99,0x32658807,
    0x7d99507d,0x4059dd70,0x3263eeca,0x7d99507d,0x9507dc98,0x3ba607d9,
    0xfefdb99b,0x337df902,0x07883dd5,0xa83f0be6,0xfda99adf,0x337dd302,
    0xa85fdfb7,0xec999bdf,0x4df74c05,0x22fefdb9,0x99507dc9,0x5f7e407d,
    0xf01eea99,0x540f3003,0xec999bdf,0x26f7ea05,0x1b05ec99,0x80019d30,
    0x54016e3d,0xfda99adf,0xa83ee4c2,0xdfa83ecc,0x05ec999b,0x32a0fb93,
    0xbdfa83ec,0x205ec999,0xa80be65c,0x5017cc1f,0x403d903f,0x01ec80fb,
    0x07b203ee,0xefa80fb8,0x000364bb,0x879807e2,0x80788029,0x4009703d,
    0xb00f103c,0x3601e207,0x7404e883,0x201ec82f,0x441a60fb,0x3e62e83e,
    0xd107ea02,0x002fe809,0x4e880fc4,0x3c417f40,0x1ec81ec0,0x07e03ee0,
    0x88001e60,0x3f10001f,0x1f540b30,0x3e20f880,0x5017cc00,0xb00f103f,
    0x03f10007,0x01ec03c4,0x5d80fc40,0x1d7007d1,0x3ae00fa2,0x32003ea0,
    0x64007d45,0x64007d45,0xd936e605,0x40b90000,0x8804c879,0xd503d807,
    0x205d0550,0x103d8078,0xb907b00f,0xfa85f300,0x16e5c800,0xd13d82ec,
    0x641d7007,0x002f9805,0x00b905c8,0x00f105f3,0x001f507b,0x3003f0b9,
    0x05c8000f,0x75c17200,0x7003b200,0x74407b0b,0x440eb803,0x0003d807,
    0x403c40b9,0x0b90003d,0xd0035d76,0x3e801ae7,0x21f80136,0xd87e004d,
    0x3007e004,0xb80006c9,0x3333e605,0x078804ec,0x41f103d8,0x03e20ff8,
    0x81ec03c4,0x443d8078,0xd817001f,0x3547e004,0x72e80764,0xf89f400d,
    0x00017001,0x003f10b7,0x201e202e,0x2004d83d,0x4c00fc1f,0x02dc0007,
    0x74c0b700,0xe803a603,0x1ae06a82,0x03c43e80,0x5b8001ec,0x0f601e20,
    0x6e82dc00,0xca640099,0xaf932004,0x99999999,0x26be2d99,0x99999999,
    0x266be2d9,0x99999999,0x1b24c02d,0x6f76e540,0x3be605dc,0x8804feee,
    0x3a03d807,0x698bbaa2,0x0f601e20,0x21ec03c4,0x57c00079,0x99999999,
    0xa8f12d99,0x2647e01f,0x01e69900,0x776e5400,0x07985dcd,0xd8078800,
    0x9999af83,0x2d999999,0x03cc00fc,0x66f76e54,0x76e5405d,0xb805dcde,
    0x2607502e,0x26407e07,0x07889900,0x372a03d8,0x205dcdee,0x203d8078,
    0xdcdeedca,0x00badd05,0x4005d6a8,0xfffff16a,0xffffffff,0x3ffffe29,
    0xffffffff,0xffffff14,0x9fffffff,0x20364980,0xbaaccfe9,0x21e605ec,
    0x8078804c,0xbd8f203d,0x78816e5b,0x0f103d80,0x005a87b0,0x3ffffe20,
    0xffffffff,0x017c47e4,0x500174f3,0x300016ad,0x975599fd,0x000b50bd,
    0x87b00f10,0xfffffff8,0x44ffffff,0x2079801f,0xbaaccfe9,0x9fd305ec,
    0x0bd97559,0xb1037620,0x04c81320,0x2354005d,0x983d8078,0xcbaaccfe,
    0x201e205e,0xccfe983d,0xf05ecbaa,0x5b800f6f,0xd2dc007b,0x00f40003,
    0x00003d00,0xf1036498,0x302dc019,0xf100750f,0xadc07b00,0x7b0f89f8,
    0x1ec03c40,0x43d80788,0x0f40006a,0x13ab9000,0x001ecbb0,0x8001aab7,
    0x16e00cf8,0x220001aa,0x1e83d807,0x40174000,0x019f107a,0x067c42dc,
    0xea800b70,0xff02da8a,0xffffffff,0x5b800f60,0x21ec03c4,0x16e00cf8,
    0x43d80788,0x16e00cf8,0x2005bbfc,0x6c00b73d,0xd8001363,0x01360004,
    0x06c93000,0x816e01b2,0x88530079,0x2603d807,0x1f9f4d57,0x0f601e20,
    0x21ec03c4,0x26c00078,0x0ddf1000,0x016e0f98,0x000f13d8,0x42dc0364,
    0x78800078,0x04d83d80,0x6401e400,0xb700d905,0x0b700d90,0x037dd100,
    0x266667aa,0x5b82e999,0x0f10f600,0x806c87b0,0x201e205b,0x5c03643d,
    0x3f31ff05,0x3e63f300,0x2a1f9801,0x1f50000f,0x003ea000,0x03649800,
    0x40b9007d,0x88b70079,0x201f400f,0x236e3d9f,0x2007c407,0x801f103e,
    0x2003e83e,0x00007d40,0x1fcc05fb,0x3e6007e6,0x20800fa1,0xd05c803e,
    0x7c404007,0x7d41f400,0x01aa0000,0x401f413a,0xc803e85c,0x80d10005,
    0x985b803d,0x41f9801f,0x21f400f8,0x205c803e,0x21f400f8,0x885c803e,
    0x401d70ff,0x0075c3e8,0x00d907d1,0x200d90aa,0xa803642a,0x81b24c02,
    0x02fe405b,0x216e00f3,0x07fd102d,0x3e20fbd8,0x102d806b,0x816c07fd,
    0x1fa83fe8,0x3643ec40,0x37ea2a80,0x0fea20bf,0x7d10075c,0x6c401fa8,
    0xbf9016e7,0xb1007ea0,0x7440b60f,0x200d903f,0x2e03f82a,0xc80b700f,
    0x6405b85f,0x6803705f,0x22003e20,0x200eb80f,0x205b03e8,0x02dc3fe8,
    0x05b017f2,0x0b70ffa2,0xff885fc8,0x3ea0bf60,0xf505fb05,0x4417ec0b,
    0x2fd82fea,0xd82fea88,0x2fea882f,0x881b24c0,0x3baa20bf,0x079809ec,
    0x43d50b70,0x01becfb8,0x13f61bf2,0xfb887aa0,0x3d501bec,0x0df67dc4,
    0x7d441fe4,0x105fb01e,0x4fe25fd5,0x2ffeefea,0x7d417ec0,0x5107f905,
    0x05fc43df,0x13d9dd51,0xf5107f90,0x887aa03d,0xb01becfb,0x5fd5105f,
    0xfc889f30,0x882fe202,0x209eceea,0x3aa20bf8,0x0e409ece,0x02dc0d30,
    0x0bf607b0,0x1ea817ea,0x86fb3ee2,0x3aa20bf8,0xd5009ece,0x5f67dc43,
    0xa882fe21,0x5c09ecee,0xfeeffa83,0x77fd402f,0xfa802ffe,0x0cfffeef,
    0x3fbbfea0,0x3ea00cff,0x0cfffeef,0x20364980,0x3ffeeffa,0x2621fff7,
    0x999999fa,0xfb05c999,0x3f65dffd,0x707f500f,0x3bf6005f,0x1ffb2eff,
    0x3bffbf60,0xd301ffb2,0x07dffddf,0xffddff50,0x4426c19f,0x3ea000aa,
    0x402ffeef,0xeffeefe9,0xfddff503,0x03ffee7f,0x3ffbbfa6,0xfefd803e,
    0x01ffb2ef,0x3ffbbfea,0x3fa600cf,0xa801efee,0x73ffeeff,0x7fd41fff,
    0xff73ffee,0x5c40e41f,0x9ce9881e,0x27ae6601,0xfeeffa80,0xfefd802f,
    0x41ffb2ef,0x3ffeeffa,0x3601fff7,0xfb2effef,0x777fd41f,0x1fff73ff,
    0x00d54c00,0x0006aa60,0x00026aa2,0x80013551,0xd8009aa8,0xff98ffff,
    0x0554c42f,0xfffffb80,0xffffffff,0x00055405,0xaa800000,0x02aa0000,
    0x0d554400,0x04d54400,0x30000008,0xa8800355,0xa98801aa,0x2a20000a,
    0xaa8001aa,0x2aa20000,0x55440009,0x554c4001,0x554c4000,0x3fff2000,
    0xf901ceff,0xf305ffff,0x4c09ffff,0xaa8001aa,0x2aa62000,0x05540000,
    0x01553100,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00280000,
    0x000130a0,0x0004c000,0x00005440,0x30000000,0x00000000,0x1002aa88,
    0xdb880201,0x000000bd,0x008800a0,0x80000000,0x00542aa8,0x00155440,
    0x80000050,0xaaaaaaa9,0xdb98801a,0x2aaaaa3d,0x80aaaaaa,0x1000addb,
    0x00039bb5,0x88000000,0x0aaa800a,0x01750000,0x00051000,0x55550022,
    0x006d8800,0x00fd4db0,0x80006ec4,0xf80001fb,0x9903e85f,0xbdffb500,
    0x00733225,0xeb800df9,0x9970bdff,0x7eeb8007,0x737df900,0x7dd301fd,
    0xe9803fd7,0x03f20004,0x8800fdc0,0xfd931ccc,0x2a0007bf,0x01bf26ee,
    0x001fbae0,0xf3001b62,0x3bbf2009,0x403eeeee,0x0dcbdffa,0xdddddddd,
    0x7f445fdd,0x2202ffbd,0x4fecbdfd,0x3d303d30,0x0d701b90,0x09fffb50,
    0x0017f744,0x136afaa0,0x005e8800,0x3a01ff88,0x3a2006ff,0x0ed8000d,
    0xbf3005f3,0xfc8003fb,0x64039001,0x10de983f,0x7ec401dd,0x9bfba99b,
    0x7ec00ccf,0x37dd1007,0x9bd1dd53,0x01e60005,0x0afffd98,0x0fb84f88,
    0x01dd9f70,0x00076c40,0x2e200bee,0x9acfaafc,0x20005eb9,0x0017ea6a,
    0x74400798,0x27cc000e,0x20004c80,0x017403fc,0xa83bd174,0x80de880f,
    0x47f703f9,0x3dd104fb,0x3e600fec,0xd009d50b,0xc8680005,0x05f98001,
    0x407ff300,0xf3005ffd,0x43b2000b,0x3fb803f9,0x76c00fee,0x880f6001,
    0xf7db100e,0x201bb009,0x22007ee8,0x01bd001c,0x0000bfae,0xbfd700f3,
    0x1ae05f35,0x21fd84e8,0xde8802fc,0x07f50000,0x880ff740,0x8d50005d,
    0xddd3002c,0x803ddfdd,0xf30005e9,0x00132009,0x05c00f64,0x07d43e20,
    0xb80506a8,0xf9bf500f,0xdd7f9005,0xf507b001,0x0002e803,0x001260ea,
    0xb80007f5,0x027fe403,0xd30003d8,0x74c01ec1,0x5401e981,0x01ec000e,
    0x05f7005b,0xf9801f50,0xd7000007,0x002fd801,0x32203cc0,0x7c40fa82,
    0x1b71ea03,0x09900f50,0x003f3000,0x0fa00bfa,0x05a9aa00,0x2eaaaa20,
    0x26c00aaf,0x40026000,0x1fa8004c,0xd96e0000,0x40017403,0x3ba201f8,
    0x013ea000,0x807d03c4,0x0ae0002e,0x05d00162,0x3ee00000,0x0000002f,
    0x00000000,0x000f6000,0x03d80040,0x00800f90,0x5f3005d0,0x00798000,
    0x07e63540,0x000005f0,0x20000000,0x00d5005e,0x0000cd50,0x000003cc,
    0x00990000,0x800007f0,0x9700ba3e,0x001f1000,0x98002000,0x5d00ba07,
    0x642c4000,0x00000001,0x03ff3001,0x00000000,0x80000000,0xcccdecca,
    0x00002ccc,0x0f5001f8,0x5dfffd70,0x2003f02e,0x7f65402f,0x100f31ce,
    0x36179b95,0x0fa01ea4,0x00000000,0x801f4000,0xffd880f8,0xa800d53e,
    0xf31cefec,0x00000000,0x26002640,0x7c400006,0x0b300ba0,0x0000d900,
    0x41e60000,0x897400fa,0x403dffec,0x006c89cc,0x76cc0000,0xf880ceff,
    0x7ff5c40f,0x09ff910c,0x32e09995,0x3b2201cc,0x4400ceff,0x80ceffec,
    0xcccdecc9,0xcca81ccc,0x067edc2c,0x1e6001f1,0xb99bee98,0x3e22fefd,
    0x6405d000,0xafca99bf,0x677d4079,0x26bbfdcb,0x5c4d806b,0x7002cccc,
    0x20059999,0x002ccccb,0x41f800ba,0xcea9ade9,0x2ff2006a,0x79afca99,
    0x3b229990,0x65c01dff,0xb9002ccc,0x019dfdb5,0xa8000097,0x1b602e46,
    0x442fc980,0xcccccccc,0x6665c1cc,0x44f3002c,0xae802fdb,0xfb99adf9,
    0x0b72600d,0xccca82e2,0x8067edc2,0xea99befc,0xee87f81e,0x5db5ea9b,
    0x7dc98bf5,0x207d9950,0xda99adfa,0x35bf502f,0x6c05fb53,0x7664c003,
    0xdb37dd33,0x7b801741,0xfe809d10,0x7c400fc2,0x2601d702,0x0fee07ce,
    0x0993ef4c,0xccca8990,0x9995004e,0x332a009d,0x13a004ec,0x42743cc0,
    0xd7006ee8,0x41f3a601,0x9ade9fdb,0x32a02fda,0xf9004ecc,0x3fb537bf,
    0xdfd713d8,0xa87b0007,0x01ff500f,0x40f7f74c,0xccccccf9,0x66541fec,
    0x4f3004ec,0xe803ffe9,0x0bb102fd,0x43eeb880,0xdd33ecc9,0xec81db37,
    0xdd03ee01,0x11fbe200,0xb00f105f,0x5405f307,0x5017cc1f,0x000f603f,
    0xa84fabd8,0x3ec01760,0x2f9805c8,0x17d4026c,0x3e6007cc,0xd005f107,
    0x3201323f,0x80026404,0x0990004c,0x6b803740,0x0df3035c,0xf9801f30,
    0x40ffe607,0x0132006c,0x41f700c4,0xd9bfe89e,0x20fc005f,0x4fd40ce8,
    0x3f6e201e,0x2607981f,0x004c802f,0x03baa0f3,0x7c403fe8,0x5ef5c403,
    0x4fabd800,0x003ea0a8,0x40011172,0x886d83fd,0x7443d807,0xd10eb803,
    0xb01d7007,0x7f6c0007,0x805f1002,0x01f887fb,0x01f98170,0x0f20bfe2,
    0x05c83e40,0x01327f30,0x00990132,0x64001320,0x013fa004,0x403e83f3,
    0x003c806d,0x01fcc0f9,0x132003f1,0x3a4d8000,0x03f884ea,0x3fa20d50,
    0x03f2fcac,0x1a217dc0,0x4c801fc4,0x6c80f300,0x35401ba0,0x005ef5cc,
    0x400bfb60,0x007e004d,0xf980fc80,0x1ec03c40,0x73e801ae,0x6c1f400d,
    0x07f60003,0x3207f700,0x007987bf,0xe982fb80,0x001e82ec,0x800ba0f5,
    0x9900994f,0x90004c80,0x01320009,0xa80debe8,0x5c01f84f,0x5001e806,
    0x7403cc0f,0x00099002,0x0bfb2dc0,0x04c803e4,0x446fbae2,0x0fcc000f,
    0x90027440,0x201e6009,0x2009d03e,0x15bd10f8,0x07f60008,0x9999af80,
    0x2d999999,0xb9db7300,0xf333333d,0x3d807883,0x29900264,0x2132004c,
    0x0f60003d,0x66f74c00,0xa8798efd,0xdf500005,0x0ba7fd99,0x1e6001f1,
    0x29b0007c,0x403e805b,0x0990004c,0xe8013200,0xedcdfd8a,0x400f882f,
    0x007c406a,0x01e60798,0x026400ba,0x7dcf3000,0x2007e600,0x0d30001f,
    0x36013200,0x80264005,0xd05b8079,0x200fc007,0x400cedc9,0x3fe2003d,
    0xffffffff,0x7d404fff,0xfffcabef,0x42ffffff,0x743d8078,0x175aa002,
    0x07b0d500,0x0001ec00,0x7986f2ea,0x200006a8,0x3a0acca8,0xf5001f82,
    0x2e8007e0,0x02f880f5,0x4c800264,0x40099000,0x2b32e62e,0xd700be00,
    0x2a003f00,0x3a01e607,0x00099002,0x00b53540,0x0079805f,0x540016e0,
    0x40036c06,0x00f3004c,0x400fa0f3,0x50f400f8,0x4003d80b,0x2a00001e,
    0x005c80af,0x21ec03c4,0x6d6e003d,0x3616e003,0x00f60003,0x88798000,
    0x20000007,0x7002d82e,0x4401360f,0x5401f31f,0x0026401f,0x990004c8,
    0x00017400,0x806c809d,0x40f7002d,0x002e8079,0x5c000099,0x3f101e25,
    0x10004c80,0x1aa0005f,0xc8000ec8,0x300f3004,0x4c017a0f,0x0e41d407,
    0x4d8007b0,0x81360000,0x03c4007c,0x8016e1ec,0x6c00b73d,0x20003d83,
    0x2000003d,0x4007d079,0x207e0000,0x07f8806a,0x8d5001d7,0x201b204e,
    0x0990004c,0xe8013200,0x81f20002,0x06a806f8,0x1e607f88,0x26400ba0,
    0xe87d0000,0xd003ee02,0x017a0005,0x1f704c80,0x40132000,0x83dc2479,
    0x04d801fe,0xb025406c,0x00fa8007,0x64097000,0x03e2001f,0x01f987d0,
    0x03f31f98,0x0d903f30,0x0001ec00,0x3ea0f300,0x003ec401,0x013a07a8,
    0x076c0fdb,0x0fa85f50,0x4c802f88,0x00099000,0x02e80132,0x640be200,
    0x809d006f,0x01e607ed,0x026400ba,0x21ae01fc,0x809d00e9,0xed880078,
    0x7d401c80,0x5301fa80,0xf3004c80,0xe82ec2e8,0x03ae00ee,0x40390570,
    0x06c8003d,0x07cc0550,0x1b82ffdc,0x7fd102d8,0x74401d70,0xd10075c3,
    0x102fe607,0x00f609d7,0x20798000,0xefa883fc,0x03fa8001,0xbd3037a2,
    0xdd1033f3,0xd04fb885,0x802f4c3d,0x0990004c,0xe8013200,0x17dc0002,
    0x0027ebb2,0xde981bd1,0x079819f9,0x099002e8,0xc883df50,0x217d702f,
    0x2dc00eea,0x0dfb8810,0xc8839f90,0x202f982f,0x2026405b,0x56e1fa98,
    0x74cc1fc8,0x7ec42eca,0x260e8801,0x8001ec06,0xfea882fd,0xf7076c02,
    0x3a619dbd,0x221ea80e,0xd81becfb,0xb05fa82f,0x80bf505f,0xeffeefda,
    0x3366660b,0x00099999,0x99fb9970,0xfddfd301,0x995007df,0x1007fd99,
    0x29ffdffb,0xf902fff9,0x805dfddf,0x104ffffc,0x33b93333,0x99988333,
    0x19999dc9,0x6e4cccc4,0x32219999,0x003ccdfc,0x1dfdff50,0x8801fff5,
    0x34ffeffd,0x7d4c5fff,0x1be98809,0x6e4cccc4,0xc8819999,0x00effefe,
    0x077fff5c,0xdfb016c0,0xb3007bff,0x03dffdff,0x333339f3,0x4cc4b933,
    0x9999dc99,0x43fffee1,0x4c2fffd8,0xdff72fff,0x4c001bfd,0x9981dddd,
    0x99999cd9,0xeeffa800,0xb000cfff,0x3773ffdf,0xd809fdff,0xfb2effef,
    0xddff501f,0xffa805ff,0x2002ffee,0xff501aa8,0xffffffff,0x332e0009,
    0x2201cccc,0x2e001aaa,0x000bcccc,0x40001a98,0x22000aa9,0xfff100aa,
    0xffffffff,0x3fffe23f,0xffffffff,0xffffff11,0x23ffffff,0x4cccccc8,
    0x0054c000,0x001a9800,0x81fffff3,0xf10ffffb,0xffffffff,0x54403fff,
    0x054c000a,0x06a20000,0x00aa8800,0x3fffffee,0xff15ffff,0xffffffff,
    0x54c003ff,0x0aa88000,0x54022000,0xffffffff,0x2a2004ff,0x5100009a,
    0x002aa015,0x30000aa8,0xa9800355,0x0000001a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00033000,0x000000c4,0x00337722,
    0x00100000,0x005eedcc,0x55440088,0x27440002,0x00000764,0x97000100,
    0x55cc0001,0x33330600,0x33333103,0x00000003,0x7d307ae0,0x5c000000,
    0x9710001c,0x217a0001,0x103300ec,0xaa980175,0x000001aa,0xb1000200,
    0x372203df,0x2a20001c,0x95100004,0x03b20000,0x550003d5,0x01320003,
    0x3e01fd40,0x2e03d883,0x83ffccff,0x5c076059,0xbffd914c,0x6df7ec03,
    0x7fc402ff,0x01fbaa02,0xfd0df100,0x3fffea03,0xb800ffff,0x172efffe,
    0x19fbdf30,0xffa809d3,0x3cc3efee,0x4bfffffb,0xfffffffa,0x7ffffcc5,
    0xb7301fff,0x01719fff,0x05fa85fb,0xffffff98,0x3be601ff,0x04e98cfd,
    0x45ff6fd4,0x3fc402ea,0x3ffc0ff4,0x1dfbdff7,0x13fbbb60,0x40003900,
    0x0ceffed9,0x42fffd40,0x03d98be9,0x007bdd80,0x007bdd80,0xfc83fd00,
    0x1ffdc003,0x8004c800,0x4fa803fb,0x7d4037a6,0x7c42fa82,0x36a06a81,
    0xda9bde9f,0x440ed81f,0x3fe601fb,0x00079803,0x40188098,0x09999999,
    0x4cdf74c0,0xa82fefdb,0x017ff262,0x49f505f9,0x000f886b,0x4cccc01f,
    0xbf701999,0x5ffb7337,0x00260310,0x4ccccccc,0xf9315401,0x4c3700bf,
    0x13004ffd,0xcbcc0310,0x017620bf,0x0f600264,0x4df7e400,0x2201eea9,
    0xf1002ffe,0x00078000,0x880003c0,0xf8800301,0x990003d9,0x002fc800,
    0x00fefba2,0x5c3ec0bd,0x03fca9cf,0x5b81ffcc,0x0db007d4,0x32e00ba8,
    0x0cccccfd,0x00000000,0x3a027440,0x0022002f,0x5f4c03f7,0x00f882fb,
    0x400001f0,0x0bee03f8,0x00000000,0x80001100,0x80000009,0xd101edf9,
    0x80099009,0x1ec8003d,0x00003ee0,0x78000d50,0x003c0000,0x6c000000,
    0x320007b5,0x007a6004,0x2200fe40,0x203e601f,0x801cefc9,0x83e203f9,
    0x00fcc02d,0x33f72a00,0x00003ccc,0x64001000,0x002f9805,0x2007e200,
    0x1f103ff9,0x00003e00,0x0f400f98,0x00000000,0x00000080,0x4c001000,
    0x035400ef,0x0f600264,0x9001f500,0xdb10000b,0x2022001d,0x1e018007,
    0x01002200,0x1ec3e600,0x3bff2200,0x0000028b,0x007cc004,0x400003f1,
    0x022e8079,0x800017c0,0x44000879,0x00ceffec,0x3bffb6e6,0x4007e203,
    0xffd9100b,0x0172019d,0x03e205d8,0xd91007c0,0x3e019dff,0x1332a005,
    0x2a0e665c,0x999704cc,0x3fb6e603,0x332a03ef,0x03999704,0xceffed98,
    0x2003e600,0x026400f8,0x666f6654,0x4d82cccc,0x00007e00,0x2e00fae2,
    0x2200782f,0x800f01fc,0x76dcc4fa,0x3a003eff,0x6c400f63,0x7fca89ae,
    0x00000000,0x0035c07d,0x3a01e600,0x88fc4002,0xcccccccc,0x917981cc,
    0xa803bffd,0xfda99adf,0x99bdfa82,0x0f305ec9,0x35bf5000,0x3f05fb53,
    0xf1034c00,0x5403e001,0xfda99adf,0xacefe882,0x07dc9809,0xc987d995,
    0x7d99507d,0x3337bf50,0x37260bd9,0x07d99507,0x54cdf7e4,0x00f301ee,
    0x0132007c,0x3337b326,0xaf81cccc,0x99999999,0x00602d99,0x7f4c07a0,
    0x3ea00f02,0x4401e01e,0x5efd43fd,0x805ec999,0xc801ec6a,0xcc89f205,
    0xcccccccc,0x76453321,0x3f201dff,0xcb84f880,0xf3002ccc,0xc8005d00,
    0x33333e65,0x981feccc,0xdb9ace9f,0x405f301f,0x7c4001fa,0x40005a81,
    0x87ea02f9,0x00f80078,0x03e001f1,0x1fa80be6,0xbffd9530,0x7b00f101,
    0x0f601e20,0x8807e200,0xd903d807,0x4c07dc03,0x9007e007,0x003d8009,
    0x3fffffe2,0x4fffffff,0x5b0007e0,0x3c019f70,0x200ff620,0x00dfa807,
    0x2201f880,0x4c01ec2f,0xf996200f,0xeccccccc,0x3a7f6e1f,0x02fda9ad,
    0x3f6ab7f2,0xbd999504,0x3a01e600,0x983ee002,0x4c0be607,0x10b702ff,
    0x01d7007d,0x06a85c80,0x200fa200,0x000d50eb,0x003e205d,0x00fa207c,
    0x2a2003ae,0x403c41fd,0xb00f103d,0x81720007,0xa83d8078,0x985c800f,
    0x9007e007,0x003d8009,0x880000f4,0x6983701f,0x3c00f74c,0x2001bf50,
    0x00bf6207,0x3640b900,0x02dc01ec,0x2f981e60,0xd903ff98,0x6ffffd80,
    0x4c016e00,0x5002e807,0xf106883f,0x1017cc07,0x2006b81f,0x42dc003e,
    0x1ae00078,0x00b53e80,0x03e207b0,0x01ae07c0,0x3a0013e8,0x1ec03c44,
    0x03d80788,0x3c40b700,0x026c1ec0,0x007983f0,0x0099007e,0x26c003d8,
    0x3bf22000,0x9dbfb300,0x59327e41,0xaf77f76c,0xbda8afd8,0x777f76c0,
    0x64437ee5,0x105b8003,0x9007b03f,0x10688009,0x80fe607f,0x39fb01f8,
    0x2e00bf93,0xd00f3005,0x003f5005,0x1e602744,0x00990ba0,0x76e54264,
    0x7d05dcde,0x00990400,0x8006aa64,0x001f101e,0x4009903e,0xd5003d4c,
    0x03d80788,0x407b00f1,0xdcdeedca,0x3601e205,0x9999af83,0x2d999999,
    0x01f003cc,0xffe804c8,0x03ffffff,0x540003ea,0x502001df,0x04de83dd,
    0x5f11bf70,0x26005b31,0x82eec2fe,0xdcdeedca,0x0f609b05,0x400016e0,
    0x01e604e8,0xd81760ba,0x3005b805,0xb805d00f,0x02ec002f,0x217403cc,
    0x99aa002e,0xcbaaccfe,0x803f505e,0x800ba7d8,0x8001f16a,0x001f100f,
    0x4005d03e,0xbd009f6a,0x03d80788,0x307b00f1,0x975599fd,0x403c40bd,
    0x7fffc43d,0xffffffff,0xf003cc4f,0x8804c801,0x1999ce99,0x55006c80,
    0x88000fe6,0x4acb83fc,0x5917f4c0,0xcfb80688,0x262d6dc0,0xcbaaccfe,
    0xb00f985e,0x001f3007,0x7980bb00,0x17c42e80,0x5b801f30,0x009fa880,
    0x01fb80ba,0x798036c0,0x01ec2e80,0x033e2b70,0x0ff205b8,0x3d87bea2,
    0x01f96e00,0x0f881a60,0x3607c06e,0x7fd6e003,0x40fd881d,0x103d8078,
    0xf887b00f,0x8816e00c,0x1e83d807,0x003cc000,0x004c801f,0xfd8001ec,
    0x92fea882,0x6fd40009,0x04a8e980,0x220033ee,0x207ba607,0x3e25a8e8,
    0x3a16e00c,0xeaaaaaad,0x205d802d,0x4036c038,0x5c2e8079,0x5c03e806,
    0x7fffc405,0x7e40ba06,0x00764001,0x42e80798,0x64f6005b,0x4c05b806,
    0x3effeefe,0x8f6005b8,0x8136005c,0x260f60f8,0xb002dc0f,0x3bff2ba7,
    0x7881dffe,0x0f103d80,0x806c87b0,0x201e205b,0x0004d83d,0x078803cc,
    0x1ec004c8,0xddff5000,0x17c19fff,0x203fd800,0xdd10952e,0x40f62003,
    0x54b604fc,0x16e01b25,0x3bbbbbb6,0x4401eefe,0xfb988aee,0x2003b205,
    0x5c2e8079,0x5c04d805,0x17400005,0x2e000fe4,0x01e6000f,0x003f30ba,
    0x200fa3f3,0x5b91005c,0x400fcc03,0x00be21f9,0x0f8807e6,0x261ee0f6,
    0x81f9801f,0x200adc98,0x81f400f8,0x21f400f8,0x205c803e,0x41f400f8,
    0x260000fa,0x900f3007,0x003d8009,0x009bf980,0x4408809d,0x4a96e00c,
    0x3a2003a8,0x5b807203,0xc803e96a,0x003d8005,0x0df7ff64,0x26001f70,
    0x7d42e807,0x700be601,0x1f80000b,0x2a000f64,0xf305301f,0x1d705d00,
    0x0b71f440,0x2a005fc8,0x401d7004,0x01fb83e8,0x1f100be6,0xb82ec26c,
    0x00fa200e,0x40b60095,0x0b603fe8,0x16e1ff44,0x2d80bf90,0x3207fd10,
    0x79855006,0x99007900,0x0006c800,0x0fc803a8,0xf10012e0,0x003d9557,
    0x000174c0,0x3d9557f1,0x0bf9016e,0x20007b00,0x01fa804c,0xe8079853,
    0x1b204e82,0x800016e0,0x003b60f9,0x7017cc15,0x5d00f30b,0x3ea0bf60,
    0x5105fc45,0x0013d9dd,0x3f600d71,0x2e05fa82,0x0fea20bf,0x899f9988,
    0x807ea3f8,0x05fa82fd,0xea806b88,0x2fb3ee21,0x5c43d501,0x3e21becf,
    0x33baa20b,0x43d5009e,0x01becfb8,0xfd5105fb,0x104fd445,0x64007cc1,
    0x05fcc004,0x57013ae2,0x81df8804,0x544004d8,0x001ecaaa,0x00003d50,
    0x23d95555,0x3aa20bf8,0x20009ece,0x0990003d,0x16e02f98,0x305d00f3,
    0x0fed45bf,0x80002dc0,0x267ee4e8,0xe9999999,0x33339f32,0xa88b9333,
    0xbe98809f,0xfddff501,0x3bfea05f,0xfff73ffe,0x3a22e601,0xddff5000,
    0xff5005ff,0xd805bfdd,0xf35fffff,0xf5007fdf,0x805ffddf,0x800e88b9,
    0xb2effefd,0x3bf601ff,0x1ffb2eff,0x7ff77fd4,0x201fff73,0xb2effefd,
    0x3fea01ff,0x40cfffee,0x3ee5ffff,0x99882eee,0x9999dd99,0x777ed401,
    0x4400beff,0x3a602ede,0x1dfdccef,0x004a8000,0x00281b90,0xffa8b500,
    0xff73ffee,0x6ccc401f,0x04c8001c,0x266673e6,0x2a65c999,0xbe98809f,
    0xffffe881,0x9999880e,0x019999dc,0x44fdccb8,0xfffffffb,0xff72ffff,
    0xffffffff,0x37fffc4b,0x00ffffec,0x31003553,0x22000155,0x98002ddb,
    0xa88001aa,0xa9800002,0x0d54c000,0x02ddb880,0x00005540,0x4c400155,
    0x540000aa,0x2a20000a,0x2200009a,0xffff101a,0xffffffff,0x03551001,
    0xca800200,0x80000bcd,0x4003fee8,0xfeeeeef8,0x3ba20001,0x0554c44f,
    0xffff9000,0x03b8003f,0x3fffffee,0xff35ffff,0xffb81fff,0x155100ff,
    0x3ffffe20,0x1fffffff,0x001665c0,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01575300,0xaaa80000,0x05300001,0xcb826654,
    0x554001cc,0x66664c19,0xcccccccc,0x65d443cc,0x4400000a,0x1000000a,
    0x20001375,0x40001ab9,0x44001ab9,0x99999999,0x00dd4400,0x006ae600,
    0x4404cccc,0x332e1999,0x9999504c,0x1aaaa981,0x54c40066,0x5d44009a,
    0x0000009b,0x006aaaa6,0x80005551,0x001aaaa9,0x4c400000,0x19999999,
    0x00015500,0x26662000,0x99999999,0x54133261,0x56801ccc,0x1bffbdff,
    0xfffff880,0x76c42fff,0x36a0003f,0x372604ff,0x07f99507,0xfffdfb50,
    0x4000661f,0xfbbdfb53,0x00ee007f,0x800009fd,0xdffeefea,0x3fa604b8,
    0x00dfdccd,0xffbffb50,0xff80975f,0xffffffff,0xfdffd883,0xfd3000ce,
    0x01bfb99b,0x87fffff6,0x55fffff9,0x326079fd,0xeeed84fd,0x803ff34f,
    0xffffeffa,0xfeeffb81,0x05b04bbf,0x9fdddb00,0x007eeb80,0x27f776c0,
    0xec8a6640,0xb5001dff,0xffffffff,0x7e401fff,0x3f204fde,0x06ffffff,
    0xffffffa8,0x0fffffff,0x3260fb91,0x6fc403ec,0x0fecc0be,0x26666660,
    0x001ec019,0x26567fd4,0x1ec03cc0,0x1102fe20,0xf38000cc,0x04fb8819,
    0x1fe404c8,0x15f50000,0x8277f5c4,0x0faa02eb,0xa8817f50,0x6a8005fe,
    0x2206f4c0,0x175c00ed,0x0fc07d50,0x07c43cc0,0x4c8026c0,0x7c401fd1,
    0x7e40c40b,0x13fee20b,0x640001ec,0x000f3004,0xdb804c80,0xda9ade9f,
    0x567ec02f,0x01f103f0,0x04e887aa,0x33333331,0x3f2e8001,0x07881f10,
    0x77c403d8,0x0007ec00,0x8003d800,0x4c026418,0x6403d807,0x00033004,
    0x3f700fce,0x0e804c80,0x01f50000,0x0dc84fc8,0xf304d880,0x005e8807,
    0x13e206a8,0x06e40b90,0x1f826c40,0x09907980,0x99000f98,0x013202cc,
    0x3ea02f98,0x00007b04,0x01e60099,0x20099000,0x0d903ff9,0x40fc076c,
    0x205d00f8,0x88000002,0x1f103f0f,0x03d80788,0x4e8017c4,0x3d800100,
    0x00990000,0x807b00f3,0x0033001f,0xf10064e0,0x6404c807,0x5f100004,
    0x6a89f100,0x20555551,0x8027c41e,0x06a8004b,0x426c0172,0x30cdb86a,
    0x400fc0f4,0x401f1079,0xe932004d,0x7000fc01,0x3609d00d,0x04c80003,
    0x80000f30,0x07f3004c,0x07dc0fc4,0x80f881f8,0x00000079,0x103f3540,
    0xd807881f,0x2a004803,0xffdb300f,0x03d8019d,0x30099000,0xf807b00f,
    0x00033000,0x404d800e,0x0000c04c,0x1d400b70,0x4cecc1d1,0x2a34c3ca,
    0x00022006,0x00fcc1aa,0x83a20f98,0x4da88bd8,0x2007e1a6,0x4c132079,
    0x1932000f,0x32000f80,0x32e19804,0xcccccdec,0x0099003c,0x900001e6,
    0x201e6009,0x3e03f82e,0x0f301f01,0x33332e00,0x3e3c8002,0x3c40f881,
    0x00001ec0,0x3bf20be2,0x01eea99b,0x999950f6,0x30099007,0xc887b00f,
    0x33000fcc,0xe800e000,0xc8026402,0xbffd914c,0x00016c03,0x8190b097,
    0x0001322c,0x2dc1aa00,0x44b8b600,0x1644a82b,0x81e6007e,0x004d80f8,
    0x33260264,0xcccccdfc,0xa8006a82,0xccccdecc,0x099002cc,0x7f645e60,
    0x264001df,0x2e807980,0x087e03d4,0x8001f806,0x005eccca,0x2087e1f8,
    0x3d807881,0x43d80000,0x03ee01ec,0x37fa61ec,0x804c802c,0x443d8079,
    0x3000fccc,0x400e0003,0x4ccccc7c,0x819999dd,0x9ade9fdb,0x03f02fda,
    0x42c16400,0x05d1dc1b,0x0d500000,0x497000f6,0xb8102c2c,0x3cc00fc3,
    0x01f31320,0x64404c80,0xccccdfcc,0x001bd01c,0x20000f60,0x2603d54c,
    0xdb9adf9f,0x0132001f,0x217403cc,0x6a8fc05b,0x00007b00,0x479800b7,
    0x7880d51f,0x33203d80,0xcccccccc,0x2a4ecccc,0xb05c800f,0x4003fa87,
    0x8079804c,0x8007c03d,0x80700019,0x3ff61ee9,0xffffffff,0x3ff985ff,
    0x01f10d90,0x22c07400,0x1f159859,0xd5000000,0xb5000ba0,0x40071074,
    0x4c00fc59,0x9b07c407,0x80099000,0x7e44000f,0x7b000acd,0xfbb90000,
    0x817fcc07,0x4d32006c,0xd00f301c,0x6fc04c85,0x332e06dc,0x000cccee,
    0x2dc005b8,0x101b737e,0x7c07b00f,0xeeeeeeee,0x24feeeee,0x207e004d,
    0x000bf23d,0x03e60132,0x07c03e88,0x70001980,0x0033fa60,0x7f300264,
    0x3e20fc40,0x741e0000,0x2d103fee,0x000000f8,0x003f06a8,0x0731e798,
    0x007e3440,0x453201e6,0x04c8000f,0x880007c0,0x00cffeca,0xb10000f6,
    0x2f9801bf,0x64007e20,0x1e60dfb4,0x807b0ba0,0x3206eeef,0x1cccfdcc,
    0x4005b800,0x36e6fc3d,0x7d003e20,0x64000fc0,0x26666be4,0x2d999999,
    0x003db3d8,0x3e601320,0x807fd302,0x0033000f,0x006e40e0,0x79801320,
    0x07c42e80,0x4b01b000,0x3e2b305a,0x99999300,0x2a00a279,0xa8005d06,
    0x00588365,0x3003f166,0x991f100f,0x00132000,0x4c00001f,0x007b00ed,
    0x8027fdc0,0x002e8079,0x4c17f299,0x2642e807,0x803547e0,0x5c0000f8,
    0x3e0fc005,0x05d00d51,0x2e80ffa2,0xff13d800,0xffffffff,0xd9b09fff,
    0x2640001f,0x710f7cc0,0x7c037d9f,0x00033000,0x4002640e,0x01e6004c,
    0x0007e0ba,0x24c582c8,0x2603f1dc,0x73eecccc,0x360d500b,0x5925c003,
    0x877000e8,0x0079801f,0x20001fb9,0x007c004c,0xd82e4000,0xafe88003,
    0x00f3004c,0x1932005d,0x0ba01e60,0x061f80b7,0x40000f80,0x3fea005b,
    0x0061ffff,0xcfb887ae,0x009900be,0x000f43f0,0x02f6fec0,0xf3009900,
    0x23dffdfb,0x01f00ffd,0x1c000660,0x4c800198,0x3a01e600,0x20003e82,
    0x42b8584a,0xc800b62d,0x1aa016e5,0x8b6002dc,0x26064c4a,0x00ba16c3,
    0x2fc401ea,0x80099000,0x8800000f,0x10007b07,0x79802647,0x99002e80,
    0x013f5300,0x3cc37d31,0x260007e0,0x05b80007,0x26667720,0x7ec4001f,
    0xdfb2effe,0x4001f501,0x00026c7a,0x005e8a6c,0x2f300990,0xf8000aa8,
    0x00033000,0x9900000e,0x7403cc00,0x40006b82,0x815d511e,0x05c8d52d,
    0x805b9720,0x003f305c,0x983d03e6,0x3544cace,0x02e401e4,0x20001f88,
    0x007c004c,0x07e00698,0x320000f6,0xd00f3004,0x30132005,0xb81fffff,
    0x0fa0ffff,0x207301f8,0x5b80006a,0x07e0ba00,0x155301d4,0x02ec02f8,
    0x07d42f88,0xe88f6000,0x804c8004,0x1f000079,0x40006600,0x26400003,
    0x5d00f300,0x2c4013a0,0x409999a6,0x7c40e898,0x2dcb9002,0x0d901f40,
    0x41a61360,0xa80e8819,0x9004e806,0x04c8000b,0xf98007c0,0x7b079802,
    0x00990000,0x00ba01e6,0x00000264,0x03f00f98,0x2026c16e,0x802dc018,
    0x701f80f8,0x0095000b,0x4e8809f1,0x0aa00d90,0x009d10f6,0x079804c8,
    0x2001f000,0x30700019,0x3b800399,0x3a01e600,0x9807f302,0x800db84f,
    0x03f703e9,0x00fdcb90,0x27c401f5,0x0db81720,0xf103e980,0x4007e407,
    0x640001f8,0x8007c004,0x2ec00ff9,0xc80006c8,0xd00f3004,0x00132005,
    0xf9000a98,0x16e03f03,0x079003e6,0x0d5005b8,0x002dc07e,0x74c032cc,
    0x027d441d,0x3aa20bf6,0xe883d82f,0x20132004,0x1f000079,0x40006600,
    0x007fff83,0x403cc000,0x077e602e,0x75407f71,0x02eb880b,0x5c4067dc,
    0x1067dc5e,0xdd1005f7,0x400ed983,0xeb880bea,0x2227cc02,0x0b9002fc,
    0x80099000,0xddf3000f,0x201db303,0x75c40bf9,0x98026405,0x9002e807,
    0x35c40009,0x357bf700,0x9333335f,0x999dea8b,0x20fa9999,0x9dc99998,
    0x36621999,0x26be660c,0x005c9999,0x801ddd90,0x1efeeffc,0xfddff500,
    0xd98819ff,0x8139f503,0x99dd9999,0x00079819,0x266be666,0x40006600,
    0x106ffe83,0x33333333,0xa9813333,0xbe98809f,0x3bff6201,0xd8801eff,
    0x0ceeddef,0xddffd300,0x3a605dfd,0x001efeef,0x5f7f7fe4,0xbdfb1000,
    0x20019ddb,0x1efeefe9,0xbf999930,0x26620079,0x9999dd99,0x2be66621,
    0x58819999,0x9ffddff7,0xeefda801,0x4cc42eff,0x9999dd99,0x404fd4c1,
    0x4c41be98,0x999dd999,0x688a8019,0x7fedc400,0xffffffff,0x3ffffea5,
    0x22efffff,0xfffffff8,0xf91fffff,0x3ffe6dff,0x5fffffff,0x00022000,
    0x20001553,0xf1009aa8,0xfff507ff,0x7fffdcff,0x83ffffff,0xfff70003,
    0x4c09ffff,0xaaaaaaab,0x84aaaaaa,0xffb00aa8,0xffffffff,0x7ffccbff,
    0x7ffdc0ff,0x0aa9800f,0x01351000,0x09aa9800,0x00355100,0x0000a980,
    0x00004d44,0xca803551,0x03cccccc,0xffffff88,0xb0ffffff,0xffffffff,
    0x553003ff,0xaa880013,0xffff8809,0xffffffff,0x0fffff50,0x227ffffd,
    0xffffffff,0x5c00ffff,0x000002de,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80266200,0x4cc40998,0x80009999,
    0x262001cb,0x00199999,0x33333331,0x0b332a00,0x10019fb7,0x4cccc400,
    0x99999999,0x26666620,0x4ccc0019,0x26000999,0x19988099,0x26666660,
    0x00f26000,0x0bd07d30,0x4ccccccc,0x4c199999,0x00199999,0x4c033333,
    0x4cc41999,0x26666019,0x88099980,0x4ccc0999,0x99999999,0x26666099,
    0x10199999,0x00333333,0x404ccccc,0x99881999,0x10019999,0x33100133,
    0x20099881,0x4cc19998,0x00199999,0x4c401331,0x4ccccc09,0x26200099,
    0x00099999,0x20bfffee,0xf32ffffa,0x3fffffff,0x3f7be600,0xff04e98c,
    0x27ffffff,0xffff82b8,0x9803ffff,0x7dd33ecc,0xdb981db3,0x7403effe,
    0xffffffff,0x3fe6ffff,0x03ffffff,0xffffff90,0x7dc07bff,0x7ff40fff,
    0xffffc85f,0x203dffff,0xf72efdfc,0xf117ea01,0x3ffff20f,0xffffffff,
    0x3fffff27,0xf903dfff,0xf505ffff,0x3eabffff,0xfd84ffff,0x3f61ffff,
    0x3fe22fff,0x3fff26ff,0xffffffff,0xffff75ff,0x09ffffff,0x3ffffffd,
    0xfffff900,0x3ffffc8f,0x7ffffffc,0x7ffcc03f,0x3fffc805,0x101ffff3,
    0x32bfffff,0xffffffff,0xfff703ef,0xffff505f,0x3fffff25,0x201dffff,
    0xfffffff9,0xbb002eff,0x1740bb00,0x64c55000,0x0d5005ff,0x0d501fee,
    0x4fabd800,0x2f7ea0a8,0x205ec999,0x6a84c82e,0xe8000d50,0x00deb982,
    0x805d00f3,0x0deb982e,0x3ffaa0c8,0x04c04c02,0x1e201e60,0x3bae60ba,
    0x54007d00,0x2000f886,0x807980f8,0x200f102e,0x0013205b,0x3002666c,
    0x805e880f,0xf9b0006a,0x207bf801,0x83c405fe,0x0bf93079,0x82ec02ec,
    0x3feb8879,0xfda82e80,0x202f8805,0x00ba00fa,0x80022000,0x80db306a,
    0x76c0006a,0xf100002f,0x1320ba03,0x003541aa,0x6d880ba0,0x05d00f30,
    0x1b6202e8,0x00000980,0x3c403cc0,0x41b60174,0x40fa006b,0x41e6001f,
    0x102e8079,0xc816e00f,0x99f88004,0x881e6007,0x00d5004e,0xa8136f60,
    0x3efa079e,0x3cc1e201,0x7c40fe20,0x4c03ea02,0x2017d407,0x013e202e,
    0x0be203ea,0x79999bd0,0x40000003,0x500f206a,0x1fd8000d,0x82e40000,
    0x6a84c82e,0xe8000d50,0x5cc2e802,0xaaaaaaaf,0x0ba02cea,0x00000ba0,
    0x80798000,0xe802e878,0x8801f883,0x5505d00f,0x01e60d50,0x803c40ba,
    0x0013205b,0x3002e9aa,0x8013e60f,0x37b0006a,0x1e6ba01f,0x2206bae8,
    0xd900f307,0x7c407d40,0x3601e602,0x2e017405,0xbb09b007,0x9999bd00,
    0x99903dfd,0x077ffb22,0x05a83540,0x6c0006a8,0x5b800003,0x509905d0,
    0x0001aa0d,0x41f5005d,0xeeeeefed,0x00defeee,0x81f5005d,0x002ccccb,
    0x00599997,0x216201e6,0x80fa802e,0x205c804c,0x207fcc2d,0xd00f305b,
    0x5401e205,0x20013203,0x4c016e3d,0x4003fa87,0x27b0006a,0x0f37983e,
    0xf103e974,0x1ea01e60,0x80b90bb0,0x407a8079,0x00fc402e,0x01f517c4,
    0x3f6605d0,0x6f4fedc1,0x802fda9a,0x3540006a,0x03d800d4,0xbddb9500,
    0x20360bb9,0xd505984c,0x5d00064c,0x0f30ba00,0x02e805d0,0xccca85d0,
    0x9995005e,0x21e6009d,0x002e8029,0xf00f305d,0x36e1ec05,0x7982642e,
    0x0f102e80,0x04c80053,0x1f107c40,0x2fa8f300,0x0006a800,0x5361aa7b,
    0x7d4ba079,0x0f307880,0x2f880990,0x0f3003e6,0x02e80990,0xeb8007c4,
    0x5d002e88,0xff986d80,0xd500d903,0x546a8000,0x03d800ff,0x5667f4c0,
    0x4005ecba,0x4754004c,0x174004fc,0x03cc3d80,0x00ba0174,0x016e01ec,
    0x79802640,0x02e804c8,0x80ba0990,0x3626407a,0x981e45bb,0xf102e807,
    0x4c800b90,0x1ec2dc00,0x03f73cc0,0x4001aa00,0x0f88ba3d,0x9b1740f3,
    0x01e60f10,0x1f5003f9,0x01e600fa,0x02e803f5,0x33a003dc,0x00ba005c,
    0x03f981f5,0x0d5007e2,0x7d46a800,0x003d800f,0x5b8033e2,0x20026400,
    0x5001effa,0x7999bf99,0xcf989901,0xfccccccc,0xcdfcca82,0x04c80bcc,
    0x4c8002dc,0x9999f300,0x005d009d,0xb02dc16e,0x4fc5b809,0xf9816c79,
    0xcccccccc,0x999f102f,0x4c800bd9,0x35417400,0x1efcbcc0,0x000d5000,
    0x9725b8f6,0xf88ba079,0xcf983c41,0x1efdcccc,0x01733600,0x7e5443cc,
    0x2e02e802,0xcaaa802f,0x402aabff,0x4c1f802e,0x5402e807,0x43540006,
    0x007b001a,0x02dc0364,0xfffffff3,0x3a607fff,0x776c002f,0x81eeeeef,
    0x7777cc5c,0x82feeeee,0xeeeefeed,0x5c05c81e,0x00990005,0x3fbbbbe6,
    0x7002e804,0x2203e20b,0xf535400f,0x2605d0fc,0xeeeeeeef,0xddf102fe,
    0xc800bddd,0xf81e6004,0x4f6fcc01,0x6a8004fd,0x7c47b000,0xd03cc3f1,
    0x83c46c85,0xeeeeeef9,0x3e2003ff,0xddf3000f,0x0019ffdd,0x32a666fa,
    0x997003fe,0x07999dd9,0x07cc02e8,0x00ba01e6,0x6a8000d5,0x001ec000,
    0x80b9007d,0x99dd9998,0x6efd8819,0x80174000,0x7403cc4c,0xc8017402,
    0x8002dc04,0x90f3004c,0x2005d009,0x2e0f604b,0x97279806,0x3cc07e4d,
    0x87881740,0x0264005c,0x02640990,0x4fa83be6,0x80035400,0x235e643d,
    0xf10ba079,0x07983c45,0xc800774c,0x2abe6005,0x2002fdaa,0xcefffffe,
    0x01320000,0x2ec405d0,0x017403cc,0x403601aa,0x260d806a,0x9999cd99,
    0x6405b809,0x0264005f,0x01aa37ea,0x80174036,0x7403cc2d,0xd8017402,
    0x8002dc02,0x50f3004c,0x2005d007,0x3a1aa03d,0x8ba78802,0x2601f16a,
    0xf102e807,0x4c800750,0x3ffffe00,0x4c07ffff,0x4005f107,0x6c0d806a,
    0x26177c43,0x3ea0ba07,0x01e60f10,0x04c8026c,0x17dc1e60,0x00002e80,
    0x33bb3331,0x302e8013,0x00f301dd,0x806a805d,0xf00d501f,0x3ffffea3,
    0x884fffff,0x3baa20bf,0x990009ec,0x01aa1a80,0x8017407e,0x7403cc0f,
    0xf8017402,0x8002dc00,0x00f3004c,0x2005d0a6,0xf30fc01f,0x3e23e001,
    0x81e63e20,0x102e8079,0x1320000f,0x4cccf540,0x202e9999,0x003ee079,
    0x20fc0354,0x7985c83d,0x8a6c0ba0,0x2600f307,0x40099007,0x00bea079,
    0x220000ba,0xeeffeeed,0x3bba00de,0x00cffeee,0x805d00f3,0x501f806a,
    0x0003f00d,0x7f77fd40,0x01fff73f,0x6a800990,0x05d01f80,0x00f30f50,
    0x802e805d,0x005b807a,0x1e600990,0x00ba2dc0,0xc97201ea,0x1ae7a004,
    0x7981a6ba,0x0f102e80,0x40132000,0x205b803d,0x801f4079,0x6c1f806a,
    0xe81e6003,0x0f13f302,0x01f801e6,0x1e6004c8,0x2e801f70,0x09900000,
    0xbcccde80,0x403cc00a,0x4035402e,0xf00d501f,0x00054c03,0xb3015531,
    0x00132001,0x203f00d5,0x417cc02e,0x402e8079,0x017cc02e,0x4c8002dc,
    0x2e00f300,0x3e601745,0x3f0f9802,0x426d6c00,0x1e605adc,0x03c40ba0,
    0x8804c800,0x00f8800f,0x006a80f3,0xd83f00d5,0xe81e6003,0x41e37202,
    0x00f30079,0x07980132,0x017404d8,0x004c8000,0x79800174,0x35402e80,
    0x06a80fc0,0x1ae201f8,0x00390000,0x1aa00264,0x017407e0,0x01e607d1,
    0x405d00ba,0x0b7003e8,0x4c013200,0x2e8b7007,0xe800fa20,0x5e4006ab,
    0x04bf981f,0x40ba01e6,0x99000078,0x6c00b700,0x5f00f303,0x3f00d500,
    0x1e6003d8,0x2fe202e8,0xd100f307,0x80132009,0x01f88079,0x880000ba,
    0x0099dd99,0x2666fa66,0x09fa9801,0x441be988,0x9999eb99,0x221f9999,
    0x9999eb99,0x501f9999,0x00001d11,0x4c0d465c,0x0199dd99,0x333d7331,
    0x83f33333,0x9999be98,0xf5103feb,0x37d31013,0x3337d310,0x2207fd73,
    0x99dc9999,0x4ccc4199,0x19999dc9,0x2667ea62,0x5c999999,0x33337d31,
    0xa8009fd7,0x764003de,0x4c13be07,0xe99819fa,0x27ea621b,0x99800999,
    0x9999dd99,0x0339d310,0x884f5ccc,0x90099fa9,0xb998813b,0x9999999e,
    0x26fa61f9,0x27ea6601,0x066fa620,0x2a623fdc,0x9999999f,0x4ccc05eb,
    0x880999dd,0x20099fa9,0x3a6609ec,0x0001999b,0x3ffffffa,0xfffff306,
    0x7cc03fff,0x7dc0ffff,0x3ffe0fff,0xffffffff,0x3ffe1fff,0xffffffff,
    0xbd501fff,0xb7000005,0xffff9817,0xff81ffff,0xffffffff,0x7e41ffff,
    0xbdffffff,0xfffff101,0x1ffffe81,0x7fffffe4,0xff101bdf,0xffffffff,
    0x3ffe23ff,0xffffffff,0xfffff71f,0xffffffff,0x3ffffeeb,0x8001bdff,
    0x5c000ff8,0x20ff605f,0x22fffff9,0x73fffff8,0xdfffffff,0xfffffb80,
    0xf93fffff,0xf305ffff,0x3ee9ffff,0xf107ffff,0x7fffc1ff,0xffffffff,
    0xffff71ff,0xffff305f,0x7fffdc9f,0xfc8fd02f,0xffffffff,0x7fdc02df,
    0x83ffffff,0x07fffffb,0xfff9a7f4,0x001fffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x99999998,0x26662199,0x99999999,0x80266209,
    0x00000998,0xb7100000,0x00000337,0x00005dc4,0x000000e4,0x00000198,
    0x00000800,0x00010000,0x00000008,0x80000000,0x2e03cccc,0x332a4ccc,
    0x03999704,0x00000000,0x30017710,0x9970aa07,0x01900599,0xcca80191,
    0x999914cc,0x42ccca87,0x65c0cfdb,0xcccc84cc,0x33333223,0x3b1ccccc,
    0x00c0b300,0x7fffffd4,0xffd1ffff,0xffffffff,0x3ffeedff,0xffffa82f,
    0x3a025c02,0xfa80001d,0x0002fdbe,0x7ff40fdc,0x3ffb2206,0x261db0ce,
    0x999504cc,0xff8803e3,0xbefd8800,0x813ff220,0x3effedb9,0xdffd9100,
    0x3ae06819,0x0172efff,0x677ff6cc,0x3ff6e600,0xc880b8cf,0x200ceffe,
    0x10cffeb8,0x3ae09ff9,0x3b2a02ce,0x41f7263e,0x6543ecca,0x11efea9c,
    0x33205dfb,0x3bffd914,0x2037ff40,0x42fb83fa,0x804eccca,0x00ee80ed,
    0xc8f3f726,0x664c3cef,0xb37dd33e,0x1e7f541d,0xf3177e5c,0xd9999999,
    0x2e27ee3f,0x03f98bdd,0x80f5007e,0x9905d1f8,0x02744d50,0x04c80364,
    0x00067e44,0x000087d0,0x3e20bbaa,0xdfb80fff,0xeefec99a,0x4c1f7220,
    0x8079becc,0x9de8804c,0x2abb65d9,0x9bdfa85e,0x5405ec99,0xfda99adf,
    0x7dd30f32,0x5fdfb733,0x266fbf20,0xdfb81eea,0x2ffdb99b,0x54cd6fd4,
    0x37dd02fd,0x2abb6bd5,0x4009705f,0xb00f103c,0xbfefc987,0xa9cfafc9,
    0xe9fdb81f,0x82fda9ad,0x700ffff8,0x007f909f,0x3fd10099,0x5400ee88,
    0x4006f446,0x0a84fabd,0x03b605d8,0x217cc0f3,0xfebbeffb,0x200fc03f,
    0x5d26c07a,0x98d50990,0x003ea02f,0xfd980264,0x00798003,0x807fd300,
    0x2fa85ffd,0x3c413fa0,0x001ff6c0,0x55d0b900,0x4002f88f,0x05f301f8,
    0x222ed7d4,0x417f404e,0x83ee01ec,0x8bee03f8,0x07ea02f9,0x223f7c40,
    0x2a86a82f,0x00f102e8,0xd0bfa07b,0xf304c89f,0x641b207f,0x0bf905ff,
    0x132009f9,0x260ff440,0x99aa01ef,0x3fb6004f,0x40ed8002,0x220d105d,
    0xa82f883f,0x200fc00f,0xe83ae07a,0x86a84c82,0x02f880fa,0xd5001320,
    0x03cc005d,0x033f6200,0x17c40440,0x103f5db0,0x0009b00f,0xf980f880,
    0x8006d83f,0x803e885c,0x02e40efb,0x03ea17cc,0x00f99720,0x803e88f4,
    0x7fb000eb,0x41f10db0,0x03e20ff8,0x81ec03c4,0x7986c84e,0x7c407f30,
    0x3f201101,0x2005fd85,0x3fe6004c,0xa80ffcc2,0xd8007f56,0x3b60001f,
    0x88005e88,0x740d704e,0x11f82f23,0x9834c195,0x2641741f,0xe86c8354,
    0x00264004,0xd001efb8,0xbf910005,0x17200001,0x10b90ed8,0x0007b00f,
    0x3fa05a80,0x4000f980,0x2006b85b,0x800fc43e,0xf0026c0b,0xd7002fc3,
    0xc801f400,0xe80f980f,0x698bbaa2,0x0f601e20,0x4c2dc174,0x5d00f307,
    0x20efd800,0x64005fd8,0x1ffcc004,0x3aa0bfea,0x3d8004fc,0x5eed8000,
    0x740bb000,0xfea9ae03,0x4efdcfbe,0xe83e8144,0x06984c81,0x8006d93a,
    0x3220004c,0x035400df,0x0007bee0,0x3b207b00,0x01e21aa0,0x266620f6,
    0x99999999,0x76c09909,0x1f999999,0xcdeedca8,0x2004c85d,0x0003cc4c,
    0x266666be,0x22d99999,0x09acefe8,0x132004c8,0x3b73b6e6,0x1f999999,
    0x96ef63c8,0x201e205b,0xb705d03d,0x01e60f30,0xffd800ba,0x0007ff40,
    0x3ee00132,0x20ffe42f,0x004fcefa,0x440001ec,0x6d8000ff,0x0d501740,
    0x037ffd71,0x20106c80,0x7c40104c,0x26200fba,0x99dd9999,0x22000999,
    0x7f500cfd,0x005dd500,0x3207e000,0x3c43c40f,0x7fec1ec0,0xffffffff,
    0x6407b5ff,0xffffffff,0x2b33fa62,0x2e85ecba,0x0b51aa00,0x7fffc400,
    0xffffffff,0xfeca984f,0x800ba0df,0x2fbfea6a,0xffffffca,0x15b82fff,
    0x0f61f13f,0x03d80788,0xf30b705d,0x0ba01e60,0x4c4fe880,0x264004ff,
    0x117fa200,0x21d509ff,0x7b000ee9,0xcce88000,0x03b2000e,0x01ec0b70,
    0xa8001fdd,0x0264000f,0x401ffa80,0xfffffffd,0x005fffff,0x3220efb8,
    0x4f220fcf,0x20000efb,0x1740aaa9,0x21e607f2,0x003d8078,0xbb026400,
    0x8033e200,0x2003d85b,0x0003545b,0x2000007a,0x07b1fda8,0x0afaadc0,
    0x798005c8,0x01f9f4d5,0x40f601e2,0x7985b82e,0x05d00f30,0x4c4fe880,
    0x132003fe,0xe889fd00,0xd88d503f,0x0007b005,0x01d92744,0xf3001f70,
    0x3203f303,0x7c400db6,0x004c8002,0x0001ff10,0x26000132,0x90dc83fd,
    0xfd31fd4b,0x3ff60005,0x07f24d86,0x403c42dc,0x5c00003d,0x6401fa05,
    0x5b85b806,0x0f10f600,0x0004d800,0x2dd3a001,0x81367b00,0xb3f0007c,
    0x203c6dc7,0x81f400f8,0x7985b82e,0x05d00f30,0x3fa20751,0x8017f443,
    0x13f6004c,0x35407fd1,0x1ec017c4,0xc84e8800,0x407ea01f,0x2b7fe629,
    0xf981ffda,0x36009d11,0x00990005,0x00177760,0x91000264,0x88ba019f,
    0x3ea07b2f,0x7ffc002e,0x1fb8fa81,0x1f105f10,0x00003e80,0x7fc407cc,
    0xc803e801,0x9801f985,0x2003e81f,0x40007d40,0xf36a801e,0x2e3f3003,
    0x0007f204,0xbf883ef6,0xd102d806,0x2e0ba07f,0x0f307985,0xdffd05d0,
    0x3a217ec0,0x004c801f,0x05fb07f9,0x00d706a8,0x9f30007b,0x7cc0fdc0,
    0x5fcd6e02,0xfb9cffc9,0x07e61f41,0x00601d70,0x1d700099,0x990007f1,
    0x077ee000,0xf9fa8798,0x00efdc00,0xdb02ffcc,0xb02ec03f,0x00ffa205,
    0x320f6000,0x2e3705cc,0xb82fe405,0x40fa200e,0x3ec401fa,0xf2a80364,
    0x75cbd009,0xf98fa200,0x705ffb80,0x361bf203,0x21ea804f,0x81becfb8,
    0x7985b82e,0x85d00f30,0x200ffff8,0x20fd81fd,0x9dc99998,0x17e41999,
    0x2e600fec,0x0e7c409e,0x26736666,0xbf500999,0x5fb31013,0x4ccce7cc,
    0x07d5c999,0x03018d70,0x0f301f98,0x7cc004c8,0x90007e61,0x2efa8009,
    0xfd81f880,0x19f91005,0x7007fe40,0xeea839ff,0xb887aa00,0xb000becf,
    0x5c5f300b,0x0fea8fa6,0x754417f1,0xfd809ece,0x6405fa82,0x1efa883f,
    0xd5105fb0,0x2077fe5f,0x17ec0fd8,0x076c2fd4,0x219dbdf7,0x7f500ee9,
    0x36005f70,0xfb2effef,0x02fa621f,0x09f983b7,0x22027ea6,0x7fec1be9,
    0x7904c806,0x3fffffe2,0x21ffffff,0x401e881e,0x40effffb,0xfff53ffb,
    0x9fffffff,0x0fffff50,0x2e5ffffd,0xffffffff,0x000005ff,0x79813a00,
    0xf1002640,0x4001f707,0x5fd5004c,0xfa84e800,0x1fecc002,0x3ee03fe8,
    0xffefffb9,0xffdfb003,0x003bf65d,0xf5001ff1,0x7f4c3dfd,0x7fd40cff,
    0xff73ffee,0xddff501f,0x3a6005ff,0x03effeef,0xffeeffa8,0x3f2ba0cf,
    0x01dffeef,0x5ffddff5,0x4fff7ec0,0x4feff9bb,0xa8000000,0xfffb800a,
    0x98bfee0f,0xffff34ff,0xffffb81f,0x00001540,0x00000000,0x00000000,
    0x00000000,0x64000000,0x3203cc06,0xd8176004,0x10132005,0x2a0007fb,
    0x3ddf30bf,0x2fea8001,0x1f981be6,0x8000d54c,0x440000aa,0x806a2000,
    0x554c4029,0x2aa60000,0x55510001,0x35510003,0x55531001,0x06aa6001,
    0xa8055440,0x0000000a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x1e6007cc,0x3b200990,0x4013a200,0x0067403b,
    0x3fbfea00,0x2000dfd4,0x803f51fa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xcc800000,0xccc84ccc,0x6ee444cc,0x0e200b82,
    0x33333333,0x81333333,0x001802b9,0x000039b5,0xaa980110,0x4006600a,
    0xaa881cc9,0xaaaaaaaa,0x0310aaaa,0x204c0088,0x2203302a,0x9d0002db,
    0x33333333,0xbb3330f5,0x5f510333,0x5f531013,0x00000001,0x000aa880,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x9bf97000,0x79fb9707,0x2e445f44,0x97a203b6,0xfffffffb,0x6fffffff,
    0x3207b9d3,0xd00cfffe,0xff899315,0x21fff65f,0xb03ffffb,0x3a201fff,
    0x7fff400e,0x7776cc6f,0xeeeeeeee,0x407f31ee,0xe87ee02a,0x2ffe46ff,
    0x037af7a2,0x7fff4032,0x7fffffff,0x7fffffdc,0x7ffe43ff,0xffffb84f,
    0x00000005,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01320172,0x1076c1e8,0x2a0000bd,0x15503b86,
    0x20ee1362,0xc93ffa0e,0x45f646ff,0xfff84eb8,0x81777603,0x00bea2fa,
    0x413e6000,0x443f904a,0xff10ffff,0xb12741ff,0x00036c1d,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3f1007cc,0x3603e200,0x0005e88e,0x00ee1aa0,
    0x87e00798,0x3fee2ffd,0x3e607e65,0xc81ffe61,0xdb04e88e,0x00000bd0,
    0x1ae217a6,0xdffb03db,0x0e26ffe8,0x006f67e4,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2e04d800,0x01fed805,0x00017bb6,0x20770d50,0x07effeb9,
    0x1ffc89b0,0x05c93fe6,0x03ffb8fa,0x417cc3f5,0x0007c84e,0x5ccba200,
    0x803aa688,0x00bb882a,0x000072a0,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x017c0f50,0xf102ed44,0xa800001f,0xcf983b86,0xd807a98a,0x220ffb84,
    0xd816e3ff,0x7c41bfa3,0x7dc1fa82,0xffa8fe20,0xffffffff,0x8802ffff,
    0x00002ddb,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x01aa0fa0,
    0x37a20f60,0x200000ed,0x2e83b86a,0x0fa20798,0x0ffc3fcc,0x23f301f1,
    0x4e882ff8,0xff883b20,0x4cc0ffbb,0x99999999,0x00001999,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x86b80000,0x44b8003e,0x003b65e8,
    0x1dc35400,0x41fee264,0x1be201e9,0x45b903fa,0x41bea5ea,0x4c3d805b,
    0x0001cffc,0x20000000,0xfb0ec84e,0xffffffff,0xffffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x98be0000,0xd106a00f,0x76c2f441,0x85980000,
    0xfefe883b,0x3ae3ffbc,0x20fa04c0,0xffff906c,0x0101fb89,0x00011000,
    0x80000000,0x10fe86f8,0x33333333,0x33333333,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x97200000,0x6fe4404c,0xb02f41ce,0xe980000d,0x441eeeee,
    0xeeeef801,0x100002fe,0x00310133,0x00000000,0x20000000,0x00018809,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xf1000000,0x04001f11,0x00050050,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x666c0000,0x00000005,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x00002ff9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_34_latin_ext_x[560]={ 0,7,3,2,3,2,3,7,8,4,0,2,4,2,
6,3,3,3,2,2,3,2,4,3,3,4,6,4,0,1,0,0,3,0,1,1,2,1,2,1,1,3,2,1,
1,0,0,0,2,1,1,2,2,1,0,0,1,1,3,0,0,0,3,1,6,2,0,2,1,1,3,1,1,2,
2,2,2,0,1,2,0,1,2,3,2,1,0,0,1,2,3,0,8,0,2,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,7,3,1,3,1,
8,2,4,0,0,0,0,2,0,-1,4,2,4,5,6,1,2,6,6,5,4,1,0,0,0,0,0,0,0,0,
0,0,0,1,1,1,1,1,3,3,3,3,-1,0,0,0,0,0,0,3,1,1,1,1,1,1,2,1,2,2,
2,2,2,2,0,2,1,1,1,1,2,2,2,2,1,1,2,2,2,2,2,2,1,1,1,1,1,2,0,2,
0,2,0,2,0,2,1,2,1,2,1,2,1,2,2,1,-1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,0,3,2,3,2,3,2,3,2,3,2,0,0,2,2,1,2,2,1,2,1,
2,1,2,1,2,1,2,0,1,0,1,0,1,0,1,1,0,2,0,2,0,2,0,0,1,2,1,2,1,2,
2,3,2,3,2,3,2,3,2,2,2,2,2,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,2,
1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,3,2,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,2,3,3,3,3,3,3,3,3,3,3,3,3,3,1,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,3,2,0,
2,1,1,1,1,1,1,1,1,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,2,0,0,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__courier_34_latin_ext_y[560]={ 24,5,5,4,4,5,8,5,5,5,5,7,19,14,
20,3,5,5,5,5,5,5,5,5,5,5,11,11,7,12,7,6,4,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,5,3,5,5,30,4,10,5,10,5,10,5,10,5,4,
4,5,5,10,10,10,10,10,11,10,6,11,11,11,11,11,11,5,5,5,13,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,24,11,4,6,9,6,
5,5,5,6,4,11,14,14,6,3,2,5,5,5,4,11,5,12,23,5,4,11,5,5,5,11,0,0,0,2,
2,0,6,6,0,0,0,2,0,0,0,2,6,2,0,0,0,2,2,10,5,0,0,0,2,0,6,5,4,4,
4,6,6,4,10,10,4,4,4,6,4,4,4,6,5,6,4,4,4,6,6,8,10,4,4,4,6,4,5,5,
3,6,1,4,6,10,0,4,0,4,1,5,1,4,1,5,6,5,3,6,1,4,1,5,6,10,1,4,0,4,
1,4,1,5,6,4,0,0,6,5,2,6,3,6,1,4,6,4,1,11,6,4,0,4,6,5,11,0,0,6,
5,6,5,6,5,6,5,0,4,6,10,1,4,5,6,10,3,6,1,4,0,4,6,10,0,4,6,11,1,4,
0,4,0,4,6,10,1,4,6,6,1,5,6,6,1,6,3,6,1,4,0,4,0,4,6,11,0,4,0,4,
2,0,4,1,5,1,4,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,6,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,6,10,5,5,5,5,5,5,5,5,5,5,5,5,5,4,10,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,1,4,1,4,1,
4,1,4,0,2,0,0,0,1,0,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,-5,-2,0,4,0,4,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static unsigned short stb__courier_34_latin_ext_w[560]={ 0,4,12,14,12,14,12,4,6,6,12,14,7,14,
6,12,12,12,13,14,12,14,12,12,12,12,6,8,15,16,15,11,12,18,16,16,15,15,15,16,16,12,16,17,
16,18,17,16,15,16,17,14,14,16,18,18,16,16,12,6,12,6,12,19,6,15,17,15,17,15,14,16,16,14,
11,16,14,18,16,14,17,17,15,12,14,16,18,18,16,16,12,7,2,7,14,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,4,12,15,12,16,
2,14,10,18,10,15,16,14,18,20,10,14,9,8,6,16,14,6,6,8,10,16,18,19,18,11,18,18,18,18,
18,18,18,16,15,15,15,15,12,12,12,12,17,17,16,16,16,16,16,12,16,16,16,16,16,16,15,15,15,15,
15,15,15,15,18,15,15,15,15,15,14,14,14,14,15,16,14,14,14,14,14,14,16,16,16,16,16,16,17,16,
18,15,18,15,19,16,16,15,16,15,16,15,16,15,15,18,17,17,15,15,15,15,15,15,17,15,15,15,16,16,
16,16,16,16,16,16,16,16,16,17,12,14,12,14,12,14,12,14,12,14,18,15,16,11,17,16,14,16,14,16,
14,16,14,16,14,16,14,17,16,17,16,17,16,17,16,14,16,14,16,14,16,14,18,18,17,15,17,15,17,15,
14,12,14,12,14,12,14,12,14,14,14,14,14,15,16,16,16,16,16,16,16,16,16,16,16,17,18,18,16,16,
16,12,12,12,12,12,12,14,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,17,16,16,14,16,16,16,
16,16,16,16,16,16,16,16,16,16,18,16,16,16,16,16,16,16,16,16,16,16,16,16,16,18,17,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,18,15,12,14,16,
14,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,18,15,18,18,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16, };
static unsigned short stb__courier_34_latin_ext_h[560]={ 0,20,10,22,23,20,17,10,23,23,12,17,10,3,
5,24,20,19,19,20,19,20,20,20,20,20,14,17,17,7,17,19,22,18,18,19,18,18,18,19,18,18,19,18,
18,18,18,19,18,22,18,19,18,19,18,18,18,18,18,23,24,23,9,3,6,15,20,15,20,15,19,20,19,20,
26,19,19,14,14,15,20,20,13,15,19,14,13,14,13,19,13,23,23,23,5,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,19,20,18,13,18,
23,21,4,19,10,13,10,3,19,2,9,19,10,11,6,19,21,5,6,10,10,13,19,19,19,19,24,24,24,22,
22,24,18,23,24,24,24,22,24,24,24,22,18,22,25,25,25,23,23,11,21,25,25,25,23,24,18,20,21,21,
21,19,19,21,15,19,21,21,21,19,20,20,20,18,20,18,21,21,21,19,19,15,16,21,21,21,19,26,25,25,
21,19,23,21,22,18,25,21,25,21,24,20,24,21,23,20,18,20,21,19,23,21,23,20,22,19,23,21,25,26,
24,26,24,25,23,26,24,24,18,19,22,18,21,18,23,20,23,25,23,13,19,26,25,26,23,24,13,24,24,23,
24,18,19,18,19,18,19,24,20,23,19,23,20,19,19,20,22,19,24,21,25,21,18,15,24,20,23,18,23,20,
25,21,25,21,23,19,24,21,25,25,23,20,18,19,24,19,22,19,24,21,25,21,25,21,23,18,24,21,24,26,
22,24,20,23,19,23,20,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,22,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,15,19,19,19,19,19,19,19,19,19,19,19,19,19,21,15,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,23,21,23,20,24,
21,24,21,25,23,25,25,25,24,25,25,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,29,27,24,21,26,22,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19, };
static unsigned short stb__courier_34_latin_ext_s[560]={ 511,507,384,210,200,459,77,506,135,112,497,
46,408,178,478,54,183,52,87,382,493,328,343,356,44,369,368,106,90,440,61,
114,356,349,440,159,249,233,320,195,303,336,212,368,386,403,422,229,492,303,474,
329,14,265,265,284,29,457,1,446,499,439,416,489,457,184,441,217,149,233,314,
132,374,313,36,35,360,332,351,262,241,98,438,249,344,315,296,296,454,282,471,
453,461,464,492,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,
97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,511,507,1,
442,484,1,472,392,478,246,363,375,337,178,176,193,429,126,374,315,471,65,79,
485,464,354,397,406,458,438,419,407,177,412,290,337,191,377,473,43,396,274,131,
369,244,231,118,242,185,272,462,479,280,142,78,324,228,33,410,344,95,20,18,
425,491,376,458,294,477,94,277,163,47,212,325,327,226,211,196,218,167,34,426,
52,37,179,132,150,115,474,441,162,260,99,444,427,407,147,172,360,435,101,393,
292,376,260,343,116,360,196,423,259,150,278,110,19,407,63,119,490,417,391,1,
31,84,65,482,48,37,67,475,116,148,183,168,114,290,203,481,458,159,57,17,
18,30,391,213,145,312,133,60,114,423,97,82,492,67,51,299,68,391,133,359,
196,296,389,406,358,27,141,343,72,255,232,131,16,1,1,423,165,165,474,230,
85,297,82,361,494,496,455,330,247,467,468,297,329,315,67,118,375,326,310,400,
277,257,308,101,126,50,20,213,492,1,143,431,161,320,147,14,345,101,376,397,
82,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,1,97,97,385,
97,97,97,97,97,97,97,97,97,97,97,97,97,194,200,97,97,97,97,97,
97,97,97,97,97,97,97,97,341,132,97,97,97,97,97,97,97,97,97,97,
97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,248,276,
267,410,160,245,309,179,229,280,263,195,212,214,178,246,97,97,97,97,97,97,
97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,
97,97,97,1,20,448,1,82,225,97,97,97,97,97,97,97,97,97,97,97,
97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,
97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,
97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,
97,97,97,97,97,97,97,97,97, };
static unsigned short stb__courier_34_latin_ext_t[560]={ 1,82,225,82,57,128,210,128,82,82,210,
210,225,27,225,57,128,171,150,128,150,128,128,128,150,128,210,210,210,225,210,
171,82,191,191,171,191,191,191,171,191,191,171,191,191,191,191,171,191,82,191,
171,210,171,191,191,210,191,210,57,31,57,225,231,225,210,128,210,128,210,171,
128,171,128,1,171,150,210,210,210,128,128,210,210,171,210,225,210,210,171,210,
57,57,57,225,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,
171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,1,106,150,
171,210,191,57,106,231,171,225,210,225,27,171,27,225,171,225,225,225,171,106,
225,225,225,225,210,150,150,150,150,31,31,31,82,82,31,171,82,31,31,31,
82,31,31,31,82,191,82,1,1,1,82,82,225,106,31,1,1,82,57,191,
128,106,106,106,150,150,106,210,150,106,106,106,150,128,128,128,191,128,191,106,
128,128,150,150,210,210,106,106,106,150,1,1,1,106,150,82,106,82,191,1,
106,1,106,31,128,31,106,57,128,191,128,106,171,57,106,82,128,82,150,82,
106,31,1,31,1,57,31,57,1,57,57,191,150,82,191,82,171,82,150,82,
31,82,210,150,1,1,1,82,57,210,57,57,57,57,191,171,191,171,191,171,
31,128,57,171,57,150,171,150,150,82,150,57,106,31,106,171,210,57,128,57,
191,57,128,1,82,1,82,57,150,31,82,1,1,57,128,191,150,31,150,82,
150,31,106,31,106,31,128,57,171,57,106,31,1,82,31,150,57,150,57,128,
171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,82,
171,171,171,171,171,171,171,171,171,171,171,171,171,150,210,171,171,171,171,171,
171,171,171,171,171,171,171,171,106,210,171,171,171,171,171,171,171,171,171,171,
171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,57,106,
57,128,31,106,31,106,1,57,1,1,1,31,1,1,171,171,171,171,171,171,
171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,
171,171,171,1,1,31,128,1,82,171,171,171,171,171,171,171,171,171,171,171,
171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,
171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,
171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,
171,171,171,171,171,171,171,171,171, };
static unsigned short stb__courier_34_latin_ext_a[560]={ 288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_34_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_34_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_34_latin_ext(stb_fontchar font[STB_FONT_courier_34_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_34_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_34_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_34_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_34_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_34_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_34_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_34_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_34_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_34_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_34_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_34_latin_ext_s[i] + stb__courier_34_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_34_latin_ext_t[i] + stb__courier_34_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_34_latin_ext_x[i];
            font[i].y0 = stb__courier_34_latin_ext_y[i];
            font[i].x1 = stb__courier_34_latin_ext_x[i] + stb__courier_34_latin_ext_w[i];
            font[i].y1 = stb__courier_34_latin_ext_y[i] + stb__courier_34_latin_ext_h[i];
            font[i].advance_int = (stb__courier_34_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_34_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_34_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_34_latin_ext_s[i] + stb__courier_34_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_34_latin_ext_t[i] + stb__courier_34_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_34_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_34_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_34_latin_ext_x[i] + stb__courier_34_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_34_latin_ext_y[i] + stb__courier_34_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_34_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_34_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_34_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_34_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_34_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_34_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_34_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_34_latin_ext_LINE_SPACING
#endif

