// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_43_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_43_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_43_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_43_latin_ext_BITMAP_HEIGHT        362
#define STB_FONT_courier_43_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_43_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_43_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_43_latin_ext_LINE_SPACING          20

static unsigned int stb__courier_43_latin_ext_pixels[]={
    0x00000000,0x00000000,0x00007100,0x040000dc,0x00000000,0x01000000,
    0x00001000,0x26200020,0x00000099,0x00001300,0x88000001,0x99970003,
    0x07999999,0x00000080,0x2e000100,0x0d400000,0x000001a8,0x00b80000,
    0x19999988,0x03300000,0x0000005c,0x80001b60,0x3200003d,0x7cc0004f,
    0x7fb00007,0x03fc8000,0x5c01f880,0x07fc4005,0xd3005fb8,0xdb10001b,
    0x75400003,0x3fe001df,0x000003ff,0x0003fc80,0x000027f4,0x70005f98,
    0x99999999,0x1fd40079,0xd1000000,0x07ba000f,0x43fc8000,0x4c0002fc,
    0x8800004e,0xffe801fd,0x0000ffff,0xdd02fd40,0x22000000,0x900003fe,
    0x6400001d,0x3ea0004f,0x6c40000e,0x3620003f,0x4000dfef,0x017e205f,
    0x2e01ff10,0xfefb805f,0x3fa6001f,0x980003fe,0x2001f52e,0x0003faa9,
    0x027ec000,0x03ffea00,0x09f70000,0x00000000,0x000009fb,0x0005fd10,
    0x00007f62,0x1fd8cfa8,0x7ffd4000,0xd100000e,0x2aa2005f,0x0000fcaa,
    0xb8037ee0,0x4000001f,0x00002fe8,0x9000007e,0x3ee0009f,0x7440000d,
    0x3e60002f,0x003df72f,0x7ec41fec,0x07fc4003,0x36205fb8,0x007fd15f,
    0x37f61df7,0x90f20000,0x007f0007,0x3f620000,0xff980003,0x320c0007,
    0x3000623f,0x80009801,0x000005fc,0x20007fe6,0x03117e41,0xbfd304c0,
    0x320004c1,0x02ff98df,0x00ffcc00,0x0003ea00,0xf802fe40,0x26000005,
    0x200001ff,0x00001dfa,0x320013f2,0xf980004f,0x3ee0001f,0x017f4c0e,
    0xdbdffe88,0xf88004ff,0x20bf700f,0x5fc83fe8,0x3ee17f60,0x85b0001e,
    0x03f8004b,0xfe880000,0x2e600002,0x93f60000,0x801ff41c,0xff500ff9,
    0x03bee000,0x1df50000,0xb89fb000,0x2600ffa3,0xf30e20ff,0x7fd1001f,
    0x0004fd88,0x00001df5,0xb00001f5,0x0fdc009f,0x77cc0000,0x7e400000,
    0x0000004f,0x0003f880,0x80001d70,0x01b6204f,0x5bfffd70,0x40000000,
    0x03ee01ea,0x4e980fe6,0x221b5000,0x03f8001e,0x1fc80000,0x00000000,
    0x7ec04fc8,0x01ff1003,0xa8001bea,0x2600005f,0xf90000df,0x803fd809,
    0xff9807f9,0x202fc800,0xde8001fc,0x1f500000,0x02fa8000,0x00027c40,
    0x00001c40,0x0002ffa8,0x00000000,0x00000200,0x00200000,0x00000000,
    0x00000000,0x007fdf90,0x00000fe0,0x00010000,0x20030000,0x20044001,
    0x0c400008,0x000a0000,0x000c0060,0x00220011,0x00001000,0x03ea0000,
    0x40002000,0x800000fc,0x000001ca,0x00000000,0x75c00000,0x000002ef,
    0x00000000,0x00000000,0x40000000,0x1fc00028,0x0000ddcc,0x00fa8010,
    0x0006ee62,0x00000000,0x07910000,0xc8800b22,0x00059103,0x00000000,
    0x00088000,0x80000400,0x100000fa,0x009f1000,0x75ef4400,0x00000006,
    0x00000000,0x263d5000,0x0000000f,0x03773100,0x00000000,0xbb988000,
    0x00000001,0x7fe47f00,0x003dffff,0x6fffedc4,0xf702fcc3,0x21bfffff,
    0x910ffffa,0x81999999,0x4cccccc9,0x33333322,0x66664c0c,0x3ff204cc,
    0x000ffd80,0xffb01ff9,0x33332201,0x664c0ccc,0x3224cccc,0x40cccccc,
    0x4cccccc9,0xfffeb980,0x100550ce,0x19dfffb7,0x003ea000,0xeffeca80,
    0x7e40aa2c,0x89700000,0x4c40002d,0x7d4001bb,0xffffffff,0xffff11ff,
    0x7ffd40df,0x216c04ff,0x7ffc403c,0x3fea06ff,0xff704fff,0x2a1bffff,
    0xff10ffff,0x7c4fffff,0x36ffffff,0xffffffff,0x7dc03fff,0x50dfffff,
    0x3221ffff,0x40cccccc,0x4cccccc9,0x33fa2fe0,0x07fd5309,0x2b3bfea0,
    0xee89efec,0x0acfe880,0xbf53ff73,0x77f74c79,0x77540eee,0xd30deffe,
    0x81ddddfd,0xdeffeeea,0x2e0df500,0x1bea006f,0xdd3037dc,0xa81ddddf,
    0x0deffeee,0xddddfdd3,0xffeeea81,0xfff500de,0x7fffb77b,0xeff980db,
    0x03ffecac,0x8000fa80,0xcbaceffb,0x305d8dfe,0x3a00007f,0x700025c1,
    0x1bffffff,0x443fffea,0xcccccccb,0x3fae1fdc,0x32e202cc,0x16c01cfe,
    0x3fae00f2,0x32e202cc,0x7f441cfe,0x3ff730ac,0xcb879bf5,0x65c7eccc,
    0x2e6ecccc,0xcccccccc,0xcfe881fd,0x53ff730a,0x774c79bf,0x540eeeef,
    0x0deffeee,0x803ddbf0,0x6fdc03fb,0x3fdfd300,0xd880bfa0,0x3e200fcf,
    0x103e4003,0x07c8007f,0x80008010,0xf8800400,0x103e4003,0x07c8007f,
    0x9300f7e4,0x77dc0dff,0x009fd100,0x6c000fa8,0x3fee00df,0x001f605e,
    0x00b625c0,0x42b3fa20,0xdfa9ffb9,0x1f98003c,0x3a001fcc,0x261d5005,
    0x07f3000f,0x5fd05e80,0x07e7ec40,0x3200f900,0x40fcc006,0x3f6202fe,
    0x0fe200fc,0xff00f900,0x0fee001f,0xfe802fdc,0x2005f704,0x3e200ffe,
    0x103e4003,0x07c8007f,0x00000000,0x003f8800,0x07f103e4,0x3ee07c80,
    0x41bea005,0x7fb005fb,0x0007d400,0x3a2007f7,0x00fe605f,0x32b3e200,
    0x05fd0007,0x007e7ec4,0xdb03f300,0x000fd400,0x8005ddf9,0x07ea006d,
    0x7f400bee,0x01f2000f,0x3e600364,0xe8017dc1,0x0fe200ff,0xff00f900,
    0x885e8005,0xdff5005f,0x4400bf10,0x0fe200ff,0x7c40f900,0x003e4003,
    0x00000000,0x2001fc40,0x00fe207c,0x1be20f90,0x3e21ba00,0x007ec005,
    0xf3000fa8,0x05f9800d,0x88000374,0xb8000bdb,0x1ffd002f,0x40fcc000,
    0x0dd003f9,0x4c000600,0x10dd003f,0x7fc400bf,0x401f2000,0x0fcc006c,
    0x7c400bf1,0x00fe200f,0x0df00f90,0x1f90f500,0x7f3df100,0x6c001f98,
    0x00fe200f,0x1fc40f90,0x0001f200,0x00000000,0xf9000fe2,0x2001fc40,
    0x003f707c,0x03f90970,0x5004f980,0x07f2001f,0xf5017a00,0x00000005,
    0x4400bf10,0x260000ff,0x500db01f,0x0000005f,0x5f500db0,0xd8003f30,
    0x01f2000f,0x3e600364,0xb0007e61,0x01fc401f,0x17e01f20,0xf98be200,
    0x361fd004,0x20007dc7,0x0fe200fc,0x7c40f900,0x443e4003,0xf102ffff,
    0xf883ffff,0xff102fff,0x3e203fff,0x103e4003,0x07c8007f,0x440000bb,
    0x0fb0004f,0x74003ea0,0x00550004,0x999000dd,0x00799999,0x6c001f98,
    0x3e60000f,0xe805f301,0x6654c006,0x2f98001a,0x0fb83740,0x0007e400,
    0x01b200f9,0x07dc3f30,0x8803f200,0x03e4003f,0x3f80027c,0x3f6003ee,
    0x07c8be61,0x2200fa80,0x03e4003f,0x7c8007f1,0x405fb970,0xb81fdccb,
    0x32e02fdc,0x7f101fdc,0x2207c800,0x83e4003f,0x2a00003f,0x1f30000f,
    0x1001f500,0x8000003f,0x362001fa,0xfeffeeee,0x003ee000,0x40001f90,
    0x81b601f9,0xfda802fa,0x1effffff,0xf5036c00,0x2001f205,0x1f2000fa,
    0x26003640,0x2001f21f,0x0fe200fa,0xbf00f900,0x645f1000,0xf83fb806,
    0x90003ee3,0x01fc401f,0x3f881f20,0x2203e400,0x03f3002f,0xf98017c4,
    0x8007f101,0x00fe207c,0x03f30f90,0x003e4000,0x3ea00be0,0x000fa800,
    0x005e8000,0x03f8ed80,0x2a001f20,0x3e60000f,0x740be601,0xacefa806,
    0x007faa21,0x0dd02f98,0x320007dc,0x01f2000f,0x3e600364,0x90003ee1,
    0x01fc401f,0x1be01f20,0x5d87ea00,0x4e82fcc0,0xfb0007e6,0x001fc401,
    0x03f881f2,0x3e203e40,0x403f3002,0x3f3002f8,0x9000fe20,0x001fc40f,
    0x001ee1f2,0x8000db00,0x00fa804e,0x000007c8,0x40003f70,0x400db3f8,
    0x7e4000fb,0x07e60000,0x05f30db0,0x1fe20020,0x5f30db00,0x2000fcc0,
    0x1f2000fd,0x26003640,0x0007e61f,0x1fc401fb,0x3e01f200,0x23ec002f,
    0x03be204f,0x009f12ec,0xf1007fc4,0x207c8007,0x3e4003f8,0x4c00be20,
    0x00be201f,0x3f880fcc,0xf103e400,0xc87c8007,0x27400007,0x201b6000,
    0x06c800fa,0xbf100000,0xa87dc000,0x03f3001f,0x0000fd80,0x5f3007e6,
    0x800006d8,0x3e6001fb,0x3e2036c2,0x03fe2004,0xd9007c80,0x221f9800,
    0x3fe2004f,0x000fe200,0x1fff00f9,0x7f0bee00,0xdb007ec0,0xfd002fb8,
    0x01fc401f,0x3f881f20,0x2203e400,0x03f3002f,0xf98017c4,0x8007f101,
    0x00fe207c,0x00f90f90,0x0004f800,0x07d40364,0x00003640,0x0001f900,
    0x2009f17a,0x3e2004f8,0x3e60000f,0x3e66d801,0xf8800002,0xf336c003,
    0x005f7005,0xc8003ffa,0x800d9007,0x017dc1f9,0x2200ffe8,0x03e4003f,
    0x200f7efc,0x904e85fb,0xe85e805f,0x33f6202f,0x00fe200f,0x1fc40f90,
    0xf101f200,0x807e6005,0x3f3002f8,0x9000fe20,0x001fc40f,0x201f21f2,
    0xcccccccb,0x8000bb0c,0x00fa805d,0x000007c8,0x20013e20,0x003e42f9,
    0x3fa005f7,0x3e60000f,0xdb2f9801,0x3e200000,0xd97cc003,0x80bfa006,
    0x000fcfd8,0x036401f2,0x3fa07e60,0x3f3f6202,0x000fe200,0xd17f00f9,
    0x3aa6139f,0xa85d80df,0x883f804f,0xf7309cfe,0x4401f53f,0x03e4003f,
    0x7c8007f1,0x98017c40,0x00be201f,0x3f880fcc,0xf103e400,0xb87c8007,
    0x7fff400f,0xd91fffff,0x803f8000,0x0fb800fa,0x32000000,0x43e4000f,
    0x3fa002f9,0x3f3f6202,0x07e60000,0x017cf6c0,0x77765c40,0x003fbcde,
    0x002f9ed8,0x4c273fa2,0x00fa9ffb,0x36401f20,0x2207e600,0xf7309cfe,
    0x4401f53f,0x03e4003f,0xffffb1fc,0x3e405fff,0x3e2017e6,0x3fffee02,
    0x01f50dff,0x32001fc4,0x000fe207,0x02f880f9,0x7c403f30,0x203f3002,
    0x3e4003f8,0xc8007f10,0x0001f987,0x0007b8db,0x665c47e2,0xccdfdccc,
    0x3f50bccc,0x44000000,0x827c004f,0x3fa2005e,0x3ff7309c,0x4c0001f5,
    0xdff3001f,0xfffc8800,0xfffeecde,0x6ff98003,0xffff7000,0x03ea1bff,
    0x3b333322,0x42cccccf,0x0fcc006c,0xffffff70,0x8803ea1b,0x03e4003f,
    0x565cc1fc,0xd12fa801,0x03f7001d,0xa81bb988,0x0027c00f,0x009f01ba,
    0x17c406e8,0x2201f980,0x03f3002f,0x1ba0027c,0x6e8009f0,0xb0002f88,
    0x0002fa8d,0x7fffd4f7,0xffffffff,0x07f11fff,0xfd800000,0x203f5000,
    0x7dc000fb,0x50dfffff,0x7cc0001f,0x00ff6001,0x9803bfd0,0x7fb0003f,
    0x5dcc4000,0xfb80fa81,0xffffffff,0x03645fff,0x31007e60,0x01f50377,
    0x374004f8,0x00001fc0,0x2007f6dd,0x500005f8,0x005c801f,0x0b9013e2,
    0x22027c40,0x03f3002f,0xf98017c4,0x88017201,0x002e404f,0x017e09f1,
    0x037436c0,0x00006f80,0x00001f90,0x801fcc00,0x00fe206d,0x206ee620,
    0x260000fa,0x01f6001f,0x22005f90,0x0fb0003f,0x1f500000,0x1b200000,
    0x0003f300,0x5c801f50,0x2013e200,0x2a00003f,0xf9002fdf,0x3ee00001,
    0x8007d400,0x07d403fa,0x4403fa80,0x03f5002f,0xfa8017c4,0x4003ea01,
    0x07d403fa,0xf503fa80,0x30db0007,0x2fb8007f,0xbf100000,0x003b1000,
    0x7f100db0,0x00006d80,0x40001f50,0x7f3000fb,0x2004f800,0xf98003f8,
    0xb8000003,0xd000000f,0x01fb800d,0x400fb800,0x7f5000fa,0x00007f00,
    0xf5004fe8,0x36c00009,0x4402fc40,0x2fc400ee,0x40077440,0x1ffb805f,
    0x7dc02fc0,0x017e201f,0xf1003ba2,0x01dd100b,0x360007ec,0x2003fb06,
    0x3ee005fa,0x07f7000d,0x0007fcc0,0x3ee017cc,0x000fd400,0x0007dc00,
    0x3ec00fd0,0x8007e600,0x7d8003f9,0xdb000000,0x3e200000,0x003f4004,
    0xf8806d80,0x00ee8805,0x200003f8,0x6402fff8,0x500000ef,0x0fee009f,
    0x7002fe88,0x17f4407f,0x3600fd80,0x7ec01fff,0x07fff600,0x74407f70,
    0x07f7002f,0x22017f44,0x1b6003ff,0x2a01ff44,0x5c4000ef,0x037ee004,
    0x0003df50,0x3bfa0374,0xeeeeeeee,0xd800004f,0x17e60006,0x2001fcc0,
    0xff5004f8,0x03f98007,0x4fa80000,0x5f900000,0x0037c400,0xb8027d40,
    0x0bfa203f,0x80001fc0,0xadfe9fe8,0x009fb730,0x0077cc00,0x2615df70,
    0x5c003feb,0xfd730aef,0x5f7cc007,0x9bfeca88,0xdf300cdf,0x7fd95117,
    0x5c019bf3,0xfd730aef,0xaefb8007,0x007fd730,0x826fbf22,0x405ffc98,
    0xb710adfd,0x2a2001df,0xfc800b90,0xfb730abf,0xfa80001b,0xddddf301,
    0xfddddddd,0x4fa80000,0x03fb1000,0x74001f60,0x7ffe400f,0x003ec003,
    0x077cc000,0x37cc0000,0x003fb100,0x000ef980,0x5cc2bbee,0x554c03fe,
    0x002aaadf,0x7fdc3fb0,0x002effff,0x65555544,0xb8000efe,0x1efffffe,
    0xfffd7000,0x50003dff,0x1dffffff,0xa80bffe6,0x0effffff,0xb805fff3,
    0x1efffffe,0xfffd7000,0x50003dff,0xfffffffd,0x3ee0039f,0x03ffffff,
    0x0efff440,0x7ffecc00,0x0003efff,0x007b8020,0x40000be6,0x55100ef9,
    0x3ff97555,0xf7555530,0x4c00155b,0xd9511bef,0x179bf19f,0x7dd5554c,
    0x10000aad,0xfd955555,0x54c0001d,0x0dfdbaaa,0x65d55554,0xaa8803ff,
    0x0efecaaa,0xfffeb800,0xff801eff,0x1fffffff,0x981fd400,0x70000acb,
    0x7dffffff,0x59510000,0x2a200003,0x440001ac,0x00009bca,0x004de544,
    0x1aca8800,0x59510000,0x2a600003,0x00009abc,0x00057951,0x31000010,
    0x00001597,0x4004e800,0x5551005e,0x01dfd955,0x7fffffdc,0xffff01de,
    0x0bffffff,0xffffea80,0xfff11eff,0x7ffffc5f,0x005fffff,0xffffff70,
    0xfb00007d,0x509dffff,0xbfffffff,0x3ffee001,0x0003efff,0x001aca88,
    0x26666662,0x03880009,0x33100000,0x00000033,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf9800000,0x007dc001,
    0x7fffffdc,0x3331003e,0x33310013,0x00333333,0x00de5d40,0x4ccccc40,
    0x40001999,0x00019998,0x80199980,0x00099998,0x00333310,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x3f88006c,0x03333100,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xf8000000,0x00db0003,0x55540000,0xaaaaaaaa,0xaaaaaaaa,
    0x00002aaa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x9bfb9300,0x665c4079,0x0000bcfd,0x3fffea00,
    0xffffffff,0xffffffff,0x00000fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfffffb80,0xfff300ef,
    0x0005ffff,0x88888800,0x88888888,0x88888888,0x00000008,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x200006a0,0x03b301d9,
    0x20000000,0x51000000,0x30000330,0x00b80005,0x00000000,0x00000000,
    0x800cc000,0x40000048,0x99819828,0x64c00019,0xcccccccc,0x4ccccccc,
    0x80000000,0x00000008,0x00000000,0x04000000,0x00000000,0x000e2000,
    0x26200080,0x00209999,0x200017ec,0x0dfd06fe,0x000ff880,0x0005f700,
    0x7d47e880,0x37d40004,0x01df1000,0x1ec80000,0x00ed8000,0x001fcc00,
    0x200bf500,0x000000fa,0x44fa8fd1,0x001ffffa,0x3bbbbea0,0xeeeefeee,
    0x1000feee,0x200001db,0xb80003fb,0xa800002f,0x5c00002f,0x880000df,
    0x000002fd,0x000005f7,0x80003fa2,0x2ceffeca,0xffffe8aa,0x1001f52f,
    0x640007fb,0x009f905f,0x0000ff88,0x027f7ec4,0x21fe8800,0x20000ef9,
    0x40000dfb,0x00001ff9,0x03fffe88,0x5fffd300,0x3ffee000,0x7dc0000d,
    0x01f5000e,0x87fa0000,0xca980ef9,0x3ea0001f,0x2e01f501,0xffe9800f,
    0x7e40002f,0x7ec40005,0x200004ff,0x0004fffc,0x3ffdfea8,0x3bfa6000,
    0x2200004f,0x0004fffd,0x000ffcc0,0xbaceffb8,0x25d8dfec,0x52fbaaa8,
    0x27ec001f,0x00801000,0x000ff880,0x7dcbfa60,0x7ec0000e,0x0003be62,
    0x00005fc8,0x0000bfa6,0xfd8aff98,0x4f7d4005,0x22004fd8,0x03df54fd,
    0x0017f200,0x000001f5,0x077cc5fb,0x80007ea0,0x01f501fa,0xdf7003ee,
    0x0009fb11,0x300013f6,0x037f25fd,0x73fe8800,0xb10001df,0x3bf623df,
    0x8f7d4002,0x40000dfc,0x1bf92fe9,0x1df50000,0x037f6000,0x205effb8,
    0x001f52f9,0x00005fc8,0x3fe20000,0x3df70000,0x0002ff98,0x077cc5fb,
    0x009fb000,0x07fd1000,0x81df7000,0xfc800efb,0x0077e40d,0xfd30bfa6,
    0x04fd8007,0x0000fa80,0xdf117ec0,0x003f5001,0xfa80fd40,0x6c01f700,
    0x00efb85f,0x0007fd10,0x7d41efa8,0xffa8001f,0x0017fcc1,0x7f4c0ffa,
    0x81bf9001,0x50001ffa,0x1ffa83df,0x037ee000,0x801fdc00,0x3e605fe8,
    0x70001f52,0x0000003f,0x7c000000,0x001ba205,0x01d90fe6,0x0017cc00,
    0x001f6000,0x74c09f10,0x501fcc05,0x01ed809f,0x2a001fb1,0x1f50002f,
    0x1fcc0000,0x7d4003b2,0x07ea0001,0x0fb807d4,0x7d407f50,0x005f9003,
    0x2201bf00,0x0de8006e,0x8800fd10,0xf1001800,0x00274407,0xdd100df8,
    0x0027c000,0x9800df30,0x54be605f,0x0000000f,0x00000000,0x00000000,
    0x00000001,0x00000000,0x08000020,0x00080080,0x20008001,0xfffffff8,
    0x3fffffff,0x20000200,0x2a0001fa,0x201f501f,0x000000fb,0x40000220,
    0x10001000,0x33100200,0x00000003,0x40020000,0x00000000,0x3a0007f2,
    0x7d4be605,0x88002000,0x206fffff,0x04fffffa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x04000010,0x20008000,0xccdfdccb,0x01bccccc,
    0x2a000100,0x3e60001f,0x2a01f500,0x40004007,0x01999998,0x00000000,
    0x7fc40000,0x000001ff,0x00000000,0x00000000,0x0aa0009d,0x01f52f98,
    0x77ffedc4,0x67f5c00c,0x3b2e202c,0x400001cf,0xccccccc8,0x666664c0,
    0x3333224c,0x664c0ccc,0x3224cccc,0x40cccccc,0x4cccccc9,0x33333322,
    0x66664c0c,0xccc804cc,0xcccccccc,0xfeca804c,0x80aa2cef,0xcefffed9,
    0x76cc0170,0x170cefff,0x00007d40,0xdfffb710,0x07ea0019,0x1bfffffa,
    0x200fa806,0x7fedc400,0xfe800cef,0x800fffff,0xccccccc8,0x99999501,
    0x99999079,0xcccc8819,0x1fca984c,0x66640000,0x003ccccc,0x04ccccc8,
    0x0b333322,0x66666664,0x0fc4003c,0x2f980000,0x3fe601f5,0x3ffecace,
    0x2001fcc0,0xffff705e,0xdd3003ff,0xa81ddddf,0x0deffeee,0xddddfdd3,
    0xffeeea81,0xdfdd30de,0xeea81ddd,0xd30deffe,0x81ddddfd,0xdeffeeea,
    0x3bbb6200,0xeeeefeee,0x9dff700d,0xb1bfd975,0x2f3ff20b,0x3faffdba,
    0x7579ff90,0x407f5ffb,0x300000fa,0xfd959dff,0x03f5007f,0x0599ffb5,
    0x0000fa80,0xd959dff3,0xaa8807ff,0x8800fcaa,0x2eeeeffd,0xdfdddd70,
    0xeefed88b,0x7f774c1e,0x03f300de,0x776c4000,0x00feffee,0x2f7ff6c0,
    0x9dffdd30,0xfddddb10,0x54001fdf,0x3000000f,0x2e03ea5f,0x9fd100ef,
    0x2a006d80,0x9999101f,0x7c4003fb,0x103e4003,0x07c8007f,0xf9000fe2,
    0x2001fc40,0xf880007c,0x01bfb003,0x5c2f7fdc,0xffb100cf,0x2019f707,
    0x2a03ffd8,0xfb80000f,0x09fd100e,0xefa81fa8,0x03ea0000,0x403bee00,
    0x54004fe8,0x01f2000f,0x2602f980,0x03f5002f,0x00001f98,0x03f8ed80,
    0x2001fb00,0xed8003f9,0x1f2003f8,0x2f980000,0x05fb81f5,0x7cc07fb0,
    0x800dd003,0x3e2001fa,0x103e4003,0x07c8007f,0xf9000fe2,0x2001fc40,
    0xf880007c,0x003fb803,0x4f98bfd1,0xf987fd00,0x407fd004,0x5c0000fa,
    0x07fb005f,0x37ee0fd4,0x07d40000,0x4017ee00,0x3ea003fd,0x001ee000,
    0x3e601f98,0x803f5002,0x000001f9,0x006d9fc4,0x3a00bf10,0xb3f88006,
    0x0036400d,0x265f3000,0x2002fc47,0x01b600fd,0xf5000bea,0x01fc4003,
    0x3f881f20,0xf103e400,0x207c8007,0x3e4003f8,0x01fc4000,0xf3001be6,
    0x5000fb8b,0x000fb87f,0x07d407f5,0x00bf1000,0x3f500fd8,0x800027e4,
    0x3e2000fa,0x007ec005,0x2a000fa8,0x1f50000f,0xa8017cc0,0x00fcc01f,
    0x43ee0000,0xf70001fa,0x001fc805,0x03f50fb8,0x00001b20,0x3f202f98,
    0x027cc001,0x06e805f3,0x2001fa80,0x3e4003f8,0xc8007f10,0x000fe207,
    0x01fc40f9,0x20001f20,0x0fe403f8,0x1b62f400,0x06d87f00,0x1f501fc0,
    0x00fe4000,0x7d413e60,0x0003fd89,0xc8003ea0,0x27cc001f,0x2000fa80,
    0x07db01f9,0x05f301ee,0xf3007ea0,0x00acb983,0x13e2f400,0x300fd800,
    0x17a0009f,0x01f2009f,0x02f98000,0x360009f1,0xf5036c07,0x03f50005,
    0x2001fc40,0x00fe207c,0x1fc40f90,0xf881f200,0x003e4003,0x3a01fc40,
    0xc8550004,0x3e40c007,0x1f500600,0x013e2000,0xafa83ec0,0x400003fe,
    0x9f1000fa,0x401f6000,0x3e2000fa,0x906ff982,0x002f980d,0x1f9803f5,
    0xbffffff7,0x85f30001,0x3e20007c,0x2000dd04,0x803e42f9,0x000000fb,
    0x03ea05f3,0x3007cc00,0x001ba05f,0xf1000fd4,0x207c8007,0x3e4003f8,
    0xc8007f10,0x000fe207,0xf10000f9,0x000fc407,0x0003f700,0x00001fb8,
    0x540003ea,0x1f30000f,0x1dddff50,0x07d40000,0x0000fa80,0x1f5001f3,
    0xfb83f800,0x405d81fb,0x3f5002f9,0xcfc9f980,0x00df7309,0x05f30f90,
    0x2e17dc00,0x0f90001f,0x3f5005f3,0x3e600000,0x8000f902,0x4c36c02f,
    0x3f50002f,0x001fc400,0x03f881f2,0x7f103e40,0x2207c800,0x03e4003f,
    0x501fc400,0x4400001f,0x220001fe,0x500001fe,0x1f20001f,0xf505f000,
    0x001df11d,0x4003ea00,0x17c0007c,0x20007d40,0x3f8ee84f,0x17cc04e8,
    0x4c01fa80,0x3ea02fff,0xe827c004,0x87740005,0x3e0004f8,0xf100bd04,
    0x26000007,0x000db02f,0x17cc04e8,0xfa8001b6,0x00fe2001,0x1fc40f90,
    0xf881f200,0x103e4003,0x07c8007f,0x203f8800,0x8800007c,0x8000adfe,
    0x000adfe8,0x40003ea0,0x2740006d,0x1df10fd4,0x01f50000,0xd0001b60,
    0x001f5009,0xe9fc45e8,0x7cc04f85,0x803f5002,0x7f801ff9,0x5c07ea00,
    0x3e60000f,0x20001db4,0x01f701fa,0x00001f90,0xe8a25f30,0x036c0004,
    0x005f336c,0x1000fd40,0x07c8007f,0xf9000fe2,0x2001fc40,0x00fe207c,
    0x10000f90,0x0036407f,0xfffd5000,0x7540059b,0x002cdfff,0x74000fe6,
    0x436c0004,0x077cc1fa,0x003ea000,0x36000274,0x000fa806,0x5c7ea2ec,
    0x7cc03f87,0xffffffff,0x4c01ffff,0x01f7002f,0x3f881b60,0x7efdc000,
    0x81b60002,0x5f8803f8,0x301d8800,0x27c3ea5f,0x201b2000,0x000db2f9,
    0x22001fa8,0x03e4003f,0x7c8007f1,0x9000fe20,0x001fc40f,0x220001f2,
    0x001b203f,0x372a2000,0x22003fff,0x03fffdca,0x92a00df0,0x3640004f,
    0x77cc0fd4,0x03ea0000,0x200027c0,0x00fa806c,0x99f23640,0x300be22f,
    0x999999bf,0x803fb999,0x3f5001f9,0xd807f100,0x5fe80006,0x00fe2000,
    0x0fee00db,0x300ff980,0x2ec3ea5f,0x40176000,0x0002f9ed,0xf1000fd4,
    0x207c8007,0x3e4003f8,0xc8007f10,0x000fe207,0x400350f9,0x01f203f8,
    0x64c00000,0x3260004f,0xbefb804f,0xbff95311,0x360002ec,0xf301fa85,
    0x9971001d,0x79999fb9,0xb0001760,0x001f500b,0x3e2f47b8,0xf3007e64,
    0x007ea005,0x3ea003f3,0x400fb801,0x540001fa,0x3ee0001f,0x800fd400,
    0x7d400dfb,0x54be601e,0x8000d90f,0xdff3003f,0x03f50000,0x2001fc40,
    0x00fe207c,0x1fc40f90,0xf881f200,0x743e4003,0x80fe2005,0x000000fb,
    0x0013ee00,0xf7009f70,0xbfffffff,0x40006c85,0x201fa83f,0x7d400ef9,
    0xffffffff,0x006c80ef,0x7d401fc0,0x987d4000,0x1f536c3f,0x5002f980,
    0x01f9803f,0xfd003f50,0xdddddddd,0xa80009fd,0x3fa0001f,0xeeeeeeee,
    0x3f2004fe,0xfb730abf,0x52f9801b,0x8001ee1f,0x3f6001f8,0x1fa80003,
    0x000fe200,0x01fc40f9,0x3f881f20,0xf103e400,0xe87c8007,0x80fe2005,
    0x000001fa,0x00036c00,0x9750036c,0x03dc0137,0x2e23f100,0xd7101fdc,
    0x000399df,0x8001ee00,0x0fa801f8,0xfb8fcc00,0x07b87d40,0xf5002f98,
    0x001f9803,0xef9803f5,0xeeeeeeee,0x540007ee,0xdf30001f,0xdddddddd,
    0xd9800fdd,0x3effffff,0x3ea5f300,0x20005f50,0x03ec007b,0x333332e0,
    0xcccccdfd,0xe8009f02,0x20027c06,0x0027c06e,0x009f01ba,0x005e86e8,
    0x3f880fe2,0x00310000,0x00621f50,0x00003ea0,0x80017d40,0x3fffe67b,
    0xfffff301,0x2000007f,0xf70002fa,0x0003ea00,0x221b65f1,0xf300f93f,
    0x007ea005,0x3ea003f3,0x3003dc01,0x7d40005f,0x00f70001,0x440017cc,
    0x4000acf9,0x741f52f9,0x00df0006,0xd1001fcc,0xffffffff,0x01dfffff,
    0x27c400b9,0xf8801720,0x1002e404,0x005c809f,0x017a13e2,0x7e401fa8,
    0x07b80000,0x0f71f980,0x2003f300,0x1ba004fd,0x00037c00,0x09fb0000,
    0xf8003740,0x001f5006,0x7413e7f0,0x5f300db5,0x3007ea00,0x07ea003f,
    0x5e8009d0,0x007ea000,0x3a002740,0x003e0005,0x0fa97cc0,0xf7000fe6,
    0x003ec005,0x000bf980,0xfa8007d4,0x8007d403,0x07d403fa,0x5403fa80,
    0x07f5000f,0x07e400bd,0x20017e20,0x003f91d8,0x03f90fb8,0x9800fb80,
    0x3e6007ff,0x017dc003,0xf9800000,0x0fe6007f,0x2005f700,0xbf8000fa,
    0x3af702f9,0x002f9805,0x1f9803f5,0x4c03f500,0x07dc001f,0x001fa800,
    0x5c001f98,0x5df0000f,0x2a5f3000,0x800fec0f,0x3e6005fa,0x0b900003,
    0x2017e200,0x7c400ee8,0x00ee8805,0x74402fc4,0x02fc400e,0x77407744,
    0x005f8800,0x7cc007f7,0x400bf90f,0x017f26f8,0x36006f88,0x0fec005f,
    0x2005fa80,0x00002ef9,0xfd800bfb,0x00bf5001,0x740007d4,0x2be607cc,
    0x02f9804e,0xf9803f50,0x403f5001,0x3f88006c,0x003f5000,0xf1000d90,
    0x07cc0007,0x7d4be600,0x201ff440,0x36000efa,0x0f600007,0x203fb800,
    0xf7002fe8,0x017f4407,0x3a203fb8,0x07f7002f,0xfa817f44,0x03fa202f,
    0x400dfb80,0x3ff21efa,0x21fe8804,0xe8804ffc,0x0174001f,0x500ffa20,
    0xd50001df,0x01740000,0x500ffa20,0x7d4001df,0x5edd8000,0x401fe7c0,
    0x3f5002f9,0x5001f980,0x001fc03f,0xf50006d8,0x007f0003,0xcb801b60,
    0xeb801f31,0x1f52feee,0x442b7f60,0x5300efdb,0x55bf7555,0x0ea80001,
    0xefb80073,0x07fd730a,0x30aefb80,0xb8007fd7,0xfd730aef,0xaefb8007,
    0x807fd730,0x730adfe8,0xf90005fd,0x36e6157f,0x7d7e40df,0x3ee621bf,
    0x7fd7e42f,0x3fee621b,0x007dc002,0x10adfd80,0x4001dfb7,0x0000d50a,
    0x6c0003ee,0xfb710adf,0x0fa8001d,0x03ffc800,0x95017fec,0x88179bfb,
    0x42cdfdcb,0x01cdfdc9,0x219bfb93,0x3ccdfdc9,0x3f732e20,0x997100bc,
    0x7999bfb9,0x337f7260,0x332e203c,0x4400bcfd,0xc802effd,0xb11eeeee,
    0xfffffb80,0x7ffc03ff,0x5fffffff,0xfffd8000,0xffeb8004,0x0001efff,
    0xdfffffd7,0x3fae0003,0x001effff,0xfffffd70,0x7fdc003d,0x000dffff,
    0x3ffff660,0x2b503eff,0xffffffd8,0xb15a80df,0xbfffffff,0x01f88001,
    0x7fffdc00,0xd8003fff,0x80002eff,0x5c0001f8,0x3fffffff,0x33332e20,
    0xccccdfdc,0x3ff700bc,0x201ffa80,0x1ffffffe,0x7fffffcc,0x7ffffe46,
    0xfffffb04,0x3ffffee9,0xfff300ef,0x2605ffff,0xffffffff,0xffb80fff,
    0x300effff,0x5fffffff,0x00000400,0x2bca8800,0x33333100,0x00003333,
    0x20000544,0x0001aca8,0x00359510,0x06b2a200,0x56544000,0x32e60001,
    0x2200001a,0x8000acb9,0x00abcb98,0x55e5cc40,0x00000000,0x00579510,
    0x00000100,0x65440000,0xfffa802b,0xffffffff,0x0001ffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x136202e8,0x00005300,0x005c807d,0x40002a00,
    0x00200000,0x000a2000,0xb8000044,0x00000000,0x200f4400,0x00a6005a,
    0x00000800,0x0000002e,0x44000400,0x002d400e,0x00003950,0x06cc0197,
    0x2e403e80,0x12e016c0,0x00510000,0x00005000,0x64001440,0x08074403,
    0x2613f600,0x7dc002fe,0x6fec0004,0x0017f440,0x8003fd80,0xf700007a,
    0x7d400005,0x3fae6006,0x0550ceff,0x0000ff40,0x005fb100,0x0dd017e0,
    0x80027dc0,0xcefffed9,0x36200170,0xdb10002f,0x2fb80005,0x102fc400,
    0xbd1000bf,0xa8000dd7,0x0efb81ef,0x881bf900,0x4fd803fd,0x0003fd88,
    0x0001be60,0x0000fe88,0x000fe880,0x1f9007ec,0x64003f50,0x03df70ef,
    0x0017f200,0x3ea3df70,0xd880001f,0x1f50003f,0x77ec4000,0xfb80004f,
    0xfffa800e,0xbfffdbbd,0x3fa2006d,0xf9000002,0x3f6000df,0x8007f902,
    0x7e4005fc,0xffdbabcf,0xfe8803fa,0x3ff20002,0xdfb10006,0x2fd8009f,
    0x70007f90,0x40002d89,0x37f63fe9,0x8ffd4000,0x32002ff9,0x05fd30ef,
    0x077d4000,0x1ff98000,0xff980000,0x05fa8001,0x1be20df5,0xbfbff500,
    0xefb80001,0x3fa60000,0x80000efd,0x20002fe8,0xd30001fb,0x003bee5f,
    0xc802fe40,0x3f2601ef,0x7f44006f,0xfb800003,0xfd10006f,0x0bffb59d,
    0x003bee00,0x6c4033ee,0x7fcc03ff,0x7fdc0001,0x2ff98005,0x22001df9,
    0xffdbcefe,0xb83d0005,0xfd880004,0x20003fed,0x00efdfe8,0xefcffa80,
    0x3ee00001,0xf500000d,0x5000003d,0x640001df,0xffecbdff,0x000ff200,
    0x00007fd1,0x000077d4,0x00009fb1,0x20007fe6,0xcffffec8,0x77dc01a8,
    0x0017fcc1,0x7dc013f6,0x01bea005,0x00027ec0,0x000065c0,0x0bffffee,
    0x01df5000,0xfe8027cc,0x007bea03,0x00065c00,0xff503bee,0x3ff22003,
    0x20002eff,0x00016c4b,0x0003df70,0x00013f60,0x0000bfd1,0x00004fc8,
    0x00003bee,0x00037ee0,0x3ffffaa0,0x07fc400c,0x00000c00,0x40001f4c,
    0x3b200001,0xcff98000,0x5fffecaa,0xdd102fc0,0x801fcc00,0x6e8006f8,
    0x003f2000,0x00000000,0x98000031,0x003ee03e,0x1bb01fd4,0x00000000,
    0x0374409f,0x80000c40,0x007cacf8,0x00009800,0x500000c0,0x3f980000,
    0x02fc0000,0x04f88000,0x00130000,0x04003fd8,0x00000000,0x00000000,
    0x100ef880,0x00000bfd,0xfb800200,0x004b8001,0x08000000,0x00000000,
    0x00db0000,0x000003f8,0x00000440,0x00220000,0x0bdb8800,0x81e44000,
    0x040002c8,0x00010000,0x00000100,0x08000001,0x00200000,0x2a01bea0,
    0x22ceffec,0x2000002a,0xccccccc8,0x666664c0,0x4000004c,0x2fc403fc,
    0x00000000,0x00002ec0,0x40000000,0x2ceffeca,0xcccc88aa,0x664c0ccc,
    0x0004cccc,0x06003e40,0x5cc00000,0x50cefffe,0x20000005,0xcefffeb9,
    0x00000550,0x80ffc800,0x22000ffd,0x0cefffdb,0x3ffb6600,0x00170cef,
    0x00000000,0x00000000,0x3fff6e20,0x3fd000ce,0x2b3bfee0,0x5d8dfecb,
    0x33333322,0xcccccccc,0x3fba64cc,0x7540eeee,0x10deffee,0x99999999,
    0x99999999,0x55007e89,0x66666644,0xcccccccc,0x6664c4cc,0xcccccccc,
    0x0001fc4c,0x99999900,0xb8000799,0xecbaceff,0x3a65d8df,0x40eeeefe,
    0xdeffeeea,0x99999950,0x39999999,0x50000fdc,0x99999999,0x20399999,
    0xdbbdfffa,0x546dbfff,0xcccccccc,0x501ccccc,0xfb77bfff,0xc80db7ff,
    0x3ccccccc,0x837d4000,0x3e6006fb,0xffecacef,0xbcffc803,0x3faffdba,
    0x33333260,0xcccccccc,0x33222ccc,0xcccccccc,0x32e001bc,0x32200ccc,
    0x00cccccc,0xd959dff3,0x9f7007ff,0x5c01bfb0,0x3ba25eff,0xeeeeeefe,
    0x87eeeeee,0x3e4003f8,0x777f7744,0xeeeeeeee,0x002747ee,0xeefeee88,
    0xeeeeeeee,0x777d47ee,0xeeeeeeee,0x003f30fe,0x3bb62000,0x00feffee,
    0x401bfb00,0xf885effb,0x5c3e4003,0xefeeeeee,0x222eeeee,0xd70001fe,
    0xddfddddd,0xf905dddd,0x7fe4c03d,0x777775c6,0xeeeeeefe,0x201efc82,
    0x2206ffc9,0xeffeeeed,0x0040000f,0x0efb8002,0x5c09fd10,0xffb100cf,
    0x7f775407,0xeeeeffee,0x3a24feee,0xeeeeefee,0x800dfffe,0x204ffeed,
    0xeefeeee9,0x100efb80,0x7f9809fd,0xe8801fdc,0x005f305f,0x01fc43dc,
    0x5f301f20,0x1b63dc00,0x00be6000,0x00fd47b8,0x001ee7d8,0x23b60000,
    0x3fb8003f,0x10bfd100,0x07c8007f,0x44003ea0,0x0000adfe,0xf7000fa8,
    0x037d400b,0xf7000fa8,0x037d400b,0x01fc76c0,0xb8000000,0x07fb005f,
    0x3fa009f3,0x323f3003,0xf9827407,0x07fee202,0x001fff80,0x02fdc0f7,
    0x3e203fd8,0x800df31f,0x05f305f9,0x1fc43dc0,0xf301f200,0x2a3dc005,
    0x260000df,0x51ee002f,0x45f7003f,0x0000007c,0x006d9fc4,0x260037cc,
    0x003f885f,0x1f5003e4,0xfffea800,0xfa8002cd,0x006f8800,0x1f5006e8,
    0x000df100,0x3f8800dd,0x000000db,0x800bf100,0x007dc0fd,0xf7003fa8,
    0x413a03e4,0xee8802f9,0x0dd9f000,0x2fc41ee0,0xf803f600,0x0003f92f,
    0x00be60bd,0x03f887b8,0x3e603e40,0x2e1ee002,0x4001bdff,0x1ee002f9,
    0x5f9803f5,0x000003e4,0x0fd43ee0,0x0003f900,0x007f10bd,0x3ea007c8,
    0xb9510000,0x54007fff,0x01fb800f,0xf5004b80,0x003f7001,0xfb800970,
    0x00003f50,0x01fc8000,0x1b627cc0,0x3a007f00,0x09d01f25,0x7cc00be6,
    0x7f57f004,0x3f20f700,0x027cc001,0x0013a7fd,0x02f98154,0x0fe21ee0,
    0xf980f900,0x441ee002,0x0bdfffeb,0x70017cc0,0x7401fa8f,0x5c03e40e,
    0xcccccccc,0x4f8bd000,0x40013a00,0x003f882a,0x1f5003e4,0x7e4c0000,
    0x001f5004,0x000000bb,0x0bb001f5,0x2f400000,0x7fc4013e,0xfff102ff,
    0x04f883ff,0x07c8fb00,0x3f8800c0,0x209d01f2,0x176002f9,0x00fd9fc0,
    0x027c43dc,0x3f607d80,0x00001f8c,0x26002f98,0x4003f883,0x017cc07c,
    0x75100730,0x7cc07ffb,0xf30e6002,0x5c0fe401,0x7fff400f,0x801fffff,
    0x803e42f9,0x400001f8,0x3e4003f8,0x0001f500,0x5009f700,0x007f001f,
    0x01f50000,0x000007f0,0x0f90be60,0x017ee5c0,0xa83fb997,0x1f30000f,
    0x00000fdc,0x80f90fd4,0x005f304d,0x13f8036c,0xa87b809f,0x1f30000f,
    0x03eb7f20,0x0be60000,0x3f8800ec,0x2603e400,0x0003b02f,0x4c13f620,
    0x2003b02f,0x4c13e602,0x0db0001f,0x17cc3e40,0x00007d40,0x9000fe20,
    0x007d400f,0x806d8000,0x0fcc00fa,0x7d400000,0x000fcc00,0x987c8000,
    0x17c4002f,0x3e41f980,0xe88be000,0x6400001f,0x01023e47,0xf88017cc,
    0x7e47f003,0x1f21ee01,0x3205f000,0x00007cdf,0x7f105f30,0x000fe200,
    0x82f980f9,0x400003f8,0x105f307c,0xf880007f,0x000be206,0x09f0036c,
    0x01f2017a,0x00fe2000,0x7d400f90,0x4000c400,0x07d400fa,0x00001ee0,
    0x2e007d40,0x20000007,0x800bd04f,0x3f3002f8,0x740006d8,0x056ff444,
    0x32274000,0xf98017c7,0x001f9002,0x5c0bd0fe,0x40006d87,0xd99fb04e,
    0x3e600000,0x1003f882,0x07c8007f,0x1fc417cc,0x0be60000,0x0fe20be6,
    0x801fb000,0x0db0005f,0x7dc07ea0,0x00036400,0x2001fc40,0x03ea007c,
    0xf3000f70,0x400fa803,0x0000007c,0x07c801f5,0x3f500000,0x88003ee0,
    0x83f3002f,0x36c0004e,0xcdfffea8,0x217c4002,0x9801fc7c,0x27f4402f,
    0x2fa87f00,0x009d0f70,0x7fd06d80,0x200000d9,0xfffffff9,0x07f1003f,
    0x7cc07c80,0x3fffffff,0xf10014c0,0xfffff307,0x40007fff,0x3fa803fa,
    0xb006d800,0x201fc40d,0x8800006c,0x03e4003f,0xfc801f50,0x007dc001,
    0x0f9003ea,0x3ea00000,0x0003e400,0x2206d800,0x0be2003f,0x13e0fcc0,
    0x880d9000,0x03fffdca,0xffc81f70,0xf3003fff,0xd9533337,0x3f8007ff,
    0x87b80fd8,0x3640004f,0x007caff8,0x99bf3000,0x2007f999,0x3e4003f8,
    0x33337e60,0x36c03fcc,0xf303f500,0x7f99999b,0x017e2000,0x6c000fd8,
    0x403f8806,0x003e406d,0x001fc400,0x0fa801f2,0x1002fe40,0x01f500df,
    0xccb807c8,0x00cccccc,0x1f2007d4,0x333332e0,0x3e200ccc,0x10036c03,
    0x07e6005f,0x5d8000bb,0x04fc9800,0xaafc86d8,0xff3003fa,0x7fffffff,
    0x307f0001,0xbb0f709f,0x885d8000,0x000fb9ff,0x882f9800,0x07f1003f,
    0x7cc07c80,0x6c03f882,0x06e8804f,0x07f105f3,0x8003fa00,0x36003ff8,
    0x400fb806,0x03ee01fa,0x07f10000,0x2a007c80,0x27fe400f,0x400ff440,
    0x07dc00fa,0x3fffffa0,0x7d401fff,0x2007dc00,0xfffffffe,0x003ee01f,
    0x3e2003f5,0xc83f3002,0x01fc0006,0xf809f700,0x01fc7c84,0xaaaacf98,
    0xf0001ffb,0xf703f207,0xf8000d90,0x3f56fa83,0x5f300000,0x7c400be0,
    0x203e4003,0x805f02f9,0xd500cffd,0x40be603f,0x2fb8002f,0xbefc8800,
    0x3ff26209,0xeeefe805,0x4feeeeee,0x00007ea0,0xc8007f10,0x003ea007,
    0x437ff5f9,0x002ffb98,0x1f9801f5,0x200db000,0x0fcc00fa,0xe806d800,
    0xeeeeeeef,0xf1004fee,0x707e6005,0x0fc4000f,0x981b6000,0x7feeeeef,
    0x2f98005c,0x0005fd30,0x717e207f,0x4000f70f,0x13fc81f8,0x3000007f,
    0xf000605f,0x406e8009,0xb00302f9,0xd9bdff7b,0x7cc03dfd,0xf3000302,
    0x2a05b809,0xfffffffe,0xef9801cf,0xeeeeeeee,0x0fe207ee,0x013e0000,
    0x7d400dd0,0xfd8ad400,0x0dffffff,0x1003ea00,0x1b60005f,0x22007d40,
    0x0db0002f,0xeeeeef98,0x07eeeeee,0x26005f10,0x0017d41f,0x000627b8,
    0x67dc03ea,0x007ecccc,0xd880be60,0x01fc002f,0x543dc5f5,0x0f70002f,
    0x07e41ff1,0x0be60000,0x0b90b900,0x26027c40,0x9ae4002f,0x9dfdb711,
    0x005f3005,0x06e885c8,0x953007c8,0x5c001357,0x80be6007,0x400000fc,
    0x13e2005c,0x8000fa80,0x00abfb98,0xf800fa80,0x00db0005,0x17e003ea,
    0x2e036c00,0x00be6007,0x7cc00be2,0xf0006e81,0x4c003dcd,0x320bd01f,
    0x5f300807,0x4001fb00,0xf737403f,0x7c001ba0,0x7c44fb86,0x81d88005,
    0x36c002f9,0xfa8007d4,0x0017cc03,0x01f501b6,0x20017cc0,0x801fd86d,
    0x0000007c,0x0bd0013a,0x44002fc4,0x000fa81d,0x7d4007f5,0x01e20000,
    0x5001f500,0x0db0007f,0x2a003ea0,0x06d8003f,0x17a00274,0x5400be20,
    0x003f981f,0x03f917dc,0xf880fb80,0x5f00f903,0xf1005f30,0x201fc00d,
    0x260f73f9,0x17dc003f,0x1fdc0ff4,0x301ff300,0x86d8005f,0xee8805f8,
    0x0017cc00,0x01f501b6,0x20017cc0,0x801fd46d,0x5df3007c,0x003f3000,
    0x3ee00fb8,0x03fe6003,0x3a2017e2,0x03ea000e,0x01ef8800,0x2001f500,
    0x36c000fd,0xb000fa80,0x06d8001f,0xf70007e6,0x700bf001,0x07f603ff,
    0x3f22fd40,0x41be2005,0x80f900fa,0x02f983f8,0x3e007f50,0x7b8fc803,
    0x54007f60,0x205fa85f,0x7d400dfb,0x005f301e,0x07f706d8,0x4c017f44,
    0x036c002f,0xf98003ea,0xf136c002,0x003e400b,0x1b2001aa,0x700fe200,
    0xefa801bf,0x880fee01,0x7d4002fe,0x06a80000,0x2001f500,0x36003ff8,
    0x001f5006,0xd800ffe2,0x2001b206,0x0fd803f8,0x407fff60,0x7d403fe8,
    0x027fe40e,0x6c80ff44,0x7f101f20,0x6c005f30,0x803f800f,0x2207bdf8,
    0x77d403fe,0x6401fe80,0xb730abff,0x17cc01bf,0xfb81b600,0x7fd730ae,
    0x000be600,0x00fa80db,0xb000be60,0x90007ecd,0x1aa1500f,0x4000fe00,
    0xbffc806d,0x1bfb730a,0x215df700,0x8003feb9,0xbb8000fa,0x2a000d51,
    0x3f22000f,0x326209be,0x1f5005ff,0x5f7e4400,0x3ff26209,0x4000fe05,
    0xbef9806d,0x9bfeca88,0xbfb00cdf,0x3bf6e215,0xbffafc80,0x0bfee621,
    0x01f204e8,0x05f307f1,0x7c02fc40,0x0fdf7003,0x2215bfb0,0xf980efdb,
    0xfffb3004,0x2207dfff,0xcccdfdcb,0xcccccccc,0x7ff5c06e,0x4401efff,
    0xcccdfdcb,0xcccccccc,0x007d406e,0x337f72e2,0xcccccccc,0x33be6ecc,
    0xcccccccc,0xfd807ecc,0xb93002ef,0x440799bf,0x0bcfdccb,0x3ffff660,
    0x5c003eff,0x1efffffe,0x666664c0,0xbccccdfd,0x3bff6600,0x66664c02,
    0xccccdfdc,0x3ffaa00b,0x1cffffff,0xdccccc98,0x0bccccdf,0x3ffffaa0,
    0x981cffff,0x03ccdfdc,0x33f732e2,0x3ffea00b,0xff30efff,0x7ffdc05f,
    0x2a03ffff,0xfffffb15,0x99301bff,0x332617bf,0xccccccfe,0xb9713fcc,
    0x700799bf,0x65c4179f,0x200bccef,0xff7007fe,0x407fffff,0xb9880059,
    0x7fcc00ac,0xffffffff,0x6fffffff,0x03595100,0x3ffffe60,0xffffffff,
    0x4406ffff,0xffff9802,0xffffffff,0x3e6fffff,0xffffffff,0x007fffff,
    0xfff70002,0x2601dfff,0x2fffffff,0x0acb9880,0x56544000,0xffff7001,
    0xffffffff,0x4002005f,0xfffffffb,0x02ffffff,0x13579530,0x7ffffdc0,
    0xffffffff,0x57953002,0x7ffdc013,0xf300efff,0x05ffffff,0x009bca88,
    0x2bca8800,0x79731000,0x7ffdc015,0xffff71ff,0xffffffff,0x3fffe67f,
    0xe800efff,0x3ffe62ff,0x2601ffff,0x6544007f,0x0000002b,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x000c4000,0x000002a0,0x90000013,0x10174403,
    0x04c0007b,0x40b22000,0x01f402c8,0x6e4c0172,0xccc88002,0xcccccccc,
    0x26c0001b,0xea801ae0,0x2007a601,0x200ccccb,0xccccccc8,0x5c807d00,
    0x25c02d80,0x4ccc0000,0x01e80099,0x002202d4,0xccccc982,0x000ccccc,
    0x32a03930,0x3a204001,0x0002d401,0x33332200,0xcc984ccc,0x00003ccc,
    0xb5007a20,0xffa84400,0x3fc8000f,0x0ff20000,0x05f30000,0x7cc27f44,
    0x7e44001f,0x801a83ff,0xffc80ffc,0x1037f600,0xffb005fd,0x07dc3bff,
    0xeefeee88,0xdfffeeee,0x1df70000,0x2004fd88,0xefb82ff9,0xffeed800,
    0x3bbba604,0xbf900eef,0x803fe881,0x4fd884fd,0xf013f200,0x803fffff,
    0x2037405f,0x1f300cfe,0x3ffbbbaa,0x0001eeee,0x17fe0dff,0x2fc2f980,
    0x32001ba0,0xeee8804f,0x540deeef,0x804effee,0x5f8003fd,0x64c03740,
    0x09fffb5f,0x0004fd80,0x00013f60,0x7e401f60,0x001df70d,0xdfb59fb0,
    0x7007fb35,0x01bee0ff,0x7fd47bee,0x2e3fa801,0x004fedff,0x7dc405f3,
    0xff50001f,0x000bfa65,0xdfd93f62,0x1fff8000,0x2e00f700,0x03ff51ef,
    0xe9877dc0,0x3fe6003f,0x2ab7e01f,0x03fd801a,0xfc8807f9,0x7401f506,
    0x3f600005,0x4009fd04,0x817ec0fe,0x7cc003fc,0x3e6001ff,0x009f9002,
    0x0003ffea,0x0ff205fb,0x7e42ffe0,0xfd1002ff,0x36200007,0x9800003f,
    0x3fea003f,0x320005fd,0x17fff541,0x00080100,0x03bf7fa6,0xeec88080,
    0x00be6002,0x40003ba2,0x01efdfe8,0x7f77e400,0x3b3e0003,0x400f7006,
    0x00efdfe9,0xefcff980,0x7ffc4001,0x20013e00,0xfdacffe8,0x0fea005f,
    0x05e803ea,0x02004000,0xe884fb80,0x5ffdacef,0x0fff8800,0x200be600,
    0x3e6003fd,0xfe88007f,0x05ffdace,0x1ca80fa8,0x005fd100,0x00bfa200,
    0x007ec000,0x000ffa20,0x000a9800,0x6c400000,0x0000004f,0x3002f980,
    0xfc80009f,0xf500000d,0xbf80003d,0x07b803fa,0x0027ec40,0x0037f620,
    0x3e00e540,0x3fee0004,0xf8003fff,0x3a00fa84,0x00000005,0xb807fe00,
    0x002fffff,0x30007260,0x17ec405f,0x000e5400,0x5fffff70,0x00017600,
    0x00000fe4,0x000003fb,0x180013e2,0x00100000,0x00000800,0x00000003,
    0xd800be60,0x00180005,0x00008800,0x801fb3f8,0x0030007b,0x00001400,
    0x80004f80,0x2f400018,0x0bd007d4,0x00000000,0x0c401bea,0x20000000,
    0x3fd102f9,0x00000000,0x09d00031,0x00000000,0x00000044,0x000001f9,
    0xffb71000,0x880019df,0x0cefffdb,0x32200000,0x40cccccc,0x4cccccc9,
    0x6c005f30,0x00000006,0x7c000000,0x7b809f13,0x00000000,0x3e000000,
    0x00000004,0x01f50bd0,0xc88002f4,0x40cccccc,0x4cccccc9,0x00002fd8,
    0x26000000,0x01fe882f,0x00000000,0x00027400,0x00000000,0x04f88000,
    0xccccccc8,0x7cc0003c,0xffecacef,0x9dff3003,0x207ffd95,0xccccccca,
    0x31cccccc,0x1ddddfdd,0xeffeeea8,0x002f980d,0x665c07f1,0x332200cc,
    0x910ccccc,0x99999999,0x20003799,0xb807f23f,0xccccc987,0xcccccccc,
    0x664c4ccc,0xcccccccc,0x6664c4cc,0xcccccccc,0xc8013e4c,0x3ccccccc,
    0x2a17a000,0x0017a00f,0x7777f74c,0x7f77540e,0x1fe20def,0x3333332a,
    0x1ccccccc,0x99999991,0x99999999,0x30be6099,0x32a001df,0xcccccccc,
    0x9911cccc,0x99999999,0x09999999,0x9930013a,0x99999999,0x33332001,
    0x3332204c,0x3ee002cc,0x7776c400,0x000feffe,0x2201df70,0x77dc04fe,
    0x709fd100,0xdfdddddd,0x885ddddd,0x03e4003f,0x7e400be6,0x3ffbb600,
    0x3bbba604,0xddd10eef,0xfddddddf,0xf8001bff,0x0f702f43,0xddddddf5,
    0xddddddfd,0x777d41fd,0xeeeeeeee,0x3bbea0fe,0xeeeeeeee,0x2009f0fe,
    0xffeeeed8,0xbd0000fe,0x2f401f50,0x00fe2000,0x0ff20f90,0x3bbbbbae,
    0x2eeeeeef,0xdddfddd1,0xdddddddd,0xa8be60fd,0x3ae000ef,0xeefeeeee,
    0xdd12eeee,0xddddddfd,0x0fdddddd,0x5434c13a,0xeeffeeee,0xfdb001ee,
    0x774c0bdf,0x3e004eff,0x23b60005,0x5fb8003f,0x2e07fb00,0x07fb005f,
    0x44003ea0,0x03e4003f,0xfd100be6,0x0fffc009,0x7cc07b80,0x07fee202,
    0x17d43f80,0x01fa87b8,0x83ee01f5,0x8fb001fa,0x4fb001fa,0x76c0004f,
    0xbd0003f8,0x2f401f50,0x00fe2000,0x0bfe0f90,0x2000fa80,0x1ee002f9,
    0x0ffb97cc,0x01f50000,0x70017cc0,0x7d413a0f,0x0005e801,0xf3000fd8,
    0x01fb8007,0x1b67f100,0x800bf100,0x02fc40fd,0x2a003f60,0x07f1000f,
    0x7cc07c80,0xeca9999b,0x67c003ff,0x80f7006e,0xee8802f9,0xfb07f000,
    0x3f50f701,0x7dc03ea0,0x2e007ea0,0x400fd42f,0x0013e2fb,0x00db3f88,
    0x03ea17a0,0x440005e8,0x43e4003f,0x2a000ff9,0x0be6000f,0x5f307b80,
    0x005ffdf9,0x4001f500,0x1ee002f9,0x01fb8274,0x880005e8,0x00dd005f,
    0x5c000bd0,0x4003f50f,0x7cc001fc,0x2000fe44,0x0fa804f9,0x8007f100,
    0x7ffcc07c,0x0bffffff,0x3fabf800,0x7cc07b80,0x009f3002,0x213e60fe,
    0x501fa87b,0xa83ee01f,0x42fcc01f,0x2fcc01fa,0xfb80013e,0xd0003f50,
    0x7401f50b,0x1fc40005,0x3ea1f200,0x007d4007,0x5c005f30,0x29fdf307,
    0x0000dfc8,0xf98003ea,0x7c1ee002,0xd005f704,0x3ee0000b,0x000fe402,
    0xe8000bea,0xf88027c5,0x44fb0004,0x0fb0004f,0x22001f50,0x03e4003f,
    0x2aaab3e6,0xf0001ffb,0xf7003f67,0x2002f980,0x207f005d,0x543dc0fc,
    0x201f501f,0x007ea0fb,0x03f501dd,0x027c0ee8,0x04f8bd00,0x7d40fc80,
    0x00017a00,0x7c8007f1,0x54006fb8,0x0be6000f,0xff307b80,0x000bf507,
    0xf30007d4,0x4c3dc005,0x005f903f,0x6c0000bd,0x009f300f,0x4c000dd0,
    0xa803e42f,0x1f30000f,0x4c0003ea,0x007d400f,0x64003f88,0x9817cc07,
    0x3f8002fe,0x07b809f1,0xdb0017cc,0x7c40fe00,0x0fd43dc5,0x1f700fa8,
    0x3f9007cc,0xfc803e60,0x30004f81,0x8007c85f,0x03ea1dfa,0x072005e8,
    0x7c8007f1,0x54005fc8,0x0be6000f,0x7f303980,0x80017d40,0x3e6000fa,
    0xd50e6002,0x00bf201f,0x8800017a,0x000dd04f,0x640005f5,0xc802f987,
    0xc97c0007,0x017c0007,0x7c4003ea,0x203e4003,0x3f6202f9,0xf91fc002,
    0x2603dc03,0x07f1002f,0x2fa80fe0,0x403e61ee,0x50f500fa,0x0a027cc0,
    0x09f04f98,0x3e61f200,0x4ffb8002,0x02f401f5,0x03f889f0,0x27ec3e40,
    0x8003ea00,0x003b02f9,0x3f6017cc,0x00fa8000,0x0ec0be60,0xd807ffa0,
    0x005e803f,0x2e17dc00,0x06d8001f,0x5e827c00,0x40006d80,0x8000db4e,
    0x007d404e,0x64003f88,0x4017cc07,0x0fe000fd,0x203dc0bd,0x1f9002f9,
    0xdd00fe00,0x2a0183dc,0x8800200f,0x3e20006f,0x40013e06,0x000bd04f,
    0x03ea3bfd,0x13e005e8,0x7c8007f1,0x54004fd8,0x0be6000f,0xf9800fe2,
    0x002fc402,0xf30007d4,0xa807f105,0x0ff604fe,0x000017a0,0x027c43ba,
    0x0001fcc0,0x03ee03f5,0xd80009d0,0xd80009d6,0x8007d406,0x3e4003f8,
    0x2200be60,0x50fe006f,0x301ee05f,0x4fe8805f,0xf300fe00,0x2a001ee7,
    0xfb00000f,0x07ec0001,0xf50009f0,0x8003ee03,0x007d42fb,0x227c00bd,
    0x3e4003f8,0x2a0037e4,0x0be6000f,0xf9800fe2,0x000fb802,0xf30007d4,
    0x2007f105,0x09fb02fc,0x00000bd0,0x003b69f3,0xb0001f60,0x201fc40d,
    0xb640004f,0x3640004f,0x44003ea0,0x03e4003f,0x7d400be6,0xfb07f003,
    0xf980f701,0xeca9999b,0x1fc003ff,0x03dc7e40,0x00007d40,0x50001fd4,
    0x004f807f,0x0fe206d8,0x0fa86d80,0x4f8017a0,0x32001fc4,0x4007fb87,
    0x3e6000fa,0x3fffffff,0x200be600,0x7d4004f8,0x3ffe6000,0x003fffff,
    0x13fa07f1,0x000017a0,0x0017efdc,0x10001fc4,0x406d807f,0xaec0005d,
    0x2ec0005d,0x44003ea0,0x03e4003f,0xfd800be6,0xf983f800,0x7cc07b84,
    0xffffffff,0x03f8000b,0x007bdf88,0x40000fa8,0x220005f8,0x004f805f,
    0x1b601fc4,0x0fa85e80,0x4f8017a0,0x32001fc4,0x000ffa87,0xf98003ea,
    0x3fcccccd,0x400be600,0x07d4007d,0x999bf300,0x74007f99,0xd00bfd04,
    0x7400000b,0x1f90005f,0x007dc000,0x06c807ea,0x06c9fc00,0x2a01fc00,
    0x07f1000f,0x7cc07c80,0x017e2002,0x207e40fe,0x567cc07b,0x01ffbaaa,
    0x2e007f00,0xfa8007ef,0x07f40000,0x001fd000,0x0fb8009f,0xe800fd40,
    0x3a00fa85,0xf113e005,0x887c8007,0x3ea001ff,0x20be6000,0x3e6003f8,
    0x005f3002,0xf30007d4,0x4007f105,0x00bff04e,0x400000bd,0xf88001fa,
    0x77f40004,0xeeeeeeee,0x001ee04f,0x00f71f88,0x2a00fc40,0x07f1000f,
    0xcb887c80,0x803ccdfd,0x7f00bcfb,0x0f717e20,0xfd302f98,0x3f2e2005,
    0x3a00bcce,0x0fa8007f,0x00bee000,0xf002fb80,0xeefe8009,0xfeeeeeee,
    0xf50bd004,0x3f333221,0xccccccce,0x7c44fccc,0xe83e4003,0x03ea002f,
    0x5f02f980,0xdfdcb880,0x677403cc,0x007d401c,0x0be05f30,0xdff04e80,
    0x6400bd00,0x007ea001,0x80003f20,0xeeeeeef9,0x207eeeee,0xf70002fa,
    0xb80017d4,0x000fa807,0x0dd0013e,0xfffffff3,0x5ffd001d,0x2fa80fe0,
    0x05f301ee,0x4c017ec4,0x1fffffff,0x2001fe60,0xf30000fa,0xf305b809,
    0x09f5b809,0x77777cc0,0x7eeeeeee,0x1f50bd00,0x3fffffea,0xffffffff,
    0x04f84fff,0x5fa83740,0x8003ea00,0x300302f9,0xffffffff,0x27ffdc01,
    0x98003ea0,0xe800302f,0x806ff884,0x013e005e,0x44001fa8,0x3dc0005f,
    0x7405f300,0xe8df0006,0x00df0006,0x2e4001f5,0x0009f100,0x03f80000,
    0x980f7374,0x00fd802f,0x00000000,0xd10001f5,0xd10f900d,0x13ef900d,
    0x26007b80,0xa85e802f,0x8000000f,0x13e2005c,0xf5000ff8,0x017cc001,
    0x00001720,0x0007d400,0x5c8005f3,0x07fb04e8,0x27c00bd0,0x8003f500,
    0x740001fb,0x302f4004,0x2fb8007f,0x2e001fcc,0x00fa802f,0x54003ea0,
    0x0000003f,0x3e601fc0,0x2f980f73,0x0006f880,0xf5000000,0x03fb0001,
    0x03fb0f90,0x8013ef90,0x02f4004e,0x007d42f4,0x07d40000,0x3203fa80,
    0x01f5004f,0x20017cc0,0x0000006d,0x4c001f50,0x436c002f,0x7400204e,
    0x8013e005,0x2fc001fa,0x007e6000,0x7ec01f70,0x20bf5001,0xbf5001fd,
    0x8003ea00,0xee8805f8,0x1bf70000,0x401fc000,0x4c07b8fc,0x07f5002f,
    0x02ef9800,0x001f5000,0xf9003fa8,0xf9003fa8,0x0fcc013e,0xd003ee00,
    0x2001f50b,0x44002ef9,0x0ee8805f,0x5401fe60,0x0be6000f,0x4c00db00,
    0x540002ef,0x0be6000f,0x0bd0db00,0x400bd000,0x07ea004f,0x0001fa80,
    0x7c400364,0x00ffa203,0x3a201df5,0x077d403f,0x4000fa80,0x3fa203fb,
    0x25c40002,0x1007f000,0xf980f7bf,0x003f6002,0x0001aa00,0xf10007d4,
    0xf13e400b,0x4fbe400b,0x1000d900,0x417c407f,0x354000fa,0x101fdc00,
    0x5fb005fd,0x4001f500,0x36c002f9,0x00035400,0xf98003ea,0x6c36c002,
    0x05e80007,0xfa8013e0,0x001ba001,0x6c000fe0,0x0adfd806,0x001dfb71,
    0x2e215bfb,0x2a000efd,0xefb8000f,0x07fd730a,0x2e42a200,0x2007f000,
    0x7cc07efb,0x017e2002,0x006a8540,0x4001f500,0x9f2000fd,0x5f2000fd,
    0x007f004f,0x3e441b60,0x0a800fa8,0x3ee000d5,0x7fd730ae,0x201be600,
    0x3e6000fa,0x8036c002,0x8000d50a,0x3e6000fa,0x5c36c002,0x2f40003f,
    0x54009f00,0x05f5001f,0x37f72600,0x32e203cc,0x200bcfdc,0xfffffffb,
    0x7ffdc003,0x2603ffff,0xdfdccccc,0x400bcccc,0xefffffeb,0x3fa20001,
    0x5c4001df,0x00bccefc,0x32e21ffa,0x803ccdfd,0x2000bcfb,0x8002effd,
    0xcfdcccb8,0x3be03ccc,0xcccccccc,0x3be7eccc,0xcccccccc,0xddf7eccc,
    0x37261bdd,0x2203ccdf,0x0bcfdccb,0x3ea07ff9,0x2effd800,0x3ffae000,
    0x4001efff,0x999931fc,0x9999bfb9,0x3f72e217,0xcccccccd,0x006ecccc,
    0x2005dffb,0xfdccccc9,0x10bccccd,0x999bfb97,0x99999999,0x0bbfa0dd,
    0x3f333220,0xccccccce,0x7104fccc,0x99bfb999,0x00172079,0xffffffb8,
    0xffff300e,0x51005fff,0x88000579,0xfb802bca,0xffffffff,0x1002ffff,
    0x00003595,0xff300008,0x403fffff,0xfff987f9,0x800effff,0x08002ffe,
    0x3ffea000,0xefffffff,0xffffff00,0xffffffff,0x7fffffcf,0xffffffff,
    0x1bddddd7,0x3fffffee,0xffff300e,0x03325fff,0x00400588,0x35951000,
    0xfb8ec000,0xffffffff,0xff32ffff,0xffffffff,0xdfffffff,0x5c000800,
    0xffffffff,0xf32fffff,0xffffffff,0xffffffff,0x401e4c0d,0xfffffffa,
    0xffffffff,0xfff304ff,0xffffffff,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x98000000,0xaaaaaaaa,0x0e4c001a,0xcc881ca8,0xcccccccc,
    0x00000ccc,0x333332a0,0x000ccccc,0x20000310,0x059102c8,0x80002200,
    0xaaaaaaa8,0x0f4002aa,0x2e000076,0x13003ced,0x99970000,0x33320799,
    0x64c03ccc,0x00039501,0xaa980008,0x1aaaaaaa,0x80001000,0xaaaaaaa9,
    0xaa8801aa,0x2aaaaaaa,0x99988000,0x00099999,0x08000350,0x000ed400,
    0x3d3006dc,0x35c04d80,0xca80e4c0,0xfffff800,0x006fffff,0x5ff837fc,
    0xeeeeed98,0x0deeeeef,0x337fb260,0xdddd7000,0x01dddddd,0x1effd980,
    0xff9001c4,0x001ff901,0x40effe4c,0x7fffec03,0x00ffffff,0x03f87f10,
    0x3bbfa600,0xff9103fe,0x1003705f,0x1bdddfdb,0xeffeed88,0xf837fc04,
    0x6dc4005f,0x800bdfff,0xffffffff,0x322006ff,0xf0001dff,0xffffffff,
    0xfff900df,0x3fffffff,0xffdb8800,0xeefeeeef,0x03fc8003,0x05dfd700,
    0x2001bfe0,0x6fb82ff9,0x440efb80,0x5ff804fd,0x3100bff0,0x33333333,
    0x209fb000,0x3ea004fe,0x77fd4000,0x0001ffdc,0x3fe60000,0xfa9dffbb,
    0x0ff7000f,0xf8801bee,0x99cffbbf,0x4ccc00fe,0x00999999,0x3f88be20,
    0x83df1000,0x3ab3fa00,0x02fd9aef,0x9000fe20,0x413f600f,0x3ea004fe,
    0xefecacef,0x4cccc401,0x40019999,0x000d70db,0x26666662,0x26200199,
    0x09999999,0x8dffdc00,0x40012e0f,0x50003fd8,0x1003e63d,0x22000dff,
    0x09fb13fe,0xe997fcc0,0x09fb003f,0x000013fa,0x00801000,0x70007d40,
    0x1fd8819f,0x30000000,0xefffc817,0x02004000,0x64419300,0x0001efff,
    0x21f98000,0xfb0002f8,0x541c8001,0x4002fffe,0x3e4003f8,0x00080100,
    0x744037ee,0x0000002f,0x0007a07c,0x00000000,0xf03bf600,0x440025c1,
    0x360002fe,0x7fc01e42,0x6fe40006,0xe88002fe,0x4001efdf,0x00000400,
    0x00000000,0xf88007d4,0x2202f404,0x0059103c,0x000d4400,0x40000000,
    0x10000ab8,0x21fa8000,0xf88002f9,0x55400003,0x03f88000,0x00003e40,
    0x402fdc00,0x00002fd8,0x03d03e00,0x00000000,0x0ffa8000,0x0012e0f8,
    0x80003ff3,0x7c01e42d,0xfa80005f,0x7e40001e,0x0000000d,0x99999991,
    0xccccc981,0x0000004c,0xf9000fa8,0x6407a801,0x0ffd80ff,0x00000000,
    0x00000000,0xfffb7100,0xfa80019d,0x20007e60,0x000002f9,0x00fe2000,
    0x00000f90,0x4005f880,0x6666546e,0xcccccccc,0x50cc801c,0x9999100d,
    0x99999999,0x64099999,0x3ccccccc,0xf827e400,0xd70012e0,0x1d500001,
    0x3fa003e6,0x00100005,0x00000c00,0x3bfba600,0x77540eee,0x910deffe,
    0x99999999,0x99999999,0x3001f500,0x03f3007f,0x6fb837d4,0x066665c0,
    0x99999910,0x33332019,0x4003cccc,0xccccccca,0x01cccccc,0xd959dff3,
    0x7dc007ff,0x20003ea0,0xcc8001fa,0x03cccccc,0x8007f100,0x9999907c,
    0x66664409,0x0007e42c,0xeeeb8fe6,0xeeeefeee,0xfc8802ee,0xee8801df,
    0xeeeeeefe,0x07eeeeee,0xffddddb1,0x7f4001fd,0x025c1f02,0x32000000,
    0xfd002eef,0x00000009,0x99500000,0x99999999,0x3f883999,0x7443e400,
    0xeeeeefee,0x7eeeeeee,0xb800fa80,0x03f8800f,0x36002004,0x2604ffee,
    0x0eefeeee,0xfeeeed88,0x2e000fef,0xefeeeeee,0xb82eeeee,0x9fd100ef,
    0x1f71ee00,0x001f5000,0xfeeeed88,0x88000fef,0x83e4003f,0x205effed,
    0x24effee9,0xfb0004f9,0x000fa801,0x30000880,0x03dc005f,0x00fe3b60,
    0x41f02fe8,0x3000004b,0x2000c003,0x664404fe,0xcccccccc,0x44cccccc,
    0xcccccccb,0xeb801bcc,0xeefeeeee,0x7c42eeee,0x203e4003,0x1ee002f9,
    0x32003ea0,0x007f1007,0xfff80000,0x000f7001,0x000fe3b6,0x5c003ea0,
    0x07fb005f,0x007b8f90,0x00001f50,0x000fe3b6,0xf9000fe2,0x3000fd80,
    0x001f707f,0xf500be60,0x00000001,0x2e002f98,0x6cfe2007,0x413f6006,
    0x30012e0f,0xfa813597,0x36000004,0x7774403f,0xeeeeeeef,0x6c7eeeee,
    0xeeeeeffe,0x8003fffe,0x7f1000fa,0x4c07c800,0x01ee002f,0x1b6003ea,
    0x03ffec98,0x67c00000,0x00f7006e,0x01b67f10,0x2003ea00,0x7ec005f8,
    0x7ecccc40,0x999fc999,0xf9555500,0x00035557,0x001b67f1,0xf9000fe2,
    0xd005f880,0x8001b20d,0x07d403f8,0x20000000,0x1ee002f9,0x3f50fb80,
    0x7c1bee00,0x322012e0,0xbfffffff,0x4c00efa8,0xb001acca,0x17cc007f,
    0x1b60f700,0x005fda88,0xf88007d4,0x203e4003,0x1ee002f9,0x3a003ea0,
    0xcdffd884,0x0000003f,0x401fd5fc,0x0fb8007b,0xa80003f5,0x01fc800f,
    0x3f227cc0,0xffffffff,0xf80fffff,0xffffffff,0x0fb8006f,0xf88003f5,
    0x403e4003,0x0fe402fb,0x7c0005e8,0x2007d404,0x102ffff8,0x403fffff,
    0x1ee002f9,0x027c5e80,0x41f0bfd0,0x67f5404b,0xfffb310a,0x3ff6a01d,
    0x01efffff,0xf3001fe4,0xd83dc005,0x00bf7006,0xf88007d4,0x203e4003,
    0x1ee002f9,0x3e003ea0,0x3e23fd83,0x0bfffe23,0x0fffffc4,0x007ecfe0,
    0x17a001ee,0xfa80009f,0x0027c400,0x4ccc47d8,0x9ee999de,0x26660199,
    0x00199afb,0x004f8bd0,0x32001fc4,0x201fb007,0x013e04f9,0xfa80bb00,
    0x2fdcb800,0x07f732e0,0x26002f98,0xc85f3003,0x3bf62007,0x025c1f0a,
    0xfb803df3,0x59df502f,0x00ff5443,0x7cc005f9,0x6c1ee002,0x007ee006,
    0xf88007d4,0x203e4003,0x0e6002f9,0x3e003ea0,0x3e21fd43,0x017ee5c3,
    0x803fb997,0xb809f13f,0x217cc007,0x7d40007c,0x0007d400,0x17a00f98,
    0x3ea000bd,0x17cc0000,0x7f1001f2,0x1007c800,0xf01ba09f,0x06d80007,
    0xf10007d4,0x807e6005,0x003b02f9,0x17cc3e40,0x37ff6a00,0x7c412e0f,
    0x6eef9806,0x1fe20020,0x26002fb8,0x41ee002f,0x0374006d,0xf1000fa8,
    0x407c8007,0x003b02f9,0x3e003ea0,0x1fc43e43,0xf3002f88,0x3f23f803,
    0x9001ee01,0x0005f30f,0x1f2007d4,0x7c05f000,0xa8002f44,0x3e40000f,
    0xf10017cc,0x007c8007,0x03f70bee,0x740005e8,0x0007d405,0x3e6005f1,
    0x220be601,0x13e0003f,0x730002f4,0xfd825c1f,0x4c77cc01,0x7dc0003f,
    0x4003f701,0x0e6002f9,0x3e60036c,0x000fa803,0x7c8007f1,0x7c417cc0,
    0x01f50003,0x885d87f0,0x005f103f,0x87f007e6,0x001ee05e,0x0017a09f,
    0x36c00fa8,0xf813a000,0xa80027c3,0x27c0000f,0x3e2005e8,0x003e4003,
    0x027c43ba,0x3e00036c,0x0007d404,0x3e6005f1,0x220be601,0x3f50003f,
    0x00003ee0,0x4f825c1f,0xfb077cc0,0x03f88000,0x7cc003f5,0x6c003b02,
    0x805e8006,0x7f1000fa,0x4c07c800,0x003f882f,0x7f001f50,0x1fc40fc8,
    0xf3002f88,0x7d43f803,0x5400f702,0x001f701f,0x9d003ea0,0x106d8000,
    0x0004f87f,0x540001f5,0x001f701f,0x1b60027c,0x3b69f300,0x0007c800,
    0x1f500be2,0x8017c400,0x3fe601f9,0x03ffffff,0x7c40db00,0x707c0003,
    0x4c05f309,0x007dc0ef,0x2607f100,0x417cc006,0x1b6003f8,0x2a01b200,
    0x07f1000f,0x7cc07c80,0x3fffffff,0x001f5000,0x444fa87f,0x005f103f,
    0x07f007e6,0x00f701fb,0x07f1036c,0xf003ea00,0x36c80009,0xdddfdddb,
    0x03bdddfd,0x80003ea0,0x00fe206d,0x27c005e8,0x17efdc00,0x0001fa80,
    0x0fa803f9,0x400be200,0x37e601f9,0x03fccccc,0x6c03f880,0x707c0006,
    0x2601f509,0x01f980ef,0xbdddd971,0x00007f79,0x1fc417cc,0x7000db00,
    0x001f500f,0xf9000fe2,0xcccdf980,0x50003fcc,0xb09f001f,0x07f537df,
    0x7cc00be2,0x7cc1fc01,0xf1007b84,0x0006d807,0x05d801f5,0xed9aec00,
    0xfeeeefee,0x5001deee,0x3e20001f,0x90036c03,0x0fe6001f,0x002ff400,
    0x3e2001ba,0x000fa805,0x7cc00be2,0x220be601,0x0fb8003f,0x0000fd40,
    0x7d425c1f,0x300ef980,0xfffc883f,0xfffeecde,0x3e600003,0x3fffffff,
    0x2001b600,0x07d400fa,0x4003f880,0x417cc07c,0xf50003f8,0x2e0bd001,
    0x80ffffff,0x3f3002f8,0x1f903f80,0x1f7007b8,0x8001fa80,0x036400fa,
    0x7cc0fe00,0x4000be61,0xf70000fa,0x001fa801,0x3ba00bf1,0x03f50000,
    0x4003fa80,0x0fa801fc,0x400be200,0x0be601f9,0x7f40017c,0xeeeeeeee,
    0x3e0004fe,0x0be612e0,0x7dc01ff1,0x200eff40,0x200003f9,0xcccccdf9,
    0x01b6003f,0xf5003ea0,0x00fe2001,0x2f980f90,0x2a0005f0,0x406d800f,
    0xf102a9a9,0x007e6005,0x717e207f,0x3bbfa00f,0xfeeeeeee,0x00fa8004,
    0xf10003dc,0xf983ea03,0x01f50001,0x3bbbfa00,0x4feeeeee,0x8813f200,
    0x2a0002fd,0x1fe8001f,0x2009f500,0x3e2000fa,0x403f3002,0x000302f9,
    0xddddddf3,0x00fddddd,0x209707c0,0x007fa24f,0x002fc8db,0x400007f1,
    0x03f882f9,0x2a001b60,0x007d400f,0x6e8009f0,0x01817cc0,0xdccccc88,
    0x43ccccdf,0xf100007c,0x007e6005,0x717d407f,0xdddf300f,0xdddddddd,
    0x01f5000f,0x70002fa8,0xf507dc0f,0x03ea0003,0x3bbbe600,0xeeeeeeee,
    0x577e4007,0x007fd510,0x8001fa80,0x7dc02fe8,0x01f5000e,0x98017c40,
    0x00be601f,0x01ee0b90,0xf0002f98,0x8fc825c1,0x7cc01fe8,0xf10027c4,
    0x30006207,0x800be05f,0x06c8006d,0x32000fa8,0x013e2005,0x5c8005f3,
    0xfffffff5,0x43dfffff,0x880002fa,0x03f3002f,0x737403f8,0x400f700f,
    0x7d4002f9,0x0006e800,0x2a3dc0df,0x1f50000f,0x400f7000,0x75c002f9,
    0x01efffff,0x001fa800,0x215bfd10,0x4004fdb9,0x3e2000fa,0x403f5002,
    0x36c002f9,0x2f4004e8,0x12e0f800,0x00ff6fc4,0x03f31ba2,0x7d41fcc0,
    0x5f3001ff,0x0db00060,0xf5009d00,0x007d4001,0x7cc03fa8,0x3036c002,
    0x17a0017f,0x00be2000,0x0fe00fd4,0x01ee7f30,0x0bd0013a,0x9800fa80,
    0x17dc003f,0x007b8f90,0x74001ee0,0x002f4004,0x001bef98,0x0007ea00,
    0xfffffb88,0xfa8002ef,0x402fc000,0x3e601ffb,0x4c36c002,0x07dc001f,
    0x09707c00,0x26017fdc,0x027c41fe,0xfd83ffa8,0x5f3004ff,0x6d85c800,
    0x4017c400,0x3e2000fa,0x00ee8805,0x360017cc,0x70017206,0xbf00005f,
    0x803ff700,0xb8fc803f,0x000fcc07,0xfa8003ee,0x003fb000,0x8d9017ea,
    0x1ba0007c,0x0007e600,0xf10001f7,0xf5000005,0xfd100003,0x5400015b,
    0x07ec000f,0x403fffb0,0x36c002f9,0x7c400364,0x2e0f8003,0x9fffd104,
    0x3bf2a213,0xc801fd01,0xffb83fff,0x05f3002f,0x06d86d80,0x5400fe40,
    0x1fdc000f,0x3005fd10,0x06d8005f,0x3fa000f6,0xfb012602,0x0fffec01,
    0x3e200fe0,0x036407bd,0x5001fc40,0x3fa2001f,0x0077d403,0x000d91b6,
    0x32000fea,0x03f88006,0x00007980,0x80003f50,0x44013fe9,0x0007d400,
    0x2a22fbe6,0xcdf9bfec,0x4002f980,0x0003f86d,0x41f000db,0x89fe884b,
    0xfffffffc,0x8df7cc04,0xf8cfeca8,0x072a0bcd,0x4002f980,0x2006d86d,
    0x1f5005fa,0x15df7000,0x400ffae6,0x36c002f9,0x00e61d50,0x266f7fa6,
    0x7cc05fda,0xfeca88be,0xf00cdf9b,0x1fbee007,0x360007f0,0x003ea006,
    0x2215bfb0,0xd800efdb,0x2a6036c5,0x000bfb51,0x36c000fe,0x0aa3e800,
    0x007ea000,0xfffffb80,0xfd99bdef,0xb9999935,0x179999bf,0x7ffffd40,
    0x5fff30ef,0x337f72e2,0xcccccccc,0xfb936ecc,0x5c40799b,0x80bcfdcc,
    0x15feeeea,0x3f65ddfd,0x0d65cc41,0xffffd500,0x3fe23dff,0x4c0002ff,
    0x436c002f,0x1ff3006d,0x0003ea00,0x7fffff5c,0x6e5c401e,0xccccccdf,
    0x06eccccc,0x8027ffec,0xffffffd8,0xffff5003,0x3fe61dff,0x3bf2e22f,
    0x3fa00bcc,0xcdfdc987,0x332e203c,0x9930bcfd,0x99bfb999,0x7dc01799,
    0x03ffffff,0x80bb13a0,0x04fffffb,0x66fee4c0,0x332e203c,0x2000bcfd,
    0x001fffea,0x7ee665c4,0x3003cccd,0xb779bfff,0x219ffffd,0xfffffffb,
    0x02ffffff,0x004de544,0xffffff98,0xffffffff,0xfff76fff,0x2601dfff,
    0x2fffffff,0x2aaaaa88,0x0d46aaaa,0x97500000,0x00000037,0xdb000be6,
    0xfc980db0,0xcccc980e,0xccccdfdc,0x5951000b,0x3ffe6003,0xffffffff,
    0x06ffffff,0x30000a88,0x51000335,0x4c001379,0x1fffffff,0x3ee1fe60,
    0x00efffff,0xfffffff3,0x3ffffee5,0xffffffff,0x2bca8802,0x04409800,
    0x00565440,0x7ffffdc0,0xfff300ef,0x0005ffff,0x3e600033,0xffffffff,
    0x015000ff,0x00009a88,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfb971000,0x9999999b,0x54dd9999,0xcccccfec,0x700dffec,0xffffffff,
    0x005fffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0xfffffff9,0xffffffff,0x3fffa6ff,
    0xadffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x26666620,0x66640099,0x003ccccc,0xcccccc88,
    0xcccccccc,0x000004cc,0x00000000,0x53006a00,0x00000000,0x0000b800,
    0x000000a6,0x02000017,0x00000000,0x53000010,0x00000000,0x20000000,
    0x0001c41a,0x5c0000aa,0x00040000,0x00040000,0x00000000,0x40000800,
    0xeeeeefeb,0x3b6203fe,0x0feffeee,0x7f774400,0xeeeeeeee,0xa807eeee,
    0x80ba601f,0x035c01f8,0x02f40000,0x5c0013ee,0x007ea01e,0x000bf600,
    0x00004fb8,0x00005fb0,0x7c0005f9,0x001b6204,0x90000bf2,0x4f80009f,
    0x20017620,0x00000ee8,0x07f447f7,0x004fb800,0x0002fd80,0x80000bf2,
    0xe807d400,0x4007cc03,0x035c01f8,0x0007f900,0x3c802fb2,0x3f8ed800,
    0x00be6000,0xfe8807b8,0x400efb83,0x01be205f,0x09f10000,0x1000bf90,
    0x0df907fd,0x03fe8800,0x005fc800,0x00ffa200,0x9fdfd100,0x03bee000,
    0x44005fd3,0x0004fefe,0x90002fe4,0x2fe981df,0x7f7fd400,0x2fdc0002,
    0x64000bf6,0x7440005f,0xfd10003f,0x220009fd,0x43dfffdb,0x03f605f9,
    0x17e007d8,0x88006f88,0x4005fefe,0x03c800fa,0x06d9fc40,0x800be600,
    0x37f2007b,0x9004fd88,0x07f9107f,0x0f33332e,0x7f666664,0x1df7000f,
    0x11bfb000,0x980009fb,0x200002fe,0x40000efb,0x40002fe9,0x1df72ffa,
    0x25ff3000,0x2a001efa,0x01df72ff,0x006fdc00,0xf71ffa80,0xdfc8003d,
    0x0004fd88,0x02fd8bf5,0x003fd880,0x0017f4c0,0xdf72ffa8,0x77fd4001,
    0x89efecac,0x33ee00ee,0x2005fb80,0x3fc883fc,0xb97fcc00,0x099000ef,
    0xf7000f20,0x40007ea1,0x1ee002f9,0x5fddf500,0xbdffe800,0xdb104ffd,
    0x881bdddf,0x0bdffeed,0x0077d400,0x17f77dc0,0x07be6000,0x3bea0000,
    0x3df30000,0x0efb8000,0x40017fcc,0x00dfefe8,0xf303bee0,0x7d40005f,
    0xfd10000e,0x44001bfd,0x0efb84fe,0xfb17ea00,0x5fd10007,0x1ef98000,
    0x81df7000,0xfb802ff9,0xfdfd300d,0x7bff9003,0x8001dffb,0xffdbdffe,
    0x077dc004,0x3600bfe6,0x80013003,0x80027c5e,0x1ee002f9,0x007ba600,
    0x6ffff5c0,0x003f8802,0x260003e4,0xdd30003e,0x1d900001,0x74c00000,
    0x01db0003,0x4409f000,0x3f20005d,0x204f8003,0x4c0005d8,0x7e40003e,
    0x02fa8003,0xdd800bea,0x4000fe20,0xc80001fa,0x13e0000e,0x7dc05d88,
    0x009fd005,0x1f7ffed4,0xfffd7000,0x09f0005b,0x354036c4,0x2f980000,
    0xf98003e4,0x000e6002,0x01000008,0x4003f880,0x0000007c,0x00000080,
    0x00000000,0x00000000,0x00080000,0x00000000,0x00020000,0x00000000,
    0x00000000,0x00000000,0xfa802fc4,0x0010006f,0x00001000,0xfb510000,
    0xf9000009,0x30005f30,0x0007605f,0x00000000,0x2001fc40,0x0000007c,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x32000000,0x9ef8800f,0x0000003f,0x00000000,
    0xd57bf500,0x7c00001b,0x3000bd04,0x007f105f,0x0abba880,0x57751000,
    0x00fe2001,0xa8800f90,0x30000abb,0x00035995,0x00000000,0x59953000,
    0x00000003,0x35775300,0x332a6000,0x2a60001a,0x40001acc,0x0001acb9,
    0x006aeea6,0x98000000,0x0001abba,0x00157751,0x02aeea20,0x74013e60,
    0x2600fb0f,0x0001acca,0x00000000,0x0ff207e0,0x407ea000,0x7cc000fb,
    0x0003f882,0xffffffd3,0x3fa6005f,0x02ffffff,0x32001fc4,0xfffd3007,
    0x5005ffff,0xfffffffb,0x7ffc403d,0xffff102f,0xffff883f,0xfffff102,
    0x7ffed403,0x201effff,0x01fffffd,0x1fffffdc,0xffffffa8,0x2a03d1ef,
    0xfffffffd,0xffb5001e,0x03dfffff,0xfffffc80,0x3ea003ff,0x1effffff,
    0x7fffc43d,0xfffff102,0xffffa803,0x03d1efff,0x7fffff4c,0xfd3002ff,
    0x05ffffff,0x7ec007dc,0x6d40be61,0xefffffff,0x3fffe201,0xfffff102,
    0x2ffff883,0x3fffff10,0x5dd3034c,0x1036c000,0xff98007f,0x03ffffff,
    0x21befc80,0x200dfea9,0x2a61befc,0x7f100dfe,0xc807c800,0x3aa61bef,
    0x9df500df,0x0ff54435,0x405fb970,0xb81fdccb,0x32e02fdc,0xdf501fdc,
    0x7f544359,0x79bf9301,0xfecb8801,0x56fec41c,0x3f7faa61,0x1acefa83,
    0x5007faa2,0x544359df,0xfe9801fe,0xbfb510ac,0x56fec401,0x3f7faa61,
    0x017ee5c3,0x203fb997,0x261adfd8,0x903fdfea,0x754c37df,0x3bf200df,
    0x37faa61b,0xfb806c80,0xefa83f83,0x3faa21ac,0x0bf72e01,0x81fdccb8,
    0x2e02fdcb,0x1ec1fdcc,0x00037ee0,0x06d807f1,0x6666fcc0,0x64003fcc,
    0x05fb804f,0xbf7009f9,0x9000fe20,0x804fc80f,0x200205fb,0x2f8807f8,
    0x4403f300,0x03f3002f,0x03fc4004,0x2f40013e,0xfb802fd8,0xf100103f,
    0xf100100f,0x01ef880f,0x5fb037d4,0x207ff700,0x3f3002f8,0x2e00bf60,
    0x04fc83ff,0x9f905fb8,0xbb0bf700,0x9d05f980,0x1fe20020,0x4c00be20,
    0x00be201f,0x0be60fcc,0x4007f910,0x0fd400fb,0xf105f300,0x027cc007,
    0x4f985f50,0x220bea00,0x03e4003f,0x7d4009f3,0x0fdc0002,0x4c00be20,
    0x00be201f,0x40000fcc,0x01b601fb,0x17d41fc0,0x0007f900,0x00001fb8,
    0x07f403f7,0xfa84f980,0x40ff2002,0x3f3002f8,0x64005f50,0x0027cc3f,
    0x04f985f5,0x09f0bea0,0x5d8077c4,0x00fdc000,0x7cc00be2,0x400be201,
    0x04f981f9,0xe800ee98,0xeeeeeeef,0x26004fee,0x4005f02f,0x0fc8006e,
    0x3f2001ba,0x2001fc40,0x001ba07c,0x880003f2,0x017c403f,0x3e201f98,
    0x003f3002,0x5c07f100,0xf307fb07,0x4005f883,0x440002f8,0xf100003f,
    0x000bee07,0x02fc43f9,0x7c40be20,0x883f3002,0x17c4005f,0x3f2001ba,
    0x32001ba0,0xfd80fe0f,0x0001b600,0x2f8807f1,0x4403f300,0x03f3002f,
    0x3200bb62,0x3bbe600f,0xeeeeeeee,0x0be6007e,0x05f3000c,0x3e65f300,
    0x42f98002,0x3e4003f8,0x98002f98,0x3e20002f,0x8017c403,0x0be201f9,
    0x0000fcc0,0x3f301fc4,0x1f70dff0,0xb8001fa8,0x1fc40000,0x03f88000,
    0x93e000bd,0x0b8001fa,0x26005f10,0x000fd41f,0x005f305c,0x0be65f30,
    0x4e8be600,0x5e805f90,0x01fc4000,0x7cc00be2,0x400be201,0x6fd401f9,
    0xf701e400,0x8017cc00,0x2e4002f9,0x266667ea,0x99999999,0x333f53f9,
    0x33333333,0xf887f333,0xa83e4003,0x9999999f,0xf9999999,0xddd97103,
    0x807f79bd,0x3f3002f8,0x98017c40,0x765c401f,0x3fbcdeee,0x9f50fe20,
    0x7b86c81f,0x97100000,0xf79bdddd,0xdd971007,0x07f79bdd,0x2ec000fe,
    0x100000f7,0x07e6005f,0x2a0000f7,0x9999999f,0xf9999999,0x33333f53,
    0x33333333,0x542ec7f3,0x203f804f,0xdeeeecb8,0x7c403fbc,0x403f3002,
    0x3f3002f8,0x8813f200,0xd0013a07,0x00be600b,0xfffc8db0,0xffffffff,
    0xf94fffff,0xffffffff,0x9fffffff,0x64003f88,0xfffff907,0xffffffff,
    0xfc889fff,0xfeecdeff,0x17c403ff,0x2201f980,0x03f3002f,0x37bfff22,
    0x03fffeec,0x3e3b62f4,0x036c2743,0x3ff22000,0xffeecdef,0x3ff2203f,
    0xffeecdef,0x002f983f,0x0036cf90,0x8017c400,0x0036c1f9,0xfffffc80,
    0xffffffff,0xfff94fff,0xffffffff,0x649fffff,0x4402fcc7,0xfffc882f,
    0xfffeecde,0x8017c403,0x0be201f9,0x1000fcc0,0x20b505db,0x7dc001f9,
    0x002f9800,0x2afee36c,0xaaaaaaaa,0xf72aaaaa,0x55555557,0x55555555,
    0x64003f88,0x5557f707,0x55555555,0xdfe85555,0x201fcc01,0x3f3002f8,
    0x98017c40,0x03bfd01f,0x36403f98,0x5f136d3e,0x80000bb0,0x7cc01dfe,
    0x0077fa03,0x05f307f3,0x05d9f200,0x02f88000,0x05d83f30,0x557f7000,
    0x55555555,0x3ee55555,0xaaaaaaab,0x2aaaaaaa,0x07744bea,0x7f40fdc0,
    0x01fcc01d,0x7cc00be2,0x400be201,0xfa8001f9,0x901fcb9c,0x07f1000d,
    0xd8005f30,0x0000fcc6,0x00000fcc,0x0dd0013e,0x400007e6,0x7f1002fc,
    0x3002f880,0x017c403f,0x2fc81f98,0xa807f100,0x3ea3f50f,0x0f903f30,
    0x017e4000,0x5f903f88,0x7c0fe200,0x64db0003,0xf8800007,0xc83f3002,
    0x3f300007,0x03f30000,0xfdb74000,0xc85f8801,0x07f1002f,0xf3002f88,
    0x8017c403,0xd10001f9,0x1fc017bf,0x9806d800,0x236c002f,0x880004f8,
    0x6400004f,0x413e2005,0xf00004f8,0x01fc4009,0x7cc00be2,0x400be201,
    0x004f81f9,0x5f300fe2,0xf73f89b6,0x00003ea0,0x7f10027c,0xf88013e0,
    0x2000bd03,0x0003ea4f,0x2005f100,0x007d41f9,0x0027c400,0x00027c40,
    0x005fbf50,0x013e03f2,0x7c403f88,0x403f3002,0x3f3002f8,0x807c4000,
    0x3ccdfdc9,0x3f732e20,0x372e20bc,0xccccccdf,0x86eccccc,0xc80000fc,
    0x2a00000f,0x07f5000f,0x200007e4,0x3e6001f9,0x8017c403,0x0be201fa,
    0x3e60fd40,0x00fe6001,0x5b61fd3e,0x009f105d,0x4003f300,0x01f983f9,
    0x7dc0fe60,0x10fdc001,0x8800009f,0x83f5002f,0x900004f8,0xf900001f,
    0x7f400001,0x309f5004,0x1fcc003f,0x5400be20,0x00be201f,0x00440fd4,
    0xfff703d8,0x2601dfff,0x2fffffff,0x3fffffe6,0xffffffff,0x6e886fff,
    0x3a208800,0x88088006,0x0ee8805f,0x2001ba20,0x2009f108,0x5f803ffa,
    0x401ffb80,0x1ffb805f,0xfa8027c4,0xfadd803f,0x027cfd41,0xfb8003f9,
    0x2a009f11,0x04f883ff,0x7407ff50,0x09f3000e,0xfb8003f9,0xf700bf01,
    0x003f903f,0x1ba21fb8,0x6e882200,0x7c408800,0x77e402ff,0x5004f880,
    0x0bf007ff,0xf803ff70,0x81ffb805,0x007b002d,0x02f88000,0x01fc4000,
    0x91003bf3,0x01df98bf,0xf505fc88,0x017f4407,0x4400efcc,0x003fa5fc,
    0xb007fff9,0x7ffec01f,0xb007ec01,0x1fd03fff,0x03fffc80,0xf886dfb8,
    0x17f402fd,0x3a37f4c0,0x7ffe400f,0xc801fd03,0x3e603fff,0x037d401e,
    0xfd3005fd,0xb007ec0d,0x3fa03fff,0x86fe9802,0xc8801df9,0x00efcc5f,
    0xfd12fe44,0x2615bfd3,0x7f404fdb,0x1fffe400,0xfb007ec0,0x0fd803ff,
    0x207fff60,0x00f8802d,0x01e40000,0x401e4000,0x2609cfe9,0x980cffca,
    0x2a609cfe,0x2a00cffc,0xfd730aef,0x67f4c007,0x3ff2a609,0x46fbe60c,
    0xf8cfeca8,0xdf300bcd,0x7fd95117,0x26019bf3,0xeca88bef,0x20cdf9bf,
    0x9511bef9,0x79bf19fd,0x40ffe601,0x74400ffd,0x32a61adf,0xbef984ff,
    0x19fd9511,0x7cc179bf,0xfd9511be,0x0179bf19,0x22139fd3,0x2200dfda,
    0x2a61adfe,0x7cc04ffc,0xfeca88be,0x440cdf9b,0x2a61adfe,0x3a604ffc,
    0x32a609cf,0xfe980cff,0x3f2a609c,0xb87f60cf,0x2effffff,0x11bef980,
    0xbf19fd95,0x3be60179,0xbfeca88b,0xf300cdf9,0xfd95117d,0x6c19bf37,
    0x0026c402,0x00164000,0x90016c00,0xffffffff,0xfff9003b,0x03bfffff,
    0x3ffffaa0,0xf90001ef,0xbfffffff,0x3fffaa03,0xff11efff,0x7fd405ff,
    0xf30effff,0x7fd405ff,0xf30effff,0xffea85ff,0xf11effff,0x3e205fff,
    0x00df501f,0x7fffffdc,0x3aa00cff,0x1effffff,0xa85ffff1,0xeffffffe,
    0x05ffff11,0x7fffffe4,0x3fee003f,0x0cffffff,0xfffff500,0x3ffe61df,
    0xfffff702,0x20019fff,0xfffffffc,0xffc801df,0x1dffffff,0xcb981fd4,
    0x7f54000a,0x11efffff,0x5405ffff,0x0effffff,0x5405fff3,0x0effffff,
    0x76c5fff3,0xfeeeeeee,0x30000004,0x0007b57d,0x05935d50,0x01579530,
    0x2af2a600,0x32a20000,0x5300001a,0x54001579,0x00001bcb,0x00137951,
    0x09bca880,0x37975000,0x00000000,0x9abca980,0x2f2ea000,0x65d40001,
    0x3100001b,0x40003597,0x009abca9,0x09bca880,0x5e54c000,0x5300009a,
    0x20001579,0x200abca9,0x80000038,0x0001bcba,0x01379510,0x9bca8800,
    0x2aaa6000,0x0001aaaa,0x3dc98000,0x3b6a0000,0x0000000b,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00008000,
    0x0000dc00,0x15400350,0x00000000,0x00002e00,0x2e000002,0x220014c0,
    0x0001bdca,0x00010000,0x05e76dcc,0x40012200,0x0001bca9,0x95000010,
    0x0200017b,0x00530000,0x22000050,0x2002cdca,0x00acecb8,0x06666000,
    0x01bb9880,0x33310000,0x04000881,0x807b2000,0x04f801fa,0xfa801762,
    0xfb000004,0x3f200005,0x013f2003,0x5c01f880,0x3f620006,0x17e40002,
    0x41fb0000,0xff7005f9,0x543ffdff,0x8003d806,0x4c003fe8,0xffeefffe,
    0x003ea003,0xffffffa8,0x1bfff24f,0x219dff10,0xfd105eb8,0x005dffdf,
    0x00006fcc,0x7c0037d4,0x3e60000e,0x00effeff,0x7ff7ffdc,0xfc80002e,
    0xff7007ff,0x2a1bffff,0x2000ffff,0x2a2ffff8,0xbfb003ff,0x17f4c000,
    0xfc802fe4,0x017f4c0e,0x00efefc8,0x07fd1000,0x07fb1000,0x000bf900,
    0x0df102fc,0x00bfa200,0x4fefe880,0x22fd8000,0x6c400ef9,0x2a0c0adf,
    0x00fea03f,0x801fff20,0x6c40aefb,0x01f5004f,0x235dfb10,0xfc8efca8,
    0xdb9802cc,0x82dffeff,0x7ec42fe8,0xefefb802,0x37ee0001,0x1ff98000,
    0x21efa800,0xf900ffa8,0x03fe981b,0x3ed54400,0x42b3fa20,0xdfa9ffb9,
    0xba98003c,0x017ff22f,0x0007ffe6,0xfd14fd88,0x1ffa8007,0xd1003df7,
    0x00bfe67f,0x005fd300,0x005fd100,0x00077dc0,0x7e441fe4,0x1ff98003,
    0x4bfea000,0xb0000efb,0x0077c45f,0x8800ffe6,0x0fe881ff,0x05ffa800,
    0xb801bf10,0x00fa802f,0x74c03fd8,0x5c4007de,0x200ffffd,0x07f601fc,
    0xfe9a7ec4,0x04fc8003,0x017f4c00,0x7c403fa0,0x6c03fa85,0xf900000f,
    0x2202fe80,0x0000fcfd,0x3f222f98,0x0fff8802,0xfefb8000,0xfd10001f,
    0x3e600bfd,0x027f441f,0x001ff980,0x001ff980,0x000efa80,0xfdbdffe8,
    0xef98004f,0x3bee0001,0x0017fcc0,0x0fe88ff2,0x000f7c40,0x76677fcc,
    0x2a0002ff,0x8006000b,0x00fa806e,0xf8801fd4,0xffd5007f,0x4c17e65b,
    0x42fc403f,0x5fd83fe8,0x000ff600,0x801ff440,0x0fe401fa,0x17e201ba,
    0x703e4000,0x3ffa005f,0x2f980000,0x373003d4,0x6fcc0000,0x3fc80000,
    0xc8037600,0x0ec8000f,0x01d70000,0x0174c000,0xdfffeb80,0x01d90002,
    0x2204f800,0x21fc005d,0x1fd801ea,0x3fb22000,0x00000dff,0x3dc00000,
    0x3e00fd40,0x03fd4005,0xf980add8,0xf7007b83,0x2e01ec83,0x02f9801f,
    0x00fd8000,0x4f8806e8,0x36c00fe2,0x107c8000,0x7fc400bf,0x2f980000,
    0x00000fe2,0x00002000,0x00000010,0x00000000,0x00000000,0x00000080,
    0x00000000,0x1fdc0000,0x00000000,0x70000000,0x3ff6a01f,0xf3088cef,
    0x00ff0005,0x360fcc00,0x007f1006,0x00000000,0x3f980080,0x0fccfb00,
    0x00007b80,0x007e60f9,0x00001fb0,0x002545f3,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x06e80000,0x00000000,
    0x00357753,0xd10bb000,0xffd759bf,0x0003eebf,0x044001f6,0x00bd07e4,
    0x000002ec,0x00000000,0xfb8007d4,0x36400be1,0xc80ac980,0x8001f707,
    0x771000fc,0x0002f983,0x00157751,0x98000000,0x000aacba,0x02ab2ea6,
    0x201ca880,0x54c001b9,0x8000aacb,0x0001acb9,0x000d65cc,0x006b2e60,
    0x03597300,0x1acb9800,0x0002f880,0x7d400000,0x1effffff,0x7d40003d,
    0x880f7c43,0x000f95fe,0xfdb801f2,0x9f12deff,0x0fb002ec,0x00000000,
    0x0f700000,0x0bb17d40,0x6d407d10,0x23efffff,0x000f907c,0xfe8801f5,
    0x5f33ffff,0xfffe9800,0x4402ffff,0xf102ffff,0x4c03ffff,0xfffffffe,
    0xffd306ac,0xd59fffff,0x3ffffae0,0x3fffa61f,0x7ff4c00e,0x6acfffff,
    0x7ffffe40,0x7e4003ff,0x03ffffff,0x7ffffe40,0x7e4003ff,0x03ffffff,
    0x7ffffe40,0x03e603ff,0xffffb000,0x6c4003ff,0x3aa61adf,0x70003fdf,
    0x801fb0bf,0x001f75f9,0xfd300fb0,0xbfd9779d,0x803dcfb1,0x7fec0ff9,
    0x2001ffff,0x1ffffffd,0x3ffff600,0x07c801ff,0x3fa8be60,0xfa807ec0,
    0x9f9511ae,0x007dc1f2,0xe9803f20,0x37f930bf,0x77e4005f,0x37faa61b,
    0x0bf72e00,0x01fdccb8,0x4c437ff5,0x7d40fffc,0x3f2621bf,0x577cc0ff,
    0xff11fd50,0x201df915,0x2621bffa,0xe980fffc,0xfb510acf,0xcfe9801b,
    0x1bfb510a,0x0acfe980,0x801bfb51,0x510acfe9,0xe9801bfb,0xfb510acf,
    0xb98f701b,0x64c02dfe,0x001fdccc,0x3ee00bf6,0xdcc8803f,0x02f984fe,
    0x00be6790,0xff501fe0,0x7e7f5405,0xfd003f31,0xcccc983f,0x326001fd,
    0x001fdccc,0x3f733326,0x4006d801,0x20efdc3f,0x9f502fe9,0x07cdfa80,
    0xfd8003f3,0x5c07ba00,0xf9002fdf,0x00bf7009,0x3e6005f1,0x9801ff01,
    0x007fc0ff,0x40203fe6,0xf986edf8,0x9801ff04,0x0f7c40ff,0xf881bea0,
    0x037d401e,0xfa803df1,0x007be206,0x77c40df5,0x6c37d401,0x3b37bf65,
    0x3e6000df,0x005f5001,0x7cc01fe4,0x0f706fff,0x2002fc00,0x3be207fa,
    0x3fee8800,0xf5f901ba,0x003f5003,0x0001fa80,0x2ec00fd4,0x3ea0fe00,
    0x01effeff,0x3e6009f5,0x009f107f,0xfb807fc4,0x017fe401,0xf50027cc,
    0x002f8805,0x05f303f3,0x2f983f60,0x8001fb00,0x1f901ffd,0xfb002f98,
    0x3000fe81,0x003fa09f,0x0fe827cc,0x3a09f300,0x09f3000f,0x7cc003fa,
    0x83fca744,0x3e6005fb,0x005f8801,0x510017c4,0x06c81df9,0x400fea00,
    0x3f607ff8,0x93fe2000,0x9fd80df8,0x1fa802f8,0x00fd4000,0x2007ea00,
    0x41fc005d,0xffedeffb,0xc800db01,0x00bee07f,0x7c407ff4,0x02ff8805,
    0xfc8006e8,0x400be200,0x05f881f9,0x05f88910,0xf5000910,0x221fc40b,
    0xb891005f,0x0fe4002f,0xf9000bee,0x4002fb83,0x017dc1fc,0x5f707f20,
    0x3a1fc800,0x3ea01fcd,0x003f3002,0x170003f5,0x87fa6000,0x7ec0006d,
    0x3ef74c03,0xb8003f88,0x5effcc5f,0x05f32ffd,0x80003f50,0x540001fa,
    0x005d801f,0x20ff21fc,0x02f82fc8,0x7f407f80,0x3f3f6202,0x9001f980,
    0x02f9805f,0x2202f980,0x03f3002f,0xd8000ff6,0x2000003f,0x42f403fa,
    0xbd0003fd,0xbd13e000,0xbd13e000,0xbd13e000,0xbd13e000,0xfd93e000,
    0x007d803f,0x0f7003f3,0x22000000,0x0001ee7d,0x2235dfb1,0x07c8efc9,
    0xf30003f3,0x7dfd730b,0x5400fd41,0x7d40001f,0x0fd40001,0x3e0036c0,
    0xf7007f23,0x40007cc7,0x67f4407e,0x53ff7309,0x001f501f,0x3f500bee,
    0x33333333,0x07f33333,0xf98017c4,0x337ff601,0xffb000ab,0x4001579b,
    0xfcceedb9,0x9999999b,0x9bffb06d,0x03f80157,0x03f8bb00,0x03f8bb00,
    0x03f8bb00,0x03f8bb00,0x37e4bb00,0x9800fa80,0x006d801f,0x3e600000,
    0x00005f32,0xfffffff5,0x07b83e49,0x40017e00,0x1fa800fc,0x00fd4000,
    0x2007ea00,0x8be2007c,0x5cdb003f,0x00f90007,0x3fffffee,0xf901f50d,
    0x2017d400,0xfffffffc,0xffffffff,0x00be204f,0x32600fcc,0x0cfffffe,
    0x7fff64c0,0xff700cff,0xffffd9df,0xffffffff,0x7ff64c0f,0x7cc0cfff,
    0x4cf90002,0x4f90002f,0xf90002f9,0xc80017cc,0x4000be67,0x4007ee7c,
    0x1f9802f9,0x00005d80,0xfb274000,0x53002001,0x20f90379,0x13e0007b,
    0xa8036c00,0x7d40001f,0x0fd40001,0x98007dc0,0x2001f51f,0x000f70f9,
    0xb98801f2,0xc80fa81b,0x00bea007,0x555557f7,0x55555555,0x017c4055,
    0x98001f98,0x4002efda,0x222efda9,0x9f701dfd,0x55555555,0xfda98005,
    0x000be62e,0x005f33e4,0x02f99f20,0x17ccf900,0x3e67c800,0x4cf90002,
    0x05f1002f,0xf9003f30,0x80000000,0x807be27c,0xc80005fb,0x0003f507,
    0xf30007f1,0x007ea009,0x0003f500,0xfa801fa8,0x321f7001,0x4cbe2006,
    0x07e8000f,0x407d4000,0x5f7000fb,0x0001f980,0x2005f100,0x440001f9,
    0xb10001fd,0x500fea3f,0x8000005f,0x00fe1fd8,0x00fe36c0,0x00fe36c0,
    0x00fe36c0,0x00fe36c0,0x013e36c0,0x7cc00fcc,0x000fa801,0x17600000,
    0x9759bfd1,0x00001bff,0x013e20f9,0x20007ee0,0x3f5000fe,0x01fa8000,
    0x400fd400,0x4fd004f8,0x8be2007c,0x07f8002f,0x407dc000,0x5f9001f9,
    0x0004f880,0x2005f100,0x800081f9,0x3a00024e,0x9f500f94,0xd0001000,
    0xf8002f49,0xf8002f44,0xf8002f44,0xf8002f44,0xf8002f44,0xfb803e44,
    0x801f9800,0x000004f8,0x2e09f100,0x00adfffe,0xe81f2000,0x006d8006,
    0x2a003fb8,0x7d40001f,0x0fd40001,0x4400fe80,0x4007ea4f,0x001b60fa,
    0x80000ff9,0x00bf106d,0xf9005ff1,0xf1000001,0x107ea005,0x16d8005f,
    0x56d8005f,0x06fa801f,0x20017c40,0x0007ee6d,0x01fb83f7,0x3ee0fdc0,
    0x20fdc001,0x7dc001fb,0x2000fdc1,0x027c41fb,0x7cc013e2,0x003f9001,
    0x00061fb8,0x0fb801fb,0x0f900000,0xf9002fcc,0x05fb8005,0x0000fd40,
    0x500007ea,0x0fea003f,0x2fc41fb0,0x3ea37440,0x0fff3003,0x027d4000,
    0xffc803f7,0x006e8802,0x02fc0088,0x3e20ffdc,0xf8af4005,0xf8af4005,
    0x0bffe202,0x002fc430,0x001dd17a,0x077413e6,0xdd04f980,0x413e6001,
    0x9f3000ee,0x4c003ba0,0x405f904f,0x3f3000fd,0x4017f400,0x3be66fe9,
    0x017e4402,0x000007d4,0x77dc07c8,0x002fe400,0x8001bfb1,0x540001fa,
    0x7d40001f,0x407fa001,0x04fa83fb,0x3ea07f62,0x3e6fd404,0x0ef98000,
    0xfa807740,0xbf3002fc,0x0bf91003,0x3f600fd8,0x1ffc41ff,0xff12fc80,
    0xe8bf2007,0xffff880e,0x227e980e,0x5f9003ff,0x5401ef98,0x07be606f,
    0x7cc0df50,0x037d401e,0xfa803df3,0x007be606,0xcfd80df5,0x02fea889,
    0x88007e60,0x2a61adfe,0xfea84ffc,0xfb9889bd,0x01f5003f,0x2aaaa000,
    0xf701aafd,0x36e6159d,0x985540df,0x0003ffcb,0xa80003f5,0x7d40001f,
    0x2ffe6001,0x640bf951,0xff730aef,0x8577dc05,0x9f94fca8,0x55544079,
    0x00efecaa,0x930aff98,0x079bf37f,0x4139fd30,0x00cffca9,0x5445f7cc,
    0xcdf9bfec,0x35dfff10,0x11ff5cc1,0x4135dfff,0x7443feb9,0xcffa88ae,
    0xf933feaf,0x77ffc43d,0x3fae609a,0x139fd303,0x0037f6a2,0x22139fd3,
    0x4c00dfda,0xb5109cfe,0xfe9801bf,0xbfb5109c,0x9cfe9801,0x01bfb510,
    0xfffffb70,0x99997103,0x9999bfb9,0x3fee0179,0x0cffffff,0x7ffff5c0,
    0x2a001eff,0xf980000f,0x7fffffff,0x3ffffa60,0xff902fff,0x8039dfff,
    0xdcccccb8,0xbcccccdf,0x99999710,0x99999bfb,0x3332e217,0xcccdfdcc,
    0xfd880bcc,0x9804ffff,0x0efffffe,0xffffda80,0x3fff23ef,0x3fffee06,
    0x44003eff,0x33fffffe,0x2001dfff,0xfffffffc,0x3ea001df,0x30efffff,
    0x54f45fff,0xfffffffe,0xfea9e82e,0x2effffff,0xdffffd10,0x3ffe6d31,
    0xd53d04ff,0xdfffffff,0xffff9005,0xc8007fff,0x3fffffff,0x7fffe400,
    0x64003fff,0x3fffffff,0x7fffe400,0x88003fff,0x3fea01ab,0xffffffff,
    0x401fffff,0x009abca9,0x00abb980,0x00006980,0x26666662,0x57731001,
    0x03751001,0xfffffa80,0xffffffff,0xffff51ff,0xffffffff,0x3fea3fff,
    0xffffffff,0x201fffff,0x4000aba8,0x0000aba9,0x00001595,0x00033331,
    0x00037730,0x15795300,0x5e544000,0x2a600009,0x2001abcb,0x01abcba9,
    0x98037710,0x5d4c002c,0x44001abc,0x0001acb9,0x006b2e62,0x1acb9880,
    0x32e62000,0x2620001a,0x00001acb,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x26620000,0x99999999,
    0x00999881,0x33000000,0x4cccc033,0x99999999,0x00000019,0x00000c40,
    0x00000b88,0x00000310,0x00355100,0x00d65cc0,0x8000e600,0x73000038,
    0x00000037,0x00000000,0x02bba800,0x00000000,0x00310000,0x80002000,
    0x039501ca,0x64c07260,0x26666201,0x10000019,0x05440035,0x7ffffdc0,
    0x42ffffff,0x0003ffff,0xfffc8000,0xfffff107,0xffffffff,0x3fffe23f,
    0x3ffea06f,0x7fdc04ff,0x00000dff,0x00003fd1,0x640bff50,0x003ee00e,
    0x40ffffe2,0xff52fff9,0x001bffff,0x2000df50,0xfff806f9,0x3ffff23f,
    0x44003dff,0x3ae000ff,0x7007ea01,0x00fd403d,0x1dfbbfb1,0x5ffff300,
    0x3ffffe20,0x6c409f01,0x77fecc05,0x2a001c41,0x22ceffec,0x417fe02a,
    0xdfd005ff,0xfe81bfe0,0x000fffff,0x987ffffb,0x102efffd,0x7001ffb5,
    0x5555557f,0xf5530355,0x00000007,0x220fb551,0xaaaaaadf,0x21fcaaaa,
    0x202ccfeb,0x01cfecb8,0x3faf3ffa,0x7cc0001f,0x8028001f,0x3e606ffb,
    0x027ec42f,0x05ffffa8,0x37f2bf6e,0x01df730b,0x00077dc0,0x5c0077dc,
    0xcfe8bfcc,0x07fd5309,0x0007fc40,0xdf907fd1,0x907fd100,0x20ce80df,
    0xb97006c8,0x6e65c05f,0x81df901f,0x3e602fe9,0xa9dfebbf,0xffb800ff,
    0xdfecbace,0x13f605d8,0xfc801ff4,0x4409fb04,0x00fcaaaa,0x47f99930,
    0xfd99cffc,0xddffb711,0x01f7001f,0x0007f000,0x07c80000,0x7dc007f1,
    0x2001fcc0,0x41fe405e,0x50000ee9,0xf50001df,0x03fa8801,0xfe9a7f44,
    0x3ffe2003,0x7ffcc03f,0x4013ea03,0xf90005fc,0xdbf0001b,0x03fb803d,
    0x0001ff10,0x9fb11bfb,0x46fec400,0x7d404fd8,0x2002f880,0x3f3002f9,
    0xfb8ffd40,0x5c1cc01e,0xd800efff,0x3fee00df,0x0200405e,0x00080100,
    0xf0000fa8,0x3209fb17,0x2a37df91,0x00fb800f,0x0003f800,0xfffe8800,
    0x46ffffff,0x41ba000c,0x07ea006d,0x1fdc0df0,0x0077dc00,0xb800fa80,
    0xfdf9000f,0x5510003d,0x05ff3003,0x9fb00fd0,0x013f6000,0x000fff80,
    0xff1007f7,0x3bee0001,0xf70002fe,0x99005ffd,0xf3002640,0x007e6005,
    0x01bfdfd1,0x001a8800,0x3a2007f7,0x0000005f,0xfa800000,0xfd9f0000,
    0x2a022005,0x00fb800f,0x0003f800,0x99999000,0x00799fd9,0xf981fc40,
    0x880dd003,0x017e203f,0x500017a0,0x02f9801f,0x0006fd40,0x03f98000,
    0x7c403f70,0x07f10003,0x002ff800,0x000002f4,0x0001dd30,0x9000ee98,
    0x3002dc07,0x07e6005f,0x0001fe40,0x037cc000,0x00017e60,0x00000000,
    0x7c0003ea,0xa80001ff,0x00fb800f,0x0003f800,0x03e40000,0x200fb800,
    0x02fa806d,0x176017cc,0x54000000,0x000c400f,0x00000008,0xfa8017cc,
    0x00000001,0x8006f800,0x0000007a,0x01000004,0x0fa06b80,0x3002f980,
    0x0004003f,0x006b2e60,0x74000fe4,0x35973005,0x5dd44000,0x3ea0000a,
    0x01df0000,0x003ea000,0x200003ee,0x0aca883f,0x02b26000,0x6c0001f2,
    0x2017cc06,0x02f9806e,0x000013e2,0x0007d400,0x00000000,0x2005f300,
    0x000001fa,0x05f80000,0x0002f880,0x00000000,0x505f1000,0x17cc001f,
    0x0001f980,0xffffc800,0x27403fff,0x6402a800,0x3fffffff,0x3fffa600,
    0x8002ffff,0x7f0000fa,0x07d40000,0x02207dc0,0x7f5c7f00,0x001effff,
    0xdfffffb5,0x40003e47,0x06d803f8,0x3e600bea,0x003fb102,0x002aee60,
    0x3ffffffa,0x2fffffff,0x0abb9800,0xf9800000,0x003f5002,0x2a200000,
    0x0004f801,0x0000007f,0x22000000,0x2b7ea01a,0x4c002fda,0x03f3002f,
    0x7f4c0000,0xbfb510ac,0x0003f101,0x159fd300,0x0037f6a2,0x54c37df9,
    0x2a000dfe,0x07f0000f,0x007d4000,0x7ff5cfdc,0x3f801dff,0x2e6159fb,
    0x77d404fe,0x29f9511a,0xfa80007c,0xd02f9801,0x70be600d,0x7d405ffb,
    0xffff52ff,0x65401bff,0xccccdfdc,0xff503ccc,0x3fffea5f,0x5c000dff,
    0x005f3005,0x7ffcc7ea,0xffffffff,0x3fff61ff,0x7ffecc3f,0x0017e02e,
    0xfffb0be2,0x6c003fff,0x01ffffff,0x87ffffb0,0x02efffd9,0x201bddb1,
    0x02f980b9,0xff983f30,0xffffffff,0x77c41fff,0x5437d401,0x4400000f,
    0x37d401ef,0xf7009f90,0x007d400b,0x00003f80,0x3ee003ea,0xfcbbdfff,
    0x7ee7c03f,0x413f2202,0x6fd404fa,0x6c80007c,0x3e61b600,0x545f3002,
    0x2202efff,0xadfcafdb,0x001df710,0x220001f5,0xadfcafdb,0x001df710,
    0x2f9803e4,0x3e63f500,0xcccccccd,0x3260efdc,0x3ff23fcc,0xf01fd99c,
    0x83f5000d,0x1fdcccc9,0x33332600,0x993001fd,0x67fe47f9,0x8001fd99,
    0x980cfeb9,0x83f3002f,0xcccccdf9,0x40efdccc,0x9f3000fe,0x800007c8,
    0x9f3000fe,0x54009f30,0x41f5002f,0x007f001a,0x4007d400,0xfb101be9,
    0x00fffc05,0x27d41fc8,0x007ff980,0x26004f80,0x30036c2f,0xfeba885f,
    0x3ffe600d,0x200fea03,0x4c0000fa,0x3ea03fff,0x00fb1003,0x7d400be6,
    0xfd005f31,0xfd8bf803,0x3fe03904,0x803ec002,0x540001fa,0x17f0001f,
    0x007209fb,0x00e7f64c,0x7cc00be6,0x74017cc1,0x0017dc1f,0x006c87f2,
    0x0017dc00,0x00dd07f2,0xf5001f90,0x200bff21,0x2a00003f,0x6c00000f,
    0x009ff00f,0x01b637c4,0x8000ff90,0x36c001f9,0x7cc005f3,0x3037dc02,
    0x0dd007ff,0x80001f50,0x6e803ff9,0x02ffe440,0xf5002f98,0xfb007e63,
    0x5fd9f003,0x03ffe000,0xa8017dc0,0x7d40001f,0xfd9f0001,0x7e4c0005,
    0x3e6001cf,0x983f5002,0x40fec01f,0x49f0005e,0x7400006c,0x4c9f0005,
    0x2f98002f,0xffd0fa80,0x0007f00b,0x00007d40,0x3fc0fe20,0x5f07dc00,
    0x000ff000,0xf98007c8,0xf9800db2,0x305f9802,0x03ee009f,0x80001f50,
    0x1f7004f9,0x0073fee0,0xf5002f98,0x0bf20243,0x000fffc0,0x803dfbf0,
    0x3ea005fb,0x0fd40001,0x01fff800,0x1cefc980,0x00bf3000,0x80903ff7,
    0x007f02fc,0x007c9760,0x8001fc00,0x2667ea5d,0x99999999,0xa803f999,
    0x003ff70f,0x5400007f,0xe800000f,0x3000df05,0x0003e65f,0x9d0001fa,
    0x3e7b6000,0x017cc002,0x2f982fb8,0xa803f500,0x7cc0000f,0x903f5002,
    0xf30001bf,0x007ea005,0xdf001fdc,0x8bf80001,0xd5309cfe,0x7d4001bf,
    0x0fd40001,0x000ef800,0x080e77d4,0x803fe600,0x4001fffd,0x05f303fb,
    0x0fb9f200,0x05f30000,0xffc9f200,0xffffffff,0x04ffffff,0x80020fa8,
    0x2a00003f,0xd800000f,0x20009f06,0x2000f73f,0x3e60007c,0xdff30002,
    0x005f3000,0x017cc27c,0x7d401fa8,0x17cc0000,0x7cc1fa80,0xfdc88004,
    0x0fd401cd,0x20027d40,0x3f80003f,0x3ffffff6,0x1fa8002f,0x00fd4000,
    0x88003f80,0x3bffee01,0x5f7fcc01,0xabfeca88,0xfa800cdf,0x000be604,
    0x003f53e4,0x000be600,0x557f73e4,0x55555555,0x50055555,0x9993001f,
    0x99999df9,0x7d400179,0x7c800000,0x3e0009f0,0x32000f73,0x01ee0007,
    0x0007fb00,0x36c005f3,0xfa8017cc,0x0007d401,0x5400be60,0x8003e41f,
    0x05fffffc,0x3e600fd4,0x003f8005,0xcb983f80,0x3ea0001a,0x0fd40001,
    0x0003f800,0x64c5f6c0,0x373e602f,0x30dfffff,0xf9805fff,0x0003f805,
    0x001fc4db,0x20007f00,0x0007e66d,0x001f5000,0xfffffff9,0x03ffffff,
    0x00007d40,0x06f82ec0,0x1f31f980,0x000fd000,0x360002f4,0x05f30007,
    0x17cc3dc0,0x5401fa80,0x7cc0000f,0xe83f5002,0x40000004,0x17e601fa,
    0x0001fc00,0x000001fc,0x500007ea,0x0fe0003f,0x707a8000,0x44be601d,
    0x200009bb,0x0bd005f9,0x1f913e00,0x017a0000,0x09f127c0,0x0fa80000,
    0x00000000,0x000001f5,0x001fe09f,0x002f83ee,0xf10007f8,0x1fcc0005,
    0x002f9800,0x00be61f2,0x3ea00fd4,0x17cc0000,0x2f41fa80,0x2a000000,
    0x01dd100f,0x0000fe00,0x000000fe,0xa80003f5,0x07f0001f,0x8826c000,
    0x005f302f,0x00ee8800,0xb8003f70,0x002fc41f,0x03f70ec4,0x7e41fb80,
    0x2a000000,0x0000000f,0x0001f500,0xff02fa80,0x23744007,0x3fe4006d,
    0x000fb800,0x98001f60,0x6e80e42f,0xf5002f98,0x000fa803,0xa8017cc0,
    0xb003e41f,0x07d80003,0x40001dd1,0x3f80003f,0x7d400000,0x0fd40001,
    0x0003f800,0x03d807a0,0x400005f3,0x74000ee8,0x09f3000e,0xf9800fee,
    0x8007740f,0x06e884f9,0xfa800880,0x37ee0000,0x07d40001,0x74003d30,
    0x007ffe06,0x0fea0fe4,0x003ffcc0,0x260006d8,0x3e60003f,0x2fc42742,
    0xfa8017cc,0x0017cc01,0x5400be60,0x8027d41f,0x3e20003f,0xb803fb05,
    0x0000fe01,0x000000fe,0xa80003f5,0x07f0001f,0xd01ec000,0x000be605,
    0x5c01fd80,0x200f7cc1,0x6fdc06fa,0x40f7d400,0x7d401ef9,0x0077e606,
    0x2a017f22,0x5c40000f,0x07d40005,0xb1013fa0,0x7ee7c03f,0xa81fe402,
    0x66fd404f,0x03f88007,0x0001f600,0xb87b85f3,0x002f981f,0x0bf003f5,
    0x0be60ea0,0x7ec0fd40,0x00fee203,0x6c0ff440,0x204e801f,0x3f80003f,
    0x7d400000,0x0fd40001,0x0003f800,0x07d41ae0,0x00002f98,0x09d003fb,
    0x22139fd3,0xc800dfda,0xb730abff,0x7f4c01bf,0xbfb5109c,0x9cfe9801,
    0x33ff2a60,0x000fa800,0x00b70a88,0xc800fa80,0xb988abef,0xfccb82ff,
    0x26139fb3,0x7dc03fea,0x9f9510ae,0x400f33f2,0xaa9800fa,0x0aadfbaa,
    0xbfb97100,0x5c467c45,0x005f305f,0x3ee007ea,0xf95310bd,0x005f30bf,
    0x3f6207ea,0xffdbaace,0xbaa9801e,0x2fc82ffd,0x1fc09f00,0xdfaa9800,
    0x00002aaa,0x20000fd4,0x7f0001fa,0x1ce80000,0x2f980faa,0x02fc8000,
    0x7fe409f0,0x003fffff,0x7ffffecc,0x3f2003ef,0x03ffffff,0x7ffffe40,
    0x5c41dfff,0xdfdccccc,0x00bccccc,0x003bffd1,0x37333326,0x0bcccccf,
    0x7ffffecc,0xfffd00ef,0x7ffffe47,0xfb5001ef,0x647dffff,0xb7006fff,
    0x3ffffe00,0x005fffff,0x8bfffff3,0xa84ffffb,0x303cdfdc,0x8019bfb9,
    0xfffffffb,0x7ee541de,0xfb9303cd,0xffd7019b,0x20039fff,0x0dfffff8,
    0xccccefa8,0x4fcccccc,0x9df99993,0x01799999,0x3ffffffe,0x5c4001ff,
    0xdfdccccc,0x10bccccc,0xfb999997,0x1799999b,0x3bf33326,0x0bcccccc,
    0x7f7ec400,0x00fc403f,0x333bea00,0xcccccccc,0x65cc404f,0x4c40001a,
    0x10000acb,0x00035973,0x00abca98,0x3fffffea,0xffffffff,0x4000801f,
    0xfffffffb,0x02ffffff,0x0002aea2,0x002b2a20,0x000aca80,0x33100000,
    0x03333333,0x0dd40000,0x6fffffd8,0x5fffff70,0x26f2ea00,0x3ffff600,
    0xffff706f,0x0019805f,0x90026620,0xffffffff,0x329fffff,0xffffffff,
    0x101fffff,0x13333333,0xffff5000,0xffffffff,0x3fea3fff,0xffffffff,
    0xf91fffff,0xffffffff,0x0003ffff,0x00002aa6,0xffffc800,0xffffffff,
    0x0000004f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00440000,0x00000220,0x00006662,0x88000800,
    0x18199999,0x9102c880,0x02200005,0x3376e200,0x65d4c002,0x4cc400aa,
    0x4c001999,0x00001cdc,0x00000ca8,0x000032a0,0x40000400,0x01c98000,
    0x10000393,0x08000333,0x99880000,0x00131000,0x000004c0,0x40000031,
    0x4c000998,0x0001abba,0x20055dcc,0xccccccca,0x01cccccc,0x3bfffae6,
    0xffd8550c,0x3e200001,0x00001fff,0xdfffb710,0xfffd0019,0x3ffc1fff,
    0x3203ff20,0x999300ff,0xdffeca83,0x7ff4400b,0x401effef,0xffffffe9,
    0xffe86acf,0x8800ffff,0x0fdbadfd,0x77edc000,0x5c00000f,0x0000fefd,
    0x005fd800,0x77fff6cc,0x3fa0170c,0x000dfd07,0x7fffffdc,0x322282ef,
    0x02cefffd,0x06ffe800,0xfffffb71,0x3faa001b,0x801cc0df,0x441effd9,
    0xffb8000b,0x02dfffff,0xfffffff5,0xffa87a3d,0xfffff52f,0x3bae01bf,
    0xeeefeeee,0xffa82eee,0xfffdbbdf,0x17ff46db,0x32a60000,0x9800001f,
    0xfecaceff,0x5554403f,0xfff30fca,0xb837d401,0x3fbaa06f,0x77dffb12,
    0x3a201ffb,0x17f541cf,0x221bffa8,0x440fffc9,0x00fcaaaa,0x04d80b88,
    0x7cc55400,0x55400000,0x00000f98,0x017ffcc0,0xbabcffc8,0x903faffd,
    0x017f60bf,0x556fff40,0x7d41dccb,0xbbdfffa8,0x0000dffd,0xf90dd7f5,
    0xf97559df,0xaefa805f,0x6fb9cffc,0xebbff980,0x00ffa9df,0x556fff40,
    0x6c42eccb,0x3aa61adf,0x36e23fdf,0x10adfcaf,0x54001df7,0x3df9000f,
    0x237fe4c0,0x00000fc9,0x00003f30,0xd100efb8,0x0fa8009f,0x0020176e,
    0x26be6001,0x6f980bfe,0x7400ff88,0x400ff80f,0xfa800ff9,0x03dc0000,
    0x001f3000,0x007cc000,0x7ffc0000,0x00cfb800,0x0407ffb1,0x7e400020,
    0xfefa8003,0x07bea01c,0x436d7a00,0x3fa601ef,0xf910aa01,0x2e600bff,
    0x077ffdc0,0x000ff200,0x3ee00bf6,0x3fff983f,0xa800fea0,0x05fb800f,
    0x1321bea0,0xddd50000,0x9ddddddf,0x00bf7000,0xfa800ff6,0x0000ba20,
    0xffdf9800,0x2e27d401,0x44f8802f,0x1fb002f9,0x0001f500,0x00002744,
    0x000001f3,0x000007cc,0x4c00dcc0,0x07fd004f,0xdf000000,0x0ffea000,
    0x20037c40,0x9f0db1fb,0x000df100,0x400006a2,0xdf0001a8,0x005f5000,
    0x7fcc1fe4,0x2006e803,0x37c400fa,0x3ea37400,0x6cc00001,0xeeeeefee,
    0x2fc4003e,0x4003f600,0x001b20fa,0xdff30000,0xbd1f2001,0x3e23e400,
    0x20091005,0x64c000fa,0x400004fd,0x000000f9,0x000003e6,0x01f70000,
    0x0000fea0,0x007f1000,0x50013ea0,0x93e2007f,0x7003e86d,0x0000001f,
    0xf8800000,0x02fc4003,0x3e60be20,0x001f7004,0x3f7003ea,0x2c897000,
    0x7cc00000,0x3f900001,0x004f9800,0x0006c1f5,0x3be60000,0xb87ea000,
    0xb03ee000,0xa800007f,0x75c4000f,0x7e44005f,0x0000f980,0x07cc0dd3,
    0x005f7000,0x20036c00,0xcca9803f,0x5f30001a,0x007ea000,0x36003f60,
    0x0021b60f,0x00002f98,0xacca9800,0x05f30001,0x8001fa80,0x002f980b,
    0x3ea003f5,0x0002ec00,0x55dcc000,0x307e6000,0xf1003597,0x01f60009,
    0x7c4007d4,0xff102fff,0x3e603fff,0x017c4002,0xfb01f700,0x001579bf,
    0x80003ea0,0xfd5006d8,0x0003e607,0xf9807fee,0x5fe98000,0x03e40000,
    0xffda8060,0x01efffff,0x00017cc0,0x0fea0005,0x06d87f30,0xf897c400,
    0xff102fff,0x6d403fff,0xefffffff,0x017cc001,0x00001ee0,0x3ea005f3,
    0x801f5001,0xa800003f,0xfff52fff,0x3001bfff,0x3fffea3f,0x3ea00dff,
    0x01f30000,0x2e001f50,0x32e02fdc,0x5f301fdc,0x002f8800,0xec981b60,
    0x00cfffff,0x00003ea0,0x7ec403f3,0x003e601e,0x400dfe98,0x7dc000f9,
    0x7fffcc2f,0xffffffff,0x0007ee1f,0x86b3bea0,0x2601fea8,0x002fffff,
    0x5f880000,0x036c3740,0xcb83ee00,0x332e02fd,0x9df501fd,0x0ff54435,
    0xffffff70,0x7fffffff,0x400006d8,0x3f5002f9,0x9803ea00,0x8800001f,
    0xadfcafdb,0x801df710,0x0acfcaf9,0x3e40df73,0x200be000,0x7c4000fa,
    0x203f3002,0x3f8002f9,0x005f5000,0x02efda98,0x1ba61f50,0x2a05f100,
    0x0f9803ff,0x005df900,0x74c003e6,0xcdf980df,0xdccccccc,0x07fa20ef,
    0x22002000,0x6e65c07f,0x0000002f,0x17d40db0,0xd100036c,0x400be20b,
    0x200201f9,0x32e207f8,0xccccdfdc,0x02ec1bcc,0x00be6000,0xfa800fd4,
    0x0001ee00,0x07fff300,0x3e601fd4,0x13ea02ff,0x3a00036c,0x000fa804,
    0xf98017c4,0x0005f301,0xbf30007f,0x1fd88000,0xefdafa80,0x0d900982,
    0x2001dfb1,0x7f5400f9,0x007cc004,0xf30177e4,0x103fd005,0x00015bfd,
    0x001fb800,0x000005f3,0x7c41ee00,0x2000db05,0x5f101ffb,0x0007e600,
    0x4c007ee0,0x03e4002f,0x00be6000,0xfa800fd4,0x0001f200,0x007ff300,
    0x2ff980dd,0x09d07e80,0xa806d800,0x17c4000f,0xf301f980,0x007f0005,
    0x0080ef88,0xfa804e80,0x37f203ff,0x5c1fdb9b,0x2a0cc3ff,0x1aabfbaa,
    0x0987bf22,0x57f75550,0x44fe9835,0x200fcc19,0x7f5401fd,0x0002cdff,
    0x9801fc40,0x7fec002f,0xffffffff,0xffffffff,0x3603f907,0x6ff54006,
    0x400be200,0x880001f9,0x05f3003f,0x0000fa80,0x5400be60,0x01f5001f,
    0x000003e4,0x7dc013e6,0x400fe600,0x004f80fb,0x7d403640,0x017c4000,
    0x5f301f98,0x4007f000,0x2f880ee8,0x2a036c00,0xb8800dff,0x3a20bdec,
    0x07fe40df,0x99999997,0x6ccffea5,0x65c2dfde,0x12cccccc,0xffb83df9,
    0x0bf20240,0xffdca880,0xf100003f,0x00be6007,0x99999db0,0x99999999,
    0xf10fd999,0x98036c09,0xf8802eff,0x003f3002,0x2007f100,0x7c4002f9,
    0x3e600004,0x003f5002,0x07c803ea,0xccccccb8,0x05f300cc,0xf9807ea0,
    0xb03f5001,0x05d8000b,0x44000fa8,0x03f3002f,0x3e000be6,0x01dd1003,
    0xbd0017e2,0x03fffa60,0x17fdc000,0x0007dfcc,0x3e23dfb1,0x20007d43,
    0xbf984ffa,0x0fee000f,0x13f26000,0xdddd9710,0x2007f79b,0x36c002f9,
    0x6c3dc000,0x401b600f,0x3e2002fb,0x803f3002,0xdeeeecb8,0xf3003fbc,
    0x03f90005,0x7cc1fb80,0x003f5002,0x0fb803ea,0x7fffff40,0x5f301fff,
    0x9807ea00,0x03f5001f,0x3f8000d9,0x4000fa80,0x3f3002f8,0x2000be60,
    0x0ef9803f,0x400ffe20,0xaefd82fc,0x4c0000fa,0x39d00dfe,0x3fee001f,
    0x05c826c3,0x203dfb10,0x5000f8ce,0xb800009f,0xfffc884f,0xfffeecde,
    0x005f3003,0xd80007c8,0x3601fcc6,0x001f7006,0xf98017c4,0xdfff9101,
    0x7fffdd9b,0x000be600,0x74c017f4,0x002f986f,0x3ea003f5,0x0007e600,
    0x0be6036c,0xf300fd40,0x207ea003,0x3e20007b,0x000fa801,0xf98017c4,
    0x0005f301,0x0ef9805f,0x577ffc40,0x0ffae609,0x001f51ec,0x90177e40,
    0xb1003e6d,0x6b8001bf,0x203ffb80,0x800f88eb,0x000005f9,0x03bfd0db,
    0xf3003f98,0x00fa8005,0x1ba27400,0x3cc01b60,0x400be200,0x3bfd01f9,
    0x3003f980,0x3a20005f,0x32a61adf,0x7ee544ff,0xfb9303cd,0x0fa8019b,
    0x4000be20,0x017cc06d,0x3e601fa8,0x503f5001,0x1ee0005f,0x20007d40,
    0x3f3002f8,0x1000be60,0x077cc05f,0xffea9e80,0x02efffff,0x20003ea0,
    0x7cc04fe9,0x7dc01f31,0x3e88003f,0x8037f620,0x801f12f9,0x018805f9,
    0x3f20fa80,0x007f1002,0xf3000be6,0x1fc40007,0x3ffffffe,0x0fffffff,
    0x17c40000,0xfc81f980,0x007f1002,0x70000be6,0xffffffff,0xffffb019,
    0x3ffee0df,0x07d402ff,0x6c0017e0,0x8017cc06,0x07e601fa,0x6e80fd40,
    0x200df000,0x7c4000fa,0x203f3002,0x7c4002f9,0x001df501,0x55fdd4c0,
    0x00fa8001,0x400f7d40,0x6c03e64e,0xe88000df,0x00ffe204,0x200f893a,
    0x7b800ee8,0x3e1f9800,0x00fe2004,0x740017cc,0x1f90000f,0xaaaaaaa8,
    0x02afeaaa,0x02f88000,0x09f03f30,0x9801fc40,0x7300002f,0x0001357f,
    0x1f500000,0x8003fa80,0x017cc06d,0x3e601fa8,0x203f5001,0x7dc003f9,
    0x001f5002,0xf5002f88,0x000be603,0x1df501f5,0x01e20000,0x8001f500,
    0x98d90039,0x0005700f,0x171013a6,0x7c41d700,0x001dd100,0xf70007f2,
    0x98007e61,0x05f3003f,0x0009f300,0x6c0007f5,0x22000006,0x83f5002f,
    0x3e6001f9,0x005f3003,0x0003c400,0x7d400000,0x000fd800,0x0be6036c,
    0xf300fd40,0x807ea003,0xbf5001fd,0x0007d400,0x7fdc02fc,0x8005f301,
    0x005fb87d,0x00f7c400,0x0000fa80,0x5559f300,0x000015f9,0x00001fd4,
    0xf75559f1,0x803fb017,0x400bf91b,0x013e26f8,0x9801ffd4,0x5f70002f,
    0x002f4400,0x4cc01b60,0x402fc000,0x27c41ffb,0x003ffa80,0x400005f3,
    0x80001ef8,0x20002ef9,0xff8800fa,0x301b6003,0x07ea005f,0xf5001f98,
    0x01ff4403,0xa8003bea,0x0fd8000f,0x407fff60,0x3e2002f9,0x1002fdc4,
    0x0006a800,0x000001f5,0x37333326,0x700001cf,0x8800003f,0xdfdccccc,
    0x7400fec1,0x1009ff94,0x00fe83fd,0x801fffe4,0x360002f9,0x0efb804f,
    0x4036c000,0x2003fffe,0x3ff600fd,0x400fe81f,0x3003fffc,0x5000005f,
    0x3540000d,0x666664c0,0xbccccdfd,0x4df7e440,0x17ff2620,0x2a005f30,
    0x007e601f,0x7ec00fd4,0xdfb710ad,0x00fa8001,0x88bef980,0xdf9bfeca,
    0x7bfb710c,0xea856441,0x8013ee0f,0x46ee00f9,0x1f50006a,0x98000000,
    0xd880000f,0x0000000e,0x05f903e2,0x7d7e53e0,0x3ee621bf,0x1bef982f,
    0xf19fd951,0x7cc0179b,0x77dc0002,0x9fb5309b,0x01b60000,0x00fffff3,
    0x5445f7cc,0xcdf9bfec,0x446fbe60,0xdf8cfeca,0x0be600bc,0x546ee000,
    0xa8540006,0xffffb806,0xffffffff,0xfffd502f,0x039fffff,0x1e6fee54,
    0x0cdfdc98,0x0737f726,0x0e6fee4c,0x3ffffee0,0x32e203ff,0xcdfdcccc,
    0x200bcccc,0xeffffffa,0x2a5fff30,0x223fffff,0x41effffe,0xccccccfe,
    0x1fdccccc,0x0bbff660,0xcccccb88,0xcccccdfd,0x9800000b,0x7440000f,
    0x0000b305,0xefa83e20,0xcccccccc,0x22b54fcc,0xfffffffd,0x3ffaa00d,
    0xf11effff,0x664c5fff,0x1cccdfdc,0xfffe8800,0x0002efff,0x33fb3326,
    0x9ffff103,0xffffa800,0xfff30eff,0xffffea85,0xfff11eff,0x6e66545f,
    0xccccccdf,0xdffb3003,0xffd80005,0x0000002e,0x4d5e54c0,0xffffd800,
    0xffff706f,0x7fffe45f,0xffffb04f,0x32a2009f,0xfffa802b,0xffffffff,
    0x4401ffff,0x00009bca,0xd02cb980,0xffffffff,0x03ffffff,0x3fea0020,
    0xffffffff,0x001fffff,0x3fffee00,0x3fe60001,0x07ffffff,0x7ffd4000,
    0xfffff92f,0xffffffff,0x5e5cc409,0x32ea000a,0xffc8001b,0x5fffffff,
    0x2ee62000,0xfb80000a,0x00efffff,0x20005971,0x0009bca8,0x00379750,
    0xffffffd0,0x1dffffff,0x00000800,0x00000004,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x00001999,0x98000400,0x4c000199,0xcccccccc,
    0xcccccccc,0x4ccc43cc,0x40000199,0x04000000,0x00000000,0x333332a0,
    0x0001cccc,0x310000b1,0x01100000,0x33332e00,0x501bcccc,0x39999999,
    0xccccccb8,0x00a01ccc,0xcccca800,0x002ccccc,0x002aeea2,0x50000188,
    0x99999999,0x81e44039,0x122003c8,0x33320000,0xcccccccc,0x3333224c,
    0x664c0ccc,0x6644cccc,0x65c003cc,0x2a0004cc,0x0001ffff,0xffd97100,
    0xf50059bf,0x40003fff,0x89000029,0x0ffffffe,0x3f6e2000,0x9b00acef,
    0xffecb880,0xe8802cdf,0x3f602fff,0xff001fff,0xffffffff,0x03ea000b,
    0x77fecc00,0x50005c41,0x0017dffd,0x3fffffe6,0xd704ffff,0x85dddfdd,
    0xefeeeeec,0x01f502ee,0x3fffa000,0x06ffffff,0xfffffe98,0x3f2202ff,
    0x000b82ef,0xffffffff,0x7fdc0bff,0x001ffc81,0x400001f5,0xeeeeeed8,
    0x30deeeef,0x1ddddfdd,0xeffeeea8,0xfffdb10d,0x3ffe2001,0xbfd500de,
    0x03f95303,0x9df50000,0xbfb75137,0x1fca9801,0x000a6000,0x2aaa2240,
    0x50000fca,0xfd959dff,0x540bd03f,0xba89bcef,0x65400dfd,0x332602fd,
    0x000001fd,0x001f5000,0xfd77ff30,0x001ff53b,0x3f2b3fee,0x0000002f,
    0x54000fa8,0x00fa801f,0x40000000,0x2a61befc,0x7fc40dfe,0xeaaefeab,
    0x0000001f,0x3ea03fe6,0x003ea007,0x1fc40000,0x2001fc40,0x3efe607c,
    0x1f7f9004,0x37fffc40,0x00003f30,0xd8803fc8,0x01fa802f,0x0000a600,
    0x007d4024,0x8806fe40,0x40fe21fe,0xfd8803fc,0x002f8802,0x000003f3,
    0x003ea000,0xff702e60,0x3e6001df,0x007f440d,0x3ea00000,0x00fd4000,
    0x000007d4,0x09f90000,0x0b88bf70,0x00f7ffd4,0x00400000,0x01f50002,
    0x3e200000,0x003f8803,0x95f303e4,0xf59f100f,0x7fffd401,0x003f300f,
    0x00077400,0x3f5013ea,0x0014c000,0x0fa80480,0x402fdc00,0x0ff99fe8,
    0x54000ee8,0x017c404f,0x00001f98,0x01f50000,0x01a88000,0x1700fec0,
    0xa8000000,0x0fd4000f,0x00007d40,0x4f980000,0x400bea00,0x000002a8,
    0x20000000,0x000000fa,0xf1007f10,0x207c8007,0x403f8af9,0x200fa8fb,
    0x206ffff8,0x900001f9,0x0fcc000d,0x40003f50,0x09000029,0x44001f50,
    0x7ff4005f,0x5106c82f,0x03f30435,0xf98017c4,0x00000001,0x00001f50,
    0x017e0000,0x59953000,0x00fa8003,0x5400fd40,0x4400000f,0xe800abba,
    0x00fc8006,0x2e600000,0x000001ac,0x0003ea00,0x01fc4000,0x32001fc4,
    0x36cbe607,0x007d57a0,0x98077f66,0xf980001f,0x3fffffa1,0x540d902d,
    0x0a60001f,0x54024000,0x03f2000f,0x303df300,0xd79d903f,0x206c8d3d,
    0x3f3002f8,0x05ffff10,0x07ffffe2,0x0001f500,0x002aee60,0x500007f0,
    0xfffffffb,0x03ea003d,0x3a03f500,0xffffffff,0x802fffff,0xffffffe9,
    0x005f302f,0x00005f30,0xfffff900,0x000007ff,0xffffff10,0xffffffff,
    0x7f100007,0x8007f100,0x54be607c,0x2a3f502f,0x2600000f,0x055dcc1f,
    0x21d41f40,0x209d05b8,0x260001fa,0x00900002,0x3e6001f5,0x20db0004,
    0xe883c83e,0x5f104e86,0x5c07e600,0x32e02fdc,0x54001fdc,0xfff5000f,
    0x3ffffea5,0x09f000df,0xacefa800,0x007faa21,0xf50003ea,0x3f732a03,
    0xcccccccd,0x1befc803,0x5037faa6,0x3333333f,0xf3333333,0xfffffd87,
    0x7f4c001f,0xbfb510ac,0x7fffec01,0x997001ff,0x99999bfb,0x00003799,
    0x7f1007f1,0x2607c800,0x36c17a2f,0x400001f5,0xffff71f9,0x83cc0bff,
    0xf303903a,0x3fa07ea0,0x14c6ffff,0xa8048000,0x01f7000f,0xf303e600,
    0x434c0b30,0x005f1079,0x5f1007e6,0x0007e600,0x2e2001f5,0x0adfcafd,
    0xb001df71,0x0010000d,0x1f500ff1,0x801fa800,0x640000fa,0x45fb804f,
    0xfffffffc,0xffffffff,0x66664c4f,0x3e2001fd,0x037d401e,0x3fb99993,
    0x001f5000,0x0fe20000,0x9000fe20,0xf717cc0f,0x3ea3f881,0x3e600000,
    0x730adfc9,0x5416e0bf,0x1f109503,0xfb503f50,0x0298599f,0xf5009000,
    0x001b2001,0x42dc2f88,0x7c40c01d,0x3002f880,0x02f8803f,0xff983f30,
    0xffffffff,0x87ffffff,0x2a03fff9,0x00fb803f,0x3f700000,0x4000fa80,
    0x0fa801fa,0x013e6000,0x2fee2fa8,0xaaaaaaaa,0x02aaaaaa,0x3a001f98,
    0x09f3000f,0x4000fd40,0x000000fa,0xf1007f10,0x207c8007,0x3227c2f9,
    0x00007d47,0x405fff30,0x504c83fa,0x17407a07,0x77d40fd4,0x0000a600,
    0x007d4024,0x7c0005d8,0x00342643,0x05f105d0,0xf1007e60,0x207e6005,
    0xcaaaaaaa,0xaaaaaabf,0x803ff982,0x02f8806e,0x7f100000,0x4000fa80,
    0x0fa801fa,0x001ba000,0x00fcc3f2,0x07e60000,0x20017dc0,0x3f5001fc,
    0x001f5000,0x0fe20000,0x9000fe20,0x2e17cc0f,0xfa89f10f,0x3e600000,
    0xe86f802f,0x6dcc7502,0x3ea0f603,0x2006fdc1,0x09000029,0x3e001f50,
    0x22ec0004,0x2000682e,0x002f883d,0x2f8803f3,0x8003f300,0x7cc000fa,
    0xb81f7004,0xffffffff,0x800001ff,0x07d403f8,0x2007ea00,0xf30000fa,
    0x25f30005,0x000004f8,0x5e800fcc,0x2009f000,0xfa8001fa,0x10000000,
    0x07f1007f,0x3e607c80,0x0fb9fc42,0x997007d4,0x02f98099,0x01f81f70,
    0x01fdddd5,0x21fa84c8,0x053004fc,0x2a012000,0x007f000f,0x40fc6d80,
    0x21320006,0x3f5002f8,0x3002f880,0x0fa8003f,0x8017cc00,0x5554c1fa,
    0x02aaafda,0xeeecb880,0x403fbcde,0x7d4000fa,0xfffffa81,0x04ffffff,
    0x4ccccfd4,0x99999999,0x003f23f9,0x01f98000,0x360007f0,0x003f5005,
    0x20001f50,0x0fe2001a,0x9000fe20,0x6c17cc0f,0x01f50bd6,0x2027fffc,
    0x3f5001f9,0x447503d8,0x5417404d,0x003fd89f,0x240000a6,0xe8007d40,
    0x22740005,0x0000e83d,0x2017e05d,0x7c401ffb,0x003f3002,0x4c000fa8,
    0x03f5002f,0x44000f90,0xecdefffc,0x5403fffe,0x0fd4000f,0xabfcaaa8,
    0x6400aaaa,0xffffffff,0xffffffff,0x2001ba24,0x01f98008,0x90002f98,
    0x007ea00f,0x40003ea0,0x0fe2005e,0x9000fe20,0x4c17cc0f,0x0fa81fdf,
    0x00dfff30,0x3ea003f3,0x83a82641,0x2a07e04b,0x4003feaf,0x09000029,
    0x36001f50,0x217c0006,0x0002c84c,0x803f603f,0x4401fffd,0x03f3002f,
    0x4000fa80,0x3f5002f9,0x4000f700,0x7cc01dfe,0x2607d403,0x2007ea00,
    0xf70000fa,0x55555557,0x55555555,0x8801df98,0x1f9805fc,0x0002f980,
    0x07ea00f9,0x0003ea00,0x7f1002f4,0x8007f100,0x40be607c,0x01f506fd,
    0x200bfff2,0x3f5001f9,0x207506a8,0xf507981d,0x4001dddf,0x09000029,
    0x32001f50,0x07e20007,0xa80d10d5,0xdf303cc0,0x7fd95117,0x7c407bf3,
    0x003f3002,0x4c000fa8,0x03f5002f,0x32000f90,0x07f1002f,0x02740fa8,
    0x1f5003f5,0x007e6000,0x39fd3000,0x67fe54c1,0x001f9800,0x1b60007f,
    0x4000fd40,0xbd0000fa,0x801fc400,0x0374004f,0x06a605f3,0xffe807d4,
    0x003f3005,0x03f107ea,0x321a2075,0xf11df505,0x00a6001d,0x7d402400,
    0x005f5000,0x07e21ee0,0x21720366,0x7ffd405c,0xff30efff,0x00be203d,
    0x2a000fcc,0x17cc000f,0xd801fa80,0x009f0006,0x3ea01fc4,0x1f702f40,
    0x0001f500,0x000013e2,0x7fffffe4,0x26001dff,0x00bd001f,0x7d4013e0,
    0x00fa8001,0x5400bd00,0x00b9001f,0x5f3027c4,0x203ea000,0x3000fff9,
    0x07ea003f,0xcedc83ae,0x1f52db82,0xef887ea0,0x00029800,0x01f50090,
    0x44003740,0x301d705f,0x507b979d,0x7951001f,0x402eb813,0x3f5002f8,
    0x000fa800,0xfa8017cc,0x8004e801,0x3e6001f9,0x3a07d403,0x5401f205,
    0x3f20000f,0x26000000,0x0000abef,0x3ee003f3,0x00fdc001,0xa8001fa8,
    0x0bd0000f,0xa8007e40,0x07f5000f,0xa80017cc,0x03ffb80f,0x54007e60,
    0x5549d01f,0xf11501aa,0x260fd407,0x014c00ef,0xfa804800,0x00fea000,
    0x27405f90,0x3e201510,0x0fa00003,0x7dc02fc0,0x07d4001f,0x400be600,
    0x17cc01fa,0x09f11880,0x500ffea0,0x3a05e81f,0x007f3006,0x40037440,
    0x00698008,0x4003f300,0x9f3000ee,0x000fd400,0xe8001fcc,0x05f8800e,
    0x22017e20,0x0be600ee,0x7407d400,0x0fcc006f,0xf101fa80,0x0bb10007,
    0xef981fa8,0x0000a600,0x007d4024,0x54007f60,0x01fc405f,0x0002ec40,
    0x36001f10,0x3fff600f,0x80008001,0x3f5002f9,0x36006e80,0xf9003fa5,
    0x0fa807ff,0x17d417e4,0x2a00df00,0x801df983,0x3c805fc8,0x03f30000,
    0x200f7cc0,0x7d4006fa,0x00df0001,0x02ffa92a,0x70003fa2,0x17f4407f,
    0x4000be60,0x17fc40fa,0x4007e600,0x3ba601fa,0x01bf5000,0xdf301fa8,
    0x0000a601,0x007d4024,0x700bfa20,0xdd3001df,0x037ea001,0x219b0000,
    0x17df302a,0xf37fd951,0x0000019b,0xf5002f98,0x8017d403,0x2fbe62f8,
    0x19fd9511,0x326179bf,0xb1ccdfdc,0x0df9117f,0x221dfb80,0x305ffca9,
    0x54c139fd,0xa800cffc,0x4c000625,0x7f4c001f,0xbfb5109c,0x01fa8001,
    0x237df700,0x45ffca98,0x730adfe8,0x2e0005fd,0xfd730aef,0x6fedc407,
    0x665c03cc,0x0fa0bdfd,0x4007e600,0x7ec401fa,0x7ed4409b,0x403f5003,
    0x02980ef9,0xf5009000,0xbfb10001,0x37f6e615,0x2ff62000,0x1fed4409,
    0xfe980000,0x3fea02ff,0xf30effff,0x666645ff,0xcccccccc,0x32a3cccc,
    0x9303cdfd,0x6cc19bfb,0xccccccff,0x40ffcccc,0xffffffea,0x5ffff11e,
    0x3ffffff2,0x3ffff63f,0xffb8000d,0x1defffff,0xfffffc80,0x4001dfff,
    0x2202fefd,0xfdcccccb,0x0bcccccd,0x3fffff20,0x32e203ff,0xcdfdcccc,
    0x400bcccc,0xfffffffb,0x3fee02df,0x000dffff,0x7ffff5c0,0x7fd401ef,
    0x100fffff,0x5fffffff,0x7ee54000,0xfb9702cd,0xfda8059b,0x0deffeff,
    0x0fee5c40,0xccefeb88,0x20000531,0x99999714,0x99999bfb,0xfffb8017,
    0x0003efff,0x3fbfff6a,0x00000def,0x51001980,0x26001379,0xffffffff,
    0xffffffff,0x3fffff67,0xfffff706,0x7ffffe45,0xffffffff,0x2f2ea00c,
    0x44000001,0xa80001bb,0x00009bcb,0x00157953,0xfa802880,0xffffffff,
    0x01ffffff,0x00d65cc4,0x7fffffd4,0xffffffff,0x7975001f,0xcb980013,
    0x4400001a,0x00001aca,0x20000000,0x06fffffe,0x0bfffffd,0x004d5440,
    0x03ffff30,0x3fffffe6,0x99999b33,0x99999999,0x3ea99999,0xffffffff,
    0x01ffffff,0x00379510,0x09aa8800,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x66644000,0xc984cccc,0x6643cccc,0x32204ccc,0x3322cccc,0x32204ccc,
    0xca82cccc,0x99703ccc,0x2a200799,0xcccccccb,0x642ccccc,0x2204cccc,
    0x642ccccc,0x440ccccc,0x4c4ccccc,0xcccccccc,0x664000cc,0x03cccccc,
    0xccccc980,0x800ccccc,0xccccccc8,0x00abcccc,0x33333322,0x01bccccc,
    0x99999910,0x99999999,0x6664c999,0x0ccccccc,0xccccc980,0x800ccccc,
    0xccccccc9,0x93000ccc,0x99999999,0x99991005,0x15999999,0x99999300,
    0x99999999,0x00ccccb8,0x33333322,0x6666440c,0x0acccccc,0x66664c00,
    0xcccccccc,0x9802cccc,0x4001acca,0xcccccccb,0x74401bcc,0x0deeefee,
    0x277ff754,0x817bffb6,0x24effee9,0x205eefed,0x84effee9,0x40deefec,
    0x04efeed8,0x77fffe44,0xeeeeeeff,0x7ff6c5fe,0x3fba605e,0x3fb624ef,
    0x774c1eee,0x3aa0defe,0xeeeeefee,0x3b62000e,0x0feffeee,0x77775400,
    0x01eeeeff,0xeefeee88,0xfffeeeee,0xdfddd102,0xfffddddd,0xeee8801b,
    0xeeeeeeef,0x2a7eeeee,0xeeffeeee,0xeea801ee,0xeeeeffee,0xdd513f61,
    0xddddffdd,0x3fff6003,0x0fffffff,0x777f74c0,0xefffeeee,0x3bbbea01,
    0xeeeeeeee,0x3ffbb60f,0x3bbba604,0x774c0eef,0xfeeeeeef,0xd5001eff,
    0xdffddfdd,0x9fdddddd,0x3ffff6a0,0xb001efff,0xdddddffd,0x3007fffd,
    0x13f2005f,0x26001fb0,0x00df103f,0x3e602fc4,0x803f5002,0x320acfe8,
    0xfd82f407,0x407f3000,0x3f5002f9,0x00007c80,0x01fc76c0,0x00027400,
    0x36600fcc,0x017cc03f,0x2003ff71,0x1ee002f9,0x40000bd0,0x1ffe605e,
    0x000017a0,0x80fe0000,0xf503feb9,0xf81f6003,0x0f7001ff,0xeb980fe0,
    0x8fcc003f,0x5427407c,0x2a21acef,0x1b6001fe,0x405fda88,0x3fd802f9,
    0xd005f880,0x004fa80d,0x2f9801dd,0x4403f500,0x80f902fe,0x00bf105e,
    0x05f301ba,0xf9007ea0,0x7c400000,0xd0000db3,0x3f300009,0x9807f600,
    0x0ee8802f,0x2002f980,0x002f407b,0x7440bd00,0x005e805f,0xf8000000,
    0x82fd8803,0x2fb801fa,0x401bb3e0,0x007f007b,0x5c005fb1,0x09d01f27,
    0x01fe2002,0xbf7006d8,0xb1017cc0,0x17dc005f,0x2e007f20,0x00fec02f,
    0xfa8017cc,0xc803fa01,0xf702f407,0x401fc805,0x3f5002f9,0x9999fc80,
    0xfb800019,0x80003f50,0xf980004e,0x40bf3001,0x9f3002f9,0x4005f300,
    0x002f407b,0x5b00bd00,0x0000bd00,0x07f00000,0x0fd436c0,0x7f017e60,
    0x0f7007f5,0x6d800fe0,0x07c97a00,0x2e000274,0x00db001f,0x2f980fdc,
    0x0003fd10,0x13e601fb,0xf700fd80,0xffffa807,0xffffffff,0x542fffff,
    0x203e403f,0x8077405e,0x2f9804f9,0xc803f500,0xffffffff,0x5e8000ce,
    0x3a00027c,0x1f980004,0xf981b600,0x20176002,0x1ee002f9,0x40000bd0,
    0x007dc05e,0x000002f4,0x001fc000,0x01fa89f3,0x4fe00774,0x03dc00fd,
    0x3e6003f8,0x323f8804,0x00027407,0x36c00fe2,0x7cc1ba00,0x001fe882,
    0x1ba09f10,0x981dd100,0xfdc8805f,0xcccccccd,0x40cdfdcc,0x407c806e,
    0x827cc04d,0x05f3006e,0xf9007ea0,0xb7555555,0x7cc005ff,0x20003e42,
    0xf980004e,0x981b6001,0x01b6002f,0x39800be6,0x00002f40,0x00fc40bd,
    0x6c0005e8,0x01ffffff,0xc8007f00,0xc803e60f,0xf13f801f,0xf007b809,
    0x00fc8007,0x80f90fd4,0x7c40004d,0x800db003,0x42f983f9,0x40000ef9,
    0x00fdc2fb,0xdd12fcc0,0x017cc001,0x3f881fa8,0x04407c80,0x3ee0fdc0,
    0x005f3001,0x0f9007ea,0x2003fd30,0x002f987c,0x00b713a0,0xf1001f98,
    0x8017cc07,0x2f9803f8,0xbd0003b0,0xbd000aa0,0x02f40000,0x33332600,
    0x7f0001fd,0x142f8800,0x3e009f30,0x7b807f23,0x88007f00,0x323e402f,
    0x71002047,0x79bdddd9,0x01b6007f,0x8be617a0,0x00000efa,0x013e21dd,
    0x3fb3fb80,0x002f9800,0x03f503f5,0x002f8f90,0x027ccdd0,0x2a005f30,
    0x803e401f,0x09f006e8,0x4e80017a,0x9800bfd3,0x0fe8801f,0x6400be60,
    0x82f9800f,0x5e8003f8,0x2004ffb8,0x3a00005e,0xf9800005,0x007f0001,
    0x3e2009f0,0xbd0fe006,0x3f803dc0,0x7404f800,0x00be3e44,0x37bfff22,
    0x03fffeec,0xd9000db0,0x3fee5f30,0x3e600000,0x80001db4,0x8002fdfd,
    0x3f5002f9,0xf9001f70,0xf30003f8,0xf3001ba9,0x007ea005,0x17cc00f9,
    0x7dc07ea0,0xfbbd0000,0x3f30005d,0x07bf2a60,0xe8805f30,0x05f3004f,
    0xbd0007f1,0x400dffb0,0x3a00005e,0xf9800005,0x007f0001,0x3f600bb0,
    0xf50fe000,0x7c01ee05,0x205d8003,0x3e3e42f8,0x01dfe803,0x6d801fcc,
    0xf987b800,0x02ffefca,0x3f7ee000,0x9fd00002,0x3ffe6000,0xffffffff,
    0x007c81ff,0x07fffff9,0x0fefe400,0x3fffe600,0xffffffff,0x003e401f,
    0x40db00fe,0xff0003f8,0x7cc0007f,0xffffffff,0xbf9802ff,0xfeca9999,
    0x3fe6003f,0x03ffffff,0xffa85e80,0x0017a002,0x00005e80,0xfd001f98,
    0xffffffff,0x4036c0df,0x1fc003fa,0x83dc07ec,0xfffffffe,0x1b606fff,
    0x7fe40fb8,0x7e403fff,0x007f1002,0x3ea001b6,0x8a7f7cc0,0x00000dfc,
    0x20000bfd,0x30005ff8,0x999999bf,0x903fb999,0x333f200d,0x32e003fc,
    0xccfffccc,0x6fcc03cc,0xcccccccc,0x3e401fdc,0xf8813e00,0x20036c03,
    0x0000efea,0x66666fcc,0x0dffedcc,0x3ffffe60,0x000bffff,0x66666fcc,
    0x5e8003fc,0x0bd00020,0x002f4000,0x800fcc00,0xccefcccb,0x1b603ccc,
    0xf000bf10,0xf709f307,0x3bf332e0,0x203ccccc,0x321b606d,0x403faaaf,
    0x0fe2004f,0x540036c0,0x41ffcc0f,0x500005fa,0x3600003f,0x98004fbf,
    0x03f5002f,0xf1f200f7,0x6665c007,0xccccdfdc,0x8017cc02,0x03e401fa,
    0x7dc05f50,0x400fd400,0x004fefd9,0x7001f980,0x33e601df,0x1ffbaaaa,
    0x882f9800,0x05e8003f,0x0017a000,0x00005e80,0xf0001f98,0x80bb0007,
    0x3f8000fe,0x07b81f90,0xbb0007f0,0x23e427c0,0x007e603f,0xdb003f98,
    0x981f5000,0x00bea03f,0x0007ea00,0x17e4bf20,0x400be600,0x01fa81fa,
    0x0005c7c8,0x20003ea0,0x3f5002f9,0x36007c80,0x3bbfa00f,0xfeeeeeee,
    0xe9ffe404,0x26072004,0x17e6001f,0xfe9817cc,0x817cc002,0x05e8002f,
    0x05e80720,0x05e80720,0x3e600720,0x007f0001,0x17dc09f0,0xf103f800,
    0x7f007b8b,0x2609f000,0x7feeeeef,0x09f1005c,0x400ffea0,0x86c8006d,
    0x07ec02f9,0x007ea000,0xfe89f500,0x00be6000,0x17c40fd4,0x00003e40,
    0x4c0007d4,0x03f5002f,0xfe8807c8,0x3bbbe602,0xeeeeeeee,0xe833e607,
    0x2613e004,0x07dc001f,0xfb1017cc,0x817cc005,0x00bd0001,0x00bd027c,
    0x00bd027c,0x0fcc027c,0x4003f800,0x09f302f8,0x407f05b8,0x401ee2fa,
    0x17c4003f,0xcccccfb8,0x0fe8007e,0x01fffe40,0x4e8006d8,0x7c402f98,
    0x0fd40005,0x10bf1000,0x17cc00df,0x9f01fa80,0x0100f900,0x7ee6665c,
    0x402ccccd,0x3f5002f9,0x95107c80,0x07b807ff,0xd000be60,0x4c27c009,
    0x17c4001f,0x7ec017cc,0x005f3000,0x017a05c8,0x017a04f8,0x017a04f8,
    0x1f9804f8,0x8007f000,0x06e880fa,0x807f07c8,0x7c01ee6e,0x807d4003,
    0x100f905e,0x511bef98,0x9bf19fd9,0x0036c017,0x0be60be2,0x80003ee0,
    0x3a0001fa,0x009f300f,0x7d400be6,0xc803f701,0x9702f807,0x99bfb999,
    0x2f980799,0xc803f500,0xffffffff,0x04e801df,0x3a002f40,0x2613e004,
    0x1fc4001f,0x7c4017cc,0x005f3006,0x017a06d8,0x017a04f8,0x017a04f8,
    0x1f9804f8,0x8007f000,0x003fb06e,0x300fe0f9,0x7c01ee7f,0x88374003,
    0xf00f903f,0xffffea85,0xfff11eff,0x0036c05f,0x0be607f2,0x80013e20,
    0xf90001fa,0x802fb803,0x3f5002f9,0x1f203740,0x54007f10,0x2f98000f,
    0xc803f500,0xabcccccf,0x003f3000,0x3a000fb8,0x2613e004,0x0fd4001f,
    0xfa8017cc,0x002f9803,0x00bd036c,0x00bd027c,0x00bd027c,0x0fcc027c,
    0x2003f800,0x03fa82fd,0x00fe0f90,0x401ee3f2,0x0bf6003f,0x07c807d4,
    0xcba81fc4,0x0037201b,0x2fd400db,0xfb002f98,0x00fd4000,0xd801fd40,
    0x017cc01f,0x3e601fa8,0x880f900d,0x03ea003f,0x400be600,0x03e401fa,
    0x8006c800,0x13a003f8,0x1f984f80,0x4c1fa200,0x03f6002f,0xd8005f30,
    0xf8017a06,0xf8017a04,0xf8017a04,0x001f9804,0x3f2007f0,0x2005f885,
    0x1007f07c,0x3e00f7bf,0x40bf9003,0x101f206c,0xf880007f,0x3006d800,
    0x0be601ff,0x80017cc0,0x7c4001fa,0x03ba2005,0xf5002f98,0x82ffa803,
    0x01fc407c,0x30001f50,0x07ea005f,0x20000f90,0x0db0003f,0x9f002740,
    0x22003f30,0x05f301fe,0x2602fc40,0x036c002f,0x027c00bd,0x027c00bd,
    0x027c00bd,0xf8000fcc,0x82fed403,0x1f2000fd,0xefb801fc,0xa807f007,
    0x027405fd,0x03f880f9,0xd803c400,0x077e4c06,0x337f72e2,0x6677403c,
    0xb9997101,0x207999bf,0x0bcdfec8,0x7dfb9930,0x66fee4c1,0x9bfb9703,
    0x77fec403,0xccccfecc,0x203fcccc,0xcdfdccc9,0x372a00bc,0x5c40bcdf,
    0x262cdfdc,0xccccfecc,0x6e4c00bc,0x2203ccdf,0x0bcfdccb,0x3bf33326,
    0xcccccccc,0xb9714fcc,0x999999bf,0x883ffd99,0x3ccdfdcb,0x10bcfb80,
    0x999bfb97,0x99999999,0x333322dd,0xccccccef,0x914fcccc,0x999df999,
    0xf9999999,0x3f333229,0xccccccce,0x9714fccc,0x9bfb9999,0x88179999,
    0xccccefcb,0x203fffdc,0xccccccef,0x27eccccc,0xbccefcb8,0x881ffa00,
    0xccccefcb,0x303fffdc,0x2617bf99,0xccccfecc,0x003fcccc,0x0fcadd80,
    0x3333fb2a,0x0dffeccc,0xffffff98,0x3fee00ff,0xffff304f,0x1fffffff,
    0xffffff50,0x3fffee05,0x3fff21ff,0x7f440eff,0xa804ffff,0xfffffedb,
    0x3fffffff,0x3ffffee0,0x3a02ffff,0x41ffffff,0x6ffffff9,0x3fffffee,
    0x5c01ffff,0x0effffff,0xffffff30,0x7fffdc5f,0xffffffff,0xf34fffff,
    0xffffffff,0x015bffff,0xfffffff3,0x5ffd001d,0x3fffffe6,0xffffffff,
    0xfff56fff,0xffffffff,0x29ffffff,0xfffffffa,0xffffffff,0xffff54ff,
    0xffffffff,0x2a9fffff,0xffffffff,0x1fffffff,0x7fffffcc,0x801cefff,
    0xffffffff,0x27ffffff,0xfffffff9,0x981fe601,0xffffffff,0x7dc01cef,
    0xff71ffff,0xffffffff,0x00007fff,0xfe839b51,0xffffffff,0x000000ad,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xccc88000,0x9501cccc,0x4c799999,
    0xcccccccc,0xcccccccc,0x33333264,0xcccccccc,0x332a4ccc,0x2204cccc,
    0x1ccccccc,0x99999993,0x40157999,0xcccccccb,0xcccccccc,0x3f6600cc,
    0x00003ace,0x00026288,0x00030000,0x20198000,0x00aacba9,0x01acb980,
    0x9953006a,0x54c00035,0x00001abb,0x26005dc4,0x0000001c,0x06600000,
    0x006b2e60,0x0abba880,0x005cc000,0x40000000,0x2e601ca8,0x00000001,
    0x36213333,0x02eeeeff,0xbdfdddd7,0x777777d4,0xeeeeefee,0xddf50fee,
    0xddfddddd,0x21fddddd,0x5eeefeeb,0x3fbbba60,0xfddd51ee,0xffdddddd,
    0x3fbb607f,0xeeeeeeef,0x00feeeee,0xdffbbff7,0xffb80000,0x00019fd0,
    0x001f5000,0x13597300,0xfe984fa8,0xacffffff,0x7fffe406,0x84e83fff,
    0xffffffda,0x3ea001ef,0x1effffff,0x1dfea83d,0x1bffff70,0x0efffea8,
    0x02ffff88,0x83fffff1,0x202fffe8,0xbb1ffffd,0x7ffffe40,0x3a6003ff,
    0x2fffffff,0x00bff000,0x07fffff6,0x7fffff70,0xfffffd70,0x77fff4c3,
    0xfffffd80,0xffff886f,0x3ffe3fff,0x0003e45f,0x01fa85f3,0x43ee01f5,
    0x01f501fa,0x05f303ee,0xf901f200,0x406fd980,0x07dc004e,0x07106fcc,
    0x77f54000,0x00fff221,0x01f50000,0x3fff2200,0xfa8bffff,0x0dffd40e,
    0x01fff931,0x22159fd3,0x9f10dfda,0x21acefa8,0x4401fea8,0x2a61adfd,
    0x3e23fdfe,0xdfb86fff,0x77c4bf50,0xb80efc8a,0x32e02fdc,0xdca81fdc,
    0x3732602f,0xfd307f1f,0x3f6a2159,0x5f7e400d,0x037faa61,0x2009fd00,
    0x00bcdfc9,0x0e7f65c4,0x7542bbe6,0xc8aff88f,0x7e64c0ef,0x99702cce,
    0x7f4379fd,0x003dc4ff,0x1fa83f30,0x3ee01f50,0x3ea03f50,0xbd01f700,
    0x9013e000,0x813ea00f,0x07dc004e,0x000007ec,0x202efd98,0x0002efd9,
    0x0001f500,0x22159fd5,0x80efffd9,0x7fcc00ff,0x200f7c40,0x81fb8efa,
    0x407f8800,0xffb802fd,0x3ffffea3,0x3e613e20,0x09f30db3,0xf98017c4,
    0x400be201,0x440ffdf9,0x37d401ef,0xf7009f90,0x0003000b,0x17a0009f,
    0xddbf1008,0x37409f30,0x3609f100,0x07d43fff,0x540fa800,0x201f501f,
    0x203f50fb,0x01f700fa,0xfa8001f7,0x9003e401,0x0013a01f,0x00bd01f7,
    0x7ff91000,0x0eff5400,0x03ea0000,0x803df300,0x2f982ffb,0xfe81fb00,
    0xbfdf3000,0x01fb8000,0x7e4005f5,0x1bfffe23,0x7e7dc0fb,0x2201f901,
    0x03f3002f,0xf98017c4,0x00fe80ad,0x9f309f30,0x0017d400,0x0036c000,
    0xfb0003f8,0x403f203f,0x3f7001fa,0x30bfff20,0x40fb603f,0x501fa87b,
    0x543ee01f,0x201f501f,0x03f880fb,0x3e4036c0,0x3a05f100,0x407d4004,
    0x5c00006d,0x70000cff,0x000019ff,0xf88003ea,0x6eef9806,0x91005f88,
    0x64002fb8,0xf880005f,0x4005f883,0x6fecc2f8,0xff00fe21,0x8827c40b,
    0x03f3002f,0xf98017c4,0x8005f701,0x003741fc,0x000007e4,0x1fec1ee0,
    0xa8000fcc,0x80fe205f,0x40bd005f,0x7c41fffb,0x906ff982,0x2a03f50d,
    0x2a1f700f,0x201f501f,0x00d900fb,0x3e401fc4,0x27413e00,0x7dc12200,
    0xffa80001,0xc880000d,0xa80004ff,0x07f6000f,0x7f31df30,0x20007fb0,
    0x09f0005e,0x507f1000,0x0170003f,0x3200fd40,0x882f403f,0x03f3002f,
    0xf98017c4,0x2000bd01,0x000be64f,0x00000be6,0xdff03f30,0x20001f70,
    0x02f403fa,0x2fa801f7,0x203ffea0,0x1fbfb83f,0x00e885d8,0x99a601f5,
    0x201f500f,0x00be607a,0x3e4007dc,0x3a07f100,0xd0007704,0x7f4c000b,
    0x8800001e,0x20002ffc,0x13e000fa,0x3ec1df30,0xabcdffd8,0x8001fc00,
    0x765c405d,0x3fbcdeee,0x000007b8,0xfb801f70,0x9999999a,0x005f106c,
    0x2f8807e6,0x3e03f300,0x54bb0003,0x9999999f,0xf9999999,0x44000003,
    0x07e7d43f,0x36e601b2,0x99bfccee,0x06d99999,0x0db013e2,0x9f07ff98,
    0xd07f1dd0,0x0fa80209,0x7d403020,0x0bd00200,0x3e4017a0,0x3a03f700,
    0x3000bb04,0xfd98003f,0x8000002e,0x8002efd9,0x5f3000fa,0x2e077cc0,
    0xffd9300f,0xf9819fff,0x20f90002,0xcdefffc8,0xd83fffee,0x90000006,
    0xffff500f,0x0fffffff,0x7cc00be2,0x400be201,0x02f981f9,0x7fe4f900,
    0xffffffff,0x14ffffff,0x99999999,0x99999999,0x1db17a07,0x2e04e87f,
    0xffecefff,0xffffffff,0x03e407ff,0xdff007f1,0x27f117a0,0x8004f85e,
    0x500000fa,0x7dc0001f,0x8017cc00,0x0df5007c,0x005d8274,0x88037ec4,
    0x00003ffc,0x1dfea800,0x333332e2,0xccccdfdc,0x403ea3cc,0x1f980ef9,
    0x3bf6a600,0x4000be62,0x03bfd07c,0x05d83f98,0x0f900000,0x55559f50,
    0x22055555,0x03f3002f,0xf98017c4,0x0002f981,0x555fdcf9,0xaaaaaaaa,
    0xff12aaaa,0xffffffff,0x0dffffff,0x9b69f1b2,0xdfd882f8,0x5559f701,
    0x80555555,0x01f903f9,0x1760bff0,0x3e1ee3f5,0x2aaaa203,0xaaaabfca,
    0x07d4000a,0x807f1000,0x01f2007c,0xfe803bee,0x05ffffff,0x0feffea0,
    0x6ffdcb2a,0x00000000,0x7f449ff7,0xffffffff,0x26ffffff,0x0ef980fa,
    0x20003f30,0x00fe1fd8,0x17e436c0,0x7c83f880,0xf5000000,0x003fb801,
    0x4c00be20,0x00be201f,0x03f80fcc,0x0fccdb00,0x00000000,0x8fd43ea0,
    0x503f30fa,0x02fa807f,0xf10db000,0x40ff6009,0x5f33e46c,0xff9017c4,
    0xffffffff,0xa8005fff,0x36c0000f,0x64009f10,0xecaaaaaf,0x77400dff,
    0x05fccccc,0x3f219f30,0xf912ffc0,0x0000007f,0x0006ff54,0x7cc003ea,
    0x7007fc42,0x7400041f,0x7c0017a4,0x22004f84,0x000fa83f,0x01f98000,
    0x10002fe4,0x07e6005f,0xf3002f88,0x40017a03,0x0013e24f,0x30000000,
    0x3f89b65f,0x201f20f7,0x500004fa,0x000fb85f,0xd1ee01b3,0x07e64f8b,
    0xf7333310,0x00033335,0x500003ea,0x007ea03f,0xffffffc8,0x9d001def,
    0x3e401760,0x02fa97a2,0x0005dfb1,0x0f7f4c00,0x000fa800,0x01fe893e,
    0x005f136c,0x007ee6d8,0x1f983f70,0x220fe600,0x2600004f,0x201fc40a,
    0x220007ff,0x03f5002f,0xfa8017c4,0x8003f701,0x007e41fb,0x00000000,
    0x5b61fd3e,0x801f505d,0x200006fa,0x0002f45e,0x0fe61f50,0x0007d4db,
    0x800007d4,0xf80000fa,0xc800dd04,0x0009999f,0x017609d0,0xd97d427c,
    0x77f4c00f,0x36200001,0x540002ef,0x23f2000f,0x7cc01fe8,0xd0017e24,
    0x3000ee8b,0x009f109f,0x7e40ffea,0xb0fdc001,0x07c87fff,0x300bebee,
    0x7dc02fc0,0x402fc01f,0x3ba01ffb,0x109f3000,0x011000dd,0x37600000,
    0x7cfd41fa,0x4405f104,0x00c02fff,0x03f51fb8,0xb8fcc000,0x7b87d40f,
    0x001f5000,0x0003ea00,0x0fe21f20,0x0000f900,0x80088274,0xf1fb02f9,
    0x6ff5400b,0x3f220000,0xf500003f,0x76fc4001,0x2374401f,0xf9003ff8,
    0x401ef985,0x03fa06fa,0x407fff90,0xfe9802fe,0x1ffffe66,0x25f309f1,
    0x07e980fc,0xffd803f6,0x007ec01f,0x4c03fffb,0x37d401ef,0x1003bf30,
    0x00000bf9,0x221b7ee0,0x3ba02fdf,0xeffff880,0x2007e980,0x0000db4f,
    0x10db2f88,0x4001f27f,0x500000fa,0xf300001f,0x4000fc85,0x3a00007c,
    0x27c40004,0x001fff88,0x000cffb8,0x00067fdc,0x8001f500,0x74c02ffb,
    0x77ffc41f,0x3fae609a,0x139fd303,0x8037f6a2,0x9511bef9,0x79bf19fd,
    0x1adfe881,0x313ff2a6,0xb81fffff,0x44bf51df,0x3df911ee,0x445f7cc0,
    0xdf9bfeca,0x17df300c,0xf37fd951,0x67f4c07b,0x1bfb5109,0x09cfe980,
    0x033ff2a6,0x80017e40,0xffb03ff9,0x45774401,0xeafcffa8,0x03df933f,
    0x017e7e40,0x4f9fc000,0x001b6bd0,0x800007d4,0xd00000fa,0xc8005f8b,
    0x13a00007,0xb81fe000,0x3220005f,0xfea803ff,0xa800000d,0x3fa2000f,
    0x95109cff,0x2a7a03df,0xfffffffe,0xfffc802e,0x5003ffff,0xdffffffd,
    0x0bfffe23,0x7fffffdc,0xffd00cff,0x3ffea09f,0x7ff4c0df,0xfa800cff,
    0x30efffff,0x7d405fff,0x30efffff,0xfc803fff,0x03ffffff,0x7ffffe40,
    0x4001dfff,0xf10005ff,0x01bea03f,0x3bffffa2,0xffff3698,0xff10009f,
    0x3e00000f,0x2f702f9b,0x1f50005e,0x03ea0000,0xa87d4000,0x07c8001f,
    0x0013a000,0x3a20fee0,0xd880006f,0xefe982ef,0x2a000001,0x3fd1000f,
    0xffffff91,0xba98009f,0x44001abc,0x0001acb9,0x00037975,0x26af2a60,
    0x401ca800,0x5cc00ba8,0xbca88001,0x54400009,0x800009bc,0x001acb98,
    0x055e54c0,0x005d7000,0x88000000,0x164c01bb,0x00000000,0x981f33a0,
    0x50004eaf,0x2a00001f,0xf100000f,0x64001b69,0x13a00007,0x8eff4000,
    0x2cdfbfea,0x2ff4c000,0x00005ff9,0x2001f500,0x65cc41fd,0x0000001a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3b760000,0x01fe7c05,0x0000fa80,0x00001f50,
    0x001fc7e4,0x200007c8,0x3200004e,0xf71fffff,0x2a0000bf,0x00000f25,
    0x2a004880,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfc800000,0x17fec03f,
    0xfdcccb80,0x8802cccc,0xccfdcccb,0x260003cc,0x26000fef,0xccccfecc,
    0xcca800bc,0x2cccccef,0x03773000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7dc00000,0x0ffd401f,0x7ffff440,0x805fffff,
    0xfffffffa,0x0000efff,0xf70017fa,0xffffffff,0xfffd003f,0x0bffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x37510000,
    0x00017510,0x00055dcc,0x20000000,0x000001a8,0x00000000,0x2a000ec0,
    0x00800804,0x804a8800,0x2e202dc9,0x65c00bdc,0x13100ccc,0x00131000,
    0x973000a0,0x3bbb6015,0x8a777744,0xcccccccc,0xcccccccc,0x555544cc,
    0xaaaaaaaa,0x81aaaaaa,0x5c002982,0x17301440,0x000ddc40,0x1ca80e54,
    0xddddddd7,0xdddddddd,0x44444443,0x88888888,0x08888888,0xfff88000,
    0xfff886ff,0xbb1006ff,0xffb9f4c0,0x5ffffb9f,0x413fffee,0xff52fffa,
    0x201bffff,0x017a00eb,0x43ffffd8,0x22efffd9,0xfffffff9,0x21ffffff,
    0x1ffffffe,0x0dfffff5,0x3ffffff6,0x543fd001,0x13ee1bcb,0x0bd00d90,
    0x7edc9d10,0x2f7a207e,0x77cc3fda,0x3e04ecab,0x7ecc5fff,0xb803dfff,
    0x002effff,0x7e400bf2,0xfe83ffff,0x7fffc4ff,0xffffff54,0xffffffff,
    0x7c1fffff,0xffffffff,0xffffffff,0x7dc3c46f,0x645fb004,0x7fec2fff,
    0xffffa83f,0x17fe0c03,0xfffbaffc,0xffffffff,0xff51ffff,0xffffffff,
    0xffffffff,0x0001ffff,0x059bfd70,0x00bbfb2e,0x7cc0bfa2,0xfdfb710f,
    0xf97f913b,0x103f9139,0x5bf95fb7,0x203bee21,0xdf701ff9,0xf9993001,
    0x4ce7fe47,0x99bf31fd,0xfb999999,0x6fe6541d,0x33ff623c,0x9999301c,
    0x3a2003fb,0xfffffebf,0x6c805fcd,0x2205fa80,0x3ccaa1fe,0x41f50bb0,
    0x980f981a,0x6dc1ffff,0x02fca9ac,0xf937dfd1,0xfff5009f,0xbdffd801,
    0x7fec3ffe,0x1fffec3f,0x03ee0000,0x33333333,0x33333333,0x3f20f103,
    0x88bfa205,0x3e66ffff,0x6fdc7fff,0xf705fc88,0xfd827ec3,0x55555533,
    0x55555555,0x2aaaa215,0xaaaaaaaa,0xaaaaaaaa,0x2200001a,0x2fd401fe,
    0x503fe880,0xbff303ff,0xbd09ffb0,0x01fffcc0,0x3fea07f5,0x001df901,
    0x04fd8bf8,0x200be639,0x05f101fe,0x20003ff3,0x3a2001fa,0xff710aef,
    0x401b200b,0x1fe885fa,0x02441e60,0x20fa007d,0x4005fffc,0x203fb06c,
    0x37e602fb,0xff300ef8,0x320ffa81,0x7fe42fff,0x5c00002f,0x8000000f,
    0xdfb81ef8,0x260ff4c0,0xf30fffff,0x3e61ffff,0x2e0dfb84,0x0040084f,
    0x00000000,0xd1000000,0x017ea03f,0xfa827fcc,0x20df302f,0x01f705fa,
    0x3a00ffe6,0x40bfea06,0x3e000efd,0xf3002fec,0x201fd803,0x077d42f8,
    0x003f5000,0x9f100ee8,0xa801b200,0x007fa25f,0x5f1000f3,0xfd03f500,
    0x999801ff,0x2fcc0fa8,0x77441be0,0x3f20bf30,0x7dc5fd05,0x7ffdc1ff,
    0x7dc00000,0x20000000,0x21df506a,0xffd01ef9,0x4fffe8bf,0xcff980e6,
    0x000004fe,0x00000000,0xd1000000,0x005fa83f,0x3ee0bff3,0x407e603f,
    0x01f501f9,0x7dc013e6,0x40ffee00,0xff001ffd,0x4048003f,0x17c402fc,
    0x80001bf7,0x3e6001fa,0x2ee3d401,0x12a23640,0x0ff4efd4,0x6c003cc0,
    0x07fb6e05,0x4c13ffe2,0xfffffffd,0x2e00fd40,0x5c1fd80f,0x902fd83f,
    0x07ffcc7f,0x0001ffea,0x00003ee0,0x0d51bb80,0x00dc974c,0x5d40b6e2,
    0xdec88001,0x00000002,0x00000000,0x7ec40000,0x2a009f71,0x9ff906ff,
    0xf301f980,0x4c03ea03,0x03f5002f,0xe883ffc8,0x0ef801ff,0x1fdc0000,
    0x4fc97c40,0x03f50000,0x2f803640,0x322fbff6,0x0effda8e,0x003fff50,
    0xdd8801e6,0x0bff2600,0x2603ffea,0xc999bdff,0x2007dc0f,0x817dc0fb,
    0x827e42fc,0x1ffe22fe,0x0001bfe6,0xeed83ee0,0xeeeeeeee,0x4eeeeeee,
    0x005dffb3,0x00000000,0x00000000,0x00000000,0x36000000,0xf5004fcf,
    0xbff901df,0x2603f300,0x201f501f,0x3f5002f9,0x109ffb00,0x3f805ffd,
    0x27d40000,0x6fdbf880,0x07ea0000,0x9d004e80,0xffffeb88,0x4401cfff,
    0x1e6006ff,0x2002f440,0x1ffe43f9,0x1f500fd8,0x3f404f98,0x1fd013ea,
    0x3ea07fd4,0x4437fc0f,0x800005ff,0x333320fb,0xcccccccc,0x83cccccc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7005fe80,0xffb01fff,
    0x407e600b,0x01f501f9,0x7d400be6,0x0bffd001,0x7c05fff3,0x3e600003,
    0x3ffe2005,0x80000dfe,0x17a001fa,0xf91027c0,0x3a2003bf,0xf3005fbf,
    0x0009f300,0x01fff1b2,0x07ec413a,0x4fa807f4,0x3e201be2,0x75effec6,
    0x04fe83ff,0x000009ff,0x000001f7,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0bfbf200,0x207ffea0,0xf3006ffd,0x5407e603,0x005f300f,
    0x3a2007ea,0xfff984ff,0x0000fe02,0x22002fcc,0x03ff70ef,0x001fa800,
    0x0fe201f6,0x001fdfb0,0x17ea3fd1,0x5f701e60,0xf335c000,0x857dc07f,
    0x409fffb9,0xfb51cff8,0x3000fc8d,0xffffc85f,0x205f903f,0x800002fc,
    0x000000fb,0x00000000,0x00000000,0x00000000,0x00000000,0x5fb3fc80,
    0x01dff500,0xf300bff9,0x5407e603,0x005f300f,0x3f6007ea,0x1fff884f,
    0x40001fc0,0x44000ee8,0x017f4c2f,0x4003f500,0x07ec04f9,0x0bf35f70,
    0x7d41fe88,0xdb03cc05,0x80621103,0x201bea2f,0xbcfffffd,0xffd887ff,
    0x00884fff,0x65cc0440,0x880a200b,0x91000002,0x00000000,0x00000000,
    0x00000000,0x00000000,0x90000000,0x803fc87f,0xfb80eff9,0x80fcc04f,
    0x01f501f9,0x7d400be6,0x41ffec01,0xf801ffe8,0x77440003,0x82f88000,
    0x50000fd8,0x3fe8003f,0x2604fd88,0x440fee5f,0x8bf501fe,0xaabfcaaa,
    0x55557f91,0x37fa29d5,0x0385fc9a,0x9884dd40,0x2aea6009,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fc81fec,0x705ff980,0x0fcc07ff,0x1f501f98,0x5400be60,0x0bff201f,
    0x4003bfa2,0x7ec0003f,0x7c40dc01,0x000df302,0xfb8007ea,0xffdbcefe,
    0x0ee881ff,0x0ff40fec,0xccb93ea0,0x952ccccc,0x59999999,0x02cedca8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x1fe402fd,0xa82ff440,0x03f303ff,0x07d407e6,
    0xf5002f98,0x40bfee03,0x3e000efd,0x07f60003,0x0be213a0,0xa8002fd8,
    0x2bf7001f,0x88adfeb8,0x40fdc1fe,0x001a85e8,0x00000035,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x400bf600,0xfe8804fb,0x305ff304,0x407e603f,0x05f300fa,
    0x3ea07ea0,0x01dfb01f,0x90003f80,0x213e005f,0x1be202f8,0x2007ea00,
    0x3a2005f8,0x01100c46,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x9dfd7000,
    0x3f32e059,0x7ec402df,0x223ff303,0x4c1cdfdc,0x67d40cdf,0x9bfb950b,
    0x37f72607,0x201df30c,0xcc9805fb,0xccccefcc,0xefa80bcc,0xcccccccc,
    0x332a4fcc,0xbf903cdf,0x6665c439,0xcccdfdcc,0x00060bcc,0x00000004,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x5fffffe8,0xbfffffd0,0xe8817200,
    0x7fffff52,0x542fff98,0xfffb2fff,0x3fee0dff,0x01b72fff,0xffc8026c,
    0xffffffff,0xffc81fff,0xffffffff,0x3ff64fff,0xf880efff,0x3ffea4ff,
    0xffffffff,0x0001ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_43_latin_ext_x[560]={ 0,9,4,3,4,3,4,8,11,5,0,2,5,3,
8,4,4,4,3,3,3,3,5,3,4,5,8,5,0,1,0,0,3,0,1,2,2,1,2,2,1,4,3,1,
2,0,0,0,3,1,1,3,2,1,0,0,1,1,3,0,0,0,4,1,8,2,0,3,2,2,3,2,1,3,
3,3,3,0,2,2,0,2,3,3,2,1,1,1,1,2,4,0,10,0,3,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,9,4,2,3,1,
10,2,5,0,0,0,0,3,0,-1,6,2,6,6,8,1,3,8,8,6,5,2,0,0,0,0,0,0,0,0,
0,0,0,2,1,1,1,1,4,4,4,4,-1,0,0,0,0,0,0,5,1,1,1,1,1,1,3,1,2,2,
2,2,2,2,0,3,2,2,2,2,3,3,3,3,2,2,2,2,2,2,2,2,2,1,1,1,1,2,0,2,
0,2,0,2,0,2,2,3,2,3,2,3,2,3,2,2,-1,2,1,2,1,2,1,2,1,2,1,2,2,2,
2,2,2,2,2,2,1,1,1,1,4,3,4,3,4,3,4,3,4,3,0,0,3,3,1,3,2,2,3,2,
3,2,3,2,3,1,3,0,2,0,2,0,2,0,2,2,0,2,0,2,0,2,0,0,1,3,1,3,1,3,
3,3,3,3,3,3,3,3,2,2,2,2,2,2,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,2,
1,3,4,3,4,3,4,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,3,4,4,4,
4,4,4,4,4,4,4,4,4,4,1,2,4,4,4,4,4,4,4,4,4,4,4,4,4,1,1,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,2,4,3,0,
2,1,1,1,1,1,1,1,1,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,0,2,0,0,1,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__courier_43_latin_ext_y[560]={ 31,7,8,6,5,7,11,7,7,7,7,10,25,19,
26,5,7,7,7,7,7,7,7,7,7,7,14,14,10,16,10,8,6,9,9,8,9,9,9,8,9,9,9,9,
9,9,9,8,9,8,9,8,9,9,9,9,9,9,9,7,5,7,7,39,6,14,7,14,7,14,7,14,7,6,
6,7,7,14,14,14,14,14,14,14,9,14,14,14,14,14,14,7,7,7,17,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,31,14,6,8,12,9,
7,7,8,8,6,14,19,19,8,4,3,8,7,7,6,14,7,16,30,7,6,14,7,7,7,14,1,1,1,3,
3,1,9,8,1,1,1,3,1,1,1,3,9,3,1,1,1,3,3,13,7,1,1,1,3,1,9,7,6,6,
6,8,8,5,14,14,6,6,6,8,6,6,6,8,7,8,6,6,6,8,8,11,13,6,6,6,8,6,7,8,
4,9,2,6,9,14,1,6,1,6,2,7,2,6,2,7,9,7,4,9,2,6,2,7,9,14,2,6,1,6,
2,6,2,7,8,5,1,1,9,7,3,8,4,9,2,6,9,6,2,14,9,6,1,6,9,7,14,1,0,9,
7,9,7,9,7,9,7,1,6,9,14,2,6,7,8,14,4,9,2,6,1,6,9,14,1,6,9,14,2,6,
1,6,1,6,8,14,2,6,9,9,2,7,9,9,3,8,4,9,2,6,0,5,1,6,9,14,1,6,1,6,
3,1,6,2,7,2,6,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,8,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,8,14,7,7,7,7,7,7,7,7,7,7,7,7,7,6,14,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,2,6,2,6,2,
6,2,6,1,4,1,1,1,2,1,1,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,-6,-1,1,6,1,6,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7, };
static unsigned short stb__courier_43_latin_ext_w[560]={ 0,5,14,17,15,17,15,6,7,7,15,19,9,17,
7,15,15,15,16,16,16,16,15,16,15,15,7,10,19,20,19,14,16,23,20,19,20,19,20,20,21,15,20,21,
19,23,22,19,18,20,22,17,19,21,23,23,21,20,16,7,15,7,15,24,7,19,21,18,21,18,18,20,20,17,
13,19,17,23,19,19,21,21,18,16,19,20,21,21,20,20,15,8,3,8,17,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,5,14,18,16,20,
3,19,12,23,13,19,21,17,23,25,11,19,10,11,7,20,17,7,7,10,13,19,23,24,23,14,23,23,23,23,
23,23,23,19,19,19,19,19,15,15,15,15,21,22,19,19,19,19,19,13,21,21,21,21,21,20,18,19,19,19,
19,19,19,19,23,18,18,18,18,18,17,17,17,17,18,19,19,19,19,19,19,19,19,20,20,20,20,20,21,20,
23,19,23,19,24,21,19,18,19,18,19,18,19,18,20,21,21,21,19,18,19,18,19,18,21,18,19,18,20,20,
20,20,20,20,20,20,21,20,21,21,15,17,15,17,15,17,15,17,15,17,23,19,20,14,21,19,19,19,17,19,
17,19,17,19,17,20,17,22,19,22,19,22,19,21,19,17,19,19,19,19,19,19,23,23,22,18,22,18,22,18,
17,16,17,16,17,16,17,16,19,19,19,19,19,19,21,20,21,20,21,20,21,20,21,20,21,21,23,21,20,20,
20,16,15,16,15,16,15,18,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,21,20,20,17,20,20,20,
20,20,20,20,20,20,20,20,20,20,22,20,20,20,20,20,20,20,20,20,20,20,20,20,20,22,21,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,23,19,15,17,19,
19,21,20,21,20,21,20,21,20,21,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,23,19,23,23,21,19,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20, };
static unsigned short stb__courier_43_latin_ext_h[560]={ 0,25,11,28,30,25,21,12,29,29,15,20,12,3,
6,30,25,24,24,25,24,25,25,25,25,25,18,21,20,8,20,24,28,22,22,24,22,22,22,24,22,22,23,22,
22,22,22,24,22,28,22,24,22,23,22,22,22,22,22,29,30,29,11,3,7,18,25,18,25,18,24,25,24,25,
33,24,24,17,17,18,25,25,17,18,23,18,17,18,17,25,17,29,29,29,6,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,0,25,25,23,16,22,
29,27,4,24,12,17,11,3,24,3,11,23,13,13,7,25,27,6,8,13,12,17,24,24,24,25,30,30,30,28,
28,30,22,30,30,30,30,28,30,30,30,28,22,28,31,31,31,29,29,14,26,31,31,31,29,30,22,25,26,26,
26,24,24,27,18,24,26,26,26,24,25,25,25,23,25,23,26,26,26,24,24,18,20,26,26,26,24,33,32,31,
27,23,29,26,27,22,31,26,31,26,30,25,30,26,29,25,22,25,27,23,29,26,29,25,27,23,29,26,31,33,
30,33,30,32,30,34,30,30,22,24,28,23,27,22,29,25,28,31,29,17,23,33,31,33,29,31,17,30,31,29,
31,22,24,22,24,22,24,30,25,29,24,29,25,24,24,25,28,23,30,26,31,26,22,18,30,25,29,24,29,25,
31,26,31,26,30,24,30,26,31,31,29,25,22,23,29,24,28,23,30,26,32,27,31,26,28,23,30,26,30,33,
28,30,25,29,24,29,25,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,28,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,18,24,24,24,24,24,24,24,24,24,24,24,24,24,26,18,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,29,26,29,25,30,
26,30,26,31,28,31,31,31,30,31,31,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,37,33,30,26,32,27,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24, };
static unsigned short stb__courier_43_latin_ext_s[560]={ 511,500,326,237,83,325,129,504,393,504,196,
185,260,455,416,42,393,496,145,250,365,1,197,62,409,323,302,499,145,363,165,
382,116,174,219,400,491,263,108,1,133,496,432,1,323,475,400,66,89,340,240,
286,45,453,65,1,44,23,383,306,495,499,298,473,392,263,18,283,425,397,438,
447,1,270,46,46,87,42,66,377,248,282,106,225,412,334,482,436,1,79,125,
495,347,338,424,66,66,66,66,66,66,66,66,66,66,66,66,66,66,66,66,
66,66,66,66,66,66,66,66,66,66,66,66,66,66,66,66,66,511,504,267,
235,179,112,507,1,442,128,270,22,341,455,22,46,314,195,237,248,400,343,442,
408,384,226,284,86,246,221,197,180,157,455,410,273,177,331,445,479,21,63,99,
80,223,257,294,42,361,154,1,437,305,82,102,212,428,126,104,60,371,21,155,
100,291,210,271,418,304,480,458,457,129,390,409,440,375,357,339,394,304,215,97,
137,157,380,420,416,205,189,168,491,104,60,221,21,418,254,314,450,21,469,475,
371,169,331,181,231,1,252,21,468,423,40,398,318,475,87,417,490,46,337,1,
68,416,178,310,122,273,265,136,25,367,389,66,44,201,356,361,343,401,213,100,
42,459,161,274,143,148,163,437,265,141,1,325,351,457,303,86,283,459,198,179,
461,120,229,476,183,160,22,125,195,217,374,484,117,245,177,88,310,438,229,160,
477,206,306,207,80,189,39,239,162,396,22,285,225,252,140,25,298,138,397,58,
174,201,470,199,377,82,350,297,152,343,230,434,101,319,119,213,289,270,272,364,
324,66,66,66,66,66,66,66,66,66,66,66,66,66,66,66,343,66,66,255,
66,66,66,66,66,66,66,66,66,66,66,66,66,105,242,66,66,66,66,66,
66,66,66,66,66,66,66,66,106,355,66,66,66,66,66,66,66,66,66,66,
66,66,66,66,66,66,66,66,66,66,66,66,66,66,66,66,66,66,58,148,
122,288,376,311,41,1,308,133,286,351,394,355,372,330,66,66,66,66,66,66,
66,66,66,66,66,66,66,66,66,66,66,66,66,66,66,66,66,66,66,66,
66,66,66,1,81,414,56,243,460,66,66,66,66,66,66,66,66,66,66,66,
66,66,66,66,66,66,66,66,66,66,66,66,66,66,66,66,66,66,66,66,
66,66,66,66,66,66,66,66,66,66,66,66,66,66,66,66,66,66,66,66,
66,66,66,66,66,66,66,66,66,66,66,66,66,66,66,66,66,66,66,66,
66,66,66,66,66,66,66,66,66, };
static unsigned short stb__courier_43_latin_ext_t[560]={ 1,132,340,132,71,218,317,317,102,71,340,
317,340,340,340,102,191,218,244,191,244,218,191,218,191,191,317,269,317,340,317,
244,132,294,294,218,294,294,317,244,294,244,269,294,294,269,294,244,317,132,294,
244,317,269,317,317,294,294,294,102,1,39,340,340,340,317,218,317,191,317,244,
191,269,218,1,269,269,340,340,317,218,191,340,317,269,317,317,317,340,218,340,
102,102,102,340,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,
269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,1,101,191,
269,340,294,39,163,340,269,340,340,340,340,269,35,340,269,340,340,340,218,132,
340,340,340,340,340,244,244,244,218,71,39,39,132,132,71,294,39,71,71,71,
132,71,71,71,133,294,132,39,1,39,102,102,340,163,39,39,39,102,102,294,
218,163,163,163,244,244,132,317,244,163,163,163,218,191,191,191,269,191,269,191,
191,191,218,218,317,317,163,163,163,244,1,1,39,132,269,102,163,163,294,1,
163,39,163,71,191,71,163,133,191,294,218,132,269,102,163,102,191,163,269,133,
163,1,1,71,1,71,1,71,1,39,39,294,244,132,269,132,294,102,191,132,
39,102,340,269,1,39,1,102,39,340,102,39,102,1,294,244,294,218,294,244,
71,218,102,244,102,218,244,244,218,132,269,71,191,39,191,294,317,71,218,102,
218,102,218,39,191,39,191,71,244,71,191,39,39,102,218,317,269,102,244,132,
269,71,163,1,132,39,163,132,269,39,163,39,1,132,71,218,102,244,102,218,
244,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,244,269,269,132,
269,269,269,269,269,269,269,269,269,269,269,269,269,269,317,269,269,269,269,269,
269,269,269,269,269,269,269,269,163,317,269,269,269,269,269,269,269,269,269,269,
269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,102,163,
102,218,71,163,71,191,1,132,1,1,1,71,1,1,269,269,269,269,269,269,
269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,
269,269,269,1,1,71,191,1,132,269,269,269,269,269,269,269,269,269,269,269,
269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,
269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,
269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,
269,269,269,269,269,269,269,269,269, };
static unsigned short stb__courier_43_latin_ext_a[560]={ 364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_43_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_43_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_43_latin_ext(stb_fontchar font[STB_FONT_courier_43_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_43_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_43_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_43_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_43_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_43_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_43_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_43_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_43_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_43_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_43_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_43_latin_ext_s[i] + stb__courier_43_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_43_latin_ext_t[i] + stb__courier_43_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_43_latin_ext_x[i];
            font[i].y0 = stb__courier_43_latin_ext_y[i];
            font[i].x1 = stb__courier_43_latin_ext_x[i] + stb__courier_43_latin_ext_w[i];
            font[i].y1 = stb__courier_43_latin_ext_y[i] + stb__courier_43_latin_ext_h[i];
            font[i].advance_int = (stb__courier_43_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_43_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_43_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_43_latin_ext_s[i] + stb__courier_43_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_43_latin_ext_t[i] + stb__courier_43_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_43_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_43_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_43_latin_ext_x[i] + stb__courier_43_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_43_latin_ext_y[i] + stb__courier_43_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_43_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_43_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_43_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_43_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_43_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_43_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_43_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_43_latin_ext_LINE_SPACING
#endif

