// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_49_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_49_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_49_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_49_latin_ext_BITMAP_HEIGHT        461
#define STB_FONT_courier_49_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_49_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_49_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_49_latin_ext_LINE_SPACING          23

static unsigned int stb__courier_49_latin_ext_pixels[]={
    0x00000000,0x50000000,0x00000000,0x006aa000,0x40001440,0x0000a002,
    0x2a200071,0x00aa600a,0x00000b80,0x98000440,0x0000cccc,0x05500000,
    0x000cc000,0x00950000,0x00000c40,0x80000000,0x000ee03b,0x90000000,
    0xb1000005,0xdddddddd,0x30003ddd,0x000cc663,0x0003ec40,0x0009d100,
    0x00003f20,0x0017d400,0x000ffe20,0x80013fea,0x1fb802f9,0x1bfd3000,
    0x01ffa800,0x10003fee,0x00003ffb,0x03bffb30,0x1fffff80,0x80000000,
    0x900005fc,0x000009ff,0x4000df70,0x000003fc,0x1d7007d1,0x217f2000,
    0xe98003fd,0x0006c802,0x00000ff6,0xddddddb1,0x0019dddd,0x3add6f88,
    0x7f440006,0xf3000004,0xf300007f,0x20000007,0x40001ffb,0x64003ff8,
    0x000efdff,0x7c406f88,0xffb8000f,0x2a001ffd,0x3fee01ff,0x37fa6000,
    0x400003ff,0x00fb88bf,0x07f26620,0x88000000,0x80000efd,0x0007fff8,
    0x002fe400,0x0013fa20,0x037fa200,0x0001bf62,0x5fd11df7,0x13fe6000,
    0x0002ff44,0x000013f6,0xfb000000,0x00375ba7,0x0007ff30,0x00bfea00,
    0x0002e400,0x01efc800,0x03ff8800,0x2e1bfd10,0xfe8002ff,0x00bfb104,
    0xf51efd88,0x3fea007f,0x003fee01,0xfe89ffdc,0x6a80000d,0xf70003e8,
    0x00000003,0x00017fa2,0x000dffd0,0x00ff6200,0x06ff4400,0x3f620000,
    0x017fa61e,0x77ff4c00,0x7f440001,0x013fea0e,0x006fdc00,0x00000000,
    0x3add37d4,0x5ff50006,0x3ee00000,0x3e00001f,0x000000df,0x00003bf6,
    0x4c01ffc4,0x4ffa84ff,0x6fffc400,0x00effdbb,0x1037fa60,0xfa801bfd,
    0x03fee01f,0x3207bf60,0x6c0001ff,0x70005b84,0x0000003f,0x0009ff30,
    0x003bb300,0x7dc5f900,0x00027d42,0x00001dfb,0xff77ff70,0x17ea0007,
    0x2fd81bb1,0xcaffc800,0xf90002ff,0x3ea3fa85,0x07744004,0x4001dd10,
    0x375ba3fe,0x00ffdc00,0x1efc8000,0x3fea0000,0x8800002f,0x800005fe,
    0x2ff80099,0x000bfa20,0xffffff91,0x3fd80019,0x2201fec0,0x00cc4019,
    0xf5006fd4,0x86a8000f,0x3f70002e,0x88000000,0x000003ff,0xff880000,
    0x03ff4046,0x003bf200,0x3ffa6000,0x3f60001e,0x5ff8800f,0xdfff5000,
    0x3fe20001,0x03ff4086,0xb80bfee0,0xff5002ff,0x000dd6e8,0x000001df,
    0x00003be6,0x003fff10,0x009f9000,0x15000000,0x88000a00,0x00009aa9,
    0x00060031,0x01440000,0xe8000188,0x0006daad,0x000007ee,0x0003b100,
    0x40000000,0x4ea802ec,0x02fb8000,0x1bb10000,0x04e98000,0x80007b20,
    0xc80004e8,0x04ea802e,0x1006f440,0x3fa001dd,0x006eb744,0x80000018,
    0x22000002,0x1000000a,0x00000003,0x00000000,0x00000000,0x00000000,
    0x71000000,0x400017fd,0x000001fb,0x01440000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x5ba0ffcc,0xcd98006e,
    0x93000001,0x00000019,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x765441fb,0x400001bd,0x00fd8018,0x0def6dd4,
    0x0004cccc,0x75400000,0x0013a604,0x00000000,0x33000000,0x00000000,
    0x80000000,0xdd6e86fd,0xfccfe800,0x7ec00004,0x00004fdc,0x00000000,
    0x33333100,0x13333333,0x02666662,0x26666620,0x6f6dd400,0x0999981b,
    0x4cccccc4,0x40999999,0x19999998,0x99999998,0x76dd4009,0x999981bd,
    0x00000000,0xffd88fdc,0x1dffffff,0xffdb8800,0x7e40ceff,0x3fff6205,
    0x3e1fffff,0x3b20ffff,0x81deeeee,0xeeeeeed9,0x80fff404,0x76402ffe,
    0x81deeeee,0xeeeeeed9,0x77777644,0xeed981de,0x8804eeee,0x2effffdb,
    0xddddd900,0xddb303bd,0xec89dddd,0x81deeeee,0xeeeeeed9,0x6e83ff84,
    0x235400dd,0x300000f8,0x0007c41f,0x37bdb750,0x44133330,0x80099999,
    0x20999998,0xffffffff,0xfb2fffff,0x403fffff,0x5ffffff9,0xfffffb10,
    0x7ffc3fff,0x3fffe0ff,0xffffffff,0x7ffffc2f,0x7ffe47ff,0x103fffff,
    0xfffffffb,0x7ffffc3f,0x3bbbbb20,0xeed981de,0x2e04eeee,0x0adfe89f,
    0x00bff6a2,0xcceffe98,0xdf52fffe,0x04effd40,0x3be5ff73,0x3ffe22cc,
    0xb83fffff,0xffffffff,0x403ff600,0x3e200ffc,0x3fffffff,0xffffffb8,
    0xffff10ff,0xf707ffff,0x1fffffff,0x677ffd40,0x202effec,0xfffffff8,
    0xffffb83f,0xff10ffff,0x07ffffff,0xfffffff7,0x417fd41f,0x6c00dd6e,
    0x00003d83,0x00099099,0xffffffb1,0x7fffc3ff,0xfffffb0f,0x7ffcc03f,
    0x33265fff,0xcccccccc,0x9ff732fd,0xf9970059,0xbff5037f,0x97fdcc13,
    0x6542ccef,0xcccccccc,0x664c2fdc,0x5c47eccc,0x3fdccccc,0x209dffa8,
    0x9df2ffb9,0x7fffc459,0xfb83ffff,0x0fffffff,0x05ff7f70,0x7005ff70,
    0x3ee015ff,0xf300ffdf,0xbfe8805f,0x01fc805f,0x2004f980,0x000d400a,
    0xf30003f9,0x001fc809,0xfc804f98,0x5ff7102e,0x0003f900,0x1fc809f3,
    0x904f9800,0x3add01ff,0x3a136006,0x09900003,0xffa8009b,0x3fee609d,
    0x4c599df2,0x802ccffb,0x01bffccb,0xfc85f500,0x04f98001,0xe8805ff3,
    0x00005fbf,0x1f6005f5,0x7cc3f980,0x5ff4402f,0x01fc805f,0xb804f980,
    0x26001fff,0x3ff200ff,0x2ffe9801,0xe8007fa0,0x1fc805ff,0x004f9800,
    0x7e400000,0x04f98001,0x4c000fe4,0x077ec04f,0x201ffd40,0xf98001fc,
    0x000fe404,0x7fd827cc,0x801babd0,0x003ea0f9,0xf307cc00,0x17fcc001,
    0x17effa20,0x30003f90,0xfa80009f,0x4002fc42,0x03fd00fd,0x002fff40,
    0xb002fa80,0x21fcc00f,0x3fa001fe,0x01fc805f,0xb804f980,0xfc8003ff,
    0x001df303,0xfb817fec,0x2ffcc004,0x4000fe40,0x000004f9,0x000fe400,
    0x3f2027cc,0x04f98001,0xf30017ea,0x00fe401f,0x32027cc0,0x4f98001f,
    0x4220dfd0,0x6fe4006e,0x400003fe,0x004fddfc,0xfd000ff4,0x05f880bf,
    0x0000fd80,0x0fe417d4,0x2e09f300,0x7fcc004f,0x5f500005,0x9801f600,
    0x0013ee3f,0xf900bff3,0x09f30003,0x4000df70,0x003fd05e,0xe837efdc,
    0x0bf90007,0x30003f90,0x0000009f,0x8001fc80,0x0fe404f9,0x8827cc00,
    0xfa8000ff,0x0007f205,0x3f9013e6,0x209f3000,0x06e805ff,0x0002b880,
    0x002ee200,0x98009f70,0x1fc805ff,0x0013e600,0x3e20bea0,0x403f6005,
    0xbf90007e,0x0bea0000,0xf3003ec0,0xc8003f47,0x01fc805f,0xb804f980,
    0x1f60004f,0xf98017ea,0x5f82fc8e,0x00bf5000,0xf30003f9,0x06666209,
    0x02666620,0x30003f90,0x01fc809f,0xf904f980,0x0ff40007,0x98001fc8,
    0x00fe404f,0x7c427cc0,0x006e804f,0x00000000,0x0007e800,0xbf100bf9,
    0x0007ec00,0xfc817d40,0x204f9801,0xbf50005f,0x0bea0000,0xf3003ec0,
    0xa8002fc7,0x01fc805f,0xb804f980,0x3ee0003f,0x88007fc1,0x98df11ff,
    0xbf30004f,0x0003f900,0x3ffe09f3,0x3fe601ff,0x7e406fff,0x04f98001,
    0x4c000fe4,0x006f884f,0xfc827d40,0x04f98001,0x4c000fe4,0x03ff884f,
    0x3b6606e8,0x3eeeeeee,0x00000000,0xfa8002fc,0x003f9005,0x200009f3,
    0x0bf102fa,0x3e601fb0,0x0bf30004,0x00bea000,0x7f3003ec,0x4c0013e6,
    0x01fc805f,0xb804f980,0x3ea0002f,0xe8013e22,0xf30fe42f,0x17e20007,
    0x20007f20,0xd99304f9,0xcccb803f,0x00fe406f,0x32027cc0,0x4f98001f,
    0x80003fa8,0x003f907e,0xfc809f30,0x84f98001,0x6e804ff8,0x3ffffee0,
    0x0006ffff,0xbddd9730,0x09f30019,0x4017e600,0x0fd805f8,0x05f50000,
    0xbf300fe4,0x8001fcc0,0x500005f8,0x01f6005f,0x07f33f98,0x2017e200,
    0xf98001fc,0x003fb804,0x3f987f20,0xf509f900,0x80027c45,0x1fc805f9,
    0x804f9800,0x37c001fb,0x20007f20,0x0fe404f9,0x5c27cc00,0xfc80001f,
    0x8001fc81,0x0fe404f9,0xf827cc00,0x006e805f,0x01fcafa8,0xffff9300,
    0x07ffffdf,0x10003f98,0x0fe400bf,0x0000bf30,0xbf1017d4,0xf100fec0,
    0x17e60009,0x017d4000,0x3e6007d8,0x20009f13,0x1fc805f9,0x804f9800,
    0x360005fb,0x54017dc7,0xf87f306f,0x0bf70006,0x30003f90,0x03f7009f,
    0x7e406f80,0x04f98001,0x4c000fe4,0x000fc84f,0xfc82fb80,0x04f98001,
    0x4c000fe4,0x20dfd04f,0xb000dd09,0x0009f31f,0x102b3bf6,0x7c409fd5,
    0x0bf30004,0xfb02fc40,0x7d400003,0x4c0fe402,0x006f805f,0x0000bf70,
    0x3ec00bea,0x37c7f300,0x805fb800,0xf98001fc,0x00ffb804,0x7e46f880,
    0x807fcc00,0x007ec4f8,0x6402fec0,0x4f98001f,0x4001fb80,0x00fe406f,
    0x32027cc0,0x4f98001f,0x500007e8,0x003f907f,0xfc809f30,0x04f98001,
    0x75ba0ffb,0xd2fc4006,0x0022000f,0x1be02fd8,0x002fdc00,0x17e607f2,
    0x05f50000,0x1fd85f88,0x8000fd80,0x500005fd,0x01f6005f,0x03f63f98,
    0x2017f600,0xf98001fc,0x05ffb804,0x3ec2fd80,0xf007fa20,0x4006f98b,
    0xfc805ffb,0x04f98001,0x7c001fb8,0x000fe406,0x3f2027cc,0x84f98001,
    0xf300006f,0x0003f909,0x1fc809f3,0x904f9800,0x3add01ff,0x717dc006,
    0x0000005f,0x07ec09f1,0x002fec00,0x07f617e2,0x05f50000,0x2fc43f90,
    0x4006f980,0x00005ffb,0x1f6005f5,0x3e63f980,0x2ffdc006,0x4000fe40,
    0xffb804f9,0x13f2003f,0x3fd803f6,0x7e42fc40,0xbfff3003,0x0003f900,
    0x3f7009f3,0x6406f800,0x4f98001f,0x4000fe40,0x006e84f9,0xf907f300,
    0x09f30003,0x98001fc8,0x03ff304f,0xd001badd,0x0005f88f,0x4c0df000,
    0x7fdc006f,0x21fc8005,0x800005f8,0x5f8802fa,0xfc8007f2,0xbfff3003,
    0x0bea0000,0xf3003ec0,0x3003fc87,0xf900bfff,0x09f30003,0x1bfb5f70,
    0x4077ec40,0x09f701fb,0x3fa07f30,0x23bee00d,0x01fc805f,0xb804f980,
    0x037c001f,0x260007f2,0x00fe404f,0x3ec27cc0,0x83fb8000,0xf98001fc,
    0x000fe404,0x7fd027cc,0x801badd0,0x00fd84f9,0x06e80000,0xf9801fe4,
    0xf88005ff,0x00007f25,0x6400bea0,0x8005f89f,0x3ee00dfe,0x00005f8e,
    0x1f6005f5,0xfe83f980,0x23bee00d,0x01fc805f,0xb804f980,0x57bff91f,
    0x019ffb75,0x1bea0bea,0xd8817d40,0xeca9bcff,0x900bf0ef,0x9f30003f,
    0x8003f700,0x00fe406f,0x32027cc0,0x4f98001f,0x80001fc8,0x01fc82fc,
    0x6404f980,0x4f98001f,0x5ba1bee0,0x07f2006e,0x20000fea,0x37419998,
    0x7006ff40,0x000bf1df,0x017e27f2,0x017d4000,0x01fcdf88,0xbcffd880,
    0xf0efeca9,0x3ea0000b,0x400fb002,0xffd883f9,0xefeca9bc,0x3f900bf0,
    0x009f3000,0x7fed43f7,0x402effff,0x07fc43f9,0x5401fb80,0x4effffff,
    0x0fe402fc,0x4027cc00,0x37c001fb,0x20007f20,0x0fe404f9,0x5427cc00,
    0xfd80002f,0x8001fc80,0x0fe404f9,0x1027cc00,0xdd6e83ff,0xdf037c00,
    0x3ff6a000,0xfdefffff,0xcffd8806,0x0efeca9b,0x3e2000bf,0x00001fcd,
    0x64005f50,0x540005ff,0x4effffff,0xa80002fc,0x3bbb662f,0xeeeeffee,
    0x01fcc3ee,0xdffffff5,0xfc805f89,0x04f98001,0x77301fb8,0x23fc0013,
    0x3fa002fe,0x15751000,0x3ea017e0,0x03fa8002,0x7c001fb8,0x0017d406,
    0x3ea01fd4,0x83fa8002,0x440004f9,0x005f506f,0xfa807f50,0x03fa8002,
    0x75ba27ec,0x407f5006,0x3aa001fc,0xccbcdeff,0x2006ffec,0xeffffffa,
    0x90002fc4,0x00000bff,0xf10017d4,0x2200003f,0x0bf00aba,0xa8bea000,
    0xffffffff,0x45ffffff,0xba8803f9,0x500bf00a,0x7f50005f,0x0003f700,
    0x3f25f700,0x013ee003,0x2017e000,0xfc8003f8,0x001fb801,0x0fe2037c,
    0x1007f200,0x3f90007f,0x80007fa0,0x07f103fc,0x8803f900,0x1fc8003f,
    0x5ba3fd40,0x01fb006e,0xfa8027cc,0x0df000cf,0x01575100,0xf880017e,
    0x2000001f,0x3e2002fa,0x80000006,0xf500005f,0x26000005,0x3e00003f,
    0x003f8805,0xfb801fc8,0xf8800001,0x7c005fbe,0x4400000f,0x00bd004f,
    0xf7001ff0,0x806f8003,0x0ff8005e,0xf8005e80,0x00bf300f,0xe803fe20,
    0x00ff8005,0xff8005e8,0x3a3fe800,0xbf100dd6,0xf300fd00,0x06e8003f,
    0x017e0000,0x0006f880,0x0017d400,0x000005f9,0x0004f880,0x00005f50,
    0x0000fe60,0x5e8027c4,0x800ff800,0x000001fb,0x4001dff7,0x800003fc,
    0x3f9002fa,0x8037cc00,0x3f2003fa,0x001fc806,0x7e401be6,0x01be6001,
    0xfb0005f9,0x001fc805,0x7e401be6,0x01be6001,0x3add37cc,0x802fb806,
    0x17e402fb,0x00037400,0x0004f880,0x00000bf2,0x22001f90,0x0000006f,
    0x00002fa8,0x000001f9,0x400007ee,0x3f9002fa,0x8037cc00,0x000001fb,
    0x64009ff3,0xb000006f,0x3be6001f,0x00ff9800,0xb100df30,0xdf300dff,
    0x01ff3001,0x2003be60,0x7c400ff9,0x17f6003f,0x2003be60,0xf3000ff9,
    0x1ff3001d,0x6e9fec00,0x00fd00dd,0x0fd017e2,0x0001ba00,0x80017d40,
    0x000006f8,0x3f2006e8,0x80000002,0xd00000fd,0x6c00000f,0x3f600007,
    0x01df3000,0x2001ff30,0x000001fb,0x401bfffd,0x0000efd8,0x4006fc80,
    0x3e601efa,0x0ff4003f,0x0dfbff30,0x9807bea0,0x7d4003ff,0x0ffe601e,
    0x2027fcc0,0x5000efe8,0x7fcc03df,0x0f7d4003,0x8007ff30,0x17add6f8,
    0xffffff10,0xffffffff,0x4003f401,0x000006fb,0x320001fb,0x4000002f,
    0xdf1004fb,0x90000000,0x2e0000df,0x5000004f,0x320000bf,0x77d4006f,
    0x00ffe601,0x00001fb8,0xffd8cfc8,0xfedb98ac,0xc8800004,0xfa8000ef,
    0xfdb98acf,0xff98003f,0xffeca8ad,0x803bdff2,0xb98acffa,0x50003ffd,
    0xb73159ff,0xd88007ff,0xdb98acef,0xfa8005ff,0xfdb98acf,0xff50003f,
    0xffb73159,0x4c660007,0xefb80331,0xeeeeeeee,0x3203feee,0xffb1003f,
    0xf900000d,0x1be2000d,0xdf900000,0x00bf2001,0xfc880000,0xfc80000e,
    0xf7000006,0xc880001d,0xfa8000ef,0xfdb98acf,0xdcca803f,0x01ccccdf,
    0xf517ee00,0x5dffffff,0x33326000,0x0effeccc,0x3ffaa000,0x001effff,
    0x3ffffea0,0x3ffe0dff,0xffea801f,0x001effff,0x7ffff540,0x20001eff,
    0xfffffffc,0x3aa0002e,0x1effffff,0x7ff54000,0x001effff,0x0dd00000,
    0x7d40dd00,0xfdffa806,0x32200006,0xf90000ef,0x665c0005,0x5ffecccc,
    0xcccccc98,0x001cccff,0x666664c0,0x800effec,0xeccccccb,0x30001eff,
    0xffb99999,0x9993001d,0x1dffd999,0x7ff54000,0x001effff,0xfffffffd,
    0x220009ff,0x995300ff,0xfc800015,0x3effffff,0x32a20000,0x100001ac,
    0x00037995,0x35995100,0xca880000,0x200001ac,0x001acca8,0x2b32a200,
    0x54400001,0x00001acc,0x00fe6000,0xfc807ee0,0xecb989be,0xbddfd2ff,
    0x66664c01,0x00effecc,0x6666664c,0x001cccff,0x3fffffe2,0xff903dff,
    0xffffffff,0xfc8000bf,0x3effffff,0xfffff100,0x0007dfff,0xffffffc8,
    0x3ff2004d,0x03efffff,0x332a2000,0x9998001a,0x00099999,0x00007620,
    0x26662000,0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0fc80000,0x404f8800,0xfffffffb,0x3fffa0cf,0x3fff201f,
    0x003effff,0xfffffff9,0x000bffff,0x00133333,0x26666662,0x00000999,
    0x00133331,0x04ccccc0,0x26620000,0x26200019,0x00000999,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x3f60005f,0x665d4400,0x2200001a,0x00009999,
    0x33333331,0x00000133,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xf5000000,0x17d40005,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0001fb00,0x11102fc4,0x11111111,0x11111111,0xe8811111,
    0xffffffff,0xffffffff,0xefffffff,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7f6cc000,0x200deeef,
    0xeffeeed8,0xfffff51d,0xffffffff,0xffffffff,0x225fffff,0xeeeeeeed,
    0xeeeeeeee,0xeeeeeeee,0x0000001e,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fd40000,0x00efffff,0x3fffffa2,
    0x999912ff,0x99999999,0x99999999,0x01999999,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00060000,0x80000080,
    0x000002a9,0x400003a8,0x01000000,0x00a80000,0x40000000,0x3cccccca,
    0x00800000,0x00000000,0x00012600,0x664c0000,0x000001cc,0x000002b8,
    0x80000008,0x07200039,0xddddb000,0xdddddddd,0x0bdddddd,0x91000000,
    0x5c000000,0x00003981,0x003fd100,0x0007f700,0x0006fd80,0x0037e400,
    0x0003f900,0x000de980,0x01fec400,0x00ee9800,0xfffff100,0x00000dff,
    0x10002fc8,0x03d1003d,0x03fea000,0x2007a200,0x3ffa00e9,0x000002ff,
    0x00004fd8,0x0000fee0,0x0007fa80,0x40005ff1,0xffffffff,0xffffffff,
    0x3d106fff,0x2003d100,0x000001fa,0x3fcc4fc8,0x0001ff98,0x00027f4c,
    0x017fff62,0x006fd800,0x03bf6000,0x3ffa2000,0xf700003f,0x00003dff,
    0x00017fa2,0x017fffd4,0x99999880,0x1000006e,0x0009fffb,0x5f900df1,
    0x5ff70000,0x017e6000,0x998807f6,0x000002fb,0x0005fe88,0x6fffec40,
    0x7e400000,0x3e60001f,0x0bf0003f,0x837406f8,0x2fc806f8,0x0005f700,
    0x20efc800,0xff901ff9,0x7fcc0009,0x7f4c0003,0x001efd8d,0x0006fd80,
    0x00dfd880,0x8bffa800,0x10000dfe,0x7ff73dfb,0x4ff98000,0x3ff90000,
    0x00009ff3,0x40000374,0xefd8cff9,0x01ff4000,0x80001ff3,0x40001efc,
    0x1fea02ff,0x0002fa80,0x03bf6000,0x33fe6000,0x0001efc8,0x0001dfb0,
    0x0009fd10,0x406f80bf,0x80ffa06e,0xf7000ff9,0x5c000005,0x0bfe20ef,
    0x0004ffd8,0x80005ff5,0x7fdc3ffb,0x37ec0002,0x3fa20000,0xff900004,
    0x001efc83,0xd306ff4c,0x3ea000bf,0xe880003f,0x3bf620df,0x06e80000,
    0x17fdc000,0x9800bff2,0xf950adff,0xfd80005f,0xfa80000e,0xff9512cf,
    0x017d4005,0x3f200000,0x3ee0001e,0x01ffd42f,0x01bfb100,0x6ff44000,
    0xf017e000,0x2606e80d,0xf950adff,0x17dc005f,0xefb80000,0x900bfa20,
    0xf70009ff,0xfb80003f,0x07ff301e,0x0004c400,0x007ff100,0x403bf600,
    0xf1002ffb,0x1bf6207f,0x003ff500,0x409ff100,0x40000ffc,0x3200006e,
    0x7ff501ef,0x7fffd400,0x0003ffff,0x00002fec,0x3fffffea,0x7d4002ff,
    0x80000002,0xb8000ffb,0x9fd301ef,0x013fa000,0x06fd8000,0x0df017e0,
    0x7fd406e8,0x03ffffff,0x00017dc0,0x3a077cc0,0x4ffc803f,0x000ee800,
    0x4400cb80,0x0000003d,0x0002d800,0x36601320,0x003b3001,0x1da800b7,
    0x05b10000,0x80001b50,0x3200006e,0x002d8804,0x0bdeecb8,0x003b8000,
    0xddb71000,0xf500017b,0x00000005,0x65c0016a,0x00164400,0x000003d8,
    0x17e003b8,0x06e80df0,0x17bdd970,0xf9333100,0x33333337,0x6cc00133,
    0xf7002d80,0x0000007f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0006e800,0x00000000,0x00000000,0x00000000,0x000005f5,
    0x00000000,0x00000000,0xbf000000,0x37406f80,0x7f400000,0xffffffff,
    0x07ffffff,0xfb800000,0x0275403f,0x200009d3,0x00000098,0x00000000,
    0x00066000,0x80006600,0x3cccccca,0x00000000,0x0006e800,0x80000000,
    0x00000098,0x00000033,0x02fa8000,0x13333331,0x00066000,0x0000cc00,
    0x00000cc0,0x017a0000,0x006e80df,0x326000cc,0xcccdfdcc,0x02cccccc,
    0x20006600,0x7f402ffa,0x05ffd01f,0x3fffaa00,0x0720deff,0x99999988,
    0x77764000,0xd981deee,0x04eeeeee,0x7ffffec4,0x200730ce,0xeffffeb8,
    0x7c40642d,0x06ffffff,0x77777640,0xeed981de,0x4004eeee,0xb700006e,
    0xdddddddd,0x2009dddd,0xefffffea,0x4400720d,0x2effffdb,0xddddd900,
    0xddb303bd,0x2a09dddd,0xffff882f,0x71005fff,0x05dffffb,0x7fedc400,
    0x10002eff,0x9dfffffb,0x3bb20e61,0x981deeee,0x4eeeeeed,0x80df0026,
    0x7edc4008,0x8002efff,0x800002fb,0xeffffdb8,0x05ff5002,0xf900ffd8,
    0xffa8001f,0xffedcdff,0xf104f9cf,0x0dffffff,0x7ffffc40,0xffb83fff,
    0x00ffffff,0xb99bdff7,0x01f95ffd,0xcdefffb8,0xf98dffed,0x33333103,
    0x7fc400dd,0x83ffffff,0xfffffffb,0x01ba000f,0x7ffff400,0xffffffff,
    0x3fea00ff,0xffedcdff,0xa804f9cf,0xfeccefff,0x3fe202ef,0x83ffffff,
    0xfffffffb,0x502fa80f,0x0379bffb,0x99dfff50,0x8005dffd,0xeccefffa,
    0x2e002eff,0xedccdeff,0x220fcaff,0xffffffff,0xfffffb83,0x3e000fff,
    0x7fd40006,0xeffeccef,0x00bee002,0xdfff5000,0x05dffd99,0xa801ff98,
    0x2000d400,0x5101bffb,0x5409fffb,0x06fccccc,0x0003f900,0xefb809f3,
    0x3fffaa02,0x02bff200,0x27e7fe44,0x4001ba00,0xf98001fc,0x00dd0004,
    0x01ba0000,0x2037ff70,0x04fffda8,0xb88177e4,0x1fc802ff,0x404f9800,
    0x7ff302fa,0x02efc800,0x2005ff71,0xf7102efc,0x5df7005f,0x07fff540,
    0x98001fc8,0x0df0004f,0x8177e400,0x7002ffb8,0x6400005f,0xff7102ef,
    0x00ffcc05,0xfb800000,0x3fea001e,0x006e8004,0x30003f90,0x077cc09f,
    0x807ff440,0xd3000efc,0x6e8009ff,0x003f9000,0x20009f30,0x0000006e,
    0x77dc00dd,0x13fea001,0xa800efd8,0x0fe403ff,0x2027cc00,0x1ffb82fa,
    0x0077ec00,0x3601ffd4,0xffa800ef,0x003be603,0x6403ffa2,0x4f98001f,
    0x000df000,0x2a003bf6,0x2fb803ff,0x1dfb0000,0x207ff500,0x00000ff9,
    0x00ff9800,0x8004fc80,0x3f90006e,0x409f3000,0x3e6000fd,0x006f980f,
    0x4004ff88,0x3f90006e,0x009f3000,0x00001ba0,0xf9803740,0x4fc8000f,
    0x9800bf50,0x07f200ff,0x5013e600,0x00efc85f,0x2002fd40,0xbf500ff9,
    0x00ff9800,0x7cc001fb,0x003f900f,0x20009f30,0x5fa8006f,0x007fcc00,
    0x20000bee,0x7cc005fa,0x00ff880f,0xfe800000,0x09f10002,0x2000dd00,
    0xf98001fc,0x2001be04,0x02fe80fe,0x8009f700,0x3f90006e,0x009f3000,
    0x00001ba0,0xfe803740,0x09f10002,0x50001ff1,0x00fe40bf,0x2a027cc0,
    0x01bfb12f,0x000ff880,0xff885fa8,0x05fa8000,0x1fd000df,0x20007f20,
    0xdf0004f9,0x00ff8800,0x5c05fa80,0x7c40002f,0x5fa8000f,0x4c40ff88,
    0x99880199,0x0bf30099,0x8001b800,0x3f90006e,0x209f3000,0x7b8004f8,
    0x20005f98,0x374003f9,0x001fc800,0xd0004f98,0x2000000d,0x05f9806e,
    0x7e40dc00,0x07fa0003,0x4c000fe4,0x457d404f,0xf90004fe,0x0ff40007,
    0xe8000ff2,0x0027c41f,0x03f903dc,0x0009f300,0x7f9001be,0x00ff4000,
    0xc80005f7,0x3fa0003f,0xfff87f81,0x3fe601ff,0x5f906fff,0x20000000,
    0x3f90006e,0x409f3000,0x7010006f,0x0b80001f,0x80037400,0xf98001fc,
    0x00dd0004,0x01ba0000,0x00000bf2,0x50001be2,0x007f209f,0xf5013e60,
    0x0001dff9,0xa8000df1,0x001be24f,0x0df09f50,0x1fc80200,0x004f9800,
    0x7c400df0,0x27d40006,0x40005f70,0x540006f8,0xc987f84f,0x65c01fec,
    0x1ff06fcc,0x20000000,0x3f90006e,0x409f3000,0xb00000fd,0x0000000d,
    0x7e4001ba,0x04f98001,0x0000dd00,0x3e01ba00,0xa800000f,0x7e80003f,
    0x30003f90,0xfffa809f,0x54000efc,0x7e80003f,0x20000fea,0x000fd87e,
    0x000fe400,0xf80027cc,0x00fea006,0xfb81fa00,0x0fea0002,0x3a1fa000,
    0x000fdc06,0x01be21be,0x6e800000,0x003f9000,0x7cc09f30,0x5f80000e,
    0xd0000000,0x07f2000d,0x0013e600,0x00000374,0x37c406e8,0x1fb80000,
    0x81fc8000,0xf98001fc,0xb8f7d404,0x3ee000ef,0x1fc80001,0x900003f7,
    0x00ef983f,0x007f2000,0x40013e60,0x07ee006f,0x407f2000,0x2e0002fb,
    0xfc80001f,0x3ee01dc1,0x4c37c001,0x0000004f,0x64001ba0,0x4f98001f,
    0x0067fdc0,0x0003f980,0x00dd0000,0x20007f20,0xdd0004f9,0x3a000000,
    0x0027cc06,0x000fc800,0xfc82fb80,0x04f98001,0x17ee17d4,0x0000fc80,
    0x01f92fb8,0x705f7000,0x000019ff,0xf30003f9,0x01be0009,0x80000fc8,
    0x05f702fb,0x0007e400,0x40017dc0,0x37c001fb,0x00001fcc,0x000dd000,
    0x260007f2,0xffd9804f,0xa800abdf,0x0000003f,0x32000dd0,0x4f98001f,
    0x000dd000,0x301ba000,0x2000007f,0xf500007e,0x0003f907,0x2fa809f3,
    0xfd005fc8,0x4fea0000,0xf500007e,0x3fff6607,0x64000abd,0x4f98001f,
    0x400df000,0xf500007e,0x000fea07,0x500007e8,0x3f70007f,0xf986f800,
    0x00000003,0x7e4001ba,0x04f98001,0x3fff6e60,0x7f501cff,0x20000000,
    0x3f90006e,0x009f3000,0x00001ba0,0x3e603740,0xdf000003,0x13e60000,
    0x260007f2,0x817d404f,0x06f805fc,0x3e9f3000,0x9f300006,0xfffdb980,
    0xfc801cff,0x04f98001,0x7c00df00,0x9f300006,0x8001be60,0xf300006f,
    0x03f70009,0x3f986f80,0x20000000,0x3f90006e,0x009f3000,0x7ff654c0,
    0x0003fa82,0x00dd0000,0x20007f20,0xdd0004f9,0x3a000000,0x001fcc06,
    0x0006e800,0x3f907f30,0x809f3000,0x17f202fa,0x20000dd0,0x000dd3f9,
    0x3000fe60,0x805ffd95,0xf98001fc,0x00df0004,0x98000374,0x00bfa03f,
    0x03757ae2,0x003f9800,0x7c001fb8,0x9803f986,0xfffffffe,0x1ba001ef,
    0x000fe400,0x000027cc,0x3f989fd3,0xd0000000,0x07f2000d,0x0013e600,
    0x1d100374,0x980dd000,0xffe9803f,0x1effffff,0x2e0000fb,0x001fc83f,
    0x7d404f98,0xb02fe402,0x3ee0000f,0x20000fb3,0x4c0003fb,0x07f204fe,
    0x5013e600,0xdffddddb,0xfb03bddd,0x0fee0000,0x899cff98,0x2fffdba9,
    0x2e0000fb,0x1fb8003f,0x7c437c00,0xeeed9804,0x00effeee,0x64001ba0,
    0x4f98001f,0x7ec40000,0x00017e21,0x00374000,0x98001fc8,0x0dd0004f,
    0x40017d40,0x027c406e,0x777776cc,0x3f90effe,0x05f90000,0xf30003f9,
    0x802fa809,0x03f905fc,0x325f9000,0xfc80001f,0xfd880002,0x0003f901,
    0xffb809f3,0xffffffff,0x01fc82ff,0x402fc800,0xffffffe9,0x3f20beff,
    0x2fc80001,0xfb80776a,0xf837c001,0x27c40006,0x80037400,0xf98001fc,
    0xf9800004,0x000037c3,0x0006e800,0xf30003f9,0x3bbbae09,0xeeeffeee,
    0x3ea3eeee,0x806e8002,0x7c40006f,0x00017d44,0x0fe407ec,0x5c27cc00,
    0x2202feee,0x2deeffed,0xb00005f5,0x000bea1f,0x00003f60,0x1fc81fcc,
    0x004f9800,0x05f50000,0x001fb000,0x06af32e6,0x80002fa8,0xffff30fd,
    0x0007ee01,0x001f60df,0xdd709f10,0xdffddddd,0x09dddddd,0x2a000bea,
    0x8000103f,0x0007f46f,0x03740000,0x8002fa80,0xfffb03fa,0xffffffff,
    0x54bfffff,0x06e8002f,0x440007d8,0x0027cc4f,0x7d41be20,0x83fa8002,
    0x202ffffd,0xfffffff9,0x80009f33,0x013e66f8,0x008df100,0xfa837c00,
    0x03fa8002,0x9f300000,0x06f88000,0x27cc0000,0xb9be2000,0xf703ffff,
    0x906f8003,0x7c40005f,0xfffffd84,0xffffffff,0x7f106fff,0x203f9000,
    0x1f60004f,0x000009f5,0x2000dd00,0xfc8003f8,0x50000001,0x5f88005f,
    0x0002fc80,0x07fa13e2,0x103fc800,0x3f90007f,0xe8000000,0x3f20001f,
    0x0000ff43,0x004f87f9,0x1fc41f60,0x000fe400,0xd000e644,0x7e40003f,
    0x07322003,0x0001fe80,0xfff98ff2,0x003f700f,0x1df306f8,0x013e2000,
    0x40007dd0,0x0ff8005e,0x20006f88,0x001fd86f,0xdd000a20,0x002f4000,
    0x000007fc,0x4002fa80,0xef9804fa,0x09f10000,0x22000bf3,0x017a00ff,
    0x00003fe0,0x00bf3000,0xf303fe20,0x3fe2000b,0x8001be20,0x0017a06f,
    0x3a0003fe,0x3e6005ff,0x1ff10005,0x02fff400,0x2000bf30,0x5e4c0ff8,
    0x800fea00,0x13ee06fc,0x0027c400,0xc80005f1,0x1be6001f,0x4000ffc4,
    0x0ef884f9,0x00fe8800,0xc8001ba0,0x1be6001f,0x0166c400,0x6c002fa8,
    0x09f7002f,0x6413e200,0x2fd8002f,0x3000fe40,0x376000df,0x2fc8000b,
    0x902fd800,0x5fb0005f,0x8001ff88,0x07f204f9,0x0006f980,0xc800dffd,
    0x2fd8002f,0x037ff400,0x2000bf20,0x260002fd,0xffd8806f,0x001fec06,
    0xd70027c4,0x1df30000,0x201ff300,0x2000eff8,0xdf501ff8,0x1ffcc001,
    0x8001ba00,0xf9800ef9,0x32a0000f,0x1efa802f,0x800bf500,0xf88003fd,
    0x007ff104,0x7cc02fec,0x0ff9800e,0x09d93000,0x007ff100,0xff102fec,
    0x42fec007,0x2000eff8,0x3e601ff8,0x0ff9800e,0x07f93000,0x003ff880,
    0x260017f6,0x7c4003fc,0x17f6003f,0x3a005dc4,0x37fe601f,0x77f4406f,
    0x09f71001,0x00207cc0,0x9807bea0,0x3fe203ff,0xfe9801ef,0x01ffdc03,
    0x40017fd4,0x7d40006e,0x0ffe601e,0x802e4000,0x7d404ffa,0x7f44000f,
    0x9f71001e,0x2027fcc0,0x5000efe8,0x7fcc03df,0x07980003,0x809ff300,
    0x4c00efe8,0x7f4404ff,0xefff880e,0x03fe9801,0x2601efa8,0x540003ff,
    0xff98000f,0x077f4404,0x000fa800,0x4404ff98,0xff880efe,0x3fe600ff,
    0xffeca8ad,0x403bdff2,0x89acdffb,0x2effdb99,0x6d5f7400,0xffa8000f,
    0xffdb98ac,0x7d67c403,0xa9889adf,0xf7004ffd,0xb73159df,0x20003dff,
    0xfa80006e,0xfdb98acf,0x7b10003f,0x44005f73,0xb98acefe,0x20001ffd,
    0x89acdffb,0x2effdb99,0x5677ec40,0x05ffdb98,0x8acffa80,0x003ffdb9,
    0x0bd559b0,0x677ec400,0x5ffdb98a,0x33bf6200,0x5ffdb98a,0x3feb3e20,
    0xda9889ad,0x3ea004ff,0xfdb98acf,0x7c40003f,0x3f620004,0xfdb98ace,
    0x3e20005f,0x3f620004,0xfdb98ace,0x3ffee05f,0x7ffd403f,0x3e0dffff,
    0x6cc01fff,0xffffffff,0x930002df,0x40005bff,0xffffffea,0x225d001e,
    0xfffffffd,0x644001df,0xffffffff,0x77775c04,0xeeeffeee,0x5003eeee,
    0xdffffffd,0xfeb80003,0xff70003e,0x01bfffff,0xfffb3000,0x5bffffff,
    0xffffc800,0x0002efff,0x3fffffaa,0x260001ef,0x0000cefd,0xffffffc8,
    0xf90002ef,0x5dffffff,0x3f625d00,0xdfffffff,0xffea8001,0x001effff,
    0x00006d80,0xfffffff9,0x6d80005d,0xfff90000,0x805dffff,0x801ffff9,
    0x001bcca8,0xccba9800,0x0000009a,0x99510000,0x31000035,0x00157995,
    0x15995300,0x3ffff600,0xffffffff,0x4005ffff,0x001acca8,0x10000000,
    0x00015995,0x332ea600,0x4400009a,0x0001acca,0x06b32a20,0x00000000,
    0x06b32a20,0x66544000,0x4c40001a,0x000abcca,0x1acca880,0x00020000,
    0x2b32a200,0x00100001,0x59951000,0x16ed4003,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x5c414c00,0x0e600000,0x00000000,0x274c09d5,
    0x00000000,0x80000000,0x0000000a,0x00000000,0x00000000,0x00000057,
    0x00000000,0x00000020,0x00000073,0x802d8800,0x000080da,0x00066000,
    0x00000000,0x0000b880,0x33332000,0x800002cc,0x0ff446fa,0x07fb8000,
    0xb803e880,0x3ffd000e,0x000bffa0,0x0d9005d5,0x4c00f440,0x3620000e,
    0xb100003f,0x2000003d,0x00000ee8,0x0001dd10,0x40003740,0x44000ee9,
    0x00eb803e,0x00ffa600,0x07fd4000,0x3003d100,0x7fc4001d,0x203bf204,
    0x1000005e,0x9dfffffb,0x4c000e61,0x000000ee,0x2003ff30,0x0eb803e8,
    0x7ffffffc,0x3ea00000,0x00ffa21f,0x00ffe400,0x406ff440,0x36006fd8,
    0x3ff900ff,0x04ff9800,0x4c009fd1,0x01fd805f,0x00bfd100,0x3fffe600,
    0x7d400002,0x00002fff,0x017fffd4,0x0006f800,0x017fffd4,0x101bfd10,
    0x22000dfb,0x02effffc,0x07fee000,0xb00bf300,0xfe88003f,0x037fa20e,
    0x00000fec,0x3337bfee,0x0fcaffed,0x7fffd400,0x54000002,0x3a2003ff,
    0x6fd880df,0x09999ef8,0x3fe60000,0x00027f41,0x0000efd8,0xe987bf62,
    0x00a8005f,0xe88000d4,0x0ffea0df,0xa80bfe00,0xfd30007f,0x3ee00009,
    0x004ff9af,0xf55ff900,0x3200007f,0x03ffaaff,0x0077c400,0xf99efc80,
    0x3f62004f,0x037fa61e,0x47bfee00,0x0001effb,0x800077e4,0x1fea02ff,
    0xa9ffc800,0x2fcc04ff,0x5df70000,0x07fff540,0xf33ff900,0x2000009f,
    0x88001ffb,0x3fa61efd,0x0000bf05,0x360ffcc0,0xe880004f,0x700000df,
    0x07ff75ff,0x00000000,0xffc9ffc8,0x9ff50001,0x0bff2a25,0x00ffea00,
    0x87bf6200,0x0000efd8,0x7441dfd1,0xd10000df,0x6ff441df,0x7ff64000,
    0x0498cfff,0xe8837fa2,0x3ee000ef,0x003ffabf,0x9105ffb0,0xb10005ff,
    0x540001df,0x3f2a2cff,0x7d40002f,0xfb002fff,0xdf300003,0x1ffd1001,
    0x41bfd100,0x0000efd8,0x0007bf20,0xff77ff70,0xd802fc07,0x0bfe2004,
    0x20000bf9,0x800004fe,0x001effe9,0x00000000,0x001dfff5,0xfffffa80,
    0xa8002fff,0xd00002ff,0x3ff201bf,0x27f44000,0x8001df90,0x3f204fe8,
    0xefe9800e,0xefffebbc,0x04ff880f,0x98003ff2,0x0001effe,0x0f6600f6,
    0x0017fa00,0x7ffffd40,0x00002fff,0x4c001dd1,0xfd80004f,0x03fe6000,
    0x6409ff10,0xc80000ff,0x300000ef,0xf803dffd,0x400df005,0x004c82d8,
    0x0000f600,0x000dd880,0x00000000,0x0000274c,0x17bddb71,0x007aa000,
    0xa803d800,0x16c4000d,0x20006d40,0x0da802d8,0x881ff440,0xd880ffea,
    0x000da802,0x00006ec4,0x64000000,0x5c400003,0x000bdeed,0xfd000000,
    0x06f80001,0x4400fe80,0x00da802d,0x0004b800,0x800dd880,0x00ff005f,
    0x00000000,0x00000000,0x04ccccc4,0x4ccccc40,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7f900000,0x001ff300,0x00000000,0x00cccca8,
    0x00000000,0x00000000,0xfa800198,0x13e20004,0x0001ee00,0x00000000,
    0x3e000000,0x000ff005,0x4c000000,0x33000001,0xffffd800,0x3fe601ff,
    0x0005ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x7dc00df0,
    0x00000000,0x3ffe2000,0x000000ff,0x00000000,0xffd88000,0x730cefff,
    0x00007f40,0x002000df,0x00000000,0x00000000,0x3fe2017e,0x77777640,
    0xeed981de,0x8804eeee,0xdeffffeb,0x5c400642,0x2deffffe,0x9ff73064,
    0xf9970059,0x3b66037f,0x3eeeeeee,0xdddd7000,0xdddddddd,0x776d47dd,
    0x32200cee,0x2a2deeee,0x82deeeed,0x3deeeed9,0x77777764,0x3bb6a01d,
    0x36a3deee,0x200ceeee,0x2deeeec8,0x010013e2,0xddddddd7,0x7ddddddd,
    0x7777776c,0xeeeeeeee,0x2625eeee,0x00000fd9,0x3bbbbbb2,0xeeeeeeee,
    0x3bbb6603,0x003eeeee,0xcdeffb80,0xfcaffedc,0x0007f700,0x800007ec,
    0xeeeeeeeb,0xeeeeeeee,0x6d404eee,0xeeeeeeee,0xeeeeeeee,0x77775c4e,
    0xeeeeeeee,0x2017e3ee,0x3fe20ff8,0x83ffffff,0xfffffffb,0x3ffee00f,
    0xdffedcde,0x7dc03f98,0xfedcdeff,0xc83f98df,0x4f98001f,0x7ffffdc0,
    0x0006ffff,0xfffffffd,0xdfffffff,0x7fffffec,0x3fffe600,0x3fff24ff,
    0xffa84fff,0x3e26ffff,0x3fffffff,0x3fffff20,0x3fff66ff,0x3e600fff,
    0x224fffff,0xfe80004f,0xffffffff,0x3e6fffff,0xffffffff,0xffffffff,
    0x01f906ff,0x7ffec000,0xffffffff,0x3ee04fff,0xffffffff,0x77dc0006,
    0x3fffaa02,0x8001fe00,0x80000ef9,0xfffffffe,0xffffffff,0x7ec05fff,
    0xffffffff,0xffffffff,0x7ffff45f,0xffffffff,0x2017e6ff,0x3f900ff9,
    0x009f3000,0x22015ff9,0x204fcffc,0x9100affc,0xf109f9ff,0x01fb000b,
    0x3f2bea00,0x37400001,0x0017ea00,0x1fc807f6,0xf502fc00,0x1f700007,
    0x20017ea0,0x00df01fd,0x006e8000,0x406f80bf,0x001f906e,0x0007ec00,
    0xf50009f5,0x20003f95,0xe8800ef9,0x0fee00ff,0x0cffb800,0x03f90000,
    0x2005f880,0x1017e4f8,0x037400bf,0xff9805f8,0x0003f901,0xefc809f3,
    0x9ffd3000,0x4003bf20,0xf904ffe9,0x027cc003,0x9f31fb00,0x06e80000,
    0x2002fd80,0x0fe404fa,0xf9817e00,0x0fc80004,0xa800bf60,0x037ee04f,
    0x03740000,0x037c05f8,0x007e41ba,0x001fb000,0x20003fe2,0x004f98fd,
    0x4c001fb0,0x1be200ff,0xfffb3000,0x9000157b,0x5f88003f,0x5f8bea00,
    0xd002fc40,0x2017e00d,0x3f901ff9,0x409f3000,0xf88006f9,0x006f984f,
    0xf104ff88,0x007ec00b,0x1fa5f880,0x00dd0000,0x1001ff10,0x1fc801ff,
    0xf102fc00,0x0fb00009,0x8800ff88,0x7fe400ff,0x200001bd,0x80bf006e,
    0xc837406f,0x3600000f,0x05fb000f,0x3f4bf100,0x8006f800,0x17e400fe,
    0x7edcc000,0x001cffff,0xf88003f9,0xf83f2005,0x002fc405,0x017e00dd,
    0x7e40bfea,0x04f98001,0x5c000bfa,0x002fe84f,0x7e409f70,0x004f9801,
    0x2fb8bee0,0x01ba0000,0x6c027d40,0x01fc802f,0x17e02fc0,0x3a009988,
    0x804fa806,0xfb3002fd,0x0039bfff,0x5f803740,0x1ba037c0,0x000007e4,
    0xbf5001fb,0xb8bee000,0x27c4002f,0x4403dc00,0x9800006f,0x802ffeca,
    0x7c4001fc,0xbf1ba005,0x2005f880,0x00bf006e,0x3f205ff5,0x04f98001,
    0x4c000bf3,0x002fcc3f,0x7c407f30,0x000fd805,0x0bf11fa0,0x00374000,
    0x7d405fb0,0x003f9005,0x037405f8,0x2fc07ff9,0x2a02fd80,0xd730005f,
    0x0003ffff,0x017e00dd,0x906e80df,0x7765441f,0x01fb003c,0x0000ef88,
    0x005f88fd,0x010006f8,0x00007f20,0x809fd300,0x4f8001fc,0x5f89f300,
    0xd002fc40,0x2017e00d,0x3f903ffb,0x209f3000,0x5c0000fb,0x00007dc0,
    0x03f9002e,0x30002fcc,0x001fb09f,0x8001ba00,0xfe880ef8,0x003f9000,
    0x03ec05f8,0x3e20bfff,0x01df1004,0x00001fd1,0x000ffee6,0x017e00dd,
    0x906e80df,0x3bffee1f,0x6402efff,0x001fe807,0x1fb09f30,0x000fd800,
    0x017e6000,0x3f620000,0x0007f201,0x0fdc006a,0x00fa017e,0x0bf006e8,
    0x3207ff70,0x4f98001f,0x00000db0,0x000001b6,0x3fb02fc4,0x40fe4000,
    0xd00003fa,0x4fa8000d,0x32002fc8,0x02fc001f,0x33e603f2,0x007f107d,
    0x17e427d4,0x7f440000,0x401ba002,0x2037c05e,0xf91f906e,0x7fdc415b,
    0xf7006202,0x0fe40009,0x26001fd4,0x000000ef,0x000007f6,0xfc80fe60,
    0x0001b101,0x005f87d8,0xf006e800,0x09ff900b,0x260007f2,0x000bf04f,
    0x00017e00,0x981fc800,0x37c0005f,0x20000df0,0xfd80006e,0x90017e61,
    0x05f8003f,0x57dc0fdc,0x03f982fb,0xbf30fec0,0x7c400000,0x401ba004,
    0x2037c009,0x9fdf9008,0x000ef980,0x8000df30,0x001be06f,0x00033fee,
    0x4017e600,0x037c0000,0x0bea03f9,0xbf0bf000,0x740006c8,0x900bf006,
    0x07f209ff,0x2613e600,0x9800003f,0x0000003f,0x07f617e2,0x203fa800,
    0xe80001fc,0x6f880006,0xf90003fa,0x405f8003,0x88fd82fa,0x002fa84f,
    0x01fd37c4,0x06e80000,0x80001ba0,0x3f20006f,0x05f7003f,0x001fd100,
    0xf901fd40,0xffb30003,0x000157bf,0x9f001fd0,0x903ec000,0x00bee03f,
    0x5f83f980,0x3a0003f4,0xb00bf006,0x07f209ff,0x2a13e600,0xa800003f,
    0x0000003f,0x0bf10fe4,0x200fd800,0xe80004f9,0x9f700006,0xf90007f9,
    0xdddddddd,0x80bfdddd,0x3a6f82fa,0x8001fb86,0x003fccfb,0x1f60006e,
    0x00006e80,0xfc8001be,0x013e6004,0x0000ff20,0x27cc01fb,0xffb73000,
    0x00039fff,0xdf1013ea,0x9037c000,0xdddddddf,0x7e40005f,0xfeeeff81,
    0x03740007,0xffa805f8,0x0003f901,0x07f509f3,0x07f50000,0xf8800000,
    0x80007f25,0x07e805f8,0x0006e800,0x0017ff60,0x7fffffe4,0xffffffff,
    0x2a1fcc05,0xf903f23f,0x3ff60001,0x013e2005,0x6e801be0,0x01be0000,
    0x4000fc80,0x2fd4005f,0x017e2000,0x980001fa,0x002ffeca,0x7c401fd0,
    0x4f98001f,0x3fffff20,0x0002ffff,0x7fffc1fa,0x740007ff,0x200bf006,
    0x000fe400,0x1fd427cc,0x1fd40000,0x64000000,0x0005f89f,0x7dc017dc,
    0x03740002,0x01ff1000,0x0007f200,0x44f880bf,0xb0fea1fc,0x7fc4000f,
    0x03fe2000,0x2004fb80,0x3e00006e,0x03f20006,0x4400bf00,0x5c0000ff,
    0x02fb802f,0x9fd30000,0x407f5000,0x2000eff8,0x3f201ff8,0x0005f701,
    0x22fc17e2,0x3740007e,0x00005f80,0xf30003f9,0x0007f309,0x0007f300,
    0x9bf10000,0x7e80003f,0x000bf100,0x400006e8,0x3f20006e,0x402fc001,
    0x2fc3f45f,0xdd0001ba,0x1fff8800,0x4006fb80,0x3e00006e,0x03f20006,
    0x6c00bf00,0x7e80002f,0x000bf100,0x00fec400,0xff103fc0,0xfd3003df,
    0x701fc807,0x3ea0005f,0x06d8bf02,0xf8037400,0x3f900005,0x109f3000,
    0x100000bf,0x000000bf,0x0017ff20,0xffffff10,0xffffffff,0x03740001,
    0x001ba000,0x7c001fc8,0x3e26e805,0x02fc7d85,0x1001ba00,0x337bffdf,
    0x03dfd753,0x00006e80,0xfc8001be,0x802fc000,0x880004fb,0xffffffff,
    0x00ffffff,0x0fe60000,0x440fee00,0x9adffacf,0x4ffda988,0xf501fc80,
    0x3ff20003,0x45ffffff,0x37400018,0x00005f80,0xf30003f9,0x0001be09,
    0x000037c0,0x01ff8800,0x7777dc00,0xeeeeeeee,0x3a0003fe,0x37400006,
    0x003f9000,0x27d805f8,0x22fb82fb,0x3740004f,0x7e45fc00,0x3fffffff,
    0x000dd000,0x900037c0,0x05f8001f,0x5f006f98,0x77777dc0,0xeeeeeeee,
    0x0000403f,0x3e2001be,0x7ec4ba06,0xdfffffff,0x403f9001,0x9df00200,
    0x0bf99999,0x00dd0000,0x5400017e,0x3fa8002f,0x00001fd0,0x00001fd0,
    0x00df1000,0xd000dd00,0x0374000d,0x001ba000,0x7c001fc8,0x3f67c805,
    0x9f14f980,0x006e8000,0xbffb9880,0x03740001,0x000df000,0x3e0007e4,
    0x801fe805,0x01ba04f8,0x09f01ba0,0x8003ec00,0x262002fc,0x000abeea,
    0xf8000fe4,0x7c07f303,0x6e800005,0x0000bf00,0x32000fe2,0x009f501f,
    0x009f5000,0x5f900000,0x03f98000,0x0001fb80,0xe80000dd,0x07f20006,
    0xf700bf00,0x36f81be1,0x6e80007f,0x037c0000,0x0006e800,0xc8001be0,
    0x02fc000f,0x7c400ff2,0x0007f304,0x1be203f7,0x0006f800,0x32000df1,
    0x07f20004,0x5c13e200,0x2017e01f,0x0dd002f8,0x800017e0,0x0ff8005e,
    0x80007f60,0x001fd828,0xf8800a20,0x0fc80006,0x004f8800,0x80000dd0,
    0x3f20006e,0x402fc001,0x204f99fa,0x002fa8fc,0x00003740,0x740001be,
    0x1be00006,0x000fc800,0x0bf502fc,0xfc827c40,0x04f88000,0x30003ff1,
    0x7e40009f,0x02ec8002,0x0003f900,0x01f609f1,0x09f100bf,0x2fc01ba0,
    0x03f90000,0x22037cc0,0xe88000ef,0x0077c40f,0x8007f440,0xf80002fc,
    0x03f60005,0x0001ba00,0x64000dd0,0x02fc001f,0x00fdd7cc,0x003f77f5,
    0x00006e80,0xe800037c,0x1be00006,0x000fc800,0x0ff882fc,0x7c13e200,
    0x03f60005,0x8003bfe2,0x20001ff8,0xb98005f8,0x1fc8004e,0xf04f8800,
    0x8805f80b,0x00dd004f,0x9800017e,0xff9800ef,0x00efa800,0x540ffe60,
    0x3e6000ef,0x0df1003f,0x005f5000,0x40017d40,0x7400006e,0x07f20006,
    0xf300bf00,0xdf880fd7,0x740000fc,0x37c00006,0x006e8000,0x8001be00,
    0x2fc000fc,0x44002fd8,0x002fa84f,0x3e20bea0,0xe9801eff,0xfd80003f,
    0x00f30001,0x10003f90,0x807f309f,0x04f8805f,0x3be00dd0,0x0000aaaa,
    0xf9807bea,0x3fee003f,0x02ffa803,0x5401ffdc,0x3f2002ff,0x0fd80002,
    0x017e2000,0x00001ba0,0x7e4000dd,0x402fc001,0xd805fdf8,0xe80007df,
    0x37c00006,0x006e8000,0x8001be00,0x2fc000fc,0x440027d4,0x000fd84f,
    0x3e217e20,0x89adffac,0x04ffda98,0x00bf3000,0x0bd55bf9,0x0003f900,
    0x01f909f1,0x4f8805f8,0x3e00dd00,0x00ffffff,0x2b3fea00,0x03ffdb98,
    0xaceffb80,0x1effdb98,0x59dff700,0x3dffb731,0x99999930,0x003999ff,
    0x777ff6cc,0x3b6200de,0x21deffee,0xfeeeeeec,0x4eeeeeef,0x3bbbb660,
    0x2deeeeff,0xddfddb50,0xfddb305b,0x7fc07ddf,0x7ffb803f,0x3bbb6600,
    0xdeeeeffe,0x009b0002,0x77777764,0xeeeeeeff,0xddddb504,0x3bddddff,
    0x3bffb6a0,0xfdd900de,0x3bee7ddf,0xeeeeeeee,0x34feeeee,0xbdddffdb,
    0x7776c401,0x4ba1deff,0xffffffd8,0x00001dff,0x6d4007ec,0xd9000cef,
    0xdddddffd,0xdddddddd,0x3fb669fd,0xddb30def,0xddddddff,0x7649fddd,
    0xeffeeeee,0x2a4eeeee,0x002aaaaa,0xffffea80,0x20001eff,0xffffffc8,
    0xc88004ff,0xffffffff,0x3ffff204,0x5fffffff,0x3fffea00,0x2200efff,
    0xfffffffe,0x3fffffa2,0xffffffff,0x3ffea06f,0xffffffff,0xffff703f,
    0xff507fff,0x40bfffff,0xf9801ffe,0x3fea006f,0xffffffff,0x000003ff,
    0xffffffd0,0xffffffff,0x3fffee0d,0xffffffff,0xfffff902,0xffd101df,
    0x3ee9ffff,0xffffffff,0x4fffffff,0xfffffff5,0x7ff4401d,0x402fffff,
    0x0abcca98,0x07100000,0xffd00000,0xffffffff,0xffffffff,0x3fffea9f,
    0xffff30ef,0xffffffff,0x7ff49fff,0xffffffff,0x0006ffff,0x66544000,
    0x4c00001a,0x0000acca,0x01599530,0x26666620,0x00009999,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x000c8800,0x00000000,
    0x64c00000,0x88000000,0x0dc0001b,0x20000000,0x000000b8,0x37000000,
    0x06440000,0x00000000,0x00000000,0x20000001,0x40000098,0x900000c9,
    0x02d98019,0x01cd9800,0x38800000,0x03000000,0x00003300,0x20002ca8,
    0x003ccccb,0x000ffcc0,0xb1003b20,0x003b2009,0x2a0007d1,0x000000ef,
    0x0000ffa2,0x000007fd,0x007fe600,0x75402740,0xfb100001,0x3a600009,
    0x09d0002f,0x88003d50,0x00e9801e,0x0037ee00,0x3ffaa000,0x320defff,
    0x077d4001,0x0f7ec000,0x0001ffa8,0x027e67f4,0xff300000,0xd8000001,
    0x7f5c400f,0x642defff,0xffffb800,0xb016c41e,0x0009ffff,0x00017fd4,
    0xfa817fdc,0x5ff7002f,0x000bfea0,0x0001ffb8,0x004fe980,0x004ff980,
    0x7fd40000,0x3bf60002,0x001ff900,0x00bfd100,0x00ffea00,0x900efd80,
    0xf98001ff,0x001fd805,0x03dfffb0,0x3ffea000,0xfffedcdf,0xb8004f9c,
    0xb80001ff,0x0ffe42ff,0xf11aa000,0x50000001,0x000005ff,0x7dc06f88,
    0xfedcdeff,0x403f98df,0xffc9bffa,0x202ffaad,0x003ffffc,0x0003ff70,
    0x3227fd40,0x7d4002ff,0x00ffe44f,0x017fd400,0x07ff5000,0x2ff44000,
    0xfb800000,0xfb80001f,0x03bf622f,0x13fe6000,0x17fdc000,0x17fe4000,
    0x0001dfd1,0x7fa80bfe,0x8dfe9800,0x40003ffb,0x5101bffb,0x0009fffb,
    0x0000bfea,0x3fa33fe6,0x3d80000e,0x000003d8,0x0000ffdc,0x9017e400,
    0x322015ff,0x5404fcff,0x7ffecc0c,0x7ffdc02f,0xefc8002f,0xe8800000,
    0x00efd9ef,0xd3bfd100,0x400001df,0x80003ff9,0x00002ffb,0x000efd88,
    0x07bf2000,0xcff98000,0x00004ff9,0x00007ff5,0x00007ff2,0xffacffa8,
    0x7fd40004,0x5ff9512c,0x43ffa800,0x70005fe9,0x7d4003df,0x3e60004f,
    0xd880003f,0x00004fff,0x000fa136,0x00efc800,0x6f880000,0x4003bf20,
    0x0004ffe9,0x4c005dcc,0x4001ffff,0x00000efc,0x027ffe40,0x4fffc800,
    0xfd100000,0x7fd40007,0x64000001,0x9000006f,0x000001df,0x005fffd1,
    0x00bfe600,0x0077dc00,0x7ff44000,0xf500002f,0x5fffffff,0x01ffa800,
    0x9800dfb1,0xfc8000ff,0x7f440004,0x5f900003,0x0f980000,0x000003ea,
    0x00006fec,0x302fb800,0xff1000df,0x80000009,0x000ffff8,0x00000254,
    0x00005f50,0x00002fa8,0x0000e440,0x00000193,0x000012e0,0x0000025c,
    0x00000f64,0x400003b3,0x000000ca,0x00000764,0x2f7bb6e2,0x00c98000,
    0x7f4003b8,0x09f10002,0x00391000,0x00000400,0x03fedfc8,0x01320000,
    0x7f880000,0x4000bfa0,0x000004fb,0x007fff80,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2fcc0000,0x0006e000,0x9d500000,0x000274c0,0x00002b88,
    0x00000000,0xbf303fb8,0x21fcc000,0xdeeeeeec,0xeeeed981,0x37ff44ee,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x32000000,0x0000002f,0xfe800000,
    0x05ffd01f,0x00000000,0x00000000,0x1f700fe8,0x220b8000,0xffffffff,
    0xfffffb83,0x3ff60fff,0x3bbb6605,0x003eeeee,0xdddddd70,0xdddddddd,
    0xeb89dddd,0xeeeeeeee,0x4001acde,0xeeeeeeeb,0x3eeeeeee,0x7777775c,
    0xeeeeeeee,0x2604eeee,0xeeeeeeed,0xdd70003e,0xdddddddd,0x4c00359b,
    0xeeeeeeed,0x2000acee,0xeeeeeeec,0x5c004eee,0xeeeeeeee,0x43eeeeee,
    0x805eeedb,0xeeeeeed9,0x3bbbae0c,0xeeeeeeee,0x04eeeeee,0x3bbbbb66,
    0xf0003eee,0x2000001f,0xeeeeeeeb,0xeeeeeeee,0x7ec04eee,0x01ff900f,
    0x77776cc0,0x0003eeee,0x00bdddb7,0xddddddb3,0x9f500019,0x000036c0,
    0x20007f20,0x9ff904f9,0x7ffffdc0,0x0006ffff,0xfffffffd,0xffffffff,
    0xffe8bfff,0xffffffff,0x000dffff,0xfffffffd,0xdfffffff,0xffffffe8,
    0xffffffff,0x2e05ffff,0xffffffff,0xffd0006f,0xffffffff,0x001bffff,
    0xfffffff7,0x7fffffff,0xfffff880,0x0fffffff,0x3ffffa00,0xffffffff,
    0x7fff46ff,0x7fd403ff,0x21ffffff,0xfffffffe,0xffffffff,0x3ee05fff,
    0xffffffff,0x06f88006,0x3ffa0000,0xffffffff,0xffffffff,0x5400a805,
    0x7ffdc001,0x06ffffff,0xfffffd00,0xffffa807,0x8001ffff,0x017e00fe,
    0x03f90000,0x2e09f300,0xfa8003ff,0x40001fca,0x7c4001fc,0x9807f205,
    0x0002ffda,0xfc800374,0x02fc4001,0x0fe57d40,0x807f2000,0x002ffda9,
    0xeca8817e,0x374000df,0x1ba00000,0x07ffdc00,0x9009f100,0x5f88003f,
    0xfcafa800,0x027cc001,0x1fc80000,0x002fc400,0x54000000,0x0001fcaf,
    0x0007ffdc,0x540009f1,0x00fe604f,0x03f90000,0x2a09f300,0xfd8001ff,
    0x40004f98,0x7c4001fc,0x4007f205,0x20001ffa,0x3f90006e,0x005f8800,
    0x04f98fd8,0x800fe400,0xbf001ffa,0x007fe400,0x00000dd0,0xf70006e8,
    0x7c400bf9,0x001fc804,0x6c002fc4,0x4004f98f,0x000003f9,0x88003f90,
    0x0000005f,0xf98fd800,0x67dc0004,0x13e2005f,0x200fe800,0x000003fa,
    0x4c000fe4,0x001be04f,0x007e97e2,0x2000fe40,0x07f205f8,0x0006f980,
    0x7e4001ba,0x02fc4001,0x07e97e20,0x000fe400,0x17e00df3,0x4009f700,
    0x4000006e,0x5f70006e,0x3e2003fb,0x001fc804,0x22002fc4,0x3001fa5f,
    0x0000007f,0xf10007f2,0x0000000b,0x1fa5f880,0xfb5f7000,0x013e2003,
    0x2a02fcc0,0x4000003f,0xf98001fc,0xfb800004,0x8000bee2,0x7c4001fc,
    0x0007f205,0x3a0003f9,0x03f90006,0x4005f880,0x00bee2fb,0x4001fc80,
    0x05f801fc,0xd001fd80,0xe800000d,0x15f70006,0x13e200df,0x10007f20,
    0x2fb800bf,0xf9800bee,0x90000003,0x5f88003f,0x400cccc4,0x00099998,
    0x17dc5f70,0xf15f7000,0x013e200d,0x2a00fec0,0x4000003f,0xf98001fc,
    0x7e800004,0x90002fc4,0x09f0003f,0x26000fe4,0x0dd0003f,0x0007f200,
    0x8fd0013e,0x320005f8,0x1fcc001f,0x44002fc0,0x00dd006f,0x006e8000,
    0x0ff25f70,0x32013e20,0x04f8001f,0x17e23f40,0x9803f980,0xfffffffe,
    0x03f901ef,0xfff89f00,0x3fe601ff,0xd0006fff,0x0005f88f,0x01fe4bee,
    0x4c0027c4,0x03f9805f,0x0fe40000,0x0027cc00,0x3613e600,0x3f90000f,
    0x64035000,0x1fd4001f,0x0006e800,0x350003f9,0x6c27cc00,0x3f90000f,
    0x803fa800,0x5f90005f,0x0000dd00,0x70006e80,0x2007f45f,0x1fc804f8,
    0x2001a800,0x00fd84f9,0xb3009f10,0xffdddddd,0x007f201d,0xd99306a0,
    0xcccb803f,0x4f98006f,0x70000fd8,0x2007f45f,0xfc8004f8,0x005f8802,
    0x00fe4000,0x00027cc0,0x3ea07f20,0x03f90003,0x32000362,0x17ec001f,
    0x0006e800,0x036203f9,0x207f2000,0xf90003fa,0x02fd8003,0xf10005f8,
    0x000dd009,0x0006e800,0x027d45f7,0x3f2013e2,0x0001b101,0x7f503f90,
    0x00037c00,0x3f9013e2,0x20003620,0x37c001fb,0x540fe400,0x5f70003f,
    0x3e2027d4,0x037c4004,0x00000df0,0x98001fc8,0x7c00004f,0x4001be06,
    0x05f501fc,0x4003f900,0x3a0006f9,0x03f90006,0x20000bea,0x001be06f,
    0xf3000fe4,0x0017e00d,0x06e806f8,0x03740000,0x7ec2fb80,0x2013e201,
    0x05f501fc,0x7c0df000,0x001f6006,0xfc809f10,0x0005f501,0x6f8003f7,
    0x3e06f800,0x85f70006,0x13e201fd,0x4005f900,0x000000fe,0x260007f2,
    0x2a00004f,0x007f203f,0x7dc07f20,0x01fc8002,0x0005ff70,0xfc800374,
    0x0005f701,0x3f203fa8,0x01fc8001,0x2005ff70,0x1f60005f,0x00001ba0,
    0x2e000dd0,0x1037cc2f,0x03f9009f,0x50000bee,0x00fe407f,0x20002fc8,
    0x0fe404f8,0xb8002fb8,0x037c001f,0xfc80fea0,0x42fb8001,0x13e206f9,
    0x4006f880,0x000004fa,0x260007f2,0x3600004f,0x013e600f,0x3bbbbf20,
    0x8002feee,0xd73101fc,0xe80003ff,0xddf90006,0x05fddddd,0x200fd800,
    0xfc8004f9,0xffd73101,0x002fc003,0x6e801f90,0x37400000,0xc82fb800,
    0x009f102f,0xddddddf9,0xd80005fd,0x013e600f,0x800077cc,0x77e404f8,
    0x2feeeeee,0x001fb800,0x3f60037c,0x0013e600,0x0bf20bee,0xf70027c4,
    0x03fb0007,0xfc814400,0x04f98001,0x00bf1000,0xff9000fd,0x5fffffff,
    0xdddf9000,0x9ffffddd,0x0dd00001,0x3ffff200,0x002fffff,0x3a017e20,
    0xeefc8007,0xffffeeee,0x02fc000c,0xe801f900,0x74000006,0x05f70006,
    0x9f101ff1,0xfffff900,0x0005ffff,0x3f402fc4,0x0009f700,0xff9013e2,
    0x5fffffff,0x003f7000,0x3e2006f8,0x8007e805,0x0ff882fb,0x3e004f88,
    0x1df10007,0x01fd1000,0xf30003f9,0x3ee00009,0x002fb802,0x2fb80fe4,
    0xffffc800,0x00efffff,0x001ba000,0x2fb80fe4,0x00bee000,0xf9000bee,
    0xffffffff,0x17e0001d,0x400fc800,0x4000006e,0x5f70006e,0x3e213ea0,
    0x701fc804,0x7dc0005f,0x002fb802,0x22000ff6,0x80fe404f,0xfb8002fb,
    0x0037c001,0x5f7005f7,0x502fb800,0x009f109f,0xa8000fee,0x3e6000ef,
    0x003f903f,0x00009f30,0x2fc401fa,0x5c07f200,0x1fc8002f,0x0009ff70,
    0xc8003740,0x005f701f,0xf8803f40,0x80fe4005,0xf0004ffb,0x03ec000b,
    0x00000374,0x7dc001ba,0xf107fa02,0x203f9009,0x3a0002fb,0x00bf1007,
    0x800f7f44,0x7e404fb8,0x0005f701,0x6f8003f7,0x4401fa00,0x17dc005f,
    0x4f883fd0,0x0001fd00,0xa803ffb8,0x07f202ff,0x0013e600,0x3ffffe20,
    0xffffffff,0x07f2000f,0x64000fd4,0x17fa601f,0x00374000,0x3f501fc8,
    0x3ffe2000,0xffffffff,0x32000fff,0x17fa601f,0x80017e00,0x006e805f,
    0x6e800f44,0x405f7000,0x027c45f9,0x1fa80fe4,0xffff1000,0xffffffff,
    0xfb8001ff,0x9989acdf,0x402effdb,0x03f501fc,0x8003f700,0xfff1006f,
    0xffffffff,0x5c001fff,0x117e602f,0x09f5009f,0x3bfee000,0xffdb98ac,
    0x017d401e,0x0001fd40,0x777777dc,0xfeeeeeee,0x807f2003,0x1fc80200,
    0x002fec40,0xc8003740,0x0080201f,0x777777dc,0xfeeeeeee,0x007f2003,
    0xf800bfb1,0x07f30005,0xf9800dd0,0x000dd003,0x5f900bee,0x7e4027c4,
    0x40080201,0xeeeeeefb,0x3feeeeee,0xfffd9800,0x2dffffff,0x0403f900,
    0x00fdc010,0x7dc01be0,0xeeeeeeee,0x003feeee,0x5f900bee,0x7f4027c4,
    0x32200000,0xffffffff,0x007f1004,0x00003f90,0x0dd000dd,0x8000fe40,
    0x003f903f,0xd0000ff6,0x07f2000d,0xdd01fc00,0x400dd000,0x7fb001fc,
    0x8002fc00,0x06e801fb,0xe801fcc0,0x05f70006,0x13e26f88,0x40007f20,
    0x001ba03f,0x530001ba,0x00135997,0xf0001fc8,0x0007ee07,0x01ba00df,
    0xfb801ba0,0xf137c402,0x005f9809,0x33b66000,0x05e8000a,0x0000ff80,
    0x5c001fcc,0x03f9001f,0x3209f100,0x3fd1001f,0x00374000,0x88001fc8,
    0x007f304f,0x32003f70,0x3fd1001f,0x40017e00,0x06e800fe,0xe801fcc0,
    0x05f70006,0x13e29f70,0x20007f20,0x07f304f8,0x0003f700,0x3f200000,
    0x04f88001,0x6f8003f7,0x8003f980,0x5f7001fb,0x3e29f700,0x000fec04,
    0x0016e000,0x4c003f90,0xfc80006f,0x04f88000,0x10003f90,0x007f209f,
    0x20006f98,0x3f90006e,0x209f1000,0xf88000fc,0x003f9004,0x5f8037cc,
    0x005fc800,0x3f9800dd,0x2000dd00,0x1fd002fb,0x3f9009f1,0x209f1000,
    0xf88000fc,0x5eec0004,0x07f20000,0x5413e200,0x1bf2003f,0x20003f20,
    0x5f7004f8,0x3e23fa00,0x0017e604,0x00bee000,0x800ef980,0x80000ff9,
    0x3f60005f,0x001fc800,0x3f904f88,0x003fc800,0x32000dd0,0x4f88001f,
    0x6c000bf0,0x01fc800f,0x7c01fe40,0x07fdc005,0x4c006e80,0x00dd003f,
    0x4c00bee0,0xc804f8df,0x4f88001f,0x6c000bf0,0x3260000f,0x3f20004e,
    0x04f88001,0xfb100df3,0x00bf00df,0x5c007ec0,0x1bf3002f,0x00fec09f,
    0x75cc0000,0x3bea0005,0x00ffe601,0x000bea00,0xfc802fa8,0x04f88001,
    0xf88003f9,0x06e8000f,0x0003f900,0x05f509f1,0x4017d400,0x7c4001fc,
    0x002fc00f,0x74005ff5,0x01fcc006,0xf70006e8,0x7d7ec005,0x001fc804,
    0x2fa84f88,0x00bea000,0x8001e600,0xf88001fc,0x9807fa04,0x5406fdff,
    0x3ea0002f,0x002fb802,0x4413ebf6,0x4000006f,0x00007c40,0x73159ff5,
    0x00007ffb,0x880003f6,0x01fc805f,0xf904f880,0x09f50003,0x2000dd00,
    0xf88001fc,0x0000fd84,0x3f2017e2,0x04fa8001,0x7ecc02fc,0x0374001f,
    0x7400fe60,0x05f70006,0x027ffc40,0x44000fe4,0x000fd84f,0x20017e20,
    0x005eaacd,0x20007f20,0x3fe604f8,0xffeca8ad,0xb03bdff2,0x7c40001f,
    0x002fb805,0x6413ffe2,0x2000002f,0x06dabdfa,0xfffea800,0x0001efff,
    0x777ff6cc,0x3b6200de,0x21deffee,0xeeeffeec,0xeeeeeeee,0x3b24feee,
    0x1deeeffe,0x43bdfd00,0xfeeeeeec,0x4eeeeeef,0x777ff764,0xeeeeeeee,
    0xb34feeee,0x1bdddffd,0x7f776c40,0x3bb21def,0x01deeeff,0x263bdfd0,
    0xeeeeffed,0x0dfffeee,0x3bbbb620,0xeeeeeeff,0x3feeeeee,0x3bbbbbb2,
    0xeeeeeeff,0xeefeec84,0x7fdc02de,0xdffdd904,0xdddddddd,0x29fddddd,
    0xeeeffed9,0x3bb6200d,0x001deffe,0x0019dfb3,0xeeffeec8,0xeeeeeeee,
    0x404feeee,0xfffffffa,0x47fffe0d,0xeeeffed9,0x3bb6200d,0x641deffe,
    0x2deeefee,0xf827fdc0,0xa8000006,0x0001cfed,0x06b32a20,0x7ffd4000,
    0x200effff,0xffffffe8,0x3ffffa2f,0xffffffff,0x4fffffff,0x3ffffffa,
    0xff3003ff,0x7ffff45f,0xffffffff,0x7fff46ff,0xffffffff,0xffffffff,
    0xffffff54,0x7f4401df,0x22ffffff,0xfffffffe,0xfff3003f,0x3ffffea5,
    0xceffffff,0xfffe8801,0xffffffff,0xffffffff,0x3fffffa3,0xffffffff,
    0xffffe86f,0xfe803fff,0xfffffd04,0xffffffff,0x29ffffff,0xfffffffa,
    0x3ffa200e,0x002fffff,0x3ffa0000,0xffffffff,0xffffffff,0xcca8804f,
    0x7fd4001b,0x00efffff,0x3fffffa2,0x7fff42ff,0xe803ffff,0x0001504f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x06e201b8,0x5b100288,0x2001b500,0x001001a9,0x5eeedb80,0xeeeed980,
    0x5cc00cee,0x2006e200,0xeeeeeeec,0x26004eee,0x04000002,0x077aa000,
    0x666664c0,0x3bbbae0c,0xd981deee,0x5c2deeee,0xeeeeeeee,0x001acdee,
    0x00dea800,0x00002000,0x00000000,0x00007766,0x88000088,0x006e201b,
    0x20000000,0xdeeeeeec,0xeeeed981,0x05cc04ee,0x20003710,0x80001dd9,
    0x3ffa07fe,0x1005f700,0x7fe409fd,0x05ffd800,0x88177f54,0x3ffffa00,
    0x7ffd403f,0x401fffff,0x1ffa06ff,0xffffff10,0x01ffffff,0x000fffa0,
    0xefffd980,0x5fff8004,0xfffffd00,0x7ffff43f,0xfb83ffff,0x745fffff,
    0xffffffff,0x0dffffff,0x3ffe0000,0xfea80005,0x0001102e,0x3fffffe2,
    0x01ffffff,0x006ffe80,0x3fff6e20,0xe8000bdf,0x03ffa07f,0xffff8800,
    0xffffffff,0x3fffe200,0xfb83ffff,0x0fffffff,0xfe81bfe0,0xdffd0007,
    0x1fff0000,0x4403ffe0,0xfd8800ff,0x03bf620e,0x802bbf20,0x1dffdffe,
    0x7dc017ea,0x3e2000ff,0x1fff1004,0x0003ffe0,0x710001ba,0x700007ff,
    0x3fdb9dff,0x37ffc400,0xc9999880,0x003f901f,0x6401ff44,0x3f6a601f,
    0xf880002f,0x220006ff,0x1dffdffe,0xc80013ee,0xcccccccc,0x44000ccc,
    0x30007fff,0xfd99dffd,0xff8003df,0x01fff00f,0xccccc800,0x04cccccc,
    0x20007f20,0xff8804f9,0x01fff00f,0x01ffff00,0x202da800,0x27e403da,
    0xf35ff900,0x1be2009f,0x6cc33ee0,0x01efedff,0x00bf9f70,0xb50027c4,
    0x0016d405,0x200006e8,0x7d40007f,0xf900000e,0x7dc0007f,0x2003f901,
    0xf9002ff9,0x07fea003,0x0bff6000,0x30cfb800,0x3dfdbffb,0x00000000,
    0x003ffc80,0x880affb8,0x2a003ffa,0x00f6a02d,0x80000000,0xf98001fc,
    0x405b5004,0xf70002da,0x0000009f,0x00ff8800,0x0bfffea0,0x8803fa80,
    0x1bffd300,0x7ed7dc00,0x009f1001,0xe8000000,0x3f200006,0x1ff10001,
    0x00980000,0xc80fdc00,0x2ff9801f,0x8007f200,0x300006f9,0x00880001,
    0x001bffd5,0x00000000,0x3f200022,0x4fe8801f,0x00000000,0x64000000,
    0x4f98001f,0x00000000,0x00000044,0x04fd8000,0x000f7440,0x40000bee,
    0x15f70000,0x13e200df,0x00000000,0x540000dd,0x5f70002f,0x00000000,
    0x7e407ee0,0x00ffd401,0x90007f20,0x0000003f,0x00040000,0x00066000,
    0x3e600000,0x3fa2000e,0x00000001,0x20000000,0xf98001fc,0x00000004,
    0x40000000,0xff300019,0x5c000000,0x0660002f,0x325f7000,0x04f8803f,
    0x40000000,0x2a00006e,0x1f90002f,0x01980000,0x901fb800,0x077dc03f,
    0x000fe400,0x10000fe6,0x00000013,0xb7100000,0x005dffff,0x3fa00000,
    0x06f98001,0x64000000,0x1deeeeee,0xeeeeed98,0x003f904e,0x00009f30,
    0x00000000,0xfffdb880,0x7f4002ef,0x70000002,0x6dc4005f,0x002effff,
    0x03fa2fb8,0x3b209f10,0x81deeeee,0xeeeeeed9,0x0006e804,0x4000bea0,
    0xb880007e,0x2deffffe,0x07ee0064,0xefc80fe4,0x03f90000,0x8003fa80,
    0xefffffea,0xb300720d,0xdddddddd,0x3ea00007,0xffecceff,0x7775c02e,
    0xeeeeeeee,0x27d43eee,0x405fb000,0xeeeeeed9,0xf88003ee,0x3fffffff,
    0xffffffb8,0x01fc80ff,0xda84f980,0x200ceeee,0x2deeeec8,0x3bbbbbb2,
    0xeeeeeeee,0x3ffea003,0x2effecce,0xd90bf900,0xdddddddd,0x207ddddd,
    0xff5002fb,0xdffd99df,0x517dc005,0x84f8809f,0xfffffff8,0xffffb83f,
    0x7400ffff,0x3ea00006,0x00dd0002,0xdefffb80,0x98dffedc,0x80fdc03f,
    0x0dfd81fc,0x007f2000,0x54005fb0,0xedcdffff,0x04f9cfff,0x7fffffdc,
    0x80006fff,0xf7102efc,0x7fff405f,0xffffffff,0x07fc6fff,0x40ff1000,
    0xfffffffb,0x640006ff,0x4f98001f,0x4000fe40,0xfffd84f9,0x3e600fff,
    0x364fffff,0xffffffff,0x04ffffff,0x2205df90,0xf9802ffb,0x7fffec0f,
    0xffffffff,0x05f704ff,0x2205df90,0xf7002ffb,0x2201fd85,0x00fe404f,
    0xd0027cc0,0x7d40000d,0x00dd0002,0x8057fe40,0x04fcffc8,0x1fc80fdc,
    0x00017f62,0xf98007f2,0x2ffee006,0xfffb5101,0x2bea0009,0x360001fc,
    0xffa800ef,0x006e8003,0xb00009f1,0xafa8001f,0x320001fc,0x4f98001f,
    0x4000fe40,0x17ea04f9,0x3607f600,0x13ea000f,0x2003bf60,0xff803ffa,
    0x50007ec4,0x00bee09f,0xf5001dfb,0x85f7007f,0x13e206f9,0x30003f90,
    0x0374009f,0x005f5000,0x64001ba0,0xfd3000ef,0x01fb809f,0x13fa23f9,
    0x00fe4000,0x7002ffb8,0x7d4003df,0x1fb0004f,0x2a0009f3,0x7fcc005f,
    0x80374000,0xb80003f9,0x47ec002f,0x320004f9,0x4f98001f,0x4000fe40,
    0x17ec04f9,0x3609f500,0x1ff1000f,0x4005fa80,0x7f400ff9,0x88007ec6,
    0x05f700ff,0x26002fd4,0x17dc00ff,0x4f8817e4,0x4000fe40,0x1ba004f9,
    0x02fa8000,0xffaaaaa8,0x4c02aaaa,0xff88006f,0xc80fdc04,0x3fffe89f,
    0x01fc8000,0x03ffd731,0x0003fe60,0x220013f2,0x2001fa5f,0xa8000ff8,
    0x0374005f,0x80001fb8,0x3e2003f9,0xc8001fa5,0x4f98001f,0x4000fe40,
    0x7fc404f9,0x00ff8800,0x3f6001fb,0x007fc402,0x3602fd40,0x8007ec7f,
    0x0bee02fd,0x40007fc4,0x17dc05fa,0x7c407fc4,0x000fe404,0xdd0027cc,
    0x17d40000,0x3ffffe60,0x1fffffff,0x4000bfa0,0x0fdc04fb,0xbaffbfc8,
    0x20001efe,0xeeeeeefc,0x000cffff,0x44000bfa,0x2fb8004f,0xf9000bee,
    0x0ff40007,0x3200dd00,0xf880000f,0xb8bee004,0x3f90002f,0x809f3000,
    0xf98001fc,0x804fa804,0x03f602fd,0x32017ea0,0x3fa0003f,0xd83ff201,
    0x05fa800f,0x3fc807ec,0x807fa000,0x09f502fb,0x1fc809f1,0x004f9800,
    0x980001ba,0xaaa9804f,0x1aaaaffa,0x80017e60,0x0fdc03f9,0x5c1fffc8,
    0xf90001ff,0xffffffff,0x5f98001d,0x000dc000,0x017e23f4,0x40006f88,
    0x1ba004fa,0x00003ec0,0x23f400bf,0xf90005f8,0x09f30003,0x98001fc8,
    0x05fb004f,0x3f602fd4,0x0077c400,0x50001be2,0x0ffdc09f,0xef8801fb,
    0x441fe200,0x7d40006f,0xe80bee04,0x2027c41f,0xf98001fc,0x001ba004,
    0x0001ff00,0x0fb800dd,0x2005c000,0x3ff901fb,0x0003be60,0x7fdc07f2,
    0x017e4004,0x7cc00000,0x5000fd84,0xfd00007f,0xd8037400,0xf880000f,
    0xb09f3005,0x3f90001f,0x809f3000,0xf98001fc,0x01df1004,0x7c801fd1,
    0xa801fe80,0x7e80003f,0x7c8bfea0,0x9301fe80,0x0fea05ff,0xb81fa000,
    0x117e602f,0x01fc809f,0x2004f980,0x0f44006e,0x000cffb8,0x0db001ba,
    0x3ee00000,0x9803f901,0x1fc8005f,0x8017fa60,0x000000ff,0xfa81fc80,
    0x003f7003,0x2003f900,0x03f9006e,0x007f3000,0x0fea07f2,0x0007f200,
    0x3f9013e6,0x009f3000,0x17e427d4,0x3ee00c40,0x003f7004,0x2603f900,
    0x700623ff,0x27ff409f,0x00003f70,0x0bee03f9,0x27c45f90,0x20007f20,
    0x1ba004f9,0x6c07f300,0x1ba005ff,0x0000bf00,0x6407ee00,0x02fc801f,
    0x2200fe40,0x6f8805fd,0xf0000000,0xc8037c0d,0xfb80000f,0x200dd002,
    0xa80002fa,0x40df002f,0x1fc8006f,0x404f9800,0xf98001fc,0x30fec004,
    0x260000bf,0x03f2006f,0x40bee000,0x26002ffa,0x7fe4c06f,0x0001f902,
    0x3ee05f70,0xf137c402,0x001fc809,0x3a004f98,0x81fcc006,0x2000cffb,
    0x0fe6006e,0x7dc00000,0x1003f901,0x1fc800ff,0x9807fb00,0x0000004f,
    0x3f203fa8,0x0007e801,0x3a007f50,0x007f3006,0x5003f700,0x00fe407f,
    0x20007f20,0x17dc04f9,0x001fd400,0x00fe9be2,0x00fe8800,0x40001fa0,
    0x3ff703fa,0x003fa200,0x07e83fcc,0x207f5000,0x4fb802fb,0x1fc809f1,
    0x004f9800,0x7f3001ba,0x0001ff10,0x1fd400dd,0xfb800000,0x2003f901,
    0x3f2003fb,0x03fd1001,0x00001fcc,0x3007ec00,0x00df009f,0x4013e600,
    0x0df1006e,0x001fd000,0x27cc01fb,0x0007f200,0x7f3013e6,0x003f7000,
    0x07f99f70,0x00ff2000,0x20000df0,0x1ff904f9,0x000ff200,0x00df01fb,
    0x5c13e600,0x11fd002f,0x01fc809f,0x2004f980,0x1fcc006e,0xe80027cc,
    0x00fea006,0x0fdc0000,0x3e001fc8,0x007f2006,0x3e606f98,0x40000003,
    0x07e805f8,0x300006e8,0x01ba007f,0x20002fc8,0x5f8804fb,0x64007e80,
    0x4f98001f,0x4002fc40,0xfb0000fd,0x2a0000bf,0x06e8005f,0x207f3000,
    0xbf5007fd,0xd05f7000,0x3e60000d,0x2005f703,0x404f8df9,0xf98001fc,
    0x001ba004,0x05f507f3,0xa801ba00,0x0000003f,0x07f203f7,0x9001fc80,
    0x3fc8003f,0x00007f30,0x802fb800,0x03ec02fb,0x003fb800,0x7fc400dd,
    0x01ff0000,0xf7005f70,0x00fe4005,0x6c027cc0,0x17e6001f,0x00ff8800,
    0x00ff8800,0x00007d80,0x1bfa07f7,0x0003fe20,0x01f60bee,0xb81fdc00,
    0x2bf6002f,0x00fe404f,0xd0027cc0,0x83f9800d,0xdd0002fa,0x001fcc00,
    0x01fb8000,0x7cc003f9,0x003f9005,0xf980ff88,0xfffe9803,0x01efffff,
    0x5f8803f4,0x0000fe40,0x6e8017e4,0x0027e400,0x7e801fe4,0x400bf100,
    0xf98001fc,0x00ef9804,0x0001fe88,0xd8000374,0x3f90002f,0x05f90000,
    0x3f6013fe,0x05f70002,0x900003f9,0x00bee05f,0x404fff88,0xf98001fc,
    0x001ba004,0x05f507f3,0x8801ba00,0x0000005f,0x07f203f7,0x9001fd00,
    0x9f50003f,0xb3009f10,0xffdddddd,0x7ffc401d,0xffffffff,0x3ea00fff,
    0x0fd80002,0x8800dd00,0x3f2004fe,0xffff1006,0xffffffff,0x3f2001ff,
    0x04f98001,0x4c03df90,0xe80003fe,0x4fb80006,0x00bea000,0x2603f600,
    0x27dc01ff,0x505f7000,0xfb00005f,0xeefeec81,0x7fdc02de,0x000fe404,
    0x76c427cc,0xeeeffeee,0xeeeeeeee,0x02fa83fe,0xf800dd00,0x70000006,
    0x7f77643f,0x5402deee,0x3b22deef,0x1deeeffe,0x43bdfd00,0x7c40006f,
    0xeeefb804,0xeeeeeeee,0x13e603fe,0x00df1000,0x74400374,0x77ec00df,
    0xdddf7000,0xdddddddd,0x3ea007fd,0x03fa8002,0x22b3fee0,0x003ffca8,
    0x8000dd00,0x05f006f9,0x880009f3,0x80ff906f,0x05f006f9,0x09f305f7,
    0xe86f8800,0x3fffffff,0x5404fe80,0x3fa8002f,0xfffffe88,0xffffffff,
    0x83ffffff,0xdd0002fa,0x000fe800,0x21fb8000,0xfffffffe,0xffff803f,
    0x3fffffa4,0xf3003fff,0x003ec5ff,0x3a013e20,0x406e8006,0x320001fe,
    0x01ba003f,0x5efff440,0x05fecb99,0x74003740,0x007f1006,0xa8003f90,
    0xfffffffe,0x1ba00001,0x003fd000,0x07fa09f1,0xd03fc800,0x01fe807f,
    0x2fb84f88,0x40003fd0,0x000003fc,0x001fc400,0x00000fe4,0x005f5000,
    0xf5001be0,0x70000009,0x0000003f,0x20000000,0x220002fc,0x01fcc04f,
    0xf300fdc0,0x3fe2000b,0x001ba000,0xfffffd50,0xf98007df,0x01fb8003,
    0xff000bd0,0x3f660001,0x800000bd,0x3f20006e,0x209f1003,0xf10005f9,
    0x01ff301f,0xf8801fe4,0xf302fb84,0x3fe2000b,0x00000000,0xff8005e8,
    0x00000000,0x22000bea,0x1fd8005f,0x700a2000,0x0000003f,0x20000000,
    0x10000ef9,0x00fc809f,0x6404f880,0x2fd8002f,0x00037400,0x00acffc8,
    0x0001f900,0x3f2009f1,0x01be6001,0x0000f900,0x50006e80,0x27c400bf,
    0xb0005f90,0x813f605f,0x3e2005fa,0x3202fb84,0x2fd8002f,0x05eec000,
    0x003f9000,0x200037cc,0xa8000bdd,0x3fb8002f,0x00ef8800,0x200fe880,
    0xdd8001fb,0x8800000b,0x2e0002cd,0x9f10004f,0x20005f80,0x3fe200fd,
    0x017f6003,0x20001ba0,0x80001efc,0x3f60005f,0x00ef9800,0x0000ff98,
    0x00000274,0x3e2001ba,0x13e2000f,0x2003ff88,0x1ff105fd,0x8003fe20,
    0x03fa84f8,0xd800ffe2,0xc980005f,0x3e60004e,0x0ff9800e,0x2764c000,
    0x000fe400,0x40003fe2,0x26000efa,0x0fdc03ff,0x02764c00,0x2fca8000,
    0x00ff6000,0xfa813e20,0x0bea0002,0x8809ff30,0xe8000efe,0x3fa60006,
    0x0acdeddf,0x3ea13ae2,0x0bea0002,0x300f7d40,0x900007ff,0x4000010b,
    0x2fd8006e,0x2027c400,0x74404ff9,0x09f900ef,0x220017ec,0x406f884f,
    0x74404ff9,0x200000ef,0x7d400079,0x0ffe601e,0x00798000,0x81303fc4,
    0x40003fe8,0xfa803ffb,0x01fb802f,0x0001e600,0x4000b900,0x1001efe8,
    0x07ec09f7,0x00bf1000,0x3159dfb1,0x000bffb7,0xf9800374,0xffffffff,
    0x2fffefff,0x20000fd8,0x3ea005f8,0xfdb98acf,0xf300003f,0x000bd75b,
    0x2a003740,0x4f88004f,0xacefd880,0x05ffdb98,0x7d403fe2,0x04f88004,
    0x22015df9,0xb98acefd,0x80005ffd,0x005eaacd,0x8acffa80,0x003ffdb9,
    0x2f5566c0,0x03ffb880,0xffdddff1,0x3ee00007,0xdb98acef,0xaa881eff,
    0x2001fdaa,0x005eaacd,0x2e6f6200,0xfb80002f,0x9989acdf,0x4c2effdb,
    0xdeeeffed,0x3bbb6200,0x6401deff,0xefffffff,0xeeeec802,0xeeeeffee,
    0x37ea04ee,0x7654c0ab,0x7f6cc3df,0x200deeef,0xeffeeed8,0xffea801d,
    0x001effff,0x6ffed400,0xeed98000,0xeeeeffee,0xdddf702d,0xdddddddd,
    0x4009fddd,0xfffffffc,0x017dc02e,0xddddddf7,0xdddddddd,0x2ffe409f,
    0x3fffff20,0x00002eff,0x0019dfb3,0x3fffaa00,0x0001efff,0x00cefd98,
    0xa805dfd0,0x001defed,0x7ffe4400,0x204fffff,0x1ffffffe,0x33bf6600,
    0x75c00000,0x200003ef,0xffffffd9,0xf502dfff,0x1dffffff,0x7ffff440,
    0x51002fff,0x74003599,0xffffffff,0x06ffffff,0xff500000,0x01dfffff,
    0x7fffff44,0x2a2002ff,0x00001acc,0x2a000040,0xffffffff,0xf703ffff,
    0xffffffff,0x9fffffff,0x59951000,0x700a2003,0xffffffff,0xffffffff,
    0x20035009,0x001acca8,0x00000000,0x01acca88,0x30000000,0x00000003,
    0x56654c00,0xaaaa9800,0x000000aa,0x00000000,0x59975300,0x00000013,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x04c0c400,0xec800000,
    0xeeeeeeee,0x403eeeee,0xaaaaaaa9,0x8000aaaa,0x06e200b9,0x00001000,
    0x371005cc,0x176cc000,0x00000000,0xeeeeeeb8,0xeeeeeeee,0x8004eeee,
    0x00000019,0x00000000,0xdb300000,0x7ddddddd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x04400000,0x09f0db00,0x4077f6a0,
    0xfffffd00,0xffffffff,0xfffe80df,0xffffffff,0x06ff8003,0x5c001ffa,
    0x00101efe,0xfff037fc,0x3ffec000,0xffffd000,0x5fffffff,0x7ffff400,
    0xffffffff,0x05ffffff,0xdffffd50,0x7ffc4005,0xffffffff,0xd100000f,
    0x3ffe2009,0xffffffff,0x7ffdc00f,0x06ffffff,0x80000000,0xd100005c,
    0x3f50000b,0x4c000000,0x8800002f,0x2a00006d,0x2200002f,0xffd3004e,
    0x88dd003d,0x7ff4404f,0x3ee0cffe,0x00374004,0x55555510,0x00155555,
    0xf00fff88,0x7c4001ff,0x20cffdff,0xff8804fb,0x01fff107,0x03fffa00,
    0x66665c00,0x0ccccccc,0x003f9000,0xfb805f88,0x3ffcbcef,0x33333200,
    0x04cccccc,0x07ff3000,0x66666640,0x004ccccc,0x07f2bea0,0x00000000,
    0xd30000ff,0xf300007f,0x0000005f,0x00003ff7,0x0005fe88,0x0003ff70,
    0x400ffe60,0x805ffffe,0x2027c46f,0xffd30cfc,0x8003dfbb,0x0000006e,
    0x016d4000,0xfc8005b5,0xdbffb30c,0x36a001df,0x000b6a02,0x0004ffb8,
    0xc8000000,0x2fc4001f,0x22037f20,0x000003fd,0x5ff50000,0x00000000,
    0x13e63f60,0x80000000,0x540005f9,0x200003ff,0x00004ff9,0x0007ff20,
    0x009fd300,0x007bf200,0x017fd400,0xffffff88,0x3e62fc00,0xfa80c403,
    0xe8000dff,0x00000006,0x00000000,0x7ff54022,0x00000004,0x00006200,
    0x64000000,0x2fc4001f,0xfd00bf30,0x00000000,0x0003ff70,0x22000000,
    0x4001fa5f,0xdeeeeeec,0xeeeed981,0x0001ffee,0x0000bfee,0x0017fa20,
    0x003bf600,0x07ff5000,0x03bf6000,0x0ffdc000,0x3ffffa00,0x262fc406,
    0x0880003f,0x001ba000,0x3a604ea8,0x00000004,0x00010000,0x00000000,
    0x00000000,0x4001fc80,0x07f605f8,0x00007e60,0xefc80000,0x00000001,
    0xfb8bee00,0x7ffc4002,0xb83fffff,0xbeffffff,0x3ff20001,0x22000001,
    0x80000dfd,0x0000dfd8,0x0017fdc0,0x006ff440,0x01efc800,0x2ffffa80,
    0x3ea27c40,0x00000002,0x3a0006e8,0x5ffd01ff,0x00000000,0x00000000,
    0x00000000,0x3bbbb660,0x0003eeee,0xf8001fc8,0x4009f304,0x77775c4f,
    0xeeeeeeee,0x04eeeeee,0x0003be60,0x3bbbbbae,0xeeeeeeee,0x223f4003,
    0x3f20005f,0x04f98001,0x00ef9800,0x7fb00000,0x09f70000,0x3ff10000,
    0x13f20000,0x0ef98000,0x80154000,0x017dc3f9,0xddddddd7,0x7ddddddd,
    0x00037400,0x3f201ffb,0x7775c00f,0xeeeeeeee,0x4eeeeeee,0x02f776dc,
    0x777776cc,0x3bbae0ce,0xeeeeeeee,0x775c3eee,0xeeeeeeee,0xeeeeeeee,
    0x3fffee04,0x006fffff,0x8001fc80,0x001fb01a,0x3fffa374,0xffffffff,
    0x5fffffff,0xd0001400,0xffffffff,0x0dffffff,0x7ec27cc0,0x03f90000,
    0x0009f300,0x000000a0,0x20000260,0x20000018,0x2200000a,0x02800001,
    0xf9800000,0xfd00fdc3,0xffffffff,0x00dfffff,0x2a000374,0x7400d400,
    0xffffffff,0xffffffff,0x7fff45ff,0x7fd403ff,0x21ffffff,0xfffffffe,
    0x6fffffff,0x7ffffff4,0xffffffff,0x8005ffff,0x001fcafa,0xd880fe40,
    0x00374000,0x01fc81ba,0x0002fc40,0x06e80000,0x503f9000,0x3f20007f,
    0x04f98001,0x00000000,0x00000000,0x00000000,0x00000000,0x54000000,
    0x000fe42f,0xd00006e8,0x0000000d,0x0007f200,0x7fdc0bf1,0x13e2000f,
    0x4001ba00,0x7c4001fc,0x98fd8005,0x7e40004f,0x8005f501,0x1ba6005f,
    0x44001fc8,0x1000005f,0x01ba007d,0xdf037c00,0x007f2000,0x00013e60,
    0x00000000,0x00000000,0x00000000,0x00000000,0x85f70000,0xdd0000fc,
    0x01ba0000,0x40000000,0x7c4001fc,0x17f3ee05,0x8004f880,0x3f90006e,
    0x005f8800,0x00fd2fc4,0xf701fc80,0x027cc005,0x81bfffae,0x7c4001fc,
    0xdd973005,0x2fe8837b,0x0000dd00,0x0fe407f5,0x000fe400,0x730027cc,
    0x2e2039d9,0x4cc402de,0x99988019,0x33331009,0x13333100,0x76e54400,
    0x80041bcd,0x1bceecb9,0xeeeca800,0x000021cd,0x33f6aaa6,0xaabfeaaa,
    0x00dd000a,0x0001ba00,0x7e400000,0x02fc4001,0x003fb5f7,0x3a0013e2,
    0x03f90006,0x4005f880,0x00bee2fb,0xeeeefc80,0x2002feee,0xdff503fa,
    0x7e40dd9b,0x02fc4001,0x3fffffa2,0xfe89efff,0x001ba003,0xf9803f60,
    0x01fc8004,0xa804f980,0x6ffffffe,0x27ffffdc,0x03fffff0,0x37ffffcc,
    0x01fffff8,0x1bffffe6,0x7ffffdc0,0xfb8cffff,0x3fff6200,0x00dfffff,
    0xffffffb8,0x03faefff,0x7ffffc00,0xffffffff,0xdd006fff,0x01ba0000,
    0x80199988,0x80099998,0x7c4001fc,0x3e2bee05,0x009f1006,0x32000dd0,
    0x2fc4001f,0xbf11fa00,0x7ffe4000,0x02ffffff,0x3e60bee0,0xf903743f,
    0x409f0003,0x220acffb,0x03ffffc9,0x20003740,0x07e805f8,0x8001fc80,
    0xdff804f9,0x7d53f661,0x20bf910e,0x401fecc9,0x306fcccb,0xb803fd99,
    0x4406fccc,0x5441aefe,0x500feffe,0x54415bff,0x3f202ffd,0xffc981bf,
    0x5555304f,0xfd555305,0x55ff5557,0x1ba00155,0x00374000,0x403fffff,
    0x06fffff9,0xf8001fc8,0x7e4bee04,0x004f8803,0xf90006e8,0x009f0003,
    0x07ec27cc,0x701fc800,0x17dc005f,0x03740ff4,0x350003f9,0x2007bf20,
    0xe8006ff9,0x17dc0006,0x20017dc0,0xf98001fc,0x36008804,0x5f906fbf,
    0x4001fb80,0x01fb806f,0xfd1037c0,0x3ffea009,0x802ffa80,0xff982ffa,
    0x04ff9800,0x007ffffb,0x000df0fb,0xe8000374,0x3b326006,0x6665c01f,
    0x01fc806f,0x3ee01a80,0xf1003fa2,0x00dd0009,0x20007f20,0x07f2001a,
    0x64000fea,0x005f701f,0x13e617dc,0x03f90374,0xf9800362,0xefe8800e,
    0x0374002f,0x4401fa00,0x0fe4005f,0x0027cc00,0x80fffd40,0x0fdc06f8,
    0x2e01be00,0x037c001f,0xfa8005f9,0x007fc40f,0xfc81ff10,0x213f2003,
    0x006ffff8,0x000bf0fd,0xe8000374,0x03f70006,0xfc806f80,0x0001b101,
    0x027d45f7,0x3a0013e2,0x03f90006,0x20000362,0x001be06f,0x1fa80fe4,
    0xf70bee00,0xfc81ba05,0x2005f501,0xe8801fe8,0x000ff8cf,0xf88001ba,
    0xffffffff,0x000fffff,0x260007f2,0xff00004f,0x202fb80b,0x37c001fb,
    0x2000fdc0,0x00bf306f,0x5fb03fa0,0xc8bf5000,0x41fc001f,0x002ffffa,
    0x005f88dd,0x40001ba0,0x3f70006e,0xc806f800,0x005f501f,0x1fd85f70,
    0x20013e20,0x3f90006e,0x0000bea0,0x0fe407f5,0x100fe400,0x217dc040,
    0x40dd02fb,0x05f701fc,0x2200fee0,0x013ee4fe,0x2e0006e8,0xeeeeeeef,
    0x03feeeee,0x20007f20,0xd00004f9,0x05f8805f,0xdf0007ee,0x8003f700,
    0x003fb06f,0x09f31ee0,0xf30fec00,0x3f20000b,0x1be005ff,0x740009f1,
    0x0dd00006,0x0007ee00,0x03f900df,0x2e000bee,0x1037cc2f,0x0dd0009f,
    0x5c07f200,0x7ec0002f,0x0013e600,0x7c0007f2,0x3e617dc3,0x7e40dd06,
    0xfeeeeeee,0x801fb002,0x05f84fe8,0xe8001ba0,0x006e8006,0x260007f2,
    0x9988004f,0xdd001fd0,0x2000fdc0,0x01fb806f,0x06f837c0,0x00fdc000,
    0xfd85f500,0x3e0001be,0x3e000fff,0x00027cc5,0x3a0000dd,0x03f70006,
    0xfc806f80,0xfeeeeeee,0x82fb8002,0x09f102fc,0x2000dd00,0xeeeeeefc,
    0x220002fe,0x007e805f,0x88001fc8,0x7417dc4f,0x3206e81f,0xffffffff,
    0x00dd002f,0x01fa09fb,0xf30006e8,0x03f70007,0x20007f20,0xca8804f9,
    0xffeffffe,0xaaaaaaaa,0x07ee07ea,0xf700df00,0x886f8003,0x6400004f,
    0x3e20000f,0xeffffb84,0x7cc01bcd,0x3ffa03ff,0xffffffff,0x006fffff,
    0x740001ba,0x03f70006,0xfc806f80,0xffffffff,0x82fb8002,0x4f880ff8,
    0x0006e800,0xfffffff9,0x5c0005ff,0x02fb802f,0x4000fe40,0x417d44f8,
    0xe99acff9,0x5c07f207,0x05f8802f,0x1f9027ec,0x4001ba00,0xf88000fc,
    0x003f9004,0xfa809f30,0xfdccceff,0xffffffff,0x2e07ffff,0x037c001f,
    0x3e000fdc,0x0003f986,0x40003740,0xdb95106f,0x205dffff,0x6dc06ffc,
    0xeeeffeee,0x03eeeefe,0x40001ba0,0x3f70006e,0xc806f800,0x005f701f,
    0x3ea05f70,0x8004f884,0x3f90006e,0x8000bee0,0x0bf1007e,0x8001fc80,
    0x81fd44f8,0xffffffe9,0x2e03f904,0x40bf002f,0x07e405fd,0xf0006e80,
    0x07ec000b,0x4000fe40,0x3bf604f9,0x4ccff402,0x19999999,0xf0007ee0,
    0x003f700d,0x03f986f8,0x003f4000,0x26002fc0,0xfe84ffca,0x1fcc001f,
    0xe8000bee,0x0dd00006,0x0007ee00,0x03f900df,0x2e000bee,0x107fa02f,
    0x0dd0009f,0x5c07f200,0xff10002f,0xffffffff,0x4001ffff,0xf88001fc,
    0x26027cc4,0x901ccbca,0x007ea03f,0x05fd83f4,0x1ba006e8,0x000bea00,
    0xfa802fa8,0x03fa8002,0x3fa00df3,0x1fb80000,0x5c037c00,0x437c001f,
    0x400004f8,0x260000fc,0x3220004f,0x017fe25f,0x3f70fe60,0x00374000,
    0x70006e80,0x06f8003f,0x3f501fc8,0x405f7000,0x027c45f9,0xc8003740,
    0x003f501f,0x3bbbbee0,0xeeeeeeee,0x07f2003f,0xf113e200,0xfc80000b,
    0x6c080201,0x402fec0f,0x1ba005f8,0x0003f600,0xf8805f88,0x01fc8003,
    0x3fa005f9,0x1fb80002,0x5c037c00,0x837c001f,0x5c00006f,0x3ea0002f,
    0x0fc80002,0x50001ff5,0x001fc85f,0xec801ba0,0xeffeeeee,0x204eeeee,
    0x37c001fb,0x0100fe40,0x805f7004,0x013e22fc,0x64001ba0,0x0080201f,
    0x37400374,0x3bffbb20,0xeeeeeeee,0x84feeeee,0x6400007e,0x47f0001f,
    0x017f64fa,0xdd001fe4,0x3ffb6600,0x2200deee,0xdeffeeed,0x20017a01,
    0x03f700ff,0x0000ffa0,0xdf0007ee,0x8003f700,0x003fb06f,0x002fcc00,
    0x01aa1fd0,0x03517cc0,0xf90bea00,0x03740001,0xffffffd0,0xffffffff,
    0x000fdc0d,0x07f201be,0xfb81fc00,0xf137c402,0x00dd0009,0x40007f20,
    0x007f303f,0x7f403f70,0xffffffff,0xffffffff,0x02fb84ff,0x007f2000,
    0x3fb13e20,0x3e600bf9,0x80374006,0xfffffffa,0x3ffa200e,0x202fffff,
    0x3e6001fc,0x200fe606,0x0000fff9,0xf9001fd4,0x007f500d,0x6f9837e4,
    0xf9126000,0x49f70007,0xfa8002fc,0x3f700002,0x740007d8,0x3ee80006,
    0x003f7000,0x1fc806f8,0x704f8800,0x29f7005f,0x6e8004f8,0x003f9000,
    0x3f209f10,0x04f88000,0x0f6c0000,0x00006f88,0x220007f2,0x2fffc44f,
    0x001fe880,0x00000374,0x3003d700,0x3fe600df,0x10077c00,0xa807fffd,
    0x201be605,0x9806ffd8,0xffd8806f,0x0013f206,0x3fd03ff2,0x3237cc00,
    0x0fd8005f,0x83f90000,0x3740007d,0x00be2000,0x2003fa80,0x1fc806fc,
    0x704f8800,0x23fa005f,0x6e8004f8,0x003f9000,0x17e09f10,0x000fd800,
    0x801f1000,0x900003fc,0x9f10003f,0x7007ffb0,0xdd0007ff,0x40000000,
    0x3bea002e,0x00ffe601,0x7f4417ee,0xd881feff,0x00ff406f,0x00dfbff3,
    0xff9807fa,0x6ff406fd,0x1ffea800,0xc804ff98,0x6ffe41ff,0x04fd8800,
    0xd03f2000,0x06e8000f,0x00035c00,0x36201be6,0x1fc806ff,0x704f8800,
    0x37e6005f,0x6e8004f8,0x003f9000,0x5f509f10,0x017d4000,0x005b8000,
    0x2d9809fd,0x20007f20,0x7f7e44f8,0xba88abef,0xd0001efe,0x0000000d,
    0xf50003e6,0xfb73159f,0x77dc007f,0xeaffb98b,0xc98bfe8e,0xff9804ff,
    0xffeca8ad,0x403bdff2,0xca8adff9,0xbdff2ffe,0x59ffb103,0xffd97313,
    0x77f4c01b,0xfeca88ab,0xffefc80e,0xca988abc,0x400005ff,0x0006e87d,
    0x26000374,0x3a00040f,0x37fe601f,0x01fc806f,0xf704f880,0x7d7ec005,
    0x006e8004,0x10003f90,0x001fb09f,0x0002fc40,0x0660f980,0x4c6f7fe6,
    0x3201ffca,0x4f88001f,0x7fdc3bf2,0x04ffffff,0x00037400,0x4c7d0000,
    0xfffea803,0x8001efff,0x1ffffffb,0x3fffe699,0x3ea002ef,0x0dffffff,
    0x5007fffe,0xbfffffff,0x00ffffc1,0xfffffff5,0x5c0019ff,0xffffffff,
    0x7f4daa03,0xefffffff,0x7d800002,0x740005f8,0xbee80006,0x26000fda,
    0xeca8adff,0x3bdff2ff,0x20007f20,0x05f704f8,0x027ffc40,0xc8003740,
    0x4f88001f,0xdddffdb3,0x776c401b,0x001deffe,0x7f6fec00,0xffffb102,
    0xd903dfff,0xdddddffd,0xdddddddd,0x03bea9fd,0x03599731,0x77777640,
    0xeeeeeffe,0x4000004e,0x003feffa,0x006b2ea2,0x02af2600,0x00037930,
    0x006f32a2,0xbcca8800,0x2a600001,0x0009accb,0x06b32a60,0x665d4400,
    0x000001ab,0x2017e1ba,0xfeeeeeec,0x4eeeeeef,0x5dff9300,0xffff5000,
    0x7fc1bfff,0x3fbb21ff,0xeeeeeeef,0xfeeeeeee,0x777f7644,0x7fdc02de,
    0xddddd904,0xdddddffd,0xffeec89d,0xeeeeeeee,0x4feeeeee,0xfffffff5,
    0x7ff4401d,0x002fffff,0x00ab9800,0x1bcdcb98,0x3fffffa0,0xffffffff,
    0x34ffffff,0x20000019,0xfffffffe,0x6fffffff,0x55000000,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2a000000,0xfe801b83,
    0xffffffff,0x006fffff,0xca880000,0xfe8001bc,0xffffffff,0xffffffff,
    0x7fff44ff,0xe803ffff,0xffffd04f,0xffffffff,0xfffe8dff,0xffffffff,
    0xffffffff,0x00000004,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x5ecc0000,0x00000000,
    0x00000000,0x64c00000,0x0000000c,0x00000000,0x99995310,0x00179999,
    0x333332e6,0x000004cc,0x30009800,0x00000000,0x00000100,0x20013000,
    0x20028009,0x002e0001,0x14000000,0x0c400500,0x13001880,0x50002600,
    0x04401400,0x207dc000,0x3a2002e9,0x0002fdcf,0x00000f5c,0x000003d5,
    0x80005f30,0x004fdcfd,0x005f3000,0x0000fd40,0x7f7ff6c4,0xdeefeeee,
    0x777fe401,0x07eeeeee,0xb107ea00,0x80bfe009,0x80002fd8,0x980000fc,
    0x02dffedb,0x0017d400,0x0fe2013e,0x4c01df30,0x6c4000fe,0x220001ff,
    0x00ceffec,0xf7005f30,0x017ee003,0x3fa00df5,0x001fe403,0x3f7005f3,
    0x07bffa60,0x2637dc00,0x16e001ff,0xf98000d5,0xf300002f,0x4000005f,
    0x20001ffb,0x003e20f9,0x03ff7000,0x017fcc00,0x1cffc880,0x2006a8d5,
    0x3cc00cfc,0x20ffa800,0xf5003fe8,0x09ff307f,0x06fd8800,0x7fff4c00,
    0x0007fede,0xd0007fee,0x02fd803f,0xfa82ffb8,0x7f4c003f,0x98003ffd,
    0xfffedfff,0x00ef8802,0x44003fe2,0xffc81efd,0x0bfd3001,0x4001bfd1,
    0x3e200ef8,0xffffd00f,0x1df7000b,0x20017fc4,0x0002e82e,0x0001ffcc,
    0x0003ff98,0x001ffc80,0x02642640,0x03ff9000,0x09ff3000,0x41efe880,
    0xa803546a,0x00f3001f,0xfd83ff30,0x6ff44004,0x0005ff70,0x0005fe88,
    0x20567fdc,0xdf900008,0x1df70001,0x4003fee0,0x3bf24ffa,0x9ffdc001,
    0x5000dfe8,0x7d4415ff,0x04fd802f,0x2e0017f2,0x1bfd12ff,0x0efd8800,
    0x20007ff5,0x17f204fd,0x7fffffc4,0x83bea000,0xe8002fe8,0x80001f82,
    0x00004fe8,0x00009fd1,0x000077ec,0x0026c264,0x000efd80,0x017fa200,
    0x6a81ffd8,0x06c80354,0xf3001e60,0x004fd83f,0x3bf7bf20,0x7f4c0001,
    0x3f620004,0x4400001f,0x20000efd,0xfdabeffd,0x744001ff,0x000dfeef,
    0x7ec0f7ec,0x02ff801e,0xf1003fe6,0xffb77bff,0x3e60001d,0x0004ffdf,
    0x17feffdc,0xbfff1000,0x01dffb77,0x037ffff4,0x7441ff50,0x1d70003f,
    0x1000035c,0x00001bfd,0x0001bfd1,0x0006fec4,0x3e60f980,0x7ec40000,
    0x8800000d,0xff800dfd,0x06a8d503,0x2c4007d0,0xd85ff100,0xfa80005f,
    0x4c0000df,0x6c0003ff,0x400000df,0x00005fe8,0xbffffff7,0x7fe40003,
    0x0dfb8003,0xf701bee0,0x009f9007,0xffffff91,0xd8800019,0x300002ff,
    0x00001dff,0xffffff91,0xfffa8019,0x07fe002f,0x440007f7,0x002fedfe,
    0x003fd800,0x000ff600,0x00004fc8,0x04fddfc8,0x004fb800,0x03fd8000,
    0x6a80ffcc,0x05c80354,0x0bf60000,0x40000bf3,0xff000039,0x5fb80005,
    0x9f900000,0xa9880000,0x500000aa,0x00a20003,0x01fe00c4,0x31003fc4,
    0x00001355,0x400000b8,0x88000038,0x40009aa9,0x8098002a,0x93000018,
    0xa8000005,0x05400000,0x00031000,0x005dc400,0x00018800,0x50026000,
    0x51aa01ff,0x007ea00d,0x280cc000,0x00000000,0x10000260,0x000001ff,
    0x00000062,0x00000000,0x7dc00000,0x00bf2004,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x1ffa8000,0x206a8d50,0x01ffffd8,0x00000000,0x00000000,0x017ec000,
    0x00000000,0x00000000,0x80000000,0x3ea001fc,0x00000004,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x26000000,0xa8d502ff,0x137bf106,0x000007f9,0x54400000,0x41bcdedc,
    0x20000000,0x000005f9,0x5cc00000,0x00cdeeec,0xbddd9500,0xa8800439,
    0x41bcdedc,0x44007d80,0xecb9805f,0x10001bce,0x159bdb75,0x03333100,
    0x01333310,0x6f6dd440,0x000000ac,0xbceecb98,0x19998801,0x09999880,
    0x3bb2e600,0xb98001bc,0x00cdeeec,0xddd97300,0x2600019b,0x0cdeeecb,
    0x36ea2000,0x0000acde,0x59bdb751,0x20bff001,0x6c83546a,0x8003df50,
    0x88019998,0x70009999,0xffffffff,0x101f719f,0x4c013333,0x05f701cb,
    0x83331000,0x0aceeca8,0xffff9300,0x07ffffdf,0x7ffffdc0,0x3faeffff,
    0x7ffffdc0,0xfb8cffff,0x7c003740,0x3fff6206,0x00dfffff,0x3ffffea0,
    0x7c04ffff,0x2601ffff,0x006fffff,0xfffffff5,0x000009ff,0x3fffff62,
    0x3e00dfff,0x2601ffff,0x806fffff,0xffffffd8,0x64c00dff,0xffefffff,
    0xf93003ff,0xfffdffff,0x3f26007f,0xfffeffff,0xffa8003f,0x4fffffff,
    0x7fffd400,0x404fffff,0x46a84ffa,0x4407d06a,0xff000dfd,0x7cc03fff,
    0x4406ffff,0x5441aefe,0x4c0feffe,0xb86fffff,0x42efffff,0x440000fe,
    0xff51ffff,0x03ffffff,0x8159dfb0,0xc804fea8,0xfc981bff,0xdfd104ff,
    0xffea8835,0x002fc0fe,0xdffa83f4,0x3ff6a20a,0x5ffec402,0x0f7f5441,
    0x01fecc98,0x037e665c,0x106fff62,0x0003dfd5,0x056ffd40,0x205ffb51,
    0x401fecc9,0x406fcccb,0x220adffa,0x3602ffda,0x5440acef,0xefd804fe,
    0x7f5440ac,0xacefd804,0x027f5440,0x41bffd88,0x401efea8,0x441bffd8,
    0x2e01efea,0x51aa0dff,0x2601aa0d,0xcc9803fe,0x665c01fe,0x3fa206fc,
    0x1fff5004,0x4df99950,0xa8acffd8,0x261fe1ff,0x5402ceeb,0xbefc9fec,
    0x007fee21,0x17ec0011,0x3001ff30,0x9fd109ff,0x83ffea00,0xfd8004f8,
    0x4017fd40,0x3fa02ffa,0x1ffa800c,0x2000fdc0,0x067f406f,0x000ffd40,
    0x4017fd40,0x7dc02ffa,0x5037c001,0xff5005ff,0xd8002205,0x0004402f,
    0x008805fb,0x3a00bf60,0xffa800cf,0x0033fa01,0xd9807fea,0x546cbeff,
    0x54013e06,0x3f7002ef,0x3206f800,0x7fd4002f,0xff36e800,0x223b301b,
    0x3bffe65f,0x5c00dfff,0x7c405fef,0x7c400007,0x800ff204,0x02fc84fc,
    0xf107fd40,0x41f90009,0x22000ff8,0x04fc80ff,0x2e037d40,0x037c001f,
    0xfa8009f9,0x7fc40006,0x03fe2000,0x7c001fb8,0x001ff106,0x00007fc4,
    0x000027c4,0x000013e2,0x4fc809f1,0xc837d400,0x37d4004f,0x37f65cc0,
    0x0df981aa,0x801bf900,0x37c001fb,0xd0005f98,0xf5dd001f,0xa7c4005f,
    0x3620bff9,0x3fee00ef,0x003f7005,0x3206f800,0x21fc001f,0xfd0005f9,
    0x40027c41,0x00bf60fc,0xbf317ea0,0x80fee000,0x37c001fb,0x70005f98,
    0xcffc887f,0x0005fb00,0x0fdc0bf5,0x7ec1be00,0x05fa8002,0x000df000,
    0x0000df00,0x2fcc0df0,0x4c3fb800,0x7f70005f,0x3546a800,0x400bfa20,
    0x3ee00ee9,0xd837c001,0x0f70001f,0x007fffa0,0x3df19f10,0xf7027dc0,
    0x027c400b,0x981ba000,0xfd80005f,0x88f70001,0x0fc8004f,0x6c0009f3,
    0x0007f61f,0x07ee07f8,0x3f60df00,0xb1fe0001,0xf30bffff,0x0fec0009,
    0x7c001fb8,0x0004f986,0x200007f6,0xe800006e,0x6e800006,0x80007f60,
    0x000fec7f,0x6a800ff0,0xdfb80354,0x206d8800,0x37c001fb,0x000006f8,
    0x0001dfd0,0x2007fb7e,0x03f701fd,0x44005f80,0x03741999,0x0006fbf6,
    0x2000037c,0xfc8004f8,0x40003f70,0x001ba2fa,0x3ee01f90,0xe837c001,
    0x87e40006,0x0ffffff8,0x50000fdc,0x007ee05f,0x03f70df0,0x4017d400,
    0x37419998,0x0cccc400,0x262001ba,0xd0374199,0x0fc8000d,0xf90001ba,
    0x2a354001,0x33f62006,0xf702f800,0x886f8003,0x0000004f,0x7c0001dd,
    0xbf1002ff,0xf0007ee0,0xfffb500b,0xdfbdffff,0xdffff700,0x7c40379b,
    0x7c400004,0x327d8005,0x3e20000f,0x9999df14,0x99999999,0x203fb999,
    0x37c001fb,0x666677c4,0xcccccccc,0x3e1fdccc,0xfc86ffff,0x13e20000,
    0x3e000fdc,0x0000fc86,0x7ed413e2,0xdeffffff,0xffb5006f,0xfbdfffff,
    0x3ff6a00d,0xfdefffff,0x999df106,0x99999999,0x23fb9999,0xcccccef8,
    0xcccccccc,0x2001fdcc,0x4003546a,0x2dc02fea,0x7c001fb8,0x0003f986,
    0x000dd000,0x74006fe8,0x8003f706,0x3ffaa05f,0xecccbcde,0x951006ff,
    0x5dffffdb,0x00007f30,0xdd000df0,0x7c000374,0xffffff36,0xffffffff,
    0x207fffff,0x37c001fb,0x7fffffcc,0xffffffff,0x2e3fffff,0x6e83ffff,
    0x706f8000,0x86f8003f,0x6f80006e,0x66f7ff54,0x6ffecccb,0x6f7ff540,
    0xffecccbc,0x77ff5406,0xfecccbcd,0xffff306f,0xffffffff,0x7fffffff,
    0x3fffffe6,0xffffffff,0x003fffff,0x000d51aa,0x4c806fdc,0xf8003f70,
    0x0003f986,0x000dd000,0x6c001fd8,0x8003f707,0x19ff505f,0x0001be00,
    0x989ff953,0xe800003f,0x3a5f8007,0x15f80007,0x3333339f,0x33333333,
    0x3ee01333,0x4437c001,0x999999cf,0x99999999,0x5dc40999,0x0000fd00,
    0x007ee0bf,0x00fd0df0,0x7fd4bf00,0x40df000c,0xf000cffa,0x067fd40d,
    0x9f106f80,0x33333333,0x33333333,0x2673e213,0x99999999,0x09999999,
    0x0d51aa00,0x12fd8800,0x3ee01f95,0x4437c001,0x0000004f,0xfb8000dd,
    0x407e4002,0x2fc001fb,0x2000ffcc,0x2200006e,0x013e25fc,0x003f6000,
    0x03f24f88,0x3a4f9800,0x5c000006,0x837c001f,0x0000006e,0x80003f20,
    0x03f704f9,0x0fc86f80,0x4d3e6000,0x374001ff,0x4001ff98,0x03ff306e,
    0x1ba06e80,0x01ba0000,0x1aa00000,0x2e0000d5,0x202effef,0x37c001fb,
    0x000006f8,0x88000dd0,0x83ec004f,0x2fc001fb,0x740017e4,0xfc800006,
    0x00001be0,0xfb800bf2,0x8000bee3,0x003f62fa,0x01fb8000,0x0fd837c0,
    0x70000000,0x7d40005f,0x8003f702,0x002fb86f,0x17e4bea0,0xfc837400,
    0x906e8002,0x0dd0005f,0x000007ec,0x000003f6,0x06a8d500,0x06fea000,
    0xf0007ee0,0x0007f60d,0x001ba000,0xdf001fa0,0xf0007ee0,0x2000fd0b,
    0x000d506e,0x01fd8be6,0x037cc000,0x2fcc3fd0,0x5c1fd000,0x2000004f,
    0x37c001fb,0x00004fb8,0x3e617d40,0x03fa0005,0x3e000fdc,0x0005f986,
    0x003f43fa,0x00fd06e8,0x03f41ba0,0x3ee06e80,0x7dc00004,0x40000004,
    0x0003546a,0x7dc00fa0,0x9837c001,0x1260006f,0x20001ba0,0x7f5003fb,
    0xf0007ee0,0x7000fd0b,0x00bf20df,0x6f98bea0,0x3a126000,0x85f9801f,
    0xfb8003fc,0x0002fd84,0x4007f500,0x0bf606fc,0x7fdc0000,0x8003fc81,
    0x0fea04fb,0xf906fc80,0x49f70007,0x6fb8007e,0xf7000fd0,0x2001fa0d,
    0x17ec06fb,0x0bf60000,0x6a800000,0x00120354,0x0fea00d7,0x3206fc80,
    0xffc8004f,0x00037400,0x7e800fe8,0xf0007ee0,0x2007f90b,0xf906ffd8,
    0x81fb000b,0xfc8004fc,0x202fd40f,0x3fd01fe8,0x8837cc00,0xc98000ff,
    0x100df301,0x7c40dffb,0x1c98000f,0x3a01efc8,0x1be6001f,0xb100df30,
    0x0ff40dff,0xfc8df300,0xdffb1003,0x4400ff20,0x7f906ffd,0x1bff6200,
    0x0001ff10,0x0ff88393,0x001c9800,0x440d51aa,0x0136000f,0x6c4037cc,
    0x6ff406ff,0x1ffea800,0x00006e80,0x36203df5,0x007ee03f,0x0df50bf0,
    0x0dfbff50,0x20037ff2,0xbfd04fd8,0x3ffd5001,0xfd813f60,0x013fe604,
    0xfa807ff2,0xffb3003f,0x300ff405,0xa80dfbff,0xfb3003ff,0x00efd85f,
    0x64027fcc,0x1fe801ff,0x1bf7fe60,0xc804ff98,0x037d41ff,0x837effd4,
    0xffa806fa,0x0df506fd,0x0dfbff50,0x2007ff50,0xfa82ffd9,0xffb3003f,
    0x2a354005,0x4003e206,0x3fa002f8,0x3f7fe601,0x67fec406,0xfecb989a,
    0x0dd000df,0x67fd4000,0x04ffba9a,0x3e000fdc,0x137df905,0x25ffd973,
    0xf90deefe,0x11579ffd,0x40bff953,0x89acffd8,0x0dffecb9,0x26fbfa20,
    0x400dfec9,0x88abefe9,0x800efeca,0x89abefe9,0x2fffdca9,0x456ffcc0,
    0xff2ffeca,0x3fa603bd,0xca989abe,0x3a22fffd,0xfd3000df,0xd951157d,
    0x3e6001df,0xfeca8adf,0x03bdff2f,0x1157dfd3,0x201dfd95,0xb989befc,
    0xdfd2ffec,0x5f7e41bd,0xffecb989,0x41bddfd2,0xb989befc,0xdfd2ffec,
    0x3fa601bd,0xca989abe,0x2602fffd,0x989abefe,0x02fffdca,0x81aa3540,
    0x6d8800f8,0x56ffcc00,0xf2ffeca8,0x7d403bdf,0xffffffff,0xddd9100c,
    0xdddddffd,0x4c007ddd,0x2ffffffe,0xddfddb50,0x3fb6601b,0x7fdc0def,
    0x0cffffff,0x547ffffa,0xfffffd36,0x2005dfff,0xfffffffa,0x32000cff,
    0x04ffffff,0x7ffffdc0,0xb8003fff,0xffffffff,0x3ea002df,0x0dffffff,
    0x7007fffe,0xffffffff,0x09f905bf,0x3fffee00,0x8003ffff,0xfffffffa,
    0x07fffe0d,0xffffffb8,0xffb803ff,0x0cffffff,0x707ffffa,0xffffffff,
    0x7ffff419,0x7ffffdc1,0x3fa0cfff,0x7dc01fff,0xffffffff,0x3fee002d,
    0xdfffffff,0xcccc9802,0x99fb12fd,0x666fc419,0xefdccccc,0xfffa8000,
    0x3e0dffff,0xa9801fff,0x4009accb,0xfffffff9,0xffffffff,0xbcb98004,
    0x7fffdc01,0xff701fff,0x5103ffff,0x00035997,0x2f32ea20,0x7530001a,
    0x00013599,0x0026eea2,0x1acca980,0xcba98000,0x220000ab,0x0001bcca,
    0x55e5d4c0,0x0000c400,0x00d6654c,0x2f32a200,0x2a600001,0x44001acc,
    0x001accba,0x5665d440,0x5d440001,0x00001acc,0x0abcba98,0x65d4c000,
    0x75c000ab,0xb13eeeee,0x7443bddd,0xdeeeeeee,0x5440001b,0x00001bcc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00198000,0x00300140,0x44000020,0x00000003,0x05000000,0x26000140,
    0x00000001,0x40006600,0x00130018,0x00001980,0x00000660,0x00000002,
    0x00000510,0x00014400,0x00260031,0x540005b0,0xcccccccc,0x3ccccccc,
    0x02200310,0x00013000,0x016f6e44,0x00188000,0x1ffdc000,0x01ef9800,
    0x20003fa6,0x7d40005e,0xd98000df,0x001ceffe,0x6f7fff5c,0x017cc002,
    0xb8000fdc,0x800003ff,0xf70000fc,0x7fb0007f,0x0004fc80,0x0000ffee,
    0x000ffee0,0x37fff6e0,0x06200001,0x88003f60,0x7d40004e,0x0db0005f,
    0xfd0017a0,0x3fee0009,0xffffffff,0x905fffff,0x05fb809f,0x00fff600,
    0x3af3fea0,0x200000df,0x00005ffb,0xdfeefd88,0x2ffb8000,0x0003ffa8,
    0x7dc000df,0x2001efdf,0xffddfffc,0xfffb803f,0x0dffeddf,0x401df100,
    0x44000ff8,0x00dfeefd,0x00dfb000,0xbfddfb10,0x6ff44001,0x0077ec40,
    0x7f77ec40,0xd880000d,0x000dfeef,0xedeffe88,0x710004ff,0x19dffffb,
    0x26005fc8,0x320002ff,0x000efdff,0x3ee01fe4,0x2ff44004,0x4cd7dc00,
    0x99999999,0xfd105f99,0x03dfb01d,0x1bffe200,0x9819f100,0x3e00004e,
    0x00000fff,0xefd97fa6,0x4ff98001,0x80007ff2,0xfd88006f,0x007ff70e,
    0xfd303dfb,0x057fec0b,0x80077ec4,0x17f204fd,0x6c9fd300,0x220001ef,
    0x4c000dfe,0x07bf64fe,0x263dfb00,0xd30004ff,0x00f7ec9f,0x6c9fd300,
    0x3a2001ef,0x05fe884f,0x677ff4c0,0xf52fffec,0x17fd400d,0x0efe8800,
    0x4c005ff7,0x3ff301ff,0x1bfb1000,0x000fdc00,0xff9013e2,0x0037fa65,
    0x00bfff00,0x07ee07d8,0x3ffec000,0x7ff70000,0x0007ff70,0x1bfddfd1,
    0x006f8000,0x74c27fcc,0x017ee05f,0x37ee0ff6,0x005fb800,0xb77bfff1,
    0x5c001dff,0x3ffb82ff,0x04fe8800,0xb82ffb80,0x7dc003ff,0x0002ffdf,
    0xff705ff7,0x5ff70007,0x2007ff70,0x1fec02fd,0x00affb80,0x01ffbff7,
    0x0007fee0,0x7cc27fcc,0x3fee004f,0x3ffecace,0x077e4000,0xb8007a80,
    0xdffa802f,0x300003ff,0x4f8001bb,0x80001fc0,0x00001dd8,0x74c03df1,
    0xff90001f,0x1be00009,0x4405fd00,0x0ef883fd,0x440ff880,0x00fec003,
    0xfffffc88,0x3e2000cf,0x03fa601e,0x003ff980,0x2601ef88,0x74c000fe,
    0xf10001ef,0x07f4c03d,0x403df100,0x7cc00fe9,0x00fe8805,0x4c00ffe4,
    0xf9002ffe,0x7fc0001d,0x00bfa202,0xfffffea8,0xf700002e,0xd800000d,
    0xffd1000f,0x00000003,0x4d803f10,0x00000000,0x14400540,0x000aa000,
    0x4c006f80,0xf5015000,0x00fdc007,0x001fd400,0x0026aa62,0x14400540,
    0x000bfa00,0x028800a8,0x00007100,0x00510015,0x05100150,0x2a001fb0,
    0x03be604f,0x802ffd80,0x40000dfa,0x00050009,0x0006aaa6,0x0000a600,
    0x8005f880,0x0000000b,0x7f00fe00,0x00000000,0x00000000,0xf9300000,
    0x000037bf,0x8007ee00,0x880003f9,0x0000004f,0x30000000,0x00000001,
    0x00000000,0x00000000,0x20037400,0x007fa06f,0x006fdfb8,0x00000005,
    0x00000000,0x80000000,0x000002fa,0xd8000000,0x0007ea06,0x00000000,
    0x00000000,0xffffe980,0x006bdfff,0x007f2000,0x80003f98,0x000003f9,
    0x00000000,0x00000000,0x00000000,0x00000000,0xc800bf00,0x005fa80f,
    0x0bf23be6,0x00000000,0x00000000,0x00000000,0x000003f6,0xedca8800,
    0x98041bcd,0x005e983f,0x6f6dd440,0x4c4000ac,0x99880199,0x2e600099,
    0x001bceec,0xb886fff2,0x2a01fffd,0x21cdeeec,0x2002f980,0xc80001fb,
    0x0cccc40f,0x04cccc40,0x9dd97300,0x00000037,0xdedba880,0xb98000ac,
    0x00cdeeec,0xddd97300,0x3310019b,0x4c003333,0x3e219999,0x41fcc004,
    0xff1000ff,0x0001be23,0x33331000,0x22000333,0x01999999,0x33333100,
    0x80000033,0x3333106f,0x00e5cc01,0xffffffb8,0x0fb8cfff,0xfb59ff50,
    0x7d40001d,0xffffffff,0x3fffe004,0x3ffe601f,0xfd8806ff,0xdfffffff,
    0x006fd400,0x3ee07ff2,0xffffffff,0x05e83fae,0x20001ba0,0xffff86f9,
    0x3ffe601f,0xfd8806ff,0xdfffffff,0x33333100,0x33333333,0xfffa8013,
    0x04ffffff,0xfffffc98,0x003ffffe,0xdfffff93,0xd807ffff,0x01ffffff,
    0xffffffa8,0xf50017e4,0x2004f88b,0x80fe42fe,0x19999998,0xffff8800,
    0x88007fff,0x7fffffff,0xffff8800,0x00007fff,0x3e60fea0,0xfb86ffff,
    0x102effff,0xa8835dfd,0x200feffe,0x203efed8,0xffb103a8,0xefea8837,
    0xfecc9801,0x7e665c01,0x56ffd406,0x0bff6a20,0xfd0037c4,0x81bffc83,
    0xc84fffc9,0x04fc804f,0x40f7dc00,0x401fecc9,0x406fcccb,0x220adffa,
    0xfc82ffda,0xffffffff,0x105fffff,0xa8837ffb,0x3f601efe,0x75440ace,
    0xcefd804f,0x27f5440a,0x799fd730,0x3f32e200,0x001b60be,0x03f98dfd,
    0x5f509f90,0xffffff10,0x32a000ff,0x007fcccc,0xf9999950,0x332a000f,
    0x0007fccc,0x5403f200,0x3626fccc,0xffa8acff,0x8027f441,0x0000fffa,
    0x827fed44,0xfa800cfe,0x07ee001f,0x7d40df00,0x2ffa802f,0x2a001fc8,
    0x4007fcc6,0xbfb04ff9,0x00bfb101,0xefedcca8,0x001fb800,0x5ff5037c,
    0xc85ff500,0xccccccdf,0x03ffcccc,0xf50019fd,0x8002203f,0x004402fd,
    0xfb805fb0,0x0fe60001,0x7dc007ee,0x4017dc6f,0x07f306fa,0x3f33332a,
    0x3f400007,0x01fa0000,0x000fd000,0xd0037c00,0x2037fe6d,0x017e41d9,
    0x0003fea0,0x0b3ff6a2,0x54004fc8,0x07ee006f,0x3e20df00,0x3fe2000f,
    0x40003f40,0x3f2003fc,0x37bfee04,0x4003ffed,0x0efffff8,0x8003f700,
    0x01ff106f,0xf907fc40,0x413f2003,0x7d4004fc,0x9f100006,0x4f880000,
    0x00017d40,0x0df303f7,0xc8fbbf30,0x07fcc00f,0x74004f88,0x3f400007,
    0x01fa0000,0x000fd000,0x8013e600,0x002ffaee,0xe8002fcc,0xfb71000f,
    0xbf30039f,0x00fee000,0x3e000fdc,0x0005fb06,0x005f8bf5,0x4001fc80,
    0x3ffa203f,0x000effff,0xeffeca88,0x001fb801,0x02fd837c,0x3f25fa80,
    0x305fb801,0x3ee000bf,0x0df00003,0x80df0000,0x199104f8,0x4fb81f60,
    0x1f63bea0,0x1fe880fb,0x3a002fc0,0x3f400007,0x01fa0000,0x000fd000,
    0x8007f200,0x8001fffe,0xf70001fd,0xcefdb880,0x00fec001,0x2e00ff00,
    0x437c001f,0x360004f9,0x0009f11f,0x0000bf30,0x4cd67f4c,0x0000efca,
    0x5c02ffc8,0x437c001f,0x360004f9,0xf500f51f,0x000fec0d,0x20000ff0,
    0xe800006e,0xf706e806,0x901ba05f,0x77e4c3df,0x07ec1fb0,0xf8807fb0,
    0x003f4005,0x0001fa00,0x80000fd0,0xd000007e,0x0efe800f,0x000df000,
    0x9dfd7100,0x03740003,0x2003f200,0x37c001fb,0x50000fdc,0x00037c5f,
    0x001befd8,0x9807be60,0xb80001fe,0x07ee01ff,0x3f70df00,0x017d4000,
    0x7401df50,0x07e40006,0x20cccc40,0x9988006e,0x64037419,0x85ffe80f,
    0xffd804f8,0x3a0effff,0xfb80fdc7,0x003f9804,0x200003f4,0x7400007e,
    0x3f400007,0x27c40000,0x0003ba00,0x000027c4,0x5300df7c,0x677c4013,
    0xcccccccc,0xfdcccccc,0x001fb801,0x007e437c,0x3f49f100,0xfff70000,
    0x80379bdf,0xf8800ef8,0xf980000f,0x0007ee04,0x001f90df,0x98027c40,
    0x3be200ff,0xcccccccc,0xdccccccc,0xfffb501f,0xdfbdffff,0x3fff6a00,
    0x6fdeffff,0x7c41fb80,0x17d40fdd,0x0bdda880,0x417d47f8,0x5f5006fa,
    0x0007e800,0x00003f40,0xd00001fa,0xf700000f,0x006e8003,0x0000fe60,
    0x3ffa6000,0xfff304ff,0xffffffff,0xffffffff,0x003f7007,0x006e86f8,
    0x0fee6f80,0xdca88000,0x02effffe,0x7cc003f5,0x0fd00002,0x3e000fdc,
    0x80006e86,0x1ff8806f,0x7ffffcc0,0xffffffff,0x43ffffff,0xbcdeffea,
    0x06ffeccc,0x66f7ff54,0x6ffecccb,0x7dc3f980,0x0fdc3faa,0x8df10000,
    0x07fc43f9,0x4001fb80,0x7400007e,0x3f400007,0x01fa0000,0x001f6000,
    0xf98001ba,0x40000003,0xbf912dfa,0x33339f10,0x33333333,0x00133333,
    0x6f8003f7,0xf80007e8,0x5000ff45,0xff953000,0xf000fb09,0x3ee00009,
    0x8003f701,0x0007e86f,0x7f4405f8,0x99cf8802,0x99999999,0x09999999,
    0x40033fea,0x33fea06f,0x200df000,0x8bf3f45f,0x5400007d,0x7f47f83f,
    0x003fa002,0x80000fd0,0x7400007e,0x3f400007,0x17e20000,0x8001ba00,
    0x000004f8,0x7c413e20,0x00006e83,0x0007ee00,0x001f90df,0x3e627cc0,
    0x0ffd402f,0x8bf91000,0x07d8005f,0x209f3000,0x37c001fb,0x300007e4,
    0x03fd809f,0x00001ba0,0xe8003ff3,0x003ff306,0x4fb006e8,0xf83f65f8,
    0x7f400005,0x7f92fb81,0x0027dc00,0x200003f4,0x7400007e,0x3f400007,
    0x0bea0000,0x0001ba00,0x000000df,0x0db00fd4,0x000001fb,0xf0007ee0,
    0x0005f70d,0x7fcc17d4,0xfecb9acd,0xf900003f,0x6c002fc1,0x7f500007,
    0xf0007ee0,0x0005f70d,0x9fb017d4,0x000fd800,0x000bf200,0x017e41ba,
    0xfc803740,0x9fd45f70,0x200003f8,0x7df106fb,0x0ff800bf,0x0007e800,
    0x00003f40,0xd00001fa,0xfd80000f,0x006e8000,0x0000fec0,0x5405c800,
    0x0004fb87,0x003f7000,0x05f986f8,0x4403fa00,0xfffffffc,0x8003540c,
    0x001f62f9,0x5c00017e,0x003f701f,0x05f986f8,0x6403fa00,0x4fb8004f,
    0x01fa0000,0x07e83740,0x2a00dd00,0x2df0fd2f,0x100002fa,0x7fdc01ff,
    0x0ff2000e,0x0003f400,0x00001fa0,0xe80000fd,0x2fc00007,0x0006e800,
    0x300037cc,0x50172009,0x000bf60f,0x00fea000,0x7f906fc8,0x009f7000,
    0xc802bbe6,0x2fa8002f,0xfa800bf2,0x7f880004,0xc800fea0,0x007f906f,
    0x3ee09f70,0xfd818805,0x0fd00002,0x3a0df700,0x06fb8007,0x09f19f10,
    0x001f91f9,0x300ff600,0x7e4009ff,0x01fa0006,0x000fd000,0x00007e80,
    0x500003f4,0x1ba0005f,0x013f2000,0x2003ff20,0x41b600fa,0x98000ff8,
    0x06f9801c,0x206ffd88,0x3e6001fe,0x4037c006,0xfd8005fc,0x2003fe20,
    0x03320ff8,0x4c03fd00,0xffd8806f,0x8007fa06,0x0df506f9,0xff103ee0,
    0x23930001,0xfb1003fc,0x00ff20df,0x0037fec4,0xf505f7dd,0x30000db7,
    0xffd00bfd,0x7ec401bf,0x1fa0000e,0x00fd0000,0x0007e800,0x00003f40,
    0x3a0001f9,0xbfd00006,0x3ffd5001,0x4413e200,0x0ffea03f,0x017fecc0,
    0x3e601fe8,0x3e606fdf,0x1ffc804f,0x64037c00,0xd8800dff,0x01efa84f,
    0xff90bfa6,0x4fe98019,0x2601fe80,0x2606fdff,0xffc804ff,0x000ef981,
    0x7ff503f7,0x4bff6600,0xffa806fa,0x0df506fd,0x0dfbff50,0xf03f7ec0,
    0xc8000bfd,0xcfc803ff,0x98acffd8,0x0004fedb,0x400007e8,0x7400007e,
    0x3f400007,0x00df0000,0x80003740,0x89acffd8,0x0dffecb9,0x88efd400,
    0xfe9806fb,0xca989abe,0x2002fffd,0xca8adff9,0xbdff2ffe,0x57dfd303,
    0x1dfd9511,0x900df000,0x1579ffdf,0x0bff9531,0x4cd67fdc,0xf703ffda,
    0x733579ff,0x26007ffb,0xeca8adff,0x3bdff2ff,0x157dfd30,0x01dfd951,
    0x5c001ff3,0x7dfd301f,0xfb953135,0xbefc85ff,0xffecb989,0x41bddfd2,
    0xb989befc,0xdfd2ffec,0x7fdc01bd,0x00fff204,0xfb953579,0xbf7003df,
    0xffffffa8,0xd00002ef,0xeeeb800f,0xeeffeeee,0x5c4eeeee,0xfeeeeeee,
    0xeeeeeeef,0x777775c4,0xeeeeffee,0xf1004eee,0xddd91005,0xdddddffd,
    0x54007ddd,0xffffffff,0x2a0000cf,0x004ffeff,0x7fffffdc,0x0002dfff,
    0xfffffff5,0x0ffffc1b,0xffffff70,0x7c0007ff,0xfd36a806,0xdfffffff,
    0xfffd1005,0x8801dfff,0xffffffdb,0x7d4000ef,0x0dffffff,0xb807fffe,
    0xffffffff,0x3bbffa03,0xeeeeeeee,0x7dc01fee,0xffffffff,0x3ffee02d,
    0x20cfffff,0x5c1ffffe,0xffffffff,0x3ffffa0c,0x80bfe601,0x7f401ff9,
    0x0bdfffff,0x300ff880,0x80015995,0xeeeeeeeb,0xeeeeeeff,0x7fffec4e,
    0xffffffff,0x7ec6ffff,0xffffffff,0x6fffffff,0x7fffffec,0xffffffff,
    0x800006ff,0xfffffff9,0xffffffff,0xcba98004,0x000009ac,0x00015531,
    0x055e5d4c,0xcca88000,0x2600001b,0x0001acca,0x510004d8,0x00357997,
    0x01577510,0x2af2a600,0x32a20000,0x200001bc,0x801acca9,0xffffffff,
    0xffffffff,0x79753001,0x5d440015,0x40001acc,0x01accba8,0x00000000,
    0x00056544,0x00000ec4,0x3fffff60,0xffffffff,0x00006fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x801006a6,0x00130018,0x59997100,0xcca81570,
    0xcccccccc,0x4c4001bc,0x200000aa,0x10000000,0x0c005057,0x13001980,
    0x220ccc40,0x00bceeca,0x332e2000,0x4400002c,0x2602cccb,0x0000cccc,
    0x40cccc40,0x01bdeca8,0x00000000,0x100154c0,0x00133333,0x01333331,
    0x00000004,0x20000000,0x0aceeca9,0x44099998,0x99801999,0x2a000999,
    0x33000ced,0x3fffe200,0x05ff930c,0x3f201fec,0xffc80004,0x2ffec4ff,
    0x3ffffff2,0x05ffffff,0xfffff910,0x9510001b,0x0019dffd,0x7fff1000,
    0xd300f7cc,0x07fd001f,0xff103fc8,0x3ffea3ff,0x002fffff,0x9ffff900,
    0xffc80000,0x3ffe04ff,0x400001ff,0xb11fffff,0xffffffff,0x6db8803b,
    0xb0000000,0x7fec00df,0x2601ffff,0x45ffffff,0x01dfffda,0x6db88000,
    0x64000000,0xffffffff,0xfffff10e,0x0fffffc1,0xbfffff50,0x3fffee00,
    0x40099006,0xfeffedb9,0x7f4403ef,0x077ec40d,0xfa998000,0x3237ffc4,
    0x9999999f,0x88009999,0xfdbadffe,0x3fa2001f,0x2fffedef,0x9800c880,
    0x7fdc4fff,0x003ffa82,0xfd10bfd3,0x7f65401b,0x221cefc9,0x00002ffb,
    0x0009f333,0x09f33300,0x00fe4cc4,0x37326000,0x0adfe89f,0x20bff6a2,
    0x006eefeb,0xdfb00000,0x67fdcc00,0xfccb802c,0x26ff61bf,0x0001fda8,
    0x0dddfd70,0x3a600000,0x32621aef,0xccef89ff,0x0ff66542,0x17f332e0,
    0x7fffff40,0x4004c800,0x1ffffeb9,0x98f7ec00,0x000004ff,0x3fda89f1,
    0x000007e4,0x3ea033f6,0x3ff9800e,0xa809ff50,0x3fb5001f,0x7e49ff30,
    0x7ec4001f,0x009ff51e,0x202ff7dc,0x00000ff9,0x000013e2,0xf7004f88,
    0x5c000003,0xb802ffbf,0xd85542ff,0x00000006,0xf9000dfb,0x09f30003,
    0x00176017,0x06d85540,0xff880000,0xfbffa803,0x003f7004,0xff7005f8,
    0x3b200dff,0x7ffe4c02,0x00efc8be,0x7feffdc0,0x22000002,0x640f984f,
    0x2600000f,0x027dc07f,0xd1003be6,0x017dc05f,0x7f440db0,0x0000dfee,
    0x0bff7fee,0x00bff700,0x93000ff6,0xffdddddb,0x800009dd,0x3f7004f8,
    0x7dc00000,0x3e6001ff,0x001b600f,0x37ec0000,0x002fc400,0x2a0007ec,
    0xd800000f,0xd8000006,0x3fe2002f,0x03f7004f,0x2a005f80,0x73000bcc,
    0x3bfe209d,0x006fb80b,0x001efe98,0x227c4000,0x00fc85f8,0x00fea000,
    0x01fb01be,0x5c03fe20,0x05f7002f,0x0009ff90,0x003bfe60,0xa8013ee0,
    0x7fdc004f,0xffffffff,0x200000ff,0x3f7004f8,0x7dc00000,0x3fc8003f,
    0x00001b60,0x0004c400,0x26001fc8,0x07c8004f,0x00db0000,0x05fa8000,
    0x004ffa80,0x5f8003f7,0x26000000,0x32002607,0x0388004f,0x9f100000,
    0x0fc80fc8,0x07f20000,0x4f881f60,0xb817dc00,0x02f8802f,0x00000aa0,
    0x7dc00071,0x002fc001,0x0009f100,0x8027c400,0x000001fb,0xe8001bee,
    0x0001b605,0x40000000,0x3f6005f8,0xfda98800,0xdb000002,0xfd800000,
    0x09fb0000,0xf0007ee0,0x3200000b,0x005eaadf,0x0003fb00,0x44000000,
    0xfc804c4f,0x3f200000,0x2a06e801,0x1fcc000f,0x00002fb8,0x00000000,
    0x0007ee00,0x440000bf,0x2000004f,0x3f7004f8,0x7dc00000,0x81f60004,
    0x7100006d,0x40000003,0x4f9801fc,0x05fffd00,0xd805c400,0x07500006,
    0x7dc000df,0x003f7004,0x000005f8,0x0033bf6a,0x7c40d4c4,0x00000006,
    0x4159db71,0x3f2004f8,0x3f200000,0x0027cc01,0x98afc400,0x999bfc99,
    0x00999999,0x00000000,0x001fb800,0x6dcc02fc,0x27c40ace,0x676dcc00,
    0x8027c40a,0xedb981fb,0x7dc001bc,0x07ee0003,0x5400036c,0x000003ff,
    0x36017e20,0x36e2000f,0xffb8002f,0x8000db01,0x27c46fd8,0x009f3000,
    0xbf0007ee,0x00000000,0x7ffff644,0x407f23ef,0x19999998,0x3ffea000,
    0x9f12ffff,0x2607e400,0x1fc80019,0x0007fe60,0x7f4fe600,0xffffffff,
    0x87ffffff,0x99999998,0x09999999,0x2a20ccc4,0x000aceec,0xbf0007ee,
    0x7ffffe40,0x13e25fff,0xfffffc80,0x13e25fff,0xff90fdc0,0x09ffffff,
    0x00017dc0,0x01b605f5,0x03ffd880,0x13333331,0x01fc8000,0xc80017e6,
    0xdfd3001f,0x00036c03,0xf981bff7,0x13e60003,0x2000fdc0,0x0008005f,
    0xdeffa800,0xaefedbac,0xfff884f8,0x0007ffff,0x2a215ff7,0x004f8afe,
    0x3ffae7f2,0x9002efff,0xffeca83f,0xf9000001,0x3f733265,0xcccccccd,
    0xfffc82cc,0xffffffff,0x3fe25fff,0xffff51ff,0x2003ffff,0x2fc001fb,
    0x10d77f44,0x9f11bfb5,0x35dfd100,0x446fed44,0x23f7004f,0x2a20aefd,
    0xfb801efe,0x07f20003,0xfa80036c,0xfff100df,0x000dffff,0x3f605f88,
    0x13e20001,0x2013ff20,0xfe98006d,0x00bf102f,0xb8027d40,0x02fc001f,
    0x00001b20,0xfa807ff9,0x99507eaf,0x000ff999,0x7ec01df5,0x3f2004fc,
    0xdcbcdfff,0x1fc804ff,0x00f7fffc,0x037cc000,0x640005f7,0xccccccdf,
    0x43ffcccc,0xefc9feca,0x07fee21b,0xf0007ee0,0x804fe88b,0x404f9efb,
    0xfb804fe8,0xf7004f9e,0xf9009fb5,0x05fb801f,0x6d81f600,0x17fec400,
    0x66666540,0xfc80006f,0x0005f981,0x3fa605e8,0x00db001e,0x400cffb8,
    0x3f20006e,0x003f7004,0x3ec005f8,0x2600fd40,0xfb1000ef,0x3f4003fb,
    0x4007f400,0x32004ffe,0x3fa202df,0x260fe405,0x00cffeca,0x03fd1000,
    0x900017dc,0x13f2003f,0x405fefb8,0x1fb807f8,0x3f62fc00,0x3ffe6003,
    0x001fec04,0x2009fff3,0x2003fffb,0x7fdc05fb,0x06f88000,0xffb801b6,
    0x3740000d,0x42fc4000,0x200401fd,0xffc883fb,0x8036c003,0xb001efe9,
    0x3fa0003f,0x003f7004,0x3f4005f8,0x8817fcc0,0x7c4000fe,0x1fa002ff,
    0x2009f500,0x04004ffa,0x6405fb00,0x77f4c01f,0x7f440000,0x0017dc02,
    0xf7003f90,0x05ffb80b,0xfb803f70,0xf32fc001,0x9ff7000d,0x40037cc0,
    0xf7004ffb,0x5fb000bf,0x002ffdc0,0x333117ec,0x301333db,0x00005ffd,
    0x640001ba,0x2017e21f,0xf930adfe,0x01dff50b,0x3db33310,0x9ff90133,
    0x00ef9800,0x8027fe40,0x2fc001fb,0x007fea80,0x7f909ff3,0x0bfea000,
    0x74007e80,0x13fa000f,0x6f880000,0x5c007f20,0x3a20005f,0x02fb803f,
    0x2a01ea00,0x05fb806f,0xf7013e20,0x2e5f8003,0x9fd0001f,0x8000fdc0,
    0xff7004fe,0x0df10001,0x001fffdc,0xfffe89f9,0x5c6fffff,0x77640cff,
    0x00374000,0x3f25f880,0xfffb5001,0xffd885ff,0x7f46ec83,0x6fffffff,
    0x7547bfa6,0xf700ceff,0x7ffd400b,0x007f7004,0x3aa02fe4,0x22001cff,
    0x003ec5fe,0xe800ffa0,0x002fc007,0x000013ee,0x3f203f90,0x00ff2001,
    0x400ffa20,0x000002fb,0x5c0077d4,0x02fc001f,0xbf0007ee,0xf900036c,
    0x00036c09,0x3ee009f9,0x81f60005,0x00dfdafb,0x0003bf62,0xa81efe98,
    0x74000fdf,0x3f200006,0x10005f89,0x1bff5013,0x000fbf70,0xfd8fff22,
    0x00feb99b,0x6c403dfb,0x7004f9ef,0xffd100df,0x05ffe40b,0x0dfd8800,
    0xfc8000bf,0x801fa004,0x7d4004f8,0x54000004,0x003f902f,0x744007e8,
    0x0bee003f,0xff980000,0x003f7000,0x0fdc05f8,0x05f97e00,0xf813ea00,
    0x13ea0005,0x00027dc0,0x47ee03f9,0xbaabdffc,0x0000cffd,0x7c413ff2,
    0x74000fad,0x3e200006,0x00001fcd,0x440bff62,0xa8007bcf,0x0bf20eff,
    0xffc81be2,0xffcb9acd,0x2e009f15,0x3fe601ff,0x1dfb05fd,0x2ff60000,
    0x5c0004f8,0x01fa003f,0x4c003f98,0x4000004f,0x03f903f9,0x1001fc80,
    0xfb8007fd,0xf1000002,0x0fdc003f,0x36a17e00,0x00deefee,0x007f35f8,
    0xf9827cc0,0x13e60003,0x00017dc0,0x87ee05f5,0xffffffda,0x3aa0002e,
    0x23f601ef,0x374000fa,0x3ff20000,0x3ee00005,0x5db600df,0x3ff62007,
    0x3ee03c83,0x3fffa600,0x3e23efff,0xbfff7004,0x5ffd9515,0x7c437bfe,
    0x89800005,0x5c0004f8,0x01fa002f,0x4c003f98,0x4000004f,0x03f904f9,
    0x8803fa80,0xfb8003fe,0xe8800002,0x0fdc002f,0x3ee17e00,0x01ffffff,
    0x007f15f8,0xf8827cc0,0x13e60003,0x00017dc0,0x07ee05f5,0x0004ddcc,
    0x807ff910,0x001f52fa,0x400006e8,0x80001ff8,0x5c02efe9,0x2a00f71f,
    0x90000dff,0x2ee6200f,0x2009f101,0xfffffcfb,0x3ffe0dff,0x0003f71f,
    0x0006f800,0xfd0007ec,0x0027c400,0x000013ea,0x3f205f50,0x027c4001,
    0x4000ffe6,0x800002fb,0xfb8003fd,0x002fc001,0x17a5f800,0x204fa800,
    0x3ea0005e,0x009f7004,0xfb807e40,0x54000001,0x7c400eff,0xd0003ea5,
    0xf880000d,0xffb80006,0x2e4f8804,0x17fec407,0x009f1000,0x004f8800,
    0x599513f7,0x006e8003,0x00fd8000,0xd001fe00,0x006f800f,0x000027e4,
    0x7e407ee0,0x02fc4001,0x40005ff3,0x400002fb,0xf70004fd,0x005f8003,
    0x364bf000,0x409f9000,0x3f20006c,0x00bf7004,0x3f703ec0,0x7dc00000,
    0x41fb003f,0x374000fa,0x0bf20000,0x03dfd000,0x40f71b60,0x0000dff9,
    0x000017a6,0x7dc013e2,0x0dd00001,0x9ff91000,0x80017e41,0x3f4005f8,
    0x8003f600,0x000004fe,0x1fc807f4,0x09f500c4,0x0000bfe6,0x400005f7,
    0x2e0004fc,0x02fc001f,0x527d4000,0xff10005f,0x0017d409,0xb8027fc4,
    0xf98001ff,0x0007ee05,0x000cc800,0x00fa85f5,0x00003740,0xb0000df1,
    0x20fdc007,0x00b6a07b,0x000bf300,0x4013e200,0xb00001fb,0x05c4001f,
    0x44bffffb,0xfd8001ff,0x003f4001,0x7dc017e6,0x0019804f,0x3f205fa8,
    0xfd807dc1,0x002ffa83,0x0002fa80,0x3100bf70,0xf0007ee0,0xf900000b,
    0x00077c45,0xf8813ff2,0x7fe4000e,0x0dff7004,0x5c03fd00,0x0000001f,
    0xf50bf100,0x006e8001,0x000bf200,0x09f10000,0x800000f7,0x000004fb,
    0x7dc013e2,0x9f700001,0xf897d400,0x2a0fffff,0x3f6001ff,0x007e8004,
    0x7c401fd8,0x4fd804ff,0x803fe200,0x81fdc1fc,0x0ffd40ff,0x04f98000,
    0x006fa800,0x03f701f7,0x00005f80,0x3ee07fcc,0x3fbea004,0x0027dc04,
    0x2009fdf5,0x2004fefb,0x0fdc03fc,0x80000000,0xfffffffa,0x1ba003ff,
    0x037c4000,0x7dc00000,0xffffffff,0xfc800002,0x44000002,0x03f7004f,
    0x07fa2000,0xfff17d40,0x3ff90dff,0x001ffb00,0xf3000fd0,0x2bfa205f,
    0xefe8804f,0x01ffd401,0x0df307f2,0x1efa89f7,0xfd00d400,0x49d71003,
    0xf7000ef9,0x8003f703,0x2a00005f,0x1dfd02ff,0x4f8dfc80,0x400efe80,
    0x004f8dfc,0x01bf93f7,0x5c037ec4,0x0000001f,0x33333100,0x40015f73,
    0xf900006e,0x00000005,0x93333331,0x8800003f,0x000001fd,0xf7004f88,
    0x7cc00003,0x3ff2203f,0x0ffffee2,0x45677fdc,0x00dffdb9,0x2000fd00,
    0xb98acff9,0xeeff89ff,0x677fe404,0x3ffdb99a,0x9dfddd90,0xfb99dfd8,
    0x003be60f,0xff9817e0,0xdca989bd,0x1ff31fff,0x5c0fdc00,0x02fc001f,
    0x7ee665c0,0x7fec03ff,0xfeba89ac,0x09ddff14,0x44d67fec,0xff14feba,
    0xeeeb89dd,0x159ff71f,0x409ff951,0xccdfdcca,0x000001cc,0x007d4000,
    0xc9801ba0,0xcffccccc,0x000001cc,0x0007b800,0x000774c0,0x66664400,
    0x203ccefc,0x400001fb,0xcccdfffa,0x440bfffe,0x7ec400cc,0x2fffffff,
    0x777775c0,0xeeeeffee,0x3a204eee,0x11efffff,0x300dffff,0xffffffd9,
    0x7fff401d,0x7ff446ff,0x77d40eff,0xeeeeeeee,0x05feeeee,0x7fffff4c,
    0x7f43dfff,0xeeeeeeef,0x51feeeee,0x1bddfddb,0x3bffb660,0xfff8800d,
    0x5000deff,0xdffffffb,0x77fffc47,0x3fff6a00,0x3e23efff,0x3f60efff,
    0x3faa1fff,0x02ffffff,0x7ffffff4,0x00004fff,0xf7310000,0xeeeeeb85,
    0xeeeeffee,0x3ff24eee,0xffffffff,0x0000005f,0x007f2620,0x4cf7cc00,
    0x00fa9999,0xfffff700,0x201fffff,0x800000fa,0xfffffec8,0x4400002d,
    0x000abcb9,0xfffffffb,0xffffffff,0x597300df,0x51000001,0x00001579,
    0x2a059950,0xffffffff,0xffffffff,0x79973005,0x7fffc013,0xffffffff,
    0xff71ffff,0x203fffff,0x1ffffffb,0x00066600,0x002b2e60,0x2b2e6000,
    0x44000000,0x2001acca,0x99999999,0x00000000,0x8fffffa0,0xfffffffd,
    0xffffffff,0x4cccc46f,0x00099999,0x3e200000,0x0002ffff,0xffffffa8,
    0x0001ffff,0x26666662,0x00000019,0x00006600,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x81bdedba,0x54009999,0x013a604e,
    0x0033332a,0x13100000,0x02eb8000,0x70000fae,0x4c000999,0x332a0001,
    0x0003cccc,0x79999995,0x41998800,0x0aceeca8,0x0000ba80,0x02200000,
    0x000a9800,0x00353100,0xea80faa0,0x6e544003,0x0041bcde,0x22000880,
    0x00066000,0x80266662,0x95001cb9,0x0439bddd,0x00097100,0x00002aa0,
    0x33333332,0xcccccccc,0x06cccccc,0x3fffff62,0x3ffe1fff,0x3ffa00ff,
    0x405ffd01,0x00fffff8,0xfea80000,0x20deffff,0x1ffe201c,0x0007ffc4,
    0x00ffff98,0xffffd710,0x880c85bd,0x6fffffff,0xffff8800,0x22006fff,
    0xff51ffff,0x03ffffff,0x0002ffec,0x81ddb900,0xbefffdb8,0xfffb3001,
    0x4c037019,0xeffffffd,0x03ffe002,0xb8007ffc,0xffffffff,0x800fb8cf,
    0xcefffdb8,0x881b600a,0xcefffffd,0xfff30730,0xfff70dff,0x3ee05dff,
    0xffffffff,0x2e203fae,0x40006ffe,0x883fffeb,0x000c800b,0xffa82400,
    0x3fee609d,0x80599df2,0xff900ffd,0xfd998801,0x2a000000,0xedcdffff,
    0x04f9cfff,0xffd037fc,0x6d7ec000,0xfffb800f,0xdffedcde,0x33103f98,
    0x000dd333,0x3a666662,0x7f654006,0x221befc9,0xffd01ffb,0x2200000d,
    0x3ee1ffff,0xffeccfff,0x5e7fcc03,0xfe98bffe,0xceffeb83,0x0dffecbc,
    0x3a07fe80,0x7f4400ff,0x7f5441ae,0x7cc00fef,0xffecceff,0x2e0fd02f,
    0xedccdeff,0xa80fcaff,0x3626fccc,0xffa8acff,0x40dffe41,0x4c4fffc9,
    0x6fdfffeb,0x2ffee000,0xff52effc,0x00019003,0x2ff98480,0x2fdff440,
    0x35002a00,0x000fc800,0x37ff7000,0x3fff6a20,0x10054404,0x3ea00015,
    0xfc801fb4,0xff9100af,0x6e8009f9,0x03740000,0x05fefb80,0xfda83fc4,
    0xc8000003,0x037ff91f,0x6dc03ff3,0x7ffffd41,0x4039ff04,0xa8805fe9,
    0x1002a200,0x3ea009fd,0x3fee00ff,0x2ffa880a,0x2efb85f8,0x03fffaa0,
    0x6ffcdba0,0x3e61d980,0x4ff9800f,0x42b7ffe2,0x33a0006e,0x3ffff220,
    0x0019002f,0x1fe84800,0x017ffa00,0x64c00000,0xccccfecc,0x70002ccc,
    0x7d4003df,0x0000004f,0x1fb0fe80,0x80077e40,0x4004ffe9,0x7400006e,
    0xbff70006,0x4c07ee00,0x8000000f,0x00efdafc,0x40007fcc,0x3e01cdb8,
    0x00bfa005,0x2fc80000,0x807fd400,0xe9801ffc,0xf30bf22f,0xffd1001d,
    0xff5dd001,0x03fc8005,0x05513f20,0x400001ba,0x2000cec9,0x2400000c,
    0xf30013ee,0x000000bf,0x3ffffee0,0x6fffffff,0x00ff9800,0x0004fc80,
    0x1fdc0000,0x1be601fb,0x013fe200,0x80000dd0,0xbf70006e,0x4427c400,
    0x0000005e,0x400bfff9,0x000004fa,0xdf1002fc,0x26000000,0x1fd0005f,
    0x4001df30,0x86fdafe8,0x3e6000fd,0xfffe800f,0x01fc8001,0xdd001fc0,
    0x00000000,0x80000190,0xc8003f44,0x0000005f,0x2bf66620,0x00199999,
    0x20005fd0,0x000004f8,0xfb1be200,0x000bfa01,0x3a0027dc,0x37400006,
    0x001fb800,0x007e42fc,0xffc80000,0x006f8004,0x001e4000,0x000003f6,
    0x40007f60,0x003fb07b,0x01bfff30,0x1fd000df,0x001dfd00,0x00017e60,
    0x0000dd00,0x01900000,0x2fc48000,0x205fa800,0x88019998,0xc8009999,
    0x2600000f,0x0dc0005f,0xceecb980,0x5f90001b,0x5f980fd8,0x00fe6000,
    0x80000dd0,0x3f70006e,0x0985f800,0x32000000,0x1fb0004f,0xceecb980,
    0xb800001b,0x6dd4401f,0xf800acde,0xfa800006,0x13f20004,0x5c0027c4,
    0x001dd007,0x01befd80,0x006e8000,0x20066662,0x40099998,0x2400000c,
    0x260009f3,0x3fffe05f,0x3ffe601f,0x0fc806ff,0x2f3bb2a2,0x002fc800,
    0xffd88000,0x0dffffff,0x3617e600,0x000fb80f,0x3a0005c0,0x37400006,
    0x001fb800,0x266202fc,0x67765441,0x07f2000a,0x880fdc00,0xfffffffd,
    0x200000df,0x3fea01fb,0x4fffffff,0x00013e20,0x80003fa0,0x01be05f8,
    0x06e80040,0xffff7000,0x000379bd,0xfff00374,0x7fcc03ff,0x06406fff,
    0xf9920000,0x0bf10003,0x00ff664c,0x01bf332e,0x7ffdc3f2,0x402efffe,
    0x000000ff,0x1056ffd4,0x2005ffb5,0x80fd81fe,0x0000006d,0x80000dd0,
    0xfb80086e,0x102fc001,0x3ea3ffff,0x1fffffff,0x0003f900,0x3fea07ee,
    0x3f6a20ad,0xdd00002f,0x06fff620,0x303dfd51,0x8800007f,0x7c80004f,
    0x00003f60,0x00006e80,0x3ffb72a2,0xe8002eff,0x3b326006,0x6665c01f,
    0x0006406f,0x04f89200,0x200bf300,0x37c001fb,0x6fe4fe40,0x0bfee20a,
    0x000037c4,0x200bfea0,0x7d402ffa,0xbf01fb04,0x20000000,0x7400006e,
    0x7007fa66,0x05f8003f,0x7e4ff654,0x3fee21be,0x001fc801,0xffa85f50,
    0x02ffa802,0xe81fd400,0xffa800cf,0x0001fcc1,0x0000fe60,0x77cc03ee,
    0xdd000000,0x53000000,0xe8009ff9,0x03f70006,0x06406f80,0xdf120000,
    0x017ee000,0x3e000fdc,0x4fefc806,0x4c077cc0,0x2000004f,0x22000ff8,
    0x03fa00ff,0x0fe607ec,0x74000000,0xd0000c46,0x009ffb1d,0x5f8003f7,
    0x0bfdf700,0xfc807f88,0x45f50001,0x22000ff8,0xf90000ff,0x009f901f,
    0x27c46fa8,0x07ee0000,0x80be6000,0x0000cffb,0x00003740,0x017f2200,
    0xf70006e8,0x406f8003,0x2400000c,0x360003f6,0x03f7005f,0xfc806f80,
    0x05f7004f,0x000007f3,0x540017ec,0x407f705f,0x01fd40fd,0x6e800000,
    0x40017fee,0x001dfffe,0x5f8003f7,0x00bff700,0x3f9007ee,0xd8bea000,
    0x5fa8002f,0x077f5400,0xb8002fcc,0x00037c3f,0x00003f20,0xfb3013e2,
    0x00157bff,0x00003740,0x000fc800,0x3ee000dd,0x2037c001,0x2400000c,
    0xf7001be6,0x07ee00bf,0xf900df00,0x427c4009,0x000003f9,0x6c0009f3,
    0x2037c41f,0x01fd40fd,0x6e800000,0x0003fffa,0x8005dff5,0x2fc001fb,
    0x2005fb80,0x0fe404f8,0xf32fa800,0x0fec0009,0x0ffff220,0x20001fd8,
    0x000fec7f,0x0000fb00,0xdb9802fc,0x01cfffff,0x50003740,0x0be6000d,
    0xb8003740,0x037c001f,0x90000032,0x26007f90,0xf7005fff,0x806f8003,
    0x2fc000fc,0x00001fcc,0x20001fb8,0x017ec2fa,0x07f503f6,0x3a000000,
    0x801fff66,0x0006ffe9,0x5f8003f7,0x8003f700,0x00fe405f,0x3f72fa80,
    0x017d4000,0x3a00fff2,0x07e40006,0x4c000df3,0x00003f64,0x4c0017e2,
    0x002ffeca,0xfc8001ba,0x02fa8002,0x2e000dd0,0x037c001f,0x90000032,
    0xb8037fa0,0x7005f8ef,0x06f8003f,0x7c000fc8,0x9803f985,0xfffffffe,
    0x001f91ef,0xbf327c40,0xf981fb00,0x00000003,0x00ee44dd,0x37e7fec4,
    0x001fb800,0x1fb802fc,0x3202fc00,0x5f50001f,0x880003f2,0x007e404f,
    0x666677c4,0xcccccccc,0x641fdccc,0xffc8004f,0x00003f70,0x200009f3,
    0xdd004fe9,0x02fe4000,0xe8007ec0,0x03f70006,0x06406f80,0x44120000,
    0xca9bcffd,0x00bf0efe,0xdf0007ee,0x8001f900,0x804f885f,0xeeeeeed9,
    0x00dd0eff,0x07f4df00,0x3e207ec0,0x00000005,0x3e2000dd,0x000dd1ef,
    0xbf0007ee,0x0007ee00,0x01fc80bf,0x1ba3f500,0x901be000,0xfff3001f,
    0xffffffff,0xffffffff,0x001bfd07,0x7d43ffd5,0x3fa80002,0x3f620000,
    0x0006e801,0x20037ff2,0x3a004fd8,0x03f70006,0x06406f80,0x50120000,
    0x9dffffff,0x3f7005f8,0xc806f800,0x82fc000f,0x7c40006f,0x40003f44,
    0x333bf55f,0xfb333333,0x0006f813,0x00dd0000,0x0dd0b220,0x77f76d40,
    0xfdb300de,0x7dc01bdf,0x202fc001,0xf50001fc,0x20001fa3,0x803dc05f,
    0x99999cf8,0x99999999,0xd8809999,0xb989acff,0x4c0dffec,0xfb80004f,
    0x7cc00002,0x3bbbb223,0xeeeeeeff,0xfdf903ee,0x5311579f,0xe800bff9,
    0x03f70006,0x06406f80,0x40120000,0xbf00aba8,0x0007ee00,0x01f900df,
    0x0fb05f80,0x644f8800,0x3e60000f,0xffffff74,0xffffffff,0x0007f49f,
    0x03740000,0x801ba000,0xfffffffb,0xfffff701,0x00fdc03f,0x3f9017e0,
    0x647ee000,0x3e60000f,0x37400004,0x7d400000,0xffffffff,0x001be00c,
    0x00041fa0,0xfff99be0,0xffffffff,0xd504ffff,0x3fffffa6,0x8002efff,
    0x3f70006e,0x6406f800,0x02400000,0x4017e000,0x37c001fb,0x20007e40,
    0x005f905f,0x3ee27c40,0x4bea0002,0xccccccc9,0xccfecccc,0x00013ea1,
    0x001ba000,0x0000dd00,0x7dc00000,0x202fc001,0xf70001fc,0x8000bee1,
    0x400002fa,0x000000fd,0x359db530,0x007f9001,0x4f827d40,0x001f6000,
    0x5d440000,0x0001abee,0x7dc001ba,0x2037c001,0x2400000c,0x09f10000,
    0xf0007ee0,0x001f900d,0x1df305f8,0x313e2000,0x7f4000bf,0x01fb0000,
    0x880007f6,0x00374002,0x0001ba00,0xfb800000,0x202fc001,0xf90001fc,
    0xd0002fcc,0xb800001f,0x0000004f,0x7c400264,0x3fd0000f,0x4000df10,
    0x0000006f,0x00004c80,0x3ee000dd,0x2037c001,0x2400000c,0x05f50000,
    0xc800fea0,0x00fc806f,0x9f702fc0,0x213e2000,0xfb8003fc,0x03f60004,
    0x400077c4,0x3a000fe8,0x37400006,0x5eec0000,0x07ee0000,0xfc80bf00,
    0xc8df0001,0x4fb8003f,0x5fb00000,0x64000000,0x4fb8002e,0x104fb800,
    0xf30003ff,0x0b366009,0x05d90000,0x000dd000,0xfc800fea,0x00006406,
    0xd8000120,0x0df3000f,0x00dffb10,0x5f8001f9,0x4001fec0,0x03fd04f8,
    0x00037cc0,0xefa803f6,0x0ffe6000,0x0000dd00,0x800006e8,0x20004ec9,
    0x2fc001fb,0x20007f20,0x01fe84fa,0x2a01be60,0xf1000ced,0x3930001f,
    0x0275cc00,0x90027f40,0x3fe201df,0x3fe2000e,0x07f2a001,0x4eb98000,
    0x00374000,0xd8806f98,0x006406ff,0x00012000,0x3a0037e4,0x37fe601f,
    0x00fc806f,0x3a202fc0,0xf71001ef,0x013fe609,0x00007ff2,0xffb801fb,
    0x02ffa803,0x00006e80,0x00000374,0x7dc000f3,0x202fc001,0xfd8001fc,
    0x804ff981,0x7dc01ffc,0x2a006fff,0xfb3003ff,0x0f30005f,0x01bfd100,
    0x2201efd8,0x9801efff,0x990003fe,0x0f300000,0x0006e800,0xff9807fa,
    0x006406fd,0x00012000,0x8001df91,0xca8adff9,0xbdff2ffe,0x0003f203,
    0x3fee00bf,0xb9989acd,0x2602effd,0xa88abefe,0x0000efec,0xfb800fd8,
    0xdb98acef,0xd0001eff,0x6e80000d,0x2b360000,0x2e0005ea,0x82fc001f,
    0x42deffdc,0xfea89bdb,0x2fbfa604,0xefeca88a,0xffffd800,0x3fa6001f,
    0xca989abe,0xc802fffd,0x005eaadf,0x26f3ff20,0x00efedb9,0x6ffd67c4,
    0xfda9889a,0x37b3004f,0xc80005f7,0x005eaadf,0x30003740,0xd9515bff,
    0x37bfe5ff,0x00000c81,0x33326024,0x0effeccc,0xffff5000,0x7fc1bfff,
    0x3fb6a1ff,0xd900deef,0x807ddffd,0xffffffd9,0x2002dfff,0xfffffffb,
    0x3b20003f,0x02deffee,0x7ffffe44,0x75c04fff,0xffeeeeee,0x3eeeeeee,
    0x7777775c,0xeeeeeffe,0x366003ee,0x54000cef,0x0deefeed,0xbdffdb30,
    0x3ffffa21,0x7fffcc4f,0xff7004ff,0x07ffffff,0x37fffdc0,0xffffb800,
    0x02dfffff,0x0677ed40,0x3ffee000,0x003effff,0x7ffec4ba,0x01dfffff,
    0x01eff5c0,0xcefda800,0xeeeec800,0xeeeeffee,0xffa804ee,0x20dfffff,
    0x0c81ffff,0x20240000,0xfffffffc,0xa880003e,0xb8001bcc,0x0effffff,
    0xfffffe88,0x2ea6005f,0x00009acc,0x006b32a6,0xffffd100,0x4c007fff,
    0xb000acca,0xffffffff,0xffffffff,0xfffffd8b,0xffffffff,0x00005fff,
    0x7fffdc00,0xff701fff,0x0003ffff,0x006f2ea2,0x06b32a60,0x05e64c00,
    0x32ea6000,0x000000ab,0x99510000,0x22000057,0x00abcca9,0x00000000,
    0xffffd000,0xffffffff,0x2a200dff,0x20001bcc,0xcccccccc,0xcccccccc,
    0x806ccccc,0x00099998,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x175c0000,0x54007d70,0x43cccccc,0x260002b8,
    0x53000001,0x00133555,0x54c00000,0x332a0000,0x000000cc,0x00001300,
    0x00000310,0x00000131,0x13555553,0x01cccc98,0x09800000,0xccca8000,
    0x80003ccc,0xcccccccb,0x44002ccc,0x36a0000c,0x2deeeeee,0xeeeeeec8,
    0x2001deee,0x22000998,0x99801999,0x2a000999,0xcccccccc,0xcb8803cc,
    0xcccccccc,0x1530001c,0x40330000,0xf880fff8,0xff8800ff,0x7c6fffff,
    0xb71003ff,0x005dffff,0xffffd300,0x003dffff,0xb300026c,0x37019fff,
    0x3ffffe20,0x88000000,0xdffffeca,0x7d40002c,0x2154005f,0xdeffffdb,
    0x7f4c0003,0xffffffff,0x05ffffd1,0xca880000,0x2cdffffe,0x7fffc400,
    0x40006fff,0xfffffff9,0x001fffff,0xc80007ea,0xffffffff,0x7ffffc45,
    0x04ffffff,0xdffffe98,0xfffff801,0x3fffe601,0xfff1006f,0xffffffff,
    0xfffb805f,0xffffffff,0x7fecc007,0x201b80cf,0xf01effe9,0x03ff40df,
    0xd3333310,0x027ffc4d,0x6677ffd4,0x0002effe,0x5555bff7,0x4003db99,
    0xff30006e,0x317ffd7b,0x4cc409fd,0x000000fd,0x4de77fd4,0x01efecb9,
    0x03fffd00,0xffeab740,0xdfffdcdf,0xdffb8000,0xddccaaaa,0x05f73310,
    0x7fd40000,0xecb99bce,0x262001ef,0x006e9999,0x99999880,0x00099999,
    0x000017dc,0x374000dd,0x2f7fea00,0x5402ffeb,0x5c01fecc,0x2006fccc,
    0x99999998,0x33001999,0x33333333,0x7fcc0013,0x98bffebd,0x3ffa04fe,
    0x015105ff,0x40000544,0x00ff5c6e,0x5c40bbf2,0x7cc002ff,0xe800000f,
    0x83b70006,0x04fffffa,0x00003f20,0x800dfc80,0xd8003fe8,0x3a000fff,
    0x301befdf,0x4c005ff9,0x2a0000ff,0x9000002f,0xfd1001bf,0x06e80007,
    0x00000000,0x000017dc,0x374000dd,0x503ff100,0x3ee003ff,0x0037c001,
    0x00000000,0x541db800,0x204fffff,0x0ffffff8,0x80000000,0x6c06b86e,
    0xffa800ef,0x00ff2003,0x00374000,0x16edc400,0x0003f200,0x00bfa600,
    0x8003bee0,0x74002dc8,0xf3000dff,0x0ff2003f,0x005f5000,0x02fe9800,
    0x000efb80,0x00000dd0,0x2fb80000,0x01ba0000,0x36006e80,0x00fa601f,
    0x3e000fdc,0x00000006,0x80000000,0xe802ddb8,0x0006ffff,0x8dd00000,
    0x17ea03f9,0x001ff300,0x000003fa,0x00000374,0x007e4000,0x00774000,
    0x000bd300,0x017fa000,0x7401be60,0x7d40000f,0x77400002,0x17a60000,
    0x00037400,0x2e000000,0x3a00002f,0x01ba0006,0x400005f8,0x37c001fb,
    0x00000000,0x00000000,0x2ffffa80,0x00000000,0x2205e8dd,0xfa8000ff,
    0x000df005,0x00037400,0x7e400000,0x7e400000,0x2aaaaaa0,0x0017cc02,
    0x00ff4000,0xf804fb80,0x2fa80006,0x03f20000,0x28e77654,0x740017cc,
    0x4ccc4006,0x99998801,0xf9333100,0x33333337,0x0dd00133,0x98037400,
    0x5c00004f,0x037c001f,0x37b6ea20,0xb98000ac,0x00cdeeec,0x20000000,
    0xd973002a,0x00019bdd,0xc8031ba0,0x3fa0003f,0x0006f801,0x0001ba00,
    0x9bddd973,0x01f90001,0x11fcc000,0xdb999db9,0x003f2019,0x00dd0000,
    0x7c00ff80,0x2fa80006,0x07f30000,0xf9335bb1,0x00fc81d9,0x3e003740,
    0x2601ffff,0xd06fffff,0xffffffff,0xffffffff,0x4000dd00,0x09f3006e,
    0x01fb8000,0xf50037c0,0xffffffff,0xfff93009,0x7ffffdff,0x88333100,
    0x00aceeca,0x3ff26000,0xffffefff,0x06e80003,0x0001be20,0x999889f5,
    0x99999ef9,0xd0000999,0xff93000d,0xffffdfff,0x20fc8007,0x0acdeca8,
    0x0b305e80,0x97a20d71,0x99999998,0x09999999,0xb8000150,0x2666622f,
    0xfa80006f,0x33333102,0x360bd013,0xd103f603,0x006e800b,0x00ff664c,
    0x41bf332e,0xcdfdccc9,0xcccccccc,0x0006e802,0x05f801ba,0x00fdc000,
    0x36201be0,0x75441bff,0x3bf601ef,0x7f5440ac,0x3fffe204,0xffffff51,
    0x200003ff,0x440acefd,0x40004fea,0x0fea006e,0xfd1fa000,0xffffffff,
    0x01ffffff,0xb000dd00,0xa88159df,0x3f2004fe,0xffdfff70,0x0fcc03df,
    0x40b20598,0x3ffff27a,0xffffffff,0x000005ff,0xfffe93e2,0xa80006ff,
    0xffff882f,0x0fcc5fff,0x03e20354,0x0dd001ea,0x000fdc00,0x17dc01be,
    0x00dd0000,0xfd003740,0x1fb80000,0x74037c00,0xffa800cf,0x6c001101,
    0x3fb2a02f,0x221befc9,0x80001ffb,0x0bf60008,0x2006e800,0xc80001fb,
    0x3333261f,0xccccccff,0xdd0002cc,0x40011000,0x1f9002fd,0x5c437df9,
    0x40f501ff,0x4c1a6059,0x999bf91f,0xf9999999,0x8000007f,0x3333265f,
    0xfa80006f,0x9bffb502,0x3b07a837,0x07e60500,0x20006e80,0x37c001fb,
    0x0002fb80,0xe8001ba0,0x007f2006,0x001fb800,0x13f2037c,0x000df500,
    0x2e013e20,0x7c405fef,0x80000007,0x3a0004f8,0x003f2006,0xf00bee00,
    0x3ff6000d,0xffffffff,0xffffffff,0x27c40005,0x04fefc80,0x06c837cc,
    0x203d8166,0x2003f92f,0x000004fc,0x037c07e8,0x9817d400,0x836403ff,
    0x17c0000f,0x4000dd00,0x37c001fb,0x0002fb80,0xe8001ba0,0x00fe6006,
    0x001fb800,0x0bf3037c,0x000fee00,0x7dc037c0,0x03f7005f,0xdf000000,
    0x00374000,0x2a0000fd,0x0037c03f,0xeeeeedb8,0xeeeeffee,0x0002deee,
    0xff9006f8,0x207ee009,0x2216604d,0x653a00eb,0x85fb801f,0xeeeeeeeb,
    0xeeeeeeee,0x07feeeee,0x5400037c,0x01ffb82f,0x006884d8,0x3a004e80,
    0x07ee0006,0x2e00df00,0x3a00002f,0x41ba0006,0xffeeeed8,0x0004eeee,
    0x6f8003f7,0x80007f60,0xdd00007f,0x400bf700,0x000004f8,0x20006e80,
    0x01be006e,0x2027cc00,0x2000006f,0x0000006e,0x13f200dd,0x3f83f980,
    0x3b333a60,0xf55c803f,0x320df500,0xffffffff,0xffffffff,0x407fffff,
    0xfa80006f,0x80077e42,0x0006883f,0x1ba005c8,0x001fb800,0xaaaa837c,
    0xaaaaacfd,0x0374002a,0x3e60dd00,0xffffffff,0xb8000eff,0x037c001f,
    0xfc8000dd,0x19998800,0x0fdc0374,0x00017e00,0xd0666620,0x0374000d,
    0x20000dd0,0x037c03f9,0x00dd0000,0x06666200,0x03f200dd,0x09d0bf00,
    0x3755574c,0x2a004d80,0x01f900ef,0x203ec000,0xfa80006f,0x001bfb12,
    0x003c4274,0xdd0026c0,0x00fdc000,0x3fe61be0,0xffffffff,0x74007fff,
    0x01ba0006,0x00001f90,0xfc800fea,0x999df106,0x99999999,0x03fb9999,
    0x3fffff6a,0x806fdeff,0x2fc001fb,0xffda8000,0xfdefffff,0x01ba0006,
    0x700007d8,0x006f807f,0x001ba000,0xfffffda8,0x006fdeff,0x5f8001f9,
    0x216605c8,0x01fc00ec,0x3200ff98,0x3a00001f,0x00037c07,0x27f457d4,
    0x0e82e400,0x001fc000,0x7dc000dd,0x9837c001,0xaacfdaaa,0x4000aaaa,
    0x1ba0006e,0x0003f700,0x2201be60,0xff306ffd,0xffffffff,0xffffffff,
    0xeffea87f,0xfecccbcd,0x01fb806f,0x20002fc0,0xbcdeffea,0x06ffeccc,
    0xc801ba00,0xfc80001f,0x00037c02,0x5000dd00,0x979bdffd,0x00dffd99,
    0xbf0003f2,0x82cc0f70,0x007e205b,0xf5007fe2,0x2fc00007,0x20001be0,
    0x00effcfa,0x05907b80,0x000fc400,0x7dc000dd,0x8037c001,0x200002fb,
    0xe802886e,0x017d4006,0x403fd000,0x106fdff9,0x3333339f,0x33333333,
    0x7fd41333,0x00df000c,0x5f8003f7,0x33fea000,0x000df000,0x5f500374,
    0x01fb0000,0x000006f8,0xff5001ba,0x01be0019,0x3e0007e4,0xb300f985,
    0x0fa81ec0,0x4017f440,0x300004f8,0x006f809f,0xfcfffa80,0x07cc000e,
    0x06a00744,0x6e8003ea,0x007ee000,0x3ee00df0,0x1ba00002,0x0dd003ee,
    0x0001fb80,0x22b7fe60,0xff2ffeca,0x006e83bd,0x00ffcc00,0x3ee01ba0,
    0x002fc001,0x4001ff98,0x1ba0006e,0x0004f980,0x37c037c4,0x0dd00000,
    0x000ffcc0,0x07e401ba,0x3e217e00,0x7440b303,0xfd806d80,0x001be003,
    0x3e017d40,0xefa80006,0x4001df71,0x01b303f8,0x01b603ae,0x5c000dd0,
    0x037c001f,0x00002fb8,0x007f21ba,0x07d800bf,0xfffa8000,0x3e0dffff,
    0x07ec1fff,0x05f90000,0xf700dd00,0x005f8003,0xd0005f90,0x0374000d,
    0x80007fa0,0x06f803fc,0x01ba0000,0xe8002fc8,0x001f9006,0x83f705f8,
    0xb702aeca,0x3600fd45,0x17ec004f,0x007f4000,0x2a0001be,0x002fdc2f,
    0x67d407ee,0xa80ddb9a,0x0374001f,0x8003f700,0x05f7006f,0x64374000,
    0x013e201f,0x00000dd0,0x206f32a2,0x9f701df8,0x03f40000,0xfb806e80,
    0x002fc001,0xdd0007e8,0x00374000,0x440017e6,0x06f800ff,0x01ba0000,
    0xdd0007e8,0x0003f200,0x9136c0bf,0x32019999,0x6404f88c,0xff88004f,
    0x0ff20000,0x20001be0,0x05fc82fa,0x32a036c0,0x09f100ad,0x4000dd00,
    0x3f2003fa,0x007f5006,0x7e437400,0x800fe601,0x000005f8,0x6c03dc00,
    0xfd00002f,0x00df7000,0x5f8003f7,0x000fd000,0x74000df7,0x02fc8006,
    0xf002fd80,0x7400000d,0x001fa006,0x7e401bee,0x102fc000,0xdb00009f,
    0x8805fb80,0x0005fa81,0x1be00bf3,0x40bea000,0x3e2005fc,0x06d80004,
    0x4000dd00,0xfd8806f9,0x0df3006f,0x64374000,0x007f603f,0x74001fd8,
    0x13a00002,0x0003fe20,0x01fe4726,0x806ffd88,0x2fc001fb,0x003fc800,
    0x000dffb1,0x7c400374,0x17f6003f,0x00006f80,0xfc800ee0,0xdffb1003,
    0x0003f200,0x0dfa80bf,0x01fe9800,0x7dc01bea,0x000dfc80,0x7c003fea,
    0x2fa80006,0xa8017f20,0xe98000df,0x0dd0001f,0x201fe800,0x006fdff9,
    0x2e200bfe,0xd10dd04e,0x00bf305f,0x2a002fcc,0x3200002f,0x3ffa8085,
    0x25ffb300,0xffa806fa,0x1fb806fd,0x8002fc00,0xffa806fa,0x3a0006fd,
    0x9ff30006,0x00efe880,0x00001be0,0x06fa8000,0x06fdffa8,0xf8001f90,
    0x02fe9805,0x9803bee0,0x3f7000ef,0x003dfb10,0x7c003df9,0x2fa80006,
    0x3002fe40,0x7dc005fd,0x1ba0000e,0x5bff3000,0x25ffd951,0x4c01deff,
    0xa9899cff,0xb51fffdc,0x5bddffdd,0x2e26ffe2,0xfd3001ff,0x03f44003,
    0x2b7e6000,0xdfd305eb,0xb9531357,0xefc85fff,0xfecb989b,0x1bddfd2f,
    0xf8003f70,0x3bf20005,0xfecb989b,0x1bddfd2f,0x00037400,0x3159dfb1,
    0x000bffb7,0x000000df,0x9befc800,0x2ffecb98,0x201bddfd,0x2fc000fc,
    0x157bf900,0x01ff6544,0xb8003fe6,0x37fea01f,0xfecb98ab,0x006f8004,
    0xc802fa80,0x6fe4005f,0x3b2a20ab,0x6e80003f,0xfffa8000,0x3e0dffff,
    0xe9801fff,0xffffffff,0x7fffdc3d,0x3a64ffff,0x801effff,0xeeefffd8,
    0xeeeeeeee,0x800004ff,0x400dffda,0xfffffffb,0x3ee02dff,0xcfffffff,
    0x47ffffa0,0xdeefeeda,0xdffdb300,0xff70001b,0x19ffffff,0x70fffff4,
    0xfddddddd,0xdddddddf,0xffff9007,0x8805dfff,0xeffeeeed,0x2deeeeee,
    0xeeeeeeb8,0xeeeeeeee,0x7dc3eeee,0xcfffffff,0x87ffffa0,0xdeeffeda,
    0xdffdd900,0xffb5007d,0x3bdfffff,0xdddffd00,0xdddddddd,0xfd8803fd,
    0x2effffff,0x77776c40,0x05eeeeff,0x02feeeb8,0x3bbffb62,0xffda802d,
    0x1defffff,0xddddd700,0xddddffdd,0x22007ddd,0x0001bcca,0x9bccb980,
    0xb9800000,0xfd3000ac,0xffffffff,0x03bfffff,0x00080000,0x0abcba98,
    0x332ea200,0xffb8001a,0x701fffff,0x03ffffff,0x332ea200,0xffb0001a,
    0xffffffff,0x0bffffff,0x0d665440,0xfffff980,0xffffffff,0xfffd83ff,
    0xffffffff,0x5fffffff,0x1accba88,0xffff9000,0xfd101dff,0x009fffff,
    0x009bb988,0x7fffffc0,0xffffffff,0x2e6001ff,0xf3000abc,0xffffffff,
    0xfd801dff,0x3e602fff,0x03ffffff,0x04ddcc40,0x7fffec00,0xffffffff,
    0x0005ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x98000000,0x8800000a,
    0x0acdedba,0x66665c00,0x02cccccc,0x9d302754,0x00048800,0x3bbb6e00,
    0xeeeeeeee,0x7777644e,0xed981dee,0x5c4eeeee,0x8003eeee,0x5c4eeee9,
    0xdeeeeeee,0xeeeed981,0x3bbb6a2d,0x3b2200ce,0x36a2deee,0x4404eeee,
    0x42deeeec,0x2deeeeda,0xdeeeed98,0xb9751003,0xdddddddd,0x6d49dddd,
    0x4404eeee,0x82deeeec,0xeeeeeeeb,0x2001bdee,0xeeeeeedc,0x8000ceee,
    0xeeeeeed9,0xb50003ee,0x305bdddd,0x87bddddb,0xeeeeeec8,0x4004eeee,
    0xeeeeeeeb,0x0abceeee,0xeeeeeb80,0xacdeeeee,0x20040001,0x703fffea,
    0xfffa8003,0x04ffffff,0xffffff30,0x01ffffff,0xfe80fff4,0x07ea002f,
    0x7ff40000,0xffffffff,0xff10ffff,0x07ffffff,0xfffffff7,0x7ffff41f,
    0xfffd8006,0x3fffa0ff,0xb83fffff,0x25ffffff,0x0ffffffd,0x3ffffe60,
    0x3ffff64f,0x3fe600ff,0x7e44ffff,0xa84fffff,0x06ffffff,0x7ffffe44,
    0xffffffff,0x3f65ffff,0x200fffff,0x4ffffff9,0xfffffff8,0xdfffffff,
    0x3fffe200,0xffffffff,0xfffb8001,0x06ffffff,0xfffff900,0xffff509f,
    0xfff88dff,0xffffffff,0x3ffa000f,0xffffffff,0x402fffff,0xfffffffe,
    0xdfffffff,0x3ff22000,0x67fd42ef,0xe98bfffb,0xffb1003f,0xefea8837,
    0x99998801,0x00999999,0xfd807fec,0x0bee000f,0x74000000,0x007f2006,
    0xfd013e60,0x7cc005f7,0x1fc807dc,0x80ffa200,0xfd8005fa,0x000ff601,
    0x3f9013f2,0x9805f800,0xf09aceff,0xf50bf00b,0x05fb000b,0x5cc03f70,
    0xf9002ffd,0x20000001,0x001fcafa,0xf0007f20,0x006f800b,0x1007e400,
    0x200bff73,0x36a601fc,0xdf9802ff,0x325fc98a,0x7fffdc0d,0x33fa003f,
    0x01ffa800,0x05400000,0xf70006a0,0x00000005,0x1fc801ba,0x404f9800,
    0x2006f8fe,0xc807d9fc,0x5ff3001f,0x4005fb00,0x7f4404fa,0x01bea001,
    0xbf0007f2,0x203ff980,0xb05f805f,0x27d4005f,0x3001fb80,0x1f9007ff,
    0x36000000,0x0004f98f,0xbf0007f2,0x0006f800,0x88007e40,0x1fc803fd,
    0x803ff500,0x005f706f,0x40039b71,0x7d4004fc,0x00000006,0x5f700000,
    0x20000000,0x07f2006e,0xd013e600,0x22007f2f,0xf900fb5f,0x05ff3003,
    0x2003fe20,0xf9800ff8,0x0ff8800e,0x4001fc80,0x07fe605f,0x0bf00bf0,
    0x22003fe2,0x3f7000ff,0x007f4400,0x000003f2,0x07e97e20,0x0007f200,
    0x06f800bf,0x007e4000,0xf9003fa0,0x037cc003,0x02f401d1,0x0bf30000,
    0x000fee00,0x00000000,0x0000bee0,0x00374000,0xf30003f9,0xbf17e809,
    0x1f65f700,0xf5007f20,0x4fa8003f,0x2002fd80,0x1fe805fb,0x55fed4c0,
    0xaaaaaaaa,0x40aaefaa,0x05f802fe,0x13ee05f8,0xb800bf60,0x2fcc001f,
    0x33333f20,0x0009accc,0x5f717dc0,0x007f2000,0x6f800bf0,0x07e40000,
    0x900bea00,0x1fc8003f,0x0013e000,0x001fd800,0x2e601fe0,0x001bceec,
    0x99880000,0x9999bfc9,0x00099999,0x90037400,0x9f30003f,0x03f67e80,
    0x403ecdd0,0x3bee01fc,0x05fb0000,0x64002fd4,0x00ff203f,0xfffffff5,
    0xffffffff,0x4c9fffff,0x00bf005f,0x01fd80bf,0xf70017ea,0x05f90003,
    0x7fffffe4,0x003fffff,0x0bf11fa0,0x0007f200,0x06f800bf,0x007e4000,
    0xf9013e60,0x03f98003,0x9883f700,0x00199999,0x32000374,0xfffb100f,
    0x01bfffff,0x33333310,0x7fff4003,0xffffffff,0x0007ffff,0xf9003740,
    0x09f30003,0x80fe67e8,0x201f63fa,0x1df901fc,0x077c4000,0x80007f44,
    0x05fa81fe,0x557fb550,0x55555555,0x6c155df5,0x00bf001f,0x06f8809f,
    0xb8001ff1,0x6f88001f,0x26667f20,0xefeba999,0x427cc001,0xfc8000fd,
    0x002fc001,0x900001be,0x2fb8001f,0x2000fe40,0xfb8003fa,0x7ffffc42,
    0x3e2007ff,0xccccccce,0xcccccccc,0xdffa81fd,0x3ff6a20a,0x3fffe202,
    0x26007fff,0xccdfdccc,0x2ccccccc,0x03740000,0x30003f90,0x747e809f,
    0x7d83f607,0xfd81fc80,0xfa80000d,0x0002fc84,0xef983fe2,0x00fe4000,
    0x17e217e0,0x00805f80,0x5f909f70,0x003f7000,0x7e403f20,0x00df7000,
    0x3fa81fc8,0x001fc800,0x1be002fc,0x32000b91,0x07ec000f,0xb0007f20,
    0x2fc8005f,0xf9999950,0x7ffcc00f,0xffffffff,0xffffffff,0x4017fd43,
    0x32a02ffa,0x007fcccc,0x0000bee0,0x00374000,0xf30003f9,0x7d47e809,
    0x3ec4f982,0xfb10fe40,0xfd80000b,0x00017e61,0x0ff45bea,0x000fe400,
    0x013e617e,0x003645f8,0x2fd43fd0,0x001fb800,0x3f203f70,0x013ee000,
    0x01be06f8,0xf0007f20,0x2e6f800b,0xf90006ff,0x02fe4001,0xf3000fe4,
    0x0fec400d,0x1003f400,0x3333339f,0x33333333,0x7fc41333,0x03fe2000,
    0x4000fd00,0x000002fb,0x6400dd00,0x4f98001f,0x437c3f40,0x403ec1fc,
    0x09fd11fc,0x4df10000,0x900000fe,0x0007fb9f,0xbf0007f2,0x7c007f50,
    0x30003f45,0x003fa2df,0x8000fdc0,0x01f903f9,0xa800fd80,0x007f203f,
    0xf8003f90,0x74f7c005,0x320003ff,0x7ed4400f,0x003f9005,0x4400bfee,
    0xfd0000ee,0x0006e800,0x8002fd80,0x3f4005fa,0x005f7000,0x1ba00000,
    0x8001fc80,0x43f404f9,0x217e21fb,0x89fc807d,0x0003fffe,0x3fccfb80,
    0x7fec0000,0x3bf20005,0xeeeeeeee,0xfb85feee,0x3bbfe002,0x5c0007fe,
    0x2002fccf,0xeefeeedb,0x201ceeee,0x01f904f8,0xd801fb80,0x013e600f,
    0xdddddf90,0xfddddddd,0xffff800b,0x7e40000c,0xfeeeeeee,0x32004fff,
    0xfd73101f,0x17ea003f,0x800fd000,0x200000fd,0x360004f9,0x01fa001f,
    0x0002fb80,0x00dd0000,0x4c000fe4,0x443f404f,0x360bee5f,0xffbfc807,
    0x001efeba,0x02ffec00,0x0ffd4000,0xffff9000,0xffffffff,0x01f90bff,
    0x7fffffc0,0xffe80007,0x7fff4005,0xffffffff,0x413e203f,0x7cc000fc,
    0x402fc403,0x7fe4007e,0xffffffff,0x2005ffff,0x0001dffb,0xffffff90,
    0x5dffffff,0x3bbbf200,0xcffffeee,0x007f9000,0xb800fd00,0x2e00004f,
    0x3ea0001f,0x001fa002,0x00002fb8,0x400dd000,0xf98001fc,0xfc83f404,
    0x01f60dd0,0xf707fff2,0x4400003f,0x400000ff,0x000efff8,0xf8003f90,
    0x2001fb85,0x5003f45f,0xffffffff,0x05ffffff,0x40007ee0,0x01f904f8,
    0x5c02fb80,0x02fb802f,0xf0007f20,0xdffd500b,0x0fc80000,0x3faea620,
    0x7ffe400e,0x0effffff,0x266ff200,0x005d9999,0x5fb000fd,0x03f20000,
    0x004f8800,0xfb8001fa,0x03a20002,0xc801ba00,0x4f98001f,0xcf983f40,
    0x00fb03fa,0x3e603ff9,0x3a00000e,0xfd800006,0x90005fba,0x85f8003f,
    0x17e002fa,0x999800db,0x999ef999,0x3ee00199,0x07f30001,0xfd0003f2,
    0x1007e801,0x0fe400bf,0xd9817e00,0x0006fbff,0x10007e40,0x7e401dfb,
    0x009ff701,0x7fffffec,0xfd006fff,0x01ff1000,0x1ba39300,0x801be000,
    0x3ee0007e,0x0bea0002,0xc801ba00,0x4f98001f,0xdfb03f40,0x201f601f,
    0x2fcc01fc,0x00dd0000,0x364fb800,0x1fc8003f,0x7cc2fc00,0x3117e003,
    0x01ba0000,0x0007ee00,0x0fc80fdc,0x101bea00,0xffffffff,0x01ffffff,
    0xf0007f20,0x437ff20b,0x0fc4006f,0xb8000fc8,0x807f203f,0x00005fe9,
    0x000fd000,0x4c00ffea,0x00fd2ffd,0x7400bf00,0x0bee0007,0x002fa800,
    0x3f2006e8,0x04f98001,0x9ff503f4,0x7e403ec0,0x002fc801,0x0000dd00,
    0x3fa237d4,0x00fe4001,0x02fc17e0,0x00000bf0,0x5c000374,0x0fb0001f,
    0xfc8007e4,0x777dc00f,0xeeeeeeee,0xf9003fee,0x885f8003,0x0037c1ef,
    0x07e40fe6,0x3206e800,0x2fec401f,0x74000000,0x3fa60007,0xca989abe,
    0x3f22fffd,0x13e60000,0x20007e80,0x2a0002fb,0x06e8002f,0x2000bea0,
    0x03f403fa,0x07d80332,0xf8801fc8,0x0dd00007,0x03fe2000,0xc8003fe6,
    0x82fc001f,0x0bf000fe,0xaaaa8800,0xaaaaffaa,0x3f7000aa,0xc817e000,
    0x3f6e600f,0x006e801f,0x3f9006e8,0x0105f800,0x7f3001be,0x40003f20,
    0x03f901fc,0x0000ff60,0x000fd000,0xffffff70,0xf705bfff,0x17d40005,
    0x4000fd00,0x2a0002fb,0x2fc4002f,0x0007f100,0x07e803f9,0xc807d800,
    0x07f7001f,0x000dd000,0xfa80bfa0,0x007f2005,0x13ea0bf0,0x2e802fc0,
    0xeeeeee98,0xeeeeeeff,0x003f7001,0x7e409f50,0xffeeeeee,0xf9800cff,
    0x01fb8003,0x7c001fc8,0x0037c005,0x07e40fe6,0x902fa800,0x3fa2003f,
    0x20000001,0x2600007e,0x400abefc,0x3a0005f9,0x01fa000f,0x0002fb80,
    0xf5000bea,0x005e8009,0x3f400ff8,0x403ec000,0x1be001fc,0x001ba000,
    0x32013f20,0x03f9004f,0x3fa05f80,0x8805f800,0x0374004f,0x000fdc00,
    0xfc803fe6,0xdeffffff,0x03f2000c,0x2013e200,0x2fc001fc,0x3001be00,
    0x003f207f,0xfc807e40,0x01be6001,0x07e80000,0x0026c000,0x5c001fe4,
    0x03f4004f,0x0007f500,0x360017d4,0x0fe4002f,0xd00df300,0x0fb0000f,
    0x64003f90,0x3740001f,0x017ea000,0xfc802fe8,0x302fc001,0x05f801bf,
    0x74004f88,0x1fb80006,0x00ffa200,0x800001f9,0x3f60005f,0x000fe400,
    0x0df0017e,0xf903f980,0x0dd10001,0x32000fe4,0x0000003f,0x4c0000fd,
    0x3fd0000f,0x0037cc00,0xf30003f4,0x77d4000d,0x00bf5001,0x3001df30,
    0x0fd001ff,0x900fb000,0x2fcc003f,0x001ba000,0x2000ff88,0x7e400ff8,
    0x202fc001,0x17e02ffc,0xd0013e20,0x3f70000d,0x017fa200,0x800003f2,
    0x2a0002fa,0x00fe402f,0xdf0017e0,0x903f9800,0xfe88001f,0x0007f203,
    0x00001ff1,0x0000fd00,0xf30003cc,0x3ff9009f,0x000fd000,0xb8802fe8,
    0x013fea5e,0x20001ff5,0x3e601efa,0x00fd003f,0xf900fb00,0x00fe8003,
    0x8001ba00,0xf98001fe,0x000fe406,0x3fea017e,0x402fc0ac,0x374004f8,
    0x00fdc000,0x4013fee2,0x200000fc,0x220000fd,0x00fe405f,0xdf0017e0,
    0x903f9800,0x3aa2001f,0x00fe404f,0x00027d40,0x0003f400,0x136677a0,
    0xabefe980,0x0efeca88,0x000fd000,0x899cff98,0x2fffdba9,0x45677f44,
    0x001ffdb9,0x4567fd40,0x403ffdb9,0xeeeffed8,0x7776400d,0x3b21deff,
    0x2deeefee,0x16f77d40,0xfeeeed98,0x02deeeef,0xbddffdb1,0x7f76d405,
    0xddb50def,0xb305bddf,0x07ddffdd,0x77fffec4,0xeeeeeffe,0x204feeee,
    0xeffeeeea,0xd9002dee,0xddddddfd,0x807fffdd,0xeeeffeec,0x9800deee,
    0xdeeeffed,0x3bbb6200,0xdb51deff,0x305bddfd,0x7ddffddb,0x7f7776c4,
    0xeeeeeeef,0x23feeeee,0xeeeffeec,0xfeeeeeee,0xfdd903ff,0x003bdddf,
    0x00077bfa,0x7777775c,0xeeeeeffe,0x64c004ee,0xb8000dff,0xffffffff,
    0x77775c03,0xeeeffeee,0x9804eeee,0xfffffffe,0x3ee00bef,0x0dffffff,
    0xffd50000,0x003dffff,0xfffffff3,0x7ff4403f,0x3a3fffff,0xffffffff,
    0x4ffff803,0xffffff50,0x07ffffff,0x3fffffa2,0x3ffee03f,0xff70efff,
    0x507fffff,0xbfffffff,0xffd97300,0xffffffff,0x6409ffff,0xffffffff,
    0xffd004ff,0xffffffff,0xe88017bd,0xffffffff,0xfa801eff,0x0effffff,
    0x3ffffa20,0xfff72fff,0xf507ffff,0x4bffffff,0xffffffe8,0xffffffff,
    0x3a3fffff,0xffffffff,0xadffffff,0x3ffffa00,0x3003ffff,0x20005fff,
    0xfffffffd,0xffffffff,0x0000006f,0x0d6654c0,0xfffffd80,0xffffffff,
    0x26006fff,0x001abccb,0x00acca88,0x99510000,0x00000035,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xdd700000,0xdddddddd,0xec87dddd,0xeeeeeeee,0x7764004e,
    0xeeeeeeee,0x7775c004,0xeeeeeeee,0x4eeeeeee,0x77777764,0x3bb6a01d,
    0x7643deee,0xeeeeeeee,0x3b66004e,0xeeeeeeee,0x3b2000ac,0xeeeeeeee,
    0x7000abce,0xdddddddd,0x5c0037bd,0x9805eeed,0xceeeeeed,0x3bb2e600,
    0x36000cde,0xeeeeeeee,0xeeeeeeee,0xdddb35ee,0xdddddddd,0xdddddddd,
    0x7777776c,0xeeeeeeee,0x3b25eeee,0xeeeeeeee,0x263eeeee,0xceeeeeed,
    0x3bbb2200,0x2a01deee,0xeeeeeeed,0xeeeeeeee,0xccca84ee,0x2ccccccc,
    0x39b95000,0x20000006,0x10000000,0x00000001,0x3ffffffa,0xffffffff,
    0x3ffffe26,0x0fffffff,0xfffff100,0x1fffffff,0x7f40eed4,0xffffffff,
    0xffffffff,0x3fffe25f,0x3203ffff,0x6fffffff,0x3fffffe2,0x00ffffff,
    0xffffff70,0xffffffff,0xffff8807,0xffffffff,0x7c00cfff,0xffffffff,
    0x00dfffff,0x1ffffff4,0x3ffffea0,0x7e4c1fff,0xfffeffff,0xffff003f,
    0xffffffff,0xdfffffff,0x3fffffee,0xffffffff,0x3e7fffff,0xffffffff,
    0xffffffff,0x3fff66ff,0xffffffff,0x3fee4fff,0x00ffffff,0x3fffffe6,
    0x3ff603ff,0xffffffff,0xffffffff,0x7ffffc45,0x1fffffff,0x3fff6200,
    0x0001ffff,0x009f9100,0x3a7d1000,0x0000003f,0x00037400,0x400001ba,
    0x7ffc406e,0x000fe404,0x0fea17e2,0x003ee000,0xf0000374,0x7f65440b,
    0x01f9000d,0x07ffaa62,0xb9807ee0,0xf7002ffd,0x7c4001ff,0x2b3bf604,
    0x027f5440,0x01be02fc,0x0017e0dd,0xf80bf3ec,0x1fb37406,0xe827d400,
    0x06f80006,0x17e4f880,0x3310bf10,0x33333333,0xbefe8001,0x0003fd98,
    0x01dff700,0x7bdd9730,0xf32fe883,0x000005df,0x001ba000,0x00000dd0,
    0x3ffe01ba,0x000fe404,0x13e617e2,0x003f2000,0xf0000374,0x07fe400b,
    0xb8007e40,0x0fdc00ef,0x803ff980,0x2005fcfb,0x002204f8,0x2fc02fd8,
    0x0dd01be0,0x3ec0017e,0x406f80bf,0x4003f66e,0x3f900ff8,0x01fd4000,
    0x0bf17d40,0x00005f88,0x0017ee00,0xffea8000,0xfffe8802,0x89efffff,
    0xeffb83fe,0x00000001,0x3a000374,0xdd000006,0x803f7100,0x7c4001fc,
    0x0004f885,0x1ba007d8,0x005f8000,0x7e4027dc,0x017ee000,0x744003f7,
    0x6d7dc00f,0x09f1001f,0x027c4000,0x80df017e,0x000bf06e,0x7c05f9f6,
    0x1fb37406,0x880bf600,0x3f60004f,0x20fc8000,0x02fc405f,0x3fb00000,
    0xd3000000,0x3ee007ff,0x32620acf,0x2203ffff,0x0000dffc,0x00dd0000,
    0x00006e80,0x1b600dd0,0x10007f20,0x8817e0bf,0x01ba0099,0x200006e8,
    0x1fd8005f,0x20007e40,0x07ee00fd,0xb80bf300,0x1006f8af,0xf800009f,
    0x3e02fc06,0x5f837406,0x2fcfb000,0x4dd01be0,0x5fa800fd,0x8000fd80,
    0xdd0005f8,0x2fc405f8,0xfd000000,0xd8800000,0xf9000cff,0xdff3003d,
    0x33ff6600,0x40000000,0x3740006e,0x06e80000,0xfc802fa8,0xd04f8001,
    0x01ffe40d,0x037400bf,0x000bf000,0x0fc80df1,0x7017dc00,0x5f90003f,
    0x3fc97dc0,0x0004f880,0x17e03740,0x06e80df0,0x9f2000bf,0x2037c05f,
    0x1003f66e,0x7f5001df,0x005f7000,0x05f89f30,0x99882fc4,0x00019999,
    0x000001fb,0x003bff91,0x440077cc,0x2002fefe,0x0003ffea,0x001ba000,
    0x00000dd0,0x00fa01ba,0x54000fe4,0x7fc0fb01,0x009f105f,0xf0000374,
    0x0bf2000b,0x4c000fc8,0x007ee03f,0xfb81be20,0xf1003fa2,0x99988009,
    0x17e03741,0x06e80df0,0x8a6000bf,0x2037c05f,0x3a01f26e,0x01be001f,
    0x5c001fa0,0x7402fc1f,0xfffff883,0xf70007ff,0xfb800007,0x744002ef,
    0xcfe8801f,0x5c000ff8,0x00002eff,0x40006e80,0x002ea06e,0x00001ba0,
    0x036203f9,0xf301f900,0x0fe20fb9,0x00006e80,0x7c40017e,0x0003f204,
    0x0fdc03f7,0x700fc800,0x2027d45f,0xfda804f8,0xdeffffff,0x202f406f,
    0xf837406f,0x7400f205,0x3a037c05,0x9f700626,0x001fc800,0x6c0013e6,
    0x40005f87,0x7fccccca,0x001ba000,0x017ff540,0x8803fb80,0x013ee4fe,
    0x00f7fe40,0x00dd0000,0xff906e80,0x00dd000d,0x501fc800,0x1fb8005f,
    0x82fbafb8,0x1ba003f9,0x005f8000,0x0fc81be0,0x2e03f400,0x3f70001f,
    0x3fb0bee0,0xd5027c40,0x9979bdff,0x980dffd9,0x22037c00,0x37c0bf00,
    0x37c00980,0xf9800620,0x04f98006,0x40007f20,0x3645f85f,0x003f4000,
    0x40007f30,0x0003ffe9,0x3a2007ec,0x0005f84f,0x0037ff22,0x001ba000,
    0x3ffe0dd0,0x0374000f,0x407f2000,0x7d4002fb,0x4f88fd82,0x3a002fa8,
    0x17e00006,0x3207d800,0x17ee000f,0x20003f70,0x85f703f9,0x13e206f9,
    0x80067fd4,0x6f80006f,0xf817e000,0x1be00006,0x0fe88000,0x400fd000,
    0x7f30006f,0x007e8bf0,0x20007e80,0x44000ff9,0x0000cffd,0x4fd806e8,
    0x30000fd0,0x00019ffb,0x20003740,0x0dff906e,0x0000dd00,0xeeeeefc8,
    0x54002fee,0x1ba6f82f,0x6e8007ee,0x017e0000,0xf900fc80,0x03bf2001,
    0xddfdddb7,0x4039dddd,0x05f704f8,0x13e205f9,0xd0007fe6,0x0df0000d,
    0x7777fc00,0x0006feee,0x80001be0,0x2e0003fc,0x03fa802f,0xff03f900,
    0x000ffddd,0xb1000fd0,0x5c00bfff,0x00001fff,0x4fd80bf1,0x00003f20,
    0x0017ffd4,0x40006e80,0x0197106e,0x0000dd00,0xffffffc8,0x4c002fff,
    0xf91fd43f,0x2000fc81,0x3e00006e,0x03f20005,0xba8807e4,0xffe81ffe,
    0xffffffff,0x13e203ff,0x7fc417dc,0xfc84f880,0x006e8002,0x20006f80,
    0xffffffff,0x7ff4006f,0xffffffff,0x2006ffff,0x440005fa,0x00fd805f,
    0x3fe0fd00,0x0007ffff,0x744007e8,0xb82fc9ef,0x3bfee2ef,0x0bf00001,
    0x3f202fec,0xfea80000,0x3a00002e,0x03740006,0x006e8000,0xb80fe400,
    0x27c4002f,0x43fa87f2,0x0374007d,0x000bf000,0xffc807e4,0xffffffff,
    0x07ee003f,0xb827c400,0x109f502f,0x000fd09f,0x3e0001ba,0x817e0006,
    0x7764006f,0xeeffeeee,0x1003deee,0xb00001ff,0x02fc401f,0xbf05f880,
    0xe80007e8,0x11fe4007,0x2efe81ff,0x006ffe44,0x7ec1fa00,0x0006e805,
    0x001fff4c,0x00037400,0x400001ba,0x6400006e,0x005f701f,0xf87e8bf0,
    0x3a003745,0x17e00006,0x3207d800,0xdeeeeeef,0x7dc000bc,0x07f30001,
    0x1fe80bee,0x03f427c4,0x00037dc0,0xbf00037c,0x000037c0,0xfb0000df,
    0x3e600005,0x000bee03,0x45f817d4,0x7e80006d,0x7d437400,0xb301be64,
    0x200019ff,0x02fec0fd,0x88002fc4,0x0000cffd,0x8000dd00,0x0f44006e,
    0xd1001ba0,0x5407f203,0x26e8001f,0x7c7d85f8,0x00374005,0x017e07a2,
    0x3f205f80,0xfb800000,0x03f70001,0x5f980bee,0x1fe427c4,0x06ffd880,
    0x0006f800,0x005e817e,0x0001be00,0x800009f7,0x001fa06e,0xffffffc8,
    0x000c45ff,0xf3003f40,0x7dc7f609,0x7ffd5003,0x6c9f5000,0x07f9005f,
    0x0dffc880,0x37400000,0x001ba000,0x06e807f3,0xfc81fcc0,0x20080201,
    0x2e0bee7d,0xd0013e2f,0x83f9800d,0x7f30005f,0x00007e40,0x8000fdc0,
    0x00bee07d,0x427c45f9,0xffa806fa,0xf80006fd,0x817e0006,0x3e000008,
    0x1be60006,0xfb8017c0,0x0004f981,0x333333be,0x000005fc,0x0fdc00fd,
    0x01fd6f88,0x02effa80,0x2fe4fec0,0x4006f980,0x0001effb,0x000dd000,
    0x7cc006e8,0x20037403,0x03f903f9,0x3e40fe00,0x29f301fb,0x374004f8,
    0x3e0fe600,0x03f70005,0x000007e4,0xf8000fdc,0x100bee05,0xc827c4df,
    0xcb989bef,0xddfd2ffe,0x0df0001b,0x0002fc00,0x000df000,0x7c400ff4,
    0x90bf1004,0x3e60003f,0x00017e03,0xf7003f40,0x2fefdc03,0x3dff7000,
    0x17ffe200,0x800ff440,0x0002ffea,0x00374000,0xf3001ba0,0x4006e807,
    0x03f903f9,0x2e09f100,0xb7c0df0f,0x374003f9,0x3e0fe600,0x01fd0005,
    0x000007e4,0x54000fdc,0x00bee04f,0x027c53ee,0xfffffff7,0x7fff419f,
    0x06f8001f,0x00017e00,0x0006f800,0x3e2007f9,0xf03f6004,0x0fdc000d,
    0x5f100bf0,0x5003f400,0x0ffe807f,0x7fe44000,0x3ffd800d,0x803ffb80,
    0x0003ffe9,0x00dd0000,0x4c006e80,0x0037403f,0x0fe40fe6,0xa827c400,
    0x3204f99f,0x4002fa8f,0x1fcc006e,0x7e4002fc,0x0007e405,0x000fdc00,
    0xfb803fe6,0xf11fd002,0xccba8809,0x00fe201a,0x20006f80,0x0000005f,
    0x3ea001be,0x013e2005,0x0fea3fa8,0x7c07d800,0x004f8805,0x6f8801fa,
    0x00037e40,0x019ffb30,0x2fbffbf2,0xefeba88a,0x67fec401,0x00000000,
    0xdd0001ba,0x403f9800,0x1fcc006e,0x88001fc8,0xf75f304f,0x7ddfd403,
    0x00374001,0x017e0fe6,0xc801ff70,0xb800000f,0x3fa2001f,0x8017dc03,
    0x004f8df9,0x0005c800,0xbf00037c,0x7c000000,0x07fc4006,0x8009f100,
    0x0003f66f,0x02fc05f8,0xfd0027c4,0x704fb800,0x00005fff,0x643ffea8,
    0xffff70ef,0x8809ffff,0x0001dffc,0x06e80000,0x20037400,0x037403f9,
    0x7e40fe60,0x04f88001,0x880fd7f3,0x4000fcdf,0x1fcc006e,0xff5002fc,
    0x001f9005,0x003f7000,0x2e017fa2,0x2bf6002f,0xe800004f,0x037c0002,
    0x0000bf00,0x20037c00,0x7c4002fd,0x44fe4004,0x3e60004f,0x4402fc03,
    0x01fa004f,0x2a2bbf60,0xdefe9efc,0x3ee00001,0x881df53f,0x001accb9,
    0x00005dfb,0x03740000,0x3001ba00,0x006e807f,0x1fc81fcc,0x104f8800,
    0xfb00bfbf,0x0dd000fb,0x5f83f980,0x01ffd980,0x00001f90,0xb8803f70,
    0x5f7004ff,0x27ffc400,0x86dc0000,0x1be000b8,0x0005f800,0x801be000,
    0xf88004fa,0x667cc004,0x3f20001f,0x4402fc00,0x01fa004f,0x7ffffe40,
    0x05fff50e,0x31b88000,0x50000019,0x00000005,0x3bbbbbb2,0xeeeeeeff,
    0x3bbbb624,0xeeeeeeff,0x3feeeeee,0xffddddb1,0xdddddddd,0x647fdddd,
    0xeeeeffee,0xeeeeeeee,0x3fe04fee,0x7ffb803f,0x3bbbb620,0xeeeeeeff,
    0x3feeeeee,0xdddffdb3,0xbfffdddd,0xffeec801,0x0deeeeee,0x77f76400,
    0xfeeeeeee,0xeec803ff,0x402deeef,0x00004ffb,0x06fefe88,0xffddddb5,
    0x303bdddd,0xdddffddb,0x20007ddd,0xffeeeeda,0xb81deeee,0xeeeeeeef,
    0xfeeeeeee,0x6ffe8004,0xffed9800,0xfddb30de,0xdddddddf,0x775c9fdd,
    0xeffeeeee,0x04eeeeee,0x0006f2e2,0x00000000,0x00000000,0x7ffff400,
    0xffffffff,0x3ffa26ff,0xffffffff,0xffffffff,0xffffd13f,0xffffffff,
    0x7fffffff,0x7ffffff4,0xffffffff,0x204fffff,0xf9801ffe,0x3ffa206f,
    0xffffffff,0xffffffff,0xfffff53f,0x9dffffff,0xfffd1003,0xdfffffff,
    0xfffe8003,0xefffffff,0xffd000bd,0x007fffff,0x000009fd,0xff700544,
    0xffffffff,0xfff505ff,0xffffffff,0x3fee000b,0xffffffff,0xfffb82ff,
    0xffffffff,0x004fffff,0x8003ffb8,0x0efffffa,0xfffffff3,0xffffffff,
    0x7ffffec9,0xffffffff,0x00006fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x02200000,0x00110000,0xdeeeca80,
    0x5cc0021c,0x201bceec,0x3b2e602d,0x0000cdee,0x337b72a2,0x4cc4041b,
    0x99988019,0xdeb88009,0x16f5c402,0x00666620,0xc8266666,0x7765cc03,
    0x510001bc,0x0159bdb7,0x19999988,0x26666600,0x6765cc01,0x05bd7101,
    0x99999998,0x26666200,0x4ccc4199,0x26620099,0x18000999,0x09998300,
    0x2a073b6a,0x4c402dec,0x77654419,0x001800ac,0x26620003,0x32e60099,
    0x99999881,0x99999999,0x26666209,0x26620999,0x00009999,0x40000bb0,
    0xb8002ffa,0xffffffff,0x2203faef,0xfffffffd,0x227c40df,0xefffffc9,
    0x8003ffff,0xfffffffb,0x40fb8cff,0x201fffff,0x06fffff9,0x7fffffcc,
    0xfffffc83,0x3ffffe05,0x3fffe601,0x6c417e6f,0xffffffff,0x3fea000d,
    0x4fffffff,0x3fffff60,0xfffa801f,0xfea84fff,0x5c6fffff,0x904fffff,
    0xffffffff,0xfffff301,0x7ff49fff,0xf980ffff,0x006fffff,0xe8803f62,
    0x23bffee7,0x22fffffd,0x04fffffd,0x2a3ffff1,0xffffffff,0x3017e601,
    0xff9800bf,0xffb86fff,0x3f22efff,0xffffffff,0x3a5fffff,0x6fffffff,
    0x3ffffffe,0x0dd00006,0x27fe4000,0x06fff200,0x413fff26,0x220adffa,
    0x3ea2ffda,0x05677ec4,0x4013faa2,0x441aefe8,0x40feffea,0x401fecc9,
    0x206fcccb,0x3fa62ff9,0x74cbfe63,0xfd99505f,0xfcccb803,0xff505f36,
    0x7ed4415b,0x7fec402f,0x77f5441b,0xccfeb981,0xf9971003,0x3bff017d,
    0xefaa7ecc,0x710bf910,0x0599bfd9,0x677ee654,0x37fee60b,0x3f72a02c,
    0xfd1001bf,0x127f440b,0x39fdff97,0x33f67faa,0x2a03fd51,0xbefc9fec,
    0x807fee21,0x3fa00efd,0x332a000d,0x3ff626fc,0x91ffa8ac,0x999999bf,
    0x47ff9999,0xccdfdcc9,0x337ff6a1,0xdd00001c,0x774c0000,0x03fe6000,
    0x2a13fe60,0xffa802ff,0x00883fb3,0xd100bf60,0x3fea009f,0x007ee00f,
    0x17f40df0,0x06e87f44,0x1fb807f9,0x3feffc00,0x54017fd4,0x33fa02ff,
    0x01ffa800,0x4c0003f7,0xd802203f,0x5f906fbf,0x40027d40,0x77d401fc,
    0x02fe8800,0x981bfa20,0x3ffa05ff,0x83fffa84,0x77dc05fa,0x03fc405f,
    0x2201dfd1,0xd0000efe,0x2037fe6d,0x003f91d9,0x2fa813f2,0x0007ff30,
    0x0001ba00,0x0ff20000,0x7c44fc80,0x3fe2000f,0x880006fd,0x017e404f,
    0xb803fea0,0x837c001f,0x37e603fa,0x0df101fc,0x7c001fb8,0x7fc41cef,
    0x03fe2000,0xf50013f2,0x000bea0d,0x20001fb8,0xf101fffa,0x000fe80d,
    0x7d401be2,0x0bfa200e,0x00eff980,0xfe80dff3,0x40bff105,0x2ffdc06f,
    0x2201fb80,0xff101efe,0x5dd0001d,0x7e4005ff,0x405fb801,0x2ffa82fa,
    0x1ba00000,0x20000000,0x1fc001fc,0x2a000bf6,0x00000eff,0x02fcc0df,
    0x2e00fe80,0x837c001f,0x7ff400fe,0x701fdc05,0x06f8003f,0x2a000bf6,
    0x002fcc5f,0x4f883fb8,0x36019910,0x5ff80007,0xf7017dc0,0x017dc007,
    0xf303ff50,0x7fcc005f,0x1dff500e,0x7f407e80,0xf701f600,0x027c400b,
    0x4c07ffe2,0x74001eff,0x54001fff,0x806fa807,0x0f7e42fa,0x1ba00000,
    0x20000000,0x4c0005f9,0x3f60004f,0x1ba00001,0x70001fd8,0x001fb80f,
    0x027c437c,0x22017fd4,0x007ee05f,0x13e60df0,0x361fd800,0x1fe0001f,
    0x2ffb8374,0xd0000dd0,0x05f8805f,0x0fd0037c,0x4c3ff300,0x3ea001ff,
    0xfff701ff,0xe80dd001,0x2e03ec07,0x02fc001f,0xa817ffcc,0x3a001fff,
    0x000000ef,0xf5001df5,0x00077ec5,0x00374000,0xfd800000,0xfb8001be,
    0x0bea0001,0x41999880,0x001be06e,0x003f7000,0x03f986f8,0xe800ff88,
    0x0007ee06,0x007ee0df,0x1ba2fa80,0x901f9000,0x0bffd01f,0x988009f1,
    0xd001fd09,0x802fc80d,0xf30004fa,0x003ff33f,0xb80fffd4,0xdd001fff,
    0x3ec07e80,0xf0007ee0,0x3ffea00b,0x05fff502,0x00003ba0,0x8007fcc0,
    0x05fe8afa,0x1ba00000,0x80000000,0xcdeffffb,0x003f201b,0x5404f880,
    0xfffffffd,0x9f106fde,0xfb800000,0x5c37c001,0x99ff002f,0xd9999999,
    0x000fdc0f,0x007e41be,0x3e29f100,0xccccccce,0xcccccccc,0x41fb81fd,
    0x540fddf8,0x7654402f,0xaffeffff,0xaaaaaaaa,0x02fc407e,0x300007ec,
    0x4003ffff,0xf902fffb,0x374005ff,0x0fb01fa0,0x7c001fb8,0x3ffee005,
    0x05fff703,0x00000dd0,0xa8007fe2,0x003fffcf,0x01ba0000,0x99999988,
    0x99999999,0x51009999,0xdffffdb9,0x0000dd05,0x3ffaa0df,0xecccbcde,
    0x07f306ff,0x1fb80000,0x7e437c00,0xfffff001,0xffffffff,0x0007ee01,
    0x001ba0df,0x7ffcdbe0,0xffffffff,0xffffffff,0x7dc3f983,0x0fdc3faa,
    0x99dfff50,0xffffffb9,0xffffffff,0x4c03fb00,0xfb80005f,0x3ff2003f,
    0x5fff903f,0x7406e800,0x2e03ec07,0x02fc001f,0x40ffff20,0x7403fffc,
    0xe8800006,0x7fd4002f,0x000dfebf,0x99999980,0x9999ef99,0x3ffa1999,
    0xffffffff,0xffffffff,0x7e54c006,0x0003f44f,0x67fd42fc,0x260df000,
    0x4000003f,0x37c001fb,0xff800fdc,0x99999999,0x07ee0199,0x1fa0df00,
    0x7c57e000,0x9999999c,0x99999999,0xe8bf0099,0x40fb17e7,0x7f402efd,
    0x99999999,0x4f980199,0x00007f20,0x005ffff5,0x5417ffe6,0x74005fff,
    0x3603f406,0x000fdc07,0xffb0017e,0xfffd103f,0x0006e803,0x8003fd80,
    0x3bee1ffa,0x3ffa0001,0xffffffff,0xffffffff,0x99999956,0x99999999,
    0x00039999,0x1f92fe44,0x227cc000,0x74001ff9,0x0009f106,0x001fb800,
    0x017d437c,0x00007fc4,0x3e000fdc,0x0001f906,0x00dd27cc,0x227d8000,
    0x5f83f65f,0x3a00df30,0x6c00000f,0x006f880f,0x74477d40,0xfff3002f,
    0x13ffea09,0x3f406e80,0x3f701f60,0x2005f800,0xfb01fffd,0x0dd001df,
    0x04fd8000,0xf305f500,0x3260005f,0xfccccccc,0xcccccccf,0x0000001c,
    0x2e1f9000,0x3ea0002f,0x40017e42,0x001be06e,0x003f7000,0x03f986f8,
    0x0002ff98,0x7c001fb8,0x0005f706,0x01fb17d4,0x87e40000,0x44fea2fb,
    0x005f903f,0x00000bfa,0x05f707f5,0x1077d400,0x3a6005fd,0xfff304ff,
    0xd01ba007,0x5c07d80f,0x02fc001f,0xb00effc8,0x3a001dff,0x3f200006,
    0x0bea0004,0x00007fcc,0x00006e80,0x00354000,0x0bf32f98,0x3a07f400,
    0x40dd0007,0x000001fd,0xdf0007ee,0x3ea017e0,0xfb80004f,0x9837c001,
    0x3fa0005f,0x00013ee0,0x0fd2fa80,0x5c0beadf,0x07fd001f,0xd0fd0000,
    0x77dc000f,0x002fe880,0x2607ffd1,0x6e802ffe,0x1f603f40,0xf8003f70,
    0x0effb805,0x001bff90,0xb8000374,0x5018805f,0x02fd405f,0x006e8000,
    0x7e400000,0x22fa8002,0xfb8003fc,0xb8007e84,0x01be606f,0x3ea04980,
    0x41bf2003,0x7ff400fd,0x3fa80006,0xc81bf200,0x4fb8003f,0x00002fd8,
    0x09f19f10,0x201f91f9,0xff9803f9,0x5c00000f,0x000fea2f,0xd10077dc,
    0x3fa2007f,0x3ffd102f,0x3f406e80,0x3f701f60,0x5405f800,0xff700dff,
    0x00dd000b,0x200df500,0x02fa80fb,0x000017ec,0x00000374,0x0017f200,
    0x03fd03f6,0xfc837cc0,0xdffb1003,0x8004fc80,0xdf300ffc,0x0dffb100,
    0xbfa817e2,0x02d404fb,0xfb100df3,0x01fe80df,0x7c41be60,0x1c98000f,
    0x20befba0,0x7c06dbfa,0x3ffa200e,0x002d403f,0x007ecdf1,0x40077dc0,
    0x36003fe8,0xffd101ff,0x3a037403,0x2e03ec07,0x02fc001f,0x7d40bff5,
    0x0dd0004f,0x00ef9800,0x5f503f70,0x0006f880,0x00006e80,0x6ffe4000,
    0x84fd8800,0xfc804ff9,0x00df501f,0x00dfbff5,0xd5001bfd,0x1fe803ff,
    0x1bf7fe60,0x6f984fc8,0xfb103ff1,0x201fe80d,0x406fdff9,0xfc804ff9,
    0x0ffea01f,0x017fecc0,0x77c0fdfb,0x82fdc05f,0x1fefffe8,0x4006fd88,
    0x004f99fc,0x2000efc8,0x36003fe8,0x3ff601ff,0x7e80dd00,0x3ee03ec0,
    0x982fc001,0x3fe604ff,0x01ba0004,0x000ff980,0x0bea07ee,0x0000bf20,
    0x40000dd0,0xf9000bc8,0x11579ffd,0x40bff953,0x88abefe9,0x400efeca,
    0xb989befc,0xdfd2ffec,0xffb101bd,0xd9731359,0xf3001bff,0xfd9515bf,
    0x077bfe5f,0xf733bfd1,0x4dffcc3f,0x400dffb9,0xca8adff9,0xbdff2ffe,
    0x2fbfa603,0xefeca88a,0xbefe9800,0xfdca989a,0x7fdc02ff,0x00fff204,
    0x2e62fbee,0xfe8eeaff,0x04ffc98b,0x1feef880,0x3bffae00,0x3bb204ee,
    0x9003effe,0x26fd80df,0x1deffed9,0xd81defe8,0xddb51def,0x2601bddf,
    0x10deffed,0x7fc409ff,0xddd91003,0xdddddffd,0x3fa07ddd,0xeeeeeeef,
    0x71feeeee,0x7dddfddd,0x0bbbfe60,0x001ba000,0x003ffb80,0x3fffa6d5,
    0x02efffff,0xffffff70,0x7dc007ff,0xcfffffff,0x07ffffa0,0xffffffa8,
    0x4000cfff,0xfffffffa,0x07fffe0d,0x37ffff62,0xffffd981,0x3fea002e,
    0x20dfffff,0x5c01ffff,0xffffffff,0xfffb8003,0x2dffffff,0x405ff300,
    0xf7001ff9,0x323fffff,0xdfffff34,0x7fec0005,0x7ffe4005,0xe880efff,
    0x04ffffff,0xd7003ae0,0x7fffffd4,0x82fffe82,0xff72fffd,0x203fffff,
    0x1ffffffb,0x2e9805d1,0x3fffe600,0xffffffff,0xfff04fff,0xffffffff,
    0x323fffff,0x5fffffff,0x013fff60,0x0001ba00,0x0003ffb8,0x2af32ea2,
    0x99530001,0x2a200035,0x0001accb,0x5665d4c0,0x2a200009,0x80001bcc,
    0xb8800bb9,0x9510000b,0x80000379,0x001acca9,0xabcba980,0x00000000,
    0x01579300,0x0001bc98,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x1ba00000,0x00770000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0x0000006e,0x30000c40,0x00031001,0x17000000,0xa981c400,
    0x00002aaa,0x26000000,0x266201aa,0x99999999,0x99999999,0x99730099,
    0x97530015,0x5554c059,0xaaaaaaaa,0xaaaaaaaa,0x002aa00a,0xbbbbbb80,
    0xbbbbbbbb,0x175c3bbb,0x00007d70,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x3310001a,0x40033333,0xfc8003fb,
    0x4007d803,0x0cfffec8,0x88176e20,0xff9800ff,0x5ffffd80,0x4c00ae00,
    0x260fffff,0x4c1fffff,0x41effffe,0xfffffffa,0xffffffff,0x46ffffff,
    0xffffffd8,0xffffd504,0xffb03fff,0xffffffff,0xffffffff,0xfff50bff,
    0x3fe0009f,0xffffffff,0x7fffffff,0x7c41ffe2,0x000000ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3ffffe20,
    0x3a2007ff,0xdffd913f,0x003bf219,0xdfa801f6,0xc85eb989,0x5405fefe,
    0x3fe600ef,0xfffff882,0x03ff3001,0x8fffff10,0x20fffff8,0xfffffffa,
    0x3332e22f,0xcccccccc,0xcccccccc,0x873fe26f,0x6cc0efc9,0x0bd710ab,
    0x55555551,0x55555555,0xa8155555,0x0efdabef,0xffff1b60,0xffffffff,
    0xf8ffffff,0x01bfa06f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x32a00000,0x007fcccc,0x7ffeff44,0xefdfffdd,
    0x400fb000,0xa83f3029,0xf500bd0a,0x05ff301d,0x017fffea,0x0077ff44,
    0x7c37fffc,0x3fe27fff,0x03bfae2e,0x26e80000,0x17ea01fe,0x0003f500,
    0x0efa8000,0x7e4077e4,0x44444444,0x88888888,0x05440888,0x00001510,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x03f40000,0x417ffc40,0x2000effa,0x3a00007d,0xa802f405,0x0bfe60ef,
    0x00ffffc8,0x0bf75fb0,0xd0bfffd0,0x7fdcbfff,0x003ff980,0x7d5ba000,
    0x401fc803,0x0000fe60,0x201dd000,0xbfb32ffa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x98007e80,0x3fa200ef,0x07d80440,0x03f88002,0xdf7002f4,0xe805ff31,
    0xf9004fff,0x36027e49,0xffc84fff,0xe817f64f,0x2000004f,0x3001f96e,
    0xfffda87f,0x0003feff,0x2004c000,0x04fffffa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfd8007e8,0x744fa801,0x89f60bdf,0x2600ffda,0x5e805fba,0x7ff7dc00,
    0x7fffc402,0xe86fa800,0x3fff202f,0x23fffb83,0x17f203fe,0xb6e80000,
    0xd93e200f,0xeccccdff,0x0000003f,0x5bb71000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2001fa00,0x51fa006f,0xfd7dfffb,0x07dfffb5,0x8037ffd4,0xffc8005e,
    0x3fffb803,0x880ff980,0xfff700ff,0x45fff503,0x13fa06fc,0x96e80000,
    0x25f3001f,0x7f300dfb,0xffffffd8,0xffffffff,0x04ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x1fa00000,0x4009f100,0xfdb880fc,0x0befffff,0x037f2a00,
    0xf9800bd0,0x7ec00fff,0x1fe8807f,0x2603bea0,0xff980fff,0x207fee1f,
    0x00002ffa,0x01fd5ba0,0x00fe8fe4,0x99950fe6,0x99999999,0x99999999,
    0x00000059,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3e6003f4,0x003f2004,0x001dff91,
    0x7405f880,0x2bfe6005,0x3fe00ffa,0x03fd803f,0xff885fb8,0x81fff107,
    0xfd99dffe,0x4000005f,0xa807f66e,0xea81f64f,0x0000003f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x74000000,0x02fc4007,0xff100fb0,0x700005fd,0x802f401f,
    0x3fea2ff9,0x806ff980,0x3f6004fc,0x3e06ff83,0xfffe987f,0x0000efff,
    0xff137400,0x1bf66239,0x36a239f3,0x000adfff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xd000fd00,0x0df1001f,0x1ff35fb0,0x01fa8000,0x3fe6017a,
    0x640ffa82,0x37c402ff,0x361fa200,0x817f604f,0x004ffffc,0x88dd0000,
    0x4ffffffd,0xffffffb0,0x00bfff59,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2001fa00,0x2fd805fa,0xbf727dc0,0x03740080,0x5ff3017a,0xf707fdc0,
    0x8000a009,0x2200c981,0x0008800c,0x814c0000,0x400acca8,0x260abcb9,
    0x00000019,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3a000000,0x1bfd0007,0x980dfb10,
    0x503fd86f,0x3ae237df,0x74ccc41f,0x3a20999e,0x46fb802f,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfc8007e8,0xfcbbcfff,0x3fa03fff,0x100fe881,0x1bffffd9,0xffffffd0,
    0x01744dff,0x00001d50,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x07e80000,0x7d477e40,0xe8aeffff,0x202e883f,
    0x198801e9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfb801fa0,0x20d54c0e,0x00002fe8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x007e8000,0x22000366,0x0000001c,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0xeeeeeeeb,0xeeeeeeff,0x0000004e,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffd80000,0xffffffff,0x06ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_49_latin_ext_x[560]={ 0,10,5,3,4,3,5,10,12,6,0,3,6,3,
9,4,4,4,3,4,4,4,5,4,4,5,9,6,0,2,0,0,4,0,1,2,3,1,3,2,2,4,3,1,
2,0,0,0,3,2,1,3,3,1,0,0,1,2,4,0,0,0,4,1,9,3,0,3,2,2,4,2,1,3,
3,4,3,0,2,3,0,2,3,4,3,1,1,1,2,3,5,0,12,0,3,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,10,4,2,4,2,
12,3,6,0,0,0,0,3,0,-1,7,3,7,7,9,1,3,9,9,7,6,2,0,0,0,0,0,0,0,0,
0,0,0,2,1,1,1,1,4,4,4,4,-1,0,0,0,0,0,0,5,1,1,1,1,1,2,3,1,3,3,
3,3,3,3,0,3,2,2,2,2,3,3,3,3,2,2,3,3,3,3,3,3,2,1,1,1,1,3,0,3,
0,3,0,3,0,3,2,3,2,3,2,3,2,3,3,2,-1,2,1,2,1,2,1,2,1,2,1,2,2,2,
2,2,2,2,2,2,2,1,2,1,4,3,4,3,4,3,4,3,4,3,0,0,3,3,1,4,3,2,3,2,
3,2,3,2,3,1,3,0,2,0,2,0,2,0,2,2,0,3,0,3,0,3,0,0,1,3,1,3,1,3,
3,4,3,4,3,4,3,4,3,3,3,3,3,2,1,1,1,1,1,1,1,1,1,1,1,1,0,1,2,3,
2,4,5,4,5,4,5,4,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,1,5,5,3,5,5,5,
5,5,5,5,5,5,5,5,5,5,2,3,5,5,5,5,5,5,5,5,5,5,5,5,5,1,1,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,3,4,3,0,
3,1,1,1,1,1,1,1,1,1,1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,0,3,0,0,1,2,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static signed short stb__courier_49_latin_ext_y[560]={ 36,8,9,7,7,9,13,9,9,9,9,12,29,22,
30,6,8,9,8,8,9,9,8,9,8,8,17,17,12,19,12,10,8,11,11,10,11,11,11,10,11,11,11,11,
11,11,11,10,11,10,11,10,11,11,11,11,11,11,11,9,6,9,8,46,7,17,9,17,9,17,9,17,9,8,
8,9,9,17,17,17,17,17,17,17,11,17,17,17,17,17,17,9,9,9,20,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,36,17,7,10,14,11,
9,9,10,10,8,17,22,22,10,5,4,9,8,8,7,17,9,19,35,8,8,17,8,8,8,17,2,2,2,4,
4,2,11,10,2,2,2,4,2,2,2,4,11,4,2,2,2,4,4,16,9,2,2,2,4,2,11,9,7,7,
8,10,10,7,17,17,7,7,8,10,8,7,8,10,9,10,7,7,8,10,10,13,15,7,7,8,10,7,9,10,
5,11,2,8,11,17,2,7,2,8,4,9,2,8,2,9,11,9,5,11,2,8,4,9,11,17,2,8,2,8,
2,8,4,9,10,7,2,2,11,9,4,10,5,11,2,8,11,8,4,17,11,8,2,8,11,9,17,2,1,11,
9,11,9,11,9,11,9,2,7,11,17,2,8,9,10,17,5,11,2,8,2,7,11,17,2,7,11,17,2,8,
2,7,2,8,10,17,3,8,11,11,2,9,11,11,4,10,5,11,2,8,1,7,2,7,11,17,2,8,2,8,
4,2,7,4,9,3,8,9,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,10,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,10,17,8,8,8,8,8,8,8,8,8,8,8,8,8,7,17,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,2,8,2,8,2,
8,2,8,2,5,2,2,2,3,2,2,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,-6,-1,2,7,2,7,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__courier_49_latin_ext_w[560]={ 0,6,16,19,18,20,17,6,8,8,17,20,10,20,
8,18,18,18,18,18,17,18,18,17,18,18,8,11,21,22,21,16,17,26,23,22,22,22,22,23,22,18,23,24,
22,26,25,22,21,22,25,20,20,24,26,26,24,22,18,8,17,8,18,27,8,21,24,21,24,21,20,23,23,20,
15,21,20,26,22,20,24,24,21,18,20,23,24,24,22,22,17,9,2,9,20,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,6,17,21,18,22,
2,20,14,26,14,22,23,20,26,28,12,20,11,12,8,23,20,8,8,12,14,22,26,27,26,16,26,26,26,26,
26,26,26,22,22,22,22,22,18,18,18,18,24,25,22,22,22,22,22,16,24,24,24,24,24,22,21,21,21,21,
21,21,21,21,26,21,21,21,21,21,20,20,20,20,21,22,20,20,20,20,20,20,22,23,23,23,23,22,24,22,
26,21,26,21,27,23,22,21,22,21,22,21,22,21,22,24,24,24,22,21,22,21,22,21,24,21,22,21,23,23,
23,23,23,23,23,23,22,23,22,23,18,20,18,20,18,20,18,20,18,20,26,22,23,16,24,21,20,22,20,22,
20,22,20,22,20,23,20,25,22,25,22,25,22,24,22,19,22,20,22,20,22,20,26,26,25,21,25,21,25,21,
20,18,20,18,20,18,20,18,20,20,20,20,20,21,24,23,24,23,24,23,24,23,24,23,24,24,26,24,22,22,
22,18,17,18,17,18,17,20,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,20,23,23,23,
23,23,23,23,23,23,23,23,23,23,24,22,23,23,23,23,23,23,23,23,23,23,23,23,23,25,24,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,26,21,18,20,22,
20,24,23,24,23,24,23,24,23,24,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,26,21,26,26,24,22,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23, };
static unsigned short stb__courier_49_latin_ext_h[560]={ 0,29,13,32,34,28,24,14,33,33,17,23,14,4,
7,34,29,27,28,29,27,28,29,28,29,29,20,24,23,9,23,27,31,25,25,27,25,25,25,27,25,25,26,25,
25,25,25,27,25,32,25,27,25,26,25,25,25,25,25,33,34,33,13,2,8,20,28,20,28,20,27,28,27,28,
37,27,27,19,19,20,28,28,19,20,26,20,19,20,19,28,19,33,33,33,7,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,0,28,29,26,18,25,
33,30,4,27,13,19,13,4,27,3,13,27,15,16,8,28,30,7,9,15,13,19,28,28,28,28,34,34,34,32,
32,34,25,34,34,34,34,32,34,34,34,32,25,32,35,35,35,33,33,15,29,35,35,35,33,34,25,28,30,30,
29,27,27,30,20,27,30,30,29,27,28,29,28,26,28,26,30,30,29,27,27,21,23,30,30,29,27,38,36,35,
31,26,34,29,31,25,35,30,35,29,33,28,35,29,34,28,25,28,31,26,34,29,32,28,31,26,34,29,35,37,
35,37,33,36,34,38,34,34,25,27,32,26,31,25,34,28,32,35,32,19,26,37,35,37,33,35,19,34,35,33,
35,25,27,25,27,25,27,34,29,33,27,34,28,27,27,28,32,26,35,29,35,30,25,20,34,29,33,27,34,28,
35,30,35,29,34,27,34,29,35,35,34,28,25,26,33,27,32,26,35,29,36,30,35,30,32,26,34,29,34,37,
32,34,29,32,27,33,28,27,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,27,28,28,33,28,28,28,
28,28,28,28,28,28,28,28,28,28,27,20,28,28,28,28,28,28,28,28,28,28,28,28,28,30,20,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,34,29,34,28,35,
29,35,29,35,32,35,35,35,34,35,35,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,42,38,34,30,36,31,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28, };
static unsigned short stb__courier_49_latin_ext_s[560]={ 510,504,153,1,237,465,418,504,495,24,62,
1,123,281,503,437,392,465,110,102,142,69,287,403,83,275,500,500,436,237,481,
317,226,376,450,160,139,66,280,97,403,1,107,183,116,156,209,44,162,366,474,
403,259,131,343,89,231,208,324,495,387,213,134,57,503,85,261,107,236,226,67,
25,131,338,97,245,294,371,398,205,286,437,444,43,86,129,300,248,325,359,466,
52,507,159,260,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,510,504,46,
388,43,306,504,198,302,267,222,348,183,281,155,28,170,88,500,80,500,462,177,
502,503,93,207,421,311,409,382,486,119,1,286,297,389,384,370,456,337,96,426,
83,77,218,256,132,329,106,324,254,347,62,1,106,294,391,70,160,111,141,354,
88,67,89,228,109,1,111,273,356,155,133,184,334,382,319,340,65,1,479,46,
460,145,296,121,22,458,390,414,1,49,74,249,72,174,457,339,329,309,235,26,
438,116,370,190,443,49,243,172,44,184,211,244,435,263,478,151,486,201,22,28,
432,25,200,230,136,273,299,313,50,164,296,256,73,21,1,290,397,122,361,40,
49,347,22,361,177,206,160,222,302,484,195,139,136,185,43,23,20,183,426,204,
411,306,85,225,237,168,248,273,191,324,44,437,411,481,1,279,153,146,265,247,
424,51,421,370,481,95,64,405,446,366,351,416,460,275,129,303,339,479,484,416,
315,277,121,224,22,1,219,441,410,187,250,214,113,466,320,166,489,182,33,150,
224,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,200,1,1,169,
1,1,1,1,1,1,1,1,1,1,1,1,1,378,62,1,1,1,1,1,
1,1,1,1,1,1,1,1,337,180,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,95,206,
476,23,422,25,372,454,470,59,323,1,397,360,445,348,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,28,449,363,274,267,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1, };
static unsigned short stb__courier_49_latin_ext_t[560]={ 1,44,439,185,80,249,392,116,1,151,439,
418,439,439,298,116,218,308,279,249,308,279,218,249,249,249,218,185,392,439,392,
308,185,365,365,308,392,392,392,308,365,392,365,365,392,365,392,337,392,151,365,
308,392,365,392,392,365,365,392,80,80,151,439,40,289,418,279,418,279,418,337,
308,337,279,1,337,337,418,418,418,279,279,418,418,365,418,418,418,418,279,418,
151,1,151,439,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,1,74,249,
337,439,365,1,218,439,337,439,418,439,439,337,40,439,337,365,439,239,279,218,
337,279,439,439,418,279,279,279,279,116,116,116,151,151,116,392,116,116,116,80,
185,116,116,80,185,365,185,44,44,44,151,151,439,249,44,44,44,151,80,365,
279,218,218,249,337,337,218,418,308,218,218,249,308,249,249,249,365,279,337,218,
185,249,308,308,418,392,185,185,249,308,1,1,80,185,337,80,218,185,392,80,
185,44,218,151,249,80,218,116,279,392,279,185,337,116,218,185,249,185,365,116,
218,44,1,44,1,151,1,116,1,80,80,365,308,185,365,185,392,80,249,185,
44,151,440,337,1,44,1,151,44,418,116,44,151,44,392,337,392,308,365,308,
116,218,151,308,116,279,308,308,279,151,365,44,218,44,218,365,418,116,218,151,
308,116,249,44,185,44,249,80,308,80,218,44,44,80,279,392,337,116,308,151,
337,44,249,1,218,80,218,151,337,80,249,80,1,151,80,249,151,337,151,279,
337,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,337,308,308,151,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,418,308,308,308,308,308,
308,308,308,308,308,308,308,308,185,418,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,80,249,
80,279,1,249,1,218,1,185,1,44,1,116,1,1,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,1,1,80,185,1,185,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308, };
static unsigned short stb__courier_49_latin_ext_a[560]={ 415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_49_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_49_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_49_latin_ext(stb_fontchar font[STB_FONT_courier_49_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_49_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_49_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_49_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_49_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_49_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_49_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_49_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_49_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_49_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_49_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_49_latin_ext_s[i] + stb__courier_49_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_49_latin_ext_t[i] + stb__courier_49_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_49_latin_ext_x[i];
            font[i].y0 = stb__courier_49_latin_ext_y[i];
            font[i].x1 = stb__courier_49_latin_ext_x[i] + stb__courier_49_latin_ext_w[i];
            font[i].y1 = stb__courier_49_latin_ext_y[i] + stb__courier_49_latin_ext_h[i];
            font[i].advance_int = (stb__courier_49_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_49_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_49_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_49_latin_ext_s[i] + stb__courier_49_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_49_latin_ext_t[i] + stb__courier_49_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_49_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_49_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_49_latin_ext_x[i] + stb__courier_49_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_49_latin_ext_y[i] + stb__courier_49_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_49_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_49_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_49_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_49_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_49_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_49_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_49_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_49_latin_ext_LINE_SPACING
#endif

