// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_31_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_31_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_31_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_bold_31_latin_ext_BITMAP_HEIGHT        236
#define STB_FONT_courier_bold_31_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_bold_31_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_bold_31_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_bold_31_latin_ext_LINE_SPACING          15

static unsigned int stb__courier_bold_31_latin_ext_pixels[]={
    0x00076200,0x02000000,0x99999988,0x01999999,0x20001980,0x002a002b,
    0x0000e600,0x10dc0000,0x00000019,0xb8007500,0x91009705,0x5bdddddd,
    0x00144000,0x00800000,0x10000000,0x00cc0005,0x00098000,0x2aaa6000,
    0x0020001a,0x2a60aaa0,0x0100402a,0x80000800,0x04010018,0x02666620,
    0x000bfe60,0x20000ba0,0x3ffa07e8,0xffffffff,0x32001fff,0xfd88004f,
    0x03ff1004,0x00df9800,0x6c43fb80,0x2b3f2006,0x4c0000ee,0x7f70003f,
    0x4c2fb800,0x5555004f,0x00015555,0xbd001fea,0x4002fb81,0xe8002ed8,
    0x0017dc0d,0x20009ff3,0x400004fc,0x037e07fa,0x7ffc05f7,0x88004fff,
    0x3e2002fd,0x2ffdc0ff,0x0be20fe0,0x00bf6200,0xf006fa80,0x2a05f107,
    0x404fffff,0x80002ffa,0xfa80005c,0x3fffa03f,0xffffffff,0xfd8801ff,
    0x7f44000e,0x1ffd4005,0x1dd10800,0x6ffc4004,0x1004ffb8,0x00433fea,
    0x001ffb80,0x00117e41,0x7fee77f4,0x00401000,0x001ffb80,0x7ec57fe4,
    0x3fea000f,0x32000cff,0x0ffd8aff,0x01bfea00,0x006ff440,0x207fe800,
    0xffe8affd,0x3ffffe00,0x7fd4004f,0xf8800dff,0x2ffdc0ff,0xfe88bf60,
    0x7ffd4000,0x7e4000df,0x45fb001f,0xff700fe8,0x7d409fff,0xf880001f,
    0x7fdc0002,0x667ff402,0xfdcceffd,0x27f4401f,0x01ffc400,0x003fe980,
    0x7ec70fec,0xfffd8801,0x21fd002f,0x000bf218,0x36003df9,0x0fec351f,
    0xcffec980,0x70df1001,0xefc8009f,0xfff50000,0x7e4001bf,0x00ffe9bf,
    0x37fffea0,0x02ed8000,0x0077e400,0x013fea00,0x01bffff7,0x4ffbaa88,
    0x26fff200,0x64400ffe,0x1e64c0cc,0x3fbffe20,0x7fe4004f,0x000ffe8b,
    0x44001dfb,0x04ffefff,0x027fdd4c,0x20000193,0x20003ffa,0x6fe801ef,
    0xffb8ffe6,0x001fcc01,0x40002d88,0x7f4005d8,0x4003fd01,0x3e000dfa,
    0x007fb00f,0xd0006fd4,0x007fa03f,0x3e200060,0x4004fb87,0x440000de,
    0xdf8002fd,0x20017dc0,0x00002fd8,0x03f70000,0x00ffe800,0x8002fd88,
    0x3e004ff8,0x0017dc0d,0x36e20000,0xdf8001ce,0xe8017dc0,0xdb710004,
    0x7fc40039,0x0016d404,0x0017fcc0,0x37f40010,0x7fdc7ff3,0x00dc0001,
    0x80000ae2,0x01002000,0x88004100,0x14000c00,0x02004001,0x10aba980,
    0x00880133,0x00000003,0x00000010,0x30000800,0x26621575,0x80000000,
    0x04005ff9,0x04ff8800,0x33100000,0x26662133,0x00000999,0x00000000,
    0xf1000000,0x75f6409f,0x01880004,0x3100cc40,0x3e65fe83,0x803fea3f,
    0x7ec1bb98,0x1bb7e207,0x7dc6f980,0x40cccc04,0x26009998,0x2027dc6f,
    0x99881999,0x71be6009,0x1999809f,0x20099988,0xdfffffe8,0x9986fffe,
    0x09998819,0x31033330,0x26660133,0x00999881,0x33103333,0x77310013,
    0x3fa20015,0xffedffff,0x8199986f,0x20009998,0x51001ffd,0x44004579,
    0xa88004ff,0x3fa022bc,0xffdbffff,0x202fffff,0x000abb98,0x99999998,
    0xbca88009,0x0cccc022,0x1004ccc4,0x98fc09ff,0x2ea60007,0xd1026621,
    0xfe85ffff,0x45d53fff,0x17a23ff9,0xefffffa8,0x3206ffcb,0x7dc007a4,
    0x541bf61f,0xb1ffffff,0x20dfffff,0x1bf61ffb,0x7fffffd4,0xdfffffb1,
    0xfd87fee0,0xfffff506,0x3ffff63f,0xffffa86f,0xffffffff,0xfffff50f,
    0x3ffff63f,0x3fffea6f,0xffffb1ff,0x7fffd4df,0xffffb1ff,0x7fffd4df,
    0xffffb1ff,0x7ffd40df,0x2a00dfff,0xffffffff,0xf50fffff,0x363fffff,
    0x806fffff,0xea805ff9,0xfdffffff,0x027fc405,0xfffffd50,0x7fc4bfbf,
    0xfffbffff,0x502fffff,0x1bffffff,0xfffff300,0x207fffff,0xffffffea,
    0x3ffea5fd,0xfffb1fff,0x3fe20dff,0x02dcfa04,0x7ffff440,0x26fffebe,
    0x24fffff9,0x06fffff8,0xd800ffe6,0xffffffff,0x56e01fff,0x791001f8,
    0xff701c98,0x3fe5ffff,0x9107ffff,0xf701c987,0x3e5fffff,0x107fffff,
    0x701c9879,0x25ffffff,0x47ffffff,0xcacffff8,0x21cfffff,0x2ffffffb,
    0x4fffffff,0x2ffffffb,0x4fffffff,0x2ffffffb,0x4fffffff,0x2ffffffb,
    0x0fffffff,0x3ffffff6,0xff881eff,0xfffcacff,0x3fee1cff,0xfff2ffff,
    0xfb00ffff,0xfffb805f,0x7fffffff,0x8027fc40,0xfffffffb,0x664c7fff,
    0xccb9bffd,0xfd82ffdc,0xefffffff,0x7fffd401,0x84ffffff,0xfffffffb,
    0x3fee7fff,0xfff2ffff,0x3e20ffff,0x3ffea04f,0x7ffd4001,0xffffffff,
    0x3ffea0ff,0x6fff540b,0x00ffe600,0x4ce7ffdc,0x403fffeb,0x0005fef8,
    0xeffa8800,0x3ff6e22c,0x4400001d,0x222ceffa,0x001dffdb,0x77fd4400,
    0x3ff6e22c,0x42ffe41d,0xa887ffe8,0x2e22ceff,0x2a21dffd,0x2e22ceff,
    0x2a21dffd,0x2e22ceff,0x2a21dffd,0x2e22ceff,0xfb81dffd,0xfeb99cff,
    0x2ffe40ff,0x443fff44,0x222ceffa,0x401dffdb,0x7d406ff8,0xfca9acff,
    0x7fc407ff,0xcfffa804,0x7fffca9a,0x540ffe60,0x7ffdc2ff,0xfffeb99c,
    0x6e665400,0x540acdff,0xca9acfff,0x3ea27fff,0x36e22cef,0xff101dff,
    0x10003009,0xf959ffff,0x9039ffff,0xfff107ff,0x03ff9801,0xe81fff98,
    0x35005fff,0x404cc400,0xbff01998,0x881ffcc0,0x19988099,0x7cc0bff0,
    0x0133103f,0x3fe03331,0x20ffe605,0xff501ffe,0x302ffc0f,0x17fe07ff,
    0xff03ff98,0x81ffcc0b,0x3fe605ff,0x01fff983,0xffe89ffb,0x40fff501,
    0x3fe605ff,0x02ffc803,0x440bffe6,0x7fc407ff,0x17ffcc04,0x2607ff88,
    0x5ff503ff,0xd80fffcc,0x7d4004ff,0x5fff302f,0x3e1ffe20,0x0ffe605f,
    0x9884ff88,0x20009999,0xfe885ffc,0x1bfe207f,0x2600ffee,0xffd803ff,
    0xfffffc82,0x2aaaa201,0x3fffe600,0x1ffffa63,0xff302ffc,0x3ffff987,
    0x41ffffa6,0x3fe605ff,0x1ffffcc3,0x20ffffd3,0x3fe605ff,0x7c06ff83,
    0x817fe07f,0xbff03ff9,0xf81ffcc0,0x0ffe605f,0xff302ffc,0x805ffb07,
    0x1bfe1ffe,0x7fc0fff0,0x00ffe605,0xfb80dff1,0x037e402f,0xf7013fe2,
    0x06fc805f,0x7d40ffe6,0x00bff62f,0x54003ffd,0x5ff702ff,0xff86fc80,
    0x80ffe605,0x7fec4ff8,0x2007ffff,0xff501ffe,0x23ffc80f,0x9800fff8,
    0x5ff803ff,0xffbfffa8,0x7fffec43,0xff704fff,0x7ffd47ff,0x40bff07f,
    0x7fdc3ff9,0x3ffea3ff,0x40bff07f,0x7fdc3ff9,0x3ffea3ff,0x40bff07f,
    0x6ff83ff9,0xf81ffe20,0x0ffe605f,0xff302ffc,0x9817fe07,0x0bff03ff,
    0x7fc1ffcc,0x23ffa805,0x3fe206ff,0x9817fe07,0x7fdc03ff,0x007fec03,
    0xff100b62,0x00ffd809,0xff3016c4,0xf8bfea07,0x3ffa805f,0x40bfea00,
    0x6c400ffd,0x2605ff82,0x3fe203ff,0x7fffff44,0xdff002ff,0x4407ff80,
    0x0ffee7ff,0x201ffcc0,0x7fcc3ff8,0x545ff8af,0xffffffff,0x7ffb505f,
    0xf07feca8,0x1ffcc0bf,0x2a1ffed4,0xbff07fec,0x541ffcc0,0x76543ffd,
    0x40bff07f,0xffe83ff9,0x40fff701,0x3fe605ff,0x4c0bff03,0x0bff03ff,
    0xff81ffcc,0x10ffe605,0xff1007ff,0xb80fff49,0x17fe07ff,0x7c03ff98,
    0x06ff807f,0x13fe2000,0x0000dff0,0x7d40ffe6,0x007ff12f,0x54009ff1,
    0x0dff02ff,0x205ff800,0x3e203ff9,0x7f65c44f,0xff005fff,0x807ff80d,
    0xfff8bffc,0x3fbb2600,0xfa82deef,0x93ffa22f,0x676c46ff,0x0ffebaab,
    0x3607ff30,0x40bff07f,0xff303ff9,0x7c1ff607,0x0ffe605f,0xfd81ffcc,
    0x4c0bff07,0xdffc83ff,0x03fff4c0,0x7fcc0bff,0x4c0bff03,0x0bff03ff,
    0xff81ffcc,0x50ffe605,0x3fa005ff,0x3037ff26,0x7fc0fffd,0x80ffe605,
    0x7c403ffb,0x2200004f,0x3fe204ff,0xff300004,0x54bfea07,0xdfd002ff,
    0x417fd400,0x40004ff8,0x3fe605ff,0x813fe203,0x00ffeffd,0xf701ffe8,
    0xfff100ff,0xfd807ff9,0xffffffff,0xfb1ffd40,0x005ff8bf,0xf9817fd4,
    0x20ffb03f,0x3fe605ff,0x207ff303,0x0bff07fd,0xf981ffcc,0x20ffb03f,
    0x3fe605ff,0x7bfffd03,0x40fffffb,0x3fe605ff,0x4c0bff03,0x0bff03ff,
    0xff81ffcc,0x50ffe605,0x3fe005ff,0x5effff45,0x207ffffd,0x3fe605ff,
    0x003ffa03,0x40009ff1,0xfffeeedb,0xff10beee,0x36e20009,0xbeeeffee,
    0x3ea5ff50,0x2bff002f,0x3fea02c8,0x004ff882,0xf302ffc0,0x27fc407f,
    0xffadff98,0x0dffc804,0x803fff4c,0x00fffffc,0x7fffff54,0x5ff984ff,
    0x7c41dff7,0xffd9504f,0x2605ffdd,0x0ffb03ff,0xff9817fe,0x207ff303,
    0x0bff07fd,0xf981ffcc,0x20ffb03f,0x3fe605ff,0xfffff303,0x40ffffff,
    0x3fe605ff,0x4c0bff03,0x0bff03ff,0xff81ffcc,0x10ffe605,0xff1007ff,
    0xfffff989,0x207fffff,0x3fe605ff,0x009ff503,0x440013fe,0xffffffff,
    0x3fe4ffff,0xfff70004,0x7fffffff,0x7fc4bfea,0x54ff8803,0x17fd40ff,
    0x40004ff8,0x3fe605ff,0x413fe203,0x0ffd2ffc,0x2f7fffa0,0x007ffffd,
    0x007ffff1,0xafff8000,0x7fd41fff,0x7fffec42,0x302fffff,0x1ff607ff,
    0xff302ffc,0x40ffe605,0x0bff07fd,0xf9817fcc,0x20ffb03f,0x3fe605ff,
    0x3fff6202,0x207fecff,0x3fe605ff,0x4c0bff02,0x0bff02ff,0xff817fcc,
    0x20bfe605,0xffa806ff,0xffffd883,0x3e07fecf,0x0bfe605f,0xd8007ff4,
    0x3f60006f,0xffffffff,0x01bf61ef,0x7fffec40,0xf51effff,0x4037fc5f,
    0x3ff73ffa,0x6c0bfea0,0x7fc0006f,0x80bfe605,0xfff04ff8,0x4c017fdc,
    0xffffffff,0x3ee007ff,0x298000ff,0xfffff900,0x20fff885,0xeeffffe8,
    0xf302ffff,0x41ff607f,0xff700ffd,0x40ffe603,0x1ffb07fd,0x4c07fee0,
    0x0ffb03ff,0x7dc03ff6,0x1353001f,0xffd81ffa,0x203ff700,0xff700ffd,
    0x403ff603,0xffb01ffb,0x207fee01,0x3e203ffd,0x4d4c00ff,0x7ec0ffd0,
    0x03ff700f,0x5c00bff5,0x018802ff,0x0bfee000,0x50000620,0x1ffec5ff,
    0x2e1fff10,0x3ff701ff,0x200bfee0,0x00ffd818,0x7c403ff7,0x24ffa84f,
    0xb1005ff8,0xfd7bffff,0x1ffe400f,0x027fcc00,0x227fffc4,0x7dc3ffe8,
    0x7fd40aef,0x509ff302,0x3ff20fff,0x207ff984,0xffa84ff9,0x309ff907,
    0x7fcc0fff,0x907ffa84,0xfff309ff,0x2ffc4000,0xf309ff90,0x27fe40ff,
    0xf903ffcc,0x0fff309f,0x7cc27fe4,0x7fff107f,0x007ffd10,0x640bff10,
    0x7ff984ff,0x4003ffb0,0x2a02fff8,0x05e401ff,0x80bffe20,0x20001ffa,
    0x3fe20ffd,0x3ffe883f,0x3a207fee,0x3ffe207f,0x907fea02,0xfff309ff,
    0x13feea60,0x2666bff6,0x4c001ffe,0x401ffa0a,0x8000fff8,0xfb005ff9,
    0xff957dff,0x03ffb0df,0x2205ffb1,0xfebabfff,0x7440cfff,0xffcbcfff,
    0x3ffe202f,0xffffebab,0x7fff440c,0x02fffcbc,0x2eafffe2,0x40cffffe,
    0xcbcfffe8,0x50002fff,0x74407ffb,0xffcbcfff,0x3ffa202f,0x2fffcbcf,
    0x33fffa20,0x202fffcb,0xcbcfffe8,0x3ea02fff,0xffcabdff,0xfda8006f,
    0x3ffa203f,0x2fffcbcf,0x8005ff98,0xaacefffa,0x201fffdc,0xfa807ff8,
    0xdcaaceff,0x98001fff,0xffa87ffb,0xfffcabdf,0x677ffdc6,0x404fffca,
    0xaacefffa,0x441fffdc,0xfcbcfffe,0xfffa82ff,0x7ffcc4ff,0x4fffffff,
    0x2ffc4000,0x003ffc80,0x2e00fa60,0xffffffff,0xffa80eff,0xfffdbabd,
    0xffc80cef,0xffffffff,0xffff984f,0xc804ffff,0xffffffff,0xff984fff,
    0x04ffffff,0xffffffc8,0x984fffff,0xffffffff,0xffffb004,0x9801dfff,
    0xffffffff,0xffff9804,0x9804ffff,0xffffffff,0xffff9804,0xb804ffff,
    0xffffffff,0x7ffec00d,0x400effff,0xfffffff9,0x03ff904f,0x3fffea00,
    0x03ffffff,0x007faf6a,0x3fffffea,0x7003ffff,0x5fffffff,0x3ffffee0,
    0x7d40dfff,0xffffffff,0xffff5004,0x07ffffff,0x3fffffe6,0xfff504ff,
    0xfffc89ff,0x7fffffff,0x3ff6a000,0xffffd883,0x50004fff,0xfff8801d,
    0x3ffffecb,0x7fffff40,0x4fffffff,0x9fffff90,0x2203dffd,0x02fffffd,
    0x3fffff20,0x101effec,0x05fffffb,0x7ffffe40,0x101effec,0x05fffffb,
    0x3ffffe20,0xb1000eff,0x005fffff,0x7ffffec4,0x3ff62002,0x22002fff,
    0x02fffffd,0x3ffffa20,0xfff8803f,0x000effff,0x5fffffb1,0x0002fd40,
    0x3ffffb26,0x7fcc01df,0x3b26005f,0x01dfffff,0x3fffffa0,0x7ff4402f,
    0x75403fff,0x003effff,0x7ffff64c,0x7ec401df,0x4402ffff,0x7fc09999,
    0xdccccccf,0xffd802ff,0x506fffff,0xffffffff,0x1f88001f,0x443ffc80,
    0xffd3000a,0xfff9bfff,0x0d54403d,0x01531000,0x006aa200,0x000a9880,
    0x00035510,0x400054c4,0x01bdeeda,0x00153100,0x00054c40,0x00015310,
    0x000054c4,0xa8001531,0x001bdeed,0x00015310,0x054c0000,0x00026200,
    0x20001530,0x00aceec9,0x0002a620,0x00001531,0x220002a6,0x500000a9,
    0x7fc407ff,0x7fffc405,0x2e00efff,0x2deeeeed,0x26003000,0x2600004e,
    0x000009aa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffd71000,0xffdb819d,0x3b6a02df,0x00000bde,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7ffdc000,0x3fe24fff,0x0006ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0x1effffe9,0x1fffffec,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x01554c00,0x00010000,
    0x20003971,0x0002004c,0x2a600100,0x2e00002a,0xaa88000d,0x70000002,
    0x0000001b,0x40000288,0x86600018,0x00080019,0x40000188,0x00026000,
    0x00cc3300,0x08000540,0x5e544000,0x00040022,0x2800a200,0x00100400,
    0x00220010,0x40003300,0x00cc0019,0x000dffff,0x27dc6f98,0x0bf37a00,
    0x1effe980,0x06d83e40,0xd00bf620,0x0000ffff,0x005fffb1,0x3e07ff98,
    0x4017dc0d,0x002fffd8,0x4c000ec8,0xa80000ef,0xbf70006f,0xd88017ee,
    0x0ffc002f,0x03fc8000,0x00006fb8,0x02fdd7ee,0x8005fd10,0xa8002fd8,
    0xdffffffe,0x0bb6205f,0x07f4c000,0x80077cc0,0x002f883f,0xf9805fb1,
    0xfc8000ef,0x09f90004,0xf8827e40,0x40006fff,0x1bf61ffb,0x016e7980,
    0x7fe67fdc,0xb833e604,0xfff5003f,0x3ffa01bf,0x7d40007f,0x005ffbdf,
    0xfd81ffe6,0x00ffe8af,0x7fdeffd4,0x0ffe2005,0x007ff200,0x001ffc80,
    0xefb8efb8,0xffff5000,0x7ff1001b,0xffe98000,0x3ff200df,0xefb80002,
    0x3000efb8,0xfa8009ff,0x7000dfff,0xffffffff,0x3fea0fff,0x20000cff,
    0x2e002ffa,0x2fd802ff,0x2a003fa2,0x500dffff,0x4400dfff,0x44000efd,
    0xd8800efd,0x3ea200ef,0x6440006f,0x1000e4c3,0x2600f63f,0x07fa61ef,
    0xfffeffd8,0x8bffc800,0xea880ffe,0x7fc0007f,0x400ff622,0x7dc04cc8,
    0xf800dfff,0x00ff622f,0x0086ffd4,0x000bfea0,0x20003bf6,0x0efa8efb,
    0xd37ff900,0xff9801ff,0x3fee0003,0x101ffd8c,0xb8000dff,0x00efa8ef,
    0x8005ff30,0xffe9bffc,0x67ffd400,0x7fffca9a,0xfe9bffc8,0xffb8000f,
    0x2ffa8001,0x7f7ffc40,0xbffc804f,0xd500ffe9,0xfd1003ff,0xbfd10009,
    0x013fa200,0x00006ff8,0x7fdc0000,0x0c03000e,0x056fe4c0,0x7dc0df80,
    0x001ff602,0x00260130,0x17ec4000,0x02601300,0xfffffb30,0x74c003ff,
    0x004e8003,0x07643720,0xfb81bf00,0x4e7fd402,0xdb000999,0x3604fa83,
    0x320001ff,0x4001d90d,0xdf8001eb,0xf3017dc0,0x3fe205ff,0x7dc0df87,
    0x00dd8002,0x2013a600,0x001cedb8,0x02fb81bf,0x2600ffe6,0x7f30003f,
    0x001fcc00,0x554c5bfe,0x20198800,0x06200198,0x33333100,0x00000133,
    0x1ff60000,0x4c401331,0x44066201,0x09999999,0xa9800080,0x013310ab,
    0xfffffff3,0x000007ff,0x00000000,0xff900000,0xffffffff,0x4000001d,
    0x00005ff9,0x00000000,0x05ff7000,0x00006fc8,0x00000000,0x00000000,
    0x0001ffcc,0x00000000,0x3fefbfe0,0xe883efff,0x7f42ffff,0x4ccc3fff,
    0x40999881,0xfffffff9,0x654404ff,0x510010ab,0xd8023597,0x3ffffa7f,
    0x3fffa21e,0x7ffff42f,0xffffff33,0x2a209fff,0x44011acb,0xedfffffe,
    0x7fe46fff,0x4ffeb9bd,0x055dcc40,0x2aee6200,0x81999800,0x88009998,
    0x7400abb9,0xffffffff,0x51001fff,0xd8021579,0x310001ff,0x44001577,
    0x2011acba,0x33009998,0x01ffb033,0x4cc42d88,0x00999999,0x99999998,
    0x44099999,0x99999999,0x99999880,0x33300999,0x4c04cc40,0x033303ff,
    0x33104cc4,0x33333333,0x99999881,0x3fe00999,0xffffffff,0x7fffcc4f,
    0x3fffe24f,0xfffff56f,0x3ffff63f,0x3fffea6f,0x504fffff,0xdfffffff,
    0x7ffdc0bf,0xb06fefff,0x3fffe2ff,0x3ffe62ff,0x3ffe24ff,0xffff56ff,
    0x709fffff,0xfdffffff,0xfffff50d,0xffffffff,0xfe837fc1,0x3fffea02,
    0xfa800dff,0x80dfffff,0x1ffffffa,0x0dfffffb,0x7fffffd4,0xffb7300d,
    0x0599999d,0xffffff50,0x3ea0bfdf,0xffa8005f,0x400dffff,0xeffffffb,
    0x7ffff46f,0x3fffe64f,0x01bfe2ff,0x7ffffd40,0x306fffff,0xffffffff,
    0x547fffff,0xffffffff,0x3ffea6ff,0x6fffffff,0x8bffffe2,0x43fffff8,
    0x7fc43ff9,0x3fe22fff,0xfff53fff,0xdfffffff,0x7fffffd4,0xff06ffff,
    0xfd75bfff,0xfffa89ff,0x6fff540b,0xffffff70,0x3fffffe5,0x66666547,
    0xffb84ffc,0xffffffff,0xfffff907,0xb01fffff,0x3bffeaff,0xbfffa82c,
    0x06fff540,0xf9999995,0xffffc89f,0x20ffffff,0xcacffff8,0x41cfffff,
    0x403106ff,0xfffffffd,0x3ff601ef,0x1effffff,0x7fffffdc,0xfffffff2,
    0x3fffff60,0x2601efff,0xf70003ff,0xffffffff,0x07ff40ff,0xfffffb00,
    0x3203dfff,0xffffffff,0xffff10ff,0x7ffd4dff,0x9ff14fff,0x3fff2000,
    0x7fffffff,0xffffff50,0x7fffffff,0x7fffffe4,0x3f27ffff,0xffffffff,
    0x3fffe67f,0x3fffe63f,0x21ffcc5f,0x23fffff9,0x55fffff9,0xffffffff,
    0x7ffe4dff,0x7fffffff,0x301dfff0,0x7ff90fff,0x441fff10,0x222ceffa,
    0x001dffdb,0xffb89ff1,0xfea99bcf,0x7ffcc0ff,0xfffea9ac,0xffbffd80,
    0x7fe400df,0x00fff883,0x7cc9ff10,0xfea9acff,0x17ff20ff,0x641fffa2,
    0x8009cfff,0xb99cfffb,0xfb80fffe,0xfeb99cff,0x3fea20ff,0x3f6e22ce,
    0xfffb81df,0xfffeb99c,0x007ff300,0x379fff70,0x01fffd53,0x5c013fea,
    0xeb99cfff,0x7fcc0fff,0xffea9acf,0x33bfea0f,0x7fee540b,0x009ff10c,
    0x3f332a20,0x201bccef,0xcffcffda,0x223ffdcc,0xceffccca,0x332a21bc,
    0x1bcceffc,0x5c37fecc,0x7c40bfff,0x6ffd985f,0x50bfffb8,0xf9999bff,
    0x66544dff,0x1bcceffc,0x6405fff0,0x37fc42ff,0xff81ffdc,0x00ffe605,
    0x3e24ff88,0x1ff601ff,0x7f40bff2,0xffffd80f,0xdff1004f,0x4007ff70,
    0x3ff24ff8,0x741ffd02,0xfff501ff,0x3ffffe20,0xfff301df,0x313ff603,
    0x3f603fff,0x205ff84f,0xff983ff9,0x09ffb01f,0x1000ffe6,0x7ec03fff,
    0x007ff407,0x6c07ffe6,0x17fe44ff,0x7f40ffe8,0xff504cc6,0x0004ff85,
    0x8009ff10,0x20ffccfc,0x3e203ff9,0x3fe2004f,0x1fff8804,0xfd01fff4,
    0xfff885ff,0x2a1fff41,0x7ffd42ff,0x013fe200,0x3e603ffc,0x23ffc84f,
    0xff00fff8,0x01ffcc0b,0x7e49ff10,0x42fcc02f,0xff500ffc,0x3bffff60,
    0x8fff2000,0x2000fff8,0x3ff24ff8,0xff8ff500,0x203ffc06,0xefffffeb,
    0x2017fec0,0x3ff61ffe,0x20fff402,0x3fe605ff,0x402ffd83,0xff981ffe,
    0x17fe4003,0xf7017e60,0x2ffd807f,0xf90fff40,0x21fea01f,0x9bfea7fd,
    0x37ec1ffb,0x4ff88000,0x7e57f400,0x80bfe60f,0x22004ff8,0xff5004ff,
    0x202ffdcd,0xfa84fffc,0x217fee6f,0x3fe21ffa,0x27fc402f,0x201fff80,
    0xff883ffa,0xf80ffee7,0x0ffe605f,0x3a4ff880,0x500800ff,0x80d409ff,
    0x0efffffd,0x5cfff100,0x7c4003ff,0x813fea4f,0x1037fc1a,0x2e600fff,
    0x7fc5fffd,0x23ffa805,0xffa805ff,0xf302ffc3,0x00bff07f,0xff307ff5,
    0x0ffe8007,0xfff00080,0xa805ff80,0x13fea3ff,0x0ffc81a8,0x3f23fffb,
    0x017fdc0f,0x9ff100c4,0x647fcc00,0xfe8ed8ff,0x013fe200,0x2004ff88,
    0xfff9cffc,0x06fffc00,0xff9cffc8,0x227f880f,0xf8804ffe,0xbfff004f,
    0x407ffa20,0xfff8bffc,0x9817fe00,0x3e2003ff,0x0017fe4f,0x7bffff10,
    0x27ff6003,0x9001effe,0x1fff17ff,0x24ff8800,0x1bdffff8,0xb80fff40,
    0x201307ff,0x3fe27fe8,0x14ff8803,0xff1007ff,0x2605ff89,0x1ffc43ff,
    0x4427fc40,0x835104ff,0x400005ff,0xff103ffb,0x49ff1007,0x1bdffff8,
    0xf89ffc80,0x0ffb3fff,0x5405fff1,0x9ff101ff,0xfcafdc00,0x8012ffcf,
    0x22004ff8,0x3a2004ff,0x402ffeff,0x74404ff8,0x202ffeff,0x017ff608,
    0xf8027fc4,0xa88befff,0x3e206ffe,0x403ffcff,0x3fe605ff,0x53fe2003,
    0x80004ff8,0xfffffff9,0x45ff601d,0x8801fffd,0x03ffcfff,0x4c4ff880,
    0xdfffffff,0x40dffc81,0xfb87ffe9,0x543ff205,0xdfd002ff,0x7400bfea,
    0x302ffc6f,0x2ffa87ff,0x3a0dfd00,0xfedbacff,0x013fe27f,0x0dff1000,
    0x7400bfea,0x7fffcc6f,0xf701dfff,0xdffff55f,0x7fd41bfa,0xfdcaacef,
    0x9ff101ff,0xfc9ff400,0x1003ffff,0x7c4009ff,0x7fcc004f,0xff9805ff,
    0xffff9803,0x3bfee005,0x09ff1000,0x3fffffe0,0x00ffffff,0x07ffffe4,
    0xf9817fe0,0x3fe2003f,0xb709ff14,0x207bdddd,0xfffffeb8,0x3ffecc2f,
    0x033bfffa,0x0fffffc8,0x84ff8800,0xfffffeb8,0xdfffe82f,0x87ffffdb,
    0xff882ffd,0x400bfea5,0x05ff55ff,0xbff17fe0,0x2a1ffcc0,0xbff002ff,
    0x3ffffea0,0x3e26ffff,0xeeedb84f,0xffc803de,0x002ffa82,0xfd710bff,
    0x505fffff,0xfbffb7ff,0x540bff3f,0xffffffff,0x3fe203ff,0x35ff1004,
    0x07fffff9,0x8013fe20,0xc8004ff8,0xf9800fff,0xfff9003f,0x3ffe6001,
    0x13fe2001,0x7ff7ffc0,0x800dffff,0x803ffff8,0x3fe605ff,0x93fe2003,
    0x7ffc44ff,0x400fffff,0x0fffeca8,0xff1ffffe,0x4409ffff,0x0003ffff,
    0xa8809ff1,0x4c0fffec,0xffffffff,0xfffd87ff,0x2fffebbd,0x2200ffe2,
    0x07ff14ff,0xff89ff10,0x10ffe605,0xff1007ff,0x7fffe409,0x4ff82dff,
    0x7fffffc4,0x7fc400ff,0x803ff886,0x54404ff8,0x4c0fffec,0xfaeffcff,
    0x4c04ffcf,0xdfffffec,0x027fc401,0xffffffa8,0x1002ffbf,0x7c4009ff,
    0xff88004f,0x07ff3004,0x4013fe20,0x1543fff8,0x2009ff10,0x599736ff,
    0xfffb8003,0x205ff800,0x22002ff9,0x21bfa4ff,0x5ffffffd,0x3fee014c,
    0x91ffff23,0x803dffff,0x0000fffb,0x014c9ff1,0x3620ffee,0xfecfffff,
    0xfffffd87,0xff85ffff,0x23ffa806,0xffa806ff,0xf302ffc3,0x00dff05f,
    0x98807ff5,0x37f401aa,0x7fffffec,0x05ffb005,0xff500dff,0x3ee014c7,
    0x7fffc43f,0x7fffff3f,0x005fdc00,0x2009ff10,0xfffffffd,0xf10024b8,
    0x7fc4009f,0x4ff88004,0x007ff300,0x6c013fe2,0x0ffc44ff,0xf004ff88,
    0x640000df,0xffb003ff,0x007fee01,0x3f24ff88,0x07fe401f,0x7c405ff1,
    0x8000005f,0x20003ffc,0x5ff14ff8,0x202ffc40,0x0ffd09a9,0xffffdbf5,
    0x0fff603d,0x360fff88,0x3fe203ff,0x807fec0f,0xffd81ffb,0x03ffe203,
    0x7e4006a0,0x07fe401f,0xd85ff980,0x3fe203ff,0x405ff10f,0xfff85ff8,
    0xffffb0ff,0x06fdc007,0x009ff100,0x3f266ffe,0x102fd40f,0x7c4009ff,
    0xff88004f,0x07ff3004,0x2013fe20,0xff986ffc,0x009ff103,0x40001bfe,
    0x9000fff8,0xfff309ff,0x22ffb800,0x3200effa,0x3bfe60ff,0x809ff900,
    0x88000bc8,0x20000fff,0xdff32ffb,0x013ff201,0x300bff10,0xff8809ff,
    0x3ffe883f,0x441fffc4,0xffc83ffe,0x107ff984,0xfd107fff,0x1ff7007f,
    0x01dff500,0xb0007fe4,0xfff883ff,0x23ffe883,0xf900eff9,0xdfffd09f,
    0x017fffd4,0x004fea88,0x26013fe2,0x207fe47f,0x3fe207fc,0x13fe2004,
    0x013fe200,0x4003ffaa,0x7d404ff8,0x3ff980ff,0x2009ff10,0x900006ff,
    0x744007ff,0xffcbcfff,0xff71002f,0xdfffd81f,0xfffecbab,0x37fffe60,
    0x1ffffdab,0x0037fcc0,0x8001ffe4,0xf30fffb8,0xfb57bfff,0x54003fff,
    0xf8803ffd,0xfffa804f,0x6fffcabd,0x57bfff50,0x220dfff9,0xfcbcfffe,
    0x3fea02ff,0xfffcabdf,0x03ff5006,0x2f7fff60,0x0fffecba,0x217fe600,
    0xcabdfffa,0x7fcc6fff,0xffdabdff,0xfffd81ff,0x00ffffc3,0x027ef7d4,
    0xfffddd91,0xfec85bdd,0xefffd9cf,0x227ffeee,0xefffeeec,0x3bb222de,
    0x2deefffe,0xfffdd910,0xfff505bd,0xfeec880b,0xff82deff,0xeeeeeeff,
    0xddd913ff,0x85bddfff,0x5ffffffc,0xffffb100,0x4c009fff,0xffffffff,
    0xffffd304,0xfd107fff,0xffffffff,0x7ffcc1df,0xffffffff,0x3fdedc03,
    0x3ffff620,0x74c04fff,0x4fffffff,0x3fffffe6,0x203fffff,0xfffffffd,
    0x4ff8800e,0xfffff700,0x5c01bfff,0xffffffff,0x3ffe600d,0x804fffff,
    0xfffffffb,0x1aa000df,0xffffe880,0x0effffff,0x407ff400,0xfffffffb,
    0x7ffcc0df,0xffffffff,0x83fff903,0x9000fffc,0x7e401bfd,0xffffffff,
    0xffff50ff,0xffffffff,0x7e4fffff,0xffffffff,0xffff90ff,0x1fffffff,
    0xffffffb0,0xff981fff,0x7ffec00c,0x40ffffff,0xffffffff,0xff93ffff,
    0xffffffff,0x3fffe21f,0xa800ffff,0xffffffff,0x3f62000f,0x2e02ffff,
    0x4fffffff,0x7fffed40,0x7db02eff,0x3dfffffd,0x07fff700,0xffffffa8,
    0x3ee00fff,0x84ffffff,0xffffebed,0x3fe201ef,0x00efffff,0x8800bfa0,
    0x03fffffe,0xfffffd10,0x3ff62007,0x22002fff,0x03fffffe,0x4000f440,
    0xffffffda,0xbf30002e,0x7ffff440,0x3afb603f,0x01efffff,0x3ea1bfee,
    0x3000007f,0xfffffffd,0x7ff449ff,0xffffebef,0x267fffff,0xfffffffe,
    0x3ffa64ff,0x4fffffff,0xfffffd50,0x00220bff,0x7fffff54,0xffff85ff,
    0xffffffff,0xfffffd33,0xda89ffff,0x002deeee,0x3bbbbb6e,0x5310002d,
    0xddb71001,0x98800159,0x4c40009a,0x4c40009a,0xdddb7000,0xb8805bdd,
    0x000aceed,0x20013531,0x01bdeeda,0x10001880,0x22000153,0x310000a9,
    0x4c400015,0x0750000a,0x13531000,0x44000000,0x988000a9,0x0000009a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x88000000,0x0011acba,0x00880330,0x00080000,
    0x0a200000,0x33330066,0x04000333,0x51000010,0x2e22a800,0x00054001,
    0x00180000,0x000005b5,0x00000000,0x0000b220,0x00000028,0x00000000,
    0x804cccc0,0x33100998,0x02008013,0x00066000,0x20022000,0x2880000a,
    0x00000198,0xfffff700,0x6400dfdf,0x217f404f,0x017dc0df,0x2002fd88,
    0x0fe40cf8,0x3e24fe80,0xffff981f,0x03efffff,0x1f203ea0,0x01fd3000,
    0x7e47fea0,0x1df3000e,0x2e06fc00,0x27f5c02f,0x013afb20,0x32067c40,
    0xee98001f,0xffb00001,0xfe880003,0x77ecc001,0x3ea006a1,0x70036c43,
    0x106e985f,0xe8bfffff,0x7ec1ffff,0xf106ffff,0x0003f305,0xbf002fdc,
    0xfd02fb81,0x00ffc405,0xf893fa00,0xdfb3001f,0xfc800d43,0xffffffff,
    0x77ec400f,0xb13fe200,0x1ffd15ff,0xbffff500,0x27bfa001,0xd000efe9,
    0x417fc49f,0xfffffffb,0x800fffff,0x17ea0df8,0x02ffa800,0x2e1fff10,
    0x3ee004ff,0x5ffb002f,0x5401ffd1,0x8fc05fff,0x3fa00079,0x00efe99e,
    0x27fffdc0,0x0ffec000,0x07ff3000,0xffeff880,0xf8804fdc,0x04ffb8df,
    0x2e37fe60,0xfff103ff,0x7ffc4dff,0x7fff46ff,0x3fd00fff,0x80007f44,
    0x36000efd,0x0ffe8aff,0x5404ff88,0x3a0002ff,0x00bfe24f,0x33ffbfe2,
    0xff9804fd,0xffea9acf,0x13fa200f,0x2e13fe20,0x800dffff,0xffe9bffc,
    0xffff7000,0x98288009,0x37ff6a01,0x6fffeccc,0xffdff900,0x3ee0001f,
    0x3ff2001f,0x007ffe25,0x7002ffa8,0x801bffff,0x7400bffe,0xb8000b73,
    0x8004ffff,0x6fe9affd,0x01e44000,0x005ff500,0x3fa63b10,0x3f62005f,
    0x88002fff,0x202ffffe,0x40aadff8,0x23ffffb9,0x01dffdb8,0x3ffbffe6,
    0x1bfd0003,0xffff7000,0x13fe201b,0x000ffe60,0x800cc144,0xbffd31d8,
    0x40bff200,0x3e600ffe,0x09ff1003,0xf800bf62,0x0017dc0d,0x00003dd3,
    0x82ffa800,0x3001ffe8,0x00017bf9,0xf100076c,0x4ffc83ff,0x00274400,
    0xf1005fb1,0x3fea009f,0xe980001f,0xcf88001e,0x0000fe40,0x07b20000,
    0x00130000,0x00037ea0,0x88019f70,0xfff804ff,0x1ffcc0ff,0x0df75c40,
    0x003f8800,0x2017ec40,0xb1004ff8,0x0000000b,0x64001300,0x0ff500ff,
    0x4ff88000,0x00000040,0x22000000,0xa800abb9,0x7ff502ff,0x00000000,
    0x42ffdc00,0x0000fff8,0x22001000,0x00c004ff,0x00000000,0xca880000,
    0x0000022b,0x440cccc0,0x02000999,0x10008000,0xfff009ff,0x3ff98bff,
    0x00000000,0x44004000,0x000004ff,0x4c40cccc,0xb9880099,0x3ea000ab,
    0x2606a04f,0x99999999,0x3fe20999,0x33333314,0x33013333,0x33333333,
    0x33330133,0x2a000333,0x0dffffff,0x640bfea0,0x4cc401ff,0x4c000999,
    0x00199999,0x7e407ffa,0x9999983f,0x09999999,0x4cccccc4,0x9ff10099,
    0x99999880,0x33310000,0x22000133,0x00099999,0xfffffd50,0x4c40bfbf,
    0x50009999,0x23ffffff,0x86fffffd,0x00999999,0x44026620,0x7fc40999,
    0xfeeff804,0x40ffe62f,0x99999999,0x98809999,0x13331009,0x26666660,
    0x20999999,0x33104ff8,0x2a001333,0xb1ffffff,0x40dfffff,0xdffffffa,
    0xffff8800,0x3fe601bd,0xffffffff,0x3fe23fff,0xffffff54,0x7ccdffff,
    0xffffffff,0x3e63ffff,0xffffffff,0xfffb003e,0x03dfffff,0xe988bfea,
    0x7fec07ff,0x3007ffff,0xffffffff,0x7fc407df,0x997fe606,0xffffffff,
    0x2a3fffff,0xffffffff,0x4ff886ff,0x3fffff60,0xffd8007f,0x8007ffff,
    0x7ffffffd,0xffffb800,0x07ffffff,0xfffffffb,0x3fffee00,0xfffff2ff,
    0x7fffccff,0x00deffff,0xb07ffffa,0x44dfffff,0xdff804ff,0xff30fff9,
    0xfffff987,0xffffffff,0x0fffff43,0x9bfffff6,0xfffffff9,0x23ffffff,
    0xffd84ff8,0x7007ffff,0x25ffffff,0x07ffffff,0xfffffffb,0xff3003df,
    0x83bfffff,0xfffffffb,0x23ffffff,0xfff53ff8,0xdfffffff,0x7fffffdc,
    0x3fffffff,0x3fffffee,0x00ffffff,0x2673ffee,0xa80fffeb,0xffffffff,
    0x7ff401ff,0x802fffff,0xfffffffb,0x980fffff,0x3fe205ff,0x3ffffee6,
    0xffffffff,0x3fffff23,0x887fffff,0x3ffa04ff,0x002fffff,0x7ffffff4,
    0x7ff4002f,0x002fffff,0x26b3ffea,0xd07fffca,0x5fffffff,0x9dff5100,
    0x6ffedc45,0x3ffffee1,0x83ffffff,0x46fffff8,0x0ffffffe,0xff009ff1,
    0x7cd3ff2b,0x7fffdc3f,0xffffffff,0x3fffe23f,0x7ffff46f,0xffff70ff,
    0xffffffff,0x427fc47f,0xfffffffe,0xeffa8802,0x3ff6e22c,0xcfffb81d,
    0x0fffeb99,0xfffeb880,0x7ed42fff,0xdcccccdf,0xa97f43ff,0xfccccdff,
    0x7fed46ff,0xfdcccccd,0x6ffed43f,0x6fffeccc,0x203fff30,0xffa84ffd,
    0x0effffff,0xffecb880,0xfb5005ff,0xffd999bf,0x09ff70df,0x36a0fff8,
    0xcccccdff,0x32a23ffd,0xbcceffcc,0x203ffa81,0xffffecb8,0x765c4005,
    0x4005ffff,0xffffecb8,0x5fff3005,0x441ffe20,0x5ffffecb,0x9817fe00,
    0xfffa83ff,0xffffdccc,0xffffb982,0x37ff6e23,0x2013fe21,0x3ffd15ff,
    0xfb507ff3,0xb99999bf,0xffb987ff,0x3f6e23ff,0x7fed41df,0xfdcccccd,
    0x213fe23f,0xffffecb8,0x817fe005,0xff983ff9,0x09ffb01f,0xffeca880,
    0x817fd40f,0x2a083ff9,0x7ffd42ff,0x302ffa80,0x5ff507ff,0xb03ffd10,
    0xffe805ff,0x7777fd41,0x4000efff,0x00ffeffd,0xd105ff50,0x3ffc83ff,
    0x2a0fff40,0x7ff302ff,0x1027fc40,0x2003fffd,0x00ffeffd,0xffdffb00,
    0x3ff60001,0xfb800ffe,0x037e402f,0x07ff7fec,0x2605ff80,0x0dfd03ff,
    0xff81fff2,0x7fcc0fff,0x4027fc43,0x3bfea5ff,0xff503ff9,0x40ffe605,
    0x4c0fffff,0x5ff503ff,0xf88ffe60,0x77fec04f,0xbff000ff,0x6c1ffcc0,
    0x7ff402ff,0xfb805301,0x117fd43f,0x500bfe25,0x7ffc43ff,0x445ff502,
    0xf505ff12,0x0ffea05f,0x3ea017fe,0x317fd43f,0x2001dffd,0x4ffadff9,
    0x205ff500,0x7fec3ffa,0x217fec02,0x44a22ffa,0x3fe202ff,0x1bffea04,
    0x7d6ffcc0,0xff98004f,0x8004ffad,0x4ffadff9,0x400ffd80,0x7fcc02d8,
    0xf004ffad,0x1ffcc0bf,0x3f606fe8,0xfffff03f,0x443ff98b,0x5ff804ff,
    0x1ffeffec,0x4a22ffa8,0xfff02ff8,0x3ff98bff,0x9445ff50,0x3fe22ff8,
    0x2b7fe604,0xbff004ff,0x7c1ffcc0,0x3ffa805f,0x2202ff88,0x17fd45ff,
    0x2032e5ff,0xfe89fe20,0x8bfea04f,0x501972ff,0x3ff205ff,0x401ffc41,
    0x7fd44ff8,0x02ffec42,0xffd2ffc8,0x40bfea00,0x7fe41ffc,0x20fff403,
    0x4bfe2ffa,0x3fe200cb,0x17ffe404,0xfe97fe40,0x2ffc8007,0xf9000ffd,
    0x201ffa5f,0x200006ff,0x0ffd2ffc,0xf9817fe0,0x40dfd03f,0xdff06ff8,
    0x7fcc5ffd,0x4027fc43,0x7ffc45ff,0x5ff503ff,0x00cb97fc,0x45ffddff,
    0xff503ff9,0x0cb97fc5,0xfc813fe2,0x200ffd2f,0x3fe605ff,0x401ffc43,
    0xff984ff8,0x89ff900e,0xffccdffa,0x1117f403,0x2a02ffec,0x3ffccdff,
    0x222ffa80,0xfa87ffe9,0x8dfd002f,0xfe882ffa,0x27ff803f,0xfa802ffb,
    0x3ffa622f,0x404ffa87,0xdffa87ff,0x2003ffcc,0xf9804ff8,0x27ff803f,
    0x7c002ffb,0x00bfee7f,0x7fdcfff0,0x013fe202,0x2e7ff800,0x5ff802ff,
    0x740ffe60,0x83ff406f,0x0fff9dff,0xff887ff3,0xb85ff804,0xf503ffff,
    0x07ff99bf,0x3fe77fe0,0x207ff30f,0xffccdffa,0x813fe203,0x0bfee7ff,
    0xf9817fe0,0x017fd43f,0xff986fe8,0xffdabdff,0x7ffd41ff,0x2203ffff,
    0xdff703ff,0xffffa801,0xfa803fff,0xffffffff,0x02ffa81f,0x3ae2bff0,
    0x7cc2deff,0xff501cff,0x402ffc49,0xfffffffa,0xff981fff,0x21bfe205,
    0xfffffffa,0x13fe2003,0x5013fe20,0x2ffc49ff,0x449ff500,0x3ea005ff,
    0x817fe24f,0x00004ff8,0x7fc49ff5,0x205ff805,0xdfd03ff9,0xf80ffc80,
    0x269ff95f,0x27fc43ff,0x7bfff910,0x81fffec1,0xfffffffa,0x32bff003,
    0x07ff34ff,0x3fffffea,0x13fe203f,0xff127fd4,0x40bff00b,0x7fd43ff9,
    0x30bff002,0xffffffff,0xff507fff,0x407fffff,0xff984ff8,0xfffa801f,
    0xa803ffff,0xffffffff,0x07ff100e,0x3ee9ff10,0x40ffffff,0xfb06fffb,
    0xffd3335f,0xffffa803,0x100effff,0x7fd40fff,0xfffffa85,0x3e2003ff,
    0x4ff8804f,0x4cd7fec0,0xb001ffe9,0xfd3335ff,0x3ff6003f,0x1ffe999a,
    0x00013fe0,0x4ccd7fec,0x7fc01ffe,0x40ffe605,0x7fe406fe,0xfd15ff80,
    0x887ff33f,0x3fee04ff,0x3e23ffff,0xfff503ff,0x2007ffff,0x3ffd15ff,
    0x3ea07ff3,0x03ffffff,0x7ec13fe2,0xffe999af,0x302ffc01,0x3ff887ff,
    0xb04ff880,0xfffffd7d,0x2ffea03d,0x2203ffa9,0x7ffc44ff,0x7fd41543,
    0x803ffa9b,0xffeeeffa,0x1bfe00ef,0x74cffea0,0xb04fffff,0xfff307df,
    0x9fffffff,0xeeeffa80,0x3600efff,0x5ffb02ff,0xf537ff50,0x7fc4007f,
    0x04ff8804,0x3fffffe6,0x9804ffff,0xffffffff,0xff9804ff,0xffffffff,
    0x001bf604,0x3ffffe60,0x404fffff,0x3fe605ff,0xd80dfd02,0x54bff07f,
    0x43ff9eff,0x3a604ff8,0x5c1effff,0x7ff503ff,0x2007ff53,0x3bfea5ff,
    0xff503ff9,0x407ff537,0xff984ff8,0xffffffff,0x302ffc04,0x0dff05ff,
    0x2007ff50,0x5400afc8,0x4c7fa2ff,0xb13fe24f,0x1ff889ff,0x3fd17fd4,
    0x3fea13e6,0x03bffa62,0xf101ffec,0x000001ff,0x7fffffe4,0x5407ffff,
    0x3ffa62ff,0x0dff500e,0x3ea0fff3,0x7cc7fa2f,0x013fe204,0xfc813fe2,
    0xffffffff,0xfffc807f,0x7fffffff,0xfffffc80,0x207fffff,0x18802ffb,
    0xffffff90,0xd80fffff,0x3ff700ff,0xff01bfa0,0xfb17fe0b,0xf887ffbf,
    0x0000004f,0x1fe8bfea,0x17fe09f3,0x07ffbffb,0x1fe8bfea,0x27fc49f3,
    0x7fffffe4,0x6c07ffff,0x3ff700ff,0x4407ffb0,0x32000fff,0x2ffa804f,
    0x7c4ff704,0x21bff24f,0x7fd43ff9,0x50ff7042,0xffd885ff,0x07fff105,
    0x2007ffd1,0x7fc002ca,0xdccccccf,0x3fea02ff,0x02ffec42,0xffd85ffd,
    0x085ff503,0xff881fee,0x04ff8804,0x33333ffe,0x402ffdcc,0xcccccfff,
    0x7c02ffdc,0xccccccff,0xff102ffd,0x0ffd405f,0x66667ffc,0x202ffdcc,
    0xff984ffc,0xb81bfa07,0x8bff04ff,0x43fffff8,0x50004ff8,0x7fd40059,
    0x20ff7042,0x7ffc45ff,0x5ff503ff,0xf89fee08,0xccfff84f,0x2ffdcccc,
    0x2613ff20,0xfff107ff,0x07ffd107,0x01ffdc40,0xfc80bfea,0x2a9ff10f,
    0xff980fff,0x9017fd43,0x2ffa81ff,0x503ffe88,0xf957bfff,0x7ec00dff,
    0x7ff5002f,0x502ffc40,0xffd105ff,0x99bfee07,0xff500fff,0x807fe405,
    0xff004ff8,0x3ffa817f,0xa817fe20,0x3fe203ff,0x80ffea05,0x3ea05ff8,
    0xdcaaceff,0x7fd41fff,0x817fe203,0xcbcfffe8,0x3fa02fff,0x0fffb886,
    0xff70bff0,0xdff887ff,0x3f6000aa,0x5ff5002f,0x7c07fe40,0xffffb85f,
    0x405ff503,0x9ff10ffc,0x2203ffa8,0x3fa205ff,0xfffcbcff,0x37ffea02,
    0x06fffcab,0x13f3bea0,0x777ff5c4,0xfffeeeee,0x3fe9ff10,0xeeeeeeff,
    0xffd713ff,0xfddddddd,0x3fae21ff,0x7fcc2def,0xfffb81cf,0x00dfffff,
    0x04fccd88,0x677ff5c4,0x6fffedc0,0x3bffae22,0x67ffcc2d,0xf91ffe81,
    0xffd7107f,0xfddddddd,0x3bb221ff,0x2deefffe,0x22bfff70,0x40ceffeb,
    0x22dfffdb,0x0ceffeb8,0x16fffedc,0x19dffd71,0x2dfffdb8,0xffffff50,
    0x5c47ffff,0x5c0ceffe,0x302dfffd,0xffffffff,0x3fff2209,0xffffeeee,
    0xdfffc882,0x0ffff60b,0x0dfffff1,0x09f99b10,0xeeffeb88,0xfffeeeee,
    0x37fff220,0x0ffff60b,0xdddffd71,0x1fffdddd,0x75c53fe2,0x6dc0ceff,
    0xf302dfff,0x9fffffff,0xfffff700,0x4001bfff,0x700dfec8,0xffffffff,
    0x41ffffff,0xfffff2fe,0x7fffffff,0x3fffffee,0xffffffff,0xffffff70,
    0x6fffb81f,0xfffffd10,0xfffe8007,0x7fffdc00,0x3ffe24ff,0x3fee6fff,
    0x5c0fffff,0xff986fff,0x3ee0df70,0xffffffff,0xf90fffff,0xffffffff,
    0x3ff201ff,0xffffff74,0x7ffffc49,0x3fffee6f,0x3ffe24ff,0x3fee6fff,
    0x3e24ffff,0x206fffff,0xfffffec9,0x7fffdc1d,0x3ffe24ff,0x36206fff,
    0x202fffff,0xfffffffb,0xf703ffff,0x447fffff,0x7fc43fff,0xfd005fff,
    0xffb801ff,0xffffffff,0x3ee0ffff,0x223fffff,0x7fdc3fff,0xffffffff,
    0x3fa0ffff,0xffffff72,0x7ffffc49,0x3ff6206f,0x22002fff,0x03fffffe,
    0x3a600400,0xffffffff,0x040fffff,0xffffffff,0x3a67ffff,0xffffffff,
    0xd30fffff,0x209fffff,0x4c403efd,0x0660000a,0x7ffff4c0,0x7fffec1e,
    0x3fffa63f,0x7dfb04ff,0x4c010220,0xfffffffe,0x30ffffff,0xfffffffd,
    0x4c1009ff,0x41effffe,0x23fffffd,0x1effffe9,0x1fffffec,0x3dffffd3,
    0x3fffffd8,0x9802a600,0x41effffe,0x03fffffd,0x9800a988,0xeffffffe,
    0x3fa600bd,0x7dc1efff,0x0999983f,0x9800cc00,0xfffffffe,0x20ffffff,
    0x1effffe9,0x3a61ffdc,0xffffffff,0x040fffff,0x3dffffd3,0x3fffffd8,
    0x000a9880,0x0002a620,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00005910,0x40010000,0x01999998,0x0005b800,0x00800051,0x2af2a200,
    0x4cccc010,0x40099980,0x2aaaaaa9,0xca876a00,0x0cc14400,0x55555440,
    0x32a001aa,0x05554000,0x80032a00,0x2aaaaaa9,0x59971000,0x00000000,
    0x01982880,0x20006540,0x20019828,0x000acb98,0x00026062,0x99500000,
    0x0cccc017,0x8004ccc4,0x81999998,0x2aaaaaa9,0x55553100,0x7fec0055,
    0x7037e001,0x7ec4005f,0xffffd802,0x0001ffff,0xf3000dfb,0xfb10001f,
    0xfffa8005,0x45feffff,0x6ffffffa,0x09fffff3,0x7ffffffc,0x4bfd002f,
    0x27f403ff,0xfb803ff1,0x07ffffff,0x800bff30,0x26000fff,0x3fe005ff,
    0x03ffffff,0x7ffffd40,0x21efd984,0x6fecc01a,0x7f4006e0,0x4007fe24,
    0x74005ff9,0x007fe24f,0x3fffffea,0x17fc400c,0x30001ff5,0x00d43dfb,
    0x3fffffa2,0x7ffffd41,0xfffffb1f,0x3ffb6a0d,0x7c5fffff,0x2fffffff,
    0x7ffffdc0,0x3f6007ff,0x3ff6001f,0x000ffe8a,0x01bffff5,0x7ffffffc,
    0x744002ff,0x7d4000df,0xffa8002f,0xfb800dff,0xffffffff,0x7fffdc7f,
    0xffff57ff,0x5554c0bf,0x3e002aaa,0x807ff35f,0x07fe64fe,0x55555510,
    0x3fea0015,0x07ffc005,0x00bff300,0x5555554c,0x7ffcc002,0x7fc46fff,
    0x04fdcffe,0x33ffbfe6,0x9fd003fe,0xa8017fc4,0x7f4005ff,0xb00bfe24,
    0xffffffff,0x1ffc403f,0x88001ff5,0xfdcffeff,0x5677f404,0x3ff21ffd,
    0xffd2ffff,0xffb0ffff,0xbffddfff,0xaaaaa983,0x77fdc02a,0x007fcccc,
    0x2e000f22,0x000dffff,0xffd37ff9,0x3fb2e201,0xe8002ccf,0xffb8004f,
    0xbffc8001,0x2e00ffe9,0xa99bcfff,0x6d40fffe,0xff11bdff,0x000017ff,
    0x3e6bff00,0x4c14403f,0x00040001,0x9900032e,0x0cb80019,0xb0000000,
    0x815119ff,0xbffd31d8,0xfd31d980,0x4144009f,0x065c0019,0x0660a200,
    0x339fff70,0x880dffd7,0x88001982,0x0bffd31d,0x7e40efb8,0x33bfea23,
    0x37ff6e22,0x64effec1,0x0004faaf,0xff02fe80,0x44000000,0x6fc002fd,
    0x64017dc0,0x15c0007f,0x000dd800,0x2fb81bf0,0x403fff10,0x5ff507fd,
    0x00f7ff44,0x33103333,0xa7fc4013,0x00002ffa,0x3ee37cc0,0x00000004,
    0x31000000,0xf0001577,0x04c000ff,0x00013000,0x00000000,0x7ffcc000,
    0x009ffb01,0x13000000,0xf303fd00,0x4c0bff0d,0x3ffc43ff,0x109f55f9,
    0x33333333,0xe81fe201,0x57951006,0x00100021,0x0002aaa2,0x2000ff90,
    0x001aaaa9,0x00000000,0xf9805ff9,0x265ff505,0xf500efff,0x363fffff,
    0x106fffff,0x0bfea9ff,0x33100ccc,0xd87fee01,0x2666206f,0x20099999,
    0x20099998,0x99999998,0x3ea00999,0x00dfffff,0x1009ff10,0x33333333,
    0x99998801,0x26620009,0x00999999,0x33333333,0x33013333,0x33333333,
    0x2ffd8133,0x880fff40,0x00099999,0x98804cc4,0x03fcc099,0x40bff0ff,
    0x7fcc3ff9,0x13eabf24,0xfffffff5,0xff50dfff,0xf5002209,0xfdffffff,
    0x9999988b,0x19999999,0x00bfffea,0x000ff900,0x09ffffff,0x33333310,
    0x40ccc400,0xffe81998,0x3ea00800,0x05fffaaf,0x7fffffdc,0xfffffff2,
    0x95bff710,0x7fc419ff,0x3fe22fff,0x3c883fff,0xffa80e4c,0xffffffff,
    0xfffffd86,0x3fffea04,0x06ffffff,0xfffffffb,0xf99803df,0xff5009df,
    0xffffffff,0x3ffff60d,0xff5007ff,0xffffffff,0x7ffffccd,0xffffffff,
    0x3ffffe63,0xffffffff,0x5402ffc3,0xfffd82ff,0x3a007fff,0x7ec1ffff,
    0x3ea6ffff,0x43ff64c5,0x3fe605ff,0xf927fcc3,0xffc89f55,0xffffffff,
    0x3ffffa27,0x7fdc000d,0xffffffff,0x7fffff47,0xffffffff,0x05ffff71,
    0x007fc800,0x4ffffff8,0x7ffffec0,0x7dc01fff,0xffb1ffff,0x2ffc1fff,
    0x6ffd4000,0xa8804fff,0x2e22ceff,0x7e41dffd,0xffffffff,0xffff33ff,
    0x7fffcc7f,0x3200005f,0xffffffff,0x7ffc47ff,0x3ea04fff,0xffffffff,
    0xcfffb86f,0x0fffeb99,0xffffff98,0xfffc85ff,0x7fffffff,0xffffffd0,
    0xfff9005f,0xffffffff,0x7fffffdc,0x3fffffff,0x3fffffee,0x3fffffff,
    0x2200ffe2,0xfffe84ff,0x8802ffff,0x746fffff,0x70ffffff,0x7fffdc9f,
    0x2605ff87,0x7ffc43ff,0x89f55f90,0xeffccca8,0x3bee1bcc,0x003fffbb,
    0x3379fff7,0x741fffd5,0xffffffff,0x261fffff,0x40002ffc,0xa88007fc,
    0x7c04ffba,0xffffffff,0x7fffec02,0xfffffd3f,0x0013fe23,0x3ffffea0,
    0xbff000ef,0x641ffcc0,0xffffffff,0x3f663fff,0xbfffb86f,0x4404cc40,
    0x66544199,0x1bcceffc,0x4ffccc98,0x3337fea0,0x4c6fffcc,0xffb01fff,
    0xfffff509,0x9510dfff,0x799dff99,0x3fb2e203,0xa8805fff,0xcceffccc,
    0x6ffed41b,0xffdccccc,0x66ffed43,0x3ffdcccc,0x7c00bfea,0xfecb885f,
    0x73005fff,0x5c47ffff,0x3f21dffd,0xff5bff12,0x7cc0bff0,0xbfffb83f,
    0x404faafc,0x3ee04ff8,0x0bbff624,0x201fff88,0x67ff47fd,0xdcceffdc,
    0x17fd41ff,0x01ff2000,0x809ff100,0xccffecb8,0xdffc8802,0x8bffee22,
    0xedb84ff8,0xfa83deee,0x0effffff,0x2605ff80,0xffb303ff,0x035ffd59,
    0xfe83fff1,0x7fffcc3f,0x1ffffa63,0x8009ff10,0x3ea04ff8,0x07ffd42f,
    0xfd00bff6,0xff99503f,0xf100179d,0xffb0009f,0x88001ffd,0xffa804ff,
    0x507ff302,0x3fe605ff,0x400bfea3,0x7fec05ff,0x3e000ffe,0x7cc0ffff,
    0xfb97e43f,0x17fe1fe4,0xf503ff98,0x9f55ffff,0x204ff880,0x7f543ff8,
    0x2ffc80df,0x3fa2fcc0,0xfb8ffe66,0x997fd41f,0x3f2001aa,0x880bf207,
    0x3f2004ff,0x2ffa8007,0x9ff0ffb0,0xffffff88,0x7ffd40ff,0x806ffd89,
    0x3fe605ff,0x6c7fee03,0x37fd407f,0xff70bff7,0x7ffd47ff,0x27fc407f,
    0x813fe200,0x3fe21ffa,0x805ff82f,0x3e203ffa,0x7fc4004f,0x6ffcc004,
    0x44004ffa,0xffa804ff,0x17fc4a22,0x25117fd4,0x3fe62ff8,0x04ff8803,
    0x3feb7fe6,0x3fffe004,0x21ffcc5f,0x7c3fd2fc,0x2605ff87,0x36e603ff,
    0x404faaff,0x7d404ff8,0x77fdc1ef,0x4007ff40,0x3e66fe80,0x507fee3f,
    0xfffffbff,0x0ff9001d,0xff1027fc,0x03fe4009,0xd817fd40,0xd86fe87f,
    0x85ffffff,0x7fec2ffa,0x302ffc03,0x7fe407ff,0xf900dfd0,0x01fff39f,
    0x950fff6a,0xff880ffd,0x27fc4004,0x7f44ff10,0x03ff884f,0x2204ff88,
    0x7c4004ff,0x7fe4004f,0x8800ffd2,0xffa804ff,0x065cbfe2,0x5ff17fd4,
    0x6ff8832e,0x203ffa80,0x0ffd2ffc,0x7ff77fc0,0xf90ffe62,0x87f93ee5,
    0x3fea05ff,0xf55f9002,0x04ff8809,0x20cffe88,0x2ffc4fe9,0x4cbfd000,
    0x03fea3ff,0xfffffff5,0xfc801fff,0x8817fe07,0x3f2004ff,0x2ffa8007,
    0xff90ffb0,0x80ffc803,0x7fc42ffa,0x817fe00f,0xeca83ff9,0xbfffccff,
    0x3bffa201,0x7fcc02ff,0x880ffb03,0x7c4004ff,0xfb04404f,0x0bfea0bf,
    0xf1037f40,0xff88009f,0x73ffc004,0x7c4005ff,0xdffa804f,0xa803ffcc,
    0x3ffccdff,0x101ffe40,0x7fc01fff,0x400bfee7,0x0fff9dff,0x3fc87ff3,
    0x1ff9dff1,0xfb00ffe8,0x2bf2003f,0x7fc404fa,0x3fff2004,0xff89fe23,
    0x8baa0004,0x17a23ff9,0x2b3fffea,0x6403ffdb,0x817fe07f,0x32004ff8,
    0xffa8007f,0xfeaaaaac,0x00effa87,0x3ea03ff2,0x04ffa82f,0xff9817fe,
    0x7ffffcc3,0x07ffffff,0x02ffffcc,0xfd81ffcc,0x027fc407,0x8013fe20,
    0xf500effb,0x17fe005f,0x4004ff88,0x2a004ff8,0x17fe24ff,0x804ff880,
    0xfffffffa,0xffffa803,0x7cc03fff,0xffe882ff,0x893fea03,0xbff005ff,
    0x7fcd3ff2,0xfd527d43,0xffc87fff,0x00fff985,0x09f55f90,0x4004ff88,
    0xfcbdffd8,0x2e13fe26,0x03deeeed,0xa801ffcc,0x5ff81fff,0xefffeda8,
    0x5ffeeeee,0x8013fe20,0xfa8007fc,0xffffffff,0xbfffb07f,0xfffd9757,
    0x77ff5c41,0x5efff42d,0xf302ffc0,0xfffe887f,0x5fffffff,0x00fffc80,
    0xfb03ff98,0x04ff880f,0x8027fc40,0x2201fff9,0xff8803ff,0x013fe204,
    0x4009ff10,0xe999affd,0xff1001ff,0xffff5009,0xf5007fff,0x07ffffff,
    0x57bfff70,0xd80dfff9,0xfe999aff,0x15ff801f,0x7ff33ffd,0xaa985f98,
    0x7fffc40a,0x03fffebc,0x13eabf20,0x0009ff10,0x0bffffea,0xfff889ff,
    0x200fffff,0xf5003ff9,0x21ff605f,0xffffffff,0x05ffffff,0xc8013fe2,
    0xffa8007f,0xffffffff,0xffffd107,0x1dffffff,0x7fffffdc,0x3fffee0f,
    0xf302ffc3,0x3bfe205f,0x000dff99,0x26009ff1,0x0ffb03ff,0x5c04ff88,
    0xeeffeeed,0x7fc40cee,0x3fe1543f,0x03ffa806,0x10013fe2,0x3e6009ff,
    0xffffffff,0x9ff1004f,0x537ff500,0xff5007ff,0x007ff537,0x3fffffee,
    0x3e600dff,0xffffffff,0x25ff804f,0x3ff9effa,0x98000ff8,0xfffffffe,
    0x557e4004,0x27fc404f,0xdff880c0,0xfd86fe80,0x405fffff,0xf5003ff9,
    0x21ff605f,0xfffffffc,0x05ffffff,0xc8013fe2,0x50bf207f,0x333337ff,
    0xfda80ffd,0x82efffff,0x4fffffe9,0x6c0efff8,0x3ff700ff,0xff8affc0,
    0x13fe2004,0xd81ffcc0,0x27fc407f,0xffffff10,0x89ffffff,0x7fc44ffd,
    0x880fff61,0x3e600fff,0x7fc4004f,0xffff9004,0x0fffffff,0x2013fe20,
    0x47fa2ffa,0x2ffa84f9,0x027cc7fa,0x7dffffd3,0xfffff900,0x00ffffff,
    0xdffd8bff,0x03fd83ff,0x3fffee00,0xafc8002f,0x7fc404fa,0xb817d404,
    0x03ff904f,0x4c00ffc8,0xff5003ff,0x001ff605,0x27fc4000,0x7c0ff900,
    0x817fd44f,0x262007fd,0x0000009a,0x2613ff20,0xaffc07ff,0x22003ff9,
    0xff3004ff,0x80fff509,0x7ec04ff8,0xffffffff,0x1bff21ef,0xff88ffe6,
    0x3ffe883f,0x0017fe40,0x7c013fe2,0xccccccff,0xf8802ffd,0x2ffa804f,
    0xf50ff704,0x1fee085f,0x0bffff98,0x3ffe02e2,0xfdcccccc,0x22ffc02f,
    0x83fffff8,0x3a60cff8,0x01df9803,0x3eabf200,0x027fc404,0x3fa20fee,
    0x01dff502,0x26007fe4,0xff5003ff,0x801ff605,0xf88002ca,0x1ff2004f,
    0x7fd45ff8,0x400ffb02,0x5c0002ca,0x3fa2001c,0xfffcbcff,0x4d3fe202,
    0x3e2003ff,0xfff1004f,0xffffd757,0x13fe2019,0xa809f900,0xff980fff,
    0x5efffd43,0xb86fffca,0x00fffcac,0x4027fc40,0x3e203ffa,0x4ff8805f,
    0x202ffa80,0x7fd40ffc,0x203ff202,0xfffffff9,0x7d45ffee,0x17fe203f,
    0xff70bff0,0x3fea07ff,0x803ffeef,0x001a8df9,0xf99fd995,0x3bb2239d,
    0x2deefffe,0x6e6677dc,0x3f600eff,0xecbabdff,0x7cc00fff,0x5ff5003f,
    0xd801ff60,0x7c4002ff,0x1ff2004f,0x7fd45ff8,0x400ffb02,0x20002ffd,
    0x26000ffe,0xffffffff,0xaa7fc404,0x764402ff,0x02defffe,0x7fffffe4,
    0x914fffff,0xddfffddd,0x8afc805b,0xeffff80b,0x3ffeeeee,0xffffffb8,
    0x7fcc0dff,0x8803ffff,0xefffeeec,0x3fae22de,0x7edc0cef,0x3b222dff,
    0xdeefffee,0x3bffae22,0xffeeeeee,0xdffd710f,0xffdddddd,0xffffb01f,
    0x7fffffff,0x33bffae2,0x6fffedc0,0x6fffe442,0x0ffff60b,0x3dfffdb8,
    0x17fff600,0x7fffff40,0xff95ffff,0xffffffff,0x7fffdc1f,0x4401efff,
    0xfffffffe,0xc980efff,0x2deeffee,0x47dffd70,0x01cfffc8,0x013f3362,
    0xfffdddb7,0x6d417ddd,0xeeeefffe,0x3ae5ffee,0xfb30beff,0x6c4039ff,
    0x98004fcc,0x4002fdce,0x2fffffd8,0xf33ff880,0xfffd801f,0x00ffffff,
    0x67ffffe4,0xff91effe,0xffffffff,0x7ffc401f,0xfffff82f,0x3fffffff,
    0xfffffd10,0x7fffec07,0xffff9003,0x1fffffff,0x3fffffee,0x3ffffe24,
    0x3ffff26f,0x0fffffff,0xfffffff7,0x1fffffff,0x3fffffee,0xffffffff,
    0xabcefa80,0x2e1cfedb,0x24ffffff,0x6ffffff8,0x7fffffdc,0x00fffe23,
    0x5c400062,0x551000cd,0x15551155,0x3fffffa6,0x54c4ffff,0x001aaaaa,
    0x7ffffed4,0x3ff602ef,0x0fffffff,0x7fffffcc,0xdfffff91,0x00fffe80,
    0x3fffffe2,0x24ffffff,0xffffffff,0x35ffffff,0x27ffffff,0x06ffffff,
    0x0007fff4,0x0037ffc4,0x80015310,0x54015439,0xfffffffe,0x03551005,
    0xfffffd30,0x3009ffff,0x3ffe07b9,0xffffffff,0x054c403f,0x0009a880,
    0x3fffffa6,0x3a64ffff,0x6c1effff,0x263fffff,0xfffffffe,0x3ffa64ff,
    0xffffffff,0xffd30fff,0xffffffff,0x00001fff,0x77ffff4c,0x7ffffec1,
    0x7ffff4c3,0x01ffdc1e,0x00000000,0x00000000,0x35310000,0xfffd5001,
    0x3609ffff,0xd50dffff,0x3007dfff,0x3fff6003,0xefffffff,0x3fffff21,
    0xffffffff,0xdffffb15,0x3bfffee3,0x00019803,0x00000198,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x26666002,0x98009999,0x02aaaaaa,0x20380000,
    0x00999998,0x55555300,0x99998055,0x99999999,0x00020000,0x0200032a,
    0x00008000,0x015c4002,0x00000080,0x000801b8,0x08000100,0x00040004,
    0x93000040,0x00010003,0x08004080,0x00040000,0x00b372e6,0x20001510,
    0x0b6002d8,0x008000ec,0xdd5065c4,0x413ea00b,0xfffffffa,0x7fc06fff,
    0x02ffffff,0x0bea0000,0x3ffffff6,0xffff0007,0xf305ffff,0xffffffff,
    0x0007ffff,0xff0013ea,0x01fe8005,0x001fc800,0x7c403f44,0x7cc006ed,
    0x2e620005,0x203fec1b,0x540002fc,0xfd88005f,0x2000fd88,0x2e0005fa,
    0xdec8003f,0x3be2002f,0x4fa80000,0x5f9809f5,0x0bf50000,0xfffffb10,
    0x3fa003df,0xfffb8006,0x40fe800d,0xfc8001fc,0xa9bff202,0xffc806ff,
    0xfffff901,0x80ffffff,0x2aaaaaa9,0x7e400000,0xfffffe82,0xa98002ff,
    0x702aaaaa,0xffffffff,0x007fffff,0x4003ff70,0x22004ff8,0x220003ff,
    0x7cc005fe,0x3a4c803f,0x077ec001,0x3fffea00,0x06ffcbef,0x80027fcc,
    0x44001ffb,0x04fe8cfe,0x0007fee0,0x200077e4,0x800d50f8,0x20001ffc,
    0x0ffa8ffa,0x000efd80,0x2007fee0,0xfffffffd,0x7fc400ef,0xffb1000f,
    0xa805ffb5,0x05fecdff,0x2037ec40,0xff31ffff,0x00efd80b,0x3ff332a2,
    0x0001bcce,0x81999800,0xffa99998,0xffecb880,0x000005ff,0x337ff6a0,
    0x3ffdcccc,0x0077ec00,0x8013fe20,0x10004ff8,0xfa8009fd,0x22b7002f,
    0xffc8001f,0xffffb001,0x3fffffff,0x00bfd100,0x8000efd8,0x009fd4fe,
    0x800077ec,0xf0000dfe,0x2a0016e3,0xfa8002ff,0x001ffa9f,0x20007fee,
    0xf9800efd,0xfea889ef,0x03eb804f,0xfb837ee0,0xeffda807,0x3fa2000b,
    0x1ffff804,0x7cc09ff1,0x4ff88005,0x26666200,0xfff50009,0x3ff63fff,
    0x806fffff,0x00ffeffd,0x33333330,0x50133333,0x3fe605ff,0x037e6003,
    0x0bbfe600,0x0027fc40,0xf8003fc8,0x3be2001f,0x3ea0005f,0xcfffb805,
    0x3fffeb99,0x8017ec00,0xa8000df9,0x4009f54f,0x50000df9,0xfb80009f,
    0xf30001fe,0x21dd000d,0xfa8001ee,0x06fcc005,0x3e207700,0x1000005f,
    0x88006203,0x07f90000,0xf83fffa0,0x3980403f,0x4013fe20,0x7ffffffd,
    0xfffff900,0x3ffffa5f,0x7cc01fff,0x404ffadf,0xfffffff9,0x83ffffff,
    0x44a22ffa,0x004002ff,0xfffffb80,0x3fe201ff,0x00110004,0x1a800020,
    0x40088000,0xfe81fff9,0x008005ff,0x020000c0,0x00030001,0x22000010,
    0x0080000a,0x00004080,0x00600022,0x01bfa000,0x80035551,0x4001aaa8,
    0x88000a98,0x1fffa000,0x5d4405fd,0x440ffe60,0xffd004ff,0x005fffff,
    0x459dff51,0x0adffdb8,0xfd2ffc80,0xffffb80f,0xffffffff,0x22ffa83f,
    0x801972ff,0x55441aa8,0xffffd300,0x4407ffff,0xa88004ff,0x531001aa,
    0x2a200155,0x22000aaa,0x6c00aaaa,0xfffc82ff,0x54c401ff,0x0a988000,
    0x00a98800,0x31013310,0x55310033,0x02662003,0x22006662,0x31001aa9,
    0x03331013,0x26202662,0x55544019,0x7dc0000a,0xfffd304f,0x205fbfff,
    0xffffffe9,0xffd502fd,0x98019dff,0x40aa2099,0x0fec7ffd,0x7fffff5c,
    0xf103fffd,0x32e2009f,0x005ffffe,0xff9817fe,0xb9ffe003,0x7ed402ff,
    0xdcccccdf,0xdffa83ff,0x5003ffcc,0x71dffffd,0xfb03dfff,0xffb337df,
    0x3bbbb6a9,0x4eeeefff,0xfffffd30,0xff705fbf,0x87fdffff,0xffffffd8,
    0x3ff6204f,0x204fffff,0xfffa85ff,0xfd503ffb,0x8019dfff,0xceffffea,
    0x7fff5400,0xff980cef,0x3ffa63ff,0x7ffe407f,0xff304fff,0x7ff4c7ff,
    0x7ffe407f,0xff304fff,0x7ff4c7ff,0x7fffcc7f,0x1ffffa63,0x3fffff62,
    0x326004ff,0xb81fffec,0xffffffff,0xfffb85ff,0x5fffffff,0xffffffb8,
    0xffb80eff,0xffff94ff,0x646ffc89,0xfffffc87,0x204fffff,0xd8004ff8,
    0x000ffeff,0x7fcc0bff,0x49ff5003,0xfa805ff8,0x07ff302f,0xfffffff5,
    0x3fffa007,0xffffffff,0x1bfe21ff,0x7ff4ffe2,0xffffffff,0x7fdc1fff,
    0xffffffff,0x7ffffdc5,0x7d46ffff,0xffffffff,0xfffff505,0xf10bffff,
    0xafff987f,0xffb85ff8,0x0effffff,0xffffff70,0x3ee01dff,0xefffffff,
    0x1ffffdc0,0x20fffff5,0xffffffe8,0x7fdc0fff,0x3ffea3ff,0xfffd107f,
    0x81ffffff,0x2a3ffffb,0x7dc7ffff,0x3fea3fff,0xfffa87ff,0x05ffffff,
    0x5fffffd0,0x59ffff30,0x98dfffb7,0xdbacffff,0x7fdc6fff,0xffebabef,
    0x7fffec0e,0xffffffee,0x1117fee3,0x9befffd8,0x201ffffc,0x4c004ff8,
    0x04ffadff,0x7cc0bff0,0x5ffb003f,0x03ffd333,0x4a22ffa8,0xffa82ff8,
    0x003fffff,0xffb57bd7,0x4bff97ff,0x19502ffa,0x3fbbbb6a,0x44eeeeff,
    0xbacffff9,0x3e26fffd,0xfdb9acff,0x5e76c46f,0x80ffebaa,0xbaabced8,
    0x7fd40ffe,0xf93ffa22,0x77ffdc6f,0x0effebab,0x55f7ffdc,0x5c0effeb,
    0xebabefff,0x7ed40eff,0x3ff6543f,0xaaceffe8,0xda85ffec,0x7f6543ff,
    0x59dffd07,0x50bffd95,0xeca87ffb,0x3ffda87f,0x443ff654,0xebaabced,
    0xffc800ff,0xffe85fff,0xe8dff303,0xdff303ff,0xc817ffc4,0x7e5c44ff,
    0xeabfffff,0x017fee2f,0x7cc3dff5,0x2205ffff,0x7e4004ff,0x200ffd2f,
    0x3fe605ff,0xffff9803,0x04ffffff,0x5ff17fd4,0x3fea032e,0x003ffa9b,
    0xe8bffe60,0x01ff91ff,0x027fc400,0xf981fff4,0x413fe66f,0x7d4003fc,
    0xffa8002f,0xfb1ffd42,0x225ff8bf,0xff902fff,0x817ffc49,0x3fe24ffc,
    0x09ff902f,0x3f607ff3,0x80effc87,0xf983ffe8,0x90ffb03f,0xfd101dff,
    0x07ff307f,0x7fcc1ff6,0x000ffb03,0x22005ff5,0x224fffb9,0x1fec07ff,
    0xfd80fff1,0x8813fea3,0xfff106ff,0x7d4081bf,0x17fe404f,0xffdbfff1,
    0x013fe201,0x7fdcfff0,0x205ff802,0xfc803ff9,0xffffffff,0x6ffd407f,
    0xa803ffcc,0x4c7fa2ff,0x3bb2a04f,0xcaaafffe,0x07ff53ff,0x027fc400,
    0xfb01ffe2,0xcdfffe87,0x7654011b,0x02ffeeff,0x3bbffb2a,0xaffcc2ff,
    0x3e20effb,0x813fea4f,0x3fea6ff8,0xa9bfe204,0x3fe204ff,0xb03ff986,
    0x57ffd0ff,0xff755555,0x207ff30b,0xbffe87fd,0xfbaaaaaa,0x03ff985f,
    0x3fe60ffb,0x540ffb03,0xffeeffec,0xffe98002,0x3009ff50,0x1804ffa8,
    0x3200ffe4,0xfff880ff,0x07ff3003,0x3fa26fe8,0x205ff75f,0x2a004ff8,
    0x17fe24ff,0xf9817fe0,0xcfff803f,0xffdccccc,0x3fffea02,0xfa803fff,
    0x0ff7042f,0xffffffd3,0xffffffff,0x22077fcb,0x3fe200cb,0x027fd404,
    0x7fffd40c,0xd882ffff,0xffffffff,0xfffd882f,0x82ffffff,0x1fffafff,
    0xff917fd4,0x90ffc803,0xffc803ff,0xc803ff90,0x1ffcc0ff,0xfff87fd8,
    0xffffffff,0x3ff987ff,0xfff0ffb0,0xffffffff,0x7ff30fff,0x7cc1ff60,
    0x10ffb03f,0xfffffffb,0x2e0005ff,0x05ff52ff,0x005ff500,0xc801ffb0,
    0x4ff881ff,0x20076c00,0xbffd15ff,0xf8817fdc,0x3ff6004f,0x1ffe999a,
    0xf302ffc0,0x3ffa807f,0xa817fe20,0x3fffffff,0x202ffa80,0x3fe20ffc,
    0xffffefff,0x25ffffff,0xfdbdfffd,0x3fe204ff,0x017fd404,0xfffb7100,
    0x7f449fff,0xfffeefff,0x7fff442f,0x2ffffeef,0x2fffffc8,0xfb07ffc4,
    0x1ffc801f,0xfc801ffb,0x801ffb1f,0x7fcc1ffc,0xff0ffb03,0xffffffff,
    0xf981ffff,0xf0ffb03f,0xffffffff,0x981fffff,0x0ffb03ff,0x7ec0ffe6,
    0x7ffff447,0x02ffffee,0x265ff500,0xf98006ff,0xffb8006f,0x41ffe204,
    0x00004ff8,0xffd3ffd0,0x3227ff8b,0xeefffeee,0xffff302d,0x09ffffff,
    0x3e605ff8,0xffd7102f,0xffdb819d,0xbffa82df,0x2203ffa9,0xeeeeffeb,
    0x20fffeee,0x3e20dffb,0xaaaaaaff,0x3ffff221,0x2201ffff,0x7fcc03ff,
    0x40b88006,0x70fffb98,0xfa815dff,0x577fdc2f,0x4417fd40,0x7444ffff,
    0x27fdc3ff,0x7dcfff10,0x9ffe204f,0x3e204ffb,0x03ff987f,0x7ffd0ffb,
    0x55555555,0x07ff3055,0x3ffa1ff6,0xaaaaaaab,0x3ff982aa,0x3e60ffb0,
    0xb8ffb03f,0x7d40aeff,0x7401882f,0x07ffe0ff,0x7ffc1b70,0xf886dc01,
    0xffd881ff,0x009ff104,0x3ffee000,0xff910eff,0x7ffffe4b,0x80ffffff,
    0xfffffffc,0x7ec07fff,0x03ff700f,0x3fffffee,0x3ffffe24,0x22ffa86f,
    0x5c9f31fe,0xffffffff,0x20ffffff,0x7fd42ffa,0xfd30082f,0xd0017dff,
    0x3fff003f,0xbfb0db80,0xfd97fdc0,0x2ffd881f,0x6c40ffec,0xfffb02ff,
    0xdfff957d,0x103fff10,0x7fc49ffb,0x4ffd881f,0x2207ffe2,0xff984ffd,
    0xc87ffa84,0x300806ff,0xfff509ff,0x100dff90,0x2a13fe60,0x9ff307ff,
    0xfd8fff50,0x2ffd881f,0xaaabeff8,0x7dc6ffeb,0xcbaaadff,0x3fee2fff,
    0xfcbaaadf,0x3fff22ff,0xffffdbce,0x009ff101,0xffd00188,0xfffb77ff,
    0x7fff4c3f,0x04ffffff,0x99999fff,0x6405ffb9,0x7ff985ff,0x3ffffa60,
    0x7fffec1e,0x42ffa83f,0xfe99fee0,0xffffffff,0x3e20ffff,0xfffdacff,
    0x3ffdbbef,0x0009ff10,0x3ffee001,0xffcbaaad,0x59ffff2f,0x54fffb75,
    0xfdbabdff,0xf50cefff,0xffb757bf,0x7dc19dff,0xffffffff,0xfff900ef,
    0xffffb79d,0xcefffc83,0x41ffffdb,0xdbcefffc,0xf881ffff,0xffebabff,
    0x7ff40cff,0xfecbabdf,0xbfff886f,0xcffffeba,0x5effff40,0x86ffecba,
    0xebabfff8,0x440cffff,0xfebabfff,0xff50cfff,0xfffb757b,0x7ff419df,
    0xefffffff,0xfffffc80,0xc86fffff,0xffffffff,0xfffc86ff,0x40efffff,
    0xefffedb8,0xff303dee,0xfffe8809,0x0effffff,0xa8027ec0,0x3fe203ff,
    0x3fffa205,0x02fffcac,0x00fe8000,0x7e405ff5,0x3fa8000f,0xffffff50,
    0xffffffff,0x13fe209f,0x7777764c,0x83deeeee,0xfffffffc,0x3ffa6fff,
    0xffffffff,0x7fffff43,0x4fffffff,0x3ffffffa,0x14ffffff,0xffd97fff,
    0xff9007ff,0x1dffffff,0x3fffff20,0xf900efff,0xdfffffff,0x7fffe401,
    0x4fffffff,0x7fffffcc,0x906fffff,0xffffffff,0xff989fff,0xffffffff,
    0xffff906f,0x9fffffff,0xffffff90,0x749fffff,0xffffffff,0x3664ffff,
    0x4fffffff,0x7ffff540,0xd500cfff,0x9fffffff,0x3fff6a01,0xffb80cef,
    0xffffffff,0x04ff981f,0x7ff77fec,0xd800ceff,0xb880b8af,0x5c0ceffe,
    0x302dfffd,0xffffffff,0x3a000009,0xfd713cae,0xdddddddf,0x70001fff,
    0xff50955f,0xff9dbdff,0x7c017dff,0xffffd03f,0xffffffff,0xfffd503f,
    0x5c19ffff,0xffffffdf,0xfffe982e,0xefffcdff,0x3ffffa61,0x1efffcdf,
    0x0a887ff9,0x7ffed400,0x6d400cef,0x00ceffff,0x77fffed4,0xfffc800c,
    0x1effecff,0xffffff90,0x7e4019df,0xffecffff,0xffff901e,0x4019dfff,
    0xecfffffc,0xff901eff,0xdffd9fff,0x7ffff4c3,0x1efffcdf,0x009aa988,
    0x0cd54cc0,0x33553300,0x400a9800,0xffffffd8,0x06205fff,0x4c1dff30,
    0x7fcc000a,0xfffb81ff,0x3fe24fff,0x2206ffff,0x02fffffd,0x3fee0000,
    0xfffff74f,0xffffffff,0xff10001f,0x06a601ff,0xdb8004d4,0xfffff700,
    0xdfffffff,0x19aa9980,0x03355300,0x00135530,0x8009aa98,0x000004e9,
    0x26000153,0x1530000a,0x03551000,0x0cd54c00,0x006aa200,0x019aa980,
    0x000d5440,0x4001aa88,0x00009aa9,0x00000000,0x00000000,0x6ec00000,
    0x32a00000,0xfffd302d,0xfffd83df,0xa98803ff,0x10000000,0x7fff4c37,
    0xffffffff,0x510000ff,0x00000015,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x88197000,0x4426603c,0x973001aa,0x332a2005,0x81d9800a,0x0040004b,
    0x26666662,0xc825c019,0x001b7003,0x00003555,0x22000001,0x002a1aaa,
    0x3330036e,0x33333333,0x37971003,0x35551000,0x40009880,0x801bdcb8,
    0x0aa20999,0x00800100,0x00000400,0x4cc001b7,0x00035530,0x00355510,
    0x16c00144,0x020001d8,0x30000080,0x6d40005b,0x16e44000,0xfa97fe40,
    0xefff984f,0x03fffffc,0x13fffff6,0xfffffe88,0x99ffd402,0xf30006fe,
    0xffffe80d,0x900fffff,0x403fa83f,0x102fffd8,0x000bffff,0x3fa22fd8,
    0xfff30000,0x881ff27f,0x3e02fffe,0xffffffff,0x3fae07ff,0x2003ffff,
    0x403ffff9,0x3733efff,0xffffff70,0xffff701b,0x13ffff29,0x5400fee0,
    0x5fb0004f,0x88007f44,0x6402fffe,0xfffecfff,0xf30001ef,0x26007fff,
    0x7f4004ff,0x2600fe40,0x4027dc6f,0x03fa22fd,0x06fffdc0,0x7fffb100,
    0x03ffe400,0x3ffeffb8,0xffffff70,0xd07fffff,0x7fffffff,0xfffffd10,
    0xffa803ff,0x8000cffe,0x7f402ffa,0xffffffff,0xb9bff101,0xdffa80ff,
    0xff885ffb,0x7c0005ff,0x00bfe65f,0x9ffffd40,0xffa80ffb,0xff05ffbd,
    0xffffffff,0x3fff20ff,0x2004ffff,0x403ffffa,0xfffffffc,0x7ffffd44,
    0xffd86fff,0xffffeeff,0x3bf603ff,0x1bfd1000,0x265ff800,0xffa802ff,
    0x3a05ffbd,0xffffffff,0x98000fff,0x5003ffff,0xfa800dff,0x805fecdf,
    0x1bf61ffb,0xff997fe0,0x577f4402,0xfa801ffe,0x00effadf,0x2004fe98,
    0x2200efe9,0xabdffffb,0x7fcc7ffc,0x1ffeb8ae,0x64577fe4,0x6c400eff,
    0xf90002ef,0x5ffd003f,0x80355555,0x01cfffc9,0x7fb117fc,0x00bff510,
    0x25c0ca80,0x3fee6000,0x17fc1ae3,0xdfd07fb1,0xff755555,0x59fff90d,
    0x2e6000a2,0x7e4c03ff,0x7c43ffff,0xfeb89cff,0x7fe5c43f,0xfeabffff,
    0x00dfe882,0x000efd80,0x0097032a,0x3fd88bfe,0x9ffff930,0x005ffb55,
    0x00ffee20,0xa8002ed8,0x800beffd,0x00e4c3c8,0x012e0654,0x6fb833f2,
    0x3623fe80,0x8000003f,0x13ffe002,0xffc87ff2,0xf137fcc1,0x05ff90ff,
    0x44000260,0xdfd000ef,0x80060000,0x7c013009,0x0000005f,0x9ffcc000,
    0x201301f8,0x2a03d701,0x7ffe44ff,0x3e600001,0x3ffe203f,0x7cc6ffcd,
    0x05ff985f,0x81bffff1,0x0009f700,0x00004fb8,0x01804c00,0x7c0fffcc,
    0xffd8005f,0x0004ffff,0x00011000,0x00000000,0x20062031,0x00013009,
    0x06aa6200,0xfa837fc0,0x741bfa2f,0x0bff51ff,0xa8809ff3,0x010001aa,
    0x0006fe80,0x002aaaa2,0x005554c4,0xaa98affc,0x054c4001,0x8554c400,
    0x00573ff9,0x80001531,0x3fe21ffc,0x5310001f,0x00ffe615,0x17fec157,
    0x3fe05ff5,0x07fff106,0x20000100,0xaa988000,0xaa988001,0x07ff3001,
    0x26201ff6,0x07ff30aa,0x00355310,0x00355310,0x26202662,0x55544019,
    0x0998800a,0x44019988,0x4000aaaa,0xfff90039,0xff809fff,0x225ff505,
    0x5ff705ff,0x7fc0bfee,0xffffd306,0x2605fbff,0x00355309,0x59b95ffd,
    0x3fff6201,0x5c04ffff,0xfeffffff,0xff7dff03,0xa805ffff,0x0ceffffe,
    0x7fffe440,0x003ffbdf,0x9dffffd5,0x8dff0001,0x88003ffc,0xbdfffffc,
    0x554403ff,0x267ff89a,0x5ffa85ff,0x0009ff10,0x00133331,0x00266662,
    0xffffffc8,0xffff9004,0xff9809ff,0x440ffb03,0xbdfffffc,0x7fe403ff,
    0x9004ffff,0x09ffffff,0x98ffffe6,0xd887fffe,0x4fffffff,0x47ffff30,
    0x887fffe9,0xfffffffd,0x80bfe004,0xffffffe8,0xbff00fff,0xff8bfea0,
    0xb3ffe887,0x3ff201ff,0x7ffffdc0,0x645fffff,0xfffecfff,0x3ffa01ef,
    0x81efffff,0xfffffffa,0xfff705ff,0x0dffffff,0x3ffffffe,0xf704ffff,
    0xdfffffff,0x3fffa601,0x3fffffff,0xfffffb80,0x2000efff,0x7ff44ffa,
    0x203dedb8,0xffffffe9,0xb103ffff,0xfbdfffff,0x567ff43f,0x102ffeb9,
    0xfd8009ff,0xd804ffff,0x804fffff,0xffffffe8,0xfd100fff,0xffffffff,
    0x40ffe601,0xffd307fd,0xffffffff,0x3fffa207,0x00ffffff,0xffffffd1,
    0xffb81fff,0x3ffea3ff,0xffffa87f,0xb85fffff,0x3ea3ffff,0xffa87fff,
    0x5fffffff,0x203ff980,0xcaaceffe,0xbff05ffe,0xfd8bfea0,0xa7ffe42f,
    0x3ff207fd,0x33fffe60,0x46fffdba,0xfffffffe,0xfd00ffff,0xffffffff,
    0xabced883,0x440ffeba,0xdb9acfff,0xffff06ff,0xfffd75bf,0xbefffb85,
    0x80effeba,0xfcadfffe,0x5c03ffff,0xebabefff,0xf9000eff,0xfeeff83f,
    0xe80dffff,0xffcadfff,0xff983fff,0xffffffff,0x3fffe62f,0x2204ffff,
    0x3e2004ff,0x404fffff,0x4ffffff8,0xaceffe80,0xd05ffeca,0xd9559dff,
    0x3fe60bff,0x3a0ffb03,0xffcadfff,0xffd03fff,0xffd9559d,0x33bffa0b,
    0x85ffecaa,0x6543ffda,0xced887fe,0x0ffebaab,0x543ffda8,0xed887fec,
    0xffebaabc,0x9fffb100,0x203bff20,0xff83ffe8,0x4c5ff505,0xffebdfff,
    0x40ffb5ff,0x3ffa0ffc,0x98dff303,0xaacffffc,0xdf702ffd,0x1bff6a39,
    0x985ff500,0x07f904ff,0x2a07bffe,0xfff10fff,0x713ff205,0xff701bff,
    0x7ffc407f,0x009ff902,0xfff11bfe,0x9fffdfff,0xb80dffb8,0xffe83fff,
    0xfffc88be,0x7ffff43f,0x3e202fff,0x664c004f,0xc9804ffc,0x6404ffcc,
    0xfe880eff,0x077fe43f,0x4c1fff44,0x0ffb03ff,0xf701bff7,0xdff907ff,
    0x87ffd101,0xe880effc,0x3ff983ff,0x5000ffb0,0x3fe605ff,0x000ffb03,
    0xff505ff5,0x3fa05fff,0xaaaaaabf,0x3f265ffb,0x7fd41cff,0x7ffffdc2,
    0xffb4ffff,0xf887fe40,0x41fec07f,0xff81fff9,0xffe80205,0xeffeca81,
    0xffe82ffe,0x4011bcdf,0x3f603fff,0x409ff52f,0x7ff46ff8,0x80fffe01,
    0x3e204ffa,0x4ffa806f,0x51dffff8,0x7ff43ffd,0x50fffe01,0xff101fff,
    0x7fffecbf,0x221ffffe,0xeefffedb,0xff1003de,0x4ff88009,0x555fff40,
    0x5ffbaaaa,0x5555fff4,0x45ffbaaa,0x5c3effdb,0x3fa0cffe,0x0fffe01f,
    0x2aaafffa,0x45ffbaaa,0xaaaabffe,0x985ffbaa,0x0ffb03ff,0x777ff654,
    0x7ff302ff,0xca81ff60,0x2ffeeffe,0x402efff8,0xffffffff,0x3a7fffff,
    0x545fffff,0xfffa82ff,0xf93ffaef,0x43ff603f,0x01804ffa,0x3f607ff3,
    0x5ff70007,0x7ffffec4,0xfa82ffff,0x2fffffff,0xa803ffe0,0x03ff93ff,
    0x3fe0ffc8,0x01ffe406,0xfc803ff9,0x0ffe400f,0x2e077ff4,0x01bfe3ff,
    0xffc87ff9,0x4d7ff604,0x3f222fff,0x3fffee5f,0x1fffffff,0x004ff880,
    0x3e027fc4,0xffffffff,0x7fc7ffff,0xffffffff,0x3fe27fff,0xff31ffff,
    0x37fc9fff,0x3e0fff20,0xffffffff,0x7fc7ffff,0xffffffff,0xff987fff,
    0xb10ffb03,0xffffffff,0x0ffe605f,0x7ec43fec,0xffffffff,0x8027fd42,
    0xffffffff,0x70ffffff,0xa85dfffd,0x46a602ff,0x7ff51ffc,0x7d4fff10,
    0x3e60002f,0x00ffb03f,0x744ffe60,0xffeeffff,0xfb7102ff,0x209fffff,
    0x7fc406ff,0xc801ffb4,0x0bff11ff,0x3603ffa8,0x7fe400ff,0xd837fc01,
    0x5ff881ff,0xfa80bff1,0x017fec3f,0x3fee7ff5,0x227ff883,0xfffffffd,
    0xff1005ff,0x4ff88009,0x7fffffc0,0xffffffff,0x3fffffe0,0xffffffff,
    0x37ffff60,0x3dfffb10,0xf5017fe2,0xfffff07f,0xffffffff,0x7ffffc1f,
    0xffffffff,0x81ffcc0f,0x7ff447fd,0xffffeeff,0x207ff302,0x7ff447fd,
    0xffffeeff,0x8807fe42,0x2aafffa3,0x2aaaaaaa,0x01ffa800,0x7c4dff50,
    0x25ffa86f,0x20006ff9,0xffb03ff9,0x4bff2000,0x540aeffb,0x205c42ff,
    0x80fffb98,0x3f201fff,0x409ff73f,0x7ffc7ff8,0x80fff600,0x3e204ffb,
    0x27fd407f,0xf882ffb8,0x803ffe5f,0x7fe43ffd,0x64bff604,0x1ff900ff,
    0x7c400000,0x7fc4004f,0x55fff404,0xaaaaaaaa,0x555fff42,0x2aaaaaaa,
    0xfff80000,0x20fff600,0xaaaabffe,0x742aaaaa,0xaaaaabff,0xf982aaaa,
    0xb8ffb03f,0x7d40aeff,0x07ff302f,0xdff71ff6,0x42ffa815,0x5ff02ffc,
    0x0201bff2,0x007fec00,0x3a0fffdc,0x17fec1ff,0xb7007ffe,0xb03ff981,
    0x401750ff,0x3ffb0fff,0xd85ffb10,0x0bfee05f,0x22037ffe,0xfff11fff,
    0x89ffb103,0xff304ffd,0x7ffc407f,0x04ffd881,0xf980ffec,0x24ffb86f,
    0xff304ffd,0x0fffa87f,0xf70fff88,0x0dff107f,0x8000bc88,0x44004ff8,
    0x7fe404ff,0xffc80806,0x2a000806,0x4ffd802c,0x907fff30,0x90100dff,
    0x20100dff,0xffa84ff9,0x440ffec7,0xff302ffd,0xd8fff509,0xffd881ff,
    0x45f7fd42,0x3a4ffca8,0xcbabdfff,0x22006ffe,0x5ed47ffb,0x82fffeca,
    0xffbcfffa,0xdfffb86f,0xfffcbaaa,0xd81ffcc2,0x67ffc47f,0x5fffcaaa,
    0x2eaf7fea,0x0ceffffd,0x7559ffff,0xfdb8fffb,0xebbdffff,0x7fe44fff,
    0xfffdbcef,0x7fffc41f,0xffffecad,0xfff900ce,0xffffb79d,0x406ff803,
    0xfdbbeffc,0x3ffe21ff,0xfffecadf,0x3ff60cef,0xfffdaadf,0x2f7ffe23,
    0x404fffdb,0x88006ff9,0x7c4004ff,0xfffe804f,0xffecbabd,0xbdfffe86,
    0x06ffecba,0x8805ffb0,0xecadffff,0x40ceffff,0xbabdfffe,0xfe86ffec,
    0xecbabdff,0xfff886ff,0xffffebab,0x57bff50c,0x9dffffb7,0xabfff881,
    0x0cffffeb,0xb757bff5,0x419dffff,0xfffffffd,0x3ffe64ff,0xffffffff,
    0x7fffec06,0x7fffc2ff,0x2e03ffff,0x0effffff,0xffffff90,0xdb8dffff,
    0x7f5c3eff,0x3fff60cf,0x0fffffff,0x7ffffff4,0xd4ffffff,0xffffffff,
    0x7ffc47ff,0xffffffff,0xfff906ff,0x01dfffff,0x3fffffea,0x5fffffff,
    0x3fffff20,0x4c00efff,0xffe803ff,0xa84fffff,0xffffffff,0x225fffff,
    0xfffffffe,0xffffa86f,0x200dffff,0xb807fbdb,0xeeffeeed,0x3b6e0bee,
    0xeeeeffee,0x7fffcc0b,0x6fffffff,0xffffff98,0x406fffff,0x804fccd8,
    0xfffffffa,0x45ffffff,0xfffffff9,0xf986ffff,0xffffffff,0xfff906ff,
    0xffffffff,0x7fffff49,0x4fffffff,0xffffffc8,0x3a4fffff,0xffffffff,
    0x3624ffff,0xcfffffff,0xfffffc80,0x2200ceff,0x83ffffff,0x0cfffffb,
    0xeffffc80,0x7fff5400,0x220cffff,0x31ffffff,0x449fffff,0xfffffffb,
    0xfffe980c,0xefffcdff,0xffffbf71,0xffb05dff,0xfffff9df,0xffda807f,
    0x4400ceff,0xcefffffd,0x5402efff,0x0ceffffd,0x1001dd00,0x07ffffd9,
    0x7ffffec4,0x82efffce,0x3ffffffb,0x3ffffa60,0xfffb804f,0x7fffc403,
    0xffffffff,0xffffff14,0x09ffffff,0x3ffffff2,0x3f200cef,0xceffffff,
    0x0fffe800,0xffffb100,0x5dfff9df,0x3fffff20,0x3200ceff,0xefffffff,
    0x3fff200c,0x1effecff,0x3fffffa6,0x01efffcd,0xd9fffff9,0x7f4c3dff,
    0xffcdffff,0xccb981ef,0x3553002c,0xceda8003,0x0054c00a,0x4000a980,
    0x2019aa99,0x10dffffd,0x203dfffb,0x30019a99,0x30001355,0x10003355,
    0x30003553,0x53100015,0x26000035,0x0000000a,0x988006a6,0x530001aa,
    0x0a980035,0x8004c400,0xfffffffd,0x3f61efff,0xffffffff,0x554c01ef,
    0xaa980019,0x03300019,0x06aa6200,0x19aa9800,0x19aa9800,0x00d54400,
    0x0026aa60,0x000d5440,0x00026aa6,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x15753000,0x4c402662,0x40066201,0x33100099,0x006aa621,
    0x0791032a,0x10054000,0xb3079000,0xb0020003,0x2003b307,0x2661aa98,
    0x2e076601,0x3605b005,0x80800001,0x99880998,0x99999801,0x33330009,
    0x54400133,0x362001aa,0x44da8003,0x87b70008,0x40ecc008,0x43db805a,
    0x9a980008,0x57730201,0x2aa62001,0x03b3000a,0x333300b7,0x4cc00133,
    0x98009999,0x2001aaaa,0xe8800018,0xfedfffff,0x3ffa26ff,0x7fff42ff,
    0xffff703f,0x7fff403d,0xffffffbe,0x4cbfee02,0x00c404fe,0x36a07fe4,
    0x3fa002df,0x005ff70e,0x3a00fd88,0x03ff90df,0xdfffff90,0x307ffff7,
    0x1bfa27ff,0x3f207f40,0x57731001,0x3e63f101,0x3fa62fff,0x7ffc07ff,
    0x402fffff,0xffffffff,0x7fff4c02,0x502fdfff,0x2001bfff,0xfbaefffe,
    0xefffe805,0x7cc05fba,0x01dfb14f,0x5d77fff4,0x3fee005f,0x2a1dffff,
    0xfffffddf,0x7ffdc04f,0x203fefff,0xdfb14ff9,0xffffff80,0xfff802ff,
    0x202fffff,0x04fffffe,0x80007fe0,0xfffffffa,0x30ffffff,0x449fffff,
    0xa86fffff,0x1fffffff,0xffffff88,0x4fffffff,0x3ffbfee0,0x401ff803,
    0x3bee0ffb,0xb1002ffc,0x005dfdff,0x4404fe98,0x01efeffd,0x7fffff44,
    0x5fffffff,0xbffdfd30,0x37fe6001,0xf5005fec,0x41bfffff,0xffff71fa,
    0x3ffffd45,0x333332e0,0x665c00cc,0x200ccccc,0xfffffffb,0xffd85fff,
    0x4c02ffdb,0xffffb8bf,0x5c5fcc00,0x9800ffff,0x00dffefe,0x3fee2fe6,
    0xffb000ff,0x47ffffff,0xfffffffc,0xfb81efff,0xffffffff,0x7f7f4c06,
    0x665c00df,0x800ccccc,0xcccccccb,0x3ffffa00,0x7ff1004f,0x3ffe2000,
    0xffffcacf,0x7ffd41cf,0x6fff540b,0xebdffe80,0xff9306ff,0xfb557fff,
    0x7ec407ff,0x3ff8801e,0x22f46b80,0x7fd4006e,0x7fd4000c,0x13fea003,
    0x4df7ff40,0xbeffffdb,0x0bff2200,0x3bff6a00,0xfffd800b,0x71efffff,
    0x17fed41f,0x001ffb2a,0x4c000000,0xdbacffff,0x6fdc6fff,0x2001fea0,
    0x220002b8,0xffc8002b,0x05710002,0x567ffcc0,0x3f60ddcb,0xfda9adff,
    0x7ffc46ff,0x6ffdb9ac,0x005ff900,0x00000000,0x13feeaa2,0x001ffcc0,
    0xe885ffc8,0x3ff207ff,0x80fff883,0x7ff43ff9,0x03bffe00,0x5003ffea,
    0x01ffcc00,0x42f987e2,0x0c4000fb,0x001fe800,0xff700188,0x9fff501b,
    0x00004c00,0xffb80022,0xffea99bf,0xffa86faf,0x220ffb02,0x19988099,
    0x05555440,0x4c0fffa0,0x880c46ff,0x02a62001,0x4404cc40,0x02600199,
    0x15555100,0x017fdc00,0xd104ffd8,0x27fcc7ff,0x26003fc8,0x0a988000,
    0x1aa98800,0x04ff8800,0x99cffa88,0xffe80099,0x40fff501,0xffb86ff8,
    0xc85ff503,0x3ffe00ff,0x20bfee02,0x800aaa98,0x9999cffa,0x89f10ea0,
    0x54c4007d,0x00088000,0x00555544,0xfc807ff6,0x0133104f,0x26203331,
    0x81998809,0xf901fff9,0xff501dff,0xf31ff605,0x7f4c7fff,0xffd887ff,
    0x104fffff,0x3fd80fff,0x01333310,0x3ffffaa0,0xfff980ce,0x3fffa63f,
    0x88266607,0xfffb102a,0x3009ffff,0x2e001ff9,0x3ffcc06f,0x2f37fffa,
    0x984cc011,0xfd5001aa,0x0019dfff,0x9ffffff9,0x027fc400,0x3ffffff2,
    0x200effff,0x3ffc06ff,0xf88fff20,0x5ff500ff,0xf01ffee2,0x4ff880ff,
    0x7fffffdc,0x7ffe43fe,0xefffffff,0x326ff600,0xffd5004f,0x31019dff,
    0x33333333,0xfffd8833,0x3e04ffff,0x27fcc06f,0x98ffffe6,0x7cc7fffe,
    0x3fa63fff,0x2ffd87ff,0xa817ff40,0x8ffb02ff,0x2a3ffffb,0xfa87ffff,
    0xffffffff,0x804ffa85,0xfffffb01,0xffff7009,0xb81dffff,0x3ea3ffff,
    0xffb87fff,0xffff94ff,0xfffffa89,0xf505ffff,0x2001ffff,0xffd800a8,
    0x3ffffea1,0xffc82fff,0xeffffecf,0x3fffee01,0x100effff,0xfffffffd,
    0xff1001ff,0xffd05939,0xffffffff,0x037fc03f,0xf880fff1,0x80ffee7f,
    0xfffcaffa,0x07ffc03f,0x7dc7ff70,0xffffffff,0x7fffff46,0x01ffffff,
    0x437fff66,0x7fdc1eda,0x0effffff,0x7fffffd4,0x7d47ffff,0xffffffff,
    0x401ffd05,0x7fdc4ffb,0x3ffea3ff,0x7fffdc7f,0x1ffffea3,0x3ea017fe,
    0x05ff503f,0x3f6a1ff6,0x3ff6543f,0x555e76c4,0x7d40ffeb,0xff10002f,
    0xb809ffff,0xebabefff,0x7ed40eff,0x3ff6543f,0x777fffec,0x23ffffff,
    0xbaabced8,0xffb80ffe,0xc8800fff,0xcccccccc,0x442ffdcc,0xffffffdb,
    0x7fffff44,0x80ffffff,0xbabefffb,0xfe80effe,0xfecaacef,0xfff8805f,
    0xfdb987ff,0x2cccccef,0xb80fff40,0xffc807ff,0x200fff8b,0xfffdaffa,
    0x3ffe00ef,0x447ffe05,0xdb9acfff,0x7edcc6ff,0x2cccccef,0xfb537100,
    0x7fdc1bff,0xffebabef,0x3fffea0e,0x47ffffff,0xbaabced8,0xffc80ffe,
    0x09fff104,0xca87ffb5,0xffda87fe,0x23ff6543,0xf8803ff8,0x05ff504f,
    0x7fcc1ff6,0x000ffb03,0xff985ff5,0x33260006,0x3e204ffc,0x9ff902ff,
    0x3607ff30,0xffcb887f,0xfeabffff,0x0bfea002,0x03ffb2e2,0x3ffffe20,
    0xffffffff,0x9881713f,0x3260fffb,0xdaacffff,0x7ffc42ff,0xc89ff902,
    0xfe880eff,0x7ffc403f,0x3fe604ff,0xbff90003,0x07ffe981,0xffcfff88,
    0x457fd403,0x00efffeb,0x317dffff,0x7ccdfff9,0x207f904f,0x20003ff9,
    0xbdfffda8,0x817ffc40,0x3fea4ffc,0xfffecccd,0x17fd4004,0x45f7ffcc,
    0x04ffffc9,0x3f607ff3,0x207ff307,0x17fd47fd,0xf506fe80,0x0fff509f,
    0x7ec0ffe6,0x3ffb2a07,0xff82ffee,0x006dc01f,0x7d409ff1,0x1bfe204f,
    0x7ec0ffe6,0x3fffe207,0xeca8040d,0x02ffeeff,0x44007fdc,0xffffffff,
    0xb3ffffff,0x17fdc0bf,0x3e07ffe6,0x027fd45f,0xffe8dff1,0xbaaaaaab,
    0x3fea05ff,0x75302eff,0x03555bff,0x5effff40,0x007ffffd,0x01fffff9,
    0x6cc2ffa8,0xffff05ff,0xdfffffff,0xcdfffe81,0x7fcc011b,0xffd98003,
    0xf5009adf,0x37fc409f,0x7fd43ff3,0x3fb2a04f,0x502ffeef,0xffffffff,
    0x3e609fff,0x20ffb03f,0xffb03ff9,0xf002ffa8,0x3ffea0bf,0xffffecab,
    0x81ffcc0c,0xffd887fd,0x2fffffff,0xaadfffb8,0x02fffcba,0xfc813fe2,
    0x07fe401f,0x7ec0ffe6,0x0fffe207,0x7fffec40,0x402fffff,0xf8800ffb,
    0x999999ef,0xff2ffb99,0xfb7559ff,0x07ff30ff,0x3ff91ff6,0x3e0ffc80,
    0xffffffff,0xe887ffff,0x2205ffff,0xffffffff,0xff3001ff,0xffffffff,
    0x3ffe200f,0x2ffa803f,0x3fe0ffd0,0xffffffef,0xffffa80d,0x2602ffff,
    0xfd8003ff,0xdffd98ad,0x200ffe41,0xa8ee0ffc,0xfb104fff,0xffffffff,
    0x7fff5405,0x04ffdfff,0x3f607ff3,0x207ff307,0x1ffc47fd,0xa827fc40,
    0xffffffff,0x7cc4ffff,0x88ffb03f,0xfeeffffe,0xff902fff,0xffffffff,
    0x04ff880d,0xf9003ff6,0x03ff983f,0x7fc40ffb,0xfffd1004,0x5ffffddf,
    0x000ffb80,0xfe801ffd,0xfffffd1f,0x307fffff,0x1ff607ff,0xfc801ffb,
    0x3ffffe1f,0xffffffff,0x7fffdc0f,0x3ffe204f,0x1fffffff,0x3fff6200,
    0x007fecff,0x2003ffee,0xff502ffa,0x2e6dff03,0x5c401bcc,0x4ffffffd,
    0x0007ff30,0xdf97ff10,0x6400ffd8,0xfff501ff,0x3fffa207,0x2ffffeef,
    0x8bccba80,0xff304ff8,0x4c1ff607,0x0ffb03ff,0xff500dff,0x3fffea07,
    0xeffedfff,0xd81ffcc1,0x577fdc7f,0x5017fd40,0xfffffffd,0x4ff88019,
    0x8813fee0,0x3ff987ff,0x7c40ffb0,0xdff7004f,0x02ffa815,0xd8007fdc,
    0x3fe604ff,0x3fff7ee7,0xf302efff,0x71ff607f,0x7fc409ff,0x555fff47,
    0x2aaaaaaa,0x4ffadd88,0x9cffa980,0x26000099,0x00ffd09a,0xa801ffe4,
    0x7cc112ff,0x006ff83f,0x5cc40b88,0xff980fff,0x0fb80003,0x4ffb8bea,
    0x541ffe20,0x3ee03fff,0x7fd40aef,0x3fe20002,0x207ff304,0x7ff307fd,
    0x3f61ff60,0x3ffe203f,0x557ff500,0x3fe60015,0x6c7ffa84,0xffd881ff,
    0x9bfc9802,0x13fe2001,0x881fff88,0xff984ffd,0x207ffa84,0xfb004ff8,
    0x5ffb103f,0x000ffb80,0xd307fff3,0x7ecc09ff,0x1ffcc01a,0x7fc47fd8,
    0x4ffd881f,0x04037fe4,0x8027fc40,0x35104ff8,0x2ffc4000,0x00fff880,
    0xdf55ff50,0x7fc17fdc,0x05fd8006,0x3e20bfee,0x0035104f,0x7c49f0dd,
    0xffd881ff,0x43fffa84,0x440ffec0,0x20002ffd,0xff304ff8,0x20fff509,
    0xffa84ff9,0x83fff887,0x2a03ffe8,0xf10002ff,0xffd757ff,0x3fea19ff,
    0xfffdbabd,0x7dc00cef,0x7fc4001e,0x77ffe404,0x1ffffdbc,0xbabfff88,
    0x80cffffe,0xf5004ff8,0xffb757bf,0x2e019dff,0x3ee000ff,0xffebcfff,
    0x1efc806f,0xd81ffcc0,0xefffc87f,0x1ffffdbc,0xabdfffe8,0x406ffecb,
    0x3e004ff8,0xfecbabff,0xfb50007f,0x3ff2007f,0xffeb8803,0xffbcffcd,
    0x006ff80f,0xaacffff8,0x3a07ffdb,0xfedbacff,0x20fc807f,0x7ffe42f9,
    0xffffdbce,0x21fffd41,0x37fea7f8,0xffffdbab,0xf88000ce,0x7fff104f,
    0x9ffffd75,0xabfff881,0x0cffffeb,0x55efffd4,0x5406fffc,0x320002ff,
    0xffffffff,0x3ffa4fff,0xffffffff,0x32ea04ff,0x776dc05f,0xbeeeeffe,
    0x7ffffe40,0x3200efff,0xffffffff,0xdb714fff,0x7bdddfff,0x3fffffa0,
    0x4fffffff,0x3bffbb26,0xffc803de,0x0effffff,0x13f2ea20,0x43effdb8,
    0x640cffeb,0xffffffff,0xffff300e,0xdfffffff,0xffeeedb8,0x900ceeef,
    0xffffffff,0xfffb00bf,0x101dffff,0xfffffffb,0xffffb809,0xffffffcf,
    0x7ffffe44,0xfffd005f,0x7fffffff,0x7ffffd40,0x8806ffff,0x907fbbef,
    0xffffffff,0xffffa81d,0x1ffeeeee,0x3ffffffa,0x04ffffff,0xfffffd30,
    0xffff905d,0x9fffffff,0xffffff90,0x709fffff,0xffffffff,0x2ffa801b,
    0x7ffe4000,0x1effecff,0x3fffffa6,0x01efffcd,0x407ffff5,0xfffffff8,
    0xa84fffff,0x0ceffffd,0xfffffc80,0xf71effec,0xffffffff,0xffd303ff,
    0xfff9bfff,0x7ffff43d,0x800fffff,0x3fffffe9,0x3ffffa80,0xffffff10,
    0x3ffffe63,0xffffda84,0xffc800ce,0x0cefffff,0x3fffffe2,0x04ffffff,
    0x3ffffff2,0xfff8802d,0x500effff,0xffffffff,0x7ff4c01f,0xffffb8ef,
    0x3fffe20c,0xb800ffff,0xffffffdf,0xfffc802e,0x2002dfff,0x201dffea,
    0xceffffda,0xfffffc80,0x21ffffff,0xdfffffe9,0x001efffc,0xfffffff7,
    0x3ffff20b,0x01effecf,0xd9fffff9,0x3a203dff,0x003fffff,0x00003ff1,
    0x98003551,0x500009aa,0xfd8017d9,0xffffffff,0x054c01ef,0x00d54400,
    0x7ffffec4,0x4c05ffff,0xf70009aa,0xbfffffff,0x00a98800,0x201f6540,
    0x10dffffd,0x803dfffb,0x530000a9,0xffd80335,0xffffffff,0x554c401e,
    0xeeda8000,0xedb801bd,0x002deeee,0xb500a980,0x005bdddd,0x0066aa60,
    0x00355310,0x4c000980,0x7ffe400a,0xffffffff,0x009aa981,0xeedb8800,
    0x2a201cee,0x5510001a,0x54c40003,0x003b8000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x6440cb80,0x1002a003,
    0x40003995,0x00001ca8,0x00000773,0x5300036e,0x26003555,0x0261aaaa,
    0x4c401331,0x6c0b6009,0x80002201,0x2b2a2099,0x22065c00,0x0000203c,
    0xa8800ae2,0x22001bcc,0x2ea20199,0x020001bc,0x57951000,0xbca88004,
    0x4cc0010a,0x00999999,0x31000040,0x44001577,0x8011acba,0x33300018,
    0x01333103,0x4099a980,0x99999998,0x30199999,0x88035555,0x80000aaa,
    0x9ff52ffc,0x403ff600,0x06fffff9,0x17fff440,0x3ffea000,0x74400004,
    0xff002fff,0xf009ffff,0x2e9fffff,0xffff70ff,0xfffffb07,0xfc81fd01,
    0x001ff101,0xf95fffa8,0x201bffff,0x9ff52ffc,0xef987fa0,0xfffb5100,
    0x3fff2009,0xe800cfff,0x7e4c1fff,0x01efffff,0xceffdb98,0x3ffaa001,
    0x05fdffff,0x3fffffea,0x7cc05fef,0xffffffff,0x3f6e603f,0x2a001cef,
    0x0dffffff,0x7ffffdc0,0x3fe06fef,0x3ffea001,0xfffb1fff,0xff700dff,
    0x2e3bffff,0xaaaaaaaa,0x7c0caaaa,0x204fffff,0x002ffffa,0xffdff700,
    0x0fffc007,0x07f22c98,0x05fb7900,0x4fcc9800,0x3fea0000,0xf805ffbd,
    0x804fffff,0x74ffffff,0x3fff61ff,0xfffff84f,0xcdffa81f,0xfca885fe,
    0x400aaacf,0xffeefffb,0x205fffff,0x03ffeffb,0x7fd47ff1,0xfffffa81,
    0xfffd804f,0x405fffff,0x221ffffb,0xffffffff,0x3fee00ff,0x0effdbcd,
    0x7ffffdc0,0x707fffff,0xffffffff,0xffa80fff,0xffffffff,0x79bff704,
    0xd801dffb,0xffffffff,0xffff901e,0x01ffffff,0x5c007ff1,0xf2ffffff,
    0x80ffffff,0xfffffffd,0x1500053f,0x4ffffff8,0x0bfffee0,0xefe98000,
    0x02754000,0x002fe988,0x00005f90,0x800013e6,0x0ff622ff,0x9ff75510,
    0xff755100,0xff913549,0xfff73019,0x77fed403,0xffffd80b,0xa803ffff,
    0x8adfffff,0x2603ffea,0x65400efe,0xffc81e40,0x5c04ffff,0xfb88beff,
    0xfff102ff,0x77fc43ff,0x5ffeb9ac,0x5101bf70,0x3fea01df,0xffca9acf,
    0xcfffb87f,0xfffea99b,0x6e665400,0xb80acdff,0xefa880df,0x39fff700,
    0x81fffd73,0xa9acfff9,0xf980fffe,0x3ea2003f,0x36e22cef,0x3e601dff,
    0xddcbbcff,0x81500050,0x04ffbaa8,0x0017fe4c,0x00001400,0x02fffd40,
    0x0005f900,0x00013e60,0x80030098,0x44004ff8,0xa83d14ff,0x37f402ff,
    0x64c00880,0x0cccdffd,0x07ffff00,0x0500bff3,0x5e440000,0x7404ff89,
    0x5ffa80ff,0x3fffff90,0x7c41ffc4,0x98bfb87f,0x077cc099,0x440bffe6,
    0x7ffc47ff,0x001ff601,0xfb80bfea,0x4c44d443,0x7ffcc0ef,0xc89ffb01,
    0x1ffd02ff,0x3339ff50,0x05ff8013,0xf700ffe6,0x0005005f,0x27fc4015,
    0x0017fd40,0x09999880,0x26666620,0x70199999,0xbb103ffb,0x5c017e40,
    0x013e601e,0x266203b2,0x4004cc00,0x44004ff8,0xf50754ff,0x06fe805f,
    0x00266662,0x5544bfea,0x03fff801,0x99989ffa,0x19999999,0x01333310,
    0x2027fc40,0x1bfe03fd,0x3ff3ffe6,0xfc8076c1,0x7fd7e20f,0x3e63efff,
    0x2017fdc4,0x17fe46fc,0x20017e60,0xbf102ffa,0xaffffecc,0x17fec4f9,
    0xfc87ffa0,0xc8ff500f,0xffffffff,0xbff00eff,0x301ffcc0,0x13335ff9,
    0x01500050,0x54027fc4,0x035532ff,0xfffffd80,0x3fffea04,0x07ffffff,
    0x3fee2fdc,0x405f900f,0x2603ffe9,0x3ffa604f,0x2ffffe42,0x077fffd4,
    0x8009ff10,0x7d404ff8,0x837f402f,0x04fffffd,0xffedffa8,0x3fe01eff,
    0xf53ff406,0xffffffff,0xffffb0ff,0x7fc4009f,0x3e600804,0xbaffd85f,
    0x3e2001ff,0xf887d46f,0x360fc99c,0x2007fec6,0x07ff42d8,0xfa800040,
    0x221f502f,0x25fb8adf,0x402ffc6d,0x3fea3ffa,0xffd06a04,0xffffffff,
    0x817fe03f,0xffa83ff9,0xffffffff,0x05400146,0x5009ff10,0xfffffbff,
    0xfff1001d,0x7d409fff,0xffffffff,0xfb88667f,0x03dffd33,0xffb817e4,
    0x427cc03f,0xf82fffc8,0xfc87ffff,0x2202ffff,0x807b24ff,0x7d404ff8,
    0x437f402f,0x4ffffff8,0xfffffa80,0xf00fffff,0x27fd80bf,0xfffffffa,
    0x7fc47fff,0x2004ffff,0x40004ff8,0x7fd43ffe,0x2003ff76,0x3643ffea,
    0x2e3f893a,0x001bfe0f,0x00005ff8,0xc817fd40,0xb9321ea6,0x007ff10f,
    0x7fc49ff1,0x4c01bdff,0xccceffdb,0x17fe02cc,0xfc83ff98,0xffffffff,
    0x2000a0ff,0x13fe200a,0x3ffffea0,0x800fffff,0x04ffccc9,0x33337fea,
    0x3fa4fffe,0xfb8fffff,0xfff103ff,0x3fa6dfff,0xffb008ef,0x3feadfff,
    0xffb300df,0x2e273239,0x7c402fff,0x40bff54f,0x7d404ff8,0x837f402f,
    0x04ffccc9,0xacffffa8,0xff04ffdb,0x2a7fd80b,0xfecccdff,0xccc984ff,
    0x3e2004ff,0xfb10004f,0x23ffd0df,0x75c01ffb,0x2740efff,0x83faeb7a,
    0x09ff12f9,0x013fe200,0x5ff50000,0x804e93a0,0x05ff52f9,0xff31bfa0,
    0x03bfffff,0x4001ffcc,0x3fe605ff,0xffecb883,0x141ccccd,0xf1005400,
    0xfff5009f,0x7ffb759f,0x04ff8800,0xffa87fe6,0x665cc44f,0xb8dffeab,
    0x555541ff,0xbfffcaaa,0x261cfffc,0xfdaaaaaa,0x82ffaaef,0xdff53ffa,
    0x7c4037fc,0x409ff34f,0x7d404ff8,0x037f402f,0x54027fc4,0x6ff81eff,
    0xfd80bff0,0xfa87fe67,0xff8804ff,0x13fe2004,0x3bffa200,0xf727fdc0,
    0x7ffc403f,0x744f80df,0x7cc1ffff,0x0009ff12,0x36e13fe2,0x223deeee,
    0x0bfea02c,0x3007f27c,0x00bfea5f,0x75c42ffc,0x02ffffff,0xf0007ff3,
    0x1ffcc0bf,0x2003fee0,0x200a8002,0xfa804ff8,0x05ff81ff,0x2027fc40,
    0x13ffea3b,0x89fffe40,0xea801fff,0xadfc8dff,0x7fdc06fc,0x2fff88cf,
    0xffb5ff88,0x009ff33f,0x014c9ff1,0xf5013fe2,0x3fa1cc5f,0x04ff8806,
    0xfb02ffa8,0xb017fe0f,0x3ea3b8ff,0xff1004ff,0x27fc4009,0x3bffa200,
    0x707ffc40,0x7fc403ff,0x9d1b601e,0x0fb87f73,0xf80013fe,0x7fffc44f,
    0xff50ffff,0xd817fd40,0x3ee01b26,0x1007ff10,0xca8809ff,0xf980fffe,
    0x5ff8003f,0x700ffe60,0x005001ff,0x7fc40150,0x02ffa804,0xf8800ffb,
    0x3fea004f,0xffe9803f,0x07fffa0d,0x6c5fffb0,0x6c40fec5,0x3ff21eff,
    0xf1ffd02f,0x5ff79fff,0x009ff100,0x5404ff88,0xe8bfe2ff,0x4ff8806f,
    0xb02ffa80,0x017fe0ff,0x7fd40ffb,0x3fe2003f,0x13fe2004,0x0efff980,
    0xccceffd8,0x3600cffe,0x3a3dc01f,0x46d8bee4,0x3a0006fd,0xffffd86f,
    0x07fee5ff,0x7b817fd4,0x6c950fe6,0x54037fc6,0x700a63ff,0x7ff307ff,
    0x40bff000,0x7dc02ff9,0x8002800f,0x13fe200a,0x6c0bfea0,0x7fc4007f,
    0x7fff5004,0x70bffe00,0x5c03fbbf,0x7cc00cff,0x44ffd80f,0x902fcefa,
    0xfffffbff,0xf1001ffb,0xff88009f,0x897fd404,0x017fe3ff,0x2a013fe2,
    0x0ffb02ff,0xffb017fe,0x00fffea0,0x4009ff10,0xf5004ff8,0x3fe01bff,
    0xffffffff,0x4400405f,0x6cdffd4f,0x7dc4f8cf,0x6418802f,0x7fe401ff,
    0x5c07fee0,0x49f101ff,0x14feeffd,0x03ffd89f,0x7c43ffe2,0x17fe202f,
    0x2000ffe6,0xff700ffd,0x00ffb803,0x00a80028,0x2a013fe2,0x0ffb02ff,
    0x804ff880,0x0043fffa,0x8ff98197,0x072201fd,0x4c0bfea0,0x5cffc41c,
    0xffff502f,0x0dffff9f,0x0013fe20,0xfa809ff1,0x229ff12f,0xff8804ff,
    0x02ffa804,0x17fe0ffb,0xff50dff0,0xf880087f,0x3fe2004f,0x4fffc804,
    0x7fffffc0,0x003fffff,0x9953fb00,0x07f5e445,0xa80bffe2,0x3bfea1ff,
    0xb83ff200,0x7fe881ff,0xb950fec0,0x103fa237,0xfd107fff,0x077fcc7f,
    0xf884ffc8,0x9035104f,0xfff309ff,0x001ff700,0x40150005,0xfa804ff8,
    0x00ffb02f,0x5404ff88,0x3fc43fff,0x3b3bfa00,0xfc80004f,0xefd8001f,
    0xf880cfec,0xfff8cfff,0x9ff1004f,0x04ff8800,0x2237ff66,0x2ffeaeff,
    0x804ff880,0xffb02ffa,0x43fffc88,0x544ffc99,0x3fc43fff,0x8013fe20,
    0x36204ff8,0x99803fff,0xffc99999,0x80054c01,0x3fa203fd,0x9dfff501,
    0x3fffb955,0xabdfffd8,0x20fffecb,0xcacefffb,0xfd804fff,0x407fa203,
    0xcabdfffa,0x7fcc6fff,0xffdabdff,0x9ffd01ff,0x0fffdb75,0x979fffd1,
    0xf7005fff,0x0005001f,0x27fc4015,0xd817fd40,0x776dc07f,0xbeeeeffe,
    0xddffff50,0x003ffddd,0x7ffffffc,0xbfd10000,0x3ffa0001,0xfd01ffff,
    0x3fff63ff,0xfdddb702,0x417dddff,0xfffeeedb,0xffb0beee,0xffff1bff,
    0x3b6e0bff,0xeeeeffee,0x3bffae0b,0x37fff223,0x5fffff92,0x83ffffe6,
    0xeeeffffa,0x36e1ffee,0xeeeffeee,0xddd910be,0x45bddfff,0xeeeffffb,
    0x2e04feee,0x701dffed,0x7ec00fff,0xffecaace,0x7fffd401,0x83ffffff,
    0xffffffe8,0x2a0effff,0xffffffff,0x3bf6004f,0x1ffecaac,0x7ffffdc0,
    0x7cc0dfff,0xffffffff,0x3fea03ff,0x6fffffff,0xffffff30,0x764c09ff,
    0xceeeeffe,0x05400141,0xfffdddb7,0x75c17ddd,0x3f223eff,0xff881cff,
    0xffffffff,0xffff94ff,0x3fffffff,0x9fd71000,0x3ffe6000,0x0000dccc,
    0x3201bfd7,0x3ffea6ff,0xfffff880,0x4fffffff,0xfffffff1,0x2a9fffff,
    0xff52effe,0x3fe20bff,0xffffffff,0xffff34ff,0x3fff23ff,0xfffd36ff,
    0x3bffe21d,0x7ffffe41,0x11ffffff,0xffffffff,0x3f29ffff,0xffffffff,
    0xffff70ff,0xdfffffff,0x3ffffe60,0x0dff706f,0xffffda80,0xd93000bd,
    0x03bfffff,0xfffffda8,0x3faa02ef,0x8003efff,0xbdffffda,0xfffd1000,
    0x5f6c07ff,0x1efffffe,0xfffffc80,0x7ec402df,0x7402ffff,0xffffffff,
    0x400146ff,0xfffff10a,0x9fffffff,0x3fffffe6,0xdfffff91,0x3fffff60,
    0x91efffff,0xffffffff,0x30003fff,0x0001dfff,0xfffffff3,0xffd10005,
    0x0ffea03f,0x7fec0fff,0xffffffff,0x3ffff61e,0x1effffff,0xb0033100,
    0xffffffff,0x7fec3dff,0x3ffaa5ff,0x262003ef,0xfffff901,0x43ffffff,
    0xfffffffd,0xfd31efff,0xffffffff,0x7ffffdc9,0x07ffffff,0x5dffffb1,
    0x000054c0,0x26000053,0x5310000a,0x54c40013,0x05300000,0x00a98800,
    0x009a9880,0x00d54c40,0x80054c40,0xffffffeb,0x555c2eff,0xaaaaaaaa,
    0x3ff60caa,0xffffffff,0x3ffff61e,0xdfffd50d,0x00000007,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x981dc880,0xa80002aa,0xb98000aa,0x0333000b,
    0x26004cc4,0x99999999,0x33300999,0x4c001333,0x02662019,0x0cccccc4,
    0x01333300,0x99881333,0x99999999,0x22019980,0x2aa20099,0x333000aa,
    0x33333333,0x26666013,0x33100099,0x20013333,0x99999999,0x98819999,
    0x01998819,0x04ccccc4,0x20666200,0x33101998,0x20333101,0x99999998,
    0x4cccc409,0x99999999,0x7000c401,0x3300887b,0x40013333,0x4cc00998,
    0x0ee4c009,0x01331006,0x30026662,0x00133333,0xd17fea00,0x0000ffff,
    0x44001fff,0x02effffd,0x85ffffd1,0x983ffffe,0xffffffff,0x4c3fffff,
    0xffffffff,0xfff100de,0xfffe85ff,0x7fffec3f,0x2a01ffff,0x36ffffff,
    0x549fffff,0xffffffff,0x3ffe26ff,0x3ffe22ff,0x3ff623ff,0x204fffff,
    0xfffffff9,0x43ffffff,0xfffffff9,0xff100def,0x0dffffff,0x7fffffd4,
    0x7fffffff,0x8fffffdc,0x80fffffd,0x7ffffffd,0x3fffee00,0xfffffb1f,
    0x8ffffe61,0xa87ffff9,0xffffffff,0x3fffa6ff,0xffffffff,0xffc981ff,
    0x3ffa03ff,0x4c5fbaef,0xffffffff,0x3ffa00de,0x3ffea06f,0xffff703f,
    0x3a01fd39,0x7ec1ffff,0xff06ffff,0x05ffffff,0xb1017f62,0x7fffe83d,
    0x0fff8000,0x3ffff600,0xff980fff,0x3fe25fff,0xffa85fff,0xffffffff,
    0x7fdc3fff,0xffffffff,0xffff983f,0x3fffe24f,0x7ffffc5f,0x2e02ffff,
    0x57ffffff,0x54bfffff,0xffffffff,0x3ffe66ff,0x3ffe63ff,0x3ffea5ff,
    0x05ffffff,0xfffffff7,0x87ffffff,0xfffffffb,0xf983ffff,0xffffffff,
    0xfffff700,0xffffffff,0xfffffd8f,0x3fffffd3,0xffffffd0,0x3ff6005f,
    0xfffd3fff,0x3ffee3ff,0x3fffea3f,0xfffffc87,0x3a7fffff,0xffffffff,
    0x4c1fffff,0x06ffffff,0xfff717f3,0xffffb81f,0x3fffffff,0x2fffff88,
    0x0bffffb0,0x3ffa6776,0xffff104f,0xffffe8df,0xcccb80ff,0xf500cccc,
    0x220005ff,0x80007fea,0xf3000ccc,0x7ff935df,0x03bff6a0,0x2017fff7,
    0xcffcffda,0xa83ffdcc,0xfdcccfff,0xfea82fff,0x7ffdc0ef,0x7f65c40b,
    0xda802ccf,0xff11bdff,0x7fd417ff,0xfffccccd,0x437fecc6,0x220bfffb,
    0xebaabced,0xffb500ff,0xfb99999b,0x9fff507f,0x5ffffb99,0x99dff930,
    0xffda8037,0xeccccccd,0x6ffe447f,0x0bffee22,0x7fff65c4,0xff91005f,
    0x7ffdc45b,0x21ffedc2,0xa887feca,0xcceffccc,0x333ffa1b,0xfdcceffd,
    0x667fe41f,0x2e2002ff,0x33ffea02,0x2ffffdcc,0x85fffe98,0x00cffff9,
    0x73002ea0,0x5c47ffff,0x0001dffd,0x00fffcc0,0x001ff600,0x7fdc0000,
    0xd1005d42,0x3ffd85ff,0xffccfc80,0x740ffe60,0x1fff706f,0x447fff10,
    0xfc803fff,0x2ffa8007,0x207bffa2,0x7fd42ffa,0x1fff880f,0x4001fff4,
    0x3ea02ffa,0x07ff302f,0x7fdc1bfa,0xceff880f,0x500abccc,0x3fe405ff,
    0x3337ff6a,0x1bfffccc,0x7ff7fec0,0x05ff5000,0x7fcc1ff6,0x100ffb03,
    0x37f409ff,0x7fdc7ff3,0x0993fe21,0x04cccc40,0xfc837f40,0xffffd07f,
    0x2ffffc83,0x554c2660,0xfffff001,0x203ff981,0x00099998,0x07500373,
    0x26623fec,0x4cccc400,0x03ff7000,0x43bfea00,0xfd005ffb,0x7cc1ff95,
    0x40dfd02f,0xff303ffd,0x013ffa5f,0x54003fe4,0xdfff32ff,0x887fea01,
    0x3ea02fff,0x017fee6f,0xfddffd95,0x17fd405f,0x40bfe251,0x3ff606fe,
    0xfffff883,0xa82fffff,0xfb8a22ff,0x3ffffe26,0xffffffff,0x37fe605f,
    0xf5004ffa,0x41ff605f,0xffb03ff9,0x409ff100,0x8ffe66fe,0x3fe21ffb,
    0x3fff6005,0x6fe804ff,0x3a0fff60,0x3e25ffff,0xfc82ffff,0xffffecff,
    0x7fffc01e,0x81ffcc5f,0x04fffffd,0x17fc4000,0x3ffa7fd8,0xffd81eff,
    0xf3004fff,0x7e40007f,0x00fff8cf,0xffc8ff98,0x00fe8ed8,0x6ff80dfd,
    0x3f7ffea0,0x1ff2006f,0x2abfea00,0x7c405fff,0x013ffa27,0x3fe73ff2,
    0xfffb100f,0x05ffffff,0x5ff17fd4,0x37f4032e,0x3e21bfe0,0xffdcccef,
    0x97fd40ff,0x85b11ff8,0xcccdffdb,0x01cfffcc,0x3ff4bff2,0xb02ffa80,
    0x0ffe60ff,0x7c403fec,0x997fa04f,0x03fea3ff,0xf1003ffd,0x009fffff,
    0x7fc40dfd,0xffeffe86,0x5ffdff70,0xffffffd0,0x401fffff,0x22ffeeff,
    0xff883ff9,0x0004ffff,0xd827fd40,0xfffff17f,0xffff885f,0x65c404ff,
    0x001bceff,0x7ff7ff44,0x32bf7003,0x012ffcff,0x999fff95,0x6407fe81,
    0x000fffff,0x2a001ff2,0x04fffdff,0x2ffec110,0xfeffe880,0xfffd102f,
    0x5ffffddf,0x666ffd40,0x7e5403ff,0x740cccff,0x04ff887f,0xffa87ff9,
    0x803ffbac,0xaaaacffa,0xff807fea,0x200bfee7,0xaaaacffa,0xff307fea,
    0x201ff607,0x3aa04ff8,0xd88ffe62,0x00effb85,0x4ffccc98,0x7406fe80,
    0xfbffe87f,0xff5fff4f,0xffff9305,0x05ffb559,0x7ffceffc,0x2607ff30,
    0x004ffccc,0x827fd400,0xdfff57fd,0x33326059,0x7ffc04ff,0x01ffffff,
    0x2ffffcc0,0x3f27fd00,0xf503ffff,0xbfffffff,0x6c00ffc8,0x64001fff,
    0xffa8007f,0x000effff,0x00077fdc,0x40bffff3,0x540aeffb,0x3fea02ff,
    0x203fffff,0xfffffffa,0x207fe45f,0xff104ff8,0xfffffa8b,0xffa803ff,
    0xffffffff,0x127fd407,0xff500bff,0xffffffff,0x40ffe60f,0xff8807fd,
    0x1ffcc004,0xa7fffcc0,0x3e201de9,0x06fe804f,0x3fa07fe4,0x9ff7fff7,
    0x3e605ff5,0x05ff81ff,0xa7fe57fe,0xf8803ff9,0x5c00004f,0x7ffb05ff,
    0x4001bfff,0x7f404ff8,0x1fffffff,0xfffdd500,0xf880bddf,0xffffc9af,
    0xffff103f,0xfc89ffff,0x3ffe600f,0x3fe4004f,0x7fffd400,0x3000efff,
    0x90003fff,0x7ec01fff,0x2ffd881f,0x3ffffea0,0x3fe203ff,0x44ffffff,
    0x7fc40ffc,0xa89ff304,0x3fffffff,0xfffffa80,0x407fffff,0xe999affd,
    0x7fd401ff,0xffffffff,0x509ff307,0xff100fff,0xfddb3009,0xf309dddf,
    0xf95fffff,0x27fc40df,0x32037f40,0xbbff40ff,0xfa8fffff,0x07ff302f,
    0x5ff81ff6,0xff33ffd1,0x09ff1007,0xc807ffd0,0xfffb06ff,0xf10009ff,
    0xf731009f,0xa880037f,0x1aadffba,0x7ffffd40,0x402ffbff,0x8199efe9,
    0x3fa207fd,0x2003ffff,0x0bf207fc,0xfb13fff5,0xfff100df,0xf8802a87,
    0x6ffd404f,0xffffdbab,0xbffa80ce,0x9803ffa9,0xd8199efe,0x84ff887f,
    0x7d42ffd8,0x03ffa9bf,0x999bffa8,0x2607fe99,0xffffffff,0x7fd404ff,
    0xfe99999b,0x2afffa07,0x0cffffec,0x2013fe20,0xfffffffd,0x5ffe40ff,
    0x3ffefff9,0x2013fe20,0x3fec06fe,0xfff8bff4,0x205ff54f,0xffb03ff9,
    0xff52ffc0,0x1007ff3d,0xff8809ff,0x07ffd806,0x01dffffb,0x009ff100,
    0x00017fdc,0xd8013fe2,0x8fffffff,0x6fe8024b,0xfb037fc0,0x03fff3bf,
    0xff81ff20,0x3617fd44,0x7fec03ff,0x200ffc44,0xfe804ff8,0xffffffff,
    0xffa84fff,0x27cc7fa2,0x7fc06fe8,0xeefff886,0x40efffee,0x1fd12ffa,
    0x205ff500,0x3ff207fd,0xffffffff,0x817fd407,0x3fee07fd,0xffffffff,
    0x13fe204f,0x3ffbb660,0x6fe83dee,0x013ffff2,0xfd009ff1,0xe85ff80d,
    0x47fff27f,0xff302ffa,0xf81ff607,0x7effec5f,0x4ff8803f,0x400ffdc0,
    0xfd80fffe,0x000effff,0xb0027fc4,0xd50003ff,0xbddfffdd,0xc99bff80,
    0x82fd40ff,0x3fee06fe,0x21dff904,0xc800fffa,0x517fe07f,0xfff885ff,
    0x30dff900,0xff8807ff,0xfffe9804,0xffffcdff,0x042ffa81,0x1bfa0ff7,
    0xf884ffb8,0xffffffff,0x085ff504,0x205ff500,0x3ffe07fd,0xfdcccccc,
    0x0bfea02f,0x3f203fec,0xffecefff,0x13fe201e,0x807ff300,0x7fff47fe,
    0x027fc401,0xff7037f4,0x7ccffd09,0x40bfea5f,0xffb03ff9,0x3e22ffc0,
    0x8803ffff,0x27ec04ff,0x80ffff80,0xeffe9ffd,0x13fe2001,0x983ffc40,
    0xf333104f,0x4c0133bf,0x207fe47f,0x0dfd07fc,0x501fff71,0xffc81fff,
    0x03fe400e,0x2ffa8bff,0xfa84ffa8,0x3ff980ff,0x0027fc40,0xee813553,
    0x405ff500,0x6fe80ffc,0x80fffb88,0xaaaadff8,0x017fd401,0xb02ffa80,
    0x0ffea0ff,0x2a05ff88,0x0ffb02ff,0x7f415510,0x04ff8803,0x201ffcc0,
    0xfebbdffd,0x3e201cff,0x86fe804f,0xe80fffb8,0xf504cc7f,0x0ffe605f,
    0xbff03fec,0x07ffff70,0x4409ff10,0xfff000ff,0x22ffb03f,0x1001fffd,
    0xfc8809ff,0xeeeeefff,0x3b6e07fe,0x900cefff,0xffb39ffd,0xfffddddf,
    0xeefffb88,0x43ffffee,0x21efffc8,0x42efffc8,0xeefffeda,0x15ffeeee,
    0x85bdffd7,0xff0bdffe,0xddddddff,0xdd9107ff,0x005bdfff,0x13daee80,
    0xddddffd7,0x41fffddd,0xeeefffb8,0xb83ffffe,0x2deefffd,0x3bffae20,
    0xeb801cee,0xfb30ceff,0x3ae23bff,0x6dc0ceff,0x75c2dfff,0xfb30beff,
    0xd00039ff,0x7644713f,0xdeefffee,0xffeec982,0xff882dee,0xffffffff,
    0x3fbbb6e6,0x10beeeef,0xddddfff9,0xf705ffff,0xda819dff,0x6dc2dffe,
    0x7f5c3eff,0x3ff220cf,0x3ff60bdf,0xeeedb83f,0x0beeeeff,0x7f4005f5,
    0x3ff660ff,0x677fff47,0x3fbbb6e0,0x20beeeef,0xfffffffb,0x106fffff,
    0xffffffff,0xfffff509,0xffffffff,0xffb8ffff,0xffffffff,0xffffc83f,
    0x3fffea6f,0x3fffe0ff,0xffffffff,0xffff75ff,0x7fdc1fff,0xfffff3ff,
    0x7fffffff,0xffffffb0,0x40001fff,0xff74fffa,0xffffffff,0x7dc1ffff,
    0xffffffff,0xfff983ff,0x00ffffff,0xfffffff7,0xfff980df,0xffff3fff,
    0x3ffeedff,0x3fe24fff,0x3e66ffff,0xff3fffff,0x000dffff,0x321ffff5,
    0xffffffff,0x7fec0fff,0x0fffffff,0xeffffe98,0xfff13efe,0xffffffff,
    0x3fffee9f,0x3fffffff,0xffffffa8,0x3ffffe24,0x3fffe27f,0xffff31ff,
    0x7fffdc9f,0x3ffe23ff,0x7ffffc43,0x4fffffff,0xffc80095,0x23ffffc5,
    0x14ffffff,0xffffffff,0x6c49ffff,0xffffffff,0x3f600dff,0x81efffff,
    0xebefffe8,0xffffffff,0x7fff447f,0x00bdefff,0x47ffffd3,0x44ffffd8,
    0xfffffffc,0x35ffffff,0x09fffffd,0x3fe1dfff,0xffffffff,0xffea83ff,
    0x005fffff,0x3a60a880,0xffffffff,0x220fffff,0xeffffffe,0x3ff600bd,
    0x204fffff,0xffffffe9,0xfffd803e,0xffff71ef,0x3fffa67d,0x7ffec1ef,
    0x3ff623ff,0xfff71eff,0x2a0007df,0x3ffa62dd,0x4fffffff,0xfffffea8,
    0x554c04ff,0x7fffec01,0x1effffff,0xffffffd3,0x362017bd,0x641effff,
    0x6c3fffff,0xb10dffff,0x74c3dfff,0x5c1effff,0xfffd83ff,0xefffffff,
    0x41d40001,0x7e47fffc,0x3f61efff,0xffffffff,0x000001ef,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x19999998,
    0x33330000,0x80133333,0x7001aa98,0x4c000bdd,0x00999999,0x33333330,
    0x4cccc401,0x99999999,0x99999881,0x33310081,0x4c400333,0x20019999,
    0x26201999,0x33310099,0x00666601,0x8000014c,0x80288039,0x000000b8,
    0x80001a80,0x15553102,0x0d554400,0x06aa6200,0x15555100,0x10133100,
    0x88064333,0x001a880a,0xaa883551,0x54c40000,0x88028800,0x88099880,
    0x13330199,0x22026660,0x3ffffe61,0x003effff,0x3ffff6e2,0x03ffffff,
    0x3ffffff2,0x01fff404,0x7ffffd40,0x80dfffff,0xfffffff8,0x7f40cfff,
    0xffffffff,0x3f61ffff,0x1fffffff,0x7fec1ff9,0x01ffffff,0x7fffffec,
    0x3fe601ff,0x7f42ffff,0x7f45ffff,0x3e64ffff,0x402fffff,0x510002ff,
    0x01ffcc17,0xffb00ffa,0x00000019,0x4401ffd5,0x40f980aa,0xeffffffb,
    0xfffd303f,0x405fbfff,0x4ffffffc,0x3ffff620,0xff304fff,0x7ffcc7ff,
    0xd887f37f,0xff90efff,0x3faa03df,0xffb8efff,0x27f4c1ef,0xeffffea8,
    0x26bfd00c,0x23ff52bb,0x263ffff9,0x7e47fffe,0x3ee6ffff,0xf51effff,
    0x3fffeedf,0xffffffff,0x7fffdc00,0xffffffff,0xfffe883f,0x80ffffff,
    0x70006ff8,0xffffffff,0xf983ffff,0xffffffff,0x3ffa1fff,0xffffffff,
    0x3ffe1fff,0xd2ffffff,0x7fffc3ff,0x402fffff,0xffffffff,0x3ffea02f,
    0x3fe24fff,0x3e26ffff,0x2a6fffff,0x04ffffff,0x70013fe2,0xfbfffffd,
    0x2fe807ff,0x1ffffe40,0xfe980000,0xfea80fff,0xf90cefff,0x7ffffdc3,
    0xfb86ffff,0xffffffff,0xfffe885f,0x80ffffff,0xfffffffa,0xfffb85ff,
    0x3fffea3f,0xffd85f97,0xfffcefff,0xffe81fff,0xffffffff,0x3ff61fff,
    0x7fffdc0f,0xe80effff,0xffffffff,0xfff71fff,0x7fffd47f,0x7fffff47,
    0xfffffb0f,0x43fff65f,0xcccdffda,0x2e06fffe,0xffedffff,0x83ffdccc,
    0xcaaceffe,0xffb85ffe,0x3f6a0002,0xffdcccdf,0x7fe4c0ef,0xfffdccce,
    0xb99ffd0f,0xffb99dff,0x7ff65c43,0x83f662cc,0xccffecb8,0xfecb8802,
    0xea802ccf,0x5cc0adff,0x7d41bfff,0x6540bcef,0x2200cffd,0x3f2004ff,
    0xffffffff,0x2001004f,0x02fffffa,0xfffb1000,0xfff701bf,0xd3dfffff,
    0x567ffc4d,0x4c6ffdb9,0xdbacffff,0xffe86fff,0xffecaace,0xabced885,
    0xb80ffeba,0x76543ffd,0x2e0ffcff,0xffffbfff,0x85ffcbff,0xffdabdeb,
    0x25ffcbff,0x7fdc6ffb,0xffebabef,0x7fffcc0e,0x44ffffff,0x6543ffda,
    0x7f5cc7fe,0x3fee22df,0x17fea2cf,0xfd105ff5,0x5fff503f,0xff307fe4,
    0x80effc87,0x7ec3ffe8,0x0d544666,0x6c0bfea0,0x4ff881ff,0xfd3ffd88,
    0xf71ffccd,0x81ff203f,0x01ff204d,0x8007fc80,0x3e604ffa,0x31bfa05f,
    0x017fd413,0x6c013fe2,0xfc9befff,0x00001fff,0x3dffff70,0x3ff22000,
    0xff701dff,0xffd757df,0x27fcc5ff,0x7ff43fc8,0xc8dff303,0xfe880eff,
    0x7fd4003f,0x207ff302,0x7c1dfffd,0xfffd10ef,0x400fff47,0x3fa2fff9,
    0xf882a61f,0x9ff902ff,0xb37dff90,0x3fe60fff,0x2a0ffb03,0x6ff985ff,
    0x0bfea020,0x7ec1ffd4,0x307fe43f,0xbffe85ff,0xfbaaaaaa,0x7d57fc5f,
    0xeffffcff,0x205ff501,0xff883ffa,0x3abff104,0xb8ffe66f,0x0ff901ff,
    0x2ff901ae,0x3f2001b8,0x3a005d47,0x5ff900ff,0xff53fec0,0x200ffdcd,
    0xfa804ff8,0x3ffe61ef,0x000005ff,0x37ffff22,0x3ffee001,0x3fe202ef,
    0x0dff902f,0x379bfffd,0x80fff102,0x5fff43fd,0xfbaaaaaa,0xffd9505f,
    0x2605ffdd,0x1ffb03ff,0xfc89ff10,0xffcaaaff,0xfeeeca84,0xffcaaaff,
    0x027fd403,0xffd0dff1,0x981ffd81,0x0ffb03ff,0x3f607ff4,0x7fd4002f,
    0xf03ff902,0xb1ff90bf,0xff81fd1d,0xffffffff,0x5be67fff,0xfffffffc,
    0x5ff506ff,0x103ffd10,0x3fe609ff,0x7fccbfd5,0x6403fea3,0xc801507f,
    0x006ffbff,0x5ff99ff2,0x441ffdc0,0x7fe406ff,0x323fffb0,0xa99980ff,
    0x80999dff,0x3fe22ffc,0x220ffedf,0x99999999,0xfb300199,0x54019fff,
    0x803ffffe,0x3e204ffa,0xffffa87f,0x7d42ffff,0xff81804f,0xffffffff,
    0x7ec47fff,0xffffffff,0x207ff302,0x5ff507fd,0xffffff98,0x3fa65fff,
    0xffffffff,0x405fffff,0x7e401ffc,0x217fe20f,0xff983ff9,0x540ffb03,
    0x1bfe64ff,0x45ff5010,0x987ffe98,0xcffc83ff,0xfff012ff,0xffffffff,
    0x47ee1fff,0xaaefffd8,0xffa82ffe,0xfffebaac,0x209ff106,0x45d53ffd,
    0x17a23ff9,0x20007fc8,0x05fffffc,0xffa9ff20,0x437fc405,0x7e403ffb,
    0x3ffff89f,0xfffb8ffb,0xffffffff,0xd137f46f,0x4bfeebff,0xfffffffc,
    0x00efffff,0x7ffffd50,0xcffffe98,0x03ff9000,0xb880ffc8,0x4ffffffd,
    0x4000bfea,0xffffffff,0x10ffffff,0xfddffffd,0x3e605fff,0x20ffb03f,
    0x7fcc2ffb,0x5fffffff,0xfdfffff1,0xffffffff,0x0ffd80bf,0x3e0ffe40,
    0x82ffa86f,0xffb03ff9,0xfb0ffe80,0x17fa605f,0xfffffff5,0xff703fff,
    0xfffff903,0x55fff407,0xaaaaaaaa,0xdff70222,0xfa83ff98,0xffffffff,
    0x3bff102f,0x1ffffb53,0x001ffcc0,0x44001ff2,0x003ffffe,0x032e3fe4,
    0xfd0bff20,0xaffb801f,0xfd6ffffa,0xfffffd8d,0xffffffff,0x7f457fe0,
    0x6cbfee5f,0xffffffff,0x001fffff,0x47bfffee,0x0dffffc8,0x003ff600,
    0x05c43ff9,0x43ffee62,0xd0006ff9,0x555557ff,0x7dc55555,0x7fd40aef,
    0x207ff302,0x9ff507fd,0xaaafffc8,0xbff71aaa,0x557ffc41,0x5c01aaaa,
    0x3fe204ff,0x741ffd87,0x3ff980ff,0xfa80ffb0,0x206ff8cf,0x3ea0fffc,
    0xefffffff,0x905ff500,0x407fffff,0x00806ffc,0x7c41ffb8,0xffffa84f,
    0x1fffffff,0xffffff88,0x4c01ffff,0x7e4003ff,0x7fe44007,0xc8000dff,
    0x3e60007f,0x017fe65f,0x3ff6ffea,0x45ff9ffd,0xffccccb8,0x741cccce,
    0x45ffe9ff,0x333227ff,0xcccccccc,0xffd5002c,0x3f6607ff,0xb800cfff,
    0x3fe204ff,0xf702fec7,0x00fffc5f,0x6ffc836e,0x0ffec080,0x9817fec4,
    0x7ffa84ff,0x221fff10,0x2081fffe,0x7fd42ffa,0xf880082f,0xffd881ff,
    0xcdfffc84,0xff307fff,0x00fff509,0x05ffbffd,0x3ea37fd4,0xefffeeef,
    0x909ff100,0x803ff7ff,0xbabdfffe,0x5c06ffec,0x27fc41ff,0x4ccdffd4,
    0x40ffffda,0xfffffff8,0xff9800df,0x03fe4003,0x3ffa65f9,0x07f207ff,
    0x5f903fe4,0xfd87ff40,0xcff9801f,0xfcffaeff,0x4ff8804f,0xfffffb80,
    0x0bff910e,0xfe980000,0xa800cfff,0x403ffffe,0xd882fff8,0x7fffc4ff,
    0x7ffdbaac,0x556fffdc,0x42fffcba,0xbabdfffe,0x3ea6ffec,0xffdbabdf,
    0x7c40ceff,0xffecabff,0xffc80cff,0xeffffebf,0xf13ffdbb,0xfffb59ff,
    0x7ffb77df,0xff913fa6,0xfffb79df,0xffffa83f,0x85ffffff,0xebabfff8,
    0x200cffff,0x806ffffb,0x22ffa828,0xf00effe9,0x71ff90df,0xfff98049,
    0xffffffff,0x20ffdc06,0xffa84ff8,0x10bff602,0x13555bff,0x01ffcc00,
    0xff81ff20,0xffdfff94,0xfc827fc0,0xa813fe07,0x06ff8cff,0x7fffff10,
    0x00fffffe,0x74013fe2,0xfdbbffff,0x00001fff,0xbffffb10,0xfff70001,
    0x7fe405df,0xfffdbcff,0x7ffff41f,0x83ffffff,0xfffffffc,0xff986fff,
    0xffffffff,0x7ffff46f,0xffffffff,0xfffffc84,0x84ffffff,0xefffffe8,
    0xfffffffd,0x3ffffea4,0xffffffff,0x1fffb4ff,0xffffffc8,0xfff80eff,
    0xffdffffd,0xffffc82f,0x4fffffff,0x017fffc0,0x885ff500,0xffb05ffd,
    0x540ffc89,0x3fff204f,0x00ceffff,0x3e20ffdc,0x02ffa84f,0xff113fe6,
    0xff980009,0x03fe4003,0x22f62bff,0x17fe07fc,0xbff03fe4,0xffcfff80,
    0x3fffe002,0x7ffffb0f,0x009ff100,0xffffffd1,0x0001dfff,0xffff9100,
    0xc880003d,0x701effff,0xffffffff,0xffbf701d,0x405dffff,0xffffffea,
    0x3ff200cf,0x0cefffff,0x7fffff4c,0x01efffcd,0xd9dffffb,0x36203dff,
    0xff90efff,0xfa817dff,0xfcedefff,0xf70befff,0x3ff6a0ff,0xfb00ceff,
    0xff984cc7,0xfffff900,0x803dffd9,0x40006ffb,0xfe882ffa,0xcfff983f,
    0xfc81ff90,0x19dfb807,0x20ffdc00,0xffa84ff8,0x10ffee02,0x980009ff,
    0x7e4003ff,0x6417fe07,0x417fe07f,0x17fe07fc,0x0fffff90,0x26fffe80,
    0x802ffffa,0xfd804ff8,0xeffffeef,0x036e000c,0x5dffff30,0xfd880000,
    0xfb504fff,0x0019dfff,0x80066aa6,0x0019aa99,0x800cd54c,0x00009aa9,
    0x40001551,0x09a881a8,0x3501a980,0x2002a601,0x001000a9,0x006aa200,
    0x71000000,0x985bdffd,0x7cc1cfff,0xefffffff,0x807ffeee,0x200188fc,
    0x322dffeb,0xfd711eff,0xfddddddf,0x7edc3fff,0x802deeff,0xeeffeec9,
    0xffdb502d,0xfddddddf,0x7ff6d4bf,0xfeeeeeef,0x3ffb6a5f,0xfeeeeeef,
    0x7ffc405f,0x7fec004f,0x0ffffc3f,0x201ffc40,0x2a60eff9,0x07ff0000,
    0x003fffd8,0x7fecc000,0x0054c01f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffffb80,0x7ffdc0ff,0xfffff986,
    0xffffffff,0x7fffa807,0xfffff300,0xbffff51f,0x3fffffee,0x3fffffff,
    0x3fffffe6,0x7ec00fff,0xffffffff,0xffffff80,0xffffffff,0x3fffffe5,
    0xffffffff,0x3fffffe5,0xffffffff,0x0fffd805,0x0fffe400,0x4003fff2,
    0x0dd800ec,0x06dc0000,0x00033aa0,0x05da8000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfe980000,0xfb04ffff,
    0x3b2a207d,0xffffffff,0x5bb5007f,0x7fffec00,0x25dffb14,0xffffffe9,
    0xd81cefff,0x4fffffff,0xffffea80,0xff904fff,0xffffffff,0x7fe4bfff,
    0xffffffff,0x3ff25fff,0xffffffff,0xfa805fff,0xffb8005f,0x007ffa86,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x99804cc0,0x4ccccc40,0x88199999,0x54c35519,0x26133001,
    0x333001aa,0x31015441,0x00998013,0x33310331,0x13333100,0x02001000,
    0x20620010,0x05c0e228,0x99999880,0x19999999,0x7301cca8,0x80000159,
    0x32600ca8,0x332ea02d,0x1332a00a,0xddddddb7,0x039ddddd,0x99303975,
    0xb81e65c9,0x21aa000b,0x00101000,0x2eeeeee2,0xbbbbbbbb,0xb80002bb,
    0xeeeeeeee,0xeeeeeeee,0x0000000d,0x00000000,0xb8000000,0x3ee6ffff,
    0x3fea6fff,0xffffffff,0x37fffa27,0xfffdcfff,0x9fff901e,0x03dffffd,
    0x653fffee,0x7e44ffff,0xffa85fff,0x3ffa0eff,0xffff93ff,0x3fff607f,
    0x7f4004ff,0x4417f401,0x2fd403fe,0x0dfa9fa2,0xf9807fe2,0xffffffff,
    0x11ffffff,0xe8dffffb,0x400fffff,0x7ffcc05a,0xffffb00f,0xffffa83f,
    0x93ff607f,0xfffffffa,0x5fffffff,0x3bffff62,0xfc9bfea2,0x7fffdc4f,
    0x3f2064c1,0xf5017e60,0xfd117ec9,0x7fffff41,0xffffffff,0xff72ffff,
    0xffffffff,0x7fffffcf,0xffffffff,0x0003ffff,0x00000000,0x00000000,
    0xfffffd80,0x3fffffb0,0x3fffffea,0x3ea7ffff,0xffffffff,0x80ffffff,
    0xfffffffe,0xfd80ffff,0xfffeefff,0x3ffe3fff,0xfffc87ff,0xffff32ff,
    0x3ffffadf,0xffff885f,0x3e2004ff,0x3ffe203f,0x813ffa23,0x3fe60efb,
    0xf5077e42,0x3ffea05f,0xffffffff,0x9f71ffff,0x21591fdc,0x3fe204fa,
    0x3faf2203,0xebcff980,0x3ea0985f,0x441fff03,0xfffffffd,0x22efffff,
    0x4fd50cfe,0x3fee5ff8,0x3fffff23,0xc89ff33f,0x03bf60ef,0x4ff87fee,
    0xffd8bfe6,0xffffffff,0x1fffffff,0xfffffff7,0x76d4ffff,0xeeeeeeee,
    0x0ceeeeee,0x00000000,0x00000000,0xfc880000,0x3ffea5ff,0x337fea2e,
    0x44fffecc,0xfbbfffea,0x1ffdaeff,0xcffffc98,0x882ffdaa,0xffffffcb,
    0x3662feab,0x13991cff,0xca85fff7,0xfff31eff,0x3326019d,0x22004ffc,
    0x7fd404ff,0x06ffe8bf,0xffa83ff6,0x543ffb03,0x999503ff,0x99999999,
    0x50a23ffb,0x13f2609f,0x017fff44,0x1fec07ec,0xeca81ff1,0xffa84fef,
    0xf8800003,0x3fe3fa85,0x7c4bfea4,0xdfffc9ff,0xb7512fff,0x21ffb89f,
    0x064c0efd,0x266620ee,0x99999999,0x5dcc1999,0xbbbbbbbb,0x00000003,
    0x00000000,0x00000000,0x7ffd4000,0x40dfffad,0x3fea1ff9,0x43ffb04f,
    0x7ff50eff,0x207ffe60,0x3fe205ff,0x54040dff,0x4dff53ff,0x53fe06ff,
    0x4003fff9,0x3a604ff8,0xc9cff9ad,0xffffb84e,0xfe880eff,0x00fff21f,
    0x7fdc5ffb,0xffb80004,0x883ff501,0xfb00efff,0xd803ffff,0x741ff80f,
    0x377ff22f,0x0ffc84fe,0x3f980000,0x8ffa5f88,0x3fd11ff9,0x1fffffd4,
    0x505ffff5,0x0037e69f,0x00000000,0x00000000,0x00000000,0x00000000,
    0xff300000,0x5c09ffff,0x813ffea3,0x32ffc7fd,0x3fe607ff,0x440ffb03,
    0x22003fff,0x3fffb5ff,0x7fc09ff3,0x001effcd,0x3604ff88,0xffffffff,
    0xfff707ff,0xffd301df,0x801ffec3,0x3fee3ffd,0x3ee0000d,0x01ffc81f,
    0xf907ff95,0x01dff9df,0x2fe407ec,0x22fc4ff3,0x03fe84fa,0x99999995,
    0x41799999,0x87f221fd,0x207fc2fd,0x82dfd980,0x82203eca,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x013fffe6,0x403fffa8,
    0x32ffc7fd,0x3fe607ff,0x440ffb03,0xfe8004ff,0xbcffff8f,0x3ffe02ff,
    0x8001efff,0x3a604ff8,0xffffffff,0xffff103f,0x43bff607,0xb001fffa,
    0x3fee1bff,0x3ee0001e,0x037fa21f,0xff71fe20,0x817ff61f,0xeff880fd,
    0x6ffc4ffd,0x225fffed,0xffff306f,0xffffffff,0x77fccbff,0x0fe45ffd,
    0x000001fa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfffffb00,0x7fff5003,0xff8ffb00,0x4c0ffe65,0x0ffb03ff,0x40027fc4,
    0xffffdffc,0x3e00ffdf,0x2fffefff,0x027fc400,0x6ffffdc4,0x3fffa201,
    0xdff703ff,0x007ffe61,0x7fdc7ffb,0x7dc0000d,0x047ff51f,0x337cc131,
    0x7f443fff,0x201fb04f,0x40cfffeb,0xeecefec9,0x7c40bea4,0xffffffff,
    0x443fffff,0x6981cfdb,0x000004b8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xbfffd100,0x7d405fff,0xfd8043ff,0xff32ffc7,
    0x40ffe607,0x3fe207fd,0xfffa8004,0x6ffffcff,0xfd877fc0,0x3e2000ff,
    0xfff9004f,0x3fa201ff,0x03fffbef,0x3621dff3,0x3ffb01ff,0x0001ffdc,
    0xfff1ffa8,0x3f2bffff,0x321fffff,0xfff883ff,0xffffff30,0x0002ea0b,
    0x4cc400c0,0x99999999,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x74400000,0xfff90eff,0x87fff507,0x47fd87f8,
    0x0ffe65ff,0xfd81ffcc,0x013fe207,0x33fffe20,0x404ffff8,0x2ffe44ff,
    0x009ff100,0xbff9dff5,0x5c3bffa0,0xfb102fff,0x20ffe41d,0x3fee0efd,
    0x3a200001,0x2aaaaaa5,0x2f32e61a,0xd301f4c0,0xaaaaaa89,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x24ffffb8,0x51dffff9,0xddddffff,0x7fdc3ffd,0x27fff0cf,
    0x6dc2eff9,0x7f5c3eff,0xfdb710cf,0x07bdddff,0x363fffd0,0xfb502fff,
    0x7ff439ff,0x776dc2de,0xbeeeeffe,0xfe8fff40,0x077fc41f,0xf900ffee,
    0x3ea7fa89,0x00077c44,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7d400000,
    0xfb1fffff,0x3f2dffff,0xffffffff,0xffff51ff,0x27fffe9f,0x3e27fff9,
    0xf31fffff,0x3ee9ffff,0xffffffff,0x7fe401ff,0x203ffea6,0x6ffffff8,
    0x43ffffea,0xfffffff8,0x6c4fffff,0x203fe23f,0x002ea04b,0x030a2066,
    0x00000006,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffffd880,0x3bfffaa5,
    0xffffff92,0x223fffff,0xff1efffd,0x9fff31bf,0x0dffffd8,0x23dfffb1,
    0xffffffd8,0xfa805fff,0xb03ffc3f,0xd87dffff,0x7fec4fff,0xffffffff,
    0x0000081e,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_31_latin_ext_x[560]={ 0,5,3,1,2,2,3,6,7,3,2,1,5,2,
6,2,2,2,1,1,2,1,2,2,2,2,6,5,-1,0,1,2,2,-1,0,0,0,0,1,0,0,2,1,0,
0,-1,-1,0,1,0,0,1,1,0,-1,-1,0,0,2,6,2,3,2,-2,5,1,-1,1,0,0,1,0,0,1,
2,0,1,-1,0,1,-1,0,1,2,1,0,0,-1,0,0,2,4,6,4,1,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,5,2,0,1,0,
6,1,3,-1,3,0,-1,2,-1,-2,3,1,4,4,5,0,1,6,5,4,3,1,0,-2,0,2,-1,-1,-1,-1,
-1,-1,-1,0,0,0,0,0,2,2,2,2,-1,-1,0,0,0,0,0,2,0,0,0,0,0,0,1,0,1,1,
1,1,1,1,-1,1,0,0,0,0,1,1,1,1,1,0,1,1,1,1,1,1,0,0,0,0,0,0,-1,0,
-1,1,-1,1,-1,1,0,1,0,1,0,1,0,1,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,2,1,2,1,2,1,2,1,2,1,0,-1,1,2,0,0,0,0,1,0,
1,0,1,0,1,0,1,-1,0,-1,0,-1,0,-1,0,1,0,1,0,1,0,1,-1,-1,0,1,0,1,0,1,
1,2,1,2,1,2,1,2,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,0,0,
0,2,2,2,2,2,2,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,3,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,1,3,3,3,3,3,3,3,3,3,3,3,3,3,0,0,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,-1,1,2,1,0,
1,0,0,0,0,0,0,0,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-1,1,-1,-1,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__courier_bold_31_latin_ext_y[560]={ 22,4,5,3,2,4,6,5,4,4,4,6,18,12,
18,2,4,4,4,4,4,4,4,4,4,4,9,9,6,10,6,5,4,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,4,2,4,3,27,3,9,4,9,4,9,4,9,4,4,
4,4,4,9,9,9,9,9,9,9,5,9,9,9,9,9,9,4,4,4,11,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,22,10,3,5,7,5,
4,4,4,5,4,10,12,12,5,1,2,2,4,4,3,9,4,11,21,4,4,10,4,4,4,10,-1,-1,-1,0,
0,-1,5,5,-1,-1,-1,0,-1,-1,-1,0,5,0,-1,-1,-1,0,0,8,4,-1,-1,-1,0,-1,5,4,3,3,
4,5,4,3,9,9,3,3,4,4,3,3,4,4,4,5,3,3,4,5,4,6,8,3,3,4,4,3,4,4,
1,5,-1,4,5,9,-1,3,-1,4,0,4,-1,4,-1,4,5,4,1,5,-1,4,0,4,5,9,-1,4,-1,4,
-1,4,0,4,5,2,-1,-1,5,4,0,5,1,5,-1,4,5,4,0,9,5,4,-1,4,5,4,9,-1,-1,5,
4,5,4,5,4,5,4,-1,3,5,9,-1,4,5,5,9,1,5,-1,4,-1,3,5,9,-1,3,5,9,-1,4,
-1,3,-1,4,5,9,-1,4,5,5,-1,4,5,5,0,5,1,5,-1,4,-1,3,-1,3,5,9,-1,4,-1,4,
0,-1,3,0,4,-1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,5,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,8,4,4,4,4,4,4,4,4,4,4,4,4,4,2,9,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,-1,4,-1,4,-1,
4,-1,4,-1,1,-1,-1,-1,-1,-1,-1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-6,-2,-1,3,-1,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static unsigned short stb__courier_bold_31_latin_ext_w[560]={ 0,6,10,14,13,13,12,4,7,7,13,15,7,12,
5,13,13,13,13,14,12,14,13,12,13,13,5,7,17,16,16,13,12,19,16,16,16,16,16,17,16,13,16,17,
16,19,18,16,15,16,17,14,15,17,19,18,17,16,13,8,13,7,13,20,6,15,17,15,17,16,15,17,16,14,
11,16,14,19,16,15,17,17,15,13,16,16,17,18,16,16,13,8,4,8,14,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,6,12,16,14,16,
4,15,10,18,11,16,17,12,18,20,10,15,8,9,6,16,14,5,6,8,10,15,17,20,17,12,19,19,19,19,
19,19,19,16,16,16,16,16,13,13,13,13,17,18,16,16,16,16,16,12,17,17,17,17,17,16,15,15,15,15,
15,15,15,15,18,15,16,16,16,16,14,14,14,14,14,16,15,15,15,15,15,15,16,16,16,16,16,16,17,16,
19,15,19,15,19,16,16,15,16,15,16,15,16,15,16,20,17,17,16,16,16,16,16,16,17,16,16,16,17,17,
17,17,17,17,17,17,16,16,16,16,13,14,13,14,13,14,13,14,13,14,17,17,16,11,17,16,17,16,14,16,
14,16,14,16,14,16,14,18,16,18,16,18,16,17,16,14,16,15,16,15,16,15,19,18,17,15,17,15,17,15,
14,13,14,13,14,13,14,13,15,16,15,18,15,16,17,16,17,16,17,16,17,16,17,16,17,17,18,18,16,16,
16,13,13,13,13,13,13,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,16,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,18,16,15,15,15,15,15,15,15,15,15,15,15,15,15,19,18,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,19,15,13,14,16,
15,17,16,17,16,17,16,17,16,17,16,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,19,15,19,18,17,16,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15, };
static unsigned short stb__courier_bold_31_latin_ext_h[560]={ 0,19,8,22,24,19,17,9,23,23,13,16,9,4,
5,24,19,18,18,19,18,19,19,19,19,19,14,16,16,9,16,18,21,17,17,18,17,17,17,18,17,17,18,17,
17,17,17,18,17,22,17,18,17,18,17,17,17,17,17,23,24,23,10,4,6,14,19,14,19,14,18,19,18,18,
24,18,18,13,13,14,19,19,13,14,18,14,13,13,13,19,13,23,23,23,7,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,18,20,17,14,17,
23,21,4,18,9,12,10,4,18,3,9,20,10,10,6,19,21,5,6,10,9,12,18,18,18,18,23,23,23,22,
22,23,17,23,23,23,23,22,23,23,23,22,17,22,24,24,24,23,23,12,20,24,24,24,23,23,17,19,20,20,
19,18,19,20,14,18,20,20,19,19,19,19,18,18,19,17,20,20,19,18,19,16,16,20,20,19,19,25,24,24,
21,18,23,19,21,17,24,20,24,19,23,19,24,19,23,19,17,19,21,18,23,19,22,19,21,17,23,19,24,24,
24,24,23,24,23,26,23,23,17,18,22,17,21,17,23,18,21,22,22,13,18,24,24,24,23,24,13,23,23,23,
24,17,18,17,18,17,18,23,19,23,19,23,18,17,18,19,22,18,24,19,24,20,17,14,23,19,23,19,23,18,
24,20,24,19,23,18,24,19,25,24,23,19,17,18,23,18,22,18,24,19,24,20,24,20,21,17,23,18,23,24,
22,23,19,22,18,23,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,22,18,18,18,
18,18,18,18,18,18,18,18,18,18,19,15,18,18,18,18,18,18,18,18,18,18,18,18,18,21,14,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,23,19,23,18,24,
19,24,19,24,22,24,24,24,24,24,24,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,28,25,23,20,25,21,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18, };
static unsigned short stb__courier_bold_31_latin_ext_s[560]={ 504,500,316,172,178,103,383,507,160,168,137,
213,280,395,506,354,47,232,246,421,260,94,223,210,270,33,434,499,279,288,262,
273,435,298,74,306,411,213,264,323,318,353,341,147,130,428,465,377,91,379,1,
394,107,426,174,194,112,179,165,367,296,504,234,374,349,361,139,328,237,344,444,
1,491,25,133,8,476,32,52,440,52,163,69,314,409,471,488,85,1,19,18,
207,448,457,327,460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,
460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,504,1,146,
40,456,57,33,495,363,358,268,164,197,395,287,408,257,159,215,224,356,234,466,
506,342,248,305,181,69,48,30,499,453,293,256,311,396,216,74,361,176,16,52,
362,412,497,378,331,94,416,192,209,244,491,87,151,237,336,247,283,473,466,248,
36,221,405,483,364,450,205,415,284,354,320,347,330,315,300,300,217,255,448,255,
271,194,315,157,246,229,388,303,466,433,39,1,19,32,268,122,109,72,196,469,
175,400,452,276,436,368,61,331,173,230,381,92,460,395,416,345,399,109,39,431,
1,278,160,66,211,1,318,118,21,101,35,281,169,297,396,481,484,426,154,18,
235,221,122,136,417,452,54,136,99,104,84,69,52,385,123,121,157,106,140,477,
412,77,376,364,348,427,56,186,18,264,444,435,468,310,287,19,396,142,484,104,
284,69,348,327,191,84,125,1,413,145,70,56,261,19,84,367,492,313,331,154,
251,486,198,36,337,226,371,448,335,342,87,440,116,187,483,133,250,16,38,203,
380,460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,396,460,460,281,
460,460,460,460,460,460,460,460,460,460,460,460,460,215,297,460,460,460,460,460,
460,460,460,460,460,460,460,460,52,377,460,460,460,460,460,460,460,460,460,460,
460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,236,147,
193,1,301,117,265,181,229,204,193,176,158,141,123,106,460,460,460,460,460,460,
460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,
460,460,460,1,90,392,127,72,1,460,460,460,460,460,460,460,460,460,460,460,
460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,
460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,
460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,
460,460,460,460,460,460,460,460,460, };
static unsigned short stb__courier_bold_31_latin_ext_t[560]={ 25,103,221,79,30,145,184,103,55,55,221,
203,221,221,209,1,125,165,165,103,165,125,125,125,125,125,203,184,203,221,203,
165,79,184,203,165,184,184,184,165,184,184,165,184,184,184,184,165,203,79,203,
165,203,165,203,203,184,184,184,55,30,1,221,221,221,203,125,203,125,203,165,
145,165,184,30,184,165,221,221,203,145,145,221,203,165,203,203,221,221,145,221,
55,55,30,221,165,165,165,165,165,165,165,165,165,165,165,165,165,165,165,165,
165,165,165,165,165,165,165,165,165,165,165,165,165,165,165,165,165,25,184,103,
184,203,184,55,79,221,165,221,221,221,221,165,221,221,103,221,221,221,145,79,
203,221,221,221,221,165,165,165,125,55,55,55,79,79,55,184,30,55,55,55,
79,30,30,30,79,184,79,30,30,30,55,55,221,103,1,1,1,55,30,184,
145,103,103,125,145,125,103,203,145,103,103,125,125,125,125,145,165,125,184,103,
103,125,145,125,203,203,103,103,125,125,1,30,30,103,145,55,125,103,184,1,
103,1,103,55,103,1,125,55,125,184,125,103,145,55,125,79,125,103,203,55,
125,30,30,30,1,79,1,79,1,79,79,184,165,79,184,79,184,30,165,103,
79,79,221,165,1,1,30,79,30,221,79,79,79,1,203,165,203,165,203,145,
55,125,55,125,55,145,203,165,125,79,145,1,103,30,103,203,203,55,103,55,
125,55,145,30,103,30,125,55,145,30,145,1,30,79,145,184,145,55,145,79,
145,1,145,30,103,30,103,79,184,30,165,30,30,79,30,145,79,165,55,165,
145,165,165,165,165,165,165,165,165,165,165,165,165,165,165,165,145,165,165,79,
165,165,165,165,165,165,165,165,165,165,165,165,165,145,203,165,165,165,165,165,
165,165,165,165,165,165,165,165,103,203,165,165,165,165,165,165,165,165,165,165,
165,165,165,165,165,165,165,165,165,165,165,165,165,165,165,165,165,165,55,145,
55,165,1,145,1,145,1,79,1,1,1,1,1,1,165,165,165,165,165,165,
165,165,165,165,165,165,165,165,165,165,165,165,165,165,165,165,165,165,165,165,
165,165,165,1,1,30,103,1,103,165,165,165,165,165,165,165,165,165,165,165,
165,165,165,165,165,165,165,165,165,165,165,165,165,165,165,165,165,165,165,165,
165,165,165,165,165,165,165,165,165,165,165,165,165,165,165,165,165,165,165,165,
165,165,165,165,165,165,165,165,165,165,165,165,165,165,165,165,165,165,165,165,
165,165,165,165,165,165,165,165,165, };
static unsigned short stb__courier_bold_31_latin_ext_a[560]={ 263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_31_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_bold_31_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_31_latin_ext(stb_fontchar font[STB_FONT_courier_bold_31_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_31_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_bold_31_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_31_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_31_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_31_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_31_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_31_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_31_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_31_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_31_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_31_latin_ext_s[i] + stb__courier_bold_31_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_31_latin_ext_t[i] + stb__courier_bold_31_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_31_latin_ext_x[i];
            font[i].y0 = stb__courier_bold_31_latin_ext_y[i];
            font[i].x1 = stb__courier_bold_31_latin_ext_x[i] + stb__courier_bold_31_latin_ext_w[i];
            font[i].y1 = stb__courier_bold_31_latin_ext_y[i] + stb__courier_bold_31_latin_ext_h[i];
            font[i].advance_int = (stb__courier_bold_31_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_31_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_31_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_31_latin_ext_s[i] + stb__courier_bold_31_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_31_latin_ext_t[i] + stb__courier_bold_31_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_31_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_31_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_31_latin_ext_x[i] + stb__courier_bold_31_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_31_latin_ext_y[i] + stb__courier_bold_31_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_31_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_31_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_31_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_31_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_31_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_31_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_31_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_31_latin_ext_LINE_SPACING
#endif

