// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_38_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_38_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_38_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_bold_38_latin_ext_BITMAP_HEIGHT        338
#define STB_FONT_courier_bold_38_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_bold_38_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_bold_38_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_bold_38_latin_ext_LINE_SPACING          18

static unsigned int stb__courier_bold_38_latin_ext_pixels[]={
    0x00000000,0x20000033,0x38800001,0x00000000,0xd50000c4,0x400fa201,
    0x33009998,0x0dc80013,0x01ec4000,0xddddddd7,0xdddddddd,0x3331009d,
    0x00000001,0x00000dc8,0x99988000,0x20000000,0x754000d9,0xffffffff,
    0x0000003f,0x70000000,0x8004b819,0x0000001b,0x00000000,0x00007620,
    0x005e9800,0x0007f300,0x003fe880,0x00bfea00,0x001db100,0x0027fdc0,
    0xbf904fd8,0x0fffee00,0x401bffe2,0x002fffe9,0x03dfff70,0xfffffff9,
    0xffffffff,0xfff900bf,0x004fb807,0x7fff4c00,0x1ee98002,0x3600f74c,
    0x0006ffff,0x01df7000,0xccccc880,0x001ccccc,0x3f6207ba,0xfd880001,
    0x9efb8000,0x4c005fe9,0x200002ff,0x1fd881ee,0x2e07f900,0xfe88004f,
    0xa8000003,0xd00005ff,0xf980000b,0x900000ff,0x88000bff,0x20000ffe,
    0x8000ffff,0xf931cffa,0x3fee005f,0x6fff883f,0xfefffc80,0xfb1000df,
    0xc87fffdf,0xffffffff,0xffffffff,0x3fffc805,0x0007ffc0,0xfefffc80,
    0x3f6000df,0x027fe44f,0x0dfffff1,0xdf900000,0x00000001,0xa8fffa20,
    0x40000fff,0x0000ffe9,0x007ffff5,0x0013ff60,0xa8fffa20,0xf9000fff,
    0x3ffa21bf,0x9fb10003,0x7e400000,0xb80000df,0x2e00000f,0x80000eff,
    0x0004ffd8,0x000f7fd4,0x001bff60,0xffffffc8,0x3fee004f,0x6fff883f,
    0xc86ffec0,0x7c400eff,0xbffb14ff,0x66677fe4,0xeccceffe,0xffc805ff,
    0x3ffe203f,0xffd80001,0x01dff90d,0xf70bfee0,0xfffc807f,0x5c00006f,
    0x6449f10c,0x01991004,0xe880032e,0x1effdeff,0x77fd4000,0x88664001,
    0x0032e0ed,0x000dffc8,0x6f7ff440,0x5c001eff,0x3fffcfff,0xf9065c00,
    0x00013223,0x00013ff6,0x0001efd8,0x0005ffa8,0x000bff60,0x001dff50,
    0x00399100,0xefffea80,0x5554c002,0x40555501,0xfea82ff8,0x40f7d401,
    0xbff90ffb,0x7e45ffc8,0xaaa9805f,0x07ffe200,0x05ff1000,0x54003fd5,
    0x64003501,0x200006ff,0xf5024ff9,0x5ff5005f,0x0009ff30,0x009ffff7,
    0x01bff700,0x203ffa80,0x54004ff9,0x700005ff,0x0009ffff,0x0f7fff4c,
    0x113fe600,0x00017fd4,0x00005ff3,0x0005fff8,0x00003fc8,0x40000f64,
    0x000004ff,0x00180000,0x44000000,0x00800400,0x8bff9044,0x7fe45ffc,
    0x7c400005,0x880001ff,0x00000400,0x0dff7000,0x17fc4000,0x3003ff30,
    0x5ff103ff,0x07ba6000,0x027f4000,0x201ff980,0x98002ff8,0x2600004e,
    0x900001ee,0x3e20007f,0x07fe602f,0x00015000,0x005ff900,0x00000200,
    0x54015400,0x26200002,0x9880000a,0x0000000a,0x01531000,0x3f200000,
    0x22ffe45f,0x00005ffc,0xddfffdd7,0x019ddddd,0x00000000,0x8dff7000,
    0x11000098,0x44001100,0x00002200,0x03300000,0x88008800,0x00000000,
    0x08000000,0x40044000,0xc9800008,0x4400002d,0x00000000,0xb8099800,
    0xbda803ff,0xffd70000,0xddd37fff,0x3fae039d,0xee9bffff,0x3b6e1cee,
    0xeb8deeee,0x5eeeeeee,0xfffffd70,0x39dddd37,0x777776cc,0xf72eeeee,
    0x45ffc87f,0x3b663ffa,0xeeeeeeee,0xfffff52e,0xffffffff,0xdddb707f,
    0xdddb505b,0xeeedb87b,0xeeeda82d,0x1dff703d,0x7bfffff7,0x00000001,
    0x30000000,0x774c0003,0x000f74c1,0x3a600000,0x00f74c1e,0x26000000,
    0x0f74c1ee,0x00000000,0x04fdefa8,0x00a98800,0x6f776dc0,0xdeeeda82,
    0xfffeb803,0xfff98bff,0x7feff404,0x3ffa2000,0xffffffff,0x7445ffff,
    0xffffffff,0x15ffffff,0xffffffff,0xfffffff7,0xffe88dff,0xffffffff,
    0x3fa5ffff,0xffffffff,0x81bb12ff,0x6ec45ffc,0x3fffffa0,0x32ffffff,
    0xffffffff,0x85ffffff,0xfffffff8,0x7fffffc0,0xfffff12f,0xffff81ff,
    0xffb82fff,0xffffffff,0xeb880eff,0x262deeee,0x0ceeeeed,0xbddddd71,
    0x77776cc5,0x7f5c00ce,0x4004efff,0x7fe44ffd,0x3bbae204,0x3b662dee,
    0xb00ceeee,0x4ffc89ff,0x3bbbae20,0x3bb662de,0xfb00ceee,0x04ffc89f,
    0x3bbbbae2,0x3bbb662d,0x6c000cee,0x40003ea5,0xbfffffeb,0x11deeee9,
    0x1fffffff,0xfffffff8,0xffffd302,0xffffffff,0xf0fcc03f,0x3ffa2007,
    0xffffffff,0x224fffff,0xfffffffe,0xffffffff,0xffffff14,0xfffff3ff,
    0x744dffff,0xffffffff,0x4fffffff,0x3ffffff6,0x802fffff,0xfb005ffc,
    0xffffffff,0x7dd445ff,0xaaaaabff,0xfffff01a,0xffffd0ff,0x7fffc3ff,
    0xfffe87ff,0xffb81fff,0xffffffff,0x7dc0efff,0x0fffffff,0xfffffffd,
    0x3ffffee9,0xfffd0fff,0x2609ffff,0xfffffffe,0xff7001ef,0x203ffb85,
    0xfffffffb,0xfffffd0f,0x3fee09ff,0x701ffdc2,0xffffffff,0x3fffffa1,
    0x5ff704ff,0x2e03ffb8,0xffffffff,0xffffffd0,0x24e8009f,0x744001f9,
    0xffffffff,0x25ffffff,0x87ffffff,0x1ffffffe,0xffffff98,0xffffffff,
    0x17a3dc03,0x577ffe40,0xffffd988,0x7ffe41bf,0xffd988ae,0x5441bfff,
    0x517ffcaa,0xdffb5555,0x4577ffe4,0xfffffd98,0x5554c41b,0x2fffaaaa,
    0x005ffc80,0x2aaaaaa6,0xf882fffa,0xd88001ff,0xa880bfff,0x6c41dfff,
    0xa880bfff,0xf701dfff,0x1139ffff,0x41dfffb5,0xfffffffa,0x3fffff67,
    0xffff53ff,0x7fecffff,0x983fffff,0xffffffff,0x5003ffff,0xf5006a03,
    0x4fffffff,0xfffffffd,0x0d406a03,0x3ffffea0,0x3fff67ff,0x2a03ffff,
    0xfa803501,0x27ffffff,0xfffffffd,0x4d7dc003,0x7f44006e,0xffffffff,
    0x24ffffff,0x80bfffd8,0x81dfffa8,0x8adfffe8,0x5ffffdb8,0xfb9cf880,
    0x5fff9801,0x03ffff20,0x640bfff3,0xa800ffff,0x7fdc07ff,0x40bfff36,
    0x000ffffc,0x9005fff0,0x40000bff,0xff882fff,0xff10001f,0x7ffdc09f,
    0x09fff101,0x700fffdc,0x5c03ffff,0x7ecc2fff,0x2a20acff,0x4c1effec,
    0x20acfffd,0x1effeca8,0xadfffe88,0xffffca88,0x30000001,0x4159fffb,
    0x1effeca8,0xd9800000,0x220acfff,0x01effeca,0xfd980000,0x2a20acff,
    0x001effec,0x01effd88,0x577ffe40,0xffffd988,0xfff881bf,0x07ffee04,
    0xa81fffe4,0x7006ffff,0x2e009fff,0x7f400fff,0x7ffdc0ff,0x07fff400,
    0x203ffd40,0xfff76ffb,0x0fffe801,0x05fff000,0x000bff90,0x4417ffc0,
    0x20001fff,0xf880fffc,0x7fe405ff,0x5fff880f,0x017ffdc0,0x7e42ffec,
    0x5ffc805f,0x900bff90,0x3ff60bff,0x3ffea03f,0x20000006,0xfc805ffc,
    0x0000005f,0x32017ff2,0x000005ff,0x2017ff20,0x40005ffc,0xff980018,
    0x3fff205f,0x3fff200f,0x05fff880,0x2609fff5,0x03ffffff,0xfd8002a0,
    0xfffb804f,0x4027fec0,0xa800fffb,0x7fdc07ff,0x7009ffb6,0x20001fff,
    0xfc802fff,0x3e00005f,0xfff882ff,0x3fe20001,0x1fffb84f,0x427ffc40,
    0x5c01fffb,0xff5007ff,0x00bff90f,0x3f20bff9,0x5ffc805f,0x804fffa8,
    0x6dc3fffa,0x75c43eee,0xf900eeee,0xbff900bf,0x87dddb70,0x0eeeeeb8,
    0x900bff90,0xddb70bff,0xeeeb887d,0xbff900ee,0x00bff900,0x3ee00000,
    0x3fe200ff,0x3fe200ff,0x1fffb84f,0x101dff90,0xdffdfffd,0x01333100,
    0x200fffa0,0x7f40fffa,0xfffa803f,0x07ffa800,0xffeb7fdc,0x0fffa803,
    0x05fff000,0x000bff90,0x4417ffc0,0x40001fff,0x3e20fffc,0xff9005ff,
    0x2fffc41f,0x803ffdc0,0x7e40fff9,0x5ffc805f,0x900bff90,0xdff90bff,
    0x537ff400,0xb89fffff,0x01ffffff,0xf900bff9,0xffffa8bf,0x7fffdc4f,
    0xbff901ff,0xa8bff900,0x5c4fffff,0x01ffffff,0xf900bff9,0x3ae200bf,
    0x0eeeeeee,0x009ffb00,0xc801fffb,0x3fe20fff,0x0fffa05f,0x7de7ffec,
    0xfeda80ff,0x00cfffff,0x2e013ff6,0x7fec0fff,0x0fffb804,0x407ffa80,
    0x9ffb6ffb,0x01fff700,0x00bffe00,0x00017ff2,0xf882fff8,0x440001ff,
    0x3fee5fff,0xfff1001f,0x00fffdcb,0x400fffdc,0xffc87ffc,0x05ffc805,
    0xf900bff9,0x07ffd0bf,0xf33ffcc0,0xfa89ffff,0x901fffff,0xff900bff,
    0xfffff98b,0x7ffffd44,0x0bff901f,0xf98bff90,0x7d44ffff,0x901fffff,
    0xff900bff,0x3ffee00b,0x03ffffff,0x5007ffd0,0xf8801fff,0x3ffee5ff,
    0x207ffe01,0xff35fffb,0xffffc83f,0x0fffffff,0xb00dff90,0xffc81fff,
    0x0fffd806,0x407ffa80,0xdff96ffb,0x01fffb00,0x40bffe00,0xaeffdaa9,
    0x7fc0001a,0x2fff882f,0x3f200c40,0x5fff89ff,0x4fffe400,0x7005fff8,
    0xf980dfff,0x5ffc85ff,0x905ffc80,0xff900bff,0x003fff0b,0x510fffc4,
    0x75109ffd,0x3f203fff,0x5ffc805f,0x84ffea88,0x01fffba8,0xf900bff9,
    0xffd510bf,0xfff75109,0x017ff203,0x4c017ff2,0xffffffff,0x9ffb006f,
    0x01fff900,0xf13fff90,0x7fcc0bff,0x77ffcc0f,0xfb0bffe0,0xffffffff,
    0x3fea0dff,0x3ffee04f,0x27ffd40f,0x01ffff70,0xb80fff50,0x9fff56ff,
    0x07fffdc0,0x82fff800,0xfffffffd,0x20006fff,0xfff02fff,0x7f65441b,
    0x3ffe203f,0x001fffcd,0x7e6fffc4,0xff7001ff,0xfa883dff,0xffc82fff,
    0x05ffc805,0xf900bff9,0x0fff98bf,0x417ffc00,0x3e204ffd,0xbff901ff,
    0x40bff900,0x3e204ffd,0xbff901ff,0x40bff900,0x3e204ffd,0xbff901ff,
    0x00bff900,0x7ffee5cc,0xfc801fff,0x7ffc406f,0xfff8800f,0x201fffcd,
    0x3e20fff9,0x7ffc1fff,0x4d66ecc2,0x0fffda88,0x43bfffb0,0x0fffffc8,
    0x21dfffd8,0x0fffffc8,0xffcaaa88,0x7dc0aaaf,0x37fff66f,0x3ffff221,
    0xfff0000f,0xffffff05,0x01ffffff,0x40bffe00,0xfefffffd,0x405fffff,
    0x5ffffffb,0xffff7000,0x7dc00bff,0xeeffffff,0x904fffff,0xff900bff,
    0x017ff20b,0xff317ff2,0xfff8001f,0x204ffd82,0xf901fff8,0xbff900bf,
    0x1027fec0,0x3f203fff,0x5ffc805f,0x8813ff60,0xff901fff,0x0bff900b,
    0x3fffee00,0xffa804ff,0x3ffee04f,0xfff7000f,0xf880bfff,0x3fffa2ff,
    0x00fffc43,0x817ffc40,0xfffffff8,0x0fffffff,0xffffff88,0xffffffff,
    0x7ffffd40,0x5fffffff,0xff89bfee,0xffffffff,0x0000ffff,0xfd705fff,
    0xdfffffff,0x7ffc0007,0xfffff102,0x3dffffff,0xfffff880,0xff10001f,
    0x4003ffff,0xfffffffb,0x05ffffff,0x32017ff2,0xbff905ff,0x88bff900,
    0x22001fff,0xffd81fff,0x07ffe204,0x6402ffe4,0x3ff605ff,0x07ffe204,
    0x6402ffe4,0x3ff605ff,0x07ffe204,0x6402ffe4,0xff0005ff,0x01fff9bf,
    0x43bfffb0,0x0fffffc8,0xfffff100,0xbfff003f,0x2613fff2,0x65d407ff,
    0x3fffbcde,0x3ffffa60,0xffffffff,0xffffd300,0xffffffff,0xfffffb81,
    0x7fffffff,0xfd31bfee,0xffffffff,0x20001fff,0x00002fff,0x0bffe000,
    0xfffffd98,0x2e002dff,0x0005ffff,0x02ffffdc,0x3abbfee0,0x1effffff,
    0x402ffe40,0xff905ffc,0x0bff900b,0x4c005ffd,0xffd80fff,0x07ffe204,
    0x6402ffe4,0x3ff605ff,0x07ffe204,0x6402ffe4,0x3ff605ff,0x07ffe204,
    0x6402ffe4,0xfa8005ff,0x3fff89ff,0xfffff880,0xffffffff,0x3fee000f,
    0xffb005ff,0x20dfff7f,0xff506ffd,0xffffffff,0xfff9007f,0xfff59fff,
    0xffffc801,0x0fffacff,0x7ffffec4,0x22efffff,0xff906ffb,0xff59ffff,
    0x3fe0001f,0x0000002f,0x200bffe0,0x000abba8,0x03ffff10,0xffff8800,
    0x37fdc001,0x00357953,0x3201bfee,0xdff704ff,0xb09ff900,0x7ec00dff,
    0x09ffb06f,0xb80fffc4,0xffc806ff,0x813ff604,0xf701fff8,0x9ff900df,
    0x1027fec0,0x3ee03fff,0x4ffc806f,0x26ffd800,0xd3006ffd,0xffffffff,
    0x4001ffff,0x001ffff8,0xfffffff5,0x09fff501,0xfffffffb,0x007fffff,
    0xf984d54c,0x553000ff,0x03ffe613,0xdff70000,0x309aa980,0x20001fff,
    0xea802fff,0x3e00003f,0x000002ff,0x02fffc40,0x2fffc400,0x037fdc00,
    0x2fff9800,0x981fff40,0x7f402fff,0x3fffa83f,0x04fffa80,0x7c409ffb,
    0xfff301ff,0x03ffe805,0xf8813ff6,0xfff301ff,0x03ffe805,0xf8813ff6,
    0xfff301ff,0x03ffe805,0x51fffc40,0x64003fff,0xacffffff,0x22000fff,
    0x6c005fff,0x982fffff,0xffc86fff,0xfedcefff,0x80003fff,0x80007ffc,
    0x00007ffc,0x0005ffe8,0x2000fff9,0xe801fff9,0x300007ff,0xf7003fff,
    0xfc80003d,0xc80001ff,0xb8001fff,0x100006ff,0x7e40dfff,0xfff101ff,
    0x0fffe40d,0x202fffd8,0x3606fff9,0x3fee05ff,0xdfff101f,0x00fffe40,
    0x7dc0bffb,0xfff101ff,0x0fffe40d,0x5c0bffb0,0xff101fff,0x7ffe40df,
    0x7ffe4001,0x0027ff40,0xf984d54c,0x3f2000ff,0x7cc001ff,0x2e21efff,
    0x7c41ffff,0xfd00aeff,0xf880007f,0x440005ff,0x00005fff,0x001fffcc,
    0x002fffc4,0x9007ffc8,0x20000dff,0xfd007ffd,0x7c40009f,0x880005ff,
    0x70005fff,0x40000dff,0x30befffc,0xc80bfff9,0x930befff,0x7c40bfff,
    0x2e21cfff,0x2e01ffff,0x3ee21fff,0x3202ffff,0x930befff,0xfb80bfff,
    0x3fee21ff,0x3f202fff,0xf930beff,0xffb80bff,0x3ffee21f,0x3ff202ff,
    0xff930bef,0xfff000bf,0x01fff709,0x1fff2000,0x05fff880,0xfffffc80,
    0xffffffff,0x01fffa84,0x400fffe6,0xffdaaaa9,0x553002ff,0x5ffffb55,
    0x2aaa2000,0x01ffffdb,0x3f6aaaa6,0x2a202fff,0xfffecaaa,0x017ea005,
    0xfcaaaa88,0xf7005fff,0x554c007f,0x00bfffda,0x7ed554c0,0x4c000bff,
    0x00aafffd,0xffffe800,0x0fffffff,0xfffffe80,0x00ffffff,0x7fffffd4,
    0x04ffffff,0x7f7fffcc,0xffffffff,0x3ffffa06,0x0fffffff,0x77fffcc0,
    0xffffffff,0x3fffa06f,0xffffffff,0x7fffcc00,0xfffffffe,0x3ffa06ff,
    0xffffffff,0x7fd4000f,0xfeeeeeef,0xf00003ff,0x554c0bff,0x00bfffda,
    0x3ffffea0,0xffffffff,0x15fff503,0x7ffff544,0x3ffe201c,0x4fffffff,
    0xfffff880,0x004fffff,0xffffff30,0x3e205fff,0xffffffff,0x3fff604f,
    0x0effffff,0x4003ee00,0xfffffffd,0x26000eff,0xfffd000f,0x1fffffff,
    0x3ffffa00,0x00ffffff,0xffffffd0,0x88000bff,0xfffffffe,0xfd1001ef,
    0xdfffffff,0x3ffaa003,0x2fffffff,0xfffff900,0xffffffff,0x3ffa201f,
    0x1effffff,0xfffff900,0xffffffff,0x3ffa201f,0x1effffff,0xfffff900,
    0xffffffff,0x3ffa201f,0x1effffff,0xffffd800,0xffffffff,0x2aaa6006,
    0x02ffffda,0xfffffffd,0xf1001fff,0xffb75fff,0x4401bfff,0xffefffff,
    0xffffffff,0xfffff506,0x2009ffff,0xfffffffa,0x320004ff,0xffffffff,
    0x3fffea02,0x404fffff,0xffffffff,0x3e6000ef,0x3fffe003,0x00efffff,
    0x4400fe20,0xffffffff,0xf8802fff,0xffffffff,0xff8802ff,0x7fffffff,
    0xfff70000,0x20009fff,0x4ffffffb,0xfffc8800,0x4000dfff,0xdffffffc,
    0x803efffb,0x4ffffffb,0xffffc800,0xefffbdff,0xffffb803,0xfc8004ff,
    0xfbdfffff,0xfb803eff,0x004fffff,0xffffff10,0xffffffff,0xffff8803,
    0x04ffffff,0xfffffff1,0x7005ffff,0x35505fff,0x7fffd400,0xffffffff,
    0xf900ffff,0x037bffff,0xfffffc80,0x440001bd,0x0bdffffd,0xfffffc80,
    0xfeb801bd,0x001befff,0x75c005d8,0x01ceffff,0x64006c80,0xfffffffe,
    0x3fb2005f,0x5fffffff,0x3fffb200,0x0003efff,0x000d54c0,0x001aa980,
    0x00355300,0x01357300,0x06aa6000,0x26ae6000,0x55300000,0x57300003,
    0x26000013,0x640001aa,0xcccccfff,0x04ffeccc,0x7fffffcc,0x76405fff,
    0xffffffff,0x09ff3005,0xffea8000,0xffbdffff,0x00003eff,0x00000000,
    0x00000000,0x00000000,0x0c000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x09fff000,
    0x801fff70,0xbdfffffc,0x00000000,0x40000031,0x000aaca9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xb8800000,
    0x2201cfff,0x001cfffb,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfffffff5,
    0xfffffb0d,0x000007ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xff900000,0x81ffffff,
    0xffffffff,0x00000005,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfffd9800,0xfea83eff,
    0x001dffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x08000000,0x30000000,0x00000333,0x00000171,
    0x00100000,0x00040080,0x00001540,0x00000017,0x02000000,0x4cc40020,
    0x00000999,0x00880000,0x005c4000,0x00003500,0x00aa1540,0x00017100,
    0x0002dd98,0x00002002,0x000550aa,0x00001000,0xbd100200,0x001fb101,
    0x000dfa80,0x5003dd30,0x003fffff,0x01ffb800,0x2037a200,0x44000fd8,
    0xf70002fd,0x0013e203,0x80007fd8,0x20004fe8,0x260002fb,0xf10001ee,
    0x1007e40b,0xbfffffff,0x3dd30000,0x1ff98000,0x7ff30000,0x13fe2000,
    0x9ff20000,0x2a0006fd,0x2a0002ff,0x8004fdef,0x03f205f8,0x367fc800,
    0x3ba6006f,0x02ff9801,0x2003dd30,0x3e202ff9,0x3ffea3ff,0xffb10000,
    0xfb8005ff,0x7ec04fff,0x0001ffff,0x01fff440,0x23fff880,0x2000fffa,
    0x00dffffa,0xfd837e40,0xffe88005,0x7fcc0002,0xff90000f,0x3fee0005,
    0xf88004ff,0x01ff982f,0x3fffffee,0x7dc0005f,0x20004fff,0x80004ffb,
    0x0000effa,0x00037fee,0xfd97fe40,0xff70002f,0x25e8000d,0xff88007b,
    0x001ff982,0x3f65ff90,0xfff7002f,0x5ffb809f,0x4ffffb80,0x405ffb80,
    0xffddffe8,0xff50001e,0x01bffd9f,0xfdeffe88,0xffd501ef,0x000003ff,
    0x40013ff6,0xffddffe8,0xffb1001e,0x005fff9d,0x5cdf7fcc,0x4c002ffd,
    0x40001fff,0x8000effb,0x8003ffe8,0xffdeffe8,0x7fec001e,0x06ffcaad,
    0x7fffff44,0xfd30005f,0x03dffbbf,0x00bff900,0x00dffc80,0x0effa800,
    0x97fec000,0xb0002ffd,0xf00009ff,0x40007d47,0xfcaadffd,0xffb0006f,
    0x200bff65,0xffdeffe8,0x0bff901e,0x7ef7ff44,0x3ff201ef,0xffff7005,
    0x7fcc0009,0x817ff21e,0x3ee3ffe8,0x3fe200ff,0x2000001f,0x20003ffb,
    0x004ffffb,0xe9867fec,0x3ea002ff,0x03ffffff,0x0077fc40,0x017fea00,
    0x017ff440,0x71fff440,0xe8001fff,0x0effffff,0xffb33100,0xfff1000b,
    0x007ffdc7,0xfffffeb8,0xf7000cdc,0x9800009f,0x2e0006fe,0x05ff72ff,
    0x00fff200,0x7557e400,0x3ffa0005,0x000effff,0xff72ffb8,0x7ffd1005,
    0x6407ffd4,0xffd105ff,0x807ffdc7,0x26005ffc,0x540001ee,0x40dd304f,
    0xfd880df8,0x00fffc00,0x0faa0000,0x03dd3000,0x3205db00,0x7644002f,
    0x88000cef,0xd300004e,0x77e40007,0x1bf10000,0x0001fb10,0x007bddb5,
    0x002ffe40,0x6c406fc4,0x7fec400f,0xffffffff,0x005d5002,0x01b62000,
    0x3aa2ea80,0x07ae0001,0xffd88000,0x6d40001e,0x20003dee,0x007aa2ea,
    0x6c40f744,0x05ffc81f,0xfb101bf1,0x017ff201,0x00000000,0x7c000000,
    0x000001ff,0x00000000,0x00000000,0x00000000,0x05440000,0x00000000,
    0xf9000000,0x000000bf,0xfffffc80,0x04ffffff,0x00000000,0x00000000,
    0x44000000,0x00000001,0x00000000,0x017ff200,0x5ffc8000,0x00666200,
    0x40000000,0x7fc001a8,0x3bbb6e1f,0x000000ce,0x001a8800,0x0019a880,
    0x0019a880,0x00066620,0x10006a20,0x00133333,0x00006600,0x7e400000,
    0x0000005f,0x2fbffe60,0x4fffdb9a,0x80000000,0x00000019,0x00198000,
    0x80000000,0x4c000019,0x99880001,0x05ffc801,0x3ff20000,0xffffc805,
    0x003dacff,0xddddddb5,0x4407bddd,0xdffffeca,0xfff04d9a,0x3ffffea3,
    0x775c44ff,0x3662deee,0x00ceeeee,0xffffd951,0xb809b35b,0xcffffffd,
    0xfdb804ca,0xcacfffff,0x7fffe404,0x403dacff,0xffffeca8,0x7c44d9ad,
    0x05ffffff,0x3fffae00,0x75c404ef,0x262deeee,0x0ceeeeed,0x402ffe40,
    0xdeeeeeb8,0x3bbbb662,0x3ffea0ce,0x445ff701,0x2deeeeeb,0x3bbbbb66,
    0x7ff5c00c,0x5c404eff,0x22deeeee,0xceeeeed9,0x7fff5c00,0x75c404ef,
    0x262deeee,0x0ceeeeed,0x7ffff5c0,0xfd70004e,0x8009dfff,0xcffffffc,
    0x2ffe43da,0x05bdddb5,0x47bdddb5,0x3e605ffc,0xffffffff,0x7c400fff,
    0xffffffff,0xe983ffff,0xffffffff,0xff81ffff,0xfffff31f,0xfffb87ff,
    0xfd0fffff,0x09ffffff,0xffffffd3,0x03ffffff,0xffffffb1,0x03ffffff,
    0x3fffff62,0x1fffffff,0xffffff98,0x00ffffff,0xffffffd3,0x43ffffff,
    0xfffffffb,0xffe98005,0x1effffff,0xffffff70,0x3fffa1ff,0x6404ffff,
    0xffb805ff,0xd0ffffff,0x9fffffff,0x9103ffd4,0x7fffdc19,0xffd0ffff,
    0x209fffff,0xffffffe9,0xff701eff,0x21ffffff,0xfffffffe,0xffffd304,
    0x203dffff,0xfffffffb,0xfffffd0f,0x3fa609ff,0xefffffff,0xfffd3001,
    0x03dfffff,0xffffff98,0x20ffffff,0xfff15ffc,0xff81ffff,0xf92fffff,
    0x3ffe20bf,0xffffffff,0xfff802ff,0xffffffff,0x7ffd41ff,0xffffffff,
    0xfff83fff,0x59ffffb1,0xfffff503,0x7ffecfff,0x7d43ffff,0xffffffff,
    0x443fffff,0xfffffffe,0x83ffffff,0xffffffe8,0x3fffffff,0x7fffffc4,
    0x2fffffff,0xffffffa8,0xffffffff,0x3ffffa23,0x7cc005ff,0xffffffff,
    0xffa83fff,0x367fffff,0x3fffffff,0x402ffe40,0xfffffffa,0x3fffff67,
    0x3ffe23ff,0x3fea001c,0x367fffff,0x3fffffff,0xffffff98,0x83ffffff,
    0xfffffffa,0x3fffff67,0xfff983ff,0xffffffff,0xffffa83f,0x3ff67fff,
    0x983fffff,0xffffffff,0x4c03ffff,0xffffffff,0xf103ffff,0xffffffff,
    0x7e45ffff,0x3ffffe5f,0xffffe87f,0x0bff91ff,0x22f7fff6,0x2ffffc98,
    0xcccca880,0x41bcdfff,0x1bdffff8,0x7ffffd53,0xffd7fff0,0xfb3005ff,
    0x544159ff,0x441effec,0x31bdffff,0x47ffffd5,0x1bdffff8,0x7ffff731,
    0xbdffff88,0xffff7311,0xbdfffd87,0xffffc988,0x6ffffc42,0xfffd531b,
    0xfb33107f,0x7f4400bf,0xca88adff,0xd981ffff,0x220acfff,0x01effeca,
    0x3005ffc8,0x4159fffb,0x1effeca8,0xceffffd8,0x7fecc00a,0x32a20acf,
    0xe881effe,0xa88adfff,0x981ffffc,0x20acfffd,0x1effeca8,0xadfffe88,
    0xffffca88,0xcfffd981,0x3fb2a20a,0xffe881ef,0xfca88adf,0xfd101fff,
    0x95115bff,0xfb03ffff,0x93117bff,0x7cc5ffff,0x3ffea23f,0xffff880f,
    0x417ff20b,0x3ee05fff,0x3e0002ff,0x3ff602ff,0x7ffe405f,0xffffff83,
    0x3f2001ff,0x5ffc805f,0x405fffd8,0x3f23fffc,0x7fc404ff,0x27ffe43f,
    0xf0fffe20,0x7fdc0bff,0x2fffec2f,0x00ffff20,0x6c00bff9,0x3ea03fff,
    0xbff906ff,0x00bff900,0xc8017ff2,0xffc805ff,0xfffff305,0x6405dfff,
    0xffc805ff,0x07fffb05,0xc837ffd4,0xffc805ff,0x07fffb05,0xc837ffd4,
    0xffc805ff,0x07fffb05,0xd837ffd4,0x3ea03fff,0x5fff86ff,0x30bffee0,
    0x13ffee03,0x3213ffee,0xfff885ff,0x00fffc01,0x405fff00,0xff004fff,
    0xfffff05f,0xfc8001df,0x5ffc805f,0xf004fff8,0x3ffe25ff,0x43ff9005,
    0x9005fff8,0x7ffc43ff,0x20fffc01,0xff004fff,0x5ffc805f,0x09fff500,
    0x907fff50,0xff900bff,0x17ff200b,0x805ffc80,0x36205ffc,0xffffffff,
    0x00bff905,0xff50bff9,0xfff5009f,0x00bff907,0xff50bff9,0xfff5009f,
    0x00bff907,0xff50bff9,0xfff5009f,0x04fffa87,0x223fffa8,0x7fc01fff,
    0x7fec001f,0x1bffe21f,0xff82ffe4,0x037dc02f,0x40bffe00,0x7000fff9,
    0xffff01ff,0xc8005fff,0xffc805ff,0x007ffcc5,0xff70ffb8,0x0f62001f,
    0x2001fff7,0x2fff83d8,0x3e637dc0,0xff7000ff,0x05ffc801,0x400dff90,
    0xffc86ffe,0x05ffc805,0x400bff90,0xfc805ffc,0xeca8805f,0xc84fffff,
    0xffc805ff,0x006ffc85,0x3f21bffa,0x5ffc805f,0x2006ffc8,0xffc86ffe,
    0x85ffc805,0x3a006ffc,0x37fe46ff,0xf8dffd00,0x37dc02ff,0x37ffc400,
    0x3203fffb,0xfffb05ff,0x80000017,0xff702fff,0xf00a800d,0x7fffffff,
    0x02ffe400,0x3ee2ffe4,0x9054006f,0x90000dff,0x20000dff,0x000bfffd,
    0x20037fdc,0x5ffc800a,0x007ffd00,0x7e43ffcc,0x5ffc805f,0x00bff900,
    0x6402ffe4,0xb88005ff,0x7e40fffe,0x5ffc805f,0x2003ffe8,0xffc87ff9,
    0x85ffc805,0x26003ffe,0x5ffc87ff,0xe85ffc80,0x3e6003ff,0x01fff47f,
    0xfd8fff30,0x88000bff,0x67ffdc01,0x3204fffb,0xfff505ff,0x00159dff,
    0x02fff800,0x00009ffb,0x7fd57ffc,0xff9004ff,0x8bff900b,0x40004ffd,
    0x80004ffe,0x00004ffe,0x9dfffff5,0x4ffd8015,0xff900000,0x07ffe00b,
    0x41fff880,0xfc805ffc,0xbff9005f,0x02ffe400,0x6542ffe4,0x0fffcc01,
    0x32017ff2,0x1fff85ff,0x07ffe200,0xf900bff9,0x03fff0bf,0x20fffc40,
    0xfc805ffc,0x01fff85f,0xf87ffe20,0x3e2001ff,0x3ffea1ff,0x400aceff,
    0x7ec03ff9,0x406fffff,0x3ea05ffc,0xefffffff,0xff80000b,0x05fff02f,
    0x8fffc000,0x805ffffa,0xfc805ffc,0x017ffc5f,0x00bffe00,0x00bffe00,
    0xffffa800,0x80beffff,0x00002fff,0x300bff90,0xf8001fff,0x2ffe42ff,
    0x802ffe40,0x32005ffc,0xffc805ff,0x4406ff85,0x7fe42fff,0x45ffc805,
    0x4000fff9,0x7fe42fff,0x45ffc805,0x4000fff9,0x7fe42fff,0x45ffc805,
    0x4000fff9,0xfff32fff,0x2fff8001,0x7fffffd4,0xfb80beff,0x7ffc405f,
    0x7e401fff,0x7fecc05f,0x0effffff,0xff800a88,0x05fff02f,0xfff51000,
    0x6ffffcc3,0x0bff901a,0xff8bff90,0x7fc0002f,0x9997102f,0x7ffc3799,
    0x99997102,0x3f660379,0xefffffff,0x0017ffc0,0x05ffc800,0x000fff98,
    0x3f217ffc,0x5ffc805f,0xfdaaaa88,0x00aaaaef,0xf900bff9,0x4fff98bf,
    0x903fff20,0xff900bff,0x00fff98b,0x3217ffc0,0xffc805ff,0x007ffcc5,
    0xf90bffe0,0xbff900bf,0x000fff98,0xff997ffc,0x7ffc000f,0xffffd982,
    0x640effff,0xffa805ff,0xffc803ff,0x3fb2a005,0x740fffff,0x2fff806f,
    0x0007fff0,0x1fffffb8,0x7fffffec,0x805ffc86,0x7ffc5ffc,0x7ff40003,
    0xfffff982,0xffd4ffff,0xfffff305,0xa809ffff,0xffffffec,0x000fffe0,
    0x02ffe400,0x000fffc4,0xfc83fff1,0x5ffc805f,0x7fffffdc,0xffffffff,
    0x805ffc84,0x7fcc5ffc,0xfc99aeff,0xffc86fff,0x45ffc805,0x2001fff8,
    0x7e41fff8,0x5ffc805f,0x000fffc4,0xfc83fff1,0x5ffc805f,0x000fffc4,
    0x3e23fff1,0x3e2001ff,0x765401ff,0x20ffffff,0xfb005ffc,0x3ff200df,
    0xfd510005,0x7ffc47ff,0x817ffc00,0x40004ffe,0x41fffffd,0xffffffff,
    0x402ffe40,0x7ff45ffc,0x7fec0004,0xfffffa84,0xffb6ffff,0xfffff509,
    0x400dffff,0x23fffea8,0x00004ffe,0x200bff90,0x26002ffe,0x7fe40fff,
    0x45ffc805,0xfffffffd,0x6fffffff,0xc805ffc8,0x7ffcc5ff,0xffffffff,
    0x5ffc81ff,0xe85ffc80,0x3e6002ff,0x2ffe40ff,0x742ffe40,0x3e6002ff,
    0x2ffe40ff,0x742ffe40,0x3e6002ff,0x0bffa0ff,0x00fff980,0x3fffaa20,
    0x4017ff23,0xf9005ffc,0x007910bf,0xff99bff2,0x17ffc00f,0x0006ffd8,
    0x0ffffecc,0x3bffffaa,0x806ffb83,0x7fec4ffc,0x7fdc0006,0xfdddb705,
    0x3fee3dff,0xfdddb705,0x0f223dff,0xfb37fe40,0x200000df,0xfb005ffc,
    0x7fec00df,0x806ffb86,0x7ecc4ffc,0xffffffff,0xfb82efff,0x4ffc806f,
    0xfffffff8,0x701fffff,0xff900dff,0x00dffb09,0x7dc37fec,0x4ffc806f,
    0x2006ffd8,0xffb86ffd,0x84ffc806,0x36006ffd,0x37fec6ff,0x44dffb00,
    0xdff9003c,0xc802ffe4,0xff9005ff,0x005ff90b,0x7fccfff5,0x3ffe200f,
    0x05fff501,0x00000c40,0x017ffcc0,0xff50fffa,0x50c4005f,0x3a001fff,
    0x3ffea3ff,0x47ffd000,0xfa802ffc,0x0bffea7f,0xfc801880,0xfff5005f,
    0x9fff5007,0x805fff30,0x00003ffe,0x017ffcc0,0x36a0fffa,0xeffffeba,
    0x3ffe600b,0x41fff402,0xa803fffa,0xff984fff,0x1fff402f,0x401fffd4,
    0xf984fffa,0x7ff402ff,0x03fffa83,0x544fffa8,0xfa803fff,0x0bff24ff,
    0xfc9ffea0,0xbff9005f,0x217ff200,0x6c00effe,0x3ffe67ff,0x01ffee00,
    0x3003fffd,0x151009ff,0xdfff1000,0x40fffe40,0x9801fffe,0xbfff14ff,
    0x88fffa00,0xfd005fff,0x077ff47f,0xfd1fff60,0xff3003ff,0x05ffc809,
    0x80bfff60,0xf106fff9,0x7fe40dff,0x0151001f,0x06fff880,0x4007fff2,
    0xf1005ffc,0x7fe40dff,0x5fffb01f,0x837ffcc0,0x3206fff8,0xffb01fff,
    0x7ffcc05f,0x0dfff106,0xd80fffe4,0x3e602fff,0xfffb06ff,0x37ffcc05,
    0xb003bffa,0x2ffe4fff,0x005ffc80,0xffd0bff9,0x75cc37ff,0x3fe65fff,
    0x3f222cef,0x7fcc05ff,0x26209dff,0xe806fffc,0xfc8004ff,0xf930beff,
    0x3fe60bff,0x26209dff,0x3ee6fffc,0x5441bfff,0x7dc3fffc,0x5441bfff,
    0x3fa3fffc,0x2e61bfff,0x7cc5fffe,0x2209dfff,0x406fffc9,0x22005ffc,
    0x221cffff,0x201ffffb,0x30befffc,0x400bfff9,0x64006ffc,0x930befff,
    0x6400bfff,0x3f2005ff,0xf930beff,0x7fc40bff,0x3ee21cff,0x3f201fff,
    0xf930beff,0x7fc40bff,0x3ee21cff,0x3f201fff,0xf930beff,0x7fc40bff,
    0x3ee21cff,0xff101fff,0x7dc439ff,0x7ff41fff,0x3ae61bff,0x3ff25fff,
    0x3f6aa205,0x3201aaef,0xfffe85ff,0xffffffff,0x3fe60fff,0xffffffff,
    0xf9800eff,0xffffffff,0x403fffff,0x001ffdb8,0xffffffe8,0x200fffff,
    0xfffffff9,0x3fffffff,0x7fffffec,0xffffffff,0xfffffd83,0xffffffff,
    0x3ffffa3f,0xffffffff,0xfff980ff,0xffffffff,0x2aa23fff,0xaaeffdaa,
    0x3fea00aa,0xffffffff,0xffe804ff,0xffffffff,0xfb31000f,0xffe8007f,
    0xffffffff,0x3ff2000f,0x7fff4005,0xffffffff,0x7fffd400,0xffffffff,
    0xffffe804,0x0fffffff,0x7ffffd40,0x4fffffff,0xfffffe80,0x00ffffff,
    0x7fffffd4,0x04ffffff,0x7fffffd4,0x84ffffff,0xfffffffe,0x0fffffff,
    0x7ec17fee,0xffffffff,0x0bff706f,0xfffffffb,0x05ffffff,0xfffffff7,
    0x4001dfff,0xfffffff9,0x402fffff,0x01ffdefb,0xffffe880,0x801effff,
    0xfffffff9,0x882fffff,0xfffffffc,0x81efffff,0xffffffc8,0x1effffff,
    0x3ffffff6,0x2fffffff,0x3ffffe60,0x2fffffff,0x3fffffee,0xffffffff,
    0x3fffaa04,0x02ffffff,0xfffffd10,0x2003dfff,0x03fedff9,0x7ffff440,
    0x001effff,0x20027fdc,0xffffffe8,0xd5001eff,0xffffffff,0x3fa2005f,
    0xefffffff,0xfffd5001,0x05ffffff,0x3ffffa20,0x001effff,0xffffffd5,
    0x2a005fff,0xfffffffe,0xfffb02ff,0xffffffff,0x2ff985ff,0xfffffff0,
    0x301fffff,0x3bd305ff,0xfffffffb,0xffda8019,0x000cefff,0xfffedb88,
    0x9800ceff,0x0005ffff,0x7fffffdc,0x76dc4004,0x0cefffff,0x7fff6cc0,
    0x801cffff,0xfffffed9,0xde981cff,0xffffffd9,0xdb8800cf,0xcefffffe,
    0x7ffffec0,0xffffffff,0x7fe4406f,0x000dffff,0xffffffb8,0x7ff44004,
    0x3ee0007f,0x004fffff,0x0003ff10,0x3fffffee,0xffc88004,0x000dffff,
    0xffffffb8,0xffc88004,0x000dffff,0xffffffb8,0xffc88004,0x000dffff,
    0x7ffffe44,0x37a600df,0xffffffd9,0x401100cf,0xffffffea,0x02203eff,
    0x1aaa9880,0x01553000,0x1aa88000,0x03751000,0x0d54c000,0x1aa88000,
    0x5554c000,0x554c0001,0xa988001a,0x440001aa,0x7ecc01aa,0xffffffff,
    0x2002efff,0x00001aa9,0x40003553,0x00002ba8,0x00003553,0x554c0000,
    0x55300001,0x2a600003,0x5300001a,0x26000035,0x300001aa,0x20000355,
    0x20001aa9,0x001aaa98,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00017100,0x05500000,0x00000000,0x02a80000,0x00d44000,
    0x00039800,0x40100000,0x33310000,0x03980000,0x00400000,0x00000000,
    0x20010000,0x00000200,0x1b800000,0x01cc0000,0x00b22000,0x0002dc98,
    0x00000000,0xa8835100,0x26666201,0x13333301,0x00bfea00,0x000f74c0,
    0x80013fe0,0x17a60de9,0x22037e20,0x7fc000fd,0x32a20004,0x9adffffe,
    0x3ff2004d,0x3dd30000,0x437ec000,0x3f2006fd,0xdacfffff,0x1ff90003,
    0x07ba6000,0x007dfd10,0xfb101bd1,0x80df9801,0xc98006e9,0x1bf600ef,
    0xf3001bf6,0x00dd301b,0x017fa200,0x00ffc800,0x07ffa000,0x13f7bea0,
    0x1ee98000,0x2037a200,0xfe800fd8,0x407ff60f,0x3ffffffc,0xbffffff5,
    0x00bff700,0x13fffee0,0x0effb800,0x23ffd800,0x7c402ffd,0x3ffee3ff,
    0x77fdc000,0x7ff4c000,0xffffffff,0x7ec401ff,0xff70003f,0xf10009ff,
    0x7ffc43ff,0x7fffcc01,0xffffffff,0x3ff62000,0xfff70003,0x7ffd409f,
    0x7ffc403f,0x003ffea3,0x7dc5fff3,0x7fdc006f,0xfff102ff,0x00fffc43,
    0x5c5fff30,0x980006ff,0x80001fff,0x0003ffd8,0x007ffea0,0x000fa976,
    0x4ffffb80,0x47fff100,0x6400fffa,0x3ffa1fff,0xfffff906,0x3ffff6df,
    0x7fec05ff,0xffe88004,0x001effde,0x003dff50,0x3fe3ffe8,0xffe9802f,
    0x001effdd,0x003dff50,0x3fffffea,0xffffffff,0x0bffa203,0x3bffa200,
    0x4001effd,0x06fd86fd,0x7fffffc4,0x2fffffff,0x05ffd100,0xbbffd300,
    0xfd103dff,0xe8803fff,0x1effddff,0xdbffd300,0xe8001bff,0x3600efff,
    0x006fd86f,0xfedffe98,0x5c0000df,0x80000eff,0x0002ffe8,0x8037ff40,
    0x0007e64e,0xfdeffe88,0xfe8801ef,0x01effddf,0x2e37ffc4,0xffc83fff,
    0xff53ffff,0x640bffff,0xe88003ff,0x3ffee3ff,0xdfd30000,0x1fff4001,
    0x5c005fff,0x0004ffff,0x400ffe88,0x1bdffff8,0x7ffffd53,0x000fff40,
    0xf71fff44,0x008001ff,0x3fff6002,0xffc988bd,0xffd002ff,0xfff10003,
    0x807ffdc7,0x7003fffa,0x0009ffff,0x07ffff91,0x05fff300,0x00008020,
    0x0fffff22,0x17fe6000,0x1ffe8000,0x7fcc0000,0x35f7002f,0x744000dd,
    0x3ffee3ff,0xffff7000,0x3fff2009,0x43fffc42,0x1019dffc,0x5c0bff93,
    0xbf10001e,0x001fb101,0x20036440,0xfff12fff,0x1ee98003,0x1b220000,
    0x017fff60,0x6c07fff9,0xbf10000d,0x001fb101,0xfff80000,0x0bffee05,
    0x80006ec0,0xfd880df8,0x013ff600,0x0001ee98,0x80006fd4,0x00005ffc,
    0x37ea0000,0x7d300000,0x0dd80000,0xffd80000,0x3ff62006,0x3e20001e,
    0x00fd880d,0x4007ba60,0xf906fff8,0x5ffc87ff,0x00bff900,0x00000000,
    0x7fc00000,0x03fff12f,0x00000000,0x009fff00,0x0000bffe,0x00266620,
    0x10000000,0xff803fff,0x0000001f,0x7fec0000,0x00000004,0xff900002,
    0x0066000b,0x00002000,0x00000000,0xfff30000,0x00310007,0x00000000,
    0x3fffb800,0xc8ffff10,0xff9005ff,0x0000000b,0x00000000,0x7cc7ffe2,
    0x000000ff,0x7cc00000,0xff7000ff,0x7c400001,0x0004ffff,0x3bbbbae2,
    0x3bbb662d,0x3ffe0cee,0x0037dc02,0x00000000,0x00027fec,0x00000000,
    0x5c00bff9,0x04effffe,0x00000000,0x00000000,0x0fffb000,0x00000000,
    0x40000000,0x7e407ffe,0x17ff22ff,0xecaffe40,0xeeeeeeee,0x76dc6eee,
    0xdb83deee,0x543deeee,0xeeeeeeed,0x2a03deee,0xffa9afff,0xeeeeb81f,
    0xeeeeeeee,0x36e4eeee,0xeeeeeeee,0x24eeeeee,0x54006ffb,0x77776d40,
    0x3deeeeee,0x13ffffee,0xffffb800,0xffd0ffff,0x6c9fffff,0x8000bfff,
    0x82deeeda,0x43deeeda,0xeeeeeeda,0xb03deeee,0x3bb209ff,0xeeeeeeee,
    0x776dc6ee,0xcdeeeeee,0x2ffe4002,0x7ffff4c0,0x801effff,0xeeeeeeb8,
    0x36e000ee,0xeeeeeeee,0xdb7002cd,0xdddddddd,0x009ddddd,0x201fffc4,
    0xeeeeeeb8,0x36e000ee,0xeeeeeeee,0x44eeeeee,0xeeeeeeda,0x4c3deeee,
    0x7cc03fff,0x17ff24ff,0xfeaffe40,0xffffffff,0x3fe67fff,0x23ffffff,
    0xfffffff9,0xfffff12f,0xffffffff,0xffffc83f,0xffffffff,0x3ffff23f,
    0xffffffff,0xff55ffff,0xffffffff,0x4bffffff,0x40004ffd,0xfffffff8,
    0x1fffffff,0x09ffffd1,0x7fffd400,0x3ff67fff,0x2a3fffff,0xacefffff,
    0x7fffc400,0x7ffc0fff,0xff12ffff,0xffffffff,0xfb03ffff,0x3fffa09f,
    0xffffffff,0x3fffea7f,0xffffffff,0xff9001ef,0xffff980b,0xffffffff,
    0x7fffdc03,0x003fffff,0xfffffff5,0x3dffffff,0x7ffffd40,0xffffffff,
    0x32005fff,0x7dc00fff,0xffffffff,0xffff5003,0xffffffff,0x7c4bffff,
    0xffffffff,0x2a1fffff,0xff801fff,0x017ff26f,0xffeaffe4,0xffffffff,
    0x3ffe27ff,0x221fffff,0xffffffff,0x3fffffe1,0xffffffff,0x3ffffe20,
    0xffffffff,0x3ffff27f,0xffffffff,0xff35ffff,0xffffffff,0x4bffffff,
    0x80002fff,0xffffffff,0x40ffffff,0x0004ffe8,0x567ffecc,0x3ffb2a20,
    0xffffa81e,0x00beffff,0x0fffffff,0x3ffffffd,0x7ffffffc,0x0fffffff,
    0xfd04ffd8,0xffffffff,0x7fccffff,0xffffffff,0x801fffff,0x3a205ffc,
    0xa88adfff,0x201ffffc,0xfffffff9,0xff3006ff,0xffffffff,0x203fffff,
    0xfffffff9,0xffffffff,0xfff1005f,0xffff3009,0x00dfffff,0x3fffffe6,
    0xffffffff,0x7fffc5ff,0xffffffff,0x3fff20ff,0x27ffd800,0xf9005ffc,
    0x33bffabf,0xfffecccc,0x677ff4c6,0xfdcb881b,0x665441ff,0xccceffec,
    0xffffe80a,0xffffffff,0x33bff24f,0xcceffecc,0x2e25ffec,0xcccceffe,
    0x25ffeccc,0x80002fff,0xffeccca8,0xb00accce,0x900009ff,0xff900bff,
    0x7ffecc0b,0x80efffff,0x80ffffa8,0x40bffff8,0xffeccca8,0x900accce,
    0x3ffa0dff,0xfeccccce,0x7f5c46ff,0xfeccccef,0x7400ffff,0x3ff604ff,
    0x3ffea03f,0x7ee5cc06,0x001fffff,0x99dffd71,0xfffffd99,0x3ffae201,
    0xccccccce,0xf7005ffe,0x2e6001ff,0xffffffdc,0xffd71001,0x9999999d,
    0xca88bffd,0xcceffecc,0x3ffec0ac,0x90fffc80,0x3f200bff,0x107ffd5f,
    0xfb03ffff,0x7fdc00bf,0x0bff9006,0x4fffe440,0x409effd9,0x7fe45ffc,
    0x6c2ffe45,0x7fe404ff,0x000fffe5,0x02ffe400,0x4c49ffb0,0x2ffe4001,
    0x802ffe40,0xfffffeca,0x9fff700f,0x009fff70,0x7002ffe4,0xfe89ffff,
    0xffff883f,0x209ffb01,0x702fffb8,0x2a07ffff,0xfa804fff,0xff7003ff,
    0x8009ffff,0xf7104ffd,0xffd805ff,0x02ffe404,0x0004fff8,0x9ffffff7,
    0x04ffd800,0x6402ffe4,0xffe805ff,0x3fff7006,0x64017ff2,0x07ffd5ff,
    0x3207fffd,0x3ffec6ff,0x64017ff2,0x7dc005ff,0x417ff26f,0x7fe45ffc,
    0x6c2ffe45,0x7fdc04ff,0x0013ffa5,0x02ffe400,0xfd79ffb0,0x9003dfff,
    0xff900bff,0xfd51000b,0x7fec07ff,0x1bffe21f,0x00bff900,0x21ffffe8,
    0xffe83ffe,0x13ff603f,0xf309ffd0,0x7e40dfff,0x3ffa006f,0x9bfff006,
    0x6c001fff,0x7ff404ff,0x027fec04,0x2e017fee,0xf0001fff,0x1fff9bff,
    0x027fec00,0x32017fee,0xfff805ff,0x5fff5005,0x64017ff2,0x85ffb5ff,
    0x2e04fffc,0x3ffe27ff,0x013ff61f,0x2002ffe4,0x3ff65ffc,0xc8bff904,
    0x2ffe45ff,0xfb127fec,0xfd8ffe65,0x9000006f,0x7ec00bff,0xffffffff,
    0x7fe403ff,0x45ffc805,0xff9003c8,0x37ffc40d,0x8003fffb,0x22005ffc,
    0x360fffff,0x7ffe42ff,0x027fec04,0x3e217ff6,0xfd00ffff,0x7fcc007f,
    0x9fffa807,0x2003fff8,0x7ec04ffd,0x27fec05f,0x3fe65fb1,0x05ffe803,
    0x13fff500,0x6c007fff,0x4bf624ff,0xfc803ff9,0x5fff805f,0x25fff500,
    0xf9005ffc,0xa83beabf,0x7d406fff,0x3fffee7f,0x400fffa4,0x64005ffc,
    0x13ff65ff,0x3f21ffdc,0x41ffd45f,0x3fe64ffd,0xfff50a65,0x400c4005,
    0x36005ffc,0xffffffff,0x3202ffff,0xffc805ff,0x4017fe45,0x7dc07ffa,
    0x4fffbcff,0x05ffc800,0x077ffee0,0x7fd41df5,0x4ffd806f,0x40bffea0,
    0xf04fffd9,0x7c4003ff,0x7fec01ff,0x801bff66,0x3ea04ffd,0x7fec02ff,
    0x2997fe64,0x01fffa80,0x6cdffb00,0x3f6006ff,0x997fe64f,0x0bff9002,
    0x200dffd0,0xff91fffb,0x17ff200b,0x00ffff98,0xfd87ffcc,0x3ffe7fff,
    0x0bff9002,0xfffffd50,0xbfffffff,0x7e40dd88,0x406ec45f,0xfdcceffd,
    0xfffe807f,0x04ff9801,0xb002ffe4,0x315bffff,0x6409fff7,0xffc805ff,
    0x0077ff45,0x3601fff6,0x06ffffff,0x00bff900,0x3002ffe4,0xb001ffff,
    0xfda889ff,0x7ec00fff,0x0fff984f,0x017ffc00,0x7d47fff1,0xffb001ff,
    0xfffda889,0x77fec00f,0x007ffdcc,0x0006ffe8,0x7d47fff1,0xffb001ff,
    0x0fffb99d,0x017ff200,0x6401fff6,0x17ff27ff,0x882ffe40,0x8802fffe,
    0xfff89fff,0xfff89fff,0x0bff9001,0xffffffd0,0xffffffff,0x17ff2003,
    0xfffffb00,0xf300ffff,0x4413bfff,0x406fffc9,0x36005ffc,0xff904fff,
    0x02ffe40d,0x3fa2ffe4,0x2e61bfff,0x8805fffe,0x01ffffff,0x00bff900,
    0x88027fec,0xb002fffe,0xffffffff,0x9005ffff,0xfff30bff,0x2fff8001,
    0xd03fff20,0x3f6009ff,0xffffffff,0xfd802fff,0x7fffffff,0x17ffd400,
    0x0fffc800,0xd8027ff4,0xffffffff,0xbff90007,0x01fff900,0x7e4dffd0,
    0xbff9005f,0x013fff60,0xffbafff8,0xff9cffff,0xbff9000f,0xfffff900,
    0xffffffff,0x2ffe400d,0x3ffff600,0x3007ffff,0xffffffff,0x07ffffff,
    0x2005ffc8,0x3e604ffd,0xbff900ff,0xe8bff900,0xffffffff,0x00ffffff,
    0x07ffff50,0x02ffe400,0x2009ffb0,0x2004fffd,0xfffffffd,0x9001efff,
    0xfff10bff,0x7ffc4003,0x213ffe01,0xd800fffb,0xffffffff,0xfb001eff,
    0xffffffff,0x06ffd800,0x213ffe00,0xd800fffb,0xffffffff,0xbff90007,
    0x05fff500,0x7e4bfff0,0xbff9005f,0x00bfff70,0xffebffe8,0xffafffcd,
    0x17ff2007,0x5fffcc40,0x00afff99,0x002ffe40,0x3bbbfff6,0x3e6007ff,
    0xffffffff,0xfc802fff,0x3ff6005f,0x03ffe604,0x6402ffe4,0x7ffec5ff,
    0xffffffff,0x7ec002ff,0x7e40006f,0x3ff6005f,0x5fffb804,0x7fffec00,
    0x02ffffff,0x7417ff20,0x3e6002ff,0xfff500ff,0xffdddddd,0xfffb007f,
    0x5fffffff,0x77ffec00,0x2007ffee,0x0002fff9,0xddddfff5,0x007fffdd,
    0xfdddfffb,0x3f2000ff,0xfff9805f,0x27ffcc04,0x3200bff9,0x7ffcc5ff,
    0x40f7440e,0xafffeffd,0x7ffdfff9,0x017ff200,0x3e25fff0,0xfc8001ff,
    0x7fec005f,0x131bfea4,0x7ff6dc40,0x000cefff,0x6c00bff9,0x3fe604ff,
    0x0dff700f,0xe989ff90,0xfffffd9d,0xc8000cff,0x640005ff,0x3f6005ff,
    0x7ffcc04f,0x40f7440e,0xeaaadffd,0x9001ffff,0x3ff60bff,0x1bff6006,
    0xffffffd8,0x06ffffff,0xaaadffd8,0x001ffffe,0x7fd49ffb,0xffd804c6,
    0x3ff60007,0xffffffff,0xffd806ff,0x131bfea4,0x00bff900,0xd803fffa,
    0x3ff20fff,0x4bff9005,0xb81ffff8,0xfffc84ff,0xfffd0fff,0x7e400dff,
    0x3fe2005f,0x01fff31f,0x00bff900,0x3a24ffd8,0x003fee3f,0x8000e7f4,
    0x36005ffc,0x3fe604ff,0x5fff300f,0x803ffe80,0x001bff98,0x002ffe40,
    0x8017ff20,0x3e204ffd,0xffb81fff,0xd84ffd84,0xc801ffff,0xfff505ff,
    0x9fff5007,0x3ffffe20,0xffffffff,0x27fec01f,0x00ffffec,0xfd127fec,
    0x2207fdc7,0x10003fff,0xffffffff,0x03ffffff,0x3a24ffd8,0x003fee3f,
    0x2e00bff9,0xff304fff,0x05ffc8bf,0x7f4bff90,0xbff903ff,0xbfffff70,
    0x2fffffe4,0x00bff900,0xf98fffc4,0xfc8000ff,0x7fec005f,0x1ffec084,
    0x0004fe80,0xd8017ff2,0x3fe604ff,0xdfff100f,0x00fffe40,0x00007fd0,
    0x8000bff9,0x36005ffc,0x3ffa04ff,0x0bff903f,0x3f209ffb,0xffc806ff,
    0x0bfff605,0x206fff98,0xccccfffc,0x4ffecccc,0xc827fec0,0xfd806fff,
    0x7fec084f,0x007ffe43,0xccfffc80,0xfecccccc,0x27fec04f,0x00fff604,
    0x7c00bff9,0xffd80fff,0x02ffe41f,0xff95ffc8,0x2ffe409f,0x1fffffd4,
    0x09fffff3,0x002ffe40,0x3ea1fff3,0xff90007f,0x4ffd800b,0x003ffe80,
    0x2000bffd,0x36005ffc,0x3fe604ff,0x3fff200f,0xfff930be,0x4ffe800b,
    0x2ffe4000,0x17ff2000,0x817ffcc0,0x3204fffc,0x4ffd85ff,0x013fff20,
    0x2205fff5,0x221cffff,0x201ffffb,0xfb804fff,0x3ff600ff,0x13fff204,
    0xd009ffb0,0x7ffc47ff,0x3ffe0004,0x0fffb804,0x2013ff60,0x7e403ffe,
    0x3fee005f,0x37ffc43f,0x804effe4,0xfadffc98,0xaaaabfff,0x985ffdaa,
    0x740fffff,0x2603ffff,0xaeffdaaa,0x3fe601aa,0x00fff50f,0x77fed54c,
    0x7f4c01aa,0xaaaaaadf,0x403ffeaa,0x00ffbbbb,0xffdaaa98,0x9881aaae,
    0xb881dffe,0x3a00afff,0xffffffff,0x57000fff,0x8001ff99,0xaeffdaa8,
    0xaaa9801a,0x1aaaeffd,0x837fff44,0xaabffffa,0x5ffdaaaa,0x056fff4c,
    0x01bfffe8,0x01dffff1,0xfffffff5,0x209fffff,0x01cfffb8,0x073ffee2,
    0x02b7ffa6,0x40dffff4,0xaaadffe9,0xffeaaaaa,0x003fff23,0x33ffee20,
    0x3ffee201,0xdffe981c,0xaaaaaaaa,0x554c3ffe,0xaaaeffda,0x23fff401,
    0xfc82fffc,0xd32effff,0xf7bfffff,0xffffffff,0x10bfffff,0xf90dffff,
    0x3fa05fff,0xffffffff,0xff307fff,0x802ffd4f,0xfffffffd,0xff886fff,
    0xffffffff,0x3fffffff,0x3ffffe20,0xffffe806,0xffffffff,0x7ffffec7,
    0x3fffe64f,0xfd100fff,0xdfffffff,0x3ffe2003,0x7ec006fe,0xffffffff,
    0x3fffa06f,0xffffffff,0x3fffea7f,0xfffff703,0xffffffff,0x3fffe2bf,
    0xf885ffff,0xf702ffff,0x3aa05fff,0xffffffff,0xffff502f,0xffb0dfff,
    0x227fffff,0xffffffff,0xfffff885,0xffffff12,0xffffffff,0x7ffc7fff,
    0xfffa8004,0xfd86ffff,0x13ffffff,0xffffffff,0xffffffff,0x7ffff47f,
    0xffffffff,0x87ffea07,0xff905fff,0x3f6dffff,0xfbdfffff,0xffffffff,
    0xf05fffff,0xff307fff,0xfff103ff,0xffffffff,0x3f603fff,0x400bfa23,
    0xffffffff,0x7d40ffff,0xffffffff,0xffffffff,0x77fed403,0x7fffc402,
    0xffffffff,0xffff11ff,0x7fe4ffff,0x403fffff,0x4ffffffb,0xeffeb800,
    0x7fffc002,0xffffffff,0xfffff880,0xffffffff,0x03bff11f,0x7fffffdc,
    0xffffffff,0xffffff55,0x3fea0fff,0x3fae05ff,0x3ff2200f,0x200dffff,
    0xfffffffc,0x7ffffc0f,0xfff55fff,0x20ffffff,0xf55ffffa,0xffffffff,
    0xffffffff,0x003ffe27,0x3fffff20,0x7ffc0fff,0xf55fffff,0xffffffff,
    0xffffffff,0x3ffffe27,0xffffffff,0x91bf201f,0x3ff201df,0xff53ffff,
    0xff7bffff,0xffffffff,0x3e0bffff,0xffd00fff,0x3ffae01f,0xffffffff,
    0x8000004e,0xffffffeb,0xffb03eff,0xffffffff,0x07ffffff,0xfd700040,
    0xffffffff,0xffeb89df,0x3f622eff,0x000dffff,0x00003553,0x3aa00031,
    0xffffffff,0x3ffae03e,0xffffffff,0xfb80084e,0xffffffff,0xb15fffff,
    0x5dffffff,0x00effec0,0x2aa60004,0xfffb3001,0xfd507dff,0x223bffff,
    0xeffffffd,0x877ff602,0xfffffffd,0xffffffff,0x000b6a3f,0x7ffffecc,
    0xfffea83e,0x3ff61dff,0xffffffff,0x23ffffff,0xffffffeb,0x804effff,
    0x99880100,0x33330199,0x00000013,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00b88000,0x00100200,0x20000000,0x000001b8,0x000e4c00,0x00040040,
    0x88000000,0x0004000b,0x03351000,0x00000000,0x40000371,0x80000000,
    0x03500039,0x1a800000,0x00200800,0x0105bb30,0x20000000,0xdb700200,
    0x5c39dddd,0x003deeed,0x02af72a0,0xa8000000,0x7fcc0003,0x03f90003,
    0x300013e2,0x200003dd,0x70003fff,0x413ea07f,0x0000fff8,0x0fc817e2,
    0xfb81fdc0,0xff300004,0x027cc007,0x7edc00fb,0xcacfffff,0x406f4404,
    0xf8000fd8,0xb80003ff,0x0000004f,0x10003fee,0x000009ff,0x800dfb10,
    0x06fd86fd,0x3bffffb0,0xfe8013f2,0xefffffff,0x21bf6000,0xfff506fd,
    0x26dfffff,0x2fffffff,0x7fff4400,0x3fee05ff,0x3fffffff,0x05ffc800,
    0x00dff700,0xfd82fe40,0x3fee0005,0x4c0004ff,0x70005fff,0x3f621dff,
    0x0fffe04f,0x82ff8800,0x7e401ff9,0x9ffb10df,0xdff70000,0x81ff9800,
    0xfd8807fa,0xffffffff,0x3e201fff,0x3ffea3ff,0x7ffcc000,0x3f620005,
    0x00001eff,0x0027fec0,0x000dffb8,0x5ffd1000,0x0fffc400,0xb803fff1,
    0xffffccff,0xff1001ff,0xffffffff,0x3ffe2001,0x207ffe21,0xfffffff9,
    0xfffff35f,0x7c4003ff,0x1fffffff,0xffffff90,0xf0007fff,0xc8001fff,
    0x4c0005ff,0xfdb9beff,0xfe88001f,0x01effdef,0x00fffe00,0xfcfffb80,
    0x7fe404ff,0x7fec0007,0x06ffcaad,0xff9fff70,0xf900009f,0x3fa000bf,
    0x4ffcaacf,0x7ffff440,0xffffffff,0x7ff4403f,0x001effdd,0x0007fff0,
    0x3ff3ffee,0x8800004f,0x40003ffe,0x0001effa,0x00fffd40,0x7ec37ec0,
    0x220c8806,0x8002effd,0x19999999,0xd86fd800,0x3fee606f,0x7fec2cef,
    0x6c000bff,0x6fedffff,0x4ccccc40,0xf9000099,0xffb800bf,0xff500003,
    0x007fffff,0x5c7ffd10,0x10000fff,0xd1000057,0x3003dfff,0x80007fff,
    0xeffffffe,0x3ffa6000,0xb80001ef,0x220003ff,0x5ffffffe,0x6ffffc40,
    0xfff7311b,0x3fee007f,0x440004ff,0xff50002b,0x17ff623d,0x3ffd0000,
    0x3fa60000,0x3e200006,0x020000ef,0x19800008,0x00000000,0x36001004,
    0xfffd84ff,0xff98001f,0x0000004f,0x0005d400,0x00000bae,0x019dfd91,
    0x2037e200,0x00000fd8,0x13ee0000,0x00dffb00,0x7bddb500,0x01fe4000,
    0x005d7000,0x37bb6e00,0x4fffc802,0x01fffc40,0x0003dd30,0x7f700000,
    0x00017aa0,0x00001bb0,0x00006d88,0x000013a2,0x01980000,0x000cc000,
    0xfd800000,0x3fffa24f,0xff50001e,0xee98001f,0x000f74c1,0x00000000,
    0x00000000,0x35100000,0x00080000,0x002fff98,0x08000000,0x00000000,
    0xff880000,0x3ff9005f,0x40000000,0x000019a8,0x00000000,0x00000000,
    0x00000000,0x7fff5c00,0xd70004ef,0x009dffff,0x7ec00000,0xdfffd34f,
    0x7fdc0001,0x4ffd8006,0x00027fe4,0x00000000,0x00000000,0xfd951000,
    0x9b35bfff,0xe8000000,0x000006ff,0x00000000,0x00000000,0x001fff70,
    0x00000f62,0x3fff6e00,0x04cacfff,0x00000000,0x00000000,0xa8000000,
    0xeeeeeeed,0x2603deee,0xfffffffe,0xfd3001ef,0xdfffffff,0x7776dc03,
    0xeeeeeeee,0xffb04eee,0x1bffff59,0x5ffc8000,0x42ffb800,0x6d403ffb,
    0xeeeeeeee,0xdd913dee,0x19dddddd,0xeeeb8800,0x000eeeee,0x1ef776dc,
    0x19ddddb3,0x3ffffa60,0xffffffff,0x37bbb6a1,0xeeeed980,0xfffa80ce,
    0x3bb6a002,0xeeeeeeee,0x7776dc3d,0x02bdeeee,0x0deeeda8,0xeeeeed98,
    0x3bbb6e0c,0xeeeeeeee,0x3ff24eee,0xdb700006,0xdddddddd,0x209ddddd,
    0xffffffd8,0x01ffffff,0xdddddd71,0x260001dd,0xeeeeeeed,0xeeeeeeee,
    0xeeeeb880,0x8000eeee,0xeeeeeeb8,0xff1000ee,0xffffffff,0xf303ffff,
    0xffffffff,0xf9807fff,0xffffffff,0xffa83fff,0xffffffff,0x05ffffff,
    0xffffdffb,0x36e2000b,0xbdefffee,0x2a035001,0x7fffc401,0xffffffff,
    0xffffd9ff,0x05ffffff,0x7ffffdc0,0x2003ffff,0xfffffffa,0xffffffd0,
    0xfffff50b,0xffffffff,0x3fffe27f,0xfffe85ff,0xfd05ffff,0x3fe200df,
    0xffffffff,0xff51ffff,0xffffffff,0x3e203dff,0xe85fffff,0x5fffffff,
    0xfffffff5,0xffffffff,0x027ff4bf,0x7fffd400,0xffffffff,0xe885ffff,
    0xffffffff,0x703fffff,0xffffffff,0x3fa0007f,0xffffffff,0x0fffffff,
    0xffffffb8,0xb8003fff,0xffffffff,0x3ffe003f,0xffffffff,0x7f440fff,
    0xca88adff,0xd101ffff,0x5115bfff,0x983ffff9,0xffffffff,0xffffffff,
    0xfffffb05,0x90003fff,0xffffffff,0x00000dff,0x7fffffc0,0xffffffff,
    0xffffffc8,0x4004ffff,0xfffffff9,0x3ea006ff,0xb0ffffff,0x89ffffff,
    0x1bdffff8,0x7ffffd53,0x7ffffffc,0x7ffffec2,0xfff504ff,0x3fffe003,
    0xffffffff,0xffff30ff,0xffffffff,0x3ffe09ff,0x7ec2ffff,0x34ffffff,
    0xffffffff,0xffffffff,0x0017ffcb,0x7ffffcc0,0xffffffff,0x7fc45fff,
    0x7311bdff,0x2607ffff,0xffffffff,0xffb0006f,0xffffffff,0x01ffffff,
    0xfffffff3,0xf3000dff,0xffffffff,0x6654400d,0xccceffec,0x3fffd80a,
    0x41bffea0,0x2a03fffd,0xeb886fff,0xccccceff,0xb05ffecc,0xffffffff,
    0xffc8003f,0xffffffff,0x20000005,0xffeccca8,0x260accce,0xbceffecb,
    0xb9730001,0x03ffffff,0x577ff4c0,0x3fff2a20,0x05fffd82,0x511fffe4,
    0x81fffffd,0x01effeca,0x8802fffc,0xeffeccca,0x6440accc,0xdccccfff,
    0x882fffff,0x0fffffea,0x0f7ff654,0x33bffae2,0xfecccccc,0x40bffe5f,
    0xbcccccb8,0x77ff5c41,0xeccccccc,0x7ffe45ff,0x1fffc404,0xfffb9730,
    0x20003fff,0xffebffda,0xfffccccd,0xffb97300,0x0003ffff,0xffffb973,
    0x640003ff,0xffa805ff,0xfffa804f,0x027ffd43,0xd81fffd4,0x7fe404ff,
    0x5ffffb05,0x003ffffb,0xfffecca8,0xdb700bcc,0xeeb887dd,0xf9000eee,
    0x7fec00bf,0x7dc00004,0x004fffff,0xf3027fec,0x9fff01ff,0x20bffe00,
    0x04fffffb,0xf700dff9,0x320003ff,0xff7005ff,0x7fffd40d,0xfffff700,
    0x81bff209,0x7e404ffd,0x20bffa5f,0xfffffff9,0x4ffd84ff,0xf12ffe40,
    0x3f200bff,0xfff7001f,0x40009fff,0x3ffe9ffc,0x4007ffc4,0x4ffffffb,
    0x7ffdc000,0x20004fff,0xfc805ffc,0x3ffa006f,0x0037fe46,0x3f60dffd,
    0x2ffdc04f,0x2a0effd8,0x20006fff,0xfa805ffc,0x7dc4ffff,0x001fffff,
    0x6c00bff9,0x400004ff,0xfffcdfff,0x13ff6000,0x4c0fff98,0xf7000fff,
    0xffff701f,0xdff903ff,0x09fff100,0x017ff200,0x2e037fdc,0xff704fff,
    0xf903ffff,0x27fec0df,0xfd97fee0,0xffffa84f,0xd86fffff,0x7fdc04ff,
    0x003ffee5,0xff001ec4,0x01fff9bf,0x7f5ffa00,0x07ffc43f,0x7e6fffc0,
    0x3e0000ff,0x0fffcdff,0x0bff9000,0x4007ffd0,0x7ff47ff9,0x1ffe6003,
    0xfb127fec,0x6c0ffe65,0xfffb84ff,0xbff90003,0xfffff300,0xfffffa89,
    0xbff9001f,0x027fec00,0x3fff5000,0x4007fff1,0x3e604ffd,0x37fdc0ff,
    0x7dc02a00,0xc86fffff,0xff9006ff,0xff90001f,0x1bfee00b,0x203fff60,
    0x6ffffffb,0x3606ffc8,0x4bf624ff,0x3fee3ff9,0xfdddb705,0xffb03dff,
    0xf997ec49,0x01bff23f,0xfffa8000,0x003fff89,0xffd4ff88,0x03ffc6a7,
    0x7c4fffd4,0xf50003ff,0x7fff13ff,0x17ff2000,0x8007ffe0,0x3fe1fff8,
    0x3fe2001f,0x24ffd81f,0x80a65ff9,0xffb04ffd,0xff90001f,0x3faa200b,
    0xffba884f,0xbff9001f,0x027fec00,0x4dffb000,0x36006ffd,0x3fe604ff,
    0x027fec0f,0x7dff7000,0xffc87fff,0x9fff1006,0x0bff9000,0x201bfee0,
    0xfb81fff9,0x43fffbef,0x3f606ffc,0x997fe64f,0x007ffd42,0xfb03ffe8,
    0x32ffcc9f,0x004ffe85,0x9bff6000,0xb8006ffd,0x77ffd2ff,0x007d71ff,
    0x7fecdffb,0xdffb0006,0x80037fec,0x7cc05ffc,0x7fc000ff,0x01fff32f,
    0xd82fff80,0xffdcceff,0x13ff6007,0x001fffc4,0x2002ffe4,0x3e204ffd,
    0xff9001ff,0x27fec00b,0xfff88000,0x007ffea3,0x66677fec,0x0fffdccc,
    0x00017ffc,0x3fadff70,0x1bff20ff,0x00fffc80,0x802ffe40,0xf8806ffb,
    0x6ffb82ff,0x7e41fffd,0x3bff606f,0x407ffdcc,0xd005fff8,0x3ff607ff,
    0x07ffdcce,0x00017ffc,0x23fff880,0x4001fffa,0xbffd0ffd,0x44007ffd,
    0x3fea3fff,0x7fc4001f,0x07ffea3f,0x017ff200,0x8001fff3,0xfff32fff,
    0x2fff8001,0xffffffd8,0xfd3007ff,0xff9015bf,0x7e40035f,0x7fec005f,
    0x07ffe204,0x002ffe40,0x00009ffb,0xfd03fff2,0x3ff6009f,0xffffffff,
    0x7ffc0fff,0x3ee00002,0x4bfff36f,0x22006ffc,0x64003fff,0xff7005ff,
    0x0fffa00d,0x7fcdbfee,0x81bff25f,0xfffffffd,0xfffb807f,0x7e5441bf,
    0xfffb03ff,0x80ffffff,0x97102fff,0x80379999,0x7f40fffc,0x3fe2004f,
    0x3fffffa5,0x3ff2003f,0x027ff40f,0xd03fff20,0xf90009ff,0xfff880bf,
    0x3ffe2001,0x003fff11,0x6c0fffc4,0xffffffff,0x7fffcc07,0x7c44ffff,
    0x9006ffff,0xfd800bff,0x3ffe204f,0x0bff9001,0x0027fec0,0xb84fff80,
    0xfd800fff,0xffffffff,0x7fc0ffff,0x2e00003f,0x3fff26ff,0x800dff93,
    0x64007ffd,0xff7005ff,0x0fffa00d,0xffc9bfee,0x40dff93f,0xfffffffd,
    0xfffb007f,0xffffffff,0x3f607fff,0x7fffffff,0x4c17ff40,0xffffffff,
    0x13ffe04f,0x4003ffee,0x3ffa3ffa,0x2003ffff,0xffb84fff,0x3ffe000f,
    0x00fffb84,0x402ffe40,0x26002ffe,0x3ffa0fff,0x3ffe6002,0xeefffd80,
    0x7dc07ffe,0x6fffffff,0x0fffffd8,0x005ffc80,0xf1027fec,0x3f2003ff,
    0x3ff6005f,0x5016cc04,0xdddddfff,0xb007fffd,0xddddddff,0xe81fffdd,
    0x200004ff,0x7ff46ffb,0x006ffc8f,0x001fffcc,0x2e00bff9,0xffd006ff,
    0xe8dff707,0x6ffc8fff,0x3bbfff60,0x91007ffe,0xffffffff,0x203dffff,
    0xfeeefffd,0x27fec07f,0x7fffffd4,0xff506fff,0xfddddddf,0x3f2007ff,
    0xefffeeef,0xf5003fff,0xddddddff,0x2a007fff,0xeeeeefff,0x4003fffe,
    0xfd805ffc,0x3ff6006f,0x0037fec6,0x3f60dffb,0x31bfea4f,0x7fffec41,
    0xff982eff,0xff9004ef,0x4ffd800b,0x007ffe20,0xb002ffe4,0x7fe809ff,
    0x3fffff60,0x6fffffff,0x204ffd80,0x7ec0fff9,0x2e00006f,0x7ffd46ff,
    0x8006ffcd,0x32006ffd,0xff7005ff,0x3fff100d,0xfa8dff70,0x06ffcdff,
    0xffa93ff6,0xdb3004c6,0x9fffffff,0x24ffd803,0x704c6ffa,0x3b6e0bff,
    0x01efffee,0xfffffffb,0x00dfffff,0x3ffffffe,0x01ffcbff,0xffffffb0,
    0x0dffffff,0x3fffff60,0x6fffffff,0x02ffe400,0x401fffd4,0x7d44fffa,
    0xffa803ff,0x49ffb04f,0x3fee3fe8,0x00000000,0xb0013ffa,0x7fc409ff,
    0xbff9001f,0x027fec00,0x3e207ffe,0xffffffff,0x401fffff,0x3e604ffd,
    0x7ffd40ff,0x5c062002,0xfffd86ff,0xa8006ffe,0xf9002fff,0x3fee00bf,
    0x0fffa806,0xfd86ffb8,0x206ffeff,0x3fa24ffd,0x4003fee3,0x2001aaa9,
    0x3fa24ffd,0x7d43fee3,0xffd000ff,0x3fffe207,0xffffffff,0x7fcc01ff,
    0xbfffffff,0x440622b8,0xffffffff,0x01ffffff,0x7fffffc4,0xffffffff,
    0x17ff2001,0x017ffec0,0x360dfff3,0x3e602fff,0x3ff606ff,0x1ffec084,
    0x00003300,0x000fffe6,0x7dc0bffb,0xff9001ff,0x27fec00b,0x903fff10,
    0x99999fff,0x09ffd999,0x2604ffd8,0xffe80fff,0x4ff9801f,0xf886ffb8,
    0x006fffff,0x200dffd0,0xf7005ffc,0xffe880df,0x10dff706,0x0dffffff,
    0x20427fec,0x33003ffd,0x13ff6000,0x227ffb02,0xfd005fff,0x3fff207f,
    0xcccccccc,0x7e404ffe,0x41fff41f,0xffc83ff8,0xcccccccf,0x6404ffec,
    0xcccccfff,0x04ffeccc,0x4017ff20,0x21cffff8,0x01ffffb8,0x439ffff1,
    0x01ffffb8,0x3a013ff6,0xff7003ff,0x5e44003d,0x01fffea9,0x10fffdc0,
    0x05fffff7,0x8017ff20,0x3e204ffd,0x4fff81ff,0x00fffb80,0xf9813ff6,
    0xfff980ff,0x326209df,0xffb86fff,0xfffff506,0x3fea000d,0x5ffc801f,
    0x40dff700,0x703fffe8,0x3fea0dff,0x3f606fff,0x3ffe804f,0x02fff980,
    0x4027fec0,0x3fee3ffe,0x65441bff,0xfff03fff,0x1fff7009,0x7f43ff40,
    0x85ffa83f,0xfb804fff,0x3ffe00ff,0x0fffb804,0xffb55530,0x5403555d,
    0xffffffff,0x5404ffff,0xffffffff,0x2604ffff,0xaaaadffe,0x3ffeaaaa,
    0x4ffc8880,0x3ffffa00,0x98004fff,0xfffeffff,0x86ffffff,0xeffdaaa9,
    0x55441aaa,0xaaaadffe,0x21fffbaa,0x01cfffb8,0x073ffee2,0x03bffd31,
    0x015fff91,0xfffffff3,0x7fffffff,0x1afffc88,0x06ffffd8,0x217ffa00,
    0xeffdaaa9,0xfc881aaa,0xdcaaaaff,0x9105ffff,0xfb035fff,0x3a60dfff,
    0xaaaaadff,0x03ffeaaa,0x006fec88,0x2ab7ffa6,0xfeaaaaaa,0x7fffec3f,
    0xffffffff,0x7fdc43ff,0x3ee201cf,0x7d441cff,0xfff511ef,0xffb5555b,
    0x67ffdc4d,0x3ffee201,0x7ffdc41c,0x3fee201c,0x7fff41cf,0xffffffff,
    0x3ffaa07f,0x2fffffff,0xffffd500,0x205fffff,0xfffffff8,0xffffffff,
    0x7fc403ff,0x36005fed,0x05ffffff,0x3ffff200,0xffffffff,0x3fffa0ff,
    0xffffffff,0xfffff77f,0xffffffff,0x3ea3ffff,0x86ffffff,0xfffffffd,
    0x3fffffa3,0x3ffff27f,0xff980fff,0xffffffff,0x7ffcc2ff,0x7c46ffff,
    0x20006fff,0x3fa1fffb,0xffffffff,0x3fe27fff,0xffffffff,0x980effff,
    0x6fffffff,0x237fffc4,0xfffffff8,0xffffffff,0x77f403ff,0xff8806fd,
    0xffffffff,0x3fffffff,0x7ffffe44,0xefffffff,0x3ffffea1,0xfffd86ff,
    0xff33ffff,0xfffbffff,0xffffffff,0x3ffeadff,0xfd86ffff,0x53ffffff,
    0xdfffffff,0xffffffb0,0x3fffe27f,0xffffffff,0x3f2201ff,0x00dfffff,
    0x7fffe440,0x3ea00dff,0xffffffff,0xffffffff,0xffffd803,0x3ff62001,
    0xc80003ef,0xbdffffff,0x3e23efff,0xffffffff,0xfd9fffff,0xffffffff,
    0xffffffff,0xffffff91,0xffff81ff,0xff15ffff,0x23ffffff,0xfffffffe,
    0xffdb7103,0x7019dfff,0xffffffff,0x06fffb83,0x88fff400,0xffffffff,
    0x51ffffff,0xffffffff,0x01bfffff,0x3fffffee,0x7ffdc1ff,0x7ffffd46,
    0xffffffff,0x5c03ffff,0xa803ffff,0xffffffff,0xffffffff,0xffdb303f,
    0x039fffff,0xfffffff9,0xfffff81f,0xfff75fff,0xffffffff,0xffffffff,
    0x3ffff2df,0x7fc0ffff,0x95ffffff,0xffffffff,0xffffff81,0x3ffae5ff,
    0xffffffff,0x2aa6004e,0x55300001,0x7ffec003,0xffffffff,0x003fffff,
    0x40001573,0x98000008,0x2e0009ab,0xfffffffe,0xfb34efff,0xffffffff,
    0x3fffffff,0x3fffff66,0xfffea83e,0x3fae1dff,0x3aa4efff,0x00dfffff,
    0x10035510,0x9dfffffb,0x001bffa0,0xfeb87b30,0xffffffff,0x3ff624ef,
    0xceffffff,0x7fec401b,0xfd04efff,0xffffb0df,0xffffffff,0x3007ffff,
    0x7ec00177,0xffffffff,0x3fffffff,0x03555300,0xfffffd98,0xfffea83e,
    0xffb11dff,0xfffb3dff,0xffffffff,0x3fff66df,0xfea83eff,0xb31dffff,
    0x07dfffff,0xbfffffd5,0x00000003,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xa800ea00,
    0x980deeed,0x0ceeeeed,0x00066620,0x02000000,0x6cc00008,0x6dc0082d,
    0xeeeeeeee,0xec8802cd,0xceeeeeee,0x08020000,0x002ea000,0x0105bb30,
    0x00006000,0x00000266,0x00000000,0x00416ecc,0x04066dc0,0x00000000,
    0x26666660,0xbcca8800,0x3bbb6a01,0xdeeeeeee,0x15400003,0x80076c40,
    0xeeeeeeb8,0x200000ee,0x2aaaaaa9,0x0000bc88,0xf100bff9,0xd0bfffff,
    0xbfffffff,0x00fffec0,0xfffffe80,0x3000efff,0x3ff985ff,0xffffb000,
    0x5413f23b,0xffffffff,0x01efffff,0x3ffffff6,0x0005ffff,0x0dfb0dfb,
    0x00dff900,0x8effffec,0x260004fc,0xeb8002fe,0x004effff,0x3ffffffa,
    0xfe800eff,0xefffffff,0x3fff6000,0x009f91df,0x4fffffe6,0xd0000fe9,
    0xffffffff,0x32a2001d,0xfffffffe,0x3ffee06f,0xff883fff,0xffffffff,
    0x2001ffff,0x3ffb8099,0x801ffd40,0xfffffffb,0x440003ff,0xfffffffd,
    0x3ffe20ff,0xfff8000f,0xffff800f,0x7fec2fff,0x204fffff,0x8001fffd,
    0xfffffff8,0xf7000fff,0x06ffb8df,0xfccffb80,0x301fffff,0xffffffff,
    0x3fffffff,0x3fffff20,0x004fffff,0x221fff88,0x74001fff,0xfb800fff,
    0xfffffccf,0xff50001f,0xffe9800d,0x1effffff,0x7ffffc40,0x400fffff,
    0xfffffff8,0xf7000fff,0xfffff99f,0x3bfa003f,0x6fffffdb,0xffff1000,
    0x01ffffff,0xffffff50,0x0fffffff,0x3fbfffee,0xfffe83ff,0xffffffff,
    0x7f5c00ff,0xf98bffff,0x7fe404ff,0xffff3005,0x00dfffff,0x7ffff440,
    0x20ffffff,0x003ffffb,0x1005ffc8,0x1fffffd5,0x1effeca8,0x00fffec0,
    0x33333300,0xff980033,0x001ffcc3,0xffb10644,0xfeb8805d,0xfeccccef,
    0x7300ffff,0x379dffd9,0x437ec000,0xfc8006fd,0x4191006f,0x002effd8,
    0x001bff70,0x7fffffcc,0x02ffffff,0x99999998,0x4cccc001,0x44001999,
    0x3bff620c,0xf50ea002,0x80001bff,0x19999999,0xbffff900,0x37ff39ff,
    0x98bbfea0,0x65441ffd,0xcceffecc,0x3fa600ac,0xffffffff,0x6401ffff,
    0x2e6005ff,0xffffffdc,0x9ffb0001,0xff733333,0x27fffec1,0x000ba800,
    0x27ffffdc,0x9806ffc8,0x00000aaa,0x10040000,0x03300000,0x104ffd80,
    0xb005fff7,0x400009ff,0xa8000200,0x1980000b,0x13fee000,0xbfffd100,
    0xfff95115,0x0000001f,0x30000000,0x4c400003,0x00000000,0x23bfff30,
    0x405ff3fe,0xff880ffe,0x05ffc803,0x3ffffe60,0xffffffff,0x5ffc803f,
    0xffff7000,0x3e0009ff,0x83fea04f,0x003ffffc,0x7fdc0000,0xfc81ffff,
    0x0000006f,0x00000000,0x00000000,0xfe809ffb,0x4ffd804f,0x00000000,
    0x00000000,0x001fec00,0x501fffec,0x0000dfff,0x00000000,0x00000000,
    0x90000000,0x9ff41fff,0x7ff302ff,0x6402ff40,0xfd1005ff,0xb7115bff,
    0x300bffff,0x135bfffd,0x337ffe00,0x4c000fff,0x1be202ff,0x007ffff7,
    0xffb80000,0xfc86ffff,0x1000006f,0x5bddddd7,0x777776cc,0x8000000c,
    0xdeeeeeb8,0x3bbbb662,0x4ffd80ce,0x402ffec0,0x00004ffd,0x00000000,
    0x777776d4,0x03deeeee,0x83710040,0xb804fffa,0x76d43fff,0xeeeeeeee,
    0x776dc3de,0xeeeeeeee,0x6d44eeee,0xd980deee,0x80ceeeee,0xeeeeeeb8,
    0xb88000ee,0xeeeeeeee,0x8bfff000,0x205ff3fe,0x3ee00ffc,0x05ffc807,
    0x207fff90,0x206ffffa,0xffffffe8,0x7d401fff,0x3fff89ff,0x02ffd400,
    0xffff7026,0x3bbb6e05,0xeeeeeeee,0xff704eee,0xc87fff7d,0xddd906ff,
    0xf7009ddd,0x1fffffff,0x3ffffffa,0xeeeb884f,0x000eeeee,0xfffffff7,
    0x3ffffa1f,0xffd84fff,0x0bffea04,0x0013ff60,0x16f776d4,0x1ef776d4,
    0x3bbbbbb2,0x26eeeeee,0xfffffff8,0x1fffffff,0x3e606600,0x037fe47f,
    0x7c4bffd0,0xffffffff,0xf51fffff,0xffffffff,0xbfffffff,0x7fffffc4,
    0xfffffe85,0xfffb85ff,0x03ffffff,0xfffffb80,0xf003ffff,0xf3fe89ff,
    0x41ff605f,0xc807feb9,0xffa805ff,0xffff304f,0xfff307ff,0xffffffff,
    0x26ffd807,0xb3006ffd,0x001bffff,0x40ffffd4,0xfffffffa,0xffffffff,
    0x2dff705f,0x3f20fffe,0xffffa86f,0xfa805fff,0x27ffffff,0xfffffffd,
    0xfffffb83,0x5003ffff,0xffffffff,0x7fffffec,0x44ffd83f,0x0ffffda8,
    0x004ffd80,0xffffff88,0x7ffffc0f,0x3fffa2ff,0xffffffff,0x7ffffc7f,
    0xffffffff,0x3f6e200f,0xffabdfff,0x0fffa0ff,0x7c7ffa80,0xffffffff,
    0xf30fffff,0xffffffff,0xbfffffff,0xfffffff8,0x7ffffec2,0xfff984ff,
    0x06ffffff,0xfffff980,0xb006ffff,0xf3fe8dff,0x117fa05f,0x00fffffb,
    0xf900bff9,0xffd101df,0xfd0dffdf,0xfd97dfff,0x7fc409ff,0x07ffea3f,
    0x3fffffa0,0xff3003ff,0xfff301ff,0xffffffff,0x20bfffff,0xfff36ffb,
    0x4c37fe4b,0x5fffffff,0x9fffb300,0x7f654415,0xfff301ef,0x0dffffff,
    0x67ffecc0,0x3fb2a20a,0xfffb01ef,0xffffffff,0x3ff6005f,0xffff0004,
    0xfffd0fff,0x7ff43fff,0xffffffff,0x665447ff,0xccceffec,0x3ffe600a,
    0xffffffff,0x0fffc3ff,0x41fff100,0xffeccca8,0x440accce,0xccceffeb,
    0x5ffecccc,0x7ffff544,0x7ff6540f,0x372e601e,0x01ffffff,0xffdcb980,
    0xb801ffff,0x4ffa3fff,0x47ff02ff,0x7ffffff9,0x805ffc80,0xffb03ffe,
    0x41fff79f,0xe81cfffb,0x3ff204ff,0x027ff40f,0x7dc2ffe6,0x7c402eff,
    0xd7100fff,0x99999dff,0x20bffd99,0x3ff26ffb,0x20dff93f,0x5ffdaaa9,
    0x017ff200,0x73017ff2,0xffffffb9,0x2ffe4003,0xb02ffe40,0xffffffff,
    0x6c003dff,0x510004ff,0xf101ffff,0xfe817fff,0xecccccef,0xfc806fff,
    0x3fea005f,0xffffffff,0x7fcc4fff,0x7ffc000f,0x02ffe402,0xc809ffb0,
    0xfff705ff,0x3ff209ff,0x3ffee006,0x40004fff,0x4ffffffb,0x5dfffb00,
    0x40bfe7ff,0x33ffa2ff,0xfc807fb9,0x1fff805f,0xf35fffb8,0x3fff43ff,
    0x7c05ff70,0xfffb84ff,0x30ffe200,0x403dfffd,0xfd807fff,0x2ffe404f,
    0x7f46ffb8,0x06ffc8ff,0x400bff90,0xfc805ffc,0x3fee005f,0x2004ffff,
    0xfc805ffc,0x3fff605f,0x2fffffff,0x027fec00,0x7fdc0b66,0x4fffb84f,
    0xf107ffd0,0xf9003fff,0x3fea00bf,0xfa889cff,0x7cc3ffff,0x7fc000ff,
    0x2ffe402f,0x809ffb00,0xff705ffb,0xf903ffff,0x7ffc00df,0x000fffcd,
    0x3f37ffe0,0xffb000ff,0x3fe7ffff,0x3e65ff02,0x201fee4f,0x7cc05ffc,
    0x7ffcc0ff,0xf8bffe0e,0x015c04ff,0xddddfff5,0x807fffdd,0xffa83ffc,
    0xdfff03ff,0x809ffb00,0xff705ffb,0xcdfffa8d,0xff9006ff,0x2ffe400b,
    0x002ffe40,0xfff9bfff,0x17ff2001,0xd817ff20,0xfeaaadff,0x36001fff,
    0x3ff404ff,0x443fffb0,0x3fa06fff,0x3fffe83f,0x00bff900,0xd107fffe,
    0x41ffffff,0x2001fff8,0x6401fff8,0x3f6005ff,0x4cbf624f,0xfff703ff,
    0xff90dfff,0x3ffea00d,0x003fff89,0xf13fff50,0x6d4007ff,0x5ff3ffff,
    0x7fdcbfe0,0x3201fee0,0x7fcc05ff,0x3fffe20f,0xf897ffc1,0x6c0001ff,
    0xffffffff,0x4406ffff,0x6440effe,0xffe85fff,0x24ffd806,0x7ff32fd8,
    0x361bfee0,0x06ffefff,0x400bff90,0xfc805ffc,0xfff5005f,0x007fff13,
    0x32017ff2,0x3ff605ff,0x1ffffd84,0x809ffb00,0xff101fff,0x0fffecdf,
    0xfc85ffb0,0x3f2004ff,0xfff9805f,0x6ffff441,0x7ffc3fff,0x3ffe6002,
    0x02ffe400,0x7cc9ffb0,0xfb80a65f,0x43fffbef,0xfb006ffc,0x037fecdf,
    0x366ffd80,0xf50006ff,0x7c0bfe7f,0x5c3ff52f,0x5ffc807f,0xd17ffc40,
    0xff887fff,0x013ffe1f,0xfffff880,0xffffffff,0x7fec401f,0x7ff4c0cf,
    0x402ffec4,0x3fe64ffd,0xffb80a65,0xfffff886,0xbff9006f,0x02ffe400,
    0xd802ffe4,0x1bff66ff,0x402ffe40,0x3f605ffc,0xdfff904f,0x813ff600,
    0x2e01fff8,0xfffbcfff,0x5077d404,0xc800dfff,0xffb805ff,0xaffff445,
    0x7ff45ffe,0x1fff6006,0x8017ff20,0xfdcceffd,0x3fee007f,0x641fffd6,
    0xff8806ff,0x07ffea3f,0x47fff100,0x0001fffa,0x40bfe7fd,0x3bff12ff,
    0x3f201fee,0x5fff805f,0xf309fff9,0x07ffe8ff,0xfffc8044,0xcccccccc,
    0xf7004ffe,0xffb05fff,0x401ffe41,0xfdcceffd,0x3fee007f,0xfffff506,
    0x17ff200d,0x805ffc80,0xf8805ffc,0x3ffea3ff,0x05ffc801,0x3605ffc8,
    0x3ff204ff,0x4ffd804f,0x007ffe20,0xdffffffb,0x3ffe6000,0x7fe4000f,
    0x23ffe805,0x2e5fffe8,0x7ffd46ff,0x3fffa803,0x005ffc80,0x3ffffff6,
    0x3ee007ff,0x4bfff36f,0xfc806ffc,0x27ff40ff,0x03fff200,0x20009ffd,
    0x205ff3fe,0x3fff23ff,0x6400ffff,0xffd805ff,0xb06fffbf,0xfffb8dff,
    0x3ff6a22d,0x804fff82,0x3000fffb,0x441bfffb,0x037623ff,0x3fffff60,
    0x91007fff,0xfb035fff,0x3200dfff,0x3f2005ff,0x5ffc805f,0x40fffc80,
    0xfc804ffe,0x5ffc805f,0x15bffd30,0x06ffffa0,0x5bffd551,0xff755555,
    0xfff8803f,0x88001fff,0x8002fffe,0xfd805ffc,0xbfffd15f,0xfe85ffc8,
    0x3fe602ff,0xbff9006f,0x7fffec00,0x2007ffff,0x3ff26ffb,0x00dff93f,
    0xff709fff,0x7ffc001f,0x00fffb84,0x5ff3fe80,0xff913f60,0xa989ffff,
    0xaaeffdaa,0xffffa81a,0xffa80fff,0xffffe84f,0x4fffffdf,0x073ffee2,
    0x1cfffb88,0x3fffaa00,0x001ffdcb,0x3fffff60,0xf9807fff,0x46ffffff,
    0x006ffff8,0x6400bff9,0xffc805ff,0x84fff805,0x6400fffb,0xffc805ff,
    0x7ffffc45,0xff885fff,0xfff72fff,0xffffffff,0x03ffffff,0x07ffff50,
    0x13fff600,0x02ffe400,0x7f4fffe4,0x7ff445ff,0xcffff983,0x3ffff221,
    0x0bff9002,0x777ffec0,0x2e007ffe,0x7fff46ff,0x5406ffc8,0xeeeeefff,
    0x5003fffe,0xdddddfff,0x0007fffd,0x40bfe7fd,0xccb985fc,0x3fffa0bc,
    0xffffffff,0xffffd87f,0x6fff982f,0xfffffd10,0x2a3fffff,0x6fffffff,
    0xffffffd8,0x7fe4003f,0x0006ffff,0x7777ffec,0xffb807ff,0x41ffffff,
    0xa886fffb,0xaeffdaaa,0xff900aaa,0x0bff900b,0xeeefffa8,0x03fffeee,
    0x6402ffe4,0x7ffd45ff,0x507fffff,0x3f6bffff,0xffffffff,0xffffffff,
    0x0dffb001,0x17ffee00,0x05ffc800,0xffffff98,0x0fffd85f,0xffffff50,
    0x07ffffff,0x002ffe40,0x7fd49ffb,0xffb804c6,0x66fffd46,0x7fec06ff,
    0xffffffff,0xffb006ff,0xffffffff,0xfd000dff,0x7dc0bfe7,0xfff88007,
    0xffffffff,0x7fcc1fff,0x3ee21eff,0x36201fff,0xefffffff,0x3fffff21,
    0x7ffc0fff,0x005fffff,0x03ffffa8,0x24ffd800,0x204c6ffa,0xefffffd8,
    0xb8dffd04,0xffffffff,0x84ffffff,0xfc806ffb,0x7ffec04f,0xffffffff,
    0x37fdc06f,0x2227fe40,0xeffffffd,0x477ff602,0xffffffd9,0xffffffff,
    0xff9001ff,0xfff3000b,0x01ee881d,0xd802ffe4,0x10efffff,0x80bfffd5,
    0xfffffffa,0x64002fff,0x3f6005ff,0xb8ffa24f,0x6ffb80ff,0xffefffd8,
    0x3fffe206,0xffffffff,0x7fc401ff,0xffffffff,0x4001ffff,0x205ff3fe,
    0xb8003ff9,0xfffffffe,0xfc84efff,0xffffffff,0x1004ffff,0x3017dffb,
    0x7dfffffb,0xfffffd50,0x401b503d,0xbb302ffa,0x49ffb003,0x3fee3fe8,
    0x6c000000,0xffffffff,0x86ffffff,0x7402fff9,0x3fe203ff,0xffffffff,
    0x2601ffff,0x7f402fff,0x0000003f,0x90000000,0xf8800bff,0xffb81fff,
    0x02ffe404,0xffffff88,0x5fffffff,0xffffb100,0x90003bff,0x7ec00bff,
    0x7fec084f,0x886ffb83,0x06ffffff,0x3333fff2,0xffeccccc,0x67ffe404,
    0xeccccccc,0x7f4004ff,0x7f405ff3,0x7cc00406,0xfff5001f,0xffffffff,
    0xfc8007ff,0x4000005f,0x0ffa03fd,0xfd02ff98,0x9ffb00df,0x03ffd810,
    0xb3000cc0,0xffffffff,0x105dffff,0x7e40dfff,0x3ff201ff,0xcccccccf,
    0x2204ffec,0x3f206fff,0x198001ff,0x00cc0000,0x0bff9000,0x03fffe80,
    0xfc80bff9,0xfffb005f,0xffffffff,0x7f44009f,0x03503fff,0x400bff90,
    0xfe804ffd,0x06ffb83f,0x0dfffff5,0x5c027ffc,0x3fe00fff,0xfffb804f,
    0x7cffa000,0x37fea02f,0x201fe440,0xf88026fa,0xffdbafff,0x8000dfff,
    0x00005ffc,0x40a87fc0,0x3ff603ff,0x00bffb01,0xfd009ffb,0x7fcc007f,
    0xff10002f,0xfff90005,0x3ff2617d,0x27ffc05f,0x007ffdc0,0x217dfff9,
    0x005fffc9,0x002fff98,0x02fff980,0x05ffc800,0x813fff20,0x554c5ffc,
    0xaaaeffda,0xdefffc81,0x2dffffff,0x3fffe200,0xfcbeffff,0x5554c1ff,
    0x1aaaeffd,0x55bffd30,0xfd555555,0xfffc887f,0xffffd81a,0xcfffb886,
    0x3ffee201,0x7ffdc41c,0x3fee201c,0x997301cf,0x7bff19ff,0x3bfff603,
    0x802fffed,0x706fccff,0x35505fff,0x4ffa8000,0x7e400000,0x77fc5fff,
    0xfffccccc,0x4c015405,0xaaaadffe,0x3ffeaaaa,0x1bfb2200,0x023fcc00,
    0xfffffe80,0x00ffffff,0x039fff71,0x0e7ffdc4,0xffffffd0,0x001fffff,
    0x00dfd910,0x0dfd9100,0x3f6aa200,0x2a01aaef,0xaaabffff,0x25ffdaaa,
    0xfffffffe,0x227fffff,0x2a20efff,0xffd0000a,0xffffffff,0x7f43ffff,
    0xffffffff,0x3fe27fff,0xffffffff,0x3fffffff,0x3fffffe6,0x7fffc46f,
    0x7ffffd46,0xfffd86ff,0xff53ffff,0xb0dfffff,0x7fffffff,0xfffffff0,
    0x01fffffd,0x3ffffff2,0xfff7004f,0x13fe609f,0xdd100000,0x98000003,
    0x7fc2fffd,0xffffffff,0x7c40000e,0xffffffff,0xffffffff,0xfbdfd003,
    0x6ff4000d,0x3a2007fc,0xffffffff,0xffff501e,0xffb0dfff,0x207fffff,
    0xffffffe8,0xe8001eff,0x0006fdef,0x037ef7f4,0x7ffffec0,0x706fffff,
    0xffffffff,0x2bffffff,0xfffffff8,0x1fffffff,0x00003bfa,0x3fffffe0,
    0xffffffff,0x3ffffe24,0xffffffff,0xfffff51f,0xffffffff,0x7dc7ffff,
    0x1fffffff,0x3237ffdc,0xffffffff,0x7fffffc0,0xffff95ff,0xff81ffff,
    0x85ffffff,0xadffffec,0x4404fffe,0x000bcdca,0x220165c4,0x00000001,
    0x31000000,0x3bbbbb60,0x00003dee,0xfffffff5,0xffffffff,0x3ee007ff,
    0x20003fff,0x005ffffb,0xffffffb8,0x7fffe404,0x7fc0ffff,0x05ffffff,
    0x7fffffdc,0x3fee0004,0x5c0003ff,0x8003ffff,0xffffffff,0xfb80ffff,
    0xffffffff,0x2e5fffff,0xfffffffe,0x0a84efff,0xbd500000,0x3b2e6137,
    0xffeb80bd,0xffffffff,0x7fffec4e,0xffffffff,0x3623ffff,0x04efffff,
    0xfd98dffd,0xa83effff,0x1dfffffe,0xdfffffb3,0xffffd507,0x000003bf,
    0x00000000,0x00000000,0x00000000,0xd8000000,0xffffffff,0xffffffff,
    0x02ee6003,0x0b2e2000,0x03553000,0x3ffff660,0xffea83ef,0x3001dfff,
    0x20000355,0x00000bb9,0x20001773,0xffffffea,0xff703eff,0xffffffff,
    0x000bffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xd5000000,0x77776dc3,0xeeeeeeee,0x776444ee,
    0x3662deee,0x00ceeeee,0x00000750,0x06000018,0x0cc40006,0x004c0000,
    0x00002620,0x0000004c,0x04c00031,0x5ed40000,0x18800000,0x2dc88000,
    0x00098000,0x00018800,0x20000c40,0x98800098,0x04c0000a,0x01100000,
    0x13026000,0x5b973000,0x00188001,0x00000154,0xfff53fc8,0xffffffff,
    0xb8bfffff,0xffffffff,0xffffffd0,0x7ff5009f,0xfd300000,0xfe880005,
    0xda83fd12,0xffb8deee,0x0003efff,0xd9805fc8,0xa9dfffff,0x400ceeee,
    0x800003ff,0x98000ffa,0x200001ff,0x000ffdfe,0x003fe600,0x5fdff980,
    0x07fe6000,0x0ffa8000,0x1ff50000,0x47776dc0,0x0ceffffc,0x7ffff5c0,
    0xceeee9bf,0x000ffe01,0x001fee00,0x5fc97f20,0x3fffaa00,0xf7004fff,
    0x3ff6009f,0xf8000005,0xfffff33f,0xffffffff,0xffa8bfff,0x367fffff,
    0x3fffffff,0x005ffc80,0x037fd400,0x23ffa200,0x7fc46fe8,0xffffffff,
    0x00efffff,0x02ffd880,0x7fffffdc,0xffffffff,0x27fe403f,0xbff70000,
    0x1ffec000,0xf0fcc000,0x3ee00007,0x3640005f,0x740001f5,0xb80003ff,
    0x700005ff,0x7fc40bff,0xffffffff,0xe880efff,0xffffffff,0x05ffffff,
    0x00013ff2,0x0003ffc8,0xffd97fe4,0xffff9002,0x200fffff,0xe800ffff,
    0x000006ff,0xd7117fd4,0x99999dff,0x30bffd99,0x4159fffb,0x1effeca8,
    0x00bff900,0x06ffdc00,0x1dfd1000,0xff01dff3,0xffffffff,0x1fffffff,
    0x17ff4c00,0x3fffff60,0xffffffff,0xfb802fff,0x6c0000df,0xd80004ff,
    0x5c0004ff,0x40002f47,0x80005ffd,0x000be25e,0x0009ffb0,0x00027fec,
    0x4404ffd8,0xffffffff,0x46ffffff,0xffffffe8,0xffffffff,0x77fdc04f,
    0x3fa20000,0x7e40003f,0x005ffb3f,0x3bfffff2,0xfb004fec,0x376600df,
    0xeeeec881,0x3bb6a2de,0x07fffeee,0xfc809ffb,0x0bff905f,0x400bff90,
    0x00005ffc,0x00009ff7,0x3bfe1dfd,0xfffb5100,0xd73159ff,0x2200dfff,
    0x7dc01eff,0xca89bfff,0x1aefffff,0x01bfea00,0x003ffd80,0x017fee00,
    0xfb9cf880,0x7fec0001,0x5f500003,0x20000fb3,0xd8004ffb,0xb00003ff,
    0x2e2007ff,0x89bfffff,0x320fffda,0x988aefff,0x1bfffffd,0x00dff500,
    0x0017ff40,0x7e4bfee0,0xfff9002f,0x2000815f,0x00001cc8,0xfffffff7,
    0x3ffffa1f,0xb04fffff,0xffb809ff,0x00bff905,0x6400bff9,0xb00005ff,
    0xf100007f,0x0037e21d,0x80bfffee,0xa803fffd,0x7fc400df,0xfff100ef,
    0x3a6000df,0x3ff0000f,0xdf300000,0xfffb8000,0x2ff80004,0x7fec0000,
    0x2a00002f,0x1ff8006f,0x07fe0000,0x3ffff300,0x265fff10,0x3f205fff,
    0x44000fff,0xf88000fe,0xfd80000e,0x6400bf62,0x0000efff,0xf5000000,
    0x4fffffff,0xfffffffd,0x93ff604f,0x7ff32fd8,0x2017ff20,0x32005ffc,
    0x200005ff,0x20200000,0x3ffee000,0x06ffe804,0x3fea0010,0x7ffcc01f,
    0x00040006,0x00000000,0x000a8000,0x80000000,0x00000028,0x80000000,
    0xfff30000,0xba7fec03,0x7f400fff,0x010000ff,0x00000400,0x7cc00202,
    0x00000eff,0x80000131,0x0acfffd9,0x3bffb2a2,0x27fec00a,0x014cbff3,
    0xf900bff9,0x7fe400bf,0x02620005,0x0c400018,0x0fffdc00,0x403ffd40,
    0x7e401998,0xdffb006f,0x04ccc400,0x26662000,0x00000000,0x00999880,
    0x00000000,0x0c400000,0x00188000,0x00133100,0xb007ffcc,0x13ff69ff,
    0x003ffee0,0x80000988,0x00000098,0x07ffe400,0x3ff62000,0x4c03dfff,
    0x3ff200ee,0x05ffc805,0xb99dffb0,0x7e400fff,0x5ffc805f,0x77776dc4,
    0xeeeeffff,0xffc980bd,0xffb11eff,0x951001bf,0x017bfffd,0x200fff70,
    0xc880fff9,0xbdffffff,0x013ff61d,0x2a037fe4,0xffffffed,0xfdb5000c,
    0x019fffff,0x43eeedb8,0x0eeeeeb8,0x3fffb6a0,0x5c00cfff,0x5c43eeed,
    0xb80eeeee,0x5c43eeed,0x400eeeee,0xdfffeca8,0xd951000b,0x0017bfff,
    0x7fffff54,0xf302dabe,0x7fec01ff,0x5007ffd4,0xd8801fff,0x03dfffff,
    0x3ffff620,0x76dc03df,0x775c43ee,0xfff80eee,0xc8006a65,0xffffffff,
    0x9ff902ef,0x402ffe40,0xfb005ffc,0xffffffff,0x02ffe400,0x3ee2ffe4,
    0xffffffff,0x4fffffff,0x7fffffdc,0xffffecff,0x3fa200ef,0xffffffff,
    0x0fffdc01,0x5c3ffdc0,0xffffffff,0x3fee6fff,0x0dffd006,0x7fffffe4,
    0x400fffff,0xfffffffc,0xf500ffff,0xfb89ffff,0x901fffff,0xffffffff,
    0x3ea01fff,0x7dc4ffff,0x541fffff,0x5c4fffff,0x01ffffff,0x3fffffa2,
    0x4401ffff,0xfffffffe,0x7ec401ff,0xffffffff,0xfff307ff,0xda7fec01,
    0xffb804ff,0x3fff200f,0x2effffff,0x7ffffe40,0xa82effff,0x5c4fffff,
    0x41ffffff,0xffbafff8,0x7ec03fff,0xffffffff,0xffe82fff,0x017ff205,
    0x6c017ff2,0xffffffff,0x17ff2007,0xf517ff20,0xffffffff,0x7fffffff,
    0xffffffc8,0xffffffff,0xffd106ff,0xffffffff,0x7ffdc03f,0x2fffc406,
    0x3fffffe6,0x27ffffff,0x5c03fffa,0x3f606fff,0xffffffff,0x7fec06ff,
    0xffffffff,0xffff306f,0xffffa89f,0xfffb01ff,0xffffffff,0x3fffe60d,
    0x7fffd44f,0x7ffcc1ff,0x7ffd44ff,0xfd101fff,0xffffffff,0x3fa203ff,
    0xffffffff,0xfff101ff,0xffffffff,0xff301fff,0xa7fec01f,0xfd806ffc,
    0xfffb00ff,0xffffffff,0x3fff605f,0xffffffff,0x7fffcc2f,0x7fffd44f,
    0x7ffcc1ff,0xfffffffe,0xffffb80d,0xffdb98ac,0x37ff40ff,0x900bff90,
    0x3f600bff,0x7ffeeeff,0x017ff200,0x2e617ff2,0xeffecccc,0x881bcccc,
    0xffa8abdd,0xffc9cfff,0x7fff442f,0xffca88ad,0xfff702ff,0xfff503df,
    0xcfffd85f,0xfffb988a,0x067fff47,0x1bffff22,0x89acdd98,0x00fffda8,
    0x226b3766,0x00fffda8,0x109ffd51,0x203fff75,0x889acdd9,0x100fffda,
    0x5109ffd5,0x5103fff7,0x75109ffd,0xfd103fff,0x95115bff,0xe885ffff,
    0xa88adfff,0xd82ffffc,0x989aefff,0x81ffffdb,0x3600fff9,0x9fff54ff,
    0x07fffdc0,0x567fffdc,0xffffdb98,0x67fffdc0,0xfffdb98a,0x7ff5440f,
    0xfffba884,0x7ffffd41,0x5fffffff,0x00ffffcc,0xff89fff7,0x17ff207f,
    0x4017ff20,0x3fea4ffd,0xffc804c6,0x05ffc805,0x0017ff20,0x22fffec0,
    0x7fe46ffe,0x3ffe602f,0xfffff706,0xffffddff,0x0bffd07f,0x3e62ffc4,
    0xfeeeffff,0x006fffff,0x017ffc40,0x0bffe200,0x4409ffb0,0x20001fff,
    0x6c02fff8,0x3fe204ff,0x13ff601f,0xc81fff88,0x3e602fff,0x7ffe46ff,
    0x1bffe602,0xc809fff5,0x7dc40fff,0xffb00aff,0x0efffec9,0x1fffff91,
    0x01ffff98,0xf993ffee,0x3ee01fff,0x9ffb04ff,0x20fffc40,0xaefffffa,
    0x22fffeb8,0xc801fffb,0xfff10fff,0x02ffe40f,0xd802ffe4,0x8ffa24ff,
    0xffb80ffb,0x04ffd806,0x0017ff20,0x3fb372a2,0x7ffd41ff,0x2013ffe1,
    0xfb80fffb,0xffffffff,0xf904ffff,0x4157bdff,0xffff3028,0xffffffff,
    0x32ea00df,0x3fffbcde,0x9bd97500,0xd807fff7,0x3fe204ff,0xecba801f,
    0x03fffbcd,0xf1027fec,0x7fec03ff,0x07ffe204,0x2e013ffe,0x3ffe0fff,
    0x0fffb804,0x2201bff6,0x7ffd47ff,0xfd81ffff,0x3fffe24f,0xffffffff,
    0x7ffdc0ff,0x0fffc801,0x9003fff7,0xffb01fff,0x0fffc409,0x21bfffe6,
    0x3f25fff8,0xffffffff,0x1fffffff,0x201ffff3,0xfc805ffc,0x9ffb005f,
    0x83ffd810,0x2200fff9,0x32003fff,0x362005ff,0xffffffff,0xffffffff,
    0x00fff32f,0x2e0bffe2,0xfffeaeff,0x2201efff,0xffffffff,0x7e4402df,
    0xccffffff,0x7fd406ff,0xffffffff,0x7ffd403f,0xffffffff,0x027fec03,
    0x5403fff1,0xffffffff,0x7ec03fff,0x3ffe204f,0x813ff601,0x7cc1fff8,
    0xfff1007f,0x401ffe65,0x3fa2fff8,0x85b5003f,0xfffffffc,0x4c4ffd83,
    0xfffffffe,0x640fffff,0xffffffff,0xffffffff,0xffffff91,0xffffffff,
    0x9ffb03ff,0x40fffc40,0xfb01ffff,0x7ffff4df,0xffffffff,0xff52ffff,
    0x3ff203ff,0x05ffc805,0xd009ffb0,0xfff107ff,0x0fffe40b,0x00bff900,
    0x3fffffee,0xffffffff,0xf73fffff,0x7fec00df,0x266ffb85,0x3001acca,
    0xfffffffb,0x751009ff,0x3fee1579,0x3ffff606,0xffffffff,0x3ffff603,
    0xffffffff,0x027fec03,0x3603fff1,0xffffffff,0x6c03ffff,0x3fe204ff,
    0x13ff601f,0x5c1fff88,0x3f6006ff,0x00dff75f,0xfff2ffec,0xfd880003,
    0xd80dffff,0xfff904ff,0xfff59fff,0xfffffe81,0xffffffff,0xfffd2fff,
    0xffffffff,0xb05fffff,0x7fc409ff,0x04ffe81f,0x7ec3ffea,0xffffffff,
    0x3fffffff,0x205ffff5,0xfc805ffc,0xffe9805f,0xaaaaaaad,0xf903ffea,
    0x3aa17dff,0x64005fff,0xff9805ff,0xffecefff,0xffffffff,0x0dff53ff,
    0x5c27fec0,0x400006ff,0xffffecb9,0x5c0006ff,0xfff906ff,0xffdb9dff,
    0x3ff207ff,0xfedcefff,0x7ec03fff,0x3ffe204f,0xfffffc81,0xffffedce,
    0x027fec03,0x6c03fff1,0x3fe204ff,0x037fd41f,0x3ea9ffb0,0x3ff6006f,
    0x000bffe4,0x3ff60000,0x84d54c03,0x7ec0fff9,0xffffffff,0x3fffffff,
    0xfffffffb,0xffffffff,0x09ffb07f,0x6c0fffc4,0x3fea06ff,0x267fff27,
    0x99999999,0xfff70999,0x1bfee07f,0x8813ff20,0xffffffff,0xffffffff,
    0x3fffa03f,0xffffffff,0x27fdc000,0x417ffe40,0x9999fffc,0xff109999,
    0xfff1003f,0x00dff703,0x22017500,0x001fffda,0x221bfee0,0xd00aefff,
    0xfff107ff,0x3ffa015d,0x027fec03,0xf883fff1,0xfd00aeff,0x4ffd807f,
    0x807ffe20,0x3e204ffd,0x7ffc41ff,0x1fff8801,0x1003fff1,0x7ff43fff,
    0x80000003,0x90002fff,0xfff90fff,0x33333333,0x32133333,0x99999fff,
    0x99999999,0x204ffd80,0xfb81fff8,0xdffb02ff,0x002fffd4,0x07ffff90,
    0xd00bffe6,0x7fd407ff,0xffffffff,0x3fffffff,0x3ffffa20,0x001effff,
    0xb802ff98,0xfffb06ff,0x7fff4007,0x83fff400,0x40006ffb,0xfe804ff9,
    0x3ee0004f,0x1fffa86f,0x20fffe60,0x2601fffa,0x7ec03fff,0x3ffee05f,
    0x00fffd41,0xd807fff3,0x3fee05ff,0x17ff601f,0xe81fffb8,0x7f400fff,
    0x07fff47f,0xf91fffa0,0x32a003ff,0x3fea0001,0xff88001f,0x5fffa85f,
    0x3ffea000,0xffb00005,0x0fffdc0b,0x8577ffc4,0x6c5fffc9,0x980adfff,
    0x3ff65edb,0xfff104ff,0x0fffe40d,0x3fffff60,0xffffffff,0xfc803fff,
    0x00cfffff,0x4c006200,0xfb10cfff,0x2a23ffff,0x3fee0dec,0x7f540bff,
    0xffd984ff,0xb8000aaf,0x4c41dfff,0x4004fffb,0xaeffdaa8,0x82bffea0,
    0xcffffea8,0x057ffd41,0x9ffffd51,0x0fffdc03,0x5fffff71,0x20afffa8,
    0xcffffea8,0x87ffee01,0x2fffffb8,0x887ffee0,0x82fffffb,0x40bffffb,
    0x5c4fffea,0x540bffff,0x7cc4fffe,0x9880bfff,0x51006ffd,0x1ffffd75,
    0x6d5554c0,0xfb02ffff,0x73015bff,0xfffd8bdb,0xedb980ad,0x43fff705,
    0x2fffffb8,0xffffff90,0x881fffff,0xefffffff,0x2fffffff,0x405ffff7,
    0x30befffc,0x000bfff9,0x0013f600,0x880077f6,0xaaaaaaaa,0x40aaaaaa,
    0xffeffffe,0xfeffffff,0x7dc2ffff,0xffefffff,0xffe84fff,0x05ffffff,
    0x7ffffdc0,0xfffffeef,0x3fea001f,0x1fffffff,0xfdfffff1,0xffffffff,
    0x7fffc4df,0xffffffef,0xf306ffff,0xffffdfff,0x44dfffff,0xffefffff,
    0xffffffff,0xdffff306,0xffffffff,0x3ffe60df,0xffffffef,0xffb86fff,
    0xfffeffff,0xfff704ff,0xffffdfff,0x3ffea09f,0xfffeefff,0xfc806fff,
    0x1fffffff,0xffffff10,0x4409ffff,0xefffffff,0x2fffffff,0x3fffffe2,
    0xffffffef,0xffff982f,0xfffffffe,0xfffb06ff,0x05ffffff,0x3fffffa6,
    0xffffffff,0x00ffff10,0xfffffffd,0x0001ffff,0x0543fe00,0x0022fd80,
    0xfffffff5,0xffffffff,0x7fff447f,0xffffffff,0x1fffffff,0xffffffa8,
    0xf884ffff,0xffffffff,0x7ffd4007,0xffffffff,0x7e4002ff,0xffffffff,
    0x3ffffea3,0xffffffff,0x3fea0fff,0xffffffff,0x00ffffff,0xfffffff9,
    0x1fffffff,0x7fffffd4,0xffffffff,0xfff900ff,0xffffffff,0x3f201fff,
    0xffffffff,0xa80fffff,0xffffffff,0x7fd404ff,0xffffffff,0x7fffe404,
    0xffffffff,0xfffe801f,0x2a02ffff,0xffffffff,0xffe9804f,0xffffffff,
    0x7f4c0fff,0xffffffff,0xf900ffff,0xffffffff,0x201fffff,0xeffffffb,
    0xffffb801,0x0befffff,0x4400e6cc,0xfffffffe,0x000001ef,0x017ffff2,
    0x1fee77d4,0xffffff90,0xffffffff,0xffd88bff,0xebedcfff,0x01cfffff,
    0x3fffff66,0x3fb202df,0x03efffff,0xfffcfd80,0x00cfffff,0xffffd980,
    0x7540dfff,0xbdffffff,0xa83effff,0xdffffffe,0x03effffb,0x7fffffe4,
    0x83efffbd,0xffffffea,0x3effffbd,0x7ffffe40,0x3efffbdf,0x7ffffe40,
    0x3efffbdf,0x3ffff660,0xb3002dff,0x5bffffff,0x3fff6600,0x0befffff,
    0x9dffd500,0xfff90015,0x80037bff,0xfffffffb,0x2e00beff,0xffffffff,
    0x7e400bef,0xfbdfffff,0xa9803eff,0xa880009a,0x00009abb,0xfffff700,
    0x0000009f,0x005fffb3,0x00fffff4,0xffffffd1,0xffffffff,0x2aea203d,
    0x00157300,0x00037510,0xa9800000,0x00009abb,0x32a60000,0x260000aa,
    0x0000aaca,0x00135730,0x02ab2a60,0x4d5cc000,0xab980000,0xa8800009,
    0x5440001b,0x2620001b,0x001aabba,0x00000000,0x2aeea200,0xba880009,
    0x300009ab,0x00001357,0x00000000,0x0d54c000,0x44000000,0x37930001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2e881ae0,0x75c07d00,0x03e98000,0x7b975100,0x3ae00015,0x65440001,
    0x36e000ac,0x0003b300,0x000004cc,0x33310018,0x73000001,0x40005799,
    0x400000dc,0x4ccc4008,0x99999999,0x776dc199,0xeeda82de,0x000803de,
    0x87dddb70,0x0eeeeec8,0x80000000,0x00030001,0x90000000,0x4ccc001b,
    0x09999999,0x00003000,0x40004cc4,0x079102d9,0xfd016e4c,0x2013f607,
    0xff881ff8,0x7ffdc001,0xff91000d,0x05ffffff,0x1fffec40,0xffffc800,
    0xffb005ff,0x103ffc87,0xfd37ddd9,0x0005dfff,0xd00ff620,0x000dffff,
    0x7fffec40,0x26001eff,0x0002fffe,0xfb80ff70,0xffffffff,0x3e27ffff,
    0x40ffffff,0x2fffffff,0x873bff20,0x7ffd40a8,0x7ffdc4ff,0x74c00fff,
    0x00f74c1e,0x0027ec40,0x00003bea,0x09f709f7,0x2fffe980,0xfffff880,
    0x06ffffff,0x001bfe60,0xfffffea8,0x5c02dabe,0x3fee0dff,0x3ffff106,
    0x4c6ffee0,0xfd001ffd,0xffd5117d,0x77ff4c00,0x74403fff,0xffffffff,
    0xffb803ff,0x001effef,0x3ffffff2,0xfe8806ff,0x05ffeadf,0x3ffffff2,
    0x4fffffff,0x7ff4c000,0x3fffe600,0xf300006f,0xffffffff,0xfff9005f,
    0x0001bffd,0x2e027fe4,0xffffffff,0x7c7fffff,0xe87fffff,0x01ffffff,
    0x37fffffa,0x7fcc6ffd,0x7fd44fff,0x6c00ffff,0x27fe44ff,0x07ffa200,
    0x05ffd100,0x87ffe200,0x9001fff8,0x1bffdfff,0x7ffffc40,0x1fffffff,
    0x05fff900,0xffffd880,0x7fffffff,0xdafffc80,0xff501eff,0x7fec07ff,
    0x003fffff,0x3fffffe2,0xff3001ff,0x13ffa67f,0xdeffffc8,0x01fffffd,
    0x7dc7bff2,0xffb801ff,0xffffeeff,0xffff7003,0xfffb805f,0xffffffff,
    0x50002fff,0xfb003dff,0x0000dfff,0x37bffffa,0x200fffff,0xfc88dffe,
    0xfe88006f,0xfffb803f,0xffffffff,0x7fec47ff,0xffa880bf,0x75c401df,
    0x3fffffff,0x84ffea88,0x00fffba9,0x3ee17fdc,0x3fe6003f,0xfd10001f,
    0x3fa0007f,0xd007fe87,0xff911bff,0x7fffc40d,0x6fffffff,0x07ffea00,
    0xfffff880,0xffffffff,0xffea800f,0xfff804ff,0x7ff5400f,0xc88001ef,
    0x000cffff,0x3f203bee,0x07bff206,0xe817ffea,0x03fd884f,0x262effe8,
    0x3000fffe,0x26001bfd,0x8adffffe,0x006ffeb9,0x000dffa8,0x00037fe4,
    0x1067ffdc,0x2209fff7,0x1fea82ff,0x017ff400,0x999dffa8,0x7ffd9999,
    0x204fff88,0xa801fffb,0xfffffffd,0x027fec00,0x5001fff1,0x98006a03,
    0x80000eff,0x88003ffc,0x800a880a,0xfea82ff8,0x35fff101,0x00133333,
    0xd8005b70,0x989aefff,0x01ffffdb,0x003df910,0x10002ea2,0x00440000,
    0x00880300,0xff900f22,0x0600440d,0x207ffea0,0x4002fff8,0xfffd8001,
    0x00fff705,0x20009f90,0x80006ffb,0x3fa06ffd,0x0200206f,0x003df100,
    0x7f401ed8,0x1fff904f,0x00bfff10,0x3eb7fffe,0x7fec05ff,0x03ffe204,
    0xf7000000,0xfb800009,0x00000005,0xf1004004,0x000003ff,0x9fff5000,
    0x00fffc80,0x000000c0,0x00026662,0x80000c40,0x00000998,0x0003ffd4,
    0x02ffec00,0x22009ff9,0xffd80009,0x03ffe605,0xb8000200,0x00cc46ff,
    0x5c09ffd0,0x062007ff,0x00002000,0x01fff980,0xf709fff1,0x332003ff,
    0x0bffe60a,0x2204ffd8,0x00000fff,0x00000800,0x31000010,0x13100001,
    0x0fffc400,0x26620000,0x0dffb000,0x800fff10,0x00000998,0x3ffffb6a,
    0x22000cff,0xbdfffeca,0x3ffaa000,0x2dabefff,0x1bff6000,0x887dddb7,
    0x80eeeeeb,0x3e602fff,0x3ff6206f,0xb003dfff,0x7fc409ff,0x1330000f,
    0x8effb800,0x3efffffb,0xb037fec0,0x65440dff,0x00bdfffe,0x00026000,
    0xc80fff90,0x3fe20fff,0xf700005f,0x27fec0df,0x701fff10,0xb887dddb,
    0x000eeeee,0x00000000,0x7ffffec4,0x3f62003d,0x403dffff,0x3531fff8,
    0xffea8001,0x2dabefff,0x5003ffe8,0xffd5005b,0x5b57dfff,0xffff9000,
    0x1fffffff,0xffffd100,0x803fffff,0xffffffd8,0x007fffff,0x24fffd98,
    0x44fffffa,0x1ffffffb,0x100fffc4,0xff901fff,0xdfffffff,0x04ffd805,
    0x2203ffe2,0xfe9beeec,0x7002efff,0xffffffff,0x201bffff,0xf982fffb,
    0xffd104ff,0x3fffffff,0x77776dc0,0x5bfff911,0x13ffe000,0x5cbfff10,
    0x91001fff,0xf19dfffd,0x3ff605ff,0x03ffe204,0x89fffff5,0x1ffffffb,
    0xdddddd70,0x7775c009,0x64004eee,0xffffffff,0x7fe402ef,0xefffffff,
    0xfffff102,0x803dffff,0xffffffd8,0xf87fffff,0x200001ff,0xffffffd8,
    0x007fffff,0xffffffd8,0x406fffff,0xffffffe8,0x101fffff,0xffffffff,
    0x01ffffff,0xfffffd88,0x7fffcc6f,0x7fffd44f,0x7ffcc1ff,0x217ffc00,
    0xfffffffd,0x202fffff,0x3e204ffd,0xfffc80ff,0xffffffff,0xffb804ff,
    0xffffffff,0xe880ffff,0xfebbefff,0xfe881fff,0xffffffff,0xfff981ff,
    0xfffbafff,0x4003ffff,0xc801fff9,0xfff89fff,0xffff7005,0xffffffff,
    0x813ff607,0x7cc0fff8,0x7d44ffff,0xa81fffff,0x5fffffff,0xfffff500,
    0x7ec00bff,0xffffffff,0xffb02fff,0xffffffff,0xfff105ff,0xffffffff,
    0x3fffe207,0xffffffff,0x17ffc0ff,0xfff88000,0xffffffff,0x4c000fff,
    0xa889acdd,0xd100fffd,0x5115bfff,0xb05ffff9,0x3135dfff,0x03ffffb7,
    0xffffffb8,0xffea880f,0xfffba884,0x007ffcc1,0xffb8bffe,0xdb98acff,
    0xfb00ffff,0x7ffc409f,0xfffffb80,0xffffffff,0x7ffdc02f,0xea889dff,
    0xff305fff,0xffffffff,0xbfffd105,0xfff95115,0xffff885f,0xffffffff,
    0x2000ffff,0xf1007ffc,0x3fff9bff,0xfffffb00,0xffffffff,0x817ff60b,
    0xa880fffc,0xba884ffe,0xff981fff,0x005fffff,0xfffffff3,0x3ffee00b,
    0xfdb98acf,0x7fdc0fff,0xdb98acff,0x7c40ffff,0xffffffff,0xffd81fff,
    0xdb989aef,0x7f41ffff,0xfb00003f,0x73135dff,0x003ffffb,0x5fff1000,
    0x80bfff20,0x7d46fff9,0x7fe404ff,0x7ffcc00f,0x3603ffff,0x3fe204ff,
    0x07ffcc1f,0x7ccbffe0,0x3ee01fff,0x9ffb04ff,0x807ffc40,0xadffffe9,
    0x06ffeb98,0x017fffdc,0x3a05fff9,0xffffffff,0x2fffc80f,0x21bffe60,
    0xfffffaa8,0x5fea9cff,0x027ffc00,0xffffff70,0xffff500b,0x7fff4c17,
    0x3fffb06f,0x7ffffdc4,0x813ff602,0x5101fff8,0x00bffb55,0x7fed5544,
    0xffff9805,0x93ffee01,0x201ffff9,0xfd84fffb,0xffb31bef,0x4fffa8df,
    0x207ffe40,0x5001fffc,0x4fffa839,0x207ffe40,0x5d402dc9,0xfffbcdec,
    0x009fff03,0x7ec1fff7,0x7ff8806f,0xffb95100,0x3ff607ff,0x07ffe204,
    0xf801fff3,0x3fff72ff,0x41fff900,0x09dffe98,0x202fffa8,0xf705fffd,
    0xfffb80ff,0x85ffe804,0xfffffffd,0xfff86fff,0x0fffb804,0x3bffffe0,
    0x7cc00081,0x3e2001ff,0x801fffff,0x3601ffff,0xffb07fff,0xfffffdff,
    0x360dffff,0x3fe204ff,0xbff9001f,0x2ffe4000,0x00fffdc0,0xfb87ffe4,
    0xffc801ff,0x2e00980f,0x3ff62fff,0x87ff8806,0x80bffff9,0x6c6ffd98,
    0xff8806ff,0x0ffffc47,0x7fffffd4,0x983fffff,0xff1007ff,0x01fff45f,
    0x50002da8,0xfb01ffff,0x7ffc409f,0x007ffc41,0x7fe4bffe,0xffffffff,
    0x21ffffff,0x4ffffffd,0x37fffff4,0x2605ffd8,0x3ee00fff,0xffa800ff,
    0x67fffdc7,0x4ffffc89,0x4401ffe6,0x3fe02fff,0x00000dff,0x7000fff9,
    0x300bffff,0xf8809fff,0xfffb07ff,0xffffffff,0xfb01ffff,0x7ffc409f,
    0x0bff9001,0x02ffe400,0x7fffffe4,0xffffffff,0xffff91ff,0xffffffff,
    0x0003ffff,0x7f47fff1,0x05b5003f,0x3fffffea,0xffffffee,0x801fff46,
    0x7ffcc2da,0x7fffec3f,0xffffffff,0x006ffb83,0xfff97ff6,0x20000001,
    0xfd82fff9,0x3ffe204f,0x201fff81,0xffd1fff8,0xffffffff,0x45ffffff,
    0x7fffffff,0x3fffffe2,0x04ffd80f,0xb803ffe2,0xff3007ff,0x07fff41f,
    0x3ee7ffe8,0x3ff6006f,0x013ffe05,0x09fff000,0x3ffff100,0x05fff500,
    0x360fffd0,0xffffffff,0x03efffbe,0x7c409ffb,0xff9001ff,0x7fe4000b,
    0xffffe805,0xffffffff,0xffd2ffff,0xffffffff,0x05ffffff,0xf97ff600,
    0x200001ff,0xfffffffc,0x41ffffff,0x80001fff,0x3f20fffe,0xedceffff,
    0xfa83ffff,0x3ff6006f,0x000bffe4,0x9ffd0000,0x4409ffb0,0xffd81fff,
    0xd9ffe603,0xffffffff,0xffffffff,0x3ffffae3,0x7fff5c3e,0x09ffb03e,
    0x7007ffc4,0x3e600fff,0x13ffe0ff,0xf51fffa8,0x7fec00df,0x00bffe04,
    0x1fff9800,0x5fff8800,0x03fff500,0x360dffb0,0x0abcadff,0x04ffd800,
    0x4007ffe2,0x20005ffc,0xfd805ffc,0xffffffff,0x3fffffff,0xfffffffb,
    0xffffffff,0x3f20007f,0x00bffe5f,0xfffb3000,0x17dfffff,0x0005fff0,
    0xff882ea0,0xffd00aef,0x03fff107,0x743fff10,0x000003ff,0x6c2ffe40,
    0x3fe204ff,0x06ffb81f,0xffc9bff6,0x9999999f,0x00999999,0xffb00000,
    0x07ffc409,0x001fff70,0x7fc4fff7,0x3ffe201f,0x003fff12,0x7c03fff1,
    0x200002ff,0x90007ffc,0x26003fff,0x7c404fff,0x9ffb04ff,0x3ff60000,
    0x07ffe204,0x002ffe40,0x900bff90,0x33333fff,0x33333333,0x267fff21,
    0x99999999,0xb0000999,0x1fff49ff,0xe9880000,0x7401aacf,0x000003ff,
    0x9807ffea,0xffd03fff,0x7ffe801f,0x800fffe4,0xd10001ca,0xbffb05ff,
    0x40fffdc0,0xf982fff9,0x3ffea2ff,0x4c000005,0x9ffb0001,0x007ffc40,
    0x880bfff7,0x7ff45fff,0x83ffee04,0x7400fffe,0x7ffc07ff,0x3fe00002,
    0xff88004f,0x7ffc005f,0x3fff200f,0x009ffb03,0x817ff600,0x9001fffb,
    0x64000bff,0xffa805ff,0x3ea0005f,0x540005ff,0x2fff9801,0x4007fff2,
    0x3fa001ca,0xfff9000d,0x1072a003,0x7ffd4377,0x3ffaa20a,0xffb81cff,
    0x7f540bff,0x7ffcc4ff,0xfd9880bf,0x40bba66f,0x80fffea8,0x2e21fffb,
    0xd02fffff,0xf9119fff,0xfffb0fff,0xdb73015b,0x7ffc400b,0x27fec002,
    0x201fff10,0x1effffd9,0x41ffffa8,0x261bfffc,0x7dc6fffb,0x7540bfff,
    0x7fc04fff,0xf300002f,0x553003ff,0x017fffb5,0x0efffdc0,0xb037ffd4,
    0x200009ff,0x2e21fffb,0x002fffff,0x4000bff9,0xfb005ffc,0x73015bff,
    0xfffd8bdb,0xedb980ad,0x2077fee5,0x20fffeb8,0x80bffff9,0x006ffd98,
    0x4c01bffa,0x880bffff,0x7fc6ffd9,0xffff10ff,0xffffffdf,0xf70dffff,
    0xffdfffff,0x3ea09fff,0xfeefffff,0x326fffff,0xffefffff,0x304fffff,
    0xfffdffff,0x0dffffff,0xfffffff3,0xff105fff,0xffdfffff,0x005fffff,
    0x401bfb22,0x09dffe98,0xf82fffa8,0xffffffff,0xfffffeef,0xfffff983,
    0x2fffffff,0xffffffb8,0x04fffffe,0x59fff553,0x90003555,0xffd00fff,
    0xffffffff,0x7ffec001,0xffffeeef,0x13ff601f,0x7ffcc000,0xffffffef,
    0x55446fff,0xaaeffdaa,0xaaa880aa,0xaaaeffda,0xffff880a,0xffffefff,
    0x3fe22fff,0xffefffff,0xf92fffff,0xffdfffff,0xf507ffff,0xfddfffff,
    0x00dfffff,0x01ff79bb,0x3ffffea0,0xfffffeef,0x3fffea6f,0x3ffffea3,
    0xffffffff,0xffa80fff,0xffffffff,0x7fffe404,0xffffffff,0x3fffe61f,
    0xffffffff,0x7fffe403,0xffffffff,0xfffb80ff,0x203fffff,0xffffffe9,
    0x0fffffff,0x6fdefd80,0xfffffb00,0xffffe89f,0x3fffe66f,0xffffffff,
    0x2604ffff,0xffffffff,0x3fea02ff,0xffffffff,0xfffffd04,0xffffffff,
    0x1ffec001,0x3ffffe20,0x02ffffff,0x3ffffa20,0x03ffffff,0x0001ffdc,
    0xffffff90,0xffffffff,0x3ffffee1,0xffffffff,0x3fffee4f,0xffffffff,
    0xffe984ff,0xffffffff,0x7f4c0fff,0xffffffff,0x3fa0ffff,0xffffffff,
    0x3ff204ff,0xffffffff,0xff801fff,0x64005fff,0xffffffff,0x221fffff,
    0x7540ffff,0xbdffffff,0x203effff,0xffffffd9,0xffb3002d,0x7dffffff,
    0xffffb301,0x005dffff,0x3ffffff2,0x03efffbd,0x3bffffaa,0xffff7003,
    0x17dfffff,0x3fffee00,0xfffff003,0x7ffc4fff,0x3b20ffff,0xffebefff,
    0x801effff,0xffffffd8,0xffd9801d,0x102dffff,0xffffffff,0x03ffffff,
    0xc80374c0,0xfffffffe,0xff50005f,0x01bfffff,0x0001bd10,0xfffffc80,
    0x3efffbdf,0x3ffffff6,0xffffffff,0x3fffff66,0xffffffff,0x3ffee06f,
    0xbeffffff,0x3fffee00,0x0befffff,0x7ffff5c4,0x9801efff,0xfffffffd,
    0x71000bef,0x300019fb,0xfffffffb,0x993017df,0x55654c03,0x75100000,
    0x54c40003,0x1001aabb,0x00135553,0x004d5cc0,0x002aa200,0x4d5dd440,
    0x2ee60000,0x3ffae000,0x7f5c3eff,0x4c003eff,0x00009aba,0x40003551,
    0xd7001ba8,0xffffffff,0x00009dff,0x00000000,0x0026eea6,0x30000000,
    0x26001357,0xfffffffd,0x22efffff,0xffffffd9,0x2effffff,0x9abba880,
    0xbba88000,0x2660009a,0x80009aaa,0x1aabba98,0x80000000,0x1aabba98,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4c400000,0x0004c099,
    0xb9510000,0xdb800057,0x31000000,0x07d00133,0x4400075c,0x31000000,
    0xdc800133,0x33310000,0x980ed400,0x3000002d,0x00000000,0x00000098,
    0x301da800,0x0000005b,0x075407b0,0x36e04d80,0x0054c000,0x16e03d88,
    0x40044000,0x20000000,0x000000dc,0xb8800133,0xd000000c,0x7ecbffff,
    0x709f701f,0x3fea009f,0x001effff,0x01ffff4c,0x3fffa000,0x0ffc405f,
    0x9800ffc4,0x00dffffd,0xffffd000,0x3ffa600b,0xff91002f,0x3b7bffff,
    0xf90fff20,0xd000009f,0x427dc0ff,0x76dc04fb,0xff911eee,0x330005bf,
    0x3201f700,0x2ffdc4ff,0x0dffd980,0x81ff8800,0xf8801ff8,0x3ffa21ef,
    0x3fffe001,0x1eff9800,0x0003ffa6,0xfa80df70,0x2000001f,0x002fffe9,
    0x5cbddb71,0x02effffe,0x23ffffb8,0x260003fa,0x3e5fffff,0xfff883ff,
    0x007ffe21,0xfffffff7,0x3ee003ff,0x00dffeff,0xffff9800,0xbefe805f,
    0x007fea88,0xfffffff5,0xf980005f,0xc805ffff,0x0dffefff,0x3ffffee0,
    0x06ffffff,0xfd5dffb1,0x4fb801bf,0x03fff300,0x7c43fff1,0xfff301ff,
    0xfff75fff,0x7007ffff,0x19dffffd,0x36205fb0,0xeffeaeff,0xffffb800,
    0xfe8002ff,0x7fea88be,0x33ffea00,0x2003fffb,0x001ffff9,0xff97fff5,
    0xfd80005f,0x1ffe403f,0xffc80000,0x400dffef,0xd8effffb,0xffffffff,
    0x37bfea02,0x03ffdfff,0x7fffec00,0x7407faa5,0x407fe87f,0xfdfffff9,
    0x6c00ffff,0xfff90dff,0xffb00001,0xff100bff,0x03ffffff,0xffffff10,
    0x0001ffff,0x05ffffc8,0xfc86ffec,0xfff980ef,0xffffffff,0x7ffdc07f,
    0xfff003ff,0x03fae001,0x3ff43ff4,0xffffff10,0xffffffff,0x3fa601ff,
    0xefffffff,0x2a00ff41,0x003fffff,0xfb339ff3,0xff88001f,0x01ffffff,
    0x7fffec40,0xeec8001e,0x7fec4004,0x20000dff,0xb503ffe8,0xdddffffd,
    0xfe80005b,0x6ffc88df,0x7ffffd40,0xfffffffe,0x5d300fff,0x027fffd4,
    0x8bff9000,0x202a206c,0x7fec00a8,0x3fff223f,0x4c1ffc04,0x200002fe,
    0x91005ffc,0x0019ffff,0x2673ffee,0x0004fffc,0x3bff2662,0x82ff8819,
    0xffd81fea,0xfb988acf,0xfd8807ff,0xfff1000d,0x102ec003,0x80151015,
    0xfffffaa8,0x5fea9cff,0xffffff30,0x27ffffff,0xfb1007f8,0x2fe4001d,
    0x440017f4,0x00cffffc,0x00ffea00,0xf7000000,0xf880007f,0x3ff601ff,
    0xffffffff,0x3fe20005,0x401fea82,0xffffffd9,0xdfff931c,0x00bb8800,
    0x2ffe4000,0x000003f3,0xc827ffc4,0x02200fff,0xc8000030,0x088005ff,
    0x85ffd800,0x20006ffd,0xfffffffd,0x0400883f,0x2205ffe8,0x006005ff,
    0x003fff10,0x000003ee,0xefffff80,0xffd10081,0xf95115bf,0x09fd5fff,
    0xfd800180,0x0004fb82,0x10000044,0x00000001,0x20000220,0x64c00ef9,
    0xccceffec,0x0040001c,0xfffb8004,0xfffb00ef,0x00062001,0xff902620,
    0x98801f4b,0xff300099,0x3ffe203f,0x09998802,0x40988000,0x44005ffc,
    0xffd80009,0x007ffb84,0xfc9884c4,0x988009ef,0xfffc8019,0x0a20abde,
    0x000ccc40,0x2003fff1,0x00c4002f,0x1bffff00,0x3fffd800,0x3ffffea0,
    0x8000000e,0x03fd84fd,0x40000000,0x00000018,0x004ccc40,0x6c000400,
    0x004cc4ff,0xb8000000,0x2600ffff,0x95101fff,0x017bfffd,0x3ffff660,
    0x05ffc8cf,0x3fffb6a0,0x2a00cfff,0x7ff407ff,0xfffdb503,0x40019fff,
    0xcfffffd9,0x8805ffc8,0x3dfffffd,0x889ffb00,0xd9806fff,0xc8cfffff,
    0x7e4405ff,0xdbdfffff,0x7ffffc41,0x402dffff,0xffffffc8,0x775c1dbd,
    0xeeeeefff,0x22000cee,0xbdfffeca,0x13ffe000,0x13ffea00,0x03bffea0,
    0x10fbbb6e,0x01ddddd7,0x7fd43ff7,0x7776dc01,0x77775c43,0x7654400e,
    0x000bdfff,0xa800f744,0xffffffed,0x0000000c,0x3b2b3ff6,0x4c02efff,
    0x203deeed,0x82deeedb,0xf801fffb,0xffe882ff,0x1fffffff,0x7ffffe40,
    0x5fffffff,0xfffff900,0x01ffffff,0x4403ffea,0xffc84fff,0xffffffff,
    0xfffc800f,0xffffffff,0x7ffe405f,0x2effffff,0xdaa7fec0,0x6403ffff,
    0xffffffff,0x2e05ffff,0xffffffff,0xfd986fff,0xffffffff,0xfffff704,
    0x4dffffff,0xfffffffa,0x3fffffff,0xffffd100,0x003fffff,0x2000bffe,
    0xd000fffc,0xfff50dff,0xfffb89ff,0xffd01fff,0x2889ffdd,0x13ffffea,
    0x3ffffff7,0x7ffff440,0x001fffff,0x3200ffea,0xffffffff,0x3b200fff,
    0xeeeeeeee,0xfd80eeee,0xffffffff,0x3ffa04ff,0xf982ffff,0x40ffffff,
    0xff006ffb,0xfffe885f,0xffffffff,0xfffffd01,0xffffffff,0x3fff600b,
    0xffffffff,0x07fff106,0x361bfff6,0xffffffff,0x7f406fff,0xffffffff,
    0x3605ffff,0xffffffff,0x3602ffff,0xffffacff,0x7fff407f,0xffffffff,
    0xfff305ff,0xffffffff,0x765cc0ff,0x46ffffff,0xfffffff9,0x267fffff,
    0xffffffff,0x02ffffff,0xfffffe88,0x01ffffff,0x8002fff8,0x2a003ffe,
    0xfff987ff,0x7ffd44ff,0xfb101fff,0x3ae29fff,0xffff33ff,0xffffa89f,
    0xffd101ff,0xffffffff,0x3ff6003f,0xffffd805,0x6fffffff,0x3fffff60,
    0xffffffff,0xfffffd80,0x2fffffff,0xffffffb0,0xfffff103,0x0dff70df,
    0xe88bffe0,0xa88adfff,0x5c2ffffc,0x989bffff,0x05fffffb,0x1359bb30,
    0x01fffb51,0xf703bffe,0xbb30ffff,0xfb511359,0x3fee01ff,0xfb989bff,
    0xf705ffff,0x73159fff,0x201ffffb,0xfffacffd,0xff705fff,0xf73137ff,
    0x360bffff,0x988acfff,0x5d47fffb,0xfffb5100,0x567ffec3,0x7fffb988,
    0x5fffdd44,0x01aaaaaa,0xadfffe88,0xffffca88,0x017ffc02,0x000fffc0,
    0x5101fff1,0x75109ffd,0xa8803fff,0xffffebaa,0x3ffaa20d,0xfffba884,
    0xdfffe881,0xfffca88a,0x3ffaa02f,0xcdd9805f,0xffda889a,0xffffb00f,
    0xffffffff,0xffffb01f,0xfff7315b,0x67ffdc0b,0x2e659951,0xfb80cfff,
    0x5fff006f,0x3017ffe4,0x7fccdfff,0xfff300ef,0x440000bf,0xff502fff,
    0xfffb57ff,0x10001fff,0xff305fff,0x3fe601df,0xfff985ff,0x3ffee01f,
    0x2a9ffb04,0x45fffffd,0x300efff9,0x3a0bffff,0x3fe205ff,0x2013fe65,
    0x3ffa4ffe,0x417fe205,0x0001fff8,0x3017ffe4,0xff80dfff,0x7fcc002f,
    0x7ffc000f,0x813ff602,0x4c01fff8,0xadffffeb,0x813ff600,0xfc81fff8,
    0x3fe602ff,0xfffe886f,0x100005ff,0x3f605fff,0xfdaaaadf,0xffb03fff,
    0x1fff209f,0x7f47fff0,0x03ffe67f,0xf8037fdc,0x13ffe2ff,0x5c3ffee0,
    0x7d400fff,0xba8005ff,0xfffbcdec,0x3ffff603,0x7fffffff,0x66f65d40,
    0xfb83fffb,0x7fd400ff,0x1fffb85f,0x80fffc80,0x6d444ffd,0x3fee5fff,
    0x7ffd400f,0xbdfff905,0x2e144157,0x4c41dfff,0x3f24fffb,0x20abdeff,
    0x3ffe2028,0x7ffc0001,0x0fffb804,0x67ffd54c,0x2601aaaa,0x7c000fff,
    0x3ff602ff,0x07ffe204,0x3ffffb26,0x3ff6002d,0x07ffe204,0x2e013ffe,
    0x3fa20fff,0x000befff,0x5e6f65d4,0xff903fff,0x3ffff985,0x9813ff60,
    0x3f600fff,0x5ffff35f,0xfb81ffee,0x5fff006f,0x4401ffe6,0x9ffb2fff,
    0x017ffa00,0xffffffa8,0x203fffff,0xffffffd8,0xf506ffdf,0xffffffff,
    0x9ffb07ff,0x217ffa00,0xfffffffc,0xffffffff,0x04ffd81f,0x7ec3fff6,
    0xbffd004f,0x3ffffe20,0xb82dffff,0xeeffffff,0x21ffffff,0xfffffff8,
    0x7c402dff,0x260001ff,0xff1007ff,0x7ffff45f,0xffffffff,0x1fff880f,
    0x07ffe200,0x2204ffd8,0x7fcc1fff,0xfec8acff,0x27fec01d,0x983fff10,
    0xff1007ff,0x77ffdc5f,0xfffa8002,0xffffffff,0x541dd303,0x6c03ffff,
    0x3fe604ff,0x5ffee00f,0xfb5ffffc,0x37fdc0bf,0xf72fff80,0x7fec00df,
    0x2007ffd5,0xfb005ffd,0xffffffff,0xb5007fff,0xffb19fff,0xfffffb09,
    0x7fffffff,0x2007ffd0,0xffe85ffd,0xffffffff,0x82ffffff,0x3e204ffd,
    0x07ffd2ff,0x9817ff60,0xfffffffd,0x7ffd44ff,0xffffffff,0xffd982ff,
    0x4fffffff,0x007ffe20,0x006ffb80,0x7fc57ff6,0xffffffff,0xfd01ffff,
    0x7fcc007f,0x13ff600f,0x441fff88,0x3ffe61cd,0x3f603fff,0x3ffe204f,
    0x0037fdc1,0x7ff4bffb,0xfffb0006,0xffffffff,0x7fd4007f,0xffd803ff,
    0x03ffe604,0xff9fff98,0xfff8ffff,0x01bfee03,0xffa97ffc,0x53ff6006,
    0xfb003ffe,0xfff900bf,0xffdb9dff,0x208007ff,0x7e42fff9,0xedceffff,
    0xfe83ffff,0xbffb003f,0xffffffb0,0xffffffff,0x9ffb07ff,0xfd4ffd80,
    0x3ff6007f,0xfecb9805,0x6c6fffff,0xffffffcf,0x5cc00cff,0xffffffec,
    0x03fff106,0x037fd400,0x75c9ffb0,0xffffffff,0x3f604eff,0x3ff6006f,
    0x027fec06,0x2003fff1,0xffc9adfe,0x409ffb01,0x7d41fff8,0x3ff6006f,
    0x805fff14,0x7fffe419,0xfffedcef,0xfff5003f,0x3ff6007f,0x03ffe604,
    0xfffbfff0,0x3fffbfff,0x8037fdc0,0xfff11fff,0x3fff1003,0x74017ff2,
    0x7fc405ff,0xffd00aef,0x3fa20007,0x3ffe20ff,0x7ffd00ae,0x200bff90,
    0xffc85ffe,0x9999999f,0x80999999,0x32024ffd,0x0bff95ff,0x5417ffa0,
    0xffb5100b,0x7fd4c03f,0x02ea009c,0x0fffed44,0x000fffc4,0x003fff10,
    0x0003fff1,0x1fffd400,0x01fffd40,0xf8813ff6,0x7fa801ff,0xffb04fd8,
    0x0fffc409,0x2007ffe2,0xff11fff8,0x97fd405f,0x00aefff8,0xf5007ffd,
    0x6c007fff,0x3fe604ff,0x7ffec00f,0xffffceff,0x37fdc07f,0xd0fffc40,
    0xfe801fff,0x0bffee7f,0x80bfff70,0x2601fffa,0x98003fff,0x7d42fffe,
    0x3fe601ff,0x2fffb83f,0x42fffdc0,0x0005fffa,0x3f69ffb0,0xfba7ff45,
    0x7fdc02ff,0x04ff985f,0xe804ffe8,0x3fe600df,0x84ffe804,0x4402fff8,
    0x03fffa01,0x200fffd0,0xfd8000a8,0x3fe602ff,0x5ffd806f,0x007ffee0,
    0x1be613ee,0xf702ffec,0xfffd03ff,0x47ffe801,0x3f206ffe,0x03fff54f,
    0x201fffcc,0x083ffffa,0x9813ff60,0x7dc00fff,0xff9bffff,0x32205fff,
    0x7e400eff,0x7fffdc7f,0x7fff540b,0x2ffffa24,0x7fffe440,0x3ffea02e,
    0x3ffaa20a,0x0a881cff,0x0fffff26,0x882bffea,0x1cffffea,0x05ffff44,
    0x3bffff22,0xadfffd82,0x85edb980,0xff8dffea,0x27fff52f,0x40bfffe8,
    0x2effffc8,0x20efffdc,0x04fffb98,0x2e06ffe8,0x4c41dfff,0xff04fffb,
    0x765441bf,0xfff703ff,0xffea817f,0x9ffd004f,0xffff8800,0x3ffee21c,
    0xfffb801f,0x3fffee21,0x85fb802f,0xfff705fb,0x7fffdc43,0xffffb82f,
    0x7fff540b,0x6ffffdc4,0x5ffffdbb,0x4415fff5,0x1cffffea,0x05ffff50,
    0xfe981ff5,0xffb881df,0x3fe600bf,0xfffd0fff,0x3ffe607f,0x77644fff,
    0xffb83fff,0xfffeffff,0xfff984ff,0xffffefff,0x81ffffff,0xfefffff8,
    0xffffffff,0x3fffe26f,0x05ffffff,0xfdfffff1,0xffffffff,0xffff98df,
    0xfffffeff,0x221fffff,0xefffffff,0x2fffffff,0xbffffff3,0xfffdfffd,
    0x7fffcc1f,0xfffffeff,0xf71fffff,0xfddfffff,0x403fffff,0x00ffbcdd,
    0xdffffff7,0x3ffffffd,0x3fffff60,0x5ffffffe,0x3ffffee0,0x4fffffef,
    0x3ffb7100,0xffffa800,0xffffffff,0xffff3004,0xfffffffd,0xff980dff,
    0x4c0ffa22,0xfffeffff,0x86ffffff,0xeffffffb,0xd04fffff,0xffffffff,
    0x3fe2bfff,0xffffefff,0x46ffffff,0xaadffffa,0x22ffeaaa,0x5ffffffe,
    0x3fffffea,0x3fffe01f,0x07fffee5,0x7fffffdc,0x3ffffe65,0x3fffea06,
    0x04ffffff,0x3fffffea,0xffffffff,0xfff503ff,0xffffffff,0x261fffff,
    0xffffffff,0x7ffd403f,0xffffffff,0x540fffff,0xffffffff,0xffffffff,
    0x7ffff4c3,0xffffffff,0xfffff70f,0xfffff7ff,0xfff507ff,0xffffffff,
    0x2a7fffff,0xffffffff,0x202fffff,0x05fffff8,0x3fffffea,0x2fffffff,
    0x3ffffe20,0x1effffff,0x7ffffd40,0x004fffff,0x03ffbdf7,0xffffd500,
    0x005fffff,0xffffffc8,0xffffffff,0x6f7fe400,0x7fe406ff,0xffffffff,
    0xfa80ffff,0xffffffff,0x3ff6204f,0xcfffffff,0x3ffffea0,0xffffffff,
    0xfff10fff,0xffffffff,0x3fe27fff,0x327fffff,0x3fffffff,0x88bfff60,
    0x36207fff,0x741efffe,0x4c01dfff,0xdffffffd,0xfffd8802,0xffdcffff,
    0x3aa00dff,0xbdffffff,0x643effff,0x0cffffff,0xffffd500,0xffff7bff,
    0x3ff6207d,0xfdcfffff,0xf700dfff,0xffffffff,0x7fec417d,0xfffb2eff,
    0x7ec407ff,0xdcffffff,0x360dffff,0xffffffcf,0xb8800cff,0x7ec00cfd,
    0xfffffffc,0xfd9800cf,0x2dffffff,0x3fff6600,0x2002dfff,0x005ffff9,
    0x3ffff220,0x90000dff,0x7bffffff,0x2007dfff,0x00dffffc,0xffffffc8,
    0x03efffbd,0x3fffff66,0xdb5002df,0x5405bdff,0xdffffffe,0x23effffb,
    0xfffffff8,0x3fffffff,0x3bffffae,0x3ffff622,0x3fee00df,0x006ffc87,
    0x00153100,0x00037510,0x006aea62,0x55654c00,0x15530000,0x5654c000,
    0x4c40000a,0x80001aba,0x009abba8,0x0aba9800,0x35753100,0xbba98000,
    0x0000009a,0x4d5dd4c0,0xbba88000,0xa880000a,0x2a20001b,0x2600001b,
    0x200001aa,0x00009ab9,0x00035510,0x00013573,0x00037510,0x59530000,
    0x7fc40015,0xffffffff,0x0003ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x440f6200,0x0000004c,0x00017710,
    0x4c400180,0x00009999,0x40002ee2,0x01b500cc,0x13333310,0x01a98000,
    0xb300db80,0x4cccc405,0x80004c09,0xca880099,0x5300001c,0x20000019,
    0x400003b9,0x003ae03e,0x4c881ec4,0x0007ae00,0x51000000,0x32e60007,
    0x220001bc,0x31001999,0xa8800035,0x9a880001,0x03300001,0x005ed400,
    0xa83bfe60,0xfb800ffe,0xffb80004,0x00bea3ff,0x1007ffa0,0xbffffffd,
    0x3ffee000,0x880bea3f,0x3f622fff,0x3ffe202f,0x7005ffff,0xffffb519,
    0x3f6009df,0x427fe43f,0xfffffff8,0x4003ff65,0xffffffea,0x7fffec1d,
    0xd88001ff,0x0000ffff,0x17fff620,0x1ff88000,0x5001ff88,0x7fd41bff,
    0xfffd8807,0x07b62003,0x22005db1,0x005ffeca,0x7fffffd4,0xfe8000df,
    0x3f2607ff,0x00dfffff,0xfffeca88,0x404d9adf,0xffffffdb,0xd7004cac,
    0x009dffff,0x002fffdc,0x7e5fffdc,0xfff001ff,0x7fd40001,0xffdfffee,
    0x7ffd4002,0x7fffd404,0xa8005fff,0xdfffeeff,0x7fcc02ff,0x03fffbcf,
    0x7fffffdc,0xfff9805f,0xffffffff,0x7f4401ef,0x05ffeadf,0xfffffff7,
    0x401fffcb,0xfffffffe,0x33fe67ff,0x8005fea9,0x00ffeffa,0x3ffea000,
    0x7400005f,0xfea88bef,0x7ffdc007,0x401fffdb,0xeffefffb,0x46ffb801,
    0x75406ffb,0x05ffffff,0x3ffffee0,0x001fffff,0x21ffffee,0xffffffe9,
    0x2602ffff,0xfffffffe,0x881fffff,0xfffffffd,0x201fffff,0xffffffe9,
    0xfd801eff,0xd30007ff,0x001bffff,0x0007ffe2,0x3fea2e98,0xf98004ff,
    0xffd802ff,0x8005ffff,0x3ffea2e9,0xffb1004f,0xd1003dff,0x0bffffff,
    0xffffff50,0xffffffff,0xffff7005,0x7ff4405f,0x3aa5ffff,0x7ffe401f,
    0x7fffffff,0x007fd404,0x00ff9840,0x5fc84000,0x7fc40000,0x01ffffff,
    0xffffe980,0x77fe400c,0x803fff71,0x7fcc4ff9,0x3fffe204,0x7005ffff,
    0xfdbfffff,0x1001dfff,0x90ffffff,0xffffffff,0xf503ffff,0xffffffff,
    0x887fffff,0xfffffffe,0x03ffffff,0xfffffff3,0x807fffff,0x0005fffa,
    0x20017fdc,0x0001fff8,0x000bb880,0x3000f6a0,0x000bff93,0x0005dc40,
    0x40027fd4,0x05ffd998,0xadffffa8,0xffffb511,0x1bfd3001,0x3f666200,
    0x7c03645f,0xa999aeff,0x3aaa01cb,0x7cc0006f,0x9000000f,0x100000bf,
    0x019ffff9,0x02ffc800,0xfd109fd0,0x26053007,0xeffff802,0xff005ffe,
    0x7e4c15df,0xffc804ff,0xffc87fff,0xfda89bdf,0x7ffc46ff,0xfd531bdf,
    0x7fc47fff,0x7311bdff,0xd107ffff,0x5115bfff,0x803ffff9,0x300002c9,
    0xfff10001,0x26200003,0x00000099,0x05ffc800,0x40000000,0xfc800018,
    0xfffa805f,0x2fffdc03,0x64000300,0x007ea5ff,0x0003fff3,0x007ffff6,
    0x001ff300,0x017f2000,0x00110000,0x20009800,0x0000c008,0x21593000,
    0xfa805ffc,0x3ffa01ff,0x7fffcc05,0x5ffb87ff,0xd83fff20,0x7e405fff,
    0x3fff23ff,0x1fffc404,0x501fffec,0x0000dfff,0x20098000,0xeefffeec,
    0x00ceeeee,0x3ffffb6a,0x00000cff,0x0bff9000,0x0fbbb6e0,0x1ddddd71,
    0xc8000000,0xff9805ff,0x3fff9006,0xf9000000,0x5401f4bf,0x260007ff,
    0x5c05fffd,0x01ff300d,0x64016d40,0x0b6a005f,0x30000000,0x00000013,
    0x64000000,0xff9805ff,0x03ffdc04,0x3feffff6,0x203ff987,0x3fe1fff8,
    0x5fff004f,0x4017ffe2,0x7fd41ffc,0xfffa804f,0x6dc00003,0xf911eeee,
    0xffa85bff,0xffffffff,0xf903ffff,0xffffffff,0x776401ff,0xeeeeeeee,
    0x7e400eee,0x3ea0515f,0x7dc4ffff,0x701fffff,0x09dddddd,0x02ffe400,
    0x3e002fe8,0x3bbb23ff,0xeeeeeeee,0x7fe400ee,0xfddb5005,0x2e0000ff,
    0xffea82ff,0x001ff303,0x900dffb1,0xffb100bf,0x3bbbae0d,0xd91004ee,
    0xfffd37dd,0xdd7005df,0x4009dddd,0x4eeeeeeb,0x17ff2000,0x32005d40,
    0x3fea06ff,0x507ffacf,0x1fff9805,0x2001fff3,0xfff70ffb,0x20f62001,
    0x3a006ffc,0x200006ff,0xaffffff9,0xfffffffb,0x3ffffe63,0xffffffff,
    0xffffb02f,0xdfffffff,0x7ffffec0,0xffffffff,0x677fe400,0xfff985ff,
    0x7ffd44ff,0xffa81fff,0x005fffff,0x5117ff20,0x3ff20000,0x3fffff65,
    0xffffffff,0x02ffe400,0x7ffffff8,0x8ffa0000,0x00efffd8,0xfb801ff3,
    0xfc802fff,0x7fffdc05,0xfffffa82,0xff9005ff,0xffffffff,0x7d409fff,
    0x05ffffff,0xffffff50,0x7e4000bf,0x2200005f,0x3fa05fff,0x00fff57f,
    0xf737fec0,0x20a800df,0x00006ffc,0x4c007ffd,0x200007ff,0xfffffff8,
    0xffffffff,0x3feea60f,0xaaaaaabf,0x2b376601,0xfffda889,0xfffffb00,
    0xffffffff,0xffffc801,0xfd5107ff,0xff75109f,0xffff303f,0x4000bfff,
    0x3fea5ffc,0x33333325,0xcccccccc,0x3ff66ffd,0xffffffff,0x7e400fff,
    0xfffd005f,0xca800fff,0x0ffca99a,0x209ffff5,0x1abffba9,0x0f7fff4c,
    0x5dfb5310,0xefffe883,0xfffff301,0x3ee00bff,0xffffffff,0x302fffff,
    0xbfffffff,0x3fffe600,0x20005fff,0x00005ffc,0x205fffd1,0xff52fffb,
    0xffd5000f,0x027fec7f,0x013ffa00,0x00fffc00,0x003fff10,0x7fd54400,
    0xa9cfffff,0xfff105fe,0x44000003,0xffb02fff,0xffb5555b,0xff9007ff,
    0xd805ffff,0x3fe204ff,0xb555101f,0x64000bff,0x3fffa5ff,0xfffffff0,
    0xffffffff,0x6ffecfff,0xfffdaaaa,0x5ffc803f,0xff955100,0xfffd800f,
    0xfd8bffff,0xff501eff,0x25ffffff,0x133ffffb,0x3fffffa0,0xffff73ff,
    0xb5551007,0x74c00bff,0x98adffff,0x2206ffeb,0x05ffdaaa,0x3f6aaa20,
    0x3f20005f,0xe880005f,0xff105fff,0x03ffd4df,0xfffffb88,0x00bffe0e,
    0x005fff00,0x01fff300,0x442fff80,0xf0005eee,0x103dffff,0x2bffe620,
    0x75000199,0xfff79bd9,0x30bff207,0x9807ffff,0x0dfffffd,0x204ffd80,
    0x9001fff8,0x64000bff,0x9fff25ff,0xffffffff,0xffffffff,0x30bff27f,
    0x2007ffff,0xa8005ffc,0x544007ff,0xfb9cdeec,0xbff93fff,0x666665c4,
    0xdfffeabc,0x43dfffd9,0xbcccccb9,0xa8dfffea,0xff9006ff,0xfffd800b,
    0x00fff705,0x0002ffe4,0x4000bff9,0x40005ffc,0x206fffe8,0x3ea1fffd,
    0xfff9007f,0xfff81dff,0x7ffc0002,0x99997102,0x7ffcc379,0x17ffc000,
    0x000bffee,0x006ffffc,0xffffffb8,0x005fffff,0xfffffff5,0x2607ffff,
    0x3ffea0ee,0x7ffe403f,0x36001eff,0x3fe204ff,0xbff9001f,0x2ffe4000,
    0x7ffc3b71,0xeeeeeeee,0x27ffeeee,0x3fea0ee9,0x3f2003ff,0xffa8005f,
    0xfd100007,0x3fe63dff,0x3ff2005f,0xdfff8aff,0xf9003ffe,0x3fe25fff,
    0xbff9006f,0x05ffd800,0x4003ffe6,0x20005ffc,0x20005ffc,0x20005ffc,
    0x00effff9,0xfa89fff3,0xfff9007f,0x0fffe05d,0x05ffd000,0xfffffff3,
    0x3ffe29ff,0x3ffe2001,0x002ffec1,0x8009fff0,0xfffffffe,0x401fffff,
    0xfffffffd,0x003fffff,0x00ffffea,0xbffffff9,0x04ffd800,0x4007ffe2,
    0x20005ffc,0xfd805ffc,0x3fee004f,0x7fffd406,0x2ffe4003,0x03ffd400,
    0x7fffdc00,0x02ffff43,0x86ffff54,0x1fea0efc,0x1bfffd50,0x8037ffec,
    0x6c005ffc,0x3fe204ff,0xbff9000f,0x2ffe4000,0x0bff9000,0x3fffea00,
    0x07fff405,0x5401ffea,0x7ff405ff,0x7fec0004,0xfffffa84,0x3fa6ffff,
    0x3fe6002f,0x03ffe20f,0x02fff800,0x7ffffdc0,0x06ffffff,0x77ffffe4,
    0x3ffffedc,0x7ffff500,0xfdfff900,0xffd800bf,0x07ffe204,0x002ffe40,
    0x900bff90,0x7ec00dff,0x3ffea04f,0xffc8003f,0x7ffa8005,0x3ffa2000,
    0x77fe40df,0x7ffe405f,0x2606442e,0xfff900ff,0xfdffb85f,0x0bff9006,
    0x204ffd80,0x9000fff8,0x64000bff,0x320005ff,0xfb8005ff,0x7d405fff,
    0xffffffff,0x4403efff,0x7fec01ee,0x7fdc0006,0xfdddb705,0x7fec3dff,
    0x1bff6006,0x80007ff5,0x30002fff,0x3335fff3,0xefff8801,0x07ffd00a,
    0x07ffff50,0x3f233220,0x7fec005f,0x07ffe204,0x002ffe40,0x500bff90,
    0xf5005fff,0x3fea07ff,0xf90003ff,0xff5000bf,0x7fcc000f,0xdaff982f,
    0x27ffc05f,0x40dfd100,0x7c40cfff,0x9006fbcf,0xfd800bff,0x3ffe204f,
    0x0bff9000,0x02ffe400,0x00bff900,0x04ffffc8,0xffffffb8,0x7fffffff,
    0x3fea0000,0xa862002f,0xfd000fff,0x3fffa87f,0x44fffa80,0xf80006fd,
    0x220002ff,0x0c401fff,0x4c03fff5,0x7d403fff,0x00083fff,0xd800bff9,
    0x3fee05ff,0xbff9001f,0x2ffe4000,0x01fffe80,0x203bffe6,0x083ffffa,
    0x00bff900,0x000fff50,0xfe880cc8,0xda80bfb5,0x3bfe6001,0x6c076a00,
    0x200df76f,0x6c005ffc,0x3fe204ff,0xbff9000f,0x2ffe4000,0x0bff9000,
    0x3ffff620,0xffff7002,0xffffffff,0xe800009f,0xf9801fff,0x0bfff14f,
    0x360fffa0,0x3e602fff,0x01ff86ff,0x02fff800,0x227ffc00,0x53ffeca8,
    0x54415fff,0x01cffffe,0x505ffff5,0xffc801ff,0x7ffdc005,0x3fffee21,
    0xbff9002f,0x2ffe4000,0xbffff980,0x3fffee20,0x2ffffa81,0x6400ffa8,
    0xfa8005ff,0x2000007f,0xdfeabffc,0x3ee00000,0x2e0000ef,0x0ffdacff,
    0x005ffc80,0xf1027fec,0x3f2001ff,0x3f20005f,0x3f20005f,0xffe8805f,
    0x262001ff,0xb9999999,0x00000fff,0x9dffff98,0x3fff2620,0x2ffffee6,
    0x7ffe5441,0xcffff883,0x3fffee21,0x00027cc1,0x59fff553,0x6c003555,
    0xffeeffff,0xff14ffff,0xffffdfff,0x8dffffff,0xaadffffa,0x22ffeaaa,
    0xffdaaaa8,0x200aaaae,0xffeffff9,0x6fffffff,0x7ed55544,0x80aaaaef,
    0xffdaaaa8,0x900aaaae,0xffffffff,0xf509ffff,0x5555bfff,0x5445ffd5,
    0xaeffdaaa,0xaa880aaa,0x1aaafffc,0x3ffe0000,0x006fffff,0x04ffd880,
    0xffffe800,0x55447fff,0xaaeffdaa,0xfe9880aa,0xffa809df,0xaaaa882f,
    0xaaaaeffd,0xdaaaa880,0x0aaaaeff,0xffb55530,0xf883555d,0xaaacffff,
    0x002dbaaa,0x03fff951,0x2009dd70,0xfffffff9,0x3fffffff,0x7fffffec,
    0xffffffff,0xfffff503,0x9fffffff,0x74000510,0xffffffff,0x800fffff,
    0xfffffff8,0x2a0fffff,0xffffffff,0xffffffff,0xffffff10,0xffffffff,
    0x3ffffee7,0xffffffff,0x3fff205f,0xffffffff,0xfff70fff,0xffffffff,
    0x7fdc9fff,0xffffffff,0xf704ffff,0xffffffff,0xffff107f,0xffffffff,
    0x3ffee7ff,0xffffffff,0x3fe24fff,0xffffffff,0x9900005f,0x03dfd999,
    0x2fffa800,0xccb80004,0x2e2ffecc,0xffffffff,0x44ffffff,0x4ffffffd,
    0x37fffff4,0xfffffff7,0x9fffffff,0x7fffffdc,0xffffffff,0x7fffff44,
    0xffffffff,0xffffff30,0xffffffff,0xffff900d,0x7c40bfff,0xf3002fff,
    0xffffffff,0xf9105fff,0xffffffff,0x5403dfff,0xfffffffe,0x800002ff,
    0xfffffff8,0x1fffffff,0xffffb300,0x2a05bfff,0xdffffffe,0x23effffb,
    0xfffffff8,0x3fffffff,0xfffffffb,0xffffffff,0xfffffc80,0x3efffbdf,
    0x3ffffff6,0xffffffff,0x3fffff66,0xffffffff,0x3ff6206f,0x100dffff,
    0xffffffff,0x27ffffff,0xfffffffd,0x6fffffff,0x3fffffee,0x007fffff,
    0xfffea800,0x3fe20003,0x0fffffff,0x7ff4c000,0x3ffff65f,0xffffffff,
    0x7fffc6ff,0x3fe27fff,0xfb0fffff,0xffffffff,0x6cdfffff,0xffffffff,
    0x26ffffff,0xfffffff8,0x1fffffff,0xfffffff3,0xffffffff,0xffffe801,
    0x7f407fff,0x2e2000ff,0xefffffed,0x7f6cc00c,0x1cffffff,0xffff9100,
    0x00001bff,0x7ffff5c0,0x4effffff,0xabba8800,0x2b2a6001,0x3fe2000a,
    0xffffffff,0xfb33ffff,0xffffffff,0x2005dfff,0x30009ab9,0xfffffffb,
    0x45dfffff,0xffffffd9,0x2effffff,0x00355300,0xfffffff1,0x7fffffff,
    0x3fffff66,0xefffffff,0x3ffff622,0x02efffff,0xfffb8000,0x3e20004f,
    0xffffffff,0x7f540002,0x3ff665ff,0xffffffff,0x7f5c2eff,0x75c3efff,
    0x3663efff,0xffffffff,0x262effff,0xfffffffd,0x42efffff,0xffffffeb,
    0x264effff,0xffffffff,0x0fffffff,0x7fffed40,0x554402ef,0x55440000,
    0x554c0001,0x54c0001a,0x0000001a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00019988,0x00002660,0x13331000,0x99880000,0x0cccc001,
    0x99988000,0x88000099,0x0001bddb,0x037bb710,0x002ee200,0xddddd900,
    0x00019ddd,0x90001331,0xdddddddd,0x3bbb2209,0xddd9301d,0x6666c3bd,
    0xcccccccc,0x6445cccc,0x20000ccc,0xdeeeeeb8,0x3bbbb662,0x4cc400ce,
    0x3b200009,0xceeeeeee,0x776d4000,0xdeeeeeee,0x3bbbb203,0x4004eeee,
    0x400001ca,0x36600098,0xeeeeeeee,0xddb7000c,0x57bddddd,0x16665c00,
    0xffffffc8,0x2a003dac,0xcffffffe,0x0013ee01,0x13ffffe2,0xfffb0000,
    0xffff5003,0x7c40003f,0x05ffffff,0xfffd9100,0x0039ffff,0xffffec88,
    0x7001cfff,0x7d47ffff,0xffff8802,0x01ffffff,0x3ffff620,0xfff1002e,
    0x3fffffff,0xffffff90,0x3fffff60,0x70000e6f,0x005fffb8,0x7ffffdc0,
    0xfffd0fff,0xb509ffff,0x9ffffffd,0x7ffc4001,0x1fffffff,0x3fffe200,
    0xffffffff,0xffff883f,0x01ffffff,0x0dfffe98,0x6c400bd1,0x03dfffff,
    0x7ffffff4,0xa804ffff,0xffffffff,0x802effff,0x7cc1ffff,0xffffffff,
    0xfe800fff,0xffffffff,0x003ffe07,0x9fffff70,0xffd80000,0xfffd801f,
    0x2e0001ff,0x5fffffff,0xcfffa800,0xfffeb99b,0x9fff5003,0xfffd7337,
    0xeeffa807,0x02ffdfff,0x55555530,0x7d400355,0x3fffffff,0x55555300,
    0x3ee03555,0xf906ffff,0x1cbfffff,0xffb0e000,0xfa80003f,0x27ffffff,
    0xfffffffd,0x7ffffe43,0x00ffffff,0x2aaaaa60,0xf8001aaa,0xffffffff,
    0x5301ffff,0x35555555,0xfbfff100,0x00bffbff,0x3ffffff2,0xfb02efff,
    0xffffffff,0xfff3007f,0xffffffff,0x7cc09fff,0x7ffc45ff,0xffffffff,
    0x7fe402ff,0xffffffff,0x03fff107,0xffffe880,0x7ec00004,0xfea801ff,
    0x20001fff,0xffffffe8,0x6ffd4005,0x13ff2200,0x401bff50,0x2604ffc8,
    0x3fffea2e,0x00000004,0xfffffff1,0x00001fff,0x19fff500,0x1fffe4c0,
    0x4470000e,0x00004fff,0x159fffb3,0x77ff6544,0xfffffd81,0x06ffffff,
    0x88000000,0xfffcccca,0x00001bcd,0x36219d00,0xd800dfff,0xffffffff,
    0x9502ffff,0x37999fff,0x7ffe4400,0xfffdcccc,0xfff902ff,0xbdfffd81,
    0xffffc988,0x5f7ffc02,0x01cba999,0x0003fff1,0x0013ffa2,0x01555300,
    0x00fffc40,0x7eccc400,0x3fe6005f,0x0bff2003,0x0c41ffcc,0x20017fe4,
    0x00000bb8,0x3ffee000,0x2fffa89c,0x40018800,0xf8802fff,0x0001c1ff,
    0x00fffa8e,0x17ff2000,0x4c17ff20,0xa889acdd,0x4000fffd,0x00009998,
    0x005fff00,0x00001310,0xf7001ba8,0x73159fff,0x201ffffb,0xccccfff9,
    0xfa801abc,0x3ffea07f,0x84ffe80f,0x3ee05fff,0x3fe602ff,0xff10001f,
    0x7ec0003f,0x0000004f,0x00fffc00,0x17ff2000,0xfe8cfe80,0x641cefff,
    0xb89fd07f,0x91edffff,0x400000ff,0x443eeedb,0x00eeeeeb,0x3661bff2,
    0xfd951004,0xf8017bff,0xff8802ff,0x20001c1f,0x1013ff23,0x3ff20013,
    0x05ffc805,0x0bffe200,0x3fffb6a0,0x0000cfff,0x400bffe0,0xdfffffd8,
    0x09980003,0x1ffff980,0x413ffee0,0xfffffff9,0x200effff,0x7dc07ffa,
    0x7ffc44ff,0x00fffc40,0xfa807ffe,0xeeb8007f,0xeeeeefff,0x3f600cee,
    0x0006624f,0xfff80000,0x7e400001,0x4df1005f,0xffeeeffc,0x3e20fec2,
    0x7eeffec6,0x207f62ff,0x4eeeeeeb,0xfffffa80,0x7ffffdc4,0x13ff601f,
    0xfffd1000,0x03ffffff,0x44017ffc,0x001c1fff,0x98ffe8e0,0xffe9deed,
    0x7fe403ff,0x05ffc805,0xbcdecba8,0x7e403fff,0xffffffff,0xf00000ff,
    0xff9005ff,0xdfffffff,0x3bbb2205,0xeffffe9b,0x07ffee02,0x203fff20,
    0xfffffff9,0x02ffffff,0xf900fff5,0x27fd41ff,0x5c02fff8,0xfeeda86f,
    0xdeeeeeff,0xfffffa83,0xffffffff,0x33ff603f,0x1effffeb,0xeeeeeb80,
    0x7ffc004e,0x3bbbb6e1,0xbff9000c,0xfb0fea00,0x1fdc5f98,0x1efa8fea,
    0x87f717ec,0xfffffffa,0xffff9805,0x7fffd44f,0x3ff201ff,0x3fa20005,
    0xffffffff,0x5fff01ff,0x83fff100,0xf89c0003,0xfffffd3f,0x09ffffff,
    0x6402ffe4,0x3fea05ff,0xffffffff,0x7ffec03f,0xffffffff,0xfff00006,
    0xffffd805,0xffffffff,0xfffffc82,0xffffffff,0xfffff904,0xffffffff,
    0xff303fff,0xb533333f,0x3ea0bfff,0xfff9807f,0x6c03ff61,0x8000bfff,
    0xffffffff,0x41ffffff,0xfffffff9,0x2fffffff,0x3fffff60,0x03ffffff,
    0x3fffffea,0x7ffc005f,0xffffff51,0x3ff2009f,0xd83f9005,0x2fcc7e87,
    0x82fd87f2,0x317e61e9,0xbfffffff,0x3ffaa200,0xfffba884,0x01ffea01,
    0x6ffff440,0xfffca88a,0x02fff82f,0x1c1fff88,0x7fdce000,0xffffffb0,
    0x05ffffff,0x32017ff2,0xfffb05ff,0xffffffff,0xcdd9807f,0xffda889a,
    0xff80000f,0x3ffee02f,0xfdb98acf,0x7fdc0fff,0xffffffff,0xfe82ffff,
    0xffffffff,0x2fffffff,0x200fff98,0x765c7ffc,0x0ceeefff,0x3fe2fff8,
    0x3fffea03,0xe800acef,0xffffffff,0x880fffff,0xaabfffba,0x6c01aaaa,
    0xffffffff,0xf302ffff,0x0bffffff,0xf31fff80,0x07ffffff,0x4017ff20,
    0x4cfec0fe,0x47f85feb,0x001fe0fe,0xb55510ff,0xfd800bff,0x3ffe204f,
    0x7fee5c41,0x800accdf,0x2602fffc,0xfff86fff,0x1fff8802,0x64e0001c,
    0x7fffec2f,0x4fffb89c,0x900bff90,0xfff90bff,0xffdb9dff,0x100007ff,
    0x00005fff,0x3e605fff,0x3ee01fff,0xffe984ff,0xeb98adff,0xfffd86ff,
    0xffffffff,0x983fffff,0x3e600fff,0xffff51ff,0x0bffffff,0x1be27ffd,
    0x3ffffea0,0x100befff,0x55fff955,0x88015555,0x20001fff,0x8adffffd,
    0x204fffb9,0x5ffdaaa8,0xd8fffc00,0x01acffff,0x4017ff20,0xffffd87f,
    0x7c1fd05f,0x3a002fc7,0x2ffe400f,0x813ff600,0x7ec1fff8,0xffffffff,
    0x4fff804f,0x40fffb80,0xf8802fff,0x0001c1ff,0x7fdc0c4e,0x06ffc85f,
    0xf900bff9,0xefff88bf,0x07ffd00a,0x66f65d40,0x5103fffb,0x05fff001,
    0x2007ffee,0xfd80fffc,0xfff705ff,0x333fff90,0x33333333,0xfff30133,
    0x87ffcc01,0xfffffff9,0xffd85fff,0xfd980064,0xefffffff,0x03ffd400,
    0x03fff100,0x27ffec00,0x2006ffc8,0x7c005ffc,0xffffebff,0xbff90002,
    0xfb03f600,0x3e07ff99,0x0df07ec6,0xfc806f80,0x7fec005f,0x07ffe204,
    0xfffffffb,0xf9809fff,0xfff1007f,0x802fff85,0x01c1fff8,0xff700e00,
    0x41ffea0d,0xfc805ffc,0x0fffd45f,0x007fff30,0xfffffff5,0x3a07ffff,
    0x2fff806f,0xffffff90,0xffffffff,0xbffb03ff,0x207ffcc0,0x0005fffa,
    0x401fff30,0x6e547ffc,0x0ccccfff,0x0003ffe8,0xffffeca8,0x3fea00ff,
    0x3fe20007,0x3f60001f,0x3ffe604f,0x0bff9000,0xffffff80,0x320001ff,
    0x5f7005ff,0x0bfa67d8,0x22fb89f3,0x9f3002fd,0x00bff900,0x2204ffd8,
    0x6dc41fff,0xbdefffee,0x037fdc00,0xff8bffb0,0x887ba22f,0x001c1fff,
    0xdff700e0,0x641ffea0,0xffc805ff,0x057ffd45,0x9ffffd51,0x7fffec03,
    0xffffffff,0x00fff883,0xfe817ffc,0xffffffff,0x2fffffff,0x2204ffd8,
    0xffd80fff,0xdb980adf,0x1fff305e,0x5fffc998,0x100fff50,0x004c5fff,
    0x3ffaa200,0x1ffea03f,0x1fff8800,0x13ff6000,0x000fff98,0xf800bff9,
    0x00efffff,0x02ffe400,0x23ec4f98,0x0bf20ff8,0x577d49f3,0x2fc8faa0,
    0x005ffc80,0xf1027fec,0xffa803ff,0x37fd4007,0xf89ffb00,0x8ffee2ff,
    0x01c1fff8,0xff700e00,0x41ffea0d,0xfc806ffb,0x7fffc44f,0xffffffef,
    0xfc86ffff,0xedceffff,0xf983ffff,0x7ffc00ff,0xfffffb02,0xffffffff,
    0xffb07fff,0x07ffc409,0x7fffffc4,0xffffffef,0xffff982f,0xffffffff,
    0x0fff500e,0x7c1fff50,0x0079103f,0xfa81bff2,0x3e20007f,0x360001ff,
    0x3fe604ff,0xbff9000f,0xfffff800,0x640002ff,0x3fe005ff,0x25ffff89,
    0x0fe8cffa,0x3ff21ff8,0xd11fffef,0xbff9001f,0x04ffd800,0x9007ffe2,
    0xf8800fff,0xff8801ff,0x917ffc1f,0x7ffccbff,0x0e0001c0,0x2a0dff70,
    0xfff307ff,0x83ffe805,0xfffffffa,0xffffffff,0x3bffe20f,0x07ffd00a,
    0x4401fff3,0xff901fff,0x3333333f,0x01333333,0x7c409ffb,0xffd300ff,
    0xffffffff,0xff301fff,0xffffffff,0x7ffa809f,0x647ffd80,0x2ffc84ff,
    0x207ffa80,0x20007ffa,0x0001fff8,0xf9813ff6,0xff9000ff,0xffff800b,
    0x0003ffff,0xc8017ff2,0x3deec8ef,0x82ff5ee4,0x7fecc6fc,0x0bfd10bd,
    0x0017ff20,0x7dc0bffb,0x7ff401ff,0xfffe8006,0x43fff400,0x3ff22fff,
    0x0e1ffea5,0xfb807000,0x0fff506f,0xc81bffe2,0xfd501fff,0xf7bfffff,
    0xfa89ffff,0x3fe601ff,0x0fff983f,0xa81ffee0,0x00005fff,0x7c409ffb,
    0x7fdc00ff,0xefffffff,0x9fff300b,0x01599999,0x440fff50,0xfb83fffe,
    0x3bffa0df,0x03ffec00,0x4000fff5,0x4402fff8,0x409ffb01,0x9000fff9,
    0xff800bff,0x4ffffaaf,0x0bff9000,0x800dfe80,0x3a00ffe8,0xfe8800df,
    0xbff9000f,0x1fffb800,0x3ffffee2,0x13ffe202,0x7fdc4e98,0x7f540bff,
    0x7ffc44ff,0x7c57ff23,0x000385ff,0x1bfee01c,0xf903ffd4,0x32617dff,
    0xa9805fff,0x7fc40aac,0x0afffa81,0x3ffffaa2,0x77ffcc1c,0x3fff222c,
    0x6fffec05,0x5edb980a,0x4409ffb0,0xd1000fff,0x100135df,0x5557fff7,
    0xfffc8001,0xffdbaaaa,0x3fea05ff,0x2fffffa6,0x3fffae61,0x01ffea05,
    0x41bfff00,0x83ffeca8,0x3e604ffd,0xff9000ff,0x1fff800b,0x00bffff5,
    0x800bff90,0x7102ffe8,0xe8803ffd,0xfd7102ff,0x2aaa203f,0xaaaeffda,
    0x3ffe600a,0xffffffef,0xffa86fff,0xaaaaacff,0x7dc2ffea,0xffefffff,
    0x7fdc4fff,0xfff95fff,0x705fffff,0x22038000,0x5c09effc,0x3fa00fff,
    0xffffffff,0x300000ff,0x221731df,0xffefffff,0xffffffff,0x3ffffe66,
    0xefffffff,0x7fffc400,0xffffefff,0x3a622fff,0xfa809dff,0xff3002ff,
    0xffffc800,0x02ffffff,0xffffff88,0xffffffff,0x87f4400f,0xfffffffe,
    0x0fffffff,0xafffca98,0xb000aaaa,0xffdfffff,0x4c4bffff,0xb881dffe,
    0x5440afff,0xaeffdaaa,0xfa880aaa,0x3ffe61ff,0xaa881adf,0xaaeffdaa,
    0x7ec400aa,0xffecceff,0xfb1000ef,0xffd99dff,0x3fee01df,0xffffffff,
    0x3204ffff,0xffffffff,0x20ffffff,0xfffffffe,0xffffffff,0xfffffa82,
    0xd84fffff,0xf77fffff,0x07ffffff,0x2070000e,0x6ffffffb,0x03fffff6,
    0x7fffff44,0x0001efff,0x1fffff40,0xfffffff5,0xffffffff,0x7fffdc1f,
    0x0effffff,0xffffd300,0xffffffff,0x7fffec1f,0x7fff44ff,0xff8806ff,
    0x7f402fcb,0xffffffff,0xfffa804f,0xffffffff,0xb0000dff,0xffffffff,
    0x985fffff,0xffffffff,0x805fffff,0xfffffff8,0x361effff,0x24ffffff,
    0xfffffff9,0xffffff70,0xffffffff,0x7ffffdc9,0x7ffffec1,0x3fffee6f,
    0xffffffff,0xdb9804ff,0x01beffff,0xfffb7300,0xfd8037df,0xffffffff,
    0x406fffff,0xdffffffc,0x223efffb,0xffffffff,0xffffffff,0xffffb300,
    0x36605bff,0x3f22efff,0x0e04ffff,0x3f207000,0xf1ffffff,0x805fffff,
    0x4ffffffb,0xfb300000,0xffea81bf,0xffbdffff,0xfb503eff,0x019dffff,
    0xfffff700,0x817dffff,0x7fffffff,0x3fffffe2,0xfffc800f,0x7ff5402f,
    0x1dffffff,0xfffffb00,0x0379dfff,0xd9de9800,0xcfffffff,0xfffffb80,
    0xffffffff,0xfffb3007,0x885bffff,0x7fffffff,0x3ffffff2,0xfffffb3f,
    0xffffffff,0x7fffecdf,0x7ffffc1f,0xfffb0fff,0xffffffff,0x8800dfff,
    0x400000aa,0x26000aa8,0xfffffffd,0x02efffff,0x00135730,0x7fffff5c,
    0xdeffffff,0x03751000,0x05544000,0x666666c0,0xcccccccc,0xffb305cc,
    0x7f549dff,0x2a6004ff,0x0000001a,0x55953001,0x55300001,0x2a200001,
    0x5c009abb,0x43effffe,0x03efffeb,0x000b3260,0x00000000,0xa9880000,
    0x7ec401aa,0xffffffff,0x44002eff,0x5c00abba,0x22effffe,0xdfffffd8,
    0xfffffb30,0xdfffffff,0x7fffecc5,0x7ffff541,0x3fff663e,0xffffffff,
    0x000002ef,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xddddb300,0xdddddddd,
    0x76dc1ddd,0xdeeeeeee,0xddb5002c,0xdddddddd,0x3bae207b,0x00eeeeee,
    0x37100000,0xeeeeedb8,0x3bbb6e1c,0xeeedb83d,0xbceeeeee,0x7776e400,
    0x77776443,0x332a000e,0xddd7019b,0xdddddddd,0x009ddddd,0x6e4c0000,
    0xeeeeeeee,0x3260eeee,0xeeeeeeee,0xeec8800c,0x0ceeeeee,0xeeeec880,
    0x2a0ceeee,0xeedc80dd,0x3bb663de,0xedb80cee,0xbdeeeeee,0xeeedb802,
    0xeeeda82d,0x7776dc3d,0xeedb83de,0x3b223dee,0x982deeee,0x0ceeeeed,
    0x00000000,0xeeeda800,0xeeeda82d,0x3bbb223d,0x00ceeeee,0x40199990,
    0xfffffffe,0xffffffff,0xfffff50f,0xffffffff,0x7ffc403d,0xffffffff,
    0xffb81fff,0x3fffffff,0x20660000,0x3fea7ff9,0x36ffffff,0x5fffffff,
    0x7fffffd4,0xffffffff,0xfffff503,0xfffffb89,0xffe9801f,0xfc84ffff,
    0xffffffff,0x5fffffff,0x001ee880,0xfffffd98,0xffffffff,0x3fff60ff,
    0x5fffffff,0xfffffd80,0x805fffff,0xfffffffd,0xfff15fff,0xfffffa89,
    0xffffd0ff,0xfffa8bff,0xffffffff,0xfff102ef,0xff81ffff,0xf31fffff,
    0x7fffffff,0x7fffffcc,0xffff92ff,0xff81ffff,0x05ffffff,0x23dd5000,
    0x00003ee8,0xfffffff1,0xffffff81,0xfffffb2f,0x00bfffff,0xd803fffe,
    0xffffffff,0xffffffff,0xffffff30,0xffffffff,0x7fffc03f,0xffffffff,
    0xfff980ff,0x06ffffff,0x3ff6e200,0xfffabdff,0xfffff30f,0x3fe6bfff,
    0x261fffff,0xffffffff,0x3fffffff,0x4fffff98,0x7fffffcc,0x7fffc401,
    0xfc86ffff,0xffffffff,0x5fffffff,0x004ffa80,0x7fffffcc,0xffffffff,
    0x3ff20fff,0xffffffff,0xffffc804,0x04ffffff,0xffffffc8,0x3fe4ffff,
    0x7fffd45f,0xfffb0fff,0xff989fff,0xffffffff,0xf884ffff,0xe87fffff,
    0x10ffffff,0xffffffff,0x7ffffc43,0xfff51fff,0xfd0fffff,0x07ffffff,
    0xfffea800,0x05dfff74,0xfffff000,0xffffd0ff,0x3fff23ff,0x4fffffff,
    0x00fffd00,0xffd7ffb5,0xfff9999b,0x77ff5c41,0xfffecccc,0x995100ff,
    0x999dffd9,0x6e5cc015,0x01ffffff,0xfffff980,0xffffffff,0x77ffdcc3,
    0x7fffec2c,0xfffb980b,0xfeccccce,0xea881fff,0xfba984ff,0x7fec01ff,
    0x82fffdef,0xeccceffc,0xfeccceff,0x5ffc805f,0x3fffe600,0xcdfffcef,
    0x40fffdcc,0xceffecb9,0x32e6001b,0x01bceffe,0x3ffb2e60,0x7e4c1bce,
    0xaeffe983,0x3fff2a20,0x9fff9102,0xffffb999,0xfff7105f,0xffff103f,
    0xeffe9819,0xdcb881bc,0x7e541fff,0xa880adff,0x002dfffc,0x3ffff660,
    0xfffff33f,0x5440003d,0xf880ffff,0x5cc0bfff,0x1bceffec,0x01bff600,
    0x7ff4ffe4,0x407ffc43,0xf7104ffd,0x7e4005ff,0x3ee0005f,0x004fffff,
    0x7fffffd4,0x4fffffff,0x3613ff60,0xd801ffff,0x3fe604ff,0x13ff603f,
    0x401fff88,0x03264fff,0x3f22ffe4,0x02ffe45f,0x8802ffe4,0x3a0bffff,
    0x7ffc43ff,0x013ff600,0x013ff600,0x013ff600,0xfea881db,0xaaaaaadf,
    0x501bfffc,0x7fd40fff,0xfff700ff,0x0bfff90b,0x7002ffec,0x7ffc0dff,
    0x0fffb804,0xfff91000,0xfe985dff,0x000dffff,0x213ffee0,0xd804fffb,
    0xf90004ff,0x5ffa00bf,0x7fc43ffe,0x04ffd80f,0x90027ff4,0x7c000bff,
    0x0fffcdff,0x9ffff500,0xffff5113,0x27fec07f,0x03dfffd1,0xb013ff60,
    0x7fec0bff,0x07ffe204,0x001fff88,0xff917ff2,0x805ffc8b,0xf9005ffc,
    0x7ffd09ff,0x200fff88,0x80004ffd,0x00184ffd,0xf5027fec,0xfffffd03,
    0xffffffff,0xf503ffff,0xfffb80ff,0x93fff604,0x6406fffb,0x3ffec6ff,
    0xfc817ff2,0x7ff400ff,0xfff70005,0xea807fff,0x00cfffff,0x43fffb00,
    0xb006fff8,0x2e0009ff,0xff8804ff,0x46a7ffd4,0x9ffb07ff,0x005ffd80,
    0x40017ff2,0xff89fffa,0xffff003f,0xffffe883,0x9ffb00ff,0x03bfffa6,
    0x404ffd80,0x3f604fff,0x3ffe204f,0x02fffc01,0xfc8bff90,0x02ffe45f,
    0xe802ffe4,0x7ffd05ff,0x203ffc6a,0xefc8cffd,0x27fec000,0x6c007ff6,
    0x413e04ff,0xfffffffe,0xffffffff,0x7ffa80ff,0x00fffc80,0x3e6ffffa,
    0x7dc00fff,0x3fffe27f,0x8813ff61,0x3ea03fff,0x7d4002ff,0x00cfffff,
    0x3ffffee0,0xff88003f,0x07fff66f,0x0027fec0,0xb803ffa8,0x77ffd2ff,
    0x207d71ff,0x3ea04ffd,0x3f2002ff,0xffb0005f,0x4037fecd,0x7441fff9,
    0x3fffdfff,0xff59ffb0,0xd8001bff,0xffb304ff,0x27fec07f,0x803fff10,
    0x7001fffc,0x5ffc87ff,0x6401ffd4,0xff8805ff,0x77ffd02f,0x807d71ff,
    0xffffeffd,0x27fec003,0x200bfff3,0x00204ffd,0x555bffd3,0x5fff9555,
    0x01ffea01,0x8807ffe6,0xffffffff,0x27ffa801,0x3a4ffffb,0x7fec03ff,
    0x01bff606,0xfffffe98,0xf910000d,0x005dffff,0xfbcfffb8,0x3f6004ff,
    0xff30004f,0x21ffb005,0x3ffedffe,0x444ffd80,0x00ffffda,0x0017ff20,
    0xfa8fffe2,0x7fdc01ff,0xaffff445,0xffb05ffe,0x00bffffd,0x333bff60,
    0x6fffffdc,0x1027fec0,0xf8803fff,0xbb1006ff,0x445ffc81,0x4ccc40dd,
    0x999effd9,0x07ffcc19,0xfffdffe8,0x3fff6002,0x4000ffff,0x3fe24ffd,
    0x9ffb003f,0xeffd8000,0xfdcccccc,0xfecb80ff,0x80ceeeff,0x7cc02fff,
    0x002fffff,0x3f61fff3,0x3ffe7fff,0x0fffd402,0x401fffc4,0xefffffd9,
    0xfb100001,0x003dffff,0x7fffffec,0x27fec006,0x803ff000,0x3ffa5ff8,
    0xd803ffff,0xffffffff,0x4002ffff,0xc8005ffc,0x7ff40fff,0x11fff404,
    0x7dcbfffd,0xffffb06f,0x0003ffff,0xfffffffb,0x803fffff,0x3e204ffd,
    0x3fa201ff,0x2f2a4fff,0x0bff9001,0xffffff30,0xffffffff,0x1bfee5ff,
    0xffffffe8,0xfffd1003,0xb0001bff,0x0cda89ff,0x009ffb00,0xfffffd80,
    0xffffffff,0x7ffffd40,0xe85fffff,0xffa803ff,0x3e2004ff,0xffff89ff,
    0x1fff89ff,0xc85ffe80,0x32200fff,0x02efffff,0xffd30000,0x1001bfff,
    0x03ffffff,0x004ffd80,0x3ea01fa0,0x3ffffa3f,0xffd803ff,0xffffffff,
    0xffc8001e,0x4fff8005,0x200fffb8,0xffd15ffd,0x05ffc8bf,0xfffffffb,
    0xfd8003ff,0xffffffff,0x3600efff,0x3fee05ff,0xfffd101f,0x3ffa3fff,
    0xfd997306,0x703799df,0xffffffff,0xffffffff,0xe817ff2b,0x03ffffff,
    0xefffffb8,0x3ff60001,0xffd80004,0x7fec0004,0xffffffff,0x7fcc0fff,
    0xffffffff,0x804ffd85,0x005ffffc,0x7fdd7ffc,0xff9cffff,0xfffb800f,
    0x1027ffc0,0x1dfffffd,0xfd000000,0x001fffff,0x007ffff5,0x0009ffb0,
    0x7fe400c4,0xfefffeee,0xffd803ff,0xffffffff,0xbff90002,0xefffa800,
    0xfffeeeee,0x27fff203,0x7445fffe,0xfffb03ff,0x3ffffb5f,0x777fec00,
    0xffffeeee,0xfff700ef,0x7fffdc43,0xbfff902f,0xfff3dfff,0xffffd03f,
    0x0fffffff,0xffffffd3,0xffffffff,0x81ffea3d,0x3fffeffe,0x3ffffaa0,
    0x00e4c05f,0xd9809ffb,0x013ff602,0x3ff605b3,0xeeeeeeee,0xdca80fff,
    0x0ccccfff,0x5403ffe8,0x04ffffff,0x3fafffa0,0xfafffcdf,0xfff1007f,
    0x00fffd47,0x7fffffdc,0xd5000003,0x019fffff,0x0037fec0,0x4c04ffd8,
    0x3fe0002d,0xbfffffff,0xfd801ffc,0xffeaaadf,0xfc8001ff,0x7fec005f,
    0xffffffff,0x3fe606ff,0xd85fffff,0xffb00fff,0x37ffd41d,0x409ffb00,
    0x304fffd9,0xfffdffff,0x0dffffff,0x3fea9ffd,0xd03fffff,0xffffffff,
    0x4cc40fff,0x99dffd99,0x7ffc4099,0xf97ffd01,0x3ffea01f,0x7404ffff,
    0x13ff607f,0x7ec0ffd0,0x83ff404f,0x3e604ffd,0x3fea00ff,0x2fff8807,
    0x3bfffe60,0xfb002fff,0xf35fffdf,0x00fffbff,0xffd3ffec,0x7fe4400d,
    0x0002efff,0xfffffd30,0xff90001b,0x3ff6000b,0x203ff404,0xffff9818,
    0xb8bfffff,0x7fec0622,0x1ffffd84,0x02ffe400,0xffffff10,0xffffffff,
    0x7fffec03,0xffd510ef,0x27fec0bf,0x801fffdc,0xfe804ffd,0x3fff206f,
    0xffffffff,0x3fe20fff,0x3ffff61f,0x332e604f,0x1bcceffe,0x02ffe400,
    0xfd04ffe8,0x0c45717f,0xffdbfff7,0x07ffc409,0x7c04ffd8,0x9ffb01ff,
    0xd81fff80,0x3fe604ff,0x1ffea00f,0x403ffea0,0xf8affff8,0xfc801fff,
    0xfd0fffff,0x400dffff,0xff9afff9,0xfd88002f,0x001effff,0xfffffb10,
    0x7e40003d,0xffb0005f,0x01fff809,0xffc81ff3,0x441fff41,0x4ffd83ff,
    0x00dfff90,0x2005ffc8,0xccccfffc,0x4ffecccc,0x3ffffe20,0xffffffff,
    0x827fec05,0xd800fffd,0xff9804ff,0x3fff200f,0xfffbceff,0x0fffcc3e,
    0x03fffff1,0x002ffe40,0x4017ff20,0xfe83fffc,0x13ff883f,0x13ff65bb,
    0xb01fff88,0x7fc409ff,0x09ffb01f,0x6c0fffc4,0x3fe604ff,0x1ffea00f,
    0xe81fff60,0x3fe63fff,0x7fdc00ff,0x3ff25fff,0x74005fff,0x07ffcdff,
    0x7fff4c00,0x91000dff,0x05dfffff,0x0bff9000,0x813ff600,0xfb81fff8,
    0xe87fe85f,0x5ffa83ff,0x3204ffd8,0x32004fff,0x3fe005ff,0xfffb804f,
    0xfffffb00,0x9fffffff,0x209ffb00,0xd803fff8,0xffb804ff,0x55d4400f,
    0xf807fe60,0x3ff21dff,0xf90009ff,0xfc8000bf,0xfff3005f,0x83ffe85f,
    0x3f605ffa,0x3ffe204f,0x409ffb01,0xfb01fff8,0x7ffc409f,0x204ffd81,
    0x2a00fff9,0x3fa207ff,0xfffb03ff,0x0dfff509,0x3fffffa8,0x13ffffe6,
    0xfffff700,0x2a00009f,0x0cfffffe,0x3ffffee0,0x3200003f,0xfb0005ff,
    0x7ffc409f,0x2227fe41,0xf511effa,0xb5555bff,0xffe98dff,0xfffd00ad,
    0xb5553037,0x03555dff,0x039fff71,0x0e7ffdc4,0x3f7bfff2,0x02dfffff,
    0x0adffe98,0x01afffc8,0x555bffd3,0xfffd9555,0x6fa8000d,0x3ffff602,
    0xffffffff,0x3f6aa606,0x8001aaef,0x2e005ffc,0xfbdfffff,0xdaaaacff,
    0x755446ff,0xaaaaadff,0x221fffba,0xaadffeaa,0xfffbaaaa,0x3ffaaa21,
    0xbaaaaaad,0x7f4c1fff,0xffc881df,0xfff900af,0xffb75555,0xff910bff,
    0x3ff601ff,0xfff300df,0xfffe81ff,0x7fc4003f,0x0000ffff,0x7ffffdc0,
    0x7fff543f,0x80000cff,0xaeffdaa8,0x7554401a,0xaaaaadff,0x361fffba,
    0x7ffcc3ff,0xffffdfff,0xffffffff,0xfffff16f,0xff10bfff,0x7ff45fff,
    0xffffffff,0x3ffea7ff,0xfd86ffff,0x13ffffff,0x5441dfff,0xfff3000a,
    0x889fffff,0x266fffff,0xffffffff,0xffffffff,0xff80002f,0x7fc46fcc,
    0xffffffff,0xffd81fff,0xffffffff,0x2ffe4006,0x3ffff200,0xffffffff,
    0x2e6fffff,0xffffffff,0xffffffff,0xfffff71f,0xffffffff,0x3ee3ffff,
    0xffffffff,0xffffffff,0x3fffffa1,0x3ffff27f,0x3fe21fff,0xffffffff,
    0x4c0fffff,0x1fffffff,0x3fffffe2,0xffff883f,0x2ffffc86,0xffffc800,
    0x91000005,0x2a7fffff,0x00dfffff,0xffffb000,0x0dffffff,0x3fffffee,
    0xffffffff,0x07fa1fff,0x3fffffee,0xffffffff,0x56ffffff,0xffffffff,
    0x3fffea0f,0xffffff15,0xffffffff,0x3fffff23,0x7ffc0fff,0x3a5fffff,
    0xb80000ef,0xffffffff,0xfffffd86,0xffffff70,0xffffffff,0x200007ff,
    0x884ffffb,0xcffffffc,0xfff04eff,0xffffffff,0x7fd4001f,0xffea8003,
    0xffffffff,0x366fffff,0xffffffff,0xffffffff,0xfffffb1f,0xffffffff,
    0x3f63ffff,0xffffffff,0xffffffff,0xffffff11,0x3fffa3ff,0x3ea3ffff,
    0xffffffff,0xb80dffff,0x3fffffff,0x3fffffe6,0x7ffff05f,0x03ffff30,
    0x5ffff300,0xd9800000,0xfff74fff,0xf800003d,0xffffffff,0xffd80fff,
    0xffffffff,0x1fffffff,0xffffb100,0xfffffb3d,0xdfffffff,0x3fffff62,
    0x3ff602ef,0x3fffae1d,0xefffffff,0x3ffff664,0xffea83ef,0x0541dfff,
    0xffd88000,0x982effff,0x3624efff,0xffffffff,0x00bdefff,0x165c4000,
    0x026aa620,0xffffeb80,0x003effff,0x0000f6c4,0xffffd951,0xdfffffff,
    0x7ffffecc,0xffffffff,0xffb31fff,0xffffffff,0x23ffffff,0xffffffd9,
    0xffffffff,0x3ffae1ff,0x3faa4eff,0x6c0dffff,0xffffffff,0x36201bce,
    0x40dfffff,0x1dffffec,0x201ffff0,0x0000fffe,0x0000dffb,0x886ecc00,
    0x000002dd,0xffffffd5,0x36607dff,0xffffffff,0xffffffff,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xeeedb800,0xdeeeb804,0x3bbb6e0b,
    0x02bdeeee,0xeeeeeec8,0x06eeeeee,0xddddddd9,0x776d409d,0xeed980de,
    0x6dc0ceee,0x3663deee,0x540ceeee,0x982deeed,0x4c3deeec,0xeeeeeeed,
    0x2e00bcee,0xeeeeeeed,0x4eeeeeee,0x3bbbbbae,0xeeeeeeee,0x3bb6e4ee,
    0xeeeeeeee,0x004eeeee,0x000003db,0x26200660,0x88000099,0x31000009,
    0x31000013,0x19988000,0x22000000,0x01801803,0x0c013100,0x004c0000,
    0x01880980,0x00133000,0x10fbbb6e,0x81ddddd7,0x1ffffff8,0x7fffff40,
    0xffffff53,0x3dffffff,0x7fffff40,0x7fffffff,0xffffff88,0xf881ffff,
    0xe85fffff,0x5fffffff,0x3fffffea,0xfffffd0f,0x7fffc4bf,0x7ff40fff,
    0x3fa1ffff,0xffffffff,0xfa83ffff,0xffffffff,0x5fffffff,0x3ffffff2,
    0xffffffff,0xffff35ff,0xffffffff,0x00bfffff,0x0000bff5,0x507e8031,
    0xffffffdb,0x7ec40019,0x003dffff,0x7fffff54,0x4402dabe,0xbdfffeca,
    0xfffc8800,0x41dbdfff,0x443eeedc,0x90eeeeec,0xfff9105f,0x7ffec41b,
    0x7fe4c00c,0xffb11eff,0x76dc01bf,0xff911eee,0xddb705bf,0x51dfff5b,
    0x2019fffd,0xe9beeec8,0x202effff,0x44fffffa,0x1ffffffb,0x7fffffc4,
    0x3fffea04,0xffff32ff,0xffffffff,0x3ffa09ff,0xffffffff,0x555307ff,
    0x40355555,0x2fffffff,0x7fffffec,0x3fffea4f,0xfffb0fff,0x7fc49fff,
    0x740fffff,0x21ffffff,0xfffffffd,0x5fffffff,0x7fffffcc,0xffffffff,
    0x3fff25ff,0xffffffff,0xf15fffff,0xffffffff,0xffffffff,0x07ff300b,
    0xffd95100,0x3fc417bf,0x7fffffe4,0x800fffff,0xfffffffc,0x6c402eff,
    0xffffffff,0x3a207fff,0xffffffff,0x3ffee01f,0xffffffff,0x3ffffea6,
    0x7ffffdc4,0xe885ff1f,0x88efffff,0x0efffffe,0xffffff70,0xffffd9ff,
    0xfff301df,0xfff75fff,0x7d47ffff,0xffffffff,0xffffffff,0xffffc80e,
    0xffffffff,0xffff304f,0xffffa89f,0xffd881ff,0xffd00fff,0xfc883dff,
    0xfdccccff,0xfe82ffff,0xecccccef,0x00006fff,0xffffd510,0xffeca81f,
    0xeffe981e,0x3ff2a20a,0xfffb982f,0xffff882f,0xfffca81c,0xfffdcccc,
    0x7f5c43ff,0xccccccef,0x3f25ffec,0xffecccef,0x5ffeccce,0x33bffaa2,
    0xeccccccc,0x031005ff,0xffffd100,0x265fffff,0xffffd86f,0x6fffffff,
    0x7ffffec0,0x2fffffff,0xffffff10,0xffffffff,0xffffd101,0x3fffffff,
    0xffffff30,0x4fffffff,0x44fffff9,0x9ffffff9,0x7fec1ff9,0xfeefffff,
    0x06ffffff,0xfffffff9,0xffffffff,0xffff10df,0xffffffff,0x3e61ffff,
    0xffffffff,0xffffffff,0xffffb84f,0xffffffff,0xfd5102ff,0xff75109f,
    0x3ffee03f,0xfff983ff,0xdff706ff,0x07fffd40,0x3e20fffa,0x00001fff,
    0x7ffffdc0,0x40dff904,0x3e604ffd,0x3fee00ff,0x4fffa84f,0x807ffcc0,
    0xfb07fff9,0x5ffc809f,0xff917ff2,0xc85ffc8b,0xffc805ff,0x22000005,
    0xfffffffe,0x4fcbffff,0x89acdd98,0x00fffda8,0x159ffff7,0x1ffffb73,
    0x35dfffb0,0xffffb731,0xdfffe883,0xfffca88a,0x67ffec2f,0xfffb988a,
    0x27ff5447,0x6fffdd4c,0x7ffdc5ff,0xfffffb8c,0x3fffc9cf,0xa8abdd88,
    0xc9cfffff,0xaa882fff,0xcfffffff,0x6c45fea9,0xfd8affff,0xffd8afff,
    0xffffd305,0xffd7315b,0x04ffd80d,0x5c07ffe2,0xd87fffff,0x706fffff,
    0xffb80dff,0x41fff44f,0xd703fffe,0x009ddddd,0xffffffb8,0x206ffc81,
    0x3e604ffd,0x7fec00ff,0x3bffe21f,0x07ffcc00,0xb01fff70,0xffb809ff,
    0xf917ff25,0x85ffc8bf,0xfc805ffc,0x1000004f,0x115bfffd,0xffffff95,
    0x3fe20001,0xffff982f,0x13ffee01,0xc809fff5,0x7fe40fff,0x3ffe602f,
    0x102fff46,0x3ff60bff,0x3fffe204,0x2fff40cf,0xd1bffff2,0xfd800dff,
    0x37ff45ff,0x3bffffe0,0xfff70081,0x70fffdc3,0x7fec0dff,0x0fff705f,
    0x2204ffd8,0xff701fff,0x7c47ffff,0x706fffff,0xffb00dff,0x217fec1f,
    0xf504fffc,0x0bffffff,0xfffffb80,0x06ffc86f,0xf9813ff6,0x7fc400ff,
    0x3fffb0ef,0x01fff300,0x6c0fffc4,0x4bf624ff,0x3ff23ff9,0x322ffe45,
    0x5ffc85ff,0x5ff51fe4,0x3f200000,0x3fe602ff,0xcba802ff,0x3fffbcde,
    0x801fffb8,0x3f60fffc,0x7ff8806f,0xb804fff8,0x3ff20fff,0x220abdef,
    0x813ff602,0x880bfff8,0x7fcc1fff,0x7ffd41ff,0xd9b95101,0xffa83fff,
    0x3fffe01f,0x7fdc000d,0x2e3ffdc6,0x3ff606ff,0x03ffe605,0x2204ffd8,
    0xff701fff,0x7e4dffbd,0x706ffcff,0xff300dff,0x5077d43f,0x7cc0dfff,
    0x05ffffff,0x7df7fdc0,0x37fe43ff,0x4c09ffb0,0xfa800fff,0x4fffacff,
    0x01fff300,0x6c07ffe4,0x97fe64ff,0x21ffdc29,0x7fd45ffc,0x225ffc83,
    0x220cc6ff,0x99999999,0x40999999,0xfb804fff,0x3fea01ff,0xffffffff,
    0xffffc83f,0xffffffff,0x3fa1ffff,0x85b5003f,0xf1007ff9,0x7ffc45ff,
    0x2dffffff,0x1027fec0,0x3ea03fff,0xffffd07f,0x5fffffff,0xfffffd88,
    0xffffffff,0x3e02ffff,0xf70004ff,0x47ffb8df,0x3f606ffb,0x3ffe204f,
    0x813ff600,0xf701fff8,0x25fff5df,0x6ffbcfff,0x100dff70,0xf9805fff,
    0x54400fff,0x005ffdaa,0xffeb7fdc,0x81bff20f,0xcccceffd,0x00fffdcc,
    0xffffffb0,0x7ffcc00d,0x0dfff100,0x3733bff6,0x6ec407ff,0x222ffe40,
    0xeffc80dd,0x407ffdcc,0xfffffff9,0xffffffff,0x00fff32f,0x6c0fffe2,
    0xffffffff,0xfe83ffff,0xffffffff,0x2fffffff,0x00007ffe,0x6c00dff7,
    0x7fecc5ff,0x4fffffff,0x8813ff60,0xff901fff,0x3ffff20b,0x3fffffff,
    0x3fffffee,0xffffffff,0x203fffff,0x70002fff,0x7ffb8dff,0xfb037fdc,
    0x7ffc409f,0x813ff600,0xf701fff8,0x2fbffadf,0x6ffb9fff,0x200dff70,
    0x3a203ffe,0xc8002fff,0x7dc005ff,0x4bfff36f,0x3f606ffc,0xffffffff,
    0x1000ffff,0x03ffffff,0x4cfffcc0,0xffffeb99,0xfffffb03,0x4000ffff,
    0x64005ffc,0xffffffff,0x7fffe407,0xffffffff,0xff75ffff,0x2ffec00d,
    0x77ffffe4,0x3ffffedc,0xffffffd8,0xffffffff,0x0bffe3ff,0x0dff5000,
    0x9827fec0,0xfffffecb,0x09ffb06f,0xc80fffc4,0xfffd07ff,0xffffffff,
    0x3ffffe67,0xfffffece,0x3fffffff,0x000bffe0,0x3ee37fdc,0x037fdc7f,
    0x7c409ffb,0x3ff600ff,0x07ffe204,0xffbb7fdc,0xff75ffff,0x01bfee0d,
    0xfb01fff4,0x320009ff,0x7dc005ff,0x4ffff26f,0x3f606ffc,0xffffffff,
    0x4c00ffff,0xeffffecc,0xff9802cc,0xffffffff,0x3ff604ff,0x07ffffff,
    0x017ff200,0xffffff90,0xff980fff,0xffffffff,0x52ffffff,0x7ec00dff,
    0x77ffc44f,0x07ffd00a,0x3333fff9,0x33333333,0x01fff413,0x07ffe200,
    0xa87ffe20,0xffb5100b,0x09ffb03f,0xa80fffc4,0x7fc41fff,0x999999ff,
    0x5fff9099,0x333fff90,0x40133333,0x70002fff,0x7ffb8dff,0xfb037fdc,
    0x7ffc409f,0x817ff600,0xf701fffb,0x7ffffcdf,0x20dff72f,0xfd006ffb,
    0x3ffee07f,0x3ff20005,0x37fdc005,0x3f23fffa,0x3bff606f,0xfeeeeeee,
    0x775c00ff,0xeeeffffe,0xffff9805,0x4fffffff,0x777ffec0,0x20007ffe,
    0x64005ffc,0xffeeefff,0x33331007,0x33333333,0x01fff881,0x541fff88,
    0x3e601fff,0xfffa83ff,0x7fe40005,0x8395001f,0x7400fffe,0x13fe67ff,
    0x3613ffa0,0x3fee05ff,0x7fff301f,0x03ffffb8,0x360dff70,0x20003fff,
    0x70002fff,0x7ffb8dff,0xfb037fdc,0x7ffc409f,0x87ffee00,0x2fffffb8,
    0x7dcdff70,0x3fee6fff,0x00dff706,0xf303fff1,0xee881dff,0x02ffe401,
    0xf51bfee0,0x0dff9bff,0xf3027fec,0xfc8001ff,0xff98005f,0xdeffffff,
    0x24ffd800,0x004c6ffa,0x4005ffc8,0x3fe25ffc,0x40000007,0x7400fffe,
    0xfffa87ff,0x3ffaa20a,0xffd81cff,0xdb980adf,0x7fffcc5e,0xffd9880b,
    0x5ffffdc6,0x27fff540,0x883bfff7,0xb84fffb9,0x3ee21fff,0x3602ffff,
    0xfff32fff,0x76543fff,0x19fff30d,0x3fffff62,0x81bd9511,0xacfffaa9,
    0x64401aaa,0x3fee0fff,0x03ffee0f,0x13bffd31,0x405fff50,0xffeffff9,
    0x6fffffff,0x3e26ffb8,0x3fee2fff,0x00dff706,0xf881fff5,0xffb81fff,
    0x02ffe404,0x361bfee0,0x06ffefff,0xf9813ff6,0x7e4000ff,0xff98005f,
    0x8000999f,0x3fa24ffd,0x2003fee3,0x64005ffc,0x027ec5ff,0x3ee00000,
    0x7540bfff,0xff884fff,0xffffefff,0x46ffffff,0xfffffff8,0xfffffffe,
    0x7ffffd42,0xfffffeef,0xffffb86f,0xfffffeff,0x7ffffdc4,0xfffffeef,
    0xffff981f,0xfffffffe,0xfff106ff,0xffffffdf,0xfffffdff,0x77ffff47,
    0xffffffff,0x22fffffe,0xfffffffe,0x80ffffff,0x4ffffff9,0x2e9ffff7,
    0x3f64ffff,0x744fffff,0x206fffff,0xfffffffc,0x0fffffff,0x3f237fdc,
    0x837fdc7f,0x74406ffb,0xfffe86ff,0x80bff903,0x5c005ffc,0xfff886ff,
    0x3f606fff,0x3ffe604f,0x7fffe400,0x06ffffff,0x000fff98,0x0427fec0,
    0x3200fff6,0x7e4005ff,0x0000085f,0xffff7000,0xfffffdff,0x7fffd409,
    0xffffffff,0x74c0ffff,0xffffffff,0xc80fffff,0xffffffff,0x501fffff,
    0xffffffff,0xfff509ff,0xffffffff,0x7fe405ff,0xffffffff,0xf500ffff,
    0x77ffffff,0xffffffff,0x7fff443f,0xffffffff,0x1fffffff,0xfffffff1,
    0x3fffffff,0xffffff70,0x5bfffeed,0x3e6ffffb,0x27ffffff,0xfffffff8,
    0x3ffff200,0xefffbdff,0x446ffb83,0x37fdc099,0x2206ffb8,0x7e43fffe,
    0x3ff204ff,0x02ffe405,0x541bfee0,0x206fffff,0x3e604ffd,0x554400ff,
    0xaaaeffda,0x0fff9801,0x27fec000,0x401fff40,0x64005ffc,0x000005ff,
    0xff500053,0xffffffff,0xfffd5009,0xfff7bfff,0x7fdc07df,0xefffffff,
    0x3ff6600b,0xbeffffff,0x7ffecc00,0x3602dfff,0xffffffcf,0xfc800cff,
    0xfbdfffff,0x7cc04eff,0x3ea2ffff,0x80ceffff,0xcfffffd8,0xffffebed,
    0x7ff5c1cf,0xffffffff,0xfffb104e,0x3ffee5bf,0x5dfff72e,0x77ffff5c,
    0x77fff5c3,0x13573003,0x77fe4400,0x3f6a201a,0x7fe440ef,0xfdcaaaaf,
    0x7fd45fff,0xaaaaabff,0x2a25ffda,0xaeffdaaa,0xf9100aaa,0xffb035ff,
    0xfd310dff,0xff9103bf,0xb530015f,0x00155dff,0x557fff71,0x7f4c0015,
    0xaaaaaadf,0x303ffeaa,0x55dffb55,0xeffd9803,0x80001aaa,0x98003ff9,
    0xdfffffed,0x5654c002,0xa880000a,0x80009abb,0x1aabba98,0x03751000,
    0x2aeea600,0xab980009,0xb9800009,0x01375101,0x402aea20,0x00000ab9,
    0x00000000,0x00000000,0x3fffe600,0xffc86fff,0xf13fffff,0xffffffff,
    0x81dfffff,0xfffffffb,0x5fffffff,0xfffffff7,0x9fffffff,0xffffff98,
    0x7fffc46f,0xfffffe86,0x3ffff27f,0xff100fff,0xffffffff,0x7fffe403,
    0x02ffffff,0x7fffffc4,0xffffffff,0xffd83fff,0xffffffff,0xffffff06,
    0x001fffff,0x0027fd40,0x0006ea20,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf7000000,0x1fffffff,
    0xffffffe8,0xfffff55f,0xffffffff,0xffff701b,0xffffffff,0x3fff6bff,
    0xffffffff,0x7fdc6fff,0x41ffffff,0x7c46fffb,0x1fffffff,0xfffffffd,
    0x3fffea07,0x03ffffff,0x3ffffffa,0x5404ffff,0xffffffff,0xffffffff,
    0xfffff83f,0x0fffffff,0x7fffffcc,0x002fffff,0x00006e40,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffffb100,0xffd507df,0x3623bfff,0xffffffff,0x3ee01bce,
    0xffffffff,0xb35fffff,0xffffffff,0x885dffff,0x4efffffd,0xd70dffd0,
    0x549dffff,0x0dfffffe,0x3ffffb20,0x2a00dfff,0xfffffffe,0xffd801df,
    0xffffffff,0x83ffffff,0xffffffeb,0xfd903eff,0x9fffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x88000000,0xcb8800aa,0x0e54401b,
    0x33333310,0x33333333,0xaaa98133,0xaaaaaaaa,0x5100aaaa,0x54403799,
    0x3101cccb,0x4ccc4133,0x00000100,0x88888888,0x88088888,0x99999999,
    0x99999999,0x2dd98199,0xccb98000,0xcccccccc,0xcccccccc,0x0000001c,
    0x03a80000,0xdd910ae0,0x76443bdd,0xeb80ceee,0x004eeeee,0xd9022002,
    0xdddddddd,0x0001dddd,0x3bbb6600,0x3bb6e03d,0x776d42de,0x3bb6e4ee,
    0x76cc2dee,0x221deeee,0x2deeeeec,0x00002004,0x2cb98000,0x10025c00,
    0x01bffffb,0x3bffffea,0x3ffff221,0xfffff981,0xffffffff,0x3e5fffff,
    0xffffffff,0xffffffff,0x7fffd40f,0xfff984ff,0xfc82ffff,0x3fff23ff,
    0x3200fd83,0x3a000cee,0xffffffff,0x7f47ffff,0xffffffff,0xffffffff,
    0xff10ffff,0x427dc3ff,0x3ffe24fb,0xffffffff,0xffffffff,0x00002fff,
    0x2a000000,0xcca88eff,0x5c7ffb0a,0x26ffffff,0x4ffffffc,0x7fffffd4,
    0x3ff8805f,0xfd8bfea0,0xffffffff,0x9800ffff,0x745f504e,0x82ffffff,
    0xfffffff9,0xffffff10,0xfffff15f,0x7ff41fff,0x366fffff,0xffffffff,
    0xf501df10,0xff980009,0xffffb801,0xffa802ff,0xffffd002,0xff981fff,
    0x265fda9c,0xb81ffeff,0xffffffff,0xffffffff,0xffff35ff,0xffffffff,
    0x45ffffff,0xfdbbeffb,0x55e6c45f,0xffa86fca,0x0bffea2f,0x3fa607fe,
    0xeb81ffff,0x3fffffa2,0x7fffffff,0x3fffffe6,0xffffffff,0xffffffff,
    0x27ffff33,0x3e20fff8,0xffff11ff,0xffffffff,0xffffffff,0x000005ff,
    0x7dc00000,0xfffffeff,0x2a4fffef,0x24ffffff,0x3ffffffa,0x7fffffcc,
    0xfffb805f,0x25fffa83,0xfffffffd,0x00ffffff,0x7dc27fd4,0x3ffff62f,
    0xfff881ff,0x7ff46fff,0xfff1ffff,0xfd8fffff,0x24ffffff,0xfffffffa,
    0x220f7f47,0x70000dff,0xbff009ff,0x980df935,0x6401ffff,0xffebbfff,
    0x3e22fdc5,0x3fe2221f,0xffffe881,0xffffffff,0x325fffff,0xfffffffe,
    0xefffffff,0x260ffe24,0xaa9882ff,0x7fcc1ff9,0x07ffe61f,0xfe8837fe,
    0x23ffffff,0x3ffa7ffc,0xffffffff,0x7ffe47ff,0xffffffff,0xffffffff,
    0x3fffa0df,0x3fa1ffa0,0x6eeee547,0xdddddddd,0x3ddddddd,0x00000000,
    0xffffe800,0xffffffff,0x7ffecc0e,0x3fffe62f,0xb555101e,0xff100bff,
    0x7ffd47ff,0x2b7ff62f,0xffffdaaa,0x42ffdc03,0xffb83ffd,0x259951cf,
    0x40cfffb9,0x21fffca8,0x0acffff9,0x2dfffb98,0xacfffca8,0x217ff440,
    0x8000eff9,0x08805ffc,0xe8817fc4,0x200fffff,0x3ffc0ffe,0x407fdc04,
    0x26201ff8,0x99999999,0x5ffd9999,0x3ea00000,0xc893f606,0x1fffffff,
    0xf107ffc4,0xdfff01ff,0x7e6fffec,0xfffccfff,0x11000005,0x11111111,
    0x11111111,0x2a205540,0x0000a880,0x00000000,0xd1000000,0xffdfffff,
    0x7e401fff,0xfffabfff,0x3f2000df,0xfff3005f,0x5ffff57f,0x7cc2ffc8,
    0x7e403fff,0x1fff445f,0x7f47fff0,0x03ffe67f,0x3ea7ffa8,0xfb002fff,
    0x3ffec0df,0x50fffa20,0xc8003fff,0x54c005ff,0xffd00ffd,0x101dffff,
    0x3ff90bff,0x104ffb80,0x000003ff,0x0000bff9,0xf9037dc0,0x6e77fe49,
    0x7ff81ffe,0x37627ff8,0x3ffa7fbb,0x3ffffea4,0x00001fff,0x00000000,
    0x00000000,0x00000000,0x7ff40000,0x1fffaa2e,0x3ffffee0,0xc8004fff,
    0x3e6005ff,0x3fffffff,0x3ea0ee98,0x36203fff,0x7ff4c5ff,0x9affec04,
    0xff72ffff,0x8fffa80f,0x000dfffd,0x260bffe6,0xf8803fff,0x7ffd44ff,
    0x917dfb02,0xbfb71bff,0x0bfffee0,0x7e6fffe4,0x0dff05ff,0x7ec01ffb,
    0x07fe204f,0x3ff20000,0x26000005,0x2ff982ff,0xff883ff3,0xfe86fe81,
    0x3ffffe26,0x3a213665,0x001fffff,0x00000000,0x00000000,0x00000000,
    0x44000000,0xffa83fff,0xfffa801f,0x90003fff,0xf9800bff,0x003fffff,
    0x80ffffea,0x260effe8,0xfb804fff,0xbffff97f,0xf5017ff6,0x0dfffdff,
    0x21bffa00,0x26007ffd,0x3ea0dfff,0x7ffc44ff,0xffffffff,0xec881fff,
    0x7fdc0eff,0x13fff66f,0xffa8bffa,0x07ffd307,0x0001ff88,0x325ffc80,
    0xffffffff,0xffffffff,0x2f7ff60d,0x3e66ffda,0xfffca9bf,0x6c2fec1c,
    0x67edcc5f,0x5f75c000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00fffa80,0x36007ffd,0x000effff,0x000bff90,0x00bffff7,0x01ffffd4,
    0x5c1dfff3,0xf3004fff,0xfffff3ff,0x807fff1f,0xfffffffa,0x7d4000ef,
    0x3ffe62ff,0x7ffcc003,0x17ffee0e,0xfffffffd,0x00dfffff,0x7fd49ff3,
    0x3ffa20ff,0x77ffd42f,0xfb82fffe,0xff8801ef,0xfc800001,0xfffff35f,
    0xffffffff,0xc85fffff,0x0dffffff,0x7fffffec,0x27e47fff,0x000027e4,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0fffa800,0x8807ffd0,
    0xeffffffe,0x5ffc8000,0x7fffd400,0xffa803ff,0x7fcc03ff,0x3ffee1ff,
    0xbfff000e,0xfbffffff,0xffa803ff,0xffffecff,0x37ff4001,0x8001fffb,
    0x3e23fffd,0xfda81fff,0xdfffffff,0xe97f6002,0xff881fff,0x7ffdc0ff,
    0xffd84fff,0x4c3aaabf,0x01abffba,0x97ff2000,0xfffffffe,0xffffffff,
    0xddc980ff,0x336e201c,0x441aaa8b,0x001e881e,0x00000000,0x00000000,
    0x00000000,0x00000000,0xff100000,0x3fff507f,0x77fff440,0x001ffffe,
    0x5002ffe4,0xffffffff,0x7fffd407,0xffd88083,0x3bffa61f,0xffffd800,
    0xfffffcef,0x2fffa807,0x00dfffd1,0xf9afffa8,0x362004ff,0x3fe21fff,
    0x7f4400ef,0x9300ffff,0x3ff75337,0x980bffe2,0xfd981fff,0xffff02df,
    0x2a5fffff,0xffffffff,0xff500003,0x99999889,0x99999999,0x00000019,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x77ff4000,
    0x81fffa62,0xb0dffff9,0x4005ffff,0xf5005ffc,0xfff35fff,0xffff507f,
    0x901ff505,0x7ec43fff,0x7fdc00ef,0xfff9bfff,0xffa805ff,0x03fffd87,
    0x7ef7ff40,0xfd1000ff,0x7ffcc1df,0xffff9004,0x3fee09ff,0x5c5fffff,
    0x04ea802e,0xccccc800,0x32e1cccc,0x00bccccc,0x03db1000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7f400000,
    0xfffeefff,0xfffa80ff,0xffffd86f,0x5555440b,0xaaaaeffd,0x17fffcc0,
    0x545ffff3,0xaaadffff,0x502ffeaa,0xffb83fff,0x3ffe600e,0xffffd0ff,
    0xfffc9807,0x3fffa20a,0xffa800ab,0x1004ffff,0xff989ffd,0xfff3002f,
    0x205fffbd,0x02cdedca,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfffffffb,
    0x41dfffff,0x4ffffffe,0x3fffffee,0xfffff70f,0xffffffff,0x17ffe49f,
    0xf8a7ffcc,0xffffffff,0x203fffff,0x7d41ffe8,0x3ffe00ef,0x3fffee5f,
    0x3ffff601,0x3fea2fff,0xe803ffff,0x000fffff,0xff885ffb,0x3ffa001e,
    0x06fff88f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffffb800,0xffffffff,
    0xffff14ff,0x7fecdfff,0xfb2fffff,0xffffffff,0x4cdfffff,0x3be602ff,
    0xffffff11,0xffffffff,0x109f9007,0x7fec05fd,0x1fffe22f,0xfffffff0,
    0xffffd89f,0xfffb805f,0x03be004f,0x3e0017e6,0x3ffea2ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fd40000,0x8bccb88e,0x3b24ffe8,0x262dffff,
    0x25fffffd,0xffffffd9,0x2effffff,0xff880008,0xffffffff,0x3003ffff,
    0x3ee00c01,0x06ffc87f,0x7fffff54,0x7fffc41d,0xfffd001d,0x02004001,
    0x541ed400,0x0000002d,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x97000000,0x01991001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_38_latin_ext_x[560]={ 0,7,4,1,2,2,3,7,8,3,2,1,6,3,
7,2,2,2,1,2,2,2,3,2,2,3,7,6,-1,0,1,3,2,-1,0,1,0,0,1,1,0,2,1,0,
1,-1,-1,0,1,0,0,2,1,0,-1,-1,0,0,2,8,2,4,2,-2,6,1,-1,1,1,1,2,1,0,2,
2,1,2,-1,0,1,-1,1,1,2,2,0,0,-1,0,0,2,5,8,5,2,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,7,2,1,2,0,
8,1,4,-1,4,1,-1,3,-1,-2,4,1,4,5,6,0,2,7,6,5,4,1,0,-2,0,2,-1,-1,-1,-1,
-1,-1,-1,1,0,0,0,0,2,2,2,2,-1,-1,0,0,0,0,0,3,0,0,0,0,0,0,1,0,1,1,
1,1,1,1,-1,1,1,1,1,1,2,2,2,2,1,0,1,1,1,1,1,1,0,0,0,0,0,0,-1,0,
-1,1,-1,1,-1,1,1,1,1,1,1,1,1,1,0,1,-1,1,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,0,0,0,2,2,2,2,2,2,2,2,2,2,0,-1,1,2,0,1,0,1,2,1,
2,1,2,1,2,0,2,-1,0,-1,0,-1,0,-1,0,1,0,1,0,1,0,1,-1,-1,0,1,0,1,0,1,
2,2,2,2,2,2,2,2,1,2,1,2,1,2,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,0,0,
0,2,2,2,2,2,2,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,1,4,4,4,
4,4,4,4,4,4,4,4,4,4,0,1,4,4,4,4,4,4,4,4,4,4,4,4,4,0,0,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,-1,1,2,2,0,
1,0,0,0,0,0,0,0,0,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-1,1,-1,-1,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__courier_bold_38_latin_ext_y[560]={ 27,5,6,3,3,5,8,6,5,5,5,7,22,15,
23,3,5,5,5,5,5,5,5,5,5,5,12,12,7,12,7,6,5,7,7,6,7,7,7,6,7,7,7,7,
7,7,7,6,7,6,7,6,7,7,7,7,7,7,7,5,3,5,4,33,4,11,5,11,5,11,5,11,5,5,
5,5,5,11,11,11,11,11,11,11,6,12,12,12,12,12,12,5,5,5,13,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,27,12,4,6,9,7,
5,5,5,7,5,12,15,15,7,1,2,3,5,5,4,12,5,14,25,5,5,12,5,5,5,12,-1,-1,-1,1,
0,-1,7,6,-1,-1,-1,0,-1,-1,-1,0,7,1,-1,-1,-1,1,0,10,5,-1,-1,-1,0,-1,7,5,4,4,
5,6,5,4,11,11,4,4,5,5,4,4,5,5,5,6,4,4,5,6,5,8,10,4,4,5,5,4,5,5,
1,7,-1,5,7,11,-1,4,-1,5,0,5,-1,5,-1,5,7,5,1,7,-1,5,0,5,7,11,-1,5,-1,5,
-1,5,0,5,6,3,-1,-1,7,5,1,6,1,7,-1,5,7,5,0,12,7,5,-1,5,7,5,12,-1,-2,7,
5,7,5,7,5,7,5,-1,4,7,11,-1,5,6,6,11,1,7,-1,5,-1,4,7,11,-1,4,7,11,-1,5,
-1,4,-1,5,6,11,-1,5,7,6,-1,5,7,6,1,6,1,7,-1,5,-1,4,-1,4,7,12,-1,5,-1,5,
0,-1,4,0,5,-1,5,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,5,6,6,6,
6,6,6,6,6,6,6,6,6,6,5,10,6,6,6,6,6,6,6,6,6,6,6,6,6,3,11,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,-1,5,-1,5,-1,
5,-1,5,-1,1,-1,-1,-1,-1,-1,-1,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,-8,-3,-1,4,-1,4,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6, };
static unsigned short stb__courier_bold_38_latin_ext_w[560]={ 0,6,12,18,16,16,16,6,9,9,16,18,8,15,
6,16,16,16,17,16,16,16,16,16,16,16,6,9,20,20,20,15,15,22,20,18,19,19,19,19,20,16,20,21,
19,22,21,20,19,20,21,17,18,20,22,22,20,20,16,8,16,8,16,24,8,19,21,19,20,18,18,19,20,17,
14,19,17,22,20,18,21,20,19,16,18,20,21,22,20,20,16,10,4,10,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,6,15,18,16,20,
4,18,12,22,13,18,20,15,22,24,12,18,11,10,8,20,17,6,8,10,12,19,21,24,20,15,22,22,22,22,
22,22,22,18,19,19,19,19,16,16,16,16,20,21,20,20,20,20,20,14,20,20,20,20,20,20,19,18,19,19,
19,19,19,19,22,19,18,18,18,18,17,17,17,17,18,20,18,18,18,18,18,18,20,20,20,20,20,20,21,20,
22,19,22,19,23,20,18,19,18,19,18,19,18,19,19,23,20,20,19,18,19,18,19,18,20,18,19,18,19,19,
19,19,19,19,19,19,20,20,20,20,16,17,16,17,16,17,16,17,16,17,21,20,20,14,21,19,20,19,17,19,
17,19,17,19,17,20,17,21,20,21,20,21,20,21,19,17,20,18,20,18,20,18,22,22,21,19,21,19,21,19,
17,16,17,16,17,16,17,16,18,18,18,21,18,18,20,20,20,20,20,20,20,20,20,20,20,21,22,22,20,20,
20,16,16,16,16,16,16,18,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,18,17,17,18,17,17,17,
17,17,17,17,17,17,17,17,17,17,22,20,17,17,17,17,17,17,17,17,17,17,17,17,17,23,22,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,22,19,16,17,20,
18,20,20,20,20,20,20,20,20,20,20,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,22,19,22,22,20,20,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17, };
static unsigned short stb__courier_bold_38_latin_ext_h[560]={ 0,23,10,28,29,23,20,11,28,28,15,20,11,5,
5,28,23,22,22,23,22,23,23,23,23,23,16,19,20,11,20,22,25,20,20,22,20,20,20,22,20,20,21,20,
20,20,20,22,20,26,20,22,20,21,20,20,20,20,20,28,28,28,12,5,7,17,23,17,23,17,22,24,22,22,
30,22,22,16,16,17,24,24,16,17,22,16,15,15,15,23,15,28,28,28,8,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,22,25,21,16,20,
28,25,5,21,10,15,12,5,21,4,12,24,12,12,7,23,25,5,9,12,10,15,22,22,22,23,28,28,28,26,
27,28,20,28,28,28,28,27,28,28,28,27,20,26,29,29,29,27,28,15,25,29,29,29,28,28,20,23,24,24,
23,22,23,24,17,23,24,24,23,23,23,23,22,22,23,21,24,24,23,22,23,19,20,24,24,23,23,31,30,30,
26,21,28,23,25,21,29,24,29,23,28,23,29,23,28,23,20,23,26,21,28,23,27,23,25,21,28,23,29,30,
29,30,28,30,28,32,28,28,20,22,26,21,26,20,28,22,25,27,27,15,21,30,29,30,27,29,15,28,29,27,
29,20,22,20,22,20,22,28,23,27,23,28,22,21,22,24,27,21,29,23,29,24,20,17,28,23,27,23,28,22,
29,24,29,23,28,23,29,23,30,30,28,23,20,22,27,22,27,21,29,23,29,24,29,24,25,20,28,22,28,30,
27,28,23,27,22,28,22,22,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,22,21,21,27,21,21,21,
21,21,21,21,21,21,21,21,21,21,23,18,21,21,21,21,21,21,21,21,21,21,21,21,21,25,17,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,28,23,28,22,29,
23,29,23,29,27,29,29,29,29,29,29,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,35,31,28,24,31,26,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21, };
static unsigned short stb__courier_bold_38_latin_ext_s[560]={ 508,501,344,58,295,318,172,503,474,484,194,
208,502,384,425,397,98,368,385,60,403,427,466,254,198,45,504,496,420,296,441,
420,388,63,129,436,24,163,202,455,101,46,381,107,483,1,79,475,143,244,24,
1,183,319,397,374,353,462,44,494,106,503,222,400,502,262,176,301,82,282,19,
387,57,78,221,96,116,446,469,321,128,167,426,340,38,490,152,108,18,271,72,
300,503,250,366,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,
279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,508,502,442,
219,1,122,477,482,432,157,330,89,275,384,134,445,239,67,252,211,503,311,370,
504,357,264,317,174,271,246,225,375,308,331,262,324,82,414,1,116,96,377,437,
413,41,135,233,354,481,302,333,375,214,371,311,57,421,79,312,274,173,212,461,
122,188,208,62,40,25,249,403,464,407,426,408,389,371,353,332,350,292,421,311,
330,215,492,235,222,86,228,269,77,332,44,297,276,347,361,21,1,458,340,177,
349,40,40,65,444,100,484,140,1,332,141,282,402,182,103,1,483,25,442,222,
115,119,167,139,126,242,106,202,24,44,152,311,428,206,180,265,61,123,293,404,
43,495,39,257,146,19,187,433,59,131,1,196,148,256,291,188,271,134,250,77,
160,155,21,134,84,311,297,472,369,392,238,417,21,438,109,227,380,355,234,126,
254,278,1,159,150,459,162,194,179,1,196,202,236,77,213,189,21,105,95,61,
198,235,335,396,290,354,445,46,150,18,449,482,255,168,1,411,189,60,261,171,
206,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,152,279,279,455,
279,279,279,279,279,279,279,279,279,279,279,279,279,274,241,279,279,279,279,279,
279,279,279,279,279,279,279,279,1,357,279,279,279,279,279,279,279,279,279,279,
279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,332,391,
457,116,361,356,445,297,340,474,319,382,403,466,487,424,279,279,279,279,279,279,
279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,
279,279,279,1,86,285,86,65,223,279,279,279,279,279,279,279,279,279,279,279,
279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,
279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,
279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,
279,279,279,279,279,279,279,279,279, };
static unsigned short stb__courier_bold_38_latin_ext_t[560]={ 1,125,314,67,37,203,273,273,67,67,315,
273,250,314,314,67,179,227,227,179,227,179,153,179,179,203,179,227,273,314,273,
227,125,273,273,227,294,294,294,227,294,273,250,273,273,294,294,227,294,125,273,
250,294,250,273,273,273,273,294,67,96,67,314,314,262,294,179,294,203,294,250,
153,250,250,1,250,250,294,294,294,153,153,294,294,250,294,315,315,315,179,315,
67,37,67,314,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,
250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,1,153,125,
250,315,294,37,125,314,250,314,315,314,314,250,314,314,153,314,315,285,179,125,
196,314,314,314,315,227,227,227,203,96,96,96,125,125,67,273,67,67,67,67,
96,67,67,67,96,250,125,37,37,37,96,67,315,125,37,37,37,67,67,250,
203,153,153,203,227,203,153,294,179,153,153,179,179,179,179,227,227,179,250,153,
153,179,203,203,294,273,153,153,179,179,1,1,1,125,250,96,179,125,250,37,
153,37,179,96,179,37,179,96,203,273,203,125,250,96,203,125,153,153,250,96,
179,37,1,37,1,96,1,96,1,96,67,273,203,125,250,125,294,96,227,125,
125,96,315,250,1,37,1,96,37,315,96,37,125,37,273,227,273,227,273,227,
96,179,125,179,96,227,250,203,153,96,250,37,179,37,153,273,294,67,179,125,
203,67,227,37,153,37,203,67,203,37,203,1,1,67,203,273,227,125,227,125,
250,37,203,37,153,37,153,153,273,67,203,37,1,125,67,203,125,227,67,227,
227,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,227,250,250,96,
250,250,250,250,250,250,250,250,250,250,250,250,250,203,294,250,250,250,250,250,
250,250,250,250,250,250,250,250,153,294,250,250,250,250,250,250,250,250,250,250,
250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,67,203,
67,227,1,203,1,203,1,96,1,1,1,1,1,1,250,250,250,250,250,250,
250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,
250,250,250,1,1,96,153,1,125,250,250,250,250,250,250,250,250,250,250,250,
250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,
250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,
250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,
250,250,250,250,250,250,250,250,250, };
static unsigned short stb__courier_bold_38_latin_ext_a[560]={ 322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_38_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_bold_38_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_38_latin_ext(stb_fontchar font[STB_FONT_courier_bold_38_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_38_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_bold_38_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_38_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_38_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_38_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_38_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_38_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_38_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_38_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_38_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_38_latin_ext_s[i] + stb__courier_bold_38_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_38_latin_ext_t[i] + stb__courier_bold_38_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_38_latin_ext_x[i];
            font[i].y0 = stb__courier_bold_38_latin_ext_y[i];
            font[i].x1 = stb__courier_bold_38_latin_ext_x[i] + stb__courier_bold_38_latin_ext_w[i];
            font[i].y1 = stb__courier_bold_38_latin_ext_y[i] + stb__courier_bold_38_latin_ext_h[i];
            font[i].advance_int = (stb__courier_bold_38_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_38_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_38_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_38_latin_ext_s[i] + stb__courier_bold_38_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_38_latin_ext_t[i] + stb__courier_bold_38_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_38_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_38_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_38_latin_ext_x[i] + stb__courier_bold_38_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_38_latin_ext_y[i] + stb__courier_bold_38_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_38_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_38_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_38_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_38_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_38_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_38_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_38_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_38_latin_ext_LINE_SPACING
#endif

