// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_47_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_47_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_47_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_bold_47_latin_ext_BITMAP_HEIGHT        495
#define STB_FONT_courier_bold_47_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_bold_47_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_bold_47_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_bold_47_latin_ext_LINE_SPACING          22

static unsigned int stb__courier_bold_47_latin_ext_pixels[]={
    0x00000000,0x00000000,0x00000000,0x00080000,0x1b910000,0x99999300,
    0x99999999,0x99999999,0x0b980001,0x00000000,0x80000040,0x0005100a,
    0x00015000,0x50000000,0x99999999,0x80005999,0x00000029,0x22000000,
    0x10009999,0x99803333,0x22000099,0x0000000a,0x54000201,0xf700000b,
    0x4c00000d,0x0000002f,0x4c000ff2,0x01fd805f,0x003fc800,0x7ff4c000,
    0xffffa801,0xffffffff,0xffffffff,0x3ee0000f,0xd880004f,0x3200001e,
    0x5400003f,0x17fd42ff,0xfe880000,0x17740003,0xffa80000,0xffffffff,
    0x20001fff,0x00000dfd,0x003fc800,0x9ffff500,0x3ffff200,0x1bfffe01,
    0x17ffd400,0x3f200000,0x2002fdc4,0x80006ffd,0x00006ffd,0x0000df30,
    0x13ffa200,0x017fdc00,0x40007ff5,0x00efffe9,0xfffa8000,0xffff5005,
    0xffffffff,0xffffffff,0x3f20001f,0x540001ff,0x0004ffff,0x077fff4c,
    0xbffb0000,0x000bffb3,0x01bfe600,0x07fff100,0x2aa60000,0xaaaaaaaa,
    0x7440001a,0x000000ef,0x009ffd10,0x3fffea00,0xffff9004,0x37fffc03,
    0x5fffe800,0x3f600000,0x01bff25f,0x00ffffa8,0x3fffd100,0x3fa00000,
    0x98000001,0x0000efff,0xf303fff3,0x320003ff,0x3fffffff,0x3ff20000,
    0x3fea004f,0xffffffff,0xffffffff,0x44000fff,0x0002fffe,0x3fffff62,
    0xfc8001ef,0x03ffffff,0x3ffee000,0x000002ff,0x00009ff7,0x0017ffee,
    0x00000000,0x00fff440,0x3fe60000,0x500000ef,0x2009ffff,0x201ffffc,
    0x0006ffff,0x000dffff,0x43fff600,0x1001fffc,0x000dffff,0x003bffe6,
    0x017dc000,0x7fdc0000,0x640000df,0xfeccffff,0xe88004ff,0xffd9dfff,
    0x6c0000ef,0x54003fff,0xccccffff,0xcccdfffe,0x000ffffc,0x007bffa6,
    0xbffffa80,0x004ffffa,0xb3bfffd1,0x0001dfff,0x6fec4175,0x3000ae20,
    0x21ffc439,0xf50001c9,0x00001dff,0x32600e4c,0x41c98001,0x00e4c7fc,
    0x6fffd400,0x3ea00000,0xf9004fff,0x7fc03fff,0xf90006ff,0x000007ff,
    0x3f21dffb,0x3ee001ff,0x98003fff,0x0000dfff,0x00f7f600,0xfffb8000,
    0x3f600004,0x5fffffff,0x5fffd000,0x005fffb8,0x007ffe60,0x21bffea0,
    0xff83fffd,0x3fa000ff,0x220000df,0x3621efff,0xfe803fff,0x7ffdc2ff,
    0x37fd4005,0x017ff40c,0x0dc7ff98,0x0003ffe2,0x0077ff44,0x03ffc400,
    0x4001fff1,0x23a87ff9,0x0000fff8,0x0013ffea,0x26666200,0x33331000,
    0x00999980,0x000b6a00,0x43bff200,0x4001fffb,0x0007fffe,0x00009ff9,
    0x05ffff00,0x3ffa0000,0xd9800002,0x001dffff,0x44037fa0,0x220006fe,
    0xf50000de,0xfffb0dff,0x01ffff07,0x00027f40,0xf5027fcc,0x1bfd009f,
    0x001bfa20,0x3e00fff9,0xff5003ff,0xfff9803f,0x3f620002,0xfa80003f,
    0xfff301ff,0x7ffd4005,0x17ffcc01,0x05ffd000,0x00000000,0x00000000,
    0x7fc00000,0x007ffe0e,0x07ffff50,0x00072200,0x7fffc000,0x95000003,
    0x10000003,0x06200001,0x100000c0,0xfff50001,0x07fffb0d,0x8001ffff,
    0x02200000,0x018800c0,0xfd100030,0x03bee007,0xb005fd80,0x2a0000bf,
    0xfb00000c,0x005fd80b,0xfb005fd8,0x1ca8000b,0x00000000,0x00000000,
    0x54000000,0x0006540c,0x007ffff4,0x0002e600,0x1dff7000,0x00000000,
    0x00000195,0x00000000,0x39ffb300,0x2fffcc00,0x7c1fffec,0x00000fff,
    0x00000000,0x10000000,0x10000800,0x00000800,0x00400000,0x00200008,
    0x00000010,0xaaaa8800,0xaaaaaaaa,0xaaaaa882,0x2aaa62aa,0x0aaaaaaa,
    0x77f6dcc0,0x2aaaaa2c,0x00000001,0x027fffcc,0x9fffd300,0x44000001,
    0x30000001,0x00fffa80,0x677f6dcc,0x06aaaaa2,0x77f6dcc0,0x2aaaaa2c,
    0x37fe6001,0x3e2007fe,0xfffd83ff,0x886ffd83,0x400aaaaa,0x00aaaaa8,
    0x55555551,0x10555555,0x80155555,0x00aaaaa8,0x00000000,0xc8800000,
    0x05dd304f,0x00000000,0x00000000,0x7fec0000,0xffffffff,0x3fa0ffff,
    0xefffffff,0xfffffff8,0x102fffff,0xfffffffb,0xfffff5df,0x020001ff,
    0xffffb000,0x67f40001,0x00003fdb,0x50000000,0x3bdfffd9,0x817fffcc,
    0xffffffd8,0xffffaeff,0xfb100fff,0xdfffffff,0xfffffff5,0x5c3f9001,
    0x3ff6002f,0x83fffd81,0x7fe43ffa,0xb04fffff,0x9fffffff,0xffffffd8,
    0xffffffff,0x3fffff20,0xfffb04ff,0xa889ffff,0x0acccccc,0x66666544,
    0x665440ac,0x440acccc,0xacccccca,0x0fffdc00,0x4403fff4,0xacccccca,
    0x66665440,0x65440acc,0x40accccc,0xcccccca8,0x6665440a,0x5440accc,
    0x0acccccc,0x3fffffe6,0xffffffff,0xfffff30f,0xff7dffff,0xffffffff,
    0xfff505ff,0xffffffff,0xffffffff,0x3fb2a007,0x4002bdff,0x0004ffff,
    0x00fd13e6,0x7f6dcc00,0x2aaaa3ce,0xffb1001a,0xbfffffff,0x01fffff5,
    0xfffffff5,0xffffffff,0xf507ffff,0xffffffff,0xffffffff,0x8df007ff,
    0x004005f8,0x2207fffb,0xffffff80,0x7fc40fff,0x27ffffff,0xfffffff8,
    0xffffffff,0x3fffffe0,0x7fc40fff,0x27ffffff,0xfffffff8,0x3ffe27ff,
    0x0fffffff,0xfffffff1,0x7ffc4fff,0x0fffffff,0x20bfff20,0x2200ffff,
    0xffffffff,0x3fffe27f,0x10ffffff,0xffffffff,0x7fffc4ff,0x10ffffff,
    0xffffffff,0x7fffc4ff,0x20ffffff,0xffffffff,0x0fffffff,0xfffffff1,
    0xffff3dff,0xffffffff,0xfffff985,0xffffffff,0x1fffffff,0x7fffec40,
    0x00dfffff,0x03ffff88,0xf90bee00,0xfd880003,0xefffffff,0xfffffffa,
    0x3fffee00,0xffffffff,0x983fffff,0xffffffff,0xffffffff,0x7cc1ffff,
    0xffffffff,0xffffffff,0xfd801fff,0x0000fea0,0x003fffd8,0x7ffffff4,
    0xfffff06f,0xfff8dfff,0xffffffff,0x3fa0ffff,0x06ffffff,0xffffffff,
    0x7ffffdcd,0xf52fffff,0xffffffff,0x3fffee5f,0x52ffffff,0xffffffff,
    0x7fcc05ff,0x809ff706,0xfffffffb,0xfff52fff,0x5fffffff,0x3fffffee,
    0xff52ffff,0xffffffff,0x3ffffee5,0xf52fffff,0xffffffff,0x776dcc5f,
    0xffeeeeee,0x3b6e60ff,0x956fffee,0xffdddddd,0xfffe85ff,0xfca99bef,
    0xceffffff,0x7fffdc02,0xffffffff,0x7ffcc01f,0x3e20001f,0x0001be25,
    0xfffffff5,0xffffffff,0x2e07ffff,0xffffffff,0xffffffff,0xffffd05f,
    0xff95337d,0x59dfffff,0x7dffffd0,0xffff9533,0x0059dfff,0x3ff2ffe6,
    0x3f600000,0x644003ff,0x00beffff,0x7fffff73,0xeeedb981,0xfffeeeee,
    0x3fff220f,0xf7300bef,0x4417ffff,0xffffffff,0xffff10ff,0x21ffffff,
    0xfffffff8,0xfff10fff,0x1fffffff,0x00880300,0xffffff88,0xff10ffff,
    0xffffffff,0x3ffffe21,0xf10fffff,0xffffffff,0x3fffe21f,0x10ffffff,
    0xffffffff,0x3e0001ff,0x7cc00fff,0xffd006ff,0x7fffe45f,0x3fffa604,
    0xffb800ff,0xffffffff,0x203fffff,0x000ffffb,0x7feffec0,0x3fe60002,
    0xffffffff,0xffffffff,0xfff981ff,0xf931bdff,0x01dfffff,0x409ffff9,
    0x0fffffe9,0x09ffff90,0x7fffff4c,0xfffb8000,0x6c00002e,0xb0003fff,
    0xf100dfff,0x00009fff,0xfb01ffff,0xff100dff,0x3ee209ff,0x40accfff,
    0xffffdca8,0x7ffdc40b,0x5440accf,0x0bffffdc,0x88000000,0xaccffffb,
    0x7fee5440,0x7dc40bff,0x40accfff,0xffffdca8,0x7ffdc40b,0x5440accf,
    0x0bffffdc,0x3fffe000,0x37ffcc00,0x22fffe80,0x9805ffff,0x400fffff,
    0xadfffff9,0xffffd730,0x3fff203f,0xeb880007,0x740002df,0x99beffff,
    0xffffffca,0xffd02cef,0x7fcc07ff,0xff80ffff,0xff9805ff,0xfff00fff,
    0xfff300bf,0x540001ff,0xfb000001,0x220007ff,0x6403ffff,0x0000ffff,
    0x880ffff8,0x6403ffff,0x7c00ffff,0xf3000fff,0xfff80fff,0xfff3000f,
    0x0000000f,0x001ffff0,0xf01fffe6,0x26001fff,0x7fc07fff,0xff3000ff,
    0xff0000ff,0xff9801ff,0xfffd006f,0x03fffe65,0x07fffe40,0x0fffffa0,
    0x0dffff90,0x001bfff6,0x90000100,0x4c09ffff,0x00fffffe,0x80bffff2,
    0xffffffe8,0x07fffcc3,0x0ffffc80,0x00ffff98,0x01ffff90,0x00000000,
    0x000ffff6,0x206fffc8,0x004ffff8,0x01ffff00,0x881bfff2,0xf804ffff,
    0xf3000fff,0xfff80fff,0xfff3000f,0x5555440f,0x5555100a,0x7ffc0155,
    0xfff3000f,0x0ffff80f,0x0ffff300,0x000ffff8,0x000ffff3,0x801ffff0,
    0xd006fff9,0x3fea5fff,0x3fe6005f,0x3ff200ff,0xff5002ff,0xffff07ff,
    0x0000000b,0x0bffff00,0x1fffff30,0x13fffe20,0xffffffb0,0x5fffa8ff,
    0x3fffe600,0x05fffa80,0x03fffe60,0x776dcc40,0x0000bcee,0x007fffb0,
    0x1ffffc40,0x00ffffc8,0x1ffff000,0x0ffffe20,0x007fffe4,0x8007fffc,
    0x7c07fff9,0xf3000fff,0x3ffa0fff,0xfc81ffff,0x01ffffff,0x4003fffe,
    0x7c07fff9,0xf3000fff,0xfff80fff,0xfff3000f,0xfff0000f,0xfff9801f,
    0x5fffd006,0x8013fff2,0x100ffff8,0x8009ffff,0x7c0ffffd,0x98005fff,
    0xcccccccb,0xff98003c,0xff9000ff,0x3fea01ff,0x3fee00ff,0x3ffffeff,
    0x8013fff2,0xc80ffff8,0x22004fff,0x4c00ffff,0xfffffffd,0x000cffff,
    0x01fffec0,0x1ffff200,0x013fffe2,0x0ffff800,0x21ffff20,0x004ffff8,
    0x2001ffff,0x7c07fff9,0xf3000fff,0xfff30fff,0xff03ffff,0x03ffffff,
    0x8007fffc,0x7c07fff9,0xf3000fff,0xfff80fff,0xfff3000f,0xfff0000f,
    0xfff9801f,0x5fffd006,0x8013ffee,0x500ffff8,0x8001ffff,0x6c2ffff8,
    0x64006fff,0xffffffff,0x54000fff,0x26005fff,0xf700ffff,0x7fcc07ff,
    0xfffd8fff,0x013ffee4,0x80ffff88,0x2004fffb,0x400ffff8,0xffffffff,
    0x05ffffff,0x1fffec00,0x3ffe2000,0x7fffe43f,0x3fe00000,0x3fe200ff,
    0x7ffe43ff,0xffff000f,0x3ffe6001,0x07fffc07,0x87fff980,0xfffffff8,
    0xfffffe81,0x3ffe01ff,0xfff3000f,0x0ffff80f,0x0ffff300,0x000ffff8,
    0x000ffff3,0x801ffff0,0xd006fff9,0x3fea5fff,0x3fea006f,0xfff900ff,
    0x3ff20007,0x3fffe43f,0x3ffffe00,0x3fffffff,0x27ffe400,0x1ffff100,
    0x40bfff60,0x91fffff8,0x7fd4bfff,0x3fea006f,0xfffa80ff,0x3ffea006,
    0x7fffc00f,0xffffffff,0x44004fff,0x9cfffd99,0xff900009,0x3ffe21ff,
    0x7c00004f,0x7e400fff,0xfff10fff,0x7ffc009f,0xfff3000f,0x0ffff80f,
    0x0ffff300,0x3ffff6e6,0xffedb881,0x3ffe01ff,0xfff3000f,0x0ffff80f,
    0x0ffff300,0x000ffff8,0x000ffff3,0x801ffff0,0xd006fff9,0x3fe25fff,
    0xffb001ff,0x3ff601ff,0xff50002f,0xffffb8bf,0x3fff2000,0xffffffff,
    0x7ffdc007,0x3ffe2004,0x3fffd00f,0x8fffffa0,0x3e26fffa,0xfb001fff,
    0xff101fff,0x3f6003ff,0x7dc00fff,0x99abceff,0x007fffeb,0xffffffd7,
    0x03dfffff,0x3ffff880,0x001ffff9,0x0ffff800,0x9ffffc40,0x000ffffc,
    0x4003fffe,0x7c07fff9,0xf3000fff,0xffd00fff,0xfffd003f,0x07fffc03,
    0x07fff980,0x8007fffc,0x7c07fff9,0xf3000fff,0xf0000fff,0xf9801fff,
    0xffd006ff,0x77fffc5f,0x7fffdc00,0x3ffff00f,0x3ffe6000,0x0ffffd46,
    0x3b32e600,0x2fffffff,0x1bffea00,0x0ffffa80,0x907fff88,0xf88bffff,
    0x7fffc7ff,0x7ffdc00e,0xffff00ff,0xfffb801d,0x008800ff,0x00ffff98,
    0x7fffffc4,0xffffffff,0xfffc8006,0x04ffff9f,0xffff8000,0xffffc800,
    0x004ffff9,0x8007fffc,0x7c07fff9,0xf3000fff,0xffd00fff,0xfffd003f,
    0x07fffc03,0x07fff980,0x8007fffc,0x7c07fff9,0xf3000fff,0xf0000fff,
    0x33301fff,0x333dfff5,0x8bfffa01,0x82effffa,0xffffffd8,0x07fff880,
    0x1fffe200,0x007ffff1,0xfffffe80,0x3e2005ff,0xfb001fff,0x3fe01fff,
    0x7ffd40ff,0x7fff886f,0x177fffd4,0x7ffffec4,0xffff500f,0xfffb105d,
    0x00001fff,0x802fffe8,0xffffffff,0x05ffffff,0xfffff880,0x0000ffff,
    0x00ffff80,0xffffff88,0x7c000fff,0xf3000fff,0xfff80fff,0xfff3000f,
    0x3fffd00f,0x03fffd00,0x8007fffc,0x7c07fff9,0xf3000fff,0xfff80fff,
    0xfff3000f,0xfff0000f,0x3fff661f,0xffffffff,0x7ff42eff,0x7fffec2f,
    0xfffdcdef,0xf00fffff,0x20001fff,0xff87fff8,0x260005ff,0xfffbffff,
    0x3ffe000f,0x7fdc00ef,0xffd00fff,0x7fffcc3f,0x5fffa80f,0xefffffd8,
    0xfffffdcd,0x3f600fff,0xdcdeffff,0xffffffff,0x3fb2e000,0xfffeefff,
    0xffda802f,0xffffffff,0xf90001df,0x09ffffff,0x3ffe0000,0xfff9000f,
    0x0009ffff,0x2001ffff,0x7c07fff9,0xf3000fff,0xffd00fff,0xfffd003f,
    0x07fffc03,0x07fff980,0x8007fffc,0x7c07fff9,0xf3000fff,0xf0000fff,
    0x3ff21fff,0xffffffff,0x747fffff,0x7f442fff,0xffffffff,0x0fffffff,
    0x003fffd0,0x21bffea0,0x000ffffd,0x3adfffb0,0x2a003fff,0x902fffff,
    0x01ffffff,0x744bfff6,0xf702ffff,0xffd109ff,0xffffffff,0x01ffffff,
    0x7fffff44,0xffffffff,0xea800fff,0xffffffff,0x002fffff,0x88000000,
    0x0fffffff,0xfff00000,0x3fe2001f,0x000fffff,0x000ffff8,0xf80ffff3,
    0xf3000fff,0xffd00fff,0xfffd003f,0x07fffc03,0x07fff980,0x8007fffc,
    0x7c07fff9,0xf3000fff,0xf0000fff,0x3ff21fff,0xffffffff,0x746fffff,
    0xfd882fff,0xffffffff,0x00ffffff,0x0005fff9,0x2a13ffee,0x8004ffff,
    0xf72ffff8,0xfd800fff,0xdcdeffff,0xffffffff,0x2dfff900,0x204ffffd,
    0xb102fffe,0xffffffff,0x1fffffff,0xffffd880,0xffffffff,0x7ec00fff,
    0xffffffff,0x02ffffff,0x00000000,0x09fffff9,0x7ffc0000,0x3ff2000f,
    0xf0004fff,0x26001fff,0x7fc06fff,0xff3000ff,0xfffd00df,0x3fffd003,
    0x007fffc0,0x406fff98,0x3000ffff,0xff80dfff,0xff3000ff,0xff0000df,
    0x3fb221ff,0xffffffff,0x7f41dfff,0x3fea02ff,0x8cffffff,0xf700ffff,
    0x3a000bff,0xffd03fff,0xfb8001ff,0x3ffe27ff,0x3fa2002f,0xffffffff,
    0x0fffffff,0xfbffff30,0x7d40bfff,0x7d401fff,0xcfffffff,0x000ffff8,
    0xfffffff5,0x1ffff19f,0x7ffffec0,0xffffffff,0x20002fff,0x800002ca,
    0x00fffff8,0x3ffe0000,0x3fe2000f,0xb0000fff,0x2a005fff,0x7ec05fff,
    0xff5002ff,0xfffd00bf,0x3fffd003,0x017ffec0,0x405fffa8,0x5002fffd,
    0xfd80bfff,0xff5002ff,0xf88000bf,0x00000fff,0x005fffd0,0x41359731,
    0xf300ffff,0xa8005fff,0xf701ffff,0xe8009fff,0x7fec4fff,0x7e44005f,
    0xffffffff,0x00ffffff,0x3ffffff6,0xfff100ef,0x5cc400df,0x3ffe09ac,
    0x5cc4000f,0x3ffe09ac,0xffff700f,0x533135bf,0x005ffff7,0x00ffff20,
    0xffff3000,0x44000009,0x2000ffff,0x004ffff9,0x013fff20,0x201fffe4,
    0x9004fffc,0xfd007fff,0xffd003ff,0x7ffe403f,0x7fff9004,0x04fffc80,
    0x807fff90,0x9004fffc,0x80007fff,0x0007fffa,0x3ffff100,0xfff30000,
    0xefffe80f,0xffff1000,0xffffe80b,0xffff3000,0x0ffff983,0xfffe9800,
    0xff8cffff,0x3fe600ff,0x101fffff,0x001ffffd,0x3fffcc00,0x7fcc0000,
    0x3fff607f,0xfffe801f,0xffff0002,0xfd80000d,0x00000fff,0x01fffea0,
    0x01ffffb0,0x7fffd400,0x7fffdc01,0x7fffd402,0x7fffdc01,0x2fffe802,
    0x0ffffdc0,0x03ffff50,0x02ffffb8,0x00ffffd4,0x00bfffee,0x803ffff5,
    0x002ffffb,0x02fffec0,0xfffb8000,0xff900007,0xfff980bf,0x7f4400ef,
    0x7dc00fff,0xfb003fff,0x3ffa0bff,0x2620004f,0x3fe09acb,0x7fec00ff,
    0xfa80dfff,0x0003ffff,0x02fffe40,0x7ffe4000,0x0bfffe05,0x0bfffea0,
    0x2fffec00,0xfff30000,0x8000009f,0x2005fffd,0x004ffff9,0x7ffff440,
    0xffffb883,0xfffe8806,0xfffb883f,0xfffb006f,0x3fffee0b,0x3fa201ff,
    0xfb883fff,0xe8806fff,0xb883ffff,0x8806ffff,0x883ffffe,0x006ffffb,
    0x1ffffd40,0x7f4c0000,0xa80005ff,0xb803ffff,0x502fffff,0x007fffff,
    0x201ffffa,0x702ffff8,0x0000ffff,0x03fffcc0,0x7fffffec,0xffffdcef,
    0x400005ff,0x003ffffa,0x7fffd400,0x7ffff103,0x7ffff540,0xb710003f,
    0x6c00007f,0x0000ffff,0x3fffea00,0x3fff6003,0xf980000f,0xecdeffff,
    0x00ffffff,0xdfffff30,0xfffffd9b,0x3fee001f,0xffecceff,0xdfffffff,
    0xfffff301,0xffffd9bd,0x3e6001ff,0xecdeffff,0x00ffffff,0xdfffff30,
    0xfffffd9b,0xaaa9801f,0xfffffdaa,0x5510000f,0xfffff955,0x5553007f,
    0xfffff955,0x3ff6003f,0xfdcdffff,0x006fffff,0x003fffe6,0xdddffff7,
    0xffffdddd,0x32000005,0x7dc06fff,0xffffffff,0xefffffff,0x5554c000,
    0xfffffcaa,0x554c001f,0xffffcaaa,0x3ffa01ff,0xfecbdfff,0xffffffff,
    0xfe8000df,0xaaa88001,0xadffffba,0x55530000,0xfffffb55,0x5555101f,
    0x15bffff7,0xfff70000,0xffffffff,0xfb8007ff,0xffffffff,0x2003ffff,
    0xfffffff8,0xffffffff,0x3ee04fff,0xffffffff,0x4003ffff,0xfffffffb,
    0x03ffffff,0x7ffffdc0,0xffffffff,0x7ffffc03,0xffffffff,0xfff70002,
    0xffffffff,0xffffd009,0xffffffff,0x7ff44005,0xffffffff,0x4000dfff,
    0xfe806ffb,0xffffffff,0x05ffffff,0xfffa8000,0x3ffe604f,0xffffffff,
    0x003fffff,0xffffffe8,0x02ffffff,0x7fffff40,0x2fffffff,0x7ffffcc0,
    0xffffffff,0x4fffffff,0x001fe400,0x7fffffe4,0x06ffffff,0xfffffe80,
    0x1fffffff,0xffffffc8,0x06ffffff,0xffff5000,0x5fffffff,0x3ffea000,
    0xffffffff,0xfff98002,0xffffffff,0x04ffffff,0x7fffffd4,0x002fffff,
    0xffffff50,0x005fffff,0x3ffffea0,0x02ffffff,0x7fffffd4,0x02ffffff,
    0x3ffffa00,0x04ffffff,0xffffff98,0x02ffffff,0xfffff700,0x07ffffff,
    0x4c014c00,0xffffffff,0xffffffff,0x554c000f,0xffffcaaa,0x3ffa01ff,
    0xfffd9aff,0x000dffff,0xffffff98,0x02ffffff,0x7ffffcc0,0x2fffffff,
    0xfffff700,0xffffffff,0x09ffffff,0x8002fcc0,0xffffffff,0x02ffffff,
    0x3ffffea0,0x2fffffff,0xfffffff0,0x5fffffff,0x3f620000,0x0dffffff,
    0x7fec4000,0x00dfffff,0x3fffa600,0xfe9cffff,0x8800ceff,0xfffffffd,
    0x6c40000d,0xdfffffff,0x7ec40000,0x0dffffff,0xfffff880,0x02dfffff,
    0x7fffe400,0x003dffff,0x3ffffffe,0x0002dfff,0x7ffffecc,0x00001dff,
    0xfffffb00,0xffffffff,0x4009ffff,0xfffffffe,0x202fffff,0x443ffffa,
    0x0001acba,0xfffffff8,0x0002dfff,0xffffffff,0x98005bff,0xfffffffe,
    0xffffe9cf,0x3b6000ce,0xfffb0000,0xffffffff,0x7c4001ff,0xffffffff,
    0x3ff602ef,0xffffffff,0x00000fff,0x001aca98,0x35953000,0xca880000,
    0x000001ac,0x00035953,0x06b2a600,0x654c0000,0xcb88001a,0x001bcccc,
    0x3332a200,0x88000acc,0x1ccccccb,0x95300000,0x00000015,0xacffff88,
    0xaaaaaaaa,0x3007fffc,0xffffffff,0x9807ffff,0x00005fff,0x3332e200,
    0x80001ccc,0xccccccb8,0xca980001,0x00002acc,0xa8800010,0xcccccccc,
    0x88000bcc,0xbccccccb,0xccca8801,0xbccccccc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xf7000000,0xff800fff,0xffd002ff,0xdfffffff,0x017ae005,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0037fffa,0x02fffec4,0xcccccb88,0x000002bc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0xffffffd9,0xffd702ef,0x01dfffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0xfffffffd,0xfff887ff,0x4fffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fffffec,0xfff07fff,0x9fffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffffec88,0xfb502dff,0x19dfffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x99999998,0x00000000,0x00000000,0x000b8800,0x00000000,0x00002dc8,
    0x00066666,0x20100000,0x00000000,0x22000000,0x00019999,0x005cc000,
    0x00000000,0x00000000,0x00000e20,0x0002a200,0x1cc00000,0x4000dc40,
    0x019800a8,0x8000bb88,0xdd304fc8,0x7ff44005,0x03ffffff,0x01bf3000,
    0xd8800000,0x2600002f,0x000dfffd,0x000ff600,0x01ffea00,0x3ffff200,
    0x000001ff,0xfb89f900,0x75400005,0x74c00006,0x3ffa200f,0x00007fff,
    0x9fffd300,0xf3000001,0x0000003d,0x00003ba6,0x003dff50,0x3fea0000,
    0xdd300004,0x07ff0001,0xd8006fc8,0xffb103ff,0x06ffd801,0x81fffb80,
    0x32007ffe,0xffffffff,0xf500003f,0x000003ff,0x00fffa60,0xdadfd800,
    0x3a00005f,0x400005ff,0x0002fffc,0x3fffffe6,0x0000001f,0x3f25ffd8,
    0x2e00006f,0x00000fff,0x5c03fff5,0x07ffffff,0x9fd00000,0x00007fb7,
    0x005fff30,0xfffb8000,0xfb100000,0x0009ffff,0x2fffb800,0xfffb8000,
    0x0fff8000,0x000dff30,0x5c1bfff7,0xff806fff,0x7e4004ff,0xffff82ff,
    0xffff7000,0x007fffff,0x1fffec00,0x3ea00000,0x200006ff,0x007ec5f8,
    0xefff9800,0xffb00000,0x7c40005f,0x01ffffff,0x7ec00000,0x3fff90ff,
    0x3ff60000,0xf900002f,0xff9807ff,0x0007ffff,0x744f9800,0xf9000007,
    0x000007ff,0x000ffff2,0x77fffd40,0x0001efff,0x1fffec40,0x7ffe4000,
    0xdff90003,0x3ffee637,0xfff70003,0x3dfffb7f,0x1ffffb00,0x837fcc00,
    0x5c004ffb,0xffffeeed,0x7e400003,0x000004ff,0x000bfff7,0x7dc3fa80,
    0x3a200002,0x80001fff,0x0002fffd,0x7ffff654,0x20000001,0xff90effd,
    0xd100003f,0x00003fff,0x005fffb1,0x1ffffb6e,0x3ee00000,0x0000fe42,
    0x05fffb80,0x3ff62000,0xf700002f,0x3fea3dff,0x100002ff,0x0003fffd,
    0x02fffd88,0x7ffff400,0x005fffff,0x7ffff4c0,0x3e6003ff,0x18005fff,
    0x80000440,0x0003fffc,0x05fffa80,0x7ffdc000,0xdf000003,0x00003744,
    0x00fffec4,0x0bfff600,0xfffe8000,0x90000001,0x3fee1dff,0xf880001f,
    0x00000eff,0x0003fffd,0x000ffff1,0x44bf1000,0x4000006f,0x0005fff9,
    0x003dffd0,0x13ffe200,0x001bff62,0x0077fec0,0x0f7ff400,0x7fe44000,
    0x003fffff,0x3bfff200,0xfffe8001,0x0000001f,0x3fff2000,0xd3000003,
    0x400001ff,0x00002fff,0x3ff7ff20,0x32000003,0x550005ff,0x5559fffd,
    0x40035555,0x0001fffe,0x41dff000,0x00001fff,0x0001bff7,0x003bfea0,
    0x03fffc40,0xffd80000,0x00002ffd,0x01ffe880,0x077fd400,0x076e0000,
    0x00007b50,0x400017fe,0x0000effa,0x566e5440,0xe9800000,0x3fea0003,
    0x000005ff,0x3ff20000,0x2000003f,0x400003c8,0x000000ca,0x0177f5c4,
    0x0e4c0000,0x3fffee00,0xffffffff,0x802fffff,0x0001fffe,0xa8195000,
    0x2200000c,0x4400002c,0x7c40003c,0x000007ff,0x05bfd710,0x4b800000,
    0x03c88000,0x00000000,0x000c4000,0x00079100,0x00000000,0x7f400000,
    0x55100fff,0xa8801555,0x4000aaaa,0x0003fffc,0x00000000,0x10000000,
    0x00000000,0xfffffd00,0xffffffff,0xd00bffff,0x32e23fff,0x0001bdee,
    0x00000000,0x00000000,0x43fffc40,0x0aaaaaa8,0x00008000,0x00000000,
    0x00000000,0x64400001,0x05dd304f,0x00000000,0x22000008,0x5dd304fc,
    0x7fffd400,0xfffffc84,0xfffb04ff,0x4009ffff,0x0003fffc,0x00000100,
    0x00000020,0x00000000,0xffffc800,0xffffffff,0x803fffff,0xffcafffe,
    0xdfffffff,0x00000000,0x00006000,0x22000180,0x7fe47fff,0x03ffffff,
    0x00000000,0x00000000,0xd9500000,0x0057bfff,0x40fffdc0,0x00007ffe,
    0x76540000,0x002bdfff,0x207ffee0,0x74007ffe,0xfff86fff,0x40ffffff,
    0xfffffff8,0x3ff2007f,0x9500003f,0x057bfffd,0x3fb2a000,0x2002bdff,
    0xcccccca8,0x6665440a,0x5440accc,0x0acccccc,0x66666544,0x76dc40ac,
    0xeeeeffff,0x002ceeee,0xfffffffd,0xffffffff,0x332a205f,0x440acccc,
    0xacccccca,0xffdb3000,0x2e219dff,0xffdb7001,0x02a25bff,0x227fff88,
    0xffffffff,0xccb9806f,0x03cccccc,0x99995100,0x99999999,0x09999999,
    0x03799973,0x1bcccca8,0xffffb100,0x01bfffff,0x05fff900,0x8801ffff,
    0xccccccca,0x0acccccc,0xffffd880,0x00dfffff,0x82fffc80,0x2000ffff,
    0x741ffffb,0x6fffffff,0xfffffff0,0x7fe400df,0x6c40003f,0xffffffff,
    0xb10000df,0xffffffff,0xff8801bf,0x7fffffff,0x3fffffe2,0xff10ffff,
    0xffffffff,0x7fffffc4,0x3600ffff,0x00002fff,0x3ffffffa,0xffffffff,
    0x7fc42fff,0x7fffffff,0x3fffffe2,0x2600ffff,0xfffffffe,0x2ffedfff,
    0x3ffffa60,0xffefffff,0x1fffe207,0xffffffff,0xfffc80bf,0xffffffff,
    0xffff8000,0xffffffff,0xffffffff,0x7ffffec7,0xfffd05ff,0xb809ffff,
    0xffffffff,0x001fffff,0xfb837fcc,0x7ffc404f,0xffffffff,0x00ffffff,
    0x3fffffee,0x1fffffff,0x837fcc00,0x4c004ffb,0x6442ffff,0x00beffff,
    0x7fffff73,0x7ffe4001,0x3fee0003,0xffffffff,0x5c001fff,0xffffffff,
    0x201fffff,0xfffffffb,0xfff52fff,0x5fffffff,0x3fffffee,0xff52ffff,
    0xffffffff,0x17ffec05,0xfffd0000,0x5357dfff,0x3ffffff9,0x7fffffdc,
    0xff52ffff,0xffffffff,0x3fffee05,0xffffffff,0xf704ffff,0xffffffff,
    0x03ffffff,0xf99fffe2,0xbdefffff,0x7ffffc00,0x3fffffff,0x7fffcc00,
    0xffffffff,0xffffffff,0x7fffffc7,0x7fcc0fff,0x07ffffff,0x3fffffee,
    0xffffffff,0x4018003f,0xfffb8008,0xffffffff,0x02ffffff,0xfffffff7,
    0xffffffff,0x88030007,0xfff88000,0xdfffb03f,0x9ffff100,0x7fff9000,
    0x3ffee000,0xffffffff,0x7003ffff,0xffffffff,0x7fffffff,0x3ffffe20,
    0xf10fffff,0xffffffff,0x3fffe21f,0x10ffffff,0xffffffff,0x7fec01ff,
    0x3a00002f,0x403fffff,0x224ffffc,0xffffffff,0xffff10ff,0x01ffffff,
    0xfffffff9,0xffffffff,0xfff30dff,0xffffffff,0x207fffff,0xff77fff8,
    0x8003ffff,0xfffffffc,0x8007ffff,0xffffffff,0xffffffff,0x7ec7ffff,
    0x06ffffff,0xffffffff,0x3fffe60b,0xfd730adf,0x0003ffff,0x3fe20000,
    0xffffffff,0x0fffffff,0xdfffff98,0xfffd730a,0x000003ff,0x7fffc000,
    0x7ffff104,0x0ffffc80,0x3fffc800,0xffff9800,0xfd730adf,0x9803ffff,
    0x0adfffff,0xfffffd73,0x3ffee203,0x5440accf,0x0bffffdc,0x67fffdc4,
    0x6e5440ac,0x400bffff,0x0002fffd,0x0bffffa0,0x237ffe40,0xccffffb8,
    0x7ee5440a,0xfa80bfff,0x11beffff,0xfffffd73,0xbffffd0d,0x3ff6a613,
    0xff103fff,0xfffff9ff,0x2e60001d,0xfffffecc,0x544002ff,0xccdffffc,
    0xfccccccc,0xffd987ff,0x3fa206ff,0x3a01cfff,0x6403ffff,0x0006ffff,
    0x32e20000,0xefffeccc,0xd00acccc,0xc807ffff,0x0006ffff,0x3fa00000,
    0x3ff206ff,0x3ffe206f,0xff90004f,0xffd0007f,0xffc807ff,0x7ff406ff,
    0x7fe403ff,0x7ffc06ff,0xfff3000f,0x0ffff80f,0x0ffff300,0x00bfff60,
    0x5fffe800,0x0ffff400,0x8007fffc,0xf107fff9,0x9009ffff,0xf98dffff,
    0x7dc03fff,0xff103fff,0xbfffffff,0xffe80000,0x005fffff,0x003fffe0,
    0xe81fffe2,0xf300ffff,0xfc80bfff,0xf5002fff,0x2a207fff,0x5100aaaa,
    0x00155555,0x001fffe4,0x005ffff9,0x40ffffea,0x00aaaaa8,0x15555551,
    0x0ffff900,0x81ffffc4,0x000ffffc,0x007fff90,0x02ffffc8,0x07ffff50,
    0x00bffff2,0x01ffffd4,0x2001ffff,0x7c07fff9,0xf3000fff,0x3f600fff,
    0x200002ff,0x4003fffe,0xff83fffc,0xff3000ff,0x3ffee0ff,0x3ff2004f,
    0x37ffd46f,0x03fffe80,0xfffffff1,0x9800007f,0xfffbffff,0xfff0000f,
    0xfff1001f,0x7fffcc0f,0x1ffffd06,0x27fffc40,0x3ffff600,0x7fffff40,
    0xffffc81f,0x32001fff,0xf1003fff,0xd8009fff,0x7f40ffff,0xc81fffff,
    0x1fffffff,0x0ffffb80,0x21ffff20,0x004ffff8,0x00ffff20,0x04ffff88,
    0x07fffec0,0x013fffe2,0x01ffffb0,0x4003fffe,0x7c07fff9,0xf3000fff,
    0x3f600fff,0x200002ff,0x4002fffe,0xff85fffb,0xff3000ff,0x3fffa0ff,
    0x7ffcc005,0x027ffdc4,0x101fffb8,0xffffffff,0xfd80000b,0x7fffd6ff,
    0x3fffe000,0x7ffc1980,0x7fffdc06,0x17fffe43,0x03fffea0,0x5ffff100,
    0x7fffffcc,0xfffff81f,0x32001fff,0xf5003fff,0x88001fff,0x3e62ffff,
    0x81ffffff,0xffffffff,0xffffb801,0x3fffe200,0x07fffe43,0x7fff9000,
    0x7fffd400,0x7ffc4000,0x7fffd42f,0x7ffc4000,0x1ffff02f,0x1fffe600,
    0x001ffff0,0x401fffe6,0x0002fffd,0x013fffa0,0xf09fffb0,0x26001fff,
    0xff987fff,0xfd8002ff,0x7fffcc2f,0x409fb000,0xfffffff8,0x80000eff,
    0xf72ffff8,0x3e000fff,0x7fe40fff,0x2013ff23,0xf31ffffe,0xf900bfff,
    0x320007ff,0x3fe23fff,0xe81fffff,0x1fffffff,0x0ffff200,0x01fffe40,
    0x23fffc80,0xfffffff8,0xfffffe81,0xffc801ff,0xfffc807f,0x9ffff10f,
    0xfffc8000,0x3fff2003,0xfff90003,0x03fffc87,0x07fff900,0x4003fffe,
    0x7c07fff9,0xf3000fff,0x3f600fff,0x031003ff,0x00efffe8,0x05ffff10,
    0x2001ffff,0xfb87fff9,0x88000fff,0xdffff01a,0x3e200005,0xffffdfff,
    0x5c0000ef,0x3fe27fff,0xff8002ff,0x2fffc0ff,0x7fc4006a,0xfffe8eff,
    0xfffd800f,0xfff50002,0xfffdb98b,0xfedb881f,0x32001fff,0xfb003fff,
    0x2a0005ff,0x6dcc5fff,0xb881ffff,0x01ffffed,0x806fffe8,0xf93ffff8,
    0x80001fff,0x2003fffc,0x0002fffd,0xfd8bfff5,0xf50002ff,0x3ffe0bff,
    0xfff3000f,0x0ffff80f,0x0ffff300,0x01bfff20,0x740dffb5,0x8805ffff,
    0xf80ffffe,0xf3000fff,0xfff70fff,0x3200000d,0xbdffffff,0xfff10001,
    0x3ffffa2f,0x3fa0001f,0x7ffec4ff,0xffff8005,0x7fffbaab,0x7ffdc000,
    0x02ffffef,0x003ffff0,0x81bffe60,0xe801fffe,0x32001fff,0xff003fff,
    0x260003ff,0x3fa06fff,0xffe801ff,0xffff801f,0xffff9004,0x009ffff3,
    0x07fff900,0x00ffffc0,0x46fff980,0x0001ffff,0x3e0dfff3,0xf3000fff,
    0xfff80fff,0xfff3000f,0x3ffea00f,0xfeccccff,0xd02fffff,0x03dfffff,
    0x13ffffa6,0x8007fffc,0xfc87fff9,0x000003ff,0x3ffffff6,0x001befff,
    0x744ffff1,0x002fffff,0x41ffff98,0x000ffff9,0x7ffffffc,0x0007ffff,
    0xffffffd8,0xfff1005f,0x7fc4000f,0x3fffa07f,0x1fffe801,0x0ffff200,
    0x01fffe20,0x07fff880,0x2007fffa,0x4401fffe,0x1003ffff,0xffffffff,
    0x9988001f,0x9cfffd99,0xff880999,0x3e20007f,0x3ffe27ff,0x3fe20007,
    0x1ffff07f,0x1fffe600,0x001ffff0,0x401fffe6,0xffffffe8,0xffffffff,
    0xffffd00f,0xfd9bdfff,0x40dfffff,0x3000ffff,0xffb0ffff,0x8000007f,
    0xfffffffc,0x400effff,0xfd87fff9,0x001bffff,0x7417fff6,0x7c004fff,
    0xffffffff,0x880007ff,0x0fffffff,0x03fffe00,0x3fffc400,0x003fffd0,
    0x4003fffd,0xf003fffc,0x20001fff,0x3a07fff8,0xfe801fff,0x7fcc01ff,
    0x3f2002ff,0x04ffffff,0x3ffffb20,0xffffffff,0x7fc3efff,0xf10000ff,
    0xffff8fff,0xfff10000,0x03fffe0f,0x03fffcc0,0x4003fffe,0x2007fff9,
    0xfffffff9,0x2effffff,0x3fffffa0,0xffffffff,0x3e00ffff,0xf3000fff,
    0xfffb0fff,0x50000007,0xfffffffd,0xfb03dfff,0x3e0fffff,0xdfffffff,
    0x3fffe200,0x0ffff702,0xffffff80,0x007fffff,0xfffff700,0xfffe8005,
    0xfff50001,0x0ffff40d,0x00ffff40,0x007fff90,0x0007fffa,0xd037ffd4,
    0xfd003fff,0xffb803ff,0x3e2000ff,0x00ffffff,0xffffff30,0xffffffff,
    0x741fffff,0x50001fff,0xffe8dfff,0xff50001f,0x3fffe0df,0xffff3000,
    0x00ffff80,0x00ffff30,0xfffffd88,0x802dffff,0xfffefffe,0xffffffff,
    0x7fffc00d,0xffff3000,0x007fffb0,0x65440000,0xfffffffe,0x3fffea1f,
    0xfff987ff,0x04ffffff,0x3bbfffee,0xfffeeeee,0x3ffe002f,0xfffeeeef,
    0x3f600007,0xfc8005ff,0xf70002ff,0x7ff409ff,0xfffe801f,0x3fff2001,
    0x5fff9003,0x3ffee000,0x07fffa04,0x007fffa0,0x000dffff,0x09fffff9,
    0x7ffffc40,0xffffffff,0x20ffffff,0x0002fffc,0xfc89fff7,0xf70002ff,
    0x3ffe09ff,0xfff3000f,0x0ffff80f,0x0ffff300,0x332ea200,0x7f40009a,
    0xfffd99ff,0x001effff,0x2001ffff,0xfc87fff9,0x000004ff,0x7ffdcc00,
    0x3ffea4ff,0xff987fff,0x4fffffff,0x3fffffa0,0xffffffff,0x3fe005ff,
    0x37ffc0ff,0xffc80004,0xffb8003f,0xffd0005f,0x7fff407f,0x1fffe801,
    0x0ffff200,0x02fffdc0,0x03fffe80,0x2007fffa,0x2e01fffe,0x8002ffff,
    0x00fffff8,0x7fffedc0,0xffffffff,0x7dc2dfff,0xfd0005ff,0xfffb87ff,
    0xfffd0005,0x03fffe07,0x037ffcc0,0x4003fffe,0x0006fff9,0xffe80000,
    0x2aea621f,0xffff8001,0xdfff3000,0x00dfff50,0x80026000,0x5c6fffc8,
    0x707ffffe,0x9dfffffb,0x3fffe601,0xffffffff,0x000fffff,0xfe81ffff,
    0x00f7dc5f,0x00ffff20,0x0bfffe60,0x3ffff500,0x00ffff40,0x000ffff4,
    0x2007fff9,0x002ffff9,0x00ffffd4,0xd003fffd,0x7f403fff,0xf30007ff,
    0x00009fff,0x7fcc0000,0x7d4002ff,0x7fcc1fff,0x7d4002ff,0xffb01fff,
    0x3fea005f,0x7ffec05f,0xbfff5002,0x00e54000,0x07fffa00,0x3ff60000,
    0xfff5002f,0x3ffff30b,0xffe80000,0x7fffc001,0x00000000,0xfffffffb,
    0xffffffff,0x3fe009ff,0x41e440ff,0x64004ffe,0xd0003fff,0x2001dfff,
    0x405ffff8,0xe801fffe,0x32001fff,0x3a003fff,0x1000efff,0xe80bffff,
    0xfe801fff,0xfff501ff,0x3f60007f,0x00000fff,0x7ff40000,0xff1000ef,
    0x3ffa0bff,0xff1000ef,0x7fe40bff,0xfff9004f,0x4fffc807,0x07fff900,
    0x07ffee00,0x1fffe800,0xffc80000,0xfff9004f,0x1bfffa07,0xf1065400,
    0xfe800bff,0x000002ff,0xcffff880,0xaaaaaaaa,0x007fffca,0x2001ffff,
    0x4006fff8,0x0003fffc,0x01dffff3,0x0ffffe88,0x017fff40,0x007fffee,
    0x003fffc8,0x03bfffe6,0x1ffffd10,0x02fffe80,0x80ffffdc,0x000ffffe,
    0x04ffff98,0xbeea8000,0x7ffcc001,0x7f4400ef,0xff300fff,0xe8801dff,
    0x2a00ffff,0x5c01ffff,0x5402ffff,0x5c01ffff,0x0002ffff,0x0009fffb,
    0x000ffff4,0x7fffd400,0x7fffdc01,0xbffff502,0x7ffe4001,0x05ffff50,
    0x03fffee0,0x00bdfc80,0x0ffff700,0x02ffff80,0x000ffff8,0x800ffff3,
    0x0003fffc,0x0bffffee,0x1fffffd4,0x82fffec0,0x1ffffffb,0x0ffff200,
    0xfffff700,0x3fffea05,0xfffd803f,0xfffff705,0xffff503f,0x3ff60009,
    0x800000ff,0x000ffffd,0x17ffffdc,0x3fffffa8,0x7ffffdc0,0xfffff502,
    0xfffe8807,0xfffb883f,0xffe8806f,0xffb883ff,0x2a0006ff,0x20003fff,
    0x0001fffe,0xffffe880,0xffffb883,0x7fffec06,0x7ff4c03f,0xffff52ff,
    0x3ee201bf,0x7c007fff,0xd0005fff,0x2001bfff,0x405fffd8,0x99affff8,
    0xa9999999,0x98807fff,0x99cfffd9,0xfffd8000,0xffdcdfff,0x7006ffff,
    0xd99dffff,0xffffffff,0x333303bf,0x3339fffb,0xffffb001,0xfffb9bff,
    0x2e00dfff,0xecceffff,0xffffffff,0x3fff61df,0x5554400f,0xadffffba,
    0x22600000,0x8003ffeb,0xdffffffd,0xffffffdc,0xffffb006,0xfffb9bff,
    0x2600dfff,0xcdefffff,0x0ffffffe,0xfffff300,0xffffd9bd,0x880001ff,
    0xa98001fd,0x1aacfffe,0x3fe60000,0xfecdefff,0x400fffff,0xffffffe8,
    0xfffedcde,0x3fea7fff,0xcdffffff,0xffffffec,0xf9311003,0x366001ff,
    0xefffffff,0xffffd702,0x7641dfff,0xffffffff,0xffffffff,0x3aa07fff,
    0xffffffff,0x2002efff,0xffffffe8,0xdfffffff,0xffff1000,0xffffffff,
    0x49ffffff,0xfffffffd,0xffffffff,0x3fffa204,0xffffffff,0xf1000dff,
    0xffffffff,0xffffffff,0x1ffffc9f,0x3fffff20,0x6fffffff,0xbff90000,
    0x10007ffb,0xfffffffd,0x1bffffff,0x3fffa200,0xffffffff,0x2e000dff,
    0xffffffff,0x003fffff,0x7fffffdc,0x3fffffff,0x04f98000,0xfffffe80,
    0x00ffffff,0xffff7000,0xffffffff,0x3fa6007f,0xffffffff,0x2fffffff,
    0x3fffffea,0xffffffff,0x3a005fff,0x00ffecef,0xffffffb0,0xff10ffff,
    0xffffffff,0x3ffffe69,0xffffffff,0xffffffff,0x3ffffe07,0xffffffff,
    0xffb8006f,0xffffffff,0xff98003f,0xffffffff,0x4fffffff,0xfffffff5,
    0xffffffff,0xffb803ff,0xffffffff,0xff98003f,0xffffffff,0x4fffffff,
    0x3e017ff2,0xffffffff,0x002fffff,0xfffffc80,0x7fdc0007,0xffffffff,
    0xff70003f,0xffffffff,0x3ea0007f,0xffffffff,0xf50002ff,0xffffffff,
    0x100005ff,0xff3000dd,0xffffffff,0x400007ff,0xfffffffa,0x4002ffff,
    0xffffffd8,0xdfffffff,0x7ffffc40,0xffffffff,0x74004fff,0x005fffff,
    0x3ffffff6,0xfff07fff,0x9fffffff,0x3fffffe2,0xffffffff,0x7fffffff,
    0x3fffffa0,0xffffffff,0xffb30006,0x03bfffff,0x7fff4c00,0xfe9cffff,
    0xff50ceff,0xffffffff,0x3fffffff,0xffffb300,0x0003bfff,0x7fffff4c,
    0xfffe9cff,0x800cc0ce,0xfffffffd,0x00ffffff,0x9ffd9000,0xfb300003,
    0x3bffffff,0xffd98000,0x01dfffff,0x7ffec400,0x000dffff,0x7fffec40,
    0x0000dfff,0x20003f70,0xffffffff,0x0000ffff,0x7fffec40,0x0000dfff,
    0x3fffff26,0x203defff,0xffda8deb,0x0dffffff,0xefed8800,0x3b22000b,
    0x2dffffff,0xfffffb50,0x7edc19df,0xffffffff,0xffffffff,0x3f6a07ff,
    0xffffffff,0x80001dff,0x0000aca9,0x0d665440,0x7fff5c00,0xffffffff,
    0x98003dff,0x00000aca,0x00d66544,0x65440000,0xcccccccc,0x000000bc,
    0x54c00000,0x000000ac,0x00015953,0x06b2a600,0x654c0000,0x8800001a,
    0x32e20000,0xbccccccc,0x4c000001,0x00001aca,0x09bcba98,0x65544000,
    0x000001ab,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x8000b6a0,0x00150028,0x00002e00,0x00000000,0x02880000,0x2e000150,
    0x00039802,0x03710073,0x00000000,0x00000000,0x22000008,0x00015002,
    0x00000000,0x1c400000,0x0e200000,0x01c40000,0x40200000,0x51000001,
    0x00002a00,0x30000000,0x20001fff,0xfd301eff,0xfe98000d,0xf980003f,
    0x0000001e,0x2000bf50,0xfd301eff,0x1ff5000d,0x8003fe80,0x37e403ff,
    0xdd500000,0xe9800000,0x2a60000e,0xadffffec,0x7fc00350,0x0dfd301e,
    0x004fb800,0x7f900000,0xeffa8000,0xfa800001,0x200001ef,0x0001effa,
    0x137fc400,0x00001ffd,0xd301eff8,0xb80000df,0x7000005f,0x20005fff,
    0x7e43fffd,0x2e0004ff,0x00efffff,0x0bffe600,0xf9000000,0x3f6000df,
    0x7ffe43ff,0x5ff98005,0x000fff20,0x7cc03ffe,0x7000006f,0x00001fff,
    0x003ffee0,0x3ffff620,0xefffffff,0xffb003ff,0x5fffc87f,0x77fe4000,
    0x10000000,0x2000bffb,0x4fffffd8,0xffb10000,0x80009fff,0x4fffffd8,
    0x3f600000,0x9fff72ff,0xffd80000,0x27ffe43f,0xdff90000,0x3f200000,
    0xb10003ff,0xffd5dfff,0xd10001bf,0xffffdfff,0x7fe40007,0x8000003f,
    0x001fffd8,0x5dfffb10,0x001bfffd,0x22b7ffe0,0x00fffca8,0x1beffc80,
    0x007fff73,0x7fffb000,0x3f200000,0xe88003ff,0xffffffff,0x5fffffff,
    0xdfffb100,0x01bfffd5,0xfffe8800,0x4c000001,0x8000effe,0xffeffffa,
    0x2a0001ef,0xfffeffff,0xffa8001e,0x1efffeff,0x7fc40000,0xffff31ff,
    0x6c400001,0xffeaefff,0x880000df,0x0001fffe,0x7fffe540,0x000a9acf,
    0x3fffffee,0xff30002f,0x3ffa27ff,0x3ee0005f,0x000005ff,0x007bffa6,
    0x3fffea00,0x40002fff,0xfffffff9,0x20002fff,0xfffffffe,0x400005ff,
    0x002fffe8,0xfffd8800,0xfff98002,0xffffffff,0x06ffffff,0x7ffffd40,
    0x400002ff,0x0003fffd,0x1bfff500,0xdfff7000,0x0bfffea3,0x3bffee00,
    0x05ffff51,0x8f7ffdc0,0x002ffffa,0x1bfff200,0x0009fffd,0xfffff700,
    0x200005ff,0x001effe9,0x3fff6200,0xffffffff,0x3f62000f,0x20000dff,
    0xfb80effd,0x260001ff,0x00005fff,0x00dfff88,0x3ff62000,0x300000df,
    0xdffffffd,0xfc880003,0x03ffffff,0x7ff44000,0xd000000e,0x30003dff,
    0x59dfffff,0x3ffeea21,0xd88006ff,0x0000dfff,0x07fff700,0xfffa8000,
    0xfff10004,0x0dffb109,0x84fff880,0x2006ffd8,0xfd884fff,0xf100007f,
    0xffb87fff,0x800000ff,0x00dfffd8,0xbfff3000,0x74400001,0xffffffff,
    0x002fffff,0x80002eb8,0x26c403da,0x7ff44000,0x7e400001,0x2000004f,
    0x000002eb,0x00579975,0xcdca8800,0xb800000a,0x00000dff,0x001dff50,
    0x0fffffa0,0x1bfff620,0x002eb800,0x7ffa8000,0x7ff40000,0x0ee40003,
    0x2000f6a0,0x1ed401db,0xa803b700,0xf900003d,0xfff10fff,0x4000007f,
    0x400002eb,0x00004ffc,0xffffffd8,0xffffffff,0x00000004,0x00000000,
    0x2000012e,0x000002c9,0x00000000,0x00000000,0x01644000,0x0f220000,
    0xffffa800,0x3ffe6004,0x00000005,0x00b22000,0x00395000,0x00000000,
    0x00000000,0x3e200000,0xff903fff,0x000000ff,0x59300000,0xff300000,
    0x93137dff,0x009fffff,0x00000060,0x00000002,0x00000000,0x00002000,
    0x00000400,0x00000000,0x00000000,0x17fffa00,0x00fff600,0x00000000,
    0x00000000,0x00000000,0x00001800,0x80000060,0x100ffffb,0x0007ffff,
    0x00000c00,0x2e000000,0x2e00ffff,0xb3002fff,0x19dffffd,0xa98006e2,
    0xadffffec,0x00000350,0x00000000,0xfffd9500,0x3000057b,0xbffffd95,
    0x54406a15,0x0acccccc,0x66666544,0x000000ac,0x00000000,0x00bfffe2,
    0x5440ae20,0x0acccccc,0x66666544,0x000000ac,0x40000000,0xcccccca8,
    0x6665440a,0x3000accc,0x9dffffdb,0x5c006e21,0x2dffffed,0x7c000151,
    0x7e404fff,0x200006ff,0xdffffedb,0x00001512,0xffc80000,0x0fff804f,
    0x7ffff4c0,0xedffffff,0x7ec402ff,0xffffffff,0x883ffeff,0xccccccca,
    0x0acccccc,0xccccca80,0xcccccccc,0x804ccccc,0xffffffd8,0x8000dfff,
    0xffffffd8,0xffefffff,0x7ffffc43,0x3e27ffff,0xffffffff,0x332e600f,
    0x03cccccc,0x99995100,0x99999999,0x49999999,0x0007fffa,0xfffff880,
    0x3e27ffff,0xffffffff,0x332e600f,0x03cccccc,0x99999900,0x99999999,
    0x7ffc4999,0x27ffffff,0xfffffff8,0x3a600fff,0xffffffff,0x02ffedff,
    0x3fffffa6,0x7ffeffff,0xffff7000,0xffff8801,0x7f4c0002,0xffffffff,
    0xca887ffe,0xcccccccc,0x80001abc,0x3005fffc,0xfffff700,0xffffffff,
    0x74409fff,0xffffffff,0x5fffffff,0x7fffffc4,0xffffffff,0x3fa00fff,
    0xffffffff,0xffffffff,0x7fdc07ff,0xffffffff,0x22001fff,0xfffffffe,
    0xffffffff,0x7ffffdc5,0xf52fffff,0xffffffff,0x3fff205f,0xffffffff,
    0xffff8000,0xffffffff,0xffffffff,0x017ffee7,0x3ffee000,0x2fffffff,
    0xfffffff5,0x3f205fff,0xffffffff,0x7c4000ff,0xffffffff,0xffffffff,
    0xffffff70,0x3ea5ffff,0xffffffff,0xffff702f,0xffffffff,0x2e09ffff,
    0xffffffff,0x1fffffff,0x4fffe800,0x0dfffb00,0x7fffdc00,0xffffffff,
    0x7ffc1fff,0xffffffff,0x003fffff,0x33fffea0,0x7fe40001,0xffffffff,
    0x6fffffff,0xffffff30,0xffffffff,0xffb8dfff,0xffffffff,0x2fffffff,
    0xffffff30,0xffffffff,0x0fffffff,0x7fffffdc,0xffffffff,0xfff9803f,
    0xffffffff,0x46ffffff,0xfffffff8,0xfff10fff,0x1fffffff,0x3fffffe0,
    0x03ffffff,0x7ffffcc0,0xffffffff,0x7fffffff,0x000ffff2,0x3fffe200,
    0x10ffffff,0xffffffff,0x3ffe01ff,0xffffffff,0x7fc4003f,0xffffffff,
    0x0fffffff,0xfffffff1,0x3fe21fff,0xffffffff,0xfffffc80,0xffffffff,
    0xf986ffff,0xffffffff,0x3fffffff,0x7fffd400,0xffff3000,0xfff30005,
    0xffffffff,0x4c7fffff,0xffffffff,0xffffffff,0xe88002ff,0xbdffffff,
    0x3ffea001,0x7311beff,0x0dfffffd,0x9dfffff3,0x3feea215,0x7fc46fff,
    0xffffffff,0x0fffffff,0x3fffffa0,0xffffffff,0x07ffffff,0x5bfffff3,
    0x3fffae61,0x3fe601ff,0x10acefff,0xdfffff75,0x9ffff710,0xdca88159,
    0x200bffff,0xfffffffc,0x8007ffff,0xffffffff,0xffffffff,0x3f27ffff,
    0x000003ff,0x99ffff71,0xfdca8815,0x3200bfff,0xffffffff,0x44007fff,
    0xffffffff,0xffffffff,0x3ffee20f,0x5440accf,0x0bffffdc,0xefffffa8,
    0xffd7311b,0xffd0dfff,0x2a613bff,0x03fffffd,0x02ffff40,0x017fff60,
    0x37ffffa0,0xfffb5309,0xffff87ff,0xffffffff,0x1fffffff,0xffffa800,
    0x2dffffff,0x3ffffe20,0xffffc804,0x3ffffe86,0x6fffd880,0xeccccb88,
    0xccccefff,0x7e54400a,0xdfffdbff,0xfffccccc,0x7ffffd07,0x6ffffc80,
    0x0fffffa0,0x1bfff620,0x000ffff8,0x200ffff3,0xfffeccb9,0x4002ffff,
    0xdffffca8,0xcccccccc,0x3f27fffc,0x36e203ff,0xceeeeeee,0x01ffff02,
    0x01fffe60,0x7ff665cc,0x002fffff,0x333fffe2,0xffdccccc,0xffff07ff,
    0x3ffe6001,0xfffff107,0xffff9009,0x3ffff98d,0x1ffffdc0,0x3ffff300,
    0xffffa800,0x3ffe6001,0x7ffdc03f,0x7fe5443f,0xccccccff,0x0efffffe,
    0xffff9800,0xdfffffff,0x4ffffb80,0x1bfff200,0x009ffff5,0x002fffcc,
    0x0007fff9,0xfd9fff98,0xfff882ff,0x2ffffc87,0x7ffff500,0x09ffff50,
    0x02fffcc0,0x2001ffff,0x0007fff9,0xfffffffd,0x7ffc000b,0xfff8800f,
    0x80ffff27,0xfffffffe,0xff82ffff,0xff3000ff,0x3fa000ff,0x05ffffff,
    0x81fffe20,0x01ffffe8,0x2001ffff,0xf707fff9,0x64009fff,0x7fd46fff,
    0xfffd006f,0x7ffec007,0xfffd0006,0x7ffd400b,0x7fffd006,0x007fffc0,
    0x07ffff91,0x3ffae200,0xefffffff,0x02ffff40,0xd13ffe60,0xb000bfff,
    0x7e4007ff,0x5c0003ff,0x5fffb7ff,0x88ffff10,0x4004ffff,0x740ffffd,
    0xd8005fff,0x3ffe03ff,0xfff3000f,0xfff3000f,0x01ffff7f,0x03fffe00,
    0xb9fffe20,0xff104fff,0xffffffff,0xffff09ff,0x3ffe6001,0xfff98007,
    0x00ffffbf,0x40ffff10,0x203ffffd,0x3000ffff,0x3fa0ffff,0x7cc005ff,
    0x7ffdc4ff,0x3fff7004,0x3fffe600,0xfff50002,0x3fee001f,0xfff7004f,
    0x07fffc03,0x02ffff40,0x7edd4400,0x265fffff,0x8002ffff,0x3fe22ffd,
    0xb88002ff,0x7ffe4002,0x7fec0003,0x105fffb5,0xffa8dfff,0x7c4000ff,
    0x3fe22fff,0xb88002ff,0x07fffc02,0x07fff980,0xd6fffd80,0x20007fff,
    0x1980ffff,0xff337ffc,0x7ffec0bf,0xffffffff,0x00ffff81,0x00ffff30,
    0x3adfffb0,0x3e003fff,0xfff707ff,0xffff80bf,0xffff3000,0x05ffff30,
    0x985ffb00,0xb000ffff,0x7fec009f,0x7f40006f,0xff3004ff,0x3f6001ff,
    0x07fffc04,0x037ffd40,0xffe98000,0xffff70ff,0x83510001,0x0007fffa,
    0x7ffe4000,0x3fe20003,0x25fffb2f,0x89ffd1ca,0x0003fffc,0x7d47fff9,
    0x000007ff,0x8007fffc,0x4007fff9,0xf72ffff8,0x3e000fff,0x7fe40fff,
    0xf893ff23,0x554407ff,0x0ffffbaa,0x001ffff0,0x001fffe6,0x2e5ffff1,
    0x3a007fff,0xfff986ff,0x7ffc00ef,0xfff3000f,0x1ffff70f,0x20351000,
    0x002effff,0xffff8800,0x7fdc0002,0xfff000ff,0x400005df,0xb800ffff,
    0x26006fff,0xfff1001b,0x1bffee3f,0xfff70000,0x8000000b,0x0003fffc,
    0x7ec3ffea,0x57ffaaff,0xfffd83df,0xfff50002,0x02fffdcb,0x3ffe0000,
    0xfff3000f,0xfffb800f,0x0bfffe27,0x03fffe00,0x81a8bfff,0x4004fffe,
    0x3e06fff9,0xf3000fff,0xfb800fff,0x3ffe27ff,0x7ff7002f,0x1fffff88,
    0x00ffff80,0x70ffff30,0x0000dfff,0x3fffff20,0x80001bdf,0x0006fffc,
    0x009ffff0,0x3ffffff2,0x3e0001bd,0x74c00fff,0xf3003fff,0x3f6001ff,
    0x7fff93ff,0xffc80000,0x0000003f,0x001fffe4,0x7ecdffb0,0x1fffdcff,
    0x00ffffc0,0x26fff980,0x0003fffc,0x07fffc00,0x07fff980,0x227fff40,
    0x8005fffd,0xbaabffff,0xf9007fff,0x4c003fff,0x3fe06fff,0xff3000ff,
    0xffe800ff,0x2fffec4f,0xffd01100,0x3fe005ff,0xff3000ff,0x7fff90ff,
    0x7ec00000,0xffffffff,0x7c4001be,0x00003fff,0x001ffff7,0x3ffffff6,
    0x001befff,0x4403fffe,0x00fffffc,0x009fff70,0x365ffff1,0x00003fff,
    0x001fffe4,0x3ff20000,0x3fe0003f,0x3ffff63f,0x2203ffff,0x20007fff,
    0x3f27fff8,0x000003ff,0x8007fffc,0x2007fff9,0x4c1ffff9,0x4000ffff,
    0xffffffff,0xd1007fff,0x401bffff,0x06fffca8,0x4003fffe,0x2007fff9,
    0x4c1ffff9,0x0000ffff,0x013ffff2,0x000ffff8,0xfb0ffff3,0x000007ff,
    0xffffffc8,0x00efffff,0x00ffff70,0x7fffc400,0x3fff2003,0xffffffff,
    0xffff800e,0xffedcccc,0x2005ffff,0x402ffffc,0xfb0ffffc,0x800007ff,
    0x2203fffc,0xeeeeeedb,0xff9002ce,0x3e60007f,0x3fff61ff,0x403fffff,
    0x0000ffff,0x7e4ffff1,0x36e203ff,0xceeeeeee,0x01ffff02,0x01fffe60,
    0xd05fffd8,0xf8009fff,0xffffffff,0x3e6007ff,0xceefffff,0xffffffdc,
    0x3fffe06f,0xffff3000,0x2fffec00,0x004fffe8,0x0dffff50,0x00ffff80,
    0xb0ffff30,0x00007fff,0xffffd500,0x3dffffff,0x07ffff00,0xfffc8000,
    0x7ff54007,0xffffffff,0x7fffc01e,0xffffffff,0x64004fff,0xabefffff,
    0xffffeba9,0x00ffff65,0x7fff9000,0x7fffff40,0x02ffffff,0x003fffc8,
    0xfd8fff90,0x2fffffff,0x00ffff40,0x26fffa80,0x3a03fffc,0xffffffff,
    0xfff82fff,0xfff3000f,0x3ffe200f,0xffff702f,0xfffff800,0x07ffffff,
    0x7ffffe40,0xffffffff,0x3e06ffff,0xf3000fff,0x3e200fff,0xff702fff,
    0xff3000ff,0xf8001fff,0xf3000fff,0xfffb0fff,0x40000007,0xffffeca8,
    0x2e01ffff,0x0000ffff,0x17fffc40,0x7f654400,0x1fffffff,0x3fffffe0,
    0xffffffff,0xfffc8002,0xffffffff,0x320fffff,0x00004fff,0x8827ffdc,
    0xffffffff,0xc804ffff,0xd0003fff,0xffdddfff,0x5ffffdff,0x02fffc80,
    0x49fff700,0xf104fffb,0xffffffff,0xfff09fff,0x3fe6001f,0xfff7007f,
    0xdddddddf,0x4005ffff,0xeeeeffff,0x98007fff,0xfffffffe,0xcfffffff,
    0x03fffe00,0x03fffcc0,0xeeffffb8,0xfffeeeee,0x3fa2002f,0xf8002fff,
    0xf3000fff,0xfff90fff,0x00000009,0xfffffb98,0x13fffa04,0x7fe40000,
    0x7300006f,0x409fffff,0xffffffff,0x005fffff,0xffffff70,0xffffffff,
    0x6fffa85f,0x7fcc0000,0x3fff605f,0xffffffff,0x3fffc801,0xffff8800,
    0xafffffff,0x5c00fffb,0xd0005fff,0x7fcc7fff,0x3fff605f,0xffffffff,
    0x00ffff81,0x00dfff30,0x3ffffffa,0xffffffff,0x3ffe005f,0x437ffc0f,
    0xffdb5000,0x7dffffff,0x1ffff001,0x1bffe600,0x7fffff40,0xffffffff,
    0x3f6005ff,0xbd503fff,0x01ffff01,0x21bffe60,0x0006fffa,0x44001300,
    0xf506fffc,0x00001fff,0x0bfffe60,0x32200098,0x3fe06fff,0xfdccccff,
    0x8004ffff,0xfffffff8,0x0effffff,0x01ffff98,0x3ffe2000,0x55554407,
    0x000ffffb,0x0007fff9,0xfffffff7,0xfb15ffff,0xffff3009,0xfffa8005,
    0x1fffe21f,0xf7555510,0x3f601fff,0xff5002ff,0xfff300bf,0xffffffff,
    0x01ffffff,0xd03fffe0,0x1efb8bff,0x55e54c00,0x7fec0009,0xfff5002f,
    0xffff300b,0xffffffff,0x001fffff,0x40bffff7,0xffd84ffe,0xfff5002f,
    0x3ffff30b,0xffe80000,0x7fffc001,0x05fffe80,0x7fec0000,0x03ffd06f,
    0x00ffff80,0xf701ffff,0x0007ffff,0x3ff26171,0x7401ceff,0x50006fff,
    0x4fffe819,0x37ffcc00,0x07fff900,0x99dffb00,0x05fffd99,0x3fa066d4,
    0xf1000eff,0xffd0bfff,0xff98009f,0x3fff206f,0x7fff9004,0xfffffb00,
    0xffffffff,0x2009ffff,0x6440ffff,0x004ffe83,0xff900000,0x3ff2009f,
    0xfffd803f,0xffffffff,0x04ffffff,0x077fffcc,0xc86fff88,0xf9004fff,
    0x3ffa07ff,0x1950006f,0x002fffc4,0xf50bfffa,0x00003fff,0x1ffff980,
    0x002fffc4,0x7c0bfffa,0xff300fff,0x00007fff,0x400ffff2,0x00dffffa,
    0xc83fff20,0x2001ffff,0x2006fff9,0x4003fffc,0xfd83fff8,0x3ffe02ff,
    0x77fffcc3,0x7fff4400,0xffffc80f,0x3ffe6001,0x3fffea06,0x7fffdc01,
    0x7fffc402,0xaaaaaaac,0x07fffcaa,0x001ffff0,0x001bffe2,0x00015bfb,
    0x007fffea,0x805ffff7,0xaacffff8,0xcaaaaaaa,0x3e207fff,0x2601ffff,
    0xffa87fff,0x7fdc01ff,0xfff502ff,0x7e4001bf,0xffff50ff,0x3ffee005,
    0x2fffec0f,0xfe800000,0x7ffd45ff,0xfff7002f,0x3fffe01f,0x3fffe600,
    0xfc80001f,0x3f6003ff,0x4c03ffff,0x222ffffe,0x00dffffe,0x1bfff2a2,
    0x03fffc80,0x407ffd40,0xf302fffd,0xfff70bff,0x3fea05ff,0xfd103fff,
    0x4401bfff,0x206fffca,0x83ffffe8,0x06ffffb8,0x007fffb8,0x4017fffc,
    0x3000ffff,0x4400ffff,0x0004ffff,0x07ffffd1,0x0dffff71,0x00ffff70,
    0xd02ffff8,0x9807ffff,0xfe887fff,0xfb883fff,0x7ec06fff,0x4c03ffff,
    0xf52ffffe,0x201bffff,0x47ffffb8,0x001ffff9,0xfff50000,0x7fffd43f,
    0xff7100df,0x7ffc0fff,0x7ffd400f,0xfc80006f,0x3a2003ff,0xdeffffff,
    0xfffffedc,0xffff987f,0xfdcceeff,0x06ffffff,0x3ff66666,0x400999cf,
    0xfd887ffd,0x99999bff,0xfb06fffb,0xb9bfffff,0x0dffffff,0xffffff98,
    0xfffdccee,0x4c06ffff,0xcdefffff,0x0ffffffe,0x0dfffe80,0xbfffb100,
    0xaffff880,0x99999999,0x007fffa9,0x1fff9511,0x3ffe6000,0xffecdeff,
    0xe800ffff,0x1000dfff,0xf90bfffb,0x3333bfff,0xfff53333,0x3fffe60f,
    0xfffecdef,0x74400fff,0xdeffffff,0xfffffedc,0x3fffea7f,0xeccdffff,
    0x43ffffff,0x0006fffd,0x7fff4000,0x3ffffea4,0xfeccdfff,0x103fffff,
    0x8015ffff,0x004ffffc,0x01fffe40,0x3ffffa60,0xffffffff,0xf902ffff,
    0xffffffff,0xffffffff,0xfffffb0d,0xffffffff,0x7ff449ff,0xffadffff,
    0xffffffff,0x06ffffff,0xffffffd1,0xbfffffff,0xffff9001,0xffffffff,
    0x00dfffff,0xfffffff7,0x07ffffff,0x7ffffecc,0xfd702eff,0x1dffffff,
    0x7fffff64,0xffffffff,0x07ffffff,0xffceff88,0x3ee0000f,0xffffffff,
    0x2603ffff,0xfffffffd,0xfffd702e,0x3e1dffff,0xffffffff,0xffffffff,
    0x3ffee07f,0xffffffff,0xfd3003ff,0xffffffff,0x5fffffff,0x7fffffd4,
    0xffffffff,0x7fc45fff,0x000002ff,0x87fffd40,0xfffffffa,0xffffffff,
    0xffec85ff,0x04ffffff,0x3bfffff6,0xfffa8000,0xffd88001,0xffffffff,
    0x4c00dfff,0xfffffffe,0xcfffffff,0x7ffffd40,0xffffffff,0xff91ffff,
    0xffffffff,0xffffffff,0xdfffffff,0xfffffb80,0x03ffffff,0x7ffff4c0,
    0xffffffff,0xf5000cff,0xffffffff,0xffd805ff,0x7fffffff,0xffffff88,
    0xff34ffff,0xffffffff,0xffffffff,0xd100ffff,0x007fffff,0xfffff500,
    0x05ffffff,0xffffffd8,0xff887fff,0xffffffff,0xfffffff4,0xffffffff,
    0xfa80ffff,0xffffffff,0x6c4002ff,0xffffffff,0x40dfffff,0xfffffff8,
    0xffffffff,0x6fffb84f,0xd0000000,0x3fe25fff,0xffffffff,0x84ffffff,
    0xfffffff9,0xf101ffff,0x007fffff,0x000bfb10,0xfffffc98,0x003defff,
    0x7ffff6d4,0x00beffff,0xfffffff5,0xffffffff,0x3ffee3ff,0xffffffff,
    0xffffffff,0x06ffffff,0xfffffd98,0x20001dff,0xfffffeda,0x000befff,
    0xfffffd88,0xfd800dff,0xffffffff,0xffffff07,0x3e29ffff,0xffffffff,
    0xffffffff,0x3007ffff,0x0017dffb,0x3fff6200,0x800dffff,0xfffffffd,
    0xffff07ff,0x29ffffff,0xffffffff,0xffffffff,0xfd8807ff,0x0dffffff,
    0x3ff26000,0xdeffffff,0x2a37ae03,0xfffffffd,0xfff300df,0x00000005,
    0xeb83ffea,0xffffda8d,0x100dffff,0xffffffff,0x7d403fff,0x0003ffff,
    0x53000002,0x00013797,0x4d5e54c0,0xfffd7000,0xffffffff,0xfed87bff,
    0xfe9befff,0xffffffff,0x06ffffff,0x005654c0,0xbca98000,0x2000009a,
    0x4001aca9,0xfffffec8,0xffb502df,0x419dffff,0xffffffdb,0xffffffff,
    0x007fffff,0x98000000,0x44001aca,0xffffffec,0xfffb502d,0x3e19dfff,
    0xffffffff,0xffffffff,0x654c007f,0x9800001a,0x0009bcba,0x55e55440,
    0x005b5001,0xca800000,0x79551001,0x3f6e0035,0x3dffffff,0x0ceffd80,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00072200,
    0x00015400,0x00000000,0x01800000,0x50029800,0x00330001,0x2a200151,
    0xcccccccc,0x0001abcc,0x0001c400,0xa8801980,0x1c400000,0x80144000,
    0x8014400a,0x9999880a,0x2e000099,0x08000000,0xccccca88,0x65440acc,
    0x4001bccc,0x000d4029,0x02a00510,0x80006000,0x40000100,0x400004fb,
    0x00005ffa,0x0067fe44,0x03fb1000,0x7dd71000,0x5c000220,0x2dffffed,
    0xff880151,0x0dfd501e,0x00dff980,0x3e009ff7,0xffffffff,0x3fffffff,
    0xffa80000,0x2600001e,0xff700dff,0x7d400009,0x3e0001ef,0xdfd301ef,
    0x301eff80,0xfff90dfd,0x001bffff,0x001fff4c,0x2fffc800,0x3ffffffe,
    0x3fe67fff,0x05ffffff,0x3a0bff90,0xff0003ff,0x1bfa603d,0x3ffb6600,
    0x3710ceff,0x3a26fe88,0xfd80006f,0x3200006f,0x00002fff,0x3fffffaa,
    0xff980002,0x7d40002f,0x261effff,0x3a6000ff,0xffffffff,0xe807ffef,
    0x7fe43fff,0x7fc4004f,0x3ff622ff,0xfff9802f,0xffffffff,0x2fffffff,
    0xffd88000,0x00004fff,0x445ffff1,0x0002fffd,0xfffffd88,0xfffb0004,
    0x04fffc87,0x321fffec,0xffc84fff,0x04ffffff,0xbfffff70,0x3a200001,
    0xff56ffff,0xffffffff,0x3fffee3f,0xf007ffff,0xff983fff,0xffb0006f,
    0x4fffc87f,0x3fffa600,0xdfffffff,0x3fee2ffe,0x07fff73f,0x3fffa200,
    0xfd880001,0x100003ff,0xffddfff9,0x2e0001bf,0x40005fff,0xfffefff8,
    0x01fffddf,0xffffff70,0xffffffff,0xffd8803f,0x5fffeaef,0xfffd3000,
    0x07ffff7b,0x7fffffc0,0xffffffff,0x001fffff,0x3bfffea0,0x0001efff,
    0xbdfffe98,0x0003ffff,0xfeffffa8,0x44001eff,0xfeaefffd,0x6c400dff,
    0xffeaefff,0xfffc80df,0x403fffff,0xffefffe9,0xd80003ff,0xf15fffff,
    0xffffffff,0x7fffd4ff,0xb005ffff,0xfff10fff,0x3f620009,0xfffeaeff,
    0xfff7000d,0xffffffff,0x649fffff,0xfff93fff,0xfff30007,0xd100001d,
    0x00003fff,0xf927fff4,0xc8001dff,0x80003fff,0xff913ffa,0x2009ffff,
    0xfffffff9,0xffffffff,0xfff7003f,0x0005ffff,0xffffff90,0xca88003d,
    0xccccffff,0xfffffecc,0xffb8000e,0xffff51ef,0x3f200005,0x01efffff,
    0xefffb800,0x05ffff51,0xfffff700,0xfb8005ff,0x02ffffff,0x3ffffff2,
    0x3fe600be,0xfffd32ff,0x7fcc0009,0x2a20dfff,0xaccffffc,0x7ffffec0,
    0x3722001d,0x0019b501,0xfffffb80,0x3f2002ff,0xffffffff,0xffffffff,
    0x64ffff26,0x4c003fff,0x00005fff,0x0003bff6,0x82fffb80,0x2003ffea,
    0x0002fffd,0x3fa602a0,0x3fa001cf,0x5309dfff,0x07fffffb,0x67fff440,
    0x3a600000,0x80003fff,0x2200ffff,0x003ffffc,0x4427ffc4,0x00006ffd,
    0x00ffffa6,0x27ffc400,0x0037fec4,0x0dfffd88,0xfffb1000,0xfffc801b,
    0x6fff4003,0x00fffb80,0x1dfff700,0x00ffff80,0x07fffffb,0x00000000,
    0x37fff620,0x3ffea000,0x7311beff,0x4dfffffd,0xff93fffc,0xffd8007f,
    0x7ec00003,0xd8800004,0x0372200c,0x00f7fcc0,0x02200000,0x7ffff300,
    0x3ffffb80,0x002eb800,0x007b2000,0x07fffc00,0x02ffff40,0x2a00edc0,
    0xc800003d,0x5c00001e,0x01ed401d,0x000bae00,0xc80175c0,0x54003fff,
    0x026cc02d,0x09fff900,0x881ffff0,0x02fffffe,0x00000000,0x4002eb80,
    0x04fffff8,0x26ffffc8,0xff93fffc,0x1c98007f,0x00100000,0x00000000,
    0x00003320,0x54000000,0xfd006fff,0x000007ff,0x00000000,0x003fffe0,
    0x001bffea,0x00000000,0x00000000,0x00000000,0xff900000,0x0000007f,
    0x7ffe4000,0x0ffff803,0x3fffffa6,0x00000001,0x40000000,0x004ffffb,
    0xfc9bfff2,0x7fff93ff,0x80000000,0x99999998,0x00000000,0x40000000,
    0xcccccca8,0x6665440a,0x7dc0accc,0xff7004ff,0x0000003f,0x00000000,
    0x2003fffe,0x0006fffb,0x00000000,0x00000000,0x00000000,0x7fe40000,
    0x0000003f,0x3fff2000,0x0ffff803,0x1dfffff3,0x66654400,0x5440accc,
    0x0acccccc,0x74000000,0x4c005fff,0x3ff24fff,0x07fff93f,0x22000000,
    0xfffffffe,0xa880003f,0xcccccccc,0x000acccc,0x3fe20000,0x7fffffff,
    0x3fffffe2,0x3e60ffff,0xfb000fff,0xccccc989,0xcccccccc,0xcccccccc,
    0x33332a20,0xabcccccc,0x7ffc0001,0x7ff4c00f,0x332a203f,0x100acccc,
    0x59999995,0x99997300,0x00079999,0x0de665cc,0x2f3332a0,0xcccca881,
    0xcccccccc,0x666640ac,0xcccccccc,0x3f24cccc,0x5cc003ff,0xcccccccc,
    0xffc80003,0xffff803f,0xefffffa8,0x3ffe2000,0x27ffffff,0xfffffff8,
    0x32a20fff,0xcccccccc,0xcccccccc,0x3fffe64c,0x2ffd8002,0x7e4ffff2,
    0x3332a3ff,0x32a201cc,0x80accccc,0xfffffffc,0x4c0003ff,0xffffffff,
    0xffffffff,0x33332a20,0x01bccccc,0x3ffffee0,0xf52fffff,0xffffffff,
    0xeffff85f,0x3fea0002,0xffffffff,0xffffffff,0x3ffe0fff,0xffffffff,
    0x003fffff,0x201ffff0,0x0fffffc8,0x3fffffe0,0x7cc1ffff,0xffffffff,
    0x3ffff206,0x0fffffff,0xffffd800,0xffd05fff,0x449fffff,0xffffffff,
    0xffffffff,0xfffff10f,0xffffffff,0x3f21ffff,0x3f2003ff,0xffffffff,
    0x640000ff,0xff803fff,0xfffffcff,0xfffb8005,0x2fffffff,0xfffffff5,
    0x7ffc5fff,0xffffffff,0xffffffff,0x3fffee7f,0x41a88000,0xff93fffc,
    0x3ffffa7f,0x3ffe06ff,0x0fffffff,0x7fffffdc,0x40003fff,0xfffffffc,
    0xffffffff,0xfffff32f,0xffffffff,0x3ffe2007,0x0fffffff,0xfffffff1,
    0xffc81fff,0x01bdffff,0x3ffffea0,0xffffffff,0xffffffff,0xffffff30,
    0xffffffff,0x8005ffff,0xccccffff,0xffffffed,0x3fffea05,0x43ffffff,
    0xfffffffc,0xfff01fff,0xffffffff,0xfff0007f,0x81ffffff,0xfffffff9,
    0x3fffee7f,0xffffffff,0xf12fffff,0xffffffff,0xffffffff,0x00ffff21,
    0xfffffff8,0x003fffff,0x01fffe40,0x7ffffffc,0x88003fff,0xffffffff,
    0xffff10ff,0x21ffffff,0xfffffff9,0xffffffff,0x2e7fffff,0x00006fff,
    0xfc9fffe4,0xffff9bff,0xf983ffff,0xffffffff,0xeeedb83f,0x0003ffff,
    0x7fffffcc,0xffffffff,0xffff70ff,0xffffffff,0x7dc400df,0x40accfff,
    0xffffdca8,0xffffb00b,0x37dfffff,0x7ffffd40,0xffffffff,0xffffffff,
    0x3fffffe0,0xffffffff,0x001fffff,0x3ffffffe,0xffffffff,0x7fffc404,
    0x41ffffff,0xfffffff9,0x3ff207ff,0xffffffff,0xffd8007f,0xf06fffff,
    0xbfffffff,0x7fffffc4,0xffffffff,0xfff10fff,0xffffffff,0x21ffffff,
    0x2003fffc,0xfffffffc,0x0007ffff,0x401fffe4,0xffffffff,0x88003fff,
    0xaccffffb,0x7fee5440,0x7ffc0bff,0xffffffff,0xffffffff,0x0ffff27f,
    0xfff90000,0x74ffff27,0xffffffff,0xffffff81,0x9000ffff,0x00007fff,
    0xf9999971,0x1599bfff,0x7fffffcc,0x3fffffff,0x0ffff800,0x0ffff300,
    0xffffff90,0x01dfffff,0x999ffff5,0x99bfffd9,0x41ffff99,0xcffffca8,
    0xffeccccc,0xf000efff,0xffffffff,0x005fffff,0x33bfff62,0x997100bc,
    0x801bfffd,0xfffeccb9,0x8002ffff,0x06ffffd9,0x33ffffa2,0xccccb881,
    0xcccefffe,0x3ffe20ac,0xcccccccf,0x327ffffd,0x4c003fff,0xffffeccb,
    0x20002fff,0xf803fffd,0xffffffff,0xf0004fff,0x26001fff,0x95107fff,
    0x999bffff,0xff999999,0x1fffecff,0x3fee0000,0x27fff93f,0xfffffca8,
    0xfcca886f,0x2000bfff,0x0003fffc,0x0ffff400,0x3f732e20,0x01bcceff,
    0x01ffff00,0x01fffe60,0x7fffff54,0x41efffff,0xfd86fffa,0xffff83ff,
    0x01ffff00,0x1ffffe44,0xffffff80,0x5fffffff,0x2fffd400,0x2fffe800,
    0xffffe800,0x20005fff,0x300ffffe,0x000bffff,0x1007fff9,0x7440ffff,
    0x3f21ffff,0x740003ff,0x5fffffff,0xffff5000,0xfffff005,0xfffff93f,
    0xffff0009,0x3ffe6001,0x0ffff807,0x27fff880,0x0003fffd,0x3f25fe80,
    0xfffe83ff,0x3e203fff,0xfc8007ff,0x000003ff,0x000ffff4,0x0017ffee,
    0x007fffc0,0x007fff98,0x7fff6544,0x2a1fffff,0xffd86fff,0x0ffff83f,
    0x001ffff0,0x200bfffd,0xccccffff,0x04fffffd,0x21bffe60,0xff81aaa9,
    0x7cc001ff,0xffffbfff,0xfff30000,0x3fffa0df,0xffc8000f,0xfff8803f,
    0x3ffff607,0x01fffe43,0x7ffff300,0x4001ffff,0x0ffffffa,0x0effff80,
    0x0bffffa6,0x01ffff00,0x01fffe60,0x2003fffe,0x3f67fff8,0x000003ff,
    0xd07fff90,0x1fffffff,0x01fffe20,0x00ffff20,0xfffd0000,0xfffb8003,
    0xfff00005,0x3fe6001f,0xb980007f,0x2a4fffff,0xffd86fff,0x0ffff83f,
    0x001ffff0,0x200dfff5,0xfb80ffff,0x1003ffff,0xfff0ffff,0xffff88ff,
    0x7ffec000,0x007fffd6,0x1ffffdc0,0x00bffff2,0x01fffe40,0xf707fff8,
    0xff90bfff,0x7ec0007f,0x7fffd6ff,0x7ffff400,0xffff003f,0xdffff101,
    0x0ffff800,0x0ffff300,0x301ffff0,0x326fff83,0x00004fff,0x07fff900,
    0xfffffffd,0x1fffe20b,0x0ffff200,0xffd00000,0xffb8003f,0xff00005f,
    0x3e6001ff,0x002607ff,0x26fffc88,0xfd85fff9,0xffff83ff,0x01ffff00,
    0x00dfff70,0x4c03fffe,0x003fffff,0x7d41ffff,0x3e21ffff,0x7c4007ff,
    0xfff72fff,0xffe8000f,0xffff31ff,0x7fe4000b,0xdffd003f,0x1dffff30,
    0x007fff90,0x4bfffe20,0x2007fffb,0x04fffffe,0x201ffff0,0x002ffffa,
    0x4003fffe,0xf807fff9,0x7fe40fff,0xfa93ff23,0x000006ff,0xd07fff90,
    0xffffdfff,0x0ffff105,0x07fff900,0xffe80000,0x7fdc001f,0xff00005f,
    0x3e6001ff,0x3ffd07ff,0x0ffff800,0xfb07fff1,0xdffb07ff,0x007fffc0,
    0x00ffffa6,0x3007fffc,0x003fffff,0x7e43ffff,0x3e64ffff,0x7dc006ff,
    0x3ffe27ff,0x3e20002f,0xffe8efff,0x320000ff,0xf7003fff,0xffff887f,
    0x7fff901f,0x3ffee000,0x0bfffe27,0x7ffff4c0,0xffff801f,0x1bfff600,
    0x00ffff80,0x00ffff30,0xff81ffff,0x3e60d45f,0x00001fff,0x83fffc80,
    0xffe9fffe,0x7ffc40ff,0xfffc8007,0x74000003,0x5c001fff,0x00005fff,
    0x2001ffff,0xf887fff9,0x7f4005ff,0x07ff62ff,0x2a0ffff6,0x3ffe03ff,
    0xfff9100f,0x3fe001ff,0x7fd400ff,0xffe806ff,0x3ffffe2f,0x17ffea7f,
    0x89fffd00,0x0005fffd,0x7f7fffdc,0x40002fff,0x2003fffc,0xffffe808,
    0x0ffff202,0x27fff400,0x0017fff6,0x005fffd3,0x4401ffff,0xf003ffff,
    0x26001fff,0xff807fff,0xffbaabff,0xfffd007f,0x032a000d,0x7ffe47d7,
    0xa9fffe83,0x7c44ffff,0xfc8007ff,0x000003ff,0x000ffff4,0x0017ffee,
    0x007fffc0,0xa87fff98,0x7002ffff,0x0081ffff,0x440ffff6,0x67fffc00,
    0xfffedccc,0xf1005fff,0xc8015fff,0x6c04ffff,0xfff53fff,0x3ee3ffff,
    0x3e6004ff,0x7fcc1fff,0x6c0000ff,0x5fffffff,0xfffc8000,0x7fe40003,
    0x7fe404ff,0xff98003f,0x7ffcc1ff,0x7fe4000f,0x7ffcc03f,0x3ff2009f,
    0x7fc009ff,0xff3000ff,0xffff00ff,0xffffffff,0x3fffea00,0x3ff2000d,
    0x25fff50f,0xfe83fffc,0xffffb1ff,0x03fffc43,0x01fffe40,0x3ffa0000,
    0x7fdc001f,0xff00005f,0x3e6001ff,0xfffa87ff,0xf7100dff,0xd800ffff,
    0x20003fff,0xffffffff,0x4fffffff,0xffffec80,0x3604ffff,0x80efffff,
    0xff94fffc,0x329fffff,0x36003fff,0xffd05fff,0xf880009f,0x00ffffff,
    0x3fffc800,0x3ffea000,0xfffc806f,0xfffd8003,0x09fffd05,0x03fffc80,
    0xfffffff9,0xfff109df,0x3e05dfff,0xf3000fff,0xfff00fff,0xffffffff,
    0x7ffec00f,0x7f4c03ff,0xfff92fff,0x20ffff27,0xff11fffe,0x7ffc4dff,
    0xfffc8007,0x0072a003,0x001fffe8,0x002fffdc,0x00ffff80,0x50ffff30,
    0xffffffff,0xffffd99b,0xfd8007ff,0x3e0003ff,0xffffffff,0x802fffff,
    0xfffffff9,0xf101ffff,0x707fffff,0x3ffebfff,0xfb7fffdf,0x3e2005ff,
    0xff702fff,0xf70000ff,0x0005ffff,0x00ffff20,0x7ffffcc0,0x3fffc800,
    0x7fffc400,0x0ffff702,0x83fffc80,0xfffffff9,0xfc81ffff,0xf06fffff,
    0x26001fff,0xff807fff,0xffffffff,0x3fa2007f,0xcdefffff,0xffffffed,
    0x64ffff27,0xffe83fff,0x3fffee1f,0x00ffff13,0x007fff90,0xe801ffea,
    0x5c001fff,0x00005fff,0x2001ffff,0xfa87fff9,0xffffffff,0xffffffff,
    0xfffd8005,0x3ffe0003,0xffffffff,0xff1005ff,0xffffffff,0x7ffd403f,
    0xfffa83ff,0xf8ffffae,0xfffe9fff,0xffff7001,0xfddddddd,0x00005fff,
    0x000bfffb,0x01fffe40,0x7ffff440,0x7fff9002,0xffffb800,0xfeeeeeee,
    0x32002fff,0xff983fff,0xffffffff,0xffff880f,0xffff06ff,0x3ffe6001,
    0xeffff807,0x07fffeee,0x7ffff4c0,0xffffffff,0x3f22ffff,0x7fff93ff,
    0xd83fffd0,0xff88ffff,0xffc8007f,0xfff9003f,0x3fffa003,0x7ffdc001,
    0x207b3005,0x3000ffff,0xff10dfff,0xffffffff,0x09ffffff,0x0ffff600,
    0xcffff800,0xffffdccc,0xffb7004f,0x07bfffff,0x019dffb0,0xffbffff3,
    0x33fff6bf,0xd001ffff,0xffffffff,0xbfffffff,0xfff90000,0x7e400007,
    0xfd8003ff,0xbd503fff,0x00ffff21,0xffffffd0,0xffffffff,0x7fe400bf,
    0xfffb703f,0x407bffff,0x01dffffc,0x2001ffff,0xf806fff9,0x7ffc0fff,
    0x7ec40086,0xffffffff,0x640dffff,0xfff93fff,0x83fffd07,0xf8dffff8,
    0xfc8007ff,0xffb003ff,0x3ffa005f,0x7fdc001f,0x5fff005f,0x005fffb0,
    0x5c17ffea,0xfffda8de,0x00dfffff,0x0ffff600,0x0ffff800,0x3fffffb8,
    0x00000000,0xffffff10,0x3ffea5ff,0x800fffff,0xfffffff9,0xffffffff,
    0x640000ff,0x00003fff,0x000ffff2,0x40bffff7,0xfff94ffe,0x7ffcc007,
    0xffffffff,0x00ffffff,0x007fff90,0x6c000000,0xf5002fff,0xfff00bff,
    0x45ffe81f,0x64c01efb,0xffffffff,0xfff903de,0x20ffff27,0xfb81fffe,
    0x7fffcfff,0x3fffc800,0x05fffb00,0x003fffe0,0x00bfff70,0xf90bfff3,
    0x3f2009ff,0x544003ff,0x0001affe,0x007fffb0,0x807fffc0,0x03fffff9,
    0x00000000,0xffffffff,0x3ffffe21,0xffb007ff,0xffffffff,0x9fffffff,
    0xfffc8000,0x3f200003,0x3e6003ff,0xf100efff,0x3fff2dff,0x3fff6003,
    0xffffffff,0x04ffffff,0x007fff90,0x64000000,0xf9004fff,0xfff007ff,
    0xe83c881f,0x3a6004ff,0xc8009bff,0xfff93fff,0x03fffd07,0x3ffffffa,
    0xffc8007f,0xfffb003f,0xffff1005,0xbfff7000,0x0dfff500,0x803ffff5,
    0x002ffffb,0x0000ffb0,0x003fffd8,0x803fffe0,0x01fffff9,0x0adfd800,
    0x7fff4000,0x7fec5fff,0x8806ffff,0xaaacffff,0xfcaaaaaa,0x640007ff,
    0x00003fff,0x400ffff2,0x01fffff8,0x7e5fffe6,0xff1003ff,0x555559ff,
    0xfff95555,0x3fff200f,0x3fa20003,0x7d40002c,0x7dc01fff,0xff802fff,
    0xff1000ff,0x7fc800df,0x9fffe400,0xfe83fffc,0xfff301ff,0x000fffff,
    0x2007fff9,0xc802fffd,0xb8005fff,0xfa805fff,0xffe886ff,0xffb883ff,
    0x360006ff,0x00001eff,0x0007fffb,0x2007fffc,0x006ffffa,0x27fffc40,
    0x3fff6000,0x7fd42fff,0xb805ffff,0x7c007fff,0x20002fff,0x0003fffc,
    0x00ffff20,0x01fffff4,0x7e5fffe6,0xff7003ff,0xfff800ff,0xfffb802f,
    0x3fee0005,0x220001ff,0x883ffffe,0x006ffffb,0x2001ffff,0x4007fff9,
    0x9001effc,0x3ff27fff,0x1fffe83f,0x3fffff20,0xffc8007f,0xfffb003f,
    0xffb1017d,0xf70009ff,0xff500bff,0x3ffe60df,0xffecdeff,0x0000ffff,
    0x001bfff6,0xfffd9988,0x2200099c,0x400affff,0x004ffffc,0xfff95110,
    0x7fe40001,0x7c40ffff,0x804fffff,0x000dfffe,0x00bfffb1,0xfffd9988,
    0x4c00099c,0xcfffd999,0xffc80999,0x99999dff,0x7fffa999,0x799bfff9,
    0x37fffa03,0xfffb1000,0xffff300b,0x4440017d,0x0005ffdb,0x77ffffcc,
    0xfffffecd,0xfff8800f,0x999999af,0x7fffa999,0x3fffe400,0x93fffc80,
    0xffd07fff,0x3fe2035f,0x4407ffff,0xfffd9999,0xd809999c,0xceffffff,
    0xffffffec,0x3ee66000,0x99999dff,0x6fffb999,0x3ffffee0,0xffffffff,
    0xbbd88003,0x4001ffda,0xffffffeb,0x01efffff,0x3fffffb2,0x3f604fff,
    0x000effff,0xfff9dff1,0x7fdc0001,0xffb05fff,0x36607fff,0xefffffff,
    0xffffd702,0x5401dfff,0xfffffffe,0x402effff,0xfffffffd,0xffffffff,
    0x3fffffe4,0xffffffff,0xff97ffff,0x25ffffff,0xffffffd9,0xffd702ef,
    0x01dfffff,0x27fffff4,0xfcdffa80,0xfb80005f,0xffffffff,0x6403ffff,
    0xfffffffe,0xffffffff,0x8807ffff,0x1ffcaacd,0x93fffc80,0x7fe47fff,
    0x84ffffff,0x07fffffa,0xffffffd9,0xffffffff,0x7ffec7df,0xffffffff,
    0xb001ffff,0xffffffff,0xffffffff,0xa80dffff,0xffffffff,0x70002fff,
    0x0dffffff,0xfffff880,0xffffffff,0xffff306f,0x3fffffff,0x3ffffe20,
    0xffd1003f,0x80007fff,0x03fffffa,0x05fffff5,0x3ffffff6,0xff887fff,
    0xffffffff,0x3ffffe04,0xffffffff,0x3ffea06f,0xffffffff,0xf1ffffff,
    0xffffffff,0xffffffff,0x3ffff2ff,0xffb4ffff,0xffffffff,0xffffff10,
    0x4409ffff,0x006ffffe,0x3ffffff3,0x3fea0000,0xffffffff,0x7ffcc02f,
    0xffffffff,0xffffffff,0xffb807ff,0x7007ffff,0x3fee7fff,0xfffff33f,
    0xb05fffff,0xf30fffff,0xffffffff,0xffffffff,0x7fed41ff,0xffffffff,
    0xff7001ef,0xffffffff,0xffffffff,0xb100dfff,0xbfffffff,0x7f440001,
    0x8003ffff,0xffffffff,0x05ffffff,0xfffffff1,0x5403ffff,0x003fffff,
    0x02fbff66,0xffff3000,0x3ffe201f,0xfffb01ff,0x0fffffff,0x3ffffffe,
    0x3fa04fff,0xffffffff,0x2a06ffff,0xffffffff,0xffffffff,0xffffff1f,
    0xffffffff,0x3f2fffff,0x1fffffff,0xfffffffb,0x3ffe0fff,0x4fffffff,
    0x1ffff440,0x5bffd500,0xfd880000,0x0dffffff,0xfffff880,0xffffffff,
    0xffffffff,0xfffe8807,0xff1003ff,0x43ffe21f,0xfffffff9,0xff881fff,
    0xfff887ff,0xffffffff,0xffffffff,0xffffc980,0x4003dfff,0xfffffffa,
    0xffffffff,0x06ffffff,0x00d654c0,0x336e6000,0xffb50001,0xffffffff,
    0x7edc03bf,0x3dffffff,0x0ceffd80,0x80000000,0x406ffff8,0x100ffffd,
    0xffffffd9,0x3ff6a05b,0x00ceffff,0x3fffff6a,0x1dffffff,0x7ffff5c0,
    0xffffffff,0x3fffe3df,0xffffffff,0x37ffffff,0x15555555,0x7ffff644,
    0xfb502dff,0x19dfffff,0x0006a200,0x30000000,0x70003595,0xfffffffb,
    0xffffffff,0x400fffff,0x4000bda8,0x205440a8,0xffffffdb,0x3ffee03e,
    0xffffb707,0xffffffff,0x1005bfff,0x80003775,0xffffffeb,0xffffffff,
    0x006fffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x54000000,
    0x00028801,0x54000e20,0x201ccccc,0xcccccca8,0x0054400a,0x710000cc,
    0xb9100000,0x44000005,0x1d400003,0x00005c40,0x53000000,0x4c001a80,
    0x101b8803,0x99999995,0x00003799,0x05500371,0x00710000,0x00000880,
    0x40016e44,0x09999998,0x0d402980,0x00000000,0x0cc02a20,0x00010000,
    0x3102dc88,0x067fd400,0x0004ffb8,0x001effa8,0x3ffffffa,0x3ffffe06,
    0x200fffff,0xfb102ffd,0xff50003f,0x7400003d,0x00002fff,0x001effa8,
    0x401ff980,0xb88004fd,0x001103ee,0x7417ff20,0x3fe003ff,0x4c37e403,
    0xffffffff,0x003fffff,0x26037e40,0x200001ff,0x8001effa,0x0003effb,
    0x005fffd0,0x3fffffa6,0x7fe404ff,0x007ffd05,0x40fbae20,0xffd00008,
    0x004ffb85,0xbfffd950,0x7fcc0039,0x7ffe46ff,0xefff8804,0x0bfffa21,
    0xfffd8800,0xff9804ff,0x83ffffff,0xfffffff9,0x3ee03fff,0x3fea0dff,
    0x362000ef,0x004fffff,0x6ffff980,0x3f620000,0x0004ffff,0xf7037fc4,
    0xffa8009f,0x3e61efff,0xfff8000f,0x37ffcc1f,0x201fff00,0xffb86ff9,
    0xffffffff,0x40006fff,0x3fa03ffc,0xd880000f,0x004fffff,0x027ffffc,
    0x3fffe600,0xffffb006,0xf809ffff,0x7fcc1fff,0xffa8006f,0x3e61efff,
    0x7fcc000f,0x03fff45f,0x3ffff620,0x00dfffff,0x1fffffc8,0x03fffff3,
    0x79ffff30,0x0007ffff,0x7f7fffd4,0x7f401eff,0x1fffffff,0xfffffff8,
    0x7e400fff,0xfffdafff,0x3fea001e,0x1efffeff,0x7fffc000,0xff500004,
    0x3dfffdff,0x77ff4000,0x3fff930b,0x77ffc400,0xffddffff,0xffd8001f,
    0x04fff887,0x46fbff20,0x983fffb9,0xffffffff,0x003fffff,0x967ffcc0,
    0x006ffda8,0xeffffa80,0xd001efff,0x007fffff,0x04ffff80,0xffffff90,
    0xffd809ff,0x04fff887,0x7f7ffc40,0xfffddfff,0x7ffd4001,0x01fffe26,
    0xffffffb8,0x2fffffff,0x7fffffc0,0x7fffff74,0x3fff2200,0x0000efff,
    0x547bffee,0x2202ffff,0xffffffca,0xffcca886,0xd3000bff,0x09ffffff,
    0x1efffb80,0x005ffff5,0x0077fdc0,0x77ffdc00,0x05ffff51,0x3fffa200,
    0x03ffffff,0xc89ffd40,0x04ffffff,0x203b9100,0x74000cda,0xffffffff,
    0x332e205f,0xbccefffd,0xff700001,0xffffffff,0xffb80001,0xffff51ef,
    0xfffd3005,0xfb8000ff,0xd91000ef,0x09ffffff,0xb501dc88,0xffa80019,
    0xfffff913,0xff50009f,0x3fffc4bf,0xfffffb80,0xffffffff,0x3ffe02ff,
    0xfff14fff,0xfa8001ff,0x40003fff,0xd884fff8,0xffd006ff,0x4407ffff,
    0x90007fff,0x8003dfff,0xd884fff8,0x180006ff,0xfff10000,0x0dffb109,
    0x7ffec400,0x0002ffff,0x9ffd3015,0x00000003,0x7ffe4400,0x4003ffff,
    0x0005fffb,0x3fffaa00,0x0000dfff,0x4427ffc4,0x26006ffd,0x0001ffff,
    0xfc800018,0x000004ff,0xe980a800,0x70001cff,0x7fccbfff,0xfff9806f,
    0xd730adff,0x201fffff,0x23fffffe,0x0002dfeb,0x00001bb1,0x7b50076e,
    0x3ffffa00,0xff100fff,0x74c000ff,0x07720004,0x00007b50,0x1db80000,
    0x0001ed40,0x0166e5cc,0x00220000,0x00000000,0x0acdca88,0x5fffb800,
    0xca800000,0x00001bcd,0x7b50076e,0x2fffe800,0x00000000,0x0009fff9,
    0x10000000,0xffb80001,0x1bffe64f,0x0fffffa0,0x0bffff90,0x0bfffff6,
    0x00000000,0xd0000000,0xbfffffff,0x01fffe20,0x00000000,0x00200000,
    0x00000000,0x00000000,0x00000008,0x00000001,0x2fffdc00,0x00000000,
    0x4cccc400,0x36000001,0x40002fff,0xff900001,0x0000009f,0x00000000,
    0xfa8ffff2,0x7fe405ff,0xff5001ff,0xfff907ff,0x000003ff,0x00000000,
    0xefffe800,0xf882ffff,0x000007ff,0x00000000,0x7fff654c,0x00350adf,
    0x00000000,0x65400000,0x02bdfffe,0xffd95000,0x000057bf,0x7fdc0000,
    0x0000005f,0x7fec0000,0x0000ffff,0x05fffb00,0xfffed980,0x03710cef,
    0x449fff90,0xccccccca,0xcccccccc,0xcca84ccc,0x2a201ccc,0x0acccccc,
    0x51fffec0,0x7c40bfff,0x6c004fff,0x7e40ffff,0x2001ffff,0x01ccccca,
    0x333332a2,0x665440ac,0xcccccccc,0xcccccccc,0x27fffa04,0x440ffffe,
    0x95107fff,0x99999999,0x54400137,0xcccccccc,0x00accccc,0x7ffffec4,
    0xfeffffff,0x332e603f,0x65440acc,0x5102cccc,0x99999999,0x99999999,
    0xfb100999,0xffffffff,0x3620001b,0xffffffff,0xca8800df,0xcccccccc,
    0x400acccc,0x0005fffb,0x66665cc0,0x8003cccc,0xfffffffa,0xfb000000,
    0x3a6005ff,0xffffffff,0x02ffedff,0xff27ffe4,0xffffffff,0xffffffff,
    0xfffe8fff,0x3fe06fff,0xffffffff,0x8bfff600,0x2a04fffb,0x4000ffff,
    0x5c1ffff8,0x000fffff,0xdffffffd,0x7fffffc0,0x3fe0ffff,0xffffffff,
    0xffffffff,0x3ffa07ff,0x4ffffa9f,0xf83fffc4,0xffffffff,0x03efffff,
    0x7fffffc4,0xffffffff,0xfd100fff,0xffffffff,0x0bffffff,0x3ffffffa,
    0x3fffe0ff,0xff86ffff,0xffffffff,0xffffffff,0x7fdc07ff,0xffffffff,
    0x5c001fff,0xffffffff,0x201fffff,0xfffffff8,0xffffffff,0x3fee00ff,
    0x3200005f,0xffffffff,0x44000fff,0x0fffffff,0xffb00000,0xfff7005f,
    0xffffffff,0x809fffff,0xff34fffc,0xffffffff,0xffffffff,0x7ffccfff,
    0x983fffff,0xffffffff,0x765cc3ff,0xfeccdfff,0x640bceff,0x90003fff,
    0xffa87fff,0xff3007ff,0x07ffffff,0xfffffff3,0x3fe67fff,0xffffffff,
    0xffffffff,0x3ffa07ff,0x3ffffb1f,0x4c3fffc4,0xffffffff,0xffffffff,
    0xffff701e,0xffffffff,0x305fffff,0xffffffff,0xffffffff,0xffff10df,
    0x2a7fffff,0xffffffff,0x3fffe61f,0xffffffff,0xffffffff,0x3fffee07,
    0xffffffff,0xf7003fff,0xffffffff,0x07ffffff,0x3fffffee,0xffffffff,
    0x3ee02fff,0x200005ff,0xffffffff,0x8003ffff,0x0ffffeda,0xffb00000,
    0xfffc805f,0xffffffff,0x06ffffff,0xff27ffe4,0xffffffff,0xffffffff,
    0xfffe8fff,0xf81fffff,0xffffffff,0x3fffe60f,0xffffffff,0x6c6fffff,
    0x70002fff,0xff989fff,0x3fa007ff,0x1fffffff,0xfffffff8,0x3ffe0fff,
    0xffffffff,0xffffffff,0x3fffa07f,0x4dffff11,0xff07fff8,0xffffffff,
    0xffffffff,0xfffff105,0xffffffff,0xf981ffff,0x0aceffff,0xfffff751,
    0x3ffffa0d,0x3fe0ffff,0x87ffffff,0xffffffff,0xffffffff,0xf307ffff,
    0x215bffff,0xfffffeb9,0x7fffcc01,0xfd730adf,0xf103ffff,0xffffffff,
    0xffffffff,0x2fffdc01,0xfff90000,0xffffffff,0xfff8000f,0xb000000f,
    0x7d405fff,0x11beffff,0xfffffd73,0x4fffc80d,0x3ffff2a2,0xcccccccd,
    0x447fffcc,0xffffffca,0xffcca886,0x7fdc0bff,0xffffffff,0xffffffff,
    0x003fffe1,0x237ffcc0,0x006ffff9,0x3ffff2a2,0xcca886ff,0x440bffff,
    0xcdffffca,0xcccccccc,0x3fa07fff,0x3ffee1ff,0x0ffff13f,0x37fffea2,
    0xfffdcccc,0xb881ffff,0xfffecccc,0x80acccce,0x803ffffe,0x206fffd8,
    0x0acffffa,0x7fffe544,0xffca880b,0xcccccdff,0x7fffcccc,0x07ffffd0,
    0x06ffffc8,0x01fffff4,0x41bffff2,0xfeccccb8,0xacccceff,0x2fffdc00,
    0x32e60000,0xffffffec,0x3fe0002f,0x000000ff,0x2207fffb,0x804fffff,
    0x406ffffc,0xff04fffc,0xff1001ff,0x7fff40ff,0x3e203fff,0xfff107ff,
    0xffffffff,0x4dffffff,0x0007fff8,0xf11fffe2,0x2000bfff,0x3ffffffe,
    0x01fffe20,0x2003fffe,0x3a07fff8,0x7fec1fff,0x7fff88ff,0x00ffff40,
    0x0dffff93,0x01fffe40,0x04ffffa8,0x017ffe60,0xf001ffff,0xff001fff,
    0xff1001ff,0xffff90ff,0x3ffea005,0xffff903f,0x3ffea005,0x3ff2003f,
    0xff70003f,0x0f6600bf,0xfffffd00,0x7c000bff,0x00000fff,0x05dfff90,
    0x009ffff7,0x2037ffe4,0xff04fffc,0xff1001ff,0x7fff40ff,0xf100ffff,
    0xfb980fff,0xffaaafff,0x7c41acff,0x30000fff,0xfff0ffff,0x0bdb88bf,
    0xffffffd0,0x3ffe201f,0x0ffff807,0x07fff880,0xf107fffa,0xfff1bfff,
    0x1fffe80f,0x3ffffb80,0x07fff900,0x017fffa0,0xf00fff60,0xff001fff,
    0xfff001ff,0xfff1001f,0x4ffff88f,0x7fffec00,0x27fffc40,0x3ffff600,
    0x7fff9000,0x3ffee000,0x05fff005,0x2ffffe60,0x0000ffff,0x32e1ffff,
    0x000acdee,0xefffffa8,0x017fffa1,0x809fff30,0xff04fffc,0xf83301ff,
    0x3ffa06ff,0x105fffff,0xf300ffff,0xffff8fff,0x07fffe01,0x37ffd400,
    0x3e27fffc,0xffd07fff,0x20bfffff,0xf807fff8,0x41980fff,0x3fa06fff,
    0xfffb81ff,0x407fffcf,0xb001fffe,0x3200dfff,0xf8803fff,0x88002fff,
    0xffff802b,0x0ffff800,0x80ffff80,0x237ffc19,0x000ffffa,0x217fffc4,
    0x000ffffa,0x017fffc4,0x003fffc8,0x00bfff70,0x200bfff3,0xffd6fffd,
    0x3fe0007f,0xfffffcff,0x8001ffff,0x34fffffd,0x0005ffff,0xfc805ffb,
    0xffff04ff,0x323ffc81,0x3ffa04ff,0x82ffffef,0x9807fff8,0x7ffc6fff,
    0x3fffa00f,0xfff70002,0x47fffd09,0x82fffffa,0xfffefffe,0x7fff882f,
    0x40ffff80,0x3ff23ffc,0x07fffa04,0x7ffffff4,0x7fff407f,0xffff1001,
    0x7fff9005,0x0ffff500,0xfff00000,0xffff001f,0x1ffff001,0x3f23ffc8,
    0x1fffe44f,0x3fffc800,0x001fffe4,0x003fffc8,0x0007fff9,0x2017ffee,
    0x8806fffa,0xff72ffff,0x3fe000ff,0xffffffff,0x002fffff,0xa7fffff4,
    0x000ffffb,0xfc801a88,0xffff04ff,0x545fff81,0x4ffff401,0x440ffffe,
    0xfa807fff,0x3ffe26ff,0x3fff600f,0xfffd0005,0x45fffb07,0x82fffffa,
    0xffe9fffe,0x7ffc40ff,0x0ffff807,0x06a2fffc,0x203fffd0,0xfffffff9,
    0x0ffff407,0x09fffd00,0x007fff90,0x000bfff7,0x1ffff000,0x01ffff00,
    0xf81ffff0,0x6c0d45ff,0x50002fff,0xffd8bfff,0xff50002f,0x3ff200bf,
    0xff70003f,0xfff500bf,0xffff700d,0x017fffc4,0x7fffffc0,0xffffffff,
    0xff5000ff,0x3ee1bfff,0x000006ff,0xf04fffc8,0xf7557fff,0xfd000fff,
    0xffff53ff,0x07fff889,0x225fffa8,0x7cc07fff,0x5c002fff,0xf981ffff,
    0x7ffff86f,0xf53fffd0,0xff889fff,0xffff807f,0x7fffbaab,0x1fffe800,
    0x3fffff20,0x7fff407f,0x3fff2001,0x3fffc805,0x03fffc80,0xfff80000,
    0xaaaaaabf,0x00ffffaa,0xaabffff8,0xf007fffb,0x20003fff,0x7fc6fff9,
    0xf30001ff,0x3f200dff,0xf70003ff,0xff500bff,0xfffd00df,0x05fffd89,
    0xffffff80,0xffeb9bcf,0xff9003ff,0xfffc81df,0xc8000003,0xfff04fff,
    0xffffffff,0xfffd000f,0x87ffff63,0xd707fff8,0xffffffff,0x7bffffff,
    0x01bfffa0,0x05ffff88,0x565440a2,0x23fffd00,0x221ffffd,0xff807fff,
    0xffffffff,0xffe8007f,0xfff101af,0xfe80ffff,0x3ea001ff,0xffc806ff,
    0xfffc803f,0xf8000003,0xffffffff,0xffffffff,0xfffff800,0x07ffffff,
    0x007fff88,0x89fffe20,0x20007fff,0x9007fff8,0x98007fff,0x99dfffb9,
    0xfb999999,0x7fcc06ff,0x7ffcc1ff,0x7ffc000f,0xff900eff,0x3ff600bf,
    0x3fffd83f,0xfc800000,0xffff04ff,0xffffffff,0x3fffd000,0x89bfffe2,
    0xff987fff,0xffffffff,0xffffffff,0xeffffa81,0x7fff4400,0x4000000f,
    0xff11fffe,0x7ffc4dff,0xfffff807,0x07ffffff,0x3fffff20,0xffa84fff,
    0x7f407fff,0x3e6001ff,0xffc806ff,0xfffc803f,0x3bb6e203,0x02ceeeee,
    0x3ffffffe,0xffffffff,0xfff800ff,0xffffffff,0x1ffff007,0x3ffe2000,
    0x007fffc7,0x07fff880,0x007fff90,0x3ffffff6,0xffffffff,0x06ffffff,
    0xe82fffec,0x7c004fff,0x7cc05fff,0xffb007ff,0x7fffb05f,0xf9000000,
    0x3ffe09ff,0xffffffff,0xfffe8007,0x4ffffee1,0xfa87fff8,0xffffffff,
    0xffffffff,0xffffb01f,0x3ffea05f,0x540004ff,0x3fffa02c,0x4ffffee1,
    0xf807fff8,0xffffffff,0xff3007ff,0xffffffff,0xfffffb05,0x01fffe80,
    0x01bffe60,0x200ffff2,0x3a03fffc,0xffffffff,0xfff02fff,0xffffffff,
    0x01ffffff,0xfffffff0,0x200fffff,0x0001fffe,0xfe8dfff5,0xf50001ff,
    0x3f200dff,0xffb803ff,0xffffffff,0xffffffff,0x3e206fff,0xff702fff,
    0xfff800ff,0xffff800f,0x2fffd800,0x003fffd8,0xfffc8000,0xddffff04,
    0x00ffffdd,0xd83fffd0,0xff88ffff,0xffffb07f,0xffffffff,0x4409ffff,
    0xdffffffe,0xffffffdc,0x7ffc0006,0x3fffd06f,0x88ffffd8,0xff807fff,
    0xffeeeeff,0xfff3007f,0x3fffffff,0x0fffff10,0x001fffe8,0x201bffea,
    0xb803fffc,0xff104fff,0xffffffff,0x3ffe09ff,0xeeeeeeef,0x00ffffee,
    0xeeeffff8,0x9007fffe,0x20005fff,0x7e44fffb,0xf70002ff,0x3f2009ff,
    0xffa803ff,0xffffffff,0xffffffff,0x3ee06fff,0xeeeeefff,0x02ffffee,
    0x003fffe0,0x2003fffe,0xfc82fffd,0x000004ff,0xf04fffc8,0xfff81fff,
    0x7ff40086,0x7fffc41f,0x407fff8d,0x99bfffe9,0x000dfffc,0xffffffd1,
    0xbfffffff,0xf506ea00,0xfd03ffff,0xfff883ff,0x07fff8df,0x7c0ffff8,
    0xb70086ff,0x7dffffff,0x03fffdc0,0x8007fffa,0xc804fffc,0xf9803fff,
    0x3ff605ff,0xffffffff,0x1ffff01f,0x01ffff00,0xf81ffff0,0xfb8086ff,
    0xfd0005ff,0xfffb87ff,0xfffd0005,0x3fff2007,0xfffd7003,0xffffffff,
    0xffffffff,0x7ffff40d,0xffffffff,0x3e005fff,0xff800fff,0xffd800ff,
    0x6fffa82f,0xfc800000,0xffff04ff,0x5c5ffe81,0xfffd01ef,0x9ffff703,
    0xfd00ffff,0x7ffe45ff,0x7fe44004,0xffffffff,0xfffb003f,0x7ffffdc5,
    0x81fffe82,0xffcffffb,0xffff807f,0x2e2fff40,0x000001ef,0x0ffff400,
    0x07fffb00,0x007fff90,0x880ffff1,0xfffbaaaa,0x3fffe00f,0x0ffff800,
    0x40ffff80,0x77dc5ffe,0x0bfffe61,0x3ffff500,0x02ffff98,0x0ffffd40,
    0x03fffc80,0x80000000,0xfffffff9,0xffffffff,0xfff000ff,0xffff001f,
    0x5fffb001,0x03ffff30,0xffc80000,0x1ffff04f,0xffe83c88,0x03fffd04,
    0x3ffffffa,0xfffe807f,0x00ffff21,0x7ffffcc0,0x2001cfff,0x3e25ffff,
    0xffd07fff,0x3fffa03f,0xf807ffff,0x1e440fff,0x00027ff4,0x3ffa0000,
    0x3ffe001f,0xfffc801f,0x9fffd003,0x6fff9800,0x007fffc0,0x4007fffc,
    0x6440ffff,0x744ffe83,0x1000efff,0x3a0bffff,0x1000efff,0x400bffff,
    0x0003fffc,0xfd800000,0xffffffff,0xffffffff,0x1ffff004,0x01ffff00,
    0x205fffb0,0x0006fffe,0xffc80195,0x1ffff04f,0x1bffe200,0x980ffff4,
    0x7fffffff,0x21ffff80,0x0003fffd,0x3bfffff9,0xffd80c40,0x05edc42f,
    0x301fffe8,0xffffffff,0x01ffff00,0x01bffe20,0x0056fec0,0x01fffe80,
    0x01ffffb0,0x007fff90,0x007ffff2,0x406fff98,0xf800ffff,0xff800fff,
    0xff1000ff,0xffff98df,0x7ff4400e,0xfff300ff,0xfe8801df,0x32000fff,
    0x00003fff,0x0002b7f6,0x2b3fffe2,0xaaaaaaaa,0xf007fffc,0xff001fff,
    0xffb001ff,0x3ffea05f,0x3f2000df,0x3ff200ff,0x1ffff04f,0x1fffe600,
    0x900ffff4,0x0fffffff,0x6c1ffff0,0xc8002fff,0xffffffff,0xffda8acd,
    0x00037504,0x900ffff4,0x0fffffff,0x001ffff0,0x001fffe6,0x013fffe2,
    0x00ffff40,0x13ffffa2,0x01fffe40,0xdffffe88,0x3ff2a200,0x7fffc06f,
    0x0ffff800,0x00ffff80,0x70ffff30,0x205fffff,0x03fffffa,0x17ffffdc,
    0x3fffffa8,0x1fffe400,0xfff88000,0xffb8004f,0x7ffc007f,0xffff802f,
    0x0ffff800,0x01ffff80,0x0ffffff6,0x5ffffd30,0x427ffe40,0x99affff8,
    0xa9999999,0xffd07fff,0x3fe2035f,0x4407ffff,0x7ff47fff,0x7fdc002f,
    0xffffffff,0x7fffffff,0x3fa00000,0xff101aff,0x880fffff,0x999affff,
    0xfa999999,0x444007ff,0x000fffca,0x99bfffe8,0xffeb9999,0x266606ff,
    0x99cfffd9,0x3ffe6009,0xdcceefff,0x6fffffff,0x07fffe20,0x03ffff10,
    0x9affff88,0x99999999,0xfb07fffa,0xb9bfffff,0x0dffffff,0x3fffff60,
    0xffffdcdf,0x999806ff,0x99cfffd9,0xa8880009,0x4000fffc,0x000dfffe,
    0x80bfffb1,0x401ffff8,0x101ffff8,0x01fffff9,0x7fffff44,0xffedcdef,
    0x5cc7ffff,0x24fffecc,0xffffffec,0xffffffff,0x647fffff,0xffffffff,
    0xfffffa84,0x3fffc407,0x8007fffa,0xfffffff8,0xffffffff,0x00004fff,
    0xffffffc8,0xfffa84ff,0xffd907ff,0xffffffff,0xffffffff,0x7fc400ff,
    0x000fffce,0x3ffffff2,0xffffffff,0xfd80ffff,0xffffffff,0x04ffffff,
    0xfffffff9,0xffffffff,0xfff30dff,0xc89fffff,0xfffffffe,0x7ffff642,
    0xffffffff,0x7fffffff,0xfffffd10,0xffffffff,0x3fa2001b,0xffffffff,
    0x200dffff,0xfffffffd,0xffffffff,0x9dff1004,0xb3001fff,0xdfffffff,
    0x3fffae05,0x260effff,0xffffffff,0x7ffffcc2,0x7ff42fff,0xe9805fff,
    0xffffffff,0xffffffff,0x3ffffee2,0xfff34fff,0xffffffff,0xffffffff,
    0x7ffccfff,0x2fffffff,0x07ffffd8,0x3e37ffcc,0x7c000fff,0xffffffff,
    0xffffffff,0x4c00000e,0xffffffff,0xfffd82ff,0xffff987f,0xffffffff,
    0xffffffff,0x3fa2007f,0x2003ffff,0xfffffff9,0xffffffff,0xffa81eff,
    0xffffffff,0x1fffffff,0xfffffd30,0xffffffff,0xfffd019f,0x25ffffff,
    0xfffffff9,0x3ffe66ff,0xffffffff,0xffffffff,0x7fdc07ff,0xffffffff,
    0xff70003f,0xffffffff,0xfffa807f,0xffffffff,0x01ffffff,0xfffffe88,
    0xffffb003,0x10ffffff,0xffffffff,0x7fff49ff,0x6c7fffff,0xffffffff,
    0x3ffffe27,0xffb1000f,0xffffffff,0xfd81bfff,0x4fffffff,0xfffffff1,
    0xffffffff,0x4fffffff,0xfffffff9,0xff881fff,0xfff807ff,0x0037fec5,
    0x0d5effd4,0x5bfffb73,0x3e600000,0xffffffff,0xffff881f,0xfffff887,
    0xffffffff,0xffffffff,0x7fecc007,0x3e2000be,0xffffffff,0xdfffffff,
    0xfffff500,0xffffffff,0xa803ffff,0xffffffed,0x3a00beff,0xffffffff,
    0xfffff11f,0x7c4fffff,0xffffffff,0xffffffff,0x9807ffff,0xfffffffd,
    0x6cc0001d,0xdfffffff,0xffffa801,0xffffffff,0x001fffff,0x017dffb3,
    0x3fffff60,0xff07ffff,0xffffffff,0x7fffff49,0x7fec7fff,0x47ffffff,
    0x000dfffd,0xfffffc98,0x503defff,0xffffffff,0x7fffedc9,0xffffffff,
    0x7fffffff,0x7ffffedc,0x3fee03ef,0x0dd9807f,0x0000ee44,0x00000800,
    0xffffb700,0x7dc07dff,0xffb707ff,0xffffffff,0xffffffff,0x000000ff,
    0x3ffff6e0,0xdeffffff,0xffeb800b,0xffffffff,0x8003dfff,0x009abca9,
    0xfffffb30,0xffdb87df,0x5c2dffff,0xfffffffd,0xffffffff,0x4007ffff,
    0x0000aca9,0x01595300,0xffffd700,0xffffffff,0x000007bf,0x7fff6440,
    0xb502dfff,0x9dffffff,0x7fffecc1,0x7ecc2dff,0x82dfffff,0x300001a9,
    0x00137975,0x2aaaaaa2,0x0000001a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00017d71,0x00199998,
    0x3b2e2000,0x28800acd,0x00000cc0,0x000a8053,0x00d40298,0x00000000,
    0x0005f5c4,0x017d7100,0x80000000,0xffffffeb,0x0003efff,0xffffffd7,
    0x0007dfff,0xffffffd5,0x1009ffff,0x99999995,0x15999999,0x33331000,
    0x75c01333,0xffffffff,0x2a2003ef,0x4001bcec,0xccccccb9,0x000003cc,
    0xffffffd7,0x0007dfff,0x000b8800,0xaaaaa980,0xc980aaaa,0x2aaa20ce,
    0xfff9002a,0xfff80009,0x3000007f,0xffffffff,0x07ffd403,0x0002ffe4,
    0xfe82ffe4,0x3ff2003f,0x007ffd05,0x100cfda8,0x3ff20000,0x3200004f,
    0x10004fff,0x02207dd7,0xffffff80,0x06ffffff,0xffffff00,0x0dffffff,
    0xfffffb00,0x1fffffff,0x7ffffc40,0xffffffff,0x2200ffff,0xfffffdba,
    0x80efffff,0xffffffff,0xb006ffff,0x7fffffff,0x3ffff200,0x0fffffff,
    0xfff80000,0xffffffff,0x2000006f,0x10005ffa,0xfffffffd,0xfd01ffff,
    0x7ffc49ff,0xfff8807f,0x7fc0007f,0x800007ff,0xfffffffb,0x3ff605ff,
    0x7fffc42f,0x7ffc0000,0x37ffd40f,0x83ffff00,0x1006fff9,0x47fffffd,
    0x80003fd8,0x0007ffff,0x0fffff10,0xfffff500,0x007fcc3d,0xeeeeeda8,
    0x001deeee,0xdddddb50,0x003bdddd,0xddddd930,0x807bdddd,0xfffffffb,
    0xffffffff,0xffd882ff,0xffffffff,0xa82fffff,0xeeeeeeed,0xfd801dee,
    0xffffffff,0xfffff804,0x3fffffff,0xeda80000,0xeeeeeeee,0x9000001d,
    0x30005fff,0xffffffff,0xf01fffff,0xfff8bfff,0xfffd006f,0xfff8000b,
    0x4c00007f,0xffffffff,0x3fee03ff,0x06ffe81f,0x87ffd800,0x2004fff8,
    0xff887ffd,0xfffd004f,0xff9dfffd,0xfb00009f,0x40000dff,0x4005fffe,
    0xfffefff8,0x01fffddf,0x00000000,0x00000000,0xffff8800,0xffffffff,
    0x4c0fffff,0xfffffffe,0xdefffeef,0xd0000003,0xf937dfff,0xfc807fff,
    0xffffffff,0x000007ff,0x80000000,0x002fffd8,0xeeffff98,0xfffeeeee,
    0x41effb80,0x5005fffe,0x80003dff,0x0007ffff,0x6fffff40,0x200cecaa,
    0xbb302db8,0xb9100003,0x00336a03,0xb501dc88,0x9ff10019,0x3ffffee1,
    0xd300005f,0x400003df,0x4001effa,0xff913ffa,0x0009ffff,0x00000000,
    0x00000000,0x66665c40,0xcccefffe,0x7ffcc0ac,0x1ffdaeff,0x00000fff,
    0x03fffa80,0x7300dff7,0xfffffd99,0x000005ff,0x40000000,0x001fffe8,
    0x803dff90,0x40200ffe,0x4004fffd,0x33300001,0x44000033,0x0003ffff,
    0x00000000,0x00000000,0x6c40cc00,0x00002dff,0x20000018,0x202a0001,
    0x001cffe9,0x00000100,0x91000000,0x0bba609f,0x3fffc800,0x5ffff900,
    0x7ff8ffec,0x74000000,0x7fec05ff,0x7fff4000,0x0005ffff,0x00000000,
    0x003bff60,0x802ffe80,0xc8000ffe,0x00003fff,0x00000000,0x00ffffa8,
    0x00000000,0x00000000,0x44000000,0x00000000,0x00000000,0x40000880,
    0xbdfffeca,0x332a2002,0x440acccc,0xacccccca,0x0fffdc00,0x0003fff4,
    0x2007fff9,0x7ec4ffff,0x440fff1f,0xccccccca,0x0acccccc,0x20077fd4,
    0x26003ffb,0xfffbffff,0xb980000f,0xcccccccc,0x36000003,0x7c40004f,
    0x0ff9007f,0x0bffee00,0x00000000,0x3fee0000,0x0000005f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x10000000,0xfffffffb,0xf8801bff,
    0xffffffff,0x3ffffe27,0x200fffff,0xff82fffc,0xf90000ff,0xff5007ff,
    0x1ffd81ff,0x3fe20fff,0xffffffff,0x0fffffff,0x2a013ff6,0x3f6005ff,
    0x7fffd6ff,0xfffc8000,0xffffffff,0x02000000,0xff806e20,0x02c8803f,
    0x83fff500,0xcccccca8,0xaccccccc,0x2aaaa600,0x00001aaa,0x0009fff9,
    0x666665cc,0x20003ccc,0x01bcccb9,0x0de66654,0x66666544,0xcccccccc,
    0x665cc00a,0x03cccccc,0x99999900,0x99999999,0xcca88999,0xcccccccc,
    0xcccccccc,0x66665444,0xcccccccc,0x7fdc00ac,0xffffffff,0x3ee01fff,
    0xffffffff,0xfffff52f,0x405fffff,0xff706ff9,0x7fe40009,0xfffb803f,
    0xff1ffd87,0x3fffee0f,0xffffffff,0x3a2fffff,0xffa803ff,0xffff1005,
    0x01fffee5,0xffffff00,0x07ffffff,0x4c000000,0x7f542fff,0x40002fff,
    0xff983fd8,0x3fffe20f,0xffffffff,0x4c0fffff,0xffffffff,0xf900003f,
    0x320009ff,0xffffffff,0xd8000fff,0x5fffffff,0xffffffd0,0x7fffc49f,
    0xffffffff,0x900fffff,0xffffffff,0x88001fff,0xffffffff,0xffffffff,
    0x3ffffe0f,0xffffffff,0x7fffffff,0x3fffffe2,0xffffffff,0xff700fff,
    0xffffffff,0x207fffff,0xfffffff8,0xfff10fff,0x1fffffff,0x00880300,
    0x1fffe400,0x43fffd40,0x0fff1ffd,0x3fffffe2,0xffffffff,0x3ffe0fff,
    0xfffd9501,0x3ffee00b,0x0bfffe27,0xffffc800,0x7fffffff,0x6e4c0000,
    0xf30bdefe,0x3fa2bfff,0x0cffffff,0x1fff7000,0x7dc7ff88,0xffffffff,
    0xffffffff,0x7ffffe42,0x8003ffff,0xfffffec8,0x00ceffff,0xfffffff8,
    0x003fffff,0xfffffff8,0x7ffcc0ff,0x2e7fffff,0xffffffff,0xffffffff,
    0xfffff02f,0x7fffffff,0xffff8800,0xffffffff,0xf30fffff,0xffffffff,
    0xffffffff,0x7fdcffff,0xffffffff,0x2fffffff,0xdfffff98,0xfffd730a,
    0x3ee203ff,0x40accfff,0xffffdca8,0x0000000b,0x0ffff200,0x0bfffe60,
    0x1ffe3ffb,0xeccccb88,0xccccefff,0x21ffe20a,0xffffffd8,0x9fffd005,
    0x005fffd8,0x7f665cc0,0x02ffffff,0xfffea800,0xfdffffff,0xff73ffff,
    0xffffffff,0xfffb0005,0xf88dff07,0xffffffff,0xffffffff,0x7ffffd40,
    0x8003ffff,0xfffffffb,0x03ffffff,0xffffffc8,0x007fffff,0xffffffd8,
    0xfffff06f,0x7fc4bfff,0xffffffff,0x0fffffff,0xffffff90,0x00ffffff,
    0xffffff88,0xffffffff,0x3ffe0fff,0xffffffff,0xffffffff,0x3fffe27f,
    0xffffffff,0xe80fffff,0x6403ffff,0x7c06ffff,0xf3000fff,0x00000fff,
    0xfff90000,0x3fffe007,0x7c7ff60e,0xffc8007f,0x6ff9803f,0x7fffffc4,
    0xff9805ff,0x7ffcc1ff,0x3a00000f,0x5fffffff,0x3ff22000,0xffffffff,
    0x25ffffff,0xfb10bffe,0x4003dfff,0xfd83fffe,0xccccb885,0xcccefffe,
    0xdd9500ac,0x007ffffd,0xffffff90,0x9fffffff,0x3b32e600,0x2fffffff,
    0xfffd9800,0x3ffa206f,0xcb881cff,0xefffeccc,0x400acccc,0xfffeccb9,
    0x2002ffff,0xcccffff8,0xfffdcccc,0x7fe5447f,0xcccccdff,0x7fffcccc,
    0x766665c4,0xccccefff,0xffffc80a,0xffff5002,0x07fffc07,0x07fff980,
    0x02aaaaa2,0x55555544,0x3fff2000,0xffff5003,0x23ffb19f,0xfc8007ff,
    0xffa803ff,0x5f7ffec5,0xfd805ffa,0xfffd05ff,0x3e600009,0xffffbfff,
    0xfffd0000,0xffffffff,0xd8bfffff,0xfffa82ff,0xff800dff,0x01d984ff,
    0x00ffff20,0x0ffff200,0x3fff6200,0xffffffff,0xffd0000d,0x00bfffff,
    0x07ffff40,0x05ffff98,0x03fffc80,0xffffd000,0x4400bfff,0x3a207fff,
    0x3e01ffff,0xf8800fff,0xff9007ff,0x3fe2007f,0x7ec004ff,0xfff00fff,
    0x3fe6001f,0xffffd07f,0xfff903ff,0x4003ffff,0x2003fffc,0xfffffff9,
    0x00fff1ff,0x007fff90,0x7fd4bff5,0x017fe62f,0x205ffff1,0x0007fffb,
    0x3adfffb0,0xc8003fff,0xabdfffff,0xfffffca9,0x0fffd43f,0x7ffffe44,
    0x3fffe203,0xff900005,0xf900007f,0x980007ff,0x19cfffc9,0x7ffcc000,
    0x00ffffbf,0xdffff300,0x03ffffa0,0x0ffff200,0x3ffe6000,0x00ffffbf,
    0x40ffff10,0x403ffffd,0x8800ffff,0xf9007fff,0x3ea007ff,0x44000fff,
    0xff02ffff,0x3e6001ff,0xfff987ff,0xff81ffff,0x01ffffff,0x00ffff20,
    0xffffff30,0x01ffe3ff,0x00ffff20,0xffb97fea,0x202ffcc6,0xeeeffffb,
    0xffffeeee,0x7fc40002,0xffff72ff,0xffffa800,0xfffe882e,0x7f40ffff,
    0xffb303ff,0xff301dff,0xbdb88dff,0x7fff9000,0xfff90000,0x3f200007,
    0xb00004ff,0x3ffadfff,0x3ee0003f,0x7fe43fff,0xf90002ff,0xb00007ff,
    0x3ffadfff,0x3ffe003f,0xbffff707,0x01ffff00,0x06fff833,0x007fff90,
    0x000ffff2,0xf81fffe4,0xf3000fff,0xfff10fff,0xfd03ffff,0x03ffffff,
    0x01fffe40,0x7ffed440,0x00fff1ff,0x007fff90,0x7fecbff5,0x202ffcc2,
    0xfffffffe,0xffffffff,0x7fdc0005,0x3fffe27f,0x3fffa002,0xfffe880f,
    0x4c4fffff,0x501efffe,0x981dffff,0x7fc7ffff,0xff9007ff,0xf900007f,
    0x200007ff,0x0004fffc,0x72ffff88,0x8000ffff,0xf31ffffe,0x4000bfff,
    0x0003fffc,0xb97fffc4,0x3a007fff,0xfff986ff,0xfff800ef,0x91ffe40f,
    0x3f2009ff,0xffb003ff,0x3ea0005f,0xffff05ff,0x3ffe6001,0xfffb7307,
    0xfdb7103f,0x64003fff,0x80003fff,0xfff1ffe9,0x7fff9000,0x64bff500,
    0x2ffcc4ff,0xffffff30,0xffffffff,0x40001fff,0x7ec4fffe,0xff3005ff,
    0xffd105ff,0xffff9dff,0x9ffffb10,0xdfffb101,0x27ffffa8,0x02fffffa,
    0x003fffc8,0x03fffc80,0x9fff9000,0xfff70000,0x17fffc4f,0xffff1000,
    0x1ffffd1d,0x7ffe4000,0x7fdc0003,0x3fffe27f,0x87ff7002,0x01fffff8,
    0xf81ffff0,0x000d45ff,0x2007fff9,0x0001ffff,0x3e0dfff3,0xf3000fff,
    0xffd00fff,0xfffd003f,0x7ffe4003,0xffb00003,0x2001ffe3,0xa803fffc,
    0x3ffea5ff,0xd817fe61,0xffffffff,0xffffffff,0xff30004f,0xfff983ff,
    0xfffa800f,0xdffffd06,0x01ffff31,0x0fffffee,0xf70fffd4,0x3ea1ffff,
    0xc802ffff,0x80003fff,0x0003fffc,0x009fff90,0x89fffd00,0x0005fffd,
    0x7f7fffdc,0x40002fff,0x0003fffc,0x3627fff4,0x22005fff,0x2ffffe80,
    0x2ffffe00,0x07fffbaa,0x1fffe400,0x03fffc40,0x0ffff100,0x4003fffe,
    0xe807fff9,0xfe801fff,0x3f2001ff,0xb00003ff,0x01ffe3ff,0x00ffff20,
    0xffd17fea,0x0bffb9df,0x2b3fffe2,0xaaaaaaaa,0x0007fffc,0x3a0bfffb,
    0xfc804fff,0xfffd84ff,0x3fffa0ef,0x3fffa602,0x4ffb81ef,0x87fffff2,
    0x9006fffe,0x00007fff,0x0007fff9,0x013fff20,0x3ffff300,0x00ffff98,
    0x7fffec00,0x80005fff,0x0003fffc,0x307fffe6,0x0001ffff,0x027fffe4,
    0x3fffffe0,0x007fffff,0x01fffe40,0x000ffff8,0x20ffff10,0x3000ffff,
    0xfd00ffff,0xffd003ff,0x7fe4003f,0xfb00003f,0x001ffe3f,0x200ffff2,
    0x7fcc6ff8,0x1fffffff,0x007fffb8,0x0017fffc,0x40bfffe2,0xc807fffb,
    0x7fec4fff,0x7ff40eff,0xfffb802f,0x37fcc3ff,0x85fffffb,0x3f2002ca,
    0xc80003ff,0x00003fff,0x0009fff9,0xd05fffd8,0x80009fff,0xfffffff8,
    0xffc80000,0x3f60003f,0xfffd05ff,0x3fea0009,0xff8006ff,0xffffffff,
    0x7e40007f,0xffd003ff,0x3ea0003f,0xffff06ff,0x3ffe6001,0x1fffe807,
    0x01fffe80,0x3ff66666,0x001999cf,0x3fe3ffb0,0xfffc8007,0x10fff003,
    0xfffffffd,0x1bfffd07,0x3fff6200,0x7ffdc005,0xeeeeeeef,0x5402ffff,
    0xffb0ffff,0xff881dff,0x3f22007f,0xffedefff,0x3ffffa3f,0xfc80003f,
    0xc80003ff,0x00003fff,0x0009fff9,0x817fffc4,0x0007fffb,0x2fffffb8,
    0xfff90000,0x3fe20007,0xfff702ff,0xfff3000f,0xff0001ff,0xffffffff,
    0xfc8000ff,0xff9003ff,0x3ee0005f,0xffff04ff,0x3ffe6001,0x1fffe807,
    0x81fffe80,0xfffffffd,0xffffffff,0x8ffec004,0xfc8007ff,0xffd003ff,
    0x3332e601,0x3fff662c,0x702effff,0xfffffffd,0xfffd001d,0xffffffff,
    0x880bffff,0xffdbffff,0xffc80fff,0xfe98005f,0x0fffffff,0x13fffffe,
    0x3fff2000,0x4ccc4003,0x99cfffd9,0xfc800099,0x2e0004ff,0xeeeeffff,
    0x2ffffeee,0xfffd8000,0x3f200005,0xf70003ff,0xdddddfff,0x05ffffdd,
    0x7ffff440,0xffff0002,0xffffdddd,0xfffc8000,0xbfff7003,0x3fffa000,
    0x01ffff03,0x01bffe60,0x2007fffa,0x7d41fffe,0xffffffff,0xffffffff,
    0x47ff6001,0xfc8007ff,0xff9003ff,0x7fec0005,0x7fffffff,0xffffff88,
    0x4c04ffff,0xffffffff,0xffffffff,0x7fff400f,0x81ffffff,0x003ffffb,
    0x3fffff60,0x7ffffc0c,0xfc80004f,0xff9003ff,0xffffffff,0x7dffffff,
    0x27ffe400,0xffffd000,0xffffffff,0x0000bfff,0x0007fff9,0x01fffe40,
    0xfffffe80,0xffffffff,0x3f6005ff,0xbd503fff,0x03fffe01,0x0010dfff,
    0x801fffe4,0x002ffff9,0x80ffffd4,0x5002fffd,0xfd00bfff,0xffd003ff,
    0xffffa83f,0xffffffff,0x001fffff,0x3ffc7ff6,0x1fffe400,0x005ffb80,
    0x3fffff60,0xff07ffff,0xffffffff,0xffffd809,0xffffffff,0x404fffff,
    0xfffffff9,0x7ffec41f,0x00b980ff,0xb00fffd8,0x003fffff,0x07fff900,
    0xffffff30,0xffffffff,0x001fffff,0x000ffff2,0x7fffffcc,0xffffffff,
    0x40000fff,0x0003fffc,0x00ffff20,0x3ffffe60,0xffffffff,0xb800ffff,
    0x3a05ffff,0xffff04ff,0x5c5ffe81,0xffc801ef,0x3ffa003f,0xff1000ef,
    0x7fe40bff,0xfff9004f,0x3fffd007,0x03fffd00,0xffffffd9,0xdfffffff,
    0x1ffd8007,0xf9000fff,0x3e6007ff,0x910001ff,0xbffffffd,0x3fff6a05,
    0x200dffff,0xaacffff8,0xcaaaaaaa,0xfc807fff,0xccefffff,0xffffffed,
    0x1009ff02,0x7fd40fff,0x900007ff,0xf1007fff,0xffffffff,0xffffffff,
    0x7ffc00ff,0xffb0002f,0xffffffff,0x9fffffff,0xfffc8000,0x3f200003,
    0xfd8003ff,0xffffffff,0xffffffff,0x7fffcc04,0xdfff100e,0x103fffe0,
    0x09ffd079,0x007fff90,0x077fffcc,0x3ffffa20,0x3fffea00,0x7fffdc01,
    0x2fffe802,0x0ffffdc0,0x00dffa80,0x47ff6000,0xfc8007ff,0x3f6003ff,
    0x0019805f,0x1efe8000,0x07fffb80,0x017fffc0,0x3ffffff2,0xffffffff,
    0xdff104ff,0x80fff300,0x0003fffd,0x007fff90,0x3fffff6e,0xffffffff,
    0xf5002dff,0x10003fff,0x5559ffff,0xf9555555,0xc8000fff,0x00003fff,
    0x000ffff2,0x559ffff1,0x95555555,0x7c40ffff,0x2601ffff,0xfff07fff,
    0x3fe2001f,0xfffc806f,0x7ffdc003,0xfff502ff,0xfe8807ff,0xfb883fff,
    0xfb006fff,0x3fee0bff,0x9001ffff,0x800001ff,0x0fff1ffd,0xffb33330,
    0x4013339f,0x880efff9,0x00001ffd,0x400bfe60,0x000dfffe,0x40bfffb1,
    0xfffffffc,0xffffffff,0x1bfe602e,0x00bffb10,0xc8000073,0x40003fff,
    0x4000dff9,0xfeb88ab8,0xf70006ff,0xff800fff,0x320002ff,0x00003fff,
    0x000ffff2,0x800ffff7,0xfd02ffff,0xf9807fff,0xffff07ff,0x3ffe6001,
    0x3fffc807,0xffffd800,0xfffdcdff,0xf3006fff,0xd9bdffff,0x01ffffff,
    0x3bfffee0,0xfffffecc,0x401dffff,0x09912ffb,0xfeaaa980,0xabfff8af,
    0x7ffffec0,0xffffffff,0xfff904ff,0xfffdb9df,0x4000003f,0x5fcaeff8,
    0x3fffff66,0xfd702eff,0x1dffffff,0x67ffffdc,0xeffffffd,0x7fcc00bd,
    0xdccccccf,0x0002ffff,0xb3333000,0x13339fff,0x01ffb800,0x7ffffc40,
    0x002fffff,0x01bfffd0,0x17fff620,0xffb33100,0x8001339f,0xfffd9999,
    0x7400999c,0x1000dfff,0xf90bfffb,0x3333bfff,0xfff53333,0x5ffff10f,
    0x33333333,0x30ffff53,0x9fffb333,0xd1001333,0xffffffff,0x01bfffff,
    0x7ffffdc0,0xffffffff,0x3ffe2003,0xffffffff,0x4fffffff,0x7ffffcc0,
    0xffb001ff,0xfbffffff,0x2a3fffff,0xffffffff,0xffffffff,0xffff901f,
    0x07ffffff,0xff900000,0x7fecdfff,0x7fffffff,0xffffff88,0x3fe4ffff,
    0x65cc1fff,0x7fcc000a,0xffffffff,0x00004fff,0xfffffd80,0xffffffff,
    0xff5004ff,0xb8032e27,0xffffffff,0x7ecc005f,0x2effffff,0xfffffd70,
    0x75401dff,0xffffffff,0x6c02efff,0xffffffff,0x4fffffff,0x3fffff66,
    0xfd702eff,0x1dffffff,0x3ffffffe,0xffffffff,0x3fb27fff,0xffffffff,
    0xffffffff,0x3fff67ff,0xffffffff,0xb804ffff,0xffffffff,0x50003fff,
    0xffffffff,0x30005fff,0xffffffff,0xffffffff,0xfff7009f,0x7ec00bff,
    0xdfffffff,0x52ffffff,0xffffffff,0xffffffff,0x7ff5403f,0x002dffff,
    0xff910000,0x7ffec3df,0x07ffffff,0xffffffff,0x7fff49ff,0xf9800002,
    0xffffffff,0x00003fff,0xfffffa80,0xffffffff,0x8801ffff,0x2fffffff,
    0x3ffffe60,0xd8004fff,0xffffffff,0xffff887f,0x04ffffff,0x3ffffffe,
    0x6fffffff,0x3ffffea0,0xffffffff,0xffb1ffff,0xffffffff,0xffffff10,
    0x3fe9ffff,0xffffffff,0xffffffff,0xffffff37,0xffffffff,0xffffffff,
    0x3fffffea,0xffffffff,0xd9801fff,0xdfffffff,0x7ec40001,0x0dffffff,
    0x3ffa6000,0xe9cfffff,0x000cefff,0x80059b51,0xccccccb8,0x2ccccb89,
    0x7fffff5c,0xffffffff,0x5553003d,0x00000013,0x764404c0,0x2dffffff,
    0xfffffb50,0x76cc19df,0x91000001,0x99999999,0x00000135,0x3ffffea0,
    0xffffffff,0x5001ffff,0x00bfffff,0x5bfffd93,0x3fff6000,0x07ffffff,
    0xffffffff,0x7ff409ff,0xffffffff,0x3ea06fff,0xffffffff,0xffffffff,
    0xffffffb1,0x3fe0ffff,0xffffffff,0xfffffff4,0xffffffff,0x3fe2ffff,
    0xffffffff,0xffffffff,0xfff57fff,0xffffffff,0x03ffffff,0x00aca980,
    0x59530000,0xa8800003,0x00001acc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7ffff5c0,0xffffffff,0xda8003df,
    0x008000ac,0xffec8800,0x502dffff,0xdffffffb,0x7fed4019,0xffffffff,
    0x7f5c01df,0xffffffff,0x223dffff,0xffffffec,0xfffb502d,0x3e19dfff,
    0xffffffff,0xffffffff,0x3fff6e7f,0xffffffff,0xffffffff,0x3ffffae7,
    0xffffffff,0x000003df,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3fffae00,0x3effffff,0x33332a20,0x65440acc,
    0x00accccc,0x00000140,0x88171000,0xccccccca,0xcccccccc,0x80004ccc,
    0x04000000,0x80000000,0x088000ca,0x88000000,0x3000001b,0x000c9819,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00020000,0x00002000,
    0x00000000,0x3e0005c4,0xffffffff,0xff106fff,0xffffffff,0x7fffffc4,
    0x8800ffff,0x000007ff,0xf8bfb000,0xffffffff,0xffffffff,0x20007fff,
    0x000cffea,0x017fa200,0xa8030000,0xb3000fff,0x000039ff,0x017fea00,
    0x93fee000,0xf5004ffa,0x076cc019,0xa803fb00,0x1bd3004f,0x400f6c40,
    0x17e401ee,0x3fb6e600,0x2aaaa2ce,0x01fd801a,0x200027d4,0x000004fb,
    0x80005fb1,0x275c03ec,0x3fea0000,0x776d4005,0xdeeeeeee,0xfffff701,
    0x2a5fffff,0xffffffff,0xffa802ff,0x0000001f,0x3e66fe80,0xffffffff,
    0xffffffff,0x50007fff,0x00bfdbff,0x0fffd400,0xfd950000,0x7cc3bdff,
    0xf9802fff,0x0007fedf,0x2fffc800,0x7fdc0000,0x03fff51f,0x20bfff20,
    0x2001fffb,0x3ff405ff,0x83fffb80,0x4c03fffb,0xfe984fff,0xffb1005f,
    0x5dffffff,0x1fffffff,0x3a02ffc0,0xfd10006f,0x00003dff,0x06ffffd4,
    0x0dfff800,0x003ffec4,0x05fff900,0x22000000,0xffffffff,0x3fffe27f,
    0x00ffffff,0x003fffc8,0xff800000,0x7fffffc6,0xffffffff,0x07ffffff,
    0x7ec1fd00,0xff900001,0xb100007f,0xffffffff,0xfffff5bf,0x5c3f9001,
    0x1000002f,0x0005fffb,0x52fffb80,0x44007fff,0xe98cfffe,0x6c005fff,
    0xffd80cff,0x3fffa005,0x6fffd88d,0x3dfff900,0x003ffff2,0x3fffffea,
    0xffffffff,0x203fffff,0xffb04ffd,0xfff70009,0x0009ffff,0xfffffd88,
    0xfa8002ff,0xfff72fff,0xb100005f,0x00005fff,0xffb88000,0x440accff,
    0xbffffdca,0x7fff9000,0x80000000,0x65444ffb,0xcccdffff,0xffcccccc,
    0x5f88007f,0x800027cc,0x0003fffc,0x7fffffdc,0xffffffff,0xdf003fff,
    0x00005f88,0x01fffe88,0x7ffdc000,0x005fff52,0x3fffff20,0x98003fff,
    0xfdcdffff,0x5c000fff,0xffffffff,0x7ffd4003,0x00dfffff,0xffffff98,
    0xffffffff,0x01ffffff,0x337fffe6,0x000ffffd,0x277fffa2,0x000efffd,
    0xacffff98,0x8005fffe,0xffefffe9,0x880001ef,0x0001fffe,0x3fe00000,
    0xff3000ff,0xffc800ff,0xcca8803f,0x440acccc,0xccccccca,0x3e02fffe,
    0xf8800fff,0xfd0007ff,0x00001fc8,0x0007fff9,0x7fffffdc,0xffffffff,
    0x36005fff,0x000fea0f,0x03bff600,0xfff30000,0x00bffe23,0xffffd300,
    0x7d40001b,0xffffffff,0xffd30001,0x20003dff,0x2fffffd8,0x3ffffa00,
    0xffca99be,0x2cefffff,0xfffffa80,0x4001ffff,0x7d43fffd,0x7c4006ff,
    0x7fe41eff,0xff70003f,0x00007fff,0x80077fec,0xcccccca8,0xcccccccc,
    0xff04cccc,0x3e6001ff,0x7e4007ff,0x7fc404ff,0x7fffffff,0x3fffffe2,
    0x07ffffff,0x4007fffc,0x0007fff8,0x0dfb7df7,0x7ffe4000,0xfff30003,
    0x32637bff,0x0effffff,0x32ffe600,0x800000ff,0x000004fd,0x2ff83df1,
    0xff910000,0x32200005,0x00cefffe,0x03ffb800,0x1bff5000,0x7fffe400,
    0x3fffa604,0x644000ff,0x004efffe,0x2201dfd0,0x7c4006fd,0x13fa604f,
    0x1efe9800,0x27ec0000,0x3ffffe00,0xffffffff,0x7fffffff,0x001ffff0,
    0x801fffe6,0xbeffffea,0x7fffdc19,0x52ffffff,0xffffffff,0xf809ffff,
    0x41980fff,0x10006fff,0x003bfff9,0x1fffe400,0xffffe800,0x3fffe603,
    0x7dc000ff,0x00002eff,0x00000020,0x80000001,0x20000009,0x33000001,
    0x02880000,0x05ffff80,0x0fffff98,0x0000c000,0x00130018,0x00600110,
    0x00001400,0xff980010,0xffffffff,0xffffffff,0xffff07ff,0x3ffe6001,
    0xffffb807,0xefffffff,0xffffff10,0x7fc4ffff,0xffffffff,0xffff803f,
    0xf91ffe40,0xa880009f,0xfc800001,0xfc8003ff,0x3a202fff,0x03ffffff,
    0x00003500,0x00000000,0x00000000,0x00000000,0x00000000,0xffff3000,
    0x3fff2001,0x0000000f,0x00000000,0x00000000,0x00000000,0x3ffffffe,
    0xffffffff,0xf07fffff,0x26001fff,0x7e407fff,0xffffffff,0x2e22ffff,
    0x0accffff,0x7ffee544,0xff0009bf,0x5fff81ff,0x000000d4,0x3ff20000,
    0x7fc4003f,0x7fec04ff,0x007fffff,0xb9800000,0xc982ceec,0xa8801bde,
    0x5100aaaa,0x00155555,0x5e776dd4,0x55510009,0x2aa20155,0x9800aaaa,
    0x1bdefecc,0x2ea20033,0x20bdeeed,0x05fffa81,0x03fffe60,0x9ddb7500,
    0x2a200137,0x5100aaaa,0x00155555,0x3bbb6ea2,0x200060bd,0x0bdeedb8,
    0x36ea2000,0x060bdeee,0x3ffff2a2,0xcccccccd,0xf07fffcc,0x26001fff,
    0x3f207fff,0xffffffff,0xf84fffff,0xf3000fff,0xff000fff,0xff7557ff,
    0x551000ff,0x2a201555,0x300aaaaa,0xfd999999,0x99999dff,0xffff5037,
    0x7fffdc01,0x403ffffe,0xeeeedb98,0x7dc000bc,0xefffffff,0xffffff70,
    0x7ffff405,0xfffc81ff,0xa801ffff,0xfffffffe,0x7ff403ff,0xfc81ffff,
    0x01ffffff,0x3fffffa6,0x3fffffff,0x7ffffdc0,0xfedfffff,0x027ffe46,
    0x01ffff10,0x3ffffaa0,0x403fffff,0x1ffffffe,0xffffffc8,0xfffb801f,
    0xdfffffff,0xfd8806fe,0xffffffff,0x7fdc000d,0xffffffff,0x3fe06fed,
    0xff8800ff,0x1ffff07f,0x1fffe600,0x67ffffcc,0xffff7309,0x01ffff09,
    0x01fffe60,0x3fffffe0,0x007fffff,0x7ffffff4,0xfffffc81,0xfffe81ff,
    0xffffffff,0xffffffff,0x01fffdc5,0xb1fffff3,0x36609fff,0xffffffff,
    0x8800cfff,0xffffffff,0xffffdfff,0xf983ffff,0x81ffffff,0xffffffff,
    0x3fff6201,0xffffffff,0xfff982ef,0xff81ffff,0x01ffffff,0xfffffff9,
    0xdfffffff,0x3ffffa20,0xffffffff,0x3fee1fff,0x3fe2004f,0x7ec400ff,
    0xffffffff,0xf982efff,0x81ffffff,0xffffffff,0x3fffa201,0xffffffff,
    0x2e01ffff,0xffffffff,0x802fffff,0xffffffe8,0xffffffff,0x1ffff01f,
    0x0ffff100,0x4003fffe,0xfb07fff9,0x7ec03fff,0xffff83ff,0xffff3000,
    0xfffff000,0x0fffffff,0x7ffffcc0,0xffff81ff,0x7cc1ffff,0xffffffff,
    0xffffffff,0x3f60ffff,0xfff102ff,0x3fff23ff,0xffffff05,0xffffffff,
    0xffff300b,0xffffffff,0xffffffff,0xffff885f,0xffe81fff,0x101fffff,
    0xfffffffd,0xffffffff,0xfffff883,0xfffe81ff,0xfa81ffff,0xffffffff,
    0x87ffffff,0xfffffff8,0xffffffff,0x3ffea3ff,0x3ffea006,0x3ffa200f,
    0xffffffff,0x441fffff,0x1fffffff,0xffffffe8,0xffff101f,0xffffffff,
    0x207fffff,0xfffffffb,0xffffffff,0x3fffe203,0xffffffff,0xf03fffff,
    0x83301fff,0xfff06fff,0x3fe6001f,0xffff887f,0x0fffcc02,0x8007fffc,
    0x8007fff9,0xffffffff,0x22007fff,0x1fffffff,0xffffffe8,0xffffe81f,
    0xffffffff,0x6fffffff,0xe80ffff4,0x3ea3ffff,0xffff06ff,0xffffffff,
    0xfb009fff,0xffb359df,0xf95fffff,0xb730dfff,0x7103ffff,0x03ffffdb,
    0x3bfffff6,0xfffdb9ac,0xfdb986ff,0xdb881fff,0xe81ffffe,0x9aceffff,
    0x7ffffeba,0xcfffffd8,0xfffeca9b,0x3fe23fff,0xffb001ff,0x7fec01ff,
    0xb9acefff,0x86fffffd,0x1ffffdb9,0xfffedb88,0xffffb01f,0xfd95379f,
    0x307fffff,0x59dfffff,0xffffd953,0x3fff603f,0xeca9bcff,0x03ffffff,
    0xfc81ffff,0x413ff23f,0x3000ffff,0xff50ffff,0x0fae00df,0x8007fffc,
    0x8007fff9,0xeeeeffff,0x4c007fff,0x81ffffdb,0xffffedb8,0xcccca881,
    0xcefffecc,0x20accccc,0xf907fff8,0xff88bfff,0xdfff707f,0xfd733579,
    0x80200fff,0x20fffffe,0x202ffffa,0xe801fffe,0xffb81fff,0x7f400fff,
    0x3fa03fff,0xffe801ff,0x1ffff81f,0x237ffcc0,0x00dffffb,0x21ffffe4,
    0x400effff,0x00fffffb,0x01fffff7,0x03ffffe8,0x2007fffa,0xfb81fffe,
    0x6400dfff,0xff83ffff,0x7e403fff,0xffb87fff,0x7e400dff,0xfff03fff,
    0x45fff81f,0x3fffe01a,0xffff3000,0x00bfff70,0x03fffe00,0x03fffcc0,
    0x207fffc0,0x00086fff,0xd003fffd,0x90003fff,0xf8007fff,0x7fd40fff,
    0xfff886ff,0x26002207,0x0000ffff,0x41ffffe4,0x3a06fffe,0xfe801fff,
    0xffff81ff,0xffe8801f,0xfffd00ff,0x3fffd003,0x01bffff0,0x7fc2efa8,
    0x3fa006ff,0x7ffd42ff,0xffd882ef,0xff00ffff,0xd1003fff,0x3a01ffff,
    0xfe801fff,0xffff81ff,0x3fffa006,0x17fffcc2,0x1ffffa80,0x0037fffc,
    0x3e05fffd,0xfbaabfff,0x7fc007ff,0xff3000ff,0xbfff70df,0x3ffe0000,
    0xfff3000f,0xffff000f,0x5c5ffe81,0x7ff401ef,0xfffe801f,0xfffc8001,
    0x7fff4003,0x3ffffe61,0x05fffa80,0x5fffd000,0xffb95100,0x33fffffd,
    0xffff7333,0x07fffa01,0x107fffa0,0x3337ffff,0x33333333,0x3a05ffff,
    0xfe801fff,0xfffd81ff,0x09acdfff,0x07fffc40,0x01fff500,0xbdfffffb,
    0xffffffb9,0xfff101ff,0x3333337f,0xfff33333,0x3fffa05f,0x1fffe801,
    0x007fffc4,0xb81fff50,0x6c005fff,0x3fe23fff,0x3ea000ff,0xffff00ff,
    0xffffffff,0x2fffd800,0x0bfff500,0x000dfff3,0x003fffe0,0x003fffcc,
    0x2207fffc,0x04ffe83c,0x400ffff4,0x8001fffe,0x4003fffc,0xfd12fffd,
    0x3ee05fff,0xecb804ff,0xffeeffff,0x7fdc02ff,0xffffffff,0xffffffff,
    0xfd01ffff,0xffd003ff,0xffffa83f,0xffffffff,0xffffffff,0x03fffd04,
    0x303fffd0,0xffffffff,0x2a07dfff,0xb8005fff,0xfffd102d,0xffffffff,
    0x501fffff,0xffffffff,0xffffffff,0x3a09ffff,0xfe801fff,0x7ffd41ff,
    0x82db8005,0x4001fffd,0x3ea5fff9,0xdb8005ff,0x3ffffe02,0x07ffffff,
    0x027ffe40,0x883fffd8,0x1003ffff,0x007fffc0,0x007fff98,0x000ffff8,
    0xe80dfff1,0xfe801fff,0xfc8001ff,0x7e4003ff,0xffffb6ff,0x17fff409,
    0xfffffd50,0xffffffff,0x3fffa605,0xffffffff,0xffffffff,0xfd02ffff,
    0xffd003ff,0xffffc83f,0xffffffff,0xffffffff,0x03fffd05,0x203fffd0,
    0xffffffea,0x41efffff,0x0004fffb,0xffffb100,0xffffffff,0xff901fff,
    0xffffffff,0xffffffff,0x3ffa0bff,0xfffe801f,0x027ffdc1,0xffff1000,
    0x9fffe000,0x0004fffb,0xffffff00,0x00ffffff,0x02ffffa8,0x817fffd4,
    0x202ffffd,0xff80efea,0xff3000ff,0xfff000ff,0x3fe6001f,0x7fff407f,
    0x1fffe801,0x3fffc800,0x7fffcc00,0x205ffffd,0xb01ffffa,0xffffffff,
    0x5fffffff,0xffffff10,0xffffffff,0xffffffff,0x3fa05fff,0xffe801ff,
    0x7fffe41f,0xffffffff,0xffffffff,0x03fffd06,0x803fffd0,0xffffffda,
    0x323fffff,0x00003fff,0x7ffffd40,0xfff8cfff,0xffffc80f,0xffffffff,
    0xffffffff,0x03fffd06,0xc83fffd0,0x00003fff,0x001fffe2,0xfc87fffc,
    0x000003ff,0xddddffff,0xd000ffff,0x2e07ffff,0x2606ffff,0x9bdfffff,
    0x4ffffeba,0x000ffff8,0x800ffff3,0x99affff8,0xa9999999,0x7f407fff,
    0xffe801ff,0xffc8001f,0xffd8003f,0x00efffff,0x20dffff1,0xfffffffd,
    0xffffffff,0xffffb82f,0xfda99ace,0xffffffff,0xd02fffff,0xfd003fff,
    0xfffa83ff,0xffffffff,0xffffffff,0x3fffd06f,0x03fffd00,0x7f65d440,
    0xf50fffff,0x00000bff,0x26b2e620,0x203fffe0,0xfffffffa,0xffffffff,
    0xd06fffff,0xfd003fff,0xfffa83ff,0x7f400005,0x7cc001ff,0x3ffea6ff,
    0xff000005,0x6fff81ff,0x7ffcc008,0xfedcdeff,0x6401ffff,0xffffffff,
    0x82ffffff,0x3000ffff,0x3200dfff,0xfffffffe,0xffffffff,0x7407ffff,
    0xfe801fff,0xfc8001ff,0xf98003ff,0x01ffffff,0x01ffffd1,0x5bfffff7,
    0xff753313,0xfffb05ff,0x3fff201d,0x7f40000f,0xffe801ff,0x7fffc41f,
    0xfd000002,0xffd003ff,0x02ed883f,0x27ffff50,0x0006fff9,0xff300000,
    0x3ffe20ff,0xd000002f,0xfd003fff,0xfff983ff,0x7e400006,0x7ec005ff,
    0x3ffe64ff,0xff000006,0x5ffe81ff,0xf700f7dc,0xffffffff,0x2007ffff,
    0xfffffffc,0xb06fffff,0x2a005fff,0xf9805fff,0xffffffff,0xffffffff,
    0x7407ffff,0xfe801fff,0xfa8001ff,0xfb0001ff,0x501bffff,0x207fffff,
    0x801ffffd,0xfc82fffe,0x3ff604ff,0x740003ff,0x7dc02fff,0xfff81fff,
    0x800001ff,0x5c02fffe,0x7e41ffff,0xff7000ff,0x27fffcdf,0x0016d400,
    0x05fffc80,0x007ffffe,0x3fffa000,0x7fffdc02,0x04ffff81,0x7cc2da80,
    0xf9003fff,0xfff83fff,0x2da8004f,0x881ffff0,0x04ffe83c,0x7fffffd4,
    0x002fffff,0x7fffff54,0x3203ffff,0xf9004fff,0xff1007ff,0xffffffff,
    0xffffffff,0xfe80ffff,0x7fdc02ff,0xf88001ff,0x3f60006f,0xceffffff,
    0x5ffffffd,0x00bfffe0,0x20bfffea,0x441ffffa,0x0ffffffe,0xb01f6dc4,
    0x3ee0bfff,0xa81fffff,0x802fffff,0xb00ceca9,0x3ee0bfff,0x741fffff,
    0x4c02ffff,0x3f65fffe,0x9801dfff,0x0001fffe,0x01ffffd4,0x05fffff5,
    0x019d9530,0x5c17fff6,0x81ffffff,0x01dffffd,0x41fffe98,0x00dfffff,
    0x0fffffb1,0x03bffffb,0x03fffd30,0x2001ffff,0x9806fff8,0xfffffffc,
    0x3a60000c,0x802cefff,0x402ffffa,0x002ffffb,0xffffffb7,0xffffffff,
    0x80ffffff,0xf705fffd,0x003fffff,0xf70000c0,0xffffffff,0xdfffffff,
    0x3fffe201,0x3fffaa03,0xffff03ff,0xffffb9df,0xd99fffff,0x201fffff,
    0xcceffffb,0xfffffffe,0x7fe41dff,0xcbcdffff,0xffffffec,0xdffff704,
    0xfffffd99,0x3e3bffff,0xcdefffff,0xffffeccb,0x3fffa23f,0xccbcdeff,
    0x3ffffffe,0x555554c0,0x1ffffffc,0x7ffffe40,0xfeccbcdf,0x704fffff,
    0xd99dffff,0xffffffff,0x7ff443bf,0xcbcdefff,0xffffffec,0x7ffffd43,
    0xffecccef,0xe882ffff,0xcdefffff,0xffffeccb,0xffff83ff,0xffff3000,
    0x67ff4400,0x3f200001,0x3a2003ff,0xf703ffff,0x0000dfff,0x067fd400,
    0x77fffdc0,0xfffffecc,0x441dffff,0x99999999,0x99999999,0xfffff301,
    0xffffffff,0xfd007fff,0xd97bffff,0xffffffff,0x7fd41bff,0xffffffff,
    0xffffffff,0x01ffffff,0xfffffff1,0xffffffff,0xffd09fff,0xffffffff,
    0xbfffffff,0x3ffffe20,0xffffffff,0xfd4fffff,0xffffffff,0xdfffffff,
    0xffffff10,0xffffffff,0x7401ffff,0xffffffff,0xd002ffff,0xffffffff,
    0xffffffff,0x3ffe20bf,0xffffffff,0x4fffffff,0x7fffffc4,0xffffffff,
    0xfb80ffff,0xffffffff,0x03ffffff,0x3fffffe2,0xffffffff,0x7c40ffff,
    0x9999afff,0xffa99999,0x37f4007f,0x7fe40000,0x7fcc003f,0xfdcdefff,
    0x000fffff,0x1ff60000,0xfffff880,0xffffffff,0x324fffff,0xffffffff,
    0xffffffff,0x7ff43fff,0xfffd9aff,0x000dffff,0xfffffff3,0xffffffff,
    0xa89fffff,0xffffffff,0xffffffff,0x05ffffff,0x7fffffcc,0xffffffff,
    0xff904fff,0xffffffff,0x03ffffff,0x7fffffcc,0xffffffff,0xfff94fff,
    0xffffffff,0x201bffff,0xfffffff9,0xffffffff,0x3ffe600e,0xffffffff,
    0x7fe4002f,0xffffffff,0x01ffffff,0x3fffffe6,0xffffffff,0xff984fff,
    0xffffffff,0x00efffff,0x3fffffea,0x1effffff,0xfffff980,0xffffffff,
    0x3fb20eff,0xffffffff,0xffffffff,0x7ec007ff,0x0005b30f,0x003fffc8,
    0xffffffb8,0x3fffffff,0x5c000000,0x01feabff,0x3fffffe6,0xffffffff,
    0xfff14fff,0xffffffff,0xffffffff,0x3ffea1ff,0x565d443f,0xfff70001,
    0xffffffff,0xffffffff,0xffffd509,0xd79f97ff,0x39ffffff,0x3fffa600,
    0xfe9cffff,0x2200ceff,0xfffffffd,0x002dffff,0xffffffd3,0xdfffd39f,
    0x373f6219,0xffffffff,0xfd5001df,0xffffffff,0x3fe005bf,0xffffffff,
    0xfb10002d,0xffffffff,0x26005bff,0xfffffffe,0xcefffe9c,0x3fffaa00,
    0xdfffffff,0xffb71002,0x17bfffff,0xfffea800,0xdfffffff,0x7ffffcc2,
    0xffffffff,0xffffffff,0x7ffdc007,0x40007fff,0x0001fffa,0xfffffff5,
    0x0005ffff,0xfff10000,0xe9807fff,0xcfffffff,0x0cefffe9,0xfffffff1,
    0xffffffff,0x4cffffff,0x00005fff,0xffffe980,0xfe9cffff,0x200cefff,
    0x4c02bca8,0x20001bcb,0x001acca8,0x332a6200,0x00009aac,0x006b32a2,
    0x332ea200,0x300009ac,0x35799955,0xccb88001,0x0001cccc,0x3332a620,
    0x200009aa,0x001acca8,0x332aa600,0x00009abc,0x0005e5cc,0xcccaa980,
    0xff1009ab,0xffffffff,0xffffffff,0xb000ffff,0x005fffff,0x006fe880,
    0x7fffec40,0x0000dfff,0x3faa0000,0x2a2005ff,0xb8001acc,0xffffffff,
    0xffffffff,0x2f5c2fff,0x26000000,0x002accca,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7ffffedc,0xffffffff,0x07ffffff,0x037b7100,0x0000c000,
    0x006b2a60,0x10000000,0x00000005,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00040000,0x003a8000,0x00000000,0x02000000,0x02b88000,0x0ea00000,
    0x03a80000,0x00000000,0x00000010,0x0e440000,0x54000000,0x0c980003,
    0x44000000,0xa800002b,0x0000ba83,0xb8800002,0xaa880002,0x54400aaa,
    0x0000aaaa,0x40000008,0x03000019,0x000ff200,0x1ffd8800,0x803fb000,
    0x7d4004fa,0x000fe804,0x00007f90,0x00017fea,0x03ffb100,0xffd88000,
    0x019f5001,0x000076cc,0x400027dc,0x1fdc02ed,0x027fe400,0xfd880000,
    0x7f40001f,0x0000002f,0x0000ffd3,0x3f22ffd8,0x7f90002f,0x3fea0000,
    0x3ff20005,0xb04fffff,0x9fffffff,0x01fe4000,0x7ff44000,0x3ff20005,
    0xffd3003e,0x800001df,0x0006ffe9,0xdfd017fe,0x00ffc800,0x30007fee,
    0x001dfffd,0x0efff880,0xfe980000,0x4400006f,0x32006ffe,0xffc82eff,
    0x3a20001f,0x0001efff,0x981bfff1,0x98006ffe,0x0000dfff,0x1bffa200,
    0x3ffea000,0x54000003,0x00004fff,0xffc9bff6,0x7f4c000f,0x40000eff,
    0x000effe8,0xfffffff8,0x7ffc40ff,0x007fffff,0x0efffe98,0x3fee0000,
    0xfa8001ff,0x6400ffff,0x3fffffff,0xfff50000,0x7ec0001d,0x09ffb04f,
    0x80effa80,0x64007ffa,0x3fffffff,0x7ff44000,0x2a00001f,0x0000efff,
    0x03bffea0,0x4fffe880,0x009fffd3,0x7ffffdc0,0xf70004ff,0x3fee5fff,
    0xf30001ff,0x00001dff,0x01dfff50,0x3ffee000,0xf7000005,0x400009ff,
    0xff90effd,0xffc8003f,0x003fffff,0x0ffff440,0x3ffffa00,0xfff06fff,
    0x00dfffff,0xffffffc8,0xf900003f,0x90005fff,0x205fffff,0xe9dfffe8,
    0x0000efff,0x0017ffee,0x37fffe60,0x00ffffdc,0xcefffe80,0x003ffffd,
    0xb3bfffd1,0x0001dfff,0x017ffec4,0x2fffdc00,0x3fee0000,0xf910005f,
    0x5fffffff,0x3ff62000,0xefffd9ef,0xffe98001,0x00dfffef,0x7fff4400,
    0x3ee00001,0x800005ff,0x000efff9,0x0ffff600,0xeffd8000,0x003fffb0,
    0x4effff44,0x000efffe,0x017ffec0,0xdffff910,0x3fee6017,0x1000bfff,
    0xfd3bfffd,0x80001dff,0x0006fff9,0x01fffff3,0xf70bfffa,0x26000bff,
    0x00003fff,0x3fffffea,0x10001fff,0xfffffffd,0x7ff4009f,0x2fffdc2f,
    0x7ffe4000,0x3fe60000,0x4c00003f,0x80003fff,0x0dfffffa,0x3fff6000,
    0x037ffd43,0xfffff900,0xfd800007,0xf300006f,0x000007ff,0x002fff44,
    0x01fffb80,0x3bfee000,0x003fff50,0x5c2fffe8,0x80005fff,0x4000fffb,
    0x8806fffd,0x4004ffff,0x7dc2fffe,0x980005ff,0x320000bc,0x3fe02eff,
    0x0dfd100d,0x007be600,0x3fb22000,0x00004eff,0x3bffffd5,0x00dfe800,
    0x0000dfd1,0x80003fea,0x00001ef9,0x0002ff98,0x00bff620,0x407bf600,
    0x40007fd8,0x0000dfe9,0x000df700,0x000bfe60,0x027e4000,0x00efb800,
    0x06fd4000,0xf0001df3,0x3fa201bf,0xff500006,0xfff88001,0x7ffe403f,
    0x6ffc000f,0x00dfd100,0x10000000,0x06003100,0x00001000,0x00000c00,
    0x88000220,0x00003001,0x00200000,0x00010000,0x00005400,0x00260030,
    0x0000a200,0x00000200,0x00000001,0x00800001,0x04020000,0x20031000,
    0x00000001,0x81bfff20,0x004ffff8,0x00300188,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ffe2000,0xffff903f,0x00000001,0x76dd4400,0x0060bdee,0xedb88000,
    0x80000bde,0x0bdeedb8,0xedb88000,0x10000bde,0x9ddddb73,0x32600017,
    0x31bdefec,0xedb88003,0x10000bde,0x9ddddb73,0x32600017,0x31bdefec,
    0x2aaaa203,0x5555100a,0x73100155,0x179ddddb,0x36e62000,0x00bceeee,
    0x776dd400,0x510009bc,0x22015555,0x00aaaaaa,0x01555551,0x2aaaaaa2,
    0x3b6ea000,0x00009bce,0x5ef76dc4,0x6dd40000,0x0009bcee,0xeeedb988,
    0x90000bce,0xff10ffff,0x551009ff,0x22001555,0xb802aaaa,0xffffffff,
    0x006fedff,0x3fff6200,0x0dffffff,0x7ffec400,0x0dffffff,0x7ffec400,
    0x0dffffff,0xffffb300,0x9fffffff,0x3ffa6001,0xffffffff,0x7ec403ff,
    0xffffffff,0xffb3000d,0xffffffff,0x3a60019f,0xffffffff,0x7f43ffff,
    0xc81fffff,0x1fffffff,0x3ffff660,0xcfffffff,0xfffb3000,0xffffffff,
    0xfea80019,0xffffffff,0x7ffff403,0xfffc81ff,0xfe81ffff,0xc81fffff,
    0x1fffffff,0xffffea80,0x003fffff,0x7ffffec4,0x000dffff,0x7fffff54,
    0x3003ffff,0xfffffffb,0x0019ffff,0x43ffff88,0x400ffffc,0xfffffffb,
    0x7ffff405,0xfe882fff,0xffffffff,0x01ffffff,0xffffb800,0xffffffff,
    0xfff7002f,0xffffffff,0x3ee005ff,0xffffffff,0xf802ffff,0xffffffff,
    0x805fffff,0xfffffffc,0x6fffffff,0x3ffffee0,0xffffffff,0xfffff802,
    0xffffffff,0xfffc805f,0xffffffff,0x3fe66fff,0xf81fffff,0x1fffffff,
    0x3fffffe0,0xffffffff,0xfffff005,0xffffffff,0x3f6200bf,0xffffffff,
    0xf982efff,0x81ffffff,0xffffffff,0x7ffffcc1,0xffff81ff,0x2201ffff,
    0xfffffffd,0x02efffff,0xffffffb8,0x2fffffff,0xffffd880,0xffffffff,
    0x7fffc02e,0xffffffff,0xfc8005ff,0xfff10fff,0xffff009f,0x203fffff,
    0xfffffffa,0x7fffc46f,0xffffffff,0x003fffff,0x7ffffdc0,0xffffffff,
    0x7fdc03ff,0xffffffff,0x403fffff,0xfffffffb,0xffffffff,0x7ffffc03,
    0xffffffff,0x3fea04ff,0xffffffff,0x707fffff,0xffffffff,0x7fffffff,
    0xffffff80,0xffffffff,0x3ffea04f,0xffffffff,0x3e27ffff,0x81ffffff,
    0xfffffffe,0x3ffffe01,0xffffffff,0xfff804ff,0xffffffff,0x4404ffff,
    0xfffffffe,0xffffffff,0x7ffffc41,0xfffe81ff,0x7c41ffff,0x81ffffff,
    0xfffffffe,0xffffd101,0xffffffff,0x7dc03fff,0xffffffff,0x03ffffff,
    0x3fffffa2,0xffffffff,0x3ffe01ff,0xffffffff,0x4004ffff,0xf93ffff8,
    0xfb001fff,0x0fffffff,0x7fffffc4,0x7ffec4ff,0xeca9bcff,0x03ffffff,
    0x3fffe600,0xeca9acef,0x301fffff,0x59dfffff,0xffffd953,0x3ffe603f,
    0xca9aceff,0x01fffffe,0x2f3bffee,0xfffeb99a,0x3ffffa07,0xfeba9ace,
    0xff987fff,0xa9acefff,0x1fffffec,0x33bffee0,0xffeb99ab,0x3fffa07f,
    0xeba9acef,0x5cc7ffff,0x881ffffd,0x1ffffedb,0x33bffee0,0xffeb99ab,
    0xfffb807f,0xeb99abce,0x7ec07fff,0x9aceffff,0x6fffffdb,0xffffdb98,
    0xffedb881,0xfdb981ff,0xdb881fff,0xb01ffffe,0x59dfffff,0xfffffb73,
    0x3fffe60d,0xeca9acef,0xb01fffff,0x59dfffff,0xfffffb73,0x77ffdc0d,
    0xfeb99abc,0xfc8007ff,0xffff9fff,0xfff71004,0x2aa237df,0xfffd930a,
    0x7ffdc17f,0x7fe400df,0xfff883ff,0x7fffc0ff,0x7ffe403f,0xfffff07f,
    0xffffc807,0x7fffff07,0x7ffffc80,0x7cc00440,0xfff00fff,0xfff9803f,
    0x3fffff86,0x3ffffe40,0x3e600220,0xfff00fff,0xfff9803f,0x07fffa06,
    0x007fffa0,0xfff30011,0x0011001f,0x201ffff3,0x00fffffb,0x01fffff4,
    0xd003fffd,0xfe803fff,0xffe801ff,0xffffb81f,0x7fff400f,0xfffff83f,
    0x7fffe403,0xfffffb87,0x7ffff400,0x26002203,0x4000ffff,0xfffffff8,
    0x7e4000ff,0x7ffec4ff,0x427ffe44,0x2006ffff,0xfa82fffe,0x7fcc2fff,
    0xff5002ff,0xfff983ff,0xfff5002f,0xffff983f,0xffff5002,0x3fa00003,
    0xffff02ff,0x2efa801b,0x017fffcc,0x01ffffa8,0x5fffd000,0x037fffe0,
    0x7405df50,0xfe801fff,0x200001ff,0x0002fffe,0x817fff40,0x801fffff,
    0x00ffffe8,0xd003fffd,0xfe803fff,0xffe801ff,0xfffff81f,0xfffe8801,
    0x3fffe60f,0xffff5002,0x1fffff83,0xffffe880,0xffe80000,0xffc8002f,
    0x004fffff,0x226fffa8,0x7f47ffff,0x7ffc42ff,0x3fea000f,0x5fffd80f,
    0x005fffb8,0x2e1fffec,0x6c005fff,0x7fdc3fff,0x7fec005f,0xfecb803f,
    0xfffeefff,0xffffb02f,0x01359bff,0x00bfff70,0x803fffd8,0xeffffecb,
    0xb02ffffe,0x9bffffff,0xfe800135,0xffe801ff,0xfd97001f,0xfffddfff,
    0x765c005f,0xffeeffff,0xfff882ff,0x999999bf,0xfff99999,0x3fffd02f,
    0x03fffd00,0x801fffe8,0x7c41fffe,0x9999bfff,0xf9999999,0x3fee2fff,
    0x7fec005f,0x3fffe23f,0x9999999b,0xffff9999,0x7ff65c02,0xffffeeff,
    0xfff88002,0x8000ffff,0xf70ffff8,0x3e25ffff,0x7fd40fff,0x2db8005f,
    0xb03ffff0,0x98003fff,0x7fec5fff,0x7fcc001f,0x0fffec5f,0x17ffe600,
    0xfffffea8,0xffffffff,0xfffff302,0x7dffffff,0x00fffec0,0x817ffe60,
    0xffffffea,0x2fffffff,0xffffff30,0x07dfffff,0x007fffa0,0x5007fffa,
    0xfffffffd,0x05ffffff,0xfffffd50,0xffffffff,0xfffff505,0xffffffff,
    0x9fffffff,0x007fffa0,0xd007fffa,0xfd003fff,0xfffa83ff,0xffffffff,
    0xffffffff,0x07fff64f,0x4bfff300,0xfffffffa,0xffffffff,0x504fffff,
    0xfffffffd,0x05ffffff,0x3ffff200,0x3fa0004f,0xffffd2ff,0x1bffeabf,
    0x0013ffee,0x09fff500,0x000ffff1,0xff89fffe,0xfff0007f,0x03fffc4f,
    0xb07fff80,0xffffffff,0x5fffffff,0x7ffff540,0xefffffff,0x03fffc41,
    0xb07fff80,0xffffffff,0x5fffffff,0x7ffff540,0xefffffff,0x0ffff401,
    0x00ffff40,0xfffffffb,0xffffffff,0xffffd805,0xffffffff,0xffc82fff,
    0xffffffff,0xffffffff,0xfffd05ff,0x3fffd003,0x01fffe80,0x641fffe8,
    0xffffffff,0xffffffff,0xff15ffff,0x3fe000ff,0x3ffff27f,0xffffffff,
    0xffffffff,0xfffffd85,0xffffffff,0xf10002ff,0x0001ffff,0x7ce7ffe4,
    0xc8ffffff,0xffc84fff,0x6400003f,0xfff106ff,0x3ffe000f,0x0ffff10f,
    0x43fffe00,0x0007fff8,0xfd81ffff,0xffffffff,0x2fffffff,0xffffda80,
    0x3fffffff,0x001fffe2,0x3607fffc,0xffffffff,0xffffffff,0xfffda802,
    0xffffffff,0x07fffa03,0x407fffa0,0xfffffffd,0xffffffff,0x3fff602f,
    0xffffffff,0xc82fffff,0xffffffff,0xffffffff,0xfd06ffff,0xffd003ff,
    0xfffe803f,0x1fffe801,0x7fffffe4,0xffffffff,0x16ffffff,0x2000ffff,
    0xff90ffff,0xffffffff,0xffffffff,0xfffd8dff,0xffffffff,0x002fffff,
    0x09ffff30,0xefffa800,0xfffffffc,0xa82fffeb,0x00005fff,0xfd017ffc,
    0xf98003ff,0x7fff46ff,0x7ffcc001,0x00ffff46,0x71bffe60,0x35bfffff,
    0xfff75331,0xba88005f,0xffffffec,0x007fffa0,0xb8dfff30,0x9adfffff,
    0xfffba998,0x5d44002f,0xffffffec,0x03fffd00,0x703fffd0,0x35bfffff,
    0xfff75331,0x3ffee05f,0x9989adff,0x82ffffba,0xfffffffa,0xffffffff,
    0xd06fffff,0xfd003fff,0xffe803ff,0xfffe801f,0x7ffffd41,0xffffffff,
    0x6fffffff,0x0007fffa,0x7d4dfff3,0xffffffff,0xffffffff,0x3fee6fff,
    0x989adfff,0x2ffffba9,0xffffb000,0xff880001,0xfeffffff,0x0fffffff,
    0x006fff98,0x017fe600,0x800bfff9,0x7e44fffd,0x7ec005ff,0x7ffe44ff,
    0x7ffec005,0x0ffffec4,0x417fff40,0xf5002ed8,0x7fe47fff,0x7fec005f,
    0x7fffec4f,0x2fffe801,0x5002ed88,0x3a07ffff,0xfe801fff,0xfffd81ff,
    0xfffe801f,0x3ffffb02,0x05fffd00,0x005ffff1,0x3fffa000,0x1fffe801,
    0x00ffff40,0x220ffff4,0x0002ffff,0x017fff20,0x449fffb0,0x0002ffff,
    0x07ffff60,0x00bfffa0,0x13fffe60,0x7fff4000,0xfff8ffff,0x3e07ffff,
    0xa8004fff,0x003ff22d,0x007ffff3,0x307ffff2,0x2007ffff,0x4c1ffffc,
    0x9003ffff,0xff83ffff,0xffa802ff,0xfffc82ff,0xdfff7000,0x01ffffcc,
    0x41ffffc8,0xa802ffff,0xfc82ffff,0xff7000ff,0x3fffa0df,0x7fffdc02,
    0x02ffff81,0x02ffffa8,0x5005ffff,0x3e05ffff,0x0001ffff,0x02fffe80,
    0x00ffffdc,0x700bfffa,0xff03ffff,0x00003fff,0x00ffffe6,0x20ffffe4,
    0x001fffff,0x05ffff00,0x05ffff50,0x1ffffb00,0x3ff20000,0xff94ffff,
    0x6c0bffff,0x801dffff,0xfb1fffe9,0x3fffe005,0xffb100df,0x3ffe0fff,
    0xfb100dff,0x3fe0ffff,0xb100dfff,0xf88fffff,0x3aa03fff,0xe83fffff,
    0x4c02ffff,0x7fc5fffe,0xb100dfff,0xf88fffff,0x3aa03fff,0xe83fffff,
    0x4c02ffff,0xfb05fffe,0x3fee0bff,0x7c41ffff,0x3aa03fff,0x883fffff,
    0x2a03ffff,0x03fffffe,0x05fffff5,0x019d9530,0x5c17fff6,0x01ffffff,
    0xb82fffec,0x81ffffff,0x02fffffa,0x40ceca98,0x00dfffff,0x0fffffb1,
    0x05fffff5,0x219d9530,0x203ffff8,0x3fffffea,0x2eaaaa20,0x00adffff,
    0xffffa800,0xffff31ff,0x7f4407ff,0xbcdeffff,0xfffffecc,0x5400313f,
    0xceffffff,0xfffffecc,0xffff502f,0xfd999dff,0x205fffff,0xeffffffa,
    0xffffeccc,0xfffe82ff,0xffecbdff,0xffffffff,0xffffff0d,0xfd9979bd,
    0xfa87ffff,0xccefffff,0xffffffec,0xfffffe82,0xffffecbd,0x0dffffff,
    0xbdffffff,0xfffd9979,0x3fee07ff,0xffecceff,0xdfffffff,0x3fffffa1,
    0xffffecbd,0x0dffffff,0x37fffffa,0xfffffecb,0x40dfffff,0xdffffffc,
    0xfffeccbc,0xff704fff,0xffd99dff,0xbfffffff,0x3fffee03,0xffffecce,
    0x41dfffff,0xdffffffc,0xfffeccbc,0x7fd44fff,0xccceffff,0x2ffffffe,
    0xffffff90,0xffd9979b,0x7f49ffff,0xecbdffff,0xffffffff,0x3ff20dff,
    0xffffffff,0x880006ff,0x746fffff,0x401fffff,0xfffffff8,0xffffffff,
    0x20000fff,0xfffffffb,0xffffffff,0x7fffdc03,0xffffffff,0x7dc03fff,
    0xffffffff,0x03ffffff,0xfffffff3,0xffffffff,0x3a9fffff,0xffffffff,
    0xffffffff,0xfffff706,0xffffffff,0x3fe607ff,0xffffffff,0xffffffff,
    0xffffd4ff,0xffffffff,0x440dffff,0xffffffff,0xffffffff,0x3ffe64ff,
    0xffffffff,0xffffffff,0x3fffe64f,0xffffffff,0xffffffff,0xfffffe84,
    0xffffffff,0xf105ffff,0xffffffff,0xffffffff,0x3ffe209f,0xffffffff,
    0x4fffffff,0xffffffe8,0xffffffff,0xffb85fff,0xffffffff,0x403fffff,
    0xfffffffe,0xffffffff,0x3ffe65ff,0xffffffff,0xffffffff,0x3ffffe4f,
    0xffffffff,0xff80002f,0x7fdc4fff,0xff3007ff,0xffffffff,0x01dfffff,
    0xffff5000,0xffffffff,0x3fea003d,0xffffffff,0xf5001eff,0xffffffff,
    0xb803dfff,0xffffffff,0xffffffff,0xfff94fff,0xffffffff,0x401bffff,
    0xfffffffa,0x01efffff,0x7fffffdc,0xffffffff,0xf94fffff,0xffffffff,
    0x1bffffff,0xfffff980,0xffffffff,0x7dc4ffff,0xffffffff,0xffffffff,
    0x7ffdc4ff,0xffffffff,0xffffffff,0xfffff904,0xffffffff,0x7cc03fff,
    0xffffffff,0xffffffff,0x3fffe604,0xffffffff,0x904fffff,0xffffffff,
    0xffffffff,0x3fffea03,0xffffffff,0xfff9001e,0xffffffff,0xb83fffff,
    0xffffffff,0xffffffff,0x3ff64fff,0xffffffff,0x80000fff,0x441ffffd,
    0x4005ffff,0xffffffea,0x002dffff,0x7fedc400,0x0bdfffff,0x7fedc400,
    0x0bdfffff,0x7fedc400,0x0bdfffff,0xffffd300,0xfd39ffff,0x2219dfff,
    0xffffdcfd,0x01dfffff,0xffffb710,0x0017bfff,0x3fffffa6,0xffe9cfff,
    0xfb10ceff,0xffffffb9,0x4003bfff,0xffffffe9,0xefffe9cf,0xfffe980c,
    0xe9cfffff,0x80ceffff,0xffffffe9,0xfffe9cff,0x36200cef,0xffffffff,
    0x3002dfff,0xfffffffd,0x9dfffd39,0xfffe9801,0xfe9cffff,0x2200ceff,
    0xfffffffd,0x802dffff,0xfffffdb8,0x4000bdff,0xffffffd8,0x02dfffff,
    0x3fffffa6,0xffe9cfff,0x2a20ceff,0xcccccccc,0x00000bcc,0x360dfff7,
    0x30003fff,0x35799955,0x20000001,0x0000bcb9,0x005e5cc0,0x2f2e6000,
    0x654c0000,0x00002acc,0x35999751,0xcb980001,0x54c0000b,0x0002accc,
    0x59997510,0x54400013,0x80001acc,0x02accca9,0x99953000,0x88000055,
    0x9aaccca9,0x32a20000,0x400001ac,0x001acca8,0x332a6200,0x00009aac,
    0x0005e5cc,0xccca9880,0x4c0009aa,0x002accca,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2a200000,
    0x20bceedb,0x001aaaaa,0x00400000,0x00ea0000,0x00000000,0x20000000,
    0x00199998,0x00000000,0x03333310,0x75000013,0x55555300,0xbdedb983,
    0x26200000,0x00001999,0x55544000,0xdd9710aa,0x1000159b,0x0059bd95,
    0x40000000,0x98000001,0x00000001,0x44000620,0x2a20000a,0x76cc005c,
    0x001bd702,0xffffffa8,0xfff9cfff,0xfa80efff,0x03b6600c,0x0017ec40,
    0x02ffd800,0x3bdfb700,0x2ed98000,0x0001bd70,0x7ffff440,0x3f22007f,
    0x005dd304,0xfffd1000,0x4ffe8fff,0x0bff6000,0x7fffffcc,0xffffb14f,
    0x80005fff,0x7fffffe8,0x40bb6600,0x7ec00deb,0xfcafffff,0xffffffff,
    0x3fff2003,0x002effff,0x9f5007f6,0xeffe8800,0xa800102d,0x03effffe,
    0x2a000000,0x2a000fff,0x2a002fff,0x006ffffd,0x2207fff4,0xb1005fff,
    0xffffffff,0xffffffff,0xff907fff,0x5fff705f,0xbffff500,0x3a200001,
    0x4c000fff,0x4ffffffe,0x3fffa000,0x02fffc40,0xffff7000,0x7dc00fff,
    0x7ffe81ff,0xffb80000,0x3e67ffff,0xe88007ff,0xffb00fff,0xf59fffff,
    0xffffffff,0x7dc0001f,0x007fffff,0xf103fffa,0x7fcc0bff,0xffffffff,
    0xffffffff,0x7fec01ef,0xffffffff,0x80bff003,0x7dc006fe,0xabefffff,
    0xd8804ffd,0xffffffff,0x5b90000e,0x7fffb000,0x2ffff400,0xffffff00,
    0xfffe800d,0x037ffcc0,0xffffffe8,0xffffffff,0x81ffffff,0x98dfffe8,
    0x4405fffe,0xfffffffd,0x7fcc0002,0xfe8000ef,0x3fffedff,0x1fffd000,
    0x006fff98,0x3fffe600,0x3f2007ff,0xffff82ff,0x7d400000,0x227fffff,
    0x4c007fff,0x2e00efff,0xffffffff,0xffffffff,0x20004fff,0x7ffffffa,
    0x03fffa00,0xf80dfff3,0xffffffff,0xffffffff,0xfb00ffff,0xffffffff,
    0xfb005fff,0x13ff609f,0xfffff100,0xbfffffff,0xfffffb00,0x00dfffff,
    0x000fff50,0x4007fff9,0x2006ffff,0x06ffabda,0xd82ffdc0,0xffc802ff,
    0xda9bdfff,0xffffffff,0x7fe401ce,0x03ffffff,0x4e7fffcc,0x0005fffe,
    0x001bfff5,0x4c19ff70,0xb8000ffe,0x5ffb05ff,0xeca80000,0x26007fff,
    0x9ff706ff,0x36e00000,0x6447fffe,0x3fea005f,0xeca800df,0xfffffffe,
    0xfffdacff,0x76dc0002,0x2e007fff,0x5ffb05ff,0xfffdb980,0x9aceffff,
    0x6fffffdb,0xbfffffa8,0xffffffca,0x7fffcc00,0x0ffffdcd,0xfffb3000,
    0x019fffff,0xffffffb8,0x04ffffff,0x017ffe40,0x000ff540,0x0007fff9,
    0x440037fc,0x54004c01,0x201effff,0x0ffffffb,0x3fffa600,0x7fc400df,
    0x7ffe41ef,0x7ffc4004,0x3ffa0004,0x002ffb80,0x00980310,0x54cc4000,
    0x0199ffff,0x00088030,0xfff88000,0x1001fc87,0x20009fff,0xfffffffc,
    0x00164c0c,0x0ffff100,0x04c01880,0x3ffffa00,0x3ffa00df,0x7fff44ff,
    0xffffa80e,0xffffa804,0x001fffff,0xfffffd88,0xb006ffff,0x2a15dfff,
    0x000ffffd,0x000bfff6,0x2a0017e2,0x7fc0002d,0x00000006,0x0077fff4,
    0x07ffffe4,0x01ffe400,0x2604ff88,0x7c4005fe,0x7fc0002f,0x009ff104,
    0x00000000,0x7fffffc4,0x002fffff,0x00000000,0xf51fffe2,0x17fc4009,
    0xffff9000,0x000005ff,0x03fffc40,0xe8000000,0x8804ffff,0xf30ffffe,
    0x7dc03fff,0xc8800fff,0x004efffe,0x3fffff20,0x02ffffbc,0x882ffff8,
    0x2001ffff,0x8002fffd,0x000000fd,0x001bfe00,0xff880000,0x3f6003ff,
    0x30000fff,0x00088001,0x00020003,0xf882ffc0,0x0000003f,0x554c0000,
    0x2aaffffb,0x00000000,0x3fffc400,0x01000df1,0xffff9000,0x0000001d,
    0x007fff88,0xfd000000,0x22001fff,0xff52ffff,0xffff00bf,0x00030007,
    0x70b7fee0,0xf801ffff,0xffb00fff,0x7fec007f,0x17dc002f,0x20000000,
    0x220006ff,0x00bdeedb,0x00ffff98,0x03fffea0,0x00000000,0x00000000,
    0x7e407fec,0x2ea0002f,0x009bceed,0xddb95100,0x3ffe2179,0x55554407,
    0x5555100a,0x2a200155,0x10bceedc,0x00b8ffff,0xf9000000,0x80000bff,
    0xbceedca8,0x00ffff10,0x7776dcc4,0xe8000bce,0x6c005fff,0xfff73fff,
    0x9fff9009,0x80000000,0x27ffe400,0x203fffe0,0x802ffff8,0xacfffeaa,
    0x41aaaaaa,0x6dd40029,0x0009bcee,0x44006ff8,0xfffffffd,0x3ee00dff,
    0x7c4005ff,0x55500fff,0x55555555,0x01555555,0x2aaaaaa6,0x5530001a,
    0x00355555,0xc8977fd4,0xd50006ff,0xffffffff,0xffb8007f,0xcfffffff,
    0x3a07fff9,0x81ffffff,0xfffffffc,0xffffb801,0xf9cfffff,0x2aa007ff,
    0xaaaaaaaa,0x0aaaaaaa,0x013fff20,0xffffb800,0xf9cfffff,0xfd9807ff,
    0xffffffff,0x3a000cff,0x5c002fff,0xfff95fff,0xbfff5009,0x555554c0,
    0x100001aa,0x7fc43553,0x3ffe01ff,0x7ffecc0f,0x3ffee01f,0xffffffff,
    0x02ffffff,0xffffea80,0x003fffff,0xf70037fc,0xffffffff,0x2a05ffff,
    0x4c006fff,0xff00ffff,0xffffffff,0x1fffffff,0xffffff98,0x4c003fff,
    0xffffffff,0x7fec003f,0x81ffffff,0xffd880ba,0xffffffff,0x6c402eff,
    0xffffffff,0x7fffffff,0xffffff30,0xfffff03f,0x6c403fff,0xffffffff,
    0x7fffffff,0x3ffffe00,0xffffffff,0x3200ffff,0x80004fff,0xffffffd8,
    0xffffffff,0xffff807f,0xffffffff,0x3fa005ff,0x7e4003ff,0xbfff53ff,
    0x0dfffd00,0xfffffff3,0x440007ff,0xfffffffc,0x03fffb9d,0x3223fffe,
    0x06ffffff,0x7ffffff4,0xffffffff,0x22005fff,0xfffffffd,0x02efffff,
    0x2e00dff0,0xffffffff,0x3fffffff,0x01ffff88,0x03ffff60,0x7ffffffc,
    0xffffffff,0x7ffe40ff,0x03ffffff,0x7ffffe40,0x8003ffff,0x1efffffc,
    0x89fffb51,0xffffffe8,0xffffffff,0xffff101f,0xffffffff,0x20ffffff,
    0xfffffff8,0xfffffe81,0xfff101ff,0xffffffff,0x0fffffff,0x7fffffc0,
    0xffffffff,0x3f200fff,0x440004ff,0xffffffff,0xffffffff,0xffff807f,
    0xffffffff,0xfd004fff,0x22001dff,0xff31ffff,0xfffc80df,0xffffc87f,
    0x003fffff,0xffffff70,0xffdfffff,0x7fffc09f,0xffffffb8,0x7ffe401f,
    0xffffffff,0x03ffffff,0xfffffd10,0xffffffff,0x266603ff,0x30199fff,
    0x59dfffff,0xffffd953,0xffffd03f,0xffff7001,0x3fffe01f,0xffffffff,
    0x540fffff,0xffffffff,0x7fd4003f,0x3fffffff,0x59973000,0xfffffb51,
    0xffffd85f,0xfdb9acef,0xfb06ffff,0x5359ffff,0xffffffd9,0x7fedcc0f,
    0xedb881ff,0xfb01ffff,0x5359ffff,0xffffffd9,0x7fffc00f,0xffffffff,
    0x200fffff,0x0004fffc,0x67ffffec,0xfffeca9a,0xfb807fff,0x99abceff,
    0x007fffeb,0x00bffffd,0x443ffffa,0xf303ffff,0xa81fffff,0xffffffff,
    0xffd8003f,0xffffffff,0x06ffffff,0x3f23fffe,0x1fffffff,0x3ffb6e20,
    0xeeeeeeff,0x36002cee,0xacefffff,0xfffffdb9,0xfffffe86,0xff86ffff,
    0x7e403fff,0xffb87fff,0xfb103fff,0x201fffff,0xeeeeffff,0xffffffee,
    0xfddd9504,0x50007fff,0xffffddd9,0xdb880007,0x2dffffff,0x0fffffb8,
    0x1fffff40,0x037fffea,0x7ffffe44,0x3fffd007,0x03fffd00,0x01bffff5,
    0x3fffff22,0x3fffe007,0xffeeeeee,0x6404ffff,0x20004fff,0x00dffffa,
    0xffffff91,0x26002200,0xe800ffff,0x01efffff,0x8bffffd5,0x5c2ffffc,
    0x2fffffff,0xffeeeca8,0x7d4003ff,0xaabeffff,0xffffffeb,0x23fffe07,
    0xffffffe9,0xffb002ff,0x5c00005f,0x400fffff,0x6c3ffffe,0xffffffff,
    0x7fffcc4f,0xffff5002,0xfffff903,0xfffdb9df,0x201fffff,0xf980fffe,
    0x4004ffff,0x0003fffc,0x007fff90,0xffffb710,0xff8059ff,0xe8801fff,
    0x3fe0ffff,0xff9006ff,0x3fa00fff,0xffe801ff,0x6ffff81f,0xfffff900,
    0x07fff400,0x27ffffcc,0x9fff9330,0x00133333,0x200dffff,0x007ffffc,
    0x2fffe800,0xfffffe80,0xfedcdeff,0xf885ffff,0xffdeffff,0x2fffffff,
    0x07fff900,0x7ffffc40,0x3fffee03,0xffff00ff,0x7ffe5441,0xfd801fff,
    0x200002ff,0x801fffff,0x00ffffe8,0x5fffb800,0x1fffec00,0xffffffd8,
    0xffffffff,0xff900fff,0xfffff30b,0xfff90009,0x3f200007,0x3ae003ff,
    0x1cffffff,0x7ffff100,0x33333333,0x5ffff333,0x007fffe6,0x007fffe8,
    0xd003fffd,0xff983fff,0x3fa001ff,0x3f2007ff,0xffff985f,0xfffd884f,
    0xffffffff,0xf303efff,0x74003fff,0x5c007fff,0xeeffffec,0xe802ffff,
    0xffffffff,0xffffffff,0xffff500e,0xffffffff,0x32003fff,0x32003fff,
    0xb804ffff,0xf01fffff,0x32201fff,0xd806ffff,0x00002fff,0x337ffff1,
    0x33333333,0x005ffff3,0x03fffb00,0x05fff980,0x3ffffff2,0xffefffff,
    0x3bb100ff,0x4fffff98,0x7fff9000,0x3ff20000,0xfff9003f,0x3fae39ff,
    0xfff503ef,0xffffffff,0xffffffff,0x17ffea9f,0x0ffff700,0x007fffa0,
    0xf507fffa,0xfb800bff,0x362007ff,0x7fffcc1d,0xffff904f,0xffffffff,
    0x501fffff,0xb800bfff,0xd5007fff,0xffffffff,0x005fffff,0xfffdfffd,
    0xffffffff,0xfffa801b,0xfcffffff,0x3f2007ff,0x3f6003ff,0x3f6006ff,
    0xfff02fff,0xfffc801f,0x7ffec00f,0xff500002,0xffffffff,0xffffffff,
    0x015109ff,0x00ffff10,0x101fffe0,0xfffffff9,0x1ffff15d,0xffff9800,
    0x3f20004f,0x900003ff,0x2e007fff,0x3fa21cef,0x40efffff,0xfffffffc,
    0xffffffff,0xf95fffff,0xfa8009ff,0xffd007ff,0xfffd003f,0x04fffc83,
    0x03fffd40,0x7fffcc00,0x3fff204f,0xffffffff,0x80ffffff,0x4004fffc,
    0xd807fffa,0xffffffff,0x2fffffff,0x99fffe80,0xfffffffd,0x3fa2001e,
    0xf99effff,0x3f2006ff,0x3fe003ff,0x3ee004ff,0xfff01fff,0xfffd001f,
    0x2fffd805,0xfff90000,0xffffffff,0xffffffff,0x00bf90bf,0x000ffff1,
    0x2003fffe,0x40abca98,0x2000ffff,0x04fffff9,0x1fffe400,0xfffc8000,
    0x7ec02003,0x5fffccff,0x7fffffe4,0xffffffff,0xb6ffffff,0x98007fff,
    0xfd007fff,0xffd003ff,0x3fffd83f,0x3fffcc00,0x3ffe6000,0x764404ff,
    0xffffffff,0x02dfffff,0x8007fffb,0x6c07fff9,0xffffffff,0xffffffff,
    0x1fffe802,0x026b2a62,0x1ab98800,0x8013fff2,0x1003fffc,0x4007ffff,
    0xf00ffffa,0xf7001fff,0xffd809ff,0xf900002f,0xffffffff,0xffffffff,
    0xdfb0dfff,0x07fffa00,0x0dfff300,0xffff8000,0xffff3000,0xf900009f,
    0x200007ff,0x0003fffc,0xb106ffd4,0x7ffd45ff,0xffffffff,0xffffffff,
    0x09fff76f,0x07fffa80,0x003fffd0,0xfb83fffd,0x7d4004ff,0x260007ff,
    0x004fffff,0x7dc00000,0x7d4004ff,0x3fee07ff,0x989adfff,0x2ffffba9,
    0x01fffe80,0xf5000000,0x64005fff,0x3e003fff,0x2a003fff,0x3fe07fff,
    0xff9800ff,0x7ffec06f,0xff500002,0xffffffff,0xffffffff,0x3ffb0dff,
    0x0bfff900,0x04fffd80,0x7fffc000,0xffffa800,0xf900004f,0x200007ff,
    0x0003fffc,0x7c40ffe4,0x3fffe24f,0xff300002,0xffd800df,0xfffd007f,
    0x3fffd003,0x006fff98,0x003fffec,0x4fffffa8,0x80000000,0x4006fff9,
    0x3607fffd,0xe801ffff,0xfe802fff,0x000001ff,0xeffff980,0x3fff2000,
    0x3fff6003,0x3fff2005,0x83fffe05,0x7fff981a,0x017ffec0,0xffff8800,
    0xfd800002,0x7fcc03ff,0xff9003ff,0x800003ff,0x5400ffff,0x104fffff,
    0x7fe40015,0xf900003f,0xd80007ff,0xf1bfa06f,0x0003ffff,0x09ffff10,
    0x1ffffea0,0x017fff40,0x107fffee,0x2009ffff,0x007ffffa,0x4fffffa8,
    0x64001510,0x22000bdf,0x5004ffff,0x7c0fffff,0xfa802fff,0xfe802fff,
    0x000001ff,0x7ffffd40,0x7ffe4001,0x3ffee003,0xfff9802f,0x3fffe04f,
    0xfb85ffd0,0x7fec06ff,0x8031003f,0x001fffff,0x3fff6100,0xfffff807,
    0xfffb100d,0xf00000ff,0x7d401fff,0x3e04ffff,0xff9000ff,0x3200007f,
    0x40003fff,0xbff00ffd,0x2fffffa8,0x0ceca980,0x037ffff2,0x7ffffe44,
    0xfffd800f,0xfffff705,0xffff903f,0x3ff2201b,0x2000ffff,0x04fffffa,
    0x7c003ffe,0x64005fff,0x100dffff,0x1ffffff9,0x07ffff10,0x7fffff54,
    0x1fffe803,0x98040000,0x02fffffe,0x03fffc80,0x3ffffe20,0x3fffa602,
    0xffff100f,0xd8dfff31,0x7e405fff,0x7ed406ff,0x3ffea06f,0xca9802ff,
    0x59df50ce,0xfa801ffb,0xccefffff,0xffffffec,0xaa980002,0x81bffffb,
    0x9dfffffa,0xffb99999,0x9999882f,0x999cfffd,0x4ccc4009,0x99cfffd9,
    0x3ee00099,0x84ffa83f,0xdffffffc,0xfffeccbc,0x7ff44fff,0xdcccefff,
    0xffffffff,0x3fee04ff,0xffecceff,0xdfffffff,0x7fffff41,0xfffdccce,
    0x4fffffff,0x7ffffd40,0xb999999d,0x44402fff,0x000fffc9,0x77fffff4,
    0xffffdccc,0x44ffffff,0xbdfffffe,0xffffffec,0x4c0dffff,0xaacfffea,
    0x3fa20001,0xffffdcdf,0x98803fff,0xcfffd999,0x2a009999,0xacefffff,
    0xfffffdba,0xfffffc82,0xdffffbff,0x02fffffc,0x67ffffd4,0xffffeccc,
    0x3ff202ff,0xcbcdffff,0xffffffec,0xffffff74,0x3ffee00b,0xffffffff,
    0x0003ffff,0xffffffe8,0xf30fffff,0xffffffff,0xffffffff,0x7ffff649,
    0xffffffff,0x7643efff,0xffffffff,0xefffffff,0xcfff8803,0x00fffc88,
    0xfffffffd,0xffffffff,0xfff98bff,0xffffffff,0xffffffff,0xfff101ff,
    0xffffffff,0x9fffffff,0xffffff98,0xffffffff,0x1fffffff,0xffffff30,
    0xffffffff,0xfe809fff,0x000ffece,0x7fffffcc,0xffffffff,0x1fffffff,
    0x3fffffe6,0xffffffff,0x24ffffff,0xfffffffe,0x8000ffff,0xfffffffb,
    0x404fffff,0xffffffec,0xffffffff,0xfff903ef,0xffffffff,0xff30bfff,
    0xfdffffff,0xffffffff,0xffd100df,0xffffffff,0x801fffff,0xfffffffe,
    0xffffffff,0x3ffae5ff,0x3ea001df,0xffffffff,0x0001efff,0xffffff98,
    0x53ffffff,0xffffffff,0xffffffff,0x3fffe69f,0xffffffff,0x0fffffff,
    0xfffffff3,0xffffffff,0x5001ffff,0xffffffff,0xffffc807,0xffffffff,
    0xe981ffff,0xffffffff,0xffffffff,0x3e601fff,0xffffffff,0xffffffff,
    0xffffe984,0xffffffff,0x1fffffff,0xffffff50,0xffffffff,0xfe809fff,
    0x0005ffff,0xffffffd3,0xffffffff,0xb83fffff,0xffffffff,0xffffffff,
    0xfff34fff,0xffffffff,0xff30007f,0xffffffff,0xfff9803d,0xffffffff,
    0xffffffff,0xfffff700,0x7fffffff,0x3ffffe60,0xfffbdfff,0x01ffffff,
    0xffffff30,0xdfffffff,0x3fff2005,0xffffffff,0x881fffff,0xb710000a,
    0xbfffffff,0x7c000017,0xffffffff,0xfff51fff,0xffffffff,0x29ffffff,
    0xfffffff8,0xffffffff,0x3fe27fff,0xffffffff,0xffffffff,0x3ffaa007,
    0xb1002fff,0xffffffff,0x7005bfff,0xffffffff,0xfffff39f,0xffd3007b,
    0xd39fffff,0x4019dfff,0xfffffffb,0xffff9cff,0x3fea03df,0xffffffff,
    0x4fffffff,0x5f7f6c40,0x7fdc0000,0xcfffffff,0x3dfffff9,0xfffffd30,
    0xffd39fff,0x7fc19dff,0xffffffff,0xf90000ff,0x5dffffff,0x3fffe200,
    0xffffffff,0x07ffffff,0x7ffffec4,0x5c00dfff,0x0ceffffd,0xbffffff9,
    0xffd88001,0xdfffffff,0xffd88002,0xffffffff,0x000002df,0x002f2e60,
    0xcca88000,0x1bcccccc,0x3fffffea,0xffffffff,0x3f6e4fff,0xffffffff,
    0x2dffffff,0x7ffffedc,0xffffffff,0x44002dff,0x8000abba,0xaaccca98,
    0x75100009,0x00003599,0x03599510,0x65d44000,0xa80001ac,0xffffffff,
    0xffffffff,0x0000004f,0x5665d440,0x95300001,0x20005599,0xccccccb8,
    0x40001bcc,0x001acba8,0xfffffb70,0xffffffff,0x22005bff,0x009bccb9,
    0xcca88000,0x5440001a,0x0009accb,0x99953100,0x00001355,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x003a8000,0x000ccccc,0x765c4000,
    0x000000ac,0x00000000,0x76e54400,0xba8002cd,0x26620000,0x99999999,
    0x01999999,0x00000000,0x200006e2,0x2ceedca8,0x21555510,0x0bceedc9,
    0x55555100,0x2aaaa201,0x555100aa,0x3bb2e255,0x999801bd,0x99999999,
    0x00000009,0xedcb9800,0x44000acd,0x09999999,0x6dd44000,0x060bdeee,
    0x0002ae00,0x4ccccc40,0x26000099,0x1bdefecc,0x76dcc033,0xb10000bd,
    0xffb003ff,0x0003ffff,0x3fffa200,0x000dffff,0xed800100,0x700bb200,
    0x3fea009f,0x2effffff,0x03dff100,0x3ffffa00,0xffffffff,0xd80fffff,
    0x01fdc02e,0x1ffa6000,0xfffc8800,0x745fffff,0xfdafffff,0x2fffffff,
    0x7fffff40,0xffffc81f,0xffa81fff,0xfffadfff,0x00efffff,0xfffffff3,
    0x7fffffff,0x20176c00,0xfb3003fb,0xffffffff,0xfffd1007,0x009fffff,
    0x7ffffdc0,0xfedfffff,0xfffc8806,0x8804b82f,0xfffffffe,0xfe98003f,
    0xffffffff,0xffc83fff,0x002fffff,0x4037ff44,0xfffffff9,0xe8800001,
    0xffffffff,0xca8000ef,0x02bdfffe,0xff80bfe2,0x7ff440df,0xffffd806,
    0x5fffffff,0x05fff900,0xfffffd00,0xffffffff,0xf881ffff,0x7f4c0dff,
    0x2a00006f,0x50004fff,0xffffffff,0x3fea3fff,0xffffffff,0x4fffffff,
    0xffffff30,0xffff883f,0xfe81ffff,0xffffffff,0xefffffff,0xfffff980,
    0xffffffff,0xff8800ff,0x7ff4c0df,0xffffc806,0xffffffff,0x7fffdc06,
    0x004fffff,0xfffffe88,0xffffffff,0x7ff401ff,0xe9aeffff,0x7fe402ff,
    0x3fffffff,0x7fffe400,0xffffffff,0x7ffec6ff,0x01fffecd,0x01dfff50,
    0xffffff10,0x8800003f,0xfffffffe,0x2005ffff,0xffffffd8,0xf980dfff,
    0x3ffea02f,0x5ffff72f,0xfffffb80,0xffffffff,0x7fff9003,0xffffe800,
    0xffffffff,0xb80fffff,0xff72ffff,0x200003ff,0x0004fffc,0xfffffff9,
    0x221fffff,0xffffffff,0xffffffff,0xfff881ff,0xfe81ffff,0x81ffffff,
    0xfffffffc,0xffffffff,0xfff986ff,0xffffffff,0x2a007fff,0xff72ffff,
    0xffb803ff,0xffffffff,0x2604ffff,0xffffffff,0x7fc4004f,0xffffffff,
    0x3fffffff,0x2ebbfea0,0xefffffff,0x7fffdc00,0x003fffff,0x3fffffea,
    0xffffffff,0x03bfe27f,0xf7009ff9,0xca800bff,0x001ffffe,0x7fffe400,
    0xfffebabe,0xfffb802f,0xffffffff,0x0ffdc1ff,0x3ffffa60,0x4c00efff,
    0xacefffff,0x1ffffffc,0x0bfff700,0x7fffff40,0xffffffff,0xd300ffff,
    0xbfffffff,0x3f600001,0xfb0002ff,0x39dfffff,0xfc987d95,0xbcffffff,
    0x5ffffdb9,0xffffb730,0xffdb7103,0xfb7103ff,0x59dfffff,0x5ffffd95,
    0xffffff98,0xdfffffff,0x7ff4c002,0x00dfffff,0xcefffff8,0xffffca9a,
    0x3bb6e02f,0x004ffffe,0x67ffffec,0xfffeca9b,0x36203fff,0x7fffec43,
    0xddb7000d,0x007ffffd,0x677ffff4,0xfffeba9a,0x4c0f6c7f,0x7fcc05ff,
    0x7fc0003f,0x200001ff,0xb05ffff8,0xfb80ffff,0xffffffff,0x23ffffff,
    0x3f2006fc,0xb003ffff,0x2a03ffff,0x2004ffff,0x9003fff9,0x3ee00fff,
    0xffc806ff,0x00003fff,0x0007ffee,0x67ffffdc,0xfffe8000,0xfff701ff,
    0x3ffff00f,0x03fffd00,0x27ffffd4,0x989ffff0,0x00007fff,0xfffffc80,
    0x3fff6003,0x3fffe203,0x7ffe4005,0x3ffee004,0x7fe400df,0x260003ff,
    0xc80000bc,0x3e003fff,0x7cc01fff,0x3f6006ff,0x17fcc02f,0x7fffc000,
    0x3ee00001,0x3fe207ff,0xfff302ff,0x2e615bff,0xbafffffd,0x74c003ff,
    0x3fa000ef,0x7fec04ff,0x7f44006f,0x09ff3002,0x013fff60,0x0006ff54,
    0x0037ee00,0x7ffffd40,0x3ffa0003,0x3fe200ef,0x7ffc00ff,0xfffe801f,
    0x3fffea01,0x2fffe403,0x001fffe6,0x6ff4c000,0x0ee44000,0x037ffdc0,
    0x013fff20,0x006ffff8,0x000bfffa,0xfc800000,0x3fe003ff,0x7d400dff,
    0xffd8802e,0x0000800e,0x007fffe0,0x3fffe800,0x82fffe40,0x403ffffe,
    0xfffffffc,0x0050000e,0x00ffff88,0x007fffd4,0x00400040,0x01ffff88,
    0x00000a20,0x7f400008,0x40003fff,0xe801fffe,0x7fc01fff,0xffe801ff,
    0x3ffea01f,0x5fffa806,0x003fffcc,0x000a0000,0x7ffc4000,0x3ff2000f,
    0xfff1004f,0x7fd4001f,0x6dcc400f,0x00bceeee,0x3fffc800,0x3ffff600,
    0x009acdff,0x0effe980,0xf8000000,0xd9711fff,0x880159bd,0xf8807fff,
    0x7fe40fff,0xff5002ff,0x0001dfff,0xffff8000,0x3fffd401,0x00000000,
    0x0037ffdc,0x00000000,0x5ffff500,0xfffd0000,0x3fffd003,0x01ffff80,
    0x201fffe8,0xa805fffa,0x7fcc5fff,0x0000007f,0x50000000,0xc800dfff,
    0xf5004fff,0xb7000bff,0x7ffecc05,0xffffffff,0x3f20000c,0x3e6003ff,
    0xffffffff,0xf7003eff,0x2a601bff,0x5cc1aaaa,0x7c00bded,0xfffc9fff,
    0x03ffffff,0x401bffe6,0x3e21ffff,0x6c004fff,0x4c00ffff,0x4c1aaaaa,
    0xe80bdedb,0x7ec04fff,0x2aa605ff,0x001aaaaa,0x9fffd000,0xaaaaa980,
    0x544001aa,0xdb930aaa,0xfd00179d,0x20000dff,0xe801fffe,0x7fc01fff,
    0xffe801ff,0x3ffea01f,0x5fffa805,0x54ffffcc,0x000acddc,0x26155551,
    0x00bceedc,0xffe88000,0x7fe4005f,0x2e07b54f,0x00004fff,0xfffffff0,
    0xbfffffff,0x7ffe4000,0x7ff54003,0xffffffff,0xffb101ef,0x3ffe609f,
    0xfb14ffff,0x05ffffff,0x7ffffffc,0xffffffff,0xfffb80ef,0x5fffd005,
    0x007fffd4,0x0bfffe20,0x7fffffcc,0xffffb14f,0xffc85fff,0xfff501ff,
    0xffff309f,0x007fffff,0xffff1000,0x3fffe603,0x003fffff,0x2bfffffa,
    0xfffffffd,0x3ffe202f,0x02aee63f,0x01fffe80,0x401fffe8,0xe801ffff,
    0x3ea01fff,0xffa805ff,0x7fffcc5f,0xffffffff,0x7ffff404,0xfffffdaf,
    0x40002fff,0xfffeb998,0x7fe4002f,0x83fffedf,0x0003fffc,0xffffff00,
    0xffffffff,0x3f20009f,0x402a83ff,0xffffffda,0x4c3fffff,0x3602fffe,
    0xcfffffff,0xfffffffa,0xfff00fff,0xffffffff,0x1fffffff,0x004fffc8,
    0x7e47fffb,0xf90003ff,0x3ff607ff,0xfacfffff,0xffffffff,0x3fffe20f,
    0xfffcacff,0xffc80fff,0x3fffffff,0xffb80000,0x3fff206f,0x03ffffff,
    0xffffff50,0xffffffff,0x3e609fff,0xfffa8fff,0xe800efff,0xfe801fff,
    0x7ffc01ff,0xfffe801f,0x17ffea01,0x317ffea0,0xffffffff,0x03dfffff,
    0xfffffff5,0xffffffff,0xb10009ff,0xffffffff,0xfff9000b,0x50bfffff,
    0x0000bfff,0x33bffee0,0xffeb99ab,0xff90007f,0x07fff87f,0xffd97510,
    0x3ee1ffff,0xa999aeff,0xfffff70b,0xffffffff,0x09ffffff,0x3ffffffe,
    0xffca9acf,0x7fe45fff,0xfff9004f,0x017ffec7,0x05fffa80,0xfffffff7,
    0xffffffff,0xfa89ffff,0xffffffff,0xf501ffff,0xffffffff,0xfd000007,
    0x7fd409ff,0x3fffffff,0xfffff100,0xffffffff,0x503fffff,0xfffbdfff,
    0x05ffffff,0x801fffe8,0x7c01fffe,0xfe801fff,0x3fea01ff,0xfffa805f,
    0x7ffffcc5,0xffffffff,0xffff886f,0xffffffff,0x01ffffff,0x7ffffe40,
    0x90006fff,0xffffffff,0x0dfff305,0x00440000,0x007fffcc,0x51fffe40,
    0x3625ffff,0xfff5002e,0x3ffffa7f,0x25ffffff,0xffffeeca,0xdacfffff,
    0xfff02fff,0x2201bfff,0x323ffffd,0xf9004fff,0x7fffc7ff,0xfff30001,
    0x7f76540d,0xffffffff,0x82fffdac,0xfffffffc,0x5404ffff,0xffffeeec,
    0x7c400003,0x65401fff,0x3ffffeee,0x3fff2600,0xb9bcffff,0xb85ffffd,
    0xffffffff,0x2fffffff,0x007fffa0,0xf007fffa,0xfb805fff,0x3ea01fff,
    0xffa805ff,0xfffff85f,0xffecaacd,0xffc984ff,0x9bcfffff,0x05ffffdb,
    0x7ffffe40,0xb8005fff,0xefffffff,0x13fffe01,0x000b6a00,0x017fff40,
    0x51fffe40,0x3f25ffff,0xff7000ff,0x3ffffadf,0x06ffffff,0xfffffff9,
    0x202c9819,0x004fffff,0x7e4ffffd,0xff9004ff,0x1fffe27f,0x7fff8800,
    0xfffff900,0x2c9819ff,0xfffffe88,0x0effffff,0x1fffe400,0x3fee0000,
    0xff90007f,0xffd0007f,0x3ee03fff,0xfffc87ff,0xecefffff,0x3e06ffff,
    0xff802fff,0x7ffc01ff,0xffff705f,0x7fd403ff,0x7fd400ef,0x0cffa85f,
    0x3ffffb10,0x3fffffa0,0x0ffff701,0xffffd880,0x3004ffff,0xfffffffd,
    0xffffb005,0xffd3003b,0xfecb803f,0xfffeefff,0xffc8002f,0xd3fffc3f,
    0x9805ffff,0x0005fffe,0x3fffff20,0x3fe0002f,0xf1000eff,0x3ff23fff,
    0xfff9004f,0x007fffc7,0x07fff880,0xffffff90,0xfffd0005,0xffffffff,
    0xfc800bff,0x400003ff,0x0004fffe,0x0007fff9,0x401dfffd,0x5c0ffff8,
    0x2effffff,0x327fffdc,0xffffffff,0xfffff907,0x3ffe01bf,0xffecceff,
    0xdfffffff,0x3fffff20,0xff501eff,0xfd0000bf,0x3ffa07ff,0x3fe200ef,
    0x988000ff,0x4fffffda,0x7ffffe40,0x3a2005ff,0xcdefffff,0xffffeccb,
    0xffd503ff,0xffffffff,0x90005fff,0x87507fff,0xdeffffff,0xfffeccbc,
    0x200003ff,0x00effffc,0x27fffc00,0x4ffff600,0xb004fffb,0x7ff47fff,
    0xff50001f,0x3ff200df,0xd8000eff,0x10aeffff,0x09ffffd5,0x01fffe40,
    0xffff1000,0x3ff20003,0xffe8003f,0xfffe801f,0x7ffffcc1,0xffff900f,
    0x7fffffec,0x3fe60fff,0x04ffffff,0xffffffff,0xffffffff,0x3fe69fff,
    0x5fffffff,0x00bfff50,0x0bfff700,0x2007fffa,0x0001fffe,0x1fffffa8,
    0xffffff90,0xf88009ff,0xffffffff,0xffffffff,0xffffd80f,0xffffffff,
    0xc8002fff,0xfd003fff,0xffffffff,0xdfffffff,0x320002b8,0x00005fff,
    0x8005ffff,0xff74fffb,0x3ffa00bf,0x0ffff22f,0x27ffdc00,0x05fffc80,
    0x17fffe00,0x00ffffd0,0x001fffe4,0x0ffff700,0x1fffe400,0x0ffff400,
    0x20ffff40,0x02fffff8,0x6c3fffe2,0xffffffff,0x3fffe60f,0xff04ffff,
    0xffffffff,0xffffffff,0x3fffe29f,0x504fffff,0x0000bfff,0x3a0dfff3,
    0xfe801fff,0x100001ff,0x3207ffff,0xffffffff,0xfff98004,0xffffffff,
    0xd80effff,0xffffffff,0xffffffff,0xfffc8002,0xffff9003,0xffffffff,
    0x7d41bfff,0xfc8000df,0xf00004ff,0xa8003fff,0xfff55fff,0x3fffe00d,
    0x017ffee0,0x01ffff40,0x004fffc8,0x01ffff30,0x00ffff88,0x007fff90,
    0x27fff400,0x7fff9000,0x3fffd000,0x03fffd00,0xd009ffff,0x3f263fff,
    0x82dfffff,0xceffffdb,0xffffff00,0xd5bfffff,0x5c19dfff,0xcefffffd,
    0x0bfff500,0xffff1000,0x007fffa0,0x0007fffa,0x05fffc80,0xff95dff3,
    0x7540009f,0xffffffff,0xff702dff,0x3135bfff,0x5ffff753,0x7fff9000,
    0x373f6200,0xffffffff,0xdffd01df,0xfffc8001,0xfff00004,0xffc8007f,
    0x1ffff13f,0x47fff980,0x002ffff9,0x00ffffdc,0x004fffc8,0x00bfff70,
    0x400bfff6,0x0003fffc,0x03ffff10,0x1fffe400,0x0ffff400,0x40ffff40,
    0xd801fffe,0x00002fff,0x7ffff000,0x00159999,0x7fd40000,0xf980005f,
    0xfffd06ff,0x3fffd003,0x7fcc0000,0xff90c07f,0x5300009f,0x13579ffd,
    0x1ffffd80,0x02fffe80,0x03fffc80,0x3faea200,0x744009af,0x32001fff,
    0x00004fff,0x800bffff,0x3f62fffe,0x7fec04ff,0xefffe85f,0xffff1000,
    0x7ffe400b,0xfff70004,0x3fff600b,0x7fff9002,0x3fee0000,0x7e40007f,
    0xfe8003ff,0xffe801ff,0x4fffd81f,0x0ffffc40,0xf8000000,0x00001fff,
    0xfffc8000,0xffb80003,0x3fffd05f,0x03fffd00,0x7ffcc000,0x3fff2006,
    0x3f200004,0x7ffc001f,0xfffa802f,0xffc8002f,0xfb00003f,0xffd8003f,
    0xfff9003f,0x3fe00009,0xf9002fff,0x7fd41fff,0xfff300ff,0xffff303f,
    0xffe8801d,0x3f2000ff,0xf10004ff,0xf9803fff,0xf9000fff,0x200007ff,
    0x0004fffe,0x001fffe4,0x400ffff4,0xfb81fffe,0x3ee00fff,0x6c000fff,
    0xf0000bdf,0x00003fff,0xffff0000,0x22001a85,0xfd03fffe,0xffd003ff,
    0x6c00003f,0x32003fff,0x00004fff,0x4013fff2,0x203ffff8,0x3fffffea,
    0x3fffc800,0xfffb0000,0xfffb8009,0x4fffc800,0xfff88000,0x9100cfff,
    0xff09ffff,0xff981dff,0x3fee06ff,0xff502fff,0xc8007fff,0x20004fff,
    0x100efffe,0x400dfffd,0x0003fffc,0x01ffff88,0x1fffe400,0x0ffff400,
    0x40ffff40,0x81effff8,0x007fffe9,0x027fffc4,0x01ffff80,0x22000000,
    0x3a1ffffb,0x6cc01dff,0xfd01ffff,0xffd003ff,0x05dd503f,0x3ffffb30,
    0x32666620,0x9999cfff,0xffc84000,0xffd000ff,0xfd97bfff,0xffffffff,
    0x333101bf,0x339fffb3,0xd8400133,0x4000ffff,0x26600fea,0x999cfffc,
    0xfec80099,0xffffffff,0xfffecccd,0xffa80eff,0xffdcdfff,0x7ec02fff,
    0xdcdfffff,0x06ffffff,0x3fff2660,0x0099999c,0xefffffc8,0xffffeccc,
    0x3333104f,0x3339fffb,0xffb80013,0x4cc4007f,0x9cfffd99,0x7fc00999,
    0xfff802ff,0xffff701f,0xfffb9bff,0x444005ff,0x000fffca,0x001ffff8,
    0x75530000,0x4dfffffb,0xeefffff9,0xfffeeccc,0x3ffe04ff,0xffff802f,
    0xeeffff81,0xffedcccc,0xfec86fff,0xffffffff,0x4effffff,0xcacff980,
    0xff3001ff,0xffffffff,0xffffffff,0x7ff649ff,0xffffffff,0x03efffff,
    0x7ed677d4,0x2200001f,0xfffffffd,0xefffffff,0xfffff303,0xffffffff,
    0xffffffff,0x7fffec03,0x3fffffff,0xffffe880,0xffffffff,0x7ec400df,
    0xffffffff,0x03efffff,0x7fffffec,0x5fffffff,0xfffffec8,0xffffffff,
    0xfb003eff,0x3b2009ff,0xffffffff,0xefffffff,0x3ffffe63,0xffc83fff,
    0x440dffff,0xfffffffe,0x005fffff,0x3ff3bfe2,0xfff8000f,0x8000001f,
    0xfffffffd,0x7ffc0fff,0xffffffff,0x986fffff,0xffffffff,0xfffffc83,
    0xfffd10df,0xffffffff,0x983fffff,0xffffffff,0xffffffff,0x7d401fff,
    0x006fffff,0x7fffffdc,0xffffffff,0xf34fffff,0xffffffff,0xffffffff,
    0x7fd401ff,0x0006ffff,0x7ffffe40,0xffffffff,0xf880ffff,0xffffffff,
    0xffffffff,0x6c401eff,0xffffffff,0x7fdc003f,0xffffffff,0xfff9003f,
    0xffffffff,0x01ffffff,0xffffffc8,0x984fffff,0xffffffff,0xffffffff,
    0xfd800fff,0xff9800ff,0xffffffff,0xffffffff,0xfffffb0f,0x7cc1ffff,
    0x4fffffff,0xfffffe88,0x00efffff,0x3ffffa20,0xffb0004f,0x8000001f,
    0xfffffff8,0xfe981fff,0xffffffff,0xd80dffff,0xffffffff,0x3fffe60f,
    0x3ea4ffff,0xffffffff,0x81efffff,0xfffffff8,0xffffffff,0xb800ffff,
    0x001efffd,0xfffffe98,0xffe9cfff,0xff10ceff,0xffffffff,0xffffffff,
    0xffdb801f,0x400001ef,0xfffffffc,0xffffffff,0xffb700ff,0xfff75fff,
    0x07ffffff,0xffffec80,0xb30003ef,0xbfffffff,0x7ffe4003,0xffffffff,
    0x00ffffff,0xfffffdb8,0xff102dff,0xffffffff,0xffffffff,0x0bf6600f,
    0x7ffffc40,0xffffffff,0x367fffff,0xffffffff,0x3fffe60f,0x7104ffff,
    0xffffffff,0x3f660005,0x70000bef,0x00000bff,0x3fffffa0,0x6d402eff,
    0xffffffff,0x3ff601ef,0x0fffffff,0x3fffffe6,0x7fe4c4ff,0xffffffff,
    0x7fedc03e,0xffffffff,0x03dfffff,0x00005440,0x1566654c,0xfffdb800,
    0xffffffff,0x002dffff,0x000002a2,0x7ffff644,0xffffffff,0x980002df,
    0x001abcca,0x00565440,0x15953000,0x3fb22000,0xffffffff,0x002dffff,
    0x000aca98,0xffffffb7,0xffffffff,0x000005bf,0xfffffdb8,0xffffffff,
    0x3f262dff,0x82dfffff,0xceffffdb,0xabca9800,0x00000001,0x0000ba80,
    0x99971000,0x98800359,0x009abcba,0xfffffc98,0xffdb82df,0x2600ceff,
    0x0aacccaa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00004400,0x00011000,0x00133300,
    0x00005540,0x00000020,0x00002ae0,0x0073b2a0,0x1e776dc4,0x65440000,
    0x0000000e,0x0001d751,0x4cccc400,0x00c40999,0x00001980,0x06000000,
    0x32a20000,0x6dcc0003,0x00002bce,0x30000004,0x00013333,0x40013330,
    0x99999998,0x01100000,0x19999880,0x43500000,0xdffffec9,0x9951002b,
    0x76dcc199,0x0001dfff,0xffffff91,0xb8805bdf,0xcb82ffff,0x07ff5000,
    0xf9100000,0x09705fff,0xfffff100,0xfffff500,0x80001dff,0x0ffffec9,
    0x75c00000,0x0000ffff,0xffffe880,0x3ea3ffff,0x3f6000ff,0x3f22006f,
    0x005dd304,0x7fff6cc0,0x03710cef,0xfffeca88,0xffd88004,0x0effffff,
    0xfeca9800,0x350adfff,0x3ffea000,0xc88003ff,0xefffffff,0xfffe882d,
    0x003fffff,0xfffedb88,0x7fec03df,0x0000ffff,0x7eeffe40,0xffffffff,
    0x3fe200df,0xff51ffff,0xbfffffff,0xffffb800,0xffffffff,0x3ffff602,
    0xffd9aeff,0x0dffb002,0xffd00000,0xd35dffff,0xfa8005ff,0x2201ffff,
    0xfeccffff,0x7f40004f,0x000fffff,0x3ffea000,0x00000fff,0xffffffc8,
    0x3ff63fff,0xfff3003f,0x3fee007f,0x07ffe81f,0xffffe980,0xedffffff,
    0x7f5c42ff,0x04ffffff,0x7ffff440,0x3fffffff,0xffffb100,0xdfffffff,
    0xfd0007ff,0x8007ffff,0xfffffffb,0x642fffff,0xffffffff,0x3f66003f,
    0xffffffff,0xfffa81ef,0x0000ffff,0x7fffff40,0xffffffff,0xff501eff,
    0xff93ffff,0xffffffff,0x3fee007f,0xffffffff,0xff504fff,0xfffff75f,
    0x4c401dff,0x999ffff9,0x50000099,0xfff75dff,0x001dffff,0x00bfffd0,
    0x1ffd05b9,0x566cc000,0x00000ffe,0x3fab3220,0xb800000f,0xffffffff,
    0x0fffee3f,0x27fffd40,0x83fffc80,0x2000ffff,0xfffffffb,0xffffffff,
    0x3fffe64f,0x04ffffff,0x3ffffa60,0xffffffff,0x7ff4401f,0xffffffff,
    0x005fffff,0x7fffffdc,0x3ffee003,0xffffffff,0x7ffdc4ff,0x03ffffff,
    0xffffff90,0xffffffff,0xfffff885,0x400000ff,0xffffffff,0xffffffff,
    0xfff882ff,0xffffffff,0xfffffeff,0x7ffc401f,0xffffffff,0x7b102fff,
    0x7fffec41,0x3ffee00d,0xffffffff,0x880002ff,0x7ffec43d,0x220000df,
    0xfe80000a,0x3a00001f,0x000000ff,0x0003ffa0,0x7776dc00,0x7543ffff,
    0x3ffe001f,0xdff3000f,0x009ff701,0x7fffffe4,0xffffffff,0x3fee6fff,
    0xffffffff,0x3fffe004,0xfebaabef,0xf300ffff,0xffffffff,0xffffffff,
    0x7ffc400d,0x1003ffff,0xffffffff,0x05ffffff,0xfffdddb7,0x3ff6007f,
    0xffffffff,0x540fffff,0x00ffffed,0x7fffc000,0x2e61bdff,0x80fffffe,
    0xffffffb8,0xf930bdff,0x5401ffff,0x4c0bffff,0x20001ba9,0xfc800bc9,
    0xffffffff,0x0003ffff,0x00bc9800,0x44000000,0x007ffdaa,0x007ff400,
    0xffd00000,0x40000001,0x7c43fffc,0x0e5c4006,0x02200c00,0xfffffa80,
    0xfd7311be,0x7ccdffff,0xffedffff,0xfff5004f,0x7ffdc09f,0xffff983f,
    0x7510acef,0x00dfffff,0x7fffffec,0xfff5003f,0x3753305f,0x1fffe400,
    0xdffffd80,0x3fff261b,0x3fffe05f,0x7fc00000,0xfc801eff,0x3fa05fff,
    0x201fffff,0x201ffffc,0x0005fffc,0xc8800000,0xeeffffee,0x0000bdee,
    0x00000000,0x3ffe2000,0x00001fff,0x00007ff4,0x01ffd000,0x7e400000,
    0x007ec3ff,0x00000000,0xfffff100,0xffff9009,0x321bca8d,0xfb004fff,
    0xffd00dff,0xffffd0bf,0xfffb1007,0x3ffe600d,0x003fffff,0x000bfff9,
    0x07fff900,0x00bfff60,0x201ffff9,0x0000ffff,0x017fffc0,0x03ffff90,
    0x0bfffffa,0x07ffff10,0x0017ffec,0x776dc400,0xff8000bd,0x400000ff,
    0x00aaaaa8,0x15555551,0x64000000,0x003fffff,0xffe80173,0x03730000,
    0x0007ff40,0x320015c4,0x0fee3fff,0x00000000,0xffff7000,0x7ffe4009,
    0x9fff9006,0x07fff600,0x51fffea0,0x4009ffff,0xd005fff9,0xfffbffff,
    0x3fff6007,0xfc800002,0xff7003ff,0xfff8801f,0x1ffff01f,0xffe80000,
    0xfffe8006,0x5ffffd05,0x13fff200,0x5fffd553,0x3f620000,0xffffffff,
    0x3ffe000d,0x9dfd970f,0x7fff4007,0xffc81fff,0x001fffff,0x30001f64,
    0x4405fff7,0x7f406ffd,0xffc8000f,0x03ffa007,0x03fff700,0x31fffe40,
    0x55555405,0xaaaaaaaa,0x5300aaaa,0x03555555,0x02ffff40,0x013ffe60,
    0x8027ffe4,0xf3003fe9,0xfffe8fff,0x3ffd8005,0xaffffb80,0x2203fffc,
    0xacfffeaa,0x001aaaaa,0x007fff90,0x6c01bfe6,0xfff03fff,0x37bb2e1f,
    0x3aa000ac,0xffa8002e,0x7fffd07f,0x27ffdc00,0xfffffffd,0xff700005,
    0xffffffff,0x3e005fff,0xffffcfff,0x402fffff,0xfffffff9,0xffffff81,
    0x3e6001ff,0x640000ff,0xfff704ff,0x0ffe80ff,0x3fffaa00,0x1ffd000f,
    0x3fffa200,0x3ff2002f,0x3ffe003f,0xffffffff,0x40ffffff,0xfffffff9,
    0xff3003ff,0xfb0005ff,0x3ff2005f,0x0004004f,0x7c4dfff9,0x88002fff,
    0xfff8802b,0x07fff96f,0x3ffffffa,0xffffffff,0x7e4000ff,0x062003ff,
    0x17fffc40,0xffcffff8,0x1fffffff,0x3e000000,0xffe80fff,0x3fee001f,
    0xfffff55f,0x80005fff,0xfffffffb,0xffffffff,0xfffff803,0xffffffff,
    0x3fe203ff,0xe81fffff,0x1fffffff,0x0bffee00,0x8bff3000,0x1effffd8,
    0x4007ff40,0x2fffffd8,0x003ffa00,0x0fffffee,0x07fff900,0x7fffffc0,
    0xffffffff,0x7fe40fff,0x3fffffff,0x1ffff700,0x00351000,0x0027ffe4,
    0xffff8800,0x01fffea4,0x3ff20000,0x7fff91ff,0xffffff50,0xffffffff,
    0xc8007fff,0x00003fff,0x03ffff90,0x3ffffffe,0xffffffff,0x55554c02,
    0xaaaaaaaa,0xffeaaaaa,0x1fffe81f,0x57ffea00,0xfffffff8,0x3e60002f,
    0x9aceffff,0xfffffeca,0x7ffffc01,0xffffffff,0x2e601fff,0x881ffffd,
    0x1ffffedb,0x7fffd300,0x109bca80,0x7dc9ffd3,0x2204ffff,0x199ffe99,
    0xbfffff50,0xfd331001,0xfd30133f,0x0003dfff,0x4007fff9,0xffffffff,
    0xffffffff,0x7fffd40f,0x003fffff,0x000dfff7,0x7ffe4000,0xe8800004,
    0x3ee1ffff,0x000005ff,0x927fffcc,0xff107fff,0xffffffff,0x3fffffff,
    0x3fffc800,0x7f4c0000,0x3fe06fff,0xffffffff,0x00ffffff,0x3ffffff6,
    0xffffffff,0x3fffffff,0x001fffe8,0xc997ffea,0x02ffffed,0x3ffffe00,
    0x7fffe403,0x7ffffc07,0xfca9bdff,0xfd005fff,0xffd003ff,0xffc8803f,
    0x7f403fff,0xffffffff,0xffffe98e,0x3fff601e,0x0fffffff,0x5fffffb1,
    0x3ffff600,0x323fffff,0x003fffff,0x00ffff20,0xeeeffff8,0xfffffeee,
    0xddd9504f,0x2007ffff,0x0003fffc,0x3fff2000,0x74400004,0x7e44ffff,
    0x000003ff,0x907ffff4,0x2e607fff,0xeeffffed,0x01ceeeee,0x03fffc80,
    0xfffb5000,0x7fc05fff,0x9bcfffff,0x03ffffeb,0x3ffffff6,0xffffffff,
    0x3fffffff,0x001fffe8,0xd817ffea,0x30002fff,0x2005ffff,0x201ffffa,
    0x00efffff,0x200dfff9,0xe801fffe,0x3ee01fff,0x03ffffff,0x7ffffecc,
    0xfffc8cff,0x199973ff,0x7fffffdc,0xfff75fff,0xddb739ff,0xffff905b,
    0xd35fffff,0x933dffff,0x7e400399,0x3fa003ff,0xfff980ff,0x7e4004ff,
    0xffb003ff,0x0000007f,0x0027ffe4,0xffffd300,0x07fff90d,0x7fd40000,
    0x7ffe43ff,0x5fffb003,0xff900000,0xea80007f,0x2fffffff,0x77ffffc0,
    0x0bfff900,0x7fffffec,0xffffffff,0x3fffffff,0x001fffe8,0xd817ffea,
    0x70002fff,0xd800bfff,0x3fe03fff,0x3e600dff,0xfe800fff,0xffe801ff,
    0xffff901f,0x20019fff,0xd319aa98,0x263dffff,0x8000ffff,0x9effffe9,
    0xfffffff9,0x7e44000e,0xff13ffff,0x7e4005ff,0x3f2003ff,0xffff985f,
    0xffc8004f,0xfffb003f,0x40000007,0x0004fffc,0xdfffff30,0x07fff901,
    0x77776dc4,0x7c42ceee,0xffc86fff,0xfffb003f,0xf9000005,0xc80007ff,
    0x1effffff,0x05ffff80,0xb03fffcc,0xdddddfff,0xdddddddd,0xd07ffffd,
    0x54003fff,0x3f605fff,0xfb0002ff,0xf98003ff,0x3ffe05ff,0xffff800f,
    0x1fffe800,0x81fffe80,0xbefffffb,0xfc880000,0x7f43ffff,0x5c000fff,
    0xf34fffff,0xffd97bff,0x7ffd400b,0x3ff60dff,0x3f2002ff,0x362003ff,
    0x7fffcc1d,0xff90004f,0x3ff6007f,0x0000003f,0x0013fff2,0x3ffffea0,
    0x7fff900e,0x7fffff40,0x22ffffff,0xc81ffffc,0xfb003fff,0x000005ff,
    0x0007fff9,0x2effffc8,0x03fffe00,0x403fffe0,0x0004fffb,0xfd03fffd,
    0x7d4003ff,0x3ff605ff,0xff88002f,0xfff0007f,0x07fffc0f,0x007fffc0,
    0x400ffff4,0x7c41fffe,0x0003ffff,0x3ffffea0,0x7fffe40d,0xffd3000f,
    0x7fe43dff,0x400fff83,0x2fffffd8,0x17ffffd4,0x07fff900,0xffff3000,
    0x7e40009f,0xff9003ff,0x0000009f,0x0027ffe4,0x3ffffee0,0x3ffee00d,
    0xfffff104,0x9fffffff,0x417fffe2,0xb003fffc,0x00005fff,0x007fff90,
    0x04fffa80,0x00ffff80,0x500ffff8,0x2000dfff,0xfe80ffff,0x3ea001ff,
    0x3ff605ff,0xff88002f,0xfff0007f,0x3fffe01f,0x0ffff800,0x01fffe80,
    0x541fffe8,0x0002ffff,0x3fffff20,0xfefffa82,0xfffb800f,0x04ea83ff,
    0x7d403ffb,0x440dffff,0x02ffefff,0x00ffff20,0xfffff300,0xffc80009,
    0xfff5003f,0x4000000d,0x0004fffc,0x17fffff2,0x817ffe60,0xfffffffd,
    0xffb1ffff,0xffffffff,0x03bfffff,0x002fffd8,0x3fffc800,0x7ffc4000,
    0xffff8000,0x0ffff800,0x03ffff10,0x07fffa80,0x4003fffd,0x3605fffb,
    0xd0002fff,0x98003fff,0x3fe06fff,0xfff800ff,0xfffe800f,0x1fffe801,
    0x0037ffdc,0xffffa803,0xaffe880d,0x7cc00ffe,0x8000efff,0x7fc07ff9,
    0xffb02eff,0x4005ff99,0x0003fffc,0x13ffffe6,0x3fff2000,0xffff3003,
    0x20000003,0x8004fffc,0x4fffffd8,0x0ffff100,0xfbaaaa88,0x3ffa0fff,
    0xffffffff,0x06ffffff,0x0017ffec,0x1fffe400,0x00e4c000,0x00ffff80,
    0x200ffff8,0x2006ffff,0xd05ffff8,0x5c003fff,0x3f604fff,0xf90002ff,
    0xfd800bff,0x3ffe04ff,0xffff800f,0x1fffe800,0x41fffe80,0x8805fffb,
    0xff300ffd,0xa7fe405f,0x7c400ffe,0xf50003ff,0xffe807ff,0x65bfea04,
    0x3f2002ff,0xf50003ff,0x0009ffff,0x00ffff20,0x006fffe8,0x32001950,
    0x44004fff,0x03fffffe,0x027fff40,0xd1bffe60,0xffffffff,0xffffffff,
    0x2fffd80d,0xffc80000,0x0000003f,0x00ffff80,0x200ffff8,0x804ffffa,
    0x01ffffe8,0x4003fffd,0x3603fffd,0x30002fff,0x2007ffff,0x201ffffc,
    0xf800ffff,0xfe800fff,0x7fdc02ff,0x7ffcc1ff,0x7ffd401f,0xf500a602,
    0x03ffa1ff,0x40002e60,0x8803fffc,0x3ffe200b,0x4005ff91,0x8003fffc,
    0x04fffffa,0x7e400151,0x3ea003ff,0x2000dfff,0xc800fffc,0x26004fff,
    0x02ffffff,0x1ffffc80,0x1bffe600,0xfffffffd,0xffffffff,0xfffd805d,
    0xfc800002,0x000003ff,0x0ffff800,0x00ffff80,0x0f7fffec,0x3fffffa8,
    0x007fffe0,0x017fffc4,0x0005fffb,0x06fffffc,0x7ffffd88,0x007fffc0,
    0x4007fffc,0xf705fffd,0x883fffff,0x300dffff,0x0009fff9,0x556fffc4,
    0x00001ffe,0x0bfffa20,0xeffd8000,0x003ffdaa,0x000ffff2,0x09fffff5,
    0xc8007ffc,0x6c003fff,0x403fffff,0x02ffffe9,0x004fffc8,0x3ffffff7,
    0x3ffa2000,0x2a200dff,0x4c46fffc,0x99999999,0x004fffd9,0x0005fffb,
    0x07fff900,0xf0000000,0xff001fff,0xff8801ff,0xdcdeffff,0x06ffffff,
    0xdffffffb,0xfff77501,0xfb3310df,0x003337ff,0xffffffa8,0xfffeccce,
    0x3e202fff,0x7c401fff,0xfb802fff,0xfeccefff,0xffffffff,0x3ffff21d,
    0xfffdbbcf,0x20004fff,0xfffffffb,0x00003fff,0x00efffa8,0x3ffe6000,
    0x5fffffff,0xfd999988,0x09999cff,0xbfffff50,0xf7333333,0x333105ff,
    0x339fffb3,0x7f440133,0xcdefffff,0xffffffed,0xf9333307,0x033339ff,
    0x5ffffff7,0x33333333,0xfff30197,0xb99ddfff,0xdfffffff,0xffb31000,
    0x6ccc409f,0x9999bfff,0x33310009,0x339fffb3,0x5c400133,0x7c4000bc,
    0x7c401fff,0xf9801fff,0xffffffff,0x80efffff,0xfffffffa,0x7fffe44f,
    0x3fa62fff,0xffffffff,0x7000dfff,0xffffffff,0x7fffffff,0x3ffffaa0,
    0x7f543fff,0x03ffffff,0x3fffffe2,0xffffffff,0x7f44ffff,0xffffffff,
    0x004fffff,0x3ffffee0,0x001effff,0x27ffe400,0x7fcc0000,0xffffffff,
    0x3ffffb23,0xffffffff,0x3e63efff,0xffffffff,0xffffffff,0x3ffffb24,
    0xffffffff,0xd303efff,0xffffffff,0xffffffff,0xfffffd85,0xffffffff,
    0x3fff64ff,0xffffffff,0x05ffffff,0xfffffff9,0xffffffff,0x74c00dff,
    0xefffffff,0x3ffffa62,0xffffffff,0xfd902eff,0xffffffff,0x7dffffff,
    0x7ffff880,0xfffff300,0xff985fff,0x02ffffff,0x7ffffec4,0x03ffffff,
    0x3fffffe6,0x7ffec3ff,0x7fec5fff,0xffffffff,0x2003ffff,0xfffffffa,
    0x01efffff,0x3ffffffa,0x3ffa0fff,0x0fffffff,0x3ffffe60,0xffffffff,
    0x74c4ffff,0xffffffff,0x001dffff,0x7ff54400,0x3a200002,0xaaaadfff,
    0x8800003b,0x3e64ffda,0xffffffff,0xffffffff,0xffff50ff,0xffffffff,
    0x269fffff,0xffffffff,0xffffffff,0xfb100fff,0xffffffff,0xa81bffff,
    0xffffffff,0xffffffff,0xfffffb2f,0xffffffff,0x4c0fffff,0xfffffffe,
    0xcfffffff,0x3fffa000,0x26ffffff,0xfffffffe,0xffffffff,0xffff986f,
    0xffffffff,0x0fffffff,0x3ffffea0,0xffffe802,0x7ec7ffff,0x7fffffff,
    0xffffd500,0x7003bfff,0x19dffffb,0xdfffff98,0x7ffffec0,0xffffffff,
    0x6dc4002f,0xdfffffff,0x7ffec00b,0x6c7fffff,0xffffffff,0xfffe9807,
    0xfe9cffff,0xf700ceff,0xffffffff,0x30000039,0x07ffffff,0x3ffe6000,
    0xffffffff,0x7fc00001,0xff15ffff,0xffffffff,0xffffffff,0x3fffea1f,
    0xffffffff,0xf14fffff,0xffffffff,0xffffffff,0xff9300ff,0xbdffffff,
    0x3fffea07,0xffffffff,0xfb1fffff,0xffffffff,0xffffffff,0xfeda801f,
    0xefffffff,0xffd8000b,0x6fffffff,0x3ffffff6,0xffffffff,0xfff886ff,
    0xffffffff,0xffffffff,0x3ffffc00,0xfffffe80,0x7fec7fff,0x07ffffff,
    0x0d65cc40,0x54400000,0xffb301bc,0xffffffff,0x300009df,0x98001797,
    0xdffffffd,0x7fffecc2,0x22002dff,0x0001acca,0xabccb988,0x44000001,
    0x01effffd,0xffff3000,0x5fffffff,0xffc80000,0x3f6e3eff,0xffffffff,
    0x2dffffff,0x3fffffea,0xffffffff,0x3f6e4fff,0xffffffff,0x2dffffff,
    0x5e5d4c00,0xffd70009,0xffffffff,0x7ec7dfff,0xffffffff,0xffffffff,
    0x654c000f,0x400009ab,0xffffffd9,0x3ff261df,0xffffffff,0x701dffff,
    0xfffffffb,0xffffffff,0x5751005b,0x3ff66001,0x4c2dffff,0xdffffffd,
    0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00010000,0x01999988,
    0x00600000,0x19999800,0xaaa88000,0xaaaaaaaa,0x55555000,0x88000003,
    0xaaaaaaaa,0x80000aaa,0x009aca98,0x005b7000,0x99995100,0xca881599,
    0x00accccc,0x71000100,0x30017999,0x01799997,0xaaaaaa88,0x200aaaaa,
    0xeeeeeeed,0xeeeeeeee,0xb806eeee,0x5100000a,0x55555555,0x51000155,
    0x99999999,0x00159999,0x000002ea,0x26b2a620,0x5b900000,0xaa880000,
    0xaaaaaaaa,0xeca8000a,0x002bdfff,0xffffffd1,0x6dc00000,0x12dffffe,
    0x7ffc0015,0xff80007f,0xffffffff,0xfff006ff,0x000003ff,0xfffffff8,
    0x006fffff,0x3ffffaa0,0x0002dfff,0x0003ffea,0xffffff88,0x3fe27fff,
    0xffffffff,0xffec8800,0x7d400cef,0x02ffffff,0x3ffffff2,0x3ffe02ff,
    0xffffffff,0x0001206f,0x3ff22090,0x004b82ff,0x3ffffffe,0x006fffff,
    0x7fffffcc,0xffffffff,0x3fae00ff,0x00ca83ff,0x3fffaa00,0x002dffff,
    0x001ffea0,0xffffff00,0x0dffffff,0x7fffec40,0x00dfffff,0x7fffffdc,
    0xe9800007,0xffffffff,0x2007ffef,0x0007ffff,0xffffffd8,0x805fffff,
    0x005ffffa,0xfffe8000,0xffffffff,0xfffa8005,0xffffffff,0xfc8001ff,
    0x2e0002ff,0xffffffff,0xffff52ff,0x05ffffff,0xffffffa8,0x3f202fff,
    0x05ffffff,0x3ffffffe,0x3ff605ff,0xffffffff,0x0001205f,0x3fffa090,
    0xfe9aefff,0xfffd002f,0xffffffff,0xfffc800b,0xffffffff,0x902fffff,
    0x5dffffff,0x0007ffb1,0xfffffff5,0x03ffffff,0x05fff900,0x7fff4000,
    0xffffffff,0xffff7005,0xffffffff,0x7ffcc03f,0x00007fff,0x7fffffdc,
    0xffffffff,0xffff001f,0x2620000f,0x99999999,0xffff9000,0x20000003,
    0x99999998,0xfc800099,0x7309bdff,0x007ffffb,0x002fffd8,0x3ffffe20,
    0xf10fffff,0xffffffff,0x7ffcc01f,0xffffffff,0xfffff502,0x7fe405ff,
    0x02ffffff,0x4cccccc4,0x02400999,0x3ea12000,0xffffbaef,0x2000efff,
    0x99999998,0xf9800099,0xffffffff,0x0fffffff,0xeabfff98,0x1fffffff,
    0x6fffe400,0xffb7309b,0xfd8007ff,0x400002ff,0x99999998,0xff700099,
    0xffffffff,0x407fffff,0x07fffedb,0x3ffe6000,0xffffffff,0x003fffff,
    0x000fffff,0x3a000000,0x00005fff,0x80000000,0x5002fffd,0x6c009ffd,
    0x40002fff,0xccffffb8,0x7ee5440a,0x7400bfff,0xffffffff,0x36606fff,
    0x9801efff,0x01dfffeb,0x01200000,0x7b109000,0xdffffd88,0x00000000,
    0x66665c40,0xccdffffc,0x9033600a,0x003dffff,0x002fffd8,0x4009ffd5,
    0x0002fffd,0x26000000,0x0adfffff,0xfffffd73,0x7fff8803,0x3ffa0000,
    0xb5309dff,0x007fffff,0x00066666,0x22000000,0x0000ffff,0x00000000,
    0x0006ffdc,0x400bff62,0x0002fffd,0x001ffff0,0x201fffe6,0x32dffffa,
    0xb80ffff9,0x64004fff,0x00003fff,0x00002400,0x2f260012,0x00000000,
    0xfffe8000,0x97300001,0xbff70003,0xffd88001,0x5fffb002,0x00000000,
    0x1fffff40,0x1bffff20,0x00ffff10,0x3fffe600,0x7fffdc03,0x20000003,
    0x00aaaaa8,0x15555551,0x009fff70,0x2e200000,0x000bdeed,0x664dbfe6,
    0xd01bcccc,0x2aa201ff,0xaaacfffe,0xf001aaaa,0x26001fff,0xfb807fff,
    0x7ff706ff,0x04fffb80,0x01fffe40,0x7776dcc4,0x04800bce,0x00024000,
    0xdb750000,0x0001379d,0x07fffa00,0x20000000,0xdb886ff9,0x3a0a8bde,
    0x3aaa00ff,0xaaaacfff,0x26001aaa,0x1aaaaaaa,0x3ffff200,0xffff5002,
    0x3fffc407,0xfffa8000,0x7fffd006,0x3a000000,0x81ffffff,0xfffffffc,
    0x10fffd81,0x36e25555,0x88002cde,0xfffffffd,0xfd800dff,0xffffff1f,
    0xf881bfff,0xffffb84f,0xffffffff,0x402fffff,0x3000ffff,0xfb00ffff,
    0x004407ff,0x0027ffdc,0x980ffff2,0xfffffffd,0x200cffff,0x82400004,
    0xaaaaaaa9,0x3faa0001,0xffffffff,0xfe800003,0xaa8801ff,0xddb930aa,
    0x3f600179,0x7fffd41f,0x3e25ffff,0xffffb84f,0xffffffff,0x202fffff,
    0xfffffff9,0xff1003ff,0xfd8009ff,0xff100fff,0x555510ff,0x3fee0155,
    0xfff7004f,0x55554c03,0xf3001aaa,0x03ffffff,0xffffffff,0x2e9fff03,
    0xffafffff,0x005fffff,0x3fffffee,0x2fffffff,0xda8ffe20,0xfffcccff,
    0x740ffc86,0xffffffff,0xffffffff,0x7fffc05f,0xffff3000,0x07fff900,
    0x9fff7000,0x3fffc800,0x3fffffe0,0xffffffff,0x00001205,0xfffff989,
    0x8003ffff,0xffffffd8,0x2effffff,0x3ffa0000,0x7fff401f,0xffffdaff,
    0x4402ffff,0x7ffd43ff,0x46fffdbd,0x7ff40ffc,0xffffffff,0x5fffffff,
    0x3fffff20,0x5003ffff,0x8001ffff,0x102ffff8,0xffc8ffff,0x83ffffff,
    0x000ffff9,0x3fe609fb,0x3fffffff,0xfffff100,0xfffd03ff,0xf983ffff,
    0xfffff0ff,0xffffffff,0xff700bff,0xffffffff,0x207fffff,0x87f987fc,
    0x7fd41ffa,0x7ffffe43,0xffffffff,0x7c03ffff,0xf3000fff,0xff700fff,
    0xf700009f,0xfc8009ff,0x3ffe03ff,0xffffffff,0x0904ffff,0x7e448000,
    0xffffffff,0x7ff44003,0xffffffff,0x001fffff,0x03fffd00,0x7fffffd4,
    0xffffffff,0x3f204fff,0x40effc47,0x1ffd46fe,0x3ffffff2,0xffffffff,
    0x3ea03fff,0xffffffff,0x7fff9003,0x3fff2000,0x4ffff103,0xfffffff8,
    0xffff06ff,0xf900005d,0xffffffff,0x7edcc007,0xdb881fff,0x641ffffe,
    0x3fff63ff,0xffffffff,0x2602ffff,0xacefffff,0xffffeca9,0x986fd81f,
    0x885fd07f,0x76dc45ff,0xeeeeffff,0x802deeee,0x3000ffff,0xf300ffff,
    0x70000dff,0xc8009fff,0x3ee03fff,0x99abceff,0x907fffeb,0x54480000,
    0xffffffff,0x7fec003f,0xb9acefff,0x06fffffd,0x3fffd000,0x7ffffc40,
    0xffffffff,0xb01fffff,0x00ffb8df,0x5ff889f3,0x7fff6dc4,0xeeeeeeef,
    0xeca802ce,0x03ffffee,0x005fffb0,0x417ffea0,0x7fc7fff8,0x5fffffff,
    0xffffff90,0xf500037b,0xffffffff,0x3ffa0007,0xfffe801f,0x3223fec1,
    0xadffffff,0x05ffffca,0x00fffffe,0xd0fffff9,0x88ff309f,0x6fe80ffc,
    0x017ffec0,0x0ffff800,0x0ffff300,0x7fffdd4c,0xb8001aab,0x64004fff,
    0x04403fff,0x07fffcc0,0x12000024,0x3ffbbb2a,0x3ee003ff,0x7400ffff,
    0x0003ffff,0x401fffe8,0xffffffc9,0xffdb9bcf,0x89fd05ff,0x404c06fc,
    0x7fec06fe,0x2000002f,0xf003fffc,0x20003fff,0xf106fff9,0x7ffccfff,
    0x00bdefff,0x3ffffff6,0x001befff,0xfffddd95,0x3fa0007f,0xffe801ff,
    0x4c06d41f,0xb83fffff,0xff307fff,0x3ea005ff,0x1ffc1fff,0x7f667fcc,
    0x0ff904ff,0x002fffd8,0x01ffff00,0x21fffe60,0xfffffff9,0x02ffffff,
    0x013ffee0,0x007fff90,0x17fff400,0x12000024,0x01fffe40,0x03fffff0,
    0x1ffffd10,0xfffe8000,0xffffd001,0x3ffee03f,0xfe87ff07,0x0ff90003,
    0x002fffd8,0x3fff2000,0x7fff8803,0x3ffe2000,0x2ffff107,0x1ffffffb,
    0x7fffe400,0xefffffff,0xfffc8000,0xfffd0003,0x3fffd003,0x7fffcc00,
    0x1ffff103,0x00bfff70,0x7c3fffd8,0xffff983f,0x3ee03fff,0xffeaa887,
    0x01aaaacf,0x00ffff80,0x90ffff30,0xffffffff,0x00bfffff,0x0027ffdc,
    0x400ffff2,0xeffffecb,0x482ffffe,0x80240000,0x1003fffc,0x3337ffff,
    0x33333333,0x6545ffff,0x3fffa001,0xdfffd001,0x7fffc401,0x7f43ff80,
    0x0ff70002,0x002fffd8,0x3fff2000,0x1ffff003,0x3ffe2000,0x9ffff107,
    0x01dfffff,0x3fffaa00,0xefffffff,0x7ffe4001,0xfffd0003,0x3fffd003,
    0x3fffcc00,0x207fffe0,0x4001fffd,0x7fc5fff9,0xeccff984,0x1bf603ff,
    0xfffffffd,0x5fffffff,0x07fffc00,0x87fff980,0xfffffffa,0x03ffffff,
    0x013ffee0,0x807fff90,0xffffffea,0x2fffffff,0x24000048,0x03fffc80,
    0xffffff50,0xffffffff,0x29ffffff,0x3a007ffa,0xfd001fff,0xffd003ff,
    0xd89ff03f,0xdfb0004f,0x02fffd80,0x3ff20000,0xfffd003f,0x3fea0003,
    0xffff106f,0x00bfffff,0x3fb2a200,0x1fffffff,0x0ffff200,0x0ffff400,
    0x00ffff40,0x80ffff30,0x7c41ffff,0xff0007ff,0x986fe8ff,0x80ffec7f,
    0x3ffea5ff,0xffffffff,0x2005ffff,0x3000ffff,0x32a0ffff,0xeffffeee,
    0x7dc002ce,0x83fc84ff,0x3603fffc,0xffffffff,0x2fffffff,0x24000048,
    0x03fffc80,0xffffff90,0xffffffff,0x2bffffff,0xd001fffc,0x3a003fff,
    0xfe801fff,0x46fe81ff,0xff0007fc,0x2fffd80b,0x3f200000,0xff9003ff,
    0x3ee0005f,0xfff104ff,0x007fffff,0xffb98000,0x32004fff,0xd0003fff,
    0xfd003fff,0x7cc003ff,0x7ffc07ff,0x3fffc41f,0x0ffff800,0x1fe61ff2,
    0xff303ff2,0x7ffffc47,0xffffffff,0x3fe004ff,0xff3000ff,0x7ffc00df,
    0x3ee0000f,0x7ffd44ff,0x81fffe40,0xfffffffd,0xffffffff,0x0000482f,
    0xfffc8024,0xffff9003,0xffffffff,0xffffffff,0x00bfff6d,0x800ffff4,
    0xe801fffe,0x7fc81fff,0x9701ffd4,0x6c03ff98,0x00002fff,0x00ffff20,
    0x002fffdc,0x103fffe8,0xffffffff,0x0026000b,0x06fffc88,0x00ffff20,
    0x00ffff40,0x000ffff4,0xf80ffff3,0xffe81fff,0x7fcc001f,0x31ffc46f,
    0xfe859ff9,0x503ff22e,0xdffffdd9,0x017bdddd,0x017ffec0,0x005fffa8,
    0x001ffff1,0x227ffdc0,0x7ec2fffc,0xfffb83ff,0x9989adff,0x82ffffba,
    0x02400004,0x003fffc8,0xfffffff5,0xffffffff,0x36dfffff,0xff002fff,
    0x3fa001ff,0xffe801ff,0x43ff881f,0xa99adffc,0x07fe47fe,0x00bfff60,
    0xfffc8000,0xffff3003,0xfffa8005,0xffff101f,0x01dfffff,0x000fff40,
    0x4003fffe,0x0003fffc,0xd003fffd,0x4c003fff,0x7fc07fff,0xfffc81ff,
    0x7ffec005,0xff1ffd84,0x7cc1ffff,0x05ff8aff,0x002fffd8,0x09fff900,
    0x00ffff20,0x003fffc4,0x913ffee0,0xffd87fff,0xffffd82f,0x2fffe801,
    0x24000048,0x03fffc80,0x05ffff10,0x3fff6000,0x7fff8802,0x07fffa00,
    0x407fffa0,0x7fec1ffd,0x22ffffff,0xfd805ff8,0x000002ff,0x800ffff2,
    0x000efffe,0x40bffff1,0xffdffff8,0x8800efff,0x74005fff,0xf9002fff,
    0x3a0007ff,0x7dc02fff,0x26001fff,0x7fc07fff,0xfff981ff,0xfff9003f,
    0x2dff303f,0xa83deedb,0x01ffd8ce,0x003fffd8,0xffffa806,0x7fffdc01,
    0xdfff7002,0xfffb8000,0x21fffe44,0xff80ffff,0xffa802ff,0x000482ff,
    0xffc80240,0x3ffe003f,0xd80001ff,0xfc802fff,0x3fa005ff,0xffe801ff,
    0x0dff301f,0x3bffffb5,0xd801ffd8,0x31003fff,0x3fffc800,0x3fffe600,
    0x7ff4400e,0x3fe200ff,0xffffd17f,0xfffa803f,0xfff7002f,0x3ff2001f,
    0xffb0003f,0x3ffee0bf,0x26001fff,0x7fc07fff,0xffff01ff,0x3f6201bf,
    0x3ee07fff,0x6c4000df,0xff9003ff,0xffda80bf,0xffffd106,0xffff7107,
    0x7fff400d,0x41efb804,0x7e44fffc,0x3fff23ff,0x3ffff887,0x3ffffaa0,
    0x0000483f,0xfffc8024,0x3ffea003,0xca9802ff,0xdfffb0ce,0xfffb1017,
    0x7ff4009f,0xfffe801f,0x037fee01,0x3ffd8804,0x0dfff900,0x106ffda8,
    0xfffb3333,0x40133339,0x02fffffb,0x07fffff5,0x227fff88,0x02fffffe,
    0x37ffffea,0xffff7100,0x7ffe400f,0xfff70003,0xfffd99df,0x3bffffff,
    0x0ffff300,0x501ffff8,0x9dffffff,0xfffffd99,0xfffd805f,0xbffd3002,
    0x7fffd400,0xffeccccf,0xf302ffff,0xd9bdffff,0x01ffffff,0x7ffffd30,
    0x33333333,0x3f629fff,0xf90dffff,0xfffdbfff,0x3fffa0bf,0xffecbdff,
    0xffffffff,0x8000090d,0xd9999884,0x9999cfff,0x3ffff200,0xeccbcdff,
    0xb4ffffff,0x9dffffff,0xffffffd9,0x7fffc001,0x1ffff802,0x017ffec0,
    0x005ffe98,0x33ffffea,0xffffeccc,0x3ffb22ff,0xffffffff,0x03efffff,
    0xbffffffb,0xffffffb9,0xffff300d,0x7fffffb0,0xfffff503,0xfd99bfff,
    0x207fffff,0xffd99998,0x009999cf,0xffffff88,0xffffffff,0x2a04ffff,
    0xfffffffe,0x3ffffaa1,0xffff702f,0xffffffff,0x32007fff,0x109bdfff,
    0x09ffffb7,0xffffe880,0xffffffff,0x3ee00fff,0xffffffff,0x4c03ffff,
    0xfffffffe,0xffffffff,0xfff96fff,0x3f29ffff,0xffffffff,0xffff300e,
    0xffffffff,0xffffffff,0x90000129,0x7fffff64,0xffffffff,0xffd03eff,
    0xffffffff,0xbfffffff,0x3ffffff6,0xffffffff,0xfff9801f,0xc83fffff,
    0x0dffffff,0x2f7fff20,0xfffb7109,0xfe88009f,0xffffffff,0x30ffffff,
    0xffffffff,0xffffffff,0xfd101fff,0xffffffff,0x401bffff,0x07fffffd,
    0xffffffff,0x3fffea1b,0xffffffff,0xc85fffff,0xfffffffe,0xffffffff,
    0x7ffcc03e,0xffffffff,0x04ffffff,0x3ffffffa,0x3fffa5ff,0x3ea06fff,
    0xffffffff,0x4001efff,0xfffffffa,0x02ffffff,0xfffff300,0xffffffff,
    0xfff5005d,0xffffffff,0xffff9005,0xffffffff,0x9fffffff,0x3fffffee,
    0xfffff33f,0xb803ffff,0xffffffff,0xffffffff,0x00094fff,0xffff3480,
    0xffffffff,0x1fffffff,0x3fffff20,0xffffffff,0x3f6a1fff,0xffffffff,
    0xfb001eff,0xffffffff,0x7ffffcc1,0x7d404fff,0xffffffff,0x0002ffff,
    0xfffffff3,0x5dffffff,0x7fffffc4,0xffffffff,0x5c07ffff,0xffffffff,
    0x7d403fff,0x987fffff,0xffffffff,0xfffff14f,0xffffffff,0xff309fff,
    0xffffffff,0xffffffff,0xffe9801f,0xe9cfffff,0x200cefff,0xfffffffd,
    0x3ffff65f,0x6dc406ff,0xdfffffff,0xd710000b,0xdfffffff,0xf9100005,
    0xffffffff,0xfd88005b,0x0dffffff,0xfffff900,0xffffffff,0x23dfffff,
    0xcefffec8,0x3ffffe60,0xfd3001df,0x9fffffff,0x9dffffd3,0x90000121,
    0x3fffffe2,0xffffffff,0x4407ffff,0xfffffffd,0x202dffff,0xffffffc9,
    0x7ec003df,0xffffffff,0x3ffffe60,0xb8804fff,0xfffffffe,0xd880002e,
    0xffffffff,0xffb702df,0xffffffff,0x05bfffff,0xfffffb30,0xf5003bff,
    0x30ffffff,0xffffffff,0x546f5c9f,0xfffffffd,0xfff100df,0xffffffff,
    0xffffffff,0x56654400,0xfd980001,0x21cfffff,0x1dffffd9,0x05e5cc00,
    0x5d4c0000,0x00000aac,0xabccba88,0x95300000,0xd9100035,0xffffffff,
    0x9dffffff,0xbb980001,0x32a60001,0xd8002acc,0xcccccccc,0xcccccccc,
    0x3f6e6ccc,0xffffffff,0x2dffffff,0x99953100,0x10001355,0x40003775,
    0xffffffc9,0xfffdb82d,0x4c000cef,0x000aacba,0xccba8800,0x0000009a,
    0x32a60000,0xfeb8000a,0xfb707fff,0x019dffff,0x35795510,0x3fff6e00,
    0xffffffff,0x002dffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x71000000,0x99999999,0xb9800379,0x4c01cccc,0x000bcccb,0x99999995,
    0x99999999,0x95109999,0x99999999,0x54400137,0xcccccccc,0x00009bcc,
    0xaa880008,0x55100aaa,0x26015555,0xcccccccb,0xcccccccc,0xb981cccc,
    0x440acccc,0x02ccccca,0xccba9880,0xcccccccc,0x33264ccc,0xcccccccc,
    0xcccccccc,0x65440ccc,0xcccccccc,0x6544000b,0xcccccccc,0x4c40001b,
    0xbceeeedb,0xccca8000,0x32a201cc,0x40accccc,0xcccccca8,0xc981bccc,
    0xccca880b,0x9bcccccc,0x332a2000,0xcccccccc,0x5440accc,0xaccccccc,
    0x66665440,0x9995101b,0x37999999,0x3bb26000,0xfff101cd,0xffffffff,
    0x3f2009ff,0x06ffffff,0xfffffffb,0xffffe809,0xffffffff,0x7fffffff,
    0xfffffff8,0xefffffff,0x7fffc403,0xffffffff,0x4002ffff,0xcbdfffd9,
    0x3ffffa02,0xfffc81ff,0xfb81ffff,0xffffffff,0xffffffff,0x7f42ffff,
    0x0fffffff,0x3ffffffe,0xff93006f,0xffffffff,0xffffffff,0x7fffffd4,
    0xffffffff,0x0fffffff,0x3fffffe6,0x3fffffff,0xfffff300,0xffffffff,
    0xffb30007,0xffffffff,0x3fa0019f,0x206fffff,0xffffffff,0xffff30ff,
    0xffffffff,0x37ffd47f,0x7ffffffc,0xefffffff,0x7fffc403,0xffffffff,
    0x3e0fffff,0xffffffff,0x3fffe67f,0x7cc5ffff,0xffffffff,0x2003ffff,
    0xffffffe8,0xffffb83f,0xffffffff,0xffff006f,0x883fffff,0xffffffff,
    0x3fffe607,0xffffffff,0xffffffff,0x7ffffcc7,0xffffffff,0xf501efff,
    0xffffffff,0xffffffff,0xfff7003d,0x05ffffff,0xfffffff3,0xffffff03,
    0xfffd03ff,0xffffffff,0xffffffff,0x7ffc45ff,0x53ffffff,0xffffffff,
    0xfffc803f,0xffffffff,0xffffffff,0x3ffffea7,0xffffffff,0xffffffff,
    0x3ffffee0,0xffffffff,0xffff7005,0xffffffff,0xfff000df,0xffffffff,
    0xf300bfff,0x7fffffff,0xffffff30,0x3ee7ffff,0xffffffff,0x3f26ffff,
    0x3fe60fff,0xffffffff,0x1effffff,0xffffff70,0xffffffff,0x3fea5fff,
    0xffffffff,0xfffff71f,0xffb8ffff,0xffffffff,0x32006fff,0xffdcdfff,
    0x7fffc42f,0xffffffff,0xfffb004f,0x3e0fffff,0x5fffffff,0x7fffff40,
    0xffffffff,0x87ffffff,0xffffffff,0xffffffff,0xfff883ff,0xffffffff,
    0xffffffff,0x3fffea00,0x84ffffff,0xfffffff8,0xfffffd81,0xfffc81ff,
    0xffffffff,0xffffffff,0x7fff42ff,0x3e0fffff,0x7fffffff,0x3ffffa20,
    0xffffffff,0xffffffff,0x3ffffea7,0xffffffff,0xffffffff,0x3ffffe60,
    0xffffffff,0xffff3003,0xffffffff,0xfff0007f,0xffffffff,0xd009ffff,
    0xffffffff,0xffffff03,0x3e61ffff,0xffffffff,0x3ea3ffff,0x7ffc0fff,
    0xffffffff,0x3fffffff,0xffffff88,0xffffffff,0xfff10fff,0xffffffff,
    0x7fffffd4,0x7ffcc5ff,0xffffffff,0x366003ff,0x42ffd40b,0xcffffca8,
    0x2001bccc,0xeffffda8,0xffffd100,0xca88015b,0xfffdbfff,0xffcccccd,
    0xfffa887f,0xfdccccdf,0x81ffffff,0xcffffca8,0xffedcccc,0xff105fff,
    0xffffffff,0x3f6e603f,0xdb881fff,0x301ffffe,0x99dfffd7,0x99999999,
    0xf505ffff,0x88159fff,0x0bffffca,0xffffff10,0xbfffdbff,0xfffb9999,
    0x67fffd4f,0xdfffeccc,0xffffcccc,0x7ee65c40,0x01bcceff,0x7ee65c40,
    0x01bcceff,0x9dfff700,0xffd73357,0xf95100ff,0x10dfffff,0x7ffff995,
    0xfdccb881,0x81bcceff,0xfa886fca,0xccccdfff,0xfffffffd,0xccccb881,
    0xcccefffe,0x7e5440ac,0x40accfff,0x1dfffffd,0xffb99710,0x003799df,
    0x02ffd400,0x333ffff1,0x80013333,0x101ffffd,0x000dffff,0xffb3fff3,
    0xffff105f,0x017ffec0,0x0dffff93,0x203fffc4,0x82ffffd8,0x98bffffb,
    0xfd000dfe,0xffd003ff,0xfffc803f,0x3fff6004,0x01ffff02,0x401ffff0,
    0x1bfffffd,0x220bfff6,0x3fea7fff,0x3fffd86f,0x400ffff8,0x0005fffb,
    0x02fffdc0,0x30011000,0x4001ffff,0x3ffffffe,0x01fffe20,0x802fffdc,
    0x3ff603fc,0x3ff2602f,0x3f2006ff,0xff8003ff,0xfffb00ff,0xfb8007ff,
    0x400005ff,0x02fffba9,0x3fffffe2,0xdfffffff,0xffff8801,0x1ffffb06,
    0x2fff7000,0xf882fffd,0x3ff607ff,0xfffb802f,0xffff103f,0x9ffff100,
    0x309fff90,0x1fffe800,0x01fffe80,0x0027ffe4,0x3e05fffb,0xff800fff,
    0xfff500ff,0xfffb03ff,0x4ffff105,0xfd86fffa,0xffff83ff,0x2fffdc00,
    0x3fee0000,0x0000005f,0x005fffd0,0x7ffffff4,0xffff100f,0x17ffee00,
    0xfb017e60,0xff7005ff,0x3f2007ff,0xff8003ff,0x7ff440ff,0xb8002fff,
    0x00005fff,0x13ffffee,0xffffff10,0xffffffff,0xfff7009f,0xffffb89f,
    0xbffb0003,0x220bfff6,0x3f606fff,0xffb002ff,0x3ffe20ff,0xbfff9007,
    0x007fffb0,0x03fffd00,0x803fffd0,0x2884fffc,0xf00fffc8,0xff001fff,
    0x3ff601ff,0xfffb01ff,0x4dfff105,0xfd86fffa,0xffff83ff,0x2fffdc00,
    0x5c000151,0xbb885fff,0xfecb8000,0xfffeefff,0x3ffa002f,0x105fffff,
    0x2e00ffff,0x7c405fff,0x7ffec00f,0xffffb002,0x0ffff200,0x83fffe00,
    0x1fffffe9,0xbfff7000,0x7f4c0000,0x2200efff,0xffffffff,0xffffffff,
    0xffffd806,0x0bffff31,0x4bffe200,0x3952fffd,0xfd813ffa,0xff1002ff,
    0xfff105ff,0x3ffe600f,0x06fffc86,0x1fffe800,0x01fffe80,0x2627ffe4,
    0x37fd46ff,0x001ffff0,0xf101ffff,0x7ec07fff,0x3a1952ff,0x3ffea4ff,
    0x83fffd85,0x5c00ffff,0xfff75fff,0x3fee0005,0x3fffc45f,0xffffd500,
    0xffffffff,0x7ff4005f,0x82ffffef,0x7007fff8,0xfb80bfff,0x2fffd802,
    0x5ffff100,0x07fff900,0x21ffff00,0x0efffff9,0x3ffee000,0xa8800005,
    0x3e206ffe,0x99999fff,0xfffffca9,0x7fffc402,0x0ffffe8e,0x1fff5000,
    0x3eabfff6,0x403df57f,0x2002fffd,0xf884fffd,0xff7007ff,0xffff309f,
    0xffe80007,0xfffe801f,0x27ffe401,0x5303fff2,0x07fffc01,0x407fffc0,
    0x200ffffb,0xffaafffd,0x7c43df77,0xfffd84ff,0x807ffd83,0xfffefffb,
    0xf70005ff,0xfffb8bff,0xfffd802f,0xffffffff,0x2002ffff,0xffe9fffe,
    0x7ffc40ff,0xbfff7007,0x3f600100,0x3f6002ff,0xffc804ff,0xfff8003f,
    0xfffffa8f,0x7dc0000e,0x000005ff,0x4403ffe2,0xf8807fff,0xfb805fff,
    0xffffefff,0x3ff60003,0x373fff66,0x54401fff,0xccdffffb,0xfff700aa,
    0x0ffff10b,0x05ffff30,0x003ffff6,0x01fffe80,0x401fffe8,0xaaadfffc,
    0x8002fffe,0xaaabffff,0xfffaaaaa,0x6fffc80f,0x6e7ffec0,0x7ec01fff,
    0x3fffd81f,0xb803ffa8,0xffffffff,0xff70003f,0xffffa8bf,0x7fffec02,
    0xffffffff,0x2002ffff,0xffa9fffe,0x7ffc44ff,0xbfff7007,0xfba88000,
    0xaaccdfff,0x0bfff700,0x007fff90,0xff9ffff0,0x0000bfff,0x0017ffee,
    0x03ffb000,0x401fffe2,0xb006fffd,0xbfffffff,0x3fff8000,0x3ffffff6,
    0x3fe603ff,0xffffffff,0xffa80fff,0x7fff886f,0x7ffffdc0,0xdffffb00,
    0x7fff4000,0x1fffe801,0x7ffffe40,0x02ffffff,0xffffff80,0xffffffff,
    0xffd80fff,0x7ffec04f,0x802fffff,0x0ffff600,0xffb80044,0x02ffffff,
    0x17ffee00,0xf701bffa,0x135bffff,0xffff7533,0x7fff4005,0x43ffffb1,
    0x7007fff8,0x4000bfff,0xfffffff9,0x80ffffff,0xc806fffa,0xf8003fff,
    0xffffffff,0xf700003f,0x44000bff,0x3ee21acc,0x3ffe207f,0xdfff3007,
    0x3fffe200,0x20000fff,0x3f61fff9,0x3fffffff,0x3fffff20,0xffffffff,
    0x87fff982,0xcccffff8,0xfffffecc,0xffff903f,0x6774c7ff,0x07fffa03,
    0x007fffa0,0xfffffff9,0x0005ffff,0xffffffff,0xffffffff,0x5fffd01f,
    0xfffffd80,0x40002fff,0x0003fffd,0x7fffffdc,0x5c0000cf,0x05505fff,
    0x03ffffb0,0x005fffd0,0xf88ffff4,0x3fe26fff,0xfff7007f,0x7fe4000b,
    0xffffffff,0xff982fff,0xfffc807f,0xffff8003,0x3fffffff,0xfffb8000,
    0x3fea0005,0xffffffff,0x1fffe202,0x027ffd40,0xffffddd7,0x07dddfff,
    0x6c7ffc80,0xffffffff,0x3fffe602,0xffffffff,0x7fff980f,0xffffff88,
    0xffffffff,0xffff904f,0x3f23ffff,0xffd01fff,0xfffb805f,0x7ffe401f,
    0xffffffff,0xffff8002,0xffffffff,0xd80fffff,0x7ec03fff,0x2fffffff,
    0x3fff6a00,0xefffffff,0xffea801d,0x001effff,0x0bfff700,0x2ffff800,
    0x2ffffa80,0x87fffa00,0xf13ffffb,0x3ee00fff,0x260005ff,0xffffffff,
    0x980fffff,0xfc807fff,0xff8003ff,0xffffffff,0x5c0004ff,0x40005fff,
    0xfffffffc,0x7ffc402d,0x5fffb007,0x7f7775c0,0xeeeeefff,0x7fff4003,
    0xeffffeee,0x5402ffff,0xcdffffcb,0xff301ccc,0xffff10df,0xffffffff,
    0x3fee07ff,0x6fffffff,0x209ffffd,0xf705fffd,0x803fffff,0xeeeffffc,
    0x8002ffff,0xeeeeffff,0xfffeeeee,0x5fffc80f,0x7f7ffec0,0x3e002fff,
    0xffffffff,0x205fffff,0xffffffd8,0x07b3005f,0x005fffb8,0x7ffc47b3,
    0x3ffaa03f,0x3a003fff,0x7fec1fff,0x7fff88ff,0x0bfff700,0x9750f660,
    0x999bffff,0x3ffe6039,0x3fffc806,0xfffff800,0xfffffc9f,0x3fee0004,
    0x07b3005f,0x0026aa66,0x203fffc4,0x01ffffd9,0x027ffe40,0x3fffe200,
    0xafffffff,0x2000fffb,0x2002fffd,0xf885fffb,0xffffffff,0x3600dfff,
    0xffa8efff,0xfffffdff,0xfffff901,0xfffffd99,0x203dffff,0x7e44fffc,
    0xff8001ff,0xfff800ff,0x7fffb80f,0x5d7ffec0,0xf1000fff,0xffffffff,
    0x20dfffff,0xfffffff8,0xfff005ff,0x2fffdc05,0x3a2fff80,0xcbdfffff,
    0xfffffffe,0x7400dfff,0x7fc41fff,0x7fff8dff,0x0bfff700,0x6c0bffe0,
    0x2e002fff,0xfc805fff,0xff8003ff,0x3fa60eff,0x70002fff,0x3e00bfff,
    0x400002ff,0xeeeffff8,0xfffffeee,0xffc8006f,0x7dc0004f,0xffffffff,
    0x04fd8aff,0x017ffec0,0x107fffb0,0x9999ffff,0x3fe00357,0x3fff60ff,
    0x200effff,0xfffffff8,0xffffffff,0xff904fff,0x07ffb89f,0x01ffff00,
    0x501ffff0,0x6c03ffff,0x4fd8afff,0x7fffdc00,0xffffffff,0xffff502e,
    0x00bfffff,0x5c09fff3,0xf9805fff,0x3ffe65ff,0xffffffff,0xffffffff,
    0x7fff404f,0xcffffb81,0xf7007fff,0xff300bff,0x3fff60bf,0x3fff6002,
    0x3fffc803,0x0ffff800,0x06ffff88,0x0bfff700,0x80bfff30,0x3fe2003a,
    0xffffffff,0x00efffff,0x7ed55544,0x0aaaadff,0x33bff600,0x2fffeccc,
    0x6c0336a0,0x3e002fff,0xff882fff,0x7cc0007f,0x7ffc46ff,0xa803ffff,
    0xffffffff,0xffffffff,0x9fff904f,0x20005b50,0xf800ffff,0xfff00fff,
    0x7ffec0bf,0x00336a02,0x9fffb331,0xff880133,0x5fffbaef,0x05fffa80,
    0x2017ffee,0x7dc6fffa,0xffffffff,0xffffffff,0x7ff404ff,0xffffd01f,
    0x2e00ffff,0xfa805fff,0xfffb06ff,0x7fffc005,0x3fffc802,0x0ffff800,
    0x05ffff50,0x0bfff700,0x20dfff50,0x1001ffd8,0xffffffff,0x07ffffff,
    0x3fffff60,0xffffffff,0x7fff1005,0x405fffb0,0xffb03fff,0x3ff6005f,
    0xfff880ff,0x7fd40007,0xffffa86f,0xfd3000ff,0x39ffffff,0x019dfffd,
    0x0013fff2,0x03fffe00,0x403fffe0,0xb05ffffc,0x7fc05fff,0x3ff6002f,
    0x164c003f,0x500bfff7,0x7dc0bfff,0xffa805ff,0xfffe986f,0xe9cfffff,
    0x00efffff,0x980ffff4,0x7fffffff,0x0bfff700,0x20dfff50,0xb002fffd,
    0x9001ffff,0xf0007fff,0x7ec01fff,0xfb8006ff,0xffa805ff,0x6ffe986f,
    0x3fffe200,0xaccccccc,0x4ccc4000,0x99cfffc9,0xff500099,0x5fffb01f,
    0x417ffe60,0xd802fffd,0xf104ffff,0x88000fff,0xfd83ffff,0xa8006fff,
    0x7fc1accb,0xfffc801f,0xff800004,0xfff800ff,0xffff100f,0x5fffb0bf,
    0x017ffe60,0x003fffd8,0x05fffb80,0x205fffa8,0xa805fffb,0x2a606fff,
    0xf702accc,0x3ffa005f,0x3fff201f,0xf7007fff,0xff500bff,0x3fff60df,
    0xffffd802,0x7fff9004,0x1ffff000,0x1ffffc40,0x17ffee00,0x51bffea0,
    0x4001dfff,0x999ffff9,0x22000009,0x09cfffc9,0x87ffd800,0x99bfffd8,
    0x6fffb999,0x337fffd0,0xffd73333,0x7fcc0dff,0x009999ff,0x7fffff40,
    0xfffffecd,0x200006ff,0xc8804ff8,0x1999dfff,0x7ffc4000,0x7ffc401f,
    0x3ffea01f,0xfe9bdfff,0x99999bff,0x4406fffb,0x9cfffd99,0x5ccc0009,
    0x9999dfff,0xfffb9999,0xfffb9985,0x9999999d,0x006fffb9,0x089bfa00,
    0x06bfffa0,0x7fffffc4,0x7fdccc07,0x999999df,0x06fffb99,0x3337fffd,
    0xfffd7333,0x4cccc0df,0x999cfffd,0x7fffcc00,0x3fff2009,0x5ccc009f,
    0x9999dfff,0xfffb9999,0x017ffee6,0xffffffc8,0x01efffff,0x3fffae00,
    0x3effffff,0x7ffff440,0xffffadff,0xffffffff,0x7e46ffff,0xffffffff,
    0xffffffff,0xffffc81f,0xefffffff,0xffff5001,0xffffffff,0x0007ffff,
    0x5457fe20,0xffffb31d,0xbfffffff,0xffff9800,0x7644ffff,0x2fffffff,
    0xffffff70,0xffffffff,0xffffffff,0x3fffae0d,0xffffffff,0x3ff6202e,
    0xffffffff,0xffffffff,0x3fff65ff,0xffffffff,0xffffffff,0x2e00006f,
    0x41ffccff,0xfffffffc,0xffffa84f,0xffffb07f,0xffffffff,0xffffffff,
    0xfffffc8d,0xffffffff,0xd81fffff,0xffffffff,0x4fffffff,0x7fffffe4,
    0xff884eff,0x6c2effff,0xffffffff,0xffffffff,0xff36ffff,0x7fd4007f,
    0xffffffff,0x10006fff,0xffffffff,0x401fffff,0xfffffffc,0xffffffff,
    0xffffffff,0x3ffe66ff,0xffffffff,0x1fffffff,0xffffffa8,0x6fffffff,
    0x3ffff200,0xffffffff,0x00003fff,0x3ffffffa,0xffffffb4,0x7fffffff,
    0x7ffff400,0xf32fffff,0xffffffff,0x7fffd40d,0xffffffff,0xffffffff,
    0xffff886f,0xffffffff,0x3fee06ff,0xffffffff,0xffffffff,0xfff75fff,
    0xffffffff,0xffffffff,0x40000dff,0x1ffffff8,0x3fffffe6,0xfd82ffff,
    0xffb87fff,0xffffffff,0xffffffff,0x3fe66fff,0xffffffff,0xffffffff,
    0xfffffa81,0xffffffff,0xff31ffff,0xffffffff,0xffff903f,0x7ffdcdff,
    0xffffffff,0xffffffff,0x03df36ff,0xfffff980,0xffffffff,0xfff10005,
    0xffffffff,0x7fdc01ff,0xffffffff,0xffffffff,0x6fffffff,0x3fffffe2,
    0xffffffff,0xff300dff,0xffffffff,0x9800bfff,0xfffffffe,0x00ceffec,
    0x3ffa2000,0xfffb0fff,0xffffffff,0x7f4005ff,0xffffffff,0xffffff11,
    0xd880ffff,0xffffffff,0xffffffff,0xfff06fff,0xffffffff,0x7d40bfff,
    0xffffffff,0xffffffff,0xff55ffff,0xffffffff,0xffffffff,0x0000dfff,
    0x43dffc98,0xfffffff9,0xff881fff,0xfffa87ff,0xffffffff,0xffffffff,
    0x3ffe26ff,0xffffffff,0x00dfffff,0xfffffff5,0xffffffff,0x3ffe63ff,
    0xffffffff,0xfffff880,0x3fffea6f,0xffffffff,0xffffffff,0xb800026f,
    0xfffffffe,0x0001dfff,0x3fffff6a,0x802dffff,0xbeffffed,0xffffffe9,
    0xffffffff,0x7ffedc6f,0xefffffff,0xfeb801bd,0xffffffff,0x530001df,
    0x00015797,0xbdc98000,0x3ffff260,0x3effffff,0x7ffecc00,0x6dc3efff,
    0x2dffffff,0xffdb7100,0xffffffff,0x20dfffff,0xffffffda,0x01dfffff,
    0x7fffff64,0xffffffff,0x25ffffff,0xffffffeb,0xffffffff,0x006fffff,
    0xdb802000,0x3effffff,0x41fffee0,0xffffffeb,0xffffffff,0x5c6fffff,
    0xfffffffd,0x01bdefff,0xfffffeb8,0xffffffff,0x7ffedc3d,0x203dffff,
    0x41dffffc,0xffffffeb,0xffffffff,0x006fffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x66665440,0x66664004,0xb75000ac,0x001379dd,
    0x99999951,0x03579999,0x99995100,0x79999999,0x32a20013,0xcccccccc,
    0xcccccccc,0x9997304c,0xcca88159,0x7300accc,0x98037999,0x881bcccc,
    0xacccccca,0x99995100,0xccc98599,0xcccccccc,0xcccccccc,0x332a20cc,
    0xbccccccc,0x33320009,0xcccccccc,0x984ccccc,0x401bcccb,0x81bcccca,
    0xbcccccb9,0x66664c01,0x5cc00bcc,0xcccccccc,0x22000003,0x0000000b,
    0x00002a80,0x4000dc40,0x350000a8,0x00000000,0x7fc03000,0x002fffff,
    0xfffffff5,0x7fff5401,0x03ffffff,0x7ffffffc,0xffffffff,0x3ffe003f,
    0xffffffff,0x01efffff,0x7ffffffc,0xffffffff,0xd87fffff,0xffffffff,
    0x3fffffe0,0xfffd86ff,0xfd05ffff,0x89ffffff,0xffffffff,0x7ffcc1ff,
    0x26ffffff,0xfffffffa,0xffffffff,0x20ffffff,0xffffffff,0x3effffff,
    0x7ffffc40,0xffffffff,0x3f60ffff,0x05ffffff,0xfffffffd,0x7ffffdc9,
    0xfd05ffff,0xffffffff,0x3ffff205,0x0fffffff,0xff880000,0x0000000f,
    0x00bfff50,0x3ffe6000,0x3ffe2002,0x77ff4000,0x00000002,0x307f7000,
    0xdfffffff,0x3ffff600,0xfd882fff,0xffffffff,0xf982efff,0xffffffff,
    0xffffffff,0x7ffd402f,0xffffffff,0x4fffffff,0xffffff30,0xffffffff,
    0x8fffffff,0xfffffff8,0xffff53ff,0xf83fffff,0xffffffff,0x7ffffcc0,
    0x3fea7fff,0xffffffff,0x7ffffe43,0xf51fffff,0xffffffff,0xffffffff,
    0x3e61ffff,0xffffffff,0xefffffff,0xfffff101,0xffffffff,0x7fc1ffff,
    0x0fffffff,0x7fffffcc,0x3fffa7ff,0x0fffffff,0x7fffffc4,0xff05ffff,
    0xffffffff,0x000007ff,0x0005fff7,0xffe98000,0x93000fff,0x217bdfdb,
    0x005ffff9,0x800fffea,0x1efffff9,0x22000000,0x00bdeedb,0x3ffe0bfb,
    0x401fffff,0xfffffff9,0x7fff440f,0xffffffff,0xff81ffff,0xffffffff,
    0xffffffff,0x3ffe201f,0xffffffff,0xffffffff,0xffffff03,0xffffffff,
    0x0fffffff,0xfffffffd,0x7ffffc1f,0xffd87fff,0xd06fffff,0x9fffffff,
    0x7fffffc4,0x7cc1ffff,0xffffffff,0x3ffffea7,0xffffffff,0xffffffff,
    0x3fffffe0,0xffffffff,0xf882ffff,0xffffffff,0xffffffff,0x3fffff60,
    0xffff06ff,0x7d4bffff,0xffffffff,0xfffffd05,0x3203ffff,0xffffffff,
    0x00007fff,0x003fffc8,0xffb30000,0x500dffff,0xfffffffd,0xfffffbff,
    0x7ffc4007,0x7fffc001,0x0000dfff,0xffffb100,0x81bfffff,0xff9105fe,
    0xc80bffff,0x0cffffff,0xefffffd8,0xfffdb9ac,0xfca886ff,0xcccccfff,
    0xefffffec,0x3ff2a200,0xccccccff,0x1fffffed,0xffffca88,0xcccccccd,
    0x887fffcc,0x0acffffb,0x7fffe544,0xfffd500b,0x3fe201df,0xd882dfff,
    0x0bccefff,0xffd99710,0x7ffd41bf,0xffeccccf,0xffccccdf,0x3fea20ff,
    0xdccccdff,0x1fffffff,0x667fffc4,0xffdccccc,0xffd987ff,0x3fa206ff,
    0xba81cfff,0x02ceffff,0x3fffb2a2,0x65cc02bf,0xffffffec,0x6400002f,
    0x00003fff,0x7fffe440,0x2200dfff,0xfffffffc,0xffffffff,0x1c98005f,
    0xfffd8800,0x000cffff,0x3fffee00,0xffffffff,0x980ffe1f,0x1fffffff,
    0xffffff10,0xffff703f,0xfffe801f,0x3fffe03f,0x3fff2200,0xffff003f,
    0xffff9801,0x07fffc04,0x83fffc40,0x999ffff8,0xff999999,0x7f4401ff,
    0xff702fff,0x7d401dff,0xfd0005ff,0xfffa85ff,0x83fffd86,0xfe80ffff,
    0x3f2601ff,0x7fc46fff,0x3ffa207f,0x3ffa01ff,0xfff300ff,0xfffb00bf,
    0xfffe800d,0xfffd0004,0x000bffff,0x03fffc80,0x3fee0000,0x01efffff,
    0xffffffe8,0xffffffff,0x000005ff,0x3fffaa00,0x0003ffff,0xffffffb8,
    0xffffffff,0x201ffbaf,0xfffffff9,0xfffff704,0xffff03ff,0xffd1003f,
    0x3ffe01ff,0xfffe800f,0x1ffff005,0x0bfff900,0x800ffff8,0x7547fff8,
    0xffffffff,0xffffffff,0x2602efff,0x4c1fffff,0x400fffff,0xa986fff9,
    0xffff81aa,0x437ffd41,0xff83fffd,0xfffe80ff,0xffffb801,0x81fffe23,
    0x403ffffd,0xd06ffff9,0x3001ffff,0x2003ffff,0x000ffffa,0xfbffff98,
    0x00000fff,0x000ffff2,0x3fffaa00,0x9002ffff,0x57bfffff,0xfffff953,
    0x0000007f,0xfffff700,0x20005dff,0xcefffffa,0xfffeca9a,0x4c06ffff,
    0xffffffff,0xffffff80,0x7ffc41ff,0x999999bf,0xfff99999,0x1ffff02f,
    0x0dfff500,0x003fffe0,0xf01fffe6,0x83301fff,0x7fec6fff,0xffffffff,
    0xffffffff,0x7d406fff,0xff10ffff,0xf1003fff,0xffff0fff,0x0ffff88f,
    0x6c37ffd4,0xfff83fff,0x1fffe80f,0x8dfffb00,0xff707fff,0x3ee00bff,
    0x7fe43fff,0x3fa002ff,0xffb004ff,0x3f6000bf,0x7fffd6ff,0x7fe40000,
    0x2600003f,0xfffffffe,0x3ffea003,0xffe882ef,0x000fffff,0xc8800000,
    0xefffffff,0x7fffc001,0x7ffe403f,0x7cc00fff,0x3fffffff,0x7fffffd4,
    0x7ffd41ff,0xffffffff,0xffffffff,0x1ffff04f,0x0dfff700,0x003fffe0,
    0xf017fff6,0xffc81fff,0xf713ff23,0xffffffff,0xffffffff,0x7009ffff,
    0xfd1dffff,0x7c007fff,0x3fea0fff,0x3fe21fff,0x5fff987f,0xf83fffd8,
    0xffe80fff,0xfff1001f,0x437ff45f,0x00effff9,0x47ffffa0,0x005ffff9,
    0x007fffdc,0x00bfffe2,0x4bfffe20,0x0007fffb,0x00ffff20,0x3fff6200,
    0x000cffff,0x407ffff4,0xffffffe8,0x000004ff,0x3ff22000,0x00dfffff,
    0x02ffff98,0x07ffff50,0xf9ffff30,0xfffe8fff,0x641fffed,0xffffffff,
    0xffffffff,0xff05ffff,0xfe9801ff,0xfff003ff,0xfffb801f,0x7fffc04f,
    0x2a2fffc0,0xffff3101,0x55555557,0x015ffff5,0x7ffffe40,0x4004ffff,
    0x3f21ffff,0x3e64ffff,0xfff886ff,0x83fffd83,0xffd06ffd,0x7ff4003f,
    0x10ffee4f,0x003fffff,0x8effff88,0x000ffffe,0x403ffff8,0x0006fffc,
    0x7c4ffff7,0x00002fff,0x0007fff9,0x7ffffe44,0x98001dff,0xe882ffff,
    0xffceffff,0x0000007f,0xfffd9800,0x200cffff,0x4005fffb,0x9805fffd,
    0xfff8ffff,0x3ffff33f,0xfc83fffd,0xffffffff,0xffffffff,0xfff06fff,
    0x3ff2201f,0xff000fff,0x755557ff,0x1ffffff9,0xabffff80,0x007fffba,
    0xaabffff8,0xffaaaaaa,0xfd8000ff,0x05ffffff,0x22fffe80,0x27ffffff,
    0xfb05fffa,0x7fffb03f,0x3a07ff50,0x32001fff,0x40445fff,0x002ffffe,
    0xfdffff70,0x20005fff,0x7c06fffc,0xd0003fff,0xffd89fff,0xdd93005f,
    0xffffdddd,0x9ddddddd,0x3fffee03,0x0001efff,0x741bffea,0xf98effff,
    0x3baa0fff,0xeeeeeeee,0xeeeeeeee,0x3aa0001d,0x3fffffff,0x003fffb0,
    0x806fff98,0xffb7fff9,0x57fff6df,0x7d41fffe,0xffffffff,0xffffffff,
    0xfff06fff,0xfdb9999f,0x00bfffff,0x7ffffffc,0xffffffff,0xffff802f,
    0x7fffffff,0xfffff800,0xffffffff,0x8000ffff,0xefffffe8,0xfffd8000,
    0xffffff53,0x13ffee3f,0x3fff6008,0x7f401103,0x3ea001ff,0xffc806ff,
    0x6c0004ff,0x5fffffff,0x3ffe2000,0xffff502f,0xfff30001,0xffff983f,
    0x7fffc400,0xffffffff,0xffffffff,0x7ffff546,0x80002eff,0xfd84fffc,
    0x3fa0efff,0xffff12ff,0xffffffff,0xffffffff,0xff70000f,0x45dfffff,
    0x0007fff8,0x9801ffff,0xfff37fff,0x25ffff7f,0x7c41fffe,0x00002fff,
    0xfffffff0,0xffffffff,0xffff8009,0xffffffff,0xf801ffff,0xffffffff,
    0xff8007ff,0xffffffff,0x0fffffff,0xffff5000,0x3f20005f,0xffff94ff,
    0x3ff29fff,0xffb0003f,0x3fa0007f,0x3e6001ff,0x7fd406ff,0x880006ff,
    0x0fffffff,0x7ffec000,0x0bfffd05,0x17fff600,0x2027fff4,0xfffffff9,
    0xffffffff,0x10ffffff,0xfffffffb,0xf9000019,0xfffd89ff,0x7fff40ef,
    0xffffff32,0xffffffff,0x1fffffff,0xffd88000,0x10dfffff,0x2000ffff,
    0x4c00ffff,0x3ff67fff,0x3a6fffff,0xfff81fff,0x800001ff,0xffffffff,
    0x02ffffff,0xffffff80,0xffffffff,0x7fc01fff,0xffffffff,0xfff8007f,
    0xffffffff,0x00ffffff,0xfffff880,0xfb8000ef,0xbffff5ff,0x3ff6ffff,
    0xffb0002f,0x3fa0007f,0x3e6001ff,0x3fe606ff,0x00000fff,0x05fffff7,
    0xffff5000,0x1ffff981,0xffff8800,0x0ffff702,0xffffff90,0xffffffff,
    0x309fffff,0xfffffffd,0xffa80007,0xffffb0ff,0x7fff881d,0x7fffffec,
    0xffffffff,0x004fffff,0x7ffffdc0,0xffe81eff,0x7fcc001f,0xfff9806f,
    0x3ffffea7,0x3fffa3ff,0xfffffa81,0xceca9802,0xffffff00,0xbfffffff,
    0x3fffe000,0xfeeeeeee,0x02ffffff,0x3bbbfffe,0x8007fffe,0xeeeeffff,
    0xfffeeeee,0xffe8000f,0x006fffff,0xfaefffa8,0xffff8fff,0x001fffe9,
    0x007fffb0,0x007fffa0,0x106fffa8,0x005ffffd,0x5fffd800,0x3ffe0000,
    0x37ffe44f,0xffffb800,0xfeeeeeee,0x33002fff,0xfffb3333,0x03333339,
    0xffffff50,0x220005df,0xffdbffff,0xffc80fff,0x9999985f,0x99999999,
    0x00099999,0x3ffffea0,0x3f202eff,0x7ec005ff,0xff9804ff,0x7ffff47f,
    0x0ffff47f,0xffffffc8,0xffeccbcd,0xff04ffff,0xfb9999ff,0x0009ffff,
    0x9801ffff,0x207ffffd,0x7fc0ffff,0x7fc0086f,0xfff800ff,0x7fec000f,
    0x4fffffff,0x7fffcc00,0xffb5fffd,0x03ffff9f,0x0ffff600,0x0ffff400,
    0x09fff900,0x40fffff6,0x64000dea,0x00003fff,0xf89fffee,0xd0003fff,
    0xffffffff,0xbfffffff,0xfffc8000,0xffb80003,0x01efffff,0xfffffe80,
    0xfb81ffff,0x00003fff,0x7f540000,0x03ffffff,0x03ffff98,0x03ffff90,
    0xb8ffff30,0x744fffff,0x3fa01fff,0xffffffff,0xffffffff,0x01ffff05,
    0x07fffff7,0x00ffff80,0x03ffff70,0xfd03fffe,0x01efb8bf,0xf001ffff,
    0x5c001fff,0xfd8effff,0x22003fff,0xffffffff,0xffffff52,0x360001ff,
    0xd0003fff,0x6c003fff,0xffb83fff,0x3ffa05ff,0x7ffe4004,0x3e200003,
    0xfff72fff,0xff30001f,0xffffffff,0x1fffffff,0x7ffe4000,0xf9100003,
    0x1bffffff,0x7fffcc00,0x6c41ffff,0x000fffff,0xb3000000,0x9fffffff,
    0x7fffc001,0xffb301df,0x3e600fff,0xffff87ff,0x0ffff40f,0x3fffff20,
    0xffffffff,0xfff01fff,0x3ffe601f,0x3fe003ff,0x3f2000ff,0xffff03ff,
    0xfe83c881,0x1ffff04f,0x01ffff00,0x3ffffea0,0x5ffffd10,0x7ffffc00,
    0xfff10fff,0x000fffff,0x001fffec,0x001fffe8,0xf307fffe,0x2201dfff,
    0x64006fff,0x00003fff,0xfeb7ffec,0xfb0004ff,0xffffffff,0xffffffff,
    0x7fe40009,0x4c00003f,0xfffffffd,0xfff9000c,0xdb99dfff,0x05ffffff,
    0x10000000,0xfffffff9,0xff50001b,0x999dffff,0x3ffffffd,0x1fffe600,
    0x3a17ffee,0xd8801fff,0xffffffff,0x7c02dfff,0x3e600fff,0xf001ffff,
    0x5c001fff,0xfff05fff,0x3fe2001f,0x1ffff06f,0x01ffff00,0x3fffff10,
    0x0fffff98,0xfffffd00,0xffffd8bf,0x360006ff,0xd0003fff,0x36003fff,
    0x3e20ffff,0x2601ffff,0x64007fff,0x00003fff,0x7dffffcc,0x88001fff,
    0xaaacffff,0xfcaaaaaa,0x320007ff,0x00003fff,0xfffffd30,0xff9007ff,
    0xffffffff,0x09ffffff,0x70000000,0xdfffffff,0xffb80003,0xffffffff,
    0x003fffff,0x4c1fffe6,0xfffe8099,0x3fe62001,0x0009aadf,0x5003fffe,
    0x200dffff,0x2000ffff,0xff04fffe,0x3e6001ff,0xffff07ff,0x1ffff001,
    0xffffe880,0xdffff503,0xffffb001,0xfffa85ff,0x20005fff,0x0003fffd,
    0x8803fffd,0x744ffffe,0x4c03ffff,0x64007fff,0x00003fff,0xffffffe8,
    0xff70005f,0xfff800ff,0xff90002f,0x8000007f,0xfffffffa,0xffff902e,
    0xffffffff,0x0005dfff,0x7d400030,0x2effffff,0x3faa0000,0xffffffff,
    0x4c001eff,0x0009ffff,0x05fffd31,0x003ff980,0x2bfffe20,0x7fffe400,
    0x7fffcc04,0x99999999,0x2ffffdb9,0x9affff88,0x99999999,0xf887fffa,
    0x7c401fff,0x7ec01fff,0x7e404fff,0xfc805fff,0x440fffff,0x04ffffff,
    0x7feccc40,0x200099cf,0x999bfffe,0xfffeb999,0x7fffe46f,0x9999999d,
    0x807fffa9,0xcfffd998,0x70000099,0x5fffffff,0x3fffa000,0xffb1000d,
    0x3f2000bf,0x000003ff,0xffffff70,0xffffb89f,0xfffffdcf,0x0000bdef,
    0x4000ffe8,0xfffffffd,0x71000003,0xfffffffb,0xfd88007b,0x3effffff,
    0xfffffd50,0x2e003bff,0x001711ff,0xffffffd9,0x7fec09ff,0x3f20efff,
    0xffffffff,0xffffffff,0x3b20ffff,0xffffffff,0xffffffff,0x3faa7fff,
    0x45ffffff,0xfffffffc,0x7fffec3f,0x6c40dfff,0x5fffffff,0x3ffffee0,
    0xfffffb05,0x3ffae007,0xffffffff,0x3ff201ef,0xffffffff,0xffffffff,
    0x7fffffc0,0xffffffff,0x2a07ffff,0xfffffffe,0x002effff,0x7ffffc40,
    0x7ecc007f,0x2effffff,0xfffffd70,0x5c001dff,0x00003fff,0x3fff2200,
    0x3ffe0fff,0x565cc1ff,0x7d400000,0x3e6003ff,0x00cfffff,0x2e200000,
    0x320000bc,0xffffffff,0xffff80ff,0x05ffffff,0xffdfff10,0xffff980b,
    0x1fffffff,0xffffff10,0x3ffffe67,0xffffffff,0xffffffff,0x3ffffe61,
    0xffffffff,0xffffffff,0x3fffffa7,0xff32ffff,0xffffffff,0x3ffffea1,
    0x7dc3ffff,0xffffffff,0xfffff502,0x3fffea07,0xfff8802f,0xffffffff,
    0xff306fff,0xffffffff,0xdfffffff,0xffffff03,0xffffffff,0x7c0fffff,
    0xffffffff,0x006fffff,0xfffffc80,0x7ffec003,0x87ffffff,0xfffffff8,
    0x26004fff,0x00000fff,0xfffd9800,0x017fff46,0x7cc00000,0x7fc001ff,
    0x00000dff,0x40000000,0xfffffffb,0xfffd07ff,0x09ffffff,0x7ffffe40,
    0x7fffc403,0x1fffffff,0x3ffffea0,0xffffff33,0xffffffff,0x83bfffff,
    0xfffffff8,0xffffffff,0x27ffffff,0xfffffffe,0xffff11ff,0x4cdfffff,
    0xffffffff,0x7fffd42f,0x302fffff,0x201fffff,0x01fffff8,0xfffffff0,
    0xbfffffff,0x3ffffe20,0xffffffff,0xff00dfff,0xffffffff,0xffffffff,
    0x7ffff40f,0xffffffff,0xf980006f,0x4000ffff,0xfffffffd,0xffff07ff,
    0x09ffffff,0x0004ec80,0x6ecc0000,0x000f6cc1,0x5b500000,0x039b5000,
    0x00000000,0x3fb22000,0x02dfffff,0xffffffb3,0xc980019d,0xfb7002ce,
    0x7bffffff,0x19dffb00,0x7ffffedc,0xffffffff,0x36e02cde,0xffffffff,
    0xffffffff,0x3f667fff,0x43efffff,0xffffffdb,0x7fff5c2d,0xfd904eff,
    0x407dffff,0x406ffff8,0x000ffffd,0xffffffb5,0x03bfffff,0x7ffffedc,
    0xbdefffff,0x7ffffc00,0xffffffff,0x207fffff,0xffffffda,0x01dfffff,
    0xbfffb000,0xffd91000,0x205bffff,0xffffffda,0x000000ce,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x88000000,0x76dcc400,0x000bceee,0x3bb6ea20,0x40060bde,
    0x82ceecb9,0x401bdec9,0x4c001dc8,0xaaaa883d,0x5555100a,0xb8800155,
    0x000bdeed,0x6776dd40,0xc980009b,0x31bdefec,0x5bb71003,0x2b76e601,
    0x55553000,0xdedb9835,0x5554c00b,0x4001aaaa,0x81aaaaa8,0x1aaaaaa8,
    0x55555440,0x55551000,0x55555505,0x55555555,0xaaa81555,0x5100aaaa,
    0x01555555,0x51000100,0x37261555,0x3000bcee,0x3b665555,0x6f76dc3d,
    0x55551001,0x2aaa2015,0x220000aa,0x54409801,0x5100aaaa,0x7c155555,
    0xfffd981f,0xffffffff,0x7fdc000c,0xffffffff,0x3ee06fed,0xefffffff,
    0xffffff70,0x0fffec05,0x7d435953,0x3fffa4ff,0xffc81fff,0x801fffff,
    0xffffffd8,0x4000dfff,0xffffffea,0xd3003fff,0xffffffff,0x2207ffff,
    0x2ffffffd,0x7fffffe4,0x3fffe602,0xffb14fff,0x305fffff,0xffffffff,
    0x7fdc007f,0x2a7fffff,0xffffffff,0xfffff707,0xffe80bff,0x3e2fffff,
    0xffffffff,0xffffffff,0xffffff70,0xffc87fff,0x3fffffff,0x00bfd100,
    0x57fffff4,0xfffffffd,0x3ffe202f,0xffffcfff,0xffffeadf,0x7fec04ff,
    0x643fffff,0x4fffffff,0x01ff9800,0xfffe9bf2,0xffc81fff,0xf31fffff,
    0xfffff07f,0xffffffff,0x3fa200bf,0xffffffff,0x81ffffff,0xfffffff8,
    0xfffdffff,0xf03fffff,0xffd9ffff,0xfff9dfff,0x3fffe6df,0xfff81fff,
    0x401fffff,0xfffffffb,0x02ffffff,0xfffffd88,0xefffffff,0x3ffff202,
    0xffffffff,0xffe886ff,0x92ffffff,0xffffffff,0x3ffff605,0xfffacfff,
    0x0fffffff,0x7fffffe4,0x3a003fff,0xffffffff,0xffffffd2,0xfff05fff,
    0x03ffffff,0x3fffffea,0x3fffe6ff,0xffffffff,0xfd0fffff,0xffffffff,
    0x7ffffc4f,0x007fffff,0x5003fff5,0xffffffff,0xffffffff,0x3fff209f,
    0xffffffff,0xffffffff,0xff302fff,0x8fffffff,0xffffffff,0x3fee000f,
    0x4ffd880f,0xfffffff3,0xffffff03,0x0ffea3ff,0x3ffffffe,0xffffffff,
    0x7fffc404,0xffffffff,0x983fffff,0xffffffff,0xffffffff,0xb82fffff,
    0xffffffff,0xffffffff,0xfffff13f,0xfffd03ff,0x5c03ffff,0xffffffff,
    0x3fffffff,0x3ffffa20,0xffffffff,0xffa81fff,0xffffffff,0xd87fffff,
    0xffffffff,0xfffffdff,0xb82fffff,0xffffffff,0xffffffff,0x7fd44fff,
    0x3fffffff,0x3ffff200,0xffb1ffff,0x3fffffff,0xffffffb0,0x7ffc40ff,
    0x3e4fffff,0xffffffff,0xffffffff,0xffffff90,0xffd89fff,0x5fffffff,
    0x07fff900,0xffffff10,0xffffffff,0xf503ffff,0xffffffff,0xffffffff,
    0x40ffffff,0xffffffff,0x7ffffec4,0x3f2006ff,0xffe882ff,0xfffff10e,
    0xfffb03ff,0x3f23ffff,0xefffb82f,0xfeb99abc,0x7fec07ff,0xca9bcfff,
    0x3ffffffe,0x359dffb0,0xfffffffb,0x0dffff95,0x3ffffff6,0xffffffff,
    0x7fedcc4f,0xedb881ff,0xf301ffff,0x359dffff,0xfffffd95,0x3ffff603,
    0xfdb9acef,0xfe86ffff,0xa9acefff,0x47ffffeb,0xbaeffffa,0xffffffff,
    0x6ffffcbe,0xfffdd950,0x59ffffff,0x9505fffb,0x7ffffddd,0x7f6dc400,
    0x7fec2eff,0x102cefff,0x37dffff7,0x64c2aaa2,0x20bffffe,0xeeeeffff,
    0xffffffee,0x3ffb6e24,0x6440cdff,0xbdeffffd,0x7fff9000,0x3fff2600,
    0xb9bcffff,0x505ffffd,0x7dfffffb,0xbfffffd5,0x01ffff75,0x3fffff26,
    0x7fffcc0f,0xd8800cff,0xff982fff,0x7edcc0ef,0xdb881fff,0xfdbffffe,
    0x2002206f,0x700ffff9,0x801bffff,0x203ffffc,0x3ffffa00,0x3fffea0f,
    0xfffffd02,0xffffffbf,0x1fffe80b,0x01fffe80,0x807fffff,0xb87ffffc,
    0x400fffff,0x7c3ffffe,0x7cc01fff,0x7ffec6ff,0x3fffe60e,0x3fee1fff,
    0x7fe402ff,0x40cfffff,0x3f2002c9,0xf90003ff,0xfffa89ff,0x3f2002ff,
    0x7ffec4ff,0x427ffe44,0xf980fffe,0x2604ffff,0x5402ffff,0x0401ffff,
    0x041fffe4,0x3fffffd0,0x81fffee0,0x20effff8,0x744ffffb,0x7d402fff,
    0xf30effff,0x003fffff,0x20bfffa2,0x400efffa,0xe801fffe,0x1fffffff,
    0xfffd0000,0x1bfffe05,0x02fffe80,0x7ffff900,0x20dfffd0,0x222efffe,
    0x405ffffb,0xe801fffe,0xff981fff,0xff5002ff,0xffff83ff,0xffe8801f,
    0x3fffe0ff,0x177d400d,0x3207fffe,0xe84fffff,0x7e406fff,0x002fffff,
    0x0ffff200,0xa7ffe400,0x0dffffd8,0x37ffd400,0xe8fffff1,0xffc82fff,
    0xfffff985,0x6fffd804,0x02ffff40,0x3239dfb1,0xff953fff,0x3bfffa09,
    0x3fffe200,0x1ffff100,0xd86fffa8,0xe9802fff,0xffbfffff,0x3000efff,
    0xf907ffff,0xfd001dff,0xffd003ff,0x2001bfff,0xeffffecb,0x882ffffe,
    0x2000ffff,0x2200fffa,0xffeffdca,0x99999fff,0x440ffffb,0xf702ffff,
    0xffe80fff,0xfffe801f,0x05fffb81,0x11fffec0,0x3337ffff,0x33333333,
    0x7ec5ffff,0xacdfffff,0x7ffcc009,0xfffff307,0xff733333,0x7fe401ff,
    0x00000eff,0x001fffe4,0xe9cfffc8,0x0003ffff,0x2e1ffff1,0xf12fffff,
    0xbb101fff,0xfffff983,0xffff3004,0x3fffea03,0x3fffee01,0xfeffffff,
    0xe81fffff,0xfe801fff,0xfff101ff,0x0bfff50f,0x2005fffb,0xffffffe8,
    0x5000dfff,0xfb07ffff,0x3a001fff,0xfe801fff,0x3aa002ff,0xffffffff,
    0xa82fffff,0xb8005fff,0x3ffee02d,0xffffffff,0xffffffff,0x7fd41fff,
    0x3ffe207f,0x3fffa01f,0x1fffe801,0x001fffd8,0xf52fffcc,0xffffffff,
    0xffffffff,0x7fcc9fff,0xffffffff,0xfff703ef,0x7ffffc0b,0xffffffff,
    0x3ff201ff,0x9000005f,0x20007fff,0xfffefffc,0x740004ff,0xfffd2fff,
    0x3ffeabff,0x7ffcc006,0x7f4004ff,0xfffd05ff,0xffffa80b,0xffffffff,
    0xe81fffff,0xfe801fff,0xfff101ff,0x0bfff50f,0x8005fffb,0xfffffffd,
    0x3ffee004,0x7fff443f,0x3ffa001f,0xfffe801f,0xffffb001,0xffffffff,
    0xff705fff,0x9800009f,0xfffffffe,0xffffffff,0xffffffff,0x027ffe42,
    0xe80ffff6,0xfe801fff,0x7ffc41ff,0xffff0007,0x7fffffe4,0xffffffff,
    0x45ffffff,0xffffffea,0x41efffff,0x3602fffd,0xffffffff,0x02ffffff,
    0x0013fff2,0x1fffe400,0xffffc800,0x0dffffff,0x9fff9000,0xfffffff3,
    0x009fff91,0x27ffffcc,0x7fffd400,0x0ffffd41,0x7ffffe40,0xffffffff,
    0xfffd03ff,0x3fffd003,0x21fffe20,0xfd85fffa,0x7c4002ff,0x006fffff,
    0x07ffffe6,0x00bffff9,0x801fffe8,0xd801fffe,0xffffffff,0xffffffff,
    0x03fffc82,0x3ffe2000,0xffffffff,0xffffffff,0x42ffffff,0x7406fffb,
    0x3fa02fff,0xffe801ff,0x3fffc41f,0x0ffff800,0xfffffff9,0xffffffff,
    0x20dfffff,0xffffffda,0x363fffff,0x3f603fff,0xffffffff,0x202fffff,
    0x0004fffc,0x07fff900,0x3ffff200,0xefffffff,0xfffa8001,0xffffffce,
    0x02fffebf,0x9fffff30,0x7fff4000,0x037fff45,0xffffb710,0x15bfffff,
    0x00ffff40,0x880ffff4,0xffa87fff,0x2fffd85f,0x3fffa200,0x2005ffff,
    0x41ffffe9,0x005ffffb,0x2007fffa,0x5c01fffe,0x9adfffff,0xfffba998,
    0x5fffa82f,0x3fee0000,0xa99aceff,0xfffffffd,0x2fffffff,0x80ffffcc,
    0x200ffffa,0xe801fffe,0xffe81fff,0x7fcc001f,0x3fffea6f,0xffffffff,
    0xffffffff,0xecba8806,0x90ffffff,0x7fc0bfff,0xffffffff,0x202fffff,
    0x0004fffc,0x07fff900,0x3ffff200,0xfffffa8d,0x7fc4000f,0xfeffffff,
    0x0fffffff,0xfffffa80,0x7fd40004,0xffff31ff,0x3fe60005,0x000fffff,
    0xd003fffd,0x3e203fff,0xfffa87ff,0x02fffd85,0xfffffd10,0x001dffff,
    0x20ffffec,0x005ffff9,0xd003fffd,0xfd803fff,0xfe801fff,0xfff982ff,
    0x3f600006,0xff900eff,0x7c0001ff,0x6c40dfff,0x7f406fff,0xffe801ff,
    0x5fffc81f,0x27ffec00,0x005ffff1,0x00bb6200,0xb9ffffd4,0xfa80ffff,
    0x0000ffff,0x004fffc8,0x7fff9000,0x3fff2000,0x7ffffcc5,0xfffe8004,
    0xfff8ffff,0xa807ffff,0x104fffff,0x3ffa0015,0x0dfffb5f,0x7ffff400,
    0xfd004fff,0xffd003ff,0x3ffe203f,0x85fffa87,0x9802fffd,0xfaefffff,
    0x001effff,0x107fffee,0xd00bfffb,0xfd003fff,0xfff803ff,0xfffa802f,
    0x9ffff02f,0x645b5000,0x3f604fff,0x20003fff,0xacfffffd,0x04fffffd,
    0x2017fff4,0x981ffffb,0x9003ffff,0xff83ffff,0x80001fff,0x7000fffc,
    0x3fe6dfff,0xfffc82ff,0xc80003ff,0x00004fff,0x007fff90,0x213fff20,
    0x01ffffe8,0x7ffffe40,0xfffff94f,0xfffa80bf,0x3ffe04ff,0xffffa800,
    0x002ffffb,0xffffff90,0xfd005fff,0xffd003ff,0x3ffe203f,0x85fffa87,
    0x5402fffd,0x10dfffff,0x05fffffd,0x0ffff4c0,0x202fffe4,0x5c02fffe,
    0x2201ffff,0x2a03ffff,0x03fffffe,0x03bffffb,0x23fffd30,0x441ffffa,
    0x0ffffffe,0x541f6dc4,0xffffffff,0x1fffffff,0x417fff60,0x1ffffffb,
    0x1bfffff0,0x3ffff620,0xfffffa87,0xceca9802,0x05ffffd0,0x25fffe98,
    0x2a0ffffd,0x0fffffff,0x9816edc4,0x99cfffc9,0x22000999,0xfffd9999,
    0x4009999c,0x80dfffc8,0x19effff9,0xfffff500,0x3fffe63f,0x3fea03ff,
    0x9999dfff,0x02fffb99,0xffffffd0,0x3e6000df,0xfff8efff,0x7ffc00ff,
    0xffff802f,0x0ffff101,0xfb0bfff5,0x7fdc07ff,0xfe885fff,0x2003ffff,
    0xa81fffd8,0xfb00efff,0x3fee0bff,0x7401ffff,0xcbdfffff,0xfffffffe,
    0x3a20dfff,0xcdefffff,0xffffeccb,0x3fffe3ff,0xffffdcef,0xeccfffff,
    0x260fffff,0xffffffff,0xffffffff,0xffff701f,0xffffd99d,0x83bfffff,
    0xeffffffa,0xffffeccc,0xfff902ff,0x9979bfff,0x9ffffffd,0x3bfffffe,
    0xffeccbcd,0x3fe63fff,0xfffdcfff,0xccffffff,0x10fffffe,0xfffffffb,
    0xdfffffff,0x7fff6407,0xffffffff,0x4c3effff,0xfffffffe,0x7fffe42e,
    0x7c405fff,0x7f46ffff,0xf301ffff,0xffffffff,0xffffffff,0x3ffee009,
    0x0002ffff,0x261ffffb,0xf983ffff,0x3fffffff,0xffffffc8,0xffffb10d,
    0x7ffd4bff,0x3fff63ff,0x3ffaa1ef,0x5c2fffff,0xefffffff,0x3ffee002,
    0x04ffe880,0x99fffff7,0xfffffffd,0x3e603dff,0xffffffff,0xffffffff,
    0x7fc44fff,0xffffffff,0xffffffff,0x3ffffea0,0xffffffff,0xffffffff,
    0x3ffa1fff,0xffffffff,0x6ffffeff,0xffffff10,0xffffffff,0xf709ffff,
    0xffffffff,0x07ffffff,0xffffffe8,0xffffffff,0xfffd5fff,0xffffffff,
    0x90dfffff,0xffffffff,0xfffffbff,0x5fffffff,0x3ffffff2,0xffffffff,
    0xff980fff,0xffffffff,0xffffffff,0x3ffff60f,0x446fffff,0xffffffff,
    0x7ffffc02,0x3ffffdc4,0xffffff50,0xffffffff,0x7c009fff,0x006fffff,
    0x90bfffa0,0xffb09fff,0x1fffffff,0x7fffffcc,0xffff74ff,0x3ea5ffff,
    0xfb0fffff,0x7fcbffff,0x7fffffff,0x7ffffffc,0x7d4007ff,0x413f200f,
    0xfffffff8,0xffffffff,0x3ee04fff,0xffffffff,0xffffffff,0xfff984ff,
    0xffffffff,0xa80effff,0xffffffff,0xffffffff,0x45ffffff,0xb934fffe,
    0x3ff639bd,0x3ffe606f,0xffffffff,0x04ffffff,0xfffffff5,0x03dfffff,
    0x3fffff20,0xffffffff,0xfff91fff,0xffffffff,0x201bffff,0xfffffffc,
    0xfffff92f,0x64dfffff,0xffffffff,0xffffffff,0xffff880f,0xffffffff,
    0x47ffffff,0xfffffffc,0xfffa86ff,0x6c01ffff,0x7c41ffff,0x3ea05fff,
    0xffffffff,0xffffffff,0x3ffee004,0x2a0003ff,0x1dfb03ff,0xffffffb0,
    0x7fcc1fff,0x74ffffff,0xffffffff,0x3ffffea5,0xfffffb0f,0x7fffff4b,
    0x7ff46fff,0x06ffffff,0x80100100,0xfffffff9,0xffffffff,0x7f4c04ff,
    0xcfffffff,0xceffffe9,0x3fffaa00,0xdfffffff,0x7fff5402,0xbcfcbfff,
    0xcffffffe,0x003ffa81,0x2600ffe4,0xfffffffe,0xcefffe9c,0x3ff6e200,
    0x0bdfffff,0x7ffec400,0xffffffff,0x6e7ec42d,0xffffffff,0xffa801df,
    0x7dc2ffff,0x1dffffff,0x7ffff644,0xffffffff,0x3f6e02df,0xffffffff,
    0x2dffffff,0x7ffff644,0xffb01dff,0xf7007dff,0x3ff60dff,0x3ffea03f,
    0xffffffff,0x04ffffff,0x037fffc0,0x00400800,0xffffff93,0xfffb705b,
    0x3b2219df,0x2a3effff,0x362dffff,0x260cffff,0xdffffffd,0x7fffecc1,
    0x00001dff,0x7ffcc000,0xe9cfffff,0x000cefff,0x05599953,0xcaa98000,
    0x0009abcc,0x2015e544,0x1001bcb9,0x10002000,0x00035995,0x01797300,
    0x32a62000,0x0009aacc,0x56665d44,0x65440009,0x332a201b,0x0000001b,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0x001acca8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xb9800000,0x00015c00,
    0x18000040,0x7776dc40,0xeeeeeeee,0xeeeeeeee,0x200000ee,0xeeeeedb8,
    0xeeeeeeee,0x00bdeeee,0x40799995,0x01cdeca8,0xcdedcb98,0x00000001,
    0x665cc000,0xcccccccc,0xcccccccc,0x41bccccc,0xccccccb9,0xcccccccc,
    0xcccccccc,0x333221bc,0xcccccccc,0x00cccccc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x027ec400,0xdfb0dfc8,
    0x013fe603,0x001fa800,0x5dfffd50,0xffffff70,0xffffffff,0xffffffff,
    0x3ffff23f,0x0fffffc4,0xfffffffd,0xffffffff,0x0bffffff,0x40fffffa,
    0xfffffffc,0xffffb00c,0x5005ffff,0x00039ffb,0x75c0bb66,0xfffff30d,
    0xffffffff,0xffffffff,0x23ffffff,0xfffffff9,0xffffffff,0xffffffff,
    0xff11ffff,0xffffffff,0x1fffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffb8000,0xa7ffec05,0xfd01fffa,
    0x980001bf,0x22000eff,0xfffffffd,0x7ffffe44,0xffffffff,0xffffffff,
    0xffff51ff,0x0ffffd87,0x3ffffffe,0xffffffff,0x7fffffff,0x06ffff88,
    0xffbffffb,0x3ffa0dff,0x06ffecde,0x3fffff62,0xb072e03f,0xfff10fff,
    0x3ffffee9,0xffffffff,0xffffffff,0x74ffffff,0xffffffff,0xffffffff,
    0xffffffff,0x3fe29fff,0xffffffff,0x0fffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7ffe4000,0xffffb05f,
    0x41fffe49,0x000effe8,0x0dffff10,0x7ffffec0,0x3a63ffff,0xffffffff,
    0xffffffff,0x31ffffff,0xfc85ffff,0x7ffe47ff,0xffffffff,0xffffffff,
    0xfffa83ff,0x2dffd82f,0x0827fed4,0x3a05ff50,0xffffffff,0x20fffc84,
    0x7cc0fffe,0xffff16ff,0xffffffff,0xffffffff,0x3fffffff,0x3fffffe2,
    0xffffffff,0xffffffff,0xf11fffff,0xffffffff,0xffffffff,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xff880000,
    0x7fec5fff,0x7fe40fff,0xfffe884f,0xfffe8001,0xffa805ff,0xfffc9bff,
    0x4cccc41f,0x99999999,0xfff99999,0x3ffff11f,0x886fffb8,0xaaaaaaaa,
    0xaaaaaaaa,0x3ff201aa,0x40fff06f,0xa880fff8,0x4ffccddc,0xffffffd8,
    0x3f25ffff,0x3fee1fff,0x985ffb04,0xbbbbbbbb,0xbbbbbbbb,0x2bbbbbbb,
    0x77777730,0x77777777,0x77777777,0x11111057,0x11111111,0x00001111,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x57ffffe6,0x01fffffd,0xd10bfff9,0x6c005fff,0x3fffffff,0x207ffec0,
    0x0004fff9,0x43ffff00,0x7d40ffff,0x000005ff,0x0bfffe00,0xf900ffe6,
    0xffffb83f,0x4c4fffff,0xfb9effff,0xffdeffff,0x401886ff,0x00000009,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3fffe600,0x1fffffff,0x077ffec0,0x013fffe2,
    0x3fffffee,0x3fa02fff,0x0bffb04f,0x3ffe0000,0x21fffa1f,0x0004fff9,
    0xfff30000,0x00bfea0d,0x7fe45ff7,0xfffeeeff,0x077ffcc4,0xfffffff3,
    0x00003fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fffffcc,0xfb001fff,
    0xff983fff,0x3fea05ff,0xffffafff,0x07fff01f,0x0001bff2,0xb0ffffc0,
    0xfff10dff,0x00000007,0x4c07ffee,0x7ffc06ff,0x815fff10,0xefc84ff8,
    0xffffe880,0x00001fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffffff98,
    0x7fec001f,0x7ffcc2ff,0x7ffcc0ef,0xffff71ff,0x0dffb01d,0x00013ffe,
    0x90ffffc0,0x3ffe0bff,0x7fffecc2,0xffffffff,0xdfffffff,0x202ffec1,
    0x6cc1dffe,0x0ffea5ff,0x0413ff66,0x6ffffe40,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x36000000,0x005fffff,0x27ffff44,0x87bfffea,0x42ffffe8,
    0xc85ffffc,0xf910bfff,0x000007ff,0xfb87fffe,0x83ffb04f,0xfffffffe,
    0xffffffff,0x26ffffff,0x4401fff8,0xffdfffff,0x7ff40fff,0xffffedce,
    0x510002ef,0x00000015,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0xfffffffd,
    0xfffd1005,0xffffa85f,0x7fffec0d,0x9ffffb04,0xdfffff88,0x0006ffff,
    0x87fffe00,0xff902ff9,0xffffff81,0xffffffff,0xffffffff,0x4017fea7,
    0xffffffd9,0xfffa80df,0xffffffff,0x0000005f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7ffec000,0x05ffffff,0x077fff44,0x20ffffea,0x205ffff9,
    0x41ffffe8,0xfffffffa,0x000001ff,0xff03fffa,0x2e17ea01,0xfffffffe,
    0xffffffff,0x2e2effff,0x654000ff,0x4401cded,0xa8aceedc,0x00000aaa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3f600000,0xfffaffff,0xffd105ff,
    0xffff509f,0x3bffee05,0x7fffc400,0xffffe982,0x000000ef,0x04437fe4,
    0x33310020,0x33333333,0x01333333,0x00000171,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfb000000,0x3e63ffff,0x7444ffff,0xffa83fff,
    0x3fa200ef,0xdff3000e,0x02bcba80,0xdb300000,0x00000005,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x41fffffb,
    0x13fffff9,0xf503dffd,0x00c009ff,0x00000440,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7fec0000,
    0xfff301ff,0x037ff29f,0x00017ffc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xdff70000,
    0x1ffe9801,0x1ed807d5,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x151000b9,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_47_latin_ext_x[560]={ 0,8,5,2,3,3,4,9,10,4,3,1,8,3,
9,3,3,3,2,2,3,2,4,3,3,4,9,8,-1,0,1,4,3,-1,0,1,0,0,2,1,0,3,2,0,
1,-1,-1,0,2,0,0,2,1,0,-1,-1,0,0,3,10,3,5,3,-2,8,1,-1,2,1,1,3,1,0,2,
3,1,2,-1,1,1,-1,1,2,3,2,0,0,-1,0,0,3,6,10,6,2,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,8,3,1,2,0,
10,2,5,-1,5,1,-1,3,-1,-2,5,1,6,6,8,0,2,9,8,6,5,2,0,-2,0,3,-1,-1,-1,-1,
-1,-1,-1,1,0,0,0,0,3,3,3,3,-1,-1,0,0,0,0,0,4,0,0,0,0,0,0,2,0,1,1,
1,1,1,1,-1,2,1,1,1,1,2,2,2,2,1,1,1,1,1,1,1,1,0,0,0,0,0,0,-1,0,
-1,1,-1,1,-1,1,1,2,1,2,1,2,1,2,0,1,-1,1,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,0,0,0,3,2,3,2,3,2,3,2,3,2,0,-1,2,3,0,1,0,1,2,1,
2,1,2,1,2,0,2,-1,1,-1,1,-1,1,-1,0,1,0,1,0,1,0,1,-1,-1,0,2,0,2,0,2,
2,3,2,3,2,3,2,3,1,2,1,2,1,2,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,0,0,
0,3,3,3,3,3,3,3,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,1,5,5,2,5,5,5,
5,5,5,5,5,5,5,5,5,5,0,1,5,5,5,5,5,5,5,5,5,5,5,5,5,0,0,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,-1,1,3,2,0,
1,0,0,0,0,0,0,0,0,0,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,-1,1,-1,-1,0,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static signed short stb__courier_bold_47_latin_ext_y[560]={ 34,7,8,5,5,7,10,8,7,7,7,10,28,20,
29,4,7,7,7,7,7,7,7,7,7,7,15,15,10,16,10,8,7,9,9,8,9,9,9,8,9,9,9,9,
9,9,9,8,9,8,9,8,9,9,9,9,9,9,9,7,4,7,6,42,6,15,7,15,7,15,7,14,7,7,
7,7,7,15,15,15,15,15,15,15,9,15,15,15,15,15,15,7,7,7,17,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,34,16,5,8,12,9,
7,7,7,9,7,16,20,20,9,2,3,4,7,7,6,15,7,18,32,7,7,16,7,7,7,16,-1,-1,0,1,
1,-1,9,8,-1,-1,0,1,-1,-1,0,1,9,1,-1,-1,0,1,1,13,7,-1,-1,0,1,-1,9,7,6,6,
6,8,7,5,15,15,6,6,6,7,6,6,6,7,7,8,6,6,6,8,7,10,13,6,6,6,7,6,7,7,
3,9,0,6,9,15,-1,6,0,6,1,7,0,6,0,7,9,7,3,9,0,6,1,7,9,15,0,6,0,6,
0,6,1,7,8,4,0,0,9,7,1,8,3,9,0,6,9,7,1,15,9,7,0,6,9,7,15,-1,-1,9,
7,9,7,9,7,9,7,-1,6,9,15,0,6,8,8,15,3,9,0,6,-1,6,9,15,-1,6,9,15,0,6,
-1,6,0,6,8,15,0,6,9,9,0,7,9,9,1,8,3,9,0,6,-1,5,-1,6,9,15,0,6,0,6,
1,-1,6,1,7,0,6,7,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,7,8,8,8,
8,8,8,8,8,8,8,8,8,8,7,13,8,8,8,8,8,8,8,8,8,8,8,8,8,4,14,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,0,6,0,6,0,
6,0,6,-1,3,-1,0,-1,0,-1,-1,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,-9,-2,-1,6,-1,6,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__courier_bold_47_latin_ext_w[560]={ 0,8,15,21,19,19,19,7,11,11,19,23,10,19,
7,19,19,19,20,21,19,21,19,19,19,19,7,10,25,25,25,18,18,27,24,23,23,23,23,24,25,19,24,26,
23,27,26,25,22,25,26,21,23,25,27,27,25,25,19,10,19,10,19,29,9,23,25,22,25,22,21,24,25,21,
17,23,21,27,23,23,25,25,22,19,23,24,26,26,25,25,19,12,5,12,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,8,18,22,20,25,
5,21,14,27,15,23,25,19,27,29,14,23,12,13,9,24,21,7,9,13,15,22,25,29,25,18,27,27,27,27,
27,27,27,23,23,23,23,23,19,19,19,19,24,26,25,25,25,25,25,17,25,25,25,25,25,25,22,23,23,23,
23,23,23,23,27,22,22,22,22,22,21,21,21,21,22,23,23,23,23,23,23,23,24,24,24,24,24,25,25,25,
27,23,27,23,29,25,23,22,23,22,23,22,23,22,23,29,24,25,23,22,23,22,23,22,25,22,23,22,24,24,
24,24,24,24,24,24,25,25,25,25,19,21,19,21,19,21,19,21,19,21,25,25,24,17,26,23,25,23,21,23,
21,23,21,23,21,24,21,26,23,26,23,26,23,26,23,21,25,23,25,23,25,23,27,27,26,22,26,22,26,22,
21,19,21,19,21,19,21,19,23,23,23,26,23,23,25,24,25,24,25,24,25,24,25,24,25,25,27,26,25,25,
25,19,19,19,19,19,19,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,23,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,27,24,21,21,21,21,21,21,21,21,21,21,21,21,21,29,27,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,27,23,19,21,25,
23,25,24,25,24,25,24,25,24,25,24,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,27,23,27,27,25,24,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21, };
static unsigned short stb__courier_bold_47_latin_ext_h[560]={ 0,28,13,33,35,28,25,13,34,34,19,24,13,5,
6,35,28,27,27,28,27,28,28,28,28,28,20,24,24,13,24,27,31,25,25,27,25,25,25,27,25,25,26,25,
25,25,25,27,25,33,25,27,25,26,25,25,25,25,25,34,35,34,15,5,8,20,28,20,28,20,27,29,27,27,
36,27,27,19,19,20,28,28,19,20,26,20,19,19,19,28,19,34,34,34,10,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,0,27,31,26,20,25,
34,31,6,26,12,18,14,5,26,5,14,30,15,15,8,28,31,6,10,15,12,18,27,27,27,27,35,35,34,33,
33,35,25,34,35,35,34,33,35,35,34,33,25,33,36,36,35,34,34,18,30,36,36,35,34,35,25,28,29,29,
29,27,28,30,20,27,29,29,29,28,28,28,28,27,28,26,29,29,29,27,28,24,24,29,29,29,28,37,36,36,
31,26,34,29,31,25,36,29,35,29,34,28,35,29,34,28,25,28,31,26,34,29,33,28,31,25,34,29,35,37,
35,37,34,36,35,39,34,34,25,27,33,26,31,25,34,28,31,33,33,19,26,36,35,37,34,36,19,35,35,34,
36,25,27,25,27,25,27,35,28,34,28,34,28,26,27,28,32,26,35,29,36,29,25,20,35,28,34,28,34,28,
36,29,35,29,34,27,35,29,37,36,34,28,25,26,34,27,32,26,35,29,36,30,36,29,31,25,34,28,34,37,
33,35,28,33,27,34,28,27,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,27,26,26,33,26,26,26,
26,26,26,26,26,26,26,26,26,26,28,22,26,26,26,26,26,26,26,26,26,26,26,26,26,31,21,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,34,29,34,28,35,
29,35,29,36,32,36,35,36,35,36,36,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,43,37,35,29,38,31,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26, };
static unsigned short stb__courier_bold_47_latin_ext_s[560]={ 510,495,103,447,1,115,126,503,498,499,390,
358,145,285,503,418,50,335,355,366,401,320,229,163,121,358,504,501,382,119,457,
465,370,330,79,311,232,104,172,376,196,425,389,445,472,1,349,1,103,469,52,
51,208,223,302,180,154,276,256,347,438,385,42,255,499,29,24,53,282,174,421,
369,484,73,403,27,443,434,410,150,332,25,245,197,466,125,363,316,462,425,343,
386,506,348,188,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,510,494,51,
249,104,24,500,472,210,438,172,488,77,285,171,225,62,151,499,496,496,273,328,
504,497,497,156,19,221,191,165,146,298,195,358,139,65,299,50,476,327,223,28,
396,70,428,103,119,78,420,49,75,377,198,224,1,175,127,377,346,426,351,1,
423,401,141,210,433,308,201,76,410,258,331,378,135,141,93,71,289,400,414,117,
25,1,71,1,433,408,306,281,417,184,178,177,1,419,298,294,73,389,323,229,
489,372,442,361,478,21,346,79,209,400,158,1,366,174,394,187,474,100,29,452,
278,45,105,144,80,123,447,247,29,148,322,128,95,211,344,350,490,250,378,308,
21,1,268,272,421,50,204,399,275,290,75,28,270,27,376,247,299,457,274,388,
1,205,52,249,1,342,120,25,298,231,147,448,49,472,354,222,217,480,1,198,
259,171,98,253,165,396,97,125,479,458,326,154,153,147,447,250,199,99,121,257,
95,169,301,101,126,203,253,25,146,225,451,281,222,93,326,239,167,269,327,51,
49,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,1,322,322,43,
322,322,322,322,322,322,322,322,322,322,322,322,322,70,483,322,322,322,322,322,
322,322,322,322,322,322,322,322,70,1,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,253,234,
307,183,118,465,272,185,325,283,274,403,248,474,351,300,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,1,130,90,225,54,447,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322, };
static unsigned short stb__courier_bold_47_latin_ext_t[560]={ 1,154,473,154,82,285,399,189,1,45,451,
425,473,473,203,82,314,343,343,314,343,314,314,314,314,285,154,255,425,473,425,
343,189,425,425,343,425,425,399,343,399,399,371,399,399,425,399,371,399,154,425,
371,425,371,425,425,425,425,425,118,82,154,473,473,330,451,314,451,285,451,343,
223,343,371,1,371,343,451,451,451,285,285,451,451,371,451,451,451,451,255,451,
118,118,154,473,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,
371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,1,189,223,
371,451,399,118,189,473,371,473,451,473,473,371,473,473,223,314,399,415,314,189,
175,301,285,473,473,343,343,343,343,82,82,118,189,189,45,399,118,45,82,154,
154,82,45,154,189,399,154,45,45,45,154,154,473,223,45,1,82,118,45,399,
285,255,255,255,314,285,223,451,314,255,255,255,285,314,285,285,343,285,371,255,
255,255,343,285,425,425,255,255,223,285,1,45,45,189,371,154,255,189,399,45,
223,82,223,154,255,82,223,154,285,399,285,223,371,154,223,189,285,223,425,118,
223,82,1,82,1,154,1,82,1,154,154,425,343,189,371,189,371,154,285,189,
189,189,451,371,1,118,1,118,45,451,118,118,154,45,399,343,399,314,399,314,
118,314,154,314,154,314,371,343,314,189,371,45,255,1,255,399,451,82,314,118,
285,118,314,45,255,82,255,118,314,82,223,1,45,118,285,399,371,118,343,189,
371,82,223,45,223,45,223,223,399,118,255,118,1,189,82,285,189,343,118,285,
343,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,343,371,371,189,
371,371,371,371,371,371,371,371,371,371,371,371,371,314,425,371,371,371,371,371,
371,371,371,371,371,371,371,371,223,451,371,371,371,371,371,371,371,371,371,371,
371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,118,255,
118,314,82,223,82,255,1,189,1,45,1,45,1,1,371,371,371,371,371,371,
371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,
371,371,371,1,1,82,223,1,189,371,371,371,371,371,371,371,371,371,371,371,
371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,
371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,
371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,
371,371,371,371,371,371,371,371,371, };
static unsigned short stb__courier_bold_47_latin_ext_a[560]={ 398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_47_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_bold_47_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_47_latin_ext(stb_fontchar font[STB_FONT_courier_bold_47_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_47_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_bold_47_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_47_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_47_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_47_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_47_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_47_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_47_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_47_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_47_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_47_latin_ext_s[i] + stb__courier_bold_47_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_47_latin_ext_t[i] + stb__courier_bold_47_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_47_latin_ext_x[i];
            font[i].y0 = stb__courier_bold_47_latin_ext_y[i];
            font[i].x1 = stb__courier_bold_47_latin_ext_x[i] + stb__courier_bold_47_latin_ext_w[i];
            font[i].y1 = stb__courier_bold_47_latin_ext_y[i] + stb__courier_bold_47_latin_ext_h[i];
            font[i].advance_int = (stb__courier_bold_47_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_47_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_47_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_47_latin_ext_s[i] + stb__courier_bold_47_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_47_latin_ext_t[i] + stb__courier_bold_47_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_47_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_47_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_47_latin_ext_x[i] + stb__courier_bold_47_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_47_latin_ext_y[i] + stb__courier_bold_47_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_47_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_47_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_47_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_47_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_47_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_47_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_47_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_47_latin_ext_LINE_SPACING
#endif

