// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_49_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_49_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_49_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_bold_49_latin_ext_BITMAP_HEIGHT        526
#define STB_FONT_courier_bold_49_latin_ext_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_courier_bold_49_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_bold_49_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_bold_49_latin_ext_LINE_SPACING          23

static unsigned int stb__courier_bold_49_latin_ext_pixels[]={
    0x02eb8000,0x00180000,0x03980000,0x66440000,0x11000000,0x98000000,
    0x00440000,0x20000088,0x20000008,0xcccc8800,0xcccccccc,0xcccccccc,
    0x000000cc,0x55551000,0x55554403,0x01540002,0x00000000,0x00000000,
    0x00000000,0x402aaaaa,0x01aaaaa8,0x00000000,0x00000000,0x2ffec400,
    0xfd100000,0xc8000000,0x000003ff,0x0005ffd1,0x005ff500,0xffb10000,
    0x01ff8000,0x00007fc4,0x00017fd4,0x3006fe40,0xffffffff,0xffffffff,
    0x01ffffff,0x0000fa60,0x2ffffdc0,0x0bffff50,0x1bffe200,0xfffe8000,
    0xffffffff,0x500000ef,0x400005dd,0xdf901efc,0x3fa00003,0xffd82fff,
    0x0004ffff,0x1d900000,0x3baa0000,0xd3000001,0x00001fff,0x00017ec0,
    0xfffd8800,0xfa800001,0x400006ff,0x0dffffd8,0xfd300000,0x7c4000bf,
    0x0ffec05f,0xfffb1000,0x300001bf,0x207ffffd,0xfffffff9,0xffffffff,
    0x0fffffff,0x01bff300,0xfffb8000,0x3ffea05f,0xff70005f,0x200007ff,
    0xfffffffd,0x00efffff,0x7fffc400,0x540000ff,0xff985fff,0xfd00005f,
    0xff985fff,0x004fffff,0x74400000,0xd00000ff,0x00000bff,0x003dfff5,
    0x027dc000,0xfe880000,0x800002ff,0x000efffb,0x3fffea00,0x0002ffff,
    0x077ffd40,0x33ffe000,0x007ffb80,0x3ffffea0,0x20002fff,0xfffffffb,
    0x7fffcc0d,0xffffffff,0xffffffff,0x3ea000ff,0x200000ef,0x205ffffb,
    0x005ffffa,0x09ffff90,0x00000000,0x88cfb800,0x5c0003fc,0xffa86fff,
    0xfd00006f,0xff885fff,0x004fffff,0x3e600000,0x100001ef,0x0000ffff,
    0x00dfffb8,0x037c0000,0xffa80000,0x800001ef,0x0004fffd,0x57fffec0,
    0x005ffffb,0x1bfff900,0xfff50000,0xffffb9df,0x3ff60007,0xffffbaff,
    0x7ff44005,0xffffc9ef,0x3bfffe62,0xffffeeee,0xfffeeeee,0x7f44000f,
    0xf700000f,0x7d40bfff,0x30005fff,0x0001ffff,0x00000000,0x037c0fe8,
    0x817ff400,0x00002ffe,0x505ffffd,0x09fffffb,0x26000000,0x00000eff,
    0x003fffe2,0x27ffcc00,0x7cc00000,0x000001de,0x003bffe2,0x3ffee000,
    0x7e400003,0x3f620dff,0x5c0003ff,0x00004fff,0x7fffffdc,0x90004fff,
    0x6c41bfff,0x3a003fff,0x7f543fff,0xffff31ff,0x81ffff30,0x200ffff8,
    0x3f620cea,0x000bb224,0x40133331,0x00099998,0x00073660,0x200cea80,
    0x80002ec8,0x0006f87e,0x00a80150,0x26662000,0x7ffec009,0x54000004,
    0x113f60ce,0xc98005d9,0xaceffffe,0xf88000ba,0x0000002f,0x000ffff7,
    0x027fdc00,0x3ff70000,0xffb00000,0x02ffdc07,0x00bffe00,0x7fec4000,
    0x0001dfff,0xfb80fff6,0x3bfe005f,0x25ff9101,0xf987fff9,0x7fc40fff,
    0xfff100ff,0x7fdc1307,0x0000000f,0x00000000,0x01fffc40,0x0001fff7,
    0xfc88cfb8,0x00000003,0x40000000,0x0004fffd,0x8fffe200,0x0fffb818,
    0xfffff900,0xffffffff,0x00002000,0xffff9000,0x5c000001,0x18000001,
    0x2a200000,0x000a8800,0x0000e540,0x00198800,0x10015100,0x01440015,
    0x3ffe6298,0x0ffff987,0x807fffc4,0xb803fff8,0x00000fff,0x00000000,
    0x7ffc4000,0x03ffee03,0xffff1000,0x000001ff,0x00000000,0x04fffd80,
    0x3fe20000,0xfffb803f,0xffffd800,0xffffffff,0xb88001ff,0x000002de,
    0x002fffcc,0xb7000000,0x00000003,0x00000000,0x00005440,0x00000000,
    0x00000000,0x30ffff30,0xf881ffff,0x3ee00fff,0x3fd8800d,0x33333100,
    0x99998833,0x00999999,0xacddca98,0x00666660,0x2200dfa8,0x100003fd,
    0x00017ff7,0x000cccc4,0x88013333,0x99999999,0xfb009999,0x65d449ff,
    0x2e0000ac,0xfd8800df,0xffffb803,0xffffffff,0x4c003fff,0x006fffff,
    0x00d44000,0x01880000,0x4407ffe4,0x26001999,0x4c400999,0x26600199,
    0xd9800099,0x0000cfff,0x59bb9530,0x00ccccc1,0x33772a60,0x0666660a,
    0x33333310,0x21333333,0xf986fff8,0xfff80fff,0x00000007,0x3fffffb2,
    0xffea9fff,0xffffffff,0x3ffa602f,0xabffffff,0x0dffffff,0x00000000,
    0xea800000,0x05ffffff,0xffffffb1,0xfffea85d,0xffffffff,0xfffb06ff,
    0xfffff919,0x0005bdff,0x7c400000,0x99adffff,0x3fffffba,0x4c5fec00,
    0x000002fd,0x26000000,0xceffffdc,0x8ffffee0,0xffffffea,0xffffb105,
    0xfea85dff,0x105fffff,0xdffffffb,0x677f4005,0x4c0004fe,0xfffffffe,
    0xfffffabf,0x3fa600df,0xbfffffff,0xdffffffa,0x3ffffaa0,0xffffffff,
    0x213ffa6f,0xd80ffff9,0x000005ff,0xfffff300,0xff5fffff,0xffffffff,
    0x3f205fff,0xffffffff,0xffffffff,0x000003ff,0x00000000,0xffffffe8,
    0xfffb82ff,0x7c7fffff,0xffffffff,0x06ffffff,0xfffffffb,0xffffffff,
    0x000001bf,0xffff3000,0x7fff4409,0x11be2001,0x980000bf,0x20acddca,
    0x40019999,0xfffffffc,0xfffacfff,0x3fffa0ff,0xb82fffff,0xffffffff,
    0x7fffff47,0xffb82fff,0x07ffffff,0x0fe89f30,0xffff9000,0xffffffff,
    0x7fffffff,0x3fffff20,0xffffffff,0x23ffffff,0xfffffffe,0x6fffffff,
    0x3e602ee2,0xbb880fff,0x66665440,0xcb981bcc,0x20accccc,0xfffffff9,
    0xffff9fff,0xffffffff,0xffffe82f,0xffffffff,0xffffffff,0x33332a23,
    0xcb981bcc,0x40accccc,0xcccccca8,0xcccb981b,0x7f40accc,0x2fffffff,
    0xffffffb8,0x7fff47ff,0xffffffff,0xffb06fff,0xffffffff,0xffffffff,
    0x99995101,0x97303799,0x81599999,0x400ffffb,0x44007ffa,0x002fcc6f,
    0xffffe980,0xffabffff,0x200dffff,0xffffffe9,0xffffffff,0x7ff43fff,
    0x82ffffff,0xfffffffb,0x7ffff47f,0xfb82ffff,0x7fffffff,0xfb83f900,
    0xfffe8002,0xffffffff,0xffffffff,0xffffe83f,0xffffffff,0xffffffff,
    0x3fffffa3,0xffffffff,0x3fe6006f,0x3e2000ff,0xffffffff,0x3fffee3f,
    0x20ffffff,0xffffffec,0xfffea9ff,0xffffffff,0x7ffffdc2,0xfffeccdf,
    0xdfffffff,0xffffff10,0x7dc7ffff,0xffffffff,0xfffff10f,0x5c7fffff,
    0xffffffff,0x3ffaa0ff,0xb105ffff,0x5dffffff,0xfffffea8,0xffffffff,
    0xfffffb06,0xfd99dfff,0x88dfffff,0xffffffff,0x3ffee3ff,0x0fffffff,
    0x003fffee,0x360002ea,0x005fb13f,0xfffff900,0xffffffff,0x07ffffff,
    0x3fffffe6,0xffffffff,0xea85ffff,0x05ffffff,0xffffffb1,0xfffea85d,
    0xfb105fff,0x05dfffff,0x1fd13ea0,0xffffb800,0xffeccdff,0xffffffff,
    0x7fffdc0d,0xffeccdff,0xffffffff,0x3fffaa0d,0xffffffff,0x3e6006ff,
    0x2a000fff,0xffffffff,0x3fffa6ff,0x3fffffff,0xfff99988,0x2666621f,
    0x22ffff99,0x04fffff9,0xffffffd3,0xfffff503,0x74dfffff,0xffffffff,
    0xffff53ff,0x4dffffff,0xfffffffe,0xffd83fff,0xff8800ff,0x4cc405ff,
    0xfb999999,0xfffb06ff,0x7e407fff,0x3ea3ffff,0xffffffff,0x3ffffa6f,
    0x23ffffff,0x00cffff9,0x3fe60000,0x80006fff,0xfffffffe,0xffffffff,
    0xd03fffff,0x359fffff,0xfffffd73,0x7fec01df,0xff8800ff,0x7fec05ff,
    0xff8800ff,0xfe8005ff,0x4005fdbd,0x04fffff9,0xffffffd3,0x3fffe603,
    0xfffd304f,0x98803fff,0xb9999999,0x26006fff,0x2000ffff,0xfffffff8,
    0x3fee3fff,0xffffffff,0x1ffff800,0x45ffff00,0x402ffffe,0x07ffffe8,
    0xfffffff1,0x7fdc7fff,0xffffffff,0xffffff10,0x7dc7ffff,0xffffffff,
    0xffff980f,0xffffc804,0xffb80001,0xffffb06f,0xfff3001f,0x7fffc4bf,
    0x23ffffff,0xfffffffb,0x7ff40fff,0x009bdfff,0x77e44000,0xffb80003,
    0xeccdffff,0xffffffff,0xffc80dff,0x3ee01eff,0x4c06ffff,0xc804ffff,
    0x4c01ffff,0xc804ffff,0x8001ffff,0x01dfffea,0x17ffff40,0x3ffffa20,
    0x3ffffa07,0x7fff4402,0xf700007f,0x7cc00dff,0x4c000fff,0xceeffffb,
    0xffeeca82,0xff001bff,0x3fe003ff,0x3fffe2ff,0xffff3004,0x7ffdcc0f,
    0xca82ceef,0x1bffffee,0x77fffdcc,0xeeca82ce,0x201bffff,0x200ffffd,
    0x005ffff8,0x0dfff700,0x00bffff6,0x4c7fffa8,0xceeffffb,0xffeeca82,
    0xffa81bff,0xefffffff,0x0000001b,0xffff9800,0xfffd304f,0x7d403fff,
    0x2200dfff,0x2fffffff,0x07fffec0,0x0bffff10,0x03ffff60,0x05ffff88,
    0x000e4c00,0x004ffff8,0x40fffff3,0x3004ffff,0x000fffff,0x01bffee0,
    0x00ffff98,0x07fffd00,0x037ffdc0,0x007fffe0,0xf997fffc,0x32000fff,
    0xfe807fff,0x3ee003ff,0x7ff406ff,0x3fee003f,0xfff9806f,0x3fff204f,
    0xf700001f,0x3ff60dff,0xfff8006f,0x3fffe82f,0x1bffee00,0xffffff70,
    0x03dfffff,0x40000000,0x802ffffe,0x407ffffe,0x400fffff,0xfffffffe,
    0x7fffcc06,0x3ffff204,0xffff3001,0x7fffe409,0x00000001,0x003fffe6,
    0x307fffc8,0x4001ffff,0x0007fffc,0x00dfff70,0x007fffcc,0x03fffe80,
    0x01bffee0,0x003ffff0,0x7d4bfffe,0x7dc006ff,0xffe807ff,0x3fee003f,
    0x7fff406f,0x3ffee003,0xffffb006,0xbffff101,0x7fdc0000,0xbfffb06f,
    0x9fffb000,0x007fffd0,0x4037ffdc,0xffffffe9,0x803fffff,0xccccccb9,
    0xf0001ccc,0x26009fff,0x2607ffff,0x6c03ffff,0xffffffff,0x7ffec02f,
    0xffff880f,0x7ffec005,0xffff880f,0x99530005,0x2003579b,0x4006fffa,
    0xf507fffb,0xfb800dff,0x700007ff,0x4c00dfff,0x0000ffff,0x4007fffd,
    0x4006fffb,0xf001ffff,0x3ff25fff,0x7fd4005f,0xfffe807f,0x3ffee003,
    0x1ffff406,0x0dfff700,0x13fffe60,0x007ffff2,0x6fffb800,0x00bfffb0,
    0xd0bfffb0,0x5c007fff,0x22006fff,0xffffffdb,0x3ee01fff,0xffffffff,
    0xf98005ff,0x32000fff,0x3ea07fff,0x7fdc06ff,0xffff8fff,0x7fffcc04,
    0x1ffffc84,0x7fffcc00,0x1ffffc84,0x3fff6e00,0xdfffffff,0x2fffe401,
    0x1fffea00,0x002fffe4,0x001fffea,0x037ffdc0,0x01ffff30,0x0ffffa00,
    0x06fffb80,0x00ffffc0,0xf52ffff8,0xfb800fff,0xffe807ff,0x3fee003f,
    0x7fff406f,0x3ffee003,0x3fff6006,0x3fffe20f,0x7dc00005,0xfffb06ff,
    0xffff000f,0x07fffd07,0x037ffdc0,0xfff95100,0x7fec0dff,0xffffffff,
    0x7d4001ff,0x7dc006ff,0x3ff207ff,0x3ffe604f,0xbfffd1ff,0x1ffffb00,
    0x02ffffc4,0x0ffffd80,0x017fffe2,0xffffffd8,0xffffffff,0x1fffea02,
    0x0ffff700,0x001fffea,0x000ffff7,0x01bffee0,0x00ffff98,0x07fffd00,
    0x037ffdc0,0x007fffe0,0xf997fffc,0x36000fff,0xfe807fff,0x3ee003ff,
    0x7ff406ff,0x3fee003f,0x3fe6006f,0x3fff24ff,0x5c00001f,0xffb06fff,
    0x7dc009ff,0xffe81fff,0x3fee003f,0x3600006f,0xf700ffff,0xffffffff,
    0xc8009fff,0x54005fff,0x3f607fff,0xfff103ff,0x7ffe47ff,0xffff9806,
    0x07ffff24,0x7fffcc00,0x07ffff24,0xfffffe80,0xffffffff,0xfff301ff,
    0x7fec001f,0xffff307f,0x7ffec001,0xff700007,0xbaa980df,0x1aabffff,
    0x0ffffa00,0x06fffb80,0x00ffffc0,0x3e2ffff8,0xf3005fff,0xfd00ffff,
    0x7dc007ff,0x7ff406ff,0x3fee003f,0x7fec006f,0xffff88ff,0xfb800005,
    0xfffb06ff,0xff7007ff,0xffd01fff,0x7fdc007f,0x01bf706f,0x07fffe60,
    0xffeeeca8,0x007fffff,0x003fffd4,0xf81fffee,0xffd02fff,0xfffa8bff,
    0xffffb007,0x0bffff11,0xffffd800,0x05ffff88,0x7ffffe40,0xfffdccef,
    0x3ffe05ff,0xfff3005f,0x7fffc0ff,0xffff3005,0x3ee0000f,0xfff506ff,
    0xffffffff,0xfd003dff,0x7dc007ff,0x7fc006ff,0xfff001ff,0x7fffec5f,
    0x7fffc403,0xfffe807f,0x3ffee003,0x1ffff406,0x0dfff700,0xcffff980,
    0x001ffffd,0x6fffb800,0xffffffb0,0xffca883b,0xffd03fff,0x7fdc007f,
    0x4fff886f,0x5ffff100,0x7fffdc00,0x2002ffff,0x000ffff9,0x441ffff6,
    0xfc81ffff,0x7cc0efff,0xf9800fff,0xfffdcfff,0x7cc0001f,0xfffdcfff,
    0xaca8001f,0x3fffa009,0x3ffff607,0x7fffc403,0x3fff607f,0x7ffc403f,
    0x700007ff,0x3fa0dfff,0xffffffff,0x805fffff,0x2003fffe,0x2206fffb,
    0xffffaaaa,0xff00aaac,0x7ffc45ff,0xffb80dff,0xe807ffff,0x2e003fff,
    0x7f406fff,0x3ee003ff,0xfd8006ff,0x5fffffff,0xff700000,0x3fff60df,
    0xeeffffff,0x5fffffff,0x00ffffa0,0xa86fffb8,0xb800ffff,0x2001ffff,
    0xffeefffe,0x7ffc005f,0xfff3005f,0x7fffc0ff,0x7ffffd42,0x06fffa81,
    0x3fffff60,0x00005fff,0xfffffffb,0x000000bf,0x201ffff3,0x0dfffff8,
    0xffffffb8,0x3fffe207,0xfffb80df,0x00007fff,0x360dfff7,0xffffffff,
    0x04ffffff,0x003fffe8,0x261bffee,0xfffffffe,0xefffffff,0x217fffc1,
    0xfffffffb,0xffffffed,0xffe807ff,0x3fee003f,0x7fff406f,0x3ffee003,
    0xfff88006,0x001fffff,0xdfff7000,0x3fffff60,0xffffffff,0x200effff,
    0x2003fffe,0xfb86fffb,0x2a02efff,0x2007ffff,0xfbaffff9,0x36001fff,
    0x4403ffff,0x207ffffe,0x3e63fffd,0xf902ffff,0x7c400bff,0x1fffffff,
    0xfff10000,0x003fffff,0x79753100,0x3ffff355,0x7ffffdc0,0xffffedff,
    0x5c07ffff,0xdfffffff,0xfffffffe,0xf700007f,0x3b260dff,0xffffffff,
    0xe800ceff,0x2e003fff,0xffd86fff,0xffffffff,0x45ffffff,0xfd82ffff,
    0xffffffff,0x7fffffff,0x03fffe80,0x01bffee0,0x4007fffd,0x0006fffb,
    0xbffffff9,0x7dc00000,0xfffb06ff,0xfffffffd,0x007fffff,0x4007fffd,
    0xfb86fffb,0xbcefffff,0xfffffecb,0x3fff2003,0x09ffff17,0x7ffffc40,
    0xffffb80d,0x3ff207ff,0xffffd16f,0x1fffec09,0x3ffff200,0x400005ff,
    0x5ffffffc,0x7fecc000,0xffffffff,0x7ec01fff,0xffffffff,0x7fffffff,
    0xfffffd80,0xffffffff,0x00007fff,0x000dfff7,0x3ffa0000,0x3fee003f,
    0xffffc86f,0xffffffff,0x7fc4ffff,0xfff702ff,0xffffffff,0xd00fffff,
    0x5c007fff,0x7f406fff,0x3ee003ff,0xf10006ff,0x003fffff,0x7ffdc000,
    0x19fffb06,0xfffffff7,0x3fa0019f,0x3ee003ff,0xfffb86ff,0xffffffff,
    0x006fffff,0xc93fffe2,0x5c007fff,0xdfffffff,0xfffffffe,0x3ffee07f,
    0x6ffffd9f,0x0bfffe60,0xfffff100,0x8800003f,0x01ffffff,0xffffb100,
    0xffffffff,0xf7003fff,0xffffffff,0x0fffffff,0x3ffffee0,0xffffffff,
    0x700007ff,0x0000dfff,0x3fffa000,0x3ffee003,0xfffec886,0xffffffff,
    0x7ffc0cef,0x3ff6202f,0x9aefffff,0xfe807fff,0x3ee003ff,0x7ff406ff,
    0x3fee003f,0x3f20006f,0x00005fff,0x837ffdc0,0x4cc4fffd,0xe80009aa,
    0x2e003fff,0xff986fff,0xffffffff,0x00efffff,0x87fffee0,0x002ffff9,
    0x7fffffec,0xffffffff,0x3fe207ff,0xffffffff,0x3ffffa00,0xfffc8000,
    0x9000005f,0x000bffff,0x3fffffa2,0xffffffff,0xb1001fff,0xdfffffff,
    0x00ffff35,0x7ffffec4,0xfff9aeff,0xff700007,0xaa8800df,0x3ff60000,
    0x3fee003f,0x0000005f,0x2005ffff,0x261acca9,0xfd807fff,0x3ee003ff,
    0x7fec05ff,0x3fee003f,0x3f60005f,0x00001fff,0x837ffdc0,0x0004fffd,
    0x07fffb00,0x82fffdc0,0xffffefff,0x04ffffff,0x86fffe80,0x8005fffe,
    0xfffffffb,0xffffffff,0x7fffdc07,0x2e01ffff,0x0004ffff,0x003ffffb,
    0x3fff6000,0xffd0001f,0xdddfffff,0x3fffffff,0x59953000,0x03fffcc3,
    0x1acca980,0x001fffe6,0x037ffdc0,0x01ffff10,0x17fff200,0x04fffd80,
    0xff980000,0x700001ff,0xf900ffff,0x7ec00bff,0x7fe404ff,0x3ff6005f,
    0xff30004f,0x00000bff,0x20bfff90,0x0004fffd,0x0bfff900,0x027ffec0,
    0x3ff6a215,0x8000adff,0xa82ffff9,0x8001ffff,0xffffffd8,0x7fff9aef,
    0xffffff80,0x3fff203f,0xff30006f,0x00000bff,0x017fffe6,0x7ffffdc0,
    0xfff3100c,0x7000003f,0x0000ffff,0x01fffee0,0x2fffdc00,0x7ffff700,
    0x3ffea000,0xfff8800f,0x8000002f,0x0007fffc,0x017fffa0,0x003fffea,
    0x00bfffe2,0x001ffff5,0x005ffff1,0x03ffff60,0xff100000,0x3ff607ff,
    0x5000004f,0x1001ffff,0x8005ffff,0x000ffff8,0x81ffff20,0x0004ffff,
    0x30d5e54c,0xf700ffff,0x815fffff,0x1fffffd9,0xffffb000,0x36000001,
    0x0000ffff,0x003ffffb,0x003ffff1,0xbfffd000,0x3fa00000,0xb00005ff,
    0x54009fff,0x0002ffff,0x80dffff1,0x00ffffe8,0x7fcc0000,0x700005ff,
    0x1007ffff,0x880dffff,0x400ffffe,0x406ffff8,0x00ffffe8,0x5ffff980,
    0xfc800000,0xffb01fff,0x2000009f,0x406ffff8,0x00ffffe8,0x07fffc40,
    0xffff8800,0xd999999d,0x00007fff,0x03fffd40,0x7fffffe4,0xffffeeff,
    0x30003fff,0x000bffff,0x3fffe600,0x3ffe0005,0xffd9803f,0x400001ff,
    0x003ffffb,0xffffb800,0xffb80003,0x764002ff,0x360001ff,0x441effff,
    0x04ffffea,0x33331000,0x7fffffd7,0x26666200,0xffffffc9,0xffffb001,
    0xffea883d,0xffb004ff,0xea883dff,0x8804ffff,0xfffd9999,0x9980002f,
    0xfffda999,0xffb307ff,0x000133bf,0xeffffd80,0x7fff5441,0xff88004f,
    0xf70000ff,0xffffffff,0x5fffffff,0x7e400000,0x7fd405ff,0xffffffff,
    0x4fffffff,0xb3333100,0x0005ffff,0xfb333310,0x40005fff,0x880effff,
    0xffffffda,0x2662000b,0xffffc999,0x988001ff,0xfffc9999,0x99801fff,
    0xfffca999,0x88000fff,0xfe80006f,0xfeefffff,0x006fffff,0xfffffb00,
    0x0bffffff,0xffffff70,0x7fffffff,0xffffe800,0xffffeeff,0x7f4006ff,
    0xfeefffff,0x406fffff,0xfffffffa,0x02ffffff,0xfffffc80,0xffffffff,
    0x7ffffe42,0x02ffffff,0x3fffa000,0xfffeefff,0x10006fff,0x0001ffff,
    0x3ffffffa,0xffffffff,0x000005ff,0x407ffff5,0xfffffff9,0xffffffff,
    0xffa801ef,0xffffffff,0xa8002fff,0xffffffff,0x002fffff,0xffffffd8,
    0xfffffedd,0x1effffff,0x3ffffee0,0xffffffff,0x7ffdc003,0xffffffff,
    0x7fe403ff,0xffffffff,0xd0003fff,0xf300003f,0xffffffff,0x003fffff,
    0xfffff500,0x0bffffff,0x3fffffa0,0x3fffffff,0xffff9800,0xffffffff,
    0x7cc001ff,0xffffffff,0x401fffff,0xfffffffe,0x06ffffff,0x7ffffc40,
    0xffffffff,0x7ffffc42,0x6fffffff,0x3fe60000,0xffffffff,0x0001ffff,
    0x4001bffa,0xfffffff9,0xffffffff,0x98001fff,0xffc99999,0x3a01ffff,
    0xfb8cffff,0x4fffffff,0x3ffffa00,0xffffffff,0xffe8006f,0xffffffff,
    0x88006fff,0xffffffff,0xffffffff,0x204fffff,0xfffffffe,0x003fffff,
    0xffffffe8,0x03ffffff,0x7fffffc4,0x4fffffff,0x009f9000,0x7ffec400,
    0xefffffff,0xff300000,0xffffffff,0x7fff4009,0xffffffff,0x3f620003,
    0xffffffff,0xb10000ef,0xffffffff,0xfd001dff,0xffffffff,0x000dffff,
    0xffffffff,0xf105ffff,0xffffffff,0x0000dfff,0xfffffd88,0x00efffff,
    0x01ffe400,0xfffffd80,0xffffffff,0x004fffff,0x3fffffea,0x4fffffff,
    0x17fffea0,0x002af2a6,0x3fffffa0,0xffffffff,0xfffe8006,0xffffffff,
    0xf30006ff,0xffffffff,0xffffffff,0x7f407fff,0xffffffff,0xfd0003ff,
    0xffffffff,0x3fe007ff,0xffffffff,0xf30003ff,0x2e00000d,0xffffffff,
    0xeb800003,0x0aceffff,0x7ffecc00,0x001befff,0x3fffee00,0x0003ffff,
    0xffffff70,0x6cc007ff,0xffffffff,0x8001dfff,0xffffffda,0x7ed401bd,
    0xffffffff,0x7000001d,0xffffffff,0x04c00007,0xffff8800,0x3ffee004,
    0x3fffa007,0xffffffff,0x3fe600df,0x000000ef,0x3fffff66,0x1dffffff,
    0xfffd9800,0xffffffff,0x3620001d,0xffffffff,0xfffff9be,0x3f6600ce,
    0x1befffff,0x7fecc000,0x01beffff,0x7fffed40,0x000beeff,0x00003220,
    0x15975100,0x00000000,0x00000000,0x565d4400,0x51000000,0x00001597,
    0x00000000,0x00000000,0x32ea2000,0x0000000a,0x7fffdc00,0x3ffe2000,
    0xfffd002f,0xffffffff,0x03bf2009,0x00000000,0x00000000,0x66544000,
    0x00001abc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4c000000,
    0x00aefffe,0xefffea88,0x7fecc009,0x0cefffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfffa8000,0x0effffff,0xfffffe88,0x0001ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fa00000,0xffffffff,0xffffb83f,0x05ffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0xfffffffd,0xffa82fff,0xffffffff,0x00000005,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fffb220,0x2e03efff,0xeffffffe,0x0000000c,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80de8000,
    0x000006d8,0x17300000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x05c41cc0,0x006a0000,0x00017100,0x0033aa00,0x55554400,0x0000000a,
    0x55440000,0x002aaaaa,0x00000000,0x00029800,0x00000000,0x40000000,
    0x000b8839,0x0001b880,0x3ea2ffe8,0x7ec0006f,0x000ee800,0x0001ffe8,
    0x00f64000,0xbd710000,0x00000005,0x000009d3,0x00007fa2,0x7cc5ff90,
    0xd100005f,0xfc8000ff,0xf800003f,0xe80003ff,0x02ffffff,0xbb100000,
    0xffd10001,0x1fffffff,0xbd100000,0x40000001,0x00003ffc,0x00006ec4,
    0x001bb100,0x5ff90000,0x0002ffcc,0x0001ffa6,0x3f77ffa2,0x220000ef,
    0x7fdc05ff,0xfffc8002,0x98000002,0x0004fffe,0xfffff980,0x20000006,
    0x001efffc,0x0fffea00,0xfffc8000,0x007fff30,0x0bfff500,0x4fffa800,
    0x3fe60000,0x7d40005f,0x02ffffff,0xffb80000,0x7d4002ff,0xffffffff,
    0x5c00000f,0x0002ffff,0x7ffec400,0x3ee00000,0x00002fff,0x02ffffb8,
    0x3ff20000,0x07fff30f,0x27ffd400,0xfff70000,0x3e00007f,0xfff302ff,
    0xffb10001,0x4000009f,0xeffffffc,0x3f600001,0x002fd98b,0x7ff4c000,
    0x0004ffff,0x005fffb8,0x4bfff200,0x0005fffa,0x00efffb8,0xefffb800,
    0xffa80000,0x7cc0006f,0x02ffffff,0x3f620000,0x00dfffff,0xffffff30,
    0x0001ffff,0x3ffff620,0x00000dff,0x02fffe98,0xfffb1000,0x0001bfff,
    0xfffffb10,0x800001bf,0xff52fffc,0x7e4000bf,0x90000dff,0x40ee887d,
    0xfb8004eb,0xfdbabeff,0x640005ff,0x0000dfff,0x3bfffa60,0x004ffffb,
    0x7c46f880,0x32000005,0xffebffff,0xfb0001ef,0x400009ff,0xff52fffc,
    0xfb0000bf,0x800009ff,0x001ffffa,0x037ffd40,0x7ffedc00,0x000002ff,
    0xfb9ffff7,0x2e005fff,0xfffffffd,0xfb80000f,0xfffdcfff,0x2a00002f,
    0x0001efff,0xb9ffff70,0x0005ffff,0x6e7fffdc,0x0002ffff,0x2a5fff90,
    0x10005fff,0x0009fffb,0x400fffcc,0x8002fff9,0xfffffffc,0x500006ff,
    0x0000bfff,0x88ffffe2,0x0004fffe,0x17e637c4,0x7fe40000,0x3ffee0ef,
    0x7ff4000f,0x2e00003f,0xfff12fff,0xff900009,0x2000007f,0x000fffe8,
    0x01bffea0,0x5fffd000,0xff500000,0x7ffd45ff,0xff10002f,0xa80001ff,
    0x3ea1efff,0x80002fff,0x000dfff9,0x5dfff500,0x017fffd4,0x177ffd40,
    0x005ffff5,0x12fffb80,0x40009fff,0x0002fffd,0x400fffd4,0x0002fff9,
    0xffffffd5,0xe9800007,0xf700007f,0x3fee03df,0x3fd80007,0x00005fb1,
    0x4c0fffe0,0x2e003ffe,0x00001fff,0xff30ffec,0x3fe00009,0x4000001f,
    0x0002ffd8,0x33ffff73,0x00333333,0x002fffe8,0x0dffd800,0x005ffd88,
    0x01ffff10,0x0cffe800,0x005ffd88,0x004ffb80,0x06fff400,0x002ffec4,
    0x4406fff4,0x40005ffd,0x3fe61ffd,0x77fc0004,0x9f900001,0x0027e400,
    0x04d654c0,0x1b880000,0x07910000,0x00005910,0x0dfffff3,0x0e540000,
    0x300065c0,0x000001bd,0x00350171,0x0005cc00,0x00750000,0xfffffd98,
    0xffffffff,0xe800dfff,0x00002fff,0xca801c98,0xfff10001,0xc980001f,
    0x001ca801,0x00003700,0x95003930,0x03930003,0x80003950,0x001a80b8,
    0x0000b980,0x00000000,0x00000000,0x00000000,0xfc880000,0x0000003e,
    0x00000000,0x00000000,0x00000000,0xffc80000,0xffffffff,0xffffffff,
    0x2fffe804,0x01333330,0x00000000,0x001ffff1,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000198,0xdf901efc,
    0x19800003,0x00000000,0x00000000,0x55555440,0x000002aa,0x4c000000,
    0x00000001,0x3ffff200,0xffffffff,0x04ffffff,0x222fffe8,0xfffffffd,
    0x0330001d,0xfff88000,0x0000000f,0x00000000,0x02660000,0x01100000,
    0x02200000,0x00000000,0x333332a2,0xccb981bc,0x000acccc,0xffffb951,
    0x006e25bf,0x4c2fffd4,0x20005fff,0xffffdca8,0x003712df,0x00000000,
    0x99999951,0x59999999,0xffffd101,0x001fffff,0x66666544,0xccb981bc,
    0x800acccc,0xfffffed9,0x5101731c,0x37999999,0x99999730,0x7fecc159,
    0xffffffff,0x0dffffff,0x22fffe80,0xfffffffb,0xdb3005ff,0x239fffff,
    0x7c4000b9,0x22000fff,0xbcccccca,0xccccb981,0x65440acc,0x81bccccc,
    0xccccccb9,0xfd91000a,0x217dffff,0x64c001b9,0x1bdffffd,0xfb930000,
    0x0037bfff,0x66666544,0xcccccccc,0x7ffc40ac,0x3fffffff,0x3fffffee,
    0x5c00ffff,0xffffffff,0x2fffffff,0x86fffb80,0x0006fffa,0xfffffff7,
    0xffffffff,0x99973005,0x03999999,0xfffe8000,0xffffffff,0x540fffff,
    0xffffffff,0xff1000ff,0xffffffff,0x7ffffdc7,0x100fffff,0xfffffffb,
    0x8fffdfff,0xfffffff8,0x3fee3fff,0xffffffff,0xffffb980,0x19999999,
    0x17fff400,0xfffffff7,0xfd880bff,0xffffffff,0x4007ffef,0x000ffff8,
    0xfffffff1,0x7fdc7fff,0xffffffff,0xffffff10,0x7dc7ffff,0xffffffff,
    0x3ff6200f,0xffffffff,0x002fffcf,0xfffffff9,0x80009fff,0xfffffffc,
    0xff004fff,0xffffffff,0xffffffff,0xffffffa8,0x3fa6ffff,0xffffffff,
    0x3fff603f,0xffffffff,0x004fffff,0x3fa05ffd,0xffd8002f,0xffffffff,
    0x04ffffff,0x7fffffdc,0x005fffff,0x3fffe600,0xffffffff,0x4c3fffff,
    0xffffffff,0xff5000ff,0xffffffff,0x7fffff4d,0x983fffff,0xffffffff,
    0xffffffff,0x3ffffea1,0x3a6fffff,0xffffffff,0xfff503ff,0xfe80000d,
    0x3ffea2ff,0x01dfffff,0x3fffffe6,0xffffffff,0x3e2001ff,0xf5000fff,
    0xffffffff,0x7ffff4df,0x53ffffff,0xffffffff,0x7fff4dff,0x3fffffff,
    0xffffff30,0xffffffff,0xe9809fff,0xffffffff,0x000effff,0x7fffff4c,
    0xefffffff,0x3fffea00,0xffffffff,0x21ffffff,0xfffffff8,0x3fee3fff,
    0xffffffff,0xffffe880,0xffffffff,0x006fffff,0x0015002a,0xfffffe88,
    0xffffffff,0x6c06ffff,0xffffffff,0x0001ffff,0x3fffffe0,0xffffffff,
    0xfdb80fff,0x0fffffff,0xfffff100,0x5c7fffff,0xffffffff,0x7ff440ff,
    0xffffffff,0x22ffffff,0xfffffff8,0x3fee3fff,0xffffffff,0x0dfff500,
    0xfffe8000,0xffffff72,0xffd10037,0xffffffff,0x05ffffff,0x07fffc40,
    0xfffff880,0x2e3fffff,0xffffffff,0xffff10ff,0x47ffffff,0xfffffffb,
    0xffa80fff,0xffffffff,0xffffffff,0x3fffe606,0xffffffff,0x3001ffff,
    0xffffffff,0xffffffff,0x3fffe203,0xffffffff,0x987fffff,0xceeffffb,
    0xffeeca82,0xff881bff,0x8aceffff,0xffffeba9,0x0000006f,0x7ffffc40,
    0xba98acef,0x06fffffe,0x7fffffdc,0x04ffffff,0x3b6e2000,0xffffeeee,
    0x2001bdee,0x000ffff8,0x3bfffee6,0xeeca82ce,0xc81bffff,0x89bfffff,
    0xfffffca9,0x7ffdcc2f,0xca82ceef,0x1bffffee,0x01bffea0,0x7fffd000,
    0x3ffffff9,0x7fffe400,0xfca989bf,0x002fffff,0x003fffe2,0xeffffb98,
    0xeeca82ce,0x4c1bffff,0xceeffffb,0xffeeca82,0xff881bff,0x89bdffff,
    0xfffffdb9,0x3fffa06f,0xca98acff,0x00ffffff,0xcfffffe8,0xfffca98a,
    0xb7300fff,0xffffdddd,0x017bdddd,0x001ffff4,0x640dfff7,0x800effff,
    0x006ffffa,0x7e400000,0xa800efff,0xa806ffff,0xffffeeec,0x00007fff,
    0x1ffff300,0x7ffc4000,0xffe8000f,0x3fee003f,0x3fffe06f,0x3ffa600f,
    0xfffd02ff,0x7ffdc007,0x6fffa806,0x7ff40000,0xefffffff,0x7fffc000,
    0x3ffa600f,0x3e2002ff,0xe8000fff,0x2e003fff,0x7f406fff,0x3ee003ff,
    0x3ffa06ff,0x74c01fff,0xf906ffff,0x4c03dfff,0x404ffffe,0x01effffc,
    0x13ffffa6,0x1ffff100,0x7fffd000,0x37ffdc00,0x0fffff88,0x17fff200,
    0x00999988,0x80cccccc,0x00fffff8,0x017fff20,0x3ffffee0,0x00002fff,
    0x0ffff980,0x3ffe2000,0xffe8000f,0x3fee003f,0xffff306f,0xffff3005,
    0x0ffffa05,0x06fffb80,0x006fffa8,0x7ffff400,0x8005ffff,0x802ffff9,
    0x002ffff9,0x003fffe2,0x00ffffa0,0x406fffb8,0x2003fffe,0xf506fffb,
    0x4003ffff,0xfa86ffff,0x8800dfff,0x501ffffd,0x001bffff,0x03ffffb1,
    0x07fffc40,0x1ffff400,0x0dfff700,0x007ffff6,0x707fff10,0x09fffffd,
    0x3ffffff6,0xffffd80f,0x7ffc4001,0xfffe8003,0x005fffee,0xfff98000,
    0x3e20000f,0xe8000fff,0x2e003fff,0xff506fff,0x7ff400ff,0x7fffd00f,
    0x37ffdc00,0x037ffd40,0x3fffa000,0x0006ffff,0x400ffff5,0x2000fffe,
    0x000ffff8,0x003fffe8,0xd01bffee,0x5c007fff,0xffb06fff,0xfb8003ff,
    0xffff84ff,0x3fe2000f,0xffff06ff,0x7fc4001f,0x3e2006ff,0xe8000fff,
    0x2e003fff,0xfff06fff,0x3aa0009f,0x7fffc40c,0xffa84fff,0x80ffffff,
    0x0004ffff,0x980019d5,0xffbaffff,0x000001ff,0x007fffcc,0x1ffff100,
    0x7fffd000,0x37ffdc00,0x01ffff88,0x740dff50,0x2e003fff,0xfa806fff,
    0x400006ff,0xfffffffe,0x7c4000df,0xf5001fff,0xff8800df,0xfe8000ff,
    0x3ee003ff,0x7ff406ff,0x3fee003f,0xffff886f,0xfff88003,0x1ffffcc2,
    0x7fffdc00,0x1ffffcc2,0x7fffdc00,0xffff1002,0xfffd0001,0x7ffdc007,
    0x2ffff986,0xff880000,0xa84fffff,0xffffffff,0x17fffcc0,0x64000000,
    0xfff17fff,0x8000009f,0x000ffff9,0x03fffe20,0x0ffffa00,0x06fffb80,
    0x007bfffa,0x3ffa0144,0x3fee003f,0xfffa806f,0x7f400006,0xffffffff,
    0x7ff4000e,0x051001ef,0x1ffff100,0x7fffd000,0x37ffdc00,0x00ffffa0,
    0xa86fffb8,0x0000ffff,0xfff507b5,0x7ff4000d,0x37ffd43f,0x7fffd000,
    0x3fffe200,0xfffe8000,0x3ffee003,0x0ffffa86,0xfd700000,0x3609ffff,
    0x0fffffff,0x007fffd4,0x3e200000,0x3ff24fff,0x4000007f,0x000ffff9,
    0x03fffe20,0x0ffffa00,0x06fffb80,0x37fffff2,0x7f40001b,0x3ee003ff,
    0xffa806ff,0x173000ff,0x56ffff40,0x01efffff,0x3fffff20,0x800001bd,
    0x000ffff8,0x003fffe8,0xd01bffee,0x5c007fff,0xffb86fff,0x9000006f,
    0x40009fff,0x7e44fffc,0x320004ff,0xf1004fff,0xd0001fff,0x5c007fff,
    0xffb86fff,0x8000006f,0x404fffd8,0x40ffffa8,0x0006fffb,0xfffb8000,
    0x3fffe61f,0x26000002,0x0000ffff,0x003fffe2,0x00ffffa0,0x206fffb8,
    0xffffffe8,0x000acdff,0x800ffffa,0x9806fffb,0x2603ffff,0xd00ffffc,
    0x3fe65fff,0x1001ffff,0xfffffffd,0x000159bf,0x00ffff88,0x03fffe80,
    0x01bffee0,0x4007fffd,0xfc86fffb,0x000005ff,0x0007fffb,0x3637ffdc,
    0x20003fff,0x1006fffb,0x0001ffff,0x4007fffd,0xfc86fffb,0x000005ff,
    0x009fffb0,0xc81ffff1,0x00005fff,0x6fffe800,0x005fffe8,0x3ffe6000,
    0x3e20000f,0xe8000fff,0x2e003fff,0x74406fff,0xffffffff,0xe801dfff,
    0x2e003fff,0xff006fff,0xdb9bdfff,0x7fffffff,0x98bfffa0,0x02fffffe,
    0xfffffd10,0x3bffffff,0x3ffe2000,0xffe8000f,0x3fee003f,0x7fff406f,
    0x3ffee003,0x05fffc86,0xffff0000,0x7fd40005,0x17fffc7f,0xffff5000,
    0x3fffe200,0xfffe8000,0x3ffee003,0x05fffc86,0x99999988,0x7fec0099,
    0xfff8804f,0x2fffe40f,0x4ccccc40,0xf3000999,0xff505fff,0x002003ff,
    0x01ffff30,0x7fffc400,0xfffe8000,0x3ffee003,0xfffd8806,0xffffffff,
    0x7fff402f,0x3ffee003,0xffff7006,0xffffffff,0xa881ffff,0x7442ffff,
    0x0acfffff,0x7fffec40,0xffffffff,0x55554c02,0xaabffffb,0x7ff401aa,
    0x3fee003f,0x7fff406f,0x3ffee003,0x04fffc86,0xfff88000,0x3e60001f,
    0xfff10fff,0x7cc0003f,0xf8800fff,0xe8000fff,0x2e003fff,0xffc86fff,
    0x3ffa205f,0xffffffff,0x9fffb00e,0x1ffff100,0x205fffc8,0xffffffe8,
    0x400effff,0x3e07fffc,0x74404fff,0xff3000ef,0x440001ff,0x8000ffff,
    0x2003fffe,0x2006fffb,0xfffffeb8,0x204fffff,0x2003fffe,0x2006fffb,
    0xfffffffd,0x1effffff,0x7ffffff4,0xfffffa82,0x4401efff,0xffffffeb,
    0xfc84ffff,0xffffffff,0xffffffff,0x7fffd03f,0x37ffdc00,0x00ffffa0,
    0xc86fffb8,0x00004fff,0x005fffd0,0x237ffd40,0x0002fffe,0x401bffea,
    0x000ffff8,0x003fffe8,0x321bffee,0x3f205fff,0xffffffff,0xffb03fff,
    0xfff1009f,0x5fffc81f,0x3fffff20,0x3fffffff,0x37fffe20,0xfd999999,
    0x7fd407ff,0xfff3002f,0x7c40001f,0xe8000fff,0x2e003fff,0x10006fff,
    0xfffffb73,0x3ffa05ff,0x3fee003f,0x7fd4006f,0xffffffff,0xffffa81c,
    0xffd82fff,0x5fffffff,0x3f6e6200,0x22ffffff,0xfffffff8,0xffffffff,
    0xe80fffff,0x2e003fff,0x7f406fff,0x3ee003ff,0xfffc86ff,0xfb000005,
    0x640009ff,0x7fec5fff,0x3f20004f,0xff1005ff,0xfd0001ff,0x7dc007ff,
    0xfffa86ff,0x3fffee06,0xffffffff,0x09fffb03,0x81ffff10,0x2e06fffa,
    0xffffffff,0x2e03ffff,0xffffffff,0xffffffff,0x13fff202,0x07fffcc0,
    0xffff1000,0xfffd0001,0x7ffdc007,0x36600006,0xfd04ffff,0x7dc007ff,
    0x550006ff,0x80135999,0xfffffff9,0xfffffc82,0x0004ffff,0x27fffecc,
    0x3ffffffe,0xffffffff,0xfd07ffff,0x7dc007ff,0x7ff406ff,0x3fee003f,
    0x7fffb86f,0xff700000,0x7ec000bf,0x7ffdc4ff,0x3ff60005,0xfff1004f,
    0xffb0001f,0x7fdc007f,0x7fff885f,0x3fffb220,0x0dffffff,0x009fffb0,
    0x881ffff1,0x32207fff,0xfffffffe,0x3fa00dff,0xffffffff,0x5fffffff,
    0x013fff20,0x007fffcc,0x1ffff100,0x7fffb000,0x2fffdc00,0x4000bc88,
    0xfb06fffc,0x7dc007ff,0x000005ff,0xffffb700,0xffd9105f,0x4419dfff,
    0x7e4000bc,0x7fed46ff,0xffffffff,0x1dffffff,0x007fffb0,0x202fffdc,
    0x2003fffd,0xfa85fffb,0x00000fff,0x01ffffa8,0x2ffff980,0x00ffffd4,
    0x17fffcc0,0x0ffff880,0x5fffc800,0x13fff600,0x0017fffc,0x2037ffdc,
    0x8804fffd,0xff80ffff,0xfb8002ff,0x7fcc06ff,0xffffffff,0xffffffff,
    0x09fff901,0x01fffe60,0x1ffff100,0xbfff9000,0x27ffec00,0x4004ffe8,
    0xc81ffff8,0x36005fff,0x20004fff,0x0000002a,0x13ffa000,0x3ffff100,
    0xc8000000,0x36005fff,0x7e404fff,0x3f6005ff,0xfff884ff,0x8800005f,
    0x8006ffff,0x440ffffe,0x8006ffff,0x000ffffe,0x001ffff1,0x01ffff50,
    0x05ffff10,0x003ffff6,0x80dfff70,0x8804fffd,0xfd80ffff,0x5c000fff,
    0x7ec06fff,0xffffffff,0xffffffff,0x9fff904f,0x17ffee00,0xffff1000,
    0xfff50001,0xfff1001f,0xffff105f,0x7ffcc001,0xffffa81f,0xffff8800,
    0xdffd0002,0x00000000,0x01ffff10,0x0ffffcc0,0x2a000000,0x8800ffff,
    0x5402ffff,0x8800ffff,0xf902ffff,0x10005fff,0xfff905db,0x7fdc007f,
    0xfff904ff,0x7fdc007f,0x3e2004ff,0x88000fff,0x4406ffff,0x500ffffe,
    0x001bffff,0x2037ffdc,0x5406fffd,0xa80ffffe,0x000dffff,0x881bffee,
    0x2004ffff,0xf907fffb,0xff3009ff,0x880009ff,0x8000ffff,0x406ffff8,
    0x80ffffe8,0x00dffffa,0x01ffffd0,0x80dffff1,0x00ffffe8,0x1ffff980,
    0x76cc0000,0x7fd4001b,0xfd000dff,0x6c001fff,0xf10002ce,0xe880dfff,
    0x4400ffff,0x4406ffff,0x100ffffe,0x007fffff,0x407fff4c,0x804ffffe,
    0x406ffffc,0x804ffffe,0x006ffffc,0x007fffc4,0xeffffd80,0x7fff5441,
    0x7ffec04f,0x95100cff,0xb80dfffd,0xea81ffff,0x02ffffff,0x19fffffb,
    0x3ffb2a20,0x3ffee06f,0x3fe2000f,0xfffc82ff,0xffb882df,0x40002fff,
    0x000ffff8,0x3dffffb0,0xffffea88,0xfffff504,0x3faa037f,0x3f606fff,
    0x5441efff,0x004ffffe,0x003fffe0,0xffff9000,0x7ffd4003,0xd501bfff,
    0x400dffff,0x004ffff9,0x3dffffb0,0xffffea88,0xffffb004,0xffea883d,
    0x7fdc04ff,0x300aefff,0x05fffff7,0x3bfffff3,0xfffffb30,0xffff9803,
    0xffd981df,0x2a201fff,0xffffbaaa,0x000aaaab,0xdffffffd,0xdffffffd,
    0xfffff100,0xffbddfff,0x0dffffff,0xefffff98,0xffffffed,0x441fffff,
    0xffffffff,0xfffffdee,0xfd306fff,0x10015dff,0x13dfffd5,0x7fffffe4,
    0xffffedef,0x54c005ff,0xffffbaaa,0x001aaaab,0xdffffffd,0xdffffffd,
    0x7ffffd40,0xfedeffff,0x01ffffff,0x7ffffff4,0xffffffee,0x7dc40006,
    0xd9800007,0x2a005fff,0xffffffff,0xffffedef,0x64001fff,0x0000fffe,
    0xdffffffd,0xdffffffd,0xffffe800,0xffffeeff,0xffb006ff,0xbdffffff,
    0xfffffffd,0x7fffdc0d,0xfffeefff,0x7004ffff,0xdfffffff,0xfffffffd,
    0x7fffec09,0xffffffff,0x9805ffff,0xffffffff,0x01ffffff,0xffffff50,
    0xffffffff,0xd00dffff,0xffffffff,0xffffffff,0xfff50bff,0xffffffff,
    0xdfffffff,0xffffffa8,0xe880efff,0xffffffff,0xfffff91f,0xffffffff,
    0x32001dff,0xffffffff,0xffffffff,0x7fcc03ff,0xffffffff,0x2601ffff,
    0xffffffff,0xffffffff,0xff9804ff,0xffffffff,0x0001ffff,0x00003fb8,
    0x3feef7ea,0x3ffe6006,0xffffffff,0x4fffffff,0xd59df300,0x260003ff,
    0xffffffff,0x01ffffff,0x7ffffcc0,0xffffffff,0x3ff6001f,0xffffffff,
    0x1effffff,0x7ffffe40,0xffffffff,0x7fe4003f,0xffffffff,0x2603ffff,
    0xffffffff,0xffffffff,0xfd8801ff,0xffffffff,0x644000ef,0xffffffff,
    0xbeffffff,0xfffe8800,0xffffffff,0x04ffffff,0xffffff91,0xffffffff,
    0xfffe817d,0x3fffffff,0xffffffb8,0x3265ffff,0xffffffff,0x000dffff,
    0xfffffff1,0xffffffff,0x801fffff,0xffffffd8,0x800effff,0xffffffff,
    0xffffffff,0x3f62002f,0xffffffff,0x980000ef,0x6c00005f,0x03ffffff,
    0x7fffffc0,0xffffffff,0x2e002fff,0x05ffffff,0x7ffec400,0xefffffff,
    0xffb10000,0xffffffff,0xff70001d,0xffffffff,0x4009ffff,0xffffffe9,
    0x001effff,0xfffffd30,0x03dfffff,0xffffff88,0xffffffff,0x2000ffff,
    0xfffffffb,0x64c0003f,0xfffffffe,0x88002eff,0xfffffffd,0xeffff9be,
    0x7f64c00c,0xffffffff,0x3fff602e,0x2fffffff,0xffffffa8,0xb885ffff,
    0xeffffffe,0xfff8002c,0xffffffff,0xffffffff,0x3ffee007,0x003fffff,
    0x3f2637aa,0xffffffff,0x3fee0004,0x03ffffff,0x003fa000,0xfffd3000,
    0xbd5000bf,0xfffff931,0x0009ffff,0x3dffffb1,0x3fee0000,0x03ffffff,
    0xffff7000,0x0007ffff,0xffffeb88,0x02ceffff,0xfffff900,0x00019dff,
    0xffffff90,0x2e0019df,0xfffffffd,0xdfffffff,0x97510002,0x20000015,
    0x09abcba8,0xcba88000,0x000000ab,0x13579751,0xfffd9100,0x5c07dfff,
    0xeffffffe,0x65cc400c,0x6d40000a,0xffffffff,0xffffffff,0xba88001d,
    0x200000ac,0x1abcba98,0x2ea20000,0x400000ac,0x000001d8,0x00002aa2,
    0x57975310,0x53100003,0x22000001,0x0000acba,0x15975100,0x55100000,
    0x00003599,0x00abba88,0x77510000,0x00000015,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00a60000,0x00000000,0x006e2000,
    0x0000a600,0x00000000,0x00000000,0x00000000,0x8000ec88,0x75400cd9,
    0x00000003,0x71000000,0x73000001,0x5c400000,0x02980001,0x5c400000,
    0x00000001,0x00006a00,0x200faa00,0x011002eb,0x0fea0022,0x0000bee0,
    0x000ffec0,0x2e00fea0,0x3000002f,0x88000dff,0x00000eff,0x001bb100,
    0x06ec4000,0x36200000,0x0000001e,0x005fff30,0x105fff70,0x0000fffb,
    0x00006ec4,0xdff30000,0xffb80000,0xf9800003,0xff80006f,0x8000001e,
    0x80007fe9,0x00000de8,0x0000bff5,0x81effd80,0xc805ffe9,0x27fe43ff,
    0x8803ff60,0x400005ff,0x000fffe8,0x1007fec0,0x00000bff,0x0009fff5,
    0x003fffd0,0xfffb8000,0xb800002f,0x0002ffff,0x7ffff500,0xa8000000,
    0x10006fff,0x2a1bffff,0x0003ffff,0x05ffff70,0xf7000000,0x400009ff,
    0x0001fffd,0x027ffd40,0x17ffec00,0xff500000,0xfb80009f,0x80002fff,
    0x000efff8,0xffff3000,0x0ffffdc7,0x43fffe20,0x200ffff8,0x3fa05ffc,
    0x2600003f,0x0001ffff,0x3a05ffc8,0x400003ff,0x0005fffc,0x07fffd10,
    0xffb10000,0x001bffff,0xffffb100,0x00001bff,0x3fffff62,0x000001ef,
    0x005fffc8,0x7fffec40,0x002ffffd,0xffffd880,0x00000dff,0x0bfff900,
    0x3ffa2000,0x6400002f,0x00005fff,0x007fffd1,0xbfff9000,0x3f620001,
    0x00dfffff,0x7fffcc00,0xd3000001,0xfffddfff,0xfff1003d,0x3fffe21f,
    0x3fffe200,0xfffecaac,0xff700000,0x200001df,0xaacffff8,0x000fffec,
    0x9fffb100,0xffb00000,0x5c00009f,0xffdcffff,0x2e0002ff,0xffdcffff,
    0x540002ff,0xffcdffff,0x000003ff,0x000ffff6,0xfffffa80,0xb80000df,
    0xffdcffff,0x000002ff,0x00ffffa2,0x7fffcc00,0x36200001,0x00004fff,
    0x005fffc8,0x9fffb100,0x7ffdc000,0x2ffffdcf,0x7ff44000,0x2000002f,
    0x4ffffffc,0x3fffe200,0x01ffff10,0xffffffa8,0x0001ffff,0x00bfff50,
    0xffff5000,0x03ffffff,0x7ffec000,0x2e000002,0x80003fff,0x2a2efffa,
    0x8002ffff,0x2a2efffa,0x0002ffff,0x4c7ffff3,0x0003fffe,0x02fffb80,
    0xffd88000,0xf500002f,0x7fd45dff,0x000002ff,0x0005fffb,0x03bffe20,
    0xfffb0000,0x5c000005,0x80004fff,0x0002fffd,0xa87bffea,0x0002ffff,
    0x00fffec4,0xffd30000,0xff88003d,0xffff10ff,0xfffb1001,0x0001bfff,
    0x001ffe40,0xfffb1000,0x0001bfff,0x001eff80,0x6ffa8000,0xdffe8000,
    0x05ffd880,0x80dffe80,0x0005ffd8,0x3201bff9,0x800006ff,0x00001efa,
    0x00006dc0,0x101bffd0,0x0000bffb,0x003dff10,0x02ffd400,0x1eff8000,
    0xf9800000,0xff80007f,0x7f40001e,0xffd880cf,0xff900005,0x90000009,
    0x3fe20009,0xffff10ff,0x5dd44001,0x8800000a,0x0000001b,0x00157751,
    0x002e6000,0x1b880000,0x01c98000,0x98001ca8,0x01ca801c,0x30059100,
    0x20000039,0x00000000,0x07260000,0x000072a0,0x00001d40,0x000002b8,
    0x000002e6,0x0001b880,0x80000b98,0x1ca801c9,0x02e60000,0x00000000,
    0x21ffff10,0x000ffff8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3f200000,0x03df901e,0x407bf200,0x00001efc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00011000,0x443fffe2,0x8000ffff,0x00000008,0x00000011,0x98000000,
    0x40000009,0x00000008,0x00000000,0x00000000,0xbfff5000,0x00bfff30,
    0x30bfff50,0x0000bfff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ff72600,0x1001bdff,0x3e21ffff,0xc9800fff,
    0x1bdffffd,0xfb930000,0x0037bfff,0x66666544,0xccb981bc,0x000acccc,
    0xfffffd91,0x006e617d,0xffffb930,0x5440037b,0xcccccccc,0xcccccccc,
    0x65444ccc,0x01bccccc,0x333332e6,0x65cc00ac,0xcccccccc,0xff700001,
    0xdfff50df,0xdfff7000,0x00dfff50,0x2b3332e6,0x3332e200,0x973001bc,
    0x99999999,0x99999999,0xccccc899,0xcccccccc,0x4c04cccc,0xcccccccb,
    0x510001cc,0x99999999,0x15999999,0xccccca88,0xcccccccc,0x44cccccc,
    0xcccccca8,0xcccccccc,0x665cc00a,0x1ccccccc,0x7fe40000,0xffffffff,
    0xffff8804,0x01ffff10,0xffffffc8,0x0004ffff,0x7fffffe4,0x8804ffff,
    0xffffffff,0x3ffee3ff,0x0fffffff,0x3ffff620,0xcfffffff,0xf9002fff,
    0xffffffff,0x3ffa009f,0xffffffff,0xffffffff,0x7fffc7ff,0x84ffffff,
    0xfffffffc,0x3fee07ff,0xffffffff,0x3a00005f,0x5ffd02ff,0x0bffa000,
    0x64017ff4,0xffffffff,0xfffff980,0x7ec04fff,0xffffffff,0xffffffff,
    0x7ffc7fff,0xffffffff,0x07ffffff,0x3fffffee,0x005fffff,0xfffffff0,
    0xffffffff,0xfffe8fff,0xffffffff,0xffffffff,0x7ffffc7f,0xffffffff,
    0x2e07ffff,0xffffffff,0x00005fff,0xffffffd3,0x1dffffff,0x87fffc40,
    0x300ffff8,0xfffffffd,0x01dfffff,0xffffe980,0xffffffff,0x3ffea00e,
    0x6fffffff,0x3ffffffa,0xf303ffff,0xffffffff,0xffffffff,0xfffe9809,
    0xffffffff,0x3fe600ef,0xffffffff,0xffffffff,0x3fea7fff,0xffffffff,
    0xffffff87,0xb02fffff,0xffffffff,0x0003ffff,0x02a00540,0xa8015000,
    0xfffff000,0xf907ffff,0xffffffff,0xffffff80,0xffffffff,0x7fffffff,
    0x7ffffffc,0xffffffff,0x3ff607ff,0xffffffff,0x7d4001ff,0xffffffff,
    0xffffffff,0xfffff31f,0xffffffff,0xffffffff,0x7ffffd4f,0xffffffff,
    0xb01fffff,0xffffffff,0x0003ffff,0xffffff98,0xffffffff,0xfff101ff,
    0x3fffe21f,0xfffff980,0xffffffff,0xf3001fff,0xffffffff,0x3fffffff,
    0x3ffffe20,0x2e3fffff,0xffffffff,0xfffa80ff,0xffffffff,0x6fffffff,
    0x3ffffe60,0xffffffff,0x3fe01fff,0xffffffff,0xffffffff,0x3fe27fff,
    0xffffffff,0xfffffd85,0x700fffff,0xffffffff,0x0009ffff,0x00000000,
    0xffb00000,0x03ffffff,0xfffffff5,0xfffd80bf,0xffffefff,0xffffffff,
    0x7ffffc7f,0xffffffff,0x2e07ffff,0xffffffff,0x4004ffff,0xfffffff8,
    0xffffffff,0x7fffc7ff,0xffffffff,0xffffffff,0x3fffe27f,0xffffffff,
    0x207fffff,0xfffffffb,0x004fffff,0x7fffff40,0xffca98ac,0xf880ffff,
    0xfff10fff,0xffffd01f,0xf953159f,0x001fffff,0x59fffffd,0xffff9531,
    0x3ee601ff,0x82ceefff,0xffffeeca,0xffff881b,0xb989bdff,0x6ffffffd,
    0x3fffffa0,0xffca98ac,0x7100ffff,0xdddffffb,0xdddddddd,0xfd98ffff,
    0x0aceefff,0xffeeca88,0x65401dff,0xfffffeee,0x000007ff,0x00000000,
    0xffda8800,0x3ea02fff,0x00adffff,0x7fffed44,0xeeeffff9,0x47fffeee,
    0xeeeeffff,0xffffeeee,0x7765407f,0xfffffffe,0xedb98007,0xeffffeee,
    0x440bdeee,0xeeffffdb,0xeeeeeeee,0x5cc7fffe,0xfffeeeed,0x0bdeeeef,
    0x7f776540,0x07ffffff,0x3ffff200,0x3ffa601e,0xfff884ff,0x217ff60f,
    0x01effffc,0x13ffffa6,0x3dffff90,0x7ffff4c0,0x1ffff404,0x0dfff700,
    0x0ffffff4,0x3ffffa60,0xdffff906,0x7fff4c03,0xfffd804f,0xffff5003,
    0x00ffff50,0x017fffc0,0x7ffffdc0,0x10002fff,0x98013333,0x44019999,
    0x4c009999,0xd8019999,0x2e02ffff,0x0005ffff,0xfff3bffd,0x1fffe60f,
    0x4c05ffff,0x001fffff,0x7fffffdc,0x100002ff,0x0001ffff,0x2007fffb,
    0x1007fffa,0x0001ffff,0x3ffffee0,0xa8002fff,0x800dffff,0x41ffffd8,
    0x220ffff8,0x7ffd40bb,0xfd8800df,0xff501fff,0xb1001bff,0x7403ffff,
    0x2e003fff,0xff506fff,0x7c003fff,0xffa86fff,0xd8800dff,0x6c01ffff,
    0xf5003fff,0xfff30fff,0x1333301f,0x01ffff88,0xeefffe80,0x5c005fff,
    0x04fffffe,0xfffffffb,0xffffd701,0x3fff609f,0x4400ffff,0x880fffff,
    0x000fffff,0xf9bfff88,0xfff307ff,0x02ffff8f,0x07ffffd1,0xddfffd00,
    0x0000bfff,0x003fffe2,0x00ffff60,0x803fffd4,0x000ffff8,0xddfffd00,
    0xf000bfff,0x4001ffff,0x446ffff8,0xf000ffff,0x4001ffff,0xf06ffff8,
    0x4001ffff,0x206ffff8,0x2003fffe,0xfb06fffb,0xb8003fff,0xfff84fff,
    0x3e2000ff,0x7ec06fff,0xf98103ff,0xfff886ff,0x7fffdc1f,0x07fffcc3,
    0x3fffe600,0x01ffffba,0xffffff10,0xffff509f,0xf881ffff,0x84ffffff,
    0xfffffffa,0xfffb800f,0xffffe85f,0xfff70002,0x20ffff31,0x7fc7fff9,
    0xfffb02ff,0xff3000bf,0xffff75ff,0xff100003,0xfb0001ff,0xf30207ff,
    0x3e200dff,0x80000fff,0xfbaffff9,0x26001fff,0x8003ffff,0x222ffffb,
    0x9800ffff,0x8003ffff,0x4c2ffffb,0x8003ffff,0xd02ffffb,0x5c007fff,
    0xff886fff,0xf88003ff,0x7ffcc2ff,0xffb8003f,0x3ff602ff,0x077e443f,
    0x3fe09fff,0x7fff42ff,0x3fffd46f,0xbfffe400,0x004ffff8,0xfffffff1,
    0xfffff509,0xff881fff,0xa84fffff,0xffffffff,0xffffb000,0x2ffffdc7,
    0x2dffb000,0x8667fff9,0x7fec5fff,0xffffb81f,0xffc8000e,0x9ffff17f,
    0xfff10000,0xffb0001f,0x0efc887f,0x44013ffe,0x0000ffff,0xf17fffc8,
    0x54009fff,0x20006fff,0x3e23fffe,0xfa800fff,0x3a0006ff,0x7fd43fff,
    0x3fa0006f,0xfffd03ff,0x7ffdc007,0x0ffffa86,0x507b5000,0x4000dfff,
    0x3603fffe,0x7fdc3fff,0x4033662f,0x3e23fffe,0x2e0fffff,0x44006fff,
    0x3f24ffff,0x3ae007ff,0xb04fffff,0x1fffffff,0xfffffd70,0x3ffff609,
    0xf1000fff,0xff11ffff,0x40001fff,0xfff34fff,0x7ed7feef,0x43ffdc3f,
    0x01fffff9,0x4ffff880,0x001ffff2,0x03fffe20,0x0ffff600,0x6cc5fff7,
    0xfff1000c,0xf880001f,0x3ff24fff,0x3ff2007f,0x3f20004f,0x3ffe24ff,
    0x3f20440f,0x320004ff,0x7fe44fff,0x3f20004f,0xfffd04ff,0x7ffdc007,
    0x06fffb86,0xfff90000,0x7fe40009,0x3fff604f,0x027ffe43,0xb93fff60,
    0x23ffffff,0x4005fffc,0x261ffffb,0x4002ffff,0x404fffd8,0x00ffffa8,
    0x013fff62,0x01ffff51,0x6ffffd40,0x002ffffd,0x4c7ffea0,0xfffd7fff,
    0x41ca80d4,0x02fffff8,0x3ffff700,0x017fffcc,0x3fffe200,0xfffd8000,
    0x027ffe43,0x3fffe200,0x7fdc0000,0x3ffe61ff,0xfffb002f,0x7fdc0007,
    0x3fffe26f,0xfd8ffee0,0x2e0003ff,0x7fec6fff,0x3ee0003f,0xfffd06ff,
    0x7ffdc007,0x05fffc86,0xfffb0000,0x7fdc0007,0x3fff606f,0xffffffff,
    0x7ffe4004,0x3fffffa5,0x13fff66f,0x0dfffd00,0x000bfffd,0x1009fffb,
    0xd801ffff,0xf8804fff,0x6c000fff,0xffffffff,0x7fe40005,0x3ffffe67,
    0x0001ffff,0x013ffffa,0x86fffe80,0x0005fffe,0x007fffc4,0x7ffffec0,
    0x04ffffff,0x7fffc400,0x7ff40000,0x5fffe86f,0x05ffff00,0x3fffd400,
    0x7c1ffff1,0x3fffe7ff,0x3fea0002,0x17fffc7f,0xffff5000,0x00ffffa0,
    0xc86fffb8,0x00005fff,0x005ffff0,0x03fffd40,0xfffffffb,0x8009ffff,
    0xff16fffb,0x21ffffff,0x2003fffe,0xa82ffff9,0x4001ffff,0x8804fffd,
    0x6c00ffff,0xf8804fff,0x44000fff,0xffffffff,0x7ffc0000,0x3ffffe65,
    0x0001ffff,0x00dffff9,0x17fffcc0,0x00ffffd4,0x1ffff100,0xffffb000,
    0x9fffffff,0xfff88000,0x3e60000f,0xffa82fff,0x7fc401ff,0x260001ff,
    0xff10ffff,0x3ffe21ff,0x1ffff88f,0x3ffe6000,0x3ffff10f,0x7ffcc000,
    0x3fffe80f,0x1bffee00,0x0013fff2,0x3fffe200,0x3fe60001,0xfffb00ff,
    0xffffffff,0xfffa8009,0xffffff77,0x3fffe7ff,0x3fff2002,0x13fffe07,
    0x09fffb00,0x01ffff10,0x804fffd8,0x000ffff8,0xffffffa8,0x7fcc0002,
    0x3fffe63f,0x001fffff,0x0fffffa8,0x3fff2000,0x13fffe07,0xffff8800,
    0xfffd8000,0xffffffff,0x7fc40004,0x320000ff,0x3fe07fff,0xffe804ff,
    0x3ea0002f,0x3ffe26ff,0x1ffff10f,0x000bfffa,0x746fffa8,0x20002fff,
    0xfd06fffa,0x7dc007ff,0xfffc86ff,0xfd000004,0x540005ff,0x3f606fff,
    0xffffffff,0x7cc004ff,0xfffe8fff,0xff6fffdd,0x3e2005ff,0x9999dfff,
    0x07fffd99,0x027ffec0,0x007fffc4,0x2013fff6,0x000ffff8,0x09ffffb0,
    0x7fff7000,0xfffff955,0x8003ffff,0x02fffff9,0x3fffe200,0xd999999d,
    0x20007fff,0x000ffff8,0xffffffd8,0x004fffff,0x07fffc40,0xffff8800,
    0xd999999d,0xfd807fff,0x320004ff,0x3fe25fff,0xffff10ff,0x013fff61,
    0x45fffc80,0x0004fffd,0x7417fff2,0x2e003fff,0xffc86fff,0xb000005f,
    0x40009fff,0x3605fffc,0xdaaadfff,0x4c004fff,0xfffaffff,0xaffffaaf,
    0x7001ffff,0xffffffff,0xffffffff,0x7ffec005,0xffff8804,0x27ffec00,
    0x07fffc40,0xffff8800,0xffe80000,0xffffffff,0x00ffffbf,0x3ffffa20,
    0xf7002a03,0xffffffff,0x5fffffff,0x3ffe2000,0xffd8000f,0xffdaaadf,
    0x7c40004f,0x70000fff,0xffffffff,0xffffffff,0x5fffb805,0x3fff6000,
    0x43fffe24,0xf70ffff8,0x6c000bff,0x7fdc4fff,0x3f60005f,0xfffd04ff,
    0x7ffdc007,0x07fffb86,0xfff70000,0x7fec000b,0x3fff604f,0x21fffdc3,
    0xfff101b8,0x11ffffdf,0xfffbffff,0x3ffa001f,0xffffffff,0x05ffffff,
    0x013fff60,0x003fffe2,0x1009fffb,0x0001ffff,0x003fffe2,0xfffff100,
    0x2fffffff,0x6c006ffc,0x3a05ffff,0x3ffa01ff,0xffffffff,0x05ffffff,
    0x1ffff100,0x7fffb000,0x443fffb8,0xfff1001b,0x3fa0001f,0xffffffff,
    0x5fffffff,0x0ffffd40,0x7fffcc00,0x43fffe22,0xf50ffff8,0x30003fff,
    0xfa85ffff,0x98001fff,0xfb02ffff,0x7dc007ff,0xfffa85ff,0xa800000f,
    0x8001ffff,0x202ffff9,0x7cc3fffd,0x17ffc1ff,0xfffffff8,0x3ffff65f,
    0xf3007fff,0xffffffff,0xffffffff,0x3ff6003f,0xfff8804f,0x7ffec00f,
    0xffff8804,0xfff10000,0xfb80001f,0xffffffff,0x819717ff,0x3fffee00,
    0x9fff300e,0x3ffffe60,0xffffffff,0x001fffff,0x00ffff88,0x43fffd80,
    0x7fc1fff9,0xfff8802f,0xff98000f,0xffffffff,0xffffffff,0x3fffe201,
    0xfffe8006,0x3fffe20f,0x21ffff10,0x006ffff8,0x40ffffe8,0x006ffff8,
    0x00ffffe8,0x400bfff9,0xf884fffd,0x00005fff,0x06ffff88,0x0ffffe80,
    0x40ffff60,0x27ffcc0a,0xffffffe8,0x3fffea3f,0xfb006fff,0xffffffff,
    0xffffffff,0x3ff6009f,0xfff8804f,0x7ffec00f,0xffff8804,0xfff10000,
    0xfd80001f,0xfa9999ff,0x7fe407ff,0x7ffffcc1,0x1bffea01,0x7fffffec,
    0xffffffff,0x8004ffff,0x000ffff8,0x503fffd8,0x04fff981,0x00ffff88,
    0xfffffd80,0xffffffff,0x404fffff,0x003ffffc,0x113fffee,0x3e21ffff,
    0x3ff20fff,0x3ee003ff,0xff904fff,0x7dc007ff,0x3ea04fff,0xf8800fff,
    0xff902fff,0xb10005ff,0xffff905d,0x7ffdc007,0x7ffec04f,0x3ffea003,
    0xfffffb06,0x7ffc41ff,0x8805ffff,0x2004ffff,0xb007fffb,0xea80dfff,
    0x6c00ffff,0x75406fff,0x0000ffff,0x001ffff1,0x984fff80,0x3e207fff,
    0x3ffe24ff,0x7fdc03ff,0xffff886f,0x3ffee004,0xfff88007,0xffd8000f,
    0x3fea003f,0xfff8806f,0x7fc4000f,0x3ee004ff,0xffe807ff,0xffc804ff,
    0xfff886ff,0x1ffff10f,0x04ffffe8,0x06ffffc8,0x027ffff4,0x037fffe4,
    0x01bfffe2,0x01ffffd1,0x0fffffe2,0x0fffe980,0x04ffffe8,0x06ffffc8,
    0x003fffd8,0x641bffea,0x86ffffff,0x4ffffffd,0x0ffffb80,0x3fffe200,
    0xffffb802,0xffffea81,0x7fdc02ff,0xffea81ff,0x0002ffff,0x001ffff1,
    0x417ffd40,0x2a07fff9,0x3ffa6fff,0xffb804ff,0xffffb86f,0x3ffe2000,
    0x7fc4002f,0xfd8000ff,0x3ea003ff,0xff8806ff,0x7dc000ff,0x22000fff,
    0x4c02ffff,0x81dfffff,0x1fffffd9,0x10ffff88,0xf981ffff,0x981dffff,
    0x01fffffd,0x6fffffcc,0xffffd981,0xfffd801f,0x7f5441ef,0x7dc04fff,
    0x00aeffff,0x5fffff73,0xbfffff30,0xffffb303,0xffea803f,0xaaaaaadf,
    0xfffcaaaa,0xfffff706,0xffff507f,0xfe9807ff,0x8800aeff,0x09efffea,
    0x3ffffe60,0xfffffede,0x01ffffff,0xbdfffff3,0xfffffffd,0x3003ffff,
    0x7ffff755,0x6cc00355,0x9310afff,0x5557ffff,0x2ffff955,0xabfffffc,
    0xdaaaaaaa,0x7f4c6fff,0x8800aeff,0x09efffea,0xfbaaaa88,0xaaaabfff,
    0x3fffaa00,0xaaaaaaad,0x6fffcaaa,0x7dd55544,0xaaaabfff,0xdfffd300,
    0xfd510015,0x5c013dff,0xefffffff,0xfffffffe,0x1ffff104,0x203fffe2,
    0xfffffffb,0xffffffee,0xfff7004f,0xffddffff,0x009fffff,0x7ffffff4,
    0xffffffee,0xffffb006,0xfdbdffff,0x0dffffff,0x7fffffdc,0xfffffeef,
    0x3ff204ff,0xffffffff,0xffffffff,0xff506fff,0xf101ffff,0x205fffff,
    0xfffffffa,0xfe880eff,0xffffffff,0x3ffffa01,0xffffffff,0x05ffffff,
    0x3ffffffa,0xffffffff,0x2a05ffff,0xffffffff,0x02ffffff,0x3fffffe2,
    0xfffffaff,0xffffffff,0xffd7ffff,0xffffffff,0xffffffff,0x3ffffead,
    0x880effff,0xfffffffe,0x3fff61ff,0xffffffff,0x645fffff,0xffffffff,
    0xffffffff,0x366fffff,0xffffffff,0xffffffff,0x3ffffea5,0x880effff,
    0xfffffffe,0x3ff201ff,0xffffffff,0x2203ffff,0xff10ffff,0x3ff201ff,
    0xffffffff,0x4003ffff,0xfffffffc,0x3fffffff,0x7fffcc00,0xffffffff,
    0x3f6001ff,0xffffffff,0xefffffff,0x7fffe401,0xffffffff,0x3fe603ff,
    0xffffffff,0xffffffff,0xf306ffff,0x6c0dffff,0xd01fffff,0xffffffff,
    0xfff707ff,0xbfffffff,0x7ffff440,0xffffffff,0x204fffff,0xffffffe8,
    0xffffffff,0x3fa04fff,0xffffffff,0x206fffff,0xfffffffd,0xffffffff,
    0xffffffff,0xfffd7fff,0xffffffff,0xdfffffff,0x3ffffffa,0xfb83ffff,
    0xffffffff,0xfffff35f,0xffffffff,0x263fffff,0xffffffff,0xffffffff,
    0x36ffffff,0xffffffff,0xffffffff,0x3fffa3ff,0x3fffffff,0xffffffb8,
    0x4c05ffff,0xfffffffe,0xe801efff,0x37ff46ff,0x3ffffa60,0x1effffff,
    0xfffd3000,0xdfffffff,0x3f620003,0xffffffff,0xfb8000ef,0xffffffff,
    0x004fffff,0x3fffffa6,0x01efffff,0x7fffffc4,0xffffffff,0xffffffff,
    0xfffff106,0x7fffd407,0xffffb01f,0x05ffffff,0xfffffff5,0xd880bfff,
    0xefffffff,0xceffff9b,0x7ffec400,0xf9beffff,0x200cefff,0xfffffffc,
    0x5fffffff,0x3ffffee0,0xffffefff,0xffffffff,0xfd7fffff,0xffffffff,
    0xffffffff,0x3ffff6df,0x82ffffff,0xfffffffa,0xfff15fff,0xffffffff,
    0x1fffffff,0x3fffffe2,0xffffffff,0xffffffff,0xffffff16,0xffffffff,
    0x3f61ffff,0xffffffff,0xffffa82f,0x05ffffff,0xffffff90,0x220019df,
    0x066440cc,0xfffffc80,0x0000ceff,0xffffffc8,0x80000cef,0xfffffffb,
    0x5c40003f,0xfffffffe,0x90002cef,0xdfffffff,0x3f6a0019,0xffffffff,
    0xffffffff,0x3fe06fff,0x7fc00fff,0xd9100fff,0x7dffffff,0x7ffff5c0,
    0x1000ceff,0x00157975,0xbcba8800,0xc880000a,0xfffffffe,0x400cefff,
    0x4efffffd,0xffffffdb,0xffffffff,0x3ffffaff,0xffffffff,0x16ffffff,
    0xffffffd9,0x7ff5c07d,0x20ceffff,0xffffffdb,0xffffffff,0x7ffed42d,
    0xffffffff,0xffffffff,0x3fff6e6f,0xffffffff,0x3222dfff,0xeffffffe,
    0x3fffae03,0x000cefff,0x0055dd44,0x10000000,0x00015775,0x2aeea200,
    0x51000000,0x00001597,0x35995510,0xba880000,0x000000ab,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0faa0000,0x80007ae0,0x00000039,0x00000022,
    0x20000133,0x2eb803ea,0x00330000,0x00198000,0x00000000,0x00000000,
    0x00000088,0x0000b880,0x3d7007d5,0x2e200000,0x20000000,0x71000029,
    0x00000003,0x00350000,0x00000550,0x00000000,0x2aa00000,0xffe81aaa,
    0x5ffe981e,0x07bfe000,0xfd880000,0x2200004f,0xefffffec,0x2003730b,
    0xe981effd,0xb30005ff,0x39fffffd,0xa88002e6,0xdfffffdc,0x64003712,
    0x01ed801f,0x00dd8800,0x3f620000,0x0000004f,0x40013fea,0xe981effe,
    0x800005ff,0x00005ffa,0x00fff700,0x007fe980,0xf7007f50,0xfe880005,
    0x3ffe000f,0x40000003,0x00000dd8,0x3e6017a2,0xffffb004,0x7ffff309,
    0x00ffffdc,0x05fffb00,0x3fee0000,0x440001ff,0xfffffffd,0xfffcffff,
    0xffff9802,0x07fffee3,0xffffb100,0xfdffffff,0x3fee00ff,0xffffffff,
    0x002fffff,0xff980dff,0x7fdc0003,0x000002ff,0x003ffff7,0xfff90000,
    0x3fe60005,0x3ffee3ff,0x6400001f,0x00002fff,0x1ffff880,0x9fff5000,
    0x03ff6000,0x0005ff88,0x8017ffe6,0x000ffffa,0xfff70000,0x2e00005f,
    0x3fec02ff,0x3ffffc80,0xddfffd30,0x0003dfff,0x03fffd88,0xfffd8000,
    0x3e60003f,0xffffffff,0xffffffff,0xfffd3004,0x03dfffdd,0xfffff980,
    0xffffffff,0x7ec01fff,0xffffffff,0x4fffffff,0x207ffd00,0x0002fff8,
    0xffffffb1,0xd800001b,0x0003ffff,0x3fff6200,0x7f4c0003,0xefffeeff,
    0x36200001,0x00004fff,0x1ffff700,0xbfff9000,0x3ff20001,0x00fffa05,
    0x077ffdc0,0x7ffff100,0xd8800000,0x0dffffff,0x7ffcc000,0x00dff700,
    0x00bfffee,0x9ffffff9,0xffc80000,0x5400005f,0x0000ffff,0xfffffff5,
    0xffffffff,0xc800dfff,0x04ffffff,0xffffe880,0xffffffff,0xd102ffff,
    0xffffffff,0xffffffff,0x3fea00df,0xffdbacef,0xff70006f,0xffffb9ff,
    0x7d400005,0x00000fff,0x05fffd30,0x7ffe4000,0x00004fff,0x017fff44,
    0xfff00000,0xfd8800bf,0x440004ff,0xcaacffff,0x8000fffe,0x0005fffc,
    0x000ffffb,0x7fffdc00,0x02ffffdc,0x6ffff400,0x2fffebab,0x3ffff500,
    0x3dffd300,0x3ee00000,0x400004ff,0x10002efc,0x7bffffff,0xfffb7313,
    0x3000dfff,0x0003dffd,0x2ffffff2,0xfffca989,0xff882fff,0x8aceffff,
    0xffffeba9,0x3fee006f,0xefffffff,0xfffa8000,0x3fffea2e,0x3f200002,
    0x2000002e,0x0001effe,0x1effe980,0xffe80000,0x0000001e,0x007fffee,
    0x005fffb0,0x3fffea00,0x01ffffff,0x03fffb80,0x3fffe600,0xfa800003,
    0x3fea2eff,0x220002ff,0xfffffffe,0x3e2004ff,0x32000fff,0x98000004,
    0x000007ff,0xfffe8000,0x7f4c01ff,0x20006fff,0x7fc0004c,0x3a600fff,
    0xfc82ffff,0xa800efff,0x4006ffff,0xffffffe9,0xffd0000c,0xbffb101b,
    0x00000000,0x0dff9800,0x26400000,0xff980000,0x0000000e,0x0037fff4,
    0x0000f7fc,0x3ffff620,0xd0000dff,0xd00005ff,0x0000dfff,0x101bffd0,
    0x8000bffb,0xffffffc8,0xfff8002e,0x00000007,0x0006e200,0xf5000000,
    0x4003ffff,0x0006ffff,0x3fe60000,0xff9802ff,0x7ffc42ff,0x3f2000ff,
    0x530005ff,0x80001577,0x1ca801c9,0x00000000,0x0002a800,0x00000000,
    0x00000550,0x5ffff500,0x00173000,0x5dd44000,0x5cc0000a,0xff500000,
    0x800005ff,0x1ca801c9,0x97310000,0x7fc00035,0x00cc006f,0x00000000,
    0x8000cc00,0x001ffffd,0x0027ffdc,0xff500000,0x7ff400ff,0x7fffec0f,
    0x7ffc4001,0x00000003,0x00000000,0x00002660,0x00000000,0x00000998,
    0x00000000,0x0037fff4,0x00000000,0x00000000,0x037fff40,0x2aaaa200,
    0x0000001a,0xfd800000,0x7f6cc05f,0x731cffff,0x00000001,0xffdca880,
    0x3712dfff,0x07ffff10,0x85fff100,0xcccccca8,0xcccb981b,0x7c40accc,
    0xf5001fff,0x9ffff0df,0x033aa000,0x00000000,0x88000000,0xefffffec,
    0x0003730b,0x44000000,0xefffffec,0x0003730b,0x40000000,0x002ffffa,
    0x00000000,0x00000000,0x2ffffa80,0xffffd000,0x000007ff,0x90000000,
    0x3f6209ff,0xffffffff,0xa887ffef,0xcccccccc,0xcccccccc,0xfb804ccc,
    0xffffffff,0x42ffffff,0x000ffffa,0xff887b50,0xffffffff,0x3ffffee3,
    0x740fffff,0x1001efff,0x5ffff305,0x2a200000,0xcccccccc,0xcccccccc,
    0x97304ccc,0x73037999,0x01599999,0xfffffb10,0xf9ffffff,0xcca885ff,
    0x5cc03ccc,0x0acccccc,0x7fffec40,0xcfffffff,0x65442fff,0xcccccccc,
    0x00009acc,0x1ffff600,0x59999730,0x6665c401,0xcca881bc,0xcccccccc,
    0x440acccc,0xccccccca,0x0000accc,0x001bfffe,0x3fffffea,0x4000003f,
    0xccccccb9,0x70001ccc,0xfff307ff,0xffffffff,0xe83fffff,0xffffffff,
    0xffffffff,0x6c07ffff,0xffffffff,0xffffffff,0x037ffdc4,0x7ffd4000,
    0x6fffffff,0x3ffffffa,0x7e43ffff,0x01bdffff,0x0ffffa80,0xffd00000,
    0xffffffff,0xffffffff,0xfffb0fff,0x549fffff,0xffffffff,0x7fffcc06,
    0xffffffff,0x744fffff,0x1fffffff,0xffffff50,0x2601ffff,0xffffffff,
    0xffffffff,0x7ffff44f,0xffffffff,0x0002efff,0x1ffffcc0,0xffffff90,
    0xfff301ff,0xf89fffff,0xffffffff,0xffffffff,0x3ffffe27,0xffffffff,
    0xff70000f,0xf88003ff,0x03ffffff,0x3fee0000,0xffffffff,0xff50005f,
    0xffffe885,0xffffffff,0x3e62ffff,0xffffffff,0xffffffff,0xd107ffff,
    0xffffffff,0xffffffff,0x5fffc8df,0xff880000,0xffffffff,0x3ffffee3,
    0x440fffff,0xfffffffe,0x5c00acdf,0x00006fff,0xffffff30,0xffffffff,
    0xffffffff,0xfffffff0,0x7ffecfff,0x01ffffff,0xfffffff5,0xffffffff,
    0x7fccdfff,0x06ffffff,0xfffffffb,0xff507fff,0xffffffff,0xffffffff,
    0x7ffffccd,0xffffffff,0x01efffff,0xffffb000,0x7ffffc01,0xfc83ffff,
    0x7fffffff,0x3fffffea,0xffffffff,0xff71ffff,0xffffffff,0x0007ffff,
    0x017fffe2,0x3ffff6a0,0x2000003f,0xfffffffd,0x001fffff,0x7e40ff88,
    0x989bffff,0xffffffca,0x7fffffc2,0xffffffff,0x7fffffff,0xffffff88,
    0xeba98ace,0x646fffff,0x00005fff,0xdffff730,0xdd95059d,0x2037ffff,
    0xffffffe8,0x01dfffff,0x000bfff9,0x7ffffc00,0xffffffff,0xffffffff,
    0xfffffe87,0x3fee4fff,0x07ffffff,0xbffffff1,0xffb73137,0xff8dffff,
    0x3fffffff,0xffffffb8,0x7c41ffff,0x9bdfffff,0xffffdb98,0x7fffc6ff,
    0xffffffff,0xffffffff,0x7fc40000,0x7fec04ff,0x81ffffff,0xfffffffa,
    0x3fffe25f,0xffffffff,0x227fffff,0xffffffff,0x01ffffff,0x3ffff200,
    0x3ffa0001,0x2000003f,0xfffffffb,0x004fffff,0xffff0110,0x7ff4c01f,
    0x7edc42ff,0xeeeeefff,0xffeeeeee,0xffffc87f,0xfffa800e,0x27ffe46f,
    0x3fa00000,0x3ee003ff,0xfd8806ff,0xffffffff,0xffc82fff,0x9998805f,
    0x88099999,0xeeffffdb,0xeeeeeeee,0xb887fffe,0x0aceffff,0x7ffff654,
    0xffffd00c,0xffe9803f,0x7edc46ff,0x80ffffff,0xffffeeca,0xffffe81c,
    0x7ff4c01f,0x7edc46ff,0xeeeeefff,0xffffffee,0x7fe40005,0x6d4400ff,
    0x202fffff,0xadfffffa,0x7776dcc0,0xeeeffffe,0x6dcc0bde,0xeeffffee,
    0x440001bd,0x0004ffff,0x000ffffa,0xddd95000,0xffffffff,0x7fcc0000,
    0xff9802ff,0x3ff602ff,0xfff5003f,0xfffff88f,0x3fff2000,0x027ffe45,
    0x3ffa0000,0x3fee003f,0x3ae2006f,0xffffffff,0x7ffe44ff,0x3fffa205,
    0xefffffff,0x07fffb00,0x81fffea0,0x9803fffe,0x3ea07fff,0x2001ffff,
    0x3606ffff,0x05ffffff,0xa83fffd4,0x001fffff,0xe81bfffe,0x75403fff,
    0x0002ffff,0x009ffff1,0x02ffffd8,0x017fffee,0x03fffe20,0x7fffc400,
    0xfc800000,0xd0000fff,0x00007fff,0xffffb800,0x0002ffff,0x00ffff50,
    0xb007fff4,0x2a007fff,0x7fec7fff,0x7c4001ff,0x7ffe43ff,0x74000005,
    0x2e003fff,0x10006fff,0xfffffb73,0x7ffe45ff,0x3ffff205,0xffffffff,
    0x07fffb03,0x81fffea0,0x9803fffe,0x3f607fff,0x5c001fff,0x3f604fff,
    0x02ffffff,0x6c1fffea,0x4001ffff,0x3a04fffb,0xf9803fff,0x90004fff,
    0x8001ffff,0x80fffff8,0x00fffff8,0x0ffff880,0xffff1000,0xf1000001,
    0x20009fff,0x7513fffe,0x00013799,0x777fff40,0x00005fff,0x003ffff1,
    0xfb01bfea,0xf30207ff,0xffff8dff,0x19d50004,0x007fffb8,0x7fff4000,
    0x3ffee003,0x36600006,0x3ea4ffff,0x3fee06ff,0xffffffff,0xfffb03ff,
    0xfff30207,0x1ffff40d,0x83fffcc0,0x003ffff8,0x202fff88,0xfffffffd,
    0xffff500f,0x07ffff10,0x05fff100,0x801ffff4,0x8005fffd,0x005ffff8,
    0x0bffff70,0x005ffffd,0x03fffe20,0x7fffc400,0xfb000000,0xd0001fff,
    0xfff99fff,0x009fffff,0x5ffff300,0x003ffff7,0x3bfffa00,0xb0051001,
    0xfc887fff,0x993ffe0e,0x0002ffff,0x0ffffa80,0x3fa00000,0x3ee003ff,
    0x179106ff,0x6fffc800,0x881fffe2,0xffffffec,0xfb00dfff,0xefc887ff,
    0xe813ffe0,0xf9803fff,0xfff507ff,0x36a0001f,0x7fffec03,0xf505ffff,
    0xfff50fff,0x36a0001f,0x1ffff403,0x06fffc80,0x1ffffb80,0x3fff6000,
    0x3fffee3f,0x3fe20005,0xf10000ff,0x00001fff,0x0ffffe60,0x3ffffa00,
    0xffffffff,0x20000dff,0xff17fffc,0x200009ff,0xbdfffffc,0xffd80001,
    0x17ffdc3f,0x7fd419b3,0x800000ff,0x005ffff8,0x3fffa000,0x3ffee003,
    0x009ffd06,0x21ffff88,0x8002ffff,0x6c06fffb,0x7fdc3fff,0x8033662f,
    0x9803fffe,0xff707fff,0x000000df,0xffd9fffb,0xfff505ff,0x0dfff70f,
    0xffd00000,0xfff1007f,0xfff0007f,0xf88000bf,0xff88ffff,0x20000fff,
    0x000ffff8,0x01ffff10,0x7fec0000,0xffe8007f,0xffffffff,0x006fffff,
    0x49ffff10,0x0007fffc,0xfffffd10,0x0159bfff,0x43fffd80,0xb804fffc,
    0x00006fff,0x0bffff20,0x40bb6200,0x2003fffe,0xf886fffb,0x26000fff,
    0x3f61ffff,0x5c000fff,0x7ec06fff,0x7ffe43ff,0xfffe8004,0x7fff9803,
    0x00bfff90,0xfffb0000,0x0dffff39,0xf90ffff5,0x00000bff,0x807fffd0,
    0x01fffffa,0x17fffd40,0x7ffd4000,0x2ffffddf,0x7ffc4000,0xff10000f,
    0x000001ff,0x01ffffd4,0x3fffffa0,0xfffddfff,0xb8003fff,0x3e61ffff,
    0x00002fff,0xffffffd1,0x03bfffff,0x3fffff60,0x04ffffff,0x005fffc8,
    0x3ffe2000,0x3a6003ff,0xffe80fff,0x3fee003f,0xffffa86f,0xfffd000d,
    0x7fffd41f,0x3fee000d,0x7ffec06f,0xffffffff,0xfffe8004,0xffffffff,
    0x907fffff,0x0000bfff,0x29fffb00,0x544ffffc,0xffc87fff,0x8000005f,
    0x999cfffe,0xffffeca9,0xffe8006f,0x3600006f,0xffffffff,0xff880005,
    0xf10000ff,0x00001fff,0x06fffe80,0x7fffff40,0xffffa81e,0xfffe8006,
    0x05fffe86,0x3ff62000,0xffffffff,0xffd802ff,0xffffffff,0xfffc804f,
    0x99998805,0xf7009999,0x015dffff,0x3ffffee6,0x03fffe82,0x21bffee0,
    0xbffffffa,0xffffd501,0xfffffb0d,0x3b2a2019,0x7ec06fff,0xffffffff,
    0xfe8004ff,0xffffffff,0x7fffffff,0x009fff90,0xfffb0000,0x0fffff49,
    0xf90ffff5,0x000009ff,0xffffffd0,0xffffffff,0xfa8001df,0x00002fff,
    0x3fffffe2,0x880000ff,0x0000ffff,0x001ffff1,0xfffa8000,0x3ffa002f,
    0x7fec04ff,0x7fcc007f,0xfffa82ff,0x4400001f,0xffffffeb,0x6c04ffff,
    0xffffffff,0xfc804fff,0x3fa205ff,0xffffffff,0xfffd80ef,0xedefffff,
    0x6fffffff,0x007fffd0,0x5437ffdc,0xffffffff,0xffffedef,0xff881fff,
    0xeeffffff,0xfffffffd,0x7ffec06f,0xffffffff,0xfffe8004,0xffffffff,
    0x907fffff,0x00009fff,0x49fffb00,0x2a6ffff9,0xffc87fff,0x8000004f,
    0xfffffffe,0xdfffffff,0xfffe8000,0xfa800006,0x002fffff,0x1ffff100,
    0x3ffe2000,0x8000000f,0x2006fffe,0xa805fffe,0x2000ffff,0x3e07fffc,
    0x00004fff,0x3ff6e620,0x202fffff,0xfffffffd,0xc804ffff,0x3f205fff,
    0xffffffff,0xffb03fff,0xffffffff,0x3dffffff,0x00ffffa0,0x986fffb8,
    0xffffffff,0xffffffff,0x3fea04ff,0xffffffff,0xffffffff,0x7fffec06,
    0x4fffffff,0xffffe800,0xffffffff,0xf907ffff,0x00000bff,0xd89fffb0,
    0xff53ffff,0xbfff90ff,0xfd000000,0xffffffff,0x0009ffff,0x00ffffe6,
    0x7ffec000,0x2200004f,0x0000ffff,0x001ffff1,0xffb80004,0xffd001ff,
    0xfff3007f,0x3fe2001f,0x99999dff,0x007fffd9,0x7ecc0000,0x3f604fff,
    0xfdaaadff,0xffa804ff,0x3ffee06f,0xffffffff,0x3ffee03f,0xffffffff,
    0x7f404fff,0x3ee003ff,0xffff06ff,0xffffffff,0x005fffff,0xffffff91,
    0xffffffff,0xffd8017d,0xffdaaadf,0xffe8004f,0xaaaaaadf,0x07fffcaa,
    0x000ffff7,0x9fffb000,0x8fffff88,0xfb87fffa,0x000007ff,0xffffffe8,
    0x5fffffff,0xffffb000,0x7c400000,0x00000fff,0x003fffe2,0x07fffc40,
    0x001ffe80,0x005ffff8,0x3007fffd,0x2001ffff,0xfffffffb,0xffffffff,
    0x7910002f,0xfffc8001,0x0ffff606,0xb887fff7,0x81fffe21,0xfffffec8,
    0x400dffff,0xfffffeb8,0x802cefff,0x2003fffd,0xd505fffb,0xffff931b,
    0x009fffff,0xffffd930,0x05dfffff,0x21fffec0,0x5c43fffb,0x0ffffa01,
    0x41fffe60,0x000ffffa,0x7ffec000,0xdffffa84,0xfa87fffa,0x00000fff,
    0x4e7fff40,0xffffd999,0x7fcc005f,0x000003ff,0x003fffe2,0xffff8800,
    0xfff10000,0xfff3001f,0xfff70007,0xfffd003f,0xffff3007,0x3fffa001,
    0xffffffff,0x005fffff,0x8009ffd0,0xb01ffff8,0xff987fff,0xf17ffc1f,
    0x70005fff,0x1000dfff,0x0035dff7,0x00bfff90,0x0027ffec,0x2b7ff262,
    0x2a200001,0x0009abcb,0x4c3fffd8,0x7ffc1fff,0x07fffd02,0x20ffff30,
    0x005ffff8,0x7ffec000,0xbffffb04,0xff10ffff,0x00000bff,0x503fffe8,
    0x00bfffff,0x007fffe4,0xfff10000,0x4400001f,0x0000ffff,0x001ffff1,
    0x000bfff7,0x00bffff1,0x3007fffd,0x3001ffff,0xffffffff,0xffffffff,
    0xf88003ff,0x26000fff,0xfb01ffff,0x302a07ff,0x7fec9fff,0x7dc000ff,
    0xf10006ff,0x7d40009f,0xf8800fff,0x30002fff,0x000007ff,0xffb00000,
    0xf302a07f,0x3ffa09ff,0xfff9803f,0x3ffff207,0x2ed88002,0x413fff60,
    0xfffffff8,0xffff907f,0x5db10005,0x01ffff40,0x07fffff5,0x09ffff10,
    0xff880000,0x200000ff,0x000ffff8,0x01ffff10,0x00dfff70,0x03ffff20,
    0x007fffd0,0x001ffff3,0xfffffffb,0xffffffff,0xa8009fff,0x000dffff,
    0x201ffffd,0x2003fffd,0x3ea6fffa,0x2000dfff,0x0006fffb,0x0009fff1,
    0x01bfffe2,0x01ffffd1,0x0fffe600,0x7dd30000,0xffd80001,0x3fea003f,
    0x7fffd06f,0x0ffff300,0x1fffffc4,0x1fffd300,0x813fff60,0xfffffffb,
    0xfffff107,0x7ff4c007,0x7fffd00f,0xfffffa80,0x7fffe401,0x44000000,
    0x0000ffff,0x03fffe20,0x7fffc400,0x6fffb800,0xffff1000,0x3fffe809,
    0x0ffff980,0x27fffc40,0x0ffff700,0xfffffa80,0xffd501bf,0x7fec0dff,
    0x3fea003f,0x7fffec6f,0xd95100cf,0x2000dfff,0x004ffff8,0x3dffffb0,
    0xffffea88,0x3fe60004,0x200003ff,0x000ffffd,0x00ffff60,0xd06fffa8,
    0xf3007fff,0xffb80fff,0x300aefff,0x05fffff7,0xd013fff6,0x0fffffff,
    0x77ffffdc,0xfff7300a,0x3ffa05ff,0xfffb803f,0x3ffe206f,0x8000005f,
    0x000ffff8,0x3fffe200,0xfff10000,0xfff7001f,0x7fec000d,0x3ffa00ff,
    0xfff9803f,0x7ffdc00f,0x3fe2000f,0x3ea002ff,0xffffffff,0xfffffede,
    0xffd501ff,0x555555bf,0xfff95555,0xfffff88d,0xffdeefff,0x06ffffff,
    0x7654dd40,0x3fa0007f,0xfeefffff,0x006fffff,0xff993750,0x6cc0000d,
    0x50004fff,0x555bfffd,0x95555555,0xe988dfff,0x2201dfff,0x009ffffc,
    0x3ffffff6,0xfffedeff,0xd106ffff,0x2035bfff,0x7ffffff9,0x7ffffec0,
    0xffedefff,0x886fffff,0x1adfffea,0x6ffffe40,0x1ffffb81,0x55300000,
    0x557ffff7,0x55544003,0xabffffba,0x55100aaa,0x557ffff7,0xfb555555,
    0x4c000dff,0x9883ffff,0x201cfffe,0x09ffffb8,0x5dfffd30,0xffd51001,
    0xf30013df,0xffffffff,0xffffffff,0xffff909f,0xffffffff,0xffffffff,
    0xffff50df,0xffffffff,0x0dffffff,0x77fffc40,0x260005ff,0xffffffff,
    0x01ffffff,0xdefff880,0xb80005ff,0x05ffbbdf,0x7ffffe40,0xffffffff,
    0xffffffff,0x3ffffe66,0x3a62ffff,0xffffffff,0x3ffff603,0xffffffff,
    0xd81effff,0xffffffff,0xffffc82f,0xfffd807f,0xffffffff,0x41efffff,
    0xfffffffd,0x3fa02fff,0x3e0fffff,0x00005fff,0xffffffa8,0xffffffff,
    0x7fffec02,0xffffffff,0x7f45ffff,0xffffffff,0xffffffff,0x0006ffff,
    0x263fffec,0xffffffff,0xfffffd86,0x3fea3fff,0xefffffff,0xffffe880,
    0x801fffff,0xffffffff,0xffffffff,0xffff982f,0xffffffff,0xffffffff,
    0xff9106ff,0xffffffff,0x017dffff,0xfffffd80,0x6c40002f,0xffffffff,
    0x20000eff,0x1ffffffe,0xfffe8000,0x26002fff,0xffffffff,0xffffffff,
    0x26ffffff,0xfffffffe,0x3fff66ff,0x0fffffff,0x3ffffee0,0xffffffff,
    0xffff304f,0x0dffffff,0x01fffffa,0x7fffffdc,0xffffffff,0xfffff984,
    0x06ffffff,0x3fffffe6,0x03ffff34,0xfffd0000,0xffffffff,0x7cc0dfff,
    0xffffffff,0xffffffff,0xfffff51f,0xffffffff,0xffffffff,0xf98000df,
    0x3ffa2fff,0x3fffffff,0x3fffffe6,0xffd0ffff,0xffffffff,0xfffff707,
    0x00bfffff,0xff931bd5,0x9fffffff,0x7ffffc40,0xffffffff,0xffffffff,
    0x7f64c06f,0xffffffff,0x64c0002e,0x00002dfe,0x3fffffee,0x880003ff,
    0x002dffda,0xfffff500,0xfff88009,0xffffffff,0xffffffff,0x3ff66fff,
    0x5fffffff,0x3ffffff2,0xb8807fff,0xfffffffe,0x3e202cef,0xffffffff,
    0xffff505f,0x7f5c400f,0xefffffff,0xffff102c,0xbfffffff,0xfffffb80,
    0x00bfff14,0x3fff2000,0xffffffff,0x3e205fff,0xffffffff,0xffffffff,
    0xfffff30f,0xffffffff,0xffffffff,0xf90000df,0x7ffec1ff,0x22ffffff,
    0xfffffff8,0x3fff67ff,0x2fffffff,0xffffffa8,0x0005ffff,0x2af2ea62,
    0xfffb5001,0xffffffff,0xffffffff,0xba8800df,0x00009abc,0x40000000,
    0x000acba8,0x00002000,0x00015440,0xffffffb5,0xffffffff,0x4dffffff,
    0xfffffec9,0x3fb220ce,0x01dfffff,0x56655440,0x7fedc001,0x00ceffff,
    0x001ffff6,0x0d665544,0xffffb500,0x0019dfff,0x5c19dffd,0x000000de,
    0xfffffd91,0x19dfffff,0xffffdb80,0xffffffff,0x7edc2dff,0xffffffff,
    0xffffffff,0x80006fff,0x76442dc8,0x83efffff,0xffffffda,0x3ffb222d,
    0x203effff,0xffffffeb,0x000000ce,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x076e0000,0x2016dc00,0x80000dc8,0x17910018,0x2016e400,0x54000dc8,
    0x01db803e,0x66666544,0x6665cc03,0x7000accc,0x01edc07b,0xccccca88,
    0x9acccccc,0xa9800000,0x2e000000,0x00f6e03d,0x20066c40,0xaa8803da,
    0x000aaaaa,0x400002a6,0x04400001,0x3332a200,0xaccccccc,0x22000000,
    0x2ee00000,0x2202b880,0x0aaaaaaa,0x2e00faa0,0x9995101e,0x30379999,
    0x03799997,0xf7000000,0xf88005ff,0xffa80dff,0x3ea0003f,0x3e200fff,
    0xff1005ff,0x3ffea09f,0x77ff4003,0x05ffe980,0x7ffffff4,0xffff501f,
    0x01ffffff,0xa82fffb8,0xfe802fff,0xffffffff,0x2effffff,0xffe98000,
    0x0003503f,0x2a0bffee,0xb8002fff,0xfd882fff,0x3ffa207f,0x00ffffff,
    0x03fffe98,0xfff98035,0x7e40001d,0xfff1005f,0xffffffff,0x00001fff,
    0x000bffb0,0xff0dff90,0x3ffe607f,0xd06fffff,0xfd303dff,0x3fffe0bf,
    0x3fffffff,0x3ffffff2,0xa80005ff,0x40bcefec,0x000ffffd,0x897fffdc,
    0x000efffd,0x9fffff70,0x03fffec0,0x23dfff90,0x006fffd8,0x23ffffa8,
    0x201ffffc,0xfffffff9,0xffffb06f,0x07ffffff,0xd84fffd8,0x7cc05fff,
    0xffffffff,0xffffffff,0xf50001ef,0x23dfffff,0x8000ffd8,0xfd84fffd,
    0xf88005ff,0xff50dfff,0x7fdc07ff,0x0fffffff,0x7ffffd40,0x1ffb11ef,
    0x7ffffec0,0xfff30001,0xfff7005f,0xffffffff,0x00007fff,0x02ffffa8,
    0x0ffffc00,0x260dfff3,0xffffffff,0xffff982f,0x07fffee3,0x3fffffea,
    0x3e6fffff,0xffffffff,0xfb10000f,0x3fffffff,0x027fffdc,0x6ffffdc0,
    0x000dffff,0xffffff30,0x3fffea07,0x7ffdc005,0x0dffffdf,0xfffd3000,
    0x03dfffdb,0xfffffff0,0xfff707ff,0x3fffffff,0x81fffa80,0xf802fffa,
    0xffffffff,0xffffffff,0x44000fff,0xfffcdfff,0x00ffffef,0x81fffa80,
    0x0002fffa,0xfbffffb1,0xfa807fff,0xffffffff,0x37ffe200,0xffeffffc,
    0x3ff200ff,0x8000ffff,0x804ffffc,0xfffffff8,0x1fffffff,0x7fe40000,
    0x7c0004ff,0x3fee1fff,0xffff306f,0x203fffff,0xfeefffe9,0xff101eff,
    0xffffffff,0x7fffec7f,0x0005ffff,0xffffffd1,0x7fc49fff,0x88000fff,
    0x2ffffffd,0x7ffec000,0xffd00cff,0xd10005ff,0x05ffffff,0x3fff2000,
    0x22003fff,0xffffffdb,0xfeeca80f,0x3001cfff,0x00e4c039,0xffffdb88,
    0xfeeeeeee,0x005fffff,0xfb11ffc4,0x003fffff,0x9300e4c0,0xff500003,
    0x001bffff,0x3fffffae,0x3fe200ff,0x3ffff623,0x7ec401ff,0x8004ffff,
    0x002ffff9,0xfffddb73,0x0037bddf,0xffff3000,0x7fc40003,0x3ffee1ff,
    0xfffff305,0xf9007bff,0x009fffff,0xdffffb73,0xfff8859d,0x000adfff,
    0xffffff90,0xfc85ffff,0x20004fff,0x000dfffb,0x0cffff80,0x1bfffe60,
    0xbfff7000,0xea800001,0x20001eff,0x5ffffffd,0x03fffd40,0x20000000,
    0x5403fffe,0x002ffffe,0xdfea8044,0x00000002,0xffb10000,0xf880005f,
    0x04400fff,0x002dfea8,0x037ffec4,0x003feb80,0x03fffe20,0x7dc00000,
    0x7c40003f,0x3ff20fff,0xffff305f,0x3fa60001,0xfe8001ef,0xffd103ff,
    0x80007fff,0xadfffffa,0x7c40cedb,0x0000ffff,0x40000b62,0x401ffff8,
    0x002ffffd,0x0002d880,0x000f2200,0x3fffff60,0x3fea02ff,0x0000007f,
    0x1ffff400,0x27fffcc0,0x00000000,0x00000000,0x00001b70,0x001ffff1,
    0xfa800000,0x000007ff,0x7fffc400,0x00000000,0xfff98000,0x13fff20f,
    0x007fffcc,0x80013200,0xe983fffe,0x002fffff,0x1ffffd80,0x7fffe400,
    0x00000004,0x03fffe20,0x06ffff98,0x00000000,0xfb000000,0x1fffffff,
    0x01fffea0,0xd0000000,0x36007fff,0x00005fff,0x88000000,0x00000000,
    0x7ffc4000,0x0110000f,0xffff3000,0x80000000,0x000ffff8,0x00000000,
    0x6c7fff98,0xff304fff,0x000001ff,0x3fffe800,0x7fffffd4,0xffd00001,
    0xff3000bf,0x00000fff,0x7ffc4000,0x3fff200f,0x0000002f,0x00000000,
    0xffffffb0,0x3fea0bff,0x9995107f,0x73037999,0x15999999,0x01ffff40,
    0x206fffc8,0xcccccca8,0xcccb981b,0x2000accc,0xdffffdc9,0x0000001b,
    0x7ffc4000,0xfb93000f,0x0037bfff,0x00ffff30,0xf8800000,0x00000fff,
    0xa8000000,0x7ff47fff,0xffff303f,0x00000001,0x2e3fffe8,0x01efffff,
    0x3fffe000,0xfffb0002,0xccca885f,0xcccccccc,0x2200009a,0xf100ffff,
    0x5440dfff,0x403ccccc,0xccccccb9,0x3333220a,0xcccccccc,0xcccccccc,
    0xfffb00cc,0x05ffffd9,0xf10ffff5,0xffffffff,0x7fffdc7f,0x00ffffff,
    0x1007fffd,0x2207ffff,0xffffffff,0x3ffee3ff,0x0fffffff,0xfffffc80,
    0x004fffff,0x99999951,0x00359999,0x0ffff880,0xfffffc80,0x004fffff,
    0x903fffcc,0x99999999,0x99999999,0xffff8809,0x65440000,0xcccccccc,
    0xcccccccc,0x7fd404cc,0x1ffff47f,0x00ffff98,0x66666664,0xcccccccc,
    0x3ffa04cc,0xfffff93f,0x4400001d,0x0001ffff,0xe8bffff3,0xffffffff,
    0xefffffff,0xfff88002,0xffff500f,0x7ffff407,0xff501fff,0xffffffff,
    0x3ffffe61,0xffffffff,0xffffffff,0x9fffb00f,0x50dffff3,0xff50ffff,
    0xffffffff,0x7fffff4d,0xd03fffff,0xfa807fff,0xf501ffff,0xffffffff,
    0x7ffff4df,0x03ffffff,0x3fffffa6,0xefffffff,0x7ffff400,0xffffffff,
    0x88002eff,0x2600ffff,0xfffffffe,0x00efffff,0x40ffff30,0xffffffff,
    0xffffffff,0x7ffc407f,0x7f40000f,0xffffffff,0xffffffff,0xb5307fff,
    0xf555ffff,0x98159fff,0x7c00ffff,0xffffffff,0xffffffff,0x2ffffa07,
    0x0dfffffd,0x7fc40000,0x3e0001ff,0x3fe66fff,0xffffffff,0xffffffff,
    0x3fe2001e,0xfff900ff,0x3ffe603f,0xb06fffff,0xffffffff,0x3ffe67ff,
    0xffffffff,0xffffffff,0xffb00fff,0x3ffff29f,0x43fffd44,0xfffffff8,
    0x3fee3fff,0xffffffff,0x39fffd00,0xffd95333,0x7c40dfff,0xffffffff,
    0x3fffee3f,0x00ffffff,0xfffffff3,0xffffffff,0x3ffe603f,0xffffffff,
    0x0dffffff,0x3fffe200,0xfffff300,0xffffffff,0xf3003fff,0x7ffc0fff,
    0xffffffff,0x07ffffff,0x007fffc4,0xfffff300,0xffffffff,0xffffffff,
    0xffffff0f,0xffffffff,0x7ccbffff,0x7fc00fff,0xffffffff,0x7fffffff,
    0x3fffffa0,0x0006ffff,0xffddb730,0x037bddff,0x23ffff40,0xffffffff,
    0xffffffff,0x1000ffff,0x3601ffff,0x7fc07fff,0x3fffffff,0xffffffb8,
    0xff31ffff,0xffffffff,0xffffffff,0x3601ffff,0x3ffa4fff,0x3ffea1ff,
    0xffff7307,0xd95059dd,0x037ffffd,0x7ffffff4,0xffffffff,0x7dcc00ef,
    0x82ceefff,0xffffeeca,0x3fffa01b,0xca98acff,0x00ffffff,0xffffffff,
    0xffffffff,0x22003fff,0xfd00ffff,0x3159ffff,0xffffff95,0x7fff9801,
    0x3fffffe0,0xffffffff,0x7c407fff,0x40000fff,0xffffffff,0xffffffff,
    0x547fffff,0xffffffff,0xffffffff,0xfff30fff,0xffff801f,0xffffffff,
    0x207fffff,0xfffffffe,0x40004fff,0xfffffff8,0x1fffffff,0x1ffff900,
    0x7fffedc4,0xfeeeeeee,0x005fffff,0x201ffff1,0x4406fffe,0xffffffdb,
    0xfeeca80f,0x3e61cfff,0xeeeeefff,0xeeeeffff,0xb00ffffe,0x7fcc9fff,
    0x3ffea6ff,0x1ffff407,0x0dfff700,0xffffffd0,0xffffffff,0x7ff4001b,
    0x3fee003f,0x7ffe406f,0x3fa601ef,0xd7104fff,0xddddffff,0xfffffffd,
    0xfff1001d,0xffff901f,0x7ff4c03d,0x7fcc04ff,0x3fffe07f,0xeeeeeeee,
    0x407fffff,0x000ffff8,0x7ffedc40,0xeeeeeeef,0x7fffeeee,0x7fffffc4,
    0xffffffff,0x3e66ffff,0x7fc00fff,0xeeeeeeff,0x7fffffee,0x3fffffa0,
    0x05ffffff,0x3fffee00,0xffffffff,0xff7003ff,0x3ffa05ff,0x7ff5403f,
    0xffa802ff,0xffff107f,0x7ffec00b,0x7d405fff,0xfff987ff,0x0ffff987,
    0x807fffc4,0x7ec4fffd,0xfff53fff,0x3fffe80f,0x1bffee00,0x3fffffa0,
    0xffffffff,0xfffe8004,0x3ffee003,0x3fffea06,0xffd8800d,0x3ff601ff,
    0x3fee604f,0xf8805fff,0x7fd40fff,0xd8800dff,0x2601ffff,0xff01ffff,
    0x7fcc05ff,0x7c401fff,0x02000fff,0x007fffb0,0x2a1fffea,0xeeffffec,
    0xdeffffee,0x3fffe61b,0x17fffc00,0x3fffff30,0x7fffff40,0x5fffffef,
    0xffff1000,0xffffffff,0x3ea003ff,0xffd03fff,0xfff3007f,0x7fed409f,
    0xfff306ff,0x7fec009f,0x202fffff,0xf987fffa,0xfff987ff,0x7fffc40f,
    0x89fffb00,0xa8fffff8,0x7f407fff,0x3ee003ff,0xffe806ff,0xffffffff,
    0xe8005fff,0x2e003fff,0x3fe06fff,0x22000fff,0x3606ffff,0xe8804fff,
    0x4401ffff,0x7fc0ffff,0x22000fff,0x2206ffff,0x41dfffff,0xd102ffff,
    0x1007ffff,0x2001ffff,0xffb01ffe,0x3fea007f,0x7fff407f,0x81fffea3,
    0x400ffff9,0xd102ffff,0xe807ffff,0xf71effff,0x000bffff,0x3ff332a2,
    0x00accdff,0x13fffe20,0x801ffff4,0xf505fffd,0x207fffff,0x003ffffa,
    0x3ffffff6,0xfff500ff,0x0ffff30f,0x881ffff3,0xfb00ffff,0xfff509ff,
    0x0ffff5bf,0x003fffe8,0x201bffee,0x999cfffe,0x5fffffd9,0x1ffff400,
    0x0dfff700,0x00ffffe6,0x0bfffee0,0x8027ffec,0x405ffff8,0x260ffff8,
    0x8003ffff,0x202ffffb,0x1ffffffc,0x6c0bfffe,0x1005ffff,0x3001ffff,
    0x3f607fff,0xf98103ff,0x7ffc06ff,0x1fffea2f,0x00ffff98,0xd817fffc,
    0xe805ffff,0x7440efff,0x0002ffff,0x01ffff88,0x2ffffc00,0x003fffe8,
    0x320dfff9,0x207fffff,0x001ffffb,0x3ffffff6,0xfff505ff,0x0ffff30f,
    0x881ffff3,0xfb00ffff,0x3ff609ff,0x07fffdff,0x001ffff4,0xd00dfff7,
    0x3ea07fff,0x2005ffff,0x2003fffe,0xf506fffb,0x74000dff,0xffb03fff,
    0x7fdc009f,0x3fe201ff,0x3ffea0ff,0x3ffa0006,0x3ffe203f,0x3ff63fff,
    0xffffb81f,0xfff1000e,0xfff7001f,0x0ffff60b,0x7fc1df91,0x7fffc04f,
    0x81bffee2,0x400ffff9,0xfb81fffd,0xe800efff,0xff303fff,0x10000dff,
    0x0003ffff,0x827fffc4,0x8803fffe,0xf503ffff,0x207fffff,0x002ffffa,
    0x3fb3fff6,0xffa82fff,0x6fff887f,0x80ffff98,0x3f607fff,0xfff104ff,
    0x80ffffff,0x2003fffe,0xe806fffb,0x3ea03fff,0xd003ffff,0x5c007fff,
    0xff906fff,0x7e40009f,0xfffb04ff,0x7ffc4009,0x3ffe203f,0x13fff20f,
    0x4fffc800,0x3fffff20,0x21ffee1f,0x01fffff9,0x03fffe20,0x41bffee0,
    0x7dc3fffd,0x033662ff,0x21ffff88,0x2606fffb,0x5c00ffff,0xfff987ff,
    0xffd001ff,0x7ffdc07f,0x7c40002f,0x20001fff,0xd03ffffa,0xfa807fff,
    0x2a01ffff,0x306ffffd,0x4009ffff,0xff9cfffd,0xfffa86ff,0x309ffd07,
    0xfb01ffff,0x7ffec0bf,0x3fffee04,0x7f407fff,0x3ee003ff,0xffe806ff,
    0x7ffd403f,0xffe801ff,0x3fee003f,0x7fffb06f,0x7ffdc000,0x09fffb06,
    0x04fffe80,0xd83fffe2,0x20003fff,0xf106fffb,0x503bffff,0xffff8839,
    0x7fc4002f,0xffb800ff,0x7fffb06f,0x004fffc8,0x3fffeea2,0xefffdaab,
    0xffff980a,0x441ca800,0x002fffff,0xd00ffffa,0x8000dfff,0x001ffff8,
    0x0bfffee0,0x4ce7fff4,0xfffeca99,0xff5006ff,0x3ffe20ff,0x3ff6005f,
    0x9ffff94f,0x107fffa8,0xfff30177,0x0177101f,0x2027ffec,0x7ffffffe,
    0x01ffff40,0x00dfff70,0x7007fffd,0xd00dffff,0x5c007fff,0xfff06fff,
    0x7d40005f,0xfffb07ff,0xfffc8009,0x3fffe205,0x00bfffe0,0x07fffa80,
    0x003ffff1,0x09ffffd0,0x1ffff100,0x0dfff700,0x3ffffff6,0x004fffff,
    0xfffffffd,0xffffffff,0xfff98bff,0x3fa0000f,0x74004fff,0x7cc03fff,
    0x20003fff,0x001ffff8,0x03ffff20,0x7ffffff4,0xffffffff,0xff1000ef,
    0x3ffe01ff,0x3ff6006f,0x3ffffa4f,0x01fffea1,0x07fffcc0,0xfffe8800,
    0xfff301ad,0xfe80ffff,0x3ee003ff,0x3aa206ff,0x401adfff,0x01dffffc,
    0x800ffffa,0xf886fffb,0x20001fff,0xd80ffff9,0x5c004fff,0x3e206fff,
    0xfff10fff,0x7cc0003f,0xff980fff,0xffc8007f,0x2a2006ff,0xabffffba,
    0xdaaaaaaa,0xffb06fff,0xffffffff,0xfff3009f,0xffffffff,0xffffffff,
    0x07fffcc3,0xffffc800,0x3faa2006,0x3601adff,0x001affff,0x01ffff88,
    0x1ffff600,0xffffffe8,0xffffffff,0x3fe2000d,0xfffb00ff,0x7ffec00f,
    0x9bfffe64,0x0007fffa,0x001ffff3,0xffffffb0,0xff905fff,0xfe80ffff,
    0x3ee003ff,0xfffb06ff,0x5fffffff,0x7fffff40,0x3fffe80f,0x1bffee00,
    0x0017fff4,0x20dfff50,0x4004fffd,0x2206fffb,0x3fa0ffff,0x2a0002ff,
    0xff306fff,0xffa800ff,0xfd000fff,0xffffffff,0xffffffff,0x360dffff,
    0xffffffff,0xf8804fff,0xffffffff,0xffffffff,0x3ffe60ff,0xffa8000f,
    0xfb000fff,0xffffffff,0xffff303f,0x44007fff,0x0001ffff,0xe81bfffe,
    0xffffffff,0x004fffff,0x00ffff88,0x001ffff9,0xfb13fff6,0x3fea7fff,
    0xff30007f,0xf98001ff,0xffffffff,0xffffd06f,0x3fffe80f,0x1bffee00,
    0x3fffffe6,0x206fffff,0x4ffffff9,0x003fffe8,0x6c1bffee,0x20004fff,
    0xfb05fffc,0xfb8009ff,0x3fe206ff,0x3fff60ff,0x3ff20004,0xffff305f,
    0x7fffcc00,0xfff5002f,0xffffffff,0xffffffff,0x3f60dfff,0xffffffff,
    0xd95004ff,0xdddffffd,0x59ddffff,0x00ffff98,0x7ffffcc0,0xffff3002,
    0xbfffffff,0x3fffffa0,0x3fe2007f,0xf30001ff,0x7f40bfff,0xffffffff,
    0x8005ffff,0x700ffff8,0x2007ffff,0x7c44fffd,0xffa8ffff,0xff30007f,
    0xf88001ff,0xffffffff,0xffff505f,0x3fffe80f,0x1bffee00,0x3fffffe2,
    0x405fffff,0x84fffffb,0x2003fffe,0xf706fffb,0x6c000bff,0xffb04fff,
    0xffc8009f,0x3ffe205f,0x17ffee0f,0x4fffd800,0x00ffff30,0x0fffffa2,
    0x3ffe60a8,0xffffffff,0xffffffff,0xffb06fff,0xffb555bf,0xff70009f,
    0x2ffff8df,0x03fffe60,0xffffe880,0xff882a03,0xffffffff,0xffff504f,
    0x7c400dff,0xb0001fff,0x7405ffff,0x9999cfff,0x05fffffd,0x07fffc40,
    0x06ffff88,0x509fffb0,0xff5bffff,0x3e6000ff,0xb8000fff,0xeffffffd,
    0x3fff600c,0x1fffec07,0x0bfff700,0x3fffff6a,0xe800ceff,0xfd80ceff,
    0x3ee003ff,0xfff505ff,0xff30003f,0x3ff605ff,0x7ff4004f,0x3ffe203f,
    0x3fffea0f,0xfff98001,0xffff302f,0x3ffff600,0xb87ffa05,0xfffffffd,
    0xffffffff,0xb06fffff,0xffb87fff,0x900dc43f,0xfff8bfff,0x3ffe602f,
    0x3ff6000f,0x3ffa05ff,0x3ffff6e1,0x200cefff,0x01dffffe,0x07fffe20,
    0x3fffe200,0x1ffff406,0x5fffffa8,0x3fffe200,0x3ffff600,0x4fffd802,
    0xfbffffb0,0x26000fff,0x0000ffff,0x90000000,0x6c00bfff,0x00004fff,
    0x7fe40000,0x3ff6005f,0xffff104f,0xfffd000d,0x3fff601f,0x3ffe2004,
    0x3ffe202f,0x3fffe20f,0xfffe8006,0xffff300f,0xdffff700,0x13ffe601,
    0xd8000000,0x7fcc3fff,0x817ffc1f,0x7fc5fffc,0x3fe601ff,0xff7000ff,
    0x3e601dff,0x000004ff,0xfff30000,0xff90001f,0xffe807ff,0x3ffea03f,
    0xff1003ff,0x7fd401ff,0xffd806ff,0xffff104f,0x000fffff,0x003fffe6,
    0x00000000,0x007fffd4,0x017fffc4,0x20000000,0x800ffffa,0x202ffff8,
    0x003ffffc,0x813fffee,0x2004fffd,0x200ffffa,0x640ffff8,0x2003ffff,
    0x204ffffb,0x4c07fff9,0x201fffff,0x0006fffa,0x3ff60000,0xf981503f,
    0xfffb04ff,0x07fffc49,0x01ffff30,0x3fffff30,0x037ffd40,0x80000000,
    0x8007fffc,0x807ffff8,0x5403fffe,0x801fffff,0x400ffff8,0x402ffffe,
    0x2e04fffd,0x7fffffff,0xffff3000,0x4c000001,0x20000bee,0x406ffff8,
    0x00ffffe8,0x05f74c00,0x3ffe2000,0x7ff4406f,0x7ff400ff,0xffc804ff,
    0x7fec06ff,0xfff5004f,0xfff880df,0xffffe80f,0xffffc804,0x3fffd406,
    0x7fffff10,0x06fffb80,0x005f74c0,0x07fffb00,0x837ffd40,0x3e64fffd,
    0x3e600fff,0x7c400fff,0x5c03ffff,0xb8006fff,0x00000ade,0x006ffff8,
    0x04ffffc8,0x803fffe8,0x006ffffb,0xa805ffff,0x6c06ffff,0x7f404fff,
    0x007fffff,0x01ffff30,0x7fec0000,0x360000ff,0x441effff,0x04ffffea,
    0xffffd800,0x7fec0000,0x75441eff,0x9804ffff,0x81dfffff,0x1fffffd9,
    0x027ffec0,0x0fffffd4,0x03fffe20,0x37ffffe6,0xffffd981,0x7ffdc01f,
    0x3ffffa07,0x6fffb804,0x7fffec00,0xfffb0000,0x7ffd4007,0x47fffd06,
    0x4c07fff9,0x7400ffff,0xb804ffff,0xf8006fff,0x10006fff,0x3ff66157,
    0x7c4003ff,0x2200ffff,0x1adfffea,0x6ffffe40,0x7ffff401,0x3fffa01d,
    0xfffd101f,0x3fe6035b,0x2007ffff,0xffffbaa9,0x00001aab,0x027ffecc,
    0x3ffffa00,0xffffeeff,0x300006ff,0x0009fffb,0xffffffd0,0xffffffdd,
    0x7ffdc00d,0xffeeffff,0x404fffff,0xaadfffd8,0xffebaaaa,0xca884fff,
    0x00ffffcc,0xfffffff7,0xffffffdd,0x7fecc09f,0xfff905ff,0x555557ff,
    0xdfffb555,0xfffd9800,0xffea8004,0xaaaaaadf,0xfffcaaaa,0x45fffd06,
    0x4c07fffa,0xacccffff,0x3fffff20,0xaaaaaaab,0x006fffda,0x02fffdb8,
    0xffffff80,0x8006ffff,0x204ffffb,0xfffffffd,0x3fa02fff,0x700fffff,
    0x05ffffff,0x217fffea,0xfffffffd,0xfffc82ff,0xffa807ff,0xffffffff,
    0x0001efff,0x7fddefdc,0x7fcc0005,0xffffffff,0x0001ffff,0x7fddefdc,
    0xff980005,0xffffffff,0x4001ffff,0xfffffffc,0x3fffffff,0x7ffffec0,
    0xffffffff,0x886fffff,0xffffffff,0x3fff200f,0xffffffff,0x3ee03fff,
    0xd02fffff,0xffffffff,0xffffffff,0x3ee00dff,0x005ffbbd,0x3ffffff2,
    0xffffffff,0x6fffffff,0x545ffff0,0x7cc06fff,0xffffffff,0xffffffd0,
    0xffffffff,0x400dffff,0x3ffdbdfe,0x7fffd400,0x01ffffff,0x0ffffd80,
    0xffffff30,0x40dfffff,0x4ffffff9,0x3fffff60,0x1ffff604,0xfffffff3,
    0x3fa0dfff,0xfe807fff,0xffffffff,0x005fffff,0x7fffff40,0xd880002f,
    0xffffffff,0x80000eff,0x2ffffffe,0xffb10000,0xffffffff,0x3a60001d,
    0xffffffff,0x7cc01eff,0xffffffff,0xffffffff,0xfffb80df,0x00ffffff,
    0x7fffff4c,0x01efffff,0x2fffffec,0xffffffd0,0xffffffff,0x200dffff,
    0x2ffffffe,0xfffff300,0xffffffff,0xffffffff,0x3fff60df,0x013ffe20,
    0xfffffff3,0x3fffa7ff,0xffffffff,0x6fffffff,0xfffff100,0xf98001ff,
    0xffffffff,0xfff70002,0x7fffc405,0x5fffffff,0x7ffffdc0,0x7fffec04,
    0x17ffe202,0xfffffff1,0x3ea0bfff,0xfd807fff,0xffffffff,0x004fffff,
    0x7ffffd40,0x7dc00004,0x3fffffff,0x3fea0000,0x00004fff,0xffffffb8,
    0x900003ff,0xdfffffff,0xfff10019,0xffffffff,0x07ffffff,0x7fffffcc,
    0xf9000fff,0x9dffffff,0xffff7001,0xffffe809,0xffffffff,0x06ffffff,
    0x9fffff50,0x7fffc400,0xffffffff,0xffffffff,0x7fb306ff,0x9801df70,
    0xffffffff,0xfffffd1f,0xffffffff,0x00dfffff,0x1fffffe4,0xfffea800,
    0x40000dff,0xfda801cb,0xceffffff,0xceffe800,0x02db9800,0xdb80bc88,
    0xceffffff,0x1ffff600,0x3fffb260,0xefffffff,0x5100000c,0x88000005,
    0x0000acba,0x000aa200,0x32ea2000,0x1000000a,0x00015775,0xffffffb5,
    0x5bddffff,0xddd73001,0x8001dddd,0x000abba8,0xe801bda8,0xffffffff,
    0xffffffff,0x544006ff,0xffb50002,0xffffffff,0xffffffff,0x00000dff,
    0xdddddd10,0x7fff437b,0xffffffff,0x6fffffff,0x001a9800,0x0006a600,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xb803ea80,0x554c001e,
    0xa80001aa,0x01eb803e,0x4402db80,0x100000dc,0x36e00001,0x000f6e03,
    0x6dc07b70,0x80f6e003,0x6d4003db,0x002f6a03,0x002a6000,0x99988000,
    0x09999999,0x00880000,0x0054c000,0x00544000,0x4cc40000,0x99999999,
    0x4cc40000,0x99999999,0x99951000,0x73037999,0x15999999,0xccccca88,
    0xcccccccc,0x200000ac,0x000000db,0xffe80000,0x5ffe981e,0x7fffe400,
    0xffe80003,0x5ffe981e,0x6fffc400,0x03fffa80,0x05ffd800,0x17ffdc00,
    0x0017ffdc,0xa82fffb8,0xfb802fff,0xfffa82ff,0x7fff3002,0x009fff30,
    0x7fff4c00,0x20003503,0xfffffffb,0x003fffff,0x7ffee4c0,0x30001cdf,
    0x2a07fffd,0x3ffa2001,0x002a80cf,0x7ffffd40,0x5fffffff,0xffff9000,
    0xffffffff,0xffff8807,0x23ffffff,0xfffffffb,0x3ffe0fff,0xffffffff,
    0x06ffffff,0x3ffe8800,0xfdb71000,0xeb88037b,0x7ffcc02d,0x3fffee3f,
    0x7ffe4001,0xf980003f,0x3fee3fff,0xfb8001ff,0xffb12fff,0xa80001df,
    0x0002ffff,0x3613fff6,0xb0004fff,0xffb09fff,0xfffb00bf,0x0bfffb09,
    0x21bfff20,0x0006fffb,0xffffff50,0x03ff623d,0x3ffff600,0xffffffff,
    0x3ff20004,0xffffffff,0x7ffd4003,0xfb11efff,0xfff3001f,0x3225ffff,
    0x2e0002ff,0xffffffff,0x0006ffff,0xfffffffb,0x809fffff,0xfffffffa,
    0x3ff66fff,0xffffffff,0xffffff53,0xffffffff,0x0003ffff,0x007fff4c,
    0x7ffffdc0,0x3fa02fff,0x74c03fff,0xfffeefff,0xffc8001e,0x300003ff,
    0xffddfffd,0x5c0003df,0xfffdffff,0xc80000df,0x0004ffff,0x2a07ffea,
    0x50002fff,0xff503fff,0xfff5005f,0x05fff503,0x20fffe60,0x0003fff8,
    0xfcdfff88,0xffffefff,0xcca88000,0xcccccccc,0xfe98000a,0xffffffff,
    0x8801efff,0xfffcdfff,0x00ffffef,0xffbeffe8,0x1ffffeff,0x66654000,
    0xbccccccc,0x99510000,0x99999999,0xfff88015,0x3fffffff,0x3fffffee,
    0xff10ffff,0xffffffff,0xffffffff,0x7ffd4000,0xffb8000e,0xffffffff,
    0xfffff982,0xffff9006,0x640009ff,0x0003ffff,0x7ffffe40,0xb100004f,
    0x05ffffff,0x7ffcc000,0x6540001f,0x00072601,0x64c03930,0x80726001,
    0x64c001c9,0x000b2602,0xb11ffc40,0x03ffffff,0x00000000,0x7fffffcc,
    0xffffffff,0x7fc401ff,0x3ffff623,0x9fd001ff,0xffffffc8,0x00000002,
    0x00000000,0xeffffb98,0xeeca82ce,0x4c1bffff,0xffeeeedb,0xbdeeeeff,
    0xfff90001,0xff90001b,0xfd735bff,0xfffb85ff,0xd3001fff,0x80003dff,
    0x00099998,0xeffe9800,0xfb800001,0x00000dff,0x0003ffb8,0x00000000,
    0x00000000,0x00000000,0x75402200,0x000002df,0xffe80000,0xb98acfff,
    0x06fffffc,0xbfd50088,0x26010005,0x0000befd,0x00000000,0x7f400000,
    0x3ee003ff,0x7c4006ff,0x00000fff,0x0013ffea,0x8077ffc4,0x7fe45ffd,
    0x4001ffff,0x0000004c,0x09900000,0x2d880000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00110000,0xdffff900,0x7fff4c03,
    0x0000004f,0x00000000,0xf901efc8,0x0000003d,0x3fffa000,0x3ffee003,
    0x7ffc4006,0x2a00000f,0x320002ff,0x3e201fff,0x7fffdc7f,0x000000ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7ee4c000,0x001bdfff,0x06ffffd4,0x7fffec40,0x00000002,
    0x20000000,0xf985fffa,0xca8805ff,0x81bccccc,0xccccccb9,0x7fffd00a,
    0x37ffdc00,0x3fffe200,0x04c00000,0x3e205440,0xffe802ff,0x3ffffea1,
    0x00000007,0x33333333,0x00000000,0x00000000,0xb9800000,0x200acccc,
    0x1bccccb8,0xccccca88,0xcccccccc,0x44cccccc,0xcccccca8,0xcccccccc,
    0x665cc00a,0x1ccccccc,0x99951000,0xcb980799,0x00accccc,0xffffff90,
    0x4009ffff,0x000fffff,0x21ffffe2,0xcccccca8,0xcccccccc,0x665cc00a,
    0x1ccccccc,0xfff70000,0x0dfff50d,0xffffff88,0x3ee3ffff,0xffffffff,
    0x3fffe80f,0x1bffee00,0x1ffff100,0x30000000,0x7fdc3ffd,0x47ff9007,
    0x87fffff9,0xcccccca8,0xcccccccc,0xffffb00a,0x001fffff,0x66666544,
    0xcccccccc,0x04cccccc,0x666665cc,0x0001cccc,0x99999951,0x99999999,
    0xffffc815,0xf980ffff,0x4fffffff,0x7ffffff4,0xffffffff,0x47ffffff,
    0xffffffff,0xffffffff,0x3ffee07f,0xffffffff,0xfffd0005,0x2a03ffff,
    0xffffffff,0x3fa600ff,0xffffffff,0x4c00efff,0x8003ffff,0x7c1ffffb,
    0xffffffff,0xffffffff,0x3fffee07,0x5fffffff,0x3ffa0000,0x805ffd02,
    0xfffffffa,0x3ffa6fff,0xffffffff,0x03fffe83,0x01bffee0,0x01ffff10,
    0x372e6000,0x3fe61bcd,0x1bff64ff,0xf327fe40,0xff0dffff,0xffffffff,
    0xffffffff,0xffffff50,0x4001ffff,0xfffffffe,0xffffffff,0x207fffff,
    0xfffffffb,0x0005ffff,0xffffffff,0xffffffff,0xfffff8ff,0xfc83ffff,
    0x7fffffff,0x3fffffe6,0xffffffff,0x7fffffff,0x3fffffea,0xffffffff,
    0xfb01ffff,0xffffffff,0x98003fff,0xffffffff,0xfffffb06,0x207fffff,
    0xfffffff9,0xffffffff,0x3ffee01f,0x3ffa0006,0x3fffea2f,0xffffffff,
    0x01ffffff,0xfffffffb,0x003fffff,0x2a005400,0xffff8800,0x23ffffff,
    0xfffffffb,0xffe80fff,0x3fee003f,0x7fc4006f,0x5c0000ff,0xfffffffe,
    0xfffffbef,0x9813ffa4,0x224fffdb,0x545fffff,0xffffffff,0xffffffff,
    0x7ffd41ff,0x0fffffff,0xfffff300,0xffffffff,0xffffffff,0x7fffec0f,
    0xffffffff,0x7ffd4001,0xffffffff,0x1fffffff,0x3ffffff6,0xfffa81ff,
    0x7c5fffff,0xffffffff,0xffffffff,0x3e27ffff,0xffffffff,0xffffffff,
    0x3fffee07,0xffffffff,0xffff8004,0xb83fffff,0xffffffff,0xfffd01ff,
    0x953159ff,0x01ffffff,0x0013fff2,0x224fffc8,0xffffffff,0xffffffff,
    0x3ffee07f,0xffffffff,0x0000004f,0x3fee6000,0xa82ceeff,0xbffffeec,
    0x07fffd01,0x037ffdc0,0x03fffe20,0x7fff4c00,0xffffffff,0x20efffff,
    0xfd882fff,0x7c4fffff,0x7c45ffff,0xffffffff,0xffffffff,0xfffffb07,
    0x4001ffff,0xffffffff,0xffffffff,0x207fffff,0xfffffffb,0x004fffff,
    0x7fffffc4,0xffffffff,0x6d447fff,0x202fffff,0xadfffffa,0x7ffedc40,
    0xeeeeeeef,0x7fffeeee,0x77776dcc,0xeeeeffff,0x765400bd,0xffffffee,
    0xdb88007f,0x0fffffff,0xfffeeca8,0xfff901cf,0x7f4c03df,0xffd04fff,
    0x7dc0007f,0x76dcc5ff,0xeffffeee,0x400bdeee,0xfffeeeca,0x0007ffff,
    0xe8000000,0x2e003fff,0x7f406fff,0x3ee003ff,0x7c4006ff,0xa8000fff,
    0xffffffff,0xffffffff,0x3ffe20ef,0x7ffffd41,0x7ffc4fff,0xedb984ff,
    0xeffffeee,0x400bdeee,0xffffa998,0x3f6e2000,0xeeeeefff,0xffeeeeee,
    0x7765407f,0xfffffffe,0xedb98007,0xeffffeee,0x200bdeee,0x202ffffd,
    0x005ffffb,0x2007fffb,0x1007fffa,0x0001ffff,0x3ffffee0,0x20002fff,
    0x5ffffffd,0x03fffd40,0x01bffff5,0x3ffffb10,0x003ffff0,0x03fffd40,
    0x00ffff88,0xffff7000,0x0005ffff,0x00266662,0x80333333,0x2003fffe,
    0x7406fffb,0x2e003fff,0x44006fff,0x4000ffff,0xfffffff9,0xffffeccd,
    0x7fcc2fff,0x7ffffc47,0x7f44ffdd,0x22003fff,0x0000ffff,0x00ffff98,
    0x07fffb00,0x01fffea0,0xffffff70,0x200005ff,0x000ffff8,0x0fffff88,
    0x0fffff88,0x07fffb00,0x01fffea0,0x007fffc4,0xefffe800,0x0005fffe,
    0x3ffffff6,0x3ffea02f,0x3ffffe07,0x3ffe2000,0x7fffc46f,0x3fe60001,
    0xfff1007f,0x3a00001f,0xfffeefff,0x7ff5c005,0xffb04fff,0x401fffff,
    0x2003fffe,0x7406fffb,0x2e003fff,0x44006fff,0x2000ffff,0x2ffffff8,
    0xfffffe88,0x23ffcc5f,0xf90bfffd,0xffffd89f,0x3ffe2003,0xf980000f,
    0xb0000fff,0x2a007fff,0x74007fff,0xfffeefff,0xff100005,0x2e0001ff,
    0xfe85ffff,0x36002fff,0x98103fff,0xf1006fff,0x00001fff,0xf75ffff3,
    0x20003fff,0xfffffffd,0xffff500f,0x0ffffe60,0x3fffee00,0x017fffc2,
    0x0dfff500,0x03fffe20,0x3ffe6000,0x1ffffbaf,0xfffff100,0xfff509ff,
    0x401fffff,0x2003fffe,0x7406fffb,0x2e003fff,0x44006fff,0x2000ffff,
    0x80dffffb,0xffffffe8,0x1ffe62ff,0xffc89fff,0x17fffe44,0x1ffff100,
    0xfff30000,0x3f60001f,0xf98103ff,0x3e6006ff,0xfffbafff,0xf880001f,
    0x20000fff,0x2e3ffffd,0x4005ffff,0x6443fffd,0x13ffe0ef,0x07fffc40,
    0x7ffe4000,0x09ffff17,0x3ffff600,0xf505ffff,0x3fea0fff,0x3fa0006f,
    0x7fff43ff,0x3ff20003,0xfff1005f,0xf900001f,0x3ffe2fff,0xfff1004f,
    0xf509ffff,0x1fffffff,0x01ffff40,0x80dfff70,0x2003fffe,0x4006fffb,
    0x000ffff8,0x203bfffa,0xffffffe8,0x3fe66fff,0x903ffe67,0xfffc89ff,
    0x3fe2001f,0x980000ff,0x0000ffff,0xc887fffb,0x13ffe0ef,0x17fffc80,
    0x0009ffff,0x01ffff10,0x7fffc400,0xfffff88f,0x7ffec000,0x317ffdc3,
    0x3e20019b,0x40000fff,0x324ffff8,0xb0007fff,0xfffd9fff,0xffff505f,
    0x013fff20,0x44fffc80,0x0005fffd,0x4013fff6,0x000ffff8,0x27fffc40,
    0x400ffff9,0x4fffffeb,0xffffffb0,0x7fff401f,0x3ffee003,0x1fffec06,
    0x0bfff700,0x0ffff880,0x3ffff300,0x3fffff60,0x267fffc9,0x1ffe67ff,
    0xff713ff2,0x7c4001ff,0x80000fff,0x000ffff9,0xb87fffb0,0x33662fff,
    0xffff1000,0x03fffe49,0x7fffc400,0x7fd40000,0xffffddff,0xfffd8002,
    0x027ffe43,0x3fffe200,0x7fdc0000,0x3ffe61ff,0xffd8002f,0x6ffff9cf,
    0xb07fffa8,0x40007fff,0x7dc6fffb,0x98001fff,0x1002ffff,0x0001ffff,
    0x21ffffb8,0x002ffff9,0x027ffec4,0x03fffea2,0x003fffe8,0x901bffee,
    0x6c00bfff,0x44004fff,0x5000ffff,0x3f60ffff,0xff31ffff,0x9ffe63ff,
    0x7e42fff8,0x7fffd44f,0x3ffe2000,0xf980000f,0xb0000fff,0xffc87fff,
    0x7dc0004f,0x3fe61fff,0x440002ff,0x0000ffff,0xffffffd8,0xfb0005ff,
    0xffffffff,0x880009ff,0x0000ffff,0x7437fff4,0xd8005fff,0xfff94fff,
    0x7fffa89f,0x005ffff0,0x23fffd40,0x006ffff8,0x00ffffe8,0x01ffff10,
    0x6fffe800,0x005fffe8,0x804fffd8,0x200ffff8,0x2003fffe,0x5406fffb,
    0x8800ffff,0x4002ffff,0x000ffff8,0xfb0dfff7,0xff83ffff,0x8fff32ff,
    0xf90beffe,0x5fff889f,0x7fffc400,0xff980000,0xfb0000ff,0xffffffff,
    0xe80009ff,0xffe86fff,0x7c40005f,0x80000fff,0xfffffff8,0xffb0000f,
    0xffffffff,0xf880009f,0x20000fff,0xa82ffff9,0x4001ffff,0x3fa4fffd,
    0x3fea1fff,0xffff887f,0x3fe60001,0x7ffe40ff,0x3fee003f,0x3e2003ff,
    0x20000fff,0xa82ffff9,0x4001ffff,0x8804fffd,0x3a00ffff,0x2e003fff,
    0x7cc06fff,0xfe806fff,0x44001fff,0x7000ffff,0x7ec1ffff,0x7c42ffff,
    0xfff12fff,0x7ffffcc1,0xfb85fffe,0x7fc4001e,0x980000ff,0x0000ffff,
    0xfffffffb,0x0009ffff,0x417fffcc,0x001ffffa,0x03fffe20,0x7ffd4000,
    0x20002fff,0xfffffffd,0x0004ffff,0x007fffc4,0x0ffff900,0x0027fffc,
    0xf993fff6,0x3fea6fff,0x5fffd07f,0x7ffd4000,0xfffff886,0xffffc803,
    0x7ffc4006,0x3f20000f,0x3ffe07ff,0x7fec004f,0xfff8804f,0x3fffa00f,
    0x3ffee003,0xffffc806,0xfffe982e,0x5554404f,0xabffffba,0xff980aaa,
    0xffffb3ff,0xffff505f,0x2e0fffc1,0xffffffff,0x2200002f,0x0000ffff,
    0x00ffff98,0xfffffb00,0x09ffffff,0x3fffe400,0x009ffff0,0x07fffc40,
    0xfffb0000,0xfd80009f,0xffffffff,0x440004ff,0x0000ffff,0x33bffff1,
    0xfffb3333,0xfffd800f,0x9ffffec4,0xfb07fffa,0x640009ff,0xff705fff,
    0xd303bfff,0x005fffff,0x00ffff88,0xbffff100,0xfb333333,0xfd800fff,
    0xff8804ff,0x3ffa00ff,0x3fee003f,0xffe8806f,0xffeeffff,0x6c06ffff,
    0xffffffff,0xffffffff,0x77fffc45,0x82fffffd,0x6c6ffff8,0xffe982ff,
    0x001fffff,0x3fffe200,0x2aa62000,0xbffffbaa,0xd801aaaa,0xffffffff,
    0x10004fff,0x333bffff,0xffffb333,0x7ffc4000,0x2200000f,0x0000ffff,
    0x556fffec,0x004fffda,0x07fffc40,0xffffb800,0xffffffff,0x2002ffff,
    0x7c44fffd,0xffa8ffff,0xbfff707f,0x7ffec000,0x3ffff204,0xfffeefff,
    0x8004ffff,0x000ffff8,0xffffff70,0xffffffff,0x7ec005ff,0xff8804ff,
    0x3ffa00ff,0x3fee003f,0xfff3006f,0xffffffff,0x7cc03fff,0xffffffff,
    0xffffffff,0x7fffe41f,0x882fffff,0x643ffffe,0x2aa203ff,0x00000aaa,
    0x007fffc4,0xffffffc8,0xffffffff,0x3603ffff,0xdaaadfff,0x70004fff,
    0xffffffff,0xffffffff,0x3fe20005,0x200000ff,0x000ffff8,0x21fffec0,
    0x5c43fffb,0xffff1001,0x3ffa0001,0xffffffff,0x05ffffff,0x213fff60,
    0xfadffffa,0xfff507ff,0xff30003f,0xffd805ff,0xffffffff,0x0003ffff,
    0x001ffff1,0x3fffffa0,0xffffffff,0x36005fff,0xf8804fff,0x3f600fff,
    0x3ee003ff,0x3a2005ff,0xffffffff,0x7c400eff,0xffffffff,0xffffffff,
    0x7fffc40f,0x5c43ffff,0x40ffffff,0x00005ffa,0xfff88000,0xfff8800f,
    0xffffffff,0xffffffff,0x7fffb00f,0x443fffb8,0x7fff401b,0xffffffff,
    0x005fffff,0x01ffff10,0x7ffc4000,0x7ec0000f,0x7ffcc3ff,0x4017ffc1,
    0x000ffff8,0xffffff98,0xffffffff,0xb001ffff,0x3f609fff,0x7fffdfff,
    0x0dffff10,0x1ffffd00,0xfffff500,0x3fffffff,0x7ffc4000,0xff98000f,
    0xffffffff,0xffffffff,0x9fffb001,0x1ffff100,0x02fffe40,0x009fffb0,
    0xfffffd70,0x6dc007ff,0xffffffff,0x2dffffff,0xffffff50,0xffffbbdf,
    0xf303ffff,0x500001ff,0xf8800399,0xff000fff,0xffffffff,0xffffffff,
    0x7ffec0df,0x20fffcc3,0xff302fff,0xffffffff,0xffffffff,0xfff10003,
    0x4400001f,0x0000ffff,0xa81fffec,0x027ffcc0,0x007fffc4,0x7ffffec0,
    0xffffffff,0x004fffff,0x2209fffb,0xffffffff,0x3ffff207,0x3ffee003,
    0x3f62004f,0xbeffffff,0x7fc40000,0xfd8000ff,0xffffffff,0xffffffff,
    0xfffb004f,0xffff1009,0x7fffd401,0xffff8800,0x3fee0002,0x200000bf,
    0x70002fff,0xffffffff,0xffffffff,0x27ffc05f,0x3ffea000,0x3fe2000f,
    0xfb5000ff,0xffffffff,0xbfffffff,0x1fffec03,0x7ffcc0a8,0xfffffb04,
    0xffffffff,0x009fffff,0x01ffff10,0x7ffc4000,0x7ec0000f,0x3ea003ff,
    0xff8806ff,0x7c4000ff,0x2e004fff,0xfb007fff,0x7fdc09ff,0x407fffff,
    0x804ffffe,0x006ffffc,0x7fffffcc,0x8002200b,0x000ffff8,0x027fffc4,
    0x00ffff70,0x501bfff6,0x401ffffd,0x406ffff8,0x00ffffe8,0x00ffee00,
    0x0bff1000,0x3fffee00,0xffffffff,0x400effff,0xa801fffb,0x2ffffc81,
    0x3fffe200,0xffe80000,0x7fec0003,0x3fea003f,0xffff886f,0x3ffee004,
    0xfff88007,0x2200000f,0x0000ffff,0x001fffec,0x100dfff5,0x8001ffff,
    0x000ffffb,0x00bfffe2,0xd013fff6,0x0fffffff,0xdfffff98,0xffffd981,
    0x3fe6001f,0xceffffff,0x07ffb50b,0x03fffe20,0x1ffff700,0x7fffc400,
    0xffffb802,0xffffea81,0x7fec02ff,0x75441eff,0x0004ffff,0x39527fd4,
    0x2ffc4000,0xffa80593,0xffeddfff,0x02ceffff,0x40bfffe0,0x7cc0ffea,
    0x22000fff,0x0000ffff,0x80006ff8,0x2003fffd,0xfb86fffa,0x22000fff,
    0x4002ffff,0x000ffff8,0x7fdd54c0,0x001aabff,0x56ffff54,0xaaaaaaaa,
    0x446fffca,0xfffbaaaa,0x00aaaabf,0x15dfffd3,0xfffd5100,0x3fa2013d,
    0xf301adff,0x00ffffff,0xfffffff7,0xffffffdd,0x7fcc009f,0xffffffff,
    0xffffffff,0xbaaaa887,0xaaabffff,0xfffd300a,0xd510015d,0x4013dfff,
    0xdefffff9,0xfffffffe,0x3a01ffff,0xeeffffff,0x06ffffff,0xefff8800,
    0x40005fff,0x7ffeffff,0x27ffffc0,0x0006f2a2,0xdfffffa8,0x0ffffedc,
    0x2200bb88,0xfffbaaaa,0x00aaaabf,0x59137fc0,0x7fff5400,0xaaaaaaad,
    0x6fffcaaa,0x577fff4c,0xffea8800,0xaa8809ef,0xbffffbaa,0xa800aaaa,
    0xffffffff,0x02ffffff,0x7fffffe4,0xffffffff,0x6fffffff,0x3ffffff6,
    0xffffffff,0x3ffea5ff,0x0effffff,0xfffffe88,0x7ec1ffff,0xffffffff,
    0xfffffc82,0xffff9007,0xffffffff,0xfd8007ff,0xffffffff,0xffffffff,
    0x7fffec5f,0xffffffff,0x3ea5ffff,0xffffffff,0xfffe880e,0x01ffffff,
    0x3ffffffa,0xffffffff,0x2605ffff,0xffffffff,0x01ffffff,0xffff7000,
    0x980003ff,0x03ffffff,0x0027ffec,0x7ffd4000,0xffffffff,0x3ff60003,
    0xffffffff,0x05ffffff,0x3fbfffa0,0x7fe400ff,0xffffffff,0xffffffff,
    0xfff56fff,0x1dffffff,0xfffffd10,0x7ec3ffff,0xffffffff,0x5fffffff,
    0x7fffff40,0xffffffff,0x3ffe606f,0xffffffff,0xffffffff,0xfff36fff,
    0xffffffff,0x3fffffff,0x3ffffffa,0xfb83ffff,0xffffffff,0x3fffe65f,
    0x06ffffff,0x00fffffd,0x7fffff4c,0x01efffff,0xfffffe80,0xffffffff,
    0x260fffff,0xffffffff,0xffffffff,0xffffd1ff,0x07ffffff,0xfffffff7,
    0x7440bfff,0xffffffff,0xffffffff,0x7fec404f,0xffffffff,0x4c00000e,
    0x0002dfeb,0x07bfb710,0x0007fd30,0x7ff4c000,0x01dfffff,0x3fffe600,
    0xffffffff,0x01ffffff,0xffffff10,0xffff9809,0xffffffff,0xffffffff,
    0xffffd6ff,0x07ffffff,0xfffffff7,0x3fe6bfff,0xffffffff,0xffffffff,
    0x3ffff201,0xffffffff,0x3fe205ff,0xffffffff,0xffffffff,0xff16ffff,
    0xffffffff,0xffffffff,0x3fffff61,0xa82fffff,0xffffffff,0x3ffe25ff,
    0x5fffffff,0x0fffff50,0xfffff900,0x00019dff,0x2f3bffea,0xfffeca9a,
    0x7fc40bff,0xffffffff,0xffffffff,0xffffffb0,0xf505ffff,0xffffffff,
    0xffd880bf,0x9befffff,0x00ceffff,0xffffff70,0x000007ff,0x00000000,
    0x00000000,0x5565d4c0,0xff880000,0xffffffff,0xffffffff,0x3f6a2000,
    0xfff8803d,0xffffffff,0xffffffff,0xfffb6fff,0x5fffffff,0xffffff50,
    0x3e2bffff,0xffffffff,0xffffffff,0x3fb2200f,0xffffffff,0x6d400cef,
    0xffffffff,0xffffffff,0x36e6ffff,0xffffffff,0x2dffffff,0x3ffffb22,
    0x3ae03eff,0xceffffff,0x7fffedc0,0x3600ceff,0x20007fff,0x000abba8,
    0x20013100,0x7edc01a9,0xffffffff,0x22dfffff,0xfffffec8,0x3fae03ef,
    0x0cefffff,0x57975100,0x22000001,0x0000acba,0x00000000,0x00000000,
    0x00000000,0xffffdb80,0xffffffff,0x00002dff,0x3fff6a00,0xffffffff,
    0xffffffff,0xfffd916f,0x5c07dfff,0xeffffffe,0x3fff6e0c,0xffffffff,
    0x0002dfff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x99999998,
    0x88000999,0x99999999,0x22000099,0x99999999,0x40000099,0xaaaaaaa8,
    0x02a8001a,0x5c000000,0x0000001d,0x65442d98,0xcccccccc,0xcccccccc,
    0x973004cc,0x99999999,0x44000003,0xccccccb9,0x260004cc,0x98000001,
    0x22000002,0x0000000a,0x02000000,0x88000000,0x4c009999,0x00019999,
    0x00040000,0x00000001,0x00005e4c,0x3ffffff2,0x03ffffff,0x3fffff20,
    0x3fffffff,0xffffc800,0xffffffff,0xb7310003,0xffffffff,0x2001ffff,
    0x00004ffd,0x7fe40188,0x0000000f,0x3ffa3fe4,0xffffffff,0xffffffff,
    0xffb807ff,0xffffffff,0xb000005f,0xffffffff,0x2000ffff,0x00004ffc,
    0x19fffb50,0x3f660000,0x80000cff,0x2ceffdca,0x02ff8800,0x510037dc,
    0x0059dfd9,0x3fffffb2,0xfffffb04,0x2a0001ff,0x02deffec,0x2600cfd8,
    0x644002fe,0x0bceffed,0x07fffcc0,0x4033ff22,0xfffffffd,0x004fffff,
    0x3ffffff6,0x04ffffff,0xfffffd80,0x4fffffff,0xffffc800,0xffffffff,
    0xf001ffff,0x30000fff,0x9dffffb9,0x1ffffdc1,0x3a000000,0x3fffe67f,
    0xffffffff,0xffffffff,0xfffd807f,0xffffffff,0x2200001f,0xfffffffe,
    0x007fffff,0x000dfff0,0xf9bff100,0x3a00007f,0x004fecef,0x3ffffa60,
    0x001effff,0x3037ffea,0x5001fffd,0xffffffff,0x7ffc403d,0xfa84ffff,
    0x0fffffff,0x7fff5c00,0x405fffff,0xfc82effe,0xfb3003ff,0xffffffff,
    0x7ffe405f,0x7fffec2f,0x99995105,0x15999999,0x66654400,0xaccccccc,
    0xcca88000,0xcccccccc,0x3f62000a,0xffffffff,0x3defffee,0x1ffff100,
    0x7ffe4000,0xcfffffff,0x00fffffa,0x7fc00000,0x7fffffc7,0xffffffff,
    0x7fffffff,0xfffffb80,0x4fffffff,0x3ffa0000,0xeeeeeeff,0x88007ffe,
    0x0000ffff,0x1fe1fdc0,0xd13e6000,0xff70001f,0xffffffff,0x7e4007ff,
    0xfff72fff,0xfff7007f,0xffffffff,0x3fffe205,0xffa84fff,0x00ffffff,
    0xfffffd10,0x03ffffff,0x9a7fffcc,0x7006fffe,0xffffffff,0x20bfffff,
    0x220ffff9,0x00ffffff,0x00000000,0x00000000,0xffffd100,0x26dff79f,
    0xf88006ff,0x98000fff,0xfffffffe,0xffffffff,0x000003ff,0x2237fdc0,
    0xeeffffdb,0xeeeeeeee,0x5007fffe,0xffffddd9,0x0000ffff,0x802fffe6,
    0x88007ff8,0x0000ffff,0x3f207ec0,0x0fe40001,0xf3000bee,0xffffffff,
    0x005fffff,0x7fffffd4,0xfb801eff,0xffffffff,0xd701ffff,0x209fffff,
    0xfffffffd,0xffffa800,0xffffffff,0x7fec400f,0x03ffffff,0xffffff50,
    0xffffffff,0x02ee607f,0x01bffffa,0x00000000,0x00000000,0xcffffb80,
    0x3e6dff30,0xff88006f,0x7cc000ff,0xffffffff,0xffffffff,0xccca885f,
    0xb981bccc,0xeccccccc,0x3f603fff,0xff5003ff,0x3ee000ff,0x2fffffff,
    0x5ffc8000,0x007ff880,0x00ffff88,0x21fdc000,0xfa80007f,0x10007f44,
    0x57dfffff,0xfffffd75,0x7fec4001,0xf1004fff,0xd77bffff,0x80ffffff,
    0x404fffe8,0x00ffffa9,0x7fffffd4,0x2edb9bef,0x3fffee00,0x3f6001ef,
    0xaabcffff,0x1fffffeb,0xffffb800,0x00000002,0x00000000,0x3ffa0000,
    0x9b7fcc7f,0xf88006ff,0x74001fff,0x9acfffff,0xfffffeb9,0x7ffc40ef,
    0x3fffffff,0x3fffffee,0x0fffffff,0x00ffff60,0x003fffd4,0xfeefffe8,
    0xe80005ff,0xdfd002ff,0xffff1000,0xf8800001,0x003febcf,0xfb7bfd00,
    0xfffb800b,0x3fff604f,0xffa8003f,0x3ff2001e,0xffd983ff,0x7fec03ff,
    0xfff8804f,0x3ffe600f,0x0000afff,0x00fffa20,0x037fff20,0x04ffffb8,
    0x10155100,0x99999995,0x59999999,0xcccca881,0xcccccccc,0x4ccccccc,
    0x66665cc0,0x001ccccc,0x43ffff98,0xdff36ff9,0xfffc8800,0x2008adff,
    0x01effffc,0x1bffffee,0x3fffffea,0x3fa6ffff,0xffffffff,0x7ec05fff,
    0xf98103ff,0xf98006ff,0xfffbafff,0x7ec0001f,0x05d5005f,0x1ffff100,
    0xff700000,0x00001bff,0x077fffaa,0x1ffffb00,0x2ffffc40,0x80038800,
    0x7405ffff,0x7ec06fff,0xff8804ff,0xffd100ff,0x00003fff,0x88000dc0,
    0xffd004fc,0x200000bf,0xffffffff,0xffffffff,0x7ffff47f,0xffffffff,
    0xffffffff,0x3fffee07,0x5fffffff,0xffffa800,0xf9b7fcc1,0xffb1006f,
    0xffffffff,0xffff50bf,0x7ffc401b,0x7c42ffff,0xffffffff,0x3fffee3f,
    0x4fffffff,0x43fffd80,0x3fe0efc8,0xffc8004f,0x9ffff17f,0x3ff22000,
    0x000003ff,0x007fffc4,0x01750000,0x07260000,0x27fff400,0x03fffec0,
    0xff100000,0xffa803ff,0x3ff601ff,0xfff8804f,0xffff900f,0x0000003f,
    0xa8000000,0x01307fff,0x3fffea00,0xffffffff,0x31ffffff,0xffffffff,
    0xffffffff,0x40ffffff,0xfffffffd,0x001fffff,0x20ffffd4,0xdff36ff9,
    0xfffff300,0xffffffff,0xfffff81f,0x7ffff400,0xfb986fff,0x82ceefff,
    0xffffeeca,0xffb000ac,0x2fffb87f,0x10003366,0x7e49ffff,0xfb8007ff,
    0x0dffffff,0xff100000,0x000001ff,0x00000000,0x1ffffc00,0x03fffdc0,
    0x159b9530,0x1fffe600,0x01ffffc0,0x1009fffb,0xf101ffff,0x0001dfff,
    0x3372a600,0x000001ac,0x6c37ffe4,0xf88003ff,0xffffffff,0xffffffff,
    0x7fffffc7,0xffffffff,0x7fffffff,0x3ffffee0,0x4fffffff,0x7fffc400,
    0xf9b7fcc4,0x7ffcc06f,0xffffffff,0x3e63ffff,0x7ec03fff,0xffffffff,
    0x07fffd02,0x037ffdc0,0x21fffec0,0x0004fffc,0x43ffff70,0x002ffff9,
    0x3fffffe6,0x0002ffff,0x75555551,0x5557ffff,0x4c401555,0x4cc00999,
    0x4c001999,0x1abcdcca,0x1bfff600,0x017fffe0,0x3fffffee,0x2a00dfff,
    0xf9006fff,0x7fec09ff,0xfff8804f,0xffffb80f,0x64400002,0xffffffff,
    0x004fdbef,0x9fffd100,0x006fff98,0xddddb730,0xddddffff,0xfdb8817b,
    0xeeeeefff,0xffeeeeee,0x7765407f,0xfffffffe,0xfffe8007,0x4dbfe60f,
    0x7ff406ff,0xca9acfff,0x2a3fffff,0x7dc06fff,0xfff8ffff,0x7fffd04f,
    0x37ffdc00,0x7fffec00,0x4fffffff,0xfffd0000,0x0bfffd0d,0x4df7fe40,
    0x1effffd9,0x3ffff200,0xffffffff,0xffffffff,0x7ffff5c4,0xffffb04f,
    0xdb801fff,0xffffffff,0xfb801dff,0x3ee02fff,0x3aa03fff,0xffffffff,
    0xf303ffff,0xff100fff,0x7fec0bff,0xfff8804f,0x7fffe80f,0xf5000098,
    0xffffffff,0x1fffffff,0xffe98000,0x7ffd42ff,0x2200000f,0x8000ffff,
    0x5003fffd,0xb800ffff,0xffffffff,0x7ffdc002,0x2dff30ef,0x3ee06ff9,
    0xf300dfff,0x7fe47fff,0x3ffe604f,0xbfffd1ff,0x00ffffa0,0x006fffb8,
    0xffffffd8,0x004fffff,0x2ffff980,0x01ffffa8,0xf707ffd0,0x801bffff,
    0xfffffff8,0xffffffff,0x0fffffff,0xfffffff1,0xfffff509,0x7ec01fff,
    0xffffffff,0x402fffff,0x0bfffff8,0x3fffff26,0xfffff700,0xffffffff,
    0xfff10dff,0xfffc803f,0x3fff607f,0xffff8804,0x54ffff80,0x05bffffd,
    0x3fffff20,0xffffffff,0x2002ffff,0xffffeed9,0xfffb85ff,0x2200000f,
    0x8000ffff,0x5003fffd,0xe800ffff,0xfffeefff,0xfffb8005,0x36ffcdff,
    0x7ffc0dff,0x7fec00ef,0x0ffff61f,0x1fffffc4,0x3a0dfff9,0x2e003fff,
    0xd8006fff,0xffffffff,0x80004fff,0x3e07fffc,0xf9004fff,0xffb101ff,
    0xff807fff,0xffffffff,0xffffffff,0x3fe26fff,0xa84fffff,0xffffffff,
    0x3ffffa00,0xffffffff,0x7d401fff,0xffffffff,0x302fffff,0xdfffffff,
    0xffffffb9,0x9ffff07f,0x7ffffd40,0x9fffb00f,0x1ffff100,0xdaffff88,
    0xffffffff,0x7fffd404,0xffecdeff,0x03ffffff,0xffffff10,0xf901dfff,
    0x00003fff,0x007fffc4,0x81fffec0,0x037ffcc0,0x75ffff30,0x0003ffff,
    0xfffffff5,0x41bfe6df,0x802ffff8,0x7ffc6ff9,0xffffd02f,0x07fffa8b,
    0x4007fffd,0x8006fffb,0xfffffffd,0x0004ffff,0x4effffc4,0xffd99999,
    0xfff1007f,0x3ffaa03d,0xd9301eff,0xffffffff,0xffffffff,0xffeb839d,
    0xffb04fff,0x401fffff,0xeffffffc,0xfffffdcc,0xffffc805,0xffffffff,
    0xfffff104,0xff93015d,0xffc81fff,0xffe982ff,0xfb01ffff,0xfea80dff,
    0x7fcc0fff,0xffffffff,0x106fffff,0x01dffffd,0x3ffffee6,0xffff3003,
    0x205fffff,0x002ffffd,0x3fffe200,0xfffd8000,0xf077e443,0x7e4009ff,
    0xffff17ff,0x3f6a0009,0xf36fffff,0x3ffe60df,0xf106000f,0xff903fff,
    0xff981dff,0xfffe80ff,0x3ffee003,0xfffd8006,0xfffdaaad,0x7fdc0004,
    0xffffffff,0x02ffffff,0x09ffff70,0x17ffffdc,0x7fffc400,0xffb10000,
    0xffa8809f,0x565400ff,0x3fffa009,0xffffa807,0xffffffff,0xdffffb02,
    0xffff9001,0xfffff88b,0xffffda9c,0xfb02ffff,0xfd503fff,0xa85fffff,
    0xffffffff,0xffffffff,0x4ffffc83,0x5ffff700,0x7ffffc00,0xe80effff,
    0x5c43ffff,0xf1000bee,0xb0001fff,0xffb87fff,0x0033662f,0x927fffc4,
    0x8000ffff,0x36fffda8,0x3fea0dff,0xff80007f,0x7ffd42ff,0xfffa81ff,
    0x07fffd06,0x037ffdc0,0x21fffec0,0x5c43fffb,0xffffd001,0xffffffff,
    0x400bffff,0x02effffa,0x07ffffb1,0x0ffff880,0x3fff6000,0xffff8804,
    0x3e600000,0x3e600fff,0xffffffff,0xf81fffff,0x2000efff,0x541ffffc,
    0xffffffff,0xffffffff,0xfffffb02,0xfffffdbd,0x23ffffff,0xfffffffa,
    0xfffb98cf,0x7fffc0ff,0x7fff4005,0x7f654001,0x40efffff,0x644ffffe,
    0x1005ffff,0x0001ffff,0xfc87fffb,0x5c0004ff,0x3e61ffff,0x00002fff,
    0x3fe6dff3,0x1ffff306,0xfffd8000,0x3ffffe63,0x0bfff902,0x800ffffa,
    0x8006fffb,0x7cc3fffd,0x17ffc1ff,0x3ffffe60,0xffffffff,0x001fffff,
    0x37ffffa2,0x0ffff700,0x0ffff880,0x3fff6000,0xffff8804,0x2ea62000,
    0xfff9aabc,0xffff101f,0xffb77bff,0x7c41ffff,0xeeeeefff,0xeeeeeeee,
    0xfc82ffff,0xffffffff,0x01ffffff,0xfffffffb,0xffffffff,0x3e2bffff,
    0x80efffff,0x225ffff9,0x4001ffff,0x80006ffa,0x46fffffa,0x225fffff,
    0x00ffffff,0x00ffff88,0xfffffd80,0x04ffffff,0x37fff400,0x002ffff4,
    0xf36ff980,0x3ffe20df,0x7e40003f,0xfffd16ff,0x7ffec09f,0x07fffd03,
    0x037ffdc0,0x81fffec0,0x27ffcc0a,0x3fffff60,0xffffffff,0x004fffff,
    0x4fffffd8,0x005fff30,0x007fffc4,0x09fffb00,0x01ffff10,0xfffffb30,
    0xffffffff,0x3ffff603,0xfffd880d,0x3fffea5f,0xffffffff,0xffffffff,
    0xffff504f,0xff5bffff,0x3ff601ff,0xffffffff,0xffffffff,0x3ffffe3f,
    0x3fff201f,0x01fffea7,0x00000c40,0x23ffffd1,0x45fffff8,0x007fffff,
    0x001ffff1,0xffffffb0,0x009fffff,0x17fffcc0,0x00ffffd4,0x9b7fcc00,
    0x3ffa06ff,0x1ca800ff,0x6cffffdc,0x2606ffff,0xfd02ffff,0x7dc007ff,
    0xfd8006ff,0x3ea003ff,0x3fe206ff,0x3ee004ff,0xd50007ff,0x703dffff,
    0x7c400bff,0x20000fff,0x8804fffd,0x2200ffff,0xfffffffd,0xffffffff,
    0x0dffff01,0x5cffffd0,0xffffffff,0xffffffff,0x205fffff,0x2dfffec8,
    0x6c0ffff9,0xffffffff,0xfffacfff,0x3ffa0cef,0x7fc403ff,0xdfff70ff,
    0x00000000,0x99ffffc4,0x5c6fffff,0x1004ffff,0x0001ffff,0xfffffffb,
    0x0009ffff,0xf03fffe4,0x00009fff,0x3fe6dff3,0x3fffea06,0xfffd502f,
    0x7ffffc43,0x200fffff,0xd00ffffe,0x5c007fff,0xd8006fff,0x2a003fff,
    0x3ee06fff,0x22000fff,0x0002ffff,0x93ffffee,0x2005ffd8,0x000ffff8,
    0x013fff60,0x403fffe2,0xffffffe8,0xffffffff,0xfff881ff,0xfff9801f,
    0xfffff50f,0xffffffff,0xffffffff,0x3e20400d,0x3f604fff,0xbcdcbdff,
    0xfffd8001,0x3ffff006,0x001bffee,0xfb000000,0x3ffeabff,0x1cc987ff,
    0x3fffe200,0xfffd8000,0xffffffff,0xfff10004,0x333333bf,0x000ffffb,
    0x3e6dff30,0x7fff406f,0xffdcdeff,0x7dc3ffff,0x1fffffff,0x13fffee0,
    0x003fffe8,0x001bffee,0x55bfffd5,0x55555555,0x260dfff9,0x00aefffe,
    0xefffea88,0xf9100009,0xffffffff,0x7fc4005f,0x360000ff,0xf8804fff,
    0xffd00fff,0xdddfffff,0x3fffffff,0x00ffff50,0xf997fffc,0xccccdfff,
    0xcccccccc,0x0003cccc,0x03ffffd1,0x0027ffec,0x0bfff900,0x4cbfffe0,
    0x00007fff,0x7fdc0000,0xfffff56f,0x2200001f,0x8000ffff,0xaaadfffd,
    0x0004fffd,0xfffffff7,0xffffffff,0xf980005f,0x80dff36f,0xffffffe8,
    0xffffffff,0xffffff80,0x3fff203f,0x7ffec06f,0x3ffee003,0xffff9005,
    0xffffffff,0xffffffff,0xffffa8df,0x80efffff,0xffffffe8,0x20001fff,
    0xffffffea,0x7fc4006f,0x7ec0007f,0xff8804ff,0xfffb80ff,0xf3100cff,
    0xff303fff,0xff3003ff,0x7fffc3ff,0x00000006,0x017ffff6,0x0009fffb,
    0x07fffd40,0x87fffe20,0x0002ffff,0x3f200000,0xffff74ff,0x200003ff,
    0x000ffff8,0x5c3fffd8,0x0dc43fff,0x3fffffa0,0xffffffff,0x40005fff,
    0xdff36ff9,0xffffd100,0xffffffff,0x3fffee07,0x7ecc0aff,0x6401ffff,
    0x36005fff,0xf9804fff,0xffffffff,0xffffffff,0x746fffff,0xffffffff,
    0xfffb83ff,0x5fffffff,0x7ff44000,0xd0002eff,0xd8000dff,0xf8804fff,
    0xffd80fff,0xff8801ff,0xffff01ff,0xffffb00b,0x05ffffd8,0x74c00000,
    0x400fffff,0x0004fffd,0x17fffe20,0xe8ffff90,0x4001ffff,0x00884fd8,
    0x97fffcc0,0x1ffffffc,0xfff10000,0xffb0001f,0x1fff987f,0xf9817ffc,
    0xffffffff,0xffffffff,0x3e60001f,0x00dff36f,0x3ffffee2,0x200cffff,
    0xfffffffc,0xfffffeef,0xffa803ff,0xff8800ff,0xff8802ff,0xffffffff,
    0xffffffff,0x7ec6ffff,0xffffffff,0xffffa82f,0x05ffffff,0xfd100393,
    0xea8000df,0x7ec0002e,0x7f5406ff,0xfff80fff,0xffd9803f,0xfffb01ff,
    0xff71017f,0xfff88bff,0x5cc01dff,0x0d41efec,0x7ffffecc,0xfffd802f,
    0x7e400004,0xfc81cfff,0x7fdc6fff,0x4400cfff,0x2e2ffffc,0x5c401dff,
    0xf50fffff,0x000fffff,0x07fffc40,0x1fffec00,0x7ffcc0a8,0xfffffb04,
    0xffffffff,0x009fffff,0xf9b7fcc0,0xffa8006f,0xfa802cff,0xffffffff,
    0xffffffff,0xffff1004,0xfffe880d,0xffb5000f,0xffffffff,0xffffffff,
    0xfec88dff,0x03efffff,0x3fffffae,0xdfb00dff,0x01bfee00,0xb8000000,
    0xea81ffff,0x82ffffff,0x880effff,0xffffffda,0xffffa80b,0xffedeeff,
    0xfa82ffff,0xdeefffff,0xfffffeec,0x3fffa4ff,0xffffffed,0xffb002ff,
    0x8800009f,0xdfffffff,0x1ffffffe,0xffffffc8,0xffedcdef,0x3e2fffff,
    0xdeefffff,0xffffffee,0x7ffffc5f,0x3e200005,0xd8000fff,0x2a003fff,
    0xff886fff,0x3ee004ff,0x260007ff,0x0dff36ff,0x1ffff100,0xfffff300,
    0xffffffff,0x8003dfff,0x41effffc,0x4ffffe98,0x64000000,0x000003ff,
    0x007bfe20,0xf9001fff,0xaaa880bf,0xaaaaaaaa,0x0aaaaaaa,0x7ffffcc0,
    0xfffffede,0x21ffffff,0xdffffffd,0xffffffed,0x41efffff,0xfffffffd,
    0x5fffffff,0x3fffff20,0xffffffff,0xf34fffff,0xffffffff,0x4005ffff,
    0x0003fffc,0xfffffb80,0xffffffff,0x3ffff604,0xffffffff,0x20efffff,
    0xffffffff,0xffffffff,0x7ffe40ef,0x2200001f,0x8000ffff,0x2003fffd,
    0xfb86fffa,0x22000fff,0x0002ffff,0x3fe6dff3,0xfff88006,0xfffe800f,
    0xffffb8cf,0x0004ffff,0x3ffffffa,0xffffffee,0x80000006,0x000006ff,
    0x4017fd40,0x7cc00fff,0x3ff204ff,0xffffffff,0xffffffff,0x7ff404ff,
    0xffffffff,0xffffffff,0x3ffffe25,0xffffffff,0xffffffff,0xfffffc84,
    0x4fffffff,0xffffea80,0xffffffff,0xff11efff,0xffffffff,0xfa80019f,
    0x000001ff,0xfffffff7,0x8809ffff,0xfffffffd,0xffffffff,0x7fffd40e,
    0xffffffff,0xb300efff,0x54400019,0xffffbaaa,0x200aaaab,0xaadfffea,
    0xaaaaaaaa,0x74c6fffc,0x800aefff,0x9efffea8,0x65554400,0x5fff57ff,
    0x3fe20015,0x7fd400ff,0xbca985ff,0xf880000a,0xffffffff,0x001fffff,
    0xffe80000,0x0001edaa,0x277fe600,0xcfff85fb,0xfecccccc,0xff100fff,
    0xffffffff,0xffffffff,0x4401ffff,0xfffffffe,0xffffffff,0x7ffcc4ff,
    0xffffffff,0xffffffff,0xffdb303f,0x03bdffff,0xfffffc80,0xceffffff,
    0xfffffa82,0x0000cfff,0x00009f91,0xffffd980,0x2001efff,0xffffffd9,
    0x01cfffff,0x3ffffae2,0x2effffff,0xfd800000,0xffffffff,0x5fffffff,
    0x7fffffe4,0xffffffff,0x6fffffff,0xfffffff5,0xfd101dff,0xffffffff,
    0x3fffea03,0xffedffff,0xd001ffff,0xff300dff,0x000001df,0xffffd880,
    0x0effffff,0x50000000,0x07ffffff,0xffe80000,0x7fc0ffff,0xffffffff,
    0x2202ffff,0xffffffff,0xffffffff,0x807fffff,0xffffffd8,0xffff9bef,
    0xffd880ce,0xbeffffff,0xcefffff9,0xabba8800,0xba980000,0x0019abcc,
    0x002af2ea,0x00000000,0x55e5d440,0x2a620001,0x09abcccc,0x65d54c00,
    0x0000aabc,0xffff3000,0xffffffff,0x23ffffff,0xfffffff9,0xffffffff,
    0x6fffffff,0xfffffffd,0xff707fff,0xffffffff,0x3ffff20b,0xfffeffff,
    0x7002ffff,0x3f2007ff,0x0000000e,0x3ffffea0,0x00003fff,0xfffd8000,
    0x000000ef,0x1fffff4c,0x7ffffffc,0x02ffffff,0xffffffa8,0xffffffff,
    0x02ffffff,0x2af2ea20,0xca880000,0x0001abcc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfff10000,0xffffffff,0x1fffffff,
    0x3fffffe2,0xffffffff,0xffffffff,0xffffffb6,0xf505ffff,0xffffffff,
    0x3b6e20bf,0xda8ceeee,0x4003deee,0x00000008,0x2a200000,0x00000acb,
    0x5d440000,0x40000001,0x333202b8,0xbccccccc,0x0000000a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ff6e000,0xffffffff,0x542dffff,0xfffffffd,0xffffffff,0x916fffff,
    0xdffffffd,0x7fff5c07,0x000cefff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x22000000,0x26001999,0x00000999,0x000006dc,0x03b70991,0x00200180,
    0x88000000,0x00001000,0x26000011,0x20acddca,0x00019999,0x00007910,
    0xb8000000,0x3330000d,0x566dd443,0x36600000,0x0002e443,0x00000022,
    0x00005b30,0x000007b3,0x00003b70,0x00600000,0x33310008,0x665d4413,
    0x4000009b,0xffd50000,0x220bffff,0xeffffffd,0x7ec40002,0xf300003f,
    0x1ffec1ff,0x9009f900,0x3fa2009f,0x007fdc03,0x26007fcc,0x3ea0006f,
    0x3a60002f,0xffffffff,0xffffffab,0xff50000d,0x6dc4001f,0x0000acef,
    0x0fffa200,0xffffd880,0xfffffb9f,0x40002fff,0x3fa27ffa,0xff50002f,
    0x20000005,0x80007ffb,0x0000effb,0x00fffe00,0x5f75c400,0x04fc8000,
    0x3ae03fd8,0xc8cfffff,0xffffffff,0xfb80000d,0x7ff4001e,0x82ffffff,
    0xfffffffb,0x3a60007f,0x80000fff,0x3f65fff9,0x3f6000ff,0x17fe601f,
    0x077ffcc0,0x007fff62,0xfd013fea,0xfd88001f,0x4000dfff,0xfffffffc,
    0xffffffff,0x8003ffff,0x2004fffb,0xfffffffc,0x9800005f,0x2000fffe,
    0xfffffffc,0xffffffff,0xf50003ff,0x3ffa27ff,0xffd88006,0x00000dff,
    0x00ffff20,0x3bffe200,0xf7000001,0xb00009ff,0x000bffff,0x7cc03ffb,
    0xffff105f,0xffffffff,0xffffffff,0x3fa20007,0x3a003fff,0xffffffff,
    0xfffffb82,0x50007fff,0x0003dfff,0x21bfff30,0x4001fffd,0xf981effb,
    0x3ee003ff,0xfff73fff,0x3fe2009f,0x6ffd882f,0x7fffd400,0xd002ffff,
    0xffffffff,0xffffffff,0x4007ffff,0x004fffd8,0x3ffffff2,0x0005ffff,
    0x03bffea0,0xfffff900,0xffffffff,0x007fffff,0xd14fffa8,0xa8001dff,
    0xffffffff,0x6c400002,0x00003fff,0x00bfffa2,0x7ffdc000,0xff10000d,
    0x8001ffff,0xf981effb,0xfff103ff,0xffffffff,0xffffffff,0xfb800bff,
    0x1effffff,0xffffea80,0xffb105ff,0x005dffff,0x01bfff70,0xbfff3000,
    0x000fffec,0x677fff44,0x006fffec,0xfffffe98,0x5c002fff,0xfecdffff,
    0x36001fff,0xffbaffff,0x7fdc05ff,0xeccdffff,0xffffffff,0xd1000dff,
    0x64005fff,0xffffffff,0x0004ffff,0x00dfffb8,0xffffd880,0xecefffff,
    0x00ffffff,0x229fff50,0x4000effe,0xfabffffc,0x00005fff,0x005fffd1,
    0xfffb1000,0x2a000007,0x0000efff,0x00fffffd,0x9dfffd10,0x80dfffd9,
    0xffffffeb,0xfddeffff,0x03ffffff,0x9efffe88,0x003ffffc,0x001ffffb,
    0x00bffff1,0x013ffe60,0x25ffe800,0x0001fffb,0x3fffffa2,0x0000efff,
    0x37fffff2,0xfff90000,0x05ffffff,0x06fffe40,0x207fffb1,0x04fffff9,
    0xffffffd3,0xfffb0003,0x7ffd4003,0xffcaacff,0x20001fff,0x0004fff9,
    0xffffff98,0x7ffdc40c,0xfff8803f,0x003bff64,0x41bfff70,0x004fffd8,
    0x01effe80,0x7fe40000,0x3000001f,0x2000dffd,0x003ffffb,0xfffffd10,
    0x2001dfff,0xffffffd8,0xfffc980d,0x7fec01ff,0x7fff4c4f,0xffff9802,
    0xffffc804,0x5ff50001,0x4fe80000,0x0000f7dc,0xffffffb8,0xfd500003,
    0xd300005f,0x019fffff,0x203ffd80,0xffd05ffb,0xfe8805ff,0xb0007fff,
    0xfd8001df,0xff981fff,0x2a0006ff,0x100002ff,0x407fffff,0x804ffff8,
    0x6fec3ff8,0x3ffc8000,0x0017fea0,0x00037fa0,0x17fd4000,0xfb100000,
    0x5dc4000d,0xffb80000,0x8003ffff,0x03fffffd,0x06ffffc8,0xf900f7f4,
    0x3ff6007f,0x3fe200ff,0x4c0005ff,0x01000000,0x44000006,0x80000099,
    0x800000b8,0x22000099,0x00a8800a,0x2009ffff,0x007ffff9,0x3e600060,
    0x3ee03fff,0x20001fff,0x22000009,0xc802ffff,0x11005fff,0x15000060,
    0x00015100,0x00000310,0x00000200,0x00000040,0x09988000,0x3fff6000,
    0x3ff2005f,0x00a201ff,0xff300144,0x7fe409ff,0x000001ff,0x00000000,
    0x00000000,0x00000000,0x80000000,0x000ffff9,0x001ffff2,0xfffb0000,
    0x9ffff00d,0x00000000,0x007fffc4,0x002fffe4,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x03ffffb0,0x17fffc40,0xb0000000,
    0xf101ffff,0x4000bfff,0x1accdca9,0x4cccc400,0x4ccccc00,0x4cccc401,
    0x4ccccc00,0x372a6001,0x00021bcd,0x579b9953,0xca980003,0x2021bcdd,
    0x4006fffa,0x4007fffb,0x1bcddca9,0x1ffffc02,0x03fffdc0,0x055e5d4c,
    0x000de5c4,0x001ffff1,0x200bfff9,0x0acddca8,0x99998800,0x4ccccc00,
    0x4cccc401,0x4ccccc00,0x4cccc401,0x4ccccc00,0x6654c001,0x0001abcd,
    0x2a600000,0x0000acdc,0x000dfffb,0x2009fffb,0x1accdca9,0xffff3000,
    0x3ffff909,0xfffc8800,0xbeffffff,0xffeb84fd,0xffb04fff,0x701fffff,
    0x09fffffd,0x3ffffff6,0x7ff5400f,0xdeffffff,0x3f6e01ef,0xffffffff,
    0x754001df,0xffffffff,0x3f21efde,0x7d4005ff,0xfd5007ff,0xdfffffff,
    0x7fc43dfb,0xff9801ff,0xffd980ff,0x21ffffff,0x0efffffc,0x0ffff880,
    0x05fffc80,0x7ffffed4,0xb802dfff,0x04fffffe,0xfffffffb,0xffffd701,
    0x3fff609f,0xeb80ffff,0xb04fffff,0x1fffffff,0xffffdb80,0x1dffffff,
    0x20000000,0xfffffffb,0x36000dff,0xc8005fff,0x32205fff,0xffffffff,
    0x004fdbef,0x441ffffb,0x4005ffff,0xfffffffa,0xffffffff,0x3fffe20f,
    0xffa84fff,0x40ffffff,0xfffffff8,0xfffffa84,0xfd100fff,0xffffffff,
    0x209fffff,0xfffffffd,0x2fffffff,0xffffe880,0xffffffff,0x3ffea4ff,
    0x7ffdc007,0x7fff4407,0xffffffff,0x3fe64fff,0xff8800ff,0xffff81ff,
    0xbfffffff,0xfffffffd,0x7ffc400e,0xfffc800f,0xffffb105,0xffffffff,
    0x3ffe201b,0xfa84ffff,0x0fffffff,0x7fffffc4,0xffffa84f,0x7c40ffff,
    0x84ffffff,0xfffffffa,0x3fff600f,0xffffffff,0x00002fff,0x7fff5400,
    0xffffffff,0xfffb003f,0xfffd000f,0x3fffea07,0xffffffff,0x9800ffff,
    0x3f24ffff,0x32001fff,0xffffffff,0xffffffff,0x3fffe22f,0xffa84fff,
    0x40ffffff,0xfffffff8,0xfffffa84,0xfe880fff,0xffffffff,0x06ffffff,
    0xfffffffd,0xffffffff,0x7fff4403,0xffffffff,0x3e66ffff,0x36000fff,
    0x3a207fff,0xffffffff,0x6fffffff,0x801fffea,0x7cc2ffff,0xffffffff,
    0xffffffff,0x200fffff,0x800ffff8,0xe885fffc,0xffffffff,0x0effffff,
    0xffffff88,0xffffa84f,0x7c40ffff,0x84ffffff,0xfffffffa,0x7fffc40f,
    0xffa84fff,0x00ffffff,0x3ffffffa,0xffffffff,0x0000001f,0xfffffff7,
    0xffffffff,0xffffb00d,0x7ffdc007,0xffffc81f,0xffffffff,0x002fffff,
    0xf11ffffb,0x5400bfff,0xdeffffff,0xffffffec,0x7ff5c3ff,0xffb04fff,
    0x701fffff,0x09fffffd,0x3ffffff6,0xffffc80f,0xffecdeff,0xf907ffff,
    0x99dfffff,0x0bfffffb,0x7fffffe4,0xffffecde,0x7fffc7ff,0xffff3005,
    0x7fffe40f,0xffecdeff,0x3ee7ffff,0x3fa006ff,0xffff82ff,0xffffecef,
    0xfffdffff,0x3fe205ff,0xffc800ff,0xffffe85f,0xffedceff,0xd706ffff,
    0x209fffff,0xfffffffd,0xffffeb80,0xffffb04f,0xfd701fff,0x3609ffff,
    0x0fffffff,0x3fffff20,0xfffdccef,0xaa9805ff,0x3e6002aa,0xceffffff,
    0xfffffffd,0x7fffec03,0xfffa802f,0xffffa87f,0xffecdeff,0x03ffffff,
    0xb9ffff30,0x2003ffff,0x0effffe8,0xfffff730,0x3fff6207,0x7ffd4404,
    0x3ff6200f,0x7fd4404f,0xfffd80ff,0xffd500ae,0x4d6540df,0x1ffffa00,
    0x0aefffd8,0x8dfffd50,0x403ffffd,0x07fffff8,0x02bbfff6,0x737fff54,
    0x7400dfff,0xbb882fff,0xfffffd81,0xffffb11f,0x3fffe201,0x5fffc800,
    0x27ffffe4,0xfffffb88,0x3fff6204,0x7ffd4404,0x3ff6200f,0x7fd4404f,
    0x3f6200ff,0x7d4404ff,0x65400fff,0x3ffa009a,0xfffd807f,0xfff1004f,
    0x93015dff,0x401fffff,0xdffffffd,0xffffd981,0x7fff443f,0xff7300ef,
    0x6c007fff,0xffffffff,0x3fff2005,0xfff7004f,0x7ffec05f,0xffff8804,
    0x27ffec00,0x07fffc40,0x402ffff4,0x0004fff8,0x01ffff30,0x2017fffa,
    0x7c44fff8,0xb80dffff,0x07ffffff,0x2017fffa,0x3ee4fff8,0x3fa006ff,
    0xf98002ff,0x7cc3ffff,0xff504fff,0xfc8035ff,0x3ffe25ff,0xff9801ff,
    0x3f600fff,0xff8804ff,0x7fec00ff,0xfff8804f,0x7ffec00f,0xffff8804,
    0x3e600000,0x7fc00fff,0x3f6006ff,0xc800efff,0x3605ffff,0xffffffff,
    0xfffffeef,0xfffc84ff,0xfff7004f,0x7fc4005f,0x01ffffff,0x017fffe0,
    0x403fffd0,0x8804fffd,0x6c00ffff,0xf8804fff,0xffd80fff,0x101abeff,
    0x54c40037,0xff9aabcb,0xfffb01ff,0x220357df,0xffff701b,0xfffdbfff,
    0x40ffffff,0xabeffffd,0xfb837101,0x3fa006ff,0xba9802ff,0x06ffffba,
    0x6c1ffffb,0xffffffff,0x97fff205,0x002ffffb,0x813fffe6,0x8804fffd,
    0x6c00ffff,0xf8804fff,0x7ec00fff,0xff8804ff,0x262000ff,0xf9aabcba,
    0x3ea01fff,0x3e002fff,0x2000efff,0xb01ffffc,0xffffffff,0xffffffff,
    0x3fffe0bf,0x7fff4005,0x7ffe4001,0x22005fff,0x4001ffff,0x7ec06ffa,
    0xff8804ff,0x7fec00ff,0xfff8804f,0xffffa80f,0xbdefffff,0x7fecc001,
    0xffffffff,0xff501fff,0xdfffffff,0x3f60037b,0xffffffff,0x7fffffff,
    0x3ffffea0,0x1bdeffff,0x01bffee0,0x702ffff8,0xfffffffd,0xddddffff,
    0x23ffffdd,0xfffffff8,0xff901fff,0x2ffff4bf,0x37ffe400,0x009fffb0,
    0x801ffff1,0x8804fffd,0x6c00ffff,0xf8804fff,0xd9800fff,0xffffffff,
    0x201fffff,0x2005fffc,0xeeeffff8,0xeeeeeeee,0x02ffffee,0xfffdfffb,
    0xffffffff,0x3ffe207f,0x7fd4001f,0xfff88006,0x2a001fff,0x10007fff,
    0x9fffb003,0x1ffff100,0x04fffd80,0x00ffff88,0xfffffff9,0x03dfffff,
    0xfffffd88,0xffffffff,0x3ff201ff,0xffffffff,0xfb801eff,0xffffffff,
    0x07ffffff,0x7fffffe4,0x1effffff,0x007fffa8,0xd307fffe,0xffffffff,
    0xffffffff,0x5fffffff,0x3fffffe2,0xf900ffff,0x7fffcbff,0xfffa8002,
    0x13fff607,0x03fffe20,0x009fffb0,0x801ffff1,0x8804fffd,0x2200ffff,
    0xfffffffd,0xffffffff,0x03fffe01,0xfffffa80,0xffffffff,0xffffffff,
    0x19fffb04,0xffffffd7,0x7fd4019f,0x0310007f,0x7fffe400,0x7ffdc005,
    0x6c000006,0xf8804fff,0x7ec00fff,0xff8804ff,0x3faa00ff,0xffffffff,
    0xfd103fff,0xffffffff,0x3fffffff,0xffffea80,0xffffffff,0xfffd8803,
    0xf9aeffff,0xfea807ff,0xffffffff,0x7fcc3fff,0xff8800ff,0x3fff20ff,
    0xffffffff,0xffffffff,0x23ffffff,0xffffffda,0x3fff202d,0x03ffff15,
    0x1ffff100,0x013fff60,0x003fffe2,0x1009fffb,0xd801ffff,0xf8804fff,
    0xfd100fff,0xffffffff,0x3fffffff,0x00fffe60,0xffffff70,0xffffffff,
    0xbfffffff,0x313fff60,0x20035775,0x0006fffb,0xfffb0000,0xffb8003f,
    0x4000006f,0x8804fffd,0x6c00ffff,0xf8804fff,0xba800fff,0xffffffed,
    0xffe85fff,0xeeefffff,0x1fffffff,0xffdb7500,0xbfffffff,0x56654c00,
    0x01fffe61,0xfffedba8,0x25ffffff,0x801ffff8,0x3e67fffa,0xefffffff,
    0xffffffff,0xffffffff,0x3200003f,0xfff14fff,0xff30005f,0x3ff601ff,
    0xfff8804f,0x7ffec00f,0xffff8804,0x27ffec00,0x07fffc40,0xffffffe8,
    0xffffeeef,0xff901fff,0xfff5000d,0xffffffff,0xffffffff,0x3ff60dff,
    0x2e00004f,0x00006fff,0xffff9800,0xfff98005,0x6c000007,0xf8804fff,
    0x7ec00fff,0xff8804ff,0x440100ff,0xffffeca9,0x3fffee0f,0xff3100cf,
    0x100403ff,0xffffd953,0x2e00001f,0x00407fff,0xfffd9531,0x7fff41ff,
    0x6fffc804,0x2b7ffff2,0x77fffcc0,0xcccccccc,0x200001cc,0x3fe4fffd,
    0xfb8004ff,0x3ff607ff,0xfff8804f,0x7ffec00f,0xffff8804,0x27ffec00,
    0x07fffc40,0x67ffffdc,0xffff3100,0x007ffa03,0x37fffe60,0xcccccccc,
    0xcccccccc,0x09fffb03,0x7ffcc000,0x80000007,0x000ffffd,0x005ffff0,
    0x7ffec000,0xffff8804,0x27ffec00,0x07fffc40,0x9801bfa2,0x3f63ffff,
    0xf8801fff,0xfe881fff,0x3ffe6006,0xfd00003f,0x3fa20bff,0x3ffe6006,
    0x3fffee3f,0x3fffe200,0x817fffa3,0x006ffff8,0xffd00000,0x7fffec7f,
    0x3ffe6001,0x3fff605f,0xffff8804,0x27ffec00,0x07fffc40,0x013fff60,
    0x203fffe2,0x801ffffd,0x981ffff8,0x3e0004ff,0x00006fff,0x013fff60,
    0x5ffff000,0x4c000000,0x0005ffff,0x007ffffa,0x6c09fb10,0x75406fff,
    0x6c00ffff,0x75406fff,0x7dc0ffff,0x3f6003ff,0x3fffe6ff,0xfffd9803,
    0x3fffb81f,0x1bfff600,0x3ffee000,0x7fff703f,0x37ffec00,0x40bffff1,
    0x2e0ffffd,0x3ee06fff,0x0002ffff,0x7ffdc000,0x3fffe61f,0xffe8800f,
    0x3ff602ff,0x7ff5406f,0x7fec00ff,0x7ff5406f,0x7fec00ff,0x7ff5406f,
    0xffff80ff,0xfffd9803,0x00efa81f,0x3ffff600,0xfb000005,0x800009ff,
    0x001ffffe,0x98827ec4,0xffffd999,0x3fee0002,0x4400cfff,0x702ffffc,
    0xd503ffff,0x05ffffff,0x81ffffb8,0xffffffea,0x77fffec2,0x3ffee201,
    0x3bfffe4f,0xfffda880,0x7ec0bfff,0x2201efff,0x804ffffb,0xfc999998,
    0xb01fffff,0x403dffff,0x44ffffb8,0xd84ffffc,0x7cc4ffff,0x3620cfff,
    0x0effffff,0x013ff6a2,0x36ea6620,0xfe87ffff,0x2e04ffff,0x406fffff,
    0xa81ffffb,0x2ffffffe,0x0ffffdc0,0x7fffff54,0x7ffdc02f,0xfffea81f,
    0xfff82fff,0xfda880ef,0x80bfffff,0x7c40000b,0x401dffff,0x81efecb9,
    0x99dfffd9,0xffb80000,0x4400cfff,0x2a2ffffc,0xffffffff,0x002fffff,
    0xffffff90,0xffdb9bdf,0x205fffff,0xdefffff9,0xfffffffe,0xf301ffff,
    0xfdbdffff,0xffffffff,0x3fffa3ff,0xecdeffff,0x2ffffffe,0x3ffffff6,
    0xfffffedd,0x1effffff,0xfffffffd,0xfffdd9bd,0x7dc05fff,0xffffffff,
    0x3a03ffff,0xefffffff,0xffffeecd,0x7ffc42ff,0xfffeefff,0xfff80fff,
    0xfffedfff,0xdfffffff,0x1ffffffe,0xfffff300,0x07ffffff,0xfffffff1,
    0xffffdbbd,0xf9801fff,0xfedeffff,0xffffffff,0xfff301ff,0xfffdbdff,
    0xffffffff,0x3fffe603,0xffffedef,0x1fffffff,0x3ffffff6,0xfffffedd,
    0x1effffff,0xffa80000,0xcdeeffff,0xffffffee,0x3ffff24f,0x2fffffff,
    0x7ffe4000,0xdcdeffff,0xfffffffe,0x3fffffa2,0xffffffff,0x3ff60006,
    0xffffffff,0xefffffff,0x3ffffa00,0xffffffff,0x05ffffff,0x3ffffffa,
    0xffffffff,0xffb5ffff,0xffffffff,0x9fffffff,0xffffff88,0xffffffff,
    0x4fffffff,0xfffffffb,0xffffffff,0xffe809ff,0xffffffff,0x7fec03ff,
    0xffffffff,0x4fffffff,0xffffff50,0x03ffffff,0x3fffffe6,0xffffffff,
    0xffffffff,0xfb002fff,0xffffffff,0x7ffcc09f,0xffffffff,0x001fffff,
    0xfffffffd,0xffffffff,0x7f40bfff,0xffffffff,0xffffffff,0x3fffa05f,
    0xffffffff,0x5fffffff,0x3fffffe2,0xffffffff,0x4fffffff,0xff900000,
    0xffffffff,0xffffffff,0x3ffffe29,0x6fffffff,0xfffd8000,0xffffffff,
    0x0effffff,0x3ffffffa,0x6fffffff,0x3ff62000,0xffffffff,0x00efffff,
    0x7fffff44,0xffffffff,0x2204ffff,0xfffffffe,0xffffffff,0xffff74ff,
    0xffffffff,0x2609ffff,0xffffffff,0xffffffff,0xff73ffff,0xffffffff,
    0x09ffffff,0xffffffd0,0x007fffff,0xfffffff7,0xffffffff,0xfffb809f,
    0x1fffffff,0x7ffffcc0,0xffffffff,0xffffffff,0x3f2005ff,0xffffffff,
    0xfffd8803,0xffffffff,0x3a2000df,0xffffffff,0xffffffff,0x3ffa204f,
    0xffffffff,0x4fffffff,0x3ffffa20,0xffffffff,0x4c4fffff,0xffffffff,
    0xffffffff,0x0003ffff,0x3fffaa00,0xffffffff,0xf11effff,0xffffffff,
    0x0000dfff,0xffffffb1,0xffffffff,0xffd981df,0xffffffff,0x980001df,
    0xfffffffd,0x001cffff,0x3fffff62,0xfff9beff,0x6c400cef,0xefffffff,
    0xceffff9b,0xff99f910,0xffffffff,0xffd88019,0xbeffffff,0xcefffff9,
    0xff99f910,0xffffffff,0x3f660019,0x1befffff,0x333f2200,0xffffffff,
    0xb5000cff,0x3bffffff,0x3fffa600,0xaedadfff,0xfffffffd,0x7ec4001c,
    0x00beefff,0x7fff6540,0x002cefff,0xfffffb10,0xfff37dff,0xd88019df,
    0xefffffff,0xceffff9b,0x7ffec400,0xf9beffff,0x880cefff,0xfffffffd,
    0xffff9bef,0x00000cef,0xfffffc80,0xceffffff,0xffffda82,0x01dfffff,
    0x3ff66000,0xffffffff,0x000001cf,0x2a620000,0x09abcccc,0x32ea2000,
    0x400000ab,0x00abcba8,0x99953000,0x88001357,0x01abccca,0x332a6000,
    0x00009abc,0x26000000,0x09abccca,0x06ee6000,0xbcca8800,0x2f32e600,
    0x00000000,0x2b32a200,0x2a200000,0x0000abcb,0x55e5d440,0x54400000,
    0x0000abcb,0xabccca88,0x00000001,0x79975300,0x00000335,0x26200000,
    0x9abcccca,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000040,0x00002d98,0x00000200,0x00000011,0x80000b66,
    0x000001db,0x8359b953,0x20019999,0x00002001,0x000076a0,0x0000019b,
    0x00004001,0x20000110,0x00002000,0x00000033,0x00000173,0x00000000,
    0x00555553,0x55555555,0x00355555,0x00000000,0x00000000,0x001ff4c0,
    0x1ffee000,0x02ef9800,0x800037e4,0x00002ffa,0x003ffdc0,0x007fff00,
    0x7fffe400,0xf99dffff,0x405fffff,0x3fd804fc,0x3ff20000,0x3fe60005,
    0x3200001f,0x3fa600df,0xffa80002,0x6fdc0002,0x00ff6200,0x677fff40,
    0x90000881,0x80005fff,0xd880dfd8,0x800000df,0x6ffffffb,0xffffff80,
    0xffffffff,0xdfd8803f,0x00dfd880,0x03b2a200,0xdffdb300,0xfc800019,
    0x0000dfff,0x03fffc80,0x37ffea00,0x07fff4c0,0xfffb1000,0x0000019f,
    0x0007fff9,0x027ffdc0,0x3fffa600,0xffffffff,0xfffffffe,0x807ff602,
    0x80005ff9,0x001fffe8,0x017ffec0,0x2fffe800,0x004fffb8,0x3ffff620,
    0xffb0000c,0xbfff707f,0xffff1000,0xfd75bfff,0xff88009f,0x640006ff,
    0xffb83fff,0xe800003f,0x06ffffff,0xfffffff8,0xffffffff,0x3fffc807,
    0x003fffb8,0x7ffff5cc,0x3fff2000,0x002fffff,0xfffffe98,0x100003ff,
    0x0007fffd,0x25dfffb0,0x002ffffc,0x3ffffea0,0x00002fff,0x007fffd1,
    0xdfff7000,0xfff70001,0xffffffff,0xffffffff,0x7fdc07ff,0x3fff981e,
    0x7ffcc000,0xd880002f,0x80004fff,0x98dffff9,0x000efffe,0xffffff50,
    0xd10005ff,0xfb11bfff,0x20001fff,0xfffffffd,0x004fffff,0x03ffffc4,
    0x13fff200,0x0013fff2,0x3ffff200,0xfff806ff,0xffffffff,0xc806ffff,
    0xffc84fff,0xffdb804f,0x00ffffff,0x99ffff30,0x4001fffd,0xfabffffc,
    0x0000dfff,0x00bfffa6,0xffffb800,0x001effff,0x2bffff60,0x004ffffb,
    0x17fff4c0,0xff500000,0x7cc001df,0xcdffffff,0xfffffffe,0x200dffff,
    0xccefffe8,0x0006fffe,0x0077ffd4,0x3fff2000,0xfd880005,0x4fffffff,
    0x3fff6000,0x4ffffbaf,0xfffc8800,0x00dfffff,0x7ffdc400,0x0befffff,
    0x4fffd800,0x7ffcc000,0x01fff980,0xedc88000,0xff806fff,0xffffffff,
    0x801dffff,0xf980fff9,0x3fe201ff,0xffffffff,0x3991000f,0x2007ffb0,
    0x220efffa,0x0005fffd,0x0007bffa,0x3fff6200,0x640003ff,0x3620dfff,
    0x20003fff,0x0001effe,0x6ffe8800,0xffffd100,0xfff7303d,0x4003ffff,
    0xffffffe8,0x20000eff,0x000dfff8,0x7fff5000,0x3fea0000,0x0001efff,
    0x8837fff2,0x0003fffd,0x5ffffff5,0xffd70000,0x9fffffff,0x1edc4000,
    0x40288000,0x000000a8,0xffff7333,0x3ffe0133,0x8800002f,0x20054402,
    0xfffffffa,0x0000ffff,0x2007ff90,0x3ea03ffc,0x3fa0006f,0x4000000d,
    0x0001effb,0x2e02ffd8,0x3a0004ff,0x000000df,0x401bf620,0x805ffffc,
    0x07fffffa,0xfffff700,0xf100007f,0x0000009f,0x00009fd3,0x0027fec4,
    0x7017fec0,0x440009ff,0x0000cffc,0xffffff98,0x00ffffec,0x00000000,
    0x20000000,0xfffffffb,0xff82ffff,0x000002ff,0x7fc40000,0xfffdffff,
    0x2aa0000f,0x2001fffc,0x0015000a,0x00000c40,0x00007100,0x14400544,
    0x00062000,0x00080000,0x801bfffa,0x007ffffa,0x0004cc40,0x00002200,
    0x00003000,0x400006a0,0x028800a8,0x00055000,0x16fffcc0,0x00bfffd1,
    0x00000000,0x44000000,0xffffdccc,0xfff80bcc,0x0000002f,0xbdda8000,
    0x01ffff11,0xfffff100,0x0000005f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x07ffff10,0x07fffe80,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4c000000,0x3fffe201,0x6e54c002,0x80001acc,0x0acddca8,
    0xcb988000,0x3fea0abd,0xffff806f,0x53000002,0x03579b99,0xffff1000,
    0x3ffa0001,0x98003fff,0x1abcdcca,0xcca98000,0x8001abcd,0x40099998,
    0x00199999,0xacddca88,0x95100000,0x000159bb,0x33772a20,0xfff5000a,
    0xffb8001f,0x9510007f,0x000159bb,0x2b372a60,0x95300000,0x0000159b,
    0x579b9953,0x2a600003,0x0000acdc,0x59bb9510,0x08800001,0x806fffb8,
    0xffffffc8,0x4fdbefff,0xffffb500,0x005bffff,0xfffffb10,0xff53bfff,
    0xffff00df,0x026f2a65,0xffffb700,0x3bffffff,0x7ffc4000,0x2e60000f,
    0xb802fffd,0xfffffffd,0x4001dfff,0xffffffdb,0x801dffff,0x4fffffeb,
    0xffffffb0,0x3f6a001f,0xdfffffff,0xffb50002,0x5bffffff,0x3ff6a000,
    0x2dffffff,0x03fffd40,0x03fffd40,0x3ffff6a0,0x002dffff,0xffffff70,
    0x0001bfff,0xfffffff7,0x5c001bff,0xfffffffd,0x0001dfff,0xfffffff7,
    0x50001bff,0xfffffffb,0x260005bf,0xdeffffdc,0x405fffd1,0xfffffffa,
    0xffffffff,0x3ff6200f,0xffffffff,0xf5000dff,0xffffffff,0xdfffdfff,
    0xffffff00,0x1dffffff,0xfffffb00,0xffffffff,0x3e20005f,0x00000fff,
    0xfd80dff9,0xffffffff,0x002fffff,0xfffffffb,0x5fffffff,0x7ffffc40,
    0xfffa84ff,0x400fffff,0xffffffd8,0x0dffffff,0xffffb100,0xffffffff,
    0x3f62001b,0xffffffff,0xf100dfff,0xc8001fff,0xb1007fff,0xffffffff,
    0x001bffff,0x3fffffaa,0x3fffffff,0xffffd500,0xffffffff,0xffffb007,
    0xffffffff,0x754005ff,0xffffffff,0x1003ffff,0xfffffffb,0x01bfffff,
    0x7ffffe40,0xfdefffff,0xfff903ff,0xffffffff,0x05ffffff,0x3fffffa2,
    0xffffffff,0x7fe400ef,0xffffffff,0x6fffffff,0xffffff80,0xffffffff,
    0x7ffff403,0xffffffff,0x88001fff,0x0000ffff,0xe80fff10,0xffffffff,
    0x1fffffff,0xfffffe80,0xffffffff,0xfff101ff,0xf509ffff,0x1fffffff,
    0x7ffff440,0xffffffff,0x74400eff,0xffffffff,0x0effffff,0x7ffff440,
    0xffffffff,0xfff00eff,0x7fcc00bf,0xfe8807ff,0xffffffff,0x00efffff,
    0x7fffffdc,0xffffffff,0x7ffdc06f,0xffffffff,0x7406ffff,0xffffffff,
    0x1fffffff,0xfffffb80,0xffffffff,0x7f4406ff,0xffffffff,0x00efffff,
    0x7fffff4c,0xffffffff,0xffa85fff,0xecdeffff,0xffffffff,0xfffffd03,
    0xfffdb9df,0x7d40dfff,0xcdefffff,0xfffffffe,0xffff806f,0xffffffff,
    0x3f204fff,0xccefffff,0x05fffffd,0x0ffff880,0x2e015100,0x7fe406ff,
    0xdcceffff,0x805fffff,0xeffffffc,0xfffffdcc,0x3fffae05,0xfffb04ff,
    0x7401ffff,0xceffffff,0xffffffed,0x7ffff406,0xffedceff,0x7406ffff,
    0xceffffff,0xffffffed,0x9ffffb06,0xfffff300,0xffffd00f,0xffdb9dff,
    0x4c0dffff,0xefffffff,0xffffffdc,0xffff303f,0xffb9dfff,0x407fffff,
    0xeffffffc,0xfffffdcc,0x7fffcc05,0xffdcefff,0x203fffff,0xeffffffe,
    0xfffffedc,0x3ffa206f,0xfedeffff,0x6fffffff,0x77ffff44,0xffff7300,
    0xffff907f,0x3fee209f,0xff884fff,0xf900dfff,0x00dfffff,0xdffffffd,
    0xffffffdd,0x04d65403,0x00ffffd0,0x01ffff10,0x9bffff10,0x007fffdb,
    0x74013595,0x95007fff,0x7ff40135,0xffd8807f,0x7fd4404f,0xfff900ff,
    0x3ee209ff,0xf904ffff,0x2209ffff,0x04fffffb,0x09fffff9,0x3ffffee2,
    0xfffff984,0xfffc882e,0x7e407fff,0x7104ffff,0x109fffff,0x15dfffff,
    0xfffff930,0xfffff881,0xffc980ae,0x32a00fff,0x3ffa009a,0x3ffe207f,
    0xc980aeff,0xc80fffff,0x104fffff,0x09fffff7,0x13fffff2,0x7fffffdc,
    0x27fffe47,0x2ffffb80,0x0fffffc4,0x7ffffcc0,0x1ffffec0,0x7ffffd40,
    0xdfffb806,0xdffff902,0x3fe60000,0x7c4000ff,0xfb000fff,0xffffffff,
    0xf3000007,0x00001fff,0x00ffff98,0x804fffd8,0x880ffff8,0x801fffff,
    0x40fffff9,0x01fffff8,0x0fffff98,0x0fffffc4,0x7ffffcc0,0xfffffa80,
    0xffffeeff,0x207fffff,0x01fffff8,0x0fffff98,0x077fffec,0x2ffffe40,
    0x03bffff6,0x17ffff20,0x7ffcc000,0xffffb00f,0xfff9001d,0xffff88bf,
    0xfff9801f,0x7ffd40ff,0x7fcc01ff,0x3fe0ffff,0x7f4005ff,0x7ffdc1ff,
    0x3fe6002f,0x7fffc4ff,0x3fff2005,0x0175006f,0x05ffff90,0x57975310,
    0x03ffff35,0x0ffff880,0x3bb72600,0x10000bcd,0x35579753,0x8003ffff,
    0xaabcba98,0x801ffff9,0x8804fffd,0xfb80ffff,0x26002fff,0x7dc4ffff,
    0x26002fff,0x7dc4ffff,0x26002fff,0xf504ffff,0xffffffff,0xffffffff,
    0x7fffdc0f,0x3ffe6002,0x77fffc4f,0x3fff2000,0x3bfffe1f,0x3fff2000,
    0xba98801f,0xfff9aabc,0xdffff01f,0x7ffe4001,0x3fffee1f,0x3ffe6002,
    0x7fffe44f,0xffff5003,0x3fffe23f,0x37fd4001,0x002ffff4,0xf337ffe4,
    0xe8001fff,0x00006fff,0x407fffd0,0xffffffd9,0x1fffffff,0x7fffc400,
    0x00000000,0x3fffff66,0xffffffff,0xfffb3001,0xffffffff,0xffb003ff,
    0xfff1009f,0xbfffd01f,0xdfff9000,0x005fffe8,0x746fffc8,0xc8005fff,
    0x3aa06fff,0xffffffff,0x7fffefff,0x017fffa0,0x89bfff20,0xeeeeffff,
    0xeeeeeeee,0xf12ffffe,0xdddddfff,0xdddddddd,0x4c05ffff,0xfffffffd,
    0x81ffffff,0xeeeffff8,0xeeeeeeee,0x22ffffee,0x8005fffe,0x7ec6fffc,
    0x7f4007ff,0xfff51fff,0x4062000f,0x8002ffff,0x3ea7fffa,0xfd8006ff,
    0x000006ff,0xb10bfff9,0xffffffff,0x3fffffff,0xffff8800,0x99998800,
    0x0ccccc41,0xfffffd88,0xffffffff,0x7ec401ff,0xffffffff,0x01ffffff,
    0x804fffd8,0xf80ffff8,0xa8002fff,0x7ffc7fff,0xffa8002f,0x17fffc7f,
    0x3fffd400,0x7ffffdc0,0xff98cfff,0x3fffe07f,0xfffa8002,0x3ffffea7,
    0xffffffff,0xffffffff,0xffffff54,0xffffffff,0x9fffffff,0xfffffb10,
    0xffffffff,0xfff503ff,0xffffffff,0xffffffff,0x7fffc9ff,0xfffa8002,
    0x037fffc7,0x43ffff20,0x0006fffb,0x0ffffc40,0x7fffc400,0x00bfff90,
    0x00dfff70,0x3ffee000,0x7ffff446,0xffffffff,0x4001ffff,0x800ffff8,
    0x547ffffa,0x440fffff,0xfffffffe,0xffffffff,0x3ffa201f,0xffffffff,
    0x01ffffff,0x804fffd8,0x440ffff8,0x8001ffff,0xf10ffff8,0x10003fff,
    0x3e21ffff,0x88001fff,0x1000ffff,0xf9835773,0xfff107ff,0xff10003f,
    0x3ffee1ff,0xffffffff,0xffffffff,0xffff75ff,0xffffffff,0xffffffff,
    0xfffe88bf,0xffffffff,0xb81fffff,0xffffffff,0xffffffff,0xf15fffff,
    0x10003fff,0x7fc1ffff,0x7e4005ff,0x3ffee7ff,0x7c400006,0x98002fff,
    0xff90ffff,0xff7000bf,0x200000df,0x7f46fffa,0xeeffffff,0xfffffffe,
    0x7ffc4001,0xfff9800f,0x7fffc47f,0xfffffe87,0xfffeeeff,0x3a01ffff,
    0xefffffff,0xffffffee,0xfffd801f,0xffff8804,0x17fffc40,0x7fffcc00,
    0x05ffff10,0x1ffff300,0x00bfffe2,0x03fffe60,0xfff98000,0x5ffff107,
    0xffff3000,0x3ffffea1,0xffffffff,0xffffffff,0xffffff56,0xffffffff,
    0xdfffffff,0xffffffe8,0xffffeeef,0xffa81fff,0xffffffff,0xffffffff,
    0xfff16fff,0xff30005f,0x7ffec1ff,0x7ffec006,0x01fffe66,0x3fffe000,
    0xfffb8004,0x01fffea7,0x01bfff60,0x7ffdc000,0x3ffffee5,0xfff3100c,
    0xff88003f,0xfff000ff,0xdffff0df,0xcfffffb8,0xffff3100,0x3fffee03,
    0xff3100cf,0xffb003ff,0xfff1009f,0x9ffff01f,0xffff7000,0x004ffff8,
    0x7c7fffb8,0xb8004fff,0x00007fff,0xf03fffcc,0x70009fff,0x7fccffff,
    0xcccccdff,0xcccccccc,0xfff33ccc,0x999999bf,0x99999999,0x7ffdc799,
    0xf3100cff,0xff303fff,0x99999bff,0x99999999,0x7ffc7999,0xffb8004f,
    0x7fffe47f,0xffff1000,0x02ffff8b,0x7ffec000,0x3fe6001f,0x3ffe25ff,
    0x3fe2002f,0x000006ff,0x7ec9fffb,0xf8801fff,0x44001fff,0xd000ffff,
    0xffd09fff,0xffffd8bf,0xffff8801,0x3ffffb01,0x3ffff100,0x09fffb00,
    0x01ffff10,0x003ffffb,0x22ffffcc,0x001ffffd,0xb17fffe6,0x4003ffff,
    0x005ffff9,0x3fffcc00,0x03ffffb0,0x2ffffcc0,0x001bfffe,0x0dffff00,
    0xfffd8000,0xfff8801f,0xdffff01f,0xffd80000,0x3e6001ff,0x7fd45fff,
    0xff9006ff,0xfffe85ff,0x7ec4001f,0x7ffffcc4,0xfffe8800,0x7ffffc2f,
    0xffffd000,0x0066440d,0x45ffff50,0x9803ffff,0x001ffffd,0x007fffc4,
    0xd83fffd8,0x7ffc4fff,0xffd9803f,0xffff01ff,0xfffb3007,0xfffb003f,
    0xfffea80d,0xffff980f,0xffe8800f,0x7ffcc2ff,0xfe8800ff,0x7fcc2fff,
    0xe8800fff,0x0002ffff,0x03fffcc0,0x01fffff3,0x5ffffd10,0x05ffffd8,
    0x3fff6000,0x3e00005f,0xd9803fff,0xfb01ffff,0x0000bfff,0x07ffffcc,
    0x7ffff440,0xdffffd82,0xffff9101,0xfffff70b,0xffc88019,0x7fff42ff,
    0x3fee04ff,0xffa86fff,0x3aa03fff,0x0affffff,0x00cfffe8,0x3fffff22,
    0x03bfffe0,0x3ffff6a2,0x22000bff,0x9000ffff,0xff905fff,0xeffff85f,
    0xfffda880,0xff80bfff,0xda880eff,0x0bffffff,0x0ffffdc0,0x7fffff54,
    0xffffd02f,0x7ffdc09f,0xfffd06ff,0x7fdc09ff,0xffd06fff,0x7dc09fff,
    0x0006ffff,0xfff73310,0x3ffa013f,0x3ee04fff,0xf886ffff,0x401dffff,
    0x21efecb9,0x1dfffff8,0x77f65cc0,0x03bfffe1,0x3ffff6a2,0xff880bff,
    0x4c01dfff,0x741efecb,0x204fffff,0x06fffffb,0xdffffff1,0xffffb999,
    0x3ff201ff,0xcdefffff,0xffffffed,0x7fffc42f,0xfeddefff,0x00ffffff,
    0xdffffffb,0xfffffdbb,0x4dffffff,0xfffffff8,0xffffeede,0x7fec2fff,
    0xfeddffff,0xffffffff,0x55441eff,0xbffffbaa,0xfb80aaaa,0xfffb81ff,
    0x7ffffec1,0xffffeddf,0xefffffff,0x3fffff61,0xffffeddf,0xefffffff,
    0xfffff301,0xfffffdbd,0x83ffffff,0xfffffff8,0xffffedde,0xff100fff,
    0xbbdfffff,0xfffffffd,0x3fffe201,0xfeddefff,0x00ffffff,0x7fff4400,
    0xefffffff,0x7ffffc40,0xffeddeff,0x500fffff,0xddffffff,0xffffdd9b,
    0xffa89fff,0xcdeeffff,0xffffffee,0x3ffff64f,0xfffeddff,0xffffffff,
    0x7fffd41e,0xeecdeeff,0x4fffffff,0x7fffffc4,0xfffeddef,0x2a00ffff,
    0xffffffff,0x3fffffff,0x7ffffec0,0xffffffff,0x980effff,0xffffffff,
    0xffffffff,0x3fffa201,0xffffffff,0xffffffff,0x3fffa2ff,0xffffffff,
    0x885fffff,0xffffffff,0xffffffff,0x364fffff,0xffffffff,0xffffffff,
    0x407ffd45,0x7c40fffa,0xffffffff,0xffffffff,0x3e24ffff,0xffffffff,
    0xffffffff,0x3a04ffff,0xffffffff,0xffffffff,0xfff985ff,0xffffffff,
    0x401fffff,0xfffffff9,0xffffffff,0x7ffcc01f,0xffffffff,0x001fffff,
    0xfffffc80,0x3fffffff,0xffffff98,0xffffffff,0x7fe401ff,0xffffffff,
    0xffffffff,0xfffffc84,0xffffffff,0x224fffff,0xffffffff,0xffffffff,
    0xc84fffff,0xffffffff,0xffffffff,0xfff984ff,0xffffffff,0x801fffff,
    0xffffffe9,0x02efffff,0xfffffd88,0xffffffff,0x36200eff,0xffffffff,
    0x800dffff,0xffffffc8,0xffffffff,0x21ffffff,0xffffffd8,0xffffffff,
    0xffff300c,0xffffffff,0xffffffff,0x3ffffe67,0xffffffff,0x261fffff,
    0xfff107ff,0x3ffffe60,0xffffffff,0x3fffffff,0x7fffffcc,0xffffffff,
    0x03ffffff,0x3fffffa2,0xffffffff,0xb104ffff,0xffffffff,0x001bffff,
    0x3fffff62,0xdfffffff,0xfffb1000,0xffffffff,0x200001bf,0xfffffffb,
    0x102fffff,0xfffffffb,0x01bfffff,0x3ffffaa0,0xffffffff,0xd501efff,
    0xffffffff,0xdfffffff,0xfffff983,0xffffffff,0x3fffffff,0xfffffd50,
    0xffffffff,0x36203dff,0xffffffff,0x000dffff,0x7fffffdc,0x98004fff,
    0xfffffffd,0x001cffff,0x3ffffb2a,0x8002ceff,0xffffffe9,0xfffbaeff,
    0xf9303dff,0xffffffff,0xfb1001bf,0xdfffffff,0xdfffff37,0x3fffe219,
    0xffffffff,0x40ffffff,0x1bfe06ff,0xfffffd88,0xff9befff,0x880cefff,
    0xfffffffd,0xffff9bef,0x6c400cef,0xefffffff,0xceffff9b,0x7ff65400,
    0x02ceffff,0xfffd9500,0x0059dfff,0x3fffb2a0,0x002cefff,0x7ff64400,
    0x4effffff,0xfffeca80,0x002cefff,0xffffff90,0x59dfffff,0x3ffff200,
    0xefffffff,0x3ff6202c,0xbeffffff,0xcefffff9,0x7fffe400,0xefffffff,
    0xfd95002c,0x59dfffff,0xdca98000,0x400009ac,0xbcccca98,0x4400009a,
    0x0000acca,0x57995310,0x26200003,0x01abccba,0x79995100,0x36a00035,
    0xffffffff,0x3dffffff,0x3f604fe8,0xccca8805,0x100001ab,0x03579995,
    0x97510000,0x00000157,0x00159951,0xacca8800,0x54400000,0x00000acc,
    0x20000000,0x000acca8,0x332ea600,0x400019ab,0x9abccba9,0xcca88001,
    0x00001abc,0xabccba98,0xa8800019,0x00000acc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x32600c98,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x02000800,0x00000000,0x20000000,0x510001a9,
    0x00035555,0x54c00000,0x02a82aaa,0x003d9800,0x81999998,0x001bdca8,
    0x00008002,0x2aaaa600,0x02a80002,0x36a00000,0x55555401,0xaaaaaaaa,
    0x102aaaaa,0x65cc1333,0x00000abd,0x002a2000,0x10000008,0xd9800000,
    0x000c0003,0x02da8001,0xc8800000,0x06fdc004,0x8007fb10,0xdf901efc,
    0x6dcc0003,0x0001cdef,0x3fffffa6,0xfffd002e,0x00007fff,0xfff70000,
    0xffe8dfff,0x3fea0006,0xfffb1007,0x3221ffff,0x0dffffff,0x1006fdc0,
    0x800007fb,0x6ffffffb,0x3ffe2000,0xc8000006,0x7fec05ff,0xffffffff,
    0x7fffffff,0x67ffff64,0xffffffe9,0x0000004f,0x802fffa8,0x80000efb,
    0x00ceffeb,0x3ffd4000,0x009f9000,0x7f4007fb,0x0000004f,0x8007ffe6,
    0xfb83fffd,0x3ea005ff,0xfff985ff,0xfffc8005,0x0dffffff,0x7fffe400,
    0x00dfffff,0x3fffffe6,0x0000003f,0xfffffe80,0x3fffe66f,0xfffc8001,
    0xffff7004,0xff71ffff,0xdfffffff,0x83fffd80,0x0005fffb,0x7fffff40,
    0x3ee0006f,0x00003fff,0x03fffb10,0xffffffd8,0xffffffff,0x3fe67fff,
    0xffffffff,0xefffffff,0x033aa001,0x17fff600,0x3ffffe98,0xfffb1000,
    0x0003ffff,0x00ffff20,0x201ffd80,0x26005ff9,0x0000efff,0x2fffdc00,
    0x3fffe200,0xefffe88d,0x3ffee000,0x06fffa86,0x7ffffec0,0x2fffffff,
    0xfffff700,0x09ffffff,0x7fffffc4,0x0000003f,0xfffffd80,0x07fffc6f,
    0x9fffb100,0x7fffdc00,0xfffdffff,0xffffffff,0x3fffa203,0xffffd88d,
    0x7ec00000,0x006fffff,0x13ffff20,0x3fa60000,0xffd802ff,0xffffffff,
    0x7fffffff,0x3fffffe6,0xffffffff,0x2006ffff,0xc8003fff,0xff704fff,
    0x03dfffff,0xdefffd80,0x0000ffff,0x00ffff62,0x03dff700,0x8007fff3,
    0x001efffa,0xbfff9000,0x3ff62000,0x04ffffff,0x205ffd00,0xd1002ffe,
    0xffffffff,0x01ffffff,0xffffff98,0x2fffffff,0x3ffff6a0,0x0000003f,
    0xfffec880,0x03fdc46f,0x05fffd10,0xffffd880,0xffffffff,0x3ffffddf,
    0xfffffc80,0x0000dfff,0xfffec880,0x3e60006f,0x00000fff,0x00f7ffd4,
    0xffffffd8,0xffffffff,0x7fe47fff,0xffffffff,0xffffffdd,0x5fff9803,
    0x85fb5000,0xc9efffe8,0x5003ffff,0x7e443dff,0xfd10005f,0x100005ff,
    0xd99dfffd,0x2000dfff,0x002fffe9,0x3fffa200,0xffa80003,0x0001efff,
    0x002a0054,0xdfffffd8,0xffffcaab,0x7ffdc06f,0xfff931cf,0x3ffa00df,
    0x0000003f,0x37ffd400,0xfb001fd4,0x980003df,0xfffffffa,0x3bf261df,
    0xfffd5000,0x000005ff,0x01bffea0,0x0039b300,0xdfff8800,0x3ffee000,
    0xdfffb002,0x3fffff60,0xfffe981e,0x6fffa806,0x81dd1000,0x74c4fffd,
    0xfc801fff,0x00fff02f,0x007bff60,0xfffe8800,0x00efffff,0x3fff6200,
    0xff900000,0x4400005f,0x00004ffd,0xff100000,0x36203dff,0x3602ffff,
    0xff906fff,0xffd001ff,0x0000007f,0x6fffa800,0x3a0037c4,0x300000df,
    0x7fffffff,0x64400040,0x00000dff,0x1bffea00,0x00000000,0x8004ff88,
    0xf1007ff9,0x3f607fff,0x7dc05fff,0xffa807ff,0x3fb0006f,0x6403dff0,
    0x7fe802ff,0x0007ff20,0x000037fa,0x7ffffdc0,0x3200003f,0xb00000ff,
    0x000001df,0x0000006a,0xfffb8000,0x7ff4401f,0x3fffa04f,0x3ffff103,
    0x07fffd00,0x80000000,0x7f46fffa,0x00018000,0x7ffffcc0,0x2000001e,
    0x0000002a,0x006fffa8,0x40000000,0x00c00008,0x01ffff50,0x2017fff6,
    0x400ffff9,0x8006fffa,0x005104fa,0x3ff400a2,0x0003ff90,0x40000006,
    0x00000998,0x80000110,0x00000001,0x4cccc400,0x4ccccc00,0x09fffb01,
    0x81bffee0,0xf503fffe,0xfd003fff,0x65d447ff,0x400009bc,0x0abdcb98,
    0xd89bffea,0x00000001,0x1bffff30,0x00000000,0xdcb98800,0x3ffea0ab,
    0xb9530006,0x00000159,0xd8000000,0x3f606fff,0xff8804ff,0x3ee600ff,
    0x99999fff,0x004b8199,0xffc80000,0x000fff02,0x00000000,0x00000000,
    0x22000000,0x32e60999,0xd7000abd,0x209fffff,0xfffffffd,0x00eff980,
    0x40ffff70,0xe883fffe,0xe800ffff,0xffc8bfff,0x0dffffff,0x7ffec400,
    0xa9dfffff,0x30006fff,0x51033333,0x260037b9,0x0000ffff,0x03333330,
    0x0037b951,0x3fffff62,0xffa9dfff,0x7fdc006f,0xdfffffff,0x13331000,
    0x055ee5cc,0x7fc40000,0x3ff603ff,0xfff8804f,0x7ffecc0f,0xffffffff,
    0x00dfffff,0x99999980,0x7fd40019,0x17ff221e,0x4ccccc00,0x4c000199,
    0x01999999,0x4ccccc00,0x4c400199,0x99999999,0x19999999,0x67ffff64,
    0xffffffe9,0x7ffc404f,0xfa84ffff,0x0fffffff,0x74001510,0x3fa05fff,
    0xffd713ff,0x3a00bfff,0xffffefff,0xffffffff,0xffff5002,0xffffffff,
    0x400dfffd,0xffffffd8,0xffff910f,0xf9801bff,0x20000fff,0xffffffd8,
    0xffff910f,0x7d401bff,0xffffffff,0x6fffefff,0xffffd500,0xffffffff,
    0x7fff6407,0xffffe9cf,0x00004fff,0x007fffd4,0x1009fffb,0xfc81ffff,
    0xffffffff,0xffffffff,0x3ff6004f,0x0fffffff,0x77ffec00,0x880ffffd,
    0xfffffb01,0x0001ffff,0xfffffffb,0xfb0001ff,0xffffffff,0x7fff4001,
    0xffffffff,0x30ffffff,0xffffffff,0xffffffff,0x3fe203df,0xa84fffff,
    0xffffffff,0xff500000,0x7ff407ff,0xffffff3f,0x3fa001ff,0xffffffff,
    0xffffffff,0x7fffe405,0xffffffff,0x006fffff,0x3fffffee,0xffffb8ff,
    0x406fffff,0x000ffff9,0x3ffffee0,0xfffb8fff,0x06ffffff,0xfffffff9,
    0xffffffff,0xff700dff,0xffffffff,0x30dfffff,0xffffffff,0xffffffff,
    0x200003df,0x6c06fffd,0xf8804fff,0x7fe40fff,0xffffffff,0xffffffff,
    0xffff5004,0x01ffffff,0xffffd880,0x36e21eff,0x7ffd43ff,0x0fffffff,
    0x7fffd400,0x00ffffff,0x7ffffd40,0x000fffff,0x3ffffffa,0xffffffff,
    0xfff30fff,0xffffffff,0xdfffffff,0x7ffff5c0,0xffffb04f,0x00001fff,
    0x05ffffd1,0x7cdffff4,0x3fffffff,0xfffffd00,0xfdb9dfff,0x207fffff,
    0xeffffffa,0xfffffecd,0x2e006fff,0xffffffff,0xfffffffd,0x2603ffff,
    0x0000ffff,0x3fffffee,0xfffffdff,0x43ffffff,0xeffffffa,0xfffffecd,
    0x7cc06fff,0xceffffff,0xfffffffd,0x7ffffcc3,0xffffffff,0x006fffff,
    0x3ffff880,0x027ffec0,0x207fffc4,0xffffffd9,0xffffffff,0xf5000dff,
    0xffffffff,0x36a0001f,0xeb88ceff,0x543fffff,0xffffffff,0x7d4000ff,
    0xffffffff,0x7fd4000f,0xffffffff,0x3fffa000,0xffffffff,0x20ffffff,
    0xfffffffc,0xfffddfff,0x6c403fff,0x54404fff,0x0000ffff,0x2fffff44,
    0x7cffffa0,0xffffffff,0xffffe805,0xfd880dff,0x7c40ffff,0x900dffff,
    0x0dffffff,0x7fffec40,0xffffffff,0x3ffffddf,0x03fffe60,0xfffd8800,
    0xffffffff,0xffffddff,0x3ffffe23,0xffff900d,0x7fc40dff,0x980aefff,
    0x40fffffc,0xfffffffc,0xfffddfff,0x40003fff,0x400ffffa,0x8804fffd,
    0x2600ffff,0x999ffffb,0x00019999,0xfffffff9,0x200001ff,0xfffffeb8,
    0xfff902df,0x01ffffff,0xfffff900,0x0001ffff,0xfffffff9,0x7f4001ff,
    0xffffffff,0x6fffffff,0xdfffffb0,0xdfffd303,0x09fffb00,0x01ffff10,
    0x7fff4c00,0x7ff400ff,0xfffb713f,0xe80bffff,0x803fffff,0x6c5ffffb,
    0xa803ffff,0x006fffff,0xfffff530,0x64c3bfff,0x3fe600ef,0x300000ff,
    0xfffffff5,0x77e4c3bf,0x0fffff60,0x3ffffea0,0x3ffff606,0xfffc800e,
    0xffffb05f,0xffd303df,0xfd8000df,0xffd806ff,0xfff8804f,0x7ffd400f,
    0x44000006,0x0ffffa99,0x3fae6000,0x0adfffff,0xff533100,0x440001ff,
    0x0ffffa99,0x2a662000,0x2000ffff,0x999cfffe,0xfffffb99,0xffffb00e,
    0x7fffb80b,0x04fffd80,0x00ffff88,0xfffff300,0xfffd003f,0x3fff6607,
    0x3ffa03ff,0x3f6004ff,0x3ffe0fff,0x3ff2005f,0x260006ff,0x3fffffff,
    0x5d544020,0xaaabffff,0xf98001aa,0x03ffffff,0x17fffe02,0x6ffffc80,
    0x03bfffe0,0x1ffffc80,0x05ffffd8,0x003fffdc,0x07ffff10,0x1dfffe98,
    0x17fffd40,0x01bffea0,0xff980000,0x5cc000ff,0xdffffffe,0xff980002,
    0x300000ff,0x0001ffff,0x03fffe60,0x81fffc80,0x0efffff9,0x017fff60,
    0x003fffe6,0x1009fffb,0x0001ffff,0x3ffffff5,0x0ffffa00,0x0dffff50,
    0x007ffff4,0x25ffff10,0x000ffff9,0x0037fff4,0xdfffff30,0xffe88003,
    0xffffffff,0x03ffffff,0x3ffffe60,0x7fcc001e,0x7f4000ff,0xfff106ff,
    0xdddddddf,0xffdddddd,0xfffb05ff,0xffff300b,0x3fea0001,0xfff300ff,
    0x81ffffff,0xfffffff9,0xdfff501f,0x4c000000,0x3000ffff,0x9ffffffd,
    0x00379535,0x07fffcc0,0xfff98000,0xf300000f,0x4c001fff,0xfff986ff,
    0x7ec00eff,0xff8804ff,0x7fec00ff,0xfff8804f,0x7fdc000f,0x2001ffff,
    0xc803fffe,0xfd00ffff,0xfd000bff,0x3ffea7ff,0xfffd8006,0x3fe60006,
    0xc8000dff,0xffffffff,0xffffffff,0x3fe6007f,0xa8000dff,0xd8006fff,
    0xff506fff,0xffffffff,0xffffffff,0xffb09fff,0xfff1009f,0x3f60001f,
    0x3ff606ff,0x4fffffff,0x7fffffec,0xfff505ff,0x4000000d,0x000ffff9,
    0x439ffff9,0x0efffffc,0xffff9800,0xff300000,0x200001ff,0x000ffff9,
    0x7ffcc144,0xfd800eff,0xff8804ff,0x7fec00ff,0xfff8804f,0x3ff2000f,
    0x4000efff,0xd003fffe,0x3fa05fff,0xfc8004ff,0xbfff95ff,0xdfff7000,
    0x7ffcc000,0xff70000f,0xffffffff,0xdfffffff,0x7fffcc00,0xfff90000,
    0xfff7000b,0x3fffee0d,0xffffffff,0xffffffff,0x4fffd85f,0x0ffff880,
    0xffff8800,0x3ffff203,0x643fffff,0xffffffff,0x0dfff503,0x7cc00000,
    0xb1000fff,0xffffd039,0x8003ffff,0x000ffff9,0x1ffff300,0x3fe60000,
    0x980000ff,0x00efffff,0x009fffb0,0x801ffff1,0x8804fffd,0xb000ffff,
    0x01dfffff,0x07fffd00,0x413fff20,0x8004fffe,0xff94fffc,0xff7000bf,
    0x7cc000df,0x20000fff,0xffffffeb,0xffffffff,0x3fe6001d,0xf90000ff,
    0xf7000bff,0x3fea0dff,0xffffffff,0xffffffff,0xffd86fff,0xfff8804f,
    0xffb8000f,0x3b2201ff,0x0cefffff,0x7ffff644,0xfff500ce,0x4000000d,
    0x000ffff9,0x9cfffb80,0x4006ffeb,0x000ffff9,0x1ffff300,0x3fe60000,
    0x4c0000ff,0x00efffff,0x013fff60,0x003fffe2,0x1009fffb,0x8801ffff,
    0x05fffffe,0x0ffffa00,0x837ffdc0,0x8006fffe,0xff53fffe,0xffb000ff,
    0x7cc000df,0x00000fff,0x26000000,0x0000ffff,0x000ffff5,0x260dfffb,
    0xcccdffff,0xcccccccc,0xd83ccccc,0xf8804fff,0xd8000fff,0x00006fff,
    0xffa80000,0x0000006f,0x003fffe6,0x01fff100,0x4c005ffb,0x0000ffff,
    0x01ffff30,0x3ffe6000,0x3e60000f,0x000effff,0x4027ffec,0x400ffff8,
    0x8804fffd,0x2600ffff,0x04ffffff,0x9ffff400,0xffb82db8,0xffffd06f,
    0x7ffcc003,0x5ffff11f,0x7fffc400,0x3fe60006,0x000000ff,0x3e600000,
    0x10000fff,0x4005ffff,0x206ffff8,0x0006ffff,0x09fffb00,0x01ffff10,
    0x3ffff880,0x00000000,0x006fffa8,0x3fe60000,0x4c0000ff,0x9ff504ff,
    0x7fffcc00,0xff300000,0x200001ff,0x000ffff9,0xdfffff30,0xfffb0001,
    0xffff1009,0x6fffd801,0x7ffff540,0xfffff500,0xfd00007f,0x3ffee7ff,
    0x82ffff40,0x00effffe,0x0ffffe88,0x003ffffe,0x037ffff4,0x1ffff300,
    0x36600000,0x980001be,0x0000ffff,0x003ffffe,0x037ffff4,0x00bffffb,
    0x9fffb000,0x1ffff100,0xffffb800,0xdd300001,0x7d400037,0x73000fff,
    0x3fe60001,0x540000ff,0x17fe02ff,0x0ffff980,0xfff30000,0x2600001f,
    0x8000ffff,0x0efffffa,0x3f603950,0xff8804ff,0x7fdc00ff,0xffea81ff,
    0xfc82ffff,0x002fffff,0x7fff5440,0x549fffd4,0x5444ffff,0x2ffffffe,
    0x3ffffee0,0x7ffffd43,0x3fffaa03,0x8000afff,0x000ffff9,0xffff9000,
    0xff980003,0x2a0000ff,0x203fffff,0xffffffea,0xffff880a,0x65cc01df,
    0xffd81efe,0xfff8804f,0x7fec000f,0x3600006f,0x0001ffff,0x407ffff3,
    0x00ffffc9,0x0ffff980,0x27fcc000,0x2004ff98,0x000ffff9,0x1ffff300,
    0x3fe60000,0x7d4000ff,0x2a05ffff,0x7f4c0fff,0x7d401dff,0x7cc02fff,
    0xfedeffff,0xffffffff,0xffff91ff,0x555559ff,0x83bb7555,0xfffffffd,
    0xedffffde,0x361fffff,0xffffffff,0xfeddefff,0xb05fffff,0xbdffffff,
    0xffffffdb,0x00dfffff,0xffff7551,0x03555557,0xfffd9800,0xbaa88005,
    0xaaabffff,0xffb001aa,0xdbbdffff,0xffffffff,0xff50dfff,0x9bddffff,
    0xffffffdd,0xfffe989f,0x7ffd401d,0x3fe2002f,0x200003ff,0x004fffd9,
    0x3bffffe0,0xffffedcd,0x54c03fff,0xffffbaaa,0x001aaaab,0x3603ffe2,
    0x555302ff,0x57ffff75,0xa9803555,0xffffbaaa,0x401aaaab,0xffbaaaa9,
    0x1aaaabff,0xffffff50,0xb5555557,0x3fe65fff,0x0fffffff,0x7fffffcc,
    0x3ffa01ff,0xffffffff,0xffffffff,0xffffff95,0xffffffff,0x7d49ffff,
    0xffffffff,0xfffffffe,0x3fe64fff,0xffffffff,0xffffffff,0xd100ffff,
    0xffffffff,0xffffffff,0x205fffff,0xffffffe8,0xffffffff,0x7d4003ff,
    0x006ffbbd,0x3fffffa2,0xffffffff,0x74403fff,0xffffffff,0xffffffff,
    0xc82fffff,0xffffffff,0xffffffff,0xffff34ff,0x981fffff,0xffffffff,
    0xffffa801,0xdfb80000,0x0006ffbb,0x3fffffee,0xffffffff,0xfff900ff,
    0xffffffff,0x7fffffff,0x2ffff200,0xc86ffea8,0xffffffff,0xffffffff,
    0x7ffe43ff,0xffffffff,0x3fffffff,0x7fffffe4,0xffffffff,0x3e23ffff,
    0xffffffff,0xffffffff,0xfffffb4f,0xfd89ffff,0x5fffffff,0x3ffffa20,
    0xffffffff,0xf94fffff,0xffffffff,0xffffffff,0x7fffccff,0xfe8fffff,
    0xefffffff,0x3ffffe20,0xffffffff,0xdfffffff,0x7ffe4400,0xffffffff,
    0xffffffff,0xffff901f,0xffffffff,0x00ffffff,0xffffffd8,0x3fff2003,
    0xffffffff,0x07ffffff,0xfffffc88,0xffffffff,0x1fffffff,0xfffffd50,
    0xffffffff,0x3ff63dff,0x4fffffff,0x7fffffec,0xff9805ff,0xfd00004f,
    0x005fffff,0xfffffd80,0xffffffff,0xffff101e,0xffffffff,0xffffffff,
    0x3fffa001,0x441fffff,0xffffffff,0xffffffff,0xff10ffff,0xffffffff,
    0xffffffff,0x3ffe21ff,0xffffffff,0xffffffff,0xfffff30f,0xffffffff,
    0x329fffff,0xffffffff,0x7fffe43f,0x4403ffff,0xfffffffd,0xeffff9be,
    0xfffff90c,0xffffffff,0xb8ffffff,0x2dfffffd,0xffffffd3,0x3fff6e09,
    0xfffdabff,0x01efffff,0x7ffff4c0,0xfbaeffff,0x203dffff,0xfffffffb,
    0xffffffff,0x74c006ff,0x4005ffff,0xfffffffb,0xffffffff,0x3a6006ff,
    0xffffffff,0xfffffbae,0xfffc803d,0xffffffff,0x7ffe42ce,0x43ffffff,
    0xfffffffc,0x1bf7003f,0x3fea0000,0x00004fff,0xfffffff5,0xf0039fff,
    0xffffffff,0xffffffff,0xfc800dff,0xf01effff,0xffffffff,0xffffffff,
    0xffff8dff,0xffffffff,0x6fffffff,0x7ffffffc,0xffffffff,0x3e66ffff,
    0xffffffff,0xffffffff,0xfffd914f,0xc8819dff,0x0ceffffe,0x57975100,
    0xfffc8001,0xffffffff,0x7fffffff,0x665d4000,0xa880000a,0x0009bccb,
    0x5e654c40,0xd700001a,0xffffffff,0x3bffffff,0x02aa2000,0x7fff5c00,
    0xffffffff,0x8001dfff,0x1abcca98,0xba980000,0x4019abcc,0xfffffec8,
    0x7f6440ce,0x000cefff,0xa8800000,0xa800000a,0x009accca,0x7fffed40,
    0xffffffff,0x001dffff,0x401bca88,0xffffffda,0xffffffff,0x7ed41dff,
    0xffffffff,0xdfffffff,0x7fffed41,0xffffffff,0x261dffff,0xffffffff,
    0xffffffff,0x000004ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00088000,0x00800200,0x00000000,0x00000000,0x4c000000,0x000001bb,
    0x00002000,0x95300000,0x004379bb,0x00072e60,0x00000600,0x000dc400,
    0x0004c000,0x00013100,0x9aa98800,0x95300009,0x0003599b,0x00039730,
    0x55555440,0x10000aaa,0x55555555,0x40000000,0xd880dfd8,0x500000df,
    0xb00005ff,0x7f4c019f,0x05ff1002,0xb9806fb8,0x000002ed,0x00bb2a20,
    0xffc80000,0x400003ff,0x0fec0008,0x37bffb22,0xd5000001,0xffffffff,
    0x9003dfbd,0x881bffff,0x3fe6003d,0x40000006,0x1004fffa,0xa8599997,
    0x1dffffec,0xfd7114c0,0x037bdfff,0x3ffae000,0x2dffffff,0x7fffe440,
    0xdbefffff,0x3ff2004f,0x1ec40dff,0xfffffd80,0x4000ffff,0xffffffe8,
    0x98000fff,0x003effdc,0x2e0ffff2,0x40003fff,0x0cffffd8,0x3fffa000,
    0x03fffc82,0x81bfff50,0xa80fffe9,0x02fffffd,0x75c40000,0x0002ffff,
    0x3fffe000,0x64c0006f,0x1bdffffd,0xfa8ffe20,0x4fffffff,0x3fa20000,
    0xffffffff,0x404fffff,0xfffffffc,0x00fffa8c,0x003fff70,0x7ff40000,
    0x7fc400ff,0xfd13ffff,0xffffffff,0x37bfee09,0xffffffff,0x20003fff,
    0xffffffe9,0x02ffffff,0xfffffff5,0xffffffff,0xfff9001f,0xf519ffff,
    0xff9801ff,0xffffffff,0x7ffd4000,0x0fffffff,0x7fffd400,0xc800efff,
    0xffc84fff,0x3ea0004f,0x2fffffff,0xffff3000,0xdfffd319,0xffffc800,
    0x07ffff72,0x3ffffffa,0x54000002,0x02ffffff,0x3f600000,0x20004fff,
    0xfffffffc,0xff304fff,0x37fffe27,0x002fffdb,0xffffe880,0xffffffff,
    0x3e206fff,0xfffeabff,0x4406ffff,0x9bfffd99,0x00001999,0x03ffffd0,
    0xffffffa8,0xffffffab,0x84ffffff,0xfffffffd,0xffffffff,0x7c4000df,
    0xffffffff,0xc84fffff,0xffffffff,0xffffffff,0x7ffc402f,0xfffffeab,
    0xff8806ff,0xffffffff,0x7ffcc000,0x0fffffff,0x37ffee00,0x806fffdb,
    0xf980fff9,0xfb0001ff,0xfff75fff,0x3620009f,0xffffffff,0xfff50003,
    0x03dfffff,0x7fed66d4,0xc8000002,0x002ffdbd,0x36e20000,0xe98000bd,
    0xffffffff,0x540effff,0x20b6e2ff,0x80005ffb,0xeffffffc,0xfffffecd,
    0x20eec07f,0x0dfffffb,0x3ffffea0,0xffffffff,0xfb800006,0xff8806ff,
    0xfffeffff,0xffffffff,0x7ffc2fff,0xffffffff,0xffffffff,0x3fff6001,
    0xffffffff,0x7fd42fff,0xecdeffff,0xffffffff,0x5c1dd803,0x00dfffff,
    0xfffffb50,0x70001fff,0xfffffffb,0x7ff4001f,0x802fff83,0x00544028,
    0x0dfffc80,0x00ffff62,0xfffffb80,0x6c40001e,0x004fffff,0x0002ffd8,
    0x17fe4000,0x00000000,0x3fffe600,0xffffffff,0x3f22ffff,0x17fea007,
    0x3fff6000,0xffd500ae,0x644000df,0xffc800be,0xffffffff,0x0000ffff,
    0x000bda80,0xffffff73,0x7115bfff,0xf8dffffd,0xbcffffff,0xfffda989,
    0x3fe006ff,0x2620aeff,0x7f441cba,0x7300efff,0x007fffff,0x00bec880,
    0xffff8800,0xff100000,0x7e4001ff,0x007ff904,0x36000000,0x3fee02ff,
    0x7ec40004,0x5400003f,0xb0001eff,0x000005ff,0x002ffc80,0x00000000,
    0x67fffff4,0xfffca88a,0x4ffa9fff,0x7ffdd4c0,0xffe80003,0xfff8805f,
    0x40000004,0xffffeed9,0x03eeeeee,0x80000000,0xeffffffd,0x3ffffa00,
    0x13ffffe1,0x3ffffaa0,0xffff9803,0xfff90002,0x3fee009f,0x000002ff,
    0xfff88000,0xf100000f,0x00001fff,0x0003ffe2,0x54400000,0x00028800,
    0x000006e0,0x360001c4,0x000002ff,0x0017fe40,0x00000000,0x03dffff9,
    0x7fffff4c,0x3fa01fff,0x0005ffff,0x7dffffb0,0x006e2035,0xbcdcca98,
    0xffd0001a,0x0000007f,0x7fec0000,0x5400efff,0x3fe2ffff,0x3e2005ff,
    0x5400ffff,0x20007fff,0x4005ffff,0x3101fffe,0x99801333,0x88001999,
    0x0000ffff,0x01ffff10,0xbffd3000,0xcdca9800,0x0000000a,0x00000000,
    0x40000000,0x20002ffd,0x7fe40028,0x002a0002,0xf5000220,0x1001bfff,
    0x3ffffffb,0xfffffd80,0x540a2005,0xffffffff,0x2001bdef,0xffffffdb,
    0x001dffff,0xa89ffff4,0x000abdcb,0x26666662,0x99999999,0xfffb0199,
    0x3fa001df,0x3fff64ff,0x7ffcc001,0xff73104f,0x3e2000ff,0x54001fff,
    0xffeb86ff,0xffb04fff,0x001fffff,0x00ffff88,0xffff1000,0xffa80001,
    0xff7000ef,0xbfffffff,0x26662001,0x99998001,0x33333000,0x98800333,
    0x99999999,0x19999999,0x0017fec0,0x2006ffb8,0xa8002ffc,0x32000fff,
    0x3fe003ff,0x22000fff,0x001fffff,0x09fff951,0x905ffc88,0xffffffff,
    0x803dffff,0xfffffffd,0x2fffffff,0x33fffa00,0xfffffffc,0xffe800cf,
    0xffffffff,0x0fffffff,0x00efffd8,0xb93fff60,0xf90006ff,0xffeb8dff,
    0x0007ffff,0x000ffff5,0x3ffe2062,0xfa84ffff,0x0fffffff,0x7fffc400,
    0x20001730,0x000ffff8,0x037fff20,0x3ffffaa0,0xffffffff,0x3fffaa03,
    0x2200dfff,0xeffffffd,0xfffffb01,0x4001ffff,0xfffffffe,0xffffffff,
    0x3ff600ff,0x7ff4c002,0xff9000ff,0x7fec4005,0xff1002ff,0x3fe600df,
    0xfb8003ff,0xb8001fff,0xff500fff,0x7f540fff,0xffffffff,0x3fa03fff,
    0xffffffff,0x01ffffff,0xffffffd0,0xffffffff,0xfffe801f,0xffffffff,
    0x80ffffff,0x4003fffd,0x0c44fffc,0xffff5000,0x7fffffc4,0xf70007ff,
    0x80000dff,0xfffffff8,0xfffffa84,0x44000fff,0xffdaffff,0xff88001f,
    0x200880ff,0x003fffe8,0xfffffff7,0xffffffff,0x3ffffa0d,0x3203ffff,
    0xffffffff,0xfffffa86,0x000fffff,0x3ffffffa,0xffffffff,0x3f600fff,
    0x3ff2002f,0x32004fff,0xff5002ff,0x2001bfff,0x800ffff8,0x0006fffa,
    0x000ffffa,0x3620fff4,0x802fffff,0xffffedba,0x905fffff,0x9dffffff,
    0xbfffffb9,0x3ffffa00,0xffffffff,0x7f405fff,0xffffffff,0xffffffff,
    0x03fffd80,0x02fffe40,0x7fffc000,0xffffff11,0x2e000fff,0x00006fff,
    0xfffffeb8,0xfffffb04,0xf88001ff,0xffffffff,0xfff88004,0x13ff620f,
    0x007fffee,0x7fffffcc,0xffffdcef,0xffe83fff,0x03ffffff,0x3fffffee,
    0xfffa86ff,0x0fffffff,0x3ffffa00,0xffffffff,0x200fffff,0xea802ffd,
    0x002effff,0x22017fe4,0x03fffffd,0x3ffff660,0x4fffc800,0x3fff2000,
    0xf300a884,0x7ffd41ff,0x80201eff,0xfffeca98,0x359500ff,0x3ffff401,
    0xfffffe80,0xffecdfff,0x3fa03fff,0xffffffff,0x6fffffff,0x007fffb0,
    0xf95fffc8,0xffffffff,0xffffffff,0x5c5fffff,0x7ffffffe,0xffff3000,
    0x6c400000,0x54404fff,0x4000ffff,0xfffffff8,0xf88002ff,0x3fee0fff,
    0xfffb11ff,0xf880881b,0x80aeffff,0x0fffffc9,0x7fffff54,0x7ff400df,
    0x901effff,0xffffffff,0x7ff4001f,0xffffffff,0x46ffffff,0xffffffea,
    0x3f621dff,0x5004ffff,0xfffffffb,0xffffb87d,0xfb3000ef,0x001fffff,
    0x0007fffd,0x7437ffdc,0xfedcefff,0xfffb15ff,0x7f4407ff,0x3ffe6006,
    0xf980003f,0xfe800fff,0x981effff,0x3a05ffff,0x9999cfff,0xefffffb9,
    0x07fffb00,0x95fffc80,0xffffffff,0xffffffff,0x07ffffff,0x0ffff731,
    0x17fffc00,0xffb00000,0xfff1009f,0xffb8001f,0x03ffffff,0x1ffff100,
    0xc9ffffec,0xffffffff,0x7fec1fff,0xfc800eff,0xff905fff,0xffff88df,
    0x02ffff40,0xfffa9988,0x3ffa000f,0xb99999cf,0x40efffff,0xfffffffe,
    0xfff53fff,0x77513dff,0xffffd015,0x26ffffff,0x8bfffffe,0xff700999,
    0x01ffffff,0x005ffff0,0x43fffd40,0xfffffffb,0xfffb8dff,0x19988eff,
    0x001fffdc,0x100dfffb,0x35579753,0xd003ffff,0xd80bffff,0x3f206fff,
    0xfff981ff,0x3f600eff,0x7e4003ff,0xffff95ff,0xffffffff,0xffffffff,
    0x7fd407ff,0x3fa0007f,0x44001fff,0x3ff604fd,0xfff8804f,0xffd3000f,
    0x01bfffff,0x7fffc400,0x43fffea0,0xfffffffc,0x7fc4ffff,0x32000eff,
    0xfa81ffff,0x7ffdc7ff,0x17fffc3f,0x7fffcc00,0x3fff2000,0xfffff981,
    0xcccb880e,0xd9accccc,0xd8bfffff,0x43ffffff,0xccccccb8,0xffffb9bc,
    0x5fffd0df,0xffffff90,0xff1005bf,0x4c0003ff,0xb980ffff,0x98cceeed,
    0x13fffffe,0x7ec1ffff,0x2201efff,0x204ffffb,0xffffffd9,0x1fffffff,
    0x05fffe80,0x207fffa8,0xff986ff9,0x6c00efff,0x64003fff,0xfff95fff,
    0xffffffff,0xffffffff,0x7d407fff,0x2e0007ff,0x00cfffff,0x17fffe44,
    0x804fffd8,0x800ffff8,0xfffffffc,0xf880001e,0x77e40fff,0x333332a2,
    0x22cccccc,0xeeeffff8,0xeeeeeeee,0x82ffffee,0x3a1ffff8,0x3e66ffff,
    0x98000fff,0x2000ffff,0xff986ff9,0x0000efff,0x77ffffdc,0xfffffe99,
    0x4c003fff,0x22fffffe,0x542ffffc,0x0cffffff,0x17fff400,0xdfff5000,
    0x3ffee000,0x3ffa0dff,0x3fffa0ff,0xecdeffff,0x2ffffffe,0xfffffd88,
    0xffffffff,0xffe801ff,0xfff9803f,0x260a200f,0x00efffff,0x003fffd8,
    0xfcafffe4,0xaaaaaeff,0xaaaaaaaa,0x202ffffa,0x0007fffa,0x7fffffe4,
    0xffedcdef,0xb02fffff,0xf1009fff,0x74401fff,0xffffffff,0xff100000,
    0x000001ff,0xffffff50,0xffffffff,0x9fffffff,0x4cffffa0,0x71ffffff,
    0x2000ffff,0x000ffff9,0x7ffcc144,0x20000eff,0x3fffffe8,0x5c477ff6,
    0xc8800fff,0x20dfffff,0x42fffff9,0x00dfffff,0x09fffb00,0x2fffe400,
    0x3fffa600,0x7ffdc2ff,0x3fff60ff,0xffffffff,0x84ffffff,0xffffffe8,
    0xffffffff,0xffe801ff,0xfff9803f,0x7fcc000f,0xb000efff,0xc8007fff,
    0xfff55fff,0x3fe2000f,0x3fea01ff,0xfd80007f,0xffffffff,0xffffffff,
    0x9fffb00e,0x1ffff100,0x7ffffdc0,0x0000ffff,0x01ffff10,0x5c00a600,
    0xffffffff,0xffffffff,0x905fffff,0x3ff2bfff,0xffb4ffff,0x3e6000bf,
    0x80000fff,0x0efffff9,0x3ffee000,0x37fc0dff,0x5402ffd8,0x82effffe,
    0x22fffffe,0x005ffff9,0x02fffdc0,0x09fffb00,0x7ffffe40,0x7fffcc0d,
    0x3ffee0ff,0xffffffff,0xd04fffff,0xdfffffff,0xffffffdd,0xfffd003f,
    0xffff3007,0x7ffcc001,0x36000eff,0x64003fff,0xfff34fff,0xff50001f,
    0xfffa80ff,0xfd880007,0xffffffff,0x0effffff,0x013fff60,0x803fffe2,
    0xffdffff9,0x100000ff,0x0001ffff,0xf5005ff1,0xffffffff,0xffffffff,
    0x2a0dffff,0xfff8ffff,0xff8fffff,0xf30003ff,0x80001fff,0x0efffff9,
    0x3fff6000,0x015302ff,0xfb807ffa,0xf904ffff,0x545ffbdf,0x2001ffff,
    0x1ffffa81,0xffff9800,0xffffd002,0x33ffa05d,0x3f220fff,0xffffffcc,
    0x700cffff,0x019fffff,0x07fffe62,0x00ffffa0,0x003fffe6,0x77ffffcc,
    0x7ffec000,0x7ffec003,0x013fffe4,0x01bfffa0,0x000ffff5,0x7fffecc0,
    0xcfffffff,0x4fffd801,0x0ffff880,0x7c4e75c0,0x00000fff,0x001ffff1,
    0x3007ff50,0x999bffff,0x99999999,0x20799999,0xffcffff8,0xfcffffff,
    0x30001fff,0x0001ffff,0x77ffffcc,0x3fe20000,0x90000dff,0xffe80fff,
    0xfff301ef,0x7d45ffb3,0xe9800fff,0x7fffc46f,0xfffe8006,0xfff9800f,
    0x5bff204f,0xa9800fff,0x009adffd,0x00ffffec,0x00ffffc4,0x401ffff4,
    0x800ffff9,0x0efffff9,0x3fffd800,0x1fffec00,0x005ffffb,0x027fffdc,
    0x001fffea,0x3fee6200,0x0009abce,0x2013fff6,0x000ffff8,0x007fffc4,
    0xffff8800,0x5ffa8000,0x0dffff00,0xffe80000,0xfdefffff,0x07ffffff,
    0x3fffe600,0xfff30000,0x00001dff,0x20005dfb,0x401fffd8,0x3a203ffb,
    0x45ffb3ff,0x803ffff8,0x7e41fffc,0x2e003fff,0x2003ffff,0x3e601efe,
    0x01fff1ff,0x002ffcc0,0x3007ffff,0x003ffffb,0x3007fffd,0xa801ffff,
    0x00efffff,0x3ff60395,0x7ffc003f,0x3fffe22f,0xfffb802f,0x7fd400ef,
    0x2000007f,0x40005ff8,0x5406fffd,0x000ffffe,0x007fffc4,0xffff8800,
    0xfffa8000,0x7ffec00e,0x2000005f,0xfffffffc,0xffffffab,0x3e60005f,
    0xa8000fff,0x00efffff,0x00400395,0x3fffd300,0x3f200200,0xf0bff66f,
    0x4401ffff,0xfe83fffe,0xfc804fff,0x08006fff,0x3e4ffe80,0x3e6000ff,
    0xff801eff,0xda880eff,0x0bffffff,0x01ffff40,0x007fffcc,0x0bfffff5,
    0x2207ffd4,0x000cfffe,0xb83ffff5,0x80dfffff,0x1fffffd9,0x07fffa80,
    0x3fe20000,0xf70001ef,0xfd503fff,0x005fffff,0x00ffff88,0xffff1000,
    0xfff50001,0xfff8809f,0x5cc01dff,0x2a01efec,0x0fffffff,0x7fffffff,
    0x7ffcc000,0x7fd4000f,0x3ea05fff,0x000000ff,0x0077ffdc,0xbfff5000,
    0x419ffd99,0xacfffffb,0xfffffdb9,0xffff983f,0xffd981df,0x00001fff,
    0xcccfffc8,0x3000bfff,0xb00bffff,0xbbffffff,0xfffffffd,0x303dffff,
    0x013bfffd,0x2bfffee2,0xfffffa81,0xaaaaaabf,0x3fa2fffd,0x84ffffff,
    0xffffdcc9,0xfffffb05,0xffffdbff,0x54c09fff,0xaaffffca,0x100000aa,
    0x000bffff,0x3bffffe6,0xffffffed,0x981fffff,0xfffbaaaa,0x02aaaabf,
    0x7dd5554c,0xaaaabfff,0xf579dd01,0xfff500df,0xd9bddfff,0xfffffffd,
    0x7fffc409,0x3fff25ff,0x53001fff,0xffff7555,0x20355557,0xbffffffa,
    0xfdaaaaaa,0x000002ff,0x009fffb1,0xffff9000,0x8bffffff,0xfffffffe,
    0xffffffff,0xfffff703,0xffffddff,0x00009fff,0x3fffffa0,0x404fffff,
    0x7ffabced,0xfffff880,0xffffffff,0xffffffff,0x3ffffea4,0x7ec0ffff,
    0x4fffffff,0x3fffffe2,0xffffffff,0xff54ffff,0x1fffffff,0xfffffff8,
    0xfffb101f,0xffffffff,0x3e609fff,0xffffffff,0x005fffff,0x3aaf3b60,
    0x3fa0007f,0xffffffff,0xffffffff,0x3ffff25f,0xffffffff,0x44ffffff,
    0xfffffffc,0xffffffff,0x3fe63fff,0x003fffff,0xfffffff9,0xffffffff,
    0xff809fff,0x3e62ffff,0x400fffff,0xfffffffc,0xffffffff,0x3fe23fff,
    0xffffffff,0xffffffff,0xf9800004,0x00002fff,0xffffff90,0xf885dfff,
    0xffffffff,0x02ffffff,0x3ffffff2,0xffffffff,0x3a000003,0xffffffff,
    0x3fe201df,0x004fffff,0xfffffff3,0xffffffff,0x747fffff,0xffffffff,
    0x3fffe64f,0x30ffffff,0xffffffff,0xffffffff,0x3ffe29ff,0x446fffff,
    0x4fffffff,0xfffffb80,0x2fffffff,0x3fffff60,0xffffffff,0xf88001ff,
    0x04ffffff,0x3fffa200,0xffffffff,0x14ffffff,0xffffffff,0xffffffff,
    0x3e21ffff,0xffffffff,0xffffffff,0x3ff20fff,0x2000efff,0xffffffea,
    0xffffffff,0x7fec01ef,0xfffe87ff,0x7ffc406f,0xffffffff,0xffffffff,
    0xfffff30f,0xffffffff,0x009fffff,0xffffb800,0x0ccaaaac,0xea980000,
    0xfc880cff,0xffffffff,0xfd3002ef,0xffffffff,0x000003df,0x5fff5300,
    0xfffff700,0x7ec4001f,0xefffffff,0xefffff9b,0x3ffff60c,0x222fffff,
    0xffffffff,0x3fffe67f,0xffffffff,0x24ffffff,0xdeffffdb,0xfffffd82,
    0x3ff62004,0x0cffffff,0x7ffffdc0,0xffffffff,0xf70000ff,0x001fffff,
    0xffffd880,0xff9befff,0x3fe0ceff,0xffffffff,0xffffffff,0x3fffe0ff,
    0xffffffff,0x7fffffff,0x00039730,0x7fffffe4,0x2cefffff,0x9ffff700,
    0x09ffff50,0xfffffff0,0xffffffff,0x7ccdffff,0xffffffff,0xffffffff,
    0x6400004f,0xffffffff,0x00002fff,0x7fffffcc,0x3fb72605,0x0001bdef,
    0xfffffff9,0x0000019d,0xfffff700,0x32e6007f,0x32a20002,0x0001abcc,
    0xfffffd91,0xfffb709d,0x7cc5bfff,0xffffffff,0xffffffff,0xb980004f,
    0x260000ac,0x2000abca,0xfffffec8,0x3dffffff,0x2cb98000,0x5d440000,
    0xa8000abc,0xfffffffd,0xffffffff,0x7fed42df,0xffffffff,0x1dffffff,
    0x53000000,0x03357997,0x3fffe200,0x05ffff01,0xfffffb50,0xffffffff,
    0x7cc3bfff,0xffffffff,0xffffffff,0x6400004f,0xffffffff,0x00003fff,
    0x77fffec4,0x00000003,0x0055dd44,0x26000000,0x01effffe,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x55100000,
    0x30555555,0x65c40015,0x00000002,0x01100000,0x53100000,0xa8801335,
    0x0001aaaa,0xaaaaa880,0x20000000,0x00aaaaa9,0x80000000,0x98000098,
    0x0001aaaa,0x2aaaaaa2,0x3000002a,0x80000013,0x20000019,0xa8800019,
    0xcccccccc,0x55000acc,0x00005555,0x32a62000,0x800009ab,0x80000cea,
    0x01bcccb8,0xccccca88,0x0026dc1b,0xffd107d9,0x1fffffff,0x4007ffe4,
    0x41dffffb,0xbf9003d8,0x007bf203,0xfffb9300,0x000037bf,0x7fffffdc,
    0x7f42dfff,0x003fffff,0x7ffff400,0x000002ff,0x3fffffa0,0xcccccc82,
    0xcccccccc,0x6ccccccc,0x3fffb6a0,0x90002dff,0x0007ffff,0xffffffd1,
    0x00001fff,0xfffffd91,0x006e617d,0xfffdca88,0x03712dff,0x7fff6cc0,
    0x01731cff,0xffffffb0,0x09ffffff,0x13ffffe0,0xb3000000,0xffffffff,
    0x7fc0003b,0x7cc0003f,0x05ffffff,0x7ffffffc,0xbfff32ff,0x2fffd801,
    0x7fffffd4,0x3fe0ffff,0x7fdc03ff,0xa8cfffff,0x7d401fff,0xfffa85ff,
    0x3ff20005,0xffffffff,0x7f4c0004,0xffffffff,0xfff52fff,0x0007ffff,
    0x7ffffd40,0x000002ff,0xffffff70,0x00001905,0x7ffe4448,0xffffffff,
    0x7fe4000d,0xfa8003ff,0xffffffff,0x3620000f,0xffffffff,0x2fffcfff,
    0xfffffb80,0xffffffff,0x7ec402ff,0xffffffff,0xc807ffef,0xffffffff,
    0x9803ffff,0x000fffff,0xffd10000,0xffffffff,0x98001dff,0x40005fff,
    0xfffffffc,0x3fffe607,0xf75fffff,0x3601bfff,0x7cc4ffff,0xffffffff,
    0x0bfff60f,0xe9cfff88,0x6fffffff,0x86fffb80,0x8006fffa,0xffffffe9,
    0x0effffff,0xffff8800,0xffffffff,0xffff14ff,0x00007fff,0x7fffffcc,
    0x8000002f,0xfffffff8,0x00000c82,0xfffff724,0xffffffff,0x7e4003ff,
    0x98003fff,0xffffffff,0xf30000ff,0xffffffff,0xffffffff,0xffffd809,
    0xffffffff,0x2604ffff,0xffffffff,0xffffffff,0x99998801,0x00999999,
    0x07ffff70,0x3ea00000,0x309bcfff,0x05ffff95,0x037ffd40,0x3fffea00,
    0x7fc05fff,0x3fffffff,0x0bfffff1,0x01fffffb,0xffffffb7,0x7f5c41ff,
    0x2e0f6c00,0x00dfffff,0x882fff88,0x4c002fff,0xffffffff,0xffffffff,
    0x7ffec001,0xffffffff,0x3f6a2fff,0x0003ffff,0x7fffedc0,0x8000002f,
    0xfffffffc,0x00000c82,0xfffff924,0xffffffff,0x7e400dff,0x70003fff,
    0xfffffffb,0xff50001f,0xffffffff,0xffffffff,0x3fffa20d,0xffffffff,
    0x06ffffff,0xffffffd1,0xffffffff,0x000005ff,0x1ffffa00,0x7dc00000,
    0xc8800dff,0xf5003fff,0x50000dff,0x017ffffb,0xffffdb88,0x7fffcc2e,
    0x3ffff65f,0x3fe2001f,0x02fcc0ff,0x02f72200,0x15002a00,0xffffd000,
    0xf953159f,0x001fffff,0x20f7fffc,0x201cba98,0x0003fffe,0x0bfffa00,
    0xff300000,0x05ffffff,0x48000019,0x37fffff2,0xfffb989b,0x331004ff,
    0x40000133,0x000ffff8,0x7fffffc4,0xfdb989bd,0x886fffff,0xceffffff,
    0xffeba98a,0xff906fff,0x53137fff,0x5ffffff9,0x10000000,0x0007ffff,
    0x5fff3000,0x3fff5000,0x0dfff500,0x3ffee000,0xfffe8006,0xfffff303,
    0x3fffffbb,0xffff8800,0x00007f40,0x00000000,0xdffff900,0x7fff4c03,
    0xfff3004f,0xfd00003f,0x000007ff,0x0017fff4,0x3fffa000,0xc82fffff,
    0x72400000,0xf880dfff,0x00007fff,0xfff10000,0xffe8001f,0x74c01fff,
    0xfc86ffff,0xa800efff,0xff06ffff,0x74c01fff,0x2002ffff,0x0acddca8,
    0x1bffea00,0x3e200000,0xaaaa89ff,0xff301aaa,0x7fdcc01d,0x999999ff,
    0xfff70019,0xfffd000d,0x7fffcc07,0x01ffffff,0x0ffff880,0x22000bf2,
    0x00acddca,0x20000000,0x00dffffa,0x1ffffd88,0x07fffa80,0x7fffd000,
    0x7f400000,0x000002ff,0x3f3fffea,0x00c82fff,0xff524000,0xfff7009f,
    0x0000001f,0x1ffff100,0x7fffd400,0x3ffe001f,0x7fffc46f,0x3ff2000f,
    0xffff985f,0xffff9802,0xfffda802,0x02dfffff,0x4c2fffc8,0x7b951099,
    0x3ff20013,0xffffffb4,0xff505dff,0xffffd989,0xffffffff,0x200dffff,
    0x8006fffb,0x4c03fffe,0xffffffff,0xfff10002,0x2001e41f,0xffffffda,
    0x98002dff,0x01999999,0x0fffff80,0x3fffe200,0x3fee6206,0x999999ff,
    0x3fffa000,0x37997513,0x3ffa0001,0x3333302f,0x7ffc4001,0x2ffff8ff,
    0x400000c8,0x007ffe24,0x80bfffe2,0x19999999,0x3fe20000,0x3f6000ff,
    0x5c001fff,0x7fec4fff,0x7c4001ff,0xfffa83ff,0x3fffa007,0x3fff6200,
    0xffffffff,0x3ffe00df,0x5ffffb16,0xfffffff7,0x5cdff003,0xfffffffe,
    0x47fd82ff,0xfffffffc,0xffffffff,0x3ee04fff,0xfe8006ff,0xffa803ff,
    0x0002ffff,0x003fffe2,0x7fffec40,0xffffffff,0xfffd800d,0x00ffffff,
    0x0ffffe60,0x3fffee00,0x7ffff5c2,0xffffffff,0xfe804fff,0xffffccff,
    0x8004ffff,0x3622fffe,0xdfffffff,0xffffc801,0x905ffff3,0x44800001,
    0xff3001c9,0xfffb05ff,0x01ffffff,0x3ffe2000,0xfff1000f,0xff10007f,
    0x4ffff85f,0x019d5000,0x003ffff1,0xe881bfea,0xffffffff,0x0effffff,
    0xf92fff98,0xffffffff,0x07ffffff,0x7fc0ffd4,0x21ffaa22,0x3ff22ffb,
    0xffffffff,0xffffffff,0x1bffee04,0x0ffffa00,0x3fffff60,0xf10000df,
    0x10001fff,0xfffffffd,0xdfffffff,0x7fffd401,0x00ffffff,0x01bffea0,
    0x23fffe80,0xfffffff8,0xffffffff,0x7f401fff,0xffffffff,0x00dfffff,
    0xb8bfffa0,0xffffffff,0x7ffc405f,0x0bfffe6f,0x90000032,0xfffd8000,
    0x7fffd41f,0x00ffffff,0xffff1000,0x3ffea001,0x7b50000f,0x02ffff98,
    0x3ffa0000,0x051001ef,0xffffffe8,0xffffedce,0x6ffb86ff,0x3ffffff2,
    0xffffffff,0x0ffb00ff,0x3fe60bfe,0xb32ffcc0,0xffffffff,0xffffffff,
    0x7ffdc01b,0xfffe8006,0x7fffec03,0x0005ffff,0x001ffff1,0xffffffd0,
    0xffffdb9d,0x7fd40dff,0xffffffff,0x3fff2000,0x3ff20004,0x3fffe24f,
    0xffffffff,0x01ffffff,0x7ffffff4,0xffffffff,0x3ffa006f,0x3fffee2f,
    0x405fffff,0x3e2ffffd,0x00c82fff,0x80024000,0x87ffffc8,0xfffffffa,
    0x00000fff,0x001ffff1,0x001bffee,0x3fffea00,0x32000000,0x1bdfffff,
    0x3fff2000,0xff7104ff,0xffd89fff,0x3ffffa61,0xffedffff,0xdfd04fff,
    0x3ee0bfe0,0x260dff07,0x999ffffb,0x70019999,0xd000dfff,0x7ec07fff,
    0xffffffff,0xff88005f,0x7e4000ff,0x7104ffff,0x409fffff,0xfffffffc,
    0x3f6000ff,0x2e0003ff,0x7f5c6fff,0xffffffff,0x04efffff,0xffffffe8,
    0xffffddff,0xffd003ff,0x7fffd45f,0x201dffff,0x7c5ffffa,0x00c82fff,
    0x20024000,0xffffffb8,0xfffff902,0x0001ffff,0x03fffe20,0x02fffe40,
    0x7ffdc000,0x44000006,0xfffffffe,0x8800acdf,0x801fffff,0x20fffff9,
    0xffff03fd,0xffe885ff,0x209ff06f,0xfeb99bff,0x40ffb05f,0x0006fffa,
    0x00dfff70,0x207fffd0,0x99fffffd,0x005fffff,0x007fffc4,0x3fffff10,
    0xfffff300,0xfa998801,0x3e000fff,0x20002fff,0x3107fffa,0x333ffff7,
    0x74001333,0x81efffff,0x006ffffa,0x3ee5fffd,0x01bfffff,0x81ffffd0,
    0x0c82ffff,0x80240000,0xffffffc9,0xa998805f,0x0000ffff,0x01ffff10,
    0x017fff20,0x3fff2000,0x88000005,0xfffffffe,0x201dffff,0x002ffffb,
    0x113fffe6,0x17ffffc0,0x887fffb8,0xffff03ff,0x201bffff,0x3fea07fb,
    0xf700006f,0xfd000dff,0xfffb07ff,0x7ffcc3ff,0x3e2005ff,0x2e000fff,
    0x2002ffff,0x004ffff9,0x003fffe6,0x00ffffc4,0x1ffff300,0x03fffd40,
    0xffffe800,0x3fffec04,0xcbfffe80,0x01ffffff,0x13fffee0,0x320bfffe,
    0x02400000,0x7fffffc4,0xf98003ff,0x00000fff,0x001ffff1,0x0013fff2,
    0x17fff200,0x26666620,0x6c400999,0xffffffff,0xfd02ffff,0xf9000bff,
    0x7fc00dff,0x3fe604ff,0x04ff80ff,0xdfffffff,0x2a07fd80,0x00006fff,
    0x000dfff7,0xfb87fffd,0xf981ffff,0x1002ffff,0x4001ffff,0x8005fffe,
    0x2006fffc,0x000ffff9,0x000bfffa,0x406fffa8,0x0007fffa,0x00bfffd0,
    0x001ffff5,0xfffffffd,0x44001dff,0xf80fffff,0x00c82fff,0x44024000,
    0x1effffff,0xffff3000,0x3e200001,0xf9000fff,0x000009ff,0x440bfff9,
    0xfffffffe,0x4400efff,0xffffffeb,0xff84ffff,0xfa8002ff,0x3fe007ff,
    0x3fe202ff,0x06fe80ff,0xffd337ff,0x5037fc07,0x0000dfff,0x4c1bffee,
    0x87fffd01,0x201ffffc,0x002ffff9,0x001ffff1,0x0017fffc,0x003fffd4,
    0x001ffff3,0x0027ffec,0x80bfff90,0x0007fffa,0x007fffd0,0x001ffff3,
    0xfffffffd,0xff9000bf,0x3ffe05ff,0x0000c82f,0x7fc40240,0x40002eff,
    0x000ffff9,0x1ffff100,0x17fff200,0x3ff20000,0x3fff205f,0xffffffff,
    0x2e62003f,0xfffffffd,0x07fffe22,0x3fffe200,0x5ffff000,0x07fffc40,
    0x2ff83fec,0x7cc17fec,0x3ffea05f,0xff700006,0x07ff90df,0xf887fffd,
    0xff9801ff,0x3ffe2006,0xfff1000f,0xff10003f,0x3e6001ff,0x2e000fff,
    0x20005fff,0x5404fffd,0x00007fff,0x3007fffd,0xd001ffff,0xdfffffff,
    0xffff3000,0xf555555f,0x01907fff,0xd0048000,0x20000fff,0x000ffff9,
    0x1ffff100,0x1fffee00,0x3fea0000,0x3ffee06f,0xffffffff,0x6cc0003f,
    0x3e24ffff,0x98002fff,0xf000ffff,0x7c405fff,0xffb80fff,0xfd82ff81,
    0x017fdc0f,0x000dfff5,0x21bffee0,0xffe86fff,0x4001503f,0x7fc40008,
    0xff1000ff,0xf30005ff,0x26001fff,0x2000ffff,0x001ffffa,0x02ffff98,
    0x003fffd4,0x03fffe80,0x00ffff98,0xffffffe8,0x36000dff,0xffffffff,
    0xffffffff,0x0000322f,0x3fee0090,0xff300003,0x200001ff,0x000ffff8,
    0x001ffff5,0x7fff8800,0x3fffb220,0x0dffffff,0x90002f22,0xfff8dfff,
    0xffb8004f,0x3ffe007f,0x3ffe202f,0x54dff00f,0x222deffd,0x1ff64fff,
    0x00dfff50,0x1bffee00,0xf81ffff3,0x00002fff,0x3ffe2000,0x3ffe000f,
    0xffb8004f,0x3fe6007f,0x3e2000ff,0xe8006fff,0x5400ffff,0x00007fff,
    0x3007fffd,0xd001ffff,0xffffffff,0x3f6001df,0xffffffff,0xffffffff,
    0x00000326,0x00044009,0x1ffff300,0x3fe20000,0xff1000ff,0x00000bff,
    0x0005ffff,0xfd0dfff7,0xff88009f,0x3fff61ff,0x3fe6001f,0x3fe005ff,
    0x3fe202ff,0x7ff900ff,0x17fffff6,0xff53fff3,0x6fffa809,0xfff70000,
    0x0ffff98d,0x5c0ffffc,0x4000001d,0x000ffff8,0x007ffff6,0x05ffff98,
    0x03fffe60,0x7ffff900,0x7fffdc00,0x7fffa804,0xfffd0000,0xffff3007,
    0xbfffd001,0x3dfffff5,0xfffffb00,0xffffffff,0x064bffff,0x00120000,
    0xff980000,0x100000ff,0x4001ffff,0x002ffffc,0x7ec2ed88,0x5c000fff,
    0x7fc46fff,0x3e6000ff,0x3fe61fff,0xe8800fff,0x2002ffff,0x2202ffff,
    0xf100ffff,0x999713ff,0xf1595017,0xffa801df,0x173000ff,0x98dfff70,
    0x3e60ffff,0xfff80fff,0x5f75c403,0xffff1000,0x7ffcc001,0xfe8800ff,
    0x26002fff,0x8000ffff,0x804ffffe,0x006ffffc,0x000ffff5,0x00ffffa0,
    0x003fffe6,0x7ccbfffa,0x401fffff,0xfffffffd,0xffffffff,0x000320ce,
    0x00000900,0x7fffcc00,0xff100000,0x7c4001ff,0x2003ffff,0x2a0fffe9,
    0x000dffff,0xf51bffee,0x2001bfff,0x740ffffe,0x204fffff,0x06fffffb,
    0x017fffc0,0x401ffff1,0x8002fff9,0x9801fff9,0x2603ffff,0x640ffffc,
    0x3e60ffff,0xffd10fff,0x3ffee0ff,0x3ffff204,0xffff1005,0xfffe8001,
    0x3fee04ff,0x4c006fff,0x8000ffff,0x1dfffff9,0xfffffd98,0xffff5001,
    0x3ffa0000,0xfff9803f,0xfffe800f,0x3ffffa62,0x3e00002f,0x00c82fff,
    0x00024000,0xfff30000,0x2200001f,0x4000ffff,0xaefffffb,0xffff7300,
    0xffffd85f,0xd95100cf,0xffa8dfff,0x501bffff,0x10dffffd,0xdfffffff,
    0xfffffdbb,0x7c4001ff,0xf301cfff,0xfb803fff,0xb8800dff,0x3e003fff,
    0xdcdeffff,0xfffffffe,0xfffffd13,0x3fffe67f,0x4fffffdf,0x03bffee0,
    0x1ffffff1,0xfbaaaa98,0xaaaabfff,0x3fffe201,0xfeddefff,0x00ffffff,
    0x3eeaaaa6,0xaaaabfff,0xffffb801,0xfffeefff,0x4404ffff,0xaffffcaa,
    0x801aaaaa,0x1cfffe98,0x3fffee20,0xfff51009,0xfffe885f,0x8000acff,
    0x3ffffaa8,0x400000c8,0xbddb8804,0x5554c000,0xabffffba,0x54c01aaa,
    0xffffbaaa,0x401aaaab,0xfffffffd,0xffffedef,0xff886fff,0xeeffffff,
    0xfffffffd,0x7fffd46f,0xedefffff,0x1fffffff,0xffffff30,0xffffffff,
    0x3e6003ff,0x6fffffff,0x7fffffec,0x7fffd403,0x3f2661bc,0x5c002fff,
    0xffffffff,0xffffffff,0xffffff90,0x3fffe6ff,0x0fffffff,0x077ffd40,
    0xc9fffffa,0xffffffff,0xffffffff,0xfff303ff,0xffffffff,0x203fffff,
    0xfffffffc,0xffffffff,0x7e403fff,0xffffffff,0x203fffff,0xffffffe9,
    0xffffffff,0xfff302ff,0xb0dfffff,0xffffffff,0xfffffe87,0xffffa82f,
    0x001effff,0xfffffffd,0x000645ff,0x3f201200,0xf9005fff,0xffffffff,
    0xffffffff,0xffffc87f,0xffffffff,0x03ffffff,0x3ffffff6,0xffffffff,
    0xff501eff,0xffffffff,0xffffffff,0xfffff98d,0xffffffff,0x404fffff,
    0xffffffd8,0x0dffffff,0x3ffff600,0xf32fffff,0x0fffffff,0xfffffd10,
    0xdfffffff,0x3ff60001,0xffffffff,0x3ee1efff,0x26ffffff,0xfffffffd,
    0xfd1002ff,0xffffb8df,0xffffff13,0xffffffff,0x01ffffff,0x3fffff62,
    0xdfffffff,0xfffff100,0xffffffff,0x1fffffff,0xffffe980,0x1effffff,
    0x7ffffec0,0xffffffff,0xfd06ffff,0xffffffff,0x7ffffcc7,0xf50fffff,
    0x05ffffff,0xfffffffb,0xff500bff,0xffffffff,0x0000064d,0x3fffa012,
    0xfff8807f,0xffffffff,0xffffffff,0xfffff10f,0xffffffff,0x1fffffff,
    0x7ffffdc0,0xffffffff,0xffc8804f,0xffffffff,0x80beffff,0xffffffff,
    0xffffffff,0x3b2a002f,0xceffffff,0xfffc8002,0x11ffffff,0xbfffffff,
    0x7ffecc00,0x01dfffff,0xffffa800,0x1cffffff,0xffffec88,0x7fffec1d,
    0x44001dff,0x0bb886fd,0x7ffffffc,0xffffffff,0xa807ffff,0xffffffec,
    0xfff802ce,0xffffffff,0xffffffff,0x3fff2006,0x00ceffff,0xffffffc8,
    0xffffffff,0xffb05fff,0x5fffffff,0x7fffffc4,0x3fe67fff,0xc82fffff,
    0xffffffff,0xfff9804f,0x5fffffff,0x90000032,0x9ffff700,0x3ffffe00,
    0xffffffff,0x46ffffff,0xffffffff,0xffffffff,0xb8807fff,0xfffffffe,
    0x4c002cef,0xffffffec,0x5402efff,0xfffc98de,0x04ffffff,0x56654400,
    0x76440000,0x43dfffff,0x1cffffda,0xcca98800,0x8000009a,0x09acccaa,
    0xca880000,0x0080001b,0xffffda80,0xffffffff,0x001dffff,0x00566544,
    0x3ffff6a0,0xffffffff,0x001dffff,0x00abba88,0x7fff6440,0xffffffff,
    0x9100ceff,0x7dfffffd,0xfffffb50,0xffdb85bf,0xec882fff,0x0cefffff,
    0xffffb700,0x66419dff,0xcccccccc,0xcccccccc,0x73006ccc,0x7ed40037,
    0xffffffff,0xdfffffff,0x7fffed41,0xffffffff,0x001dffff,0x0d665544,
    0x2ea20000,0x00009abc,0x55e5d4c4,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00011000,0x00033aa0,0xccca8800,0xcccccccc,0x88000acc,0x009abca9,
    0xcccca880,0xcb981bcc,0x00accccc,0x2b372a60,0x99988000,0x4cccc009,
    0x32a20019,0xcccccccc,0x544000ac,0xcccccccc,0x44000acc,0xccccccca,
    0x8000accc,0x00001cb9,0x000165c4,0x666665c4,0x00bccccc,0x66665440,
    0x1acccccc,0xccb98000,0xcccccccc,0xcccccccc,0xccccb984,0x332a200a,
    0xccc81bcc,0xcccccccc,0x44cccccc,0xcccccca8,0xcccccccc,0x9997300a,
    0x99730379,0x4c015999,0x81bccccb,0xacccccb9,0x3faa0000,0x0002efff,
    0x0007fff1,0x7ffff400,0xffffffff,0x3000ffff,0xfffffffb,0x3e2003bf,
    0xffffffff,0x3fffee3f,0x00ffffff,0x7fffffdc,0x5c00dfff,0x04ffffff,
    0xfffffffb,0x3fff6001,0xffffffff,0x7fec004f,0xffffffff,0x7ec004ff,
    0xffffffff,0x64004fff,0x440dffff,0x3fee003d,0x04c81eff,0x7fffffc4,
    0xffffffff,0x3fffa001,0xffffffff,0x8002efff,0xfffffffd,0xffffffff,
    0x647fffff,0xffffffff,0xfffff881,0x7ffc4fff,0xffffffff,0x47ffffff,
    0xffffffff,0xffffffff,0xffffd87f,0x3ea4ffff,0x6fffffff,0xffffffb0,
    0x7ffd49ff,0x006fffff,0xfffffd88,0x4001efff,0x0005fff9,0xfffff300,
    0xffffffff,0x8807ffff,0xfffffffe,0x00efffff,0x7fffffd4,0x3fa6ffff,
    0xffffffff,0xfffd503f,0xffffffff,0x3ffe207f,0xfa84ffff,0x0fffffff,
    0xfffff900,0x7fffffff,0xffffc800,0xffffffff,0x7ffe4004,0xffffffff,
    0x3ff2004f,0xa8cfffff,0xfa800fff,0x8cffffff,0x2a02ffea,0xffffffff,
    0x04ffffff,0xffffff30,0xffffffff,0x4001bfff,0xffffffff,0xffffffff,
    0x7c7fffff,0xffffffff,0xfffffb84,0x7ffc7fff,0xffffffff,0x27ffffff,
    0xfffffffa,0xffffffff,0x7ffc1fff,0x27ffffff,0xfffffffd,0xffff81ff,
    0x367fffff,0xffffffff,0x7ff4001f,0xffffffff,0x3fea001f,0x2000006f,
    0xffffffff,0xffffffff,0x3ffea00f,0x95309bcf,0x4405ffff,0xffffffff,
    0x3ffee3ff,0x0fffffff,0xffffffb8,0xffffffff,0xffff886f,0xffa84fff,
    0x00ffffff,0x26666620,0x00099999,0x33333310,0x00013333,0x26666662,
    0x20009999,0xfeabfff8,0x06ffffff,0xfb39fff0,0x1dffffff,0x7ffffc40,
    0xffffffff,0x3ffe002f,0xffffffff,0xffffffff,0xffffb001,0xfffffdff,
    0xffffffff,0xfffffd8f,0xffa83fff,0x45ffffff,0xffffffff,0xffffffff,
    0x3fffe27f,0xffffffff,0xe87fffff,0xffffffff,0x3ffffee4,0xffd07fff,
    0x49ffffff,0xfffffffb,0x7fe4007f,0xffffffff,0x3ea005ff,0x000006ff,
    0x3bbbb6e2,0xdeeffffe,0x3ffee01b,0xffc8800d,0x3fee603f,0xa82ceeff,
    0xbffffeec,0xfffff981,0xfffdceff,0xeb83ffff,0xb04fffff,0x1fffffff,
    0x00000000,0x00000000,0x1dd80000,0x6fffffdc,0xa85db000,0x00dfffff,
    0xffffdb98,0x01beeeee,0x7fff5c40,0xffeeeeef,0x00efffff,0xffffda88,
    0xeeeffff9,0x47fffeee,0xfffffdb8,0x3fffee03,0x7ffc0bef,0xeeeeeeef,
    0x47fffffe,0xfeeeedb9,0xdeeeefff,0xfffb880b,0x6540acef,0x00cffffe,
    0x9dffff71,0xffeca815,0x22001cff,0x99cfffff,0x006ffffb,0x001bffea,
    0x7fcc0000,0xff3000ff,0xff50005f,0xfffe803f,0x3ffee003,0xfffff106,
    0xff93015d,0x36201fff,0x54c04fff,0x0000ffff,0x00000000,0x00000000,
    0x2fb22000,0x2e200000,0xfd0000cd,0x800007ff,0x2604fffc,0x05ffffeb,
    0x7cefff40,0xfff307ff,0x7fffec0f,0x3fffea03,0x0bfffe06,0x1fffff98,
    0x1ffff100,0x7fffd000,0x0ffff300,0x00ffffa0,0x001fffe6,0x20bfffe6,
    0x3002ffe8,0x333ffff7,0x00033333,0x3fffe600,0x1fff8800,0x30bcca88,
    0xd0077fcc,0x5c007fff,0xffb06fff,0xf9001dff,0x7ec0bfff,0xff8804ff,
    0xa98000ff,0x8000acdc,0x40099998,0x00199999,0x5e6e654c,0x0000001a,
    0x00000000,0xffffffd0,0x9bffffff,0x9fff9001,0xffffd100,0x3ffe2003,
    0x307fff9b,0x7c40ffff,0xf880ffff,0x3e00ffff,0xfd102fff,0x44007fff,
    0x8000ffff,0x9803fffe,0x32207fff,0xfffffffe,0xffffffff,0x001defff,
    0x440dfff7,0x7ff4401a,0xffffffff,0x0dffffff,0x3fe60000,0xffc800ff,
    0xfffffc84,0x3fea2fef,0x0ffffa04,0x06fffb80,0x001dffff,0x80ffffe4,
    0x8804fffd,0x2000ffff,0xfffffffb,0x75c00dff,0xb04fffff,0x1fffffff,
    0xffffdb80,0x1dffffff,0x99999800,0x31000199,0x6e5cc133,0xfe8000ab,
    0xffffffff,0x01efffff,0x8027ffe4,0x005ffff8,0xff31fff7,0x3ffe60ff,
    0x7fffd407,0x3ffffd86,0x817fffc0,0x005ffffd,0x007fffc4,0x01ffff40,
    0xb03fffcc,0xffffffff,0xffffffff,0x0dffffff,0x01bffee0,0x3ffff200,
    0xffffffff,0x04ffffff,0x3ffe6000,0x86ff800f,0xffedfffe,0x03fec4ff,
    0x4007fffd,0xf886fffb,0xeeeeefff,0xeeeeeeee,0xfb02ffff,0xff1009ff,
    0xfd5001ff,0xffffffff,0x3e207fff,0x84ffffff,0xfffffffa,0x3fff600f,
    0xffffffff,0xfb002fff,0xffffffff,0x7ff64001,0xfffe9cff,0x4004ffff,
    0xfffffffe,0xffffffff,0x3fff204f,0x3ffee004,0x6ffd801f,0x0ccffff3,
    0xfb00bfff,0x7fd47fff,0xffd805ff,0xffffb81f,0x7fc4000e,0xfe8000ff,
    0xff9803ff,0x3fff207f,0xffffffff,0xffffffff,0xf3005fff,0x90000fff,
    0xffffffff,0xffffffff,0x400009ff,0x400ffff9,0x7fdc1ffa,0x227fe443,
    0xffd02ffb,0x7fdc007f,0xffffa86f,0xffffffff,0xffffffff,0x9fffb04f,
    0x1ffff100,0xfffffb80,0xffffffff,0xfff886ff,0xfa84ffff,0x0fffffff,
    0x3fffffa0,0xffffffff,0x7fd401ff,0xffffffff,0xffff3000,0xffffffff,
    0x03dfffff,0x337fffa0,0xffdccccc,0xf901ffff,0xff8009ff,0xfff803ff,
    0x2effff34,0x07ffb5ff,0x3fffff10,0x01fffff1,0xf30fff70,0x0003ffff,
    0x001ffff1,0x007fffd0,0xa80ffff3,0xccdffffc,0xfdcccccc,0x000acfff,
    0x003ffff1,0xffffd880,0xffffffff,0x000dffff,0x3fffe600,0x223fec00,
    0x0ffa05ff,0x3fa0bff3,0x3ee003ff,0xfffb86ff,0xffffffff,0xffffffff,
    0xfffb05ff,0xffff1009,0x7fffcc01,0xffdcefff,0xb83fffff,0x04fffffe,
    0xfffffffb,0x7fffe401,0xffdcceff,0x7d405fff,0xffffffff,0xfff3000f,
    0xffffffff,0xdfffffff,0x0ffffa00,0x9ffff910,0x3bfffb10,0xfffd0033,
    0x1fffa809,0x3faffff3,0xa8006a7f,0xffdeffff,0x32a003ff,0x7ffffc41,
    0xfff10002,0xffd0001f,0xfff3007f,0x3fffa00f,0x7fff9803,0x7fffd000,
    0x7dcc0000,0x99999fff,0x00000199,0x801ffff3,0x17fd46fe,0xdff01b30,
    0x00ffffa0,0xa86fffb8,0xffffffff,0xffffffff,0xb06fffff,0xf1009fff,
    0x3e201fff,0x80aeffff,0x0fffffc9,0x09fffb10,0x0ffffa88,0x004d6540,
    0x900ffffd,0xffffffff,0x7fe4001f,0xffffffff,0xffffffdd,0x3fffe803,
    0x6ffff880,0xffffffb1,0x05ffffff,0x9017fff2,0x7ffccfff,0x01ffffff,
    0x3ffff600,0x0005ffff,0x09ffffd0,0x7fffc400,0xfffe8000,0xffffffff,
    0x007fffff,0xfffffffd,0xffffffff,0x3fb200ff,0xffffffff,0x2a0003df,
    0x00006fff,0xffff3000,0x5c4ff801,0x3f60007f,0x07fffd07,0x437ffdc0,
    0xccdffff9,0xcccccccc,0x03cccccc,0x1009fffb,0x3601ffff,0x800effff,
    0x205ffffc,0x8804fffd,0x0000ffff,0x03fffe60,0x7fd4cc40,0xfd8000ff,
    0x981effff,0xe806fffe,0xf9003fff,0x3ffeedff,0xffffffff,0xfff706ff,
    0x25fff80d,0xfffffff9,0x220001ff,0xffffffff,0xffc80000,0x440006ff,
    0x8000ffff,0xfffffffe,0xffffffff,0xfffd007f,0xffffffff,0x00ffffff,
    0xfffffff5,0x3fffffff,0x3ffea000,0x00100006,0x00ffff98,0xbf90ffe2,
    0x83fdc000,0x2003fffe,0xff06fffb,0x00000dff,0x4027ffec,0xf00ffff8,
    0x4001dfff,0xb01ffffc,0xf1009fff,0x44001fff,0x9aabcba9,0x8001ffff,
    0x000ffff9,0x05ffffd8,0x403fffdc,0x7003fffe,0x3feebfff,0xffffffff,
    0xff507fff,0x7ffcc0ff,0x3ffffe63,0x8001ffff,0xffffdaa9,0x002aadff,
    0x1fffff50,0xfff88000,0xffe8000f,0xffffffff,0x07ffffff,0xffffffd0,
    0xffffffff,0xff700fff,0xffffffff,0x2005ffff,0xfffeedb9,0x2ceeeeef,
    0x00efe880,0x01ffff30,0x2fe44ff8,0x20ffb000,0x2003fffe,0xfb06fffb,
    0x0000bfff,0x01bfff60,0x01ffffd5,0xdddffff1,0xdddddddd,0x05ffffdd,
    0x2013fff6,0x800ffff8,0xffffffd9,0x1fffffff,0xffff9800,0xfffd8000,
    0xffff9805,0x1ffff400,0x23fffc80,0xfffffffe,0x502fffff,0x7dc0ffff,
    0xffcaabff,0x1fffffff,0x7fffdc00,0xffffffff,0x7cc004ff,0x0002ffff,
    0x00ffff88,0xfffffe80,0xffffffff,0xfd007fff,0xffffffff,0xffffffff,
    0xffffd100,0xffffffff,0x7fffc00d,0xffffffff,0x5402ffff,0xf3002fff,
    0xfe801fff,0x0007fdc6,0xffd06ff8,0x7fdc007f,0xffff106f,0xcb9803bf,
    0xff701efe,0xfea883ff,0xa82fffff,0xffffffff,0xffffffff,0xb04fffff,
    0xf1009fff,0x6c401fff,0xffffffff,0x1fffffff,0xffff9800,0xfffd8000,
    0xffff8804,0x1ffff400,0x17fffcc0,0x4efffecc,0x3f200999,0x3ffa05ff,
    0xffffffff,0x00ffffbf,0x5d555440,0xaaabffff,0x3fa2000a,0x02a03fff,
    0x07fffc40,0x6ffff400,0xaaaaaaaa,0xd007fffc,0x5555bfff,0xfff95555,
    0x5554400f,0x0aadfffe,0x3fffe600,0xffffffff,0x6404ffff,0xf3004fff,
    0xfd801fff,0x201ffcc7,0xd05ff980,0x5c007fff,0x3ea06fff,0xdeefffff,
    0xfffffeec,0xfff504ff,0xfffdbdff,0xffffffff,0x7ffffdc3,0xffffffff,
    0xffffffff,0x09fffb05,0x01ffff10,0x3fffffa2,0xffffffff,0x98001fff,
    0x8000ffff,0x8804fffd,0x7400ffff,0x9999cfff,0xffffda99,0x9fff900f,
    0x4fffe800,0xffffff10,0x32ffffff,0x100006ff,0x0001ffff,0x05ffffd8,
    0x22007ffa,0x8000ffff,0x9803fffe,0xfd007fff,0xff3007ff,0x7ec000ff,
    0x3a0004ff,0xffffffff,0x1fffffff,0x027ffe40,0x00ffff98,0x3fa0ffdc,
    0xb8bf501f,0xfffb02ff,0x7ffdc007,0x7fffe405,0xffffffff,0x04ffffff,
    0x3ffffff6,0xffffffff,0x3ea5ffff,0xffffffff,0xffffffff,0xfb06ffff,
    0xff1009ff,0x3ffa01ff,0xeeefffff,0x1fffffff,0xffff9800,0xfffd8000,
    0xffff8804,0x7ffff400,0xffffffff,0x3203ffff,0x7c004fff,0xff702fff,
    0xffffffff,0x1032e2ff,0x3ffe2000,0x3ee0000f,0xf300efff,0xff1009ff,
    0xfd0001ff,0xff3007ff,0x3ffa00ff,0xfff9803f,0x3ffa0007,0x5cc0004f,
    0xccffffdc,0xc800accc,0xf3004fff,0x3fe00fff,0x66fffc46,0x6c4ffecb,
    0x3fff207f,0x3fff6005,0xfffea804,0xffffffff,0x201effff,0xfffffff8,
    0xffffffff,0x3fe64fff,0xcccccdff,0xcccccccc,0xffb03ccc,0xfff1009f,
    0xffff701f,0x3e62019f,0x98001fff,0x8000ffff,0x8804fffd,0x7400ffff,
    0xffffffff,0x3fffffff,0x027ffe40,0x03ffff50,0x2667fff6,0x407fffa9,
    0x36601ffc,0xffffeeee,0x801deeee,0x01fffff9,0x201bffea,0x000ffff8,
    0x803fffe8,0xd007fff9,0xf3007fff,0x7c000fff,0x00003fff,0x001bffea,
    0x009fff90,0x4017ffee,0x7f4c3ffc,0x45ffffff,0x3ea04ffa,0xf8800fff,
    0x32002fff,0xffffffff,0x002cefff,0xffffffb1,0xffff37df,0xffff819d,
    0x36000006,0xf8804fff,0xffd80fff,0xff8801ff,0xf98001ff,0xd8000fff,
    0xf8804fff,0x7f400fff,0xffffffff,0x800cefff,0x5004fffc,0x7c0fffff,
    0xfff984ff,0x13ffe207,0xffffffa8,0xffffffff,0x7fffc403,0x7ffdc03f,
    0xffff8806,0xfffe8000,0x7fff9803,0x07fffd00,0x00ffff30,0x07fffe60,
    0x7fd400c0,0x82e6007f,0x9804fffc,0x1004ffff,0xd9503fff,0xff8839dd,
    0x3ffe200e,0x7ff4406f,0xc98000ff,0x019acfff,0x5e654c00,0x07bfe61a,
    0x05ffffd8,0xfffb0000,0xfffea80d,0x3ffff80f,0xffffd980,0xfff98001,
    0xffd8000f,0xfff8804f,0x7fff400f,0x9aaaaaad,0x7ffe4000,0xffffa804,
    0x5fff502f,0x40ffff30,0x4006fffa,0x000ffff8,0x04ffffe8,0x806fffb8,
    0x000ffff8,0x803fffe8,0xd007fff9,0xf3007fff,0xb1000fff,0x3a00ffff,
    0x3fe601ff,0x3f2603ff,0xfff90fff,0xff7105bf,0x4c005fff,0x98002fff,
    0xfd801fff,0x5441efff,0x004ffffe,0x0003ffa0,0x3fee0000,0x7fffc403,
    0x65cc01df,0xff701efe,0xffd503ff,0xff05ffff,0xb5101dff,0x17ffffff,
    0xffff9800,0xfffd8000,0xffff8804,0xfffd5100,0x0015555b,0x37fff620,
    0xebaaaaaa,0x304fffff,0x2215fffb,0xabffffc9,0xfffcaaaa,0xff753007,
    0x200357ff,0xabfffffc,0xdaaaaaaa,0x55446fff,0xbffffbaa,0x3100aaaa,
    0x403bfffd,0x09ffffc8,0x37fffa60,0x3fff2601,0xff50019f,0x5555dfff,
    0xfff95555,0xfffff80b,0xfffedcee,0xff93ffff,0xdbdfffff,0x0bffffff,
    0x1bfff700,0x7fff7100,0x7ffff400,0xffffeeff,0x7c0006ff,0x0000a65f,
    0x51ffd400,0xffffa819,0xeecdeeff,0x4fffffff,0xdfffff30,0xffffffdb,
    0x6c3fffff,0xddffffff,0xfffffffe,0x981effff,0xfffbaaaa,0x01aaaabf,
    0x077fffa6,0x05ffff50,0xfffffffb,0x01dfffff,0x7ffffec0,0xffffffff,
    0x886fffff,0xffffffff,0xfffffffa,0xffffffff,0x7fdc07ff,0xffffffff,
    0x7ff403ff,0xffffffff,0xffffffff,0x3fffff66,0xffffffff,0x7fcc5fff,
    0x2fffffff,0x3fffffa6,0x7fd43fff,0x2fffffff,0x3fffffe6,0x3a604fff,
    0xffffffff,0xffffffff,0x7e405fff,0xffffffff,0x0fffffff,0xfffffff9,
    0xffffffff,0x3ea0001d,0x261bcfff,0x02ffffc9,0x7ffffcc0,0xffffffff,
    0x7ec0001f,0x003ffedf,0xfff98000,0xfc85fffe,0xffffffff,0xffffffff,
    0x3fffa04f,0xffffffff,0x5fffffff,0x3fffffe2,0xffffffff,0x4fffffff,
    0x3ffffff2,0xffffffff,0x3e63ffff,0xffffffff,0x7ffffcc0,0xfff31fff,
    0xffffffff,0x26009fff,0xffffffff,0xffffffff,0xffd80dff,0xffffffff,
    0xffffffff,0xffffffff,0x7ffffc07,0xffffffff,0x7ffff407,0xffffffff,
    0x36ffffff,0xffffffff,0xffffffff,0x7fff43ff,0x26ffffff,0xfffffffd,
    0x3ffa0fff,0x6fffffff,0x3ffffff6,0xf900ffff,0xffffffff,0xffffffff,
    0xfb007fff,0xffffffff,0x983bffff,0xfffffffc,0x00dfffff,0x7fff4400,
    0xffffffff,0xb10000ef,0xffffffff,0x00001dff,0x5ffffff3,0x2e000000,
    0x01ffffff,0xffffffd5,0xffffffff,0x7f4403df,0xffffffff,0xffffffff,
    0x7ffffcc4,0xffffffff,0x3fffffff,0xfffffff1,0xffffffff,0x361fffff,
    0xffffffff,0x7fffec4f,0xff15ffff,0xffffffff,0x2007ffff,0xfffffff8,
    0xffffffff,0x3fee03ff,0xfeffffff,0xffffffff,0xffffffff,0x7ffff407,
    0xffffffff,0x7ffff406,0xffffffff,0x16ffffff,0xffffffff,0xffffffff,
    0x7ffec1ff,0x25ffffff,0xfffffffc,0x7ffec7ff,0x25ffffff,0xfffffffb,
    0x3fea06ff,0xffffffff,0xffffffff,0xfd7000ef,0xdfffffff,0xfeb88039,
    0x2cefffff,0x7ecc0000,0xdfffffff,0xff700001,0x07ffffff,0xffc98000,
    0x0000003d,0x016ff5cc,0x7fffffe4,0x2cefffff,0xffffb100,0xff37dfff,
    0xb1019dff,0xffffffff,0xfffff37d,0x7fffc19d,0xffffffff,0x6fffffff,
    0x3ffffff2,0x7fe43fff,0x23ffffff,0xffffffda,0x003effff,0x7ffffed4,
    0xdeefffff,0xfffd800a,0xffdb4eff,0xffffffff,0x80ffffff,0xffffffc9,
    0x401dffff,0xfffffffe,0xffffffff,0x3f6e6fff,0xffffffff,0x42dfffff,
    0xfffffec9,0x3fb220ce,0x41dfffff,0xfffffed9,0x3fb221ce,0x02dfffff,
    0x7fffff5c,0xffffffff,0x50004eff,0x01579995,0x2b2e6200,0x88000000,
    0x009acca9,0x97510000,0x00000015,0x00000001,0x2ea60000,0x0019abcc,
    0x55e5d440,0xca880000,0x0001abcc,0xffffffb5,0xffffffff,0x76443bff,
    0x0cefffff,0x7ffff644,0x000000ce,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x73000000,0x99999999,0x99999999,0x54439999,0xcccccccc,0xcccccccc,
    0x65444ccc,0xcccccccc,0x000001ac,0x80000000,0x333220a8,0xcccccccc,
    0xcccccccc,0x32a20ccc,0xcccccccc,0x400000ac,0xcccccba9,0xcccccccc,
    0xccca884c,0xaccccccc,0x66544000,0x81bccccc,0x1bccccb9,0x6e654c00,
    0x88001abc,0xccccccca,0x8000accc,0xcccccca8,0x001acccc,0x66666544,
    0x33322001,0x65440acc,0xcccccccc,0x80009acc,0xcccccca8,0xa80acccc,
    0x665440bc,0x5cc03ccc,0x0acccccc,0xaccccb98,0x3332a200,0xcca881bc,
    0x201bcccc,0xccccccb9,0xdddd100a,0x3fffee5d,0xffffffff,0xffffffff,
    0x3fffa2ff,0xffffffff,0xffffffff,0x7ffff47f,0xffffffff,0x20002eff,
    0xcbcfffdb,0x30000001,0x3fe63ffd,0xffffffff,0xffffffff,0xff10ffff,
    0xffffffff,0x0001ffff,0xfffffb88,0xffffffff,0x447fffff,0xffffffff,
    0x00ffffff,0x3fffffe0,0x323fffff,0xffffffff,0x7ffedc05,0xdfffffff,
    0xffff1001,0xffffffff,0xfe8001ff,0xffffffff,0x02efffff,0xfffffff8,
    0x3fff2005,0x3fa0ffff,0xffffffff,0x2effffff,0xfffff100,0xffffffff,
    0x2fffdc1f,0x3ffffffa,0xffff501f,0x41ffffff,0xfffffffd,0xffff980f,
    0x7fc4ffff,0xffffffff,0xfffffc84,0xf507ffff,0x3f61ffff,0xffffffff,
    0xffffffff,0xf32fffff,0xffffffff,0xffffffff,0x7ccfffff,0xffffffff,
    0xffffffff,0x3fa2000d,0xffffffff,0xb9730000,0x7fcc379b,0xffff34ff,
    0xffffffff,0xffffffff,0x3ffee1ff,0xffffffff,0x20003fff,0xfffffffb,
    0xffffffff,0x5c7fffff,0xffffffff,0x03ffffff,0xffffff50,0x7cdfffff,
    0xffffffff,0xffffb00f,0xffffffff,0xff7005ff,0xffffffff,0x4007ffff,
    0xfffffff9,0xffffffff,0xff500dff,0x01ffffff,0xffffff10,0x3ffe67ff,
    0xffffffff,0xefffffff,0x7fffdc01,0xffffffff,0x3fffa3ff,0xfffff30f,
    0x3f60dfff,0xffffffff,0x3ffffe3f,0xfc83ffff,0x7fffffff,0x3fffffea,
    0xff87ffff,0xffffffff,0xffffd82f,0x3ffffee3,0xffffffff,0xffffffff,
    0x3ffffe2f,0xffffffff,0xffffffff,0x7fffffc7,0xffffffff,0x801fffff,
    0xffffffe8,0x4003ffff,0xffffffeb,0xffffbeff,0xfffff34f,0xffffffff,
    0xffffffff,0x3fffe21f,0xffffffff,0xfb0001ff,0xffffffff,0xffffffff,
    0xf98fffff,0xffffffff,0x000fffff,0xfffffff1,0x7ec7ffff,0x5fffffff,
    0x3fffffa0,0xffffffff,0x7fc401ff,0xffffffff,0x4001ffff,0xffffffff,
    0xffffffff,0xff881fff,0x04ffffff,0xffffffb8,0x3fffe1ff,0xffffffff,
    0xffffffff,0x3fffe200,0xffffffff,0x3fff21ff,0x3ffffe0f,0xfb83ffff,
    0xffffffff,0x3ffff61f,0xfa82ffff,0x5fffffff,0x3fffffe2,0xfd85ffff,
    0xffffffff,0x7ffff80f,0xffffeca8,0xeeeeeeee,0x2ffffeee,0x3ffff6e2,
    0xeeeeeeee,0x47fffeee,0xeffffeb8,0xffffeeee,0x6400efff,0xffffffff,
    0xd3001fff,0xffffffff,0xffffffff,0x3fffe61d,0xfffeeeee,0xffeeeeef,
    0x3b6e60ff,0xdeeffffe,0xffd0001b,0xfdffffff,0xdddddfff,0x730ffffd,
    0xdffffddb,0x980037bd,0xeeffffdb,0x7fffc42c,0x3200adff,0xceffffff,
    0x5fffffdc,0xfeedb980,0x1bdeefff,0xffeb8800,0xfeeeeeff,0x0effffff,
    0xfffffc88,0x7ff400ff,0x441dffff,0xeeffffdb,0xfffeeeee,0x5cc05fff,
    0xeffffeed,0x75c41bde,0x7fedc46f,0xa80fffff,0xcffffeec,0x7fff5c41,
    0x3fea02ff,0x4c0aefff,0xceeffffd,0xeeca880a,0x981dffff,0x2a03ffff,
    0x7c007fff,0xffb02fff,0x3fea007f,0x9fffb07f,0x7fffdcc0,0x3ffe205f,
    0xeffc9bef,0xffff5001,0xffffffff,0x41dfffff,0xf987fff9,0x7fc40fff,
    0x3fe200ff,0xc80000ff,0x1bdfffff,0x260ffff3,0xf8807fff,0x00000fff,
    0x440ffffa,0x03fffffe,0x8026b2a0,0x8007fffe,0x000ffff8,0x13fff200,
    0xffffeb98,0xfffff105,0x7fd407ff,0x401fffff,0x5403fffe,0x002ffffe,
    0x003fffe2,0xffb01fe4,0xa80bffff,0x74407fff,0x3204ffff,0x200effff,
    0x0007fffa,0x5c0bfffe,0x7d406fff,0x7fc007ff,0xfffb02ff,0x3ffea007,
    0x09fffb07,0x3ffffd10,0x07fffe60,0x7fcc0055,0xccdfffff,0xfffffffe,
    0x43fffcc2,0x440ffff9,0x2200ffff,0x0000ffff,0x27ffffcc,0x983fffcc,
    0xf8807fff,0x00000fff,0x260ffffa,0x02fffffe,0x3fe60000,0x7c4000ff,
    0x00000fff,0x2013fff2,0x81ffffe8,0xfffffff8,0x3ffff607,0x7f401fff,
    0xff9803ff,0x3e2004ff,0xfa800fff,0x7fffec06,0x3ea02fff,0xff8807ff,
    0xffb83fff,0x7cc00fff,0x99980fff,0x7fffc409,0x05fffd01,0x007fffa8,
    0xd80ffff4,0x98103fff,0xffb06fff,0x3fe2009f,0xfff705ff,0xff88000d,
    0xe882ffff,0x45ffffff,0xf987fff9,0x7fc40fff,0x3fe200ff,0x001500ff,
    0x20bffff9,0xf307fff9,0xff100fff,0x000081ff,0xf50ffffa,0x003fffff,
    0xbcba9880,0x1ffff9aa,0x7fffc400,0x3f200000,0xff1004ff,0xfff10bff,
    0x305fffff,0xffffffff,0x3fffe803,0x0bfffb00,0x07fffc40,0xb007fe20,
    0xffffffff,0x1fffea01,0x7ffffd40,0x3ffffe61,0xffff8801,0x1ffffdc1,
    0x203fffe6,0xa806fff8,0xfea87fff,0xb03ffdc2,0xfc887fff,0x413ffe0e,
    0x2004fffd,0xa81ffffb,0x0001ffff,0x037fffee,0x3fffffa2,0x3fe62fff,
    0xffff987f,0x07fffc40,0x81ffff10,0x2204fff9,0x2605ffff,0x44627fff,
    0xf8805fff,0xbff70fff,0x3fffa000,0x3ffffee3,0x3660001e,0xffffffff,
    0x001fffff,0x007fffc4,0x9fff9000,0x7fffdc00,0x7ffffc41,0xffc86fff,
    0x01ffffff,0x801ffff4,0x2006fffc,0x400ffff8,0xffd803fc,0x05ffffff,
    0x400ffff5,0x88fffffb,0x003fffff,0xfd0bfffe,0xffa8dfff,0x5fff507f,
    0x0ffff500,0xdc88dfff,0x0ffff601,0x6cc5fff7,0x9fffb00c,0x7fffc400,
    0x5ffff883,0x3fffa000,0xfffe880e,0x26ffffff,0xf986fff8,0xfff80fff,
    0x7fffc407,0x07fffec0,0x02ffffa8,0x7ddfffe6,0x007ffb4f,0xfd7ffff1,
    0xd0005fff,0x3ff27fff,0x0000efff,0xffffffb1,0xffffffff,0xff88003f,
    0x200000ff,0x4004fffc,0x7c43ffff,0xffffcfff,0x33fffe21,0x7401ffff,
    0xf8803fff,0x22003fff,0x4c00ffff,0x9fffb002,0x505ffffd,0xc800ffff,
    0xffeeffff,0x7f4004ff,0x3ffe23ff,0x3fee0fff,0x0dff906f,0x11fffea0,
    0x0001ffff,0xfc87fffb,0x7ec004ff,0x7f4004ff,0xfff904ff,0xff30007f,
    0x3ff603ff,0xfffc9fff,0x4c27ff47,0xfd80ffff,0x7ffc405f,0x7ffff40f,
    0x1ffff901,0xebfffcc0,0x4006a7ff,0xfffffff8,0xe8001fff,0xfffdbfff,
    0x10000dff,0xfffffffd,0xffffffff,0xff88003f,0x100000ff,0x333bfffb,
    0x89fffd00,0xff9ffff8,0x3ffee5ff,0x01ffff9f,0x201ffff4,0x01fffffa,
    0x03fffe20,0xfffd8000,0x86ffff9c,0x8007fffa,0xfffffffd,0xffd8006f,
    0x3fffee4f,0x3fff23ff,0x003ffd05,0x3fffffea,0x00ffffff,0xfffffd80,
    0x04ffffff,0x027ffec0,0x417fff20,0x00fffff8,0x83fffd40,0x31fffffd,
    0x5c43ffff,0x1ffff303,0x88017710,0x7dc0ffff,0x3ff206ff,0x7ffcc06f,
    0x01ffffff,0xfffff880,0x0004ffff,0xfffffffd,0xe8000dff,0xefffffff,
    0xffffffee,0x7fc4001f,0x220000ff,0xfffffffd,0x902fffff,0xff88bfff,
    0xffffc9ff,0x3ebffff1,0x7f401fff,0xa9999cff,0x6fffffec,0x7fffc400,
    0x3f600000,0xffff94ff,0x07fffa89,0xffffe880,0xc8000eff,0x3ffa5fff,
    0x3f66ffff,0x5ff884ff,0x3fffea00,0xffffffff,0xfffd8000,0xffffffff,
    0x7ffec004,0x7ffdc004,0xfffffb06,0xb809988b,0xffd86fff,0x7ffc1fff,
    0x3fe6002f,0x440000ff,0xeb80ffff,0x3fff601d,0x7fffcc04,0x001fffff,
    0xffffffb8,0x3a0001ef,0xffffffff,0xf70004ff,0x2019ffff,0x01ffff98,
    0x07fffc40,0xffff7000,0xffffffff,0x3ffee0df,0x4ffffc46,0xfacffff8,
    0xffff1fff,0xffffe803,0xffffffff,0x4000efff,0x000ffff8,0x93fff600,
    0x2a1ffffe,0x10007fff,0x03ffffff,0x5bffee00,0xfffffff8,0x07fffd0f,
    0xff500172,0xffffffff,0xfb0001ff,0xffffffff,0xfd8009ff,0x7dc004ff,
    0x7fec46ff,0x323fffff,0x7fdc6fff,0x3fff60ff,0x7ffc42ff,0x2aaa202f,
    0xaabffffb,0x7fc4000a,0x3a0000ff,0x7cc03fff,0xffffffff,0x3ffa6001,
    0x003fffff,0xfffffe80,0x05ffffff,0x1ffffd80,0x1ffff880,0x7fffc400,
    0x3fee0000,0xffffffff,0xff507fff,0xffff88ff,0xfdffff91,0x7fffcdff,
    0x7ffff401,0xffffffff,0x88000dff,0x0000ffff,0x993fff60,0x3ea6ffff,
    0xf30007ff,0x003fffff,0x5dfffea0,0xffffffff,0x005ffff3,0x7fffd400,
    0xffffffff,0xfffd8000,0xffffffff,0x7ffec004,0x7ffdc004,0x7fffff46,
    0xfff0ffff,0x7ffcc5ff,0xfffffb3f,0x1ffff505,0x3ffffee0,0xffffffff,
    0x3fe2002f,0xb02000ff,0xf980bfff,0xffffffff,0xfffd8801,0x000cffff,
    0xffffe801,0xfffffeff,0x7fffc005,0xfffd9803,0x7fc4001f,0x202000ff,
    0xfffffffe,0x502fffff,0xff88ffff,0xffff31ff,0x7fc5ffff,0x7ff401ff,
    0xffffffff,0x20004fff,0x000ffff8,0x9fffb002,0x53ffffd8,0x1000ffff,
    0xffffffff,0xfff30001,0xbbfffd1f,0x3ffedfff,0x0b66002f,0x557fffd4,
    0x00ffffba,0xadfffd80,0x04fffdaa,0x027ffec0,0xa97fff20,0xffcfffff,
    0xffff9eff,0x3fffe22f,0x2fffffde,0x06ffff88,0x3ffffffa,0xffffffff,
    0x3ffe2005,0x3ffd000f,0x301ffff2,0xfff5ffff,0xfffa801f,0x00ffffff,
    0x3a01dfb0,0xf71effff,0x400bffff,0x880effff,0xffffffda,0x3fe2000b,
    0xffd000ff,0xbfffb303,0x64013333,0x7fc45fff,0x3fff61ff,0x7ffc7fff,
    0x7fff401f,0xffffffff,0x220005ff,0xd000ffff,0x3ff603ff,0x7fffc44f,
    0x07fffa8f,0xfffffe80,0x4000efff,0xffaffff9,0xffffaaff,0x001ffffa,
    0x3ea0fff7,0x6fff87ff,0x7fffb000,0x443fffb8,0x9fffb01b,0x3fffe800,
    0x6c3bfff2,0xfffeffff,0x7ffe40df,0x82ffffff,0x03ffffe8,0x3ffffff2,
    0xffffffff,0x3ffe2003,0xfff9800f,0x03ffff73,0xfcbfffcc,0x7ffcc06f,
    0x0fffffff,0x03fff980,0x881dfffd,0x002ffffe,0xbffffffb,0xffffffdb,
    0x03dfffff,0x01ffff10,0x207fff30,0x4004fffc,0x7c44fffe,0x3fea1fff,
    0x7fc3ffff,0x7ff401ff,0xfd9999cf,0x0005ffff,0x001ffff1,0x3607fff3,
    0xffa84fff,0x7fffadff,0x7fffec00,0x05ffffde,0x77fffc40,0xff88ffff,
    0x0ffffdff,0x03fffc80,0xfb0ffff5,0x3f60009f,0x7ffcc3ff,0x6c17ffc1,
    0x22004fff,0x3fa2ffff,0x3ffa23ff,0x104fffff,0xffffffff,0xffffb887,
    0x36e200ff,0xeffffeee,0x2000bdee,0x800ffff8,0xff35fffb,0x7fcc09ff,
    0x0819717f,0x67ffffd4,0xb800ffff,0xffd05fff,0x3ffe607f,0xfff1006f,
    0xffffffff,0xffffffff,0xff1009ff,0xff7001ff,0x3fff20bf,0x7fffc004,
    0x0ffffc42,0x03fffffa,0xe803ffff,0xff503fff,0x1000bfff,0x7001ffff,
    0x3f60bfff,0xfffb04ff,0x00ffffbf,0x47ffffdc,0x04ffffe8,0x7fffffc0,
    0x3fff65ff,0x4407ffff,0x2a03fffe,0x05307fff,0x1fffec00,0x7ffcc0a8,
    0x04fffd84,0x43fffea0,0x4c0ffff8,0x1fffffff,0x3ffffea0,0xfffddeff,
    0x001fffff,0x00ffff98,0x7fffc400,0x6fffb800,0x40bffffa,0x6407fff9,
    0x37ffa1ef,0x00ffff88,0xd05fffb8,0x7dc07fff,0xf3002fff,0xffffffff,
    0xffffffff,0xf1007fff,0xf7001fff,0x3ff20dff,0x3fea004f,0x7ffc41ff,
    0x7fffd41f,0x01ffff84,0x501ffff4,0x007fffff,0x00ffff88,0xb06fffb8,
    0x3e209fff,0x7fffffff,0xfffff500,0x7ffffc43,0x3fffa002,0x3ea3ffff,
    0x06ffffff,0x00bfffa6,0x000ffff5,0x0ffff600,0x86fffa80,0x5004fffd,
    0x7c4dffff,0xffc82fff,0x7dc06fff,0xffffffff,0xffffffff,0xfff30002,
    0xf880001f,0xfb800fff,0x3ffee6ff,0xfff981ff,0x13ffe207,0x7fffc415,
    0x5fffb800,0x807fffd0,0x2006fffe,0xffffffd8,0xfff9beff,0x8800dfff,
    0xb800ffff,0xff906fff,0x3fea009f,0xfff887ff,0x0ffff81f,0x401ffff8,
    0x5403fffe,0x001fffff,0x003fffe2,0x6c1bffee,0x3ee04fff,0x07ffffff,
    0x3fffff98,0x1fffffa8,0xfffffb00,0x7ffc41ff,0x3a05ffff,0xfa801eff,
    0x000007ff,0x4007fffb,0xfd86fffa,0xffa804ff,0x7ff41fff,0x7ffcc0ef,
    0xff701dff,0xffffffff,0x1dffffff,0x7ffcc000,0x7c40000f,0xfb800fff,
    0x7fff46ff,0x7ffcc2ff,0x1bffea07,0x01ffff10,0x20bfff70,0x4c03fffe,
    0x4003ffff,0x1abccca8,0x4003ffb0,0x800ffff8,0xf906fffb,0xff5009ff,
    0xff105fff,0x3e0003ff,0x7f401fff,0xffb803ff,0x3e2006ff,0xfb800fff,
    0xfffb06ff,0xffffe809,0x7f4407ff,0x3ee04fff,0xc800ffff,0x86ffffff,
    0x4ffffffd,0x20037fa0,0xaaffffc9,0x540002aa,0xaaadfffe,0xcaaaaaaa,
    0x7ec46fff,0xaaaaadff,0xfffffeba,0xfffffc84,0xfffffede,0x7fd46fff,
    0xffeddfff,0x02ceffff,0xff755300,0x003557ff,0x3ffeeaa2,0xaaaaaabf,
    0x46fffdaa,0xfffffff8,0xaffffcce,0xffcaaaaa,0xfbaa886f,0xaaaabfff,
    0xfffdaaaa,0x7fff5445,0x3ff601ad,0x00001aff,0x10117fe0,0x7ffff755,
    0x55555555,0xb10dfffb,0x5555bfff,0xffffd755,0x3ffe609f,0xa8800abf,
    0x103ffffa,0x35bfffd5,0xdffffc80,0xff755101,0x555557ff,0xdfffb555,
    0x5bfffd10,0x3fffe603,0x3f6207ff,0x7400ffff,0x400effff,0x3ffffffb,
    0xffffffa8,0x26006203,0xfffffffe,0x004fffff,0x7fffffe4,0xffffffff,
    0x6fffffff,0x3ffffff6,0xffffffff,0xd106ffff,0xffffffff,0xffffffff,
    0x27ffffc7,0x0006f2a2,0xffffff50,0xffffffff,0x7ffff403,0xffffffff,
    0xffffffff,0xffffa86f,0xffffffff,0xffffffff,0x7ff46fff,0xffffffff,
    0xffffffff,0x3ff65fff,0xffffffff,0xfffff981,0x800003ff,0x1ffcbffd,
    0x3ffffffa,0xffffffff,0x6fffffff,0x7fffffec,0xffffffff,0xe986ffff,
    0xffffffff,0xffffb00e,0x6c5fffff,0xffffffff,0x3ffa02ff,0x3fa0ffff,
    0xffffffff,0xffffffff,0x7ec6ffff,0xffffffff,0xfffffc82,0xfffffd07,
    0xff507fff,0x1dffffff,0x3ffffea0,0xffff880f,0xd80002ff,0xffffffff,
    0x00ffffff,0xffffff30,0xffffffff,0xffffffff,0x3ffffe6d,0xffffffff,
    0x00dfffff,0x3fffffe6,0xffffffff,0x3fff62ff,0xe8000004,0xffffffff,
    0x05ffffff,0xfffffff5,0xffffffff,0xdfffffff,0x3ffffa20,0xffffffff,
    0xffffffff,0x3fffea6f,0xffffffff,0xffffffff,0xffff35ff,0xbfffffff,
    0x3fffffa0,0xa800007f,0x53ffffff,0xffffffff,0xffffffff,0x4dffffff,
    0xfffffff9,0xffffffff,0xfc80dfff,0xffffffff,0xffffa83f,0x36ffffff,
    0xffffffff,0x7cc0dfff,0xf54fffff,0xffffffff,0xffffffff,0x4cdfffff,
    0xffffffff,0xfffd06ff,0xffff50ff,0xd0ffffff,0xffffffff,0x3ffe607f,
    0x3ff606ff,0x80001fff,0xfffffffc,0x0fffffff,0xfffff100,0xffffffff,
    0xffffffff,0x3fffe2df,0xffffffff,0x003fffff,0xffffff91,0x7dfff7ff,
    0x0003fe98,0xffffb000,0xffffffff,0x3fe609ff,0xffffffff,0xffffffff,
    0x5c06ffff,0xffffffff,0xffffffff,0x3e66ffff,0xffffffff,0xffffffff,
    0xf15fffff,0xffffffff,0x3fea09ff,0x0006ffff,0x9fffd700,0x7fffffcc,
    0xffffffff,0xffffffff,0x3ffffe26,0xffffffff,0x2e03ffff,0xffffffff,
    0xfff982ff,0x5fffffff,0xfffffff1,0xb80bffff,0xf34fffff,0xffffffff,
    0xffffffff,0x44dfffff,0xffffffff,0xfff505ff,0xffff30ff,0xb0dfffff,
    0xffffffff,0x3ffe205f,0x3fea03ff,0x80001fff,0xfffffec8,0x02dfffff,
    0x7fffed40,0xffffffff,0xffffffff,0x3ffff6a6,0xeeffffff,0xa88000ad,
    0x0001accb,0x4c000000,0xffffffec,0x00ceffff,0x3fffff6e,0xffffffff,
    0x6fffffff,0xffdd9500,0xffffffff,0xb8dfffff,0xfffffffd,0xffffffff,
    0x2e5fffff,0xfffffffd,0x3ffa00ce,0x00001dff,0xfdb80cc0,0xffffffff,
    0xffffffff,0x7ed46fff,0xffffffff,0x400adeef,0xfffffec8,0x3f6e03ef,
    0x0cefffff,0x3fffff6a,0xe800ceff,0x36e0ceff,0xffffffff,0xffffffff,
    0x6dc6ffff,0xceffffff,0x1ffff600,0x7ffffedc,0xfec981cf,0x403dffff,
    0x400fffff,0x000fffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x33333220,0xcccccccc,0xcccccccc,0x3332a20c,0xcccccccc,0x510009ac,
    0x99999999,0x00135999,0x2b3332e6,0x3332e200,0x654401bc,0xcccccccc,
    0x2e6000ac,0xcccccccc,0x9730001c,0x01599999,0x66666544,0x000001bc,
    0x2a0002a8,0x00aa0002,0x98000000,0x00000001,0x00000040,0x65440000,
    0x0000acdd,0xbcdcca98,0x54c0001a,0xb880abcb,0x4c0001bc,0x000acdca,
    0x00999988,0x80cccccc,0xc98001ca,0x7cc00002,0xffffffff,0xffffffff,
    0x3e0fffff,0xffffffff,0xffffffff,0x7fffc00d,0xffffffff,0x202effff,
    0xfffffffc,0xffff980f,0x3604ffff,0xffffffff,0x7004ffff,0xffffffff,
    0x7000bfff,0xffffffff,0xfff301ff,0x7fffffff,0x3ee00000,0xfd8005ff,
    0xffd8004f,0x0000003f,0x002ffdc0,0xfb800000,0x13333103,0x19999980,
    0x36a00fec,0xffffffff,0x7edc002d,0xffffffff,0x366001df,0xffffffff,
    0x3fffff21,0x7fdc000e,0xdfffffff,0x7fff5c00,0xfffb04ff,0xfb81ffff,
    0x2aa622ff,0x417ffdc1,0x3003eca9,0xffffffff,0xffffffff,0x21ffffff,
    0xfffffffa,0xffffffff,0xf502ffff,0xffffffff,0xffffffff,0xffff01bf,
    0x907fffff,0xffffffff,0x7fffe40f,0xffffffff,0xffffb003,0xffffffff,
    0xfffe8003,0x3fffffff,0xffffffb8,0x0006ffff,0x7ffff540,0x7ffc000f,
    0x7ffc4007,0x00002eff,0x1ffff000,0x65440000,0x3600acdd,0x7fffe45f,
    0xfffb04ff,0x3e21ffff,0xfffb104f,0xffffffff,0xffb001bf,0xffffffff,
    0x2005ffff,0xffffffff,0xfffdbfff,0x800effff,0xffffffea,0x03ffffff,
    0xfffffff1,0xfffff509,0xffe81fff,0xffffcbff,0xffffbcff,0xfffffb35,
    0x3ffe6007,0xffffffff,0xffffffff,0xfff10fff,0xffffffff,0xffffffff,
    0xffff103f,0xffffffff,0xdfffffff,0xffffffb0,0xfff503ff,0x80bfffff,
    0x99999998,0x2e000999,0xffffffff,0x4004ffff,0xfffffffb,0xff981fff,
    0xffffffff,0xfd300002,0x00ffffff,0x00ffff88,0x7fffffc0,0x000001ef,
    0x0037fec0,0xffffda80,0xf82dffff,0x3fffe25f,0xffa84fff,0x30ffffff,
    0xffd109ff,0xffffffff,0x801dffff,0xfffffffe,0xffffffff,0x7fffcc01,
    0xffffffff,0xffffffff,0x3fee00ff,0xffffffff,0x886fffff,0x4fffffff,
    0xffffffa8,0x7ffdc0ff,0xffffffff,0x3fffffff,0x7ffffffb,0x3fffe600,
    0xfffeeeee,0xffeeeeef,0x3f6e60ff,0xeeeeefff,0xfffffeee,0xffdb980f,
    0xeeeeeeff,0x4ffffffe,0x7fffed44,0x3ffea02f,0x0000adff,0x3b2a0000,
    0xffffffee,0xfcb8007f,0x01bdffff,0x3ffff6e6,0x880003cf,0xfffffffd,
    0x7fc4000e,0x744000ff,0xdfffffff,0x10000000,0x880003b9,0xfffffffd,
    0x7c4fffff,0x3fffe24f,0xffa84fff,0x70ffffff,0xfffd09ff,0xfdb9dfff,
    0x80dfffff,0xeffffffc,0xfffffdcc,0xfffff805,0xfffffece,0xffffdfff,
    0xffff305f,0xffb9dfff,0x707fffff,0x09fffffd,0x3ffffff6,0xffffd80f,
    0xffffffff,0x3665ffff,0x003ffcac,0xf30ffff3,0xff881fff,0xfffd00ff,
    0xfffd8807,0x7fff403f,0x7fffdc03,0xffffb01f,0x7fffdc05,0x00000005,
    0xfffff700,0x20005fff,0x000ffffc,0x013fffe2,0x3fff2200,0x002fffff,
    0x01ffff10,0x3fffea00,0x000cffff,0x00000000,0xffffffd1,0xffffffff,
    0xb85ff51b,0x04fffffe,0xfffffffb,0xc81ffd51,0x104fffff,0x09fffff7,
    0x2009aca8,0x8807fffe,0xfffd81bb,0xffb11fff,0xfff881ff,0xc980aeff,
    0x100fffff,0x8809fffb,0xb00ffffa,0xffffffff,0x0bffffff,0x3003ffc8,
    0xff30ffff,0xfff881ff,0x7fffd00f,0x13fffe00,0x007fffd0,0x207ffff3,
    0x80fffff8,0x00fffff8,0x26666660,0x74000019,0xfffeefff,0xfff30005,
    0x7fdc007f,0x5c0001ff,0xffffffff,0x7fc40003,0x5c0000ff,0xffffffff,
    0x00000003,0xffffe800,0xffedceff,0xffeeffff,0x9fffb100,0xffffa980,
    0x7c44ffff,0x9801ffff,0x000fffff,0x1ffff300,0xfff98000,0x7ffcc3ff,
    0x7fffec4f,0xfffc800e,0x3fff605f,0xffff8804,0xfffff900,0xffff7117,
    0x3ffc807f,0x0ffff300,0x881ffff3,0xfd00ffff,0x3ee007ff,0x7ff406ff,
    0xfff9003f,0x7fffdc0b,0x2ffffe85,0xfffffb00,0x0001ffff,0x2bfffe60,
    0x001ffffb,0x00dfffd0,0x0037fff4,0xfffffd50,0x000019ff,0x001ffff1,
    0xffff9100,0x0005dfff,0x32000000,0x104fffff,0xfffffff7,0x4fffd807,
    0xfffff880,0x7fdc0cff,0x3e6002ff,0x31004fff,0xf3557975,0x98003fff,
    0xffffbaba,0x1ffffb06,0x0077fffc,0x03ffff90,0x2013fff6,0xd00ffff8,
    0x7f40dfff,0x7fe405ff,0xffff3003,0x81ffff30,0xd00ffff8,0x3a007fff,
    0x7f405fff,0xff5003ff,0xfffd80df,0x3fffee3f,0xffff5005,0x01ffffff,
    0x3fff2000,0x09ffff17,0x3fffea00,0xffffa801,0xffe98002,0x01dfffff,
    0x3ffe2000,0x2600000f,0xfffffffd,0x0000001e,0x3fffe200,0xfff9801f,
    0xffd804ff,0xfff8804f,0xffd01bdf,0xff9000bf,0xffd980df,0xffffffff,
    0xeb801fff,0xffffffff,0xeeeeefff,0xf11ffffe,0xdddddfff,0xdddddddd,
    0x3605ffff,0xf8804fff,0xff880fff,0x3fee03ff,0x1ffe407f,0x86fff880,
    0xf80ffff9,0x3ffa07ff,0xfffb803f,0x7fff404f,0xbfff9003,0xfffff880,
    0x0fffff88,0xfffff500,0x001fffff,0x9ffff100,0x003fffe4,0x00bffff0,
    0x800ffffb,0xffffffd8,0x800002ef,0x000ffff8,0xfffea800,0x000dffff,
    0xfc800000,0x26002fff,0xd803ffff,0xf8804fff,0x7fc00fff,0xfa8002ff,
    0xffb107ff,0xffffffff,0x403fffff,0xffffffe9,0xffffffff,0xffffffff,
    0xfffff52f,0xffffffff,0xffffffff,0x13fff609,0x03fffe20,0x803fffea,
    0x201ffff8,0x3a003ffc,0xfff984ff,0x05ffd80f,0x440ffffa,0x1fffffd9,
    0x01ffff40,0x01ffffc4,0x6effffd4,0x4002ffff,0xfffffffc,0xb80000ff,
    0x3e61ffff,0x90002fff,0x4401ffff,0x1003ffff,0xfffffff9,0xa880005f,
    0xffbaaaaa,0xaaaaabff,0x7d40000a,0xcfffffff,0x2aaaaa00,0xaaaaaaaa,
    0x82aaaaaa,0x8005fffe,0xd805fffc,0xf8804fff,0x3e200fff,0x88001fff,
    0x7440ffff,0xffffffff,0xffffffff,0xfffff901,0xffffffff,0xffffffff,
    0x3ee7ffff,0xffffffff,0xffffffff,0xfb05ffff,0xff1009ff,0xfff501ff,
    0x5ffff00f,0x001ffe40,0xff301771,0x177101ff,0x7fffff40,0xffffffff,
    0xfe803fff,0x7f4403ff,0xfb001fff,0xbfffffff,0x54cc4000,0x0000ffff,
    0xe86fffe8,0x10005fff,0x6407ffff,0xb800ffff,0xffffffff,0xffd80003,
    0xffffffff,0xffffffff,0xb80005ff,0xffffffff,0xfffffd83,0xffffffff,
    0x5fffffff,0x0017fffc,0x403fffd4,0x8804fffd,0x2200ffff,0x8002ffff,
    0x740ffff9,0xefffffff,0xffffffee,0xffff981f,0xfffeffff,0xffffffff,
    0x53ffffff,0xffffffff,0xffffffff,0x20dfffff,0x8804fffd,0xf880ffff,
    0x3ee02fff,0x3f200fff,0x2600003f,0x0000ffff,0x3ffffffa,0xffffffff,
    0xfffd006f,0x95333339,0x00dfffff,0x7fffffc4,0x300000ff,0x0001ffff,
    0x82ffff98,0x001ffffa,0x40ffffb0,0x4405ffff,0xfffffffe,0xf880000e,
    0xffffffff,0xffffffff,0x000fffff,0xffffe880,0xff10efff,0xffffffff,
    0xffffffff,0x3e21ffff,0x88001fff,0x6c00ffff,0xf8804fff,0x7fc00fff,
    0xfb8004ff,0x7ffdc7ff,0xf3100cff,0xff903fff,0xf9815bff,0xccccefff,
    0x31cccccc,0x999bffff,0x99999999,0x20799999,0x8804fffd,0xfd00ffff,
    0x7ff40bff,0x1ffe406f,0xfff30000,0x7f40001f,0xffffffff,0x4fffffff,
    0xfffffe80,0xffffffff,0x54000eff,0x02ffffff,0x3ffe6000,0x7e40000f,
    0x3ffe07ff,0xff50004f,0xfff505ff,0xffd3003f,0x03bfffff,0xffffd000,
    0xffffffff,0xffffffff,0xfb30000d,0x3dffffff,0xfffffff8,0xffffffff,
    0x27ffffff,0x002ffff8,0x00ffff98,0x4027ffec,0x400ffff8,0x001ffffd,
    0xb17fffe6,0x1003ffff,0xfd03ffff,0x7fc40bff,0xff0006ff,0x00000dff,
    0x4027ffec,0x900ffff8,0x4c3bffff,0x544ffffd,0xfffffffd,0x260001df,
    0x0000ffff,0x3ffffffa,0xffffffff,0x7f404fff,0xffffffff,0x00ffffff,
    0x9ffffb00,0xff980000,0x220000ff,0x999dffff,0x7fffd999,0x3fffa000,
    0x06fffe85,0x7ffff540,0x0000cfff,0x3bbbbb26,0xeeffffee,0x01bdeeee,
    0x3fff2200,0x302effff,0xdddddddb,0xdddddddd,0xff83bddd,0xfb8004ff,
    0xffd807ff,0xfff8804f,0x7ffcc00f,0xfe8800ff,0x7ffc2fff,0xffd9803f,
    0xfffb81ff,0x3fffee06,0xffd8002f,0x000005ff,0xa80dfffb,0x900ffffe,
    0xddffffff,0x87ffffff,0xfffffffd,0x20004fff,0x000ffff9,0x2b7fffa0,
    0xfcbaaaaa,0x204fffff,0xfffffffe,0x04ffffff,0x7fffc400,0x7cc00000,
    0x20000fff,0xfffffffb,0xffffffff,0xff70002f,0x7ffcc3ff,0xff70003f,
    0x07ffffff,0x3fe20000,0x000000ff,0xfffffff7,0x0000007f,0x3ffffb00,
    0x7fffcc00,0x6fffd805,0x7ffff540,0xffffe800,0x3ffee04f,0xffff86ff,
    0xffda880e,0x4c0bffff,0x220cffff,0xeffffffd,0x13ff6a20,0x3bfffff1,
    0xefecb980,0x3ffff701,0xfffffd50,0xffff705f,0xffffffff,0x5445ffff,
    0xcccccccc,0x3e60000a,0x20000fff,0x7003fffe,0x740fffff,0xffffffff,
    0x0000ceff,0x00ffff88,0x7ffcc000,0x3fa0000f,0xffffffff,0x5fffffff,
    0xffff1000,0x07fffe49,0xfff91000,0x005fffff,0xffff8800,0x7d400000,
    0xcfffffff,0x00000000,0x3fffff30,0xffffd100,0xffff7005,0xfffea883,
    0xf8802fff,0xdeffffff,0xffffffed,0xffffd80f,0xfffeddff,0xffffffff,
    0x3ffffe1e,0xfffffedf,0xfedfffff,0x541fffff,0xeeffffff,0xffffeecd,
    0xff304fff,0xffdbdfff,0xffffffff,0x3fffea3f,0xffffffff,0x02ffffff,
    0x7cc00000,0x20000fff,0x2003fffe,0xd02ffffa,0x33339fff,0xf1000001,
    0x00001fff,0x00ffff98,0xfffff300,0xffffffff,0x003fffff,0x23ffff20,
    0x004ffff8,0xffffb100,0x0005dfff,0x03fffe20,0x7ff54000,0x00dfffff,
    0x80000000,0x0cfffffe,0xdfffff90,0x3fffe600,0xffffedef,0x1fffffff,
    0x7ffffcc0,0xffffffff,0xff101fff,0xffffffff,0xffffffff,0x7fcc9fff,
    0xffffffff,0xffffffff,0x2fffffff,0xffffffc8,0xffffffff,0x3a04ffff,
    0xffffffff,0xffffffff,0xffffd5ff,0xffffffdb,0x0dffffdd,0xf9800000,
    0x20000fff,0x4003fffe,0xfd04fffd,0x000007ff,0x03fffe20,0xfff30000,
    0x3f60001f,0xffffffff,0xffffffff,0xff30004f,0xffff77ff,0xe9800003,
    0xdfffffff,0x7fc40001,0x4c0000ff,0xfffffffd,0x0000001e,0x3ffe2000,
    0xeddeffff,0x0fffffff,0x3ffffa00,0xffffffff,0x05ffffff,0xfffffd88,
    0xdfffffff,0x7fffcc00,0xffffffff,0xffffffff,0x7ffffcc3,0xffffffff,
    0xffffffff,0x3faa05ff,0xffffffff,0x1effffff,0x3ffffa20,0xffffffff,
    0xf94fffff,0x665ccbff,0x13fff61b,0xf3000000,0x40001fff,0x4003fffe,
    0xfd05fffc,0x000007ff,0x03fffe20,0xfff30000,0xff10001f,0x7dc009ff,
    0x3a0007ff,0xfffeefff,0x2a000006,0xfffffffe,0xff10000c,0x220001ff,
    0xfffffffc,0x0000002e,0xfff30000,0xffffffff,0x003fffff,0xfffffe88,
    0xffffffff,0x2004ffff,0xfffffeca,0x22002cef,0xfffffffd,0xffff9bef,
    0xfe980cef,0xdadfffff,0xfffffdae,0xf9001cff,0xffffffff,0x20059dff,
    0xffffffd8,0xffff9bef,0x09fb10ce,0x001bfb00,0xff980000,0x3a0000ff,
    0x22003fff,0xfd03ffff,0x000007ff,0x03fffe20,0xfff30000,0xff70001f,
    0x7c4001ff,0x50002fff,0xffffffff,0x70000005,0xffffffff,0xfff10007,
    0xff70001f,0x07ffffff,0x14c00000,0x7fec4000,0xffffffff,0x10000dff,
    0xfffffffd,0xdffff37d,0x2a200019,0x40000acc,0x1abccca8,0x99510000,
    0x665cc017,0x2a60000b,0x019abccb,0x5e5d4400,0x0000000a,0x40000000,
    0xffffbaa9,0x51001aab,0x555bfffd,0xfb555555,0xa883ffff,0xaaadfffe,
    0x5300000a,0x57ffff75,0xaa980035,0xbffffbaa,0x2601aaaa,0x00aefffe,
    0xefffea88,0xfff80009,0x0007ffff,0x3ff22000,0x005fffff,0x007fffc4,
    0x3fffff60,0x00000cff,0x017ff200,0x7ffed400,0x02dfffff,0x79951000,
    0x00000015,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fffffea,0xefffffff,0x3ffff601,0xffffffff,0xffffffff,0x7fffec6f,
    0xffffffff,0xff50000e,0xffffffff,0xc805ffff,0xffffffff,0xffffffff,
    0x3ffea3ff,0x0effffff,0xfffffe88,0x4001ffff,0x4ffffffc,0x88000000,
    0x0ffffffd,0x1fffe200,0xfffff100,0x000001bf,0x01ffff00,0x65d44000,
    0x00000abc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7ffffff4,0xffffffff,0xfffff305,0xffffffff,0xffffffff,
    0x7fffcc1f,0xffffffff,0xfd0004ff,0xffffffff,0x40dfffff,0xfffffff8,
    0xffffffff,0xfd0fffff,0xffffffff,0xffff707f,0x0bffffff,0xfffff880,
    0x0000000f,0x1bfffa60,0x017ffa00,0x07bfffa0,0xd8000000,0x000006ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x36000000,0xffffffff,0x04ffffff,0xfffffff1,0xffffffff,0x819fffff,
    0xfffffff8,0x3fffffff,0xffff9000,0xffffffff,0xfff80bff,0xffffffff,
    0xffffffff,0x3fffff66,0xa82fffff,0xffffffff,0xfd8005ff,0x00005fff,
    0x3bb50000,0x03bd3000,0x005bb300,0x91000000,0x00000019,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x64c00000,
    0xfffffffe,0x200cefff,0xffffffdb,0xffffffff,0x36a01bce,0xffffffff,
    0x20003eff,0xfffffec8,0x0cefffff,0x7fffed40,0xffffffff,0x221dffff,
    0xffffffec,0x3ffae03e,0x00ceffff,0x2ffffa80,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x53000000,0x003599b9,0x66ee54c0,0xb880021b,0x5e54401c,0x4cccc000,
    0xbdca8819,0x33333101,0x33333333,0x26203333,0x99800199,0x4cc40099,
    0x2f72e609,0x4ccc000a,0x502f72a1,0x440059b9,0x80199999,0x00999999,
    0x80266662,0x00099998,0x4ccccccc,0x26620001,0x99998019,0x00000000,
    0x30002200,0x44000600,0xaaaaaaaa,0xaaaaaaaa,0x0aaaaaaa,0x00002600,
    0x2aa60000,0x30000001,0x99999997,0x99999999,0x4c037999,0x3ff22000,
    0xefffffff,0x75404fdb,0xffffffff,0x2a01efde,0x83fffffe,0x0efffffd,
    0x3ffff620,0xff910fff,0xe81bffff,0xffffffff,0xffffffff,0x3fffaa0f,
    0x2200dfff,0xeffffffd,0x7ffff641,0xfffffe9c,0x7ec404ff,0xffeaffff,
    0xffe99eff,0x2601ffff,0xfffffffe,0xffffd84f,0x262effff,0xeffffffe,
    0x3fffff21,0x7ec04fff,0xffffffff,0x7ff5c000,0xfd84ffff,0x02efffff,
    0xb809f700,0x7ff7004f,0x803bf200,0x26000efc,0xffffffff,0xffffffff,
    0xffffffff,0x00dd1001,0x77f6dc40,0xfffa800c,0x5d402fff,0x00ceffec,
    0x3ffffff2,0xffffffff,0xffffffff,0x0f7ff4c4,0x3ffffea0,0xffffffff,
    0xfe880fff,0xffffffff,0x704fffff,0xffffffff,0x7ffffec9,0xff700eff,
    0x71ffffff,0xffffffff,0xffffe8df,0xffffffff,0x3a0fffff,0xffffffff,
    0x3ffff203,0x3e66ffff,0xffffffff,0xffffffff,0xffff701e,0xffffffff,
    0xffffffff,0x3f601fff,0xffffffff,0x3fffea2f,0x26ffffff,0xfffffffd,
    0xfffff35f,0x203fffff,0xfffffffa,0x22000fff,0xffffffff,0x3fffea2f,
    0x8007ffff,0x3f206ffc,0xdfff006f,0x07bfee00,0x800fffdc,0xfffffffd,
    0xffffffff,0xffffffff,0xbffb001f,0xffff5000,0x6c09ffff,0xffffffff,
    0xfffff704,0x3e03ffff,0xffffffff,0xffffffff,0x47ffffff,0x205ffffe,
    0xfffffffc,0xffffffff,0x7ff442ff,0xffffffff,0xb86fffff,0xffffffff,
    0xffffdcff,0x80efffff,0xfffffffb,0xffffffdf,0x3a3fffff,0xffffffff,
    0xffffffff,0x3ffffa0f,0x2e03ffff,0xffffffff,0x3ffffe66,0xffffffff,
    0x706fffff,0xffffffff,0xffffffff,0xdfffffff,0x3fffff60,0x261fffff,
    0xffffffff,0x3fff66ff,0xf36fffff,0xffffffff,0x3ffea03f,0x0fffffff,
    0x3fffe200,0x261fffff,0xffffffff,0x3ff62007,0xfffd881f,0x7fff8801,
    0x0bfff600,0x4017ffec,0xfffffffb,0xffffffff,0xffffffff,0xfffc801f,
    0x3fee003f,0xffffddff,0xfffffb85,0xb82fffff,0xfedceeff,0xffffb07f,
    0xffffffff,0xffffffff,0x7ffc4bff,0xffa80fff,0xecdeffff,0xffffffff,
    0x7ffffe43,0xfffecdef,0x7fc47fff,0xfffdefff,0xdfffffff,0x885fffff,
    0xfffffffd,0xddffffff,0x3fa3ffff,0xffffffff,0x6fffffff,0x7fffff54,
    0x7ff400df,0x641effff,0xffffffff,0xffffddff,0xffd883ff,0xecffffff,
    0xceffffff,0x980ffffe,0xfffffffd,0xffffd84f,0x262effff,0xeffffffe,
    0x3fffff21,0x7e405fff,0xffffffff,0x7ffdc000,0xfd84ffff,0x02efffff,
    0x03fffd10,0x003fffd1,0x003fffe6,0xb03fffd8,0xb7007fff,0xdddddddd,
    0xdddddddd,0x03ffffdd,0xffffffb8,0xbeffa802,0x8bffae20,0x99cffff8,
    0x080ffffc,0x2207ff60,0xeeeeeedb,0xeeeeeeee,0x40bdeeee,0x886ffffe,
    0x00effffe,0x7fffff73,0x0aefffd8,0x8dfffd50,0x263ffffc,0xffffffff,
    0x3ffffd11,0x7fffd4c0,0x261dffff,0x3ffa0efc,0xb99999cf,0x00efffff,
    0xf88dfff9,0x7ff40fff,0x7ffec05f,0xfe981eff,0x7ffc06ff,0x3ffe24ff,
    0x3ffe25ff,0x7ffd401f,0xfffc803f,0x7fdc00bf,0xffff987f,0x4c4001cf,
    0x00ffffa9,0xfffff900,0x7fff441d,0x3e6003ff,0xff982fff,0x3e6002ff,
    0x74000fff,0xfe884fff,0x000004ff,0x07fffe20,0xffffff98,0x7fec01ff,
    0xb9bfea02,0xffb83fff,0x9b97302f,0x0005ffb9,0xfe980000,0xfffc81ef,
    0xfff7004f,0x5fffe85f,0x44fff880,0xfa85fffe,0x4c4fffff,0x4c05ffff,
    0x3fffffff,0x3fff2020,0xfffff981,0x3ffea00e,0x1ffffdc7,0xb00bfffe,
    0xb80bffff,0x7fc07fff,0xffff85ff,0x02ffff85,0x806fffe8,0x5006ffff,
    0xffc8ffff,0x80002fff,0x000ffff9,0x3ffffea0,0xfffff99f,0x3fea002f,
    0xfffa82ff,0x39df902f,0x4c3fffe6,0xfd103fec,0xfe881bff,0x00000dff,
    0x1ffff880,0xffffff10,0x7c01dfff,0x0ffe806f,0xf101fff9,0xffe989ff,
    0x2fffffff,0x00000000,0x7fffc033,0x7fff4005,0x77fffec1,0x837101ab,
    0xf02ffff8,0x901fffff,0x4c01ffff,0x01efffff,0x986ff980,0x00efffff,
    0xd0ffffc4,0x7ccdffff,0x7ec00fff,0xff9805ff,0x3ffe00ff,0x2ffff81f,
    0x802ffff8,0x203ffffa,0x002ffffb,0x3a6ffff5,0x000dffff,0x1ffff300,
    0xfff98000,0xffffffff,0x3fee001f,0xfffb82ff,0xffff302f,0xbffffbdf,
    0x01ffffff,0x03bfffa2,0x01dfffd1,0xff880000,0xffe881ff,0xffffedff,
    0x00bff306,0x3ff63ffb,0x993ffa06,0xffefffff,0x00002fff,0xf8800000,
    0x54001fff,0xfffa86ff,0xdeffffff,0x3ffea01b,0x3ffff607,0xfeeeeeef,
    0x3e601fff,0x0000dfff,0x3ffe60a2,0xfd000eff,0x3ffe67ff,0xfff71fff,
    0x9fffb00f,0x1ffff100,0x40ffffc0,0xff82ffff,0xffd002ff,0x7fff40df,
    0x3ffea006,0x3fffffbf,0x7fcc0000,0x880000ff,0xfffffffe,0x3f6000ef,
    0xffd83fff,0x3fea02ff,0xffffffff,0xffffffff,0x3fffa201,0x7fff441f,
    0x2000001f,0xd81ffff8,0xfd16ffff,0x3fe09fff,0x9ffe601f,0xfa81fffb,
    0x37ffa3ff,0x817fe40a,0xaaaaaaa8,0xaaaaaaaa,0x000aaaaa,0x00ffff50,
    0xffc80620,0xffffffff,0xffc81eff,0x3ffee05f,0xffffffff,0x2602ffff,
    0x0000ffff,0xfffff980,0x3ff2000e,0xfffff95f,0x17fff69f,0x013fff60,
    0x803fffe2,0xff81ffff,0xffff82ff,0xffff5002,0x5ffff505,0x7fffd400,
    0x04ffffff,0x7ffcc000,0xd100000f,0x1bffffff,0x3fffa200,0x7ffec43f,
    0xfffd803f,0xffffffff,0x804fffff,0x42fffff9,0x02fffff9,0xfff10000,
    0xffffc83f,0x3fffe60e,0x1dffd83f,0x2a5ffd98,0x3620dfff,0xdff11fff,
    0x20bff660,0xfffffffb,0xffffffff,0x3fffffff,0x6fffb800,0x3aa00000,
    0xffffffff,0x7f43ffff,0x3fe603ff,0xffffffff,0x203fffff,0x000ffff9,
    0x7fffcc00,0x7d4000ef,0xffff8fff,0xfff8ffff,0xfffd803f,0xffff8804,
    0x07fffe00,0x3e0bfffe,0x3a002fff,0xffe86fff,0x7fd4006f,0xffffffff,
    0x300000ef,0x0001ffff,0x3ffff620,0x362005ff,0x220effff,0x00effffd,
    0xfffffd98,0xcfffffff,0xfffe8801,0x7fff444f,0x2000004f,0x2a1ffff8,
    0xa81fffff,0x442fffff,0xebbefffe,0x7f40efff,0xfffddfff,0x5efff45f,
    0xeffffdca,0x3ffffe0c,0xffffffff,0xffffffff,0xfb8007ff,0x000006ff,
    0xfffedba8,0x25ffffff,0x2a05fffd,0xffffffff,0x3fffffff,0x03fffe60,
    0xfff98000,0x88000eff,0xfffcffff,0xffcfffff,0xffd801ff,0xfff8804f,
    0x3fffe00f,0x82ffff81,0x2002ffff,0x2a2ffffa,0x4003ffff,0xdffffffa,
    0x01ffffff,0xffff9800,0xfe880000,0xefffffff,0x3ffee000,0x7ffdc0ef,
    0x3a6000ef,0x1dffffff,0x3fffa200,0x7fff443f,0x4000002f,0x3e1ffff8,
    0x2e02ffff,0x4c0fffff,0xfffffffe,0xfff881ef,0x0fffffff,0x7fffffcc,
    0x4fffffff,0x3ffffffa,0xffffffff,0xffffffff,0xfff98006,0x01000007,
    0x7ff654c4,0xfff90fff,0x7fffec0f,0xcccccccd,0x3e601ccc,0x00000fff,
    0x1dfffff3,0x7fff4000,0xffdeffff,0x007fffff,0x1009fffb,0x7c01ffff,
    0xfff81fff,0x2ffff82f,0x37fff400,0x000ffffd,0x21bffff5,0x06fffffb,
    0xffff9800,0x7f4c0000,0xffffffff,0x3e6001ef,0x7d40efff,0x3000efff,
    0xffffffff,0x3ffa2001,0x7ff441ef,0x000001ef,0x2a1ffff0,0xc803ffff,
    0xd702ffff,0x807dffff,0xffffffe9,0xfffd300e,0x9ddd79df,0x7fff64c1,
    0xffffffff,0xefffffff,0xfff0001c,0x4400005f,0x3e6006fe,0xfff53fff,
    0x3fffe05f,0xf300006f,0x00001fff,0x1dfffff5,0xf90072a0,0x57ffffff,
    0xbfffffff,0x13fff600,0x03fffe20,0xf81ffff8,0xfff82fff,0x7fdc002f,
    0xffffaaff,0xfffa8003,0xfffffa87,0x7fcc0004,0x260000ff,0xa9ffffff,
    0x01ffffff,0x3bfffa20,0x77fff440,0xffffe800,0x8805ffff,0x440dfffe,
    0x000dfffe,0x3ff60000,0x013ffe26,0x3007ffd8,0xddb70003,0x00cc007b,
    0x00000000,0x7ffff400,0x27ec4001,0x4007fff7,0xff36fffd,0xfff50bff,
    0x00003fff,0x001ffff3,0xfffffa80,0x03ffea05,0xffffffa8,0xffffff0f,
    0x3ff6007f,0xfff8804f,0x3fffe00f,0x82ffff81,0x8002ffff,0xffeeffff,
    0xff50007f,0x3ffe60ff,0x260001ff,0x0000ffff,0x1dfffff5,0x7fffffcc,
    0x7ffe4002,0xefffc80e,0x3ffff200,0x03ffffdd,0x20ffffa2,0x003fffe8,
    0xed980000,0x4001e4c1,0x000000bb,0x00000000,0x00000000,0x9fffff70,
    0xfffc8801,0xdffffb2f,0x7ffdc403,0x3ffff24f,0x3ffffe63,0x32a20eff,
    0xbaa884fe,0xaaabffff,0xffa801aa,0xaaabffff,0x2fffdaaa,0x3ffffe20,
    0x3ffff25f,0xfe9801ff,0x7d401dff,0xff302fff,0xffff07ff,0x07ffff07,
    0xfffff700,0x30007fff,0x015ffff9,0x55dffff7,0x55554c01,0xaabffffb,
    0x3ee201aa,0x880fffff,0x0cffffff,0x3bffea00,0x0efffa80,0x8effff98,
    0x80fffff8,0x881fffe8,0x0001fffe,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffffffc8,0xffedcdef,0xfd2fffff,0xbdffffff,0xfffffdd9,
    0x7fffc45f,0xfffffdef,0xfedfffff,0xd11fffff,0xffffffff,0xffffffff,
    0x3fffe207,0xffffffff,0x04ffffff,0x17fffffc,0x1ffffff3,0x7ffffcc0,
    0x7cc0ffff,0x1fffffff,0xffffffd1,0x7ffffc5f,0x3ffffe2f,0x7ffc002f,
    0x000fffff,0x3fffffe6,0xffe86fff,0x646fffff,0xffffffff,0xffffffff,
    0x7ffdc3ff,0x20efffff,0xffffffe8,0x3a2003ff,0xffd304ff,0x3ffff909,
    0x41ffffd4,0xf700effb,0x540001bf,0x00000bdc,0x00000000,0x99999800,
    0x99999999,0xa8819999,0xaaaaaaaa,0xaaaaaaaa,0x0aaaaaaa,0x7fec0000,
    0xffffffff,0xefffffff,0xffffffb0,0xffffffff,0xff709fff,0xffffffff,
    0xffffffdb,0x25ffffff,0xfffffffc,0xffffffff,0xfff307ff,0xffffffff,
    0x9fffffff,0x7ffffd80,0x06ffffe8,0x7fffffec,0x7fec4fff,0x95ffffff,
    0xffffffff,0x7fffffcd,0x3fffffe6,0x7ffdc006,0x64003fff,0xffffffff,
    0x7ffcc3ff,0xf12fffff,0xffffffff,0xffffffff,0x7ffc1fff,0x3fffffff,
    0x3fffffea,0xc8007fff,0x427ec04f,0xfc83fffa,0x03e981ff,0x30001f4c,
    0x07fffffd,0xffec8198,0xffffffff,0xffffffff,0xceffffff,0x101bfb10,
    0x7ffc1bfb,0xffffffff,0x27ffffff,0xffffffe8,0xffffffff,0xffffffff,
    0x001effff,0xffffb100,0xffffffff,0x7dc1dfff,0xffffffff,0x4fffffff,
    0x3ffffee0,0xffd15fff,0xffffffff,0x3fffee1d,0xffffffff,0x306fffff,
    0xffffffff,0xffffffff,0xffb809ff,0xfffa84ff,0x7ffe404f,0x43ffffff,
    0xfffffffc,0xfffff73f,0x7ffcbfff,0x3ffe5fff,0x44005fff,0x00ffffff,
    0x7ffffdc0,0xc81fffff,0x1fffffff,0x3ffffffe,0xffffffff,0x7f46ffff,
    0xffffffff,0x3ffffe61,0x0006ffff,0xdb802001,0x000b6e03,0xff500000,
    0x0bffffff,0xffa97fee,0xffffffff,0xffffffff,0xffffffff,0x7fff73ff,
    0x7c7fff70,0xffffffff,0xffffffff,0x3ffffee7,0xffffffff,0xffffffff,
    0x4fffffff,0x7ecc0000,0xffffffff,0xfc881cff,0xffffffcc,0x800cffff,
    0x4ffffff9,0x7ffffec4,0xfeb81cff,0xffffffff,0x01dfffff,0xfffffff3,
    0xffffffff,0xf8809fff,0xfff01fff,0xfec8805f,0x40ceffff,0xeffffec8,
    0x3fffae0c,0x3ffe0cef,0x3ffe1cef,0xc8001cef,0x8004ffff,0xfffffec8,
    0xfff103ef,0xfda87bff,0xffffffff,0xdfffffff,0x7fffe4c1,0xfdb83dff,
    0x01dfffff,0x00000000,0x00000000,0xffffff98,0x2e0dffff,0xff71ffff,
    0xffffffff,0xffffffff,0xffffffff,0x3fff29ff,0x24fffc84,0xffffffff,
    0xffffffff,0x3fffea7f,0xffffffff,0xffffffff,0xffffffff,0x31000003,
    0x35799995,0x99530001,0x00013579,0x4c015973,0x0001bccb,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xdffffd00,0x3dfffffb,0x44fffff7,0xfffffffe,
    0xffffffff,0xffffffff,0xff31efff,0x3fff301f,0x66666664,0xcccccccc,
    0x7ff5c4cc,0xffffffff,0xffffffff,0xceffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fffe600,0xfffff50d,
    0x07ffffff,0x33333331,0x33333333,0x33333333,0x88051013,0x0000000a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xf985fff8,0xffffffff,0x00000004,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0264c000,0xffffffd1,0x00000009,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xb8000000,
    0x0002cffe,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00002000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__courier_bold_49_latin_ext_x[560]={ 0,9,5,2,3,3,4,10,11,5,3,1,8,3,
9,3,3,3,2,2,3,2,4,3,3,4,9,8,-1,0,1,4,3,-1,0,1,0,0,2,1,0,3,2,0,
1,-1,-1,0,2,0,0,2,1,0,-1,-1,0,0,3,10,3,5,3,-2,8,1,-1,2,1,1,3,1,0,2,
3,1,2,-1,1,1,-1,1,2,3,3,0,0,-1,0,0,3,7,10,7,2,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,9,3,1,3,0,
10,2,6,-1,5,1,-1,3,-1,-2,6,1,6,6,8,0,2,9,8,7,5,2,0,-3,0,3,-1,-1,-1,-1,
-1,-1,-1,1,0,0,0,0,3,3,3,3,-1,-1,0,0,0,0,0,4,0,0,0,0,0,0,2,0,1,1,
1,1,1,1,-1,2,1,1,1,1,2,2,2,2,1,1,1,1,1,1,1,1,0,0,0,0,0,0,-1,0,
-1,1,-1,1,-1,1,1,2,1,2,1,2,1,2,0,1,-1,1,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,0,0,0,3,2,3,2,3,2,3,2,3,2,0,-1,2,3,0,1,1,1,2,1,
2,1,2,1,2,0,2,-1,1,-1,1,-1,1,-1,0,1,0,1,0,1,0,1,-1,-1,0,2,0,2,0,2,
2,3,2,3,2,3,2,3,1,3,1,3,1,2,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,0,0,
0,3,3,3,3,3,3,3,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,1,5,5,2,5,5,5,
5,5,5,5,5,5,5,5,5,5,0,1,5,5,5,5,5,5,5,5,5,5,5,5,5,0,0,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,-1,1,3,2,0,
1,0,0,0,0,0,0,0,0,0,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,-1,1,-1,-1,0,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static signed short stb__courier_bold_49_latin_ext_y[560]={ 36,7,9,6,5,8,11,9,8,8,8,11,30,21,
30,5,7,7,7,7,8,8,7,8,7,7,16,16,11,17,11,9,7,10,10,9,10,10,10,9,10,10,10,10,
10,10,10,9,10,9,10,9,10,10,10,10,10,10,10,8,5,8,7,44,7,16,8,16,8,16,8,16,8,8,
8,8,8,16,16,16,16,16,16,16,10,16,16,16,16,16,16,8,8,8,19,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,36,17,6,9,13,10,
8,8,8,10,7,17,21,21,10,2,4,5,7,7,7,16,8,19,34,7,7,17,7,7,7,17,0,0,0,2,
2,-1,10,9,0,0,0,2,0,0,0,2,10,2,0,0,0,2,2,15,8,0,0,0,2,0,10,8,7,7,
7,9,8,6,16,16,7,7,7,8,7,7,7,8,8,9,7,7,7,9,8,11,14,7,7,7,8,7,8,8,
3,10,0,7,10,16,0,7,0,7,1,8,1,7,1,8,10,8,3,10,0,7,1,8,10,16,1,7,0,7,
0,7,1,8,9,5,0,0,10,8,2,9,3,10,0,7,10,8,1,16,10,8,0,7,10,8,16,0,-1,10,
8,10,8,10,8,10,8,0,7,10,16,1,7,9,9,16,3,10,0,7,0,7,10,16,0,7,10,16,1,7,
0,7,0,7,9,16,1,7,10,10,1,8,10,10,2,9,3,10,0,7,-1,6,0,7,10,16,0,7,0,7,
2,0,7,1,8,1,7,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,9,8,8,7,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,14,8,8,8,8,8,8,8,8,8,8,8,8,8,5,15,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,1,7,1,7,1,
7,1,7,-1,3,-1,1,0,1,-1,0,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,-8,-2,0,7,0,7,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__courier_bold_49_latin_ext_w[560]={ 0,8,16,22,20,20,20,6,11,10,20,24,10,20,
8,20,20,20,21,21,20,21,20,20,20,20,8,11,26,26,26,19,19,28,25,24,24,24,24,25,26,20,25,27,
24,28,27,26,23,26,27,22,24,26,28,28,26,26,20,11,20,11,20,30,10,24,26,23,26,23,22,25,26,22,
17,24,22,29,24,24,26,26,23,20,23,25,27,28,26,26,20,12,6,12,22,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,8,19,23,20,26,
6,22,14,28,16,23,26,20,28,30,14,24,13,14,10,25,22,8,9,12,16,23,26,31,26,19,28,28,28,28,
28,28,28,24,24,24,24,24,20,20,20,20,25,27,26,26,26,26,26,18,26,26,26,26,26,26,23,23,24,24,
24,24,24,24,28,23,23,23,23,23,22,22,22,22,23,24,24,24,24,24,24,24,25,25,25,25,25,26,26,26,
28,24,28,24,30,26,24,23,24,23,24,23,24,23,24,30,25,26,24,23,24,23,24,23,26,23,24,23,25,25,
25,25,25,25,25,25,26,26,26,26,20,22,20,22,20,22,20,22,20,22,26,26,25,17,27,24,25,24,22,24,
22,24,22,24,22,25,22,27,24,27,24,27,24,27,24,22,26,24,26,24,26,24,28,28,27,23,27,23,27,23,
22,20,22,20,22,20,22,20,24,23,24,26,24,24,26,25,26,25,26,25,26,25,26,25,26,26,28,28,26,26,
26,20,20,20,20,20,20,22,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,24,23,23,22,23,23,23,
23,23,23,23,23,23,23,23,23,23,28,26,23,23,23,23,23,23,23,23,23,23,23,23,23,30,28,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,28,24,20,22,26,
24,26,25,26,25,26,25,26,25,26,25,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,28,24,28,28,26,25,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23, };
static unsigned short stb__courier_bold_49_latin_ext_h[560]={ 0,30,13,35,37,29,26,14,35,35,19,25,13,5,
7,36,30,29,29,30,28,29,30,29,30,30,21,25,25,13,25,28,33,26,26,28,26,26,26,28,26,26,27,26,
26,26,26,28,26,34,26,28,26,27,26,26,26,26,26,35,36,35,15,5,8,21,29,21,29,21,28,30,28,28,
38,28,28,20,20,21,30,30,20,21,27,21,20,20,20,30,20,35,35,35,10,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,0,28,32,27,21,26,
35,32,6,27,14,19,15,5,27,6,14,31,16,16,8,30,32,7,10,16,14,18,29,29,29,29,36,36,36,34,
34,37,26,36,36,36,36,34,36,36,36,34,26,34,37,37,37,35,35,18,32,37,37,37,35,36,26,29,30,30,
30,28,29,31,21,28,30,30,30,29,29,29,29,28,29,27,30,30,30,28,29,25,26,30,30,30,29,39,38,38,
33,27,36,30,32,26,37,30,37,30,36,29,36,30,35,29,26,29,33,27,36,30,35,29,32,27,35,30,37,39,
37,39,36,38,36,41,36,36,26,28,34,27,33,26,36,29,33,35,35,20,27,38,37,39,35,37,20,36,37,35,
37,26,28,26,28,26,28,36,29,35,29,35,29,27,28,30,34,27,37,30,37,30,26,21,36,29,35,29,35,29,
37,30,37,30,36,28,36,30,38,37,35,29,26,27,35,28,34,27,37,30,38,31,37,30,33,27,36,29,36,39,
34,36,29,35,28,35,29,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,35,28,28,28,
28,28,28,28,28,28,28,28,28,28,29,23,28,28,28,28,28,28,28,28,28,28,28,28,28,32,22,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,35,30,35,29,36,
30,36,30,38,34,38,36,37,36,38,37,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,44,39,36,30,40,33,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28, };
static unsigned short stb__courier_bold_49_latin_ext_s[560]={ 511,501,494,403,490,400,76,505,53,1,332,
211,500,446,503,334,293,473,52,471,174,426,426,304,334,379,502,494,184,474,236,
219,481,126,26,285,51,26,1,310,454,433,50,228,283,334,416,72,52,277,363,
336,1,105,155,471,444,76,412,426,428,280,404,467,492,369,98,1,228,423,99,
246,122,239,418,149,262,174,149,344,25,152,75,25,441,447,204,120,281,76,99,
40,498,319,377,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,511,493,99,
1,473,385,505,235,431,76,457,308,377,446,412,400,442,258,496,494,500,400,76,
501,496,494,425,353,130,98,206,157,442,346,188,325,193,106,356,75,24,396,134,
147,375,489,421,172,330,222,107,28,435,292,228,492,119,234,383,356,146,355,306,
74,469,26,1,254,448,309,394,400,228,204,277,1,467,421,377,49,326,281,127,
102,77,24,374,263,97,443,417,391,26,83,436,391,47,233,476,200,204,256,82,
103,410,52,228,350,281,447,255,125,308,399,22,183,176,1,378,255,177,132,45,
355,80,188,28,162,49,311,150,30,201,449,481,279,304,258,1,103,382,444,434,
22,99,258,465,284,135,214,459,285,232,403,161,353,333,391,1,148,473,202,450,
253,279,118,325,65,1,384,327,343,250,359,1,179,462,366,173,46,306,156,173,
180,12,204,211,272,310,225,127,233,1,179,232,261,93,350,123,25,201,424,380,
207,55,153,364,283,184,127,407,156,159,25,269,110,120,325,490,332,306,438,77,
377,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,352,195,195,487,
195,195,195,195,195,195,195,195,195,195,195,195,195,177,288,195,195,195,195,195,
195,195,195,195,195,195,195,195,146,315,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,70,252,
1,54,471,301,100,51,337,354,463,217,1,243,257,54,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,1,137,296,314,56,455,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195, };
static unsigned short stb__courier_bold_49_latin_ext_t[560]={ 1,195,313,159,1,327,444,122,159,159,498,
471,444,514,406,122,264,296,327,231,387,296,231,327,231,231,231,264,471,498,471,
387,195,471,471,387,444,444,444,387,416,416,416,444,444,444,444,387,471,195,444,
387,471,416,471,444,444,471,416,159,122,159,498,514,406,471,327,498,327,471,387,
264,387,387,1,387,387,498,498,471,265,296,498,498,387,471,498,498,498,264,498,
159,84,159,514,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,1,231,231,
416,471,416,84,231,514,416,498,498,498,514,387,514,498,231,357,296,458,231,231,
498,374,471,498,498,357,357,357,357,84,84,84,195,195,46,416,122,122,84,84,
195,84,46,84,195,416,195,84,84,46,159,159,387,231,46,46,46,159,122,416,
327,264,296,296,357,296,231,471,357,296,296,296,357,327,327,327,387,296,416,296,
296,296,387,296,471,444,264,264,264,327,1,1,1,231,416,122,264,231,444,84,
264,46,265,122,296,122,231,159,327,444,296,231,416,122,265,159,327,231,416,195,
231,46,1,46,1,122,1,122,1,122,122,416,357,195,416,231,471,122,327,195,
195,195,498,387,1,46,1,159,46,498,122,46,159,46,444,387,444,357,444,357,
122,327,159,327,159,327,387,357,264,195,387,84,296,46,264,444,498,122,327,159,
327,159,327,46,264,46,264,122,357,122,264,1,46,159,327,444,416,159,357,195,
416,84,264,1,231,46,264,195,416,84,357,84,1,195,84,327,159,357,159,357,
357,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,357,387,387,159,
387,387,387,387,387,387,387,387,387,387,387,387,387,357,471,387,387,387,387,387,
387,387,387,387,387,387,387,387,231,471,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,195,296,
195,357,84,296,122,296,1,195,1,84,46,84,1,46,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,1,1,84,264,1,195,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387, };
static unsigned short stb__courier_bold_49_latin_ext_a[560]={ 415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_49_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_bold_49_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_49_latin_ext(stb_fontchar font[STB_FONT_courier_bold_49_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_49_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_bold_49_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_49_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_49_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_49_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_49_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_49_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_49_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_49_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_49_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_49_latin_ext_s[i] + stb__courier_bold_49_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_49_latin_ext_t[i] + stb__courier_bold_49_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_49_latin_ext_x[i];
            font[i].y0 = stb__courier_bold_49_latin_ext_y[i];
            font[i].x1 = stb__courier_bold_49_latin_ext_x[i] + stb__courier_bold_49_latin_ext_w[i];
            font[i].y1 = stb__courier_bold_49_latin_ext_y[i] + stb__courier_bold_49_latin_ext_h[i];
            font[i].advance_int = (stb__courier_bold_49_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_49_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_49_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_49_latin_ext_s[i] + stb__courier_bold_49_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_49_latin_ext_t[i] + stb__courier_bold_49_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_49_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_49_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_49_latin_ext_x[i] + stb__courier_bold_49_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_49_latin_ext_y[i] + stb__courier_bold_49_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_49_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_49_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_49_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_49_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_49_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_49_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_49_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_49_latin_ext_LINE_SPACING
#endif

