// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_37_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_37_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_37_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_37_latin_ext_BITMAP_HEIGHT        340
#define STB_FONT_times_37_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_37_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_37_latin_ext_NUM_CHARS            560

#define STB_FONT_times_37_latin_ext_LINE_SPACING          24

static unsigned int stb__times_37_latin_ext_pixels[]={
    0x03999000,0x00044000,0x02001000,0x00044000,0x00000400,0x00620002,
    0x00800620,0x001ee980,0x01554c00,0x77774000,0x00006eee,0x00035073,
    0x4000ccc8,0x00000400,0x10003555,0xa9800001,0x3000002a,0x200003dd,
    0x2ccb8000,0xfff88000,0x4c400002,0x40000009,0xffb800ba,0x0006e206,
    0x0002ffcc,0x4400bda8,0x77d4000c,0x005ff100,0xddeedb88,0x40002dff,
    0x39000ffa,0x8001fb50,0x500b767a,0x005d700f,0x00005f90,0x000fff10,
    0xffffff00,0x640000ff,0x0004eabf,0x002fffdc,0x0015c076,0x00eff980,
    0x000ff660,0x03ffd100,0x13ea0000,0x01fd5000,0x0077fc40,0x01ffd400,
    0x3ffe2000,0xd5000005,0xffd00f95,0x003ff401,0x00006fc8,0x1e9800f3,
    0x40bff600,0x93004ffb,0x32e6019f,0xffb0003e,0x5c2e9805,0x4000ffff,
    0x5026cc7a,0x0067440f,0x00001e80,0x000bfe60,0x55555500,0xe8000055,
    0x440006ff,0x002ffcef,0x00d90bea,0x007fe400,0x03fffea8,0x3ff88000,
    0x16600000,0x7fffdc00,0x03fea000,0x027e4000,0x7f7ec000,0x4400001f,
    0x4401fb3f,0x3fe601ff,0x0ee8001f,0x01770000,0x3004e880,0x3fa201df,
    0x00bfb801,0x20006e40,0x3ee00efa,0x01ffd081,0x4f887a80,0x13e20f50,
    0x000c0c00,0x004fb800,0x00181800,0x000c0c00,0x1be61d90,0x3f29fd00,
    0x3fa00001,0x7fe42001,0xf3000003,0x0300000d,0xffd08003,0x00fe4001,
    0x000bf000,0x3ee7f300,0x7ec00006,0x2fa80310,0x017ffcc0,0x00007e60,
    0x4007ffb8,0x000002f9,0x000f6c40,0x00000d50,0xffc803f3,0xc83d4000,
    0xfb07a81f,0x47fd0003,0x000005fc,0xe80000f9,0x0017f23f,0xbf91ff40,
    0x881d3000,0x3fe6003e,0x200005ff,0xf50002f9,0x4000007f,0x200000fa,
    0x017f23fe,0x8003ff20,0x2600002f,0xe800000e,0x00017cc3,0x6c007f88,
    0x1fff8803,0x00015c00,0x003ffe20,0x00001f90,0x003ba200,0x00012e00,
    0xfb805f88,0x83d4000f,0x887a85fb,0xfe8000ff,0x0001bf24,0x00001d80,
    0x06fc93fa,0x649fd000,0x00b8006f,0xfff90012,0x1dc00001,0x07ff3000,
    0x02c80000,0xc93fa000,0xffb8006f,0x00073000,0x00000a80,0x01b102a8,
    0x00bf7000,0x3ffe0038,0x05e44000,0x05930000,0x00013e00,0x00036c00,
    0x40000760,0xffb801fe,0xc83d4000,0xf987a86f,0x8288001f,0x4000000a,
    0x0a200001,0x4400002a,0x00000a82,0x09988000,0x000c0000,0x000ffe60,
    0x00006000,0x000a8288,0x0000ffb8,0x00000000,0x00080080,0x8004fe80,
    0x00ffd000,0x01fccfa8,0x90000000,0x8000005f,0x400001fb,0xfb800059,
    0x01ff7006,0xffb07a80,0x5ff50f50,0x33333310,0x4ccc0133,0x33109999,
    0x01333333,0x4ccccccc,0x33333310,0x4ccc0133,0x33109999,0x01333333,
    0x4ccccccc,0x00015000,0x00159751,0x2b2ea200,0x1ffcc000,0x5d440000,
    0x331000ac,0x01333333,0x4ccccccc,0x000ffb80,0x75100000,0x88aa0359,
    0x99999999,0x26666600,0xff500099,0x77f54005,0x003fec02,0x0005b87a,
    0xdf500000,0x19801500,0xca8027cc,0x1d07531c,0x3fa05400,0x81ff7003,
    0x741ea019,0xf987a86f,0xfffca83f,0x2e01cfff,0x52dffffd,0x9ffffff9,
    0x7ffedc03,0xfff952df,0x5c039fff,0x52dffffd,0x9ffffff9,0x7ffedc03,
    0x3f2202df,0x3fee001f,0x04ffedce,0xb9dff700,0x26009ffd,0x200003ff,
    0xfedceffb,0x7fe5404f,0x201cffff,0x2dffffdb,0x7e40ffb8,0x4c0dffff,
    0x5c02fffe,0xffeccdff,0xfca87e63,0x01cfffff,0x37ffff6e,0x3feea202,
    0x7c4019af,0x7ec01f51,0xf31e2006,0x03310000,0x41ffc400,0xb881ffc8,
    0x403ec3fe,0xe9c8aee9,0x4402c84f,0x3fe61ffc,0x21ff7000,0xa84fffeb,
    0xf50bff07,0x4409ff10,0x2000ffff,0xff101ff9,0x7cc001ff,0xffff101f,
    0x0ffcc001,0x00ffff88,0x9007fe60,0x3003fffd,0x3f620bfd,0xbfd3001e,
    0x007bf620,0xfe987ff3,0xd300deff,0x3bf620bf,0x7fffc401,0x07fe6000,
    0xf980ffb8,0x07f403ff,0x101bfd10,0x207f5dfb,0x000ffff8,0x2a007fe6,
    0x5eefffee,0x80f625c0,0x1ec005fc,0x74c00099,0xaabdfdcf,0x45fe802a,
    0x541fffed,0x3e23fffd,0x7427cc04,0x203b82ff,0x361fffec,0x3fee007f,
    0xffffffa8,0x7fc43d45,0x9ff07a83,0x005ffd80,0x7fec05f8,0x405f8005,
    0xf8005ffd,0x02ffec05,0xfb002fc0,0x3ffa803f,0x403ffb80,0xfb803ffa,
    0x0ffe603f,0xf5007bea,0x7ff7007f,0x005ffd80,0x7fdc05f8,0x809ff700,
    0x0ffea03f,0xb01bff20,0xbf000bff,0x00dfd000,0xb80ba2d4,0x774c004f,
    0xf50000ee,0x7fffcc1d,0x06fe807f,0x3ee03ffb,0xa807ee3f,0x20ffb06f,
    0x1ffd804a,0xfb801ffe,0xffd51dbf,0xfd83d45f,0x5fb07a82,0x004ffc80,
    0x7fe404e8,0x404e8004,0xe8004ffc,0x027fe404,0xf7002740,0x2ffc403f,
    0x203ffb00,0x36005ff8,0x7ff301ff,0xf8805e88,0x3ff6005f,0x013ff201,
    0xff7013a0,0x5037fc01,0x1bfe201f,0x201ffe80,0xe8004ffc,0x27fc4004,
    0x1b273e00,0x20007f50,0x3e20005e,0x9affb83f,0x80ffd800,0xff301ffc,
    0xff103747,0x5c17fe01,0x11ffb803,0x7dc00dff,0x4dffb05f,0x505f507a,
    0x3201fa0f,0x4e8003ff,0x001ffe40,0x3ff20274,0x404e8003,0xe8003ffc,
    0x07fee004,0x2001ffd8,0xffb06ffa,0x37fd4003,0x3a23ff98,0x03ffb004,
    0x9037fd40,0x9d0007ff,0x200ffb80,0x09d02ffb,0xb8017ff4,0x3f206fff,
    0x04e8003f,0x0017fd40,0x30033b22,0xff30005f,0x3fee0001,0x003ff881,
    0x3ee07ff2,0x47ff301f,0x413f604f,0x05b03ff8,0x3e63ff70,0x3fee005f,
    0x23fff301,0x801ba07a,0xffc803f9,0x404e8003,0xe8003ffc,0x01ffe404,
    0x3f202740,0x04e8003f,0x5c07fee0,0xfe8005ff,0x02ffdc3f,0x4c1fff40,
    0x009f33ff,0x20017fee,0xff903ffe,0x809d0007,0x3e200ffb,0x701f986f,
    0x3e600bff,0xf903ffd9,0x09d0007f,0x000ffc80,0x00fc4000,0x001ffe40,
    0xff00ffd8,0x1ffe400b,0xf980ffdc,0x2a05f13f,0x1ff500ff,0x3ee003a0,
    0x009ff51f,0xfb007fdc,0x7901ea5f,0x20039300,0xe8003ffc,0x01ffe404,
    0x3f202740,0x04e8003f,0x4001ffe4,0x3fee004e,0x005fff01,0x7c1fff70,
    0xfb8002ff,0x5ffcc0ff,0x3fe003f9,0xffb8002f,0x03ffc80f,0x7dc04e80,
    0x0ffdc00f,0x3fff81b2,0xff73f880,0x07ff901f,0xe8009d00,0xa998007f,
    0x8003f000,0x0007fff8,0x3fa01ff9,0x13fee006,0x7c407fee,0x3a05f33f,
    0x41bf204f,0x3ff70068,0xb800fff2,0x3ff200ff,0x9d300f53,0xc8009b10,
    0x4e8003ff,0x001ffe40,0x3ff20274,0x404e8003,0xe8003ffc,0x07fee004,
    0x0007ffe2,0x7c47ffea,0xfa8001ff,0x6ffcc1ff,0xff1004ff,0xff50003f,
    0x07ff903f,0xfb809d00,0x2ffc400f,0x7ffcc0fe,0x3e64e802,0x3ffc81ff,
    0x4004e800,0x3aa005ff,0x404ffedf,0x77dc000f,0xfa8002ff,0x05ff882f,
    0x2e17fea0,0x7ff101ff,0x3fe607ea,0x209ff102,0x3ff7004a,0xb8013fee,
    0x3fee00ff,0x9b300f53,0x4001bb10,0xe8003ffc,0x01ffe404,0x3f202740,
    0x04e8003f,0x4001ffe4,0x3fee004e,0x01fffa81,0x52fff980,0x30003fff,
    0xff985fff,0xa802ffeb,0x98001fff,0xffc82fff,0x404e8003,0xfc800ffb,
    0x2a01f51f,0x36c01fff,0x320fffe2,0x4e8003ff,0x00ffe600,0xff5077d4,
    0x74003409,0x8005ffbc,0xffa85ff8,0x13fee001,0x7c407fee,0xf901f53f,
    0x0bff201f,0xffb80164,0x4009ff51,0x3ea00ffb,0xbb80f52f,0x800ecc00,
    0xe8003ffc,0x01ffe404,0x3f202740,0x04e8003f,0x4001ffe4,0x3fee004e,
    0x00fffc81,0x94fff880,0x10001fff,0xff989fff,0x401fff8b,0x8000fffc,
    0xfc84fff8,0x04e8003f,0x44007fdc,0x6409d5ff,0x3ee00fff,0xc84fff80,
    0x4e8003ff,0x007fee00,0x3fec1ffc,0x9fa80010,0x8001fff8,0xfb10bff9,
    0x2ffc8007,0xf101ffb8,0x3607e67f,0x0fff306f,0xffb801a6,0x400bff11,
    0x3ee00ffb,0x3740f50f,0x9007f300,0x9d0007ff,0x003ffc80,0x7fe404e8,
    0x404e8003,0xe8003ffc,0x07fee004,0x8001fff6,0xfffb5fff,0x2fffc000,
    0x7fd4ffe6,0x1fff600e,0x85fff800,0xe8003ffc,0x007fdc04,0x01faffc8,
    0xfa81fff6,0x90bfff01,0x9d0007ff,0x803fec00,0xffc83ff8,0x4bb00000,
    0x30004ffc,0x03bfbfff,0x703ffb00,0x3fe203ff,0xbfd05f13,0x20bfbb30,
    0x3fee002d,0xb801bfe1,0x9ff201ff,0x305f507a,0x3201fa0b,0x4e8003ff,
    0x001ffe40,0x3ff20274,0x404e8003,0xe8003ffc,0x07fee004,0x8001fff6,
    0xfffb5fff,0x2fffc000,0xffc8ffe6,0x01fff605,0xc85fff80,0x4e8003ff,
    0x8007fdc0,0x6406fff8,0x07f307ff,0x7e42fffc,0x04e8003f,0xc8013fe0,
    0x00ffb80e,0x262f9800,0x44000fff,0x8000111e,0xffb80ffe,0x7c7ff101,
    0x260ffc83,0x5d84fd8e,0xb0ffdc00,0x7fdc00ff,0x7a8ffa01,0x0f505fb0,
    0xff900bf6,0x809d0007,0xe8003ffc,0x01ffe404,0x3f202740,0x04e8003f,
    0x3207fee0,0xf0000fff,0x3fff27ff,0x7fff0000,0x7ec3ff98,0x1fff904f,
    0x0fffe000,0x2000fff2,0x07fdc04e,0x805ffb00,0x7440fffb,0x0fffe204,
    0x2000fff2,0x5ff1004e,0xfeb88000,0x005fc81f,0x07ffd0d9,0x00005e80,
    0xffc837f4,0x647ff101,0xecfffa86,0x754bfb0e,0x3ee02444,0x801ff21f,
    0xdf304ffb,0x3ff887a8,0x0bff07a8,0x8003ffc8,0x1ffe403e,0x3201f400,
    0x3e8003ff,0x001ffe40,0xff7001f4,0x03fff503,0x25fff100,0x8001fffa,
    0x7d42fff8,0x1fffc44f,0x000fffd4,0x6417ffc4,0x3e8003ff,0x000ffe40,
    0xff500ff3,0x4c06d81f,0xffc82fff,0x003e8003,0x20001ff5,0x1ffcbed9,
    0x200fffc4,0x6ffa83f8,0x2affea00,0x80009999,0x7ffd02ff,0xf98ffe20,
    0x44fffd80,0x81ceeffa,0x0ffdc01d,0x2e003ff5,0x7f442fff,0x5ff83d41,
    0x4ff887a8,0x0027fdc0,0x3fee01fc,0x403f8004,0xf8004ffb,0x027fdc03,
    0xf7001fc0,0x5fff303f,0x3fff3000,0x000bffe6,0xf707ffe6,0x7fff70bf,
    0x002fff98,0xb81fff98,0x3f8004ff,0x001fff40,0x3fe2013a,0x5003f22f,
    0xff701fff,0x007f0009,0x220017f2,0x07fee2fd,0x3ee01ffa,0x003fff00,
    0x3fffffea,0x800cffff,0xffeb87fa,0x7fc41dff,0x02982743,0x05a806a2,
    0x7f41ffb8,0xf7ff7003,0x501bfb9d,0x2a1bfe0f,0x403ff987,0xf8005ffb,
    0x02ffdc03,0x3ee01fc0,0x03f8005f,0x4002ffdc,0x3fee003f,0x007fff00,
    0xff8fff50,0xffa8003f,0x3ffffae7,0xffffd33e,0x01fffc7d,0xb83ffd40,
    0x3f8005ff,0xbffffd70,0x003f3005,0x0fd53ffa,0xb83ffdc0,0x3f8005ff,
    0x8007fb00,0x7fdc1ef9,0xe800a881,0x017ff204,0xffffffb8,0x400fffff,
    0x440004fd,0x007d42ff,0x801e8000,0x2fc40ffb,0x988ffb80,0x41ea009a,
    0xa87a87fd,0x7fd402ff,0x00fcc006,0x3001bfea,0x6ffa803f,0x200fcc00,
    0x4c006ffa,0x1fee001f,0x8006ffb8,0x7fdc2ffd,0x2ffd8006,0xff700000,
    0x5ffb000d,0x001bfea0,0x000003f3,0xffa80172,0xfb002f9e,0x1bfea05f,
    0x2003f300,0x3e6000ff,0x01ffb82f,0x3337ea00,0xfffdcccc,0x26679000,
    0x3fdbaaa9,0x0003be20,0xd903ff30,0x09b00000,0x7dc1fee0,0x00ffb800,
    0x6fc83d40,0x1ff987a8,0x007ffc40,0xff100f70,0x03dc001f,0x0007ffc4,
    0xfff100f7,0x003dc001,0xffd01bee,0x2ffcc005,0x2002ffe8,0xf1005ff9,
    0x3fa0017d,0x3fe6002f,0x03ffe205,0xfe807b80,0x05f1001c,0x04fffd80,
    0x4409ff30,0x2e000fff,0x00bf3007,0xff707fc8,0x676c0003,0xeccccccc,
    0x05b803ff,0x1fb81b20,0x0ff98000,0x400009d0,0x1bee004d,0xffb805e8,
    0xb83d4000,0xf887a85f,0x3ffc800f,0x2009f300,0xf3003ffc,0x0fff2009,
    0xc8027cc0,0x9f3003ff,0x403fb800,0x36006ff9,0xdff300ff,0x007fec00,
    0x003ffd88,0x6c00dff3,0x7fe400ff,0x009f3003,0x3600dff7,0xfff88005,
    0x00dfd000,0x26007ff9,0x03f9004f,0xb81ffd80,0x17f441ff,0xf5005f10,
    0x03f980df,0x174412e0,0x06f98000,0x80003762,0x7dc004e8,0x7007e604,
    0x7a8001ff,0x0f503f90,0x7ec007f6,0x02fcc01f,0x3007ff60,0xffd800bf,
    0x002fcc01,0xf3007ff6,0x361ec40b,0x4ffa800f,0x401efc80,0xfc804ffa,
    0x5fc8001e,0x013fea00,0x6c007bf2,0x2fcc01ff,0xf90ff300,0x0001fdbf,
    0x32017ff6,0xffb000ff,0x205f9803,0x0009f0fc,0xffb89ff7,0xdff738af,
    0xfd003640,0x02ff405f,0x4e881e88,0x541b9000,0x02fc801f,0x101f6440,
    0x400fc89b,0x3ff201ea,0x443d4001,0x220f504f,0xfff1004f,0x77edc437,
    0x7ffc4000,0x3bf6e21b,0x7ffc4000,0x3bf6e21b,0x7ffc4000,0x3bf6e21b,
    0x2bbfee00,0x3a2002fa,0xdfe981ef,0x3dfd1000,0x001bfd30,0x1000bf60,
    0xfd303dfd,0x7fc4001b,0x3f6e21bf,0x13ea000e,0x00bffffe,0x6fed7dc0,
    0x06fec40a,0x37fff100,0x0077edc4,0x000d91fd,0x3f3bffe2,0x31efffac,
    0x0fe209ff,0x205ffb80,0x2a01dffd,0x002e982e,0xd37fff10,0x67ecc009,
    0x07f93101,0xf35dff70,0x40762005,0x54002ffd,0xf5026cc7,0x4005f4c0,
    0xffffffc8,0x10000cff,0xfffffff9,0x2200019f,0xfffffffc,0x910000cf,
    0xffffffff,0xfffb0019,0x3ae0003b,0x2effddff,0xbffd7000,0x0005dffb,
    0x0009fb71,0x7eefff5c,0x910002ef,0xffffffff,0x3f2a0019,0x1cffa80d,
    0x543f3000,0xeffddffe,0xff910002,0x19ffffff,0x002eea80,0x977ff540,
    0x1441eff8,0x44001f70,0xfd101fff,0xfddddfff,0x0019103d,0x2efffc80,
    0xffd71000,0x0079dfdd,0x01dfffd8,0x3f6e1b80,0x5002cfff,0x2a016e4f,
    0x002eb807,0x03577531,0x5d4c4000,0x200001ab,0x01abba98,0x2ea62000,
    0x010001ab,0x1aa98000,0x554c0000,0x01a80001,0x0d54c000,0x75310000,
    0x53000357,0x80001001,0x06aa6028,0xba988000,0x000001ab,0x00804400,
    0x8006f880,0x6d405ffe,0x03deffff,0x00200000,0x0004c000,0x40000180,
    0x09999999,0x10003100,0x00004003,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x01bf6200,0x033fffa0,0x00000620,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fffdc00,0x7fec00df,0x003fffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0x00000998,0x00001001,0x0002aa98,0x0001eed8,0x00555300,
    0x4cccccc4,0x99999999,0x00800999,0xccc80004,0x99930001,0x3ba20000,
    0x8000000e,0x00002eed,0x00155510,0x26666660,0x04000019,0x45550000,
    0xe98002aa,0x2200005e,0x0020001b,0x1f764001,0x88d54400,0x002001aa,
    0x33332201,0x2aa603cc,0x666665c2,0x000f6a1c,0x0000d554,0x000dffd0,
    0x06c03660,0x3ffe0000,0x7fdc0001,0xb000006f,0x7ec007ff,0xffffffff,
    0xffffffff,0x7501d802,0xbfff7000,0x3fff6000,0xffc80003,0x4000005f,
    0x0006fffa,0x00bff700,0x77fff654,0x000eefee,0x0015c076,0xf13ff980,
    0xffd0009f,0xf700007f,0xb0001ddb,0x4c00ae03,0x4000ffff,0x3ff70ffc,
    0x0d006c00,0x33337fe6,0x70fff603,0x25ff9999,0x4001fff8,0x0000eff9,
    0x07ffdf70,0xb07b2000,0xf9800009,0x7c40002f,0x0003ffae,0x4004ff80,
    0xb99aadfe,0xca999eff,0x3f9802ff,0x7c400354,0x4002ffce,0x00ffddfa,
    0x3ef7e600,0x2000002f,0x003ffaef,0x006fd800,0xbfffffb1,0xfa8003c4,
    0x00002e42,0x037ccdf5,0x7fe67dc0,0x90f40000,0x85f50007,0x2bfa006c,
    0x7ec005fe,0x50013f23,0xbd73137d,0x8003fe60,0x5ff004ff,0x20007ffc,
    0x00000ffb,0x03feabf1,0x2ffe2000,0x00000fe8,0x40001fe4,0x01fd10ec,
    0x02fd4000,0xffa82740,0x2007f305,0x02fb8dfc,0xdf30ec80,0x3ee5e800,
    0x99760004,0x7000006e,0x003fa21d,0x00ef8800,0xfffffe88,0x8001e25f,
    0x003f94fe,0xf70fe400,0x23f88005,0x260004fa,0xe8003546,0x2003f94f,
    0x03fb11fa,0x01ba37c0,0x7fffff40,0x01ff301f,0xf8017e60,0x000b262f,
    0x800007fa,0x00274c4c,0x3ffffb80,0x04e80000,0x9b059800,0x07640000,
    0xfa807400,0x400ee05f,0x006ffff8,0x1f440e88,0x1f984b80,0xd885a800,
    0x74400003,0x00005c80,0x7e4007ea,0x25ffffff,0x3e600078,0x00004fff,
    0x0017226c,0x007a60f2,0x00f20e80,0x27fffcc0,0x0d701d00,0x05f07e20,
    0x3fff2200,0x03fe601c,0xf0007640,0xf100005f,0x24c00005,0x00000d88,
    0x0000dffd,0x20000b10,0x00001402,0x8160001d,0x0e205ffa,0x01fffb80,
    0x00e00b80,0x0007101c,0x00003805,0x00150054,0xe800b200,0x5fffffff,
    0xfb0001e2,0x800001ff,0x28000d86,0xb8000a20,0x0000fdcf,0x4003fff2,
    0x20026009,0x0002cc4a,0xff9800a8,0x8001d000,0xb80002ff,0x00400003,
    0x98800004,0x88000009,0x00000000,0x00018000,0x00bff500,0x00099800,
    0x00000000,0x00000000,0x00000000,0xfff1000c,0x44bfffff,0x4cc40007,
    0x81800000,0x00000001,0x00057100,0x00013310,0x11030000,0x98000000,
    0x003000ff,0x00285ff0,0x20000018,0x000acba8,0x33333331,0x4cccc013,
    0x51000999,0x01501597,0x0565d440,0x33331054,0x4ccc0013,0xa8009999,
    0x100005ff,0x15015975,0x44000000,0x51000019,0x28837997,0x99999988,
    0x26666609,0x99880999,0x2e601999,0xf10cc0ac,0xbfffffff,0x4ccc43c4,
    0x26600099,0x31099999,0x13333333,0x4cccccc0,0x15973009,0x26662198,
    0x20099999,0x09999999,0x98159730,0x33333101,0x22001333,0x0000acba,
    0xf9800cc4,0x2666600f,0x7c019999,0x3331342f,0x40133333,0x09999999,
    0x6e77fdc0,0x65404ffe,0x1cffffff,0x3ffff6e0,0x7ff5402d,0x9aceecce,
    0xffea800f,0x9aceecce,0x3ffb260f,0xfb7000ff,0x50039fff,0xa8000bff,
    0xeecceffe,0x3f20f9ac,0x4c0dffff,0xd302fffe,0x557bfb9f,0xffb50055,
    0x5bfdb9bd,0xfffb5097,0x7f643bff,0x881cffff,0x40cfffec,0xffedffe9,
    0x7ff42ead,0x225fffff,0xfffec987,0xffb7000f,0x3f2a39ff,0x01cfffff,
    0x37ffff6e,0x76fff4c2,0x2a2eadff,0xcffffffc,0x3fff6e01,0x7ff4c2df,
    0x2eadffed,0xffffd930,0xffb805bf,0x04ffedce,0x7ee7f4c0,0x262aaabd,
    0xfb7100ff,0x017dffff,0x543e17fc,0xcffffffc,0x3fff6e01,0xbfd302df,
    0x007bf620,0x001ffff1,0x2200ffcc,0xc880befe,0x3a201fff,0xfc880bef,
    0xfff501ff,0x0ef9800d,0x017fea00,0x05f7f440,0x20fffe44,0x7403fff9,
    0x41df500f,0x07fffff9,0x98057fec,0x3ea04ffe,0x3ff604ff,0x03ff002f,
    0x5c417df5,0x7fe42fff,0x225fffff,0x37ffd407,0x403be600,0x000ffff8,
    0x3ea07fe6,0x3fee20be,0xffff882f,0x07fe6000,0xb882fbea,0xfe802fff,
    0x7f4c00ff,0x03dfb105,0x7cc1df50,0x3e67ffff,0xfffa800f,0x445ff003,
    0x7fffc41f,0x07fe6000,0xb803ffa8,0x7fec03ff,0x405f8005,0xf5005ff9,
    0x17fe603f,0x500ffd40,0xf800bfff,0x2ffd4005,0x02ffcc00,0xfb81ffa8,
    0x881fc04f,0xaffb83ff,0x3ffd1009,0xd017f600,0x7fcc09ff,0x109f001f,
    0x7fd405ff,0x7ffffc42,0x201e25ff,0x4005fffa,0x2ffec05f,0x7c42fc00,
    0x0bfea02f,0x4002ffec,0x02ff885f,0x3200bfea,0x7fd405ff,0x03ffb803,
    0x3ee0ffe2,0x3fe609af,0x1fff8800,0x7c45ff00,0x005ffd81,0x3fe205f8,
    0x07ff6005,0x8004ffc8,0x1bfe204e,0xf105f700,0x2fb800df,0x0ffffe20,
    0x54004f80,0x7c4005ff,0x17dc006f,0x3ea06ff8,0x103ff700,0xffe807ff,
    0x01be2001,0xfd80dff7,0x81f9803f,0x2fb807fc,0xfffffe88,0x3e201e25,
    0x3e003fff,0x027fe404,0x3fe42740,0xfc817dc0,0x84e8004f,0x2fb807fc,
    0x204ffb80,0x36005ff8,0x3ff701ff,0xf307ff10,0x3ffe001f,0x4c5ff000,
    0x04ffc82f,0x3f604e80,0x3fea001f,0x00fff206,0xffd813a0,0xd83e8002,
    0x3e8002ff,0x3fffbe20,0x8007d002,0x6c005ffa,0x3e8002ff,0x3a05ff70,
    0x403ff604,0x3ff205ff,0x406b8003,0x2a01fff8,0x06b806ff,0x0be00dfb,
    0x2ffff5c4,0xfdf100f1,0x0fa005ff,0x0007ff90,0x00dfb09d,0x1ffe40be,
    0x7ec27400,0x7005f006,0x7fec09ff,0x1bfea001,0xff807fec,0x000ff985,
    0x3e001fff,0x320fea2f,0x4e8003ff,0x000bff70,0x3f207ffd,0x04e8003f,
    0x2000dff5,0x037fd43b,0x3e203b80,0x800fffea,0x7fd4003e,0x1bfea005,
    0xf881dc00,0x201f986f,0xdfd00ffc,0x003ffe60,0x7fec0340,0x03ffe203,
    0x3ffa07d0,0x1002d801,0x4403c4b7,0x00fffeaf,0x7fe403e8,0xe84e8003,
    0x02d801ff,0xd0007ff9,0x003ffd09,0x9ff7005b,0x0017fee0,0x3f20fffa,
    0x30dfd00f,0x3fe001ff,0x45ff000f,0x3ffc84fb,0xff04e800,0xff70005f,
    0x07ff901f,0x3fa09d00,0x8710004f,0x10004ffe,0x7c57c407,0x1f400eff,
    0x017fea00,0x0004ffe8,0x0ffdc071,0x5ff501b2,0x360bff10,0x060004ff,
    0xd01bfea0,0x07cc07ff,0x401effc8,0x896a002b,0xf8af8807,0x1f400eff,
    0x000fff20,0x3bff213a,0xfc815c01,0x84e8003f,0x5c01effc,0x04ffb802,
    0x70005fff,0xffa81fff,0x985ff882,0xfff000ff,0xc8bfe001,0x03ffc85f,
    0xff884e80,0xffa8001f,0x03ffc81f,0xff884e80,0xf100002f,0x000005ff,
    0x7ffccbe2,0x2001f405,0xf1005ffa,0x000005ff,0x07f17fe2,0xfa85ff88,
    0x2fff881f,0xff800000,0xdfff301f,0xff503640,0x400005ff,0x2201e25a,
    0x0bfff32f,0x7fe403e8,0xa84e8003,0x0002ffff,0xd0007ff9,0x5ffff509,
    0x9ff70000,0x003fff10,0x883fff50,0x1ffa85ff,0xf000ff98,0x3fe001ff,
    0x3f21bf62,0x84e8003f,0x8001fffa,0xfc82fff9,0x84e8003f,0x0000fffb,
    0x001fff70,0xa8be2000,0x0fa03fff,0x00bff500,0x0003ffee,0x51ffc800,
    0x7ff3001f,0x5c0ff621,0x00001fff,0x704ffc80,0x3a03fffd,0x7fffe403,
    0x5a80001e,0x8be201e2,0x3a03fffa,0x01ffe403,0xffc82740,0x64001eff,
    0x4e8003ff,0x3dffff90,0x27fdc000,0x000fffd4,0x4c17ffcc,0x7fb10bff,
    0x4003fe60,0xff000fff,0x7e43ff45,0x84e8003f,0x8000fffc,0xfc84fff8,
    0x84e8003f,0x00007ffc,0x0001fff2,0x7e42f880,0x007d02ff,0x9005ffa8,
    0x00000fff,0x09d5ff88,0x7efffcc0,0x1fff201d,0x7cc00000,0xff97d06f,
    0xb001f309,0x019fffff,0x0f12d400,0xffc85f10,0xc807d02f,0x4e8003ff,
    0x3fffff60,0x7ff9000c,0x6c09d000,0x00cfffff,0xc84ffb80,0x88000fff,
    0xff304fff,0x4c03bfbf,0xfff000ff,0xf8bfe001,0x03ffc87f,0xffd84e80,
    0x3ffe0007,0x003ffc85,0x7ffd84e8,0x3ff60000,0x22000007,0x1fffd82f,
    0x7d4003e8,0xfffb005f,0xf9000000,0x22003f5f,0x3600111e,0x36e007ff,
    0x02efffff,0x3e60fffc,0x6c87ff99,0x3fffee00,0xb50003ff,0x17c403c4,
    0x740fffec,0x01ffe403,0x3ee02740,0x803fffff,0xe8003ffc,0x7fffdc04,
    0x7dc003ff,0x07ffd84f,0x217ffe00,0x200111e8,0xff000ff9,0x8bfe001f,
    0x7fe40fff,0xd84e8003,0x3e0007ff,0x3ffc85ff,0xfd84e800,0x3600007f,
    0x000007ff,0x3fa20be2,0x001f40ef,0x6c01bfea,0x000007ff,0x006fff88,
    0x7ec0017a,0x7dc000ff,0xff9004ff,0x3ffe6c89,0x22001fc1,0x1efffffd,
    0x0f12d400,0xfd105f10,0x403e81df,0xe8003ffc,0xfffd8804,0x3f201eff,
    0x04e8003f,0xfffffd88,0x9ff7001e,0x000fffb0,0x2f42fffc,0x00ff9800,
    0x2001fff0,0x3fff12ff,0x8003ffc8,0x0fffc84e,0x07fff000,0xd0007ff9,
    0x01fff909,0x3fff2000,0xf1000000,0x17ffe605,0xffb8007d,0x1fff9006,
    0xfb000000,0x3fea005f,0x009999ab,0x000bfff2,0x2005fff1,0x91fc7ff9,
    0x007cc9ff,0xffffe980,0x896a000f,0x302f8807,0x03e8bfff,0x4001ffe4,
    0x3fa6004e,0xf900ffff,0x09d0007f,0x7ffff4c0,0x4ffb800f,0x000fffc8,
    0xfa87fff0,0x09999abf,0x4003fe60,0xff000fff,0x90bffe65,0x9d0007ff,
    0x003fff50,0x905fff10,0x7d0007ff,0x005fff70,0x0bffee00,0x17c40000,
    0x749fff50,0x3ff62003,0xfffb801f,0x98000002,0x3fea007f,0xffffffff,
    0x1fffdc0c,0x00fffc00,0x3e65ffd0,0x5c9ffe60,0xfffb8000,0x896a006f,
    0x202f8807,0x0fa4fffa,0x0007ff90,0xff70007d,0x3ff20dff,0x003e8003,
    0x06ffffb8,0xfa84ffb8,0xf88001ff,0x7ffd42ff,0xcfffffff,0x8007fcc0,
    0xff000fff,0x907ffe25,0x7d0007ff,0x005fff30,0x703fff30,0x7f0009ff,
    0x007fff50,0x0fffea00,0x17c40000,0x74bffee0,0xfffd9803,0x2a03efff,
    0x00003fff,0xb8009d00,0xffffffff,0x3fe60fff,0xfff8005f,0x53fee000,
    0xf2ffe85c,0x3a200007,0xb5002fff,0x17c403c4,0x74bffee0,0x027fdc03,
    0x88001fc0,0xfb82fffe,0x03f8004f,0x5fffd100,0x984ffb80,0x98002fff,
    0xffb81fff,0xffffffff,0x003fe60f,0xf8007ffc,0x2e17f22f,0x3f8004ff,
    0x0007fff0,0x3ee0fff5,0x83f8005f,0x0005fff8,0x00bfff10,0x00be2000,
    0x0fa7fff6,0x3e200000,0x000005ff,0x64001f98,0x75553333,0x7ffe87fb,
    0x00fff800,0x3e3ffe20,0xf9dffb83,0x8800d800,0xb5004ffe,0x17c403c4,
    0x74fffec0,0x02ffdc03,0x006c1fc0,0x5c27ff44,0x3f8005ff,0xfe8800d8,
    0x1ffdc04f,0x8003fff8,0x27907ffa,0xdbaaa999,0x003fe63f,0xf8007ffc,
    0xffb8042f,0x703f8005,0xfb000dff,0x1bfea05f,0x2e03f300,0x060006ff,
    0x4000dff7,0x400be201,0x003ffffe,0x7dc002a8,0x0060006f,0x16e002e4,
    0x7fd46c80,0x7ffc001f,0x6fff4000,0xdfff880f,0x2005b005,0xb5005ffa,
    0x17c403c4,0x3ffffe80,0x0037fd40,0x00b607e6,0x7d42ffd4,0x0fcc006f,
    0xffa8016c,0x817fdc05,0xd8006ffb,0x005b82ff,0x00ff99b2,0x2001fff0,
    0xff5002ff,0x01f9800d,0x9800bffa,0x3fe205ff,0x81ee000f,0x8003fff8,
    0x1fffc449,0xf1024c00,0x3ffe2005,0x7fdc003f,0x3ffe2004,0x80498003,
    0x3e6002f8,0x3a12e003,0x7fc006ff,0x7fdc000f,0x3fffa05f,0x200bb002,
    0xb5003ff9,0x17c403c4,0x3ffff880,0x007ffc40,0x01760f70,0x7c41ffcc,
    0x1ee000ff,0xff9802ec,0x00ffdc03,0x4c005ffd,0x03f985ff,0x0ff992e0,
    0x001fff00,0x81dc8bfe,0x2000fff8,0x37fcc07b,0x801ffb00,0xf3003ffc,
    0x1fffa809,0x7d416200,0x162001ff,0x4c005f10,0x5c003fff,0x7d4007ff,
    0x162001ff,0x3a002ec0,0x03d1005f,0x4007fff3,0x44000fff,0x3ee02fff,
    0x1fb000ff,0x005ff700,0x8807896a,0x3fe6002f,0x3ffc803f,0x3609f300,
    0x2ffb800f,0x2007ff90,0x01fb04f9,0x6545ff70,0x9803fee0,0x3f6006ff,
    0x005fe80f,0x07fcc3d1,0x000fff80,0x17fea5ff,0x9801ffe4,0x4ffa804f,
    0x001efc80,0xf9803ffb,0x5fff3005,0x4c03d300,0xe9802fff,0x001fcc01,
    0x2000ffee,0x4c000f8a,0xe9802fff,0xfedffc81,0x6ffec000,0x880baa01,
    0xff004ffd,0xffb0001f,0x005ff880,0xff007ff6,0xf12d400b,0x8007f300,
    0xfb003ffb,0x05f9803f,0xff007ff6,0x01ffd80b,0xffb02fcc,0x225ff803,
    0x00ff25ff,0x32013fea,0xbffb01ef,0x26175403,0xff8800ff,0x25ff001f,
    0x3f605ffa,0x02fcc01f,0x303dfd10,0x44001bfd,0x2e21bfff,0x26000efd,
    0x30aceffe,0xd3001db7,0x26159dff,0xfc800edb,0x1fe4000d,0x00068800,
    0x159dffd3,0x7c03b6e6,0x8002ffff,0xeeffffe8,0x7001efee,0x93017bff,
    0x50001dff,0x05fb00bf,0x0dfffec0,0x001dfd71,0x900f12d4,0xfc8001bf,
    0x7fff1003,0x077edc43,0x437fffb0,0x400efeb8,0x221bfff8,0x3600efdb,
    0x2e21bfff,0x3fe20efe,0x4400bd2f,0xfe981efe,0x3ffa200d,0xefeeeeff,
    0xccdff981,0x4fffb83c,0xffccccb8,0xf88032e2,0x36e21bff,0xeb8000ef,
    0x2effddff,0xfff91000,0x019fffff,0xfffb9100,0x8007dfff,0xfffffdc8,
    0x7e4403ef,0x001dffff,0xd51000f6,0x6e440003,0x3effffff,0x00e7fd40,
    0x3fff6a00,0x98003def,0xedceffec,0x40001cff,0x00fa802f,0x3ff6af60,
    0x003fffef,0x441e25a8,0x1dfffffc,0x8800f600,0xfffffffc,0x55ec00cf,
    0xfffefffd,0x3ff22003,0x0cffffff,0x7fed5ec0,0x703fffef,0x0019bfff,
    0xfbbffd70,0x6d4005df,0x03deffff,0x33333322,0xfffff913,0x332e19df,
    0x8001cccc,0xffffffc8,0x80000cff,0x00001aa9,0x06aeea62,0x55530000,
    0x2a600003,0x000001aa,0x4c001880,0xa9800001,0x004001aa,0x000c4000,
    0x4d554400,0x00e00000,0x20a001c4,0x0009aaa9,0x00018110,0x80018800,
    0x01abba98,0x2aaa60a0,0x53100009,0x14003577,0x004d554c,0x80000aa2,
    0x80001aa9,0x00000018,0x10000000,0x00357753,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0aaa8800,
    0x40350000,0x98800038,0x00000acb,0x0002775c,0x002aaa80,0x00555300,
    0x40010020,0x97300199,0x20019815,0x41bccba8,0x20020028,0x0cc88000,
    0x88000f62,0x0000502c,0x00400000,0x00400004,0x4ccc4004,0x00019999,
    0x05006200,0x05553000,0x3bae0000,0xdd300004,0x7510000b,0x80150159,
    0x20000400,0x00003ffd,0x2ea882ba,0x3ffee000,0x004fffdd,0x1ffff880,
    0xfff80000,0xfff00001,0x40b20003,0xfff50049,0x6fff4c07,0x02eadffe,
    0xcdeffda8,0x04badfed,0x0e403620,0xb27fdc00,0xf90005ff,0x02445dff,
    0x06ffdc00,0x1660002e,0x980000d8,0x1001b00d,0xffffffd7,0x0019dfff,
    0x32207a00,0xffd80004,0xf8800003,0x80001fff,0x0003fffe,0xd99dffd5,
    0x801f359d,0x0007501d,0x0000dfd0,0x7ff77fdc,0xbfb10006,0x1efda881,
    0x36ff6000,0x4c00006f,0x300002ff,0x440005ff,0x8007d44f,0xa80ffefe,
    0x3ee20bef,0x7fec02ff,0x9ffd300a,0x642fb800,0x9ff70005,0x20017fec,
    0xefffdbe9,0x640003db,0x88cfffff,0x83b60005,0x200003e8,0x0026c1ec,
    0x4cd7ffe4,0x003fffc9,0xecdffb80,0xf80001ff,0xb000004f,0x000dfb7f,
    0x0ffccfa8,0x2fbfa200,0x1fffc880,0x1ae1fcc0,0x07f44000,0xffd88000,
    0xa8000dff,0xffe803ff,0x22f98002,0x200002fc,0x200003fc,0xb80003fc,
    0x003fa8df,0x113f65f7,0x7fd405ff,0x03ffd102,0x20017f60,0x001fb3fe,
    0x791065c0,0x75435000,0x80006fff,0xffffc88d,0x3e20004f,0x0006e8af,
    0x745ffc40,0xffa8000f,0x0bfff306,0xfffe8800,0x980002ff,0x3000005f,
    0x0017e45f,0x02fd49d0,0x5005ff98,0xbfb003ff,0x80000bf2,0x400002f8,
    0x10000bb8,0x3e200dff,0x0ec001ff,0xd0000354,0x4e800009,0x3ffe0000,
    0x83f1006f,0x01ff21fb,0x7ff40bee,0x01be2001,0x13fffea0,0x00000000,
    0x002f2a05,0xfd987100,0xfc80004f,0x00002fff,0x02ffffb8,0x40dff300,
    0x0000fffa,0x0002dc98,0x00003b20,0x03540ec0,0x1e983b80,0x0037fc40,
    0x3e200bee,0x00005fff,0x00000598,0x1ffe8000,0x01bfe600,0x00660188,
    0x00016600,0x80000b10,0x9002fffa,0x6fd96603,0xff905f00,0x00d70007,
    0x003fff60,0x00000000,0x00400000,0x3e200001,0x000005ff,0x8001bffa,
    0x7fc06ff9,0x0000003f,0x0003a000,0x3300c400,0x14405000,0x000bff60,
    0x7fe400fa,0x3000001f,0x26666200,0x26009999,0x20999999,0xe8005ffb,
    0x000003ff,0x00044000,0x00002200,0x08006660,0x03ffd040,0xfff985b0,
    0x000d0000,0x00002662,0x4ccc4000,0x20099999,0x09999999,0x01333331,
    0x4cccccc0,0x13310009,0x4c400000,0x3e600009,0x2fff406f,0x99751000,
    0x80028837,0x00000001,0x00088000,0x000dff50,0x099800ee,0x4cccc400,
    0x99999999,0x65409999,0x1cffffff,0x3ffff6e0,0x00fffe2d,0x443ffee0,
    0x99999999,0x26666600,0x33331099,0x33333333,0x4c013333,0x99999999,
    0x01999999,0x33333333,0x33333333,0x99999998,0x07bff219,0x4ffd8570,
    0x26206000,0x09999999,0x3fff2000,0x7f4c0dff,0xfff952ff,0x5c039fff,
    0x32dffffd,0x01ffffd9,0x3ffff6e0,0x3333311c,0x00000333,0x20000cc0,
    0x7fc06ff9,0xfda8004f,0xdfedcdef,0x999884ba,0x00019999,0x4cccccc4,
    0x99998199,0x54099999,0xfd0003fd,0x8e20009f,0x99999998,0x99999999,
    0x7f5c4099,0xffffffff,0x205fffff,0x2000ffff,0x7fcc1ff9,0xff98002f,
    0xffffd51f,0x76405bff,0x711dffff,0xfffffffd,0xbfffffff,0x3ffffe60,
    0xffffffff,0xfff985ff,0xffffffff,0x2e25ffff,0xbefffffd,0x05ffff50,
    0x017ffc40,0x3fae2000,0xffffffff,0x9800bdef,0x7f403fff,0x0ffff880,
    0x807fe600,0x4006fffa,0x75c40ef9,0xffffffff,0x00000cef,0x4c0005e8,
    0x3fe606ff,0x7fec003f,0x9ffd300a,0xffffd710,0x19dfffff,0x3ff6e200,
    0xdb83dfff,0x0bdfffff,0x007fffd5,0x005fff10,0x3ffff600,0xffffffff,
    0x202fffff,0x26207ffb,0x3ff606fb,0xa86f8005,0x88001fff,0x7fd42fff,
    0xff1003ff,0x3ffdc03d,0x20df7310,0x999abef9,0xfffd9999,0x9abef980,
    0xfd999999,0xfff500ff,0x3ffff207,0xfffb801e,0x32000001,0xa99abfff,
    0x00dfffdb,0x3e027fdc,0x017ff603,0x3ea017e0,0x2fc005ff,0x26bfff20,
    0x03fffc99,0x03fe6000,0x06ff9800,0x8801bffa,0xfb001ffe,0xafffc80b,
    0x3fffc999,0x0fffe400,0x427ffcc0,0x0007ff90,0x0001fff7,0x26ab7fa0,
    0x999effb9,0x2602ffca,0x0d5007ff,0x40027fe4,0x0fffc84e,0x09fff000,
    0x2007fff7,0x7cc00ff8,0x20d5007f,0xff9800ea,0x001d502f,0x4405fff3,
    0x3f601fff,0x200cffff,0x00007ffc,0x2037fd40,0x402fffe9,0x03ea06ff,
    0x8004ffc8,0xfff8804e,0x013e003f,0x3e60dff5,0x900005ff,0x4c0007ff,
    0xffd986ff,0x3ffa000e,0x01be2001,0x3e60dff5,0x3ea005ff,0x3ffe007f,
    0x00ffea02,0x001fff20,0xff504e80,0x880fe60b,0x0d1007ff,0x4001ffe4,
    0x07ffd84e,0x417ffe00,0xf7007ffd,0x0fff1005,0x01d41a20,0x502fff44,
    0xbffd1007,0x801fff00,0x3ffffffb,0x400fffb0,0xefffffdb,0x806ff982,
    0x201fffd8,0x09d02ffb,0x8003ffc8,0xfef8804e,0x07d002ff,0x2a06ff98,
    0x40000fff,0x0007fff8,0x32abffe6,0x4003effd,0xb8003ffc,0x037fcc06,
    0x2001fff5,0x3a006ff9,0x3fe601ff,0x7ffd8003,0x403a0000,0x0ee05ffa,
    0x2007ff88,0x00fff204,0x3ff613a0,0x3ffa0007,0x07fff105,0x3e2009d0,
    0x5c12007f,0x0effd801,0x3f6006e0,0xfff800ef,0xfffd8800,0x7fec1eff,
    0x7fdc000f,0x1bfe604f,0x00fffe80,0x3f30dff1,0x003ffc80,0xaf8804e8,
    0xe800fffe,0x037fcc03,0x0000fffe,0x005ffdf7,0x333ffe60,0x98004ffe,
    0xd0000fff,0x406ff980,0xf3003fff,0x7ff400df,0x00ffe601,0x001fff60,
    0x3fea0580,0xf880e205,0xf900007f,0x09d0007f,0x0001fff7,0xfb813ffe,
    0x03ee00ff,0x003ffc40,0x7fd400c0,0x5400c01f,0xff001fff,0x7f4c001f,
    0x3f20ffff,0x7c4002ff,0x3fe602ff,0x3ffea006,0x907fee04,0x07ff900d,
    0xf1009d00,0x01dfff15,0x7fcc03e8,0x02fff406,0x3fef3a00,0xdff30005,
    0x000fffcc,0x80013ff6,0x037fcc01,0x4c017ffa,0x3fa006ff,0x0ffe601f,
    0x03fff200,0x3ea00000,0x3e20005f,0xc801807f,0x4e8003ff,0x001fffa8,
    0x403fff88,0x5f305ffe,0x03ffc400,0x3e20000c,0x880004ff,0x3e004fff,
    0xfb8000ff,0x3fee6fff,0xfff8003f,0x01bfe601,0x440fffb0,0x401fc5ff,
    0xe8003ffc,0xf32f8804,0x03e80bff,0x3e037fcc,0x2a0004ff,0x01fff89f,
    0x5c6ff980,0xf1000fff,0x000005ff,0x3e037fcc,0xff3004ff,0x0fff400d,
    0x2887ff30,0x017ffdc0,0x7fd40000,0x3fe20005,0xfc806807,0x84e8003f,
    0x8002fff8,0x4c02fff9,0x05e83fff,0x403ffc40,0x7fec0006,0xffb00006,
    0x0fff800d,0xfffd1000,0x017ffe65,0x9803ffe0,0x7d4006ff,0x3ff202ff,
    0xf9001f51,0x09d0007f,0x7fd45f10,0x300fa03f,0x7fcc0dff,0x9760003f,
    0x98004ffc,0x5ffd86ff,0x03fff700,0x7fcc0000,0x0fffe606,0x0037fcc0,
    0x7cc03ffd,0x9fffd33f,0x00fffea0,0x3fea0000,0x3fe20005,0x6403d407,
    0x4e8003ff,0x0007fff0,0x2e00dff5,0x03ee0fff,0x80fff100,0x3ee0007a,
    0xb80001ff,0x7c001fff,0x800d80ff,0x3fa4ffe8,0xfff8007f,0x01bfe600,
    0x409fff30,0x009d5ff8,0x2000fff2,0x42f8804e,0x7d02fffc,0x206ff980,
    0x20006ffe,0x3ffe62f9,0x37fcc000,0x401fffc4,0x00007ffc,0xd037fcc0,
    0x7cc00dff,0x3ffa006f,0x2affe601,0x82fffddf,0x0005fff8,0x05ffa800,
    0x27ffe200,0x7eba9999,0x003ffc80,0xdff904e8,0x05ffb000,0xf8afff40,
    0xfff88003,0xeba99999,0xfff30007,0xff300007,0xfff0007f,0x2a005b01,
    0x3ffea5ff,0x07ffc001,0x800dff30,0x6405fff8,0x9001faff,0x9d0007ff,
    0xfb05f100,0x807d03ff,0xfd986ff9,0x320000ef,0x003ffe86,0xfa837fcc,
    0x7fec00ff,0x3ff6e007,0xf982efff,0xeffd986f,0x1bfe6000,0x201ffe80,
    0x220ddff9,0xdff706ff,0xa800c000,0x220005ff,0xffffffff,0xfc807fff,
    0x04e8003f,0x9800bff6,0x7cc006ff,0x0006daff,0xfffffff1,0x000fffff,
    0x00017ffa,0x8002fff4,0x05d80fff,0xfe87ff30,0x7ffc006f,0x01bfe600,
    0x101bffe0,0x6400dfff,0x4e8003ff,0xe882f880,0x01f40eff,0x32abffe6,
    0x0003effd,0x7fd41fc4,0x37fcc006,0xd80dff90,0x5c000fff,0x3e604fff,
    0xffdcaaff,0xff98003e,0xeeeeeeef,0x01fffeee,0x7e417fe6,0x3fff880f,
    0x50049800,0x44000bff,0xfd3107ff,0x007ff900,0x7fc409d0,0x07ff6006,
    0x3ffff200,0xfff10001,0x001fa620,0x0003fff2,0x003fff20,0x6c07ffc0,
    0x2ffb800f,0x001fffcc,0x7cc01fff,0xfff8006f,0x02ffd805,0x000fff20,
    0x0be2013a,0x3a2fffcc,0x67ffcc03,0x0004ffec,0x3fe01f70,0x3fe6001f,
    0x02fff406,0x8005fff9,0x2602fff8,0xffeccfff,0x3fe60004,0xaaaaaaaf,
    0x01ffeaaa,0x7dc0ffe6,0x3fff501f,0x5002c400,0x44000bff,0x03c407ff,
    0x4001ffdc,0x27fcc04e,0x000ffdc0,0x0009ffd0,0x2203ffc4,0x7ffcc007,
    0xff980002,0x3fe0002f,0x01ffd80f,0xfd882ffc,0x1fff004f,0x0037fcc0,
    0x2013ffe2,0x7e4007f9,0x03e8003f,0x3ea02f88,0x300fa4ff,0x7ffccdff,
    0x04e80001,0xa8017ff2,0x7fc407ff,0x7fff703f,0x03fff000,0xff337fcc,
    0x3e60003f,0x3ffa006f,0x40ffe601,0x3e601ffb,0x1e9802ff,0x017fea00,
    0x807ff880,0x04ffb805,0xe9803f80,0xefd880df,0x7fe40001,0x3fe20003,
    0x22005807,0x80005ffe,0x0005ffe8,0x7ec07ffc,0x3ae21bff,0x7fdc00ef,
    0xffc980bd,0x1bfe600e,0x05fff300,0xf70013a0,0x07f0009f,0xfb805f10,
    0x9807d2ff,0x7ffdc6ff,0x37ea0000,0xfdcccccc,0xfd8800ff,0x7fd402ff,
    0x7ffcc1cf,0x0fff8005,0xf71bfe60,0xf30001ff,0x7ff400df,0x40ffe601,
    0x74c01ffb,0x730aceff,0xfa8001db,0x3e20005f,0xb801807f,0x3f8005ff,
    0x37bfaa00,0x0002efed,0x0007ff90,0x0c03ffc4,0x01fff900,0x1fff9000,
    0x0fff8000,0xfffdabd8,0x2003fffe,0xdceffec9,0x9801cffe,0x7d4006ff,
    0x1f9801ff,0x02ffdc00,0x7c401fc0,0x9fffd802,0x37fcc03e,0x0002ffec,
    0x999999db,0x407ffd99,0xffffffd9,0x3fff604e,0x1fffa2ff,0x803ffe00,
    0xffd86ff9,0x6ff98005,0x807ffa00,0xff703ff9,0xffb91003,0x007dffff,
    0x0017fea0,0x0007ff88,0x800dff50,0xfc8001f9,0x00007fff,0x0001ffe4,
    0x0000fff1,0x000fffd4,0x00fffd40,0x407ffc00,0x09add982,0x5574c000,
    0x7fcc0009,0x37fec006,0xa8005c80,0x7cc006ff,0x002f8801,0x807ffffd,
    0xff886ff9,0x2f88003f,0x006ffa80,0x7d400000,0x7fc001ff,0x1bfe600f,
    0x000fffe2,0x7400dff3,0x3fe601ff,0x003ff703,0x00355d50,0x005ffa80,
    0x001ffe20,0x1fff1051,0x0007dc00,0x04ffffa8,0x0fff2000,0x07ff8800,
    0x7fc41440,0x20a6004f,0x2004fff8,0x01fff029,0x0007be20,0x00017ec0,
    0x5400dff3,0xf8801fff,0xfff88002,0x401ee000,0xff1002f8,0xff9807ff,
    0x01fff506,0x3a006c80,0x220002ff,0xe8000bef,0x7fc006ff,0x1bfe600f,
    0x0007ffd4,0x7400dff3,0x3fe601ff,0x003ff703,0x00005fb0,0x80017fea,
    0x6c007ff8,0x007ff901,0x300013e6,0x0003fffd,0x000fff20,0x4007ff88,
    0x06ffd81d,0x7fec0e40,0xf80e4006,0xfd5000ff,0xfd10000f,0x3e60003f,
    0x3ffa006f,0x000bb005,0x9801ffe4,0x05f1004f,0x01fffcc0,0xfc81bfe6,
    0x0fe2006f,0x005ffb80,0x00fff620,0x00fffe60,0x2600fff8,0x3ff206ff,
    0x1bfe6006,0x201ffe80,0xff703ff9,0xffe88003,0xffa80001,0x3fe20005,
    0xb01ea007,0x5f9803ff,0xff910000,0xf900003f,0x7c40007f,0x21ea007f,
    0x2001fffb,0x1fffb878,0xff81e200,0x3fe2000f,0x7fd00000,0x1bfe6000,
    0x03bff620,0x03fb7ff2,0x03ffb000,0x26005f98,0x7fdc003f,0x037fcc03,
    0x5c017ffa,0x3fe2000f,0x7e40001f,0xffb10005,0x03ffe009,0x7406ff98,
    0xff3005ff,0x17ff400d,0x2e07ff30,0xfd0001ff,0xff500007,0x7fcc000d,
    0x809f3007,0x221bffe8,0x0000efdb,0x05ffdc40,0x09ffd000,0x03ffcc00,
    0x7fc44f98,0x1ba2003f,0x4007fff1,0xfff106e8,0x02fd4003,0x001ff000,
    0x301bfee0,0x7fc07ffd,0x80002fff,0x221bfff8,0x2000efdb,0x64000dfc,
    0x3ffd403f,0x00fffe20,0xfd000df1,0xfd8000bf,0x7fdc0001,0xffc980bd,
    0x1ffea00e,0x007fff10,0x7c00fff5,0x3fea02ff,0x005ff703,0x00003fe0,
    0x8001bfee,0x999cfffc,0x1ffca999,0xffffc880,0x000cffff,0x6fedc000,
    0x3fe6000a,0xf90000ef,0x333339ff,0xe83ff953,0xaaaaafff,0xffebaaaa,
    0x557fff45,0xbaaaaaaa,0xff705ffe,0xbf95009f,0xeb880003,0xfb10002e,
    0x953357ff,0xa803dffb,0x00001cff,0x3fffff22,0x8800cfff,0x1dfffffc,
    0xd880f600,0x7d402fff,0xfd881cff,0xfffe8006,0x36e2000c,0x9300004f,
    0xfdb9dffd,0xfd88039f,0x7fd402ff,0xffb101cf,0xfff5003f,0x82ffe40b,
    0x22004ffd,0x80002eeb,0x001fffd8,0x3ffffb26,0xffffffff,0x4c4006ff,
    0x0001abaa,0x05510000,0xfffffd70,0xd93005bf,0xffffffff,0x8dffffff,
    0xfffffffb,0xffffffff,0x3ffee3ff,0xffffffff,0x23ffffff,0xffffffc8,
    0x015100ce,0x006a2000,0x7fffecc0,0xbdefffff,0x0004001a,0x77531000,
    0x00000035,0x7ecc0c40,0x04efffff,0x4bfffff6,0x0dfffffb,0x7ffffec0,
    0x06a003ff,0x55100000,0xfb300135,0x09dfffff,0x97ffffec,0xffffffd9,
    0xfffec84e,0xfd51ceff,0x3ae7dfff,0x801dffff,0x980001a8,0xeffffffd,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40002000,0x200e201a,
    0x80000400,0x26000000,0x50000fff,0xba800355,0x03b70001,0x01331000,
    0x00400400,0x01333331,0x4cccccc0,0x55530009,0x98800000,0x40000009,
    0x10002aa8,0x20001555,0x31001aaa,0x33333333,0x99999988,0x99998809,
    0x00099999,0x02aaa200,0x201b8000,0x0001ccc8,0x70000801,0x4cc40799,
    0x00999999,0x26666666,0x00000000,0x20003bea,0x0baa20ae,0x024c0f20,
    0x2067fdc4,0x9000000b,0x540003ff,0x9d3006ff,0x4c007d53,0xc80007ff,
    0x10001fff,0x980b201b,0x00ffffec,0x9ffffb70,0x3ffa2003,0x3a000001,
    0x000006ff,0x8001ffe4,0x30005ffb,0x22001dff,0xdfffffdb,0x7fffe4c2,
    0xfeb881cf,0x02ceffff,0x17fee000,0x801f0000,0xb0004ffb,0x4000ea03,
    0x32a00fff,0x1cffffff,0x3ffff6e0,0xbff7002d,0x6c000b81,0xfb8002ff,
    0x006ffeef,0x00f989f1,0xcfffffc8,0x00000588,0x20000bfa,0x7c400ffb,
    0x88007dc3,0x4c0006ff,0x0005ffff,0x00b90bee,0x0037ffd4,0x20003be6,
    0x00004ff8,0x07ffdf70,0x2ffc0000,0x00dfd000,0x0007fe40,0x401fffc8,
    0x7000cffd,0x00007fff,0x00017fa0,0x3f200d50,0x87f30007,0xff30006b,
    0x3ffe2003,0x3fe6000f,0x3fff2001,0x00588cff,0x8000ef98,0x0dffffd8,
    0x2a3bee00,0x911b004f,0x009fffff,0x013e2000,0x402fc800,0x027e40fc,
    0x80003950,0x02fe88ed,0x7ed3fa00,0x7ffd4001,0x002fc005,0x0000df30,
    0x3feabf10,0xf9800000,0x3be20006,0x07fa0000,0x07ffa800,0x20017fc4,
    0x0000fff9,0x000ef880,0xb001ec00,0x3f20003f,0x0002fc8d,0xfd8005f9,
    0x05f8005f,0xfffc86c0,0x000004ff,0x002ee200,0x07ffff40,0x3f661c40,
    0x2000004f,0xd800005b,0x7dc3ec05,0x40000005,0x0036c0ea,0x09ffff30,
    0x7ffff100,0x00027c00,0x000003ea,0x004e8899,0x000ec800,0x80003ea0,
    0x4c0002f8,0x0ff406ff,0x03ffc400,0x00fa8000,0x007c4000,0x20007d10,
    0x005ffff8,0x32000fa0,0x4e8004ff,0xfb10e200,0x0000009f,0xf5000000,
    0x000007ff,0x00a00000,0x20344000,0x005442fd,0x03600000,0xfb0001dc,
    0xf10001ff,0x2005fffd,0x3b80003e,0x81260000,0x7400001d,0x00ec0000,
    0x0000ee00,0xfd81bfe6,0xfff10001,0x07600000,0x016e0000,0xb8001620,
    0x30001fff,0x3ff2000b,0x004e8003,0x00001004,0xcba88000,0x3330000a,
    0x32ea2000,0x0000000a,0x02200000,0x0001ffb8,0x00000662,0x4c400010,
    0x5f100009,0xd001fffd,0x00600007,0x00800800,0x0000c000,0x0600008c,
    0x37fcc000,0x20001fd8,0x00007ff8,0x44000030,0x10002eaa,0x00998000,
    0xc8000200,0x4e8003ff,0x000cc000,0x3ee00000,0x4ffedcef,0x99999980,
    0xffb80199,0x04ffedce,0x99998800,0x99999999,0x98099999,0x19999999,
    0x001fff88,0x6fee7f4c,0x2622aaab,0x99999999,0x09999999,0x4cccccc4,
    0x99999999,0x57c40099,0x400efff8,0x0cc0003e,0x06600000,0x26666200,
    0x26009999,0x80999999,0x20000fea,0x7cc00019,0x001fd86f,0x003ffc40,
    0x33333310,0x20001333,0x1efeefe9,0x32e0e540,0xb8395000,0x8395000c,
    0xffc800cb,0x004e8003,0x00002f40,0x3fa60015,0x03dfb105,0x3ffff6e2,
    0xfd300bef,0x07bf620b,0xffec9800,0xffffffff,0x445fffff,0xefffffdb,
    0x2fffa80b,0x4c1df500,0x227fffff,0xffffffeb,0xffffffff,0x7fff5c45,
    0xffffffff,0x7c405fff,0x80bfff32,0x2f40003e,0x17a00000,0x3fffaa00,
    0x3202dfff,0x21dffffe,0x000ffffb,0x300017a0,0x0fec4dff,0x3ffc4000,
    0xffd71000,0x0059dfff,0x3ee3bf70,0xfff103ff,0x4402ffd4,0x17fea7ff,
    0xfa9ffe20,0x3ffc805f,0x0004e800,0x80003fe6,0xa801ffc8,0xffb803ff,
    0x1fffd403,0x200ffea0,0x80003ffb,0x105ffdfd,0x7d40df53,0x7f4c03ff,
    0x7fc403ff,0x09affb83,0x440fff70,0x3ee06fb9,0x3ee6207f,0xf517c406,
    0x01f407ff,0x001ff300,0x03fe6000,0x7fffd400,0x3dff1003,0x003ffa10,
    0x0007fcc0,0x3a2dff30,0xf100001f,0x2e0000ff,0x20003fff,0x7fd745f9,
    0x21fff106,0xf8805ffa,0x0bff50ff,0x2a1fff10,0xffc805ff,0x004e8003,
    0x000fff20,0x00ffff6c,0xd8017fe2,0x3fe201ff,0x17fe201f,0x001ffd80,
    0x2ffd76c0,0xff1034c0,0x5c6cc03f,0x3ee05fff,0x03ff881f,0xa803ffcc,
    0x01ffe606,0x0be20354,0x3a05fff9,0x3ff20003,0xf9000003,0x7dc0007f,
    0xff1003ff,0x00ffc801,0x007ff900,0x7477fcc0,0x2200001f,0x300007ff,
    0x40001fff,0x7f5a61fe,0xb85b500f,0x85b5001d,0x5b5001db,0xfc801db8,
    0x04e8003f,0x0ffff100,0x01ffd800,0x5000ffec,0xfff80dff,0x007ff600,
    0x0006ffa8,0x17feabe2,0x3ffe0340,0xff98b300,0x01ffb04f,0xff1017fe,
    0x881a200f,0x0d1007ff,0xffd82f88,0x0003e81f,0x000ffff1,0x0ffff100,
    0x07ffd800,0xf7005f70,0xff10001f,0x7cc000ff,0x005ffeff,0x01ffe200,
    0x03ffc400,0x3c8ff500,0x00000571,0x00000000,0x003ffc80,0xf70004e8,
    0x40005ffd,0x3ee01ffc,0xffe8005f,0x403ffe03,0xe8005ffb,0xd90003ff,
    0x1c017fea,0x6c03ffe0,0x82ffe883,0xdfd00ffc,0x007ff880,0x07ff8812,
    0x05f10120,0xe81dffd1,0xfdf70003,0xb800005f,0x0002ffef,0x200fffe2,
    0x1ff7004e,0xffdf7000,0x3fe60005,0x005fffce,0x00fff100,0x01ffe200,
    0x0fc6fb80,0x00000000,0x20000000,0xe8003ffc,0xf79d0004,0x7dc000bf,
    0x0bffe01f,0x03ffee00,0xff807ffc,0xffb8002f,0x97c4000f,0x00005ffa,
    0x3f101fff,0x2a13fa20,0x5ff882ff,0x003ffc40,0x007ff880,0x4c0be200,
    0x01f45fff,0x5ffbce80,0x5e740000,0x5c0005ff,0x3ee00fff,0x01ff7000,
    0xbff79d00,0x5bfe6000,0x0005fffc,0x0007ff88,0x000fff10,0x80d52fec,
    0x6c1fffed,0x76c0ffff,0x7fec1fff,0x7ff6c0ff,0x7fffec1f,0x00fff200,
    0x2a0013a0,0x01fff89f,0x203ff700,0x8001fff8,0xff01fffa,0x3fff101f,
    0x3fff5000,0x3ea6c800,0xf800c05f,0x03fa80ff,0x3fe21fe6,0x401ffa85,
    0x01807ff8,0x1807ff88,0x5405f100,0x00fa4fff,0x3fe27ea0,0xf500001f,
    0x003fff13,0x305ffe80,0x7fdc005f,0x44fd4000,0x98001fff,0x3fff26ff,
    0x7fc40005,0xff100007,0x37f4000f,0x3ff6007b,0x201ffd01,0xffd01ffd,
    0x407ff601,0x3f200ffe,0x03e8003f,0x3ff25d80,0x3ff70004,0x007ffea0,
    0x40bffe60,0xffa80fff,0xff98001f,0x87e2002f,0x03405ffa,0xf980fff8,
    0xf983f406,0x07fb10bf,0xd00fff10,0x00fff100,0x00be200d,0x0fa5fff7,
    0xffc97600,0x4bb00004,0x40004ffc,0x5e83fff9,0x007fdc00,0x4ffc9760,
    0x46ff9800,0x0005fffc,0x0001ffe2,0x0003ffc4,0x003e2ffb,0xfc80ffdc,
    0x03ff700f,0x7dc03ff2,0x01ff901f,0x40027fdc,0x17cc003f,0x0001fff3,
    0x3f203ff7,0xf88000ff,0x1fff04ff,0x001fff90,0x009fff10,0x17fea2e4,
    0xfff00788,0xc813fe01,0x37ffe605,0xff1001df,0x8807a80f,0x03d407ff,
    0xfd802f88,0x4003e9ff,0x3ffe62f9,0x17cc0000,0x0001fff3,0x2e0fffb8,
    0x7fdc000f,0x98be6000,0x4c000fff,0xfffb86ff,0xfff10005,0x3fe20000,
    0x3fee0007,0xb87105aa,0x1ff701ff,0x5c07fee0,0x3ff700ff,0xb803fee0,
    0x3f8005ff,0x7f436400,0xffb8003f,0x00fffb01,0xf82fffc0,0x7ffd80ff,
    0x17ffe000,0x3ea0fcc0,0xca9999ef,0x1fff007e,0x6c17ff20,0x0223d103,
    0x27ffe200,0x7eba9999,0x99fff880,0x07eba999,0x3a005f10,0x4003ffff,
    0x03ffe86c,0x7f436400,0xfe80003f,0x0007f15f,0x64001ff7,0x003ffe86,
    0xfb837fcc,0xf88005ff,0x41cc007f,0x20007ff8,0x902eeffa,0x701ffb83,
    0x3fee01ff,0x201ff701,0xff701ffb,0x037fd401,0x88007e60,0x06ffa83f,
    0xb01ffb80,0x7c000fff,0x1fff05ff,0x000fffb0,0xd802fffc,0xfffffa85,
    0x007fffff,0x7f401fff,0x403620ef,0xf880005e,0xffffffff,0xff8807ff,
    0xffffffff,0x05f1007f,0x0ffffe20,0xfa83f880,0x3e20006f,0x006ffa83,
    0xdafff980,0x1ff70006,0x2a0fe200,0x7cc006ff,0x3ffee06f,0x3ffc4005,
    0x3e207600,0x3e20007f,0x70d307ff,0x3fee03ff,0x203ff700,0xff700ffb,
    0x803fee03,0x2000fff8,0x07dc007b,0x4001fff8,0xff901ffb,0x3fe0001f,
    0x01fff03f,0x0001fff9,0x2600fffe,0x05ffa81f,0x3fe00fb3,0x3ffa200f,
    0x3ea0599e,0x09999abf,0x20fff100,0xf8807e98,0x0fd3107f,0x9800be20,
    0x2e003fff,0x03fff00f,0x7c03ee00,0xc80001ff,0x0001ffff,0x2e001ff7,
    0x03fff00f,0x2037fcc0,0x000dfffb,0x5400fff1,0x00fff106,0x9dfffb80,
    0xfb81fca9,0x01ff701f,0x7dc07fee,0x03ff700f,0xf9003fee,0x13e6007f,
    0x7e409d00,0x7fdc005f,0x03fff501,0x05fff100,0x3ea03ffe,0xf88001ff,
    0xefe802ff,0x5ffeeeee,0xfff803c0,0x5fffd800,0x7ffffd40,0x00cfffff,
    0xf101ffe2,0x80fff100,0x07f30078,0x003ffb80,0x5ffc813a,0x6409d000,
    0xd00005ff,0x5c0009ff,0x09d000ff,0x5002ffe4,0xffb00fff,0xff3001df,
    0x09f5001f,0x0001ffe2,0x3ffffff6,0x03ff703f,0x7dc03fee,0x01ff701f,
    0x7dc07fee,0x1ffd800f,0x2002fcc0,0xcccccdfa,0x000fffdc,0x7cc07ff2,
    0xf98002ff,0x1fff01ff,0x005fff30,0x803fff30,0xaaaaabfa,0x02c05ffc,
    0x9000fff8,0xfb801fff,0xffffffff,0xfff100ff,0xff100b00,0x3200b00f,
    0x7e4000df,0x99bf5003,0xfffb9999,0xcdfa8001,0xffdccccc,0xfc80000f,
    0x3ee0003f,0xcdfa800f,0xffdccccc,0xffd8800f,0x7ffdc01f,0xf9100bff,
    0x55557dff,0x203ffd95,0x80007ff8,0x2ffffff9,0x5c07fee0,0x3ff700ff,
    0x5c03fee0,0x1ff701ff,0x37fff100,0x0077edc4,0x33333b60,0x3ffecccc,
    0x80fffa00,0xa8003fff,0x3ffe07ff,0x007fff00,0xd00fff50,0x02ffd409,
    0x07ffc002,0x80dff700,0x5553333c,0x3e207fb7,0x8801807f,0x201807ff,
    0xdfffffc8,0x400f6001,0xcccccced,0x003ffecc,0x6666676c,0x03ffeccc,
    0x03ffc800,0x003fee00,0x333333b6,0x03ffeccc,0x3fffff66,0xfffd84ef,
    0x31efffff,0xfffffff9,0xffffffff,0x03ffc40f,0x1a99e400,0x701ffa80,
    0x3fea01ff,0x201ff701,0xff701ffa,0x3ff22001,0x0cffffff,0x4017c400,
    0xeb806ffa,0xb81dffff,0xfd8006ff,0x03ffe02f,0x40037fdc,0x7d402ffd,
    0x017fea00,0x007ffc00,0x5c07fee0,0x441b2005,0x100007ff,0x00000fff,
    0x400c4000,0xffa802f8,0x00be2006,0x0001bfea,0x8000fff2,0x7c400ffb,
    0x06ffa802,0x00000000,0xff880000,0x00f80007,0x702ffa80,0x3fea01ff,
    0x201ff702,0xff702ffa,0xba988001,0x320001bf,0x0bffa006,0xfe803c40,
    0x3fe6002f,0x007ffc05,0x4c005ffd,0x03e805ff,0x2002ffd4,0x401fff02,
    0x983fc829,0x412e003f,0x44007ff8,0x007ff882,0x7d400144,0x3640003d,
    0x005ffd00,0xffe801b2,0x7fe40002,0x3fee0003,0xd0036400,0xa80005ff,
    0x800003df,0x88003ef9,0x1cc007ff,0x3e6000d5,0x03ffb02f,0x7ec0bfe6,
    0x05ff301f,0x80007ff6,0x220000fa,0x3fee003f,0x200f9005,0x36006ff9,
    0x7ffc00ff,0x01bfe600,0x5c00ffd8,0x2ffd400f,0x3fe07700,0x307fe00f,
    0x00bfd07f,0x7fc407a2,0x440ec007,0x0ec007ff,0x0fff4c00,0x003f8800,
    0x22017fee,0x3fee003f,0x7fe40005,0x3fee0003,0x800fe200,0x40005ffb,
    0x0001ffe9,0x017fec40,0x001ffe20,0x8001ec3b,0x6f446ff8,0xdff102ff,
    0x02ffde88,0xde88dff1,0x320002ff,0x3ee0003f,0x3ffe2000,0x001fe801,
    0xf9009ff5,0x1fff003d,0x804ffa80,0x7c401efc,0x05ffa803,0x3fe01f30,
    0x307fa00f,0x3bffb03f,0xf1017540,0x83d400ff,0x2a007ff8,0x1ff40007,
    0x000fb800,0x7007ffe2,0x7fc4001f,0x3f20001f,0x3ee0003f,0x003ee00f,
    0x001fff88,0x0003fe80,0x8009fb00,0x2a007ff8,0x80003e26,0x9fdcfffc,
    0xc82dfffb,0xb9fdcfff,0xfc82dfff,0xfb9fdcff,0xb8002dff,0xf88001ef,
    0x5ffe8006,0x000dfc80,0xd303dfd1,0xff1001bf,0xdfd1003f,0x01bfd303,
    0xf7001fb0,0x0dd300df,0xa807ffe2,0xe882ec0f,0xeeeeffff,0x7fcc01ef,
    0x209f3007,0xf3007ff9,0x0ff80009,0x006f8800,0x2205ffe8,0xffe8006f,
    0x3ffa0005,0x3ff20004,0x000df101,0x0000bffd,0x000001ff,0xf30007fa,
    0x9f5001ff,0x220002d4,0xf71efffe,0x3fa2017d,0x7df71eff,0x3fffa201,
    0x017df71e,0x5f7ffc00,0x37ec403c,0x67fff400,0x37ffe200,0x7f5c01db,
    0x02effddf,0x013ffee0,0xfddffeb8,0xff7002ef,0xfffe8803,0xcaa9999b,
    0xfff703ff,0xda9cc809,0x7fed400d,0x9003deff,0x33339fff,0x03ff9533,
    0x2673fff2,0xffca9999,0xeeb88001,0x6fd88002,0xcfffe800,0x0037ec40,
    0x0067fff4,0x03bffe60,0x41fff400,0xe8006fd8,0x4000cfff,0x0002eeb8,
    0x01f6dc40,0x3bfff220,0xecaaaaab,0x000221ff,0x0a605440,0x14c0a880,
    0x29815100,0xdb710000,0xfffb803b,0x7ec00dff,0x03ffffff,0x0077bae2,
    0x40035530,0xffffffc8,0x2a6000ce,0x3fa6001a,0x6d42efff,0xffffffff,
    0x1fffffff,0x3fffff22,0x2aa00cef,0x00188001,0x3ffffb26,0xffffffff,
    0x7f64c6ff,0xffffffff,0x006fffff,0x20001510,0x0dfffffb,0x7ffffec0,
    0xffff73ff,0xffd801bf,0x803fffff,0xffffffeb,0xffd7002d,0x3fee5bff,
    0x6c00dfff,0x3fffffff,0x0002a200,0x4001a800,0xffffffc9,0xffffffff,
    0x0000007f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0009b300,0xb3066c40,0x00980007,0xc88000a2,
    0x2013660d,0x99999998,0x99999999,0x06403809,0x0000cc00,0x000b6e00,
    0x04880a60,0x4ccccccc,0x20571019,0x4007b502,0xccccccc8,0x40000ccc,
    0x5c0001dc,0x0037222d,0x02db87b3,0x99999930,0x40009999,0x33620dc8,
    0x32200000,0x0cc0000b,0x007b5000,0xb70b6a00,0x80000003,0x66666540,
    0x5c03cccc,0x00400004,0x000bffa0,0xfd1ffec0,0x7440003f,0x0002e881,
    0xffd93fee,0x7ff5c402,0xffffffff,0xcb85ffff,0x800364c1,0x2000005e,
    0x00007ff9,0x1ecc417d,0xffffb710,0xffc817df,0x221221ef,0xf1000fff,
    0xffffffff,0x7d40003f,0x3e60006f,0x017fee7f,0x3fe23ffd,0xffff5007,
    0x00ffffff,0xfb2ffdc0,0x2a00007f,0x0001fccf,0x7c4000b6,0x440000ff,
    0xdff50fff,0x6c000000,0x3ffff23f,0x205fffff,0x0001add9,0xb0027fd4,
    0x200005ff,0x3ffa3ffc,0x7fe40000,0x000effdd,0xfd93fee0,0x3fee002f,
    0x1bee6207,0x3ffbffe2,0xff98002f,0xf1000000,0x2a0000df,0x0fffefff,
    0x07fff500,0x3fffafa6,0xfff02dae,0x55554001,0x00aaaaaa,0x017fea00,
    0x2a6ff880,0x7ff404ff,0x200fff11,0xaaaaaaa8,0x2a0002aa,0x0bff24ff,
    0xb70f4000,0x00be6000,0x000fff80,0xf30fff80,0x000000bf,0x55533ffc,
    0x05555555,0xffdddff7,0xffd00039,0x0ae2005f,0x43b88000,0x880002c8,
    0x01effffe,0x220bb800,0x7fcc002b,0x2a0d5007,0x003efffe,0x0007ff90,
    0x00064c00,0xbffff900,0x7ffc4003,0x7fdc3701,0x072606ff,0x00000000,
    0x200005d4,0x005d41c9,0x03930b22,0x80000000,0x00ae20ba,0x1e63c400,
    0x00bfe200,0x0001c980,0x0ba83930,0xcb988000,0x02fcc09a,0x5c5fec00,
    0x000ffb14,0x000bfff9,0x00000000,0x07726000,0x00000000,0x8803ffc4,
    0x00164c06,0x00ffff10,0x00000000,0x40002ea0,0x10500fff,0x00001797,
    0x0565d440,0x00000000,0x20000000,0x99999998,0x26666009,0x00000999,
    0x91ec0000,0xffe88009,0x00000002,0x50000000,0xffd9bdff,0x330b99bd,
    0x83333333,0xfb12e5fb,0xd9a81980,0xacba8806,0x26620a80,0x00999999,
    0x26666666,0x00000000,0x02b2ea20,0x01ffe200,0x80000048,0x002ffefb,
    0x665d4400,0x0001441b,0x0fff8000,0x26660000,0x80199999,0xfedceffb,
    0x4ccc404f,0x99999999,0x44099999,0x99999999,0x99999999,0x99999980,
    0x3ff2a199,0x201cffff,0x2dffffdb,0x00019800,0x1dddd300,0x7fffd400,
    0x33306fff,0x33333333,0x4c433333,0x09999999,0x26666660,0x1bfb1009,
    0x209ff910,0xfffffdb8,0xb8ffe0be,0x0b603cc4,0x3faa05c8,0xaceeccef,
    0x3ff2a0f9,0x201cffff,0x2dffffdb,0x00019800,0x373bfee0,0x22004ffe,
    0x4c0007ff,0x19999999,0x7fde7400,0xfb500005,0xbfdb9bdf,0x33310975,
    0x33333333,0x80133333,0x26600fff,0x21999999,0xfffffdb8,0xbfd300be,
    0x407bf620,0xfffffeb8,0xffffffff,0x7ff5c45f,0xffffffff,0x5c45ffff,
    0xbefffffd,0x00ffff80,0x0007fe60,0x000005e8,0x4c4002f4,0x8099bffb,
    0xfffffff9,0xffffffff,0x3ffffaa5,0x3b202dff,0x981dffff,0xffb804ff,
    0x1fffd404,0x0971ffc4,0x8817cc0d,0xbefe881e,0x1fffc880,0x00ffff88,
    0x0007fe60,0x980005e8,0xdfb105fe,0x0fff1003,0x3f6e2030,0x00beffff,
    0xfff13f50,0xffd80003,0x9ffd300a,0xffffd710,0xffffffff,0xfff80bff,
    0xfffb7100,0xf5017dff,0xffa807ff,0x03ffb803,0x3103ffdc,0x7fdc0df7,
    0x1bee6207,0x403fffa8,0xf8005ffd,0x3fe60006,0xf3000000,0x3e60001f,
    0x5f7cc02f,0x9999999a,0xfa80fffd,0xf1003fff,0x3fa203df,0x0bff2006,
    0xf01fff88,0x82425cdf,0x3e882ff8,0x5005ff98,0x3ff603ff,0x005f8005,
    0x0003fe60,0xb803ffa8,0x7fc403ff,0xfa806807,0x5d8003ff,0x40013ff2,
    0xb001ffe8,0x7ffb80bf,0x01bee620,0xf5001fff,0xff8807ff,0x17fe201f,
    0x201ffd80,0xd5007ff9,0x803ffcc0,0x3ffe206a,0x027fe401,0x90002740,
    0x000007ff,0x4000fff2,0x75402ff9,0x2fff9800,0x00fffee0,0xfb007fc4,
    0x7fc4005f,0x03ffe00f,0x04ba7fec,0x885ffd10,0x06ff880d,0xfc817dc0,
    0x04e8004f,0x00fff200,0x002ffc40,0x7c403ffb,0x403d407f,0x4001fff8,
    0x3ffe62f9,0x1ffe8000,0x301be200,0x1aa00fff,0x1001fff0,0xff003fff,
    0x0ffec01f,0x40dff500,0xd1007ff8,0x803ffc40,0x07ffc068,0x000fff20,
    0x7c40013a,0x800007ff,0x0007fff8,0x3a805ff3,0x05ffe880,0x7007ffd8,
    0x37fd405f,0x027fec00,0x3ee01fff,0xa804bdff,0x6fffffff,0x0017fec0,
    0x3ffc81f4,0x0004e800,0x000ffff1,0xa8007ff6,0x3fe206ff,0xba99999f,
    0x1fff007e,0xfe86c800,0x7fe4003f,0x406b8003,0xd1007ff8,0x000fff80,
    0xff001fff,0x17fee01f,0x40fffa00,0x12007ff8,0x2007ff88,0x007ffc04,
    0x2000fff2,0xdf70004e,0x800005ff,0x002ffefb,0x5c02ff98,0x0effd801,
    0x03fff880,0x7ff404e8,0xfffa8003,0x401fff00,0x804ffffd,0x99bffb98,
    0x01bfea00,0xffc81dc0,0x004e8003,0x05ffdf70,0x005ffb80,0xf103ffe8,
    0xffffffff,0x3fe00fff,0x0fe2000f,0x9801bfea,0xd0000fff,0x007ff880,
    0x01fff012,0x2003ffe0,0xfff00fff,0xfff70005,0x00fff101,0x01ffe200,
    0x00fff800,0x4001ffe4,0x79d0004e,0x80000bff,0x005ffbce,0x0c02ff98,
    0x00fffd40,0x401fff70,0x3fe200fb,0xff88002f,0x01fff02f,0x02ffffd8,
    0x2005ff50,0x10004ffe,0x00fff207,0x740013a0,0x4005ffbc,0xb8002fff,
    0xff880fff,0x00fd3107,0xb8003ffe,0x03fff00f,0x0013ff60,0x3ffc4018,
    0x1fff0000,0x003ffe00,0x3e203ffe,0xfa8001ff,0x7ff881ff,0xff880180,
    0xff001807,0x3ffc801f,0x8004e800,0x1fff89fa,0x13f50000,0x98003fff,
    0x440002ff,0xe8004fff,0x05f305ff,0x002fff98,0x3e07fff0,0xffb800ff,
    0xffa805ff,0x2fff8802,0xffc80000,0x004e8003,0xfff89fa8,0x3fff1001,
    0x3fff5000,0x880fff10,0x01fff007,0xff902740,0x5fff100b,0x7c400000,
    0xf001807f,0x3fe001ff,0x0fff800f,0x001fffa8,0x882fff98,0x806807ff,
    0x06807ff8,0xc801fff0,0x4e8003ff,0x3f25d800,0xbb00004f,0x20027fe4,
    0x40002ff9,0x30006ffd,0x0bd07fff,0x003fff70,0x7c17ffe0,0xfd1000ff,
    0x7d401dff,0xfffb802f,0xfc800000,0x04e8003f,0x3ff25d80,0x3fff5004,
    0x5fff3000,0xb00fff10,0x003ffe00,0x66666fd4,0x00fffdcc,0x000fffdc,
    0x0fff1000,0x3ffe00d0,0x01fff000,0xf901fff0,0xf10001ff,0xfff109ff,
    0xf8807a80,0x803d407f,0x7e400fff,0x04e8003f,0xff317cc0,0xf980001f,
    0x003ffe62,0x0002ff98,0x0007ffee,0x2e0fffb8,0xfffc800f,0xdffd0000,
    0x8003ffe0,0x01ffffeb,0xf9005ff5,0x200000ff,0xe8003ffc,0x317cc004,
    0xf9001fff,0xf10001ff,0xfff109ff,0x3fe00300,0x99db000f,0xfd999999,
    0x7ffc807f,0x7c400000,0x803d407f,0xff000fff,0x1fff001f,0x000fffb0,
    0x7c42fffc,0xa99999ff,0xff8807eb,0xba99999f,0x1fff007e,0x003ffc80,
    0x364004e8,0x0001fff4,0x0fffa1b2,0x002ff980,0x007fff30,0x22bffd00,
    0xfff9003f,0x3ffa0001,0x001fff06,0x3fff4e5c,0xd802ffa8,0x000007ff,
    0xd0007ff9,0xe86c8009,0xffd803ff,0x3ffe0007,0x007ff885,0x003ffe00,
    0x3ea00be2,0x3ffec06f,0xffffb700,0xfff105df,0xd7533333,0x03ffe00f,
    0x4007ffc0,0xffd80fff,0x3ffe0007,0xfffff885,0x07ffffff,0xffffff88,
    0x007fffff,0xfc801fff,0x04e8003f,0x3ea0fe20,0x3e20006f,0x006ffa83,
    0x4000ffe6,0x00005ffe,0x0db5fff3,0x00fffd40,0xf04ffe80,0xa5c001ff,
    0xfa82ffe8,0x7ffd802f,0xff900000,0x009d0007,0x7fd41fc4,0x07ffd806,
    0x217ffe00,0x44007ff8,0x001fff02,0x7ff400d9,0x03fff602,0x09fff700,
    0x7fffffc4,0x007fffff,0x3e001fff,0xfff800ff,0x00fffc80,0x107fff00,
    0x3a620fff,0x07ff8807,0x3e00fd31,0x7fe400ff,0x004e8003,0x7ffc03ee,
    0x01f70001,0x44007ffe,0x200325ff,0x0000fffc,0x07ffff20,0x02fff980,
    0x207fff00,0x2e000fff,0x2a13fe24,0xffc802ff,0xc800000f,0x4e8003ff,
    0x7c03ee00,0x7fe401ff,0xfff0000f,0x00fff107,0x1fff01d8,0x2003f880,
    0x3f205ffb,0x7c4002ff,0x3fe202ff,0x00fd3107,0x7c003ffe,0xfff800ff,
    0x01fffa80,0x82fff880,0x3c407ff8,0x203ffc40,0x1fff0078,0x003ffb80,
    0x13a004e8,0x0005ffc8,0x2ffe409d,0x5ddfff00,0x05fff300,0x9ffd0000,
    0x3fff8800,0x2fff8800,0x3101fff0,0x87fe8970,0xfb802ffa,0x800002ff,
    0xe8003ffc,0xc813a003,0x7fd405ff,0xff88001f,0x07ff882f,0xfff81ea0,
    0x0007dc00,0x2e03fff1,0xf8003fff,0x3fe201ff,0xf803c407,0xfff000ff,
    0x01fff001,0x0005fff3,0xf103fff3,0x100b00ff,0x00b00fff,0xf7003ffe,
    0x07f0009f,0x33337ea0,0x0fffdccc,0x666fd400,0xfffdcccc,0x7dff3000,
    0x0bffd100,0x3ff20000,0x4ffe8003,0x0fff9800,0xb301fff0,0x86fc8970,
    0xfa802ffa,0x800003ff,0xf8004ffb,0x99bf5003,0xfffb9999,0x17ffcc01,
    0x0fffcc00,0x9803ffcc,0x03ffe04f,0xe8006f88,0xfff305ff,0x1fff000b,
    0x403ffc40,0x1fff8805,0x001fff00,0x3fe01fff,0xffa8003f,0x00fff107,
    0x0fff1003,0x3ffe0030,0x02ffdc00,0xed801fc0,0xcccccccc,0x6c003ffe,
    0xccccccce,0x4003ffec,0x3fff2000,0xf9000000,0xff50007f,0xffc8001f,
    0x203ffe03,0x7f44b879,0x803ff984,0x0005fff8,0x005ffb80,0x9db003f8,
    0xd9999999,0xfff807ff,0x7ffa8003,0x339fff90,0xff953333,0x807ffc03,
    0xe8006fd8,0xfe80cfff,0xfff8007f,0x01ffe200,0x3ffee006,0x01fff004,
    0x2e01fff0,0xfd8006ff,0x0fff102f,0x1ffe2000,0x0fff8000,0x0037fd40,
    0x3e2007e6,0x06ffa802,0x2a00be20,0x171006ff,0x07ffea00,0xffc80000,
    0x7ffb0003,0x037fc400,0x3e603ffe,0x1df525c4,0x064bff10,0x0006ffb8,
    0x037fd406,0x22007e60,0x6ffa802f,0x0037fdc0,0xd9317fec,0xffffffff,
    0x0dffffff,0xfb80fff8,0x400dffff,0xfffffffd,0x00fffd43,0x8803ffe0,
    0x220007ff,0xeffffffc,0x03ffe00c,0xe803ffe0,0x3e6002ff,0x1ffe205f,
    0xff105100,0xf028800f,0xff8801ff,0x03ee000f,0xfe801b20,0x00d9002f,
    0x74017ff4,0x7fc401ff,0x00a6004f,0x0007ff90,0x4003ffe2,0x7fc01ffc,
    0x0cff980f,0x807fea97,0x202eefff,0x8003fff8,0x1fff1049,0xc803dc00,
    0x0bffa006,0x4005ffd0,0x40005ff9,0x7ffc0069,0xb7000000,0x01bffa00,
    0x4401fff0,0x144007ff,0x7fc004c8,0x0fff800f,0x801bfe60,0x3e200ffd,
    0x40ec007f,0x6c007ff8,0x001fff01,0x26007ff9,0x03f8804f,0x2017fee0,
    0x3ee003f8,0x4ffe805f,0x0037fec0,0xff900072,0x7fcc0007,0x17fdc00d,
    0xa807ffc0,0xfeeeeffd,0x77fcc00c,0x1fffa803,0xf9016200,0x13e6007f,
    0xb800fe20,0x7fcc05ff,0x03ff6006,0x800bb000,0x00000fff,0x3e6009f0,
    0x3fe003ff,0x1ffe200f,0x5f103b00,0x00fff800,0x5400fff8,0xefc804ff,
    0x03ffc401,0x3fe20f50,0xf81ea007,0xffb000ff,0x005f9803,0x7c4001f7,
    0x07dc01ff,0x03fff100,0x2e05aa88,0x22001fff,0x3ffc8007,0x77ec4000,
    0x00dfd881,0x401fff88,0x001dda98,0x7fcc0008,0x01e9802f,0x4c01ffd8,
    0x01f7005f,0x00fffc40,0x32013fea,0xf80001ef,0x3ffe000f,0xf8800000,
    0x3ff62006,0x01fff004,0x5003ffc4,0x0017e60f,0xf8801fff,0xfe8801ff,
    0x0dfe981e,0x007ff980,0x3fe609f3,0x209f3007,0x1001fff8,0x5c437ffd,
    0xf8800efd,0x5ffe8006,0x2001be20,0x77005ffe,0x00fffe20,0xe8006e88,
    0x700004ff,0xdffbbffd,0x7ffdc007,0x0012e004,0xffe98000,0xdb730ace,
    0x3ffe2001,0x3bf6e21b,0x006f8800,0x8805ffe8,0xfe981efe,0xfb00000d,
    0xfff10019,0x3e000003,0x3ee000bf,0xfc980bdf,0x3fe600ef,0x209f3007,
    0xf1002ff8,0xffb803ff,0x3fae004f,0x02effddf,0x273fff20,0xfca99999,
    0x9fff901f,0x95333333,0x3fee03ff,0x3f22004f,0xcfffffff,0x06fd8800,
    0x0cfffe80,0x40037ec4,0x100cfffe,0x7fff40b9,0xaaaaaaaa,0x005ffeba,
    0x0077ffcc,0x06aa6000,0xffffc880,0x4c00ceff,0x40000002,0xfffffdc8,
    0xc88003ef,0xffffffff,0x6fd8800c,0xcfffe800,0xdffeb800,0x0002effd,
    0x5efffd40,0x4fffb80d,0xff700000,0x9801b99f,0xedceffec,0xfc801cff,
    0x99999cff,0x201ffca9,0x05ccfffc,0x9109fff7,0x9dffffff,0x0d54c001,
    0xfffd9300,0xffffffff,0xec98dfff,0xffffffff,0x46ffffff,0xffffffc8,
    0x531000ce,0x5c003575,0x00dfffff,0x7fffffec,0xfffff73f,0xfffd801b,
    0x0a83ffff,0x3ffffee0,0xffffffff,0x7003ffff,0xbffffffd,0x00000005,
    0x00000000,0x54c00000,0x880001aa,0x001abba9,0x37ffffee,0x7fffec00,
    0x26003fff,0x000001aa,0x106775cc,0xdffffff9,0x98000019,0x8000beec,
    0x8009aaa8,0xfffffec9,0xffffffff,0xeeca806f,0x7fffe443,0x0000ceff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xc801b500,0xcccccccc,0x6644001c,0xcccccccc,0x3fffa000,
    0x03ffffff,0x00800980,0x00000800,0x00000880,0x70001010,0x40000599,
    0x00100000,0x06000002,0x80040000,0x0132e3cc,0x10033322,0x32000377,
    0x80500a01,0x91004cc9,0x00100199,0xa8800020,0x0020001b,0x18802601,
    0x995102a0,0x32600035,0x2059912c,0x00000009,0xfff80fff,0x3fffffff,
    0x7fffcc00,0x00ffffff,0x3fffffa0,0x4003ffff,0x3f2200f8,0x754000cf,
    0x07d002ef,0x0013612a,0x223fb500,0x3e000dfe,0xa80000ef,0x910001fd,
    0x0fea80bf,0xffea8000,0xfb5003ef,0x8803885d,0x00ffe2ff,0xd813fff2,
    0x4004fdcf,0x406dc06b,0x0ffec03c,0x404ffa80,0xd5001fd9,0x20017dff,
    0x2efdffd9,0x1a00d800,0x034c1744,0x37ff6fb6,0x003effdc,0xffa87fdc,
    0x000ffd80,0x07fc8000,0x55555554,0x44000aaa,0xaaaaaaaa,0x262000aa,
    0x99999999,0x202dc000,0x003d88dc,0x007d47e2,0xdea8f6c4,0x00006a81,
    0x2e3ffff7,0xf3005fff,0xfb80003f,0x44001fff,0xf905fffd,0x80001fff,
    0xdfb52efc,0xfffff980,0xf300391d,0x44037c4b,0xc81ffcef,0x400bf22f,
    0x1ee801f9,0x0ffe01b2,0x2a05fd80,0xc801fffe,0x05ffc89d,0x3a22ff88,
    0x9bea8006,0x2e05eb98,0xd00be63f,0x3a607fff,0x5fb000ef,0xfff81fe4,
    0x9999998a,0x26660099,0x1fb99999,0x00000000,0x00000000,0x0f807d00,
    0x44b801e2,0x3bf2003d,0x007e202e,0x8ffec200,0x800ffffa,0x080001fc,
    0x20003ffb,0x3a105ff9,0x260000ff,0x409ff07f,0xfffff51c,0x41f7001d,
    0x0ed801fa,0x47f98bf5,0x09d005fa,0x3f6bfea0,0x0027cc02,0xfd3301be,
    0x41fb803f,0x7f402ffc,0x8002fb86,0x1ffffffe,0x2fd6ff40,0x20077f40,
    0xe801ffe8,0xdf9036c5,0xfffff951,0x7edc039f,0x409adfff,0x99999998,
    0x99999999,0x06600009,0x7072a000,0x0f880019,0x00d30f40,0x400ba2d4,
    0xd804ffd8,0x3ee00004,0x07eea61f,0x00000fa0,0x40003ff7,0x7fe405ff,
    0x13f60000,0x70903fe4,0x32003dff,0x2cc025c3,0x8df5174c,0x06c807f8,
    0x02fffec0,0x3a6002e4,0x03ff9000,0x0dc83fc4,0x260ffe20,0xfc88004f,
    0xf9801cff,0xff801fff,0x1ffd1000,0x07e07c40,0xffff1010,0x0ffcc001,
    0x3fffae20,0xffffffff,0x20005fff,0x7c40005e,0x017fea7f,0x5d700b70,
    0xcf8007d5,0x9f7006c9,0x7a809fd1,0x3fea0000,0x49807a81,0xffa80000,
    0xdddd7001,0x903ddfff,0x7c0001ff,0x01ff704f,0x2c000802,0x101c0064,
    0x3e237e47,0x007e601f,0x003ddd30,0x0039000b,0xf700ffdc,0x7fcc000f,
    0x0001fc84,0x3b200054,0x005f004e,0x2606ffa8,0xd0002443,0xbf000bff,
    0x07ffb800,0x001bee62,0x00007fcc,0x3ea1fff1,0x01f4005f,0x8002eea8,
    0xc800cec8,0x00ffea0c,0x2a00003f,0x003c81ff,0x3ea00000,0x9995001f,
    0x0199fff9,0x20001ff9,0xff703ff8,0x00000001,0x7ec00000,0x3a03ff85,
    0x00000003,0x3ee00000,0x01bf201f,0xf86ff980,0x00000006,0x4001e000,
    0x00003fff,0x013ff200,0xf30013a0,0x01aa00ff,0x001ffe40,0x3b70b6a0,
    0x0007cc00,0x00000000,0x9b00ffec,0x3fea0000,0x51002e41,0x5000b103,
    0x740003ff,0x07fe405f,0x03ff8800,0x00000df9,0x4c400000,0x46fc860a,
    0x0d902ff8,0x182a6200,0x00c15310,0x7dc00d4c,0x01bf601f,0x10fff880,
    0x880005fb,0x262000a9,0x0007000a,0x2201bff2,0x7e40000a,0x04e8003f,
    0x803ffc40,0xff880068,0x0000007f,0x00016e00,0x00a99800,0xdff13100,
    0x98003d40,0x6c3ff51a,0xedeb8802,0x005d14ff,0x07fea353,0xfe84d440,
    0x207fe405,0x3ff98019,0xfed89fd0,0x7ffec1ff,0x7fff6c0f,0x07fffec1,
    0xeffddfb8,0xff11fea5,0x0001f303,0xbdffbbf7,0xdffbbf70,0x3fbf620b,
    0x3fee02ff,0x00dfd031,0xfacffe80,0x2666661f,0xfdfd3009,0x7f4c03df,
    0x0001effe,0x05fff500,0x9ffdbd91,0x0fff2000,0x10013a00,0x02400fff,
    0x17ff7dc0,0x80000000,0xfffed82e,0x07fffec1,0xffedfea8,0xfefd8804,
    0x3e04ffdf,0xbdfb1001,0x003ff9df,0x7f441dd0,0x3f6203ee,0x1ffcefde,
    0x7f6ff540,0x7e405feb,0x7ffff90f,0x221ffcc0,0xffb00dfc,0x403ffa03,
    0xffd01ffd,0x5c41f501,0xa83fe25f,0x003e886f,0x3ee20fa8,0xf7107d45,
    0x643bf50b,0x3ff703ff,0x00dfd0f5,0xcffffb80,0x6ffffe40,0xd10bfb83,
    0x17f705ff,0x000bffa2,0x0fffe200,0x7f441dd1,0x7fe4000e,0x004e8003,
    0x0003ffc4,0x3fef3a00,0x3ffb6005,0x7fffec1f,0xb007cc00,0x3ffa03ff,
    0x2a0efa80,0x37a604ff,0x03fffe60,0x7744026c,0x07fffa23,0xf101fb00,
    0x3ba201ff,0x07fffa23,0x3ea1dfb8,0x7fe405ff,0xffffffd8,0x6c7ff304,
    0x7fdc04ff,0x201ff901,0xff901ffb,0x17609b01,0x417ec7f5,0x09b0005c,
    0x3609b176,0x7c42fcc5,0xdffb80ff,0x006fe81f,0x027ffcc0,0x3e605ffb,
    0x20fff883,0xfff883f9,0xff800000,0x4407f44f,0x7e4006ff,0x04e8003f,
    0x403ffc40,0x13f50001,0xd8003fff,0x1ffd01ff,0x7dc05b80,0x01ff901f,
    0x0ffb07ff,0x7fcc1fe2,0xd00f503f,0x3fff103f,0xb027e400,0x07fa09ff,
    0x5c07ffe2,0x0bff705f,0x11ceffc8,0xf305fffb,0x6fff5c7f,0x203ff500,
    0xff700ffb,0x103fee03,0x2e1660df,0xfa82fece,0x06f88000,0x9837c4b3,
    0xfd80fec5,0x0effb80f,0x4000dfd0,0x00fffffb,0x07ec09f7,0x3f63ffd8,
    0x267ffb00,0xffffffff,0xffffffff,0x365fffff,0x0fff204f,0x003ffc80,
    0x7c4004e8,0x0006807f,0x027fe4bb,0x6407fee0,0x017400ff,0x7dc07fee,
    0x41ffc40f,0x3fc80ffc,0xf81bff20,0xd817ee01,0x3fe001ff,0x1fffb902,
    0x3f605fb8,0x01ff881f,0xfc80bff1,0x0dff902f,0xff507ff3,0x03ff503f,
    0x7dc03fee,0x81ff701f,0x40704ff9,0x105f1019,0xf9817dd7,0x7fcc704f,
    0x03fd4704,0x3fee0571,0x001bfa01,0x3fe33fa2,0x201fb06f,0x99999df9,
    0xbf35ffc9,0xf9333333,0x33ffe6bf,0x99999999,0xff999999,0x407ff15f,
    0x8040fff8,0xe8003ffc,0x3ffc4004,0x26001ea0,0x03ffe62f,0x701ffb80,
    0x07cc01ff,0x5c07fee0,0x80ec80ff,0x7fcc0ffb,0x03ffe602,0x2ff88264,
    0x4007fee0,0xd6b82ff9,0x17fc43ff,0xf903ff70,0x405ff80d,0xff100ffc,
    0x03ff983f,0xff50bff7,0x403fee03,0xff701ffb,0x05dffd01,0x22176000,
    0xe86e99ee,0x7f402eff,0x1bee02ef,0x0fffcc00,0x9800dfd0,0x3ffee3ff,
    0xf7017c43,0x9999999d,0x33bee799,0xcccccccc,0x0013ffe3,0xff54fff8,
    0x21ffe803,0x7fe40efb,0x004e8003,0x4ccfffc4,0x007eba99,0x3ffe86c8,
    0x407fee00,0x16e00ffb,0x5c07fee0,0xd71000ff,0x1ffb83ff,0xa80fff40,
    0x403ff707,0xf7001ffa,0xfb0ea83f,0x00ffdc7f,0xbff03ff5,0x6405fe80,
    0x3ff200ff,0xf01ffcc2,0x1ffa83ff,0x2e01ff70,0x1ff701ff,0x5dffff50,
    0x407d4000,0x517ea2fd,0x205dffff,0x82effffa,0xfa8006fd,0x3fa01ffd,
    0x0ffe2006,0x5c83fffa,0x20027e40,0xfe8004fc,0xff30005f,0x007ff25f,
    0x7ffc5ffb,0x001ffe42,0x3e200274,0xffffffff,0x7c4007ff,0x006ffa83,
    0x7dc07fee,0x200ba00f,0xff701ffb,0xcbed9801,0x07fe41ff,0xf80bff60,
    0x200ffc81,0xfb001ffa,0xf907d45f,0x007fe47f,0xff883ff5,0x202ff404,
    0x3ee00ffc,0x01ffcc3f,0xffa87ff9,0x201ff701,0xff701ffb,0x3fffa601,
    0x2f88004f,0x3e20ff98,0x7fff4c0f,0xfffd304f,0x007fe89f,0x0ffdc754,
    0x6c00dfd0,0xfffa80ff,0xfd801f35,0x02fec005,0x0037fec0,0xfd1fffa8,
    0x3ffc803f,0xff903ff6,0x009d0007,0x3107ff88,0x0fb800fd,0x2003fff0,
    0xff701ffb,0x2003e601,0xff701ffb,0xb8bf6201,0x0fff41ff,0xc80bff20,
    0x200ffd84,0xf9001ffa,0xf707e69f,0x007fec5f,0xff983ff5,0x202ff405,
    0x3ea00ffc,0x01ffcc3f,0xffa87ff5,0x201ff701,0xff701ffb,0xffffa801,
    0xa826c006,0x502ff87f,0x540dffff,0x3f66ffff,0x5c26000f,0x1bfa01ff,
    0xb037fcc0,0x005d5fff,0xfc800ff9,0xfffb8007,0xfffd8001,0xb805ffb0,
    0x640541ff,0x3e8003ff,0x03ffc400,0x09d001e2,0xb802ffe4,0x1ff701ff,
    0x7dc01720,0x01ff701f,0xffb83df3,0x2017fec1,0x1ea01ffc,0xfa807ffa,
    0xbff7001f,0x1ff705f1,0xf500fff4,0x06ffa83f,0x3f202ff4,0x07fea00f,
    0x7cc07ff3,0x80ffd44f,0xff500ffb,0x003fee03,0x8017ffdc,0x0ff900fb,
    0xffb809ff,0x7ffdc02f,0x8807ff92,0x201ffb83,0xff9006fe,0x7fffc40b,
    0x05ff7005,0x00bfee70,0x009ffd0e,0x323fff88,0x3fe403ff,0x009ff700,
    0xf88007f0,0x2005807f,0xcccccdfa,0x800fffdc,0xff701ffb,0x5400ba01,
    0x1ff701ff,0xfb82ff98,0x027fe41f,0x0be01ff2,0x7d405ffb,0xdff3001f,
    0xb1bf205d,0x7fd405ff,0x203ffc41,0x7fe406fe,0x303fee00,0x7fc407ff,
    0xb817fd43,0x5ff500ff,0x7303fee0,0x2017fea0,0x1bf202f8,0xa81cd3fe,
    0x2a0735ff,0x0dff55ff,0x1ffb82c8,0x6c01bfa0,0x3e600fff,0x54200eff,
    0xa95c06ff,0x215c06ff,0x2000fff9,0x7fd46ffb,0x002fe406,0xf000bff7,
    0x7ff88007,0x3b600180,0xcccccccc,0xfa803ffe,0x01ff701f,0x3ea001f3,
    0x81ff702f,0x3ff707fc,0x6c05ffa8,0x5c4c805f,0x3fea06ff,0x13ff6001,
    0x7fdc3fe8,0x207fea06,0x3fa02fff,0x007fe406,0x7ff30df9,0x260ffcc0,
    0x3ffb03ff,0x6c0bfe60,0x807cc1ff,0x04d805fe,0x9ffc3fd4,0x2bfd00f9,
    0x2bfd00f9,0xf305fff8,0xe807fee0,0xfff9006f,0x7fff4407,0x3fa5981f,
    0x746880ef,0x06880eff,0x5001dff9,0xffd03fff,0x0017f403,0x9800bff5,
    0x7fc4001f,0x3e200007,0x06ffa802,0xf702ffa8,0x400b901f,0xffb02ff9,
    0xb81ffd83,0x2ffe81ff,0x2a00bfa0,0x817ffcc7,0x26002ffa,0x4f980eff,
    0x502fff98,0xdff905ff,0x32037f40,0x07fe00ff,0x0ed4ffe6,0xdff10df3,
    0x02ffde88,0xde88dff1,0x81fcc2ff,0x035c03fd,0xff107fcc,0x7ec0fe63,
    0x3f607f33,0x2b7ffea3,0xf702fea8,0x037f403f,0x81efffa8,0xffffcdfa,
    0x2a2ea89b,0xdaabefff,0x77ffd43f,0x203fdaab,0x7cc05ffc,0xdff502ff,
    0x8009f301,0x2000fff8,0xff88007b,0xc8144007,0x0bffa006,0x3605ff30,
    0x002e81ff,0xbd11bfe2,0x4ffb85ff,0x1c57ffdc,0xf501dff5,0x3217c009,
    0x7ec41fff,0x3fb2003f,0x817a20df,0x6c41fffc,0xfff883ff,0x407ffa85,
    0x7f701ffc,0x7f4ffea0,0x7e40bf24,0xfb9fddff,0xffc82dff,0xffb9fdcf,
    0x17ff32df,0x3e6037c4,0x5c5fb001,0x82ffe65f,0x2ffe66f8,0x3f61be20,
    0x04ffffff,0xff807ff2,0x3fff2007,0x23fecbdf,0xfffffffa,0xfffffc85,
    0xfff906ff,0x500dffff,0x5cc15dff,0x7d400dff,0x017a60df,0x8017fec0,
    0xf88004f9,0x40ec007f,0x3ee003f8,0x37fc405f,0x30bff7a2,0xffc8001f,
    0xffb9fdcf,0xdfff12df,0xdfff59f9,0x21dffb83,0x264005fb,0x2b3fffa2,
    0x3dfffdeb,0xffe8ae40,0x2200beee,0xebacfffe,0x543dfffd,0xddabefff,
    0xa80defff,0x27dc2fff,0x3ee7ff90,0xfe809f34,0x7df71eff,0x3fffa201,
    0x417df71e,0xeddffff9,0x0027400b,0x87bea7ba,0xeddffff9,0x3fffe60b,
    0xf700bedd,0xd807ffff,0xfff303ff,0x7ffdc005,0xe980dfff,0x500cffff,
    0x809fffff,0x04fffffa,0x3bffb620,0x2003efff,0x3eeeffe9,0x3ffe2000,
    0x002fcc01,0x2007ff88,0x001f707a,0x200fffc4,0x9fdcfffc,0xb92dfffb,
    0xfffd1000,0x02fbee3d,0x225dffd5,0xfd301eff,0x0007bfdf,0x3fff20f3,
    0x0cffa9ef,0x2a207440,0x7fe4000a,0xcffa9eff,0xffffd300,0x100b7fa9,
    0x3dfdfff9,0x4ffffa60,0x004eefc8,0x00298151,0x405302a2,0x20035310,
    0xdb88006c,0x531080ce,0x1a988403,0x8026a600,0x2dffffec,0xbfffffb5,
    0x2aa62005,0x00351001,0x3000554c,0x44000155,0x40001aa9,0x00000aa8,
    0x4437fff3,0x0000efcb,0x2600fff3,0x006f884f,0x4405ffe8,0xf71efffe,
    0x000d417d,0x02981510,0x20010088,0x40000aa8,0x4153100a,0x00000028,
    0x220a9880,0x826a2002,0xaa98001a,0x00100000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xff910000,
    0x19ffffff,0x7ffe4000,0xa999999c,0x7ec41ffc,0xfffe8006,0x2054400c,
    0x00000029,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x54c00000,0x20001abb,0xfffffec9,0xffffffff,0x7fffdc6f,
    0x7fec00df,0x003fffff,0x33260000,0x6654000c,0x0dcc0003,0x00140280,
    0x66440040,0x9990000c,0x0b32e003,0x4ccc4000,0x99999999,0x00009999,
    0x01402801,0x4c00a014,0x54405440,0xa882aaaa,0x800009bc,0x50001ccc,
    0xc9800799,0x1ccc804c,0x75039800,0x01aca880,0x00004004,0x00007995,
    0x33220040,0x0000000c,0x00000000,0x00000000,0x80009991,0x88002ffc,
    0xd70007fe,0xc805fd9f,0xea805904,0x401c41ef,0x8004fffc,0x22005ff9,
    0x710006ff,0xffffdfdb,0xffffffff,0x88160dff,0x2d826406,0x05b04c80,
    0xd997f5c4,0x64c45fff,0x3f226fff,0x005fffff,0x0017fe60,0x00ffffc4,
    0x5005ff90,0xb90009ff,0xffc81360,0x7500dfff,0x88001d40,0x8001ffff,
    0x0482efd9,0x0027ffe4,0x44000044,0x200004cc,0x26666600,0x99881999,
    0x00999999,0x001fffec,0x40007fd0,0x64001ff8,0x1017ec3f,0x202ec1df,
    0x1dfffff9,0xcef88039,0x7dc001ff,0x7fcc000e,0x6ff44001,0x1fffa60b,
    0x5c1bea62,0x4eb989be,0xbb077c40,0xd83be200,0x3fffae05,0xfffdef9a,
    0x6cdff703,0xffca89be,0xefb8000e,0xd9f90000,0x1ffc00bf,0x000ff700,
    0x5c0fe07d,0x6ffffdff,0x2a22f3a0,0xf90001fc,0x8800bfd9,0x72efffff,
    0x7e77cc05,0x7fb5000f,0xfffb0000,0x58816007,0xffffb710,0xfca817df,
    0x01cfffff,0x03ff77e6,0x0017e600,0xb8013e60,0x01ff886f,0x07f6bfea,
    0x3ffea390,0x76c00eff,0xe800bf50,0x7f50000f,0x01ffcc00,0x6880fff5,
    0xffffff10,0x5ff7001f,0x7dc003fd,0xc801fdaf,0x3e60ddff,0x2dff306f,
    0x1bff204c,0x0003fa00,0x2fd89fc4,0x8004f980,0x17c001fc,0x0f4c0fc4,
    0x203fff71,0x4ffffffa,0x227f3000,0x4ae002fd,0x0fffffea,0x2fd43760,
    0x0ffffaa0,0xfbdf3000,0x37b9001f,0x5009d751,0xf1007fff,0x97a00bff,
    0x6b8004fb,0x01ae0000,0xfc817fc4,0x27fff405,0x3ff22240,0x442cc00e,
    0x03f1002e,0x5006b800,0xff980bff,0x32605807,0x2000cfff,0x8004fffe,
    0x5004fffe,0x3ff60bff,0x4beff980,0x002ffe80,0xd80007e2,0x5c806b82,
    0x800f6000,0xb07a80f9,0x813ff201,0x002effea,0x01ae0b60,0x1effb848,
    0x07a616a0,0x007ff908,0x17ee5e80,0x3ffffe20,0xff8800ef,0x7ffd001f,
    0x3f30b500,0x0000d800,0x7e400e40,0x03ff300f,0x4007774c,0x01c00200,
    0x00154012,0xfe800d80,0x3ffc401f,0x014401c0,0x00deea80,0x00dee980,
    0x3205ff50,0xfff981ff,0x0dff7006,0x30001540,0x36014c05,0x01620000,
    0x20d707a8,0x013fe600,0x53000066,0x008014c0,0x3880e002,0x003ffa80,
    0x07a616a0,0x2ffff660,0x03ffe000,0x4017fec0,0x0000e203,0xe8000000,
    0x17fe206f,0x00000000,0x00000000,0x6ffb8000,0x007ff880,0x00000000,
    0x7cc00000,0x03ff702f,0x2003fff3,0x0002fff8,0x00000000,0x32000000,
    0x20009b05,0x000002ff,0x00000000,0x76400000,0xeeeeeffe,0x1c407000,
    0x20005100,0xfb000fff,0x0000005f,0x00000000,0x3a02ffcc,0x02a6607f,
    0x00054400,0x10000a88,0x2a200015,0x04ffe800,0x0607ff88,0x00054cc0,
    0x00000a88,0x817fcc00,0xff981ffa,0x1fff4006,0x3100a988,0x54c40013,
    0x02a62000,0x100a9880,0x339d3333,0x0337f333,0x88037c40,0x0000000a,
    0x00a99800,0x80054cc0,0xccdffdcb,0x000000cc,0x7fc00000,0x5ffb000f,
    0x76c00000,0x7fec1fff,0x7ff6c0ff,0x7fffec1f,0x202ffdc0,0x7f540ffe,
    0x8804ffed,0x04ffedec,0xffedec88,0xedec8804,0xec8804ff,0xf304ffed,
    0xff1007ff,0x3aa0340f,0x804ffedf,0x4ffedec8,0x83fffdb0,0x300ffffd,
    0x3fea05ff,0x006ff981,0x3a627fec,0xd33ffecf,0x401bffdf,0x1effefe9,
    0x3ffbfa60,0x3bfa601e,0x7fd41eff,0xffffffff,0x000fffff,0x764401f5,
    0xf904ffed,0x3aa5ffff,0x6c3fffff,0x7f545fff,0x5404ffed,0x04ffedfe,
    0x0007ff30,0x0000d4c0,0x03ffe000,0x6c17fec0,0x7ec1fffe,0xffb00fff,
    0x403ffa03,0xffd01ffd,0x404ffc81,0x3bea1ffd,0x8813fea0,0x3bfa20ee,
    0x441dd100,0xdd100efe,0x8077f441,0x3fa20ee8,0x17ffd40e,0x883ffc40,
    0xa83bea07,0x3ba204ff,0x403bfa20,0xffd01ffd,0x40bfe601,0xff981ffa,
    0x2ffec006,0xcffb8df7,0x0dfd50bf,0x7f442fee,0x10bfb82f,0x7f705ffd,
    0x88bffa21,0x999fb999,0x0199fb99,0x74403f30,0x03bfa20e,0x3603ffe6,
    0x0fea06ff,0x7fd41df5,0x541df504,0xff9804ff,0xb1001443,0xd85fffdf,
    0x7ec1fffe,0x7fc00fff,0x5ffb000f,0xe80ffec0,0x3ff700ff,0x5c03ff20,
    0x1ff901ff,0x6c03ffc8,0x20ffe2ff,0x03fa07fd,0x7f41bfe2,0xd06ff880,
    0x0dff101f,0x3fe203fa,0x00fffdc6,0x4ccfffc4,0x3fe07eca,0x3a07fd83,
    0x06ff880f,0x3f203ff7,0x05ff300f,0x3e607fea,0x7fe4006f,0xff10ffe6,
    0x87ff709f,0xfff883f9,0x3e20fe60,0x20fe60ff,0xd700fff8,0xf5001720,
    0x407f409f,0xff906ff8,0xc81bfe03,0xfd83ff86,0xfb07ff07,0x27ff300f,
    0x404fffe9,0x3ff21dfa,0xd01ffd83,0xfff801ff,0x05ffb000,0xfc80ffdc,
    0x03ff700f,0x7dc03fee,0x81ff701f,0x7ec03ffd,0x907ff13f,0x09fb01ff,
    0x3f61ffe4,0xb0fff204,0x1ffe409f,0xffc813f6,0x401fff63,0xfffffff8,
    0x7ff107ff,0xfb01ff90,0x41ffe409,0xff701ffb,0x40bfe601,0xff981ffa,
    0xb7fe4006,0xffe82ff8,0x6c7ff982,0x47ffb00f,0x7ffb00fd,0xffd807ec,
    0x13609b03,0x7ffffe40,0x9027ec0e,0x9ff107ff,0x7403ff20,0x641ffc42,
    0x1ffc40ff,0x26007fe4,0xfdefabff,0x0bf302ff,0xfb81fff1,0x01ff901f,
    0xb000fff8,0x7fdc05ff,0x201ff701,0xff701ffb,0x407fee01,0x7fec0ffb,
    0x91ffec02,0x81ff701d,0x3e203ff8,0x07ff10ff,0xf887ffc4,0x3ffe203f,
    0x4407ff10,0xfffb0fff,0x11ffe200,0x07640fb5,0x3e207fdc,0x3ffe203f,
    0xb80ffdc0,0x5ff300ff,0x2607fea0,0x7dc006ff,0x3a03725f,0xaaaaabff,
    0x3bf30fff,0xff933333,0x26677e6b,0x35ffc999,0x333333bf,0x0fa0bff9,
    0xd730017c,0x7fc4ffff,0x03ffe203,0x7fd41ffa,0x1d907984,0xd901ff70,
    0x801ff701,0x260edff9,0x03fb06ff,0xff503ff6,0x003fee03,0x36001fff,
    0x3fee02ff,0x201ff701,0xff701ffb,0x407fee01,0x7fe40ffb,0x017fec03,
    0x507ffae2,0xffe803ff,0xe803ff51,0x03ff51ff,0xff51ffe8,0x91ffe803,
    0xf1001fff,0x2003c0ff,0x541ffeb8,0x7ff401ff,0xb80ffdc1,0x7ff700ff,
    0x2607fea0,0x7dc006ff,0xfffb804f,0xeeeeeeee,0x999df70e,0x27999999,
    0xcccccefb,0xdf73cccc,0x99999999,0x103f1079,0x3ea0003f,0x03ff51ff,
    0xfa81ffe8,0x86ffd82f,0x3ae2004c,0xd71001ff,0xff9803ff,0xa81ff905,
    0x20ae207f,0xff701ffa,0x00fff801,0x5c05ffb0,0x1ff701ff,0x5c07fee0,
    0x3ff700ff,0xf703fee0,0x1ffe807f,0xff97db30,0x401ffc83,0x3ff92ffd,
    0xf92ffd80,0x2ffd803f,0xfd803ff9,0x03fff72f,0x2c0fff10,0xfcbed980,
    0x00ffe41f,0xff70bff6,0x403fee03,0xff505ffc,0x00dff303,0x9103ffc8,
    0x800ffd9f,0x7e4004fc,0x027e4004,0x2ff2aa20,0xaafcaaaa,0x7fdc002a,
    0xd803ff94,0x5ff882ff,0x217fdfc4,0xbed9801f,0x6cc01ffc,0x401ffcbe,
    0xff703ff9,0x0006fb83,0x3ee03ff5,0x07ffc00f,0x202ffd80,0xff701ffb,
    0x407fee01,0xff700ffb,0x503fee03,0xffe809ff,0xf717ec40,0x01ffe83f,
    0xffe9ffe4,0xe9ffe401,0x7fe401ff,0xc803ffd3,0x7fff33ff,0x40fff100,
    0x717ec401,0x1ffe83ff,0x2e1ffe40,0x1ff701ff,0xeffffea8,0x4c0ffd43,
    0x7e4006ff,0xd1dfc82f,0x5fd800ff,0x002fec00,0xf50017f6,0xffffffff,
    0x01ffffff,0xffd6ff80,0x03ffc803,0x46641ff9,0x101aa5ff,0x0ffdc5fb,
    0x3ee2fd88,0x1ffcc01f,0x7ec1ffb8,0x3ff50006,0xf003fee0,0x3f6001ff,
    0x07fee02f,0xfb807fdc,0x01ff701f,0x7dc07fee,0x02ffcc0f,0x3df31bfe,
    0x7ec1ffb8,0x8ffdc02f,0x7dc02ffd,0x805ffb1f,0x5ffb1ffb,0x3a1ffb80,
    0xff8804ff,0x3df30007,0x7ec1ffb8,0x0ffdc02f,0x7dc07fee,0x3ea0000f,
    0x06ff980f,0xd10ffe40,0x00ffd83f,0x9001ff20,0x7fc800ff,0x6c176000,
    0x5fd80004,0xfb805ffb,0x25ff301f,0x21ff90f8,0x07be603d,0xdf303ff7,
    0x401ffb83,0xff503ff9,0x0007fe83,0x3ee03ff5,0x07ffc00f,0x202ffd80,
    0xff701ffb,0x407fea01,0xff500ffb,0x203fee03,0x3fe606fe,0x2e0bfe64,
    0x1ffe41ff,0xffc9ff20,0xf93fe403,0x27fc807f,0x7e403ffc,0x4037fdc7,
    0x4a007ff8,0xffb82ff9,0x201ffe41,0x1ffa87fc,0x0001ff70,0xff983fd4,
    0x13fec006,0x3ff909ff,0x5ff70980,0x0bfee700,0x017fdce0,0x2f81f41c,
    0x94fc8000,0x7fc807ff,0x25bb7f40,0x00f8bff9,0xff705ff3,0xb82ff983,
    0x7fcc01ff,0xd83ff503,0xfa8000ff,0x01ff701f,0xb000fff8,0x7fd403ff,
    0x201ff701,0xff702ffa,0x40bfea01,0xffb80ffb,0x643ff500,0x83ff707f,
    0x7e406ffa,0x901bfea5,0x037fd4bf,0x6ffa97f2,0x3a22fe40,0x7fc403ff,
    0x3f259007,0xa83ff707,0x2fe406ff,0xfb817fd4,0x3ee0000f,0x20dff307,
    0x7dc7fd02,0x04ffb80f,0x06ffa9a2,0x06ffa95c,0x06ffa95c,0x207e215c,
    0xe80000f8,0x80dff52f,0x7fdc05fc,0x5f7f41f9,0x5c1ff204,0x83fe41ff,
    0x7cc01ffb,0x83ff503f,0x1c403ffc,0x7dc07fea,0x07ffc00f,0x200ffd80,
    0xff702ffa,0x40bfe601,0xff301ffd,0x207ff605,0xbfb02ff8,0xfb81ffd8,
    0x01ffe81f,0x3ffd0bfa,0x3fa17f40,0xd0bfa01f,0x17f403ff,0x3007ffcc,
    0x1f300fff,0x3ee07ff6,0x01ffe81f,0x3fe60bfa,0x003ffb02,0xf9827dc0,
    0xf86fd87f,0x203ff60f,0x9900fff9,0x880effe8,0x4077ff46,0x077ff468,
    0x407cc344,0xf980007a,0xd00fff45,0xeff8805f,0x01fffb85,0x3ee07ff6,
    0x40ffec1f,0x7cc01ffb,0x83ff503f,0x16406ffa,0x7dc0bfea,0x07ffc00f,
    0x4c07fd80,0x3ffb02ff,0xd11bfe20,0x3e205ffb,0x7fef446f,0xf30df302,
    0x44ffb81f,0x238afffb,0xf980effa,0x80effa84,0xeffa84f9,0xfa84f980,
    0x04f980ef,0xfb817fee,0x97a200ff,0x7fdc4ffb,0x3fea38af,0x104f980e,
    0xfde88dff,0x43c8802f,0xfff500fc,0x7cc5ffd0,0x221ffdc2,0x88affffd,
    0x7fd40feb,0x3fdaabef,0x55f7ffd4,0x7fd43fda,0x3fdaabef,0x00b906b8,
    0x20fec057,0xf980effa,0x05ffb004,0xfb80dff1,0x57ffdc4f,0xb89ff738,
    0x3038afff,0x3fea07ff,0x82fffc41,0x03ff9879,0xff803ffb,0x7ec3b80f,
    0x237fc406,0x202ffde8,0x9fdcfffc,0xc82dfffb,0xb9fdcfff,0xfb82dfff,
    0x2207fa24,0xacfcefff,0x7d41efff,0x817a60df,0x3a60dffa,0x837fea05,
    0x3fea05e9,0x2017a60d,0x510aeffa,0x3339ffff,0x447ff755,0xacfcefff,
    0x7d41efff,0x017a60df,0x3fb9fff9,0x405bfff7,0x2faaeffa,0x70bfff20,
    0x20fa2dff,0xfbadfff8,0xfffffe8b,0xfff901ff,0x320dffff,0x6fffffff,
    0xffffff90,0x6c1360df,0x5f7fdc04,0x500dfb88,0x2f4c1bff,0x6c0df500,
    0x7ffc403f,0xfffacfce,0x9dfff11e,0x3dfff59f,0x540ffe60,0xfffa81ff,
    0x82fea8ad,0x6f446ff8,0x3fe202ff,0xd1ffd41f,0xfff9003f,0xfff73fb9,
    0xfffd105b,0x02fbee3d,0x8f7fff44,0x2e00befb,0x200cfdfe,0xf12effea,
    0x3fa603df,0x9803eeef,0x03eeeffe,0xeeeffe98,0xeffe9803,0x75c003ee,
    0xffffffff,0xffffffff,0x7ff540ff,0x03dff12e,0x3bbbffa6,0xfffe8803,
    0x017df71e,0x03bfffb0,0xfffffd93,0x7fffec9d,0x3fffaa02,0x3fff621e,
    0x7fd402ef,0x7d404fff,0x5404ffff,0x204fffff,0x8805f03e,0x3effffff,
    0xeeffe980,0x02f8003e,0x3aa003e6,0xdff12eff,0x2effea83,0x5403dff1,
    0x5ff703ff,0x3fffff60,0x3ff204ff,0xffb9fddf,0xfffb82df,0x44fffcc4,
    0xffd1004f,0x2fbee3df,0x26054400,0x302a2002,0x00188005,0x10008044,
    0x51000155,0x55100015,0x15510001,0x33330000,0x04400001,0x15510008,
    0x98151000,0x00030002,0x40035100,0x0d4c00aa,0x002aa600,0x2000aa98,
    0x05400aa9,0x553000a8,0x2aa20001,0x20060000,0x08044002,0x80080440,
    0xffb04ffc,0x7fffdc07,0xfffe803f,0x417df71e,0xffffffc8,0xbfffb0ce,
    0x81510007,0x00000029,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ffaa000,0xffd74eff,0x54c03dff,0x02a20009,
    0x44000053,0x0000001a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x803cca80,0x10004cc9,0x40101000,0x80062019,0x01abcba8,
    0x35975100,0x00011001,0x2a200020,0x45501acb,0x99999998,0x4cccc009,
    0x4d440099,0x97300260,0x4c019815,0x10000cc0,0x20015975,0x00999998,
    0x26666660,0x4cccc409,0x01999999,0x33333331,0x2b2e6013,0x33333101,
    0x4cccc133,0x98809999,0x40019999,0x26662000,0x20009999,0x22001ab9,
    0x44000019,0x002204b9,0x32ea2000,0x020001ab,0xfe800008,0x3ffb000f,
    0x007f5400,0xfd10fea8,0x220ba01b,0xffda800e,0x0befecbd,0xf959d700,
    0x3f6603df,0x7f540003,0x9bff7000,0x7cc7ffd9,0x3ffff6a1,0x7ec00dff,
    0xf703ffff,0x3fb9ffdf,0x3b7ffa60,0x882eadff,0xffd70feb,0x7fdc009f,
    0x04ffedce,0x7ffff64c,0xfffb7000,0xfffe839f,0xffffffff,0xfffec980,
    0x7f542dff,0x541efdbd,0x1dfffffd,0x3fffffb2,0xffec881c,0x765400cf,
    0x7ec00bdf,0x01ffffff,0x3fdbcfc8,0x7ee7f4c0,0x002aaabd,0x202b3baa,
    0x00003fda,0x32f7ff6a,0x2000befe,0x00c80efa,0x1ff88036,0x00ffa200,
    0x003fffee,0x321ffff9,0x9f505fff,0x36201fcc,0xd95101bd,0x440fb803,
    0x3faa2ffd,0xf70003ff,0xe8801fff,0xefd880df,0xfff503fa,0x7fc4001f,
    0x443db105,0xfa81fffc,0x3fee20be,0x7fff642f,0xffffffa8,0x82ff4c05,
    0xa801efd8,0x4c006fff,0xfff980ef,0xffffffff,0x0fffe806,0x7440cfb8,
    0x4fffa80f,0x00bfff60,0x75c00ffc,0x206ffc89,0xfffffff9,0x220fb805,
    0x1df500ff,0x3fffffcc,0x5027ec40,0x0007fffd,0x2037bb10,0xb001eca8,
    0x59d305ff,0xb80db731,0x6f88002f,0x01ffd080,0x2a1ffd08,0xfb00ffff,
    0xe980df5d,0x8274c003,0xbff305f8,0x003ffc84,0x803ffa10,0xfc803ffa,
    0x3ffe406f,0xe807f400,0x83ffb00f,0x3ea02ff8,0xb7ffb02f,0x0bfffaa3,
    0x5c01ffd4,0xffa803ff,0x82fc005f,0xccccdefd,0xc803fdcc,0x0ff885ff,
    0x3fa0df90,0x3ffe604f,0x5009f001,0x02ffc83f,0x999999db,0xd83fa803,
    0x83ff884f,0x4009affb,0xc8402ffa,0x4c0003ff,0x274c003e,0xe8077cc0,
    0x01ffffff,0xf30001ec,0x03ff2001,0x3307fe40,0x3fe601f7,0x27a201ff,
    0x01999998,0x03fd41ec,0xffa81fff,0x7fe40003,0x00dff100,0xf100fff4,
    0x7c4005ff,0x6409f703,0x03fe41ff,0xffc817dc,0x10dffb05,0x7ec00bff,
    0x7ffc401f,0x213e003f,0x1fd802f8,0xb84ffb80,0x03fe605f,0xfb01bfee,
    0x03f3007f,0x1b907f88,0x40001f30,0x82fa82fe,0xff881ffb,0x01ffa803,
    0x000ffea0,0x75301e88,0x01ec6615,0x7ffe4400,0x002c401c,0xfb801d40,
    0x1ff9000f,0xeec80f50,0xfea97404,0x83ffecdf,0x17fd41e8,0x7cc2ffc8,
    0x7dc0003f,0x05ffd00f,0x01bffee0,0x5c009ffb,0x00ff880f,0xdfb07fea,
    0x7dc0be00,0x3fff301f,0x2001ffd8,0x7c406ffa,0xd002fffe,0x3e007707,
    0x09ff7006,0x7fc40df9,0x01fff880,0x2e01bfea,0x007fa806,0x7c0004d8,
    0x7fec001f,0x880bff00,0x7cc003ff,0x0ba0003f,0x3f2ab3f2,0x003d13fe,
    0x00005400,0xf7000000,0x3ff2001f,0x00003d80,0x20ff98b7,0x46983ffa,
    0xff903ff8,0x003ff983,0x5c07fdc0,0x3f3005ff,0x7cc07ffb,0x09d000ff,
    0xff501fee,0x801ffe83,0x01ff702d,0xff717fec,0x7ffd000b,0x7ff57c40,
    0x083e800f,0x2009f500,0xffb84ffb,0x6c0df501,0x3fe203ff,0x401f400f,
    0x7cc006fb,0x3fe60003,0x07fe4001,0x7ec06fe8,0x3ff98005,0xe98b7000,
    0x4c7f900e,0x00000006,0x98001533,0x3ee000a9,0x1ff7000f,0x353005d8,
    0x3fe60f40,0x1e83fec0,0x0ffb01cc,0x80007ff3,0xfff80ffb,0xf73f8803,
    0x7ff401ff,0x901f9803,0x1ffa80df,0x200f7fe4,0x01ff702b,0xfff1ffe4,
    0xfff70005,0x3e2be201,0x1f400eff,0x003f9000,0x3e613fee,0x03fd80ef,
    0xfd01bfea,0x007cc07f,0x360037ec,0x4002dfff,0x54002ffa,0x5ff882ff,
    0x0007fee0,0x4000ffe6,0x201fe21e,0x0000f44e,0x7f540150,0x5404ffed,
    0x04ffedfe,0x7000ffb8,0x2016c1ff,0x2fffefd8,0x07fcc2cc,0x12a0bfe6,
    0x984ff880,0x5c0003ff,0x7ffcc0ff,0x3e64e802,0x3fee01ff,0x3606c806,
    0x0ffd406f,0x00bfffea,0x7007fdc0,0x3ffe27ff,0xfffa8001,0x3e65f101,
    0x01f405ff,0x5c00df00,0xdffd04ff,0x7c027d41,0xfff301ff,0xe803640d,
    0x3fe2006f,0x001effff,0x88005ff5,0x1ffa85ff,0x000dff30,0x0510ffe6,
    0x01fec598,0x5012a2cc,0x0ffe4401,0x3ea0efa8,0x41df504f,0x7dc04ffa,
    0x1ff7000f,0x90efd400,0x4c1dc7ff,0x07fdc0ff,0x1bf20078,0x3a61ffcc,
    0xb80defff,0x7ffd40ff,0x3e236c01,0x7ffc03ff,0xe80fe202,0x0ffd407f,
    0x0f7fffe4,0x803fee00,0xfff52ffa,0xfff30003,0xfa8be205,0x00fa03ff,
    0x70027d40,0x3fe209ff,0x003fa9ff,0x3ae09ff9,0x07d01fff,0x7fffffec,
    0x372605ff,0x03fffffe,0x8003ffa8,0xfb10bff9,0x45ffdc07,0x200ceedb,
    0xffd33ff9,0xf98ee09f,0x21e0001f,0xd901ffc8,0x3fe03fff,0xff07fd83,
    0xb80ffb07,0xff7000ff,0x217e6001,0x05b0fff8,0x7f441ff3,0x22003e04,
    0x7ff301ff,0xb803df50,0x7ffe40ff,0x3e03ee00,0x7fe404ff,0xd803ee05,
    0x3fea00ff,0xfffffb01,0x3fee0019,0x643fee00,0x88000fff,0x5f104fff,
    0xd02fffc8,0x07f20007,0x204ffb80,0x01ffffe9,0x741bfe60,0xf984ffcb,
    0x3fa66200,0x2000999e,0x82ffffc8,0xadffcaa8,0xff3002aa,0xd803bfbf,
    0xfebcedff,0x7ff302ff,0x5fffbbf5,0x03fdc5b0,0xfed83e00,0x7fec01ff,
    0xc83ff881,0x1ffc40ff,0xf7007fe4,0x207fe61f,0xfb000ffb,0x743ff603,
    0xdcbff981,0x00f401df,0xff301fdc,0x7005e887,0x7ffd81ff,0x7fc07ea0,
    0x7ffc405f,0xfc809d01,0x07fea04f,0xffffffb8,0x01ffb803,0x7ffd9ff2,
    0x17ffe000,0x7fec17c4,0x0003e81f,0xffb800df,0x7fff4404,0x0fffc004,
    0x1ffe67e6,0x6fe801b2,0xfffa8000,0x7fffd40f,0x805fffff,0x400111e8,
    0xffb83fff,0xddff980f,0x3a1bfe20,0x0001ff21,0x03ffb03d,0xd901ffc8,
    0x901ff701,0x01ff701d,0xffc87fdc,0x800ffb84,0x8ae207fa,0xcbff981e,
    0x01e800ff,0x7fcc04e8,0xb8013a23,0x3ffe40ff,0x3fe03f98,0x4ffd805f,
    0x7cc01f98,0x3ff901ff,0xffffd880,0x3fee01ef,0xfd8ffa01,0x3fe0007f,
    0x105f105f,0x3e81dffd,0x004f9800,0x2a027fdc,0x00dfffdf,0x6c89ff90,
    0x07f07ffe,0x00037f40,0x444ffe88,0x99cffa99,0x005e8009,0x640bff10,
    0x5ff985ff,0x1e81ff90,0xd0001ff6,0x803ff903,0x22001ffb,0x1001ffeb,
    0x5c03ffd7,0x03ff30ff,0xf7001ff7,0x982c800d,0x00bfb0ff,0x806a801f,
    0x09f33ff9,0x5c0ffb80,0x27440fff,0x007fff10,0x6d81fff3,0x45fffb00,
    0x001ffec8,0x1fffffd3,0x4c13fee0,0x07ffe46f,0x03fff800,0x3fe605f1,
    0x4001f45f,0x7dc001fc,0x64bf204f,0xf3006fff,0x3f23f8ff,0x8003e64f,
    0x200006fe,0x3e206ff8,0x7fd4004f,0x009999ab,0xfa817fea,0x1ffcc0ff,
    0x1641ffb8,0x40001ff7,0x01ffb80f,0x4c00ffdc,0x01ffcbed,0x7fe5f6cc,
    0x083fee01,0x2003fee0,0x1dc006fd,0xff887fcc,0x3601e203,0x9bff9801,
    0xffb8003f,0x207ffd40,0x7ffcc06d,0x47ffd002,0xff1002f8,0xf55fdfff,
    0xffb8003f,0xfff706ff,0x541fe885,0x88001fff,0x5f102fff,0xd27ffd40,
    0x00df0007,0x2e09ff70,0x27ffdc4f,0xf32ffe80,0xb93ffcc1,0x006fe800,
    0x103fec00,0xfa8007ff,0xffffffff,0x27fdc0cf,0x983fff10,0x3ff703ff,
    0x0bfe63b8,0xfb83c400,0x0ffdc01f,0x7dc5fb10,0x45fb101f,0x3ee01ffb,
    0x1ff7000f,0x800ffd00,0x20ff9869,0x09701ff9,0x3fe600d0,0xb8004ffd,
    0x7ffc40ff,0xf5003f22,0x3ee001ff,0x1001ee6f,0x2a5ffffd,0xe88001ff,
    0xffb82fff,0x0dfdcefb,0x002fff98,0x101fff98,0xfffb805f,0xf98007d2,
    0x4ffb8004,0xff707f88,0x53fee00f,0xf2ffe85c,0x06fe8007,0x03fd4000,
    0x2e000bfe,0xffffffff,0x3fea0fff,0x217ff404,0xff703ff9,0x2fec6983,
    0xb825c080,0x7fdc01ff,0xb83df301,0x1ef981ff,0xf700ffdc,0x3fee001f,
    0x00ffd800,0x3fe60f40,0x1e837e40,0xff300480,0x8005ffd7,0xffe80ffb,
    0xf7003f54,0xfff800ff,0x220009d2,0x20ffd41a,0xffe8800d,0x988ffb84,
    0x7ffc009a,0x7ffa8003,0x3600be20,0x003e9fff,0x5c000fe4,0x06fb83ff,
    0x2200bff2,0xb83f8fff,0x000f9dff,0x000037f4,0x3ff01be2,0x26679000,
    0x3fdbaaa9,0xf9017fe2,0x03ff983f,0x43d03ff7,0x1dc02ff8,0x0ffdc07a,
    0x2607fee0,0x1ffb82ff,0x7dc17fcc,0x03fee01f,0x4007fdc0,0x1c403ffc,
    0x81ffa8b5,0x403545fe,0x7ff30028,0x4003fff1,0xffa80ffb,0xfb002f9e,
    0xffc8005f,0x00001f9d,0x0b60ffd4,0x5c2ffd40,0xfb8000ff,0xffd8006f,
    0x400be202,0x003ffffe,0xfb80037c,0x404fe82f,0xffd004ff,0xfff101fb,
    0xdfd000bb,0x4f880000,0x5c003f40,0xff1b2005,0x40ffb80d,0xff703ff9,
    0xfe98b503,0x3542c983,0xb803ff70,0x07fc81ff,0x7fc83ff7,0x5c03ff70,
    0xff7000ff,0x0dff5001,0xfc9ec2c8,0x7fc45fff,0x0000f88e,0xfa9ffcc0,
    0xff7000ef,0x13fff601,0x0027fcc0,0x0377ffc4,0x0ffd4000,0x7fcc0176,
    0x000ffb83,0x4005ffd0,0x7c405ff9,0xffff1002,0x027cc007,0xe81ffb80,
    0x027ec04f,0x205fffb8,0x8002fffe,0x400006fe,0xbf3101fa,0x0fe65880,
    0x3fec4b80,0x3e61bf20,0x03ff703f,0x3bfb20f6,0x07c41cee,0xb803ff70,
    0x1ffd81ff,0x7ec1ffb8,0x01ffb81f,0x5c003fee,0xff8800ff,0xd10f305f,
    0x0ba20005,0xff300080,0x802ffe47,0xff100ffb,0x1bfa001f,0x2fffd800,
    0xffa80000,0x5c007ec1,0x0ffb82ff,0x0dff3000,0x2007fec0,0x3e6002f8,
    0x3f2003ff,0x2e0ca801,0x05fc80ff,0xf88017ec,0x3fee02ff,0x6fe8000f,
    0x42740000,0x1beffee9,0x02ff4990,0x7fc41e88,0x260bfa03,0x3ff703ff,
    0x0980ba20,0xfb805d10,0x0ffdc01f,0x3ee27fdc,0xff738aff,0x8afffb89,
    0x000ffb83,0x2a001ff7,0xea8adfff,0x009d102f,0xd1003f98,0x7ff3007f,
    0xb804ffd8,0x3ff600ff,0x00ffc805,0x01ffe600,0x17fdc000,0xff007ff6,
    0x007ff20b,0x804ffa80,0xf9801efc,0x1ffdc003,0xf100dd00,0x881fe4bf,
    0x0df101ff,0x4407fd80,0xfd0005ff,0x0776200d,0xa8e41b62,0xcbceffff,
    0x37ff61ff,0x540baa01,0x05f980ff,0x3ee07ff3,0x013a201f,0xf7007f30,
    0x1ffc803f,0xfcefff88,0x11efffac,0x59f9dfff,0xf903dfff,0x3ff2003f,
    0x3fff6001,0xc804ffff,0x3b6600be,0x1bfee001,0xf113fea0,0xffc807ff,
    0xbfb5f701,0x0dfd8815,0x04fe8000,0x7ff90000,0x21bfffd8,0xb00efeb8,
    0x880005ff,0xfe981efe,0x1bf9000d,0x003fc800,0xff1009f3,0xf5017a5f,
    0x01fd881d,0x6c02fd40,0xfff0002f,0x3bffe600,0x9a04ebab,0xffffe9ad,
    0x7ff444ff,0xefeeeeff,0x506fec01,0x1ffd40bd,0xc802ffb8,0x3b6600be,
    0x03ff9001,0xd503ffd8,0x3fe25dff,0x77ff541e,0x203dff12,0xfd003ffe,
    0xffb8007f,0x26003fff,0xedcccefc,0xff98002d,0x85ffb804,0x3a03fffb,
    0x21f983ff,0xffddffea,0x2e00002e,0x5400000f,0xb2cffffc,0xfdfffb57,
    0x3f6e07ff,0x0002cfff,0x7eefff5c,0xfc8802ef,0x001dffff,0x0fe400f6,
    0xcdfffb80,0xcdfe9800,0xf0000cfe,0x001f5005,0x005fff30,0x37bffff2,
    0x2276dc02,0x202efffc,0xdeffffda,0x37fee003,0x7fe404ee,0x009ffb05,
    0x3333bf26,0x74002ded,0xffd703ff,0x02203bff,0x04022004,0xdffffeb8,
    0xffffd702,0x9a98005b,0x55310000,0x88000135,0x7fff5c01,0xfffd33ef,
    0x7ff5c7df,0x80a22dff,0x00001aa9,0x200000e0,0x09999998,0x13555305,
    0x4cccccc0,0x26000009,0x000001aa,0x54006200,0x01544002,0x001a9880,
    0x07100380,0xffffda80,0xa8800cdf,0x3004c000,0x00188003,0x5400a980,
    0x73effffe,0x03bffffd,0x26aaa620,0x7ff5c000,0x00001dff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40565d44,0x2ea2000a,0x01441bcc,
    0x07200071,0x009ba880,0x75000388,0x26666620,0x26600999,0x20099999,
    0x373002db,0x000ae000,0x88033322,0x99999999,0x4405cc09,0x99999999,
    0x99999981,0x33310999,0x01333333,0x4ccccc40,0x00009999,0x36a00400,
    0x880065c2,0x80001aca,0x99999998,0x99999999,0x26000099,0x99988001,
    0x00999999,0x26210000,0x09999999,0x26662000,0x00199999,0x076e16d4,
    0x26666662,0x99999999,0x4ccccc19,0x75401999,0xceecceff,0xda800f9a,
    0xfedcdeff,0xfd984bad,0x075c000f,0x7eeff4c0,0x1ffb302f,0x502f8800,
    0x9ffffff9,0x7ffedc03,0xfff302df,0xfffee880,0x003e6000,0x1013fee0,
    0xdfffffd7,0x17ffcc59,0x3ffff6e2,0xffcb83df,0x710bdfff,0x7bfffffb,
    0x7f5c4001,0x02ceffff,0x0bbf6a00,0x3ffc4071,0xc880bff5,0x01efffff,
    0x3ffb2600,0xffffffff,0x005fffff,0x220017a0,0xffffffeb,0x02deefff,
    0xa41ffe44,0xfffffeb8,0xbdefffff,0x7ff5c400,0x4003dfff,0xdff30fff,
    0xffffd710,0xffffffff,0x7fedc4ff,0x880befff,0xc880befe,0x7ec01fff,
    0xffd300af,0x003fe109,0xf9802f88,0x213fa60d,0xd8001ff0,0xffff8805,
    0x07fe6000,0xd80dff30,0xe8013f21,0x0bfb0003,0x03fffb80,0x640bfff7,
    0xf9801fff,0x7fe404ff,0xfb80001f,0x980003ff,0x91dfffff,0x53ffc403,
    0xffe80bff,0x02ffffff,0xffdfd800,0x0df53105,0x003fe600,0x09fffc80,
    0x07bffaa6,0x977ffff4,0xbfffc849,0xffdba99a,0xffc800df,0xfff0001f,
    0x901bfe61,0x32a60dff,0x7fff507f,0x802ffcc0,0xfd101ffa,0x17f6003f,
    0x36000fe8,0x506f8805,0x03fa05ff,0xb000fa80,0xbf000bff,0x10072a00,
    0xd9004f98,0x0037c000,0x8807ffcc,0xf500fdfe,0x7ffc00ff,0x03ffd402,
    0x0fff9800,0xf51c8000,0x801dffff,0x0065c1ca,0x7f545bf9,0x6c0000ff,
    0x9805ffae,0x7ff90006,0x37fd4000,0x503ffee0,0x3ffffa69,0x06ffa81f,
    0x017fff4c,0x8001ffea,0x00e542c9,0x2e01bfea,0x1fff880f,0x800dff10,
    0x3ffd02fb,0xd037c400,0x03ea001f,0xfd80ff60,0x2001fd06,0x3f2002f8,
    0x04e8004f,0x07640000,0x8000fcc0,0xf88000ea,0x98f3007f,0xeefffeee,
    0xeeeeeeee,0x81eeefff,0x00006ff9,0x0000fff1,0x07bfee12,0x07f00000,
    0x0013ffa2,0x5ffaaf88,0xf1000d00,0x4c000fff,0xffc806ff,0x3faa05c4,
    0x0dff302f,0x03fffb10,0x00037fcc,0xdff50000,0x7fc03a00,0x05ffb00f,
    0xff907d00,0x40d70007,0x2f8800fe,0x202ff880,0x0fe83ffa,0xc800b900,
    0x4e8003ff,0xb8800200,0x009d003f,0x88000640,0x899007ff,0xcfffdcc8,
    0xcccccccc,0x0ccdfffc,0x0006ff98,0x000fff10,0x00008020,0x5405a800,
    0x320006ff,0x200bff56,0xfefb8003,0xff30002f,0x8fff300d,0xff300200,
    0x7fff400d,0x00dff300,0x7cc00000,0x2015006f,0xffa80fff,0x98770006,
    0xd0000fff,0x6c007f40,0x03ff5005,0x7f42ffc4,0x000fa800,0x4001ffe4,
    0x8016004e,0x5c05fffd,0x00000006,0x7401ffe2,0x01bfe601,0x4c01ffe8,
    0x100006ff,0x00000fff,0x05440000,0x7fc00540,0x25f10006,0x00005ffa,
    0x17fef3a0,0x037fcc00,0x0001fff8,0x400dff30,0xf304fffa,0x9fffffff,
    0x02a66003,0x006ff980,0xe80fff80,0x710004ff,0x0004ffd8,0x400fe806,
    0xff7000fa,0xe87ff805,0x01f4400f,0x001ffe40,0x04880274,0x101ffa80,
    0x0260003f,0x3e200151,0x0174c07f,0xe801bfe6,0x7fcc01ff,0x44000e66,
    0x200007ff,0x80054409,0x4ffedec8,0x04fe8000,0x7fd4d900,0xa8000c05,
    0x01fff89f,0x806ff980,0xa800fff9,0x037fcc00,0x4c1fff60,0xfc999eff,
    0xfd500eff,0x3009ffdb,0x80080dff,0x7fc40fff,0xf100002f,0x000005ff,
    0x3f8803fa,0x00fff200,0x0fe81ffd,0xc8003640,0x4e8003ff,0x20007500,
    0x009d02fd,0xb32feb88,0xf1009fff,0x00e5c0ff,0xd0037fcc,0xff9803ff,
    0x20005f56,0x40007ff8,0xfb32feb8,0xee8809ff,0x003bfa20,0x8003ff80,
    0x17fea1f8,0x976000d0,0x98004ffc,0xffb806ff,0x07ff2206,0x800dff30,
    0xf982fffa,0xeffe886f,0xf5077d40,0x6ff9809f,0x3fe00ae0,0x07ffdc0f,
    0xfffb8000,0xfd000001,0x2002e401,0x7f404ffb,0x3007f41f,0x3f20003f,
    0x04e8003f,0x2e0003b0,0x000eb81f,0x26bfffae,0x02fffdef,0x0003ffc4,
    0x2006ff98,0x7cc01ffe,0x0002fcef,0x0081ffe2,0x4d7fff5c,0x02fffdef,
    0x3fe203fa,0x1ff10006,0xfa8b9000,0x001e205f,0xfff98be6,0x37fcc000,
    0x40fffe60,0x401fffec,0x4c006ff9,0xff984fff,0x89fff106,0x07fd83ff,
    0x5d037fcc,0xc81fff00,0x200007ff,0x00007ffc,0x7cc03fa0,0x37fd4000,
    0xfd03ffe0,0x0001f401,0xd0007ff9,0x200d7009,0x7c427409,0xbff90002,
    0x03ffcc1b,0x0001ffe2,0xd0037fcc,0xff9803ff,0x440001ef,0x09fd07ff,
    0x41bbff90,0x9fb07ff9,0x001ffe40,0x4c0027d4,0x4f7fd41f,0x07eca999,
    0xffe86c80,0x77fcc003,0x7ffdcc40,0x01ffd802,0x20037fcc,0xf985fff8,
    0x9bff606f,0xffc83ff8,0x27bfe600,0x02fda999,0x7ec0fff8,0x3600007f,
    0x36e007ff,0x32efffff,0x7d039ff7,0x5fff1000,0xf733ffc0,0x80d9039f,
    0x0fff2008,0xf3013a00,0x9dff1007,0x1017607d,0x417fea01,0x7fc407fd,
    0xff300007,0x9999999f,0x03fff999,0x000fff98,0x987ff880,0xffa807ff,
    0xf10ffb05,0x7ffc407f,0x007f4000,0x7fd42ec0,0xffffffff,0x41fc4007,
    0x4c006ffa,0xffffffff,0x9000efff,0xff9803ff,0x6fff8006,0x3206ff98,
    0x03b20fff,0xf9803fee,0xffffffff,0x0fff802f,0x0003ffec,0x001fffb0,
    0x444fffb8,0x36409999,0x405f7ed4,0x6c41fffa,0x266626ff,0x100fcc09,
    0x1ffe40bf,0xf1027400,0x4d4c400f,0x4401f500,0x05ff505f,0xf8803ff2,
    0xf300007f,0x555555ff,0x3ffd5555,0x006ffa80,0x20fff100,0xffa803fd,
    0xa81ff902,0x7ff401ff,0x00bee001,0x3ea07e60,0x00fb305f,0xfff00fb8,
    0x7ffcc003,0xfecba999,0xffb802ef,0x037fcc01,0x4c2fffc0,0x3ff206ff,
    0x7f5c400f,0x3bfe601f,0x2fb99999,0x640fff80,0x00000fff,0x8005fff9,
    0x4002fff8,0x5df541f9,0xfff705ff,0x9ffbdb9b,0x2204e800,0x3ff205fe,
    0x204e8003,0x400004fc,0x3fa202f8,0x205ff305,0x3e201ffb,0xf300007f,
    0x7ff400df,0x1bffea01,0x3ffc4000,0x17fcc000,0x7e41ffb8,0x17fec01f,
    0x0004f880,0xddddddfd,0x00780bff,0xbff90274,0x037fcc00,0x803bffee,
    0x7cc01ffb,0x7fc4006f,0x06ff984f,0xd981fffa,0x201ffcbe,0x0b206ff9,
    0xf703ffe0,0x200005ff,0x8003fffb,0x74001fff,0x0ffc0e83,0xd2ceec98,
    0x35c003ff,0xc817f760,0x3e8003ff,0x0001ff50,0x6ec05d80,0x05ff305f,
    0xf8807fea,0xf300007f,0x7ff400df,0xdff9f901,0x3fe20000,0xff980007,
    0xe83ff502,0x7fe401ff,0x000bb003,0x2aaaafea,0x2c05ffca,0x999bf500,
    0x1fffb999,0x01bfe600,0xb817ffea,0x7fcc01ff,0x7ffcc006,0x106ff982,
    0xfb109fff,0x300ffdc5,0x01540dff,0x3ea07ffc,0x300003ff,0xf000bfff,
    0x364001ff,0x002fc808,0x10037fd4,0x7cedc03f,0x013fee05,0x37fc0fe0,
    0x03ea0000,0x305f8db8,0x3fea05ff,0x01ffe201,0x037fcc00,0xd903ffd0,
    0x000dff31,0x001ffe20,0x540bfe60,0x17fec1ff,0x2007fee0,0x9d0000ec,
    0x202ffd40,0x333b6000,0xfecccccc,0xdff3003f,0x03fffa00,0x2600ffdc,
    0x7d4006ff,0x6ff981ff,0x986fff98,0x0ffdc1ef,0x080dff30,0x440fff80,
    0x00005fff,0x2001fffa,0xf3000fff,0x003ec003,0xd0017ff4,0x7c475409,
    0x017fee05,0x3fe60fe0,0x4007d304,0x23aa03f8,0x5ff305f8,0x8807fea0,
    0x300007ff,0x7f400dff,0xff30a81f,0x3e20000d,0xf980007f,0x83ff502f,
    0x7e403ffc,0x000ea807,0x7d401f50,0xf100005f,0x0dff5005,0x401bfe60,
    0xf702fffb,0x6ff9803f,0x837fec00,0xca99eff9,0x7cc0dfff,0x01ffb82f,
    0x0001bfe6,0x3ee03ffe,0x5060006f,0xf8003fff,0x09d000ff,0x2001fc40,
    0x2e004ff9,0x221d300e,0x1bfea05f,0xf703f300,0x03ff207f,0x1d303640,
    0x7fcc17e2,0x403ff502,0x4c007ff8,0x006ff983,0xf3007ffa,0x82a800df,
    0x4c007ff8,0xa817fcc3,0x37fd41ff,0xf3017f20,0x01f40001,0x50017fea,
    0xfe801b20,0x6ff9802f,0x03fff500,0xf3007fee,0x7fd400df,0xffff301f,
    0x2059dfff,0x3ff707fc,0x0037fcc0,0x4407ffc0,0x98003fff,0x006ffe84,
    0x5c007ffc,0x002ec006,0xf10037ec,0xf887a205,0x03ffe205,0xff707b80,
    0x00bfe607,0x0f4407e6,0x3fe60bf1,0x403ff502,0x6c007ff8,0x006ff981,
    0xf3007ffa,0x80e800df,0x6c007ff8,0xa817fcc1,0x1ffe81ff,0xf980bfa0,
    0x1f700401,0x005ffa80,0x00fe20ee,0x9805ffb8,0xff9006ff,0x00ffdc0f,
    0xe801bfe6,0x3fe605ff,0x1ffd8006,0x2601ffb8,0xf80006ff,0xfff500ff,
    0x982c4003,0x3e003fff,0x0fc400ff,0x9000b900,0x2ec001df,0xfb999db0,
    0x3ff2039d,0x209f3003,0x3fa05ff9,0x3603e801,0xcefcccce,0xa817fcc1,
    0x3fe201ff,0x4c1aa007,0x3fa006ff,0x37fcc02f,0x3e20b500,0x21aa007f,
    0xff502ff9,0x01dff503,0x0fd409f3,0x3e203a20,0x05ffa803,0x1f701f30,
    0x0fffc400,0x201bfe60,0x2e04fff8,0x7fcc01ff,0xeffd8806,0x01bfea00,
    0xf713fee0,0xf50715ff,0xff0000df,0x7ffcc01f,0x201e9802,0xf004ffd8,
    0x04d801ff,0x2e0016e0,0x3ea000ef,0x33332e00,0x3601cefd,0x2fcc01ff,
    0x7403ff60,0x5c06c806,0xcefccccc,0xb81ffdc1,0x3fe602ff,0x04fa800f,
    0x7c00fff5,0x7fd402ff,0x207f7007,0xa800fff9,0x03ffb84f,0x3ea05ff7,
    0x817a60df,0xaaaaacfa,0xfb05fccb,0x0dff7001,0xdf10dd30,0x0bffd000,
    0x4406ffb8,0x3200dffe,0x7fdc01ff,0x1fff4c06,0x003ffd40,0x7e77ffc4,
    0x81efffac,0x40007ffa,0x4c01fff8,0x30aceffe,0x2e001db7,0xc980bdff,
    0x3ee00eff,0x1909b000,0x0013f620,0xf10005f1,0x7fff100b,0x077edc43,
    0x42fffa20,0x7cc00ec8,0x05f88001,0x3f609ff9,0xfff9104f,0x9555557d,
    0x3f603ffd,0xffa802ff,0x7ffec05f,0xcaaaaace,0xfc881ffe,0xaaaabeff,
    0xc81ffeca,0x9ffb04ff,0x777ff4c0,0x3ffea03e,0xffffffff,0x01ffb82f,
    0x4dffff44,0xffcaa999,0x0037ec43,0x4067fff4,0x9abfffd8,0x4fffca99,
    0x203ffd80,0x9abfffd8,0x1effdca9,0x2fffd880,0xeffea800,0x103dff12,
    0x0003fffb,0x4027ffdc,0xfffffdc8,0xc98003ef,0xfedceffe,0x17c401cf,
    0x7fffec40,0x7f6546ff,0x05d8000c,0x200bf100,0xffffffc8,0x2e000cff,
    0x004feffe,0x3e20009d,0x7ffff545,0xffffd73e,0x3fff265b,0xffffffff,
    0x64c7ffff,0x4dfffffe,0xfffffdc8,0xffd931ce,0xffffffff,0xc98dffff,
    0xffffffff,0x7fffffff,0x77ffff54,0xbffffd73,0x00554405,0x3fffffe6,
    0x47ffffff,0x2effffe9,0x7ffffed4,0xffffffff,0x3ffee1ff,0x7ec00dff,
    0x33ffffff,0xfffffffb,0x37bdffff,0xffffeb80,0x3fff661d,0xdeffffff,
    0xfd9801ab,0x04efffff,0x30100880,0xbffffffb,0x3ff22009,0x00ceffff,
    0x00355530,0x4d554400,0x4012e000,0xccccccca,0x0006aa22,0x10000d98,
    0xa9880059,0x80001abb,0x002d4001,0x00005910,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x9880b6a0,0x09999999,0x26662000,0x98199999,0x99999999,0x00000ea0,
    0x9980b6a0,0x99819999,0x0e600999,0x402664c0,0x8065c2da,0x99999998,
    0x26200009,0x19999999,0x4cccccc4,0x22098009,0x02600a81,0x443054c4,
    0x99999999,0x3ff20009,0x74c0dfff,0x33312fff,0x30000133,0x54033333,
    0x102603cc,0x4ccc4015,0x40019999,0x99999998,0x99999999,0x26666219,
    0x00001999,0x7ec0732e,0x4c17fe06,0x333104cc,0x33333333,0x01333333,
    0x5c02c980,0x2833220c,0xff100540,0x7ff5c40f,0xffffffff,0x5c400ade,
    0x3dfffffd,0xfffffdb8,0x3fff90bd,0x3e200000,0x3fff207f,0x7f640dff,
    0x6fd982ef,0x805ff900,0x3fea7ff8,0xfffd7105,0xdfffffff,0xdb88015b,
    0x42dfffff,0xcfffffc9,0x25fd7101,0x0f4c6ffc,0xddfb82d4,0x3ae25eff,
    0x2cefffff,0x1fffcc00,0xec983fa0,0x0000ffff,0x0f7fffee,0x5c40ffe8,
    0xfffb32fe,0x3ffae209,0xdfffffff,0x3ffffa02,0xffffffff,0x711fffff,
    0xfffffffd,0x80019dff,0xfb06fffa,0xb02ffc0d,0xfffb03ff,0xffffffff,
    0x05ffffff,0x5027f440,0x1ffe4bff,0x809501d3,0xf9007ff8,0x751357ff,
    0x001bfffb,0x3003fff9,0xffd09fff,0x2000009f,0x7c407ff8,0x1be602ff,
    0x01bfff66,0x7c401ffc,0x017fea7f,0x26affff2,0xdfffdba8,0x1fffc800,
    0x0067fec0,0xf75fffd7,0x2fc83fff,0x83ea07ea,0xff705fb8,0xfb80007f,
    0xb01fc04f,0x40009fff,0x4402ffff,0x7ff5c1ff,0xffdef9af,0x7ffe402f,
    0xdffeca9a,0x9abdfe80,0x999effb9,0xfc82ffeb,0xfc999aff,0x3fa003ff,
    0x6fd83ffb,0xfd017fe0,0x355bfd09,0x333dff73,0x4005ff95,0x3ea04ffc,
    0xb0fff25f,0x4007dc5f,0xff5001ca,0xfffe980d,0x03ffd402,0xd505fff0,
    0x00000ffd,0x7dc00e54,0x207ea04f,0x806ffa8b,0x32a004f9,0x540065c1,
    0x7f4c06ff,0x7fd402ff,0x017fc407,0x2ab9ff70,0xbcff884d,0x3609b04f,
    0x01fff305,0x40dff000,0x3fee00fa,0xfb8000ff,0x2fb807ff,0x8377ff20,
    0x7d407ff9,0xeffe886f,0xffa82740,0xf505f305,0x3ffe60df,0xd31fb805,
    0x206fd81f,0x374405ff,0x5ffa8274,0x2a007f30,0x65c04fff,0x3e20f220,
    0x0003fbcf,0x00dff300,0x9807fff2,0x3fa006ff,0x0036401f,0xff000000,
    0x7c02740f,0x005c806f,0xff980000,0x3fff9006,0x2037fcc0,0x7d4001fe,
    0xff7000ef,0x0df101ff,0x3ffc4166,0x2ffb8000,0xefa809d0,0xee8003ff,
    0x03d806ff,0xfd82ffd4,0x837fcc07,0x03c3fff8,0x1ec0bff5,0xf5037fcc,
    0x0f4401ff,0x0dfb1362,0x7cc02ffc,0xffa80740,0x2200ee05,0x0004ffbf,
    0x06fffc80,0x3fe60000,0x3bffa006,0x00dff300,0x3600fff4,0x00000004,
    0x260bff20,0x06fe801f,0x000000d8,0x006ff980,0x4c03bffa,0x07f606ff,
    0x00ffe600,0x2607ddb0,0x220704ff,0x100007ff,0x03f30dff,0x06ffbf98,
    0x37fdfd40,0x3ea01620,0x01ff902f,0xfb037fcc,0x3ea058df,0x260ea05f,
    0x7ffc06ff,0x0b802a03,0x5ff81bf6,0x20587500,0x0e205ffa,0x13fe3760,
    0x3b620000,0x2a62002e,0x06ff9800,0x40fffe60,0x3a006ff9,0x01aa01ff,
    0x06a60000,0x321bfe20,0x00dfd005,0x40000000,0x26006ff9,0xff303fff,
    0x0007f60d,0x00017fcc,0x02effe80,0x000fff10,0x320ffdc0,0xfe8f9806,
    0x277a002f,0x300006ff,0x3fee05ff,0x81bfe601,0x5001fffb,0xf3000bff,
    0x5ffe80df,0x1bf60000,0x00005ff8,0x000bff50,0x4ff88fb8,0x00153100,
    0xfdfd3000,0x7fcc03df,0x3ffec006,0x2006ff98,0x1b701ffe,0x00198288,
    0x3fffbf62,0x10ffec02,0x1bfa005f,0x6c188260,0x7ec1fffe,0x3e600fff,
    0x7fec006f,0xb0dff307,0x7cc0003f,0x104c002f,0xdffff503,0x07ff8805,
    0x17fe2000,0x71f3007f,0x3e600dff,0x2006ff9a,0x05ff300a,0xf9807fea,
    0x3ffea06f,0x0bff5002,0x80dff300,0x54004fff,0x7c0dfb00,0x0015005f,
    0x0002ffd4,0x13fe25f1,0xdffdfd30,0xb8015003,0x5ffd10bf,0x001bfe60,
    0xf305fff5,0x7ff400df,0x7ecc2881,0x07bffee6,0x7e43bf50,0x93fea03f,
    0x1bfa006b,0xfc97f5c4,0x01ffd86f,0x7cc01ffd,0x7fd4006f,0x26ff982f,
    0x40001fd8,0xb8802ff9,0x0dff92fe,0x09ffffd3,0x0003ffc4,0x7d47ff20,
    0xff0f9800,0x26db005f,0x7e4406ff,0x05ff300f,0xf9807fea,0x3ffee06f,
    0x0bff5000,0x40dff300,0x8803fff9,0xdfb00ffc,0x9102ffc0,0x7d4001ff,
    0x93a0005f,0x3ee04ff8,0x05ffd10b,0x4c01ff91,0x0fff883f,0x4006ff98,
    0xf983fff9,0x3ffa006f,0x7ffec401,0xdfffbfb6,0x7c42fcc0,0x3ffa00ff,
    0x7f4007d0,0xafffeb86,0x5c1ffffb,0x1ff901ff,0x0037fcc0,0x260fffe6,
    0x03fd16ff,0x05ff3000,0xbafffeb8,0xf501ffff,0x3e20dfff,0x4400007f,
    0x2009d5ff,0x0bff70f9,0xdff32f88,0x07fff6c0,0xf502ff98,0x37fcc03f,
    0x400dffb0,0x98005ffa,0x3ffa06ff,0xfffed806,0x7c0dfb00,0xfffdb05f,
    0x2ffd4001,0x7c46c800,0x107f304f,0x7f6c1fff,0x03f600ff,0x9989ffec,
    0x9999effa,0x9fff1019,0x400dff30,0xf1001ffe,0x7e447bff,0x203fb03f,
    0x3ee00ffd,0x2000fabf,0x3fee06fe,0xf709b55c,0x03fee03f,0x3dff5331,
    0x22033333,0xff984fff,0x0001fe8e,0x2005ff30,0x9b55cffb,0x05fff700,
    0x0000fff1,0x03f5ff90,0x7fc43e60,0xf99f201f,0x0ffd806f,0x2a05ff30,
    0x3fe601ff,0x03fff706,0x3f2aaaaa,0x1aaaaaef,0x261bfe60,0x2000effd,
    0xffb00ffd,0x3602ffc0,0x3ea000ff,0x1f98005f,0xfd827fc4,0xb07ffb00,
    0x37e601ff,0xfc999999,0xfffff55f,0x3fffffff,0x2617ffe0,0xeeeeefff,
    0xfffeeeee,0x07ffa001,0x3ea13fe6,0x100ae207,0x8009bdff,0x3fea06fe,
    0x1ffb800e,0xfa81ff70,0xffffffff,0xfff01fff,0xfdfff30b,0x260000bf,
    0xff5002ff,0xa81cc01d,0x7ff885ff,0xff880000,0x83e6006f,0x7f105ffc,
    0x64037fcc,0x5ff300ff,0x9807fea0,0x3faa1eff,0x3ffe02ff,0xffffffff,
    0x3e604fff,0xffdcaaff,0xffc8003e,0x301ffb00,0x7e40cbff,0x3fea000f,
    0x883e8005,0x9df984ff,0xffc99999,0x700ffc85,0x999999df,0xff307999,
    0xbfff000d,0x555fff30,0xd5555555,0x7f4003ff,0x70bff106,0xfff800df,
    0xffffffff,0xd05fffff,0x1ffcc0df,0x701ffb80,0x7fcc01ff,0x5fff8006,
    0xffceff98,0xf980005f,0x7ff3003f,0xfd00f980,0x00fff10b,0x0bff6000,
    0x3e20f980,0x20fb80ff,0xfb806ff9,0x05ff300f,0xf9807fea,0xeffffdff,
    0xffa8000c,0xfff98005,0x004ffecc,0x6c03fee0,0x7fed43ff,0x1ff70716,
    0x02ffd400,0x7fc41720,0xcccefb84,0x83cccccc,0x9f900ffb,0x37fcc000,
    0x0fffe200,0xe801bfe6,0x3f6001ff,0x3617fe06,0x4ccc006f,0x9dff9999,
    0xd0099999,0x17fcc0df,0x701ffb80,0x7fcc01ff,0x7ffc4006,0xf96ff983,
    0xa8000bff,0xff3004ff,0xb03f9805,0x0fff107f,0x1fe60000,0xfd81f300,
    0x7cc4f84f,0x0ffb806f,0x2e07ff70,0x3fe602ff,0xfa800006,0xff98005f,
    0x007ffe66,0xe807fdc0,0x95fcdfff,0xf703b7ff,0x7fd4001f,0x403ea005,
    0x4fc84ff8,0x03fee000,0x30002fec,0xf9800dff,0x6ff982ff,0x007ffa00,
    0x3fa06fd8,0x0007fe85,0x20017fe0,0x3fe606fe,0x03ff7002,0xf9803fee,
    0x7fcc006f,0x26ff982f,0x0005fffc,0x4c01bfee,0x7fcc02ff,0x441be20b,
    0x000007ff,0x1f30013a,0x2e0fff98,0x037fcc0f,0xfc807fdc,0x09ffb04f,
    0x00037fcc,0x002ffd40,0x3ee37fcc,0xfb8000ff,0xfff9d00f,0x27ff4c9f,
    0x2000ffb8,0xf1005ffa,0x33333339,0x361339ff,0x3ee0005f,0x00ff900f,
    0x0037fcc0,0x2607ffea,0x3fa006ff,0x1bf6001f,0xffd85fe8,0xbff00000,
    0x40dfd000,0xf7002ff9,0x03fee03f,0x4006ff98,0xf981fffa,0x2fffe46f,
    0x3fffaa00,0x7fcc05ef,0x7fffcc02,0xf100bedd,0x200000ff,0x7cc001f9,
    0x3a3ffd80,0x806ff985,0x7f540ffb,0xfd73efff,0xf305bfff,0x500000df,
    0xf3000bff,0x0bffb0df,0x201ff700,0x2a01a8af,0x003fee00,0x7005ffa8,
    0xffffffff,0x27ffffff,0x2e0007fc,0x5ff700ff,0xdff30700,0x06ffd800,
    0x7400dff3,0x3f6001ff,0x3217fa06,0xf9c403ff,0xffffffff,0x5fffffff,
    0x7cc0dfd0,0x3ff5002f,0x9803fee0,0x7ec006ff,0x0dff306f,0x000bfff7,
    0x0bfe6000,0x00fcc420,0x0003ffc4,0x98005c80,0x57ffa80f,0x0dff303f,
    0x0001ff70,0x0dff3000,0xbff50000,0x0dff3000,0x8007fff1,0x3f880ffb,
    0x1ff70000,0x02ffd400,0xffffffb8,0xffffffff,0x7005ff73,0x2a01ff70,
    0x415c06ff,0x2a006ff9,0xff301fff,0x0fff400d,0x740dfb00,0x06ffa85f,
    0x99999964,0x999dff99,0xdfd00999,0x8017fcc0,0xff702ffa,0x037fcc01,
    0x203fff50,0xff706ff9,0xbf9000bf,0x05ff3005,0x8803fb80,0x1cc007ff,
    0x2000be20,0x7ffd00f9,0x1bfe60bd,0x4003fee0,0x2000bef8,0x00006ff9,
    0x8005ffa8,0xff506ff9,0x7fdc001f,0x0005f980,0x4001ff70,0x31005ffa,
    0x33333333,0x2a1339ff,0x415c06ff,0x3fa00ffb,0x306880ef,0x7f400dff,
    0x1bfe604f,0x001ffe80,0x5fe81bf6,0x305fff88,0x017fe00f,0xf981bfa0,
    0x5ff3002f,0x9807ff60,0x3fa006ff,0x1bfe604f,0x005fffb8,0x4c03ff54,
    0x7ec002ff,0x3ffc403f,0xbb007600,0x403e6000,0x302ffffa,0xff700dff,
    0x3ff62001,0x1bfe6003,0x3fea0000,0x6ff98005,0x801bff20,0x6fb80ffb,
    0x1ff70000,0x02ffd400,0x09ff1000,0x2203bffa,0x401ff706,0xaabefffa,
    0xdff303fd,0x1dffb100,0x0037fcc0,0x74005ffd,0x417fa06f,0xa8adfffa,
    0xbff002fe,0x40dfd000,0xf1003ff9,0xffde88df,0x01bfe602,0x803bff62,
    0x7dc06ff9,0x22000dff,0x7fcc01ff,0x04fc8003,0x5003ffc4,0xfedffc8d,
    0x01f50000,0xf3037ff4,0x1ff700df,0x005fc800,0x0001bfe6,0x0017fee0,
    0xfd01bfe6,0x3fee00bf,0x0007fc80,0x4001ff70,0x00006ffa,0x7d413fe2,
    0xfdaabeff,0x801ff703,0xfffffffc,0x01bfee06,0x5009fff5,0x7fc00fff,
    0x1ffe002f,0x3f606ff8,0x04ffffff,0x000dff10,0x7fd40dfd,0x3fff2004,
    0xfffb9fdc,0x06ffb82d,0x4027ffd4,0xfd807ffa,0xf1000eff,0x09ff500d,
    0x9803fd00,0xfa800fff,0x17ffffc4,0x403f7000,0x3ee02ffb,0x1ffc807f,
    0x0017ec00,0x0000fff5,0x000dff90,0xf880fff5,0xffc803ff,0x000ffd81,
    0x001ffc80,0x0001bfee,0x3204ff88,0x6fffffff,0x2007ff20,0x04fffffa,
    0x2b3fff62,0xeffeca99,0xfffd8801,0x5fffa801,0x01fff100,0x5c01fff3,
    0x003fffff,0x8003ffea,0xf700fff8,0x7f4400df,0x7df71eff,0x9fffb101,
    0xffd95335,0xffb1003d,0xfffb803f,0xd7300bff,0xdff7003d,0x0ff6e200,
    0x7dfff910,0xfd955555,0x1cffa83f,0x13f62000,0x36207f88,0x7f402fff,
    0xfdb8803f,0x3ff62004,0x2200002f,0x2001fffe,0x402fffd8,0x201cfffa,
    0x5fa83ffe,0x7ffd0000,0x3fff6200,0xff100001,0xffffa809,0x1fff404f,
    0x20155300,0xffffffd9,0x1acdefff,0xffffd980,0xfec84eff,0x01ceffff,
    0x3bfffffb,0x9dfffdb3,0x0009a980,0xbfffffd9,0x7ffed405,0xffd52dff,
    0x4400bdff,0xd9814c0a,0xffffffff,0x801acdef,0xffffffd9,0xffffd84e,
    0x441effff,0xffea800a,0x1a805eff,0x7fffe4c0,0xffffffff,0x00207fff,
    0xffffd980,0x983c80cf,0xeffffffd,0x7ffff5c4,0x000d401d,0xffffffb3,
    0x6d40009d,0x3dffffff,0x3ffff660,0x3f604eff,0x3ae2ffff,0x041dffff,
    0x7ff5c000,0xfb301dff,0x07dfffff,0x04ff8800,0x5c015530,0x01dffffe,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x04c00d4c,0x26620310,
    0x99999999,0x40999999,0x99999998,0x99988099,0x95001999,0x33330079,
    0x33333333,0x4cc43333,0x00999999,0x26666666,0xa8140280,0xaaaaaaaa,
    0x054c401a,0x00cc8800,0x55555554,0x4cc01aaa,0x5554000a,0x1aaaaaaa,
    0x2aaaaaa0,0xc981aaaa,0x05416d43,0xb07fffb6,0x2001ffff,0x5555301a,
    0x26355555,0xaaaaaaab,0xbaaaaaaa,0x20003301,0x51000069,0x5400b103,
    0x05440004,0x0c153100,0x4002a620,0x30000a99,0x00000035,0xffefd880,
    0x4417402f,0x3ffae206,0xffffffff,0x6c45ffff,0xefffffff,0xffffca83,
    0xfff800ce,0x7fffcc00,0xffffffff,0x3faa5fff,0x02dfffff,0x37ffffb2,
    0x4a80e981,0xffffffb0,0x3a609fff,0x001effef,0x3601ffe4,0xffffffff,
    0xdbfd504f,0x3fa009ff,0xffffffff,0x3ffffa04,0xd83fffff,0x83ffe2ff,
    0xffd80ffe,0x001ffd01,0x7ffec0ba,0x55ffffff,0x81440001,0x0f30002d,
    0x76f5c400,0x005d14ff,0x644002dc,0x404ffede,0x5effddfb,0xdffdfd30,
    0x3b7faa03,0xfd8804ff,0x6d42fffe,0x2a000001,0x0fff21df,0x0be64fa8,
    0x103ffdc0,0x7d40df73,0xfa806fff,0x3fe6003f,0xabef9801,0xd9999999,
    0xffa80fff,0xff1003ff,0x22fd803d,0xddd900fb,0x07dddddd,0x3fa217f7,
    0x3ff2002f,0x77776403,0xa83eeeee,0x13fea0ef,0x3bbbbb20,0x3603eeee,
    0xeeeeeeee,0x22ffd82e,0xfff10fff,0x203ff703,0xfb800ffc,0xddddd902,
    0x02a9dddd,0xf9828800,0x00f30002,0xfd107740,0x5b8007dd,0x10774400,
    0x1f501dfd,0x7dc2fdc4,0x85ffd10b,0x3fea0efa,0xc877ea04,0x3bf623ff,
    0x7cc00002,0x00fff885,0x01beb7fa,0x5007ff98,0x7fff980d,0x4003fb80,
    0x1d5002fc,0x05fff300,0x801fffdc,0xf8800ff8,0x0003fcbf,0xf883f980,
    0x791000ff,0xff800000,0x0007fd83,0x88000000,0x32164c3c,0x03ff706f,
    0xf1003fee,0x2a00005f,0x10a20000,0x260005ff,0x01fb0007,0x8001fff1,
    0x07f4005b,0x26c37fc4,0x41fcc5d8,0x3fe0fff8,0xf307fd83,0x81fff10b,
    0x000bffc9,0xfb01fd80,0x7ffcc01f,0x3fe2001f,0x500d1007,0x7cc07fff,
    0x003e8004,0x3fa200ea,0x7ffd805f,0x4005f700,0x0006fffc,0x3601fb00,
    0x000003ff,0x0ffe2000,0x00003ff2,0x00000000,0x1ffb8020,0x4c01ff70,
    0x00002fff,0x14400015,0x0005ffd1,0x3f2001e6,0x013ff604,0x7ec00b70,
    0x88fff204,0xfd8b306f,0x227ffb00,0x0ffc83ff,0xffb01fd8,0x33fee201,
    0x0ff50001,0x764015c4,0x7fc4004e,0x64012007,0x5e880fff,0x40048800,
    0xeffd801b,0x3fff8800,0x44004e80,0x44002eed,0x3bf300a9,0xff933333,
    0x9800000b,0x0ec800a9,0x4000ffb8,0x000000a8,0xf7000000,0x03fee03f,
    0x7fffffdc,0xa80a806f,0x54a20000,0x6fffffff,0x2001e600,0xffb902ff,
    0x02dc001f,0x2203ff88,0x9ff30fff,0x99df98e0,0x5ffc9999,0x3fee03b2,
    0x7103fd40,0x37faa005,0x037dc002,0x44000000,0x000007ff,0x1db0bffd,
    0x06000000,0x007ffea0,0x200fffb8,0x000000fb,0xdffdfd30,0xcccefb83,
    0x03cccccc,0xbfd50000,0x88009ffd,0x8801ffeb,0x04ffedec,0xd83fffdb,
    0xa800ffff,0x3ff70000,0x4403fee0,0x099bffb9,0x503ff910,0x89440001,
    0x099bffb9,0x3001e600,0x3ad705ff,0x16e001ff,0x200ffd40,0x3ffa1ffe,
    0x33bee02e,0xcccccccc,0x7ff5c403,0x00037dc1,0x05f7ecc0,0x00037ec0,
    0x00151026,0x0601ffe2,0x8bffe600,0x000001fb,0x3ffe2000,0x5ffe8004,
    0x00005f30,0x442fee00,0x13f22ffe,0xffff9800,0xffffffff,0xfa83bea1,
    0xbed9804f,0x74401ffc,0x03bfa20e,0xfe80ffec,0x1ff9100f,0x07fee000,
    0x2a007fdc,0x7f6402ff,0x000a81ff,0x5ff30a20,0x001e6000,0x0ea83ff7,
    0x5c007ffb,0x03ff9005,0x3ea2ffd8,0xfc82efff,0x76cc0004,0x7ec1ffcb,
    0x22000006,0x3a00cffc,0xeb88007f,0x9fffb32f,0x00fff100,0x3ff2000d,
    0x2002fa8f,0xfffffff9,0x001fffff,0x80037fec,0x5e83fff9,0xfffff300,
    0x3fffffff,0x7fc41fcc,0x000bfb0f,0x4ccd67cc,0x7c4ffd99,0x207fd83f,
    0x3fee2fd8,0x4407f401,0x3ff706ff,0x3603ff20,0x0000fffe,0x3ee03ff7,
    0x17fd400f,0xa81ffd80,0x30a20000,0x3baa05ff,0xefeeeeee,0x0eeeeeee,
    0x0fa8bff6,0xeeb8fff2,0xefeeeeee,0xd5eeeeee,0xffc803ff,0x7ffff4c3,
    0x8002fec4,0x3fee2fd8,0x0003ff41,0x6ff5c400,0x000ffd80,0x26bfffae,
    0x02fffdef,0x2a03ffc4,0x3ffa0007,0x7cc004fd,0xd99999ac,0x7dc004ff,
    0x2e0001ff,0x03ee0fff,0x4cd67cc0,0x44ffd999,0x7ffb00fd,0x98001ff2,
    0x11bfea05,0x1ff907ff,0xfb83df30,0x813f601f,0xffa83ffc,0x401ff701,
    0x50000ffd,0x3fee03ff,0x017fd400,0x0a81ffc8,0xf30a2000,0x3332605f,
    0xccfdcccc,0x20cccccc,0x83f34ffc,0x332a2ffb,0xcfeccccc,0xb4cccccc,
    0xffb805ff,0xdffff501,0x4c003fe4,0x0ffdc1ef,0x00003ff6,0x19fd7100,
    0x8807ff90,0x06effe43,0xf880fff3,0xa99999ff,0x260007eb,0x98006fff,
    0x01bfea05,0x007fff30,0x22bffd00,0x8166003f,0x6fcc6ffa,0xfc999999,
    0x005ff75f,0x3e207307,0x80ec80ff,0x7fcc0ffb,0x101ffb82,0x7fc407ff,
    0x80ffd40f,0x3f200ffb,0xff50000f,0x403fee05,0xccdffdcb,0x207fee03,
    0x0a20000a,0x20005ff3,0x7fdc0079,0xffb82f8d,0x4016e000,0x7e403ffc,
    0x2fffb807,0x27005ff7,0xffb82ff9,0x201ffe41,0xfc880038,0x3fea00bf,
    0x3ea16406,0x80ffb05f,0xfffffff8,0x0007ffff,0x0007ffdc,0x7ffc40e6,
    0x2fff4000,0xfff98000,0x1cc006da,0x5c0fff88,0xccccccef,0xdff53ccc,
    0x00882b80,0x44005ffd,0x7e41ffeb,0x203ff707,0x7f401ffa,0x80ffd41f,
    0x3ee00ffb,0xff30000f,0x407ff605,0xeeeffeec,0x207fee04,0x0a20000a,
    0x20005ff3,0x7fcc0079,0x0df902ee,0xf5005b80,0x25fc80df,0x2bff5039,
    0x95c06ffa,0x3ff707fc,0x6406ffa8,0x3bf6a002,0xbfff1002,0x3fea1e60,
    0x401ff902,0xd3107ff8,0xffa8000f,0x8044005f,0x64002ffe,0x00000fff,
    0x007ffff2,0x3ffa0110,0x8004fc82,0x6880effe,0x027fe400,0xffcbed98,
    0x5c0ffec1,0x3ff901ff,0x542ffd80,0x1ff701ff,0x1007fdc0,0x2237fc40,
    0x5402ffde,0xff7002ff,0x40001503,0x017fcc28,0xd8007980,0x0ffa04ff,
    0x7400b700,0x8bfa01ff,0x4bfd00f9,0x6880effe,0x3ee07ff6,0x2fffc41f,
    0xfd700798,0xff500039,0x5fd515bf,0x2e05ff30,0x3fe201ff,0x0003c407,
    0x07fff9f3,0x09ff9000,0x02fff980,0x4ffe8000,0x3ff20000,0x000bfb04,
    0x557dfff5,0x7d4007fb,0x2fd8806f,0xff707fee,0x8afffb89,0x200fff43,
    0x7fd43ffc,0x401ff701,0xfe880ffb,0x9fff900d,0xbfff73fb,0x00bfea05,
    0x0540ffdc,0xf9851000,0x0f30002f,0x01dff300,0xb70009f3,0x077fd400,
    0x0fe627cc,0xfff51fec,0x47fb557d,0x7fdc4ffb,0x3fea38af,0x2fea8adf,
    0x02fff220,0xffffb000,0x3e609fff,0x03ff502f,0x2c03ffc4,0xf94e8800,
    0x540001ff,0x744006ff,0x000005ff,0x00007ff9,0xfc81bfea,0xfff90007,
    0x400dffff,0x4c00fff8,0x0ffdc1ef,0x3f3bffe2,0x41efffac,0x7dc02ffd,
    0x80ffd41f,0x3ee00ffb,0x4fffc80f,0x3dfffd10,0xa802fbee,0xff7002ff,
    0x40001503,0x017fcc28,0xc8007980,0x3a20dffe,0x00b70005,0x260dffa8,
    0x0bff985e,0x3ff21be2,0x446fffff,0xacfcefff,0x7ec1efff,0x04ffffff,
    0x0005dfb3,0xfffffb80,0x40bfe603,0x3e201ffa,0x0001807f,0x05ffe8db,
    0x01fff100,0x00fffc80,0x7ff90000,0xfff10000,0x017fdc01,0x7fffd41c,
    0x7ff4004f,0x417fcc02,0xfea81ffb,0x3dff12ef,0xc807ff90,0x01ffa87f,
    0x7dc01ff7,0x7fffa80f,0x17205440,0x8017fd40,0x00a81ffb,0xff30a200,
    0x01e60005,0x3ffa2b90,0x0000beee,0xfd3000b7,0x2607dddf,0xbeddffff,
    0xfffff500,0x3bffaa09,0x203dff12,0x83fffffb,0x0001dfe9,0x004fcc00,
    0x7d40bfe6,0x1ffe201f,0x07e40000,0x000fffe6,0x5000bffa,0x00003fff,
    0x001ffe40,0x2017ff40,0x15c06ffa,0x800d7530,0xfc804ffc,0x403ff707,
    0x2a02e808,0x2fe406ff,0xfb817fd4,0x03fee00f,0x8003cd4c,0x7ff5003f,
    0x207fee00,0x0a20000a,0x20007ff3,0x03a20079,0x95001551,0xfd999999,
    0x99999999,0x40055440,0x40035310,0x08800aa9,0x26a60010,0x00019500,
    0x033ea000,0x2a05ff30,0x3fe201ff,0x20144007,0xfff902fa,0x27fe4001,
    0x13ffe200,0x64002980,0x640003ff,0xffd004ff,0x200d101d,0x3fea005d,
    0x1ffd8a06,0x4001ffb8,0x7ff400fa,0x260bfa01,0x3ffb03ff,0x2007fdc0,
    0x6f98005b,0x24bff300,0x1503ff70,0x22144000,0x400325ff,0x00000048,
    0xcccccca8,0xcccccccc,0x000004cc,0x00000000,0x00000000,0x4ffc8000,
    0xa817fcc0,0x3fe201ff,0x100ec007,0x6ffe809f,0x40dff500,0x00dffb02,
    0x7e4001c8,0x3ea0003f,0xff50a06f,0x7fb557df,0x2003fe00,0x9600fff8,
    0x7fdc4ffb,0xf90038af,0x0effa807,0xff104f98,0x2ffde88d,0xd003fee0,
    0x7ff10003,0x3b7ffe00,0x207ff201,0x0a20000a,0x00bbbffe,0x00000000,
    0x00000000,0x00000000,0x00000000,0xf9000000,0x02ff980b,0x7c403ff5,
    0x81ea007f,0xff9805e8,0x7ffc404f,0x3fee1600,0x01e2001f,0x000fff20,
    0xb007ffc4,0xffffff90,0x67ec00df,0x017ff400,0xcefff89a,0x1efffacf,
    0x803df500,0x3a60dffa,0x6fffe405,0xdfffb9fd,0x201ffc82,0x3f20005c,
    0xd505ccff,0xffd805df,0x20000a83,0x3eff9828,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x7fdc02fd,0x405ff703,0xf3007ff9,
    0x003fa209,0xd017ffec,0x446805ff,0x22003fff,0xffe8006e,0x5ffd0004,
    0xfff50680,0xf98009ff,0x321dbdff,0xdb5304ff,0x12effea8,0xe8003dff,
    0x983cbeff,0x03eeeffe,0x23dfffd0,0xfd00befb,0x007d307f,0x07dd9500,
    0xffeb8010,0x332a1dff,0xcccccccc,0x02dccccc,0x00000002,0x00000000,
    0x00000000,0x00000000,0x00000000,0x009fb510,0x3f609ff9,0x3fff204f,
    0xa999999c,0xffa81ffc,0xfffb000f,0x09ff905f,0xffd1b6a6,0x5555555f,
    0x0bffd755,0x0efff980,0x827fe400,0x54c06da9,0xd730000a,0x7ffcc19d,
    0xffffffff,0x0201106f,0x6f6d4400,0x00554402,0x0a605440,0xdffffeb8,
    0x00000261,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x14c00000,0x7ffff540,0xffffd73e,0x3ffb265b,0xffffffff,
    0x75c6ffff,0x205fffff,0xffffffeb,0xfffff33f,0xdfffffff,0x7fffffdc,
    0xffffffff,0xd7003fff,0x5bffffff,0xfffff300,0xdfffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x88054c40,0x80000099,0x0a8800da,0x19880b90,
    0x0004d440,0x22008000,0x44010000,0x5fffff90,0x3fffffaa,0x8afffec3,
    0x93013105,0x6fffffdc,0x0ffff4c0,0x41980150,0x02a200a8,0x05440980,
    0x20c41300,0x6c1fffed,0x1000ffff,0xfffffb80,0xfffff55f,0x7ffffd4b,
    0x7fffd32e,0xffffff30,0x43ffffff,0x0053000b,0x5400014c,0x402e2000,
    0x1b9801b9,0x004dd440,0x3006f2a2,0x2b881577,0xb80415c4,0x2aaaaa22,
    0xaaaaaaaa,0x2600aaaa,0x33ffecfe,0x81bffdfd,0x6c1fffed,0x6ff8ffff,
    0xffdbd910,0x4c27fcc9,0x21dfecde,0x03ffeee9,0x90ea8000,0x0003a609,
    0xf30f40d3,0xdffb01ff,0xbd11fd40,0x3bffff22,0xfe88bf33,0x8837404f,
    0xeb880ffc,0xbfffb13f,0x77fff4c1,0x25fd7100,0x204fffd9,0xff92feb8,
    0x203ffb0d,0xfc800ffe,0x86ffd802,0x3ee01efb,0x077cc2ff,0x999acf98,
    0x224ffd99,0x27cc00ee,0x002ff880,0x26017e20,0x7f440ffd,0xee882fff,
    0x14e81fff,0x3fee01fd,0x5d904ffe,0x7fe43df7,0xfc83ff21,0x54bfee2f,
    0xffffffff,0xffffffff,0xb8df701f,0xd50bfcff,0x07ff60df,0x37ec7ff4,
    0xfd106f44,0xb89fd11d,0x4d7fdc3f,0x017fea2f,0x33fee200,0x17605f10,
    0xbb02f880,0x3e03ff90,0x221b206f,0xa89aefee,0xf304fefc,0xd81f80bf,
    0x75c0fffe,0xcdf9bfff,0x9df55fff,0xfd70bfff,0xfbdf35ff,0xffd705ff,
    0x3ffff75f,0xf901ffb8,0x09fd001f,0xe889ff50,0x5ffc800d,0x0b300764,
    0x74437fd4,0x009f300e,0x20002ff8,0xf8402fec,0x5c45e40f,0xf90ec0ff,
    0x3f61fa8b,0x711cfa84,0x261fc89f,0x45ffb0ff,0xfff12ffe,0x00fff21f,
    0x1ffc0000,0x2e13ffe2,0x1ffb83ff,0x3f75ff90,0xff101fd0,0x7cc1db3d,
    0x0bfffb05,0x20005ff9,0xb80befc9,0x004f881f,0x207f20dd,0xff904ff8,
    0x7d40ba01,0x803fa203,0x0d500ffe,0xf700ffd8,0x7f441bbf,0x3f620ebf,
    0xbbff901f,0x703ffcc1,0x136ab9ff,0x7dc07fee,0x3f60980f,0x3fe60223,
    0xd0013a23,0x007ea5ff,0x3ffe2073,0x981dd100,0x0088004f,0x1b27e600,
    0x09107f40,0x7cc085fd,0x17f224c4,0x88fdc17e,0xfb4fe87f,0xd0ffec3f,
    0x3fee5fff,0x88000003,0x2ffe82ff,0xfb87ff98,0x37ff701f,0x6409fb01,
    0x4fe81eff,0x505fff30,0xda800bff,0x7fc402df,0x6c02fc80,0x205fa82f,
    0x9ff507fe,0x02740f30,0xff502744,0xf900ba07,0x17fe601f,0xfa82ffdc,
    0x0bff502f,0xffa81ff6,0x1ffb800e,0xfb81ff70,0x3ee3f72f,0x99ffcc0f,
    0xff98004f,0x08802f8f,0x8805ffd0,0x00bf30ee,0x57a00000,0x0fe803f8,
    0x6400fc80,0x3f76a00e,0xf8817cc5,0xdf70df53,0xffc83fee,0x54f62a20,
    0x000001ff,0xffd01b90,0xff555557,0x01ffb81f,0x3e201ff7,0x1bfe203f,
    0xfe80bfea,0xfbaaaabf,0xfeb8806f,0x3bee001c,0xb80ffc40,0x01ff986f,
    0x3f60bfea,0xf504c86f,0x803ea001,0x807986ff,0xff300ffb,0x40ffe607,
    0xff503ff9,0x403ff205,0xf7003ff9,0x03fee03f,0x2f35fff3,0x7cc0fffc,
    0x0003f9bf,0x0013ffee,0x2009ff90,0x005f9ee8,0x1f500000,0x3fa007d4,
    0x2206f800,0x27d303fb,0x007d45fb,0x2a1fee9d,0xfa8ff56f,0x7fcc3e07,
    0x00000000,0x7777ffdc,0x40eeeeee,0xff701ffb,0x007fea01,0xffc81ffd,
    0x333ff201,0x04cccccc,0x002fff22,0x3217fe20,0x17fd40ef,0xf1017fe2,
    0xffbf88bf,0x05c80fc2,0xfc80be20,0x5c02641f,0x7ff300ff,0x4413fe20,
    0x5ff304ff,0x4c07fee0,0xff7002ff,0x203fee03,0xfdecfec9,0xdff980be,
    0x740004ff,0x2a0002ff,0x744006ff,0x7775c05f,0xeeeeeeee,0x885eeeee,
    0x7405e83f,0x00fd400f,0xfa8bffd9,0x5f117ee4,0x7fd4be60,0x5f9afd40,
    0x45a837cc,0x3fffea6f,0xffffffff,0x801fffff,0x07fecfc8,0x203ff700,
    0xff900ffb,0x42ffd803,0x3ee00ffd,0xfda8000f,0xfb80002e,0x337fc44f,
    0x3ffd0dff,0x641ff900,0x1aa5ff8c,0x1f4003d8,0x1f8bff10,0x300ffb80,
    0x3fe207ff,0x209ff104,0xff502ff9,0x00bfe603,0xfb80ffdc,0x6ff4c00f,
    0x75ffcc00,0x2a0002ff,0x88000eff,0x4c000fff,0x32a00eff,0xcccccccc,
    0x4ccccccc,0x03f306c8,0x5f1007f4,0xe87fe600,0x3a1bee1f,0x3e21f906,
    0x9f17e43f,0x83d309f0,0x2666625e,0x99999999,0xc8019999,0x00ffd1df,
    0x5c07fee0,0x3ffd00ff,0x743ffc80,0x3fee01ff,0x37fa6001,0x3e200001,
    0x9ffec1ff,0x7fdc3ffd,0x25ff3006,0x21ff90f8,0x000f603d,0x0ffd807d,
    0x3fee00b7,0x207ff300,0xff104ff8,0x40bfe609,0xff301ffa,0x07fee005,
    0x5c407fdc,0x1cfdecfd,0xff17ff30,0xbd10003f,0xfd0009ff,0xdf98005f,
    0x00000ee8,0xc807e600,0x4403fa06,0x1fdc002e,0xdfb73dfd,0x4577cc17,
    0x7fd43fda,0x82e89d11,0x6c07643e,0x20000004,0x7fec1fe8,0x1ffb8000,
    0x3601ff70,0x7fdc02ff,0x5017fec1,0x644005ff,0x00000bff,0xff887ff7,
    0x361bfe25,0xdfd001ff,0x8bff996e,0x0017200f,0x3ffa803f,0x3fee005d,
    0x207ff300,0xff104ff8,0x40bfe609,0xff301ffa,0x07fea005,0x3e607fdc,
    0xffb78bff,0x2a7ff30d,0x6c000eff,0x4005ffb4,0x4c004ffc,0x003ba25f,
    0x02f40000,0x07f40fe2,0x00260f4c,0x6ffd43f5,0xe983ff89,0xd302ffff,
    0x01705ddf,0x5500c439,0x22000000,0x1ffc84ff,0x3fea04c0,0x201ff701,
    0x7e403ffc,0x203ffc87,0x41c04ffa,0x001cffb8,0x3217fe20,0x17fcc0ef,
    0x5c017fa2,0x7f41f9ff,0x07d404be,0xe800fa80,0x2e0079ff,0x7ff300ff,
    0x4413fe20,0x5ff304ff,0x4c07fea0,0xff5002ff,0x703fee05,0x6c3ee5ff,
    0x1ffcc0ff,0x5c00bff9,0x003ffe26,0x8281bfea,0x0ee885f9,0x5000c400,
    0x01f5001f,0xacf981fd,0x0260fcaa,0x002200bd,0x00400353,0x00000000,
    0x03fee000,0x68813fee,0xf702ffa8,0x1bfea01f,0xff70bf90,0x0fffdc0b,
    0x7f540598,0x6fb8002d,0xf701ff88,0x003ff30d,0xf70bdff1,0x0bd003ff,
    0x2e007f10,0x2e003fff,0x7ff300ff,0x4413fe20,0x5ff304ff,0x4c07fea0,
    0xff3002ff,0x207ff605,0x2a8bf61a,0x7ec3ff98,0x40f9804f,0x7c405ffa,
    0xf31600ff,0x0077440b,0x8802ff88,0x993a003f,0xff52cffb,0x449fffff,
    0x003eceff,0x00000000,0x00000000,0x80ffd800,0x9900fff9,0x3609ff30,
    0x3ffa01ff,0x220bfa01,0xff901fff,0x400ba0df,0x1003efd9,0x05fb01ff,
    0x5fa82fc8,0x105ffb00,0x3ea00dff,0x01fd300d,0x003ffe20,0xf300ffb8,
    0x13fe207f,0xf9827fc4,0x03ff502f,0x4400ffe6,0x7ef446ff,0x04fe802f,
    0x7c44ffa8,0x0fe203ff,0xfd01ffec,0x3e26805f,0x005e8805,0x31005ff1,
    0x26218800,0x33310999,0x98813333,0x0000009a,0x00000000,0x00000000,
    0xfd887ff7,0xeb88afff,0x0eff880f,0x80bff7a2,0xf980effa,0x213fee04,
    0xcffffff8,0x4000ffca,0x200cffc8,0x03f981fc,0x07ee0db0,0xfd81bea0,
    0xfedf9803,0xedfca9ab,0x0bf9000e,0x301ffc80,0x3fe209ff,0x20bff104,
    0xff703ffb,0x013fea05,0xfdcfffc8,0x02dfffb9,0x3f200ff6,0x2fffb85f,
    0xf500fe88,0x9ff905ff,0x051b6a60,0x31000c40,0x00000000,0x00000000,
    0x00000000,0x00000000,0xadfff880,0xfffe8bfb,0x3201ffff,0xb9fddfff,
    0xf502dfff,0x02f441bf,0xfd31ffec,0xffffff55,0x5c40005f,0x17c41dfe,
    0x3a2005d8,0x3e00d902,0x3003e602,0x7ffedc9f,0x200bd11d,0x7f4002f9,
    0x0bff703f,0x7d417fea,0x09ff906f,0x7dc13ff6,0x3fa2006f,0x7df71eff,
    0xfb803001,0xf33effff,0x269fffff,0x7dc1efff,0xf30effff,0xffffffff,
    0x0000dfff,0x00000000,0x00000000,0x00000000,0x00000000,0xfd500000,
    0x7ec43dff,0x4402efff,0xf71efffe,0xfe98017d,0x2003eeef,0x1efeeffa,
    0x0bffffaa,0xefda8000,0x01a60790,0x02e81a60,0x88028018,0x00388003,
    0xffeb800a,0xffb31dff,0x3f6a9dff,0xfb54efff,0x3aa7dfff,0xd73effff,
    0x2a5bffff,0x05effffe,0x05302a20,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4c00aa80,0x054c001a,
    0x2a2000a6,0x2a20000a,0x026a200a,0x864c0000,0x40002200,0x00002200,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x55555440,0xaaaaaaaa,0x0080aaaa,
    0xccb89995,0x98000002,0xb70ed43d,0x49bbbbbb,0x88888888,0x88888888,
    0x26666660,0x99999999,0x00000199,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffa8000,0xffffffff,0x41ffffff,0x83ffb02c,
    0xf9106ff8,0xd1a0039d,0x9ffe23ff,0xfffffffc,0xffffff35,0xffffffff,
    0x3ffe6fff,0xffffffff,0x007fffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x261f8800,0x02ff80df,0xef981ff3,
    0x00beffdc,0x11ffe8d3,0x6eedcfff,0x2664dddd,0x99999999,0x21999999,
    0x88888888,0x88888888,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xf8800000,0xf517fee1,0x743fa807,0xadffda82,
    0x6442ea88,0x0000e542,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xf8800000,0x1323fd41,0x80d12dc0,
    0x3efffeb8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x07e20000,0x400589f7,0xa9800624,
    0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xf8800000,0x001bf951,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x1530c000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__times_37_latin_ext_x[560]={ 0,3,2,0,1,1,1,1,1,0,2,0,1,1,
2,0,1,3,0,1,0,1,1,1,2,1,2,2,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,-1,1,0,1,0,2,1,0,0,0,0,0,0,2,0,1,0,-1,1,1,-1,1,1,1,1,0,0,0,
-3,0,0,0,0,1,-1,1,0,1,0,0,0,0,0,0,0,4,2,2,0,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,2,0,0,0,
2,2,0,1,-1,1,0,1,1,-1,1,0,0,0,3,2,-1,2,3,2,0,1,2,2,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,-1,1,1,1,1,1,2,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,0,0,1,0,1,1,1,1,1,0,0,0,0,0,0,0,-1,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,0,1,0,0,0,1,0,1,0,1,0,1,0,1,1,0,
1,0,1,0,1,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-3,0,0,0,0,0,0,
0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,1,1,1,1,1,1,1,1,0,0,0,0,0,0,
2,1,2,1,2,1,2,1,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,4,4,0,4,4,4,
4,4,4,4,4,4,4,4,4,4,2,1,4,4,4,4,4,4,4,4,4,4,4,4,4,0,0,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,1,0,0,1,
1,0,0,0,0,0,0,0,0,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,0,1,-1,1,1,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__times_37_latin_ext_y[560]={ 29,6,6,6,5,6,6,6,5,5,5,9,25,20,
25,5,6,6,6,6,6,6,6,6,6,6,13,13,9,14,9,6,5,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,5,6,6,34,6,13,5,13,5,13,5,13,5,5,
5,5,5,13,13,13,13,13,13,13,9,14,14,14,14,14,14,5,5,5,17,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,29,13,7,6,10,6,
5,6,7,6,6,13,14,20,6,3,6,9,6,6,6,14,6,16,28,6,6,13,6,6,6,13,-1,-1,-1,0,
1,1,6,6,-1,-1,-1,1,-1,-1,-1,1,6,0,-1,-1,-1,0,1,11,6,-1,-1,-1,1,-1,6,5,6,6,
6,6,7,5,13,13,6,6,6,7,6,6,6,7,5,6,6,6,6,6,7,11,13,6,6,6,7,6,5,7,
2,8,0,6,6,13,-1,6,-1,6,1,7,-1,6,-1,5,6,5,2,8,0,6,1,7,6,13,-1,6,-1,6,
0,6,1,7,6,4,-1,-1,6,5,0,6,2,8,0,6,6,5,1,13,6,5,-1,6,6,5,14,-1,-1,6,
5,6,5,6,5,6,5,-1,6,6,13,-1,6,6,6,13,2,8,0,6,-1,6,6,13,-1,6,6,13,-1,6,
-1,6,-1,6,6,13,-1,6,6,9,-1,5,6,9,0,6,2,8,0,6,-1,5,-1,6,6,14,-1,6,-1,6,
1,-1,6,1,7,-1,6,5,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,6,8,8,6,8,8,8,
8,8,8,8,8,8,8,8,8,8,3,13,8,8,8,8,8,8,8,8,8,8,8,8,8,3,13,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,-1,6,-1,6,-1,
6,-1,6,-1,4,-1,1,-1,1,-1,1,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,-5,-1,-1,6,-1,6,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__times_37_latin_ext_w[560]={ 0,5,10,17,15,26,24,4,10,10,13,19,6,9,
4,10,15,10,16,13,16,14,15,15,13,15,5,6,19,19,19,13,29,24,21,21,23,20,18,23,24,11,13,25,
20,30,25,22,18,22,23,15,19,24,24,32,24,24,20,8,10,8,16,18,7,14,17,13,16,13,14,17,17,9,
10,17,9,26,17,15,17,16,12,11,10,17,17,24,17,17,15,10,2,10,19,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,5,13,16,17,17,
2,13,11,24,11,15,19,9,24,18,11,18,10,9,7,16,17,4,6,6,10,15,23,23,25,13,24,24,24,24,
24,24,30,21,20,20,20,20,11,11,11,11,23,25,22,22,22,22,22,15,22,24,24,24,24,24,18,16,14,14,
14,14,14,14,21,13,13,13,13,13,9,9,10,10,15,17,15,15,15,15,15,18,17,17,17,17,17,17,17,17,
24,14,24,14,25,16,21,13,21,13,21,13,21,13,23,21,23,17,20,13,20,13,20,13,20,15,20,13,23,17,
23,17,23,17,23,17,24,17,24,17,11,11,11,11,11,11,12,11,11,9,24,16,13,13,25,17,17,20,9,20,
9,20,14,20,12,20,9,25,17,25,17,25,17,21,22,15,22,15,22,15,22,15,28,23,23,12,23,12,23,12,
15,11,15,11,15,11,15,11,19,10,19,14,20,10,24,17,24,17,24,17,24,17,24,17,24,19,32,24,24,17,
24,20,15,20,15,20,15,14,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,23,18,18,17,18,18,18,
18,18,18,18,18,18,18,18,18,18,22,17,18,18,18,18,18,18,18,18,18,18,18,18,18,28,19,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,24,14,11,10,22,
15,24,17,24,17,24,17,24,17,24,17,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,24,14,30,21,22,17,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18, };
static unsigned short stb__times_37_latin_ext_h[560]={ 0,24,10,24,27,24,24,10,32,32,15,18,10,3,
5,25,24,23,23,24,23,24,24,24,24,24,17,22,17,8,17,24,32,23,23,24,23,23,23,24,23,23,24,23,
23,23,24,24,23,30,23,24,23,24,24,24,23,23,23,30,25,30,13,3,6,17,25,17,25,17,24,24,24,24,
32,24,24,16,16,17,24,24,16,17,21,16,16,16,15,23,15,32,32,32,6,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,24,29,24,16,23,
32,30,4,24,11,17,8,3,24,3,11,18,13,13,6,23,31,4,8,13,11,17,24,24,24,24,30,30,30,29,
28,28,23,30,30,30,30,28,30,30,30,28,23,30,31,31,31,30,29,14,24,31,31,31,29,30,23,25,24,24,
24,24,23,25,17,23,24,24,24,23,23,23,23,22,25,23,24,24,24,24,23,14,18,24,24,24,23,31,32,30,
27,22,29,24,29,22,31,24,31,24,29,23,31,24,30,25,23,25,27,22,29,24,28,23,29,22,30,24,31,31,
30,31,29,30,30,33,30,30,23,24,29,23,27,21,29,23,29,30,28,16,24,32,31,31,30,31,15,30,30,30,
31,23,24,23,24,23,24,31,23,30,23,31,23,23,24,24,28,22,30,24,31,24,24,17,30,23,30,23,30,23,
31,24,31,24,30,23,31,24,31,28,30,25,23,21,30,24,28,22,30,24,31,25,31,24,29,21,31,24,30,31,
28,30,23,28,22,30,23,24,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,24,21,21,31,21,21,21,
21,21,21,21,21,21,21,21,21,21,27,17,21,21,21,21,21,21,21,21,21,21,21,21,21,27,17,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,30,24,30,23,31,
24,31,24,31,26,31,29,31,29,31,29,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,34,31,30,24,31,25,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21, };
static unsigned short stb__times_37_latin_ext_s[560]={ 511,505,465,406,481,323,413,483,113,44,284,
360,476,76,505,94,130,118,316,424,468,380,430,288,318,71,506,280,85,488,488,
98,72,364,389,1,423,33,481,23,39,500,304,184,248,287,262,239,346,47,386,
205,448,111,163,332,54,116,95,476,154,497,385,86,36,459,240,474,205,445,365,
412,446,489,102,112,130,208,235,417,221,188,253,433,349,266,180,137,316,269,334,
159,142,145,44,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,
330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,511,506,392,
395,162,100,156,114,64,464,430,121,1,76,73,105,442,398,409,420,28,421,295,
506,21,402,454,105,87,47,150,136,214,299,239,485,339,364,333,467,1,95,146,
281,102,485,158,302,160,277,348,307,26,48,73,350,140,195,1,447,23,264,447,
258,16,1,494,479,466,123,1,1,392,378,364,485,438,318,410,269,138,282,209,
193,177,161,300,366,380,112,94,76,142,406,124,234,51,203,48,254,129,218,74,
374,96,19,1,86,164,59,210,165,15,222,30,157,179,438,260,1,96,171,167,
452,222,204,376,458,155,128,186,26,424,449,215,1,213,411,469,318,117,499,200,
1,225,198,51,55,421,270,324,330,298,371,289,350,396,194,44,261,31,240,388,
118,176,188,328,313,15,64,319,303,237,235,13,438,435,490,225,61,400,129,352,
210,303,223,279,362,364,311,170,236,405,350,144,389,489,497,365,307,252,275,314,
251,22,33,380,105,339,293,460,287,246,454,70,186,421,116,79,400,187,137,141,
398,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,466,330,330,472,
330,330,330,330,330,330,330,330,330,330,330,330,330,446,43,330,330,330,330,330,
330,330,330,330,330,330,330,330,1,23,330,330,330,330,330,330,330,330,330,330,
330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,327,146,
36,499,284,269,49,285,220,76,170,442,245,424,371,406,330,330,330,330,330,330,
330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,
330,330,330,1,490,71,342,424,187,330,330,330,330,330,330,330,330,330,330,330,
330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,
330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,
330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,
330,330,330,330,330,330,330,330,330, };
static unsigned short stb__times_37_latin_ext_t[560]={ 1,1,311,186,130,160,160,311,1,1,311,
287,311,329,26,160,186,263,238,186,263,213,213,213,213,238,160,287,311,311,287,
213,1,238,238,238,238,287,238,238,263,238,213,263,263,263,213,213,263,68,263,
213,263,238,213,213,287,287,287,35,160,35,311,329,329,287,160,287,160,287,213,
213,213,213,1,213,213,311,311,287,213,213,311,287,287,311,311,311,311,263,311,
1,1,1,329,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,
287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,1,35,99,
213,311,263,1,99,329,213,311,311,329,329,213,329,311,287,311,311,329,263,35,
60,329,311,311,311,238,238,238,238,99,99,99,99,130,130,238,68,68,68,99,
130,99,35,68,130,263,68,1,1,35,99,130,311,213,1,36,1,130,99,238,
160,213,213,186,186,238,160,311,287,186,186,186,263,263,263,263,287,160,238,186,
186,186,186,238,311,287,186,186,187,263,1,1,68,160,287,130,186,130,287,35,
160,35,188,130,263,35,213,68,160,263,160,160,287,130,160,130,263,130,287,99,
160,35,35,68,35,130,99,68,1,68,68,238,188,130,238,130,287,130,213,130,
99,130,311,188,1,35,1,99,1,311,99,99,99,1,238,213,238,213,238,160,
35,238,99,263,35,287,263,186,186,130,287,99,186,35,160,186,311,68,263,68,
263,68,263,35,160,35,160,68,263,35,160,35,130,68,130,263,287,68,160,130,
287,68,188,35,160,35,160,99,287,35,186,68,35,130,68,287,130,287,68,287,
160,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,160,287,287,1,
287,287,287,287,287,287,287,287,287,287,287,287,287,130,311,287,287,287,287,287,
287,287,287,287,287,287,287,287,160,311,287,287,287,287,287,287,287,287,287,287,
287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,68,186,
99,263,1,186,35,186,1,160,1,99,1,99,1,99,287,287,287,287,287,287,
287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,
287,287,287,1,1,99,186,1,160,287,287,287,287,287,287,287,287,287,287,287,
287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,
287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,
287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,287,
287,287,287,287,287,287,287,287,287, };
static unsigned short stb__times_37_latin_ext_a[560]={ 134,178,218,267,267,445,416,96,
178,178,267,301,134,178,134,149,267,267,267,267,267,267,267,267,
267,267,149,149,301,301,301,237,492,386,357,357,386,327,297,386,
386,178,208,386,327,475,386,386,297,386,357,297,327,386,386,505,
386,386,327,178,149,178,251,267,178,237,267,237,267,237,178,267,
267,149,149,267,149,416,267,267,267,267,178,208,149,267,267,386,
267,267,237,257,107,257,289,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,134,178,267,267,267,267,107,267,
178,406,147,267,301,178,406,267,214,293,160,160,178,308,242,134,
178,160,166,267,401,401,401,237,386,386,386,386,386,386,475,357,
327,327,327,327,178,178,178,178,386,386,386,386,386,386,386,301,
386,386,386,386,386,386,297,267,237,237,237,237,237,237,357,237,
237,237,237,237,149,149,149,149,267,267,267,267,267,267,267,293,
267,267,267,267,267,267,267,267,386,237,386,237,386,237,357,237,
357,237,357,237,357,237,386,346,386,267,327,237,327,237,327,237,
327,237,327,237,386,267,386,267,386,267,386,267,386,267,386,267,
178,149,178,149,178,149,178,149,178,149,379,295,208,149,386,267,
267,327,149,327,149,327,217,327,184,327,149,386,267,386,267,386,
267,323,375,264,386,267,386,267,386,267,475,386,357,178,357,178,
357,178,297,208,297,208,297,208,297,208,327,149,327,228,327,149,
386,267,386,267,386,267,386,267,386,267,386,267,505,386,386,267,
386,327,237,327,237,327,237,149,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,386,416,416,267,416,416,416,416,416,
416,416,416,416,416,416,416,416,386,283,416,416,416,416,416,416,
416,416,416,416,416,416,416,415,290,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,386,237,178,149,386,267,386,267,386,267,386,
267,386,267,386,267,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,
416,416,386,237,475,357,386,267,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_37_latin_ext_BITMAP_HEIGHT or STB_FONT_times_37_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_37_latin_ext(stb_fontchar font[STB_FONT_times_37_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_37_latin_ext_BITMAP_HEIGHT][STB_FONT_times_37_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_37_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_37_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_37_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_37_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_37_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_37_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_37_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_37_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_37_latin_ext_s[i] + stb__times_37_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_37_latin_ext_t[i] + stb__times_37_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_37_latin_ext_x[i];
            font[i].y0 = stb__times_37_latin_ext_y[i];
            font[i].x1 = stb__times_37_latin_ext_x[i] + stb__times_37_latin_ext_w[i];
            font[i].y1 = stb__times_37_latin_ext_y[i] + stb__times_37_latin_ext_h[i];
            font[i].advance_int = (stb__times_37_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_37_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_37_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_37_latin_ext_s[i] + stb__times_37_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_37_latin_ext_t[i] + stb__times_37_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_37_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_37_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_37_latin_ext_x[i] + stb__times_37_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_37_latin_ext_y[i] + stb__times_37_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_37_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_37_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_37_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_37_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_37_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_37_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_37_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_37_latin_ext_LINE_SPACING
#endif

