// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_38_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_38_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_38_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_38_latin_ext_BITMAP_HEIGHT        358
#define STB_FONT_times_38_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_38_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_38_latin_ext_NUM_CHARS            560

#define STB_FONT_times_38_latin_ext_LINE_SPACING          25

static unsigned int stb__times_38_latin_ext_pixels[]={
    0x07995000,0x20000000,0xa8800cc8,0x9dd90004,0xeee98000,0x19988001,
    0x32200000,0x6440002c,0x00b6a00c,0x00288288,0x003cca80,0x80079900,
    0x997000e9,0x00399999,0x00000564,0x00510000,0x00000000,0x00001331,
    0x20000031,0x00666199,0x98003b50,0x0000000e,0x01998800,0x30000000,
    0x00333333,0x0007ffe0,0x000b2a20,0x2601ffe4,0xff0000cf,0xfb80001f,
    0xfd10003f,0x4000007f,0x640006fa,0xfff103ff,0x45f64001,0x440001eb,
    0x0001ffff,0x200077cc,0xffd000f9,0x007fffff,0x00017e44,0x012201b1,
    0xd80004b8,0x4c001200,0x20005fff,0x001eefd8,0xf93fe600,0xffb8806f,
    0x07cc002f,0x12201b00,0x27fec000,0x6ffd8000,0x7fffc400,0x4c000fff,
    0xd00002ff,0xffb80007,0x0007ee02,0x0001ff98,0x40004fe8,0x00005ff8,
    0x00007cc0,0x7fc05ff7,0xfffd8006,0xdfc80002,0x5c0006ff,0x01f30005,
    0x333332e0,0xf88001cc,0x07ae0003,0xea8001d3,0x0be60001,0x360005d1,
    0x0001ffff,0x0002dc97,0x7fccdf70,0xfffbb801,0x007cc002,0x2e885f30,
    0x0bff0000,0x3ffe6000,0x3fe2003f,0x3fb80002,0x00d30000,0xf880aa00,
    0x17e40005,0x02fc4000,0x00ff9800,0x00440000,0x7300aa00,0x55510001,
    0x29f10000,0x20002fd8,0x03e60001,0xb0000000,0x7f40003f,0x20009f32,
    0x360001fa,0x000dd14f,0x037e53ea,0x007c1f80,0x2a1fc800,0x7fe4004f,
    0x007cc002,0x2f453f60,0x06fa8000,0x2e7fa000,0xff1000ff,0x09d00005,
    0x6e754000,0x36000000,0x1f40002f,0x00eb8000,0x00bea000,0x449f5000,
    0x000000ee,0x893ea000,0x9b0000ee,0xfa800d90,0x4003ba24,0x9f5000f9,
    0x80007744,0x2a0005fa,0x000ffdff,0x88001b60,0x001fedff,0x02fb87d0,
    0x03e22d80,0x32274000,0x2ffb8006,0x0007cc00,0x07fb7fe2,0x00764000,
    0x260ea800,0x5ff1005f,0x00588000,0x17ffc400,0x5ff00000,0x0024c000,
    0x00001b00,0x80000b70,0x0bfea7fd,0x80000000,0x0bfea7fd,0x3a80e600,
    0xfa9ff600,0x01f3002f,0xffa9ff60,0x0ff50002,0x3fffe800,0x01fc4000,
    0x0bfff900,0x34c0ee00,0x6d575400,0x03e00004,0xff70003b,0x00f98005,
    0x04fffc80,0x0007a000,0x74406c40,0x02ff8801,0x0014c400,0x003ff200,
    0x27fc4000,0x00000000,0x03800000,0x216cc000,0x0000004c,0x3216cc00,
    0x00000004,0x04c85b30,0x4c003e60,0x0002642d,0x40003ff7,0x00004cc9,
    0x220001fb,0x30000ccc,0xa8000880,0x00000bed,0x20007051,0x4c002ffb,
    0xcc88000f,0x0600000c,0x40098000,0x02ff8802,0x3f7f6200,0x00200002,
    0xbff10000,0x30030000,0x0019b500,0x00000c00,0x00000000,0x00000000,
    0x00000000,0x0001f300,0xffc80000,0x00000000,0x0002fd40,0x00000006,
    0x00000000,0xfb800030,0x07cc002f,0x00000000,0x00000000,0x0017fc40,
    0x003ccb70,0x2a000000,0x00dff02d,0xdfffd970,0x200fa85b,0x000fcadd,
    0xdfffdb70,0xddd90059,0x40dddddd,0xeeeeeeeb,0x2201da82,0x3bbbb25b,
    0x2e06eeee,0x2eeeeeee,0xeeeeeeb8,0xddd90eee,0x40dddddd,0xeeeeeeeb,
    0x3bb21f32,0x06eeeeee,0x3bbbbbae,0x20ffd02e,0xeeeeeeec,0x3bbae06e,
    0x2202eeee,0x36e003ff,0x02cefffe,0x6416d400,0xeeeeeeee,0x3bbbae06,
    0xdb802eee,0x02cefffe,0x9317fdc0,0x21f3037b,0x05eeeeea,0x3bbbbae0,
    0x555551ee,0x55550155,0x3bbbbb25,0x3ae06eee,0x12eeeeee,0x740005ff,
    0x00001742,0x3fae2000,0x00ffd02f,0x984e7f4c,0x2f98dfdb,0x00791e60,
    0x30acfe98,0x8801bfd7,0x00cffffa,0x887ffd50,0xd982fffb,0x7fd446ff,
    0xd5000cff,0xfd3007ff,0xf5103bff,0x20019fff,0x7cc3ffea,0x3fffea20,
    0xffd5000c,0x206ff807,0x0cffffa8,0x07ffd500,0x2601bfa0,0xd730acfe,
    0x5c4001bf,0xf5102ffe,0x20019fff,0x9803ffea,0xd730acfe,0x3ee001bf,
    0xfffffb2f,0x6cc0f987,0x54005fff,0x7f542eff,0xea80aeff,0x3fea22ef,
    0xd5000cff,0x2ff887ff,0xf88f2000,0x32e20000,0x5dc001bd,0xdf902fff,
    0x007ff200,0xa809fffb,0xf9002d45,0x2ffc805f,0x007ffd80,0xfbb82fb8,
    0x7edcc2ff,0x0fffb06f,0x4005f700,0x6c00fffb,0xfb8007ff,0xfd80f982,
    0x2fb8007f,0xd805fe80,0xfb8007ff,0x01ff6002,0xfc805ff9,0xff97002f,
    0x7ffd805f,0x802fb800,0x7e402ffc,0xaffb802f,0xffffedfb,0x7ec03e62,
    0x7dc003ff,0x013ffa01,0x3ff603f9,0x82fb8007,0x20002ff8,0x005eacf9,
    0x36677ee0,0x01deeeef,0xfb817fdc,0x02ffd803,0x8805ff90,0x6400b60f,
    0xff9001ff,0x06ffc807,0x3201fa80,0x1bfe02ff,0x40037fe4,0x3ea001fa,
    0x6ffc807f,0x981fa800,0x06ffc80f,0xb801fa80,0x6ffc804f,0x001fa800,
    0x7e407ff2,0x7ff9001f,0x017fdc00,0x2001bff2,0x7fe401fa,0x07ff9001,
    0x5c5dffb8,0x03e66fff,0x002ffff8,0xff9803ee,0xf902f406,0x3f5000df,
    0x0005ff10,0x0002fd98,0x3fee1bee,0x7d402eee,0x801fb02f,0x32005ffa,
    0x7dc00fff,0xff5005fd,0x7ffc400b,0x017fee00,0xfb803ea0,0x41bfa02f,
    0xa8005ffb,0x3fea000f,0x05ffb806,0xf980fa80,0x005ffb80,0xf8800fa8,
    0x05ffb805,0x2000fa80,0xffa82ffb,0x3ffe2005,0x05ff5000,0x8005ffb8,
    0x3fea00fa,0x3ffe2005,0x413fee00,0x0913fff9,0x00fffff8,0xfd801f50,
    0x405f100f,0xa8005ffb,0x02ff880f,0x001fd800,0xf109ff30,0x7fd4009f,
    0x4403f882,0xf5001fff,0x5100bff9,0x3ffe2001,0x2ffe4001,0x000bff70,
    0x7fdc01f5,0x5c1bfa02,0xfa8005ff,0x1bfea000,0x0017fee0,0x03e603ea,
    0x20017fee,0x3f7000fa,0x005ffb80,0x2e000fa8,0x7ffc44ff,0x2ffe4001,
    0x402ffa80,0xa8005ffb,0x3fff100f,0x05ffc800,0xfd80bfee,0x3f7e004f,
    0x7a800eff,0x904ff980,0x05ffb80d,0xf880fa80,0x7c40002f,0xff70005f,
    0x801ff605,0x1f542ffa,0x802ffec0,0x2fff8af9,0x7fec0000,0xfff88005,
    0x00bff702,0x7d401f50,0x41bfa02f,0xa8005ffb,0x3fea000f,0x05ffb806,
    0xf980fa80,0x005ffb80,0x22000fa8,0x17fee02d,0x8003ea00,0x7fec5ffa,
    0xfff88005,0x02ffa802,0x4002ffdc,0xbffb00fa,0x5fff1000,0xa80bfee0,
    0x2fe005ff,0xa805fffa,0x01ffb007,0x5ffb807f,0x880fa800,0x640002ff,
    0xc8000fff,0x3ff901ff,0x44bfea00,0xff8800ce,0x24f8803f,0xb9305ffe,
    0xff80159b,0xffd0003f,0x017fee0b,0xfa803ea0,0x41bfa02f,0xa8005ffb,
    0x3fea000f,0x05ffb806,0xf980fa80,0x005ffb80,0xc8000fa8,0x05ffb81e,
    0x2000fa80,0x7ffc7ff9,0xbffd0003,0x805ff500,0xa8005ffb,0x07fff00f,
    0x417ffa00,0x3e602ffb,0x5cfe007f,0x3d404fff,0x544ffa80,0x2ffdc00f,
    0x4407d400,0x7c0002ff,0xb8003fff,0x3ff902ff,0xb8bfea00,0xfff9802e,
    0x7ec5e802,0xbadfc87f,0xff302ffe,0x3f60005f,0x0bff707f,0x5401f500,
    0x1bfa02ff,0x4002ffdc,0x3ea000fa,0x5ffb806f,0x980fa800,0x05ffb80f,
    0x4000fa80,0xffb80beb,0x00fa8005,0xf99ffe60,0xfb0002ff,0x5ff500ff,
    0x005ffb80,0xff980fa8,0xffb0002f,0x80bfee0f,0x3e006ff8,0x80bfff63,
    0x3ffa007a,0x3ee01760,0x0fa8005f,0x0002ff88,0x01ffefee,0x740ffe60,
    0x3fea007f,0x7d404b82,0x076401ff,0xfc83fff2,0xa80ffd86,0x90001fff,
    0xff701fff,0x01f5000b,0xfd017fd4,0x017fee0d,0xa8003ea0,0xffb806ff,
    0x80fa8005,0x5ffb80f9,0x000fa800,0xffb809d1,0x00fa8005,0xfa97fea0,
    0xf90001ff,0xffa801ff,0x02ffdc02,0x7d407d40,0xf90001ff,0x5ff701ff,
    0x2005ff80,0x0ffff43f,0x3ea007a8,0x7003f14f,0xf5000bff,0x005ff101,
    0x2fffaf40,0x887fe800,0x3ea003ff,0x640df02f,0x3ee00fff,0x21fffb81,
    0x2ffa84ff,0x000fffc8,0x703fff70,0xf5000bff,0x017fd401,0x3fee0dfd,
    0x00fa8005,0x201bfea0,0xa8005ffb,0xb80f980f,0xfa8005ff,0x700fd000,
    0xf5000bff,0x27fdc001,0x0001fff9,0x5007ffee,0xffb805ff,0x80fa8005,
    0x0000fffc,0xf703fff7,0x27fc405f,0xff887f00,0x007a80ef,0x03647ff4,
    0x8005ffb8,0x2ff880fa,0x323f3000,0xd88005ff,0x09fb31df,0x702ffa80,
    0x3fff603f,0x2e05f300,0x0ffe2fff,0x3f60ffe6,0xf70000ff,0xbff705ff,
    0x401f5000,0x3fa02ffa,0x00bff706,0x54001f50,0xffb806ff,0x80fa8005,
    0x5ffb80f9,0x800fa800,0xffb804f9,0x00fa8005,0xfd8ffee0,0xf70000ff,
    0xffa805ff,0x02ffdc02,0x7ec07d40,0xf70000ff,0x5ff705ff,0xf997fcc0,
    0x3e60fe00,0x007a85ff,0x01fe7fd4,0x8005ffb8,0x2ff880fa,0x7c4db000,
    0xf88001ff,0x001deefe,0xf902ffa8,0x03fff209,0xffb80fe2,0x2602ea1f,
    0xfffc83ff,0xfff70000,0x00bff703,0x7d401f50,0x41bfa02f,0xa8005ffb,
    0x3fea000f,0x05ffb806,0xf980fa80,0x005ffb80,0xfc800fa8,0x05ffb804,
    0x2000fa80,0x3ff22ffc,0xff70000f,0x2ffa803f,0x002ffdc0,0x7fe407d4,
    0xff70000f,0x07ff703f,0x01f32fdc,0xfffb81fc,0x74003d44,0xf7000fff,
    0x1f5000bf,0x0005ff10,0x4ffd85f1,0x00174400,0x205ff500,0xfff507fd,
    0xfc80bd03,0x7e4c00ff,0xfffb83ff,0xfff70001,0x00bff701,0x7dc01f50,
    0x41bfa03f,0xa8005ffb,0x3fea000f,0x05ffb806,0xf980fa80,0x005ffb80,
    0xff800fa8,0x05ffb805,0x2000fa80,0x3fee0ffd,0xff70001f,0x2ffa801f,
    0x002ffdc0,0x7fdc07d4,0xff70001f,0x0bff701f,0x0f987fe2,0xffc80fe0,
    0x2001ea2f,0x2e004ffb,0xfa8005ff,0x002ff880,0xfffa87c8,0x001ba000,
    0x205ff500,0xfff307fe,0x6c00ed85,0x3baa06ff,0xfa83ff9a,0xf90002ff,
    0x17fee0ff,0xd803ea00,0x1bfa04ff,0x4002ffdc,0x3ea000fa,0x5ffb806f,
    0x980fa800,0x05ffb80f,0xe800fa80,0x5ffb807f,0x000fa800,0xfff513fa,
    0x3ff20005,0x02ffa807,0x4002ffdc,0xfffa80fa,0xfff90002,0x20fffee0,
    0x007cc3fd,0xfffd807f,0x3e000f51,0x3fee001f,0x80fa8005,0xf8002ff8,
    0x007ffd04,0x26ab3fea,0x54000999,0x0bff02ff,0xfb8fffe2,0x85ffe800,
    0x3fe62fe9,0x03fff883,0x20bffb00,0xb8005ffa,0xffffd707,0x20dfd05d,
    0xb8005ffa,0x37fd4007,0x002ffd40,0x80f983dc,0xb8005ffa,0x00ffb007,
    0x7000bff5,0x0ffcc00f,0x000fffe2,0x5402ffec,0x7fd402ff,0x107b8005,
    0x20007fff,0xff705ffd,0x3dd9bfd7,0x1fc01f30,0x23fffa20,0x0db0007a,
    0x005ffa80,0x5ff107b8,0x700fa800,0x3ea00dff,0xffffffff,0xff5002df,
    0x409ff103,0x05f55ffd,0xf30fffe0,0x03ff981d,0x2000bffd,0xff503ffe,
    0x00f7000d,0x541bfa00,0x7b8006ff,0x02ffd400,0x40037fd4,0x501f307b,
    0xf7000dff,0x007ff200,0x7000dff5,0x82fe400f,0xd0005ffe,0xff5007ff,
    0x06ffa803,0x3fa07b80,0xffd0005f,0x4cbfee07,0x03e600aa,0xff9803f8,
    0xf0007bef,0x6ffa8007,0xf107b800,0x05e8005f,0x4007ffe2,0xfffffffa,
    0xa804ffff,0x3ff880ff,0x3e7ffe20,0x8dff5003,0xff982ff9,0x01fff303,
    0x206ffa80,0xd8007ff9,0xbfd00005,0x001ffe60,0xff500176,0x0fff3009,
    0x3e60bb00,0x007ff980,0xff7005d8,0x07ff9801,0x3e005d80,0x1fff301f,
    0x06ffa800,0x9801ff50,0x5d8007ff,0x003ffe60,0x5c0dff50,0x7cc002ff,
    0x5400fe00,0x8007ffff,0x7cc000fa,0x05d8007f,0x4c005ff1,0xeeeeeeef,
    0x7005fffe,0x2aaa6669,0xfa807fcb,0x700bfa07,0x7400bfff,0x07fdc0ff,
    0xf901ffcc,0xffe8009f,0x017ffc01,0x00009f10,0xfff813fa,0x013e2002,
    0x2007ff50,0x22002fff,0x201f304f,0x22002fff,0x0ff5004f,0x800bffe0,
    0x5f5004f8,0x004ffc80,0xa800fff4,0x5fff007f,0x2027c400,0x74004ffc,
    0x3fee01ff,0x007cc002,0x7fdc007f,0x04e8007f,0x005fff00,0xff8827c4,
    0x2abb6002,0xfbaaaaaa,0x035c00ff,0xfa803f30,0x200fee05,0xf7001ffe,
    0x05ffb05f,0x7c409ff3,0xff5000ff,0x0bff9009,0x00007ec0,0x3f201fe8,
    0x03f6005f,0x3fea1da8,0x0bff9001,0xf9807ec0,0x00bff900,0xfb8007ec,
    0x0bff9004,0xe8007ec0,0x0fff8804,0x009ff500,0xfc802fdc,0x03f6005f,
    0x001fff10,0xf7013fea,0x0f98005f,0xfb000fe0,0x0fb800ff,0x0bff9000,
    0xf8807ec0,0x05f1002f,0x980fffa0,0x887c004f,0x200fdc3c,0xeffc806e,
    0x827fcc00,0x3ee0dffa,0xd30195ff,0xffa801df,0x7fff1004,0x0009fb00,
    0x405f8395,0xd803fff8,0x9bfe204f,0x3e2005fb,0x4fd803ff,0x7c403e60,
    0x4fd803ff,0x8801ba00,0xfd803fff,0x400db004,0x5400efe9,0x859104ff,
    0xff1001fc,0x09fb007f,0x003bfa60,0xf7009ff5,0x0f98005f,0x88009f10,
    0x3bee07fe,0x20002fcc,0xd803fff8,0x0bfe204f,0xf5003dc0,0x02fec0df,
    0x77fdcb70,0xe8804e89,0xf95f500c,0xefb8817d,0x6ffffc02,0x3efff8df,
    0x20bff220,0x4001ffb8,0x10adffe8,0x0009fd95,0x0fdcfffe,0x56fff440,
    0x09fd9510,0xdb4fff88,0xffe88001,0xfd9510ad,0x200f9809,0x10adffe8,
    0x2009fd95,0x44000ec8,0x510adffe,0xd1009fd9,0xff910007,0x03ff7105,
    0x74cf7fdc,0x7ff44004,0xfd9510ad,0xffc88009,0x01ffb882,0x8007ff90,
    0x1df700f9,0x207f8800,0x004ffffe,0xadffe880,0x09fd9510,0xcccdff88,
    0x4004f80c,0xffb02fff,0x23644039,0x02fffff8,0x3e61f640,0x37bff662,
    0xb3004fff,0x7fec7fff,0xdffd5003,0x0019dffb,0x3fffee20,0x001dffff,
    0x37ffff20,0x3fee2000,0x1dffffff,0xbdfff700,0x3ee20003,0xdfffffff,
    0x400f9801,0xffffffb8,0xd7001dff,0x7dc40009,0xdfffffff,0x001d8801,
    0x6f7ff540,0x4400ceff,0x002fffff,0xfffff710,0x0003bfff,0x7ef7ff54,
    0xca800cef,0x002bffff,0x7fe441f3,0x2002dfff,0x3bfee079,0x2e200003,
    0xffffffff,0xeee8801d,0x7dc0eeee,0x37fec001,0xeeffff88,0x00cfedcc,
    0x18000353,0x575301c4,0x40220001,0x2ea20000,0x4c000009,0x000aabaa,
    0x00135100,0xaabaa980,0x00550000,0xabaa9800,0x00a2000a,0x15575530,
    0x00001800,0x0555d54c,0x20000000,0x80009ba8,0x200000a9,0x00aabaa9,
    0x4dd44000,0x55554000,0x51002aaa,0x01800000,0x000000c4,0x02aaeaa6,
    0x3fc40000,0x17ffd400,0xffffeb88,0x00001dff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x01ffb100,0x2ffffb80,0x004d4c40,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3ee00000,
    0x401effff,0xffffffea,0x0000001f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x01000000,0xedca9800,0x00001bcd,
    0x00001333,0x31000000,0xc8800033,0x880000cc,0x00000199,0x00026660,
    0x04ccc400,0x00000000,0x00009988,0x00059970,0x88000000,0x00000199,
    0x0001e64c,0x00033300,0x000b32a0,0x22001440,0x01331099,0x06662000,
    0x3b200000,0x4000004e,0x99882009,0x00009999,0x8003b36e,0x11abdeb8,
    0x0007db53,0x000fffc4,0x003201c8,0x027ff400,0x13fff200,0x3ffe2000,
    0xa8000002,0x00000fff,0x000dff90,0x001fff90,0x0dfff100,0xffff3000,
    0x40360001,0xfe800048,0x4000003f,0x0002fffe,0x03fffa80,0x7fffc400,
    0x07540000,0xfc9bfa00,0xf900001f,0x800000bf,0x0000eff8,0x7fffed40,
    0x6cb30ace,0x04ffffff,0x9f31f700,0x0033f200,0x40007644,0x20002ffb,
    0x003d83f8,0x00bff100,0xffdff880,0xff980001,0xc8000004,0x000001ff,
    0x00003bfa,0x00bffff1,0x5ffff900,0xfcfe8000,0x3f50004f,0x40001e88,
    0x00004ff9,0x37f6fdc0,0x7ff40000,0x360000ff,0x0004ffdf,0x88001db1,
    0x013fa2ff,0x00eff800,0x7fd40000,0x3a600000,0xd530adff,0xfe80bfbf,
    0x34f98004,0x0de8805d,0x003d3000,0x80003fd8,0x001b65fc,0x0006fb80,
    0x0df70ed8,0x01fea000,0x0bfe0000,0xff880000,0xafd80000,0x20001ffa,
    0x00df75f9,0xfe997d40,0x27fd0000,0xb80005e8,0x4000005f,0x07fb14f8,
    0x457dc000,0xf30004fd,0x0007fa27,0x7cc00176,0x000037c5,0x00001ff3,
    0x0003fb00,0x4027fdc0,0x7f406ffa,0x02fc8004,0x00017ea0,0x7c4003a6,
    0xff100005,0x00005fdd,0x2000076c,0x017cc0e9,0x001fb800,0x00fe6000,
    0x03f70000,0x4c3f3000,0x1360006e,0x3a0007f5,0x8002ec42,0x00ffdff9,
    0x000ee800,0x5c264000,0xf880000f,0x4000fe42,0x4006d82e,0xf70000fc,
    0x0000fcc1,0x00003f90,0x0000be00,0x2003ffc8,0x27f406fb,0x003fe200,
    0x000027cc,0x016a00b5,0xdfff5000,0x0fc40000,0x88064000,0x0f200005,
    0x04b80000,0x02d80000,0xb103b000,0x20950005,0x0dc000e8,0x32000390,
    0x80004fff,0x000000f8,0x009501cc,0x16a05900,0x15c05500,0x0004fa80,
    0x000950b2,0x00002e80,0x00007500,0x40037fd4,0x027f407c,0x4401fee0,
    0xd800005e,0x0000a801,0x001ccc80,0x00006200,0x40000000,0x0e000003,
    0x01c00000,0x14008800,0x00c00c00,0x10000000,0x00001999,0x00000033,
    0x0c000000,0x00000220,0x007fe200,0x000a8380,0x00001400,0x88000000,
    0x88001fff,0x0027f407,0x7ec01bfa,0x54002000,0x02013004,0x02009800,
    0x80000000,0x00001009,0x00000000,0x00980000,0x000c0002,0x80000000,
    0x80010099,0x40001009,0x00000001,0x00000000,0x08026000,0x00006fb8,
    0x00000000,0x00000000,0x0037fdc0,0x27f401b0,0x009ff500,0xf91007f5,
    0x05db15bb,0x7fff540d,0x00598ace,0x3bffff6a,0x764b30ac,0x6eeeeeee,
    0x3bbbbae0,0xffea82ee,0x4598acef,0xeeeeeeec,0x3bbae06e,0xdd52eeee,
    0x5c00bddd,0x1eeeeeee,0xffffda80,0x00b30ace,0x3bfffb6e,0xaaaa802c,
    0xaaa80aaa,0xffc9802a,0xb0adffff,0xfffea801,0x00598ace,0x3bfffb6e,
    0xeeea802c,0x3b25eeee,0x0eeeeeee,0xeeeeeeb8,0x37b97100,0x7fed4000,
    0xb30aceff,0x76407ff0,0x6eeeeeee,0x3bbbbae0,0xdddd32ee,0xdddddddd,
    0x001ddddd,0xdddddd10,0xdddddddd,0xfd05dddd,0x00c0009f,0xdb1013fa,
    0x0399dfff,0x37e601f6,0x203fef61,0x67fec40e,0x5fffeb99,0xadffe980,
    0xbfbfd530,0xcffffa88,0x7ffd5000,0x339ffb10,0x10bfffd7,0x019ffff5,
    0x40fffaa0,0x005fffd9,0x40177fd4,0x30adffe9,0x80bfbfd5,0x730acfe9,
    0x75401bfd,0xa80aefff,0x3a202efe,0x7310acff,0x2203fdff,0xeb99cffd,
    0xe9805fff,0xfd730acf,0xffd8801b,0xffd880ff,0xffc801ff,0x2677ee03,
    0x1deeeefd,0x2b7ffa60,0xbfbfd530,0x4401ffa8,0x00cffffa,0x207ffd50,
    0xcccfffd9,0xffeccccc,0x3f660001,0xcccdffff,0x43ffcccc,0x0002fff9,
    0x1013fa00,0x557ffb55,0xa809f101,0x06ffa85f,0x205fd83b,0x7dc05ffb,
    0x6ffa804f,0x000fffb0,0x17f605f7,0x3605ffb8,0xfb8007ff,0x3fffd802,
    0x400fdc00,0xfa804ffb,0x0bff206f,0xe805ff90,0x0fe404ff,0x801dff30,
    0xfb01ffd8,0x02ffdc0b,0xf900bff2,0xbffd005f,0x02fffc40,0x3ee04f98,
    0xeeeffb86,0x009ff702,0xffe8dff5,0x0fffb000,0x8805f700,0xfa800fff,
    0x5fcc0002,0x74401fff,0x00fffdc4,0x09fd0000,0x5c03fec0,0x03bea01f,
    0x16413fe6,0xfb805ff5,0x00fff205,0xff906fb8,0x03f5000d,0xfb805ff5,
    0x01bff205,0x7c007ea0,0x2e002fff,0x1ffe400f,0x320df700,0xff9001ff,
    0x037fcc07,0xeffa817a,0x20bf6000,0x7dc02ffa,0x007ff205,0x2e01ffe4,
    0x7fe406ff,0x201f5006,0xff884ff9,0x01ffe404,0x7ff8df70,0x01bff200,
    0xf1007ea0,0x0b6001ff,0x3fed9000,0x644a801f,0x00000fff,0xf8013fa0,
    0x206e806f,0xff701ff8,0x6fc87a03,0x3ea0bd00,0x07c8006f,0x5000bff7,
    0x00df901f,0x5ffb817a,0x000fa800,0x001fffff,0xffa803ea,0xa87c8006,
    0x3e2005ff,0x3ff600ff,0x2205f100,0xf88006ff,0xd006fc82,0x017fea0b,
    0x200fff88,0x2601fff8,0x6c800fff,0x6c0bfee0,0x1bfea07f,0xff89f200,
    0x17fee007,0x2003ea00,0x55000fff,0xf9fc4000,0x458801ff,0x0000fffd,
    0x4013fa00,0x4f804ff8,0xfd817f60,0x1ffb1e07,0xff10b700,0x0f10003f,
    0x20017fee,0x0ffd80fa,0x3ee05b80,0x0fa8005f,0xdfffbf00,0x440f5001,
    0x88001fff,0x00fffc47,0x9817ff20,0x40d904ff,0x90003ffe,0x001ffb07,
    0x3fff10b7,0x05ffc800,0x3a01fff4,0x03f803ff,0x7e407ff2,0x1fff881f,
    0x3e678800,0x3fee006f,0x00fa8005,0x2000fff8,0xf9ae0000,0xd81001ff,
    0x00000fff,0x5c013fa0,0x1fc402ff,0x3e01ff98,0xfc8b304f,0xb859804f,
    0x360006ff,0x005ffb80,0xffc80fa8,0x2e059804,0xfa8005ff,0xff57f000,
    0x40f500bf,0x20006ffb,0x017ff60d,0x80bffe20,0x03f80ffd,0x4000fff7,
    0x04ffc848,0x5ffd8598,0x2fff8800,0x701bfee0,0x0fa80dff,0x640bfee0,
    0x6ffb81ff,0x7d436000,0x3fee005f,0x00fa8005,0x0000fff8,0x3e2f8800,
    0xf70001ff,0x000005ff,0xfc8027f4,0x817cc00f,0x3fe606fd,0xffa89702,
    0xfe82805f,0x4060004f,0xa8005ffb,0x5fffa80f,0x3fee0280,0x00fa8005,
    0x3ffee7f0,0xfd03d404,0x20c0009f,0xd0003fff,0x7fd40bff,0xfe807d44,
    0xa800004f,0x82805fff,0xd0003fff,0x7fc40bff,0x3fff201f,0xf3017200,
    0x41ffa07f,0x20004ffe,0x8013fee1,0xa8005ffb,0x0fff800f,0x20000cc0,
    0x00fffc6c,0x1fffd412,0x9fd00000,0x201bfa00,0x4ff881fa,0x6403ff60,
    0x77fffc42,0x3ffe6002,0xfb800002,0x0fa8005f,0x2effff88,0x0bff7000,
    0x2001f500,0x0bfff63f,0xfff307a8,0x3e600005,0xfb0002ff,0x0ffe80ff,
    0x7ffcc176,0xf8800002,0x2002efff,0x0002fff9,0xfd80fffb,0x3fffe04f,
    0x3a00fe03,0x83ff887f,0x0002fff9,0x400bff70,0xa8005ffb,0x0fff800f,
    0x100015c0,0x01fff85f,0x7ffcc16a,0x3a000005,0x4ff8804f,0xfa81f980,
    0x0dff302f,0x3fe603e2,0xb800dfff,0x00001fff,0x8005ffb8,0xfff300fa,
    0xb8001bff,0xfa8005ff,0xfe87f000,0x20f501ff,0x0001fffb,0x003fff50,
    0x803fff20,0x03f14ffa,0x0007ffee,0x7fffcc00,0xffa800df,0xff90001f,
    0x3ffd401f,0x06ffcf98,0xfb1001f5,0x413f663b,0x0001fffb,0x400dff30,
    0xa8005ffb,0x0fff800f,0x8000ba20,0x01fff86c,0x6ffe8176,0x3fa00000,
    0x02ffa804,0xffb82f88,0x03ffe880,0x7ffcc099,0x3200cfff,0x00000fff,
    0x8005ffb8,0x3fe600fa,0x000cffff,0x5000bff7,0x10fe001f,0xf501dfff,
    0x003fff20,0x07ffe400,0x1fffb800,0x3647ff40,0x001fff90,0x2aaaaaa6,
    0x7ffcc0aa,0x3200cfff,0x70000fff,0xff803fff,0xff8ec81f,0x2005d81f,
    0x1deefef8,0x003fff20,0x037fc400,0x000bff70,0xfff001f5,0xf9955557,
    0x3e20005f,0xaabfff82,0x205ffdba,0x0000fffa,0x027f4051,0xf8007fe4,
    0x440ffc83,0xf981ffad,0x7ffec400,0xffb02fff,0x7000001f,0xf5000bff,
    0xfffd8801,0xfb802fff,0x0fa8005f,0xff307f00,0x360f50bf,0x00000fff,
    0x0001fffb,0x500bffee,0x6c07f9ff,0x51000fff,0x05dffffb,0x3fffff62,
    0x1fffb02f,0x3ffee000,0x427fe402,0x889ffb3f,0x05d1002f,0x01fffb00,
    0x03ff4000,0x000bff70,0xfff001f5,0xffdddddd,0x1b60005f,0x77777ffc,
    0x7405ffee,0x1b0005ff,0x74027f40,0x213a006f,0x2b623ffa,0x17cc0ff9,
    0xffffd500,0x1fffb0bf,0xff700000,0x01f5000b,0x3ffffaa0,0x2ffdc05f,
    0x8007d400,0x9fff703f,0xfffb07a8,0x3f200001,0xf70000ff,0xffd003ff,
    0x7ffec01f,0x7ffe8002,0xffffd500,0x1fff90bf,0x3ffee000,0x23ffd401,
    0x8fff50fa,0x0dd000fa,0x03fff600,0x07fd8000,0x0017fee0,0x3fe003ea,
    0x00be600f,0x7fc07e60,0x80bb101f,0x4003fff9,0x027f402c,0xd70027fc,
    0xfbbfff10,0x64c7fe65,0x5c01541f,0x5c5fffff,0x00002fff,0x8005ffb8,
    0x7dc000fa,0x2e05ffff,0xfa8005ff,0x6407f000,0x41ea2fff,0x0002fffb,
    0x003fff70,0x003ffee0,0xf7013fee,0xf90007ff,0xffb800df,0x7fdc5fff,
    0xff70001f,0x5fff001f,0x87ffe36c,0x9ff5005d,0x01333355,0x000bffee,
    0x000ffb80,0x5000bff7,0x1fff001f,0xd8002c80,0xffffffff,0x016601ff,
    0x4013ffa2,0x04fe804d,0x10017fcc,0xbfff705f,0xbdeffe83,0x88007440,
    0x2a3ffffc,0x00003fff,0x8005ffb8,0xc88000fa,0xf703ffff,0x1f5000bf,
    0xfb00fe00,0x541ea3ff,0x00003fff,0x0005fff5,0xf801fff2,0x7ffd401f,
    0x5ffb8005,0xfffc8800,0x0bffea3f,0x03ffe400,0x0fe4ffc8,0x0be29ff9,
    0x7ffffd40,0x42dfffff,0x0003fffa,0x400bfe60,0xa8005ffb,0x0fff800f,
    0x26001540,0x999999af,0x02c01fff,0xbdfffd88,0x007d9711,0xff5013fa,
    0x220bb000,0x802a600a,0x7d40023c,0x3ffe66ff,0xfa800005,0x07b8005f,
    0x3ffea001,0x00bff506,0x1fc00f70,0x23fffa20,0xbfff307a,0x3fe20000,
    0xffb0003f,0x4036c00b,0x8007fff9,0x00085ffb,0x7c4dfff5,0xfb0003ff,
    0x3fe600bf,0xffa81f57,0x54001f57,0xffffffff,0x3fe64fff,0x7400005f,
    0xbff5004f,0x200f7000,0x00800fff,0x3fe02740,0x5c00001f,0xfffffffd,
    0x13fa001c,0x30009f90,0x2000003f,0x400720f9,0x3fa0fffb,0xa800006f,
    0x7b8006ff,0x3ee00390,0x6ffa80ff,0x2007b800,0xfff9803f,0x3ffa07be,
    0x3fa00006,0xffd0005f,0x801fc007,0x4000fffe,0x01c85ffb,0x741fff70,
    0xfd0005ff,0x7ff4007f,0x5fff05da,0x34b800bb,0xf9755533,0x006ffe8f,
    0x803fd400,0xb8006ffa,0x01fff007,0x00fa8000,0x0000fffc,0x1357d100,
    0x809fd000,0xd70001fe,0xe8800001,0xff001e42,0x07ffd41f,0xf9828800,
    0x05d8007f,0x7ffc0079,0x007ff980,0x0fe005d8,0x3ffffd40,0x001fff50,
    0xfff98a20,0x37fd4000,0x2001f500,0x4003fff9,0x03c85ffb,0xf983ffe0,
    0x7d4000ff,0x7fdc006f,0xbff902fd,0x035c005f,0x7fd43f30,0x0510000f,
    0xff3003fb,0x00bb000f,0x70003ffe,0xff804e80,0x00a6001f,0x0000cfa8,
    0x7f8813fa,0x002ec000,0xd905d100,0x743ff400,0x1b0005ff,0x800bffe0,
    0x00d904f8,0xfff03ff4,0x027c4005,0x7dc007f0,0x7ff407ff,0xc81b0005,
    0x7f4004ff,0x013a001f,0x001fffb0,0x3642ffdc,0xf90ffd00,0xffe8009f,
    0x7ffc4001,0xffff300f,0x0027cc00,0x0bffd03e,0x3e203600,0x05fff006,
    0xf8027c40,0x166000ff,0xff800fb8,0x003a001f,0x0004ffd8,0x3fb813fa,
    0x076c4000,0x40be6000,0xff9802fc,0x03fff985,0xff901640,0x807ec00b,
    0xff9802fc,0x017ff205,0x3e000fd8,0x3ffec003,0x00fffe60,0xfff10590,
    0x13fea001,0x4000fb80,0x2005ffe8,0x2fc85ffb,0x885ff980,0xf5000fff,
    0x3fa0009f,0x2fff405f,0x400bfb00,0x3fff985b,0xf3016400,0x0bff9005,
    0x44007ec0,0xd1001fff,0x4013e205,0xd9001fff,0x00df9000,0x3f727f40,
    0xb80001b6,0xec88002f,0x00bff202,0x3a201ff9,0x09b004ff,0x803fff88,
    0x3ff204fd,0x007fe402,0xb007fff1,0x27c4009f,0x01ffa200,0x4013ffa2,
    0x3bfa604d,0x027fd400,0x05f99df7,0x06ffe400,0x642ffdc0,0x7fe402ff,
    0x01dfd300,0x0004ffa8,0xf900bfee,0x7fec005f,0x81b2201c,0xb004ffe8,
    0x803d5009,0xd803fff8,0xfff1004f,0x01fb1003,0x3e2007f6,0x3fb801ff,
    0x003fc800,0x8fe93fa0,0x400001fb,0x4c00bed9,0xffc803fc,0x3f220acf,
    0x7fec402f,0xd9711bdf,0x3ffa2007,0xfd9510ad,0xcfffc809,0x0bff220a,
    0x2b7ffa20,0x09fd9510,0x000efb80,0xd8803fc4,0x711bdfff,0xf91007d9,
    0x3ff7105f,0x4ffffe80,0xeffa8000,0xffeb881c,0xacfffc83,0x00bff220,
    0x7105ff91,0x880003ff,0x07f9807f,0x77fffc40,0x0cfedcce,0x6fffec40,
    0x07d9711b,0x22016c40,0x510adffe,0x5c009fd9,0x999adfff,0x05ffba99,
    0xf7005ff7,0x33335bff,0x003ffd75,0x7002fe4c,0x49ff9999,0x0000befb,
    0x3bff2600,0x03effecd,0x3fb2af20,0x00dffeef,0x3ffff6e0,0x4001cfff,
    0xffffffb8,0xbc801dff,0xfeeffeca,0x2e2000df,0xffffffff,0xff91001d,
    0x4005bfff,0x7edc0079,0x1cffffff,0x77ff5400,0x800ceffd,0x0003effb,
    0x3fff7220,0x02effedd,0x3ffb2af2,0x000dffee,0x3f7bffaa,0x00000cef,
    0x013a009b,0x3fffae20,0x4001dfff,0xffffffdb,0x570001cf,0xffffb880,
    0x801dffff,0xfffffec8,0xffffffff,0x7ff4c2ff,0x7e443eff,0xffffffff,
    0x06ffffff,0x0002ea20,0x7dddddd9,0x00000010,0x00035530,0x4ddd4414,
    0x5d440000,0x9800009a,0x000aabaa,0x26eea20a,0x554c0000,0x00000aab,
    0x0000c000,0x00135751,0x01375100,0x00003100,0x35573100,0x75105001,
    0x88000137,0x000009ba,0x03500198,0x09a98800,0x57510000,0x01000013,
    0x555d54c0,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x33000000,0x10000201,0x40000333,0x40011019,
    0x20014c04,0x00000999,0x00099910,0x44000000,0xeeeeedca,0xdddd93ee,
    0xdddddddd,0x00bddddd,0x00003332,0x00026644,0x40000000,0x00001009,
    0x26200000,0x22000019,0x00000999,0x00000180,0x00000000,0x00010000,
    0x00133300,0x00999800,0x09fff100,0xffffc980,0x01b0adff,0x02ffe400,
    0x77fecc00,0x9b0005c2,0x8003d301,0x00005ffd,0x007fffb0,0x06403b00,
    0xfffffa80,0x09be999f,0xdddddffb,0xfddddfff,0xff700dff,0x360000bf,
    0x00003fff,0x001fff70,0x77fff540,0x900598ac,0x00006403,0x0007ffd0,
    0x003ffe80,0xffecb800,0x40002cef,0x009100d8,0x073024c0,0x666f5400,
    0xff980001,0x2a00001f,0xb0000eff,0x1001ffff,0x22159ffd,0x01feffb9,
    0x003bfe00,0x3ffbba00,0x40069aef,0xffddeff9,0x0ffd0006,0xbdf30000,
    0x980001ff,0x8016c42f,0x7ffffffa,0x207f6174,0xf980fff8,0x7effc407,
    0x7cc0001f,0x0000ffde,0x2ffffc40,0x67fec400,0x5fffeb99,0x9907f100,
    0x7fc40000,0xe8800005,0x2600006f,0xda89adfe,0x20000dff,0x007cc1eb,
    0xd503b600,0x50764000,0xfc80003f,0x6c00002f,0xf30001ff,0x980bfd1b,
    0x6c400eff,0xf30001ff,0x9100001f,0x27ffffdc,0x7fffdc00,0xd10000ef,
    0xe800005f,0x0009f90e,0x1ba29fb0,0x7ffffd40,0x3a1747ff,0x01fff102,
    0x21db01e6,0x740006fb,0x0009f90e,0xffaafc80,0x02fec001,0x5c00bff7,
    0x001fb0df,0x0037dc00,0x01ff3000,0x05ff7000,0x0002ffd8,0x027ccbfa,
    0xa8ffc400,0x7f30002f,0x40005f98,0x800003fe,0x3a0002ff,0xfa80fe44,
    0x3f6000ef,0x03f70002,0x91066000,0x440007dd,0x80003eea,0x200004f8,
    0x001fa85a,0x7f77fc40,0xffffb001,0x42e8ffff,0x03ffe206,0x303a6068,
    0x16a0005d,0x400007ea,0x01ba21f9,0x5c02ffa8,0x77f4005f,0x400003fe,
    0x000000ed,0x200017d4,0xe8801ffd,0xf50002ff,0x0001ffbf,0x1bf7fee0,
    0x540fc800,0xf10000ff,0xf3000009,0x82540007,0x06ff886a,0x0002f880,
    0x0000005d,0x00000000,0x0000d300,0x00498122,0x05fffb80,0x3fffffe0,
    0x0a1747ff,0x200fff88,0x6c403202,0x30244000,0x07600009,0x6fc801ec,
    0xa800bd00,0x00006fff,0x000007c4,0x20005b80,0x26005ffa,0xd0000fff,
    0x00005fff,0x001ffff8,0xbd10bf60,0x002dc000,0x0004c800,0xfd026014,
    0x0f20007f,0x00001400,0x00000000,0x00150000,0x00000000,0x1000ccc8,
    0xffffffff,0x22002e8f,0x00000fff,0x00000000,0x14018800,0x800ffd80,
    0xccb8005b,0x0cc00001,0x0e000000,0x0fffc400,0x017fee00,0x002664c0,
    0x01e65400,0x0017ee00,0x00000a00,0x00000038,0x0007ffb8,0x00000122,
    0xeeeeeec8,0x3bae06ee,0x102eeeee,0x00037b97,0x00000000,0x00000000,
    0x3ffffffe,0x1001747f,0x30001fff,0x0000007b,0x04000000,0x04ffc800,
    0x00000598,0x00010000,0x80002000,0x98005ffd,0x20002fff,0x00000000,
    0x05ff9800,0x00000000,0x3a200000,0xeeeeeeee,0x0013ffa3,0xeeee8800,
    0xeeeeeeee,0x5442eeee,0x000cffff,0x5c07ffd5,0xeefd99df,0xddd31dee,
    0xdddddddd,0x81dddddd,0xeeeeeeeb,0x3bbae06e,0xdd91eeee,0xdddddddd,
    0xbddddddd,0xffffffd8,0x1001747f,0x22001fff,0x8004ffeb,0xeeeeeeea,
    0x7775c1ee,0x006eeeee,0x2a000d50,0x02805fff,0xddddddd1,0xdddddddd,
    0x1aa0005d,0x1aa00000,0x1fffc400,0x05fff800,0x2000d500,0xeeeeeeea,
    0x00abccce,0x01dff900,0x7777775c,0x3bae06ee,0xd51eeeee,0x9ddddddd,
    0x80015799,0x42efffc8,0x0002fff9,0x3bffe200,0xcccccccc,0x3f606fff,
    0x2fb8007f,0x3ee1bee0,0x6cc2eeef,0xcccccfff,0x81ffeccc,0x0effffe9,
    0x2fffd880,0x77777fec,0xeeeefffe,0x7fdc6fff,0x747fffff,0x3ffe2002,
    0xffd55000,0x7f440009,0x7cc00dff,0x0000cfff,0x220007f6,0x002effff,
    0xccefff88,0xffcccccc,0x3f60006f,0x6c000001,0xff98001f,0xff90002f,
    0x07f6000d,0xfffe9800,0xeffedcde,0xffe88002,0x3ffa600e,0xd8800eff,
    0xfd302fff,0xfdb9bdff,0xff0005df,0x3fff707f,0x7cc00000,0x3fff9004,
    0x0037fe40,0xff980fd4,0x404ff884,0xa800fff8,0x3fff602f,0x03bee003,
    0x3fe207f6,0xd87f980f,0x47ffffff,0x3fe2002e,0x7fd4000f,0x7fd40004,
    0xfff9001f,0x5ff88000,0xffff3000,0x7cc001bf,0x3fff9004,0x17fe2000,
    0xff880000,0xfffa8005,0xfff90001,0x5ff88001,0x3ffd4000,0x004fffb8,
    0x17fff6d4,0x00ffff60,0x5400efb8,0xfff707ff,0x2fff8009,0x000fffc8,
    0x55555553,0x3005a815,0xfb807fff,0x0fa8005f,0x3605ff70,0x7ffc407f,
    0x4405b000,0x36006fff,0x2205d01f,0x0f300fff,0x1ffffff2,0x7fc4005d,
    0x7fcc000f,0x7fcc0004,0xdff7000f,0xfffc8000,0xfff30000,0x50019fff,
    0x3ffe600b,0x3ff20003,0x9000000f,0xc8001fff,0x70000fff,0xc8003fff,
    0x20000fff,0x3ea07ff9,0x295002ff,0x202fffd8,0x2006fff8,0xff9801fd,
    0x0bffea07,0xd82ffe80,0x51000fff,0x05dffffb,0xffd10075,0x0bff700b,
    0x3201f500,0x3ff901ff,0x000fff80,0xfffa8055,0x203f9802,0x03ffe206,
    0x3b6e6068,0x1001747e,0x98001fff,0x440004ff,0x3ea007ff,0x7fc0006f,
    0x220003ff,0x2ffffffd,0x74401d40,0x7c0005ff,0x00003fff,0x007ffff0,
    0x000fffd8,0x005fff50,0x003ffff8,0xd01ffe20,0x0d500bff,0x5403fff9,
    0xf9802fff,0x0fff1003,0x2005ffe8,0xffd82ffe,0xffe8002f,0x36006e07,
    0xfb800fff,0x0fa8005f,0x3205ff70,0x7ffc01ff,0x36002000,0x36c00fff,
    0xfff880a0,0x78800a00,0xff100174,0xff98001f,0x7fc40004,0x1bfea007,
    0xffbfb800,0xfea80007,0x2e05ffff,0x0fffd801,0x3efee000,0xb800007f,
    0x4007ffbf,0x0000fffd,0x4005fff5,0x007ffbfb,0x901ffe20,0x3d801fff,
    0xd80dff70,0x36c00fff,0x80fff100,0xd000fffc,0xfff705ff,0xdff90007,
    0xfffa8000,0x0bff7002,0x2601f500,0x0ffd03ff,0x0001fff0,0x05fff880,
    0x880007ea,0x00000fff,0x2002e8f1,0x4000fff8,0x40004ff9,0x2a007ff8,
    0x3a0006ff,0x0005fff5,0x3ffffee0,0x3fea0005,0xaf40002f,0x00002fff,
    0x02fffaf4,0x007fff20,0x00fffdc0,0x0bffebd0,0x03ffc400,0x8807ffee,
    0x03fee03f,0x205fff88,0x3e2001fa,0x7ffdc07f,0x05ffd001,0x000bfff5,
    0x4000bff7,0x2005fff8,0xa8005ffb,0x21ffa00f,0xff803ff8,0x000cc00f,
    0x220bffea,0x7c40004f,0x100000ff,0x22002e8f,0x4c000fff,0x2f6e24ff,
    0x07ff8801,0x001bfea0,0x5ffc8fcc,0x3f220000,0x88003fff,0x40005fff,
    0x0bff91f9,0xc8fcc000,0x3ee005ff,0xf90002ff,0x8fcc00ff,0x10005ffc,
    0xffd80fff,0x017e600f,0xffa805fd,0x004f882f,0x3603ffc4,0xfd000fff,
    0xffff305f,0x0bff7000,0x077fec00,0x00bff700,0x6c401f50,0x09fb31df,
    0x7003ffe0,0xdffb0005,0x80006c81,0x0000fff8,0x002e8f10,0x0003ffe2,
    0x3fee9ff3,0x7c401fff,0x3fea007f,0x44db0006,0x01001fff,0x01bffea0,
    0x003bff60,0x7fc4db00,0xdb00001f,0x800fffc4,0x0003fff9,0x6c00dffb,
    0x007ffe26,0x881ffe20,0x7c405fff,0x00bee00f,0xd903bff6,0x0fff1000,
    0x002fffc4,0x3fa05ffd,0x7dc000ff,0xff70005f,0xffb8003f,0x00fa8005,
    0x6f77f7c4,0x03ffe001,0x88002e88,0x0be64fff,0x3ffe2000,0x8f100000,
    0x3fe2002e,0x7fcc000f,0xffc9bebc,0x03ffc406,0x000dff50,0x4ffd85f1,
    0x2e003900,0x2e000fff,0x40001fff,0x27fec2f8,0x217c4000,0x3a004ffd,
    0xfd0005ff,0x0be2005f,0x10009ffb,0x7fec0fff,0x0efe800f,0xf1001f30,
    0x017cc9ff,0xb03ffc40,0x74001fff,0xfff302ff,0x5ffb8007,0x4fff9800,
    0x05ffb800,0x2200fa80,0xff80002e,0xccaaaabf,0xf50002ff,0x0017a3ff,
    0x007ffc40,0x17478800,0x01fff100,0x84fff980,0x3e202ffc,0x999999ff,
    0x6ffb9999,0xfa87c800,0x03c800ff,0x4003ffe0,0x0004fff9,0xfffa87c8,
    0x43e40000,0x5000fffa,0xa8001fff,0x1f2006ff,0x0003ffea,0xfd50fff1,
    0x3ea001df,0x005b81ef,0x2f47ffea,0x87ff8800,0x000effea,0xfb017ff4,
    0x7dc001ff,0xffe8005f,0xbff70006,0x401f5000,0xff00006e,0xfddddddf,
    0x6c0005ff,0x000fceff,0x01fff100,0x5d1e2000,0x07ffc400,0x417fe600,
    0x3e203ff9,0xffffffff,0x6fffffff,0xfd04f800,0x00d9007f,0xfd003ff4,
    0x3e0000df,0x007ffd04,0xffd04f80,0x27fe4007,0x00bffa00,0x7ffd04f8,
    0xcfff8800,0x02dfffed,0x22fffc80,0x7ec000d8,0x0000fcef,0xfdb9fff1,
    0x20005bff,0x3a202ffe,0x3ee005ff,0x7fe4005f,0xff70001f,0x01f5000b,
    0x26ab3fea,0xff000999,0x017cc01f,0x5ffff100,0x7fc40000,0xf100000f,
    0x3e6002e8,0x7cc001ff,0x09ff104f,0x5003ffc4,0xfa800dff,0x00dff700,
    0xff3005f9,0x3fff200b,0x0fa80001,0x000dff70,0xffb807d4,0x07ff4006,
    0x004ffa80,0x7fdc03ea,0x7ffc4006,0x00fffcaa,0x2ffff600,0xf88000d8,
    0x20002fff,0xfcaafff8,0x3a0000ff,0xffc802ff,0x5ffb800d,0x0fffe600,
    0x05ffb800,0xf500fa80,0xffffffff,0xfff805bf,0x00016400,0x0001bfee,
    0x001fff10,0x05d1e200,0x13fff220,0x209ff300,0x3e204ff8,0x3fea007f,
    0x102f4006,0xfc803fff,0x07fe402f,0x01fffcc0,0x2205e800,0xd0001fff,
    0x0fffc40b,0x01dff100,0x4004fe98,0x3ffe205e,0x1ffe2001,0x8000dffb,
    0x000ffffb,0x001bfee0,0xfd8fff10,0x3fa0006f,0xdff5002f,0xffd71039,
    0x3ffa2007,0x7fd40005,0x407b8005,0xfffffffa,0x3e04ffff,0x015400ff,
    0x01bfea00,0x1fff1000,0xd1e20000,0xfffc9805,0x800cffff,0xff104ff9,
    0x03ffc409,0x400dff50,0xeeeeeef9,0x405fffee,0x20acfffc,0x8802ffc8,
    0x00005ffe,0xddddddf3,0x00bfffdd,0xdddddf30,0x0bfffddd,0x82ffd880,
    0x4003ffb8,0xeeeeeef9,0x005fffee,0xff11ffe2,0xfa80007f,0x2a0003ff,
    0x440006ff,0x7ffc47ff,0x5ffd0003,0x7fee4400,0x2effeddf,0x07ffe400,
    0x1bfea000,0x9701ee00,0x2eaaa666,0x3ffe07fc,0x40000800,0x00006ffa,
    0x0007ffc4,0x01747880,0xff300000,0x813fe209,0x2a007ff8,0x3b6006ff,
    0xaaaaaaaa,0x3200fffb,0xeeffecab,0xf9000dff,0x200001ff,0xaaaaaaed,
    0x00fffbaa,0x555576c0,0xfffbaaaa,0xffe98000,0x00cffecd,0xaaaaed80,
    0xfffbaaaa,0x0fff1000,0x0003fff3,0x001fffa8,0x000dff50,0xf987ff88,
    0xfe8001ff,0x3a20002f,0x80009aab,0x0002fffa,0x8007ff98,0x801ae05d,
    0x1fff01f9,0xf5000000,0x880000df,0x00000fff,0x4002e8f1,0xff300029,
    0x813fe209,0x2a007ff8,0x5f1006ff,0x80fffa00,0x09bec882,0x0bffea00,
    0x017c4000,0x2003ffe8,0xffd002f8,0x7fd40007,0x10002fff,0x3ffa005f,
    0x0fff1003,0x0003bff2,0x0009ff30,0x0001bfea,0x3f20fff1,0x7f4000ef,
    0x3ea0002f,0x3e20000c,0x02c005ff,0x44005fff,0x009f304f,0x1fff00f8,
    0xa8003800,0x400006ff,0x0000fff8,0x002e8f10,0x2001bfe6,0xff104ff9,
    0x03ffc409,0x200dff50,0x3fea007b,0x02ed8006,0x02fffc40,0x007b8160,
    0xb801bfea,0x1bfea007,0xfffd3000,0x0f70001d,0x8037fd40,0x3fa07ff8,
    0x20a6005f,0xf50006fa,0xf88000df,0x17ffa07f,0x005ffd00,0x0027fec0,
    0x001fffb0,0xbff902cc,0xd807ec00,0x816e005f,0x26000fff,0x6ffa8005,
    0x7fc40000,0xf100000f,0x3e6002e8,0x7cc001ff,0x09ff104f,0x5003ffc4,
    0x13e00dff,0x005fff00,0x000fff4c,0x4001fffb,0x0013e059,0x3e005fff,
    0x17ffc004,0x3ff62000,0x04f8005f,0x4017ffc0,0x3e207ff8,0x5fd003ff,
    0x2a000bf0,0x440006ff,0x3fe207ff,0x3ffe003f,0x37dc0002,0x2fffb800,
    0xf1026c00,0x9fb007ff,0x00e7fec0,0x7fc40d91,0x05d1001f,0x00dff500,
    0x0fff8800,0xe8f10000,0x1ed54002,0x413fe600,0x3e604ff8,0xff5000ff,
    0x003f700d,0x8006ffd8,0xff7003ff,0x04d8005f,0xfd8003f7,0x01fb806f,
    0x0037fec0,0x04fffb80,0xb0007ee0,0xff100dff,0x7ffd401f,0xe82fe801,
    0xdff50004,0xfff88000,0x07ffea00,0x001fffc0,0x2000ff20,0x2004fff8,
    0x74402fb8,0x9510adff,0xff8809fd,0xedcceeff,0x3fe200cf,0x0fd8801f,
    0x07ffb800,0x7ffcc000,0x8f100001,0x03d0002e,0x104ff980,0x7fcc0bff,
    0xfff7000f,0x8007f880,0x2002fffa,0xf8800ff8,0x2e2004ff,0x007f882f,
    0x202fffa8,0xfa8007f8,0x200002ff,0x4400dfeb,0xffa8007f,0x7ffcc02f,
    0x0fffec00,0x1f507ea0,0x1ffee000,0x1fff3000,0x01fffd80,0x002fffdc,
    0x000efc98,0xaabfffe8,0xdbaaaaaa,0xb8801fff,0xffffffff,0xfd71001d,
    0x03bfffff,0x35bfff70,0xff753333,0xffb1000b,0x2200005f,0x0004fffc,
    0x002e8f10,0x5c002644,0xfff506ff,0x0ffff220,0x07fffa20,0x0007fec4,
    0x00bfffee,0x2007fb51,0xaaabfffe,0xfdbaaaaa,0x7fec41ff,0x7ffdc000,
    0x0ffd882f,0x7fffdc00,0x6d400002,0x7ec40bef,0x7fdc000f,0xffb102ff,
    0xffe8809f,0x237600bf,0x10001eb8,0x0005fffb,0x013fff62,0x417fffd1,
    0xffffffc8,0x751002df,0x3fee0001,0xffffffff,0x7fffffff,0xabaa9800,
    0x2620000a,0xec88009a,0xffffffff,0x2fffffff,0x3fff6a00,0x0004efff,
    0xffffff93,0x4400019f,0x73000542,0xffea8003,0xffb55eff,0x3f669dff,
    0x1cefffff,0x7ffffed4,0x3ffee4ef,0x75401eff,0x1fffffff,0x5c005730,
    0xffffffff,0xffffffff,0x7fffdc7f,0x7f5401ef,0x71ffffff,0x03dfffff,
    0xfffffea8,0x800001ff,0xfff70ca9,0xea803dff,0x1fffffff,0xffffffb3,
    0x3fe6039f,0x7100efff,0xb5000179,0x9dffffff,0x3fff6600,0x301cffff,
    0x01dfffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x50066000,
    0x440c4000,0x04ccc001,0x00a00cc0,0x22000000,0x100000cc,0x09998000,
    0x00013000,0x00440188,0x00000000,0x30001333,0x2600007b,0x00000099,
    0x4003b500,0x005d40b9,0x7777774c,0xeeeeeeee,0x28800eee,0x20000540,
    0x0380cec8,0x002ea000,0x77777754,0x0abcccee,0x3bbba600,0x005eeeee,
    0x2f777754,0xddddd700,0x320083dd,0x22003201,0x000d501f,0xff993fe6,
    0x1dff7004,0x2a03f100,0xff980006,0x7fe4002f,0x06a80003,0x037fdc00,
    0x0007ff40,0x074403a0,0x9100d800,0xfff98000,0xffd71001,0xff500009,
    0x00d8801f,0x3f220091,0xff3002ff,0x002ffccd,0x999fffb3,0xffd99999,
    0x540be003,0x7fcc0007,0x0750bfff,0x13fee000,0xdfffd300,0x5dffdb9b,
    0xfffd9800,0x2600009f,0x4005fffd,0xfc82effa,0xd83f880f,0x37ff6003,
    0x0003ffdc,0x7fe4fff7,0x01ffb006,0x6e6ffec0,0xe80003ff,0x5c006fff,
    0xd80002ff,0x7e40001f,0x3fe2001f,0x7ec0001f,0x06fdbabd,0xd107ea00,
    0xffb80003,0x3faaa002,0xfc80004f,0x83f5001f,0xf77001e8,0x3ea005ff,
    0x01bfee7f,0x001fff10,0x3f2005f5,0x04ffdcdf,0x7ecdec00,0x001fdfff,
    0x00bff900,0x2e0fff50,0x4c004fff,0x00002fff,0x000ffff6,0x3ffe03f7,
    0x3ecbf903,0x3fffa200,0x220005ff,0x0ffe63ff,0x0007fe20,0xbfffffd1,
    0x39f70000,0x2a8007fd,0x5ff88000,0x03fd8000,0x00037ec0,0x7fffffc4,
    0x7f40000f,0x0000bd33,0x2a0007fd,0xf80004ff,0x9ff4002f,0xfc8005e9,
    0x8ff6002f,0x44002ed8,0x5b000fff,0x7ffff400,0x4480006f,0x003fffea,
    0x007b6200,0xa81ffe60,0x22002fff,0x00001fff,0x0017fffc,0x3ff601f7,
    0xfddff100,0x3f660005,0x0100003e,0x017d4002,0x07dfb300,0x447f1000,
    0x000000fd,0x00fffc80,0x00374400,0x71000004,0x0001dffd,0x1ffbff30,
    0x04f88000,0x013fe600,0x0007f300,0x01ffbff3,0x005ff700,0xff800000,
    0x0055000f,0x003efc98,0x06e60300,0x00000000,0xfe80fff1,0x7ffc005f,
    0x7fc00000,0xf5000fff,0x2a004c01,0x00006fff,0x00000000,0x000003c8,
    0x702c8000,0x00000009,0x0007ffff,0x00001f10,0x00220000,0x9fffb000,
    0x00b50000,0x004ff880,0xb00025c0,0x20009fff,0x20002ffb,0xfff80001,
    0x00002000,0x00000000,0x40130000,0x80fff100,0x2000fffc,0x00000fff,
    0x077ffefc,0x80003d40,0x00001ccc,0x00000000,0x06000038,0x54028000,
    0x20000000,0x007ffbfb,0x00003300,0x01330000,0x66440002,0x0a80000c,
    0x27fc4000,0x0000a000,0x00019991,0xb800bfee,0x2cefffed,0x00fff800,
    0x80000000,0x05eeeeea,0x3bbbbae0,0xfda801ee,0x30acefff,0x01ffe20b,
    0x4003fff7,0x00000fff,0x2fffd5fc,0x00003d40,0xeeeeec80,0x3ae06eee,
    0x52eeeeee,0x01555555,0x00055555,0xfffdb700,0x0000059d,0x40000000,
    0x005fff5e,0x65c40000,0x260001bd,0xdffffffc,0x00001b0a,0x00000000,
    0x00027fc4,0x00000ed4,0x05ff7000,0x2159fd30,0x000dfeb9,0x33003ffe,
    0x3bbbba60,0xeeeeeeee,0xb300eeee,0xa800bfff,0xe9802eff,0xd530adff,
    0x3e20bfbf,0x7ffec07f,0x03ffe000,0x2e7f0000,0x3d404fff,0x777440e0,
    0x23eeeeee,0x1cffffa8,0x87ffd500,0x0aefffea,0xd12efea8,0xdddddddd,
    0x567f4c07,0x01bfd730,0x7777774c,0xeeeeeeee,0x36a00eee,0x23f30001,
    0x22005ffc,0xeeeeeeee,0x99dfb83e,0x1deeeefd,0x2b3ffa20,0xfdff7310,
    0xddddd303,0xdddddddd,0xe981dddd,0xeeeeeeee,0x9ff10005,0x35555550,
    0x217ffe44,0xeeeeeeea,0x0abcccee,0x017fdc00,0xf900bff2,0x3ffe005f,
    0x26015c00,0xccccfffd,0x1ffecccc,0x01fffec0,0x2e007ee0,0xffa804ff,
    0x40fff106,0x4005fff8,0x00000fff,0x5fffb1fc,0x03603d40,0x2efffc88,
    0x001fff60,0xffe80bee,0x440fe404,0x402efffc,0x7e402ffc,0x7fecc02f,
    0xcccccccf,0x5c41ffec,0xb0002fff,0x00fffc4d,0x3bfff220,0xf70df702,
    0x2605dddf,0x6c400eff,0x3f6601ff,0xccccccff,0x301ffecc,0x013ffffb,
    0x427fc400,0x20acfffa,0x302fffbb,0x9bdffffd,0x07dffffb,0xc80bfee0,
    0xff9001ff,0x01fff007,0x7c401744,0x2fa800ff,0x02ffff80,0xf9003ee0,
    0x37dc007f,0x3607ff88,0x7c000fff,0x400000ff,0x0ffff43f,0x00f407a8,
    0x3201fffc,0xfa8006ff,0x01bfe601,0x3fff80bd,0x800ffe40,0x7c403ffc,
    0x2fa800ff,0x017ffddc,0x3f617c40,0xfff0004f,0x213fe607,0x7d404ff8,
    0x3f6000ef,0x07ffc402,0xf3017d40,0x100005ff,0x1df109ff,0x202ffc80,
    0x2e207ffa,0x5c02efff,0xbff502ff,0x07ffc400,0x2aafffe0,0x02ffccaa,
    0x000fff88,0xffff005b,0x03ea001f,0x8006ffa8,0x0fff107c,0x001dffd5,
    0x0001fff0,0x7fc43f80,0x407a80ef,0x2fff802f,0x002ffdc0,0x3f6007d4,
    0x805f100f,0x3ea02fff,0x3fe2005f,0x3ffe200f,0x3205b000,0x7c8002ff,
    0x000fffa8,0xf702fff8,0x81ff605f,0x88006ff8,0x7ffc402f,0x4405b000,
    0x80001fff,0x2fc44ff8,0x202ffb80,0xe8807ff9,0x3ee02fff,0x1fff882f,
    0x02ffe400,0x3bbbbffe,0x002fffee,0x2a001fff,0xfffdf802,0x207a800e,
    0x8001fff8,0x9fff1078,0x05bfffdb,0x007ffc00,0x260fe000,0x07a85fff,
    0x7ff401fc,0x02ffdc02,0x26007d40,0x00d904ff,0x3e205ffd,0x7e4001ff,
    0x07ffc05f,0xff702a80,0x209f0005,0xe8003ffe,0x3ff902ff,0x7407ff20,
    0x790003ff,0x001fff00,0x1fff00aa,0x9ff10000,0xf70027cc,0x3ffc405f,
    0x03fffb00,0x3f60bfee,0xff88005f,0x03ffe02f,0xff002f98,0x4004001f,
    0x05fffabf,0x3fee07a8,0x20360006,0xfcaafff8,0x7c0000ff,0x400000ff,
    0x9fff703f,0x13e207a8,0x700bffa0,0xf5000bff,0x01ffb001,0x5ffd007f,
    0x0017ff60,0xf80bffe2,0x402000ff,0x54002ffb,0x0dff700f,0x205ffd00,
    0xff902ffb,0x00fff703,0x7fc02440,0xf002000f,0x100001ff,0x013e69ff,
    0x4405ff70,0x3e6007ff,0x5ff706ff,0x0007fff0,0xff817ffa,0x8016400f,
    0x00000fff,0x4fffb9fc,0xffd03d40,0x880c0009,0x37fec7ff,0x03ffe000,
    0x407f0000,0x1ea2fffc,0xfe805f98,0x2ffdc02f,0x4007d400,0x07d44ffa,
    0xf817ff40,0xfd0003ff,0x07ffc0bf,0x17fd4000,0xf8817a00,0x7f4001ff,
    0x07ff302f,0x7ff41ffa,0xf8000004,0x200000ff,0x80000fff,0x04facff8,
    0x202ffb80,0x64007ff8,0xffb82fff,0x017ffcc2,0x207ffd80,0x15400fff,
    0x400fff80,0xd8fe0019,0x1ea02fff,0x0017ffcc,0x23ffc400,0x0003fff8,
    0x00003ffe,0xffd807f0,0x7d40f51f,0x02ffe806,0x4002ffdc,0xffd000fa,
    0xfe802ec1,0x2fff982f,0x0fffb000,0x26007ffc,0x017fd401,0xdddddf30,
    0x0bfffddd,0x202ffe80,0x3ff887fe,0x002fff98,0x0fff8000,0xff800cc0,
    0xf880000f,0x000fffdf,0xf1017fdc,0xff8800ff,0x42ffb85f,0x0001fffa,
    0x3e01fff9,0x000800ff,0x2b801fff,0xffd0fe00,0x5c1ea03f,0x00001fff,
    0xf987ff88,0xff0001ff,0xf800001f,0x7fff4403,0x1fee07a8,0x700bffa0,
    0xf5000bff,0x53fea001,0xffd001f8,0x03fff505,0x03fff200,0x2e007ffc,
    0x017fd402,0x55555db0,0x1fff7555,0x017ff400,0x3663bfb1,0x3fff704f,
    0xff000000,0x002b801f,0x00001fff,0xdff99ff1,0x02ffb800,0x2001ffe2,
    0x7dc0fffe,0x07ffe42f,0x1fffb800,0x0001fff0,0x1007ffc0,0x21fc005d,
    0xa80efff8,0x01fff907,0xfff10000,0x003bff20,0x0003ffe0,0x9803f801,
    0x207befff,0xffe807fc,0x02ffdc02,0xd0007d40,0x400d91ff,0xffc82ffe,
    0xff70000f,0x03ffe03f,0x7d402e88,0x05f1002f,0x800fffa0,0x7c402ffe,
    0x201deefe,0x3000fffc,0x55555555,0x803ffe01,0xfff002e8,0xff100001,
    0x8013ff69,0x3e202ffb,0xffd8007f,0x217fdc1f,0x0000fffd,0x3e05fff7,
    0x01c000ff,0x55557fff,0x4005ff99,0x5fff983f,0xfffb07a8,0xf1000001,
    0x2fff40ff,0x007ffc00,0x007f0160,0x81ffffea,0x7f400ffd,0x2ffdc02f,
    0x0007d400,0x007f9ff5,0x7ec17ff4,0xf70000ff,0x3ffe05ff,0xfccaaaab,
    0x17fd402f,0x2a007b80,0x3fa006ff,0x00ba202f,0x003fff60,0x7fffed44,
    0x2fffe02e,0xffccaaaa,0x01fff002,0x29ff1000,0x7002ffe8,0x7fc405ff,
    0xfffb8007,0x3217fdc2,0x70000fff,0x3fe03fff,0x8166000f,0xeeeeefff,
    0x2002fffe,0x9fff703f,0xfffb07a8,0xf1000001,0x7ffc40ff,0x07ffc003,
    0x3f80b500,0x1fffee00,0x7401ffe8,0x7fdc02ff,0x00fa8005,0x007fff40,
    0xf905ffd0,0x2e0001ff,0xfff01fff,0xffdddddd,0x2ffa805f,0xf8009f00,
    0xffd002ff,0x80037405,0x8002fffd,0xff807ffe,0xfeeeeeef,0xfff002ff,
    0xff100001,0x00fffcc9,0xf1017fdc,0xff5000ff,0x42ffb85f,0x0001fffb,
    0xf101fff7,0x3a2003ff,0x803ffe02,0x0fe002f9,0x2a2fffc8,0x05fff707,
    0xfff10000,0x0fffd401,0x01fff880,0x07f00ba0,0x207ffd80,0x7f402fff,
    0x2ffdc02f,0x0007d400,0xd0013fee,0xfff705ff,0x3fee0003,0x01fff00f,
    0x3ea017cc,0x01fb802f,0x8037fec0,0xff502ffe,0x13333559,0x00fffee0,
    0x201bff20,0x3e600fff,0x01fff002,0x89ff1000,0x5c00effb,0x3fe202ff,
    0xfffb8007,0x2a17fdc2,0x90002fff,0x3fe20fff,0x0fd8801f,0x9003ffe0,
    0x201fc005,0x0f51fffd,0x000fffea,0x03ffe600,0x003fffb0,0x3005fff1,
    0x27c401fd,0x81ffa200,0x7f403fff,0x2ffdc02f,0x0007d400,0x3a000ffc,
    0xfffa82ff,0xfff90002,0x2007ffc0,0x1ffdc02c,0x2001fe20,0xe802fffa,
    0xfff502ff,0xbfffffff,0x05fffa85,0x805ffb80,0x16400fff,0x000fff80,
    0xd85ff980,0x7fdc06ff,0x01ffe202,0x703fff20,0xfff887ff,0xbffb0003,
    0x2b7ffee0,0xfba99999,0x07ffc05f,0x3f800aa0,0x47fff440,0xbfff307a,
    0xfd880000,0x7f4404ff,0xf9100bff,0x55559fff,0x80bffb97,0x44000efb,
    0x9fff107f,0x402ffe80,0xb8006ffa,0x00db0007,0xf105ffd0,0x360007ff,
    0x3ffe05ff,0x36015400,0x3f6204ff,0x7fdc000f,0x7ff402ff,0x3fffea02,
    0x4fffffff,0x001fffe6,0x3e017fee,0x015400ff,0x0000fff8,0xf886ffb8,
    0xff700dff,0x03ffc405,0x6c3ffec0,0x5ffe85ff,0x47ffd000,0xfffffec8,
    0xffffffff,0x7ffc02ff,0x3e000800,0xefff9803,0x1bffa07b,0x7fecc000,
    0x01cfffff,0x1dfffff3,0x3fffff22,0xffffffff,0xfc883fff,0x002dffff,
    0x3fff81e6,0x2017ff40,0xb8006ffa,0x007f0007,0x3a05ffd0,0xfd0005ff,
    0x07ffc07f,0xffeb8040,0x7fdc2eff,0x5401efff,0xfffffffe,0x405ffd01,
    0x5553334b,0xffe8ff97,0x7fdc000f,0x00fff805,0x1fff0008,0x7ff5c000,
    0x3ff64eff,0x7dc1dfff,0x1ffe202f,0xa9bffe00,0x23effffe,0x4000fff9,
    0x80006ffa,0x7ffc001e,0x1fc00000,0x7ffffa80,0x003ffea0,0x00001440,
    0x00000000,0x20180000,0x7f400ffc,0x3ffcc02f,0x40036c00,0xfe8000fa,
    0x1fff302f,0x06ffa800,0x00007ffc,0x00000f44,0xe8007a20,0x00d702ff,
    0xfff30fcc,0x5ffb8007,0x000fff80,0x003ffe00,0x80000010,0x3e202ffb,
    0x7fd4007f,0xff90002f,0x1ffe8009,0x007d4000,0x0003ffe0,0x2003f807,
    0x7407fffb,0x1b0005ff,0x01cfe800,0x0cef8000,0xef880000,0x0130000b,
    0xf005ffd0,0x4f8005ff,0x0004e800,0x7e405ffd,0x7ff4004f,0x007ffc01,
    0x001ee0e0,0x001ee000,0x9f305ffd,0x7ec0f800,0x3ee000ff,0x0fff805f,
    0xfff01c00,0xf0058001,0x7dc0019f,0x1ffe202f,0x20bffd00,0xff101cfd,
    0x3fea001f,0x3fc80004,0x007ffc00,0x03f80b30,0x203ffec0,0x4003fff9,
    0xffc8002c,0xfd800006,0x8800004f,0x00004ffd,0x4017ff40,0x36005ffc,
    0x07dc000f,0x02ffe800,0x4003ffe2,0xff804ffa,0x2166000f,0x000002fd,
    0xfd0017ec,0x00bfb05f,0x7ff442dc,0x17fee005,0x8003ffe0,0x03ffe059,
    0xfb005a80,0x7fdc00bf,0x01ffe202,0x700fffb8,0x7f4c0fff,0x27fd400e,
    0x0efb8000,0x03fff100,0xf880ba20,0x3ff44004,0x027ff440,0x260004d8,
    0x800000ff,0x000007fb,0x00001bf2,0x1005fff0,0xfb007fff,0xccefb809,
    0x3fe0002f,0x77f4c02f,0x027fd400,0x800fffc4,0x0efc82e8,0x3f200000,
    0x5fff000e,0x4039ffb0,0x7fe406c8,0x5ffb800d,0x00fffc40,0xff102e88,
    0x0174003f,0x5c00ff50,0x3fe202ff,0x7fff7007,0x201ff880,0xb882ffc8,
    0x200001ff,0x3bbdfff8,0x003fff10,0x7dc01fb1,0x3fc4000e,0xdfffd880,
    0x07d9711b,0x005fa800,0x009f7000,0x01fe4000,0x3ffe0000,0xbffd1003,
    0x3fb2a215,0xffffe804,0x7ffc0004,0x2ffc8803,0x001ffb88,0x1003fff1,
    0xfff101fb,0x0000775b,0x5defffc4,0x107fff03,0x99ddffff,0x50019fdb,
    0x71039dff,0xf8807ffd,0xfd8801ff,0x05fff100,0x4001fd30,0x3ee004fa,
    0x1ffe603f,0x01dffb10,0x2a00df30,0xeffdeffe,0x9800000c,0x700befec,
    0x3335bfff,0x0bff7533,0xbfffff91,0x003cc005,0x3fffff6e,0x20001cff,
    0x0001efb9,0x0077e4c0,0x37e4c000,0x3ee00000,0x2e2005ff,0xffffffff,
    0xdff7002d,0xffb80007,0x3faa005f,0x0ceffdef,0x37ffee00,0xba99999a,
    0x3b2605ff,0x800003ef,0x703efec9,0x2e20bfff,0xdffffffe,0x7ee44001,
    0xeffeddff,0xbfff7002,0x75333335,0x3f220bff,0xaaaacfff,0x005ffdcb,
    0x4001df73,0xfb105ffd,0x753579ff,0x1007fffb,0x10005fd7,0x00001375,
    0xfd910000,0xffffffff,0x05ffffff,0x00300000,0x04d5d440,0x00dd4000,
    0x00bb8000,0x17710000,0x32200000,0xdfffffff,0x2eaa6002,0x188000aa,
    0x3ff22000,0x02dfffff,0x0026ea20,0xffffec88,0xffffffff,0x00002fff,
    0xc8800000,0xdfffffff,0x01353102,0x55cc4000,0xec88009a,0xffffffff,
    0x2fffffff,0x7ffffe44,0xffffffff,0x77003fff,0x7ff54001,0xffb33eff,
    0xdfffffff,0x2001359b,0x000001ba,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x5c400000,0x0000dc42,0x00005710,0x2aaaaaa2,0x0001aaaa,0x00001b98,
    0x0e033b22,0x4c1b8800,0x5cc0001b,0x00005cc0,0x000014c0,0x1d40ba80,
    0xeeeeec80,0x3ae06eee,0x02eeeeee,0xa8002666,0xeeeeeeee,0x3bbba61e,
    0x0000eeee,0x26620004,0x00000001,0x00180110,0x000dc400,0x033b2200,
    0x3009800e,0xe88cc038,0xeeeeeeee,0xaaaaa803,0x001aaaaa,0x03710018,
    0xe87ff600,0xb00001ff,0x100005ff,0xffffffff,0x880007ff,0x300007ff,
    0x217fffff,0x3fe00039,0x00fff10f,0xf337fc40,0x440000bf,0x0002fdfd,
    0xb97fea00,0xf51004ff,0x20019fff,0xc803ffea,0xe98005ff,0x2e00dfff,
    0x0001dfff,0x7e4005b8,0x006c004f,0x03a60009,0x2000034c,0x00001ffe,
    0x47fffff3,0xffea802a,0x40fa240d,0x7fe441e8,0x3fe002ef,0xffffffff,
    0x801d4005,0xe8001ffe,0x0bffe3ff,0x1fff4000,0x77744000,0x2eeeeeee,
    0x7ffcc000,0x9bd80000,0x1fdffffd,0x3fff1000,0x0003ffe6,0xff53ffd4,
    0x2dc0000f,0x400000f3,0x3ff26ffb,0x3ffec005,0x0017dc00,0x50001ffb,
    0xfb803fff,0x3a00002f,0x02ffc002,0x36217cc0,0x37fa0002,0x004fecab,
    0x017ffc00,0xfd9bd800,0x401fdfff,0xcffffef8,0x6ffd4599,0x3e06fedc,
    0x76c003ff,0xeeeeeeee,0x801f4004,0xa8002fff,0x017ee0de,0x00dea800,
    0x00000000,0x0003fc80,0xfffea890,0x27dc0003,0x900013f2,0x002ed87f,
    0x05d0ba00,0x3b620000,0x0007b622,0x5000dff9,0x2fe8003f,0x0fff9800,
    0x0007fa20,0x4c007980,0xfb0000ef,0x0001ba29,0xdffffff3,0xbf500000,
    0x2a240000,0xa803fffe,0xfffff912,0xfffff905,0x17ffc01f,0x40000000,
    0xbf5003fb,0x00000000,0x00000000,0x00000000,0x2e603000,0x00000001,
    0x00000000,0x01f11e40,0x00000000,0x002ffdc0,0x220007d4,0xff88004e,
    0x007fa207,0x80099000,0x220000fc,0x001fedff,0x4ffeb880,0x00000000,
    0x05cc0600,0xefd98380,0x33bf2202,0x017ff400,0x50000c00,0x000007ff,
    0x00000000,0x3bbb2000,0x206eeeee,0xeeeeeeeb,0x00000002,0x00000040,
    0x02000000,0xcf980000,0x000005ea,0x7dc00000,0x0fa8005f,0x80069800,
    0xfb107ff8,0x3f000003,0x0001e800,0x005fffc8,0x00001800,0x01009980,
    0x00003000,0x3a000000,0xdb8002ff,0x02cefffe,0x55bfff70,0x775c0005,
    0x06eeeeee,0x3bbbbbae,0x7777441e,0xeeeeeeee,0x5442eeee,0x001cffff,
    0xe987ffd5,0xeeeeeeee,0xeeeeeeee,0x01aa0000,0x777774c0,0xeeeeeeee,
    0x0000eeee,0x000001aa,0x80005fb3,0xeeeeeeec,0x3bbae06e,0xfb82eeee,
    0x0fa8005f,0x80013000,0xfe887ff8,0x6a800001,0x00014400,0x000ccc88,
    0x00000800,0xfffffc98,0x001b0adf,0xefffedb8,0x0000002c,0x05ffd000,
    0x8567f4c0,0x200dfeb9,0xeeeffeeb,0xddddd10e,0x74c7dddd,0x800effff,
    0x102fffd8,0x9999dfff,0xdfff9999,0x003ffec0,0xfb3017dc,0x999999ff,
    0x003ffd99,0x0000fec0,0x999fffb3,0xffd99999,0x0fec0003,0x3f600000,
    0xfa880001,0x5000cfff,0x7dc07ffd,0x0fa8005f,0x80060100,0x7f447ff8,
    0xb7100001,0x80400bdd,0x03008001,0x00354000,0x59ffd100,0x3bfee621,
    0x9fd3001f,0x37fae615,0x3bbba200,0x223eeeee,0xeeeeeeee,0x05ffd03e,
    0x900bff20,0xff9805ff,0x7ffe4403,0x3fff602e,0x03bee003,0xf9004f98,
    0x7fe403ff,0x01fa8006,0x4007ffc4,0xf10002fa,0xf88000bf,0x2fa800ff,
    0x0bff1000,0x7fc40000,0x3f600005,0x2fb8007f,0x002ffdc0,0x7ec007d4,
    0x88037f46,0x07fa27ff,0x567dc000,0x6c01effb,0x0037f46f,0x06fe8dfb,
    0x003fb000,0x01dff300,0x801ffd88,0x7e402ffc,0x7fe4402f,0x3f2202ef,
    0x7f402eff,0x1ffc802f,0x407ff900,0xff003ff9,0xfff8807f,0x007f6006,
    0x3fe600b5,0x2ffdc03f,0x2007d400,0xb000fff8,0x3ff20005,0x3e20000f,
    0x05b000ff,0x03fff200,0x7fe40000,0xf900000f,0x3f5000df,0x005ffb80,
    0x7c400fa8,0x3fff32ff,0x22fff100,0x900001fe,0x7fff545f,0x25fff100,
    0x8801fff9,0xfff32fff,0xff880003,0x7fd40005,0x0bf6000e,0x2003ff90,
    0xff803ffc,0x7fff003f,0x805ffd00,0x22005ffa,0xff300fff,0x0bffe007,
    0x00bffea0,0x0ea00fe6,0x017ffa20,0x20017fee,0xfff800fa,0x00055000,
    0x000ffffe,0x2001fff0,0xfff0002a,0x2000007f,0x0003ffff,0x000bff70,
    0xffb801f5,0x00fa8005,0x37f47fd8,0xf9fff880,0xf500003f,0x3ffdad8b,
    0xdfd1ff60,0x3a3fec00,0xfc80006f,0xf10000ff,0x5f1000df,0x002ffd40,
    0xf801fff1,0xfff002ff,0x05ffd005,0x000fffc4,0x7cc17ff2,0x5ffd003f,
    0x03fff600,0x06e00db0,0x003fff60,0x20017fee,0xfff800fa,0x20002000,
    0x007ffbfb,0x0007ffc0,0xf7f70001,0x700000ff,0x000fff7f,0x0017fee0,
    0xff7003ea,0x01f5000b,0x1000c060,0x5fffdfff,0x1ff88000,0x0bfea3e2,
    0x20006030,0x20000301,0x0003ffff,0x20007ffd,0x3fff103c,0x05ffc800,
    0xe8017ff4,0xffe802ff,0x017ff602,0x20bffe20,0xfd003ff9,0x3fe2005f,
    0x007ea05f,0x2fffa800,0x00bff700,0xff001f50,0x8000001f,0x005fff5e,
    0x0007ffc0,0x7fd7a000,0x7400002f,0x0005fff5,0x000bff70,0xffb801f5,
    0x00fa8005,0x3e200000,0x2ffff9ff,0x71fea000,0x0000044b,0x00000000,
    0x00fff7f7,0x000fff70,0x5ffd8244,0x2fff8800,0x400bffa0,0xfe802ffe,
    0x0fffe02f,0x42fff400,0xfd003ff9,0x7fd4005f,0x004f882f,0x17ffe200,
    0x005ffb80,0xff800fa8,0x000cc00f,0xbff91f98,0x07ffc000,0x4c000660,
    0x00bff91f,0xfc8fcc00,0xfb80005f,0x0fa8005f,0x002ffdc0,0x555407d4,
    0x5554c0aa,0xbffc401a,0x002ffff8,0x02e8ff70,0x20555554,0xa81aaaa9,
    0x54c0aaaa,0xd0001aaa,0x000bffeb,0x00009ffd,0x000fffe0,0xfd02fff4,
    0x3ffa005f,0x02ffe802,0x0005fff3,0x3e61fff6,0x5ffd003f,0x0effd800,
    0x20000364,0x2000effd,0xa8005ffb,0x0fff800f,0xd80015c0,0x007ffe26,
    0x2007ffc0,0x4db0002b,0x0001fff8,0x7ffc4db0,0x7fdc0001,0x00fa8005,
    0x4002ffdc,0xffba80fa,0x7ffe4c2f,0x13ffc403,0x0005fffd,0x403ccdf9,
    0x4c2fffba,0xba83fffc,0x7e4c2fff,0xf98003ff,0x400bff91,0x0002fff9,
    0x02fff980,0x40fffb00,0xfd002ffe,0x5ffd005f,0x007ffea0,0x207ffe40,
    0xfd003ff9,0xff88005f,0x000be64f,0x01fffb80,0x002ffdc0,0x7fc007d4,
    0x00ba200f,0xffb0be20,0x3ffe0009,0x000ba200,0x9ffb0be2,0x85f10000,
    0x40004ffd,0xa8005ffb,0x2ffd400f,0x2e03dc00,0x7ff702ff,0x447ff880,
    0x4002fffe,0x801327fd,0xff702ffb,0x817fdc07,0xd8003ffb,0x007ffe26,
    0x000fffdc,0x0fffd400,0x0fffc800,0x2005ffd0,0xfe802ffe,0x1fff902f,
    0x3ffee000,0x801ffcc1,0xa8002ffe,0x00bd1fff,0x27ffcc00,0x02ffdc00,
    0x7c007d40,0xcaaaabff,0xc8002ffc,0x00fffa87,0xaabfff80,0x02ffccaa,
    0xffa87c80,0x3e40000f,0x0007ffd4,0x000bff70,0xffa801f5,0x407b8006,
    0xff302ffa,0x87ff8807,0x002fffe8,0x00fc7ff2,0x2605ff50,0x3fea03ff,
    0x007ff302,0x7fec2f88,0x1fff9004,0x2aaaa600,0xff90aaaa,0x3ee0001f,
    0x5ffd01ff,0x00bffa00,0x7ec0bffa,0xf70000ff,0x3ff985ff,0x005ffd00,
    0x3f3bff60,0x3fa00000,0xff70006f,0x01f5000b,0xddddfff0,0x005fffdd,
    0x3ffa09f0,0xefff8003,0xfffeeeee,0xd04f8002,0xf80007ff,0x007ffd04,
    0x002ffdc0,0x3e6007d4,0x05d8007f,0xf9817fd4,0x3ffc403f,0x02fffe88,
    0x0d59ff50,0x817fd424,0x3ea03ff9,0x07ff302f,0xffa87c80,0xfffd800f,
    0xffb51000,0x7fec5dff,0xff70000f,0x0bffa05f,0x4017ff40,0xff902ffe,
    0x3ee0001f,0x27fc41ff,0x002ffe80,0x05ffff10,0x7ffe4000,0xbff70001,
    0x001f5000,0x7cc01fff,0x807d4002,0xf8006ffb,0x0be600ff,0x2e01f500,
    0x2a0006ff,0x0dff700f,0x02ffdc00,0x7c007d40,0x3e2002ff,0x817fd404,
    0x7c403ff9,0x3ffa207f,0xfff9802f,0xf509303d,0x0ffe605f,0xf302ffa8,
    0x04f8007f,0xfb007ffd,0xfd0005ff,0x1fff90ff,0x3ffee000,0x005ffd01,
    0x3a00bffa,0xfff702ff,0x3fee0003,0x2e6ff80f,0x005ffd01,0x0037fdc0,
    0x07fff300,0x02ffdc00,0x7c007d40,0x016400ff,0xff8817a0,0x7ffc001f,
    0x20016400,0x3ffe205e,0x40bd0001,0x0001fff8,0x5000bff7,0xbff9001f,
    0x2007ec00,0xff302ffa,0x0fff9807,0x0ffffa20,0x207fffe0,0x2ffa80e8,
    0x5407ff30,0x7ff302ff,0xb807d400,0xffb806ff,0xffc8003f,0x01fffb86,
    0x01fff700,0x7400bffa,0xfff802ff,0x05fff502,0x41fff200,0x203efffe,
    0x20002ffe,0x00006ffa,0x000bffd1,0x8006ffa8,0x1fff007b,0x26002a80,
    0xeeeeeeef,0x4005fffe,0x15400fff,0xddddf300,0xbfffdddd,0xdddf3000,
    0xfffddddd,0x3fee000b,0x00fa8005,0x803fff88,0xffa804fd,0x807ff302,
    0x4c00fff9,0x5404ffff,0xca9bffff,0x05ff504f,0xfa80ffe6,0x07ff302f,
    0xff102f40,0xfffa803f,0x5ffb8005,0x002fffa8,0x740fff90,0xffd002ff,
    0x07fff005,0x000fffe2,0xe882ffec,0x7ff404ff,0x3fea0002,0xff900006,
    0xfa80001f,0x07b8006f,0x1001fff0,0x55576c00,0xffbaaaaa,0x3ffe000f,
    0x36000800,0xaaaaaaae,0x000fffba,0x5555576c,0x0fffbaaa,0x05ffa800,
    0x22007b80,0x510adffe,0x2a009fd9,0x7ff302ff,0x1fffec40,0x3ffffe20,
    0xfff900ae,0x540bffff,0x7ff302ff,0x9817fd40,0xdf3003ff,0xfddddddd,
    0xff980bff,0xffb8007f,0x03fff885,0x40bffb00,0xfd002ffe,0xfffb805f,
    0x017ffa05,0x201fff40,0x05ffd000,0x037fd400,0x17ffd400,0x3ffcc000,
    0xf8036c00,0x200000ff,0xffd002f8,0x07ffc007,0x05f10000,0x800fffa0,
    0xffd002f8,0xdff50007,0x800f7000,0xffffffb8,0x2a001dff,0x7ff302ff,
    0xfffffb30,0xfeb819df,0x5fffffff,0xffffff88,0x817fd404,0x3ea03ff9,
    0x07ff302f,0x2aaabb60,0xfffbaaaa,0x07fff400,0x417fee00,0xd0005ffe,
    0x7ff407ff,0x05ffd002,0xffffff91,0xfff985bf,0x37fd4000,0x3a001510,
    0x2a0002ff,0x440006ff,0x2c005fff,0x8005fff0,0x1fff004f,0x1ee03800,
    0x006ffa80,0x70003ffe,0xf5003dc0,0x03dc00df,0x000dff50,0xb000fff3,
    0x554c000b,0xa8000ade,0x7ff302ff,0x00000000,0x004d456e,0xf9817fd4,
    0x0bfea03f,0x4401ffcc,0x7ffd002f,0x03fff980,0x982ffdc0,0x54000fff,
    0x7ff406ff,0x05ffd002,0x3f200b70,0x7ff4004f,0x00bff601,0x8000bffa,
    0x40006ffa,0x2000fffd,0x17ff2059,0xf000fd80,0x2cc001ff,0xff8009f0,
    0x1fff002f,0x9f02cc00,0x02fff800,0xff8009f0,0xfff8002f,0x013e2002,
    0x000fe200,0xf303ff98,0x7c40007f,0x3a0000be,0x7ff30002,0x980ffe60,
    0x7ff303ff,0x5400f700,0xffd806ff,0x3fee000f,0x013ff205,0xe803ffd0,
    0xffd002ff,0x2009f005,0x5000fff8,0xffe809ff,0x02ffe805,0x01bfea00,
    0x02fffb80,0xff1026c0,0x09fb007f,0x007ffe20,0x1fb81744,0x037fec00,
    0x800fffc4,0x03f702e8,0x806ffd80,0x7ec001fb,0xffc8006f,0x003f6005,
    0x0017ea00,0xf904ff88,0x6c40009f,0xf30004ff,0x27fc4000,0x2204ffc8,
    0x9ff904ff,0xf8009f00,0x7f4402ff,0x3fee005f,0x03ffe205,0x4027fd40,
    0xfd002ffe,0x06f8805f,0x003bfa60,0x71009ff5,0x5fff00f5,0x3ffdc000,
    0x4fff8800,0x00bee200,0x215bffd1,0x004feca8,0x2007ffe2,0x7f880fd8,
    0x2fffa800,0x00fffc40,0x7c407ec4,0xfffa8007,0x001fe202,0x000bffea,
    0xb007fff1,0x2600009f,0x3e0002ff,0x3f7620ff,0xfb80005f,0x00990006,
    0x220fff80,0x7c05ffdd,0x3f7620ff,0x00fdc05f,0x401bff60,0xb800dffc,
    0x7f4c05ff,0x27fd400e,0x002fff80,0xf8805fff,0x3f22003f,0x1ffb882f,
    0x7c02d400,0xb10003ff,0xd0005fff,0x55557fff,0xffb75555,0xff71003f,
    0x5bffffff,0xdfffb800,0xba99999a,0xffd885ff,0x7ffdc000,0x3ffee02f,
    0xa99999ad,0xfd885ffb,0x7fdc000f,0xffd882ff,0x7ffdc000,0x7f44002f,
    0xd9510adf,0xd800009f,0x00cbbeff,0xfbbfff70,0x0bdfff37,0x001fe400,
    0x5c0001f8,0x9bfddfff,0xf705efff,0xf37fbbff,0xff10bdff,0x5fff5000,
    0x33bfea00,0x3ffeb881,0x82ffc880,0x2001ffb8,0xff003fff,0xfff9007f,
    0xea801959,0xceffdeff,0x0074c000,0x0017ffee,0xffffffb5,0x3fee009d,
    0xffffffff,0x7fffffff,0xabaa9800,0x3b22000a,0xffffffff,0x2fffffff,
    0x77ffffdc,0x7fff5401,0xd911ffff,0xffffffff,0x5fffffff,0xefffffb8,
    0x7fff5401,0xff71ffff,0xa803dfff,0xfffffffe,0x3fee2001,0x1dffffff,
    0xdb880000,0x6c000cff,0xff32ffff,0x32600039,0x0d30006f,0x3fff6000,
    0x039ff32f,0x32ffffd8,0xfb1039ff,0xffb8001f,0xb91002ff,0xffdbbfff,
    0xfd50005d,0x19dffbdf,0x2fffdc00,0x02fffdc0,0x0effedc4,0x026ea200,
    0x88056400,0xfffffffc,0x0000002d,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x53000000,0x00015575,0x20000000,0x005441a8,
    0x00177100,0x00000cc0,0x00a88351,0x15106a20,0x3ffffee0,0x7ff5401e,
    0x001fffff,0x04d55cc4,0x9ba88000,0x3ff22000,0x22dfffff,0xffffffc8,
    0x000002df,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20dc4000,0x2aaa61b8,0x02aaaaaa,0x55555554,0x88002aaa,0x00000003,
    0x2aa00350,0xaaaaaaaa,0x00000001,0x666665c0,0x0003cccc,0x00003331,
    0x80080f26,0x00002000,0x331000b6,0x03b50003,0x06200800,0xb7100000,
    0x00000801,0x64c79300,0x066d400c,0x20080080,0x02000400,0x30001800,
    0x00040033,0x31000110,0x00059013,0xffe87ff6,0xffffff90,0xfe80ffff,
    0xffffffff,0x00698006,0xf9800000,0xffff803f,0x04ffffff,0x36200000,
    0x3ffff605,0x006fffff,0x0009ff90,0x204ffea8,0x807500d8,0x01dffdb8,
    0x4000f880,0x93003ffd,0x80003fff,0xffdba8dc,0x0001cfff,0x01fff930,
    0x00b102d8,0x24ffea80,0xbb00ffff,0xb1001f95,0x2d80ea01,0xfb700b10,
    0xd7003bff,0x2009dfdf,0x4c04fffa,0xf98001fd,0x7ffc4001,0xd0006b81,
    0x97ffc5ff,0xeeeeeeeb,0x776406ee,0x5eeeeeee,0xfffb7100,0x0000039d,
    0x00bff300,0xdddddddd,0x000007dd,0xb81ffdc0,0xcccccccc,0xbff0003c,
    0xfdba8000,0x20f6404f,0x9ff4406b,0x5c001fd9,0x27fc4006,0x3fff7700,
    0xfffd8000,0x3fae61bf,0x5dc0000e,0x7c400fff,0x00017444,0x229ffb75,
    0x7983ffff,0x1fb801e4,0x7f1007d4,0x7e402e88,0x03ffb89d,0x2e217fd1,
    0x7ff401ff,0xff7500ff,0x007d0003,0x2205ff50,0xdea8000f,0x00017ee0,
    0xd3000000,0xfd73d59f,0x0000003f,0x00001fb8,0x02600000,0x0001ff44,
    0x077cc000,0x4ff98000,0xfb9ffc40,0x107fa202,0x1f4003ff,0x0017ea00,
    0x0000ffe4,0x88033ff6,0x80001ffe,0xfc800ffe,0x0005f98d,0x7549ff30,
    0x545a86fd,0x5cffa005,0x8dfc802f,0x17ec05f9,0x7ec1ffcc,0x201df503,
    0x05fd8bfb,0x32000ff4,0x07f90006,0x000003e8,0x00000000,0x6987fc40,
    0xddd917ec,0x40dddddd,0xeeeeeeeb,0x020001cc,0x3b2e0000,0x9acdffff,
    0x300805c9,0x007e4000,0x09ff1000,0x0bfdff50,0xdf905fd8,0x0003e200,
    0x2e0001db,0x6c0001ff,0xffd1004f,0x4ccc4003,0x009affd9,0x07ffbfe2,
    0x27fc4000,0x20f885d8,0x3fea002d,0xff1006fe,0x7d403ffd,0x983ff606,
    0x5ff100ff,0x1fb85f10,0x98007f60,0x0bf0001f,0x00000d70,0xeeeeee88,
    0x3ba63eee,0xeeeeeeee,0x0eeeeeee,0x11a65fd8,0xfffa885f,0xfd5000cf,
    0x2a00007f,0x3a600006,0xfb730adf,0xfb0035df,0x0006fe8d,0x8800003d,
    0xffd004ff,0x17fcc03f,0xb802ff88,0x000e8006,0x0007fee0,0xf8800bd0,
    0xff7000ff,0xbfffffff,0x04fffb80,0x13fe2000,0xfdfb8174,0xfffd8005,
    0x3ffee001,0x301ff404,0x037dc9ff,0x40b213f6,0x007f6059,0xd30004e8,
    0x8003e200,0xeeeeeee8,0x7fe443ee,0x3f6602ef,0xccccccff,0xf81ffecc,
    0x0b61a63f,0x4003ffec,0x200002fb,0xc80001fd,0x7fdc03ff,0x2fff8805,
    0x0003fff3,0xf1000003,0x2aa2009f,0x007fec02,0x07d00dfd,0x40001880,
    0x40001ffb,0xffd8001e,0x33331005,0x00135ffb,0x00001555,0x2dc27fc4,
    0x40002a20,0xa8002aa8,0x3fe600aa,0xc87ffc02,0x0bfa00ff,0x36011006,
    0x00d7001f,0x7d0004c0,0xfff91000,0x3fff805d,0x00fff880,0x7fc42fa8,
    0x40ae1a66,0xa8006ffc,0xf100001f,0xfb8000bf,0x9ff7002f,0xfe8ffb00,
    0x01000006,0x009ff100,0x80fff000,0x3e201ffd,0x80000000,0x40001ffb,
    0xfff30006,0x3ff20003,0x00000000,0x66c4ff88,0x00000000,0xff500000,
    0x51ffd805,0x3fe20bff,0x7ec00000,0x001f9801,0x01ae0000,0x803fff80,
    0xf8802fff,0x05b000ff,0x21a63ffd,0x0bff7008,0x0001f500,0x003fff20,
    0x0037fcc0,0x06007ffa,0xdb88000c,0x407e21bc,0xf8acdca8,0xecb8804f,
    0x0dff302c,0x2e02ffb8,0x6765cc06,0x33b2a20a,0x30ffdc02,0x030017b9,
    0x027ffc00,0x323376e6,0x555540ff,0x55554c0a,0xcdca8801,0x06a4ff8a,
    0x159bb930,0x67654400,0x336e6003,0x07ff900a,0x3fe2ffc8,0x403fc83f,
    0x403ceca8,0x04e801fd,0x33b2a200,0x000fc403,0xe802fff8,0xfff002ff,
    0x320aa001,0x00699fff,0x4002ffdc,0xf00000fa,0x20007fff,0x54002ffe,
    0x000006ff,0x36ef7a60,0x303e8cff,0xfdf959ff,0xbdfb809f,0x7dc0effd,
    0x1ffdc05f,0x67e407d0,0xf99ffea9,0x00dffebe,0xffd13ff7,0x00005fff,
    0x903ffec0,0xfdfb55df,0xfffba81f,0x1fffe4c2,0x32b3fe60,0x2004ffef,
    0xffebadfc,0xbadfa802,0x3ea01ffe,0x83ffcabd,0x7dc04ffc,0x93ffee4f,
    0x6fd404fb,0xb01ffeba,0x00fb803f,0xd75bf500,0x01f403ff,0x802ffe80,
    0xff002ffe,0x4c04001f,0x006cffff,0x4002ffdc,0xb80000fa,0x8007ffbf,
    0xf0006ffc,0x555547ff,0x55554c0a,0x5427c401,0xdf504fff,0x04fff981,
    0xdff507b6,0x202ffe41,0x1f305ffa,0xff11bf60,0x5ff985ff,0x9dd5ff70,
    0x005ffffb,0x3fff2000,0xfd83fd80,0x5ff700ff,0xa80ffee0,0x7ffcc0ef,
    0xb0df9004,0x17e401ff,0x2603ffe2,0x45ffa85f,0x7e405ffa,0x6fffe44f,
    0x17e402fb,0x3603ffe2,0x00be201f,0x3e217e40,0x00d700ff,0x200bffa0,
    0xff002ffe,0xf300001f,0xb800dfff,0xfa8005ff,0xf5e80000,0xfe8005ff,
    0xffb0005f,0x17ffdd4d,0x80ffff26,0xff900fe8,0x203ff109,0x7f504ffc,
    0xfc93ff20,0x37fd404f,0x9ff105b8,0x360dffd0,0xfffb81ff,0x237ff442,
    0x99999999,0x99999999,0x41fffc99,0xfff105fc,0x40bfea01,0xff103ff9,
    0x013ff203,0x7fd427fc,0x360bf502,0x077c43ff,0x3e63ffc8,0x3ff601ff,
    0x2ffffc83,0xfd82fd40,0x202fe83f,0xbf50005d,0x440fff60,0xffe8001f,
    0x02ffe802,0x9801fff0,0xffff9801,0xbff7001e,0x001f5000,0xff91f980,
    0x4fff800b,0x1fff9000,0xf702ffb8,0x027ec07f,0xfc81fffb,0x413fe605,
    0xfff500fe,0x2a027fec,0x207d06ff,0xffc83ff8,0x709ff704,0x3fe205ff,
    0xfffff32f,0xffffffff,0xffffffff,0x00ffc45f,0x3ea01ffb,0x07ff302f,
    0xff9817f2,0x307ff004,0x07fa07ff,0x3fa17fd4,0x83ffe205,0x3fa05ffd,
    0xffffb02f,0xa80ff405,0x3bb262ff,0x200fa83d,0x01fe80a8,0x1ec05ff5,
    0x017ff400,0xf8017ff4,0x015c00ff,0x3ffffd88,0x005ffb80,0x40000fa8,
    0x07ffe26d,0x01fffcc0,0x41fffb80,0xff302ffa,0xc81ffc07,0x3e24ffde,
    0x13fe203f,0x33333be6,0xb0fffdcc,0xffa807ff,0x2600f986,0x99bff903,
    0x0bffb999,0x7e403ff7,0x09fff14f,0x17ffdc00,0xffc80ff9,0x205ff500,
    0xff883ff9,0x013fe203,0x7fcc05d4,0x200ffa83,0x01ffc408,0xff88fff6,
    0x7fff4c4f,0xfffbfc81,0x00ffa83f,0x3e200022,0x2a17ec02,0x002200ff,
    0xffd000d7,0x05ffd005,0x8803ffe0,0x7fdc002e,0x7fdc04ff,0x00fa8005,
    0xfb0be200,0x3fea009f,0xff50002f,0x02ffa85f,0x3e607ff3,0xfb8eb82f,
    0x80bfee5f,0xefb84ff8,0xaaaaaaaa,0x09ff90aa,0x5b85ffb8,0xfffc8800,
    0xaaaaaaac,0x01ffb82a,0xfff97fe6,0x3ff20005,0x901bfe0f,0x3fea01ff,
    0x707ff302,0x7fc405ff,0x3f260004,0x07fb83ff,0x402ffa80,0x7f4c5ffb,
    0xffbdfeff,0xfd32fd87,0x07fb87ff,0x80bb0000,0x3fdc2ffc,0x00fc4000,
    0x200bffa0,0xff002ffe,0x9955557f,0xe98005ff,0x2e05fffe,0xfa8005ff,
    0x21f20000,0xc800fffa,0x30001fff,0xffa89fff,0x207ff302,0x87d42ffb,
    0x3ff26ffa,0x213fe201,0xfb8005fc,0x2ffdc04f,0xfb3001f4,0x0003ff99,
    0xf8807fee,0x01bffa6f,0x227ffd80,0x7fe405ff,0x205ff500,0xffc83ff9,
    0x013fe201,0x3e6bbaa0,0x007fd83f,0x5402ffc8,0x799506ff,0xf90fff63,
    0x0fffe887,0x00001ff6,0xdea803ea,0x003fec2f,0x74003d80,0xffe802ff,
    0xddfff002,0x5fffdddd,0xff969800,0x17fee05f,0x0003ea00,0x7ffd04f8,
    0x05fff700,0x0fffe600,0x3e605ff5,0x49ffb03f,0x9ffe61f9,0x3e201ffd,
    0x007fd84f,0x6405ffa8,0x007cc3ff,0xfb867ec4,0xff70002f,0x326ff803,
    0xd0000fff,0x37fccdff,0x5403ff20,0x7ff302ff,0x4403ffb0,0x3a6004ff,
    0x20ffe62f,0x6c000ffd,0x7fcc02ff,0x3ffe6006,0x2203fe20,0x3ff62ffe,
    0x3e200000,0x3f23e603,0x0007fec2,0x3a0035c0,0xffe802ff,0x01fff002,
    0x260017cc,0x5c17fee6,0xfa8005ff,0x01f50000,0x2a01bfee,0x50002fff,
    0xffa83fff,0x207ff302,0x83f35ffc,0x3ff65ff8,0x213fe202,0x44000ffc,
    0x7fec06ff,0x74c02e41,0x01ffdc1f,0x401ffb80,0x3ffea4ff,0xfff98003,
    0x901ffe63,0x3fea01ff,0xb07ff302,0x7fc405ff,0x81df3004,0xffc83ff9,
    0x1ffec001,0x8013fe20,0x37dc4ffc,0x7e4bff10,0x3600001f,0x7e47a205,
    0x000ffe42,0xd000fc40,0xffd005ff,0x03ffe005,0x69800590,0x7dc07fec,
    0x0fa8005f,0x440bd000,0x7c401fff,0xf70003ff,0x2ffa81ff,0x2a07ff30,
    0x982f8eff,0x13ff23ff,0xfb85ff88,0x360b804f,0x1ffa00ff,0x9ff100fa,
    0x5009ff50,0x4403ff70,0x37fec3ff,0x237fec00,0x3200fff8,0x5ff500ff,
    0x320ffe60,0x3fe204ff,0x82ff9805,0xffb83ff9,0x3fee5804,0x017fcc05,
    0xfe86ff88,0xb87fe405,0x805804ff,0xc8fa00fa,0x027fdc2f,0x0026c02c,
    0xfd005ffd,0x3ffe005f,0x28815400,0x17fdc698,0x40037fd4,0xdf30007b,
    0xfddddddd,0xfff00bff,0x3ff20009,0x302ffa87,0x3fe207ff,0x3ff303ef,
    0xf103ffdc,0x1fff30bf,0x3fea2cc0,0x989ff102,0x07fdc00f,0x2e03ffc4,
    0x201ffb83,0x7fc41ff9,0x3fe2002f,0x03fff82f,0x7cc03ff2,0x07ff303f,
    0x7c40fff7,0x0ffb805f,0xfa83ff98,0x992a00ff,0x3ea00fff,0x1ff9000f,
    0xfa80bfb0,0x803ffea7,0x01f4404a,0x542fc899,0x12a00fff,0xfe801ae0,
    0x2ffe802f,0x001fff00,0x1a616201,0xff503ff5,0x00f7000d,0x2aaabb60,
    0xfffbaaaa,0x037fec00,0xa84ffd80,0x7ff302ff,0x702ffe40,0x3fff88bf,
    0x3a0bff10,0x03d01fff,0x3fee09fd,0x7ec02e40,0x09ffd02f,0x3fee03e6,
    0x5c0ff601,0xe8801fff,0xfff905ff,0x407ff201,0xff904ff8,0x07fff109,
    0x36017fe2,0x4ff982ff,0x101dffd0,0x03ffd83f,0x7dc017f2,0x80df902f,
    0x77ff45fa,0x6401f880,0x3bbbe606,0x3a0eeffe,0x1f880eff,0xd001f880,
    0xffd005ff,0x03ffe005,0x4c0f8800,0xf983fe46,0x06d8007f,0xd002f880,
    0xff8807ff,0x7fcc002f,0x03ff980f,0x7c407ff3,0x01dd01ff,0xf907fff7,
    0x3ffe60df,0x05fcabcf,0xff881ff1,0xfb802e83,0xffffc85f,0x04fda89d,
    0x3e605ff7,0x07ffdc06,0x019ffd10,0x303bffe2,0x7fc05ffd,0x3ff7620f,
    0x07fff705,0xf500dff9,0x7ffdc1bf,0x7ffd4195,0x85fda9be,0xdf01fff9,
    0x807bea00,0x3fa02ff8,0x5f7ffd41,0x4c05fda9,0x3332601f,0x20cdfecc,
    0xa9befffa,0x136005fd,0x4017ff40,0xff002ffe,0x2238001f,0xff134c5f,
    0x00fffc05,0x70009f10,0x37fd400f,0x0037fdc0,0x7c40bff6,0x09ff904f,
    0x10f7ff64,0x7fec01fb,0xffcebbdf,0x7fdc0def,0x01ffffff,0x7e4437e6,
    0x8800f983,0x5ebbefff,0xfffffff9,0x5fffd40b,0x2003bea0,0x221befe9,
    0xa802ffeb,0xecacffff,0xb83dfffd,0x9bfddfff,0xfd85efff,0xfcebbdff,
    0x3e00deff,0xf8dfdfff,0xffc83eff,0x00efffff,0x6c43dff3,0x6fe4400e,
    0x41ff9800,0xff903fb8,0x01dfffff,0xf90004e8,0x3ffff205,0x2000efff,
    0x5ffd006a,0x005ffd00,0x98003ffe,0x4c37fe25,0xc807fd16,0x3b6004ff,
    0x004f8000,0x74017ffc,0xff1001ff,0x20fff80b,0x705ffdd8,0x3bbff62d,
    0xffb801ce,0xdff8afff,0x3fffa601,0xfda800ef,0x0b901cfd,0x77fff540,
    0x7ffffe42,0x7fe4400c,0x8003ffef,0xffefffec,0x3a2000ce,0xfc8dffff,
    0x3ff600be,0x39ff32ff,0x7ffffdc0,0x801dff8a,0x363fffd9,0x3fea03ff,
    0xe8804fff,0x00ceeeff,0x003bfd95,0xfdcdfd88,0x7ffd401e,0x06c804ff,
    0xa80bf200,0x004fffff,0xfe801f88,0x2fff802f,0x01fff880,0xfda85d10,
    0x1efefdef,0x03fff880,0xb8001fd8,0x7fec001f,0x1efe8806,0x006ff4c0,
    0x3f77ffee,0x25efff9b,0x054c40e8,0x541a9800,0x02aa2000,0x2a00a200,
    0x01a98001,0x40005544,0x00001aa9,0x00013753,0x0a60aa88,0x5441a880,
    0x506a6000,0x20110001,0x02aa6000,0x1002a600,0x20000355,0x4c0009a9,
    0x1f9800aa,0x0072a000,0x80002aa6,0x2fff801a,0x803fff80,0x8801fff8,
    0x32a600fd,0x744000ae,0x9510adff,0xf10005fd,0xfff5000f,0x2bfee005,
    0x017fd440,0x25ffffb0,0x0001cff9,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xff800000,0x7ffdc03f,0xdfffb805,0xba99999a,0x0d3005ff,
    0x7ff5c400,0x01dfffff,0x00ffd880,0x17fffdc0,0xdeffd980,0x8000defe,
    0x005441a8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0xc885fffb,0xdfffffff,0x3fffb222,0xffffffff,0x1002ffff,0x2a600007,
    0x00009aba,0x3dfffff7,0xffffea80,0x22001fff,0x00000aba,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fff2200,0x002dffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x06200000,0x00199800,0x0000ccc4,0x08006662,0x0004c000,
    0x82660006,0x26000199,0x00001009,0x20000001,0x40000199,0x30000199,
    0x31000133,0x11000033,0x000c0000,0x00180600,0x80000660,0x10000998,
    0x26200333,0x00640009,0x00262005,0x00300004,0x00802600,0x13310cc4,
    0xcddca800,0xfffb3001,0x7fe441ff,0x26003dff,0x22004fff,0x20002ffe,
    0xeb805ffc,0x5c000cff,0x037f4006,0x7fc7ff30,0x3ff26005,0xb0adffff,
    0xfd730001,0x0000039f,0x000bffee,0x027ffcc0,0x03bfe600,0x03ffe600,
    0x3fff2200,0xedb8004e,0x002cefff,0x07cc1ea0,0xeefec980,0x10001cff,
    0x2000bfff,0xf3003ffe,0x3e9800ff,0xf700774c,0x301bfffd,0xbb0003fb,
    0x3ff6a000,0xb30aceff,0x3f26fe80,0xdfd3000f,0x8009ff95,0xff30fffc,
    0x1dfff97b,0x3ffffd00,0x027fc400,0x500dfd00,0x009fd55b,0xf1000fc4,
    0x3ee005ff,0x2003fe66,0x10acffe8,0x03fdff73,0xa8bffb80,0x400000fe,
    0x006ffff8,0x1ffffd00,0x0ffe4000,0x05ff5000,0xfffff880,0xe9800eff,
    0xfd730acf,0x0b90001b,0x3ba601ee,0x1eeb880b,0x7fffec00,0x27fc4001,
    0x00bfea00,0x5db5dd10,0xd7067440,0x7fdd43ff,0x007d4001,0x2b7ffa60,
    0xbfbfd530,0xfd0ffc40,0x21ff4007,0x26004fe8,0x0be88fff,0x200effc8,
    0x00bfb3fa,0x10007f98,0x987001df,0x0136007f,0xc801ffa0,0x200fea1f,
    0x4400eff9,0x2a001ffd,0x027cc1ff,0x227f2000,0x5c0003fe,0x005fd8bf,
    0x0000bfa0,0xbb0017ee,0x5fffd735,0x402ffc80,0x6c002ffc,0xfb80bb04,
    0x00fa6002,0x06fca7cc,0x8002fdc0,0xf98004fc,0x106e805f,0x03fd0dff,
    0x2001fc40,0xfa804ffb,0xf13e606f,0x83fdc00d,0xf1001ffb,0xd805d1ff,
    0x70fa05ff,0x1fa8005f,0x001fb800,0x2e007f30,0x0030000f,0x403644e8,
    0x2000effa,0x3f6002fd,0x0000fd06,0x03f60fcc,0x2e17c400,0x3f88001f,
    0x01f20000,0xdff904b8,0x800ffe40,0x3e003ffc,0x76407d02,0x04d88000,
    0x017d43e8,0xd8000db0,0x7e7dc007,0x81be602f,0x0fec1ffc,0xc800d900,
    0x3ee003ff,0xf983ae06,0x417fa001,0xf1003ff9,0xf1007bff,0x205701ff,
    0x03c80069,0x20002d80,0x05f1004d,0x43400000,0x37fc401d,0x0017c400,
    0x01be0bff,0x9700d800,0x4c0ae000,0x004b8005,0x9002d800,0x407ffc40,
    0x22005ffa,0xf8800fff,0xd501f881,0x99999951,0x80ba0179,0x001d303b,
    0xd00001d1,0x21bf5003,0xff502ffb,0xb13fea03,0x07e6003f,0x006ffa80,
    0x50b207c8,0x04ff8009,0x22009ff1,0x3a006fff,0x440184ff,0x80018000,
    0xdfd70001,0x000bb003,0x20620018,0x03ffe802,0x22007900,0x03fa87ff,
    0x18011000,0x08803000,0x00000c00,0xb0000188,0x3fff10df,0x05ffc800,
    0x01f507a8,0x67fcc3f1,0x883ffda8,0x0880300f,0x00000880,0xb0330011,
    0x9ff103ff,0xfb17fe60,0x800fa003,0x8001fff8,0x02a0a078,0x2609ff00,
    0xff1002ff,0x7fe4003f,0x00000007,0x73000000,0x7d403ffb,0x002c0000,
    0x3ffdc000,0x40091000,0x07f41fff,0x00000000,0x00000000,0x00000000,
    0xffb07fb0,0xfff1000b,0xd706c805,0x0ffe0f20,0x09701ff7,0x00000000,
    0x7c400000,0x205fb06f,0x0fec3ffa,0x2e003640,0x360006ff,0x22000000,
    0x1ff504ff,0x03ffe200,0x80fffa80,0x00acddc9,0x159bb930,0x33772600,
    0x4fe8000a,0x00007f10,0x9b73000b,0x27ff4015,0xfd000000,0x00bfa69f,
    0x35555550,0x2aaaaaa2,0x85555442,0x4c0aaaaa,0xaa81aaaa,0x554c0aaa,
    0xaaaa81aa,0x55554c0a,0x01df0001,0x20007fff,0x33265ffe,0xcccceecc,
    0x3e2cceec,0x7c43ff80,0x200f884f,0x000acdb9,0x002b36e6,0x00acdb98,
    0xf9797510,0xfc80207f,0x200fec1f,0x7f4001f9,0xa860004f,0x54c0aaaa,
    0x3e601aaa,0x00bfb04f,0x0007ffc4,0xfc83fff3,0x02ffebad,0x7f5d6fe4,
    0x56fe402f,0x4002ffeb,0x00bb04fa,0x54009300,0x3ffcabdf,0x002fff98,
    0x3fee0000,0x3261efbf,0x2a2ccccc,0x2a1dfffe,0x443dfffe,0xf750dffb,
    0xffc985ff,0xfffba83f,0x1fffe4c2,0x217ffdd4,0x003fffc9,0xff980ea8,
    0xffb0002f,0x7f7774cf,0xefeeeeee,0x3e0b52ee,0x905fe83f,0x957bf507,
    0xdfa807ff,0x403ffcab,0xffcabdfa,0x5defcc03,0x000ffffd,0x3f613fe2,
    0x20027401,0x0002fff9,0x85fff750,0x203fffc9,0x7ed44ff9,0x7ffc4003,
    0x3ffe2000,0x3f61bf22,0xb0df900f,0x1bf201ff,0xa8003ff6,0x000fa81f,
    0xf3002d80,0xb8bff50b,0x00001fff,0x3fffe200,0x5bfff902,0x2207ffa0,
    0x17a00fff,0xfb817fdc,0x0bfee03f,0xf701ffdc,0x0ffee05f,0x2a05f500,
    0x90001fff,0x3e601fff,0x3c81f880,0xff887ff0,0x5f989502,0xf305ffa8,
    0x20bff50b,0x5ffa85f9,0xff709f70,0x77dc009f,0x2e01fd80,0xfffb8006,
    0x7dc00001,0x07ff702f,0xffb27fcc,0xff88003d,0x3fe2000f,0x2a13fe3f,
    0x09ff02ff,0x3fe05ff5,0x902ffa84,0x2213a617,0x7b80003e,0x201df100,
    0x3ff23ffc,0x5553000f,0x80155555,0x100ffff9,0xffa80bff,0x203ff903,
    0x5ff501f8,0xa80ffe60,0x7ff302ff,0x9817fd40,0xf93003ff,0xfff905ff,
    0x3fee0001,0x2a0f701f,0xff02d80f,0x3027f4c7,0xc8077c4b,0x077c43ff,
    0x7c43ffc8,0x87ff900e,0x3ff607f8,0x407fa007,0x03f302fe,0x01fff900,
    0x2ffa8000,0x4c07ff30,0x3f6a24ff,0x3fe2005f,0x7ffc000f,0x3e60ffe2,
    0x307ff03f,0x0ffe07ff,0x3620ffe6,0xd902dfff,0x2600a880,0x0bfd004f,
    0xfd87ffc4,0xb51000ff,0x405dffff,0x5fffdfc8,0xf001ff10,0x13fe60df,
    0x5ff5035c,0xa80ffe60,0x7ff302ff,0x9817fd40,0xfec803ff,0x7ec4ffff,
    0xf70000ff,0x417205ff,0x3e03d06b,0x00dffeef,0x40bfd344,0x3fa0fff8,
    0x83ffe205,0x3fe205fe,0x9813f60f,0xfa802fff,0x3deec983,0x403104e8,
    0x0000fffd,0x9817fd40,0x3fe603ff,0x00bffb04,0x0003ffe2,0x05d43fff,
    0xba81ffcc,0x503ff980,0x07ff3017,0x00fcc008,0x0fe80bf6,0x403ff880,
    0xfffb3ffd,0xfffd0005,0xf93ff980,0x05f505ff,0x2207ff20,0x03e80fff,
    0x7cc0bfea,0x0bfea03f,0xf501ffcc,0x0ffe605f,0xffffa880,0x003fff22,
    0x80fffdc0,0x3609b04e,0xfd17ff01,0x3e2d3009,0x9ffec03f,0x7ec03ff8,
    0x807ff13f,0x5ff33ffd,0x804ffe80,0x3ee0004e,0x27fff540,0x0007ffec,
    0x40bfea00,0x3e603ff9,0x07ffa04f,0x003ffe20,0x9801fff0,0x2003fffc,
    0x003fffc9,0x00ffff26,0xfc809d00,0x00bf902f,0xf700bfea,0x0fffeebf,
    0x81bff200,0x3fe22ff9,0x002e40ef,0xff709ff3,0x200f987f,0xff302ffa,
    0x817fd407,0x3ea03ff9,0x07ff302f,0x4bffb100,0x0001fffb,0x3e01fff7,
    0x0b207f02,0x2ff99ffc,0x2ffaad40,0xfaaffdc0,0xaffdc02f,0x7dc02ffa,
    0x805ff75f,0x34c05ffb,0x885f1000,0x43feb9be,0x0002fffb,0x9817fd40,
    0x3fe603ff,0x017ff204,0x0003ffe2,0x77540fff,0xa803ff9a,0x03ff9aee,
    0xff9aeea8,0x01b20003,0xf305f9d5,0x3ff2003f,0xab7fd402,0xb8005fff,
    0x7ff305ff,0x4c9fff90,0x3ff4000f,0x3237fd7c,0x817fd404,0x3ea03ff9,
    0x07ff302f,0xf9817fd4,0xff10003f,0x017ffd4f,0x267ffc80,0xcccdfdcc,
    0x2cccdfcc,0xb8ffe097,0x64ee00ff,0x7fd402ff,0xa805ff96,0x05ff96ff,
    0xff96ffa8,0x06ffa803,0xbb0000e4,0x47fa8390,0x0003fffa,0x9817fd40,
    0x3fe603ff,0x01bfe204,0x8003ffe2,0xfe986ff8,0x980ffe62,0x0ffe62fe,
    0x3e62fe98,0x3f30003f,0x17e47cc0,0xfb003ff4,0x6ff9805f,0x000ffff3,
    0x3fa0bff7,0x3fffd01f,0xf70007d1,0xffcb545f,0xff5007e1,0x80ffe605,
    0xff302ffa,0x817fd407,0x20003ff9,0xfff11ffc,0x3ff60007,0x3bfbba65,
    0xeefeeeee,0x3e0f12ee,0xd02fec3f,0x300bff63,0x0bff6dff,0x3f6dff30,
    0xb7fcc02f,0x7d402ffe,0x0002c06f,0x37c001f5,0x0017ffe6,0x205ff500,
    0x3e603ff9,0x03ffc04f,0x0007ffc4,0xef98bff1,0x981ffcc0,0x1ffcc0ef,
    0x7cc0ef98,0x09d0003f,0x42fc8f44,0xbd105ff9,0x100fff61,0x7fff49ff,
    0x2ffdc000,0xf3037fd4,0x000b9dff,0x32e97fe2,0x201aa9ff,0xff302ffa,
    0x817fd407,0x3ea03ff9,0x07ff302f,0xd07fd400,0x3a000bff,0x20b903ff,
    0x7c16c06b,0x41ffc43f,0x00fff65a,0x3ff69ff1,0xda7fc403,0x7fc403ff,
    0x9809ffb4,0x002c04ff,0x26002f88,0x06ffe84f,0x17fd4000,0x2603ff98,
    0x3ffc04ff,0x007ffc40,0x7cc7ff30,0x83ff982f,0xff982ff9,0x982ff983,
    0xfb8003ff,0x2fc8fa00,0xf9827fd4,0x80bff73f,0x3fe62ff9,0x7fdc003f,
    0x406ffb85,0x000ffffc,0x1aa3ff60,0x200f6ffd,0xff302ffa,0x817fd407,
    0x3ea03ff9,0x07ff302f,0x263fcc00,0x54000fff,0x413a06ff,0x3074c04d,
    0x5ff509ff,0x17fee2e8,0x3ee5ff30,0x97fcc05f,0x7cc05ffb,0x80bff72f,
    0x01402ff9,0x64005d80,0x0fffa80e,0xfa851000,0x07ff302f,0x3a027fcc,
    0xfff8806f,0xffa81a80,0x2603fee0,0x0ffb83ff,0xfb83ff98,0x03ff980f,
    0x99017cc0,0x7fd42fc8,0x7cd7fe04,0x3fea00ff,0x007ffec0,0xfb0bff70,
    0xffe803ff,0xa806204f,0x7dc3ebff,0xf9800fbf,0x07ff303f,0xf981ffcc,
    0x0ffe603f,0x0001ffcc,0x9ff909f9,0x01ffe800,0x401fc0be,0xbdddb75c,
    0x993eec83,0x200fff98,0xfff30ffa,0x987fd401,0x3ea00fff,0x80dff50f,
    0x00000ffa,0x26000fa8,0x17ffa01f,0x3e606c00,0x07ff303f,0x3a027fcc,
    0xfff8805f,0x2e17fd40,0x417fec4f,0xffd84ff9,0xd84ff982,0x4ff982ff,
    0xf302f400,0xddffdddd,0xc817fe61,0x80fff64f,0xffe885fc,0x17fee005,
    0x9013ffee,0x320bffff,0x43fffc02,0x1005fff8,0x3ff209ff,0x413fe204,
    0x3e204ffc,0x09ff904f,0x4407fc00,0xf5000fff,0x407cc09f,0x09b001f8,
    0xfd835c00,0xb17f203f,0x2fe407ff,0xfc80fff6,0x901fff45,0x800100bf,
    0x3e6003f8,0x1fffcc01,0x3e20b200,0x09ff904f,0x3eaa7fcc,0x7cc00ffc,
    0x37fe41ff,0x37fea1ba,0x657ffee0,0x5c1bff50,0x2a195fff,0x3fee0dff,
    0xfb80195f,0x33332600,0x360cdfec,0x43f701ff,0xdf01fff9,0x00dffc80,
    0xf985ffb8,0xee982fff,0x8befffeb,0xffc807c9,0x005ff904,0xbb107ffc,
    0xfff80bff,0x17ff7620,0x6c41fff0,0xbb885ffd,0x4c05f700,0x7d400efe,
    0xa83dc04f,0x03762007,0x300dd880,0x1be03fff,0x7c07ffe6,0x01fff986,
    0x3fff30df,0x4401df10,0x176005fe,0x1001e980,0x36009ffd,0x883ffe04,
    0x2a05ffdd,0x4cdfb4ff,0xfff9005f,0x71fff889,0x3fffe01d,0xefff8dfd,
    0x7effffc3,0x43efff8d,0x8dfdffff,0x4403efff,0x5f90002f,0x987dff10,
    0x1eff983f,0x2a003b62,0xb881ceff,0xff703ffe,0xbfd99dff,0x3ffffa21,
    0xf8802fff,0x00ff300f,0xfddfffb8,0x05efff9b,0x7fbbfff7,0x20bdfff3,
    0xbfddfffb,0x2e5efff9,0xeb89cfff,0xffc8801e,0x01ffb882,0x00d705c8,
    0x44019f70,0xff9803fc,0x403b621e,0x3621eff9,0x3dff300e,0xfa8076c4,
    0x03b622ef,0x001fff50,0x3aa001f5,0xfb1024c0,0x2e237bff,0x7fdc03ec,
    0xff9bfddf,0x4ffc85ef,0x03ba2df5,0xffffec98,0xfff71cef,0x7ecc019f,
    0x0fff63ff,0xd8ffff66,0xffd983ff,0x00fff63f,0xfc800176,0xbfff9102,
    0x7f4405dd,0x000ceeef,0x37fff722,0x802effed,0xeffffffa,0xdffff902,
    0x20274005,0xffd8004e,0x39ff32ff,0x2ffffd80,0xd8039ff3,0xff32ffff,
    0xfffe8839,0xa8004eff,0xeffdeffe,0x207d000c,0xd710004d,0x7fdb99bd,
    0x7ff44001,0x4400ceee,0x0ceeeffe,0x777ff440,0x7f4400ce,0x800ceeff,
    0xe8806ff8,0xffff7003,0xb7007fff,0x9fffffff,0x3fff6003,0x839ff32f,
    0x2e4fffe9,0x0000dfee,0x40015500,0x11001008,0x40220020,0x001f5000,
    0x4c00e540,0x54c0009a,0x73100000,0x30001355,0x26001375,0x0098000a,
    0xa880004c,0x10005441,0x000a8835,0x015106a2,0x0001aa98,0x0026ea20,
    0x00d402a0,0x55d54c00,0x0a980001,0x00153000,0x20002a60,0x88000a98,
    0x200d9002,0xccccccc8,0x5d44000c,0xa880009a,0x00005441,0x00000002,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x09980000,0x01333000,0x00013330,
    0x80000110,0x00200209,0x22004026,0x400c0000,0x4cc00000,0x5b910009,
    0x03300000,0x16dc0000,0x03003000,0x00801988,0x7950076a,0x40100701,
    0xeeeeeeeb,0x4c03eeee,0x98090099,0x06206202,0x0c006662,0x2f2a0018,
    0x40600380,0x00130001,0x38800ed4,0xd9800d40,0xb50ed401,0x5ee54007,
    0x0fffe401,0x03bfea00,0x0017fee0,0x17ff6dc4,0xceeca800,0x06c40b20,
    0xcefffea8,0xfb30598a,0xb90005df,0x16205900,0x00effa80,0x04ebcf98,
    0x77f64c00,0x0001cffe,0x009fff70,0x3bfffb2e,0x9807d42d,0x3ee04fff,
    0x5fff910e,0x17ffff40,0x80fc9816,0xfffffff8,0x203fffff,0x9b00effa,
    0x2203f301,0x13fe25ff,0xe803ffd1,0x01bfa0ff,0xb0fffffa,0xe83ffa00,
    0x7fec006f,0x3fff2200,0x202fa002,0x7f5400fa,0xfffc882f,0x80dfff32,
    0x5ffebde8,0x0dffff30,0x000ffc80,0x22001ff6,0x03ff11de,0x805ff540,
    0x417444f8,0xb99cffd8,0xf885fffe,0x002fd88d,0x3e2003ea,0xb0017444,
    0x8f2001ff,0xe98000f8,0xeeb880be,0x7fe40001,0x67f4c07f,0x1bfb7309,
    0x7ff405f3,0x5fff01ff,0x40bffeee,0xffffdada,0xffd983db,0xffffb80f,
    0xffffffff,0x803ff200,0xffdceffa,0xb9ffea05,0x4ff987ff,0x4cbffe20,
    0x36a01fff,0xdbffffda,0x2fff8803,0x2003fff3,0x2e02fff8,0x2002fffb,
    0xffeceffb,0x7ffe6404,0x2fffbb82,0x203ffff5,0x1ffec4f8,0x17f4cfec,
    0x0003ff00,0x7d8005fd,0xf9005fc8,0x1df7003d,0x17f60dd1,0xfe85ffb8,
    0x4401be61,0x37f2003f,0x7c005e98,0xd07a001f,0x02fb8005,0x1800fa60,
    0x80ff6ec4,0x7ec01ffc,0x4fea04ff,0xfff885fd,0xc817fe44,0x1bfffaa0,
    0x03fff772,0xf9806bba,0x400ffc05,0x0efffffb,0xf893fa20,0x80df503f,
    0x037ec6fd,0xfffea832,0xb1bf6006,0x6fc800df,0x005ff900,0x6fffffc8,
    0x80bff200,0x37b22ffc,0x883fb04f,0x107544fe,0x0be600db,0x00274400,
    0x0ff509f7,0x4001dfb0,0xa81feffe,0x2fdc02ff,0x03fe1fe6,0xf1001760,
    0x4003ffdf,0x2dc002f9,0x0ec800f3,0x804d8800,0x203e603a,0xf9002ffd,
    0x2e1f405f,0x43fff82f,0x20502ffb,0x7f400bca,0x40074c0f,0x0be603fb,
    0x03eeb880,0x2e004020,0x0080400f,0x01795028,0x00010080,0x2ffb8002,
    0x3deb8800,0x017fdc00,0x0fe05ff7,0x0a203fe6,0x401e4036,0x34c0003c,
    0x2a07fb00,0x007fe401,0x417ffea0,0x8bd006fc,0x02fe87fb,0x540007d4,
    0x64004fff,0xdee88003,0x03aa002f,0x2f7fb72e,0x7d00ba6a,0x7fd435c0,
    0x3fff2005,0x0d302b80,0xffb85fff,0x36000002,0x8005c0ff,0x00f200fe,
    0x00000000,0x000001e4,0x00000000,0xff700000,0x00000005,0x7dc05ff5,
    0xb80f882f,0x011000ff,0x00018018,0x3fe00130,0x5ff30003,0x02aaa000,
    0x5c007fec,0x7f437ec5,0x000be205,0x4000aaa8,0x054c0001,0xe983f100,
    0x9ff6a21d,0x07f700f8,0xfff107a6,0x3f3ea003,0x0440185f,0xff70bffa,
    0x6c000005,0xf10000ff,0x0000180b,0x0c000000,0x00000000,0x00000000,
    0x005ff700,0xff500000,0x417fdc05,0x00ff903d,0x00000000,0x7ff30000,
    0x0bff1000,0xffc80000,0x7e459804,0x3605fe87,0x00000005,0x40000000,
    0x2027d43c,0x2a12e0fe,0x82ea83ff,0xf3005ffd,0x005fff15,0xb83ffb00,
    0xdb9802ff,0xffc800ac,0x07f70000,0xd9710000,0x32e20059,0x400002ce,
    0x500acdb9,0xa9815555,0xaaa81aaa,0x5554c0aa,0xecb8801a,0x17fdc02c,
    0x81555550,0x401aaaa9,0x3ee02ffa,0xd80fa22f,0xcb88007f,0x971002ce,
    0x2e20059d,0xf9802cec,0xffd8003f,0x9b970001,0xfffa8935,0x3fdc2805,
    0x0fb827f4,0x9bb93000,0x372e0015,0x555449ac,0x5554c0aa,0x7c41f01a,
    0x107cc00f,0x6fffdc1f,0x3e2072aa,0x4f8803ff,0x65c17ffa,0xfc849acd,
    0x017fdc0f,0xff957bf5,0x00ffc807,0x4c01fd00,0x5c0f6a3c,0x0effdbdf,
    0x3f6f7ee0,0x076a00ef,0xfcabdfa8,0xfffba83f,0x1fffe4c2,0x217ffdd4,
    0x403fffc9,0xeffdbdfb,0x405ff700,0x4c2fffba,0x5403fffc,0xfb8352ff,
    0xfb002e2f,0xbdfb800f,0x2e00effd,0x0effdbdf,0x3f6f7ee0,0x3fe600ef,
    0x37fd4004,0xee880331,0x447ffc9b,0x002effff,0x7ff03fe6,0x20005f10,
    0xffebadfc,0x26fba202,0x7dd47ffc,0x7fe4c2ff,0x7f45a83f,0x3c815004,
    0xdddffdd7,0x7ffcc01d,0x7ec5e802,0x4df7447f,0x7fb87ffc,0xf302ffb8,
    0x40bff50b,0x88000ffc,0xffeb885f,0xd85fffb4,0x077fd41e,0x3fea0f6c,
    0x3ffee20e,0xf50bf302,0x0bfee0bf,0xf701ffdc,0x0ffee05f,0x7fd41ed8,
    0x02ffb80e,0xf702ffb8,0xaffa807f,0x17fdc0ec,0x801ff600,0x77fd41ed,
    0x7d41ed80,0x41ed80ef,0xf100effa,0xffc800bf,0x4ffffeab,0x0fd01fb0,
    0x1bfffff3,0xfa87fa00,0x20009d07,0x0ffd86fc,0x0fd01fb0,0x7dc0bfee,
    0x3e63c83f,0x12a0002f,0x54007ff3,0x76401fff,0xb07ffe40,0xf50fd01f,
    0x105ff70d,0x3ff201df,0x001ff903,0xd7707f70,0xffd999ff,0xfc81fd47,
    0xc81fd44f,0x3feee4ff,0x00ef882f,0xff507ff9,0x80ffe605,0xff302ffa,
    0x640fea07,0x2ffb84ff,0x0bfea0a6,0x2a01ffcc,0xfb80eeff,0x3fec002f,
    0xf903fa80,0x903fa89f,0x03fa89ff,0x664c9ff9,0x4ccceffc,0x56fffec0,
    0x20effea9,0x20f305f8,0xcffffff9,0xe8b7c400,0x000eb82f,0xff509ff0,
    0x260bf105,0x205ff507,0x22d83ff9,0x20001ffa,0x01ffcc59,0x401fff90,
    0xfffb81fb,0x1e60bf11,0x3fee17ea,0x2205fe82,0xffc80fff,0x00fe8000,
    0x3a93bfea,0xffa807f4,0xfa807f47,0x82ffc87f,0x3fe205fe,0x817fd40f,
    0x3ea03ff9,0x07ff302f,0x7fd403fa,0xf32ffb87,0x02ffa8bf,0xfa807ff3,
    0x0bfee05f,0x200ffb00,0xfff500fe,0xff500fe8,0xf500fe8f,0x7fffd4ff,
    0x00ffffff,0x3a207ffe,0x03fe65ff,0xfffb1034,0xc9805fff,0x1f981dee,
    0x07ff0060,0xff307ff3,0x7fd41a01,0xd07ff302,0x0007fe43,0x3ff98d10,
    0x03fff600,0xffb817cc,0x201ff32f,0xfb84f986,0x01ffc42f,0x3f20fff6,
    0x2fc4000f,0x301bfe60,0x999999df,0x3e61fffb,0xdcccccce,0x7fdc0fff,
    0x201ffc42,0x7fd43ffd,0x407ff302,0xff302ffa,0x999df307,0x1fffb999,
    0xff52ffb8,0x302ffa8d,0xffb807ff,0x00bfee02,0xf300ffb0,0xb999999d,
    0x3be61fff,0xfdcccccc,0x99df30ff,0xfffb9999,0x8017fe01,0x3e606ff8,
    0x3dff11ff,0xffd50030,0x0000bfff,0x3f7f209d,0x980ba80c,0xeff883ff,
    0x5ff50181,0x360ffe60,0x0007fee1,0x1ffcc698,0x01fff900,0x7fdc07f1,
    0x03dff11f,0xf709f103,0x02ffa85f,0x7e42ffdc,0x1fdc000f,0x7013fe60,
    0x555555df,0x3ee15555,0xaaaaaaae,0x7fdc0aaa,0x2017fd42,0x7fd45ffb,
    0x407ff302,0xff302ffa,0x555df707,0x15555555,0x3b22ffb8,0x9817fd42,
    0x3fee03ff,0x0bfee02f,0x700ffb00,0x555555df,0x3ee15555,0xaaaaaaae,
    0x5df70aaa,0x55555555,0x017fe015,0x7c06ffa8,0x3fff63ff,0xff70000c,
    0x4000bfff,0x265f906c,0xff93005f,0x3fff607f,0x2ffa800c,0x5907ff30,
    0x00017fcc,0x03ff98b5,0x207ffea0,0x7ffe405e,0x033fff60,0x3fee0fe0,
    0x2017fe42,0xffc86ffa,0x007ec000,0xf9013fe6,0x0bf9000b,0x217fd400,
    0x7d402ffc,0x817fd46f,0x3ea03ff9,0x07ff302f,0x5c000bf9,0xffa802ff,
    0x207ff302,0x202ffbec,0x6c002ffb,0x05fc807f,0x8005fc80,0xe80005fc,
    0x3fee005f,0x12ffec05,0x019ffffd,0xffff9100,0x03f30007,0x04fd8df7,
    0x3fe6bbaa,0xffffd103,0x17fd4019,0x4b83ff98,0x80013fe2,0x01ffcc3b,
    0xd85fff30,0x37fec00e,0x33ffffa2,0x3ee0ba00,0x017fec2f,0x3f21bfe6,
    0x17e2000f,0xb013fe60,0xffb000ff,0x17fd4000,0xf300bff6,0x02ffa8df,
    0x7d407ff3,0x07ff302f,0x5c000ffb,0xffa802ff,0x707ff302,0x405ff51b,
    0x6c002ffb,0x07fd807f,0x8007fd80,0xe80007fd,0x3fe6004f,0x22ffdc05,
    0x1effffc8,0xfffa8004,0xb04e8006,0x986fb89f,0x0ffe62fe,0xeffffc88,
    0x205ff501,0x47883ff9,0x09800ffb,0x0ffe60f4,0x23fff880,0xffe800fb,
    0xffffc885,0xf703b01e,0x03ffd85f,0x7e427fc4,0x0fee000f,0x9013fe60,
    0xfc8001ff,0xff50000f,0x403ffd85,0x7fd44ff8,0x407ff302,0xff302ffa,
    0x001ff907,0x200bfee0,0xff302ffa,0x17fd4307,0x8005ff70,0xffc807fd,
    0x07fe4000,0x003ff200,0x4007fb00,0x7cc06ff8,0xfffb104f,0xb800e43f,
    0x32000fff,0xf50ffe06,0x2077cc1f,0xd8803ff9,0xfa81ffff,0x07ff302f,
    0x80bfb0b6,0x7cc2d449,0x7fec003f,0x3e005f55,0x3f6203ff,0x80c81fff,
    0x7fdc2ffb,0x417fcc05,0x36000ffc,0x4ff9800f,0x4027fdc0,0x009ff70b,
    0x42ffa817,0x7cc05ffb,0x817fd42f,0x3ea03ff9,0x07ff302f,0x17009ff7,
    0xa802ffb8,0x7ff302ff,0x202ffa80,0x6c002ffb,0x4ffb807f,0x9ff70b80,
    0x3fee1700,0xfb00b804,0x07fe8001,0x3011ffcc,0x01e4bffd,0x2001fff0,
    0x7ff101f9,0xff32ff98,0x207ff305,0x85ffe980,0xff302ffa,0xc883a607,
    0x425cc1ef,0x03ff982e,0x7cfffc40,0x0dff5003,0x0bffd301,0x2617fdc0,
    0x3ea00fff,0x00ffc80f,0x2600bf10,0x7fcc04ff,0xf996600f,0x216600ff,
    0x7fcc2ffa,0x03fea00f,0x3e607ff3,0x0ffe604f,0x7cc1ffcc,0x216600ff,
    0xf9802ffb,0x09ff303f,0x2e02ffa8,0x7ec002ff,0x0fff9807,0xfff99660,
    0xff996600,0x2616600f,0x21d807ea,0x3ea01ffc,0x3e20731f,0xe801b27f,
    0x07d1007f,0x3e61ffc4,0x301ff71f,0x207307ff,0xff987ff8,0x407ff303,
    0xefed985c,0x304c82ce,0xf70007ff,0x7f400bff,0xf881cc0f,0x3fee007f,
    0x203ffd82,0x1ff905fc,0x400fea00,0xfe804ff9,0xe83d01ff,0x03d01fff,
    0xffb05ff5,0x442fe407,0x9ff904ff,0xc827fc40,0xfffd04ff,0x3ee07a03,
    0x4ff8802f,0xa809ff90,0x3fee02ff,0x03fec002,0xd01fffe8,0x01fffe83,
    0x1fffe83d,0x76f4c3d0,0x8f502dff,0x3ee05fe8,0x7fc81a64,0x3e600bf2,
    0x00d9005f,0x0ffa87fd,0xff305ffb,0x7e40d309,0x904ff887,0x04d809ff,
    0x206b8022,0xd0004ff9,0x3ee003ff,0x3206982f,0xff70087f,0x03fff305,
    0x0ffc81be,0x2001fb00,0xf9804ff9,0xfcabcfff,0xcffff985,0xf505fcab,
    0x3fff305f,0xfff81be0,0x1bff7620,0x6c41fff0,0xff305ffd,0xbf9579ff,
    0x400bfee0,0x37620fff,0x7fd406ff,0x00bfee02,0x2600ffb0,0xcabcffff,
    0xffff985f,0x985fcabc,0xcabcffff,0xff98e45f,0xfeccdfff,0xf01ff984,
    0xb81fcc1f,0x00bff25f,0xf5001ff9,0xb89fb001,0x837fea7f,0x2195fffb,
    0x0bf703f9,0xdd883ffe,0x6ec405ff,0x03762000,0x00dcdff0,0x400effc8,
    0x7f304ff9,0xdf917ee0,0x303ffb81,0x76c43dff,0x003ff600,0xf98017e2,
    0xfff7005f,0x203fffff,0xfffffffb,0x07ff701f,0xd887bfe6,0x3ffee00e,
    0xfff9bfdd,0xbfff705e,0xdfff37fb,0xfffff70b,0x3ee03fff,0xfff7003f,
    0xfff37fbb,0x0ffee0bd,0x4003ffc8,0xf7000ffe,0x3fffffff,0x3ffffee0,
    0xff701fff,0x83ffffff,0xffb1790e,0x201dffff,0x076c0efc,0xe882ffe6,
    0x33fff20f,0x0bff220a,0x4c00fe20,0x3e1ff47f,0xf8dfdfff,0x3fe63eff,
    0x403fa20b,0xbfddfffb,0x405efff9,0x32200cfb,0xfffd003f,0x2bea007d,
    0x5c40befc,0x3fe602ef,0xf03fa20b,0x5ffd87ff,0x3bbffa20,0x3fa200ce,
    0x03fa802f,0x003ffee0,0x77ffff4c,0x7fff4c00,0x3ff600ef,0x3bffa204,
    0xfd800cee,0x9ff32fff,0xffffd803,0x4039ff32,0x0effffe9,0x8017ff60,
    0xf32ffffd,0x7fec039f,0x013ff604,0x003fff98,0x3bffffa6,0x7fff4c00,
    0x7f4c00ef,0xeb80efff,0x7fffd45d,0x6ffd400e,0xef980dec,0x40ceddff,
    0xeffecabc,0xb000dffe,0x8dfa800b,0xffd985fc,0x30fff63f,0x9dbbffdf,
    0xffffd801,0x0039ff32,0x3337bae2,0x2000bfed,0x3004ffe8,0x77fecc5f,
    0x9804fffd,0xceddffef,0xd50ffe80,0x807dffff,0x76d400a9,0x204effff,
    0xfea800a9,0x000dffff,0x88001551,0x3fae00aa,0x4c02efff,0x1a88000a,
    0x51000544,0x2000a883,0x3aa00aa8,0x003effff,0x00a88351,0x3bffffb2,
    0x3ffffae3,0x3ff6a03e,0x2003efff,0x44000aa8,0x544000aa,0x300cc00a,
    0x1a980035,0x03531080,0x4ddd4414,0x003ea000,0x00f7b260,0x10802011,
    0xa8800353,0x00005441,0x00357553,0x1c400080,0x00157530,0x00353108,
    0x00000015,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x73000260,0xdddddfd9,0xdddddddd,0x0400405d,0x01998800,0x00000004,
    0x77440100,0x3eeeeeee,0x77777754,0x3d980eee,0x00440000,0x54020020,
    0x03882401,0x8b2600d4,0x3002cda8,0x99980001,0x26026000,0x80bc9800,
    0xdddd5003,0x20009ddd,0x99880000,0x4c055300,0x1998802a,0xeb804004,
    0xeeeeeeee,0xbddddd50,0x77775c00,0x10011eee,0xdc987260,0x01ecc01b,
    0x00332200,0x200df500,0xb99cfffa,0xcccefffe,0x204ffccc,0x007500d8,
    0x5417ff20,0x00000cff,0xddddddd3,0x2efc8bdd,0x3bfff220,0x7fff4c02,
    0x7ff5c41d,0xfd880004,0xa800ceff,0x7cc07204,0x3a05c881,0x880fa80b,
    0xff53ffeb,0xfd807fff,0xff10000f,0x3ff6003f,0xd803ffa0,0x02c3ffff,
    0xffffffe8,0x06a8002f,0x37ffc400,0x3f207fd8,0x27fe400f,0x401c812a,
    0x01dfffe9,0x00bfffb3,0x5c2effa8,0xeb883603,0xffffb2ff,0xffeb887f,
    0x7fe40004,0x3fe20003,0x02ffc806,0x4407fff3,0x20fdc04d,0x3fe0006a,
    0x13fffa05,0xffb30000,0xff8813ff,0x7ffc00ff,0x1fff5003,0x09ffd750,
    0xffffa800,0xe802ffff,0x36026c0d,0x1ffecdff,0x373bfee0,0xff7504ff,
    0xfb57d57f,0x7ffc40ff,0x5ff50002,0x897ffc00,0x5d302fff,0x9b9ffffb,
    0xfffff500,0x36000dff,0x3f20001f,0x7fd83fff,0xf003ff20,0x903b60bf,
    0x3ffee00b,0x3fffd800,0xe80fdc00,0x33226c0d,0xedfbafff,0x2aa2ffff,
    0x40004ffe,0x20002ffb,0x7ec06ffd,0x1fff401f,0x3fa01260,0x20005f73,
    0x3f200ef9,0x800006ff,0x3e02fff9,0x7fc03fff,0xfff5002f,0x004ffb80,
    0x2efbfe20,0x400ffffd,0x01fb1ef9,0xfffffe88,0xffffc803,0xeffa806f,
    0x202ffc84,0x360006fc,0x77e4003f,0x0b81bf60,0x03bfffa6,0x266673a0,
    0xf8800099,0xbf10005f,0xffb03fee,0x3007fe40,0x3fe601df,0x2a001fb1,
    0x3fe007ff,0x3ee002ff,0xd13df500,0x37ff201f,0x437ffdc5,0x80004ffa,
    0x3ee0002a,0x3ff206ff,0x03ffd804,0xeffa8048,0x3ee0006f,0x0fdaa800,
    0x7fc40000,0x366e601f,0x017ff404,0x3107ff98,0x33339ff5,0x207ba001,
    0xd805fff9,0x2003feff,0x2001dec9,0x3003deb8,0x3fea09ff,0x20000403,
    0x2010004f,0xbca81400,0x000fa800,0x07ffe400,0x3e626c00,0xf903fec4,
    0x007e401f,0x00ffbff2,0x2006ffa8,0x000fffff,0x7fec01f5,0x3fee02fe,
    0x87fff304,0x00004ff9,0x757cc000,0x1fff106f,0x007ffb00,0x3fffa001,
    0x007a0001,0x00000d70,0x74003ffe,0x017ff401,0xfb07ff98,0xffffffff,
    0x403f1007,0x4400fffa,0x00006fff,0xf9800000,0x09ff303f,0x02d40000,
    0x00000000,0x00009d00,0x007ffff0,0x41d10498,0x3ff207fd,0x22007a00,
    0x2000ffff,0x3e006ffa,0x800efffd,0x7ffcc07a,0x017fdc06,0xff889ffb,
    0x00000004,0x906fea74,0x3f600dff,0x2200003f,0x0c0002aa,0x00016c00,
    0x800fff80,0x2ffe8069,0x20fff300,0x99cffa98,0x03a80099,0x9801ffe8,
    0x000001aa,0xff980000,0x009ff103,0x0004c000,0x00000000,0x000befa8,
    0xfff7f700,0x21801800,0x3ff207fd,0xa9800600,0x7fd4001a,0x3eafe006,
    0x07a805ff,0x5c01aaa8,0x3fea02ff,0x0027fc45,0x4d900000,0xfff886fe,
    0x07ffb005,0x00000024,0x00bb0000,0x07ffc000,0x3a00ba20,0xff3002ff,
    0x04ff880f,0x3f200100,0x4000000f,0x800acdb9,0x00acddc9,0xf103ff98,
    0x3b2a209f,0x0000003c,0x0566ee4c,0xacddc980,0xffffe800,0xaf40003e,
    0x00002fff,0xfc81ff60,0x0000000f,0x006ffa80,0x27ffdcfe,0x00001ea0,
    0x7cc05ff7,0x027fc47f,0xf9800000,0x3e61bfa1,0xffb004ff,0x26016a07,
    0x06f6a22c,0x55555510,0x23555555,0x20da82d8,0xf000bdb9,0x175c01ff,
    0x002ffe80,0xf880fff3,0x06f6e24f,0x21ff2000,0xaaaaaaa8,0xa81aaaaa,
    0x3ffcabdf,0x3aeb7f20,0x7fcc02ff,0x509ff103,0x3ffd75bf,0xb51164c0,
    0x5bf90037,0xc805ffd7,0x2ffebadf,0x3ffffe60,0x98000dff,0x00bff91f,
    0xfd80ed40,0x003ff207,0x1e4c03b5,0xff5007b5,0xfb1fc00d,0x03d405ff,
    0x7dc01da8,0x1bfe202f,0x55509ff1,0x36a03555,0xe87d1001,0x3fffa86f,
    0x107ffb00,0x3fae20bb,0xfffff53f,0x77ffcc03,0xfffeeeee,0x7fe4c113,
    0xdffffb0f,0x403ffe00,0x7ff40039,0x0fff3002,0xff74ff88,0x80005fff,
    0xfff985fd,0xffeeeeee,0x542fcc3f,0x86fc85ff,0x3e600ffd,0x89ff103f,
    0x7ffc42fc,0x4fffae20,0x01fffffa,0x3ff61bf2,0xfb0df900,0x2ea6201f,
    0x01fffffd,0xfff136c0,0x7fdc4003,0x40ffb02f,0xfb880ffc,0x7f5c42ff,
    0x05fffb4f,0x2006ffa8,0x0ffff43f,0x3ee207a8,0x7fdc02ff,0x222ffc02,
    0xfffa84ff,0x3fee20ac,0xd0db002f,0x3fff90df,0x33bff600,0x505ffdcc,
    0x7d57ffd7,0x201fffb5,0x3ff201f9,0x3ffef205,0xfffbbdd9,0x00fff804,
    0x0bffa000,0x203ffcc0,0xabebcff8,0x40006ffd,0x01f982ff,0xdf117ff2,
    0xf0fff201,0x05ff509f,0xf881ffcc,0x6c17ea4f,0x3faea3ff,0xfdabeabf,
    0x09ff00ff,0x3fe05ff5,0x002ffa84,0x03bfffa2,0x3f617c40,0x3eee004f,
    0x0ffb02ff,0x5dc07fe4,0x75dc2fff,0xffecccff,0x037fd403,0xfff887f0,
    0x2e07a80e,0x5c02fffb,0x3fe202ff,0x4427fc44,0xff7700ef,0x01f5005f,
    0xfffb0dfd,0x3bff6001,0x05ffeeee,0x64277fd4,0x40b302ff,0xd800effa,
    0x7fc42eff,0x00fff807,0x0bffa000,0x203ffcc0,0xfc84fff8,0xbf30002f,
    0xffa81660,0x102ff40e,0x1ffc1fff,0xf301ffcc,0x93fe207f,0x5ff501fe,
    0x909dff50,0x0ffe05ff,0x7fc0ffe6,0x003ff983,0x004fffc8,0x1fff50f9,
    0x02ffc800,0x3f201ffb,0x0bff200f,0x75277fd4,0x00dff500,0x7ffcc1fc,
    0xfc807a85,0x17fdc02f,0xf885ff30,0x802fc44f,0x7c402ffc,0xf90dfd02,
    0x3f6003ff,0x405d883f,0xff504ff9,0x7c40e607,0xff9001ff,0x003ffa03,
    0x00001fff,0x98017ff4,0x7fc407ff,0x007ff305,0x1cc07f60,0x441fff88,
    0x7fec03ff,0x3e602ea3,0x13fe603f,0xffaa7fc4,0x7cc02200,0x07ff504f,
    0x3fe602ea,0xf3017503,0x3ea0007f,0x04f800ff,0xb8007ffd,0x3ffb02ff,
    0x221ffd10,0x9817fdc0,0xf50006ff,0x81fc00df,0x3d44fffb,0x2017fdc0,
    0x3ee03ffb,0x264ff885,0x3fee004f,0xfd02ec02,0x05fff70d,0x4c0fff60,
    0x81ffcc05,0xe8004ff9,0x3f2003ff,0x03ff900f,0x0000fff8,0x400bffa0,
    0x7c407ff9,0x09ff104f,0x0007f500,0x3ea0fffa,0x2ffdc02f,0x0ffff260,
    0xf105ffa8,0x001fee9f,0xf303ff98,0x7e4c009f,0x326003ff,0x20003fff,
    0x7d401ffd,0x00dff700,0xfb02ffb8,0xffde98bf,0x05ff7091,0x40013fe6,
    0x3e006ffa,0x8bfff203,0x2ffb807a,0x882ffdc0,0x4ff881ff,0xfb8009f3,
    0x803ee02f,0xfffa86fe,0x07ffb003,0x0ffe602c,0x20027fc4,0x64005ffc,
    0x3ff700ff,0x000fff80,0x00bffa00,0x2203ffcc,0x9ff104ff,0x000bd000,
    0x7e417ff2,0x37fd402f,0xff9aeea8,0x41bff203,0x0ffb4ff8,0x81ffcc00,
    0xea804ff8,0x803ff9ae,0x3ff9aeea,0x0ffea000,0x7fc40bd0,0x3fea001f,
    0x9dfffb02,0x7bff31dd,0x205ff509,0x50004ff9,0x1fc00dff,0x547fff60,
    0x02ffa807,0x6c1fffdc,0x59ff103f,0xff50009f,0x2ab3e605,0xffeaaaaa,
    0x9fff12aa,0x80fff600,0x81ffcc00,0x2a004ff8,0x64000eff,0x3ff700ff,
    0x000fff80,0x00bffa00,0x2203ffcc,0x9ff104ff,0x0006d800,0x3601dff5,
    0x7fcc02ff,0xf317f4c6,0xfffd507f,0x4ff88bff,0x20001ffb,0xff103ff9,
    0x317f4c09,0x7f4c07ff,0x000ffe62,0x7cc05ff0,0xeeeeeeee,0x2a005fff,
    0xfd9b02ff,0x7fec1bff,0x02ffa81e,0x20009ff3,0x3e006ffa,0x7fff4403,
    0xffa807a8,0x75ffdc02,0x201eecdf,0x0fffdff8,0x817fd400,0xfffffffb,
    0x7fffffff,0x6c017ff6,0x260003ff,0x9ff103ff,0x07ffe200,0x403ff200,
    0x7fc01ffb,0x3a00000f,0xff3002ff,0x04ff880d,0x64009ff1,0xff88000e,
    0x0fff601f,0x7cc9ff10,0x01ffcc0e,0x653fe200,0xf30001ff,0x13fe207f,
    0x3e6077cc,0x81df303f,0x40003ff9,0x2bb600fd,0xbaaaaaaa,0xf5000fff,
    0x2a2fa05f,0x5403300a,0x9ff302ff,0x17fea000,0xf9803f80,0xa807beff,
    0x7fdc02ff,0x10015532,0x0dff99ff,0x702ffa80,0xffffffff,0x4fffffff,
    0xd801fffa,0x833003ff,0xff103ff9,0x0fffa009,0x807fe400,0x7fc01ffb,
    0xd004000f,0x3e6005ff,0x27fc404f,0x5004ff88,0x3fa0001f,0x2ffdc03f,
    0x7ccbfe60,0x03ff982f,0xb9ffc400,0x985804ff,0x9ff103ff,0xf305ff30,
    0x05ff307f,0x80007ff3,0x00be207e,0xa801fff4,0x009f02ff,0x40bfea00,
    0x50004ff9,0x1fc009ff,0x7ffffa80,0x402ffa80,0x10002ffb,0x13ff69ff,
    0x002ffa80,0xfb037f40,0x7ffb00bf,0xff303a00,0x013fe207,0x80017ff2,
    0xff700ffc,0x00fff803,0x5ffd02c0,0x00ffe600,0x3e209ff1,0x01f9804f,
    0x00bff900,0x5401fff3,0x01ff70ff,0x80007ff3,0xfff52ff8,0x7cc25401,
    0x09ff103f,0xff301ff7,0x301ff707,0x440007ff,0x801ee03f,0xf5006ffa,
    0x00df305f,0x40bfea00,0x50004ff9,0x1fc007ff,0x0ffff700,0xb805ff50,
    0xf10002ff,0x0bffa29f,0x0017fd40,0xf881bfa0,0x7ff402ff,0xf986c803,
    0x09ff103f,0x100effa8,0x00ffc805,0xff803ff7,0x816a000f,0x1da82fff,
    0xf100bfe6,0x13fe209f,0x03003f30,0x2201dff5,0xc80fff62,0x20bff65f,
    0x40004ff9,0x77ff47f8,0xf981f880,0x09ff103f,0xff305ffb,0x305ffb09,
    0x640009ff,0x20027c06,0xfa802fff,0x007fa82f,0x205ff500,0xda804ff9,
    0x8007fea1,0x7fec003f,0x02ffa807,0x80017fdc,0x3fe64ff8,0x2ffa801f,
    0x037f4000,0x4403bfe6,0x7d404fff,0x103ff983,0x7fc409ff,0x900aa01f,
    0x3fee01ff,0x07ffe201,0x3fe02e80,0x537fc43f,0x9ff300bf,0xa813fe20,
    0x442c801f,0x8aa01fff,0xdf01fff9,0x2e0dffa8,0x80195fff,0x2a1fcc3b,
    0xda9befff,0x07ff305f,0x3ea13fe2,0x3ffee0df,0x37fea195,0x657ffee0,
    0x3205fd10,0x007ee00f,0x500dffb0,0x1ff705ff,0x5ff50000,0x1013fe60,
    0x02fdcdff,0x88009f10,0xffa807fe,0x017fdc02,0x5c4ff880,0x7d400eff,
    0x7f40002f,0xbffe8806,0x3ffffa60,0xfdaa999a,0x04ffa81f,0x7f40bff1,
    0x2016403f,0xff701ffd,0x17ffc405,0xb807f4c0,0xfff85fff,0xf5001f94,
    0x17fe209f,0x666677d4,0x40ffcccc,0x16403ffe,0xd887bfe6,0xdffff80e,
    0x3efff8df,0x4577fcc0,0xfffc80ed,0x500effff,0x3fe209ff,0xfbffff05,
    0x87dfff1b,0x8dfdffff,0x3e23efff,0xdebacfff,0x001fe200,0x700bffea,
    0x3ffb07ff,0x7ff70000,0x1017fe60,0x03b69fff,0x000efb80,0x7dc03fc4,
    0x1ffe403f,0x85ff9800,0x7dc06ffd,0x7f40003f,0x3ff6a006,0xffffffff,
    0xffffffff,0x20dff906,0xff907ffa,0x5333333d,0xfff803f9,0x209ffd03,
    0xacffffc8,0xffdcbaaa,0x7fffe445,0xff52dfff,0x32003bdf,0xfff506ff,
    0xffffff50,0x8bffffff,0x9999effc,0x881fca99,0x0ceeeffe,0x47fffb30,
    0xfd003ffd,0xfa809fff,0x6404ffff,0xfff506ff,0x8ffff660,0xfd983ffd,
    0x0fff63ff,0x37ffffee,0x07fec403,0x3fffee00,0x213ff602,0xb00007fb,
    0x3fee09ff,0x7ffdc00f,0xfc8801de,0x002dffff,0x3ff601e6,0xffff9504,
    0xffb80057,0x0dfff886,0x0009ffb0,0x10006fe8,0x00003333,0x9dffffd5,
    0x3bffff6a,0x3ffffe65,0xffffffff,0xfffff901,0x3fffb25b,0xfff912ef,
    0xffffffff,0x007fffff,0x4002aa00,0x5effffea,0x9fffffb5,0x3fffffe6,
    0x2fffffff,0x3fffffe6,0x1fffffff,0x100054c0,0x22000201,0x554c001a,
    0x3fffaa00,0xfffb54ef,0x40220bdf,0x01008800,0x2e001510,0x01efffff,
    0x7fffff54,0x3ffae1ff,0x004c2eff,0x3fffae00,0xfffd52ef,0x2a801bff,
    0x40000000,0x3fffae01,0x555542ef,0xd7002aaa,0x6c9dffff,0x71dfffff,
    0x05dffffd,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0xeeeeeeec,
    0x3bbae06e,0xdd92eeee,0x07dddddd,0xeeeeeeb8,0x8003d981,0xeeeeeeea,
    0x3bbbbb25,0xeeb80eee,0x7100eeee,0x400037b9,0x5540bdb8,0xa80aaaaa,
    0x2e602aaa,0xb0770cdd,0x85dddddd,0x00eeeeeb,0x2079d951,0xeeeeeeea,
    0x64c001ee,0x64c0f6a3,0x806f6a22,0xeeeeeeea,0x0abcccee,0xddddd300,
    0x0009dddd,0x02cecb88,0x3bbbbba6,0x54005eee,0xeeeeeeee,0x77775c1e,
    0x0246eeee,0x3372e0a6,0xeeec849a,0xeeeeeeee,0x24eeeeee,0xeeeeeeea,
    0x0abcccee,0x15555500,0x01aaaa98,0x0140664c,0x3bbbba20,0xeeeeeeee,
    0x982eeeee,0x3ffea23c,0xfd5000cf,0xfffb107f,0x3a60019f,0x3ae21dff,
    0xb10004ff,0xb101ffff,0x9003ffff,0x6fdc07ff,0xeeeefd99,0x2f7a201d,
    0xfd50effd,0xd5015dff,0x9fb105df,0x09fdff95,0x01bfff71,0x54033fe2,
    0x1ffebadf,0x1dfffd30,0x7ff5c400,0x225fffb4,0xff53ffeb,0xe9803fff,
    0xdcceffff,0x003efffe,0x01bfffb1,0xb7bf7000,0x6cc01dff,0x0009ffff,
    0x37fffa20,0x7fffcc00,0x980cd80c,0x26fba21e,0xffd87ffc,0xfffeeeef,
    0x6fffeeee,0xeffffe98,0xefffedcc,0x7ffdd403,0x1fffe4c2,0x19ffff90,
    0xfd98002c,0xcccdffff,0x83ffcccc,0x7fec3ffd,0x02fb8007,0x0007fff4,
    0xd5503fea,0xe80009ff,0x3fe205ff,0x09f3005f,0x7fdc37dc,0x13a02eee,
    0xffe89ffb,0x540fe404,0x7ff440df,0x013ff604,0x217e40df,0xf300fff8,
    0xbb8003ff,0xfecccffe,0x7ffd753f,0xfffb57d5,0x0fffa801,0x3dfff710,
    0x03fff300,0xa83db000,0x3e600eff,0x500002ff,0x32003fff,0x3fe607ff,
    0x6c6ffdce,0xfe87e80f,0x887ff881,0xfff506eb,0x3ffee201,0x17fdc01e,
    0xd303ffb8,0x99ffff97,0x5fcc000b,0x74401fff,0x643ffe84,0xfa8006ff,
    0x17ffd401,0xa80bea00,0x5c0004ff,0x7fe406ff,0x201f5006,0xff884ff9,
    0xe81fd804,0x037fcc5f,0x03fe217a,0xf1027fd4,0x80fcc0df,0x7ffb05fa,
    0x003ffe60,0x5277fd40,0x09dff507,0xf9805ff9,0x7f4400ff,0x7fcc02ff,
    0x7d40000f,0x409ff903,0x0001fff8,0x4fffd4cc,0x99999999,0x199effc9,
    0xefffffb8,0x3cc17e20,0x7ff880f4,0x7fcc1ee0,0x7ff4400f,0x0bfea02f,
    0x1a81ffcc,0x03ffffa6,0xfff6c800,0xb3095003,0x05ffb819,0xe800fa80,
    0x36c004ff,0x0013fe60,0x403fff10,0xc800fff9,0x40bfee06,0x7fc407fd,
    0xffb02880,0x360be201,0x13fe603f,0x3605ffb0,0x5407fa06,0xfff302ff,
    0x37fcc000,0x504ff980,0xff8807ff,0xfffb000f,0x03ffc401,0xa807f400,
    0x7ffc07ff,0x3fe60000,0xffffffff,0xffffffff,0x7107ffff,0x1ff307dd,
    0xf881a1a0,0x441e207f,0xfb000fff,0x3fea01ff,0x207ff302,0x00179502,
    0xfff9fc40,0x40058801,0xa8005ffb,0xfffa800f,0x805f1000,0x80004ff9,
    0x7f403ffe,0x203f803f,0xff901ffc,0x007fcc03,0x6413fe60,0x201ff986,
    0x7cc04ff8,0x502f885f,0x004401ff,0x5799fff3,0x9ff30015,0x40ffe600,
    0x7c404ff9,0xff1000ff,0x3ffc40df,0x33be6000,0xffdccccc,0x03ffe00f,
    0xff533000,0x3333333f,0x3dff7333,0x7c400033,0x028181ef,0x0501ffe2,
    0x4003ffe2,0xf506fff8,0x0ffe605f,0x5c000000,0x4007ffe6,0x2ffdc000,
    0x8007d400,0xf7003fff,0x009ff300,0x80dff700,0x7d406ffb,0x40bfee00,
    0x3ee01ffc,0xffd8000f,0xffb83f80,0x013fe200,0x0d703ffa,0x20003fdc,
    0xfeeefff9,0x3e603eff,0x7ff3004f,0x1013fe20,0x64001fff,0xff102fff,
    0x7dc0008f,0xaaaaaaae,0x3fe00aaa,0xf100000f,0x7fd400ff,0x3f600006,
    0x20000cff,0x10007ff8,0x64001fff,0xffa82fff,0x007ff302,0x5f100000,
    0x0000fffc,0x005ffb80,0xf9000fa8,0x013e00df,0x00013fe6,0xc807ffe2,
    0x17200fff,0x3a07ff30,0x07fe407f,0x227fd400,0x07fc80fa,0x5c027fc4,
    0xb01f44ff,0xf98000ff,0x7ffdc47f,0x009ff305,0x7c40ffe6,0x7ffc404f,
    0x2fffc000,0x1ae7ff88,0x000bf900,0x0003ffe0,0x003ffc40,0x5400dff5,
    0xfffd101d,0xf100019f,0x3e2000ff,0x7fc000ff,0x02ffa85f,0x54007ff3,
    0x3640001d,0x09007ffe,0x017fee00,0x44003ea0,0x7d402fff,0x24ff9801,
    0x2001bdb8,0x3fe04ffd,0x00fe03ff,0x3fe21ffa,0xffeaa983,0x3a002aab,
    0x6c1760ff,0x27fc407f,0x3ea7ff80,0x003ff600,0x507ff980,0xff30bfff,
    0x0ffe6009,0x22027fc4,0x74000fff,0xff880fff,0xd8005f97,0xff00007f,
    0x2200001f,0x3ea007ff,0x7fdc406f,0x3ff2202f,0x44001eff,0xf10007ff,
    0xfe8001ff,0x17fd40ff,0x4403ff98,0x0002fffb,0x3fff0be2,0xb8002d40,
    0xfa8005ff,0x17ff6000,0x3e600db0,0xfffff74f,0x1ffea003,0x837fe7cc,
    0xfd8800fa,0x209fb31d,0xeefffeeb,0x3fea006e,0x3f603f14,0x13fe200f,
    0x4d97fe40,0x000ffe40,0x640fff30,0x7fcc0fff,0x07ff3004,0xf1013fe2,
    0xfc8001ff,0xfff881ff,0xfc8001ed,0xff80000f,0x001b880f,0xa801ffe2,
    0x7ddc06ff,0xfd8802ff,0x22001fff,0xf10007ff,0xfc8001ff,0x17fd41ff,
    0x5c03ff98,0x0002fffb,0x07ffe1b2,0xf70005d8,0x1f5000bf,0x07ffcc00,
    0xf3002f88,0xf937d79f,0x7ffc00df,0xfff8ec81,0x22005d81,0x01deefef,
    0x8000ffb0,0x206c8ffe,0x3e202ffc,0xdff1004f,0xffb801f3,0xff305804,
    0x1fffd40f,0x4c013fe6,0x9ff103ff,0xfff99930,0x05999999,0x220bffee,
    0x0000efff,0x17009ff7,0x6c07ffc0,0xff1001ff,0x37fd400f,0x102ffc80,
    0x20bffd30,0xffcccccc,0x84cccccf,0xcfffccc9,0x702ccccc,0xffa85fff,
    0x007ff302,0x4000bff2,0xbfff82f8,0x5ffdbaaa,0x0bff7000,0x8001f500,
    0x0f904ffe,0x427ffcc0,0xf9002ffc,0x3f67f09f,0x8017c44f,0x6c0002e8,
    0x7d40007f,0x3ee03fcf,0x13fe205f,0x3aaaaaaa,0xaaaaeeff,0x03ffea2a,
    0xfff304a8,0x22fffc40,0xf3004ff9,0x13fe207f,0x3fff3326,0x02cccccc,
    0xf105fff5,0x4c0001ff,0x16600fff,0xfd01fff0,0x3fe2005f,0xffffffff,
    0x06ffffff,0x7305ff70,0x6c1ffe20,0xfffeeeee,0x986eeeee,0xccfffccc,
    0xf502cccc,0x3ff985ff,0x2007ff30,0xb0002ffb,0x3bbffe0d,0x05ffeeee,
    0x00bff700,0xa8001f50,0x04f80fff,0x4c17fe60,0xff5003ff,0xff50fa8f,
    0xd000fa8f,0xffb0000d,0xfffd0000,0x17ffcc01,0xed84ffa8,0xfffeeeee,
    0x0eeeeeee,0x2203bffa,0x0fff301f,0x2627ffcc,0xff3004ff,0x013fe207,
    0x8001fff1,0xfb81fffb,0xfe80007f,0x803d01ff,0x4d980fff,0x01ffe200,
    0x5006ffa8,0x40d305ff,0x3e2007fc,0xff10007f,0xffb8001f,0x827fc41f,
    0xf5004ffc,0x3f30005f,0x4407ffe0,0xfb80405d,0x0fa8005f,0x43fff800,
    0x3e6000fa,0x09ff104f,0xdb17ffc0,0x1761fff8,0x5567fd40,0xd8009999,
    0xfb80007f,0xfffc804f,0x9ffb710b,0x007fe800,0x26fbffea,0x3e605fda,
    0x3fff207f,0x802ffcc2,0xff104ffa,0x0fff880b,0x07ffe400,0x001ffff2,
    0x33fffe60,0xf805fcab,0x100000ff,0x7d400fff,0x5ff5006f,0x3ee07f30,
    0x1ffe2005,0x07ffc400,0x03fff200,0xdd883ffe,0xff5005ff,0xfffb0005,
    0x3fffffff,0xff702cc0,0x005ffb83,0xb8000fa8,0x002ec6ff,0x7c413fe6,
    0x3ff2004f,0x9ff90fe4,0x7d400be2,0xffffffff,0x1ff602df,0x00ffc000,
    0x7fffff44,0x004ff8cf,0x32003ff4,0xefffffff,0x41ffe600,0xfb86ffe8,
    0xffc800ff,0x80fff506,0x4000fff8,0x3b627ffd,0x00007ffa,0xfffffff7,
    0x1fff003f,0x3fe20000,0x1bfea007,0x4c17fd40,0x3fa20bff,0x1ffe2000,
    0x07ffc400,0x41fff600,0xbfddfffb,0x405efff9,0x4c002ffa,0x999999af,
    0x02c01fff,0xffa89fff,0x007b8005,0x225fff10,0x7fcc002f,0x009ff104,
    0x0fabffcc,0x0fabffd4,0x3fffea00,0x4fffffff,0x0000ffb0,0xfd8801b6,
    0x9ff13fff,0x33333330,0x33333ffd,0x3ffea033,0xff9804ff,0x1fffe987,
    0x3fffffaa,0xfffea80d,0xfffb54ef,0x3fe20bdf,0x7ffc000f,0x3fe23725,
    0x3a600007,0x000effff,0x00001fff,0xa801ffe2,0xff5006ff,0xbffdf305,
    0x880019db,0xf10007ff,0xff8001ff,0x3fff605f,0x039ff32f,0x8005ff50,
    0x0fffc04e,0x85ffb000,0xb8006ffa,0x3ff60007,0xf3000f95,0x13fe209f,
    0xbb5ffd00,0x176bffe0,0x26669700,0x07fcbaaa,0x20000ffb,0x1a88003f,
    0x7fc27fc4,0xffffffff,0x0fffffff,0x4002fa60,0xdca9fff9,0x0001efff,
    0x22000000,0x2a000fff,0xf8862fff,0x4008007f,0x2000fba8,0x04000fff,
    0x2007ff88,0xf5006ffa,0x7cc4205f,0x3fe20002,0xfff10007,0x7ffd4001,
    0x260d4402,0x3fea000f,0x003ea002,0x80003fff,0x07ff981a,0x20005d80,
    0x04f9fff9,0x104ff980,0xfb8009ff,0xff902fdf,0x35c005fb,0xfb03f300,
    0x1f50000f,0x7fc40000,0x99999984,0x9999ffe9,0x6fcc0199,0xffff3000,
    0x0037bddf,0x20005bf7,0x44000cff,0x3a000fff,0x3fe205ff,0x70058007,
    0x0fff800f,0xff882c00,0x1bfea007,0x4017fd40,0x10000cfa,0x22000fff,
    0x3a000fff,0x360005ff,0x17fd4006,0xff009d00,0x014c003f,0x4005fff0,
    0x740004f8,0x8000feff,0xff104ff9,0xfff88009,0xffff300f,0x0027cc00,
    0x01ff603e,0x00013a00,0x8009ff10,0x320007fe,0xff3005ff,0xfea8000f,
    0xffd8000f,0x7ffc4005,0x1fff9000,0x003ffc40,0x17ec012e,0x001fff00,
    0x7ff882d4,0x01bfea00,0x6c017fd4,0xf10004ff,0x3e2000ff,0xff9000ff,
    0x7fc0001f,0x0bfea000,0x7c007dc0,0x03a001ff,0x02ffe401,0x80001fb0,
    0x0005fffa,0x3e209ff3,0xffe8004f,0x02fff405,0x5c00bfb0,0x000ffb05,
    0x00000fb8,0x20027fc4,0x540007fe,0xfff3007f,0x7fd00001,0x01fea000,
    0x001fff10,0x9805fff7,0xf1000fff,0x03bf2003,0x007ffe20,0xfff302e8,
    0x1bfea001,0x8017fd40,0xf30006fb,0xf10001ff,0xff7001ff,0xfe80005f,
    0x5ff5000c,0x2009f100,0xd9001fff,0xf8827f44,0x4fd803ff,0x5fff0000,
    0x13fe6000,0x40027fc4,0x7e402ffb,0x3ff6002f,0x81b2201c,0xf7000ffd,
    0x0005f99d,0x00bff100,0x0000ffe8,0x7cc013ee,0xf80000ff,0x9f50000f,
    0x0fff9800,0x07bff620,0x007ffe60,0xf8801fa6,0x883badff,0xe9802fff,
    0x1fff300f,0x01ffee00,0xc801ffdc,0xff50003f,0xff30001f,0x7fec401f,
    0xfa80001e,0x702cacff,0x3fb007ff,0x03fff100,0x7fdc7f70,0x37ffa207,
    0x9fd9510a,0x37dc0000,0x09ff3000,0x20017fe2,0x7f9807f8,0x7fffc400,
    0xcfedccee,0x003ffa00,0x027ffff4,0x6ff98000,0x0bffe600,0x03bee600,
    0x13fff620,0x1fed4400,0x077dcc00,0x9fffb100,0xffb95357,0x7fec007f,
    0xcaaabcef,0x4004ffdc,0x883efec9,0xaacffffc,0x5ffdcbaa,0x00ffff20,
    0x4017fff4,0x64c05ffd,0xfb0000ef,0xd88009ff,0xa9abcfff,0x003fffdc,
    0x77fed400,0x017ff602,0xf7005ff7,0x33335bff,0x4c3ffd75,0x7dc405ff,
    0xdfffffff,0x7c400001,0x3fee0003,0x00fff506,0x27401360,0x7ff5c400,
    0x401dffff,0x7004fff9,0x00007dff,0x9fffd510,0x7fff5c05,0x2a003eff,
    0xffd9801b,0x00cfffff,0x8000ae60,0x366000bb,0xffffffff,0x009acdef,
    0xffffed98,0xffffffff,0x00002fff,0x7ffffe44,0xffffffff,0x764c3fff,
    0x1cefffff,0x7ffffed4,0xffeb84df,0xba883eff,0xffc98000,0x00cfffff,
    0x3fffff66,0xacdeffff,0x00000009,0x3ffffae0,0x7fff4c3e,0x7fe443ef,
    0xffffffff,0x886fffff,0x5d54c002,0x000000aa,0x3aa0002e,0xb55effff,
    0x009dffff,0x03500198,0x09a98800,0xffffda80,0x0c402cef,0x55300000,
    0x00055555,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x33772600,0x0c40000a,0x405e5400,
    0x82602603,0xeeeeeeea,0x00abccce,0x3bbbbb20,0xeeeeeeee,0x3aa5eeee,
    0xeeeeeeee,0x400aaccd,0xeeeeeeea,0x0abcccee,0xddddd300,0x800bdddd,
    0xeeeeeee9,0xeeeeeeee,0x777540ee,0xeeeeeeee,0xd52eeeee,0xdddddddd,
    0xeeeeeb83,0x3ba26eee,0x3eeeeeee,0xddddddd5,0x7774c3dd,0x200eeeee,
    0xeeeeeee8,0xeeeeeeee,0x3bbbaa2e,0x640000ee,0xd74eeeee,0xdddddddd,
    0x777775c0,0xdddd51ee,0x5999dddd,0x3bbba601,0x40eeeeee,0xeeeeeee8,
    0x76400c05,0xeeeeeeee,0x22011005,0xaaaaaaaa,0xaaaaaaaa,0x7640f662,
    0xeeeeeeee,0xeeeeec85,0x6405eeee,0x2ffebadf,0x09ff3000,0x1fffff40,
    0x90ffe416,0xffe981ff,0xffedcdef,0xdffb002e,0xdfffdddd,0x0dfffddd,
    0x79bfffd3,0x1bfffb97,0xffffe980,0xffffdcde,0xffb3003e,0x400013ff,
    0xcccfffd9,0xffeccccc,0x9fffd301,0xfdb99999,0xfffe887f,0x7ffcc00d,
    0xff9100cf,0x3fa605df,0x3ee00dff,0xf8801dff,0xccccceff,0x06fffccc,
    0x009ffff3,0x5ffffcc0,0x7ffff4c0,0xffd8800e,0xfffd302f,0x7ffffbbd,
    0x3fff6e20,0x3e200aff,0x1d401dff,0x7ffffec0,0x7006ffff,0x00006607,
    0x6c17ff47,0xffffffff,0xffffd87f,0x207fffff,0x0ffd86fc,0x06ffc800,
    0xfffb5b50,0x3fa07b7f,0x20fffe4f,0xff707ffa,0x03fb009f,0xf301fff1,
    0x81ffea0f,0x401fffc8,0x2e207ffa,0x9802efff,0x00002fff,0x5001fff1,
    0x3ffd405f,0x7d41fdc0,0xff9001ff,0x0fffe00f,0x803fff50,0x26002ffb,
    0xfff9004f,0x7fffdc03,0xfff90000,0x3fffd80b,0x003bee00,0xfd30fff5,
    0x7fe401bf,0x07fd007f,0x26200fa0,0x99999999,0x303f8800,0x3a380003,
    0x999882ff,0x81999999,0x99999998,0x13fe0199,0x2000bfea,0x19003ff9,
    0x037fff54,0x7fe43ff7,0x207ff980,0x7402fffa,0x01fff102,0x3ffcc1e6,
    0x007ffe40,0xd100fff3,0xf8805fff,0x100001ff,0x36001fff,0x01ffe602,
    0x7ffcc26c,0x0dff7000,0x300bffe0,0x74401fff,0x02d4001f,0x403fff98,
    0x003ffffa,0x04ffff88,0x0037ffc4,0xff3003fb,0x1bffe60f,0x807fff90,
    0x7f7003fa,0xc8000000,0x0003303f,0x00136638,0x7c000000,0x03ff983f,
    0x02800200,0x00801795,0x03ffc401,0x0d017ffa,0xd007ffc4,0x401ffe20,
    0x3e204fff,0x3ff6007f,0x07ffc01f,0x1fff0000,0xf980aa00,0x1093007f,
    0x7d400fff,0x5ffd006f,0x207ff880,0xa8001fe8,0x5ffe8803,0x6ffdf980,
    0xffdfc800,0x2fffa804,0x1003f980,0x7fdc0fff,0x7fff400f,0x2009f100,
    0x00003ffa,0x40ffea00,0x01c00019,0x00000000,0xff301750,0x00000007,
    0x88000000,0x7fe407ff,0xf880a00f,0x440a00ff,0xffb007ff,0x03ffc40d,
    0x80dfff30,0x00000fff,0x08003ffe,0x801ffe60,0x007ff880,0x7401bfea,
    0x7fc402ff,0x003fb107,0x3f6006e0,0xaf9800ff,0x7c002fff,0xb004ffcc,
    0x6d801fff,0x81ffe200,0x4403fff9,0x0dd05fff,0x2b7ffee0,0x2aaaaa2a,
    0x0d5554c0,0xaadfffc8,0x70000662,0x336e6000,0xd971000a,0x32600059,
    0x00003fff,0x00000000,0x203ffc40,0x0001fffb,0x0001fff1,0x3200fff1,
    0x3fe206ff,0x7ffe4007,0x003ffe02,0x00fff800,0x0fff3000,0x07ff8800,
    0x401bfea0,0x7c402ffe,0x01fe887f,0x7fd40000,0x73f3002f,0x7dc00dff,
    0x1004ffc8,0x7d40bfff,0x1ffe2001,0x500bfff0,0x0fc85fff,0xeffeeb80,
    0xff750eee,0xfffc985f,0xeffeeb83,0x000666ee,0xdfa80070,0x403ffcab,
    0xeffdbdfb,0x35dd5000,0xaa8807ff,0xaaaaaaaa,0x22c981aa,0x2001bda8,
    0x7fc401da,0x07ffec07,0x0fff8800,0x07ff8800,0x4409ffd0,0x7c4007ff,
    0x3ffe05ff,0x3fe00000,0x400cc00f,0x01407ff9,0xa801ffe2,0xffd006ff,
    0x47ff8805,0x00001fe8,0x02fffc40,0xfff13f30,0x7e57a005,0x3fea004f,
    0x004f882f,0x3e03ffc4,0xffb005ff,0x0007ee1f,0xfb807ff3,0x07ff702f,
    0x1981ffcc,0x3001c000,0x0bff50bf,0xdff507b6,0x317f4c01,0xff9807ff,
    0xfeeeeeef,0xffd713ff,0x3ffffea7,0x3ffee201,0x03ffc402,0x000bfff1,
    0x0007ffc4,0x4c03ffc4,0x3e201fff,0xffe8007f,0x01fff00f,0x07ffc000,
    0x3e600ae0,0x1016607f,0x7d400fff,0x5ffd006f,0x227ff880,0x000001fe,
    0x000effd8,0x2ffe47e6,0xffc8fd40,0x77fec004,0x44003640,0x3fe607ff,
    0xfff1003f,0x30007f39,0xffa807ff,0x407ff302,0x03303ff9,0xf1003800,
    0x0fff201d,0x3ff207f5,0x981df304,0x0fcc03ff,0x5d4bff90,0xabeabffe,
    0x7700fffd,0xf8805fff,0x3fff607f,0x3fe20000,0xff88000f,0x27ffcc07,
    0x001ffe20,0x7c07fff6,0x200000ff,0x3a200fff,0x07ff9802,0xfff10176,
    0x037fd400,0x4402ffe8,0x03fd17ff,0xff700000,0x1f98003f,0xe803fff1,
    0x0013ff26,0x7cc9fff1,0x7ff88002,0x003fff20,0x05ffffa8,0x807ff300,
    0xff302ffa,0x81ffcc07,0x01c00019,0x3e205fe8,0x403fa0ff,0xff987ffa,
    0x403ff982,0x3bfea059,0x84effa80,0x7e402ffc,0x3ffc402f,0x0077ff54,
    0x03ffe200,0x2fffe200,0xffdca99a,0x7ff8802e,0x2fffb800,0x0001fff0,
    0x555fffc0,0x02ffccaa,0xcccfff98,0x4405ffcc,0x99999fff,0xffb99999,
    0x05ffd006,0xff9fff88,0x98000003,0x98004fff,0x817ff61f,0x13ff22f9,
    0x47ffea00,0xff10005e,0x0fffea0f,0x07fff600,0x01ffcc00,0x7cc0bfea,
    0x0ffe603f,0x0e0000cc,0xb00ffe20,0x33be67ff,0xffdccccc,0x407fdc0f,
    0x1cc03ff9,0x301fff88,0x3fea09ff,0x017fdc03,0x3b73ffe2,0x0002dfff,
    0x001fff10,0xffffff10,0x05ffffff,0x001ffe20,0x7c0bffea,0x200000ff,
    0xeeeeefff,0x9802fffe,0xeeeeefff,0x7fc405ff,0xffffffff,0x06ffffff,
    0x8805ffd0,0x2fffefff,0x7f400000,0x3f30006f,0xd807ffcc,0x0027fe46,
    0x0fceffd8,0x7fff1000,0x5fffb535,0x3ffe2000,0x7ff30005,0x302ffa80,
    0xfdd907ff,0x0ccddddf,0x2a00e000,0x7fdc02ff,0x5555df75,0x81555555,
    0xff982ffd,0x3ffa0004,0x40ffe603,0x7dc04ff9,0x7ffc402f,0x00fffcaa,
    0x3ffe2000,0x7ff88000,0xeffeba88,0x03ffc402,0x817ffdc0,0x00000fff,
    0xf9803ffe,0x07ff9802,0xff880bb1,0x1bfea007,0x2017ff40,0xfff9fff8,
    0x9000002f,0x20003fff,0x27fec1f9,0x3ff21fcc,0xfff10004,0x7c40005f,
    0xcdeecbff,0x3ea0000a,0x98002fff,0x7fd403ff,0x707ff302,0x999bffb9,
    0x0e0000cc,0x805ff903,0x0bf96ffa,0x06ffd400,0x032bfff7,0x405ffc80,
    0xff103ff9,0x02ffa809,0x3f63ffc4,0x2200006f,0x88000fff,0x7ec407ff,
    0x3fe205ff,0xfffc8007,0x001fff00,0x007ffc00,0x3fe600b2,0xf1016207,
    0x7fd400ff,0x05ffd006,0xff17ff88,0x800005ff,0x0003fff9,0xfff507e6,
    0xffc87c81,0x3fee0004,0x7fc40006,0xf1000007,0x001fffb9,0x5403ff98,
    0x7ff302ff,0x981ffcc0,0xf89c0001,0x0bff61ef,0x3f6dff30,0x7ffc0007,
    0xfff8dfdf,0x3fea003e,0x1ffcc00e,0x5404ff88,0x7fc402ff,0x01fffc47,
    0x0fff8800,0x07ff8800,0x205fffb0,0xd8007ff8,0x3ffe07ff,0x3fe00000,
    0x4015400f,0x02c07ff9,0xa801ffe2,0xffd006ff,0x27ff8805,0x002fffe8,
    0x0bffd100,0xe81f9800,0x20fe23ff,0x20004ffc,0x40006ffa,0x00007ff8,
    0x3ffe2bd0,0x1ffcc005,0x4c0bfea0,0x3fe603ff,0x80003303,0x6cbfff73,
    0x7fc403ff,0x0001ff94,0xb1fffecc,0x7c4007ff,0xff9801ff,0x809ff103,
    0x7c402ffa,0x1fff987f,0xfff88000,0x7ff88000,0x0bfff500,0x2001ffe2,
    0x3fe06fff,0x3e00000f,0x800800ff,0x40007ff9,0x2a007ff8,0xffd006ff,
    0x47ff8805,0x002fffe8,0x00fffc80,0x540fcc00,0x203ee7ff,0x20004ffc,
    0x40006ffa,0x00007ff8,0x3fea0ed8,0x3fe6002f,0x817fd403,0x3e603ff9,
    0x0003303f,0x1ffff338,0xf3017fee,0x013fee5f,0xc808802e,0x3ffe8004,
    0x207ff300,0x7d404ff8,0x3ffc402f,0x000effc8,0x007ffc40,0x003ffc40,
    0x3e20ffff,0x7fd4007f,0x03ffe02f,0x7ffc0100,0xff300000,0xff88000f,
    0x1bfea007,0x2017ff40,0xfe887ff8,0x2a0002ff,0x80002fff,0x7ffd01f9,
    0x27fe413e,0x0dff5000,0x07ff8800,0x40fdc000,0x3000fffd,0xff9807ff,
    0x409ff303,0x03303ff9,0x22a63800,0x01fff31f,0xff987fd4,0x0016600f,
    0xf9000fe2,0x7fcc00bf,0x809ff103,0x7c402ffa,0x17ffa07f,0x1fff1000,
    0x0fff1000,0x882fffc0,0x7f4007ff,0x07ffc05f,0xfff81600,0xf981c000,
    0x7c40007f,0x3fea007f,0x05ffd006,0xd107ff88,0x10005fff,0x5800bfff,
    0x3ee03f30,0xf900fbef,0x7d40009f,0x7c40006f,0x2600007f,0xbfff103f,
    0x013fe200,0x3f209ff1,0x13fe604f,0x0e0000cc,0x07ffb1a6,0x3ffa2fe4,
    0x0003d01f,0x7d400df3,0x985100ef,0x9ff103ff,0x402ffa80,0x3e207ff8,
    0x220003ff,0x88000fff,0xff1007ff,0x1ffe207f,0x00fffb80,0x50007ffc,
    0x007ffc0b,0x3fe60b30,0x7fc40007,0x1bfea007,0x2017ff40,0x3a207ff8,
    0x6c002fff,0x26000fff,0x2203f305,0x3205ffff,0x2a0004ff,0x440006ff,
    0x100007ff,0xfffb80bf,0x5cdff003,0x220fff81,0x2206ffdd,0x0cc2e6ff,
    0x0f60e000,0x3e03fff3,0xcffff986,0x0005fcab,0xf1005ff1,0x215403ff,
    0xff103ff9,0x02ffa809,0x5007ffc4,0x20003fff,0x8000fff8,0xfb007ff9,
    0x3fe201ff,0x7fff7007,0x01fff880,0x7fc40ba0,0x05d1001f,0x0001ffe6,
    0x2001fff3,0xff006ffa,0xfff9805f,0x3fffa200,0x5fff7003,0xf304d800,
    0x0fffe403,0x0009ff90,0x00037fd4,0x0001ffe6,0x7ec01ba2,0xffe801ff,
    0xfff703ef,0xfff37fbb,0x3bffa0bd,0x0000663e,0xf980ea87,0x03b621ef,
    0x7fffffdc,0x360001ff,0x40cbbeff,0x16403ffe,0x7c413fea,0x1ffdc05f,
    0x003ffe60,0x0003fffb,0x0003fff3,0xc880fff5,0x3e602fff,0x7fec407f,
    0xfff8800e,0x00fe9802,0x1003fff1,0x3fe601fb,0x3e60000f,0xff7000ff,
    0x0fffe00f,0x801fff30,0x404ffff9,0x2004fff8,0x5f302fb8,0x2037fc40,
    0x20004ffd,0x40007ffb,0x0000fff9,0x4c007fa2,0x4400efff,0x7ec04ffe,
    0x9ff32fff,0x1f7ecc03,0x27000066,0x3a200dd8,0x00ceeeff,0x77ffff4c,
    0x6dc40000,0x7fe41cff,0xa999999e,0x37fe41fc,0x6c07ffa8,0x3f6204ff,
    0x7f4404ff,0x91000bff,0x88009fff,0x9abcfffd,0x0efffba9,0x33fff620,
    0xffdba9ab,0xff91003f,0x755559ff,0x5c0bffb9,0x999adfff,0x05ffba99,
    0x007fffb1,0x0ffff220,0x07fffa20,0x40bfff70,0x403fffd8,0xaefffff8,
    0xabfffe80,0xbaaaaaaa,0xd881fffd,0x0bf200df,0x00ffff98,0x2fffd880,
    0xfffb1000,0x3fea0009,0xfff3002f,0x001003df,0x02a20d44,0x99b30080,
    0x99999999,0x2ab99999,0x0054c001,0x00055440,0xfff30000,0xffffffff,
    0x3ffaa3ff,0xffb54eff,0xfeb8bdff,0x3662efff,0xcfffffff,0xfffff301,
    0x3ff2601d,0x00cfffff,0x3fffff66,0xeeffffff,0x3ff6602c,0xefffffff,
    0x88009acd,0xfffffffc,0xffffffff,0x7ff6443f,0xffffffff,0x4c2fffff,
    0xeffffffd,0xffd9800c,0x41ceffff,0xffffffda,0x3fff224e,0xb32dffff,
    0x9dffffff,0xffffeb81,0x3ee5ffff,0xffffffff,0xffffffff,0x7fffecc7,
    0x706981df,0xdffffffd,0xfffb5007,0x2009dfff,0xffffffd9,0xffb800cf,
    0x300effff,0xfffffffb,0x0000003f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xdddd9000,0x90bddddd,0xdddddddd,
    0x00a200bd,0x00015000,0x00001000,0x08000044,0x003880dc,0x0566ee4c,
    0x0a200000,0x82b3b2e6,0x002ceca8,0x00159b73,0x407101b8,0x502cecb8,
    0x22355555,0x42aaaaaa,0x100aaaa8,0x71037b97,0x553039b9,0xa8835555,
    0x55552aaa,0xaaaa9815,0x566e5c01,0x76544049,0x4000603c,0x00000661,
    0x07b51e4c,0x2aa2076a,0xaaaaaaaa,0x22c981aa,0x2601bda8,0x21aaaaaa,
    0x54c2aaaa,0x88aaaaaa,0x01aaaaaa,0x7ec00ec4,0xffffffff,0xfffffd87,
    0x3007ffff,0x1f80000f,0x66dc4000,0x5547e21b,0x554c0aaa,0x00efb9aa,
    0xb02b36e6,0xd80754bf,0x75bf9003,0x00005ffd,0xfc89fb30,0x99ffea9c,
    0x0dffebef,0xf957bf50,0x81aa007f,0xb7bf703e,0xfea81dff,0x3faa1dff,
    0x7dc43dff,0x9bfb80df,0xbf30efda,0xc989ff95,0xa80bffff,0xff752efd,
    0xfffc985f,0x937dd103,0x6fd40fff,0x4c1ffeba,0x5e6e542f,0x77d4be60,
    0xeb880002,0x5fffb4ff,0x20bffee2,0xeeeefff9,0x713fffee,0x3fea7ffd,
    0xf7301fff,0x7dc3bfff,0x7fe4c3ef,0xffb13dff,0xfc80179f,0x99998806,
    0x88199999,0x99999999,0x00f30019,0x0001f800,0xffb77bd3,0x7dd47d19,
    0x7fe4c2ff,0xa82ffcbf,0x3ffcabdf,0x05e83ffa,0x6fc805f3,0x0000ffd8,
    0xd85bfd50,0x7fffc46f,0x4c2ffcc2,0x05ffa85f,0x07d817cc,0xeffa83db,
    0x881ffe80,0x17a00fff,0x77f417ec,0x27fdc2fa,0x2e02ffe4,0x02ffb80f,
    0x3f607ff7,0x5f907e80,0x5c0fff88,0xecdffbaf,0x4c4fabff,0x0000bffd,
    0x999ffd77,0x3eee7ffd,0x01f982ff,0xeba97ff2,0xdabeabff,0x3e200fff,
    0x077c44ff,0xf10fff70,0x37e4003d,0x00000000,0x0001e600,0xf10003f0,
    0x09fff509,0x7dc0bff2,0x4c1fe8bf,0x35ffa85f,0xb04f98df,0x427fc03f,
    0x20002ffa,0x881cffb8,0x6ffe84ff,0x7c43ffb0,0x07ff900e,0x1fdc1ba2,
    0xffc81fd4,0x903ffa84,0x07e203ff,0x7fcc1bea,0x81fff07f,0x1f407ff8,
    0xf302ffa8,0x20bf107f,0xb05fa879,0x7ff707ff,0x409ff510,0x001cffc8,
    0x549dff50,0x982ffc83,0x03bfea05,0x3213bfea,0x7fcc02ff,0x3003b20f,
    0x05e88bff,0x4fa866c4,0x00000772,0x07980000,0x000fc000,0x7e403fa2,
    0x05ff504f,0x07b37fe6,0x3f201df1,0xfe80eddf,0xf00ef983,0x07ff307f,
    0x17ff9300,0x641ffc40,0x9ff704ff,0xff102ff4,0x505fd01f,0x403fa0df,
    0xdff07ffa,0x5c13fe60,0x204ff886,0xffd05ffe,0x205ff905,0x5ff500f9,
    0x260ffe60,0xfd0d00ff,0x20bfea03,0x27d401fb,0x16ff5c40,0x01bfe600,
    0x1cc17fdc,0x301fff88,0x3fea09ff,0x35ffc803,0x9ff1003f,0x7d4027cc,
    0xfb2f88ef,0x3772609f,0x6d4000ac,0x00798001,0x2000fc00,0x3ff604fd,
    0x02ffa80f,0x7f409ff3,0x03ffe205,0xfd82ff98,0xf3017505,0x7ed4007f,
    0x40e6002e,0xccccdffc,0xff15ffdc,0x43ffd807,0x3ff986fc,0xccccef98,
    0x80fffdcc,0xff881ffc,0xfa83e80f,0x3bfee03f,0xffeccccc,0x905ff983,
    0x817fd409,0xff883ff9,0x7fd4181e,0x3e202200,0x003f5003,0x801f7ed4,
    0xf7004ff9,0xffe8005f,0x40ffe603,0xfd004ff9,0x22007f7f,0x009f34ff,
    0x4fcf7fec,0xfc80effd,0x02ffebad,0x017ffdc4,0x00003cc0,0x7ff0007e,
    0x13ff7b20,0x7cc0bfea,0x07ff103f,0x6c02ffd8,0x27fcc1ff,0x3fffc980,
    0x0eff5c40,0xffc88000,0xaaaaaacf,0x05ff52aa,0x3ee5ffb8,0x837f442f,
    0xaaaaaefb,0x980aaaaa,0xfffb84ff,0x7e407cc3,0x33fe602f,0xaaaaaaaa,
    0xf01ffb01,0x817fd403,0xffb03ff9,0x3fdc019f,0x4007b800,0xfc98004f,
    0x3fe600cf,0x05ff5004,0x202ffe40,0xff103ff9,0x3ffe6009,0x33fe2005,
    0xa88004fa,0x00bdeffd,0x1ffb0df9,0x17ffddc0,0x0003cc00,0xf98007e0,
    0xfb8eb82f,0x02ffa85f,0x3ea07ff3,0x27fdc02f,0xb03bfe60,0x775405ff,
    0x9103ff9a,0x000019ff,0x3ff33f66,0x0bff2001,0x3eadff50,0x02ffe86f,
    0xd0000bf9,0xdff5f0ff,0x3ffb04c8,0x001ffcc0,0x6a89ff50,0x9817fd40,
    0xffd103ff,0xffb019ff,0x00172000,0x5c4000b9,0xff981dff,0x05ff5004,
    0x003bfea0,0x3e207ff3,0x3fee004f,0x37fe2005,0x88000fff,0x200befdb,
    0x2ffa84ff,0x002ffc80,0x40000798,0x3fee001f,0xffa87d42,0x302ffa86,
    0x3ff207ff,0x037fd402,0x3ea17ffc,0x22fe986f,0xff983ff9,0x36200005,
    0x05ff70cf,0x2017fec0,0x9ff96ff9,0xb00fff98,0xf70000ff,0xffcb545f,
    0x7ff407e1,0x013fe202,0x3e8ffd00,0x9817fd40,0x3f2203ff,0x7ec1efff,
    0x04d8000f,0x80003d40,0x7fcc4ffb,0x05ff5004,0x003fff10,0x3e207ff3,
    0x3fe6004f,0x9ff1002f,0x5c00dff9,0xffaeaffe,0x983ff84e,0xffb803ff,
    0xfffffc82,0xffffffff,0xff53ffff,0xffffffff,0x9fffffff,0x3f327fec,
    0x7d43ffcc,0x07ff302f,0xf300bff6,0x4ffb80df,0x7cc0ffe8,0x81ffcc0e,
    0x0002efea,0x3ee0ff4c,0x3ff6003f,0xd27fc403,0x4ffa81ff,0x0001ff90,
    0x4ba5ff88,0x40d54ff9,0x7fc03ffd,0x7fdc0006,0xfa801f32,0x07ff302f,
    0x3ffffb10,0x4000ffe4,0x035c004d,0x33ff2200,0x8027fcc0,0xfe802ffa,
    0x7ff3003f,0x4013fe20,0x00fffce8,0xffb4ff88,0x3fff5009,0x7ffd13f1,
    0xff980ba8,0x82ffa803,0x99999998,0x999999fa,0x33331099,0x337f3333,
    0x64133333,0x883f35ff,0x2ffa85ff,0x3607ff30,0x7fc403ff,0x542ffc04,
    0x17fcc1ff,0x2601ffcc,0x4000bffc,0xffa84ff8,0xbff72804,0x222ff980,
    0x0ffc84ff,0xb804ffb8,0x2a3ff600,0x03dbff46,0xf8813ff2,0x80e200ff,
    0x00996ff8,0x3e605ff5,0xfd30103f,0x027fdcbf,0xb001ae2c,0x3f660009,
    0x13fe602e,0x2017fd40,0x26005ffc,0x9ff103ff,0x7fdd7600,0x14ff8805,
    0xf9805ffd,0x3a27f51f,0xffc9802f,0x2ffa803f,0x00079800,0xf5000fc0,
    0xf305f1df,0x05ff507f,0x7dc0ffe6,0x17fcc05f,0xfd01df70,0x301ff705,
    0x322007ff,0xf7001cff,0x0fff101f,0x1fff33b8,0x2607fd40,0x85fd80ff,
    0x2600fff9,0x75ffd405,0x07dffdc3,0x440fff50,0x07605fff,0x03f5ffb0,
    0x2607ff30,0x103983ff,0x7ffd4fff,0x5f312a00,0x0007e600,0x3003bfd5,
    0x3ea009ff,0x3bfea02f,0xff985100,0x009ff103,0x1ffec1d7,0xf993fe20,
    0x320401ff,0x3aa0045f,0x803ff9ae,0x98002ffa,0x0fc00007,0x7dfff100,
    0x2607fe60,0x7ff303ff,0x803ffe60,0xff100ffa,0x3609f701,0x4ff982ff,
    0x2dfea800,0xe817fec0,0x41f304ff,0x3f203ffd,0xd109f705,0x3fffd03f,
    0x3fe007a0,0x5fff887f,0x502ffe80,0xf505ffff,0x0dfff300,0x6413fe20,
    0x206984ff,0x77ff47fc,0xfc81f880,0x1005e800,0x40019ff9,0xf5004ff9,
    0x3ffe205f,0xff30aa01,0x013fe207,0xfff883f3,0x713fe201,0x6c001dff,
    0x5fd3006f,0x5401ffcc,0x798002ff,0x00fc0000,0xb817ff20,0x0bff105f,
    0xfd813ff2,0x817f203f,0x40bf01fb,0x3ee0dffa,0x800195ff,0xb80befd9,
    0xfffc85ff,0x4fda89df,0xf80fffcc,0x4407e406,0xffff985f,0x005fcabc,
    0x3f209ff9,0x6ffa802f,0xdfffffb0,0x2009fd77,0x3e002ffe,0x3f7620ff,
    0x703f985f,0xefffa8bf,0x505fda9b,0x3fa603df,0x5f7ecc03,0x5ff98000,
    0x207ff700,0x16403ffe,0x7c413fea,0x40fe205f,0x3ea06ffb,0x06ffd85f,
    0x2600fea0,0x1ffcc0ef,0x0017fd40,0x200003cc,0x7fc4001f,0x401dd01f,
    0x37621fff,0x3fe605ff,0x440df01f,0x801d703f,0x8dfdffff,0x0003efff,
    0x8833ff22,0x5ebbefff,0xfffffff9,0x87bfe60b,0x4d800ed8,0xff703f30,
    0x03ffffff,0x4c03fe20,0x3ff2007f,0x3a33f665,0x06ffffff,0x7001fea0,
    0x37fbbfff,0x7ccbdfff,0x03fa20bf,0x3ffffff2,0xdcfa80ef,0xdfdbabdf,
    0xdfea82fc,0x7fdc0002,0x4ffd800f,0x999effc8,0x41fca999,0xff506ffc,
    0x407fa20f,0xf905fff8,0xbfff30df,0x7cc00001,0x03ff982f,0x8002ffa8,
    0x7c000079,0x7ff64001,0x003f621e,0x7fbdfff7,0x20bdfff3,0x76c1eff9,
    0x74413200,0xfffd9800,0x000fff63,0x51ff5c40,0xc85dfffd,0x00cfffff,
    0x3bbbffa2,0x01d1000c,0x7ff4c16e,0x74000eff,0x20027404,0x2ffefff9,
    0x37ffff62,0x0027c000,0x997fffec,0x77cc1cff,0x00ceddff,0x13ffffea,
    0xfd9327cc,0x997dc5bd,0x40001cff,0xdfffffea,0xffffeb80,0xfffff32e,
    0xffffffff,0x3ffffaa3,0xffffb54e,0x7fffccbd,0x7ffff542,0xfffff73f,
    0x7ffffc9d,0xb80001df,0x3ff980ff,0x002ffa80,0x40000798,0x45ae001f,
    0x1ceeeffd,0x5ffffd00,0x10073fe6,0x19dddffd,0x00220080,0x00020110,
    0xa983a800,0x00554401,0x40002a60,0x51006008,0x02600015,0x22000130,
    0x2aa200aa,0x00130000,0x15106a20,0x01a98840,0x200554c0,0x26150002,
    0x0000000b,0x00000000,0x00000000,0x00000000,0x260bff60,0xffa804ff,
    0xeeeeeb82,0xeeeefeee,0x2002eeee,0x81d1001f,0x10000a98,0x000a8835,
    0x00000a98,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x54000000,0x3fee0dff,0x3ee0195f,0xcccca83f,0xcccccccc,0x001ccccc,
    0x00000032,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3fffe000,0xefff8dfd,0x017ff603,0x00000000,
    0x4c000000,0x0736e23c,0x002b72a2,0x00080000,0x01001004,0x00800080,
    0x01000440,0x01102008,0x4c088008,0xeeeeeeee,0xeeeeeeee,0xddddd54e,
    0xdddddddd,0x0309dddd,0x99826662,0x000cc019,0x0260260c,0xfffff902,
    0x00000fff,0x7fffffcc,0xffffffff,0x00002fff,0x00000000,0x00000000,
    0x26000000,0x3f63fffd,0xfffd703f,0x000007df,0x00000000,0x53ffaa00,
    0x25fffffa,0x06ffffe9,0x4005d700,0x83f3003e,0x4c0cffda,0x0b9001fc,
    0x0e7fed40,0x05dfff90,0x033fb766,0x7fcc1ff5,0xca83ff31,0xfc80deba,
    0x3333264f,0xcccccccc,0x932ccccc,0x99999999,0xd9999999,0xff704a8b,
    0x507ffa8b,0x0039fffd,0xb07fe477,0x8ffa21ff,0xfffffffc,0x3ffffe67,
    0xffffffff,0x7712ffff,0x77777777,0x37777777,0x00000000,0x00000000,
    0x00000000,0x02011000,0x00000000,0x00000000,0x9ffd7500,0xfff937d5,
    0xff759f33,0xbff0009f,0x201fd400,0x556d44f9,0x3feea5fe,0x02ff8801,
    0x7febbea8,0xeb9dfe88,0xf71fcc3f,0x71ffe41d,0x93fee9ff,0x217f23f8,
    0x0001ffff,0x32000000,0x36077e25,0x83ff706f,0xffca9cfa,0x743d00be,
    0x4bffe3ff,0x2eea7ffb,0x223bbbbb,0xaaaaaaaa,0xaaaaaaaa,0x0000000a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x50000000,
    0xff509dff,0x7ff881dd,0x001db800,0x4f981fd4,0x6c3fc438,0x6cdd801f,
    0x1ff40e80,0x87ee03f6,0xb27f40fe,0xa7fe47ff,0x83ee4ffb,0xfffe86fb,
    0x00000004,0xffa97200,0x9007fc47,0xb502e87f,0xbd737bff,0x3f20efb8,
    0x00bff30e,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x17fe2000,0xfd03ffc4,0x8000000f,0x027cc3fa,
    0x1fd84f88,0x1fc47d40,0x49f70310,0x29f104f8,0x27fa86f9,0x3fee2ffb,
    0x2087ff53,0x9a887fd9,0x0000005c,0xf3172000,0x400fd43f,0x2601a26d,
    0x80befffc,0x00510100,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x27fc4000,0x7e40ffd0,0x0000000f,
    0x04f99fd4,0x0fec1720,0x00fb93a0,0x3f30fe40,0x87fab640,0x1ff50ff9,
    0xff997fcc,0x7fabda81,0xaaa89740,0xaaaaaaaa,0x01aaaaaa,0xf3172000,
    0xd1002c8d,0x06200041,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x204ff880,0x3ff207fe,
    0x80000001,0x7004fcfa,0x3fb05ffd,0x02f43640,0x03f317e0,0x887fab6c,
    0x88ff30ff,0x81ff11ff,0x40ff30ec,0x3fffea79,0xffffffff,0x005fffff,
    0x75c57200,0x22000c1e,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x3fa04ff8,
    0x907ff207,0xffffffff,0xffffffff,0x06fc807f,0x07ff6a60,0x0be603fb,
    0x75c007e6,0x9f105f80,0xdf30bfe6,0x747e85f8,0xff317e47,0x0000fa20,
    0xa8000000,0x0000001b,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xff100000,0x903ff409,
    0x999883ff,0x99999999,0x00999999,0x000ff7e6,0x03fb13f2,0x806c8176,
    0x83f900fa,0x17f60fc8,0xd84e83f7,0x8ffe2ec6,0x02eb87fa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7c400000,0x81ffa04f,0x00001ffc,
    0xfaa7cc00,0x227cc003,0x01fa81fd,0x0ea80fe2,0x7e5f7ec0,0x4eff442f,
    0xc83c83ea,0x3ff625c4,0x12effbdd,0x00000005,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfe813fe2,0x007ff207,0x4f980000,0xf5001fd4,
    0x7441fd85,0xb80fb804,0x75c0d40d,0x36e01dff,0x301500cd,0x6e441985,
    0x00007723,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7fc40000,
    0xc81ffa04,0x5cc001ff,0x827cc000,0x30bc83fa,0xc85fb09d,0xc89d000f,
    0x0feeeeef,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xff880000,0xc81ffa04,0x7f4001ff,0x017e6005,0x7fec47f5,
    0x776442df,0x4005b13d,0xdddd70e9,0x00009ddd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xe817fe60,0x0bff207f,
    0x4009fb00,0x03f5005f,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3e20dff7,0x7ffd01ff,
    0x18003000,0x00000c00,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fecc000,0xfd98deff,0xd91dffff,
    0x005dffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_38_latin_ext_x[560]={ 0,3,2,0,1,1,1,1,1,0,2,0,1,1,
2,0,1,4,0,1,0,1,1,1,2,1,2,2,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,-1,1,0,1,0,2,1,0,0,0,0,0,0,2,0,1,0,-1,1,1,-1,1,1,1,1,1,0,1,
-3,0,1,0,0,1,-1,1,0,1,0,0,0,0,0,0,0,4,2,2,0,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,2,1,0,0,
2,2,0,1,-1,1,0,1,1,-1,1,0,0,0,3,2,-1,2,3,2,0,1,2,2,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,-1,1,1,1,1,1,2,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,0,1,1,1,1,1,0,0,0,0,0,0,0,-1,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,0,1,0,0,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,0,0,0,0,-1,0,-1,0,-1,0,1,0,1,0,1,0,-3,0,0,0,0,1,0,
1,0,1,0,1,0,0,-1,0,-1,0,-1,0,0,0,0,1,1,1,1,1,1,1,1,0,0,0,0,0,0,
2,1,2,1,2,1,2,1,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,4,4,0,4,4,4,
4,4,4,4,4,4,4,4,4,4,2,1,4,4,4,4,4,4,4,4,4,4,4,4,4,0,0,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,1,0,0,1,
1,0,0,0,0,0,0,0,0,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,0,1,-1,1,1,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__times_38_latin_ext_y[560]={ 30,6,6,6,5,6,6,6,6,6,6,9,26,21,
26,6,6,6,6,6,6,7,6,7,6,6,14,14,10,15,10,6,6,6,7,6,7,7,7,6,7,7,7,7,
7,7,7,6,7,6,7,6,7,7,7,7,7,7,7,6,6,6,6,35,6,14,6,14,6,14,6,14,6,6,
6,6,6,14,14,14,14,14,14,14,9,14,14,14,14,14,14,6,6,6,18,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,30,13,7,6,10,7,
6,6,7,6,6,14,15,21,6,4,6,9,6,6,6,14,7,16,29,6,6,14,6,6,6,13,-1,-1,-1,1,
1,1,7,6,-1,-1,-1,1,-1,-1,-1,1,7,1,-1,-1,-1,1,1,11,6,-1,-1,-1,1,-1,7,6,6,6,
6,7,7,6,14,14,6,6,6,7,6,6,6,7,6,7,6,6,6,7,7,11,13,6,6,6,7,6,6,7,
2,9,0,7,6,14,-1,6,-1,6,1,7,-1,6,-1,6,7,6,2,9,0,7,1,7,7,14,-1,6,-1,6,
0,7,1,7,6,4,-1,-1,7,6,0,7,2,9,0,7,7,6,1,14,7,6,-1,6,7,6,14,-1,-1,7,
6,6,6,7,6,7,6,-1,6,7,14,-1,6,6,6,14,2,9,0,7,-1,6,7,14,-1,6,7,14,-1,6,
-1,6,-1,6,6,14,-1,6,7,9,-1,6,7,9,0,7,2,9,0,7,-1,6,-1,6,7,14,-1,6,-1,6,
1,-1,6,1,7,-1,6,6,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,6,8,8,6,8,8,8,
8,8,8,8,8,8,8,8,8,8,3,13,8,8,8,8,8,8,8,8,8,8,8,8,8,3,13,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,-1,6,-1,6,-1,
6,-1,6,-1,4,-1,1,-1,1,-1,1,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,-5,-1,-1,6,-1,6,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__times_38_latin_ext_w[560]={ 0,5,10,17,15,27,25,4,10,11,13,19,6,10,
5,10,15,9,16,14,16,14,15,15,14,15,5,6,19,19,19,13,30,25,22,21,24,21,18,24,25,11,14,26,
21,30,26,23,18,23,24,16,20,25,25,33,25,25,21,9,10,8,16,19,7,15,17,14,17,14,14,16,17,8,
10,18,8,27,18,15,17,17,12,12,10,18,17,25,17,17,15,11,3,11,19,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,5,14,16,17,18,
3,13,11,24,11,16,19,10,24,19,11,19,10,9,7,17,17,5,6,6,11,16,24,24,26,13,25,25,25,25,
25,25,31,21,21,21,21,21,11,11,11,11,24,26,23,23,23,23,23,15,23,25,25,25,25,25,18,17,15,15,
15,15,15,15,21,14,14,14,14,14,8,8,10,10,15,18,15,15,15,15,15,19,17,18,18,18,18,17,17,17,
25,15,25,15,25,17,21,14,21,14,21,14,21,14,24,21,24,17,21,14,21,14,21,14,21,15,21,14,24,16,
24,16,24,16,24,16,25,17,25,17,12,12,12,11,11,11,12,10,11,8,25,16,14,13,26,18,18,21,8,21,
8,21,13,21,11,21,10,26,18,26,18,26,18,21,23,15,23,15,23,15,23,15,29,23,24,12,24,12,24,12,
16,12,16,12,16,12,16,12,20,10,20,15,21,10,25,18,25,18,25,18,25,18,25,18,25,19,33,25,25,17,
25,21,15,21,15,21,15,14,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,24,18,18,17,18,18,18,
18,18,18,18,18,18,18,18,18,18,23,18,18,18,18,18,18,18,18,18,18,18,18,18,18,28,19,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,25,15,11,10,23,
15,25,18,25,18,25,18,25,18,25,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,25,15,31,21,23,17,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18, };
static unsigned short stb__times_38_latin_ext_h[560]={ 0,25,11,25,28,25,25,11,32,32,15,19,10,3,
5,25,25,24,24,25,24,24,25,24,25,25,17,22,17,8,17,25,32,24,23,25,23,23,23,25,23,23,24,23,
23,23,24,25,23,31,23,25,23,24,24,24,23,23,23,31,25,31,13,3,7,17,25,17,25,17,24,24,24,24,
32,24,24,16,16,17,24,24,16,17,22,17,17,17,16,24,16,32,32,32,6,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,25,30,25,17,23,
32,31,5,25,11,17,8,3,25,2,12,19,13,14,7,24,31,5,8,13,11,17,25,25,25,25,31,31,31,29,
29,29,23,31,31,31,31,29,31,31,31,29,23,30,32,32,32,30,30,15,25,32,32,32,30,31,23,25,25,25,
25,24,24,25,17,23,25,25,25,24,24,24,24,23,25,23,25,25,25,24,24,15,19,25,25,25,24,32,32,31,
28,22,30,24,31,23,32,25,32,25,30,24,32,25,31,25,23,25,28,22,30,24,29,24,30,23,31,25,32,32,
31,31,30,31,31,34,31,31,23,24,30,23,28,21,30,23,30,31,29,16,24,32,32,32,30,31,16,31,31,30,
31,24,24,23,24,23,24,32,24,30,23,32,24,24,25,24,29,22,31,24,32,25,24,17,31,24,30,23,31,24,
32,25,32,25,31,23,32,25,31,29,31,25,23,22,31,24,29,22,31,24,32,25,32,25,30,23,32,25,31,32,
29,31,24,29,23,31,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,25,22,22,32,22,22,22,
22,22,22,22,22,22,22,22,22,22,28,18,22,22,22,22,22,22,22,22,22,22,22,22,22,28,18,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,31,25,31,24,32,
25,32,25,32,27,32,30,32,30,32,30,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,35,32,31,25,32,26,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22, };
static unsigned short stb__times_38_latin_ext_s[560]={ 502,263,220,303,48,109,155,231,388,309,496,
49,248,356,506,229,213,294,171,264,1,318,63,304,427,411,506,471,159,255,382,
410,19,333,111,449,134,181,203,130,222,248,410,260,159,309,425,279,366,372,65,
92,90,1,27,71,385,340,287,502,497,501,168,367,310,143,262,349,180,234,122,
105,53,500,44,481,269,87,440,201,463,155,402,336,411,317,299,249,459,137,424,
55,241,271,318,452,452,452,452,452,452,452,452,452,452,452,452,452,452,452,452,
452,452,452,452,452,452,452,452,452,452,452,452,452,452,452,452,452,502,503,99,
46,364,173,427,447,338,185,236,217,275,356,321,387,196,29,185,151,302,370,172,
350,295,161,208,126,457,424,73,100,346,320,255,408,456,482,474,479,103,425,93,
434,152,57,1,1,416,380,107,291,207,203,312,135,226,132,89,476,1,461,207,
490,41,57,25,302,286,364,179,192,31,16,1,348,363,388,359,54,394,35,378,
362,346,278,372,115,69,245,226,207,407,458,409,39,93,1,152,220,126,1,185,
482,366,442,407,252,67,380,278,342,258,305,26,494,358,333,386,426,336,305,206,
198,249,349,181,86,178,164,13,27,229,211,343,153,227,461,13,17,240,369,252,
115,300,415,127,157,200,345,72,250,477,228,269,454,303,105,483,321,441,283,472,
158,267,476,239,431,48,83,1,236,265,478,69,204,385,114,18,275,487,320,429,
226,422,397,50,153,115,250,281,381,274,79,190,289,151,210,394,441,60,388,360,
422,13,453,359,166,399,471,27,441,315,181,125,231,312,38,67,338,19,298,188,
497,452,452,452,452,452,452,452,452,452,452,452,452,452,452,452,280,452,452,1,
452,452,452,452,452,452,452,452,452,452,452,452,452,119,107,452,452,452,452,452,
452,452,452,452,452,452,452,452,64,87,452,452,452,452,452,452,452,452,452,452,
452,452,452,452,452,452,452,452,452,452,452,452,452,452,452,452,452,452,396,137,
1,452,321,395,283,323,245,143,215,114,174,133,131,53,452,452,452,452,452,452,
452,452,452,452,452,452,452,452,452,452,452,452,452,452,452,452,452,452,452,452,
452,452,452,1,91,447,240,67,162,452,452,452,452,452,452,452,452,452,452,452,
452,452,452,452,452,452,452,452,452,452,452,452,452,452,452,452,452,452,452,452,
452,452,452,452,452,452,452,452,452,452,452,452,452,452,452,452,452,452,452,452,
452,452,452,452,452,452,452,452,452,452,452,452,452,452,452,452,452,452,452,452,
452,452,452,452,452,452,452,452,452, };
static unsigned short stb__times_38_latin_ext_t[560]={ 33,221,340,195,165,221,195,340,37,1,321,
321,340,340,290,165,165,221,247,195,247,247,221,221,165,165,272,297,321,340,321,
195,37,247,297,195,297,297,297,195,297,297,247,297,297,297,247,195,297,70,297,
221,297,272,272,272,297,297,297,1,165,37,340,340,340,321,165,321,165,321,272,
272,272,247,1,247,221,340,321,321,247,272,321,321,297,321,321,321,321,272,321,
1,1,1,340,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,33,102,134,
221,321,272,1,70,340,221,340,321,340,340,195,340,340,321,340,340,340,247,70,
340,340,340,340,321,165,195,195,195,70,70,70,133,133,133,272,37,70,37,102,
133,102,102,70,165,272,102,1,37,37,134,102,340,221,37,37,1,134,70,272,
195,195,195,195,247,247,165,321,272,221,221,221,221,221,247,247,297,195,297,195,
195,195,221,221,340,321,195,195,195,221,1,1,102,165,321,134,247,102,297,37,
165,37,165,102,247,37,165,102,165,272,165,165,297,102,221,133,221,102,272,102,
165,37,37,102,70,134,102,70,1,70,70,272,247,134,272,165,321,134,272,134,
102,134,321,247,1,1,1,134,102,321,102,102,102,102,247,221,272,221,272,221,
37,247,102,272,1,247,247,195,247,134,297,102,247,1,195,247,321,70,221,102,
272,70,247,37,221,37,221,70,272,37,221,70,134,70,221,272,297,70,221,133,
297,102,221,1,221,37,195,134,272,37,195,70,37,133,70,247,133,297,70,247,
221,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,165,297,297,37,
297,297,297,297,297,297,297,297,297,297,297,297,297,165,321,297,297,297,297,297,
297,297,297,297,297,297,297,297,165,321,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,70,221,
102,247,1,165,1,165,1,165,1,134,1,134,1,134,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,1,1,37,165,1,165,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,297,
297,297,297,297,297,297,297,297,297, };
static unsigned short stb__times_38_latin_ext_a[560]={ 137,183,224,275,275,457,427,99,
183,183,275,310,137,183,137,153,275,275,275,275,275,275,275,275,
275,275,153,153,310,310,310,244,506,396,366,366,396,335,305,396,
396,183,214,396,335,488,396,396,305,396,366,305,335,396,396,518,
396,396,335,183,153,183,258,275,183,244,275,244,275,244,183,275,
275,153,153,275,153,427,275,275,275,275,183,214,153,275,275,396,
275,275,244,264,110,264,297,427,427,427,427,427,427,427,427,427,
427,427,427,427,427,427,427,427,427,427,427,427,427,427,427,427,
427,427,427,427,427,427,427,427,137,183,275,275,275,275,110,275,
183,417,151,275,310,183,417,275,220,301,165,165,183,316,249,137,
183,165,170,275,412,412,412,244,396,396,396,396,396,396,488,366,
335,335,335,335,183,183,183,183,396,396,396,396,396,396,396,310,
396,396,396,396,396,396,305,275,244,244,244,244,244,244,366,244,
244,244,244,244,153,153,153,153,275,275,275,275,275,275,275,301,
275,275,275,275,275,275,275,275,396,244,396,244,396,244,366,244,
366,244,366,244,366,244,396,355,396,275,335,244,335,244,335,244,
335,244,335,244,396,275,396,275,396,275,396,275,396,275,396,275,
183,153,183,153,183,153,183,153,183,153,389,303,214,153,396,275,
275,335,153,335,153,335,223,335,189,335,153,396,275,396,275,396,
275,332,385,272,396,275,396,275,396,275,488,396,366,183,366,183,
366,183,305,214,305,214,305,214,305,214,335,153,335,235,335,153,
396,275,396,275,396,275,396,275,396,275,396,275,518,396,396,275,
396,335,244,335,244,335,244,153,427,427,427,427,427,427,427,427,
427,427,427,427,427,427,427,396,427,427,275,427,427,427,427,427,
427,427,427,427,427,427,427,427,396,290,427,427,427,427,427,427,
427,427,427,427,427,427,427,426,298,427,427,427,427,427,427,427,
427,427,427,427,427,427,427,427,427,427,427,427,427,427,427,427,
427,427,427,427,427,396,244,183,153,396,275,396,275,396,275,396,
275,396,275,396,275,427,427,427,427,427,427,427,427,427,427,427,
427,427,427,427,427,427,427,427,427,427,427,427,427,427,427,427,
427,427,396,244,488,366,396,275,427,427,427,427,427,427,427,427,
427,427,427,427,427,427,427,427,427,427,427,427,427,427,427,427,
427,427,427,427,427,427,427,427,427,427,427,427,427,427,427,427,
427,427,427,427,427,427,427,427,427,427,427,427,427,427,427,427,
427,427,427,427,427,427,427,427,427,427,427,427,427,427,427,427,
427,427,427,427,427,427,427,427, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_38_latin_ext_BITMAP_HEIGHT or STB_FONT_times_38_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_38_latin_ext(stb_fontchar font[STB_FONT_times_38_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_38_latin_ext_BITMAP_HEIGHT][STB_FONT_times_38_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_38_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_38_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_38_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_38_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_38_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_38_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_38_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_38_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_38_latin_ext_s[i] + stb__times_38_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_38_latin_ext_t[i] + stb__times_38_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_38_latin_ext_x[i];
            font[i].y0 = stb__times_38_latin_ext_y[i];
            font[i].x1 = stb__times_38_latin_ext_x[i] + stb__times_38_latin_ext_w[i];
            font[i].y1 = stb__times_38_latin_ext_y[i] + stb__times_38_latin_ext_h[i];
            font[i].advance_int = (stb__times_38_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_38_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_38_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_38_latin_ext_s[i] + stb__times_38_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_38_latin_ext_t[i] + stb__times_38_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_38_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_38_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_38_latin_ext_x[i] + stb__times_38_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_38_latin_ext_y[i] + stb__times_38_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_38_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_38_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_38_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_38_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_38_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_38_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_38_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_38_latin_ext_LINE_SPACING
#endif

