// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_40_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_40_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_40_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_40_latin_ext_BITMAP_HEIGHT        384
#define STB_FONT_times_40_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_40_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_40_latin_ext_NUM_CHARS            560

#define STB_FONT_times_40_latin_ext_LINE_SPACING          26

static unsigned int stb__times_40_latin_ext_pixels[]={
    0x0aaaa000,0x00010000,0x00000000,0x00005555,0x00005555,0x06660000,
    0x4cc00000,0x01000001,0x00000004,0x00000266,0x33333310,0x00000133,
    0x4cc00000,0x33300001,0x00998800,0x4cc40000,0x00000000,0x00000000,
    0x00000000,0x00a00540,0xaa802980,0x001aaaaa,0x003fff30,0x00136e00,
    0x2002fe88,0xf98004da,0xf80001ff,0x7ec403ff,0x00bf6202,0x000bfe60,
    0x7fff5000,0x3b500000,0xf10016c4,0x3fee0003,0x00fc4001,0xffffffa8,
    0x5b9002ff,0x00009100,0x004fffa8,0x01fffd40,0x001fffd0,0x7fff4000,
    0xc8000000,0xdb930000,0x017bdfdf,0x013ae200,0x002fd880,0x0f203d10,
    0x36b7ea00,0xfffff01c,0x2e000bff,0x900002ff,0xff70000b,0x03bb100d,
    0x00bfee00,0x013fea00,0xfb81bfee,0x9d30007f,0xff800000,0x00000fff,
    0x04fcefc8,0x8000fc40,0xf88000ed,0xffff5001,0x4005ffff,0x74c00de9,
    0xffd00001,0x220001ff,0x800fffff,0x004ffffb,0xffff7000,0x4c000009,
    0xeea8002e,0xdeb9809b,0xfffb3001,0x7fdc0009,0x0fee0006,0x3f5000d9,
    0x09ff07e8,0x01ff4000,0x0003f000,0x880bff30,0x7f40005f,0xbf900003,
    0x817fe600,0x20005ff9,0x20000058,0x05fe9cfb,0x9ddb0000,0x003f1000,
    0x44000360,0x0000001f,0x260076c0,0x7dc0003e,0x0005fe9c,0x0bfd39f9,
    0xffc9ef88,0x7c400000,0x001ffc9e,0x001fc800,0x2000efd4,0xe9a803ea,
    0x260004ff,0x7c0005ff,0x002fd8df,0x1fe42fc4,0x800027fc,0x200004f8,
    0x0003edf8,0x0fec014c,0x00bf1000,0x20037400,0x00298029,0x001a8298,
    0xd88fe200,0x2600001f,0x22001a82,0x20a6001f,0x07e2001a,0x01a82980,
    0x100bf500,0x3e20009f,0x0007f624,0x0fec47f1,0x2fd41d90,0x83b20000,
    0x400005fa,0x7e4001fb,0x17620002,0x0027fd40,0x20000a60,0x006ffffa,
    0x6fd83fa8,0x00004ff8,0xb00000b7,0x00000fff,0x8000ff50,0x2600005a,
    0x0000000e,0xb8bfe200,0xb00000ff,0x0001ae05,0xff717fc4,0x007e2001,
    0xff717fc4,0x007e2001,0xff717fc4,0x07fe0001,0x2000bee0,0x800d703c,
    0x260d702d,0x002e980e,0xd301d300,0x3ea00005,0x07fa2003,0x401ec000,
    0x00004ffa,0x3ffa0000,0x4fb8001f,0x4ff83fa8,0x00170000,0x09ff3000,
    0xff900000,0x000b8000,0x00006a00,0xff100000,0x0007fdc7,0x06a01440,
    0x8ffe2000,0xf1000ffb,0x8ffe2003,0xf1000ffb,0x8ffe2003,0xf0000ffb,
    0x07fa007f,0x14c02880,0x0d402880,0x0071005c,0x38802e00,0x0ff88000,
    0x0003ba00,0x5401e880,0x000004ff,0x06662000,0x007fd400,0x00009ff0,
    0x0000b7aa,0x00000020,0x00007fec,0x00000000,0x4c000000,0x00001a82,
    0x30000000,0x44003505,0x20a6001f,0x07e2001a,0x01a82980,0x00bff100,
    0x00001bea,0x00000000,0x00000000,0x04fe8000,0x00007f20,0xff5016a0,
    0x00000009,0x000d5440,0x001fff88,0xb00009ff,0x0007d75d,0x00000000,
    0x80007ff6,0x05401aa8,0x019fd710,0x00000000,0x26000000,0x0980aaa9,
    0x40000000,0x000001f8,0x0001f880,0x7fd40000,0x05ff1004,0x03553100,
    0x1000000c,0x00310155,0x00000000,0x2a003ff3,0x2000003f,0x13fea00e,
    0x70000000,0xbfffdffd,0xfffb8007,0x004ff801,0x0d507c40,0x00000000,
    0x7fdc0771,0x7fedc002,0x542effee,0x267b201f,0x0571005d,0x7ff64750,
    0x02efffff,0x3fffffb2,0xffc9804e,0x1ceffeff,0xfffd903b,0x405dffff,
    0xefffffec,0x3fb23f14,0x2effffff,0x3ffffb20,0x323f14ef,0xfffffffe,
    0x3ffb202e,0xfb84efff,0x1bfa003f,0xefffd980,0x0d51bdff,0x3fffffaa,
    0xffa85fff,0xc8bdffff,0x7ffffd44,0xffd11eff,0x01dfffff,0x9fffffd3,
    0xf1006fd8,0x6f75c00d,0x07907b91,0x2e627fd4,0x02b8801b,0x056ff4c0,
    0x003dfd51,0x2017ffec,0x540004ff,0x00007c46,0x0002f2a6,0x502ffe4c,
    0x3a2007ff,0x7f5441df,0x7c03f99e,0xc9803e21,0xff9305ff,0xbfffd30b,
    0x7ff4c003,0xcffd8803,0x7ffd440a,0x3ffa602f,0x3a6001df,0x20fc43ff,
    0x01dfffe9,0x10fffa60,0xfffe983f,0x3fa6001d,0x0bff203f,0x401ffc80,
    0x20bdffe9,0x06fefe98,0x02efffc8,0x2e639ffb,0xf704fffe,0x3a205fff,
    0xf1006fff,0x3ff881df,0x3003f700,0x3e7665dd,0x2a05a82f,0xfffd14ff,
    0xff9301bf,0x27fdc00b,0x801ffe40,0x203fffed,0xf80004ff,0x88001aa1,
    0xcefdadfd,0xd900bccc,0x7cc0bfff,0x3ffb803f,0x04fffd80,0x40ba07c4,
    0xc85fffec,0xf705fffe,0xf70003ff,0x5ffd1007,0x05ffb100,0x001fffb8,
    0x1f883fb8,0x001fffb8,0x1f883fb8,0x001fffb8,0x7e403fb8,0x3fea001f,
    0x03bfea04,0x201ffea0,0xf904fff8,0x27fec01f,0xa80fffb0,0x36004fff,
    0x03ffc80f,0xbf500dd0,0x301ffd70,0x467fd40b,0x6ffffffe,0x02ffff64,
    0x2004ffb8,0x96c03ffc,0xff04fffd,0x9f700009,0x220005fb,0x7ffcc1ff,
    0x7dc02fff,0x03fe205f,0x400bff70,0x3d803ffd,0x3fee01aa,0x417fee05,
    0x8000fffa,0x7fcc01fa,0x1fec002f,0x003ffea0,0x3e207ea0,0x00fffa81,
    0xf881fa80,0x00fffa81,0x4c01fa80,0x7fcc007f,0x00dff506,0xff007fb8,
    0x09ff307f,0x7d409fb0,0x7ff401ff,0x7417a006,0x3f9802ff,0x4c077d40,
    0x40d106ff,0x30bdcffa,0xf707fffb,0xfff100bf,0x7ffc4001,0x7e41d881,
    0x04ff83ff,0x01df1000,0xc82fec00,0x3e6001ff,0x017e205f,0x4001fff3,
    0x4c01fffc,0x9802feef,0x3fe605ff,0x00fff505,0xfd007ea0,0x7f10005f,
    0x007ffa80,0x3f103f50,0x000fff50,0x07e207ea,0x4001ffea,0x0fe801fa,
    0x03ffe600,0x0003fff1,0x3ffe00f9,0x800ffb82,0x7ffc04f8,0x07ffdc04,
    0xff817cc0,0x00fc801f,0x7cc07fe2,0x540f303f,0xffd02fff,0x05ff981f,
    0x8004ffe8,0x06b86ffd,0xff85fff5,0xff300004,0x3fe60001,0x009ff304,
    0xf702ffcc,0x04ffe805,0x1bff7ee0,0xf3001540,0x2ffc40bf,0x0007ffa8,
    0x7fe403f5,0x012e0006,0x2000fff5,0x7d4001fa,0x3f50007f,0xff503f10,
    0x07ea000f,0x8800fee0,0x7ff41fff,0x01f10004,0xf905fff0,0x0136005f,
    0xf880dff9,0x07b802ff,0xd001fff1,0x204fe80d,0x0d701ffb,0xf5027fd4,
    0x5ff985ff,0x007ffdc0,0x21fffcc0,0x17fea04d,0x200009ff,0x70003ffc,
    0x3fe207ff,0x17fe2006,0x3ee01fc4,0x5f3000ff,0x0007fff3,0x40bff300,
    0xff505ff8,0x07ea000f,0x0017ffcc,0xffa80b10,0x03f50007,0x007ffa80,
    0x3f103f50,0x000fff50,0x764007ea,0x8bffe000,0x0001fffa,0x3ffe0036,
    0x006ffc82,0xfff98097,0x02ffec01,0x7ff98274,0x7dc0bf00,0x81ff600f,
    0x13fea05c,0xf987ffd0,0x37ff405f,0x4dffd000,0x3fdc06f8,0x200013fe,
    0x0006fff8,0x7fc09ff7,0x17fe2007,0xff003bb3,0x93e200df,0x2ea07fff,
    0xf98009bc,0x17fe205f,0x8003ffd4,0xdff901fa,0xf5000000,0x3ea000ff,
    0x3ffd4001,0x881fa800,0x07ffa81f,0x4003f500,0xff801cea,0x01fff63f,
    0xff001300,0xbfff505f,0xe8038801,0x7fec04ff,0x407e600f,0xf8807ffa,
    0xf017fe04,0x501f409f,0xffc809ff,0x102ffcc5,0x4000bfff,0xff10fffd,
    0x3e1ff801,0xfb80004f,0x98001fff,0x1bfe05ff,0x7c5ff880,0xfff8800e,
    0xfd8bd005,0x6ff540ff,0x4c05fffc,0x3fe205ff,0x00fff505,0x7fc07ea0,
    0x8000005f,0x50007ffa,0xffa8003f,0x03f50007,0xfff503f1,0x007ea000,
    0xfd00dd10,0x17ffe27f,0x7fc00000,0xffff882f,0xfb80002e,0x3ffe207f,
    0xb81f203f,0x3f8807ff,0x5c03ff50,0x01f102ff,0x2e027fd4,0x2ffcc5ff,
    0x009fff30,0xd0fffe40,0x7c7d80bf,0xde80004f,0xf0005ffe,0x9ff101ff,
    0x42ffc400,0x7fcc04ea,0x40ed804f,0x3e61fffc,0x027fdc1f,0x7c40bff3,
    0x0fff505f,0x2a07ea00,0x00004fff,0x007ffa80,0xa8003f50,0xf50007ff,
    0xf503f103,0x3ea000ff,0x00bb2001,0xffa97ffc,0x0000003f,0x3e605fff,
    0x000dffff,0x407ffe60,0x206ffdfa,0x1ffea04e,0x7ec0be60,0x03ffe207,
    0x3fea034c,0x227fd404,0x3ee05ff9,0x320003ff,0x3fee3fff,0x9ff17204,
    0xaafa8000,0xa8000fff,0x06fc84ff,0xd02ffc40,0x1fffdc0b,0x3ee07ee0,
    0x41bfa3ff,0x3fe607ff,0x417fe205,0x50007ffa,0x7fff703f,0xf5000000,
    0x3ea000ff,0x3ffd4001,0x881fa800,0x07ffa81f,0x1003f500,0xfff800db,
    0x007fff71,0x3ffe0000,0x3fffea02,0xd0000cff,0x2bb609ff,0x1f980fff,
    0x003ffea0,0x17fe07f1,0x3606ffc8,0x027fd403,0xff30ffea,0x17ffe40b,
    0x9fff7000,0xe82fffc4,0x00027fc2,0x03fff9b6,0x33dff300,0x88001bfb,
    0x0fea05ff,0x5017ffe4,0x3ffee05f,0x7f41bfe4,0x0bff300f,0xfa82ffc4,
    0x3f50007f,0x005fff90,0x7fffff5c,0x7ffa82ef,0x203f5000,0x00fff501,
    0x3e207ea0,0x007ffa81,0xf9003f50,0x7ffc4005,0x005fff90,0x3ffe0000,
    0x7fff4c02,0xb8003fff,0xf3f887ff,0x80f907ff,0xf800fff9,0x304ff884,
    0x1aa07ffd,0x7013fea0,0x5ff985ff,0x00bfff20,0x44fffa80,0x2e0efff9,
    0x0004ff83,0x7ffc8fe2,0xb97d1000,0x2200037b,0x837c05ff,0xf302fffc,
    0x27ffd409,0x3ff607f9,0x40bff300,0xff505ff8,0x07ea000f,0x000bfff6,
    0x80ffffe2,0x50007ffa,0x503f103f,0x2a000fff,0xa81f881f,0xf50007ff,
    0x800ff003,0x3ff27ff9,0x0000002f,0x2e005fff,0x0effffff,0x0bffe200,
    0x1bff21f7,0x3ffe013e,0xf985e801,0xffae985f,0xa801f882,0x7fe405ff,
    0x702ffcc0,0x40007fff,0xf982fffb,0xf03c9fff,0x7e40009f,0x00bffe20,
    0x00005d10,0x2205ff88,0xfffa81ff,0x5c05e883,0xd5002fff,0x3fe601ff,
    0x417fe205,0x50007ffa,0x7fff703f,0x3fff6000,0x01ffea00,0x7c40fd40,
    0x007ffa81,0x3f103f50,0x000fff50,0xff5007ea,0x37fd4001,0x0007fff7,
    0x0bffe000,0xffffd880,0x3f6000ff,0xff32f45f,0x400fcc3f,0x6d802ffd,
    0x7543ffd0,0x7440ffa8,0x0bff5003,0xff983ff8,0x13ffea05,0x1fffc800,
    0x09fffd10,0x880027fc,0x05ffd84f,0x00007f40,0x9817fe20,0xfff984ff,
    0x6400ed84,0x32601fff,0x500ffedf,0x7fc40dff,0x00fff305,0x3ea07ea0,
    0xf90004ff,0x7ff980ff,0x103f5000,0x0fff303f,0x2207ea00,0x07ff981f,
    0xc803f500,0x3ee001ff,0x17ffea3f,0x7fc00000,0xfe98002f,0x5000efff,
    0x0be21fff,0x03649ffd,0xa803ffb8,0xdfffc81f,0x25ff30ef,0x80e83fc9,
    0xf701fffa,0x81bfea0d,0x0005fff8,0x8803fff6,0xff00fffd,0x03ee0009,
    0x4007ffea,0xaaaceff9,0x440009aa,0x3fee05ff,0x44fff883,0xffd801fc,
    0x219fb307,0xff900ffd,0x17fe201f,0x0007ffcc,0x7fcc07d4,0xff70006f,
    0x0fff980d,0x880fa800,0x0fff981f,0x880fa800,0x0fff981f,0x400fa800,
    0x32002ffc,0x3ffe60ff,0xf0000006,0x5c0005ff,0x1003ffff,0x03ee5fff,
    0x027cfff7,0xf004ff88,0x9fffb109,0x39ffffd0,0x3fea0970,0x0f7d40ef,
    0x200fffc8,0x20006fff,0xf9006ffe,0x013fe0df,0xffd02f40,0x3ffe2009,
    0xffffffff,0xbff1001d,0xe817fe40,0x00bea6ff,0x7d437ffc,0x207fec1e,
    0xdeffffeb,0x982ffc40,0xb8000fff,0x1ffff00f,0x0dff7000,0x000fff98,
    0x1f880fb8,0x000fff98,0x1f880fb8,0x000fff98,0x7d400fb8,0x13fa003f,
    0x000ffff1,0x0bffe000,0x7fd4002a,0x3ff6006f,0xfff30bd5,0x64003f33,
    0x40f9007f,0x04d4c019,0xff500f88,0xbfd9df9b,0xffffd701,0xfff901bd,
    0x3ffe0001,0x07ff2003,0x260013fe,0x3ffee02f,0xffff3000,0xffffffff,
    0x09ff1005,0xfb80ffec,0x003f99ff,0xfb87fff1,0x00ffd80e,0x827fc400,
    0x8001fff8,0x3ffee07c,0x6ffb8003,0x00fffc40,0x1f883e40,0x001fff88,
    0x03f107c8,0x0003fff1,0xbff300f9,0x203fea00,0x0001fffc,0x81fff800,
    0x3fee003b,0x3ffea007,0x9ffd02f9,0xff8800d9,0x003f8801,0x5026c000,
    0x26aa29ff,0x2007b000,0xb8004ffe,0x202a05ff,0x04ff83fe,0xaaaafd80,
    0x3fffbaaa,0x2662d500,0x5fdcbaaa,0x203ff880,0x3fa00ffd,0x2e005ecf,
    0x1ffcc5ff,0x0000ffd8,0xff01ffc4,0x0db0007f,0x000fffe8,0x7c037fdc,
    0x6d8003ff,0x3fe03f10,0x06d8003f,0x3ffe03f1,0x806d8003,0xfb004ff8,
    0x13ffe209,0xf8038800,0x006b80ff,0xf001ffe6,0x7dc0fdff,0xc8003fff,
    0x03f5003f,0x03ae0000,0x0004ffa8,0x7d4007e6,0x7fc000ff,0x709f900f,
    0x009ff07f,0xffffff88,0x6fffffff,0x2000f980,0x7fc400fc,0x301fee02,
    0x2001dfff,0x7dc0fff8,0x03ffb02f,0x02ff8800,0x1001bff6,0xfffa809f,
    0x37fdc004,0x0037fec0,0x0fc413e2,0x4006ffd8,0x03f104f8,0x1001bff6,
    0x0ffe009f,0xf901be20,0xb10003ff,0x20fff001,0xff1000fb,0xfffc800d,
    0x3fffe204,0x01fd0001,0x00003b20,0xfa801d90,0x3ee0004f,0x13ff6004,
    0x203ffb80,0x81fa85fc,0x7e4004ff,0x1fff9800,0x30017a20,0x01ff300f,
    0x7e403fcc,0x3ff2005f,0xd04ffc81,0x980003ff,0x3fe600ff,0x1fd1000f,
    0x05fff700,0x4037fdc0,0x1000fff9,0x07e201fd,0x8007ffcc,0x3f100fe8,
    0x003ffe60,0x44007f44,0x0fb800ff,0x077fec40,0x7d70b600,0xbf705ff8,
    0x00fff200,0x803fff30,0x20006ffd,0x3b6005f8,0x1d900001,0x009ff500,
    0x0007fdc0,0xf9007ff9,0x84f9807f,0x009ff06d,0x3fa004f8,0x01bf205f,
    0x4c1a8990,0x02fc804f,0x4027ffdc,0xff303ffb,0x7fff4c3f,0x41a8058a,
    0xffc804f9,0x1ff4401e,0x07ffd300,0x401bfee0,0x4401effc,0x07e203fe,
    0x401effc8,0x3e203fe8,0x07bff201,0x2007fd10,0x1fa803fb,0x0bfff200,
    0xff10fa20,0x403fe23f,0x7c405ffb,0xffd0006f,0x007ff700,0x2002f980,
    0x260003fb,0xff5000ed,0x7fc40009,0x200a99df,0xd981dffa,0x8db001ef,
    0x3bff01fb,0x3ea01333,0x3ffea000,0x019ffb00,0x7fe46c88,0x6c003f24,
    0xd57f300e,0xfd9815bf,0x7fff401e,0xfffb9efe,0x27fdc01f,0x3f2001f9,
    0xb730abff,0xb10007ff,0x91037dff,0x64007fff,0x730abfff,0xf8807ffb,
    0x5fffe401,0x7ffb730a,0x6401f880,0x730abfff,0x22007ffb,0x01eb805e,
    0xdffffb80,0x2fdb989b,0xf51dffd0,0x77ffdc05,0x077f4c1b,0x804fc800,
    0x80000ff8,0x3a6003d8,0xdd5000be,0x5ffb8005,0x7ff54000,0x64400bff,
    0xeffeeffe,0xedc98004,0x3fffe00c,0x0bd05fff,0x209fff00,0xacdffff8,
    0x40dfcbaa,0x0edffffb,0x221fdc00,0x77ffdc4f,0x3003effe,0x2619fff9,
    0xfb801eff,0x000edfff,0x7ffffed4,0x0001dfff,0x6ffff654,0x002dfffe,
    0xfffffb50,0x1003bfff,0xffb5003f,0x3bffffff,0x5003f100,0xfffffffb,
    0xf91003bf,0x00099007,0xffffec98,0x2a00cfff,0x402defff,0xfffdb9cb,
    0x0003fffe,0x6d800fcc,0x025c0000,0x2f37f660,0x2eedcbaa,0xfffe9800,
    0x5440000a,0x77310001,0x80000003,0x09999999,0xd8003fa8,0xfb300fff,
    0xdfffffff,0x166e5405,0x44751000,0x26ee6204,0x40310000,0x66e54000,
    0x55440002,0x00009abb,0x35575300,0x2a200001,0x0009abba,0xa88007a2,
    0x0009abba,0xa88007a2,0x0009abba,0x062002b2,0x2ee60000,0x05cc001a,
    0x55440a80,0x000009ac,0x0014c007,0x40004c00,0xacddcba8,0xee880009,
    0x01eeeeee,0x00000000,0x00000000,0x20003fa0,0x4c04fffb,0x01acddcb,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfb100000,0xff90007f,0x000017ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ee00000,0x804fffff,0xfffffffc,0x1440003f,0x00133100,
    0x00d54400,0x55400000,0x5000002a,0x2a600500,0x002aaaaa,0x00002002,
    0x0003332a,0x00015544,0x00026620,0x0b332000,0x99100000,0x26000059,
    0x00005401,0x80028015,0x40002802,0x332e3cc9,0x20020000,0x5c400000,
    0x7e4001de,0xffffffff,0xffffffff,0xa800006f,0x000004cc,0x40000000,
    0x800fccd9,0x0000fffe,0x3fffff6e,0x000003df,0x001fff98,0x201d5000,
    0xfff9001d,0x2001ffff,0x001a201d,0x000bffa0,0x003fffd8,0x03fffa00,
    0xffb80000,0x000000ff,0x0003bfea,0x0b502e80,0x901e8800,0x01d50007,
    0xf7000076,0x002ffc3f,0x06880760,0x5d6ec000,0x3ff6002f,0xffecccde,
    0xffecccce,0x004eb887,0x001ffe88,0x02662000,0x9f100000,0xff700ff2,
    0xd10009ff,0x32a215df,0x00000eff,0x000bfee0,0x445fb000,0x7e40005e,
    0x57d9000f,0x0013ae61,0x0009ff10,0x07ffffd4,0x7ffdc000,0x1000004f,
    0x009ff9ff,0x07fec000,0x13ea0000,0x900001f7,0x0006c87f,0x05e88bf6,
    0x224fc800,0x640001ff,0x9d730abe,0x23cc0000,0x0bf6006a,0xf882ffe4,
    0x13fff667,0x027fc400,0xfffd0000,0x64000001,0x4403b31f,0x00ffc9ef,
    0x2013fee0,0x00003ffe,0x00007fd0,0xd17ff300,0xfc80001f,0xffd1000f,
    0x001fffff,0x0005fb80,0x27f44774,0x27be2000,0x00000ffc,0x3ff32fc8,
    0x3fe00000,0xfd000001,0x0007f91d,0x3637fe20,0x3e60002f,0x000fe8bf,
    0x3ea0fe80,0xfe880003,0x00ffffff,0xf116e000,0xc80b6001,0xa9e205ff,
    0x0004ffd9,0x00001be6,0x027fffdc,0x07f88000,0xbf507640,0x013fee00,
    0x001fffc4,0x0017e200,0xfffc8000,0xfc80004f,0x3fa6000f,0x0001efff,
    0x5c0006d8,0x000fe40e,0x2fd41d90,0x07e20000,0x00000bd1,0x000005f3,
    0x03ffffcc,0x3ffea000,0xfc80006f,0x00004fff,0x0006b85f,0x3ffffa60,
    0x4400001e,0xe8016e0f,0x017ff200,0x04ffa81d,0x000fd400,0x327be200,
    0x800000ff,0x3a6006fb,0x4c01e980,0x26000fff,0x00000fff,0x000001aa,
    0x01ffff10,0x01ff9000,0x00799500,0x0003a200,0x0b500d88,0x2603a600,
    0x3200002e,0x0000b201,0x00000790,0x005fff90,0x3fffd000,0xfff10000,
    0xb300001f,0x000003b0,0x00007995,0x0fee7e40,0xffc80700,0x3e605405,
    0x3c80004f,0x07640000,0x00000bf5,0x01c009fd,0x9ffd00e2,0x0bff9000,
    0x0005c000,0x4cc40000,0xff900000,0x00000001,0x10000220,0x70001300,
    0x0001c401,0x00010010,0x00000180,0x00033310,0x00266200,0x00998800,
    0x03011000,0x00000000,0x01793000,0x5ffc8000,0x04ff9800,0x00003000,
    0x174c074c,0x7ff50000,0x5c000000,0x98000fff,0x00003fff,0x00000000,
    0xffc80000,0x00000000,0x31015510,0x00000000,0x00000000,0x00000000,
    0x55310000,0x00000c03,0x2aa20000,0x00001880,0xa8800000,0x0000001a,
    0x3f200000,0xff98005f,0x2aa20004,0x02e00001,0x20000388,0xb8801ffe,
    0x3fe0006e,0x3fe0006f,0x0000006f,0xfffec800,0x202effff,0xefffffec,
    0x643ff204,0xfffffffe,0x3ffb202e,0xfa84efff,0x8bdfffff,0x4cccc44c,
    0x99988099,0x00000009,0xfffffec8,0x3b202eff,0x94efffff,0xfffffffd,
    0x7ff6405d,0x9804efff,0xdffefffd,0x7f54d51b,0x2002ffff,0xefffffec,
    0xfffffa83,0x644c8bdf,0xfffffffe,0x3ffb202e,0xb804efff,0xdfffeffe,
    0xfffec803,0x202effff,0xefffffec,0x0bff9004,0x009ff300,0xffeffeb8,
    0x000003df,0xeca80000,0x40aabfff,0x006fffc9,0x00bfff10,0x007ffec0,
    0x3ffffae0,0xffffffff,0x207fffff,0x01dfffe9,0x00fffa60,0xfd303ff2,
    0x4c003bff,0xffb03ffe,0x3ffae639,0x7fffdc4f,0xffc982df,0xfffff73f,
    0x6407dfff,0x3effffff,0x0effff4c,0x07ffd300,0x077fffa6,0x03ffe980,
    0x0bdffe98,0x1bfbfa62,0x07ffff22,0x03dfd300,0x5cc73ff6,0xd304fffe,
    0x4003bfff,0x9803ffe9,0x2a20adfe,0xe9801efe,0x2001dfff,0x4003ffe9,
    0x98005ffc,0xfd3004ff,0x7f54415b,0x0000001e,0x3fbba000,0x9986eeff,
    0x30006ffd,0x40009fff,0x0001fffc,0x7fffdfd1,0xb7555555,0xfffb80ff,
    0x03fb8001,0xf701ff90,0xf70003ff,0x803ff207,0xff884ffd,0x41fe806f,
    0x1fffffc8,0x0bfff600,0x001fffb8,0x7dc03fb8,0xfb8001ff,0x0effa803,
    0x207ffa80,0x000efffb,0xffc817dc,0x813ff600,0x8001fffb,0xffb803fb,
    0x03ffc804,0x001fffb8,0xc8003fb8,0xf98005ff,0x4ffb804f,0x983ffc80,
    0xfffffffe,0xfffed85e,0x001effff,0x2600bff1,0xf70006ff,0x5c0007ff,
    0x20002fff,0x00fffafd,0x7fd407b8,0x1fa8000f,0x501ff900,0x50001fff,
    0x09ff305f,0x3ea09fb0,0x204f807f,0x4006fffb,0x7d400ffb,0xfa8000ff,
    0x07ffd401,0x200fd400,0x5c006ffa,0x7ffec07f,0x40fd4005,0xfd804ff9,
    0x03ffea04,0x7007ea00,0x7e4009ff,0x7ffd403f,0x01fa8000,0x005ffc80,
    0x5c04ff98,0x3f2004ff,0x3fff203f,0xfff9800f,0xffa8004f,0x0dff1003,
    0x0bfff200,0x4fffa800,0x3e73e000,0x01f000ff,0x8003ffd4,0xff9001fa,
    0x01fff501,0xf703f500,0x09f1001f,0xf5017fec,0x1fffd803,0x2007fa00,
    0x50007ffa,0x7ffa803f,0x403f5000,0x8001fff8,0x7ffec07c,0x03ea004f,
    0x22003fee,0x1ffea04f,0x100fd400,0x44001fff,0x3ea01fff,0x3f50007f,
    0x0bff9000,0x409ff300,0x2000fff8,0xf101fff8,0x7e4009ff,0xfc8000ff,
    0xdff1001f,0x3fff2000,0x3fea0002,0x1f70004f,0x2001fff3,0x1ffea00c,
    0x800fd400,0xffa80ffc,0x03f30007,0x36005ff9,0x817fe604,0xfff8806d,
    0x009f3006,0x4001ffea,0x7fd401fa,0x03f50007,0x80027ff4,0x3bb600f8,
    0xf5002fff,0x005ff901,0x7ffa8136,0x403f5000,0xd8004ffe,0x3fea06ff,
    0x03f50007,0x00bff900,0x7409ff30,0xfd8004ff,0x0fffe06f,0x007ffb80,
    0xf800ffd0,0xff90006f,0x7dc0007f,0x9d0003ff,0x4003ffe6,0x1ffea008,
    0x800fd400,0xffa80ffc,0x03f30007,0x2e00dff9,0x40fff404,0xff7002f8,
    0x00db007f,0x8003ffd4,0x7fd401fa,0x03f50007,0x0007ffea,0x237600d8,
    0xa801ffff,0x06ffc80f,0x7fd40970,0x03f50007,0x0003ffee,0x540fffe6,
    0xf50007ff,0xbff90003,0x09ff3000,0x0003ffee,0x7c0fffe6,0x3ee002ff,
    0xff88007f,0x037fc006,0x04fffb80,0x0bfff200,0x7cc3ee00,0x500000ff,
    0x2a000fff,0x1ff9001f,0x000fff50,0x3fea07e6,0x01c400df,0x1f217fea,
    0x01fffd00,0xf5000fdc,0x3ea000ff,0x03ffd401,0xfb01fa80,0x098000ff,
    0x7ffcd760,0x407d400e,0x400dfffa,0x1ffea038,0xe80fd400,0x3a0006ff,
    0xfff506ff,0x007ea000,0x0017ff20,0x7f413fe6,0x3fa0006f,0x05fff06f,
    0x003ffdc0,0x20027fd4,0x0ddc46ff,0x00bfff50,0x00fffec0,0xfff327c0,
    0xf5002801,0x3ea000ff,0x01ff9001,0x2000fff5,0xfff881f9,0xe80002ef,
    0x0027c1ff,0x4417ffe2,0x7fd4004f,0x03f50007,0x0007ffa8,0xfff103f5,
    0xd800000b,0x01bffee5,0xfff101f5,0x540005df,0xf50007ff,0x0bfff103,
    0x07ffec00,0x8003ffd4,0xfc8001fa,0xff98005f,0x05fff884,0x03fff600,
    0xb800bffe,0xfc8007ff,0x37fc002f,0x40dffff9,0x20006fff,0xb8006ffd,
    0x03ffe60f,0xff5001d0,0x07ea000f,0x5407fe40,0xf30007ff,0x3fffe603,
    0x2a0000df,0x007ea5ff,0x20bffee0,0x7d4000fd,0x3f50007f,0x007ffa80,
    0xff503f50,0x8000007f,0x27ffe45d,0x3e601f50,0x000dffff,0x0007ffa8,
    0xfff303f5,0x7fe40009,0x07ffa81f,0x0003f500,0x3000bff9,0xfff309ff,
    0x7fe40009,0x02fff81f,0x001ffee0,0xf0003ffa,0xfb9dd1df,0x3ff607ff,
    0xfff0000f,0x43f88005,0x2600fff9,0x7ffa800f,0x003f5000,0x3ea03ff2,
    0x3f30007f,0x7ffffd40,0xfd0000cf,0x8001b61f,0x3ea0fffe,0x7ffa8002,
    0x803f5000,0x50007ffa,0x7fff703f,0x5d800000,0x503fffe8,0x7ffd401f,
    0x2000cfff,0x50007ffa,0x7fff703f,0x7ffe4000,0x007ffa83,0x90003f50,
    0xf3000bff,0x7fff709f,0x7ffe4000,0x002fff83,0x1001ffee,0xff000dff,
    0xfff987dd,0x04fff880,0x006ffb80,0x7fcc0fc8,0xb999999f,0xffa800fe,
    0x03f50007,0x2a03ff20,0xf30007ff,0xfffe9803,0xb8003fff,0x002f8cff,
    0x457ffe60,0xff50005e,0x07ea000f,0x000fff50,0x3ff207ea,0x4000002f,
    0xfffe885d,0x4c00fa81,0x3ffffffe,0x00fff500,0x3f207ea0,0x2e0002ff,
    0xffa84fff,0x03f50007,0x00bff900,0xf909ff30,0x5c0005ff,0xfff84fff,
    0x1ffee002,0x009ff500,0x3603fff0,0xfff301ff,0x2fff8001,0x4c1fc400,
    0xffffffff,0xa800ffff,0xf50007ff,0x03ff2003,0x4001ffea,0xff7001f9,
    0x001dffff,0x007dfff8,0xcafffb80,0xff50000f,0x07ea000f,0x000fff50,
    0x3ff207ea,0x4000002f,0xffff305d,0x7000fa81,0x1dffffff,0x007ffa80,
    0xff903f50,0x7d40005f,0x7ffa84ff,0x003f5000,0x000bff90,0xff909ff3,
    0x7d40005f,0x2fff84ff,0x01ffee00,0x0003ff70,0x7fe40dff,0x013fee02,
    0x8003ffb8,0x3fff307c,0xfd533333,0x0fff5001,0x4007ea00,0xffa80ffc,
    0x03f30007,0x7fffec40,0x3ee000ff,0xd00004ff,0x0007ffff,0x8003ffd4,
    0x7fd401fa,0x03f50007,0x0007fff7,0x2a05d800,0x07d46fff,0xffffb100,
    0x7fd401ff,0x03f50007,0x0007fff7,0x5417ffdc,0xf50007ff,0xdffb0003,
    0x09ff3000,0x0007fff7,0x7c17ffdc,0xeeeeeeff,0xffeeeeee,0x03fec007,
    0x2e06ff80,0x7fec02ff,0x03ffb803,0xcccef880,0x00fffdcc,0x3e6003e2,
    0x3f50007f,0x203ff200,0x8000fff9,0xe98001fa,0x000effff,0x0001fff1,
    0x01bffe60,0x00fff300,0xf3007ea0,0x3ea000ff,0x05fffa81,0x02ec0000,
    0xfa97fff2,0xffe98000,0xff300eff,0x07ea000f,0x0013ffea,0x981fffc8,
    0xf50007ff,0xfffa8003,0x7fcc002f,0x04fffa85,0x07fff200,0x2aab3ffe,
    0xdaaaaaaa,0x7fc007ff,0x0dff0005,0x5c017fdc,0xfd880dff,0xdfb0003f,
    0xffdddddd,0x800e801f,0x8000fff9,0xff9000fa,0x01fff301,0x0003f500,
    0x01ffffdc,0x0000bf70,0x0004ffd8,0x0007ffcc,0x3e6007d4,0xfa8000ff,
    0x06fff980,0x02ec0000,0xfa9fffec,0x3fee0000,0xfff303ff,0x01f50001,
    0x000bfff1,0x4c07ffec,0xa8000fff,0xfff9000f,0x019fffff,0xf10bff50,
    0x6c000bff,0xfff80fff,0x1ffee002,0x002ff880,0x7dc0dff0,0xff91003f,
    0x17fffbbf,0x80be6000,0x1400fff9,0x00fff980,0x9000fb80,0xfff301ff,
    0x01f70003,0x3fea0015,0x0be6006f,0x9ffb0000,0xfff98000,0x00fb8000,
    0x0007ffcc,0x7fc407dc,0x4000007f,0xffe8805d,0x0a80faaf,0x0dfff500,
    0x0003ffe6,0x7ffc03ee,0x3ffa0006,0x01fff306,0x0001f700,0xfff90000,
    0x00dfff01,0xf837ff40,0x3ee002ff,0x3fea007f,0x0dff0000,0x2001ffdc,
    0x0fffffd8,0x2036c000,0x0000fff9,0x003fff10,0x7e400f90,0x1fff880f,
    0x7707b800,0x03ffdc00,0x00000f90,0x80009ffb,0x8001fff8,0xfff8807c,
    0x207c8001,0x0001fffc,0x44017600,0x80fbffff,0x3fee003b,0x03fff107,
    0x7e40f900,0xff0000ff,0x3ffe207f,0x007c8001,0xd5000260,0x41bdffff,
    0x0000fffc,0x3fe07fff,0x3fee002f,0x017ee007,0x2e06ff80,0xf90003ff,
    0x4000bfff,0x7fcc01f9,0x3e00000f,0x6d8003ff,0x403ff200,0xd8003fff,
    0x4c00d706,0x13e007ff,0x3ff60000,0xfff80004,0x006d8003,0xb0007fff,
    0x27ffc40d,0x6c071000,0x3ffea005,0x006b80ff,0xff81ffe6,0x06d8003f,
    0x40027ff4,0x7fc05ffb,0x06d8003f,0x007ffb00,0x27ff4000,0x02ffdc00,
    0x5c005fff,0x3f6007ff,0x1bfe0002,0x0003ffb8,0x00ffffea,0x7cc02f40,
    0x02c000ff,0x8800dffb,0x3ff2004f,0x00dffb00,0x1f704f88,0x01bfe200,
    0x000007dc,0x00027fec,0x20037fec,0xffb004f8,0x04f8800d,0x000fffe4,
    0x0bb006c4,0x0ffffb80,0xf1000fb8,0x37fec0df,0x5013e200,0xf8001fff,
    0x7fec00ff,0x027c4006,0x006ffe80,0x2a02dfb8,0x7c000fff,0x3ffe00ff,
    0x1ffee002,0x00037c40,0xffb81bfe,0x7f4c0003,0x7d4002ff,0x0fff9801,
    0xf9813200,0xfd1000ff,0x07fe4001,0x001fff98,0x3ee01fd1,0x07ff9005,
    0x00009f10,0x0013ff60,0x003ffe60,0x98007f44,0xd1000fff,0xffd8801f,
    0x016c000e,0x3f6001ba,0x05fb80ff,0x4c07ff90,0xd1000fff,0x9ffb001f,
    0x01ffdc00,0x8007ffcc,0x50000fe8,0xb8001f7b,0x3f601fff,0x3fee004f,
    0x017ffc03,0x260fff70,0x0003f50d,0xf7037fc4,0x2600007f,0xf1003ffd,
    0x3ffea00b,0x805f3000,0x4401effc,0x7e4003fe,0x3fff200f,0x01ff4401,
    0xf880bff7,0x9acd986f,0x2000006d,0x00004ffe,0x8803dff9,0x7e4003fe,
    0x7f4401ef,0x3fff2003,0x803e8802,0xffd0006e,0x80bff701,0xfc806ff8,
    0x7f4401ef,0x0fff2003,0x800fff20,0x4401effc,0x880003fe,0x9ff10007,
    0x803ffc80,0xff803ffc,0x3fee002f,0x9d15fd07,0x7ff88000,0x0013fee0,
    0x39dfb300,0xa8017e40,0xea801fff,0x7fff9007,0x3ff6e615,0x4cccc403,
    0x7e400ffc,0xb730abff,0xffb807ff,0x7f4c1bef,0xffffe80e,0x2000000f,
    0x00005ffe,0x42affff2,0x003ffdb9,0x157fff90,0x00fff6e6,0x37fffee0,
    0x2fdb989b,0x002ffb80,0xfb80ff88,0x74c1beff,0xff9000ef,0x36e6157f,
    0xfa8003ff,0xefd981df,0xfffc8001,0xffb730ab,0x0f600007,0x802fe800,
    0xd981dffa,0xfff001ef,0x3ffdc007,0x005ecfc8,0x01fffa80,0x0000bffd,
    0x0b76ea20,0xb300bff7,0x5555bfff,0x0bffb955,0x7fffed40,0x801dffff,
    0xfffffffc,0xfffda800,0x01dfffff,0xffdb9cb8,0x203fffef,0x002ffffc,
    0x3ffee000,0x2a00001f,0xfffffffd,0x540001df,0xfffffffd,0x260001df,
    0xffffffec,0x3f2200cf,0x00cfffff,0x32e03e60,0xfefffdb9,0xda8003ff,
    0xffffffff,0x3220001d,0xeffeeffe,0x7ed40004,0xdfffffff,0x3cc80001,
    0x0df71000,0x77ff6440,0x2004effe,0x2004fff8,0x7500fffc,0xfea80003,
    0xdb1effff,0x009dffff,0x7f4c0000,0xdb85ffff,0xffffffff,0xffffffff,
    0xbaa88002,0x220009ab,0x01999999,0x55dd5440,0x102a0009,0x80135955,
    0x00002db8,0xfffff910,0x00009dff,0x4d5dd544,0x54400000,0x0009abba,
    0x1abb9800,0x20000000,0x5440a809,0x00009aca,0x4d5dd544,0x4c400000,
    0x800001bb,0x09abbaa8,0x00000000,0x400059d9,0x8001bb98,0x00efffc8,
    0x03fffe98,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7ffffecc,0xfeb83dff,
    0x1cefffff,0x2ccc8800,0x99700000,0x32e00007,0xa800003c,0x079911cc,
    0x99950000,0xcc800001,0xaa98003c,0x2aa60002,0x00000001,0x80000000,
    0x0000601a,0x540ef644,0x00800801,0x0000f32e,0x0000b332,0x00019993,
    0x19993000,0x20144000,0x54000018,0x4c000601,0x00001400,0x000b3322,
    0x00000000,0x06ffb800,0xfff10000,0xff500003,0x800003ff,0x0bfea6fe,
    0x3ffa0000,0x7d400002,0x7c4000ef,0x88001fff,0x2a00ffff,0x7000006e,
    0x0f74c1df,0xffea8000,0x0001cc2e,0x67ffffc4,0x00740160,0x3ffe60d1,
    0x3e60001f,0xd80000ef,0x000003ff,0x0003ffd8,0x01d104c8,0x3ffaa000,
    0x80014c1e,0x009702e8,0x06ffa800,0x0017fcc0,0x0002665c,0x0077ec00,
    0x2ffa8000,0xfbfd0000,0x440000bf,0x017ee1ff,0x0ffe6000,0x3ff20000,
    0xfefd8001,0xefd8005f,0x7fe445ff,0xf000006f,0x2ffec9ff,0x7f7c4000,
    0x1d8adfff,0xd9cc8000,0x06ddffff,0x26137d90,0xfbfd04eb,0x7e4000df,
    0xd100001f,0x000000bf,0x20000bff,0x0fe60ef8,0x7f7c4000,0x1d8adfff,
    0x713ee000,0xd800001f,0x7ec000ef,0xff88006f,0x4000001f,0x000001ff,
    0x40000ff6,0x05fd32fb,0xb13e6000,0x7000001f,0x200000bf,0xf98002ff,
    0x4005ff55,0x43ff54f9,0x006ffc99,0x47ffd000,0x80004ffc,0xffff913a,
    0x160000df,0x03ffffd3,0x3ffffe20,0x3fa80fff,0x20005fd1,0x400002fe,
    0x00000ff8,0x0001bea0,0xdf35ff70,0x89dc0000,0x06fffffc,0xc8dfe800,
    0xf800003f,0xffc8001f,0x7ff30005,0x7d400000,0x7c000001,0x5f100004,
    0x00006d88,0x003e81d7,0x000db000,0x000fe600,0x01ba2274,0x437444e8,
    0x00006ff8,0xbb885710,0x40c80000,0x000effd9,0x2f2a0500,0x7ff4c000,
    0x07d01eff,0xf88001fb,0xf3000003,0x64000005,0xe800000e,0x0001ffff,
    0x3ff66120,0xf980000e,0x00006fff,0x10002f98,0x54000177,0x2000006f,
    0x4000003c,0x32000059,0x0000ee01,0x000d10b2,0x0003a200,0x80026400,
    0x200f204a,0x3e0b603a,0x0000006f,0x00400000,0x00000011,0x665c0000,
    0x3b80ae02,0x00025c00,0x00012a00,0x00000e80,0x00bfff50,0x02200800,
    0xfffb0000,0x79000005,0x00000000,0x000003ee,0x4000000c,0x02000009,
    0x06000020,0x40000022,0x20000008,0x20060002,0x81801801,0x000006ff,
    0x0001aa88,0x00000000,0x00000000,0x40008008,0x30000001,0x06200000,
    0x33300000,0x88000001,0x800001aa,0x00001998,0x00000030,0x0002c800,
    0x00355100,0x35531000,0x544000c0,0x1000001a,0x00000355,0x00000000,
    0x00000000,0x001bfe00,0x77ff5c00,0xa803dfff,0x02fffffe,0x3ffffb20,
    0xfffd93ef,0x405dffff,0xefffffec,0x00000004,0x00000000,0x00000000,
    0x00000000,0xfdffd700,0x00007bff,0x98000000,0x00220000,0x00001800,
    0x3ffbffae,0x4c0003df,0xdffefffd,0x2e00d51b,0xdfffeffe,0x7f5c0003,
    0x03dfffef,0xfffffea8,0x3ffb2002,0x3313efff,0x31013333,0x54c01333,
    0x440000bc,0x037fc03b,0x37fa6000,0x3bfaa20a,0xfffc8801,0x7f4c001f,
    0xfffd301e,0x7f4c003b,0x7fff443f,0x10efffff,0xfffffffd,0x3ffa61df,
    0xffffffff,0x0fffffff,0x7fffff4c,0xffffffff,0x7dc0ffff,0xefffffff,
    0x3ffff203,0xffd33eff,0xddffffff,0x8000159d,0x220adfe9,0xf001efea,
    0xffffffff,0xffffffff,0x026c0007,0x00007500,0xfe980000,0x3faa20ad,
    0x7f4c001e,0x3a620bdf,0x74c06fef,0x3aa20adf,0x74c001ef,0x3aa20adf,
    0xfc8801ef,0x4c001fff,0x7fdc1efe,0xc982dfff,0xfd883fff,0xcccefdad,
    0x3f2600bc,0x437fc05f,0x09999998,0x2013fee0,0xf7003ffc,0xb8001dff,
    0x7ffdc02f,0x03fb8001,0x05ffffd4,0x17ffff50,0x37ffee20,0xcaaaaaaa,
    0xf7101ffd,0x55555bff,0x03ffb955,0x3fffff91,0x17ffec00,0xcefffc88,
    0x1effecbb,0x09ff7000,0xf007ff90,0x99999bff,0xbfffb999,0x07fcc000,
    0x7643b800,0xefffffff,0x3fffb202,0xff704eff,0x07ff9009,0x003bfea0,
    0xfb81ffea,0x3ffc804f,0x009ff700,0x2e007ff9,0x4000efff,0xfff102fb,
    0x103fd00d,0xfff983ff,0xfd902fff,0x6ff80bff,0xcdfffe98,0x009ff700,
    0xd801ffe4,0x54005fff,0x7ffd401f,0x01fa8000,0xd006ffe8,0x3fe00dff,
    0x03f5003f,0x5003fff8,0x7ffdc03f,0x07fdc006,0x40bffe20,0x4004fffc,
    0x32004ffb,0x17e203ff,0x00fffe80,0x00fff200,0xfe982640,0x26001dff,
    0x3ee03ffe,0x3ff2004f,0x037fd403,0x7dc1fee0,0x3ff2004f,0x027fdc03,
    0x2007ff90,0x4005fffd,0x3fea01fa,0xfb04f807,0x007ff20b,0x7c05ffb8,
    0x03df706f,0x000fff88,0x2007ffe2,0x004ffffd,0xff5003ea,0x07ea000f,
    0x4017ff60,0xfd005ffd,0x0174007f,0xe800fffa,0x0fffec02,0x2003fd00,
    0x3f202fff,0xff1001ff,0x7fc4001f,0x400f101f,0x0002fffc,0x001bffe2,
    0xfff702ec,0x07f70003,0x0007ffc4,0x2203fff1,0xc8001fff,0x00fff887,
    0x407ffe20,0x2000fff8,0xd801fff8,0x2004ffff,0x7fec00fa,0x2607ea02,
    0x9ff304ff,0x02ffcc00,0x17e61bfe,0x0027ff40,0x6c037fec,0x002fffee,
    0xffa801f5,0x03f50007,0x200bffb0,0xfd005ffd,0x015c007f,0xb800fffa,
    0x37ffc402,0x2004f980,0x3e202fff,0xffd004ff,0xdffb0009,0x7cc01660,
    0x5c0005ff,0x8001ffff,0x3ffea06e,0x01fa8000,0x20013ffa,0xffd06ffd,
    0x03e20009,0xb0009ffd,0x3ffa0dff,0x6ffd8004,0xfffeed80,0x801f5002,
    0x1b605ff9,0xf881ffdc,0x3fe6006f,0x2637fc05,0xfff7004f,0xfff30001,
    0xff8dd807,0x0fa801ff,0x003ffd40,0xfc801fa8,0xbff9005f,0x00fffa00,
    0x7ff40088,0x20022003,0xd803fffb,0x17ffc006,0x201fffa0,0x8000fffb,
    0x2a83fff9,0x0effe880,0x7f6f4000,0x07f8005f,0x4001ffea,0xfff701fa,
    0xfff30001,0x01fffa87,0xffb83600,0xff98000f,0x07ffdc3f,0x1fffcc00,
    0x3ffe3760,0x00fa801f,0xf881ffe8,0x409ff702,0x3e6007ff,0x537fc05f,
    0x7ff4007f,0x3ffa0006,0xff9aec06,0x07d400ef,0x001ffea0,0x7e400fd4,
    0xbff9005f,0x00fffa00,0x07ffd000,0x3ffa0000,0x007ee00f,0xd805fff0,
    0x7f401fff,0x3fa0006f,0x3f20006f,0x540001ff,0x00fffaaf,0xfa807fc0,
    0x3f50007f,0x001bffa0,0x7ec6ffe8,0x04c0007f,0x4000dffd,0x7ff46ffe,
    0x3ffa0006,0xff9aec06,0x07d400ef,0x642ffd40,0x817fe607,0x3e2006ff,
    0xbb7fc05f,0x3fe2003f,0x3f60005f,0xb97600ff,0x7d406fff,0x03ffd400,
    0xc801fa80,0xff9005ff,0x0fffa00b,0x7f400260,0x0009803f,0x882fffc4,
    0xfff8004f,0x03fff402,0x0017ffe2,0x000fffd8,0x004fffa8,0x3ffe6d80,
    0x03fe2003,0x8003ffd4,0xfff881fa,0x3ff60005,0x0bfff10f,0x7ffc4000,
    0x3ff60005,0x0bfff10f,0x07ffec00,0x7ffdcbb0,0x8007d406,0x027c1ffe,
    0x3e203ffe,0x3fe2004f,0x7df7fc05,0x3fe6000f,0x3f20004f,0x917601ff,
    0x7d409fff,0x03ffd400,0xc801fa80,0xff9005ff,0x0fffa00b,0x7f400720,
    0x001c803f,0xd82fffb8,0xfff8000f,0x17ffe202,0x009fff30,0x00fffe40,
    0x01bffe20,0xfc8fe200,0x3fe6007f,0x00fff501,0x3e607ea0,0x320004ff,
    0xfff51fff,0x7cc00007,0x320004ff,0xfff31fff,0x7fe40009,0xf917601f,
    0x07d409ff,0x2a5ffa80,0x27fd401f,0x220037e4,0x77fc05ff,0x2e006ffd,
    0x20003fff,0x3603fffc,0x03fffe85,0xffa801f5,0x03f50007,0x200bff90,
    0xfd005ffc,0x01f8807f,0x8807ffd0,0xffd0001f,0x0017d41f,0x3a02fff8,
    0x7dc01fff,0x320003ff,0x6c003fff,0x80001fff,0x3ffe20fc,0x05ff5002,
    0x4001ffea,0xfffb81fa,0x3ff20003,0x07fff73f,0x7ffdc000,0x3ff20003,
    0x07fff73f,0x1fffe400,0xfffd0bb0,0x8003ea07,0x00db0ffe,0x3667bfe6,
    0x7c4000df,0x477fc05f,0xf9004ffe,0x5c0005ff,0x17604fff,0x207fffa2,
    0x7fd400fa,0x03f50007,0x200bff90,0xfd005ffc,0x3333339f,0x3a003fd5,
    0x99999cff,0x0001fea9,0x3a2bfff3,0x3ffe0005,0x2fffd982,0x02fffc80,
    0x13ffee00,0x03fffb80,0xd84f8800,0xff7005ff,0x01ffea07,0x7e40fd40,
    0x2e0002ff,0xfff94fff,0x7e400005,0x2e0002ff,0xfff94fff,0x7fdc0005,
    0x2217604f,0xfa81fffe,0x33fee000,0x7d1002f8,0x00037bb9,0xff017fe2,
    0x00fffe2d,0x000bfff2,0x204fffa8,0xffff305d,0x5400fa81,0xf50007ff,
    0x0bff9003,0x4017ff20,0xfffffffe,0x001fffff,0xfffffffd,0x003fffff,
    0x657ffdc0,0x3fe0000f,0xffdca9bf,0xff9000cf,0x7d40005f,0xff3004ff,
    0x2e0000bf,0x1fffa80f,0x504ffc80,0x2a000fff,0x2fffc81f,0x3ffea000,
    0x005fff94,0x17ffe400,0x9fff5000,0x000bfff2,0x204fffa8,0xffff305d,
    0x4000fa81,0x1007dfff,0x8800005d,0x37fc05ff,0xb803fff5,0x20003fff,
    0x3602fffb,0x1bffea05,0xffa801f5,0x03f50007,0x200bff90,0xfd005ffc,
    0x3333339f,0x3a003fd5,0x99999cff,0x0001fea9,0x01fffff4,0x3bbffe00,
    0x8005fffe,0x0003fffb,0x400bffee,0x0000fffe,0x7ff40bd0,0x05ffd804,
    0x2000fff5,0xfffb81fa,0x3fee0003,0x07fff72f,0x7ffdc000,0x3fee0003,
    0x07fff72f,0x17ffdc00,0x7fd40bb0,0x0007d46f,0x4013ffee,0x400000fe,
    0x7fc05ff8,0x007ffe46,0x0009fff5,0xb00fffe4,0x5fffc80b,0xff3003ea,
    0x07ea000f,0x4017ff20,0xfd005ffc,0x01f8807f,0x8807ffd0,0x7cc0001f,
    0xf80006ff,0x3fff22ff,0x7ffd4001,0x3ff20004,0xfffc801f,0x5f300002,
    0x007ffdc0,0x7d41bffa,0x3f50007f,0x009fff50,0xa8fffe40,0x00005fff,
    0x0013ffea,0xf51fffc8,0x640009ff,0x17601fff,0x54bfff90,0x7fc4000f,
    0xeff9800f,0x09aaaaac,0x02ffc400,0x3ff61ffe,0x17ffe206,0x0fffd800,
    0x3f601760,0x801f53ff,0x8000fff9,0xffc800fa,0x0bff9005,0x200fffa0,
    0x7ffd001d,0x00003b00,0x00009ffb,0xffe85fff,0x7ffc4006,0x3ff60005,
    0x7ffcc00f,0x3f600005,0xbaaaaaaa,0x7fc03fff,0x0fff507f,0x2207ea00,
    0x20005fff,0xff30fffd,0x440000df,0x20005fff,0xff10fffd,0x7ec000bf,
    0x017600ff,0x7d4ffff6,0x05fb8000,0xffffff10,0x03bfffff,0x8817fe20,
    0xfff887ff,0x01bffe05,0x406ffe80,0xffe8805d,0x4c00faaf,0xb8000fff,
    0x5ffc800f,0x00bff900,0x2a00fffa,0x07ffd000,0xb0000150,0xf00009ff,
    0xfff885ff,0x37ffc004,0x0dffd000,0x00fffe88,0xffff1000,0xffffffff,
    0x7ffe80df,0x000fff30,0x7ffc07ea,0x3ffa0006,0x01fffe26,0x0dfff000,
    0x237ff400,0x20006fff,0x2ec06ffe,0x57fff440,0xf98000fa,0x3ffe6002,
    0xffffffff,0x5ff8802f,0x207ffea0,0xc80dfffc,0xf0000fff,0x05d807ff,
    0xf7ffff10,0x1fff8801,0x9007c800,0x3f200bff,0x7ffd005f,0xffe80000,
    0x20000003,0x80004ffd,0xffa82fff,0x3ff2002f,0xfff0000f,0x1fffc807,
    0x03f20000,0x807ffe60,0xff304ffc,0x1f50001f,0x003fff20,0x321fffc0,
    0x00001fff,0x0003fff2,0x3f21fffc,0xff0000ff,0x005d807f,0x1f7ffff1,
    0x800f9000,0x5553316a,0x100bfb97,0xffd709ff,0x3ea5dfff,0x40dfffff,
    0xb8004ffe,0x05d805ff,0x3ffffea0,0x03fff800,0xf9006d80,0x3ff200bf,
    0x07ffd005,0x3ffe8000,0x36000000,0xf80004ff,0xfffb02ff,0x27ff4001,
    0x02ffdc00,0x0013ffea,0x2004f803,0x32205ffe,0x1fff300c,0x401f7000,
    0xb8004ffe,0xfff885ff,0xd0e20004,0xf70009ff,0x13ffa0bf,0x017fee00,
    0xffa80176,0xf8000fff,0x003e6004,0x7c400fc8,0x0000003f,0x0003ffea,
    0xbb001fff,0xffffb800,0x06ffd800,0xc8027c40,0xff9005ff,0x0fffa00b,
    0x7f403600,0x00d8003f,0x004ffd80,0x102fff80,0x5400bffd,0x7c000fff,
    0x3fe200ff,0x2058006f,0x3ea000fa,0x220000ff,0xc8001fff,0x07ffd407,
    0x403ffe00,0x8001fffc,0x7ffd40d8,0x07ffc000,0x000fffa8,0x6c007ffc,
    0x7ffdc005,0x07dc000f,0x4005e880,0x2ff98079,0x016fdc00,0x0027fec0,
    0x3a007ff7,0xfffd8006,0x0fff9800,0x001fd100,0x6c017ff6,0xffd005ff,
    0x205b8007,0x5c003ffe,0x9ffb0005,0x5fff0000,0x01fffcc0,0x4009ffb0,
    0x7ec03ffb,0x2cc001ff,0xff000bd0,0x7c02809f,0x6d8003ff,0x004ffd80,
    0xd880ffee,0x6c000eff,0x009ffb02,0x3601ffdc,0x3ee004ff,0x00dd003f,
    0x001fffb0,0xf90027c4,0x804c800d,0x5c000ff9,0xc8001fff,0xffc803ff,
    0x001ba003,0xc8007ff4,0x74401eff,0x3ff6003f,0x0bffb005,0x8013ffa0,
    0x3ffa02f8,0x00be2004,0x0027ff40,0x201fffc0,0x2002fffb,0xfc803ffc,
    0x7ffdc03f,0x504e8003,0xffb0007f,0x03ffe01f,0x20037fec,0xff9004f8,
    0x07ff9007,0x00bfff20,0xff900fa2,0x07ff9007,0x200fff20,0x3a003ffc,
    0x1ffd0006,0x366b3660,0x67fec006,0x54364400,0x80027d40,0x50004ff8,
    0xfb303bff,0x7fdc003d,0x0ff88002,0x2ffff200,0x7ffb730a,0x06ffe800,
    0x200dffd0,0xd3004fff,0x04fff80f,0x4000fd30,0x40005ffe,0xd804fff8,
    0x2a001fff,0xfd981dff,0x7ffc401e,0x17e44006,0xb8000fe8,0xffa84fff,
    0x1fff302f,0x003fa200,0x981dffa8,0x5c001efd,0x89bdffff,0x5002fdb9,
    0xfb303bff,0xffa8003d,0x1efd981d,0x00bfee00,0x7403fe20,0x000fffff,
    0x66ffffc4,0x0dfcbaaa,0x1f91ffe4,0x017f4000,0xdffd9100,0x2009dffd,
    0xffffffc8,0x03e6000c,0xffffb500,0x003bffff,0x01ffffa8,0x00ffffd4,
    0x2affffea,0xfcbaaaaa,0x3ffea05f,0xaaaaaabf,0x0005ffcb,0x003ffff7,
    0x3bfff220,0x7fffc401,0xfd91001c,0x09dffddf,0x2b3fffa0,0xaaaaaaaa,
    0x441fffcb,0xc8003ffd,0x220bffff,0x3f200fff,0x7f4401ef,0xfec88003,
    0x04effeef,0x3ffb2600,0x00cfffff,0x77ff6440,0x0004effe,0x3bbffb22,
    0x91004eff,0x19ffffff,0xc807cc00,0x0002ffff,0xffffffb3,0x3ee05dff,
    0x000eefff,0x000df710,0x00ddcc40,0x98000000,0x75510000,0xc8001357,
    0xefffffff,0x3ffff20c,0x910cefff,0xfffffffd,0xffffffff,0xffec885f,
    0xffffffff,0x02ffffff,0x3ffff220,0x3004efff,0xfffffffb,0x7ffd407d,
    0x22001fff,0x5c001bb9,0xffffffff,0xffffffff,0x7ffdc7ff,0xfc804fff,
    0x3fffffff,0x3f2002a2,0xb730abff,0x100007ff,0x00003773,0x006aee60,
    0x0ddcc400,0x5cc40000,0x0000001b,0x2e201300,0x7300002d,0x00359bb9,
    0x00059b95,0x00056764,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfffffb50,
    0x0003bfff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x57755100,0x00000013,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x00003ccb,0x01b88371,0x00000000,0x00000980,0x9502ccc8,
    0x88000199,0x00601aa9,0x00099950,0x7f6dcc40,0x2fffffff,0x00000000,
    0x00007995,0x0000a00a,0x10001001,0x00310155,0x0000a00a,0x14005005,
    0xcb800140,0x0000003c,0x0e400000,0x1c800720,0x00000640,0x79990000,
    0xff800198,0xff00001f,0x017fec1f,0x0b1006c0,0x01360000,0x1dff5000,
    0x0017ff40,0xfefffd98,0x00d51bdf,0x002ffe88,0xfffffa80,0x8001e63f,
    0x00000efb,0x005ffff1,0x3601d300,0x00ec0002,0x7fd400d1,0xc8bdffff,
    0x201d5004,0x7540001d,0x54003b00,0x0005b00e,0x003ffff3,0x41bf7000,
    0x80001efa,0x3e4c0afa,0x302bae00,0xd88000f9,0x7cc0004f,0x0ffee0ef,
    0x002ffa80,0x45fff300,0xd8004fff,0x136a20ad,0x3fe60000,0x3f200000,
    0x2ff4400f,0x37ffa600,0x3bfa620b,0xff88006f,0x7fd40004,0x263fffff,
    0x3ffe0007,0xbfb00003,0x20000dff,0x002ec2fd,0x9855f640,0xffb004eb,
    0x3ffae639,0x8bf6004f,0xd00005d8,0x002f443f,0x0bb117ec,0x3ff7fa00,
    0x7c400005,0x17ffa3ff,0x77ff4000,0x4003fffd,0xffdeffe8,0x7d40003f,
    0x2e0000ff,0x2fff41ff,0x0007f900,0x7e46fd80,0xff98001f,0x00fffeef,
    0x3ffc8000,0x07fe0000,0x5003fcc0,0xf5001dff,0x3e6000ff,0x3fea0007,
    0x23ffffff,0x3fa00079,0xf980002f,0x0007fd14,0xfd19ff10,0xfd100003,
    0x01ffffff,0x6c01ff90,0x3e6004ff,0x000fe8bf,0xd17ff300,0xff10001f,
    0x0003fd19,0x0bfa67f5,0x5ffd0000,0x0001ffec,0xffffff98,0xfff30005,
    0x0000bfff,0x8000fff3,0x7fff82fe,0x00017e00,0x00008040,0x7fffffd4,
    0xf8800002,0x300006ff,0x1fa8005f,0x006ffa80,0x50003fdc,0x3f60003f,
    0x3fffffff,0xc88001e6,0x07d00002,0x900001f9,0x0009ffff,0x7ffff4c0,
    0x4ff9801e,0x4004fd80,0x004ffffc,0x7fffe400,0x3ff20004,0xf88004ff,
    0x00036c42,0x7710b260,0xec880000,0x440002df,0x0002dfec,0x800072a0,
    0xdffd03f8,0x00016600,0x40000000,0x000ceec8,0xffff7000,0x07900003,
    0xf1012e00,0xf90003ff,0x004b8000,0xfffffff0,0x003cc7ff,0x3a800000,
    0x200012a0,0x000ffff8,0x03cca800,0x2003fee0,0x7c4004f8,0x00000fff,
    0x007fffc4,0x1ffff100,0x5c057000,0x00000003,0x00000000,0x00000000,
    0x204b8000,0x13006ffd,0x00000000,0x00000000,0xbffdbd00,0x00030000,
    0x27ff4018,0x000f8800,0x7c4000c0,0xffffffff,0x44001e63,0x00601aa9,
    0x00002002,0x00004cc4,0x3f200000,0x009b002f,0x00013310,0x00266200,
    0x00266200,0x00040040,0x00000000,0x01555330,0x00000013,0x15553300,
    0x200c0130,0x00005ffc,0x4cccc400,0x99988099,0x01300009,0x57d40000,
    0x0000fffa,0x2a000000,0x20001fff,0x0130000d,0x7ffffc00,0x1e63ffff,
    0xdfffb300,0x1aa37bff,0x00000000,0x00000000,0x006ffc80,0x00000097,
    0x0004c000,0x30000000,0x3fb20001,0x2effffff,0x3ffffb20,0xfc9804ef,
    0xceffefff,0x2a6003b1,0x4c0000bc,0xffeffffc,0x4403b1ce,0x4ffb84eb,
    0xffffffd3,0x159dddff,0x7fffdc00,0xffc982df,0x09b0003f,0xf36c0000,
    0xe88007ff,0xffffffff,0xffffd10e,0x6c1dffff,0x4c0007ff,0x009b0000,
    0x7ffffec0,0x01e63fff,0x05efff4c,0x4dfdfd31,0xffffffe9,0xffffffff,
    0x7f4c0fff,0xffffffff,0x001bcdee,0xffffffd3,0xffffffff,0xffa81fff,
    0x21c400df,0xffffffe9,0xffffffff,0x40000fff,0xfd10004d,0xdfffffff,
    0x01360001,0xbfffd300,0x7ff4c003,0xcffd8803,0x7ffd440a,0x6fec402f,
    0xccccefda,0x3ff6200b,0x7fd440ac,0xffd982ff,0x43ffa84f,0xbcefffc8,
    0x01effecb,0x01bffe20,0x4c0007fa,0x800000ff,0x1fff23f8,0xffffa800,
    0x3ffea00b,0x7ffc40bf,0x00000005,0x20001ff3,0xfffffffb,0x2a01e63f,
    0xfa800eff,0xfffb887f,0xaaaaaaad,0x9101ffdc,0x779dffff,0x19ffffdb,
    0xbfff7100,0x95555555,0xff883ffb,0x10002eff,0x555bfff7,0xffb95555,
    0x7fcc0003,0x7fd40000,0x20000bff,0x40000ff9,0x8001fffb,0xfe8803fb,
    0xffd8802f,0x307fe202,0x05ffffff,0x200bffa2,0x9a82ffd8,0xffa84ffd,
    0x02fff882,0x4009fff9,0x4f807ffa,0x0fff2000,0x83f20000,0x0002fff8,
    0x7401bffa,0xfff506ff,0x00000007,0x4000fff2,0xffffffe8,0xf501e63f,
    0x7fb800df,0x400fffe0,0x3fe201fa,0x7ffdc03f,0x7fff002f,0x2607ea00,
    0x00dfffff,0x007fff00,0xc80007ea,0xe80003ff,0xc80006ff,0x540003ff,
    0xa8000fff,0x7ffcc01f,0x01fec002,0x3ff20bfb,0x17ffcc01,0xa80ff600,
    0x1ff984ff,0x6405fff0,0x36001fff,0x07ea02ff,0x37ffc400,0x13e20000,
    0x80017ff6,0xfb005ffd,0x3ffee0bf,0x80000003,0x0006fff8,0x3fffffa2,
    0xf881e63f,0x7c8001ff,0x800fffa0,0x1fffc02e,0x1ffff4c0,0x001fff40,
    0x3ffea05d,0x4000cfff,0x3a003ffe,0xfff10002,0xffb0000d,0xff88000b,
    0x7d40006f,0x3f50007f,0x002ffe80,0xff303f88,0x013fe609,0x10005ffd,
    0x27fcc07f,0xff807fc4,0x3ffe202f,0x17fe6004,0x2e0006d8,0x0001ffff,
    0x3ea03ee0,0xfb0001ff,0x3ff600bf,0x05fff905,0xf7000000,0x40003fff,
    0x3ffffec8,0x4ffe81e6,0x201f1000,0x2e003ffe,0x01fffc02,0x803fffd0,
    0x2e003ffe,0x3fffa602,0x3a003fff,0x0ae003ff,0x7fffdc00,0x7fec0001,
    0x7fdc0005,0x2a0001ff,0xf50007ff,0x037fe403,0x3ee09700,0x0dff103f,
    0x00037fe4,0x27fcc097,0x3ffe07f8,0x03fff402,0x2207ffa0,0x37a0002f,
    0x00005ffe,0x4ffe817a,0x0bff9000,0x6417ff20,0x00002fff,0xffede800,
    0x53100005,0xfa83cc7d,0x360001ff,0x007ffd00,0x3ffe0044,0x3ffe6003,
    0x0fffa00f,0xfb800880,0x00efffff,0x2003ffe8,0xdbd00008,0xc8000bff,
    0x740005ff,0x0005ffed,0x4001ffea,0xfff301fa,0x82c40005,0x3fe04ffb,
    0x05fff307,0xf302c400,0xf81fa09f,0x7fec02ff,0x3fea001f,0x20007c85,
    0x0fffaafa,0x02f98000,0x0003ffee,0x64017ff2,0xfff705ff,0x80000007,
    0x0fffaafa,0x31ec0000,0x01fff60f,0x3fa01300,0x7c00003f,0x7ec003ff,
    0x3ffa03ff,0xb1000003,0x01ffffff,0x0003ffe8,0xfaafa800,0x320000ff,
    0x2a0005ff,0x00fffaaf,0x00fff500,0x7e407ea0,0x2000006f,0x3fe05ff9,
    0x00dff906,0x4ff98000,0x7ffc0db0,0x03fff402,0x3e0fff40,0xf9b60004,
    0xd80003ff,0xaaaaaaaf,0x8003fffb,0xf9005ffc,0x3ffea0bf,0x40000005,
    0x00fffe6d,0x3cc7b000,0x002fffc4,0x07ffd000,0x3fe00130,0x7fc4003f,
    0x0fffa06f,0x4c000260,0x00effffe,0x2600fffa,0xf9b60000,0x320003ff,
    0x360005ff,0x000fffe6,0x8003ffd4,0xbfff01fa,0xff800000,0x04ff880f,
    0x0000bfff,0x904ff980,0x017ffc0b,0x000bfff1,0x0fd4bff5,0x323f8800,
    0x440007ff,0xffffffff,0x006fffff,0x9005ffc8,0x3fe60bff,0x0000006f,
    0x7ffc8fe2,0x31ec0000,0x07fff50f,0x7ff40000,0xf001c803,0xfd0007ff,
    0x3ffa03ff,0x0001c803,0x01ffffdc,0x39007ffd,0xc8fe2000,0x320007ff,
    0xf10005ff,0x003ffe47,0x0007ffa8,0xfff503f5,0xa8000009,0x06fc84ff,
    0x0009fff5,0x04ff9800,0x17ffc099,0x003fffd0,0x36c3ffa0,0x441f9000,
    0x20002fff,0xff9800fc,0x7fe4001f,0x0bff9005,0x001fffe2,0x20fc8000,
    0x0002fff8,0xb8798f60,0x00003fff,0x100fffa0,0x3ffe003f,0xfffd8003,
    0x807ffd02,0x001501f8,0xe81bffea,0x0fc403ff,0x220fc800,0x90002fff,
    0x32000bff,0x0bffe20f,0x01ffea00,0x7dc0fd40,0x000003ff,0xd99eff98,
    0xfff700df,0x98000007,0x407704ff,0xfd982fff,0x2e0002ff,0x002f8cff,
    0xffb09f10,0x027c000b,0x800bffd0,0xf9005ffc,0x7ffe40bf,0x88000001,
    0x05ffd84f,0x798f6000,0x002fffc8,0x33ffa000,0xea999999,0x7fff001f,
    0x7fff7000,0x2673ffa0,0x1fea9999,0x7dc00770,0x33ffa07f,0xea999999,
    0x4f88001f,0x0005ffd8,0x1000bff9,0x0bffb09f,0x00fff500,0x3f207ea0,
    0x3ae002ff,0x2effffff,0xbddcbe88,0x17ffe401,0xffffd700,0xff985dff,
    0x7fc03304,0xffdca9bf,0xf80000cf,0x20007dff,0xfffa80fb,0x00fa8001,
    0x003ffea0,0x9005ffc8,0x7fc40bff,0x0e20004f,0x3ea03ee0,0xb00001ff,
    0x7fe43cc7,0x2000002f,0xfffffffe,0x001fffff,0x50007fff,0x3fa09fff,
    0xffffffff,0x0d701fff,0xd03ffcc0,0xffffffff,0x0003ffff,0xfff501f7,
    0xbff90003,0x501f7000,0xa8003fff,0xf50007ff,0x05fffb03,0x7ffff100,
    0x4000ba20,0x8002fffd,0x303ffff8,0x3e0009ff,0xfffeeeff,0x7dc00005,
    0x3a0004ff,0x013ffa05,0x3e0017a0,0x3f2004ff,0xbff9005f,0x01fffc80,
    0xe800d880,0x013ffa05,0x0f31ec00,0x0007fff7,0x4e7ff400,0xfea99999,
    0x07fff001,0x09fff500,0x26673ffa,0x01fea999,0x3e2001f7,0x33ffa06f,
    0xea999999,0x05e8001f,0x20013ffa,0xe8005ffc,0x013ffa05,0x000fff50,
    0x3fee07ea,0xffb0003f,0x003fa01f,0x01fffdc0,0x00fffd80,0x20009ff3,
    0x3ff22fff,0x2200001f,0x30000fff,0x7ffdc05f,0x00fea000,0x003fff60,
    0xc802ffe4,0x7ec405ff,0x16c000ef,0xf7017cc0,0xb00001ff,0x7fd43cc7,
    0x2000005f,0x7c403ffe,0x07fff001,0x07fff700,0xf100fffa,0x4017ee03,
    0x3fa03ffc,0x00fc403f,0xfb80be60,0x7e4000ff,0x17cc005f,0x001fff70,
    0x8003ffcc,0xfffa81fa,0xfff90004,0x2b3bfe60,0x5009aaaa,0x20009fff,
    0x3e607ffc,0x7c03304f,0x37ff42ff,0x17ee0000,0xaaafd800,0xfffbaaaa,
    0x003fa003,0x013ffee0,0xc802ffe4,0xff9005ff,0x07d1005f,0x2aaabf60,
    0x3fffbaaa,0x263d8000,0x06fff987,0x3ffa0000,0xf001d803,0xf90007ff,
    0x3ffa03ff,0xf701d803,0x6ff880bf,0x401fff40,0x57ec001d,0xfbaaaaaa,
    0x7e4003ff,0x57ec005f,0xfbaaaaaa,0x3e6003ff,0xfa8000ff,0x06fff980,
    0x20dff700,0xfffffff8,0x4c1dffff,0x70006fff,0x7fcc0dff,0xf03ffb84,
    0xfff885ff,0x3e600004,0xfff10002,0xffffffff,0xfb100dff,0xff90007f,
    0xfc8017ff,0xbff9005f,0x7fffdc00,0xfdb989bd,0xffff1002,0xffffffff,
    0x7b0000df,0x7ffc43cc,0x3a000007,0x00a803ff,0x0007fff0,0x3a01fffd,
    0x00a803ff,0x837dfff7,0x7400efe9,0x00a803ff,0x3ffffe20,0xffffffff,
    0x2ffe4006,0xfffff100,0xffffffff,0x7ffcc00d,0x00fb8000,0x0001ffff,
    0x7cc0dff7,0xffffffff,0x7ffc2fff,0xffb8000f,0x213fe606,0xfff06ffe,
    0x05fff505,0x001f2000,0xf9800fc8,0x3fee01ff,0xc804ffff,0xffffffff,
    0x017ff203,0x2002ffe4,0xfffffec9,0x32000cff,0xfff9800f,0x31ec0001,
    0x07fff20f,0x7ff40000,0x7fc00003,0x7fc4003f,0x0fffa06f,0xb7397000,
    0x7fffdfff,0x00fffa00,0x003f2000,0x8007ffe6,0x32005ffc,0xfff9800f,
    0x3fff1001,0x5c0f9000,0xb8003fff,0x45aa06ff,0xdcbaaa99,0x1fffdc5f,
    0x037fdc00,0xff909ff3,0x40bffe07,0x0000fffd,0x3e0004f8,0x17ffa004,
    0x3e200000,0x2ffe4001,0x005ffc80,0x00d5f540,0x3a004f80,0x6c0005ff,
    0x7fc41e63,0x0e20004f,0x0001fff4,0x000fffe0,0x7405fff9,0x540003ff,
    0x4d675440,0x0fffa000,0x013e0000,0x2005ffe8,0x3e005ffc,0x17ffa004,
    0x003fff80,0x7ff406d8,0x7fdc000f,0x4001f306,0x7fff40fc,0x37fdc000,
    0x2609ff30,0x40bffe01,0x0005ffe8,0xa80007dc,0x3fea000f,0x4000000f,
    0xffc8007c,0x0bff9005,0x001ed800,0xa8003ea0,0x20000fff,0xfc81e63d,
    0xd88001ff,0x007ffd00,0x3ffe01b0,0x3ffe6003,0x01fff405,0x3e6006c0,
    0xffe8000c,0x500d8003,0x7fd4001f,0xbff9000f,0x8003ea00,0xb000fffa,
    0xf8800dff,0x27ffd404,0x21bfee00,0x3cc005e8,0x0027ffd4,0xf981bfee,
    0xfff0004f,0x1fffcc05,0x004f8800,0x3e0017a0,0x000004ff,0x360017ec,
    0xffb005ff,0x7fcc000b,0x0bd0001f,0x009fff00,0x40f31ec0,0x000effd8,
    0x7ffd016c,0x3e05b800,0x3f6003ff,0x7ff400ff,0x402dc003,0xe8005ffd,
    0x2dc003ff,0xff000bd0,0x3ff6009f,0x000bd005,0x26009fff,0xd1000fff,
    0xfff7001f,0x37fdc005,0x320037e4,0x05fff704,0x3037fdc0,0x0fae09ff,
    0x2e01fffc,0x6cc02fff,0x0006d9ac,0x36000fea,0x00000fff,0xb0017f60,
    0x3f600bff,0x7c40005f,0x3fa8004f,0x0fffd800,0x3cc7b000,0x017ffe40,
    0x3fa01f44,0x0be2004f,0x8803fff8,0xe802fffd,0x3e2004ff,0x01ff9002,
    0x004ffe80,0x1fd40be2,0x07ffec00,0x402ffec0,0xfd8003fa,0xff9000ff,
    0x3fe8803d,0x0fffa600,0x6c37fdc0,0x64400cff,0x1fff4c06,0x206ffb80,
    0xff985ff9,0x27ffc41f,0x00fffec0,0x01fffffd,0x0007f400,0x0027ffdc,
    0x9fff3000,0x7ff40533,0x0dffd006,0x003ff000,0x70001fd0,0x20009fff,
    0x5c01e63d,0x89bdffff,0xf802fdb9,0xfd3004ff,0x01fffc40,0x0037ffea,
    0x98027ffc,0x1bee007e,0x013ffe00,0x1fd03f4c,0x9fff7000,0x00dffd00,
    0xf70001fd,0x7e4009ff,0xb730abff,0xb10007ff,0x91037dff,0xff107fff,
    0x75559bff,0xb1001bf9,0x91037dff,0x7d407fff,0x1fff985f,0x07bfff22,
    0x39ffff10,0x05ffff90,0x0fff6200,0x3ffff200,0x7000000b,0x205dfffd,
    0x401ffffa,0x001ffffa,0x800df910,0x8003ffd8,0x00bffffc,0x00f31ec0,
    0x7ffff64c,0xa800cfff,0xaaabffff,0x5ffcbaaa,0x9dfff910,0xffdb7357,
    0x7fd4005f,0xaaaaabff,0x005ffcba,0xa8005fd3,0xaaabffff,0x5ffcbaaa,
    0x003ffd88,0x0bffffc8,0x03ffff50,0x000fff62,0x02fffff2,0x7fffed40,
    0x001dffff,0x7fff6540,0x02dfffed,0x7ffffecc,0x8002efff,0xedfffeca,
    0xc802dfff,0x4ec80fff,0xffffffb3,0x7fd407df,0x2e21ffff,0x3ee0002d,
    0x804fffff,0xfffffffc,0x2000003f,0xfff901a9,0x419dffff,0xfffffffc,
    0xbd9000ce,0xfffb8005,0xfc804fff,0x3fffffff,0x0688b200,0x06aee600,
    0x3fffb220,0xffffffff,0x4c2fffff,0xfffffffd,0x1abcefff,0xfffd9100,
    0xffffffff,0x805fffff,0x1000bde9,0xffffffd9,0xffffffff,0xfffb85ff,
    0xfc804fff,0x3fffffff,0x3ffffff2,0xfff70cef,0xf9009fff,0x7fffffff,
    0x5dd54400,0x0000009a,0x01355753,0xcddcb980,0x2600001a,0x8009aaba,
    0xdeffffea,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00154000,
    0x2aaa6600,0x40000980,0x50003ccc,0x80002801,0x2a004cca,0x02fffffe,
    0x3ffffb20,0xfffd33ef,0xdddfffff,0x75400159,0xefffffff,0x7ffff544,
    0x03001eff,0x7fffff64,0x3b202eff,0x34efffff,0xfffffffd,0x000007df,
    0x74400000,0x000003ee,0x22018018,0xfffffffe,0x775c00ef,0x0000000e,
    0x00000000,0x00000000,0x80000000,0x9800601a,0x14c702dd,0x0013fee0,
    0xdffff930,0x07639dff,0x0eff9800,0x203d3000,0xff80003c,0xfc88002f,
    0x4c001fff,0xf9101efe,0xd9779dff,0x90003dff,0xb801dfff,0x2000cfff,
    0xffe98068,0x3a6001df,0xff7103ff,0x000005ff,0x00009fb0,0x40037fd4,
    0xb5001ff9,0x5400b201,0x000bffff,0x0000bffa,0x7e43fe88,0x3a600004,
    0x5000002f,0x400005bd,0x3fa21ee9,0x7f540002,0x801cc2ef,0x21effffd,
    0x409ff32a,0x10006ffd,0x88159ffb,0x002ffffa,0x0007ff20,0x06d87f90,
    0x03ff9800,0x77ffdc00,0x017dc000,0x640bffe2,0x44004fff,0xfc804fff,
    0x06c8002f,0x003fff70,0xff007f70,0x000000bf,0x0001fff5,0x0003bf20,
    0xe8017ff6,0x20036c1e,0x88006ffe,0x200004fe,0xff30fffb,0x3600003f,
    0x800006ff,0x003ebaed,0x64bffb00,0x220007ff,0xadffffef,0xae9801d8,
    0xebeffffc,0x540dff71,0xe88002ff,0xfd8802ff,0x3fa0002f,0xff880002,
    0x0002fd8d,0x00004fb8,0x800bfffb,0xfff801fa,0x07fff202,0x807fff00,
    0x98000ef9,0xfff5006f,0x03f50001,0x0009ffd0,0x0fff3000,0x00ffc000,
    0x004ffc80,0x0fecffe6,0x017ff600,0x0003fcc0,0x7c4dff50,0x900000ff,
    0x800009ff,0x001aa0f8,0xf527fe40,0x9d4000df,0x6fffffc8,0x7ec43700,
    0x3fee4fff,0x40004406,0x4002fff9,0xf10003fd,0x7dc00007,0x00005fff,
    0x6c0000bd,0x2004ffff,0xfff800fa,0x13ffe202,0x405fff00,0x88000ef9,
    0xff5006ff,0x07ea000f,0x0013ffa0,0x00e54000,0x002f9800,0x0002ee20,
    0x00bffffb,0x000bffb0,0x00000fd4,0x01c98395,0x02ee2000,0x88d50000,
    0xb880000f,0x0005d40b,0xffd98170,0x2607000e,0x2ffd42dc,0xffe80000,
    0x03f88002,0x00009700,0x003fffd0,0x0001d100,0x7fff76c0,0x001f5002,
    0xfe805fff,0x7ffc007f,0x001df102,0x33dffd30,0x1ffea013,0x400fd400,
    0x00003ffe,0x90000000,0x00000007,0x007fffc4,0x002ffe40,0x000012e0,
    0x00000000,0x50fc0000,0x0000000d,0x08802000,0xf8800000,0xc800003f,
    0x2e0006ff,0x00030004,0x00266200,0x00004400,0x3ffe3760,0x00fa801f,
    0x6c02fff8,0x3e001fff,0x0ef982ff,0xffffb800,0xf504ffff,0x3ea000ff,
    0x03ffe801,0x00000000,0x00000300,0x03553000,0x017ff200,0x00000600,
    0x00000000,0x67dc0000,0x000002fd,0x26000000,0x40000000,0x795302ff,
    0x3ffe6001,0x01620002,0x00000000,0x00000000,0xfff9aec0,0x007d400e,
    0x3a017ffc,0x7fc007ff,0x0077cc2f,0x01bfe200,0x8003ffd4,0xffe801fa,
    0x3fe00003,0xffffffff,0x3fffffff,0x00c404c0,0x3fffffa2,0x2600efff,
    0x64001880,0x04c005ff,0x3fee00c4,0x3effffff,0x3fffff20,0xfffd33ef,
    0xffffffff,0x01ffffff,0x0077c400,0x7ffff4c0,0xffffffff,0x000fffff,
    0x880026c0,0xfffffffe,0x103fa0ef,0x9dfb5bfb,0x7e417999,0x8000006f,
    0xffffffff,0xffffffff,0x3ffff23f,0xffffffff,0x26ffffff,0xffffffe9,
    0x80003eff,0x1bffee5d,0xff001f50,0x7ffc405f,0x17ffc005,0x00001df3,
    0x2a00dff1,0xf50007ff,0x07ffd003,0x6fffc000,0xcccccccc,0x6405fffd,
    0x13fea2ff,0x5ffffd40,0x517fe400,0x7e4009ff,0x3ff2005f,0x1013fea2,
    0x03fffff9,0x817ffec0,0xaadfffb8,0xfdcaaaaa,0x3e60001f,0x2e20000f,
    0xaaaadfff,0x1ffdcaaa,0x03fe6000,0xffff5000,0xf88f9017,0x7fffcc1f,
    0x17ffe2ff,0x3fe00000,0xccccccdf,0x45fffdcc,0xcccdeffd,0xcccceffe,
    0xfb887ffe,0x00002fff,0x3fff22ec,0x2003ea04,0x3fa02fff,0x7fc001ff,
    0x001df52f,0x01bfe200,0x8003ffd4,0xffe801fa,0xbf100003,0x07fff400,
    0xfd97ffa0,0x3ffa006f,0x4bffd006,0x32006ffd,0x3fa005ff,0x01bff65f,
    0x0037ffdc,0x3e003fee,0x3f5003ff,0x1ffe4000,0x1fffc000,0x0001fa80,
    0x0000fff2,0x6b81bffa,0xffc82fec,0x04fffa81,0x2fc40000,0x81fffd00,
    0xbff902fd,0xff81fe20,0xd800005f,0x03fffe85,0xfff001f5,0x5fffb305,
    0x55fff000,0x400001ff,0xf5006ff8,0x3ea000ff,0x03ffe801,0x400f1000,
    0xc802fffc,0x13fea2ff,0x005ffd80,0x7fd45ff9,0x17ff2004,0x2a2ffc80,
    0x3f6004ff,0x3fa001ff,0x07ffd001,0x88001740,0x80006fff,0x3a003ffe,
    0xfff10002,0xffb0000d,0xff31cc0b,0x213fe609,0x0003fffb,0x9003c400,
    0x05b05fff,0xf102ffe4,0x0027ff40,0x7442ec00,0x0fa81fff,0xa9bfff80,
    0x00cfffdc,0xffbfff00,0x4400009f,0xff5006ff,0x07ea000f,0x000fffa0,
    0xf9802cc0,0x026005ff,0xffb00062,0x4404c00b,0x2ffe4001,0x06202600,
    0x0dfff100,0xe8013e60,0x0ae003ff,0x7fffdc00,0x7ff40001,0x000ae003,
    0x00ffffdc,0x017ff600,0xf103ffb8,0x5fff90df,0x7fff5c00,0x2cc2efff,
    0x05fff980,0x2ffe401d,0x7ff403a0,0x5d800004,0x81ffff30,0xfff800fa,
    0x05fffeee,0xfcfff800,0x00004fff,0x2a00dff1,0xf50007ff,0x07ffd003,
    0x200aa000,0x000effe8,0xff900000,0x0000000b,0x00017ff2,0xfff70000,
    0x800db007,0x22003ffe,0xfdbd0000,0xfe8000bf,0x0022003f,0x2fff6f40,
    0x17ff2000,0x204ffb80,0xfffd87ff,0xfff88002,0x1005503f,0x0e01dffd,
    0xa80bff90,0x007ffd00,0x540bb000,0x07d46fff,0xf917ffc0,0xf80003ff,
    0xffff9aff,0xff880004,0x0fff5006,0x2007ea00,0x00003ffe,0x0fffe400,
    0x01333330,0x20033333,0x33305ffc,0x33330133,0x17ff2003,0x80999998,
    0x40019999,0x2e00fffe,0x7ff4001f,0xa8000003,0x00fffaaf,0x00fffa00,
    0x2bea0000,0x0000fffa,0x98017ff2,0x1bfe05ff,0x000fffee,0x0007ffec,
    0x007fff20,0x005ffc80,0x000fffa0,0xf9017600,0x007d4bff,0x3fa17ffc,
    0x7fc0006f,0x9ffff32f,0x6ff88000,0x00fff300,0x3a007ea0,0x000003ff,
    0x013ffea0,0x88bfffb9,0x801ffffd,0xfb905ffc,0xffd88bff,0xffc801ff,
    0x3fff7205,0x7fffec45,0x3ffe2001,0x0009f105,0x13007ffd,0xff36c000,
    0x7f40007f,0x0009803f,0x3fff9b60,0x17ff2000,0x101fff00,0xfff509ff,
    0x3ff20009,0x7fd40007,0x7e40004f,0x3fa0005f,0xd800003f,0x3fffd805,
    0xfff001f5,0x04fff885,0x98bffe00,0x0004ffff,0x4c01bfe2,0xa8000fff,
    0x3ffe800f,0xf1000000,0x7dc00dff,0x07ffe05f,0x7017ff20,0x7ffc0bff,
    0x05ffc801,0x3e05ffb8,0x7dc001ff,0x00fd82ff,0x803ffe80,0x7f10001c,
    0x0003ffe4,0x39007ffd,0xc8fe2000,0x320007ff,0x7d4005ff,0x306fc84f,
    0x2000dfff,0x20006ffb,0x0006fff8,0x0005ffc8,0x0000fffa,0x3a201760,
    0x00faafff,0xfa82fff8,0xff0002ff,0xffff885f,0xdff10004,0x03ffe600,
    0x2003ee00,0x00003ffe,0x03fffb00,0xb02ffcc0,0xff9003ff,0x05ff980b,
    0x32007ff6,0xff9805ff,0x007ff605,0xa83fffa0,0xffd0002f,0x001f8807,
    0x7fc41f90,0xffd0002f,0x001f8807,0x7fc41f90,0xff90002f,0xdff3000b,
    0x401bfb33,0x8000ffff,0x20006ffb,0x0001fffd,0x0005ffc8,0x0000fffa,
    0x7c401760,0x800fbfff,0xffb02fff,0xfff0001f,0x9ffff105,0x0dff1000,
    0x007ffe20,0x7f401f20,0x0098003f,0x00fffee0,0x640bff30,0xffc801ff,
    0x02ffcc05,0xf9003ff9,0xbff300bf,0x000ffe40,0xe8afffcc,0x3ffa0005,
    0xa999999c,0xf88001fe,0x005ffd84,0x3339ffd0,0x03fd5333,0xfb09f100,
    0x3f2000bf,0xbe88005f,0xb801bddc,0xb8003fff,0xf70006ff,0x200007ff,
    0x20005ffc,0x00003ffe,0x3ea005d8,0xf800ffff,0xffd102ff,0x5fff000b,
    0x13fffa20,0x011ffe00,0x4001fffc,0x7ffd006d,0x4c00d000,0x98005fff,
    0x3ff205ff,0x05ffc801,0xf902ffcc,0xbff9003f,0x40bff300,0x70001ffc,
    0x01f95fff,0x7ffff400,0xffffffff,0x80fb8001,0x8001fffa,0xfffffffe,
    0x001fffff,0xffa80fb8,0xffc8001f,0x01744005,0x03fffa00,0x00dff700,
    0x00bfff30,0x02ffe400,0x007ffd00,0x800bb000,0x800ffffb,0x3e602fff,
    0x7fc003ff,0x3ffa202f,0x7ff4004f,0x7fec0932,0x027c4006,0x4003ffe8,
    0x3ffa004b,0xff98000f,0x007ff205,0xf3017ff2,0x0ffe40bf,0x402ffec0,
    0x3f205ff9,0x3fa0001f,0x40003fff,0x9999cffe,0x001fea99,0x3ffa05e8,
    0xcffe8004,0xea999999,0x05e8001f,0x20013ffa,0x74005ffc,0x7d40000f,
    0x7dc004ff,0xffe8006f,0x3200000f,0x3a0005ff,0x800003ff,0xffd8006e,
    0x3fff800f,0x017ffdc0,0x8807fff0,0x2005ffff,0x406efffc,0x1000fff9,
    0x3fa001fd,0x0be2004f,0x017ffe40,0x205ff980,0xfc801ffc,0x2ffcc05f,
    0xb003ff90,0xff300bff,0x00ffe40b,0x0dfff300,0x07ffd000,0x4c001f88,
    0x3ffee02f,0x1fff4000,0x30007e20,0x7ffdc05f,0x2ffe4000,0x59dff300,
    0x00135555,0x4005fff7,0x64006ffb,0x00002fff,0x0002ffe4,0x00007ffd,
    0x3a000dd0,0x7fc400ff,0xfffd804f,0x4fff8801,0xdffff980,0x3bffb000,
    0x03dff900,0x2003fe88,0xf5006fff,0x3ffe600f,0x3fe60005,0x007ff205,
    0xf3017ff2,0x0ffe40bf,0x4037ff40,0x3f205ff9,0x7ec0001f,0xfe80004f,
    0x001d803f,0x555557ec,0x03fffbaa,0x401fff40,0x57ec001d,0xfbaaaaaa,
    0x7e4003ff,0x3fe2005f,0xffffffff,0x7f4c01df,0xdff7003f,0x2fffcc00,
    0x7fe40000,0x3ffa0005,0x7dc00003,0xff88002f,0x3fff2200,0x7ffc401e,
    0xff9101cf,0xff9801df,0x801bffff,0x7fe40008,0xfb730abf,0x3f22007f,
    0xccccdfff,0x05ffeccc,0x00fffe88,0x817fe600,0xfc801ffc,0x2ffcc05f,
    0xa803ff90,0x4c01ffff,0x3ff205ff,0x7fec0001,0xffe80004,0x2000a803,
    0xfffffff8,0x06ffffff,0x401fff40,0x3fe2000a,0xffffffff,0x64006fff,
    0x7cc005ff,0xffffffff,0x6c402fff,0xc881beff,0xd1003fff,0x00001fff,
    0x000bff90,0x0001fff4,0x7ffffe44,0x3e6000cf,0xffffd980,0x2a03efff,
    0x31ffffff,0xfffffffb,0xffffb07b,0x03dfffff,0x6d400066,0xffffffff,
    0xffc8801d,0xffffffff,0x2fffffff,0x01fffc80,0x02ffcc00,0xf9003ff9,
    0x5ff980bf,0x6407ff20,0xefffffff,0x05ff980c,0x00007ff2,0x00009ffb,
    0x00007ffd,0xf3001f90,0x7f4003ff,0xc800003f,0xfff9800f,0x17ff2001,
    0x2662d500,0x5fdcbaaa,0xfffd9500,0x05bfffdb,0x01fffc80,0xbff90000,
    0x1fff4000,0x00000000,0x00000098,0x00000000,0x009ff700,0x67e55440,
    0x00000009,0x9fff5000,0xff981800,0x007ff205,0xf3017ff2,0x0ffe40bf,
    0xf3003cc0,0x0ffe40bf,0x13ff6000,0x0fffa000,0x013e0000,0x2005ffe8,
    0x00003ffe,0x3fa004f8,0x3ff2005f,0x003e6005,0xa8000fc8,0x0009aabe,
    0x004fffa8,0xbff9000c,0x1fff4000,0x80004c00,0x00002dfb,0x000b7e60,
    0x05bf7000,0x1fffb000,0x01f70000,0x37ee0000,0xfff10002,0xf10b000d,
    0x0ffe40bf,0x202ffe40,0x3f205ff8,0x006d801f,0xfc817fe2,0x7ec0001f,
    0xfe80004f,0x00d8003f,0x7d4001f5,0xffd000ff,0x201b0007,0x3ea000fa,
    0xff9000ff,0x017a200b,0x36000f30,0x7c40002e,0x058006ff,0x0017ff20,
    0x8003ffe8,0x3fee0006,0x3000001f,0x00007fff,0x00fffdc0,0x0baf6600,
    0x00ff2000,0x7ffdc000,0xfffd8001,0xf82cc001,0x5fff307f,0x00bffb00,
    0x3fe60fff,0x00ff802f,0x7cc1ffe0,0x6c0002ff,0xe80004ff,0x2dc003ff,
    0xff000bd0,0x3ffa009f,0xd02dc003,0x9fff000b,0x017ff600,0x320037e4,
    0xfff98004,0x3ff60002,0x02cc001f,0x000bff90,0x2001fff4,0x7c40004b,
    0x4000004f,0x000006fd,0x00027fc4,0x900001d0,0x400000df,0x5c004ff8,
    0xe8003fff,0xb87ffd04,0xd804ffde,0xffe805ff,0x27fef5c3,0xd0027f40,
    0xfdeb87ff,0x7f40004f,0xfe80004f,0x0be2004f,0x6c001fd4,0xfe800fff,
    0x0be2004f,0x6c001fd4,0xfd800fff,0x9ffb005f,0x006c8801,0x0013fe20,
    0x001fffdc,0xff900274,0x7ff4000b,0x00be2004,0x000bfa00,0x009f9000,
    0x05fd0000,0x0016e000,0x4e7ffcc0,0x3a000029,0x3fe2002f,0x7e44006f,
    0xbffff302,0xdfff91df,0x037ff409,0x7effffcc,0x4efffc8e,0x26fbfee0,
    0xffff3029,0xfff91dfb,0x3fa0009d,0xff80005f,0x0fd3004f,0x5c0007f4,
    0xff804fff,0x0fd3004f,0x5c0007f4,0xfe804fff,0xfff1006f,0x975559bf,
    0xe80001bf,0xff88002f,0x7e44006f,0x1bff6002,0x06fff800,0x8000ff50,
    0x00006fb8,0x0007fd40,0x0df71000,0x00997000,0xfffeb800,0xb880003e,
    0x7ff4006f,0xaaaaaacf,0xfffcbaaa,0x3fffee01,0x802fff25,0x801ffffa,
    0x325ffffb,0x64400bff,0x201dffff,0x325ffffb,0x70000bff,0x0003ffff,
    0x55ffffd4,0xfcbaaaaa,0x3ffd885f,0xffffc800,0xffff500b,0x75555557,
    0xfb10bff9,0xff90007f,0x3ea017ff,0xb3001fff,0xffffffff,0xb880005d,
    0xffd0006f,0x5555559f,0xfff97555,0x3ffea003,0x7e44002f,0xccccdfff,
    0x05ffeccc,0x02b3ae00,0x6f540000,0x2000000a,0x0000adeb,0x88000000,
    0xd700001a,0x7dc00159,0xffffffff,0xffffffff,0x8155007f,0x7ffe4029,
    0x00ceffff,0x00a60554,0x500054c0,0x00029815,0xffffff91,0x322009df,
    0xfffffffe,0xffffffff,0x7fffdc2f,0xffc804ff,0x13ffffff,0xffffffd9,
    0xffffffff,0xfffb85ff,0xfc804fff,0x3fffffff,0x3ffffff2,0xb9800cef,
    0x001acddc,0x002deb80,0xffffff70,0xffffffff,0x900fffff,0xffffffff,
    0x7fe44019,0xffffffff,0x2fffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffe9866,0xffffffff,0x00ffffff,
    0xdddddd70,0x0007dddd,0xeeeeeec8,0x0002eeee,0x3bbbbbae,0x0003eeee,
    0xddddddd7,0x75c07ddd,0xeeeeeeee,0x0000003e,0x1e800f5c,0x10000000,
    0x7ffffe40,0x004fffff,0x00000000,0x00000000,0x00000000,0x00799900,
    0x00000000,0x00000000,0x00000000,0x1df50000,0x50017f4c,0x17f4c3df,
    0xb882e800,0xaaaadfff,0x1ffdcaaa,0xfffff900,0x009fffff,0xfffffd80,
    0x003fffff,0x3fffff20,0x004fffff,0xffffff90,0x6409ffff,0xffffffff,
    0x000004ff,0x003ffe20,0x000015d1,0x817fc400,0xfffffffc,0x09b04fff,
    0xc835c000,0x0000e603,0xc8807f93,0x2600004f,0x00002dfc,0x4001fff3,
    0x000cfeb8,0x001baa00,0x75c7f930,0xffd7002e,0xa80003bd,0x2f5402ee,
    0x24ffe800,0x3a006ffd,0x1bff24ff,0xff01e600,0x07ea007f,0x555554c0,
    0x001aaaaa,0x555554c0,0x001aaaaa,0x2aaaaa60,0x001aaaaa,0x55555530,
    0x4c035555,0xaaaaaaaa,0x000001aa,0x4407fec0,0xdfffffec,0x54000002,
    0x333106ff,0x13333333,0x80001ea0,0x887b204e,0xb50003fd,0x36a07fff,
    0x00004fff,0x007ee73e,0x007ff200,0x0bb33d90,0xfffc8800,0xffb50006,
    0x3fffe27f,0x2bbfa202,0x0004ffd9,0x885ffff1,0x0005fffb,0x7fe47ffb,
    0x8fff6005,0xc8005ffb,0x01fff404,0x000005d0,0x00000000,0x00000000,
    0x00000000,0x30000000,0x19fd307f,0x1fff713d,0x13531000,0x00017f60,
    0x0002f880,0x7dc01f88,0x0000cfcc,0x40fffe6a,0x004ffe9a,0x05b8b500,
    0x002fe800,0x003e21f8,0x6ffca980,0xfff35000,0x17fffe27,0xff985fd8,
    0xfff88002,0x7ff5dc5f,0x87710005,0x22000bb8,0x000bb83b,0x7ff401f8,
    0x000ae003,0x0000d544,0x00000000,0x00000130,0x20000000,0xffffffec,
    0x3fb202ef,0x2cdeffff,0x87a2ff88,0xb5000ff8,0xbfffffff,0x801db557,
    0xd8018809,0x06b80004,0x0003ffd0,0x201ffe40,0x00004ffb,0x0006a899,
    0x44001fc4,0x0001740f,0x00037fcc,0xcda8fff2,0x03ff307f,0x20601ffa,
    0xf507fcda,0x000000bf,0x40000000,0x3ffe806a,0xb8002200,0xdfffeffe,
    0xfffec803,0x202effff,0xefffffec,0x009b0004,0x3ffffa60,0xffffffff,
    0x440fffff,0xfffffffe,0x7ff4c0ef,0x3a6001df,0x7fc803ff,0x003ea0f4,
    0x4415dfb1,0x009fffda,0x3ea2ffc8,0x003d404f,0x3ea02740,0x0000efde,
    0xa807ff70,0x300004ff,0x0001ec1f,0x3d80016e,0x4cc001aa,0x99fff999,
    0x3ffb8000,0x1ff20d90,0x2201ffc8,0xf9836405,0x1300005f,0x00000000,
    0xffe804d8,0xe9800003,0x3aa20adf,0xfe9801ef,0x26001dff,0x20003ffe,
    0x20000ff9,0xaadfffb8,0xfdcaaaaa,0x3ffea01f,0x3fee00bf,0x3fb8001f,
    0x1e8bfd00,0x3fea00f8,0x77fdc00d,0x25ffe800,0x7c406ffd,0x07e20002,
    0xff89774c,0xfb80000e,0x27fd403f,0xfbfb0000,0x0280001d,0x7f77cc00,
    0xfff88002,0x4fffffff,0x03ffb800,0x81ff607d,0x17202ffb,0x3fe609b0,
    0x09b00005,0x3fffa200,0x00efffff,0x007f32e6,0x2600fffa,0x09ff7000,
    0x7007ff90,0x70003fff,0xfc80007f,0xff80003f,0x03f5003f,0xa806ffe8,
    0xa8000fff,0x1fff001f,0x9806c0f4,0x3ee005ff,0x2ffc805f,0x36013fea,
    0x81ae0005,0x06ffa839,0x03ffb800,0x00027fd4,0x00006e20,0x2a800800,
    0x4cccc000,0x0099fff9,0xb83ffb80,0xc81bfa06,0x0bf301ff,0xff9807d4,
    0xff980005,0x7fd40000,0x36200bff,0x02ffecdf,0x6401fff4,0x04ffb801,
    0x500fff20,0x50001fff,0x7c40005f,0xe80006ff,0x0ba003ff,0x500bffb0,
    0x2a000fff,0x5ffb001f,0xfd0140f4,0xffe8003f,0x18809802,0x4000f500,
    0xffb0004e,0xffb80007,0x027fd403,0x00000000,0xf106b2e2,0x00000001,
    0x70001bfe,0x00dc87ff,0x6fd81bfe,0x2e0bff10,0x17fe201e,0x0fff2000,
    0x1bffa000,0x7f41df30,0x3ffa04ff,0x200fc403,0x2000fff8,0x2a01fff8,
    0xa8000fff,0x3ee0001f,0x40001fff,0x2e003ffe,0x02ffec02,0x8003ffd4,
    0xff7001fa,0xc8007a5f,0xfa8006ff,0x000000ff,0x88002f88,0x2aa6001f,
    0x8800fff9,0x7ff72cb9,0x4c4ffa80,0x333301bc,0x33333013,0x766f6400,
    0x03e88dff,0x0026f2ea,0x7c6f2e20,0x9731006f,0x2b8ffee5,0xf106ff80,
    0xdffd309f,0x00751333,0x0014bff1,0x0037ffc4,0x202ffec0,0x3ebe21fe,
    0x9ffd00ff,0xd5333333,0x4ffe803f,0x06ffd800,0x4001ffea,0x3a0001f9,
    0x0005ffed,0x1001fff4,0x05ffc801,0x0007ffa8,0x3e2003f5,0x001ebfff,
    0x0005fff5,0x99997ffe,0x99998099,0x8005d801,0x9df9006b,0x80bffdfd,
    0xdefdbdfc,0x7fd403ff,0x9fffff54,0x8bfffb90,0x01ffffd8,0x7fc42fc8,
    0xbfd504ef,0x200bfff9,0xcfebcff9,0xdfc806ff,0x3ffdefdb,0x886ff800,
    0xfffb83fd,0x004fffff,0x13a37fe2,0x3fffee00,0x7fec0001,0xb713f205,
    0x7f407ffe,0xffffffff,0x3ee01fff,0xf98000ff,0xfff503ff,0x007e6000,
    0x7fd57d40,0x3fa0000f,0x6400003f,0xffa805ff,0x03f50007,0x7ffffd40,
    0x0fff9001,0x87ffe400,0x445fffdc,0x401ffffd,0x04e8007a,0x3e60ff44,
    0x7fb01fff,0x03fffe88,0x7fd67fd4,0x706fffff,0x7ffc0bff,0x981fdc01,
    0xff981fff,0x2027fdc1,0x7fdc0efa,0x21fec06f,0x003fffe8,0x3fa66ff8,
    0x2ffc403f,0xddff1000,0x3b7a0009,0x640005ff,0x5ff105ff,0x407932e8,
    0x9999cffe,0x201fea99,0x20006ffe,0xff506ffe,0x07e6000f,0xfff36c00,
    0x7ff40007,0x90009803,0xff500bff,0x07ea000f,0xdffff500,0x0fffd003,
    0x0fffdc00,0xff817fee,0x017c401f,0xfd803f10,0x09fff502,0x3fe20bfb,
    0x77fd403f,0xfffb30ae,0x40bff307,0x3ea01ffd,0x17ffa00f,0x3ffc1bfa,
    0x3201ff30,0x17f606ff,0x001fffc4,0xfd9137fc,0x3fe203df,0x3fe20005,
    0x5f50003f,0x0001fff5,0xf982ffe4,0xd001e61f,0x1f8807ff,0x00bfff10,
    0x407ffec0,0x30007ffa,0x7f10003f,0x0003ffe4,0x39007ffd,0x017ff200,
    0x4001ffea,0xe98001fa,0x7c03ffff,0x2a0006ff,0x7fcc3fff,0x007ff605,
    0x06b80176,0x3f6037d4,0x007fcc7f,0xfa807ffb,0xfffb00ef,0x205ff981,
    0x3fa01ffc,0x3fffb206,0xfe837fc1,0x409fd00f,0xff306ffa,0x01ffec01,
    0xfc837fc0,0x5ff881ff,0x17fe2000,0x3fe6d800,0x3f20003f,0x41ff705f,
    0x7ff4004c,0xf301d803,0x640009ff,0xffa81fff,0x03f30007,0x7c41f900,
    0xfd0002ff,0x01f8807f,0x500bff90,0x2a000fff,0x3f20001f,0xf980dfff,
    0x2a0005ff,0x7fcc4fff,0x007ff205,0x03e801ea,0xf5017fe2,0x02ff45ff,
    0xf500ffee,0x7ffc409f,0x902ffcc2,0x3fe203ff,0xfff1d705,0xfb03fc87,
    0x03ff501f,0xbfd06ff8,0x003ffb80,0x3f206ff8,0x05ff886f,0x0bffb100,
    0xfc8fe200,0x3f20007f,0x43ff905f,0x7ff4001f,0xf700a803,0x640007ff,
    0xffa83fff,0x03f30007,0xfd84f880,0xffd0005f,0x53333339,0x3f2003fd,
    0x7ffa805f,0x003f5000,0xeffffe80,0x027ffd40,0x8dfff300,0x3f205ff9,
    0x005f001f,0x7fd403f3,0x33fff804,0xffb809ff,0x027fd403,0xff30fff2,
    0x80ffe40b,0x0fb84ffa,0x54009ffb,0xffe80ffe,0x4c37fc00,0x7fdc04ff,
    0x06ff8003,0xf10bffe2,0xdd1000bf,0x32000bff,0x0bffe20f,0x82ffe400,
    0x00d52ffc,0x0007ffd0,0x002fffc8,0x213ffee0,0x30007ffa,0x0fb8003f,
    0x001fffa8,0xffffffe8,0x01ffffff,0x500bff90,0x2a000fff,0x5740001f,
    0x2a0efffd,0x20004fff,0x7cc6fff8,0x07ff205f,0x35c02ec0,0x200ffee0,
    0x7ff74ffe,0x403ffb80,0x7dc04ffa,0x02ffcc5f,0x3f203ff9,0xf90fd45f,
    0xdfc980df,0x7ff80ffe,0xfb86ff80,0x1ffdc03f,0x2037fc00,0x7fc44ffd,
    0x4e7cc005,0xf88005ff,0x005ffd84,0x2a0bff90,0x0409b4ff,0x0003ffe8,
    0x0017ffe4,0x509fff50,0x26000fff,0x02f4001f,0xd0009ffd,0x333339ff,
    0x2003fd53,0xfa805ffc,0x3f50007f,0xf71e8000,0x7ffcc9ff,0x3fe60005,
    0x02ffcc4f,0x2a003ff9,0x201f400f,0xfd804ffc,0x807ff95f,0x7d403ffb,
    0x2ffd404f,0xfc817fe6,0x4dff901f,0x27fdc2f9,0xfb0cfd98,0x07ff881f,
    0xffc86ff8,0x01ffdc03,0x2a037fc0,0x2ffc45ff,0x7fc4ae00,0x80fb8005,
    0x8001fffa,0xff305ffc,0x12203f1f,0x4001fff4,0x07fff70d,0x17ffdc00,
    0x8003ffd4,0x3e6001f9,0x03ffee02,0x807ffd00,0xff9001f8,0x0fff300b,
    0x0007ea00,0x3ffdc3d0,0x000dfff1,0x261fffd4,0x3ff205ff,0x980be001,
    0x2ffec01f,0xfd9ffe40,0x1ffdc04f,0x3013fea0,0x5ff989ff,0x5c07ff20,
    0x705f37ff,0x3df505ff,0x7cc0ffd8,0x86ff807f,0x7dc04ffd,0x6ff8003f,
    0x2237fcc0,0x220005ff,0x5e8005ff,0x0013ffa0,0xff817ff2,0x407206ef,
    0x5c003ffe,0x013ffea5,0x81fffc80,0x8000fff9,0x3f6001fa,0xbaaaaaaa,
    0x74003fff,0x01d803ff,0x300bff90,0x50001fff,0x1e80001f,0xfff07ffc,
    0x7fdc000f,0x02ffcc1f,0x6c003ff9,0x3201ae05,0xffb806ff,0xb80bff92,
    0x7fd403ff,0x217fd404,0x3f205ff9,0x3fff301f,0x07fee07d,0xffb01df7,
    0x00fff881,0x7fe437fc,0x01ffdc05,0x26037fc0,0x2ffc45ff,0x0bff1000,
    0x2e02f980,0x64000fff,0x3ff605ff,0x740d704f,0x3e2004ff,0x017ffe22,
    0x80fffd80,0x8000fff9,0xff1001fa,0xffffffff,0xe800dfff,0x00a803ff,
    0x300bff90,0x70003fff,0x2091001f,0xb07fec1e,0x64000fff,0x7fcc0fff,
    0x007ff205,0x07d00fa8,0x900fff50,0x1bfee1ff,0xa807ff70,0x7fdc04ff,
    0x902ffcc1,0x7ff403ff,0x31ff204f,0x3ff607ff,0x402fff80,0x6ffb87ff,
    0x001ffdc0,0x3e2037fc,0x02ffc44f,0x00bff100,0xaaaaafd8,0x03fffbaa,
    0x102ffe40,0x755dffff,0x7ffc03fd,0xf0fd3004,0x74000dff,0xfff306ff,
    0x01f70003,0x26003f20,0x3a001fff,0x400003ff,0xf8805ffc,0x7c8001ff,
    0x07a0f100,0xfffa8ffb,0x9ffd0002,0x640bff30,0x17c001ff,0x7cc007cc,
    0x37ec02ff,0x5c05fff5,0x7fd403ff,0x4437ec04,0x3ff205ff,0x01ffea01,
    0x2ffb85fd,0xfd03ffb0,0x87ff80df,0x2e02fffa,0xff8003ff,0x217fcc06,
    0x20006ff8,0x22005ff8,0xffffffff,0x006fffff,0x2602ffe4,0xffffffff,
    0x3fffea02,0xbaaaaaab,0xffc85ffc,0xfff0000f,0x07ffe207,0xf801ee00,
    0x17ffa004,0x003ffe80,0x02ffe400,0x8002fff8,0x05f1006d,0xd84ff83d,
    0xf98006ff,0x5ff880ff,0x0007ff20,0x400d90b9,0x7fc06ffc,0x7037ff42,
    0xffa807ff,0x407fe204,0xfff307ff,0x04fff805,0x9ff909f5,0x2a07ffa0,
    0x3fe02fff,0x40dffd07,0x44003ffb,0x41ff16ff,0x8fff07fa,0x17fe6000,
    0x9800fc80,0x32001fff,0xfee805ff,0xc881efff,0xfffffffe,0xffffffff,
    0x09ffd02f,0x80bff700,0xd8003fff,0x001f5006,0x8007ffd4,0xd8003ffe,
    0x00bff900,0x10017ff6,0x3be2009f,0x1df70f40,0x005fff10,0x3e02ffd8,
    0x5fff307f,0x740fa800,0x3ffa2003,0xf307f704,0xfe981dff,0x2ffd405f,
    0x7f407fb0,0x7fef5c3f,0x3ffbb204,0x4c17ea0b,0x3fa61fff,0x7f458aff,
    0xfffc82ff,0x0efff981,0x002fff4c,0x7fcdbfe2,0x7f40ff22,0x4c00931f,
    0x13e005ff,0x005ffe80,0xf3017ff2,0x00006a62,0x7d400f30,0x7fc000ff,
    0x37fec00f,0x4013e200,0xfff8005e,0x07ffd004,0x3f605b80,0xfff3005f,
    0x03fa2001,0xd17ffc40,0x403df713,0x26006ffb,0x7ff405ff,0x27fef5c3,
    0x1f317c00,0xcffe9800,0xfb813ea0,0xcedbdfff,0xd305efff,0x7ec43dff,
    0x7fffcc03,0xfffc8efd,0xfb875c4e,0x403dfeff,0x9efefffe,0x441ffffb,
    0xecbefffe,0x42effffc,0xdbdffffb,0x05efffce,0x7f4dff70,0x7e409f52,
    0x5c006eff,0xfa800fff,0x3ffea000,0x0bff9000,0x000004c8,0x7ec006d8,
    0x3fee004f,0x1fff9803,0x001fd100,0xfb0007f5,0xffd001ff,0x017c4009,
    0x6400bffb,0x74401eff,0x7e4c003f,0x4ffefdff,0x00bff700,0xf3009ff5,
    0x91dfbfff,0x4009dfff,0x8001b25c,0x3dfefffc,0xfffffa80,0x01cffb8d,
    0xfefffea8,0xfff7001e,0x05ffe4bf,0x553103a2,0x3ff26001,0x3dff30cf,
    0x3ffff620,0x405dff2f,0x8dfffffa,0x9801cffb,0x3666fffe,0xfd803eef,
    0xfd7001df,0x401bffff,0xfff8005e,0x0bffb004,0x000001f8,0x64000ff8,
    0xffc803ff,0x3fff2003,0x01ff4401,0xb8000fe8,0xff804fff,0x0fd3004f,
    0x4006ffe8,0x309bfffc,0x0007ffb7,0x01cea998,0x81efe980,0x2002ffc9,
    0x325ffffb,0x44000bff,0x200006a2,0x530001a9,0x80014415,0x00009aa8,
    0x00298155,0x01880000,0x0d544002,0xaa98006a,0x00000a20,0x02200044,
    0x7d400000,0xfffd8003,0x05ffd800,0x000001aa,0x540027f4,0xfd981dff,
    0xffc8001e,0xfb730abf,0xffb1007f,0xfff90007,0x3fea017f,0xaaaaabff,
    0x205ffcba,0x001ffffa,0x7ffffed4,0x0001cfff,0x20000f40,0xffeeffec,
    0x550000ce,0x00002981,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfd000000,0xfff70001,0x0dffd009,0x000001ec,
    0x99beffb8,0xffec8802,0x004effee,0x7fffed40,0x801dffff,0x4ffffffb,
    0xfffffc80,0xfd913fff,0xffffffff,0x5fffffff,0xffffff90,0x440019df,
    0x009abbaa,0x003b0000,0x04dd4c00,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x8003ffd8,
    0x00bffffc,0x103ffff5,0x0000001f,0x16ffffe4,0x06ee6200,0x2aa20000,
    0x00009abb,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2e000000,0x04ffffff,0xffffffc8,0x3fff23ff,0x30ceffff,0x00000007,
    0x000002a6,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3310c00c,0x31013333,0x00000155,0x11006200,0x00555300,0x00733260,
    0x20000000,0x79931ccb,0x11000000,0x4c000000,0x54c00001,0x4000002a,
    0x000009a9,0x200d5440,0x0000000a,0x09aa9980,0x2aa60000,0x99500002,
    0x99300019,0x98800039,0x5100001a,0x01800035,0x99800018,0x00980aaa,
    0x000aaa60,0x6c40f600,0x3fffae20,0x7fffdc3f,0x5c400dff,0x2d80006e,
    0xf8801d10,0xd8000fff,0x3ae205ff,0x49d71004,0x7c00bfd9,0x40bfee6f,
    0x22004eb8,0xfffffdb9,0xffffffff,0x8807ffff,0x00dfefeb,0x7fffc400,
    0x64c00001,0x002ffffe,0x77fedc00,0x7d42effe,0x000dd501,0x3bbf2600,
    0x002dfedc,0x0ffffc40,0x1fffc000,0x09ffb000,0x3fff6200,0xeb8003ff,
    0x3dfffeff,0x700da800,0x3f260007,0xceffefff,0x7f4003b1,0xfd8802ff,
    0x222fc402,0x3ffea04e,0x32afbf63,0xc980effe,0x80006fff,0x01f444f9,
    0x02fff7ec,0xd9837fc0,0x6cc04fff,0x3ffa4fff,0x87fe604f,0xffd985fc,
    0xfff3004f,0x3ffee65b,0xcaaaaadf,0x7f4407fd,0x001df30c,0x2fff7e40,
    0x9ff30000,0x0007faa3,0x1077fa20,0x7f33dfd5,0x06fffc88,0x5fec4000,
    0x00bf6a00,0x37ff7e40,0x13fe6000,0x01ffa000,0x3ffffa20,0xd3004fff,
    0x754415bf,0x774001ef,0x44003641,0x440acffd,0x002ffffa,0x00dffdf7,
    0xf900dff7,0x801fd11d,0x03b93fff,0x5307fff2,0x0000dffb,0x1be63bf6,
    0x7fd57e60,0x03be6002,0x027fecd4,0xe93ffa6a,0x3ea07fff,0x4d407f43,
    0xfa804ffd,0x3ffea03f,0xd007d403,0x01ff709f,0x3e6bf300,0xf880002f,
    0x006fa85f,0x401ffdc0,0x9984fffd,0x00006ffc,0xd3000fea,0x35f98009,
    0x5c0005ff,0xd100005f,0xbdc8003f,0x0ffffc98,0x4027fdc0,0x26003ffc,
    0x005f92ff,0x802ffe88,0x8802ffd8,0x03fe98ef,0x4402ffcc,0x802fffff,
    0x805bbfff,0xff306ffd,0x3e20000d,0xe802ffff,0x90037444,0x9ff5001f,
    0x993fea00,0xd901fedd,0xffa807f0,0x027fdc04,0x7401fffc,0x201ff700,
    0x4d8004fe,0x40003744,0x7f882ffa,0x17fee000,0x203ffd80,0x00006ff8,
    0x6c0003f5,0xd1176006,0x0374000d,0x013e6000,0xfff105a8,0x027fdc07,
    0x4007ff90,0x005feffd,0x0017ffcc,0x37200ff6,0x3003f620,0x7ffdc005,
    0xdbffd006,0x87ffe600,0x99eff998,0xf7000199,0x09500bff,0x01e801e4,
    0x2009ff30,0x1f504ff9,0x00d30760,0x7d409ff3,0x7fff007f,0xff101900,
    0x007fdc0b,0x01e40950,0x207ff200,0xf30006f9,0x7e4001ff,0x1bfe01ff,
    0x227e2000,0xcccccccc,0x5009b00a,0x4001e409,0x800000e8,0x9012006a,
    0x3fe20bff,0x3fe2000f,0xfff1001f,0xffe8003f,0x03f88002,0x009702cc,
    0x01555000,0x007fffa0,0x3f65fff8,0xffffffff,0x2aaa0007,0x01801800,
    0x3e600288,0x9ff3004f,0x98281ae0,0x04ff9801,0x7c00fffa,0x808803ff,
    0x3e603ffb,0x2006004f,0x7fec0001,0x0003fc83,0x5c009ffd,0x3e06ffdf,
    0x3e80006f,0x2e6bffa2,0x2e882ffe,0x000c00c0,0x000000cc,0x7cc00005,
    0x09ffd03f,0x00dffb00,0x2001554c,0x20006ffc,0x0c00c04b,0x80000000,
    0x64004ffe,0xf3310fff,0x033333df,0x00000000,0xff300000,0x13fe6009,
    0x000007a6,0xfa827fcc,0xffd000ff,0x7ff40007,0x03ffe201,0x80000000,
    0x7fc45ffc,0xfffb8000,0xf35f3000,0x1bfe07ff,0xf90b5000,0x503ffd0f,
    0x0000000d,0x00000000,0x03ff1000,0x0001fff7,0x0007fff3,0x2fff9800,
    0x00162000,0x22000000,0xe800acba,0x7d4003ff,0x06ff81ff,0x2f2a6000,
    0x2ea2000a,0x751000ac,0x7fcc0159,0x89ff3004,0x773002ea,0x9ff30015,
    0x801fffa0,0x80a03ffe,0x7400fff8,0x333311ff,0x4cccc433,0x4ccc4199,
    0x7ffdc009,0x0005fd30,0x4401bffe,0x41fffe4f,0x740006ff,0xfa87fc82,
    0x4cc3d04f,0x99980999,0x33333019,0x03333301,0x20266666,0x00019999,
    0x7ff417ea,0x3ffa0006,0x02666666,0xc8066666,0x000006ff,0x0055dcc0,
    0x37f62000,0x7403ffec,0x7cc003ff,0x46ff82ff,0xb1001bb8,0x05fffdbf,
    0xfecdfd88,0x37f6203f,0xf303ffec,0x3fe6009f,0x32003224,0x0dffdcef,
    0x2213fe60,0x3a006fff,0x403e03ff,0xfe807ffa,0xfffff72f,0x7ffff5c9,
    0x7ffecc4e,0x5fffc403,0x2aa61efb,0x7c42aaaa,0x8bd005ff,0xff80fffd,
    0x99999886,0x7e41e609,0x705ff887,0x2fffee49,0x07ffff62,0x117fff72,
    0x903ffffb,0xd88bfffb,0x0001ffff,0x3ffe20bb,0x3ff60005,0xbfffb90f,
    0x1ffffd88,0x000bfff0,0x33bf2000,0x4400dffd,0x03ba602b,0x7f409ffb,
    0x7fcc003f,0x366ff83f,0x4c06ffff,0x3ffe60cf,0xd81dd303,0x0ee984ff,
    0x7cc27fec,0x9ff3004f,0x983fb000,0xff301efe,0x0bfff309,0x981fff40,
    0x0fff700f,0x7c47ffb0,0xdffb04ff,0xd001fd80,0xd307ffff,0x985bffff,
    0xed804fff,0x40fffe40,0xffe986ff,0x412e0cdf,0x2ff987fc,0xbff70d10,
    0x700fffc0,0x7ffc0bff,0x817fee01,0xc8001fff,0x9fff300e,0x7ffe4000,
    0xf02ffdc1,0xfff503ff,0xb0000009,0x1efe983f,0x205ffc98,0xfff980fe,
    0x007ffd00,0xf84fff88,0xfdcfe8ef,0x0df103ff,0x3a03ffe6,0x0fff980f,
    0x7fcc07f4,0x227fcc0f,0x009ff300,0xff303fc8,0x09ff301f,0x4009fff7,
    0x9999cffe,0xff700ffb,0x89ffb00f,0xff105ffb,0x2004e80d,0x2603fffb,
    0xff700fff,0x81fb807f,0xff83fffb,0x203df706,0x88ff903c,0x4c3c06fe,
    0x3ff605ff,0x817fe601,0x3e601ffd,0x07ff605f,0x03ffc880,0x0007fff7,
    0x261fffe4,0x3ff605ff,0x03fffb81,0x1fe40000,0x320fff98,0xf905fffe,
    0x80fffc09,0x44003ffe,0xeff84fff,0x07ffcc3e,0xffd01fe4,0x3e04fc89,
    0x813f21ff,0x7fcc1fff,0xf303fee4,0x3fdc009f,0x2613ff60,0xfffc84ff,
    0x3fffa003,0x0fffffff,0xb00dff90,0x0fff0bff,0xf980ffec,0xfffc8800,
    0x0bfe00ff,0x202fffc8,0xfff702fa,0xf30dff09,0xf902d80b,0x05df975f,
    0x5ff981f0,0x9807ff20,0x3ff205ff,0x817fe601,0xd9801ffc,0x40dfffff,
    0x0002fffc,0xf313ffee,0x0ffe40bf,0x0017ffe4,0xffffffd7,0x203fdc5d,
    0xffb84ffd,0x202ff885,0x3ffa03c9,0x3fff8003,0xfb01fff8,0x00ff883f,
    0xff897ff6,0xf88f2602,0x20f2602f,0x3ffe4ff9,0x0027fcc3,0xff980dfd,
    0x427fcc1f,0x2002fffc,0x9999cffe,0xff900fea,0x0bffb00b,0x3ea05ff9,
    0x500b904f,0xbfff55ff,0xf9017e60,0x13e605ff,0xf84fffa8,0x4027cc6f,
    0xb5ff902d,0x03a003ff,0x7e40bff3,0x17fe601f,0x2601ffc8,0x3ff205ff,
    0xfcb98801,0x7fe46fff,0x3ea0002f,0x2ffcc4ff,0xfb03ff90,0xf10005ff,
    0xdfd07fff,0x41fff980,0xffa85ff9,0x7ff40001,0x2fff8003,0x3f206ff8,
    0x7fffcc2f,0xffffffff,0x0007fea7,0x20003ff5,0x3ff64ff9,0x8027fcc1,
    0xfe804ff8,0x427fcc3f,0x2003fffb,0x1f103ffe,0x201bff20,0xff984ffd,
    0x01fff905,0x1ffc805f,0x2e0bfffa,0x7ffd400f,0x5c05e883,0x6ff82fff,
    0x1e400fea,0x1bfa7fc8,0x2ffcc3c0,0x4c03ff90,0x3ff205ff,0x817fe601,
    0x88001ffc,0x3ee1fffd,0x2e0003ff,0x7fcc2fff,0x207ff205,0x0003fffb,
    0xf881fffb,0x3ffe804f,0x7dc2ffcc,0x7f40000f,0xfff8003f,0x2e06ff81,
    0x037d42ff,0x000ffb80,0x80007fdc,0x40544ff9,0xf5004ff9,0x9ffb007f,
    0xfa84ff98,0x3fa005ff,0x5c03a03f,0xffe806ff,0x881ffd04,0x3d43ffdf,
    0xf503ff20,0x1f441fff,0x427ffcc0,0x7fe400ed,0xf76ff81f,0xc825c007,
    0x00ffe67f,0x0bff30f1,0xf300ffe4,0x0ffe40bf,0x640bff30,0x3a0001ff,
    0x3ffea4ff,0x3ff20004,0x02ffcc1f,0xff503ff9,0x3f20009f,0x03ffa87f,
    0x7cc4ffd8,0x01ffd85f,0x01fff400,0x203ffe20,0x3fee06ff,0x8003fe42,
    0x6c001ffd,0xf30001ff,0x3fe6009f,0x09ff9004,0xf98bff90,0x6fff984f,
    0x80fffa00,0x01ffea02,0x7dc0fffa,0x7fc6e43f,0xff5026c6,0x97fff60b,
    0xfff1006c,0xd801fc89,0x7dff07ff,0x34c001ff,0x7fdc7fc8,0x3e616e01,
    0x07ff205f,0x3205ff98,0x3fe601ff,0x007ff205,0x226ff980,0x20005fff,
    0x7cc0fffd,0x07ff205f,0x001bffe6,0x7e437fdc,0x5ffc804f,0x7ec2ffcc,
    0x7f40002f,0x7fc4003f,0x5c0dff07,0x07fe43ff,0x017fec00,0x000bff60,
    0x98027fcc,0xffb004ff,0x89ff700b,0xffd04ff9,0x1fff400f,0x07ff9800,
    0xf101fff8,0xfd8fc4df,0x7403f11f,0xfff102ff,0x4001f55f,0x0bea6ffe,
    0xf837ffc0,0x006ffdef,0x43fe40f4,0x207a06fd,0x3f205ff9,0x17fe601f,
    0x2601ffc8,0x3ff205ff,0x3ffc0001,0x8001bffe,0xff986ffe,0x407ff205,
    0x8000ffff,0xffd86ffb,0x44ffb805,0xffb85ff9,0x3fa01004,0x7fc4003f,
    0x5c0dff06,0x1ffdc3ff,0x13fee080,0x04ffb840,0x04ff9810,0x2009ff30,
    0xfb805ffc,0x827fcc2f,0xd000fffb,0x740007ff,0x3fe200ff,0xb8ffec07,
    0x35d3fea6,0x401fff50,0x03fefffa,0x4cfffdc0,0xfff1003f,0x3a3bfe07,
    0x16e004ff,0x3fe21ff2,0xff306984,0x00ffe40b,0x7e40bff3,0x17fe601f,
    0x0001ffc8,0x3ff237ec,0xfff0000f,0x40bff307,0xff701ffc,0xff70007f,
    0x00bff90d,0xff985ff7,0x00fffa85,0x3ffe824c,0x81ffcc00,0x3fee06ff,
    0x007ffcc3,0x0fffa9a2,0xfffaa4c0,0x3e624c00,0x9ff3004f,0x03ffea00,
    0xf981ff90,0x7fff104f,0x00fffe00,0x017fdc68,0xfa809ff3,0x7ff85f4f,
    0x7ffdc07d,0x3fffec01,0xecffe800,0x17fee005,0xfff16ff8,0xd1174007,
    0x9ff305ff,0xff981744,0x807ff205,0x3f205ff9,0x17fe601f,0x0001ffc8,
    0x7ff427e4,0x5ffb8004,0x640bff30,0x3ffa01ff,0x7fdc000f,0x00fffa86,
    0x3e607fe4,0x3fff985f,0xffe80f40,0xfa82d983,0x40dff00f,0x7fc43ffb,
    0xf326c04f,0x31e807ff,0x1e807fff,0x98027fcc,0xff1004ff,0x86fd807f,
    0x3ee04ff9,0x7fff007f,0xff113200,0x00ffdc09,0x6435fffc,0x3200fcff,
    0x74404fff,0x0e00dfff,0x003bffe6,0xf007ffc4,0x0fffd4df,0xcc98f980,
    0xccb84ccc,0x7fc409b3,0x807ff205,0x3f205ff8,0x17fe201f,0x0001ffc8,
    0x7fd40fec,0x7ffc000f,0x40bff100,0x3ea01ffc,0x7dc004ff,0x3fff886f,
    0x7cc37ec0,0x7fff905f,0x7fc0d910,0x40ffe83f,0x1bfe04fc,0xfc83ffb8,
    0x83f505ff,0xc883fffc,0x41fffe46,0x4ff986c8,0x009ff300,0x3e037fdc,
    0x04ff982f,0x22027ff4,0xf9803fff,0x3e07fc81,0xfff9005f,0x09fff307,
    0x407fffa8,0x0effffe9,0xbff905a8,0x00ffe400,0xfff91bfe,0x007ae001,
    0xff806c80,0x05fff307,0xff307ff8,0x07ff805f,0x0005fff3,0xffb027cc,
    0x1ffdc009,0x7cc1ffe0,0x7fdc02ff,0x3fee002f,0x80dff706,0x5ff982ff,
    0x7bffff10,0x2203ffb5,0xffe84fff,0xff102f44,0x41ffdc0d,0xbceffff8,
    0xff883ffc,0xffdabdff,0x6ffffc41,0x981ffdab,0xff3005ff,0x7ff4400b,
    0x2607f704,0x7ec405ff,0x3ffea03f,0xb03f4c04,0x01ff707f,0xe81ffe20,
    0x7fc401ff,0xdfc80dff,0xacfffffa,0xff701fc9,0x7ff7009f,0xfb0fff00,
    0x1fd400df,0x0037a200,0xbd70fffa,0xffe809ff,0x27fef5c3,0xd70fffa0,
    0x99109ffb,0x003ba203,0xf9007ff9,0x7ffd007f,0x04ffdeb8,0x003ffe98,
    0x3a20dff7,0x07f704ff,0xfa817fe6,0x3fffffff,0x03fffee0,0xd913fff7,
    0x037fcc01,0x3e607ff9,0x5fffffff,0x3ffffea0,0xff503fff,0x07ffffff,
    0x54017fea,0x744005ff,0x13ea0bff,0x9005ffa8,0x2e215dff,0xaabfffff,
    0x04ffdbaa,0xffa87fa2,0x01fec001,0x3ea00df5,0xfecdffff,0x3fffa22f,
    0xf304ffff,0x815bfd57,0x8801efd9,0xfff887ff,0x2fba2005,0x00ff6600,
    0xfdffff98,0x4efffc8e,0xfbffff30,0x9dfff91d,0x37fffe60,0xefffc8ef,
    0x2bbffea4,0x2004fb99,0xd981dffa,0xff3001ef,0xf91dfbff,0xd8809dff,
    0xc881beff,0x3a203fff,0x13ea0bff,0x4406ffa8,0x81effffe,0xfffffec9,
    0xfffb13df,0xfff7009f,0x817ffa01,0x3fffffd8,0xffffe880,0x7ff4401e,
    0x3f201eff,0xffc800ff,0xffc8000f,0x6403dfef,0x91000fff,0xffffffff,
    0xffffffff,0x8805ffff,0x00beeefc,0x7c00fa80,0x3ffa6003,0x900dffff,
    0x207dffff,0x7ffdc4f8,0x003effee,0x3207ffea,0x2000dfff,0xeccdefda,
    0xb8000bee,0x3f25ffff,0x7fdc00bf,0x2fff25ff,0x7fffdc00,0x202fff25,
    0xdffffffe,0xfec88001,0x04effeef,0x5ffffb80,0x8002fff2,0xedfffeca,
    0x2002dfff,0x3dfefffc,0x007ffe40,0x0000d544,0x20055c40,0xeffffffa,
    0xfffffdb2,0x04d54409,0x006aa200,0x54035510,0x0deffffe,0xeffffea8,
    0x2a98000d,0xffffea80,0x4cc000de,0x00000199,0x28000198,0x98000980,
    0x26000aba,0x1024401b,0x40013773,0xefffffeb,0xffffff52,0x54c4001b,
    0x00001aab,0x00298155,0x014c0aa8,0x0a605540,0x0026aa60,0x1bb98800,
    0x81550000,0x53000029,0x00013557,0x75c0154c,0x00deffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x400b3322,0x0000ccc9,0x54c40000,
    0x06a2001a,0x000a8800,0x98000d44,0x033001aa,0x2000d400,0x70001aaa,
    0x32e00999,0x0000004c,0x80a98800,0x15100019,0x00300300,0x8000aaa6,
    0xc8803ccc,0x000002cc,0x20000cc0,0x0000000a,0x2602665c,0xc80002aa,
    0x003003cc,0xaa988003,0x55100601,0x54003101,0x70005101,0xfd800dff,
    0x3ae2003f,0x7e440006,0x204ffecd,0x00efdfe9,0x2e006c80,0x00dffefe,
    0xffdeffb8,0x009fb503,0xa8007ea0,0xf0006fff,0x3e2005ff,0x260001ff,
    0x8001cfeb,0x542ceeda,0xbb0004fd,0x5c036a00,0xffff8803,0xfff98001,
    0x0dff7001,0x00bfea00,0x00fffff2,0x5c001b20,0x8801cffd,0x3e201fff,
    0x20001fff,0x5000fff9,0x400ee01b,0xffefffd9,0x2a0d51bd,0xbdffffff,
    0x5f1004c8,0x3a001b20,0x744000ef,0xffc9806f,0x3a20006f,0x40effa85,
    0x1df30ef8,0x800fd400,0x3ff223fc,0x882ffa02,0x3aa60efb,0x3f88004f,
    0x7ff7fc00,0x1ffcc003,0x013fe600,0x7f556ec0,0xbfd3006f,0x13faa601,
    0x8003ee00,0x803641ee,0x005ffefc,0x4002ffb8,0xe8000ffd,0x4edc05ff,
    0x2000ffc8,0x6c4001f9,0x04fffbad,0x36017fd4,0x0005ffef,0xd0007ff2,
    0x9806c83d,0x220bdffe,0xd86fefe9,0xfd731cff,0x3e6009ff,0x88009b00,
    0xf10001ff,0xfd99801f,0x3f60006f,0xe89ff700,0x8027f43f,0x9f9003f8,
    0x3207ff60,0x217fa05f,0x6c8004fc,0xfc9fdc00,0x13f2000f,0x0037d400,
    0xffd107e4,0x03ffa807,0x88009f90,0x7fcc003f,0xf3005f92,0x000bfe6b,
    0x3a0007fd,0xffd8002f,0x17f41c04,0xd0009d00,0x01fff98d,0xbf3013f6,
    0x4000bfea,0xf98002fe,0xa805f92f,0xfa800eff,0x007fe47f,0x2e009ffb,
    0x5000fe07,0xf980005f,0x0dff3003,0x803fe200,0x07fe67ff,0x1b600ff9,
    0x8807fcc0,0x0ffc45ff,0xfc81ff70,0x00fd4004,0x4fa85f10,0x00017a00,
    0x7dc001f9,0x203ff984,0x32002ffb,0x036c004f,0x5feffd80,0x6e88bb00,
    0x0013e200,0x88005e88,0x6e8000bb,0x0003ee00,0x5ff307f7,0x27402fc0,
    0x22001ba2,0x3f60004f,0x7d405fef,0x3fdc006f,0xfb009ff3,0x4c172009,
    0x01ec001f,0x1005a800,0x26000dff,0x3ffa03ff,0xfb81ff52,0x007d401f,
    0x7e405fd8,0x803fea2f,0x27e42ff8,0x8009d100,0x001d102c,0xb00001d3,
    0x81ff4007,0x13fe6018,0x4009f900,0xf10001fa,0x95003fff,0x5b801e40,
    0x00798000,0x07540000,0x4002f980,0x03102ff8,0x02540354,0x05b80079,
    0x7fffc400,0x07ffe201,0xffb9f200,0x004f8800,0x003ea09d,0x38000070,
    0x00dff100,0xd81bfe20,0x81ff93ff,0x3e202ffa,0x09ff1003,0x3ee6ffa8,
    0x03fe602f,0x364009f9,0x00c00c00,0x5000004c,0x001ffc00,0x40037f44,
    0x7f1004fc,0x2aa98000,0x00300300,0x0980000a,0xda800000,0x0bd003ff,
    0x005ff300,0x006002a0,0x00050006,0xd00aaa60,0x220009ff,0x005ff90f,
    0x817c0136,0x0000006c,0x37fc0000,0x40bfb000,0x1ff91ffe,0x3602ffa8,
    0x13fea005,0x7ccfff10,0x21bee06f,0x3f3004fc,0x00000000,0x30000000,
    0xfb0007ff,0x9f90001f,0x0001b600,0x00000000,0x00000000,0xb5300154,
    0x0fb809ff,0x02ffa800,0x00000000,0x00000000,0x001fffa8,0x37fe4360,
    0xf9804b80,0x30009d01,0x30001577,0x3e001577,0x00c0006f,0x1ffb9ffe,
    0xfb80ffdc,0x17fee000,0xff87ffe0,0x905fd05f,0x013a009f,0x15795300,
    0x55e54c00,0x2f2a6000,0x3ffa800a,0x02ffd400,0xa804fc80,0xb980001f,
    0x2ea000ab,0x2a0009bc,0x20009bcb,0x0009bcba,0xf90001b8,0x0017c40f,
    0x8002ffb8,0x288abca8,0x11579510,0x55e54c05,0x00acb980,0x4455e544,
    0x003ffec2,0x7ffd4260,0x221c400d,0xaafcaaaa,0xaadfaaaa,0x6e77e400,
    0xfc800dff,0x00dffdce,0x2ee237fc,0x7fd40001,0xf70bfe63,0x005f101f,
    0xe806ffb8,0x3ffee2ff,0x640ff60d,0x00fc804f,0xfdbfb100,0xfd8805ff,
    0x402fffed,0xfffedfd8,0xffc99882,0x2200999b,0x90002fff,0x04e8809f,
    0x6e77e400,0x3aa00dff,0x05fffcdf,0x7fe6ff54,0x6ff5405f,0x4005fffc,
    0xff10000d,0x80017601,0x5c002ffc,0x4fffdbdf,0xffdbdfb8,0xbcfe984f,
    0xbff53ffe,0x3ee09fff,0x24fffdbd,0x0005fff8,0x3bfffe20,0x7ffd4002,
    0xffffffff,0x202fffff,0x77f4c1fd,0xd307f601,0x37fc03df,0x00dffff9,
    0x7f42ff40,0x5e827f43,0x07ffa800,0x7ec3fff8,0x02fd8eff,0x5f3013f2,
    0x833e6000,0xf303fff9,0x1fffcc19,0x3e60cf98,0x7ffe43ff,0x04ffffff,
    0x76d5ffea,0x3f200def,0x00036404,0xdfd307f6,0xb83ff303,0x3ff304ff,
    0xf304ffb8,0x04ffb83f,0xf8000d10,0x0001f506,0x50017fe4,0x44fc885f,
    0x27e442fa,0xffb07fea,0x7fe447fb,0x32217d44,0x0fffea4f,0xfff30000,
    0x40001bff,0x200f504f,0xfff303fc,0x2607f901,0xdff00fff,0xfffb9dd1,
    0x1ff30007,0x7fccdf30,0x8000fb80,0x7c02fff9,0xfffc82ff,0x27e400ef,
    0x440017a0,0x1fff306f,0xff306f88,0x306f881f,0x4cc41fff,0x0999bffc,
    0x37bbff20,0x02fffecb,0x0fcc09f9,0x207f9000,0x7f40fff9,0x3a0fff06,
    0x20fff06f,0x0fff06fe,0x04c01320,0x0fe207ea,0x05ff9000,0x89d03fc0,
    0xfd13a07f,0x0bfff50d,0x07f87ffa,0x3fffb93a,0xffa80000,0x000cffff,
    0x06c817c4,0x7ec07fb8,0x203fdc4f,0xdff04ffd,0x0fff987d,0x5017ec00,
    0x301df9bd,0x7f40005f,0x3ffe206f,0x7ffff901,0x2bbfaa20,0x0000fb80,
    0x7ff407f9,0xfd01fe44,0x203fc89f,0xff704ffe,0x6ffec007,0x21fffc81,
    0x80aefea8,0x3ee0004e,0x227fec07,0x1ffd06ff,0x3fa0dff0,0xd06ff80f,
    0x1fa801ff,0xdceff880,0x000db02e,0x2005ff90,0x49700ff8,0x89700ff8,
    0xfff885ff,0x229ff902,0x649700ff,0x00002fff,0xfffffd30,0x07d4007f,
    0x6fe804e8,0xd0fffcc0,0xfff980df,0xb01fff81,0x7cc003ff,0x40353003,
    0x39b7105e,0x20fffe60,0xb00fffc8,0x109ffffd,0x88133333,0x227d402f,
    0x3f600ff8,0x803fe25f,0x3fe25ffd,0x417ff600,0x3e003ffb,0x3ffa00ff,
    0x26666626,0x2e207640,0xdfd01ced,0x21fff980,0x1ffb03fc,0x3f607f90,
    0xb03fc80f,0x37cc01ff,0x03575100,0x3ea00fd4,0x00bff204,0x4406ffc4,
    0x2037fe23,0xf817dc38,0x999999ff,0xbff15ffc,0x7fe47101,0x4000002f,
    0xeffffffb,0x3e07b800,0x027fc403,0xff89fff4,0x83ffe804,0x3ff206ff,
    0x00176002,0xf980fc80,0xf705fb9e,0xdd957bff,0x1fd10fff,0x009ffff3,
    0xff1017a0,0xfffff989,0x7fffffff,0x3fffffe6,0x27ffffff,0xfffffff9,
    0x707fffff,0x3e6007ff,0x3fea00ff,0x0be6001f,0x0ffff7fa,0xfd009ff1,
    0x3faa007f,0x7f54000f,0x7f54000f,0x00bfa00f,0x00fe2000,0x7e409ff1,
    0x3ff6002f,0xfffd802f,0x7fd40002,0xffffffff,0x3fff66ff,0x1fffdc02,
    0x6c400000,0x00ffffff,0x01f982ec,0x6c01ffd4,0x07ff54ff,0xff09ffb0,
    0x017fdc0d,0x00000f88,0x1ff105f3,0xfe981fe4,0xffe8cfff,0xd10ff443,
    0xb8007fff,0x3fba200f,0x80037d44,0xf50006fa,0xff70000d,0x1ffea007,
    0x800bffe0,0x7dc4b85e,0x00ffea0f,0xc9813ff6,0x800ffedf,0x0ffedfc9,
    0xfedfc980,0x00ff700f,0x101b2000,0x7e409fdd,0x3fea002f,0x3ea02eff,
    0x4002efff,0x007ffeeb,0x2effffa8,0x00bfff50,0x7f4c0000,0x3e00efff,
    0xf900f704,0xbff9009f,0x32013ff2,0x06ff85ff,0x4c00bfee,0x13a00004,
    0x3fe637e4,0xfa826200,0x427ec0ff,0x2007ffe8,0x5e6c03f8,0x003fe44f,
    0x90007fc8,0xf70000ff,0x3fe6007f,0x04ffd807,0x10701f70,0x27fe45ff,
    0x4c2ffe40,0x1ffb0cfd,0xd867ecc0,0x3f6600ff,0x301ffb0c,0x000009ff,
    0xbdd803f5,0x0bff204f,0xfffff500,0x3ffea01b,0x32200dff,0x00fff2ef,
    0x3ffffea0,0x37ffcc0d,0x5c000000,0x3ea3ffff,0xffffffff,0x2fffffff,
    0x5c02ffec,0x0bffb4ff,0xff09ff70,0x01ffdc0d,0x900002b8,0x2227f40d,
    0x7f4002ff,0x817fc45f,0xb002fff8,0x9f76b80b,0x8000ffc8,0xc8000ffc,
    0x5c0000ff,0xff1003ff,0x09ff900f,0xe8005f30,0x402ffec7,0x77d44ffb,
    0xa807fec1,0x07fec1ef,0x7ec1efa8,0x00ffe80f,0x02744000,0x9027ddae,
    0x910005ff,0x203fffff,0x1fffffc8,0x7fc2efa8,0x3f220007,0x3e21ffff,
    0x200007ff,0xfff5000a,0x5fe5544d,0xadfaaaaa,0x7fe40aaa,0x92ffb805,
    0xff700bff,0x5c0dff05,0x019003ff,0x203f3000,0x4ff84ff8,0x03ffe600,
    0x7cc01ff7,0x00fa805f,0x227dc3aa,0x41003ffb,0x41003ffb,0x01003ffb,
    0xf800ffee,0x7fdc00ff,0x4005e802,0x2ffe45f9,0xf717fdc0,0x01ffb01d,
    0xffb01df7,0xb01df701,0x7ff881ff,0x9000faa0,0xb87d401d,0x0bff204f,
    0xfffd9800,0x3ff6600f,0x03bf20ff,0x00003ffe,0x41ffffb3,0x0001fffc,
    0x7dc00770,0x7c0f707f,0x0fffa802,0xfa87fe40,0x7fe400ff,0x2e06ff80,
    0x003003ff,0x4c09d100,0x05ff83ff,0x360bff60,0x06fe807f,0x3f301fc4,
    0x3fe627dc,0xf334400f,0x268801ff,0x4400fff9,0x007ff706,0x2e017fec,
    0x07dc01ff,0xf503b200,0xffc801ff,0x3607ff30,0x1ffcc0ff,0x7cc0ffd8,
    0x81ffb03f,0x3f606ff9,0x05f3000f,0x09f70fcc,0x88017fe4,0x25fff501,
    0x5fff5018,0x7f40ffe2,0x0314802f,0xf88bffea,0x220004ff,0x7cc00d73,
    0x260bb07f,0xfff8801f,0xf137ec03,0x6fd807ff,0x7dc0dff0,0x0000003f,
    0x7ff101b2,0x2600bff0,0x0ff904ff,0x6d80bf90,0x9f70ba20,0x404fff88,
    0x13ffe24d,0x7ffc49b0,0xfb826c04,0x3fea003f,0x2037ec04,0x7d4002f8,
    0x03fff881,0x5ff737ec,0xf707ff60,0x07ff605f,0x3f605ff7,0x037fd41f,
    0x3a007ff7,0xf70ba205,0x017fe409,0x3fee0588,0x7fdc0b15,0x3205ff55,
    0x8a5405ff,0x917fee05,0x10003fff,0x4003ee1b,0x07f06ff8,0xffb801ee,
    0x2e17fc06,0x17fc06ff,0x3ee06ff8,0x0015003f,0x7400fd40,0x027fc44f,
    0xf5027fcc,0x03fe803f,0xffb807ea,0x3fffffff,0x5417fff2,0x2fffe41f,
    0x7fe41fa8,0x203f505f,0x6c003ffb,0x0bfa00ff,0xf9800bb0,0x01bfee01,
    0x27fe45ff,0x7e41ffe8,0x83ffd04f,0xffd04ffc,0x207ff883,0xfc802ff8,
    0x3fffee00,0xc83fffff,0x1f1002ff,0x7c53fe20,0x329ff100,0xfff504ff,
    0x7c43e607,0x889ff100,0x4000effd,0x4017ee2d,0x2f883ffc,0x74400b90,
    0x07f704ff,0x2e09ffd1,0x0dff103f,0x6c01ffdc,0xf88001ff,0x98bfb003,
    0x7f4c02ff,0x205fd803,0x13e206f9,0xb5555530,0x7fc435bf,0xffcbceff,
    0xeffff883,0x883ffcbc,0xcbceffff,0x3fee03ff,0x2ff44003,0x7d405fa8,
    0x003aa000,0x2e09ffd1,0x0fffcc3f,0xb15fffd3,0xe987ffe6,0xf358afff,
    0x7ff4c3ff,0x3ffa58af,0x3003fa02,0xaaa9805f,0x81adfdaa,0xf1002ffc,
    0x44bfe20b,0x25ff105f,0x7d40fff9,0xb9acfffe,0x417e24fe,0xff902ff8,
    0x87d1005f,0x7c405ffb,0x201f506f,0x7f44004e,0x813ea0bf,0x2a0bffe8,
    0x1ffe204f,0x4404ffb8,0xd8004fff,0x83fe2006,0x77dc06fc,0x09fd1001,
    0x36401dd3,0x209f7000,0xfffffff9,0x3ffe605f,0x205fffff,0xfffffff9,
    0x27fe405f,0x21ffcc00,0x1fc404fa,0x4c41d700,0x5fff440e,0x7f413ea0,
    0xfb9efeff,0x3ffa1fff,0xffb9efef,0x3fffa1ff,0xfffb9efe,0x03bfe21f,
    0x17a00bea,0x204fb800,0xf1003ffd,0x24fb85bf,0x7dc2dff8,0x5e7fff44,
    0xfffe89ed,0x7c45ffff,0x027dc2df,0x2f7fffee,0x82fdb989,0x41befffb,
    0xf700efe9,0xc80017c0,0x03dfefff,0xbfdfff90,0x1fffa807,0xd00bffd0,
    0xfa8005ff,0x4efcc000,0x75cc1efb,0xf70002ef,0x809ff9bd,0x2e0001f9,
    0x3ff6204f,0xd8803fff,0x803fffff,0x3fffffd8,0x077ffc40,0x67ff4c00,
    0x06d803ed,0x3fffff20,0x3ff205ff,0x2603dfef,0xf30cfffc,0xffc983df,
    0x3dff30cf,0x0cfffc98,0xd303dff3,0x5fb759ff,0x0001f700,0xff9827dc,
    0xef8800ef,0x43ffceff,0xfceffef8,0xfffd983f,0x3ff620cf,0xef884fff,
    0x03ffceff,0xffffd930,0x2e019fff,0xefffdb9c,0x2ec03fff,0x40001f98,
    0x260002a9,0xffea802a,0xfdb1efff,0xa809dfff,0x01fc4000,0x0ceec980,
    0x00009aa8,0x20035510,0x7540004e,0x09aa8803,0x04d54400,0x026aa200,
    0xfffffd98,0x44000cdf,0x3f5000aa,0x3bbbaa00,0x9802eeee,0x00c4002a,
    0x02018801,0x40040310,0x00acddca,0x40003f98,0x7fed43ea,0x400dffff,
    0x4026aa60,0x0026aa60,0xa9801553,0xaa98200a,0x2e600009,0x40a801ab,
    0x009acaa8,0x005101a8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2aa60310,0x44000009,0x4c00009a,0x00009aa9,0x26003003,0x033322cc,
    0x06a06e20,0x80a60aa0,0x98000028,0x06c01ccc,0x20060360,0x05880b01,
    0x003ccc80,0x037730aa,0x00b00360,0xb5000550,0x1881205b,0x04c00c40,
    0x10ea0060,0x06200595,0x024c0498,0x0240fb6a,0x80173055,0x5302ccc8,
    0x7fc40055,0x03ffffff,0x0240bb6a,0x01ccca80,0xfa806006,0xfeffecaa,
    0x40002dff,0x02ffdeeb,0x6777e4c0,0x4002dfed,0x400f205b,0xbff11ffc,
    0xd83ffe00,0x3ff202ff,0x2e13fee3,0x00001eff,0x2e027fec,0x8364c0ae,
    0x209500e9,0x05d981dd,0x007ffcc0,0x7453ff22,0x400dffff,0x05d981dc,
    0x0027fdc0,0x45dffffb,0x8816c02a,0x01e8800d,0x3ff220b3,0x3bffff26,
    0x809f9100,0x17d441cf,0x5dffffb0,0x3ffc81d4,0xf7017fea,0x3ffa01df,
    0xfff9002f,0x201fffff,0x22effffd,0xffb0003a,0x700da809,0x7fffdc07,
    0x77f5cc0c,0x21ec8001,0xd8800ff9,0x3f6a00bf,0x903ba002,0x51ff400d,
    0xff1001ff,0x027ffc5f,0x7fecbffd,0x06fffe86,0x37f44000,0x37bffe20,
    0x3f202fff,0xf9807d42,0x1fffdeff,0x00ffe400,0x233fffb2,0x6ffffffe,
    0x6f7ffcc0,0x6c001fff,0x5d3006ff,0xf9dffff7,0x444f9803,0x0bf2003e,
    0xffd701f5,0x3f77f6df,0x7fe4c4ff,0x7ffdc04f,0x2606ffed,0xeffffbae,
    0xbffd01fc,0x3603ffe4,0xfdf700ff,0xfff100df,0x209fffff,0xffffbae9,
    0x88001fce,0x3db005ff,0x7fdc06c8,0x7ff4401e,0x20bee002,0x1fd404fe,
    0x4013a600,0x03fb2ff9,0x0fee37c0,0x2e0efd80,0x3fee01ff,0x320ffe61,
    0x0001ffff,0x200ffc40,0x4ffffffa,0xfba7fc40,0x7fffdc03,0xfe8003ff,
    0x33ff2002,0xfffb30bd,0xffffa807,0xfa8003ff,0x4437002f,0x003ffffd,
    0x0dd11df9,0xf54ff880,0xdeffa809,0xb87ffcc3,0x804fffbd,0x1ffffffd,
    0xffc88aa0,0x3fea04ff,0x880ffe62,0x1df101ff,0x6c807fd3,0x64437000,
    0x0003ffff,0x26001df5,0x805f92ff,0xd1000efc,0xff3005ff,0xfa817f20,
    0x01b60001,0x02ff7fec,0x06d83f30,0x20010080,0xb9980200,0x9800002f,
    0xfec8803f,0xdff7001d,0xdb3001ff,0xf30003bd,0xfffa8007,0x01fffd02,
    0x01deed98,0x28002200,0x40059730,0x02fffff8,0xffeffa80,0x0fffc400,
    0xfb81ffe8,0xdfb5004f,0x98098019,0x008802cb,0x202fa801,0x807ec45c,
    0x050002f8,0x8000b2e6,0x7e4000fc,0xfc806fef,0x7ffcc000,0x8837dc00,
    0x103f100b,0x35bfdbb7,0x7c4026cd,0x2a000fff,0x00001e84,0xa8000000,
    0x5000000f,0xd000000d,0x00005fff,0x8004b800,0x3ea04ffa,0x000002ff,
    0x00000000,0x06fffb80,0x0ffffa00,0xd81bfe20,0x4ffa82ff,0x00000000,
    0x1ec00000,0x825c0b30,0x0000006c,0x0007e000,0x007fffe2,0x7ec00132,
    0x037ec06f,0xcfb83e80,0x89ffae20,0x2aa9802e,0x01405400,0x00000000,
    0x00005c80,0x00000140,0x0001554c,0x80014000,0x7f404ffa,0x0000003f,
    0x00000000,0x00015550,0x88015544,0x3fee06ff,0x004ff982,0x00000000,
    0x0601c000,0x2fbe2060,0x00000000,0x30001440,0x07600555,0x17ffd400,
    0x5000dff0,0x202fe88b,0x01aa0ff8,0x00000000,0x02af2a60,0x01577300,
    0x00001f70,0x32a60000,0x000000ab,0x004de5d4,0xff500000,0x35ffc809,
    0x33013333,0x54c00333,0x4c000abc,0x00000abb,0x88000000,0x3fee06ff,
    0x004ff983,0x8002aee6,0x0009bcba,0x0026f2ea,0xfb800000,0x4c03efff,
    0x99809999,0x00000199,0x00280000,0xf02fffc0,0x85d000ff,0x0fa804fc,
    0x797500f4,0x4cccc013,0x19999809,0xfedfd880,0xefc802ff,0xb00dffdc,
    0x442b8819,0x571001bb,0xfedfd880,0x43a802ff,0xdfea80ba,0x4c05fffc,
    0x99999999,0xfa809999,0xaffdc04f,0x445fffdc,0x401ffffd,0xfffedfd8,
    0xdcefc802,0x3a800dff,0x4c00dd44,0x99999999,0xff809999,0x20ffee06,
    0xfc804ff9,0x00dffdce,0x3ff37faa,0x6ff5405f,0x8805fffc,0x02b8802b,
    0x3fffffe2,0xffb901ef,0xfffd88bf,0x443a801f,0x2e2001ba,0xd0000002,
    0x3fe03fff,0x2a3cc007,0x83b000ff,0xcdfea84b,0xfb905fff,0xffd88bff,
    0x33e601ff,0x80fffe60,0x77f4c1fd,0x3f260c41,0xffffb14f,0x27fe4c09,
    0x7cc19f30,0xffc883ff,0x98dfff36,0x27fdc1ff,0xffffff88,0x2fffffff,
    0x5404ffa8,0x2ffdc4ff,0x4c03fff0,0x3ffe60cf,0xd307f603,0xff9103df,
    0x37fffe4d,0xffffff10,0x5fffffff,0x7dc0dff0,0x04ff983f,0x3fa60fec,
    0x41ff981e,0xff304ffb,0x304ffb83,0x64c09ff9,0x32e204ff,0x3ffffffd,
    0xf817fee0,0xff9101ff,0x37fffe4d,0x013ff260,0x7fe40000,0x01fff02f,
    0x1bfa25c0,0xf98d1000,0x027fdc1f,0x7fc0bff7,0x20df101f,0xfc80fff9,
    0x01fff303,0x467fff6c,0x2fffecee,0x04fffec8,0x3fe60df1,0x3fffae0f,
    0x0fffee8e,0x3ffc1bfa,0xd019df88,0x3fea0bff,0x21ffd404,0x3f605ff9,
    0x20df101f,0xfc80fff9,0x41fff303,0xfb6fffeb,0x207fffbb,0xfd019df8,
    0x81bfe0bf,0xff983ffb,0x4c0ff204,0x37f40fff,0xdfd07ff8,0x3b21ffe0,
    0xfd904fff,0xe98009ff,0xf303ffff,0x0ffec0bf,0xdb7fff5c,0x03fffddf,
    0x009fffd9,0x3fee0000,0x3fa6663f,0x200999af,0x002ffc3c,0x41bfa3c0,
    0x3fe607ff,0x407ff605,0x3ffa03fc,0x3603fdc4,0xffc804ff,0x37fdc1ed,
    0x3209ff70,0x13ffa03f,0x5c77bfea,0xe837fc4e,0x407880ff,0xf500effc,
    0x2ffb809f,0xf902ffcc,0x80ff203f,0x3fdc4ffe,0x2a13ff60,0x7d43deff,
    0x407880ff,0xff00effc,0x41ffdc0d,0xff704ff9,0x7c4ffd80,0x01ffd06f,
    0x3ffa0dff,0x809ff700,0x90004ffb,0xf301ffff,0x0ffe40bf,0x87bdff50,
    0x2e00fffa,0xfff304ff,0xffffffff,0xffffffff,0x3e69ffff,0xffffffff,
    0xf98b605f,0x0f80004f,0x7ff41bfe,0x40bff300,0xff881ffc,0xd17ff600,
    0xfff980df,0x077fd401,0xf303ffc4,0x01ff109f,0x7c42ffec,0x3fc803ff,
    0xb101ffb0,0x00fffd40,0xfc80bff5,0x02ffcc0f,0xff103ff9,0x22ffec01,
    0x7fcc06fe,0x0fffc41f,0x5881ffe8,0x807ffea0,0x3fee06ff,0xd04ff983,
    0xfff980df,0x7ec0ff21,0xb03fc80f,0x3fe601ff,0x027fcc04,0x0bfff500,
    0x7e40bff3,0x3ffe201f,0x403ffd01,0xff104ff9,0x555555df,0x55555555,
    0x229fff95,0xabffeaaa,0x98b601aa,0xe80005ff,0x7ec0ff20,0x0bff300f,
    0x7cc0ffe4,0xffffffff,0x3fe27fff,0x03ffe804,0xfd027fcc,0x13fe601f,
    0x3fffffe6,0x87ffffff,0x80006ff8,0x1880ffea,0x807fff10,0x7fc05ffa,
    0x205ff983,0xff981ffc,0xffffffff,0x13fe27ff,0xf10fffa0,0x0ffec0df,
    0xfff880c4,0x81bfe203,0xff983ffb,0x804ff884,0xd5003ffe,0xea8001ff,
    0x9ff300ff,0x004ff980,0x4c37fcc0,0x3ff205ff,0x81bfe201,0x3e601ffd,
    0x1fffe04f,0x7fff7000,0x8007ff60,0x017fe23c,0xea801e00,0xbff300ff,
    0x540ffe40,0xff50006f,0x09ffb007,0x3604ff98,0x9ff301ff,0x0000df50,
    0x26000dff,0x00ffedfc,0x402fff40,0xf701fffa,0x817fe60d,0x6fa81ffc,
    0x07ff5000,0xf889ffb0,0x0bfee06f,0x80bffd00,0x3ee07ff9,0x84ff983f,
    0xfd803ffa,0x37f2604f,0xc9800ffe,0x300ffedf,0xff9809ff,0xffd80004,
    0x902ffcc0,0x7fc403ff,0x80bfee06,0x3fa04ff9,0x320000ff,0xffb01fff,
    0x3a25c001,0x3c40006f,0x3fb7f260,0x0bff300f,0x7e40ffe4,0x9ff90007,
    0x80bff900,0x3f604ff9,0x09ff301f,0xf0000ff9,0xfd9800df,0x001ffb0c,
    0x40077fe4,0x540efffa,0xbff301ef,0x640ffe40,0xff90007f,0x0bff9009,
    0x7fdc0dff,0x3bff2003,0x0fffdc00,0xf983ffb8,0x04ffc84f,0xd985ffc8,
    0x01ffb0cf,0xfd867ecc,0x09ff300f,0x0004ff98,0x7cc1ff98,0x07ff205f,
    0x7dc0dff0,0x13fe603f,0x001fffc8,0x403fff60,0x34c007fc,0x80007fee,
    0x19fb305b,0x7cc03ff6,0x07ff205f,0x20003ff2,0xfb805ffd,0x27fcc04f,
    0x2603ffb0,0x0ffc84ff,0x037fc000,0xfd83df50,0xfff5000f,0x37fea003,
    0x0dfecefc,0xc817fe60,0x0ffc81ff,0x05ffd800,0xff84ffb8,0x00ffee06,
    0x500fffd4,0x3dfffffd,0xf982ffb8,0x05ffd84f,0x7d44ffb8,0x807fec1e,
    0x7fec1efa,0x809ff300,0x80004ff9,0x5ff987f8,0xf007ff20,0x1ffdc0df,
    0x5c09ff30,0x20003fff,0x3ee07fff,0x741e8007,0xe839006f,0x6c1efa81,
    0xbff300ff,0x5c0ffe40,0x641003ff,0xffb805ff,0x027fcc02,0x3e603ffb,
    0x03ffb84f,0x01bfe010,0x7ec077dc,0xfff8800f,0x53fea002,0x98009aa8,
    0x3ff205ff,0x003ffb81,0x402ffe41,0x6ff82ffb,0x200ffee0,0x0002fff8,
    0x4c17fdc0,0x5ffc84ff,0x2e2ffb80,0x0ffd80ef,0xfd80efb8,0x09ff300f,
    0x0004ff98,0xbff30df0,0x200ffe40,0x3fee06ff,0x813fe603,0x0006fff8,
    0x5c07fff5,0x45b8005f,0x16404ff9,0x03bee1a6,0x7cc03ff6,0x07ff205f,
    0x1003ffe6,0x007ffd4d,0xf3003ff2,0x0ffec09f,0xf984ff98,0x834400ff,
    0xff9806ff,0x001ffb03,0xa800bffd,0x220004ff,0x3ff205ff,0x00fff982,
    0x1fff5344,0xf80ffc80,0x0ffee06f,0x0017ffa0,0x207fee00,0xffa84ff9,
    0x87fe400f,0xffb03ff9,0xb03ff981,0x3fe601ff,0x027fcc04,0x4427cc00,
    0x3ff205ff,0x7037fc02,0x7fcc07ff,0x17ffd404,0x037ff400,0x02600fee,
    0xbefd885d,0x442eca89,0x81ffcc2e,0xff300ffd,0x40ffe40b,0x6c04fff8,
    0x00fffe24,0xff300dfb,0x80ffec09,0xff884ff9,0xf826c04f,0x2ffb806f,
    0xc803ffb0,0xfa8006ff,0x7fc0004f,0x20bff205,0x6c04fff8,0x00fffe24,
    0x1bfe0dfb,0x6403ffb8,0x000006ff,0xff301ff7,0x07fff109,0x3fee6fd8,
    0xb83ffb02,0x3ffb02ff,0x3013fe60,0x700009ff,0x817fe01f,0x7fc02ffc,
    0x80ffee06,0xfd804ff9,0x7fd4005f,0xfdca881f,0x7cc34401,0xcefdc980,
    0xfb84d80a,0x03ffb02f,0xfc817fe2,0xbfff901f,0xff707ea0,0x802ff80d,
    0x3f604ff9,0x09ff301f,0x5417fff2,0x00dff01f,0x3fa09ff9,0x3ffea01f,
    0x3ea02e01,0x7fc0004f,0x05fff307,0x5417fff2,0x037fdc1f,0x37fc0bfe,
    0x5407ff70,0x02e01fff,0x9837dc00,0xdff704ff,0x3f22ff80,0x83ffd04f,
    0xffd04ffc,0x013fe603,0x00809ff3,0xfff017cc,0x00bffe60,0x7fdc0dff,
    0x013fe603,0x4017ffe2,0xe984fff9,0x0adfffcc,0x1eb82ec4,0x641b2000,
    0x3ffd04ff,0xf983ffc0,0xfff102ff,0x7ff979df,0x209ffd10,0xff5003fb,
    0x80ffec09,0xff105ff9,0xff979dff,0x4037fc07,0x3a61fff9,0x4458afff,
    0x06c02fff,0x00027fd4,0xbd70fffa,0x3fe209ff,0xffcbceff,0x04ffe883,
    0x3fe207f7,0x40ffee06,0x6c02fff8,0x7e414400,0x209ff302,0xf704ffe8,
    0x21fff987,0x58afffe9,0x74c3fff3,0x4c58afff,0x7fcc05ff,0x2037fa05,
    0x7ff404e9,0x27fef5c3,0x5c0dff10,0x3fe603ff,0x9ffd3005,0x03fff980,
    0x7fff7c39,0x02ffedef,0xd1000fea,0x3ffe601b,0x2bfffa61,0x43ffe858,
    0x204ffdeb,0xfffffff9,0x3ffa205f,0x8013ea0b,0x3f605ffb,0x0dff502f,
    0x7fffffcc,0x3fe205ff,0xdfffd007,0xffff73df,0x404ffe83,0x5ffb80f8,
    0x7ffcc000,0xffc8efdf,0xfff985ef,0x205fffff,0x2a0bffe8,0x1ffe604f,
    0xfd04ffb8,0x00f8809f,0x6e8977f4,0x8817fea0,0x3ea0bffe,0xfdfffd04,
    0x3ffff73d,0x77f7fff4,0x41ffffb9,0x7d406ffa,0xffff106f,0x005fb77d,
    0xdfbffff3,0x0bdfff91,0x7dc0fff3,0x1bfea04f,0x17bff900,0x00f7fe4c,
    0x7fd56e3b,0x805fffff,0x2600bee8,0xffe803fd,0xffb9efef,0xfff981ff,
    0xffc8efdf,0xffb104ef,0x32007fff,0x03dfefff,0x4077fec0,0xf904fff8,
    0x7ec401ff,0x5c03ffff,0xc9803fff,0xff30cfff,0x9fffc83d,0xea999999,
    0x2fffe987,0x7ffdc000,0x17ff90df,0x7fffec40,0xfff9003f,0xfb807bfd,
    0xbffd01ff,0x333fff90,0x0fd53333,0xbfdfffb0,0x00effc80,0x6ff7ffe4,
    0x3fff2603,0x83dff30c,0x30cfffc9,0xff903dff,0x7ffe401f,0xffffd500,
    0x7dc0019d,0xff90dfff,0x3ffee017,0x40bffd01,0x4000fffc,0xffefffda,
    0xdfa804ef,0x3fff620e,0x7ed4004f,0xbeeeccde,0xfff93000,0x07bfe619,
    0x25ffffb8,0x8800bffc,0x980009aa,0xffb8002a,0xd88defff,0x73efffff,
    0x1bdffffd,0x004d5440,0xdfffffd5,0x04031007,0x7fffffcc,0x7fffffff,
    0x3bbbbba2,0x540001ee,0x20014c0a,0x80009aa8,0xfea802a9,0xdb1effff,
    0x269dffff,0xffffffff,0x807fffff,0x302bdcb8,0xdfffffdd,0x002a9807,
    0x880100c4,0x3fae0201,0x2e0defff,0x0deffffe,0x00003510,0x20298155,
    0xefffffea,0xdffffdb1,0x7ffff5c9,0xa88000de,0x188001ab,0x0002a620,
    0x1aaba988,0x08062000,0x5302aa00,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000098,0x8802982a,0x06660099,0x006a6000,
    0x5403ccb8,0xfffffffe,0xffffd55f,0x7f64005f,0x403effff,0xfff7002a,
    0xffffffff,0x1a98807f,0x2f2e6000,0x3fb206a1,0x2effffff,0x3ffffb20,
    0xffff74ef,0x801dffff,0x4ffffffc,0x20150000,0xfffffffa,0xffffd11e,
    0xd301dfff,0x409fffff,0x8800bca9,0x80999999,0xd1099998,0xffffffff,
    0xfffec81d,0x002effff,0x7fffff5c,0xffffffff,0x3007ffff,0x40015795,
    0x00dd443a,0xffffffd3,0x79bddfff,0x37100003,0x05305500,0x00026c00,
    0x3ee3ffc8,0x17fdc04f,0x8000fff0,0xf1004fe8,0x7e4003ff,0xf9102eff,
    0x98003fff,0xfb801efe,0xfffe804f,0xffffffff,0xfffb101f,0x7d4009ff,
    0xfedffddf,0x3fffa603,0x3fa6001d,0xffff703f,0x7ec4001d,0x3ffa61df,
    0x3effffff,0xb80fffe2,0xd102ffff,0x2200dfff,0xfb100eff,0x999dfb5b,
    0x3ffee179,0xfc982dff,0xfffa83ff,0x7f4400bf,0x40001dff,0xbfffefe8,
    0xdbaaaaaa,0x6fec407f,0x2202fffe,0x3ff26ffc,0x7e4406ff,0xcbbcdeff,
    0x00cffffe,0x401fff00,0x3fea3ffc,0x0ff98005,0x5ffe8000,0xf701bff6,
    0x03ffc05f,0x013ff200,0x20017fdc,0xb804fff8,0x4000efff,0xffb002fb,
    0xffffa80d,0xffffffff,0xfffff506,0xc801dfff,0x3fffd83f,0x00fffdc0,
    0x3201fdc0,0x98003fff,0xff7100ff,0x3fee05ff,0x3ff600ff,0x27ffd407,
    0x2201fb00,0x7ffcc1ff,0x3fe22fff,0x01fe806f,0xb801bffa,0x00001fff,
    0x01fff5fb,0x67cc0f70,0x20fffe60,0xfb6fffeb,0x807fffbb,0x5c03fff8,
    0x4002ffff,0x3a02fff9,0x1fff25ff,0x00fff200,0x987fee00,0x7fdc03ff,
    0x001ffe02,0x004fffa8,0x3e0007fb,0xffb003ff,0x1fa800bf,0x805ff500,
    0x7dc01bfd,0xaceff883,0x206fffeb,0x3ffa03fd,0x07ffd403,0x200fd400,
    0x8005fff8,0xfff803fa,0x3fffe605,0x07ffea03,0x400dffd0,0x417f605e,
    0x3ea01ffc,0x404f807f,0x2a005ffd,0x00000fff,0x01fff39f,0x1be203e0,
    0xa807ffcc,0x7d43deff,0x7ffc00ff,0xfffe9803,0x037ec002,0xff98bfea,
    0x7ffc4003,0x40100006,0x02ffb800,0x44001ffe,0xf004ffef,0x7ffc000b,
    0xffffb002,0x007d4009,0x1f880110,0xfb03fd00,0x0ffff203,0xff901fea,
    0x07ffa807,0x9003f500,0xd8001fff,0x09ffd006,0x404e9b98,0x7dc04fff,
    0x2f9800ff,0x2609ff30,0x7fec04ff,0xb007ea02,0x7d400bff,0xf700007f,
    0x001fff31,0x80ff2032,0xff104ffe,0x07ffa03f,0x4007fff0,0x4001fffe,
    0x02011000,0x3fffee00,0x00000001,0x3e02ffb8,0x5db0007f,0x0d5009ff,
    0x02fff800,0x5fffddb0,0x0003ea00,0x22003500,0xe805f06f,0x03fe86ff,
    0x2a01ffdc,0xf50007ff,0x5fff3003,0x801fc400,0x3e004ffe,0x037fe401,
    0x200bffe2,0x0ffee07b,0x26037fc4,0x01b605ff,0xa8017ff2,0xd00007ff,
    0x003ffe69,0x03fe2044,0xf105ffd8,0x0ffec0df,0x800fffe0,0x0007fff9,
    0xd0000000,0x000bffdb,0xff700000,0x003ffc05,0x27fcc7dc,0x20000540,
    0xbb002fff,0x003ffff1,0x000001f5,0x4c1fdc00,0x47ff9805,0x7dc02ff9,
    0x3ffd403f,0x001fa800,0x5c00dffb,0x7ffd000f,0x2601aa00,0x7ec01fff,
    0x204e805f,0x3fe04ffb,0x81ffe807,0xffc802f8,0x1ffea005,0x4c3ee000,
    0x20000fff,0xfffffff9,0x107fffff,0x7fdc0dff,0x01fffc02,0x00ffff20,
    0x00000000,0x1fff55f5,0x4ccccc00,0x01999980,0xff80bfee,0x99fc4007,
    0x000004ff,0x2005fff0,0x1dfff35d,0x1000fa80,0x00015975,0x00981fe8,
    0x7dc7ff88,0x1ffdc01f,0x001ffea0,0xfa800fd4,0x0bd001ff,0x401fff40,
    0xffd002e8,0x0fffd809,0xf9807e60,0x01bfe05f,0x1f217fea,0x002ffe40,
    0x0000fff5,0x07ffcc9f,0x06fa80a0,0x40dff000,0x7fc03ffb,0x7fc4003f,
    0x9999986f,0x99999999,0x00057100,0x03fff9b6,0x17fff720,0x03ffffb1,
    0xff80bfee,0xf32f4007,0xa875009f,0x5fff000b,0xffb97600,0x007d406f,
    0x3fb37f62,0xdf10003f,0x8bff0000,0x7dc01ffc,0x3ffd403f,0x001fa800,
    0x2a017ffa,0x3ffa002f,0x0017d403,0x7c40fff7,0x1f203fff,0x2203ffe0,
    0xffd004ff,0xf9004f83,0x7fd400bf,0x07dc0007,0xe801fff3,0x000ff900,
    0xfb81bfe0,0x1fffc03f,0x0ffff400,0xfffffff1,0x85ffffff,0x8004ffc9,
    0x1fff23f8,0x817fee00,0xff701fff,0x003ffc05,0x27fcc1f9,0xf36ffc88,
    0x3fe00dff,0xc8bb002f,0x3ea04fff,0xb03ba600,0xf70009ff,0xff880007,
    0x200ffec3,0x7d403ffb,0x3f50007f,0x07ffdc00,0xfd001b60,0x0065c07f,
    0x407ffe60,0x206ffdfa,0x4ffa804e,0x2a006fc8,0x007ea5ff,0x5002ffe4,
    0x44000fff,0x07ffcc3f,0x3f201f30,0xff80000f,0x00ffee06,0xb0007fff,
    0x6fc45fff,0x8bffd019,0x004fffec,0x3fe20fc8,0x7fcc002f,0x407ff605,
    0x3fe02ffb,0x985f3007,0xffeb84ff,0xfffee8ef,0x02fff800,0xfffd0bb0,
    0xe803ea07,0x0fff980f,0x000ff400,0xfb07fea0,0x3ffb805f,0x003ffd40,
    0x22001fa8,0x3e204fff,0x1fff4003,0xffe80000,0xfff5db04,0x2003f301,
    0xfd99eff9,0x7ff4000d,0x7e400db0,0x3fea005f,0x03f20007,0x3333fff3,
    0x201fd733,0x01003ffb,0xff7037fc,0xff999887,0x999999cf,0x47fff700,
    0x77fe4078,0x009ff700,0xffd84f88,0x2ffcc005,0x2e03ff90,0x1ffe02ff,
    0x3e613a20,0x3bfea04f,0x2009d71d,0xbb002fff,0x03fffd10,0x13f201f5,
    0x2001fff8,0xb80006f8,0x04ffb84f,0x2a01ffdc,0xf50007ff,0x7ffc8003,
    0xd0003ee0,0x000007ff,0x3e21ffee,0xf907fff3,0x6e5f4400,0xf70001bd,
    0x4005f19f,0x2a005ffc,0xf10007ff,0xfffff307,0x1fffffff,0x003ffe60,
    0x037fc0d1,0xffa87ff7,0xffffffff,0xff502fff,0xf502c49f,0x7fcc03ff,
    0x407dc004,0x2001fffa,0x3f205ff9,0x07ff701f,0x36403ffc,0x2204ff98,
    0x20003fff,0xbb002fff,0x03fffe60,0x5ff101f5,0x2001e4c0,0x440003fb,
    0xfffa80ff,0x00ffee00,0x2000fff5,0x7cc001fa,0x00bf02ff,0x0007ffd0,
    0x0bffe200,0x1bff21f7,0x1744013e,0x7ffc0000,0x7fe4007d,0x1ffea005,
    0xf983e400,0x999999ff,0xff100fea,0x204d809f,0x3fee06ff,0x01fffc03,
    0x127ffd40,0x0fffe203,0x8009ff30,0x13ffa05e,0x205ff980,0xff701ffc,
    0xa9fff209,0xf980fd40,0x1bfe204f,0x05fff000,0xffa81760,0x5407d46f,
    0x800001ff,0x640001fe,0x37ffe03f,0x03ffe880,0x8003ffd4,0xfd8001fa,
    0x001fa86f,0x0003ffe8,0xd17ff600,0x30fffccb,0x03fa003f,0x3fee0000,
    0x7fe4004f,0x1ffea005,0x333be200,0x0fffdccc,0xfc803e20,0x03f505ff,
    0xfb81bfe2,0x1fffc03f,0x17ffdc00,0x805ffe80,0x26004ff9,0x3ffee02f,
    0x0bff3000,0xfb80ffe4,0x3b3621ff,0x3f88b0ff,0xf013fe60,0xff8000df,
    0x80bb002f,0x3ea5fffc,0x000ffb80,0x0037c400,0xf7017e20,0xd5115dff,
    0xf9807ffb,0x3f50007f,0x3fff5000,0xfd0006d8,0x4000007f,0x5f10fffa,
    0x1b24ffe8,0x5677fcc0,0x0009aaaa,0x000fff88,0x5002ffe4,0xfb000fff,
    0xfddddddd,0x00e801ff,0x33bfffe2,0x2603ffcb,0x3fee07ff,0x01fffc04,
    0x00fffec0,0x40077fe4,0x36004ff9,0xaaaaaaaf,0x3003fffb,0x7fe40bff,
    0xdffff901,0x37ff27fd,0x26036c3c,0x37fc04ff,0x0bffe000,0x7ec02ec0,
    0xb01f53ff,0x800003ff,0x6c0004fb,0xffffb006,0x7ff73fff,0x00fff980,
    0x0000fa80,0x1fc4bffd,0x03ffe800,0x3fe20000,0xfb81f72f,0x44013e7f,
    0xffffffff,0x4001dfff,0xfc8005fb,0x3fea005f,0x017cc007,0x2801fff3,
    0xfffff980,0x7dc05fff,0xbffd01ff,0x003fff80,0x400fffe8,0x3001fffa,
    0x3e2009ff,0xffffffff,0x3006ffff,0x7fe40bff,0xfffbb901,0x77ff4c5d,
    0x3bbbbea0,0xfffeeeee,0x06ff84ee,0x017ffc00,0xfe8805d8,0xd80faaff,
    0x400002ff,0x320001fd,0x3fee000e,0x7ff70eff,0x00fff980,0x0000fb80,
    0x3f21fff7,0x7ffd0000,0xfd800000,0xff30bd5f,0x4003f33f,0xfffffff9,
    0x002fffff,0x32000be6,0x3ea005ff,0x036c007f,0x0003ffe6,0x7fffec40,
    0x3ffaa03f,0xfdb1efff,0x3e09dfff,0x7c4003ff,0x7fc406ff,0x3fe6002f,
    0x001f9004,0x3003fff3,0x7fe40bff,0x06a6bb01,0xfffb81a8,0xffffffff,
    0xff86ffff,0x7ffc0006,0x200bb001,0x0fbffff8,0x1004ffb8,0x000df100,
    0x44000fdc,0x1ffdc0aa,0x007ffe20,0x88001f20,0x009f4fff,0x001fff40,
    0x3ffea000,0x9ffd02f9,0x16a800d9,0xb9755533,0x03e400bf,0x005ffc80,
    0x9801bfea,0x7ffcc01f,0x54400000,0x000005da,0x00fffe00,0x803fff90,
    0x4c005ffe,0x09f004ff,0x402fff40,0x3f205ff9,0x000dd01f,0x99999930,
    0x9dffb999,0x00dff079,0x000fff80,0x7fd400bb,0xffa80fff,0x4024c00f,
    0xf50004fa,0xf7000003,0x7fff007f,0x000db000,0x1fbfffc8,0x0fffa000,
    0xf8002600,0x3ee07eff,0x26003fff,0x03f2000f,0xc80027c0,0x3ea005ff,
    0x017a005f,0x0003ffe6,0x013e200b,0x002dfb80,0x2003fff8,0x6404fff9,
    0xf98006ff,0x00fa804f,0x003ffea0,0x7e40bff1,0x000ff01f,0x27fcc000,
    0x0001bfe0,0x2ec00fff,0x3fffee00,0x03fff980,0x0fec00f4,0x000fcc00,
    0x03ffb800,0x4006ffd8,0x4c0004f8,0x0006ffff,0x4001fff4,0x7ffe4006,
    0x3fffe204,0x00bd1001,0x1f700798,0x17ff6000,0x004ffa80,0xff3003f5,
    0x0264001f,0x20006f98,0x4001fffb,0x36003fff,0x3ea00fff,0x202e01ff,
    0x5e804ff9,0x04fff800,0xff307ff8,0x03ff305f,0x3e600000,0x037fc04f,
    0x2ffc3eb8,0xb000dd00,0x3f201fff,0x06c883ff,0x98006f88,0x0019802f,
    0x9803ffb8,0xd1000fff,0xfb00001f,0xe80007ff,0x25c003ff,0x07ffe600,
    0x400dffb0,0x264006fc,0x00027c40,0xdb10bffb,0x4017fd43,0xff5005f8,
    0x0be6001f,0x0017fcc0,0x8009ff10,0xd8803fff,0x3e202fff,0x406c02ff,
    0x7d405ff9,0xfffd8003,0x21fff400,0xa84ffdeb,0x000002ff,0xf809ff30,
    0xfff8806f,0x4001ff11,0xffd0006e,0x3fffe201,0x01ffdabd,0x54004fa8,
    0x00e9802f,0x003ffb80,0x8803dff9,0x500003fe,0x80001fff,0x22004ffe,
    0x7fe8002f,0x003ffb80,0x10033ff6,0x359b30d9,0xfe8000db,0x26ffb86f,
    0x5f9005fb,0x07ffea00,0xb001faa0,0x03535bff,0x10017f40,0xfa807fff,
    0x7f400dff,0x407c404f,0x7f406ffa,0xfffb8000,0x7fffcc04,0xfffc8efd,
    0x00fff24e,0x7fcc0000,0x01ffe204,0x7d477ff4,0x0bfee002,0x803fe200,
    0xfffffffa,0x03fb003f,0x66677d40,0x6feedccc,0x09ff9000,0x55fffe40,
    0x07ffb730,0x04fe8000,0x06fff800,0x2000ff50,0xff8804fc,0x3ffe2000,
    0xcbaaacdf,0xfffe80df,0x2a0000ff,0x7cc1ffff,0x001fb3ff,0xb300bff7,
    0x5555bfff,0x0bffb955,0xffffd980,0x6fb8800c,0x3fff2200,0xedbaabce,
    0xfc802fff,0x999999ff,0xff907ea9,0x7ffb101f,0xffff9000,0x7ffdc017,
    0x02fff25f,0x00005ff7,0x813fe600,0xa803fffb,0x802defff,0xffffffc8,
    0x03e6000c,0xdffffd10,0x01be2003,0xffffffa8,0x3fffffff,0xeffe9800,
    0x3ff6a001,0x1dffffff,0x1fb80000,0x3ff22000,0xcccccdff,0x005ffecc,
    0x36003f30,0xffd98006,0x2effffff,0x0bffff20,0x7fffe400,0xfb0cefff,
    0x98039dff,0x85fffffe,0xffffffdb,0xffffffff,0x2a0002ff,0x59d90009,
    0xfffb3001,0xdfffffff,0x30013579,0xffffffff,0xb8ffffff,0x0deffffe,
    0x9ffffff7,0xfffff900,0xaa807fff,0x791014c0,0x4c000000,0xffea84ff,
    0x9803efff,0x0000000b,0xa88004c0,0x0d44001a,0xfffff880,0xffffffff,
    0x3ba2000f,0x006eeeee,0x4d5dd544,0x22000000,0xff910003,0xffffffff,
    0x5fffffff,0x3001c000,0x65cc0005,0x8801acdd,0x000002db,0x0002a880,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfd800000,0xffffffff,0xffffffff,0x3ffffa6f,0xfffe85ff,
    0x5795106f,0x400d8511,0x02666665,0x98066666,0xfffffffe,0xfffed85e,
    0x201effff,0x980acba8,0xfffffffe,0x540003ef,0x00009bcb,0x0240bb6a,
    0x41205bb5,0xd305d43a,0xdfffffff,0xfe98003d,0xffffffff,0x001bcdee,
    0xffffffd3,0x3f2009df,0xffffffff,0xffffffff,0x505dc46f,0xfffffffd,
    0x1799ddff,0xffffe980,0xdeefffff,0xfd3001bc,0xdfffffff,0xffe98007,
    0xffffffff,0x0fffffff,0x7fffff54,0xffffffff,0xffd32fff,0x0bdfffff,
    0xffffffdb,0x3ffa23df,0x0effffff,0xffffffd5,0xffea89df,0x501effff,
    0x3bff6017,0xeffecccd,0x6fffdccc,0x0077ffcc,0x3ee05ff3,0x44fffdbd,
    0x25d981dc,0x445fffdc,0x801ffffd,0x800efffc,0x404ffff9,0xffecdfd8,
    0xffff7103,0xfd500005,0x00bfff9b,0x5dffffb0,0xfffd81d4,0xc88aa2ef,
    0xdfff36ff,0x03ffff20,0x3ff22000,0xecbbcdef,0x000cffff,0x003ffff9,
    0xccdeffd8,0xccceffec,0x7e47ffec,0xfffc884f,0xfdba9abd,0x64400dff,
    0xbbceffff,0x0cffffed,0xffffb880,0xfb880002,0xaaaaadff,0x01ffdcaa,
    0x2ab3fff2,0xffecbaaa,0x0ffffc82,0x4ffff980,0x5ffffd40,0x3bfff200,
    0x67ffdc00,0x417fee00,0xbffb01fd,0xf90fd510,0x04f980df,0x4fc885f5,
    0x7ef7ffcc,0x5ffb81ff,0x2007ffe0,0x2004fff8,0x2600fffc,0x27fec0ee,
    0x000bfff0,0xfb83ff30,0x2ba6004f,0xfceffffb,0xffbae981,0xd71fceff,
    0xfdd1dfff,0x3ffe01ff,0x3e200004,0x7fdc03ff,0xff8802ff,0x2fd8004f,
    0x220bff90,0x837ff47f,0x2203fff8,0x4401fffd,0x7dc03fff,0xff002fff,
    0xf80000bf,0x3f5003ff,0x017ffc40,0x7fc41fe4,0x3ff2004f,0x6ffe800f,
    0x04fff880,0xd802ffc8,0x405d07ff,0x1ee05ffd,0xf900fffc,0x4e81fe01,
    0xffffffb8,0x40bff303,0x26601ffd,0x999cfff9,0xc9999999,0xe8199fff,
    0x0fff980f,0x0009ffd0,0x3fe0dfd0,0xc886e007,0x3703ffff,0x1ffffe44,
    0xb8ef7fd4,0x0fffe04e,0x7fff0000,0x5fffd300,0x007fff00,0x7fe405b0,
    0xff51e205,0x01fffc05,0x2007ffec,0xe9803fff,0xfe803fff,0x7400004f,
    0x0ba003ff,0x002fff88,0x0fffe07d,0x007ffb80,0x3e00bffb,0x77cc03ff,
    0x07ff5000,0x0bffb01a,0x4ffc83c4,0x7fc40fe0,0x36609700,0x3e601dee,
    0x07ff205f,0x7fffffcc,0xffffffff,0xffffffff,0x813f20ff,0xffd01fff,
    0xdff00009,0x4003ffa0,0x40597302,0x20597302,0x4003fff8,0x00002fff,
    0xd001fffc,0xff803fff,0x00e8002f,0x1d017ff2,0x3fff8008,0x04fff880,
    0xd001fffc,0xfe803fff,0x7400004f,0x0ae003ff,0x2005fff0,0x05fff03a,
    0x803ffdc0,0xff005ffd,0x077cc05f,0x03802200,0x0a02ffec,0x5c07ffc4,
    0x1bff100f,0x20000710,0x3f205ff9,0x3e66601f,0x99999bff,0xffc99999,
    0x3fe2199f,0xe80f2602,0xc80003ff,0x01ffb03f,0x00000000,0x000dff10,
    0x00005fff,0x2003fff8,0x7c07fff9,0x1aaaacff,0x3ff201c0,0x40005405,
    0xfd003fff,0x3fff80df,0x3fffe600,0x00fffa00,0x07ffd000,0x3fe00440,
    0x7c06002f,0x3ee002ff,0xbff9007f,0x40bffe00,0x00000ef8,0x05ffd800,
    0x20fff600,0x7ffec04e,0x26000002,0x3ff205ff,0x05fff001,0xa83ffdc0,
    0x740001ff,0x000003ff,0x0007ff54,0x80000000,0xff8006ff,0x2000042f,
    0x64003fff,0x3fe03fff,0xffffffef,0xffc8001c,0xff000005,0x3ff6007f,
    0x01fffc07,0x80ffff60,0x00003ffe,0x0001fff4,0x000bffe0,0x800bffe0,
    0xf9007ffb,0x3ffe00bf,0x000ef982,0xffb00000,0x7fcc000b,0x2a00fcc6,
    0x002effff,0xff300ae2,0x00ffe40b,0x2002fff8,0xff707ffb,0xffe80001,
    0xc9800003,0x000ffedf,0x037510ea,0xf802b880,0xfff8006f,0xf0000b22,
    0xf88007ff,0x3ffe06ff,0x17fff542,0x017ff200,0x1fffc000,0x404fff80,
    0x44003fff,0x3fa06fff,0x7400003f,0x009803ff,0x4405fff0,0x02fff801,
    0x401ffee0,0xff005ffc,0x00ef985f,0x36000000,0x740005ff,0x401762ff,
    0x0dfffffa,0x017ff260,0x7e40bff3,0x5fff001f,0x83ffdc00,0x40001ffd,
    0x00003ffe,0x7ec33f66,0x7fe4400f,0x1bffff26,0x017ff260,0x3e001bfe,
    0x00ee8aff,0x01fffc00,0x80ffff40,0xffd02fff,0x7fe4005f,0xff000005,
    0xfff3007f,0x03fff805,0x01fffe80,0x00007ffd,0xc803ffe8,0x05fff001,
    0x7ffc01dc,0x1ffee002,0x802ffe40,0x3be62fff,0x00000000,0x0002ffec,
    0x17c57fea,0xffff9100,0xfffd903f,0x05ff980b,0x7c007ff2,0x3ee002ff,
    0x05ffb07f,0x03ffe800,0x1efa8006,0xd7007fec,0x37f6dfff,0x3203fffd,
    0xf805fffe,0xfff8006f,0x80000eec,0xd8003fff,0xfff02fff,0x1fffe205,
    0x005ffc80,0x07fff000,0x806fff98,0xd8003fff,0xffd02fff,0xfe800007,
    0x00fc403f,0x3a02fff8,0x02fff803,0x401ffee0,0xff005ffc,0x003bea5f,
    0x99880000,0x9dffd999,0x20019999,0x006b8fff,0x1ffffb30,0x3017fee0,
    0x7fe40bff,0x05fff001,0xb83ffdc0,0x201004ff,0xdfd03ffe,0xb01df700,
    0xff5001ff,0xfffa87bd,0x02ffdc00,0x7c0037fc,0x20005fff,0xcfff9998,
    0x00999999,0x3e07fff7,0x3ff602ff,0xbff9001f,0x3fe00000,0xffb9883f,
    0x7fff004f,0x7fff7000,0x000fffa0,0x339ffd00,0x3fd53333,0x26fffe00,
    0x03fdb999,0x2002fff8,0xf9007ffb,0x3ffe00bf,0x0000ffaa,0x7fff4000,
    0xffffffff,0x32007fff,0x8803fcff,0x05fff501,0xf3017fe6,0x0ffe40bf,
    0xccdfff80,0xcccccccc,0xff507ffd,0xd049801f,0xfff307ff,0x81ffcc03,
    0xf8800ffd,0x3ffd01ff,0x805ff980,0xff8006ff,0x7d40004f,0xffffffff,
    0xf502ffff,0x3ffe09ff,0x0fffee02,0x002ffe40,0xfffff800,0xffffffff,
    0x0fffe001,0x13ffea00,0x0001fff4,0x3fffffa0,0x1fffffff,0xffffff00,
    0x007fffff,0xdddddfff,0xfddddddd,0x3ff200ff,0xfbfff005,0x000009ff,
    0x99999880,0x9999dffd,0xfffff819,0xffffffff,0x1627ffff,0xf305ffb8,
    0x5ff880bf,0x4007ff20,0xaaaacfff,0xfdaaaaaa,0x7fff307f,0xffd01e80,
    0x701bfa07,0x3ff605ff,0x06ff8801,0xf3007ff6,0x0dff00bf,0x005fff00,
    0x03fff800,0x04fffa80,0x7dc05fff,0xff9004ff,0x3e00000b,0xcbaaacff,
    0x00cffffe,0x8003fff8,0xfd04fffa,0xe800007f,0x99999cff,0xf001fea9,
    0x533337ff,0xfff007fb,0x55555559,0x0fffb555,0x4017ff20,0xffffcfff,
    0x00000004,0x2005ffd8,0xdaaaaaaa,0xaaaaadff,0x4403e22a,0xbff304ff,
    0x260fff00,0xff002fff,0x7fdc005f,0x0ffff207,0xffe81b22,0x3f200603,
    0x03ffd04f,0x5c0dff10,0x7fcc02ff,0x006ff805,0x00bfffa2,0x07fff000,
    0x05fff700,0xfd80bffe,0xff9002ff,0x00a8800b,0x3201fffc,0x7c02ffff,
    0xfb8003ff,0x7ffd03ff,0xffe80000,0x800fc403,0x0f202fff,0x800bffe0,
    0xf9007ffb,0x3ffe00bf,0x04ffff9a,0x0000cc00,0x0000bffb,0x4400ffee,
    0x05ff105f,0x3a017fe6,0x7ef5c3ff,0x5fff004f,0x03ffdc00,0x57bffff1,
    0x7f403ffb,0x7cc0003f,0x3ffa61ff,0x7fc058af,0x00ffee06,0xf880bff3,
    0xfdd3007f,0x800005ff,0xd8003fff,0xfff01fff,0x07fffc05,0x005ffc80,
    0xf813ffe2,0xffb803ff,0x3ffe00ff,0xfffc8003,0x007ffd01,0x03ffe800,
    0xfff001d8,0x7c01d405,0x3ee002ff,0xbff9007f,0x4cbffe00,0x0004ffff,
    0x20009ff7,0x00005ffd,0x22007ff7,0x27dc2dff,0x300bff30,0x1dfbffff,
    0x809dfff9,0x2e002fff,0x7fd407ff,0x03ffffff,0x0001fff4,0x77f7fff4,
    0x01ffffb9,0xff7037fc,0x05ff9807,0x201fffdc,0x05fff5f9,0x3fff8000,
    0x0fffe800,0x3605fff0,0x32003fff,0x3ea005ff,0xfff00fff,0x3fff2007,
    0x00fffe05,0x403fffa0,0x00003ffe,0x5401fff4,0x05fff000,0x7ffc0144,
    0x1ffee002,0x802ffe40,0x3fe62fff,0xfd8004ff,0xffb0007f,0x5555400b,
    0xadffdaaa,0x222aaaaa,0xffceffef,0x02ffcc03,0x25ffffb8,0xf800bffc,
    0x3ee002ff,0xffe8807f,0xfe801eff,0xc980003f,0xff30cfff,0x0dff003d,
    0x2601ffdc,0xffd505ff,0x3207dfff,0x000bffe3,0x007fff00,0x206fff88,
    0x7f442fff,0x7e4005ff,0x3fe2005f,0x7fff03ff,0x1fffea00,0x4003fff8,
    0x3a06fff8,0x400003ff,0x00003ffe,0x00017ffc,0x70017ffc,0x3f200fff,
    0x5fff005f,0x04ffff88,0x0027fdc0,0x2005ffd8,0xeeeeeeed,0xeeeeeeff,
    0x3bb3046e,0x0bff3001,0x2e40aa80,0x00bffe00,0x2007ffb8,0x3a001eb8,
    0x098003ff,0x02f88188,0xfb81bfe0,0x2ffcc03f,0xff020000,0x4050005f,
    0x64003fff,0x3fe01fff,0xffffecdf,0xffc8002e,0x6c544005,0x007fff04,
    0xf81fffe2,0x7e4003ff,0x3ffa02ff,0xd0098003,0x800007ff,0x80002fff,
    0x2e002fff,0xff9007ff,0x0bffe00b,0x013fffe2,0x6c000530,0x700005ff,
    0x220007ff,0xff3000df,0x7f10000b,0x02fff800,0x001ffee0,0x7f4003dd,
    0x0068003f,0x3fe003dc,0x00ffee06,0xf300bff3,0xfff8007b,0xf0344002,
    0x7cc007ff,0x7ffc04ff,0x00bccccd,0x017ff200,0xfff01f80,0x3ffe2007,
    0x00fffe05,0x405fff98,0x68003ffe,0x000fffa0,0x17ffc036,0x17ffc000,
    0x00fff700,0x7c017ff2,0xffd102ff,0x0000009f,0x0002ffec,0x0003ffb8,
    0x3001fff7,0x50000bff,0xfff800df,0x1ffee002,0x01fff980,0x8007ffd0,
    0x17ec004b,0x5c0dff00,0x7fcc03ff,0x3fff9805,0x00bffe00,0x7ffc0790,
    0x3fff6003,0x017ffc00,0x2ffe4000,0x3e06a800,0xff5003ff,0x1fffc07f,
    0x01fffb00,0x4003ffe8,0x0fffa04b,0x7fc0b700,0xff80002f,0x3fee002f,
    0x0bffb007,0x880bffe0,0x0004fffe,0x0bffb000,0x0ffee000,0x02ffa800,
    0x0005ff98,0x2001ff98,0x2e003fff,0x7c4007ff,0x9ffd004f,0x0017c400,
    0x7c4017f6,0x0ffee06f,0x400bff30,0x3fe006fd,0x07e6003f,0x8803fff8,
    0xf802fffd,0x800003ff,0x88005ffc,0x0fffe03e,0x03fffa20,0x8803fff8,
    0xe802fffd,0x3e2004ff,0x013ffa02,0x3fe02f88,0xff80003f,0x3fee003f,
    0x0bffb007,0x100fffe0,0x000bffff,0x0dffd000,0x13fee000,0x00ff8800,
    0x0006ffa8,0x535bffd0,0x09fff103,0x007ffe40,0x7c007fe0,0xff5006ff,
    0x9fff3000,0xfff30533,0x2027fdc0,0x32006ffa,0xfff1004f,0x81fee00b,
    0x5403fff8,0x8800dfff,0x00004fff,0x4006ffd8,0x3fe202fa,0x7ff4c03f,
    0x3ffe201e,0x6fffd403,0x0dfff000,0xff01fea0,0x1fa6009f,0x003fff88,
    0x027ffc40,0x001fff90,0xf100dffd,0xff3009ff,0x00001bff,0x07fffea0,
    0xdffd1000,0x9fb10001,0x03fff200,0x3ff66000,0xffc80cff,0xff8800ef,
    0xf91003ff,0xfff9100d,0x999999bf,0x000bffd9,0x0bbfffae,0x7407ffee,
    0x7fe405ff,0x0ffa800f,0xdffff900,0xd9999999,0x3f2209ff,0xbaabceff,
    0x002fffed,0x01dfff91,0x7ffd4000,0x0195002f,0x677ffe44,0xffdba9ab,
    0x3f2200df,0xb9abceff,0x002fffed,0x9bffff91,0xfd999999,0x7ffd40bf,
    0xaaaaaabf,0x9105ffcb,0x0001dfff,0x03bfff22,0x0ffffa60,0x03ffff50,
    0x077ffe44,0x3ffffe60,0x900001bf,0xdffffffd,0xffea8009,0x002effff,
    0xd70039db,0x01bdffff,0x81351000,0xfffffec9,0xffdb83df,0x01ceffff,
    0xc8805bd9,0xffffffff,0xffffffff,0x54c0002f,0xffffea81,0xfffdb1ef,
    0xffeb89df,0xea80deff,0x7ecc00ad,0xffffffff,0xffffffff,0x7fffecc2,
    0xceffffff,0xd98009ab,0xefffffff,0x3ff20003,0x0cffffff,0xfffb3000,
    0xffffffff,0x4c059bdf,0xfffffffd,0x1abcefff,0xffff9100,0xffffffff,
    0x885fffff,0xffffffec,0xffffffff,0x7fecc2ff,0x03dfffff,0xfffffb30,
    0xfd707bff,0x39dfffff,0x7fffffe4,0xffb30cef,0x07bfffff,0xfffffffb,
    0x00003dff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf8000000,0xffffffff,
    0xffffffff,0x3ffffaa3,0xfc80004f,0xf71effff,0xdfffffff,0x7fffe407,
    0xffd53eff,0xddffffff,0x3fa6017b,0xefffffff,0x2000acee,0xfffffff9,
    0xfe984fff,0x00efffff,0x7ffe4006,0x4fffffff,0x99999990,0x99999999,
    0xfff90999,0x9fffffff,0xffffff90,0xf909ffff,0xffffffff,0x6c03009f,
    0xffffffff,0x0a6003ff,0x00350000,0x00040000,0x00000000,0x00abb980,
    0x026f2ea0,0x00260098,0x05101440,0x300de544,0x22001597,0x3000acba,
    0x80015795,0xccccdfff,0xfffdcccc,0x3ffff605,0x3fe20000,0xfc880cff,
    0x2001ffff,0x9102fffd,0xfb9bdfff,0x64407fff,0xcbbcefff,0x4001effe,
    0x5fffffc9,0x0cfff880,0xfc803440,0xffffffff,0x0000904f,0xfffff907,
    0x909fffff,0xffffffff,0xfff909ff,0x9fffffff,0x3f605a80,0xffffffff,
    0x01b2003f,0x0009d000,0x106b2e20,0xabb9801f,0x2663fd80,0x99980999,
    0x640bf719,0x0dffdcef,0x3f37faa0,0x01d505ff,0x1f4001aa,0x7dd105d0,
    0x7cc5ffd7,0x203ffecf,0xffecdfd8,0x3b7f6203,0xf1002fff,0x7fff400b,
    0x3fffe600,0x3fee0003,0x7fdc00ff,0x7fdc006f,0x17ffc400,0x806fffd4,
    0xf902fff8,0xf30009ff,0x3a007fff,0x00d9002f,0x26666662,0x09009999,
    0x33107000,0x33333333,0x33333101,0x10133333,0x33333333,0x05e80133,
    0x26666662,0x20009999,0x7400006c,0x6f640004,0xe88dffec,0x373bf203,
    0xfff10dff,0x22fffe64,0xe9ffffd8,0x41fd81ff,0xf981efe9,0x827fdc1f,
    0x0017a05e,0x5436c0d9,0x9affc86f,0x427fec3f,0x7fec0ee9,0x260cf984,
    0x78803fff,0x0bfff200,0x0dffff10,0x3ffffc00,0x01fffd80,0x7c007fa0,
    0xfff702ff,0x017ffc0b,0x0003fff9,0x700ffff5,0x1be6007f,0x04800000,
    0x00003800,0x00000000,0x00017ea0,0x001b2000,0x40009d00,0x7ffc42fc,
    0x307f604e,0x1ff23dfd,0xff817ff2,0x641ffa9f,0x1fff303f,0xfff06fe8,
    0x7d413ea0,0x205f7003,0x07fc42fc,0x887fffe8,0x07f40fff,0xf107ffcc,
    0x03ffe60d,0x3e600b30,0xfbf005ff,0xf50005ff,0x2200fffb,0xf3006fff,
    0x17ffc009,0x201fffb0,0x3e202fff,0xf90004ff,0x27cc07ff,0x006ff880,
    0x00120000,0x000000e0,0x40000000,0x00005fe9,0x0006c800,0xb8002740,
    0x3fff303f,0x7cc0ff20,0x981fb9ff,0x3ff605ff,0x3fdc3faa,0xff13ff60,
    0x403ffa0d,0x05fd03fe,0xdf506f98,0x7d40ff90,0x9ffd04ff,0xfff027e4,
    0xfd01fe43,0x802a809f,0x000effe8,0x00dffb7f,0x0fff5dd0,0x01fffdc0,
    0x3fe0036c,0x3ffee02f,0x805fff02,0x20007ffe,0xe881fffd,0xdffd3006,
    0x4ccc1333,0x99998099,0x70000901,0x01577300,0x04de5d40,0x2af2a600,
    0x3bffea00,0x5c400999,0x01b20002,0x0009d000,0x7f401ff5,0x407fb85f,
    0x300afffd,0x7fe40bff,0x06fe81ac,0xf90fffcc,0x403ff607,0xffa81ffa,
    0x305ff101,0x6ff985ff,0x26fffe20,0x5ffd9999,0x64c05ff1,0xd803fe23,
    0x900005ff,0x7c003fff,0x002fff9b,0x1ffeabea,0x01fffd00,0x3e000fdc,
    0x3fea02ff,0x05fff05f,0x001fffd8,0xb0dfff10,0xfff7001f,0x649fffff,
    0x6c45fffd,0x0481ffff,0x3f203800,0x00dffdce,0x3ff37faa,0xdfd8805f,
    0xfb82fffe,0x3fffffff,0x00bff930,0x00003640,0x3fa0013a,0x3fffb206,
    0x26037f41,0x7fcc07ff,0x407ff205,0xfe804ff8,0xffd5003f,0x407ff401,
    0x7f440efe,0xa86ff886,0x7fec04ff,0xeeeeeeee,0x003ff54e,0xffffff98,
    0x07ffffff,0x4fffa800,0xffe9fc00,0x7d5b6005,0x7fc4007f,0x009f105f,
    0x4c05fff0,0xfff04fff,0x07ffe805,0x1fffdc00,0xf88003f9,0x5ffb806f,
    0x1207ffe0,0x7ec0e000,0x40f7f4c1,0x7fdc1ff9,0x9833e604,0xff103fff,
    0xfffd900b,0x0364000b,0x0013a000,0x3ae0bff1,0x3e23fff8,0x1ffe804f,
    0xc817fe60,0x7ff501ff,0x409ffb00,0x0ffedfc9,0x503bfe60,0x2ffd8bff,
    0x6417ff44,0x7fe403ff,0x03fee001,0x000df500,0x7ffc4000,0xf53f8006,
    0x7f3003ff,0x2001ffea,0xfd82fffb,0x2fff8000,0x40fffea0,0x3e202fff,
    0xd80005ff,0x03fa9fff,0x806ff880,0x3f605ff9,0x8000481f,0xf303fc83,
    0x06fe81ff,0x1be20fff,0x4407ffcc,0x3ee005ff,0x1b20005f,0x009d0000,
    0xfb84ffa8,0x7d49ffb0,0x3ffd803f,0xc817fe60,0x9ff901ff,0x30bff900,
    0x3ff619fb,0x42ffec00,0xdff94ffe,0x360dffb0,0x7fdc04ff,0x07ff6002,
    0x000ff900,0x7ffec000,0x3a3f8001,0x0fd805ff,0x2000fff5,0x3ea0fffe,
    0x5fff0002,0x80fffec0,0x3fa02fff,0x880001ff,0x005fefff,0x300dff10,
    0x7fe40bff,0x38000481,0x3f603fdc,0xe837fc4f,0x03fc80ff,0x3e213ffa,
    0x3fe6005f,0xddddd305,0xdddfdddd,0x2e7ddddd,0xeeeeeeee,0xeeeeeeff,
    0x17ff22ee,0x37fe43f5,0xf9009ff9,0x2ffcc0bf,0x3603ff90,0xffb805ff,
    0x360f7d44,0x7ff400ff,0xf52ffe84,0x0fff70ff,0xf7017ff6,0x7fec007f,
    0x07fe4002,0x7dc00000,0x7f0003ff,0x1007ffd4,0x03ffd49f,0x15fff980,
    0x7fc000bd,0x7fff502f,0x4c17ffc0,0x0002fffd,0x03bffea0,0x037fc400,
    0xf902ffcc,0x0000903f,0x4c06fe87,0x0ff21fff,0x3e207fec,0x17ff600f,
    0x98017fe2,0xddd305ff,0xdfdddddd,0x7ddddddd,0x3bbbbbae,0xeeeeffee,
    0x3f22eeee,0xf70be66f,0x02ffec9f,0xf3027fdc,0x0ffe40bf,0xb805ffc8,
    0x03bee2ff,0xfa803ff6,0x44ffb85f,0xffc83ffb,0x405ffc83,0x70804ffa,
    0x5c2009ff,0x001003ff,0x017ffe60,0x7ffc3f80,0xfa83f204,0x3ee0007f,
    0x000fcaff,0x910fffe0,0xff80bfff,0xffdca9bf,0x800000cf,0x0001fffd,
    0xf300dff1,0x0ffe40bf,0x11c00024,0xffd009ff,0x3ffaa007,0x7ffffcc0,
    0x7fffffff,0x27bfea62,0x3fe60099,0x01b20005,0x8009d000,0x05f37ffb,
    0x7fe45ff7,0x02ffb805,0xfc817fe6,0x1fff501f,0xf30ffc80,0x03ff607f,
    0xbff06fe8,0x3603ff60,0x3ffdc0ff,0x803ffee0,0x01fff558,0x1fff3498,
    0xd0006880,0x40001fff,0x07ffdc3f,0x3fea27c4,0x7ff40007,0x7c0003ff,
    0xffeffeff,0xfff801df,0x05fffeee,0x7fdc0000,0xff10006f,0x0bff300d,
    0x0240ffe4,0x7ff51c00,0x409ffb00,0x0ffedfc9,0xd80037d4,0xffffffff,
    0x017fe603,0x00006c80,0x3e600274,0xf703e9ff,0x07ffd43f,0x9803ff20,
    0x3ff205ff,0x07fff101,0x3fee6fd8,0x203ffb02,0xefb80ffb,0x220ffa00,
    0x7ffcc3fe,0x17fff202,0x7fff33d8,0xfff11e80,0x8004d809,0x0002fffc,
    0x3ffe21fc,0x7d41fb83,0x7cc0007f,0xf80006ff,0x013312ff,0x322fff80,
    0x00001fff,0x9fffdf30,0x0dff1000,0x640bff30,0x000481ff,0x013ff238,
    0x36617ff2,0x81ffb0cf,0x310007fc,0x1333dff5,0x002ffcc0,0x80000d90,
    0xffe8004e,0x11ff204f,0xfd807fff,0x037fc406,0x7dc03ff9,0x917fc06f,
    0x3ffa09ff,0x3e03ff01,0x07fc400f,0x3f607fcc,0x3fffa05f,0x320fa83f,
    0x6c883fff,0xa82fffe4,0x7fcc001f,0x3f80005f,0x5f87ffc8,0x0007ffa8,
    0x0004ffd8,0x0002fff8,0x7f42fff8,0x8800006f,0x03fffb5e,0x806ff880,
    0x3f205ff9,0x8000481f,0x2017ff63,0x77d44ffb,0x3207fec1,0x220000ff,
    0x3e6005ff,0x1b20005f,0x009d0000,0xe80fff50,0x06ffb82f,0x7fc017fc,
    0x2fff980f,0x413ffa20,0x7ffcc3fb,0x2bfffa61,0x5c0bee58,0x09f3001f,
    0xfff113ea,0xffdff303,0x89ff99ff,0xabdffff8,0x7fc41ffd,0xffcbceff,
    0x7ff44003,0x3f80000f,0x2a3fff88,0x07ffa81f,0x04ffd800,0x02fff800,
    0x42fff800,0x0004fff8,0xff8876c0,0x7fc4006f,0x05ff9806,0x01207ff2,
    0x5ffc8e00,0x2e2ffb80,0x0ffd80ef,0x0801ffdc,0x2005ff88,0x20005ff9,
    0x7400006c,0x9fff0004,0x74413ea0,0x07f504ff,0xb833ffa0,0x4404ffde,
    0x3ea0bffe,0xfdfffd04,0x3ffff73d,0x03f881fc,0xfb807d40,0x30fffd40,
    0xffff13fd,0xf501dfff,0x7fffffff,0x3ffffe60,0xc8005fff,0x00001fff,
    0x9bff207f,0x0fff506e,0x09ffb000,0x05fff000,0x05fff000,0x0005fff5,
    0xff707f20,0x7fc4009f,0x05ff8806,0x0120bff2,0xfffa8e00,0x987fe400,
    0x1ffb03ff,0x400fff98,0x05ff8868,0x0017fe60,0x400006c8,0xeec8004e,
    0x17ea0bff,0x417ffd10,0x3ea004fa,0xc8efdfff,0x6404efff,0x03dfefff,
    0x433fff26,0x16e1eff9,0x990004b8,0x7ec42640,0x260dfeef,0x00dffffe,
    0x3bffffa2,0x7ffec401,0xfa8003ff,0x00c004ff,0x3ffe607f,0xff502faa,
    0xffb0000f,0xfff00009,0xfff00005,0x03fff605,0x207f5000,0x1001fffd,
    0x3fe00dff,0x20bff205,0x22380004,0x7ec03fff,0x6c0bfee6,0x7ffc41ff,
    0x7c426c04,0x3fe6005f,0x01b20005,0x8009d000,0xdfff70eb,0x7e4007bf,
    0x003dfeff,0x25ffffc8,0x2000bffc,0x0c4002a9,0x00801010,0x80200400,
    0x54401a98,0x2aa2001a,0x4d544001,0xfff88000,0x3e058006,0x37bff603,
    0x01ffea06,0x013ff600,0x00bffe00,0x40bffe00,0x0005ffe8,0xff8817e6,
    0x1ffe006f,0x4c1ffe01,0x00482fff,0x37fdc380,0xffc8bfe0,0x903ffd04,
    0x3ea0bfff,0x046ff881,0x000bff30,0xff900364,0xffffffff,0xffffffff,
    0x53103a27,0x54c00015,0xaa880002,0x000014c0,0x00000000,0x00000000,
    0x00000000,0x7ec00000,0x2cc001ff,0x7fcc07f0,0x3fea03ff,0xffd80007,
    0xfff80004,0xfff80002,0x0fffe602,0x201ba200,0xd004fffb,0x741265ff,
    0x7ef5c3ff,0x8000484f,0x827ff443,0x7ffcc3fb,0x2bfffa61,0x3fffe258,
    0x03ffcbce,0x01cc7ffe,0x4000dff5,0x332a003a,0xcccccccc,0xcccccccc,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0007fff7,0x2027c09d,0x2e00fffe,0xe80007ff,0xf80004ff,0xf80003ff,
    0x7fdc03ff,0x3fa2002f,0x5fffd000,0xddfff900,0x6ffffcc0,0xefffc8ef,
    0x0e000125,0xa82fffa2,0xdfffd04f,0xffff73df,0xfffff983,0x7ec05fff,
    0x7e406eff,0x000000ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xff100000,0xfc8800df,0xa809f102,0x7fdc04ff,
    0x7f40000f,0x7c40005f,0x440003ff,0xfd804fff,0xfe8801ff,0x3ffea004,
    0xdffd801f,0x7fffdc01,0x817ff90d,0x20380004,0x3dfefffc,0x33fff260,
    0x203dff30,0x3fffffd8,0x0dffc880,0xdffffd70,0x4cccc41b,0x99999999,
    0x30999999,0x99999999,0x99999999,0x00000399,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x59fffd00,0x55555555,0x103fff97,
    0xfe803ff9,0x3fffa600,0x3fee0003,0x910001ff,0x0003dfff,0x07bfff22,
    0x39ffff10,0x017ffea0,0xafffffb8,0x20004400,0xd014c0aa,0x99999999,
    0x99999999,0x0055300d,0x40020188,0x40009aa8,0x26000008,0xffffffff,
    0xffffffff,0xdddd32ff,0xdddddddd,0x03dddddd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfb800000,0xffffffff,0xffffffff,
    0x7ffecc7f,0x09704eff,0x3fffffae,0xc8801dff,0xefffffff,0xfffb3004,
    0x007dffff,0x3fffff66,0x3ea03eff,0xf71fffff,0x09ffffff,0x7fffff54,
    0x00003fff,0x00000000,0x00000000,0x00000000,0x99998000,0x99999999,
    0x00999999,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2f2a6000,
    0x0acb980a,0x19999988,0x26666662,0x04cccc41,0x310c0003,0x10133333,
    0x26613333,0x99980999,0xbca88019,0x0000288a,0x00033288,0x99999880,
    0x26666219,0x33333300,0x13333333,0x01750ea0,0x072a2254,0x2001bb88,
    0x00dd443a,0x99882b88,0x31099999,0x00133333,0x00000000,0x98002ec4,
    0x0000cc01,0x00660005,0xa9800d44,0x1aa88009,0x02a20660,0xa88100a6,
    0xaaaaaaaa,0xaaaaaaaa,0x9999931a,0x99999999,0x2a599999,0xfd3003bb,
    0x2a7ffd79,0x44fffdff,0x24fffffb,0x4effffeb,0x99fffecc,0x5ee5cc3f,
    0xfea8fdc2,0xca83efff,0xffb93eff,0xfffd88bf,0x2f7ee01f,0x0004fffd,
    0x7d53f660,0xb500002e,0x549fffff,0xf884fffe,0xffffffff,0x3222ffff,
    0xdfff36ff,0x2e7ffb88,0x221fffff,0x206ffffe,0x3f26ffc8,0x32606fff,
    0xffea84ff,0xff52dfff,0x4d839dff,0xd003aa00,0x7dc0001d,0x3f6a002f,
    0x9dffd704,0x002f9800,0x40ffffee,0x02fd99db,0x07ff7bd3,0x3bffff62,
    0x3a1ffd41,0x0f7fe47f,0x3ffea344,0xffffffff,0x4fffffff,0xddddddd3,
    0xdddddddd,0x3fe27ddd,0x0ffd401f,0x88ff7ff6,0x7fc44ffc,0x0dffb04f,
    0x5fdc1fd8,0xffddffd9,0xfd83fb9e,0x07ec00ff,0xff02ffdc,0x10bea03f,
    0x500009f9,0xfd985dfd,0x980000cf,0x5fa86fff,0x40677e20,0x3fae5ffe,
    0xffee8eff,0xffffd70f,0x3fff33b6,0xff99df36,0xfffd709f,0x3ff77f6d,
    0xfffec83f,0x07ffea04,0xfa807bee,0x404fa804,0x20002ff9,0x53000ef9,
    0x37d509fd,0x74007ff9,0x13b5006f,0x3f981ff7,0x9f303fe2,0x7f427f44,
    0x21ffc89d,0x3fe26ffc,0x13fffe1f,0x00000bb6,0x00000136,0xfe809ff3,
    0x05fffa86,0xffb83ffd,0x80dff105,0x3dff704e,0x207ffb50,0x7c00fff8,
    0x40bff303,0x0ff01ffd,0xc8800274,0x64401cff,0x40001cff,0x7741fffa,
    0xf901e200,0xdff501df,0x2613ae3b,0x7443dfff,0x7c42ecff,0xdff500ff,
    0x0fffa87b,0x4409ff70,0x2fcc0fff,0x2a04fa80,0x2ff9804f,0x90000000,
    0xfb81d09f,0x7f5f7007,0x85fd0700,0x217fc1fa,0x0ffd41fe,0xc9ba03f9,
    0x3ffe25ff,0x31ffff61,0x00005fff,0x000004d8,0x7fc06fa8,0x02fff885,
    0xfff09ff9,0x980ffec0,0x009f300f,0x7fe403fb,0xf981ea03,0x07ff205f,
    0x25c03fe2,0x2fff6600,0x7fdc4000,0x3f20002e,0x1003ee6f,0x0fffd40b,
    0x003fff88,0x7e407ffe,0x3ffb00ef,0x407ffe20,0xff301ffe,0x4c7ff809,
    0x27d4004f,0x774427d4,0x76cc3fe1,0xb8000000,0x7f88084f,0x1f93f880,
    0x101dd000,0xf317fe44,0x6f8ffe0f,0x7fdc7ee0,0x2a07ffc4,0x7fc40faa,
    0x26c00004,0xfb800000,0x7c0bee00,0x999999ff,0xffc85ffc,0x209ff502,
    0x801ba05c,0x1bfe206d,0x3fe604d8,0x207ff205,0x3880dff8,0x05dfd500,
    0x3bfaa000,0xffe8000b,0x18802f9b,0x407fff10,0x7c006ff8,0x17fea07f,
    0xf102ffc8,0x0ffec0df,0x7c04ff98,0x000fea6f,0x09f527d4,0xb6cbffe6,
    0x0002fff9,0x004fb800,0x8db00bf3,0x0754004e,0x5ff19b30,0x7f407fd4,
    0x7c405f15,0xfe87ff33,0x7f416e07,0x26c00002,0x79000000,0x3ffea000,
    0xffffffff,0x05ff986f,0x5f01fff9,0x98007ea0,0x0bff602f,0xff9803e2,
    0x407ff205,0x4002fffd,0x001dffb8,0x9ffb3000,0x7ffcc001,0xfe80004e,
    0x06ff805f,0xf303ffc0,0x1ffdc0bf,0x2e06ff88,0x9ff302ff,0x7f76ff80,
    0xacfa8000,0x7ffe404f,0x5fffacbb,0x3bbbbbae,0xeeeeeeee,0x7dc2eeee,
    0x803f9004,0x00fd42f9,0xb81ffed4,0xfa8bfe1f,0xf14fd81f,0xf89fc405,
    0xd037e41f,0x006fb885,0xdd34d800,0xdddddddd,0xdddddddd,0x2e001407,
    0x0007ffee,0x3e207ff4,0x03d43ffd,0x09f000f7,0x2e42ffd4,0xc817fe60,
    0xfff501ff,0xfc9805df,0x000000cf,0x03bff910,0x001fff20,0x003bff20,
    0xff001bfe,0x02ffc40f,0x7fc07ff5,0x40ffee06,0x7fc04ff9,0x0000ffbe,
    0x1004ffa8,0x7bfddf95,0xeeeeeb81,0xeeeeeeee,0x5c2eeeee,0x03f8804f,
    0x00db05e8,0xb89ffb51,0xf317fc4f,0x7c5fd07f,0xfe87f206,0x6b827dc0,
    0x00016f64,0x99932a80,0x99999999,0x59999999,0xefc88000,0x8000fff2,
    0x46e43ffb,0xb026c6ff,0x80bb000b,0x017c0ffe,0xfc817fe6,0x3ffea01f,
    0x7ec40dff,0x000000be,0x0bbfae00,0x000fffa0,0x001fffa8,0xff800dff,
    0x817fe207,0x3fe03ffa,0x40ffee06,0x7fc04ff9,0x0006ffde,0x4004ffa8,
    0x001cffb9,0x4fb80000,0x5c027440,0x007f300f,0x0ffe3fdc,0x46fe87ff,
    0x40fe46f8,0x4c36c6f8,0x006ec43f,0x00000000,0xa8000000,0x03ffc2ef,
    0x89bfe200,0x223ffb1f,0x0017601f,0x9ff70172,0x7fcc0354,0x007ff205,
    0x3fffff91,0x005ffec4,0xb3000000,0xff8805ff,0xf88001ff,0x3fe002ff,
    0x03ffc006,0x7d40bff1,0x81bfe03f,0xff303ffb,0xe8eff809,0x2a0004ff,
    0x4404facf,0xfdcbefec,0x000001ce,0x3d809f70,0x6403f880,0x83fe000f,
    0xffdbbffe,0x433fe24d,0xadfe81fc,0x2dc1ffc9,0x00b60fc4,0xdb505777,
    0x51d4005b,0xbb985305,0x01bbbbbb,0x7c077e40,0x6c0000ff,0x7d4d71ff,
    0x6b80d74f,0x4404e800,0x200f67ff,0x3f205ff9,0xffb3001f,0xffc981ff,
    0x0000001c,0x400bbfaa,0x006ffbce,0x4005ffe8,0x7fc006ff,0x817fe207,
    0x3fe03ffa,0x40ffee06,0x7fc04ff9,0x007fff16,0x27d49f50,0xb95fff88,
    0x0003fff6,0x413ee000,0x6d8282e8,0x2004f880,0x977f4c6e,0x7ec40efc,
    0x3f200cef,0x3980efff,0xf98001b0,0x3bfa20ff,0x400cfffe,0x547ff92d,
    0x3ffee4ff,0x003fffff,0x7f40ffe2,0x2a04802f,0xff85f4ff,0x0fa807d7,
    0x200be200,0x00f9affc,0x3205ff98,0x501881ff,0x2e205fff,0x00002dff,
    0x03bff710,0x9ffb3640,0x037fe400,0x20037fc0,0x3fe207ff,0x80ffea05,
    0x3fee06ff,0x809ff303,0x3ffea6ff,0x213ea001,0x5ff984fa,0x02ffd9fa,
    0x8001bd10,0xade984fb,0x7cc5dbaa,0x983f5002,0x1000fd40,0xa9880000,
    0x20000000,0x0ee41ffc,0x17dffb51,0xbffd0fa8,0xff737fe4,0x07ffffff,
    0xc817fd40,0x025405ff,0x321afffe,0xe800fcff,0x401b6005,0x005ceff9,
    0x7e40bff1,0x2e05881f,0xfea805ff,0x980000be,0x4000cffc,0x3ffe20fa,
    0x1fffa801,0x1bfe02e0,0x440fff00,0x3fea05ff,0xb81bfe03,0x9ff303ff,
    0x7e46ff80,0x4fa800ff,0x8a613ea0,0x00a61ff8,0x1002ffb8,0x2a15dfd5,
    0xffffffff,0x36002f42,0x373bfe26,0x0000002e,0x00000000,0x03f05fd0,
    0x6f7ffe44,0x87fea2ff,0x26623ff9,0x00999999,0x5413ff20,0x1f303fff,
    0x83fffc80,0x3004fff9,0x03f7009f,0x00ffff40,0x3e60fff0,0x00f882ff,
    0x4c009ff1,0x8000cffd,0x0003efda,0xdff705f3,0x17ffc401,0x1bfe0360,
    0x4c0fff00,0x3fea05ff,0x40dff103,0xff303ffb,0xd87ff80b,0x27d406ff,
    0x2a027d40,0x260002ff,0x331000ee,0x26621333,0x98199999,0x220c4000,
    0x00001aba,0x00000000,0x20fe2000,0x3b6a0058,0x020080be,0xff300000,
    0xffefa81f,0x4feb9acf,0x207ff880,0xf7001ffe,0xffb101bf,0x37fd4007,
    0x70fffa00,0xf109ffbd,0x00bfe20b,0x077ff220,0x05bfd710,0xd0274400,
    0x7ff40bff,0x2207c404,0x3e2007ff,0x1bfe607f,0xf304ffb8,0x27fdc0ff,
    0x2606ffa8,0x7fc40fff,0x8013605f,0x3fe600fa,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00009700,0x00000000,0xcfffe800,0xffe89edb,
    0x005fffff,0x6fa80ff6,0xfd37f700,0x73dfdbbd,0x1ffc007f,0x3fffe600,
    0xfffc8efd,0x0b7fe24e,0x880009f7,0x6442efeb,0x40000cff,0x3f203fe8,
    0xfffc84ff,0xa9999999,0x3fffb87e,0x03fff500,0x6c03fff2,0xfff706ff,
    0x417ffa03,0xf700fffc,0xfff903ff,0x00000019,0x0000014c,0x00000000,
    0x00000000,0x00000000,0x00050000,0x00000000,0xffb30000,0x7ec419ff,
    0x4004ffff,0x01fc00fa,0x32ea1fcc,0x00fdc2cd,0xb8000fc8,0x3f25ffff,
    0x7f7c40bf,0x003ffcef,0x9a7ed400,0x80000bef,0xd84ffff9,0x33ffffff,
    0xffffffff,0x54ffffff,0x3efffffe,0xfffffd30,0x3fffb25d,0xfffb1dff,
    0x3faa9dff,0xdb1effff,0x2e9dffff,0x0deffffe,0xdfffffd7,0x3ffffee5,
    0x000000df,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00554c00,0x40002aa6,0x30009802,0x1000c000,0x0aa80005,
    0xa982014c,0x0000009a,0x00014ca6,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__times_40_latin_ext_x[560]={ 0,4,2,0,1,1,1,1,1,0,2,0,1,1,
2,0,1,4,0,1,0,1,1,1,2,1,3,2,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,-1,1,0,1,0,2,1,0,0,0,0,0,0,2,0,1,0,-1,2,1,-1,1,1,1,1,1,0,1,
-3,0,1,0,0,1,-1,1,0,1,0,0,0,0,0,0,0,4,2,3,0,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,4,2,1,0,0,
2,2,1,1,-1,1,0,1,1,-1,1,0,0,0,4,2,-1,2,3,2,0,1,2,2,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,-1,1,1,1,1,1,2,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,0,1,1,1,1,1,0,0,0,0,0,0,0,-1,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,0,1,0,0,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,0,0,0,0,-1,0,-1,0,-1,0,1,0,1,0,1,0,-3,0,0,0,0,1,0,
1,0,1,0,1,0,0,-1,0,-1,0,-1,0,0,0,0,1,1,1,1,1,1,1,1,0,0,0,0,0,0,
2,1,2,1,2,1,2,1,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,5,5,0,5,5,5,
5,5,5,5,5,5,5,5,5,5,2,1,5,5,5,5,5,5,5,5,5,5,5,5,5,0,0,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,1,0,0,1,
1,0,0,0,0,0,0,0,0,0,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,0,1,-1,1,1,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static signed short stb__times_40_latin_ext_y[560]={ 32,7,7,7,6,7,7,7,6,6,6,10,28,22,
28,6,7,7,7,7,7,8,7,8,7,7,15,15,11,16,11,7,6,7,8,7,8,8,8,7,8,8,8,8,
8,8,8,7,8,7,8,7,8,8,8,8,8,8,8,7,6,7,7,38,7,15,6,15,6,15,6,15,6,6,
6,6,6,15,15,15,15,15,15,15,10,15,15,15,15,15,15,6,6,6,20,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,32,14,8,7,11,8,
6,7,8,7,7,15,16,22,7,4,7,10,7,7,7,15,8,18,31,7,7,15,7,7,7,14,0,0,0,1,
1,1,8,7,0,0,0,1,0,0,0,1,8,1,0,0,0,1,1,12,7,0,0,0,1,0,8,6,7,7,
7,8,8,6,15,15,7,7,7,8,7,7,7,8,6,8,7,7,7,8,8,13,14,7,7,7,8,7,6,8,
3,10,0,8,7,15,0,7,-1,7,1,8,0,7,0,6,8,6,3,10,0,8,1,8,8,15,0,7,-1,7,
1,8,1,8,7,5,-1,-1,8,6,1,8,3,10,0,8,8,6,1,15,8,6,-1,7,8,6,15,0,0,8,
6,7,6,8,6,8,6,0,7,8,15,0,7,7,7,15,3,10,0,8,0,7,7,15,0,7,8,15,0,7,
0,7,-1,7,7,15,0,7,8,10,0,6,8,10,1,8,3,10,0,8,0,6,0,7,8,15,-1,7,-1,7,
1,0,7,1,8,0,7,6,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,7,9,9,7,9,9,9,
9,9,9,9,9,9,9,9,9,9,4,14,9,9,9,9,9,9,9,9,9,9,9,9,9,4,14,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,0,7,0,7,0,
7,0,7,-1,5,-1,2,-1,2,-1,2,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,-5,-1,-1,7,-1,7,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9, };
static unsigned short stb__times_40_latin_ext_w[560]={ 0,5,11,18,16,28,27,4,11,11,14,20,7,10,
5,11,16,10,17,15,17,15,16,16,14,16,5,6,20,20,20,14,32,26,23,22,25,22,19,25,26,12,14,27,
22,32,27,24,19,24,25,17,21,26,26,34,26,26,22,9,11,9,17,20,6,15,18,14,18,15,15,17,18,9,
11,19,9,28,18,16,18,18,13,12,11,19,18,26,18,18,16,11,3,10,20,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,5,14,17,18,19,
3,14,11,26,11,16,20,10,26,20,12,20,11,10,6,18,18,5,6,7,11,16,25,25,27,14,26,26,26,26,
26,26,33,22,22,22,22,22,12,12,12,12,25,27,24,24,24,24,24,16,24,26,26,26,26,26,19,17,15,15,
15,15,15,15,22,14,15,15,15,15,9,9,11,11,16,18,16,16,16,16,16,20,18,19,19,19,19,18,18,18,
26,15,26,15,27,18,22,14,22,14,22,14,22,14,25,23,25,18,22,15,22,15,22,15,22,16,22,15,25,17,
25,17,25,17,25,17,26,18,26,18,12,12,12,12,12,12,13,11,12,9,26,17,14,13,27,19,19,22,9,22,
9,22,14,22,12,22,10,27,18,27,18,27,18,22,24,16,24,16,24,16,24,16,31,24,25,13,25,13,25,13,
17,12,17,12,17,12,17,12,21,11,21,16,21,11,26,19,26,19,26,19,26,19,26,19,26,20,34,26,26,18,
26,22,16,22,16,22,16,15,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,25,19,19,18,19,19,19,
19,19,19,19,19,19,19,19,19,19,24,19,19,19,19,19,19,19,19,19,19,19,19,19,19,30,20,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,26,15,12,11,24,
16,26,19,26,19,26,19,26,19,26,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,26,15,33,22,24,18,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19, };
static unsigned short stb__times_40_latin_ext_h[560]={ 0,26,11,26,29,26,26,11,34,34,16,20,11,4,
5,27,26,25,25,26,25,25,26,25,26,26,18,24,18,8,18,26,34,25,24,26,24,24,24,26,24,24,25,24,
24,24,25,26,24,33,24,26,24,25,25,25,24,24,24,33,27,33,14,2,7,18,27,18,27,18,26,25,26,26,
34,26,26,17,17,18,25,25,17,18,23,18,18,18,17,25,17,34,34,34,5,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,26,31,26,18,24,
34,33,5,26,12,18,8,4,26,3,12,20,14,14,7,25,32,4,8,14,12,18,26,26,26,26,32,32,32,31,
31,31,24,32,32,32,32,31,32,32,32,31,24,32,33,33,33,32,32,16,26,33,33,33,32,32,24,27,26,26,
26,25,25,27,18,24,26,26,26,25,25,25,25,24,27,24,26,26,26,25,25,15,20,26,26,26,25,33,34,32,
29,23,32,25,32,24,33,26,34,26,32,25,33,26,32,27,24,27,29,23,32,25,31,25,31,24,32,26,34,33,
32,32,32,32,32,35,33,33,24,26,31,24,29,22,32,24,31,33,31,17,25,34,34,33,31,33,17,32,32,31,
33,25,26,24,26,24,26,33,25,31,24,33,25,25,26,25,30,23,33,25,33,26,26,18,32,25,31,24,32,25,
33,26,34,26,32,24,33,26,33,31,32,27,24,23,32,25,30,23,33,25,33,27,33,26,31,24,34,26,33,33,
31,32,25,31,24,32,25,26,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,26,23,23,33,23,23,23,
23,23,23,23,23,23,23,23,23,23,29,19,23,23,23,23,23,23,23,23,23,23,23,23,23,29,19,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,32,26,32,25,33,
26,33,26,34,28,34,31,34,31,34,31,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,37,34,33,26,34,27,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23, };
static unsigned short stb__times_40_latin_ext_s[560]={ 511,506,431,490,225,69,237,507,385,282,309,
283,443,491,505,299,193,362,174,397,67,444,220,157,115,98,502,311,122,479,143,
54,397,1,318,449,342,391,414,458,434,461,99,474,368,24,114,413,84,66,104,
472,289,211,238,288,130,57,1,501,287,152,365,304,500,402,347,477,328,492,204,
323,35,501,46,290,151,214,243,385,237,192,200,109,157,89,70,24,164,341,183,
58,240,271,458,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,511,505,41,
27,51,23,209,486,479,45,394,435,458,491,310,283,418,304,353,383,451,48,177,
506,451,345,406,418,130,237,343,328,150,478,372,467,1,417,387,127,354,331,219,
444,114,101,318,28,457,250,487,28,76,430,225,292,265,1,280,253,399,377,269,
464,312,296,280,390,406,405,1,117,188,172,156,108,164,422,432,500,311,174,18,
1,484,292,124,324,325,377,357,337,28,154,430,27,131,226,46,204,73,155,53,
91,294,76,196,142,307,1,242,440,243,421,158,242,268,174,394,276,56,421,309,
60,156,173,426,452,470,1,19,28,1,47,90,41,494,193,181,270,305,56,333,
449,300,262,360,111,317,191,167,205,272,90,496,234,477,265,119,132,106,220,499,
126,480,113,438,330,309,141,16,345,79,209,403,373,101,134,161,452,1,85,141,
206,404,190,189,387,332,400,291,43,358,436,455,195,68,482,1,258,278,460,104,
169,162,256,428,366,376,88,207,69,350,210,226,207,367,45,220,257,483,455,328,
371,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,1,189,189,28,
189,189,189,189,189,189,189,189,189,189,189,189,189,242,344,189,189,189,189,189,
189,189,189,189,189,189,189,189,194,364,189,189,189,189,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,332,72,
359,499,461,263,125,438,244,267,213,280,182,313,129,347,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,1,95,91,413,70,386,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189, };
static unsigned short stb__times_40_latin_ext_t[560]={ 1,107,362,232,173,232,205,140,1,1,362,
337,362,371,98,173,205,259,286,205,286,259,232,286,232,232,312,312,362,362,362,
232,1,286,312,232,312,312,312,205,312,312,286,312,312,337,286,205,337,37,337,
232,312,286,286,286,337,337,337,1,173,37,362,358,362,337,173,337,173,337,232,
286,232,205,1,205,205,362,362,337,259,286,362,362,337,362,362,362,362,286,362,
1,1,1,371,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,
337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,1,71,173,
259,362,312,1,1,371,259,362,337,362,371,205,358,362,337,362,362,371,286,107,
134,362,362,362,337,232,232,232,232,107,71,107,140,173,140,286,107,71,71,107,
140,107,107,71,173,286,71,37,71,71,71,71,362,205,73,37,37,107,71,312,
173,232,232,232,259,259,173,362,312,232,232,232,259,259,259,259,286,173,312,232,
232,205,259,259,362,337,205,205,205,286,71,1,107,173,337,107,259,107,312,71,
205,1,205,107,286,37,205,107,173,312,173,173,337,107,259,140,259,173,286,107,
205,1,71,107,107,107,140,140,1,39,37,312,205,140,312,173,337,71,312,140,
1,140,362,286,1,1,71,140,71,362,140,107,140,37,286,205,312,205,312,173,
71,259,140,286,37,259,259,205,259,173,337,37,259,71,205,205,337,107,286,140,
312,71,259,37,232,1,232,107,312,37,232,37,140,140,173,312,337,71,259,173,
337,37,259,37,173,37,259,140,312,1,205,37,37,140,140,259,140,286,71,259,
232,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,259,337,337,37,
337,337,337,337,337,337,337,337,337,337,337,337,337,173,337,337,337,337,337,337,
337,337,337,337,337,337,337,337,173,337,337,337,337,337,337,337,337,337,337,337,
337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,107,259,
107,259,1,232,37,205,1,173,1,140,1,140,1,140,337,337,337,337,337,337,
337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,
337,337,337,1,1,37,232,1,173,337,337,337,337,337,337,337,337,337,337,337,
337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,
337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,
337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,
337,337,337,337,337,337,337,337,337, };
static unsigned short stb__times_40_latin_ext_a[560]={ 144,192,236,289,289,481,450,104,
192,192,289,326,144,192,144,161,289,289,289,289,289,289,289,289,
289,289,161,161,326,326,326,257,532,417,385,385,417,353,321,417,
417,192,225,417,353,514,417,417,321,417,385,321,353,417,417,545,
417,417,353,192,161,192,271,289,192,257,289,257,289,257,192,289,
289,161,161,289,161,450,289,289,289,289,192,225,161,289,289,417,
289,289,257,277,116,277,313,450,450,450,450,450,450,450,450,450,
450,450,450,450,450,450,450,450,450,450,450,450,450,450,450,450,
450,450,450,450,450,450,450,450,144,192,289,289,289,289,116,289,
192,439,159,289,326,192,439,289,231,317,173,173,192,333,262,144,
192,173,179,289,433,433,433,257,417,417,417,417,417,417,514,385,
353,353,353,353,192,192,192,192,417,417,417,417,417,417,417,326,
417,417,417,417,417,417,321,289,257,257,257,257,257,257,385,257,
257,257,257,257,161,161,161,161,289,289,289,289,289,289,289,317,
289,289,289,289,289,289,289,289,417,257,417,257,417,257,385,257,
385,257,385,257,385,257,417,374,417,289,353,257,353,257,353,257,
353,257,353,257,417,289,417,289,417,289,417,289,417,289,417,289,
192,161,192,161,192,161,192,161,192,161,409,319,225,161,417,289,
289,353,161,353,161,353,235,353,199,353,161,417,289,417,289,417,
289,349,406,286,417,289,417,289,417,289,514,417,385,192,385,192,
385,192,321,225,321,225,321,225,321,225,353,161,353,247,353,161,
417,289,417,289,417,289,417,289,417,289,417,289,545,417,417,289,
417,353,257,353,257,353,257,161,450,450,450,450,450,450,450,450,
450,450,450,450,450,450,450,417,450,450,289,450,450,450,450,450,
450,450,450,450,450,450,450,450,417,306,450,450,450,450,450,450,
450,450,450,450,450,450,450,448,313,450,450,450,450,450,450,450,
450,450,450,450,450,450,450,450,450,450,450,450,450,450,450,450,
450,450,450,450,450,417,257,192,161,417,289,417,289,417,289,417,
289,417,289,417,289,450,450,450,450,450,450,450,450,450,450,450,
450,450,450,450,450,450,450,450,450,450,450,450,450,450,450,450,
450,450,417,257,514,385,417,289,450,450,450,450,450,450,450,450,
450,450,450,450,450,450,450,450,450,450,450,450,450,450,450,450,
450,450,450,450,450,450,450,450,450,450,450,450,450,450,450,450,
450,450,450,450,450,450,450,450,450,450,450,450,450,450,450,450,
450,450,450,450,450,450,450,450,450,450,450,450,450,450,450,450,
450,450,450,450,450,450,450,450, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_40_latin_ext_BITMAP_HEIGHT or STB_FONT_times_40_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_40_latin_ext(stb_fontchar font[STB_FONT_times_40_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_40_latin_ext_BITMAP_HEIGHT][STB_FONT_times_40_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_40_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_40_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_40_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_40_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_40_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_40_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_40_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_40_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_40_latin_ext_s[i] + stb__times_40_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_40_latin_ext_t[i] + stb__times_40_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_40_latin_ext_x[i];
            font[i].y0 = stb__times_40_latin_ext_y[i];
            font[i].x1 = stb__times_40_latin_ext_x[i] + stb__times_40_latin_ext_w[i];
            font[i].y1 = stb__times_40_latin_ext_y[i] + stb__times_40_latin_ext_h[i];
            font[i].advance_int = (stb__times_40_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_40_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_40_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_40_latin_ext_s[i] + stb__times_40_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_40_latin_ext_t[i] + stb__times_40_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_40_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_40_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_40_latin_ext_x[i] + stb__times_40_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_40_latin_ext_y[i] + stb__times_40_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_40_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_40_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_40_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_40_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_40_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_40_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_40_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_40_latin_ext_LINE_SPACING
#endif

