// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_41_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_41_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_41_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_41_latin_ext_BITMAP_HEIGHT        410
#define STB_FONT_times_41_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_41_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_41_latin_ext_NUM_CHARS            560

#define STB_FONT_times_41_latin_ext_LINE_SPACING          27

static unsigned int stb__times_41_latin_ext_pixels[]={
    0x06662000,0x00000000,0x004ccc40,0x04ccc400,0x33100000,0x00000013,
    0x2f32ea62,0x0000001a,0x00000000,0x4ff98000,0x40000000,0x0000aaa9,
    0x0bff1000,0x55500000,0x7c400005,0x5fffffff,0xaa980000,0x01800002,
    0x40000088,0x0000aaa9,0x01800880,0x55550000,0x0e540000,0x00ba25d1,
    0x017ffa00,0x01da8800,0x37ff4000,0xeffd8000,0x36000000,0x00000eff,
    0x566fed40,0x0bedba99,0xdb730000,0x000379df,0x3bfbb260,0x001640ac,
    0x20007e88,0x7fffffff,0x09ffd100,0x3ea00000,0xf0000004,0x400007ff,
    0xfffffff8,0xe800005f,0x00003fff,0x0598074c,0xffe88000,0xe8800003,
    0x0001b101,0x00fffe00,0x13ffcc00,0x000be25f,0x000dff10,0x00017c40,
    0x0077fc40,0x00fff800,0x7ffc0000,0x2e000000,0xd71002ee,0x7f4c0007,
    0xfffdabce,0xfb50000d,0xf9535bff,0x0005f79d,0xf8000f44,0x02aaaaef,
    0x001bfe20,0x001e4000,0x4ffa8000,0x55440000,0x01aaaaaa,0x7ffdc000,
    0x400000ff,0x00fcc1fd,0x5ff98000,0x7f700000,0x00003e88,0x0009ff30,
    0x887ffd40,0x0005f12f,0x0000efb8,0x00001360,0x00007fdc,0x0001ffa8,
    0x00ffd400,0x2ed88000,0x01bb1000,0x203ffc80,0x4002ffd9,0x2201cffc,
    0x8003fffc,0x7c000840,0xf980005f,0x2000000f,0x00000810,0x00017f20,
    0x00010080,0xe98ef880,0x4400004f,0x00bf53ff,0x0ff98000,0xbfd00000,
    0x00001ba2,0x00005fc8,0x4be22ec8,0x6c0002f8,0x7400001f,0x400001ab,
    0x200001fd,0x000002fc,0x00002fc8,0x0001dd30,0x3a200b70,0xffb001ff,
    0x9ffb1009,0x01ffd400,0x5fd0ff60,0x002ffc00,0x0003fa80,0xfe87fb00,
    0xdf000002,0x7ec00000,0x00017f43,0x7ec41d90,0x7e400000,0x0000ffdf,
    0x002fb800,0xfdff5000,0x4000005f,0x000000ee,0x0be25f10,0x002f8800,
    0x0fffd800,0x00be0000,0x0007f000,0x000fe000,0x002fd400,0x3600f600,
    0x7f4003ff,0x2ffe402f,0x0027dc00,0x7fccdff1,0x017fe004,0x0005b800,
    0x266ff880,0x800004ff,0x000000e9,0x7fccdff1,0x1b300004,0x00001720,
    0x009ffff1,0x02e40000,0xfffb0000,0x4c00000d,0x0000000f,0x017c4be2,
    0x00007500,0x003ffea0,0x00025400,0x00001260,0x000024c0,0x00005f88,
    0x3ea01e88,0x7d4000ff,0xfff500ff,0x013a0001,0x1dc83b70,0x0017fe00,
    0x00000900,0x03b9076e,0x00350000,0x41db8000,0x500001dc,0x00001500,
    0x000ccca8,0x00240000,0x39991000,0x0d400000,0x22000000,0x0005f12f,
    0x0000e5c4,0x00016d40,0x00000000,0x00000000,0x000fe800,0x22097000,
    0xf0003fff,0xfff109ff,0x02dc0009,0xff000000,0x0000000b,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xf897c400,0x9df30002,0x000000bf,0x10000000,0x00397100,0x00000000,
    0x8800bf20,0x3c40981a,0x000fffc8,0xb83fff90,0x20001fff,0x33332e58,
    0x203ccccc,0xccccccc9,0x000bff1c,0x6f7f6dd4,0x9997001b,0x07999999,
    0x6666664c,0xb75001cc,0x0037bdfd,0x3333332e,0x32603ccc,0x1ccccccc,
    0xdfdb7500,0x32e0037b,0xcccccccc,0x33332603,0x9971cccc,0x79999999,
    0x666664c0,0x75001ccc,0x037bdfdb,0x333332e0,0x2603cccc,0xcccccccc,
    0x25f10001,0x7b0002f8,0x000007c4,0x5d440000,0x81bdefed,0x66fcc06b,
    0x9300005f,0x99999999,0x99999999,0x17e20599,0x7667ec40,0x2d81ffb8,
    0x0007fff8,0xfd13ffea,0x410000ff,0xfffffc98,0x2e6200ad,0xf09cfffe,
    0xfd3000bf,0xffb7359d,0xfc98801b,0x00adffff,0x3fffae62,0x7f4c009c,
    0xffdb9ace,0x7e4c400d,0x00adffff,0x3fffae62,0x7f4c009c,0xffdb9ace,
    0x7e4c400d,0x00adffff,0x3fffae62,0xff93109c,0x4015bfff,0xcfffeb98,
    0x77f4c009,0xdffdb9ac,0x7fe4c400,0x200adfff,0xcfffeb98,0x26ea8009,
    0x005f12f8,0x04d81f10,0x40000000,0xb9abdfe9,0x5f50dffd,0x00fc4d80,
    0x7f5cc400,0xeeeeffff,0x5fffeeee,0xf5003f90,0x37f6441b,0x7ffc43c8,
    0x3fe20006,0x17ffe25f,0xffc80000,0xff88004f,0x2005ff81,0x2203ffc8,
    0xf9002ffd,0xf10009ff,0xff91003f,0x17fec407,0x04fffc80,0x801ff880,
    0x2203ffc8,0xf9002ffd,0xf10009ff,0xfffc803f,0x1ff88004,0x03ffc880,
    0x400bff62,0x8004fffc,0xc8801ff8,0x4be26fff,0x5d0002f8,0x440002e8,
    0x00aceeec,0x201ffe40,0x403fcffd,0x002640f8,0x3fb7ea00,0x05fa804f,
    0x0df500df,0x25c13ffa,0x0017ffe6,0x7d4ffff0,0x000004ff,0x000bffea,
    0x05ff8374,0x003ffd10,0x2a013ff2,0xd0002fff,0x3ffd100d,0x013ff200,
    0x000bffea,0x7f440374,0x9ff9001f,0x05fff500,0x2a01ba00,0xd0002fff,
    0x3ffd100d,0x013ff200,0x000bffea,0xeab80374,0x44be26ff,0x5d70002f,
    0xa8000f93,0xdffb32ef,0xfd109ddd,0x3ff6003f,0x2e85d006,0x4fdc0000,
    0xd5004ffe,0xfa807f50,0x05ffb00f,0x9fff716a,0xffff8000,0x009fff70,
    0x7ffcc000,0x20dd0001,0xffb005ff,0x2ffe8007,0x00fffcc0,0xfd806e80,
    0x7ff4003f,0x0fffcc02,0xd806e800,0x7f4003ff,0x7ffcc02f,0x00dd0001,
    0x0003fff3,0x3ff601ba,0x17ff4003,0x007ffe60,0x26003740,0x44be26ff,
    0x3ae0002f,0x260001cf,0xeffc80ff,0x4ffd83ee,0x017ffc00,0x03e4df54,
    0xfeaf4000,0xb0d1004f,0x17fc401f,0x2640ffd0,0x000ffff2,0x323fffd0,
    0x00003fff,0x007ffe60,0x5ff83740,0x00fffa80,0x007ffdc0,0x0003fff3,
    0xfff501ba,0xfffb8001,0x07ffe600,0x2a037400,0x5c000fff,0x3e600fff,
    0xdd0001ff,0x03fff300,0xf501ba00,0xfb8001ff,0x3fe600ff,0x0dd0001f,
    0x226ff880,0x0005f12e,0x40001fd8,0xbff105fe,0x007ffd40,0x01ffff90,
    0x0039fd50,0xfd1fa800,0x7424009f,0x2037ec06,0x913605ff,0x80007fff,
    0xff91fffe,0x4000007f,0x0001fff9,0x017fe0dd,0x0007fff1,0xf9817ffe,
    0xdd0001ff,0x01fffc40,0x205fff80,0x0001fff9,0x7ffc40dd,0xbfff0003,
    0x00fffcc0,0xf9806e80,0xdd0001ff,0x01fffc40,0x205fff80,0x0001fff9,
    0xff8800dd,0x000be206,0x0004ff88,0xfe813fe6,0x07fff107,0x7ff57d40,
    0x00000005,0x13ffa4e8,0x540df000,0x3fe602ff,0xff70fe03,0xff80009f,
    0xbfff70ff,0x7cc00000,0xdd0001ff,0xfb017fe0,0x2e0001ff,0xff301fff,
    0x1ba0003f,0x000fffd8,0x203fff70,0x0001fff9,0x7ffec0dd,0xfff70000,
    0x07ffe603,0x4c037400,0xd0001fff,0x07ffec0d,0x1fffb800,0x003fff30,
    0xf1001ba0,0x017c40df,0x01fff900,0x813fee00,0xffd82ffd,0x27f3000f,
    0x0002fffc,0x83ea0000,0x40004ffe,0x01bfa05f,0x3e601ff9,0x02fffdc1,
    0x4ffff100,0x0006fffa,0x07ffe600,0xff837400,0x03fff405,0x09fff500,
    0x0007ffe6,0xfffd0374,0x7ffd4000,0x03fff304,0xfe81ba00,0x3ea0007f,
    0xfff304ff,0x01ba0003,0x0007ffe6,0xfffd0374,0x7ffd4000,0x03fff304,
    0x2001ba00,0x0be206ff,0x3ffff800,0x0bff5000,0x7fc17fec,0x4bf1007f,
    0xb304fffa,0x0037bffd,0xffd13a00,0x3e20b009,0x407ff304,0x1aa06ff8,
    0x001bffe6,0x225fff98,0x00007fff,0x007ffe60,0x5ff83740,0x01bffe20,
    0x05fff980,0x0003fff3,0x7ffc41ba,0x3fe60006,0x3fff305f,0x441ba000,
    0x20006fff,0xf305fff9,0x3a0003ff,0x1fff9806,0x220dd000,0x20006fff,
    0xf305fff9,0x3a0003ff,0x06ff8006,0x54000be2,0x0006ffef,0x7ec0dff1,
    0x37ffc41f,0x7fc46e80,0x8aefc85f,0x0002ffeb,0x3ffa07dc,0xf882c404,
    0x403ff903,0x0f204ffc,0x0003fff4,0xff85fff5,0x000001ff,0x0003fff3,
    0x02ffc1ba,0x000bfff3,0x983fffc4,0xd0001fff,0x17ffe60d,0x7fff8800,
    0x003fff30,0x7fcc1ba0,0x3e20005f,0xfff307ff,0x01ba0003,0x0007ffe6,
    0xfff98374,0x3fe20005,0x3fff307f,0x001ba000,0x2f881bfe,0xff5dd000,
    0x3fa0003f,0x50dff01f,0xf900bfff,0xb8ffff01,0x0fff81ff,0xd09f1000,
    0x05d809ff,0x03fec13e,0x2605fff3,0x5fff700f,0x1bff2000,0x000bffee,
    0x0fffcc00,0xff06e800,0x27ffdc0b,0x3fffe000,0x01fff980,0x3ee0dd00,
    0x7c0004ff,0xff980fff,0x0dd0001f,0x0013ffee,0x301ffff0,0x20003fff,
    0xfff9806e,0x20dd0001,0x0004fffb,0x4c07fffc,0xd0001fff,0x0dff000d,
    0x4c0017c4,0x00bffd2f,0x703bfa20,0xfff701ff,0xf01fb809,0x3ff41fff,
    0x0002ffc8,0xbffd01f7,0xfd975555,0xff82fc0b,0x0ffdd106,0x3ffa01ec,
    0xfff88006,0x00dffd02,0xff980c80,0x0dd0001f,0xffc817fe,0x7f40003f,
    0xfff981ff,0x20dd0001,0x0003fffc,0x4c0ffff4,0xd0001fff,0x0ffff20d,
    0x3fffd000,0x003fff30,0x3e601ba0,0xdd0001ff,0x00ffff20,0x03fffd00,
    0x0003fff3,0x3fe001ba,0x02f88546,0x3fee7d80,0xfd10000f,0x01bfd59f,
    0x980ffff2,0x3fffa03f,0x7dc1bfa1,0x4f88003f,0xddddffd0,0x40bfffdd,
    0x81fff05e,0x706fe9e8,0x5fff100d,0x06ffc800,0x000fffee,0xfff981dc,
    0x20dd0001,0x3ff205ff,0x7f40003f,0xfff980ff,0x20dd0001,0x0003fffc,
    0x4c07fff4,0xd0001fff,0x0ffff20d,0x1fffd000,0x003fff30,0x3e601ba0,
    0xdd0001ff,0x00ffff20,0x01fffd00,0x0003fff3,0x3fe001ba,0x17c4be26,
    0xf893e200,0xd10003ff,0x80359977,0xf103fffb,0x0fffe80b,0x7fdc0b6a,
    0x00fc8003,0x74c09ffd,0x7e41f205,0x7fcbaa3f,0x8041eb85,0x22006ff9,
    0x7e400eff,0x354002ff,0x003fff30,0x2ffc1ba0,0x009fff50,0x307fff80,
    0x20003fff,0x9fff506e,0x7fff8000,0x003fff30,0x7fd41ba0,0x7fc0004f,
    0x3fff307f,0x201ba000,0x0001fff9,0x3ffea0dd,0x7ffc0004,0x03fff307,
    0x2001ba00,0x44be26ff,0x07dc002f,0x2001fff2,0xf50003e8,0x01ba09ff,
    0x4401fffe,0x4003fffc,0xeeeeeff8,0x5404fffe,0x2a0be605,0x22ffefff,
    0x1db30ffd,0x3fee0698,0x77f4c00d,0x7fff7000,0x9803b200,0xd0001fff,
    0x9817fe0b,0x20005fff,0xf306fff8,0x3a0003ff,0x0bfff305,0x37ffc400,
    0x001fff98,0x3fe60bd0,0x3e20005f,0xfff306ff,0x017a0003,0x0007ffe6,
    0xfff982f4,0x3fe20005,0x3fff306f,0x0017a000,0x12f89bfe,0x85f8005f,
    0x4002fff9,0xf10001fe,0x01fb0bff,0x405fff88,0x3ffccfda,0x66676c00,
    0x4fffcccc,0x17a02c40,0x206fffe4,0x03effffa,0xefea805b,0x0dffa881,
    0x7fffcc00,0xbfb7319c,0x03fff100,0x7fc17a00,0x1bffe205,0x4fff9800,
    0x003fff10,0x7fc417a0,0x3e60006f,0xfff104ff,0x417a0003,0x0006fff8,
    0x4413ffe6,0xd0001fff,0x3fff100b,0x4417a000,0x20006fff,0xf104fff9,
    0x3a0003ff,0x26ff8005,0x005f12f8,0xffe80fd4,0x3ffe2005,0x1aaaabcc,
    0xf71bffe0,0x9fff3003,0xfb8bfaa0,0x0be6003f,0x3009ffd0,0x5100fb80,
    0x54035500,0x3ffea006,0x01dfffde,0x3ff72200,0x01dfffff,0x005fff10,
    0x2ffc13e0,0x001fffa0,0x103fffa8,0x20005fff,0x1fffa04f,0x3fffa800,
    0x005fff10,0xffe813e0,0x3fea0007,0x5fff103f,0x2013e000,0x0002fff8,
    0x3fff409f,0x7fff5000,0x00bffe20,0x7c0027c0,0x7c4be26f,0xa81ba002,
    0xf1001fff,0xffffffff,0xfe817fff,0x007f50ff,0x2e0bffee,0x1ffdc0ef,
    0xfd00db00,0xd100009f,0xd0000009,0xfff90005,0x000007ff,0x001359f3,
    0x0007fff0,0x17fe07f1,0x005fff50,0xf01bff20,0xf10007ff,0x17ffd407,
    0x06ffc800,0x4001fffc,0x3fea03f8,0xff90002f,0x03fff80d,0xf003f880,
    0xf10007ff,0x17ffd407,0x06ffc800,0x4001fffc,0xff8003f8,0x17c4be25,
    0x7c02f980,0x3a6004ff,0xffffffff,0x7fcc6fff,0x2004f8af,0x7e40effc,
    0x007ff706,0x3fa00be6,0x9808004f,0x2000002f,0x3ea0005d,0x0000ffff,
    0x0001fdc0,0x20017ffa,0x0bff02fa,0x000dffb0,0xe803fff1,0xfa8005ff,
    0x037fec02,0x00fffc40,0x20017ffa,0x7fec02fa,0xfff88006,0x02fff401,
    0xe8017d40,0xfa8005ff,0x037fec02,0x00fffc40,0x20017ffa,0x7c4002fa,
    0x7c4be24f,0x999f9002,0xffd99999,0x23a6001f,0xcaaaa998,0x7fe41ffd,
    0x3e2006ed,0x27fcc1ff,0xd003ffb8,0x13ffa00d,0x3ee09300,0x5d800000,
    0xffe98000,0x2200006f,0x20004fff,0x4000fffc,0x0bff00fd,0x005fff30,
    0xc804ffc8,0x6c000fff,0x7ffcc00f,0x27fe4002,0x007ffe40,0xf3003f60,
    0xfc8005ff,0xfffc804f,0x007ec000,0x000fffc8,0x3e6007ec,0x7e4002ff,
    0xfffc804f,0x007ec000,0xf88ffe20,0xf1005f12,0xdddddddd,0x007fffdd,
    0x7cc003f3,0x07fffc43,0x707ff900,0x3fee07ff,0x002fa803,0xe8009ffd,
    0x0007b202,0x0002f440,0x0bfffb10,0x3ff44000,0x5fff1000,0xf027e400,
    0x3ff200bf,0x3ffe2006,0x2fff8800,0x4013f200,0x22006ffc,0xf8800fff,
    0x3f2002ff,0x0dff9004,0x007ffc40,0x0017ffc4,0x7c4009f9,0x3f2002ff,
    0x0dff9004,0x007ffc40,0x0017ffc4,0xf10009f9,0xf897c45f,0x000fb802,
    0xdd00dffb,0xf505b000,0x3e6001df,0x0dff705f,0x88093ff2,0x3ffe006f,
    0x003f2004,0xa80007f7,0x3000005e,0x0000bffb,0x20002fe4,0xc802fffb,
    0x17fe00ef,0x00dffb80,0x0006ffcc,0x9005fff7,0x7dc001df,0x7fcc00df,
    0x3fee000d,0x0efc802f,0x037fee00,0x001bff30,0x4017ffdc,0x5c000efc,
    0xfc802fff,0x3fee000e,0x6ffcc00d,0x3ffee000,0x00efc802,0x11be604c,
    0x200be25f,0x3fea005e,0x01bf201f,0xff501f10,0xfe9801df,0x7fff100e,
    0xcafff74c,0x2003fc81,0xc8804fff,0x7dd3005f,0x17754001,0x64400000,
    0x4c0002ef,0xb80001ff,0x731adfff,0xf801dffb,0x7f4c005f,0x7fdcc0ae,
    0xfff70003,0x3f6e635b,0xe98000ef,0x7dcc0aef,0xff70003f,0x36e635bf,
    0x98000eff,0x5cc0aefe,0xf70003ff,0x2e635bff,0x0000effd,0x235bfff7,
    0x00effdb9,0x0aefe980,0x001ffdcc,0x1adfffb8,0x01dffb73,0x3ee3ffc8,
    0x2f897c42,0x2000fd40,0x3f605ffe,0x05d3004f,0x7dfd37f3,0x03ffb883,
    0xfeffffe8,0x83ffff9a,0x4400dffc,0xaabffffc,0xfffcbaaa,0x6fed4002,
    0xcba999ab,0x000002ee,0xbccca880,0x39fd5000,0x7ecc0000,0xefffffff,
    0xfffff003,0xfd900fff,0x3bfffddf,0xffd98000,0x3effffff,0xffec8000,
    0x01dfffee,0x7ffecc00,0x03efffff,0xeffec800,0x001dfffe,0x7fffecc0,
    0x003effff,0xffffd980,0x003effff,0xeeffec80,0x0001dfff,0x7ffffecc,
    0x9003efff,0x05f9dfff,0x00be25f1,0xff7000dd,0x3ffe601f,0xaa99aacf,
    0x45e883fd,0xffefffea,0xf91000df,0x7ff41bff,0x7ffff543,0x7fecc0ef,
    0xffffffff,0x0fffffff,0xdb971000,0x00359bdf,0x08000000,0x00000000,
    0x5565d4c4,0x55554001,0x4c002aaa,0x00000aba,0xaacba988,0x53000001,
    0x00000157,0x35597531,0x2a600000,0x800000ab,0x1aacba98,0xa9880000,
    0x0001aacb,0x01575300,0x75310000,0x88003559,0x100cdfdb,0xa80be25f,
    0xff98003f,0x3ffaa04f,0xdfffffff,0x4c019100,0x20000aba,0x00030098,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7c0007fa,0x65401fff,0x01bcefee,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7e440000,0xff98004f,0x00001eff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xff900000,
    0x300bffff,0xfffffffd,0x2a60003f,0x0000002a,0x01998800,0x00025c40,
    0x80000000,0x0000aaa9,0x000dfff0,0x00600220,0x32600e54,0x1fffc802,
    0xfff10000,0x0000000d,0x00000000,0x00000000,0x00000b50,0x0bffea00,
    0x2b800000,0x00b71000,0x510aaa80,0x7c400055,0x100005ff,0x00000397,
    0x00000000,0x02ffff88,0xdeeeb800,0xbfff0000,0x17ff2600,0xc9800000,
    0x360001de,0x700005ff,0x0005ffff,0x01d80ba0,0x7c06ff98,0x3fe201ff,
    0x900005ff,0x0005ffff,0x007fff60,0x007fff40,0x7ff75c40,0x01621cef,
    0x00fffea0,0x003ffe44,0x7fc40000,0xc80006ff,0x1fffffff,0x26007f91,
    0x20006ffc,0x3fee5ff8,0x3ff60002,0x540001ff,0x0005fcdf,0x4c1ca800,
    0x32000005,0x0006ffef,0x01fb0ef4,0x006ff980,0x00bfffb9,0x47ea0000,
    0x3fe0006f,0xf880000e,0x0007feaf,0x0bb09f30,0x403ffe60,0x3602fff8,
    0x002ffccf,0x7f57fc40,0xff980006,0xfa8005ff,0x26004fff,0xa9bdeffd,
    0x06ddffdb,0x0ffffe80,0x3fff6d40,0x64000000,0x003ffbdf,0x655554c0,
    0x02f441ff,0x01bfff72,0x360ffa80,0x3e60005f,0x0006ffae,0x001f1174,
    0x5bf90000,0x000001fb,0x3fe63be2,0x81f90003,0x7e4004fa,0x7fdc000e,
    0x88000005,0x000df15f,0x00003fe6,0x3fd88fec,0x1bfb0000,0x64001fd1,
    0x0275402e,0x037dc7f3,0x6c47b600,0x7f40003f,0x4002ffcb,0x01ffdaff,
    0x401effa8,0x4007ffe9,0x05ffadfb,0x000fff30,0x24f88000,0x00000ff9,
    0x7d40ffd4,0x06ffa804,0xfd0ff200,0x87740001,0x10002fe8,0x00007b0f,
    0x0bfff600,0x0dd80000,0x10003fa2,0x01ff70bf,0x40007f40,0x00005ffa,
    0x0262fc80,0x000fe400,0xfb80e980,0xff880000,0x00004fef,0x260ba000,
    0x1d30003e,0x20001f70,0x01bea2fa,0x17ee1fb8,0x001dff90,0xf1003fe4,
    0x800ff449,0x000007ff,0x274426c0,0x3fea0000,0x9803ff01,0x360006ff,
    0x0001fc46,0x00d901d5,0x007e0fc0,0x4cc20000,0x30000010,0x2002640b,
    0x0ffa85f9,0x0003f300,0x00017fe6,0x0007fe00,0x00001740,0x0024c019,
    0x0ffffc80,0x50000000,0x0006c405,0x00950064,0x0fa607a0,0x3e607a20,
    0x01dff702,0x2001fd00,0x200db04c,0x000007ff,0x03900e60,0x0ffd4000,
    0x7c404fd8,0x07e0006f,0x048000d3,0xeb8001d4,0x00006d9a,0x7f43fd80,
    0x01400002,0x1fea0014,0x057000dc,0x02ffcc00,0x1fee0000,0x001c4000,
    0x00000000,0x00599910,0x00000000,0x00000000,0x036201b8,0x42c40190,
    0x0001fff8,0x073001f3,0x7ff802b8,0x00000000,0x7d400000,0x80dfd01f,
    0x10006ff8,0x00003507,0xeb800000,0x000000cf,0xff337fc4,0x00000009,
    0x0bff1000,0x80001000,0x00005ff9,0x00037f40,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0005ffe8,0x000000ec,0x0001ffe0,
    0x00000000,0x203ff500,0x7fc407ff,0x00000006,0x00000000,0x70000000,
    0x001dc83b,0x3333332e,0x32603ccc,0x1ccccccc,0x0005ffd8,0x7fcc0000,
    0x26000005,0x4c0005ff,0x0acefeec,0xd9300164,0xc8159dfd,0x3bb26002,
    0x1640acef,0x6dc00000,0x1a0acefe,0xffdd7100,0x02c439df,0x00000000,
    0x000bffea,0x00000130,0x0007ff80,0x3333332a,0x3332e2cc,0x502ccccc,
    0x05999999,0x7cc0ffd4,0x37fc406f,0x6666665c,0x32603ccc,0x1ccccccc,
    0xcccccc88,0x9970cccc,0x79999999,0x666664c0,0x00001ccc,0xf9310000,
    0x015bffff,0x7fff5cc4,0xfff8809c,0x3332e00d,0x99904ccc,0xbff30199,
    0x016ff5cc,0x03ffe880,0xbfffb500,0x79df9535,0xffb5005f,0xdf9535bf,
    0xb5005f79,0x9535bfff,0x205f79df,0x7ecc06ea,0x5efff4c0,0x07eeffec,
    0x7bdffb30,0xbbffb753,0x3bb2200d,0x50000ace,0x3ffec0dd,0x99700000,
    0x32099999,0xff80cccc,0xccccc987,0x3ff6a23c,0x2a20aeff,0x0adfffff,
    0x5fffb510,0x40ffd401,0x7c405ffa,0xffc9886f,0x200adfff,0xcfffeb98,
    0xffd53009,0x4c437dff,0xadfffffc,0x3fae6200,0x97009cff,0x99999999,
    0x66664c07,0xfc81cccc,0xf88004ff,0xfffa801f,0xfff9300e,0x3f66037f,
    0x2bff302f,0x4ffffff9,0x3ffff200,0x9002eeef,0x644039ff,0x7e403fff,
    0x3f2201cf,0x7fe403ff,0x3ff2201c,0x3fff263f,0xfffeb886,0x2033fe20,
    0xa807ffe8,0x74c01eff,0xefa807ff,0xdddffb32,0x3ff2209d,0xdfff106f,
    0x64c00000,0x301bffff,0x3fe05ffb,0x37fff507,0x07fffa01,0x01ffff98,
    0x2a007fe0,0x3ffb81ff,0x2037fc40,0x8004fffc,0x22001ff8,0xfc807fff,
    0xf88004ff,0xfc98801f,0x00adffff,0x3fffae62,0xfffa809c,0x00dd0002,
    0x5ffff7b1,0x403ffec0,0x3fe602fb,0xffdcef8d,0x555003ff,0x01557ffd,
    0x004ffd88,0x6c40ffea,0x3ea004ff,0x9ffb103f,0x71ffd400,0x730dffd5,
    0x7f41fff9,0x03ff4407,0x8003bff2,0x7fcc07fc,0xeeeffc80,0xdfff7703,
    0x017ffea0,0x3ff60000,0x202fb807,0x1bf507ff,0x05fff700,0x000fffc8,
    0x3ea009f1,0x02ff981f,0x2a037fc4,0xd0002fff,0xbffd000d,0x05fff500,
    0x2001ba00,0x8004fffc,0x7cc01ff8,0xdd0001ff,0xff30d880,0x3fe203ff,
    0x2036c01f,0x4c1eeff9,0x4000ffff,0x7e4007ff,0x4fb8005f,0x000bff90,
    0x3ff209f7,0x84fb8005,0x7fc06ffa,0x007ff30f,0x7fdc0fd1,0x0fe8000e,
    0x7c417fa0,0x3fe6005f,0x09fff706,0x55555440,0x7c40aaaa,0x036c01ff,
    0x13e61ffe,0x04fff880,0x8017ffcc,0xff5001fa,0x1007fa03,0xff980dff,
    0x0dd0001f,0x00bffd00,0x0003fff3,0x3ea001ba,0xdd0002ff,0x03fff300,
    0xe881ba00,0x0ffff441,0x2204ffb8,0x7ffcc03f,0x09fff501,0x002ffcc0,
    0x0001fff5,0x3ffea13a,0x509d0000,0x20001fff,0x06ff884e,0xffb87ff4,
    0x220f9002,0x30001fff,0x13fe601f,0x22007fe8,0xfff906ff,0x7e544007,
    0x80beffff,0x3e204ffb,0x2a3ffc03,0xffd8004f,0x05ffe807,0x7d400f90,
    0x805f701f,0x7cc06ff8,0xdd0001ff,0x09ffb000,0x003fff30,0x26001ba0,
    0xd0001fff,0x3fff300d,0xb81ba000,0x0dffb107,0x5c03ffe2,0x2ffcc00f,
    0x801bffa0,0xf1003ffb,0x5c0009ff,0x027ffc45,0xff88b700,0x16e0004f,
    0xfd01bfe2,0x017ff21f,0x5ffe83cc,0xb80ec000,0x3ff604ff,0x0dff1002,
    0x0013fff2,0x2037ffdc,0xf700fff8,0x2e7ff801,0xff50003f,0xfffb803f,
    0x2004f800,0xdf101ffa,0x406ff880,0x0001fff9,0xffb000dd,0x3fff3009,
    0x001ba000,0x0007ffe6,0x7fcc0374,0x0dd0001f,0x3ff602ec,0x209ff900,
    0x5ff9804e,0x003ffd40,0x2e003ffb,0x20001fff,0x0fffdc58,0xfb8b1000,
    0x220001ff,0x406ff885,0xfff50ffe,0x3ea1e005,0x4c0002ff,0x40bff500,
    0xf1002ffd,0x3ffee0df,0xfff30004,0x09ff9009,0x5ffe013a,0x7c0002fb,
    0x7fcc04ff,0x00fd402f,0x4403ff50,0xdff100be,0x01fff980,0xb000dd00,
    0xff3009ff,0x1ba0003f,0x07ffe600,0x4c037400,0xd0001fff,0x101fe20d,
    0x3fe207ff,0x400fd40f,0x7cc05ff9,0xfff000ff,0x03fff400,0x3ffa0400,
    0x74080007,0x080007ff,0x7406ff88,0xffff10ff,0xffb03007,0x8800000f,
    0x3ff606ff,0x41bfe001,0x0005fffa,0x1007fff1,0x1fa81fff,0xffcfff80,
    0x7fe40003,0x2fffdc07,0xf5001b20,0xceb8803f,0x2037fc40,0x0001fff9,
    0xffb000dd,0x3fff3009,0x001ba000,0x0007ffe6,0x7fcc0374,0x0dd0001f,
    0x3f2017fc,0xb0fff204,0x17fe600d,0x001fff10,0x2200dff3,0x00005fff,
    0x002fffc4,0x17ffe200,0x7fc40000,0xb07ff406,0x003dffff,0x0037ffc4,
    0x0fff4000,0x7c006ff8,0xffff106f,0x3ffe0001,0x87ff9003,0x5fff006d,
    0x40003fff,0x3a02fff9,0x3e00ffff,0x0ffd4003,0x22076cc0,0x7fcc06ff,
    0x0dd0001f,0x009ffb00,0x0003fff3,0x3e6001ba,0xdd0001ff,0x03fff300,
    0xfd81ba00,0x80be600e,0x0fe27ff8,0x402ffcc0,0xff7007ff,0x3ffea007,
    0x7d400004,0x400004ff,0x0004fffa,0x80dff100,0x7ff40ffe,0xa800dfff,
    0x00005fff,0x40efe880,0x7c000ffb,0x3fffa06f,0x7fff0002,0x89ffe200,
    0x2fff003f,0x0000fffc,0x7c413ffa,0xf503fffc,0x1ffa8003,0xf8816e40,
    0x7ffcc06f,0x00dd0001,0x3009ffb0,0x20003fff,0xff98006e,0x0dd0001f,
    0x003fff30,0xffa81ba0,0xb00f300e,0x003ee7ff,0x7c02ffcc,0x3ffb006f,
    0x13ffee00,0xfff70000,0xfb800009,0x000004ff,0xfe80dff1,0x7fff440f,
    0x7dc03fff,0x2a2004ff,0xaaaaaaaa,0xacffe880,0xf8000dfe,0x3ffea06f,
    0x7fff0005,0xb9ffec00,0x4fff000f,0x20006ffd,0x1f707ffc,0x1b60dffb,
    0x807fea00,0x37fc407d,0x007ffe60,0x6c003740,0xff9804ff,0x0dd0001f,
    0x03fff300,0x2601ba00,0xd0001fff,0x1fffe80d,0xff9805c8,0x26004e8f,
    0x7fc405ff,0x00fff005,0x001fffe4,0x0ffff200,0xfff90000,0x22000007,
    0x7ff406ff,0xfffff700,0x3ff205ff,0x32a2003f,0x0befffff,0xaccbbe88,
    0x1bfe0001,0x003fffb0,0x4007fff0,0x04e8fff9,0xff89ffe0,0xff30004f,
    0x3eabd05f,0x01fc40ff,0xb80ffd40,0x37fc403f,0x007ffe60,0x6c003740,
    0xff9804ff,0x0dd0001f,0x03fff300,0x2601ba00,0xd0001fff,0xfffe880d,
    0xfd801662,0x26001fdf,0x7fcc06ff,0x05ff8802,0x00ffff20,0x7fff9000,
    0xffc80000,0x1000003f,0xffe80dff,0x3fff6200,0xffc85fff,0xff70004f,
    0x01f440df,0x037fc000,0x001bffe6,0xb000fffe,0x4003fbff,0x7ffcc7ff,
    0xbffd0003,0xfff12f88,0x8000fa87,0x3fd01ffa,0x406ff880,0x0001fff9,
    0xffb000dd,0x3fff3009,0x001ba000,0x0007ffe6,0x7fcc0374,0x0dd0001f,
    0x57fffd10,0xfff98009,0x37fcc006,0x54017f60,0x3ee003ff,0x400005ff,
    0x0005fffb,0x02fffdc0,0x6ff88000,0x4007ff40,0x5fffffe9,0x0027ffdc,
    0x204fff98,0x800001fe,0xffa806ff,0x7ffc004f,0x7ffcc003,0x07ffc006,
    0x0007ffee,0xfb83ffee,0xdb1bff60,0x07fea000,0xf100bfe6,0xfff980df,
    0x00dd0001,0x3009ffb0,0x20003fff,0xff98006e,0x0dd0001f,0x003fff30,
    0xfd8017a0,0xfb0006ff,0xff98007f,0x03ff102f,0x8007ff20,0x0006fffa,
    0x037ffd40,0x3ffea000,0xf3000006,0x0ffe80ff,0x3fffee00,0x17ffea3f,
    0x1fffc400,0xbccfff88,0x8001aaaa,0xff5006ff,0x7ffc00bf,0x3ffd8003,
    0x03ffe200,0x0003fff6,0x2f45fff1,0x7c47ffea,0x3ff50003,0x9807ff70,
    0x7fcc07ff,0x0bd0001f,0x009ffb00,0x0003fff3,0x3e60017a,0xdd0001ff,
    0x03fff100,0x90017a00,0x50005fff,0xff3000ff,0x2fe883ff,0x001ff600,
    0x000ffff1,0x07fff880,0x7ffc4000,0xf7000007,0x7ff403ff,0x7fec4000,
    0x3fffe27f,0x7fff0000,0x3ffffe20,0xbfffffff,0x00dff000,0x56fffecc,
    0x1dffea80,0x007fa800,0x4c17ffd4,0x4001ffff,0x05f35ffd,0x03ea9fff,
    0x40ffd400,0x7e404ffa,0x3fe201ff,0x0bd0001f,0x009ffb00,0x0003fff1,
    0x3e60017a,0xbd0001ff,0x05fff100,0x20013e00,0x8000fffa,0xff98004f,
    0xefdcffbd,0x027fc001,0x00ffffc0,0x3fffe000,0x7fc00001,0x200001ff,
    0xefffffeb,0x350ffe81,0x0ffff400,0x0005fffd,0xe980fffe,0xffffffff,
    0xff006fff,0xffb5000d,0xfffdbbff,0x4f800019,0xffffd700,0x3ffa67df,
    0x5003efff,0x20f91fff,0x00db7ffc,0x4c0ffd40,0xffd505ff,0xf105dfff,
    0x3e0005ff,0x4ffd8004,0x02fff880,0x10009f00,0x20003fff,0x7fff005e,
    0x007f1000,0x0013fea0,0xf30003f5,0x02aaa2bf,0x007fe600,0x00bffee0,
    0x5fff7000,0xffb80000,0x0000002f,0x0973ff40,0x51fffc40,0x2000bfff,
    0x3a603fff,0xaaaa9988,0xf801ffdc,0x54c0006f,0x0009abcf,0x0003f500,
    0x22000000,0x304ebfff,0x007f5fff,0x440ffd40,0x400006ff,0x88003fff,
    0xffd8003f,0x07fff003,0x0007f100,0x0005fff1,0x7ff4013e,0x02fa8005,
    0x05fc80a8,0x980036c0,0x200005ff,0x3a0006fa,0x640006ff,0x0037ff40,
    0xdffd0320,0x000c8000,0x07b9ffa0,0x361ffec0,0xf8001fff,0x03f303ff,
    0x2201fcc0,0xa80005ff,0xb000003f,0x3a60000d,0x3600002d,0x3e01ffff,
    0x0000ffff,0x7fc07fea,0x016f5406,0x4002fff4,0xfd8002fa,0xbffd002f,
    0x005f5000,0x000fffe0,0x7e400fe2,0x7ec000ff,0x4c2fdc00,0x0be6006f,
    0x02ffcc00,0x009f9000,0x01fffdc0,0xffb83b80,0x0770003f,0x0007fff7,
    0xfd0000ee,0xb000fdcd,0xfff983ff,0x3fff8006,0x5b000dd0,0x004ff880,
    0x02fff440,0x00be6000,0x1fffd400,0xfffa8000,0x2fffe407,0x07fea000,
    0x3ee02ff4,0x7fe402ff,0x07ec000f,0x007fec00,0x000fffc8,0xe80007ec,
    0xfa8005ff,0x5fff1002,0x4027e400,0x009f07fc,0xf3000374,0x7c0000bf,
    0x7e40000f,0x354002ff,0x005fff90,0x3ff206a8,0x0354002f,0xf727f400,
    0xdff3001d,0x013ffea0,0xf907fff0,0x00f8800d,0x00017fc4,0x00007fd8,
    0x20000374,0x00006fe8,0xf3013ffe,0xa80007ff,0x05fd01ff,0x880dfd10,
    0x32002fff,0x22fe404f,0x3e2006fe,0x3f2002ff,0x3ff20004,0x07ec000f,
    0x05fff700,0x1001df90,0x103f50df,0x01f91599,0x02ffcc00,0x7f30c980,
    0x3fee0000,0x01d9003f,0x003fffb8,0xffb801d9,0x01d9003f,0x07fc0cc0,
    0xd801dff7,0x3fea01ff,0x3ffe005f,0x004ffd83,0xf98185d3,0x3ee00006,
    0x59910006,0x00001f91,0x0000bf90,0x7400ffe4,0x540000ff,0x05f981ff,
    0x2e013f60,0xfc802fff,0x3ffe200e,0x70007fe2,0xf9005fff,0x7c40001d,
    0x3f2002ff,0xfffb8004,0xffb731ad,0x236c001d,0xfffb04e8,0xa80007ff,
    0xfd0006ff,0x00001b67,0x339ffff3,0x8017f6e6,0x19cffff9,0x400bfb73,
    0x19cffff9,0x800bfb73,0x13e64ff9,0x159ffff7,0x4017fecc,0x0adfffd9,
    0x81dffea8,0xaacffff9,0x43fdaa99,0x0bee2efc,0x17f4c000,0xffffd800,
    0x9800003f,0x200001ff,0xbf7006f9,0x3ff50000,0x2a001db0,0xff7000ff,
    0x36e635bf,0xfe800eff,0x003f98ef,0x35bfff70,0x03bff6e6,0x3ffee000,
    0x00efc802,0xffffb300,0x007dffff,0x0bf732a0,0x05ffffc8,0x1fffd800,
    0xedbfd800,0xc8800001,0xfffffffd,0xdc88001d,0xdfffffff,0xfdc88001,
    0x1dffffff,0xffffa800,0xb9db84eb,0xfffefffd,0x7ed4000d,0xffeddfff,
    0x7f5400cf,0xffffffff,0xefffc80d,0xa80002fc,0x20001cfe,0x005ffffc,
    0x0e775400,0x01f40000,0x64002f88,0x1fffffff,0x2e0037aa,0x4c001bee,
    0xfffffffd,0x3ea003ef,0x0004ffff,0x7ffffecc,0x0003efff,0x56fffdc0,
    0x1dffb731,0x75310000,0x00003559,0x3b220022,0x3220000c,0x2deeeeee,
    0x00f6e200,0xca980000,0x2000009a,0x0009aca9,0x26b2a600,0x7ed40000,
    0x301301ce,0x00013795,0x35795530,0xdd950001,0xc80379df,0x0000cdfd,
    0xc8800000,0x000000ce,0x15000000,0x20005c00,0xaaaaaaa9,0x00003990,
    0x97531000,0x4c000355,0x200000ab,0x1aacba98,0x36600000,0xffffffff,
    0x0000003e,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x88000000,0x01aacba9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2aaa2000,0x00000001,0x03555100,0x00001880,0x551000c4,0x000d5545,
    0x00013003,0x3332a173,0xcccccccc,0xcccccccc,0x10022001,0x400c0003,
    0x53000008,0x22000155,0x20001800,0x00008801,0x38066440,0x00300300,
    0x007ffee0,0x70072000,0xff900005,0x0040001f,0x00000000,0x00600600,
    0xcccb9800,0x003ccccc,0x0077fe40,0x59dfdb70,0x5c000341,0xc8000eff,
    0x1d500003,0xd17fe400,0x6d4001ff,0x9800b300,0x3fff21ee,0xffffffff,
    0xffffffff,0x407a2003,0x220000d8,0x000d101e,0x0027ff40,0x00d807a0,
    0x4c036600,0x7e400005,0x1260cfff,0x5a806d40,0xffff8800,0xfb800006,
    0x007dc40a,0x3fffe600,0x1df70005,0x00017f4c,0x80000698,0x000ee04c,
    0xdffffd90,0x2559f555,0x3a002ed8,0xfd3000ff,0xdffd97bf,0xfd0000fd,
    0x7640001f,0x1db10000,0x225fd800,0xed8002ff,0x5000fd41,0x13dfb05f,
    0xb987ffa8,0x7dc003fe,0x0001f443,0x0ba617e4,0x2ffcc000,0x21fd4000,
    0xd80004e8,0x000fcc1f,0xffd9f300,0x005b59ff,0x03ea0f74,0x3f33f200,
    0x4400002f,0xfffdeffe,0xbfd80005,0x44001ffd,0x3ff63fff,0x3fb00006,
    0xdf880000,0x10003640,0xbffffffb,0x37fe42e8,0x001ff880,0xd1019ff1,
    0x88000fff,0xb80001ff,0x6f44002f,0x20ff8000,0xf30005f9,0x8013ea7f,
    0x40bb05f9,0x3e207ffa,0x15fe8003,0x220000dd,0x00df34ff,0x0037dc00,
    0xd11bfd00,0xf100001f,0x0017ea7f,0x7fd43900,0x4c006fff,0x009f72ff,
    0x7fd49f30,0x7cc00000,0x00efffff,0xf71fd400,0x5ffd000d,0x0002ffe4,
    0x00027fc4,0xfc8f7dc0,0xffd10002,0xe8bfffff,0x007fff42,0xfd0017dc,
    0x07fe880f,0x0017d400,0x4003fb00,0x7f10006d,0x20000fb8,0x00ffdffc,
    0x16c0bfa0,0xa80fff50,0xeffa8004,0x200002ff,0x01ffeffb,0x003ba000,
    0xeeff9800,0x3200003f,0x000ffdff,0xfeb82400,0xffd8000d,0xd8000ffd,
    0x0004e983,0x3efed880,0x305d0000,0x3c98007f,0x000065c4,0x0007ffe4,
    0x7f7ff400,0x3ff20006,0x45ffffff,0x07fff42e,0xf3001ec0,0x0fd1007f,
    0x0004d800,0x40077c40,0xd50002fc,0x88000790,0x2003ffff,0x80d00ff9,
    0x24407ffa,0x6fffd800,0xffe80000,0x2200005f,0xd800001f,0x00006fff,
    0x027fffc4,0x00000000,0x0ffffe20,0xd880aa00,0x00000000,0x44057000,
    0x0000000d,0x3ffff800,0xffa80000,0x3a0001ff,0xffffffff,0x3ff61745,
    0xb8009007,0x0f9002ff,0x00004800,0xfa80bf70,0x206a0007,0x99500004,
    0x1ffb8009,0x7ffa8010,0x91000080,0x00000399,0x00019993,0x00001540,
    0x001ccc88,0x0ccca800,0x00000000,0x04cca800,0x00000000,0x00000000,
    0x00000000,0x7ff7d400,0x97000006,0xff800079,0x5fffffff,0x1fff2174,
    0x7fe40000,0x000f3005,0x22000000,0x13fe01ff,0x00000000,0x7fdc0000,
    0xfff50003,0x00000000,0x00000000,0x00000000,0x00000000,0xcccccb80,
    0x2603cccc,0xcccccccc,0x00000001,0x3332e000,0x03cccccc,0x33333326,
    0x00b501cc,0x00000000,0x3fff5dd0,0x00000000,0x7ffffc40,0x1745ffff,
    0xb701bfee,0x34159dfd,0x400bffea,0x666664c7,0x3326001c,0x00cccccc,
    0xffa82ff4,0x36ea0001,0x001bdefe,0x59dfdb70,0x9ff50341,0x1ffea000,
    0xccccc980,0x3326001c,0x50cccccc,0x99999999,0x99999999,0x99703999,
    0x99999999,0x19999999,0x99999970,0x99999999,0x20001999,0x26200069,
    0xadfffffc,0x3fae6200,0x33209cff,0xcccccccc,0x99999951,0x64c07999,
    0x0ccccccc,0xfffff931,0x5cc4015b,0x209cfffe,0x0007ffc9,0x3333332e,
    0x19999904,0xfe97cc00,0x664c005f,0xaccccccc,0xf00009aa,0xffffffff,
    0x7fd42e8b,0x7bffd305,0x8fddffd9,0x803ffff8,0x7ffdcc41,0x731000ef,
    0x0037fffd,0xdfd03ff9,0x3bfa6000,0xdffdb9ac,0xbffd3000,0xfddffd97,
    0x002ffcc0,0x2007ffa8,0xeffffb98,0xfd731000,0x7fe437ff,0xffffffff,
    0xffffffff,0xffffe83f,0xffffffff,0xfd04ffff,0xffffffff,0x9fffffff,
    0x00fec000,0x27ffe400,0x80ffc400,0xfffffda9,0xfff7109c,0x4015dfff,
    0xbffffd98,0x09fff901,0x703ff100,0x000fffdb,0x5ffffe4c,0x05ffb301,
    0x3fee7d80,0x2e62000f,0xeffffffe,0x000effff,0x7fffffec,0x261745ff,
    0xcff884ff,0x87ffe880,0x01effffd,0x17fff600,0x001fe200,0xff989ff5,
    0x7fe44004,0x0bff6203,0x1019ff10,0x7c40fffd,0xff50006f,0x7fec000f,
    0x7f88005f,0xa813dfb0,0xfeb987ff,0x009bff83,0xf037ffcc,0xf980137f,
    0x220006ff,0xa80004ff,0xd0002fff,0x3fffa00d,0x3fff6200,0x77fc000f,
    0x17ffd401,0x4c07e800,0xd80007ff,0x2fb807ff,0xf127c400,0x220007ff,
    0x74c0dfff,0x2e003fff,0xffffffff,0x3fe21745,0x4407fe83,0xfffd07fe,
    0x10001bff,0x0009fffd,0xff9800df,0x001ffe46,0x2003ffd1,0x3fa04ffc,
    0x03ff4407,0x540017fe,0x220007ff,0x8004fffe,0x540bb06f,0x0fe207ff,
    0x7f4005f1,0x05f101ff,0x00ffff40,0x01fff900,0x1fff9800,0x200dd000,
    0xf8807ffd,0x22001fff,0xff9801ff,0x0dd0001f,0x0000fff0,0xd803fff1,
    0x40fb8006,0x20007ffc,0x3f204fff,0x3f2004ff,0x45ffffff,0x4c2ff82e,
    0x7e8803ff,0xfffffd10,0xff90007f,0x5e8005ff,0x0fffc400,0x6c007ffd,
    0x7f4003ff,0x03ff982f,0x7f407e88,0xfff50002,0xfffc8000,0x82f4002f,
    0x1ffea02d,0x00688950,0x880ffff2,0x3fff2006,0x7ffc0003,0x7cc0003f,
    0xdd0001ff,0x01fff200,0x002fffd4,0x3e6007f9,0xdb0001ff,0x000fff00,
    0x8813fee0,0x85f8003f,0x0002fff9,0x74409ffd,0x2e001fff,0x45ffffff,
    0x5c2ff82e,0x0f9002ff,0xffffffb8,0x3ff2002f,0x3a001fff,0x3fff8005,
    0x5400bffe,0x5c000fff,0x7fdc0fff,0xf80f9002,0x3fea0007,0x7fe40007,
    0x3a001fff,0xffa80d05,0x12624407,0x02fffcc0,0x7fcc0126,0x7d40005f,
    0x40006ffe,0x0001fff9,0x3ff200dd,0x3fff6006,0x005f8802,0x0007ffe6,
    0x3ffc036c,0xfff88000,0x8001f700,0xbffd01fa,0x13ffa000,0x007fff90,
    0x5fffec98,0x20ff4174,0xf3005ffc,0xffffb100,0x3f200bff,0x000ffffa,
    0xfff000bd,0x007ffe29,0x000fffe2,0x3f22fffc,0x40f3005f,0x2a0003fb,
    0x640007ff,0x00ffffaf,0x50020bd0,0x88100fff,0xfffe8801,0x4400c400,
    0x0000fffe,0x0fffd774,0x3fff3000,0x401ba000,0x22006ffc,0x6400ffff,
    0x3fe6000f,0x0db0001f,0x0000fff0,0x4e827fe4,0x2a06e800,0xe8001fff,
    0x7fd404ff,0x5c80005f,0x207ec174,0xf002fffa,0x7fff4c00,0x97c805ff,
    0x3a00dfff,0x4ffe8005,0xb001fff3,0x20001fff,0x3ea1fffb,0x20f002ff,
    0x540002ea,0x640007ff,0x00dfff97,0x7d40017a,0x2000007f,0x0002fffc,
    0x00bfff20,0x3fa5f300,0x3e60005f,0xdd0001ff,0x01bff200,0x409fff50,
    0x7cc003f9,0xdb0001ff,0x000fff00,0x207ffc40,0x7cc001fa,0x027ffc02,
    0x2027ff40,0x0004fffa,0x641745c8,0x3ffff887,0xfb800180,0x6403ffff,
    0x013fff67,0x3f60017a,0x00fff55f,0x8001fffa,0x3e24fffa,0x41803fff,
    0x80000cea,0x40007ffa,0x13fff67c,0x540017a0,0x000007ff,0x000bfff5,
    0x02fffd40,0xff73ec00,0x3e60001f,0xdd0001ff,0x01bff200,0x407fff60,
    0xff98006e,0x0db0001f,0xfdb8fff0,0x7fe4002d,0x640036c3,0xcccccccf,
    0x000fffec,0x32027ff4,0x80003fff,0x35c1745c,0x1effffd8,0xfd880000,
    0x13e407ff,0xe807fffd,0x5ffd8005,0x8801fff7,0x20006fff,0x7ec5fff9,
    0x2001efff,0x500003fc,0xc8000fff,0x0ffffa27,0x2a000bd0,0x800007ff,
    0x000efff8,0x1dfff100,0x24f88000,0x0003fff8,0x0003fff3,0x7fe401ba,
    0xfff88006,0x8001fb86,0x0001fff9,0x2fff00db,0x3fffffe8,0x89ffe200,
    0x77c4003f,0xeeeeeeee,0x4003fffe,0x3e204ffe,0x80000fff,0x2d41745c,
    0xbfffffd0,0x40035001,0x3201fffe,0x0ffffc47,0xfb000bd0,0x03ffea9f,
    0x00bfff30,0x43fffc40,0x0dfffffe,0x003d9100,0x007ffa80,0x3fe23e40,
    0x017a01ff,0x003ffd40,0x0fffec00,0xfffb0000,0x1f700003,0x0007ffc8,
    0x0003fff3,0x7fe401ba,0xfff50006,0x80027cc9,0x0001fff9,0x1fff00db,
    0xfff9359d,0x9ffec001,0x7dc000fb,0x0dffb000,0x204ffe80,0x0002fffd,
    0x982e8b90,0x3fffa204,0x25c03fff,0x07fff100,0x7ffcc3e4,0x000bd00f,
    0x3fe67ffd,0x7ffdc01f,0x7ffc0004,0x7fff440f,0x32003fff,0x3ea0001f,
    0x3e40007f,0x807fffcc,0xff50005e,0xfb80000f,0x200004ff,0x0004fffb,
    0xfff30bf0,0xfff30005,0x01ba0003,0x00037fe4,0x1b63fffb,0x1fff9800,
    0xf00db000,0xffb03dff,0x7ffcc007,0x5e8004e8,0x07ffea00,0xa84ffe80,
    0x0001fffe,0x105d1720,0xffff7005,0x1ee05fff,0x407ffb00,0xdfff707c,
    0x3e0017a0,0x5fff12ff,0x03fffc80,0x0ffff400,0xffffffb8,0x06f8802f,
    0x03ffea00,0xf707c800,0x017a0dff,0x003ffd40,0x0dfff100,0x7ffc4000,
    0x3f500006,0x0017ffa0,0x0007ffe6,0xffc80374,0x3fe20006,0x0001fbef,
    0x0007ffe6,0x7ffc036c,0x00bff500,0x01fdffd8,0x2000fd40,0x3a005ffe,
    0xffedceff,0x00000bef,0x000ba2e4,0xfffffb10,0x003f70bf,0xf900ffec,
    0x42fffe40,0xfff8005e,0x900bffe1,0x80007fff,0x2200fffe,0x5ffffffd,
    0x0001fe80,0x0001fff7,0xfff903e4,0x2000bd0b,0x00007ffa,0x0007fffa,
    0x01fffe80,0x540dd000,0x4c001fff,0xd0001fff,0x1bff200d,0xffff7000,
    0xff980009,0x0db0001f,0x7cc0fff0,0x7fcc005f,0x06e8006f,0x00fffb80,
    0xd99dffd0,0x00001fff,0x005d1720,0x3fffa600,0x077dc5ff,0x2037fcc0,
    0x7fff407c,0x22002f43,0x3ff20fff,0x27ffd403,0x1fffe000,0x7ffff4c0,
    0x027fc05f,0x01fffb80,0xfd01f200,0x005e87ff,0x000fff50,0x00ffff20,
    0x3fffc800,0x05f30000,0x4004fff8,0x0001fff9,0x3ff200bd,0xffd80006,
    0x7c40000f,0xbd0001ff,0x4c0fff00,0xfd8005ff,0x1fd4003f,0x27ffcc00,
    0x224ffe80,0x00005fff,0x982e8b90,0xfff70002,0x77fdc7ff,0x00ffec00,
    0xfff101f2,0x2002f45f,0x7fd44ff9,0x2fffcc04,0xdfff1000,0xffffb800,
    0x0dff103f,0x9fffd500,0x01f20001,0x745ffff1,0xfff50005,0xfff30000,
    0x7cc0000b,0x200005ff,0xccccccfc,0x00fffecc,0x007ffe20,0xfc802f40,
    0xfb80006f,0xf880007f,0xbd0002ff,0x440fff00,0xfa8006ff,0x01fe8007,
    0x03ffff00,0xfa89ffd0,0x800003ff,0x3ee1745c,0xfb10005f,0x7ffdcfff,
    0x3f660acf,0x807c802f,0xbd0ffff9,0x41ffa800,0x7c406ff8,0x260006ff,
    0x88004fff,0xf307fffd,0x7f5c00bf,0x2dffffff,0x4c03e400,0x0bd0ffff,
    0x01ffea00,0x1fffd100,0x3fa20000,0x100000ff,0xdddddddf,0x07fffddd,
    0x017ffc40,0xf9004f80,0xf70000df,0xf10000ff,0x3e0005ff,0x207ff805,
    0xf0006ff8,0x7fe44009,0xfff98004,0x7ff401ef,0x01fffd84,0x3a2e4000,
    0x2a3ffec2,0x3fffa001,0xffb73b71,0x01bfffdf,0x7d401f20,0x005e8eff,
    0xffc837ec,0x03fff400,0x47fff500,0x3ffa001a,0x04ffa81f,0xc8000000,
    0xdfff5007,0x2a000bd1,0x640007ff,0x00002fff,0x000bfff2,0xb000fb80,
    0xff800dff,0x3f88003f,0x00dff900,0x00fff700,0x00fffe00,0x3e013e20,
    0x1bfe207f,0x4007ea00,0x5ffffffc,0xffffe980,0xfd01ffff,0xdffd109f,
    0x45c80000,0x22ffdc2e,0x3fe2004b,0xbb30133f,0x7c800137,0x37fff200,
    0x3fe2005e,0x805ff102,0x0002fffa,0x04b8dff9,0x20fffe20,0x20003ffb,
    0x7c800018,0x37fff200,0xff50005e,0x7fd4000f,0x8144005f,0x4005fffa,
    0x8017a028,0x2001fffa,0xa8005ffe,0xdff9002f,0xfff70000,0x3ffa0000,
    0x02f98005,0x3e207ff8,0x06d8006f,0xb7000000,0x04ffe800,0x0009fff3,
    0x20ba2e40,0x4007b829,0x7c403ffd,0x0f90000d,0x5ffffd80,0x701bf200,
    0xdffb00bf,0x3fff1000,0x7ec007b8,0x02ffb83f,0x00bff500,0x6c007c80,
    0x0005ffff,0x2000fff5,0x000ffff8,0x7ffc415c,0x815c000f,0x7f4001fa,
    0x3ff2005f,0x07ec000f,0x006ffc80,0x007ffb80,0x01fff900,0xf800fd80,
    0x1bfe207f,0x0005f300,0x07f10000,0x204ffe80,0x0002fffb,0x002e8b90,
    0xfd8007ee,0x7ffe401f,0x007c8000,0x02ffff44,0xfd001ff0,0x2fff9803,
    0x427fe400,0x3f6001fb,0x01ff981f,0x01fff900,0x2003e400,0x005fffe8,
    0x001fff50,0x005fffb0,0xfffb03d0,0x203d0005,0xffb8006e,0xfff1000f,
    0x027e4005,0x000dff90,0x000fff70,0x00fffe20,0xff004fc8,0x037fc40f,
    0x00001ba0,0x0037cc00,0xfb013ffa,0x900001ff,0x0a882e8b,0x4c0077dc,
    0xff7006ff,0x00fb0005,0x00bfff30,0x7c4007ea,0x06ffc806,0x203ffe20,
    0xf9800efb,0x03ff106f,0x0fb76600,0x8007d800,0x0005fff9,0x8001fff7,
    0x8004fffb,0x4fffb87b,0xf507b800,0xfff30007,0x7ffdc009,0x00efc802,
    0x001fff20,0x001ffee0,0x03fffb80,0xf000efc8,0x37fcc0ff,0xfc8acc88,
    0x00000000,0x74003ff3,0x7fc404ff,0x5c80006f,0x0fff4174,0xd801dff7,
    0xff1001ff,0x00fd0001,0x2017fea0,0x7cc003f9,0x0dffb803,0x806ffcc0,
    0x6c00effb,0x13ea01ff,0x000b6000,0xf50007e8,0x3ee000bf,0x3e2001ff,
    0xfa8006ff,0x037ffc46,0xfe837d40,0xffff0001,0x7ffdc003,0xffb731ad,
    0xffd8001d,0xffc80007,0x2e00000f,0x711adfff,0x2001dffb,0xf300fff8,
    0x3fff60ff,0x000003ff,0x8efff400,0x0bfff019,0x01bfff50,0x0ba2e400,
    0x7dc7fff3,0x260acfff,0xb1002ffd,0xff5000bf,0xbf700017,0x0003f980,
    0xfd3007b1,0xffb9815d,0x7fffdc03,0x3ff660ac,0x000fd802,0x40003a60,
    0x8000bffa,0xea8005fb,0xd000cfff,0x55559fff,0xd9755555,0xfffe8bff,
    0xaaaaaaac,0x5ffecbaa,0x0027fe44,0x0f7fffcc,0xffffb300,0x007dffff,
    0x07ffff50,0x7fffd400,0x2600000c,0xfffffffd,0x7d4003ef,0xfff902ff,
    0xbffff903,0x00000000,0x5dffffd3,0x2ffffc88,0xbefffc80,0x745c8000,
    0x2e1fff82,0xefffdb9d,0x8800dfff,0x1000adfe,0xbffffff9,0x205d8003,
    0xb80000da,0xdffd9004,0x003bfffd,0xfffb73b7,0x001bfffd,0x500067dc,
    0xc88001b9,0x1dffffff,0x7002ec00,0xfffffffd,0x7ffdc05b,0xffffffff,
    0xffffffff,0x3ffffee3,0xffffffff,0x23ffffff,0x5ffffffc,0xffffe980,
    0x2001ffff,0x1aacba98,0xffffc800,0x001dffff,0xffffffd9,0x400003bf,
    0x1aacba98,0x7fff5400,0xffd93eff,0x6441dfff,0x000000ce,0x0ddc4000,
    0x3fffff66,0x3a00cfff,0x006fffff,0x220ba2e4,0x54c04c0a,0x000009bc,
    0x40000000,0x00007101,0x54c00298,0x04c000ab,0x004de54c,0x000db880,
    0x00000003,0x00000300,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x33332600,0xaaaccccc,0x30000009,
    0x00001555,0x01555300,0x2aa00000,0x2000002a,0x00002aa9,0x00d55400,
    0x08801800,0x80350000,0x0e400038,0x00000ae0,0x00015553,0x40001000,
    0x00008801,0x000d5544,0x00a20054,0x03fff700,0x00008000,0x000aaa88,
    0x6666664c,0x33326001,0xa80ccccc,0xaaa8001c,0x66666442,0x003ccccc,
    0x2e620ba8,0xeffffffe,0x000effff,0x04ffe800,0xffd80000,0x20000005,
    0x00003fff,0x00ffffa0,0x7fd40000,0xd300001f,0x00016601,0x7b101f98,
    0x0afb8000,0x00007dc4,0x0013ffe0,0x03bff710,0x06d4000b,0xc8000598,
    0xb70006ff,0x20002d80,0x006ffff8,0x007fd100,0x009ffb00,0xffffb988,
    0xd731000e,0xf3037fff,0xff8800df,0xffeb982f,0x000abeff,0xf8837fdc,
    0x7f4c0dff,0x400003ff,0x00006fe8,0x000eff80,0x9ff50000,0x7dc00000,
    0x0000ffff,0x02ffc800,0x20fe4000,0x400002f9,0xfecbdffe,0x7440000f,
    0x5fffdeff,0x7fcc0000,0xffd80005,0x0b11cfff,0x4c1fd800,0xff80001f,
    0xff10000e,0x1fdb737b,0x667e4000,0xc80002ff,0x40000fff,0x40007fe8,
    0x8005fffd,0x7fcc07f8,0x3fee000f,0x0ffff803,0x3fff6000,0x409fff00,
    0x0004fffc,0x000ffcc0,0x01ff5000,0x7e400000,0x22000005,0x04fe98ef,
    0x3ff80000,0xff880000,0x0000bf53,0xffffff30,0x2600005f,0x0effffff,
    0x37dc0000,0x4c74c000,0x3feffffe,0x9ffc4000,0x980005fa,0x5c0001ff,
    0x2fffffff,0xa93e6000,0x540000ff,0x100007ff,0x440003ff,0x8004fffe,
    0x02ec806f,0xe8027ec0,0x540006ff,0x3ffa05ff,0x3fffa204,0x7d400001,
    0x32000003,0x0000001f,0x00000774,0x7ec41d90,0x26000001,0x2000004f,
    0x01ffeffb,0xffd10000,0x800005df,0x003efed8,0x001dd000,0xfea85500,
    0x900005ff,0x001ffbff,0x0005f700,0x3ffffee0,0x41ec0002,0xb80004e9,
    0x2600001c,0x7e40004f,0x74002fff,0x3e000005,0x17ff6005,0xd0062000,
    0xffc809ff,0xb800003f,0x3e000006,0x40000002,0x000000f9,0x02dc03a2,
    0x00b90000,0xfffd0000,0x10000009,0x00000013,0xf8800000,0x01300001,
    0x800006ea,0x004ffff8,0x00007d00,0x000aaa88,0x1b101540,0x00000000,
    0x90001aa0,0x003fffff,0x800002f4,0x3f6000ea,0x0000005f,0xfa809ffd,
    0x000005ff,0x10000019,0x00000007,0x80000035,0x0000a802,0x00000900,
    0x00333260,0x00000000,0x00000000,0x000001a8,0x54000000,0x80000ccc,
    0x00000038,0x00000000,0x00000000,0x7e400017,0x000ffffa,0x200000bd,
    0x7fec000b,0xd0000005,0xffa809ff,0x0000004f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x10000000,0x9dfffdd7,0xa8002c43,0x1bdefedb,
    0x00000000,0xefedba80,0x000001bd,0x00000000,0x00000000,0x00000000,
    0x20000000,0x0dfff97c,0x000017a0,0x5ffd8000,0x40288000,0x7e404ffe,
    0x400003ff,0x32600069,0xcccccccc,0x00009aaa,0x00069800,0x001a6000,
    0xcccccca8,0x32603ccc,0x0ccccccc,0x99999993,0x13555999,0x3f660000,
    0xdba9bdef,0x4006ddff,0xb9acefe9,0x4400dffd,0xcccccccc,0xcccccccc,
    0xfd3002cc,0xffb7359d,0xccc8801b,0xcccccccc,0x2ccccccc,0x66666644,
    0x0003cccc,0x56777644,0x33332600,0x40cccccc,0xccccccc9,0xdd9104cc,
    0x6440159d,0xcccccccc,0xcccccccc,0x367c802c,0x5e804fff,0x33320000,
    0x1ccccccc,0x000bffb0,0xffe80930,0x3fffe204,0x7ec00000,0xd7310001,
    0xfdffffff,0x0001dfff,0x000fec00,0x01fd8000,0xffff7100,0x44015dff,
    0x1bffffd9,0x3fffae62,0xfffeffff,0x50002cff,0xe9803dff,0xf91007ff,
    0x7fec407f,0x7fedcc02,0xeeeeeeff,0x405ffffe,0x2203ffc8,0x5cc02ffd,
    0xeeeffffd,0xffffeeee,0xfffeb985,0x0000abef,0x7eccbbea,0x314eeeef,
    0x5bffffd5,0xfff73103,0xf50359ff,0x3bff665d,0x36e64eee,0xeeeeffff,
    0x5ffffeee,0x3fa27c80,0x02f403ff,0x2a603754,0x9cfffffd,0x00bffb00,
    0xfe80b500,0x3fff604f,0x7c400002,0xf880004f,0x7f4c0dff,0x800003ff,
    0x00004ff8,0x004ff880,0x7fffec40,0x0f7fc000,0x277ffe20,0x3ff6e620,
    0x3f2001ef,0x3f2000ef,0x1ffe8807,0x009ff900,0x5c017ffe,0x3ffa205f,
    0x09ff9001,0x4017ffe0,0x7ffc05fb,0xf980000f,0xeeffc80f,0x6fff883e,
    0x17ffe600,0xfc80ff98,0xff03eeef,0x17ee00bf,0xfff11f20,0x982f403f,
    0x2006fffc,0xd800fffe,0xb80005ff,0x427ff406,0x001fffea,0x0fffc800,
    0x4fff8000,0x013fff20,0x1fff9000,0xfc800000,0x440000ff,0x2001ffff,
    0xff001ff8,0xfff7009f,0xdff7009f,0x01fd0001,0x4003ffd8,0xfe802ffe,
    0x816e005f,0x74003ffd,0xffe802ff,0xd016e005,0x20000dff,0xbff105fe,
    0x00bfff00,0xd027ffc4,0x17fe20bf,0x8017ffa0,0x987c805b,0xbd00ffff,
    0x1bffaae0,0x007ffd80,0x0000bffb,0xeffe80f9,0xbefffedc,0xff000000,
    0xd00007ff,0x7f4409ff,0x200001ff,0x0003ffff,0x1ffffc00,0x7ffd4000,
    0x00ff2005,0x1004ffe8,0x4407fffd,0x30001fff,0x7ffd401f,0x7ffdc000,
    0x02ffec00,0x3fea0d30,0x7fdc000f,0x2ffec00f,0xfd80d300,0xf980005f,
    0x01ffa04f,0xf0013ffa,0x3fe607ff,0x201ffa04,0x26005ffd,0xf707c806,
    0x017a0dff,0x6400dff5,0xffb007ff,0x0fb0000b,0xecceffe8,0x00000fff,
    0x1bffbea0,0x13ffa000,0x007fff90,0x3ffbea00,0x2a000006,0x0006ffef,
    0x005fffb0,0xfe800bf1,0x3fe2004f,0xbffd01ff,0x101d8000,0x20007fff,
    0x7ec05fff,0x4424005f,0xf0003fff,0xffd80bff,0x36024005,0xb80005ff,
    0x3ff604ff,0x027ff402,0x5c0fffe0,0x3ff604ff,0x02ffec02,0x81f20120,
    0x5e85fffc,0x0037fc40,0x3600dff9,0xe80005ff,0x93ffa00f,0x0005fff8,
    0x3febba00,0x7f40001f,0x7ffd404f,0x5dd00005,0x00003fff,0x3ffebba0,
    0xff880001,0x07e400ff,0x013ffa00,0x50dfff70,0x80005fff,0x1fffb009,
    0x3ffee000,0x017ff601,0x03fff600,0x0fffdc00,0x000bffb0,0x005ffd80,
    0x205ffa80,0x7f402ffd,0x7ffc004f,0x40bff503,0x7ec02ffd,0xc800005f,
    0x1ffff407,0xdff1017a,0x037fe400,0x0005ffd8,0x3fa01ff8,0x1fffd44f,
    0x97cc0000,0x40005ffe,0x7d404ffe,0x980004ff,0x00bffd2f,0x3a5f3000,
    0x500005ff,0x7cc09fff,0x4ffe8003,0x1fffe800,0x0003ffec,0x01fffa00,
    0x04fffa80,0x00017ff6,0x8001fffa,0x3604fffa,0x400005ff,0x80005ffd,
    0x3f606ff8,0x27ff401f,0x40fffe00,0x3f606ff8,0x2ffec01f,0x03e40000,
    0xe8bfffe2,0x037fc405,0x200dff90,0x80005ffd,0x3ffa02ff,0x01fffd84,
    0xf73ec000,0x740001ff,0x7fe404ff,0x7d80003f,0x0003ffee,0x7fdcfb00,
    0xfb00000f,0x01ba03ff,0x0027ff40,0xf127ffdc,0x00000dff,0x0037ffc4,
    0x40bfff30,0x48805ffd,0x00dfff10,0x02fffcc0,0x9100bffb,0x017ff600,
    0x80fff400,0xffe806ff,0x1fffc004,0x3e03ffd0,0x5ffd806f,0x32004880,
    0xffff9807,0xff880bd0,0x1bff2006,0x002ffec0,0xe80ffe20,0xffe884ff,
    0x3e200006,0x00fffe24,0x204ffe80,0x000ffff8,0xff127c40,0x4400007f,
    0x0fffe24f,0x7ffc4000,0x0001fb86,0x30009ffd,0x7fd4ffff,0x2000005f,
    0x0005fff9,0xd81fffe2,0x049805ff,0x000bfff3,0xb03fffc4,0x09300bff,
    0x0017ff60,0x2077f440,0xfe800ffb,0x7ffc004f,0x03bfa203,0xfb001ff7,
    0x009300bf,0xffa803e4,0x4405e8ef,0x3f2006ff,0xbffb006f,0x4ff98000,
    0x4c13ffa0,0x00004fff,0x7ffc81f7,0x13ffa000,0x002fffd8,0x7e40fb80,
    0x2e00007f,0x03ffe40f,0x9fff5000,0xd00027cc,0xf10009ff,0x7ffdcfff,
    0x2aaa2004,0x70aaaaaa,0x80009fff,0xfb00ffff,0x209d00bf,0x0004fffb,
    0xd807fffc,0x04e805ff,0x000bffb0,0x567ff440,0xfd000dfe,0xfff8009f,
    0x67ff4403,0xb000dfea,0x09d00bff,0xf9003e40,0x880bdbff,0x3f2006ff,
    0xbffb006f,0x7fd4e000,0x813ffa05,0x0002fffb,0xfff985f8,0x9ffd0002,
    0x03fffd50,0x2617e000,0x00002fff,0x5fff30bf,0x7fec0000,0x8000db1f,
    0xf0004ffe,0x3ff21fff,0x32a2003f,0x0befffff,0x0007fff9,0xb01fffe8,
    0x55555dff,0x3209fd97,0x40003fff,0xfb01fffe,0x755555df,0x36009fd9,
    0x200005ff,0x1accbbe8,0x4efff400,0x99999999,0x403fff99,0x1accbbe8,
    0x577fec00,0xfecbaaaa,0x001f2004,0x80bffffb,0x32006ff8,0xffb006ff,
    0x2e77000b,0x3ffa06ff,0x07ffec04,0x203f5000,0xd0005ffe,0xffdb9dff,
    0x000017df,0x7ff407ea,0x1fa80005,0x000bffd0,0x5f7ffc40,0x7f40001f,
    0xffd0004f,0x13fff23f,0x37ffdc00,0x001fffe4,0x403fffa0,0xeeeefffd,
    0x904fffee,0x80007fff,0xfb00fffe,0xddddddff,0x36009fff,0x100005ff,
    0x3a00007d,0xffffffff,0xffffffff,0x00fa203f,0x77ffec00,0xfffeeeee,
    0x001f2004,0x80bfffd1,0x32006ff8,0xffb006ff,0x90f8800b,0x7ff40dff,
    0x37ffc404,0x540dd000,0xe8001fff,0xffecceff,0x7400000f,0x07ffea06,
    0x540dd000,0x00001fff,0x013fffee,0x013ffa00,0xb87fff40,0x30004fff,
    0xff509fff,0xff80009f,0x17ff607f,0x3ea09f50,0x7c0004ff,0x3ff607ff,
    0x8027d405,0x00005ffd,0x200003fd,0x9999dffe,0xf9999999,0x07fa03ff,
    0x2ffec000,0xd8013ea0,0xfff98007,0x037fc405,0x200dff90,0x64006ffd,
    0xf81fff66,0xffa805ff,0x7cc000df,0x027ffc02,0xf127ff40,0x40000bff,
    0x7ffc02f9,0x0be60004,0x0009fff0,0x00fffd80,0x04ffe800,0x54ffff00,
    0x10005fff,0xff307fff,0x7c4000bf,0x3ff606ff,0xf304b805,0x44000bff,
    0x3f606fff,0x004b805f,0x0000bffb,0x5799fff1,0x3a003555,0x7fc004ff,
    0x9fff103f,0x03555579,0x2017ff60,0x01fa004b,0x202ffd40,0x32006ff8,
    0xffd006ff,0x8ffa200f,0x6440fffe,0xc802ffff,0x000befff,0x999999f9,
    0x01fffd99,0x544ffe80,0x00003fff,0x999999f9,0x01fffd99,0x3333f200,
    0xffeccccc,0x2e00000f,0xd00007ff,0xf30009ff,0x7ffc4dff,0xfff0000f,
    0x0dfff107,0x27ffcc00,0x300bffb0,0x1bffe209,0x4fff9800,0x2017ff60,
    0xbffb0049,0xfff10000,0xffffffff,0x7ff4017f,0x1fffc004,0xffffff88,
    0x0bffffff,0x2017ff60,0x7ff50049,0x0bf70001,0x2007ff98,0x5c406ffc,
    0xccceffff,0xfffecccc,0x4c3fff61,0xfffffffd,0x3ffa00cf,0x7c406fff,
    0xeeeeeeee,0x003fffee,0x7ec27ff4,0x440001ff,0xeeeeeeef,0x03fffeee,
    0xeeeef880,0xffeeeeee,0x2e00003f,0xd00007ff,0xf50009ff,0xfffe8bff,
    0x7fff0002,0x001fffa0,0x203fffa8,0x03005ffd,0x0003fff4,0x6c07fff5,
    0x003005ff,0x00017ff6,0x7fffff4c,0x06ffffff,0xf0013ffa,0x7f4c07ff,
    0xffffffff,0x3ff606ff,0x64403005,0x1dffffff,0x2e02ec00,0xf9001fff,
    0x3ff220df,0xffffffff,0x6fffffff,0x00037fdc,0x1f700000,0x01bff600,
    0xd109ffd0,0xb8000dff,0xdffb000f,0x001f7000,0x0001bff6,0x0007ffb8,
    0x0009ffd0,0xfa85fff9,0xff0005ff,0x3ffea07f,0xdff90002,0x005ffd80,
    0x02fffa80,0x80dff900,0x00005ffd,0x0002ffec,0xa9988e98,0x1ffdcaaa,
    0x8009ffd0,0x3a603fff,0xaaaa9988,0xfb01ffdc,0x000000bf,0xeb80c000,
    0x01efffff,0x00037fe4,0x0f644000,0x05f74400,0x005e8000,0x8007ffea,
    0xff304ffe,0x2f40009f,0x03fff500,0x2a005e80,0x00001fff,0x0000fff7,
    0x30013ffa,0x3f60dfff,0xff8001ff,0x1bff603f,0x07ffe200,0x000bffb0,
    0x00dffb02,0x803fff10,0x10005ffd,0x0017ff60,0x4003f31c,0x9ffd03f9,
    0x03fff800,0x7cc003f3,0x00bffb03,0x74c00020,0x640000bd,0x37fe4004,
    0x15bd3000,0x22000000,0x80006fff,0x7f4001fa,0x3ffa005f,0x0bffee04,
    0x0007ea00,0x5400bffd,0x7ff4001f,0xff700005,0x3fa0000f,0x7fec004f,
    0xdfff301f,0x07fff000,0x0017ffcc,0x36013ff2,0x3a8005ff,0x0017ffcc,
    0x36013ff2,0x3a8005ff,0x000bffb0,0x40037477,0x09ffd02d,0xd03fff80,
    0x205b000d,0xa8005ffd,0xfff30003,0x17cc0009,0x01bff200,0x04fffa80,
    0x32000040,0x740001ff,0xfffb8006,0x09ffd000,0x000fffd8,0x7dc00374,
    0x0dd000ff,0x01fff700,0x0fff7000,0x13ffa000,0x04fffa80,0x0027ffd4,
    0xf900fffe,0x7fc400df,0x5ffd800f,0x640fc400,0x3e2006ff,0xffd800ff,
    0x80fc4005,0x44005ffd,0x800df90f,0x9ffd00f8,0x83fff800,0x7c4006fc,
    0x00bffb00,0x40001f88,0x2a0007fd,0x7fe4005f,0x7ec40006,0x03bf6007,
    0x003fd400,0x2000fea0,0xd004fff9,0xff8809ff,0x0fea006f,0x13ffe600,
    0x2000fea0,0x0004fff9,0x0007ffb8,0x2009ffd0,0x5004fffb,0x7c00bfff,
    0xffb803ff,0x6ffcc00d,0x0bffd000,0x3ee06d80,0x7fcc00df,0xbffd000d,
    0x3606d800,0x364006ff,0x26009ffb,0x17ffa02e,0xb07fff00,0x3a6009ff,
    0x017ffa02,0x70000db0,0x7d4000bf,0x3ff2000f,0x5fc80007,0x07fff300,
    0x007fd100,0x0001fe80,0xf003ffff,0xff500bff,0x3fd001bf,0x3fffe000,
    0x000ff401,0x001ffff8,0x007ffe40,0x027ffc00,0x007bffa2,0x5bfffb30,
    0x3bffd501,0x2bbfa600,0x01ffdcc0,0x801bffa0,0x7f4c03fc,0x7fdcc0ae,
    0x37ff4003,0x7407f900,0xfd1007ff,0x67fffcc7,0xfdaa99aa,0x02fffc03,
    0x309fff10,0x3559ffff,0x807fb553,0x32006ffe,0x74c0003f,0x7fc0001f,
    0x360331cf,0x4c0007ff,0xff1001ff,0x7f4c003f,0x3220002d,0xf98004ff,
    0x9101efff,0x9005ffff,0x1017dfff,0x30009ff9,0x103dffff,0x30009ff9,
    0x003dffff,0x33fffea0,0xff910000,0x975579ff,0x0009fffd,0xdffffda8,
    0x00cfffed,0xddffd900,0x8003bfff,0xaacffffa,0xffcbaaaa,0xffd9000f,
    0x03bfffdd,0xcffffa80,0xcbaaaaaa,0xfb880fff,0xccccefff,0x1fffeccc,
    0x7fffff54,0x200dffff,0x01ffffc8,0x0efffc88,0xfffffea8,0x400dffff,
    0xaacffffa,0xffcbaaaa,0xdd50000f,0xd5000039,0x503bffff,0x0007ffff,
    0x80039dd5,0x000002c9,0xfffff900,0xffd300bf,0x23ffffff,0xffffffd9,
    0x3fa00cff,0x3f26ffff,0x805fffff,0xffffffe9,0xffff91ff,0xfd300bff,
    0x3fffffff,0x3fffb200,0x001dffff,0xffffffb3,0x59bdffff,0x98000013,
    0x009abcaa,0x55d4c000,0x7f644000,0xffffffff,0x6fffffff,0x15753000,
    0xffec8800,0xffffffff,0x46ffffff,0xffffffc8,0xffffffff,0x32a06fff,
    0x01bcefee,0x3fffff66,0x6cc0ceff,0xefffffff,0xefeeca84,0x3b2201bc,
    0xffffffff,0xffffffff,0x00000006,0x90357300,0xffffffff,0x0000003b,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0aaa2000,0x04000000,
    0xccccc980,0x6444cccc,0x3ccccccc,0x005554c0,0x4c055550,0x2a6002aa,
    0x000000aa,0x00401000,0xccccccb8,0x32603ccc,0x1ccccccc,0x1a801900,
    0x80ddc400,0x0aaaa002,0x0ee44000,0x33620000,0x80016dc0,0xd8000800,
    0x91015c00,0x99999999,0x99999999,0x6d400059,0x00360004,0x6666641b,
    0x001ccccc,0x2db83b91,0x70336200,0x6654005b,0xcccccccc,0x3a000004,
    0x00003fff,0x207bfee2,0xfd731004,0x3035bfff,0x15dffff7,0x03ffe880,
    0x207fff10,0x002ffff8,0x0007ffd1,0x2e200058,0x00481eff,0xfffff931,
    0x5cc4015b,0x009cfffe,0x3e601b70,0x3ffee000,0x8802c0cf,0x00002fff,
    0x0000dff9,0x3ea5ffd8,0x4b8000ff,0x2e001620,0x07dc40ae,0x3fff6e60,
    0xeeeeeeef,0x0005ffff,0x4000bffe,0x3e4c09ec,0x3ffff6a6,0xf90009cf,
    0x07ffccbf,0x2a5ffd80,0xf7000fff,0xffffffff,0x5fb100ff,0x3fffea00,
    0xfb00000f,0x223bffff,0xfff88005,0x2fff8806,0x02ffcc00,0x3204ffa8,
    0x2006ffff,0x20006ff8,0x3f600079,0xb11dffff,0x9fff9000,0x03ff1000,
    0x7bdff100,0x4400bffb,0xcffffedf,0xff5004c9,0x7ec00009,0x7400006f,
    0x3ffee5ff,0x81bd0000,0xf88002e8,0x4fffdeff,0x02fffc00,0x10005fb8,
    0x20007fff,0xffdefff9,0x3fffa03f,0x6ffd8000,0x4007ffea,0x3fee5ffe,
    0xddd5000f,0xbddddddd,0x01fff900,0xbfd13fd0,0x33d10000,0x7fdffffb,
    0x17ffe000,0x0007bee0,0x64007fd4,0x23be205f,0x26003ff9,0xfb0000ff,
    0x267a2000,0x4feffffd,0x2fffa800,0x000dd000,0x7fffffdc,0xa8ea000f,
    0x00ffffff,0x0000bf90,0x0001ee98,0x360f74c0,0x3e60003f,0x000bf31f,
    0x7fffffcc,0x5ffe8006,0x80016e00,0x20000dfb,0x5ffffffa,0x003ffec0,
    0x7e41ee98,0x87ba6004,0x00003fd8,0x1fff2000,0x3fb03ae0,0x542a8000,
    0x0005fffe,0xf5013ffa,0xfb80001d,0x6c06f802,0x003fa20d,0xc8002fa8,
    0x8550007f,0x005fffea,0x003fff30,0x50001ba0,0x001bfffd,0xefeb80b8,
    0x001be001,0x00000000,0x36000000,0x001ffcff,0x1f7fec40,0x05ffd800,
    0x00001a60,0x7fecc000,0x7ffc802e,0x00000000,0x00000000,0x805d9100,
    0x00d700e8,0x57500980,0x4ffe8000,0x0003be60,0x3a602e40,0x4c816600,
    0x2002e400,0x30007ffa,0x000aea01,0x001fff98,0x20000dd0,0x00000018,
    0x0003a600,0x00000000,0x22000000,0x0004ffff,0x7ec00000,0x0024005f,
    0x00000000,0x001bff20,0x00000000,0x6666665c,0x32603ccc,0x1ccccccc,
    0x4c009800,0x00000000,0x827ff400,0x00000ef9,0x5006a024,0x09000500,
    0x3ffff220,0x00003ccc,0xfff30000,0x01ba0003,0x00000000,0x000dc000,
    0x3fbb2600,0x71640ace,0x99999999,0x6664c079,0x801ccccc,0x0000deeb,
    0x7ec00000,0x4000005f,0xefffeeb8,0x0001621c,0x006ffc80,0x3bfb6ea0,
    0x332001bd,0xcccccccc,0xffff9311,0x4c4015bf,0x09cfffeb,0x30000000,
    0x03999999,0x666664c0,0xffd00ccc,0x001df309,0x2e200000,0x00000005,
    0xfffdd700,0x40009ddd,0xf3000069,0x3a0003ff,0x0d300006,0xccccc800,
    0x001ccccc,0x7ed40000,0xfca9adff,0x2622fbce,0xadfffffc,0x3fae6200,
    0x00009cff,0x99999100,0x99999999,0x80599999,0x00005ffd,0x7bdffb30,
    0xbbffb753,0x6666640d,0x901ccccc,0xd3000dff,0xfb7359df,0xb53001bf,
    0x139fffff,0x009fff90,0x2003ff10,0xccccccc8,0xcccccccc,0x5cc42ccc,
    0x000effff,0x7fffd731,0x227ff403,0x40000efa,0xcccccccc,0x3ff261cc,
    0x99999906,0x26039999,0x01f641dd,0x00007ff8,0x200007f6,0x0001fff9,
    0x360000dd,0x2a60001f,0x9cfffffd,0xc83bb300,0x7fe4003e,0x3ff2201c,
    0x9fff903f,0x03ff1000,0xec83bb30,0x7fedcc03,0xeeeeeeff,0x405ffffe,
    0x48805ffd,0x07bfea00,0x40fffd30,0xfffffda9,0xdff9009c,0x1ffe4400,
    0x005ffb10,0x2007fff4,0x0002fffa,0xdb9800fd,0xeeeeffff,0x5ffffeee,
    0x02fffec0,0xe803fc40,0x03bea4ff,0x3f6a6000,0x909cffff,0x260dfffb,
    0xcfffffda,0x4dffb009,0xf800fffa,0xf100007f,0xf300009f,0x3a0003ff,
    0xff880006,0xffd00004,0xdffb001f,0x4007ffd4,0x2004ffd8,0xff503ffa,
    0x1ba0005f,0xf537fec0,0x3fe001ff,0x0bf7005f,0x9805ffd8,0x1dff9004,
    0x803fe400,0xc800fffe,0xfd1006ff,0x3ff2003f,0x0fffb004,0x003fff30,
    0xf8001ba0,0xbf7005ff,0x4fffe880,0xd006f800,0x03bee9ff,0x3ffa0000,
    0x1bfea00f,0x003fffa0,0xffa97ff6,0x07ff800f,0x1fff9000,0xfff98000,
    0x00dd0001,0x01fff900,0x0fffb000,0xfa97ff60,0xffc800ff,0x04fb8005,
    0x0003fff3,0x7fec01ba,0x003ffea5,0x7002fff4,0x05ffd80b,0xffb804e8,
    0x0fe8000e,0x007ffd80,0x3600dff9,0x7f4003ff,0x7ffc802f,0x01fff980,
    0x4000db00,0x2e005ffe,0xffffc805,0x802f4002,0x2ffbcffe,0xffb00000,
    0x06ff980f,0x1007ffd8,0x03ec83bb,0x0000fff0,0x000ffffe,0x003fff30,
    0x20001ba0,0x0003ffff,0x1007ffc8,0x03ec83bb,0x000fffa8,0x3fe609d0,
    0x0dd0001f,0xd9077620,0x2ffec007,0xfd80d300,0xbaaaaaef,0x7c404fec,
    0xf30001ff,0x0fff9001,0x201bff20,0x4000fffa,0x6400fffb,0xff9806ff,
    0x0db0001f,0x02ffec00,0xff900d30,0x74003fff,0xfdffd005,0x00003fff,
    0x880fff90,0xffc806ff,0x80000007,0xa80007ff,0x0006ffef,0x000fffcc,
    0x540006e8,0x0006ffef,0x0006ffc8,0x3ffe2000,0x416e0004,0x0001fff9,
    0x000000dd,0x0017ff60,0xefffd809,0xfffeeeee,0x02fff404,0x32007600,
    0xff9006ff,0x3fff880d,0x0bfff000,0x9806ffc8,0xb0001fff,0x7fec000d,
    0x64024005,0x00ffffaf,0x3fa00bd0,0x1ffffccf,0x7fe40000,0x037fc406,
    0x00037fe4,0x03ffc000,0x7fd77400,0x3e60001f,0xdd0001ff,0xfaee8000,
    0x640001ff,0x000006ff,0x007ffee0,0xff305880,0x1ba0003f,0x6c000000,
    0x400005ff,0x7d405ffd,0x0bffea04,0x90013000,0x3f200dff,0x7ffec06f,
    0xfff70000,0x037fe403,0x000fffcc,0x360006d8,0x800005ff,0x0dfff97c,
    0x7f4017a0,0x3ffff94f,0x7fe40000,0x037fc406,0xcc837fe4,0xccc83ccc,
    0x3ffc02cc,0x74be6000,0x260005ff,0xd0001fff,0x97cc000d,0x40005ffe,
    0x99906ffc,0x99990799,0x1fffa059,0x7cc02000,0xdd0001ff,0x0f333320,
    0x00b33332,0x00017ff6,0x700bffb0,0x03ffec09,0xff900000,0x1bff200d,
    0x000fffd0,0x9027ffd4,0xff300dff,0x1b60003f,0x3ff60298,0x7c800005,
    0x2013fff6,0x9ffd005e,0x00ffffe4,0x06ffc800,0x64037fc4,0xfd3306ff,
    0xfff730df,0x007ff809,0xfff73ec0,0x3fe60001,0x0bd0001f,0xff73ec00,
    0x7e40001f,0xffd3306f,0x9fff730d,0x00bfff10,0x7ffcc000,0x20dd0001,
    0x986ffe99,0xd804fffb,0x048805ff,0x300bffb0,0x1bffe209,0xfc800000,
    0xdff9006f,0x037ffc40,0x0bfff300,0x4c037fe4,0xb0001fff,0x417fea0d,
    0x48805ffd,0xfe89f200,0x02f403ff,0x7e44ffe8,0x80001fff,0x7c406ffc,
    0x6ffc806f,0x9037fd40,0x7ff809ff,0x893e2000,0x10003fff,0x20003fff,
    0x9f10005e,0x001fffc4,0xa80dff90,0x3ff206ff,0x04fffa84,0x3fe60000,
    0x0dd0001f,0x3206ffa8,0xffd804ff,0xb0049805,0x40600bff,0x0005fffa,
    0x1bff2000,0x3037fe40,0x4000bfff,0x3207fff8,0xff9806ff,0x0db0001f,
    0x3603fff6,0x049805ff,0xfff11f20,0x802f403f,0xffc84ffe,0x640001ff,
    0x7fc406ff,0x06ffc806,0xf5037fcc,0x07ff809f,0xf903ee00,0x3e2000ff,
    0x9f0002ff,0x903ee000,0x64000fff,0x7fcc06ff,0x213fea06,0x0004fffb,
    0x07ffe600,0x26037400,0x3fea06ff,0x05ffd804,0xffb004e8,0xffb8000b,
    0x2aa2004f,0x0aaaaaaa,0x200dff90,0x3ee06ffc,0x7c0004ff,0xff900fff,
    0x3fff300d,0x541b6000,0xbffb05ff,0x64009d00,0x0ffff987,0x3fa00bd0,
    0xffff904f,0x7fe40003,0x037fc406,0x22037fe4,0x3fe606ff,0x003ffc04,
    0xfff30bf0,0x3ffe0005,0x03f88003,0xff30bf00,0x3f20005f,0x37fc406f,
    0xf909ff30,0x000007ff,0x000fffcc,0x7fc406e8,0x013fe606,0x2aabbff6,
    0x04fecbaa,0x000bffb0,0x01fffe42,0xffff9510,0x3f2017df,0xdff9006f,
    0x01fffe40,0x07fffa00,0x4c037fe4,0xb0001fff,0xfb014c0d,0x755555df,
    0x64009fd9,0x0dfff707,0x7ff4017a,0x3ffff204,0xdff90001,0x806ff880,
    0x7c406ffc,0x13fe606f,0x0041fff0,0xffd01fa8,0x3ffa000b,0x02fa8005,
    0xfd01fa80,0x3f2000bf,0x37fc406f,0xf909ff30,0x000007ff,0x000fffcc,
    0x7fc406e8,0x013fe606,0x3bbbfff6,0x04fffeee,0x000bffb0,0x13fff275,
    0x37ffdc00,0x8037fe40,0x3f206ffc,0x740003ff,0xff900fff,0x3fff300d,
    0x001b6000,0xeeefffd8,0x04fffeee,0xffc81f20,0xd005e85f,0xffc809ff,
    0xfc8001ff,0x37fc406f,0x2037fe40,0x3e606ff8,0x9ffec04f,0x40dd0058,
    0x8001fffa,0x4000fffc,0x6e8000fd,0x007ffea0,0x101bff20,0x7fcc0dff,
    0x05fffb84,0x3fe60000,0x0dd0001f,0x2606ff88,0xffd804ff,0x8027d405,
    0x44005ffd,0x09fff71f,0x13ffe600,0x401bff20,0x3ea06ffc,0x7c0004ff,
    0x3ff207ff,0x1fff8806,0x000bd000,0x2a02ffec,0x01f2004f,0x5e87fffd,
    0x009fff00,0x005ffff9,0x4406ffc8,0xffc806ff,0x037fc406,0xfb809ff3,
    0x9800ffff,0x27ffc02f,0x17ffc400,0x0009f900,0xfff805f3,0x6ffc8004,
    0x3037fc40,0xfff509ff,0x4c00000d,0xd0001fff,0x06ff880b,0x36013fe6,
    0x04b805ff,0x800bffd0,0x17ffea6d,0x1fffc400,0x8037fe40,0x3e607ffc,
    0x220005ff,0x3f206fff,0xfff8806f,0x00bd0002,0x402ffec0,0x01f2004b,
    0x745ffff1,0x0bfff005,0x0fffffa0,0x406ffc80,0xfc806ff8,0x37fc406f,
    0xb009ff30,0x32005bff,0xcccccccf,0x000fffec,0x802fffb8,0xc8000efc,
    0xcccccccf,0x000fffec,0x22037fe4,0x3fe606ff,0x07fff884,0x3fe20000,
    0x0bd0001f,0x2606ff88,0xffd804ff,0xd0049805,0x7e400dff,0x03fffe23,
    0x01fffc00,0xd8037fe4,0x3fe207ff,0x3e60006f,0x3ff204ff,0x2fff8806,
    0x000bf000,0x4c02ffec,0x201f2004,0xbd0ffff9,0xffffc880,0xffffe801,
    0x7e400aef,0x37fc406f,0x2037fe40,0x3e606ff8,0x0011004f,0x777777c4,
    0xfffeeeee,0xfff70003,0x3f6e635b,0xf88000ef,0xeeeeeeee,0x003fffee,
    0x22037fe4,0x3fe606ff,0x03ffff04,0x3fe20000,0x09f0002f,0x2606ff88,
    0xffd804ff,0xf5003005,0x55559fff,0x1fff9755,0x002fffe8,0x9007fff0,
    0xff500dff,0x7ff407ff,0x3fea0007,0x1bff203f,0x001fffc0,0xb00027c4,
    0x00600bff,0xff5007c8,0x260bd1df,0xfffffffd,0xffffb84e,0x06ffffff,
    0xf101bff2,0xdff900df,0x206ff880,0x18804ff9,0x8007dc00,0x20006ffd,
    0xffffffd9,0x20003eff,0xffb000fb,0x6ffc800d,0x3037fc40,0x3fee09ff,
    0x2000002f,0x88003fff,0x37fc403f,0xb009ff30,0x88000bff,0xffffffec,
    0xffffffff,0xfffa86ff,0x7fff0005,0x40dff900,0xfffffffc,0x7ffd41df,
    0xdff90002,0x006ffc80,0x3000bffd,0x7ec0005f,0xc800005f,0x3fff2007,
    0x000005ed,0x3ff20000,0x037fc406,0x22037fe4,0x3fe606ff,0x02ffd405,
    0x7d400bd0,0x440001ff,0x01adeba9,0x2005e800,0x2001fffa,0x7c406ffc,
    0x17fe606f,0x0006ffe8,0x5ffe8064,0x402fa800,0x3e606ff8,0x5ffd805f,
    0x80001000,0xfffb002e,0x7fff0003,0x00dff900,0x7ec003e2,0xff88006f,
    0x37fe401f,0x00fffc80,0x00007ec0,0x2000bffb,0xb001f200,0x000bffff,
    0x0017bd30,0x01bff200,0xf900dff1,0x0fff00df,0x3202ffcc,0xfa801fff,
    0x2fff4001,0x07f10000,0x007ea000,0x400bffd0,0xff806ffc,0x817fe607,
    0x0003fffb,0x7ffe4077,0x007ec000,0xff303ffc,0x0bffb00b,0x40007500,
    0xff3001fa,0xfff000df,0x0dff9007,0xf9801f20,0x7e4002ff,0x6ffc804f,
    0x07fff100,0x00027e40,0x20017ff6,0x001f203a,0x00bfffd1,0x09fff300,
    0x1bff2000,0x900dff10,0xffd00dff,0x0bffd101,0x803edd98,0xffb8006e,
    0xf500000f,0x1ba0000b,0x03ffee00,0x4037fe40,0xfe880ffe,0x7ffe405f,
    0x20354002,0x2002fff8,0xffd004fc,0x0bffd101,0x800bffb0,0x320001f8,
    0x3fea003f,0x7ffc004f,0x06ffc803,0x64003fd0,0x3e2006ff,0xffc800ff,
    0x3ffee007,0x00efc803,0x02ffec00,0x7d807e20,0x5fff9800,0x3ff60000,
    0xffc80000,0x037fc406,0x6c037fe4,0x2faa0dff,0x5b000fff,0x8003fa80,
    0x0004fff9,0x0003ff50,0x98003fa8,0xf9004fff,0xbffb00ff,0x7ffdf541,
    0x1fffdc00,0xb800ec80,0xfc802fff,0xbffb000e,0x7ffdf541,0x02fff400,
    0x90001b60,0xffa800df,0x3ffe005f,0x07ffc803,0xb800bfd0,0x7cc00dff,
    0xffb000df,0xfffb800f,0xffb711ad,0xfd00001d,0x06d800bf,0xfa8003f4,
    0x2e00005f,0xf900006f,0x6ff880ff,0x807ffc80,0xffeffff9,0x1effff99,
    0xfd003a60,0x3ffe0003,0xfd00001f,0x8006639f,0xff0001fe,0xffb003ff,
    0xffff300f,0xfff33ffd,0x7fcc03df,0xb7319cff,0xffb800bf,0xfb731adf,
    0x7cc001df,0x99ffefff,0xd01effff,0x7e400dff,0x7fc40003,0x200988cf,
    0x0adfffd9,0x01dffea8,0x5007ffd8,0x03117dff,0x40aefe98,0x2003ffb9,
    0x003ffffa,0x7ffffecc,0x0003efff,0x801bffa0,0x3fea03fc,0x5fb8000b,
    0x5fd30000,0x3ff60000,0x03ffcc07,0xb803ffec,0xf30effff,0x6e4c03bf,
    0x13ff2201,0x3fffe600,0xea80001e,0x801effff,0x8004ffc8,0x01effff9,
    0x00ffffea,0x43bfffee,0x1001dff9,0xffffffb9,0x260003bf,0xfffffffd,
    0xf70003ef,0x3e61dfff,0x3fea01df,0xaaaaacff,0x00fffcba,0xffffc800,
    0xfda800df,0xffeddfff,0xff5000cf,0x3f6007ff,0x9004ffff,0xfffddffd,
    0x3ff2003b,0x1dffffff,0x32ea6200,0x400001aa,0xaacffffa,0xffcbaaaa,
    0x7ffe440f,0x4001dfff,0x7540005d,0x500002ce,0x6407ffff,0x3ea01fff,
    0x2a003fff,0x4005c40a,0xffffc801,0xfe9805ff,0x1fffffff,0x1ab98000,
    0xfffff900,0xffd300bf,0x43ffffff,0xfffffffc,0x055401df,0x300002e2,
    0x00013595,0x2b2ea620,0x5500001a,0x9100b881,0xfffffffd,0xffffffff,
    0x980000df,0x530000ab,0x00135795,0x7fffffe4,0xba801dff,0x7530000a,
    0x00000015,0x00000000,0x3ffffb22,0xffffffff,0x0006ffff,0x00006000,
    0xff900000,0x3bffffff,0x3fffffaa,0x3ffff22e,0x001dffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xb5077220,0x1dc88007,0x026d4000,
    0x1cb88000,0xb9100000,0x0002db83,0x0002dc80,0xcccccc98,0x000ccccc,
    0x2001aa00,0x066cc3da,0x400d4000,0xccccccca,0xc9804ccc,0xcccccccc,
    0x0000004c,0x0002b800,0x99300000,0x99999999,0x3332a009,0x4ccccccc,
    0x00000000,0x01998800,0x00000000,0x0012e200,0x65400000,0x2e000000,
    0x3ffe26ff,0x1bff2001,0x2fff8800,0x77cc0000,0x800005fc,0x3fe66ffc,
    0x2a00000f,0x40000fff,0xfffffffa,0x0000ffff,0xf1000f60,0x27ff43ff,
    0x401e4000,0xfffffffc,0xfb807fff,0xffffffff,0x0000007f,0x02ffd400,
    0x04e98000,0xffffffb8,0x800fffff,0xfffffffb,0xdb807fff,0x3a0004ef,
    0x7ffc0005,0x6d440005,0x00001dff,0x01bff260,0x2b3bfb6e,0x7e4001a0,
    0x2015c3ff,0x27ffc805,0x2002fff9,0x20007ffc,0x0003fff8,0x01f11ec0,
    0x6ffd8000,0x0007ffea,0x00fffb80,0x77774c00,0x0eeeeeee,0x01f10000,
    0x22fff980,0x10005ffe,0x159dffb7,0xdddddd70,0x500bdddd,0xdddddddd,
    0x00000ddd,0x7ff98000,0xffd00000,0xeeeea805,0x0eeeeeee,0xccccca80,
    0x404ccccc,0x0efc8cfc,0x0007dc00,0x001dff30,0x656ffe40,0x800002ff,
    0x206fffdc,0xecbdffe9,0x0007eeff,0xf88ffffd,0x8802e884,0x027e42ed,
    0x000bb620,0x0001bf70,0x13607c40,0x5dd30000,0x00004fc8,0x0001fec4,
    0x00000000,0x3f2000d7,0x000f7544,0x5eeeffdc,0x0001dffe,0x00000000,
    0x32000000,0x7000003f,0x000007ff,0x5c000000,0x0027f45f,0xb80005f3,
    0x2e0000ff,0x07fcc1ff,0xffa80000,0x019ff106,0x000fffd1,0x70bfffee,
    0x01ba21df,0x00000000,0x00000000,0x0005d0ba,0x00000000,0x00000000,
    0x1f400000,0x00000000,0xa8f21bf9,0x000003ff,0x65c00000,0xcccccccc,
    0x33332603,0x03eccccc,0x3ffb2ea0,0x07741bce,0x00000000,0xb85ff000,
    0x0bd000ff,0x003fd000,0xe837fc40,0x3000002f,0x1ffa0dff,0xb00ffd10,
    0x20bea220,0x01feaffe,0x00000000,0x00000000,0x07c9aeb8,0x00000000,
    0x00000000,0x6f7f6dd4,0x2600001b,0x0000000f,0x643ff500,0x3321fd43,
    0xcccccccc,0x00d30001,0x7ffe4c40,0x2200adff,0x1cfffeb9,0x677ec400,
    0xffffdb9b,0x66440bcd,0xcccccccc,0xcccccccc,0x20eecc02,0x3fe603ec,
    0x4017fcc1,0x440000fc,0x7d40002f,0x007f903f,0x1bfe2000,0x2200ffe6,
    0x203cc07e,0xfff980f9,0xcccc885f,0xcccccccc,0x82cccccc,0xcccccccc,
    0xcccb81cc,0xcccccccc,0x00cccccc,0x01cfeb80,0x06980000,0x33332200,
    0xcccccccc,0x02cccccc,0x359dfd30,0x001bffb7,0x9505c880,0x99999999,
    0x66664c07,0x3f60cccc,0x21f41e46,0xfffffda9,0xfb00009c,0xff900003,
    0xff10009f,0x9ff70003,0x00effc80,0x3ffff6e6,0xfeeeeeee,0x7ec05fff,
    0x03ffea6f,0x3e60ffdc,0x017cc04f,0x0001dc00,0xff827fdc,0xf1000002,
    0x05ff70df,0x0fb01f20,0x3ff605c8,0xffb7300f,0xddddddff,0x30bffffd,
    0x9fffffb5,0xffffd013,0xffffffff,0x0009ffff,0x00000fec,0x0001fd80,
    0x3ffff6e6,0xfeeeeeee,0x64405fff,0x3f6203ff,0x3b22002f,0xb880dfff,
    0xaeffffff,0x3ff66200,0x3ffc1bff,0xe80ee0f2,0x40000fff,0x80004ff8,
    0x0002fffa,0xffb000dd,0x3bfee007,0x05fff800,0xfd80bf70,0x03ffea5f,
    0x3e20ffe4,0x0027404f,0x70000080,0x1df50dff,0x3e200000,0x05ffc86f,
    0x3fe40f30,0x00001d90,0x7005fff8,0xfffe80bf,0x04dffc00,0x01bffe60,
    0x004ff880,0x4ff88000,0xbfff0000,0x8817ee00,0xf9001ffe,0x5df5009f,
    0x205fff93,0x00ffffd8,0xe80f7fc0,0x2a0f22ff,0x01fff603,0x03fff200,
    0x3fff3000,0x001ba000,0xc800bff7,0xffe805ff,0x1016e005,0x03ec83bb,
    0xff307fee,0x00076409,0x80330000,0x3a20fffa,0x2000002f,0xffa86ff8,
    0x2a0f002f,0x019b07ff,0xbffd0000,0x3602dc00,0x17c407ff,0x03fffd00,
    0x07ffe400,0x3f200000,0xe80000ff,0x16e005ff,0x4003ffd8,0x3ea02ffe,
    0x07ffeec5,0x01ffff88,0xc807fe20,0x00790dff,0x000fff90,0x007ffff0,
    0x01fff980,0x4400dd00,0x44001fff,0x7ec02fff,0x01a6005f,0x5ff50000,
    0xf303ff98,0x2e600003,0x3e22defd,0x9fffcc03,0x00002ffa,0xf17dfd97,
    0xffff10df,0xfc883007,0x8bcccfff,0xdffeb801,0x3ff606ac,0x901a6005,
    0x06880fff,0x00ffff20,0x07ffff00,0xfff80000,0xfd80003f,0x41a6005f,
    0x4000fffa,0xf880fffb,0x3fa7e20f,0x3ffea04f,0x00ff2005,0x791dfff5,
    0x0dff9000,0xffefa800,0x7fcc0006,0x0dd0001f,0x002fff40,0x6c06ffd8,
    0x024005ff,0x3fe20000,0x440ffd43,0xe880004e,0xdffda9bf,0xffd004e9,
    0x7441bfbd,0x02eeeeee,0xf7317fd1,0x3f60dfff,0x2001efff,0xeefffeeb,
    0x17dd004e,0x6c0dff93,0x024005ff,0x9301bff2,0x17ffe600,0xffdf5000,
    0x5400000d,0x0006ffef,0x4005ffd8,0x03fff884,0xb0bfff00,0xff76a8bf,
    0x2fffd809,0xd005f880,0x007ddfff,0x000dff90,0x1fffaee8,0x3ffe6000,
    0x00dd0001,0x000bffee,0xb027ffd4,0xc8000bff,0xcc83cccc,0x9f902ccc,
    0x0d905fd8,0x203ba000,0x2005fffb,0x302efffb,0x2017ffff,0xffa81fe8,
    0x3fffa06f,0x7c000dff,0x1fc8007f,0x3f606f88,0x6400005f,0x00c406ff,
    0x007fff44,0x3febba00,0xd000001f,0x003fff5d,0x005ffd80,0x00fffd80,
    0x43fff700,0x31ec3ff8,0xffff1005,0x000fc801,0x09ffffd1,0x00dff900,
    0xffe97cc0,0x3fe60005,0x0dd0001f,0x003fff20,0x206fff80,0x40005ffd,
    0x986ffe99,0x3604fffb,0x501df51f,0xfb00003f,0x02ffec07,0x01ffff70,
    0x3a017fe4,0x1bff204f,0xfffffe88,0x1ffe003f,0x5c03fe00,0x017ff606,
    0x0dff9000,0x3fff2000,0x97cc0002,0x00005ffe,0xbffd2f98,0x5ffd8000,
    0x7ffe8000,0x3ffea000,0xf88bfe64,0xfff50000,0x001fcc09,0x37ffff62,
    0x1bff2000,0x3ee7d800,0xf30000ff,0x3a0003ff,0x0fffd006,0x07fff800,
    0x22017ff6,0x037fd404,0x64409ff9,0xf880dfee,0x7dc00404,0x0fffec07,
    0x3ffbfa60,0x017f204f,0x7d401ff5,0xfffb806f,0xf802ffff,0x7fc4007f,
    0x7ec0d102,0x0048805f,0x0000dff9,0x000bfff5,0x7ffdcfb0,0x3ec00000,
    0x0001fff7,0x4402ffec,0x0dfff104,0x2fffcc00,0x035c3ff5,0x07fff600,
    0xf7000374,0x2003ffff,0x10006ffc,0x1fffc49f,0x1fff9800,0x200dd000,
    0x40007fff,0xfb00fffe,0x809300bf,0x3ea06ff9,0xd801004f,0x7bfd9106,
    0xd9037f40,0x7e40bffb,0x1ffff8af,0xfe801fd0,0x037fc406,0xfffffd88,
    0x03ffc05f,0x2817ffc0,0x2017ff60,0xdff90049,0xfff88000,0x7c40000e,
    0x00fffe24,0x224f8800,0x20003fff,0x49805ffd,0x00bfff30,0x93fffc40,
    0x001f45ff,0x21bffe20,0x4c0001fb,0x803ffffe,0x70006ffc,0x07ffc81f,
    0x03fff300,0x2601ba00,0x40006fff,0xfb02fffd,0x809d00bf,0x3e606ff8,
    0xfa80004f,0xf72fe881,0x20bff109,0x07ffc8eb,0x7fdc3dfb,0x403f886f,
    0x7c405ff9,0x7f4c006f,0x3e05ffff,0xffc8007f,0x3f6000df,0x004e805f,
    0x8000dff9,0x0001fffd,0x7fe40fb8,0x3ee00007,0x003ffe40,0xd00bffb0,
    0x13ffee09,0x1ffff000,0x07ccffee,0x7ffd4000,0x00013e64,0x27ffff64,
    0x001bff20,0x7ffcc2fc,0xfff98002,0x00dd0001,0x000bfff5,0xb03fffc8,
    0x55555dff,0x8809fd97,0x3fe606ff,0x1fc40004,0x17f44fd8,0x3ea17fea,
    0xd81fff51,0xfffe80ff,0x7dc03644,0x37fc404f,0xffffb800,0x00fff03f,
    0xbfffff30,0x5dffb001,0xfd975555,0x1bff2009,0x4fffb800,0x30bf0000,
    0x00005fff,0x3ffe617e,0xdffb0002,0xd9755555,0x3fff209f,0x7ff40003,
    0x32dff51f,0xd8002605,0x00db1fff,0x7fcde400,0x3ff203ff,0x01fa8006,
    0x3000bffd,0x20003fff,0xfffa806e,0x7fe40005,0xdfffb02f,0xfffddddd,
    0x06ff8809,0x00013fe6,0x07fe60db,0x6ffc8ff9,0xfff30fd4,0xa82ffdc3,
    0x3f51ffff,0x809ff900,0x20006ff8,0xf07fffd8,0x3a2000ff,0x403fffff,
    0xeeeefffd,0x004fffee,0x2000dff9,0x0006fff8,0x3fa03f50,0xfa80005f,
    0x00bffd01,0x3bbfff60,0x4fffeeee,0x007fff90,0x10fffe80,0x405f3fff,
    0x7ffc4005,0x00001fbe,0x7fff44f2,0x00dff900,0x7fd40dd0,0x7fcc001f,
    0x0dd0001f,0x00dfff10,0x01fffd80,0xfa80bffb,0x037fc404,0x40009ff3,
    0x1ff700fb,0x3ee0ffb8,0xf10be67f,0x03fff8ff,0x3e3bfff6,0x0bffb003,
    0x1a86ff88,0x07fffa00,0x50001ffe,0x40bffffd,0x7d405ffd,0x0dff9004,
    0x07fffa00,0x50374000,0x80003fff,0x3ffea06e,0x5ffd8001,0xfa827d40,
    0x7c0004ff,0x77ffc7ff,0x20012a07,0x004ffffb,0xff11e400,0x1bff205f,
    0xf805f300,0x7cc004ff,0xbd0001ff,0x01fffe00,0x40fffd00,0x4b805ffd,
    0x3037fc40,0x220009ff,0x03ff203f,0x7fd45ff5,0xf883f88f,0x03ffea6f,
    0x6efffe88,0x01bff200,0x0970dff1,0x41fffc40,0x700007ff,0x3605ffff,
    0x04b805ff,0x000dff90,0x0007fff9,0xff00be60,0x7cc0009f,0x027ffc02,
    0x402ffec0,0xbfff304b,0x7ffc4000,0x837ffe46,0xfb0001fa,0x800001ff,
    0x827fe43c,0x64006ffc,0xcccccccf,0x000fffec,0x0007ffe2,0xffe802f4,
    0x3fe0000f,0x17ff606f,0xff101260,0x027fcc0d,0x7ec05e80,0x263ffa87,
    0x304eafff,0x7ffdc9ff,0x7fffcc03,0x3ffee003,0x21bfe200,0x7fec007b,
    0x4007ff83,0xbffd1028,0x2017ff60,0xdff90049,0x5fff9800,0x33f20000,
    0xeccccccc,0x90000fff,0x9999999f,0x001fffd9,0x9805ffd8,0x0dfff104,
    0x27ffcc00,0x55fffff4,0x20003fdb,0x20007ffb,0xffa87906,0x00dff903,
    0x777777c4,0xfffeeeee,0x3ffe2003,0x009f0002,0x0007fff2,0xb02fffc4,
    0x00600bff,0x7cc0dff1,0x0fb8004f,0x2a07fe40,0x7fff42ff,0xc8bfea05,
    0xfc806fff,0x4a603fff,0x2204fff9,0x01fb86ff,0x3e07ff60,0x0344007f,
    0x3f60fff1,0x2003005f,0x22006ffc,0x0000fffe,0xdddddf10,0xfffddddd,
    0xddf10007,0xdddddddd,0xd8007fff,0x403005ff,0x20007ffe,0xf883fffa,
    0x5fffffff,0x3ffdc000,0x7901f000,0xf902ffa8,0x07dc00df,0x006ffd80,
    0x4001fffc,0xff1004f8,0x3ea0009f,0x3ff600ff,0xff100005,0x02ffcc0d,
    0x2a00be60,0x0ffdc0ff,0xc803ffe6,0x7fffd45f,0x3fffa201,0x6c5d03ff,
    0xff100fff,0x001df70d,0x3fe0dff3,0x3f10020f,0xfd837ec0,0x6400005f,
    0x3f2006ff,0x200002ff,0xffb000fb,0x01f7000d,0x001bff60,0x0000bffb,
    0x0005fff5,0xed81bff2,0x003fffff,0x007ffb80,0x90f20fe0,0x3ff201ff,
    0x8017a006,0x2001fffa,0xa8004ffe,0x3fee002f,0xffe8000f,0x02ffec03,
    0x07ff8080,0xd0017fe6,0x0bfe600b,0xffd01ff9,0x221be20d,0xb81efffe,
    0xffffc9ef,0x4c6eb9be,0x7441ffff,0x3ee11fff,0x7fec00ef,0x227ffb01,
    0xd037c405,0x17ff609f,0xffc80400,0xbfff5006,0x3a028800,0x3ffea005,
    0x002f4001,0x4003fff5,0x10005ffd,0x8006ffd8,0xf101fff8,0x00026a61,
    0x003ffdc0,0x23c81ff0,0x3f202ff9,0x03f5006f,0x005ffe80,0x2001fff2,
    0x7f4000fd,0x7fd4004f,0x05ffd806,0xffe83a80,0x05ffe880,0xc8003f20,
    0x641ffc4f,0x260dffde,0xfff300fe,0x7ffb9dff,0xffffffb8,0xfffa81ff,
    0xffbedcdf,0xfff72eff,0x7ecc159f,0x3fff202f,0x7fc400ff,0xb037d42e,
    0x75000bff,0x201bff20,0x000ffff8,0x01fa815c,0x002fff40,0xfe8003f5,
    0x3ff6005f,0x4c3a8005,0x64002fff,0x016e04ff,0xfff70000,0x5fffc000,
    0x0ffea790,0x200dff90,0xffb8006e,0xfff1000f,0x027e4005,0x007ffd40,
    0xb003ffd0,0xf8800bff,0x20dffd81,0x00fffbea,0xd8002f98,0xb85fd8bf,
    0xddfff50f,0xfd98019d,0x01efffff,0x3bffffd5,0x7ffff4c0,0x42dff89e,
    0xfffdb9db,0x800dfffe,0x8802dffd,0xfecfffef,0x17ff600c,0x3203f100,
    0xffd806ff,0x01e8002f,0xff7000dd,0x01ba001f,0x003ffee0,0x2002ffec,
    0x6ffc81f8,0x03ffe200,0x000002e8,0x0003ffdc,0xdddffd93,0xf9001bff,
    0x07f500ff,0x09fff300,0x017ffdc0,0x800077e4,0x4401effa,0xfd001efe,
    0x06d800bf,0xffdffff3,0x3dffff33,0x50002740,0x3f107bfb,0x00015530,
    0x40037753,0x22000aa8,0x402e20aa,0x9bca9809,0x00044000,0x00aaa982,
    0x4005ffe8,0x1fff206d,0x009fff70,0x0fea0f70,0x13ffe600,0x2000fea0,
    0xd004fff9,0x6d800bff,0x0037fee0,0x4c01bff3,0x4000000f,0x00007ffb,
    0x003bd531,0xe807ffd8,0xfff0001f,0x7fd4003f,0xdb731acf,0x880001df,
    0x5440affd,0x3a000dff,0x3f2006ff,0x3fffee03,0x03bff30e,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffe80000,0x80ff2006,0x3e207ffd,
    0xfa8006ff,0x0003fd06,0xd007fffe,0x3fe0003f,0xffe801ff,0x00ff2006,
    0x9815dfd3,0x5c803ffb,0xfc800000,0x400000ff,0x7fd4003c,0xff9103ff,
    0xfff30009,0x64c003df,0xffffffff,0x5400002e,0xfffefffe,0x7fd4002d,
    0xaaaaacff,0x00fffcba,0x05c40aa8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7d400000,0xaaaacfff,0x0fffcbaa,0x07ffff50,0x2ab3fffa,
    0xbaaaaaaa,0x6445ffec,0xf98004ff,0xc881efff,0xf98004ff,0x2a01efff,
    0xaaacffff,0xfffcbaaa,0xdffd9000,0x003bfffd,0x000000ba,0x019ffff5,
    0x8015c000,0xfffffffc,0xffff91df,0xfd300bff,0x3fffffff,0xacba9800,
    0x8000001a,0x4000aba8,0xfffffec8,0xffffffff,0x00006fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x64400000,0xfffffffe,0xffffffff,
    0xffffc86f,0xf71dffff,0xffffffff,0xffffffff,0x7ffe47ff,0xe9805fff,
    0xffffffff,0xffffff91,0xfffd300b,0x223fffff,0xffffffec,0xffffffff,
    0x530006ff,0x59800157,0x3b200000,0xdfffffff,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x10000000,0x001ca897,0x09988000,0x10002666,
    0x1791003d,0x20000000,0x000004b8,0x00001333,0x26200000,0x98000099,
    0x0000001d,0x00000000,0x4cc43331,0x00007900,0x00000000,0x00000000,
    0x09998800,0x09998800,0x80000000,0x39803600,0x3fff2000,0xeed88002,
    0xfeb83eee,0x0000bcef,0x03bdfb51,0x37fe4c00,0x3609fff7,0x36012601,
    0x0dff11ff,0xf900f700,0x20005fbb,0xa801fffd,0x00005ffd,0x802fffa8,
    0xfb9510e9,0x00017ddf,0x0006ffe8,0x007ffae2,0x0007fff6,0x8007bfb5,
    0x01cefed9,0xfd93fee0,0x000d702f,0x0ef7f6dc,0xf8827400,0x0d805702,
    0x0fffe400,0x7ffe4000,0xffe88000,0x75100005,0x037bdfdb,0x417d40d7,
    0xf10000ea,0x4000dfff,0x224fffc9,0xffffeffe,0x77c4000e,0x001ffa8a,
    0x26fffdc8,0x980ffffd,0x800f982f,0x0bfea4ff,0xf1013a00,0x4c0035c1,
    0x6c05ffff,0x0005fffd,0x003ffc80,0x79fffdf5,0x1bffd953,0x1dff1000,
    0x3fb66000,0x7fd401ff,0xff5005ff,0x001df939,0xfffffff7,0x83ff2007,
    0x07e605ff,0x13bfd500,0x4001bfd7,0x401f503f,0x003d884e,0x037fffcc,
    0x00fff400,0x01fff100,0xbdfe9800,0x0dffdb9a,0x3fe805f5,0xd8000fea,
    0x003ffbbf,0x453ffe20,0x3f660bde,0xbd1001ff,0x4000bfb0,0x3fea6ffa,
    0x49fb03ff,0xff8803fa,0x20017ee0,0x42dc01f8,0x57f4001f,0xfc802ffc,
    0xf800005f,0x3fea004f,0x3fe200df,0x7fd4002f,0xfff00001,0xfcafe803,
    0x07fd402f,0xf9803bee,0xfffffccf,0x222fe801,0x027400ff,0x3201ff30,
    0x03f3005f,0x1df501f2,0x36001ba2,0x002ffcbf,0x000bfe60,0x000bfe60,
    0x6c03ffc8,0x9803fcff,0x006fbdff,0xff98fe60,0x3ffa0000,0xffd807d4,
    0x82fe800f,0x30000ffb,0xf9888dff,0xf7bff103,0xb0bea00f,0x0f70001f,
    0x00798f30,0x0df517dc,0x000bff50,0x4005f980,0xf1004ffb,0x7ec007ff,
    0x3fa00002,0xa8bee01f,0x0bfe606f,0x2e882ff4,0x804fffa8,0x4017d45f,
    0x13fa006b,0xa802ff98,0xd00bb00f,0x005fd5ff,0x3fea2fa8,0x07f70000,
    0x027d4000,0x00fff440,0x2006ffd8,0x002ffffd,0x13a20ba0,0xccffe800,
    0x4ffe8804,0x4407fcc0,0x3e20006e,0x403f106f,0x002ffffc,0x0007d0b9,
    0x4ef4013a,0x3a2004ea,0x5403e981,0x400005ff,0x7dc000ec,0x7ffc4005,
    0x0007f001,0x7ff7776c,0x0f446eef,0x7fd81f4c,0x3207fea0,0x01fff202,
    0x005b81f3,0xff3003f1,0x804ff803,0x200fe06c,0x005ffff9,0x04e882e8,
    0x0000bd00,0xfb000f70,0xfff8009f,0xbfff1002,0x20154000,0xffd0001c,
    0x7fe400df,0x01fee00f,0x6ff88000,0xff880d70,0x2036006f,0x03f10006,
    0x02fbf220,0x36201b80,0x017fe600,0x0001d000,0x3f2000d7,0x025400ff,
    0x33333200,0x5c4cdffe,0xf3036201,0x85ff80bf,0x07ffcc01,0x001b0750,
    0x7fd40274,0x402ff402,0x005f105e,0x0007fff2,0x000c8037,0x000002c4,
    0x7fd40039,0x3ff2000f,0x000000ff,0x40000000,0x2001fffe,0x3603fffa,
    0x2000007f,0x1fb86ff8,0x40200000,0x00f70000,0x00000010,0x002ffcc0,
    0x64000200,0xfff10004,0x0000080b,0x0003ffb0,0x403ffc80,0xe8001ffe,
    0x0080405f,0x7cc035c0,0x017fc04f,0x00fa81fc,0x00000000,0x00000800,
    0xff880040,0x2bea003f,0x00005ffe,0x00000000,0x4002fff4,0x3fa05fff,
    0x1000000f,0x00dc8dff,0x00000000,0x00002740,0x26000000,0x000005ff,
    0x00039000,0x0007ffec,0x7fec0000,0x7f400001,0x1ffe401f,0x0017fc00,
    0x01f88000,0xf302fff8,0x01f8801f,0x000000f9,0x00000000,0xd8000000,
    0xf3000fff,0x80bfff27,0x03effdc8,0x19999997,0x3333332a,0x66665c1c,
    0x009ffd01,0x7c0dffd0,0x5c0000ff,0xff8befec,0xdb8800c6,0x3000cefe,
    0x0059bfd7,0xccc81f88,0xcccc83cc,0xedb8802c,0x7cc00cef,0x37bf265f,
    0xfdb71002,0x0010019d,0x04fffa80,0xd59bffd7,0xbffb9300,0xb803ffb3,
    0x46acdffe,0x5c01fff9,0x7cc004ff,0x3ccccc84,0x02ccccc8,0x7fec0274,
    0x4c3fe81f,0xeefeeeee,0xeeffeeee,0x37fae604,0x3333202c,0xccccc83c,
    0x3ccccc82,0x82ccccc8,0xc83ccccc,0xff02cccc,0x97e200ff,0xf504fffa,
    0x3dffb57d,0x1efffd98,0x37fffaa2,0x5ffe440a,0x009ffd00,0x740fffb0,
    0xd10001ff,0xfff7317f,0xdd3000df,0x05ffd735,0x654df7c4,0x1ee004ff,
    0x437ff4cc,0x404fffb9,0xfeb9aee9,0x57fe602f,0x3ffffffb,0x5cd774c0,
    0x00002ffe,0x437ffcc0,0xffc98bee,0x44efdc06,0x01ffffea,0x3f262fba,
    0x07ffd46f,0x001bfee0,0x3fa660bb,0xfffb986f,0x4403dc04,0x3f63ffff,
    0xecccc983,0xfccccccf,0xef883ccd,0x04ffca9b,0x30dffd33,0x3309fff7,
    0xf730dffd,0xfd3309ff,0xfff730df,0x0dfff109,0xfff11ba0,0xf705f70b,
    0xbffb01ff,0x807ffe60,0x7ff403f9,0xfffd8004,0x005ffb00,0xf503fd10,
    0xfa800dff,0x81fffa85,0xffb80fe8,0x404e800e,0x3f206ffa,0x217ea04f,
    0xf301fffa,0xfb9bf7bf,0x3ea07fff,0x01fffa85,0x3fe20000,0x440fe47f,
    0x217f206f,0x901fffe8,0xb8df103f,0x7d400fff,0x03f6007f,0x640dff50,
    0x0fc404ff,0x67fffcc0,0x13a001ed,0xfd1017c4,0x01dff701,0xfc81bfea,
    0x1bfea04f,0x2a04ffc8,0x3ff206ff,0x05fffa84,0xfff80fc8,0xfd037c47,
    0x0dff309f,0xf7017fec,0x009ffd00,0x223fff90,0xcdffeccc,0x4fe804cc,
    0x801bff20,0xffd00ff8,0x6c05fd09,0x0fc404ff,0xa81bfe60,0x1ff104ff,
    0x4c13ffa0,0x7cc0dfff,0x7fc40fff,0x989ffd00,0x99999999,0x99999999,
    0x0ffff999,0x835c03fe,0xff300ffa,0x403fe03f,0x03ffdc6b,0x5403ffd4,
    0x2601fffe,0x3fea06ff,0x3004e804,0x001fffff,0x0fa81fc4,0xfd80bfa0,
    0x0dff304f,0xf3027fd4,0x27fd40df,0x540dff30,0xfffb84ff,0xf80fdc04,
    0x0bf60fff,0xfb07ffc8,0x17fe603f,0xffe804e8,0xfffc8004,0xffffff30,
    0xa80fffff,0x3fea00ff,0x813f6006,0x7fe43ffc,0x07ffe600,0xff8806b8,
    0x413fe606,0x3ff204fd,0x40bff303,0x7ec4fff9,0x98fff204,0xffffffff,
    0xffffffff,0xffffffff,0x2205ff11,0xf809fd06,0x2ff881ff,0x7ffc8d10,
    0x00fffa80,0xffffffd3,0x81bfe209,0x7b804ff9,0x3fffe600,0x03f3001e,
    0x0ffc81b2,0x207ffe60,0x3e606ff8,0x1bfe204f,0x2204ff98,0x3fe606ff,
    0x03fffc84,0xffe80fe6,0x557ff11f,0xfff95555,0x209ff503,0xf880fff8,
    0x04ffe801,0x207ffb80,0x74002ffd,0x37fc406f,0x402ff980,0x806fe829,
    0x13a05ffd,0x981bfe20,0x2ff984ff,0xff3014c0,0x26ffd80b,0x14c02ff9,
    0x267fffe2,0x99999999,0xff999999,0x0bffe1ff,0x017fdc14,0x7fc07ff6,
    0xffc8502f,0x0fffa806,0x7ffed440,0x06ff882f,0x22013fe6,0xdee8801f,
    0xb801ffff,0xfe817a07,0x85ffd806,0x3e606ff8,0x1bfe204f,0x2204ff98,
    0x3fe606ff,0x03fffb84,0xffe80bf1,0x999ff30f,0x99999999,0x5c1ffe03,
    0x06b84fff,0x0009ffd0,0x7e40fff7,0x3fe6002f,0x037fc405,0x8001ffa8,
    0xfb805ff8,0x003f106f,0x7cc0dff1,0x01ffa84f,0x02ffcc00,0xffa9ffe6,
    0xffff0001,0xfff80001,0x06fffe47,0x2007ff40,0xff901ffd,0xffb801bf,
    0x07ffb807,0x42fffd40,0x3e606ff8,0x809d004f,0xfff90ef9,0x206d803f,
    0x0bff103f,0xf10dff70,0x27fcc0df,0x4c0dff10,0x3fe204ff,0x213fe606,
    0xdd04fffa,0x54ffff00,0xf900007f,0xfff7d05f,0x3fa007d0,0xffc8004f,
    0x00bfee05,0x4404ffb8,0xff7006ff,0x9ff50003,0x01fff500,0x3fe200d7,
    0x213fe606,0x40001ffb,0x7c405ff9,0x03ff70ff,0x07fff600,0x6fff8800,
    0x6fffffcc,0x201ffe00,0xff301ffd,0x2a01bfff,0xffb807ff,0x7ffa8007,
    0x2606ff88,0x0f7004ff,0x3ee0ff44,0x26620fff,0x99999de9,0x50999bfa,
    0xff5009ff,0x06ff881f,0xf8813fe6,0x13fe606f,0x2606ff88,0xfff884ff,
    0x4400fd85,0x3fee5fff,0xff980000,0x2ffdb545,0x7f4003e6,0xffc8004f,
    0x007fee04,0x4404ffc8,0xffb006ff,0xbff90005,0x01fff300,0x3fe2009d,
    0x213fe606,0x40002ffd,0xff805ff9,0x005ffb0f,0x00bfff20,0x85fff980,
    0x3fffffe8,0xd807ff88,0x3fa201ff,0xf983ffff,0x7fdc00ff,0x5ffd0006,
    0x2606ff88,0x3f1004ff,0x7dc13f60,0x3ffea2ff,0xffffffff,0xf96fffff,
    0xfff300bf,0x206ff881,0x3e204ff9,0x13fe606f,0x2606ff88,0xdfff04ff,
    0xf9801fb8,0x07fee4ff,0x07ff4000,0xd97fea7d,0x13ffa004,0x80fff200,
    0x36000ffa,0x7fc405ff,0x07ff9006,0x00dff900,0x3f30fff1,0x81bfe200,
    0xffc84ff9,0x7fcc0003,0x327ff805,0xf50003ff,0x64000bff,0x3aa03fff,
    0x7cc5ffff,0x7fec00ff,0xfffea801,0x07ffc45f,0x0013ff60,0x3e217fe4,
    0x13fe606f,0xff884e80,0x897ff202,0x999afb99,0x9999ed99,0x100dff90,
    0xdff10fff,0x1027fcc0,0x7fcc0dff,0x81bfe204,0xffd04ff9,0x400fea1f,
    0x3ea2fffb,0xb801004f,0x741f53ff,0x001f88ff,0x20013ffa,0x3ea02ffc,
    0x37fe4006,0x401bfe20,0x13005ffb,0x2601ffee,0x006b85ff,0xf981bfe2,
    0x05ffb84f,0xbff30130,0x7dcbff00,0xe813005f,0xf0000fff,0xf7001fff,
    0x7fc45fff,0x0ffec01f,0x5ffff700,0x7402ffd8,0xf50002ff,0x06ff881f,
    0xb8013fe6,0x401ffb87,0x07b80ffe,0x7ffb813a,0x885ff980,0x3fe606ff,
    0x81bfe204,0x3e204ff9,0x13fe606f,0x7c57ffcc,0x3bff2004,0x007ffe60,
    0x6ff88076,0xabffb89b,0x27ff4006,0x203fec00,0x728804fa,0x7c401fff,
    0xfff5006f,0x3ea68803,0x7fcc01ff,0x22004e83,0x3fe606ff,0x01fffa85,
    0x5ff98344,0xf527fc40,0x868803ff,0x8003fff9,0x1442fffb,0x7c5ffe88,
    0x7fec03ff,0xfd102881,0x04ffa8bf,0x50003ffc,0x0dff10ff,0x1002ffcc,
    0x807fd83f,0x06c81ffb,0xfffa80fe,0x41ffcc01,0x3e606ff8,0x1bfe205f,
    0x2205ff98,0x3fe606ff,0x3b7ff205,0x3ffe2006,0x02fffc41,0x3ff601aa,
    0x77fc40fb,0x7ff4003e,0xf80cd884,0xfddb883f,0xff32d803,0x37fc409f,
    0x05fff880,0x13ffa264,0xf983ff50,0x03ffc001,0xff10bff3,0x304c80bf,
    0xffa80bff,0x017ffe21,0x3fff2099,0x3ffa2000,0x3e206885,0x07fff47f,
    0xd105ffb0,0x7c3ffc40,0x13fe606f,0xf03fb800,0x2ffcc0ff,0xff913a00,
    0x80ff9801,0x803f304e,0x7d404ffe,0x40fff01f,0x7fc05ff9,0x017fe607,
    0x7fcc0fff,0x3fffe205,0x0fff2000,0x4077ffdc,0xffa803f9,0x1fffb05f,
    0x85ffe800,0x7fc44ffc,0x7fddf4c0,0x7dc41bef,0x403fff60,0x32006ff8,
    0xfb885fff,0x007ffd41,0x00d709fb,0xd101ffd0,0x3ff20bff,0x01fb885f,
    0xfe80bff3,0x85fffc83,0xff101fb8,0x3fa001df,0x01f880ff,0xfff31bf6,
    0x417fec09,0x1bf601f8,0x7ec03fee,0xdd10000f,0x4407ff40,0x5c005ffe,
    0x2017fcc7,0x02f886fb,0xffa801f5,0x813f600f,0xfe880ffe,0x07ff405f,
    0x202fff44,0xfe880ffe,0x77fd405f,0x0bff3000,0xbdffffe8,0x3e006fec,
    0xbff501ff,0x0dfff000,0x7dc1fff9,0x3fba2c81,0xffeeffff,0x0ffffcc5,
    0x047fffa2,0x3bfffe20,0xd03ffcac,0x17e20bff,0x7ec00274,0x3efaa0df,
    0xfff880ff,0x3ffcacef,0x403bfe60,0xfff105fb,0x7ff959df,0x0effd880,
    0x8077fec0,0x13fa06f8,0x2e13fff6,0x7c414fff,0x6413fa06,0x82ff985f,
    0x3f602dc8,0x837ff601,0x00fffbea,0xdfb0be20,0xf981ff80,0x3a00d901,
    0x0bf105ff,0x2a0dffd8,0x200fffbe,0x3aa0dffd,0x3600fffb,0x2faa0dff,
    0x3ea00fff,0x74c00eff,0x7f4c00ef,0x0effffff,0xf017f200,0xffb8005f,
    0x7ffc42ff,0x47605f54,0xffffd36a,0xff501fff,0xf7db9bff,0x3005dfff,
    0xfffffffd,0x1dffd80b,0x3e603ba6,0xfff98001,0xff99ffef,0x7f4c1eff,
    0x05ffffff,0x857fff44,0x2600dfb8,0xfffffffe,0x3bfee005,0x3ffae61b,
    0x177fc403,0x7f441bea,0xddecceff,0x3e25ffff,0x037d42ef,0x2fe98ff6,
    0x37dfff50,0x9801bd53,0x9ffeffff,0x01effff9,0xdfd889b0,0xb817e4c0,
    0xd8013607,0x3ba61dff,0x7fffcc00,0xfff99ffe,0xfff981ef,0xff99ffef,
    0xff981eff,0xf99ffeff,0x7cc1efff,0x41befe9b,0x4003ffb8,0x0dfffffd,
    0x2017cc00,0xfd91007c,0x19dfffff,0x07bfffee,0x640edfa8,0x200effff,
    0x9effffe9,0x4002dff8,0x3fffffd8,0xfdfff900,0x01b2017d,0xeffffb80,
    0x403bff30,0x3fffffd8,0x3fffaa00,0xb1002ffe,0x007fffff,0xffffdb30,
    0x1003bdff,0xfd9fffdf,0xfffc8019,0x17ffb3ff,0xcfffef88,0x64400cfe,
    0x401cfefe,0xeffffffd,0x3ffee003,0x3bff30ef,0xf707b800,0x01bfd9bf,
    0x007f036c,0xefefffc8,0xfff7000b,0x37fe61df,0x7fffdc01,0x03bff30e,
    0x0effffb8,0xd103bff3,0xefffea8b,0x0000dfff,0x00015531,0x0014401c,
    0x00dd4000,0x0d4c0288,0x44155100,0x5440000b,0xa880009a,0x002b800a,
    0x5c40aa80,0x26aa2000,0x55310000,0x2aa20001,0x98800009,0x080009bb,
    0x8002aaa6,0x0aa09a98,0x05554c10,0x2000cc00,0x0000aaa8,0x02e20554,
    0x10064400,0x57001353,0x40007220,0x20000aa8,0x005c40aa,0x17102aa0,
    0x440aa800,0x8032200b,0x0000aba9,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20019998,0x00009998,
    0x00999880,0x00600cc0,0x00000000,0x00000000,0x00000000,0x00000000,
    0x02666200,0x00066620,0x0accba88,0x00e5c400,0x00000000,0x00000000,
    0x44000000,0x26600199,0x00000009,0x76dd4000,0x0001bdef,0x9dfdd930,
    0x2002c815,0xdeffedb8,0x7dc0000b,0x220002ff,0x22003fff,0x00004ffe,
    0x8006ffe8,0x7ec40ce9,0x32e60000,0x765403fe,0x5da803df,0x003f2000,
    0x22000bb5,0x2e20004f,0x1cefffee,0xff880162,0xff90006f,0xfff5001d,
    0xdff50005,0x2005fff9,0x005fcdf9,0x0039dd71,0x3b801760,0x644006c0,
    0x002deffe,0x0003fffb,0xb002fff4,0x2b800dff,0x2fd882c0,0x5677f4c0,
    0x00dffdb9,0xbfffb500,0x79df9535,0x9fb3005f,0xf9531135,0xff10003b,
    0x20001fff,0x98004ffb,0x400007ff,0x0000eff8,0x9f915fb1,0x3f660001,
    0x7f4400ad,0x80effb9b,0x0005ffd9,0x7ecc05f3,0x0d90005f,0x3bff6600,
    0xffdba9bd,0x3f2006dd,0xf8003fff,0x3ee001ff,0x7fdc004f,0x401ffdc2,
    0x2200fc4d,0x00ffecde,0x20007dc0,0x803d884e,0xff911bfb,0x7ffcc01b,
    0xff30006f,0x7f44001d,0x13e2001f,0x7fd40ba2,0x07ff9107,0x0017fec4,
    0x88073ff2,0x5c03fffc,0x9f5000bf,0xfbcfc800,0xbfb0004f,0x0ffd4000,
    0x3ff70000,0xbffb0000,0x7fe40003,0x01dd3003,0x3ee03ffb,0x00bd0005,
    0x2a0017ee,0xffa8001f,0x7ff4c01e,0xd5ff1007,0x7cc001ff,0x7fc8002f,
    0xd827fc00,0x03e200ff,0x741d8099,0x0fe2004f,0x443bea00,0x03fa806e,
    0x7f40bff7,0x8002ffcb,0x88000ffb,0x7dc003ff,0x5c0dd10e,0xffe887ff,
    0x09ff9001,0x009ffb10,0xdb01ffd4,0x1db10001,0x74c7f300,0x77c4000f,
    0x27dc0000,0x03fb0000,0xbfff5000,0x3bf62000,0x40ffa001,0xbf706ff8,
    0x001f7000,0xd10017ee,0xdff90009,0x03fe4001,0x13f20ed8,0x0003fc80,
    0x7dc007f6,0x07ff501f,0x001742e8,0xdb0017e4,0x57fec000,0x0ff802fe,
    0x2a03ffa0,0x001bea2f,0x980007fa,0xffe8006f,0x3ea01fea,0x03ffd86f,
    0x2017ff40,0xb8005ffc,0x266b904f,0xc8019999,0xd883d805,0x007d4005,
    0x0006c800,0x30000fe0,0x0bff15dd,0x003ffb00,0x3f203fdc,0x005fb83f,
    0xf70017cc,0x00ec800b,0x0077fdc0,0x26007f40,0x001fa80e,0xe880009d,
    0x01ff9004,0xd5017fe6,0x2000f937,0x03ea005f,0xffff9800,0x02ff9805,
    0x0ba0fff2,0xf8800fa2,0x0fa80002,0x7fffcc00,0x22ffcc05,0x4000fffa,
    0xf500fffb,0x3a0001ff,0xff90ea84,0x3bfffbdf,0x02a80fa0,0x039000e4,
    0x000d8000,0x40004a80,0x27fdc3fa,0x005ff700,0x7c406fe8,0x02fdc0ff,
    0xf70017a0,0x017cc00b,0x007ffe20,0x32007cc0,0x22012600,0x0d100005,
    0x4c03ff60,0xfea805ff,0x7e44001c,0x007f1000,0x03fff900,0x5c0bff30,
    0x200dc6ff,0x0075000c,0x4001dc00,0xf800fffd,0x0fffe24f,0x42fffc00,
    0x0004fff8,0xb83f116e,0x3ffaa1ff,0x0001f881,0x00002000,0x04000040,
    0xfd008000,0xbff3007f,0x05ff8800,0x7dc2fff8,0x003ee005,0x7400bf70,
    0x5ffe8005,0x000ec000,0x00008000,0x7fe80040,0x000ffea0,0xffff7000,
    0x000db005,0x7ff80000,0x0017fee0,0x00001000,0x00000010,0xfffd8bfa,
    0xfff70000,0x01fffb83,0x0b716200,0xff983ff5,0x00009707,0x00000000,
    0x00000000,0x03ffe600,0x8001ffd0,0xfd805ffa,0x802fdc3f,0xfb8003f8,
    0x001f9005,0x002fffa8,0x000004c0,0x00000000,0xfb81ffe0,0x0000000f,
    0xfa80ffd3,0x00000001,0xff901f4c,0x00000007,0x00000000,0xfd0fec00,
    0x7d4000ff,0x3fff44ff,0x07a04000,0x3fa07fea,0x200f881f,0x02cdfeb9,
    0x66ff5cc0,0x7f5cc002,0xb93002cd,0x64c39bff,0x5002dffe,0xbff99dd9,
    0x002ffe40,0x64037fdc,0x02fdc4ff,0xf70006d8,0x005f300b,0x000fffb0,
    0x7ee44000,0xb91003ef,0x22007dff,0x803effdc,0x9ff107ff,0xdffed980,
    0xff98001b,0x8009f101,0xc83ccccc,0x0002cccc,0x36607ffa,0x001bdffe,
    0x37bffdb3,0x3ffb6600,0xdb3001bd,0xb8037bff,0x01bffe27,0x25fff980,
    0x0005fff8,0xffa834c0,0xb00ffd81,0x537df105,0xf1009ff9,0x9ff9537d,
    0x537df100,0xfb809ff9,0x9ffea89d,0xfffbaefa,0x26fba204,0x82ffffdb,
    0x2a62fff8,0x1ffea00a,0xf71bfee0,0x003f500b,0x3a017ee0,0xfff88005,
    0x50000006,0xdffb57df,0x55f7d403,0x2a01effd,0xeffdabef,0x511ffe01,
    0xefc805fd,0x02ffeb8a,0xd901fd80,0xffd33000,0x9fff730d,0x13fea000,
    0x3ae2bbf2,0x77e402ff,0x02ffeb8a,0x75c577e4,0x77e402ff,0x02ffeb8a,
    0x5fff99aa,0x3ffe2000,0x013ffea7,0x2a097000,0x05ff81ff,0x01fd112e,
    0x2201dff7,0xeffb80fe,0x701fd100,0xff701dff,0x2ffffa81,0xf982ffd8,
    0x5fffc80e,0xfc8fffa8,0x980dffff,0x7e400fff,0x202fdc6f,0x2e0003f8,
    0x007dc05f,0x02fffd40,0x17dc0000,0x5c07ffdc,0x0fffb82f,0xffb82fb8,
    0x44fff00f,0x2e02efff,0x0fff81ff,0xf9837400,0x3fea0001,0x013ff206,
    0x7dc37ec0,0x00fff81f,0xfff03ff7,0x207fee01,0xff700fff,0x201fff03,
    0x13ffee18,0x1ffff000,0x0013ffee,0x3ea07900,0x077fa21f,0x017f45a8,
    0x3fa09ffb,0x413ff602,0x3ff602fe,0xf887fe84,0xdff307ff,0x7ec05fd0,
    0x7ffe40ff,0xffeb99bf,0x27ffc40e,0xf717ff60,0x0006d80d,0x7f1037dc,
    0x3ffee000,0x2aaa2004,0x20aaaaaa,0x3ffa06f8,0xfd037c44,0x206f889f,
    0xfff04ffe,0x0dffeb88,0xff907fe8,0x5c46ee05,0x0009d01f,0x2a06ff98,
    0xf98004ff,0x907fe81f,0x1ffa05ff,0xfe817fe4,0x205ff907,0x5ff907fe,
    0x0ffff200,0x3fffd000,0x000ffff2,0x3ea05b00,0x02efeedf,0x03ff2698,
    0x641fff98,0x3fe600ff,0x007fe41f,0xfe83fff3,0x409ffd06,0x1fee1fff,
    0xd87fff30,0xff880cff,0x0fffc85f,0x6453ff60,0xfa82dffe,0x22054401,
    0xe82dffec,0xfc802605,0x2a2003ff,0xbefffffc,0xfc80bf60,0x9017ec7f,
    0x02fd8fff,0x7fc1fff2,0x0dffd107,0x3fee0dfd,0xffffe883,0x801f900c,
    0xdff100a8,0x0027fcc0,0x6fe817ec,0x3a07ff70,0x07ff706f,0x7fdc1bfa,
    0x2e0dfd03,0xff9003ff,0xfe80007f,0x7fff90ff,0x03c80000,0xbff35ff5,
    0x6fe9aa00,0x745ffd80,0x5ffd806f,0x7ec037f4,0xe80ecc5f,0xaaaaacff,
    0xff12fffa,0x8bffd00b,0x3ea01fff,0x7ffc42ff,0x7ffec40e,0x027c4003,
    0x40003fa2,0x7f5c40fb,0xfffc82df,0xfff70004,0x557ff10d,0xfff95555,
    0x2aaffe23,0xfffcaaaa,0x5557ff11,0x3fff9555,0x7c40fff0,0x816d43ff,
    0x26203ffb,0x2017cc00,0xff100fe8,0x027fcc0d,0xda80fe60,0x207ff702,
    0x7ff702da,0x7dc0b6a0,0x205b503f,0xf5003ffb,0xf80009ff,0x3ffee7ff,
    0x25c00005,0xff51ffa8,0x3e297005,0x6ffb805f,0x2e017fe2,0x17fe26ff,
    0x401bfee0,0xeeefffb8,0x2eeeeeee,0xf9009ff5,0x0fffccdf,0x2617ffe0,
    0xeecdfffe,0x4001fffc,0x0ffd806d,0xc83f8800,0x41ffebbe,0x0004fffb,
    0xf309fff3,0x9999999f,0x3e639999,0xcccccccf,0xff31cccc,0x99999999,
    0xfff03999,0x006ffc80,0x007fff91,0xfb00bd00,0x1bfe201f,0x4004ff98,
    0xf910005c,0xc88007ff,0x44003fff,0x4003fffc,0x003fffc8,0x000bfff3,
    0xf537ffc4,0x80000dff,0x43ff505a,0x9e400ffd,0xfa804ffa,0x09ff50ff,
    0x2a1fff50,0xffa804ff,0x37f2200f,0x5c001ffe,0xffb804ff,0x003ffea7,
    0x3220dff9,0xffb3dffe,0x01fa800d,0x0007ff64,0x6c34436c,0x2fffd45f,
    0x3fff8800,0x50007fa8,0x3ea000ff,0x7ff80007,0x007ffcc0,0x7ff99fb5,
    0x00fb8000,0x8807ff64,0x3fe606ff,0x0007c004,0x3ff33f6a,0x99fb5003,
    0x36a007ff,0x003ffccf,0x7ff99fb5,0x1bffe200,0x4fff9800,0x001fffe2,
    0xf501f100,0x02ff443f,0x02ffe47a,0xfc87ffcc,0xfff9805f,0x300bff90,
    0xfb101fff,0x007ffa3b,0x500bff90,0x3fe61fff,0x07ffa807,0x02fff880,
    0xd5013a20,0xa8001ff1,0xfa80981f,0x07fffc46,0x83fff800,0xb8000ffb,
    0xfb8000ff,0x7fc0000f,0x81fff807,0x3fee2fea,0x0fe60003,0x01fd1f50,
    0xf981bfe2,0x0162004f,0x3ee2fea8,0x17f5403f,0xea807ff7,0x00ffee2f,
    0x7fdc5fd5,0x1fffa003,0x3fffa800,0x000ffffc,0x3ea0f600,0x81ffcc1f,
    0x01bff26a,0xffc9ffe2,0x27ff8806,0xf8806ffc,0x41efc87f,0x6c002ffd,
    0xff9806ff,0x2007ffc6,0xc8007ff9,0x764007ff,0x7fc7e600,0x00fe2000,
    0xffd09f50,0x3fe0005f,0x01ffb83f,0x001ffb80,0x0001ffb8,0x7fc03ffc,
    0x2077dc1f,0x20003ffb,0xe8fcc05e,0x0dff100f,0x30027fcc,0x03bee009,
    0x7dc07ff7,0x01ffdc0e,0xffb81df7,0x703bee03,0x7d4007ff,0xf90002ff,
    0x5fff70df,0x86a80000,0xffb81ffb,0x3fee3d81,0x25ff9807,0xf9807ffb,
    0x01ffee5f,0xdf917fe6,0x007ffb01,0x9807ffb8,0x17ff45ff,0x001bfe20,
    0x4005fff1,0x8ba202f9,0x1b6000ff,0x2a07f600,0xf0005fff,0x9ff507ff,
    0x4ffa8200,0x27fd4100,0x0fff0080,0x7e41ffd0,0x007ff706,0xe8803ee0,
    0x7c403fa2,0x13fe606f,0xfc802a80,0x207ff706,0x7ff706fc,0x7dc1bf20,
    0x20df903f,0x6c003ffb,0xf88006ff,0xdffd01ff,0x6c0c8000,0x277ffa64,
    0xd717fec0,0x401fffa8,0x3fea3ff9,0x1ffcc01f,0x9803fff5,0x0ffe23ff,
    0x5402ffe4,0x801fff52,0x7fe43ffa,0x027fcc03,0x0013fee0,0x7c4d80bd,
    0x03f5000f,0x3603f880,0xf8001fff,0xfff983ff,0xff31d801,0x263b003f,
    0x1d801fff,0xfd807ff8,0x5c13fe67,0xf88003ff,0x3fa26c03,0x40dff100,
    0x02005ff9,0x5c13fe60,0x4ff983ff,0xf307ff70,0x0ffee09f,0x7dc13fe6,
    0x7fcc003f,0x7fe4002f,0x0fffee04,0x7c41dc00,0xaaaaaa8a,0x4c555440,
    0x04ffe81f,0x3fa0ffd4,0x0ffd404f,0xf5013ffa,0x81ffd43f,0x7401fffa,
    0x807fff10,0x7fcc1ffa,0x00ffd405,0x800dff30,0x217200fc,0x4f8800ff,
    0x20274400,0x8006fff9,0xff883fff,0xf135405f,0x26a80bff,0x5405fff8,
    0x808fff06,0x0ffee6fe,0x4001ffdc,0x742e406d,0x81ffe00f,0x00005ff9,
    0xfb81ffdc,0x03ffb83f,0xff707ff7,0x20ffee07,0xff703ffb,0xdff90007,
    0x07ffc400,0x00bfff20,0x17cc0d50,0x205f3000,0x3600fffa,0x0fffa84f,
    0x3ea13f60,0x13f600ff,0x3e20bff9,0x5d880dff,0xb007ffdc,0x0bfee0bf,
    0x22004fc8,0x26000dfe,0x3ffe202f,0x0fffffff,0x36001b20,0x9fff5004,
    0x03fff800,0x301dfff7,0xefffb87f,0x7dc3f980,0x3f980eff,0x17f4fff0,
    0x6ffb8bfe,0x0049ff90,0xff100fdc,0xffffffff,0x101ffd01,0x5400bffd,
    0x837fdc02,0x7dc24ffc,0x49ff906f,0x320dff70,0x7fdc24ff,0x049ff906,
    0x01bff700,0x000dff98,0x2007fff7,0x274c00ec,0x2017dc00,0xbf105ffe,
    0x882fff40,0x17ffa05f,0x7fcc2fc4,0x7ff74c1f,0xffda9bef,0x305ffe80,
    0x06fe80bf,0x22001df1,0x5e8004fe,0xaaaaaa80,0x3e602bff,0x00f62001,
    0x00bfff50,0xfd01fffc,0xfd97bfff,0x3ffffa0d,0xd06fecbd,0xd97bffff,
    0x5ffe20df,0x1bea4ff8,0x74c7fff1,0x80395ffe,0xaaa804f8,0x02bffaaa,
    0x7541bffb,0xc800fffb,0x3fe204ff,0x3ffba63f,0x3ffe2395,0x57ffba63,
    0x47fff11c,0x395ffee9,0xe98fffe2,0x00395ffe,0x40aefe98,0x8003ffb9,
    0x19cffff9,0x400bfb73,0x2200cfd8,0xfb000efb,0x0774c3bf,0x9877ff60,
    0x7fec00ee,0x403ba61d,0xfdbdfffe,0xffffff92,0x3f6203ff,0x03be61df,
    0x4419ff10,0xff5000ee,0x01f70005,0x2007fc00,0x0ba2004e,0xfd980b73,
    0xea80adff,0x3a601dff,0xefffffff,0xffffd300,0x2601dfff,0xfffffffe,
    0x4fff700e,0x01dd34fc,0x5fdffffd,0x007ffff3,0xfe8000db,0x3fffe600,
    0xfff99ffe,0x3ffe01ef,0x7ffff406,0xffff9afe,0x77ffff43,0x3ffff9af,
    0x7f7ffff4,0x43ffff9a,0xafeffffe,0x003ffff9,0x3bbffb20,0x0001dfff,
    0x3ffff722,0x0001dfff,0xb99bdf93,0x900039fd,0x17dfdfff,0x3bfff200,
    0xf9000bef,0x017dfdff,0x6ffffecc,0x7ffff640,0xfffb801e,0x1000beee,
    0x09dbbffb,0x03efdb98,0x0005f300,0x3f200ff8,0xffff3000,0x2005ffff,
    0xddffffda,0x000cfffe,0x37fffff6,0xffffd800,0xffd800df,0xe980dfff,
    0x3f227fff,0xf9100dfe,0x7ff41bff,0x001fa803,0x2e007f40,0xf30effff,
    0xff9003bf,0xfffc8807,0x20fffa0d,0x20dfffc8,0xfc883ffe,0x3ffa0dff,
    0xdfffc883,0x000fffa0,0x00aba980,0x59530000,0x4c000013,0x0009abba,
    0x000aa880,0x0002aa20,0x4000aa88,0x54400aa8,0xaa98001a,0x2a620000,
    0x01359000,0x0005e800,0x5f300ed8,0x77776c00,0x30005eee,0x01357955,
    0x0554c400,0x02aa6200,0x01553100,0x88002000,0x22003009,0xed80004f,
    0x88155000,0x00cc000b,0x00601310,0x400c0262,0x10030098,0x00006013,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x55000000,0x00000a01,
    0x33260000,0xcccccccc,0x000003cc,0x00000040,0x00013331,0x4cc40000,
    0x000b5001,0x66664000,0x41cccccc,0xccccccc9,0x00500ccc,0x00000033,
    0x64c4b880,0x20155001,0x005b8802,0x330004a8,0x00000013,0x00000000,
    0x00000000,0x0c400000,0x000001c0,0x20006666,0xdeffedb8,0x7f4c000b,
    0x802c0cff,0x02cefec9,0xf90b00ae,0xffffffff,0xdf70bfff,0x9817f4c1,
    0x02fec2ff,0xcefedb88,0x04fff880,0x00dc0498,0x9817ffe0,0x00007ffc,
    0x6d4c1b22,0x09cfffff,0x7fff54c4,0x13201bef,0x99100e88,0x99999999,
    0x302eea87,0x7fdcdff9,0x3ffa605f,0x9302c0cf,0x2e200dff,0xfa8006fe,
    0x36a001ff,0x01efed47,0x024c01b0,0xfd85fd30,0x033f6604,0x7da80000,
    0xf01f7ed4,0x5c035403,0x06acdffe,0x800fffe6,0x889acfd9,0x001dfca9,
    0x9ffffddd,0xfc880b51,0x0dffffff,0x2e884f88,0x7fffffc4,0x2fffffff,
    0xfb27ffc4,0x9bff60ff,0x4c01fffa,0xffeb9aee,0x006ff982,0x00b901db,
    0x2e06ff98,0x0007fffd,0x806ffc88,0x1000fffe,0x2a00dfff,0xfdb9acef,
    0x7ff5cc06,0x740abeff,0x7ee42fff,0x3fff66ff,0xffddd01f,0x20b519ff,
    0x806fffdc,0x006ffffb,0x8802ffd8,0xfd17fffb,0x2007ffff,0x00f982fa,
    0xfa9bff60,0xfffb01ff,0xb880000b,0xffd17fff,0x3f609fff,0x3fecaabd,
    0x64c5f740,0x3fee06ff,0x02fee004,0x26027d40,0x3ffffee4,0x7ffec02f,
    0x06fffffe,0x1ba21df7,0x2ab37bee,0x0ffbaaaa,0x3ee2ffe8,0x4bff905f,
    0x2a00fff9,0x1fffa85f,0x8801ffa8,0x003f21ff,0x3001df90,0x44000fff,
    0x806ffffc,0x7c007ffd,0x3f6005ff,0x01ffffff,0x403fffe0,0x705ffff8,
    0x7ffccdff,0x3ee4984f,0x401fffff,0x2e006ffa,0xff8006ff,0xffb55004,
    0xfd55bd1f,0x3f6001ff,0x9000fea4,0x7ffccbff,0x1ffffb00,0x75d40000,
    0xaace8fff,0xf880fffe,0x06ffffff,0x37c40fe4,0x6c00bfd0,0xed88000e,
    0xfc883500,0x6fd403ff,0x3fffa60a,0xfd5ffd04,0x2a00bd03,0x8879305f,
    0x197100cb,0x3e201ca8,0x09ffd00f,0x7e400fee,0x8004fdbf,0xff1001fe,
    0xc84c000f,0xffc806ff,0x27ff4007,0x3ffff200,0x7ff4001e,0x7ef7dc06,
    0x446ff980,0x41a84f89,0x802fffc8,0x26006ff9,0x7d4006ff,0xfff88005,
    0x03ffd81e,0xdf7bff30,0x81971000,0x376601da,0x800003fe,0xd81efff8,
    0xffd303ff,0xff801bff,0x3e20d700,0x88172006,0x64662ab9,0x00180105,
    0xfffe80bd,0x5ffff980,0x3f600598,0x00000002,0x3204fd80,0x01b203ff,
    0x07ffffc4,0x2007e200,0xeefffeec,0x4c001eee,0xffc806ff,0x27ff4006,
    0x00d54400,0x005ffd80,0x37fc41aa,0x40082f88,0x1bfe2001,0x006ff880,
    0xff000364,0x13fee01f,0x2ffffc80,0x40000000,0x000002f9,0x3ee01fff,
    0x0554c04f,0x8817fc40,0x2001f706,0xbdfb80ea,0x23fdfeca,0x1000003e,
    0xfff9801f,0x01fffb01,0x07fc0013,0x00000000,0x5300bfe6,0x2a001b00,
    0xb8003fff,0xff997003,0x0199999f,0x806ff880,0x74006ffc,0x000004ff,
    0x00bffb00,0x6ff881ec,0x00000d50,0x400dff10,0x74006ff8,0x1ffe0000,
    0x2005ffa8,0x0005fff8,0x0fa80000,0xfff00000,0x002ffd40,0x817ffc00,
    0x22003b02,0x80ff441f,0x07e23fe9,0x00ea0000,0x00017ff4,0x005fa800,
    0xa8000000,0x100001ff,0x08000000,0x00fff000,0x01bfe200,0xd001bff2,
    0x000009ff,0x017ff600,0xff8807c4,0x0001fa86,0x06ff8800,0x001bfe20,
    0x7ff80001,0x001bfe20,0x00000000,0x000007b0,0xff103ffc,0xf900000d,
    0x02001bff,0x7fc45b80,0x2e27cc01,0xbffdb304,0x6c000037,0x000001ff,
    0xc8805f90,0x9803effd,0x01bdffed,0x00007fee,0x00000000,0x00fff000,
    0x01bfe200,0xd001bff2,0x333209ff,0xcccc83cc,0x5ffd802c,0x2203e980,
    0x206e46ff,0xc83ccccc,0x2202cccc,0x3e2006ff,0x0000006f,0xff103ffc,
    0x9000000d,0x99079999,0x3a205999,0x7c000004,0x1bfe207f,0x2cdfeb98,
    0x7ffffcc0,0x3a00000d,0xc8027ec1,0x3f207c45,0x2ffeb8ae,0x0ffb0000,
    0x80006ea8,0x3bea00ff,0x01effdab,0xfd715df9,0x0bff605f,0x40dd5000,
    0xcccccccc,0x643ccccc,0xcccccccc,0xff83cccc,0x016fedc7,0xc806ff88,
    0x7f4006ff,0xffd3304f,0xbffd730d,0x80bffb00,0x7fc402ec,0xfe998146,
    0xffeb986f,0x01bfe205,0x0b16ff88,0xdfda8fb5,0x40fff003,0x6d406ff8,
    0x01efed47,0x30dffd33,0xb109fff7,0x5c4dd503,0xff002dfd,0x437fc40f,
    0xfca9bef8,0x7ff4404f,0x75403fff,0xff71a606,0x360e2003,0x3e07fee2,
    0xe80000ff,0xfffc985f,0x2fd40006,0xff705f70,0x81ffb81f,0xffc80fff,
    0xffc98003,0x3bbfe06f,0xffeeeeee,0x7777fc3f,0xfffeeeee,0xfd17ff83,
    0x1007ffff,0xff900dff,0x4ffe800d,0x9037fd40,0xffb00bff,0x8801440b,
    0x7d4006ff,0x17ff206f,0x2006ff88,0x14f9eff8,0x3a2ffff7,0x803fffff,
    0x3fe207ff,0x7fffb886,0x7fffffd1,0x206ffa80,0xc8804ffc,0xffd16fff,
    0xff005fff,0x237fc40f,0xffb80fe8,0x7ff5400e,0x7fe4c5ff,0xfb12e06f,
    0x4970000f,0x5ff907fe,0x2ff88000,0x06ffeab8,0x881fe400,0x13ffa06f,
    0x3ff20ffd,0x005ffb82,0x3ffaae13,0xe807f106,0x01fc45ff,0x7fc17ffa,
    0xfeaace8f,0x7fc400ff,0x06ffc806,0x2027ff40,0x3ea06ff8,0x5ffd805f,
    0xdff10000,0x06ff8800,0xf8817fea,0xf881546f,0x36aa3fff,0xaade8fff,
    0x7c00fffe,0x1bfe207f,0x23fff6aa,0xfffeaade,0x81bfe600,0xab804ffa,
    0xace8effe,0x400fffea,0x3fe207ff,0xfb017f46,0x3fee009f,0x3faae2ff,
    0xff0f206f,0x4b50000d,0x7ff706fe,0x06fa8000,0x00037fd4,0x17ec03fe,
    0xfe8fff90,0x507ff706,0x68803fff,0xf106ffa8,0x40fffc80,0x7ffe4078,
    0x03dfff00,0xf8807ffb,0x6ffc806f,0x027ff400,0xf981bfe2,0x5ffd805f,
    0xdff10000,0x06ff8800,0xf8817fe6,0x213fee6f,0xf102fff8,0xffb03dff,
    0x207ff807,0x3e206ff8,0xffd81eff,0x81bfe203,0x26004ff9,0xfe81efff,
    0x03ffc02f,0x7fe4dff1,0x87ffe600,0xbffd1028,0x6c0dff50,0x001bfe22,
    0x02da9a60,0x80007ff7,0x7fc401fe,0x17e60006,0x5555ffc4,0x1fffcaaa,
    0x7fdc0b6a,0x05fff883,0x37fc4264,0x3fea0588,0x2a05881f,0x3fe01fff,
    0x09ff500f,0xc806ff88,0x7f4006ff,0x37fc404f,0xb00bff30,0x20000bff,
    0x44006ff8,0x3fe606ff,0xd9bfe205,0x6ff886ff,0xb807ffc0,0x3ffc04ff,
    0xf80dff10,0x9ff700ff,0x3037fc40,0x7c4009ff,0x7ff900ff,0x2207ff80,
    0x01bfa6ff,0x06897ff6,0x3e21ffe2,0xf88f206f,0x6a80007f,0x3fffc880,
    0x013ee000,0x8001bfe2,0x9ff303fc,0x99999999,0xf9100399,0x3ff207ff,
    0x81fb885f,0x88006ff8,0x88003fff,0x7fc03fff,0x017fe607,0xf900dff1,
    0xffe800df,0x037fc404,0xfb00bff3,0x220000bf,0x7c4006ff,0x17fe606f,
    0x3e66ff88,0x37ff4c2f,0xfa81ffe0,0x03ffc05f,0xff80dff1,0x817fea07,
    0x3e606ff8,0x3fe2004f,0x013fee06,0x7fc40fff,0x700bff16,0x00fc4dff,
    0xdff10dfb,0x1ffa25c0,0xa812e000,0x03ffccfd,0x200bf100,0x20006ff8,
    0x0ff500ff,0x67ed4000,0xff103ffc,0xff959dff,0x01bfe207,0x0017ffa0,
    0x7c02fff4,0x17fe607f,0x900dff10,0xfe800dff,0x37fc404f,0xb00bff30,
    0x20000bff,0x44006ff8,0x3fe606ff,0x01bfe205,0x01bff3ea,0x7fc40fff,
    0x03ffe606,0x3e03ffcc,0x1bfe207f,0x2606ff88,0x3e2004ff,0x17fe606f,
    0x100fff98,0x13feadff,0x443ffea0,0x213fa06f,0x16a06ff8,0x80003ffb,
    0x22fea83c,0xb0003ffb,0x3fe2001d,0x0bf30006,0x00007fdc,0xffb8bfaa,
    0x3fffa603,0x2205ffff,0x7e4006ff,0xfc8000ff,0x7ff800ff,0x101bfe20,
    0xff900dff,0x4ffe800d,0x3037fc40,0xffb00bff,0x3e20000b,0x7fc4006f,
    0x817fe606,0x7d406ff8,0x7c06ff8a,0x1bfe207f,0x902fffb8,0x7fc03fff,
    0x81bfe207,0x3e606ff8,0x3fe2004f,0x817fe606,0xf103fffb,0x017ff2df,
    0x7c43ffe6,0x837d42ef,0x3e206ff8,0x0013fe60,0x0efb83d0,0x4001ffdc,
    0x3e2000fc,0x7f90006f,0x000ffdc0,0xfb81df70,0x7fec403f,0x7c403fff,
    0x3fea006f,0xffa8001f,0x0fff001f,0x22037fc4,0xffc806ff,0x1fff4006,
    0x981bfe20,0xffd805ff,0xff100005,0x6ff8800d,0x8817fe60,0x88d406ff,
    0x3ffc06ff,0xd50dff10,0x27dfffff,0xefffffeb,0x2207ff81,0x3fe206ff,
    0x013fe606,0x2606ff88,0xffea85ff,0x7c43ffff,0x00dff96f,0x77c4fff1,
    0x0cfecfff,0xd80dff10,0x4007fe43,0x3f23544a,0x007ff706,0x44001fb8,
    0xff0006ff,0x027fd401,0xb837e408,0xf51003ff,0xdff10013,0x0fffe200,
    0x0fffe200,0x2207ff80,0x7fc406ff,0x06ffc806,0x2017ff40,0x3e606ff8,
    0x5ffd805f,0xdff10000,0x06ff8800,0xf8817fe6,0x3fe2006f,0x103ffc06,
    0x00000dff,0x2207ff80,0x3fe206ff,0x013fe606,0x2606ff88,0x880005ff,
    0x0fff75ff,0x208bff30,0x4400aec9,0x435406ff,0x12a01efd,0x04ff98f6,
    0x54007ff7,0xff88001f,0x05f98006,0x400fffcc,0x209ff31d,0x32003ffb,
    0xdff1002f,0x017ffa00,0x002fff40,0xff881ffe,0x037fc406,0x20037fe4,
    0x7c401ffe,0x17fe606f,0x0017ff60,0x01bfe21c,0x4c0dff10,0x3fe205ff,
    0x1bfe2006,0x7c40fff0,0x6f4c006f,0x07ff8002,0xf881bfe2,0x17fe606f,
    0x206ff880,0x80005ff9,0xfff54ff8,0x03ff9803,0x7c400f74,0xa84d806f,
    0xeca9bcff,0x7fdc6b84,0x007ff703,0x44000be6,0xfc8006ff,0x2fffc403,
    0x3ffb9aa0,0x2007ff70,0x8803fff9,0xffc806ff,0xffc8000f,0x3ffc000f,
    0x880dff10,0xffc806ff,0x07ff4006,0xf303ffc0,0xbffb00bf,0xf8877000,
    0x7ff8006f,0x8817fe60,0x3e2006ff,0x03ffc06f,0xa800dff1,0x7c003fff,
    0x1bfe207f,0x7cc0fff0,0x3fe2005f,0x017fe606,0xe8ffe600,0x7fd404ff,
    0x07ffee01,0x100dff10,0xbb95105f,0x83f30159,0xff906ffb,0x02f98049,
    0x0dff1090,0x7001fd00,0xf301dfff,0xc837fdc7,0xd10024ff,0xdff100df,
    0x01fffa80,0x3ffea0e2,0x3fe0e201,0x01bfe207,0xf900dff1,0xd13f20ff,
    0x3ffa00df,0x05ffe880,0x4005ffd8,0x37fc40f8,0x407ff400,0x2205ffe8,
    0x3e2006ff,0x03ffc06f,0x1000dff1,0xff800dfd,0x01bfe207,0xfd101ffd,
    0x7fc400bf,0x017fe606,0xa87fe600,0x3f600fff,0x04ff9804,0x98037fc4,
    0x3e60002f,0x23fff882,0x395ffee9,0xb1005f50,0x00dff107,0x3a005f98,
    0xecbdffff,0x1fffc46f,0x32bffdd3,0x804fd801,0x3e206ff8,0x21d403ff,
    0x5403fff8,0x2207ff83,0x7fc406ff,0x87ffd806,0x3fe1fff9,0x1bffb000,
    0x07ffdf54,0x001bff60,0x0dff30d9,0x41bffb00,0x00fffbea,0x4400dff1,
    0x3ffc06ff,0x000dff10,0xff0017f2,0x037fc40f,0xea837ff6,0x1000fffb,
    0x7fcc0dff,0x7d40c005,0x105ffe85,0x17fc00bf,0x801bfe20,0xfb8004e9,
    0x3ffffa02,0xffff9afe,0xeeeffa83,0xffeeeeee,0x007ff980,0xd3001fe4,
    0xdfffffff,0xdffffd01,0x7ffff35f,0x001ff500,0x7f40fff3,0x743d805f,
    0x43d805ff,0x3e607ff9,0x3ffc406f,0x0ffffea0,0x3e63bffa,0x3ffe2003,
    0xff99ffef,0xffd01eff,0x0ffa200f,0x2001ffe6,0xffeffff8,0x1effff99,
    0x3003ffcc,0x7fcc0fff,0x0fff300f,0x003ff300,0x9807ffcc,0x7fcc07ff,
    0xf99ffeff,0x5401efff,0x3fea07ff,0x8bbf2006,0xbffb01fc,0x800774c3,
    0xff9806fb,0x67ec4007,0x03bee200,0x1bfff910,0x7d41fff4,0xffffffff,
    0xf706ffff,0x7f4003ff,0xfffd8000,0xf9100dff,0x7ff41bff,0x0df75c03,
    0x81fffb80,0x9999fffc,0x22fda999,0x9999fffc,0x42fda999,0xf702fffb,
    0x7fdc03ff,0xffffc82f,0xf51dffff,0x0007ffff,0x21dffff7,0x7101dff9,
    0x999dffff,0xfffd9999,0x03fff903,0xdffff700,0x4077fe61,0x7001fffc,
    0x3ee03fff,0xfff902ff,0x33baa003,0x7ffdc001,0x03fff902,0x0effffb8,
    0x2003bff3,0xfb01fffc,0x3f6001ff,0x402fdeff,0xbefefffc,0x0befd800,
    0x01fffb80,0xcdefc980,0x001cfedc,0x101804c4,0xffffffff,0x87ffffff,
    0xefffffeb,0x001e4401,0x00155310,0x000c0262,0xfffeb800,0xfff31eff,
    0xffffffff,0x3fe65fff,0xffffffff,0xff52ffff,0x327dffff,0x0dfffffe,
    0xfffffdd1,0x730000bd,0xaa800015,0xc8805c40,0xffffffff,0xffffffff,
    0x7fff546f,0xa8002eff,0xa805c40a,0x2efffffe,0xfffffd70,0x3fffaa5d,
    0xffd73eff,0x0003dfff,0x3fffaa00,0xffd73eff,0xa803dfff,0x8005c40a,
    0xeffffffa,0xfffffd92,0xfec8801b,0x2a2000cd,0x2000000a,0xefffffeb,
    0x77530001,0x00000135,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x9999b973,0x99999999,0x22005999,
    0x75000999,0x20000001,0x01550000,0x0000000a,0xccccccb8,0x0000004c,
    0x00000000,0x00000000,0xc8805973,0xcccccccc,0x9999930c,0x664c0039,
    0x40cccccc,0x00009802,0x01880280,0x332e0020,0x3ccccccc,0x33333260,
    0x99951ccc,0x03999999,0xcccccc88,0x9999950c,0x665c5999,0x02cccccc,
    0x59999995,0x0000b710,0x400e5400,0x0140005a,0xdfd7004c,0xffffb979,
    0xfddddddf,0x3fa00bff,0xdff7006f,0x07fff200,0x001ff440,0xb09fffd3,
    0x5ccbb500,0x26002dfe,0xffffffff,0x01a60004,0x217f4c00,0x7da804fd,
    0x40013f66,0x74c007fa,0x204fffee,0xeffffea9,0x3fee621b,0x31000eff,
    0x037fffd7,0x807c407b,0x5c0e403a,0x2007a204,0x4c403fe8,0xadfffffc,
    0x3fae6200,0xd7109cff,0x159fffff,0xdfffb500,0x7ffed447,0x3ea20aef,
    0x00adffff,0x15fffb51,0x8037fe4c,0x89dffeca,0x1bfe606c,0x003ffe4c,
    0x07880f60,0x7d40bff2,0x2fd407ff,0x0077fc40,0x400fffd8,0x006ffff9,
    0x2001fff9,0xbffffeee,0xff7105a8,0x3fffe6bf,0xffb004ff,0x01ffffff,
    0x000fec00,0xf537fec0,0xff7103ff,0x3fffeaff,0x3ffc4002,0x7d45f700,
    0x7fc402ff,0xfffb007f,0x0ff1000b,0xb9acefa8,0x06ec05fd,0xdef98264,
    0x007fdb9b,0x2001fff9,0x8004fffc,0x7ec01ff8,0xfd0005ff,0x7fff401f,
    0x3fffe601,0x907fe001,0xb00dfffb,0xfff9359f,0x7ffcc0df,0x3fff6dc0,
    0x33bee000,0x885fdb9a,0x7ec01ffd,0x806a807f,0x2a000ffb,0xbfd804ff,
    0xfb802ffb,0x5c93006f,0x01ffffff,0xf1bffd77,0x7ffffb9d,0xccccf980,
    0x20003ccc,0x80004ff8,0x3fe65ffc,0xffdaa80f,0x2fffbe8f,0x03ffec00,
    0xffa86f88,0x05ffe806,0x09fffd10,0xfb00df00,0x01ffffff,0x3f61ef98,
    0x3ffff200,0xf7001fff,0x7fd400df,0x0dd0002f,0x00dfff30,0xf700bf60,
    0xffc805ff,0x09f1000f,0xd1037fd4,0xdfff103f,0x2602ec80,0xd80007ff,
    0x0fffffff,0x401fff44,0x0d007ffc,0x10003fb0,0x545f5003,0x1cb800ff,
    0xfc883700,0xffa802ff,0x7ffcc1ee,0x001b600f,0x0fffc800,0x065c4000,
    0xff10076a,0x0015c1df,0x401fffee,0x03b504fd,0x400bffd0,0x002ffffc,
    0x7e4402f4,0x9001efff,0x007fb7ff,0x05fffff7,0x2001cb80,0x0001fff9,
    0x3ff600dd,0x2fc4000f,0x027ffc40,0x400bffe6,0x3fe601fa,0xb80bfa06,
    0xf00006ff,0xb10000ff,0x903dffff,0x3ee00dff,0x8807007f,0x4000002f,
    0x004e882e,0x00c00800,0x203fff30,0xf104fffa,0x7c000005,0x00003fff,
    0x7fff0000,0xfbf98000,0x3ff8807f,0x4ffd8000,0x3ffff200,0x017a001f,
    0x4001aa88,0x006ffff8,0x00026aa2,0x7ffcc000,0x00dd0001,0x000bffea,
    0x3f6003f5,0x5ffe807f,0xf880f900,0x80df706f,0x00006ff9,0x40000fff,
    0xff101aa8,0x3fee007f,0x09500007,0x0dc01800,0x00000320,0xff980000,
    0x837ff405,0x2000006c,0x006ffefa,0xff000000,0x2bd0000f,0xff9807ff,
    0xffd80003,0x3ebf2004,0xbd000fff,0x5c000000,0x00002fff,0xf9800000,
    0xdd0001ff,0x037ff400,0xfa801ba0,0x7fdc01ff,0x404f800f,0xff886ff8,
    0x037fc404,0x007ff800,0x7fe40000,0xfff7001f,0x00020000,0x00000910,
    0x00000000,0xa80bff30,0xeff887ff,0x7400002c,0x001fffae,0xff800000,
    0x87e40007,0xffa807ff,0xffd80003,0x7e5f2004,0x0bd006ff,0x00000000,
    0x00000000,0x001fff98,0x7dc00dd0,0x7f3001ff,0x04fff800,0x2017ffcc,
    0x7fc401fa,0x403ff986,0x00006ff8,0x00000fff,0x00ffff80,0x440fff70,
    0x50000005,0x88000007,0x00cefedb,0x59bfd730,0x017fe600,0xfc81fff3,
    0x003fffff,0xffd2f980,0xd730000b,0x3e0059bf,0x3e60007f,0x2e01ffe2,
    0xd80003ff,0x9f2004ff,0xe804fffd,0xffed9805,0x000001bd,0x3effdc88,
    0xdffb9100,0x3fff3007,0x801ba000,0x9005fff8,0xffc8001f,0x2fffdc07,
    0x3e201b20,0x02ffb86f,0x00037fc4,0x00007ff8,0x7fc43754,0x3fee007f,
    0x2a016a07,0x013f667d,0xdd5000b2,0x735dd300,0x7c405ffd,0x4ffca9be,
    0x405ff980,0x3e20fff8,0xefffffff,0xb9f60000,0x10000fff,0xff9537df,
    0x00fff009,0xfff13a20,0x007ff700,0x009ffb00,0xfffd13e4,0x6405e807,
    0xffeb8aef,0x267da802,0x7df504fd,0x403dffb5,0xffdabefa,0x3ffe601e,
    0x00dd0001,0x800fffc8,0xff98004f,0x3fffa02f,0x200fe00f,0xffc86ff8,
    0x037fc402,0xfff01baa,0x802dfdb8,0x986fffc8,0x2e006fff,0x417607ff,
    0xf57fffb8,0x0e805fff,0x6fffc980,0x7d42fd40,0x0fe881ff,0x200effb8,
    0xff805ff9,0xfeb99887,0x8001ffff,0x3ffe24f8,0x0fe88003,0x200effb8,
    0xdb0007ff,0xf700fff0,0xfb00007f,0x23e4009f,0x201ffff8,0x07fee05e,
    0x2e203ffe,0xfff57fff,0xb82fb85f,0x2fb80fff,0x300fffb8,0x20003fff,
    0x7fc4006e,0x00fd404f,0x104ffe80,0x207fff9f,0xff8801fa,0x402ffd86,
    0xfc986ff8,0xbffc06ff,0x3fffffe8,0x37ff55c0,0x002fffdc,0x9999fff7,
    0x2aa0bff9,0xfbe8fffd,0x017202ff,0x037ff55c,0x3fa01ff1,0x202fe84f,
    0x3e604ffd,0x06ff805f,0x1ffffd30,0x640fb800,0xfe8007ff,0x813ff602,
    0xfa8007ff,0xb807ff81,0xd80003ff,0x1f2004ff,0x403fffe6,0x41ffa05e,
    0xdaa82ffc,0xffbe8fff,0xe81be22f,0x037c44ff,0x3e609ffd,0xdd0001ff,
    0x0fffb000,0x320006e8,0xb1f707ff,0x01b60dff,0x7e437fc4,0x37fc403f,
    0x037ff55c,0x2b3a3ffe,0x800fffc9,0xffc86ff9,0x3fee004f,0xfffeeeef,
    0x77ffc405,0x2fa80ae0,0x037fd400,0x7fe409fb,0x3007fe43,0x3e603fff,
    0x2ffc405f,0x13ffee00,0xff30bf00,0x7fe4005f,0x07ffe600,0x22003ffc,
    0x00fff03f,0x00007ff7,0x64009ffb,0x0dfff707,0x06fe817a,0x7c407ff7,
    0xb0ae0eff,0x3ffe405f,0xffc80bf6,0x03fff307,0x2001ba00,0xf302fffa,
    0x7fcc0007,0xff55e82f,0x003f881f,0xff70dff1,0x06ff880d,0xff01bfea,
    0x7ffb03df,0x90dff100,0x5c009fff,0x0bd307ff,0x4007fff0,0xf88006f8,
    0x05ff306f,0x06fe8298,0xf305ffd8,0x2ff980df,0x0fffb800,0x3a03f500,
    0x3fa005ff,0x05ffd806,0x6d800fff,0x2e01ffe0,0xd80003ff,0x1f2004ff,
    0xe85fffc8,0x5c0b6a05,0x7ffc03ff,0x55ffc403,0xffcaaaaa,0x557ff11f,
    0xfff95555,0x03fff303,0x4001ba00,0x1f906ffe,0x5ffe8000,0xfff897c4,
    0x88007d43,0xfffa86ff,0x81bfe202,0x7fc06ff8,0x0bff500f,0xf70dff10,
    0x7dc00bff,0x2016a07f,0x7f4007ff,0x6ff88003,0x0003ff50,0xf700bff1,
    0x1bfe60df,0x4000bfb0,0xdd002ffd,0x00fffd40,0x5c02ffc4,0x0fff06ff,
    0xff007dc0,0x07ff700f,0x09ffb000,0x3fa03e40,0x002f43ff,0x01fffe44,
    0x3e601ffe,0xcccccccf,0xff31cccc,0x99999999,0xff303999,0x1ba0003f,
    0x0fffdc00,0x200013e2,0x3ee0fffb,0xdb1bff60,0x837fc400,0xfb01effe,
    0x37fc40df,0xf981ffe0,0x6ff8805f,0x006fffa8,0x5881ffee,0x2007ff80,
    0x88000ffb,0x3ff706ff,0x09ff5000,0x301fff50,0x3e205fff,0x3e60001f,
    0x02f9803f,0x54027ffc,0xffa804ff,0x01fff80f,0x7fc02f98,0x03ffb807,
    0x04ffd800,0xff101f20,0x002f45ff,0x7ff99fb5,0xa807ff80,0xff50007f,
    0xfff30000,0x017a0003,0x22fffc40,0x880001fb,0x517a2fff,0x0fe23fff,
    0x506ff880,0x5137ffff,0x440dff9b,0x3ffc06ff,0x100bff30,0xfff10dff,
    0x3ffdc00f,0x1ffe0060,0x0027fcc0,0xfb06ff88,0xff90005f,0x1fff300b,
    0x83ffff30,0x80002fe8,0xcfc804ff,0xeccccccc,0x7e400fff,0xfff9805f,
    0x027ffd40,0x3ffc02f4,0x001ffdc0,0x0027fec0,0xfff300f9,0x2a017a1f,
    0x0ffee2fe,0xf700fff0,0xff70001f,0xff880001,0x0bd0001f,0x07ffe400,
    0x6c0000dd,0xf05f35ff,0x003ea9ff,0x3206ff88,0xafffffff,0x3e206ff8,
    0x03ffc06f,0xf100dff1,0x3fff60df,0x0fff7000,0x00fff000,0x4000bffa,
    0xff906ff8,0xdff90007,0x20fff100,0xcffbdff9,0x00001efd,0xef8805fb,
    0xeeeeeeee,0x6403fffe,0xff8806ff,0x3ffffaa7,0xfff504ff,0xffffffff,
    0x703fffff,0xb00007ff,0x3e4009ff,0x8efffa80,0x077dc05e,0xff00ffee,
    0x03ff700f,0x003ff700,0x02fff880,0x40009f00,0x5f34fff8,0x7fd40000,
    0xff907c8f,0xf1001b6f,0xfffb80df,0x0dff12ff,0x3e037fc4,0x1bfe207f,
    0x541bfe20,0xf7002fff,0xf80800ff,0x1fff007f,0x22033a20,0xbff706ff,
    0x7fdc2600,0x05ff9807,0x2aa2bff3,0x6c00000a,0x007dc00f,0x5c06ffd8,
    0xff9807ff,0xffa80005,0xffffffff,0x81ffffff,0x80003ffb,0x32003ffd,
    0x3fff2007,0x1bf205ed,0x3e01ffdc,0x4ffa807f,0x27fd4100,0x3ffe0080,
    0x03f88003,0xcbffec00,0x7c400007,0xf304ebff,0x8007f5ff,0x53006ff8,
    0x206ff883,0x7fc06ff8,0x01bfe207,0x7441bfe2,0xff7005ff,0x7c24c00f,
    0x7ff9807f,0x220ffee0,0xfff506ff,0x3ea68803,0x7fcc01ff,0x00bff303,
    0x01fe0000,0xffa8017a,0x3ffea01f,0x81ffcc01,0x2600bde9,0xcccccccc,
    0xcccfffcc,0x003ffb80,0x002ffd80,0xffb001f2,0x3fe60bff,0x807ff704,
    0xff9807ff,0xf31d801f,0x03b003ff,0x20017ffa,0x4c0002fa,0x004fbfff,
    0xffffd800,0x3ffffe01,0x37fc4000,0x1bfe2000,0x7c06ff88,0x1bfe207f,
    0xa81bfe20,0xfc800fff,0x20ba007f,0xffa807ff,0x217fe607,0xff106ff8,
    0x744c80bf,0x7fd404ff,0x00bff301,0x05f30000,0x74001fa8,0x7ff405ff,
    0x80ffd404,0x0004fff9,0xf700fff0,0xfb00007f,0x03e4001f,0x17fffa20,
    0xfb81ffdc,0x03ffc03f,0x202fffc4,0x17ffe26a,0x7fe40d50,0x07ec000f,
    0x7fff4000,0xa800001f,0x7e407fff,0xf88005ff,0x7c40006f,0x1bfe206f,
    0x7c40fff0,0x6ff8806f,0x4037fe40,0xf9007ffd,0x2201ffe0,0x3fa00fff,
    0x206ff885,0xb885fffc,0x07ffd41f,0x7cc09fb0,0x00c0005f,0x03740274,
    0x007ffdc0,0x6c01fff5,0x0ffd804f,0x07ff8000,0x2003ffb8,0x037f45fc,
    0x26001f60,0xff705fff,0x093ff20d,0xf7007ff8,0x7f301dff,0x80efffb8,
    0x3fe203f9,0x13f2002f,0x7ffdc000,0x3e000006,0x7fcc04ff,0xff88003f,
    0x7fc40006,0x01bfe206,0x7fc40fff,0x06ff8806,0x100dffc8,0xb801ffff,
    0x00fff05f,0xfc80fffa,0x206ff883,0xaceffff8,0xffd03ffc,0x3017e20b,
    0x74000bff,0x0ee981ef,0x4001fd40,0x7404fff9,0x0bf105ff,0x0001bee0,
    0x7dc03ffc,0xfff1003f,0x2000ffc5,0xff50007e,0x8fffe20b,0x395ffee9,
    0x7400fff0,0xecbdffff,0xffffd06f,0x00dfd97b,0x9005fff7,0x400001df,
    0x00002fff,0x2007ff20,0x88000ffe,0x4c0006ff,0x3fe206ff,0x303ffc06,
    0xff300dff,0x3ffee00f,0xfffd511b,0x975555bf,0x3fe05ffd,0xfff9801f,
    0x3e60df00,0x7ff4c07f,0x405fffff,0x3a61dffd,0x37fd400e,0xffffd000,
    0x2009fb79,0xff0001fe,0xffd803ff,0x003ba61d,0x0000bfa6,0x7e403ffc,
    0x3ffa004f,0x4003f98e,0x8000bffa,0x3ffa05fb,0xff9afeff,0x3fff03ff,
    0x3fffa600,0x300effff,0xfffffffd,0x3fee001d,0xfb731adf,0x800001df,
    0x000007fc,0xfb8037cc,0xfff30005,0x7ff98000,0x881ffe60,0xff300fff,
    0x3fff700f,0x3ffae200,0xffffffff,0xffffffff,0xfffa80ff,0x7ffd5004,
    0x201bd733,0x4401fffb,0x03fffffd,0xdfdfff90,0xfffb0017,0x3fea0003,
    0x801cefff,0x8004ffc8,0x01effff9,0x77f7ffe4,0x67f4c00b,0x3fe00002,
    0x7fffc407,0xffff5001,0x3f22009f,0x01dfffff,0xf9102ec0,0x7ff41bff,
    0x09fff503,0xfffffd80,0xfffd800d,0x4c000dff,0xfffffffd,0x000003ef,
    0x000009f1,0x3e2007d0,0xfff90002,0x7fe40003,0x3fff701f,0x40bffea0,
    0xd701fffc,0x03dfffff,0x09999980,0xffea8000,0x7004ffff,0x2059dfdb,
    0xefffffeb,0x04d54401,0x00554400,0x7fffff44,0x530003ef,0x7fe40015,
    0x9805ffff,0xfffffffe,0x0554401f,0x80000000,0xffb507ff,0x005bffff,
    0x00002ae6,0x20060000,0x2a030098,0x4ffffffe,0x02aa6200,0x01553100,
    0xcba98800,0x000001aa,0x000000b8,0x02e000a8,0xffffd500,0x7e4005df,
    0x72efffff,0x3dfffffd,0x3fffffaa,0xffffd93e,0x000001df,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x32a20000,0x000b5002,0x00000000,
    0xccccc980,0xaaaccccc,0x66640009,0xcb84cccc,0x9911cccc,0x99999999,
    0xccc98007,0x2ccccccc,0x66665400,0xcccccccc,0x1ccccccc,0x99999997,
    0x03333320,0x40a01550,0xccccccc9,0x326004cc,0xcccccccc,0x0009aaac,
    0x99993000,0x99999999,0x59999999,0xc9800800,0xcccccccc,0x66664c0c,
    0x264ccccc,0x332a01cc,0x28055401,0x99991000,0x07999999,0xccccc980,
    0x6444cccc,0x3ccccccc,0x99999930,0x35579999,0x33332001,0x01cccccc,
    0x59ddd910,0xbdb30001,0xc8819fff,0x300007ff,0x037bffdb,0xdffb9100,
    0xfeb98807,0xfeffffff,0x802cffff,0x1cffffd9,0x0beffb88,0x3ffffae6,
    0x44000abe,0xdffffea9,0x7ec0009a,0xffffffff,0xffffffff,0xfff932ff,
    0x3f66037f,0x3ffa602f,0x9882c0cf,0xadffffeb,0x3ae62001,0xefffffff,
    0x02cfffff,0x3ae62000,0xeeefffff,0xfffeeeee,0x03bee005,0xfffea988,
    0xb9881adf,0x19cfffff,0xfc80ffee,0xfffd502f,0x87feab07,0x75cc4fd8,
    0x0abeffff,0x7f5cc400,0x981adfff,0x0aeffffb,0xfffd7310,0xffddddff,
    0x54c017df,0x9cfffffd,0x32efa800,0x9ddddffb,0xff31fc40,0x7ff6d49f,
    0xefc80007,0x02ffeb8a,0x36afbea0,0xf8801eff,0x54c09dff,0x801efffd,
    0xfe807ffd,0x07fffc02,0xfff88000,0x6fec0006,0x43ffdc19,0x7ec3ffa9,
    0x02fb807f,0x7ffff774,0xf8805a8c,0x880006ff,0x4c09dfff,0x01efffda,
    0x76fd4000,0x5fa804ff,0x09fff100,0x01bffe20,0x705fff98,0x7fe407ff,
    0xffeef882,0xfd4b8bff,0x07ffdcdf,0x000ffff8,0x0dfff100,0x005fff10,
    0x204fff88,0x801ffffa,0x2000fffe,0xffc80ff9,0xdd103eee,0xf30fff30,
    0xfb8000ff,0x00fff81f,0xffb82fb8,0x4fff800f,0x3ffffa80,0x00fffc40,
    0xffd00bf1,0xfe80000d,0x2ec0005f,0x440fff70,0x0fffc43f,0x49301b60,
    0x1ffffffb,0x00bfff00,0x013ffe00,0x00ffffea,0xfe9fb800,0x00d5004f,
    0xf001fff4,0x7c400bff,0x7ff704ff,0x5417fe40,0x3ffffee3,0x549ffb1f,
    0xffd00fff,0xff80000d,0x1efb805f,0x09fff000,0x803fffb0,0x74007ffd,
    0x0bff105f,0x3aa0bf90,0x000fff02,0xff907fe8,0x206f8805,0xfe804ffe,
    0xffd1004f,0x4ffd805f,0x36003ee0,0x400005ff,0x40004ffe,0x1ffee01e,
    0x9ff70770,0x2a01fc40,0x17ffe441,0x009ffd00,0x013ffa00,0x017fff44,
    0xffd5e800,0x801a2009,0x774403c9,0xeeeffffe,0xeeeeeeee,0x24eeefff,
    0x3f203ffb,0x6440b82f,0x33222eff,0xfb00e540,0xe80000bf,0x77d404ff,
    0x3ffa0000,0x6ffe8804,0x003ffe40,0x7f409ff3,0x005fe807,0x8000fff0,
    0x7ff706fe,0x3202fd80,0xffe807ff,0x3ffe2004,0x3ffe601f,0x3600bd00,
    0x400005ff,0x40004ffe,0x03ffdc06,0x3ffe2126,0x0801f700,0x7f4000c0,
    0xfd00004f,0x7fc4009f,0x540001ff,0x009ffd1f,0x44000024,0xcefffccc,
    0xcccccccc,0xccdfffcc,0xc80ffee3,0x0c0082ff,0x7fec0000,0x7f400005,
    0x03be604f,0x09ffd000,0x807ffee0,0x2e006ffc,0x3ff604ff,0x0027fc02,
    0x40007ff8,0x7ff702da,0x555ffc40,0xfffcaaaa,0x027ff401,0x017ffee0,
    0x3f507ffd,0x017ff600,0x09ffd000,0x7dc00800,0xf900807f,0x0013a09f,
    0x7ff40000,0x0beeefff,0x013ffa00,0x00bfff70,0x3ffa4e80,0x00000004,
    0x0027ff40,0x7dc0fffe,0x0bff203f,0x40000000,0x00005ffd,0xf9827ff4,
    0xfe80000e,0xfff5004f,0x037fe407,0x6c0bff50,0x3fe202ff,0x0fff0004,
    0x3f220000,0x3fe603ff,0xcccccccc,0x7f401ccc,0xffe8004f,0x1bfea01f,
    0xffd801b6,0x7f400005,0x0000144f,0x8001ffee,0x7d40fff8,0x00000001,
    0xd995bffd,0xd003dfff,0xfd0009ff,0x2a0003ff,0x013ffa0f,0xd0000000,
    0xff8009ff,0x07ff703f,0x00017fe4,0xffd80000,0x7f400005,0x00ef984f,
    0x09ffd000,0x80bffea0,0x22006ffc,0x3ff606ff,0x013fea01,0x0003ffc0,
    0x3f33f6a0,0x01fea03f,0x09ffd000,0x09fff700,0x3e21fff8,0x17ff6002,
    0x9ffd0000,0x000017a2,0x8000fff7,0x036c3ffc,0x7ed47da8,0x3ffa003d,
    0x1fffe984,0x0027ff40,0x0027ffdc,0x27ff44e8,0x333202c0,0xcccccccc,
    0x9ffd03cc,0x03fff800,0x7e407ff7,0x0dd5002f,0x6c01baa0,0x400005ff,
    0x77d44ffe,0x3fa00000,0xfffb004f,0x006ffc80,0xff80fff4,0xffdcca86,
    0xf003ccce,0x999930ff,0x3faa0799,0xb80ffee2,0x200000ff,0x98004ffe,
    0x7e407fff,0xb001b25f,0x80000bff,0x0ee9cffe,0x7fdc0000,0x7fc40007,
    0xb880fe27,0xffd17fff,0x3a007fff,0xfff304ff,0x27ff403f,0x3fffcc00,
    0x3a07dc00,0x02c404ff,0x3bbbbbfe,0x03fffeee,0xf8009ffd,0x7ff703ff,
    0x1017fe40,0x4c0dfff9,0xb006fffc,0x80000bff,0x3bea4ffe,0x7f400000,
    0xfff8804f,0x037fe405,0x703bfa20,0xddd701ff,0x0bdddfff,0x7d41ffe0,
    0xfb809bff,0x01ffdc0e,0x00003ff7,0x40027ff4,0x4407fff8,0x007f0fff,
    0x7105ffd8,0xeffe8005,0x7000005f,0xb0000fff,0x803ee7ff,0xe8fffdaa,
    0x0fffeaad,0x204ffe80,0x3a04fffb,0xf88004ff,0x7c4007ff,0x404ffe84,
    0x00fe205d,0x7f40bffd,0x7ffc004f,0x407ff703,0x2ae02ffc,0x2ae06ffe,
    0xfb006ffe,0xe80000bf,0x01df74ff,0x9ffd0000,0x1efff980,0x0037fe40,
    0x7567ff44,0xffa800df,0x0fff0004,0xfc8037ea,0x407ff706,0x01004ffa,
    0xdfff9993,0x07999999,0x2007fffc,0x00fabffd,0xd82ffec0,0x3fa002ff,
    0xb80004ff,0xffdccccc,0x1ccccccf,0xd1fff300,0x3ffe2009,0x03ffd81e,
    0x2604ffe8,0x33266fff,0xcccefffc,0x3fe03ccc,0x3ee000ff,0xaadffe80,
    0x05fecbaa,0xfff901e2,0x027ff401,0x5c0fffe0,0x3ff204ff,0x06ff9802,
    0xb006ffa8,0x80000bff,0x2ffbcffe,0xffd00000,0xb753335b,0x32009fff,
    0xe88006ff,0x001accbb,0x40013fea,0x04f987ff,0xfb827fcc,0x3ffe603f,
    0x74c1d801,0xeeffffee,0x3a04eeee,0x33331fff,0xbddff733,0x01333333,
    0x7fc17ff6,0x3ffa004f,0xdd900004,0xdfffdddd,0x005ddddd,0x00feffec,
    0x2e01fff0,0xffe804ff,0x87fffc04,0xffffeee9,0x04eeeeee,0x4007fffa,
    0xdffd04f8,0xfffddddd,0xf502c40b,0xffe803ff,0xffffffff,0x3fffffff,
    0x6409ff70,0xff8802ff,0x06ff8806,0x000bffb0,0xffeffe80,0x800001ff,
    0xfffffffe,0x00cfffff,0x800dff90,0xa80003e8,0xff0004ff,0xb804fa8f,
    0x7ff703ff,0x02fffc40,0x3ffa01aa,0xfffd0004,0x3fffffe1,0xffffffff,
    0xfb03ffff,0x03bea0bf,0x027ffc40,0x3fee0000,0xff300007,0x7ff800df,
    0x2017fea0,0x3e204ffe,0x3ffa07ff,0xfffd0004,0x403f2001,0x3a604ffe,
    0xfff10005,0x3bffd007,0x33333333,0x207fff33,0xff506ffb,0x7c40a25f,
    0x6ff8806f,0x00bffb00,0xccffe800,0x0001ffff,0x106fff40,0x9ffff975,
    0x06ffc801,0x0000ff40,0x80027fd4,0x00fee7ff,0xfc837fdc,0x3fee024f,
    0x03f980ef,0x0004ffe8,0x2a00ffff,0xfb0006ff,0x260000bf,0x0004ffff,
    0x03ffdc00,0x07ffb000,0x2207ff80,0xffe806ff,0x17ffee04,0x0004ffe8,
    0x2200ffff,0xeeeeeeff,0x2d404fff,0x05ffe800,0x8009ffd0,0xff703fff,
    0x7e6e447f,0x3e20753f,0x6ff8806f,0x00bffb00,0x94ffe800,0x0003ffff,
    0x2027ff40,0x00ffffe8,0x8801bff2,0xaabccfff,0xffa801aa,0x2fff0004,
    0x3e2002fb,0x3fba63ff,0x3fa0395f,0xfecbdfff,0x09ffd006,0x0dfff300,
    0x0017fe60,0x0002ffec,0x27ff6fd4,0x3ee00000,0x2a00007f,0x7ff8007f,
    0x201bfe20,0x3f604ffe,0x3ffa03ff,0xfff98004,0x999db006,0x9fff9999,
    0xc8005880,0xfd000fff,0xfff8009f,0xdffff703,0x3ffe6bfd,0xdff101eb,
    0x00dff100,0x00017ff6,0x7e49ffd0,0x00001fff,0x36009ffd,0x3f205fff,
    0x3fe2006f,0xffffffff,0xff500bff,0x3ffe0009,0x74003ffc,0x9afeffff,
    0x2603ffff,0xfffffffe,0x9ffd000e,0x9fff5000,0x017fe600,0x002ffec0,
    0x7ff4fea0,0x5c000004,0x400007ff,0x7ff8004f,0x201bfe20,0xff904ffe,
    0x4ffe80bf,0x4fffa800,0x7402f980,0x001804ff,0x000fffd4,0xf8009ffd,
    0xf9d703ff,0xffd89fff,0x1bfe203f,0x401bfe20,0x00005ffd,0x3f227ff4,
    0x80001fff,0xf1004ffe,0x3f203fff,0x7f4c006f,0xffffffff,0x9ff506ff,
    0x2bffe000,0x22001fff,0x3a0dfffc,0xffb003ff,0x4001bfff,0xc8004ffe,
    0x33322fff,0xfffdcccc,0x1ccccccc,0x000bffb0,0x13ffa2b8,0xff700000,
    0x7d40000f,0x07ff8001,0x3a01bfe2,0x3fa624ff,0x7f400dff,0xffc8004f,
    0x806d802f,0x00004ffe,0x001fffc4,0xf0013ffa,0x4db207ff,0x200a201a,
    0xf8806ff8,0xbffb006f,0xffe80000,0x1ffffc84,0x27ff4000,0x07fffd00,
    0x3001bff2,0x5553311d,0x503ffb95,0x3e0009ff,0x01fff97f,0x4d809880,
    0x7ca98800,0x04ffe800,0x22fffcc0,0xdccccccc,0xcccccfff,0xbffb01cc,
    0x7f40e000,0x0288004f,0x000fff70,0xf80036c0,0x1bfe207f,0x3fbfffa0,
    0x003effff,0x98009ffd,0xf9805fff,0x04ffe802,0x3ffa0080,0x4ffe8005,
    0x81fffc00,0x8800007d,0xff8806ff,0x0bffb006,0x7ff40e00,0x3ffff904,
    0x27ff4000,0x09fff900,0x9801bff2,0x0fe6001f,0x40013fea,0x1bff67ff,
    0x017cc000,0x2001ba00,0x74004ffe,0x26000fff,0xfb0005ff,0x077000bf,
    0x20013ffa,0xfff7002c,0x0be60000,0x103ffc00,0xffd00dff,0x0155579d,
    0x004ffe80,0x4007fff4,0x9ffd006e,0xf9049800,0xfd0001ff,0xfff8009f,
    0x0001ff03,0x806ff880,0xfb006ff8,0x077000bf,0xfc813ffa,0xd0001fff,
    0x7ec009ff,0xdff901ff,0x40037400,0x04ffa82d,0x7c4fff00,0xb80004ff,
    0x7fc0004f,0x27ff4000,0x07fff500,0x005ff980,0x800bffb0,0x9ffd00f8,
    0x20078800,0x00007ffb,0x7fc000dd,0x01bfe207,0x00013ffa,0x50027ff4,
    0xf5007fff,0x13ffa005,0xff505d00,0xe81c403f,0x7fc004ff,0x02ff883f,
    0x37fc4000,0x8037fc40,0x44005ffd,0x09ffd00f,0x01ffffc8,0x004ffe80,
    0xfc81fffe,0x0df9006f,0xfa80f880,0xfff0004f,0x003fff98,0x0007fdc0,
    0x4003ff88,0xf9004ffe,0xf3000bff,0x3f6000df,0x0364006f,0xd800bfff,
    0x3ffee005,0x2b322000,0x20000fc8,0x3fe207ff,0x04fff806,0x09ffd000,
    0x017fff20,0xff801be2,0x03f2004f,0xa807fff1,0x00bfff03,0xfa83fff8,
    0x4400003f,0xff8806ff,0x0dffb006,0x3fe06c80,0xfffc804f,0x7ff4002f,
    0x9fff9004,0x803ffe40,0xd3004ffd,0x017fee05,0x2e07ffc0,0x20001fff,
    0x131cfff8,0x4b7ff200,0x13ffe018,0x05dffd10,0x01bfea00,0x803fff40,
    0x3fe03fe8,0x5fd3006f,0x07ffe400,0xfffffb00,0x7fcc0007,0x0fff300f,
    0x000bfff0,0x1013ffe0,0x2005dffd,0x3fe003fc,0x5fc8804f,0xd805ffe8,
    0x00bfff03,0x5c27ffc4,0x400004ff,0xf9807ff9,0xfffd007f,0x80ffa200,
    0xfd005fff,0x7c007fff,0x7e4404ff,0x7fec04ff,0xffff3007,0xb5533559,
    0x2ffdc07f,0x07ffc400,0x0007ffec,0xbfffff70,0x3ff62003,0xfc883fff,
    0xbaacdfff,0x004fffed,0x0bfff620,0xffffb880,0xccccccce,0xf701fffe,
    0x999bdfff,0x1fffd999,0x3fffe600,0x3fff2004,0x7dc0005f,0xfff902ff,
    0x3fff2203,0x3220002f,0xaacdffff,0x04fffedb,0x0037ff20,0x57ffff91,
    0xff975555,0x9fffc85f,0xda999999,0xffffb82f,0xffff9001,0x003ffa81,
    0x0fffdc00,0x807ffee0,0xceffffb8,0xfecccccc,0xffc881ff,0xffe801ff,
    0x100aefff,0x599ffff9,0xffff9755,0xffffa805,0xfffd5003,0x1bffffff,
    0x0ffff440,0x0bffea00,0x007fffe6,0x00357300,0x260aea20,0xfffffffd,
    0x9acdefff,0xffd50000,0x40bdffff,0xffffffc8,0xffffffff,0x7ecc6fff,
    0xffffffff,0xffffffff,0xfffec806,0x401dffff,0x0000cec8,0x3fffffaa,
    0xffffd73e,0x3ff663df,0x04ffffff,0x3ffff660,0xdeffffff,0xd50009ac,
    0x81dfffff,0xffffffd9,0xffffffff,0x3fe60fff,0xffffffff,0xdb32ffff,
    0x9dffffff,0xffffd981,0xbb14efff,0x3ae00001,0x41efffff,0xefffffeb,
    0x3ffff221,0xffffffff,0x4c6fffff,0xfffffffd,0xffffb84e,0x26ffffff,
    0xffffffd9,0xeeffffff,0x3ff200bc,0x1dffffff,0xefeeca80,0x3f6601bc,
    0x1cefffff,0x3ffffae0,0xfffd33ef,0x00007dff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x64c00000,0xcccccccc,0x80009aaa,
    0x2cccccc9,0x99970000,0x33261999,0xcccccccc,0x40009aaa,0xccccccc8,
    0xcccccccc,0x664c2ccc,0xcccccccc,0x3ccccccc,0x33333322,0x9904cccc,
    0x47999999,0xccccccc9,0x664c0ccc,0x4ccccccc,0x66665c00,0xcccccccc,
    0x950ccccc,0x99999999,0x66664c07,0x9950cccc,0x99999999,0x99999999,
    0x33332639,0xaaaccccc,0xca800000,0xcccccccc,0x9999884c,0x99999999,
    0x99099999,0x99907999,0xcca80599,0xcccccccc,0x32a00004,0xcccccccc,
    0x6664c04c,0x4ccccccc,0xccccccb8,0x0003cccc,0x00000000,0x00198000,
    0x7fff5cc4,0xffffefff,0x2e62000e,0x000fffff,0x77fffcc0,0x3fae621b,
    0xfeffffff,0x002cffff,0xdffffb73,0xffdddddd,0xeb988bff,0xeeeeffff,
    0x46ffffee,0xffffffda,0xfd5301bf,0x4c415dff,0xadffffea,0xfffb9881,
    0x3a61acff,0xffffd02e,0xffffffff,0x5c49ffff,0xaeffffff,0x3ff66200,
    0x3ff21bff,0xffffffff,0xffffffff,0xffd7313f,0xffffffff,0x202c005d,
    0xfffffffb,0xaad87fff,0xaaaaaaaa,0x4aaaaaaa,0x30dffd33,0xb809fff7,
    0xffffffff,0x005807ff,0xfffffff7,0xfb80ffff,0xffffffff,0xffffd87f,
    0x05ffffff,0x00001b20,0x300001f5,0x445bdfb7,0x406ea83f,0x4c0dfff8,
    0x8003fffe,0x003ffffa,0x03fffec0,0x04efffc4,0xdfffb731,0x2fffc003,
    0x2205fb80,0x6c404fff,0x3fff206f,0x7ff5005f,0x0dfff100,0x82fffcc0,
    0x7ff06ffd,0xfff98013,0xffffb106,0x1eff8001,0x5409efd8,0xfeb987ff,
    0x1dfff883,0x09fff951,0xeea80d70,0xeeeeeeee,0x90000486,0x3206ffa8,
    0x775404ff,0xeeeeeeee,0xa803cc06,0xeeeeeeee,0x775405ee,0xeeeeeeee,
    0xeeeeec86,0x004eeeee,0x500001b2,0x7440001f,0xdffda9bf,0x3ff264e9,
    0x4fff806f,0x013fff20,0x0dffff10,0x7fffc400,0x09fff005,0x09ffff70,
    0x8017ffa0,0x27ffc05b,0x7e407c80,0x7fb007ff,0x02fffc00,0x209fff10,
    0x2f886ffc,0x07fffa00,0x01ffff88,0x6c07fe20,0x81ffea05,0x9fff03f8,
    0x03bffee0,0x000037c4,0x24000120,0xfa81bfe6,0x0000004f,0x000001f6,
    0x00000000,0x0006c800,0x00007d40,0xfff701dd,0x6ffeab8b,0x204ffe80,
    0x001fffe8,0x017fff7c,0x5ffefc80,0x009ffd00,0x00ffffa2,0x98017ff6,
    0x027ffc06,0xffd80788,0x027d403f,0x0013ffa0,0x32207fff,0x2006881d,
    0xa803fffc,0x32005fff,0xa80b603f,0x825407ff,0x3f604ffe,0x0df904ff,
    0x00480000,0x6ff88900,0x0013fe60,0x03fe4000,0x00000000,0x90000000,
    0xfa80000d,0x07fb0000,0xfa82ffec,0x4ffe806f,0x01fffe40,0x1bffb3a0,
    0x3f77e200,0x9ffd004f,0x7fffc400,0x02ffec01,0x9ffd0120,0x7c402400,
    0xbf100fff,0x09ffd000,0x003fff80,0x3e600930,0x3f6005ff,0x5f8802ff,
    0x3fea0340,0xfe824407,0x3ffe604f,0x006ffc87,0x00024000,0x037fc448,
    0x00009ff3,0x00fff500,0x00000000,0x64000000,0x7d400006,0x07fb8000,
    0x440fffec,0xffe806ff,0x2fffd404,0x3feb3a00,0x4fdc002f,0xfd004ffd,
    0xffb8009f,0x2ffec06f,0x3ffa0000,0xf9800004,0x0ee885ff,0x04ffe800,
    0x001fffc0,0xfe880188,0x3e2000ff,0x7e400fff,0x3ea00400,0xfd00807f,
    0x7ffc409f,0xffffb10f,0x36607999,0x201bdffe,0x88900004,0x3fe606ff,
    0x3f722004,0xff9103ef,0x647999ff,0xcc83cccc,0x73002ccc,0x80059bfd,
    0x320006ea,0x7d400006,0x06fe8000,0x217ff7b2,0xfe806ff8,0x7ffd404f,
    0xfea74004,0xdafc005f,0xffd004ff,0xfffd0009,0x02ffec03,0x13ffa000,
    0x7fe40000,0x000fec3f,0x4004ffe8,0x00003fff,0x017ffe40,0x027ffd40,
    0x500007f3,0x74000fff,0x7ff404ff,0xfffdd91f,0xdf909ddd,0x05ffd715,
    0x22400012,0x3e606ff8,0x7df5004f,0xb83dffb5,0xeeefffee,0x1bffa664,
    0x017ffae6,0xf9537df1,0xffc8809f,0x1b20006f,0x01f50000,0x705ff880,
    0x10fff91d,0xffd00dff,0x3fffc809,0xffaa7400,0x25f7001f,0xfd004ffd,
    0xff70009f,0x2ffec09f,0xfe802440,0x0002c04f,0x3ee1fffd,0x3ffa0002,
    0x1fffc004,0xff500000,0x7ec000bf,0x00dd01ff,0x01ffea00,0x404ffe80,
    0x7c40ffff,0x0ffdc06f,0x02407ffc,0x7fc44800,0x013fe606,0x3fee0bee,
    0x00fff00f,0x7e40dff5,0x03fa205f,0x5c03bfee,0x0006ffea,0x500001b2,
    0xffa8001f,0xff51fa85,0x06ff881f,0x2204ffe8,0x4000ffff,0x017ffe4e,
    0x09ffb374,0x0013ffa0,0xd81fffe6,0x049805ff,0x6809ffd0,0x3ffe6000,
    0x40004f9d,0x7c004ffe,0x000003ff,0x001dfff1,0x437ffc40,0x500001fb,
    0x74000fff,0x3fe204ff,0x06ff886f,0xffc83ff4,0x90000482,0x2606ff88,
    0x37c404ff,0x3e09ffd0,0x6ff8807f,0xe817fea0,0x13ff602f,0x000dff30,
    0x20000364,0x7e4000fa,0xf30fd46f,0x6ff883ff,0x204ffe80,0x8002fffd,
    0x03ffee4e,0x7fec5f50,0x09ffd004,0x0ffff100,0x7402ffec,0x09ffd004,
    0x32000364,0x0006ffff,0x4004ffe8,0x00003fff,0x003fffb0,0x49fff500,
    0x200004f9,0x20007ffa,0x3f204ffe,0x6ff883ff,0xfb837f40,0x0000483f,
    0x206ff889,0x7ec04ff9,0x41fff202,0xff8807ff,0x417fe606,0x3e600ffc,
    0x3fe201ff,0xfffff906,0xffffffff,0x2adfffff,0xffffffff,0xffffffff,
    0x3fee0fff,0xff10be67,0x00dff10f,0xfd509ffd,0x3a0003ff,0x013ffe24,
    0x04ffd8fd,0x0009ffd0,0x6c03fffe,0xaaaaaeff,0xd004fecb,0xb9999dff,
    0xd0000dff,0x00003fff,0x3333bffd,0xf3333333,0x000007ff,0x0009fff7,
    0xd8fffec0,0x7d400006,0x3fa0007f,0xbfff504f,0x501bfe20,0x0ffee05b,
    0x22400012,0x3e606ff8,0x2ffe205f,0xfcaaaaaa,0x07ff81ff,0x2606ff88,
    0x0dfd05ff,0x440bffb0,0x555306ff,0x5fb55555,0x55555555,0x2aaaaaa2,
    0xaaabfcaa,0x7d42aaaa,0x883f88ff,0x6ff886ff,0xdceffe80,0x00befffe,
    0xff913a00,0xb0fe601f,0x3fa009ff,0xffd0004f,0x3fff603f,0xffeeeeee,
    0xfffd004f,0xdfffffff,0xfff30000,0xffd0000d,0xffffffff,0x7fffffff,
    0xff880000,0x4400006f,0x01fbefff,0x3ffd4000,0x5bffd000,0x9fff9533,
    0xfffcca81,0x91003ccc,0x00907fff,0x1ffe1200,0x2605ff98,0xccccccff,
    0xf81ccccc,0x6ff8807f,0x2217fe60,0xffb805ff,0x01bfe206,0x00006c80,
    0x260007d4,0x304eafff,0xdff109ff,0x99dffd00,0x0001fffd,0xfff889d0,
    0xfd81fb03,0x9ffd004f,0x3fffa000,0x80bffb00,0xffd004fa,0x001ba609,
    0x0ffffea0,0x3bffd000,0x33333333,0x007fff33,0x1fffe800,0xffb80000,
    0x800004ff,0x20007ffa,0xffedeffe,0xffb01cdf,0x0bffffff,0xffccfda8,
    0x90000483,0xd101ffd0,0x3fd40bff,0x03ffc000,0xf3037fc4,0x09ff50bf,
    0x201fff50,0x20006ff8,0x5400006c,0xffe8000f,0x0bfea05f,0x3a01bfe2,
    0x3ffe24ff,0x84e80005,0x4f887ffc,0xd004ffd8,0x3e0009ff,0x3ff607ff,
    0xd004b805,0x034409ff,0x3fb7e200,0x3a0000ff,0x7fc004ff,0x0057103f,
    0x001fffe4,0x1fffb000,0xff500000,0x7ff4000f,0x7fc40004,0x45fd5006,
    0x00483ffb,0xbffb0900,0x7ffdf541,0x001ff700,0x8807ff80,0x3fe606ff,
    0x805ffc85,0xf100fff9,0x364000df,0x03ea0000,0x03ffe600,0xff105fc8,
    0x89ffd00d,0x0003fffa,0x7ffcc274,0x7ec07e43,0x9ffd004f,0xdfff3000,
    0x402ffec0,0x9ffd0049,0x22000680,0x0dfff36e,0x027ff400,0x7c0fffe0,
    0xff9806ff,0x4000005f,0x00007ffb,0x000fff50,0x00027ff4,0x2e01bfe2,
    0x1ffdc0ef,0x84800024,0xffeffff9,0x1effff99,0x0000ffdc,0x3e201ffe,
    0x17fe606f,0x2201bff2,0x3fe207ff,0x01b20006,0x001f5000,0x441bffa0,
    0x1ffe606f,0x3613ffa0,0x20001fff,0x4dffb04e,0x9ffb05f8,0x013ffa00,
    0x817ffea0,0x03005ffd,0x3013ffa0,0x907ec000,0x20007fff,0x7c004ffe,
    0xfffa83ff,0x3ffa202f,0x4000000f,0x00007ffb,0x000fff50,0x00027ff4,
    0xf901bfe2,0x20ffee0d,0x20900004,0x30effffb,0x3ea03bff,0x3e01004f,
    0x6ff8807f,0x2e17fe60,0xff9807ff,0x01bfe205,0x00006c80,0x640007d4,
    0x260dffde,0x3fee00fe,0x27ff401f,0x0037ff44,0x3fe609d0,0x3603f72f,
    0xffd004ff,0xfff90009,0x02ffec05,0x13ffa000,0x17dc0000,0x000ffff4,
    0x20027ff4,0xff883fff,0x3ff205ff,0x8000002f,0x00007ffb,0x000fff50,
    0x00027ff4,0xf981bfe2,0x07ff704f,0x01200009,0x00fa8155,0x400fffcc,
    0x807ff81d,0x3e606ff8,0x1fffa85f,0x101ffcc0,0x64000dff,0x7d400006,
    0xa87dc000,0x0ceeefff,0xfffffd70,0x13ffa03d,0x0027ffcc,0x3ffa04e8,
    0x7fec0bf6,0x09ffd004,0x06fff980,0x8002ffec,0x009ffd00,0x209f3000,
    0x8006fff9,0x7c004ffe,0x935103ff,0x17ffea0d,0x70005100,0x00000fff,
    0x8001ffea,0x40004ffe,0x3ee06ff8,0x07ff703f,0x01200009,0x7c403740,
    0x835405ff,0xfff007ff,0xe82ffcc0,0x7fd404ff,0x01bfe201,0x00006c80,
    0xf10007d4,0x00155303,0x27ff4000,0x005fff70,0x7fd409d0,0x3f602fdf,
    0x9ffd004f,0x1fffd800,0x002ffec0,0x4ffe81d4,0x2fc40000,0x00ffff20,
    0x8009ffd0,0x3e803fff,0x00ffff88,0x5c0015c0,0x000007ff,0x4000fff5,
    0x80004ffe,0xff7047ff,0x093ff20d,0x01200009,0x5c007fc0,0xf980efff,
    0x041fff03,0xe880ffe8,0xfff505ff,0x2027ec01,0xff906ff8,0xffffffff,
    0xffffffff,0x007d400d,0x00000000,0xb013ffa0,0xe8001fff,0x37fff404,
    0x4013ff60,0x2a004ffe,0xfd804fff,0x0fc4005f,0x0004ffe8,0x1003ba20,
    0x4003fffd,0x7c004ffe,0x07c403ff,0x0017ffec,0x7dc000f4,0x5000007f,
    0x20001fff,0x80004ffe,0x44912ffe,0x3ba63fff,0x012395ff,0x44002400,
    0xffd003ff,0xdfd97bff,0x589ffec0,0x541bffb0,0xd00fffbe,0x17e20bff,
    0x4c1ffe60,0xaaaaaaaa,0xaaaaaaaa,0x0a2002aa,0x00000000,0x013ffa00,
    0x800dfff1,0x7ffdc05f,0x02fff402,0x7004ffe8,0x3a009fff,0x36c005ff,
    0x0009fff0,0x4007fa20,0x000efffa,0xf800bffd,0x426c03ff,0x8004fffb,
    0xff70007b,0x2e00000f,0xd0000fff,0x900009ff,0xe81fffff,0x9afeffff,
    0x0123ffff,0xc8002400,0x30312dff,0xfffffffd,0x7ffdc01d,0xfff100ff,
    0xff33ffdf,0xffb03dff,0x00774c3b,0x000fffdc,0x00000000,0x00000000,
    0x402fffc0,0x000dfffa,0x0fff00df,0x200dfff0,0x74404fff,0x3a001eff,
    0x3f2006ff,0x017ffe03,0x017f6200,0x00bfffd0,0x88017ffe,0x9d304fff,
    0x00dfff10,0x2000df50,0x0000fffc,0x01fffb80,0x00bfff00,0x3bff9100,
    0x1bfff910,0x0121fff4,0x88002400,0x03fffffd,0x37fffff6,0x2dffd800,
    0x77fffdc0,0x803bff30,0xbefefffc,0x7fff5c00,0x00001eff,0x00000000,
    0x88000000,0x802ffffc,0x00befffc,0xb805ff91,0x3fee203f,0x3f2202ff,
    0xbaabcfff,0x004fffec,0x567fffd4,0xfcbaaaaa,0xffc880ff,0x2a0001ff,
    0x22006fff,0x01dfffff,0x03ffff91,0x1dfff910,0xffd01da8,0x5555559f,
    0xffd97555,0xfff5000b,0x4000019f,0x00cfffea,0x3ffff220,0x00200002,
    0xd80c0262,0xcccccccc,0xcccccccc,0x5440004c,0x5531002b,0x00088001,
    0x02e20554,0x00155100,0x00000000,0x00000000,0x36600000,0xffffffff,
    0x3fffa00c,0x3ff666ff,0x880cffff,0xfffc880f,0x30cfffff,0xfffffffb,
    0x359bdfff,0x3fb22001,0xffffffff,0x6fffffff,0x7ffffecc,0x32004eff,
    0x5fffffff,0x3ffffa20,0xb31fffff,0xdfffffff,0xfffd9819,0x804effff,
    0xfffffffb,0xffffffff,0x2003ffff,0xffffffec,0x2e0001df,0xfffffffe,
    0x3ff6602d,0x04ffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x0000001a,0xa8000000,0x00000002,
    0x00000000,0x00000000,0x18806c40,0x00000ae0,0x99995000,0x99910999,
    0x33332199,0xccccc83c,0x32e00002,0x950ccccc,0x83999999,0x401ccccb,
    0x00362059,0x501dc000,0x66664009,0xcccccccc,0x9999953c,0x33322199,
    0x666540cc,0x9933cccc,0x30079999,0x00198019,0x22000054,0x2e200000,
    0xffdc980e,0x3fb261cd,0xd73002df,0xffc859bf,0xdfdb7101,0xfed98019,
    0x33201bdf,0xccc83ccc,0x04ffaacc,0x0fbff722,0x337ffae0,0x0017546a,
    0x3f722000,0x76440bce,0x73001def,0x44059bfd,0xfffb10ee,0x41fe47df,
    0x77ed47da,0xbefdb80b,0xffff7100,0x3bf26039,0x1bffa661,0x013ffee6,
    0x27eccfb5,0x43dfffb3,0xadfffea8,0x05ffe440,0x27407d10,0x7ed47da8,
    0x80be203d,0xddff003e,0xffdddddd,0x3ffaa27f,0x77fd42ff,0xfffda882,
    0xfff7109e,0x7ff00159,0x7001fd80,0xceeb887f,0x00003a01,0x2e13ff22,
    0xffea89df,0xffbaefa9,0x2fbe204f,0x324ffca9,0xaee983ff,0x902ffeb9,
    0xffd715df,0x3ffa6605,0xcffeb986,0xdf505ffa,0x03dffb57,0x3f262fba,
    0x5fff446f,0x7d400000,0x0efea88c,0xffb55bf3,0x4df7c409,0x2204ffca,
    0x9abefcee,0x23fcefdb,0xb17ffeb8,0x44dfffff,0x05fffffe,0x200fffd4,
    0xdff501fb,0x4427fe40,0xff57fffb,0x5ffd85ff,0x403fff30,0x06d803f9,
    0xffb883f6,0xffffd17f,0x80fe407f,0x1fc401fb,0x6c17ffa0,0x2fcc0fff,
    0x417ffc40,0x22000efa,0x1fd804ff,0x3a227dc0,0xc80ffecd,0x3660002f,
    0xffb80bff,0x17fffd40,0x74417fec,0x0effb80f,0x85fa83fd,0x7dc1fffa,
    0x00fff81f,0xfc81bfea,0xf709f94f,0x81fff705,0x06f881fc,0x0039ffb3,
    0xf10bf700,0xe889f5ff,0x0fe882ff,0x100effb8,0x7f4407ff,0x7ffedd44,
    0xffd99ce8,0xa9ace8bf,0x7f403fff,0x3026c02f,0x7fd40dff,0xfffdaa84,
    0x42fffbe8,0x3f606ff9,0x201ee02f,0x89f702fc,0xe8fffdaa,0x0fffeaad,
    0x3a01df10,0x901e200f,0x3e201fff,0x0076c4ff,0x7cc0fff8,0x3a0aa804,
    0x3602e63f,0xb09f701f,0x7cc4fe83,0x754003ff,0x3ff402ef,0x983fffc4,
    0x02fe86ff,0x0bf37ff6,0x3fa01ff1,0xc83ff44f,0x3fe602ff,0x33bfea06,
    0x206f884e,0x07fc4ffe,0x7e4406b8,0xf30002df,0x3ffea01f,0x86ffa81f,
    0x3ff602fe,0x1005f504,0x3ffe20dd,0xefffb81e,0x406ffa82,0x3e205ffa,
    0x81bfe201,0x3e204ff9,0x40ae0eff,0xff301ffd,0x2e02740b,0x01ff506f,
    0x207bffe2,0x3f203ffd,0x201df506,0x3ffea058,0x8fffcc01,0x3fe001fb,
    0x4c027d47,0x23f90eff,0x3fb05ffa,0x32004fa8,0x06fe882f,0x01dffc88,
    0x3fa0dfd0,0x87ffe04f,0x3e600ffc,0x09fb02ff,0x3fa1ffe4,0x407ff706,
    0x3e606ff8,0x0bf600df,0x3e27ffc8,0x400d102f,0x4003efeb,0x7ffc07fd,
    0x43fff306,0x3e600ffc,0x02fc41ff,0x3fe07f10,0x3fff300f,0x201ffe20,
    0x0d701fff,0x2606ff88,0x7ffc04ff,0x13fea003,0x4407ffc4,0x0bfe601f,
    0xff013fe6,0x13fee01f,0xfd04ff88,0xfff1000b,0x3bff2007,0x7fc002f9,
    0xe800fee7,0xf77a8eff,0x8fec09ff,0x2fc004fa,0x6cc09fb0,0x4c000cff,
    0x59ffd01d,0xfff55555,0x6c037f45,0x2ff983ff,0x16d414c0,0x2203ffb8,
    0x3fe606ff,0x2affe204,0xffcaaaaa,0x40bffe1f,0xffda8002,0x37fcc00c,
    0x333bff20,0x2fffcccc,0x3f601bfa,0x0007d45f,0x03ffc1ba,0xff803ffe,
    0x04ffb807,0x6ff8805f,0xf013fe60,0xfff000ff,0x213ffee0,0x1bfe206b,
    0xf003ffa2,0x2ffd40ff,0x2a0fff20,0x7f4004ff,0x7ff4005f,0x7ff8005f,
    0xc88005f7,0xffcebffe,0xfcfd803d,0x03f22004,0x75407fcc,0x800003ef,
    0xeeefffb8,0x2eeeeeee,0xf700bff1,0x03ff50bf,0xffc88000,0x1bfe203f,
    0x2604ff98,0xccccccff,0x321ccccc,0x0000dfff,0x077ff260,0x2a02ffd4,
    0xccccceff,0xff11cccc,0x8dff700b,0x07b8007b,0xffe80fff,0x003ffa00,
    0x7a81fff1,0x206ff880,0x7fc04ff9,0x2ffc8007,0xe87ffbe8,0x20bffa03,
    0xff804ffe,0x01bfe207,0xfd05fff1,0x3ff2005f,0x7fcc000f,0xfff8001f,
    0x20003ffc,0x002dfeb8,0x2e005fe8,0x3ae2ffff,0x3fee21be,0x8800002d,
    0x01ffedfc,0x4027fd40,0xffb87ffa,0xfb500001,0x4407ff99,0x3fe606ff,
    0x001fea04,0xdfffff98,0x2e200000,0x7fe42eff,0x027fcc04,0x2013fea0,
    0x1760fffa,0x3a07e600,0x07ff407f,0xb001ffd0,0x804d87ff,0x3e606ff8,
    0x03ffc04f,0x2a2ffcc0,0x7cc5ffb6,0x90dff900,0xff001fff,0x037fc40f,
    0x2a07ffe4,0x7d400fff,0xf90001ff,0xfff000df,0x0003fff5,0x7bfddd93,
    0x3ffee001,0x3ff4c001,0x00f7fcc0,0x6fec4000,0x8003ffd1,0xf9805ffc,
    0x17fec0ff,0x8bfaa000,0x3e203ffb,0x13fe606f,0x0000ffb8,0x3fffffa2,
    0xfa800003,0x0bffb0ff,0x4005ff98,0xf9805ffc,0x001b20ff,0x1ffa03ea,
    0x7401ffd0,0xff9800ff,0x22003e26,0x3fe606ff,0x003ffc04,0x4fa0ffe8,
    0x81365ffa,0x7c41fff8,0x7ff802ff,0x201bfe20,0xffd84ffe,0x1fffc404,
    0xffff8800,0xcbffc004,0xf7000fff,0xff3d39ff,0xa7dc01df,0xff8001fd,
    0x2efeb802,0x3bf20000,0x0017fec1,0x2201bff2,0x3ffc87ff,0x03bee000,
    0x7c407ff7,0x13fe606f,0x0001ffb8,0x5ffffea8,0x3faa0000,0x01bff63e,
    0xc800fff1,0xff8806ff,0x5c003dc7,0xe80ffd07,0x3ffa00ff,0x23ffd000,
    0xdff1005c,0x2027fcc0,0xf70007ff,0xfe83ea7f,0x4c01f88f,0x6ff985ff,
    0x2207ff80,0x7fd406ff,0x806ff985,0x20005ffe,0x01fff8ce,0xffd9ffe0,
    0x3fff9806,0x13ffa2f7,0x07f627dc,0x4003fb00,0x000cffda,0x3603bf20,
    0x7dc003ff,0x5ff9807f,0x3005ffb8,0xfb837e41,0x1bfe203f,0x2a04ff98,
    0x001004ff,0x005ffff7,0x16ffdc40,0x2203ffe4,0x84400fff,0xf9807ffb,
    0x0017cc5f,0x03ff413a,0xfe803ffa,0xbff7000f,0x7fc400be,0x017fe606,
    0x22000fff,0xfb89b6ff,0xf7006abf,0x07ff503f,0x3e207ff8,0x077f406f,
    0x320077ec,0x90000fff,0x007ffdcd,0x3fe27ff8,0x1ff4404f,0x0ffa23fb,
    0x0fec13ea,0x2000fd00,0x001dffc9,0xfc81ffc4,0xf52a805f,0xff9803ff,
    0x01fffa83,0x09ff3344,0xf880ffee,0x17fe606f,0x801fff98,0x3a20511d,
    0xc98005ff,0x3ea01cff,0x3fe600ff,0xfa96404f,0x7fcc01ff,0x9000fd83,
    0x01ffa01f,0x7f401ffd,0xfff1000f,0x7ff800f7,0xf017fe60,0x7ec000ff,
    0x7fc40fbf,0x3f2003ee,0xf80df905,0x1bfe207f,0xf980ffa8,0x7ffd401f,
    0x7d40e201,0x802ffec1,0x7ffcc7ff,0x27fc0803,0xb013ea02,0x711bb83f,
    0xb880003f,0xf5002eff,0x3ffea07f,0xffd07401,0x81ffa809,0x6405fff8,
    0x5c0ffee4,0x7ffc03ff,0x40bff300,0x5405fff8,0xff881a26,0x3ff6a007,
    0xfff8800b,0x3fffe603,0xffe8f301,0x40ffd404,0x7dc00df8,0xd01ffa04,
    0x7ff401ff,0x3fff2000,0x07ff4003,0x202fff44,0x2a0007ff,0xffb05fff,
    0x1fe8001f,0x7fc07fb0,0x81bfe207,0x05fb01fe,0x403fff88,0x882f883a,
    0xff802fff,0x0fffdc0f,0x809ff100,0x3fb004fa,0x06fffff4,0x3faa0000,
    0x3ff200be,0x1bfff105,0xffa8bb10,0x813f600f,0xb885fffc,0x41bfee1f,
    0x3a024ffc,0xffe881ff,0x77ffdc05,0x3e23f980,0x101bf601,0x0005dfd7,
    0x7dc0fff9,0x7441efff,0x007ffd45,0x3ff209fb,0x7fecc0af,0x01fff00e,
    0xfd007ff4,0x7fcc001f,0x7fec000f,0x3fefaa0d,0x01ffe00f,0x203fff00,
    0x88005ffa,0x40fd105f,0x3fe207ff,0x2607f706,0x5ffe803f,0x2f443d80,
    0x401fff70,0xfd81fff8,0x3fa001ff,0x20026402,0x0004c42d,0x7fecc000,
    0x1fff980c,0x77fff74c,0x80ffda9b,0xbf105ffe,0xeffff880,0x443ffcac,
    0x3ba63fff,0xfb0395ff,0x7df543bf,0x7ff400ff,0x6fecbdff,0x9fd037c4,
    0x073ff220,0x3fff8800,0xffffdff0,0xd03ffd9d,0x17e20bff,0x7fe45fe4,
    0xe8aeffee,0x01fff80e,0xfe807ffa,0x2fec001f,0x7fffcc00,0xfff99ffe,
    0x1fff81ef,0x017f2000,0x260005ff,0x307f101f,0x3e601fff,0x7409d07f,
    0x9fffc805,0xda999999,0x3027ec2f,0x2e01dfff,0xffa83fff,0x002001ff,
    0x00000000,0xff910000,0xdfffe83b,0xfff92fdb,0x403fffff,0x3a61dffd,
    0xffe9800e,0xd05fffff,0x35fdffff,0x2607ffff,0x9ffeffff,0x01effff9,
    0xffffffd3,0xeff881df,0x6cc37d42,0x00000bff,0x6c45ffd3,0xfffff93f,
    0x7fec07ff,0x203ba61d,0x65d443f9,0x2a2f442b,0xff303fff,0x3ffe607f,
    0x00fd4003,0xeffffb80,0x203bff30,0x0004fffa,0x0f900be6,0x2606a800,
    0x02fffb87,0x5b83fff9,0x3e601aa0,0xffffffff,0xf32fffff,0xff90dfff,
    0x75cdffff,0x33efffff,0x7fffffff,0x00000000,0x00000000,0xb307f5c4,
    0xc81bffff,0x01effffe,0xefefffc8,0x3f62000b,0x2203ffff,0x3a0dfffc,
    0x7fdc03ff,0xbff30eff,0x3fff6003,0xef880dff,0x0cfecfff,0x000177d4,
    0xefffd880,0x7ffe41ef,0xffc803ff,0x200befef,0x4c220000,0x3efffffe,
    0xdfffffd5,0x3ffffaa9,0x012003ef,0x7102aa00,0x3fffaa01,0x70004fff,
    0x00005100,0x3faa0803,0xd73effff,0x23dfffff,0x00004400,0x00000000,
    0x00000000,0x00000000,0x0a800000,0x4400aa88,0xa88001aa,0x5440000a,
    0x1310009a,0x15500060,0x88000b88,0x30400aa9,0x06601555,0xa9800000,
    0x04d4c00a,0x002aa200,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00003100,0x00000000,0x00000000,0x2e600000,0x4c0ccc40,0xeeeeeeee,
    0xeeeeeeee,0xfff50eee,0xffffffff,0xffffffff,0x40199881,0x40010000,
    0x66666540,0xfff34ccc,0xffffffff,0xbfffffff,0x2eeeeee2,0xbbbbbbbb,
    0x0003bbbb,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3fe20000,0x82ed4003,0x001ceeb8,0x6cc001e8,
    0xfe884efe,0x5c077d42,0x2201deed,0x701ceccc,0x7fd45fff,0x66664c2f,
    0xcccccccc,0x0fdccccc,0x99999993,0x99999999,0xff819999,0xfffc884f,
    0xfa9a002d,0xb93fa21f,0xffffffff,0x99999916,0x99999999,0x3e679999,
    0xffffffff,0xffffffff,0x0000006f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4013fe60,0xf885ffd9,
    0x003fffdf,0xfb801bee,0x21effcef,0x7ff46ffa,0xffa8f6c3,0x7fc4bd03,
    0x45fffe81,0x00004ffb,0x00001f30,0x10bff500,0xfffb99ff,0xfd2dc019,
    0x87ffdcbf,0xfffffffb,0x0000006f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x01770000,
    0x3c85fb80,0xf8803fe4,0xdf9803fd,0xff937541,0x324fff8f,0x20ffdc3f,
    0x41ffc2fa,0x640ffffc,0x3000007f,0x0000001f,0x0bb01df9,0x15bffd71,
    0xffc8bae2,0x111ffe64,0x00111111,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0bf70000,0x005ff109,0x801f91f9,0x27f700fe,0x7ff46ffb,0xff03ff13,
    0x3a20b88b,0x3f35504f,0x00003fb0,0x00001f30,0x3e01ff00,0x7ffe4c01,
    0x5dc44fff,0x0000e540,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3ea00000,
    0x003fa005,0x013e25f3,0x9afc40bf,0x97fec4ff,0x6fd80ff9,0x13fb3220,
    0x13a20d50,0x03e60000,0x3f300000,0x95001220,0x0000059b,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0xbf3005fa,0x1fa8dd00,0x6d805f10,
    0xffb87ff1,0xf903ff51,0x3a3b910f,0x101ec04f,0xf300000d,0x3ffffea1,
    0xffffffff,0x70ffffff,0x00000005,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7e400000,0xffffffff,0xffffffff,0x802fd46f,0x0fdc00fc,0x40bf0374,
    0x507fe5f8,0x417fccff,0x237446fb,0x03e604fe,0x10000010,0x2aaaa215,
    0xaaaaaaaa,0x0aaaaaaa,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xa9800000,0xaaaaaaaa,0xaaaaaaaa,0x402fd42a,0x27c401fa,0x1fd03f98,
    0x0fd8fee0,0xbff137c4,0x3fe87fb0,0x1ec827f4,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x5f3017ea,
    0x6401f900,0x41df980f,0xf83e46ea,0x3e0ffdc4,0x3e65ff86,0x005f40df,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x07a605fa,0xf100fe60,0x33bfee09,0x82d41eff,0xabffc83d,
    0xfffc80dd,0x00effdbe,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00400000,0xea82fd40,0x03741c81,0xdb301fb8,
    0x406209df,0x59b93009,0x985edc40,0x0000004d,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20017fc4,0xeefb86fb,
    0x7dc6feee,0x001ba001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x88027fd4,0xf72dffec,
    0x7fffffff,0x260027c4,0x0000002f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3db00000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_41_latin_ext_x[560]={ 0,4,2,0,1,1,1,1,1,0,2,0,1,1,
2,0,1,4,0,1,0,1,1,1,2,1,3,2,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,-1,1,0,1,0,2,1,0,0,0,0,0,0,3,0,1,0,-1,2,1,-1,1,1,1,1,1,0,1,
-3,0,1,0,0,1,-1,1,0,1,0,0,0,0,0,0,0,5,2,3,0,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,4,2,1,0,0,
2,2,1,1,-1,1,0,1,1,-1,1,0,0,0,4,2,-1,2,3,2,0,1,2,2,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,-1,1,1,1,1,1,2,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,0,1,1,1,1,1,0,0,0,0,0,0,0,-1,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,0,1,0,0,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,0,0,0,0,-1,0,-1,0,-1,0,1,0,1,0,1,0,-3,0,0,0,0,1,0,
1,0,1,0,1,0,0,-1,0,-1,0,-1,0,0,0,0,1,1,1,1,1,1,1,1,0,0,0,0,0,0,
2,1,2,1,2,1,2,1,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,5,5,0,5,5,5,
5,5,5,5,5,5,5,5,5,5,2,1,5,5,5,5,5,5,5,5,5,5,5,5,5,0,0,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,1,0,0,1,
1,0,0,0,0,0,0,0,0,0,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,0,1,-1,1,1,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static signed short stb__times_41_latin_ext_y[560]={ 32,6,6,6,5,6,6,6,6,6,6,9,28,22,
28,6,6,6,6,6,6,7,6,7,6,6,14,14,10,16,10,6,6,6,7,6,7,7,7,6,7,7,7,7,
7,7,7,6,7,6,7,6,7,7,7,7,7,7,7,6,6,6,6,38,6,14,6,14,6,14,6,14,6,6,
6,6,6,14,14,14,14,14,14,14,9,15,15,15,15,15,15,6,6,6,19,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,32,14,8,6,11,7,
6,6,7,6,6,15,16,22,6,4,6,9,6,6,6,15,7,17,31,6,6,15,6,6,6,14,-1,-1,-1,0,
1,1,7,6,-1,-1,-1,1,-1,-1,-1,1,7,0,-1,-1,-1,0,1,12,6,-1,-1,-1,1,-1,7,6,6,6,
6,7,7,6,14,14,6,6,6,7,6,6,6,7,6,7,6,6,6,7,7,12,14,6,6,6,7,6,6,7,
2,9,0,7,6,14,-1,6,-1,6,1,7,-1,6,-1,6,7,6,2,9,0,7,1,7,7,14,-1,6,-1,6,
0,7,1,7,6,4,-1,-1,7,6,0,7,2,9,0,7,7,6,1,14,7,6,-1,6,7,6,15,-1,-1,7,
6,6,6,7,6,7,6,-1,6,7,14,-1,6,6,6,14,2,9,0,7,-1,6,7,14,-1,6,7,14,-1,6,
-1,6,-1,6,6,14,-1,6,7,9,-1,6,7,9,0,7,2,9,0,7,-1,6,-1,6,7,15,-1,6,-1,6,
1,-1,6,1,7,-1,6,6,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,6,8,8,6,8,8,8,
8,8,8,8,8,8,8,8,8,8,3,14,8,8,8,8,8,8,8,8,8,8,8,8,8,3,14,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,-1,6,-1,6,-1,
6,-1,6,-1,4,-1,1,-1,1,-1,1,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,-6,-2,-2,6,-2,6,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__times_41_latin_ext_w[560]={ 0,5,11,18,16,29,27,5,11,11,14,21,7,10,
5,11,17,10,17,15,18,16,17,16,15,16,5,6,21,21,21,14,33,27,23,23,26,22,20,26,26,12,15,28,
22,33,28,25,20,25,26,17,21,27,27,35,27,27,22,8,11,9,17,20,7,16,19,15,18,15,16,17,19,9,
11,19,9,29,19,17,19,18,13,13,11,19,19,27,19,19,16,11,3,11,21,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,5,15,17,18,19,
3,14,11,26,12,17,21,10,26,20,12,20,11,10,7,18,18,5,6,7,12,17,26,26,28,14,27,27,27,27,
27,27,33,23,22,22,22,22,12,12,12,12,26,28,25,25,25,25,25,16,25,27,27,27,27,27,20,18,16,16,
16,16,16,16,23,15,15,15,15,15,9,9,11,11,17,19,17,17,17,17,17,20,18,19,19,19,19,19,19,19,
27,16,27,16,27,18,23,15,23,15,23,15,23,15,26,23,26,19,22,15,22,15,22,15,22,17,22,15,26,17,
26,17,26,17,26,17,26,19,26,19,12,12,12,12,12,12,13,11,12,9,27,17,15,14,28,19,19,22,9,22,
9,22,14,22,12,22,10,28,19,28,19,28,19,23,25,16,25,17,25,17,25,17,31,25,26,13,26,13,26,13,
17,13,17,13,17,13,17,13,21,11,21,16,21,11,27,19,27,19,27,19,27,19,27,19,27,21,35,27,27,19,
27,22,16,22,16,22,16,15,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,26,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,25,19,19,19,19,19,19,19,19,19,19,19,19,19,19,30,21,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,27,16,12,11,25,
17,27,19,27,19,27,19,27,19,27,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,27,16,33,23,25,18,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19, };
static unsigned short stb__times_41_latin_ext_h[560]={ 0,27,12,27,30,28,27,12,34,34,16,21,11,4,
5,27,27,26,26,27,26,26,27,26,27,27,19,25,19,8,19,27,34,26,25,27,25,25,25,27,25,25,26,25,
25,25,26,27,25,34,25,27,25,26,26,26,25,25,25,34,27,34,14,2,8,19,27,19,27,19,26,26,26,26,
34,26,26,18,18,19,26,26,18,19,24,18,18,18,17,25,17,34,34,34,6,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,0,26,31,27,18,25,
34,34,5,27,12,18,8,4,27,2,13,21,14,15,8,25,33,5,9,14,12,18,27,27,27,26,33,33,33,32,
31,31,25,34,33,33,33,31,33,33,33,31,25,33,34,34,34,33,32,16,27,34,34,34,32,33,25,27,27,27,
27,26,26,27,19,26,27,27,27,26,26,26,26,25,27,25,27,27,27,26,26,15,20,27,27,27,26,34,34,33,
30,24,32,26,33,25,34,27,34,27,32,26,34,27,33,27,25,27,30,24,32,26,31,26,32,25,33,27,34,34,
33,33,32,33,34,36,33,33,25,26,32,25,30,23,32,25,32,33,31,18,26,34,34,34,33,34,17,33,33,33,
34,26,26,25,26,25,26,34,26,33,26,34,26,26,27,26,31,24,33,26,34,27,26,19,33,26,33,26,33,26,
34,27,34,27,34,26,34,27,34,32,33,27,25,24,33,26,31,24,33,26,34,27,34,27,32,24,34,27,33,34,
31,33,26,31,25,33,26,26,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,27,24,24,34,24,24,24,
24,24,24,24,24,24,24,24,24,24,30,19,24,24,24,24,24,24,24,24,24,24,24,24,24,30,19,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,33,27,33,26,34,
27,34,27,34,29,34,32,34,32,34,32,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,38,35,34,27,35,28,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24, };
static unsigned short stb__times_41_latin_ext_s[560]={ 509,504,290,388,209,367,416,506,78,66,462,
460,328,430,504,147,306,205,45,324,205,128,174,75,372,192,506,188,1,366,152,
423,124,145,470,27,62,89,112,263,161,494,240,441,418,28,256,1,268,158,1,
463,246,348,376,404,133,218,195,236,360,403,259,462,336,83,195,67,444,122,19,
1,479,469,489,36,440,237,367,200,108,450,307,138,376,287,267,321,422,208,405,
134,505,413,396,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,
318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,509,505,165,
71,218,120,501,57,418,1,315,349,344,430,51,441,277,439,247,494,388,374,485,
505,505,239,302,387,209,236,374,47,28,83,111,150,88,60,296,184,405,247,1,
1,82,469,105,465,269,24,245,299,353,270,439,477,485,407,461,29,291,139,248,
338,472,455,438,28,108,357,23,125,322,306,290,92,141,499,62,406,156,228,114,
96,78,90,173,218,482,465,445,425,406,72,92,410,239,301,206,285,430,56,132,
215,156,179,267,74,180,113,167,89,93,272,324,360,339,316,116,332,362,75,296,
1,240,267,194,342,385,387,300,29,360,390,347,185,234,393,226,426,412,499,425,
457,24,501,216,204,463,285,53,347,442,319,95,482,425,264,287,140,322,163,335,
37,346,428,366,168,386,426,45,450,139,408,221,467,90,129,1,174,56,33,1,
191,458,302,1,258,222,292,19,485,116,498,146,138,197,481,186,289,293,302,478,
388,362,244,479,159,435,340,178,338,367,17,334,327,181,219,168,37,330,242,151,
224,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,231,318,318,112,
318,318,318,318,318,318,318,318,318,318,318,318,318,298,47,318,318,318,318,318,
318,318,318,318,318,318,318,318,267,100,318,318,318,318,318,318,318,318,318,318,
318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,265,489,
321,63,435,407,379,403,325,347,271,247,1,319,208,118,318,318,318,318,318,318,
318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,
318,318,318,1,73,90,132,47,397,318,318,318,318,318,318,318,318,318,318,318,
318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,
318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,
318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,
318,318,318,318,318,318,318,318,318, };
static unsigned short stb__times_41_latin_ext_t[560]={ 1,75,393,210,178,178,178,238,75,75,374,
348,393,393,103,210,210,266,266,210,294,294,238,266,210,238,144,348,374,393,374,
238,1,294,321,238,348,348,348,238,348,321,294,321,321,348,294,238,348,1,348,
178,348,294,294,294,348,348,348,1,210,38,393,393,393,374,210,374,178,374,321,
321,294,294,1,321,294,374,374,374,294,294,374,374,348,374,374,374,374,321,374,
75,1,38,393,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,1,110,178,
210,374,321,1,38,393,266,393,374,393,393,238,393,393,348,393,374,393,321,75,
137,374,393,393,374,238,238,238,294,110,110,110,144,178,178,321,1,110,110,144,
178,144,110,144,144,321,144,1,1,1,110,144,374,210,1,1,38,144,110,321,
238,238,238,238,266,266,238,374,266,238,238,238,266,266,266,294,321,238,321,238,
238,238,294,294,393,348,210,210,210,266,38,38,75,178,348,144,294,75,321,38,
210,38,210,144,294,38,210,110,210,321,210,178,348,144,294,178,294,144,321,110,
210,38,38,110,110,144,110,38,1,110,75,321,266,144,321,178,348,144,294,144,
110,178,348,266,38,38,38,144,38,374,110,144,110,38,266,266,321,266,321,266,
75,266,110,266,75,266,266,210,266,178,348,110,266,75,210,294,374,110,294,110,
294,75,294,75,210,38,210,75,266,75,178,75,144,75,178,321,348,75,266,144,
348,75,266,38,210,38,210,144,348,38,210,75,38,178,75,266,178,321,75,266,
294,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,210,348,348,38,
348,348,348,348,348,348,348,348,348,348,348,348,348,178,374,348,348,348,348,348,
348,348,348,348,348,348,348,348,178,374,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,75,238,
75,266,1,210,1,238,1,178,1,144,40,144,1,144,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,1,1,1,238,1,178,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348, };
static unsigned short stb__times_41_latin_ext_a[560]={ 148,197,242,296,296,493,461,107,
197,197,296,334,148,197,148,165,296,296,296,296,296,296,296,296,
296,296,165,165,334,334,334,263,546,428,395,395,428,362,329,428,
428,197,231,428,362,527,428,428,329,428,395,329,362,428,428,559,
428,428,362,197,165,197,278,296,197,263,296,263,296,263,197,296,
296,165,165,296,165,461,296,296,296,296,197,231,165,296,296,428,
296,296,263,284,119,284,320,461,461,461,461,461,461,461,461,461,
461,461,461,461,461,461,461,461,461,461,461,461,461,461,461,461,
461,461,461,461,461,461,461,461,148,197,296,296,296,296,119,296,
197,450,163,296,334,197,450,296,237,325,178,178,197,341,268,148,
197,178,184,296,444,444,444,263,428,428,428,428,428,428,527,395,
362,362,362,362,197,197,197,197,428,428,428,428,428,428,428,334,
428,428,428,428,428,428,329,296,263,263,263,263,263,263,395,263,
263,263,263,263,165,165,165,165,296,296,296,296,296,296,296,325,
296,296,296,296,296,296,296,296,428,263,428,263,428,263,395,263,
395,263,395,263,395,263,428,383,428,296,362,263,362,263,362,263,
362,263,362,263,428,296,428,296,428,296,428,296,428,296,428,296,
197,165,197,165,197,165,197,165,197,165,420,327,231,165,428,296,
296,362,165,362,165,362,241,362,204,362,165,428,296,428,296,428,
296,358,416,293,428,296,428,296,428,296,527,428,395,197,395,197,
395,197,329,231,329,231,329,231,329,231,362,165,362,253,362,165,
428,296,428,296,428,296,428,296,428,296,428,296,559,428,428,296,
428,362,263,362,263,362,263,165,461,461,461,461,461,461,461,461,
461,461,461,461,461,461,461,428,461,461,296,461,461,461,461,461,
461,461,461,461,461,461,461,461,428,313,461,461,461,461,461,461,
461,461,461,461,461,461,461,460,321,461,461,461,461,461,461,461,
461,461,461,461,461,461,461,461,461,461,461,461,461,461,461,461,
461,461,461,461,461,428,263,197,165,428,296,428,296,428,296,428,
296,428,296,428,296,461,461,461,461,461,461,461,461,461,461,461,
461,461,461,461,461,461,461,461,461,461,461,461,461,461,461,461,
461,461,428,263,527,395,428,296,461,461,461,461,461,461,461,461,
461,461,461,461,461,461,461,461,461,461,461,461,461,461,461,461,
461,461,461,461,461,461,461,461,461,461,461,461,461,461,461,461,
461,461,461,461,461,461,461,461,461,461,461,461,461,461,461,461,
461,461,461,461,461,461,461,461,461,461,461,461,461,461,461,461,
461,461,461,461,461,461,461,461, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_41_latin_ext_BITMAP_HEIGHT or STB_FONT_times_41_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_41_latin_ext(stb_fontchar font[STB_FONT_times_41_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_41_latin_ext_BITMAP_HEIGHT][STB_FONT_times_41_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_41_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_41_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_41_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_41_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_41_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_41_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_41_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_41_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_41_latin_ext_s[i] + stb__times_41_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_41_latin_ext_t[i] + stb__times_41_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_41_latin_ext_x[i];
            font[i].y0 = stb__times_41_latin_ext_y[i];
            font[i].x1 = stb__times_41_latin_ext_x[i] + stb__times_41_latin_ext_w[i];
            font[i].y1 = stb__times_41_latin_ext_y[i] + stb__times_41_latin_ext_h[i];
            font[i].advance_int = (stb__times_41_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_41_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_41_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_41_latin_ext_s[i] + stb__times_41_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_41_latin_ext_t[i] + stb__times_41_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_41_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_41_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_41_latin_ext_x[i] + stb__times_41_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_41_latin_ext_y[i] + stb__times_41_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_41_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_41_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_41_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_41_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_41_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_41_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_41_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_41_latin_ext_LINE_SPACING
#endif

