// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_50_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_50_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_50_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_50_latin_ext_BITMAP_HEIGHT        578
#define STB_FONT_times_50_latin_ext_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_times_50_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_50_latin_ext_NUM_CHARS            560

#define STB_FONT_times_50_latin_ext_LINE_SPACING          32

static unsigned int stb__times_50_latin_ext_pixels[]={
    0x55550000,0x98000005,0x8000004b,0x0002aaa9,0x08000300,0x0aaaa600,
    0x10000a88,0x00001333,0x062000c0,0x00800800,0x33310000,0x4c000001,
    0x00000099,0x03331000,0x33000000,0x33333333,0x00020001,0x80000004,
    0x00028800,0x4c400000,0x00000099,0x06666000,0x220a8800,0x3e00000b,
    0x00002fff,0x0017bd10,0xffff0000,0xf8800005,0x36e001ff,0x3ffe001e,
    0x00bee02f,0x005ffc80,0x0ffe8800,0x004ffb80,0xd8817d10,0xfb000003,
    0x00001fff,0x003dff30,0xb7100000,0xfffddffd,0x0000017b,0x7fffffcc,
    0x0004ffff,0x740019d9,0x54000001,0x01ff6606,0x88000000,0x0005ffff,
    0xff700000,0x2e0005ff,0x03fff32f,0x7fff3000,0x37400000,0xf3000000,
    0x000009ff,0x1009fff9,0xf98001dd,0x17dc04ff,0x01ff2000,0x3ffee000,
    0x7fffc404,0x9ff50000,0x0000bf93,0x3ffffe60,0xfc800004,0x0000000e,
    0x04d6fed4,0x01dfda98,0xfff98000,0x4fffffff,0x017dc000,0x00004e88,
    0xeb885d88,0x00007fff,0x3ff20000,0x00001fff,0x7ffc4000,0xf70006ff,
    0x013fff25,0x017ff200,0x01f98000,0x3f200000,0x7000005f,0xf9807fff,
    0xbff90005,0x0005f700,0x00003f50,0x803fffb8,0x0000ffff,0x03bfffee,
    0x7ff40000,0x0001fffd,0x00006f40,0x39fd7000,0x07f91000,0xccc88000,
    0x2ccccccc,0x04fa8000,0x0003db10,0x66c0fea0,0x0007fffe,0xff300000,
    0x000dffdb,0xffc80000,0x8003fffc,0xdffff2fb,0x0dfd0000,0xafa80000,
    0x000000bb,0x000037f4,0x401bfb10,0xd0002ff8,0x0bee00df,0x000cc000,
    0x006fec00,0x0001ff54,0x000e665c,0x70efa800,0x80000dff,0x40000003,
    0x80000cfd,0x00000ee9,0x20000000,0x3f6003fe,0x27d40003,0x007ffe80,
    0xfb000000,0x00fff629,0x7c400000,0x01ffd32f,0xffd2fb80,0xf98000ff,
    0x4000000e,0x004ffff8,0x03be2000,0x40000000,0xf10007fd,0x0bee001d,
    0x2206e200,0x0000002b,0x2e200000,0x0002b881,0x3a6077c0,0x2e20002f,
    0x0002b881,0x003fe980,0x0006d800,0x2e206e20,0x3ee00002,0x0bfa000f,
    0x002fcc00,0x0000fffb,0x09f50000,0x00001ff7,0x883fb000,0x7dc004fd,
    0x00dfffd2,0x0000fb80,0x9fffd000,0x7dc00000,0x00000001,0x0009ff30,
    0xfb8007ee,0x1ffe8002,0x00017ff4,0x80000000,0x7ff41ffe,0x1d700002,
    0x8001b620,0x7ff41ffe,0x3ea00002,0x2000002f,0xfd00004e,0x02ffe83f,
    0x09ff1000,0x0007fd40,0xc8003fa2,0x000007ff,0x2603e800,0x0000004f,
    0x3f900fcc,0xfd97dc00,0x740005ff,0x20000001,0x0001ffe9,0x00007600,
    0xffa80000,0x003b0005,0x44002fb8,0x7ffc2fff,0x00000003,0xfff88000,
    0x001fffc2,0x3c802c40,0x2fff8800,0x0001fffc,0x0001ef98,0x0017c400,
    0xf0bffe20,0x200007ff,0x6c006ff9,0x3f6000ef,0x3ffe4004,0x20000000,
    0x00e8803b,0x07600000,0xfb8016a0,0x009fff92,0x00029880,0x0000c000,
    0x00000400,0x3ff20000,0x00010006,0xf90005f7,0x00efb81d,0x00000000,
    0xb81df900,0x080000ef,0xc8000400,0x077dc0ef,0x0ffc4000,0x7a800000,
    0x0efc8000,0x000077dc,0x4007ffa8,0xf9004ff8,0xffc8001f,0x00000007,
    0x00020004,0x20008000,0x5cbee000,0x20004fff,0x003fffea,0x00000000,
    0x00000000,0x1fff6000,0x20019800,0x000002fb,0x00000000,0x00000000,
    0x00000000,0x80000000,0x000004fd,0x000017c0,0x2e000000,0x74000fff,
    0x7fc400ff,0x7ffc8005,0x00000000,0x00000000,0xb8000000,0x07fff52f,
    0x2277e200,0x000002fc,0x30000000,0x91003595,0x3f200000,0x6d4000ff,
    0xfb803eff,0x00000002,0x00000000,0x00000000,0x00000000,0x7dc00000,
    0x00220006,0x000016e0,0xfb000000,0xff9000ff,0x03ffb809,0x007ffc80,
    0x00000000,0x80000000,0x1abcba98,0x4bee0710,0x0002fff9,0x000db0d9,
    0x00000000,0x3ffffb26,0xe883efff,0x2da8000f,0x003fff50,0x7e4d6fc4,
    0xec97dc02,0xeeeeeeee,0x75400eee,0xeeeeeeee,0x0076a00e,0xddd92e44,
    0xdddddddd,0xeeea801d,0x0eeeeeee,0xdddddd50,0x23dddddd,0xeeeeeeec,
    0x400eeeee,0xeeeeeeea,0x7fc40eee,0xeffc8001,0x20ddb52e,0x777640f8,
    0xeeeeeeee,0x7775400e,0x0eeeeeee,0x001bffa0,0xf803ffe6,0xfc8001ff,
    0xacdb887f,0x3bbbaa00,0x23eeeeee,0xeeeeeee8,0x2e02eeee,0xeeeeeeee,
    0x7ff54001,0xdfffffff,0x3ee0b50a,0x003fff12,0x07ea0fe0,0xb7510000,
    0x0000179b,0x2135dff9,0x22effdb9,0x322002fd,0xff302fff,0x4364005f,
    0x217dc05d,0xefffffda,0xffc98001,0x3f2602ff,0x7ed402ff,0xfffda87f,
    0x98001eff,0x002ffffc,0x3ffffee2,0x3ff6a02f,0x8001efff,0x02ffffc9,
    0xf50013f2,0x7ec7545f,0x540be04f,0x1efffffd,0xfffc9800,0xbfff002f,
    0x13ffe000,0x8003ffd4,0x3fa27ffc,0x201effff,0xffffffa8,0xfffd300b,
    0x22003dff,0x00afffea,0x37fffee0,0xff95311b,0x3ee0dfbf,0x0003ffe2,
    0x003dc2ec,0x2affea00,0xaaacffeb,0x7f4c01aa,0xfff9803f,0xb3003fcd,
    0x205fffff,0x2003fff8,0x200fa83f,0xfffd02fb,0xfb80003f,0xfffd301f,
    0x3ff205ff,0x3fa07fff,0x40001fff,0x70001ffb,0x2005ffff,0x001ffffe,
    0x200ffdc0,0x3ee001ff,0xfffdb80e,0xfd00fa01,0x80003fff,0xf1001ffb,
    0x360009ff,0xdffd06ff,0x5fff2000,0xfffffff9,0x7fcc02ff,0xff8806ff,
    0xb8002fff,0x7ec002ff,0xfb1002ff,0x8bee0fff,0x2a0007ff,0x0013a21f,
    0xd80ffd80,0x5fffffff,0x007ffee0,0x05fffe88,0x3ffa6620,0x0bffe02f,
    0x07b85e80,0xffc817dc,0xf980007f,0x3fa66607,0xf73502ff,0x7fe40fff,
    0xf980007f,0x3fe60007,0xff9000ff,0xf30000ff,0x006fa80f,0x7c407ff2,
    0x026c07ff,0x001ffff2,0xf001fe60,0x360005ff,0x7fcc0fff,0xff90005f,
    0x3b2f7faf,0x400fffff,0x7006fffd,0x0005ffff,0x74400bf7,0xb8002fff,
    0x45f707ff,0x740007fe,0x001ffdef,0x207ff900,0xcccefff8,0x07fff702,
    0x1dffd100,0x5fff7000,0x0007ff40,0x027443f5,0x7fdc0bee,0xf980006f,
    0x5fff7006,0x40fffd00,0x0006fffb,0x20006f98,0x000ffff9,0x000dfff7,
    0xfd80df30,0x07ff9003,0x6405fff8,0x37ffdc05,0x037cc000,0x0007ff60,
    0x2a1fffe4,0x90004fff,0x901b9fff,0xa809ffff,0xf000ffff,0xb0007fff,
    0x3fe2003f,0x320001ff,0x22fb80ff,0x980006fd,0x200002fe,0x7e407ff9,
    0x7fc400ff,0xe88000ff,0xa8004fff,0x3fa02fff,0xddfe8005,0x17dc01ff,
    0x006fffa8,0x5006f880,0xfb005fff,0x7ffd40ff,0x6f880006,0x3ffe6000,
    0x3ffea007,0x6f880006,0x2003fe20,0x7c405ff9,0x026c02ff,0x001bffea,
    0x3001be20,0x2e0005ff,0x7fdc5fff,0xff90003f,0xfffd80bf,0x7fffc00f,
    0xdfff9003,0x400ff000,0x0001fffd,0x2fb80fe8,0x200017f2,0x00002ff8,
    0xf301fff2,0xffd809ff,0xdfb0003f,0x98003fff,0xff502fff,0x3b6a0001,
    0x205f7002,0x0006fffa,0xf5006f88,0xffb005ff,0x37ffd40f,0x037c4000,
    0x0ffff300,0x037ffd40,0x3037c400,0xffd100df,0x0fff9801,0x3ea01f40,
    0x880006ff,0x6fd8006f,0xdfff7000,0x002fffc8,0x300fff90,0xc807ffff,
    0xf3005fff,0x4c001fff,0xfff7004f,0x3e60000b,0x009f7001,0x00dff700,
    0x037ff400,0xb817ffe2,0x90006fff,0x1dfff77f,0x17ffcc00,0x00001fe8,
    0xa817dc00,0x80006fff,0xff3006f8,0xfffb005f,0x037ffd40,0x0037c400,
    0x00ffff30,0x0037ffd4,0xf5037c40,0x09ff900b,0xd00dff70,0x6fffa805,
    0x06f88000,0x001fd880,0x6c7fffa8,0x90002fff,0x3f600fff,0x7fcc04ff,
    0xffd000ff,0x0fe4007f,0x0ffffcc0,0x005d0000,0x20000fea,0x0001ffff,
    0xf00ffff0,0x3fe20dff,0xfa8003ff,0x09ffff15,0x417ffcc0,0x000001ec,
    0xf502fb80,0x10000dff,0x3fe600df,0x7ffd802f,0x01bffea0,0x001be200,
    0x007fff98,0x001bffea,0xfb81be20,0x07ffcc04,0x201fff40,0x7fd401f8,
    0xf880006f,0x07b60006,0x8ffff300,0x0001ffff,0x2a00fff9,0xff805fff,
    0xff9003ff,0x03fc00df,0x006fffd8,0x98015400,0x7d40002f,0x00004fff,
    0xff00fffb,0x3ffee0bf,0x37cc002f,0x801ffffa,0xd932fff9,0xcb980005,
    0xfb801bcd,0x0dfff502,0x00df1000,0x200bffe6,0x3ea07ffd,0x880006ff,
    0x3e60006f,0x3ea007ff,0x880006ff,0x00ff206f,0xf100bff9,0x07a803ff,
    0x006fffa8,0x0006f880,0x9801eecc,0x3fe0ffff,0xf90000ff,0x3fe600ff,
    0xfffc807f,0xffffb006,0x009f5003,0x005ffff1,0x7cc00000,0x7ff40001,
    0x80000fff,0x2200fffb,0xff903fff,0x7c4003ff,0x7fffe40f,0x5fff3000,
    0x400033f2,0xfecdffe9,0x0bee03ff,0x0037ffd4,0x98037c40,0xfd802fff,
    0x3ffea07f,0x6f880006,0x3ffe6000,0x3ffea007,0x6f880006,0xff00bf60,
    0xfff9005f,0xf500bb00,0x10000dff,0xf50000df,0xfff1001d,0x3fffe21f,
    0xfff90000,0x1fffe200,0x03fffe60,0x7fffff10,0x7003f900,0x0001ffff,
    0x07c40000,0xfddf3000,0x300007ff,0x7cc09fff,0xfffd01ff,0x81fe800f,
    0x001ffffb,0xfa85fff3,0x77fcc004,0x817ffd40,0xfff502fb,0xdf10000d,
    0x0bffe600,0xa81fff60,0x80006fff,0x260006f8,0x2a007fff,0x80006fff,
    0x07fa06f8,0x9807ffa8,0x7c404fff,0x6fffa802,0x06f88000,0x0033a600,
    0x7c7fff88,0x90001fff,0x7fc00fff,0xfffd006f,0xffffa807,0x006f806f,
    0x000ffffd,0x00f00000,0xffbbfc80,0xf900006f,0x3ff601ff,0x1ffffe03,
    0xf703fc80,0x26007fff,0xdf882fff,0x2fff8800,0x701fffb0,0x3ffea05f,
    0x6f880006,0x05fff300,0x540fffb0,0x80006fff,0x260006f8,0x2a007fff,
    0x80006fff,0x07f606f8,0xd805ffc8,0x3dc02fff,0x06fffa80,0x006f8800,
    0x30007f50,0xfff8dfff,0xff90002f,0x27ffc00f,0x06fffb80,0x7fffd7ec,
    0x4013ea01,0x0006ffff,0x00000000,0xfff8bfc4,0xf700002f,0x7fe441df,
    0x3fffe204,0x40bf7006,0x004ffffa,0x2e05fff3,0xfffa806f,0x05fff500,
    0x3fea05f7,0xf880006f,0x5fff3006,0x40fffb00,0x0006fffa,0x20006f88,
    0x2007fff9,0x0006fffa,0x3f206f88,0x00fffa02,0x401ffff3,0xff5003f8,
    0xf10000df,0x0ff7000d,0x17ffea00,0x0005fffd,0xf801fff2,0xff1003ff,
    0x5be203ff,0x3604fffd,0xfff8801f,0x5530005f,0x55555555,0x5c000005,
    0x17fff64f,0xfffb8000,0x401effdd,0x805ffffa,0x7fcc06f9,0xff3006ff,
    0x0ffe205f,0x4c0fff70,0x2fb82fff,0x00dfff50,0x200df100,0xd802fff9,
    0x3fea07ff,0xf880006f,0x3fe60006,0x3fea007f,0xf880006f,0xf80fee06,
    0x37e603ff,0x036406ff,0x00dfff50,0x800df100,0x70003ff8,0xffd89fff,
    0xff90003f,0x3ffe200f,0x3fffa002,0x3ea7f503,0x01be07ff,0x02ffffcc,
    0xfffeda80,0x934dffff,0x7f400003,0x03fffe60,0x22fe6000,0x30009aa9,
    0x880bffff,0x7fcc00ff,0xff3006ff,0x07fec05f,0x440bff30,0x2fb83fff,
    0x00dfff50,0x200df100,0xd802fff9,0x3fea07ff,0xf880006f,0x3fe60006,
    0x3fea007f,0xf880006f,0xf813ea06,0x93f305ff,0x0fdc09ff,0x0dfff500,
    0x00df1000,0x0001ffc8,0xfb87fff9,0xf90004ff,0x3fe600ff,0x7ffdc006,
    0x3e21fb06,0x3fa81fff,0xbffff500,0xfff70000,0x42fb83ff,0x0bf50000,
    0x0009fffd,0x80004f98,0x406ffff8,0xff9801fe,0xff3005ff,0x0fff405f,
    0xff500620,0x205f707f,0x0006fffa,0xf3006f88,0xffb005ff,0x37ffd40f,
    0x037c4000,0x0ffff300,0x037ffd40,0x3037c400,0x7fff40bf,0xffd97cc0,
    0x8007f703,0x0006fffa,0x74006f88,0xf90002ff,0xfff985ff,0xfff90004,
    0x05ff9001,0x1ffff880,0x3ff637c4,0x001fd84f,0x00dffff3,0x1bfffa00,
    0x77f4cbee,0x40fec000,0x0007fffb,0x0000bfa2,0xb037fff4,0x3fea007f,
    0xff3004ff,0x1fffc05f,0xffeb8800,0x02fb83ff,0x000dfff5,0x2a00df10,
    0xfd803fff,0x3ffea07f,0x6f880006,0x3ffe6000,0x3ffea007,0x6f880006,
    0xfc807f40,0x2febbfff,0xf9113ff6,0x7d407607,0x880006ff,0x7ffc006f,
    0xfffb0003,0x0017ffe0,0x201fffe4,0xb0005ff8,0x3fb89fff,0x223fffd4,
    0x3fe2006f,0xb00007ff,0x5f70bfff,0x8013fff2,0xfff106f9,0x3ea0005f,
    0x40001aef,0xf707fffd,0x7ffd4009,0xfff3003f,0x0fffe605,0x37ff9300,
    0x5f707fff,0x01bffea0,0x4017e600,0xd804fffb,0x3fea07ff,0xf980006f,
    0x3fe60005,0x3fea007f,0xf980006f,0x881fdc05,0x1fffffff,0x655fffd4,
    0x40d902ef,0x0006fffa,0x7c005f98,0xfd0004ff,0x1fff209f,0x7fffe400,
    0x007ff600,0x23fffd40,0xffff80fe,0xf000fea2,0x0000ffff,0x2e13fff6,
    0x0bfffd2f,0xf9017e40,0x32000dff,0xffffffff,0x203eeeff,0x540ffffc,
    0x7fdc006f,0xff3001ff,0x3ffea05f,0x5dfb3002,0x5c1fffc4,0xdfff502f,
    0x0bf30000,0x1ffffd10,0x207ffd80,0x0006fffa,0x20005f98,0x2007fff9,
    0x0006fffa,0x7c405f98,0x3bffe606,0xffffb00b,0x00fc405d,0x000dfff5,
    0xe800bf30,0xff0006ff,0x3ffe601f,0xfffc8001,0x3f620bef,0x7fc0001e,
    0x20bf11ff,0x3f65fffc,0x7ffec000,0xfc80002f,0x52fb84ff,0x22005fff,
    0x7ffcc07f,0xff98001f,0xffffffff,0x40cfffff,0x222ffffa,0x7ec000ff,
    0x3e6006ff,0xfff702ff,0x0bff5001,0xf707fff1,0x1fffe605,0x813e6000,
    0xfffffff9,0xfffb02ff,0x03fffcc0,0x0027cc00,0x00ffff30,0x003fffcc,
    0x64027cc0,0x0004c01f,0x01b60033,0x000ffff3,0xd8009f30,0xfa8007ff,
    0x1ffec05f,0x47ffe400,0xdffeeffe,0xffc80000,0x2605f74f,0x6f88ffff,
    0xffffc800,0xffc80005,0x262fb84f,0x13ee001b,0x013fff60,0x7ffff4c0,
    0xffffffff,0x7ffc43ff,0x003fd14f,0x009ffff0,0xc80fffcc,0xffb807ff,
    0x07fff103,0x3fe605f7,0xfa80007f,0x36000004,0x3fe606ff,0xfa80007f,
    0x3fe60004,0x3fe6007f,0xfa80007f,0x005f9804,0x3f500000,0x07fff980,
    0x004fa800,0x0007ffe4,0xf3007ff2,0xff9000bf,0x04de54cf,0xfff30000,
    0xff803faf,0x003faaff,0x07ffff88,0x4fffc800,0x40002fb8,0xffa800fe,
    0xf98000ff,0xaaaa9989,0x87ffdccc,0x5fb7fffb,0xffff5000,0x7ffcc001,
    0x80dffb00,0x3e206ffb,0x02fb83ff,0x001ffff1,0x0002fc80,0x817ff600,
    0x000ffff8,0x00017e40,0x400dfff3,0x000ffff8,0xb8017e40,0x0000003f,
    0x7c402f44,0x40000fff,0x7dc002fc,0x7f4000ff,0x00ffb006,0x000fff90,
    0xffff8000,0x7fe405fb,0x0000fddf,0x005ffff7,0x84fffc80,0x500042fb,
    0x999999ff,0xffff9999,0x03f98007,0xfb05fd00,0x0009fbff,0x000ffffa,
    0x7dc0fff3,0x1fffc05f,0x707fff10,0x7fff405f,0x07f40003,0xffb00000,
    0x3fffe809,0x007f4000,0x0bfff300,0x03fffe80,0x0007f400,0x000003fb,
    0xe8017a20,0x40003fff,0x7d4000fe,0x7fd4007f,0x07ff1000,0x007ffc80,
    0x7fe40000,0x7cc02fff,0x0006ffff,0x007ffff4,0x09fff900,0x3bfa25f7,
    0xffffd801,0xffffffff,0x2006ffff,0x260006f8,0xffff882f,0xfff50005,
    0xfff3000d,0x3027fcc0,0x7c407fff,0x02fb83ff,0x001bfff2,0x00007f98,
    0x201ffec0,0x0006fffc,0x30001fe6,0xc8007fff,0x20006fff,0x744007f9,
    0x4000000f,0x7e4005e9,0x260006ff,0xff88007f,0x00ff4005,0x8003fea0,
    0x00007ffc,0x7fffcc00,0xffffd007,0xffa80007,0x320004ff,0x2fb84fff,
    0x880bfff7,0x7fc4006f,0x9fb001ff,0x807d4000,0x0003fffb,0x0001dffd,
    0xfe809ff3,0x17ffea06,0xb83fff98,0x3ffe202f,0x7fd0000f,0xfd800000,
    0x7ffc400f,0x7fd0000f,0x985db300,0x44001fff,0x0000ffff,0xd10007fd,
    0x2000005f,0xf88005f9,0xd0000fff,0xff50007f,0x01fd4005,0x2005fb80,
    0x00007ffc,0x4fffe800,0x1ffff700,0xfff90000,0x3f20005f,0x92fb84ff,
    0xfc80dfff,0xfffd8002,0x06ffa805,0xf8817a00,0x64002fff,0x04c00eff,
    0x26007fd4,0xfff100ff,0xffff701f,0x402fba49,0x000efffc,0x0001bf62,
    0x04fe80cc,0x01dfff90,0x8037ec40,0x3ea0fffd,0xff90004f,0x6c4001df,
    0x7ec0006f,0x2e200004,0x3f20005f,0x22000eff,0xfb0006fd,0x02fcc00b,
    0x400bf600,0x00007ffc,0x1fffb800,0x0bfff100,0x7ffe4000,0xffc8002f,
    0xf32fb84f,0x07f807ff,0x1ffff300,0x04fffc80,0xd0076c40,0x005fffbf,
    0x401bffd1,0x7e41fff8,0x409f9004,0xb9cffffe,0xbffffafd,0xb005f74e,
    0x5003dfff,0x00001dfd,0xff88bff7,0x3fff6000,0xefea801e,0x9ffff000,
    0x200037dc,0x801efffd,0x0000efea,0x000befb8,0x005df910,0x3dfffb00,
    0x01dfd500,0x001ff100,0x400017a2,0xffd802fb,0x0000000f,0x2003ffc4,
    0x00003ffe,0x067fffdc,0x4fffe880,0x06e22fb8,0x40009f70,0x4c03fffe,
    0x19cfffff,0x01efc988,0x7feccff2,0xf7510acf,0xff5005df,0x1bf519ff,
    0xa81fdc00,0xefffffff,0x49ffffb0,0xff9002fb,0x53359dff,0x001dfff9,
    0x3bfffa00,0x8002fd8a,0xaceffffc,0xefffca99,0x3ffee000,0x001fe8bf,
    0xeffffc80,0xffca99ac,0x200000ef,0x801dffc9,0x002efca9,0x7fffe400,
    0xfca99ace,0x88000eff,0x5d3000de,0x3e980000,0x00ffff40,0x7f400000,
    0x07fdc004,0x7ec40000,0x9881cfff,0x80befffd,0xff8002fb,0x3fee0000,
    0x7fd400ff,0xffffffff,0x5c03ffff,0xfffd985f,0x04efffff,0x7fffff40,
    0xbd30003f,0xffffa815,0x1fffd43f,0xc9800bee,0xffffffff,0x00002dff,
    0x7fffffcc,0x3260000e,0xffffffff,0xb0002dff,0x03dfffff,0x7fe4c000,
    0xffffffff,0x4000002d,0xcdefffea,0x02dfffed,0x3f260000,0xffffffff,
    0xc98002df,0x036e003e,0x44c80000,0xfffffdb9,0x000000ab,0x88003f70,
    0x4000005f,0xeffffec9,0x1dfffffe,0x20017dc0,0x440006fb,0x8803ffff,
    0xfffffffb,0x9800dfff,0xbcba9805,0x2e600009,0x80000abd,0x015302b8,
    0x01ea80c4,0xcccaa880,0x00000abc,0x06f32a20,0xcaa88000,0x000abccc,
    0x02bca880,0x2aa20000,0x00abcccc,0x4c400000,0x09acdcba,0x44000000,
    0xabccccaa,0x03910000,0x00000500,0xcccc8860,0x01cccccc,0x09100000,
    0x00006e00,0xccaa8800,0x20019abc,0x7f4001ea,0xffe80003,0x2a6000ff,
    0x001abdcc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00fff200,0x3ffff600,0x00000005,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3bfff260,0xff710001,0x005bffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfc800000,0x4fffffff,0x3ffff200,0x0fffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00099980,0x09998800,0x002a0000,0x00000144,0x05555500,0x00e00000,
    0x00000098,0x00015500,0x00399990,0xccc98000,0x0000000c,0x00f33320,
    0xcc980000,0x000000cc,0x00000000,0x00013331,0x80000180,0x3223ccc8,
    0xb80003cc,0x20001ccc,0x0003ccc9,0x09998800,0x64400000,0x00002ccc,
    0x007fffe4,0x3fffa000,0x3e200006,0x00074402,0xff980000,0x000001ff,
    0x5a801d50,0x44000000,0x002fdcec,0x17fffee0,0x3f600000,0x000003ff,
    0x3ffff100,0x6c000000,0x00004fff,0x01dc003a,0xfff10000,0x220000bf,
    0x00000ffe,0xfa8bffe6,0x540001ff,0x0006ffff,0x007ffffa,0xfff88000,
    0x4000005f,0x0006fffb,0x7ffffcc0,0x3ea00005,0x0003ffff,0x7cc13ee0,
    0x00000003,0x000bffee,0x05fd0000,0x000007ee,0x3f23fb00,0xfff10006,
    0x00005fff,0x06ffe880,0xf7000000,0x000003ff,0x005fff80,0x20076400,
    0x000001fa,0x07fffff2,0x3ffee000,0x3ee00004,0x027fdc5f,0x7ffff400,
    0xffb8002f,0x00006fff,0x3fffff20,0x36000001,0x00000eff,0x7ffe7fec,
    0xdfd00002,0x0001fffb,0xf306ff40,0x0000001f,0x001fff40,0x7fcc0000,
    0x0002fdc3,0xd97ee000,0xff90006f,0x000dffb5,0x1fff1000,0xb0000000,
    0x000005ff,0x006ffa80,0xceffa800,0x06fedb9a,0x3fe60000,0x0006ffed,
    0x003fffb8,0xb03ff200,0xb80001ff,0x0fffcaff,0x2b7fe200,0x00003fff,
    0xffedff98,0xf1000006,0x800001ff,0xdff51ffa,0x1df70000,0x00017fee,
    0xfa9effa8,0x0000002f,0x0013fe20,0xffd80000,0x000ffc8d,0x17fc0000,
    0xf1000171,0x01ffdc3f,0x7fcc0000,0x40000002,0x00004ff8,0x00efc800,
    0xfff90000,0x03ffffff,0xa7ec0000,0x0003ffd8,0x0000dfd8,0x3fe0ffa0,
    0x7fc40002,0x8013fee1,0x3ffa24fc,0x7ec00000,0x007ffb14,0x03ff5000,
    0x81dd0000,0x20003fe9,0x7fd40df8,0x3fa00001,0x0006ffff,0x2fd40000,
    0x20000000,0x3ffffff8,0x54000000,0xb00001ff,0x01ff301d,0xbf500000,
    0xa8000000,0x0000005f,0x00003ff0,0xfffffd80,0x000002ff,0x3fee13ea,
    0x00000000,0xbf10df00,0x03f90000,0xf3001fd3,0x0013f209,0xfb84fa80,
    0x6c00000f,0xb800002f,0x01fb100e,0xe8817200,0x3e600006,0x0001ffff,
    0x076c0000,0x40000000,0x007ffffc,0x7fe80000,0x01d30000,0x00002744,
    0x00007b80,0x00036c00,0x02f98000,0xfd500000,0x00001bff,0x3e603e80,
    0x00000004,0xf981f980,0x074c0000,0x7b00bb10,0x0000fa80,0x27cc07d0,
    0x013e0000,0x00362000,0x1660012e,0x00001640,0x0009ddd9,0x01d00000,
    0x20000000,0x002eeed8,0x7fcc0000,0x01900006,0x00000320,0x000016c0,
    0x00001d00,0x000f2000,0x00040000,0x803b8000,0x000000e8,0xb81d4000,
    0x00b80003,0x01cc0170,0xb8000398,0x000e8803,0x0000b300,0x00100020,
    0x00080010,0x00000000,0x00004000,0x00000000,0x3f200000,0x0000005f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00040000,0x00000002,
    0x00000000,0x00000000,0x00020000,0x00000001,0x00000000,0x00000000,
    0x00159530,0x00000000,0x00000000,0x88000000,0x00003fff,0x00159530,
    0x654c0000,0x0000000a,0x0002b2a6,0x654c4000,0x002e01ab,0x01595300,
    0x00000000,0x00000000,0x005654c0,0x00000000,0x00000000,0x26000000,
    0x05100aca,0xbca98800,0x4002e01a,0x5100aca9,0xffdb3000,0x19bfffff,
    0x00000000,0x77640000,0xeeeeeeee,0x775400ee,0xeeeeeeee,0xfffc8000,
    0xdb300002,0xbfffffff,0x4c000019,0xffffffed,0x00000cdf,0x3ffffb66,
    0x000cdfff,0x3ffae200,0x1cffffff,0xb30007e2,0xfffffffd,0x0000019b,
    0x00000000,0x7f6cc000,0xcdffffff,0x6d400000,0x33333102,0x4cc01333,
    0x00001999,0x64400000,0xdeffffff,0x1000b90b,0xffffffd7,0x0fc439ff,
    0xfffff910,0x17217bdf,0x59dff900,0xfffb7511,0xd3000005,0xdddddddd,
    0xdddddddd,0x1ddddddd,0x3ffff6a0,0xc98001ef,0x4002ffff,0xffffdba8,
    0x9000199a,0x51159dff,0x005fffb7,0x59dff900,0xfffb7511,0xff900005,
    0xb751159d,0x80005fff,0x9adfffc8,0x9dff7530,0x7e4005fd,0xba88acef,
    0x8802fffd,0xeeeeeeee,0xe883eeee,0xeeeeeeee,0x36a03eee,0x7fe40001,
    0xdba88ace,0x40002fff,0x702fffc8,0xdfffffff,0x3fff6205,0xdddd70ef,
    0xdddddddd,0xeeeea801,0xa85eeeee,0xda9acfff,0x05ffffff,0x37fff220,
    0xff75309a,0x2a05fd9d,0xda9acfff,0x05ffffff,0x007ffd50,0x0009ffd3,
    0x3ffee200,0xeeefffff,0xfeeeeeee,0x7ff401ff,0x5c0001ff,0xfb8001ff,
    0xffffffff,0x7f54006f,0xffe9803f,0xffd50004,0x9ffd3007,0x3ffaa000,
    0x4ffe9803,0xbffd3000,0xfff91003,0xffd5005f,0x9ffd3007,0x3ffea200,
    0x8800cfff,0xcfffffea,0x5fff9301,0x3ffaa000,0x4ffe9803,0xfffd9800,
    0x3fa202ff,0xf5003fff,0xfff9107f,0x001bffff,0x7ffffd44,0x0eff980c,
    0x17fffe60,0x0efff4c0,0x7fffe440,0x00eff982,0x017fffe6,0x800bfff2,
    0x001effd8,0xf9ff9000,0x7d4009ff,0x7ffe401f,0x7f980007,0xd3331000,
    0x01333dff,0x017ffe40,0x03dffb10,0x017ffe40,0x03dffb10,0x017ffe40,
    0x03dffb10,0x02fffd40,0x01fffd40,0x800bfff2,0x001effd8,0x009ffff3,
    0x0bffff10,0x3fffffa6,0xfffc8002,0x3ff62002,0x2a62001e,0x4402ffff,
    0x5002ffff,0xfff980df,0x320007ff,0xfd101fff,0xfff3001f,0xbfff500b,
    0x7fff5000,0x800ffe88,0x5405fff9,0xf0002fff,0x00001fff,0xfff97fb0,
    0x02f98009,0x0037ffdc,0x00037cc0,0x0027ffc4,0x002fffa8,0x001ffff0,
    0x0005fff5,0x2003fffe,0x0002fffa,0x5001ffff,0x4000bfff,0x3ea03ffb,
    0xff0002ff,0x3fe001ff,0xff0002ff,0x266607ff,0x4002fffe,0x0002fffa,
    0x0001ffff,0x7005fff7,0x32009fff,0xfffa802f,0x3f20007f,0x13ff201f,
    0x405fe880,0x0005fffa,0xff90ffee,0x2ff44009,0x00dfff10,0x027ffdc0,
    0xfcbfc000,0x2f8004ff,0x037ffd40,0x0037c400,0x017ffd40,0x037ffc40,
    0x09fff700,0x006fff88,0x013ffee0,0x000dfff1,0x2027ffdc,0x000ffff8,
    0xf8827e40,0x2e0006ff,0xff004fff,0x3a0005ff,0xfb802fff,0x3e2002ff,
    0x2e0006ff,0xa8004fff,0xfd002fff,0x01fe00ff,0x02ffffc8,0xe807fd00,
    0x7d4002ff,0x3fffe205,0x27e40000,0x5000bffa,0x7ffec0bf,0x3fe20002,
    0x200001ff,0x9fff93fb,0xa8079000,0x80006fff,0xb80006f8,0xd8000fff,
    0x20002fff,0x201ffff8,0x0002fffd,0x807fffe2,0x0002fffd,0x807fffe2,
    0x0003fffd,0xffb04f88,0x7c40005f,0xff801fff,0xfd0001ff,0xff5005ff,
    0x7fec005f,0x3e20002f,0x4c001fff,0xf5002fff,0x4fa807ff,0x3fffe200,
    0x05fa8006,0x4004fff8,0x3ff605f8,0xf880003f,0x0027ffc4,0x7fdc17e2,
    0xfc80006f,0x200006ff,0x13fff26f,0xf5006600,0x10000dff,0xfb0000df,
    0xff7000df,0xf90000df,0x3fee0dff,0xfc80006f,0xfff706ff,0xff90000d,
    0x3ffea0df,0x17600007,0x001bffee,0x01bfff20,0x0007fffe,0x4017fff4,
    0x7002fffa,0x0000dfff,0x800dfff9,0x2002fff9,0x7ec06ffe,0x7ffd4000,
    0x3fe2004f,0x3fffc400,0xfa82f400,0x200007ff,0x1fffe25d,0x3e217a00,
    0x80003fff,0x004ffff8,0x3f22fb80,0x000004ff,0x000dfff5,0x0000df10,
    0x8800bfff,0x0003ffff,0x44ffff88,0x003ffff8,0x4ffff880,0x01ffffc4,
    0x7fffc400,0x05fffe84,0xf1166000,0x00007fff,0x809ffff1,0x0001ffff,
    0x3005fffd,0xf1005fff,0x00007fff,0x009ffff1,0x0017ffcc,0x2605fff7,
    0xffb0005f,0x3f2003ff,0x9fffd003,0xfd05b800,0x40000bff,0x27fff459,
    0x3ea16e00,0x00001fff,0x000dfffd,0x7fe46f88,0x5000004f,0x0000dfff,
    0x98000df1,0x54003fff,0x0001ffff,0xa8dfffd0,0x0001ffff,0xa8dfffd0,
    0x0001ffff,0x98dfffd0,0x0002ffff,0x3ffea1c0,0xfd00001f,0xfff80dff,
    0xffd0001f,0xfff3005f,0xffff5005,0x3fa00003,0x3e6006ff,0x7fc002ff,
    0x005f906f,0x1bfffe20,0xc801be60,0x2005ffff,0xffff9848,0x21c00002,
    0x005ffffc,0x3fff2122,0xfb00000f,0x40001fff,0x7ffe42fb,0xa8016004,
    0x80006fff,0x5c0006f8,0x64001fff,0x0000ffff,0x41ffffb0,0x000ffffc,
    0x1ffffb00,0x007fffe4,0xffffd800,0x03ffff20,0xff900000,0x200001ff,
    0x200ffffd,0x0001ffff,0x3005fffd,0xf9005fff,0x00001fff,0x003ffff6,
    0x0017ffcc,0x3e0bffee,0x7fd40007,0x0ff403ff,0xfffff500,0x7e40003d,
    0x00000fff,0x7ffffd40,0x3f60001e,0x200007ff,0x001ffffc,0xff90df10,
    0x01a2009f,0x006fffa8,0x0006f880,0x4003ffec,0x0007fffd,0x87ffff20,
    0x0007fffd,0x87ffff20,0x0007fffd,0x87ffff20,0x0007fffe,0x7fffd800,
    0x3ff20000,0x3ffe01ff,0xffd0001f,0xfff3005f,0xffffb005,0x7fe40000,
    0xff3001ff,0xff88005f,0x0027d46f,0x0ffffec0,0xc8004fb8,0x0dffffff,
    0x7fffe800,0xf9000000,0x01bfffff,0x0fffff00,0x7ffdc000,0x5f90003f,
    0x009fff90,0xffa801ae,0xf880006f,0x7ffc0006,0xffff8005,0x3ee00007,
    0x3ffe3fff,0x2e00007f,0x3fe3ffff,0x200007ff,0x3e3ffffb,0x00006fff,
    0x07ffff80,0x3ffee000,0x3fffe03f,0xfffd0001,0x5fff3005,0x0fffff00,
    0x7ffdc000,0xfff3003f,0xfff90005,0x00007ec3,0x437fffc4,0x360006f9,
    0x3fffffff,0x37fffc00,0xfb000000,0x07ffffff,0x37fffc40,0xfff50000,
    0xdf10009f,0x013fff20,0xfa801be6,0x880006ff,0x3e60006f,0x7c4003ff,
    0x00006fff,0x453fffea,0x0006ffff,0x53fffea0,0x006ffff8,0x3fffea00,
    0x0dffff14,0xff880000,0x200006ff,0x204ffffa,0x0001ffff,0x3005fffd,
    0xf8805fff,0x00006fff,0x013fffea,0x0017ffcc,0xf9afffc4,0x3ea00005,
    0x17f43fff,0xfffb1000,0x005dffff,0x00dffff1,0x7ec40000,0x2effffff,
    0x5ffffa80,0x3fe60000,0xfd8005ff,0x5bfff902,0xfb975555,0x7fd400df,
    0xf880006f,0x3fee0006,0x7fd4000f,0x200005ff,0xf55ffff9,0x0000bfff,
    0xaaffffcc,0x0005ffff,0x57fffe60,0x005ffff9,0x7ffd4000,0x2600005f,
    0x3e05ffff,0xd0001fff,0xf3005fff,0xffa805ff,0x200005ff,0x005ffff9,
    0x0005fff3,0x3f27fff2,0x7ec00002,0x0bf70fff,0x3ffee000,0x01dfffff,
    0x017fffe6,0x3ee00000,0xdfffffff,0x3fffea01,0x3e600005,0x4c005fff,
    0x3fff206f,0xffffffff,0x2a006fff,0x80006fff,0x320006f8,0xfa8006ff,
    0x00005fff,0x557fffe6,0x0005ffff,0x57fffe60,0x005ffffa,0x3fffe600,
    0x0bffff55,0xffa80000,0x200005ff,0x205ffff9,0xffffffff,0xffffffff,
    0x02ffffff,0x402fff98,0x005ffffa,0x3fffe600,0x5fff3005,0x3ffe2000,
    0x800006fd,0xf8dffff8,0x2200000f,0xfffffffd,0xffff503f,0x0000000b,
    0x3fffff62,0xff103fff,0x40000dff,0x004ffff9,0xff900fec,0x333333bf,
    0x400dfd53,0x0006fffa,0x20006f88,0x88004ffe,0x0006ffff,0x53fffe60,
    0x006ffff8,0x3fffe600,0x0dffff14,0x7ffcc000,0xbffff34f,0xf8800000,
    0x00006fff,0x813fffe6,0xcccdffff,0xcccccccc,0x02ffffcc,0x402fff98,
    0x006ffff8,0x3fffe600,0x5fff3004,0x7ffec000,0x7000003f,0x05fdffff,
    0x3faa0000,0x85ffffff,0x005ffff9,0x75400000,0x5fffffff,0x00fffff0,
    0x7fffd400,0x27be6002,0xfd999999,0x6d8804ff,0x1bffea00,0x01be2000,
    0x017ffc40,0x07ffff80,0x3ffea000,0x1ffffe2f,0xfffa8000,0x1ffffe2f,
    0xfffa8000,0xdffff12f,0xff000000,0x40000fff,0x202ffffa,0x0001ffff,
    0x3005fffd,0xff005fff,0x40000fff,0x002ffffa,0x0005fff3,0x007fffcc,
    0xfffb0000,0x000000bf,0xfffffff7,0x6ffff889,0x00000000,0xfffffff7,
    0x0ffffd09,0x7ffdc000,0x3ffa001f,0xffffffff,0xd5004fff,0x37ffd400,
    0x02fcc000,0x00fff980,0x0ffffd00,0x7ffdc000,0x1ffffa1f,0xfffb8000,
    0x1ffffa1f,0xfffb8000,0x1bfffe1f,0x3fa00000,0x200007ff,0x201ffffb,
    0x0001ffff,0x5005fffd,0xfd007fff,0x40000fff,0x001ffffb,0x0005fff3,
    0x0005ffd8,0x7fffc400,0x10000001,0x7ffffff9,0x006ffff8,0x22000000,
    0x3ffffffc,0x007fffe4,0xffffc800,0x55bf5000,0xfb555555,0x1a2009ff,
    0x06fffa80,0x005f9800,0x000dff70,0x007fffe4,0xffffc800,0x03ffff20,
    0x7ffe4000,0x3ffff20f,0xff900000,0x7ffec1ff,0xc8000007,0x0000ffff,
    0x01ffff90,0x000ffffc,0x802fffe8,0xc804fffb,0x0000ffff,0x01ffff90,
    0x00bffe60,0x005ff300,0xffff0000,0x80000003,0x47ffffe9,0x0007fffd,
    0xe9800000,0x7dc7ffff,0x00001fff,0x400dfffb,0xffc800fe,0x800e004f,
    0x0007fff9,0xb0004f98,0x5c0007ff,0x0001ffff,0xb8dfffb0,0x0001ffff,
    0xb8dfffb0,0x0001ffff,0xc8dfffb0,0x0002ffff,0x7fffdc00,0xffb00001,
    0xffff80df,0xfffd0001,0xfffe8805,0x7ffdc00f,0xfb00001f,0x7cc00dff,
    0xf80002ff,0xf0000006,0x80003fff,0xffe88003,0x3fff21ff,0x4000002f,
    0xffe88003,0x3ffe61ff,0xfd00003f,0x3ea007ff,0x9fff9004,0x3e600000,
    0xa80007ff,0xffd0004f,0x7fcc0001,0xd00003ff,0xff987fff,0xd00003ff,
    0xff987fff,0xd00003ff,0xff987fff,0x000004ff,0x01ffffcc,0x3fffe800,
    0x00ffffc0,0x02fffe80,0xfffffff3,0x3fe605ff,0xd00003ff,0x4c007fff,
    0x40001fff,0x000003fa,0x003ffff0,0x98000e80,0x3e63ffff,0x00004fff,
    0x4c000740,0x7e43ffff,0x980007ff,0x3a006fff,0xfff9000f,0x22000009,
    0x0000ffff,0x440017e4,0xc80005ff,0x80007fff,0xf906fff9,0x30000fff,
    0x3f20dfff,0x980007ff,0xffb06fff,0x880000df,0x03fffe40,0x37ffcc00,
    0x00ffffc0,0x02fffe80,0xfc800d90,0x980007ff,0x4c006fff,0x40000fff,
    0x000000fe,0x003ffff0,0x90002e80,0xffd89fff,0x4400006f,0x64000ba0,
    0x7f444fff,0x6c0003ff,0xf7001fff,0x7ffe4007,0xd01c0004,0x80007fff,
    0xfa8000fe,0xe880002f,0x40003fff,0xd101fffd,0x80007fff,0xd101fffd,
    0x80007fff,0xf301fffd,0x00007fff,0xffd107a2,0xfd80007f,0xfff801ff,
    0xffd0001f,0x09f3005f,0x3fffe880,0x7ffec000,0x7ffcc001,0x17e60000,
    0xff800000,0x740001ff,0xfff50005,0x3ffff987,0x43d10000,0xff50005e,
    0xffff507f,0x7ffcc000,0x001fe004,0x0009fff9,0xfff90264,0x3fcc000d,
    0x00ffc800,0xffff5000,0x7ffcc000,0x3fffd404,0x9fff3000,0x07fffa80,
    0x13ffe600,0x01ffffb0,0x2a07b000,0x20007fff,0xf004fff9,0x20003fff,
    0xb802fffe,0xffa8005f,0x3e60007f,0xf98004ff,0x7ec0007f,0x20000001,
    0x0001ffff,0x540007f4,0xffd81fff,0xd80000ff,0x40007f43,0xfb01fffa,
    0x360007ff,0xf9000fff,0xfffc8007,0x03f30004,0x007fffc4,0x0003fe80,
    0x800009fd,0x0003fffd,0xb001fffb,0x20007fff,0xd800fffd,0xb0003fff,
    0xe8801fff,0x0000efff,0xfffb0172,0x3ff60007,0xffff000f,0x3ffa0003,
    0x0ffd802f,0x3fffd800,0x1fffb000,0x09ff3000,0x002fd400,0x3ffe0000,
    0x7f40001f,0x7ffb8005,0x1dfffd10,0x742e4000,0xffb8005f,0x3fff6207,
    0x77fec001,0x00ff3001,0x009fff90,0xf900fd10,0x44001dff,0x2c8806fd,
    0x00001be6,0x007fff62,0x003dffb0,0x007fff62,0x003dffb0,0x007fff62,
    0x003dffb0,0x07bfffe2,0x1003b600,0x8003fffb,0x2001effd,0x0001ffff,
    0xb005fffd,0xb10009ff,0xd8003fff,0x80c01eff,0xda800ffa,0x003ff51b,
    0xfff80000,0x7f40001f,0xff1000df,0x7ffc405f,0xed8001ef,0x00dffe80,
    0x005fff10,0x1007fff7,0xe8009ffd,0xffd8004f,0x7ec4004f,0xdfffb004,
    0x1dfd5003,0x361ffb00,0x2000001f,0x8803fffb,0x70004ffe,0xd1007fff,
    0x2e0009ff,0xe8803fff,0xe98004ff,0x800cffff,0x2e000de9,0xe8803fff,
    0xff8004ff,0xff0002ff,0xff5007ff,0x400c43bf,0x8803fffb,0x7c404ffe,
    0x027e41df,0x7fffffd4,0x0000004f,0x017fffc4,0x3bfffa00,0x27ff4400,
    0x7ffff4c0,0x0de9800c,0x01dfffd0,0x004ffe88,0x86f7ffa6,0x02fffca8,
    0x001ffdc0,0x0037fff4,0x4005fff5,0xaceffffc,0xefffca99,0x32bfd000,
    0x8000004f,0x21bdffe9,0x02fffca8,0x6fff4c00,0x3ff2a21b,0x74c0002f,
    0x2a21bdff,0x0002fffc,0x6fffffe4,0xfecaa9ac,0xffd30004,0x7e54437b,
    0xf98002ff,0x88003fff,0xb005ffff,0xbfffffff,0xbffd3001,0x7fe54437,
    0xfffa802f,0x00dfb8df,0xffffffc8,0x80000004,0x004ffff9,0x7fffff40,
    0xfc988ace,0x7e4004ff,0x9acdffff,0x404fecaa,0xcefffffe,0xfffc988a,
    0xffb70004,0x9dffffff,0x7fe44001,0x3f2002ff,0xccdeffff,0xfffeeccc,
    0xfc98007f,0xffffffff,0x7d4002df,0x00003fef,0x7ffedc00,0x0cefffff,
    0x3f6e0000,0xefffffff,0x2e00000c,0xfffffffd,0x00000cef,0xffffff93,
    0x0019ffff,0xffffb700,0x019dffff,0xffffd100,0x3620015f,0x00bfffff,
    0x1cefeda8,0xfffdb800,0x0cefffff,0x3ffffa00,0x3e2003ff,0x0003ffff,
    0xffe88000,0x0000bfff,0x3ffae65d,0x0dffffff,0xfff93000,0x9fffffff,
    0x2e65d001,0xfffffffe,0x100000df,0x00035995,0x3fffffee,0xffdb05ff,
    0xffffffff,0xffffffff,0x44000bff,0xabccccaa,0x2aa20000,0x00000000,
    0x00d66544,0xca880000,0x000001ac,0x03599510,0x75300000,0x00035799,
    0x56654400,0xffd10001,0xffffffff,0xffdd107d,0xdfffffff,0x00000007,
    0x00359951,0x55edcc40,0xbcb88000,0x20000000,0xffffffe8,0x002effff,
    0xccca881c,0x200000ab,0x1abccba9,0xca881c00,0x0000abcc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80054000,
    0x70000028,0x00007999,0x00280066,0x00000150,0x79997000,0x54000000,
    0x332e1ccc,0x8000000c,0x0001cccb,0x7db30000,0x00000001,0x00000000,
    0x01999930,0x00054000,0x0e6664c0,0x98800000,0x3a600099,0xeeeeeeee,
    0xeeeeeeee,0x0eeeeeee,0x0a200150,0x0e665c00,0xcb980000,0x8000a00a,
    0x2202ccca,0x5f10000a,0x0000e880,0x1ffff880,0x00fa0000,0x644005b1,
    0x000002ff,0x7fffc400,0x20000001,0x7ff46ffd,0xa8000005,0x0006ffff,
    0xcefd8000,0x000002ff,0x03b80074,0x7ec00000,0x880004ff,0x00002ffc,
    0x0009fff9,0xffff1000,0x7ffd400b,0xffffffff,0xffffffff,0x100fffff,
    0x00e9803f,0x6ffffa80,0xffb80000,0x00d02fff,0x3ffffe20,0x02fff980,
    0x2607f900,0x7000003f,0x00005fff,0xe880dfa8,0xfffb5005,0x0000005f,
    0x02fffa80,0x7fc00000,0x03ffe21f,0x3fa00000,0x0003ffff,0x88be6000,
    0x4000005d,0x0fd400ec,0x3e000000,0x540005ff,0x002ffffd,0x01fff600,
    0x3ff60000,0xf5001fff,0xff3033bf,0x3fae60ff,0x40ff201f,0xfd0003f9,
    0x0007ffff,0x7ffffc40,0x016a1eff,0x7ffffe40,0x05fffd85,0x41bff100,
    0x000006f9,0x0000fff6,0xd10f7ec0,0xf9b5003f,0x00005fff,0x3ffd8000,
    0x44000000,0x1ffcc4ff,0x7dc00000,0x00fffcaf,0x0d900000,0x000001f5,
    0x4d677fd4,0x0006fedb,0x37fd4000,0x3f36a000,0x00002fff,0x0007ffa2,
    0xedff9800,0x9f7006ff,0x07fff980,0xf100ff44,0x037d41bf,0xfcaffb80,
    0x900000ff,0xffffb31b,0x0007fbdf,0xfff79ff3,0x05fffc83,0x27bfea00,
    0x00002ffa,0x0009ff10,0x57ffcc00,0xc8004fe9,0x00002fff,0x027fc000,
    0x7d400000,0x0006fb86,0x21ff8800,0x00004ffa,0x5f10bd00,0xfc800000,
    0xffffffff,0x40000001,0x00000efc,0x000bfff2,0x007ff100,0x8a7f4000,
    0x7b802ffd,0x07fff980,0x7dc02f88,0x02ffa9ef,0x2a1ff880,0xb00004ff,
    0xffffe981,0x7fb0005f,0x3e637f4c,0x740001ff,0x006fffff,0x017ea000,
    0x3ff20000,0x8000ffff,0x0002fffa,0x17ea0000,0x5c000000,0x001fc81f,
    0x81fc8000,0x00000fe9,0x3e40fa80,0xfd800000,0x02ffffff,0xff800000,
    0x7d400001,0x800002ff,0x000006f9,0x0ff709f5,0xff300b70,0x00b600ff,
    0x17fffffa,0x4c0fe400,0x580001fe,0x033ffaa0,0x220bea00,0x000182fd,
    0x3fffff30,0x36400000,0xf8800000,0x0003ffff,0x0005fff5,0x07640000,
    0xd8000000,0x00009d04,0x4401d300,0x0000005d,0x09f935df,0x75400000,
    0x0000dfff,0x01f98000,0xfffa8000,0xf5000002,0x7d000001,0x3201fd40,
    0x7fff9802,0xf5005700,0x0003ffff,0x2ec403d1,0x00000000,0x7e402e80,
    0x32000000,0x00004eee,0x00000740,0x0bddd700,0x17ffcc00,0xd0000000,
    0x00000001,0x00068074,0x20017000,0x8000001b,0x00bfffd9,0x01000000,
    0xc8000000,0xf5000003,0x000005ff,0x200001e4,0x00e8803b,0x7ffcc002,
    0x20011007,0x0004eeec,0x006e0017,0x00000000,0x00aa0055,0x00000000,
    0x00000000,0x4c000000,0x00002fff,0x00000000,0x00000000,0x00000000,
    0x0a200000,0x00000000,0x00000000,0xff500000,0x0000005f,0x00080000,
    0x7cc00004,0x000007ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0x01abca98,0x7ffcc02e,0x00000002,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0017ffcc,0x00000000,
    0x00000054,0x00ffff30,0x0aca9800,0x00000510,0x3bbbbb20,0x0eeeeeee,
    0x77777540,0x000eeeee,0xeeeb8f00,0x0005eeee,0xddddddd5,0x26662bdd,
    0x20099999,0x00199999,0x7ffff5c4,0x221cffff,0x5fff301f,0xddd90000,
    0xdddddddd,0xeeea801d,0x0eeeeeee,0xddddddd9,0x801ddddd,0xeeeeeeea,
    0xddd90eee,0xdddddddd,0xeeea801d,0x0eeeeeee,0xddddddd9,0x801ddddd,
    0xeeeeeeea,0xddd90eee,0xdddddddd,0xeeea801d,0x0eeeeeee,0xddddddd7,
    0x3baa000b,0x5eeeeeee,0xc82fff98,0xeeeeeeee,0x5400eeee,0xeeeeeeee,
    0xffc980ee,0x20000002,0x0007fff9,0xfffffc88,0x0b90bdef,0x3376ea20,
    0x3f6a000b,0x001effff,0x2ffffc98,0xeeeeeed8,0x7c5eeeee,0xffffc980,
    0x3260004f,0x7dc1efff,0x2effffff,0xdffffb10,0xfff91001,0x2ea6135b,
    0x02feceff,0x2605fff3,0x09999999,0xfffffda8,0xfc98001e,0x36a02fff,
    0x01efffff,0xffffc980,0x3fff6a02,0x98001eff,0x202ffffc,0xefffffda,
    0xffc98001,0x3f6a02ff,0x001effff,0x2ffffc98,0x3ffff260,0x3260004f,
    0x2601efff,0x36a02fff,0x01efffff,0xffffc980,0xffffb502,0x40000005,
    0x0007fff9,0x4d67ffd4,0xffffffda,0xabffa805,0xaaacffeb,0xfffd01aa,
    0xfb80003f,0x7fecc01f,0xf881dfff,0x3fffe601,0x7e40003f,0xfffd100f,
    0x3fea007f,0xbffd3003,0xfff91003,0x3ffe605f,0xfffff902,0x7ff407bf,
    0x5c0001ff,0xffd001ff,0xb80003ff,0xffd001ff,0xb80003ff,0xffd001ff,
    0xb80003ff,0xffd001ff,0xb80003ff,0xff3002ff,0x80007fff,0x7cc00ffc,
    0xffe802ff,0x5c0001ff,0xfbb701ff,0x00005fff,0x3fffcc00,0x1dff3000,
    0x2ffffcc0,0x3603ff60,0x5fffffff,0x00ffff90,0x400ff300,0x2607fffe,
    0x7ffcc01f,0x2a0001ff,0x7ffc406f,0x0df5002f,0x017ffea0,0x40fffea0,
    0x2e02fff9,0xf9001eff,0x30000fff,0x7fe400ff,0xf980007f,0x3fff2007,
    0x7f980007,0x1ffff200,0x01fe6000,0x007fffc8,0x4007f980,0x01fffff9,
    0x201bea00,0xc802fff9,0x80007fff,0xffb007f9,0x0000005f,0x003fffcc,
    0x800ffe88,0x3205fff9,0xfff103ff,0x2e05999d,0x80006fff,0x3f6006f9,
    0x0bea05ff,0x3fffff60,0x0bf30000,0x009fff70,0x3ea00bf2,0x2e0005ff,
    0xfff303ff,0x0027f405,0x001bffee,0xb801be60,0x80006fff,0x3ee006f9,
    0x980006ff,0x3fee006f,0xf980006f,0x3ffee006,0x6f980006,0xffffd800,
    0xbf30000f,0x05fff300,0x00dfff70,0x200df300,0x0002fffb,0x3ffe6000,
    0x9ff90007,0x82ff4400,0x7e407ff9,0xffa800ff,0xf880006f,0x3fff2006,
    0x200fee05,0x06fffffd,0x200bf300,0xff007ffe,0x1ffff100,0x04fc8000,
    0xd105fff3,0xff50007f,0xf10000df,0x7ffd400d,0x6f880006,0x1bffea00,
    0x01be2000,0x006fffa8,0x2006f880,0x0006fffa,0xd8006f88,0x006fffff,
    0xf300bf30,0xff5005ff,0xf10000df,0x3ffea00d,0x20000002,0x0007fff9,
    0xa8005ffd,0x0fff905f,0x804fff98,0x0006fffa,0x32006f88,0x3f204fff,
    0xffefd804,0xf98005ff,0x7fff5005,0xd804fa80,0x80003fff,0xfff304f8,
    0x002fe885,0x00dfff50,0x400df100,0x0006fffa,0x2a006f88,0x80006fff,
    0x3ea006f8,0x880006ff,0x3fea006f,0xf880006f,0xfefd8006,0x98005fff,
    0xfff9805f,0x6fffa802,0x06f88000,0x005fff50,0x7fcc0000,0xfff0007f,
    0x05f88009,0xf880dffd,0xffa805ff,0xf880006f,0x3fff2006,0x2017f604,
    0xffffe9fd,0x02fcc003,0xd80dffd0,0x7ffd400f,0x17600007,0xd117ffcc,
    0x7d40005f,0x880006ff,0x3fea006f,0xf880006f,0x3ffea006,0x6f880006,
    0x1bffea00,0x01be2000,0x006fffa8,0x8006f880,0xffffe9fd,0x02fcc003,
    0x4017ffcc,0x0006fffa,0xf5006f88,0x000005ff,0x03fffcc0,0x03fffc40,
    0xfff82f40,0x06fff807,0x006fffa8,0x2006f880,0x3a04fffc,0x89fd806f,
    0x002fffff,0xfb8017e6,0x0bf302ff,0x00bfffd0,0xf982cc00,0x03ff32ff,
    0x6fffa800,0x06f88000,0x01bffea0,0x801be200,0x0006fffa,0x2a006f88,
    0x80006fff,0x3ea006f8,0x880006ff,0x9fd8006f,0x02fffff8,0x26017e60,
    0xfa802fff,0x880006ff,0xfff5006f,0x40000005,0x0007fff9,0x8009fffd,
    0x0fffb05b,0x500bfff0,0x0000dfff,0x7e400df1,0x1ffa04ff,0x7fcc7f60,
    0xf3000fff,0x6fff800b,0xf9805f90,0x00002fff,0xafff981c,0x80001ff9,
    0x0006fffa,0x2a006f88,0x80006fff,0x3ea006f8,0x880006ff,0x3fea006f,
    0xf880006f,0x3ffea006,0x6f880006,0xf31fd800,0x2001ffff,0xff9805f9,
    0xfffa802f,0x6f880006,0x05fff500,0x7cc00000,0xf90007ff,0x4400bfff,
    0x01fff704,0x401fffc4,0x0006fffa,0x32006f88,0x3fe04fff,0x2a1fd807,
    0x800effff,0x7dc005f9,0x807f82ff,0x000ffffc,0xfff30000,0x0009fff9,
    0x00dfff50,0x400df100,0x0006fffa,0x2a006f88,0x80006fff,0x3ea006f8,
    0x880006ff,0x3fea006f,0xf880006f,0x21fd8006,0x00effffa,0xf9805f98,
    0xffa802ff,0xf880006f,0x5fff5006,0x002cca88,0x1fffe600,0x7fffd400,
    0x4c0001ef,0x3e604fff,0xffa801ff,0xf880006f,0x3fff2006,0x01fff104,
    0x7fe41fd8,0x5f9805ff,0x37ffc400,0x3fa013ea,0x000007ff,0x3efffe60,
    0x40003fff,0x0006fffa,0x2a006f88,0x80006fff,0x3ea006f8,0x880006ff,
    0x3fea006f,0xf880006f,0x3ffea006,0x6f880006,0x641fd800,0x9805ffff,
    0xfff9805f,0x6fffa802,0x06f88000,0x5c5fff50,0x01ffffff,0x7fff9800,
    0x3fff2000,0x0000dfff,0x6c03fff2,0xff5003ff,0xf10000df,0x7ffe400d,
    0x03fff304,0xffd81fd8,0x2fcc04ff,0x0fffe400,0xfff001fb,0x000000df,
    0x7cd7ffcc,0x20001fff,0x0006fffa,0x2a006f88,0x80006fff,0x3ea006f8,
    0x880006ff,0x3fea006f,0xf880006f,0x3ffea006,0x6f880006,0xd81fd800,
    0x4c04ffff,0xfff9805f,0x6fffa802,0x06f88000,0x365fff50,0x6fffffff,
    0xfff98000,0x7fec0007,0x003fffff,0x883bfee0,0x2a004ffc,0x80006fff,
    0x3f2006f8,0xfff504ff,0x881fd805,0x202ffffe,0xf88005f9,0x00bf35ff,
    0x00dffff1,0x7fcc0000,0x1dfff72f,0x3ffea000,0x6f880006,0x1bffea00,
    0x01be2000,0x006fffa8,0x2006f880,0x0006fffa,0x2a006f88,0x80006fff,
    0xfd8006f8,0xffffe881,0x2017e602,0xa802fff9,0x80006fff,0xff5006f8,
    0x2615db5f,0x0003fffd,0x003fffcc,0x3ffff620,0x0002efff,0xffbbfff7,
    0xffa8003d,0xf880006f,0x3fff2006,0x07fff704,0xff301fd8,0x3e603fff,
    0xfff90005,0xf3005f93,0x0000bfff,0x17ffcc00,0x000bfffb,0x001bffea,
    0xa801be20,0x80006fff,0x3ea006f8,0x880006ff,0x3fea006f,0xf880006f,
    0x3ffea006,0x6f880006,0x301fd800,0x203fffff,0xff9805f9,0xfffa802f,
    0x6f880006,0xbdfff500,0x0dfff101,0x7fff9800,0xfff70000,0x03bfffff,
    0x54c5fcc0,0xf500009a,0x10000dff,0x7fe400df,0x9fff904f,0x2a01fd80,
    0x980effff,0xff10005f,0x2a00dfbf,0x0005ffff,0x3ffe6000,0x027fff42,
    0x037ffd40,0x0037c400,0x000dfff5,0x5400df10,0x80006fff,0x3ea006f8,
    0x880006ff,0x3fea006f,0xf880006f,0x01fd8006,0x03bfffea,0x3e6017e6,
    0xffa802ff,0xf880006f,0x9fff5006,0x00fffc80,0x1fffea00,0xffd88000,
    0x03ffffff,0x00004f98,0x006fffa8,0x2006f880,0xf904fffc,0x1fd80bff,
    0x2ffffdc0,0xb0002fcc,0x2007ffff,0x005ffff9,0x3fe60000,0x7fffc42f,
    0x7ffd4002,0x6f880006,0x1bffea00,0x01be2000,0x006fffa8,0x2006f880,
    0x0006fffa,0x2a006f88,0x80006fff,0xfd8006f8,0x7fffdc01,0x9805f985,
    0xfa802fff,0x880006ff,0xfff5006f,0x1fffb805,0x3ffea000,0xea800007,
    0x5fffffff,0x000bfa20,0x1bffea00,0x01be2000,0xb04fffc8,0xfd80dfff,
    0xffffd801,0x0002fcc4,0x001ffff3,0x01bfffe2,0xff980000,0xffffa82f,
    0x3ffea001,0x6f880006,0x1bffea00,0x01be2000,0x006fffa8,0x2006f880,
    0x0006fffa,0x2a006f88,0x80006fff,0xfd8006f8,0xffffd801,0x5402fcc4,
    0xfa802fff,0x880006ff,0xfff5006f,0x1fffa805,0x3fff2000,0x7000001f,
    0x9fffffff,0x06bbfea0,0xfffa8000,0x5f980006,0x13fff200,0x203ffff4,
    0xffd001fd,0x02fcc5ff,0x017ff600,0x00dffff0,0x7fd40000,0xffff903f,
    0x3ffea001,0x5f980006,0x1bffea00,0x017e6000,0x006fffa8,0x2005f980,
    0x0006fffa,0x2a005f98,0x80006fff,0xfd8005f8,0xffffd001,0x5402fcc5,
    0xfa803fff,0x980006ff,0xfff5005f,0x1fffa805,0xffff5000,0x000015df,
    0xfffff910,0xffff907f,0xddffffff,0x3fea007d,0xf980006f,0x3fff2005,
    0x0ffffd04,0xf1001fd8,0x3e63ffff,0x7fcc0005,0x7ffec002,0x20000007,
    0x3e04fffb,0xa800efff,0x80006fff,0x3ea005f9,0x980006ff,0x3fea005f,
    0xf980006f,0x3ffea005,0x5f980006,0x1bffe600,0x017e6000,0x44007f60,
    0xf31fffff,0x9fff700b,0x0dfff500,0x00bf3000,0x500bffea,0x54003fff,
    0xfffffffe,0x0000efff,0xffffe980,0xfffff987,0xffffffff,0x3e600cff,
    0x980007ff,0x3ff2004f,0xbfff904f,0x2001fd80,0x98fffff9,0x6f80005f,
    0xffffc800,0x88000002,0x900ffffe,0x805fffff,0x0007fff9,0x26004f98,
    0x80007fff,0x3e6004f9,0x980007ff,0x3fe6004f,0xf980007f,0x3ffe6004,
    0x5f980007,0x001fd800,0x23ffffe6,0x7f4405f9,0x7cc00fff,0x980007ff,
    0xfff5004f,0x1fffa805,0x80000000,0xffe88003,0xffe981ff,0xffffffff,
    0x2603ffff,0x80007fff,0x3f2004fa,0xfff504ff,0x001fd805,0x4f7fffdc,
    0x7d40005f,0xfff98003,0x2000004f,0xfffffffb,0x3fffa3ff,0x304fffff,
    0x0000ffff,0x7cc009f5,0xa80007ff,0x3fe6004f,0xfa80007f,0x3ffe6004,
    0x4fa80007,0x1fffe600,0x013ea000,0x70007f60,0xbf3dffff,0x3ffffe60,
    0xf303ffff,0x50000fff,0x3fea009f,0x7ffd402f,0x00000001,0xf98000e8,
    0x9f983fff,0xcaaaa998,0x207ffdcc,0x000ffff8,0x90017e40,0x64c09fff,
    0x001fd801,0xfeffffc8,0x07f40005,0x6fffd800,0x00440000,0xf8800000,
    0x40000fff,0x3e2002fc,0x40000fff,0x3e2002fc,0x40000fff,0x3e2002fc,
    0x40000fff,0x7fc002fc,0x640001ff,0x1fd8002f,0xffffc800,0x000005fe,
    0x001ffff1,0x5002fc80,0xfa805fff,0x220001ff,0xd0000cfc,0x3ff20005,
    0x001fcc4f,0x3fa02fe8,0x740003ff,0x3ff2000f,0xfb00004f,0x3ffa0003,
    0x20005fff,0x260005f9,0x0003ffff,0x54003d10,0xe80000bc,0x40003fff,
    0x7f4000fe,0x740003ff,0x7ff4000f,0x7f40003f,0x7fff4000,0x07f40003,
    0x0ffffa00,0x003fd000,0x20003fb0,0x05fffffe,0x2000bca8,0x0003fffe,
    0xfa8007f4,0x7fd402ff,0x3ee0001f,0xbd0006ff,0x3ffea000,0x8001be23,
    0x3ff202f9,0x3e60006f,0x7ffe4007,0x6c004c04,0xfd10001f,0x4000bfff,
    0x6c0001fd,0x0000ffff,0x7ec003d8,0x640005ff,0x20006fff,0xfc8007f9,
    0x260006ff,0xffc8007f,0x3e60006f,0xfffc8007,0x1fe60006,0x1bfff200,
    0x007f8800,0x20003fb0,0x05ffffe8,0x005fffd8,0x000dfff9,0xf5003fcc,
    0xffa805ff,0x3f20001f,0xe8000fff,0xffa8000f,0x0013f61f,0x3e200fa8,
    0xd0000fff,0xffc8007f,0x5ffd104f,0x0001fd80,0x017fffe6,0x0002fd40,
    0x077fff44,0x000b9000,0x003fffb5,0x07fffc40,0x003fe800,0x00ffff88,
    0x0007fd00,0x001ffff1,0x2000ffa0,0x000ffff8,0x10007fd0,0x0001ffff,
    0x6c000ffa,0x3e60001f,0xda805fff,0xf8801fff,0xd0000fff,0x7fd4007f,
    0x7ffd402f,0x3b660001,0xfe8002fc,0x7ffb8005,0x8001bfea,0xfffc805e,
    0x3f62000e,0xfffc8006,0x0dfff904,0x40002fe8,0x5405fffa,0x03ff51bd,
    0x3ffe2000,0xed8001ef,0x3ff60000,0x7fe40004,0x362000ef,0x3f20006f,
    0x22000eff,0x320006fd,0x2000efff,0x20006fd8,0x000efffc,0x8001bf62,
    0x000efffb,0x8001bf62,0x540002fe,0x36005fff,0xff9004ff,0x6c4001df,
    0x7fd4006f,0x7ffd402f,0x07e00001,0x037ffa00,0x917ffc40,0x88009fff,
    0xffb000ed,0xfd5003df,0xffb0001d,0x3fff20bf,0x001ffc06,0x502ffe40,
    0x9fffffff,0xfe980000,0x9800cfff,0x5c0000de,0xd80003ff,0xa801efff,
    0x40000efe,0x801efffd,0x0000efea,0x00f7ffec,0x00077f54,0x07bfff60,
    0x003bfaa0,0x3ffffb00,0x01dfd500,0x001ffc00,0x002ffe40,0x6c007ff7,
    0xa801efff,0x54000efe,0x7d402fff,0x500002ff,0xffd0001f,0xfe8801df,
    0x7fffcc4f,0xc98819cf,0x7e4001ef,0x99acefff,0x00efffca,0x0dfffd00,
    0xd80bffe6,0x0000bfff,0xff902fec,0x0009ffff,0x7fffe400,0xcaa9acdf,
    0x880004fe,0x00000fff,0x59dffff9,0xdfff9533,0x3f200001,0x99acefff,
    0x00efffca,0xffff9000,0xf953359d,0x00001dff,0x33bffff2,0xfffca99a,
    0xf900000e,0x3359dfff,0x01dfff95,0x5fffec00,0x2fec0000,0x00fff880,
    0x77fffe40,0xffca99ac,0xfb8000ef,0x7fdc03ff,0xfa80003f,0xfffd0002,
    0x31159dff,0x2a09fff9,0xffffffff,0x03ffffff,0x3fff2600,0xdfffffff,
    0x3ff20002,0xa880dfff,0xffffed80,0x0002efff,0x7fc40bd1,0x00003fff,
    0xffffc980,0x0cffffff,0x7fe54000,0x4c00001d,0xfffffffc,0x0002dfff,
    0xffffc980,0x2dffffff,0xfc980000,0xffffffff,0x800002df,0xffffffc9,
    0x002dffff,0xfffc9800,0xdfffffff,0xffdb0002,0x05dfffff,0x5017a200,
    0x0003bff9,0x3fffff26,0x02dfffff,0xdffff300,0x3fffe201,0xdd70000e,
    0x99740005,0xffffffeb,0x5c400dff,0xffffffff,0x00000dff,0x79999551,
    0x3b600015,0xffffffff,0x000005ef,0x10062000,0x00001797,0x99753000,
    0x40000357,0x00000acb,0x66655440,0x00000abc,0xcccaa880,0x00000abc,
    0xcccaa880,0x00000abc,0xcccaa880,0x00000abc,0xcccaa880,0x00000abc,
    0x18800000,0x000565c0,0xcccaa880,0x50000abc,0xffffffff,0x3fffee7f,
    0x001fffff,0x03800004,0x15799951,0xb9953000,0x00000357,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xccca8000,0x6666440c,
    0x32200002,0x000004cc,0x20000000,0x5100aca9,0x99997000,0x53100000,
    0x10000035,0x00059999,0x66664400,0x64000002,0x00001ccc,0x0cc002a0,
    0xa9800000,0x000000ac,0x35795310,0x000005c0,0x40000000,0x002cccc8,
    0xeedc9800,0xeeeeeeee,0x007002ee,0x38000054,0x10002a00,0x99999999,
    0x00edc439,0x40ffffa0,0x0006fffa,0x0fffff60,0x7f5c0000,0x0003202e,
    0x3fffff22,0x0b90bdef,0x3ffff100,0x7fdc0000,0x0001efcc,0x01bffee0,
    0xfff70000,0xa800000d,0x0006ffff,0x3007a600,0x4c00000d,0xffffffec,
    0x00000bdf,0x3ffffae2,0x221cffff,0x3ae0001f,0x003202ef,0x7ffdc000,
    0x7cc00006,0xafffffff,0x1aadfaaa,0xa801d700,0x3ae00005,0x4002d400,
    0xfffffff9,0x3fff62ff,0x9fff1001,0x00fffc80,0xffff9800,0x400000ff,
    0x1efffffc,0xffa80068,0xffda9acf,0x0005ffff,0x0007fff3,0xff10bf60,
    0x3f600003,0x000000ef,0x00077fec,0x3fffa000,0x000002ff,0x17d40ff6,
    0xffc80000,0xeb999bce,0x40002fff,0x9adfffc8,0x9dff7530,0x320005fd,
    0x81efffff,0x36000006,0x00000eff,0x3fffffea,0x004f86ff,0x3ee03fd0,
    0x7f400001,0x0003f701,0x3333fff3,0x3ffe2133,0xbff5003f,0x00fff600,
    0x3a7bfa00,0x200004ff,0xffffeef9,0x800b71df,0x2600eff9,0x0005ffff,
    0x0001bfea,0x37f417ea,0x7ffc4000,0x44000000,0x00001fff,0x7ed7fdc0,
    0x2000006f,0x37d44ff8,0x7f4c0000,0xffea804f,0xffd30004,0xff91003b,
    0xf10005ff,0xbfffffdd,0x00001ae3,0x0001fff8,0x3ffffea0,0x4f86ffff,
    0x87ff5000,0x800004fc,0x27e43ff9,0x07ff9800,0x003fffd0,0xe8003bf6,
    0x7dc0005f,0x03ffb10d,0xe9932000,0x3fffffff,0x03ffa200,0x017ffe60,
    0x001ff700,0xfd02ff80,0xfa80003f,0x8000001f,0x00002ffa,0xf70ffc40,
    0x4000007f,0xffb8effc,0x7dc00001,0x3a2002ff,0x2a001eff,0xa8005fff,
    0xb8003fff,0x3ffffa64,0x00003fff,0x0005ff50,0x7ffffcc0,0xf86fffff,
    0x3ff60004,0x000ffc8d,0x1bffb000,0x20001ff9,0xb3007ff9,0x07fc007d,
    0x003fa200,0xfb82fc40,0x01b00005,0x09fffff7,0x004ffc80,0x00017fa2,
    0x88000bf6,0x5fff00ff,0x02fc8000,0x7f900000,0xd9000000,0x001fd303,
    0x7fffc000,0x400005ff,0x8003fffb,0x800efff8,0x0005fffa,0x2000ffee,
    0xffffb80c,0x2000004f,0x400003fc,0xfffffffc,0x04f86fff,0x3fffe600,
    0x000003ff,0x3fffffe2,0x3fe60003,0x2a000007,0x5f30001f,0x30132000,
    0x0900005f,0x00166dc4,0x20017ff4,0xd00005fa,0x7fd4000b,0x000ff901,
    0x000009f0,0x000027c0,0xb10074c0,0x54000009,0x000fffff,0x1bffe200,
    0x4fffb800,0x07fffc40,0x013f2000,0xccb88120,0x7c000002,0xfe800004,
    0xffffffff,0x0004f86f,0x037fffe4,0x7fe40000,0x4c0006ff,0x000007ff,
    0xb50000b2,0x20071000,0x00000048,0x4fff8000,0x002fc400,0x20006880,
    0x00604ff9,0x00016600,0x00059800,0x20017000,0x2000000c,0x0003eeed,
    0x01fffec0,0x07fffa00,0x003fffd8,0x0004f880,0x00000000,0x20000166,
    0xfffffff8,0x4f86ffff,0x776c4000,0x8000002e,0x002eeed8,0x003ffcc0,
    0x00000000,0x00000000,0x2b2a6000,0xfff10000,0x00bd000f,0x7c000000,
    0x000003ff,0x00000000,0x00000000,0x00000000,0x7fdc0000,0xfb80006f,
    0xfff506ff,0x2ec0000f,0x00000000,0x00000000,0x7fffffcc,0xf86fffff,
    0x00000004,0x00000000,0x001ffe60,0x00000000,0x00000000,0xfffdb300,
    0x019bffff,0x027fff40,0x000016e0,0xfffd8000,0x00000003,0x00000000,
    0x05300000,0x00000000,0x7ffc4000,0xf980003f,0xffe83fff,0x2600005f,
    0x3bbbbae5,0xd50005ee,0xdddddddd,0x0000000b,0x7fffffc0,0xf86fffff,
    0x00000004,0x014c0000,0x07ff9800,0x3bbb6000,0xeeeeeeee,0xddddddb5,
    0x74bddddd,0xeeeeeeee,0xeeeeeeee,0x005eeeee,0x8aceffc8,0x2fffdba8,
    0xbffff900,0x77424400,0xeeeeeeee,0xeeeeeeee,0x4405eeee,0x2004ffff,
    0xeeeeeeee,0xeeeeeeee,0x05eeeeee,0x77777744,0xeeeeeeee,0x3eeeeeee,
    0x00f90000,0x3bbba200,0xeeeeeeee,0x000acdee,0x07fffee0,0x7fffc000,
    0x17fffcc6,0x260e0000,0x04fffffc,0x3fff2600,0x7777441e,0xeeeeeeee,
    0x000acdee,0x3fffff60,0xf86fffff,0x77774404,0xeeeeeeee,0xeeeeeeee,
    0xf900003e,0x3fe60000,0xd9800007,0x01dfffff,0xbfffffb3,0x3ffae203,
    0xeeeeeeff,0xffffeeee,0x3ffaa007,0x4ffe9803,0xfffffa80,0x5c40001e,
    0xeeeffffe,0xfeeeeeee,0xfa807fff,0x22005fff,0xeeffffeb,0xeeeeeeee,
    0x4c07ffff,0xeeffffff,0xeeeeeeee,0x000effff,0x002ff880,0x3ffae200,
    0xfeefffff,0x0004ffff,0x001ffff9,0x3ffff200,0x03ffff20,0xf9800000,
    0x0003ffff,0x71007fe4,0xfffffffd,0x9fffffdd,0x3ffee000,0x6fffffff,
    0x7fcc04f8,0xeeeeffff,0xffeeeeee,0x80000eff,0x80002ff8,0x00007ff9,
    0x01ffffa0,0x803ffff4,0x003ffff8,0x64007fec,0x22002fff,0x6401effd,
    0x0dffffff,0x7ffc4000,0x7fec003f,0xffffe800,0x3fe2000e,0x7ec003ff,
    0x33fea00f,0x7ffe4001,0xf700001f,0x500000df,0x5105ffff,0x003dfffd,
    0x007fffd8,0x3fffee00,0x01ffffa1,0x3e600000,0x0001ffff,0x7d401bea,
    0xea882fff,0x4001efff,0xfffffff9,0x04f86fff,0x000e7fd4,0x007ffff2,
    0x037fdc00,0x03ffcc00,0xfffb0000,0x3fff600b,0x3fffa005,0x00fc8003,
    0x0017ffd4,0x400ffff8,0xfffffffd,0x7ff40003,0x0fc8003f,0x7ffde6c0,
    0x3fa001ff,0xfc8003ff,0x0013ea00,0x013fffea,0x1ffff800,0xfff80000,
    0x7ffec01f,0x3ffe003f,0x2a00007f,0x3fe2ffff,0x000006ff,0xfffffb00,
    0x17e60001,0x01ffff80,0x01ffffec,0x3ffffea0,0x4f86ffff,0x40027d40,
    0x004ffffa,0x07fffe00,0x0fff3000,0x7fe40000,0xfff9005f,0x7fff400b,
    0x00f88003,0x001bffe2,0x404fffb8,0xffffffd8,0xfd0002ef,0xf10007ff,
    0xfa8fa201,0xd001ffff,0x10007fff,0x0035c01f,0x037fffc4,0xffff5000,
    0xff000009,0xff8803ff,0xf8800fff,0x00006fff,0x453fffea,0x0006ffff,
    0xfffb0000,0x26000dff,0x3ffe005f,0x7ffc401f,0x7d4000ff,0x6fffffff,
    0x035c04f8,0x37fffc40,0xfff50000,0xf980009f,0x2000007f,0x9004fffc,
    0x74009fff,0xd0003fff,0x17ffec03,0xffff1000,0xffff7003,0x003bffff,
    0x003fffe8,0x07d103d0,0x01dfffd3,0x007fffd0,0x03c807a0,0x1ffffd80,
    0x3ffa0000,0x00000fff,0x400ffffc,0x805ffffa,0x005ffffa,0x3fffe600,
    0x0bffff35,0x36000000,0x05ffffef,0x2005f980,0xa801ffff,0x8005ffff,
    0xffffffe9,0x1e404f86,0x7fffec00,0x3fa00001,0x0000ffff,0x0001ffe6,
    0x04fffc80,0x009fff90,0x001fffec,0xfff700a8,0xff90000d,0x3f6200df,
    0x3fffffff,0x0ffff600,0x7dc05400,0xdfffd100,0x07fffb00,0x2c802a00,
    0x7fffdc00,0x3e600003,0x003fffee,0x0ffffc00,0x37fffc40,0x2ffffd40,
    0xfff30000,0x3fffeadf,0x00000005,0xffffd3fb,0x05f98007,0x007fffe0,
    0x01bfffe2,0xfccba880,0x16404f86,0x3fffee00,0x3e600003,0x003fffee,
    0x801ffe60,0x3ff20009,0xfff9004f,0x7ffec009,0x7c400003,0x80003fff,
    0x004ffff8,0x3fffffaa,0xffb005ff,0xe800007f,0x1fffd806,0x01fffec0,
    0x000a8000,0x017fffe2,0xf77f9000,0x80000dff,0xf001ffff,0xf300ffff,
    0x0000dfff,0x9affffcc,0x0005ffff,0x13fb0000,0x005fffff,0xff002fcc,
    0x3fe003ff,0x400007ff,0x5404f86d,0x3ffe2000,0x6400005f,0x06fffbbf,
    0x01ffe600,0x0033ffa2,0x4013fff2,0x2004fffc,0x0003fffd,0x0ffffd40,
    0xfffe8000,0xfffb8006,0xd804ffff,0x00003fff,0x7f401be2,0x7ffec04f,
    0x00000003,0x01ffffd0,0x8bfc4000,0x0002ffff,0x007fffe0,0x403ffffc,
    0x007ffff8,0x3fffea00,0x0dffff13,0x36000000,0xfffff31f,0x017e6001,
    0x001ffff8,0x000fffff,0x04f86d80,0x7fff4000,0x2200000f,0x5ffff17f,
    0x1ffe6000,0x1bfffee0,0x013fff20,0x0027ffe4,0x4007fffb,0x7ffe4029,
    0xfb00000f,0x10001fff,0x7ffffff9,0x03fffd80,0xffb80a60,0x06ff8800,
    0x001fffec,0x90000053,0x0005ffff,0x3f64fb80,0x200005ff,0x8801ffff,
    0x8806ffff,0x0007ffff,0x8bfffee0,0x0006ffff,0x43fb0000,0x00effffa,
    0x3e005f98,0xf8801fff,0x00006fff,0x0027c36c,0x5ffff900,0x4fb80000,
    0x0017fff6,0x6c03ffcc,0x402fffff,0x9004fffc,0x6c009fff,0x2e003fff,
    0x3fffec03,0xfff90000,0x74c0003f,0x6c07ffff,0x2e003fff,0x00bfea03,
    0x3f603fec,0x0ee003ff,0xfff30000,0xd00000bf,0x7fffcc1f,0xfff00000,
    0xfff5003f,0x3ffa007f,0x900000ff,0x7ec3ffff,0x000007ff,0xfc83fb00,
    0xf9805fff,0x3fffe005,0xffffa801,0x36c00003,0x9800027c,0x0005ffff,
    0x3e60fe80,0x98000fff,0xffa807ff,0x7e404fff,0xff9004ff,0x7fec009f,
    0x00f6003f,0x000fffff,0x1ffffdc0,0xffd10007,0x7fec03ff,0x80f6003f,
    0xa800fff8,0x7ffec06f,0x000f6003,0xffffe880,0x7d400000,0x04fffe85,
    0x3ffff000,0x6ffff880,0x3fffee00,0xffb00001,0xffffc8ff,0x80000002,
    0xfffd81fd,0x02fcc04f,0x803ffff0,0x006ffff8,0x4f86d800,0xffe88000,
    0x400000ff,0xfffe85fa,0x7ff98004,0x9f359300,0x04fffc80,0x009fff90,
    0x801fffec,0x3fe203fa,0x200006ff,0x3a4ffffa,0xfff98000,0x3fff603f,
    0x807f5003,0x4400effd,0x7ffec03f,0x007f5003,0x7fffe400,0xfd800002,
    0x07fffb81,0x3ffff000,0x1ffffd80,0x3fffe600,0xffd00003,0xffff987f,
    0x80000004,0xffe881fd,0x17e602ff,0x01ffff80,0x00ffffec,0x7c36c000,
    0xffc80004,0x800002ff,0xfffb81fd,0x7ff98007,0x403fa800,0x9004fffc,
    0x6c009fff,0xaaaacfff,0x3ffecbaa,0x17fffea0,0xfff98000,0x4000ba5f,
    0x3604fffc,0xaaaacfff,0x3ffecbaa,0x077ffdc0,0xfd803f70,0xaaaaacff,
    0x03ffecba,0xffff5000,0xf3000009,0x3fffe20d,0xfff80002,0xffff701f,
    0xffd0003d,0xf30000df,0x3ff60dff,0x4400006f,0x980fec00,0x301fffff,
    0x7ffc00bf,0xffff701f,0x2000003d,0x0004f86d,0x027fffd4,0x837cc000,
    0x002ffff8,0x4003ffcc,0x7fe401fd,0xfff9004f,0x7ffec009,0xffffffff,
    0x2a03ffff,0x0005ffff,0x97fffe60,0xff50005e,0x7ffec07f,0xffffffff,
    0xd803ffff,0xdb01ffff,0xfffffb00,0xffffffff,0x100007ff,0x000dffff,
    0xc80bf200,0x80006fff,0xcbacffff,0x03efffed,0x3fffe600,0x7fec0003,
    0xffff303f,0x3a200007,0x500fec01,0x301dffff,0x7ffc00bf,0xfedcbacf,
    0x00003eff,0x027c36c0,0xdffff100,0x3f200000,0x1bfff202,0x00fff300,
    0xfc804f88,0xff9004ff,0x7fec009f,0x999999bf,0x203ffca9,0x006ffff8,
    0x3fffe600,0x20003fa4,0x3601fffa,0x9999bfff,0x3ffca999,0x5ffffd00,
    0xfd800fb8,0x99999bff,0x03ffca99,0xffffd800,0xf8800001,0x7fffcc07,
    0x7ffc0001,0xffffffff,0xf900001f,0x4c000dff,0x7ec06fff,0x80000fff,
    0x01fd803d,0x42ffffdc,0x3fe005f9,0xffffffff,0x000001ff,0x009f0db0,
    0x0ffffec0,0x3fc40000,0x07fffe60,0x007ff980,0x32003b62,0xf9004fff,
    0x7ec009ff,0x7f3003ff,0x07ffff80,0x3ffea000,0x0017fa2f,0xfb01ffee,
    0x3e6007ff,0xfffd1003,0x4007b29f,0x3003fffd,0xfb80007f,0x00003fff,
    0xfb009f70,0xf80009ff,0x3fe61fff,0x200003ff,0x0003fffe,0x8801dffb,
    0x000efffe,0x7ec01720,0xffffd801,0xf002fcc4,0x7fcc3fff,0x000003ff,
    0x009f0db0,0x0ffffee0,0x27dc0000,0x027ffec0,0x200fff30,0xf9000dfa,
    0x3f2009ff,0x3f6004ff,0x0f6003ff,0x00ffffd0,0x7fffdc00,0x0037ffa1,
    0x2017ffc4,0x2003fffd,0x7fec003d,0x2000dfff,0x2003fffd,0x3e20003d,
    0x00006fff,0x2a003fa0,0x0000ffff,0xf707fffe,0x00003fff,0x007fffa2,
    0x001dff90,0x07bfffe2,0x4003b600,0xffd001fd,0x02fcc5ff,0xb83ffff0,
    0x0001ffff,0x4f86d800,0xffff8800,0x3a000006,0xfffa800f,0xfff3000f,
    0x8007d900,0x9004fffc,0x6c009fff,0x2e003fff,0x7fffe403,0xff900000,
    0x7fff41ff,0x7ff4400e,0x3fffd804,0x2000ee00,0x005ffffb,0x001fffec,
    0x7f400077,0x00000fff,0x9999ff50,0xff999999,0x7c0007ff,0xffd81fff,
    0x2200006f,0x8803fffd,0x4000effd,0x0cffffe9,0x000de980,0x7c4007f6,
    0xbf31ffff,0x0ffffc00,0x0037ffec,0x7c36c000,0xfffe8004,0x5000000f,
    0x999999ff,0xffff9999,0x1ffe6007,0x7e400060,0xff9004ff,0x7fec009f,
    0x00a6003f,0x003ffff7,0x1bfff600,0x9dfffffd,0xfff93115,0x3fff6009,
    0x000a6003,0x017fffd4,0x007fffb0,0xfb80014c,0x00002fff,0x3fffff60,
    0xffffffff,0x20006fff,0xf881ffff,0x00004fff,0x056fff4c,0x19ffd731,
    0x7ffe4000,0xaa9acdff,0xd8004fec,0x3fe6001f,0x05f98fff,0x207fffe0,
    0x004ffff8,0x7c36c000,0x7ffdc004,0x2000002f,0xfffffffd,0xffffffff,
    0xfff3006f,0x7e400000,0xff9004ff,0x7fec009f,0x4c00003f,0x0003ffff,
    0xe87fffd0,0xffffd732,0x001bffff,0x001fffec,0xfff30000,0x3ff6001f,
    0x8000003f,0x005ffff9,0x01be2000,0x03ffff10,0x07fffe00,0x017fffd4,
    0x7ff54000,0xcffffeff,0xf9300000,0xffffffff,0x3600019f,0x7fdc001f,
    0x005f9eff,0x5407fffe,0x0002ffff,0x13e1b600,0x5ffff980,0x3e200000,
    0x7ffc4006,0x7ff9801f,0xc800a800,0xf9004fff,0x7ec009ff,0x800003ff,
    0x0007fffc,0x386fff98,0x579fb510,0xfffb0001,0x80000007,0xb003fff8,
    0x00007fff,0x1ffffd00,0x7e400000,0xfffd8002,0xffff0005,0x7fffe403,
    0xf7000000,0x01ffffff,0x654c0000,0x0001abcf,0xc8001fd8,0x05feffff,
    0x807fffe0,0x000ffffc,0x9f0db000,0x7ffff400,0x32000000,0xffd8002f,
    0x7ff9805f,0xc802e400,0xf9004fff,0x7ec009ff,0x4c0003ff,0x1ffff440,
    0x3fff6000,0x00de8001,0x1fffec00,0x00026000,0x3600bff3,0x40003fff,
    0x3fff2009,0x0720002f,0x26000ff0,0x8000ffff,0x7401ffff,0x00005fff,
    0x3ffffe60,0x8000005f,0x400000ed,0xfd0001fd,0x400bffff,0x7401ffff,
    0x00005fff,0x009f0db0,0x00bffff2,0x3fc01c80,0xffff9800,0x03ffcc00,
    0x32007f30,0xf9004fff,0x7ec009ff,0x220003ff,0x7fffa81f,0x3ffe6000,
    0xfffb8004,0x3ff60002,0x3e20003f,0xd80774c1,0xfffb006f,0x0fc40007,
    0x04ffffa8,0xf7007c00,0x7ff40009,0xfff8003f,0x7ffcc01f,0x2000003f,
    0x2fffffe8,0x3ea00000,0x200003ff,0xd10001fd,0x400bffff,0x4c01ffff,
    0x0003ffff,0x04f86d80,0x04ffffa8,0xf7007c00,0x7ff40009,0x3ffcc03f,
    0x01dffd00,0x004fffc8,0x4009fff9,0x0003fffd,0xfffd81b6,0xfffb0003,
    0xfff90001,0x7fec000d,0x1b60003f,0x7dc0bff6,0x7fffb005,0x8836c000,
    0x0006ffff,0x03fe0354,0xffffb800,0x7fffc000,0xffffb801,0x64000001,
    0x000fffff,0xfffd7000,0x0fec0000,0xffff3000,0x7fffc00b,0xffffb801,
    0x36c00001,0x3fe2027c,0x540006ff,0x0007fc06,0x01ffff70,0x8803ffcc,
    0x6404fffd,0xf9004fff,0x7f4009ff,0xf50003ff,0x7ffec407,0x77fec001,
    0x3fe20001,0xffd0000f,0x3ea0007f,0x503ffd83,0x3ffa009f,0x7f50003f,
    0x07ffff60,0x205e8800,0x440006fb,0x4003ffff,0xb002ffff,0x0001ffff,
    0xffffa800,0x2000000e,0x00001fff,0xa80005fd,0x3e005fff,0xfb002fff,
    0x00001fff,0x2027c36c,0x001ffffd,0xfb817a20,0x7fc40006,0x3fe603ff,
    0x37fdc007,0x017fff60,0x002fffec,0x0007fffd,0xf7001ff1,0xfd1007ff,
    0x3e00009f,0x3fa0006f,0xf88003ff,0x02ffb80f,0x3fa003fd,0xf88003ff,
    0xffffa80f,0x1fec0003,0x00007fd0,0x001ffffd,0x8017fffc,0x00effff8,
    0xfea80000,0x000001ff,0x40000dfd,0xc80003ff,0x3fe005ff,0xff1002ff,
    0x00001dff,0xa813e1b6,0x0003ffff,0x7fd01fec,0xfffd0000,0x1ffe601f,
    0x807ff500,0xd006fffe,0x2200dfff,0x4005ffff,0x26006ffb,0x221bdffe,
    0x002fffca,0x005ff700,0x17fffe20,0x40dff700,0x03fa82fe,0x0bffff10,
    0x886ffb80,0x0006ffff,0x640bffaa,0xd80003ff,0x3005ffff,0x4009ffff,
    0x00effff9,0xfd500000,0x4000019f,0x00003ffa,0x0017fffb,0x3005fd80,
    0x4009ffff,0x00effff9,0x4f86d800,0x0dffff10,0x17ff5400,0x0003ffc8,
    0x05ffffd8,0xd800fff3,0x3ff200ff,0x3200dfff,0x00dfffff,0x3fffffa6,
    0xccccccde,0x03ffffec,0xffffdb80,0x00ceffff,0x7ff5cc00,0xffd30004,
    0x999bdfff,0xfffd9999,0x5f6c407f,0x3003fda8,0xbdfffffd,0xd9999999,
    0xfd07ffff,0xdddddfff,0xdddddddd,0x83ffffff,0x01efffc9,0xffff7100,
    0x74405bff,0x00cfffff,0xbfffff90,0x00000017,0x0159fdb5,0xbffb7100,
    0xffed8000,0x02efffff,0x100bd100,0x19fffffd,0x3ffff200,0xb0000bdf,
    0x3fa09f0d,0xeeeeefff,0xeeeeeeee,0x41ffffff,0x01efffc9,0xffff7100,
    0xff985bff,0x2eeeeeef,0xb05ffd75,0xfffffffd,0x3fb6bdff,0xffffffff,
    0x3ffffa5e,0xffffffff,0xffffffff,0x440000ff,0x0001acca,0x00d664c0,
    0x7fffff40,0xffffffff,0xffffffff,0xceca800f,0xfffe800b,0xffffffff,
    0xffffffff,0x7fd40fff,0xffffffff,0xffffffff,0x647fffff,0xffffffff,
    0x3fff2004,0xffffffff,0xfffffd10,0x07dfffff,0xffffffd0,0x0000007f,
    0x4003cb98,0x0001bcb8,0x10000000,0x3fffa203,0xefffffff,0xffffe803,
    0xc8003fff,0xffa83d85,0xffffffff,0xffffffff,0x647fffff,0xffffffff,
    0x3fff2004,0xffffffff,0xffffff30,0x332a5fff,0x0000000a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00510000,0x0a20001c,0x00000198,0x001e665c,
    0x6664c000,0x0000001c,0x0b333200,0x29800000,0x99930000,0x23999999,
    0x0051000a,0x00140033,0x24005500,0xa9880000,0x7101abcb,0x4c00b200,
    0x80000005,0x38000028,0x00000a00,0x2a000000,0x10004ccc,0x00039999,
    0xdddddddd,0xdddddddd,0x0bdddddd,0x40018000,0x003c804d,0x361bfee0,
    0x000005ff,0x003ffff1,0x3ff60000,0x0000004f,0x1dfff500,0x64000000,
    0xff500007,0x5fffffff,0x1d100be2,0x3600fa00,0x3e200002,0x0006c801,
    0x7ffff540,0x0adfffff,0x07ea00b5,0x0b207f10,0xfb802540,0x200000ff,
    0x025c00dc,0x20095000,0xfff00068,0x3ee0005f,0x220005ff,0xeeffffeb,
    0xeeeeeeee,0x0007ffff,0x88003ee0,0x00fb00ef,0x22ffff80,0x000ffff9,
    0x2fffb800,0x74000000,0x000006ff,0x3fff9000,0x44000000,0x880002ff,
    0xff999999,0x4c13ee2f,0x37ea004f,0x0005e880,0x21bdfe80,0x0004fdb9,
    0x7bffff70,0x3ff2a623,0xf1006fdf,0xb73359df,0x07ea03ff,0x3a005f30,
    0x00003fff,0x7e407be2,0x3e200000,0x8005e803,0x0003fff9,0x0003bffa,
    0x0ffffe20,0x001ffb00,0x20017a00,0x17ec2ffb,0x3fffa000,0x03fffe22,
    0x3ff60000,0x80000003,0x0000ffe8,0xffe80000,0x40000001,0x00006ffb,
    0x3a17ffc0,0x03fe60df,0x443dfb00,0x800001fe,0xfffffffa,0x80000fff,
    0x1002fffd,0x400ffffb,0xfffffffb,0x3fe204ff,0xfeca9bce,0xfffd000f,
    0xfb800007,0x001fe42f,0x5efff400,0x02ffeca9,0x004ffb80,0x003ffe20,
    0x3fffe800,0x000fc800,0x0002f980,0xdfb19fff,0xbff50000,0x0009ff90,
    0x0013fe00,0xff980000,0x00000003,0x0001ffcc,0x7fffc000,0x3e000001,
    0x77fd42ff,0x8002ffa9,0xfe8afff9,0x32000004,0xffffffff,0x7f440001,
    0xfb8002ff,0x7fe4007f,0x805fffff,0xfffffffb,0x3ea003ff,0x800000ef,
    0x6fd8cffe,0xff100000,0xbfffffff,0x017fa000,0x003ff700,0x3fffe800,
    0x000f8800,0x20007c80,0x1ffffffa,0x88020000,0xf5000000,0x0000000b,
    0x0000bf50,0x04fb8000,0xfa800000,0x00004fff,0x3a0bffe0,0x006fffff,
    0x3fffff20,0x4000000f,0x0dfffffa,0x7ffc4000,0x3f20001f,0x7f54000f,
    0x32002eff,0x4fffffff,0x00003000,0x7ffffcc0,0x2000002f,0xfffffffa,
    0xef88000d,0x17ec0000,0x7ff40000,0x03d0003f,0x0009f000,0x05ffffe8,
    0x00000000,0x001d9000,0x2e000000,0x0000000f,0x000017a0,0x7ffff400,
    0xf000000f,0xfff305ff,0x440003ff,0x003fffff,0x2aa60000,0xffb00000,
    0xfd00003f,0x000c0001,0x3bfffb30,0x00000000,0x37fffec0,0x6c400000,
    0x0003efff,0x100003ee,0x2000007f,0x0003fffd,0xfa800015,0x774c0001,
    0x000000ee,0xd0000000,0x00000001,0x00002c80,0x000d1000,0x3be60000,
    0x0003fffe,0x205fff00,0x0004eeec,0x005eeea8,0x00000000,0x02fffdc0,
    0x001f9800,0x00800000,0x00000000,0x03dddd10,0x00800000,0x0003b000,
    0x00000950,0x001fffec,0x0f900000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fddfe40,0xf000006f,0x000005ff,0x00000000,
    0xabcba988,0xf9807101,0x00001fff,0x000000ba,0x00000000,0x00000000,
    0x00000000,0x00002a00,0x7ec00000,0x000003ff,0x0009f100,0x26200000,
    0x09999999,0x06666660,0x0014c000,0x14c00000,0x00000000,0x88000000,
    0x5ffff17f,0xfff00000,0x00000005,0x2a000000,0xfffffffe,0x0b50adff,
    0x006fffd8,0x10015400,0x0179bb75,0x51000000,0x00179bb7,0x00000000,
    0x80000000,0x0002ffc8,0xfb000000,0x14c007ff,0xeedca800,0x3bba602f,
    0xeeeeeeee,0xeeeeeeee,0xf70eeeee,0x5dffffff,0x3ffff620,0x7c80000e,
    0x80000000,0xd700007c,0xdddddddd,0xea801ddd,0xeeeeeeee,0x24fb8005,
    0x0005fffd,0xdb2fff80,0xdddddddd,0x77774bdd,0xeeeeeeee,0xeeeeeeee,
    0xfb8005ee,0x311bdfff,0xdfbfff95,0x17fffc40,0x50000000,0xffd757ff,
    0x23555559,0xeeeeeeed,0x2a05eeee,0xffebabff,0x11aaaaac,0xdddddddd,
    0x9bdddddd,0xd0001599,0xdddddddd,0xdddddddd,0x20bddddd,0x82ffffda,
    0xeeeeeee8,0x02eeeeee,0x3fff6000,0x000ee003,0xffdbffd3,0xfff5019f,
    0xffffffff,0xffffffff,0x441fffff,0x003ffffe,0x00007ff5,0x0000bfe2,
    0x2ff88000,0xff910000,0x01bfffff,0x7fffd440,0xfd0000cf,0x07fffcc1,
    0x3ffe0000,0x7fffecc2,0xfd7101df,0xdddddfff,0xfffddddd,0xffd800ff,
    0xffb1002f,0x7ffdc0ff,0x0000000f,0xfb01ffb0,0x8bffffff,0xdfffffd9,
    0x407fec01,0xfffffffd,0x7fff5c45,0xfeefffff,0x0befffff,0x3ffae200,
    0xeeeeeeff,0xffffeeee,0xfffcda87,0x3fae202f,0x001effff,0x7fffb000,
    0x9001ec00,0x7ffc43ff,0x6ffd40ef,0x7fff9819,0x83ffd730,0x002ffff8,
    0x40000df5,0x00006ffb,0x1bfee000,0xfff30000,0x64000fff,0x20001fff,
    0xfffe85fa,0x7fc00004,0xffffd02f,0x3fffe200,0x07fec003,0x17fff440,
    0x03ffdc00,0x000ffffd,0x3ff20000,0x9dfff103,0x3ffa0599,0x3ffc807f,
    0x99dfff10,0x3ffea059,0x5cc409cf,0x03fffffd,0x1ffffc40,0x803ff600,
    0x8802fffc,0x0006ffff,0x1fffec00,0x7003fa80,0xfcfb81ff,0x027dc4ff,
    0x101fffe6,0xfff703fd,0x00bf2009,0x1ffff800,0xf0000000,0x00003fff,
    0x07ffffa8,0x007ff200,0xf703fb00,0x80000fff,0xffb02fff,0x7ff400bf,
    0x0fc8003f,0x0ffffc40,0x01ff9000,0x001bfffe,0x3fe60000,0x07ffe407,
    0x02fffec0,0xf901ffe6,0x3fe001ff,0xfd3001ff,0x4001dfff,0x8003fffe,
    0x3fea00fc,0xffff002f,0xd8000009,0xaaaacfff,0x3ffecbaa,0xe83ff880,
    0x5c7fff9d,0x7fff9807,0xfd02f880,0x01fe00ff,0xffffa800,0x80000004,
    0x004ffffa,0xffffc800,0x07fd0002,0x106f9800,0x0005ffff,0xc817ffc0,
    0x3a005fff,0x88003fff,0x7ffec00f,0x0fe80001,0x05ffff88,0x55555300,
    0xc8555555,0x7fcc07ff,0xfffc804f,0x03ffe405,0x4013ffe6,0x2001ffff,
    0x0effffd8,0x07fffd00,0x5401f100,0xfd002fff,0x000007ff,0xffffffd8,
    0xffffffff,0x0ffe803f,0xfffe97cc,0x3e6016e0,0x05b007ff,0x500fffea,
    0x7400009f,0x000fffff,0x7ff40000,0x00000fff,0x037fffc4,0x0002fd40,
    0xff9017e4,0x7c0000df,0xfff902ff,0x7fff4009,0x403d0003,0x0005fffb,
    0xff303f30,0x2a000bff,0xffffffed,0x37ff44df,0x017ffe20,0xd013fff2,
    0xff880dff,0xffff005f,0xfff70003,0x3ffa00bf,0x03d0003f,0x8017ffd4,
    0x0003fffe,0x5fffec00,0xa9999999,0x7d403ffc,0x3267c85f,0x4c01643e,
    0x57007fff,0x2037ff40,0x300000fd,0x07fffddf,0x7cc00000,0x003fffee,
    0xffffa800,0x03fe2004,0x80ff1000,0x001ffff9,0x205fff00,0x2004fffc,
    0x0003fffd,0x3ffe6015,0x3a00001f,0x5ffffa82,0xfffb8000,0xffff01ff,
    0x00dfff00,0xf809fff9,0xfff807ff,0x3ffff006,0x3fffa000,0xfffd804f,
    0x40150003,0xb002fffa,0x00007fff,0x03fffd80,0xfb807f30,0x1004f84f,
    0x1fffe600,0xff700440,0x017e605f,0xfbbfc800,0x000006ff,0x3feeff20,
    0xb000006f,0x2003ffff,0xb80003fc,0xfffd804f,0xfff00004,0x13fff205,
    0x03fffd80,0xfffd8000,0x15400006,0x037fffcc,0x6fffe800,0x201fff60,
    0xfc805fff,0x7fec04ff,0x05fff807,0x003ffff0,0x3ffffe60,0x1fffec00,
    0xff980000,0xfffb002f,0xd8000007,0x36003fff,0x21ffec03,0x400001f9,
    0x0007fff9,0x641bffe0,0xf100002f,0x0bfffe2f,0x3e200000,0x05ffff17,
    0xfff10000,0x0df300df,0x003fa000,0x003fffea,0x40bffe00,0x2004fffc,
    0x0003fffd,0x17fffc40,0xf8800000,0x00007fff,0x5c0bfffb,0x3e200fff,
    0xffc803ff,0x7ffdc04f,0x0fffe200,0x00ffffc0,0x7ffff900,0x03fffd80,
    0xfff30000,0x3fff6005,0x6c000003,0x2e003fff,0x217ff403,0x9800007c,
    0x00007fff,0x3e0bffee,0x3ee00007,0x017fff64,0x93ee0000,0x0005fffd,
    0x7ffff500,0x0001fe80,0xccccffa8,0xffcccccc,0xf80003ff,0xfff902ff,
    0x7ffec009,0x700a6003,0x0001ffff,0x7fffc000,0xffb00007,0x7ffcc09f,
    0x07ffe604,0x013fff20,0x4c09fff3,0xff001fff,0x440003ff,0x6c06ffff,
    0x26003fff,0x5fff3002,0x0ffff600,0xffb00000,0x014c007f,0x09f0fffe,
    0xfff30000,0x7c40000f,0x027d46ff,0x4c1fd000,0x0000ffff,0xf307f400,
    0x00001fff,0x07ffff60,0x800027dc,0xfffffffd,0xffffffff,0xff80006f,
    0x9fff902f,0x1fffec00,0xfe807700,0x000007ff,0x17fffec0,0x7ffe4000,
    0x07ffe404,0x9003ffd8,0xf9009fff,0x3ff601ff,0x3fffe003,0x7ff40001,
    0x3ff601ff,0x00ee003f,0x8017ffcc,0x0003fffd,0x1fffec00,0xfff10000,
    0x0000fd49,0x03fffcc0,0x3fff2000,0x00003f61,0x7ff42fd4,0x2000004f,
    0xfffe85fa,0xf1000004,0xdf30dfff,0x1be20000,0x3ffff100,0x2fff8000,
    0x009fff90,0x001fffec,0xffff807b,0x40000006,0x005ffffc,0x04fffc80,
    0x220effb8,0x32004ffc,0xf7004fff,0x7fe441df,0x7fffc004,0x7fec0001,
    0x3ff603ff,0x00f6003f,0x8017ffcc,0x0003fffd,0x1fffec00,0x3ffa0000,
    0x00001b66,0x003fffcc,0x57ffe200,0x200005f9,0xfffb81fd,0x36000007,
    0x7fffb81f,0x3ea00000,0x17f43fff,0x02fc8000,0x05fffd80,0x817ffc00,
    0x2004fffc,0x5003fffd,0x7ffc407f,0x5530005f,0x55555555,0x3ffffc45,
    0x7ffe4000,0xbfff7004,0x8003dffb,0x2004fffc,0xffddfffb,0xfff8001e,
    0x7dc0001f,0x3f604fff,0x7f5003ff,0x0bffe600,0x01fffec0,0x3ff60000,
    0x04c0003f,0x7f13fff9,0x98004880,0x00007fff,0xfc9fffc8,0xdf300002,
    0x0bfffe20,0x1be60000,0x017fffc4,0xfffb0000,0x0017ee1f,0x30007f80,
    0x0001ffff,0xfc817ffc,0x3f6004ff,0xaaaaacff,0x03ffecba,0x017fffe6,
    0x7fff6d40,0x5c4dffff,0x0002ffff,0x4027ffe4,0x9aa98bf9,0xfff90000,
    0x22fe6009,0x00009aa9,0x0007fffe,0x0bffff50,0x5567ffec,0xfecbaaaa,
    0xfff3003f,0x3fff6005,0x6c000003,0x20003fff,0x3ffee1f8,0x16400fbd,
    0x3fffcc00,0x7fc40000,0x00006fdf,0xffc80bf2,0xc800006f,0x3fff202f,
    0x22000006,0xff8dffff,0x9f700000,0x7fff4000,0x3ffe0003,0x09fff902,
    0x7ffffec0,0xffffffff,0x3fea03ff,0xb80005ff,0x201fffff,0x000ffffe,
    0x013fff20,0x000009f3,0x3009fff9,0x2000009f,0x0001ffff,0x037fffcc,
    0xfffffffb,0xffffffff,0x3ffe6007,0x7fffb002,0xfd800000,0x360003ff,
    0x77fffcc6,0x8003c405,0x0007fff9,0x7ffffb00,0x1fe20000,0x03ffff30,
    0x03fc4000,0x007fffe6,0xfffb8000,0x00002fef,0xb80003fe,0x0000ffff,
    0x3f205fff,0x3f6004ff,0x99999bff,0x03ffca99,0x01bfffe6,0x37fff400,
    0x13fffea0,0x4fffc800,0x000bfa20,0x13fff200,0x0005fd10,0x07fffe00,
    0xffff3000,0x5fffec0b,0xa9999999,0xf3003ffc,0x3f6005ff,0x000003ff,
    0x001ffff4,0xfff83fa8,0x13a203ff,0x3fffcc00,0xff980000,0x700000ff,
    0xfffb009f,0x7dc00009,0x4fffd804,0x7ec00000,0x00005fff,0x10001bee,
    0x0007ffff,0x7e40bffe,0x3f6004ff,0x7f3003ff,0x3ffffc40,0xfffd8000,
    0xffffc805,0xfff90002,0x577fd409,0x3f200001,0x7fd404ff,0x400001ae,
    0x0001ffff,0x027fffd4,0x2007fffb,0xff3003f9,0x3ff6005f,0x4000003f,
    0x8003fffe,0xff980ff8,0x2e60cfff,0xf30000ff,0x00000fff,0x0002ffec,
    0xf5001fd0,0x00001fff,0x3ea003fa,0x00000fff,0x07fffe20,0x03fe8000,
    0xffffe800,0x2fff8000,0x009fff90,0x001fffec,0xffff807b,0xffb00007,
    0x3ff2009f,0xfc8002ff,0x3ff204ff,0xffffffff,0xf9003eee,0xffc809ff,
    0xffffffff,0x3e003eee,0x40001fff,0x203ffffb,0x2003fffd,0xfff3003d,
    0x3fff6005,0x22000003,0x4005ffff,0x3ee06ffb,0xffffffff,0x260001ff,
    0x00007fff,0x000bfe60,0x6667fd40,0xfccccccc,0x80003fff,0xcccccffa,
    0xfffccccc,0x4000003f,0x0001ffff,0x0007ff90,0x0bffffb0,0x205fff00,
    0x2004fffc,0x2003fffd,0x7ffec03b,0xfc80002f,0x3ee004ff,0x1000cfff,
    0x4c09fffd,0xffffffff,0xcfffffff,0x13fff200,0xffffff30,0xffffffff,
    0xfff8019f,0x7e40001f,0x3f601fff,0x0ee003ff,0x017ffcc0,0x003fffd8,
    0xfffd3000,0x9999bdff,0xffffd999,0xffffd807,0x002fffff,0x03fffcc0,
    0x01be0000,0xffffd800,0xffffffff,0x0006ffff,0xffffffd8,0xffffffff,
    0x000006ff,0x000ffffc,0x3bfff260,0xff710001,0x005bffff,0xfc817ffc,
    0x3f6004ff,0x0a6003ff,0x0bffff90,0x9fff9000,0xfffd8800,0xfd9881cf,
    0x4c00beff,0xfffffffe,0x3fffffff,0x013fff20,0x3fffffa6,0xffffffff,
    0x7fffc03f,0x7ff40001,0x3ff600ff,0x00a6003f,0x8017ffcc,0x0003fffd,
    0x7fffff40,0xffffffff,0xffffffff,0x7f7e400f,0x001effff,0x07fff980,
    0x0fea0000,0x037c4000,0x07fffe20,0x006f8800,0x00ffffc4,0xffff0000,
    0x7fe40003,0x04ffffff,0x3fffff20,0x00ffffff,0xf902fff8,0x7ec009ff,
    0x400003ff,0x007ffff8,0x04fffc80,0xfffd9300,0xfffffddf,0x4fcc003b,
    0xcaaaa998,0x207ffdcc,0x9804fffc,0xaaa9989f,0x7ffdccca,0x00ffffc0,
    0x1ffffe00,0x007fffb0,0x3ffe6000,0x7fffb002,0x00000000,0x7f0006c8,
    0x0006aea2,0x07fff980,0x03fa0000,0x017e4000,0x02fffec0,0x0005f900,
    0x000bfffb,0x0ffffc00,0x00000000,0x40001f98,0xff902fff,0x7fec009f,
    0xb800003f,0x0002ffff,0x0027ffe4,0x66fd5440,0x980019ab,0x5fd0003f,
    0x013fff20,0x3a0007f3,0x3fffe02f,0x3fee0001,0x7fec02ff,0x3000003f,
    0x36005fff,0x80003fff,0x9f300000,0x001f5000,0xfff30000,0x2600000f,
    0x3e00005f,0xfff30007,0x1fe0001f,0x7fffcc00,0xff000000,0x000003ff,
    0x01fa0000,0x40bffe00,0x2004fffc,0x0003fffd,0x7fff404c,0x3f20000f,
    0x200004ff,0x880002fa,0x3e60006f,0x09fff902,0x300037c4,0x7fffc05f,
    0xfff10001,0xfffb00df,0x80980007,0xb002fff9,0x80007fff,0xf900002b,
    0x00db000b,0x3fe60000,0xb000007f,0x2e00003f,0x3fa0004f,0xfb8003ff,
    0x3ffa0004,0xf000003f,0x00003fff,0xff100000,0xfff80003,0x09fff902,
    0x01fffec0,0xf503f100,0x40009fff,0x0004fffc,0x00bfff10,0x0004fd80,
    0x7fe403ea,0x013f604f,0x3e00fa80,0xb0001fff,0xb003ffff,0x40007fff,
    0xfff981f8,0x7fffb002,0x000e8000,0x001ffb00,0x00001fc4,0x07fff980,
    0x05fa8000,0x003fe000,0x0ffffb80,0x0007fc00,0x01ffff70,0xffff0000,
    0x00000003,0x009ff300,0x902fff80,0x6c009fff,0x20003fff,0x3fff206d,
    0xff90002f,0x2a00009f,0x0002fffd,0x4000dff5,0x3fff205e,0x00dff504,
    0x3fe02f40,0xf98001ff,0xfb004fff,0x6c0007ff,0x05fff306,0x00ffff60,
    0x00005b80,0xb8013ff6,0x0000000f,0x000ffff5,0xffa8ded4,0xdf700001,
    0xfff88000,0x1bee003f,0xffff1000,0xff000007,0x000003ff,0xfff30000,
    0x7ffc0001,0x09fff902,0x01ffff40,0x6403fa80,0x8002ffff,0x0004fffc,
    0x0027fe40,0x004fffc8,0xf90076c4,0x3ff209ff,0x76c4004f,0x0ffffc00,
    0x3fffee00,0xfffd000d,0x0fea0007,0x8017ffd4,0x0003fffe,0x400007f3,
    0x221dfffb,0x00005e81,0x1fffea00,0x7fffd400,0x00004fff,0x20000ffa,
    0x000ffffe,0xd00007fd,0x0001ffff,0x17fffc40,0x00000000,0x20affff8,
    0x2fff8009,0x00bfffb0,0x001ffff4,0x5c007fc4,0x000cffff,0x009fffd1,
    0x01ffb800,0xfffff300,0xf9310339,0xfffd803d,0xfffff305,0xf9310339,
    0xffff003d,0x3ff62003,0x7f4005ff,0xf88003ff,0x7fff500f,0x17fffa00,
    0x003fea00,0xffffb000,0x7c41bfff,0x20000002,0x001ffffc,0xffffffc8,
    0x3f200004,0xfd80003f,0xfc805fff,0xfd80003f,0x00005fff,0x013fffe6,
    0x40000000,0xfffffff9,0x2fff802e,0x00dfffd0,0x017fffe2,0x400dff70,
    0x1cffffd8,0xefffd988,0x2200000b,0x540006ff,0xffffffff,0x03ffffff,
    0x40dfffd0,0xfffffffa,0x3fffffff,0x5ffff300,0xffffb980,0x7fc4003f,
    0x7dc005ff,0x3ffee06f,0xffff8804,0xfd98801f,0x5000006f,0x7019dfdb,
    0x4000000f,0xaefffffa,0x3ffe2000,0x300003ff,0x003dfff9,0x3fffee20,
    0xfc982dff,0x10001eff,0xbffffff7,0xfe880005,0x000bffff,0x88000000,
    0x4c2defec,0xffeeeeee,0xffffc82f,0x3fa600df,0xccdeffff,0xffeccccc,
    0xc98003ff,0xfeeffffe,0x001dffff,0x77fe5400,0xfb880001,0xffffffff,
    0xff9000df,0x2201bfff,0xfffffffb,0x1000dfff,0xdffffffd,0xffffd99b,
    0xd30007df,0x9bdfffff,0xfd999999,0x3a207fff,0x2200ffff,0xfffffffe,
    0xffffeeff,0x0003ffff,0x01a80000,0x7f540000,0xffffffff,0x971000ef,
    0x32000017,0xffffffff,0x3fff2004,0xffffffff,0xffffff90,0x7e4009ff,
    0xffffffff,0x3a2000ff,0xffffffff,0x00002eff,0xa8000000,0xffffffff,
    0xffffdb2f,0x4bdfffff,0xfffffffe,0xffffffff,0x0fffffff,0x65544000,
    0x0019abcc,0x0af2e000,0x654c0000,0xb001abdc,0xfffffffd,0x54c0bdff,
    0x001abdcc,0xffffffd1,0xdfffffff,0x000159dd,0xfffffffd,0xffffffff,
    0x1fffffff,0xffffff98,0xfdd13fff,0xffffffff,0xffffffff,0x0003ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3bbbbae0,
    0xd50005ee,0xdddddddd,0x3bbbba2b,0xeeeeeeee,0x54000002,0x0017500b,
    0x77777744,0xeeeeeeee,0x00000acd,0x055002c0,0x1b980000,0x98001750,
    0xeeeeeeee,0xed82eeee,0xeeeeeeee,0x2e200006,0x4000000b,0xc8019998,
    0xeeeeeeee,0x5400eeee,0xeeeeeeee,0x440000ee,0x1000002b,0x00003333,
    0x14401595,0x00000000,0x3bbbbbb6,0x805eeeee,0x100001c9,0x006e2057,
    0x2600dc00,0x9837301b,0x04fffffc,0x3fff2600,0xffd7101e,0x0003dfff,
    0x3fff2000,0x0037ff40,0x7ffff5c4,0xfffeefff,0x000004ff,0x07e60176,
    0xffb80000,0x03ffec1f,0xffffa880,0x64400bff,0x01cfffff,0x37ffc000,
    0x3fe00000,0x36a004ff,0x01efffff,0xffffc980,0xff300002,0x1000009f,
    0x0007ffff,0x33ffff62,0xb8002b80,0x07202efe,0x3fff6600,0xf5001dff,
    0xf00005ff,0xfff98bff,0x01f80003,0xf70fffe6,0xfff303ff,0xc80007ff,
    0xff8800ff,0x000006ff,0x31ffffc0,0x0003ffff,0x20bfffea,0x1efffea8,
    0xefb80000,0xffb730ac,0xfe800000,0x3ffe24ff,0x3e60002f,0x2a004fff,
    0x0000dfff,0x1ffffa80,0xff300000,0x3fa000bf,0x40001fff,0x00001ffb,
    0x001ffff2,0x2fffcc00,0xffffc800,0x00f43fff,0x3fffff20,0x4000681e,
    0x4007fffe,0x0005fffd,0x907fffd4,0x8000dfff,0x3ff201fb,0x27fff46f,
    0x1fffff98,0x01bea000,0x004ffff8,0x7ff40000,0x3fffe22f,0x3ffe0000,
    0x7ffec01f,0xe800003f,0xffffffff,0x4000002f,0x7f43fffd,0x7c0001ff,
    0x36002fff,0x000004ff,0x001fffe2,0x06ffc800,0x1ffff200,0x01fe6000,
    0xbfff5000,0x7d400000,0xbf88007f,0xefffffb9,0x7c4007ec,0xdfffffee,
    0xd8000d71,0x64005fff,0x40004fff,0x7dc6fff9,0x220005ff,0x3fee01ff,
    0x1fffec5f,0x1fffffb0,0x017e6000,0x003fffe8,0x7f4c0000,0x003fea84,
    0x00ffffc0,0x03ffffe2,0xfff30000,0x009fffff,0xbfb30000,0x004fea81,
    0x01ffff80,0x0005ff50,0x05df7000,0x77f40000,0x3fee0000,0xf980006f,
    0xfc800006,0x4000001e,0x4c002ffc,0x7fffec44,0x25c002ff,0xffffffd3,
    0xfc80007f,0x6c4005ff,0xb80000df,0x6fec42ef,0x3ffa0001,0x077f2201,
    0x6c01bfb3,0x006fffff,0x7400bf30,0x00003fff,0x00000000,0x007fffe0,
    0x017fffea,0x3ff62000,0x00002eff,0x00000000,0x003ffff0,0x00005ff3,
    0x00000000,0x0000ffc4,0x001bffea,0x0001be20,0x00000000,0x550013f6,
    0x0bbff660,0x3ea03200,0x0004ffff,0x004fffc8,0x00000000,0xfff90000,
    0x20000003,0x5ffffefd,0x005f9800,0x000ffff6,0x00000000,0x1ffff800,
    0x6ffff880,0x26200000,0x0000000a,0x40000000,0x4c01ffff,0x000002ff,
    0x40000000,0xa80002fb,0x80006fff,0x000006f8,0xd0000000,0x1000800f,
    0x2e024000,0x900002dc,0x00009fff,0x00000000,0xffffd880,0x0001999a,
    0xffd3fb00,0xf98007ff,0x3fff6005,0x00000003,0x0005654c,0x03ffff00,
    0x01ffffe0,0x00000000,0x00000000,0x0ffffc00,0x0005ff30,0x654c4000,
    0x002e01ab,0x200007b0,0x0006fffa,0x00006f88,0x2af2ea62,0x00007101,
    0x000003d1,0x00000000,0x9fff9000,0x00000000,0x7cc00000,0xffffffff,
    0xb000007f,0xfffff13f,0x02fcc005,0x007fffb0,0xed980000,0xdfffffff,
    0x3fe0000c,0xfff001ff,0x800000ff,0xd9000029,0xdddddddd,0xea801ddd,
    0xeeeeeeee,0x3fffe00e,0x007ff301,0xfd710000,0x9fffffff,0x2000fc43,
    0x3ea00002,0x880006ff,0xea80006f,0xffffffff,0x00b50adf,0x00006200,
    0x4c000000,0xf9000002,0xeed809ff,0xeeeeeeee,0xddddd75e,0x1ddddddd,
    0xeeeeea80,0x5535eeee,0x5559fff9,0x777776c5,0x05eeeeee,0x7ffcc7f6,
    0xbf3000ff,0x1fffec00,0xf9000000,0x751159df,0x0005fffb,0x2007fffe,
    0x006ffff8,0x003e4000,0x3fff6a00,0x98001eff,0x002ffffc,0xf503ffff,
    0x8000005f,0x9adfffc8,0x9dff7530,0x000005fd,0x37ffd400,0x037c4000,
    0xbffff700,0x3f2a6237,0x0006fdff,0x3bb60000,0xeeeeeeee,0xf900005e,
    0x3f200000,0xfb3004ff,0x103bffff,0xfffffff9,0x7d44001b,0x500cffff,
    0xb3003fff,0x03bfffff,0x7fd43fb0,0xf9800eff,0x3fff6005,0xa8000003,
    0xe9803ffe,0xff8004ff,0xffa801ff,0x000003ff,0x0000bfe2,0x07ffffa0,
    0x03ff7000,0x20ffffc0,0x00002ffa,0x0efff4c0,0x7fffe440,0x41fe4402,
    0x54002ed9,0x80006fff,0xfb0006f8,0x362005ff,0x22007fff,0x2ed983fc,
    0x3fff6600,0x00001dff,0x0000bfe2,0x013fff20,0x00ffffd0,0x0ffffff3,
    0x0fffe400,0x007ffea0,0x007fffe8,0xfff907f6,0x0bf300bf,0x01fffec0,
    0x3ff20000,0x3f62002f,0x3fe001ef,0x7fc401ff,0x000006ff,0x00037fdc,
    0x03fffe40,0x003fcc00,0xfb87fffe,0x4000002f,0x8005fffa,0x6403fffa,
    0x7ff42fff,0x3fea000f,0xf880006f,0x7ff44006,0xffb8002f,0x3fff2007,
    0x007fff42,0x01ffffa0,0x1bfee000,0x3ff20000,0x7fec004f,0xfff5005f,
    0x7e4000ff,0xfffa801f,0x3fff6001,0x207f6005,0x404ffffd,0x3f6005f9,
    0x000003ff,0x000bffea,0x8007fffc,0x6c01ffff,0x0001ffff,0x0ffffc00,
    0x3fee0000,0xf980006f,0x7fffc006,0x0005ff71,0x5fffa800,0x0ffee000,
    0x449fffd0,0x2002ffff,0x0006fffa,0x22006f88,0x0001ffff,0x74003ff2,
    0x3fe24fff,0x7ec002ff,0x800005ff,0x0001ffff,0x027ffe40,0x017fff20,
    0x02ffffc8,0x2007fd00,0x2001fffa,0x2005fffc,0xffe881fd,0x17e602ff,
    0x03fffd80,0xfff10000,0x7fdc000d,0xffff004f,0x3fffee03,0x4000001e,
    0x004ffffa,0x37ffd400,0x037c4000,0x327fffe0,0x000005ff,0x007fffc4,
    0x7013f200,0xffd83fff,0x3fea000f,0xf880006f,0x3fff6006,0x0fe80001,
    0x83fff700,0x4000fffd,0x0005fffc,0x27fffd40,0x3ff20000,0x7fe4004f,
    0x3fe2004f,0xfa8006ff,0x3ffea005,0x3fff2001,0x407f6004,0x01fffff9,
    0x7ec00bf3,0x000003ff,0x0005fffb,0x00ffffc4,0x5d67fffc,0x3efffedc,
    0xfd000000,0x0001ffff,0x037ffd40,0x0037c400,0x3ffbfffe,0x000004ff,
    0x000ffff6,0x2a013e20,0x01cb882c,0x037ffd40,0x8037c400,0x0005fffb,
    0x54003f30,0x01cb882c,0x04fffc80,0x7fff4000,0x200000ff,0x4004fffc,
    0x4004fffc,0x004ffffa,0xa8003fe2,0x32001fff,0x36004fff,0x3ffea01f,
    0x05f980ef,0x00ffff60,0x3ffee000,0xffc80006,0xffff806f,0xffffffff,
    0x20000001,0x3fffeef9,0x3fea0000,0xf880006f,0x7fffc006,0x04fffffc,
    0xfffa8000,0x17600007,0xa8000000,0x80006fff,0xff9806f8,0x200001ff,
    0x0000002e,0x09fff900,0x777cc000,0x00003fff,0x0013fff2,0x0009fff9,
    0x003ffffb,0xf5000ff2,0x7e4003ff,0x3f6004ff,0x7fffdc01,0x2005f985,
    0x0003fffd,0x1ffffc40,0x7ffc4000,0x7fffc04f,0x0ffffe61,0xfc800000,
    0x006fffbb,0x1bffea00,0x01be2000,0xf53ffff0,0x0009ffff,0x05fffe80,
    0x00166000,0xffa80000,0xf880006f,0x6fffd806,0x01540000,0xc8000000,
    0x00004fff,0x3ffeeff2,0x3f200006,0x7e4004ff,0xf88004ff,0xf9806fff,
    0xfffa8006,0x3fff2001,0x007f6004,0x313ffff6,0x7fec00bf,0x5400003f,
    0x0001ffff,0x80dfffd0,0x7dc1ffff,0x00001fff,0xff17f880,0x200005ff,
    0x0006fffa,0x7c006f88,0xfff51fff,0x200009ff,0x002ffff9,0x33331c00,
    0x26620333,0xf5001999,0x10000dff,0xfff880df,0x0000002f,0x03333333,
    0x06666662,0x04fffc80,0x22ff1000,0x0002ffff,0x009fff90,0x004fffc8,
    0x07ffff50,0xa8001fe8,0x32001fff,0x36004fff,0xfffd001f,0x002fcc5f,
    0x0007fffb,0x0ffffc80,0xfffb0000,0x7fffc01f,0x06fffd81,0x4fb80000,
    0x0017fff6,0x037ffd40,0x0037c400,0xf987fffe,0x0004ffff,0x00ffffc8,
    0x3fb20000,0xeb80ffff,0x800fffff,0x0006fffa,0x7dc05f98,0x00000fff,
    0xffffd900,0xfffd701f,0x3f2001ff,0x700004ff,0x2fffec9f,0xfffc8000,
    0x7ffe4004,0x3ff60004,0x09f701ff,0x07ffea00,0x04fffc80,0x44007f60,
    0xf31fffff,0x7ffec00b,0x7ec00003,0x200007ff,0x201ffffc,0xf881ffff,
    0x00004fff,0xff307f40,0x500001ff,0x0000dfff,0xff800df1,0x7ffcc1ff,
    0x740004ff,0x00007fff,0x1ffff300,0x07fffc40,0x037ffd40,0x202fcc00,
    0x0007fffe,0xfff98000,0x3ffe200f,0xfff9000f,0x3fa00009,0x03fffe60,
    0x3fff2000,0x7ffe4004,0x3fe20004,0x06f986ff,0x07ffea00,0x04fffc80,
    0x98007f60,0xf98fffff,0x3fff6005,0x7fc00003,0x200007ff,0x203ffffb,
    0xf501ffff,0x00005fff,0x3fa17ea0,0xa80004ff,0x80006fff,0x7fc006f8,
    0xfff981ff,0x3e0004ff,0x00006fff,0x03fff600,0x001fffd0,0x000ffff3,
    0xff809f30,0x000006ff,0x01fffb00,0x000fffe8,0x0009fff9,0xffd0bf50,
    0xf900009f,0xfc8009ff,0x540004ff,0x7f43ffff,0x3fea0002,0x3ff2001f,
    0x07f6004f,0xdffff700,0x7ec00bf3,0x080003ff,0x00dffff1,0x7fffd400,
    0x07fffe04,0x00ffffc8,0x81fd8000,0x0007fffb,0x006fffa8,0x4006f880,
    0xf301ffff,0x0009ffff,0x00dffff1,0x7fe40000,0x7ffe400f,0x7fff9800,
    0x04fa8000,0x017fffe2,0x555554c0,0xc82aaaaa,0x7e400fff,0xff9000ff,
    0xfb00009f,0x0ffff703,0x9fff9000,0x4fffc800,0xfffd8000,0x000bf70f,
    0x001fffa8,0x8013fff2,0xfc8001fd,0x005fefff,0x000ffff6,0x3ffea570,
    0x2600005f,0x3e05ffff,0x7f401fff,0x400005ff,0xfff106f9,0xfa80005f,
    0x880006ff,0x7ffc006f,0x3ffe601f,0x7cc004ff,0x00005fff,0x03ffee00,
    0x001fff70,0x001ffff1,0x2602fc80,0x0005ffff,0xfffffdb5,0xff709bff,
    0xfffb801f,0x9fff9000,0x06f98000,0x005ffff1,0x04fffc80,0x027ffe40,
    0x7fffc400,0x0000ff8d,0x001fffcc,0x4009fff9,0xfd0001fd,0x400bffff,
    0x0003fffd,0xffffa874,0x3e600005,0x3fe05fff,0x7fcc01ff,0x200003ff,
    0x3ff202fc,0x7d40006f,0x880006ff,0x7ffc006f,0x7ffcc01f,0x3ea004ff,
    0x00005fff,0x03ffee00,0x001fff70,0x000ffffa,0x7d401fd0,0x80005fff,
    0x01fffffb,0x7003ffee,0x32001fff,0x40004fff,0x3ff202fc,0x7e40006f,
    0x7e4004ff,0x700004ff,0x05fdffff,0xbfff1000,0xfff901c8,0x00fec009,
    0xffffe880,0x3fff6005,0x896e0003,0x0006ffff,0x13fffe60,0x801ffff8,
    0x001ffffb,0x4c07f880,0x0001ffff,0x001bffea,0xf001be20,0xf3003fff,
    0x2009ffff,0x005ffff9,0x3fee0000,0x7ffdc00f,0xdfff9000,0x03fcc000,
    0x01bfffe6,0x37fff400,0x003ffee0,0x2001fff7,0x0004fffc,0xff301fe2,
    0x640003ff,0x64004fff,0x00004fff,0x017ffff6,0xcffff800,0x3ff204ca,
    0x07f6004f,0xffff9800,0x3fffa005,0x87f30003,0x0007ffff,0x0bfffea0,
    0x002ffff8,0x001ffffb,0xd804fb80,0x20004fff,0x0006fffa,0x7c006f88,
    0xf3001fff,0x100bffff,0x000dffff,0x7ffdc000,0x07ffdc00,0x0ffff880,
    0x807fd000,0x007ffff8,0x0bfffb00,0x400fffb8,0x9000fffb,0x40009fff,
    0xffd804fb,0x3f20004f,0x7e4004ff,0x200004ff,0x001ffff8,0x3ffff200,
    0x7ffe406f,0x00bfa004,0x0bfff500,0x02ffff40,0x3a07fd40,0x00007fff,
    0x807fffee,0x1002ffff,0x001dffff,0x54007f40,0x0000ffff,0x000dfff5,
    0x4400bf30,0x2002ffff,0x0dfffffa,0x037fffc0,0xff700000,0xfffb801f,
    0x3fff2000,0x3f62000e,0xfffff006,0x3ff60000,0x7ffdc04f,0x07ffdc00,
    0x04fffc80,0x2003fa00,0x000ffffa,0x00bfffb0,0x004fffc8,0x0ffffc00,
    0x3ff20000,0x7fe400cf,0x0ffe004f,0x17ff2000,0x7ffffc40,0xffd98801,
    0x0ffffc86,0xfff90000,0x3ffe601f,0x3fe6004f,0xa8000eff,0xccccccff,
    0xffffcccc,0xfff50003,0xbf30000d,0x7fffcc00,0x7fff4003,0x3f602fff,
    0x000007ff,0x003ffee0,0x8001fff7,0x801efffd,0xb000efea,0x0005ffff,
    0x809fff90,0x5c00fffb,0xf9000fff,0x2a0009ff,0xccccccff,0xffffcccc,
    0xfffd0003,0xfffc800d,0x7fc00004,0x000001ff,0x7ffe4003,0x7fffb004,
    0x5fd80001,0xffffe880,0xfeefffff,0x3fffffff,0x01ffffb8,0xdfffb000,
    0x3ffffa20,0xff9000cf,0x0017bfff,0x3ffffff6,0xffffffff,0xf30006ff,
    0x30000fff,0x3fa2009f,0x800affff,0xfffffffa,0x7fe41bef,0x000002ff,
    0x801fff70,0x8000fffb,0xaceffffc,0xefffca99,0x3fff2000,0xfc80005f,
    0x7fdc04ff,0x7ffdc00f,0x9fff9000,0x3fff6000,0xffffffff,0x006fffff,
    0xdfffffc8,0x9fff9000,0xfff80000,0x0000001f,0x04fffc80,0x3fffffb6,
    0x10002eff,0x3fba20bd,0xffffffff,0xffffffff,0xf981ffff,0x00003fff,
    0x7447fffd,0xffffffff,0xfe803eff,0x03ffffff,0x220037c4,0x8001ffff,
    0x0007fff9,0x3a604fa8,0xffffffff,0xff982eff,0xffffffff,0x3fe67fff,
    0x000004ff,0x801fff70,0x0000fffb,0xffffff93,0x005bffff,0x0fffff10,
    0x9fff9000,0x00fffb80,0x8007ffdc,0x8004fffc,0x7c4006f8,0xed801fff,
    0xffffffff,0x7fe405ef,0x7c00004f,0x00001fff,0x4002ff66,0x0004fffc,
    0x00c40000,0x20000000,0x0007fffc,0x006fff98,0x00000000,0xfb0005f9,
    0xf1000bff,0x80001fff,0x000002fc,0x3f600000,0x400006ff,0x0fffb808,
    0x007ffdc0,0x332aa200,0x0000abfe,0x017fffdc,0x13fff200,0x801fff70,
    0x9000fffb,0x90009fff,0xffb0005f,0x13a000bf,0x27ffe400,0x3ffe0000,
    0x3600001f,0xf9004fff,0x800009ff,0x00000bca,0x00b32200,0x7fffd100,
    0xfffd8000,0xbca80001,0xff000000,0x3ffe6000,0xffe8000f,0x7f40003f,
    0xca800000,0x2600000b,0x0003ffff,0xff703d10,0xfffb801f,0x7cc00000,
    0x7f400004,0x20000fff,0x5c04fffc,0x7dc00fff,0xff9000ff,0x0ff0009f,
    0x3fffe600,0x00fdc000,0x04fffc80,0x7fffc000,0x3fa00001,0xff9006ff,
    0xd800009f,0x00005fff,0x3ffff300,0x7ffd4000,0x3fe60007,0xfb00004f,
    0x80000bff,0x3a0004fb,0xc8003fff,0x20006fff,0x000007f9,0x000bfffb,
    0x07fffec0,0xa81ec000,0x7dc01fff,0x400000ff,0x400006fb,0x004ffffa,
    0x013fff20,0xb803fff5,0xf9000fff,0xfb8009ff,0x3ffa0004,0x1ff4003f,
    0x4fffc800,0x7ffc0000,0x2a00001f,0xc800fdde,0x00004fff,0x00fffed4,
    0x7e440000,0x6c0005ff,0xb0003fff,0x00001fff,0x007fff6a,0x000ff800,
    0x03fffee0,0x1ffff100,0x00ffa000,0x7fed4000,0xd100001f,0x0001dfff,
    0xfff302e4,0x7fff4c05,0x7e400001,0x6400001f,0x0002ffff,0x9809fff9,
    0x3a602fff,0xf9001fff,0xff8009ff,0x3fee0000,0x3fe000ff,0xfff90006,
    0xff800009,0x000001ff,0x3ff200f3,0x9000004f,0x000009ff,0x007ffc40,
    0x3fffb100,0x1effd800,0xffc80000,0xdf700004,0xfff88000,0xffc8003f,
    0x362000ef,0x8000006f,0x00004ffc,0x07bfffe2,0x8803b600,0xbf506fff,
    0x00005fff,0x0004ffc8,0x2ffffc80,0x4fffc800,0x837ffc40,0x02fffdfa,
    0x009fff90,0x200037dc,0x003ffff8,0x20007ffe,0x0005fffd,0x0bfffe20,
    0x02e40000,0x005fffd8,0x07ff7000,0x7c400000,0xf700007f,0xfd1007ff,
    0x4000009f,0x00003ffb,0xd00007fd,0x0001ffff,0x003dfffb,0x0001dfd5,
    0x07ff7000,0xffe98000,0xe9800cff,0xfffd800d,0xbafda9be,0x01baefff,
    0xdfffa800,0x70000621,0x0019ffff,0x013fffa2,0x26fbfff6,0xfffbafda,
    0x3f601bae,0x3fa005ff,0xffe80003,0xffb000ff,0xd00c417f,0x0000dfff,
    0x027fffcc,0x007e4000,0x006fffe8,0x0fff8800,0x2e000000,0x200004ff,
    0x21bdffe9,0x02fffca8,0x3fe20000,0xfc80000f,0xfd80003f,0x90005fff,
    0x359dffff,0x1dfff953,0xf1000000,0x000001ff,0x37fffff2,0xfecaa9ac,
    0x3ffe2004,0xf72fffff,0x0017ffff,0x3ffff200,0x0000dfff,0x67fffec4,
    0xfffd9881,0xff8800be,0x72ffffff,0x017fffff,0x8037fff4,0x80003ffc,
    0x005ffffd,0xffffffd1,0x3fff207f,0x40000dff,0xbfffffe8,0xdfd80000,
    0xffff9001,0x500001bf,0x0003bff9,0xdfd73000,0x2e000009,0xfffffffd,
    0x00000cef,0x03bff950,0xfffc9800,0xf710001e,0x05bfffff,0xffff9300,
    0x5bffffff,0x95000000,0x00003bff,0xffffc980,0x0cffffff,0xfffea800,
    0x37fee0ef,0xb5000002,0x0003bdfd,0xfffec980,0xfffffeef,0xfea8001d,
    0x3ee0efff,0xffc802df,0x9300dfff,0x0003dfff,0x3ffffee2,0xfd7002df,
    0xfed817df,0xffffffff,0x3fa2005e,0xffffffff,0x020002ef,0x7ffff6c0,
    0x05efffff,0x002b2e00,0xbc980000,0x20000001,0x001acca8,0x15970000,
    0xfff90000,0x009fffff,0x7fffffe4,0x000fffff,0xccccaa88,0x000000ab,
    0x0002b2e0,0x2ea60000,0x0001abcc,0x95015730,0x00000003,0x51000000,
    0x33579995,0x2ae60000,0x6c01ca80,0xfffffffe,0x3ff25eff,0x04ffffff,
    0x3fffff20,0x00ffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xb8000000,0x00019001,0x0000ba80,
    0x00000000,0x0015c400,0x805d4000,0x000000ba,0x000014c0,0x7103b880,
    0x00000005,0x1a800000,0x00000000,0x00000000,0x6ec00000,0x00000001,
    0xddddd900,0xdddddddd,0x03500003,0x07999700,0x0000b880,0x5c403c88,
    0x3f20002d,0xffffffff,0x0002ffff,0x0b900fe2,0xfffc8000,0x7ec00000,
    0xffffffff,0x0002ffff,0x02fffc40,0xfff90000,0x006ffe81,0xffd50000,
    0x8000007f,0x7fc46ffe,0xfd00004f,0xffffffff,0x0003ffff,0xf7002740,
    0xffffffff,0x9809ffff,0xffffffff,0x006fffff,0x40000000,0x0001fffc,
    0x01dd5000,0xffffffd8,0x1fffffff,0x017d4000,0x07fffe20,0x00ffe4c0,
    0x200fe400,0x0002fffc,0xfffffff9,0x05ffffff,0xb05fc800,0xf800001f,
    0x00003fff,0x7fffffec,0x2fffffff,0x7fdc0000,0x000000ff,0x7cc9ffff,
    0x00002fff,0x644efc40,0x3000002f,0x7dc3ffff,0xd00007ff,0xffffffff,
    0x003fffff,0x0277a600,0x3ffffee0,0xffffffff,0x7fffcc04,0xffffffff,
    0x0000006f,0x7ffdc000,0xf0000003,0xffd80fff,0xffffffff,0x40001fff,
    0xffa8007d,0xffbb002f,0xfa80003f,0x5ffff804,0xdddd7000,0xdddddddd,
    0xf880003d,0x00ff60ef,0x3fffa000,0x76400002,0xeeeeeeee,0x0001eeee,
    0x037ffcc0,0xfffb0000,0x00ffff85,0x43640000,0x1000006d,0x7d41ffff,
    0xb00006ff,0xdddddddd,0x001ddddd,0x7fffed40,0xd502dfff,0xdddddddd,
    0x8807dddd,0xeeeeeeee,0x005eeeee,0x80000000,0x00002ffd,0x80fffd00,
    0x99999998,0x00199999,0x4002fc40,0xb8003ffc,0x740001ff,0xfffd800f,
    0x00000003,0xfffb8000,0x0000ffea,0x004fe980,0x00000000,0x0f7e4000,
    0xfd300000,0x007fd509,0x507f0000,0x2000003f,0xefc82efb,0x00000001,
    0xffc88000,0xfebace9c,0x000003ff,0x00000000,0x44000000,0x220003fc,
    0x2200abba,0x000006fe,0x02fa8000,0x0005ff80,0x40003ff7,0xfb3002fc,
    0x00000019,0x3fa00000,0x0002ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x001ee176,0x00000000,0x00000000,0x13a0efe8,0x0000dff9,
    0x80000000,0xeeeeeeec,0x400eeeee,0xeeeeeeea,0x002ceeee,0xfffffdb8,
    0x999bdfff,0x00000ee9,0x07d80000,0x0005f980,0x40007fee,0x000005f9,
    0x00000000,0x6ffffa80,0x00000000,0x654c0000,0x0000000a,0x00000000,
    0x40000000,0x013a21fa,0x00000000,0x014c0000,0x87ff9000,0x006fb84e,
    0x00000000,0xffff9100,0x930003df,0x0005ffff,0x9bdffe98,0xfffedb98,
    0x1000bccf,0x5db307f9,0x05f88000,0x0000ec80,0x40007fee,0x200000fe,
    0xeeeeeeec,0x400eeeee,0xeeeeeeea,0x2a000eee,0x00000aaa,0x40000000,
    0xfffffed9,0x0000cdff,0x00000000,0x00002980,0x37bfa000,0x000001ff,
    0x00000000,0x20000f90,0x2740fff8,0xeeed86e8,0xeeeeeeee,0x77777745,
    0xeeeeeeee,0xeeeeeeee,0xffffe805,0x7fdc0001,0x3f220001,0xffc801ef,
    0xffc8005f,0x07fff42f,0x005f5000,0xb80001d0,0xfc8001ff,0xb5000002,
    0x03dfffff,0xffff9300,0x00000005,0xeeeeee88,0xeeeeeeee,0x3eeeeeee,
    0x33bff200,0xffdba88a,0xdddd002f,0xdddddddd,0xdddddddd,0x80000bdd,
    0x0000007c,0x0017f4c0,0xeeeeee80,0xeeeeeeee,0xeeeeeeee,0x3e200005,
    0xfa80002f,0xd704e87f,0x7fffecc0,0x3ae201df,0xeeeeffff,0xffeeeeee,
    0xffc807ff,0xf980007f,0x3fe20007,0x3ee000df,0x7f4005ff,0x3ffe24ff,
    0x1f60002f,0xb8000000,0x7cc001ff,0xe8000005,0x0001ffff,0x10017fdc,
    0x5db307f9,0x7fffcc00,0xeeeeeeff,0xffffeeee,0xffea800e,0x4ffe9803,
    0xfffd7100,0xdddddddf,0xfffffddd,0x7fc40000,0x00000002,0x0000bfe2,
    0xffffeb88,0xeeeeeeee,0x07ffffee,0x1bfee000,0x3ffee000,0x06a82741,
    0x007fffe8,0x00ffffe2,0xb801ffb0,0x80006fff,0x3a0006f9,0xf70006ff,
    0x7dc007ff,0x7ffec1ff,0x09f10000,0x20300000,0x74001ffb,0x8000000f,
    0x0007fffc,0x64007f98,0x7ff42fff,0x9ff5000f,0xfffc8003,0xfffc801f,
    0x3ff62002,0xfff1001e,0xffd8007f,0xff700000,0x0000000d,0x00037fdc,
    0x1ffffc40,0x003ff600,0x0ffffc00,0x3ffea000,0x06882743,0x005fffd8,
    0x001ffff4,0x3ea007e4,0x880006ff,0xff90006f,0x7f40007f,0x32a001ff,
    0x001cb882,0x2000bea0,0x81acecb9,0x1ffb83f9,0x000fee00,0x7ffdc000,
    0x6f980006,0x27fff400,0x005ffff1,0x2a0013ea,0xa804ffff,0xf0002fff,
    0x3a001fff,0xc8003fff,0xff00000f,0x000003ff,0x07fffe00,0x3ffa0000,
    0x0fc8003f,0xfffa8000,0x7c40004f,0x813a0eff,0x5fffc800,0x1ffff400,
    0x2007c400,0x0006fffa,0x98006f88,0x40006fff,0x0006fffb,0x3ec00000,
    0x37ffa600,0xf30dfffe,0x007fee0b,0x00002fc4,0x0dfff500,0x00df1000,
    0x6c1fffb8,0xd7000fff,0xffff1000,0xdfff100d,0x7ffdc000,0x7fffd004,
    0x001f1000,0x9ffff500,0x50000000,0x0009ffff,0x07fffd00,0x0001f100,
    0x1fffffd0,0xfffe8000,0x900013a5,0xe8009fff,0xd0003fff,0x6fffa803,
    0x06f88000,0x1ffff440,0x7fffc000,0x00000003,0x5c009f10,0x7fecc2ff,
    0x3ee05fcf,0x01fb001f,0x7d400000,0x880006ff,0x2ca8006f,0x2001cb88,
    0xffd8003c,0xffd801ff,0x3e20002f,0xfe801fff,0x3d0003ff,0xfffd0000,
    0x000001ff,0xfffffe80,0x7f400000,0x3d0003ff,0xeef98000,0x40003fff,
    0xe8effffb,0x7fe40004,0x7fec004f,0x0150003f,0x006fffa8,0x4006f880,
    0x0007fffc,0x41ffff90,0x01999999,0x03333331,0x9002fb80,0x7ff403ff,
    0x3fee00ef,0x003fb801,0x7fd40000,0xf880006f,0x00000006,0xfb800590,
    0xfb803fff,0xc80006ff,0xfd806fff,0x150003ff,0xeef98000,0x00003fff,
    0x3fbbe600,0x400003ff,0x0003fffd,0xfc800015,0x006fffbb,0xfffffd80,
    0x7e40004f,0x7ec004ff,0x000003ff,0x001bffea,0xd001be20,0x0000dfff,
    0xc8ffffe6,0x80fffffe,0x0fffffeb,0x4c01f600,0x7f4404ff,0x3fee00ff,
    0x0037c402,0x7fd40000,0xf880006f,0x00000006,0x7c400150,0xf8805fff,
    0x80003fff,0x404ffff8,0x0003fffd,0x2ff20000,0x0006fffb,0x2eff2000,
    0x00006fff,0x001fffec,0x7f880000,0x005ffff1,0xfffffb00,0x7e40001d,
    0x7ec004ff,0x000003ff,0x001bffea,0xf001be20,0x0000bfff,0x213fffe2,
    0x200ffff9,0x000ffff8,0x3fa009f1,0xfffd801f,0xdffea985,0x003fb01a,
    0xff500000,0xf10000df,0x4ccccc0d,0x33331019,0xd0000033,0x5001ffff,
    0x0003ffff,0x01bfffa0,0x0007fffb,0x5fe20000,0x002ffff8,0x17f88000,
    0x0005ffff,0x01fffec0,0xfb800000,0x017fff64,0x3fff6200,0x90001fff,
    0xd8009fff,0x26003fff,0x3ffea002,0x6f880006,0x3fffe600,0x3fe00004,
    0xfffb05ff,0x0fffe801,0x3003f700,0xffb00fff,0xaa983fff,0xfa81aaaa,
    0xbdfd9103,0xf5000803,0x10000dff,0x7ff640df,0xfeb80fff,0x0000ffff,
    0x0bffff20,0x07fffe40,0xfffd8000,0x3fff600f,0x000a6003,0xffb27dc0,
    0x000000bf,0x7ffec9f7,0x3f600005,0x0a6003ff,0x307f4000,0x0001ffff,
    0x3ffffee0,0xffc8003f,0x7fec004f,0x00ee003f,0x006fffa8,0x2006f880,
    0x003ffffa,0x1ffffe00,0x2007ffe4,0xb000fffc,0x1bfee00f,0xfffb5f90,
    0x37c40009,0xffffffa8,0x0effa83f,0x037ffd40,0x4037c400,0x200ffff9,
    0x000ffff8,0xbffff300,0x3fffec00,0xfff90000,0x7ffec03f,0x000ee003,
    0xff307f40,0x000001ff,0x3fe60fe8,0xb00000ff,0x5c007fff,0x5fa80003,
    0x004fffe8,0x3fffa200,0x32000dff,0x6c004fff,0x36003fff,0x3ffea003,
    0x6f880006,0x3ffff200,0x3fa00002,0xffb80fff,0x7ffdc00f,0x004f8800,
    0x7dc0dffb,0x00bfff92,0x7c40fec0,0xfffd98ae,0x01ffff41,0x001bffea,
    0x6c01be20,0x7f400fff,0x880000ff,0x000ffffe,0x001ffffe,0x3ffffb80,
    0x00ffff60,0xa80003d8,0x4fffe85f,0x3ea00000,0x04fffe85,0x7fffb000,
    0x0001ec00,0x7fdc0fec,0xe800007f,0x00efffff,0x009fff90,0x003fffd8,
    0x7d4007f5,0x880006ff,0x3ff6006f,0x200001ff,0xb81ffffd,0x7dc00fff,
    0x1fb800ff,0x20bfff00,0x3ffea3fa,0x09f50006,0x3ff203ae,0x027fffc4,
    0x001bffea,0x6401be20,0x7e400fff,0xc80000ff,0x2002ffff,0x006ffff8,
    0x3fffea00,0x0ffff604,0x0001fd40,0x7fdc0fec,0x2000007f,0xfffb81fd,
    0xffb00007,0x0fea007f,0x20df3000,0x002ffff8,0x7ff6f400,0xfc801fff,
    0x7ec004ff,0xaaaaacff,0x03ffecba,0x01bffea0,0x801be200,0x001ffffe,
    0x3ffff600,0x00fffb81,0x4007ffdc,0xfff3007d,0xf989f30d,0xf88007ff,
    0x7cc06a06,0x0fffe44f,0x01bffea0,0x401be200,0x5c00fffb,0x40000fff,
    0x004ffffa,0x02ffffd4,0xffff3000,0x67ffec0b,0xcbaaaaaa,0x40003ffe,
    0xfff106f9,0x3000005f,0x3ffe20df,0xfd80002f,0xaaaaacff,0x03ffecba,
    0x9017e400,0x0000dfff,0xffffb4e8,0xfffc801f,0x7ffec004,0xffffffff,
    0x2003ffff,0x0006fffa,0x32006f88,0x0002ffff,0x03ffff60,0x7003ffee,
    0xf8801fff,0xffff3004,0xff885f98,0x1fc8006f,0x05ff1000,0xff500173,
    0xf10000df,0x3ffee00d,0x07ffdc00,0xffff1000,0xfff5000d,0x4c0000bf,
    0x3605ffff,0xffffffff,0x3fffffff,0x017e4000,0x000dfff9,0x6405f900,
    0x80006fff,0xfffffffd,0xffffffff,0x1fe20003,0x03ffff30,0xf7274000,
    0xfc809fff,0x7ec004ff,0x99999bff,0x03ffca99,0x01bffea0,0x801be200,
    0x003ffffb,0x1ffffa00,0x2007ffdc,0x5c00fffb,0xfff1001f,0xf81be23f,
    0x7cc004ff,0x1fea0004,0x3ffea000,0x6f880006,0x01fff700,0x000fffb8,
    0x07ffff60,0x3fffe200,0x3e600006,0x3f604fff,0x99999bff,0x03ffca99,
    0x301fe200,0x0003ffff,0x2603fc40,0x0001ffff,0x4cdfffec,0xfca99999,
    0x3ee0003f,0x4fffd804,0x713a0000,0xfc80ffff,0x7ec004ff,0x7f3003ff,
    0x37ffd400,0x02fcc000,0x09ffff50,0x7fffc000,0x01fff705,0x400fffb8,
    0x7ffc007e,0x100ee8af,0xe8005fff,0x3f60000f,0x19999503,0x01bffea0,
    0x401be200,0x5c00fffb,0x70000fff,0x0007ffff,0x003ffffc,0x5ffff500,
    0x01fffec0,0x20003f98,0xffd804fb,0x2e00004f,0xfffd804f,0x7fec0004,
    0x07f3003f,0x4007f400,0x000ffffa,0xffd09d00,0x7ffe401f,0x7ffec004,
    0x800f6003,0x0006fffa,0x22005f98,0x0005ffff,0x09ffff10,0x7003ffee,
    0x7c401fff,0x7ffec004,0x3e600feb,0x3f2000ff,0x17e60002,0x203fffe8,
    0x0006fffa,0xf7005f88,0xffb801ff,0xff88000f,0x740006ff,0x00007fff,
    0x807fffee,0x2003fffd,0x3fa0003d,0xffffa800,0x1fd00000,0x1ffff500,
    0x7ffec000,0x000f6003,0x66667fd4,0xffcccccc,0x013003ff,0x7ffe4274,
    0x13fff201,0x07fffb00,0xf3001dc0,0x30000fff,0xfff8009f,0xf300006f,
    0x3ee05fff,0x7fdc00ff,0x007ee00f,0x3fffff50,0x007ffa80,0x880017e6,
    0x3ffe206f,0x37ffcc04,0x02fcc000,0x400fffb8,0x8000fffb,0x000ffffe,
    0x07fffe40,0xfffc8000,0x3fff600f,0x000ee003,0x66667fd4,0xffcccccc,
    0xa80003ff,0xccccccff,0xffffcccc,0x3ff60003,0x00ee003f,0x7ffffec0,
    0xffffffff,0x79006fff,0x7fcc2740,0x3fff200f,0x7ffec004,0x800a6003,
    0x0007fff9,0x64004fa8,0x00007fff,0x201ffff5,0x5c00fffb,0x1fa00fff,
    0x1ffff400,0x001ffe40,0x220001fd,0x3fee00ee,0x7fff9805,0x05f98000,
    0x801fff70,0x4000fffb,0x002ffffb,0x1ffffb80,0xfffb0000,0x3fffd80d,
    0x4000a600,0xfffffffd,0xffffffff,0xfd80006f,0xffffffff,0x6fffffff,
    0x3fff6000,0x000a6003,0xf1001be2,0xb9003fff,0x7fd42740,0x27ffe407,
    0x0ffff600,0xff880000,0x640000ff,0x7fc4002f,0xe80003ff,0x3ee02fff,
    0x7fdc00ff,0x009f100f,0x03fffe60,0x2006ff88,0xd10002fb,0x01dfb00b,
    0x00ffff30,0x2009f500,0x5c00fffb,0x26000fff,0x0005ffff,0x07ffff30,
    0x3fffa000,0x1fffec03,0x7c400000,0x7ffc4006,0x3e20001f,0x7ffc4006,
    0xffb0001f,0x0000007f,0xfb0005f9,0x1f900bff,0x3ff613a0,0x27ffe404,
    0x0ffff600,0xffd00000,0xfe80005f,0xfffb8001,0x7fcc0007,0x7ffd405f,
    0x07ffdc01,0x70001fb8,0x640bffff,0xbf3001ff,0x413a6000,0x8003fe28,
    0x0001ffff,0xfb8017e4,0x7fdc00ff,0x3ffa000f,0x200000ff,0x0007fffc,
    0x806fff98,0x0003fffd,0x002fc800,0x005fffd8,0x2000bf20,0x0005fffd,
    0x0007fffb,0x000ff000,0x003fffe6,0x113a0bf9,0xfc801dff,0x7ec004ff,
    0x4c0003ff,0x17fff200,0x007f9800,0x00ffffa0,0x00fffd80,0x3017ffcc,
    0x3a03fffd,0x77f50007,0x2615bfff,0x3a000efd,0xdf98000f,0x3faa9999,
    0xfe8003f5,0x740003ff,0xfff7001f,0x0fffb801,0x5ffff900,0x220e4000,
    0x0003fffe,0x400fffec,0x0003fffd,0x01fe004c,0x07fffcc0,0x0007f800,
    0x001ffff3,0x007fffb0,0x3ee00980,0x3ffa0004,0x27fe403f,0x3ffd1274,
    0x09fff900,0x03fffd80,0x8807e200,0x0000ffff,0x4c0007fd,0x30007fff,
    0xf1007fff,0x37ea0dff,0x4f882fff,0x224f9800,0xfffffffd,0x0fee000b,
    0x3fffee00,0x90ffffff,0xfff90005,0x3fc4000d,0x03fff500,0x800fffb8,
    0x004ffffa,0x7fd407c0,0x3e60007f,0xffb004ff,0x7c40007f,0x0013ee01,
    0x003fffe8,0x20004fb8,0x8003fffe,0x0003fffd,0x0ff807e2,0x3ffee000,
    0x3fff200f,0xd719d0be,0x3f2003df,0x7ec004ff,0x360003ff,0xefffb806,
    0x1bf62000,0x3ffea000,0x7ffcc005,0x3fff6004,0xbafda9be,0x71baefff,
    0x0bd0003f,0x00ab2ea2,0x2001be20,0xeeeeeee9,0x80004eee,0x000ffff8,
    0x4c007fd0,0x3a602fff,0x7c401fff,0x40006fff,0x3fff606a,0xfffb0003,
    0x3fff6001,0x01b60003,0x5c0001ff,0x4000ffff,0x2e0000ff,0x4000ffff,
    0x0003fffd,0x06fb81b6,0x7fffc400,0x7ff64c03,0x4fffffff,0x27ffe400,
    0x0ffffa00,0x801fd400,0x401ffffd,0x000efea8,0x1dffd100,0x05fff700,
    0xfffff880,0xfff72fff,0x012e17ff,0x00000040,0x000004c4,0xfb800000,
    0x22000eff,0x7c4006fd,0xfbf506ff,0xffd805ff,0x220001ff,0x3ff6205e,
    0x7fec001f,0x3ffa001e,0x7f50003f,0x00037dc0,0x00ffffe2,0x40006fb8,
    0x003ffff8,0x001ffff4,0x3fa03fa8,0xffe80003,0x531000ff,0x00015df9,
    0x0017fff6,0x0007fffd,0x64001ff1,0x9acdffff,0x0efffeca,0xffb80000,
    0xb7310abf,0x20001bff,0x0effffea,0x000b7fee,0x00000000,0x00000000,
    0x7ffec000,0xefea801f,0xfffd8000,0xbafda9be,0x41baefff,0x003ffffa,
    0x5c01fec0,0xe8803fff,0xfe8004ff,0xf88003ff,0x00ffa00f,0x3ffffa00,
    0x007fd000,0x1ffffd00,0x1ffff400,0x807fc400,0x80003ffc,0x005ffffd,
    0xe80009d0,0x22006fff,0x4005ffff,0x98006ffb,0xfffffffc,0x0002dfff,
    0x7ff6cc00,0x3dffffff,0x15730000,0x00003950,0x00000000,0x00000000,
    0xffff9000,0xf953359d,0x20001dff,0xfffffff8,0xfffff72f,0x7fffc417,
    0x3faa0006,0xffd3002f,0x7e54437b,0xf88002ff,0x5c005fff,0x3ff206ff,
    0xffd80003,0xffc805ff,0xffd80003,0xff1005ff,0xfb800bff,0xfffc986f,
    0xf710001e,0x05bfffff,0x20004e80,0x0dfffffc,0x7ffff4c0,0xcccccdef,
    0x3ffffecc,0x66554000,0x0000abcc,0xcb988000,0x000000ab,0x00000000,
    0x00000000,0x00000000,0xffffc980,0x2dffffff,0xffea8000,0x3fee0eff,
    0xffffd02d,0xdddddddd,0xfffddddd,0xb8003fff,0xfffffffd,0x98000cef,
    0xdefffffe,0xeccccccc,0xc983ffff,0x0001efff,0xffffff71,0xfff9305b,
    0x2e20003d,0x2dffffff,0x3ffffa60,0xcccccdef,0x3ffffecc,0x7fffffe4,
    0x3f2004ff,0xffffffff,0x035000ff,0xffffed80,0x45efffff,0xfffffffe,
    0xffffffff,0x0fffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x51000000,0x15799995,0x57300000,0x54039501,0xffffffff,
    0xffffffff,0x7fffffff,0x66544000,0x3fa0001a,0xffffffff,0xffffffff,
    0x640fffff,0xffffffff,0x3fff2004,0xffffffff,0xffffff90,0x7e4009ff,
    0xffffffff,0x3fffa0ff,0xffffffff,0xffffffff,0x00000fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x400002e2,
    0x54c001ca,0x12e00000,0x00014400,0x00351000,0xaca98000,0x00048801,
    0x00001980,0x000002a0,0x00044054,0x000000cc,0xba880044,0x32600001,
    0x01300001,0x00005500,0x28800001,0x00600e00,0x000002a0,0x00cccc88,
    0x40001500,0x4000880a,0x32600009,0x2a001ccc,0x03ff9300,0x00df1000,
    0x37ffff22,0x1fd40002,0x01ff6a00,0xffd30000,0x0005dfff,0xffffd930,
    0xd107dfff,0x7100001f,0x800009fd,0x0001ffc9,0x887ff260,0xa800cffd,
    0x0003effd,0x1cffd880,0xfffdfd30,0x6f880003,0xffeb8000,0x03f2001d,
    0x803d7000,0x04d800d9,0x3fa203d8,0x7fe4c00f,0x32000002,0x2004ffff,
    0x4002ffc8,0x3622ffc8,0x75401dff,0x3f20002f,0xfc8805ff,0xfffdd82f,
    0x1fd80001,0xfb77db00,0x7c4000df,0xfff71006,0x400000ff,0xda99dffc,
    0x90000dff,0x26135dff,0x362effdb,0x64c0002f,0x0004ffff,0x3ffffb50,
    0xffb50000,0x7ffe43ff,0x56fc406f,0x00002fc9,0x43ffffdc,0xff914ff8,
    0x0fec0003,0x273ee000,0xf3000fea,0x9f700007,0x00dfd881,0xdb00ef98,
    0x04fffb80,0x05ffffb5,0x3fe20000,0x5401ffff,0x002ffffd,0x45ffffb5,
    0x887ffffb,0x002ffffb,0x501bffa0,0x405ffffb,0x40001ffb,0x0b7003fa,
    0x20007ff9,0xd9b001fd,0x0000ffff,0x6413ff20,0x74c005ff,0xff9803ff,
    0x0003fcdf,0x7fffe6cc,0xddb80004,0x0001ffff,0x7fffeedc,0x3fffff61,
    0x1761b201,0xfffb0000,0x85fe85ff,0xf50006ff,0x89d00009,0x17e003f8,
    0x57fd4000,0x4002efc8,0x3f621ffc,0x1fffdc02,0x7fffeedc,0xfb000002,
    0x40bffb3d,0x2ffffcda,0xfffdda80,0x3ffff22f,0x3fffea2f,0xf10002ff,
    0x66d401df,0x2e02ffff,0x220001ff,0x4c02006f,0xfa8002ff,0xfff88004,
    0xf8800007,0xfff100ff,0x3ffee007,0x3ffa2001,0x5400005f,0x00004fff,
    0x000fffec,0x43fffb00,0x04fffffa,0x003ea0fe,0xffff9800,0x20ffee5f,
    0x44002ffd,0xf980006f,0x32006c81,0xf300000f,0x20007fff,0xfe8bfff8,
    0x01bfb005,0x002fffd8,0x20ef9800,0xfc802ffc,0x7e4002ff,0x3ffe62ff,
    0xfffb05ff,0x3fee0005,0x3fff2001,0x007fee02,0x0001fd80,0x88006fb8,
    0x3fa0006f,0xb800007f,0x7fe405ff,0x3fffb806,0xeffe8800,0x3e200000,
    0x400004ff,0x0001fffb,0x307ffee0,0x740bf937,0x70007b85,0x3f26e203,
    0x2e07ff65,0x7ec006ff,0x2f880001,0x3e6005d8,0xff500003,0xfb8000df,
    0x001fffff,0x2fffb800,0x0ee80000,0xfa806fa8,0x7d4002ff,0x5cdc42ff,
    0x5fff506f,0x007f6000,0x405fff50,0x50001ffb,0x3a00009f,0x1fc8000e,
    0x1fff6000,0x3ffa0000,0x07ffdc03,0x01ffff10,0x9fffd100,0x55551000,
    0x55bfff55,0xff500005,0x5400003f,0x3ea01fff,0xe887ea03,0x003f0004,
    0x0fffc9f3,0x5003ffd4,0x6c00007f,0x000be60e,0xe98000bf,0x005ffcdf,
    0x27ffff40,0xffa80000,0x5400002f,0x00fa600d,0x8005fff5,0x2202fffa,
    0x5fff304f,0x007f1000,0x405fff50,0x88001ffb,0x5440006f,0x4c000dfd,
    0x7ec0004f,0xf800007f,0x7fd403ff,0x3fff601f,0xfdfb0003,0xfa8003ff,
    0xffffffff,0x80007fff,0x0001fffa,0x807ffea0,0x6ff401fb,0xb8001ffd,
    0x12fb801f,0xff301fff,0x0df1001f,0xcff98000,0xfc8006fd,0xdfd88000,
    0x0017ffa1,0x00eeee98,0xfff50000,0x04800005,0xffa80910,0x7fd4002f,
    0x40bea02f,0x8002fff9,0xff50004a,0x0ffdc05f,0x000fec00,0x3fffffa0,
    0x003ba001,0x00fffb00,0x05fff000,0x700fffb8,0x2000dfff,0xefffbbfc,
    0x2aaa2000,0xadfffaaa,0xfa80002a,0x200001ff,0x3a01fffa,0x05db5004,
    0x007fe200,0x0fffa976,0x801fff98,0x800000fd,0x0002deb8,0xd70007f3,
    0x0bfff305,0x00000000,0x005fff50,0x40000000,0x4002fffa,0x3602fffa,
    0x0bffe605,0xf5000000,0x7fdc05ff,0x027d4001,0xdffb3000,0x000bf200,
    0x001fff60,0x05fff100,0xf106ffc8,0x50007fff,0x3fffe2bf,0xfff00004,
    0xfa800009,0x200001ff,0xdb01fffa,0x40000001,0x7ec01ffe,0x203ffe60,
    0x5c00fff9,0x0000003f,0x006f8000,0x3fffc800,0x00000000,0x017ffd40,
    0x00000000,0x8005fff3,0xf902fffa,0x17ffcc01,0x26000000,0x3ee02fff,
    0x3ba2001f,0xfe800000,0x02fcc01f,0x07ffd800,0x7ffcc000,0x81ffec02,
    0x002ffffb,0x3ffa37cc,0xff00007f,0xa800009f,0x00001fff,0xd307ffea,
    0x80000009,0xd301fffd,0x01fff019,0xf880fff5,0x00000005,0x001f9000,
    0x1fffd000,0xcdcb9800,0xa800000b,0x00002fff,0x5e6e5cc0,0x2fff9800,
    0x17ffd400,0xf30033a2,0x730005ff,0x300179b9,0x7dc05fff,0x0bf2001f,
    0x7fdc0000,0x0007f402,0x987ffd80,0x2a001bdb,0x3e602fff,0xfff900ff,
    0x7fc4003f,0x07fffe40,0x5e6dd440,0x0009fff0,0x2a59b951,0x44001fff,
    0xff52cdca,0x2001d83f,0x01bcdcb9,0x5ffffb10,0x80723333,0xffa81ffe,
    0x0007f406,0x33333330,0x26666620,0x003f9801,0x4d5e5440,0xf5005fff,
    0x7ffffbdf,0x50076a00,0xca885fff,0xff50002c,0x07ffffbd,0x002fff98,
    0x3217ffd4,0x5fff3001,0xdff5005c,0x807ffffb,0x2e02fff9,0xbf3001ff,
    0x7c400000,0x00bee00f,0x27ffd800,0xeffffff9,0x2fffa800,0x403dfb10,
    0x4007fffe,0xfffb81fe,0x6ffec01f,0xfffbffec,0x3bfa6004,0xffbeffdd,
    0xdfd3001f,0xff7dffbb,0x3a60003f,0xfffecdff,0x3fffea03,0x07ffffff,
    0xf907ff90,0x017dc07f,0x3fffb200,0xffeb80ff,0x6f800fff,0xdffd3000,
    0x5fffddff,0x5c0efc80,0xf9305fff,0xffa805ff,0x3fffee2f,0x3f2001ff,
    0x2fffdc0e,0x005fff30,0x002fffa8,0x6cbffe60,0x81df900f,0x2605fffb,
    0x3ee02fff,0x01fd001f,0x37d40000,0x0000bf30,0xff37ffd8,0x3fffffff,
    0x42fffa80,0xf804ffca,0x32007fff,0xffff703f,0x037fa207,0x09fffff5,
    0x320ffe60,0x801fffff,0xffc83ff9,0x98001fff,0x7fd40eff,0xf955302f,
    0x055557ff,0x3e17fa20,0x017e607f,0xffff9800,0x3fffe200,0x000fc800,
    0x3a617fdc,0x3606ffff,0x3fffa06f,0x3ffffa63,0x7ffd402f,0xffffffb2,
    0x1bf600df,0x303fffe8,0xa8005fff,0x20002fff,0x2febfff9,0x7f40dfb0,
    0xfff303ff,0x017fdc05,0x400017e4,0x07f4c2ca,0x00001fd0,0xef9fffd8,
    0xffffecac,0x3ffea00f,0x3bfffe22,0x3fffe203,0x40bf7006,0x884ffffa,
    0x3fea05fe,0xffa804ff,0x3ffff203,0x01ffd401,0x003ffff9,0xb02fff88,
    0xfa801fff,0x220001ff,0x0bff22ff,0x00000fe8,0x2007ffec,0x9800fffe,
    0x3ff2003f,0xffffd100,0x403ff703,0x2666fffb,0x402fffe9,0xaedafffa,
    0x07fffb30,0x2e01ffb8,0xff306fff,0x502da85f,0x40005fff,0x01effff9,
    0x7dc03ff7,0xfff306ff,0xbffd5305,0x017e6035,0x6ffff400,0x3ee00cfe,
    0xfd800003,0xff903fff,0x7fd409ff,0x7fed442f,0xfffa80ff,0x06f9805f,
    0x437fffcc,0x7e401ffe,0x7fc404ff,0x1ffff806,0x201bfe20,0x4001ffff,
    0xf500fffa,0xffa805ff,0x74c0001f,0x201efedf,0x800002fc,0x6400fffc,
    0xdd000fff,0x013fe600,0x889ffff1,0x7fcc05ff,0x5fff706f,0xdefffa80,
    0x06fff880,0xf3017fe2,0x3fe60dff,0x0bffee2f,0x000bffea,0x00efff98,
    0xf980bff1,0xfff306ff,0x55555305,0x003fa035,0xca882fdc,0x7c400abc,
    0x017ee006,0x9007fff6,0x2a01ffff,0x3f202fff,0x7fcc1fff,0x7fc405ff,
    0x7fffcc00,0x402ffd46,0x6c04fffa,0xffd802ff,0x0bff601f,0x007fff60,
    0x4c0fff70,0x7d402fff,0x100001ff,0x5f980377,0x00e6dc40,0x400fffb8,
    0x9000fffb,0x1ffd001f,0x1ffff900,0x5401ffe4,0xfff501dd,0x4fffa805,
    0x807ffe40,0xda803ffc,0x5fff301d,0x542fffec,0x20002fff,0x3202fff9,
    0xdda803ff,0x05fff301,0x005f7000,0x00017fea,0x2a003fb0,0xffd805ff,
    0x7ffff007,0x00bffea0,0xf88dfff9,0x7f406fff,0xffff9801,0x4017ff45,
    0x2604fff8,0xff5007ff,0x1ffe603f,0x00fffd40,0x8817fe60,0x7d403fff,
    0x000001ff,0x3600fe80,0x00efebff,0x2007ffdc,0x3000fffb,0x6ffb807f,
    0x5ffff300,0x00017ff4,0x402fffa8,0x5c02fffa,0xffd01fff,0x3e600005,
    0x3ffea2ff,0x02fffa82,0x5fffb100,0x0017ff40,0x02fff980,0x802fcc00,
    0x0005fff9,0x4c00fee0,0xfd805fff,0xfff7007f,0x0bffea09,0xd07fffe0,
    0x7ec0dfff,0xffff5003,0x00fffd49,0x3604fff8,0xff5006ff,0x1bff603f,
    0x00fffd40,0x3ea00c40,0x7fd403ff,0x0000001f,0xdf7017e4,0x2e037e41,
    0x7dc00fff,0x1ba000ff,0x400bffd0,0x3fe3fffe,0xf300001f,0xffa805ff,
    0x7ffd402f,0x003fff01,0x0bffe600,0x3fea05b5,0xfe88002f,0x3fe02fff,
    0xf300001f,0xe80005ff,0xede8800f,0xf100005f,0x3b7a200d,0x7ffd805f,
    0x0bfff100,0x200bffea,0x7ec5fffc,0x09f707ff,0x1ffffd40,0x7c00fff9,
    0x3ffe04ff,0x3fff5005,0x4017ffe0,0x0001fffa,0x3fffae20,0x7ffd403f,
    0x20000001,0x3fea04fa,0x702ffc43,0xfb801fff,0x3f2000ff,0x013ffe00,
    0xf34fffc8,0x200001ff,0x5402fff9,0x7d402fff,0xfff981ff,0xff300000,
    0xffa8005f,0x77d4002f,0xf302fffa,0x200001ff,0x0002fff9,0x76c00fee,
    0x00005fe8,0x3b6003fb,0xfd805fe8,0x3ffe007f,0x05fff506,0xc8dfff30,
    0x7d40ffff,0x7ffdc006,0x01fff61f,0xf104fff8,0x3ea009ff,0xfff881ff,
    0x3fff5004,0xff930000,0x807fff37,0x0001fffa,0x01df1000,0x7ec0fff4,
    0x1fff701f,0x00fffb80,0x7c40fe60,0x3ee004ff,0x3fff55ff,0x3fe60000,
    0x7ffd402f,0x0fffd402,0x000fffd4,0x02fff980,0x017ffd40,0x3fe6bf30,
    0x3fff502f,0x3fe60000,0xdf10002f,0x7f47f200,0x4fa80005,0x3fa3f900,
    0x07ffd805,0x541fffa0,0xff002fff,0xffffa8ff,0x0003fe22,0xff8dfffb,
    0x3ffe007f,0x09fff304,0x207ffea0,0x5004fff9,0x40003fff,0x3e22efd9,
    0x7fd403ff,0x0000001f,0x7fc403f9,0x207ff907,0x5c00fffb,0x74000fff,
    0x0bfff506,0xab7ffd40,0x00002fff,0xa805fff3,0x7d402fff,0xfffa81ff,
    0xff300002,0xffa8005f,0x992a002f,0xff502fff,0x2600005f,0xb0002fff,
    0x45f5003f,0x440005fe,0x45f5006f,0xffd805fe,0x17ffa007,0x8017ffd4,
    0x3e20fffe,0x3fd14fff,0x9ffff000,0x003fffc4,0x3ee09fff,0xff5005ff,
    0xbfff703f,0x07ffea00,0x42ffd400,0x5403fff8,0x00001fff,0x4c04fa80,
    0xbff907ff,0x003ffee0,0x8001fff7,0xfffb80fc,0x3ffe6006,0x009fff35,
    0x0bffe600,0x805fff50,0xf981fffa,0x300004ff,0xa8005fff,0x20002fff,
    0xf302fff9,0x200009ff,0x8002fff9,0x3f9803fa,0x20002ff4,0x3f9802fd,
    0x7ec02ff4,0x3ffe007f,0x05fff504,0x2e1fff60,0x05fb7fff,0x1ffff500,
    0x000ffff8,0x3ea09fff,0xff5006ff,0xdfff503f,0x07ffea00,0x40ffee00,
    0x5403fff8,0x00001fff,0x5c037c40,0xdff707ff,0x003ffee0,0x8001fff7,
    0xfff983f9,0x3ffe6007,0x01ffff13,0x7fcc1540,0x7ffd402f,0x0fffd402,
    0x007fffc4,0xfff30550,0xfffa8005,0x3fe60002,0xffff102f,0x4c154001,
    0x44002fff,0x85e8806f,0x2a0005fe,0x85e8804f,0xffd805fe,0x0bffe007,
    0x8017ffd4,0xffb06ffd,0x20009fbf,0xfe83fffe,0xfff001ff,0x1fffe609,
    0x417ffd40,0x5007fff9,0xb8005fff,0x3fe206ff,0x7ffd403f,0x6c000001,
    0x6ffc801f,0x2e0fff70,0x7dc00fff,0x6e8000ff,0x00ffff88,0x7c3fff30,
    0x3a003fff,0x02fff980,0x2017ffd4,0xff01fffa,0x074007ff,0x0017ffcc,
    0x000bffea,0x202fff98,0x2003ffff,0x2fff980e,0x400fec00,0x00bfd06d,
    0x2003fa20,0x00bfd06d,0x2200fffb,0xff501fff,0x3ff2005f,0xbffff105,
    0x3ffea000,0x09fffb06,0x4413ffe0,0xa801ffff,0xff882fff,0xffa801ff,
    0x7ffc002f,0x0fffe203,0x003fff50,0x01fd4000,0xf707ffa8,0x3ffee0df,
    0x07ffdc00,0x7c0fe400,0xf5002fff,0xefffd8ff,0xf306b800,0xffa805ff,
    0x7ffd402f,0x1dfffb01,0x3e60d700,0x7d4002ff,0x260002ff,0x3f602fff,
    0x6b800eff,0x005fff30,0x7d4027d4,0xffffffff,0x32000fff,0xfffa802f,
    0xffffffff,0x0fffb00f,0xa817fea0,0xd8042fff,0x3fee03ff,0xffd0003f,
    0x3fff201d,0x5fff800f,0x017fffa0,0x740bffea,0xfa805fff,0x3e6002ff,
    0x3fe203ff,0x7ffd403f,0xf1000001,0x3ffc400d,0xf505ffc8,0xffb803ff,
    0x3f98000f,0x004fffd8,0xff88dff7,0x3e600eff,0x05fff303,0x402fffa8,
    0xf101fffa,0x4c01dfff,0x5fff303f,0x2fffa800,0x3ffe6000,0x3fffe202,
    0x40fe600e,0x1002fff9,0x3baa00df,0xfffeeeee,0xbf3000ee,0x3bbbaa00,
    0xeefffeee,0x00fffb00,0xfa803ffa,0x09fd12ff,0x7c401ffd,0x64002fff,
    0x3e200eff,0xff804fff,0x3ffea05f,0x7ffd401f,0x3ffff502,0x02fffa80,
    0x817ffea0,0x4c03fff9,0x00003fff,0xf8003fb0,0x4ffd80ff,0x405fff30,
    0x001fffe9,0xfff10dd0,0x5ffb001f,0x5dffff90,0x3037e441,0xfa805fff,
    0x7fd402ff,0x3fff201f,0x3f220aef,0x0bffea06,0x05fff500,0x17ffcc00,
    0x3bffff20,0x81bf220a,0x9002fffa,0x3a00003f,0x0fe8005f,0x0bfd0000,
    0x500fffb0,0xffa805ff,0x88fff52f,0x6ff404ff,0xe8802fff,0xfb800dff,
    0x3ea04fff,0x7ff406ff,0x3ff601ff,0x3fffa04f,0x3fff601f,0x3ffe2004,
    0xffffb80f,0x3ffe2124,0x20000e44,0xfc8003fb,0x00fff82f,0x2a0dfff1,
    0x002fffdf,0xff703f70,0x5ff880bf,0xffffff10,0x01ffffdf,0x201fffd4,
    0x5402fffa,0x3e202fff,0xfeffffff,0x3ea00fff,0x7dc003ff,0x260003ff,
    0x7c402fff,0xfeffffff,0x3ea00fff,0x4fa803ff,0x17fa0000,0x0007f900,
    0x6c02ff40,0xf500dfff,0xfff7009f,0xf91ffe25,0x99fe401d,0x10acfffd,
    0x005dff75,0x1dffffe8,0x3fffff22,0xfff983ac,0x3fa60bff,0x42baffff,
    0x0bfffff9,0x3fffffa6,0xffe802ba,0xafdb9cff,0x04ebffff,0x9959ffff,
    0x05f88000,0xf517fa00,0xfffd809f,0xbafda9be,0x01baefff,0x7ec0fe60,
    0x3bf604ff,0x3fff6200,0x01ffffff,0x2027ffdc,0x5c03fffb,0x6c403fff,
    0xffffffff,0x7ffdc01f,0x7ffe4004,0x3fea0003,0xffd8803f,0x1fffffff,
    0x027ffdc0,0x00003fa2,0x26005fe8,0x7400005f,0xffd8805f,0xff731bff,
    0xffff3005,0x6cc7fec5,0x17ee00ef,0x3fffff66,0x0004efff,0xffffffb1,
    0xffff1dfd,0x3fe605bf,0xcffeffff,0x1cfffffa,0xffffff98,0xfffacffe,
    0xfa801cff,0x0effffff,0x409ffffb,0x06fffffc,0x000fe800,0x2e37fa20,
    0xff8805ff,0x72ffffff,0x017fffff,0x3f206e80,0xfd30beff,0x3ff2001d,
    0x400dffff,0x00ffffe8,0x01dffff3,0x03bfffe2,0x3fffff20,0x7f4400df,
    0xf1000fff,0x0001ffff,0x03dfffd1,0x3fffff20,0x7f4400df,0x3f200fff,
    0x76c00002,0x003fa004,0x009db000,0x7ffffecc,0x7c400dff,0x222fffff,
    0x00ceffeb,0x5d4c02cc,0x000009bc,0x9ffffff9,0x40067ffc,0xffffffd8,
    0x017dff52,0xfffffd88,0x17dff52f,0xffffa800,0x1fffd43f,0x067ffe40,
    0x00fee000,0x3ffae200,0x3faa003e,0x3ee0efff,0x2e0002df,0x3ffa601f,
    0x003effff,0x80157730,0xfffffff9,0xffff52ff,0x2e7fffff,0xffffffff,
    0xabb9801f,0x7fffcc00,0x303fffff,0xffffffff,0xffd7007f,0x07ffffff,
    0x002aee60,0xfffffff3,0x003307ff,0x26000000,0x00000000,0x01bca980,
    0x00440000,0x00000000,0x81577300,0x9510002c,0x001c9837,0x4c1bca88,
    0xa980001c,0x10006200,0x0cc00003,0x00440000,0x50157300,0x91000039,
    0x59751003,0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00001500,0x00e00298,
    0x9316664c,0x40000599,0x00000099,0x16665c00,0x66540000,0x5c0000cc,
    0x00003ccc,0x0005554c,0x00006200,0x00b33320,0x33333330,0x5dd4c013,
    0x32a00001,0x400002cc,0x0002cccc,0x00059999,0x000002a0,0x0006aa20,
    0x033000a8,0x02b2a600,0x22000144,0x009acba9,0x05910000,0x322004b8,
    0x910004cc,0x000005ff,0x005b007d,0xfc83ffee,0x930000ff,0xfffffffd,
    0xdddfffff,0xdddddddd,0xfff98003,0xe800006f,0x80002fff,0x0007fff9,
    0xffffff50,0x5cc0003d,0x001efffe,0x0efff980,0x3ffb2200,0xfa82ffff,
    0x2effffff,0x3ffe2000,0x500000ff,0x0001dfff,0x001bffea,0x002ffc98,
    0x3ff66000,0xa8004fff,0x0034c01e,0x3fffff22,0x0b90bdef,0x3fff6a00,
    0x0befffee,0x0fea0000,0x7ec00df0,0x2a003fff,0x002ffffd,0x80df9800,
    0x3f6005e8,0x017fec3f,0x67fff4c0,0xfffecb9a,0xeeeeeeff,0x01fffeee,
    0x7fffff40,0x3e200003,0x200004ff,0x0002fffa,0x7fffffec,0xe8003fff,
    0xffffcabf,0x7fe40003,0x3620001f,0x7f42ffff,0xffffdcef,0xff90004f,
    0x0000bfff,0x0003fff2,0x003fff70,0x2ffffda8,0xff500000,0x03bf6a5d,
    0x2a05fb00,0x3fea002f,0xffda9acf,0x4005ffff,0x3009dffb,0x0001bff7,
    0x7c403f70,0xffff3004,0x9b5001ff,0x0005ffff,0x887bf600,0x3fa001fe,
    0x8005ff86,0x2203fffc,0x802ffffe,0x2a002ffa,0x0fffcaff,0xbff70000,
    0xff900000,0x7fec0009,0xffffecce,0x07f6001f,0x001ffff5,0x0017ff40,
    0x17fffcc0,0xfd3019fb,0x4c001bff,0x1fffacff,0x1fff8000,0x7ffb0000,
    0x7feedc00,0x800002ff,0xdfb04ffa,0x27fc4001,0xf98017ea,0x3fe600ef,
    0xfd1005ff,0xfea80017,0x07ec0002,0x3a007f50,0x04ffe9ef,0x017ffe40,
    0xfff88000,0x2004fe8a,0x7fc41ff8,0x7ffec000,0xffff9802,0x005f3002,
    0xbff517f4,0x1bf60000,0x7fd80000,0x019f7000,0x00dffff5,0x7fdc13f2,
    0xff30003f,0x7fc00007,0x803f92ff,0x006fffe8,0x6fe98ff6,0x17fcc000,
    0x1bfa0000,0x17ffe400,0x3fe60000,0x0bff100f,0xb8effc80,0xfd1001ff,
    0xfff3001f,0x01df500b,0x004fc800,0x3f901ba0,0x6c1df500,0x3ea001ff,
    0x000002ff,0x3ffffff2,0x213e6000,0x7ec003fa,0x3fe003ff,0x0b6002ff,
    0x7440fdc0,0x7c40001f,0x4000000e,0x7c4001fe,0x7fffd404,0x01ffd400,
    0x20001df9,0x400004fb,0x1faaffff,0x5ffff300,0xb105f500,0x7e40005f,
    0xe8800003,0xffb8000f,0x6c00002f,0x7fec03ff,0x3ffe2001,0x32004fff,
    0x3a2004ff,0x027d405f,0x009f5000,0xfd80bf10,0xf705e800,0x7ffd400d,
    0x22000002,0x003fffff,0x006b835c,0x0037ffdc,0x800bfffe,0x01e8802b,
    0x2a00036c,0x8000001f,0x25c003e8,0x01fffd80,0x02017fe4,0x000bd000,
    0xf9fffd00,0xfffc8003,0x5c02e806,0x0bd0000f,0x17cc0000,0xffcaa980,
    0x1aaaaacf,0x0fff9800,0x002ffd40,0x03ffffee,0x002ffe80,0x9f102fd4,
    0x33333326,0x4c01abcc,0x1fcc002f,0x16e01be0,0x26005f30,0x00002fff,
    0x02f77540,0x01d80e40,0x017fff40,0x00bfffa0,0x01b80188,0x6c000370,
    0x20000002,0x20000069,0x6c00fffb,0x000002ff,0x400001a2,0x004ffffe,
    0x01ffff98,0x015400aa,0x00003440,0xfd802cc0,0xffffffff,0xe8005fff,
    0xff8806ff,0x776c001f,0x7ffc003e,0x02fc4004,0x7ffdc4dd,0xeffecacf,
    0x8003ee02,0x13e602fb,0x02440120,0x002fff98,0x00000000,0x7fdc0000,
    0xffe8006f,0x0000002f,0x00000000,0x00000000,0x02ffd400,0x00017ffc,
    0x80000000,0x0006fffe,0x0017fffe,0x00000000,0x26000000,0xacfffcaa,
    0x4001aaaa,0xf004fff8,0x00000bff,0x03fffc40,0x0fb82f40,0xfb85ffb8,
    0x017602ff,0x3ea00fd8,0x00000003,0x0005fff3,0x00000000,0xfffe8000,
    0xfffe8004,0x00000002,0x00000000,0x00000000,0x201ffdc0,0x0002fff8,
    0x00000000,0x0005fffd,0x003fffec,0x00000000,0x20000000,0x0002fff9,
    0x007fff50,0x0003fff6,0xfffe8000,0xe82dc004,0x20bff704,0xf300fffe,
    0x901fa003,0x0000003f,0x00bffe60,0xdba88000,0x260002bd,0x5000abdc,
    0x0007ffff,0xb005fffd,0x4cccccc0,0x33333101,0x26666603,0x33331019,
    0x26666033,0x33310199,0x20000333,0xff9805fd,0xa980001f,0x880bcedc,
    0x001bcdca,0x000bfffa,0x00ffffb8,0x0157b930,0x57b93000,0xb9300001,
    0xf9800157,0xb00002ff,0x32005fff,0x33331fff,0x26620333,0x3f201999,
    0x22005fff,0xf700f984,0x3ffee0bf,0xcc893a02,0xccffcccc,0xcfeccccc,
    0x5d4403cc,0x98002bdd,0x33302fff,0x80133333,0xffffeffb,0xffb5001e,
    0x01dfffdb,0x02ffffd8,0x02fffe80,0xffd90344,0xfd701fff,0xd901ffff,
    0x701fffff,0x01fffffd,0x1fffffd9,0xfffffd70,0x6f880001,0x3fee6660,
    0x009999bf,0xf9bffd10,0x7fec5fff,0x003ffffe,0x0005fffd,0x00ffffd4,
    0xffdbffb5,0xda8001df,0xefffedff,0x7fed4000,0x00efffed,0x885fff30,
    0xff002cca,0x3ee005ff,0xfffd92ff,0xffd701ff,0x3ea01fff,0x001effff,
    0xffb81760,0x07fff105,0xffff13d4,0xffffffff,0xffffffff,0x7f7fdc0b,
    0x2001efff,0xf902fff9,0x07bfffff,0xfd30ff62,0xffc807ff,0x0fffec41,
    0x03ffffd0,0x05fffd00,0xff9806b8,0x3fe200ff,0x3fe600ff,0x3fe200ff,
    0x3fe600ff,0x3fe200ff,0x220000ff,0xfff300ee,0xffffffff,0xbff5007f,
    0xdafffc88,0x2fffd42f,0x017fff40,0x5ffff300,0xb107ff20,0x32003fff,
    0x7fec41ff,0x3ff9001f,0x01fffd88,0x2e2fff98,0x01ffffff,0x800ffffc,
    0x7cc3fffb,0x3e200fff,0x3f200fff,0x00dfffff,0x3ee02f80,0x1fff305f,
    0x26662f80,0x999afd99,0x99dfa999,0x43fd8809,0x003fffe9,0x5c05fff3,
    0xfe801eff,0x3ffff101,0xd80bff60,0xfff02fff,0xfd0001ff,0x37cc05ff,
    0x00fffd80,0x2007fff4,0x7400fffd,0x7ec00fff,0x7ff400ff,0xfd10000f,
    0x2aaa2019,0xaaacfffc,0x7ffc401a,0x3fffff01,0x00bffea0,0x0005fffd,
    0x41ffffcc,0x3f602ffd,0x7fec02ff,0x0bfff602,0x6c05ffb0,0x7cc02fff,
    0xffffb2ff,0x7c40dfff,0xf7001fff,0xfffb09ff,0x0fffe801,0x7ffffec0,
    0x3e2003ff,0x417fee01,0x3e805ffc,0xf5007ec0,0x203fd005,0x801ffff8,
    0x3a02fff9,0x09f7004f,0xa86fffa8,0x7fc404ff,0x7ffc40ff,0xffd0007f,
    0xb975559f,0x3f200dff,0x7fe400ff,0x7ffe400f,0x07ffe400,0x003fff20,
    0x8001fff9,0x3ffffeb8,0x01fffa80,0x207ffa80,0x7405fffd,0x7ff407ff,
    0x3e20002f,0x7fd44fff,0x7fffc404,0x809ff500,0x500ffff8,0xff8809ff,
    0x3fe600ff,0xb10bedaf,0x3e607fff,0xf5000fff,0xfff90bff,0x0fffc801,
    0x7fffec40,0x9802efff,0x17fee00f,0x2007fff2,0x2037c04d,0x27dc01fc,
    0x01bffea0,0x220bffe6,0xff1003fe,0xffff8803,0x007ffe21,0xf313fff2,
    0x2000dfff,0xfffffffe,0x006fffff,0xb801fff7,0x7dc00fff,0x7fdc00ff,
    0x7ffdc00f,0x07ffdc00,0xffffd880,0x5403ffff,0xb8001fff,0x3ff207ff,
    0x7ffec02f,0x0bfffa02,0xffff8800,0x007ffe23,0x2213fff2,0xfc801fff,
    0xfff884ff,0x4fffc801,0x37bffe60,0x20dfff00,0x2007fff9,0xfb86fffa,
    0x7fdc00ff,0xfff7000f,0x03bfffff,0x3fee03d4,0xcffecaae,0x4c0b9000,
    0x203f404f,0x7c401ff8,0x7cc01fff,0x17f442ff,0x200ff900,0x3ea3ffff,
    0xfff1007f,0x7fffcc3f,0xfffd0005,0xd7333337,0x3fee00df,0x7ffdc00f,
    0x07ffdc00,0x003ffee0,0xb801fff7,0x26000fff,0xfffffeca,0x3ffea02f,
    0x4ff88001,0x007fff20,0x7407fff9,0x40002fff,0x3ea2ffff,0xfff1007f,
    0x07ffa83f,0x83ffff10,0xf1007ffa,0x3e603fff,0x7fec04ff,0x0ffff507,
    0x437ffd40,0x5c00fffb,0x22000fff,0xfffffffd,0xb80f503f,0x6ffdceff,
    0x2a05c800,0x2037c03f,0xfff007fc,0xfff9807f,0x000bfa22,0xdddddffb,
    0xffffdddd,0x0037fe49,0x7cc7fffb,0xd0006fff,0x6e805fff,0x01fff700,
    0x400fffb8,0x5c00fffb,0x7dc00fff,0x7fdc00ff,0x3a60000f,0x2a06ffff,
    0x20001fff,0x7fffe401,0xffffffff,0x3fa04fff,0x7c0002ff,0x3ff21fff,
    0x3fff6006,0x0037fe43,0xfc87fffb,0x3ff6006f,0x5fff303f,0x80fffb80,
    0x2007fff9,0xfb86fffb,0x7fdc00ff,0xfea8000f,0x85ffffff,0x3fee00f9,
    0x000fffa5,0x00fe409b,0xffd809f3,0xeeeeeeee,0x404ffffe,0xff32fff9,
    0x5dff0003,0x55555555,0x7f435555,0x3fee005f,0x3fffe24f,0xfffd0007,
    0x7006a805,0xfb801fff,0x7fdc00ff,0x7ffdc00f,0x07ffdc00,0x003ffee0,
    0x3fffee00,0x03fff502,0xffb50000,0x99999bff,0x05999999,0x0017fff4,
    0xe83fffe0,0x3ee005ff,0x2fff44ff,0x89fff700,0x2e005ffe,0xff304fff,
    0xfffb805f,0x07fff881,0x217ffee0,0x5c00fffb,0x20000fff,0xfffffffb,
    0xf700fc44,0x0fffccbf,0x7ec07d00,0xf00bee00,0x555555df,0x35555555,
    0x9afff980,0xf88001ff,0x7c40007f,0x3ea004ff,0x7fffc6ff,0xffe8000f,
    0x8034402f,0x5c00fffb,0x7dc00fff,0x7fdc00ff,0x7ffdc00f,0x07ffdc00,
    0xfffd8000,0x03fff504,0x6ff54000,0x0000fffd,0x00bfffa0,0x27fff880,
    0x2004fff8,0x3e26fffa,0x3ea004ff,0x3ffe26ff,0x3ffea004,0x05fff306,
    0xf01fffa8,0x2e001fff,0xffb85fff,0x7ffdc00f,0x7e440000,0x7c3fffff,
    0x717fee02,0x17c00dff,0x33df3333,0x5fb33333,0x3e213333,0x3000007f,
    0x9fff9fff,0x1fff3000,0x7ffcc000,0x3ffe6005,0x0ffffec7,0x17fff400,
    0xffb801c0,0x7ffdc00f,0x07ffdc00,0x003ffee0,0xb801fff7,0x00000fff,
    0x2a0bfff3,0x80001fff,0xff91dffb,0x7400003f,0x20002fff,0x3e66fff8,
    0x3e6005ff,0x3ffe67ff,0x3ffe6005,0x017ffe67,0x307fff98,0xfa805fff,
    0xfffd01ff,0x3fff2001,0x00fffb84,0x0007ffdc,0xffffe980,0xff702ec7,
    0x009ffb0b,0x3ffe21f5,0xffffffff,0xffffffff,0x01fff35f,0xfff30000,
    0x007ffff7,0x001fff98,0x01bffea0,0x545fff88,0x8003ffff,0x0002fffe,
    0x003ffee0,0xb801fff7,0x7dc00fff,0x7fdc00ff,0x7ffdc00f,0x3fe00000,
    0x3fff505f,0x77f54000,0x00fffe41,0x5fffd000,0x7ffc4000,0x01bffea5,
    0x2a5fff88,0x22006fff,0x3fea5fff,0x3fe2006f,0x5fff305f,0x01fffa80,
    0x2003fffb,0xfb82fffd,0x7fdc00ff,0x1000700f,0x543ffffd,0x0bff700f,
    0xd805fff1,0x3f733225,0xcccccccd,0x3cccccef,0x0003fff3,0x35fff300,
    0x4003ffff,0x0002fff8,0x801fffe6,0x7c43fff8,0xe8004fff,0x00002fff,
    0x7003ffee,0xfb801fff,0x7fdc00ff,0x7ffdc00f,0x07ffdc00,0x9ffb0000,
    0x007ffea0,0xb827fe40,0x00002fff,0x000bfffa,0x264fff88,0x22007fff,
    0x3fe63fff,0x3fe2007f,0x1fffe63f,0x03fff880,0xa805fff3,0xff701fff,
    0x3ffa005f,0x01fff707,0xd00fffb8,0xfff30001,0xf703f87f,0x3ffe60bf,
    0x6403f100,0x013e601f,0x0005fff1,0x25fff300,0x000efffb,0x1001bffe,
    0x03fffe25,0x40fffcc0,0x8006fffd,0x8002fffe,0x0fffb828,0x007ffdc0,
    0x7003ffee,0xfb801fff,0x7fdc00ff,0x2e00000f,0xfff502ff,0xbff70003,
    0x01fffd40,0xfffe8060,0x3fe60002,0x3fffe22f,0x3fff3000,0x007fffc4,
    0x221fff98,0x3000ffff,0x3e603fff,0x7fd402ff,0x9fff101f,0x417ffe00,
    0x5c00fffb,0x05d00fff,0x13fff200,0xdff901f7,0x4077fe40,0x007ec06d,
    0xfff005f7,0x4028800d,0x3f62fff9,0x3fa005ff,0x8f2003ff,0x3003ffff,
    0xff301fff,0xff8005ff,0x3d8002ff,0x400fffb8,0x5c00fffb,0x7dc00fff,
    0x7fdc00ff,0x7ffdc00f,0x3f200000,0x3fff501f,0x07ffb000,0x0037ffcc,
    0x7fff4077,0x3fea0002,0x03ffff86,0xf81fff30,0xf3003fff,0xffff81ff,
    0x1fff3003,0x00bffe60,0x6c03fff5,0xff9806ff,0x1fff703f,0x00fffb80,
    0x3ea000bd,0x265e83ff,0x0acffffb,0x2e2effe8,0x2037c01f,0xffe800fc,
    0x00f2003f,0xfe85fff3,0xff9004ff,0x1f1001ff,0x8037ffdc,0x3ee06ffa,
    0x7fc005ff,0x7d4002ff,0x01fffa81,0x2007ffdc,0x5c01fffa,0x7d400fff,
    0x7fdc01ff,0x3600000f,0x3ffea05f,0x7ffc4001,0x0ffffc02,0xfd007c40,
    0x376605ff,0x707ff701,0x2a00dfff,0xfffb86ff,0x0dff5006,0x200dfff7,
    0x3e606ffa,0x7fd402ff,0x3ffea01f,0x03ffd400,0xb803fff5,0x1fd00fff,
    0x3fff5000,0x332e7f10,0x881ccccc,0x07f34ccc,0x3f404f98,0x0ffffc80,
    0x4c00f880,0x7fc42fff,0xff8802ff,0x3a202fff,0x01ffff86,0x7402ffd8,
    0xf1003fff,0x44005fff,0x5fff306f,0x0ffff4c0,0x80bffe60,0x401fffe9,
    0x2602fff9,0x0001fffe,0x5401ff30,0x54001fff,0x7ec05fff,0x3a200eff,
    0x17fff405,0xfb06ffe8,0x3fffe01f,0x02ffd801,0xb003ffff,0x3ffe05ff,
    0x2ffd801f,0x00bffe60,0xe803fff5,0x7fec02ff,0x0bffe603,0x01fffe98,
    0xf7000bfd,0x01fd40ff,0x00bd3000,0x05f807f5,0x5fffff10,0x4c037440,
    0xffa82fff,0xffb801ff,0xa88acfff,0xffb81ffd,0x3fe200ef,0xfffe8805,
    0xffff9801,0x413f6003,0xf506fff8,0x8805fffb,0xbf506fff,0xf8805fff,
    0xfbf506ff,0x00d405ff,0x7d403fe8,0x7cc002ff,0xff500fff,0xd503dfff,
    0xffff803f,0x05ffff02,0x7fdc05ff,0x3fe200ef,0x3bffee05,0x817fe200,
    0x200efffb,0x7cc05ff8,0x7fd402ff,0x37fc401f,0x880dff10,0xbf506fff,
    0x3fa05fff,0xff1000df,0x0dfb805f,0x06fdc000,0xf300fe40,0x7ffdc009,
    0xda88acff,0xffa801ff,0xffff903f,0xffffd001,0x7fffffff,0x02fffe40,
    0x22001dfb,0x2203fffd,0x805ffffe,0x3601ffe9,0xda9befff,0xaefffbaf,
    0xdfffb01b,0xf75fb537,0x20375dff,0xa9befffd,0xefffbafd,0x3bffa1ba,
    0x007fd102,0x0005fff5,0x445dffff,0xffffcbfd,0x3fffedff,0x27fffc40,
    0x5c6fffe8,0xfffc803f,0x003bf605,0x6c0bfff9,0x7fe400ef,0x03bf605f,
    0x805fff50,0x9802fffa,0x1dfd03ff,0x7dfffb00,0xff75fb53,0x7f4375df,
    0x74400eff,0xdd3004ff,0x7fb30005,0x2a03ec00,0x7ff4002f,0xffffffff,
    0xfff7003f,0x77fffc09,0x7ffec400,0x04ffffff,0x8adfffb8,0x000efe98,
    0xacefffb8,0xffffeca9,0xdcccdeff,0x407fffee,0xfffffff8,0xfffff72f,
    0x3ffe2017,0xf72fffff,0x2017ffff,0xfffffff8,0xfffff72f,0x7ffff417,
    0x0efdbbcf,0x09fff900,0xfffff500,0x7e43ffdd,0xffffffff,0x7fff4c04,
    0x7fd40bff,0x03fc9bff,0x2b7ffee0,0x00efe988,0x15bfff70,0x001dfd31,
    0x22b7ffee,0x800efe98,0x5c03fffb,0xf5003fff,0x3bfaa17f,0xffff1000,
    0x3ee5ffff,0x3a0bffff,0xacefffff,0x4fffc988,0x67fe4400,0x3bfaa200,
    0x2037c001,0x6c4000fc,0xffffffff,0xffd1004f,0x3ff201ff,0xfb802fff,
    0x01ffffff,0x3ffffaa0,0x80003eff,0xffffffea,0xffffffff,0xffffffff,
    0xfea804ff,0x3ee0efff,0xfd5002df,0x7dc1dfff,0xfd5002df,0x7dc1dfff,
    0xfff302df,0x07bfffff,0x7ffffdc0,0x7fdc000b,0xb80cffff,0x2ffffffe,
    0xfffffd10,0x47dfffff,0x1efffffb,0xfffea800,0x8003efff,0xffffffea,
    0xfea8003e,0x03efffff,0x1dfffd10,0x3bfffe20,0xfffb5001,0xd50007ff,
    0x5c1dffff,0x25d02dff,0xfffffeb9,0x0000dfff,0x37bffae2,0x01cfffed,
    0x7404f980,0x3fee0007,0x801fffff,0xfffffffb,0x3fffa3ff,0x804fffff,
    0x0001aca9,0x000d65cc,0x9aa98800,0x00000099,0x2a02ae60,0x5730001c,
    0x00039501,0x32a02ae6,0x37755001,0x7ff44001,0xefffffff,0x2f2a2005,
    0x37951002,0x98000001,0x00001bcb,0x00035973,0x006b2e60,0x0d65cc00,
    0xffffe980,0xff73efff,0x3dffffff,0x004dd400,0x202ae600,0x881c01ca,
    0x00abccca,0x65d4c000,0x40001abc,0x01e401c9,0x0d654c00,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xca980000,0x2000000a,0x2004ccca,
    0x000cccc9,0xcba98800,0x0000009a,0x00195300,0x2f2ea620,0x0007101a,
    0x2af2a620,0x51002e01,0x2af2aa20,0x64000009,0x00000ccc,0x80079999,
    0x0003cccc,0x0055dd4c,0x0cc002e0,0x79530000,0x44000003,0x0001aba9,
    0x0000d544,0x000aa980,0x00599990,0x93000198,0x20000999,0x00a20098,
    0x00170038,0x7fff6cc0,0x00cdffff,0x3fffe000,0x7ffec002,0x36a00003,
    0xfffeefff,0x000000be,0x2f7ffb2a,0x7ff54000,0xdfffffff,0x4000b50a,
    0xfffffeb8,0x3e21cfff,0xca97cc01,0xfffffffe,0xb80002df,0x0005ffff,
    0x00ffff98,0x03fffcc0,0xfdeffa80,0xd5003fff,0x0006a803,0xfffffd50,
    0x4400003d,0xfffeeffd,0x3fb22003,0x000dffff,0x7ff7ed40,0x3ea000cf,
    0x3a000eff,0xfe8005ff,0x10002fff,0x15bfffd9,0x05b009d0,0x000ffdc4,
    0x8aceffc8,0x2fffdba8,0xfff98000,0xdffd0003,0xbff70000,0x3fee6013,
    0x2a00000d,0x0001bffe,0x37bffff7,0x3fff2a62,0xc88006fd,0x309adfff,
    0xfd9dff75,0xffffa805,0x9511acff,0x0005fffd,0x3fffffe2,0x7fe40001,
    0xff70001f,0x7f44003f,0x6fffdc0a,0x502fd800,0xfb00005f,0xffd513bf,
    0xff700005,0x01dfd309,0xb30cfe88,0x20003dff,0x37fd44fb,0x01fff900,
    0x0ffffcc0,0xfffff500,0x7dd5000f,0x83ffffd7,0x6d880df9,0x3ffff710,
    0x3ffea800,0x04ffe980,0x027fe400,0x01fff100,0x02ffa200,0x005fd500,
    0x03dff900,0x17ffec00,0x7fffd880,0x6fff4c00,0xfffc8801,0x7ffd402f,
    0xffb801ef,0xffc8004f,0x0006ffd9,0x00017ff4,0xd8013ff2,0x3ffe603f,
    0x44ff9806,0xb80005fb,0x1ffb05ff,0x17fd4000,0x4c03bfa0,0xfff303ff,
    0x05fa8005,0x3e007ffd,0x7cc001ff,0x3a000fff,0x04ffe9df,0x3f61bea0,
    0x1efd86ff,0xf9107fa2,0x003fffff,0x0017ffe4,0x003dffb1,0x00017fa0,
    0x2000ffe6,0x40000efa,0xd10004fc,0x440009ff,0x8002fffe,0x2a007ffb,
    0xa8005fff,0x7d403fff,0x7dc003ff,0xf3000eff,0x017fdc1d,0x003ff880,
    0x200dfb00,0xffc807fa,0xeffc803f,0x0001ffb8,0xa817ffcc,0xf10002ff,
    0x9ff3009f,0xc80bff10,0x3e6006ff,0x0bff701f,0x0005ff30,0xb8017ff6,
    0x03ff625f,0x740bfe20,0x7fc40fff,0xa85fe8bf,0x1ffff98b,0x05fff500,
    0x03fffe00,0x001df100,0x0017ea00,0x400009f5,0x7c4004fa,0x220004ff,
    0x0001ffff,0x2a003ff2,0x20005fff,0x7dc03ffb,0xff70004f,0x03b600bf,
    0x20003fea,0x400004fb,0xffd801fe,0x37ffcc01,0x7ffffc40,0xfb80004f,
    0x01ffc07f,0x002ffb80,0x3ff90fff,0x03fff880,0x7d40ffd0,0x03fc804f,
    0x10004c00,0x017f209f,0x74403ff2,0xffff704f,0xff9001ff,0xfff1003f,
    0x7fdc000d,0x07dc004f,0x03ee0000,0x51027c40,0x15bfffb9,0x8017ccf5,
    0x0005ffe8,0x000fffec,0x22007f40,0x0000ffff,0x3ee027e4,0x7fe40005,
    0x0075404f,0xbb0009d1,0x7f100000,0x007ffd00,0x7001ffff,0x001fffff,
    0x40dffb00,0xb0003ff8,0x3fa005ff,0x01ffe21f,0x2007ffe4,0x65406ff8,
    0x0005e800,0x404c8000,0x3fe201fa,0x7f400807,0xf7004fff,0xffb003ff,
    0x7c40005f,0x36001fff,0x59000001,0xfb81ba00,0x3fee61be,0x4007dc7f,
    0x0000fffe,0x0017ffee,0x3600fcc0,0x80003fff,0x07e404f8,0x3ffe2000,
    0x4003202f,0x03a2000c,0x02cc0000,0x74037fec,0xdb000fff,0x200007dd,
    0x3e607fff,0xffd0001f,0x83ffe009,0xf3006ffc,0xff9809ff,0x0b100006,
    0x71000000,0xf9812200,0xea80007f,0xf5000dee,0xffb803ff,0xfc80006f,
    0x000006ff,0x7dc00000,0x404fe980,0x05d87fe8,0x0017ffe4,0x03ffff30,
    0x50174000,0x0000ffff,0x017202ec,0x37ffec00,0x00000000,0x20000000,
    0x7c00fffb,0x000007ff,0x0fffe800,0x4000dfb0,0xf9806ffd,0x02fff45f,
    0xb80ffff0,0x000006ff,0x00298000,0xffb80000,0x00000007,0x100fffd4,
    0x0007ffff,0x09ffff10,0x00000000,0x7fcc2740,0x81fd1003,0xfff301f9,
    0xffd8000b,0x5400006f,0x17fffa02,0x40598000,0xf300002c,0x00005fff,
    0x00000000,0x2fec4000,0x017ffe20,0x36000000,0xffb83fff,0x3fea0001,
    0x17fdc04f,0xe8017ffe,0x3f600fff,0x0000006f,0x0002b800,0x7ffc8000,
    0x40000000,0x2a01fffa,0x0001ffff,0x00dfffd0,0x057bb751,0x7bb75100,
    0xe80f9805,0x0fcc006f,0xfffd8274,0x3fe20002,0x000002ff,0x0bfffe60,
    0x98070000,0x3fe00000,0x65cc05ff,0x30001bcd,0x00379b97,0x2f372e60,
    0x26002001,0x26003fff,0x0000abdc,0x5c6fffc8,0x440002ff,0xf103ffff,
    0x7ffc41df,0x3fff6006,0x01fffa01,0x3372e200,0x6c00551a,0xdcb88001,
    0x6c0551ac,0x440006ff,0x551acdcb,0x00fffd40,0x001ffff9,0x3ffff600,
    0x3fbfee00,0x7001efff,0xdffffdff,0x3f217603,0x81e8003f,0x7fffa87a,
    0x7ffdc000,0x0000000f,0x003ffff2,0x00000000,0x3ffffb00,0xd9bffd30,
    0x26007fff,0xffecdffe,0xffd3003f,0x07fffd9b,0x3fff2000,0x6ffed400,
    0x000efffe,0x27fffe60,0x4cc1efd9,0x01999999,0xb09ffffb,0xfff881df,
    0x3fff2007,0x01fff602,0xf9bff700,0x4007ffff,0x7fdc000e,0x3fffffcd,
    0x001bff60,0xffcdffb8,0x3ea03fff,0x3ff601ff,0x3200007f,0xd881ffff,
    0x7fff4c3f,0x30ff6203,0x5f07fffd,0x000fff98,0xfb0be008,0x372a29ff,
    0x3fa00ace,0x000007ff,0x03ffff40,0x00000000,0x7fffe400,0x2077fcc2,
    0x4c02fffa,0x7fd40eff,0x77fcc02f,0x017ffd40,0x0fffe200,0xd883ff90,
    0x20001fff,0x3ffefffe,0xffffffb0,0xffd101df,0x37f61bff,0x01ffff00,
    0x813fff20,0x0000fffd,0xfd981bf7,0x00f3003f,0x6cc0dfb8,0x3ff603ff,
    0x1bf70006,0x203ffd98,0x3e01fffa,0x00007fff,0x20ffffee,0xfff101fe,
    0x407fa03f,0x221ffff8,0x03ffd41f,0xf11f4000,0xfff73fff,0x203dffff,
    0x0006ffff,0x7fffc000,0x00000006,0xffb80000,0x3ffe23ff,0x01fffb02,
    0x6c0bffe2,0xff100fff,0x3fff605f,0x3ff20000,0x017fec05,0x0005fffb,
    0x037fffee,0x17ffff70,0xffffe880,0x7f403fde,0xffb002ff,0x7ffe407f,
    0x0ff98000,0x6c00ffa0,0x03fe6005,0x3f603fe8,0xff98006f,0xa80ffa00,
    0xff101fff,0x40000dff,0x5c4ffffa,0x7ffd404f,0x5404fb86,0x03e66fff,
    0x0000dff9,0x7ffd49b0,0xdb88aeff,0x7c42ffff,0x30005fff,0x55555555,
    0x3ffe2555,0x8000006f,0x99999999,0x99999999,0x99999999,0x2a4ffffb,
    0xff500fff,0x3ffea05f,0x05fff500,0x5403ffea,0x10002fff,0x7d401dff,
    0x7ffc404f,0xffc8000f,0xff8806ff,0x3fa2004f,0xd803ffff,0xfb006fff,
    0x6665c5ff,0xcccdfffe,0x03fdc04c,0x3ee00fe6,0x01fee002,0x7fec07f3,
    0x07fb8006,0xff501fcc,0x3ffea03f,0x2600005f,0x3e25ffff,0x7ffc401f,
    0x007fe21f,0x2a3ffff1,0x005ffe87,0x3f25c800,0x3f602eff,0x3fe60fff,
    0xb50005ff,0xfffffffd,0x3fffe69b,0xf8000005,0xffffffff,0xffffffff,
    0xffffffff,0x3ee5ffff,0x3ffe607f,0x40fff702,0xf702fff9,0x7ffcc0ff,
    0x1ff90002,0x00fffc40,0x0027ffe4,0xffffffd3,0x00dff007,0xfffffb10,
    0xffff9807,0x1fffe802,0x3ffffffa,0x07ffffff,0x3a00ffec,0x0037cc03,
    0x7d007ff6,0x0037fec0,0x3a00ffec,0x07ffea03,0x02ffffd4,0xffff3000,
    0xf803fe4b,0x1ff23fff,0xa9ffffc0,0x006ffe87,0x3f65c800,0xffe803ff,
    0x3fffea5f,0xffb80005,0x7fd41fff,0x000005ff,0xaafffff8,0xaaaaaaaa,
    0xaaaaaaaa,0x26ffffba,0x3e205ff9,0xbff303ff,0x81fffc40,0x3e205ff9,
    0xf88003ff,0x3ffd401f,0x1ffff880,0x467fe440,0x200fffff,0x88001ff9,
    0x4ffffffe,0x077ffe40,0x41ffff70,0xfffdaaaa,0x402aaaab,0x1dc05ffc,
    0x8007ff10,0x1dc05ffc,0x000dffb0,0x3b80bff9,0x407ffea0,0x006ffff8,
    0x3fffe600,0x3bbbff64,0xffeeeeee,0x3bff64ff,0xeeeeeeee,0x1f34ffff,
    0x0007ffd8,0x3ffa4d80,0xfffa802f,0xdffff31f,0x3ffa0000,0xffff986f,
    0xe8000005,0x0000ffff,0x13fffea0,0xfffa8031,0xf5006203,0x00c407ff,
    0x000fffea,0x3f200fee,0x3ff6006f,0x3ffa203f,0x17fffee3,0x98005fc8,
    0xffffb8ff,0x3ffe205f,0xfd510aef,0xfb80ffff,0xfa8001ff,0xd0001eff,
    0xff5000ff,0x360003df,0xfa8006ff,0x50001eff,0x7fc03fff,0x200007ff,
    0x3e2ffffa,0xaaaaaaef,0x1aaaaaaa,0x2aaabbfe,0xaaaaaaaa,0xfb83f11a,
    0x400000ff,0x0bfffe3e,0x89ffffc0,0x0007ffff,0x10bfffb0,0x000dffff,
    0xffff9000,0x7dc00003,0x71003fff,0x007ffffd,0xffffd710,0xfd710007,
    0xd0007fff,0x17ffa00b,0x04fffb80,0xff05fff1,0x3fa05fff,0x17fd4000,
    0x09fffff5,0x7ffffec4,0xfffcbfff,0x0fffd404,0xfffff800,0x3ff2001d,
    0xffff0004,0xfd8003bf,0xfff0006f,0xa8003bff,0x3fa01fff,0x200007ff,
    0xf11ffffb,0xf88000ff,0x2f80007f,0x000fffd4,0xfff8be00,0xfff9001f,
    0x03ffffc9,0x4fffd800,0x00dffff0,0xfff70000,0x6400005f,0x4c01ffff,
    0xfff9bffc,0x3ff26003,0x003fff9b,0x3e6fff26,0x7cc003ff,0x4fff8800,
    0x1bffea00,0x5c0bffe2,0x5c0fffff,0x7fcc002f,0xfffff983,0x77fedc03,
    0x07fffa3d,0x001fff50,0x3ffffee0,0x7fd401df,0xff70000f,0x003bffff,
    0x4001bff6,0xdffffffb,0x3fff5001,0x07fffe40,0xfffc8000,0x01fff30f,
    0x07ffcc00,0x3a176000,0x200005ff,0x3fffa0fa,0xbfff5000,0x017fffec,
    0x27ffe400,0x007fffd8,0xfff98000,0x3600003f,0xb300ffff,0x7ffc45df,
    0x2efd9803,0x200fffe2,0x3e22efd9,0x2d4003ff,0x05fff980,0x21fffe60,
    0x3a00fffe,0x3e24ffff,0x06ff8005,0x03ffffe2,0x6fff8800,0x00fff980,
    0x3fffea00,0x3fa03fff,0x7d40006f,0x03ffffff,0x0006ffd8,0x3fffffea,
    0xfffa803f,0x3fffee01,0xffb00001,0x0fffccdf,0x3fff3000,0x40fa8000,
    0x4001fff9,0x7e45d82c,0xff3001ff,0x7fffe4bf,0xffc80005,0xffff904f,
    0x88000005,0x0005ffff,0x41ffffe0,0xff885ffa,0x2ffd403f,0x201fffc4,
    0xff885ffa,0x01dc003f,0x006fffa8,0xf517ffe2,0xff980bff,0x01fd2fff,
    0x405ffa80,0x003ffff9,0x00fffee0,0x0001ffe6,0x3fffff22,0x7ffd40df,
    0xfc880003,0x00dfffff,0x0001bff6,0xffffff91,0x7ffd401b,0x3fffe601,
    0xffd00003,0x17ffc47f,0x5fff1000,0x707f0000,0x36001bff,0x7dc1f884,
    0xff1002ff,0x7fffc49f,0xffc80007,0xffff304f,0xb0000009,0x0003ffff,
    0x09ffff50,0x3e207ff7,0x3fee03ff,0x07fff103,0xf881ffdc,0x164003ff,
    0x07fff980,0xd0fffe20,0xf7005fff,0x05f9dfff,0x007ffb00,0x000bfff5,
    0x401bffe2,0x00005ff8,0x3fffff62,0x00fffe46,0xb10033aa,0x40dfffff,
    0x00006ffd,0xdfffffb1,0x00fffd40,0x001ffff2,0x21bffe60,0x44006fff,
    0x001bffe2,0xb80fb851,0x36201eff,0xff30db03,0x3fe2009f,0x7fffdc2f,
    0x7fe40002,0x3fff604f,0x04400006,0x013fffe2,0x3ffffa00,0x1037fdc0,
    0x3ee07fff,0x3ffe206f,0x40dff703,0x4003fff8,0xfff1000e,0x3fe6001f,
    0x0ffffc1f,0xfffffe80,0x3fff0005,0x01bff600,0x00fffe40,0x0003ff88,
    0xffffe980,0x003fff61,0x26009ffd,0xb01ffffe,0x80000dff,0x01ffffe9,
    0x8803fff5,0x0003fffe,0x740fffec,0x32003fff,0x00ffffa3,0x105e83c8,
    0xb779dffb,0x07ee07ff,0x4017ffe2,0xfe81fff9,0x20000fff,0x2604fffc,
    0x0003ffff,0xff703d10,0x4c0001ff,0xff82ffff,0x3ffe203f,0x407fff03,
    0xff03fff8,0x7ffc407f,0x7c000003,0xf3003fff,0x7ffcc1ff,0xfff1003f,
    0xf30009ff,0x3ee001ff,0xff98006f,0x3fe2002f,0x06cae001,0xf93fff20,
    0xffe807ff,0xff900366,0x1bff609f,0xf9003600,0x3fea09ff,0xfffa801f,
    0x3fe60007,0xffff904f,0x641f1001,0x8800ffff,0x203f880f,0x1bdfecba,
    0xfc80fe60,0xffa800ff,0x9ffff505,0x7ffe4000,0x7fffec04,0x03d80000,
    0x0013fffa,0x985fffd8,0x3e203fff,0xfff983ff,0x0fffe203,0x880fffe6,
    0x00003fff,0x037ffdc0,0x7cc6ffa8,0x2a005fff,0x803fffff,0x00bffe3a,
    0x20027fcc,0x9805ffe8,0x2007fcdc,0x8807b1f8,0x3ffa6fff,0x7ffdc00f,
    0xff8807b0,0x0dffb06f,0xf8807b00,0xfff506ff,0x3fff6003,0xfffb0003,
    0x3fffe201,0x11ba202f,0x405fffff,0x0fea06e8,0x05e98000,0xc804ffe8,
    0x3ff201ff,0xf90002ff,0xfe8809ff,0x20000eff,0x7ffcc05c,0xffc8003f,
    0xfffa80ff,0x0fffe605,0x9817ffea,0xffa83fff,0x3ffe605f,0x4000c003,
    0xd801ffff,0xffff82ff,0xfff7001f,0x2e809fff,0x4c00fff6,0x7f4002ff,
    0xddfd805f,0x402cffff,0x3201b67d,0x3fff25ff,0xb37fc401,0x0bff900d,
    0x2001bff6,0x5ffc806d,0x003fff50,0x007fff62,0x803dffb0,0xacfffffb,
    0x81ffda88,0xacfffffb,0x01ffda88,0x00006fdc,0x260037ee,0x3e201fff,
    0xfffc805f,0xffc8002f,0xfff8804f,0xed8001ef,0xffffa800,0x3fff2003,
    0xffff102f,0x9ffff701,0x0ffff8a4,0x24ffffb8,0x01ffff14,0x249ffff7,
    0x005ffd10,0x0077ffdc,0x3fa0bff1,0x2201efff,0xffffcefd,0x1f660aef,
    0x7001fff3,0xffd800df,0x320f8803,0xcdffffff,0x364ffdba,0x27fd403f,
    0xd009fff5,0x201fec9f,0xffb04ffa,0x07fb000f,0xf504ffa8,0xfb8005ff,
    0xfe8803ff,0x3ffa004f,0xffffffff,0x3fffa03f,0xffffffff,0x05dd3003,
    0x007fb300,0x3605ffc8,0x3fee005f,0xd1000cff,0x26009fff,0x00cffffe,
    0x2000de98,0x803fffe8,0x400dfffc,0xb9cffffe,0xbffffafd,0x3ffffa4e,
    0xffafdb9c,0x3fa4ebff,0xfdb9cfff,0x4ebffffa,0x01bffee0,0x40bfff90,
    0xff100efd,0x2237ffff,0x3ee5ffca,0xeeffffff,0x4ffc83ff,0x8007fcc0,
    0x7002ffe8,0x7fd67c4b,0xffffffff,0x807ff60f,0x7fec0ffe,0x83fe601f,
    0x3fa01ffd,0x0fffd00f,0x403ffb00,0xff700ffe,0xfd30007f,0x654437bf,
    0x44002fff,0xfffffffd,0x7ec404ff,0xffffffff,0x7fe44004,0x3faa200c,
    0xffb0001e,0x027ec439,0x7fffec40,0xffd9881c,0x64000bef,0xacdfffff,
    0x04fecaa9,0x3fffee00,0xffdb88ad,0xff5003ff,0x21dfffff,0x544ffffd,
    0xefffffff,0x89ffffb0,0xfffffffa,0x9ffffb0e,0x07fffc80,0xadfffb80,
    0x00efe988,0x7fffffd4,0x83ffffff,0xfffffff9,0x3fee05ff,0x01efb80d,
    0x01dffb98,0x226c9aa0,0xfffffffd,0x1fffec2f,0x2207fee2,0xe982fffe,
    0x1fffec1f,0x4407fee2,0x4001ffff,0x5c43fffd,0xfff301ff,0x2e0003ff,
    0xfffffffd,0x20000cef,0xfffffffb,0x3ffee001,0x0001ffff,0x37bffae2,
    0x01cfffed,0xefffa800,0x40003dfe,0xeffffec9,0x1dfffffe,0x7fe4c000,
    0xffffffff,0xc980000c,0xfffffffe,0x54000cef,0x543fffff,0xff503fff,
    0xffa87fff,0xffff503f,0x3fffa87f,0x04fff980,0xffffd500,0x44007dff,
    0xfffffffd,0x3f6200ce,0x804fffff,0xfedeffe9,0x3f6e203f,0xf0000cff,
    0xff503dff,0xfb03dfff,0xffbdfffd,0xfffb801b,0x80dffdde,0xdefffefd,
    0xfb300dff,0x4005dfff,0xdefffefd,0x7f440dff,0xffffffff,0x32a20006,
    0x800001ac,0x0001aca9,0x0006b2a6,0x79975300,0x20000035,0x00001ba9,
    0x79995510,0x00000335,0x2af32ea6,0x4c000001,0x0001acca,0x0c401530,
    0x2200a980,0x40153001,0x0dc40018,0xacb98000,0x2ea20001,0xa80009bc,
    0x98000acc,0xca801aba,0x500001ab,0x03753003,0x5975304c,0x65d44003,
    0x82601acd,0x501acba9,0xfffffffd,0x413007df,0x001acba9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x65c00000,0x200001cc,0x1000a003,
    0x66447999,0x2a60003c,0x000000aa,0x0a202654,0x012a0380,0x36a00344,
    0x802a02de,0x0000002a,0x01c00510,0x06202880,0xddddd700,0xdddddddd,
    0x85a807dd,0x000acdb8,0x00000660,0x00399993,0x16666400,0x26001500,
    0x6dcc4001,0x007661cd,0x00310144,0x02c80074,0x00000cc0,0x400d4400,
    0xf300002a,0x0000dfff,0x132006e4,0x45fff300,0x8001fffa,0xfffffffb,
    0xf8800002,0x804d807f,0x00fe202d,0xffb80176,0x0e81dfff,0x01efff98,
    0x4e800000,0xa8002d80,0x7fe40fff,0x3fffe006,0xffffffff,0xc982ffff,
    0x3ffa27ff,0x8001efff,0x00006ffd,0x0013fff2,0x0efffa80,0x3007a600,
    0x3f62001d,0xcdfffeef,0xffa801ff,0x037fe40f,0x0fa805d8,0x01bff600,
    0x3bbbbba2,0x2eeeeeee,0x80efffcc,0x80005ffd,0x03fffffe,0x03df1000,
    0xf70003f2,0x04ffc8bf,0x7ffff4c0,0x00dfffff,0x1fffa000,0x6c037e60,
    0xbcefd806,0x03ffdb99,0xfffdff10,0x41ea19ff,0x006ffffd,0xdf980000,
    0x0006d880,0x7c49fffd,0xfa802fff,0xffffffff,0x0fffffff,0x5fffffaa,
    0xfffffff9,0x3e2002ff,0x00001fff,0x0000bfff,0x000fffc8,0x5f503fc8,
    0x833fa600,0x1fffffa8,0x24fffe80,0x802ffff8,0xa99bdffb,0x22006fec,
    0x1001ffff,0xdfffffd7,0x7fffec03,0x01ffff06,0x657fd400,0x00000fff,
    0x3fd85ff7,0x40ffc800,0xfe8006fd,0xffffffff,0x700006ff,0x3200ffff,
    0x07fa21ff,0x3ffffe20,0x2006ffff,0xfffd50db,0x3609ffff,0x001fffff,
    0xefd80000,0x0007fa21,0x3e1fffec,0xfe801fff,0xccccdeef,0x45ffcccc,
    0xd7fffb9a,0xfffd97bf,0x3e2001ff,0x80001fff,0x0000eff9,0x000fffc0,
    0x7d45ff88,0x05ff5006,0x00ffffcc,0x3e1fffec,0xfb001fff,0xffffffff,
    0x7ffc4003,0x7fc4001f,0xffd806ff,0x7fc42fff,0xf10000ff,0x027fd45f,
    0x19ffd000,0x3a000dfb,0x002ff82f,0x8856ffe4,0x04fffffa,0x7fffcc00,
    0x7fff1007,0x5400bfd1,0xefffffff,0x2e072000,0x205fffff,0x04fffff9,
    0xf8800000,0x05fe8bff,0x03bfea00,0xf300bff7,0x7fcc003f,0x33fffa02,
    0xffffc80d,0x13ff2004,0x07fe4000,0x3fe60000,0x7fdc0002,0x801ffb8e,
    0xfd804ff8,0xffa801ff,0x02ffdc0e,0xfffffd10,0xf90005ff,0x3fe0009f,
    0xffa804ff,0x7fc43fff,0x3f20007f,0x001fe981,0xfffff500,0x17e0005f,
    0xf30017e2,0x7ff4401d,0x3a0001ff,0x2007ffdf,0x0ffffffb,0x7ffec400,
    0x2048004f,0x3003ddb8,0x000013ee,0x7fffdc00,0x180000ff,0x7e400220,
    0x07fdc001,0x80bfffb0,0x000ffffd,0xe8000022,0xb800001f,0xfd00003f,
    0x200bffff,0xfb800ffd,0x806001ff,0xff700008,0x40001bff,0x3fa00008,
    0x151003ff,0xdfff07f3,0x007a2000,0x6c0000bb,0x0005ffff,0x01f501f3,
    0x8800eb80,0x0003ffff,0x0fff95f9,0x4ffffe80,0x00044000,0xa8000000,
    0x0000003f,0x13ffffa0,0x00000000,0xbfd0003f,0x807ffc80,0x003ffff9,
    0x5f100000,0x17a00000,0xfffa8000,0xffa800ff,0x3fff5005,0x00000000,
    0x00000044,0x3fffe800,0xd82fb800,0x170005ff,0x00006e00,0x00f7774c,
    0x07703b80,0x5c005b00,0xa8005fff,0x00fff95f,0x00deeea8,0x00000000,
    0x03f20000,0xa8000000,0x0000deee,0x00c00000,0x2017fc40,0xfb007ffc,
    0x000009ff,0x0000ee00,0x00003440,0x801f776c,0xf5003ffd,0x000003ff,
    0x00000000,0x3ff60000,0x0fe8003f,0x0003ffc8,0x00000000,0x00000000,
    0x3e600340,0x7c4006ff,0x00fff90e,0x00000000,0x40000000,0x000003f8,
    0x00000000,0x00000000,0xfc801ff7,0xfff5007f,0x0000000b,0x00000000,
    0xf0000000,0x3ea005ff,0x000001ff,0x00000000,0xfffb0000,0x03f98007,
    0x00005ff5,0x00000000,0x00000000,0x9fff0000,0x321fd800,0x000007ff,
    0x55ee4c00,0xdc980000,0x3a6000ab,0x00000005,0x99980000,0x33101999,
    0x00003333,0xfc805fe8,0xfff3007f,0x372e600f,0x000000bc,0x00000000,
    0x7fc40000,0xfff5001f,0x7b930003,0x54400015,0x8002bddb,0x02bddba8,
    0x01fffec0,0x7cc0bd30,0x4cccc40f,0x26620999,0x01999999,0x80333333,
    0x01bcdcb9,0x19999998,0x33333310,0xfff00000,0x227d4005,0x54007ffc,
    0x0056d41d,0x3fb7ff6a,0x54000eff,0xfffedffd,0x8175c00e,0xcda886b8,
    0x1db88001,0x400adc98,0x0fffffec,0xfffffeb8,0xff100000,0x0fff9005,
    0x01fffe20,0xfffbdff5,0x3b71007f,0x0015b930,0x26666662,0x99999999,
    0x99998819,0x99999999,0x3fe61999,0xfff5001f,0x3ff6a003,0x00efffed,
    0x7ff7fdc0,0xf7001eff,0x3dffffdf,0x0ffff600,0x7c027e40,0xfffffb87,
    0x3ffa63ff,0x40dfffff,0x0fffffd8,0xecdffe98,0x3b203fff,0xb80fffff,
    0x00fffffe,0x3ffe2000,0x90df1000,0xf9300fff,0x3ffa65ff,0x07ff205f,
    0x003fffb1,0xfb107ff2,0xa81c03ff,0x7fe47ffd,0x9800efff,0x3ee1fffc,
    0x801fffff,0x200ffff9,0x000ffff8,0x001ff700,0x7c00fff9,0x3bf206ff,
    0x82fffdc0,0x2e1fffc9,0x01ffffff,0xffffffc8,0xffffffff,0x7ffe41ff,
    0xffffffff,0xf71fffff,0x3ea005ff,0xffc801ff,0x0fffec41,0x261fec40,
    0x2203fffe,0x7ff4c3fd,0xfffd803f,0x001ce803,0x3ff620bd,0x3ffe607f,
    0x4ff9806f,0xa81dff30,0x7cc02fff,0x3e200fff,0x00000fff,0xd801bfea,
    0x07ffc81f,0x3fffffaa,0xfffffe8a,0x202ffd81,0x6c02fffd,0x3ff602ff,
    0xffd7002f,0x7ffecfff,0x2a04ffff,0x91fffffe,0xdfffffff,0x03fff600,
    0x001fffd0,0x4017fa00,0x3e007ffc,0x0dfb04ff,0xd51ffff4,0x323fffff,
    0x6fffffff,0xaabefc80,0xffaaaaaa,0xbefc84ff,0xaaaaaaaa,0x3ea4ffff,
    0xff5003ff,0x2ffd803f,0x00bfff60,0x3fe203fd,0x03fd01ff,0x007fffe2,
    0x1007fffb,0x2604c800,0x7dc07fff,0x6f9803ff,0x205fff10,0x6c00fffd,
    0x7f400fff,0x200000ff,0xf7003ffb,0x81fff207,0xaffff999,0x87ffeacd,
    0x7c404ffa,0xff500fff,0xffff8809,0xffb9a800,0x30ade8ff,0x2605fffd,
    0xcaffff99,0xfffb11be,0x1fff9009,0x00fffc80,0x02ff8800,0x400fff90,
    0xffb83fff,0x9bffee01,0xaffff999,0xffb11bec,0x00ec809f,0x906fffb8,
    0xfff7001d,0x04fff98d,0x403fff50,0x7c404ffa,0x9f700fff,0x86fffa80,
    0x7fd404fb,0x7ffec06f,0x08800003,0x00fffe40,0x2e017ffe,0x1fff501f,
    0x00bffea0,0xc801fff9,0x00000fff,0x7cc01bfa,0x01fff205,0x22efffdc,
    0x7ffc41ca,0x4fffc801,0x801fff88,0x4004fffc,0x304efffe,0xf900bfff,
    0x3e01bdff,0xffb807ff,0x7ffdc00f,0xffb80000,0x0fff9000,0x10bffe20,
    0xff980bff,0xdfff906f,0x1fffe01b,0xff3009b0,0x013601ff,0x103fffe6,
    0x5001ffff,0x3e203fff,0xffc801ff,0x01ff884f,0x10ffffc4,0xff8803ff,
    0x3ff601ff,0x0000003f,0x807fff10,0x7400fffc,0x81ffee06,0x5c02fff9,
    0x7dc00fff,0x500000ff,0x3fa003ff,0x01fff200,0x007fffd4,0x1007ffa8,
    0xfa83ffff,0xfff1007f,0x7fec003f,0x37ff402f,0x027ffd40,0x7003fff2,
    0xfb801fff,0xe80000ff,0x3ff2005f,0x0dff3007,0xb5007ff9,0x3ffea03b,
    0x07ffe404,0xff8805b0,0x00b602ff,0x205ffff1,0xa803ffff,0xff501fff,
    0x3ffe200f,0x803fe41f,0x3f23ffff,0x7ffff007,0x01fffec0,0x400c4000,
    0x7cc06ffe,0x0fe603ff,0x2205ff98,0x7dc03fff,0x7fdc00ff,0xfd00000f,
    0x00bf200b,0x2a00fff9,0x32003fff,0x3f6006ff,0x37fe43ff,0x07fffb00,
    0x403ffe40,0xfa807ffd,0x7fdc01ff,0x7ffdc01f,0x07ffdc00,0x0bfe2000,
    0x00fffc80,0xfe82ffc8,0xf500002f,0xffb803ff,0xb002601f,0x09809fff,
    0x027ffec0,0x803ffff9,0xf901fffd,0x7fec00df,0x777fec3f,0xfeeeeeee,
    0x3ff64fff,0xeeeeeeee,0x204ffffe,0x0003fffd,0x00f7fe40,0x5403fff5,
    0x3f206fff,0x2a00c400,0x7dc03fff,0x7fdc00ff,0xfb80000f,0x009f3006,
    0x2a00fff9,0x3a002fff,0x3ee005ff,0x2fff44ff,0x09fff700,0x403ffe40,
    0xfa807ffc,0x7fd401ff,0x7ffdc01f,0x07ffdc00,0x03fee000,0x03fffc80,
    0xff82ffc4,0xf500001f,0xffa803ff,0x3ee0001f,0xb80006ff,0x7c406fff,
    0xd882ffff,0xfd01fffe,0x7fdc00bf,0x5577fc4f,0xaaaaaaaa,0x3bfe1aaa,
    0xaaaaaaaa,0x201aaaaa,0x0003fffd,0x3ffffe60,0x09fff101,0x817ffff4,
    0x2e20005f,0x403ffffe,0x5c00fffb,0x40000fff,0xf8800ff8,0x7ffc800e,
    0x05fff500,0x013ffe20,0x226fffa8,0x2a004fff,0x32006fff,0xffc807ff,
    0x1fffa807,0x00fffd40,0x7003ffee,0x80001fff,0x7e4005fd,0x3f600fff,
    0x0fff981f,0xfff50000,0x1fffa803,0xffff3000,0xff980001,0xffb800ff,
    0xfdcdefff,0x881fffad,0x2a004fff,0x3fe26fff,0x7fc40007,0xfd800007,
    0x200003ff,0x05fffffb,0x7d41fff2,0xfa85fffa,0xffc98002,0x403fff9b,
    0x5c00fffb,0x40000fff,0x3fb001fe,0x01fff200,0x8017ffd4,0x2005fff9,
    0x3e67fff9,0x3e6005ff,0x3f2007ff,0x7ffc807f,0x01fffa80,0x200fffd4,
    0x5c00fffb,0x20000fff,0x64002ff8,0x20beffff,0xf501efd8,0x200003ff,
    0x5401fffa,0x88001fff,0x0002ffff,0x017fffc4,0xffffff70,0x3ffeabff,
    0x05fff981,0x99fffe60,0x20000fff,0x0000fff9,0x01fffec0,0xffff1000,
    0x7ffcc0df,0xfff96e82,0x4c007d81,0x3fe22efd,0x7ffdc03f,0x07ffdc00,
    0x007fb000,0x3fffffe6,0xffffffff,0x507fffff,0x2a005fff,0x22006fff,
    0x3fea5fff,0x3fe2006f,0x3ff2005f,0x07ffc807,0x401fffa8,0x5c01fffa,
    0x7dc00fff,0x2a0000ff,0x7e4000ff,0xeeffe8ff,0x3ea00dff,0x500002ff,
    0xfa803fff,0xfd8001ff,0xd80004ff,0xa8004fff,0x23ffffff,0xfa81fffa,
    0x3e2006ff,0x3ffe65ff,0x3fe60001,0x6c00001f,0x00003fff,0x03f45dc4,
    0x5f317ffa,0xf88fffe6,0x17fea004,0x700fffe2,0xfb801fff,0xf70000ff,
    0x7ffcc007,0xffffffff,0xffffffff,0x05fff507,0x01fffe60,0x263fff88,
    0x22007fff,0x32003fff,0xffc807ff,0x1fffa807,0x00fffd40,0x7003ffee,
    0x40001fff,0xfc8005fd,0x26f2a67f,0x4fff9800,0xfff50000,0x1fffa803,
    0x37ffdc00,0x7ffdc000,0x5dcc0006,0x81fffa81,0x2007fff9,0x3e23fff8,
    0x220002ff,0x00002fff,0x001fffec,0x80bf1000,0x1b60fffb,0x07dcdffd,
    0x103ffb80,0xfb807fff,0x7fdc00ff,0x4fa8000f,0x7fffcc00,0xffffffff,
    0x7fffffff,0x005fff50,0x003fffe2,0xf10fffcc,0x26001fff,0x32001fff,
    0xffc807ff,0x1fffa807,0x00fffd40,0x7003ffee,0x20001fff,0xc8002ff8,
    0x880007ff,0x2000ffff,0x1fffa82a,0x00fffd40,0x01ffff30,0xffff9800,
    0x54000000,0xff881fff,0xff3000ff,0x06fff83f,0xdfff1440,0x36028800,
    0x80003fff,0x8807f500,0x87f13fff,0x0bd1fffb,0x881bfee0,0x7dc03fff,
    0x7fdc00ff,0x2fcc000f,0x99999800,0xd9999999,0x01999fff,0x4005fff5,
    0x3003ffff,0xfff81fff,0xfff3003f,0x3ffe4001,0x403ffe40,0x5401fffa,
    0x7dc01fff,0x7fdc00ff,0xff50000f,0xfff90001,0x3ffe0000,0x203a003f,
    0x5401fffa,0xf1001fff,0x80005fff,0x002ffff8,0xfffa8000,0x07ffff01,
    0xd03ffe60,0x64007fff,0x00ffffa3,0x3ff603c8,0x15c0003f,0xffb006d8,
    0xff103f2d,0x2005f39f,0x3e203fff,0x7fdc03ff,0x7ffdc00f,0x017e6000,
    0xffc80000,0x5fff5007,0x37ffdc00,0xb86ffa80,0xf5006fff,0xffc800df,
    0x07ffc807,0x401fffa8,0x5401fffa,0x7dc01fff,0xfb0000ff,0x3ff2000b,
    0xffb00007,0x0d7001df,0x5007ffea,0x36003fff,0x00804fff,0x4027ffec,
    0xffa80000,0xdfff701f,0x21bfea00,0x800ffffc,0x3fff20f8,0x00f8800f,
    0x000ffff6,0x05f701d0,0x3ebffea0,0xfbfff904,0x0fffe600,0x403fff88,
    0x5c01fffa,0xf3000fff,0x003a800b,0x401fff20,0x4002fffa,0xd801ffff,
    0xffff02ff,0x05ffb003,0x807ffc80,0xfa807ffc,0x7fd401ff,0x7ffcc01f,
    0x3fffa602,0x2ff88001,0x0fff9000,0x3ffe2000,0x0fe600ef,0x200fffd4,
    0xb801fffa,0x0d006fff,0x8037ffdc,0xffa80006,0x3fffe01f,0x82ffd801,
    0x02fffff8,0xfff11ba2,0x374405ff,0x00ffff60,0x7f445b80,0x7fffc001,
    0xffff300f,0x3ffea009,0x0fffe605,0x405fff30,0x801fffe9,0x7cc005f9,
    0x3ff20001,0x5fff5007,0xefffb800,0x817fe200,0x200efffb,0xc8005ff8,
    0xffc807ff,0x1fffa807,0x00fffd40,0x541bffe2,0x002fffdf,0x0000ffa8,
    0x0000fff9,0x577fffe4,0xa81bf220,0x7d401fff,0x7fcc01ff,0x20d000ff,
    0x000ffff9,0xff50000d,0x7ffdc03f,0x17fe200e,0xcfffffb8,0x1ffda88a,
    0xcfffffb8,0x1ffda88a,0x01ffff40,0x3ea3f980,0xffc8000c,0x7fff404f,
    0xffff1001,0x9ffff701,0x37ffc424,0x2fffdfa8,0x555ffcc0,0xbaaaaaaa,
    0x640006fd,0xff5007ff,0xff90007f,0x077ec0bf,0x817fff20,0xd8000efd,
    0x7e400fff,0x7fd400ff,0x7ffd402f,0xefffd802,0xfbafda9b,0x001baeff,
    0x6c000bfb,0x200007ff,0xfffffff8,0x200ffffe,0x5402fffa,0x3a202fff,
    0xd5002fff,0x05fffd10,0x20001aa0,0x6402fffb,0x3f605fff,0x7fff400e,
    0xffffffff,0x3ffffa03,0x3fffffff,0x05fffe80,0x260ffa80,0x3fe60000,
    0x37fdc01f,0x3ffffa00,0xffafdb9c,0xfb04ebff,0xfb537dff,0x75dfff75,
    0xfffffa83,0xffffffff,0x40003fff,0xf7007ffc,0x2e000bff,0x988adfff,
    0xf7000efe,0xd3115bff,0x3a0001df,0x7ec00fff,0x7fe401ff,0x7ffdc03f,
    0xffff8803,0xff72ffff,0x10017fff,0x740005ff,0x00001fff,0x3fffff62,
    0x6401ffff,0x7dc03fff,0x3ff603ff,0x0df1004f,0x2009fffb,0xc80006f8,
    0xfb803fff,0xe988adff,0xfd8800ef,0xffffffff,0x7ffec404,0x04ffffff,
    0x1fffff88,0x6ffd9880,0x5fe80000,0x003ff880,0x7fffffd4,0xffffb0ef,
    0x7fffc409,0xff72ffff,0x7d417fff,0xffffffff,0xffffffff,0x7fe40000,
    0xffff9807,0xfd50003f,0x07dfffff,0xffffd500,0x20007dff,0x05ffffb8,
    0x817fffea,0x00effffa,0x01dffff3,0xdffffd50,0x016ffdc1,0x0003fea0,
    0xfffffb53,0x20000135,0xdffffffc,0x7fffd400,0xffff300e,0xffff701d,
    0x75555557,0xfb8bffb9,0xaaaabfff,0x5ffdcbaa,0xff731000,0x40157fff,
    0xffffffea,0xffb8003e,0x001fffff,0x3fffffee,0xffe8801f,0xefffffff,
    0xfffffffe,0xb800003f,0x01fb002f,0xfffff500,0x03fffa87,0xeffffea8,
    0x40b7fee0,0xffffffff,0xffffffff,0xfc80006f,0x3ffea07f,0x05ffffff,
    0x06b2e600,0x565cc000,0x3fee0001,0x1effffff,0xfffffffb,0x3ffea1df,
    0x73ffffff,0xffffffff,0x1573003f,0x20003950,0x644003ca,0xcccccccc,
    0x4c00001c,0x7d400abb,0xffffffff,0xffffff73,0x3fe23fff,0xffffffff,
    0x5fffffff,0x3fffffe2,0xffffffff,0x50005fff,0x99999999,0x32e60059,
    0xa980001a,0x260001ac,0x74401aca,0xfffffffe,0xffffffff,0x01ffffff,
    0x00488000,0x530000e6,0x4000c401,0x1ca80ab9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x33000000,0x6d400540,0x201201ce,
    0x90066029,0x00005999,0x40000a60,0xeeeeeeed,0xdb05eeee,0xdddddddd,
    0x19988bdd,0x00099880,0xeeeeee98,0x7101eeee,0x37b9303b,0xddddd500,
    0x3ddddddd,0x3bbbbbae,0xdd50005e,0xbddddddd,0x01666640,0x98059995,
    0x80036005,0x2a02deda,0xddddd901,0x1ddddddd,0xeeeeea80,0xd70eeeee,
    0xdddddddd,0x3a2007dd,0x6eeeeeee,0x3b800740,0x3bbbbaa0,0x223eeeee,
    0xeeeeeeee,0x3ae02eee,0x1eeeeeee,0x1cccc980,0x376ea200,0xb50000bc,
    0x85ffd803,0x3f203ffe,0x680dffff,0x6c37fe40,0x3fea05ff,0x9000007f,
    0xd980000f,0x01dfffff,0xfffffb30,0x1fff201b,0x001bff60,0x3ffffffa,
    0xfc987fff,0x3ffee1ff,0x71002fff,0x05ffffff,0x7ffffe4c,0x3f260004,
    0x7cc01eff,0xff100eff,0x4f801fff,0x2a007c80,0x81dfffff,0x7fed400e,
    0x8001efff,0x02ffffc9,0xffffff71,0xb880015f,0x00cffffe,0x3ea00764,
    0x7ffd4401,0xd300bfff,0x03dfffff,0x3fffaa20,0xfff9000a,0x5ffd4009,
    0xaacffeba,0x7e4c1aaa,0x3fe202ff,0x3ffea1ff,0xfffff307,0x16e19fff,
    0x4c5ffff0,0x2e00ffff,0x00001fff,0x00017fc4,0x03ffff40,0x07ffff80,
    0x6c03ffe4,0x7cc006ff,0xffffffff,0x3fffaa3f,0xffff71ff,0x4001ffff,
    0x002ffffb,0x07fffff3,0x00ffc800,0x201fffc8,0x04fffffd,0x4cdeffe4,
    0x1004fedb,0xfffffdff,0xe801ea19,0x0001ffff,0x4c00ffdc,0x003fffff,
    0x00fffcc0,0x99bdffa8,0x2007feca,0x806ffff9,0x02fffff8,0x002ffb80,
    0xb002fffc,0xfffb01ff,0x3a6bffff,0x202fffff,0x2a0ffff8,0x49906fff,
    0xfffffffb,0x7fffc03f,0x03fffe22,0x0009ff90,0x006ffb80,0x5fffd800,
    0xbfffb000,0x807ffc80,0x6c006ffd,0xeeeeeeef,0x3ee660ee,0x1bec9fff,
    0x009fffb1,0x007fffcc,0x3fffff30,0x037d4000,0x2601ffe8,0x1fffbbff,
    0x3ffffe20,0x000effff,0x3ffaa1b5,0x004fffff,0x001ffff2,0xb801fe60,
    0x0002ffff,0x20027fc4,0xfffffffd,0x7ec001ff,0xff7006ff,0xf70005ff,
    0xeff9800b,0x07ff9000,0x333bffe2,0xffd3332c,0x4ffc805f,0x1b03ffe8,
    0xfffffc88,0x85ffa804,0xfb004ffc,0xff80000d,0x400001ff,0x0005fffc,
    0xc809fffb,0xffd807ff,0x013e6006,0xbdfff900,0x01fffe01,0x00ffff98,
    0x7ffffec0,0x0bf30000,0xe807ff30,0x01bfa63f,0xfffffff3,0x40e4003f,
    0x06fffffb,0x037ffdc0,0x0037cc00,0x009ffff1,0x000ff980,0x7fffff44,
    0xfa8003ff,0xff000fff,0xfb0007ff,0x0ffb8003,0x80fff300,0x5c00fffc,
    0x08802fff,0x20480220,0x4002ddc8,0x88002200,0x500000fe,0x0009ffff,
    0x04fffc80,0x09fff900,0xd807ffc8,0x3f6006ff,0x7fdc0000,0x3ffe404f,
    0x0ffff300,0xfffffb00,0x17e6000d,0xf5013ee0,0x805fb105,0x0cffffc8,
    0xb7101c00,0xfa80017b,0x880006ff,0x7fe4006f,0x7e40007f,0x3fae0003,
    0x20001dff,0x9003ffff,0xf000dfff,0x03fd000f,0x203ffe40,0x5404fff9,
    0x00002fff,0x00000000,0x1fc40000,0xfffe8000,0x200000ff,0x0004fffc,
    0xc809fff9,0xffd807ff,0x009f3006,0x03fff500,0x000fffb8,0x000ffff3,
    0xbffffdfb,0x00bf3000,0x805d00bd,0x0022006c,0x80000000,0x0006fffa,
    0x44006f88,0x0002ffff,0x200003fe,0xf9000018,0x3e600bff,0x26000fff,
    0x17c4004f,0x01bffa00,0xa80bfff1,0x00002fff,0x00000000,0x05980000,
    0xfeef9800,0x200003ff,0x0004fffc,0xc809fff9,0xffd807ff,0x001fb006,
    0x03fff500,0x001fffa8,0x000ffff3,0xffffd3fb,0x05f98007,0x00d40344,
    0x000002a8,0x50000000,0x0000dfff,0xfb000df1,0x2a000dff,0x0000004f,
    0xffff9800,0x7fffd000,0x000fe400,0x3fe000ee,0x6fff807f,0x017ffcc0,
    0x00000000,0x00000000,0x77f90000,0x0000dfff,0x0027ffe4,0x404fffc8,
    0xfd807ffc,0xfff9806f,0xf50000ad,0xffa803ff,0xfff3001f,0x13fb000f,
    0x005fffff,0x00002fcc,0x00000000,0x20000000,0x0006fffa,0xa8006f88,
    0x8001ffff,0x000001fd,0xffff0000,0x3fff2007,0x001fe006,0x7ffd8000,
    0x405fff80,0x1002fff9,0x0057bb75,0x1bcdcb98,0x9b973000,0x00000037,
    0xff17f880,0x200005ff,0x0004fffc,0xc809fff9,0xffd807ff,0xffffd806,
    0x54002eff,0x7d401fff,0xff3001ff,0x3fb000ff,0x03ffffe6,0x0002fcc0,
    0x5cc00000,0x9801bcdc,0x10199999,0x00333333,0x001bffea,0x4001be20,
    0x4004fffe,0x999806f9,0x33101999,0xc8003333,0xfb006fff,0xf5003fff,
    0x40000009,0x2200fffb,0x7cc03fff,0xffb802ff,0x01effffe,0x766fff4c,
    0xd3003fff,0xfffd9bff,0x01da8007,0xfb27dc00,0x20000bff,0x0004fffc,
    0xc809fff9,0xffd807ff,0x7fffcc06,0x00dfffff,0x803fff50,0x3001fffa,
    0xb000ffff,0x7fffd43f,0x05f9800e,0xa80076a0,0xffe9801d,0x03fffecd,
    0x3fffffb2,0xffffeb80,0xfffa800f,0x6f880006,0xffff7000,0x01fe4001,
    0x7fffff64,0xffffeb80,0x3fe6000f,0x7fc400ff,0xfc803fff,0x41da8001,
    0xff980ada,0x3ffe604f,0x17ffcc01,0xe987fb10,0xff303fff,0x2fffa81d,
    0x2077fcc0,0x4c02fffa,0x0002fffc,0xfff307f4,0xf900001f,0x320009ff,
    0x7e404fff,0x6ffd807f,0x7ffff5c0,0x01efffff,0x401fffa8,0x3001fffa,
    0xb000ffff,0xffffc83f,0x405f9805,0x402fffc9,0x402fffc9,0x7d40eff9,
    0x7fcc02ff,0x3fe200ff,0xffa800ff,0xf880006f,0xfff10006,0x07fc007f,
    0x1ffff300,0x07fffc40,0x0ffffa00,0xdfffff50,0x4c00df00,0xfd32fffc,
    0x3ff20bff,0x07ffb00f,0x405fff30,0xfff101fe,0x2fff883f,0x201fffb0,
    0xfb02fff8,0xffd301ff,0x40005fff,0xfffe85fa,0xffc80004,0xff90004f,
    0x7ffc809f,0x006ffd80,0x7ffff5cc,0x7fd402ff,0x7ffd401f,0xffff3001,
    0xb03fb000,0x9809ffff,0xfffd305f,0x3fa605ff,0x2202ffff,0xffb02fff,
    0xfffd801f,0x07fff400,0x037ffd40,0x0037c400,0x00ffff90,0x360013ea,
    0x7f400fff,0x7dc000ff,0x57ec06ff,0x2a01ffff,0xffea804f,0xffe8afff,
    0xff701fff,0x27fe441d,0x02fff980,0xffa809f7,0x07ffd46f,0x502fffa8,
    0x3ea01fff,0xe99982ff,0x20002fff,0xfffb81fd,0xffc80007,0xff90004f,
    0x7ffc809f,0x006ffd80,0x3ffffaa0,0x3ffea00f,0x0fffd401,0x07fff980,
    0xe881fd80,0x2602ffff,0xfd33305f,0x266605ff,0x2a02fffe,0xff500fff,
    0xfffc805f,0x07ffdc00,0x037ffd40,0x0037c400,0x05ffff10,0x90003fd0,
    0xfb801fff,0x7c4000ff,0xdf101fff,0xd813fff6,0xf999801f,0xeacdafff,
    0x7fdc07ff,0x01effddf,0x20bffe60,0x7c401ff8,0x3fee1fff,0x0bffe607,
    0xf303ffdc,0xffb805ff,0xdf30002f,0x0bfffe20,0x9fff9000,0x3fff2000,
    0x03ffe404,0x00037fec,0x02ffffdc,0xa803fff5,0xf3001fff,0xfb000fff,
    0x3fffe603,0x00bf301f,0x7005fff7,0x7dc05fff,0x3ffe607f,0x07ffdc02,
    0x003ffee0,0x001bffea,0x0001be20,0x980dfffb,0xff70006f,0xfffb801f,
    0xfffe8000,0x3ea7f503,0x01be07ff,0x177ffee0,0x5fcc0395,0x0009aa98,
    0xc82fff98,0xffff007f,0x102ffcc7,0x3e607fff,0x3ffe205f,0x17ffd403,
    0x202fc800,0x0006fffc,0x0027ffe4,0x404fffc8,0x6c00fffc,0x700006ff,
    0x2a05ffff,0x7d401fff,0xff3001ff,0x3fb000ff,0x77fffd40,0xa805f980,
    0xfa802fff,0x3fe602ff,0x0fffe205,0x801fff70,0xa800fffb,0x80006fff,
    0x4c0006f8,0x3201ffff,0xff70002f,0xfffb801f,0xfffb8000,0x3e21fb06,
    0x3fa81fff,0xffffa800,0x027cc000,0x3ffe6000,0xeeeffd82,0xffeeeeee,
    0x200c44ff,0x2203fffa,0x1fffd401,0x00bffea0,0xf301fe20,0x40003fff,
    0x0004fffc,0xc809fff9,0x3ea01fff,0x000147ff,0x2a09fff7,0x7d401fff,
    0xff3001ff,0x3fb000ff,0x5ffffb80,0xfa805f98,0xffa802ff,0x200c402f,
    0x5c03fffa,0x7dc00fff,0xffa800ff,0xf880006f,0xffe80006,0x00ff104f,
    0x007ffdc0,0x0003ffee,0x107fffe2,0x4fffd8df,0xa8001fd8,0x44003fff,
    0x400002fe,0xff82fff9,0xaaaaaaae,0x01aaaaaa,0xffffd710,0xfd710007,
    0xf9807fff,0xfb8002ff,0x4fffd804,0x3fff2000,0xfff90004,0x5fffc809,
    0x4fffdf70,0x7f400078,0x5fff505f,0x01fffa80,0x00ffff30,0xfb003fb0,
    0x5f989fff,0x02fff980,0x002fff98,0xffffd710,0x0fffb807,0x007ffdc0,
    0x0037ffd4,0x00037c40,0x407fffdc,0x2e0004fb,0x7dc00fff,0xfb0000ff,
    0x43fb89ff,0x7c47fffa,0xfff50006,0xeffa8005,0xf500001a,0x7ff887ff,
    0xf9300000,0x07fff37f,0x4dffe4c0,0x7cc03fff,0xfe8002ff,0xffffa800,
    0xfff90000,0x3ff20009,0x7ffe404f,0x8eeb99df,0x0b92fffa,0x07ffa800,
    0xa807fff9,0xf3001fff,0xfb000fff,0x3fffa003,0x2017e62f,0x9802fff9,
    0x4c002fff,0xfff9bffc,0x07ffdc03,0x003ffee0,0x001bffea,0x00017e60,
    0x20ffffe2,0x2e0001fe,0x7dc00fff,0xf50000ff,0x80fe8fff,0x3ea2ffff,
    0xfff50003,0xfffc8005,0xefffffff,0xffb803ee,0x07ffcc4f,0xdfb30000,
    0x01fffc45,0xf1177ecc,0xff9807ff,0x7fd4002f,0xcccccccc,0x03ffffcc,
    0x09fff900,0x13fff200,0xffffffb0,0x3fe21dff,0x0001feff,0x7d43ffc4,
    0x2a00efff,0xf3001fff,0xfb000fff,0x3ffe2003,0x00bf31ff,0x3005fff3,
    0x26005fff,0x3fe22efd,0x7ffdc03f,0x07ffdc00,0x037ffd40,0x002fcc00,
    0x47fffc80,0x5c0005f9,0x7dc00fff,0x3e0000ff,0x0bf11fff,0xfd97fff2,
    0xfff50000,0xfff98005,0xffffffff,0x880cffff,0x260ffffe,0x00001fff,
    0xff10bff5,0x5ffa807f,0x403fff88,0x4002fff9,0xfffffffd,0xffffffff,
    0xff90006f,0x3f20009f,0x576c03ff,0x40dfffff,0x003efffc,0x7d4dff00,
    0xefffffff,0x01fffa83,0x00ffff30,0x4c003fb0,0xf98fffff,0x2fff9805,
    0x02fff980,0xf885ffa8,0x7fdc03ff,0x7ffdc00f,0x7fff9800,0x04f98000,
    0xffff1000,0x00017e45,0x7003ffee,0x40001fff,0x5f74fffc,0x23fffe60,
    0x2a0006f8,0x98002fff,0xfffffffe,0x3fffffff,0x3fffffe6,0xfff8afff,
    0xffb80002,0x07fff103,0xf881ffdc,0x7fcc03ff,0x1be2002f,0x3ffff100,
    0x9fff9000,0x3fff2000,0xcb8bf403,0x00165401,0x0013f600,0x007ffd40,
    0x007fff98,0x5c001fd8,0x5f9effff,0x02fff980,0x402fff98,0xff103ffb,
    0xfffb807f,0x07ffdc00,0x03fffcc0,0x0027d400,0x2dfffb00,0xb80007f8,
    0x7dc00fff,0x260000ff,0x01fd7fff,0x7d57fffc,0x3fea0003,0x9f98002f,
    0xcaaaa998,0x007ffdcc,0x001bffe0,0x037fdc51,0x2e07fff1,0x3fe206ff,
    0x7ffcc03f,0x00bf2002,0x017fff60,0x013fff20,0x017ffe40,0x000001fe,
    0x002ff800,0x00fff500,0x0037ffcc,0x64000fec,0x05feffff,0x802fff98,
    0x2e02fff9,0x3fe206ff,0x7ffdc03f,0x07ffdc00,0x07fffc40,0x00bf2000,
    0xffff9800,0x80004fb9,0x5c00fffb,0x40000fff,0x05fbffff,0x7eefffe4,
    0x3fea0000,0x1fcc002f,0x912fe800,0x7f405999,0x8f2003ff,0x3e203fff,
    0x7fff03ff,0x01fffc40,0x800bffe6,0xff30007f,0xfc8001ff,0xf90004ff,
    0x7fc403ff,0x00000001,0x0000ff88,0x400fff50,0x8005fff9,0xfd0001fd,
    0x300bffff,0xf3005fff,0x7ffc05ff,0x0fffe203,0x801fff70,0xd000fffb,
    0x80007fff,0x400000fe,0x0fedfffe,0xfffb8000,0x07ffdc00,0x3fff2000,
    0x7fcc02ff,0x40006fff,0x2002fffa,0x260006f8,0x1bffea2f,0x00ffffc8,
    0xfff30f88,0x1fffc407,0x101fffcc,0xf9807fff,0x9f7002ff,0x7fff4000,
    0x7ffe4003,0xfff90004,0x002ffa80,0xfb800000,0x3ea00003,0x3fe6006f,
    0x1fd8003f,0xfffd1000,0xfff300bf,0x5fff3005,0x80fffe60,0x5403fff8,
    0x7dc01fff,0xff9000ff,0x7cc000df,0xfb800007,0x0005ffff,0x803fff50,
    0x0000fffb,0x03ffffcc,0x03ffffe8,0x17ffd400,0x0009fb00,0x3ff207d4,
    0xffff100f,0x5374405f,0x7cc0bfff,0xfffa83ff,0x0fffe605,0x005fff30,
    0xb80003fe,0x2000ffff,0x2e04fffc,0x2ffe40de,0x0013ff20,0xdf100000,
    0xffa80000,0x26176cc3,0xd8001fff,0x3e60001f,0xf9805fff,0xff9802ff,
    0xbfff502f,0x01fffcc0,0x980bffe6,0x1001fffe,0x0001ffff,0x00000ffa,
    0x017ffffc,0x2fff9800,0x07fffa60,0x3fffa000,0xffff7004,0xffa80001,
    0xdff5002f,0xd82f4000,0x3fee03ff,0xa88acfff,0x3fe21ffd,0xfffb80ff,
    0x7ffc524f,0xffffb80f,0x3ffe6124,0x006fb802,0x1ffffc40,0x0bfffb00,
    0xfb17ffe6,0x5ffd801f,0x774c0000,0x007f4403,0x7fb80c40,0x2a0fffd8,
    0xfd0004ff,0xffa80005,0xfff9805f,0x2fff9802,0x01ffff10,0x249ffff7,
    0xa837ffc4,0x002fffdf,0x003bfff2,0x0006fd88,0x1ffff200,0xfff88000,
    0xfffbf506,0xff700005,0x3fe2003f,0xfa80005f,0xff9002ff,0xed88009f,
    0xd017fa00,0xffffffff,0xffd07fff,0x5fb739ff,0x49d7ffff,0xb9cffffe,
    0xbffffafd,0x3fffa84e,0x0003fe80,0x00ffffe8,0x20dfffd0,0x3e1ffffa,
    0x6fff803f,0x7fec0000,0x3ee20bef,0xff88001e,0x7c1fec0d,0x1bee4fff,
    0x003ff800,0x805ffc80,0xa803fffa,0x3fa03fff,0xfdb9cfff,0x4ebffffa,
    0x37dfffb0,0xfff75fb5,0xfb00375d,0xd5003dff,0x000001df,0x0027ffc4,
    0x3bfff600,0xfbafda9b,0x001baeff,0x800fff10,0x80003ffe,0x3003fffa,
    0x339fffff,0x03df9310,0x2200fe88,0xfffffffd,0xfff504ff,0x361dffff,
    0x7d44ffff,0x0effffff,0x209ffffb,0x6404fffb,0xd80003ff,0xc805ffff,
    0x80dfffff,0xfb8efffe,0x0dfff005,0xfff98000,0x4ffeefff,0x3ffee000,
    0x704fc8cf,0xfd17ffff,0x3ff60003,0x6c0000bf,0xfffb805f,0x4fffb804,
    0x3ffffea0,0xfffb0eff,0x7ffc409f,0xf72fffff,0x0019ffff,0x33bffff2,
    0xfffca99a,0x8000000e,0x00000ffd,0x7fffffc4,0xffff72ff,0x7400019f,
    0x7fdc004f,0xffb80000,0x3fea005f,0xffffffff,0x2003ffff,0xffb802f9,
    0x401fffff,0x43fffffa,0xf503fffa,0xfa87ffff,0xffd103ff,0xff9301ff,
    0x220003df,0xdffffffb,0x7ffff6c2,0x25efffff,0xcffffffa,0x07ffb000,
    0xfff90000,0x0037bfff,0xfffffd00,0xfffd807f,0x6c001eff,0xfffffffe,
    0xbd10002e,0xffffe880,0x3fffa200,0x3ffea00f,0x7ffd43ff,0xfffea803,
    0x37fee1ef,0xff930002,0xffffffff,0x0000005b,0x00002fcc,0xeffffea8,
    0x00b7fee1,0x000fdc00,0x200017e2,0x03fffff9,0x3fffee20,0x0dffffff,
    0x2004a800,0x4001aca9,0x006200a9,0x0310054c,0x3fffffe6,0xfff92fff,
    0x009fffff,0x7fffffe4,0x000fffff,0x02b2e600,0x00079100,0x0dd54400,
    0x5d440000,0x51000abd,0x00000579,0x80c40000,0xfffffff9,0x3ffe62ff,
    0x02ffffff,0x018802a6,0x980ab980,0x5100001c,0x15799995,0x20000000,
    0x4000001c,0x1c980ab9,0x02440000,0x20001b80,0xfffffffa,0x54c005ff,
    0x001abdcc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x26666200,
    0x26009999,0x02a19999,0x98000cc0,0xeeeeeeee,0xeeeeeeee,0xeeeeeeee,
    0x77777440,0xeeeeeeee,0x00acccde,0x4cccccc0,0x33333101,0xeeee9803,
    0xeeeeeeee,0xeeeeeeee,0x3bb66eee,0x04eeeeee,0x7ddddddd,0x79b97300,
    0xdeda8001,0x00006a02,0x2e200015,0x0adc981d,0x3372e200,0x7744551a,
    0xeeeeeeee,0xcccdeeee,0x7744000a,0xeeeeeeee,0x10000eee,0xdddddddd,
    0x0005dddd,0x2f76ea20,0xeeee8802,0xeeeeeeee,0x03a0002e,0x3b6a1dc0,
    0x9806a02d,0x001bcdcb,0x6d41da80,0x5101440a,0xffffffb8,0xffb102ef,
    0x07a61dff,0x10000d30,0xfffffff7,0xdddddddf,0x03fffddd,0x3ffffae2,
    0xffeeffff,0x00bdffff,0xfffffec8,0xffffeb80,0x3ffea00f,0xffffffff,
    0xffffffff,0x510fffff,0x03bfffff,0x01dfff98,0x7fef7fd4,0xff5003ff,
    0x1d03bfff,0x3ffe2000,0x3ff26003,0x3fffee1f,0xffb801ff,0x3fffffcd,
    0xffffeb88,0xffeeffff,0x00bdffff,0x3fffaa20,0x00001cff,0x3ffffea2,
    0x200001cf,0xffffeffb,0xfeb8801e,0x001effff,0xa801db00,0x3fffee1f,
    0x980e81df,0xffecdffe,0x7e4c003f,0xfffd32ff,0x20fffd4b,0x7f446ffb,
    0xf5003fff,0x207fb07f,0x200002fa,0x4fffcffc,0x007fea00,0x039ffff5,
    0x3ffff2a6,0xfff3003f,0x7ffc401f,0x37fee00f,0x6fffa81a,0x81fff530,
    0x001ffffa,0xdf900dfb,0x05fffb81,0x7fff7fc4,0x00f50cff,0x037ffdc0,
    0x7fffff54,0xffffff91,0x0dfb80df,0x501ffecc,0x2039ffff,0xfffffca9,
    0x7ffcc003,0x2000005f,0x004ffffa,0x30ff6200,0x2007fffd,0x006ffff8,
    0x5effd400,0x26feca99,0xffffeff8,0xf30f50cf,0xfffa81df,0xfffea802,
    0xfffe8aff,0x9fffb1ff,0x442ffff8,0x5002ffff,0x13fe20df,0x80000df5,
    0x4fffcbfd,0x4017cc00,0x3002ffff,0x01bffffd,0x801fffb0,0x2e00fffe,
    0x7ffd404f,0xd81fe806,0xff003fff,0x206fd803,0x2a03fffe,0xffffd50d,
    0x40009fff,0x9806fffb,0xcaffff99,0xfffb11be,0x803fe609,0x7ffc03fe,
    0xffd3002f,0x7c001bff,0x00002fff,0x0bfffe20,0x01fe8000,0x003ffff1,
    0x0013fffe,0x3ffff600,0x2a1fffff,0xffffd50d,0xff889fff,0x1fffb02f,
    0xfff99980,0xffeacdaf,0xf13fff67,0xff705fff,0x0bf2009f,0xfb8effc8,
    0x7c00001f,0x009fff97,0xfff005f0,0xffc8005f,0xffc806ff,0x7ffe400f,
    0x2a01b200,0xf9806fff,0x06fff881,0x7dc05f98,0x3ffee01f,0x3ee07206,
    0x0006ffff,0x0017ff44,0x037bfff2,0xfb83fffc,0x201fcc07,0x4002ffff,
    0x006ffffc,0x0007fffe,0x3ffff000,0x13ee0000,0x00dfff50,0x000ffffa,
    0x3fffa200,0x0e43ffff,0x2fffffdc,0xa807ffd4,0x2e002fff,0x6545dfff,
    0x703bfe61,0x7ff40bff,0x880ff007,0x05ffffff,0xc9fdc000,0xc8004fff,
    0x2ffff803,0xffffb800,0x07ffdc05,0x803ffee0,0xfffa804c,0x3603d006,
    0x7ec01fff,0x017fe201,0x1c0dfff3,0x017bb710,0x40006000,0x6404fffa,
    0xffd80fff,0x3e01f401,0xb8002fff,0xf005ffff,0x00003fff,0x01ffff80,
    0x01ff8800,0x00ffffc4,0x001ffff4,0xfffd7000,0x5c40703b,0xffb80bdd,
    0x0bffe607,0x0ffffa80,0x00880600,0x201fffd4,0xffa804fa,0x00000fff,
    0x9fff937c,0xf0033000,0x20005fff,0x203ffffd,0x5c00fffb,0x0b200fff,
    0x01bffea0,0xfffa8164,0x9017e205,0xbb5007ff,0x00000003,0x7d400000,
    0x7fdc01ff,0x05ffc81f,0x3ffe01dc,0xffb0002f,0xfff007ff,0x8000003f,
    0x001affff,0xf803fe40,0xfd803fff,0x000003ff,0x00000188,0x2205ff98,
    0x2a003fff,0x00003fff,0x06ffe800,0xed8007ec,0x400003ee,0x3fff22fb,
    0x3e000004,0x30002fff,0x201fffff,0x5c00fffb,0x00200fff,0x8037ffd4,
    0x3fffa008,0xe805f900,0x000002ff,0x00000000,0x07ffea00,0x503fff50,
    0x0003dfff,0x0017fffc,0x0fffff98,0x00ffffc0,0x3ffe0000,0xefffffff,
    0xeffd801c,0xeeeeeeee,0xd804ffff,0x00003fff,0x00000000,0x3fea00c4,
    0x3fea003f,0x0000002f,0x302fffb8,0x000000bf,0xf91be200,0x000009ff,
    0x0017fffc,0x07ffff90,0x7003ffee,0x00001fff,0x000dfff5,0x40fffee0,
    0x1fff806f,0x00000000,0x20000000,0x5401fffa,0xfff01fff,0xf0003bff,
    0x40005fff,0x403ffffc,0x0c41ffff,0xffff0000,0xfffdd99b,0x77fc07df,
    0xaaaaaaaa,0x801aaaaa,0x0003fffd,0x00000000,0xffd71000,0x7d4007ff,
    0x000002ff,0x20dfff00,0x000002fc,0xc85f7000,0x16004fff,0x05ffff00,
    0x7fffc400,0x01fff706,0x000fffb8,0x06fffa80,0xdfff1000,0xf9807f50,
    0x200000ff,0xdc981db8,0x3331000a,0x33333333,0x2a033333,0x7d401fff,
    0xfff701ff,0x4003bfff,0x0002ffff,0x01bfffe2,0x7cc3ffff,0x3fe00001,
    0xffd981ff,0x7ff884ff,0x3f600000,0x000003ff,0x50003b50,0xf930003b,
    0x07fff37f,0x017ffd40,0x00076a00,0xff05fff7,0x0076a000,0x6437c400,
    0xd1004fff,0x2ffff800,0x7fff4000,0x0fffb81f,0x007ffdc0,0x37ffd400,
    0xfff90000,0x5400fe85,0x80001fff,0x2e1fffc9,0x01ffffff,0xffffffc8,
    0xffffffff,0xfffa81ff,0x0fffd401,0xffffff50,0x3ffe007f,0x7f40002f,
    0x3fe01fff,0x01df71ff,0x7fffc000,0x3ffff201,0x007ffcc4,0xfffd8000,
    0x26000003,0x3002fffc,0x4005fff9,0x3e22efd9,0x3ea003ff,0xc98002ff,
    0x44002fff,0x27d46fff,0x5fff9300,0x0bf20000,0x4013fff2,0x7ffc006b,
    0x7ec0002f,0xffb83fff,0x7ffdc00f,0xffa80000,0x2600006f,0x13e65fff,
    0x00bffea0,0xffffea80,0xfffff91f,0xdf900dff,0x55555557,0x209ffff5,
    0x5401fffa,0x64401fff,0x0dffffff,0x017fffc0,0x3ffff600,0x2bfffe03,
    0x00000dfc,0x200ffffc,0x262ffffe,0x00001fff,0x007fffb0,0xfffb3000,
    0xfd9805ff,0x5002ffff,0xfff10bff,0x7ffd4007,0x3ffa6002,0xc8002fff,
    0x03f61fff,0x3ffffa60,0xf880002f,0x09fff906,0xf800df30,0x40002fff,
    0xb84ffffb,0x7dc00fff,0xa80000ff,0x00006fff,0xfc87ffec,0x4fff9800,
    0x3e666000,0x1becafff,0x809fffb1,0xffb800ec,0x3ffea06f,0x0fffd401,
    0xffffd880,0x7fffc06f,0x7fdc0002,0x3ffe04ff,0x00004fff,0x803ffff0,
    0x225ffff9,0x00002fff,0x407fffb0,0x22001dd9,0x02fffe99,0x7fff4cc4,
    0x03ffb802,0x4007fff1,0x2002fffa,0x2fffe999,0x5fff8800,0x26600bf3,
    0x002fffe9,0xf902fd80,0x55555bff,0x40dffb97,0xfffcccc8,0xccccccdf,
    0x7ffd404c,0x0fffb85f,0x007ffdc0,0xccccccc8,0xcccffffd,0x4003cccc,
    0x5f8cfffa,0x1ffff100,0x7e415400,0xff00deff,0x804d80ff,0x200ffff9,
    0x5401fffa,0x4c001fff,0x911ffffe,0xbffff999,0x99999999,0x5ffffa80,
    0x0fffffe0,0xfff80000,0xffff801f,0x0037ffc7,0x3ff600a2,0x1fffa03f,
    0x17ffdc00,0x05fff700,0x2206ffb8,0x2a003fff,0x70002fff,0x20005fff,
    0x2fc9fffc,0x2fffb800,0x037cc000,0xfffffff9,0xdfffffff,0x7ffffcc0,
    0xffffffff,0x7cc07fff,0xffb86fff,0x7ffdc00f,0xfffff000,0xffffffff,
    0x0bffffff,0xf7fffd00,0x7fffc003,0x2a03a003,0x7e404fff,0x00b600ff,
    0x805ffff1,0x5401fffa,0x00d81fff,0xf9a7ffe4,0xffffffff,0x7fffffff,
    0x37fffcc0,0x007ffff0,0xffff8000,0xffffe801,0x00ffffa1,0xffd803c8,
    0xffff103f,0xfff50003,0x7ffd4005,0x01fffc02,0x4007fff1,0x0002fffa,
    0x0005fff5,0x1bf7ffe2,0x17ffd400,0x807f6000,0x999dfffc,0x6fea9999,
    0x17fffc00,0x3ffe6000,0x1fffa85f,0x007ffdc0,0x99999998,0x999efffb,
    0xff809999,0xffffffff,0xffffffff,0x3f64ffff,0x6b800eff,0x803fff50,
    0x2601fffb,0x27ffec00,0x00fffd40,0x3607ffea,0x37ffc403,0x005ffff0,
    0x5ffff980,0x007fffe0,0xffff0000,0xffffd003,0x07fffe43,0x6c007c40,
    0x3f603fff,0xff30006f,0x7fcc005f,0x3ffe602f,0x0fffe203,0x02fffa80,
    0x05fff500,0x7fffec00,0xfff50003,0x77cc0005,0xd9999999,0xd8804fff,
    0x7fffc006,0x7fd40002,0xfff984ff,0x3fffa602,0xffa80001,0xccc8006f,
    0xffcccccc,0xcccccdff,0x3fe22ccc,0x3e600eff,0x03fff503,0x001fffa8,
    0x01bffee0,0x200fffd4,0x6d81fffa,0x205ffc80,0x0002ffff,0x827fffd4,
    0x001ffffd,0x7fffc000,0x7fffc401,0x3fffe20f,0x01ba202f,0x101fffec,
    0x26000177,0x26002fff,0x3ea02fff,0x3fe605ff,0x3fea003f,0xff30002f,
    0x7cc0005f,0x30000fff,0x40005fff,0xfffffffe,0x04ffffff,0xff800d50,
    0x5c0002ff,0xf882ffff,0xfbf506ff,0x500005ff,0x0000dfff,0x003fff20,
    0x3bffff20,0x81bf220a,0x5401fffa,0x30001fff,0x2001ffff,0x5402fffa,
    0x3fd82fff,0xf027fd40,0x80005fff,0x442ffffb,0x01fffffe,0x7ffc0000,
    0x7ffd401f,0xffffb86f,0xfda88acf,0xfffb001f,0x98000007,0x26002fff,
    0x3e202fff,0xffb80fff,0xf50124ff,0x260007ff,0x40002fff,0x20005ffd,
    0x0002fff9,0x55555bf5,0x9fffb555,0xf001a200,0x80005fff,0xb01ffffc,
    0xb537dfff,0x5dfff75f,0x3ea00037,0x000006ff,0x0001fff9,0xfffffff1,
    0x401ffffd,0x5401fffa,0x88001fff,0x2002ffff,0x5c03fffc,0xffd83fff,
    0x803ffa01,0x0002ffff,0x30ffffe4,0x3ffff7fd,0xff800000,0x7fe401ff,
    0xfffd03ff,0xffffffff,0x7ffec007,0x4c000003,0x26002fff,0x7f402fff,
    0xfdb9cfff,0x4ebffffa,0x02fffdc0,0x02fff980,0x017fcc00,0x05fff300,
    0x2003fa00,0x2004fffc,0x7fffc003,0x7ff40002,0xfff100ff,0x2e5fffff,
    0x00bfffff,0x0dfff500,0x3ff20000,0xfb10000f,0xffffffff,0x1fffa803,
    0x00fffd40,0x027ffec0,0x1dffff50,0x3bfffe60,0x21fffec0,0x7c01ffb8,
    0x40002fff,0xf30ffffe,0x07fffe3f,0xfff00000,0x7ffe403f,0x3ff6205f,
    0x4fffffff,0x1fffec00,0x3e600000,0x3e6002ff,0x7fd402ff,0xb0efffff,
    0x9809ffff,0x003fffff,0x002fff98,0x40006f80,0x8002fff9,0xff9004fa,
    0x4000009f,0x0002ffff,0x2037fffc,0x0effffea,0x000b7fee,0x01bffea0,
    0x2aaaaaa0,0xbfffdaaa,0xaaaaaaaa,0x3ffff201,0xfa800dff,0x7fd401ff,
    0x7fdc001f,0xfff5006f,0x27ffffff,0xfffffffb,0xffdfb1ff,0x01bffbdf,
    0x005ffff0,0x26ffff80,0x3fffe0eb,0x7c000001,0xfd881fff,0xb800efff,
    0x1fffffff,0x3fffd800,0x7cc00000,0x3e6002ff,0xffa802ff,0x7fd43fff,
    0x3ffea03f,0x05ffffff,0x00bffe60,0x0007f500,0x002fff98,0xf9000fe8,
    0x000009ff,0x0017fffc,0x05ffff70,0x2e02ae60,0x2a00001f,0xf8006fff,
    0xffffffff,0xffffffff,0x804fffff,0x2000afc9,0x5401fffa,0x26001fff,
    0x0000ffff,0x41300000,0x001adea9,0x000bfffe,0x22ffffb8,0x01ffff81,
    0xff004400,0xdb9755ff,0x0019ffff,0x03fbca98,0x07fffb00,0x7cc01000,
    0x3e6002ff,0x2a6002ff,0x0007f100,0x3fe60000,0x7f40002f,0x7fcc0000,
    0x1fdc002f,0x09fff900,0x3fe03800,0xf10002ff,0x0000bfff,0x00001be2,
    0x000dfff5,0x33333333,0x335fffb3,0x01333333,0x50003b60,0xfa803fff,
    0xff1001ff,0x800005ff,0x80000bca,0xff8003f9,0xf10002ff,0xff00bfff,
    0xd80003ff,0x3ffffe01,0xbeffffff,0x1fc80001,0x7fffb000,0x202b8000,
    0x2002fff9,0x0002fff9,0x20003f60,0x30001cc9,0x40005fff,0x980005f9,
    0x7c002fff,0x7ffe4007,0x81320004,0x0002ffff,0x001ffffb,0x001fe600,
    0x0dfff500,0x3ff20000,0xf500000f,0x7d4005ff,0x7fd401ff,0xfffb001f,
    0xd8001009,0x40005fff,0x2000effe,0x0002ffff,0x001ffffb,0x0003ffff,
    0x3ffe03cc,0x099999af,0x17fc0000,0x3fffd800,0x30074000,0x4c005fff,
    0x00002fff,0x50003ff1,0x8001dfff,0x0002fff9,0x200007f6,0x2002fff9,
    0x7e4003fc,0xf30004ff,0x17fffc03,0x7fffd400,0x3ee00003,0x2a00002f,
    0x00006fff,0x001fff90,0x1fffae00,0x01fffa80,0x400fffd4,0xd006fffb,
    0xfffda800,0xffb30001,0x7ffc007f,0xffa8002f,0xfff003ff,0x2740003f,
    0x007fffe0,0x3fe20000,0xfffb0005,0x02dc0007,0x800bffe6,0x0002fff9,
    0x0009ff30,0x007fffb3,0x002fff98,0x0000bf50,0x400bffe6,0xfc8007f9,
    0xe88004ff,0x17fffc07,0x3fffee00,0x7dc00005,0x2a00006f,0x00007fff,
    0x001fff90,0x0fffc400,0x01fffa80,0x200fffd4,0x000ffff9,0x3ff6000d,
    0x7fdc0004,0x3fffe005,0x7ffdc002,0x3ffe005f,0x5f50002f,0x02ffff80,
    0xff880000,0xffe8000f,0x7f30003f,0x02fff980,0x00bffe60,0x07ffcc00,
    0x06ffa800,0x017ffcc0,0x7fd46f6a,0xff300001,0x13fa005f,0x13fff600,
    0x809fb100,0x1002ffff,0x00bffffb,0xdfff3000,0x20004c43,0x0007fffb,
    0x03fff900,0x06fe8000,0x00bffea0,0x4405fff5,0x5002fffe,0x3fee000d,
    0x7fd40003,0x3fffe002,0xfffb1002,0xfff800bf,0x7fb8002f,0x17fffc40,
    0xfe800000,0x80660bff,0x8005fffe,0x7d400ffa,0x3ea003ff,0x200003ff,
    0x260affff,0x037fcc00,0x80fffea0,0xfffffffa,0x3ea00004,0xffb803ff,
    0xfffe8003,0x3ffea006,0x3fffe602,0x3fee6203,0x00003fff,0x3ffffee0,
    0x6c001eff,0x0001ffff,0x02fffe80,0x0ffea000,0x03fffc80,0xb01fffdc,
    0x22009fff,0xff88006f,0x7f40000f,0x3ffe6006,0x3ee6203f,0x4003ffff,
    0x01effff9,0x05ffe988,0x027fffcc,0xff880000,0x03ffffff,0x03fffff1,
    0x0dffb310,0x009fff70,0x0027ffdc,0xfffff300,0xfd805dff,0x7fdc002f,
    0x3fff204f,0x00004fff,0x1027ffdc,0x005ffff9,0x77ffffe4,0xeecccccd,
    0x2207ffff,0xfffffffe,0xffffedce,0x000003ff,0x5bdfdb30,0xffff5000,
    0x200003bf,0x2effffc9,0x3f6e6000,0x3fea005f,0xff300eff,0xff701dff,
    0x555557ff,0x0bffb975,0x0effe540,0xfffca800,0xfffd1002,0xdb9dffff,
    0x07ffffff,0xfffff300,0xffffffff,0x5fffffff,0x7ffff4c0,0x000000bf,
    0x3effec88,0x3ffffa20,0xfeefffff,0x3fffffff,0x7ffff440,0xfffe8800,
    0x2200000f,0x202defec,0x003efeca,0x07ffff44,0x3fffff88,0x7f440000,
    0xffb80fff,0x05ffffff,0xffffffdb,0xffffffff,0x8bffffff,0xffffffe8,
    0xffffffff,0x0000acee,0x40000000,0xffffffeb,0x000effff,0xffffffa8,
    0x8007ffff,0x5001bcb9,0xffffffff,0x3fffee7f,0xf11fffff,0xffffffff,
    0xffffffff,0x0565c00b,0x2af2e000,0x7fff4400,0xffffffff,0x0aceefff,
    0x7fff4400,0xffffffff,0xffffffff,0x7f440fff,0xffffffff,0x000002ef,
    0xffee8800,0xffffffff,0xffffffff,0xff301fff,0x5fffffff,0xffffff30,
    0x00005fff,0x02f2a000,0xfffff300,0x7105ffff,0x40000179,0xfffffff9,
    0x000002ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xeeeeee88,0x83eeeeee,0xeeeeeee8,0xd33eeeee,0xdddddddd,
    0xdddddddd,0x1ddddddd,0x3bbbbba6,0xeeeeeeee,0x1002bcee,0xdddddddd,
    0x9bdddddd,0xd0001599,0xdddddddd,0xdddddddd,0x30bddddd,0xdddddddd,
    0xdddddddd,0x44bddddd,0xeeeeeeee,0xe883eeee,0xeeeeeeee,0xdddb3eee,
    0xdddddddd,0xddddd10b,0xdddddddd,0xdddddddd,0x77777447,0xeeeeeeee,
    0xddd30002,0x005ddddd,0xdddd5000,0x3a61dddd,0xeeeeeeee,0x0aceeeee,
    0x77777440,0xeeeeeeee,0x0000acde,0x3bbbbbba,0x04eeeeee,0xddddddd1,
    0x775c5ddd,0xeeeeeeee,0x775400ee,0x5eeeeeee,0xddddddd3,0xb05ddddd,
    0xdddddddd,0xaaaa80dd,0xaaaaaaaa,0x5555542a,0xaaaaaaaa,0x7fffd442,
    0xd3000cff,0x839fffff,0xfffffffa,0xffffffff,0xffffffff,0x7ff5c40f,
    0xdcceffff,0x0cfffffe,0xfffeb880,0xfeefffff,0x0befffff,0x3ffae200,
    0xeeeeeeff,0xffffeeee,0x3ffea207,0xeeeeeeff,0x7fffffee,0xfffffa88,
    0xea8800cf,0x01cfffff,0xbfffffb3,0x7fffcc03,0xeeeeeeff,0xffffeeee,
    0xffeb880e,0x0001efff,0x3fffee60,0xe800006f,0x202effff,0xfffffeb8,
    0xffffffff,0x7f5c400d,0xeeffffff,0x004fffff,0xffffb510,0x0037ffff,
    0x3dffff91,0xffff9101,0x4001bfff,0xcfffffa8,0xffffa880,0x64400bff,
    0x01cfffff,0xfffffff8,0x0fffffff,0x3ffffffe,0x0fffffff,0x04ffff98,
    0x5ffff880,0x033bff50,0x260ffff3,0xf501ffeb,0xea803fff,0x5002ffff,
    0x8139ffff,0xffffdb98,0x7fc4003f,0x7ec003ff,0x7ffd400f,0xffa8801f,
    0x3fffe607,0xfff88004,0xfffd005f,0x39ff500f,0xffffc800,0x7fffc401,
    0x2e000006,0x002fffff,0x3fffea00,0xfff5002f,0x7f5cc15f,0xfa801fff,
    0xea882fff,0x0001efff,0x37ffffec,0x0fffe200,0x7ffffcc0,0x3ff20007,
    0xfff9801f,0x3fea004f,0x3fe000df,0xffffffff,0x3fe0ffff,0xffffffff,
    0xf880ffff,0xf0003fff,0x3ee09fff,0x3fffcc04,0xf807fa20,0xf7001fff,
    0x3e007fff,0xd3001fff,0x001dffff,0x001ffff4,0x3e2007e4,0x22001fff,
    0x3ffe00fe,0xfff0002f,0x3ff6007f,0x04fa805f,0x4ffffa80,0x09ffff00,
    0x7fcc0000,0x00005fff,0x03fffffa,0x0ffffc40,0x09ffffd0,0x803ffff0,
    0x003ffffd,0x7ffffe40,0x0bfe6000,0xfffff500,0x0ffe4000,0x05ffff00,
    0x0027fec0,0x55555554,0x42aaaaaa,0xaaaaaaaa,0x2a2aaaaa,0xcffffaaa,
    0xaaaaaaaa,0xfffaaaaa,0xf71aaacf,0x0ffff300,0x7fc05f10,0x3f2001ff,
    0xff800fff,0x362001ff,0x000effff,0x0007fffd,0xfff001f1,0x0fb8003f,
    0x00bfffe0,0x017fff40,0x805fffc8,0xff88006b,0x3fa006ff,0x000003ff,
    0x3fffffe2,0xff980001,0x7c007fff,0x3a201fff,0x7c02ffff,0x7c401fff,
    0x0000ffff,0x01ffffec,0x20007fd0,0x002ffffc,0xf8007fd0,0xf5001fff,
    0x0000005f,0x7fc00000,0xffffffff,0xffffffff,0xffffffff,0x0b73ffff,
    0x00ffff30,0xffff80b6,0x7fff4001,0x1ffff805,0xffffb800,0x7fffd005,
    0x2007a000,0x4001ffff,0x3ffe00f8,0xffd0001f,0x3ff2005f,0x003c804f,
    0x01ffffd8,0x00ffffa0,0xfbff0000,0xb0000bff,0x00ffffbf,0x401ffff8,
    0x406ffff9,0xa801ffff,0x0005ffff,0x07ffffc4,0x00027e40,0x00dffff1,
    0xf000bf50,0xf3003fff,0x0000005f,0xaa800000,0xacffffaa,0xaaaaaaaa,
    0xfffeaaaa,0x0591aaac,0x00ffff30,0xffff80ae,0x7ffe4001,0x1ffff807,
    0xffffd000,0x7fffb009,0x2002a000,0x8001ffff,0x3fffe00a,0xfffd0001,
    0x3fff2005,0x4002c804,0x003ffffb,0x001fffec,0x3ebfe000,0x20000fff,
    0x7fff9ff8,0x0ffffc00,0x0fffffc0,0x003ffff0,0x00dffff1,0xbffff300,
    0x0006fb80,0x04ffffa8,0x0003fe20,0x3007fffe,0x000005ff,0x00000000,
    0x0003ffff,0x040bfffa,0x07fff980,0x7ffc0110,0x7fdc001f,0x7ffc00ff,
    0xff30001f,0xfd801fff,0x000003ff,0x000ffffc,0x0ffffc00,0x2fffe800,
    0x09fff900,0x7c400150,0xd8005fff,0x00003fff,0xfffebfc0,0x2ff20004,
    0x4007fff9,0xd801ffff,0x3e02ffff,0xff001fff,0x20000fff,0x302ffffc,
    0x200001ff,0x001ffffd,0x3e0007f9,0x3e601fff,0x8800002f,0x002bddba,
    0x7c003b50,0xd0001fff,0x80005fff,0x0007fff9,0x003ffff0,0x00ffffb8,
    0x000ffffc,0x07ffff90,0x003fffd8,0x7fffc000,0xff800001,0xfd0001ff,
    0x3f2005ff,0x800004ff,0x000ffffe,0x003fffd8,0xfabfc000,0x88000fff,
    0x7fff98ff,0x0ffffc00,0x1ffffe40,0x003ffff0,0x001ffffe,0x0ffffe80,
    0x0000ff44,0x0dffff10,0x4000df30,0xf301ffff,0x7000007f,0xdffffdff,
    0xfff93003,0x7fffc005,0xfffd0001,0xff980005,0xff00007f,0xfd8003ff,
    0xfff807ff,0x3e20001f,0x7ec06fff,0x0a6003ff,0x03ffff00,0x7fc00330,
    0xfd0001ff,0x3f2005ff,0x400004ff,0x002ffffc,0x007fffb0,0x3a7f8000,
    0xb8003fff,0x0ffff34f,0x01ffff80,0x02ffffc8,0x2007fffe,0x006ffff8,
    0x3fffe600,0x0001fec5,0x1ffffd40,0x80007fa0,0xfa81ffff,0x4400002f,
    0x7ff4c3fd,0xfffb303f,0x7fc005ff,0xfd0001ff,0x980005ff,0x00007fff,
    0x4003ffff,0x805ffff8,0x0001ffff,0x00fffff4,0x4007fffb,0x7ffc003b,
    0x002c801f,0x0007fffe,0x8017fff4,0x0004fffc,0x17fffe60,0x3fffd800,
    0x3fc00000,0x000ffff7,0x3ffe61ff,0x7fffc007,0xffffd801,0x07fffe00,
    0x0ffffea0,0xfff70000,0x0017f25f,0xffffd800,0x0009f701,0x541ffff8,
    0x800002ff,0xfff101fe,0xfd33103f,0x7fc005ff,0xfd0001ff,0x980005ff,
    0x00007fff,0x4003ffff,0x801ffffd,0x0001ffff,0x01ffffec,0x4007fffb,
    0x7ffc003d,0x002e801f,0x0007fffe,0x8017fff4,0x0004fffc,0x1ffffd10,
    0x7ffec000,0x7c000003,0x0ffffe27,0x3e65fb80,0x7fc007ff,0x7fc401ff,
    0x7ffc07ff,0x7ffc401f,0xd000006f,0x1df7ffff,0x7c400000,0x6f986fff,
    0xffff8000,0x000bfee1,0x5013ee00,0xfb80dfff,0x3fe002ff,0xfd0001ff,
    0x980005ff,0x00007fff,0x1003ffff,0x007ffffd,0x0007fffe,0x09ffff70,
    0x801fffec,0x7fc003fa,0x3ee201ff,0x3fffe002,0xfffd0001,0x3fff2005,
    0xff900004,0xd80005ff,0x00003fff,0x3ff23fc0,0x87fa006f,0x4007fff9,
    0x6401ffff,0x7c02ffff,0x7ec01fff,0x00001fff,0xffffff30,0x50000003,
    0xfe87ffff,0xfff80002,0x005ff71f,0x03ff1000,0x01ffff88,0x800bffea,
    0x0001ffff,0x0005fffd,0x007fff98,0x39ffff00,0xf9533333,0x4005ffff,
    0x0001ffff,0x02ffffd4,0x5559fffb,0xffd97555,0xffff8007,0xfdcccccd,
    0x3fe002ff,0xfd0001ff,0x3f2005ff,0xa80004ff,0x0004ffff,0x003fffd8,
    0x223fc000,0xa802ffff,0x3fffcc6f,0x07fffe00,0x04ffffa8,0x701ffff8,
    0x003dffff,0xfffb8000,0x0000004f,0x5c3ffff6,0xff00005f,0x0bff93ff,
    0x1ff20000,0x01ffffc0,0x4005fff3,0xeeeeffff,0xeeeeeeee,0x02ffffee,
    0x3fffcc00,0xffff8000,0xffffffff,0x8003ffff,0x0001ffff,0x037fffcc,
    0xfffffffb,0xffffffff,0xffff8007,0xffffffff,0x3fe002ff,0xffffffff,
    0xffffffff,0x9002ffff,0x80009fff,0x006ffff8,0x07fffb00,0x87f80000,
    0xe806fffc,0x3fffcc2f,0x0bfffe00,0x37ffff22,0xcffff800,0xfffedcba,
    0x0000003e,0x003ffffa,0x7fc40000,0x00ff8dff,0xdffff000,0x0009ffff,
    0xdddffb00,0xffdddddd,0x7fcc09ff,0x3ffe002f,0xccccccdf,0xfccccccc,
    0x40002fff,0x0007fff9,0x55bffff0,0xffffd955,0x7c005bff,0x40001fff,
    0x205ffff9,0x999bfffd,0xffca9999,0x7fffc003,0xcbaaaaab,0x3fe002ff,
    0xcccccdff,0xcccccccc,0x9002ffff,0x80009fff,0x001ffffd,0x07fffb00,
    0x87f80000,0x201ffff8,0xfff986f9,0x7fffc007,0xffffefff,0x3fe001ef,
    0xffffffff,0x000001ff,0x5ffffb80,0x2e000000,0x02feffff,0x3fffe000,
    0x04fffffc,0x577fc000,0xaaaaaaaa,0x2601aaaa,0x3e002fff,0xd0001fff,
    0x80005fff,0x0007fff9,0x803ffff0,0xdfffffa8,0x1ffff800,0x7ffd4000,
    0x3fff604f,0x007f3003,0x401ffff8,0x3fe002fa,0xfd0001ff,0x3f2005ff,
    0x2e0004ff,0x0003ffff,0x00ffff60,0x20ff0000,0x3605fffd,0x7fff983f,
    0x4ffffc00,0x09accba9,0x1ffff800,0x00ffffe6,0xff300000,0x0007ffff,
    0x7ffec000,0x7c00005f,0xfffa9fff,0x100004ff,0x00000fff,0x4005fff3,
    0x0001ffff,0x0005fffd,0x007fff98,0x03ffff00,0x3ffffa20,0x7fffc00e,
    0x7fdc0001,0x3ff603ff,0x00f6003f,0x003ffff0,0x7ffc005b,0xffd0001f,
    0x3ff2005f,0xff10004f,0x80000dff,0x0003fffd,0xf983fc00,0x7f881fff,
    0x00ffff30,0x001ffff8,0x1ffff800,0x00ffffdc,0xfe880000,0x00ffffe9,
    0xff100000,0x800003ff,0xff51ffff,0x00009fff,0x0001fff3,0x02fff980,
    0x007fffe0,0x017fff40,0x1fffe600,0x7fffc000,0x3ff62001,0x7ffc04ff,
    0x7e40001f,0x3f601fff,0x0ee003ff,0x03ffff00,0x7fc00590,0xfd0001ff,
    0x3f2005ff,0xfd0004ff,0x00001fff,0x003fffd8,0xd03fc000,0x7f909fff,
    0x01fffe60,0x003ffff0,0x3ffff000,0x00dfffb0,0x4ff60000,0x005ffff9,
    0x3ffe0000,0x7c00001f,0x3fe61fff,0x40004fff,0x0001fff9,0x017ffcc0,
    0x003ffff0,0x00bfffa0,0x0ffff300,0x3fffe000,0x7ffcc001,0x3ffe00ff,
    0x7f40001f,0x3f600fff,0x0a6003ff,0x03ffff00,0x7fc00330,0xfd0001ff,
    0x3f2005ff,0xfb8004ff,0x00002fff,0x003fffd8,0x503fc000,0x7c41ffff,
    0xffff300f,0x1ffff800,0xfff80000,0xffff881f,0x64000004,0x7fffdc4f,
    0xf0000003,0x00003fff,0x4c1ffff8,0x004fffff,0x00bffe20,0x5fff3000,
    0x0ffffc00,0x2fffe800,0x7ffcc000,0xfff00007,0xfff0003f,0x7ffc05ff,
    0x7fc0001f,0x7fec07ff,0x4000003f,0x0001ffff,0x01ffff80,0x05fffd00,
    0x013fff20,0x0bffff30,0x3ff60000,0x4000003f,0x7fff407f,0xf9813ee4,
    0x7fc007ff,0x800001ff,0xf501ffff,0x00005fff,0x7f41bea0,0x00000fff,
    0x01ffff80,0x7fffc000,0xfffff981,0x3ffe0004,0x30144006,0x7c005fff,
    0xd0001fff,0x80005fff,0x0007fff9,0x003ffff0,0x09ffff90,0x000ffffc,
    0x05ffff70,0x003fffd8,0x7fffc000,0xff800001,0xfd0001ff,0x3f2005ff,
    0x7f4004ff,0x00000fff,0x007fffb0,0x03fc0100,0x7c3fffea,0x3ffe600f,
    0x7fffc007,0xff800001,0x3ff201ff,0x400000ff,0xff300ff9,0x00000dff,
    0x003ffff0,0x1ffff800,0x9fffff30,0x3fffa000,0x980f2003,0x3e002fff,
    0xd0001fff,0x80005fff,0x0007fff9,0x003ffff0,0x07ffff70,0x000ffffc,
    0x06ffff88,0x003fffd8,0xfff004c0,0xf000003f,0x20003fff,0x9002fffe,
    0x64009fff,0x0002ffff,0xfffd8072,0x015c0003,0xffff00ff,0xf980bf77,
    0x7fc007ff,0x800001ff,0x7401ffff,0x00005fff,0xf900bfa2,0x00007fff,
    0x01ffff80,0x7fffc000,0x3fffe601,0xffc8004f,0x0f8800ff,0x00bffe60,
    0x001ffff8,0x005fffd0,0x07fff980,0x3ffff000,0xffffb000,0x0ffffc05,
    0xffffd800,0x3fffd801,0x807e2000,0x0001ffff,0x01ffff80,0x05fffd00,
    0x013fff20,0x027fffd4,0xfd803e00,0x740003ff,0x2e01fe00,0x01feffff,
    0x003fffcc,0x0007fffe,0x07fffe00,0x07ffff30,0x013f6000,0x00fffff4,
    0xffff0000,0xff800003,0x7fcc01ff,0x44004fff,0x202fffff,0x7fcc06e8,
    0x3ffe002f,0xffd0001f,0xf980005f,0xf00007ff,0xf0003fff,0x7c01ffff,
    0x98001fff,0xb004ffff,0x40007fff,0x7fffc06d,0xff800001,0xfd0001ff,
    0x3f2005ff,0xff8804ff,0x540006ff,0x1fffec06,0xf80b7000,0xffff8807,
    0xfff9806f,0x7fffc007,0xff800001,0xffb801ff,0x640001ff,0x3fe6005f,
    0x000006ff,0x0007fffe,0x03ffff00,0x9fffff30,0xffffb800,0xfda88acf,
    0x7ffd401f,0x3fffe003,0xfffd0001,0xffa80005,0xff00007f,0xfc8003ff,
    0x7fc03fff,0x7dc001ff,0xd000dfff,0x20007fff,0x7ffc03fa,0xf800001f,
    0xd0001fff,0x32005fff,0xfd804fff,0x20001fff,0x7ff405e8,0x7f30003f,
    0xf9007f80,0xf3005fff,0xff800fff,0x800001ff,0xb002ffff,0x0001ffff,
    0x90003fee,0x0009ffff,0x07fffe00,0xffff0000,0x3ffe6003,0x7f4005ff,
    0xffffffff,0xffb803ff,0x3ffe004f,0xffd0002f,0xfa80007f,0xf00007ff,
    0x5c003fff,0xf806ffff,0xb1001fff,0x800bffff,0x8003fffe,0x3e200ff8,
    0x00001fff,0x002ffff8,0x007ffff0,0x5017fff6,0x0007ffff,0x7f403fd8,
    0xfa8005ff,0x01fe200f,0x8037ffc4,0x000ffffa,0x000bfffe,0x0bfffe00,
    0x77fffc40,0x17fdc000,0xfffff800,0x7c400002,0x00002fff,0x00bfffe2,
    0xdfffffa8,0xfffb1000,0x09ffffff,0x1ffffd10,0x7ffff300,0xffff1000,
    0xffc80009,0x4c0001ff,0xa802ffff,0x00effffe,0x017fffcc,0x3ffffee6,
    0x7ffc4003,0x7fdc005f,0x7fffd406,0x7cc00003,0x88003fff,0xd005ffff,
    0x7c40dfff,0x20006fff,0x2202ffea,0x801fffff,0x406ffd98,0xfb001ffa,
    0x3ff2007f,0xff3001ff,0x800009ff,0x004ffff9,0x03bfffe6,0x03fff220,
    0x7ffff400,0x2600001f,0x0004ffff,0x0ffffe60,0xfffffd00,0x7fdc005f,
    0x401fffff,0xfffffff9,0xffd302ff,0x4c005fff,0x03fffffe,0xfffff500,
    0xd100015d,0xddffffff,0xffffdb99,0xfd1007ff,0x9bdfffff,0xdfffffd9,
    0xffd30007,0x999bdfff,0xfffd9999,0x7ff4c07f,0x0000afff,0xfffffe88,
    0xffb1000a,0x64017fff,0x80dfffff,0xeeeffffe,0xeeeeeeee,0xffffffee,
    0xffffd101,0xfddfffff,0x7fffffff,0x177ff4c0,0xa803fcc0,0x0aefffff,
    0x3ffffa60,0x880000bf,0x0cfffffe,0xfffff900,0xffa8817b,0x4000cfff,
    0xfffffffa,0x7440002d,0x00bfffff,0x7fff4400,0xfa800aff,0xefffffff,
    0x5953001b,0x44000003,0xfffffffe,0xe883efff,0xffffffff,0x75403eff,
    0xffffffff,0x74c00eff,0xffffffff,0xefffffff,0x74401bde,0xffffffff,
    0xeeefffff,0xfe8000ac,0xffffffff,0xffffffff,0x4c0fffff,0xfffffffe,
    0x4003efff,0xffffffe8,0x883effff,0xffffffee,0xfdb3efff,0xffffffff,
    0x3fffeabd,0xffffffff,0xffffffff,0x77447fff,0xffffffff,0xffffffff,
    0x4c1fffff,0xfffffffe,0x80f600ef,0xffffffea,0xd30effff,0xffffffff,
    0x88007dff,0xfffffffe,0xe803efff,0x3fffffff,0xfffffff9,0xff900dff,
    0xffffffff,0xfe8800ff,0xffffffff,0x3a6002ef,0xffffffff,0xff982eff,
    0xffffffff,0x00007fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x55500000,0x55555555,0x26201555,0x99999999,0x99999999,0x55409999,
    0xaaaaaaaa,0x54c02aaa,0xaaaaaaaa,0x2000aaaa,0x01b8000c,0x003d5000,
    0x03e88000,0x18000000,0x0cc00000,0x13100000,0x98048800,0x9b973004,
    0x65cc0017,0x20001bcd,0x00acdba8,0x015eedcc,0x33b72a60,0xcdca880b,
    0x3333101b,0x4cc41333,0x01999999,0x98333333,0x44500000,0x99999999,
    0x33333100,0x4cccccc3,0x33333101,0x2600e603,0xb9710003,0x200aa359,
    0xfffffffd,0x01ffffff,0x5555555b,0x55555555,0x8b555555,0xffffffff,
    0x00ffffff,0x3ffffff6,0x2fffffff,0x0001f300,0x2e00003f,0x4000001f,
    0x800004f9,0x81acecb9,0x333333f9,0x26662033,0x09ff7199,0x055ee4c0,
    0x1001ffd8,0x04e8809d,0x7fef7fd4,0x7f4c03ff,0x3fffecdf,0x6677dc00,
    0x7441effe,0x0efffeef,0x66fff440,0x3f62ffff,0x83ffffef,0xfffffffb,
    0x3ffffa63,0x6c40dfff,0xf10fffff,0x7995101d,0x2e9f7015,0xeffffffe,
    0xffffb303,0x3fffb21d,0xffeb80ff,0x4f880fff,0x2001fc40,0xfffcdffb,
    0xffd803ff,0xffffffff,0x00b01fff,0xfff16000,0xffffffff,0x7ec01fff,
    0xffffffff,0xb002ffff,0x1fb8001f,0x03f70000,0x4f980000,0x3fa60000,
    0x0dfffedf,0x7ff64bf3,0xfeb80fff,0xffe8ffff,0x3ff6a00f,0x20efffed,
    0xb005fff8,0x00fe801f,0xff703bf2,0x3bfe60bf,0x017ffd40,0x7d42fec4,
    0x45df12ff,0x501fffe8,0xffc88bff,0x7d42fdaf,0xffd885ff,0x3ffe607f,
    0x4ff9806f,0xfd30efb8,0x19ffffff,0xff703bee,0x3e600bff,0xffff301f,
    0x7fffc401,0xb805f700,0x1bf7002f,0x803ffd98,0xaaaaaaaa,0x00aaaaaa,
    0x1600000b,0x55555555,0x80555555,0xaaaaaaa9,0x00aaaaaa,0x2000ff98,
    0x00001ff8,0x000003f7,0x00004f98,0xfd985ff7,0xf305fcff,0x7c401fff,
    0xfffb8fff,0x883ff900,0x3fa1fffd,0x04fc806f,0xdfb027ec,0x21ffff40,
    0xfb02fff8,0x6fe801ff,0x3f3ffee0,0x6fff880f,0xf01fff88,0x2a03ffff,
    0xff982fff,0x7ffdc07f,0x206f9803,0xacffdefb,0xcfffca89,0xfffb00ef,
    0x013ea009,0xe801fffb,0x3fe00fff,0x007fe201,0x7f401ff3,0x80000003,
    0x0b000005,0x00000000,0x00ffe800,0x0007ffa0,0x0000fdc0,0x0013e600,
    0xe807ff20,0x3600efff,0x7f400fff,0x20bfb0ff,0x3f601ffd,0x05ff12ff,
    0x2e00ffa8,0x3ff700ff,0x237ffdc0,0xf500fffa,0x7fe405ff,0x7fffec01,
    0x0bfff203,0x7ec0fff5,0x7ff405ff,0x03fff907,0xb805fff8,0x77fdc01f,
    0x07ffd400,0x00dfff10,0xff9003f2,0xfffc801f,0x803fee00,0x3ee00efb,
    0x001fcc07,0x002c0000,0x00005800,0x10000000,0x2001fffb,0x0001fffc,
    0x00003f70,0x0004f980,0x22027fcc,0x3200fffe,0x7e400fff,0x505fcbff,
    0xff8809ff,0x402fdbff,0x3ea04ff9,0x0bff103f,0x5c6fff98,0x3fe607ff,
    0x0fff102f,0x03ffff50,0x2e2fffdc,0x3ff207ff,0x7ffec02f,0x03fff882,
    0x2007ffe4,0x04fc806e,0xb003fea0,0xbf001fff,0x01fff700,0x400fffb8,
    0xff100eff,0x00ffec0b,0x000000fa,0x40000160,0x00000005,0xffe98000,
    0x40999aff,0x9affffd8,0xf7000199,0x98000003,0x7f40004f,0xfffd801f,
    0x03ffee05,0x137fff70,0x007ffe20,0x007bfff2,0x4c03ffe2,0xff900fff,
    0x83bb5007,0x3e205ff9,0xbffb03ff,0x1ffff100,0x237ffd40,0x3f204ff8,
    0x7fe401ff,0x0dffd03f,0x203fff98,0x37cc03f9,0x202fd400,0x5404fff9,
    0xfffb801f,0x07ffdc00,0xb817fee0,0xbff904ff,0x99983b80,0x33101999,
    0x01603333,0x7302c000,0x000379b9,0x0157b930,0xffffff50,0x7ccdffff,
    0xffffffff,0x3f70007f,0xf9800000,0x3fe60004,0xffffd807,0x1fff701f,
    0x00fffb80,0x8803ffd4,0xfd007fff,0x3ffa207f,0x00bffa03,0xf5006200,
    0x3ffe07ff,0xffffb005,0xffffffff,0x90060fff,0xffffffff,0x9fffffff,
    0x807ffea0,0x3206fffa,0x00fec00f,0x7401fd80,0x037407ff,0x400fffb8,
    0xe800fffb,0x3ffe04ff,0x1efffa82,0x7fff6400,0xffeb80ff,0x00580fff,
    0xfd30b000,0x7fffd9bf,0xdffda800,0x200efffe,0xbfffdaa9,0x2aa62aaa,
    0xaaacfffc,0x03f70002,0x4f980000,0x1bfee000,0xfffb5f90,0x03ffee09,
    0x801fff70,0x36006ffc,0x7ec01fff,0xfffd00ff,0x00fffc01,0xfd710000,
    0xff107fff,0x3ff2009f,0xaaaaaaaf,0x4002aaaa,0xcdffffda,0xcccccccc,
    0xfff102cc,0x7ffff409,0xbf00bf02,0x027d4000,0x4c0bffee,0xfff7003f,
    0x0fffb801,0x02fffb80,0xff03fff7,0x8003bfff,0x200ffff9,0x580ffff8,
    0x98b00000,0x7fd40eff,0x3ff9002f,0x01fffd88,0x000fffb8,0x0003fff5,
    0x00007ee0,0x0009f300,0xf7037fec,0x417fff25,0x5c00fffb,0x7f400fff,
    0x3fee005f,0x3ffee03f,0x07fffb03,0x0007ffcc,0x5ffe4c00,0xf983fff9,
    0xff7004ff,0x2a00000f,0x0fffddfe,0x3ff20000,0xfff5f507,0x9805f50b,
    0x3e20004f,0x37ffc405,0xf7000fc8,0xffb801ff,0xfffd000f,0x03fffa03,
    0xbffffff7,0x7ffec003,0x07fff400,0x5800002c,0x6c0bffe2,0x7ec00fff,
    0x3fff602f,0x07ffdc02,0x01fffa80,0x003f7000,0x04f98000,0x417ffe00,
    0x3ffea3fa,0x01fff706,0x200fffb8,0x2004fff8,0xf305fffa,0x3fee0fff,
    0x7ffd407f,0x36600001,0x3ffe22ef,0x05fffa83,0x003fff50,0x8effdc00,
    0x0001fffc,0x20bffe60,0x81fff96e,0x02fa807d,0x6403f400,0x04f81fff,
    0x003ffee0,0x2001fff7,0xb80ffffa,0xffa86fff,0x003fffff,0xb801fff9,
    0x00580fff,0x7fd4b000,0x5fff500f,0x2027fd40,0x200ffff8,0x5000fffb,
    0x7dc03fff,0xffffffff,0xffffffff,0x11ffffff,0xffffffff,0xffffffff,
    0x9fffffff,0x4c37ffcc,0x3fffcc4f,0x400fffb8,0x2a00fffb,0x26005fff,
    0xfd107fff,0xfff303ff,0x7ffd401f,0xff500002,0x07fff10b,0x200dfff7,
    0x0002fffa,0x641efea8,0x00001fff,0x3e62fff4,0x447fff32,0x02fa804f,
    0x4403f400,0x0fdc5fff,0x01fff700,0x000fffb8,0x320bfff9,0xf9104fff,
    0x01bfffff,0x400fffb8,0x0580fffb,0x7dcb0000,0x3ffe607f,0x03fff102,
    0x409fff90,0x5000fffb,0x75403fff,0xeeeeeeee,0xeeeeefee,0x11eeeeee,
    0xdddddddd,0xddddfddd,0x7ddddddd,0x263fffcc,0x6fff885f,0x801fff70,
    0x2a00fffb,0x26006fff,0x3e605fff,0xfff505ff,0x27ffcc0b,0x1ffdc000,
    0xa83fff88,0xf3007fff,0xc80007ff,0xfff704ff,0xfb800005,0xfd1b60ff,
    0x4007dcdf,0x7c0004f9,0x1fffb005,0x3ee00374,0x7fdc00ff,0xfff8800f,
    0x5fff880e,0xffffd880,0x7ffdc06f,0x07ffdc00,0x5800002c,0xf8817fe6,
    0xfff503ff,0x3fffe200,0x01fff701,0x007ffea0,0x000fdc00,0x013e6000,
    0x8ffffc40,0x3ffe06f8,0x01fff704,0x200fffb8,0x2007fff9,0x5403fff8,
    0xff701fff,0x3ffe203f,0xb8aa000f,0x3fe206ff,0x7fff883f,0x0bfff500,
    0x17fee240,0x003fffa8,0x3ffe200c,0xffb87f13,0x7c00bd1f,0x13e60005,
    0x99fffd40,0x7fdc002f,0x7ffdc00f,0x0fffc800,0x001dff90,0x0fffff4c,
    0x801fff70,0x0580fffb,0x188b0000,0x81fffd40,0x36006ffc,0x3bae3fff,
    0xeeeefffe,0x03fff505,0x007ee000,0x09f30000,0x57fffc00,0xff100ee8,
    0x3ffee05f,0x07ffdc00,0x01ffff10,0x007ffe60,0xfd817fee,0x3fffe05f,
    0xff83a003,0x3ffe203f,0x03ffff03,0x05ffff50,0x3ffd8d10,0x01bffe60,
    0xffd803b8,0xff881f96,0x2002f9cf,0xf90000fe,0xbfff4003,0xffb8007c,
    0x7ffdc00f,0x0fffc400,0xd80fff88,0x27ffe400,0x801fff70,0x0580fffb,
    0x200b0000,0x3ffffeb8,0x400bffd0,0x3f24fffb,0xffffffff,0x3fff506f,
    0x07ee0000,0x9f300000,0x7ffec000,0x3e600feb,0xfff700ff,0x0fffb801,
    0x01ffffc0,0x000fff98,0x7f403ffb,0xdfffb01f,0x7ccd7001,0x3fe203ff,
    0xbfffd03f,0xfffff700,0x3e23d801,0x7ffc02ff,0x00f8801f,0x4fafffa8,
    0x0fbfff90,0x8006f980,0x7dc005f9,0x8004fbff,0x5c01fffa,0x7e400fff,
    0x0bff203f,0x3fe201ec,0x3ffee06f,0x07ffdc00,0x5800002c,0x4dffe4c0,
    0xff883fff,0x3fea004f,0x1fff706f,0x07ffea00,0x00fdc000,0x13e60000,
    0xffffa800,0x3ffd401f,0x803fff50,0x5c00fffb,0xf5006fff,0x7f4400df,
    0x417fe205,0x00effff8,0xfffa8fe6,0x0fffe605,0x007fffcc,0x13fffff6,
    0x3fea1fb8,0x7ffec05f,0x017a200e,0x00fffff8,0x009ffff3,0x44009f90,
    0x7c4000fe,0x8000ffff,0x2602fff9,0x2201fffe,0x3fe604ff,0x3201b603,
    0x3fee05ff,0x7ffdc00f,0x00000580,0x8bbf660b,0xf983fff8,0x3e6005ff,
    0xfff707ff,0x3ffea001,0x3f700001,0xf9800000,0x7ff40004,0x3ffc803f,
    0x80bffe60,0x801fffe9,0xd801ffff,0x7c4002ff,0x07fe601f,0x577fffe4,
    0xf11bf220,0xff701fff,0x3f2249ff,0x3fe204ff,0x9cefffff,0x7cc6feb8,
    0xff500fff,0xd503dfff,0x7fe4003f,0x7fff404f,0xdffb8001,0x07ffd400,
    0x2fffe400,0x6fff8800,0x5fffbf50,0x3602fe40,0x01fec05f,0xfb813fea,
    0x7fdc00ff,0x0000580f,0x0bff50b0,0xf507fff1,0x7c400dff,0xfff705ff,
    0x3ffea001,0x3f700001,0xf9800000,0x7fcc0004,0x3fe200ff,0x37ffc406,
    0x2fffdfa8,0x0efffb80,0x0017fe20,0x3ea02fcc,0xfffff105,0x1ffffdff,
    0x39ffffd0,0xffff5fb7,0xfff889d7,0xd5ffb02f,0xffffffff,0xffff01ff,
    0x65fec45d,0xedffffff,0x4c003fff,0x7dc01fff,0xefb8006f,0x730acffd,
    0x01dfbffb,0x02fff980,0x3bfff600,0xfbafda9b,0x221baeff,0x1be600ef,
    0xe807ff60,0x3fee00ff,0x7ffdc00f,0x00000580,0x103ffb8b,0xff307fff,
    0x7fc400ff,0x1fff703f,0x07ffea00,0x00fdc000,0x13e60000,0xffff7000,
    0x00ffe40b,0x4cefffec,0xfffbafda,0x3f201bae,0x3bf605ff,0x07ee0000,
    0x36203f70,0xffffffff,0xffff501f,0x3f61dfff,0xfb104fff,0x3f6617ff,
    0xffffd10e,0x2a07ffff,0xfeefffff,0x3ffff21f,0x004fffff,0xf100bfd0,
    0xefb8007f,0xfffffd50,0x3bee19ff,0x037f4000,0x3fffe200,0xff72ffff,
    0x7ec17fff,0x4007ec00,0x5c43fffd,0x7fdc01ff,0x7ffdc00f,0x00000580,
    0x1037fdcb,0xff107fff,0x3e6001ff,0xfff701ff,0x3ffea001,0x3f700001,
    0xf9800000,0x2fea0004,0x30adfffb,0x22001dfb,0xffffffff,0x7fffff72,
    0xdfffb801,0x0efd988a,0x806c8000,0x7ffe405d,0x5400dfff,0x543fffff,
    0xfb803fff,0x0dffffff,0x7ffffec4,0x7ffdc01e,0xeb80cfff,0x02ffffff,
    0x400bee00,0x3e2000fd,0xcdca980e,0x004fb80a,0x40001fd4,0x0effffea,
    0x260b7fee,0x00fcc01f,0xefffefd8,0xb800dffd,0x7dc00fff,0x000580ff,
    0x1fffcb00,0x207fff10,0x3003ffff,0x3ee01fff,0xff5001ff,0x2e00003f,
    0x4000001f,0xf30004f9,0x7fffec49,0x4000bfff,0x0efffffb,0x000b7fee,
    0xffffffd5,0x1800007d,0x2e600300,0x54c000ab,0x20006200,0x3001bca9,
    0x54400379,0x951002bc,0x88000137,0x000e6004,0x14000026,0x0000c800,
    0x2a02ae60,0x2002201c,0x98260008,0x2001acba,0x5c01fffa,0x00580fff,
    0x3fe6b000,0x3ffe203f,0x0dfff703,0xa81bfea0,0xf3001fff,0x775407ff,
    0xeeeeeeee,0xeeeeeefe,0x001eeeee,0xd0004f98,0x2b2ea20b,0xac980002,
    0x0001ca80,0x001acb98,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfff30000,0x7fff4c05,
    0x00000581,0x817ffeab,0x3e03fff9,0xfd801fff,0x3ffe602f,0x7fc406c3,
    0xeea8e45f,0xeeeeeeee,0xeeeeeeee,0x001eeeee,0x10003e88,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3e200000,0xfbf506ff,0x000b05ff,
    0x7ffc5600,0xffffb80f,0xdfff7124,0x02ffc401,0x2affffe2,0x3fffe03d,
    0x00004cac,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0xa9befffd,0xefffbafd,0x0000b1ba,0xffffe960,0xffafdb9c,
    0xfc84ebff,0x3bf605ff,0xffffd800,0x7ffe405f,0x888886ff,0x88888888,
    0x88888888,0x22222088,0x88888888,0x88888888,0x00000088,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7ffffc40,0xfff72fff,0x001619ff,
    0xfff52c00,0x361dffff,0x2e04ffff,0x988adfff,0x71000efe,0x90017dff,
    0xfa819fff,0xffffffff,0xffffffff,0xf57fffff,0xffffffff,0xffffffff,
    0x00ffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfd500000,
    0x7dc3dfff,0x000582df,0xfffa8b00,0x7ffd43ff,0xfffea803,0x0003efff,
    0x300c0006,0xbbbbbbbb,0xbbbbbbbb,0x2bbbbbbb,0xeeeeeee9,0xeeeeeeee,
    0x5eeeeeee,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x1c980ab9,0x3bbbbb60,0xeeeeeeee,0xeeeeeeee,0x44015306,0x59730001,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2a200000,
    0x2202bddb,0x0000000b,0x0aa00000,0x055ee4c0,0x541da800,0x36e200ad,
    0x00adc981,0x4cccccc4,0x4cccc199,0x5b500099,0x8015b950,0x1001bdb9,
    0x33333333,0x33333333,0x4cccccc4,0x26660999,0x00099999,0x00600000,
    0x0072a000,0x3002e200,0x80001575,0x54c0000b,0x37731000,0x2602a801,
    0x4d54c00b,0x15753000,0x55555440,0xaaaaaaaa,0xaaaaaaaa,0x555511aa,
    0x55555555,0x55555555,0xd9103555,0x200017bd,0xfb80002c,0x1effffef,
    0x001cff88,0x00000000,0x5409ff71,0xfffedffd,0xffc9800e,0xbfffd32f,
    0x43fff930,0x1ffffffb,0x3ffffa60,0x7fec5fff,0x32204fff,0x3faa2fff,
    0xfa84ffff,0x805fffff,0xfffffffc,0xffffffff,0xffffd51f,0x7f47dfff,
    0x43efffff,0x1d10003c,0x0009ff00,0x003ffcc0,0x203ff930,0x3fffffd8,
    0x009f3000,0xdffff910,0x7fffdc05,0xdff902ff,0x2a0fff70,0x03ffdbff,
    0x3f66b7a6,0xffff881e,0xffffffff,0xffffffff,0xfff34fff,0xffffffff,
    0xffffffff,0xe989ffff,0x3effffff,0x0007e200,0x74c3fd88,0xfeb83fff,
    0x000002df,0xff930000,0x3ff2019f,0x0fffec41,0xfffffea8,0xfffffe8a,
    0xfffffd51,0x3fffff23,0xfe8806ff,0xff704fff,0x3ff6601b,0xdff72fff,
    0x5c5fffff,0xffffffff,0x55f7e403,0xfaaaaaaa,0xffd04fff,0x3ff201df,
    0x07fd102e,0x402ff880,0x00007ffa,0x0003ffea,0x207ffb72,0xffecefe8,
    0xffe8004f,0x5df6c000,0xffd07ffd,0x0bff9559,0xfe83fffd,0x227e42ff,
    0x3fb05ffb,0x5440ffe8,0xaaaaaaaa,0xaaaaaaaa,0x11aaaaaa,0x55555555,
    0x55555555,0x9f755555,0xda9adfe8,0x401cffff,0x7f40007b,0x3ffff101,
    0x2fbff6a0,0x00000000,0x02effda8,0xfb017fec,0xf33305ff,0xd59b5fff,
    0x7ccccfff,0x1becafff,0x009fffb1,0x20dfffd1,0x4cc404fd,0xaecafffe,
    0x5dbffee0,0x3ffea1bf,0x003b201f,0xb81bffee,0x3fa04fff,0x1ff4400d,
    0x802ff880,0x00007ffa,0x00013f62,0x1f903ff7,0x001fffa8,0x8017f7ee,
    0x43ffc85b,0xfe880dfc,0x20ffffc3,0x3e62ffff,0x42ffe80f,0x2ffc87f9,
    0x00000000,0x27c40000,0x3aa203f7,0x220befff,0x2e0003fc,0x7ffd404f,
    0x7ffe4c06,0x0000000c,0x0efff5c4,0x2027fd40,0x200ffff8,0x545dfffb,
    0xdfff901c,0x1fffe01b,0x17fffcc0,0xf7001be6,0x3201bdff,0x501edfff,
    0x26c09fff,0x07fffcc0,0x107fff50,0x744007fb,0x17f4403f,0x17fe2154,
    0x00000151,0x81ffb800,0x07ffb02e,0x17edbe20,0x5ff10080,0x3e2037cc,
    0x03fffe0f,0x7f43ffff,0x88fff506,0x03ffb83e,0x00000000,0xb27c4000,
    0x3ff2600b,0x06ffefff,0x007fe200,0x003ffff1,0x03bfff71,0xfc880000,
    0xf1000cff,0xff9003ff,0x7ffd409f,0x7fd4000f,0x7ffe404f,0xdfff7000,
    0x0003fa21,0x9809fff5,0x7c00efff,0x00b605ff,0x805ffff1,0x7442fff9,
    0xfe88002f,0x705fd103,0x1ff41dff,0x0001fff7,0x7fd40000,0x0ffd4001,
    0xdf12fd80,0x46fa8000,0x2fb802fb,0x3f61fff6,0x817fe0ff,0x64401fff,
    0x00003ffe,0x00000000,0x003d27c4,0x9ffffb50,0x07fc8000,0x007ffff0,
    0x02effea8,0x7fecc000,0x7d4000be,0xfff1007f,0x3ffea03f,0xfffa8003,
    0x0fffdc01,0x29fffb00,0xf98001fd,0x7fc402ff,0x6ffe804f,0xffb00260,
    0xfff3009f,0x0017f445,0xe887fd10,0xdfff902f,0x7fdcbf21,0x000001ff,
    0x007fea00,0x2600df70,0x001fdc5f,0x0fd81dd0,0x3f24f980,0x27ffc86f,
    0x3fa06ff9,0x739b302f,0x000007ff,0x80000000,0x000064f8,0x6c000022,
    0xeeeeeeff,0x4ffffeee,0xfffb3000,0x75400017,0x20002dff,0x36006ffc,
    0xff503fff,0xff50005f,0xfffa803f,0x3ffe2001,0x30003fcf,0xff005fff,
    0xdffd009f,0x7ffdc000,0x5fff3006,0x00007fe6,0x7f44ffe2,0x3fffa202,
    0xffb8fa9f,0x000004ff,0x00ffd400,0x7400ffa0,0x000fe80f,0x3606fed4,
    0x24f9800f,0xffa84ffb,0xd81ffe66,0x22fc82ff,0x99983ffb,0x99999999,
    0x99999999,0x00009999,0x0027c400,0xf0000000,0x555555df,0x35555555,
    0xffc88000,0xf91001cf,0x000039ff,0x5c00bffd,0xff504fff,0xff50005f,
    0xfffa803f,0x7ffd4001,0x3e60005f,0xfff802ff,0x06ffd804,0x1ffff300,
    0x2bffe600,0x00001ff9,0x0bfaffe2,0x67ff6540,0x41beffcf,0xfffffffb,
    0xffffffff,0xffffffff,0x001ffa81,0x7dc01be6,0x400bf503,0x22fffffd,
    0x3fa801fc,0x3e60ffe6,0x03ffe25f,0xfb107fe4,0x443ffb87,0xffffffff,
    0xffffffff,0x4fffffff,0x7c400000,0x00000004,0x00fff100,0xb8800000,
    0xb302dffe,0x00017fff,0x013ffe20,0x506fffa8,0x50005fff,0xfa803fff,
    0xfd8001ff,0x260003ff,0xff802fff,0x6ffd804f,0xffff8800,0x3ffe6002,
    0x0004fffc,0x017ffc40,0xaeffb880,0x3bbbaa00,0xeeeeeeee,0xeeeeeeee,
    0xffa81eee,0x01dd1001,0xfd80df10,0x7fecc001,0x36013ea7,0x407fe21f,
    0x1fffc3ff,0x7fec6fd8,0x221ffdc0,0xcccccccc,0xcccccccc,0x2ccccccc,
    0x64400000,0x00000002,0x01fff300,0x20000000,0xd11effea,0x00005dff,
    0x00bfff30,0xa83fffcc,0xa8002fff,0x7d401fff,0xf88001ff,0x30001fff,
    0xff005fff,0xdffb009f,0x9fffb000,0xbfff9800,0x0003ffff,0x00fffe20,
    0xffdf9510,0x0000017b,0x0ffd4000,0xb001fd80,0x06f8805f,0x743ffb00,
    0x217ee02f,0x85fd00fe,0x3fd06ffb,0x7dc0fff8,0x0000004f,0x00000000,
    0x00000000,0x000fffcc,0xc8800000,0xffd12fff,0x8000017d,0x2006fffa,
    0xf505fff8,0xf50005ff,0xffa803ff,0xffa8001f,0xf30006ff,0xfff005ff,
    0x0dffb009,0x06fffb80,0x9afff980,0x0001ffff,0x3febff88,0xdfffe980,
    0xcffff9f9,0x00000000,0x6400ffd4,0x0bf3000e,0x2000ff20,0x3fe63ff9,
    0x03ff660c,0x80fc81b6,0x3ee0cffd,0xaaeffe84,0x42beffed,0xe885100a,
    0xeeeeeeee,0x000000ee,0x00000000,0x05fff100,0x98000000,0x980beffd,
    0x000cfffc,0x0ffff300,0x81fffc40,0x8002fffa,0x5401fffa,0x44001fff,
    0x04fffcdf,0x02fff980,0xd804fff8,0x3e6006ff,0x98000fff,0xfff72fff,
    0x7c40001d,0x407fd12f,0xf54ffffa,0x0dfffd11,0xa8000000,0x076c01ff,
    0x4001fd00,0xff8000fe,0x7ffff4c1,0x0b701eff,0xfff903dc,0x3ea05fd9,
    0xff89efff,0x5fff10df,0xf10fffa8,0xffffffff,0x000001ff,0x00000000,
    0x037ffc00,0x20000a20,0x002dffea,0x03bfff71,0xffff8800,0x3fff3000,
    0x00bffea0,0x007ffea0,0x8003fff5,0x3fffd0fe,0x2fff9800,0x804fff80,
    0xf1006ffd,0x20005fff,0x3f62fff9,0xd10005ff,0x03fe885f,0x7ec9fffb,
    0x03fffd12,0x54000000,0x0bd101ff,0x09f70f62,0x4004fa80,0x3f6e06fa,
    0x004403de,0xbca88011,0x0ddc400a,0xfff70b2e,0x14fffd8d,0xffffffff,
    0x00001fff,0x00000000,0x7fff4000,0x000f2003,0x0e7ffdc4,0xdffd5000,
    0x7ffc0005,0xfff3003f,0x0bffea01,0x07ffea00,0x003fff50,0xfff30fe4,
    0x7fcc001f,0x4fff802f,0x006ffd80,0x1009fffb,0xd0bffe60,0x88009fff,
    0x7fd102fe,0xff87ff30,0x0017f624,0x20001fe4,0xfe982ffb,0xffeeeeee,
    0x4001be20,0x216541fd,0x00000fe9,0x00000000,0x3ffee000,0x89fffec5,
    0xbbbbbbbb,0x00000bbb,0x00000000,0x3fff2000,0x00f8800f,0x5fffe4c0,
    0x36600000,0x4000bfff,0x5006fffb,0x7fd40dff,0xffa8002f,0x7ffd401f,
    0x907f5001,0x4c00bfff,0xff802fff,0x6ffd804f,0x06fffb80,0x3ffe60d0,
    0x17fffc42,0x403fe880,0xf3003fe8,0x540000df,0x98000fff,0x31adffea,
    0xffffffff,0x02fd89ff,0xfe8df100,0x00cfedff,0x00000000,0x44000000,
    0x7f4c1ffe,0x0000000e,0x00000000,0xff880000,0x3a202fff,0x3ff6a006,
    0x4000002e,0x01cfffc8,0x007fffe0,0xfa80bff6,0xfa8002ff,0x7fd401ff,
    0x05f8801f,0x400bfffa,0xf802fff9,0xffd804ff,0x7fffcc06,0x3e60d000,
    0xfffa82ff,0x1ff4401f,0x803ff880,0x00007ffa,0x0003ffe6,0x2aaaaaa6,
    0x55555531,0x19815555,0x220c4000,0x000abcca,0x00000000,0x0c000000,
    0x00000060,0x00000000,0xf7000000,0x1159ffff,0x8803ffb5,0x001dffeb,
    0x75c40000,0xfb802dff,0x3e200eff,0x7ffd405f,0xfffa8003,0x17ffd402,
    0x9803fa20,0xa800ffff,0xff803fff,0x7ffe805f,0x0bfffa20,0xffa83540,
    0xffff903f,0x00ffa201,0x9805ff10,0x400006ff,0x000002db,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3ffffa00,
    0x3fffffff,0x33fff220,0x00000000,0x03effea8,0xb02fffe4,0xffb801df,
    0xffc8005f,0x7ffdc03f,0x401fec03,0x400efffd,0x4404fffb,0xfe805fff,
    0xfffb00ff,0x41be2009,0x3a04fffb,0x7900efff,0x003a2000,0x000007ae,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fffff62,0xb504ffff,0x00005dff,0x32600000,0xf700cfff,
    0xd3115bff,0xff9801df,0x2a003fff,0x300effff,0x101dffff,0x4401bffb,
    0x01effffe,0x01ffffd1,0x0bffff62,0x27fffdc4,0x55ffffdc,0xdcbaaaaa,
    0xffe985ff,0xfffb00ef,0x000015df,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7ffffdc0,
    0xbff101ff,0x00000003,0x3ff22000,0x3fffaa04,0x5403efff,0xffffffff,
    0x3ffea05f,0x73ffffff,0xffffffff,0x3fffe63f,0xfffa81ff,0x267fffff,
    0xffffffff,0xfffff34f,0x7f4dffff,0x5fffffff,0xfffffff1,0xffffffff,
    0x7ffdcbff,0x23ffffff,0xfffffffe,0x0000004f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x4401aca9,0x0000000c,0x0ea00000,0x00d65cc0,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_50_latin_ext_x[560]={ 0,5,2,0,2,1,1,1,1,1,3,0,2,1,
3,0,1,5,0,1,0,2,1,1,2,1,3,3,0,0,0,2,2,0,0,1,0,0,0,1,0,1,0,0,
0,0,-1,1,0,1,0,2,1,0,0,0,0,0,0,3,0,1,0,-1,2,1,-1,1,1,1,1,1,0,1,
-4,0,1,0,0,1,-1,1,0,2,0,0,0,0,0,0,0,6,3,3,0,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,0,5,2,1,0,0,
3,3,1,1,-1,1,0,1,1,-1,2,0,0,0,5,2,-1,3,4,2,0,1,2,2,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,1,1,1,1,0,-1,1,1,1,1,1,3,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,0,1,1,1,1,1,0,0,0,0,0,0,0,-1,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,0,1,0,0,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,0,0,0,0,-1,0,-1,1,-1,1,1,1,1,1,1,0,-4,0,0,0,0,1,0,
1,0,1,0,1,0,0,-1,0,-1,0,-1,0,0,0,0,1,1,1,1,1,1,1,1,0,0,0,0,0,0,
2,2,2,2,2,2,2,2,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,0,6,6,0,6,6,6,
6,6,6,6,6,6,6,6,6,6,3,1,6,6,6,6,6,6,6,6,6,6,6,6,6,0,0,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,0,1,1,0,1,
1,0,0,0,0,0,0,0,0,0,0,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,0,1,-1,1,1,0,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6, };
static signed short stb__times_50_latin_ext_y[560]={ 40,9,9,9,7,9,9,9,8,8,8,13,35,28,
35,8,9,9,9,9,9,10,9,10,9,9,19,19,14,20,14,9,8,9,10,9,10,10,10,9,10,10,10,10,
10,10,10,9,10,9,10,9,10,10,10,10,10,10,10,9,8,9,9,47,9,19,8,19,8,19,8,19,8,8,
8,8,8,19,19,19,19,19,19,19,13,19,19,19,19,19,19,8,8,8,25,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,40,18,10,9,14,10,
8,9,10,9,9,19,20,28,9,5,9,13,9,9,9,19,10,22,39,9,9,19,9,9,9,18,0,0,0,1,
2,2,10,9,0,0,0,2,0,0,0,2,10,1,0,0,0,1,2,15,9,0,0,0,2,0,10,8,9,9,
9,10,10,8,19,19,9,9,9,10,9,9,9,10,8,10,9,9,9,10,10,16,18,9,9,9,10,9,8,10,
3,12,1,10,9,19,0,9,-1,9,2,10,0,9,0,8,10,8,3,12,0,10,2,10,10,19,0,9,-1,9,
1,10,2,10,9,7,-1,-1,10,8,1,10,3,12,0,10,10,8,2,19,10,8,-1,9,10,8,19,0,0,10,
8,9,8,10,8,10,8,0,9,10,19,0,9,9,9,19,3,12,0,10,0,9,9,19,0,9,10,19,0,9,
0,9,-1,9,9,19,0,9,10,13,0,8,10,13,1,10,3,12,0,10,0,8,0,9,10,19,-1,9,-1,9,
2,0,9,2,10,0,9,8,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,9,11,11,9,11,11,11,
11,11,11,11,11,11,11,11,11,11,5,18,11,11,11,11,11,11,11,11,11,11,11,11,11,5,18,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,0,9,0,9,0,
9,0,9,-1,6,-1,2,-1,3,-1,2,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,-6,-1,-1,9,-1,9,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11, };
static unsigned short stb__times_50_latin_ext_w[560]={ 0,6,14,22,19,36,33,6,14,13,17,25,7,13,
6,13,20,13,21,18,22,18,20,20,18,20,6,7,25,25,25,17,39,33,28,28,31,27,24,31,32,13,18,33,
27,40,33,30,24,30,31,21,26,33,33,43,33,32,27,11,13,11,21,24,8,19,23,18,22,18,19,21,23,11,
13,23,11,35,23,21,23,22,16,14,13,23,23,33,23,23,20,13,3,14,25,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,6,18,21,22,23,
3,17,13,32,14,21,25,13,32,24,14,25,13,12,8,23,22,6,7,9,14,21,32,31,34,18,33,33,33,33,
33,33,40,28,27,27,27,27,13,13,13,13,31,33,30,30,30,30,30,19,30,33,33,33,33,32,24,22,19,19,
19,19,19,19,28,18,18,18,18,18,11,11,13,13,20,23,21,21,21,21,21,25,22,23,23,23,23,23,23,23,
33,19,33,19,33,22,28,18,28,18,28,18,28,18,31,28,31,23,27,18,27,18,27,18,27,20,27,18,31,21,
31,21,31,21,31,21,32,23,32,23,15,15,15,15,13,14,15,14,13,11,31,21,18,17,33,23,23,27,11,27,
11,27,17,27,15,27,13,33,23,33,23,33,23,28,30,20,30,21,30,21,30,21,38,31,31,16,31,16,31,16,
21,14,21,14,21,14,21,14,26,13,26,19,26,13,33,23,33,23,33,23,33,23,33,23,33,25,43,33,32,23,
32,27,20,27,20,27,20,19,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,31,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,30,24,23,23,23,23,23,23,23,23,23,23,23,23,23,37,25,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,33,19,13,13,30,
21,33,23,33,23,33,23,33,23,33,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,33,19,40,28,30,22,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23, };
static unsigned short stb__times_50_latin_ext_h[560]={ 0,32,14,32,37,33,32,14,42,42,19,24,13,4,
6,33,32,31,31,32,31,31,32,31,32,32,22,29,22,10,22,32,42,31,30,32,30,30,30,32,30,30,31,30,
30,30,31,32,30,40,30,32,30,31,31,31,30,30,30,40,33,40,17,3,8,22,33,22,33,22,32,31,32,32,
42,32,32,21,21,22,31,31,21,22,28,22,22,22,21,31,21,42,42,42,7,29,29,29,29,29,29,29,29,29,
29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,0,32,39,32,22,30,
42,40,6,32,14,22,10,4,32,3,15,24,17,17,8,31,40,6,10,17,14,22,33,33,33,32,40,40,40,39,
38,38,30,40,40,40,40,38,40,40,40,38,30,40,41,41,41,40,39,20,33,41,41,41,39,40,30,33,32,32,
32,31,31,33,22,30,32,32,32,31,31,31,31,30,33,30,32,32,32,31,31,18,24,32,32,32,31,41,42,40,
37,29,39,31,40,30,41,32,42,32,39,31,41,32,40,33,30,33,37,29,40,31,38,31,39,30,40,32,42,41,
40,40,39,40,40,43,41,41,30,32,39,30,37,28,40,30,39,41,38,21,31,42,42,41,39,41,21,40,40,39,
41,31,32,30,32,30,32,41,31,39,30,41,31,31,32,31,38,29,41,31,41,32,32,22,40,31,39,30,40,31,
41,32,42,32,40,30,41,32,41,38,40,33,30,28,40,31,38,29,41,31,41,33,41,32,39,30,42,32,41,41,
38,40,31,38,30,40,31,32,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,32,29,29,41,29,29,29,
29,29,29,29,29,29,29,29,29,29,36,23,29,29,29,29,29,29,29,29,29,29,29,29,29,36,23,29,29,29,
29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,40,32,40,31,41,
32,41,32,42,35,42,39,42,38,42,39,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,
29,29,29,29,29,29,29,29,29,29,46,42,41,32,43,33,29,29,29,29,29,29,29,29,29,29,29,29,29,29,
29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,
29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,
29,29,29,29,29,29, };
static unsigned short stb__times_50_latin_ext_s[560]={ 505,505,378,466,276,263,317,503,386,372,260,
145,503,437,505,433,366,497,79,177,101,162,103,262,351,370,502,501,46,423,20,
277,283,72,61,156,90,122,150,124,175,208,202,443,250,278,221,1,319,278,344,
411,34,325,359,417,376,410,222,489,324,187,328,119,500,286,69,267,171,1,196,
478,390,378,88,1,500,159,111,72,283,392,94,494,105,448,424,367,135,1,195,
102,136,357,475,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,505,505,491,
391,401,165,501,138,423,70,408,245,449,437,433,144,363,119,314,350,502,138,404,
505,501,304,393,472,1,470,34,428,86,52,212,387,146,180,39,309,110,156,29,
214,15,1,491,498,80,338,213,244,182,57,63,240,116,328,112,180,160,120,352,
93,257,237,217,20,40,223,338,189,51,32,489,1,60,255,267,497,338,208,320,
298,276,163,415,278,171,153,129,105,238,35,401,28,242,49,126,281,153,457,275,
481,1,414,228,307,59,359,363,194,292,147,312,477,395,437,118,456,463,377,213,
25,469,435,241,305,315,341,273,35,335,362,1,342,371,441,296,496,327,426,421,
368,437,500,106,174,230,414,194,88,216,435,423,35,316,475,449,398,433,324,467,
282,326,1,253,1,214,185,245,181,87,69,304,141,383,44,66,306,372,461,94,
480,246,124,489,413,30,447,88,277,413,482,386,484,1,243,138,91,457,301,1,
1,248,393,214,300,146,55,281,112,425,1,456,432,451,184,350,59,232,427,371,
462,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,185,25,25,158,
25,25,25,25,25,25,25,25,25,25,25,25,25,378,220,25,25,25,25,25,
25,25,25,25,25,25,25,25,340,194,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,455,35,
199,25,52,295,124,387,323,409,249,257,196,35,140,347,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,1,116,83,216,57,447,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25, };
static unsigned short stb__times_50_latin_ext_t[560]={ 41,1,552,328,255,294,361,394,1,1,552,
522,409,563,34,255,328,361,394,328,394,427,361,394,361,361,255,133,552,552,552,
361,1,427,491,361,491,491,491,361,491,491,427,491,491,491,427,361,491,133,491,
328,491,427,427,427,491,491,491,133,294,174,552,547,449,522,294,522,294,552,328,
427,294,294,1,328,294,552,552,552,394,394,552,522,522,522,522,522,552,459,552,
1,1,1,552,522,522,522,522,522,522,522,522,522,522,522,522,522,522,522,522,
522,522,522,522,522,522,522,522,522,522,522,522,522,522,522,522,522,41,91,174,
361,522,459,1,133,563,361,552,522,552,563,328,547,552,522,552,552,278,427,133,
124,163,552,552,522,294,255,294,361,174,174,133,215,255,255,459,133,133,133,133,
255,133,133,91,215,459,133,48,48,48,133,215,552,294,91,91,91,215,174,459,
294,361,361,361,427,427,294,522,459,361,361,328,427,427,427,427,459,294,459,328,
328,328,394,394,552,522,328,328,328,394,91,1,174,255,522,215,427,174,459,48,
294,48,294,215,394,91,294,174,294,459,294,255,491,174,394,255,394,174,459,174,
328,1,91,174,174,215,174,174,1,48,91,491,328,215,459,255,491,174,459,215,
48,215,427,427,1,1,48,215,91,552,174,174,215,91,394,294,459,294,459,294,
91,394,215,459,91,394,394,328,427,255,522,48,394,48,328,328,522,133,427,215,
459,133,394,48,361,48,361,133,459,91,361,91,215,174,294,459,522,91,427,255,
522,91,427,91,294,91,394,215,459,1,394,48,48,215,133,394,255,459,133,394,
361,522,522,522,522,522,522,522,522,522,522,522,522,522,522,522,361,522,522,48,
522,522,522,522,522,522,522,522,522,522,522,522,522,255,522,522,522,522,522,522,
522,522,522,522,522,522,522,522,255,522,522,522,522,522,522,522,522,522,522,522,
522,522,522,522,522,522,522,522,522,522,522,522,522,522,522,522,522,522,133,394,
174,459,48,361,48,328,1,255,1,215,1,255,1,215,522,522,522,522,522,522,
522,522,522,522,522,522,522,522,522,522,522,522,522,522,522,522,522,522,522,522,
522,522,522,1,1,48,328,1,255,522,522,522,522,522,522,522,522,522,522,522,
522,522,522,522,522,522,522,522,522,522,522,522,522,522,522,522,522,522,522,522,
522,522,522,522,522,522,522,522,522,522,522,522,522,522,522,522,522,522,522,522,
522,522,522,522,522,522,522,522,522,522,522,522,522,522,522,522,522,522,522,522,
522,522,522,522,522,522,522,522,522, };
static unsigned short stb__times_50_latin_ext_a[560]={ 181,241,295,361,361,602,562,130,
241,241,361,407,181,241,181,201,361,361,361,361,361,361,361,361,
361,361,201,201,407,407,407,321,665,522,482,482,522,441,402,522,
522,241,281,522,441,642,522,522,402,522,482,402,441,522,522,682,
522,522,441,241,201,241,339,361,241,321,361,321,361,321,241,361,
361,201,201,361,201,562,361,361,361,361,241,281,201,361,361,522,
361,361,321,347,145,347,391,562,562,562,562,562,562,562,562,562,
562,562,562,562,562,562,562,562,562,562,562,562,562,562,562,562,
562,562,562,562,562,562,562,562,181,241,361,361,361,361,145,361,
241,549,199,361,407,241,549,361,289,396,217,217,241,416,327,181,
241,217,224,361,542,542,542,321,522,522,522,522,522,522,642,482,
441,441,441,441,241,241,241,241,522,522,522,522,522,522,522,407,
522,522,522,522,522,522,402,361,321,321,321,321,321,321,482,321,
321,321,321,321,201,201,201,201,361,361,361,361,361,361,361,396,
361,361,361,361,361,361,361,361,522,321,522,321,522,321,482,321,
482,321,482,321,482,321,522,467,522,361,441,321,441,321,441,321,
441,321,441,321,522,361,522,361,522,361,522,361,522,361,522,361,
241,201,241,201,241,201,241,201,241,201,512,399,281,201,522,361,
361,441,201,441,201,441,293,441,248,441,201,522,361,522,361,522,
361,436,507,357,522,361,522,361,522,361,642,522,482,241,482,241,
482,241,402,281,402,281,402,281,402,281,441,201,441,309,441,201,
522,361,522,361,522,361,522,361,522,361,522,361,682,522,522,361,
522,441,321,441,321,441,321,201,562,562,562,562,562,562,562,562,
562,562,562,562,562,562,562,522,562,562,361,562,562,562,562,562,
562,562,562,562,562,562,562,562,522,382,562,562,562,562,562,562,
562,562,562,562,562,562,562,560,392,562,562,562,562,562,562,562,
562,562,562,562,562,562,562,562,562,562,562,562,562,562,562,562,
562,562,562,562,562,522,321,241,201,522,361,522,361,522,361,522,
361,522,361,522,361,562,562,562,562,562,562,562,562,562,562,562,
562,562,562,562,562,562,562,562,562,562,562,562,562,562,562,562,
562,562,522,321,642,482,522,361,562,562,562,562,562,562,562,562,
562,562,562,562,562,562,562,562,562,562,562,562,562,562,562,562,
562,562,562,562,562,562,562,562,562,562,562,562,562,562,562,562,
562,562,562,562,562,562,562,562,562,562,562,562,562,562,562,562,
562,562,562,562,562,562,562,562,562,562,562,562,562,562,562,562,
562,562,562,562,562,562,562,562, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_50_latin_ext_BITMAP_HEIGHT or STB_FONT_times_50_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_50_latin_ext(stb_fontchar font[STB_FONT_times_50_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_50_latin_ext_BITMAP_HEIGHT][STB_FONT_times_50_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_50_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_50_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_50_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_50_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_50_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_50_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_50_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_50_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_50_latin_ext_s[i] + stb__times_50_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_50_latin_ext_t[i] + stb__times_50_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_50_latin_ext_x[i];
            font[i].y0 = stb__times_50_latin_ext_y[i];
            font[i].x1 = stb__times_50_latin_ext_x[i] + stb__times_50_latin_ext_w[i];
            font[i].y1 = stb__times_50_latin_ext_y[i] + stb__times_50_latin_ext_h[i];
            font[i].advance_int = (stb__times_50_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_50_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_50_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_50_latin_ext_s[i] + stb__times_50_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_50_latin_ext_t[i] + stb__times_50_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_50_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_50_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_50_latin_ext_x[i] + stb__times_50_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_50_latin_ext_y[i] + stb__times_50_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_50_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_50_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_50_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_50_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_50_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_50_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_50_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_50_latin_ext_LINE_SPACING
#endif

