// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_31_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_31_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_31_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_bold_31_latin_ext_BITMAP_HEIGHT        258
#define STB_FONT_times_bold_31_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_bold_31_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_bold_31_latin_ext_NUM_CHARS            560

#define STB_FONT_times_bold_31_latin_ext_LINE_SPACING          20

static unsigned int stb__times_bold_31_latin_ext_pixels[]={
    0x02f76c00,0x01999800,0x32a00000,0x9998003c,0x09998001,0x00199800,
    0x00599500,0x64007995,0xa80001cc,0x000003cc,0x00003997,0x06200000,
    0x00000000,0x0000732e,0x00199980,0x0b91dc80,0x04fe9800,0xffff9800,
    0x000003ff,0x70000000,0x993005ff,0x99999999,0x20099999,0x001d882e,
    0x0000b32e,0x7e8776e2,0x07ffcc00,0x7ffcc000,0x00b88003,0x03fffe20,
    0x02fffa80,0x017ffd40,0x00fffea0,0x1ffff100,0x07fffc40,0x02fffdc0,
    0x3fffe200,0x7cc00000,0xb90006ff,0x40009b10,0x0002fdfb,0x01f703f3,
    0x037ffcc0,0xfff98000,0xffb00003,0xd100001d,0xdd30000d,0x9005dddd,
    0xb009b10b,0x0005d109,0x22001fd8,0xcceffffa,0x007ffedc,0x037cc7f5,
    0x00dfff30,0x6faaf880,0xff9001fa,0x3f200003,0x0498003f,0x5ffffc80,
    0x00bff200,0x000bff60,0x001ffffa,0x09ffff90,0x027fffe4,0x00fffffc,
    0x9ffff900,0xffe80000,0xf88002ff,0x001fd30e,0x034c3a20,0x7e45f900,
    0x7fff4002,0xb800003f,0x200004ff,0x00000aa8,0x000000a2,0x4c3be200,
    0x5f9800fe,0x20001bea,0xffd0000a,0x01fee09f,0x1ffbcfe8,0x3ffffa00,
    0x23f20003,0x001fa5fb,0x400003fd,0x5b0003ff,0x57fc4001,0xff001ff9,
    0x0bfe0007,0x3abfee00,0xff30003f,0xf101ff35,0x403ff35f,0x06fc8efb,
    0xf35ff300,0x2e00003f,0x006fb9ef,0x7ff7df70,0x3a2d4000,0x9ff10000,
    0xfa800dfb,0x0007fb9e,0x0004fe80,0x0fe4bd10,0x325e8800,0xbd10001f,
    0xfb800fe4,0x2003ffbe,0x01ffbefd,0x7e4bd100,0x3fffa001,0xa801ea04,
    0x2005ffff,0x07fa9efa,0x061ff300,0x0fcc00fd,0x09f30000,0x017ffc00,
    0x17a21ed8,0x4000fea0,0xf88003fa,0x001fd10e,0x2f4c1db0,0x0bd10f6c,
    0x05f717e2,0x7443db00,0xdf880005,0x2000fea0,0x006ffff8,0x06987c40,
    0x7fffe400,0x506f4001,0x4c00007f,0x2200004f,0x0007f66f,0x03fb37c4,
    0xfd9be200,0xffff1001,0xfff9800d,0x3e20005f,0xe8007f66,0x1e044fff,
    0x01fffd00,0x7f307740,0x03ffb000,0x153001fa,0x00ea0000,0x007ff900,
    0x01b10191,0x2a0003a8,0x20b90002,0x0644004d,0x019106c4,0x207501b1,
    0x06440039,0x200006c4,0x000b3039,0x000bffee,0x007bbee0,0x0bfff100,
    0x0b303980,0x001cc000,0x00040400,0x00002020,0xfb800101,0xfd8002ff,
    0x040000ff,0x3ffa0004,0x00906c4f,0x20009988,0x800b3039,0xfd00fff9,
    0x17e76c00,0x01000000,0x00000198,0x0000ae20,0x00000000,0x00020000,
    0x00000000,0x00000000,0x00000ccc,0x98800006,0x00000009,0x30000000,
    0x99999999,0x66665419,0x9999933c,0x65419999,0x9933cccc,0x19999999,
    0x1e666654,0x10001998,0x32600133,0xcccccccc,0x333332a0,0x44fffe83,
    0xb730000f,0x122137bd,0xfda80000,0x7e82bfff,0x02ccb300,0xbdd95100,
    0x0405c859,0x77777640,0x20fbb6a5,0x900fccf8,0x54bddddd,0x5cc03eed,
    0x21ceefec,0x6666401b,0x543ccccc,0xcccdfefe,0x7777541c,0xcccccb84,
    0x999990cc,0x99909999,0xdb730079,0x4d22137b,0xcccccccc,0x33332a0c,
    0x9999933c,0x65419999,0x4c03cccc,0x01acddcb,0x2fbfb260,0xc9800150,
    0xcccccccc,0x1ccccccc,0x77fffdc4,0x81dfb301,0x1effffb8,0x881dfb30,
    0x01effffb,0x64c1dfb3,0xcccccccc,0x000e2000,0x3dffff71,0x403bf660,
    0x3e64fffe,0x3ff62000,0xdfebabef,0x3333324e,0x3ffe0000,0x7e87ffff,
    0x00789700,0x99befea8,0x06b9effc,0x99bfdd71,0x7ffec399,0x7904f886,
    0xfffb025c,0x4409f10d,0xa99cfffc,0x801fdffc,0x0dffffd8,0xfe8a7fe4,
    0xff982eef,0xfffc885f,0x7ffd40ef,0x9f9102ff,0x3fff6201,0xedfebabe,
    0x3fffee24,0x1dfb301e,0xeffffb88,0x01dfb301,0x4cdf7f4c,0x6400dfeb,
    0xefc98adf,0xff30000f,0xb99bffff,0x3e05fffd,0x7cc04fff,0x13fffe01,
    0x7fc03f30,0x0fcc04ff,0x1fffffa8,0x0007b800,0x9809ffff,0x3fffa01f,
    0x2001fd34,0x500dfffa,0x7ffcc9ff,0x2a60000f,0xe809dfff,0x2e3d1007,
    0x77fe4004,0x0ffff880,0xff34ffc8,0x7fc45ddf,0x807c40ff,0xf8816a2d,
    0x07c40fff,0x203fffa8,0x5001ffe9,0xfa85ffff,0x0fff20ff,0x7c0bfff0,
    0xff906fff,0x07cc03ff,0x00dfffa8,0xfff09ff5,0x01f9809f,0x3013fffe,
    0x7ffe403f,0x03fff880,0x3fe60df7,0xf5f10001,0xfd305fff,0x0ffffe05,
    0x7fc01f10,0x07c403ff,0x807ffff0,0x3ffe00f8,0x5ff0005f,0x7ffff000,
    0x3a00f880,0xffffffff,0xefffa800,0x3627d400,0x40000fff,0x3a03fffa,
    0x37faa007,0x3fff2000,0x0bffee02,0x7ec1fff5,0x7fff901f,0x236a04a8,
    0x7fe402d9,0xfa82543f,0xfe8806ff,0xffff3001,0x5c7ffd83,0x7ffc07ff,
    0x3fffee05,0x3ffff880,0x7fd412e0,0x27d400ef,0x201ffffc,0x3ffe00f8,
    0x807c403f,0x2e01fffc,0x7fc43fff,0x0007ee03,0x2ffffae4,0x3fe05f10,
    0x00f803ff,0x200ffffe,0x3fffe00f,0x3a00f803,0xb8004fff,0xff8006ff,
    0x00f803ff,0x2e77fffa,0x7fc400ff,0x899001ff,0x0000fffc,0xd00fffe4,
    0x007b800f,0x2037ffd4,0x360ffff8,0x2ffdc7ff,0x6c6fff88,0x01f75c01,
    0x3637ffc4,0x1ffff881,0x2003f300,0x741ffff9,0x7ffd47ff,0x817ffe01,
    0xb03ffff8,0x0f40dfff,0x00ffffc4,0xffff84c8,0x3e00f803,0x0f803fff,
    0x806fff98,0x3ea0fffe,0x000f405f,0xffff87c4,0x3e059042,0x0f803fff,
    0x00ffffe0,0xffff803e,0x3a00f803,0xe8004fff,0x7c001fff,0x0f803fff,
    0xa93fffa0,0x7ffec00f,0xf9126005,0xd80001ff,0x1fa00fff,0x4005ff00,
    0x2203fffe,0x3a5fffee,0x7ffd46ff,0x25fffb00,0x80020068,0x0d12fffd,
    0x0017fff6,0x3fe6003b,0x3ffe41ff,0xff01ffee,0xfffd80bf,0x3ffff506,
    0x3ff60d30,0x2126005f,0xf803ffff,0x0ffffe00,0x3ffa03e0,0xfffc803f,
    0x813ffee5,0x23d8001b,0x3242ffff,0x0ffffe05,0xfff803e0,0x200f803f,
    0xf803ffff,0x13fffa00,0xbffff500,0x3ffff800,0x3fa00f80,0x1007c4ff,
    0x8009ffff,0x107ffe41,0x0dfff000,0x3ee007e8,0xfff1006f,0x7de6c05f,
    0xfff90fff,0x300fffb8,0x80eebfff,0x0ceffec8,0xbafffcc0,0x3ffff983,
    0x98004c00,0x7cc1ffff,0x13fee1ff,0xa80bfff0,0xf981ffff,0x83c85fff,
    0x004ffff8,0x1ffffc0c,0xfff007c0,0xa81f007f,0xa801ffff,0xff31ffff,
    0x00003dff,0x5ffff16a,0xfff802c4,0x200f803f,0xf803ffff,0x0ffffe00,
    0xffe803e0,0x7f6c004f,0x3e000fff,0x0f803fff,0xb13fffa0,0xfff71981,
    0xfc80005f,0x4ffe98ff,0x09fff100,0x3fa007e8,0xffa801ff,0x26b901ff,
    0xff32ffff,0x02ffe41f,0x03a7fffa,0xffb86fd4,0x7fff400e,0xfffa80e9,
    0x2000002f,0xa81ffff9,0x1bfd13ff,0x805fff80,0xed85fffe,0x07c0ffff,
    0x017fffdc,0x1ffffc00,0xfff007c0,0xb81f007f,0x9801ffff,0x3fe2ffff,
    0x001dffff,0xfff07e20,0xf802e45f,0x0f803fff,0x00ffffe0,0xffff803e,
    0x3a00f803,0x26004fff,0x04ffff8e,0x00ffffe0,0xfffe803e,0xfd8e40c4,
    0x40001fff,0xfdfcfffc,0xffa804ff,0x803f403f,0x805ffffa,0xb80ffffc,
    0x8ffffe66,0xdfd13ffb,0xefffa801,0x44bff105,0x7d404fff,0xff905eff,
    0x000003ff,0x80ffffcc,0x03efefe8,0x700bfff0,0x7c41ffff,0x2a3ffff9,
    0x3ffffb05,0xffff0000,0x7c01f007,0x0f803fff,0x007fffe4,0x31ffffcc,
    0x9fffffff,0xf0790001,0xbf935fff,0x0ffffe00,0xfff803e0,0x200f803f,
    0xf803ffff,0x13fffa00,0xfff93c80,0x3ffe001f,0x200f803f,0x4c04fffe,
    0x0ffffd0f,0xdfff9000,0x003fff21,0xe803fff9,0xfffdb007,0xfffe801f,
    0xf307540f,0xfe88bfff,0x3e002cfe,0xff501fff,0x02fffc3f,0xd80ffffc,
    0x0000ffff,0x3fffe600,0x00319901,0x100bfff0,0xa5c7ffff,0x0b66fffd,
    0x003ffff4,0x03ffff80,0x3ffe00f8,0x740f803f,0xf1007fff,0xffa8bfff,
    0x01ffffff,0x7ffc1a60,0x005fffff,0xf007ffff,0x1ffffc01,0xfff007c0,
    0x401f007f,0x1004fffe,0x1ffffccf,0x03ffff80,0x3ffa00f8,0xd9fe605f,
    0x0000ffff,0xf70fffe4,0xffd803ff,0x9807e807,0x04ffff8e,0x307fffec,
    0xffff981f,0x00046644,0x2206ffb8,0x2fffc6fe,0xb037fdc0,0x0001ffff,
    0x7fffcc00,0x0000fe81,0x6c017ffe,0x543a6fff,0x0789ffff,0x003ffff6,
    0x0ffffe00,0xfff803e0,0x6c0f803f,0x9800ffff,0xe984ffff,0x1fffffff,
    0xfffffd00,0x935fffff,0x3ffe00bf,0x200f803f,0xf803ffff,0x0ffffe00,
    0xffe803e0,0xd897004f,0xff006fff,0x01f007ff,0x87bfffe2,0x2e6ffc98,
    0x0001ffff,0xf707ffe4,0xfff803ff,0xc807e806,0x01ffff93,0x88ffffdc,
    0xffffa81f,0x00003fa3,0x43007ff1,0x806fffea,0x3ee03ff8,0xd9501fff,
    0x03bddddd,0x41ffff98,0xaaabdff9,0x5fff801a,0x3ffff500,0xcffff8b5,
    0x3ffee04b,0xff80001f,0x00f803ff,0x200ffffe,0x7fffe40f,0xffffa800,
    0x3fffaa03,0x04b804ff,0x5d8bfffe,0x07ffff00,0x7ffc0788,0x203c403f,
    0x4403ffff,0x27fff407,0x7fd40f80,0xfff802ff,0x4c3c403f,0xffffffec,
    0x4fffffff,0x00ffffe6,0x41fff900,0x2202fffb,0x7e804fff,0xfff33c40,
    0x7ffd407f,0xf702e89f,0x3fe65fff,0x01aaaabd,0x4c003f20,0x06fff9fe,
    0x7cc01f90,0x7dc02fff,0xf3004fff,0xffa83fff,0xffffffff,0x017ffe02,
    0x2ddfffe8,0x0f7fffe4,0x07ffff30,0x7ffff000,0x7fc07880,0x43c403ff,
    0x801ffffb,0x052ffffb,0x03ffffdc,0xfff803e2,0x7401662f,0x3c403fff,
    0x00ffffa0,0xfffe80f1,0x3a03c403,0xdb804fff,0xfff99999,0xfffe805f,
    0x0003c403,0xfff817a2,0x7e40004f,0x3ffee0ff,0x07ffe202,0x89701fa0,
    0x2206fffd,0x03ebffff,0xfa9ffff2,0xffffffff,0x0059801e,0x3ffe1df9,
    0x880b3006,0x4403ffff,0xca82ffff,0x03fffe61,0xffffffd1,0x3e01ffff,
    0x3ee005ff,0xff986fff,0xfff806ff,0xfe80004f,0x03c403ff,0x100ffffa,
    0x5ffff10f,0x4ffff900,0x3ffa202c,0xf00b602f,0x38485fff,0x404fffc8,
    0x7ffe4069,0x32034c04,0x34c04fff,0x013fffa0,0x3bbbbbba,0x401ffffe,
    0x4c04fffc,0x07fc0006,0x00dfffb0,0x20fffc80,0x2202fffb,0x0fd007ff,
    0x7ffd40f8,0x3ffee02f,0x7ffec04f,0x3ffffa23,0x807fffff,0x2ffd802c,
    0x6401bffe,0x5fffc802,0x0ffffc40,0xff99ffea,0xfff880ff,0x2ffffffe,
    0x4009fff0,0xd03ffff8,0xfb007fff,0x90000dff,0x69809fff,0x027ffe40,
    0x7ffe41a6,0x3fffd805,0xfff10132,0x3e016a03,0x2a0c2fff,0x05fffa83,
    0x3fea0264,0x2026405f,0x6405fffa,0x27fff404,0xfff016a0,0xfffa809f,
    0x00026405,0x7c401ff5,0x57004fff,0x2e0fffc8,0x3e202fff,0x40fd004f,
    0xf99999db,0x7f405fff,0x3fe200ff,0xefff886f,0x22ffffff,0x2201a2eb,
    0x3ffe0fff,0x01a2eb86,0x202fffe8,0x641ffff8,0xfff31fff,0x540df50f,
    0x3a3b11ff,0x7ec004ff,0xfff700ff,0xffff1001,0x2a0ae009,0x26405fff,
    0x017ffea0,0x3ffe2099,0x3ffe600f,0x3600fe46,0x00f880ff,0x402ffff8,
    0xffff882e,0x8801d501,0xd501ffff,0xffff8801,0xe801d501,0x17404fff,
    0x03ffff20,0x01ffff88,0x4c0001d5,0x7fd404ff,0x076401ff,0xfb83fff2,
    0x44ed42ff,0x81fa006f,0xeeeeeeee,0x2201ffff,0x3f205fff,0x06fd40ff,
    0xff12ffa8,0x3f200ead,0xfffc9cff,0x3ab7fc46,0x3fffe200,0x3ffff100,
    0x3ea5ffb8,0x03fe84ff,0xd5fc9fa2,0xfa8005ff,0x17fe204f,0x1ffffa80,
    0x7c407640,0x1d501fff,0x1ffff880,0x74c01d50,0x3ffa04ff,0x1037e40e,
    0x013609ff,0x881ffffc,0xfff301fd,0x07ee615f,0x57fffcc0,0x2003f730,
    0x30affff9,0xffd003f7,0x007d40bf,0x013fffe2,0x215ffff3,0x80001fb9,
    0x300adffd,0x4c59fffd,0xffd80deb,0x0bffee1f,0x001f59fd,0x405a83f4,
    0x2a04ffff,0x6443ffee,0x3fe80dff,0xfe83fe20,0xff5006bf,0xfffd7fff,
    0x35fff43b,0x6ffe4400,0x1ffff882,0x3ff23fe8,0x885ff705,0x3bea1ed9,
    0xd0005ff8,0x02fd803f,0x67fff4c0,0x8037ae62,0x30affff9,0x3e6003f7,
    0xf730afff,0x7ffb1003,0x904ffc88,0xfc883dff,0x3009f905,0x4c1bffff,
    0x2200ffeb,0xdffffffd,0x7fec4001,0x001dffff,0x7ffffec4,0xff8801df,
    0x3ff106ff,0x3fffff00,0xffffd880,0x00001dff,0x809fff91,0xfffffeca,
    0x3fffa02e,0x513fff21,0xe80017dd,0xfc805d07,0x0f980fff,0xdfbbffb5,
    0x17fdc059,0xb307f662,0xffc8007f,0x85dfd30d,0x40003fd9,0xecdfffd9,
    0x9100bdff,0x019ffddf,0x6fff7644,0x7bfb702c,0x01ae0001,0xca8001ea,
    0x2efffffe,0xffffb100,0x88003bff,0xdffffffd,0x77edc001,0x202dffdd,
    0xdcefcadc,0xffe983ff,0x7e64c2df,0xffffffff,0x2007ffff,0x00009aa8,
    0x0009aa88,0x009aa880,0xffffec98,0xfff70cdf,0xffb9039d,0x2009ffff,
    0x00009aa8,0x20002600,0xffd801a9,0xfffb9fff,0x000003ff,0x7c400fa8,
    0x01d84fff,0x4c001553,0x3deffedb,0x40100000,0x40000000,0x0019aa98,
    0x000054c4,0x10000000,0x00006003,0x40001a98,0x00009aa8,0x0009aa88,
    0x000aa880,0x00355303,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x10000000,0xfff003ff,0x000003ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfb800000,0xdc81ceff,0x04ffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x76400dea,0x0800005e,0x74400008,0x640003ee,
    0x000004ee,0x30098000,0xdd100001,0x0000007d,0x03332000,0x2eee9800,
    0x774c0000,0x74c0002e,0xcc8801ee,0x0ccccccc,0x0f33332a,0xc8000000,
    0x201dd55e,0x006fffe9,0x1dc45710,0x00038800,0x001b00d8,0xee9af640,
    0x3ba20001,0x0060004e,0x0b105880,0x0eecc7e8,0x3e000000,0x7f4405ff,
    0xf700002f,0x00b515bf,0x005ffb80,0x0ffffd40,0x5bf91000,0x754000ec,
    0x00007d40,0x0002ffdc,0x01f5c7d9,0x17ffee00,0x0dff5000,0x4ffd8000,
    0xfffd8000,0x3ffee006,0xdfb301ff,0x549d7005,0x3e20004e,0x8809fb1f,
    0xb0006fff,0x0fff25ff,0x0001ee00,0x36622bae,0x3fe20005,0x80009f91,
    0x0000effa,0x20001ffd,0x3ea889dd,0x3ffa3f40,0xaefb8806,0x3e200570,
    0xfe8805ff,0xffa80004,0x002fffff,0x0002ff40,0x02ff77f4,0xfffffd00,
    0x7fc000fd,0x0004ffee,0x4000dfb0,0xff88fff9,0xff10000f,0x80003fff,
    0x00000ffb,0x200013fe,0x02ffdffa,0x013fffe0,0xff1007f1,0x007ffe3f,
    0x6f89fdc0,0x00dfff00,0x7ecfffa0,0x2ff8004f,0x7ffc4000,0x20001fff,
    0x001be4fa,0x0003bf60,0x001fffcc,0xffffff98,0x3fe3f400,0xfffd807f,
    0x2000feff,0xd1001ffb,0x97b0000f,0x000dffff,0x80006f88,0x1fe88dfb,
    0xffcf8800,0x20004fff,0x00fffffb,0x00ef8800,0x45bfe200,0x90000fff,
    0x00bf91bf,0x0007f700,0x00013ea0,0x06fa97f4,0x013fffe0,0x7ffc007e,
    0x0001ffd0,0x001fa9b6,0x2000dfff,0x1bb30cd9,0x06ffb800,0xfffea800,
    0x536c0004,0xf880003f,0x7fc0000e,0x3f20001f,0x7e802fff,0x74017fdc,
    0x05ffffec,0xd8800080,0x261c0001,0xda80002b,0x27c40000,0x14c0036c,
    0x00005b93,0x00005b71,0x400006d4,0x006e60b9,0x3ee27cc0,0x04b80001,
    0x00097000,0x5f307ee0,0x13fffa00,0x5cc003e0,0x80006e21,0xf800ee0d,
    0x000006ff,0x3fffd000,0x02ea0000,0x3b876000,0x00d98000,0x001b8800,
    0x2002b880,0x8800887e,0x000b6e63,0x00000000,0x00000000,0x15004400,
    0x00000000,0x00000000,0x00000000,0x002540aa,0x00000000,0x22011000,
    0x9fffd001,0x00001f00,0x80000000,0x00046fff,0x7fd40000,0x000005ff,
    0x00000000,0x00000000,0xfd000000,0x00000000,0x809dddd5,0x1acddcb9,
    0x666664c0,0x32a0cccc,0x4c03cccc,0x01acddcb,0x9bb97300,0x2e600035,
    0x001acddc,0xddfd9730,0x32a0dc39,0x500ccccc,0x80599999,0x1acddcb9,
    0x98000000,0xcccccccc,0x33332a0c,0x9999933c,0x65419999,0x9933cccc,
    0x19999999,0x1e666654,0x4027fff4,0x66664c0f,0x2a0ccccc,0x933ccccc,
    0x99999999,0x66666541,0xecb7ffc3,0xeeec83df,0x3bb6a5ee,0xfffed803,
    0x6664c00f,0x20cccccc,0x03ccccca,0x566ee5cc,0x36e60001,0x09109bde,
    0x37bdb730,0x97301221,0xe80359bb,0x4bdddd37,0x0cccccca,0x59999950,
    0x20bfff30,0xb99befe9,0x2e200dfe,0x301effff,0x74c01dfb,0xfeb99bef,
    0xdfd3000d,0x1bfd7337,0x2fbfa600,0x00dfeb99,0x39fff910,0x3fbff953,
    0xbffffd30,0x00f7ed40,0x7337dfd3,0x32e01bfd,0x0ccccccc,0x23ccccb8,
    0x1effffb8,0x881dfb30,0x01effffb,0xb881dfb3,0x301effff,0x3fa01dfb,
    0x80f804ff,0x1effffb8,0x881dfb30,0x01effffb,0xff01dfb3,0xfffbbbdf,
    0x0dfffb07,0x1d3009f1,0x1009ffff,0x03dffff7,0x9803bf66,0xeb99befe,
    0xfb1000df,0xfd757dff,0x3f6209db,0xfebabeff,0xdfd304ed,0x1bfd7337,
    0xfff99fa0,0x7ffff4c6,0x07bf6a05,0xfc85fff8,0xfff880ff,0x27fffc03,
    0xfc807e60,0xfff880ff,0x07ffe403,0x201fffc4,0xf880fffc,0x7fd403ff,
    0x3ffa603f,0xfffff101,0x900fcc09,0xff101fff,0xfff5107f,0xff9807ff,
    0x4ffff80c,0xff00fcc0,0x1f9809ff,0x013fffe0,0x7ff403f3,0x200f804f,
    0x4c04ffff,0x3fffe01f,0xf80fcc04,0x3fee4fff,0x7fffc41f,0x64007c40,
    0x01ffff93,0x013fffe0,0x7fe403f3,0x3fff880f,0x06fffd40,0xfa84ffa8,
    0xff500dff,0x01fff909,0xfd07fff1,0xf886fff8,0x2604ffff,0x2fffc01f,
    0xb807fff2,0x3fe03fff,0x07c403ff,0x201fffc8,0xf903fffb,0x7fdc03ff,
    0x3fff903f,0x81fffdc0,0x8806fffa,0x3ffa01fe,0x03e02fff,0x700fffe4,
    0x3ee07fff,0x5e804fff,0x00ffffe0,0x7ffc01f1,0x007c403f,0x8807ffff,
    0x3fffa00f,0x3e00f804,0x7c403fff,0x0ffffe00,0x3fe01f10,0x2fffc47f,
    0x2a1fffe4,0x3e678804,0xff003fff,0x0f8807ff,0x403fff90,0xf503fffb,
    0xfa801dff,0x077ffd44,0xff913ea0,0x7ffdc03f,0x3ffe3f43,0xfffffd06,
    0x3e007c05,0x3ffe65ff,0x0fffe806,0x007ffff0,0xdfff301f,0x81fffd00,
    0xe806fff9,0x7fcc0fff,0xfffe806f,0x0ffffc40,0x3a01f980,0x01fffffc,
    0xdfff301d,0x01fffd00,0x803ffffa,0x3ffe00f9,0x200f803f,0xf803ffff,
    0x0ffffe00,0xffe803e0,0x200f804f,0xf803ffff,0x0ffffe00,0x7ffc03e0,
    0x887ffe86,0x00ec6fff,0x3fff625c,0x7ffff006,0xff301f00,0xfffd00df,
    0x1ffff881,0x7fc49900,0x499001ff,0xe806fff9,0x7fc00fff,0xfff9d06f,
    0x003a03ff,0x7ff4bfff,0xfffc803f,0x07ffff05,0xfffd01f0,0xbfff9007,
    0x803fffe8,0x7f45fffc,0xffc803ff,0x2fffec5f,0x8e807600,0x80effffc,
    0x3fffe80e,0x05fffc80,0x407ffff5,0x7fffc02e,0x3e00f803,0x0f803fff,
    0x00ffffe0,0xfffe803e,0x3e00f804,0x0f803fff,0x00ffffe0,0x37ffc03e,
    0x6c07ffec,0x00d12fff,0xffff503e,0x7ffff005,0xffd01f00,0xfff9007f,
    0x05fffd8b,0xfffd9260,0xfe926005,0xffc803ff,0x37ffc05f,0xffffc8e8,
    0x7c00e80e,0xffff55ff,0xffff5003,0x07ffff03,0xfffa81f0,0xfffa801f,
    0x3ffff51f,0x3ffff500,0x007fffea,0x4c7fffea,0x4003ffff,0x7f43a009,
    0x40e85fff,0x801ffffa,0xb01ffffa,0xd501ffff,0x07ffff00,0x7ffc01f0,
    0x200f803f,0xf803ffff,0x13fffa00,0xfff803e0,0x200f803f,0xf803ffff,
    0xb0dfff00,0xff303fff,0x2e00eebf,0xff99999d,0xfff805ff,0x540f803f,
    0xa801ffff,0xff11ffff,0x118009ff,0x8009ffff,0x03ffff51,0x03ffff50,
    0x0e837ffc,0xd0bffffd,0x75fff801,0x3003ffff,0xff05ffff,0x81f007ff,
    0x801ffffb,0xf72ffff9,0xf3003fff,0x3fee5fff,0xff9801ff,0xffff52ff,
    0x0e800005,0x87ffffd1,0x7fffdc0e,0xffff9801,0x9ffff302,0xff801f88,
    0x00f803ff,0x200ffffe,0x3fffe00f,0x3a00f803,0x3c404fff,0x00ffffe0,
    0xffff803e,0xff00f803,0x1fffb0df,0x3a7fffa0,0xeeeee800,0x1ffffeee,
    0x01ffffc0,0x3ffee07c,0xfff9801f,0x5ffff72f,0x3ffee000,0xff70002f,
    0xff3003ff,0x7ffc05ff,0x3fa21d06,0x00743fff,0x7fe57ffe,0xff9800ff,
    0xffff83ff,0x7e40f803,0xf9800fff,0xfff93fff,0xfff3001f,0x3ffff27f,
    0xffff9800,0x03ffff93,0x260e8000,0x3a2fffff,0x07fffe40,0x1ffffcc0,
    0x41ffffb0,0xffff004c,0x7c01f007,0x0f803fff,0x00ffffe0,0xfffc803e,
    0x3e03cc04,0x0f803fff,0x00ffffe0,0x37ffc03e,0xf503ffec,0xb500bdff,
    0x04ffff80,0x401ffffc,0x7fffe40f,0xffff9800,0x03ffffb3,0x3ffff600,
    0xfff90001,0xfff3001f,0x37ffc07f,0x3ffe60e8,0xf003a2ff,0x3fffabff,
    0xffff1007,0x07ffff0b,0xfffe81f0,0xffff1007,0x01ffffab,0xeaffffc4,
    0xf1007fff,0x3ff6bfff,0x400000ff,0x7fffd40e,0xffe81d0f,0xfff1007f,
    0x7ffc40bf,0x2001f35f,0xf803ffff,0x0ffffe00,0xfff803e0,0x200f803f,
    0x6405fffb,0x1ffffc04,0xfff007c0,0x201f007f,0xffe86fff,0x0ffffc06,
    0x3f201740,0x3fe00fff,0x40f803ff,0x1007fffe,0x3fabffff,0x3a0007ff,
    0x20007fff,0x1007fffe,0x1fabffff,0x03a0dfff,0x21fffff5,0xafffc00e,
    0x800ffffd,0xf84ffff9,0x0f803fff,0x007fffec,0xda7fffcc,0x9800ffff,
    0xffb4ffff,0xff3001ff,0x3fff69ff,0x7400000f,0x6ffffc80,0xffffd81d,
    0xffff9800,0x7fffe404,0x3fe003d9,0x00f803ff,0x200ffffe,0x3fffe00f,
    0x2200f803,0xf501ffff,0x3ffff801,0x3fe00f80,0x00f803ff,0x7c41ffff,
    0x7fdc02ff,0x400fa806,0x204ffff8,0xf803ffff,0x07fffec0,0xa7fffcc0,
    0x000ffffd,0x01ffffb0,0x3ffff600,0xffff9800,0x7fff8fd4,0xfff901d0,
    0xff003adf,0x3ffff2bf,0xffffa800,0x03ffff83,0x7ffe40f8,0xfffa800f,
    0x1ffff93f,0x7ffff500,0x003ffff2,0x5cffffea,0x9501ffff,0x3bdddddd,
    0x3ff601d0,0x7e40edff,0xfa800fff,0x7c403fff,0x4006ffff,0xf803ffff,
    0x0ffffe00,0xfff803e0,0x400f803f,0x30bffffa,0xfff005f9,0x401f007f,
    0xf803ffff,0x3dffff00,0x100bffb1,0xff8807ff,0xfffff801,0x07ffff01,
    0xfffc81f0,0xfffa800f,0x3ffff73f,0x3ffee000,0xff90001f,0xff5001ff,
    0xf89fa7ff,0x00e80fff,0x1dbffffb,0xf75fff80,0xf7003fff,0xfff05fff,
    0xb878807f,0xb801ffff,0xff72ffff,0xff7003ff,0x3ffee5ff,0xfffb801f,
    0x5ffff32f,0x4ffffb80,0x7f4403a0,0x7dc0ffff,0xfb801fff,0xfb802fff,
    0x7c002fff,0x3c403fff,0x00ffffe0,0xffff80f1,0x9803c403,0xcffffffd,
    0x7ffff000,0x7fc07880,0x03c403ff,0xfff3dfff,0x3f2001bf,0x3bffee00,
    0xfffdc81c,0xfff84fff,0x5c3c403f,0xb801ffff,0xff32ffff,0x260007ff,
    0x0003ffff,0x003ffff7,0x3a5ffff7,0xdffffd37,0xfd100e83,0xf801ffff,
    0xffff15ff,0xffff9005,0x00ffffa0,0xffff10f1,0xffff9005,0x017fffc4,
    0xf13fffe4,0xf9005fff,0x7ffc4fff,0x7ffc403f,0x9803a02f,0x440fffff,
    0xc802ffff,0xf1007fff,0xe8005fff,0x3c403fff,0x00ffffa0,0xfffe80f1,
    0x2003c403,0x8004fb98,0x4403fffe,0x1ffff407,0xfff81e20,0x26000a66,
    0xf7000005,0x3fffe803,0x7fc43c40,0xffc802ff,0x27fffc7f,0x9ffff000,
    0x3ffe2000,0xfffc802f,0x01f71fa7,0xfff30074,0xfff801ff,0x017fff25,
    0x640ffff6,0x34c04fff,0x805fffc8,0x7e43fffd,0xffd805ff,0x2fffe43f,
    0x21fffec0,0x4405fffc,0x3a01ffff,0x7fffd400,0x05fffc80,0x003fffd8,
    0x005ffff1,0x404fffc8,0x7ffe4069,0x32034c04,0x34c04fff,0x000fe800,
    0x404fffc8,0x7ffe4069,0xff034c04,0x590000df,0x9f500000,0x09fff900,
    0xfff90698,0x7fffb00b,0x006fffd8,0x01bfff60,0x05fffc80,0x3a3fffd8,
    0x1d013ee7,0x0ffffa80,0x4ffe8ec4,0x803fffe2,0x2a06fff9,0x26405fff,
    0x00ffff88,0x221bffe6,0x2600ffff,0xff886fff,0x3fe600ff,0x5fffd06f,
    0x0ffffc40,0xff7001d0,0xffff101f,0x37ffcc01,0x5ffff100,0x5fffa800,
    0x3ea02640,0x026405ff,0x9017ffea,0x5ff30009,0xbfff5000,0x7d404c80,
    0x026405ff,0xb800dfff,0x00001a2e,0x7d402fec,0x826405ff,0x200ffff8,
    0xf886fff9,0x57004fff,0x027fffc4,0x3ffe22b8,0x3ffe600f,0x0bfd3f46,
    0xffb800e8,0xfeafe40f,0x27ff4c2f,0x401dffd0,0x501ffff8,0x7ff4c01d,
    0x03bffa04,0xd027ff4c,0x3a601dff,0x3ffa04ff,0xffff100e,0x3fffe201,
    0x2005f101,0xfd300ffd,0x77ff409f,0x3ffe2000,0x7fc4002f,0x01d501ff,
    0x01ffff88,0xff8801d5,0x01d501ff,0x00dff100,0x03ffff10,0xff1003aa,
    0x03aa03ff,0x2006fff8,0x00756ff8,0x07ff6000,0x03ffff10,0xfe9803aa,
    0x3bffa04f,0x3ffff500,0x7d40ec80,0x76401fff,0x027ff4c0,0x7e81dffd,
    0x7c407ff6,0x81ffb002,0x20bfd5fa,0x6443ffd8,0xff3004ff,0x3ee615ff,
    0x3ffd8801,0x4027fe44,0x6443ffd8,0xfd8804ff,0x27fe443f,0x16ffe440,
    0x80ffffc4,0xfd1005fa,0x1ffec401,0x0013ff22,0x00bfffe6,0x2bfffe60,
    0x2003f730,0x30affff9,0x3e6003f7,0xf730afff,0x7fe40003,0x3e6001cf,
    0xf730afff,0x3ffe6003,0x03f730af,0x003fffc4,0x001afffa,0xbfff9800,
    0x3fffe601,0x003f730a,0xc887ffb1,0xfe9804ff,0x3ae62cff,0xfffd300d,
    0x06f5cc59,0x443ffd88,0x4fd04ffc,0x542dfff9,0x1fd1005f,0x017bfb70,
    0xfddefdb8,0x6c4002df,0x1dffffff,0x6f7edc00,0x4002dffd,0xffddefdb,
    0x7edc002d,0x02dffdde,0x6fffecc0,0x80bdffec,0x04efffea,0xdb800f88,
    0x2dffddef,0xffff5000,0x3f620007,0x01dfffff,0x7fffec40,0x44001dff,
    0xdffffffd,0x7e440001,0x6c4004ff,0x1dffffff,0x7ffec400,0x2601dfff,
    0x03dffffe,0x0007fb30,0xfffd5000,0x7ffec403,0x4001dfff,0xffddefdb,
    0x7654002d,0x02efffff,0xffffd950,0x36e005df,0x2dffddef,0xffd51fa0,
    0xdfffd53b,0x001f1009,0x01551000,0x26aa2000,0xaa880000,0x55100000,
    0x2a200001,0x3100000a,0x00003355,0x51000300,0x32200015,0xcffffffc,
    0x5510000c,0x51000013,0x10000135,0x00001355,0x51000030,0x10000135,
    0x00001355,0x00000000,0x44001880,0x800009aa,0x00000aa8,0x200006a6,
    0x440001a9,0x880000aa,0x00600000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0xa8000bb8,0xa8801eee,0xccccccba,0x9999990c,0x99999999,
    0xd02c8599,0x2e036e03,0x00110004,0xfdb95000,0x930037bd,0x99999999,
    0x16654001,0xbeed9800,0x10776601,0xcccc87d9,0x3baa001c,0x3332601e,
    0xaacccccc,0xd100000a,0xc98007dd,0x0150befe,0x03b105d0,0x20000000,
    0x002d883e,0x00b620fa,0x037b9018,0x9813b220,0x00002eee,0xc8037bb2,
    0xa801cccc,0x2b800eee,0xeee98570,0x441f4002,0x3ff2002d,0x3ffe8005,
    0x7ffff4c0,0x20afecce,0xffccefff,0xffdcceff,0x5cd67cc4,0x9077405d,
    0xff70005f,0xf9100007,0xeca9835b,0xffffa801,0x7fc4001f,0x7e4000ff,
    0xd04fc88c,0xfffb8dff,0x017ffcc0,0x1007ffb0,0x959ffff7,0x001bfff9,
    0x005ffa80,0x64c56fe4,0xfb800fef,0x80017e63,0x0bb61ed8,0x74c9f300,
    0x127cc006,0x03c400dd,0xf9803fd3,0x5ffb801e,0xfff10000,0x0bfff803,
    0x09fffd00,0x2e617f10,0x05ffb80f,0xdd327d40,0x06ffe800,0x201ffc40,
    0x5ffffffa,0xd07be176,0x4fa87fff,0x2fffffe8,0x7f57fd40,0xdffd0005,
    0x0cfa8000,0xd007d300,0xb000bfff,0x4009ffff,0x0ffcc6fa,0x3f23fff4,
    0x2ffc81ff,0x007ff100,0x443ffff8,0x0002fffe,0xb8003bf6,0x03ff306f,
    0x3fef3fa0,0x3fee0001,0x000fff56,0x05ff5bfb,0xff5bfb00,0x203ec005,
    0xff101ffa,0x07fe4007,0x0ffd4000,0x7003ffc0,0x001ffbff,0x09fffffb,
    0x20007fdc,0x02ffadfd,0x001ffdc0,0xff100fee,0x6cbfffff,0xffe83f84,
    0xc884c83f,0xfd003eff,0x20003fff,0x20004ffc,0x5b0002fd,0x05fffe80,
    0x7d4ffcc0,0x8dfb000f,0xffb84ffa,0xc82ff443,0x9f7002ff,0x7ffff000,
    0x00dfff50,0x8003be20,0x3ee03ff8,0xffff5001,0xffa80009,0x000dff35,
    0x00bffff3,0x1bfffe60,0x4407fc80,0x3ff704ff,0x002fc800,0xf001fd80,
    0x3fe200ff,0xb300bf71,0xc801bfff,0x7fcc003f,0x110005ff,0x90079000,
    0xbfffffff,0xfe83c26c,0x204983ff,0x7fd40028,0x1d40004f,0x003f9000,
    0xfb007440,0xee8009ff,0x74013e60,0x80f6c1ff,0xfc802008,0x0099002f,
    0x40ffffa0,0x8001ffff,0x7d4000da,0x000f405f,0x0001fffd,0x05d41750,
    0x1fffd800,0x3fff6000,0x0fff9001,0xfb06ff98,0x0990005f,0x4005b000,
    0x1d9007ff,0x73001fa8,0x00264003,0x000fffec,0x40000008,0xfffffffe,
    0x74061365,0x40303fff,0x03330000,0xa8000000,0x5c00402f,0x13fff602,
    0x1b104880,0x03fff900,0x3f200000,0x8000002f,0xff03fffe,0x000007ff,
    0x027ffdc0,0x4cc40037,0x00000000,0x00266200,0x00133100,0x3bbffff6,
    0x905ffa86,0x000007ff,0x7fc00000,0x0cc03007,0x00000000,0x20004cc4,
    0xccdfefea,0xfec981cc,0x7fc150be,0x25ffffff,0x3ffa004d,0xdfd5003f,
    0x039999bf,0x217dfd93,0xecb9800a,0x06e1ceef,0xfe9817e2,0x241edc8e,
    0x009fffb0,0xff100000,0x76cc09ff,0x3bbb65ee,0x42ffc81e,0xccccccca,
    0x03cccccc,0x220ffffa,0xc982ffff,0xcccccccc,0xf9800aaa,0x9801efff,
    0xcccccccc,0xb800aaac,0xcccccccc,0x3ccccb80,0x66666654,0x3ccccccc,
    0x66666664,0xcccccccc,0xffff932c,0x7ff90999,0x9313fea0,0x99999999,
    0x98999999,0xcccccccc,0x84cccccc,0xccc987ff,0xcccccccc,0x664c4ccc,
    0x0ccccccc,0x99999993,0x99995199,0x332a0199,0x3ff22ccc,0x5ddffd14,
    0xc98adfc8,0x3ff60fef,0x365fffff,0x3fffa004,0x14ffc803,0xc85ddffd,
    0xefc98adf,0x3ff2200f,0xffca99cf,0x00fb81fd,0xff931df7,0x3f60581f,
    0xccc984ff,0x98cccccc,0xcccccccc,0x7fffcc0c,0xffff100d,0xc81fffd8,
    0x7ffe42ff,0xffeaaacc,0x3ffa03ff,0xffffa83f,0xffff7100,0xbfff9959,
    0xfffff801,0x7dc401df,0xfccacfff,0x2a200dff,0x403fffff,0x7e40cff9,
    0xeaaaccff,0x7fc3ffff,0xffffccef,0x44ffdcce,0x7ec07ffe,0x0bff302f,
    0x9dffff51,0x0fffdb99,0x9dffff51,0x0fffdb99,0x3ea20fff,0xdcccefff,
    0xff507ffe,0x3ea03fff,0x74c1ffff,0x2a05ffff,0x3fea1efd,0x20fff20f,
    0x3ff306fb,0x7fffffdc,0xe801365f,0x7d403fff,0x0fff20ff,0x7fcc1bee,
    0x07fff501,0x740fff4c,0x7c5ff505,0xb00c85ff,0x7d409fff,0xfa81ffff,
    0xd501ffff,0x203dfffd,0x7fdc7fff,0x42ffc81f,0xfff303fd,0xfffe80df,
    0x1ffff443,0x21ffffc0,0x202fffe8,0xfffffff9,0x7fffc00c,0x17fff443,
    0x13fffee0,0x1fec17a0,0x86ffff98,0x7fff41ef,0x3fa27d43,0x0ffe407f,
    0x3a04ff88,0xff704fff,0x827fff40,0x07ff87fb,0xb827fff4,0x3fffe07f,
    0x2ffffc05,0x4fffff88,0xffb07e60,0x447ffb8f,0x87ee03ff,0xfffffff9,
    0xfe801365,0x7fec03ff,0x223ffdc7,0x07ee03ff,0x201bffea,0x17cc1fe8,
    0xff137fc4,0x3603707f,0x7f404fff,0x3ffa05ff,0xb15f305f,0xfd03ffff,
    0x1fffb8ff,0x1f42ffc8,0x03ffffd0,0xcacfffe8,0x001dfffd,0xf507ffff,
    0xffa80dff,0x01ffffff,0x2a0ffffe,0xfe806fff,0x3e600fff,0x7f407d00,
    0x83f81fff,0x4c83fffe,0x2603fff4,0x5ff301ff,0x027fff40,0x7fff40f5,
    0x3fe1ea04,0x27fff407,0x7ff40f50,0x7fff404f,0x3ffffa04,0xfd03e02f,
    0x1fffa8ff,0x3d017fea,0xffffffc8,0xfe801365,0x7ff403ff,0x50fffd47,
    0x41e80bff,0x001ffff8,0xd07a83f3,0x7ffcc5ff,0x3ff60481,0x7fff404f,
    0x17fffa04,0xfff71be2,0xb8fffd0d,0xffc81fff,0xfff70342,0xfffd009f,
    0x0bffff9b,0x03fffe80,0x9803ffff,0xfffffffe,0x07fffd01,0x5007fffe,
    0x7407ffff,0xffb81a02,0x3a0f04ff,0x44983fff,0xfb807ffe,0xe809f904,
    0x1e044fff,0x044fffe8,0xd01ffe1e,0x3c089fff,0x809fffd0,0x3a04fffe,
    0x01fffffc,0x47ffc81d,0x7fdc7ffb,0x3206e04f,0x365fffff,0x3fffa004,
    0x23ffe403,0x7fdc7ffb,0xfb06e04f,0x1d800bff,0x3ffcc3dc,0x02c1ffee,
    0xd809fffb,0x3f604fff,0x85fa84ff,0x7f41fff9,0x0fffdc7f,0x40e17fe4,
    0x006ffff8,0x3f67fffd,0x3a002fff,0xfff03fff,0x3faa007f,0xfd04ffff,
    0x3ffe07ff,0xfffd803f,0x1c06a80f,0x06ffff88,0x1ffff406,0x03fff418,
    0xdb31dea8,0x9fffd007,0xfe8120d8,0x0906c4ff,0xffe80fff,0x40906c4f,
    0x7404fffe,0x23a04fff,0x80effffc,0x0fffcc0e,0xff989ff7,0x54001eff,
    0x1365ffdb,0x03fffe80,0xf70fffcc,0xffff989f,0xfff9801e,0x204c003f,
    0x45ffd86c,0x03884ffe,0xb013fff6,0x7ec09fff,0x1ffc84ff,0x7f44ffa8,
    0x0fffdc7f,0xd8017fe4,0xd002ffff,0x3fa27fff,0xfd000fff,0xfff107ff,
    0x7dc0505f,0xffd07fff,0xffff107f,0xffff3005,0x0001f889,0x005ffffb,
    0x007fffd0,0x8801fffa,0x2003db5e,0x07c4fffe,0x44fffe80,0x03ffc00f,
    0x1f13fffa,0x13fffa00,0x409fffd0,0xbffffd0e,0x7ff501d0,0x3e037fa2,
    0x01dfffff,0x026cb900,0x007fffd0,0x3fa27ff5,0xfffff80d,0x3fea01df,
    0xc80002ff,0x2a3fff85,0x01a82fff,0xb013fff6,0x7ec09fff,0xfffa84ff,
    0x7f43fd81,0x0fffdc7f,0x54017fe4,0x2005ffff,0x3e63fffe,0xfd005fff,
    0xfff507ff,0x4405901f,0xfe82fffe,0xfffa83ff,0xfffb000f,0x8002641f,
    0x005ffffa,0x007fffd0,0x6c01fffa,0x006f543f,0xf993fffa,0x9fffd000,
    0x3fe007cc,0x27fff407,0x3fa001f3,0x7ff404ff,0x7443a04f,0x0743ffff,
    0x3efefe88,0x3ffffe60,0x64000cff,0xfe801365,0xfd1003ff,0x7cc07dfd,
    0x0cffffff,0x01ffffc8,0x7c46b800,0xfffd11ff,0x7ec05881,0x7fec04ff,
    0x3fff604f,0x85ffff04,0x3fff41fc,0x3207ffee,0x7fc402ff,0x3a000fff,
    0x7fe43fff,0xffe803ff,0x7fff443f,0xf8809903,0xfffe81ff,0x1ffff443,
    0xbffff100,0x220003e6,0x000fffff,0x007fffd0,0x3601fff6,0x80df704f,
    0xfd34fffe,0x3fffa001,0xf801fd34,0x7fff407f,0x2001fd34,0x7404fffe,
    0x83a04fff,0x22fffff9,0x0319900e,0x7ffffd40,0x32001fff,0xfe801365,
    0x199003ff,0x7ffd4003,0x6c1fffff,0x0000ffff,0x7ffcc798,0xb0dff9b1,
    0x4fffd801,0x4efffec0,0xffe99999,0xffff504f,0x3fa0fe29,0x0fffdc7f,
    0x32017fe4,0x4003ffff,0xfe83fffe,0x7f401fff,0xffdcacff,0x07f201df,
    0xfd01ffb0,0xffb959ff,0xf90003bf,0x007b3fff,0x0fffff20,0x3fffe800,
    0x21fffb00,0x101ffa83,0x7ff407ff,0x00ffffff,0xffffffd0,0x7ff801ff,
    0x7fffff40,0xfd000fff,0xffe809ff,0xf503a04f,0x03a1ffff,0x4c0003fa,
    0xfffffffe,0x26cb9001,0x09ffff00,0x20001fd0,0xffffffe9,0x3ffff61f,
    0x1f880000,0x2b7bffe6,0x10e44ffc,0x0bfffd01,0xffffffd8,0xffffffff,
    0x3fffe604,0xffff03ee,0xc81fffb8,0x3fe602ff,0xff8006ff,0xfff883ff,
    0x7fff406f,0x05ffffcd,0x3e206fc8,0xbfffd04f,0x00bffff9,0x7ffffc40,
    0xfff30006,0xfe8000df,0xff5003ff,0xff905d9f,0x817fe603,0xfb9dfffe,
    0xfffd000f,0x801ff73b,0x7ff407ff,0x00ffb9df,0x809fffd0,0x3a04fffe,
    0x6ffffc80,0xbdff981d,0x5001aaaa,0x09fffffd,0x004d9720,0x80bffff1,
    0xaaabdff9,0xffd5001a,0x7fdc9fff,0xdd9501ff,0x7c3bdddd,0x9a7fff42,
    0x42ea8dff,0x6ffff80d,0x027ffec0,0x8809fffb,0x880ffffe,0x3ee0ffff,
    0x2ffc81ff,0x07ffffa0,0x9ffff100,0x17fffee0,0xfb3fffe8,0xfc805fff,
    0x2fe441ef,0x367fffd0,0x0002ffff,0x00bfffee,0x0fffff40,0x3fffa000,
    0x3bfae003,0x205ff903,0x3fa05ffa,0x003ea4ff,0xf527fff4,0x407ff801,
    0x3ea4fffe,0x9fffd000,0x04fffe80,0x7ffec03a,0x7fd40edf,0xffffffff,
    0xfffb80a2,0x6cb9007f,0x7ff65404,0xa80cdfff,0xffffffff,0xfb80a2ff,
    0x3fe67fff,0x7fdc02ff,0x4c6a84ff,0x6775c3ee,0x3b262a82,0x0cefffff,
    0x204fffd8,0xb004fffd,0x74c1dfff,0xf71effff,0x5ff903ff,0x13fffee0,
    0x3ff26150,0xd84dffff,0xe81effff,0xffd13fff,0x56e401ff,0x3ffdcefc,
    0x89ffff40,0x000ffffe,0x05ffff10,0x9ffff700,0x7f400a80,0x008003ff,
    0xfb827fdc,0x3fffa04f,0xfe8007c4,0x2007c4ff,0x7ff407ff,0xe8007c4f,
    0x7f404fff,0x403a04ff,0x0fffffe8,0x7fffff44,0x590fffff,0x17fff440,
    0x009b2e40,0x7ff44000,0xffffffff,0x7f440590,0xffff12ff,0xffff8807,
    0x00007b02,0x009d102c,0xd813fff6,0x2a004fff,0x5c003fff,0xffc81fff,
    0xfffff882,0x26003400,0x3ffa0000,0x3fffe63f,0x33a60605,0x7fffd001,
    0x02ffffcc,0x2ffff880,0x7fffc400,0x7403400f,0x26003fff,0x2ffd403d,
    0x3a03ffc8,0x206c4fff,0x4fffe819,0xff86606c,0x27fff407,0xfd033036,
    0xffe809ff,0x9803a04f,0x880fffff,0xffffefff,0x880992ff,0x5c801fff,
    0xcc880136,0xdfff1000,0x25ffffff,0x7ffc404c,0x017fff21,0x203ffff1,
    0x440001f8,0x003fe01d,0xb027ffec,0x36209fff,0x017fe60d,0x901fff70,
    0xfffb05ff,0x007a805f,0x40017fe6,0x7e43fffe,0x26003fff,0xffd001ff,
    0xffffc87f,0xfff88003,0x7fec002f,0x03d402ff,0x001ffff4,0x7cc07ffb,
    0x03ffb05f,0x0627fff4,0x3fffa072,0xff0e40c4,0x4fffe80f,0x7f40e40c,
    0x7ff404ff,0x5003a04f,0xfa81ffff,0x647fea06,0x07fec01f,0x009b2e40,
    0x5402ffdc,0x47fea06f,0x7fec01fc,0x017fff40,0x403ffff1,0xb10001ea,
    0x00ffd403,0x204fffd8,0xf704fffd,0x805fd87f,0x01fff54b,0xffa85ff9,
    0x06e805ff,0x0007fd40,0x741ffff4,0x1001ffff,0x3fa00bfb,0xfffe83ff,
    0x7fc4001f,0x3ea002ff,0x6e805fff,0x03fffe80,0x8817baa0,0x3ff703ff,
    0x027fff40,0x3ffa03e6,0xf07cc04f,0xfffe80ff,0x7407cc04,0x7f404fff,
    0x003a04ff,0xfd03ffee,0xf93f4407,0x027fc40d,0x801365c8,0xfe807ee9,
    0xfc9fa203,0x213fe206,0x100ffff8,0x9803ffff,0x0754003e,0x4017fe60,
    0x3604fffd,0xff304fff,0x4402fd83,0x06ffa8ff,0xffe85ffb,0x3fa200ff,
    0x03fc4005,0x83ffff80,0x006ffff8,0x7fc013f2,0xfff883ff,0x7fcc006f,
    0x3fa002ff,0x3a200fff,0xffff805f,0x202b8004,0xfd100efb,0x2ffff409,
    0x3fa0ff30,0x1fe605ff,0xffe80fff,0x41fe605f,0x7405fffe,0x5f105fff,
    0x703ff600,0xed9885ff,0x107bff21,0x2e400bf9,0x0930009b,0x9885ff70,
    0x3bff21ed,0x102fe441,0xf105bff9,0x2e003fff,0x7d7301ae,0x5f7fec00,
    0x17fffa00,0x205fffe8,0x09f713fd,0x3fea7fa0,0x17ffe541,0x107ffff9,
    0x009fff93,0x000bbb22,0x413fffe2,0x405ffffb,0x8800efda,0xf704ffff,
    0x5400bfff,0x9003ffff,0x3107ffff,0x8809fff9,0x4005ffff,0x1df91049,
    0x40cfd880,0x21effff8,0x886ffc98,0x221effff,0x7fc6ffc9,0x7fc40adf,
    0x32621eff,0xfff886ff,0x3ffe206f,0x00bf506f,0x32203fa2,0x82cdffee,
    0xdcefcadc,0x2e4003ff,0x0c88009b,0xffdd9100,0x95b9059b,0x07ffb9df,
    0x37fff660,0x00bdffec,0x76edd440,0x88002cdd,0x3e03effc,0x3fe06fff,
    0x3b2206ff,0x26003def,0x9981ceec,0xfff30999,0xffffffff,0x007fffff,
    0x64c00062,0x4dffffff,0x1effffd8,0x32600110,0x4dffffff,0x1effffd8,
    0xffff9910,0x260199ff,0xffffffff,0xffffffff,0xfffd9503,0x98019bff,
    0x0006ee01,0x3fb26773,0xffffffff,0x3264ffff,0xfffffffe,0x44ffffff,
    0x93099999,0xfffffffd,0x49ffffff,0xfffffec9,0xffd930cd,0xd519bfff,
    0x1009dfff,0x0600001f,0x00006aa6,0x000c4000,0x54c0c000,0x2620001a,
    0x000019aa,0x01800000,0xfffffd93,0xffd9319d,0x0019dfff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0000000c,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x99999950,
    0x33332a01,0x37bb202c,0x1c80dc00,0x800a2000,0x80005eec,0x09bdedb9,
    0x1ddd3091,0x776dd400,0x664c02bd,0x6664c4cc,0x01cccccc,0x01777540,
    0x00037bb6,0x66666400,0x33326000,0xc83ccccc,0x00cccccc,0x004eee80,
    0x02b80000,0x3fb2e600,0x00721bee,0xa8033330,0x1400b304,0x2a000050,
    0x20001eee,0x36e00018,0x10004b80,0x44020209,0x88000999,0x000d981e,
    0x6f4c37aa,0x3fffa600,0x3bf6a05f,0x00fffc01,0x7c9857cc,0x801dc000,
    0x002ffff9,0xbefffd88,0x84edfeba,0x9805fffe,0xeb99befe,0x3fea01ef,
    0xffff507f,0x3f60003f,0x7ffc403f,0x437a6000,0x7fcc1de9,0xfa8000ff,
    0x2a02ffff,0x8000bfff,0x0000effa,0x027549d7,0xb10006ec,0x95337bff,
    0x4003fbff,0xe803fff8,0x800fee0e,0x002dc0cc,0x003ffd80,0x001bfe20,
    0x0bf20ee8,0xd703b200,0x20b315bf,0x0005ffe8,0x027d45f9,0x7ecfffa0,
    0x7ffc404f,0x07e604ff,0x4003ff50,0x03fffffe,0xd8007400,0x4006feff,
    0x500dfffa,0xdffb89ff,0x3ff201ff,0x3fff880f,0xf81fffe0,0x10005fff,
    0xff7009ff,0x3ffe8003,0xffd09ffb,0x3fa0001f,0x77cc05ff,0x3bf60000,
    0xfff10000,0x2007ffe3,0xffa800fd,0x3ffa604f,0x0ffee001,0x7e4f7d40,
    0x77fcc006,0x80002ffe,0x40004ff8,0x0001fffb,0x0bfd5ff5,0xf981db00,
    0x03ffffff,0x4001ffa2,0x0ffcbff8,0xc97fec00,0xffe803ff,0x03e02fff,
    0x98005fb0,0x000dfffe,0x7d401660,0x2005fb0e,0x400efffa,0x4bfe24fa,
    0xfff905fb,0x1fffcc03,0x3a07ffe8,0x50004fff,0x07fa009f,0x5cbff200,
    0xfffd83ff,0xfffb0000,0x002f440b,0x000077c0,0x7ff43ffe,0x00ef8800,
    0x2013ffea,0x3a001fe8,0x7ff4004f,0xfd8002ff,0x00006fff,0x300009f5,
    0xe8000fff,0x4001ffff,0xeccc83fc,0x4400ffff,0xf90002fe,0x10007fff,
    0x8015c457,0x1fffffce,0x02d801d0,0x0002e600,0x2f400b20,0x7fc40364,
    0x499001ff,0x20fd40ec,0xe806fff9,0xffe80fff,0x13fffa07,0x88026400,
    0x5710001e,0xfffb02b8,0x3ff60001,0x007f305f,0x0001b300,0x0dc43730,
    0x220dfb00,0x3000ffff,0x13e2003f,0x17ffea00,0x01dc9800,0x00132000,
    0x0000b980,0x0027ffd4,0x261c1fee,0x17e2002b,0x37ffc400,0xd0000000,
    0x1dffff91,0x000001d0,0x03400000,0x20054030,0x2005fffd,0x0cc02249,
    0x200ffffa,0xfe86fffc,0x3fffa07f,0x00000004,0xfb000000,0x360001ff,
    0x1fb85fff,0x00000000,0x3e600000,0x5fffd82f,0x9800ec00,0x2aaa0003,
    0x00000000,0x00000000,0x00ccc000,0x000ffe20,0x00093000,0x4c004cc4,
    0xcccccccc,0x04cccccc,0x7ffff43a,0x664c0e85,0x0ccccccc,0x99999993,
    0x99999999,0x7fff6440,0x00388001,0x013fffe2,0x33332630,0xf50ccccc,
    0xf5003fff,0xffe83fff,0x13fffa07,0x99999300,0xcccccc98,0xc9801ccc,
    0xcccccccc,0xb07ffec0,0x3607dddd,0x07645fff,0x00e20000,0x00071000,
    0x3fe637fc,0x04c002ff,0x1db872e0,0x36e1cb80,0x00710001,0x6666665c,
    0xcccb80cc,0x9999933c,0x99999999,0xcccca899,0x0aaacccc,0x303ff700,
    0x99999999,0xb872e019,0xcccc981d,0xcccccccc,0xffa884cc,0xedccceff,
    0x443a07ff,0x743ffffe,0xfffff500,0xffff5103,0xffdb999d,0x227fa60f,
    0x5c002ffe,0x3ffee007,0x7d40002f,0x7dc1ffff,0xf9801fff,0x7ff42fff,
    0x13fffa07,0x1fffea00,0x0fffffd4,0x7fffd400,0x1fffb01f,0x3600dfc8,
    0x0dd15fff,0x01ee0000,0x000f7000,0xff50fff4,0x800003ff,0xdff36ffa,
    0xf36ffa80,0x1ee000df,0xffffa880,0x67fcc03f,0x3fffea20,0xffedccce,
    0xffffb887,0x2dffeecd,0x5007ffc0,0x403fffff,0xdff36ffa,0x3fffea20,
    0xffedccce,0x13fffa07,0x41d03fdc,0x22fffff9,0x3fffe00e,0x27fff405,
    0xdfd07fb8,0x001bffe2,0x3f6005ff,0x80001fff,0xfc85ffff,0xf9800fff,
    0x7ff44fff,0x13fffa07,0x03fffc00,0x000bffff,0xb02ffffc,0x04e81fff,
    0xf9dfffd8,0x800002ff,0x200002ff,0xf90002ff,0x7fffe49f,0x7d400001,
    0x80dff36f,0xdff36ffa,0x00bfe000,0x09ffff70,0x7ff40bd0,0x20ff704f,
    0x6c3ffff8,0xfa80dfff,0xffff807f,0x9b7fd405,0x7ff406ff,0x40ff704f,
    0x2a04fffe,0xff503a07,0x803a1fff,0x7404fffe,0x1ea04fff,0x7edd3fee,
    0x3fee006f,0xffffd006,0x3ffa0000,0x7fffe84f,0xbffff100,0x3a07ffe8,
    0xd0004fff,0x7ff40fff,0x3fa0004f,0x3ff604ff,0x6c01320f,0xffffefff,
    0x2e00001f,0x700006ff,0x32000dff,0x3fff66ff,0xb800000f,0x20076e1d,
    0x0076e1db,0x001bfee0,0x803ffffa,0x3ffa00f9,0xf81ea04f,0xffd83fff,
    0x07ffb85f,0x804fffe8,0x0076e1db,0x5409fffd,0x13fffa07,0x203a0781,
    0x1d6ffffc,0x027fff40,0x8113fffa,0x1d3ffe87,0x7f4003b7,0xffd801ff,
    0xe80000ff,0xffd84fff,0xff8800ff,0x3fff44ff,0x009fffd0,0xe81fffa0,
    0x20004fff,0x3604fffe,0x00b90fff,0x7df7ffec,0x0000efff,0x003fffd0,
    0x03fffd00,0x6cfff700,0x0000ffff,0x00000000,0x1fffe800,0x7fffd400,
    0xfd00ba03,0x03c089ff,0x3a07ffff,0x7fe44fff,0x4fffe806,0x7f400000,
    0x81e044ff,0x06c4fffe,0xfd807409,0x200edfff,0x7404fffe,0x906c4fff,
    0x0b37fff0,0x3fffea00,0xffffb805,0xffe80001,0xffffc84f,0xffff9801,
    0xd03fff43,0x20009fff,0x3fa07ffe,0x3a0004ff,0x3f604fff,0x00ffc8ff,
    0x32bfffb0,0x0005ffff,0x05ffffa8,0x7fffd400,0xfffb8005,0x03ffff90,
    0x3bbbbb6a,0xdddb11de,0x0f77764d,0x64ddddb1,0x5001eeee,0x000bffff,
    0x501ffffb,0x9fffd00d,0xff8120d8,0xfff903ff,0x037fec1f,0x4427fff4,
    0x3b26eeed,0xffd01eee,0x8120d89f,0x07c4fffe,0xfd100e80,0x7401ffff,
    0x7f404fff,0x3007c4ff,0x0059bfff,0x3ffffb60,0x7fffcc00,0xffe80003,
    0xffffb84f,0xffffa801,0xd03fff42,0x0a009fff,0x7f40fffd,0x3a0004ff,
    0x3f604fff,0x05fffdff,0x6cbfffb0,0x0004ffff,0x07ffff6c,0xfffdb000,
    0xffb8001f,0x5ffff50f,0x4ffffb80,0xfe8ffff0,0x7fff81ff,0x800ffff4,
    0x00ffffed,0x27fffcc0,0x3fa007e2,0x8007c4ff,0xf303ffff,0x7ff47fff,
    0x4fffe806,0xfd1fffe0,0x3ffa03ff,0xe8007c4f,0x03e64fff,0xff300740,
    0x7f401fff,0x7ff404ff,0x8803e64f,0x0006efff,0x9ffff1d3,0x09ffff00,
    0x9fffd000,0x05ffff10,0x81ffff70,0x3fa07ffe,0x449804ff,0x3fa07ffe,
    0x3a0004ff,0x3f604fff,0x3fffdcff,0x25fffd80,0x02ffffe8,0xfff1d300,
    0x3a60009f,0x004ffff8,0xff13ffdc,0xff8807ff,0xfffd02ff,0xe81fffc8,
    0x7ffe47ff,0xff8e9801,0xfd8004ff,0x01320fff,0xf327fff4,0x3fffe001,
    0xbffff103,0x74037fec,0x3fa04fff,0x0fffe47f,0x264fffe8,0xfffd000f,
    0x4003fa69,0x7ffd400e,0x3fffa00f,0xa7fff404,0x7f400fe9,0x790004ff,
    0x003ffff2,0x000dfffb,0x209fffd0,0xd805fffc,0xffe83fff,0x13fffa07,
    0xfffd0f60,0x027fff40,0x09fffd00,0x7c47ffec,0x7ec00fff,0x7ffcc5ff,
    0x3c8001ff,0x001ffff9,0x3fff2790,0x3fee000f,0x037ffe47,0x407fffe2,
    0x7fdc7ffd,0x47ffd81f,0xc801fffb,0x01ffff93,0x5ffff880,0x3fa001f3,
    0x01fd34ff,0x80ffffe0,0x3f26ffff,0xfffe806f,0x71fff604,0x3fa03fff,
    0x01fd34ff,0x3fffffa0,0x1d000fff,0x01fff700,0x2027fff4,0xfffffffe,
    0x7ffec00f,0x33c40105,0x8807ffff,0x7004ffff,0x09fffd05,0x803fffe2,
    0xfd06fff9,0x7fff40ff,0x3a17c404,0x3ffa07ff,0x3fa0004f,0x3ff604ff,
    0x0dfff50f,0xa85fffd8,0x000effff,0xffff99e2,0xf33c4003,0x64007fff,
    0xfffe85ff,0x3fffe201,0xb8fffb01,0xffd81fff,0x00fffdc7,0xffff99e2,
    0xfffc8003,0x3a003d9f,0xffffffff,0x7ffff000,0x73ffffc0,0xffd00dff,
    0x3ffec09f,0x7407ffee,0xffffffff,0xbfffd000,0x1001ff73,0x3ff6005f,
    0x13fffa00,0x73bfffd0,0xff9801ff,0x01b10cff,0x3fff625c,0xffffa806,
    0x74076401,0x3e604fff,0x3ff204ff,0x0fffd00e,0x1027fffc,0x7ffe83fd,
    0x013fffa0,0x04fffe80,0xfd83fff6,0x3ffa03ff,0xffffb05f,0xb12e001d,
    0xb800dfff,0x037ffec4,0xf109ffb0,0x3e201bff,0xffb01fff,0x81fffb8f,
    0x7fdc7ffd,0x3625c01f,0x88006fff,0x006fffff,0x5ceffff4,0xfff000ff,
    0x7fffc07f,0x201ffe66,0x3604fffe,0x7ffdc7ff,0x3bfffd01,0x3a001ff7,
    0x03ea4fff,0x44017ea0,0x3ffa00fe,0x7fff404f,0x2a003ea4,0x1fefffff,
    0x3fea07c0,0xfe9802ff,0x3ae62cff,0x9fffd00d,0x83ffe880,0x3e00effc,
    0xff880fff,0x75cc1eff,0x3fff40ff,0x009fffd0,0x027fff40,0x7c45fffd,
    0xfff01fff,0x3ffe60df,0x0f800eff,0x017fffd4,0xfffa81f0,0x1ffd002f,
    0x03bff220,0x407fffe2,0x7fdc7ffd,0x47ffd81f,0x7c01fffb,0x17fffd40,
    0x7fffdc00,0x7fff4002,0x7c003ea4,0x3fe03fff,0x0fff45ff,0x813fffa0,
    0x7fdc7ffd,0x9fffd01f,0xfe8007d4,0x5007c4ff,0x009dfffd,0x7ff401f1,
    0x7fff404f,0xff8007c4,0x5c01dfff,0xff99999d,0x32a005ff,0x2efffffe,
    0x027fff40,0xfddffda8,0x3fa602df,0xd931efff,0xffffffff,0xd0ffffff,
    0x7ff40fff,0xfd05004f,0x3ff609ff,0xfff72eff,0x3fb269ff,0x2a4effff,
    0xfffffffe,0x26676e05,0x05ffff99,0x33333b70,0x200bffff,0xfd9805ff,
    0xdffeddff,0x1fff600b,0xfb03fff7,0x1fffb8ff,0x266676e0,0x005ffff9,
    0x02ffff88,0x227fff40,0xffff000f,0x3fffe207,0x2017fd44,0x3604fffe,
    0x7ffdc7ff,0x89fffd01,0xfffd000f,0x00cc0d89,0xd0060188,0xfe809fff,
    0x2606c4ff,0x0019a541,0x3bbbbbba,0x001ffffe,0x74003990,0x4c004fff,
    0x2004ffff,0x01300008,0x207ffe80,0x9804fffe,0x04fffe84,0x80000220,
    0xdd000008,0xffdddddd,0xddd003ff,0xfffddddd,0x1ffa803f,0x4d6ec400,
    0x1fff6000,0xfb03fff7,0x1fffb8ff,0x3bbbbba0,0x01ffffee,0x17fffc40,
    0x13fffa00,0xff81981b,0xfff303ff,0x80bfd05f,0x3604fffe,0x7ffdc7ff,
    0x89fffd01,0x7f40cc0d,0x0e40c4ff,0x003ffb80,0x404fffe8,0x40c4fffe,
    0x4000ec1c,0x7fffc05a,0x2ff98004,0x13fffa00,0x3ffff200,0x03ffb002,
    0x0027fcc0,0x7f40fffd,0x83d804ff,0x2004fffe,0x80001efe,0x20001ffd,
    0x7fffc05a,0x3e02d404,0x7f404fff,0x3ff88004,0x0fffc800,0x3207ffee,
    0x3fee0fff,0xf80b501f,0x44004fff,0x4002ffff,0x40c4fffe,0x3ffff81c,
    0x20bfff90,0x3fa01ff9,0x3ff204ff,0x07ffee0f,0x0627fff4,0x3fffa072,
    0x8007cc04,0xe8006fc8,0x7f404fff,0x07cc04ff,0x0ba000d1,0x01ffff90,
    0x005fd880,0x0013fffa,0x03ffffa2,0x0017f620,0x3a001ff7,0x3ffa07ff,
    0x417c404f,0x2004fffe,0x80004fe9,0x20005fd8,0x7ffe402e,0x900ba00f,
    0x2601ffff,0xf910004f,0xfff7000d,0x0bfffe63,0x7cc7ffee,0x05d02fff,
    0x00ffffc8,0x0bfffe20,0x09fffd00,0xfff80f98,0xffff883f,0xe813ea00,
    0x3ee04fff,0xffff31ff,0x13fffa05,0xffd01f30,0x03fcc0bf,0x20017ee0,
    0x7405fffe,0x3e605fff,0x54001dc7,0x7ffc400f,0x4fc8004f,0x17fffa00,
    0xffffd800,0x7f9009bd,0x006f9800,0xff81fffa,0x3fa204ff,0x05fffe81,
    0x00017ec0,0x50003fc8,0xfff8801f,0x801f504f,0x884ffff8,0x7dc0005e,
    0xfff98004,0x3fffdece,0xecefff98,0xfa83fffd,0x7fffc400,0x3ffe6004,
    0x7ff4002f,0x41fe605f,0xfc83ffff,0x2fa802ff,0x40bfffd0,0xdecefff9,
    0xffd03fff,0x43fcc0bf,0x21effff8,0x006ffc98,0x8001bf93,0x206ffff8,
    0x21effff8,0x746ffc98,0x0ffc4000,0x0fffffc0,0x00efda80,0x0dffff10,
    0xfeca8800,0x2fed43de,0x05dd9100,0x407fffc0,0x41effff8,0x440ffeb9,
    0x7006ffff,0x50000bfb,0x22000bfb,0xfff801ff,0x0ffc41ff,0x0fffffc0,
    0x4c0005d3,0x70000dfc,0xff71dfff,0xfff705ff,0x5ffff71d,0x7c00ffc4,
    0x5001ffff,0x4007ffff,0x21effff8,0x986ffc98,0x988dffff,0x2000dffd,
    0x7ffc43d9,0x7ffdc06f,0x2ffffb8e,0x0f7fffc4,0x4cdff931,0xffffffec,
    0x4fffffff,0x30003100,0xbfffffd9,0x3ffb2619,0xffffffff,0x00044fff,
    0x073bffee,0x3fffff72,0x0008804f,0x3ffffb26,0x00000cdf,0x44000440,
    0x7ff4c001,0xfd931eff,0xffffffff,0x64cfffff,0xcdfffffe,0x00002200,
    0x2e000088,0xc81cefff,0x4ffffffd,0x039dfff7,0xffffffb9,0x22000069,
    0x02a00001,0x7000a800,0x9039dfff,0x9ffffffb,0x3fff3220,0x300ccfff,
    0xffffffd9,0x9fffffff,0x7ffffe54,0x00bdefff,0x7f64ca00,0x00cdffff,
    0x764c002a,0xffffffff,0x004fffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x0000eeeb,0x77777754,0xd70001ee,0x000ae15d,0x40001530,
    0xeeeeeeea,0x0000001e,0x9d70004c,0x00fb2000,0x2aaaaaa6,0xddddb02a,
    0xe9809ddd,0x2eeeeeee,0x77777400,0x00004eee,0x00000040,0x71053000,
    0x00200540,0x32033322,0x81543300,0x22055028,0x88002002,0x00026619,
    0x4cc40080,0x01501c41,0x98019991,0x262004cc,0x00000099,0x00033310,
    0x3ff6017e,0x7fdc0003,0x01ffffff,0xfffffc80,0x360000fe,0x70002fce,
    0xffffffff,0x40000005,0xf8800ffb,0x7d4003ff,0x7fe400ff,0x80ffffff,
    0xffffffff,0x7fffcc06,0x4003ffff,0xffffffff,0x76544005,0x02e42cde,
    0x00001d91,0xbd0bff00,0xd7036c41,0x3f201bfd,0x41fb84ff,0x313e21fb,
    0x30fe209d,0xdfd1009d,0x2adfb001,0x3b2201ff,0x3ffd00be,0x3613ffe0,
    0xfc836c0e,0x7fec03ff,0xbffd002f,0x98eeeed8,0x2000dffd,0x8004fff8,
    0xdfb002fa,0xaaa98000,0x000aaaaa,0xffffece8,0x99660005,0x55510005,
    0x00155555,0x7fe40000,0x3fff8802,0x0fffd400,0x3bbbbae0,0xaaa80eee,
    0x402aaaaa,0xaaaaaaa8,0x5554001a,0x001aaaaa,0x9337dfd5,0x20d73dff,
    0xbeeedeea,0xbb953001,0x0ffd0159,0x5fd11df3,0x3e69fb10,0x7fffc41f,
    0xfb2ff80f,0x3eabf909,0x553f200f,0xffb800ff,0x87fc403f,0x57e603fd,
    0x7fd42ffb,0x05ffa85f,0x5fd11df3,0x1fffff30,0x1bfffea0,0x7417fe60,
    0xffefcfff,0x3fea005f,0x01f90004,0x0003fa20,0x71000000,0x00016dcc,
    0x0000f12e,0x00000000,0x5c003ba2,0xfc8000df,0x00000003,0x00000000,
    0xeffc8000,0x0ffff880,0x2ab75fc8,0x3fa602ff,0xdfeb99be,0x7ec13e62,
    0xff905fff,0x3f637f43,0xfb84fd8d,0xf880ffef,0x4403ffef,0x003ffeff,
    0xa807fff7,0xff017e2f,0xf51bfe67,0x0bfb09ff,0x06ffffd8,0x09fb1bfb,
    0x0ffa33fa,0x3201df90,0xff90efff,0x17f6003f,0x4005f800,0x4c0002d8,
    0x01acddcb,0x40000000,0x300971e8,0x99999999,0x66665419,0x9999933c,
    0x65419999,0x0dbccccc,0x00000000,0x1db872e0,0xcccccc98,0x22000ccc,
    0x33326003,0xcccccccc,0xff904ccc,0x7ffdc05f,0x5b87fd42,0x7fe40bea,
    0xffff880e,0x3fe603bc,0x7ff981ff,0x4f98ffe4,0x7ff407e4,0x3ffee03f,
    0xdfff9006,0x06fec400,0x00fa9760,0x7fcd3fe6,0x406fec0f,0xfff8805f,
    0x643fa81f,0xb117dc0f,0x200ee80f,0x3ee1fffc,0x5f8802ff,0x00fe6000,
    0xfd300000,0xbfd7337d,0x01c40001,0x1bfd5000,0x3ffee200,0xdfb301ef,
    0xffffb881,0x1dfb301e,0x99999500,0x99999999,0xccccc987,0xfa80cccc,
    0x40dff36f,0x01fffffa,0x44007b80,0xcceffffa,0xa87ffedc,0x7c406fff,
    0x3ff60fff,0xc82d8b71,0x3ee01fff,0xdd9003ff,0x917ff209,0x5c0ae7ff,
    0x805eea83,0xb1002eed,0x000003dd,0xc8055064,0x017fa5ff,0x76400910,
    0x2e05704e,0x02c80e43,0xffc80191,0x0bffea1f,0x90001260,0x0388001f,
    0x01fff900,0x0007fff1,0x700001ee,0x3ffe000f,0x00fcc04f,0x9809ffff,
    0xfff9001f,0xffd55599,0x3fea07ff,0x3ea01fff,0x80dff36f,0x0005ffff,
    0xfd0005ff,0x1fee09ff,0x880ffffa,0x3a5fffee,0x545b8eff,0x037ffcc2,
    0x8007fff4,0x77ffec00,0x104fffee,0x40082004,0x00000000,0x3e000800,
    0x000046ff,0x00000041,0x01000200,0x2a1fffc8,0x20003fff,0x001ba000,
    0x3f2001ee,0x3fee01ff,0x2ff8003f,0x0bfe0000,0x0ffffe00,0x7fc01f10,
    0x00f803ff,0x3e607fb0,0x7fc06fff,0x1db805ff,0xffd0076e,0xff70009f,
    0xfffd000d,0x3e23d409,0x33602fff,0xf70ffffb,0xd00b9dff,0xf9007fff,
    0xfec80bff,0xeffe83df,0x20999999,0x86beffe9,0x06beffe9,0x881bfdd7,
    0x3b26eeed,0x03801eee,0x07bffd90,0x2007fff8,0xbeffe985,0x5bffd706,
    0x16fff5c0,0x01bfdd70,0x406ff75c,0x3ea1fffc,0x7edc43ff,0xfffb14ef,
    0x003f9809,0x26002ff8,0xfe806fff,0x3ee000ff,0xf700006f,0xfff000df,
    0x401f007f,0xf803ffff,0x7407d000,0x7401ffff,0x00004fff,0x027fff40,
    0x00ffff40,0x113fffa0,0x7fffd478,0x3fe6b901,0xffff12ff,0xfffa80df,
    0xfffc801f,0x0efe880f,0x7ffe8bfb,0xf51ff880,0xa8ffc41f,0x53f620ff,
    0xfff81ff9,0x00ffff47,0x3bfa202c,0x7fc0bfb0,0x43d000ff,0x1ff51ff8,
    0x9ff94fd8,0x3ff29fb0,0xf9a7ec44,0x9a7ec41f,0x7ffe41ff,0xa8fffea1,
    0xfdff50df,0xb81bf61f,0x7fdc001f,0x3fffa006,0x5fffc803,0x07fffa00,
    0x3fffa000,0x7fffc001,0x3e00f803,0x0f803fff,0x7fdc0d00,0xffe804ff,
    0xeeed884f,0x07bbbb26,0x0027fff4,0x017fffea,0xd89fffd0,0xffff9120,
    0x7fccd701,0x3fff23ff,0xff701eff,0xff7003ff,0x7ffb05ff,0xffb27fcc,
    0x0ffa803f,0x0ffa83ea,0x1ffc83ea,0x3ffa1bfa,0x00fffe47,0x7ffb016e,
    0xdd527fcc,0x3dddffff,0x1ff517c0,0x3ff907d4,0xfc83ffe6,0x41fff31f,
    0x1bfa1ffc,0x37f43ff9,0xfa87fff2,0x8bff13ff,0x3ea3fffd,0x000dd03f,
    0x5003fffd,0x5003ffff,0x5003ffff,0x000bffff,0x05ffffa8,0x01ffffc0,
    0xffff007c,0x2001f007,0xdffff103,0x13fffa00,0x7f47fff8,0xfffd01ff,
    0xffed8009,0x3fa000ff,0xd007c4ff,0xea81ffff,0x17fffe60,0x7ffffff7,
    0x01ffffb0,0x87ffff50,0x3e20fff9,0xbfff71ff,0x3bff6510,0xeffd8360,
    0x3ffcc360,0xffb07ff2,0x01fffb8f,0xff9807ee,0x47ffe20f,0xfffffffa,
    0x47f101ff,0x4360effd,0x7ff47ff8,0xfe8fff11,0xc8fff31f,0x8fff31ff,
    0x3ff21ffc,0x4fffea1f,0x3f20fffa,0x1ffe21ff,0xf50013e2,0xf700bfff,
    0xf3003fff,0xdb005fff,0x0001ffff,0x07ffff6c,0x07ffff00,0x7ffc01f0,
    0x000f803f,0x17fffec0,0x04fffe80,0xff91fffa,0x3fffa03f,0x3e3a6004,
    0x3a004fff,0x03e64fff,0x20ffffd8,0x7ffcc0f9,0xfffe984f,0x7fff44ff,
    0xffff3007,0x40fffc8b,0xfff13fff,0xfc86c19f,0xfc812fff,0x7e412fff,
    0x21ffe45f,0x7fdc7ffd,0x80df901f,0x7fc0fffc,0xff95513f,0x2a0155bf,
    0x3ffff25f,0x237fe412,0x1bff23c9,0x2ffe4793,0x7fe4fff2,0xf91ffe45,
    0x7ffd43ff,0xfc8dff13,0x07ffc0ff,0xdb0007ee,0xc801ffff,0x9800ffff,
    0x4c03ffff,0x04ffff8e,0xfff1d300,0x7ffc009f,0x200f803f,0xf803ffff,
    0x3fea0000,0x3fa005ff,0x3ff604ff,0x80fffdc7,0x2004fffe,0x1ffff93c,
    0x53fffa00,0x3ee00fe9,0x03f11fff,0x407ffff5,0x20fffffd,0x800ffffd,
    0x744ffff9,0x7ffc0fff,0x3ffffea5,0x3ffe61fd,0xfff984ff,0x7ffec4ff,
    0x44fffeee,0x7fdc7ffd,0x02ffd81f,0x3e07fff4,0xfff885ff,0x267fc803,
    0x6c4fffff,0xffd806ff,0xefffd806,0xfb4fffee,0xfffdddff,0x517ffec9,
    0x22187fff,0xeeeffffc,0x3ec1fffe,0x3fe3a600,0x7ff404ff,0xfff1007f,
    0xf93c80bf,0x90001fff,0x03ffff27,0x01ffffc0,0xffff007c,0x0001f007,
    0x03ffffe2,0x04fffe80,0xff71fff6,0x3fffa03f,0x7ccf1004,0xfd003fff,
    0x1fffffff,0x4ffffd40,0xfff702e8,0x7ff5c05f,0x3fff23ff,0xfffa800f,
    0x43fffc3f,0x7fd47fff,0xffc82eff,0xffc85fff,0x3ffa5fff,0x0999999e,
    0x3ee3ffec,0x3ffec1ff,0x7c3fffc0,0x5ffb07ff,0x643ffd00,0x3a5fffff,
    0xffe807ff,0x9effe807,0xfd099999,0x333333df,0x3fffff61,0x107fff52,
    0x3fff97f9,0x41333333,0x9e4004f8,0x200ffffc,0x800ffffd,0x204ffff9,
    0x3fffe678,0xf33c4003,0x3e007fff,0x0f803fff,0x00ffffe0,0x7e40003e,
    0x74003fff,0x3f604fff,0x0fffdc7f,0x004fffe8,0x6fffd897,0x3bfffd00,
    0x7c401ff7,0x203ebfff,0x5c07fffc,0x2e6fff9d,0xb801ffff,0x7f42ffff,
    0x06fff87f,0xffb803f9,0xffb82fff,0xfffd2fff,0x23ffec00,0x3e21fffb,
    0xd1f5c6ff,0xdfff0fff,0x2003fee0,0x7fdc3fff,0xfffd2fff,0x1fffe803,
    0x403fff40,0x80007ffe,0x7d42fffa,0x03fff71f,0x8800bea0,0x0ffffe67,
    0x00ffffc8,0x03ffffa8,0xdfffb12e,0x7ec4b800,0xfff006ff,0x401f007f,
    0xf803ffff,0xfff98000,0xffe8006f,0x1fff604f,0x3a03fff7,0x1f004fff,
    0x02ffffa8,0x2a4fffe8,0x7ffdc00f,0x7ffec04f,0x2ab70323,0x3ffe27ff,
    0xfffc802f,0x447ffd87,0x4fb85fff,0xfffe9820,0xfffe9825,0x003fffb5,
    0xff71fff6,0x2fffd43f,0x7fec3ffe,0x42fffc47,0x23307fb9,0x4c14fff9,
    0xffb5fffe,0xfffd807f,0x0fffec03,0x007fff60,0x45fff500,0x3fee2ffc,
    0x00fb003f,0x7ffec4b8,0x3fffee06,0xffffb801,0xff503e02,0x07c005ff,
    0x00bfffea,0x100ffffe,0x3ffff80f,0xe8003c40,0x8001ffff,0x3604fffe,
    0x7ffdc7ff,0x09fffd01,0x33333b70,0xd00bffff,0x00f89fff,0x200fffe8,
    0x1e46fff8,0x237fc56e,0xd805fffc,0xffa83fff,0x0fffe20f,0x21c813fa,
    0x8726ffd8,0xff76ffd8,0xfc8510bf,0x3ffee0ff,0xd1fffe61,0x3ffea1ff,
    0xc8fffe20,0x99bfffff,0xfff71fca,0xffd8872d,0x03ffff76,0x07fffee1,
    0x42fffdc2,0x0bfff728,0xfaa64051,0x1fff11ff,0x407fffc4,0xf0017e09,
    0x2ffffa81,0x05ffff10,0x40ffff90,0xf99999db,0xb7005fff,0xfff33333,
    0xfffd00bf,0x74078807,0x3c403fff,0x7fffdc00,0x7f405404,0x3ff604ff,
    0x80fffdc7,0xe804fffe,0xfeeeeeee,0x7f401fff,0x2606c4ff,0x02fffc41,
    0xec81fff9,0x17fcd6e0,0x803fffe2,0x3a06fff9,0x1bfe61ff,0x6c807fec,
    0x8d927fcc,0xfff14ff9,0x2e06c19f,0xfff31fff,0x1fffe85f,0x3ffd1bee,
    0x3d337fcc,0xffffffd3,0x3fff21ff,0x4ff98d96,0xc83bfffa,0x83bfffa2,
    0x9ffff12c,0xfff886c1,0x4c0360cf,0x0fffb8ff,0x7cc5fff9,0x9261efff,
    0x36e002fa,0xfff99999,0x3fff205f,0x3fffd805,0x3bbbbba0,0x01ffffee,
    0xeeeeeee8,0x401ffffe,0x4c04fffc,0x27ffe406,0xf1001a60,0x6801ffff,
    0x409fffd0,0x3ee0fffc,0xfffd01ff,0x7c05a809,0x7f404fff,0x0e40c4ff,
    0x10fffbaa,0xf901bff9,0x3f636e1d,0x09ffd305,0x30077ff4,0x0ffe49ff,
    0x41bfff98,0x1ff30cfc,0xff9867e4,0x3ffffea0,0xfff981fd,0x3fffdece,
    0x44efffcc,0x27fcc0fc,0x8ad43ff9,0xfffffffe,0x653ffe63,0x41ff30cf,
    0xfefffff9,0x7ffffcc3,0x7ffd43fe,0x7d41fdff,0x01fdffff,0x17fdcffc,
    0xbddffff7,0xddfffff5,0x2000fc8b,0xeeeeeeee,0xf101ffff,0x7cc01fff,
    0x016a06ff,0xa809ffff,0x27fffc05,0x017ffea0,0xfffa8099,0x20026405,
    0x402ffffd,0x9fffd07a,0x98fffdc0,0xfd02ffff,0x02e809ff,0x007fffe4,
    0x9809fffd,0x6d43e60f,0x2cefddff,0x3bbff660,0x6c402eff,0x7fe443ff,
    0xbbfd1004,0xfeb801df,0x3fbae1ef,0x775c1ffd,0xfa81ffdf,0x2e02efff,
    0xffb8efff,0x7f6442ff,0xfd100cef,0xdd01dfbb,0xfffd31df,0x2e1bf909,
    0x81ffdfee,0x03efffe9,0x07dfffd3,0x0bbfffea,0x177fffd4,0x167764c0,
    0x8bbfffa2,0x0dffffe8,0x0b500154,0x204ffff8,0x3a04ffe9,0x0ba00eff,
    0x01ffff90,0x3ff20174,0x3fe200ff,0x01d501ff,0x01ffff88,0x7d4001d5,
    0x6e805fff,0x409fffd0,0xdecefff9,0xffd03fff,0x007d40bf,0x813fffe2,
    0x2605fffe,0xa980ec7f,0xd998000a,0x7edc000d,0x02dffdde,0x00099880,
    0x1510c0c4,0x800a8860,0x02a000a8,0x98800000,0x4c0cc009,0xa886000a,
    0x000a8800,0x2a200151,0x00151000,0x802a2000,0x200001a8,0x7ffe402e,
    0x3ff6200f,0x027fe443,0xff1003ea,0x03ea09ff,0x09ffff10,0x0affff98,
    0x26003f73,0x730affff,0xffe8003f,0x3fa200ff,0x0bfffd05,0xb8efffb8,
    0x7c42ffff,0xff106fff,0xfffff003,0xdffff103,0x37fe4c43,0x54000000,
    0x55440004,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x007d4000,0x013fffe2,0x3f77bf6e,0x7fc402df,
    0xfffff801,0x400ffc41,0x401fffff,0xffffffd8,0x7ec4001d,0x01dfffff,
    0x1ffffe40,0x27ffe4c4,0x037fffc4,0xd93000a8,0x19bfffff,0x073bffee,
    0x3fffff72,0xfffd934f,0xffffffff,0x000009ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x801ff880,0x001fffff,0x5c002aa2,0xc81cefff,0x4ffffffd,0x039dfff7,
    0xffffffb9,0x26aa2009,0xaa880000,0xff980009,0xffffffff,0x23ffffff,
    0xfffffec9,0x000000cd,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x9dfff700,0xffffb903,0x000009ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4c000000,0x19998099,0x80001000,
    0x22003cc9,0x44002a03,0x30133119,0x4c000333,0xcca80199,0x02b88002,
    0x00666600,0x5c000ae2,0x260001cc,0x4cc40099,0x26660009,0x0b32a000,
    0x00333300,0x32200001,0x4c39303e,0x0201001c,0x0e541950,0x4016ed40,
    0x806e0bd9,0x4ccc1999,0x7505dc01,0x99991001,0x00fb2239,0x40b82f2a,
    0x0002a038,0x016ed440,0x02d40744,0x0164c393,0xffb80104,0x0fffb81f,
    0xeffec880,0xffe8000c,0x117a001f,0xa7fc00db,0xfff706fc,0xfff30001,
    0xffff8807,0x36fea000,0xfff88006,0x7e67c403,0x3ffea000,0xfff70006,
    0x0dffb003,0x803ffec0,0x000ffff8,0x2a07fff3,0xcccdfefe,0xff90601c,
    0x27ff889f,0xd9300fff,0x80ba69fd,0xdff35ffa,0x7cc7fcc0,0xffff901f,
    0x3e601f9d,0x7ffe43ff,0x2a9ff700,0xfb1005ff,0x3fff25ff,0x3ffff603,
    0x41bb07cd,0xffd706d8,0x7ffdc05b,0x76c02fff,0x101fca9b,0x3ffe1fff,
    0xbeffe980,0x017fec06,0xfa807ff9,0x01dff70d,0x2ffffdc0,0xd31df500,
    0x9bea003f,0x3ff201ff,0x3ffb8003,0x4ffffc80,0x02d87600,0x4027fdc0,
    0xe8012e3c,0x8002ffff,0xd1001ffd,0x7ec003ff,0xfffc802f,0x7ff7004f,
    0x7453ff20,0xf102eeff,0x4c6fffe8,0xfff88fff,0xf32ffa81,0x7dc05ffd,
    0x40fff56f,0x41bf64fe,0x5fffffef,0x640fff20,0xbff903ff,0xb801bfee,
    0xfffd2fff,0x3ffbe20d,0xdf304fff,0xfb05fd11,0x2613ff29,0x6fffffff,
    0x7ffffcc0,0x23ffe206,0x7c41fff8,0x201ff51f,0xfc802ff8,0x897fe206,
    0xf1004fff,0x003fd37f,0x02fffff4,0x0fe63f90,0x2001bf20,0xff9804fe,
    0xf000ff9a,0x3a001e41,0x545b004f,0x71df7005,0xff8800df,0x1ff44002,
    0x3013f600,0x01ff35ff,0x3ea09fd0,0x0fff20ff,0xfffa8fd0,0xd5175c0f,
    0xd8bff307,0x32202fff,0x5c0b721d,0x13fea1ff,0x33fae293,0x900ffa00,
    0x477620bf,0x2a001dc8,0xfff72fff,0x3267501f,0x3f600cfe,0xffc85fff,
    0x441fff31,0xffff711d,0xdffea803,0xd51f5c01,0x541ff507,0x005f700f,
    0xffa807e4,0x017ffe1f,0x0dd10fe4,0x07fffcc0,0x03647f00,0x44001f90,
    0x43db004f,0x199005e9,0x7c4001d3,0x2636a004,0x0df8802d,0xfb800bea,
    0x0dd10002,0xed80fb00,0xf1017a61,0x23ffec09,0x3f207ffb,0x006ca887,
    0x217ffc40,0x0002fffb,0x30fffc40,0x00001fff,0x3f6009f3,0x54000000,
    0x32622fff,0xf9800006,0x7fc41fff,0x170fff47,0x005fffb0,0x40000026,
    0x0360effd,0x0dc00154,0x7fc6fe88,0x1019005f,0x7764003b,0x170e2003,
    0x2001b800,0x01910039,0xf91001b1,0x0398005b,0x003eeb80,0x80166073,
    0x6440002b,0x80644000,0x00d880c8,0xfffd00e6,0xc81fffa8,0x00f607ff,
    0x1fffa801,0x0017ffdc,0x87ffe600,0x0201fff9,0x2e001cc0,0x04000801,
    0x7b05fff5,0x3b200000,0x46ffc84e,0xff5003c9,0x0000001f,0xffffc801,
    0x08000012,0x7ff54300,0x0000006f,0x00000020,0x00800040,0x00000100,
    0x400c0400,0x00000000,0x80000000,0x40004000,0x23ffe400,0xffd87ffb,
    0x3e26eeff,0x7bffd901,0xb81fff70,0x76c42fff,0x3bbb26ee,0x83ffee1e,
    0xec82fff9,0x00003dff,0x6ff75c00,0x7ffd7100,0xf885fff5,0x9bbbb620,
    0x001eeeec,0x000dffb0,0x6c42ffb8,0x3bb26eee,0xfec881ee,0xff980cef,
    0x3ae04fff,0x3b202dff,0x74c03dff,0x646fff9f,0xd8adeeee,0xd91deeee,
    0xffec889d,0xeed880ce,0x3bbbb26e,0xeffec881,0x3fb2200c,0x32200cef,
    0x880ceffe,0x3b26eeed,0x3ae01eee,0x85b8cfef,0x0ceffec8,0x26eeed88,
    0x221eeeec,0x3b26eeed,0x3b621eee,0x3bbb26ee,0xbfdd701e,0x6fff6401,
    0x6fff6403,0x21fff983,0x7e4c4ffb,0xd34ccfff,0x21dfd105,0x7ffec5fd,
    0x817ffdc0,0x7ff47fff,0x83fff21f,0x3a24fff9,0x98bfb0ef,0xb305eeed,
    0xfb10bddd,0x3a07fe69,0xffedabff,0x7c0ba62f,0x7fff47ff,0x2f776cc1,
    0x0003fff4,0x7fc05fd1,0x0ffff47f,0x7fdc37ea,0xffffc80e,0xf94fd85f,
    0x0efe889f,0x3bf20bfb,0xfb0dfff0,0x7ffc49ff,0x3ea2ec1f,0x01dff70d,
    0xffd1fffe,0x70dfa83f,0xbf501dff,0x203bfee1,0xdff70dfa,0xd1fffe01,
    0x3f603fff,0x50dff90e,0x3bfee1bf,0xe8ffff00,0xfff81fff,0x40ffff47,
    0x7ff47fff,0x9a7ec41f,0x77f441ff,0xfd10bfb0,0x2a17f61d,0x1bfd13ff,
    0xb31fffa0,0x98fff603,0x3fffa4ff,0x817ffdc0,0x7fe47ffe,0x83fff61f,
    0x3f65fff9,0x113fe63f,0x7c40ffff,0x1ffc87ff,0xbff91bfa,0xb32fffe8,
    0x23fff403,0xf881fffc,0xfffe87ff,0xffe98001,0x8fffd01e,0x3e21fffc,
    0x13ffe25f,0x17ffffdc,0x3fe63ff9,0x98fff60f,0x17fec4ff,0xff10dfff,
    0x3fffb8df,0x4bff116c,0xfd04fff8,0x1fffc8ff,0xff897fe2,0x12ffc44f,
    0xff889fff,0x413ffe25,0x7fe47ffe,0x24ffc81f,0x7fc46ff9,0x413ffe25,
    0x7fe47ffe,0x47ffe81f,0xfe81fffc,0x0fffe47f,0x6fe87ff2,0xff31ffec,
    0x263ffd89,0xefe884ff,0x7ff403ef,0x3ffe6007,0x647ffe20,0x7fdc0fff,
    0x8fffb02f,0x3fa1fffb,0x3ffe60ff,0x441fff36,0x7ffc1fff,0x23fffc07,
    0x7fe47ff9,0xa85fff31,0x36002fff,0x7ffdc7ff,0xb0ffff01,0xd8007fff,
    0x82ffffff,0x7fdc7ffd,0x87ffea1f,0xd3045fff,0x3fe2bfff,0xf98fff47,
    0x3ffe20ff,0x7c1fff11,0xfffb06ff,0x137ffe43,0x21fffa8d,0xffb05fff,
    0x21fffb8f,0x3fe1fffa,0x0fffd45f,0xffa8bfff,0x417ffe1f,0x7fdc7ffd,
    0x17ffc41f,0x7d47fff1,0x17ffe1ff,0x3ee3ffec,0x7ffd81ff,0x6c0fffdc,
    0x7ffdc7ff,0xf91ffe61,0x83ffe63f,0xff31fff8,0x0fffc41f,0xe8006332,
    0x3f2007ff,0x9fffc0ff,0x7dc1fff9,0xfffb02ff,0x3a1fffb8,0x3fe60fff,
    0x81fff96f,0x7ff43fff,0x23fff407,0x7fe45ffc,0xa83fff53,0x36002fff,
    0x7ffdc7ff,0x70fffd01,0x0103ffff,0x37fffecc,0x3ee3ffec,0x1bfa21ff,
    0x21c8bfff,0xff96ffd8,0x3f23c98d,0x9fffc0ff,0xfc9cfffc,0xfff306ff,
    0x8fffef49,0x237f443a,0xffb05fff,0x21fffb8f,0x7ffc6fe8,0x3e37f445,
    0x37f445ff,0x7ec17ffe,0x0fffdc7f,0xfe87ffee,0x1bfa25ff,0x3f60bfff,
    0x0fffdc7f,0x3ee3ffec,0x7ffd81ff,0xf90fffdc,0x93ffc8bf,0xfff81fff,
    0xf81fff93,0x003fa3ff,0x801fffa0,0x7fc0fffe,0x913ffe5f,0x3f605fff,
    0x0fffdc7f,0x7cc1fffb,0x1fffd5ff,0x7f45fff8,0x3fff407f,0x3bbbfff6,
    0xfff94fff,0x02fffa83,0xf71fff60,0x3ffa03ff,0x1dfffd07,0x7fdc0164,
    0x3ffec0ff,0x8607ffee,0x646fffea,0xfda7fcc6,0xfffe806f,0xfaafffc0,
    0xffebffff,0x7ffe81df,0x29fff595,0x7f54300d,0xfffb06ff,0x181fffb8,
    0x41bfffaa,0x1bfffaa1,0xdfffd50c,0xf71fff60,0xfffc83ff,0x0ffff5b1,
    0x37fff543,0x7dc7ffd8,0x7ffd81ff,0x6c0fffdc,0x7ffdc7ff,0x3bbfff61,
    0xffd4fffe,0xd5fff81f,0xfff81fff,0x557bff35,0x7ff40355,0x1fffe007,
    0xffb9fffe,0xffffd9cf,0xb8fffb02,0x3ff21fff,0x53ffe60f,0xfff87fff,
    0x203fff47,0x7ff47ffe,0x0999999e,0xfa81fffb,0x3f6002ff,0x0fffdc7f,
    0xf307ffe8,0x07fdffff,0x20fffec0,0x7fdc7ffd,0xf3fd301f,0x0cfc8dff,
    0x3ffa1ff3,0x87fff807,0x3ff27fff,0x05dfd30d,0x476bffee,0x4068ffff,
    0x6fff9fe9,0xfb8fffb0,0x3fd301ff,0x74c0dfff,0x206fff9f,0x6fff9fe9,
    0xfb8fffb0,0x7ffec1ff,0x0fffd3c9,0x3ffe7fa6,0xb8fffb06,0xffd81fff,
    0x40fffdc7,0x7fdc7ffd,0x27bffa1f,0xff099999,0x2ffff0ff,0xfff87fff,
    0xffffff57,0xfd05ffff,0x7ff400ff,0x5c6fff87,0xffbbffff,0x8fffb02f,
    0x3ee1fffb,0x3ffe61ff,0xff0fffd2,0x07ffe8df,0x3fa3fff4,0xfffd807f,
    0x017ffd41,0xfb8fffb0,0xfffd01ff,0x77fff4c0,0x7ffd4003,0x2e3ffec0,
    0xefc81fff,0xeb8dfff0,0x3a1ffdfe,0x7f401fff,0x46fff87f,0x4c04e980,
    0x3f26dfff,0x3f203dff,0x20dfff0e,0x7fdc7ffd,0xf0efc81f,0x3bf20dff,
    0x320dfff0,0x0dfff0ef,0xff71fff6,0xcfffd83f,0x321bffa5,0x0dfff0ef,
    0xff71fff6,0x8fffb03f,0xfd81fffb,0x0fffdc7f,0xfd00fffd,0x2dfff0ff,
    0xfff87ffe,0xfffffd16,0xe81fffff,0x3f6007ff,0x2fffc47f,0x3ffee198,
    0xb8fffb02,0x3fe61fff,0x47ffe61f,0x7fc47ffd,0x03fff45f,0xffb1fffa,
    0xfffc803f,0x017ffd42,0xfb8fffb0,0xfffd01ff,0x0001d100,0x7fec3ffc,
    0x20fffdc7,0x3ffe2ffd,0xb01d30c6,0xfd807fff,0x2fffc47f,0x2003fe20,
    0x3e63fffe,0xffb00fff,0xd837ffc5,0x7ffdc7ff,0xff17fec1,0x45ffb0df,
    0xffd86fff,0x6c1bffe2,0x7ffdc7ff,0x237ffe41,0x7fec4fff,0x6c1bffe2,
    0x7ffdc7ff,0x5c7ffd81,0xffd81fff,0xb0fffdc7,0xfd803fff,0xafffc47f,
    0x7fc47ffd,0x3bffe25f,0x42ffffff,0x2a007ffe,0x3fe20fff,0xfff7003f,
    0x83fff205,0x7f41fffb,0xa9bfe61f,0x3fe20fff,0x03fff43f,0xff71fffa,
    0x3ee510bf,0x7ffd43ff,0x3fff2003,0x407ffee0,0xfc807ffe,0x7401100e,
    0x0fffc84f,0xf887ffee,0x1bffe0ff,0xffb85fd8,0xff5081ff,0x1fffc41f,
    0x2003fea0,0x7f40fffb,0x1fff105f,0xfc837ffc,0x3ffee0ff,0xf83ffe21,
    0x7ffc46ff,0xf11bffe0,0x37ffc1ff,0x2e0fffc8,0x7fcc1fff,0x8fffe22f,
    0x3fe0fff8,0x1fff906f,0x640fffdc,0x3fee0fff,0x0fffc81f,0xfb87ffee,
    0xf52885ff,0x7ffc41ff,0x441fff53,0x0df53fff,0x3f60ffd4,0xfd0070ff,
    0x037fcc3f,0x205fff70,0xff31fffb,0x2ffb85ff,0xffd0bfee,0x7437fcc3,
    0x7ff407ff,0x67fffc47,0x6fff8360,0x001ffff4,0x3e63fff7,0xffd02fff,
    0x05ff500f,0xdf109ff3,0x4c7ffee0,0x3f22ffff,0xfffc9cff,0x207fea06,
    0x320efffe,0xf987ffa2,0x4ffa806f,0xb85ff880,0xfff902ff,0x0dfff939,
    0x7cc7ffee,0x3ff22fff,0x6fffc9cf,0x64e7ffe4,0x7fe46fff,0x6fffc9cf,
    0x263fff70,0xfd82ffff,0x83bfe23f,0xfc9cfffc,0xfff706ff,0x0bfffe63,
    0x7cc7ffee,0xffb82fff,0x5ffff31f,0x067fffc4,0x30fff41b,0x1ffe8dff,
    0x3fe9bfe6,0x3ea1fa20,0x9802ecff,0x07ff24ff,0x02fffb80,0xbd9dfff3,
    0xbf907fff,0x7fcc2ff4,0x3e07ff24,0x7ffc07ff,0xfffffa87,0x7ffd41fd,
    0xefffddac,0xdfff3001,0x07fffbd9,0x7c01fffe,0xefffa81f,0x2601db12,
    0xfdecefff,0x3ffea3ff,0xdfffebff,0x980ff881,0x3fefffff,0xff927fcc,
    0x33ffa003,0x20bf600a,0xff500ff8,0xfffd7fff,0xefff983b,0x23fffdec,
    0xebfffffa,0xff51dfff,0xfffd7fff,0x3fffea3b,0x1dfffebf,0x7677ffcc,
    0x7443fffd,0x03ff26ff,0xd7fffff5,0xf983bfff,0xffdeceff,0xefff983f,
    0x83fffdec,0xdecefff9,0x7fd43fff,0x4c1fdfff,0x07ff24ff,0x7fe49ff3,
    0x310bfee1,0x3fae03db,0x3fa2003e,0x4000efdd,0x2e03fffc,0xffb8efff,
    0xedfc82ff,0x37fa203f,0xff880efd,0xfff100ff,0xffff501f,0x3ffea05d,
    0x2ceffaaf,0x3bffee00,0x42ffffb8,0x200ffff8,0x3f603feb,0x803fffff,
    0xfb8efffb,0x3ff22fff,0x85dfd30d,0x2602fec8,0x103efffe,0x01dfbbfd,
    0x27ffe4c0,0x17601f50,0x261bff90,0xff702efe,0xffff71df,0x986ffe45,
    0x7fe42efe,0x85dfd30d,0xfd30dffc,0x3ffee05d,0x2ffffb8e,0x37bf22b6,
    0xbff901df,0x40bbfa61,0xfb8efffb,0xffb82fff,0xffffb8ef,0x8efffb82,
    0x542ffffb,0x102effff,0x01dfbbfd,0x3bf77fa2,0xffeec880,0x001002cd,
    0x0004cc40,0x3fffff26,0x00005405,0x4cc40033,0xffffd300,0xfffe983d,
    0x015101ef,0x00188660,0x26000a80,0x01effffe,0x2a620013,0x00a80009,
    0x22010040,0x00544001,0x00009988,0x80a00262,0x02008019,0x02000540,
    0x00802008,0x15000802,0x06620400,0x20010040,0x02a0000a,0x0000a800,
    0x26200151,0x13310009,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x006a0bd9,0x81e40393,0xe881e81d,0x776dc400,
    0x203700be,0x00080029,0x83999991,0xd90eeeed,0x19703ddd,0x998803a8,
    0xccccb801,0x33ae3ccc,0x04ccc400,0x2dedb880,0x05995000,0xc8288154,
    0x9bfd9712,0x6664c015,0x20cccccc,0xcccccccc,0x3ddda84c,0x0007f200,
    0x3337b2e6,0xcccccccc,0x80e80ccc,0x26620068,0x40000009,0x3260a039,
    0x222ccccc,0x4000bddb,0x3027c46f,0xb7100059,0x400017bd,0x1acddcb9,
    0x99991000,0x80037439,0xfceffffc,0x03ffe600,0x6dcd67c4,0x7557f506,
    0x4ff9809d,0xf503fff5,0x7642fa85,0x7fd51eee,0x3fffa600,0x20fffe82,
    0xf702fffd,0xf0019b37,0xff8809ff,0x33ffffff,0xfd809fff,0xef9800ef,
    0x4006ffca,0x100ffff8,0xc84e987f,0xdb9abfef,0x7d401fff,0x9101ffff,
    0xb01bffff,0x2017f6bf,0x7d4003f9,0xfffcacff,0xfedcceff,0xabeb81ff,
    0x32003eba,0xddb00eff,0x9ffb31dd,0x7444f801,0x3fffea05,0xff95bf54,
    0x513e2007,0x3ffe207f,0x7bfd7001,0x007dfb75,0x4cdf7f4c,0x8000dfeb,
    0x2e2fffe8,0xfef8001f,0x5405ffff,0x3f602fff,0x3e03ffff,0x201fffff,
    0x3f20fff9,0x2e7fd07f,0x3fffb06f,0x4c0dfff5,0xbfffc999,0x907ffec1,
    0x7dc05fff,0xbff5002f,0xfffff700,0x3ff21fff,0x3bfe206f,0x22ff8800,
    0x36002ffd,0x3204ffff,0x901ff54f,0x3fee01bf,0x7fffc04f,0x7fffcc05,
    0xf73ffa82,0x0374407f,0x503bff20,0xf307ffff,0xffff103f,0x7fc001ff,
    0x7fff400f,0x04fffdfb,0x7fcc6fdc,0x67fff400,0x17fdc1e9,0x3f217d40,
    0x07fff301,0x5402fd88,0x7fe400df,0x3fff880f,0x2fffb800,0x93000fe6,
    0x0033f6e2,0xc880dfd1,0x6cc03fff,0x7dc02eff,0x0fffdc7f,0x0fff7fcc,
    0xcebfffc8,0x3ffe05ff,0x47ffffff,0x3ee0fffd,0xcec882ff,0x0bfb006f,
    0x3fffffa0,0x3ffee5ff,0x003bea06,0xff50ffdc,0x27fe6009,0xff100ffa,
    0x3f207ffd,0x1fffe401,0x809fffd0,0xe82ffff8,0x0dff52ff,0xfb000fe4,
    0x3ffe03ff,0x203f303f,0x002dffd9,0x36003fea,0x3ff26fff,0x7f7f400f,
    0xfffe804f,0xfff881ed,0x360fe400,0x007ff407,0x7cc007fa,0x07fff206,
    0x003fffb8,0x3a17ffdc,0x00000006,0x00144003,0x7fe40062,0x80fffdc7,
    0x3205fffd,0x1730ffff,0x17ffdc00,0xf707ffec,0x23e985ff,0x05f805fe,
    0x2a001f10,0x3f604fff,0x8fff6000,0xdd001ff8,0xf7027cc1,0x02640dff,
    0x807fffc4,0x4404fffe,0xff81ffff,0x20fff52f,0x3ea003f9,0x3ffe06ff,
    0x803b043f,0x1fc80019,0x43fff900,0x5401fffb,0xd800ffff,0x3604ffff,
    0x43ec06ff,0xc801806f,0xdceeda9f,0x213e62de,0xe806fff9,0x2e000fff,
    0x07e42fff,0x20002000,0x40004000,0x8fffd000,0x3a606ffb,0x3ff200ee,
    0x2e08004f,0xffd82fff,0x0bffee0f,0x409ff302,0x0b7000c8,0x017ffc40,
    0xffe80039,0x44017ea6,0x100d880c,0x06405ddb,0x05fffd80,0x8809fffd,
    0xff81ffff,0x10fff32f,0xffe800dd,0x3fffa03f,0x08035243,0x40039000,
    0x3ee0fffc,0xeed802ff,0xdfffb002,0x01fffd80,0x009f11be,0xffc87e00,
    0x3cc7ff71,0x401ffff4,0x0405fffc,0xf985fff7,0x7f644003,0x75c00cef,
    0x3ae00dfe,0xd9100dfe,0x74019dff,0x17fec7ff,0x7fe40400,0xfd91003f,
    0x05fff75f,0x7dc1fffb,0x797502ff,0x08007fff,0x17bdffd0,0x000fff40,
    0x27fff600,0x000003fb,0x5c000000,0xfe80ffff,0x7fc404ff,0x3ffe81ff,
    0x3f90dff5,0x7fffdc00,0x8ffffa01,0xffd90049,0x4000007b,0x3ee0fffc,
    0x000002ff,0xc809fffb,0x3fee2fff,0xffffffff,0xffeb83ff,0x7dc6a82d,
    0x5d1ffe1f,0x00ffffd4,0x20ffffd4,0xfbaffec8,0x005f82ff,0x7fdc37ea,
    0x34fd880e,0x4fd883ff,0xdfa83ff3,0x201dff70,0x37fa7ffe,0x1eeeec80,
    0xffc87fd5,0x5ffd002f,0x05fffdb5,0x7dc1fffb,0xaffd82ff,0x3b26fffa,
    0x7fd51eee,0xffffff98,0xc8ff903f,0xeeeeeeee,0x3ffee05e,0xd98000cf,
    0xdd905eee,0xbddddddd,0x7ffd4000,0x4fffe81f,0x0ffffc40,0xffb9ffdc,
    0x2001fcc3,0x200ffffc,0x1323fffe,0x361dfd10,0xeeeed85f,0x00cffd98,
    0x7dc1fff9,0x7776c2ff,0x0cffd98e,0x013fff60,0x7549fff9,0xfeeeefee,
    0xa7ec2eef,0x22644ffc,0x1ffe1ffb,0x7fffdc99,0xffff9801,0x6d57ff42,
    0xfc82fffe,0x25ff8800,0xfc84fff8,0xf91bfa1f,0xf137f43f,0x27ffc4bf,
    0x36a7ffe8,0xfffd81ef,0x646fffa9,0xfd801fff,0x3fffa24f,0x20fffd82,
    0x7ec2fffb,0x83ffee2f,0xffa9fffd,0x7fffe46f,0x540effff,0xd04f6c5f,
    0x7d405fff,0xffd82fff,0xfff882ef,0x7413db07,0x33312fff,0x33333333,
    0x07ffff53,0x8809fffd,0xfb01ffff,0x1ba17f6b,0x3ffff600,0x4ffffa00,
    0x7fec04fb,0x3a13fe63,0xffdfbfff,0x1fff904f,0x7417ffdc,0xffdfbfff,
    0x3fff604f,0x37ffe404,0x83ec1fc8,0xfff31ffc,0x3fee1741,0x6a89ff51,
    0x003ffff2,0xd8ffffe6,0x3ffa24ff,0x802fa82f,0x3fe1fffa,0x23ffcc5f,
    0xfff31ffc,0xff51ffc8,0x82fffc3f,0x7fc47ffe,0x5fffe40f,0x7e45ffce,
    0x7fcc01ff,0x17ffdc2f,0xf707ffe4,0x7ffc45ff,0xc8bffe60,0xffcebfff,
    0x7ffff6c5,0x7cc6ffff,0x3ff20ec3,0xfbd9106f,0xbf901fff,0xb07fff80,
    0x26fffc83,0xfffffffe,0xffffffff,0xfffe84ff,0x7fffc404,0x0f776e01,
    0xf00407f2,0xfe80ffff,0x04fffeff,0xf883ffe6,0x7ffec1ff,0x203fff26,
    0x3ee0fffc,0xfffd82ff,0x403fff26,0x6404fffd,0x0fb07fff,0x8fff10df,
    0x81f11ffe,0x2ffddffb,0xfffd0f88,0x3ffe200f,0x85fff35f,0xbf02fffb,
    0xf8dfd100,0x2ffe45ff,0x7fe4fff2,0xe89ffe45,0x82fffc6f,0xfff87ffe,
    0x87fffe44,0x7ffe40b9,0x0fffdc01,0x2e0bffee,0xfff11fff,0x23ffd45f,
    0x3f24fff8,0x01730fff,0xfffffc98,0xf11217c3,0xbf503fff,0x217fffe2,
    0x7ff400fc,0xfff88907,0x1ffff61f,0x0ffffe60,0x1013fffa,0x0003ffff,
    0x3f621fcc,0xfffd84fc,0x67fff407,0x3f204fea,0x1fffc0ff,0xfb87fff2,
    0xfffc81ff,0x20bffee0,0x3ee1fffc,0xfffb01ff,0xffffc809,0x27c46f80,
    0x32637fe4,0x3fee0fc3,0x4f307fea,0x800ffffd,0xf74ffff9,0xfffb83ff,
    0x0c00fb02,0xd8dfffd5,0xffeeefff,0xddfffb4f,0x2189fffd,0xd06fffea,
    0xdffd0fff,0x804fffc8,0x6401fffc,0x7fdc0fff,0xefff982f,0x23fffdec,
    0x7fc47ffc,0x13fff26f,0xfffc8800,0x3f600f44,0x1ffc84ff,0xf0ffffee,
    0x0fffd005,0x913fff60,0x9801ffff,0xfe82ffff,0x7fc404ff,0x3a0001ff,
    0xfda7f446,0x03fffdc6,0x4e8ffffa,0xf03fffa0,0xfffc8bff,0x20bffee0,
    0x3ee1fffd,0xfffc82ff,0x40bffee0,0x6404fffd,0x2a627fff,0xbfb999df,
    0x0dffb099,0x3ff70f60,0x4b707ff5,0x800ffffc,0xf93ffffa,0xfffb81ff,
    0x4005f502,0x6fff9fe9,0x4ccf7ff4,0xdffd0999,0x01333333,0xdfff3fd3,
    0x3a1fffa0,0x7ffe47ff,0x2fffd803,0x207fff40,0xf702fffb,0xfff73dff,
    0x11fffa7f,0x7fe4dfff,0xfc80003f,0x3ea02c6f,0x7fcc0fff,0x7ffff40f,
    0x3fa00992,0xfffa807f,0x7fffdc0f,0x7fffd400,0x04fffe81,0x00ffffc4,
    0x7e41fc80,0x4c7ff72f,0x3a00ffff,0x812a3fff,0xfff87fff,0x707ffe47,
    0xffd05fff,0x1fffe45f,0xf707ffe4,0x3ff605ff,0x7ffe404f,0x3ffffee6,
    0x3fffffff,0x2e00fffd,0xfe8ffdc5,0xff71ec0f,0xff7003ff,0x3fffa5ff,
    0x817ffdc0,0xdf9004f8,0xfd1bffe1,0xfffd00ff,0xf877e400,0xfffd06ff,
    0x641fffd0,0x7e402fff,0x3a03efff,0x7fdc1fff,0xf505402f,0x88fffd05,
    0x3ff25fff,0xff00002f,0xfffe8009,0x43fffc82,0xebfffff9,0x0fffd000,
    0x505fffd0,0xb801ffff,0xffd07fff,0xf10e4c9f,0x30003fff,0x25fff09f,
    0x7ffc6ffb,0x3fffa01f,0x7f4e1223,0x46fff87f,0x3ee0fffc,0x7ffec2ff,
    0xffffb9ef,0x07ffe43f,0x3605fff7,0x7e404fff,0x3fb264ff,0xccffcccd,
    0x03fffd1c,0x2ffc8f30,0x21f89ff3,0x802ffff8,0x3fa7fffc,0x7ffdc1ff,
    0x3601f602,0x1bffe2ff,0xd803fffb,0xfd801fff,0x41bffe2f,0xffd87ffe,
    0x00fffe47,0xffb00310,0x2fffb83f,0x6417ea00,0x7ffc47ff,0x007fff23,
    0x0017e400,0x3a0dfff9,0xffa85fff,0x3a003fff,0x7fe407ff,0x3fffa06f,
    0x1fffec02,0xf34fffe8,0x3ffe21ff,0x86e8001f,0xff52fff8,0x03fffd8f,
    0x830ffffa,0x88fffb3a,0x7fe45fff,0x0bffee0f,0xfc800220,0x3ffee0ff,
    0x09fffb02,0xd81fffc8,0xffb06f87,0x553a007f,0xffb2effe,0x3ff21b29,
    0xfffd805f,0x707fff63,0x7dc05fff,0x83ffe201,0x7fdc6fff,0xff72885f,
    0x3e2510bf,0x1bffe0ff,0x2e33fff4,0x7ffe45ff,0x0ffea001,0x5c2fffb8,
    0x32002fff,0x1fff506f,0xf917ffc4,0x026003ff,0x37f20fc8,0x0ffffc40,
    0x1ffffec6,0x1fffffdc,0x03fff40e,0x183ffff1,0x8813ffe6,0x3fa05fff,
    0x5fff74ff,0x001fffe2,0x7ffc07f2,0xf88fff52,0x3ffe06ff,0x54ba203f,
    0x3fe20fff,0x07ffe43f,0xd005fff7,0xff9003df,0x17ffdc1f,0x224fffd8,
    0x0bff92fe,0x209f11be,0x081ffffb,0x4ccce7cc,0xfb333109,0x1ffff103,
    0x237ffcc0,0x7dc2fffb,0x13e202ff,0xc9cfffc8,0x7fc46fff,0x44360cff,
    0x360cffff,0x939fff90,0x3fa0dfff,0xff37fb7f,0x01fffc87,0x881fee20,
    0x3fa26fff,0x3f2002ff,0x1ffe882f,0xff917fe6,0x7ffb003f,0xfff98be0,
    0x227ffec4,0xfffff558,0x7fffcc17,0xd02ebdff,0x7fec0fff,0x3f22c44f,
    0xfff900ff,0xaffff401,0x3fe66ffa,0x27cc005f,0x3ee5ffd0,0x2fffa85f,
    0x04ffff88,0x1ffe83f6,0x3f21bfe6,0x3ffee0ff,0x04fe9802,0x2e0fffc8,
    0xffd02fff,0xcaffdcbf,0x44f881ff,0x3ffa03fa,0x2a0b20ef,0x05fb004f,
    0xd027ff4c,0xff881dff,0x3fffa26f,0xf5037402,0xffd7ffff,0x7ffd43bf,
    0x7d41fdff,0x21fdffff,0xebfffffa,0x7fc1dfff,0xbf19fb7f,0x003fff90,
    0x7dc06fa8,0xffdeacff,0xff1001ef,0x7f4415bf,0xf903bf24,0xffb003ff,
    0x50b665df,0x7fd4bfff,0xfb26c0ff,0xfddfffff,0xffffff79,0x83fffc09,
    0x6c0ffffa,0x40dffb84,0x2200dffb,0x3f66ffff,0x003bfee4,0xffa80dd0,
    0x2603ff93,0xf910bffe,0x5cc1dfff,0x27fcc7ff,0xffb03ff9,0x17ffdc3f,
    0xd802fd80,0x3fee1fff,0xdffff02f,0x2fdbffc4,0x1fc85f50,0x3ffffe60,
    0x3be603fe,0xfd9510ac,0x7ffb1003,0x204ffc88,0xdeacfffb,0x2e01efff,
    0x37ff201f,0x505dfd30,0x205dffff,0x82effffa,0xfd30dffc,0x7fff445d,
    0x019dfb37,0x2005fffb,0xb801efc9,0xffbaffff,0x36a002ce,0x7ec41dff,
    0xfd81dfdd,0xfd8802ff,0xd01defff,0x7fff43ff,0xf713f262,0x419fffff,
    0x205fffe9,0xe80ffff8,0x3f262fff,0xbdffb104,0x64c05dff,0xcdfffffe,
    0xdffeefc9,0x00fe4000,0x1ff477e4,0x7f7f6540,0xffffffff,0x886fffff,
    0x00efddfe,0x7e45fffd,0x7edc03ff,0x5fffd005,0x931fffe4,0x9dfffffd,
    0x05ddff91,0x01f607e4,0x0fbfffa6,0x3bfb2a20,0x4000acef,0xffddefdb,
    0xfffb802d,0x2ceffbaf,0x0100fe60,0x00544004,0x00400a88,0xf9000001,
    0x1007dfff,0x88660003,0x00880001,0x3ff20198,0x22003eff,0x5c13000a,
    0xfffeffff,0xaa9883ff,0x30054c00,0x43dffffd,0xffeffffb,0xa8803fff,
    0x1000001a,0x22000353,0x3726003e,0x3330001c,0x4c400001,0x3fff6009,
    0xffffb9ef,0x8002203f,0xb9effffd,0x003fffff,0x53001510,0x54400550,
    0x02a20000,0x0aa88000,0x0c433000,0x00006a00,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x33332000,0x953ccccc,0x20199999,0x02ccccca,
    0x777f65cc,0x6d406e1c,0x1fd000be,0x880264c0,0x0264c05f,0xa8001fd0,
    0x665c0bdc,0xcccccccc,0x79db9500,0x5bd73001,0xdeedb801,0xcccccb83,
    0x999990cc,0x99909999,0x22f76c79,0x7640eeec,0x36a5eeee,0xdb9803ee,
    0x29109bde,0x003cccc9,0x7bdb7100,0x99993001,0x54199999,0x983ccccc,
    0x150befec,0x6666665c,0xcccc884c,0x9999954c,0x01557999,0x03333320,
    0x34c07440,0x99999993,0x99993199,0x98199999,0x64c2a0bc,0x376a4ccc,
    0x33333261,0x9801cccc,0xe983cccc,0xbfd95eee,0x3ff62007,0x7f4c0dff,
    0x36a05fff,0x3f2201ef,0xfca99cff,0xeec81fdf,0x2fb804ff,0x009ffd70,
    0x7f5c03f6,0x05f7004f,0x02fff220,0x7ffffffc,0xfd887fff,0x02ffc89e,
    0x3ff233f6,0xe98ce881,0x3f221fff,0x7d40efff,0x9102ffff,0x37ffc19f,
    0x3603fff6,0x4f886fff,0x3bfff620,0x4edfebab,0x001bffe6,0x757bfd70,
    0xb8807dfb,0x301effff,0xbf901dfb,0x1fdf9315,0x7ffffe44,0x0f7fd401,
    0x9dffff71,0x805dffdd,0x000ffff9,0x3eea6fb2,0x7fffdc42,0x7ffdc42f,
    0xfffd82ff,0x7fd47bdf,0x1ffff17f,0x1fffffa8,0x3ffee200,0xbdfff306,
    0x007fffbb,0x40bfffea,0x04fffff8,0xffa807e6,0x3ffa603f,0x0bfb1c41,
    0x7c405f88,0x02fb804f,0x44027fc4,0xbff3005f,0xfffff880,0xe84fffff,
    0x07ffc1ff,0xfff13fe4,0x3e63fe81,0xffff86ff,0x3ffff906,0x3fe07cc0,
    0x07ffec6f,0x207fffc4,0xfff500f8,0x13fea01b,0x2000dfff,0x7d402fd8,
    0x7fffc00d,0x5c0fcc04,0x03ff306f,0x200ffffb,0x3fffe06d,0x06fffe44,
    0x9afffe98,0x7ffcc009,0xff9987ff,0x99999eff,0x19effff9,0x3ffffbe2,
    0x37fff84f,0xff05ffff,0x3e000bff,0x3ffe06ff,0x07ffee4f,0x07fffe60,
    0x2fffffe8,0x7fd403e0,0x1fe8806f,0x36007ec0,0x04ff800f,0xff802fc4,
    0x800fd804,0xfa805ffb,0xffffffff,0x43ffd42f,0x7fd43ffd,0xf137fec6,
    0x1ffff8bf,0x407fffdc,0x203ffff8,0x46fff84b,0xf900fffd,0x504a87ff,
    0xa801dfff,0x037ff44f,0x4081fe80,0x7fc06f98,0x07c403ff,0xfb80ffe2,
    0x2ffffa81,0x3fa01f80,0xfffc84ff,0xffffff06,0xfd500dff,0xfff983bf,
    0xffffffff,0xffffffff,0x3b26750f,0x7ffe80cf,0x3a13fffa,0xd0004fff,
    0x7ffc0dff,0x02fffc47,0x00ffffcc,0x3fffff9d,0x3fe203a0,0x3f3001ff,
    0x80bff260,0x9ff002fb,0xf000fd80,0x02fb809f,0x9006ffa8,0x7f88359d,
    0x5c2fffc8,0x37fe44ff,0x7c47ffee,0x17ffec7f,0x40ffffe2,0x3a06fffd,
    0x6c6fff81,0xff100fff,0xf881d8df,0x99001fff,0x8006ffe8,0x3bf661fc,
    0x09f36bdc,0x401ffffc,0x02ffd40f,0x7fff407a,0x3a02d406,0xffd04fff,
    0x3fff20bf,0x00130000,0x6c09fffb,0x00004fff,0xf9a8fffd,0x04fffe82,
    0x40dffd00,0xffe86fff,0xffff9807,0x3ff23a01,0x80e80eff,0x4005fffd,
    0xfffb301d,0x400bf103,0x0bee04ff,0x2204ff80,0xfff8805f,0x5c01d002,
    0x5fffb84f,0x3fa17fe4,0x1fffd46f,0xfffe87f9,0x06fffd80,0x303ffff5,
    0xb1bffe0d,0x7ec01fff,0x360d12ff,0x26005fff,0x0237ff44,0x2efb87e0,
    0x7c0f33e4,0x0f803fff,0x7027ffdc,0x3fffea03,0xfd007601,0x3fee09ff,
    0xfffc80ff,0x20000020,0x3604fffd,0x00004fff,0x1f30fffd,0x009fffd0,
    0xf81bffa0,0xfffd86ff,0x7fffcc00,0x7ff43a01,0x4c0e85ff,0x4003ffff,
    0x1ffcc009,0xff0007ec,0x0017e209,0x07ec09ff,0x007ffe40,0x417ec008,
    0x3a5ffff9,0x47fff87f,0xf805fff9,0xfff505ff,0xffff303f,0x3fe0790b,
    0x07ffec6f,0x2ebfff30,0x4ffff883,0x3ffa0c00,0x207dff96,0x207fea6a,
    0xff817478,0x40f803ff,0x01effff9,0x04ffff80,0xfffd00d3,0x3fffe209,
    0x98fffc84,0xd980cffd,0x7ec05eee,0x3ff604ff,0xdddb304f,0x43fff40b,
    0x9fffd05c,0x5bffa000,0xd86fff81,0x7cc01fff,0x43a01fff,0x43ffffe8,
    0x7fffd40e,0xfb000002,0x4002fb81,0x01fb04ff,0xf704ff80,0xbfff1005,
    0x00039bb7,0x7ff40ff1,0x80dfbeff,0x7fcc7fff,0x77fd407f,0x17fffa00,
    0x03ffffb6,0x1bffe01f,0xe801fffb,0xb80e9fff,0x0002ffff,0x66f7fff4,
    0x24c84fff,0x990606fe,0x00ffffe0,0x3fffe03e,0x32001dff,0x2d80ffff,
    0x04fffe80,0x321bfffe,0xffefcfff,0xffff104f,0x04fffd80,0x8813fff6,
    0x3fa07fff,0xe807647f,0xd0004fff,0xff03dfff,0x1fffb0df,0x1ffff980,
    0xfff983a0,0xf903a2ff,0x00003fff,0x222745d7,0x7fc4005f,0x4002fb84,
    0x5f884ff8,0xbffff700,0x8005ffff,0x3fa205fb,0x3a06ffff,0x3fe61fff,
    0x02ff406f,0x107fffdc,0x47ffff3f,0x1bffe05a,0xa801fffb,0xfb05efff,
    0x80003fff,0x3ea2fffe,0xf89743ff,0x41aa005f,0xf803ffff,0xfffff980,
    0xf8800cff,0x03443fff,0x9fffd331,0x7ff41333,0x6fffc87f,0x7c03fff6,
    0x7fec07ff,0x999999df,0x7c04fffe,0x3ffa07ff,0xffd00f67,0x403da89f,
    0xff01fffe,0x0fffb0df,0x03ffff30,0x3ffea074,0xfd81d0ff,0x80000fff,
    0xd83defea,0xdb81300f,0xbf10cfff,0x7fedc010,0x403f60cf,0x47fff609,
    0x001fffe8,0xfd100bf6,0x2e07ffff,0x3fe64fff,0x013e605f,0x71ffffc4,
    0xd9bfff69,0xb1bffe02,0xf80a1fff,0xffd01fff,0xfd0000ff,0x4dfff0df,
    0x0bff50f8,0x7fc07c40,0x00f803ff,0xfffffff5,0xfffb003f,0x3aa03c8d,
    0xeeeffffe,0x3ffffa3e,0x90fffe40,0x3fa03fff,0x7ffec07f,0xffffffff,
    0x7f404fff,0x1fffa07f,0x89fffd00,0x3fa01fff,0x1bffe06f,0x2601bffa,
    0x3a01ffff,0x6ffffc80,0xffffd81d,0x70000000,0x00bea05f,0x7f541fb0,
    0x2fb8003e,0x7ff45f50,0x17ffea1f,0x4403fc40,0x3ffffffd,0x939fffd0,
    0x1ec09fff,0x9bfff600,0x3ffff50e,0x7fff80f1,0x267fffe6,0x81bfee01,
    0x000ffffd,0x7437ff40,0xf98fc7ff,0x41e6005f,0xf803ffff,0x3fffa600,
    0x4c01ffff,0x03e2ffff,0x01ffff40,0xf90ffffd,0x7ffdc1ff,0x80fffd02,
    0x3604fffd,0x7f404fff,0x1fffa07f,0x89fffd00,0x3fe00fff,0x3fffe06f,
    0x00bffe20,0x807fffe6,0xffffb00e,0xfffb81db,0xddd9501f,0x2003bddd,
    0x5ff305f8,0xf317dc00,0x4005fffb,0x5ff305f8,0xf10ffff4,0x3ea00dff,
    0x547fd405,0xb01fffff,0xfffdffff,0x54003403,0x45a9ffff,0x04bcffff,
    0x766ffffc,0x405ffffc,0x3ee03ff8,0x40001fff,0xffd86ffe,0x7fc4f61f,
    0x7c16e006,0x0f803fff,0xffffea80,0xfffe804f,0x7f400975,0x3ffe03ff,
    0x0fffc86f,0x740bffee,0x7fec07ff,0x3fff604f,0x03fff404,0xe800fffd,
    0x164c4fff,0x06fffe88,0x227bfffe,0xf3005ffd,0x07403fff,0xfffffe88,
    0x17fffcc0,0x13fffee0,0xd101fb00,0x3e2005ff,0x4ff88dc5,0x2203f600,
    0x3ffa2ffe,0x03fffc1f,0x3e602fd8,0x3fffea5f,0xffe8cc04,0xe8002406,
    0x642ddfff,0x401effff,0xb0dfffef,0xf9003bff,0x7fffcc01,0x7ff40003,
    0x21fffd86,0x007ff65b,0xffff81ec,0x0143c403,0x00fffff7,0x1d3ffff5,
    0x1ffff400,0x90bffff0,0x7fdc1fff,0x0fffd02f,0x204fffd8,0x7404fffd,
    0x3ffa07ff,0x7fff4007,0x3a6a5004,0x3ffe06ff,0x0dffff9e,0x3fe61ca8,
    0x803a00ff,0x40fffff9,0x403ffff8,0x002ffff8,0x27a20bee,0x1fb002ff,
    0x7002ff80,0xff3d105f,0x217ffe45,0xf8807ffe,0x13ff200f,0x200dfff7,
    0x0003fff9,0xdffff700,0x0dffff30,0x80a9af88,0x01660019,0x0013fffe,
    0xfb0dffd0,0x3e2798ff,0x3e24c0df,0x07fffd01,0x202c8788,0x802fffe8,
    0x005effff,0x881ffff4,0xfc82ffff,0x3ffee0ff,0x80fffd02,0x3604fffd,
    0x7f404fff,0x1fffa07f,0x09fffd00,0x6ffe8930,0x299bffe0,0xf99ffea0,
    0x03a00fff,0x01ffff50,0x880bfff9,0x1001ffff,0x7fcb60bf,0x402fb802,
    0xbf1006f9,0x517fcb60,0xffe85fff,0x405fa805,0x7fc43ffe,0xbff9006f,
    0x7c400000,0xffd03fff,0x04fa807f,0x40164000,0x0006fffd,0x7ec37ff4,
    0x3624e86f,0x643dbcff,0x13fff206,0x80990d30,0xc801fff8,0x4001ffff,
    0xf703fffe,0x3ff20dff,0x0bffee0f,0x3603fff4,0x3f604fff,0x7ff404ff,
    0x01fffa07,0x009fffd0,0x06ffe87b,0xc801bffe,0xfff31fff,0xb800e80f,
    0xffd00fff,0x7ffc405f,0x01fb001f,0x2017fc79,0x0ed805f8,0x7901fb00,
    0xfff117fc,0x803ffe89,0x7ff402fd,0x805ffd84,0x6400effa,0xffb0004f,
    0x3ffee01f,0x0037e400,0x80345d70,0x004ffff8,0x87ffe857,0x4f984ffe,
    0x7ec0d4c4,0x17ffea01,0x03f90990,0x8800ffd8,0xe8006fff,0xfff03fff,
    0x3fff203f,0x40bffee0,0x7ec07ffe,0x3ff604ff,0x3fff404f,0x800fffd0,
    0x4404fffe,0x037ff42f,0x5c00dfff,0x3ffea5ff,0x400be204,0xff100ffd,
    0x3fe201ff,0x2fb801ff,0xffffff88,0x003f603f,0xf70021d7,0xfffff105,
    0x37fdc7ff,0xf1003ffa,0x5ffc801f,0x5401ffe8,0x7dc00dff,0xfa8002ff,
    0x17fe204f,0x4001ff60,0x00756ff8,0x00ffffd4,0xfffd03b2,0x500eff88,
    0x0bf6009f,0x03ffff10,0x1bf203aa,0x2004ff88,0xf8002ffd,0xffc84fff,
    0x3fff602f,0x40bffee1,0x7f407fff,0x3ffa05ff,0x3fffc05f,0x800ffff0,
    0x2204ffff,0x3fffc1fe,0x800dfff0,0x17ff23fe,0x2200bf50,0x3f2200fe,
    0xfff882df,0x02fc401f,0x3bff9999,0xf500bee0,0x2201d557,0x3333205f,
    0x7fe41dff,0x5003ff32,0x3ffa00bf,0x880ffe61,0xf7003ffb,0x3a0007ff,
    0x017ec01f,0x80007ff4,0x8006bffe,0x22cfffe9,0xfe80deb9,0x07ff22ff,
    0x2159df30,0x001feca8,0x215ffff3,0xff901fb9,0x05fc883d,0x40037cc0,
    0x88effff8,0x400effd9,0x3f22fffe,0xfff883ff,0x3fffe00f,0xdffff106,
    0x07fffc40,0x007fffc4,0x1effff88,0x107ff5cc,0xf101ffff,0xc8800fff,
    0x00cffeef,0x09dfffd5,0xb3001f10,0xffd9bfff,0x1fb0017b,0x8817fc00,
    0x7ffcc05f,0x03f606ff,0xd902ff80,0x2003bf9f,0xf91002fd,0x205dfb9f,
    0x4002efc9,0x0000fff8,0x00f500d7,0x980013ee,0x540003fd,0xefffffec,
    0x3ee37a02,0x1001dfdd,0x9dfdfd95,0xfd880015,0x01dfffff,0x33bf2b72,
    0xd0003ffd,0x7f654007,0xdeffffff,0xfffd800b,0xffffb9ff,0x3fffa63f,
    0x3fb261ef,0x98ceffff,0xefffffec,0x3fffa60c,0x3ffa61ef,0x32601eff,
    0xfffffffe,0x27ffffff,0x1effffe9,0x37ffffa6,0x054c4003,0x00c00000,
    0x0cd54c40,0x000ba600,0x03720399,0x79999990,0x9000ba60,0x00288039,
    0x98000aa8,0x004c009a,0x20000c00,0x00030018,0x00000000,0x0c006a60,
    0x20000662,0x200000a8,0x18009aa8,0x0001aa98,0x0000000c,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x99999000,0x04ccc879,0x33333260,0xcccccccc,0x33261ccc,0x664c04cc,
    0x1ccccccc,0x003ec880,0x4ccccc00,0x4cc40999,0x20999999,0xcccccccc,
    0xcccccccc,0x26200602,0x81999999,0xccccccc9,0x3331004c,0x20033333,
    0x40120bda,0xb73002b8,0x501805bd,0x99999999,0x93001557,0x99999999,
    0x2a05f5c3,0xc987261c,0xcccccccc,0xcccccc98,0x99970ccc,0x70199999,
    0x32679999,0xcccccccc,0x99300aaa,0x47999999,0x1cccccc9,0x21333326,
    0x000ccccc,0x33333326,0xcccccccc,0x40eecc0c,0x000ccccc,0x0000e200,
    0x4c39dbb5,0xcccccccc,0xfff9801c,0x17f440cf,0x7fffcc00,0xfedccdff,
    0x7ffd42ff,0xfffb8807,0xf9000aff,0x200009ff,0xfffffff8,0x7fffd44f,
    0x3fe2ffff,0xffffccdf,0x04ffecce,0xfff900f1,0x201fffff,0x00effffa,
    0x3ffffee0,0x7f401fff,0x006cdfff,0xfb807ffd,0x2203ffb7,0x3ffee207,
    0xeffeecef,0xffffa802,0x2fffdc1f,0x3fe2fff1,0x7fffd40f,0xffffa81f,
    0x7ffd441f,0x7fcc03ff,0x3ffea20c,0xffffecdf,0xfffff303,0x9ffb103f,
    0x0ffff501,0x001ffff3,0x9dffff50,0x3fffd999,0xf986ffe8,0x00000fff,
    0xfe8001ee,0xfa81ffd5,0x4001ffff,0x7d04fffc,0x3ebe2000,0xfe982fff,
    0x007fff82,0x0013fffe,0x000ffffd,0x3ffffe20,0x7fd44fff,0x22ffffff,
    0x7fff40ef,0x7d827d43,0xfffffc80,0x3fe00fff,0x7dc003ff,0x1fffffff,
    0x3fffbe60,0xff8803ff,0x57fea05f,0x0fb02ffc,0xc89ffff0,0x7c00dfff,
    0xffd85fff,0x23ffe67f,0xfe80fff8,0x3ffa05ff,0x3ffee05f,0x205e804f,
    0x3a23ffff,0xff305fff,0x3ea01fff,0x83fffc03,0x0000fffe,0x2a0bfffd,
    0x3fff41fe,0x000fffd8,0x000bfe00,0x7ff4fff2,0x05ffff80,0x86fff880,
    0xb90000f8,0x440bfffe,0x07ffe82f,0x013fffa0,0x01ffff50,0x00000000,
    0x3ffa07e0,0xfc84c83f,0xe8000007,0x00002fff,0xec98dc00,0x3ff2003f,
    0x457ff601,0x00ff902b,0xf909fffd,0xffe80dff,0xffff984f,0x3eb8bae1,
    0x409fffd0,0x7405fffe,0x2600ffff,0x3fffa00f,0x17fffc43,0x05ffffc8,
    0xfffd009d,0x003fff60,0x02fffec0,0x3ffb83f1,0x001fff90,0x01bfee00,
    0x5ccfffe0,0x09fffd01,0x07fff600,0x3e2000b5,0x085ffff0,0x1fffa0b2,
    0x04fffe80,0x006ca880,0x10002000,0xfffd0680,0xffc89307,0xe8000007,
    0x09aacfff,0x00000800,0xf8011000,0xffc805ff,0x4fffe807,0x40bfffd0,
    0x5104fffe,0xfb0000f7,0x7fec09ff,0x7ffd404f,0xd00ba03f,0xffd07fff,
    0x7fff409f,0xe8035c2f,0xfffb07ff,0x3ff60001,0x440ec05f,0x03fff200,
    0x7fff4000,0x3ffe6001,0x9fffd003,0x3ffea000,0xd80016c4,0x90bfffe3,
    0x3fff414c,0x29fffd00,0x01ec0048,0x3bae0010,0x3fb200df,0xfd0183df,
    0xfd8607ff,0x226eefff,0x3b26eeed,0xffd01eee,0x5dffdbbf,0x77ff6440,
    0x0000000c,0x02fffc00,0x3bbffff6,0x09fffd06,0x403fffee,0x6404fffe,
    0xffd80004,0x3fff604f,0xffffd804,0xfe806a80,0xfffe83ff,0x3fffe605,
    0x2001d30f,0xffb07ffe,0x3f60001f,0x06a385ff,0x83fff200,0xfff50000,
    0x7fcc00bf,0xfffd003f,0x7ffc0009,0x54001e27,0x117fffc5,0x0fffd00b,
    0x4e7fff40,0x47e2002e,0xf93eeeeb,0x3f6205bf,0xe883ff34,0x00bfb0ef,
    0x300ffffa,0x999ffff9,0xfe8ffff0,0xfffd01ff,0x42fffe45,0xdff70dfa,
    0x1ddddb01,0x9019ffb3,0xdddddddd,0x05fff8bd,0x33ffff26,0x9fffd04c,
    0x13fffe20,0x2027fff4,0x7776cc2f,0x27ffec05,0x009fffb0,0x889ffff3,
    0xfffe801f,0x0ffffc43,0x37fffee0,0x3fa001e8,0x1fffb07f,0x81f7776c,
    0x2c45fffd,0x05eeed98,0xfd31fff9,0xfed8009f,0x74400fff,0x02eefffe,
    0x0027fff4,0x2a5fff90,0x41f88004,0x1722ffff,0x801fffa0,0x01eefffe,
    0xff70ba60,0xffffddbf,0x743ff901,0x31ffec6f,0xffd009ff,0x3ffa007f,
    0x23fff407,0xfd01fffc,0xfffe85ff,0xf897fe22,0xfffd04ff,0x09fffbf7,
    0x7ff413db,0x02fffc2f,0x7403fff4,0x3fe04fff,0xfffd06ff,0x440fa209,
    0x7ec07fff,0x3ff604ff,0xfffb004f,0xe802641f,0x7fe43fff,0xfffd005f,
    0xfe8005ff,0x1fffb07f,0x3600dfc8,0x02dc5fff,0x320ffff1,0xffdfcfff,
    0xf1d3004f,0xb9009fff,0x8039dfff,0x0004fffe,0x16d7ffe6,0x7fc1e400,
    0x05fc9aff,0x3ee7ffe8,0x1dfffd04,0x540ecc00,0xff31ffff,0x47ff989f,
    0xfff31ffc,0x20fffc41,0xffffaaaa,0xfd01aaad,0x7ffd80ff,0xe80fffdc,
    0x7fe42fff,0x87ffea5f,0xffb05fff,0x07ffe4df,0xdfff9076,0xd00bfff0,
    0x26620fff,0x999cfffe,0x41ffffa0,0xd884fffe,0x03fffc02,0x2677fff6,
    0xfffe9999,0xffff1004,0x74003e6b,0xfdbacfff,0x3e6002ef,0x4000ffff,
    0xffb07ffe,0xd804e81f,0xbf715fff,0x907fff80,0x3f21dfff,0x93c800ff,
    0x3001ffff,0x3a007fff,0x40004fff,0x0079fffe,0xffff0698,0xd00bffff,
    0x3ffe2fff,0x04fffe81,0x3ffe6000,0x917ffe24,0x3ffc8bff,0xff81fff9,
    0x7f77743f,0x4eeeefff,0x57fff54c,0x47ffd82a,0xfd01fffb,0xfffb85ff,
    0xff1bfa27,0x3fff20bf,0x907ffee1,0x81ffff88,0xfe805fff,0xffdd507f,
    0x47ddddff,0xe80ffffe,0x20004fff,0x7ec07ffe,0xffffffff,0x004fffff,
    0x367ffff2,0x3fffa003,0x1befffff,0x7fffdc00,0x3fff4005,0x320fffd8,
    0xffffb004,0xe80bfffd,0xfff907ff,0x00fffdc3,0xffff99e2,0x3fff9803,
    0x09fffd00,0xfdaaaa80,0x2aaaeeff,0xfffffe80,0xc9afffff,0x7ffe805f,
    0x3fa03ffa,0x200004ff,0x3e24fff9,0x7ffec5ff,0xd4fffeee,0xfff81fff,
    0x1ffff405,0x3ffffaa0,0x7ffd86ee,0xe80fffdc,0x7fe42fff,0x3faa186f,
    0xfff906ff,0x017ffdc1,0x7c13fff6,0xffe805ff,0x3fffe807,0x41ffffa0,
    0x0004fffe,0xfb01fffa,0x7fec09ff,0x3fe2004f,0x74006fff,0xfd313fff,
    0x74001bff,0x2002ffff,0xffb07ffe,0xd801721f,0xfec9dfff,0x83fff405,
    0x3ee0fffc,0x225c01ff,0x9806fffd,0xfd003fff,0xcc8009ff,0xcffffccc,
    0x25c04ccc,0x6c5ffff0,0x27ffe805,0xfffb80b8,0x2600004f,0x7ffc4fff,
    0x4cf7ff45,0xfff09999,0x80ffff0f,0xd003fffe,0xffd80fff,0x80fffdc7,
    0x7ec2fffe,0x3fd304ff,0x3f20dfff,0x3ffee0ff,0x3fffea02,0x00bfff00,
    0xfd00fffd,0x7ffc07ff,0x9fffd06f,0x3fff4000,0x813fff60,0x4004fffd,
    0x002ffffb,0x221ffff4,0x3005fffe,0x01fffffd,0x6c1fffa0,0x0ffc8fff,
    0x8bfffb00,0x3fff405d,0x2e0fffc8,0x07c02fff,0x00bfffea,0x2007fff3,
    0x0004fffe,0x4007fff8,0x3ffe00f8,0x3a01662f,0xedd807ff,0x03004fff,
    0xf89fff30,0x3fff45ff,0x7c3fff40,0x7ff406ff,0xfffd003f,0x5c7ffd80,
    0xffd01fff,0x7fffc45f,0xff0efc81,0x3fff20df,0x80bffee0,0x3e02fffe,
    0xffe805ff,0x3fffe807,0x417fffe0,0x5004fffe,0xd80fffd0,0x3f604fff,
    0x7c4004ff,0x74002fff,0xffb83fff,0x4fc402ff,0x005ffffb,0x3f60fffd,
    0x05fffdff,0x98bfffb0,0x83fff405,0x3ee0fffc,0x276e02ff,0xffff9999,
    0x1fffcc05,0x04fffe80,0x3fffc050,0xff00b600,0x438485ff,0xa5407ffe,
    0x9804fffe,0x4fff9803,0x3f62fffc,0x7fec01ff,0x02fffc47,0x400ffffa,
    0x7ec07ffe,0x0fffdc7f,0xcacfffe8,0xfd80effe,0x41bffe2f,0x3ee0fffc,
    0xfff902ff,0x05fff80d,0xe807ffe8,0xff103fff,0x3ffa05ff,0xe849804f,
    0x7fec07ff,0x3fff604f,0x7ffc4004,0x7ff4002f,0xffff983f,0xfd8ba204,
    0xfe803fff,0x9fffb07f,0xb007fffb,0x80b0bfff,0xff907ffe,0x17ffdc1f,
    0xddddddd0,0x403ffffd,0xd003fff9,0x93009fff,0x3ffffffe,0x07ffffff,
    0xffff00b5,0x3a1d4185,0x3fa007ff,0x03c804ff,0x7c4fff98,0x7ffdc5ff,
    0xfff52885,0x01fffc41,0x400ffffa,0x7e407ffd,0x3ffee0ff,0xddfffd01,
    0x3e20599d,0x1bffe0ff,0xf707ffe4,0xfff105ff,0x7ffc183f,0x07ffd805,
    0x703fffe8,0x7f40dfff,0x83d804ff,0x7ec07ffe,0x3ff604ff,0x7fc4004f,
    0x7f4002ff,0xfff983ff,0xf113603f,0xe801ffff,0xfffb07ff,0x01ffff11,
    0x185fffd8,0xc83fff40,0x3fee0fff,0xf80b502f,0x3e604fff,0xffd003ff,
    0x407b009f,0xf1007fff,0x5ffff001,0x7ff42e80,0x3fffa007,0x4017c404,
    0x7fc4fff9,0x7fffc45f,0xffe8360c,0x201bfe61,0xb003fffe,0x2e0e1fff,
    0xfff31fff,0x3fffa05f,0x3fff2002,0x06fffc9c,0x7dc1fff9,0xfffd82ff,
    0x3ffe2c44,0x0fffd805,0x0ffffa07,0xd00ffffc,0xf8809fff,0x407ffe82,
    0x3604fffd,0x44004fff,0x4002ffff,0xfb83fffe,0x0b902fff,0x017fffea,
    0x3f60fffd,0xdfff50ff,0x05fffd80,0x907ffe80,0x7fdc1fff,0xc805d02f,
    0xf300ffff,0x3fa007ff,0x17c404ff,0x001ffff0,0x3ffe009b,0x83fb103f,
    0x3a007ffe,0x36204fff,0xfff9801f,0x21bffe24,0xfdfffffa,0xf927fcc1,
    0xffff003f,0x3ffea009,0xfff982dd,0x3fffdece,0x007fffd0,0x5fffffd4,
    0x6c1dfffe,0x3fee1fff,0x7fffd42f,0xfff126c0,0x9fff500d,0x3fffe05d,
    0x02fffc84,0x1027fffc,0xffff03fd,0x05fffe80,0x0017fffa,0x005ffff3,
    0x443fffe8,0xf705fffe,0x7fffec01,0x41fffa03,0x3f60fffd,0x3ffa03ff,
    0xfff8005f,0x43fffb07,0xfa82fffb,0x7fffc400,0x09fff304,0x813fffe0,
    0xff301fe8,0x4fc805ff,0xdffff980,0x03ffae60,0x1001ffff,0xa81dffff,
    0xa800fffd,0x3fe65fff,0xffff507f,0x37fa205d,0xf8800efd,0x2e005fff,
    0x3ee03efe,0xfffb8eff,0x7fffc42f,0x6ffe4004,0xd05dfd30,0x7fe45fff,
    0x17fff43f,0x7fcc9f93,0xdfd7007f,0x3fffe207,0xeffd988e,0x7fffc400,
    0x7ff5cc1e,0x07fffc40,0x40dffff0,0x4006ffff,0x003ffffa,0x23bfffe2,
    0x04fffea8,0xffa80ff7,0xfff01fff,0x5fffd01f,0x80ffffc4,0x4006ffff,
    0xe80ffff8,0x3ff21fff,0x00ffc44f,0x40fffffc,0x8805fffa,0x4c1effff,
    0x6640ffeb,0x3cffffff,0x16ffff4c,0x3ffff326,0xffffffff,0x3fffa67f,
    0xfd9301ef,0xffffffff,0x500fffff,0xf39fffff,0x201bffff,0x331000a8,
    0xffd95001,0x0019bfff,0x000a8002,0xfffffd93,0x1004009b,0x3bffff60,
    0x3fffffb9,0xffdffff7,0x3fb27fff,0x1002dfff,0x3fffb2a0,0x0bdeffff,
    0x7fff64c0,0xffffffff,0x7ff4c7ff,0x3b261eff,0x8cefffff,0xfffffec9,
    0xf99100ce,0x199fffff,0x3fffb260,0xbdefffff,0xeffffb80,0x7fffe40c,
    0x3fa65fff,0x3f61efff,0xff72efff,0x3b269fff,0x1cefffff,0x7ffff4c0,
    0x3ffff61e,0xfffffb9f,0x39dfff73,0xfffffb90,0x7fff649f,0xfec981df,
    0xffffffff,0x0007ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xcc980000,
    0x0ccccccc,0x99999993,0x3332e001,0x88003ccc,0xcc80bdeb,0xcccccccc,
    0x02cccccc,0xcc883f60,0xaacccccc,0x99993009,0x55599999,0x99993001,
    0x99079999,0x4c199999,0xcccccccc,0x04cccccc,0x32a01d50,0xcccccccc,
    0x6543cccc,0xaccccccc,0x555000aa,0x55555555,0x26662555,0x88019999,
    0x0000003e,0x00005d80,0x20200010,0x00401001,0x00000040,0x08000000,
    0x82000400,0x10220640,0x3bbbb219,0xeeeed8ad,0x2e9dd91d,0x265eeeee,
    0xddb33eed,0xfffa80bd,0xfff501ff,0xff1009ff,0xfd81bfff,0xffffb01e,
    0xefff81df,0xceffffcc,0x7004ffdc,0xffa881ff,0xffffdeff,0xfffb880c,
    0xfffccacf,0xfffa800d,0x3fea02ff,0xffa880bf,0xedccceff,0x7f5c07ff,
    0x9fff900f,0xfffd5559,0xfff7107f,0xbffdd9bf,0x40014405,0xffffff73,
    0x4f9803ff,0x7ec01000,0x400dd003,0x14effdb8,0x7009fffb,0xb719fdfd,
    0x1f7fedc0,0x4409ffd7,0x00ceffec,0x3b623df9,0x3bbb26ee,0xd705fb9e,
    0x75c05bff,0x3b200dfe,0xfd303dff,0x77dcd7df,0x8adffda8,0x3fff63fe,
    0x07fffe24,0x7fffd8bb,0x7fc44f88,0xffff807f,0x7fff7c05,0xfffeb807,
    0x27ffd42f,0x7fffffec,0xd07be0ef,0x4fa87fff,0x00fff980,0x7d49fffd,
    0xfff00eff,0xfffe887f,0x5fffe802,0x40077cc0,0xf704fffe,0xffff910f,
    0x40ff601f,0x206ffff9,0x6c3ffff8,0x2880dfff,0xfff73800,0x803fffff,
    0x764004f9,0x3fe0bdef,0x200dd007,0xdff50dfa,0x81bf61ff,0xdff90efd,
    0xbfb37ec0,0x03bee7f9,0x3fee1bf5,0x2fffd40e,0xffd1fffe,0xd83ffb3f,
    0x889ff94f,0x83ff34fd,0xbfb0efe8,0xff51ff88,0x6ffffe41,0x444ffffd,
    0x7fdc6fff,0x3e216c3f,0x83cc0fff,0xfe807fff,0x7d7404ff,0x57402fff,
    0x7dc2ffff,0x567cc5ff,0x22fffffc,0x3fffe83f,0x7fc404c8,0xfffb00ff,
    0x05fffc89,0xf507ffff,0xffb00dff,0x02f440bf,0x409fffd0,0xffcac87a,
    0x407d00ff,0x401ffffe,0xfd83ffff,0x002885ff,0x26000038,0xdfd1004f,
    0x7d43bf61,0x100dd006,0xfffd8bff,0x320ffea3,0x1bfe64ff,0xff317fe4,
    0x11ffc4ff,0x7ffc4bff,0x22fffdc4,0x7fe47ffe,0x320ff99f,0x1fff31ff,
    0xdfd0ffe4,0x3e63ffd8,0xa83fea4f,0x82ffe20f,0xffb07fc8,0x37ffe43f,
    0x3fff20d1,0xffe81dc3,0x4fffe807,0x7fff4740,0x3fe3a606,0x7ff441ff,
    0x3fe216c1,0x7f41e5ff,0x404983ff,0xb00ffffd,0xffa89fff,0x7fffd07f,
    0x007fffe0,0x260bfffb,0x7ff4003f,0xf01e044f,0x81a01fff,0x804ffffb,
    0xfd03ffff,0x002889ff,0x26000038,0x7ffb004f,0x76e7ffcc,0x500dd000,
    0x7fe41fff,0x11ffe21f,0x7fc45fff,0x07ffd43f,0xfff1bffe,0xff0fffd4,
    0x2ffe88bf,0x3ee3ffec,0x221dccff,0x8fff47ff,0x7fe47ff9,0x441fff31,
    0xdffb1fff,0x09f706c1,0x7fcc0fec,0x3fff7a4f,0x3fe20751,0xfe80746f,
    0xfffe807f,0x7fd47404,0xf15b01ff,0x02603fff,0x1fffe406,0x0ffffa03,
    0xff9d700c,0x3fff601f,0x07fffd44,0xf81ffff4,0x7ec03fff,0x01fb85ff,
    0x44fffe80,0xffd0120d,0x7c40e01f,0xff006fff,0x3ff207ff,0x000a20ff,
    0x5eeed98e,0x2013e600,0x3e21fff9,0x6e8002ff,0x646ff880,0x7ffc0fff,
    0xe87ffee0,0x7fdc5fff,0x745fff87,0x8dfd11ff,0x01305fff,0xffb8fffb,
    0x8dff902f,0x17ff23c9,0x3ff27ff9,0xc9fffc0f,0xe812ffff,0x413e601f,
    0xf5957ffe,0xd80369ff,0x40b31fff,0xfe807ffe,0xf87404ff,0x17885fff,
    0x0003ffff,0x007ffe60,0x000ffffa,0x1fff91f3,0x513fff60,0x3fa0dfff,
    0xfff883ff,0x7ffec02f,0x80007645,0x07c4fffe,0x01fffd00,0x2ffffd80,
    0x07ffff00,0x88ffffe6,0x7c438002,0x999887ff,0x999cfa99,0x3fff2199,
    0x40fffe20,0xe9999998,0x0999999f,0xffff910c,0x3fffdddd,0xad8fffe4,
    0x7fec7fff,0xeefffe87,0x50c2fffe,0x800dfffd,0x7fdc7ffd,0x0dffb01f,
    0xdddfffb0,0x3ffa9fff,0x9afffc0f,0xf84fffff,0xf706e806,0x3fe3b5ff,
    0x7cc068ff,0x7403b5ff,0xffe807ff,0xfb87404f,0x8a5c0fff,0x0001ffff,
    0x200fff50,0x2003fffe,0x1fff92e8,0x913fff60,0x3fa07fff,0xfffa83ff,
    0x7ffec00f,0x8000dd15,0x3e64fffe,0x3fffa000,0x3ffea000,0x3ffe005f,
    0xffff103f,0x1c00144b,0x7ec3fffc,0xffffffff,0xfd0fffff,0x5fff81ff,
    0xffffff70,0xffffffff,0xf97f9107,0x333333ff,0x4fffec13,0xf8fffd3c,
    0xeffe87ff,0x80999999,0x6fff9fe9,0x23ffec00,0xfd01fffb,0xdffd00ff,
    0x21333333,0xfff87fff,0x3fffff27,0x3e203f45,0xdbfff305,0x01efffe4,
    0x034ffff4,0x3a01fffa,0x87404fff,0x743ffff8,0x03ffff10,0x13ff2000,
    0x01ffff40,0x7ffe49b0,0x49fffb00,0xd00efffa,0xfe887fff,0xffd803ff,
    0x02fff9df,0x53fffa00,0x3a000fe9,0xf1000fff,0x4001ffff,0x3e03ffff,
    0x00a26fff,0x1fffa0e0,0x3733332e,0xccccccef,0xf81ffff0,0x999307ff,
    0x999ff999,0xffa83999,0x003fff71,0xe973fff6,0x3fffc6ff,0x9003fffc,
    0x1bffe1df,0xb8fffb00,0xffd01fff,0x7ffe803f,0xf87ffe80,0x7ffdc6ff,
    0x80bee2ff,0x3ffa03fb,0x3fffe63f,0xffffa800,0x03fff402,0x2027fff4,
    0x9ffff20e,0x3fffe25a,0xfe800101,0x3fffa006,0xfc8d7003,0xfffb00ff,
    0x07fffd7b,0xcacfffe8,0x001dfffd,0xfffdfffb,0x3a0003ff,0xffffffff,
    0x3fffa000,0xffff9000,0xffff8007,0x9ffffe03,0xe8380028,0x3e6007ff,
    0x87ffe804,0xe8006fff,0x45ff9006,0x9003fffb,0xfff8dfff,0x7c3fff44,
    0xfd800fff,0x41bffe2f,0xb8fffb00,0xffb01fff,0xfffd807f,0x23ffec01,
    0x4c15fff8,0x3e25fffe,0xb803fa06,0x7ff40fff,0x1fffe005,0x201fffa0,
    0x7404fffe,0x4bfffe60,0x3fffe22d,0x006ff4c1,0xd000ffcc,0xf3007fff,
    0x00fffc81,0x799dfffb,0xfffd0015,0x0bffff9b,0xbefffd80,0x000effff,
    0xb9dfffe8,0x3fa000ff,0xff9800ff,0xff8006ff,0x3ffe03ff,0x2000a26f,
    0x007ffe83,0x3f6013e6,0x2fffc47f,0x44037400,0x3fe20fff,0x260980ff,
    0x3fe22fff,0x43ffdc3f,0x0984ffff,0x7fc1fff1,0x41efd86f,0x3ee0fffc,
    0xfff701ff,0x3fee103f,0xff52885f,0x9fffc41f,0x9bff621c,0xc88cfff8,
    0x3e200fff,0x02ffb85f,0x2013ff20,0xfe807fff,0x207404ff,0x468efffe,
    0x641ffff8,0xfd805fff,0x7fff4003,0xfc82e803,0xfffb00ff,0x3ffa0009,
    0x5ffffb3f,0xafffec00,0x005ffffc,0x2a4fffe8,0x3ffa000f,0xfffe800f,
    0xfff8001f,0x3fffe03f,0x0e000a25,0x9801fffa,0xfffb804f,0x00fffe20,
    0x3f201ba0,0x3ffe62ff,0x361261ef,0x3bfe23ff,0x10fffc40,0x447fffff,
    0x273fff24,0x7d46fffc,0x7ffdc5ff,0x05ffff31,0x9077fff4,0x33fffe25,
    0x1ffe8360,0x46c9bfe6,0xbfd14ff9,0xfbffffff,0x417ec01d,0x22000ff8,
    0x7fc400ff,0x7ff400ff,0x2a07404f,0x443dffff,0x7ec1ffff,0x1fdc07ff,
    0x1ffff400,0x3ffffe60,0x86ffffff,0x0004fffd,0x3a27fffd,0xb000ffff,
    0x7fecbfff,0x7f4004ff,0x0007c4ff,0xb801fffd,0x5404ffff,0x03ffff80,
    0x449ffff1,0xfe838002,0x13e6007f,0xf30fff40,0x1ba000df,0x3bfffee0,
    0xfffffade,0xffe885ee,0x4c03ff26,0x3fff24ff,0x20edffff,0xebfffffa,
    0xff71dfff,0xefff98bf,0x03fffdec,0x3bffffe6,0x7fffd43f,0x7fcc1fdf,
    0xfc87ff24,0x261ff30c,0x19bb933f,0x0fa807ee,0xbb000bb0,0xffffe980,
    0x3fffa01e,0x7fc07404,0x7fc40fff,0x7ff4c1ff,0x209f100f,0x1ffff401,
    0x3ffffe60,0x86ffffff,0x0004fffd,0x7cc7fffd,0xfb005fff,0x7ff44bff,
    0x3fa002ff,0x2606c4ff,0x01fffd01,0x07ffffc4,0x7fffc1a0,0x5ffff303,
    0x41c00144,0xccb87ffe,0xccefdccc,0x3e60cccc,0x007ff24f,0x74403740,
    0x3a22efff,0xd80dffff,0xdfdefc8a,0x6eff4401,0xfffe98df,0x0dffc81d,
    0xfe85dfd3,0xefffb81f,0x02ffffb8,0x0fbfffa6,0x177fffd4,0xefddfe88,
    0x7eff75c0,0x0100041f,0x000cc050,0x80000044,0x7404fffe,0x84fffb80,
    0x101ffff8,0x413a20d7,0x7fff403a,0x77774c03,0x5effffee,0x004fffd8,
    0xc87fffd0,0xd803ffff,0x7fcc5fff,0xfd001fff,0x1c8189ff,0x401fffd0,
    0x402ffffd,0x7ffff07a,0x117fff20,0xfd070005,0xffffb0ff,0xffffffff,
    0xdfe881ff,0x20000efd,0x02a2006e,0x20401a88,0x53000198,0x01005301,
    0x15003004,0x01510000,0x44002a20,0x54430099,0x00000000,0x00000000,
    0x09fffd00,0xfff881e8,0x1ffff881,0x67ec0f60,0x01fdcccc,0x001ffff4,
    0x201fff90,0x0004fffd,0xfd07fffd,0xfd803fff,0xfffa85ff,0xffe800ef,
    0x807cc04f,0xf500fffe,0xdd00bfff,0x20ffffe0,0x440ffff8,0xff838002,
    0x9999887f,0x99999999,0x02662019,0x00022000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xbfffd000,0xbf901e80,
    0x0bfffe60,0x7fdc07cc,0x0fffffff,0x027fffc0,0x01fff900,0x0013fff6,
    0x441ffffc,0x7406ffff,0xffb05fff,0xfe801dff,0x1fe605ff,0xd01ffff8,
    0x4401ffff,0xffff05fe,0x05fff907,0x88700051,0x0000ffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xf8800000,0x3e606fff,0x2a05f304,0xea83ffff,0xfffffa81,0x4406ffff,
    0x0005ffff,0x7403fff2,0x88005fff,0xf704ffff,0x7fc0bfff,0xfff306ff,
    0x3e201dff,0x2621efff,0xff106ffc,0xfff905ff,0xff93107f,0xffff309f,
    0xbffb311b,0x2aab2201,0xaaaaaaaa,0x3fffa64a,0x000001ef,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffd93000,0x2619bfff,0x584efffc,0xfffffcb8,0x101733df,0xffffffff,
    0x3b2a0bff,0x0cdfffff,0x07ffe400,0xfffffd91,0xfc98019b,0x84dfffff,
    0x31effffd,0xdfffffd9,0x7ffff549,0x3b265fff,0xffffffff,0x5c4fffff,
    0xdffffffc,0xffffff33,0xffffffff,0x7fe547ff,0xdeffffff,0x0000000b,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x37776c40,0x003dddd9,0x00002008,0xba810000,0x40000000,0x406402b8,
    0x1910710b,0x04000000,0xddddd900,0x366bdddd,0xd9adeeee,0x7776c5ee,
    0xdddd92ee,0xa805d807,0xd9500bed,0x56edc05b,0xc804c980,0x76402007,
    0x260eecc3,0x5e5c40dd,0x85bb7500,0xaaaaaaa8,0x0aaaaaaa,0x55554410,
    0xaaaaaaaa,0x022220aa,0x222202e2,0x17970040,0x82ee1a80,0x377620ca,
    0xdddddddd,0xddd30ddd,0x3a69dddd,0xeeeeeeee,0x001eeeee,0x00000000,
    0x1fffe000,0x76c3fffd,0xffd89eee,0x13ffae1d,0x4c77776c,0x7640cffd,
    0x7fd51eee,0x000effdc,0x3ff26000,0x1b217603,0x540bb09d,0x00ba200e,
    0x3b600df5,0x8bfffa09,0x2e4fffe8,0x7fffd02f,0x5400dfc8,0x3bae02ff,
    0xfffc85ff,0xfffc84ff,0x13ffae4f,0x9807ff30,0x3fea0cfe,0xd1bff61f,
    0xaa7ccbff,0xff8b6c3f,0x3ffffea1,0xffffffff,0x3ea0d83f,0xffffffff,
    0x363fffff,0x7ffcc6ff,0x447ffee1,0x3fea0dfd,0x3d02dfff,0x7fcd3fea,
    0x3ffffe65,0xffffffff,0xfffff31f,0x3ffe69ff,0xffffffff,0x00001fff,
    0x00000000,0xf91fffa0,0xfffe83ff,0x8ffffdeb,0x03fffded,0xfbf7fffd,
    0xfffb09ff,0xa8dfff53,0x000beffe,0x3bffaa00,0xf707f602,0x7cc3fa85,
    0x101df705,0x7fb807fd,0xffc83b00,0xffff986f,0x7fec05d0,0x8802741f,
    0x6c7100ff,0x98efdc6f,0x223664fd,0x3fe20ffe,0x07ffec04,0x5c7fffd0,
    0x3ffe2fff,0xf937ffc7,0xff89be27,0x55445ff0,0xaaaaaaaa,0x7dc1aaaa,
    0x5555510e,0x75555555,0x20ffe87f,0x3fa4fffc,0x8fffee1f,0xfffdbade,
    0x2e6da9cf,0x8dff55ff,0x88888888,0x26088888,0x4fffffff,0x00000000,
    0x00000000,0x2e3ffec0,0x7fe41fff,0xffff50ef,0xd83fff47,0x3ff26fff,
    0x5fffe40f,0x9305ffce,0x00039fff,0x073fff22,0x6fa8bf90,0x4fd87fd0,
    0x7441df70,0x0035003f,0x3ffff112,0x2effff20,0x07ffe404,0x866c4099,
    0x201b915d,0x207f40fd,0x1bee06f8,0xdfa813fe,0x3ffa04fc,0x87ffea6f,
    0x7ff45ffd,0x1ff8bfe5,0x0fff2262,0x7f4c0000,0x0fe60003,0x7fdc7fd1,
    0xc83ff13f,0x10d34fff,0x3dffffd7,0x3d90eec4,0x00000000,0x00000000,
    0x00000000,0x7dc7ffd8,0x7ffe41ff,0xb17ffe21,0x3ff20fff,0x07ffee1f,
    0x261ffff9,0x7f5c400b,0xda800bef,0xc800beff,0x0bfea0ff,0xff317fd4,
    0x223bee07,0x000003fe,0x409fffb0,0x806ffff8,0x0b90fffc,0xba9fffa8,
    0x64c2fff9,0x417e22ff,0x07fb00fc,0x47f409ff,0xff501ff8,0x23ffc4ff,
    0x7fe43ffb,0x3e25ff13,0x3e3b222f,0x2000003f,0x260002fe,0x645e883f,
    0x105f70cf,0x00a61dfd,0x00005973,0x00000000,0x00000000,0x00000000,
    0xffb8fffb,0x0fffe41f,0xfc8bfff1,0xfffc80ff,0x90bffee0,0x80009fff,
    0x41cfffd9,0x02dfffb8,0xf993fee0,0x0fff406f,0x3ee07ffb,0x99883fee,
    0x99999999,0x3ea01999,0x7e400fff,0xffc805ff,0x400ffc8f,0xeeddeeec,
    0xfffd884e,0x3fa0df11,0xff05f880,0xfb93ee09,0x7f44c805,0x2a0ffcc5,
    0x44ff61ff,0x7c7fa0ff,0x3bbbaa3f,0xeeeeeeee,0x13f6e2ee,0x207f3000,
    0x402a8048,0x00000001,0x00000000,0x00000000,0x00000000,0x7dc7ffd8,
    0x7ffe41ff,0x917ffe21,0xff903fff,0x17ffdc1f,0x000ffff2,0x9fffe440,
    0x000cfffa,0xf88fffcc,0x7fdc02ff,0x03fff30f,0x7ec13fee,0xffffffff,
    0xd00fffff,0xf1005fff,0xfc803fff,0x06fffdff,0x40037620,0x07fa3ff9,
    0x81760df3,0x0ff884ff,0x07e017f4,0x10ff07f9,0xf34fa8ff,0x7ddffccb,
    0xdddd50bf,0xdddddddd,0x0004c5dd,0x0002e980,0x00000000,0x00000000,
    0x00000000,0x00000000,0x8fffb000,0x7e41fffb,0x3ffe21ff,0x40fffe45,
    0x3ee0fffc,0x7ffe42ff,0xfc880002,0xffb31dff,0xfc80017f,0x017fee4f,
    0x7fdc7ffb,0x1dffd105,0x99999970,0x99999999,0x0dfff901,0x02fffdc0,
    0x3f73fff2,0xafb803ff,0x1fb003fa,0x7e56ffcc,0x9514c82f,0x3fc84ff8,
    0x1aa06f98,0x417607ea,0xbdbda85e,0x7e45ff40,0x0000000c,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x71fff600,0xffc83fff,
    0x17ffe21f,0xf903fff9,0x7ffdc1ff,0x00fffe42,0x7fffb500,0x3fff2201,
    0x3ff6002d,0x4c07fee0,0x17fe24ff,0x77ddff44,0x22000000,0x00c1ffff,
    0x403ffffd,0xff88fffc,0x3ff201ff,0x75c4ff88,0x3fea1362,0xffc82fff,
    0x3fe22fff,0xfb037cc5,0xf101d707,0x01e40ee0,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xff900000,0x0fffdc1f,
    0xf887fff2,0x7ffe45ff,0x20fffc81,0x7e42fffb,0x5c4001ff,0x4002dffe,
    0x00beffea,0x2fe44fe8,0x37dc4fd8,0x3ee3fe88,0x8001000e,0x2c44fffd,
    0x5fffabb8,0x543fff20,0x3f606fff,0xfd517f65,0x5d4407bd,0xffffb80a,
    0xfffb70ff,0x8807b219,0x0201545e,0x00008044,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x1fffb800,0xc85ffff3,
    0x3fe21fff,0x0fffe45f,0xf707ffe4,0xfffc85ff,0xfff93001,0xc9800039,
    0x2201cfff,0x20fec0fe,0x077c45f9,0x7dc1ff44,0x02fd400e,0x40ffffa8,
    0x3fa6984d,0xfff902ff,0x827ffec3,0x002e20b8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xbd9dfff3,0xffc87fff,0x17ffe21f,0xfb03fff9,0x7ffdc3ff,
    0x00fffe42,0x02fbffa6,0xfd710000,0x13a203df,0xd90bb176,0xb80ff201,
    0x03fe404f,0x262fffe8,0x717cc4fc,0xfb01dfff,0x7ffc45ff,0x0000002f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xb8000000,0xffb8efff,0x3fff62ff,0xb1bffe62,
    0xffd05fff,0x1fffe45f,0x700bfff6,0x000003bf,0x880ff260,0x5886c40d,
    0x01400d88,0x00dc4014,0x7f7fffdc,0xfb33ffff,0xfffd55df,0x7ffec5df,
    0xffff72ff,0x0000009f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0xfffb000a,
    0xfffd35ff,0xffffb1df,0x7fffec5f,0xfffffb9e,0x7dffff93,0x00000440,
    0x00008800,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_31_latin_ext_x[560]={ 0,2,2,0,1,1,1,1,1,0,1,0,0,0,
1,0,1,1,0,0,0,0,1,0,0,0,2,2,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,0,1,0,1,1,0,0,0,0,0,0,2,0,0,2,-1,0,1,0,1,1,1,0,1,0,0,
-1,0,0,1,0,1,0,1,1,1,0,0,0,0,0,0,0,2,2,1,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,1,0,0,0,
2,1,0,0,0,0,0,0,0,-1,0,0,0,0,3,1,0,1,1,1,0,0,0,0,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,2,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,1,0,1,1,1,1,1,0,0,0,0,0,0,0,0,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,1,1,1,1,1,1,1,1,0,0,1,0,1,0,1,
1,1,1,1,1,1,1,0,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,3,3,-1,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,0,0,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,0,-1,1,
1,0,0,0,0,0,0,0,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,1,-1,1,1,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__times_bold_31_latin_ext_y[560]={ 24,5,5,5,4,5,5,5,5,5,5,7,19,16,
19,5,5,5,5,5,5,5,5,5,5,5,10,10,8,11,8,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,28,4,10,5,10,5,10,5,10,5,5,
5,5,5,10,10,10,10,10,10,10,6,11,11,11,11,11,11,5,5,5,14,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,24,10,5,4,8,5,
5,5,5,5,5,11,11,16,5,2,5,7,5,5,4,11,5,12,23,5,5,11,5,5,5,10,-1,-1,-1,0,
-1,0,5,5,-1,-1,-1,-1,-1,-1,-1,-1,5,-1,-1,-1,-1,-1,-1,8,4,-1,-1,-1,-1,-1,5,5,4,4,
4,5,5,4,10,10,4,4,4,5,4,4,4,5,5,5,4,4,4,5,5,8,10,4,4,4,5,4,5,5,
1,6,-1,5,5,10,-1,4,-2,4,-1,5,-1,4,-1,5,5,5,1,6,-1,5,-1,5,5,10,-1,4,-2,4,
-1,5,-1,5,5,3,-2,-2,5,5,-1,5,1,6,-1,5,5,5,0,11,5,5,-2,4,5,5,11,-1,-1,5,
5,5,5,5,5,5,5,-1,4,5,10,-1,4,5,5,10,1,6,-1,5,-1,4,5,10,-1,4,5,10,-1,4,
-1,4,-2,4,5,10,-1,4,5,6,-1,5,5,6,-1,5,1,6,-1,5,-2,4,-1,4,5,11,-2,4,-2,4,
-1,-1,4,0,5,-1,4,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,5,6,6,5,6,6,6,
6,6,6,6,6,6,6,6,6,6,3,9,6,6,6,6,6,6,6,6,6,6,6,6,6,1,10,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,-2,4,-2,4,-2,
4,-2,4,-1,2,-1,0,-1,0,-1,0,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,-5,-2,-2,4,-2,4,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6, };
static unsigned short stb__times_bold_31_latin_ext_w[560]={ 0,5,12,14,13,26,22,5,8,9,12,16,7,9,
5,8,12,11,13,13,13,13,13,14,14,13,5,6,16,16,16,12,25,20,18,18,20,18,17,21,22,11,14,23,
18,26,20,20,17,20,21,14,17,20,20,28,21,20,19,7,8,7,13,16,7,13,15,11,14,11,12,13,15,8,
8,16,8,22,15,12,15,15,12,9,10,15,14,20,14,14,12,8,2,8,16,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,5,12,14,14,14,
2,12,10,21,9,14,16,9,21,16,11,16,8,8,6,15,16,5,6,7,9,14,21,21,21,12,20,20,20,20,
20,20,28,18,18,18,18,18,11,11,11,11,20,20,20,20,20,20,20,12,20,20,20,20,20,20,17,15,13,13,
13,13,13,13,19,11,11,11,11,11,9,9,10,10,12,15,12,12,12,12,12,16,14,15,15,15,15,14,15,14,
20,13,20,13,20,13,18,11,18,11,18,11,18,11,20,20,20,14,18,11,18,11,18,11,18,11,18,11,21,13,
21,13,21,13,21,13,22,15,22,15,11,10,11,10,11,10,11,8,11,8,23,14,14,11,23,16,16,18,8,18,
8,18,13,18,12,18,8,20,15,20,15,20,15,21,21,13,20,12,20,12,20,12,26,20,21,12,21,12,21,12,
14,9,14,9,14,9,14,10,17,10,17,15,17,10,20,15,20,15,20,15,20,15,20,15,20,15,28,20,20,14,
20,19,12,19,12,19,12,11,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,19,15,15,16,15,15,15,
15,15,15,15,15,15,15,15,15,15,22,16,15,15,15,15,15,15,15,15,15,15,15,15,15,24,18,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,20,13,11,10,20,
12,20,15,20,15,20,15,20,15,20,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,20,13,28,19,20,14,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15, };
static unsigned short stb__times_bold_31_latin_ext_h[560]={ 0,20,10,20,22,20,20,10,25,25,11,16,10,3,
6,20,20,19,19,20,19,20,20,20,20,20,15,19,14,7,14,20,26,19,19,20,19,19,19,20,19,19,20,19,
19,19,20,20,19,25,19,20,19,20,20,20,19,19,19,25,20,25,10,3,6,15,20,15,20,15,19,21,19,19,
26,19,19,14,14,15,20,20,14,15,19,14,14,14,13,20,13,25,26,25,5,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,21,25,21,14,19,
26,26,4,20,9,13,7,3,20,3,10,16,10,11,6,20,26,6,7,10,9,13,20,20,20,21,25,25,25,24,
25,24,19,25,25,25,25,25,25,25,25,25,19,26,26,26,26,26,26,13,22,26,26,26,26,25,19,20,21,21,
21,20,20,21,15,20,21,21,21,20,20,20,20,19,20,19,21,21,21,20,20,13,15,21,21,21,20,27,26,26,
23,19,25,20,26,21,26,21,27,21,26,20,26,21,25,20,19,20,23,19,25,20,25,20,26,21,25,21,27,27,
26,26,26,26,25,28,26,26,19,19,25,19,23,18,25,19,26,26,24,13,20,26,27,27,25,25,13,25,25,25,
25,19,19,19,19,19,19,26,20,25,20,26,20,19,20,21,24,19,26,20,26,21,20,15,25,20,25,20,25,20,
26,21,27,21,25,20,26,21,26,25,25,20,19,19,26,20,24,19,26,20,27,21,26,21,26,20,27,21,26,27,
25,25,20,24,19,25,20,19,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,20,18,18,26,18,18,18,
18,18,18,18,18,18,18,18,18,18,22,16,18,18,18,18,18,18,18,18,18,18,18,18,18,24,15,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,26,21,26,20,27,
21,27,21,26,23,26,25,26,25,26,25,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,29,27,26,21,28,21,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18, };
static unsigned short stb__times_bold_31_latin_ext_s[560]={ 510,166,281,413,252,276,185,294,455,309,208,
290,273,433,382,502,339,176,47,457,79,152,141,155,170,185,377,40,86,320,69,
199,137,458,348,272,208,157,415,53,304,1,17,133,492,13,32,462,93,137,111,
350,61,329,365,212,367,327,188,461,498,226,259,416,361,363,291,402,483,414,479,
264,442,433,22,398,389,17,40,426,1,307,56,439,242,1,485,464,176,257,163,
414,507,405,388,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,510,404,72,
389,449,1,500,198,405,307,310,103,344,433,440,443,230,256,242,221,375,241,51,
369,337,251,300,118,119,97,75,363,1,267,85,43,288,64,16,106,423,442,469,
1,500,41,125,214,253,1,31,73,94,115,179,133,231,221,242,263,305,394,169,
53,91,105,119,1,487,164,307,445,226,456,444,385,375,365,208,293,126,201,13,
251,238,352,294,146,327,210,194,178,323,86,347,363,191,187,373,39,378,26,441,
1,193,432,460,428,455,420,434,397,386,95,212,99,53,27,415,15,436,302,492,
335,101,138,136,86,115,22,319,43,175,474,434,407,464,457,179,245,488,423,163,
503,151,500,252,211,123,152,243,226,191,195,186,167,158,274,468,482,45,58,501,
158,343,20,359,1,375,77,391,468,22,111,479,330,420,376,303,342,276,139,254,
82,313,69,36,410,275,314,298,501,100,324,68,394,376,278,124,142,52,418,85,
153,399,471,233,133,326,75,284,110,164,40,200,57,335,234,172,131,217,356,219,
230,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,232,229,229,490,
229,229,229,229,229,229,229,229,229,229,229,229,229,266,273,229,229,229,229,229,
229,229,229,229,229,229,229,229,106,383,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,394,61,
382,434,254,289,212,347,361,163,415,341,319,357,340,476,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,1,72,290,482,22,149,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229, };
static unsigned short stb__times_bold_31_latin_ext_t[560]={ 1,159,241,159,111,159,159,241,85,85,241,
221,241,241,241,111,137,221,221,137,221,159,180,180,180,180,221,221,241,241,241,
180,57,201,201,180,221,221,201,180,201,221,180,221,201,221,180,159,221,85,221,
180,221,180,180,180,201,201,221,57,159,57,241,241,241,221,180,221,159,221,201,
137,201,201,30,201,201,241,241,221,180,137,241,221,201,241,221,221,241,180,241,
57,1,57,241,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,
221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,1,111,85,
111,221,201,30,57,241,180,241,241,241,241,159,241,241,221,241,241,241,180,57,
241,241,241,241,241,180,180,180,111,111,85,85,111,85,111,201,85,57,57,57,
85,57,85,85,85,201,31,30,30,30,30,30,241,111,30,30,30,30,85,201,
159,137,137,137,159,137,137,221,137,137,111,111,137,137,137,159,201,159,201,137,
137,137,137,137,241,221,137,137,137,137,1,30,30,111,201,85,159,30,137,30,
137,1,111,30,159,1,111,85,137,180,159,111,201,85,159,85,159,1,111,85,
111,1,1,30,57,57,57,85,1,57,1,180,180,85,180,111,221,57,180,57,
30,111,221,159,57,1,1,85,85,241,85,85,85,85,201,180,180,201,201,180,
30,159,85,159,58,159,201,159,111,111,201,30,159,30,111,159,221,57,159,57,
159,57,159,57,111,1,111,57,137,57,111,57,57,57,137,201,201,30,137,111,
201,30,137,1,137,30,137,30,159,1,137,30,1,57,57,159,111,201,57,159,
201,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,159,221,221,1,
221,221,221,221,221,221,221,221,221,221,221,221,221,111,221,221,221,221,221,221,
221,221,221,221,221,221,221,221,111,221,221,221,221,221,221,221,221,221,221,221,
221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,1,137,
1,137,1,111,1,111,1,111,1,85,1,85,1,85,221,221,221,221,221,221,
221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,
221,221,221,1,1,1,111,1,137,221,221,221,221,221,221,221,221,221,221,221,
221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,
221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,
221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,
221,221,221,221,221,221,221,221,221, };
static unsigned short stb__times_bold_31_latin_ext_a[560]={ 112,149,249,224,224,448,373,124,
149,149,224,255,112,149,112,124,224,224,224,224,224,224,224,224,
224,224,149,149,255,255,255,224,417,323,299,323,323,299,274,348,
348,174,224,348,299,423,323,348,274,348,323,249,299,323,323,448,
323,323,299,149,124,149,260,224,149,224,249,199,249,199,149,224,
249,124,149,249,124,373,249,224,249,249,199,174,149,249,224,323,
224,224,199,176,99,176,233,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,112,149,224,224,224,224,99,224,
149,335,134,224,255,149,335,224,179,246,134,134,149,258,242,112,
149,134,148,224,336,336,336,224,323,323,323,323,323,323,448,323,
299,299,299,299,174,174,174,174,323,323,348,348,348,348,348,255,
348,323,323,323,323,323,274,249,224,224,224,224,224,224,323,199,
199,199,199,199,124,124,124,124,224,249,224,224,224,224,224,246,
224,249,249,249,249,224,249,224,323,224,323,224,323,224,323,199,
323,199,323,199,323,199,323,328,323,249,299,199,299,199,299,199,
299,199,299,199,348,224,348,224,348,224,348,224,348,249,348,249,
174,124,174,124,174,124,174,124,174,124,369,247,224,149,348,249,
249,299,124,299,124,299,210,299,177,299,124,323,249,323,249,323,
249,327,344,249,348,224,348,224,348,224,448,323,323,199,323,199,
323,199,249,174,249,174,249,174,249,174,299,149,299,233,299,149,
323,249,323,249,323,249,323,249,323,249,323,249,448,323,323,224,
323,299,199,299,199,299,199,124,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,331,348,348,224,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,248,348,348,348,348,348,348,
348,348,348,348,348,348,348,356,269,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,323,224,174,124,348,224,323,249,323,249,323,
249,323,249,323,249,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,323,224,448,323,348,224,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_31_latin_ext_BITMAP_HEIGHT or STB_FONT_times_bold_31_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_31_latin_ext(stb_fontchar font[STB_FONT_times_bold_31_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_31_latin_ext_BITMAP_HEIGHT][STB_FONT_times_bold_31_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_31_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_31_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_31_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_31_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_31_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_31_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_31_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_31_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_31_latin_ext_s[i] + stb__times_bold_31_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_31_latin_ext_t[i] + stb__times_bold_31_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_31_latin_ext_x[i];
            font[i].y0 = stb__times_bold_31_latin_ext_y[i];
            font[i].x1 = stb__times_bold_31_latin_ext_x[i] + stb__times_bold_31_latin_ext_w[i];
            font[i].y1 = stb__times_bold_31_latin_ext_y[i] + stb__times_bold_31_latin_ext_h[i];
            font[i].advance_int = (stb__times_bold_31_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_31_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_31_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_31_latin_ext_s[i] + stb__times_bold_31_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_31_latin_ext_t[i] + stb__times_bold_31_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_31_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_31_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_31_latin_ext_x[i] + stb__times_bold_31_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_31_latin_ext_y[i] + stb__times_bold_31_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_bold_31_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_31_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_31_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_31_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_31_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_31_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_31_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_31_latin_ext_LINE_SPACING
#endif

