// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_32_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_32_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_32_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_bold_32_latin_ext_BITMAP_HEIGHT        276
#define STB_FONT_times_bold_32_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_bold_32_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_bold_32_latin_ext_NUM_CHARS            560

#define STB_FONT_times_bold_32_latin_ext_LINE_SPACING          21

static unsigned int stb__times_bold_32_latin_ext_pixels[]={
    0x0e665400,0xfffe8000,0x01330000,0x00099880,0x54400062,0x1331002a,
    0x1554c000,0xaaa80000,0x2a600000,0x0000001a,0x00004000,0x07621950,
    0x26666000,0x22000999,0x530004ee,0x99500037,0x36000039,0x00007901,
    0x0003332e,0x5eeeeee8,0x2f6c4000,0xa9880000,0x80001abb,0x00d980da,
    0x04ccc800,0x05997000,0xe80012e0,0x100004ff,0x20003fff,0x1001fffc,
    0x3200bfff,0x3ff60002,0xfffc802f,0xfffd0001,0xfb800003,0x200004ff,
    0x0000fffe,0x00017ffe,0x003efd88,0x09fbfb00,0xffffb500,0x039fffff,
    0x4002fd40,0x3edbdfd8,0x13ffa200,0x117dc000,0x100001fd,0x80007fff,
    0x06ffffff,0x01fe8800,0x9dd71000,0x39db7559,0x5077c000,0xf300009f,
    0x500003ff,0xb001ffff,0x3fe6000f,0x3ee00004,0xff30001f,0x3f600bff,
    0x25401fff,0xffff5000,0xffff980d,0xfffb8005,0x2200005f,0x000fffff,
    0x4ffffb80,0xffff7000,0x4f600003,0x880000e8,0x6c4003cc,0x2a7fffff,
    0x03a8001f,0x222fe880,0x3a2002ff,0xf100007f,0x007ff37f,0x00ffea00,
    0x00000000,0x5c0000e4,0x3ea802df,0x93df7000,0x900001ff,0x200003ff,
    0x804ffffe,0xbf90007d,0x1fe80000,0x33bf6000,0x7fcc01ff,0x76c06fec,
    0xdfe8001d,0x3f602ffa,0x2001ffce,0x1ffbdff8,0x5dfb0000,0x880009fd,
    0x01ffbcff,0x7f6ffc40,0x47880006,0x25c0004b,0x3f6005b1,0x2a7fffff,
    0xb125c007,0x21fee005,0x744006ff,0xf700001f,0x0000dfff,0x80001fec,
    0x000b624b,0x016c4970,0x000fec40,0x74001322,0x0003ffff,0x00005ff0,
    0x3fea7bee,0x8003ec00,0x4400005e,0x3ea0002f,0xd80df50e,0x405fb13f,
    0x5c006ffc,0x541ba64f,0x00df50ef,0x0bf31fe4,0x21bf3000,0x20000fe8,
    0x017ea3fc,0x3f629fb0,0x20e80002,0x7fc0002d,0xf500bf51,0x4fffffff,
    0x8ffc007a,0xffb005fa,0x8006fe81,0x200004e8,0x0002ffff,0x00009f10,
    0x05fa8ffc,0xfa8ffc00,0x077c4005,0x0005b000,0x000dfff5,0x0000be60,
    0xbf306fc4,0x30007d80,0x00000003,0x5f309d00,0x1b207ea0,0x2002ed88,
    0x83e883f8,0x802f984e,0x01e982f8,0x4d827400,0x303f3000,0x0fe6003f,
    0x2e0001b6,0x80006dbe,0x2006e239,0xfffffffd,0x73001ea7,0xfc800dc4,
    0x0005c45f,0x20000088,0x00002aa9,0x2600000c,0x00006e23,0x000dc473,
    0x100003f6,0x2aaa000f,0x01100001,0x881d4000,0x001f600d,0x000fbba6,
    0x04d65440,0x220180e4,0x00401100,0x30000000,0x00000440,0x00000000,
    0x11000000,0x40000540,0x262002b9,0x99999999,0x4cccccc0,0xffffffd0,
    0x4c43d4ff,0x99999999,0x4cccccc0,0x07bffea0,0x03531000,0x0d4c4000,
    0x35310000,0x4cccc400,0x4c099999,0x31099999,0x33333333,0x99999981,
    0x7100fe40,0x06e0cc17,0x33333331,0x99998133,0x33331099,0x98133333,
    0x31099999,0x33333333,0x99999981,0x5d000fb0,0x540003e2,0xfffcdfec,
    0x9988d70c,0x4ccc1999,0x19999881,0x001bb880,0x26666662,0x79510199,
    0xab980003,0x33310980,0x26213333,0x09999999,0x804cccc4,0x00c1aca9,
    0x05597510,0x33333105,0x99813333,0xb7109999,0x37bfffff,0x5f7fedc4,
    0xffffffd0,0x5c43d4ff,0xbdfffffd,0x3bff6e21,0x7fffe40b,0x7ff54002,
    0x00cffecd,0x66fff540,0x4000cffe,0xfecdffea,0x36e200cf,0x1bdfffff,
    0x2fbff6e2,0xffffb710,0x6dc437bf,0x3e20beff,0x333fe604,0x21cc6ffb,
    0xfffffdb8,0x3f6e21bd,0xfb710bef,0x437bffff,0x0beffdb8,0xfffffb71,
    0x7edc437b,0x00fb0bef,0x001e4698,0x2617ff62,0x5c0edfff,0x10cfffff,
    0xd9819ff7,0xd7107fff,0xfffff99f,0x3ffaea0d,0x220bdfff,0xfffccffc,
    0x36e606ff,0xbdfeefff,0xffff51d9,0x3f2639ff,0x41bfffff,0x442effc8,
    0xbeeccefd,0x7fec404b,0xadfedcce,0xffdb887a,0x221bdfff,0x80beffdb,
    0xe807ffff,0x7fffec0f,0x01ea7fff,0xd00fffff,0x7fff401f,0xffd8804f,
    0x02fff885,0x885ffd88,0xd8802fff,0xfff885ff,0x7ffff802,0x3e00fe80,
    0xfe807fff,0xf700fb80,0x13ffb21f,0x7ffff816,0x3e00fe80,0xfe807fff,
    0x1ffffe00,0x0fb03fa0,0x00f41f00,0x40bfff10,0xf504fffa,0x0bb01fff,
    0xfd07fff8,0x677fe47f,0x7fffcc03,0x5c7ffd05,0xf703ceff,0xff905bff,
    0x7fffc43f,0xbffff707,0x7c40fb80,0x04ffb82f,0x540bffee,0x7fc07ffe,
    0x0fe807ff,0x01bfffa0,0x3ffee172,0x1ea7ffff,0x00dfffd0,0x7df5c0b9,
    0xf100dfff,0x7fd40dff,0x3ffe205f,0x17ffea06,0x206fff88,0x7405fffa,
    0x5c806fff,0x037fff40,0x505e82e4,0x7ffdc9ff,0x3ffa0681,0x405c806f,
    0xc806fffe,0x37fff405,0x03ec2e40,0x02f67dc0,0x00bfffa0,0x3a05fffb,
    0x01e82fff,0x7dc3fffc,0x1bfea1ff,0x27fffc40,0xf30fffdc,0x3ff601ff,
    0x0ffcc04f,0x407ffff6,0x5c07ffff,0x2e06fe84,0x5fffb04f,0x407fe880,
    0xc806fffe,0x2ffff405,0x7fc42dc0,0x2a7fffff,0x2ffff407,0x2fb82dc0,
    0x20dffff3,0x6401fffd,0xffb02fff,0xfffc803f,0x03fffb02,0x202fffc8,
    0xb805fffe,0x2ffff405,0x17cc2dc0,0xfb07ffc4,0xfe8160ff,0x05b805ff,
    0x402ffff4,0x7fff405b,0x6c85b805,0x005f3000,0x406fffc8,0x80ffffe8,
    0x3445fffa,0x6c3fffc0,0x3fe60fff,0xffff001f,0x41fffb09,0xfc83fff8,
    0x3f5006ff,0x03ffff98,0x403ffff7,0x027fcc1e,0x3fff2136,0x80fd1006,
    0xb805fffe,0x2ffff405,0xffa825c0,0x1ea7ffff,0x00bfffd0,0x88df1097,
    0x7dc2fffd,0xff9807ff,0x7ffdc0ff,0xffff9807,0x03fffdc0,0x807fffcc,
    0xb805fffe,0x2ffff404,0x07d425c0,0x3fa27fec,0x7f40b05f,0x04b805ff,
    0x402ffff4,0x7fff404b,0x0004b805,0x2001fdc0,0x7404fffe,0xd04ffffc,
    0x01dc3fff,0x7ec3fffc,0x3ffe20ff,0x9ffff004,0xf88fffd0,0x7ffd44ff,
    0x207a000f,0xf106fffe,0x1a609fff,0x9807ffea,0x0ffffcc4,0xfe80f500,
    0x04b805ff,0x402ffff4,0x3ffe604b,0xd01ea7ff,0x9700bfff,0x3f60ff50,
    0x3fffe25f,0xbffff004,0x027fffc4,0x225ffff8,0xf004ffff,0x3fa0bfff,
    0x04b805ff,0x402ffff4,0xf887b84b,0x3ffe21ff,0x3fa03983,0x04b805ff,
    0x402ffff4,0x7fff404b,0x0004b805,0x1003ff40,0x6c07ffff,0x20dfffd5,
    0x03a4fffb,0x2e1fffe0,0x3fe21fff,0xffff002f,0x41fff709,0x7f41fff8,
    0x0dc006ff,0x817fffdc,0xc80ffffd,0x2ffffa83,0xdfffd0e0,0xfe80d000,
    0x04b805ff,0x402ffff4,0x6dd4404b,0xfd01ea7f,0x09700bff,0x3f607ff9,
    0x0ffffea7,0x537fff40,0x2007ffff,0x3ea6fffe,0xfd003fff,0x3ffa0dff,
    0x404b805f,0xb805fffe,0xffc86c84,0x407ffe47,0x3fffa01b,0x7404b805,
    0x4b805fff,0x02ffff40,0x5000025c,0x2a007fff,0xb903ffff,0x883fffec,
    0x0598ffff,0xf10ffff0,0x77fd45ff,0x9ffff000,0x543fff10,0x7ffcc7ff,
    0xf100005f,0x3fe0bfff,0x80f83fff,0x1dfffff8,0x27fffcc0,0x3fa00400,
    0x04b805ff,0x402ffff4,0x53d4004b,0x5fffe80f,0xff984b80,0x2e6fa83f,
    0xb002ffff,0x3ee1ffff,0xfb002fff,0x3fee1fff,0xffb002ff,0xfffd01ff,
    0xe809700b,0x4b805fff,0x5ffd86c8,0x2c1bffe2,0x017fffa0,0xfffd012e,
    0xe809700b,0x4b805fff,0x3ffa0000,0xfff9006f,0x6c1d705f,0xf901ffff,
    0x200597ff,0xfd307fff,0x03dfb11b,0x827fffc0,0xfd88dfe8,0x7fffdc0e,
    0x3f200003,0x76d40fff,0x02d46fff,0xbffffffb,0x3fffea01,0xfe800003,
    0x04b805ff,0x402ffff4,0x53d4004b,0x5fffe80f,0xffd04b80,0xb27d41bf,
    0x2003ffff,0xfb1ffffd,0x36003fff,0xffb1ffff,0x3f6003ff,0xffe81fff,
    0x404b805f,0xb805fffe,0xfff87a84,0x213fff24,0x7fff404a,0x7404b805,
    0x4b805fff,0x02ffff40,0x9800025c,0x802fffff,0x541ffffd,0x7fffec0f,
    0xdffff102,0x03fffc00,0x0073fff6,0x013fffe0,0x207bfffb,0x002ffffd,
    0x3fffe600,0x7ffe5743,0xe880b61f,0x4fffffff,0x02ffffc8,0xfffe8000,
    0x7404b805,0x4b805fff,0x0f53d400,0x805fffe8,0xffff304b,0xffd1763d,
    0x3f2003ff,0xfffd2fff,0x3ff2003f,0xffffd2ff,0x3fff2003,0x5fffe82f,
    0x7f404b80,0x84b805ff,0x3ffe20f9,0x85fff774,0x7ff400e9,0x404b805f,
    0xb805fffe,0x2ffff404,0x03ec25c0,0x3fffef60,0xffffc805,0x3f607e62,
    0x3f601fff,0x3fe004ff,0x0013207f,0x027fffc0,0x7ff40099,0x400001ff,
    0x5a66fffe,0xf14ffff8,0xffffd100,0x7ec1dfff,0x00001fff,0x805fffe8,
    0x7fff404b,0x4004b805,0xfd01ea7a,0x09700bff,0x6fffff44,0x2ffffd84,
    0x3ffffb00,0x00bffff6,0xd8ffffec,0xb002ffff,0xfd03ffff,0x09700bff,
    0x805fffe8,0xff85f04b,0xfff8ddff,0x80987a20,0xb805fffe,0x2ffff404,
    0x3fa025c0,0x84b805ff,0x65e2007d,0x5c00ffff,0x5f13ffff,0x03ffffa0,
    0x000fff98,0x7f41fffe,0xfff00001,0x007f609f,0x02ffffc8,0x7ffdc000,
    0x7fec792f,0x5c00977f,0x6fffffff,0x00bffff2,0x3fffa000,0x7404b805,
    0x4b805fff,0x0f53d400,0x805fffe8,0xfffd804b,0xffffb83f,0xffffd002,
    0x0bfffee1,0x87ffff40,0x002ffffb,0xd01ffffd,0x9700bfff,0x05fffe80,
    0xc87d04b8,0xffd0efff,0x2c43d915,0x805fffe8,0x7fff404b,0x7404b805,
    0x4b805fff,0x4f2007d8,0x404ffff9,0xe8bffff9,0x1ffffe03,0xf001bfa0,
    0xdff30fff,0x01555957,0x427fffc0,0xbbabeff9,0x7ffd40aa,0x4400003f,
    0x0f8dffff,0x3abfffea,0xfffb8001,0xfff50fff,0x7ff5c07f,0xe80cffff,
    0x4b805fff,0x02ffff40,0x9ea00264,0x7fff407a,0x7004c805,0xfa83ffff,
    0xff003fff,0x7ffd4fff,0xffff003f,0x1ffffd4f,0x07ffff80,0x900bfffd,
    0x5fffe809,0x1f504c80,0x32627e44,0x01c80bdf,0x900bfffd,0x5fffe809,
    0x7f404c80,0x84c805ff,0x41f1007d,0x400ffffd,0x04dcffff,0x00ffffe2,
    0xfd000bee,0xffff50ff,0x09ffffff,0x213fffe0,0xfffffffa,0x3fe24fff,
    0x800004ff,0x84cffffc,0x406effff,0xfff9100a,0x3fffe67f,0xffffe804,
    0x17fffa00,0xff901320,0x007900bf,0x901ea7a8,0x7900bfff,0x37ff4c00,
    0x4027fffc,0x7c3ffff8,0xf8804fff,0x7ffc3fff,0xfff8804f,0xbfff903f,
    0xfc807900,0x03c805ff,0x98000132,0x17fff204,0xff900f20,0x807900bf,
    0xc805fffc,0x97007d83,0x03ffffa8,0x02ffffd4,0x003fffea,0xfd0003e2,
    0x3fffa0ff,0x3fffffff,0xffff0b6e,0x3ffffa07,0x23ffffff,0x0006fffe,
    0xfffff980,0x3ffffc81,0x3ea01dc0,0x3fffe6ff,0x7fffd805,0x02fffe40,
    0x3fee01e4,0x002e806f,0xb80f53d4,0x2e806fff,0xfe883720,0x3fffdc0f,
    0x43fffcc0,0x9807fffb,0xffb87fff,0xfff9807f,0x1bffee07,0xff700ba0,
    0x405d00df,0x980002f8,0x3ffee00d,0x5c02e806,0x2e806fff,0x037ffdc0,
    0x803ec174,0x7fffe81e,0x02fffc80,0x8017ffec,0xffe8004a,0xffffd106,
    0x2abfffff,0x3ffe0fff,0xfffd103f,0x4dffffff,0x001ffffc,0x7fff4002,
    0x1ffff306,0xfc805b80,0x3fffee5f,0x3fffe400,0x01bffee0,0xfff300ba,
    0x000f980f,0x980f53d4,0x7cc07fff,0xb89ff500,0xfffe80ff,0x1fffec02,
    0x402fffe8,0xfd03fffd,0xffd805ff,0x3ffe603f,0x2007cc07,0x4c07fff9,
    0x00f5400f,0x9801b300,0x7cc07fff,0x3fffcc00,0xf3003e60,0x0f980fff,
    0xaea807d8,0xfffdaaaa,0x7ffc402f,0x9fff300f,0x00d8faa0,0xbffb1c88,
    0x2603df50,0x5fff95ff,0x540ffffc,0xbfd301ff,0x037fff44,0xff700698,
    0x2fff405f,0x2a017dc0,0x7ffec3ff,0x3fffe405,0x01fffe60,0xffd001f3,
    0x00ba207f,0x807a9ea0,0xd103fffe,0x21ffcc05,0xffb106fb,0x17ffdc0d,
    0x40dffb10,0x2202fffb,0x3ee06ffd,0xffe802ff,0x005d103f,0x440ffffa,
    0x09d3002e,0x2001b700,0xd103fffe,0x3fffa005,0x2005d103,0xd103fffe,
    0x3a01f605,0xfccccccc,0x7cc06fff,0x7d40dffd,0x5ffe02ff,0x2bf90059,
    0x4fd84ffd,0xffa9fe40,0x41bffe26,0x17e404fe,0x00ffffe6,0x3e2009f3,
    0x17fdc07f,0xb007fdc0,0xfffd01df,0x3fffe405,0x81ffff40,0xfd1002e8,
    0x3ae639ff,0x54f50004,0xfffe8807,0x009d731c,0x0ff4c7fb,0x3037ff20,
    0x32003fff,0x7fcc0dff,0xbff9001f,0x01fff981,0x39fffd10,0x88013ae6,
    0x731cfffe,0x5d70009d,0x0175c401,0x33fffa20,0x4009d731,0x31cfffe8,
    0x744009d7,0xd731cfff,0x2603ec09,0x7fffe406,0x3263f301,0xbdefdeff,
    0x75fffc00,0xd1df7000,0x3ff901ff,0xfd8bf510,0x403ffee4,0xfa881ffb,
    0xbfffb104,0x0bf2a217,0x8807f900,0xfff7007f,0x403ff505,0xd80bfffb,
    0xe8806fff,0xd731cfff,0xfff90009,0x0007dfff,0x400f53d4,0xeffffffc,
    0xddf91003,0x36a001bf,0xceffddfe,0x7f6d4000,0x00ceffdd,0x6eff6d40,
    0x8000ceff,0xeffffffc,0xfff90003,0x0007dfff,0x667765c4,0x40002dee,
    0xeffffffc,0xfff90003,0x0007dfff,0x3ffffff2,0x203ec03e,0x7ffc403e,
    0x2205905f,0x754000aa,0x7ec001df,0x36a01dfe,0x2dffeeee,0xbffdff90,
    0xeefd9803,0xa802cefe,0xeffffffd,0x0f98000d,0xb7004d80,0xff9bdd95,
    0xfdb10019,0x9dffb9df,0xfffc8003,0x0003efff,0x000d54c4,0x00310c40,
    0x00355310,0x200004c0,0x00001a98,0x00006a62,0x0001a988,0x006aa620,
    0x0d54c400,0x00980000,0x55310000,0x26200003,0x100001aa,0x22003553,
    0x2003ea01,0x001ffffd,0x00080000,0x988000c0,0x03531000,0x00004c00,
    0x00135531,0x02600500,0x2aa604c0,0x2a600009,0x8000099a,0x0001aa98,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x22000000,0xffb802fe,0x000006ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7dc00000,0xda82dfff,0x2effffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x6f76c000,
    0x05d40000,0x00999993,0x00040440,0x40000060,0x2001ccca,0x0000002a,
    0x002664c0,0x03981640,0x2e399300,0x9892e03c,0x99999999,0x00999999,
    0x0077ffc4,0x003ccc88,0x99999998,0x4cccc099,0x2a600099,0x9300001a,
    0x000f3219,0x98008022,0x99999999,0x19999999,0x005301a8,0x0014c02e,
    0x20000080,0x22093000,0x440ea00c,0x5544001b,0xaa980002,0xfff50002,
    0x4f540003,0x3ffea0ff,0xffa8000f,0x0009ff12,0x000003e2,0xd8013ffe,
    0x3ea005ff,0xfe80002f,0x4c0003ff,0x001fdc4f,0x3ff15fd8,0xfb713ec0,
    0xffffffff,0xa809ffff,0x54000eff,0x22000fff,0xdfffffdb,0x3ff6e21b,
    0xff1000cf,0xb00001ff,0x007fe6bf,0x13203a60,0x3fffffe0,0xffffffff,
    0x0fd41fff,0x75400be6,0x0000fcc0,0x00013fa2,0x3a00bff3,0xc81ba60e,
    0x2fff86ff,0x0bfff600,0x1fffd000,0x03ff9000,0x7ce7c400,0x07fffc2f,
    0xbafff400,0xf70007ff,0xf9800007,0x7ffc004f,0xdffd000f,0xfffb8000,
    0x6c0000ff,0x006fc8df,0x27dc3fe0,0x7ff41f60,0x4ffc986f,0x00077ec0,
    0x0003ffb8,0xb00fffff,0xffc8001f,0x440003ff,0x007f90ff,0x7666ff40,
    0xadff801f,0x44dfff90,0xffe81ffb,0x7c006ffe,0x006ffeff,0x01fffb80,
    0x03fff600,0x3ea7bea0,0x3fffa01f,0x017ffea1,0x037fffd4,0x9ffff700,
    0x003ff000,0x0993fd80,0x0001fffd,0x3fe67ff7,0x0ffd0005,0x04fc8000,
    0x006ffd80,0x80017ffa,0x4fd8bff8,0x7ffcc000,0xf50002ff,0x3ec03745,
    0x206fffd8,0x3be204f9,0x2fdc0000,0x6fffe800,0x4c006c80,0x00ffcbff,
    0x6e8bee00,0x7ffd4000,0x0bf005ff,0xf50dfff9,0xfffff503,0xfffb8005,
    0xb80002ff,0x20001fff,0x3a007ffb,0x6405ffff,0x7ffc47ff,0xf5bfd003,
    0xff10005f,0x4003ff79,0x4c0001fa,0x7ff403ff,0x8330000f,0xff500028,
    0x7c00007f,0x19710005,0x00eecc00,0xfd85f900,0x7fec0000,0x9760005f,
    0x07d801f8,0xd80dfffb,0x0003ea04,0x40007e40,0xb806fffd,0x717ec005,
    0x26c0009f,0x300001f3,0x7c007dfb,0x06fffc82,0x2fae203d,0x7d910000,
    0x32200001,0x5c40003e,0x3fea001d,0x65c400ff,0x7002c981,0x00374c9f,
    0x0bf51fe4,0x40000440,0x7f403ffd,0x000000ff,0xdfffd000,0x000c0000,
    0x00000000,0x00ee0190,0x01999100,0x00220400,0xfffd83ec,0x00951446,
    0x00c00001,0x05fffd80,0x3aa005b8,0x0000fa81,0x00000883,0xc82c0004,
    0x03706fff,0x00000000,0x00000000,0x02ccb800,0x7c400000,0x2003e883,
    0x41f981f9,0x41999998,0xb8801999,0x7f403fff,0x205730ff,0x41999998,
    0xf3001999,0x0005ffff,0x2602ae60,0x0ccccc40,0x202ae600,0x35310009,
    0xab980000,0x31000980,0x83ec0035,0x1dc6fffd,0x0defc80a,0x33333310,
    0x99981333,0xffd80999,0x005b805f,0x26620000,0x09999999,0x04cccccc,
    0x2acba880,0x3ff20028,0x6544006f,0x2666201b,0x40999999,0x00999999,
    0x05597510,0x1bca8805,0x06b2a600,0x0ccccc43,0x00133331,0x00000000,
    0x19fffff7,0x8033fee2,0xeefffffc,0xd1fffd02,0xfb87ffff,0x710cffff,
    0x7b0019ff,0x000bffff,0x3bfff6e6,0x41d9bdfe,0x407fffd9,0xeefffdb9,
    0x201d9bdf,0xfecdffea,0x5cc000cf,0xdfeefffd,0x3aa01d9b,0xcffecdff,
    0x7ec1f600,0x801ec6ff,0x220b70e9,0xdfffffdb,0x3ff6e21b,0xfffd80be,
    0x9885b805,0x09999999,0x21333330,0xfffffdb8,0x3f6e21bd,0x36200bef,
    0xfedcceff,0x32007aad,0x91006fff,0xffff99ff,0x3ff6e2df,0x221bdfff,
    0x00beffdb,0x333bff62,0x07aadfed,0xff99ff91,0xfd88dfff,0x4bbeecce,
    0x43ffff62,0x315fffea,0x33333333,0x26666661,0x26661999,0x3ea00099,
    0x05d80fff,0xffffffe8,0xdfffd01f,0x83fffb37,0xd80ffffa,0x3f2f1005,
    0x5c000fff,0xfc82dfff,0xffff01ff,0x16fffdc0,0x440fffe4,0xff885ffd,
    0xfff7002f,0x3fff905b,0x10bffb10,0x1f605fff,0xf137ffec,0x0f0f2007,
    0x00fffff0,0x7fec01fd,0xa85b805f,0xbefffffd,0xdffec880,0x07ffff81,
    0x7dc00fe8,0xffd502ff,0x7ffe400f,0x47ffd006,0xf83ceffb,0xfe807fff,
    0x17ffdc00,0xd07ffea8,0x77fdc7ff,0x20bfe23c,0xfff84ffb,0x57ffea0f,
    0xfffffdb8,0xfff951be,0x7e459fff,0x74002fff,0x01e82fff,0x00dfff10,
    0xff87fffd,0x2fffe86f,0x279001e8,0x004ffff9,0x3013fff6,0x3ffe03ff,
    0x09fffb07,0x7c41ff98,0x3fea06ff,0x7ffec05f,0x20ffcc04,0x2a06fff8,
    0x07d85fff,0xf73dfffb,0x996a007f,0x6fffe806,0x7ec05c80,0x05b805ff,
    0x013ffff6,0xffe813e6,0x405c806f,0x4402fffd,0x3f2007fe,0xffb806ff,
    0x03ffe61f,0x4037fff4,0x7ffec05c,0x43ff4402,0x3e61fffb,0x037f40ff,
    0xfffd09f7,0x42fffcc1,0x700ffffe,0x3607ffff,0x54002fff,0x03445fff,
    0x00bfff30,0xfc81fffd,0x7ffd41ff,0xf8803445,0x03ffff60,0x01bfff20,
    0xfff80fd4,0x06fffc87,0xffd83f50,0x7ffe401f,0x0dfff902,0xffb07ea0,
    0xfffc803f,0xffd83ec2,0x03ffffff,0x00bf37a0,0x2017fffa,0x7ffec05b,
    0x2205b805,0x400fffff,0x7fff406b,0x3205b805,0xd1006fff,0x7ffe400f,
    0x0fffd806,0x740fffe2,0x5b805fff,0x01bfff20,0x7fec3f44,0x8fffe20f,
    0x26c04ff9,0xf307fff4,0xfffb0bff,0x7fffd40f,0x05fff902,0x43fffd00,
    0x3fee003b,0xfffe803f,0x41fffdc0,0x0ee1fffe,0x3fea25c0,0x7fd403ff,
    0x07a000ff,0x3ea3fffc,0x3a000fff,0x01fffee1,0x503fffe6,0x4001ffff,
    0x1fffee1e,0x83fffe60,0xdfffb07d,0x5000ff62,0x3ffa0017,0x404b805f,
    0xb805fffd,0x7fffdc05,0xd007e203,0x9700bfff,0x07fffe60,0x32007a80,
    0xfe806fff,0x27ffc47f,0x805fffe8,0xffff304b,0x743d4003,0x7ffc47ff,
    0x807ffea4,0x0fffe849,0x3617ffe6,0x3ea06fff,0xff901fff,0xff70005f,
    0x9000749f,0xfd005fff,0xfffa81ff,0x24fffb84,0xd03d000e,0xfe80ffff,
    0x0dc006ff,0x7f47fff8,0x8dc006ff,0x004ffff8,0xfe8bffff,0x8dc006ff,
    0x004ffff8,0x3ecbffff,0x746fffd8,0x59531003,0xbfffd001,0xfd809700,
    0x05b805ff,0x00ffffe8,0xfffd0099,0x3a09700b,0x68006fff,0x1bfff200,
    0x883ffee0,0xffd01fff,0x209700bf,0x8006fffe,0x20fffb86,0x3ea1fff8,
    0x20e02fff,0x3e60fffe,0xfffd85ff,0x3fffea06,0x05fff901,0x1ffff100,
    0xffe800b3,0xfffe800f,0x42fffd40,0x598ffff8,0x5555d500,0x05ffffb5,
    0x017fffe6,0x27fff800,0x005ffff9,0x0ffffea0,0x337fff40,0x000bffff,
    0x01ffffd4,0x366fffe8,0x8dfffb07,0xcdfa803b,0x7f405ffe,0x04b805ff,
    0x402fffec,0xfffa804b,0x800f984f,0xb805fffe,0x4ffff984,0x32000800,
    0xf8806fff,0x1ffea1ff,0x805fffe8,0xffff984b,0xf8808004,0x1ffea1ff,
    0x3bfffff1,0x83fffa00,0xfd85fff9,0x3fea06ff,0xfff901ff,0x2002ea25,
    0x02cbfffc,0x01bffe20,0x2a07fff4,0xff904fff,0x3a00597f,0xfccccccc,
    0xff706fff,0x400007ff,0x3fee7fff,0x2e0003ff,0xb002ffff,0x3ee1ffff,
    0x20003fff,0x002ffffb,0x361ffffb,0x8dfffb07,0x17f25839,0x7f409fff,
    0x04b805ff,0x4037ffe4,0xfffd004c,0xd003d81f,0x9700bfff,0x07ffff50,
    0xffc80000,0xbfd1006f,0x401dfb11,0xb805fffe,0x3ffffa84,0x3fa20000,
    0x80efd88d,0xdffffffd,0x07fff400,0xfb0bfff3,0x7fd40dff,0xfff901ff,
    0x09ffff55,0x06ffff88,0x02fffcc0,0x5c0fffe8,0xff102fff,0x1a600dff,
    0x03ffff90,0x005ffffb,0xb3fffc00,0x0005ffff,0x00ffffec,0xb1ffffd8,
    0x0005ffff,0x00ffffec,0xb1ffffd8,0x1bfff60f,0x3fe2b302,0x03fffa0f,
    0x402ffff4,0x7ffdc04b,0x3003d806,0x354bffff,0x0bfffd00,0xfff90970,
    0x8000005f,0x4006fffc,0x803dfffd,0xb805fffe,0x2ffffc84,0xffd80000,
    0x3fa203df,0x04ffffff,0xf983fffa,0xfffd85ff,0x3fffea06,0xbdfff901,
    0x803fffb5,0x4004fffd,0xd003fffb,0xffc81fff,0x3fff601f,0x8807d004,
    0xfe85ffff,0x00001fff,0xffe9fffe,0x3a0001ff,0x9001ffff,0x3fa5ffff,
    0x20001fff,0x001ffffe,0x365ffff9,0x0dfffb07,0x3ffe69b0,0x403fff62,
    0xb805fffe,0x3fffd404,0xd8003e60,0x1e89ffff,0x17fffa00,0x3ff612e0,
    0x000001ff,0x0037ffec,0x3fa00099,0x84b805ff,0x001ffffd,0x40026400,
    0xffffffe8,0xfffe80ef,0x217ffe60,0xaaaffffd,0xffffcaaa,0x4dfff901,
    0x4c04fff9,0x64000fff,0xfd001fff,0x5ffe85ff,0x007ffcc0,0x7ec007d4,
    0x7fe41fff,0x200002ff,0x3ff27fff,0x360002ff,0xb002ffff,0x3f23ffff,
    0x20002fff,0x002ffffd,0x363ffffb,0x0ffffb07,0x37f23fd8,0x403fffa0,
    0xb805fffe,0x4fffe804,0xf3000fa0,0x00b9bfff,0x805fffe8,0xffffc84b,
    0x6c000002,0xfb007fff,0x3ffa0003,0xc84b805f,0x0002ffff,0x80007f60,
    0xfffffffb,0x20fffe86,0xfd85fff9,0xeeeeefff,0x01ffffee,0x7c45fff9,
    0x6fe804ff,0x07ffe800,0x2fffffa0,0x800fffc8,0xfe8806fe,0xffffb802,
    0x1ffffd46,0xffff0000,0x01ffffd4,0x5ffff700,0x3ffffa00,0x07ffff50,
    0x7fffdc00,0xffffd002,0x7ff41f61,0xf7310aff,0x7f5c05ff,0xffd00fff,
    0x009700bf,0x259ffff1,0x90005eb9,0x001fffff,0x805fffe8,0xffffa84b,
    0x3fffae03,0x7400cfff,0x4c00ffff,0xabbabeff,0x3fffa00a,0xfa84b805,
    0x3ae03fff,0x0cffffff,0x7757dff3,0x3ee00155,0x7c0fffff,0x3fe62fff,
    0x6fffd85f,0x07fffea0,0xf117ffe4,0x5f700bff,0x0dfff000,0x74ffff40,
    0x7001dfff,0xfffb805f,0xffda82df,0xf12effff,0x00009fff,0xff13fffc,
    0x540009ff,0xf003ffff,0x7fc4ffff,0x2a0004ff,0xf003ffff,0x33ecffff,
    0xffffffd9,0xffffffff,0xfb3ff503,0x3ffa01ff,0x004c805f,0xffffff91,
    0x7c40003b,0xe8005fff,0x4c805fff,0x04ffff98,0x00ffffe8,0x3ffffb26,
    0xff502cff,0xffffffff,0x17fffa09,0x3fe61320,0xffe804ff,0x7ffd40ff,
    0x4fffffff,0x7fe4402a,0xfffd33ff,0x3ffe67ff,0x06fffd85,0x407fffea,
    0x3e22fffc,0x0f8806ff,0x03fff800,0x443fffa0,0x07c4000a,0x6d880000,
    0x01bfffa0,0x47ffe800,0x0006fffe,0x4027fffc,0x743ffff8,0x40006fff,
    0x8804ffff,0x1f63ffff,0x101fb800,0x3ff61dfb,0xbfff900f,0x30007900,
    0x00001ff5,0x0017fffa,0x2017fff2,0xbffff03c,0x0ffffb00,0xffd00000,
    0xffffffff,0x0bfff907,0x3ffe0790,0xfffd805f,0xfffffd07,0x2e7fffff,
    0x37ffd403,0x0bfff300,0x540dfffb,0xf901ffff,0x7ffc45ff,0x0004a806,
    0x74003fff,0x40000fff,0x2000004a,0x3ff201ff,0x802001ff,0x7fe46ffe,
    0x702001ff,0xf300ffff,0xfff90fff,0x2e04003f,0xf9807fff,0x003ec7ff,
    0x3f604fc8,0x03fff63f,0x4037ffdc,0x9f90002e,0x7ff40000,0xffb8005f,
    0x702e806f,0xc801ffff,0x5c007fff,0x3fa2001c,0xffffffff,0x06fffb86,
    0xfff702e8,0xfffc801f,0xffffd107,0x2edfffff,0x05ffc805,0x213ffe20,
    0x2a06fffd,0xf901ffff,0x7ffc45ff,0x01b1f546,0x001bfe00,0x4001fffd,
    0x000363ea,0x007fd400,0x00dfffd1,0xfb1c89a6,0xfffe88df,0xfd0d3006,
    0xffd805ff,0xfffe883f,0xfd0d3006,0xffd805ff,0x8003ec3f,0xfff103ff,
    0x807ffec3,0x4c07fff9,0x9ff0000f,0x7ff40000,0xff98005f,0x007cc07f,
    0xc80bfffb,0x26007fff,0xfa800fff,0x0bfd301f,0x980ffff3,0x3fff600f,
    0x3fffe405,0xe980ffd4,0xa805f75f,0x464c03ff,0xfd83fff8,0x3fea06ff,
    0xfff901ff,0x237ffc45,0x400b37ff,0x001ff1da,0x000fffe8,0x002cdffe,
    0x09ff5000,0x03ffff98,0x2bf927cc,0xff984ffd,0x27cc03ff,0x7037fec4,
    0x7cc05fff,0x7cc03fff,0x06ffd884,0x360bffee,0x1dff0007,0x93bfff90,
    0x7403ffff,0x5d103fff,0x07ff4000,0xfffe8000,0xfffd0005,0x200ba207,
    0x3202fffe,0x22007fff,0xfe802ffe,0xe817e404,0x5d103fff,0x05fffd00,
    0x743fffe4,0xb97e404f,0x3bf600ff,0xff9ffc00,0x6fffd81f,0x07fffea0,
    0xf117ffe4,0xbfff8dff,0x37fa000e,0xff8002f8,0x3fe000ff,0x00000ebf,
    0x00e7ff40,0x17bfffb1,0xf70bf2a2,0x4403bf6d,0x10bdfffd,0xfc805f95,
    0x7ffcc0df,0xfffd8801,0x5f9510bd,0x40dffc80,0xfb01fff9,0x3bfee000,
    0x3fffea09,0x4efffccf,0x39fffd10,0x00013ae6,0x0039fff5,0x05ffff80,
    0x9fffd100,0x8013ae63,0xd80bfffb,0xd0006fff,0x207fee00,0x3a204fa8,
    0xd731cfff,0x7ffdc009,0x6fffd80b,0xa881ffb8,0x0bffee4f,0x36007fea,
    0x3609ff3f,0x3ea07fff,0xff902fff,0x37ffcc5f,0x00077faa,0x80059df7,
    0x2dffffd8,0x03bfd500,0xfd300000,0xfda80dff,0x0defffff,0x03bfbfb0,
    0xfffffb50,0x2a001bdf,0xeffddfed,0x7ed4000c,0x0defffff,0xbbfdb500,
    0x6c019dff,0x3ff20007,0x37ff21ff,0x009ffd11,0xdffffff9,0x3f200007,
    0x10001eff,0x000dffff,0xffffffc8,0xed88003e,0xeffdceff,0x0770001c,
    0x7777ecc0,0xf9002cef,0x07dfffff,0xdffdb100,0x039dffb9,0x7f777ecc,
    0x656dc2ce,0x0cffcdee,0x9ddfb300,0x3ffffa01,0x7ffff900,0xa8ffff60,
    0x00107fff,0x31000080,0x00333333,0x00000008,0x22002b88,0x20009aa9,
    0x55310000,0x98800013,0x3100001a,0x80001355,0x22001a98,0x55440001,
    0x40004000,0x0001aa98,0x20003500,0xfffffecc,0x220003ce,0x00001aa9,
    0x00266aa6,0x80001700,0x4c400009,0x200001aa,0x00099aa9,0x40980130,
    0x00009aa9,0x7ff64c02,0xb92cffff,0x9bffffff,0x5fffffec,0x0efffff9,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x99999998,0x805c0099,
    0x0790001a,0x5c000126,0x10000ccc,0x2a807999,0x79991000,0x9303c800,
    0x0f200000,0x0398024c,0x2000006e,0x0002fffc,0x361cfc88,0x502d8001,
    0x5412e007,0x26666625,0x00001999,0x005a825c,0x01999700,0x83595300,
    0x5c076201,0x116cc002,0x99880179,0x81999999,0x09999998,0x00e66540,
    0x93002ea2,0x00065c47,0x001ccca8,0x03ccc800,0x7fffedc4,0x6e401bef,
    0x80007d40,0x01fd44f9,0x1fffc400,0x1dff7000,0x0037fe40,0x0007ffd4,
    0x07f713e6,0xf9801c80,0xd001fd44,0x0036c41b,0x02fff800,0xffff8800,
    0x50006dff,0x002fb87f,0x23fb8bf1,0xfffffeb8,0x0ceffffe,0xc8bf1000,
    0xf880002f,0x6c4003ff,0xbbeeccef,0x360fe404,0x7ffc000f,0x8809ffb1,
    0xefffffdb,0x7ffe4c0b,0x7fec02df,0x0177dc05,0xffc97ff4,0x9ffd0004,
    0xff500000,0x7ff4003f,0xff1000ff,0x0009ffdd,0x6fc8dfd8,0x7ff50000,
    0x0efe8000,0x007fffc0,0x0007ff60,0x37e46fec,0x4007ea00,0x06fc8dfd,
    0x74477d40,0xa800002f,0x500002ff,0x9fffffdd,0x467f4000,0x7e4005fd,
    0x3e06fd8e,0x7f544fff,0xf90001ef,0x000dfb1d,0x000ffea0,0xff705ff1,
    0x8bff8809,0x7c4004fe,0x09ffb2ff,0x07ffff40,0x2007bf20,0x7e405ff8,
    0x4fffa006,0x98005ffc,0x000004ff,0xd8003ff9,0x64007fff,0x001fffff,
    0x7ffffc40,0x7fb00002,0x0ff88000,0x006ffd80,0x0000ffc4,0x05fffff3,
    0x800ffc40,0x02fffff8,0x6ffffe80,0x7f900000,0x88640000,0x40003edb,
    0x01fffffa,0x7ffffc40,0x13fffa01,0x007fffe6,0x3ffffe20,0x9fb00001,
    0x40dfd000,0xffb804fb,0xa8000fff,0x0037a64e,0x407fffd8,0xf7000df8,
    0x03ff980b,0x6c437aa0,0x5fb8001d,0x3fe00000,0xfffd8001,0x3ec98006,
    0x3ff20000,0xf100006f,0x3f700009,0x0032e200,0x00003f50,0x400bfff9,
    0x2001ffe8,0x0006fffc,0x003ffff5,0x000fe000,0x00000000,0x0009fffb,
    0xd017ffee,0x3f609fff,0xf90004ff,0x40000bff,0xff98004f,0x44026c04,
    0x0003ffff,0xffc80000,0x013e607f,0xfb801db0,0x0000003f,0x00002f40,
    0x20005f50,0x0006fffc,0x32200000,0x200001cc,0x01100001,0x02200000,
    0x66644000,0xfffd1001,0xc8801335,0x360001cc,0x000004ee,0x33310000,
    0x81333333,0x00999999,0x00199930,0x002aaa20,0x3209fffd,0x10006fff,
    0x00001555,0xffa8000c,0x4012601f,0x80004cca,0x90001a98,0x3ea0ffff,
    0x90018002,0x333109ff,0x81333333,0x00999999,0x10000006,0x7fe40001,
    0xa988006f,0x26662001,0x4ccc0199,0x26662199,0x4ccc0199,0x32a60199,
    0x33310c1a,0x26662033,0x99999999,0x99880999,0x99999999,0x3e609999,
    0x2fffffff,0x33333333,0x33333333,0x00181803,0x99999980,0x99999999,
    0x7edc4199,0x21bdffff,0x0beffdb8,0x33333331,0x26200033,0x99999999,
    0x04fffe80,0x000ffff9,0x4cc40018,0x01999999,0x5ffff500,0x333311c0,
    0x33333333,0xea801333,0xcffecdff,0xffff9000,0x22003d90,0x99999999,
    0x437fd409,0xfffffdb8,0x3f6e21bd,0x33310bef,0x01333333,0x26666620,
    0x33300999,0xfff90133,0x3ffaa00d,0x00cffecd,0x3fffff26,0x3bfff205,
    0xffff930c,0x7ffe40bf,0x77ec40ce,0x24bbeecc,0x80ffffd8,0xfffffffb,
    0x1fffffff,0xffffffb8,0xffffffff,0x3fff6621,0xffff099a,0xffffffff,
    0x103fffff,0x07fecbff,0xfff75000,0xffffffff,0x3e03ffff,0xfe807fff,
    0x7fff5c40,0xeffffeff,0x7edc400c,0x81beffff,0xfd04fffe,0x44000dff,
    0x3ae2000f,0xffefffff,0x4400ceff,0x01dfffff,0x7fffedc4,0xffffffff,
    0xbffb104f,0x005fff10,0x6c4ffff9,0x36e2000d,0x1befffff,0x3e03ffcc,
    0xfe807fff,0x7ffedc40,0x5001bdff,0x7dfffffb,0xbffd9101,0x0dfff903,
    0x885ffd88,0x7d402fff,0x7403ffff,0xffff500f,0x80fe807f,0xffb82ff8,
    0x80ffff84,0xfc80bffc,0xff904fff,0xffff9017,0x07fff609,0x7e42b7fe,
    0x3fee26ff,0x88fffa81,0x80002fff,0x27fffdfc,0x01ffea98,0x900dfffd,
    0x4ffff80b,0x00f7ff54,0x00ffffe8,0x2213fffa,0x0003ffff,0x7c000fee,
    0x7f544fff,0x7fec01ef,0x800dffff,0xc986fffe,0xfff884ff,0x17ffea06,
    0x26ffff90,0x3a0002fe,0xf100ffff,0xfffe80ff,0x7c05c806,0x20007fff,
    0x804ffffd,0x3ff204f9,0x3ffe206f,0x17ffea06,0x3fffffb0,0x3f602e40,
    0x3201ffff,0x5c0dfd05,0x0fffe84f,0xff300fd8,0x3f601fff,0xfffff300,
    0x07fff601,0x3fff217e,0xf881fa86,0x003ff66f,0x3ff2ba00,0x407f207f,
    0xb805fffe,0x27fff405,0x00ffffcc,0x203fffec,0x74c4fffe,0x40004fff,
    0xfd0007fe,0xfff309ff,0x7ff4403f,0x404fffff,0x2606fffd,0x1fffd84f,
    0x017ffe40,0xff5ffff9,0x360001ff,0x7fc07fff,0x2ffff405,0x3fa02dc0,
    0x220006ff,0x400fffff,0x7ffe406b,0x07fff606,0x405fff90,0x0fffffed,
    0xfed80b50,0xb500ffff,0xd809ff30,0x80fffe84,0x3fffa01e,0xe807a02f,
    0x3602ffff,0x82f81fff,0x3d06fffc,0x0004c0c0,0xfffcadc0,0x7407e207,
    0x4b805fff,0x827fff40,0xd804fffd,0x7f406fff,0xfffeefff,0x540001cf,
    0xe8003fff,0xffb04fff,0xffe8809f,0x00efffff,0xd80dfffb,0x03fffdc4,
    0x807fffcc,0xfffffffc,0xfb0006ff,0x7fcc0dff,0x2ffff402,0x3f6025c0,
    0x5c0006ff,0x2203ffff,0x7ffe401f,0x0ffff706,0x01ffff30,0x3ffffab6,
    0xad809506,0x506ffffe,0x03fff509,0x7fff424c,0x3fee0680,0x703405ff,
    0xd80bffff,0x90581fff,0x86e0dfff,0x26219999,0x10000999,0x1ffff21f,
    0xfe80ec31,0x04b805ff,0xc827fff4,0xfd806fff,0x7ff406ff,0xffffe9df,
    0xffe80001,0xffe8006f,0xdfff904f,0x3fffee00,0xffb06fff,0x92a288df,
    0x004ffff8,0x320bffff,0xffe8ffff,0xfd8004ff,0x0ff206ff,0x017fffa0,
    0xfffb012e,0xffd0000d,0x013201ff,0x221bfff2,0xf004ffff,0x2760bfff,
    0x84fffff8,0x7c4ec04a,0x4a84ffff,0x02ffffa8,0x03fffa0e,0x7fffc406,
    0xf880c00f,0x6c00ffff,0x32001fff,0xf9006fff,0x3faa3fff,0x7b0005ff,
    0x2a3fffe4,0x7ff40262,0x404b805f,0xf904fffe,0xffb00fff,0xfffe80df,
    0x1dffff34,0x7ffcc000,0x7f4002ff,0xfff904ff,0xfffb800f,0xffd80fff,
    0xa8a1dc6f,0xd003ffff,0x3f20dfff,0xffff17ff,0xffd8007f,0x01dea86f,
    0x00bfffd0,0xfffd8097,0xffa80006,0x00f984ff,0xa86fffc8,0xd003ffff,
    0x4760dfff,0x43fffffa,0xfa8ec04a,0x2543ffff,0x6fffffc4,0x1fffd001,
    0x7fffec00,0x3ff60003,0xffd803ff,0x3ff2001f,0x3ffa006f,0x17ffea1f,
    0xff91aa00,0xd002c8ff,0x9700bfff,0x04fffe80,0xb00dfffd,0xfe80dfff,
    0x3ffee4ff,0x2f60005f,0x4005ffff,0xfd04fffe,0x402a0dff,0x83ffffc8,
    0x1ec6fffd,0x05ffff70,0x03ffff60,0xf99ffff2,0x2001ffff,0xeb86fffd,
    0xfffd000b,0xd809700b,0x00006fff,0xd81ffffd,0xdfff9003,0x05ffff70,
    0x03ffff60,0xffffb876,0x3b012a1f,0x0fffffdc,0x3fff6095,0x7400dfff,
    0xf5000fff,0x4000dfff,0x006ffffa,0x4003fffb,0x2006fffc,0x3e61fffd,
    0x7c4005ff,0x33fffe41,0x3ffa005f,0x404b805f,0xf884fffe,0xfd803fff,
    0x7ff406ff,0x7fffec4f,0xf9788002,0x74001fff,0xff884fff,0x807703ff,
    0xfd86fffa,0x80fe26ff,0x001ffffd,0x903ffffb,0xffb8ffff,0xfb000fff,
    0x3f620dff,0x5fffe802,0x7ec04b80,0x300006ff,0x354bffff,0x0dfff900,
    0x003ffffb,0x207ffff6,0x7fffec1d,0x1d80950f,0x87ffffec,0xfffd104a,
    0x7409ffff,0xe8800fff,0x0001ffff,0x03ffffd1,0x007fff60,0x006fffc8,
    0xf987fff6,0x264005ff,0x6cffffe4,0xffd002ff,0x809700bf,0x74c4fffe,
    0xfb004fff,0xffe80dff,0x7fffc44f,0x99e4000f,0x2004ffff,0x74c4fffe,
    0x16e04fff,0x3617ff20,0xffb9efff,0x3ffffa03,0xffff9001,0x0ffff905,
    0x00dffffb,0x981bfff6,0x7ff401ff,0x404b805f,0x0006fffd,0x27ffff60,
    0x3f6001e8,0xfffe86ff,0xfff9001f,0xfd03b05f,0x012abfff,0xffffd03b,
    0xfe8812ab,0x0effffff,0x800fffe8,0x004ffffc,0x13ffff20,0x51fffc80,
    0x6fffc801,0x87fff600,0x2005fff9,0xd99999f9,0xfffeffff,0xbfffd002,
    0xfe809700,0xfffeefff,0x3f6001cf,0x7ff406ff,0xffffa85f,0xd83e2006,
    0xd000ffff,0xffddffff,0xfb8039ff,0x41ffd402,0xfffffffd,0x3fff603f,
    0xfffb002f,0xffff903f,0x9ffffd10,0x0dfffb00,0x7f405ff8,0x04b805ff,
    0x0037ffec,0xbffff300,0xffd800b9,0xffffd87f,0xffffb002,0xff103b03,
    0x80959fff,0xffff881d,0xfb804acf,0x86ffffff,0x4c00fffe,0x000fffff,
    0x1fffff30,0x77ffcc00,0xfffc803c,0x3fff6006,0x017ffe61,0xeeeeeee8,
    0x3f27ffff,0xbfffd002,0xfe809700,0xfffe9dff,0x7fec001f,0x7fff406f,
    0x7ffffb05,0xff512e00,0x3fa007ff,0xfffe9dff,0x0ffb801f,0x3603bf60,
    0x7fb16fff,0x17fffdc0,0x0ffffe80,0x307fffd8,0x809fffff,0x7c06fffd,
    0x7fff407f,0x6c04b805,0x00006fff,0x07ffffe4,0x3ffffa00,0x17fffdc0,
    0x0ffffe80,0xfff301d8,0x1d809bff,0xbfffff30,0x7ffdc009,0x3fe20fff,
    0x7ff401ff,0x3a0002ff,0x8002ffff,0x9004efea,0x6c00dfff,0x3fe61fff,
    0x40b7005f,0x1747fffc,0x05fffe80,0x7ff404c8,0xdffff34f,0x7ffec001,
    0x3fffe206,0xffffd106,0xfd03d005,0x3fa00fff,0xffff34ff,0xfffb801d,
    0xb01ffa82,0x03e8dfff,0x00ffffea,0xe83ffffc,0xfb00ffff,0x6c09ffff,
    0x3e606fff,0x7fff407f,0x6c04c805,0x00006fff,0x02ffffc4,0xffffec98,
    0xfff52cff,0x3ffe007f,0x5c03b07f,0x404fffff,0x3ffee01d,0x100a84ff,
    0x267ffff9,0x03fffffe,0x00bffff7,0x3fffee09,0x00204805,0x00dfff90,
    0xf30fffec,0x1f100bff,0x23fffe40,0xfff9002c,0xe807900b,0x3fee4fff,
    0x3f6005ff,0xfec986ff,0x41ceffff,0x0dfffff9,0x55555d50,0x005ffffb,
    0x7dc9fffd,0x6dc05fff,0xffcdeeca,0x3fff600c,0x3fe01dc6,0xff8804ff,
    0x3fb263ff,0x10cfffff,0xfffffffb,0xdfffb07d,0x2037fd40,0xc805fffc,
    0x37ffec03,0xfd000a80,0xb1000bff,0x4ffff80d,0x3ffff880,0xffc803b0,
    0x00ec04ff,0x213ffff2,0x7ffd403b,0x22017d46,0x401fffff,0xffff884a,
    0x4425401f,0x3f2000bc,0x3f2006ff,0x3ffe61ff,0x6403d805,0x214c7fff,
    0x6fffb838,0x7f402e80,0x7ffec4ff,0xfffb002f,0x0026000d,0x33333a00,
    0x6ffffccc,0x44fffe80,0x202ffffd,0x04ee4c09,0x237ffec0,0x3fee5839,
    0xfff9807f,0x00188007,0x06fffd80,0xf7017fee,0x05d00dff,0x006fffd8,
    0x3ffa001d,0x1fe8005f,0x03fffdc0,0xb03fffcc,0x9fffd003,0xfe801d80,
    0x805b84ff,0x17ea5ffc,0x13ffff60,0x3ff60fa0,0x83e804ff,0x32005ffc,
    0x32006fff,0x3fe61fff,0x4035405f,0x4087fffc,0x7fff982c,0x3a007cc0,
    0x7fc44fff,0xfd800fff,0xff0006ff,0x1a60001d,0x03ffff90,0x444fffe8,
    0x000fffff,0x6c00ffa2,0x4c086fff,0x017fff45,0x000ffff6,0x80013fea,
    0x3206fffd,0x7fcc03ff,0x007cc07f,0x201bfff6,0x3ffa0079,0x7fcc005f,
    0x2fffe802,0x01fffec0,0xffd1003b,0x8801d809,0x2fb84ffe,0xfb1ffd40,
    0xffffa80d,0x542fa806,0xa806ffff,0x07ffa82f,0x01bfff60,0xd12fffb8,
    0x7c40bfff,0x7fffc801,0xfe80fc40,0x05d103ff,0x50bfffd0,0xb00dffff,
    0x2000dfff,0xd0004ffa,0xffff8807,0x2ffff405,0x037fffd4,0x200ffb10,
    0xd806fffd,0x037fec44,0x0005fff7,0x0003ff22,0x5037ffec,0xffd007ff,
    0x00ba207f,0x201bfff6,0x3ffa006d,0x7fcc005f,0x6ffd8806,0x00bffee0,
    0x3fe6007f,0x9801fc04,0x0ffb84ff,0xfd83bf60,0x3fffa01f,0x0ffe402f,
    0x00bffffa,0x24c03ff9,0x0ffffb00,0x67fffc40,0x206fffce,0xfff9005d,
    0x807fcc0f,0x31cfffe8,0x3fa009d7,0xfffb05ff,0xfffd807f,0x0bfa0007,
    0x2003ea00,0x201ffffd,0xfb05fffe,0x54007fff,0xfffb007f,0x903fd80f,
    0xff981bff,0x7cc0001f,0x3ff60006,0x037f407f,0x8e7fff44,0xfd004eb9,
    0x6fc80fff,0x17fffe00,0x2fbff600,0x06ffe400,0x5007ffe6,0x27d400df,
    0x5400df50,0x2fffb84f,0x7cc1ffa8,0x7fe41cff,0xea9985ff,0x3ff20fff,
    0xea9985ff,0x39100fff,0x7ffff400,0x3ffea000,0xdffff9af,0xe8037e40,
    0x510affff,0xf900fff9,0x07dfffff,0x1bfffe20,0x17ffff44,0x01ffffd0,
    0x005fca80,0xb802fe88,0xf106ffff,0x3a20dfff,0x4c02ffff,0xfd002feb,
    0x26215fff,0x2a02fffb,0xeffddfed,0x2e20000c,0x3a0002fe,0x2200ffff,
    0xfc800cfd,0x03efffff,0x5fffff10,0x2ffed443,0x6ffff880,0xfffd9800,
    0x7f6d400e,0x00ceffdd,0x33ffffaa,0xea84c800,0x800cffff,0xecadb84c,
    0x00cffcde,0x267ffff7,0xffffffff,0xffffffff,0xfffff30f,0xffffffff,
    0x5301ffff,0x3ffb2600,0x002cffff,0xfe980066,0xecc84eff,0xffffffff,
    0x006fffff,0x4006aa62,0xfffffec9,0x7ffcc1ce,0xfd930dff,0x059dffff,
    0x200026a0,0x82dffffb,0xffffffda,0xfffd932e,0xf9839dff,0x300dffff,
    0xec980135,0xffffffff,0x01ffffff,0x00035310,0x800054c0,0xfffffec9,
    0x36ea02ce,0x35531000,0x3ffb2600,0xffffffff,0x6404ffff,0xefffffec,
    0x0544003c,0x00d4c400,0x00600000,0x04c0c000,0x40026aa6,0x0000002a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2c2dc880,0x80002aa0,
    0x44000008,0x31002ccc,0x98033333,0x08019999,0xc8800220,0x333301cc,
    0x26666613,0xaba98800,0x03660001,0x35000722,0x95000e20,0x98800399,
    0x4cc41999,0x09999999,0x3ccc8800,0x003880d4,0x206b2ea2,0x13333302,
    0x57300000,0x91001301,0x30000399,0x80005999,0x0000ccca,0x04887322,
    0x06664c00,0x32600180,0x040002cc,0xfffe8000,0x20037101,0xdcfffffa,
    0x077e4c04,0x000b9100,0x7ffb801d,0xffff9300,0x7ffe40bf,0x82dc00ce,
    0x3ff2002e,0xfff9506f,0x073bffe9,0xecdffea8,0xe8000dff,0x001ba20e,
    0x07d107e2,0x00bffb00,0x0ffffd88,0x3ffff6e2,0xb8001bdf,0x0fcc0eff,
    0xfb100fa2,0xbfdb9bff,0x3ff20f55,0x980002ff,0xfeefffdb,0xc801d9bd,
    0x80006fff,0x80005ffd,0x20003fff,0xeceffffb,0x7ff40003,0x05d3004f,
    0x001bff20,0x0000efc8,0xf807ffe2,0xffd804ff,0x001fffff,0xf3001df7,
    0x00950009,0xa8007ff2,0x403fffff,0xdf1000fe,0x400ddb99,0x02fffff9,
    0x7ffd3ff2,0x17ff6202,0x000fffe2,0x5ff33ff5,0x3bff6000,0xb0000fff,
    0xff0001ff,0x3ffe01ff,0x7f40007f,0xfdffb00e,0x7fdc01ff,0xfffd502f,
    0x017fff40,0x37ffee00,0x01fffc82,0x17ffffc4,0x0bff1000,0x09ff3000,
    0xffffe800,0x20000fff,0x00fffffa,0x3200bd10,0xf98001ff,0x2e0003ff,
    0x3fea01ff,0xb716807f,0x7c4007df,0x037c404f,0x32001d80,0x7fec004f,
    0x17201fff,0xfffffb00,0x46fec007,0x3fee06fc,0x2203fff4,0xf300efff,
    0xfd800bff,0x20005fff,0x04fffff9,0x00bfa200,0x403fffa0,0x0006fffe,
    0xfa803be6,0x3604ffff,0x74401fff,0x3fff207f,0x3ff60002,0x0ffcc04f,
    0x3ee37f60,0x3bea0006,0x4fc80000,0xb8ac4000,0x40002efe,0x00bfb4fe,
    0xfd8027d4,0xfff88004,0x07fa0003,0x01ffff70,0x88000808,0x3fa207ff,
    0x00688002,0x76c007c8,0x500fffff,0xbfd5000b,0x227d4005,0x9ff702fb,
    0x7ec03ffe,0x7fe401ff,0x3fe6002f,0x440001ff,0x80000ceb,0xfe8005e8,
    0xfffb00ff,0x07dc000d,0x00675c40,0x2009fff9,0x3ff207e8,0xff90002f,
    0x07ea00df,0x1fd44f98,0x000ed800,0x0000bf00,0x20000202,0x00fe42fb,
    0x36009fd0,0x19d70006,0x00be2000,0x989fffea,0x4c019999,0xf9819999,
    0x01ff607f,0x18001dc0,0x7ff56c00,0x009506ff,0x15c00040,0x9ff705a8,
    0x3ee03ffe,0xff9807ff,0x32e000ff,0x0000003c,0x00062000,0x6c03fffa,
    0x20006fff,0x4c000008,0x2000ffff,0x3fff207a,0xfffa8002,0x807a000f,
    0x000b302b,0x18000022,0xa9880000,0x01c80001,0x7fdc0097,0x00003001,
    0x80606000,0x3265fff8,0x205fffff,0x40cefffc,0xff106ffa,0x75dcc009,
    0x4ccccc40,0x99999999,0xf13b0099,0x9509ffff,0x2000c000,0x99999998,
    0x4ffb8099,0xff881fff,0xfff004ff,0x4cccc4bf,0x40009999,0x99999998,
    0x99999999,0x00018000,0x3601fffd,0x88006fff,0x98819999,0x99999999,
    0x017fffa0,0xfffc81a0,0x06666622,0x001bfffa,0x26666237,0x99999999,
    0x26620999,0x99999999,0x00099999,0xea800018,0xcffecdff,0x00180000,
    0x2622ffc0,0x99999999,0x33333310,0x33333333,0x97fe2013,0xfff00ffd,
    0xfffff507,0x700fe807,0x3ff20bff,0xfcff9802,0x3f6e21ef,0xffffffff,
    0x3b04ffff,0x0fffffea,0x3e200095,0x3f6e2000,0x81beffff,0x1fff4ffb,
    0x03ffffa8,0x4cffffd0,0xffffffeb,0x200bdfff,0xfffffdb8,0xffffffff,
    0x007c4004,0x807fff40,0x8006fffd,0x40ffffd8,0xfffffdb8,0xffff31be,
    0x64010009,0x3f6a2fff,0x3fe60bef,0x220005ff,0xffffffdb,0x4fffffff,
    0x3ffff6e2,0xffffffff,0x07c4004f,0x5ffd8800,0x002fff88,0x80003e20,
    0x36e21ffd,0x1befffff,0xfffffb71,0xffffffff,0x23ffea09,0xfb02fff8,
    0x3fff603f,0x817201ff,0xff883ffc,0x8ffd401f,0xffd07ffc,0x9ff930df,
    0xfffb8760,0x0012a1ff,0xe8001fdc,0x2e00ffff,0x81fff4ff,0x002ffffb,
    0x881ffffb,0x3664ffff,0xfe803fff,0xffc986ff,0x01fdc004,0x807fff40,
    0x0006fffd,0xe803fffe,0x7d40ffff,0x00003fff,0x2617ffe4,0xffff705f,
    0x3fa00007,0xffc986ff,0x0dfffd04,0x8009ff93,0xf88003fb,0x3fea06ff,
    0x7f70005f,0x2ffe4000,0x00ffffe8,0x261bfffa,0xff104ffc,0xb807fecd,
    0x3ffb607f,0x0b500fff,0x7d417fd4,0x3fe200ff,0x20bfffe7,0x2606fffd,
    0xfd83b04f,0x0950ffff,0x001ffa00,0x203fffec,0x1fff4ffb,0x01ffffd8,
    0x03ffffb0,0xfb09ffff,0xffd80dff,0x013e606f,0xd000ffd0,0x3f601fff,
    0x3a0006ff,0x3f600fff,0xfffc87ff,0x6400002f,0x026c2fff,0x005ffffb,
    0x1bfff600,0xffb04f98,0x027cc0df,0x2001ffa0,0x6401fffd,0xe8002fff,
    0x3ee0007f,0xffffb07f,0x06fffd80,0x303013e6,0xb037cc01,0x0dffffd5,
    0x4fe8812a,0x6407ffb8,0xffd955ff,0x0dfffb01,0xd03b04d8,0x12abffff,
    0x0fffea00,0x1bfff600,0x3fe9ff70,0x7ffff40f,0xffff9001,0x09ffff05,
    0xd817fff6,0x26c06fff,0x07fff500,0x00fffe80,0x000dfffb,0xb007fff4,
    0xffb0dfff,0x800003ff,0x1322fffc,0x03ffffd0,0x3fff6000,0xfd826c06,
    0x026c06ff,0x007fff50,0x403fffdc,0x000ffff9,0x000fffea,0x6c07ffd4,
    0x7ec06fff,0x226c06ff,0x26219999,0x09f00999,0x7fffc4ec,0x4404a84f,
    0x3ffe40ff,0x4ed3ffa0,0xfffb01a8,0x412a288d,0xffff881d,0xe8004acf,
    0xd8006fff,0x7dc06fff,0xd81fff4f,0xb002ffff,0xff03ffff,0x3fea09ff,
    0xfffb02ff,0x012a288d,0x006fffe8,0xd807fff4,0x20006fff,0x3600fffe,
    0xffc86fff,0x400002ff,0x0f92fffc,0x05ffff90,0x3fff6000,0x20951446,
    0x1446fffd,0x7ff40095,0xfff1006f,0x3ffe009f,0x3ffa005f,0xff50006f,
    0xdfffb03f,0x46fffd80,0xff912a28,0x3ffaa3ff,0x6c07d05f,0x7fffff51,
    0xeb8804a8,0xf01fff64,0x200d1bff,0x1dc6fffd,0xf980ec0a,0x004dffff,
    0x17ffffcc,0x1bfff600,0x3fe9ff70,0x7fffdc0f,0xffffb002,0x09ffff01,
    0xd837fffc,0x21dc6fff,0xffff3002,0x7ff4005f,0xdfffb00f,0x7fff4000,
    0x1bfff600,0x80ffffee,0xffffffeb,0x57ffe40c,0x7d404ffc,0x00003fff,
    0x3b8dfffb,0x6fffd814,0x4c00a1dc,0x802fffff,0x003ffffa,0x200dfffd,
    0x02fffff9,0x82fffa80,0x6c06fffd,0x21dc6fff,0x21fffe82,0x5b05fffa,
    0xfff70ec0,0x802543ff,0x1fff66d9,0x3befff88,0x8dfffb00,0x403b003d,
    0x04fffffb,0x7fffdec0,0x7ffec005,0xfa7fdc06,0x7ffd40ff,0xfffd003f,
    0x13fffe0f,0x81ffffd8,0x1ec6fffd,0xfffbd800,0x3ffa005f,0xdfffb00f,
    0xffd02a00,0x7ffec01f,0x4ffff986,0x0ffffe80,0xffdfff90,0x7fc403ff,
    0xb00004ff,0x03d8dfff,0xd8dfffb0,0xff7b0003,0xff700bff,0x3f6005ff,
    0xbd800fff,0x8005ffff,0xfd82fffa,0x7fec06ff,0x6c01ec6f,0x3fe61fff,
    0x6c01705f,0x7ffffec1,0x5fb00950,0x7c07ffc8,0xb000efff,0x1fc4dfff,
    0x7e401d80,0x22004fff,0x01ffff97,0x037ffec0,0x7ffd3fee,0x04ffff80,
    0x207ffff0,0x3204ffff,0xfd82ffff,0x00fe26ff,0x7ffe5e20,0xfffd000f,
    0x1bfff601,0x3ffa0740,0x3fff600f,0x5ffff886,0x07fffd80,0x3ef3fff2,
    0x7ff406ff,0xfb00006f,0x01fc4dff,0x226fffd8,0x9788003f,0xd801ffff,
    0xb001ffff,0x8803ffff,0x01ffff97,0x81fffa80,0x6c06fffd,0x0fe26fff,
    0x987fff60,0xb0005fff,0xbffffd03,0x0bfb012a,0xfe80fff7,0x3f6005ff,
    0x3ffb9eff,0xfd003b00,0x9e4009ff,0x004ffff9,0x701bfff6,0x03ffe9ff,
    0x201fffee,0xf00ffffa,0x7dc09fff,0xffd83fff,0x03ffb9ef,0xfff33c80,
    0x3ffa009f,0xdfffb00f,0xffd0f300,0x7ffec01f,0x1ffff506,0x07fffc80,
    0x7ecbfff2,0x3ff204ff,0x402001ff,0xfb9efffd,0xfffb003f,0x007ff73d,
    0x3ffe6790,0x7fff404f,0xfff9001f,0xf33c805f,0xa8009fff,0xffd80fff,
    0x7ffec06f,0x803ffb9e,0x3e61fffd,0xd80105ff,0xfffff881,0x3fe604ac,
    0x00fffa82,0x203bfff2,0xfffffd81,0x3b003fff,0x09ffd100,0xffd83e20,
    0xffb000ff,0x4ffb80df,0x3fa01fff,0x7fec02ff,0x3fffe02f,0x3fffee04,
    0xfffffd84,0x44003fff,0x3ffff60f,0x0fffe800,0x00dfffb0,0x1fffd0db,
    0x037ffec0,0xc807fff9,0x3f207fff,0xffff12ff,0x3fffa205,0x360d3006,
    0xffffffff,0xffffb003,0x8007ffff,0x3fff60f8,0x3fff600f,0xfffb002f,
    0xb07c403f,0x4001ffff,0xffb07ffb,0xfffd80df,0x803fffff,0x3e61fffd,
    0x2efc85ff,0x3fe603b0,0x2e04dfff,0xfff883ff,0x3fffe201,0xfb05911e,
    0x0ff62dff,0xf9801fc0,0xa897004f,0xb003ffff,0xfb80dfff,0x201fff4f,
    0x2606ffe8,0x7fc03fff,0x3fee04ff,0xfffd83ff,0x8007fb16,0x7fffd44b,
    0x0fffe803,0x80ffffd0,0xfffe86fc,0x1bfff600,0x01fffe88,0xc81ffff2,
    0x3fea2fff,0xfff300ff,0x04f9807f,0x362dfffb,0xfffb003f,0x000ff62d,
    0xffffa897,0x3fffee03,0xffffd002,0x3ea25c01,0x32003fff,0xfffb06ff,
    0x6fffd80d,0xfb007fb1,0x7ffcc3ff,0x837ffcc5,0x3ffee01d,0x3fee04ff,
    0x805ffb04,0xfffffff9,0x8dfffb03,0x06fa803e,0x74013ea0,0x07fffe81,
    0x80dfffb0,0x1fff4ffb,0x40dffd80,0xf802fff9,0x3f204fff,0xffd81fff,
    0x2001f46f,0x7fffe81e,0x82ffff80,0x1afffff8,0x217ff6a2,0x3600fffe,
    0xfb806fff,0xfffb02ff,0x1fffec0d,0x8817fffa,0x10bdfffd,0x7ec05f95,
    0x801f46ff,0x1f46fffd,0x3fa07a00,0x3fea07ff,0xfff003ff,0xe81e80ff,
    0x36007fff,0xfffb02ff,0x6fffd80d,0x7fec01f4,0x17ffe61f,0x360ffff3,
    0x7fffe401,0x417fea04,0xee804ff9,0x3603efff,0x01dc6fff,0x19ffffd5,
    0xd5009900,0xffb55555,0xffb005ff,0x4ffb80df,0x93001fff,0x7dfd9bff,
    0x3fffe001,0x3ffff604,0x46fffd80,0x2baa003b,0xfffdaaaa,0xfffd302f,
    0x3fb267ff,0xffffffff,0xe84fffff,0x3f600fff,0xd91006ff,0xfffd9dff,
    0x7ffec039,0xfffd33ff,0x7ed403df,0x0defffff,0x237ffec0,0xfffb003b,
    0x2a003b8d,0xfdaaaaae,0x3fe02fff,0xff8804ff,0x2baa03ff,0xfffdaaaa,
    0x0dfd002f,0x2037ffec,0x1dc6fffd,0x30fffe40,0xffb0bfff,0x3a007607,
    0x3e604fff,0x01ff607f,0x2002a2d3,0x1cc6fffd,0x4013002c,0xcccce801,
    0x6ffffccc,0x06fffd80,0xfffa7fdc,0x3ffa2000,0x7fc000ff,0x3ffa04ff,
    0xdfffb06f,0x9d058398,0xff999999,0x00880dff,0xd0001300,0x7ec01fff,
    0xa88006ff,0x000099ae,0x44000022,0x20009eb9,0x1cc6fffd,0x37ffec2c,
    0x674160e6,0xffcccccc,0x3fee06ff,0xfff9807f,0x66667407,0x6ffffccc,
    0x202ff980,0x6c06fffd,0x41cc6fff,0x30fffe45,0x0260bfff,0xfe8801d8,
    0x1ffe204f,0x3202ff98,0xfffd8002,0x802cc086,0x30005ff9,0xffffc80d,
    0x37ffec01,0x7fd3fee0,0x7fd4000f,0x7fc005ff,0xfff304ff,0x3fff603f,
    0x4c2cc086,0x7fffe406,0x00bff201,0x4001dff0,0x3600fffe,0xb0006fff,
    0x320000bf,0xd00002ff,0xffd8009f,0x42cc086f,0x4086fffd,0x64069859,
    0x3a01ffff,0x7ec02fff,0x01a603ff,0x803ffff9,0x7fec05fd,0x7ffec06f,
    0x2e2cc086,0xffd12fff,0x0fe000bf,0x2027fcc0,0x37cc05ff,0xfb0001d0,
    0x09b00dff,0x000ffdc0,0x3fe201f4,0x7fec05ff,0xa7fe406f,0xc8000fff,
    0x2003ffff,0xfb04ffff,0x7fec09ff,0xe84d806f,0x7fffc403,0x01bf6605,
    0x4007ff50,0x3600fffe,0x70006fff,0x100003ff,0x10000dfb,0x6c001ff9,
    0x4d806fff,0x806fffd8,0x4403e84d,0x2205ffff,0x3ee06ffd,0x01f402ff,
    0x817fffe2,0x7ec00ef8,0x7fec06ff,0x444d806f,0xfcecffff,0xfa8006ff,
    0x813ea006,0xfa801ffa,0xb0004a83,0xfd80ffff,0x03fe2003,0xb001f500,
    0x6c03ffff,0x7e407fff,0x003fff4f,0x3bfffee0,0xfff0089b,0x9fff50bf,
    0x07fffd80,0x03ea1fec,0x07ffff60,0xe8005fb8,0x3ffa002f,0x3fff600f,
    0x1ff10007,0x17ee0000,0x07fcc000,0x0ffffb00,0xffd83fd8,0x21fec07f,
    0xffd800fa,0x7fe401ff,0x0fffcc0d,0x36003ea0,0xdb01ffff,0xffffb001,
    0x07fffd80,0x7fd41fec,0xffff9aff,0xffea800d,0x4c800cff,0x4005fd50,
    0x000ec4e9,0x0affffe8,0x05fff731,0x007fb710,0xb802fe88,0x3a06ffff,
    0xa980ffff,0xbfff4fff,0x95100015,0x105dfffd,0x313dffff,0xd005fff9,
    0x2215ffff,0x222fffb9,0xffb802fe,0xffb986ff,0x17f6a001,0x05ffff00,
    0x007ffff4,0x007fb710,0x03ff7300,0x3feb8800,0x7ffff400,0xfff7310a,
    0x5ffffd05,0x3ffee621,0x200bfa22,0x806ffffb,0xffddfeda,0x7f4400ce,
    0xffffb802,0x80067446,0x200ffffe,0x10affffe,0x405fff73,0x00000019,
    0x2f6e0600,0x14350000,0x3ffb2600,0xffffffff,0x8801ffff,0xffb8001a,
    0xfda82dff,0x32efffff,0xdfffffd9,0x4ccccc59,0x01333330,0x2a011000,
    0xfffffffc,0x4c01ceef,0xffffffec,0xffffffff,0x5bffff71,0xfffffb50,
    0x0054c5df,0x26000d40,0x23fffffe,0xfffffec9,0x1a8802ce,0x02a60000,
    0x04d4c000,0xfffec980,0xffffffff,0xfd931fff,0xffffffff,0x2e3fffff,
    0xa82dffff,0xeffffffd,0x03531002,0x6ffffdc0,0xffffda82,0x00152eff,
    0xfffffd93,0x3fb2659d,0xffffffff,0x001fffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x164c0000,0x037ffc40,0x99999100,0x40007999,
    0x802c1cc8,0x0361cfc8,0x65c47930,0x00100000,0x65c19910,0x4c3b5001,
    0x0000003c,0x17910000,0x83322000,0x322001cb,0x3ccccccc,0xcccccb80,
    0x32e00ccc,0x0ccccccc,0x64000000,0x4ccccccc,0x00000000,0x01100000,
    0x00022000,0x0000ccc0,0x00060122,0x04400cc4,0x00008800,0x30013310,
    0xfff88079,0x0fff9801,0xffff3000,0x000bffff,0x33ffffea,0xfff8804d,
    0xe806deff,0x09ff92ff,0x3eee9800,0x553ff200,0xff8806ff,0x005ffd0f,
    0x3fc80000,0x017ff600,0xfaa7fe40,0x3fe6006f,0x05ffffff,0xffffffe8,
    0x3ffa00ff,0x00ffffff,0x7fffffdc,0xff1003ff,0x0fffffff,0x9aca8800,
    0x00001c80,0x3e61ff88,0x4401fa81,0x0000cffc,0x000bffee,0x06fbff6a,
    0x42ec42ec,0x4c04fff9,0x200fa81f,0x002e983f,0xf880dffd,0x3fea04ff,
    0x7ff3003f,0x3bba6000,0x004eeeee,0xffffff90,0xfdd7003f,0xd007ffff,
    0x17ff27ff,0x3e25d000,0x29ffb000,0xf9807ffb,0x05fff0ff,0xff800000,
    0xdfff000f,0x57ff6000,0x26007ffa,0xeeeeeeee,0xeeeed804,0x3600eeee,
    0xeeeeeeee,0x7fffdc00,0x1003ffff,0xdddddddd,0xfd95000b,0x219fff9b,
    0x54c4006b,0xb13fea01,0x4027dc5f,0x000790db,0x01bfffe2,0x9f9afe98,
    0x77c43efc,0xfd01fd10,0xfd801fff,0xf7013ee2,0xb8037d49,0x2a03ffff,
    0x7f407fff,0x1be6000f,0x00000000,0x1ffedc5a,0xdb710d80,0x437aa005,
    0x20001dd8,0x9801e469,0x05d910dd,0x4ea8fb20,0xc8000000,0x3ff2007f,
    0x3bb10003,0x00001764,0x00000000,0x99998800,0x00009999,0xffb10000,
    0xdbfff30b,0xbffb3001,0xd817dfd9,0x6dffc43f,0x21e800ff,0xff900069,
    0xd1007ff9,0x6fb9e69f,0x4ffaefc8,0x5fecffa8,0x7edffc40,0xbdfe800f,
    0xff8801ff,0xf100ffdd,0x00300bff,0x00003ea0,0x00003531,0x00000101,
    0x00000000,0x0000f41f,0x10000000,0x33333333,0x99999813,0x4001fb99,
    0x00000009,0x99999988,0x4ccc0999,0x33310999,0x21333333,0x99999998,
    0x99999999,0x000c0c00,0xf88000c0,0x3fea05ff,0x7fe4404f,0xbdfff884,
    0xfff905da,0xb8f2007f,0x1ef88004,0xfc801ff3,0x86c8f31f,0x80fffff8,
    0x03fd12fe,0x03ffffc8,0x0bffff50,0x3fc93f20,0x31033660,0x33333333,
    0x000c0c01,0x3b37ffaa,0x80000cff,0x4ccc4001,0x00999999,0x200000c0,
    0x1005ecfb,0x33333333,0x26666213,0x33009999,0x36e21333,0x1bdfffff,
    0x2fbff6e2,0x3331009a,0x33333333,0x4cc41333,0x99999999,0x22099999,
    0xdfffffdb,0x3ff6e21b,0xffb710be,0x2237dfff,0xffffffdb,0x4fffffff,
    0x7ecbff10,0x1f10000f,0x5fffd000,0x02fffd80,0x540bfff1,0x4401efff,
    0x22006fff,0x8001fcdf,0x01f440dd,0x23cd3ff6,0x7fff9069,0x0bb03d70,
    0x006fff88,0x4007fff4,0x00fb82f9,0xfffdb880,0xf881beff,0x003ff65f,
    0xf10bffb1,0x440005ff,0x36e2000f,0x1befffff,0x0003e200,0x4005f300,
    0xfffffdb8,0xfffb51be,0x91017dff,0xff03bffd,0x1fd00fff,0x3fffee00,
    0xffffffff,0x3f6e21ff,0xffffffff,0xff04ffff,0x1fd00fff,0x07ffff40,
    0x30dfffd0,0x3ea09ff9,0x2fff88ff,0x007f7000,0x406fffc8,0x80ffffe8,
    0x6c01fffd,0x98802fff,0x0ba80009,0x04403000,0x273fff60,0x06660287,
    0x10030044,0x98800133,0x40110009,0x3a002008,0x2a00ffff,0xfff88fff,
    0x1bffe202,0x005fffa8,0x20007f70,0x000ffffe,0x00003fb8,0xe8001fdc,
    0xfb00ffff,0xf3009fff,0x37fff409,0xf9002e40,0xfff9017f,0x7fff409f,
    0x04ffc986,0x900dfffd,0x7fffd80b,0x037ffec0,0x3fe209f3,0x0003ff66,
    0x3a003ff4,0x67404fff,0x7dc4ffff,0xff9806ff,0x5dcc00ff,0x86666601,
    0x44099998,0x31099999,0x26213333,0xffff5099,0x5dcc00fd,0x37730331,
    0x33333066,0x004cccc4,0x40159531,0x26219999,0x03900999,0x407fffd8,
    0x3ff66ff8,0x07fff600,0x005fff90,0x2000ffd0,0x0007fffd,0x80000ffd,
    0xfb0007fe,0x7fc40fff,0x35c00fff,0x017fffa0,0x0fd8016e,0x1fffff30,
    0x037ffec0,0x3ffa09f3,0x405b805f,0x6c06fffd,0x26c06fff,0x00026060,
    0x801fffd4,0x203ffff8,0x4dfffd5d,0x804ffff8,0x104ffff8,0x01bf99fd,
    0x2a3ffff9,0x7d45fffe,0xff72ffff,0x3f225dff,0x3ffffe1e,0xcefb803f,
    0x77dc2ffe,0x7e42ffec,0xffd51fff,0x337ea0bf,0xff905ffe,0x3ffaa3ff,
    0xd805b05f,0x03006fff,0x7ffdc013,0xffff9807,0x3ffea000,0xfffd8003,
    0xfffa8006,0xff500003,0xffb0007f,0xfffb80df,0x007e203f,0x700bfffd,
    0xd00f4009,0xd805ffff,0x26c06fff,0x805fffe8,0x7ffec04b,0x37ffec06,
    0x4cc4a8a2,0x26662199,0x7ff40009,0xfff5006f,0xfd97207f,0x3ffea7ff,
    0xffff003f,0x6c9ff10d,0x3fffd05f,0x542fffd4,0x7fdc6fff,0x2607c45f,
    0x0dffffff,0x7e41ff10,0xfc83fe22,0x21fffe82,0xfc85fffa,0xe827ffc5,
    0x3fea1fff,0xd809d05f,0x33306fff,0x4cccc433,0x27fffc40,0x05ffff80,
    0x01bfffa0,0x01bfff60,0x01bfffa0,0x37fff400,0x37ffec00,0x07ffff40,
    0xffe804c8,0x004b805f,0xffffb81a,0x6fffd805,0x3a095144,0x4b805fff,
    0x037ffec0,0x771bfff6,0x7fffe428,0x0bfffd51,0x7ffffcc0,0xffffc802,
    0x3f60eb82,0xfff71fff,0x3ffa005f,0x17fec0ff,0xffb05ff7,0x2fffcc3f,
    0x221fffe8,0x1660ffff,0x7fffff44,0x42ffb81f,0xd0bfee3e,0x43fffb07,
    0x7c45fff9,0x3fffa0ff,0x21fffd80,0xbf05fff9,0x06fffd80,0x2a3ffff9,
    0x7d45fffe,0xfd003fff,0x3e600dff,0x4002ffff,0x4006fffd,0x02fffff9,
    0x7fffcc00,0x7fec002f,0xfffa806f,0x800f984f,0xb805fffe,0x7c406004,
    0xd800ffff,0x21dc6fff,0x0bfffd02,0xffd80970,0x7ffec06f,0x7f401ec6,
    0x3ffea1ff,0x3fef6005,0xffd805ff,0x207d41ff,0xfb2ffffd,0x36003fff,
    0x3ea1ffff,0x17fea0ff,0xf987fff6,0xfff705ff,0x1ffffd49,0xfffb8059,
    0x7fec1fff,0xffd8e63f,0x3f60e63f,0x3ffe61ff,0xb17ffcc5,0xffb01fff,
    0x2fffcc3f,0x3f603fcc,0x3ffa06ff,0x17ffea1f,0x005ffff7,0x003ffff6,
    0x17fffef6,0x0dfffb00,0xffffbd80,0x7dec0005,0x6c005fff,0xfd006fff,
    0x03d81fff,0x00bfffd0,0xfb000097,0x36007fff,0x01ec6fff,0x805fffe8,
    0x7ffec04b,0x37ffec06,0xffb007f1,0x2fffcc3f,0xfff97880,0xfffc801f,
    0x3607e62f,0xffd1ffff,0x3f6003ff,0x3ff22fff,0x6c37fd46,0x3fe61fff,
    0xffff105f,0xd37ffd6c,0x3fffea00,0x7fffdc4f,0xffffb80d,0x3fff600d,
    0x217ffe61,0x3ffa0dfc,0x1fffd80f,0x2e17ffe6,0x3ff600ff,0x3fff606f,
    0xb17ffe61,0x2003ffff,0x401ffffd,0x1ffff978,0x37ffec00,0x3ff2f100,
    0xf10000ff,0x003ffff2,0x006fffd8,0x54bffff3,0x3fffa006,0x0004b805,
    0x037fffd4,0x44dfffb0,0xfffd003f,0xd809700b,0x7ec06fff,0x3ffb9eff,
    0x21fffd80,0x9005fff9,0x13fffe67,0x27ffff70,0xfffd02f8,0x3ffff61f,
    0xffffb002,0x7ffffec3,0xfd87ffff,0x3ffe61ff,0x27fff605,0x51fffd58,
    0x3f7e6009,0x7ffc47ff,0x7fc41eff,0xfb01efff,0x7ffcc3ff,0xfffeb805,
    0x1fffd80f,0x3617ffe6,0x3ff602ff,0x3fff606f,0xd17ffe61,0x2003ffff,
    0x402ffffc,0x9ffff33c,0x37ffec00,0x3fe67900,0x790004ff,0x013fffe6,
    0x006fffd8,0x227ffff6,0x3ffa001e,0x004b805f,0x3ffffa20,0x3fff6001,
    0x003ffb9e,0x700bfffd,0x6fffd809,0x7ffffec0,0xfd803fff,0x3ffe61ff,
    0x360f8805,0x2600ffff,0x3e8bffff,0xb9ffffe0,0xd002ffff,0x7f41ffff,
    0x7fec007f,0x17ffe61f,0x2bdfffa8,0x03b7fff7,0x3ff6f301,0x7fffd42f,
    0x7ffd41ff,0xffd81fff,0x17ffe61f,0xffd9ffa8,0x1fffd80f,0x3e17ffe6,
    0x3ff604ff,0x3fff606f,0xb17ffe61,0x2005ffff,0x201ffffd,0x3fff60f8,
    0xfffb000f,0xd83e200d,0x4000ffff,0x3fff60f8,0xfffb000f,0x7ffcc00d,
    0x74005cdf,0x4b805fff,0x3fff2000,0x7fec004f,0x03ffffff,0x00bfffd0,
    0xfffd8097,0xb7ffec06,0xfd803fd8,0x3ffe61ff,0x7d44b805,0x7fc03fff,
    0x2204dcff,0x3ea3ffff,0xff003fff,0xfffd8fff,0x3fff6000,0x017ffe61,
    0x221dffff,0x3706efff,0x0bffe798,0x17ffffa6,0x17ffffa6,0xf987fff6,
    0xefd885ff,0xb01fffb0,0x7fcc3fff,0x37ffc45f,0x40dfffb0,0x3e61fffd,
    0x7ffdc5ff,0xfffd002f,0x2a25c01f,0xb003ffff,0x2e00dfff,0x1ffffd44,
    0xff512e00,0x3f6007ff,0x7e4006ff,0x4000ffff,0xb805fffe,0xfff30004,
    0xfd8001ff,0x07fb16ff,0x017fffa0,0xfffb012e,0x6fffd80d,0x7fec01f4,
    0x17ffe61f,0x3ffa07a0,0x7ffd407f,0x7ffd405f,0x27fffc0f,0x1ffffc40,
    0x800ffff2,0x3e61fffc,0x7fe405ff,0x27ffec5f,0xfb3cc4b8,0xffb10c3f,
    0xffb10cff,0x3fff90ff,0x6c2fffcc,0x3fff63ff,0x21fffc80,0x7d45fff9,
    0x3ff607ff,0x3fff606f,0x517ffe61,0x2007ffff,0x7407ffff,0x07fffe81,
    0x00dfffb0,0x3fffa07a,0x740f4007,0xfb007fff,0xf8800dff,0xe8005fff,
    0x4c805fff,0xffffd000,0xfffb0005,0xfd003e8d,0x09900bff,0x406fffd8,
    0x1dc6fffd,0x30fffec0,0xea80bfff,0xffdaaaaa,0x7fe402ff,0x7ffec02f,
    0x07fffb82,0xa87fff98,0x90907fff,0x7fcc3fff,0x7ffcc05f,0x80fffd42,
    0xff9e61fb,0x3ff21645,0xffc8590f,0x0fffe40f,0xf88bfff3,0x3fff61ff,
    0x21fffc80,0x7dc5fff9,0xffb00fff,0x7ffec0df,0x217ffe61,0x8804ffff,
    0x2a03ffff,0xfdaaaaae,0xfd802fff,0xaea806ff,0xfffdaaaa,0x55d5002f,
    0xffffb555,0xdfffb005,0xbfffd000,0xbfff9000,0x70009900,0x900bffff,
    0xb8dfffb0,0xbfff9003,0xfd807900,0x7fec06ff,0x22c1cc6f,0x3e61fffc,
    0x667405ff,0xfffccccc,0x7ffc406f,0x9fff300f,0x017fff40,0x7c0ffff6,
    0x0722efff,0x744bffee,0xfe805fff,0x206ff887,0x2ef32ffb,0x207640ef,
    0xf03b26ff,0x5fff70df,0x917fffa2,0xff93bfff,0xfff703ff,0x17fffa25,
    0x6c0dfff3,0x3f206fff,0x3ffe61ff,0x07fffb85,0x407fff98,0xccccccce,
    0xd806ffff,0xce806fff,0xffcccccc,0x99d006ff,0xfff99999,0xfffb00df,
    0xfffd000d,0xfff7000b,0x8005d00d,0x01fffff8,0x7ffec254,0x5c2c1cc6,
    0x2e806fff,0x037ffec0,0x021bfff6,0x1fffc8b3,0x9817ffe6,0x7fffe406,
    0x3ff7e601,0x17ffd40d,0x81bff620,0x2602fffa,0x3fefffff,0xd9ffff10,
    0x700dfff9,0x80ff209f,0xefefffd9,0x21bf704f,0x37ee2ff8,0xf105ff10,
    0xff9d9fff,0xffffa8df,0x4efffccf,0x767fffc4,0xfd86fffc,0x3fff602f,
    0x87fff206,0xfd05fff9,0xffd805ff,0x901a603f,0xd803ffff,0x34c06fff,
    0x07ffff20,0xffc80d30,0x7fec01ff,0xffe8006f,0xff98005f,0x007c407f,
    0x13ffff60,0x3ff60fa0,0x42cc086f,0x4c07fff9,0x7ffec00f,0x37ffec06,
    0x3fee26c0,0xbfffd12f,0x3e201f40,0x3f305fff,0x3f7bff26,0x32000bde,
    0x7fd40dff,0xffe9801f,0x7fd404ef,0xffff9aff,0x407e200d,0x733000f9,
    0xfeeb801f,0x775c2ffd,0x2a02ffdf,0xff9affff,0x3ff20dff,0x09ffd11d,
    0x26bfffea,0x040dffff,0x037ffec0,0x3a25fff7,0xfb105fff,0x7ffdc0df,
    0x2201f402,0x6c05ffff,0x1f406fff,0x17fffe20,0xff8807d0,0x7fec05ff,
    0xffe8006f,0xfe88005f,0x05d103ff,0x6ffffa80,0xfd82fa80,0x04d806ff,
    0x2207fffd,0xfffd802e,0x3fffec07,0xff10ff60,0xfff9d9ff,0x2003ea0d,
    0xc81ffffd,0x00155102,0xddfeda80,0x4000ceff,0x0cc000a8,0x0a014000,
    0x2601e600,0x42603310,0x06600198,0x20010000,0xb0000019,0x7c40ffff,
    0xffcecfff,0x6ffe406f,0x00fffcc0,0x3f6003ea,0x3f601fff,0x03ea07ff,
    0x07ffff60,0x7ec007d4,0x3f601fff,0xff8007ff,0xd10005ff,0x2e639fff,
    0xffe8004e,0x7fe402ff,0x07fffd81,0xfe881fec,0x9d731cff,0x3ffffa00,
    0x3ffffa00,0xfff7310a,0x5ffff505,0x41bffff3,0xfb802fe8,0x00006fff,
    0x35310000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x200ffffe,0xf9affffa,0x2a00dfff,0xeffddfed,0x17f4400c,0x37fffdc0,
    0x01ffffd0,0xf7005fd1,0xfd10dfff,0xffff7005,0x7ffff40d,0x3ffe2000,
    0x7ec0006f,0x03efffff,0x5ffffc80,0xfffea998,0xaffffe80,0x5fff7310,
    0xfffffc80,0x764c03ef,0x2cefffff,0xfffffd93,0xffffffff,0x000cc03f,
    0x05bffff7,0xffffffb5,0x0000005d,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffec980,0x2602ceff,0x26200001,0x3fee001a,
    0xfda82dff,0x32efffff,0xdfffffd9,0x3fffee59,0xfffda82d,0xff72efff,
    0xfb505bff,0x25dfffff,0xfffffec9,0x3b3202ce,0x3cefffff,0x2aa62000,
    0xfff30001,0xffffffff,0x21ffffff,0xfffffec9,0xffffffff,0x5531001f,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00200000,0x40013310,0x00080199,0x80026620,0x00080199,0x99980080,
    0x33331099,0x01bb9801,0x2882ae60,0x00b80e20,0xd1000022,0x026009dd,
    0x6f640031,0x7003ee88,0x03710009,0x3775102a,0x26666200,0x22099999,
    0x99999999,0xaca98809,0x33330000,0x4ccc0013,0x10154099,0xb800bddb,
    0x10003500,0x11030353,0x33553000,0x33333333,0x26003333,0x203500ab,
    0x3ddd9038,0x1deec800,0x20030198,0xb000defc,0xf3003fff,0x84e809ff,
    0x3ff603e8,0xfffa800f,0x7441f403,0x017fe403,0x265ffff9,0xd105fffe,
    0x401bf99f,0xabfccffc,0x1066c05f,0x81f980d7,0x7fd400fa,0x7ff4c00e,
    0x2003c8ad,0x00df73ff,0x3e2002fc,0xdaeb85ff,0xefffecef,0x3ff6e201,
    0x261befff,0xefffffdb,0x766fd41b,0xec8005ff,0x32005fff,0x3fa6fffe,
    0x3ffe606f,0x503ae002,0x3ae2001f,0x0efd82df,0xb7003ff7,0xfffffdff,
    0xffffffff,0x3b2201ff,0xf981ffff,0xfd0174c1,0x7fc4009f,0x21bd102f,
    0x0e9805d9,0xfff300b7,0xfffd00bf,0x32fd401f,0x7ffcc0df,0x7ffc405f,
    0x32fd407f,0xfff880df,0x17ffec05,0xf10bfff5,0xc82fec9f,0x3fff60ff,
    0x777fd405,0x2fd803ff,0x3f6013ee,0xfffe800e,0x5000ffff,0x800ff4bf,
    0x706403f9,0xfb83ffff,0x7fdc40cf,0xfffe803f,0x7fff400f,0x7c5fc80f,
    0xf98004ff,0x7cc005ff,0xffff56ff,0x027fcc05,0xffdfff10,0x33fee00b,
    0x25fff100,0x3a204ffe,0x3fea0dff,0x3aa60fff,0xfffd00ff,0x3fa0dfff,
    0x4407ffef,0x3ea006fe,0xedfd802f,0x07879001,0x1ffcefe8,0x3fb3fea0,
    0x7df7f404,0x33bfa02f,0x3ff201ff,0x7f403ffc,0xf802ffbd,0x7fe404ff,
    0x17ffe62f,0xffb8bff6,0x2a2ffdc2,0xfe805fff,0xf3006fff,0x801ffb7f,
    0xe8800ff8,0x05ffffda,0x1fc43f20,0x5401f900,0x3fffea0f,0x3201fdc3,
    0x7ec05fff,0xffd807ff,0x0fff887f,0x7003fffa,0xffff9999,0x3fe20039,
    0xbffff16f,0x4007f980,0x01fffffb,0xe803ffd8,0x05ff90ff,0x6417ffe6,
    0xd880ffff,0xebbdc80f,0xfa82ffff,0x8803ffff,0x7fb001fe,0x017ff200,
    0x501a65a8,0x817ea1bf,0x03fd12fe,0x037fffcc,0x17ea1bf5,0xff98f7c4,
    0x3fffea00,0x019b3005,0x222fffc8,0x7fd45fff,0x897fea0f,0x7fcc3fff,
    0x5bb3005f,0xffffc800,0x001fa803,0x001b9833,0x800d717c,0x03fe206f,
    0x5b87fbd7,0x05fffd00,0x4037ffec,0xf987fffc,0x3fff62ff,0x66665c00,
    0x001cffff,0x75cdfff1,0x2f9805fd,0x01f64400,0x2004ffe8,0xf8804c0a,
    0xff701fff,0x03e201ff,0xbfffb095,0x0033ae20,0xf8804e88,0xe8bea803,
    0x337a004f,0x4c27402f,0x441eb81f,0x7ffec05d,0x3e613a01,0x7440ed81,
    0x0ffff404,0x7fe40000,0x17ffe22f,0xffa8dff9,0x10bffea6,0x0000bfff,
    0x0dfff100,0x00000220,0x4c000000,0x1ffd103f,0x05703e20,0x03fffee0,
    0x4037ffec,0xf907fffc,0x07fff41b,0x17ffe200,0x0dfff100,0x004400be,
    0x3ff20000,0x64000006,0x3ee06fff,0xe8660fff,0xfff980c0,0x11000004,
    0x32200600,0x800bfea0,0x200800ba,0x06008808,0x08033310,0x10060220,
    0x00099880,0xf9006ea2,0x7ffc45ff,0x7ffffec5,0x3f27ffff,0x7ffc41ff,
    0x21999985,0x80099998,0x51000998,0x4cccc037,0x02666621,0x98866666,
    0x7e400999,0xafffe981,0x0a1ae099,0x4ffff880,0x00dfffb0,0x200ffff9,
    0x00ffffeb,0x7fc455cc,0x455cc05f,0x7a86fff8,0x310ccccc,0x4c401333,
    0x3e600aca,0xb98003ff,0x3ffe201b,0x3ffee03f,0x00a8aa0f,0x403fff10,
    0x73001bb9,0x37730037,0x3fa10066,0x654c401f,0xca98800a,0x3751000a,
    0x006ea200,0x3000ddcc,0x2e600377,0xcfe8801b,0xff903efd,0x2fffc45f,
    0x6c01fffa,0x7fc41fff,0xffffc85f,0x0bfffd51,0x33333331,0xfe881333,
    0xfc83efdc,0xffd51fff,0xffff90bf,0x17fffaa3,0xfff30dd0,0x225fffff,
    0xff80002e,0xfffb06ff,0xffff900d,0xfd9ffa80,0xfff500ff,0x0bfff5fd,
    0x2bfbffa6,0x44d86fff,0xd51ffffc,0x3ea0bfff,0xb05ffecd,0x20061fff,
    0x3febdfe8,0x02ffffb8,0xc83fffee,0x3ff50002,0x3f33fa20,0x7bfd100d,
    0x3bee07fd,0xd882ffec,0x0ffffeff,0xffd9bf50,0x766fd40b,0x3fa205ff,
    0xd103efdc,0x207dfb9f,0x3febdfe8,0x3f33fa20,0x7bfd100d,0x3fa207fd,
    0x901fff34,0x7fc45fff,0x07ffec5f,0x20fffec0,0xfd05fff8,0x7ffd43ff,
    0xcceffd85,0x220ffffe,0x1fff34fe,0x543fffd0,0xffd05fff,0x2fffd43f,
    0xd3109f10,0x31335fff,0x3a00005f,0xffb07fff,0xfff900df,0x43bf620f,
    0xf880fffd,0xffff31ff,0x23fff10b,0x266ffff9,0x3fffd03e,0x642fffd4,
    0x227ffc5f,0xffeefff8,0x6ff980df,0xff90ffea,0x7fdc05ff,0x005f10ff,
    0x220bfd10,0x217f64ff,0x3fea6ff9,0xf907fc43,0x70eff985,0xbf905fff,
    0xfc84fff8,0x4427ffc5,0x1fff34fe,0xff34fe88,0x26ff981f,0xff883ffa,
    0x3e617f64,0x20ffea6f,0x3ffa2ffd,0x22fffc84,0x7e45fff8,0xffb803ff,
    0x2fffc42f,0x261fffd8,0x85d85fff,0x7ec4fffe,0x213ffa2f,0x3e61fffd,
    0xfffb05ff,0x02fffcc3,0x7fec03f7,0x2a02e20f,0xaaaaaaaa,0xffeaaaaa,
    0xfffd80ff,0x7fffc806,0x7ec7ffb0,0x4ffe80ff,0x742fffd4,0x7ffd45ff,
    0xffd80326,0x17ffe61f,0x7f41fff1,0x3ffee0ff,0x0ffffcbe,0x3fe1fff4,
    0x3ffffa2f,0x3fffee01,0x2002ffb9,0x0effffc8,0xff717fec,0x7c3ffe85,
    0x0bfee2ff,0x43ffe87d,0x7fc44fff,0x83fffa0f,0x3fa0fff8,0x17fec0ff,
    0xffd89ffd,0xfd13ffa2,0x42fff87f,0x3fee2ffd,0x3e1fff42,0x3ffe62ff,
    0x320ffee0,0x3fe62fff,0x3fffd45f,0x0fffe648,0x360bfff1,0x3fe61fff,
    0x7dc1d85f,0x7ffcc6ff,0x360ffee0,0x3fe61fff,0x3fffb05f,0xd02fffcc,
    0x0fffd80f,0xdffffd00,0xdddddddd,0xb03fffff,0xf900dfff,0xfff10fff,
    0x207ffec3,0x7c43fff9,0x7ffcc5ff,0x037ffc43,0x4c3fffb0,0x7fcc5fff,
    0x83fff62f,0x3ea2fffc,0x3ffea5ff,0xfd2ffec2,0x7dc01fff,0x2fffefff,
    0x3fffaa00,0x3ffea6ff,0xfa97fea0,0x2ffec2ff,0x1cc7fffb,0xfe83fff1,
    0x17ffcc6f,0x7cc1fffb,0x3fff62ff,0xb83ffe60,0x3ffe63ff,0xfa8ffee0,
    0x2ffec2ff,0x7d41fff5,0x0bffea5f,0x7fe4bffb,0xff702987,0x37fff47f,
    0x9177fffc,0x546fff83,0xffb05fff,0x2fffcc3f,0x3fffe214,0x4c3ffe42,
    0x43fffb02,0xfb05fff9,0x7ffcc3ff,0xd809f105,0xfb000fff,0xfb003fff,
    0xffb01fff,0xfff900df,0x3bfff90f,0xb83ffff9,0x7fc42fff,0x1fffd45f,
    0x801bffe2,0x3e61fffd,0x0dfc85ff,0xfd83fffa,0x7fffc2ff,0xd83fff91,
    0x3fff67ff,0x3ffee00f,0x002fd98f,0x1fffff98,0xffa8dff9,0xb07fff26,
    0x7ffdcfff,0xfffa80df,0x207fff41,0x3ffa0dfc,0xd06fe40f,0x7fe41fff,
    0x7fe42987,0x7fe42987,0x93ffec1f,0x6ffa8dff,0xfb07fff2,0x07ffecff,
    0x9ffff100,0x30ffff9d,0x7fdfffff,0x93bfff50,0x360bfffd,0x3fe61fff,
    0xfffd805f,0x00fffd85,0x987fff60,0xffb05fff,0x2fffcc3f,0x7ec02fb8,
    0xff9000ff,0xffd003ff,0x3fff60ff,0x7fffc806,0xcfffffa8,0x324efffc,
    0x7fc41fff,0x17ffe45f,0x801bffe2,0x3e61fffd,0xfeb805ff,0x3ffa0fff,
    0x97ffec2f,0x7ec1fffe,0xffff51ff,0x7fffdc03,0x20005f10,0xfb4fffe8,
    0xffffffff,0x20ffff4f,0xff11fffd,0xfd83dfff,0x7fff40ff,0x7fff5c02,
    0x7ff5c00f,0x3fff60ff,0x0fffd800,0x41fffe80,0xffb1fffd,0xffffffff,
    0x360ffff4,0xfffd1fff,0xfffa8003,0xeffff8af,0x77fff4c0,0x3fffea04,
    0xb05fff9c,0x7fcc3fff,0x7ffd405f,0x1fffe80f,0x87fff600,0xfb05fff9,
    0x7ffcc3ff,0xfb00fb05,0x3ea001ff,0xff802fff,0xfffb06ff,0xffff900d,
    0x4477ff20,0x7ff44ffe,0x2fffc41f,0xf10bfff6,0x7ec00dff,0x3ffe61ff,
    0x367fea05,0x3ff60fff,0x9fffe42f,0x7ec1fffe,0xffff12ff,0x7fffdc05,
    0xb8000b20,0xfffd5fff,0x07fffa00,0x7d45fffb,0x3a1fffff,0x7fec1fff,
    0xb3ff501f,0x3ea01fff,0x20fffd9f,0xe801fffe,0xfe801fff,0x7ffec1ff,
    0x200fffd2,0x7ec1fffe,0x5fffb2ff,0xe8866000,0x007f7005,0xfff8854c,
    0x43fffb05,0x7405fff9,0xffb04fff,0x7fec005f,0x17ffe61f,0xf30fffec,
    0x0bf10bff,0x001fffb0,0x00bfffe6,0x6c0ffffe,0x33666fff,0x01bfff20,
    0x3f603f60,0x7ffc42ff,0x21fffec5,0x2006fff8,0x3e61fffd,0xefd885ff,
    0x5c1fffb0,0x7fe43fff,0x83fffb2f,0x3fa1fffd,0x3fee03ff,0x730aa0ff,
    0x4fffe200,0xd800fffd,0x7fec1fff,0x7fff4c1f,0x07fff65f,0xd881fffd,
    0x1fffb0ef,0xfb0efd88,0x7ffec1ff,0x2fffd802,0x41fffd80,0xffb1fffd,
    0xfffb001f,0x91fffd83,0x0000bfff,0xf5001ff1,0xff88000d,0x3fff905f,
    0x902fffcc,0x7e40dfff,0x3f2005ff,0x3ffe61ff,0x43fff905,0xfa85fff9,
    0x0fffd802,0x13fff200,0x40dfff50,0x3fe6fffd,0x1bfff24f,0x3205fb00,
    0x7fc43fff,0x1fffe45f,0x801bffe2,0x3e61fffc,0x3ffd85ff,0xfa83fff6,
    0x7ffdc4ff,0xd83fff90,0x3ff20fff,0x3ffee05f,0x0072040f,0xff92ffc8,
    0xfff9007f,0x30fffd83,0x73fffec4,0xffe83fff,0x363ffd86,0x7fec0fff,
    0xc83fff63,0xfc805fff,0xffc805ff,0x87ffec1f,0xc803fffc,0x7fec1fff,
    0x7ffff50f,0x7fd40010,0x005fd801,0x82fffc40,0x3e61fffc,0xfff105ff,
    0xff50885f,0xf90107ff,0x7ffcc3ff,0x43fff905,0xfd85fff9,0x1fffd800,
    0x1bffe200,0x403fffb0,0xff36fffd,0x27ffe4bf,0x205ff100,0x7c44fffa,
    0x7ffd46ff,0x037ffc44,0x4c3fff90,0x7fc45fff,0x83fff61f,0x7dc5fff8,
    0x07ffea6f,0xffd0dffd,0x3fff203f,0x983e600f,0xfa9bee01,0x7d4907ff,
    0x37ff41ff,0x0fffc859,0xfe83fff5,0x0fffc45f,0x7c41fffb,0x3fff61ff,
    0x0ffffea0,0x3ffffa82,0x07ffea08,0x7fd4dffd,0x7fd4907f,0x237ff41f,
    0x2a2ffffe,0x17fea004,0x0007ff60,0x705fff88,0x3fa25fff,0xfffb05ff,
    0x7ff4190b,0x2e12a2ff,0xffd12fff,0x3ffee0bf,0x0bfffd12,0x3ff200bf,
    0xf700151f,0x3fe605ff,0x7ffec04f,0xfd87ffe7,0x3e2002ff,0x3fffe05f,
    0x21bfff60,0x3f20fffe,0x3ee006ff,0xfffd12ff,0x9dfffc8b,0x541ffffc,
    0x3ff20fff,0x3e1ffec2,0xfff981ff,0x1ffffb05,0xff99fe60,0x7c1fe80d,
    0x0722efff,0xfff87ffb,0xdff03b21,0x7fc2ffd8,0x6fffe40f,0x21ffffc9,
    0xfc9dfffc,0x7ff41fff,0xfd12a2ff,0x22545fff,0x7ffc3ffd,0x177fffc1,
    0x43ffd839,0x7fcc1fff,0x005fffff,0x00adffe8,0x0015fff3,0x20dfff30,
    0xcecffff8,0xffa86fff,0x263cc0ff,0x5fffffff,0xd9ffff10,0x220dfff9,
    0xfcecffff,0x01fcc6ff,0x3cefff98,0x07ffe600,0xd005fff3,0x3ea1ffff,
    0x07fff10f,0x03bff900,0xbb5bfff5,0x4c17ffff,0xfddadfff,0x8800bfff,
    0xfcecffff,0x7ffd46ff,0xefffccff,0xfd27fdc4,0x5cdfd107,0x3f6203ff,
    0xfff510df,0x326217ff,0x3ffea6ff,0x82fb88bf,0xfefffff9,0x2e6fe883,
    0x86fdc3ff,0x6fe82ff8,0x3ea07fea,0xffccffff,0xffff54ef,0x9dfff99f,
    0x7fffffcc,0xffff985f,0xfe885fff,0x260ffee6,0x3fefffff,0x3ee6fe88,
    0xfffd103f,0x3a60009f,0x3ee05fff,0x2a003fff,0x81dffffe,0xf9affffa,
    0x3fa0dfff,0x1fee24ff,0x13ffffa2,0x35ffff50,0x501bffff,0xff35ffff,
    0x03f21bff,0x04efea80,0xdffec880,0x2600cefe,0xefffffec,0xffefeaac,
    0xfb10003e,0xffa81fff,0xdeff8cff,0x7fffcc0b,0x1bdeff8c,0x5ffff500,
    0x41bffff3,0xfd11dffc,0x37fae09f,0x3f6203ee,0x5002ffde,0xffffffb7,
    0xffffffff,0xffc8bfff,0x200cffff,0x04efffe9,0x3ff7bf62,0xfdfeeb82,
    0xbdd9102f,0x7fe405bf,0x89ffd11d,0xfd11dffc,0xfffd109f,0x7ff4409f,
    0x3f6204ff,0x2602ffde,0x204efffe,0x2ffdefd8,0x0001a880,0x2a001530,
    0x4ccc001a,0x26009999,0x3ffee001,0x6fffffff,0x30006a20,0x01980003,
    0x04000aa0,0x9a988000,0x26000000,0x100000aa,0x054c0155,0x82a20013,
    0x0cc00009,0x40020000,0x54c000a8,0x4cc40000,0x53100001,0x0a880013,
    0x30054c00,0x88006621,0x00100002,0x06a20020,0x4001a880,0x2a2000a9,
    0x0054c000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x99999998,0x99880999,0x44000100,0x20220000,0x00303001,0xb01eeeb8,
    0x4c401ddd,0x98099999,0x554c001b,0x8002000a,0x19800881,0x3ba20018,
    0x776c005e,0x3ddd900d,0x2aee6000,0x33331001,0x26613333,0x37510999,
    0x0aba8800,0x5c25c000,0x03500b84,0x200055d4,0x5544004b,0x47baa000,
    0xeed804ed,0x00a9800d,0x0cc00022,0x20ccc40c,0x98809998,0x4cc19999,
    0xbddb0019,0x19999881,0x1b880ae6,0xffffffb0,0xfd07ffff,0x01d701ff,
    0x417c40d9,0x9ff302f9,0xff1037f4,0x8007fecb,0x3a203ffe,0x36e202ff,
    0x3ee6ffff,0x4c03efee,0x1dfebefe,0x200ffec0,0x3ff70ffd,0x2fbff660,
    0x3ea004b8,0x3e2000ef,0x7fec01ff,0x5ffdc004,0x7401effd,0xffffffff,
    0x57ffff70,0x200bffff,0x0dffeefb,0xff0ff000,0x0fa81b90,0x4fdafe98,
    0x2007f500,0x1dfecfe9,0xff34fd80,0x1fff8801,0x6fe6f5c0,0xe983f880,
    0x5f7fecc2,0x7ffe84b8,0x5c1fffd4,0x10cfffff,0x88019ff7,0xfd881fff,
    0xfffe8fff,0x84fff83f,0xffffffff,0x7fd41fff,0x43fd04ff,0x1fdc02fd,
    0x7fe40bf5,0x203fff37,0xff88fffa,0x4ff9802f,0x005ff880,0x3aedfffd,
    0x540ffee2,0x07ff44ff,0x204fff98,0xffd2fff8,0x3ffff609,0x36001fff,
    0x7dc000ff,0x7fe8802f,0xb8bff600,0xff100fff,0x8bffffff,0xebeefffc,
    0x7dc03fff,0x0013fee6,0x0bf117e2,0x9ffddff1,0x3e6bff10,0x037c403f,
    0xff12ff88,0x877c401f,0xffb803fc,0xf737dc02,0xfa93ee0d,0xfffffd86,
    0x7ffe81ff,0xa81fffd4,0x5d80ffff,0x805ff700,0xd9beffff,0x3fea1fff,
    0x7fffcc7f,0x86ffffff,0x80ffdeff,0x06febffa,0xffccff88,0xf97fe601,
    0x9bfe207f,0xfc800ffe,0x03fe6004,0x2bbfff60,0x885ffb06,0x7fe41fff,
    0x07fff105,0xff90ffe8,0x3ff2ba05,0x3e2005ff,0x2fe8001f,0x007fa200,
    0xf987ffe6,0xfff704ff,0xb85fffff,0x3fe66fff,0x93fe205f,0x4000fff8,
    0x81fd43fa,0x81fffffc,0xfff34ffc,0x4007ec01,0x3ee0ffe8,0x43f700ef,
    0x05fd005e,0x3e63ff88,0xf7bfd04f,0xff95d03f,0x3ffa0bff,0x01fffd47,
    0x3d05fffd,0x200bfa00,0x7fc3fffe,0x1bffe66f,0x999bfff7,0x4fb89fd9,
    0x7ff413ee,0xff7001ff,0x851009ff,0xa8288028,0x0009d000,0xffb005f3,
    0x3ea03fff,0x3ffee0ff,0x503ffd42,0x302a007b,0x3730a201,0x001fa800,
    0x88002f88,0xfffb804e,0x417ffe20,0xccccccde,0x23fffb84,0x2e06fff8,
    0x03ff45ff,0x3ee17dc0,0x80bb2602,0xfff13ffe,0x400fea05,0x7fd47ffb,
    0x7cc7b04f,0x802f8800,0x7ffc2ffd,0x5ffffa81,0x00dcc288,0xffa8fffd,
    0x3ffea03f,0xf8803445,0x1fffd002,0x2e1fffc8,0x0066c1ef,0x41fc43ff,
    0xfffa80fa,0x7fffc005,0x00000000,0x20001800,0xfffc8008,0x3ffe604f,
    0x317fff25,0x00000dff,0x20000000,0x01100008,0x6c004400,0x3fe20fff,
    0x8007983f,0x3e23fffb,0x3ff206ff,0x4001ff47,0x007ec0fd,0x89fffc00,
    0x6f883fff,0x31fff200,0x0000bfff,0xff100110,0x04fff85f,0x0001fffd,
    0x2a3fff40,0x7f403fff,0x400ee1ff,0x3ffa0008,0x1fffdc0f,0x37cc0480,
    0x30088022,0x98800133,0x5dcc0009,0x86666601,0x40099998,0x73001bb9,
    0xfff90037,0x6fff880f,0xa8bfffea,0x2ee604ff,0xaca98801,0xaca98800,
    0x86666600,0x20099998,0x800aca98,0x400aca98,0x3e20fffd,0x9bec80ff,
    0x7fff7000,0x9037ffc4,0x3be65fff,0xfaaa8800,0xaffaaaaf,0x40377302,
    0xfff14ffe,0x4001fb05,0x7fc47ffe,0x06ee607f,0x201bb980,0x7fc2fffa,
    0x0133105f,0xe8037730,0x7ffd47ff,0x27ffdc03,0x32a6001d,0xffd06e0a,
    0x4fffa81f,0x09f90000,0x30333331,0x5c413333,0x84ccccc1,0x74400ba8,
    0xc80dfccf,0xfd51ffff,0x3fa20bff,0xd100dfcc,0x401bf99f,0x4406fffc,
    0xff10ffff,0x3bf67fff,0xfccfe880,0xd9bf500d,0x6fd40bff,0xf905ffec,
    0x3faa3fff,0x9bf505ff,0x7d40bffd,0x205ffecd,0xf910fffd,0x3fffa05b,
    0x3ee00cff,0x3ffe23ff,0x37ffee06,0x3ee004fd,0xffffffff,0x7f446fff,
    0xfc83febd,0x81fff14f,0x7fc003fa,0x7fffc0ff,0x75eff441,0x37fa203f,
    0xffb83feb,0x237ffc2f,0x20199998,0x3febdfe8,0xfa8fffd0,0x7fc403ff,
    0x880598ff,0xbcfebdfe,0x40fffe85,0x0005fffa,0xfb103ff0,0xffb81fff,
    0x1fff93ff,0x557fffdc,0xf104ffff,0xe82fec9f,0x3fea1fff,0x24ff885f,
    0x4ff885fd,0xffc817f6,0x7ffc406f,0x3fffee2f,0xf880dfdf,0x3217f64f,
    0x427ffc5f,0x27ffc5fc,0x2a1fffe8,0x5fc85fff,0x7e427ffc,0xd827ffc5,
    0x5dfb0fff,0x3ffffe60,0xff703fff,0x37ffc47f,0x19ffff10,0x0aaaaa98,
    0x55bf9551,0x4c55bf95,0x0ffea6ff,0x3fe6bff1,0x40037c44,0x7f41fffe,
    0x9bfe62ff,0xff983ffa,0xf90ffea6,0x7fff85ff,0x07fffec4,0xff537fcc,
    0xa8fffd07,0xfc803fff,0x4402cbff,0x3ffe66fe,0x40fffe80,0x0004fffa,
    0x7fc06f98,0xfffc80ff,0x41ffffcb,0xdadefffd,0xffd82fff,0x360bfee2,
    0x3fe61fff,0x22ffd85f,0x7fec2ffb,0x640bfee2,0x7c406fff,0x7fe43fff,
    0xfb01ffff,0x117fdc5f,0x7ff41fff,0x83ffe20f,0xfd80fffe,0x3ffe61ff,
    0xd07ffc45,0x7fc41fff,0x03fffa0f,0xf983fff6,0x7ffe40ef,0x85ffffff,
    0x3e23fffb,0xff9106ff,0xff910dff,0x85f7015d,0x3ffe82fb,0x3ea17ffc,
    0xfd85fc8f,0xfffd8000,0xd0ffffc3,0x2fff87ff,0x3fe1fff4,0x0bfff62f,
    0xff03ffff,0x7ffd01ff,0x7f42fff8,0x1fffd47f,0x37fffc40,0x3a2ffec0,
    0xfffe83ff,0x217ffdc0,0x04fc8001,0x5c07fff4,0xfd9ddfff,0x25fffc86,
    0x7d44fff9,0x17fea0ff,0xf987fff6,0x7ffd45ff,0xfa97fea0,0x17fea0ff,
    0x2037ffe4,0xb85ffff8,0x41ffffff,0x3ea0fffa,0x8bffe65f,0x3e60fffd,
    0x3fff62ff,0x21fffd80,0x7cc5fff9,0x3fff62ff,0xd8bffe60,0xffd80fff,
    0x22ffe40f,0xfffeeccb,0x7fdc3fff,0x1bffe23f,0x3ffeb7ee,0x403ff04f,
    0x207ec0fd,0x7ec2fffa,0x1bcb885f,0xaa883fa8,0x1dfff301,0xfa87fffc,
    0x2ffec2ff,0xfd85fff5,0x0bfffa5f,0xfd05ffff,0xfffa81ff,0x3a2ffec2,
    0x3fea0fff,0xffd8053f,0x7ffcc04f,0x21fffe23,0x7e40fffe,0x5dfd11ff,
    0x200ff400,0xfb80fffe,0x64020fff,0x3fe62fff,0x237fe45f,0xffd86ffa,
    0x17ffe61f,0xffa8dff9,0xf51bff26,0x3fff20df,0x7fffc406,0x7ff774c5,
    0x3ff21fff,0x3237fd46,0x3fffa0df,0xfd06fe40,0xfffb01ff,0x42fffcc3,
    0x3ffa0dfc,0xd06fe40f,0xffb01fff,0x0fffc81f,0x7fffecc0,0x11fffe46,
    0x7ec4dfff,0x0bffff65,0x87f807f1,0x1fffc86e,0x4003ffec,0xbdfc86f8,
    0xfffc80df,0x27fffdcf,0x7ec1fffc,0x07fff27f,0x7ff4fffb,0x0ffffc2f,
    0x3207fff4,0x7fec1fff,0x88ffff47,0x8075fffe,0x5c00fff9,0x3fba3fff,
    0x7fff41ff,0xf92fff42,0x3e600dff,0x0fffe807,0x005fffb8,0x7c45fff9,
    0x7ffec5ff,0x87ffffff,0x3e61fffd,0x7ffec5ff,0x27ffffff,0xfffffffd,
    0xfff907ff,0xffff880d,0x3a27fee4,0x3f65ffff,0xffffffff,0x7fff5c07,
    0x7ff5c00f,0xfffd80ff,0x017ffe61,0x03ffffae,0x1ffffd70,0xb81fffb0,
    0xf3002fff,0x7fec1fff,0x9bffe24f,0x3fe22ffd,0x416e1fff,0xaaaefba8,
    0xfd2aaefb,0xfffd83ff,0x20fec001,0x0dfd0ffc,0x3f7bffaa,0x3fffa4ff,
    0xe8fffec1,0x7fec1fff,0x85fffb1f,0xfe80ffff,0x7fff40ff,0xd0fffec1,
    0xf7d9dfff,0xd005dfff,0xfff900df,0x3fff2f65,0x5fffff42,0x320fffc8,
    0xc801ffff,0xfffe804f,0x04fffb80,0x445fff90,0x7ff45fff,0x7ffec007,
    0xd17ffe61,0x3fa00fff,0xffc8007f,0x7ffc406f,0xd8dff32f,0x3ffa7fff,
    0x9ffa8007,0xf500fffd,0x01fffb3f,0x7cc3fffb,0x3fea05ff,0x500fffd9,
    0x1fffb3ff,0xb81fffb0,0x26003fff,0xfffb1fff,0x3ffe27ff,0xb85fff56,
    0xf98effff,0xfffff700,0xdfffffff,0xfb07fffa,0x7d4005ff,0xfb3ffc43,
    0x3ff2007f,0x07fffa1f,0x3fa5fffb,0x7ffec1ff,0xf85fff92,0xfffd07ff,
    0x41fffe81,0x3be2fffd,0xff71efff,0x0bee007f,0x2ebfff60,0xe87fff94,
    0xfffe9fff,0x7fff4c1d,0x801fe802,0xfb80fffe,0xff9003ff,0x2fffc45f,
    0x8003fff6,0x3e61fffd,0x7ffec5ff,0x0fffd800,0x37ffe400,0x47fffe20,
    0x7fc45ffc,0x1fffb2ff,0x43bf6200,0x6c40fffd,0x1fffb0ef,0x4c3fffb0,
    0xfd885fff,0x81fffb0e,0xffb0efd8,0x1fffb01f,0x003fffb8,0xf1003fe4,
    0x3fff2dff,0xeffffd84,0x3f6a202e,0xacfdaaac,0x83fffb2a,0x1001fffd,
    0x4fff50df,0xf8805ffd,0x7ffec5ff,0xd8fffec1,0x7fec1fff,0x85fff71f,
    0xffd05fff,0x1fffd81f,0xf88fffec,0x02880a8b,0x64007c40,0x3f25dfff,
    0x7fff41ff,0xa8801510,0x03fcc00f,0xb80fffe8,0xf9003fff,0x7ffc45ff,
    0x01fffe45,0x4c3fff90,0x7fe45fff,0xfffc803f,0x7ffe4003,0x3ffe2086,
    0x3613ffa5,0xfff91fff,0x8fff6007,0x7ec0fffd,0x03fff63f,0xf987fff2,
    0x3ffd85ff,0xfb03fff6,0x07ffec7f,0x2a07ffec,0x4c002fff,0x3fe2005f,
    0x1ffffb5f,0x1fffffd0,0xfd81fb00,0x41fffc80,0xb000fffd,0x4fff703f,
    0xfb806ffc,0x7ffe40ef,0xc87ffec1,0x7fec1fff,0x85fff10f,0xffd04fff,
    0x1fffc81f,0xfa87ffec,0x4a800005,0x8dfff700,0xffe87ffd,0x05c8000f,
    0xfd004fc8,0xfff701ff,0x3fff2007,0x517ffe22,0x2120ffff,0x3e61fffc,
    0x7ffd45ff,0x7ffd4907,0x3ff60907,0xf8b7ec6f,0x17ff61ff,0x7d43ffee,
    0x7c4907ff,0x3fff61ff,0xd87ffe20,0xffc80fff,0x17ffe61f,0x7ec3fff1,
    0x3ffe20ff,0x203fff61,0x8a88fffd,0x0d40fff8,0x4a807f30,0x3f29fff1,
    0xfe886fff,0x0e61ffff,0x2a0ff0df,0x7ff41fff,0x207f5006,0x3ff67ffb,
    0x0fffcc05,0x3a0fffd4,0x3ffea6ff,0x3637ff41,0x0fffc3ff,0x540fffe8,
    0x7ff41fff,0x0001fee6,0x8006c7d5,0x7f43fff8,0x0fffe86f,0x4017c400,
    0xffd002fe,0x7fff701f,0x8bfff200,0xff85fff8,0x20722eff,0xfd12fffb,
    0xffff0bff,0x3fe0e45d,0x40722eff,0x3e27fffd,0x45ff89ff,0xffc86ffb,
    0x177fffc4,0x6fffe439,0x21ffffc9,0xfc9dfffc,0xffb81fff,0xbfffd12f,
    0xc9dfffc8,0x3f21ffff,0xfffc9dff,0x8fffe81f,0xd8dfd6fc,0x04d80dff,
    0x7fc57fc4,0xfffff53f,0x7ffec43b,0x20fcdfff,0x02fc45f8,0xfff87ffb,
    0x206f8801,0xffb0fff9,0x0f7fcc09,0xff87ffb0,0x21ffec1f,0x7fcc1fff,
    0xe817fe64,0xffd80fff,0xfb0fffc3,0x7fc0001f,0xfd800b37,0x417ff45f,
    0x2000fffe,0x7f9803e9,0x03fffa00,0x400ffff2,0x3e62fffc,0xfff986ff,
    0xf103feff,0xff9d9fff,0xffff30df,0xff307fdf,0x407fdfff,0x3a0ffffe,
    0xb05f9bff,0x37fc47ff,0x77ffffcc,0x7fffd43f,0x4efffccf,0x99fffff5,
    0xf889dfff,0xffcecfff,0x7fffd46f,0x4efffccf,0x99fffff5,0xff89dfff,
    0xfb7fb8ff,0xbffffd81,0xfd004c98,0xfc8dff37,0xfeefffff,0xfffffead,
    0x2a1fd41f,0x9bfa203f,0xfb003ffb,0xd0ffd803,0xff7101ff,0x4dfd1009,
    0xfe883ffb,0x5c0ffee6,0x803bf27f,0xe880fffe,0xd0ffee6f,0x7c0003ff,
    0x2000ebff,0xf50ffee8,0x3fffe07f,0x00393000,0xff8013ee,0xfffd82ff,
    0x9fffb004,0x983fffd4,0x404efffe,0xf9affffa,0x74c0dfff,0x2604efff,
    0x984efffe,0xffffffec,0x5fffe9ac,0x7eeffdc0,0x3ffa603f,0xbff904ef,
    0x913ffa23,0x3fa23bff,0xffff504f,0x1bffff35,0xe88effe4,0x6ffe44ff,
    0x449ffd11,0xf90ffffe,0xfd9103bd,0x4007bfff,0x80ceefd9,0xdffffffb,
    0x1ffffe41,0x0bf20fdc,0xffbdfb10,0x00fea005,0x3fe6ffa2,0x05f7e4c1,
    0xfbdfb100,0x77ec405f,0x75c02ffd,0x7c00dfde,0xfb102fff,0xf705ffbd,
    0xfea8000d,0xc96c001d,0x883efdff,0x02dffffd,0x00aa8000,0xfffffe98,
    0x3fffff23,0x3fff600c,0xffff9bff,0x015100ef,0x20001980,0x2a2000a8,
    0x0cc00000,0x006aa600,0x40000a88,0x20010000,0x04000019,0x00000800,
    0x0000a880,0x35530008,0x2601a880,0x2000a982,0x2ec000a9,0x02f72e00,
    0x4c00006a,0x054c000a,0x3002a600,0x07fffffd,0x00400a98,0x20001000,
    0x2200a980,0x01999999,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x33331000,0x80033333,0x2001eeeb,0x0001bca8,0x00133333,0x800072e6,
    0x00980ab9,0x05597510,0x2ae60005,0x33331000,0x26621333,0x40999999,
    0x77099998,0x33333100,0x33101333,0x26621333,0x09999999,0x04cccccc,
    0x00157300,0x4c0164c0,0x0f22000b,0x64c00730,0x8800e601,0x9999883c,
    0x26662001,0x4ccc0199,0x26200199,0x2a60001a,0xa880c1ac,0x00001abb,
    0x9886f76c,0x414c1999,0x4c42e038,0x4c401999,0x99999999,0x77301540,
    0x75d40663,0x0bdfffff,0x00fffe00,0x7e67fe44,0xc806ffff,0xc805fffe,
    0x802efcbf,0xeefffdb9,0x201d9bdf,0xdcceffd8,0x007aadfe,0x3fb7ff6e,
    0x3fea02ce,0x931cffff,0x37ffffff,0x92effc88,0xffea801f,0x980bdfff,
    0x712ffffc,0x7bfffffb,0x77fedc43,0x7fedc00b,0x002cefed,0x4c13ffe2,
    0xb004ffff,0x1bfaa03f,0xea837c40,0x07f6006f,0x03ffff22,0x7fffe4c0,
    0x3fff205f,0x3faa00ce,0x0cffecdf,0xccefd880,0xeb84bbee,0x00dfffcc,
    0x3fea0064,0x3fff621f,0x83fff90f,0x89ae20ce,0x200ffffd,0xfffffdb8,
    0x3bffa1bd,0x7f677dc0,0x7ffcc02f,0xff98005f,0x8fffa003,0x003ceffb,
    0xc80bfff3,0x701ffe6f,0xf905bfff,0x3fee03ff,0xfffd502f,0x837dd300,
    0x100dfca8,0x2e0fffff,0x5c05ffff,0x400fea0f,0x800ffffe,0xfff00dfa,
    0x01fd00ff,0x441bee98,0xb800dfca,0xae886fff,0x5400ffe9,0xdff7704f,
    0x2e07f600,0xf5006ffb,0x0fffe809,0x7fffd400,0x007f403f,0xf10bffb1,
    0x7fc405ff,0x5c4ffb82,0x3bffe63f,0xc801f500,0xffff01ff,0x89ffff11,
    0x2ffeeffa,0x000ffff8,0xf30fffff,0x7fc45fff,0xf100bf20,0x90009fff,
    0x7fdc009f,0x03ffe61f,0x05fff980,0xfff97fe6,0x09fffb03,0xfd81ff98,
    0x7f4402ff,0x802fd407,0xffb00ef9,0x3ffe03ff,0x7c25c07f,0xffff7005,
    0x401f5005,0xc806fffe,0x802fd405,0x7c400ef9,0x7dc104ff,0x4037c407,
    0x3fa806ff,0x44037fc0,0xfffe806f,0xfffd8000,0x817201ff,0x2a06fff8,
    0xdfd05fff,0x3fe27dc0,0x41ffff45,0x7fc00ff8,0x43fffa01,0xfe87fffe,
    0xffd06fff,0x3ffa001f,0xffff886f,0x7d0bfee5,0x09ffff00,0xd8009f00,
    0x3fe20fff,0x3fe2003f,0x9bff205f,0xffc83ffe,0x83f5006f,0x1006fffc,
    0x22fc40fd,0x3509bba8,0x3ffe60bf,0xffff703f,0x7ec0f403,0xdffff000,
    0xfe809900,0x05b805ff,0x2aaa77e2,0x2fcc1aaa,0x2005ecc0,0x7ec01fe8,
    0x406ff801,0x6ff806f8,0xe801fd80,0xd8000fff,0x00fffffe,0x7ffec0b5,
    0x17ffe401,0x9b013fe6,0xf907ffc4,0xffe88bff,0xd007ea00,0x37661fff,
    0x05bb307e,0x8007fff4,0xd506fffd,0x7ffecbfb,0x3fe00e63,0x018004ff,
    0x447ffe80,0x22004fff,0x3fa05fff,0x2a0f267f,0x2000ffff,0x3fffe61e,
    0xe81ea001,0x54e7fdc5,0x207f34fd,0xf106fffe,0x1a609fff,0xfb8017d4,
    0x3e201fff,0x2ffff400,0x2bd025c0,0xfdacffd8,0x000fe62f,0x077ffd40,
    0xff004fa8,0x801fd80d,0x27d406ff,0x00fffe80,0xfffead80,0x2e09506f,
    0xf9807fff,0x3fea0fff,0xfd12601f,0x27ffdc1f,0x335fffd1,0xfe800881,
    0x004d80ff,0x007fff40,0x806fffd8,0x3fffee2f,0x3ffe000d,0xaba8804f,
    0x406eea20,0x3e20fffb,0x2ae601ff,0x205fff88,0xe800ffff,0x5c006fff,
    0x01bfffa1,0xb07c41a0,0x5c9d01df,0x5ffff705,0x03ffff60,0x02fc40f2,
    0x04ffff88,0x3ffa012e,0x104b805f,0xd1ffd41f,0x002dc3ff,0x09ffb300,
    0x7fc00df1,0x4013ea06,0x1be206ff,0x50fffe80,0xf13b0057,0x9509ffff,
    0x09ffff10,0xa97fffe0,0x0e02ffff,0xfffc8371,0xffffff32,0x266625ff,
    0x3fffa019,0x4cc41f80,0x3ffa0199,0xfffb000f,0x220f980d,0x01efffff,
    0x409ffff0,0xbffecddb,0x0dfebee9,0xf50fffc4,0x3ffea0ff,0x05fffafe,
    0x3007fffe,0x000bffff,0x027fffcc,0x2a6a8040,0x4c9502ff,0xbffff107,
    0x0fffffe0,0x007d803e,0x403ffff6,0xfffe800e,0xd504b805,0x3ee3ff98,
    0x2e01e63f,0x213fa000,0x3fe001fd,0x400df106,0x07f606ff,0xe9fffe80,
    0x3603ffff,0x7fffff51,0xfffa84a8,0xfffd003f,0x7ffffc4d,0x3fa0001d,
    0x3ffa626f,0xfb1099af,0x3fa01fff,0x4435c0ff,0xd00ffffd,0x36001fff,
    0x26c06fff,0x7fffffd4,0x4ffff801,0xffd89f90,0x217fe1ff,0xfd88dfe8,
    0x1fff880e,0x40bffff3,0x5c03fffe,0x0003ffff,0x00ffffea,0x3fa4c800,
    0x05f0200f,0x503ffff2,0xa8dfffdb,0x8017dc05,0xa83ffff9,0xbfffd005,
    0x13209700,0x7fec7ff3,0x016017c2,0x7d40fb83,0x837fc004,0x3fe001fd,
    0x8009f506,0xc8cffffe,0x43b02fff,0x21fffffb,0xffffb84a,0xffffb002,
    0x7ffffec1,0x7cc000df,0x1fffb05f,0x807fffc0,0x3760fffe,0x03fffe00,
    0x1307fff4,0x41bfff60,0x3fa604e8,0xff805fff,0xfff984ff,0xd17ffee0,
    0x3ff603ff,0x3ffa03df,0x22fffd44,0xfffffffa,0xfffd84ff,0x3f20002f,
    0x00002fff,0x007ff8ba,0xfff9826c,0x7fe5743f,0x100b61ff,0x7ff4009f,
    0xd001e87f,0x9700bfff,0x7ff30ba0,0x13617fea,0x37f206a8,0x37c44e89,
    0x5437fc00,0x37fc004f,0x740037c4,0x7ff41fff,0x7ec1d80f,0x0950ffff,
    0x003ffffb,0x887ffff6,0xfffffffe,0x813f6004,0x3a00fffd,0xffd00fff,
    0x3a006e1f,0xffd00fff,0x20bff21f,0x3706fffd,0xfffd8860,0x4ffff807,
    0x2a2fff98,0x7fe44fff,0x26004c84,0x7fc43fff,0x7fffd45f,0xe84fffff,
    0x0001ffff,0x007ffff6,0xf987c400,0x02dc007f,0xb4cdfffd,0xf14ffff8,
    0xa801fa00,0x1a62ffff,0x05fffe80,0x40f884b8,0x3ffeeff9,0x0fee0b70,
    0x81cedb88,0xa89301fc,0xf11bcccc,0x9950530d,0x0fe43799,0xfffd0498,
    0x82fffc81,0xffffe81d,0xfffd0955,0x3ff2003f,0x7ff442ff,0x00efffff,
    0xec9827c4,0x41ccdfff,0xfd00fffe,0xfe8001ff,0xfffd00ff,0x3613ffa1,
    0xc8006fff,0x007ffe42,0x6413fffe,0x3ffee0df,0x362ffd43,0x3fee001f,
    0x2fffc42f,0x80bfff30,0x002ffffc,0x0bffff20,0xf12e8000,0x04d800ff,
    0x64bfffee,0x5dffff63,0x003f7004,0x5b37fffc,0x2ffff400,0x42e825c0,
    0x3ffbbff9,0xffd889b0,0x27d40000,0x64007f88,0x3fffe61f,0x413ea003,
    0xfffd07f8,0x83fffb81,0xffff881d,0xffd84acf,0xffb002ff,0x3fee03ff,
    0x406fffff,0x3fb2603b,0x741ccdff,0xffd00fff,0xffe8001f,0x1fffd00f,
    0x3f607fee,0xec8006ff,0x7c037fc0,0xb3004fff,0xfffffffd,0x7fccffff,
    0x0aabbabe,0x220fffe4,0x7f405fff,0x7ffd405f,0x3ea0003f,0x3ae03fff,
    0x0cffffff,0x00ffe932,0xff8807e0,0x2a0f8dff,0x01eaffff,0x5c009f30,
    0x0689ffff,0x02ffff40,0x4c4c825c,0x01ffd3ff,0x27ff443f,0x41be2000,
    0x2a007fe8,0x7fe6f44f,0x06f8800f,0x3fa0ffd1,0x7ffd40ff,0xff301d85,
    0xf709bfff,0x3a005fff,0x5c00ffff,0x00ffffff,0x3ff60032,0x3fffa00f,
    0x01fffd00,0x00fffe80,0x0441fffd,0x006fffd8,0xff10dfb8,0x9ffff005,
    0xf9afd980,0xff5003ff,0xffffffff,0x20ffff49,0x6405fff8,0x7fc403ff,
    0x260004ff,0xe804ffff,0x6a80ffff,0x20813fee,0xfffc8079,0xffff84cf,
    0x0374006e,0x99ffff10,0xfffe8007,0xd504c805,0xff53ff98,0x7fec7989,
    0x7e40000f,0x00ffdb01,0x64311be2,0x1fc801ff,0x3a0ffdb0,0x7fd40fff,
    0x2e01d85f,0xa84fffff,0xf003ffff,0x8054ffff,0x03ffffc8,0x7ffec00e,
    0x03fffa00,0x0007fff4,0x7403fffa,0xfb000fff,0x42a00dff,0x2ffdfeeb,
    0x3ffe16dc,0x47fee03f,0x2005fff9,0xfffffffe,0xfffb3fff,0x05fff885,
    0x74017fd4,0x40006fff,0xd805ffff,0x1f107fff,0x3621ffec,0x3e6016e0,
    0xfc81ffff,0x64003fff,0x3ff6001f,0x64000fff,0x3c805fff,0x7fdc1f10,
    0x5b87ff65,0x3a63fffc,0x04fa800d,0x200ff779,0x37dc01fc,0xbc827d40,
    0xfffd07fb,0x83fffa81,0x7ffe401d,0x9ffff04f,0x7ffff100,0x3fea01dc,
    0xfd80006f,0x3ffa00ff,0x1fffd00f,0x0fffe800,0x001fffd0,0x401bfff6,
    0x07a2130e,0xff83ffea,0x9ff903ff,0x003fffc4,0xffffffd1,0x3ff2dfff,
    0x2fffc43f,0x81ffba88,0x3ffff248,0xff702001,0xffc801ff,0xb83b607f,
    0x20cdcfff,0xffd002f9,0x3ffe60df,0x1fcc000f,0x9ffff300,0xdfff7000,
    0x76c05d00,0x8cfffea8,0x2f99fff9,0xfb1fffe6,0x06e8807f,0x201feeb7,
    0x2fd804fa,0x5b837440,0x3ffa0ff7,0x0fffd40f,0x7ff400ec,0xffff704f,
    0x8ffff300,0x5ffc805b,0x7fec0020,0x3fffa01f,0x01fffd00,0x00fffe80,
    0x2001fffd,0x9806fffd,0xc81df907,0x3ffe2fff,0x1fff881f,0x381ffff4,
    0x74c07fea,0x89fff55f,0xfd86fff8,0xaaacffff,0x3ffa24ec,0xb0d3006f,
    0xfc80bfff,0x3be207ff,0x7cc04c40,0x3ffee005,0x017ffa02,0x3a0037c0,
    0x98000fff,0x7cc07fff,0x003be200,0x7fcc5f98,0x13fee0ff,0x3d503f90,
    0x4403ff93,0x03f9806e,0x9ea81fc8,0xfe81ffc9,0x3ffe40ff,0xfe8801d8,
    0x3fffa04f,0x1fffec02,0xff500bee,0x007bf207,0x02a5fff9,0x3a01fffd,
    0x74000fff,0xffd00fff,0x3ff6001f,0x506d806f,0x6ffa85ff,0x641bffe2,
    0x3fa64fff,0x5910cfff,0x3f2027f4,0xd83fffe2,0x4f4c6fff,0xffffffc8,
    0x7ffcc2ff,0x827cc03f,0x3202fffe,0x7cc07fff,0x0ef9800e,0x01ffe200,
    0x20005ff7,0x3ea000fc,0x3fa0005f,0x05d103ff,0x3001df30,0xfffd01df,
    0x500ffcc5,0x3fff209f,0xf900ffff,0x063f8803,0xffc827d4,0x740fffff,
    0x7fec1fff,0x26007f02,0x3f6204ff,0x3ffee06f,0x200ffb82,0xffa80efd,
    0x7ffcc05f,0xfffe83ce,0x01fffd00,0x00fffe80,0x2001fffd,0x6407fffe,
    0x20bfe06f,0x3ffee4fd,0xfffff500,0xffffb5dd,0xffb89fdf,0x544fa881,
    0xfddadfff,0x4b30bfff,0xfffffffe,0xbfffb106,0x0bf2a217,0x017fff70,
    0x100dfffb,0x5cc17bfd,0xf90004fd,0x007f8807,0xf000fea0,0x7440003f,
    0xd731cfff,0x6ff44009,0x13f6e60b,0x31efff98,0x0374409f,0x5ffb5553,
    0xd1013ea0,0xd10b955b,0x6d554c0d,0xfffe82ff,0x540ffe64,0x13ea006f,
    0x3037ff20,0x3ee03fff,0x1ffa82ff,0x00dfff50,0x3e09dfd5,0xfff02fff,
    0xfff8005f,0x5ffff02f,0xfffff100,0x7fed4435,0x205fdb85,0x1dffeffc,
    0x1ffffec0,0x0fbffff2,0x7f777ecc,0xfff502ce,0x7bdff19f,0x44fff6c1,
    0x400efffe,0xffffffda,0xdb1000de,0xdffb9dff,0xeb980039,0x01bdffef,
    0x2003e600,0x2fc0004d,0x00016e00,0x7fffffe4,0xd730003e,0x037bffdf,
    0xddfffb10,0x001fc805,0x37441fee,0x7fffff40,0x2001fc83,0x51dd07fb,
    0x507dfbdf,0x019ffffd,0x36a00990,0xceffddfe,0x3b2b6e00,0x00cffcde,
    0x10017ff4,0x3ffffa60,0x3fffa63f,0xfe9803ff,0x3a63ffff,0x303fffff,
    0xffffffd9,0xffffffff,0x8009a889,0x44001a98,0x0054c00a,0x53000260,
    0x062004c1,0x310006a6,0x00001355,0x00133553,0x0006a200,0x02600500,
    0x80055000,0x44000018,0x00001aa9,0x100006a2,0x00fa6003,0x3ae09930,
    0x66665401,0x01f4c1cc,0x40c13260,0x000000a9,0x54c4000c,0x53026001,
    0x04c00135,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x10000000,0x33333333,0x26666613,0x09819999,0x333330c4,
    0x4ccc4001,0x00999999,0x4cccc000,0x99999999,0x4cc19999,0x99999999,
    0x21999999,0x00199998,0x980fbba6,0x75109999,0x26666601,0x84ccc419,
    0x99999998,0xd5000009,0x999987dd,0x2006e209,0xab980008,0x0c40a800,
    0x00000b88,0x26666662,0xc8000099,0xeec81eee,0x9999880e,0x00099999,
    0x22037510,0x99999999,0x10206001,0x33333333,0x33333103,0x26200013,
    0x00999999,0x26666660,0x33333109,0x20013333,0x99999998,0x33333099,
    0x5c433333,0x3fff6e21,0xfb51beff,0x459fffff,0xc8adffea,0x0bffff22,
    0xfffeb880,0x0001ceff,0x7fffdd40,0xffffffff,0x3ffe1fff,0xffffffff,
    0x31ffffff,0x001ffffd,0xf7017ff2,0xfff55fff,0xffffb09f,0x1ffea89d,
    0xfffffb73,0x037dffff,0x70bffb00,0x3f27ffff,0x3fee00ff,0xdbfd8803,
    0xffd502ff,0xf305b15b,0x200007ff,0xfffffdb9,0x01beffff,0x8817ffc0,
    0xdb883ffe,0x1bdfffff,0x6e7f4400,0x7edc43ef,0x00acffff,0x3ff26fe8,
    0xffffb710,0xfc9817df,0x6402dfff,0xfffdb881,0xff3004ff,0x2237dfff,
    0xdfffffdb,0xfb71001b,0x237dffff,0xffffffca,0x213ffe2c,0x900fffff,
    0xff07ffff,0x81ffffff,0x0002fffd,0x001fffff,0xfdfc8000,0x3aa627ff,
    0x873fe1ff,0x2e26fffc,0x3ffe21ff,0x0dff000f,0x37bfff60,0xd82fffda,
    0x1f504fff,0x997fffe0,0x2004fffd,0x3f205ff8,0xffffcbff,0x01fffe01,
    0x3feeffd1,0xffffff06,0x3fff60ff,0xff800007,0x3ff665ff,0x7ff5004f,
    0x405fe880,0x0007ffff,0x3fe69fd1,0xbffff00f,0x8fffd400,0xffe83fff,
    0x77e400ff,0x401fa801,0x00fffffe,0x1fffffd8,0x01ffffe0,0x1ffffd00,
    0x0ffffee0,0x322ffff5,0xccffffec,0xfffdcccc,0xb5d33cdf,0xec89ffff,
    0x0cccdfff,0x0dfffd00,0x95d00000,0x7e40ffff,0x3ff213e1,0x741fa86f,
    0xf9800fff,0xfff9000e,0x427ffccb,0xb907fff9,0x42ffff40,0x800efffd,
    0x7fdc05fa,0x06fd9ddf,0x3202ffec,0x05fd37ff,0xffffb5b3,0x3ffff207,
    0x7f400002,0xfffd85ff,0x01fec00e,0x3a00ff88,0xb0006fff,0x27ff45ff,
    0x004fffe8,0xffd9bfe2,0x07fffd81,0x44006fc4,0x7e6c01ff,0x7c403fff,
    0x200ffffc,0x0006fffe,0x503fffec,0xf985ffff,0xfd9916ff,0x99999fff,
    0x9bffffb9,0x03750667,0x99bfffd9,0x3ff60019,0x4000006f,0x0ffff95b,
    0x901f0fc4,0x07a0dfff,0x9001fffd,0x7fe4001d,0x17ffe62f,0x740ffff4,
    0x17fff601,0x4037ffec,0xfffb806d,0x3220020f,0x3ffec00c,0x05cc1980,
    0x03fbd910,0xfffd8000,0x0dfffb05,0x7cc004f8,0x1bfff603,0x83ffe600,
    0xffb03ffb,0x8288009f,0xffff900a,0x88027cc0,0x56c01ffe,0x5c06fffe,
    0x407fffbc,0x0006fffd,0x5037ffec,0xf703ffff,0xdfffb03d,0x0ffffd40,
    0x7ffe4000,0xfffb0002,0x2000004d,0xffff90f8,0x05876188,0x2e0dfff9,
    0x007fff41,0x3f200044,0x3ffe22ff,0x89fff705,0x7ffec069,0x7ffff305,
    0xff700180,0x800000bf,0x00007fff,0x0001ea00,0x417fff60,0x203ffff9,
    0x40110001,0x8006fffd,0x02987ffc,0x3bbffff6,0x00000bcd,0x541ffff2,
    0xffd1002f,0x5b01335f,0x405ffff7,0x07fffb9e,0x0037ffec,0x81bfff60,
    0x001ffffa,0x206fffd8,0x881ffffa,0x32019999,0x17512fff,0x2dfffb00,
    0x200000e9,0x1ffff23d,0x64004c55,0x3a006fff,0x4ccc0fff,0x01751099,
    0x222fffc8,0xff105fff,0x6c04c8ff,0x3fa05fff,0x4ccc47ff,0x09999999,
    0x2013ffee,0x99999998,0x7ffc0999,0x4ccccc07,0xb0017510,0x86666629,
    0x7ec00ab9,0x3ffa05ff,0x2666667f,0x33106e20,0x7fec0333,0xffd8006f,
    0x7fec000f,0xfffea9df,0x19999882,0x43fffe40,0xff3001ec,0x05ffffff,
    0xbffff15b,0x7ffdd6a0,0x37ffec07,0x3fff6000,0x3fffea06,0xfffd8001,
    0x3fffea06,0xffffd881,0x55fff900,0xd809ffff,0x01fbefff,0xf91aa000,
    0x002c8fff,0x006fffc8,0xb8e7fffa,0xffaaffff,0x3ff204ff,0x17ffe22f,
    0x3a2fffd8,0x2fffec01,0x45ffff90,0xfecceffd,0x3fee0fff,0xeffd803f,
    0x0ffffecc,0x2e03fffc,0xffaaffff,0x47e604ff,0xfb7fffd8,0x7ec03fff,
    0x3ff205ff,0xffff72ff,0x883fff27,0xb00ffffd,0xd000dfff,0xd8003fff,
    0x3fa24fff,0x7fec44ff,0x3ff200ff,0x0037627f,0xafffd988,0xf92d8099,
    0x25b03fff,0x6c07fffb,0x40006fff,0x2a06fffd,0x8001ffff,0x2a06fffd,
    0x3e01ffff,0xff900fff,0xfffd7bdf,0x7fffec03,0x2200000e,0x3fffe41f,
    0xf90005f3,0x7f400dff,0x7fec1eff,0xfffdadef,0x45fff902,0x2a05fff8,
    0x00d35fff,0x5c0bfffb,0x1763ffff,0xf713fffa,0x0bb007ff,0xff09fffd,
    0xfffb00ff,0x5fffb5bd,0xff883f70,0xfffbceff,0x17fff606,0x23ffffb8,
    0xffcbfffc,0xffff81ff,0x0dfffb00,0x05fffb00,0x44fffd80,0xff07fffa,
    0x7fe401ff,0x005fd37f,0x007fff60,0x3fffe25b,0xfff73c44,0x6fffd80f,
    0x7ffec000,0x3fffea06,0xfffd8001,0xcaaaaaaf,0x3a01ffff,0xff900fff,
    0x27ffd4df,0x00dfffb0,0xf9099000,0x5ffb3fff,0xfd999900,0x19999fff,
    0x203fffa0,0x3e65fffc,0xfff904ff,0x02fffc45,0x791ffff1,0x3fff3260,
    0x2a4cccff,0x0764ffff,0xf70dfff7,0x83b007ff,0xff06fffb,0xfff900ff,
    0x227ffccb,0x3fffe039,0x987fff23,0xcfffffcc,0x3ffea4cc,0x37ffee4f,
    0xfd06fd9d,0x3ff601ff,0x817fd46f,0x4005fffc,0x7cc4fffd,0xffe82fff,
    0x3fff200f,0x00ffffaf,0x01fffd80,0xffffb16c,0xfff71e41,0x6fffd80f,
    0x7ffec000,0xcaaaaaaf,0x1301ffff,0x3bffff60,0xffeeeeee,0x3ffa01ff,
    0x5fff900f,0xb02fffcc,0x0000dfff,0x99999f98,0xffeffffd,0xaaaa802f,
    0xaaaffffe,0x1fffd00a,0x4c5fff90,0xff905fff,0x2fffc45f,0x3affff60,
    0xffd55300,0x545555df,0x10a5ffff,0xf705ffff,0x885007ff,0xff02ffff,
    0xfff900ff,0x02fffcc5,0xf91fffe0,0x7554c5ff,0x2aaaefff,0xb97fffea,
    0x8020ffff,0xfb00fffe,0x5ffd8dff,0x07ffff50,0x13fff601,0xd09ffff1,
    0x7e401fff,0xffffffff,0xfffd8006,0xff316c01,0xf707c7ff,0xffd80fff,
    0x7ec0006f,0xeeeeefff,0x81ffffee,0xffd83ffd,0x3ffea06f,0x3fffa01f,
    0x45fff900,0x3a05fff8,0x00006fff,0x77777774,0x3f27ffff,0xfffc8002,
    0xffff1006,0x45fff901,0xf905fff8,0x7ffcc5ff,0x7f777746,0xeeeeffff,
    0x05fffd82,0x813fffea,0xf905fffd,0xfb0007ff,0x7ffc0bff,0x2fffc807,
    0x0017ffe2,0xffb8ffff,0xbfffb02f,0x27fffd40,0x400bfff7,0xfb00fffe,
    0x3ffb8dff,0x8bffffa0,0x9fffb04a,0x82ffff98,0x3200fffe,0xffe8ffff,
    0x7ec004ff,0x216c01ff,0x8b56fffe,0x6c07fffb,0x40006fff,0x2a06fffd,
    0x7d41ffff,0xfffd87ff,0x3fffea06,0x03fffa01,0xf117ffe4,0x3ff60dff,
    0x200006ff,0x3fff205b,0x64001747,0xe9806fff,0xfc80ffff,0x3ffe22ff,
    0x49fffb05,0x5547fffa,0xcffffaaa,0xfd80aaaa,0x3fee05ff,0xfff502ff,
    0x3fff601f,0x7ffd4004,0x1fffe00f,0x88bfff20,0x7c005fff,0x7ffdc7ff,
    0x0bfffb03,0x717fffdc,0x74009fff,0xffb00fff,0x980530df,0x5fffffff,
    0x513fff60,0x3fa0ffff,0x3ff200ff,0xfffff17f,0x7ffec007,0x3ee16c01,
    0x5c1eafff,0x7ec07fff,0x6c0006ff,0x3ea06fff,0x7fd41fff,0x6fffd87f,
    0x07fffea0,0x900fffe8,0x7fc45fff,0x7ee7446f,0x015006ff,0xff9007c4,
    0x8002c8ff,0x9806fffc,0xc80fffe8,0x3fe22fff,0xffffd85f,0xfffff9bf,
    0x3fffa00e,0xbfffb002,0x0ffffe40,0x904fffe8,0x019fffff,0x013fffa0,
    0xf900ffff,0x7ffc45ff,0x3fffc005,0x6c0fffee,0x3f205fff,0x3fee1fff,
    0x3ffa003f,0xdfffb00f,0xfd102a00,0xfd809fff,0x3ffa24ff,0x1fffd02f,
    0x33fffe40,0x003fffff,0xb007fff6,0xddffff05,0x80ffff70,0x5006fffd,
    0x0dfffb01,0x40ffffd4,0xffd83ffe,0x3ffea06f,0x3fffa01f,0x45fff900,
    0x9546fff8,0xb006fffd,0x3201ec01,0x214c7fff,0x7ffe4038,0x3fffa006,
    0x22fffc80,0x1005fff8,0x26666001,0x99bfffe9,0xfffd8099,0x1bfff605,
    0x0037ffe4,0xfffc8003,0x07fff806,0x222fffc8,0x7c005fff,0x7ffdc7ff,
    0x0bfffb03,0x2e37ffec,0x3a003fff,0xffb00fff,0x403a00df,0xffb002e8,
    0xfffd99bf,0x07fff403,0xb8ffff90,0x800fffff,0x6c01fffd,0x2ffffc82,
    0x407fffb8,0xd006fffd,0x0dfffb01,0x80ffffd4,0xdfffb009,0x0ffffd40,
    0x201fffd0,0x3e22fffc,0x3ff606ff,0x2078806f,0xfffc806a,0x20164087,
    0x2006fffc,0xfc80fffe,0x3ffe22ff,0x05ff9005,0xfffffff8,0x2fffffff,
    0x105fffd8,0xf105ffff,0x80885fff,0xf8805ff9,0x20442fff,0xfc807fff,
    0x3ffe22ff,0x3fffc005,0x6c0fffee,0xff105fff,0xfffb85ff,0x3fffa003,
    0x0dfffb00,0x77d40f30,0xefffd801,0xe801bccc,0x3f200fff,0xfffd87ff,
    0xfffd806f,0x7c416c01,0xfff707ff,0x6fffd80f,0xffb07980,0x7ffd40df,
    0xffd8001f,0x3ffea06f,0x3fffa01f,0x45fff900,0x3606fff8,0x6c806fff,
    0xf9003f10,0x1f880fff,0x037ffec0,0x901fffd0,0x7fc45fff,0xdfb1005f,
    0x5fffd000,0x17fff600,0xd82fffe4,0x00c85fff,0xfd803ff7,0x7c0c85ff,
    0xffc807ff,0x17ffe22f,0xb8ffff00,0xffb03fff,0x3fff20bf,0x03fffb85,
    0x403fffa0,0xd806fffd,0x013fa606,0x0013fff6,0x9007fff4,0xfd10ffff,
    0xfc809fff,0x5b0151ff,0x5c13ff60,0x7ec07fff,0x06d806ff,0x540dfffb,
    0x8001ffff,0x2a07fffd,0x3a01ffff,0xff900fff,0x37ffcc5f,0x80ffffd0,
    0x00bb05fa,0x981ffff2,0x7fec00ff,0x3ffa007f,0x2fffc80f,0x801bffe6,
    0xfe8005fb,0xffd002ff,0xbfff30df,0x1ffff501,0x3fe20798,0x3fffea00,
    0x7ffc3cc0,0x2fffc807,0x001bffe6,0xffc8ffff,0xdfffd03f,0x01bfff30,
    0x4007fff9,0xfd00fffe,0x6fc80fff,0x6c027ec0,0xd0005fff,0x7ec01fff,
    0xfff307ff,0x7fcc09ff,0x05b03cef,0x7e403fe6,0x3fa00fff,0x37e407ff,
    0x207fffd8,0x002ffffa,0x00ffffe8,0x407ffff9,0xfb02ffff,0x7ffd47ff,
    0x3ffffe07,0x3ff6a20a,0xd006fc84,0x2215ffff,0xe807ffca,0xf000ffff,
    0xffb03fff,0x3fffd49f,0x00ffdcc0,0x13fffe20,0x3ffffe20,0x3fffb989,
    0x893fffa0,0xfdb887fb,0x27fff403,0xff98ff71,0x7fec01ff,0x1fffea4f,
    0x0ffff880,0x2213fff6,0x989fffff,0x3603fffb,0x3e004fff,0xff882fff,
    0x2a21afff,0xf9505ffd,0xffff001d,0x3ffe000d,0x3fffa02f,0xffffb00f,
    0x77f5409f,0x740bf104,0x3ffff605,0xfffff101,0x7fed4435,0x1ffffd05,
    0x0fffff20,0x7fff64c0,0xfb92ceff,0x49bfffff,0x3fffffe9,0x5fffffec,
    0x0efffff9,0xfffffd93,0xffffffff,0x7fff4c9f,0xffecc84e,0xffffffff,
    0xd9306fff,0x59dfffff,0x3ffffa60,0x3ffff62e,0xfffff9bf,0x002a600e,
    0xfffff970,0xec9819bf,0xffffffff,0x7fdc01ce,0xffffffff,0xb801a886,
    0xffffffff,0x3ffb26ff,0xffb04eff,0xfff37fff,0xe9801dff,0xfc8effff,
    0xd934ffff,0xffffffff,0xffc8039d,0x2600cfff,0x33fffffe,0xffffffd9,
    0xffffffff,0x30066a09,0xdfffffd9,0xffd30019,0x764c7fff,0x0cffffff,
    0xffffffb1,0x980407df,0x40cefffc,0x7ff6442b,0x933cffff,0xfffffffd,
    0x9fffffff,0x7ffff64c,0xffb92cff,0x009bffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x99999998,0x4cc40009,0x99999999,0x31099999,
    0x33333333,0x41333333,0x99999998,0x4ccccc19,0x26666219,0x09999981,
    0x99999800,0x54000999,0x13333303,0x4cccc400,0x00019999,0x880dd4c0,
    0x99999999,0x20999999,0x99999998,0x33333009,0x33035001,0x33333333,
    0x43333333,0x99999998,0x54000099,0x0180000a,0x42c98000,0x99999998,
    0x99991099,0x4c099999,0xcccccccc,0x99999102,0x00007999,0x99999930,
    0xccca8599,0x802ccccc,0x04c00018,0x42a80000,0x51002000,0x3fae6037,
    0xffffffff,0x36e200bd,0xffffffff,0x715fffff,0xfffffffb,0x49ffffff,
    0xffffffd8,0x7ffed43d,0x3fff623d,0x7fffe40f,0x7edc4002,0xefffffff,
    0x1bff202d,0x00bffff2,0xffffeb88,0xceffffef,0x57f4c000,0x7fdc0ffe,
    0xffffffff,0x36a1ffff,0x0befffff,0x1dffec88,0x3e0bfaa0,0xffffffff,
    0xffffffff,0xffffb711,0x7bffffff,0xffff9300,0x3e20001d,0x3a200000,
    0x7fedc43f,0xf11befff,0xffffffff,0x7ffffdc0,0xff304fff,0x8bffffff,
    0xaaaaaaac,0x23aaaaaa,0xfffffffa,0x7fffdc4f,0xc803ffff,0x1be0001f,
    0x206ee600,0x47f52ffb,0x17a22cb8,0x3bf73fa2,0x9ffff103,0x01fffecc,
    0x443ffff4,0xffe85ffb,0x4ffc986f,0x1fffffb8,0xff80ffe0,0xfffe80ff,
    0x3ffa0002,0xdfffb55f,0x03fffd01,0x0005fffb,0xd513fffe,0x26003dff,
    0x89ff95ff,0xfc80bffc,0xffb04fff,0x9f3009ff,0x3fffee20,0x90adff82,
    0x7dc4dfff,0x5ffff81f,0x09fffd53,0x7fffffcc,0xfb8000ef,0x3f600003,
    0x3fffa03f,0x6666440f,0x2604cccc,0xcccccccc,0x99999102,0x00387999,
    0x66664c70,0x6542cccc,0x2ccccccc,0x0001fc80,0xfe8801be,0x3ea4febe,
    0xfd9ff13f,0x7fd9ffff,0xff34fe88,0x3fffe01f,0x06fffd84,0x103fffec,
    0xdfffb0bd,0xfd827cc0,0x9f105fff,0x80fffe80,0x0002fffc,0xf717fff6,
    0xffc81dff,0x05fff907,0x13fffa00,0x007fffe6,0x77d57ffa,0xf9807ec1,
    0xf100ffff,0xb801ffff,0xffffd906,0xf90bf05f,0x03f50dff,0xf88bfffd,
    0xdff04fff,0x09ffffff,0x000ffd00,0x80fffea0,0x0007fffd,0x00000000,
    0x00700038,0x32000000,0x1be0001f,0xf537fcc0,0x887f61bf,0xea89bfff,
    0x2ffd83ff,0x7fc13ffa,0xfffb04ff,0x3fffe40b,0x3ff616e0,0x8826c06f,
    0xd82fffff,0x0fffe805,0x002fffc8,0x117fff20,0xb887ffff,0x5fff901c,
    0x3fffa000,0x09fffb04,0xd00bfff0,0x7ffff403,0x7fffdc02,0x0407e203,
    0x5f05fffd,0x20dfff90,0x5fffd81e,0xb87fffc8,0xffff711e,0xfffa800f,
    0x7fc40003,0x3ff603ff,0x1bb9806f,0x88666660,0x4c009999,0x000e01bb,
    0x5654c41c,0x26666200,0x00fe4001,0x3a00df00,0x7fffc3ff,0x07fc41cc,
    0x7fcc3fc8,0x40ffee0f,0xf504ffff,0x3f205fff,0x162087ff,0x511bfff6,
    0xfff70254,0x007541ff,0x6407fff4,0x20002fff,0xff85fffc,0xfc8004ff,
    0xfd0002ff,0x3ff209ff,0x7ffc406f,0x3ee06805,0xfd005fff,0x13201fff,
    0x417ffec0,0x0dfff905,0x3fff606e,0x1ffffa85,0x7ffdc064,0x7fff4007,
    0x7ef40006,0x3ff603ff,0x33fa206f,0xffc80dfc,0xfffd51ff,0x2f7fa20b,
    0x000383fe,0xfecdfa87,0xfffb105f,0x0fe4001f,0x500df000,0xffe85fff,
    0xd013f205,0x987ffc8b,0x13fffe02,0x906ffff8,0x4190ffff,0x46fffd81,
    0x3f60143b,0x01f34fff,0x203fffa0,0x2622fffc,0x3f201999,0xffff85ff,
    0x03333314,0x544bfff2,0xfffe800b,0x0ffff904,0x4f7ffd4c,0x7fc40600,
    0xf5000fff,0x1f309fff,0x0bfff600,0x06fffc80,0x42fffec0,0x000ffffc,
    0x400bfff1,0x02fffff9,0xfff5b900,0x37ffec07,0x3f64ff88,0x43fffd05,
    0xf985fffa,0x70ffea6f,0x5fc8e000,0xff027ffc,0x7e4001ff,0x01be0001,
    0xfd07fff2,0x007f40ff,0xfffd83f2,0x7fffc000,0x3ffff604,0x87fffc81,
    0x7ffec00e,0x22001ec6,0x1ebfffff,0x03fffa00,0xda8bfff2,0xf900beff,
    0xfff88bff,0xffffb11f,0x55fff901,0xe809ffff,0xffd04fff,0x7fffc0df,
    0xd8005fff,0x4003ffff,0x6c0ffffe,0x3fff6003,0x3fff2002,0x7ffec006,
    0x04fffe85,0x001fffc0,0x0bffff7b,0xff51d500,0x7ffec07f,0x5c5ffb06,
    0xfffd82ff,0x217ffe61,0x7ffc3ffe,0x89c000e2,0x3ffa0fff,0x1fffd00f,
    0xaaaaaa88,0xaaaaabfd,0x55555552,0x555555df,0xb07fffa3,0x1be03fff,
    0xffe8bea0,0x7ffc001f,0x3fff204f,0x7fffc82f,0x3f6007dc,0x00fe26ff,
    0x3ffffea0,0x7fff4003,0x42fffc80,0xffc805f9,0x37ffdc5f,0x6407fffc,
    0xfdadefff,0x3ffa01ff,0xffff884f,0x3ffea603,0x7d40009e,0x98006fff,
    0x1aa5ffff,0x05fffb00,0x037ffe40,0xb17fff60,0x4001bfff,0x1001fff9,
    0x03ffff2f,0xff51f880,0x7ffec07f,0x20fffa86,0xffd85ffa,0x17ffe61f,
    0xfd85fff5,0x9c000e5f,0x3f62fff9,0xfffd00ff,0xfffffb81,0xffffffff,
    0xfffffb7f,0xffffffff,0x07fffa9f,0x3605fffb,0x360fc807,0x7c002fff,
    0x3ee04fff,0xffc83fff,0x0ffca9ff,0x4f7ffec0,0xb0003ffb,0x800bffff,
    0xfc80fffe,0x8026c2ff,0xf715fffc,0xffd03dff,0xdfff901f,0xd027ffcc,
    0xfe989fff,0xff8804ff,0xfe88005f,0xb0001fff,0x3d13ffff,0x2fffd800,
    0x1bfff200,0x9dfffb00,0x0039fffd,0x400bff70,0x9ffff33c,0xff51f400,
    0x7ffec07f,0x546ffc86,0xfffd86ff,0x917ffe61,0xffd83fff,0x91c000e7,
    0x7fff41bf,0x81fffd00,0xdaaaaaa8,0x2aaaaabf,0xf5555555,0x3555555d,
    0xfb07fff6,0x0bea03ff,0xfffc8bd0,0x7fffc005,0x3fffee04,0xeffffc84,
    0x6c00ffff,0xffffffff,0xfff10003,0x7f4005ff,0xfffc80ff,0xfc801322,
    0xffffefff,0x03fffa02,0xf88bfff2,0x3ffa04ff,0xffffeeff,0xfff1001c,
    0xfff9000b,0x7cc0009f,0x005cdfff,0x002fffd8,0x001bfff2,0xfd9dfffb,
    0x80039fff,0xf1000ffd,0x07fffec1,0x3fea2e40,0x3fff603f,0xfffffd86,
    0xfd87ffff,0x3ffe61ff,0x20ffff45,0x0071fffd,0xffeb80e0,0xfffd00ff,
    0x00fe4001,0xf900df00,0xfffd83ff,0x2207fe00,0x7ffd43fc,0xfff0083f,
    0x7ffdc09f,0x7fffc83f,0xd801ff73,0x7fb16fff,0x7ffe4000,0xffd000ff,
    0x5fff901f,0xff9001f2,0x001335df,0xf901fffd,0x7ffc45ff,0x37fffa05,
    0x01ffffe9,0x017ffe20,0x1fffff30,0xfffc8000,0xfd8000ff,0x3f2002ff,
    0x7ec006ff,0x7ffdc5ff,0x3ff1004f,0x3ea25c00,0x7d403fff,0x01fffd40,
    0xfd0dfffb,0xffd800ff,0x17ffe61f,0xfd83fffd,0x200072ff,0xfd9ffa83,
    0xfffd00ff,0x00fe4001,0xf500df00,0x6ffe83ff,0x2bbffe20,0xe83fffc9,
    0x12a2ffff,0x9027fffc,0xf903ffff,0x00f98fff,0x3a37ffec,0xfbf30003,
    0x3a00bfff,0xffc80fff,0x004ffcaf,0x0017fff2,0x3203fffa,0x3fe22fff,
    0x3fffa06f,0x1dffff34,0x17ffe200,0x5ffffd00,0xfff10000,0x3f6000bf,
    0x3f2002ff,0x7ec006ff,0xfffa85ff,0x03fd804f,0x7ff40f40,0x26fe207f,
    0xcfffb999,0x0dfffb01,0x4001fffb,0x3e61fffd,0x7ffec5ff,0x38fffec1,
    0x7ec47000,0x01fffb0e,0x8003fffa,0x3e0001fc,0x87ffb006,0xff101fff,
    0xbffffff9,0xfff987fd,0x3e05ffff,0x3f604fff,0xffc80fff,0x6c00d87f,
    0x01dc6fff,0x7fc4fc40,0xfe802fff,0xfffc80ff,0x001ffffe,0x000bfff9,
    0xf901fffd,0x7ffc45ff,0x93fffa06,0x005ffffb,0x400bfff1,0x805ffffb,
    0xbfffd004,0x3fff6000,0x3fff2002,0x7ffec006,0x7ffff885,0x2001fd40,
    0xdaaaaaea,0xf302ffff,0xffffffff,0xffb03fff,0x7fff90df,0x0fffe400,
    0xfc8bfff3,0x7ffec1ff,0xd8e00070,0x3fff63ff,0x01fffd00,0x0000fe40,
    0x3fa200df,0x980ffea6,0x46f32a3f,0xffe883e8,0x7ffc04ff,0x3fffa04f,
    0x0ffff906,0xfffd8017,0x202c1cc6,0x3fffea3e,0x7fff400f,0xbcfffc80,
    0xf9006fff,0xfd000bff,0xfff901ff,0x037ffc45,0xfd89fffd,0xf8802fff,
    0xff1005ff,0x4a803fff,0x0bfffd00,0x0bfff600,0x06fffc80,0x82fffec0,
    0x101ffffe,0xce80a09f,0xffcccccc,0xfff306ff,0xffffffff,0xdfffb03f,
    0x20ffff50,0x21fffc84,0x7d45fff9,0x37ff41ff,0x7c4e0007,0x3fff61ff,
    0x01fffd00,0x3200fe40,0xffeeeeee,0x43eeeeee,0x2ffdefd8,0x00200080,
    0x3fe00351,0xfff304ff,0x3fff203f,0xffd80087,0x02cc086f,0xffff909b,
    0x0fffe80b,0xfb2fffc8,0xff9009ff,0xffd000bf,0x5fff901f,0xd037ffc4,
    0xff889fff,0x7c400fff,0xffb005ff,0x07d009ff,0x017fffa0,0x017ffec0,
    0x00dfff90,0xd05fffd8,0x3a01ffff,0x1a60d104,0x03ffff90,0xddddddd3,
    0xb03ddfff,0x3fe0dfff,0x20722eff,0xfd12fffb,0x7ffb0bff,0x00e1fff8,
    0xdfffc9c0,0x01ffffc9,0x4001fffd,0x7fec01fc,0xffffffff,0x2604ffff,
    0x0000000a,0xffff0000,0x13fff609,0x007fffc8,0x00dfffb0,0x441ae09b,
    0x202ffffe,0xfc80fffe,0xffff12ff,0x6fffc805,0x0fffe800,0x222fffc8,
    0x3fa06fff,0xfffa85ff,0x7ffc406f,0xffffa805,0x002fa806,0x000bfffd,
    0x800bfff6,0x4006fffd,0xf885fffd,0x9f906fff,0x09fdb999,0xfff100fa,
    0xffa800bf,0x3fff603f,0xfffff306,0x3fe207fd,0xfffcecff,0x2e6fe886,
    0x8001c3ff,0x9fffff53,0xf09dfff9,0x00005fff,0x00000000,0x00000000,
    0x42ffffc0,0x6c04fffa,0xb0007fff,0xfd80ffff,0x2a01fa83,0xd00fffff,
    0xff901fff,0x7fffd45f,0x1bfff600,0x03fffa00,0xf98bfff2,0x3ffa06ff,
    0xffffb05f,0x2fffc407,0x17ffff40,0x4007ff20,0x0005ffff,0x4007fffd,
    0x4007fffd,0xfd85fffe,0xffb81fff,0x3fffffff,0xfd800fa8,0x2a001fff,
    0x3f603fff,0x3fa607ff,0x7d404eff,0xfff9afff,0x77ec40df,0x00382ffd,
    0x8effe470,0x74c4ffe8,0x003fffff,0x00000000,0x00000000,0xffff8800,
    0xfffc989e,0xffffe802,0xfffe8000,0xff7310af,0x00ffb85f,0x077ffffc,
    0x6c17fffc,0x7ff43fff,0x3fffa05f,0x7ffc000f,0x3fffd82f,0x441fffea,
    0xd106ffff,0x2605ffff,0x7e407fff,0xa9985fff,0x8800fffe,0x8006ffff,
    0x005ffff8,0x003ffffa,0x89fffff8,0x81efffda,0xfffffffa,0x7f441fff,
    0xffffb802,0x3ffea006,0x3ffffa03,0x00054400,0x53000066,0x55556401,
    0xaaaaaaaa,0x0002003a,0x00000000,0x00000000,0xf9500000,0xdfffffff,
    0xec98039d,0x2cffffff,0x7fff64c0,0xffffffff,0xfff71fff,0xfea859ff,
    0x33ffffff,0x47fffffd,0x33fffffd,0x23dffffd,0xfffffec8,0x7f4c01ce,
    0x3f63ffff,0xff9bffff,0xd930efff,0x39dfffff,0xdfffff98,0x3ffffb20,
    0xffff982e,0xffffffff,0x200fffff,0xfffffecc,0x765c03ce,0x0cefffff,
    0xffffec98,0xd9302cff,0xffffffff,0x3e2039bd,0xffffffff,0x3ffee0ff,
    0xffda82df,0x802effff,0x64c3fffa,0xcefffffe,0x00000002,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x01bb9800,0x00aca988,0x80037730,0x5cc0aba8,0x8ddcc01b,
    0x26666219,0x33333109,0x98266621,0x26621999,0x99998099,0x42666621,
    0x26666229,0x00cccc19,0x1b82b2a6,0x44157510,0x01101bba,0x0c000000,
    0x22133333,0x266200ba,0x99999999,0x21333330,0xba881ba8,0x33333101,
    0x00000000,0x42666666,0x44199998,0x31999999,0x26661333,0x706e2099,
    0x32003100,0x00530003,0x260055cc,0x802aa00b,0x44006039,0x882a800c,
    0x300b980b,0x01a80157,0x33fa2004,0xbf500dfc,0x440bffd9,0x03febdfe,
    0x7f5efec4,0x1bfb9f92,0xffd9df70,0x7ffffd45,0x5dffff72,0xfc87bf22,
    0xffd51fff,0xffff90bf,0x37fffaa3,0xfff55ff9,0x7fdc19ff,0xbdfe880c,
    0xdb85bcfe,0xe9bffecd,0x540dfebe,0x000001cf,0xffb9faa0,0xffffaaff,
    0x99dffb04,0x2e1ffffd,0xffabffff,0xfff70eff,0xfffb10bf,0x740fc41f,
    0x40f44003,0xdffff74c,0x2fbff665,0x3ffff620,0x0cffc8ae,0x327ffff7,
    0x09f90fff,0x2a007fc4,0xff8001ff,0x7fff4403,0xffff883f,0x27fffcc4,
    0x3ea1bf6a,0x27ec01ef,0xf897ff20,0x3ffe61ff,0x3fe67aa0,0x2eb9ec81,
    0x3fe202c8,0x3f217f64,0x4c27ffc5,0x0ffea6ff,0xff337f44,0x22fecbfd,
    0x0bf20ff8,0xfb8dfff5,0x407c45ff,0x3ea1fffe,0xfffd05ff,0x46fffd43,
    0x3ffea6ff,0xd105d80f,0x07ffccdf,0xfffb13f2,0x262ffc3f,0x0002efff,
    0xbfff9100,0xadefffd8,0x5d82fffd,0x6c4fffe8,0xfbaeefff,0xfdadcdff,
    0xffff02ff,0x7d40ec81,0x70bd1002,0x1fffec1f,0xff9017e6,0x640fccdf,
    0xfffcbfff,0x109fd11f,0xdf1007ff,0x4ff88001,0x32fbfe20,0x26fa23ff,
    0x2f3a0ffe,0xff770fff,0x0bfffd0d,0xf007ffcc,0x3fee1fff,0x8bfff24f,
    0xa89fd1ff,0xdf31fe4f,0xb8bff603,0x3ffe22ff,0xd03fffa0,0x2fff87ff,
    0x7f43ffe8,0x8bfee2ff,0x41f42ffb,0x3e21fffe,0x41660fff,0x3e61fffd,
    0xfffb05ff,0xaafffcc3,0x17fff42f,0x5ffd80fc,0xff31fff4,0x2fffdc1f,
    0x36a07ffa,0x0000cfff,0x0cfffda8,0x265fffc8,0x41d84fff,0xfb86fffb,
    0x3ffa0eff,0x13ffe24f,0x2207fff4,0x017f40ef,0x9f707fa2,0x6c2fffc8,
    0x5fffd005,0x7ffdc0b6,0x446fd9dd,0x0ffe24fe,0xb0cc0000,0x0ff2143f,
    0xf7041ff1,0x3ff70c4f,0xffe86ff8,0xfbfd00ff,0x53fff40b,0x7fdc7fff,
    0x3a23721f,0xfd1fec5f,0x5427f4c5,0x3fea0fff,0xd8bffe65,0x3fea0fff,
    0x22ffec2f,0x7ec1fffa,0x97fea1ff,0x0e63fffd,0xfa93ffee,0x40b23fff,
    0x3e61fffd,0xfffb05ff,0x677ffcc3,0x5fffa82c,0xfff982cc,0x99fffe23,
    0x3fea2fff,0x027fe44f,0x05bfff91,0xeffeb880,0x17ffe402,0x850bfff3,
    0xb82ffff8,0x7ff43fff,0x17ffe20f,0x6407fff4,0x00ffcc6f,0x0ffa8bfb,
    0x9917ffdc,0x77ffd400,0x3ffee05a,0x7f44020f,0x0003ff9c,0x51bff300,
    0x7f93fead,0xfd105f90,0x7c37dc03,0xffffa86f,0xff8dfa80,0x4cbffb01,
    0x3fea1fff,0x7f6e440f,0xfe8ffe25,0x7e427ec5,0x237fd46f,0x3ffa0dfc,
    0x07fff20f,0xffc8fffb,0x07ffe40f,0x7fdcdff5,0x3e200dff,0x3feb67ff,
    0xffd81a6f,0x17ffe61f,0xf30fffec,0xffd00bff,0xfb81643f,0x3ffba3ff,
    0xb837f21f,0x7fd43fff,0xfffd5005,0x7fe4c017,0xff9001cf,0x2fffc45f,
    0x82fffec0,0x7ec3fffb,0x37ffc0ff,0x880fffe8,0x0fff45ff,0xff507fec,
    0x25fff709,0x7f4000fc,0x3ee00fff,0x3a2005ff,0x55503fff,0x55555555,
    0x3e235555,0xffbcaeff,0x2a0bf14f,0x77ffd43f,0xff05fb01,0x4435c40d,
    0x20df70ff,0x3ffc3ffb,0x9f51bfe2,0x47fd17fa,0x1df953fe,0xffffffb0,
    0xeb80ffff,0x3fa0ffff,0x7ffec1ff,0x903fff61,0xffffffff,0x7fffc4ff,
    0x3ff601ef,0xfffd589f,0x7fec0951,0x17ffe61f,0xf30fffec,0xff700bff,
    0xfc81a29f,0xff97b2ff,0x7f6cc05f,0xffffffff,0x7e4c007f,0x3faa2dff,
    0x64000bef,0x3fe22fff,0x7ffd405f,0x7fff700f,0x7c0fffd8,0xfffd06ff,
    0x993ff201,0x3ff20fff,0x203ffe64,0xffcafffb,0x7ffcc004,0x3ffee00f,
    0x37fcc004,0xffffffb0,0xffffffff,0x76555449,0x07fc1aaa,0x7ecc17ec,
    0xf03f984f,0xc83e80df,0x4417f44f,0x42fe41ff,0x47fe24fe,0xf27dc5fe,
    0xe8026a1f,0xfa8007ff,0x20fffd9f,0x7ec1fffe,0x3fffe2ff,0x00fffe40,
    0xffffffa8,0x7bfff501,0x36fffee5,0x87fff601,0xfb05fff9,0x7ffcc3ff,
    0xffff8805,0x3ff603b8,0xfff94baf,0xf35fb307,0x000007ff,0x3eafffd3,
    0x320004ff,0x3fe22fff,0x7fff405f,0x0fffee04,0xff81fffb,0x1fffd06f,
    0xe87ffe60,0x5fff35ff,0xfb82fff4,0x2ffffeff,0x27ffec00,0x007fff70,
    0x827fffc4,0xaaaaaaaa,0x1aaaaaaa,0x201b5d70,0x3fea0dfc,0xd113fa00,
    0x81bfe0c7,0x07fc40f9,0x43f41fe6,0x22fc83fa,0xefeceff9,0x2fc5be21,
    0x03fff600,0xd877ec40,0x3ff60fff,0x0fffec1f,0xfc81fffd,0x3a6002ff,
    0x3e05ffff,0xff10efff,0xffd80ddf,0x17ffe61f,0xf30fffec,0x3f200bff,
    0x3200ebff,0x3f25dfff,0x8ffdc1ff,0x0005fff9,0x33fff660,0x7dffd711,
    0xfffc8001,0x817ffe22,0x5c06fffc,0x7fec3fff,0x837ffc0f,0xfb00fffe,
    0x077fcc7f,0x7f44dff7,0xcfffb80f,0x000ffffa,0x403fffea,0x1003fffb,
    0x09fd17ff,0xfd880000,0x3fa05ff3,0x0c2fffdf,0xade883ee,0x837fc5ca,
    0x03fd81fa,0x10b907fb,0xa81f503f,0x2a05931c,0xfc8001bc,0xffb003ff,
    0x907ffec7,0xffd83fff,0x03fff60f,0x3009fff9,0x03fffec4,0xfd8bfff9,
    0x7fe404ff,0x17ffe61f,0xf30fffe4,0x3e600bff,0x7dc04fff,0x3ffec6ff,
    0xff893ff2,0x5c40007f,0x200beffe,0x01cfffd9,0x445fff90,0xff105fff,
    0x2e0885ff,0x7fec3fff,0x837ffc0f,0xf980fffe,0x4077f44f,0x3fe62ffc,
    0xb2fffb85,0x6c00bfff,0xf704fffe,0xff1007ff,0x0027f447,0x7fe40013,
    0x9101ffb1,0xfc83dfff,0x7f44e89d,0x7fc4ffff,0xf980ca87,0x303fe206,
    0x02c41607,0x54000000,0x44907fff,0x3ff61fff,0x07ffea0f,0xffa8dffd,
    0x7fffec1f,0xf90b2380,0x3fe601ff,0x0fffd42f,0x987fff20,0xff705fff,
    0x2fffcc5f,0x03fffb00,0x743fff88,0x3ffe26ff,0x81ffff41,0x3fff2603,
    0x75c4001d,0x7e402eff,0x3ffe22ff,0x0bfffb05,0x1fffdc19,0xff03fff6,
    0x3fffa0df,0x7d44fd80,0x31bf200f,0xfffb83ff,0x05ffff12,0xffff1970,
    0x07fff703,0xe883fe88,0x0ff9804f,0x7d4df700,0x71009807,0xcca839db,
    0x9951cccc,0x2e003799,0x0165401c,0x00000000,0x3fffe000,0xffc8722e,
    0xffffc9df,0x3e1ffec1,0x2ffe81ff,0x177ffff4,0x3e076439,0x43ff406f,
    0xfb806ff8,0xfffd12ff,0x4fffee0b,0x005fffe8,0x6c01bfea,0x17ff45ff,
    0x74c9fff9,0x910cffff,0x7fffb505,0xfb500001,0xff9039ff,0x37ffcc5f,
    0x207fffd4,0x1fffdc79,0xf887fffa,0xfffd07ff,0xfe85f981,0x542fd801,
    0x1fffdc5f,0x401ffff5,0x17fff269,0x700ffff2,0x07f4407f,0x8007fea0,
    0x00000981,0x00000000,0x00000000,0x00000000,0xfdfffff3,0xfffffa87,
    0x24efffcc,0x3fee6fe8,0x54dfd303,0xeffffeff,0x886fdc3f,0x27dc02ff,
    0xf8803fc8,0xffcecfff,0xffff106f,0x0dfff9d9,0x8802fe80,0xff50ffee,
    0xfffffa87,0xffffdaee,0x7fcc4fef,0x000002df,0xd8bfff91,0x3fea4fff,
    0x4fffe87f,0xffb1fee2,0x2fffe89f,0x203fffe6,0x2ec2ffff,0xdb000fd4,
    0x7fec3f50,0x37ffec4f,0x3fe63f88,0x7ffec2ff,0x08801804,0x00003500,
    0x00000000,0x00000000,0x00000000,0xfd300000,0x3f209dff,0x9ffd11df,
    0xffbdfb10,0xdefd8805,0xdfffb1ef,0xfbfdd707,0x03f1005f,0x7d4003e6,
    0xfff9afff,0xfffa80df,0xdffff9af,0x200f7000,0xdfbff92d,0x3ffff607,
    0x77fffe43,0x001cfa83,0x9f6a0000,0x9bfffffd,0x70efffff,0xffffffff,
    0x7ffe4dff,0xfffd8cff,0xffffaaff,0xfffd31ef,0x203627ff,0x0ec4002d,
    0xffffd9dc,0xfffff34f,0x3bff663d,0xfffffd9b,0x9fffff95,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00005440,0x0054c002,
    0x5440d4c0,0x0cc42600,0x00500a00,0x98000330,0x06200001,0x0054c040,
    0x2a600544,0x00000200,0x00003000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xdd980000,0xdddddddd,0x3665dddd,
    0xdddddddd,0x005ddddd,0x17bb6200,0x0613bba6,0x5f5c0c04,0x22222220,
    0x33333220,0xcccccccc,0x7777712c,0x77777777,0x00000057,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfffffff5,0xffffffff,
    0x7fffffd4,0xffffffff,0x05f7ecc7,0x7ffccb10,0x2237fdc0,0x7ff31ffe,
    0xfff537f4,0x3ffffe69,0xffff36ff,0xffffffff,0x3ffe6bff,0xffffffff,
    0x00005fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x11111100,0xb1111111,0x8888888f,0x88888888,0x3ffffee0,0x4c4b82df,
    0x077f43ff,0x7e57ffee,0x23fff37f,0xff36fffc,0x22dfffff,0x99999999,
    0x11999999,0x55555555,0x03555555,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x400003ec,0xffda88bf,0x81fdbcff,
    0x03be26fa,0x7cd7ffee,0xf99bfe4f,0xdddd33ff,0x0000bddd,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfb000000,
    0x88888888,0x08888888,0x3fee20d3,0x3ea03eff,0x3a201d70,0x510621ff,
    0x00007b50,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ffea7d8,0xffffffff,0x00337fff,0x08200573,
    0x00000300,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x992e0000,0xcccccccc,0x04cccccc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_32_latin_ext_x[560]={ 0,2,2,0,1,2,1,1,1,0,1,0,0,0,
1,0,1,1,0,0,0,0,1,0,1,0,2,2,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,0,1,0,1,1,0,0,0,0,0,0,3,0,0,2,-1,0,1,0,1,1,1,0,1,0,0,
-1,0,0,1,0,1,0,1,1,1,0,0,0,0,0,0,0,2,2,1,0,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,2,1,0,0,0,
2,1,0,0,0,0,0,0,0,-1,0,0,0,0,3,1,0,1,2,1,0,0,1,1,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,2,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,1,0,1,1,1,1,1,0,0,0,0,0,0,0,0,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-1,0,0,1,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,1,1,1,1,1,1,1,1,0,0,1,0,1,0,1,
1,1,1,1,1,1,1,0,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,-1,4,4,4,
4,4,4,4,4,4,4,4,4,4,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,0,0,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,1,0,-1,1,
1,0,0,0,0,0,0,0,0,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,0,1,-1,1,1,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__times_bold_32_latin_ext_y[560]={ 25,5,5,5,5,5,5,5,5,5,5,7,20,16,
20,5,5,5,5,5,5,5,5,5,5,5,11,11,8,12,8,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,29,5,11,5,11,5,11,5,11,5,5,
5,5,5,11,11,11,11,11,11,11,6,11,11,11,11,11,11,5,5,5,14,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,25,11,5,5,8,5,
5,5,5,5,5,11,12,16,5,2,5,7,5,5,5,11,5,13,24,5,5,11,5,5,5,11,-1,-1,-1,0,
0,0,5,5,-1,-1,-1,0,-1,-1,-1,0,5,0,-1,-1,-1,0,0,9,4,-1,-1,-1,0,-1,5,5,5,5,
4,5,5,4,11,11,5,5,4,5,5,5,4,5,5,5,5,5,4,5,5,9,11,5,5,4,5,5,5,5,
1,7,-1,5,5,11,-1,5,-2,4,-1,5,-1,4,-1,5,5,5,1,7,-1,5,-1,5,5,11,-1,4,-2,4,
-1,5,-1,5,5,4,-2,-2,5,5,0,5,1,7,-1,5,5,5,0,11,5,5,-2,4,5,5,11,-1,-1,5,
5,5,5,5,5,5,5,-1,5,5,11,-1,4,5,5,11,1,7,-1,5,-1,5,5,11,-1,5,5,11,-1,4,
-1,5,-2,4,5,11,-1,4,5,6,-1,5,5,6,0,5,1,7,-1,5,-2,4,-1,5,5,11,-2,4,-2,4,
0,-1,5,0,5,-1,4,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,5,6,6,5,6,6,6,
6,6,6,6,6,6,6,6,6,6,3,10,6,6,6,6,6,6,6,6,6,6,6,6,6,1,11,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,-1,4,-1,4,-1,
4,-1,4,-1,2,-1,1,-1,0,-1,1,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,-5,-1,-1,5,-1,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6, };
static unsigned short stb__times_bold_32_latin_ext_w[560]={ 0,6,12,14,13,25,22,6,9,9,12,16,7,9,
5,9,13,12,14,13,14,14,13,14,13,14,6,6,16,16,16,12,26,21,19,19,20,18,17,22,22,11,15,23,
19,27,21,21,17,21,22,14,18,21,21,29,21,21,19,6,9,7,13,16,7,13,15,12,15,12,12,13,16,8,
9,17,8,23,16,13,15,15,12,10,10,16,15,21,14,15,13,9,3,9,16,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,6,12,14,15,15,
3,13,10,21,9,14,17,9,21,16,11,16,8,8,7,16,16,5,5,7,9,14,21,20,22,12,21,21,21,21,
21,21,29,19,18,18,18,18,11,11,11,11,20,21,21,21,21,21,21,13,21,21,21,21,21,21,17,15,13,13,
13,13,13,13,20,12,12,12,12,12,9,9,10,10,13,16,13,13,13,13,13,16,14,16,16,16,16,15,15,15,
21,13,21,13,21,14,19,12,19,12,19,12,19,12,20,20,20,15,18,12,18,12,18,12,18,12,18,12,22,13,
22,13,22,13,22,13,22,16,22,16,11,10,11,10,11,10,11,8,11,8,24,14,15,11,23,17,16,19,9,19,
8,19,14,19,12,19,8,21,16,21,16,21,16,21,21,13,21,13,21,13,21,13,27,21,22,12,22,12,22,12,
14,10,14,10,14,10,14,11,18,10,18,15,18,10,21,16,21,16,21,16,21,16,21,16,21,16,29,21,21,15,
21,19,13,19,13,19,13,11,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,20,15,15,16,15,15,15,
15,15,15,15,15,15,15,15,15,15,22,16,15,15,15,15,15,15,15,15,15,15,15,15,15,25,18,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,21,13,11,10,21,
13,21,16,21,16,21,16,21,16,21,16,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,21,13,29,20,21,14,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15, };
static unsigned short stb__times_bold_32_latin_ext_h[560]={ 0,21,10,21,22,21,21,10,26,26,12,17,11,4,
6,21,21,20,20,21,20,21,21,21,21,21,15,20,15,7,15,21,27,20,20,21,20,20,20,21,20,20,21,20,
20,20,21,21,20,26,20,21,20,21,21,21,20,20,20,26,21,26,11,3,6,15,21,15,21,15,20,21,20,20,
27,20,20,14,14,15,21,21,14,15,20,15,15,15,14,21,14,26,27,26,6,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,21,26,21,15,20,
27,27,5,21,9,14,7,4,21,3,11,17,11,11,6,21,27,5,7,11,9,14,21,21,21,21,26,26,26,25,
25,25,20,26,26,26,26,25,26,26,26,25,20,26,27,27,27,26,26,13,23,27,27,27,26,26,20,21,21,21,
22,21,21,22,15,20,21,21,22,21,20,20,21,20,21,20,21,21,22,21,21,13,15,21,21,22,21,27,27,27,
24,19,26,21,27,21,27,21,28,22,27,21,27,22,26,21,20,21,24,19,26,21,26,21,27,21,26,22,28,28,
27,27,27,27,26,28,27,27,20,20,25,20,24,18,26,20,27,27,25,14,21,27,28,28,26,26,14,26,26,26,
26,20,20,20,20,20,20,27,20,26,20,27,21,20,21,21,25,19,27,21,27,21,21,15,26,20,26,20,26,21,
27,21,28,22,26,20,27,22,27,26,26,21,20,20,26,21,25,19,27,21,28,22,27,21,27,21,28,22,27,28,
25,26,20,25,20,26,21,20,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,21,19,19,27,19,19,19,
19,19,19,19,19,19,19,19,19,19,23,16,19,19,19,19,19,19,19,19,19,19,19,19,19,25,15,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,26,22,26,21,27,
22,27,22,27,24,27,25,27,26,27,25,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,30,27,26,21,28,21,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19, };
static unsigned short stb__times_bold_32_latin_ext_s[560]={ 509,504,469,303,418,332,280,462,33,446,389,
431,440,92,69,233,401,230,282,444,319,251,388,1,135,358,505,504,202,19,185,
408,412,297,262,83,1,40,22,103,482,334,1,399,462,434,349,371,108,146,152,
393,243,210,188,148,59,208,188,139,178,131,448,102,53,14,333,498,52,1,175,
38,135,126,108,90,81,250,219,28,488,139,345,64,423,97,133,75,330,457,236,
437,202,23,36,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,509,503,43,
68,482,164,505,288,75,126,482,298,1,92,232,119,402,448,423,414,61,440,249,
86,502,432,492,283,311,290,267,254,208,380,424,52,86,108,72,322,56,361,342,
210,456,425,119,130,293,1,302,346,138,402,379,358,321,239,461,483,447,489,370,
235,221,207,15,176,162,1,164,357,100,87,69,57,327,432,16,388,496,254,471,
387,55,426,402,372,149,357,190,486,70,1,34,50,299,406,97,374,66,305,88,
186,117,29,118,96,160,42,168,336,180,320,263,346,189,458,468,149,206,126,360,
366,182,103,327,369,405,428,281,73,472,495,1,35,74,24,251,420,269,457,1,
94,1,274,280,457,87,61,401,304,313,469,259,239,230,481,442,337,468,52,121,
57,130,75,147,35,40,271,113,266,30,376,13,318,180,373,416,42,322,314,277,
215,242,27,79,485,167,444,345,501,442,432,350,143,154,243,102,421,220,199,229,
359,383,155,205,379,305,216,261,109,137,396,283,45,142,103,201,190,228,123,172,
242,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,259,390,390,17,
390,390,390,390,390,390,390,390,390,390,390,390,390,343,465,390,390,390,390,390,
390,390,390,390,390,390,390,390,164,114,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,300,472,
265,415,324,82,439,455,368,282,266,487,227,173,390,13,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,1,225,190,17,23,473,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390, };
static unsigned short stb__times_bold_32_latin_ext_t[560]={ 1,88,250,164,115,164,164,250,88,88,250,
229,250,266,266,141,164,229,229,141,229,164,141,164,164,164,208,164,250,266,250,
186,1,229,229,186,229,229,229,186,208,229,186,208,208,208,186,186,229,88,229,
186,229,186,186,186,229,229,229,88,186,88,250,266,266,250,186,229,186,250,229,
186,229,229,32,229,229,250,250,250,164,141,250,250,208,250,250,250,250,164,250,
60,32,88,266,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,1,115,88,
186,229,208,1,1,266,186,250,250,266,266,186,266,250,229,250,250,266,164,1,
266,250,250,250,250,186,186,186,186,88,88,88,115,115,115,208,88,88,88,88,
115,88,60,88,115,208,88,1,1,32,88,60,250,115,32,1,1,60,60,208,
164,164,164,141,164,164,141,250,208,164,164,141,164,208,186,164,208,141,208,141,
164,141,164,141,250,250,141,164,115,164,32,32,32,115,229,88,141,32,141,32,
141,1,141,32,141,32,141,88,141,208,141,115,229,88,141,88,164,32,141,60,
115,1,1,32,32,32,32,88,1,32,32,208,208,115,208,115,229,88,186,60,
60,115,250,141,32,1,1,60,88,250,60,88,88,88,186,186,208,186,208,208,
60,208,88,208,60,164,208,164,164,115,229,60,164,32,164,141,250,60,208,60,
208,60,164,60,141,1,115,60,186,32,115,32,60,60,141,208,186,60,141,115,
229,32,141,1,115,32,141,32,141,1,115,32,1,115,60,208,115,208,60,141,
208,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,141,229,229,32,
229,229,229,229,229,229,229,229,229,229,229,229,229,115,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,115,250,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,60,115,
60,164,1,141,1,115,1,115,1,88,1,60,1,115,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,1,32,60,186,1,164,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229, };
static unsigned short stb__times_bold_32_latin_ext_a[560]={ 116,154,257,231,231,462,385,128,
154,154,231,263,116,154,116,128,231,231,231,231,231,231,231,231,
231,231,154,154,263,263,263,231,430,334,308,334,334,308,282,360,
360,180,231,360,308,436,334,360,282,360,334,257,308,334,334,462,
334,334,308,154,128,154,269,231,154,231,257,205,257,205,154,231,
257,128,154,257,128,385,257,231,257,257,205,180,154,257,231,334,
231,231,205,182,102,182,240,360,360,360,360,360,360,360,360,360,
360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,
360,360,360,360,360,360,360,360,116,154,231,231,231,231,102,231,
154,345,139,231,263,154,345,231,185,254,139,139,154,266,250,116,
154,139,153,231,347,347,347,231,334,334,334,334,334,334,462,334,
308,308,308,308,180,180,180,180,334,334,360,360,360,360,360,263,
360,334,334,334,334,334,282,257,231,231,231,231,231,231,334,205,
205,205,205,205,128,128,128,128,231,257,231,231,231,231,231,254,
231,257,257,257,257,231,257,231,334,231,334,231,334,231,334,205,
334,205,334,205,334,205,334,339,334,257,308,205,308,205,308,205,
308,205,308,205,360,231,360,231,360,231,360,231,360,257,360,257,
180,128,180,128,180,128,180,128,180,128,380,255,231,154,360,257,
257,308,128,308,128,308,217,308,183,308,128,334,257,334,257,334,
257,337,356,257,360,231,360,231,360,231,462,334,334,205,334,205,
334,205,257,180,257,180,257,180,257,180,308,154,308,241,308,154,
334,257,334,257,334,257,334,257,334,257,334,257,462,334,334,231,
334,308,205,308,205,308,205,128,360,360,360,360,360,360,360,360,
360,360,360,360,360,360,360,342,360,360,231,360,360,360,360,360,
360,360,360,360,360,360,360,360,360,256,360,360,360,360,360,360,
360,360,360,360,360,360,360,368,277,360,360,360,360,360,360,360,
360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,
360,360,360,360,360,334,231,180,128,360,231,334,257,334,257,334,
257,334,257,334,257,360,360,360,360,360,360,360,360,360,360,360,
360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,
360,360,334,231,462,334,360,231,360,360,360,360,360,360,360,360,
360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,
360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,
360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,
360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,
360,360,360,360,360,360,360,360, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_32_latin_ext_BITMAP_HEIGHT or STB_FONT_times_bold_32_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_32_latin_ext(stb_fontchar font[STB_FONT_times_bold_32_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_32_latin_ext_BITMAP_HEIGHT][STB_FONT_times_bold_32_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_32_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_32_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_32_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_32_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_32_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_32_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_32_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_32_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_32_latin_ext_s[i] + stb__times_bold_32_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_32_latin_ext_t[i] + stb__times_bold_32_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_32_latin_ext_x[i];
            font[i].y0 = stb__times_bold_32_latin_ext_y[i];
            font[i].x1 = stb__times_bold_32_latin_ext_x[i] + stb__times_bold_32_latin_ext_w[i];
            font[i].y1 = stb__times_bold_32_latin_ext_y[i] + stb__times_bold_32_latin_ext_h[i];
            font[i].advance_int = (stb__times_bold_32_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_32_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_32_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_32_latin_ext_s[i] + stb__times_bold_32_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_32_latin_ext_t[i] + stb__times_bold_32_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_32_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_32_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_32_latin_ext_x[i] + stb__times_bold_32_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_32_latin_ext_y[i] + stb__times_bold_32_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_bold_32_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_32_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_32_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_32_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_32_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_32_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_32_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_32_latin_ext_LINE_SPACING
#endif

