// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_33_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_33_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_33_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_bold_33_latin_ext_BITMAP_HEIGHT        290
#define STB_FONT_times_bold_33_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_bold_33_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_bold_33_latin_ext_NUM_CHARS            560

#define STB_FONT_times_bold_33_latin_ext_LINE_SPACING          21

static unsigned int stb__times_bold_33_latin_ext_pixels[]={
    0x1e664400,0xddd50000,0x26600007,0x33310001,0x00004000,0x0004cc40,
    0x00333000,0x64000000,0x00081eee,0x80062100,0x00000ccb,0x3333332e,
    0x06000001,0x82e20000,0x00310039,0x00122037,0x02aaa880,0x0732e000,
    0x0aaa8000,0x00018000,0x0000aaaa,0x01aaa980,0x05553000,0x5554c000,
    0x80001001,0x0001fffc,0x0017ff60,0x01fffdc0,0x017ffe40,0x00006e20,
    0x00dfff10,0x3ffea000,0x7dd50004,0xfff88000,0x007bf703,0xfd8ffdc4,
    0x07fd1001,0x7fff4000,0x00002fff,0xfdddfdb3,0x9000017b,0x2001fb9f,
    0x17dc01fd,0x800013ea,0x0000fffc,0x0000bfe0,0x006fffb8,0x5dfdfd30,
    0x2fffa800,0xffd00000,0x7f40000d,0xf00002ff,0xfd300dff,0x7ff40009,
    0x3e200001,0x880000ef,0x000fffff,0x01bfffe6,0x00000688,0x007ffff9,
    0xfffff000,0x9aea8001,0x3ee0003d,0x2fec403f,0x361ff440,0x02ec001f,
    0x55555000,0xb8000155,0xf7300bee,0xffd00007,0x00fec005,0x0ffba7f4,
    0x3ffe0000,0x3e600001,0x3e200001,0x4002ffff,0x5ff10dfb,0x05ffb800,
    0xeff98000,0xff700000,0x30000dff,0xfd001dff,0xf30001ff,0xb800003f,
    0x900000ef,0x009ff9ff,0x17fe7fec,0x000adb80,0x3b7fe600,0x200000ff,
    0x04ffcffb,0x00d316c0,0x88027ec0,0x37f405ff,0x14400fec,0x220000a6,
    0x100014c2,0x6c4005dd,0x4288000d,0x03fb0029,0x7ffdff50,0x7fd40000,
    0x85100001,0xfc800029,0x2006fdaf,0x7fec1ff9,0x03fdc000,0x077e4000,
    0xdff88000,0x40003ffa,0xfd000efc,0xf70003ff,0xdb000005,0x3e600001,
    0x001ff31f,0x1bea1df5,0x003ffe40,0x7ec9fb00,0xff100003,0x8003fa65,
    0x4001a62d,0x7fc004f8,0x217fe607,0x3fd801fd,0xb00007fe,0x000ffc7f,
    0x80006fd4,0x3fd8005b,0x3f6007fe,0xdfffd001,0x1fc80000,0x8ff60000,
    0x260001ff,0x00bf20ef,0x3f607fe4,0x2fb8002f,0x07740000,0x47f90000,
    0x7c0007f9,0x3fea000e,0x00350004,0x0002a000,0x7440ed80,0x4c0de804,
    0x7ff9803f,0x05f50000,0xb00001f9,0x005e881d,0x00f66baa,0x7c001440,
    0xdff701ff,0xd5003fb0,0x400036c3,0x001b61ea,0x200013e6,0x0f54003d,
    0x07f600db,0x017774c0,0x00072000,0x36c3d500,0x5c176000,0x87ffb006,
    0x2e0006fa,0x32200002,0x3e600000,0x0003e882,0x02000191,0x02eeb800,
    0x28008000,0x0a202880,0x01440510,0x00000b88,0x00054033,0x00500540,
    0x0003eea8,0x2002fae2,0xf500fff8,0x003fb0ff,0x00000000,0x001be200,
    0x00003440,0x0007f600,0x00000000,0x00000000,0xffb80000,0x0000003f,
    0x00000000,0x00000000,0xb7000000,0x80005d33,0xdeffeca8,0x88003643,
    0x20100200,0x00000000,0x00000000,0x80000000,0xa806dace,0x3fe207ff,
    0xd88fec0f,0xdeeeeeee,0x777775c3,0x3bbbb624,0x75c3deee,0xfd84eeee,
    0x553f6600,0x220642cc,0xeeeeeeed,0x77775c3d,0x5007f64e,0x59bdfdb9,
    0x76e54000,0x8802cdef,0xeeeeeeed,0x77775c3d,0xedca804e,0x1002cdef,
    0x401bffff,0xeeeeeed8,0x7775c3de,0x3bb624ee,0x43deeeee,0x24eeeeeb,
    0xeeeeeed8,0x7775c3de,0x3332e4ee,0x33321ccc,0x66664c2c,0x50f4000c,
    0x3fa6000b,0xfff931cf,0x22001d75,0xbcefffeb,0x3ff661a1,0x5c0b0cff,
    0xaaabdefe,0xddddd70a,0x3bb629dd,0x40deeeee,0x702eeeea,0xdddddddb,
    0x3bbb625b,0x5c3deeee,0x504eeeee,0x7dc01e8b,0x0fffc06f,0xfff307f6,
    0xefc805ff,0xfffff300,0x80efc805,0x3bea03f9,0x42fffbb9,0xffff302a,
    0x0efc805f,0xfd880fec,0xdfd711cf,0x7fec4005,0x5dfd711c,0xfffff300,
    0x00efc805,0x88e7fec4,0x9802efeb,0x401effff,0x02fffff9,0xf98077e4,
    0x6402ffff,0xfff300ef,0xefc805ff,0x7fffec40,0xa827e442,0x4001ffff,
    0x20016a1e,0xf302fffb,0x32003fff,0xa99cefff,0x7e46fffd,0xfffb30ae,
    0xb15fff30,0x5c5fffff,0xb81fffff,0x202fffff,0xf9801fe8,0xf302ffff,
    0xc805ffff,0xb12e00ef,0x05ffb805,0x3f60fff4,0x0ffffe81,0x3a017c40,
    0x4400ffff,0x201f902f,0xfff12ffb,0x3a04981f,0x4400ffff,0xb81fd82f,
    0xff304fff,0xffb801bf,0xbfff304f,0xffffe801,0x2017c400,0xf304fffb,
    0xfe801bff,0x7402ffff,0x4400ffff,0x7fff402f,0x017c400f,0x003ffffa,
    0x3fe205f1,0x406a82ff,0x4001fffe,0x002ea9db,0x2037ffd4,0x4c04fffc,
    0x2602fffe,0x03fee6ff,0x3fe23fdc,0x27ffe63f,0x7ffff409,0x5ffffb01,
    0x3a005c80,0x7f407fff,0x7c400fff,0x6a97c402,0x404ff980,0x81fd87fe,
    0xf007fffd,0x7fffd803,0x17e03f00,0xff137fcc,0xfd81a0df,0x03f007ff,
    0xfffa83fb,0x27ffdc05,0x80bfff50,0x6c04fffb,0x3f007fff,0x02fffd40,
    0xd813ffee,0x3ffffe8e,0x01ffff60,0x3ff600fc,0x803f007f,0xf007fffd,
    0x2fffe403,0x3ffa01e4,0xefb8001f,0x7ffcc002,0x7ffc402f,0xffff101f,
    0x7cdf3007,0x323ec05f,0x7ffc2fff,0x9ffff504,0x17fffea0,0x7f4003d0,
    0x7fec07ff,0x003f007f,0x2003bfd5,0x3fe206fc,0xfd80a982,0x03f007ff,
    0x007fffd8,0x105f303f,0x7fcc3fff,0x3605883f,0x3f007fff,0x7fc43fb0,
    0xffe802ff,0xffff882f,0x2fffe802,0x01ffff60,0xfff880fc,0xfffe802f,
    0x3f22fc82,0xffb02fff,0x007e00ff,0x200ffffb,0x7ffec01f,0x4403f007,
    0x0740ffff,0x007fffa0,0x6c002fc0,0x74407fff,0xfd06ffff,0xb5c00bff,
    0x7c407ff9,0xd07fff60,0x7ffc0fff,0x3fffa07f,0x800d300f,0x6c07fffd,
    0x3f007fff,0x64000400,0x03fd883f,0x07fffd80,0xffd803f0,0x503f007f,
    0x8dff701f,0x4a81fffb,0x01ffff60,0xb0fec0fc,0x3200ffff,0x7ec0ffff,
    0xff9007ff,0x3ff601ff,0x203f007f,0x9007fffd,0x7c41ffff,0x06fff987,
    0x200ffffb,0x7ffec01f,0xd803f007,0x3f007fff,0x24fffd80,0xfffe8059,
    0x0ffb8001,0x3fffe200,0x7fde6c05,0x7ffdc2ff,0x55a2001f,0x06c05fff,
    0xfe83fffb,0x3fff207f,0xffff702f,0xb000f207,0xfd80ffff,0x03f007ff,
    0x1befeca8,0x547b2600,0xfb0000be,0x07e00fff,0x00ffffb0,0x203ee07e,
    0x7fec4fff,0x7ec07707,0x03f007ff,0x3ffe23fb,0xfff5005f,0x7fffc47f,
    0xffff5005,0x1ffff607,0x7fc40fc0,0xff5005ff,0x07fdc7ff,0x6c0fffcc,
    0x3f007fff,0x07fffd80,0xffd803f0,0x803f007f,0x0b27fff9,0x007fffa0,
    0x8013ffa0,0x205ffffb,0x9ffff35c,0x007fffe8,0xdffff328,0xfff50603,
    0x205ffe85,0x505ffff8,0x3e0dffff,0x7ffec000,0x3fffec07,0xfb101f80,
    0x07fff535,0x74c3b6a0,0xffb0001d,0x007e00ff,0x200ffffb,0xfa87c81f,
    0x3ffe61ff,0x7ec01b04,0x03f007ff,0x3ffea3fb,0xfff3004f,0x7fffd49f,
    0xffff3004,0x1ffff609,0x7fd40fc0,0xff3004ff,0x37fdc9ff,0xfd83ffa8,
    0x03f007ff,0x007fffd8,0xfffd803f,0xd003f007,0x00d17fff,0x0007fffa,
    0x001ffff5,0x413ffff2,0xffff30eb,0x37fffd4b,0x3fffe000,0xff801dff,
    0x07ffe24f,0x01ffffb0,0x83fffffb,0xffd8005a,0x7ffec07f,0x3603f007,
    0x0fffe46f,0x7dc0bf60,0xfffd8004,0xd803f007,0x3f007fff,0xfff90f70,
    0x882fffd8,0x3fffec05,0x1fd81f80,0x007ffff7,0xb9bfffe6,0x3003ffff,
    0x360dffff,0x3f007fff,0x07ffff70,0x9bfffe60,0xf80dfff8,0x7fffd81f,
    0xfd803f00,0x03f007ff,0x007fffd8,0xfff5003f,0x3fa0097d,0x7ec001ff,
    0xfb003fff,0x1f507fff,0x73ffffcc,0x0009ffff,0xffffffa8,0x3f2200df,
    0x02efd8af,0x43ffffa8,0x4ffffaf8,0x7ec0016c,0x7fec07ff,0x303f007f,
    0x7fdc5fff,0x81bf603f,0x01884ff8,0x200ffffb,0x7ffec01f,0xf503f007,
    0x2a6ffd81,0x2d80fffe,0x03fffec0,0xb1fd81f8,0x2007ffff,0x367ffff8,
    0x1003ffff,0x360fffff,0x3f007fff,0x07ffffb0,0x1ffffe20,0x443dfffb,
    0xffffb06f,0xfb007e00,0x07e00fff,0x00ffffb0,0x7ffc007e,0xffd001ff,
    0x7fcc003f,0xfb006fff,0x1f987fff,0xb3ffffcc,0x0007ffff,0xffffff70,
    0xefc807ff,0x7fc001ce,0xffa5c7ff,0x001e27ff,0x203fffec,0xf007fffd,
    0x47fff103,0xf103fffb,0x87fe809f,0xfffd81fd,0xd803f007,0x3f007fff,
    0xffe83f10,0x0dff9b37,0xfffb0099,0x3607e00f,0x7ffffb1f,0x3fffe200,
    0x0fffff67,0x3ffffc40,0x007fffd8,0xffffb03f,0x3ffe2007,0x7fff447f,
    0x3601d93f,0x3f007fff,0x07fffd80,0xffd803f0,0x003f007f,0x801bffee,
    0x2001fffe,0x2ffffcbc,0x4ffffb80,0x3fe60be2,0x3fff67ff,0xf700003f,
    0x9fffffff,0x0000b910,0x7c5ffff9,0x25ffff91,0xffb0004b,0xfffd80ff,
    0x2a03f007,0xfffb10bd,0x017fee09,0x1fd83ffd,0x007fffd8,0xfffd803f,
    0x3e03f007,0x7f7ffec3,0x6d44ffd8,0x7ffec0a0,0xfb03f007,0x0fffff23,
    0x37fffcc0,0x007ffff9,0x41bfffe6,0xf007fffd,0x7ffff903,0x3fffe600,
    0xdffffb06,0x7ffec01d,0xd803f007,0x3f007fff,0x07fffd80,0x3e2003f0,
    0x3fa003ff,0x1f1001ff,0x00bffff1,0x229ffff5,0xffff503e,0x27fffe4d,
    0xff910000,0xd85fffff,0xf880002f,0x44b55fff,0x03d5ffff,0x1ffff600,
    0x00ffffb0,0x3f22007e,0xf504fffd,0x1fff80df,0x7fec0fec,0x801f007f,
    0xf007fffd,0xff513601,0x3bfea3ff,0x81d44ea8,0xf007fffd,0x3ee3fb01,
    0xf3004fff,0x7fdcbfff,0xff3004ff,0x3ff60bff,0x701f007f,0x2009ffff,
    0x205ffff9,0x406ffffb,0xf007fffd,0x7fffd801,0xfd801f00,0x01f007ff,
    0x0007fe40,0x2003fffd,0x3ffff64c,0x7fffc401,0x7fdc09d5,0x3ffe63ff,
    0x8800005f,0x25fffffd,0xbcccfff8,0x3f6002aa,0x742d8fff,0x006affff,
    0x01ffff60,0x200ffffb,0x4ffdc00f,0xf304fffb,0x7ffcc0ff,0x7ec0fec0,
    0x0f8807ff,0x03fffec0,0x0f9807c4,0x36e0efdc,0x20580ace,0x8807fffd,
    0xf31fd80f,0x2a00bfff,0x3e63ffff,0xf5005fff,0x3f607fff,0x0f8807ff,
    0x05ffff98,0x07ffff50,0x04ffffa8,0x201ffff6,0x7fec00f8,0x00f8807f,
    0x403fffec,0x3e6000f8,0x7fff4004,0x7d41f001,0xfe804fff,0x6405deff,
    0x7fc0ffff,0x2e0006ff,0x3fffa601,0xfffff30f,0x03dfffff,0xfbffff50,
    0x7fffff50,0x7ffec000,0x3fffec07,0xe8807c40,0x9fff70ff,0x403ffe20,
    0x1fd87ffa,0x807fffb8,0x7fdc00f8,0x00f8807f,0x70000172,0x3fffdc05,
    0x7ec07c40,0x01bfffa1,0x207fffe4,0x9006fffe,0x2e01ffff,0xf8807fff,
    0x0dfffd00,0x03ffff20,0x07fff620,0x403fffdc,0x7fdc00f8,0x00f8807f,
    0x403fffdc,0x0f4000f8,0x07fffa00,0x3ffa16e0,0x7fc400ff,0xffe806ff,
    0xffffd84f,0x80970000,0x3a1fffe8,0xffffffff,0xfff006ff,0xfff107ff,
    0x9f9001ff,0x406fffe8,0x8807fffb,0x49ffb00f,0x3e04fffb,0xbff701ff,
    0xff503fb0,0x06a801ff,0x00ffffa8,0x01f40354,0x5405a800,0x5400ffff,
    0x7cc3fb06,0xfe801fff,0xfff983ff,0xfffe801f,0x3fffea03,0xf3035400,
    0xfd003fff,0x076e07ff,0x3ea07ffb,0x35400fff,0x07fffd40,0x3ea01aa0,
    0x35400fff,0x2001a200,0xe800fffd,0x3ffffb81,0x04fffb80,0x4077ffcc,
    0x004ffffb,0xf9806b84,0x7fff40ff,0x0fffffff,0x0ffffc80,0x00bfff90,
    0x7f45fff5,0x7fd406ff,0x835400ff,0x3ee3fff8,0x1ffa04ff,0xfd85ff98,
    0x1ffff881,0x7c4026c0,0x26c01fff,0x0000fcc0,0x3fe2016a,0x826c01ff,
    0x7ffec1fd,0x77ffd404,0x09fffb00,0x00efffa8,0x007fffe2,0xfffd809b,
    0x77ffd404,0x4c5ff980,0xfff103ff,0x804d803f,0x401ffff8,0xfff8804d,
    0x5026c01f,0x44015c7b,0x00fffb1b,0x999999f5,0x200fffff,0x3a02fffe,
    0x3f600fff,0x99001fff,0x3fe013ee,0x102bfa67,0x1003ffb3,0x7cc0bfff,
    0xffc802ff,0x13fffa3f,0x03ffff10,0xfff704d8,0x9ffff95d,0xd00ffe60,
    0x203fb0ff,0x3206fffd,0x3fff6006,0x8801b206,0x644000ce,0x3fff6004,
    0xfd81b206,0x00fffc81,0x801bfff1,0xf100fffc,0xfb001bff,0x03640dff,
    0x100fffc8,0x2601bfff,0x0ffc45ff,0x40dfffb0,0x3ff6006c,0x801b206f,
    0x3206fffd,0x687ffc06,0x3f2bf900,0xaacd806f,0xfffdaaaa,0x7efcc02f,
    0x7fecc1ff,0x7ff4400d,0x8f6c406f,0x3ea02ffb,0x3017f62f,0x7fec00ff,
    0x803ff401,0x7ffc6ffa,0xfffd801f,0xf981b206,0xffadffff,0x3f660dff,
    0x419fb004,0x3ff601fd,0xfda88aef,0x7ffec000,0x0fda88ae,0x802eb800,
    0xd8002ec8,0xa88aefff,0x07f600fd,0x220fffd4,0x2a004ffd,0x7ec41fff,
    0x7fec004f,0xfda88aef,0x3ffea000,0x027fec41,0x17f227ec,0x2bbfff60,
    0x000fda88,0x4577ffec,0x4000fda8,0x88aefffd,0x7fc00fda,0xf9003cbf,
    0x3007ff2d,0xffff880d,0x644be206,0xbdfedfff,0x7ffe4001,0x9d7312cf,
    0x984fffb8,0x0ffe43fe,0x54003fd0,0x04fb806f,0xff997f60,0x3ff6002f,
    0xfda88aef,0x177fe400,0x75c1dff9,0x76d4001d,0xfb803fb2,0x0cffffff,
    0xffff7000,0x00019fff,0x55ef6e44,0x0002dedc,0x7fffffdc,0x0fec00cf,
    0xdbdfd930,0x30005bdf,0xdfdbdfd9,0x3ee0005b,0x0cffffff,0xefec9800,
    0x002defed,0x7ff9bfb1,0x7fffdc00,0x0000cfff,0xfffffff7,0x3ee00019,
    0x0cffffff,0x03fffb80,0x3bf3fa20,0xd803d803,0x7902ffff,0x0006a620,
    0x3ffff260,0xeb82efff,0xfecdfeba,0x9dfd701e,0x0039fdb9,0x3f1007f0,
    0xfeffb800,0xfb8002ef,0x0cffffff,0x00080200,0x00a98000,0x01355310,
    0x2aa62000,0x88000009,0x000009a9,0x009aa988,0x4c001530,0x4000009a,
    0x000009a9,0x0026aa62,0x009a9800,0x002aa200,0x09aa9880,0x55310000,
    0x22000013,0x40009aa9,0x2a200028,0x003f3000,0x00dffff3,0x98000000,
    0x04400aa9,0x8002aaa2,0x0009aaa8,0x00280060,0x00035310,0x026aa620,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0xf8803fe8,
    0x0003ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x83dffffc,0xfffffec9,
    0x000000ef,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x0ccccc40,0x00000000,0x15554400,0x06aaa600,
    0x00c88000,0x55400057,0x0aa000aa,0xd70000a8,0x4c0001dd,0x40001eee,
    0x20001998,0x2001eee9,0x00000000,0x01100008,0x55440004,0x00015531,
    0x35512aa8,0x54055000,0x99980001,0x00980000,0x4cc4000a,0x77776c01,
    0xeeeeeeee,0x4004eeee,0x0001aaa8,0x40014015,0x00004eed,0x6c4bb76e,
    0x0001ffff,0x00001c80,0x003fff70,0x006ffe88,0x36077400,0xff30001f,
    0x4f88009f,0x88000fd8,0x0004ffff,0x001bfffa,0x005fffb0,0x01bfffa0,
    0x98013fa6,0x002e880f,0xff509fd3,0x1ea0d707,0x6c7fee00,0x7d40006f,
    0x001df92f,0x1fb09f10,0xfffa8000,0x0eb80004,0xf90007b8,0x7ffc05ff,
    0xffffcace,0x05ffcbac,0x007ffec0,0x0d906c80,0x1ffffa80,0xfb7b8000,
    0x01ffff8b,0x005f8000,0x03ffd000,0x07ffa200,0x9ffa8000,0x20004fe8,
    0x90004ffb,0x00ffa2bf,0x7ffffec0,0xfffa8000,0xf30002ff,0x5000dfff,
    0x805fffff,0x2001fffd,0xfebaabef,0x3fffb000,0x4c0fffe8,0x5fdbacef,
    0xf13fd800,0xfc80001f,0x80007fe4,0x07fd15fc,0xffffd000,0xff880003,
    0x005feccd,0x06ffff98,0xfff707fe,0x005fa83f,0x0000fffc,0xfdb9bdf5,
    0xfffe8007,0x7c40006f,0xffe89fb5,0x5c00001f,0x400000ff,0x40002ff9,
    0x00004fe8,0x07fffff4,0x009fd000,0x7ff7fc40,0x5ff30006,0xd000bfb1,
    0x001bf29f,0x17fe7ff4,0x7e53fa00,0x0ffff406,0xfffff700,0x7fec009f,
    0x07fff42f,0x7fffffec,0x537c4001,0xdf00007f,0x200027d4,0x06ffeff8,
    0xfcffb800,0xfc80005f,0x000fffff,0x2ffcffd8,0xfff709f0,0x400b703f,
    0x80001ffa,0x06fffffd,0x7ccf7dc0,0x3f60002f,0x3fff6065,0x7f400001,
    0x5c00004f,0xd100002f,0xf980000d,0x20003fff,0xc80005f9,0x0002ffff,
    0x01fc83dd,0x5f70fee0,0x50efa800,0x1fdc00df,0xffa80bee,0xffeb8005,
    0x7fcc003f,0x204ffa85,0x001dfffb,0x01760fb8,0x6c87ea00,0xfff90000,
    0xf880005f,0x003fd12f,0x19ffb500,0x21df5000,0x701f06fa,0xb103ffff,
    0x000fec00,0x17ffd500,0x1077c400,0x3e6000dd,0x7ffec06f,0x3ea00001,
    0x00000fff,0x100000ae,0xc8000019,0x4c0005ee,0xff100003,0x322000bf,
    0x6c007700,0xe800b501,0x8802f985,0x100b501d,0x002a8000,0x00110040,
    0x2a80002a,0x54000064,0x80000dc2,0x0006fff8,0x2ec41ec8,0x00010000,
    0x1fcc0de8,0xffffb814,0x0e400501,0x00180000,0x0b620950,0x01bff600,
    0x0003fffb,0x1ffffec0,0x80220000,0x00000000,0x01000000,0x00440002,
    0x40188001,0x10000000,0x00014405,0x10000000,0x00000803,0x00000000,
    0x00000000,0x50000000,0x00001401,0x20288000,0x3fee0028,0x000001ff,
    0x00000000,0xdb880000,0xb009dfff,0xdd713fff,0xff980017,0x40006fff,
    0xcefffeb8,0xb9501a1b,0x0059bdfd,0xddddddb1,0xeeeb87bd,0xffb304ee,
    0x401619ff,0xcefffeb8,0xb7301a1b,0x17bffffd,0x9999712a,0x66664399,
    0x40000002,0xaabdefeb,0x999930aa,0x36e60019,0x0bdffffe,0xcccc9895,
    0x9999951c,0x7bdfd701,0x36215555,0xdeeeeeee,0x777775c3,0xfedca804,
    0xea802cde,0x203eeeee,0x04eeeeeb,0xdb100000,0x7bdddddd,0x4eeeeeb8,
    0xfb800000,0x75401fff,0x203eeeee,0x04eeeeeb,0x6f7f6e54,0x3326002c,
    0x64000ccc,0x5fffffff,0xdd5fffb0,0x4001ffff,0x2ffffcbc,0xdfff9000,
    0xfffb5339,0x33ff620d,0x05dfd711,0x5fffff30,0x900efc80,0x3f6615df,
    0xfffc807f,0xffda99ce,0x3ffee06f,0x3bff260b,0x7ffec44f,0x727e442f,
    0xbddddddd,0x3bbbb205,0x2bffe60d,0x2fffffd8,0x007fffea,0x982fffee,
    0x984feffc,0x3ea2ffff,0x3fe60fff,0xffffd8af,0x7fffcc2f,0x077e402f,
    0x473ff620,0x802efeb8,0x02fffffd,0xc983bf26,0xdeeeeeee,0xdddddb54,
    0xff985bdd,0x7e402fff,0x77776c0e,0xffb80003,0xffb001ff,0x64c05fff,
    0x3f6200ef,0xdfd711cf,0x3ffe6005,0x7e5c001f,0xb02cdfff,0x3a63ffff,
    0x1f1006ff,0x00bffff1,0x02fffe98,0x3ee1bfe6,0xfff304ff,0xfffe801b,
    0x817c400f,0xff700ffb,0x17fff4c0,0xd30dff30,0x74401dff,0xfff884ff,
    0xf986a82f,0x8806ffff,0x3fe20cfe,0x27ffe23f,0x0ffffc09,0x01dffd30,
    0xe827ff44,0x7ffc2fff,0x47fff10f,0x8099fff8,0x400ffffe,0x7fdc02f8,
    0xbfff304f,0xffffe801,0x40be201f,0x04ffffe8,0x03fffff5,0x007ffff4,
    0x7ff40be2,0xfb80004f,0x3a001fff,0x201fffff,0x3fee02f8,0xbfff304f,
    0x3fffd001,0x3fffe000,0x1fffec00,0x200fffee,0x3ffff64c,0xffff1001,
    0xa8df3007,0x7dc05fff,0x7fec04ff,0x203f007f,0x83ec05ff,0x803ffff8,
    0x7ffc46f9,0x4fe8802f,0x90bfff90,0x3fffe607,0xc85e800f,0x7ffc2fff,
    0x03fffd04,0x00bfffe2,0x7ec13fa2,0x7fffc2ff,0xf85fff90,0x3ff604ff,
    0x403f007f,0x5c05fffa,0x7e404fff,0x200effff,0x3fff601f,0x3fffe01f,
    0x3fffec07,0xff901f80,0xf700009f,0x64003fff,0x00efffff,0x7ffd407e,
    0x27ffdc05,0x00ffff40,0x03fffc40,0x260fffec,0x0f806fff,0x013fffea,
    0x002ffff4,0x7fffc4d7,0x2fffe802,0x01ffff60,0x3ffcc0fc,0x3fa03e20,
    0x1ae005ff,0x400bfffb,0xfff104f8,0x3600e81f,0x4c03ffff,0x1fffd80f,
    0xfd83fff4,0xfffb01ff,0x827c400b,0x7fc2fffd,0x3fffb0ff,0x3607ffe8,
    0x3f007fff,0x0bfffe20,0x80bfffa0,0x5fffffcc,0xffc807a0,0x3ffa00ff,
    0x7ffec06f,0x2e03f007,0x80004fff,0x001ffffb,0x3fffff32,0x3e207a05,
    0xfe802fff,0x7ff402ff,0xffa8001f,0xfffd805f,0x03fffc41,0x3fffa16e,
    0x7ffdc00f,0xd9a2001f,0xf9007fff,0x3f601fff,0x03f007ff,0xd80bfff5,
    0x0ffffdc0,0x7fdcd100,0x264001ff,0x4c9fffb0,0x7fffc405,0x6c0fa00f,
    0x7ff41fff,0x03fffb06,0x003ffff7,0xfffb04c8,0xb0ffff85,0xffe83fff,
    0x1ffff606,0xffd80fc0,0xfff9007f,0x3eab201f,0x3d04ffff,0x07fffe40,
    0x80dfffd0,0xf007fffd,0x13ffee03,0x3ffee000,0x2ab2001f,0xd04fffff,
    0x0ffffb03,0x03ffff20,0x001fffe8,0x804fffc8,0xff81fffd,0x207a00ff,
    0x403ffffb,0x8007fffe,0x0bffff12,0x0ffffea0,0x803fffec,0xffff981f,
    0xffd0301e,0x7c5000ff,0x88007fff,0x9fffe603,0xfffc802c,0x540d504f,
    0x7ff41fff,0x03fffb04,0x000fffff,0x3fff6071,0xa87fffc2,0x7ff41fff,
    0x1ffff604,0x7fc40fc0,0xff5005ff,0x64b207ff,0xe82fffff,0x3ffff201,
    0x1bfffa00,0x00ffffb0,0x7ffdc07e,0xffb80004,0x4b2001ff,0x82fffffc,
    0x7fffc41e,0xffff5005,0x0ffff407,0x17ffec00,0x40fffec0,0xf501ffff,
    0xff999999,0x7fd40fff,0x2a0006ff,0x3004ffff,0x3609ffff,0x3f007fff,
    0x3fffffe0,0x7ffd401d,0x3e60006f,0x00006fff,0xd17fffd0,0x3fffe200,
    0x2017440f,0x3fe23ffe,0x3fffb01f,0x06ffff98,0x7ffec000,0xd07fffc2,
    0x7ffc47ff,0x1ffff601,0x7fd40fc0,0xff3004ff,0xd8b209ff,0x740fffff,
    0x3ffff201,0x1bfffa00,0x00ffffb0,0x7ffdc07e,0x005bfb54,0x00ffffdc,
    0x7ffec590,0x2a0f40ff,0x3004ffff,0x7409ffff,0xf8001fff,0xfd800fff,
    0x7fff81ff,0x2aaab360,0x2ffffdaa,0x09ffff70,0x7fffdc00,0xffff3003,
    0x1ffff60d,0xffa80fc0,0x00dfffff,0x009ffff7,0x2ffffd40,0xffa80000,
    0x2e004bef,0x2e45ffff,0xd8aefc80,0x3ff601ef,0x7fffd41f,0x7ec00005,
    0x7fffc2ff,0x6c577e40,0x7fec01ef,0x703f007f,0x2007ffff,0x906ffff9,
    0x7ffff445,0xfc807a0e,0x3fa00fff,0x7fec06ff,0x203f007f,0xffccfffb,
    0xf7001fff,0x64003fff,0x3ffffa22,0xff707a0e,0x3e6007ff,0x3fa06fff,
    0x7c4001ff,0xffb007ff,0x6fff883f,0xff880d30,0xfffb06ff,0x7ec0007f,
    0xf1003fff,0x3f60ffff,0x03f007ff,0x7fffffdc,0xfffd83ff,0x3f20003f,
    0x00004fff,0x07ffffe0,0x3ffffd00,0xfb8003e2,0x6c00bdee,0x7fe41fff,
    0x400004ff,0x7fc2fffd,0xeefb80ff,0xffd800bd,0xb03f007f,0x2007ffff,
    0x907ffff8,0xfffff985,0xffc807a5,0x3ffa00ff,0x7ffec06f,0x2e03f007,
    0xf98cffff,0xff7006ff,0x164003ff,0x97ffffe6,0x7fffec1e,0xffff1003,
    0x0ffff40f,0x17ffea00,0x20fffec0,0x7b05fff9,0x5ffffb00,0x07ffffb0,
    0x7fffec00,0xffff1003,0x1ffff60f,0x3ee00fc0,0x4fffffff,0x01ffffec,
    0x7ffffb00,0x7dc00000,0xfa8006ff,0x007b5fff,0xfd800264,0x7ffec1ff,
    0x6c00003f,0x7ffc2fff,0x0002640f,0x200ffffb,0xffffd81f,0xffff1003,
    0x3ea0b20f,0x03d3ffff,0x777fffe4,0xfffeeeee,0x7ffec06f,0x2e03f007,
    0x7ffc5fff,0xffff7007,0x54164005,0x3d3fffff,0x03ffffd8,0x0fffff10,
    0x000ffff4,0x400fffee,0x7e44fffd,0x01f981ff,0x86ffff98,0x004ffffc,
    0x0fffff20,0x37fffcc0,0x007fffd8,0xff91003f,0x645fffff,0x0004ffff,
    0x813fffee,0x99999998,0x3ffe2009,0xfffd0003,0x7ec00d9f,0xfffd0002,
    0x4ffffb85,0x26666620,0x7ff40999,0x07fffc2f,0x6c0005fb,0x3f007fff,
    0x07ffff90,0x1bfffe60,0xfffb8164,0x3201e9ff,0xccccffff,0x6ffffccc,
    0x03fffec0,0xfff701f8,0x00fffe89,0x03ffffd8,0x7fdc0b20,0x641e9fff,
    0x3003ffff,0x740dffff,0x6c001fff,0xfb001fff,0xff539dff,0x07fd107f,
    0x7fffff10,0x05ffff98,0x3fffee00,0xffff3004,0x1ffff60b,0xb10007c0,
    0x4cbfffff,0x0005ffff,0x817fffea,0xfffffeb8,0x07fe402c,0xffff9800,
    0xfff1002f,0x03579999,0x2a1ffffc,0x2205ffff,0xcfffffeb,0x21ffffc2,
    0xff10ffff,0x3579999f,0x07fffd80,0xfff701f0,0x3fe6009f,0x405905ff,
    0x1ffffffd,0x03ffff20,0x406fffe8,0xf007fffd,0x13ffee01,0x2203fffd,
    0xffffffec,0x202c804d,0x1ffffffd,0x027fffdc,0x05ffff98,0x0007fffa,
    0x6c00fffd,0xfffc9fff,0xffffc83e,0xffec983d,0x3e0effff,0x20006fff,
    0x005ffff9,0x207ffff5,0x8807fffd,0x2601b80f,0x3e0ffffe,0x20006fff,
    0x806ffff8,0x005ffff9,0xd80009f3,0x3000ffff,0xffffffff,0x7f4c3fff,
    0x3e24ffff,0xf9806fff,0x7f4c5fff,0x3fa4ffff,0xffff30ff,0x3fffffff,
    0x01ffff60,0x3fe603e2,0xff5005ff,0x80b207ff,0x1fffffe8,0x03ffff20,
    0x406fffe8,0x8807fffd,0x9fff700f,0x001fffe8,0x202c8000,0x1fffffe8,
    0x02ffffcc,0x03ffffa8,0x0007fffa,0x6c00bffd,0x03511fff,0x0bee0000,
    0x00ffffd8,0x1bfffa00,0x07fffe40,0x807fffb8,0x404b80f8,0x361fffe8,
    0x0000ffff,0x201ffffa,0x004ffff8,0xf900007a,0x74001fff,0xffffffff,
    0x03fa87ff,0x201ffffa,0x004ffff8,0x741fffd0,0xffffffff,0xfff707ff,
    0x201f100f,0x9006fffe,0x3201ffff,0x7fffc402,0x3fff201f,0x3fffa00f,
    0x3fffdc06,0xfb807c40,0x7fff44ff,0x00593001,0xff880590,0xffe81fff,
    0xfff9006f,0x7ffec01f,0x1fffc001,0x03fffb00,0xbf700000,0x4ffffb80,
    0xfff30400,0xfffd003f,0x7fffd407,0x6b835400,0x20fff980,0x004ffffb,
    0x5ffff304,0x4ffff880,0x0000d100,0x001ffff9,0xffffffe8,0x3ea1ffff,
    0x7fffcc06,0x7fffc402,0xfffd0004,0xffffffd0,0xf503ffff,0x6a801fff,
    0x07fffe60,0x80ffffa0,0xfff9802c,0x3fff201f,0x3fffa00f,0x7fffd406,
    0xf7035400,0xfffe89ff,0x2fff8801,0x4c016400,0xf981ffff,0xfe801fff,
    0x7fec03ff,0x7ff4000f,0x3fff6000,0xe8000001,0xfffd804f,0xd899001f,
    0x7d404fff,0x3e200eff,0x26c01fff,0xff804fb8,0x1ffffd87,0xffb89900,
    0x3fe200ff,0x23da84ff,0xfc80002b,0xd3000fff,0xff93015f,0x5c037ec1,
    0x2200ffff,0x1004ffff,0x99fff637,0xfc980afe,0xffff880f,0x36026c01,
    0x7d404fff,0x0b600eff,0x00fffdc0,0x401ffff9,0x4406fffe,0x6c01ffff,
    0x13ffee04,0x2003fffd,0x6c004ffe,0x3fff7002,0x013fff60,0x881dfff5,
    0x00fffb1b,0x00bfa393,0x003fffd0,0x1ffd0000,0x6fffe880,0x640f6c40,
    0xff100fff,0xffb001bf,0x703640df,0x7fd405ff,0x6fffe882,0x6c0f6c40,
    0x3e205fff,0xfff84fff,0x320000d0,0xb000ffff,0x46f880bf,0xfd802ffd,
    0x3fe205ff,0xbfb004ff,0x5fd97ff6,0xfb037c40,0x03640dff,0x100fffc8,
    0xf801bfff,0x07ff6005,0x00ffffc8,0x201bfffa,0x3206fffd,0x27ffdc06,
    0x8007fffa,0x2fc002c8,0x403ffb00,0xf100fffc,0xbf901bff,0x3a01bff2,
    0xf0009f5f,0x00005fff,0x03dff700,0x59ffff90,0x5013ae62,0xfd883fff,
    0x7fec004f,0xfda88aef,0x13ffee00,0xf900ffa6,0x26259fff,0x7f5404eb,
    0xfff981cf,0xcbfff83f,0xffb00003,0x3ee001ff,0x307fa01f,0xd5005fff,
    0xff3039ff,0x3f2007ff,0x7dc1ffb5,0x007fa01f,0x115dfffb,0x54001fb5,
    0x7ec41fff,0x0ff9804f,0xc807fa00,0x3e01ffff,0xfb007fff,0xb5115dff,
    0xfffc801f,0x00ffff44,0x4c001d10,0x3fa000ff,0x0fffd401,0xc813ff62,
    0x003ffb6f,0x80099df9,0x9dffffb8,0x6c000000,0x4c03ffff,0xfffffffc,
    0xfd93002e,0x05bdfdbd,0x3fffee00,0x5c00cfff,0xecdfebae,0xf93001ef,
    0x5dffffff,0x7fff6400,0x0bdffedd,0x007fff70,0x7ffff400,0x3bfaa002,
    0x00deedcc,0x009ffff9,0xdbbfffd9,0x40017bff,0x82efcfe8,0xedccefea,
    0xff7000de,0x019fffff,0xbdfd9300,0xa805bdfd,0x01dffffe,0x3fa01f88,
    0xff102fff,0x2e001fff,0xcfffffff,0x5fffd800,0x801ffffc,0x3faa002a,
    0x8801dfff,0xfec9801f,0x02defede,0x1f7f7f44,0x20005300,0xaaaaaaa8,
    0x88000000,0x4cc002cb,0x980000aa,0x2000009a,0x0009aa98,0x0aaa8811,
    0x2aa66000,0xaa880000,0x0a20019a,0x7f65c000,0x0cdfffff,0x03553100,
    0x000e5c40,0x00cd5544,0x40054400,0x0001aa98,0x004d54c4,0x01353000,
    0x09800000,0x7ffff64c,0xff954dff,0x059fffff,0x026aa620,0x7ffffec0,
    0xfffffe8d,0x00000003,0x30001300,0x51000135,0x00000003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x301cc000,0x55540003,0x881d400a,0x5405501c,
    0x22062000,0xeeeeeeed,0x77775c4d,0x2039805e,0x02a8001b,0x4020002a,
    0x05ecc000,0x80000091,0x000deee8,0x00220288,0x201300c4,0xeeeeeec9,
    0x015404de,0x55510015,0x2a019805,0x10044000,0x2aaa8800,0x70ee4400,
    0xd910007d,0x88000005,0x0005300c,0x00d554c0,0x3506e600,0x00010000,
    0x01555440,0x5f7037a0,0x2fffc000,0x3a227cc0,0x3613e206,0x80ba000f,
    0x03fffff8,0x4007bf22,0x07f445f8,0x6c27cc00,0xffb3000f,0x801619ff,
    0xebdffffd,0x5c000003,0x20001fff,0x003f984e,0x01f303f3,0x4ffffe88,
    0xd887f300,0x1fff6006,0x0f701f50,0xdfffd710,0x20034379,0x4000fffc,
    0xfff16ffc,0xfffb8003,0x00025c00,0x03fa81db,0x17ffa000,0xfffd8800,
    0x8000e9be,0xdefffeca,0xff90000b,0xefa8003f,0x4000bfb0,0x32005ffa,
    0x01ffa8df,0x3fe8afe4,0xd00bee00,0x8801ffff,0x77dc004f,0x0002fe98,
    0x1ff457f2,0x30aefc80,0x2200fffb,0xffffffff,0x6c000000,0x540001ff,
    0x00df70df,0xfeccdff8,0xffff9006,0x9a7ec003,0x7ec002fe,0x37fe202f,
    0x6405fecc,0xa99cefff,0x4006fffd,0xc8001fff,0x3fff16ff,0x1fffd800,
    0x8002fb80,0x0df91ff9,0x77fcc000,0x3fea0000,0x006fffff,0x88e7fec4,
    0x8002ffeb,0xd0001fff,0x003ffdff,0x2002fec0,0x05ffeff8,0x6ffeff88,
    0x00bfe600,0x200ffffb,0x7fc4002f,0x40006fff,0x06ffeff8,0x2e01ff70,
    0x2a95007f,0x0003fffd,0x00ffc400,0xfcefe800,0x7fd4002f,0x9001ffff,
    0x4001ffff,0x06ffdff9,0xb809fd00,0x00ffffff,0x405fffd3,0x2a006ff9,
    0xb10001ff,0x00275c3d,0x70037fcc,0xffb0005f,0x00005ffb,0x000077e4,
    0x3fff6ab6,0x3fee002f,0xbfff304f,0x07fe6001,0xffffa800,0x077c0004,
    0x7fffe400,0xffff9000,0x3ffea005,0x3fffec02,0xb8001f80,0x0001ffff,
    0x02ffffc8,0x7d80bff0,0x00301300,0x0bea0000,0xfffa8000,0xfb30005f,
    0x7e40039f,0x6c000fff,0x0001ffff,0xfb500fd1,0x3fe2019f,0x6f9803ff,
    0x0007f200,0x0c000000,0x000ffc00,0x017fffe6,0x001dd000,0x00530500,
    0x405fffa8,0x9004fffa,0xfd00005f,0x440001ff,0xdd10000c,0x7fc4007d,
    0xfff7005f,0xfb0599bf,0x07e00fff,0x02776c00,0x5fff8800,0x80fff300,
    0x000000f8,0x01980000,0xfffe8000,0x00440001,0x07fffe40,0x17ffe200,
    0x00191000,0xfffd0022,0x0035c00b,0x00000037,0x10044000,0x8001ff90,
    0x0001fffc,0x00003220,0xff880000,0xfff802ff,0x002b802f,0x00040200,
    0x00000000,0x3ffa6000,0xd83eeeff,0x3f007fff,0x00000000,0xfff50000,
    0x3620d80b,0xdeeeeeee,0x777775c3,0x00000004,0x004cc400,0xf9000000,
    0x00001fff,0x00000000,0x01ffffb8,0x00001a20,0x333332e0,0x0b33321c,
    0xdfffd710,0x7c434379,0x0000005f,0xea800000,0x203eeeee,0x24eeeeeb,
    0x9007fffd,0x0001ffff,0xfffb3000,0x7541619f,0xeeeeeeee,0x4c5eeeee,
    0xeeeeeeec,0xdddddb3d,0xdddddddd,0xffc89ddd,0x7ffec02f,0x0003f007,
    0xea8000e4,0xeeeeeeee,0x4c5eeeee,0x301effff,0x3ffffe60,0x0077e402,
    0xeeeedb80,0xeeeeeeee,0x75c06eee,0x26037663,0xeeeeeeed,0xeeeeeeee,
    0x1ffff900,0xeeeeed98,0x2bccdeee,0xeeeec980,0xd933deee,0x7bdddddd,
    0x003ffff4,0xeeeed994,0xbccdeeee,0xfffd8802,0x027e442f,0x273bfff2,
    0x06fffda9,0x76d41ffb,0xcdeeeeee,0xeeb800bc,0x02deeeee,0x81bdddd9,
    0x02fffffd,0xf883bf26,0xf5005fff,0x76cc7fff,0x4deeeeee,0x42bbf200,
    0xf707ffd9,0x755559ff,0x205fffff,0x44fffff8,0xfcacefff,0xfcbacfff,
    0x17ffe45f,0x01ffff60,0xbf0000fc,0x3ffee000,0xffbaaaac,0xfff82fff,
    0x2001dfff,0x400ffffe,0xb80002f8,0xadffffef,0x07ffedcb,0x7ec7ffe2,
    0x3ffe205f,0xecaaabff,0xff900fff,0x3fe601ff,0xfcbaafff,0xf8801eff,
    0xf104ffff,0xfa89ffff,0x80006fff,0xaafffff9,0x01efffcb,0x417fffc4,
    0x3ffa606a,0x1bfe602f,0x7cc27fe4,0xecaaffff,0x7cc02eff,0x8806ffff,
    0xffd00cfe,0x7c403fff,0x27fffd42,0x4ffff980,0x3fffff88,0x807fdc00,
    0x0bf907fb,0x02ffffe4,0xf07ffff6,0xffffb83f,0x3f22fd41,0x7fec02ff,
    0x003f007f,0x0003fee0,0xffc817f2,0xfff505ff,0x001bffff,0x200ffffb,
    0xfa80001f,0x703ffffa,0x7ffc40ff,0xc80bffb1,0xf700ffff,0x3fff201f,
    0x3fffa00f,0x3ffff986,0x1ffffd80,0x07ffff60,0x009ffff7,0x1bfffa00,
    0x00ffffe6,0x790bfff9,0x0ffffe20,0x7d41be60,0xffff80ff,0x6ffff446,
    0x3fffe600,0x405e800f,0x0efffffc,0xfff707e0,0x3fe6007f,0xfffb06ff,
    0x5ff8001f,0x05d83ec0,0x07ffffe6,0x81ffff90,0xffffb84f,0x7fe45b81,
    0x7ffec02f,0x0003f007,0x20013ffa,0x3ffe605d,0x3fee01ff,0x03ffffff,
    0x803fffec,0xbe80001f,0x203ffff9,0x31f5c07b,0xffc801bb,0x03ee00ff,
    0x007fffe4,0x2e0dfffb,0xfc807fff,0x3f200fff,0x7fec0fff,0xb00003ff,
    0x3ee0dfff,0x7fc407ff,0xe80740ff,0x2e005fff,0x03fff306,0xd10dfffd,
    0xfd80dfff,0x7cc03fff,0x7ffe6400,0xb07a05ff,0x2007ffff,0xb07ffff8,
    0x4001ffff,0x7c407ff9,0x3fa01d80,0xfc804fff,0x407c0fff,0x881ffffb,
    0x017ffe45,0x401ffff6,0xffa8001f,0x0ec000ff,0x09ffffd0,0xffffff70,
    0x7fec09ff,0x003f007f,0xfff36b80,0x01e2087f,0xfff90000,0x03e2081f,
    0x007fffe4,0x260dfffb,0x6401ffff,0x3200ffff,0x7ec0ffff,0x00003fff,
    0x260dfffb,0x6c01ffff,0x41664fff,0x001ffffb,0x7ffcc1a2,0x06fffe82,
    0x409ffff1,0x00fffff8,0x2ab200fa,0xd04fffff,0x3ffffd83,0xfffff100,
    0x01ffff20,0x80bfff50,0x3ee0580d,0xf9006fff,0x70281fff,0x0a03ffff,
    0xd805fff9,0x3f007fff,0xffffb000,0x2e058007,0x2006ffff,0xffffffc8,
    0xffffb02f,0x80007e00,0xffff31f8,0x32160c87,0x9931cccc,0x3f201999,
    0x362c0fff,0x1ffff900,0x837ffec0,0x404ffff8,0x200ffffc,0x640ffffc,
    0x0004ffff,0x20dfffb0,0x404ffff8,0x0b27fff9,0x003ffff4,0x3fff9814,
    0x206fffe8,0x200ffffd,0x504ffffc,0x7e4b200d,0x1e82ffff,0x01ffffe4,
    0x06ffff98,0x800ffff9,0x01effff9,0xfff88003,0xff9002ff,0x3ee001ff,
    0xf9001fff,0xffc805ff,0x003f007f,0x6fffff98,0xfff10000,0xb10005ff,
    0x20bfffff,0xf007fffd,0x326c0003,0x0d87ffff,0x3fffe202,0x03fffea3,
    0x307fffe4,0x3ff2008d,0x3ff600ff,0xffff306f,0xffffc809,0x3ffff200,
    0x2ffffcc0,0xfffd8000,0x9ffff306,0x17fffd00,0x3fffea0d,0x3e200006,
    0xfffe84ff,0x3fffea06,0x3fffe204,0x8017440f,0x3ffff62c,0x3ee0f40f,
    0xf5004fff,0x3f20bfff,0xff8007ff,0x001dffff,0x2ffffec0,0x1ffff900,
    0x3fffee00,0x5fff9001,0x0ffffb80,0x20007c40,0x2ffffcbc,0xfffd8000,
    0x300dc05f,0xb01ffffd,0x3e00ffff,0x98d50001,0x3e23ffff,0x3fffd800,
    0xc807fffc,0x1ae0ffff,0x0ffffc80,0x41bfff60,0x402ffffb,0x200ffffc,
    0xf80ffffc,0x00006fff,0x2e0dfffb,0xa802ffff,0x704befff,0x0009ffff,
    0x427ffcc0,0x2606fffe,0x5c07ffff,0x2e45ffff,0x7f445900,0x07a0efff,
    0x00bffff3,0x413fffea,0x8007fffc,0xfffffffa,0xffa8000d,0x32000fff,
    0x7000ffff,0x2003ffff,0x5402fffc,0x4c00ffff,0x447c4007,0x0005ffff,
    0x07ffffd4,0xfd1012e0,0xfffb03ff,0x0007e00f,0xfff307e2,0x003f667f,
    0xff0ffff2,0x3ff201ff,0x00dd30ff,0x007fffe4,0xd10dfffb,0xf900bfff,
    0x7e401fff,0xffd80fff,0xd80000ff,0xfe886fff,0x3fe005ff,0xffb01fff,
    0x400007ff,0xfe83fff9,0x3fe206ff,0xffe807ff,0x001f11ff,0x3ffe6164,
    0x3a07a5ff,0xf7006fff,0x3f201fff,0xf70007ff,0x7fffffff,0xffffe800,
    0x7ffe4003,0xfff7000f,0x3ff2003f,0xff30513f,0x04d803ff,0xfffb2640,
    0x7f40003f,0x6b803fff,0x80fff980,0xf007fffd,0x30990003,0xffbdffff,
    0xfff9001f,0x00ffff87,0xfb9ffff9,0x7fe400df,0x3ff600ff,0xffd5316f,
    0xff90019f,0x7fe401ff,0xfffb80ff,0x6c04004f,0xd5316fff,0x40019fff,
    0x3606fffb,0x0003ffff,0x20bffe60,0x7c06fffe,0x5400ffff,0x07b5ffff,
    0xffa82c80,0x303d3fff,0xd003ffff,0x7e407fff,0x2e0007ff,0xffffffff,
    0xffff9004,0xfff9000d,0x3fee001f,0xff1001ff,0x7e40b9ff,0x0d700eff,
    0x7fd41f00,0xf90004ff,0x2e00dfff,0x07ff804f,0x200ffffb,0x6fcc001f,
    0xfffdcccc,0x00ffecdf,0x7c3fffc8,0xff900fff,0x0dffb9ff,0x0ffffe40,
    0xffffffb0,0x001bffff,0x007fffe4,0x201ffff9,0x001ffffd,0xffffb099,
    0x1bffffff,0x7fff1000,0x27fffe40,0xfff30000,0x0dfffd03,0x01fffff8,
    0x6cffffe8,0xf702c800,0x03d3ffff,0x5017fff6,0xfc80dfff,0x440007ff,
    0xfffffffc,0x7fffcc02,0xffc8001f,0xff7000ff,0x6cc003ff,0x3a200dff,
    0xb88befff,0x2dc001fd,0x007ffff4,0x3ffffe60,0x05ff7001,0xfd817fd4,
    0x01f007ff,0xccccde80,0x23ffffdc,0xffc800fd,0x07fffc3f,0x30ffffc8,
    0x7ff400df,0x3ff602ff,0xdffff76f,0xffffc800,0x3ffff200,0xdfffd100,
    0xd81ed880,0xfff76fff,0x7e4000df,0x3ffe600f,0x2e00005f,0xffe80fff,
    0x3ffe206f,0xfff3007f,0x590005ff,0x7ffffec0,0x3fff601f,0x03bffa00,
    0x00ffff90,0x3fff6200,0x7ff405ff,0xc80804ff,0x7000ffff,0x0003ffff,
    0xfffb8001,0x000befff,0xfffb81e8,0x7ff4003f,0xf70804ff,0x7fd309ff,
    0x03fffec0,0xb70007c4,0x1ffffcc0,0xff9001f1,0x0ffff87f,0x41ffff90,
    0x7f64c06a,0x84dfffff,0x3f66fffd,0x32004fff,0x3200ffff,0x6400ffff,
    0x312cffff,0x7fec09d7,0x3ffff66f,0x09f30004,0x00dffff0,0x827fe400,
    0x2606fffe,0x2006ffff,0x000ffffd,0x3fa202c8,0x6401ffff,0x7ec41fff,
    0xffc800ef,0x00dc007f,0x01ffffd3,0x03bfffee,0xfff90370,0x3fee001f,
    0x5dc001ff,0xfd998000,0x33ea0003,0xfffccccc,0x3fee007f,0x8dc00eff,
    0xcdfebaeb,0x7dc01efe,0x0f8807ff,0x4c01f100,0x0743ffff,0x0ffff204,
    0x3201ffff,0x1a20ffff,0x800fd804,0x3e26fffd,0x9002ffff,0x6401ffff,
    0x9800ffff,0xfffffffc,0x7ffec02e,0x3ffffe26,0x003d0002,0x001ffffb,
    0x403ff600,0x2606fffe,0x2005ffff,0x000ffffc,0x7fc402c8,0xb8801fff,
    0xdffedeff,0x3fff2002,0x012f6007,0x103fffd1,0x005fffff,0xffff901f,
    0x3ffee001,0x3fee001f,0x0df30006,0xaaacd800,0xffffdaaa,0xffff8802,
    0x110f802f,0x000aeb88,0x801ffff5,0x00f6006a,0xc87ffff3,0x3ff21540,
    0x07fffc3f,0x40ffffc8,0x3fd82a85,0x8dfffb00,0x00fffffa,0x00ffffc8,
    0x003ffff2,0x0015f530,0x2a37ffec,0x000fffff,0xffb80344,0x404004ff,
    0x3fa04ff8,0x3fee06ff,0x3f2002ff,0xc8000fff,0xffff9802,0x7ffec001,
    0xffc8003f,0xd795007f,0x01fff300,0x00bffffb,0x3fff20f5,0xfff7000f,
    0x7fd4003f,0x7fc8000f,0x101a6000,0xb00dffff,0x500bffff,0x00bfb00f,
    0x00ffffc4,0x03540136,0x21ffffcc,0x7fdc1e80,0x07fffc3f,0x40ffffc8,
    0x7fc41d80,0xdfffb003,0x0bffff90,0x01ffff90,0x007fffe4,0x00077dc0,
    0xf90dfffb,0x6d40bfff,0xfd800ae3,0x99001fff,0x7401df90,0x3fa06fff,
    0x7e4005ff,0xd8000fff,0x3fff7002,0xffff8800,0x7fe4001f,0xf79b007f,
    0x30fff009,0x801fffff,0xfff907e8,0x3fee001f,0x444001ff,0x7ff90006,
    0x200f6000,0x202ffffd,0x00fffff9,0x32203f44,0x3f6002ff,0x01b206ff,
    0x7cc017c4,0x7d403fff,0xb27ffd40,0x3203ffff,0x5400ffff,0x037fc40f,
    0xd07fffd8,0xc807ffff,0x3200ffff,0x8000ffff,0x36003ffb,0xffd07fff,
    0x3ffe07ff,0xfe8800d0,0x76c406ff,0x7400ff81,0xff506fff,0xfc8001ff,
    0xf8000fff,0x07ff6005,0x3fffea00,0x7ffec006,0x5dfcc00f,0x3fea02ff,
    0x3ffffe82,0xd837fd40,0x7000ffff,0x0005ffff,0x3e200077,0x7cc002ff,
    0xffff9801,0x3ffffa06,0x037fd403,0x20017fc4,0x88aefffd,0xdb000fda,
    0x3fffe600,0x221fee04,0xfcecfffe,0xffb02fff,0x3fd403ff,0x400dffd8,
    0xf307fffe,0x6c03ffff,0x3600ffff,0x0000ffff,0x7f4007fd,0xfff307ff,
    0x7fff03ff,0x3f200079,0x7312cfff,0x007f209d,0x221ffffa,0x8001effe,
    0x000ffffd,0xd0007fcc,0x3ea0003f,0x802cefff,0x200ffffd,0xfffbaff9,
    0xb83fe984,0x999fffff,0xfffda999,0x5ffffd05,0x3ffff600,0x006e2003,
    0x9ffff900,0x007fd100,0x07fffff1,0x33fffff7,0xffb53333,0x7ed440bf,
    0xfff70005,0x0019ffff,0x7dc01bf2,0x7309efff,0x3a60bffb,0xffff3fff,
    0xffffd05f,0x3fae6239,0xfffd106f,0xffff103d,0x3ffee01f,0xfffd00ef,
    0x7fff405f,0x7e4c002f,0xfff1000e,0x3fee01ff,0x7fdc0eff,0x64c0003f,
    0xefffffff,0x1003db02,0x315fffff,0x0019fff7,0x0bffffa0,0x7ffff540,
    0x01f8801d,0x3fff2200,0xfd00ffff,0x33339fff,0xd73fff95,0xfd9bfd75,
    0xffff103d,0xffffffff,0x4c9fffff,0xffffffec,0xffec883d,0x004dffff,
    0x65c40000,0xffffc801,0xffec983d,0xf10effff,0xffffffff,0xffffffff,
    0x00d5cc09,0x4d54c400,0xfffd3000,0xffb970bd,0xffffffff,0x9809ffff,
    0x3fb26001,0xffffffff,0x405fffff,0x764c0bc9,0x2dffffff,0x3fffffd8,
    0xfffffd93,0x3fb267bf,0x03dfffff,0x3002ab88,0xffffffd9,0xffffb05b,
    0x0002887f,0x00aa9980,0x7654015c,0xffffffff,0xb8000ade,0xffffffec,
    0x000000cd,0x9800004c,0xfd9301a9,0xffffffff,0x11ffffff,0x00aaa881,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x85500000,0x540000b8,0x00005cc2,0x2000cea8,0xeeeeeed9,
    0xeeeeeeee,0x8806400e,0x332e6002,0xeeeeeeed,0x0aaaa200,0x006aaa20,
    0x502e6000,0x2a200001,0x500002aa,0x54000355,0x551001aa,0x00000055,
    0x50000fae,0x40000355,0x00002aaa,0x55550000,0x40131000,0x77776cc0,
    0x3004deee,0x203ddddd,0x0005eed8,0x005c42a8,0x80000000,0x006e20a9,
    0x2e000350,0x0fff14ff,0x89ffe400,0x880006ff,0x88004fff,0xaabfffff,
    0x00fffeca,0x17a60fdc,0x3ffffa60,0x00efaacf,0x001fffb8,0x0000fffb,
    0x5effff44,0x900000f9,0x00003fff,0x000dfff7,0x801bffea,0x0001fffc,
    0xffa81644,0xff30001f,0x500001ff,0x70005fff,0x5001ea0b,0x73005fff,
    0x5bffffdb,0x7fc412a1,0x88003fff,0x2602ffff,0x20002fff,0xfff14ffb,
    0x3bae0000,0x7fd40002,0x4007ffa6,0xe8002ffe,0x3fff56ff,0x57ffa000,
    0x0001fffb,0x002fffcc,0x00ffffc8,0xf8801ff7,0x801ff52f,0xfffffffa,
    0x7f400fe1,0x7fec001f,0xff700002,0x00bfffff,0x00fff400,0x7fffc400,
    0xffe8002f,0x3f2003ff,0x3ee0003f,0x0fffee02,0x7fffec00,0xffd80004,
    0x7bf50003,0x800bf953,0xfb803ffd,0xf9311bef,0x7ec09fdf,0xd0000fff,
    0xfa805fff,0x3fa0004f,0x03fff56f,0xe99db800,0x3ff20002,0x03fff88f,
    0x005fff98,0x3fa3ffa8,0x3fee0006,0x000bff12,0x0007ff60,0x007fffe4,
    0xff7001f7,0xf8809ffb,0x1fffffff,0x3fe600be,0x4fe88002,0xb55b0000,
    0x0003ffff,0x0007fe60,0x7ed7fe40,0x57fdc006,0x7e4007fd,0x05f70006,
    0x000fff88,0xffbbffa8,0x1ffc0001,0x3fff6000,0x7c001fff,0x7ff4c03f,
    0x3ffa200e,0x3ffff604,0xfffb0000,0x00ff5005,0xfd1ffd40,0x43d0000d,
    0x3e60005a,0x003ff64f,0x8001fffc,0x80001808,0x00001808,0x3f200004,
    0xf1040fff,0x3fffa001,0x7ffe400f,0x3e1fffff,0x002fb802,0x0001fa20,
    0x00015414,0x0000bf20,0x7f9077c4,0xc87be200,0x0fec003f,0x801bea00,
    0x8bfa0001,0x2a0005fa,0xc880004f,0x4002efff,0x7fc404fa,0xfe8800ff,
    0x1ffff204,0x2fffd800,0x0005f500,0x0000c044,0x0016a1e8,0x30006020,
    0x00000059,0x00000000,0x00401880,0x581ffff9,0xffa8006c,0xfffd802f,
    0x3e1fffff,0x0002b802,0x00000c88,0x2e000000,0x37600002,0xc800fb80,
    0x000fa80d,0xff3000dc,0x70000005,0x003f301d,0x00000ea0,0x2a000371,
    0x4fffd803,0xc813e200,0x20007fff,0x2002fffd,0x00000019,0x2a76e000,
    0x0000002e,0x76c40000,0x3deeeeee,0x2777775c,0x77f6e540,0x260002cd,
    0xdffffedb,0x7e40950b,0x11a60fff,0xff800000,0x1fffffff,0x000000be,
    0x65400000,0x02cdefed,0x00000000,0x00000000,0x7fe80000,0xbdefeb80,
    0x0000aaaa,0x00000000,0x40000000,0x001ffffb,0xfff90264,0x7fec000f,
    0x98fae02f,0x320000dd,0xfb800001,0x3b66002e,0xeeeeeeee,0x20eeeeee,
    0xeeeeeec9,0xfff303de,0xefc805ff,0x67fec400,0x05dfd711,0x0bfffb80,
    0x13fbff26,0x20ffffc8,0x776cc06b,0xeeeeeeee,0x3a0eeeee,0xffffffff,
    0x3b260be1,0x3deeeeee,0x0000e400,0x4473ff62,0x0002efeb,0x000001c8,
    0xec980039,0x3deeeeee,0xddddddb3,0xdddddddd,0x05ff981d,0x362bffe6,
    0xb32fffff,0xdddddddd,0x1ddddddd,0x777776cc,0xeeeeeeee,0x1c8000ee,
    0x77774c00,0x6ffff81e,0x32038800,0x20007fff,0xf102fffd,0x17ff63ff,
    0x0005f800,0x2000bf00,0xabfffff8,0x0fffecaa,0x4fffff88,0x0ffffe80,
    0x2e017c40,0xff304fff,0xfe9801bf,0x3fa200ef,0x3fff204f,0x200dd30f,
    0xabfffff8,0x0fffecaa,0x3ffffff2,0x880be1ff,0x004fffff,0x5c000bf0,
    0xff304fff,0x7c0001bf,0xbf000005,0x3ffe2000,0xfff104ff,0xd95557ff,
    0xffd81fff,0x47fff103,0x4099fff8,0xabfffff8,0x0fffecaa,0xbfffff88,
    0xfffecaaa,0x005f8000,0x42ffff88,0x005ffff9,0x7fffc800,0x3fff6000,
    0x23fff102,0x70005ffd,0x800001ff,0x90000ffb,0x2e01ffff,0xfffb00ff,
    0xfffb003f,0xa807e00f,0x7dc05fff,0x3fe204ff,0xfe8802ff,0x3ffff204,
    0x2006ffdc,0x700ffffc,0x7ffd41ff,0x3e1fffff,0x7fffec02,0x0ffb8001,
    0x5fffa800,0x027ffdc0,0x000ffb80,0x007fdc00,0x1ffffd80,0x03ffff20,
    0xff107fdc,0x3fff205f,0x9027ffc2,0x2e01ffff,0xfff900ff,0x03fee01f,
    0x001ff700,0xa85fffd0,0x0004ffff,0x07fffc80,0x0bfff600,0x37663eb8,
    0x9ffd0000,0xffe80000,0xfff90004,0x807dc01f,0x800ffffc,0xf007fffd,
    0x3fffe203,0x2fffe802,0x00bfffb0,0xff9027c4,0x0dffb9ff,0x07fffe40,
    0x7f441f70,0x21ffffff,0x7ffe402f,0xffe8000f,0x7ffc4004,0xfffe802f,
    0x4ffe8002,0x7ff40000,0xfff90004,0x7ffe401f,0xa83ee00f,0xffb01fff,
    0x07ffe83f,0x803ffff2,0xfff900fb,0x007dc01f,0x0013ffa0,0xf90bfff6,
    0x00009fff,0x00ffff90,0x017ffec0,0x3ea00000,0x00000fff,0x001ffff5,
    0x81ffff90,0x7e403e20,0xfd800fff,0x03f007ff,0x401ffff6,0x5c0ffffc,
    0x4001ffff,0x3fff204c,0x400df30f,0x040ffffc,0xffe881f1,0x0be1ffff,
    0x01ffff90,0x0ffffa80,0x1ffff600,0x07fffe40,0x1ffff500,0x3fea0000,
    0xfc8000ff,0x3f200fff,0xf1040fff,0x80fffdc1,0x7f41fffd,0x3fff206f,
    0x01f1040f,0x103ffff2,0xf50007c4,0xd8001fff,0x7fec2fff,0x800003ff,
    0x0007fffc,0x990bfff6,0x33263999,0x36000ccc,0x0003ffff,0x07ffffb0,
    0x1ffff900,0xfc806c58,0xfd800fff,0x03f007ff,0x00bffff1,0xf0ffffea,
    0x1000ffff,0x7fffe407,0xfc801aa0,0x362c0fff,0xffffe880,0xf900be1f,
    0xd8001fff,0x1003ffff,0x200bffff,0x003ffffa,0x00fffff6,0x7fffec00,
    0xfffc8003,0x3fff200f,0xc8362c0f,0xff500fff,0x04ffe83f,0xb03ffff2,
    0xfff900d8,0x006c581f,0x07ffffb0,0x42fffd80,0x204ffffc,0x99999998,
    0x7fffc809,0x3fff6000,0x1ffffc42,0x001ffff5,0x1bffffe6,0x3ffe6000,
    0xfc8006ff,0x11a60fff,0x07fffe40,0x03fffec0,0xfffa81f8,0xfff3004f,
    0x7fffcc9f,0xfc800006,0x41a20fff,0x0ffffc80,0x988011a6,0x00be1fdb,
    0x001ffff9,0x37ffffcc,0x4ffffa80,0x9ffff300,0x3fffe600,0xf980006f,
    0x8006ffff,0x200ffffc,0x260ffffc,0x3fff6046,0x88fffa00,0x3f201fff,
    0x11a60fff,0x07fffe40,0x260008d3,0x006fffff,0x2a17ffec,0x2204ffff,
    0xcfffffeb,0x07fffc81,0x5fffb160,0xf87fffb0,0x79000fff,0x005ffff9,
    0xfffcbc80,0x7fe4002f,0x801ae0ff,0x800ffffc,0xf007fffd,0x7ffff703,
    0x3fffe600,0x17fffea6,0x3ff20000,0x1542c0ff,0x707fffe4,0x0fc4000d,
    0xfffc805f,0x32f2000f,0xb802ffff,0x3003ffff,0x200dffff,0x2ffffcbc,
    0x7e5e4000,0x64002fff,0x3200ffff,0x1ae0ffff,0x801fffb0,0xefd8aefc,
    0x7fffe401,0xfc801ae0,0x01ae0fff,0xfffcbc80,0x3ff6002f,0x7fffcc2f,
    0xffff9805,0x1ffff205,0x3ff62540,0x3fffc82f,0x4007fffc,0xffff88f8,
    0x23e20005,0x005ffff8,0x987fffe4,0x3ff2006e,0xffd800ff,0xb03f007f,
    0x2007ffff,0x327ffff8,0x0004ffff,0x0ffffc80,0x7e40ec04,0x0dd30fff,
    0x5f0fc400,0x0ffffc80,0xff11f100,0xffb00bff,0x3e2007ff,0xf8807fff,
    0x05ffff88,0x3e23e200,0x64005fff,0x3200ffff,0xdd30ffff,0x00fffc80,
    0x0bdeefb8,0x0ffffc80,0x7e400dd3,0x0dd30fff,0x3e23e200,0x36005fff,
    0xffe82fff,0xfff8807f,0x3fff204f,0xfd89b007,0xfffc82ff,0x007fffc3,
    0xffffb264,0xd9320003,0x2001ffff,0xfdcffffc,0x3ff2006f,0xffd800ff,
    0xb03f007f,0x2007ffff,0x367ffff8,0x0003ffff,0x0ffffc80,0x7e407d40,
    0x6ffdcfff,0xf87e2000,0x7fffe402,0x7ec99000,0x7ec01fff,0xf1003fff,
    0x9900ffff,0x00ffffec,0x3ff64c80,0x3f2001ff,0x3f200fff,0x6ffdcfff,
    0x00fffdc0,0xfc800132,0x6ffdcfff,0x3ffff200,0x0006ffdc,0x7fffec99,
    0x5fffb001,0x05ffff30,0x04ffff88,0x003ffff6,0xfffd87f3,0x43fffc82,
    0xf800ffff,0x13fffea0,0xff507c00,0x7e4009ff,0x6ffdcfff,0x3ffff200,
    0x7fffd800,0xff903f00,0x3e6007ff,0x3fee6fff,0x266204ff,0x80999999,
    0x201ffffd,0xfff907fa,0x00dffb9f,0x05f0fc40,0x00ffffc8,0x7ffd41f0,
    0x7ffe404f,0xfff3003f,0x541f00df,0x0004ffff,0x7fffd41f,0x3fff2004,
    0x3fff200f,0x406ffdcf,0x3601fffa,0x3f20002f,0x6ffdcfff,0x3ffff200,
    0x0006ffdc,0x7fffd41f,0x5fffb004,0x01bffee0,0x409ffff1,0x200ffffd,
    0x7ff42ff9,0x3fffc82f,0x2007fffc,0xffffe85b,0x742dc000,0x9000ffff,
    0x3e61ffff,0x3fff2006,0xfffd800f,0xf701f007,0x26009fff,0x3ea5ffff,
    0x2e205fff,0x2cfffffe,0x1cffffe8,0x0dffd731,0x4c3ffff2,0x3e20006f,
    0xff900be1,0x0b7001ff,0x401ffffd,0x004ffffb,0x80bffff3,0xffffe85b,
    0x742dc000,0x9000ffff,0x6401ffff,0xdf30ffff,0x02fff880,0x9999fff1,
    0xffc80357,0x00df30ff,0x987fffe4,0x85b8006f,0x800ffffe,0x3202fffd,
    0x3e203fff,0x3fa04fff,0x9999cfff,0x7c1fffca,0xffc84fff,0x07fffc3f,
    0x3fee07a0,0x0f4003ff,0x01ffffdc,0x20ffffc8,0x3ff2006a,0xffd800ff,
    0x80f8807f,0x005ffff9,0x447ffff5,0x9806ffff,0x64c5ffff,0xfffffffe,
    0x5fffffff,0x41ffff90,0x3e20006a,0xff900be1,0x03d001ff,0x407ffff7,
    0x005ffff9,0x807ffff5,0xffffb81e,0x5c0f4003,0x9003ffff,0x6401ffff,
    0x1aa0ffff,0x4c0fff20,0xffffffff,0xff901fff,0x003541ff,0x541ffff9,
    0xb81e8006,0xd803ffff,0x75402fff,0xff980cff,0x7f64c3ff,0xffffffff,
    0x30ffffff,0x89fffffd,0x7fc3fffc,0x33ea00ff,0xfffccccc,0x33ea007f,
    0xfffccccc,0xfff9007f,0x8083441f,0x800ffffc,0x8807fffb,0xdfffd00f,
    0x3ffff200,0x03ffff40,0x027fffc4,0x2013a600,0x220ffffc,0x3f100106,
    0x3ff2017c,0x67d400ff,0xfffccccc,0x7fff407f,0xffff9006,0x6667d401,
    0x7ffffccc,0x3333ea00,0x7ffffccc,0x1ffff900,0x07fffe40,0xff8820d1,
    0x3ffffa05,0x07ffffff,0x441ffff9,0xfff90106,0x0083441f,0x999999f5,
    0xb00fffff,0x2e005fff,0xffddeffe,0x88000bdf,0x40088000,0x7fc3fffc,
    0x2b3600ff,0xffdaaaaa,0x59b002ff,0xffb55555,0xff9005ff,0x2a8581ff,
    0x00ffffc8,0x00ffffa8,0xfff30354,0xfffd003f,0x5ffff307,0x4ffff880,
    0x03fe6000,0x03ffff20,0xf100550b,0x3f2017c3,0x66c00fff,0xfdaaaaaa,
    0x3e602fff,0xfe801fff,0x566c03ff,0xffdaaaaa,0x59b002ff,0xffb55555,
    0xff9005ff,0x7fe401ff,0x1542c0ff,0xfe803ff6,0xffffffff,0xffffc81f,
    0x641542c0,0x42c0ffff,0x5559b02a,0xffffb555,0x2fffd805,0x9abe9800,
    0xefd80001,0x0fff2002,0x3e1fffdc,0x0d300fff,0x06ffff88,0x7fc40698,
    0xffc806ff,0x0ec040ff,0x007fffe4,0x00ffffc4,0xfffb0136,0xefffa809,
    0x1ffff700,0x27fffc40,0x00df9000,0x103ffff2,0x3f1003b0,0x3ff2017c,
    0x01a600ff,0x80dffff1,0x5404fffd,0x2600efff,0x7fffc406,0x44069806,
    0xc806ffff,0x3200ffff,0x4040ffff,0x427fc41d,0xc980afe9,0xfffc80ff,
    0x40ec040f,0x040ffffc,0x2034c0ec,0x406ffff8,0x8002fffd,0x00001efa,
    0x9801bfa6,0xfff507fd,0x0ffffec9,0xffd803d8,0x01ec02ff,0x017fffec,
    0x003ffff2,0xfff901f5,0x3ff6001f,0x401b206f,0xf100fffc,0xfd801bff,
    0x3fe205ff,0x320004ff,0xffc802ff,0x07d400ff,0x05f0fc40,0x00ffffc8,
    0x3ff600f6,0x7fe402ff,0xbfff100f,0xd803d801,0x6c02ffff,0xffffd803,
    0x7fffe402,0x3ffff200,0x4c07d400,0x02fec0ff,0x7fe41be2,0x07d400ff,
    0x007fffe4,0x00f603ea,0x80bffff6,0x8002fffd,0x00005ffa,0x2a002fe4,
    0xfffd106f,0x5ffff9d9,0xf3003f30,0x7cc0dfff,0xffff9801,0x7fffec06,
    0x6c1fea01,0x2000ffff,0x88aefffd,0x2a000fda,0x7ec41fff,0x3faa004f,
    0xfff981cf,0x3e20003f,0x7fec02ff,0x1fea01ff,0x05f0fc40,0x00ffffd8,
    0xff3003f3,0xff500dff,0x4ffd883f,0x9801f980,0x2606ffff,0xfff9801f,
    0x7ffec06f,0x3fff600f,0x81fea01f,0x0ffdc4f9,0x3f603fd0,0x3ea01fff,
    0x3ffffb07,0x7cc3fd40,0xffff9801,0x0bfffa06,0x0027ec00,0x01ffa880,
    0x407fd510,0xff3fffe9,0x7f445fff,0xffff8803,0x03fe883f,0x3fffff88,
    0x33ffffa0,0xdffd7311,0x0bffffa0,0xfffff700,0x300019ff,0xdfdbdfd9,
    0x3b20005b,0xffeddfff,0xc80000bd,0xfd05ffff,0x26239fff,0x1006ffeb,
    0x3a017c3f,0xe882ffff,0xfff8803f,0xec9803ff,0x2defedef,0x803fe880,
    0x83fffff8,0xf8803fe8,0x3a03ffff,0x3a02ffff,0x311cffff,0x980dffd7,
    0x677f544e,0x200deedc,0x11cffffe,0x20dffd73,0x11cffffe,0x88dffd73,
    0xff8803fe,0xfff03fff,0xfb98009f,0x7900000f,0x0aba8003,0x64003300,
    0x983dffff,0xffffffec,0xbffff90e,0xfffd9307,0x3261dfff,0xfffffffe,
    0x5fffffff,0x3ffffb26,0x44003dff,0x00009aa9,0x00026a60,0x33555100,
    0x2e200000,0x3fb260bc,0xffffffff,0x005fffff,0x4c054151,0xffffffec,
    0xbffff93d,0xfffd9307,0x4001dfff,0x320009a9,0x983dffff,0xffffffec,
    0xbffff90e,0xfffd9307,0x3261dfff,0xdffffffe,0xffffd933,0xffffffff,
    0x0aa00bff,0x3006aa62,0xffffffd9,0xffffffff,0x7fff64cb,0xffffffff,
    0x3ff25fff,0xec983dff,0x0effffff,0x9fffffd3,0x000de400,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x3eeeeeea,0x3bbbbae0,0x55555404,0x4c00aaaa,0xeeeeeeec,
    0x7776c41e,0x77642eee,0xdddb34ee,0x99bddddd,0x73000057,0x40000981,
    0x0003eeea,0x05ed40aa,0xaaaa8055,0x000aaaaa,0x6c0b8855,0x4002eeee,
    0x804eeeed,0x0014c1b8,0x0000a980,0x2003bb30,0xaaaaaaaa,0x4000000a,
    0x2aa600cb,0x01aaaaaa,0x55555540,0x30000aaa,0x77775400,0x0005eeee,
    0x0000a002,0x0b22c980,0x01b30644,0x000000ae,0xffb00008,0x64c05fff,
    0x7fc400ef,0x1fffffff,0xffffd100,0x3fff9809,0x2637fec0,0xbaafffff,
    0x001efffc,0xbdfffd88,0x740001e9,0x740005ff,0xdffffe81,0x7ffc01eb,
    0x01ffffff,0xff14ffb8,0x7fff441f,0x2fff4003,0x2a3ffd00,0x540005ff,
    0xd00007ff,0x3fa00dff,0x3fffffff,0x3ea00000,0x3fff605f,0x004fffff,
    0x7ffffff4,0x5cc002ff,0xffa801cf,0x06ffffff,0x3ffb2a20,0x003643de,
    0x23ffd000,0x42fd44fa,0x80fec1ee,0x002dfec8,0x0beffeb8,0x7ffff400,
    0x00be201f,0x3fffffe2,0x32001fff,0x4c01ffff,0xffb801ef,0x86fffe86,
    0x003ffff9,0x7fffffd4,0x7c40006f,0x34c0006f,0x7fffffcc,0xffff806f,
    0x801fffff,0xfff56ffd,0x03fffc85,0x801fff40,0xffb3fff8,0xffd8000f,
    0x7c40001f,0xffd007ff,0x07ffffff,0x7fcc0000,0x3ffff606,0x4004ffff,
    0xfffffffe,0x9df5002f,0x2039dfbf,0xccccccc9,0xffe9803c,0x5fff931c,
    0x2ea001d7,0x81cdefec,0x57fa2ffb,0xff980ffb,0xf504fe89,0x009fd13f,
    0x7fe467f4,0x7ffe4006,0x07e00eff,0x64000000,0x2601ffff,0xff5000df,
    0x0dfffb0d,0x001fffee,0xffffb579,0xefb80005,0x41e40000,0xeffdb8ac,
    0x20000002,0x1bfa3ffa,0x000fffee,0x6c005ffd,0x07ff30ff,0x0fffb800,
    0x3ffc8000,0x00000000,0x0007ee00,0x00000000,0x323f3fdc,0x000001ff,
    0x2605fff7,0x8801ffff,0xd711bffd,0x22f417df,0x03fffff9,0x03fffff6,
    0xffa93fe6,0x747fc802,0x332002ff,0x205fffff,0x0000001e,0x01ffff90,
    0xf5000fea,0xdfffb0df,0x07fffe60,0x003a8380,0x0001dd00,0x310501f0,
    0x20000000,0xff701808,0xffe8007f,0x0440c002,0x01ca8000,0x00022000,
    0x7776c400,0x5c3deeee,0xccceeeee,0x00000001,0x7ff30000,0x203f90fc,
    0x037663eb,0x406fffa8,0x5c04fffc,0xff303fff,0x36079bff,0x7cc07fff,
    0xffd03fff,0x2037fc45,0x7fe46ff8,0x3eab2004,0x3d04ffff,0xeeeeed88,
    0x775c3dee,0xff904eee,0x05f701ff,0xb0dff500,0x3e20dfff,0x00004fff,
    0x002a0000,0x00016a00,0xefedca80,0x000002cd,0x000fffee,0x00005ffd,
    0x00000000,0xec980000,0x3deeeeee,0x1fffffcc,0x9803bf60,0xeeeeeeed,
    0xeeeeeeee,0x001c8000,0x43f1ffe4,0xfff881f8,0x260bffb1,0x4402ffff,
    0xf501ffff,0xffc809ff,0x7774c04f,0x05eec802,0x7c41fff5,0x3fea00ff,
    0x007fea0f,0xffff92c8,0x2603d05f,0x402fffff,0x3f200efc,0x0f6c0fff,
    0x86ffa800,0xf306fffd,0x40009fff,0x75c0001c,0x20037663,0x984ffec9,
    0xeeeeeeec,0x9ffb103d,0x0bbfae23,0xeeeeec98,0x7fdc3dee,0x3333263f,
    0x70bffa2c,0xbddddddd,0x3bbbb205,0x7777540d,0xeeeeeeee,0x776cc5ee,
    0xeeeeeeee,0x880eeeee,0x204fffff,0x400ffffe,0xff1002f8,0x95557fff,
    0x0001fffd,0xffd800bf,0x81c83f1e,0xffb1fff8,0x1ffff60b,0xdffffd10,
    0x03ffff10,0x005fffd0,0xff700000,0xfff3333f,0x1fffdc05,0x2c800df9,
    0x03fffff6,0x7fff403d,0x017c400f,0x443ffff2,0x2a0000de,0xfffd86ff,
    0x5ffff706,0x002fc000,0x363fff10,0x77dc05ff,0x880dffc8,0x204fffff,
    0xf304fffb,0x7c401bff,0xf704ffff,0xeff987ff,0x4c17ff41,0x806fffff,
    0xfb80cfe8,0xbaaaacff,0x102fffff,0x557fffff,0x01fffd95,0x807ffff6,
    0xf007fffd,0x7ffe4003,0x01ff700f,0x000ffb80,0x3ebfffee,0x47d70041,
    0xff880dd9,0x5e6c05ff,0x7ec2ffff,0xffb007ff,0x3fb201ff,0xd9104abd,
    0xfffb05bf,0x5ddddddd,0xbb7ffd40,0x164000df,0x1dffffd1,0xfffb00f4,
    0x9007e00f,0xff31ffff,0x7d40001d,0x6fffd86f,0x05fffe88,0x003fee00,
    0xd8fffc40,0x3fee05ff,0x207fff72,0x501ffffd,0xfb80bfff,0x7fec04ff,
    0xfff701ff,0x3fa0bf07,0xffff302f,0x40bd001f,0x3ff205fc,0x7fe405ff,
    0x1ff700ff,0x03ffff20,0x007fffd8,0x7fe4003f,0x03ee00ff,0x009ffd00,
    0x7fffffc4,0x5c000001,0x3205ffff,0x49ffff35,0x005ffff8,0xb07ffff9,
    0x09fd71bf,0x9fd13ff5,0x001fffe8,0xddffff10,0x30b20005,0x74bfffff,
    0x1ffff601,0x3f200fc0,0xffffcfff,0x3fea0005,0x16fffd86,0x19fffd53,
    0x27ff4000,0x4c7d7000,0xfff100dd,0x417fffa1,0x880ffffc,0xe802ffff,
    0x3f202fff,0xff700fff,0x3a04d87f,0x3ff602ff,0x07cc03ff,0x7fcc0bb0,
    0x7e401fff,0x3ee00fff,0x1ffff900,0x03fffec0,0x3f2001f8,0xf1040fff,
    0x7ffd4001,0x3ff6000f,0x3201efff,0x9931cccc,0x7fe41999,0x21d704ff,
    0x2a5ffff9,0x7004ffff,0xf989ffff,0xf317e21f,0xb17fd49f,0x40005fff,
    0xdb06fffe,0x0590bddd,0x27fffff5,0x3fff601e,0xc803f007,0xfffeffff,
    0xf50003ff,0xffffb0df,0x1bffffff,0xfffa8000,0x0000000f,0xad9b7fe4,
    0xfff902ff,0xffffb01f,0x3ffff200,0x1ffff900,0xc8fffee0,0x017ff404,
    0x01fffff1,0x807601f4,0x804ffffe,0x040ffffc,0x3ff201f1,0x3ff600ff,
    0x003f007f,0x207fffe4,0xfb0006c5,0xd8007fff,0x04ffffff,0x547ffff1,
    0x3f60ffff,0x0fa83fff,0xb9ffffe6,0x5004ffff,0xfc8dffff,0x3fa2d45f,
    0xc9bfe22f,0x98005fff,0x03fffffd,0x0b207ffb,0x4fffffdc,0x3fff601e,
    0xc803f007,0xffa9ffff,0xa8002fff,0xfffd86ff,0x0dffff76,0xffffb000,
    0x66664007,0x9999931c,0x596ffe81,0xfffc8022,0x7fffc40f,0xffff5005,
    0x3ffff207,0x27fff700,0x7ff402fc,0x7fffe402,0x0b00d504,0x037fffdc,
    0x40ffffc8,0xffc806c5,0x3ff600ff,0x003f007f,0x307fffe4,0x3e60008d,
    0x8006ffff,0xeffffffb,0x43fffd80,0x3f60ffff,0x0fcc3fff,0xd9ffffe6,
    0x3003ffff,0xfc8fffff,0xfa8a1eff,0x3ffe20ff,0x03ffff30,0xd3fd8837,
    0xf703ffff,0xfb016409,0x403fffff,0xf007fffd,0xffffc803,0x1fffff90,
    0x86ffa800,0x3f66fffd,0x20004fff,0x06fffff9,0x8ffffe20,0x7c0ffffa,
    0x6400f7ff,0x7d40ffff,0xf3004fff,0x3f209fff,0xff700fff,0x01fff99f,
    0x22017ff4,0x440fffff,0x3e20002e,0x9002ffff,0x34c1ffff,0xffffc802,
    0x1ffff600,0xf9000fc0,0x035c1fff,0xfff97900,0xfd10005f,0xf90bffff,
    0xffff87ff,0x93fffee0,0xfff982f8,0x3ffff67f,0xffff1003,0xfffffa8f,
    0x99fffb83,0x3a2fff99,0x950bffff,0x3e65fe88,0x36c0efff,0xfe880b20,
    0x3601ffff,0x3f007fff,0x0ffffc80,0x03bffff6,0xd86ffa80,0x3fe26fff,
    0x90002fff,0x05ffff97,0x21fffec0,0x3e20ffff,0x2004bfff,0x5c0ffffc,
    0x3003ffff,0x320dffff,0xf700ffff,0xbfffffff,0x4017ff40,0x645ffffb,
    0x7fec0005,0x3f2005ff,0x01ae0fff,0x00ffffc8,0x401ffff6,0x3ff2001f,
    0x00dd30ff,0x3fe23e20,0x3e0005ff,0x640fffff,0x7ffc3fff,0x3fffea0f,
    0x3ea07d14,0x3ff26fff,0xff3003ff,0xfffd0dff,0xfffd8bff,0x2eeeeeee,
    0x3fffffe6,0x43ffe86f,0x225ffffd,0x2016401f,0x01fffff8,0x401ffff6,
    0x7ffe401f,0x3fffa20f,0x3fea005f,0x46fffd86,0x00fffffa,0x7fc47c40,
    0x3f2005ff,0x7fffc3ff,0x0fffff40,0x1ffff900,0x03ffffd8,0x0fffff10,
    0x403ffff2,0xff8dfffb,0x5ffd03ff,0x3ffffa00,0x40001f11,0x00fffffa,
    0x43ffff20,0x3f2006e9,0x3f600fff,0x03f007ff,0x67fffe40,0x90006ffd,
    0x0ffffec9,0xfffbf800,0x1fffe43f,0xf883fffe,0x409d5fff,0x2e3ffffb,
    0x3004ffff,0xd10bffff,0x749fffff,0x22001fff,0x40cffffe,0x7c44fffa,
    0x07d4ffff,0xff300590,0x7fec03ff,0x803f007f,0x4c0ffffc,0x003fffff,
    0xffb0dff5,0xffff90df,0x364c800b,0x9001ffff,0xfff87fff,0x37ffec0f,
    0x3ffff200,0x1ffffec0,0x7ffff880,0x01ffff90,0x7d4fffee,0xffe80fff,
    0xffff5002,0xd0000f6b,0x8007ffff,0xfdcffffc,0x3ff2006f,0x3ff600ff,
    0x003f007f,0x6e7fffe4,0x1f0006ff,0x027fffd4,0x3e67e026,0x7ffe46ff,
    0x207fffc3,0x05defffe,0x307fffe4,0x200bffff,0x103ffffa,0x21fffffb,
    0x8002fffd,0x3ff205f9,0xffff986f,0x05b005ef,0x807ffee0,0xf007fffd,
    0xffffc803,0xfffffb81,0x86ffa802,0xfd07fffd,0x7c007fff,0x13fffea0,
    0x21fffe40,0x7dc0ffff,0x90182fff,0xfc81ffff,0xf3003fff,0x3f20dfff,
    0xff700fff,0x37ffec7f,0xd0017ff4,0x00d9ffff,0x6ffffc80,0xffffc800,
    0x2006ffdc,0x200ffffc,0xf007fffd,0x7ffe4001,0x000df30f,0xffffd0b7,
    0x8fc15c01,0x7fe46ffc,0x07fffc3f,0x01bfffe2,0x3a13fffa,0xf9006fff,
    0x5c281fff,0xff92ffff,0xff8800bf,0x3ffff600,0xfffffa81,0x400bf004,
    0x3f601ffd,0x01f007ff,0x01ffffc8,0x05fffffb,0xfe86ffa8,0xfff307ff,
    0x0b7003ff,0x001ffffd,0xff87fff9,0xfffe80ff,0x904b88af,0xfb81ffff,
    0xf3004fff,0x3f20bfff,0xff900fff,0x7fffc49f,0x0017ff43,0x05fffff3,
    0x7fffcc00,0xffc8001f,0x00df30ff,0x007fffe4,0x100ffffb,0x7fe4001f,
    0x001aa0ff,0x3ffee07a,0x3e16e03f,0xfc89ff71,0x7fffc3ff,0x04fffb80,
    0x4077ffcc,0x801ffff9,0x3c83fffe,0xf997ffcc,0x81b81fff,0x7fe407fb,
    0xffc81fff,0x86e0dfff,0x3a000ff9,0x3fff601f,0x400f8807,0x503ffffe,
    0x05ffffff,0x3e237fd4,0xf700ffff,0xe801dfff,0x3ffffb81,0x43fffc80,
    0xf880ffff,0x05ffffff,0x303ffff2,0x200bffff,0x903ffffa,0x3601ffff,
    0x7fdc5fff,0x0bffa1ff,0x1ffffb00,0x7fff4000,0xfc80804f,0x01aa0fff,
    0x00ffffc8,0x201fffee,0x3f2000f8,0x41a20fff,0x9999f500,0x0fffff99,
    0x647e17dc,0x7ffe40ff,0x807fffc3,0x3a02fffe,0x3f600fff,0x7fd404ff,
    0x40fb80ef,0x3ffa0ffd,0x20950bff,0x3e602ffc,0x10afffff,0xfffffff7,
    0x3ffaa9bb,0xf8801dff,0x1fffee01,0x32603e20,0xdffffffe,0x3ffffae2,
    0xfa82efff,0xfffd936f,0xfb05bfff,0x2a07ffff,0xfccccccf,0xfc807fff,
    0x7fffc3ff,0xdfffdb00,0x7ffe4019,0x6fffe80f,0x1ffff900,0x03ffff20,
    0x57fffff6,0x4fffffd8,0xc8005ffd,0x0000ffff,0x01dffff7,0xfffc81b8,
    0x4041a20f,0x200ffffc,0x400ffffa,0x7fe4006a,0x1542c0ff,0xaaaaacd8,
    0x02ffffda,0x54fc5ff7,0xfffb82ff,0x407fffc3,0x41fffdf9,0x800dffd9,
    0xf100fffc,0x3ee01bff,0xf313fa1e,0x0dffffff,0x701fffc4,0xdfffffff,
    0xffff75df,0x09800dff,0xffa80260,0x035400ff,0x00002600,0x8801bfea,
    0xacd80000,0xffdaaaaa,0x7fe402ff,0x07fffc3f,0x000a8bc4,0x301ffff9,
    0xd003ffff,0x7e407fff,0x31000fff,0x017ff400,0x03ffff20,0x3fffe200,
    0xc80f802f,0x42c0ffff,0xffffc82a,0x3fffe200,0x20026c01,0x040ffffc,
    0x2034c0ec,0x306ffff8,0xfdfbfff9,0x3ffea01b,0x07ffff64,0x3ff225f1,
    0x01bdfedf,0x20fffd40,0x5c04ffd9,0x04ffefde,0x19ffffd1,0x5ffffb80,
    0xfffffd50,0xfffe985d,0x77fc000e,0xfff88001,0x0026c01f,0x001bff10,
    0x0037fd40,0x20005df9,0x7ffc4069,0x7ffdc06f,0x407fffc3,0xff90004b,
    0x3ff601ff,0x7ffd404f,0x3fff200e,0x9ff5000f,0x005ffd00,0x00ffffc8,
    0x5ffffd80,0xff907a80,0x1d8081ff,0x00ffffc8,0x9037ffec,0xfff9000d,
    0x80fa801f,0xfffd803d,0x7d4cc02f,0xfffe8802,0x2ffffcec,0x1a9881e4,
    0xfec98000,0x02deffde,0x40066088,0x54400198,0x554c00bc,0x0054c009,
    0x004ffa80,0x40dfffb0,0xfb80006c,0x3ee0003f,0x3f66006f,0x007b0006,
    0x405ffffb,0x3f64fffa,0x01e81fff,0x1ffff900,0x807ffe40,0x400dfff8,
    0x000ffffc,0xe801ff91,0x7e4002ff,0x4c000fff,0x400fffff,0xfff907e8,
    0x80fa801f,0x800ffffd,0x88aefffd,0xd8000fca,0x2a01ffff,0x801f987f,
    0x006ffff9,0x7f4c007e,0xfffff3ff,0x00000005,0x00026a60,0x00000000,
    0x00000000,0x00027ec0,0x115dfffb,0x00001fb5,0xb8000bfa,0x7dc006ff,
    0x01f98006,0x06ffff98,0x3b3fffa2,0x4c2ffffc,0x3ff60006,0x7fd400ff,
    0x27fec41f,0x0ffffd80,0x003fe600,0xd8005ffd,0x4000ffff,0x403ffffe,
    0xffb06ffa,0x3fd403ff,0x02ffffe8,0xffffff70,0x3a00019f,0x311cffff,
    0xe88dffd7,0xfff8803f,0x000003ff,0x00000066,0x00000000,0x00000000,
    0x00000000,0x007fdcc0,0x3fffee00,0x0000cfff,0x0006fc98,0x00dffd33,
    0x000bfaa2,0xf1007fd1,0x4c07ffff,0xfff3fffe,0x001645ff,0x05ffffd0,
    0xdbdfd930,0x74005bdf,0x8802ffff,0xfe804fda,0x3fa001ef,0x2e002fff,
    0x999fffff,0xfffda999,0x9ffffd05,0x3ffae623,0x3fffb266,0x1003dfff,
    0x00013553,0xfffffd93,0xffffffff,0x7fffe4bf,0xffec983d,0x000effff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x000de400,0x26aa6200,
    0x59100000,0x55540003,0x377002aa,0xfffc8001,0xfec983df,0x00efffff,
    0x01500066,0xfffec980,0x2003dfff,0x260009a9,0xffffffec,0x02b2a03d,
    0x15555540,0xffffd970,0x44019bff,0xffffffff,0xffffffff,0x3ffb264f,
    0xffffffff,0x0005ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20088000,0x01100400,0x40002000,0x01300008,0x2a355100,0x0800002a,
    0xb02776c0,0x22012605,0x544002dc,0x0015531a,0x6c000000,0x000004ee,
    0x00aaaa80,0x001f76c0,0x00000000,0x00601801,0x2aaa6001,0xaaa88001,
    0x04000002,0x00000110,0xdd700000,0x5540001b,0xaaa800aa,0x1310000a,
    0x98800988,0x83555300,0xf80f506b,0xd9307b02,0x541ddddd,0xa801cffd,
    0x2002eeee,0xfd8002fb,0x4009ff0f,0x11eeeeec,0xff703bfb,0x0fee03ff,
    0xbf8807f5,0x3ee004da,0x880dfd1f,0xeefffdba,0xeeeeeeee,0x3ee05eee,
    0x20001fff,0x4400cfea,0x5c005fff,0x8000ffff,0x01befeca,0x2a599997,
    0x0b903dfd,0x904d81ae,0x3bffa00b,0xfffb8000,0x3fb6a002,0x2b700bef,
    0xdfffedb9,0x3332600b,0xbeeb88cc,0x807ff900,0x004ffff8,0x4017ffe0,
    0x0003fffa,0x02fb83fb,0xffb00fd8,0xacef981d,0x7ec06fdb,0x02fecabd,
    0x43ffffa2,0x5ffb9bfd,0x3e63ff20,0x05f9803f,0x3ea3ff00,0xfff88006,
    0x8dfffb1f,0x05fffff8,0x07fe53fa,0x00f892e0,0x3fe27fd0,0x37ffe600,
    0xfffffc9a,0xffedbaae,0xfffff107,0xf886200b,0x7d403fff,0x7fc4005f,
    0x22004fff,0xfffa9afd,0xcfffd883,0x83fffffc,0xfdbabdfa,0x2af7ee04,
    0xf8803fdc,0xfd0000ef,0x3fa2005f,0x03ffd32f,0x1139fff7,0x405fffb5,
    0xeeaffffa,0x7c40ffff,0x3f200fff,0x8000ffff,0x54005ffa,0xfd0005ff,
    0xdf003fb0,0x403ffe20,0x1ffffffc,0x7ffffc40,0xfffc805f,0xffb83c8f,
    0x3e6ff983,0x07f401ff,0xf927d400,0x3ffa0003,0x1ffffd1f,0x7fd477e4,
    0xfffff501,0x0f879005,0x3ee5f880,0x0fffee02,0x413fffee,0x1df907fd,
    0x5d003ff5,0x037fffcc,0x320017f6,0x01ffa8ef,0xffc8dfb0,0xffffb81f,
    0x07fff98d,0x1ffffffd,0x7ffff440,0x1ff7006f,0x0bfe2000,0x5c4ffd80,
    0x1ffb86ff,0x037fff20,0x98fffffc,0x7fd46ffe,0x7ff302ff,0xb0009fd1,
    0xf70001df,0x6f88001f,0x3f9807e8,0xb803ff50,0x3001dffe,0x0017fffb,
    0x0d9ffff9,0xf907ffe2,0x027ffcbf,0x320007f7,0xd0001fc6,0x3fee3fff,
    0x41bf12ff,0x3ffa05f9,0x13d3006f,0x83ee00b7,0x3fff205e,0x9ffff105,
    0x6fc43e40,0xf9017a60,0x0ffffe85,0x8001df10,0x02fcc5f9,0xf717ffcc,
    0xfff707ff,0x80ffff8d,0x01cfffc8,0x0cfffc88,0x0003fd00,0xf3001fdc,
    0xfff885ff,0x6c00fdc2,0xffd04fff,0x3fffb87f,0x407fffea,0x007ec1fd,
    0x80003be0,0x7cc003fb,0x64037c44,0x003fb01f,0x28800054,0x7fffe400,
    0x3fffa01f,0xfe97ffa0,0x00bf305f,0x00910e40,0x21fffd80,0x0970fba9,
    0x77540762,0x3fae001e,0xc857000d,0x5ffff300,0x13fffe20,0x825c3cc1,
    0x5ff301d8,0x4c0db350,0x03c8000c,0xff8801b1,0x0fffee3f,0xfd13ffee,
    0x00a803ff,0x4000a880,0x15c0001c,0x17ffee00,0x0970fffe,0x07fffe60,
    0xf307fff6,0x7ffc4dff,0x900d980f,0x00644007,0x20015c00,0x027cc3fb,
    0x0039037c,0x80000000,0x403ffffc,0x3fa3fffd,0x417ffa5f,0x000000fe,
    0x7ffec000,0x00006c81,0x00020000,0xffffb000,0x44ffff80,0x50000344,
    0x1f405fff,0x00000000,0x6c42f6a0,0xffb84fff,0x0fffec4f,0x00000000,
    0x80000000,0x7c0ffffb,0x0015c0ff,0xfb0dfffd,0xfff883ff,0x0037ffc7,
    0x00000000,0x41fd8000,0x27cc02fb,0xfec88000,0x9999902d,0x33333263,
    0x1ffff900,0x26fffc80,0x3ffa5ffd,0x4003fb84,0x931ccccc,0x26019999,
    0xfffb4eec,0xfd907d03,0x2e20957b,0xcc80adfd,0x99931ccc,0x3b260199,
    0xff980bdf,0x7ffc05ff,0x8802344f,0xb80adfdb,0x2ccdffff,0x6dc403e6,
    0x665c0adf,0x99954ccc,0x332e3999,0xfbf9100c,0xfff709ff,0x81fffd89,
    0x01befeca,0x0bdfec98,0x5eff64c0,0x77edc400,0x7bfd910c,0x1dffff30,
    0x0021bfe6,0x85ffff90,0xff81fffd,0x13ff60ff,0x26399999,0x640ccccc,
    0x9931cccc,0xccc81999,0x999931cc,0x7f775419,0xeffeeeef,0x203f701e,
    0x84abdfec,0x4fe89ffa,0x23ffff88,0x900ffffa,0xc801ffff,0xff70ffff,
    0x260fffcd,0xff88005f,0x3ffea3ff,0xbeffb80f,0x41fffeed,0x46fec0dc,
    0xff984feb,0x440fff9a,0x3ea3ffff,0xffa80fff,0x5c1ffb8b,0x7c04ffff,
    0x01e24fff,0x7fcd7fcc,0x3fffa60f,0x7d13eeef,0x3e6bfe60,0x3ff620ff,
    0x3fff20ff,0xb80fec1f,0x4fffb9ff,0x6c4fffb8,0x3f621fff,0x03fffa9a,
    0x3ee2ffea,0x17ff501f,0xfb103ff7,0xf7fff537,0xd0bfd33f,0xf93fffff,
    0xf700001d,0xffd87fff,0x1ffff81f,0xff10bfee,0x7ffd47ff,0x7fffc40f,
    0x03fffea3,0x547ffff1,0x3ea0ffff,0xffffffff,0xfd01ffff,0x3ae37f60,
    0x527fcc4f,0xfffb05ff,0x00ffff87,0x801ffff9,0x3a1ffffc,0xd0bff17f,
    0x3f60001f,0x7fffc3ff,0x90fffcc0,0x3a23ffff,0x221ff984,0xd1ffcc5f,
    0xfffb09ff,0x40ffff87,0x7ff46ffa,0x0fffff20,0x6c9ffff0,0x23ff9807,
    0xffd84ffe,0x9817542f,0x13ffa3ff,0x441ffff1,0x2642ffff,0xfb87ff44,
    0xfffb84ff,0xb0fffec4,0x1fffc8df,0x7f46ffa8,0x237fd40f,0x37f40ffe,
    0x98bfffea,0x7ffcc3ff,0x0004ffff,0x13fffea0,0xff03fffb,0x80ff98ff,
    0x7fc3fffd,0xfffd80ff,0x407fffc3,0x7fc3fffd,0x89f300ff,0x27c406f8,
    0xbf10ffcc,0x3e22ffe8,0x3fffc86f,0xc807fffc,0x6400ffff,0x3622ffff,
    0xfb83fdcf,0x3ff20003,0x07fffc3f,0x3fa1bffe,0x320131ff,0x3a2d45ff,
    0x1ffee1ff,0xff0ffff2,0x4ffe81ff,0xffd37fe4,0xfff807ff,0x807fecef,
    0x3fee1ffe,0x42fffd87,0x70fff401,0xfffb0fff,0x44fffe87,0x24ffd80e,
    0xfb84fffb,0x7ffec4ff,0x5c5fff31,0xffe83fff,0x3a37fe44,0x37fe44ff,
    0x7c45fff3,0x7ffc0fff,0x7ffff4c0,0xeeeec85f,0xeeeeeeee,0x46ffffee,
    0x7c41fffd,0x907f86ff,0xfff87fff,0x3fffc80f,0x6407fffc,0x7ffc3fff,
    0x987f700f,0x417dc04f,0x52d45ffc,0x7fc41fff,0x1fffe40f,0x6403fffe,
    0x6400ffff,0xa882ffff,0x885f8809,0x3f202cdb,0x7fffc3ff,0x217ffe60,
    0xc801fffd,0xa8a1efff,0x3fa20fff,0x43fffc84,0x3ee0ffff,0x7ffdc3ff,
    0x05ffffd1,0xfdeffff8,0x7ffd407f,0x3613fa20,0x2a002fff,0x3fa20fff,
    0x26fff984,0x267fffe9,0x23fff886,0xfb84fffb,0x7ffec4ff,0x5c7fff11,
    0x7fdc3fff,0x8fffdc3f,0x7dc3fffb,0x7fff11ff,0x7c3fffc4,0xfff981ff,
    0x7fec5fff,0xcccccdff,0xffffdccc,0x20fffec6,0x5e85fff9,0xf87fff90,
    0xffc80fff,0x07fffc3f,0x3e1fffe4,0x3fb00fff,0x3f402fb8,0x21efffc8,
    0x267ffee2,0x642fff99,0x7ffc3fff,0xffff900f,0xffffc801,0x40fe8001,
    0x0efb9ffa,0x7c3fffc8,0x3fea0fff,0x1fffd84f,0xfffffa80,0x80fffc83,
    0x87fff900,0x3f20ffff,0x7ffdc3ff,0x05ffff93,0xd14ffff8,0x0fffc80f,
    0x5fffb008,0x07ffe400,0x3fffd004,0x4bfffab2,0xefffb83b,0x84ffffca,
    0x7ec5fffb,0x42f6a1ff,0x644fffd8,0x7fdc3fff,0x87fff93f,0x36a3fffb,
    0x3bffea0b,0x3ffe9999,0x7ffdf7d4,0x3fff25ff,0xfffa803f,0x27ffec5f,
    0x3607fff2,0x87fff904,0xfc80ffff,0x7fffc3ff,0x43fffc80,0xfd00ffff,
    0x7c403f90,0xfffff505,0xddfffb07,0xc85ddddd,0x7ffc3fff,0xffff900f,
    0xffffc801,0x21fdc000,0xdff15ff8,0xf87fff90,0x3ff20fff,0x1fffd83f,
    0xfffffd00,0x01fffd8b,0xf0ffff20,0x7fec1fff,0xafffdc2f,0x403ffffa,
    0x1e64ffff,0x003fffb0,0x0017ffec,0x8003fffb,0x2ed4fffb,0x301d5fff,
    0xf5bfffff,0x7e41bfff,0x7ffec6ff,0xffbf9101,0x2fffd89f,0xfdafffdc,
    0x7ffdc2ff,0x3ff7aa05,0xeeeeeeff,0x5c7ff63e,0xf71fffff,0xf5007fff,
    0xffd87fff,0xfffa9cef,0x3f207703,0x7fffc3ff,0x43fffc80,0xfc80ffff,
    0x7fffc3ff,0x33ff3260,0xcccffccc,0xfd017d40,0xfe8bffff,0x3f2001ff,
    0x7fffc3ff,0x1ffff900,0x07fffc80,0x7ec2fc40,0x90bffe4f,0xfff87fff,
    0x0ffff60f,0x4007fff6,0x4fffffe8,0x800bfffa,0x7fc3fffc,0x3fffa0ff,
    0x8afffdc2,0x7c04ffff,0x08344fff,0x4005fffd,0x2002fffd,0x4002fffe,
    0x14affff8,0x40b5ffff,0x3f22effc,0x3fff20ef,0x3fff65ff,0xfb9ffb81,
    0x7fff44ff,0xeafffdc2,0x7fdc2fff,0xf2fe985f,0x3e600fff,0x7fffd47f,
    0x07ffff53,0x85ffff70,0xffc9fffd,0x406603ef,0x7fc3fffc,0xfffc80ff,
    0x407fffc3,0x7fc3fffc,0x3ffea0ff,0xffffffff,0x007ec1ff,0x9fffffd1,
    0x0017ffec,0xff87fff9,0xfff900ff,0xfffc801f,0x407f4005,0x3ffe4ffe,
    0x21fffe44,0x3f20ffff,0xfffd84ff,0x3ff62001,0xfffb0fff,0x7ffe4009,
    0xb07fffc3,0xffb85fff,0x17fffa4f,0x489ffff0,0x9fffb1b8,0x17ffec00,
    0x09fffb00,0x3ffffd00,0x017fffec,0x0017dc04,0x221fffd8,0xfff70ffe,
    0x42fffd89,0xffb4fffb,0x4fffb85f,0xfff0ffe4,0xdff9001f,0x22bfffb0,
    0xc804ffff,0x7ec0ffff,0x003511ff,0x43fffc80,0xfc80ffff,0x7fffc3ff,
    0x43fffc80,0x2620ffff,0xfb999bfc,0x2fc4199d,0x7fffec40,0x0bfff90f,
    0x21fffe40,0xf900ffff,0x20981fff,0x2002fffc,0x9fff03fb,0x3f22fffc,
    0x7fffc3ff,0x217ffee0,0x2801fffd,0xb97fffdc,0x9000ffff,0xfff87fff,
    0x0bfff20f,0x7dc7fff7,0xff100fff,0x0e8089ff,0x001ffff7,0x800bfff6,
    0x000ffffb,0x2a37ffdc,0x8000ffff,0x360005fb,0x3ff61fff,0x913ffee4,
    0xffb85fff,0x85fff93f,0x3f23fffb,0x1ffff44f,0x5c2fff40,0x3fee5fff,
    0xfffe805f,0x01fffd83,0xff900880,0x0ffff87f,0x7c3fffc8,0xffc80fff,
    0x07fffc3f,0x0bee0fec,0x70a03fa8,0x3e65ffff,0x41b81fff,0x7fc3fffb,
    0xfff900ff,0xc97fdc1f,0x3e2006ff,0xf97ffa05,0x7ffdc4ff,0x307fffc3,
    0xffd0dfff,0x9879003f,0xfff32fff,0xfb8110bf,0x7fffc3ff,0x90fffe60,
    0xffd81fff,0xffff103f,0x3e67b80b,0x40885fff,0x2002fffc,0x885ffff9,
    0x09fff100,0x2000bfff,0x2e6004fe,0x221fffb0,0x3fee3fff,0x1fffcc4f,
    0x7cc3fff2,0x7ffe43ff,0xb85fff10,0x25306fff,0xff886ffd,0x07fff43f,
    0x20dfff30,0x4001fffd,0xffb84ffc,0x07fffc3f,0x3e1fffdc,0xffb80fff,
    0x07fffc3f,0x00fec3f4,0x21e401fb,0x3fa2fff9,0x0950bfff,0x7ec9fff5,
    0xff901fff,0xaffec3ff,0x3a002ffc,0x97ff600f,0x7fd42fff,0x3ffff64f,
    0x717fff41,0x7005ffff,0x20ffd81f,0x30cffffd,0x4fffa81b,0x907ffff6,
    0x4ffd89ff,0x80effe88,0x205ffff9,0x7ffec6fb,0xc81b30cf,0x00533fff,
    0x219ffffb,0x3ff600d9,0x002ffc81,0x2001ffd0,0x4fffd4fe,0xfcaefffb,
    0xffc84fff,0x3227fec4,0x27fec4ff,0x221dfff7,0x22effffc,0x03ffea6a,
    0xfa81dff5,0x3ff605ff,0x3fffd00e,0x7fffc400,0xb27ffd40,0xf503ffff,
    0x7ffec9ff,0x4fffa81f,0x107ffff6,0xf80ff0df,0x3607dc06,0x3ffe60ff,
    0xd106ffff,0xff9d9fff,0x3ffa05ff,0x5bfee2ff,0x3ee002fd,0x8b7fc403,
    0xffe886ff,0xffffcecf,0x5f7ffcc2,0x1efffeec,0xfd0f7dc0,0xffffe889,
    0xfe880fff,0xfffcecff,0x87ff442f,0x3200dff9,0x3faa1eff,0x9889ffff,
    0x7445ffea,0x0fffffff,0x5cffff88,0xffffd100,0xfa801fff,0x000ff306,
    0x400f7fdc,0x45ffd5fd,0xadfffff9,0x220dffff,0xbff30ffe,0x30ffe881,
    0x7fd41bff,0xfabfefff,0x1ffeffff,0x3f627fec,0x7ffd101f,0x067fec41,
    0x005ffff0,0x207fffc4,0xcecfffe8,0xe882ffff,0xffcecfff,0xffe882ff,
    0xffffcecf,0x3e227cc2,0x700fe606,0x427f43df,0x0cffffe8,0x4ffffa60,
    0x932fffff,0xbffffffd,0x0bbbff69,0x5006f880,0x01df73ff,0x7cffffa6,
    0x74c2ffff,0xffd8dfff,0x6f5c02cd,0xb104ffef,0x403bffff,0xff3fffe9,
    0xff905fff,0x26009ffb,0xfffffedb,0xffffffff,0xd884ffff,0x201dffff,
    0x000dffd9,0x37ffff62,0x7407f001,0x7fec0004,0x3fa603ff,0xffc83efd,
    0x03bff22e,0x27feffe4,0x3ff7ff20,0x9ffffb04,0x7ffff541,0x9dff700d,
    0xd70019ff,0x5bffdbff,0x7fffdc40,0xffb0009d,0x3fffa609,0x05fffff3,
    0x3e7fffd3,0xe982ffff,0xffff3fff,0x2a17dc5f,0x007f204f,0x9ffdfbd7,
    0x40019880,0x40000019,0xec8000a8,0x37722000,0x00033003,0x00130544,
    0x40066088,0x0cc00198,0x002a6000,0x01333100,0x01988000,0x22000040,
    0x00980019,0x22000026,0x151002cb,0x80040100,0x54c000a9,0x400a8800,
    0x2a6000a8,0x2a60001a,0x5551000a,0x40015555,0x00198009,0x20000cc0,
    0x054c0019,0x02a806a2,0x00066088,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x22000400,0x7774c009,0x05555401,0x00000000,0x00200000,
    0x00c00310,0x0ae01b30,0xed880000,0x2aa2003e,0x1555502a,0x98800000,
    0x00020000,0x0017d710,0x00401100,0x3bba6000,0xaaa98001,0x06aaaa01,
    0x26006000,0x554c0000,0x0020001a,0x00000800,0x00008031,0x00000000,
    0x4005bd50,0x6d43eeda,0x007f4007,0x3017fffa,0xa800bfff,0x3d10defc,
    0x2d987d30,0x0b7f6a20,0x4c00fb50,0x7ffdc05f,0x1ed803ef,0x65400fec,
    0x6400bdfe,0x9000ffff,0x3ea03fff,0xfeb803ff,0x03fa002e,0xeffdb980,
    0xace8001c,0xeb88006d,0x21bcefff,0x00bfee06,0x0037fff4,0x10077ff4,
    0x1000bfff,0x19ffffd9,0x40001fb0,0x2000effe,0x1ceffdb9,0xffdb8800,
    0x36e6000d,0x0bdffffe,0x77f5c095,0x00aaaabd,0x6f7f6e54,0x5df7002c,
    0x403fffc4,0x6dc1dfeb,0x3f2007ff,0x7fffdc02,0x3ffcc02f,0x89efe880,
    0x301ffcfe,0x405d95dd,0x1df72ff8,0x007ffdb8,0x6f4403fa,0x01dfff70,
    0x7f44ffcc,0x88dfc804,0xff300eff,0x3a009fff,0x7fd401ff,0x7fef6406,
    0x02fc800f,0x337dff50,0x2009ffb7,0x9000f45a,0x5339dfff,0x220dfffb,
    0x5400ffff,0x002fffff,0x2003bfe2,0x4c007ff9,0xfff70efe,0x0002fb83,
    0x2001dff1,0xb99beffa,0xf5004ffd,0x03ffffff,0x417fff70,0x84feffc9,
    0xfd8afff9,0xb102ffff,0x3ae239ff,0x3fe202ef,0x3fffea7f,0x03ffd101,
    0xf3007fe8,0x94ff880b,0x5ff300df,0x4c1ffb00,0x2201ffff,0x6fd805ff,
    0x7f413fe2,0x405f9007,0x7ffec5fd,0x7fffec05,0x17fdc00f,0x3f60dff7,
    0x400ffb8d,0xf5002ff9,0xfa8e201f,0x02fcc02f,0x4c00bfc8,0x225c01ef,
    0xffe9802d,0x1bfe602f,0x007fffcc,0x1bf29ff1,0x000ffb80,0xf800bfe6,
    0x37ffc3ff,0x5c0017e2,0x7f9000ff,0x01ef9801,0x3fffbfe2,0x3fa606ff,
    0x3fa200ef,0x1fffc44f,0x0133fff1,0x2609fff7,0xf980dfff,0x3ffe0fff,
    0x03fff306,0x3a00ffd0,0x217e400f,0x5f9802fb,0x7c37fec0,0x9d501fff,
    0x7fd405ff,0x7417ff44,0x05f9807f,0xff707ffc,0xfff980ff,0x7ffcc03f,
    0x517ffe21,0x404fa89f,0x7dc002fc,0x00bf7003,0x7f9001fd,0x0077cc00,
    0x201aa5f1,0x803ffff8,0x3ffa06f9,0x2e1fe405,0x03fd002f,0x200bf300,
    0x7f42fff9,0x003f40ff,0xf9001fe8,0x077cc007,0x3ffa61d8,0xfff880ff,
    0x4fe8802f,0x3e17ffe4,0xfff504ff,0x4fffb80b,0xc98bffd0,0x2fff880c,
    0x900ffd00,0x01d8805f,0x812600b5,0xfe84fff8,0x86f441ff,0xfff01ffa,
    0xe86ffd89,0x00fe807f,0xf98bffe2,0x76400fff,0xfffb805e,0xb07fffc0,
    0xb8036607,0x80750002,0x6404ffb8,0x8bfa802f,0xceecdeed,0xd5017e61,
    0xffd003bf,0x035c00bf,0x03b100aa,0x00e4016a,0x2e009300,0x7ff42fff,
    0x0017dc0f,0x3fa800e4,0x5e6f7f5c,0x0370bf36,0xb01ffff3,0x4400bfff,
    0x0fffec4f,0x3e21fffa,0xfe802fff,0x005502ff,0x400dffb0,0x2fcc07fe,
    0x00000000,0x3a0fffea,0xe8181fff,0x7ffc41ff,0x743ffec3,0x017e407f,
    0xff3077e4,0xb00000df,0xffe81fff,0x0000001f,0x3f620000,0x0bf304ff,
    0x6ff98fa0,0x7cc5ffb1,0xf7000802,0x44003fff,0x00000006,0x00000000,
    0xfd0bfff2,0x009f30bf,0x11f40800,0x3ec43bfd,0x7f4005f3,0xffffb86f,
    0x36264001,0x7ff41fff,0x07fffd86,0x01ffff90,0x3ffee000,0x01ffa003,
    0x64c001fd,0x4c00bdfe,0xc80bdfec,0xffe83fff,0x32ae601f,0x3fea0eff,
    0x0fffec3f,0x5f981ffa,0x3fea0200,0x6666644f,0x19999931,0x6c1ffff8,
    0xec883fff,0x764402df,0x764402df,0xff9802df,0x1001fd07,0x337fc41f,
    0x505d8dff,0x4037dfd9,0x8007fffe,0xa8004402,0x801befec,0x01befeca,
    0x1befeca8,0x217ffec0,0x0fd02fff,0x6f7ee440,0xd07c4971,0xbb1e60df,
    0x40fffc00,0x8007ffff,0x0fffd438,0xff113ffa,0x3ea00bff,0x00883fff,
    0x54ffff40,0x1ffa01bb,0x2a002fb8,0x1ffb8bff,0xf717ff50,0x2fffd83f,
    0xa81fffe8,0xfffebdff,0xb0fffee4,0x7fe85fff,0x00003fa0,0xf881dffb,
    0x3fea3fff,0x7fffc0ff,0x22fffe41,0x4fe89ffa,0xfd13ff50,0x227fea09,
    0x4fc804fe,0xd5002fb8,0x7fc4dff0,0xfb107dc7,0x07fff535,0x00dffff5,
    0x88055000,0xfffa9afd,0x535fb103,0x36207fff,0x3fffa9af,0x4cbfff60,
    0x3f200cfd,0x8cff9801,0x3546dffa,0x22407ff7,0xff9800fb,0x6ffff981,
    0x3ffa0000,0x507ffe23,0x2009ffff,0xb84ffff9,0x3ffe6002,0x04ffffff,
    0x17e60ffd,0x746ffa80,0x37fd40ff,0xffc83ffa,0x1fffe83f,0xff137fd4,
    0x3fff21ff,0x21fffec3,0x05f907fe,0x0eff9800,0xf87fffb0,0x7fec0fff,
    0x2fffe43f,0x7fd49ff3,0xf527fcc2,0x24ff985f,0x83262ffa,0x02fcc0fa,
    0x4dff09b0,0x0fcc5ffb,0xfffc8dfb,0x27fffdc1,0x00e40000,0xfff91bf6,
    0xfc8dfb03,0x46fd81ff,0xfb01fffc,0x3bf6a5ff,0x3013e603,0x3ffe8fff,
    0x05ffb26c,0x2600fcc0,0xffa83fff,0x400005ff,0xefd8aefc,0x3ffffb81,
    0xdffff300,0x702a0990,0xfb31bfff,0x7fcc4bff,0x007f40af,0xfc89ffd0,
    0x227ff46f,0x3fea6ffc,0x1fffe83f,0x3f61fff4,0x7fffb3ff,0x315fffd8,
    0x7cc15fff,0x4fc80005,0x21fffe40,0x7e40ffff,0x7ffe46ff,0xf88bffa4,
    0x117ff46f,0x2ffe8dff,0xffc9bfe2,0x0fe83ebc,0x3fe0be00,0x80dffb9e,
    0x45fff32f,0x7ec3fffb,0x00003fff,0xff3007d4,0x1fffdc5f,0xfb8bffe6,
    0x7ffcc3ff,0x40fffee2,0x7e42fffd,0xb01be04f,0xfffb8dff,0x1fff8be0,
    0xe9817c00,0x644fffff,0x0004ffff,0xbdeefb80,0x7ffffb00,0x3fffe200,
    0x7fc45d87,0x13fff24f,0x2aa5ffff,0x3ee1aaaa,0x7dc7b102,0x7ffdc3ff,
    0xb87fff71,0xfff11fff,0x43fffd0b,0x7e42fff8,0x7fffd4ff,0x555fffd8,
    0x7f435555,0x002f6a20,0x3f200fe2,0x7fffc3ff,0x1ffffc40,0x3ea7fffb,
    0x3ffe20ff,0x441fff50,0xfff50fff,0x307ffc41,0x5f701577,0x03f0f620,
    0x0bffbfff,0x3fff8974,0xfb0fffee,0x00007fff,0x3e2027dc,0x3ffee3ff,
    0x71fffc43,0xff887fff,0x0fffee3f,0x2a17ffec,0x3f902fff,0x893ffe60,
    0x87e3fffe,0x74001fff,0xfffd7102,0x7ffec7ff,0x6400003f,0x7ffec004,
    0xfff1003f,0xfc8ff0ff,0xfffb0fff,0x04fffc87,0x7ec0bf30,0x70ffff24,
    0x3ff27fff,0x1fffdc3f,0x7cc1fffd,0x3fee1fff,0xafffdc2f,0x7e43fffd,
    0x5f9004ff,0x17ffffc4,0x7e4012a0,0x7fffc3ff,0xeffff980,0xf71fffff,
    0xff3333ff,0x27ffee5f,0x72fff999,0xf3333fff,0x7cc005ff,0x7b13f605,
    0x3ffadff0,0x36a0f880,0x9fffb10b,0x04ffffc8,0x03ffb000,0x36217b50,
    0xbda84fff,0x09fffb10,0x3f6217b5,0xfffb04ff,0x04fff985,0x3fee07f5,
    0x3fff7a4f,0x2ffe8f65,0x2003e200,0x2e5ffffc,0x2204ffff,0x99999999,
    0x9000bf60,0x2007ffff,0x446ffff9,0x3fff20ff,0x87fffd3f,0xd006fffa,
    0x93ff201f,0x7dc2fffd,0x5fffb5ff,0x2a5fffb8,0xfebaefff,0x3ff61fff,
    0xafffdc2f,0x7ec3fffc,0x5f9803ff,0x37fe4ee4,0x7e400ae0,0x7fffc3ff,
    0x5bdb9100,0x7fecdfff,0xeeeeeeef,0xdddfffb2,0x3f65dddd,0xeeeeeeff,
    0x03fa002e,0x16e27fe4,0x27fd5bfe,0xbf910354,0xff989fff,0xe80005ff,
    0xc88005ff,0x404fffdf,0x4fffdfc8,0x7fefe440,0x5fffb04f,0x206fff98,
    0x9fff906f,0x9bffeaf6,0x00fff65b,0x3ee006a8,0x3ffea7ff,0x3fae205f,
    0xf12cffff,0x579999ff,0x9ffff703,0x3fffe600,0xd117fd45,0x3ff29fff,
    0x37ffd44f,0xdb81fdc0,0x3fffa4ff,0xeafffdc2,0x7fdc2fff,0x7fffcc5f,
    0x21fffe8e,0x7dc2fffe,0x7fff74ff,0x802fffd8,0x3fa0c0fe,0xc8004c06,
    0x7ffc3fff,0x3fee000f,0x07fffa3f,0x007fffa0,0x0007fffa,0x6dc0fee0,
    0x223cc4ff,0x07ffa6ff,0x27fee09b,0xff84fffb,0x640006ff,0x5c002fff,
    0x4fffb9ff,0x3ee7fee0,0x3fee04ff,0xb04fffb9,0xff985fff,0x203f607f,
    0x54bcfffd,0x13ccdfff,0x360c0dff,0x7fff4004,0x0dffff10,0x8bffff30,
    0xfffffff9,0x3e61ffff,0xf5005fff,0xffc87fff,0xf71f8884,0xfff98bff,
    0x982fcc05,0x3f64ff8e,0x7ffdc2ff,0xb85fffb4,0x15304fff,0xf90ffff4,
    0xfffb85ff,0xd87fff53,0x7dc00fff,0x003ff802,0x0ffff200,0x4001ffff,
    0x3f60effe,0xffd802ff,0xfffd802f,0x2fcc0002,0x84ff8e98,0x99ffe62f,
    0x10be26ff,0x3fee1ffd,0xffffd84f,0x3ffe0000,0x107b621f,0x3fee1ffd,
    0x0ffe884f,0xd109fff7,0x3ffee1ff,0x85fffb04,0x2a07fff8,0xefffc83f,
    0xf13ffea5,0x10effd45,0x0017c459,0xffd1bfea,0xfff100ff,0xffffd09f,
    0x8fffffff,0x9006fffe,0xfe81ffff,0x7ccd506f,0x7ffcc5ff,0x4407f403,
    0x7e49ff0e,0x7ffdc2ff,0xb85fff93,0x3a003fff,0x3fee1fff,0x8fffdc2f,
    0x7ec4fff8,0x02fcc07f,0x044037cc,0x43fffc80,0x3000ffff,0xffc83fff,
    0xfffc805f,0x5fffc805,0x407f4000,0x909ff0e8,0xdfffd53f,0x3a3bff65,
    0x2e4ffd86,0xffb84fff,0x984004ff,0x3ea0ffff,0x727fec6f,0xffb09fff,
    0x427ffdc9,0x3fee4ffd,0x5fffb04f,0x205fff88,0xfffb85f8,0x0bffee0e,
    0x7fec43f9,0x1ba20dde,0x317fe600,0x8805ffff,0xfd04ffff,0xffffffff,
    0x7fffcc3f,0x3fffe801,0xd83fffc4,0x263fff44,0x3ee01fff,0xf99ae883,
    0x7fff30df,0xf30fffc8,0xfffc87ff,0x3fffa000,0x90fffe61,0x7fe41fff,
    0x201ffec4,0x0ed800fe,0x401ffe40,0x7fc3fffb,0xff9800ff,0xffff983f,
    0xfff31b81,0x3e63703f,0x01b81fff,0x57441fdc,0xe80dff99,0x3fa2001f,
    0x71fffc41,0x3f609fff,0x99001fff,0x987fffe2,0x3ffe27ff,0x113ffee3,
    0x7fdc7fff,0x1fffc44f,0x3609fff7,0x36552fff,0x07ec04ff,0xf717ffe2,
    0x03fd03ff,0x03fd1011,0x0ffcc053,0x007fffdc,0x989ffff1,0xfc980afe,
    0x27ffec0f,0x03bffea0,0x443ffff3,0x2fff985d,0xf9817fea,0xfffff305,
    0x27fe4bff,0xff913ff6,0x004ffd89,0x320ffff4,0x17fec4ff,0xfff17fe6,
    0x4017dc01,0xf30310ec,0xff500fff,0x7fffec9f,0x0fffcc01,0x17ffffd0,
    0xffffd12a,0xffd12a17,0x012a17ff,0x3fe60bf3,0x885fffff,0xfe8801fe,
    0xaefffb82,0x104ffffc,0x880dfffd,0x3fffe1ed,0xff72ffc4,0xffff95df,
    0xaefffb89,0x5c4ffffc,0xffcaefff,0xfffb04ff,0xff73ff55,0xc82fb803,
    0x27fe47ff,0x8801fe88,0xeff982fe,0x3603fc80,0x3e205fff,0x2fec4fff,
    0x7e41be20,0xfff100ff,0xffff501b,0xfa80b625,0xd017f65f,0x2aaa201f,
    0x3a21effa,0x1bff30ff,0xf30ffe88,0xff8001bf,0x0ffd82ff,0x3ea09ff3,
    0x405ff50f,0xbfb805f9,0xff982eba,0x7f4400ff,0xfffcecff,0xbff5102f,
    0xffff9801,0xff986fff,0x986fffff,0x6fffffff,0x5100fe80,0x03dff555,
    0x730df7ec,0x3e603dfb,0xffadffff,0xff900dff,0x2e6259ff,0xefff984e,
    0xff983fa0,0xfffadfff,0xffff30df,0xbffff5bf,0x3ffffe61,0x0dffffad,
    0x7cd7fffc,0x8803fb9f,0x7ff7445f,0xb00bff11,0x6dcc37df,0xfff301ef,
    0x00fee39f,0x2073ffaa,0x5c3ffff9,0x07fa01ff,0x441fffa8,0x3e604ffd,
    0x54000fff,0x00ceeefd,0xff000fee,0x3f7ff209,0x6ffe404f,0x5c4004ff,
    0xc82dffff,0x403efdfe,0x01efdfea,0x3ea007f4,0xb01fffff,0x3a6009ff,
    0xffff3fff,0x5f7e4c5f,0x3ffa2000,0xfd100cff,0x22019fff,0x00cffffe,
    0x3e001fdc,0xfdb9804f,0x802cefff,0x3f22effc,0x7e4c00ef,0x2effffff,
    0x37fffa60,0xeffc80de,0x903bff22,0x7fe45dff,0x177fe40e,0x7441dff9,
    0xfd72ffff,0x23f4007b,0xddbff73d,0x7edcc009,0x802cefff,0xdffffffc,
    0x7ff64000,0xbdffeddf,0x99dfd500,0x3001bddb,0xdfdbdfd9,0xbffb005b,
    0x801a8000,0xcc8005d8,0x00054c02,0x540002a6,0x02aaaaaa,0x510002a2,
    0x805d5001,0x4cccccc8,0x4c0004c0,0x000d4001,0x1000cc40,0x0cc40033,
    0x8005d880,0xa98002cc,0x04010000,0x0554cc00,0x026a6600,0x04008020,
    0x02008010,0x53000000,0x0054c041,0x00054c00,0x000d54c4,0x19aaa880,
    0x0d54c400,0x04d4c000,0x0000cc00,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xb0000000,0x04012603,0x400c0008,0x007501d8,0x201b1010,0x0bed983a,
    0xddd9001a,0xcccc81dd,0x9999932c,0x40100001,0xdddd9308,0xdc87bddd,
    0xceeeeeee,0x82f7aa01,0x44336a06,0x76d401dc,0x80001a0b,0x0aaaa800,
    0x5b900400,0x2aa066cc,0x3eb800aa,0x00003762,0x0aaaa800,0x006f75c0,
    0xb5003366,0x00772219,0xd9803bb3,0x10005700,0x77775c01,0x0803eeee,
    0x3bbbbae0,0x006eeeee,0x06665c00,0x02013332,0x3fb85f70,0x3ffff660,
    0xfb100b0c,0x7e4039fd,0x50017dc2,0x907f60bd,0xffffb85f,0x98005def,
    0x7441ffff,0x3fea3fff,0xfb7101ff,0x81f8815b,0x7ffc42e8,0x7fe404ff,
    0x7e400fff,0x05ddffff,0x7fdcfffe,0x3fffee06,0x76cc5def,0x4deeeeee,
    0x44077f66,0x3ba65fff,0xbfb11eee,0xd0fffa83,0xfffa87ff,0x8fffc403,
    0xea805ffd,0x4c003dff,0x7c403fff,0x7f403fff,0x9fffc05f,0x7f406ffb,
    0x40ee806f,0x7d4000fd,0x3ffffa06,0x9501ffff,0xfe85bfdd,0xffffffff,
    0x3333325f,0x205bfb52,0x3e21fffd,0x3fa607ff,0xfca7fc04,0x42bbf206,
    0x4407ffd9,0x01ffd0fe,0x37ecffe2,0x05ffeb80,0xbfb15ff1,0xfffffdb0,
    0x3331005f,0x815ffff3,0x7fc3fffc,0xaff981ff,0x7f40fff9,0x80fecabc,
    0x401ffffd,0x805ffff9,0xffffffee,0x5cfffe02,0x3fba06ff,0x102fffff,
    0xb07fffff,0x3ea0dfff,0xffff885f,0xa8dfff92,0x7fff0fff,0x980bff50,
    0xbffb1fff,0xfffffd80,0x3ff2005f,0xffffd804,0xdfff100f,0xf73fff80,
    0x7fff80df,0xe89ff980,0x7fc4004f,0xfffff306,0x3ea0dfff,0x10fff99f,
    0xffffffff,0x7f447fff,0xffffccff,0x1fffd82f,0xd81fffe2,0x3ee01fff,
    0xf702ffff,0x01fee01f,0x27fecffd,0x3fffff70,0x7fffdc40,0x3fff205f,
    0xb53441ff,0x3f6007df,0xffffffff,0x21fffe46,0x7cc1fffe,0x313ffa3f,
    0x09ffffff,0x003ffff2,0x809ffff1,0x7dfb7158,0x910cea80,0xda9a205d,
    0x7fec03ef,0xfffe80ff,0x206fd80f,0xffd2fffe,0x22ec83ff,0xff700cea,
    0x263eb801,0x3ff201dd,0x05ffffff,0xf3009fd0,0x409fd15f,0x75403ffc,
    0x803d910c,0xfb004ffb,0x8001ffff,0xff906ffe,0x07ffffff,0xff11fff5,
    0x3fffe61f,0x0fffffff,0x467fffe4,0xfd86fff9,0x3ffe21ff,0x0bfff607,
    0x40dfffd0,0x03ec05ff,0x7fecfff5,0x2ffffc07,0x3ffeaae0,0x3ffe205f,
    0x0000004f,0x640ffff4,0x7ff43fff,0x70fff41f,0xffb30fff,0x7ffe407d,
    0x7ffc400f,0x0004404f,0x00000000,0x407fffec,0x442ffffb,0x3ff600ef,
    0x7ffff52f,0x1fdc0000,0xdf880000,0xfffffebb,0x802fcc00,0x007ec1fe,
    0x00000013,0xff980022,0x7e4003ff,0x005f06ff,0x261fff90,0x2af3ee1b,
    0x86fc9999,0x7fc5fffb,0x7ffec0ff,0x81fffe21,0xea805ff9,0xfff301ee,
    0xf900f880,0x13fe61ff,0x001ddd50,0x202fffe4,0x0000deeb,0x7fff4000,
    0x43fffc81,0x3ea1fffe,0x13fa20ff,0xffc80298,0x7fc400ff,0x000004ff,
    0x00000000,0x4c0ffff9,0x064c0fba,0x88bfff60,0x00001faa,0x800001dc,
    0xffffc83c,0x9801d402,0x0007900d,0x00000000,0x2002f764,0x986ffff9,
    0xfffb0007,0x3a016c01,0x4fffb83f,0x360ffff4,0x3fe21fff,0x0000807f,
    0x02fffd40,0x7fff4036,0x00000621,0x00bfff70,0x77f65400,0xeec9801b,
    0x903fffd4,0xffe87fff,0x03fff21f,0x7e400002,0x7c400fff,0x99904fff,
    0x33326399,0xfd9500cc,0xd930037d,0xfc8017bf,0x05c807ff,0x0bfff600,
    0x7f6441ae,0x6640002d,0x99931ccc,0xf1028199,0x00005fff,0xfd910000,
    0xfec9805b,0x6dc400bd,0x00000adf,0x3ffefe20,0xacdefc86,0x0fffe800,
    0x1ff10060,0xe89fff70,0x7fec1fff,0x1fffe21f,0x7f64c000,0xfff980bd,
    0x740301ef,0x54002fff,0x001befec,0x260bfff7,0x881ccccc,0xfffa9afd,
    0x2fbfee03,0x81fffeed,0x7f43fffc,0x3fff61ff,0x99993001,0x7ffe4039,
    0x7ffc400f,0xffff104f,0x07fffd47,0x3ea6bf62,0x3fea03ff,0x201ffb8b,
    0xe807fffc,0x33333263,0x05fffb01,0x13ff507d,0x999309fd,0xfff88399,
    0x3fffea3f,0x1fff6000,0x2a599999,0x99302dfd,0x3ea03999,0x504fe89f,
    0x3ff717ff,0x3e6bfe60,0x666540ff,0x3ccccccc,0x3ffe3360,0xffffff86,
    0x3ffa00cf,0x3ee0000f,0x89fff706,0x7ec1fffe,0x3ffe21ff,0xccccc987,
    0x717ff501,0xffff03ff,0x6c003bff,0xb1004fff,0x7fff535f,0x0bfff700,
    0x417fffcc,0x7ffe46fd,0x21fff981,0xc81ffffc,0x7ff43fff,0x0bfffa1f,
    0x2ffff980,0x03ffff20,0x09ffff10,0x3e1fffec,0x37ec0fff,0x2a07fff2,
    0x07ff46ff,0x407fffc8,0xffff985d,0x85fffb02,0x27fcc0ec,0xff305ff5,
    0xfffb05ff,0x00ffff87,0xd117ffa0,0xfff99fff,0x3fe605ff,0x4ff982ff,
    0xff50bfea,0x4c0ffe8d,0x13ffa3ff,0xf7335bfb,0x5ae05fff,0x7d46fff8,
    0xffffffff,0x01fffd03,0xb81fec00,0x7ff44fff,0x0fffec1f,0x260ffff1,
    0xfa82ffff,0x207ff46f,0xfffffffa,0xfd55100d,0x40555dff,0x7ffe46fd,
    0x2fffdc01,0x30bfffa0,0x7fdc5fff,0x2fffc43f,0x5c0ffff4,0x7ff43fff,
    0x13fff61f,0x05fffd00,0x007fffe4,0x813fffe2,0x7fc3fffc,0x3ffe60ff,
    0x20fffee2,0x7fe44ffe,0x0ffff906,0xffe813a2,0x5fffb02f,0x7ff41362,
    0x741bfe22,0xffc82fff,0x07fffc3f,0x83fff880,0x98cffffc,0x3fa06fff,
    0x2ffe82ff,0xffd1bfe2,0x746ffc89,0x1ffee1ff,0xbfffd09b,0x7fc43e60,
    0x7fffec6f,0x81ffffff,0x0000fffe,0x3ee01ff1,0x7fff44ff,0x10fffec1,
    0x7f40ffff,0x4ffe82ff,0x7dc37fe4,0x3fffffff,0xffffffa8,0xff307fff,
    0x1fffdc5f,0x017ffee0,0xf885fffb,0x3ffee3ff,0x427ffcc3,0xfb81fffe,
    0x7fff44ff,0x03fffee1,0x02fffd80,0x003ffff2,0x409ffff1,0x7fc3fffc,
    0x3ffe20ff,0x70fffee3,0xffb87fff,0x7fffc81f,0xffd80130,0x5fffb02f,
    0x7ffd4022,0x203ffe20,0xfc82fffd,0x7fffc3ff,0x0dff5000,0xff17ffee,
    0x3ff601ff,0x07ffd42f,0x3ee1fff1,0x7ffdc3ff,0x441fff51,0x2e06c4fe,
    0xe880ffff,0x11bffe22,0xfffd9753,0xffe81fff,0xdf50000f,0x227ffdc0,
    0x7ec1fffe,0x3ffe21ff,0xfffd8517,0x21fffdc2,0xfb81fffb,0x4fffffff,
    0x7fff774c,0xff105eef,0x1fffdc7f,0x017ffee0,0xb505fffb,0x3fff6217,
    0x41fffdc4,0xfa81fffe,0x3fff25ff,0x3fffe61f,0xffd80885,0x3fff202f,
    0x7ffc400f,0x3fff204f,0x207fffc3,0xffb10bda,0x3fffc89f,0x641fffdc,
    0x20007fff,0xfb02fffd,0xff7005ff,0xfff3333f,0x05fffb05,0xff87fff9,
    0xff9000ff,0x13ffee01,0x3603fffd,0x7fdc2fff,0xfff9999f,0xb87fff92,
    0xfff93fff,0xf8830101,0x8bb03fff,0x5006fff8,0xe85ffffb,0xb0000fff,
    0x7ffdc07f,0x20ffff44,0x3fa3fffe,0x6c0a8fff,0x7fe42fff,0x1fffdc3f,
    0xfffffc88,0x3ffe02ff,0x217b5007,0x404fffd8,0x6c05fffb,0x64402fff,
    0x644fffdf,0xffe83fff,0xffff881f,0x2fffeded,0x867fffec,0xfffd80d9,
    0x3ffff202,0x7fffc400,0x0ffff204,0x4401ffff,0x44fffdfc,0x7dc2fffd,
    0xfffc85ff,0x3ff60007,0x5fffb02f,0xddfffb00,0xb05ddddd,0xff905fff,
    0x0ffff87f,0x202ff880,0x7f44fffb,0xfffb01ff,0xeefffd85,0xfb2eeeee,
    0xfffb85ff,0x003fffb5,0x41bfff60,0x7ffc40eb,0x7ffe4006,0x007fff44,
    0x9007fc40,0xffe89fff,0x7ffff41f,0xffffdbfd,0x42fffd85,0x7dc2fffd,
    0x7ec405ff,0x3605ffff,0xc88006ff,0x404fffdf,0x6c05fffb,0x3ee02fff,
    0x44fffb9f,0xfe83fffe,0xfff301ff,0x3ffffa9f,0x3ffffa23,0xffb00fff,
    0x7ffe405f,0x7ffc400f,0x3fff204f,0x807fffc3,0xfffb9ffb,0x217fff44,
    0xfc85fffb,0x360007ff,0xffb02fff,0xfffd005f,0xfffd8003,0x43fffc82,
    0xc800ffff,0x7ffdc03f,0x80ffff44,0x7f42fffd,0xffe801ff,0xafffdc2f,
    0x8002fffe,0x882ffffa,0xfbaaaacf,0x2001afff,0x7ff44ffc,0x6fa8000f,
    0x22fffec0,0x7742ffff,0xff12ffff,0xfffb03bf,0x42fffe85,0x0375fffb,
    0x07ffff4c,0x4005ffa8,0xfffb9ffb,0x2fffdc04,0x20bfff60,0xff70ffe8,
    0x4fffd89f,0x401fffe8,0x1007e419,0x03bffffb,0x9017ffec,0x3661ffff,
    0x3fffe22e,0x0ffff203,0xe881ffff,0x9fff70ff,0x5c2fffd8,0xffc84fff,
    0xfb16007f,0x3ff605ff,0xfffd802f,0x7ffec002,0x43fffc82,0x5400ffff,
    0xfffb804f,0x80ffff44,0x7ec2fffd,0xffd802ff,0xa7ffdc2f,0x8004fffd,
    0xf305fffe,0xffffffff,0x4c00bfff,0x7fff42ff,0x03fd8000,0x33fffff6,
    0x3fffffe8,0x4c06a33e,0x0bfff600,0xfb85fffb,0x880974ff,0xf101fffe,
    0x3fa2009f,0x09fff70f,0x405fffb8,0xfd82fffd,0x13ffee4f,0xfd09fff9,
    0xfd8003ff,0x00991003,0xc80bfff6,0xffb0ffff,0x3fffe21f,0x0ffff203,
    0xfd81ffff,0x13ffee4f,0xfb85fff9,0xfffc83ff,0xfd895007,0xfffb02ff,
    0xbfff9005,0x2fffd800,0x7c3fffc8,0x3e200fff,0x7fdc3304,0x0ffff44f,
    0x642fffd8,0xfc805fff,0x7ffdc2ff,0x01ffff73,0x07fffdc0,0xffffff98,
    0x05ffffff,0x3fa07fc0,0x7c4000ff,0x00c4001f,0x80005f98,0x7e42fffd,
    0x7ffdc2ff,0xff300d73,0xffbb981f,0x7fec3b02,0x013ffee4,0xd80bfff7,
    0x7fc42fff,0x13ffee3f,0xfd0dfff5,0x7c4003ff,0x5ff3003f,0x05fffb00,
    0xf87fffe4,0xfff10fff,0x7ffdc03f,0x107fffc3,0x7fdc7fff,0x1fffcc4f,
    0x3203fff2,0x9b007fff,0xb02fffd8,0xf3005fff,0x03703fff,0xf705fffb,
    0xffff87ff,0x74417a00,0xd13ffee1,0x3f603fff,0x7ffcc2ff,0xff31b81f,
    0x0fffc87f,0x10bffff3,0x3ffff881,0x99999118,0x59ffff99,0x0bf00ae2,
    0x8001fffd,0xfa8006fa,0x03fdc04f,0x17ffec00,0xf90fffe6,0x013ee1ff,
    0xfffb1ffe,0xd9779dff,0x8fffe21f,0x6404fffb,0x7ec05fff,0x7ffdc2ff,
    0x4ffffcae,0x2e1fffe8,0x2001ffff,0x9800fff8,0xffd806fe,0x3fff602f,
    0x4c9ff90f,0x7d406fff,0x3fff64ff,0x3bffee1f,0x84ffffca,0x7fec4ffc,
    0x1ffffb04,0x7ec3f980,0xfffb02ff,0x3fffa005,0x360950bf,0xffa82fff,
    0x3ffff64f,0xddddf901,0xffb8ffdd,0x0ffff44f,0xe82fffd8,0x950bffff,
    0x7ec4ffc8,0x7fffec4f,0xfd81b30c,0x803a86ff,0x7ec6fff8,0x80ea81ef,
    0x4000fffe,0xc88003fd,0x3ff200ff,0x7fec0001,0x44ffc82f,0x3fee4ffd,
    0x98bfea02,0xfffff70e,0x7fdcdfff,0xffffcaef,0x37ffe404,0x30bfffa0,
    0xf5bfffff,0x7cc1bfff,0xfeecbeff,0x32001dff,0x5c00adff,0xfffe806f,
    0x3ffffa02,0x7e47fd12,0x7f4400ef,0xfffcecff,0x3fffe62f,0xdffffadf,
    0x4c3ffa20,0xffb00dff,0x7fcc01ff,0x817fff42,0x3002fffe,0xdfffffff,
    0x417fff40,0xcecfffe8,0xfb82ffff,0xffffffff,0x227ffe46,0xfd01fffe,
    0xfff305ff,0xd10dffff,0x37fe61ff,0x7ffff440,0x7fd40fff,0x017441ff,
    0x3237ffc4,0xc89dffff,0x3ffff00d,0x00ffc400,0x200ff980,0x40002ffd,
    0xe882fffe,0x1bff30ff,0x4c27ffdc,0xfb34c3fe,0x3fffffff,0x6fffffcc,
    0x00dffffa,0x401ffffd,0xfc83ffff,0x3bff22ef,0x5fffe980,0x0059bffd,
    0x0fffff44,0x4017fd44,0x64c3ffff,0xdffffffe,0xffeefd8b,0xffd3000d,
    0x3ffffe7f,0xc8bbff22,0xff900eff,0xfe809ffb,0x9999cfff,0x7c1fffca,
    0xfff03fff,0x7f44007f,0x3e00cfff,0xfd303fff,0x3fffe7ff,0x3fffe62f,
    0x44ffffff,0x7fc5fffd,0xffff02ff,0x3fffa207,0x3ff200cf,0x36204ffd,
    0xe81dffff,0x3ae25fff,0xfff8801f,0x7fffec46,0x3fe203df,0x3ea002ff,
    0xfda88006,0x007fe404,0x0ffffe00,0x4ffdffc8,0xdfebaeb8,0xfb01efec,
    0xfff915ff,0x5dff905f,0x2e077fe4,0xefffffec,0x3fffa62c,0x040104ff,
    0x01305440,0x01793000,0xd3002aae,0x009fffff,0x001a9880,0x04000660,
    0x02a60010,0xffffec98,0xffffffff,0xffd30fff,0x7f4c9fff,0x4004ffff,
    0x7f4c0198,0x2604ffff,0x3ffe2001,0xffffffff,0x3fffff63,0xfffffe8c,
    0x3ffffa63,0x0066204f,0x44001530,0x3ffee019,0xffffffff,0x6fff8801,
    0x90035310,0x1bfffffd,0x00035300,0x2a001595,0x3fa60000,0x4c04ffff,
    0x5102200a,0x05100155,0x00801351,0x00000002,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x55544000,0xd9000002,0x0001dddd,
    0x00200000,0xeeeeb800,0xddb14eee,0x81bddddd,0x702eeeea,0xdddddddb,
    0x3bbbaa5b,0x3bae03ee,0x412a4eee,0x3bba61c8,0xd88001ee,0x00407501,
    0x6665c000,0x33321ccc,0x2aaa202c,0x77776c42,0x75c3deee,0x3b24eeee,
    0x2deeeeee,0xeeeeed88,0x4cccccc0,0x81880199,0x0eeeeeee,0x3317bbaa,
    0x03333333,0x26666666,0x7776cc19,0xbccdeeee,0xeeeed801,0x2dea8003,
    0x7776cd66,0x004deeee,0xddddddb3,0x3bb6a9dd,0x32deeeee,0xddddddd9,
    0xddd3005b,0x1ddddddd,0x7d400400,0xbfd902ff,0x7cc00957,0xc8001fff,
    0xeea80001,0x332e1dfe,0x87bae2cc,0x81fffffb,0x02fffffb,0x26007fa2,
    0xb02fffff,0x405fffff,0x7c40efc9,0x221ba20d,0x0001ffff,0x82fc83f9,
    0x0002efd8,0x3ffff620,0x2027e442,0xf301fffd,0xc805ffff,0xfffa80ef,
    0xff8803ff,0x7fffcc1e,0x400fffff,0xffff882e,0x4c1df106,0xffffffff,
    0xffffff07,0xff303fff,0xfd955fff,0xffd807ff,0x7fec004f,0x443edfff,
    0x003fffff,0x9fffff10,0xfffff501,0x3fffe205,0xff98001f,0x2000cfff,
    0x7ec04fe9,0x71bfb03f,0xfe8009fd,0x5f8001ff,0x47fec000,0x7fec6ffa,
    0x89fffb4f,0xb01ffffe,0xc805ffff,0x3fffa005,0x7ffff407,0x40be201f,
    0x2ff98efb,0x003fffd0,0x362bfe20,0xffff705f,0x7c400001,0x06a82fff,
    0x7401fff8,0x4400ffff,0x3fff202f,0x20db003f,0xfffffff9,0x0bee00ff,
    0x883fffdc,0x7fffcc2f,0xff07ffff,0x3fffffff,0x21ffffa0,0x980efffd,
    0x999cfffd,0x3ffbe200,0xfd80ffff,0x98000fff,0x9bffffd9,0xfff99999,
    0xfd8099ff,0x360007ff,0x4000ffff,0xf100fffd,0x87fe607f,0x7f4005f8,
    0x7dc001ff,0xff70000f,0xf71bfeaf,0xffff99ff,0x4ffffa89,0x0bffff50,
    0x3fa001e8,0x7fe407ff,0x3e00efff,0xfffff101,0x0fffec0d,0xffff9000,
    0x3fff203f,0x6400002f,0x03c85fff,0x6c00ffd4,0x3f007fff,0x37fffc40,
    0x26602f80,0x01999999,0xff80bfe6,0x306a82ff,0x33333333,0x26666660,
    0x3ff60199,0xdfffb07f,0xffffff81,0x4ea03fff,0xb02dfdb8,0x8001ffff,
    0xfffffff9,0xffffffff,0x83ffffff,0x0006fffd,0x003ffff6,0x203fffd0,
    0x3ff204fa,0x3a002d45,0x74001fff,0xfd0004ff,0x2a05d4ff,0xdb35ffff,
    0x0fffff01,0x807ffff4,0x7fec0069,0x7fe6407f,0x07a05fff,0x01ffffb8,
    0x0007fff6,0x04ffff88,0x013fffe6,0xffff1000,0x7ec00e81,0xffffb001,
    0xfb007e00,0x6a803fff,0xff500000,0x7ffe405f,0x00003d84,0x3ff60000,
    0x3fffe07f,0x04fffb85,0x7e400020,0x640007ff,0x3a00ffff,0x7e406fff,
    0x0099afff,0x01ffff20,0xa81fff60,0x77ffe403,0xffd000a1,0x7fd4003f,
    0xff8000ff,0xfffa807f,0xfff9001f,0x3ffee05f,0x8007903f,0x6407fffd,
    0x4fffffaa,0xeed803d0,0x0fffec04,0x3bbae000,0x17cd4400,0x7fec0000,
    0x3201664f,0x3fff6001,0x9803f007,0x6c05ffff,0xdfec9802,0xffff700b,
    0xff98599b,0x5007c0ff,0x0037dfd9,0x805bfd91,0x3207fffd,0x7dc1ffff,
    0x000004ff,0x007fffc8,0x07fffe40,0x80dfffd0,0xffeffffc,0x7e400dff,
    0x200a67ff,0x40006ffb,0x03fffffa,0xfea7764c,0x3f6001ff,0xf8003fff,
    0xffa807ff,0x3fe2007f,0xfff505ff,0x0003e0df,0xc80ffffb,0x5fffff92,
    0x400003d0,0xec89fffd,0x000001be,0x800003d4,0x0b27fff9,0x3ff60000,
    0x003f007f,0x201ffffd,0xbffa8079,0x74c1ffb8,0x3eeeffff,0x2a2fffe8,
    0x535fb105,0x7d407fff,0x204fe89f,0x2607fffd,0x7dc5ffff,0x39fb54ff,
    0x33333260,0x1ffff201,0xffff9000,0x37fff401,0x99bfff20,0x3203ffff,
    0x03f57fff,0x6549ff30,0xcccccccc,0x3ffffa3c,0x7dff705f,0x03fffddb,
    0x3ffffe60,0x3ff32006,0x3ea04cff,0x7ec006ff,0xffd80fff,0x02d41fff,
    0x03fffec0,0xffffd8b2,0x32e0f40f,0x3bae2ccc,0x7e7ffec1,0x641ffffd,
    0xfb52cccc,0x325c805b,0xfb71cccc,0xfffd003b,0x332e0d17,0x07bae2cc,
    0x401ffff6,0xfffa801f,0xa807903f,0x07ff46ff,0x2017ffec,0x0f65fffb,
    0x3ff237ec,0x24ff981f,0xffb02ffa,0x7ffc40ff,0x67ffdc7f,0x01fffffc,
    0x405ffff3,0x0007fffc,0x007fffe4,0xc80dfffd,0x7fcc6fff,0xfff901ff,
    0x7c001dbf,0x26b7f62f,0x22ffffb9,0x4fffffe8,0xf90fffcc,0x32003fff,
    0x02ffffcb,0xdffffdd0,0x2fffd40b,0x3fffea00,0x7ffd7c43,0x40016c4f,
    0x6407fffd,0x3ffffa22,0x3f607a0e,0x9fffb4ff,0x10efffd8,0x7441fffd,
    0xfffccfff,0x41d702ff,0xfdbffff9,0x5401ffff,0x204befff,0xffb4fffd,
    0xffffb09f,0x7c007e00,0x0f887fff,0x3227ff40,0xfffd86ff,0x7fffc402,
    0xff980f88,0x0fffee2f,0xff88bffa,0x0ffffb06,0x20fffff8,0xa8cffffb,
    0x3fa06fff,0x3ff202ff,0x800b887f,0x200ffffc,0x6406fffe,0xfff86fff,
    0xffff904f,0x0fd8001b,0x3fffa136,0xffffd885,0x0bfff10f,0x1003fffd,
    0xbffff11f,0x07fff800,0x004fffa8,0x5c7ffff8,0x44fffff4,0xfffb0007,
    0x7cc2c80f,0x07a5ffff,0x3f33ffee,0x7fec4fff,0x27ffdc1f,0x233ffff2,
    0xdd86fff9,0xbffffd80,0x805fffa8,0x201fffff,0xffccfffb,0xfffd84ff,
    0x2003f007,0x5c2ffffb,0x1fffdc04,0xfb07ffee,0xffd005ff,0x3e20b57f,
    0x3ffee3ff,0x107ffd43,0x3fee1fff,0xffffffff,0x3ffffe2f,0xf17ffee1,
    0x3f601fff,0x3ff202ff,0x03ffc47f,0x777fffe4,0xfffeeeee,0x7ffe406f,
    0x07fffd86,0x000ffff9,0xfb81b1aa,0xf70a0fff,0x3fe65fff,0x1fffe84f,
    0x3ff64c80,0x3fe001ff,0xfffa807f,0xfffc8004,0x7fe47e2f,0x000972ff,
    0x901ffff6,0xfffff505,0x3fea07a7,0x81db35ff,0x7c41fffd,0x7ffdc6ff,
    0x107fffc5,0x27ffe401,0x2e01fffe,0x7d406fff,0x1db35fff,0x00ffffb0,
    0x7fc4007e,0x2007c6ff,0x7dc3fffc,0xfffd53ff,0x2e07dddf,0x202defff,
    0xffb10bda,0x9fffb89f,0x12fff999,0x3ffffb33,0x7ff41333,0x3ffee2ff,
    0x807fff44,0x3202fffd,0x7fd47fff,0x7ffe401f,0xcccccccf,0x6406ffff,
    0xffd86fff,0xffff907f,0x83062000,0x643ffff8,0xb97ffcc3,0xffe83fff,
    0x2a0f801f,0x2004ffff,0xfa807fff,0xf88004ff,0x44b55fff,0x03d5ffff,
    0x1ffff600,0x3fee0590,0xa81e9fff,0xd801ffff,0x7fc41fff,0x27ffdc7f,
    0x8007fffa,0x7fc3fffc,0xfff8807f,0x7fffd403,0xffffb001,0xc8007e00,
    0x0b51ffff,0xb85fffb0,0xfd515fff,0x3e3559ff,0xffffffff,0x106fffff,
    0x89fffbf9,0xeeeefffd,0xffd82eee,0x7fffc07f,0x13ffee0f,0x3603fffd,
    0x3f202fff,0x2ff447ff,0x07fffe40,0x80dfffd0,0xff86fffc,0xfffd05ff,
    0x6c00000f,0x0fb86fff,0xffc87fec,0x1fffe83f,0x7ff42dc0,0xfff000ff,
    0x9fff700f,0x3fff6000,0x7ff42d8f,0x20006aff,0x6407fffd,0x3ffff602,
    0xfffa81ff,0x3fffb007,0x5c3ffff0,0x7ff44fff,0x3ff2001f,0x07fffc3f,
    0x2007fe40,0x2007fffa,0xf007fffd,0x7ffcc001,0xfd003d4f,0xfffb85ff,
    0x417ffec5,0xffd99999,0x809999df,0xfffb9ffb,0x00ffff44,0x81ffff60,
    0x5c7ffff8,0x7ff44fff,0x5fffb01f,0x83fffe40,0xffff9000,0x37fff401,
    0x11bfff20,0xe887ffff,0x0007ffff,0x5ffff500,0x7f43df70,0x20ffffa4,
    0x7401fffe,0x3ffffb81,0x00ffff00,0x000bfff9,0x1f7fffea,0x0fffffea,
    0x7fffd800,0xfd101640,0xf503ffff,0x3f600dff,0xffff81ff,0xd13ffee0,
    0x64003fff,0x7ffc3fff,0x04f9800f,0x006fffa8,0x201ffff6,0x7f4000f8,
    0xb006afff,0xffb85fff,0x17ffec4f,0x04fffc80,0xfb87ff44,0x7ffec4ff,
    0x7ffec002,0x3fffe607,0x227ffdc6,0xfb01fffe,0x7fe405ff,0x3216007f,
    0x3a00ffff,0x7e406fff,0x7ffec6ff,0x7fe5fcc4,0x8012007f,0xd705fffe,
    0xd89ffdfb,0xffe84fff,0x333ea01f,0xffffcccc,0x0ffff007,0xdfffffc8,
    0xffff8001,0xffff883f,0x44fc800f,0x6406fffe,0x7fffc402,0x5fffa81f,
    0x03fffb00,0xffb8dfff,0x0ffff44f,0x87fff900,0xd000ffff,0xbfff5003,
    0x3fffdc00,0x20007c40,0x02fffffa,0xb85fff90,0x7fec3fff,0xaaaaa82f,
    0xaaadfffd,0xb93ff62a,0x7fe44fff,0x7fec005f,0x3ffea07f,0x27ffdc3f,
    0x6c07fffa,0x3f202fff,0x095007ff,0x401ffff9,0x6406fffe,0xffedffff,
    0xf91a83ff,0x12600fff,0x07fffdc0,0x640ba088,0xffe84fff,0x2ab3601f,
    0xfffdaaaa,0x7fff802f,0x00004c00,0x201ffff9,0xa805fffc,0x3ffa2fff,
    0x4016406f,0xa81ffff9,0xfb004fff,0xfff883ff,0x227ffdc4,0x2001fffe,
    0x7fc3fffc,0x068800ff,0x009fff50,0x007fffd4,0x7fc001aa,0x3e6006ff,
    0x7ffe43ff,0x417ffe40,0xfffeeeee,0x15eeeeff,0x7fdc7fff,0x7fffcc4f,
    0xffd81b81,0x3fff607f,0x44fffb86,0xfb01fffe,0x7fe405ff,0x909b007f,
    0x7401ffff,0x7e406fff,0x1aabcfff,0x0ffff900,0x3e200f20,0xb8183fff,
    0xfffa81ef,0x01fffe86,0xfff880d3,0x7fff806f,0x03bfe200,0x17ffe200,
    0x802fff98,0x3fa3fffc,0x016c04ff,0xa81fffb8,0xfb004fff,0xfff985ff,
    0x227ffdc2,0x2001fffe,0x7fc3fffc,0x71ed40ff,0x3ffea005,0x3ffe2004,
    0x0026c01f,0x003fffb8,0x3f627fe4,0x4fffc84f,0x7ffe4051,0x3bffee04,
    0x84ffffca,0x50bffffe,0x1ffff609,0x40ffffcc,0x7f44fffb,0xfffb01ff,
    0x7fffec05,0x641fcc00,0x3a00ffff,0x7e406fff,0x320006ff,0x4c00ffff,
    0xfffd803f,0xffa83a86,0x43fffd04,0xb01ffffb,0xffffb007,0x07fff805,
    0x001ffdc0,0x7401ffd8,0xdff5007f,0x401ffff8,0x3ff6005f,0x04fffa81,
    0xb85fffb0,0xfffb85ff,0x00ffff44,0xf87fff90,0x7ffc0fff,0x7fd400d0,
    0x7fec004f,0x001b206f,0x000fff88,0xf987ff44,0xfff980df,0x7fec05cf,
    0x3ffe605f,0xffffadff,0x3fffe60d,0x3f606fff,0x7f440fff,0xfff901ff,
    0x01fffe89,0x6c05fffd,0x2600ffff,0xfffc82ff,0x3fffe01f,0x3fffec06,
    0xffffb000,0x017f4401,0x107fffea,0x413f605d,0xecbefff9,0x4c1dfffe,
    0xfff9801f,0x3ffe206f,0x02fe8007,0x700df500,0x2fec009f,0x9805fff3,
    0x3fa000ff,0x04fffb81,0x44dfffb0,0xfff906ff,0x01fffe89,0xf0ffff60,
    0xfff81fff,0x3ee003cb,0xfd8004ff,0xda88aeff,0x7e40000f,0x3ff20004,
    0x6d404ffd,0x3a200dff,0x3200efff,0x3ff22eff,0xfffe880e,0x3ffa00cf,
    0xfeb98bff,0x3ff600df,0x17fffc5f,0x203ffff8,0x99cffffe,0x1fffca99,
    0x02ffffe8,0x01fffff1,0x007ffff4,0xcffffe80,0xfff73109,0x5fffe803,
    0x7307fae2,0x7f4c03df,0x9bffd5ff,0x401ff445,0x03fffff8,0x001ffff3,
    0x0001bf26,0x03f1007f,0xffeffb80,0x3ffaa02e,0xf8801dff,0x05fffc81,
    0xbfd33db0,0x3f6019df,0x7fffc5ff,0x3fffa002,0x07fffe24,0x8007fff7,
    0x0005fffc,0xfffffff7,0xf3000019,0x15300001,0x6dc00800,0xcefffffe,
    0x80080201,0x3b260198,0xffffffff,0x7ec00ade,0xfe8dffff,0x3a63ffff,
    0x264fffff,0xffffffec,0xffffffff,0xfffd930f,0x32a9bfff,0xceffffff,
    0xffffd932,0x930059df,0xfffffffd,0xffffffff,0x7fffdc01,0x1fffffff,
    0x4002aae2,0x640260a8,0x983dffff,0xffffffec,0x3fffb20e,0x564404ff,
    0x00180001,0x54c4000a,0x20000001,0x7fffe409,0x4c0c01df,0x7ffec00a,
    0xfffe8cff,0xffe803ff,0xfff8bfff,0x01442fff,0x7ffffe40,0x5310001d,
    0x80000135,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3bb26000,
    0x41eeeeee,0xeeeeeed8,0x3bbbb662,0x3004deee,0xdddddddb,0xdddddddd,
    0x777774c1,0x36a1deee,0x363eeeee,0xeeeeeeee,0xeeeeeeee,0xdddddb14,
    0x01579bdd,0x3bbbbb66,0x2bccdeee,0x3bbbaa00,0xeeeeeeee,0x7775c5ee,
    0x902deeee,0x221bdddd,0x99999999,0xe9818800,0x4c01eeee,0x201eeeee,
    0x0d10aeea,0x4c0b7220,0xeeeeeeed,0x4001bccd,0x99999998,0xeeeed819,
    0xeeeeeeee,0xdd34eeee,0xeed83ddd,0x000002ee,0xddddddb7,0xdddddddd,
    0x4c7d70dd,0xddddb0dd,0x776d4007,0xccdeeeee,0xeec9800b,0xeeeeeeee,
    0xb31eeeee,0xdddddddd,0x2603799b,0xeeeeeeec,0xddddb54d,0x3265bddd,
    0xdeeeeeee,0x7ffff443,0x1fffcc04,0x7fffff10,0x3ffe2000,0xecaaabff,
    0x7f440fff,0x3604ffff,0xefff84ff,0xcffffcac,0x445ffcba,0xfdbffffe,
    0xf300cfff,0x9755ffff,0x7003dfff,0x55559fff,0x05fffff7,0x0dfffff3,
    0x5c19fd10,0xffffffff,0xf102e805,0xf3005fff,0x3f603fff,0x03edffff,
    0x401fff90,0xaafffff9,0x003fffec,0xfffffff5,0x7bfff0ff,0x59ffff95,
    0x7c4bffb7,0x7f442fff,0x000003ff,0x7ffff7dc,0xffedcbad,0xd8fffcc7,
    0x3fffa4ff,0xfff98004,0xffecaaff,0xffe8802e,0xdbaaabff,0x7fc42fff,
    0xffdcafff,0x3fa204ff,0xff504fff,0x3e203fff,0x3204ffff,0x4c01ffff,
    0xffd801ef,0x320000ff,0xf700ffff,0xffff101f,0x81fdc09f,0x7ffdc1ff,
    0x642fd41f,0x3f227fff,0xffd00fff,0xffff30df,0x205fc807,0x205ffffc,
    0x00fffff9,0xfffb85e8,0x405fffff,0x3ffa02fb,0xfffd002f,0x3fffbe03,
    0xfb001fff,0xffe803ff,0xefffd87f,0x7fffd400,0xff87ffff,0x0ffffdc1,
    0xfffd17e6,0x07fff905,0xafa80000,0xf703ffff,0xb1fff98f,0x7ffe49ff,
    0xffff0004,0xdfffe88d,0x7fffe400,0xb05fd500,0xff98ffff,0x3ff605ff,
    0x3ffe01ff,0x7ffec07f,0x3fff201f,0x037e601f,0x07fffec0,0xffff9000,
    0xa807dc01,0xd01fffff,0x7dc27c0b,0x85b81fff,0xfe87fffb,0xfffb05ff,
    0x1fffee0d,0x7fcc0bb0,0x7ec01fff,0x7cc03fff,0x99999880,0x3e600999,
    0x3fff602f,0x3fffb002,0x3f6e2930,0x3fea002e,0x7fffd805,0x01dfffb0,
    0x4cccccc4,0xb82f8199,0x5b81ffff,0x5c17ffec,0x00003fff,0x7ffcdf40,
    0x2e1ee03f,0xb837663e,0xd0004fff,0xfd10dfff,0xffc80dff,0x0be200ff,
    0x2a1ffff2,0xf902ffff,0x7f401fff,0x7fe406ff,0x3ff200ff,0x07f500ff,
    0x07fffc80,0x7fffe400,0x401f1040,0xc86ffffc,0x7dc07c06,0x85881fff,
    0xfd87fffb,0xfffb07ff,0x3fffe60d,0xfe807601,0xf8804fff,0x3a00ffff,
    0xfa800003,0x3ff602ff,0xfffb002f,0x10000003,0x3fff6003,0x17fffe07,
    0x5c1a0000,0x5881ffff,0x5c17ffec,0x00003fff,0x7ffcdae0,0x00f1043f,
    0x04fffb80,0x0dfffd00,0x813fffe2,0x400ffffc,0x7fffc82d,0x05ffff88,
    0x401ffff9,0x6406fffe,0x3200ffff,0xfb80ffff,0xfffc8002,0x7fe40007,
    0x0362c0ff,0x4fffff88,0x205003aa,0x501ffffb,0x90ffff70,0xfb03ffff,
    0x3fe20dff,0xb81604ff,0x2006ffff,0x504ffffc,0xcccc980d,0x3ffee01c,
    0x7ec2ccdf,0xffb002ff,0x0000003f,0x7fffd800,0x07ffff20,0x26399999,
    0x0a0ccccc,0x80ffffdc,0x417ffec2,0x0003fffb,0x3e63f100,0xb0643fff,
    0xfffb8000,0xfffd0004,0x7fffec0d,0x1ffff900,0x7e415c70,0xffff07ff,
    0x3ffff20b,0x1bfffa00,0x01ffff90,0x207fffe4,0xf90001ed,0xc8000fff,
    0x1a60ffff,0xffff5001,0x0003f33f,0x00ffffdc,0x90ffff70,0x3f60ffff,
    0xfff306ff,0xff10009f,0x44005fff,0x440fffff,0xfff9802e,0xfffd302f,
    0xfd87dddf,0xffb002ff,0x3333213f,0x05bfb52c,0x3333332a,0xfd83cccc,
    0x3fe607ff,0x7ffc45ff,0x3fffea3f,0xffffb800,0x5fffb001,0x4c7fff70,
    0x002ccccc,0x3ffe64d8,0x30106c3f,0x70399999,0x3f6a9fff,0x7fff402d,
    0x3fffea06,0x1ffff904,0xffc80498,0xffff987f,0x1ffff902,0x037fff40,
    0x803ffff2,0xd10ffffc,0x7e40001b,0x640007ff,0x1ae0ffff,0x7fffe400,
    0x5c0002ee,0x2001ffff,0xfe87fffb,0xfffb04ff,0x3fffee0d,0xfffd8002,
    0xffb8005f,0x002e45ff,0xc805fffd,0x3f602fff,0xffb002ff,0x3ffa2d9f,
    0xfffffccf,0x99adfd82,0xd82ffffb,0x3e207fff,0xffd87fff,0x07fffc3f,
    0x0ffffdc0,0x82fffd80,0x7cc3fffb,0x6a8001ef,0x11ffffcc,0xfff3001f,
    0x9fff705f,0x03fffff9,0x3037fff4,0x320fffff,0x2640ffff,0x43fffe40,
    0x3207fffd,0x3a00ffff,0x7e406fff,0x3f200fff,0xeff98fff,0x3ff20000,
    0x7e40007f,0x0dd30fff,0x3fffa200,0xfb80005f,0x2e001fff,0x7fcc7fff,
    0xfffb01ff,0xbfffd10d,0xffff5000,0x3fa0001f,0x01f11fff,0x017ffec0,
    0xd80bfff2,0x032e2fff,0xc83bfff6,0xf98cffff,0xe84d86ff,0xffb05fff,
    0xffff80ff,0x1fffe40f,0x2003fffe,0x001ffffb,0xf705fffb,0x00bf07ff,
    0xff307e20,0x03f667ff,0x417fff40,0x98cffffb,0x3fa06fff,0x3fe206ff,
    0xfff907ff,0x4027dc1f,0xb317fffc,0x6401bfff,0x3a00ffff,0x7e406fff,
    0x3f200fff,0xffffcfff,0x3ff20005,0x7e40007f,0x6ffdcfff,0x3ffe6000,
    0x5c0001ff,0x2001ffff,0xfb57fffb,0x7ec03bff,0xfd5316ff,0xd00019ff,
    0x0007ffff,0xdaffffd4,0x7ffec003,0x17ffe402,0x2e5fffb0,0xfffd86ff,
    0x22fffdc1,0x06c0ffff,0xb83fffee,0xffffffff,0x3ffe2fff,0x7ffe41ff,
    0x407fffc3,0xfffffffe,0xb05fffff,0xff705fff,0x0004d87f,0x3ffe6132,
    0x00fffdef,0x705fffb0,0xfff8bfff,0x1bfffa07,0x01fffff0,0xd97ffff9,
    0xff9009ff,0xdfffffff,0xffff9003,0xfddddddd,0xfc80dfff,0x3f200fff,
    0xffffefff,0xff90003f,0xfc8000ff,0x6ffdcfff,0x7ffe4000,0x2e0000ef,
    0x2001ffff,0xfffffffb,0xffd802de,0xffffffff,0xff90000d,0xd0000dff,
    0x00d9ffff,0x805fffb0,0x3602fffc,0xfff92fff,0xb83fffb0,0x7ff44fff,
    0x3fe20c1f,0x6ccc43ff,0x9999ffff,0x0bffffa0,0xff87fff9,0x999880ff,
    0x99affffb,0x5fffb009,0x647fff70,0x37e60004,0xfffdcccc,0x00ffecdf,
    0x705fffb0,0xffe89fff,0xdfffd00f,0x1fffff80,0xedffffc8,0xfc804fff,
    0xfecbafff,0x3f201dff,0xcccccfff,0x06ffffcc,0x007fffe4,0xf53ffff9,
    0x0005ffff,0x000ffff9,0x30ffffc8,0xfa8000df,0x0004ffff,0x007fffee,
    0x007fffb8,0x5dbfff60,0x0006ffff,0x03fffff3,0xffff3000,0xffb0005f,
    0xfffc805f,0x4bfff602,0x7fd42ed8,0x7ffdc1ff,0x00ffff44,0xb01bfff6,
    0xff80ffff,0x7fe40fff,0x07fffc3f,0x0ffffdc0,0x82fffd80,0x5f93fffb,
    0x666f4000,0xffffdccc,0x6c003f63,0xffb82fff,0x0ffff44f,0x206fffe8,
    0x907ffff8,0x3221ffff,0xfffc804f,0x3ffffd87,0x01ffff90,0x2037fff4,
    0x200ffffc,0xf90ffffc,0x8001ffff,0x0007fffc,0x507fffe4,0x5fcc000d,
    0x002fffff,0x03ffff70,0x03fffdc0,0x4dfffb00,0x004ffffd,0x04ffffe8,
    0xfffb0008,0xffb0001f,0xfffc805f,0x0bfff602,0x3fffdd50,0x744fffb8,
    0x3ea01fff,0x7ec02fff,0x3fe207ff,0xfffc87ff,0x007fffc3,0x00ffffdc,
    0xb82fffd8,0xfffccfff,0x205b8000,0x223ffff9,0xfffb000f,0x89fff705,
    0xfd01fffe,0x7fcc0dff,0xfff906ff,0xc804d81f,0xffd07fff,0xfff903ff,
    0x7fff401f,0x7fffe406,0x3ffff200,0x3bffff60,0x3fff2000,0x3f216007,
    0x41a20fff,0xfb974400,0x8000ffff,0x001ffffb,0x001fffee,0x226fffd8,
    0x002fffff,0x03bfffee,0x3f200370,0xd8000fff,0x7e402fff,0x3ff602ff,
    0xffd8c02f,0x27ffdc1f,0xe807fffa,0xfd805fff,0x3fe607ff,0xfffc86ff,
    0x007fffc3,0x00ffffdc,0xb82fffd8,0xffffffff,0x007c4005,0xe87ffff3,
    0xfffd8080,0x44fffb82,0xfd01fffe,0x7fcc0dff,0xfff905ff,0xc804a81f,
    0xff907fff,0xfff909ff,0x7fff401f,0x7fffe406,0x3ffff200,0x3ffffa20,
    0x3fff2005,0xf9095007,0xa8581fff,0x3fa26c02,0xb8004fff,0x2001ffff,
    0x0007fffb,0xf51bfff6,0x1001ffff,0x005fffff,0x3ff2001f,0xfd8000ff,
    0x7fe402ff,0x3fff602f,0x3fffb002,0x744fffb8,0xff701fff,0xffb001ff,
    0x7ffd40ff,0x3fffc83f,0x4007fffc,0x001ffffb,0xf705fffb,0xffff1bff,
    0x201ec007,0x643ffff9,0x7fec1540,0x4fffb82f,0xe80ffff4,0x3ee06fff,
    0xff902fff,0x804881ff,0xf507fffc,0xff90bfff,0x7ff401ff,0x7ffe406f,
    0x3fff200f,0x7fffcc0f,0xfff9003f,0x3213600f,0x4040ffff,0x2617201d,
    0x002fffff,0x00ffffdc,0x00ffff70,0x437ffec0,0x805ffffc,0x805ffffd,
    0x3ff2007a,0xfd8000ff,0x7fe402ff,0x3fff602f,0x3fffb002,0x744fffb8,
    0xff881fff,0xfd8183ff,0x3ff607ff,0x7fff706f,0x800ffff8,0x001ffffb,
    0xf705fffb,0x3ffea7ff,0x806a800f,0x043ffff9,0x7ffec0f4,0x44fffb82,
    0xfd01fffe,0x7ff40dff,0x3fff205f,0xfc80080f,0xfff707ff,0xffff909f,
    0x37fff401,0x03ffff20,0x81ffffc8,0x02fffffb,0x00ffffd8,0x7fe41fcc,
    0x07d400ff,0xff700eb8,0x5c001fff,0x2001ffff,0x0007fffb,0x741ffff6,
    0x2603ffff,0x400fffff,0x3f2007e8,0xe8000fff,0x7e402fff,0xfd8513ff,
    0xffb002ff,0x4fffb83f,0x6c0ffff4,0x83a86fff,0xf307fffd,0x3ea03fff,
    0x3fff64ff,0xfffb801f,0xfffb001f,0x47fff705,0x4406fffd,0xfff9802f,
    0x407d403f,0xfb82fffd,0x7fff44ff,0x0dfffd01,0x803fffea,0x001ffffc,
    0x20ffff90,0xc82ffffd,0x3a00ffff,0x7e406fff,0x3f200fff,0xffb01fff,
    0xfd805fff,0x3e600fff,0xffffd82f,0x541fea01,0x7fff402f,0x3fee005f,
    0x3f2002ff,0xd0000fff,0x3e60ffff,0xfd01ffff,0xfa807fff,0x3ff6006f,
    0xff8000ff,0x7fc403ff,0xffe85cff,0xfffd002f,0x44fffc85,0x7d41fffe,
    0x17441fff,0x207fffec,0x201fffe8,0xcecfffe8,0xb802ffff,0xd002ffff,
    0xff905fff,0x7fffc49f,0x4c01b603,0x2e04ffff,0x5fffd07f,0xe89fff90,
    0xffd01fff,0xdffd10ff,0xffffc803,0xfffb0001,0x9ffff50f,0x07ffff20,
    0x407ffff8,0x200ffffd,0x503ffffe,0x05ffffff,0x4e7ffff4,0xfffca999,
    0xcffffe81,0xdffd7311,0xc805ff70,0x003fffff,0x007ffffb,0x017fffec,
    0x7ffffc40,0xdffff700,0xfffffb81,0xda999999,0x3a005fff,0x2002ffff,
    0x4fffffe9,0x06ffecc0,0x8027fffc,0x7ec3ffff,0x7fffc5ff,0x12ffff42,
    0xffd03fd7,0xfd7317ff,0xfd3001bf,0x3fffe7ff,0x7ffec02f,0xffff004f,
    0x8bfffb09,0xc81ffffb,0xfff7006f,0x36e613df,0xffff05ff,0x8bfffb07,
    0xf883ffff,0xb98affff,0xe800cfff,0x0003ffff,0x517ffffd,0x407ffff9,
    0x102ffffe,0x401fffff,0x4c2ffffe,0xffffffec,0x3fffae2d,0x932effff,
    0xfffffffd,0xffffffff,0x3fffb261,0xffffffff,0x3fee5fff,0x6c43dfff,
    0xefffffff,0xfffec881,0x9104dfff,0xbffffffd,0xffd93007,0xb05bffff,
    0x227fffff,0xffffffff,0xffffffff,0x7f65c04f,0x0cdfffff,0x00800000,
    0x9fffffd3,0x7ffff4c0,0xfffffb4f,0xfffffd19,0x3ffffee7,0x31ffffff,
    0xffffffd9,0x0015bdff,0x22000330,0xffffffec,0xfffd304d,0x7ffec9ff,
    0xfffb15ff,0x3ffa69ff,0xfdcb85ef,0xffffffff,0x4c4fffff,0x24fffffe,
    0x8dfffffd,0x53fffffe,0xffffffd9,0x8015bdff,0xfffffec9,0xec9804df,
    0xffffffff,0xd9303cee,0x9bffffff,0x3fffff2a,0xfd932cff,0x07bfffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3bbb6600,0x2e004eee,
    0x2deeeeee,0x55555557,0x07555555,0xea800000,0x07640002,0x00080000,
    0x00000000,0x00000000,0x00000000,0x32000000,0x9931cccc,0x66541999,
    0x32e1cccc,0x640002cc,0x2e488080,0x954ccccc,0x2e399999,0x00000ccc,
    0x00032a00,0x3aa00000,0xb880002d,0x0a80cc02,0x00066051,0xcccca800,
    0x33cccccc,0x00399999,0x10000004,0x01ffffff,0x3fffffe0,0x038001c1,
    0x8017e400,0x6c0003fa,0xdc88000f,0x50971def,0x8037dfd9,0x04abdfec,
    0x219dfb71,0x403dfec8,0x00bdfec9,0x056fedc4,0x19dfb710,0xc81f7edc,
    0x9931cccc,0x09d51999,0x40b7fb22,0x2a3ffff8,0x3620ffff,0xfc83ffff,
    0x8b3332e4,0x1df71eeb,0x137dff93,0x3ff625fd,0x3fff20ff,0x970fec1f,
    0x3f6a5999,0x5f7ecc3e,0x02dffa80,0x59999900,0x220b7f6a,0x20007fff,
    0x2603ffd9,0x2746c81f,0x3d100fd4,0x3f61e980,0xfffb99ad,0x3fffe62f,
    0x005fd002,0x201f7f5c,0x04ffffed,0x6ffffea8,0x20700038,0x20bdfec9,
    0xf5007ff8,0x0fd80007,0x467fcc00,0x6c46dffa,0x3fffa9af,0xfd71bfb0,
    0xa9bfd889,0x99ffbfff,0x7ff505fe,0x2603ff71,0x0fff9aff,0xfa8bff98,
    0xfd8cfc9e,0x7fffc40d,0x23fffea3,0x7fd42ffe,0xfb04fe89,0xffff87ff,
    0x17fffc40,0x7ffec35c,0x649fffb4,0xfedeffff,0x7fc43fff,0x3ffe20ff,
    0x3a22642f,0xfffbcfff,0xffff74ff,0xffd710bf,0x7440017d,0xfffccfff,
    0x7ffd42ff,0x3ae2001f,0xf300beff,0xfb85f70b,0xf500ee83,0x8ffe603f,
    0x5fffe84d,0x802fffe8,0xd7004ff8,0x6403fffb,0x00ffffeb,0x37fffd6c,
    0xa838001c,0x2ffb8bff,0x7d401ff2,0x07ec0003,0xe8fff300,0x237ec3ff,
    0x7cc1fffc,0xfd17e21f,0x2ffffa8d,0xff50ffe6,0x4c0ffe8d,0x13ffa3ff,
    0xffd8dff3,0x213fe26f,0x7fc3fffd,0x22ffb8ff,0x3fea4ff9,0x43fffc82,
    0xfc80ffff,0xb83d85ff,0xfffccfff,0x206ff44f,0xffb05fe9,0x4fffe87f,
    0x7ffdc074,0xdfffd0df,0x07fffa1b,0x1dfffda8,0x9ffff900,0xf0dfff31,
    0x32600dff,0x4402dfff,0x837dc1ff,0x077d42fe,0x7cc1ffb8,0x3ee06c3f,
    0xffd80fff,0x0195002f,0x17fd4710,0xffff7790,0xfffbc407,0x7000386f,
    0x7f46ffa8,0x001fa9cf,0xd80007f5,0x3ff6000f,0x987ffdc6,0x3fee2fff,
    0x22ffe43f,0x8bffe65a,0x7c0ffff8,0x13ffa0ff,0xffe8dff9,0xf89ffee1,
    0x7ffdc3ff,0x3207ffc5,0x7ffc3fff,0x7f44e98f,0x21bfe22f,0x7fc3fffc,
    0xfff880ff,0x2a03e20f,0xdb35ffff,0xf1037cc1,0x9bffe60f,0x267fffe9,
    0x8dfff506,0x7e46fffc,0xfb8802ff,0x2e00beff,0x7ffc5fff,0x00e64c0f,
    0x033fff6a,0xf517fa20,0x07fee05f,0x7fdc0dfd,0x8307ff31,0xb03ffff8,
    0x00005fff,0xc80bf700,0x06ffff8b,0x37fffd32,0x7438001c,0x7ffe44ff,
    0x3ea000ab,0x07ec0003,0x24fff980,0xf13fffe8,0x7ffdc7ff,0x0f7ffe43,
    0x11fffc45,0xfff0ffff,0x70fffee3,0x3fea3fff,0xa93fa20f,0x7fd42fff,
    0x217ff44f,0x7fc3fffc,0x7d41acff,0x3ffe20ff,0x21fffe40,0xfb00ffff,
    0xa825c7ff,0x6c01ffff,0x80fd401f,0xd591fffe,0x40ee5fff,0x7dc4fffa,
    0x7ffdc4ff,0x7fed4003,0xfffb81cf,0x00ffff44,0x3bffee20,0x3ffa2002,
    0xd01bfe61,0x2ffd43ff,0x7ff7ff70,0x1bfff600,0x002fffd8,0x3fee2000,
    0xffc9e404,0x3e1f01ff,0x00386fff,0x1fffdc70,0x0007fff2,0xb0000fea,
    0x3fee001f,0x3fff7a4f,0x6c42f6a5,0x7fd44fff,0x7b503fff,0x4f7ffd41,
    0x93ffe999,0xffb87fff,0x01fff93f,0x42fffc81,0x999cfffa,0x7fe43ffe,
    0x07fffc3f,0x999fffb8,0x7e42fff9,0x7fffc3ff,0x4ffff300,0xffff500e,
    0xf100fd00,0x53ffee09,0x3abfff76,0x89fff500,0x7dc4fffb,0x930004ff,
    0x7dc3dfff,0x7fff44ff,0xfffb1001,0xffd0003b,0x00fffcc9,0xfe83ffee,
    0x3ffee05f,0xffff5003,0x17ffec05,0xddddddd9,0xdddddddd,0x4fffd881,
    0x7ffccf20,0x3fe5a85f,0x000386ff,0x21fffe47,0xd503fffb,0xdfdddddd,
    0x25dddddd,0xfeeeeeec,0xeeeeeeef,0x6d3fff20,0x106fffab,0x09fffbf9,
    0x0bfffffd,0xffffbd50,0x7ddddddd,0xf70bfff6,0x3fff6bff,0x2fffd801,
    0x7777ffd4,0x7e43eeee,0x7fffc3ff,0xddfffb00,0xc85ddddd,0x7ffc3fff,
    0x3fffa00f,0x3fea059a,0x807e806f,0xfff105f8,0x3ffe295f,0x3fea05af,
    0x27ffdc4f,0x0013ffee,0x22fffd98,0x7f44fffb,0xff5001ff,0xf30003bf,
    0x7ffdc9ff,0x1fffcc00,0x2601fff9,0xfd001fff,0xffd80bff,0x3ffff62f,
    0xffffffff,0xff300fff,0xffb1e40f,0x3e2e81ff,0x00386fff,0x17ffec70,
    0x5413ffee,0xffffffff,0x3fffffff,0xfffffffb,0xffffffff,0x5e7ffec1,
    0x70dfff54,0x9fff73ff,0xfffffd10,0x7cbfa609,0xffd007ff,0x5fffb85f,
    0xf005fffd,0xffa83fff,0x3ff2004f,0x07fffc3f,0x001fffe8,0xff0ffff2,
    0x7fdc01ff,0x3ea02cef,0x0fc805ff,0xfd017cc0,0x7fec3fff,0x3fea02ff,
    0x27ffdc4f,0x0013ffee,0x033fffaa,0xfe89fff7,0x326001ff,0x4002efff,
    0x3f20fff9,0x27fec04f,0x2603fff1,0x401ffdff,0x400ffffb,0x0002fffd,
    0x409f7000,0x3fffea3c,0xffff1a64,0x8e00070d,0x7dc2fffe,0xfa8005ff,
    0x07ec0003,0x5efffc80,0xe893ffea,0x9fff70ff,0x3ffff620,0xf0ffe40f,
    0xfb001fff,0xfffb85ff,0x009fffb4,0xfa83fffd,0x3f2006ff,0x7fffc3ff,
    0x05fffb00,0x21fffe40,0x7c00ffff,0x7d406fff,0x4f9804ff,0xf7007ec0,
    0xfffa8dff,0x3ffea00f,0x227ffdc4,0x1004fffb,0x405dfff9,0x7f44fffb,
    0x401981ff,0x00cfffea,0xfd89ff50,0x89ff300f,0xff301ffc,0x4407fee7,
    0x4183ffff,0x0002fffd,0x3ea0c980,0xffd0f200,0x3fe1e4ff,0x000386ff,
    0x217ffec7,0x8004fffb,0x6c0003fa,0xfff7000f,0x17ffdc1d,0x7fdc9ffb,
    0x3fee144f,0x13ff22ff,0x9007fffd,0xffb85fff,0x1ffff73f,0x42fffd80,
    0x000ffffa,0xff87fff9,0xfff900ff,0x7ffdc00b,0x007fffc3,0x500ffff2,
    0x3a009fff,0x80bf702f,0xff84fff8,0x7ffd405f,0x227ffdc4,0x5404fffb,
    0x801cfffd,0x7f44fffb,0x2fff41ff,0x6fffe4c0,0x40ffb802,0x8bfb04fd,
    0xff302ff8,0xd81ffb87,0x43a86fff,0x3002fffd,0x33ff2007,0x21e403ea,
    0xf8affffb,0x437fffc0,0x7e470003,0x7ffdc2ff,0x03fa8003,0x8007ec00,
    0x7dc5fff8,0x7fff11ff,0x3227ffdc,0x897ffcc3,0x7fdc2fff,0x3e65306f,
    0x7ffe43ff,0x0bffff30,0x0bffea11,0x309ffff7,0x43fffb85,0xf300ffff,
    0x83703fff,0x3f64fffa,0x7c401fff,0x7fd400ff,0xfff9804f,0xeffebabd,
    0x40ffec00,0x7d402ffc,0x7ffdc4ff,0x427ffdc4,0x0beffeb8,0x13ffee00,
    0x7cc3fffd,0x71001fff,0x4017fffd,0x07f444fb,0x0ff217e6,0xfb81ffcc,
    0x3fffea1f,0x3fa17441,0xff8802ff,0x15773003,0xff887900,0xff84beff,
    0x000386ff,0x21fffcc7,0x8000fffc,0x6c0003fa,0x3ff2000f,0xf727fe47,
    0xfff95dff,0x6c0fb89f,0xdfff70ff,0x3ffff221,0xff91aa2e,0x6c4ffd89,
    0xb30cffff,0x3227ff41,0x30cfffff,0x4bfff50b,0x201ffffd,0x50bffffe,
    0x9fffd109,0x05ffff9d,0xf7009fb0,0xff9809ff,0xdfffffec,0x3ea00efc,
    0x700ff306,0xffb8bfff,0x27ffe44f,0x0077ffea,0x227ffe40,0x3e61fffe,
    0x98000fff,0x3202fffd,0x3627440f,0x2603f886,0xd17dc03f,0x75c4bfff,
    0x1ffffc1f,0x001ffc40,0xf9079000,0xff03ffff,0x00070dff,0xd89ffb0e,
    0xf50004ff,0x0fd80007,0x3ffdd100,0xff317fe2,0xfff5bfff,0x87bee1bf,
    0x3ffea4fe,0xffabfeff,0x41ffefff,0xff30ffe8,0xfffe881b,0x7440ffff,
    0xfdff10ff,0x01fdffff,0x9d9fffd1,0x4c05ffff,0x6fffffff,0x4ffffa60,
    0x402fffff,0xffc801f9,0x3174405f,0x07643597,0x04e80fe0,0x646fffc8,
    0x7fec6fff,0x005fd45f,0x17fff600,0xfd85ffff,0x5c40004f,0x441e403e,
    0x7701b10d,0xb8200100,0xffffffff,0xffd31fff,0x31009fff,0x3c800000,
    0x06ffff98,0x070dffff,0xffd10e00,0x0037fe21,0x6401fd40,0xffeeeeee,
    0x0eeeeeee,0x76ffdcf6,0x5dff904e,0xd7077fe4,0xb09ffdfb,0x5419ffff,
    0x00dffffe,0x13ff7ff2,0xdffffd88,0x3f7bf201,0xbffff52f,0x7fff4c03,
    0x05fffff3,0x67ffff44,0x00019800,0xfff90050,0x00003bff,0x26009800,
    0x7fffe400,0xffffc8ef,0xffffd8ef,0x4000025f,0x8cfffffd,0x43fffffe,
    0x04000008,0x00000000,0x00000000,0x00000000,0x3ff60790,0xdffff02f,
    0x40e00070,0x04ffdffc,0x401fd400,0xfffffffd,0xffffffff,0x002a6020,
    0x41101004,0x00544019,0x530002a2,0x00cc4001,0x14c06a60,0x00006600,
    0x00000cc4,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7ffa81e4,0x21bfffe0,0x98070003,
    0x0000000a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x99999930,0x47999919,0x34cccccc,0x00799999,0x02000001,0x00800440,
    0x14400002,0x31000000,0x33333333,0x21333333,0x99999998,0x99999999,
    0x20150080,0x0040aaaa,0x1088004c,0xaa885555,0x642aaaaa,0xb8936a1d,
    0xbbbbbbbb,0x203bbbbb,0x80ffa03d,0x0386ffff,0x00000700,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xff300000,0x3fa21fff,
    0x3fffa20a,0x07bfe20e,0x3200ff20,0xfb502dfe,0x9009f300,0x1efc83df,
    0x82dffdb8,0x5c42fffa,0x7100dfcb,0xffa817b9,0xffffffff,0xf53fffff,
    0xffffffff,0x87ffffff,0x1fffc43b,0xfb0fffe6,0xdffd705f,0xf90ec017,
    0x7ffcc3ff,0xf70fffff,0x997ffcff,0xffffffff,0x0fffffff,0xf700ff88,
    0x3fffe601,0x5555640f,0xaaaaaaaa,0x0000004a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfff30000,0x640be23f,0x05f85fff,
    0xf901bfe0,0x6dc1ffff,0xffe807ff,0x97ffe601,0x7e45fff9,0x742fffef,
    0x87ec6fff,0x26f885fd,0x3bbaa0fe,0xeeeeeeee,0xdd53feee,0xdddddddd,
    0x445ddddd,0x3ffee2ff,0x2a27fe46,0x7fe46fff,0x42dffffe,0x1ffe40f9,
    0xfffffff3,0x45ffee1f,0x55512fff,0x55555555,0xfc985555,0x2c41dfff,
    0x7ffffe54,0x00002cef,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x5bfff200,0x3ffee03c,0x36002ec4,0x6436205f,
    0x07fe84ff,0x502fffd4,0x7fd4bfff,0xa8bbee5f,0x3fffa1ff,0x7ecbfe1f,
    0x3f64fb86,0x3fa80003,0xfe980000,0xd1bffee6,0xffff709f,0xfd7117c4,
    0x09fdbfff,0xccc89bf2,0x910ccccc,0x0027545d,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x1b3fffe2,0x649fff70,0xf51ed805,0xf9813a63,0x407fe82f,0x302ffafe,
    0x7fc49fff,0x2e0bf64f,0x3fffa63f,0x3fae2622,0x3f64fe87,0x3fa80006,
    0xdf700000,0xf317ff44,0x93ffe209,0x3ff26059,0x07ec03ef,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0x401ffffc,0x7f94fffb,0xd3fff980,0x5c03ffee,
    0x40ffd06f,0x40df74fb,0x7ffc2fff,0x37c41be2,0x57dc3d44,0x27fc47fc,
    0x50000ffb,0x2aaaa27f,0xaaaaaaaa,0xfd511aaa,0x04a81305,0x00620dc4,
    0x0390014c,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x403ffff8,0xffccfffb,
    0x7ffe400f,0x04fffeed,0x3ff407f6,0x3fa0ff88,0xd81ffb03,0x4c1fe0ff,
    0xfd89906f,0x9fb0ff93,0x400027ec,0xffff53fa,0xffffffff,0x2aee7fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfb800000,0x3ee00fff,
    0x6fffffff,0x8016dc00,0x1ffa01fb,0x3fea1fe4,0xfa86fb80,0x7e417f46,
    0x3e62f884,0xa87fe9cf,0x0007fa6f,0x55446a20,0xaaaaaaaa,0x001aaaaa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfff10000,0x7ffdc07f,
    0x03ffff8d,0x809f6d88,0xfd0321e9,0x360df30f,0x884f884f,0x467fd44f,
    0x74c0ffc9,0xfbbeff83,0xeaaeb82f,0x00000003,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x07fffeec,0xf54fffb8,0x7cc03fff,
    0x301dfb4f,0xd0fddddf,0x205fd0ff,0x02e80ff8,0xffff705d,0x01da85ff,
    0x54009831,0x26666602,0x99999999,0x00000019,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xead40000,0xff704fff,0x37ffe49f,0x3ea3ff90,
    0x7fffc43f,0x3fe625ff,0x80df50af,0x500a85fc,0x33bb2601,0x00000000,
    0xffffff30,0xffffffff,0x0000001f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x43a20000,0xb81ffffa,0x3fa24fff,0x8bf304ff,0x5554c1fe,
    0x2aa61aaa,0x01551aaa,0x00002a88,0x00000000,0xbbbbb100,0xbbbbbbbb,
    0x000001bb,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x9d100000,
    0xc86ffff8,0x7fdc5fff,0x000002ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7ffecc00,
    0xfffffc8c,0xfffffb1e,0x3ffffa2b,0x0000004f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_33_latin_ext_x[560]={ 0,2,2,0,1,2,1,2,1,0,1,0,0,0,
1,0,1,1,0,0,0,1,1,1,1,0,2,2,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,0,1,0,1,1,0,0,0,0,0,0,3,0,0,2,-1,0,1,0,1,1,1,0,1,1,0,
-1,0,0,1,1,1,0,1,1,1,0,0,0,0,0,0,0,2,2,1,0,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,2,1,0,0,0,
2,1,0,0,0,0,0,0,0,-1,0,0,0,0,3,1,0,1,2,1,0,0,1,1,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,2,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,1,0,1,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-1,0,0,1,0,0,0,
0,0,0,0,0,0,0,0,1,0,1,0,1,2,0,1,1,1,1,1,1,1,1,1,0,1,0,1,0,1,
1,1,1,1,1,1,1,1,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,-1,4,4,4,
4,4,4,4,4,4,4,4,4,4,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,0,0,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,1,0,-1,1,
1,0,0,0,0,0,0,0,0,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,0,1,-1,1,1,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__times_bold_33_latin_ext_y[560]={ 26,5,5,5,5,5,5,5,5,5,5,8,21,17,
21,5,5,5,5,5,5,6,5,6,5,5,12,12,9,12,9,5,5,5,6,5,6,6,6,5,6,6,6,6,
6,6,6,5,6,5,6,5,6,6,6,6,6,6,6,6,5,6,5,30,5,11,6,11,6,11,5,11,6,5,
5,6,6,11,11,11,11,11,11,11,7,12,12,12,12,12,12,5,5,5,15,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,26,11,6,5,9,6,
5,5,6,5,5,12,12,17,5,2,5,8,5,5,5,12,6,13,25,5,5,12,5,5,5,11,-1,-1,-1,0,
0,0,6,5,-1,-1,-1,0,-1,-1,-1,0,6,0,-1,-1,-1,0,0,9,5,-1,-1,-1,0,-1,6,5,5,5,
5,6,6,5,11,11,5,5,5,6,5,5,5,6,5,6,5,5,5,6,6,9,11,5,5,5,6,5,5,6,
1,7,-1,5,5,11,-1,5,-2,5,0,6,-1,5,-1,5,6,6,1,7,-1,5,0,6,6,11,-1,5,-1,5,
-1,5,0,6,5,4,-2,-2,6,6,0,6,1,7,-1,5,6,5,0,12,6,5,-2,5,6,6,12,-1,-1,6,
6,5,5,6,6,6,6,-1,5,6,11,-1,5,5,5,11,1,7,-1,5,-1,5,5,11,-1,5,6,11,-1,5,
-1,5,-2,5,5,11,-1,5,6,7,-1,5,6,7,0,6,1,7,-1,5,-2,5,-1,5,6,12,-2,5,-2,5,
0,-1,5,0,6,-1,5,5,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,5,7,7,5,7,7,7,
7,7,7,7,7,7,7,7,7,7,4,10,7,7,7,7,7,7,7,7,7,7,7,7,7,2,11,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,-1,5,-1,5,-1,
5,-1,5,-1,3,-1,1,-1,0,-1,1,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,-5,-1,-1,5,-1,5,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7, };
static unsigned short stb__times_bold_33_latin_ext_w[560]={ 0,6,12,15,13,26,23,5,9,9,13,17,7,10,
6,9,13,12,14,14,14,13,13,14,13,14,6,6,17,17,17,13,27,22,19,19,21,19,18,22,23,11,15,24,
19,28,21,22,18,22,22,15,18,22,22,30,22,22,20,6,9,7,14,17,7,14,16,12,15,12,13,14,15,8,
9,17,8,24,15,13,16,15,12,10,10,16,15,22,15,15,13,9,3,9,17,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,6,13,15,15,15,
3,13,10,22,10,15,17,10,22,17,11,17,9,9,7,16,17,6,6,7,10,15,21,21,22,13,22,22,22,22,
22,22,30,19,19,19,19,19,11,11,11,11,21,21,22,22,22,22,22,13,22,22,22,22,22,22,18,16,14,14,
14,14,14,14,20,12,12,12,12,12,9,9,10,10,13,15,13,13,13,13,13,17,14,16,16,16,16,15,16,15,
22,14,22,14,22,14,19,12,19,12,19,12,19,12,21,21,21,15,19,12,19,12,19,12,19,12,19,12,22,14,
22,14,22,14,22,14,23,15,23,15,11,10,11,10,11,10,11,9,11,8,25,15,15,11,24,17,16,19,9,19,
8,19,14,19,13,19,8,21,15,21,15,21,15,22,22,14,22,13,22,13,22,13,28,20,22,12,22,12,22,12,
15,10,15,10,15,10,15,10,18,10,18,16,18,10,22,16,22,16,22,16,22,16,22,16,22,16,30,22,22,15,
22,20,13,20,13,20,13,12,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,20,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,23,17,16,16,16,16,16,16,16,16,16,16,16,16,16,25,19,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,22,14,11,10,22,
13,22,16,22,16,22,16,22,16,22,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,22,14,30,20,22,14,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16, };
static unsigned short stb__times_bold_33_latin_ext_h[560]={ 0,22,11,22,24,22,22,11,27,27,13,17,11,4,
6,22,22,21,21,22,21,21,22,21,22,22,15,20,15,8,15,22,28,21,20,22,20,20,20,22,20,20,21,20,
20,20,21,22,20,27,20,22,20,21,21,21,20,20,20,26,22,26,12,3,6,16,21,16,21,16,21,22,20,21,
28,20,20,15,15,16,22,22,15,16,20,15,15,15,14,21,14,28,28,28,6,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,22,26,22,15,20,
28,28,4,22,10,14,8,4,22,3,11,17,12,12,6,21,27,6,7,12,10,14,22,22,22,22,27,27,27,26,
26,26,20,27,27,27,27,26,27,27,27,26,20,27,28,28,28,27,27,14,23,28,28,28,27,27,20,22,22,22,
22,21,21,22,16,21,22,22,22,21,21,21,21,20,22,20,22,22,22,21,21,14,16,22,22,22,21,28,28,27,
25,20,27,22,28,22,28,22,29,22,27,21,28,22,27,22,20,21,25,20,27,22,26,21,27,22,27,22,28,28,
28,28,27,27,27,29,28,28,20,20,26,20,25,19,27,21,27,28,26,14,21,28,29,28,26,26,14,27,27,26,
26,21,21,20,20,20,20,28,21,26,21,28,21,21,22,22,26,20,28,22,28,22,22,16,27,21,26,21,27,21,
28,22,29,22,27,21,28,22,28,27,27,22,20,20,27,21,26,20,28,22,29,22,28,22,27,21,29,22,28,28,
26,27,21,26,20,27,21,21,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,22,19,19,28,19,19,19,
19,19,19,19,19,19,19,19,19,19,23,17,19,19,19,19,19,19,19,19,19,19,19,19,19,25,16,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,27,22,27,21,28,
22,28,22,28,24,28,26,28,27,28,26,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,31,28,27,22,29,22,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19, };
static unsigned short stb__times_bold_33_latin_ext_s[560]={ 509,416,324,474,373,54,488,506,264,392,277,
65,349,470,422,490,95,62,315,421,411,426,1,453,364,162,388,504,395,397,354,
131,253,42,249,277,208,350,230,436,269,293,123,305,330,1,139,474,412,469,431,
15,393,259,282,92,370,475,454,221,373,71,309,492,462,116,174,177,26,231,65,
459,192,501,499,132,123,329,372,163,399,65,277,131,1,244,261,306,244,230,459,
193,304,183,444,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,
30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,509,497,142,
31,290,330,203,400,481,398,357,413,379,470,239,379,337,83,291,500,429,484,110,
437,415,301,368,429,15,109,216,297,140,186,209,102,431,454,150,313,244,309,289,
477,289,128,232,191,65,447,78,331,377,163,24,445,404,414,437,460,1,424,467,
356,341,326,311,86,201,262,142,134,203,190,177,275,288,250,346,181,81,35,51,
329,37,216,370,482,101,457,440,423,298,483,18,356,350,346,329,300,35,270,58,
234,47,204,372,384,140,131,402,98,374,101,330,361,234,1,272,357,70,475,90,
462,160,222,247,286,47,274,362,83,369,416,443,396,156,412,292,498,301,147,254,
237,497,473,158,270,129,496,46,203,260,492,352,385,405,230,260,423,12,486,26,
451,330,1,468,347,191,207,31,285,168,305,473,315,324,161,175,190,333,246,79,
79,266,161,124,500,67,120,147,15,1,451,432,69,50,217,104,319,163,184,23,
87,393,14,145,144,301,81,80,117,98,247,199,183,228,17,1,251,51,126,397,
440,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,378,30,30,1,
30,30,30,30,30,30,30,30,30,30,30,30,30,427,47,30,30,30,30,30,
30,30,30,30,30,30,30,30,304,211,30,30,30,30,30,30,30,30,30,30,
30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,103,47,
38,75,308,1,101,145,230,387,354,125,281,217,207,414,30,30,30,30,30,30,
30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,
30,30,30,1,168,186,343,24,383,30,30,30,30,30,30,30,30,30,30,30,
30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,
30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,
30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,
30,30,30,30,30,30,30,30,30, };
static unsigned short stb__times_bold_33_latin_ext_t[560]={ 1,146,274,146,119,146,119,215,91,62,274,
258,274,274,274,146,169,192,192,169,192,192,169,192,146,169,258,169,258,274,258,
169,1,215,237,169,237,236,237,169,237,237,215,236,236,258,215,169,236,62,236,
192,236,215,215,215,236,236,236,119,169,119,274,274,274,258,215,258,215,258,215,
169,237,192,1,237,237,258,258,258,146,169,258,258,237,258,258,258,274,215,258,
1,1,1,274,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,1,169,119,
192,258,215,1,1,274,169,274,258,274,274,169,283,274,258,274,258,274,192,91,
274,274,274,274,258,169,169,169,169,91,91,91,119,91,91,237,62,91,91,91,
91,62,91,91,119,237,62,33,1,1,91,91,258,119,1,1,1,91,62,215,
169,169,169,169,192,192,169,258,192,169,169,169,192,192,192,192,237,169,237,169,
146,169,192,192,258,258,146,146,146,192,1,33,62,119,215,91,146,33,146,33,
146,1,146,62,192,33,146,62,146,215,192,119,215,62,146,119,192,91,119,91,
119,33,33,33,33,91,91,91,1,33,33,215,215,119,215,119,236,62,192,62,
33,91,258,192,33,1,33,119,119,274,62,91,91,91,192,192,215,237,215,237,
33,192,119,192,33,215,215,146,146,119,215,33,146,33,146,146,258,62,215,119,
215,62,215,33,146,1,146,62,215,62,119,33,62,62,146,237,215,62,192,119,
237,33,146,1,146,33,146,62,192,1,146,33,33,119,62,215,119,237,62,192,
192,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,146,258,258,33,
258,258,258,258,258,258,258,258,258,258,258,258,258,119,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,119,258,258,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,62,192,
62,192,1,192,33,169,1,119,1,119,1,62,1,91,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,
258,258,258,1,1,62,146,1,169,258,258,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,258, };
static unsigned short stb__times_bold_33_latin_ext_a[560]={ 119,159,265,238,238,477,397,132,
159,159,238,272,119,159,119,132,238,238,238,238,238,238,238,238,
238,238,159,159,272,272,272,238,443,344,318,344,344,318,291,371,
371,186,238,371,318,450,344,371,291,371,344,265,318,344,344,477,
344,344,318,159,132,159,277,238,159,238,265,212,265,212,159,238,
265,132,159,265,132,397,265,238,265,265,212,186,159,265,238,344,
238,238,212,188,105,188,248,371,371,371,371,371,371,371,371,371,
371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,
371,371,371,371,371,371,371,371,119,159,238,238,238,238,105,238,
159,356,143,238,272,159,356,238,191,262,143,143,159,275,257,119,
159,143,157,238,358,358,358,238,344,344,344,344,344,344,477,344,
318,318,318,318,186,186,186,186,344,344,371,371,371,371,371,272,
371,344,344,344,344,344,291,265,238,238,238,238,238,238,344,212,
212,212,212,212,132,132,132,132,238,265,238,238,238,238,238,262,
238,265,265,265,265,238,265,238,344,238,344,238,344,238,344,212,
344,212,344,212,344,212,344,350,344,265,318,212,318,212,318,212,
318,212,318,212,371,238,371,238,371,238,371,238,371,265,371,265,
186,132,186,132,186,132,186,132,186,132,392,263,238,159,371,265,
265,318,132,318,132,318,223,318,189,318,132,344,265,344,265,344,
265,348,367,265,371,238,371,238,371,238,477,344,344,212,344,212,
344,212,265,186,265,186,265,186,265,186,318,159,318,248,318,159,
344,265,344,265,344,265,344,265,344,265,344,265,477,344,344,238,
344,318,212,318,212,318,212,132,371,371,371,371,371,371,371,371,
371,371,371,371,371,371,371,352,371,371,238,371,371,371,371,371,
371,371,371,371,371,371,371,371,371,264,371,371,371,371,371,371,
371,371,371,371,371,371,371,379,286,371,371,371,371,371,371,371,
371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,
371,371,371,371,371,344,238,186,132,371,238,344,265,344,265,344,
265,344,265,344,265,371,371,371,371,371,371,371,371,371,371,371,
371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,
371,371,344,238,477,344,371,238,371,371,371,371,371,371,371,371,
371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,
371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,
371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,
371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,
371,371,371,371,371,371,371,371, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_33_latin_ext_BITMAP_HEIGHT or STB_FONT_times_bold_33_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_33_latin_ext(stb_fontchar font[STB_FONT_times_bold_33_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_33_latin_ext_BITMAP_HEIGHT][STB_FONT_times_bold_33_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_33_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_33_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_33_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_33_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_33_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_33_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_33_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_33_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_33_latin_ext_s[i] + stb__times_bold_33_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_33_latin_ext_t[i] + stb__times_bold_33_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_33_latin_ext_x[i];
            font[i].y0 = stb__times_bold_33_latin_ext_y[i];
            font[i].x1 = stb__times_bold_33_latin_ext_x[i] + stb__times_bold_33_latin_ext_w[i];
            font[i].y1 = stb__times_bold_33_latin_ext_y[i] + stb__times_bold_33_latin_ext_h[i];
            font[i].advance_int = (stb__times_bold_33_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_33_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_33_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_33_latin_ext_s[i] + stb__times_bold_33_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_33_latin_ext_t[i] + stb__times_bold_33_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_33_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_33_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_33_latin_ext_x[i] + stb__times_bold_33_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_33_latin_ext_y[i] + stb__times_bold_33_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_bold_33_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_33_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_33_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_33_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_33_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_33_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_33_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_33_latin_ext_LINE_SPACING
#endif

