// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_34_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_34_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_34_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_bold_34_latin_ext_BITMAP_HEIGHT        304
#define STB_FONT_times_bold_34_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_bold_34_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_bold_34_latin_ext_NUM_CHARS            560

#define STB_FONT_times_bold_34_latin_ext_LINE_SPACING          22

static unsigned int stb__times_bold_34_latin_ext_pixels[]={
    0x0aaaa800,0x33320000,0x3310000c,0x80000033,0x00009999,0x40079995,
    0x00062028,0x00009988,0x0006aa60,0x20001c40,0x0000540a,0x00026666,
    0x01554400,0x26662000,0x554c0001,0x0002aaaa,0x00026660,0x2a201910,
    0x00000000,0x000cc057,0x01333100,0x0dfff100,0x1bffe200,0x22008800,
    0xdb880000,0x55540002,0xff980001,0x2a00004f,0x40003fff,0x0000fffd,
    0x0bfff300,0x077ff400,0xd109f100,0x3fe2000b,0x100000ff,0x90000bfd,
    0x7f900007,0x50000bd5,0x00009fff,0x0003bf20,0x07fff700,0xffffc800,
    0x700005ff,0x00009fff,0x05e881db,0x27ffe400,0xf907f500,0x3e200003,
    0xc8000eff,0x8002ffff,0x002ffffd,0x5d101d70,0xb5bf0000,0x3fee000d,
    0xfb80006f,0x6c00005f,0x880003ff,0x00003ffe,0x000bff90,0x0007ffc4,
    0x1ff52fdc,0x3fff2000,0x6c00004f,0x03440007,0x1dffb000,0x3fea0000,
    0xdd000007,0xfd000001,0x9500007f,0x00799999,0xfffff100,0xff980003,
    0x0003ff31,0x8004ffe8,0x09fb14fe,0x77fdc000,0xeff98000,0x7cc006ff,
    0x0006ffef,0xd7537df3,0x5a80001f,0x3e2000f4,0x0003ffff,0x00002ff4,
    0x000027fc,0x0000dfd1,0x0003bfa0,0x0001ffb8,0x0ffefbfe,0x6effcc00,
    0x080000ff,0xfb800046,0x220000de,0x00008998,0x0007fee0,0x00043080,
    0x009ff300,0x00040400,0xffcffd80,0xffd80005,0x40004ffc,0x30005ff9,
    0x01ffdbff,0x077ec000,0x98dfd800,0x3fa002fe,0x002ff98d,0xffffff90,
    0x87900009,0x7fe4002d,0x20007feb,0x800005f9,0x800004fa,0x00000fe8,
    0x000077cc,0x700007fa,0x000fffff,0x0bf927f4,0x325fa800,0xffa8003f,
    0xbf50002f,0x00001fe4,0x200009f7,0x00ff25fa,0x0027dc00,0x7e4bf500,
    0x7fcc0003,0x0003fd31,0x0fffff98,0x02fe4000,0x3ffff600,0x3e200003,
    0x9f50000e,0xf5006e88,0x0006e889,0x09ffff91,0x4c3a6000,0x3fe2000f,
    0x4000ff61,0x800000da,0x2000003a,0x400003e8,0xc80000ec,0xffd00001,
    0x3ea0005f,0x0001fb83,0x04fc97ee,0x000bf900,0x09f92fdc,0x007c8000,
    0x7e4bf700,0x09d00004,0x25fb8000,0x740004fc,0x002f440e,0x01fffe40,
    0x0002f400,0x0037ffcc,0x0003ee00,0x00b602b8,0x016c40ae,0x00057100,
    0x07fdf900,0xfc80ed80,0x2db88000,0x00000000,0x00000000,0x1a880000,
    0x2aa98000,0x9806a000,0x0c0c0001,0x40000000,0x00000181,0x18180000,
    0x00000000,0x00018180,0x000a0144,0x00066620,0x100000c0,0x00000133,
    0x00000000,0x00000000,0x01440000,0x00540180,0x13af3e20,0x372e6000,
    0x04c81acd,0x35795310,0xa9880001,0x80009abc,0x0005fdfb,0x159bb951,
    0xa9880298,0x88009abc,0xaaaaaaaa,0x2aaa20aa,0x55301aaa,0xaaaa8801,
    0x20aaaaaa,0x1aaaaaa8,0x55555551,0x55441555,0x5511aaaa,0x55555555,
    0x55555441,0x5555511a,0x44155555,0x11aaaaaa,0x55555555,0x55544155,
    0x55511aaa,0x15555555,0x55555544,0x55555511,0x54415555,0x001aaaaa,
    0x95310000,0x80001357,0x0acddca8,0xaaa9814c,0x0aaaaaaa,0xcddca880,
    0x44014c0a,0x009abca9,0xaaaaaa88,0x2a20aaaa,0x301aaaaa,0xb8000155,
    0x40003e24,0xebbdffea,0x01d71eff,0xbbdffe98,0x4001effe,0xebbdffe9,
    0x3e001eff,0xc8800ba0,0xfdceffff,0x2603dadf,0xfebbdffe,0x7e5401ef,
    0x41aeffff,0x0aeffda8,0x7fe7ff54,0x32a4eeee,0x1aefffff,0x577fed44,
    0x3ffff2a0,0x6d441aef,0x32a0aeff,0x1aefffff,0x577fed44,0x3ffff2a0,
    0x6d441aef,0x32a0aeff,0x1aefffff,0x577fed44,0x3ffff2a0,0x6d441aef,
    0x32a0aeff,0x1aefffff,0x577fed44,0xffffff90,0x037ff547,0x2ef7ffa6,
    0x4001effe,0xceffffc8,0x03dadffd,0xfffff931,0xfc88037f,0xffdcefff,
    0x3a603dad,0xffebbdff,0x7fe5401e,0x441aefff,0x40aeffda,0xeffcffea,
    0x5b004eee,0xfd8001e8,0xfff981ff,0x7fdc00fd,0x4fff881f,0x03fff700,
    0x5009fff1,0xf5005b8b,0xf7017dff,0x3fee07ff,0x4fff881f,0x2ffffe80,
    0xfb80fd80,0xdfff30ef,0xffffd09d,0x401fb005,0x802ffffe,0x3ffa00fd,
    0x0fd802ff,0x0bffffa0,0xfe803f60,0xfd802fff,0x3ffffa00,0x200fd802,
    0x802ffffe,0xfffb80fd,0x405f883f,0xf881fffb,0xff5004ff,0xff7017df,
    0xfffb007f,0xfff5007f,0xfff7017d,0x07ffee07,0x2013ffe2,0x802ffffe,
    0xeffb80fd,0x9ddfff10,0x06996a00,0x0ffff440,0x80dfff50,0x2a02fffe,
    0x7f406fff,0x3fea02ff,0xb07c406f,0xffff7005,0x83ff9803,0x2a02fffe,
    0x7ec06fff,0x6c802fff,0x744fff98,0x3ff604ff,0x06c802ff,0x017fffec,
    0x3ff60364,0x06c802ff,0x017fffec,0x3ff60364,0x06c802ff,0x017fffec,
    0x3ff60364,0x06c802ff,0x2217fffa,0x3fffa00f,0x1bffea02,0x03ffff70,
    0xc803ff98,0x5c02ffff,0x4c01ffff,0xfffe83ff,0x1bffea02,0x05ffffb0,
    0xfff30d90,0x004ffd89,0x002fefd8,0x4037ffec,0xf903fffd,0xffb00bff,
    0x3fff209f,0x4fffd805,0x03edf640,0x017fffd4,0x7fe43f98,0xfffd805f,
    0x3ffff204,0xfc85b801,0x7ffec3ff,0x3ffff900,0xfc80b700,0x5b801fff,
    0x0ffffe40,0x3f202dc0,0x5b801fff,0x0ffffe40,0x3f202dc0,0x5b801fff,
    0x0ffffe40,0xff502dc0,0x205a81ff,0xd805fffc,0xff504fff,0x3e6005ff,
    0xffffc803,0x3fffea01,0xc87f3002,0xfd805fff,0x3ff204ff,0x85b801ff,
    0x7e43fffc,0x7c8000ff,0xffffa800,0x7fff4402,0x7fffcc1f,0xffff9802,
    0x17fffcc1,0x0ffffcc0,0x2200b260,0x4004ffff,0x3fffe63d,0xffff9802,
    0x3ffff901,0xffb0b700,0x2fffc85f,0x03ffff90,0xffc80b70,0x05b801ff,
    0x00ffffe4,0x3ff202dc,0x05b801ff,0x00ffffe4,0x3ff202dc,0x05b801ff,
    0x00ffffe4,0x3ffa02dc,0xf9816c3f,0xf9802fff,0x7fc41fff,0x1ec004ff,
    0x0ffffe40,0x04ffff88,0xfff31ec0,0xfff3005f,0x3fff203f,0xd85b801f,
    0x7fe42fff,0x2fe8002f,0x3ffff400,0x7fffef40,0x07ffff46,0x46ffff80,
    0x000ffffe,0x980dffff,0x7fe400aa,0x1d4002ff,0x001ffffd,0x641bfffe,
    0xb801ffff,0x43fffc85,0xf901fffc,0xb7003fff,0x1ffffc80,0x7e405b80,
    0x5b801fff,0x0ffffe40,0x3f202dc0,0x5b801fff,0x0ffffe40,0x3f202dc0,
    0x5b801fff,0x137ffdc0,0x7ffff40f,0xdffff000,0x02ffffc8,0x7e401d40,
    0xff901fff,0x3a8005ff,0x003ffffa,0xc837fffc,0xb801ffff,0x42fffc85,
    0x4001fffc,0x26005ffa,0x6c07ffff,0x21ffffd5,0x006ffff8,0x443ffffa,
    0x2006ffff,0x440ffffe,0x1dffeefc,0x0fffff88,0xfff10800,0x7ff400df,
    0xfffc80ff,0x985b801f,0x7fe44fff,0xffff900f,0xc80b7003,0xb801ffff,
    0x7fffe405,0x6405b801,0xb801ffff,0x7fffe405,0x6405b801,0xb801ffff,
    0x7fffe405,0x4405b801,0x0972ffff,0x01bfffe2,0x10ffffe8,0x001fffff,
    0xfff90010,0xffff103f,0x2210001f,0x2006ffff,0xc80ffffe,0xb801ffff,
    0x43fff985,0xe8006ffc,0xf7001fff,0x7640dfff,0x25ffffb0,0x006ffffa,
    0x54bffff6,0x2006ffff,0x262ffffd,0x3fff20ff,0x3ffffd40,0x3ffea000,
    0x3ff6006f,0xfffc82ff,0xb05b801f,0x2ffe8bff,0x07ffff20,0xff9016e0,
    0x0b7003ff,0x01ffffc8,0x7fe405b8,0x05b801ff,0x00ffffe4,0x3ff202dc,
    0x05b801ff,0x00ffffe4,0x7fe402dc,0x3ea03d5f,0x36006fff,0xff52ffff,
    0x00000fff,0x40ffffe4,0x007ffffa,0x37fffd40,0x5ffffb00,0x03ffff90,
    0x3ff60b70,0x0017ff45,0x013fffe6,0x82ffffe4,0x3fff60fb,0xbffff73f,
    0x7fffec00,0x0bffff73,0x1ffffec0,0x7fd43ffd,0x7fffdc5f,0x7fdc0006,
    0x3f6005ff,0xffc83fff,0x05b801ff,0x3f673fea,0x7ffe402e,0x405b801f,
    0x801ffffc,0x7ffe405b,0x405b801f,0x801ffffc,0x7ffe405b,0x405b801f,
    0x801ffffc,0x7ffe405b,0x805b801f,0x06affff8,0x017fffee,0x73ffffd8,
    0x000dffff,0x7fffe400,0x6ffffb81,0x7ffdc000,0x3ff6005f,0xfffc83ff,
    0x205b801f,0xffd9cffa,0xfffd8001,0xffd800ff,0x41fa85ff,0xfb5ffffd,
    0x64009fff,0xffb5ffff,0x7e4009ff,0xfff35fff,0x237ffccb,0x004ffffd,
    0x27fffec0,0xbffff900,0x03ffff90,0xdeb80b70,0xff9000be,0x0b7003ff,
    0x01ffffc8,0x7fe405b8,0x05b801ff,0x00ffffe4,0x3ff202dc,0x05b801ff,
    0x00ffffe4,0x3ff202dc,0x05b801ff,0x07ffffb0,0x027fffec,0x2bffff90,
    0x004ffffd,0x3fff2000,0xffffd81f,0x7fec0004,0x3f2004ff,0xffc85fff,
    0x05b801ff,0x05676f5c,0x7fe7c400,0xffc803ff,0x417cc4ff,0xfb5ffffd,
    0x64009fff,0xffb4ffff,0x7e4009ff,0x3ffa4fff,0xb1fffe63,0x000bffff,
    0x04ffffd8,0x13ffff20,0x007ffff2,0x02ec416e,0x3ffff900,0xfc80b700,
    0x5b801fff,0x0ffffe40,0x3f202dc0,0x5b801fff,0x0ffffe40,0x3f202dc0,
    0x5b801fff,0x0ffffe40,0xfa802dc0,0x3f600fff,0x32004fff,0xffb4ffff,
    0x00000bff,0x40ffffe4,0x005ffffd,0x27fffec0,0x9ffff900,0x03ffff90,
    0x17620b70,0xf8cc8000,0xfb807fff,0x0fa25fff,0xba7ffff4,0x2005ffff,
    0xf73ffffd,0x6c00bfff,0x2a23ffff,0x1ffff662,0x00dffff9,0x5ffffb80,
    0x3ffff600,0x1ffffc83,0x9fb05b80,0x7ffe4000,0x405b801f,0x801ffffc,
    0x7ffe405b,0x405b801f,0x801ffffc,0x7ffe405b,0x405b801f,0x801ffffc,
    0x7ffe405b,0x005b801f,0xf7017ffa,0x6c00bfff,0xff93ffff,0x00000dff,
    0x40ffffe4,0x006ffffc,0x2ffffdc0,0x7ffffb00,0x03ffff90,0x13f60b70,
    0xd87c4000,0x4c02ffff,0x13a6ffff,0x52fffff8,0x400dffff,0xf52ffffd,
    0x6c00dfff,0xb302ffff,0xb8ffff9f,0x0007ffff,0x037fffd4,0x05ffffb0,
    0x003ffff9,0xbfff10b7,0x01557999,0x00ffffe4,0x3ff202dc,0x05b801ff,
    0x00ffffe4,0x3ff202dc,0x05b801ff,0x00ffffe4,0x3ff202dc,0x05b801ff,
    0x00ffffe4,0xff7002dc,0xffffa805,0x3fff6006,0xfffff72f,0x7e400000,
    0xffb81fff,0x540007ff,0x2006ffff,0xc82ffffd,0xb801ffff,0xcdfff885,
    0x000abccc,0x7fffccb7,0x7fffc406,0xfff80bb7,0xffff10ff,0x7fff400f,
    0xfffff10f,0x7ffff400,0xf99ffc80,0x7ffcc7ff,0x220000ff,0x2007ffff,
    0xc80ffffe,0xc801ffff,0xfffff985,0x03ffffff,0x003ffff9,0xfffc80b9,
    0x405c801f,0x801ffffc,0x7ffe405c,0x405c801f,0x801ffffc,0x7ffe405c,
    0x405c801f,0x801ffffc,0x037c005c,0x03ffffc4,0x21ffffd0,0x00fffff9,
    0xffc80800,0xfff981ff,0x220000ff,0x2007ffff,0xc80ffffe,0xc801ffff,
    0xfffff985,0x03ffffff,0x7fff41e8,0x7ffec01f,0x7fc406df,0x7ffe45ff,
    0xfff8800f,0x7fffe44f,0xffff8800,0x987ff4c4,0xffd87fff,0x640002ff,
    0x8800ffff,0xf504ffff,0x99003fff,0x3fffff60,0x81ffffff,0x801ffffa,
    0x7ffd404c,0x404c801f,0x801ffffa,0x7ffd404c,0x404c801f,0x801ffffa,
    0x7ffd404c,0x404c801f,0x801ffffa,0x01e4004c,0x00ffffc8,0x44ffff88,
    0x002ffffd,0xc83bf620,0xfb01ffff,0x80005fff,0x800ffffc,0x504ffff8,
    0x9003ffff,0x3ffff609,0x2fffffff,0x3fee1aa0,0x7f4405ff,0x7dc00eff,
    0x7fc41fff,0xffa803ff,0x7ffc40ff,0xfffa803f,0x97ffa20f,0xfa87fff9,
    0x44006fff,0x0ffffe20,0x03fffea0,0x017fffcc,0xfffb0174,0x9fffffff,
    0x05ffff30,0xff9805d0,0x02e802ff,0x017fffcc,0x3fe60174,0x02e802ff,
    0x017fffcc,0x3fe60174,0x02e802ff,0x017fffcc,0x03a00174,0x1ffffc40,
    0x07fffd40,0x01bfffea,0x3ffea110,0x03ffff24,0x037fffd4,0xfff88220,
    0xfffa803f,0xffff300f,0x6c05d005,0xffffffff,0x40ba04ff,0x400fffff,
    0xe806fff9,0xff703fff,0xfff880ff,0xffff703f,0x3ffff880,0xf327ffd4,
    0x3ff20fff,0x1f3003ff,0x407fffb8,0x403ffff8,0x5404ffff,0x9bfd880f,
    0xbff93330,0x013fffe0,0xfff001f5,0x00fa809f,0x404ffff8,0xfff800fa,
    0x007d404f,0x2027fffc,0xfff800fa,0x007d404f,0x2027fffc,0x47b300fa,
    0x7fdc0059,0x7ffc407f,0xffff903f,0x643e6007,0x3ff23fff,0x7ffe407f,
    0x81f3003f,0x4407fffb,0x7c03ffff,0x7d404fff,0x41bfd880,0x304ffb99,
    0xfddddddf,0x9009ffff,0x7dc09fff,0x7fdc04ff,0x3fff203f,0x1fffdc02,
    0x705fff90,0xff97ffff,0x3f602fff,0x7d401fff,0x07fff703,0x4017ffe4,
    0x301ffffc,0x01bf203f,0x7fe40ffa,0x03f301ff,0x07ffff20,0xfc800fcc,
    0x3f301fff,0x3ffff200,0x2003f301,0x301ffffc,0x3ff2003f,0x03f301ff,
    0x07ffff20,0xffd00fcc,0x2e000761,0x3f203fff,0x7fec02ff,0x1fd401ff,
    0x7ec1fff3,0xffd803ff,0x1fd401ff,0x203fffb8,0xc802fffc,0xf301ffff,
    0x201bf603,0x337b01fd,0xfff33333,0x67c401ff,0x2e20bfff,0xd3002fff,
    0xffb887ff,0xffd3001e,0x1effb887,0xdfffff30,0x07dfffd3,0x873fffee,
    0x4c01edb9,0x7dc43ffe,0x3ee001ef,0xca89bfff,0x07ff203f,0x7dc05fb8,
    0xca89bfff,0x7fdc003f,0xfca89bff,0x7ffdc003,0x3fca89bf,0x7fffdc00,
    0x03fca89b,0x5ffffdc0,0x003fca89,0x4dffffdc,0x4003fca8,0x89bffffb,
    0x7fc03fca,0x20005abf,0x5c43ffe9,0xf7001eff,0x5cc39fff,0x0efc81ed,
    0x4009fff1,0x21cffffb,0x4c01edb9,0x7dc43ffe,0x3ee001ef,0xca89bfff,
    0x07fee03f,0x1f305fa8,0x3ffffd80,0x7f5c7d10,0x0acefedf,0x7fee4400,
    0x00cdffed,0x6ffee440,0x400cdffe,0x3aa3effb,0x75c403ef,0xceffffff,
    0xffb91000,0x019bffdb,0xffffd500,0xc8805dff,0xedbabdff,0xffd5004f,
    0x005dffff,0x3ffffaa0,0x50002eff,0xdffffffd,0x3faa0005,0x02efffff,
    0xffffd500,0x20005dff,0xffffffea,0xfd50002e,0x05dfffff,0x01bfff90,
    0xffdc8800,0x00cdffed,0x7fff5c40,0x200cefff,0x4effeffb,0xffeb8800,
    0x00ceffff,0xdbffb910,0x00019bff,0xffffffd5,0xbff9005d,0x07fdb757,
    0x7fcc026c,0x209706ff,0x0000aa98,0x00055440,0x002aa200,0x00010040,
    0x00035531,0x0002aa20,0x03555300,0x59975100,0x554c0005,0x2600001a,
    0x00001aaa,0x0006aaa6,0x01aaa980,0x2aaa6000,0x2a600001,0x200001aa,
    0x4001aaa9,0x000001b9,0x00001551,0x000d54c4,0x0002aa62,0x00d54c40,
    0x00aa8800,0x5554c000,0xcbaa8001,0x17cc009b,0x3ffffe80,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x02ff4c00,0x0fffffd8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xdffff900,0x3fff7209,0x0004ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00166644,
    0x99866200,0x33310001,0x0d554001,0x00aaa600,0x00333300,0x99866200,
    0x20288001,0x01100018,0x02880044,0xfb80000c,0x400002ff,0x2a04fffa,
    0xaaaaaaaa,0xaaaaaaaa,0x101cc00a,0x4c055005,0x3100cc01,0x33310000,
    0x55554403,0x20aaaaaa,0x1aaaaaa8,0x13ffe600,0xca800000,0x020003cc,
    0x65400000,0x1005401c,0x33330001,0x70099880,0x3ff6003d,0x7c00006f,
    0x009ff16f,0x007fffa0,0x0037ffd4,0x003ffff1,0x017ffe60,0x4d7fe200,
    0xf88003ff,0x0005e884,0x00fa01f3,0x06e885e8,0xffff8800,0x7f400006,
    0xffd00fff,0xffffddff,0x5ffffddf,0x9f30bf00,0xf707f300,0x983f8803,
    0xfc80004e,0x7dd402ff,0x41bfffff,0x0beffda8,0x3ffffa00,0xd0000000,
    0x40001dff,0x001f704e,0x0ff9ce80,0x3ee07ee0,0x7ffcc001,0x3fffe205,
    0x9802fc80,0x003fffff,0x2e3ff300,0xf98000ef,0xff1001ff,0x32007fff,
    0x0006ffff,0x0000bff9,0x2fe43fee,0x54bf7000,0xf10000ff,0x3fb7557d,
    0x9877d400,0xd80001fe,0x002ffeff,0xffdff700,0x9833fa09,0x7d44ffff,
    0x0efb802f,0x36001ff7,0x4017f64f,0x03fea4fc,0x0bffe000,0x3ffffd80,
    0x4001fd80,0x04ffeffb,0xff980000,0x7dc0000e,0x0001fec5,0x07fee7f2,
    0x27e45fd0,0x02ffe400,0x213ffff6,0xefe802fc,0x0000ffd9,0x07fa3fc8,
    0x00ffdc00,0xffd7ff90,0xf9bff100,0xbff0005f,0x17ec0000,0xf80001ff,
    0x003ffbef,0x7ffffdc0,0xefe8005f,0x80005ffb,0x0df92ff9,0x29ff1000,
    0x85e80ffa,0x984ffff9,0xbdfd002f,0x7cc007ff,0x000ffedf,0x7ff9bff1,
    0x7ff50000,0xffffc800,0x4007b802,0x3ff54ff8,0xfb800000,0xfd00000e,
    0x000dfd3b,0x3d88ff98,0xfebffb80,0x5ff8000f,0x7eeffcc0,0x2017e40f,
    0x0ff20dfa,0xf897e000,0x07fa0004,0x361ff880,0x527ec03f,0xef9800df,
    0x9f100000,0x400017cc,0x007ffffb,0x9ffff700,0xfff50001,0xd00001ff,
    0x003fb83f,0x3e617e40,0xff980e84,0x005d04ff,0x01bfffea,0x13ffff60,
    0xdffff700,0x0ff20000,0x3ffff200,0x4006a801,0x02fcc2fc,0x03fa0000,
    0xfffa8000,0x6c0002ff,0xfe8000ff,0x98003fff,0x24fe806f,0x017e44fd,
    0x007dc13a,0x35c1f300,0x005f3000,0x0fc80ed8,0x7f307f30,0x00076400,
    0x05c8d500,0x3fffa000,0x5d400002,0x7fec0000,0xc880004f,0x8000b500,
    0x581b301c,0x09ffff30,0xffe800ae,0xff88001f,0x7c4000ff,0x00002fff,
    0x3f20009f,0x6a801fff,0xd880e400,0x91000000,0xfd000003,0x98000bff,
    0xa8000fff,0x90006fff,0x82fa801d,0x00bf20fc,0x00000000,0x18000000,
    0x00880540,0x00000022,0x00000000,0x0000aaa6,0xa8800000,0x000000aa,
    0x00000000,0x7fffcc02,0x98800204,0x26200019,0x55300009,0x00000005,
    0x07ffff20,0x00001aa0,0x00000000,0x6664c000,0x3fa20000,0x550000ff,
    0x80000035,0xfc86601a,0x765cc402,0x005c0bcd,0x35795310,0xbb950001,
    0x00014439,0x2aa60000,0x2201aaaa,0x10aaaaaa,0x55555555,0x55544155,
    0x55531aaa,0x54403555,0x510aaaaa,0x55555555,0x55554415,0xbb9501aa,
    0x55314439,0x54555555,0xaaaaaaaa,0x0aaaaa82,0x439bb950,0xfff98028,
    0x2200004f,0x55544002,0x0aaaaaaa,0x55555544,0xaaaaaaaa,0xaaaa881a,
    0xaaaaaaaa,0xff901aaa,0x0d5003ff,0x55555553,0x2aaa2055,0x54c002aa,
    0xaaaaaaaa,0xaaaaaaaa,0x5441a802,0x3ffa6000,0x440ccfff,0xaaaaaaaa,
    0xaaaaaaaa,0x55555441,0x510aaaaa,0x55555555,0xc80bf215,0xecabcfff,
    0x800fbbef,0xebbdffe9,0xd8801eff,0xbefcabef,0x3ffff23d,0x3ffaa3ff,
    0xffffe986,0x7fffdc43,0x3fae01ff,0x3f2a0bef,0x41aeffff,0x0aeffda8,
    0xffffff71,0x77ff5c03,0x3fff2a0b,0x5441aeff,0x440aeffd,0xefcabefd,
    0x3ffa63db,0x3262efff,0x1bffffff,0x40cffc98,0xfcabefd8,0xf9803dbe,
    0x00004fff,0x731001ae,0x37ffffff,0xddffff50,0xfffffddd,0xffff503f,
    0xfffddddd,0x3f203fff,0x6a801fff,0xfffffc98,0xfb7101bf,0xa88005bf,
    0xfffffffc,0xfffffeee,0x98fff406,0x3f2006ff,0x0fffffff,0x7fffe4c4,
    0xfffeeeef,0x7dcc44ff,0x21bfffff,0xfffffb98,0x20bf21bf,0x300dffea,
    0xb801fffd,0xff881fff,0x13fe204f,0xf70fff62,0xbf107fff,0x03fffe80,
    0x1ffffff1,0x3a00fd80,0xd802ffff,0xffff100f,0x0fd801ff,0x0bffffa0,
    0x3e203f60,0x3ffd884f,0x17ffffc4,0x05ffffc8,0x4ff885e8,0x803ffd88,
    0x004ffff9,0x000bfa00,0x01ffffec,0xf1017ff7,0x2e09ffff,0xff880bff,
    0x3f204fff,0x6a801fff,0x3ffffee0,0x005f9800,0xfffedf80,0x37fdc40f,
    0x329fff10,0x31001fff,0x0339fffb,0x82ffffc8,0x3604ffd8,0x6c03ffff,
    0xfc83ffff,0x037ffe42,0x3a00ffd8,0x3ea02fff,0x1ffb06ff,0x7f41fec0,
    0x00f885ff,0x901fffec,0x80dfffff,0x7ffec06b,0x406c802f,0x06fffffc,
    0x3ff6035c,0x06c802ff,0x7ec01ffb,0x4ffffb83,0x1fffff10,0xffd82f80,
    0x200ff600,0x004ffff9,0x00bff500,0x0bffff20,0x3f202fc8,0xf900efff,
    0x7fffe405,0x3fff200e,0x406a801f,0x804ffffe,0x4c0000fb,0x0ffffd8f,
    0xfe80df30,0x00dff31f,0x005fffd0,0x80bfffee,0x3ff204fa,0x7fe402ff,
    0x22fc82ff,0x002ffffa,0x3f201fd1,0xffd805ff,0x03ffc44f,0x3fea0fa2,
    0x402d40ff,0x3203fffd,0x04fffffe,0xfff9016a,0x80b7003f,0x4fffffec,
    0xff9016a0,0x0b7003ff,0xe880fff1,0x7ffff883,0x0bffff60,0x7ff88698,
    0x4c01f440,0x0004ffff,0x003fffd0,0x05ffff70,0xfff301e4,0x01e405ff,
    0x05fffff3,0x01ffffc8,0x7fcc06a8,0x3e200fff,0xb3e80002,0x5c01ffff,
    0x1440a806,0x1ffff800,0x5ffff700,0x3ee04d80,0x7dc02fff,0x09882fff,
    0x00bffff1,0xff980f98,0xff9802ff,0x3ffe61ff,0xfe81dc03,0x4016c3ff,
    0x3203fffd,0x3fffffdb,0xffc80b50,0x05b801ff,0x7fffede4,0xc80b503f,
    0xb801ffff,0x03fff985,0xfffd81dc,0xffff302f,0x7cc1e40d,0x01dc03ff,
    0x027fffcc,0x7fffcc00,0xfffb8004,0xe803602f,0x6c05ffff,0x3ffffa00,
    0xffffc805,0xd806a801,0x3204ffff,0x26b80005,0x140ffffd,0x000000d1,
    0x007fff98,0x30bfffee,0xff702541,0xffb805ff,0xffc802ff,0x0d8001ff,
    0x00ffffe8,0x4cdffff0,0x2203ffff,0x4dfff703,0xfffb0078,0xffe9e407,
    0x05a81fff,0x00ffffe4,0x74f202dc,0xa81fffff,0x7fffe405,0xf985b801,
    0x0e203fff,0x02ffffcc,0x201ffffd,0xffff980f,0x2600e203,0x0004ffff,
    0x0fffffd8,0x7fffdc00,0xffb80a02,0x01400fff,0x01fffff7,0x03ffff90,
    0xff300b70,0x1f101fff,0x21f88000,0x2c0ffffd,0x3ffff60e,0x9ffffd14,
    0x1bffee00,0x2ffffb80,0xfb80a0ec,0x7dc02fff,0x7c402fff,0x8000ffff,
    0x7fffc408,0x3fffa006,0x3ffffe0f,0x7fc4001e,0x200972ff,0x3203fffd,
    0xffffff13,0x7e405a81,0x5b801fff,0xfff89e40,0x02d40fff,0x007ffff2,
    0x7fffc16e,0xfe8001ef,0xff880fff,0x05a84fff,0x07bffffe,0xffff9800,
    0x67c40004,0x4003ffff,0x002ffffb,0x3fffff88,0x3ffe2000,0xff9003ff,
    0x0b7003ff,0x17ffff20,0x36000136,0x07fffec4,0x3ff600b3,0x27fff44f,
    0x04fffc80,0x0bfffee0,0x7fdc003f,0x7fdc02ff,0x7fcc02ff,0x200007ff,
    0x006ffffa,0xd8bffff6,0x1dffffff,0x57fff200,0xfffb001e,0xff31e407,
    0x05a8dfff,0x00ffffe4,0x98f202dc,0x546fffff,0x7fffe405,0xfb05b801,
    0x03bfffff,0x27fffdc0,0x3fffff5c,0xfffb016c,0x0003bfff,0x009ffff3,
    0xfff8cc80,0x7fdc007f,0xfd8002ff,0x40006fff,0x006ffffd,0x00bfffea,
    0x7fc40132,0x01aa1fff,0xfb03ea00,0x02ec1fff,0x6c4fffc8,0xfd004fff,
    0x7dc005ff,0x07e62fff,0x2ffffb80,0x17fffdc0,0x1bfffee0,0xfffb8000,
    0x3ff6005f,0x3ffa23ff,0x00cfffff,0x6affff88,0x0ffff600,0x7ffdc3c8,
    0x9016a4ff,0x7003ffff,0x7dc3c80b,0x16a4ffff,0x03ffff90,0x3fa20b70,
    0x0cffffff,0x7ffff880,0xffffdae8,0xfd101e22,0x19ffffff,0x7fffcc00,
    0x43e20004,0x002ffffd,0x00bfffee,0x3fffff50,0x7ffd4000,0x3e6001ff,
    0x3e802fff,0x3fffee00,0x20000ba5,0xffffd82e,0x7005fd98,0xffc89fff,
    0xffff004f,0x7ffdc003,0x003ff52f,0x017fffdc,0x20bfffee,0xffffc8a9,
    0x3f600005,0x32004fff,0x7cc5ffff,0xffffffff,0xffffd801,0x3fff6003,
    0x3f20f203,0x0b52ffff,0x01ffffc8,0x41e405b8,0x52fffffc,0xffffc80b,
    0x2605b801,0xffffffff,0xfffd801f,0x7fd5e62f,0x2012e5ff,0xfffffff9,
    0xff3001ff,0x5c0009ff,0x1bfffe65,0x2ffffb80,0x7ffff400,0x7ff40004,
    0x7c4004ff,0x7d404fff,0x3ffe2000,0x0005caff,0xfffb05c8,0x00bfffff,
    0xf913ffee,0xff3009ff,0xffb800ff,0x1ffffeff,0x3fffee00,0x7fffdc02,
    0xffcafc82,0x200005ff,0x004ffffd,0x213ffff2,0xffffffd8,0x7fd402ff,
    0x3f6000ff,0x40f203ff,0xa9fffffe,0x7fffe405,0x6405b801,0xfffffd03,
    0xffc80b53,0x05b801ff,0x7ffffec4,0x7cc02fff,0xf8f25fff,0x03d0ffff,
    0x3ffff620,0x9802ffff,0x0005ffff,0xffffd07a,0x3ffee003,0x3ff2002f,
    0x20000fff,0x00fffffc,0x1ffffb80,0x70005f10,0x03fdffff,0xeeef9800,
    0xfffffeee,0x7005fea9,0xffc89fff,0xfffa804f,0x7ffdc005,0x01ffdbbf,
    0x0bfffee0,0x05ffff70,0xffff75f9,0x6666440d,0xf72ccccc,0x6c00bfff,
    0x2603ffff,0x6ffffffe,0x005ffe80,0x901fffec,0x3fffa207,0x7e405aef,
    0x5b801fff,0xfe881e40,0x405aefff,0x801ffffc,0xffd3005b,0xd00dffff,
    0x1f11ffff,0x4dffffe4,0xffe98006,0xb806ffff,0x0006ffff,0xffff70d5,
    0x3ffee00b,0xfff3002f,0x4c0005ff,0x002fffff,0x33ffff60,0x005fca89,
    0x13ffffa0,0x266fa000,0xfffe9999,0x200bd10f,0x7e44fffb,0xffc804ff,
    0x7fdc003f,0x007f22ff,0x02ffffb8,0x417fffdc,0xffff9afc,0x7ffd4407,
    0x3fea1eff,0x3f6006ff,0x54012fff,0x01fffffe,0x20017fdc,0x3203fffd,
    0x3fffe603,0x7fe405ff,0x05b801ff,0xfff301e4,0xfc80bfff,0x5b801fff,
    0x3ffaa008,0x7dc01fff,0x4c5bcfff,0x03ceffff,0xfffd5004,0x3f7203ff,
    0x2cefffff,0x7fc0ba00,0xfb800fff,0xfd002fff,0x0300bfff,0x02fffff4,
    0x3ffaa00c,0x001cffff,0x1ffffdc0,0xb01ae000,0x2d41ffff,0x44fffb80,
    0xd804fffc,0x5c001fff,0x0fc2ffff,0x5ffff700,0x2ffffb80,0xffff2fc8,
    0xfffb001f,0xffff883f,0x3fffa007,0xfb80550f,0x6f804fff,0x3fffd800,
    0xff500f20,0xfc80bfff,0x5c801fff,0x3ea01e40,0x6405ffff,0xc801ffff,
    0x7dc02a85,0x7c404fff,0xe81effff,0x400fffff,0x7ffdc02a,0x0000004f,
    0xddddddf3,0x009fffff,0x005ffff7,0x01fffff5,0xfff50688,0x068801ff,
    0x01bf7310,0x3ffea000,0x3e20003f,0x7fffec01,0x70221620,0xffc89fff,
    0x7ffd804f,0xffffb800,0xb80c0ec2,0x5c02ffff,0xfc82ffff,0x03ffffb2,
    0x03ffffb0,0x001ffff9,0x549ffff1,0x5fffa805,0xd8003c80,0x0f202fff,
    0x17ffff20,0x03ffff50,0x03c80990,0x05ffffc8,0x00ffffd4,0x402d4264,
    0xd805fffa,0xf706ffff,0xb500bfff,0x0bfff500,0x40005710,0x999999bd,
    0x00fffff9,0x017fffdc,0x0fffffe2,0x3fe216e0,0x5b803fff,0x0017f400,
    0x7ffff500,0x4026c000,0x240ffffd,0x3ffee0e4,0x027ffe44,0x4002fff4,
    0x5c2ffffb,0xfff70681,0xfffb805f,0xf12fc82f,0xfb007fff,0xff101fff,
    0xff5007ff,0x007d41ff,0x74027ff4,0xfffc8000,0x6c00f202,0x7cc05fff,
    0x2e802fff,0xfd801e40,0x7fcc05ff,0x82e802ff,0xffe800fa,0xffff9804,
    0x5ffff102,0xd001f500,0xffb009ff,0x01f30009,0x03ffffd8,0x017fffdc,
    0x01bffff2,0x7ffe4274,0x009d006f,0x00017fd4,0x07ffff50,0x2003aa00,
    0x400ffffd,0x5fffb878,0x4027ffec,0xb8002ffd,0x9802ffff,0x5ffff706,
    0x2ffffb80,0x3fea2fc8,0xfffd807f,0xffff700f,0x3ffff880,0x7ec02fd4,
    0x598f662f,0x3f237100,0x013201ff,0x402fff44,0x5404ffff,0x8026400f,
    0xf805ffe8,0x7d404fff,0xd805fa80,0xffd002ff,0x07ffc80f,0xfb00bf50,
    0xfffb005f,0x3009b000,0xb80dffff,0x2602ffff,0x801fffff,0x7ffcc3fb,
    0x3fb801ff,0x017fea00,0xffffa800,0x02e88003,0x01ffffb0,0xfffa86c8,
    0x13fffee6,0x027ec6e2,0x2ffffb80,0xfb82f440,0x7dc02fff,0x2fc82fff,
    0x202fffdc,0x200ffffd,0x3203fffb,0xffa82fff,0xd17fe203,0x400761ff,
    0x1fff76fc,0xf3003740,0xfff900bf,0x007e603f,0xff9801ba,0xffffc805,
    0x2a03f301,0x3fe203ff,0x13fee005,0x2009ff30,0x3e203ffa,0x1aa6005f,
    0x2005f300,0x203ffffe,0x203ffffc,0x405ffffe,0x7f42ffd8,0x6c405fff,
    0x7f4002ff,0xf700003f,0xb0009fff,0x7fff400f,0x417f600f,0xdeddfffe,
    0x6fe85fff,0x7e4000dd,0x3a203fff,0xffff903f,0xffffc807,0xe982fc83,
    0xfd80bdff,0x74c00fff,0x7fdc43ff,0xbfff501e,0x40efd881,0x005abfff,
    0x27fddbf2,0x4003ff30,0xff7005fa,0xf95137ff,0x03ff3007,0xb802fd40,
    0xa89bffff,0x3fea03fc,0x77ec40df,0x03fe2000,0x54007fa0,0x6c40dfff,
    0x1e4000ef,0x00bfd300,0x03fffff6,0x827ffff4,0x9afffffb,0xffba9999,
    0x3ffee1ff,0x99999aff,0x01ffffba,0x6f7ffdc0,0x3ff60001,0x7e4005ff,
    0xfff8800f,0xca999cff,0xfd104ffe,0x3fff2bff,0x6df7ec5f,0x3ffa0001,
    0xa9999eff,0xfd02fffc,0xfe809fff,0x2fc84fff,0x3bfffae0,0x01cfffed,
    0x37ff7220,0x200cdffe,0xcefdbaea,0xff903ffe,0x7c4001bf,0xd505fecf,
    0x005bffff,0xfea8016e,0x02efffff,0x6fffff54,0x400b7002,0xffffffea,
    0x5d75402e,0x3ffecefd,0x200bb000,0x2baa006b,0xffecefdb,0x015c4003,
    0x9dffff90,0x3ffff720,0xfd934fff,0x19dfffff,0x3fffffe2,0xffffffff,
    0xff11ffff,0xffffffff,0xffffffff,0x9d710003,0xfd950003,0x79dfffff,
    0x7ffff4c0,0x7f6e4c0d,0xffffffff,0x403fffff,0x544000a9,0xd930000b,
    0xffffffff,0x3fffffff,0x7ffff64c,0xd930ceff,0x9dffffff,0x440072a1,
    0x0009aaa9,0x00155100,0x2aaa2044,0x001b9801,0x0002ae60,0x40006000,
    0x0001aaa9,0x8000c000,0x1001aaa9,0x01aaa881,0x88004400,0x51022001,
    0x02000355,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x000cddca,0x00981550,0x5c00edc0,0x32e2004c,0x00cc0000,
    0x00100031,0x00020260,0x00002004,0xeb801013,0x13ffea01,0x08808800,
    0x0002a000,0x40011010,0x000b204a,0x00199988,0x00440330,0x2200565c,
    0x88002200,0x80000199,0x00009999,0x00266620,0x00066660,0x05ddddd3,
    0x0d414c00,0xaaaaaa88,0x2200aaaa,0xaaaaa999,0x000151aa,0xfd75bfb1,
    0x7ff54007,0x40079adf,0xf501fffb,0x7ec0017f,0x7c40006f,0x4004e983,
    0x7f54004a,0x000b52df,0x013603f1,0x96fff5c0,0x017e404b,0x001ffffd,
    0x7e49ff30,0xfff8001f,0x5ff98002,0x4c00bff2,0x07f260cf,0x3fffb800,
    0x307f3000,0x3fae007f,0x2203aa03,0x3ffa002e,0x2600002f,0x00005fff,
    0x00077ffc,0x001fffe4,0x00ffffe2,0xfb37fcc0,0xff73107f,0x2037ffff,
    0xefffffeb,0xd11adffe,0x27f40019,0x7400bfee,0x5fffffff,0x1ffff400,
    0x40017fd4,0x0000ffff,0x1ff52fe4,0x0027c400,0xfffffff1,0x3fa0005f,
    0x02fdb9ac,0xfffff880,0x7e402fff,0xffdff702,0xfff90009,0x00bfff11,
    0x005fffa8,0xff0fffc8,0x7ff400bf,0x0006ffff,0x00027ff4,0x06fb93f2,
    0x881ffcc0,0xfebaabef,0xffff5000,0x7e40000d,0x5400005f,0x20000fff,
    0xe8005ffc,0x90003fff,0x3ffe1fff,0x7fffe405,0x3ffff604,0x441f64ff,
    0xffa800fd,0x402ffdc1,0xffffcae8,0x7fdc001f,0x007ff81f,0x000dffb0,
    0xff9bff10,0x04fd8007,0x3ffb3aa0,0x2a0007ff,0x06ffffff,0xfff9b700,
    0x5f900fff,0x3ea9ff10,0x7fdc000f,0x000fffa6,0x0009fff1,0x7fecdff5,
    0x3ffa6003,0x20000eff,0x80004ff8,0x2ffcdff8,0x00ffe800,0x9ffffff9,
    0x7e77fc00,0xfd00003f,0xf900000d,0xf900003f,0xffd8001f,0xff30003f,
    0x201ffecd,0xb03ffffb,0x9fffffff,0x1df1036c,0x543ffc80,0x429804ff,
    0x70000bb9,0x0fff303b,0x0005d400,0x6ffffb80,0x027fe400,0x5edcc170,
    0x7f5c0000,0x90000dff,0x005f5cc1,0x17e417e4,0x2a0017e6,0x000ae20b,
    0x800066d4,0x00ae20ba,0x0016ed40,0x00027dc0,0x0dffff90,0x40bffa00,
    0x04ffffc8,0x7d43bee0,0xef980006,0xff800000,0x3f600001,0x7ffec003,
    0x20a20003,0xfffb8019,0xffffa82f,0x1b64ffff,0xfb80dfb0,0x005d40ef,
    0x80000000,0x0000fff9,0xff100000,0x7ec005ff,0x000004ff,0x00ba8000,
    0xc8000000,0xb101c82f,0x00000001,0x00000000,0x40000000,0x4400005e,
    0x0001ffff,0x77007fff,0x984f8800,0x7640003f,0xfa800000,0x5d800001,
    0x1fffec00,0x70000000,0xfb05ffff,0x9fffffff,0x3fe602ec,0x3fffe604,
    0x55554402,0x20aaaaaa,0x1aaaaaa8,0x3fff1000,0x765cc400,0x005c0bcd,
    0x20055530,0xffffffe8,0x5555537f,0x55544035,0x00000aaa,0x79531000,
    0x5f900135,0x22000000,0x009abca9,0x400aa980,0xaaaaaaa8,0x2aa20aaa,
    0x5301aaaa,0x00000015,0x2aa98000,0x3fff1000,0x0a600000,0x00000288,
    0x00000000,0x3f600000,0x000a23ff,0xfffb8000,0xffffe82f,0x1764ffff,
    0xc803ffa0,0x5404ffff,0xaefffffc,0x77fed441,0x7fff4c0a,0x02fff83f,
    0x579fff90,0x1f77dfd9,0xaaaaaaa8,0xaaaaaaaa,0xfb510aaa,0x22555bff,
    0x1ffffffb,0x2fbffae0,0x55555510,0x55555555,0xfd300355,0xdffd77bf,
    0xaa97e403,0x80001aaa,0xebbdffe9,0xea801eff,0xeeeffcff,0x3fff2a4e,
    0x5441aeff,0x540aeffd,0xeeffcffe,0x555534ee,0x22055555,0x512aaaaa,
    0x55555555,0x30001335,0xaa881fff,0xaaaaaaaa,0x55555510,0x55555555,
    0xaaa88355,0x9aaaaaaa,0x2aa20009,0xaaaaaaaa,0x41aaaaaa,0xaaaaaaa8,
    0xaaaaaaaa,0x7fffb01a,0x81bfffd3,0x3ffffffc,0x5c1bffaa,0xff82ffff,
    0x4fffffff,0x3ff20176,0x7fffec04,0x7fff400d,0x00fd802f,0x741ffffc,
    0x7f5403ff,0xffd300df,0xffffe81f,0xefffffee,0x642ffffe,0x3e204fff,
    0x400fffff,0x7e4c40fd,0xeeeeffff,0x404fffff,0xf881fffb,0x25f904ff,
    0x005fffea,0x40fffdc0,0x2e04fff8,0xfff10eff,0xfffd09dd,0x01fb005f,
    0x3e21dff7,0xf934eeff,0x037fffff,0x4b7ff6e2,0xfffffca8,0xdffffeee,
    0x0fff5000,0xfffff731,0x7e4c437f,0xeeeeffff,0x444fffff,0xefffffca,
    0x0dffffee,0x7ffe4c40,0xffeeeeff,0x64c44fff,0xeeefffff,0x04fffffe,
    0xb9dbfffb,0xff70dfff,0x0bf107ff,0x417fffdc,0xfffffffd,0x2a01764f,
    0xbd100fff,0x403dffff,0x802ffffd,0xfffd806c,0x202ffc83,0xb006fffc,
    0x0cfe81ff,0x513fffe6,0xfffc85ff,0x7fffe404,0x2035c06f,0x882ffffc,
    0x3fa04ffd,0x3fea02ff,0x322fc86f,0x20005fff,0x2a02fffe,0xff986fff,
    0x027fec4f,0x005ffffb,0x9fff30d9,0xf704ffd8,0x3001ffff,0x7fff40bf,
    0x7fffdc0f,0x06ff9802,0x01ffffec,0x20bffff2,0x3a04ffd8,0x7dc0ffff,
    0xf9002fff,0xfb105fff,0x7ffe409f,0x4ffd882f,0x43ffffb0,0xfe83fffb,
    0x00f885ff,0x20bfffee,0xfffffffb,0x2601764f,0x4e882fff,0x03fffff5,
    0x007ffff2,0x3ff6016e,0x00ffd83f,0x005ffff5,0x0bd03fa2,0x309ffff3,
    0x4fffc85f,0x7ffff640,0x7016a04f,0x5405ffff,0xbfff904f,0x89fffb00,
    0x3ffee2fc,0xfff90005,0x9fffb00b,0x643fffc8,0xff900fff,0x0b7003ff,
    0xfc87fff9,0xfffd00ff,0x01f7009f,0x407fffec,0x802ffffa,0x7fe406ff,
    0x7fdc02ff,0x13ea02ff,0x80ffffd8,0x802ffffa,0x202ffffb,0x3fee04fa,
    0x13ea02ff,0x2227ffec,0x7d40ffff,0x02d40fff,0x20bfffee,0xfffffff9,
    0x2201764f,0x0fd84fff,0x41bfffa2,0x801ffffc,0xfffd805b,0x8817fc43,
    0x4005ffff,0x4c0740f9,0x5d04ffff,0x404fffc8,0xfffffdbc,0xfb80b503,
    0x26c02fff,0x017fffcc,0x90ffffcc,0x2fffdc5f,0x7fffcc00,0xffff9802,
    0x90bfff61,0x3f205fff,0x5b801fff,0x642fffd8,0xff302fff,0x7c401fff,
    0x7fffe402,0x09fffd00,0x5c03ff30,0x5c02ffff,0x6c02ffff,0x3ffff204,
    0x09fffd00,0x05ffff70,0x3fee04d8,0x826c02ff,0xfe83fffd,0xfffe81ff,
    0x3ee016c3,0xffb02fff,0x6c9fffff,0x5fff8805,0x7e407fc4,0xfffc82ff,
    0x805b801f,0x3a63fffd,0x3fff202f,0x40d8001f,0x9ffff305,0xfff90ae0,
    0xffd3c809,0x0b503fff,0x42ffffb8,0x3fa12a09,0xff000fff,0x717e4dff,
    0xd000bfff,0x2001ffff,0x3f26ffff,0x7ffe42ff,0x3ffff901,0xff90b700,
    0x1fffc85f,0x13ffff60,0xffc805c8,0xfffb00ff,0x0bba600f,0x017fffdc,
    0x30bfffee,0xff902541,0x3ff601ff,0xfffb807f,0x09504c2f,0x217fffdc,
    0x7ec12a09,0xfffd83ff,0x26fffb83,0xfffb8078,0x3fff202f,0x01764fff,
    0xf71bffe2,0x17ff605f,0x007ffff2,0x3ff6016e,0x8805f73f,0x000fffff,
    0xf9804088,0x90204fff,0x3c809fff,0x1ffffff1,0x7fdc05a8,0x0a0ec2ff,
    0x00dffff1,0xc87ffff4,0x97ffee2f,0x3fe201a8,0x3fa006ff,0xfff30fff,
    0x206ffc87,0x801ffffc,0x3fff985b,0x26037fe4,0x880fffff,0xfffc800f,
    0xffffb00f,0x427d4003,0x402ffffb,0x6c2ffffb,0xfff90141,0x3fff601f,
    0x7ffdc01f,0x80a0ec2f,0x6c2ffffb,0xfffd8141,0x84fffd83,0x972ffff8,
    0x5ffff700,0xffffeb80,0x7fc01764,0x0fffd47f,0xffc86fe8,0x05b801ff,
    0x913fffd8,0x3fe6019f,0x000007ff,0x04ffff98,0x013fff20,0x7fffcc79,
    0x2e02d46f,0x0fc2ffff,0x1bfffea0,0x2ffffd80,0x7ffdc5f9,0x03dfff95,
    0x00dffff5,0xb17fffec,0x2ffe8bff,0x07ffff20,0x7fec16e0,0x4017ff45,
    0xd85ffffc,0xffff9004,0x1ffffe01,0xb81deb80,0x5c02ffff,0x0fc2ffff,
    0x1ffff900,0x01ffffe0,0xf0bfffee,0x7ffdc003,0xd800fc2f,0xffd83fff,
    0xbfff904f,0x3fee007a,0x2e6002ff,0x7c01764f,0xffff86ff,0xfc84fc81,
    0x5b801fff,0x43fffd80,0xffb80ef9,0x000006ff,0x04ffff98,0x013fff20,
    0xffffb879,0xf7016a4f,0x0fcc5fff,0x17fffee0,0x3ffffd80,0x7ffdc5f9,
    0x6fffdede,0x05ffffb8,0x0fffff60,0xffb39ff5,0xffffc803,0x2a05b801,
    0x1ffd9cff,0xfffff100,0xf9003543,0xff101fff,0x3f600bff,0x3fffee03,
    0x7fffdc02,0xc8007e62,0xf880ffff,0xfb805fff,0x07e62fff,0x2ffffb80,
    0x7ec007e6,0xfffd83ff,0x5ffff103,0x3ffee00d,0x24e8002f,0xfff8805d,
    0x3ffffc85,0x7fe40fec,0x05b801ff,0xe83fffd8,0xffffc86f,0x98000005,
    0x2004ffff,0x6404fffc,0xfffffc83,0xffb80b52,0x03ff52ff,0x04ffffd8,
    0x57ffff20,0x3ffee2fc,0x0bfff64f,0x009ffffb,0x42ffffe4,0x00acedeb,
    0x01ffffc8,0x6f5c05b8,0x5c000ace,0x0ba5ffff,0x0ffffc80,0x07ffff44,
    0x7007fec0,0xb805ffff,0xff52ffff,0x7ffe4003,0x7fff440f,0xfffb800f,
    0x003ff52f,0xa97fffdc,0xffb001ff,0x3fffd07f,0x1ffffec0,0x2ffffb80,
    0x1764e800,0x413ffe20,0xa8dffffd,0xffff901f,0xb00b7003,0xff907fff,
    0x5ffffc83,0xf9800000,0x2e004fff,0x90915fff,0x3ffffa07,0x7dc05a9f,
    0xffffefff,0x7fffec01,0x3fff2004,0x7dc5f94f,0x7ffe46ff,0x27fffec4,
    0x9ffff900,0x90002ec4,0x7003ffff,0x0017620b,0x7ffffc40,0x7e4005ca,
    0xecbabfff,0x8800cfff,0x7fdc05ff,0x7fdc02ff,0x1ffffeff,0x3ffff200,
    0xfffecbab,0xfff7000c,0x03ffffdf,0x77fffdc0,0xb001ffff,0xfff07fff,
    0x7ffd401f,0xfff7000f,0x49d0005f,0xfff8805d,0x3fffee03,0x3ff201ff,
    0x05b801ff,0xd83fffd8,0x7ffdc3ff,0x3332206f,0x02cccccc,0x027fffcc,
    0xd9fffd10,0x3a207901,0x05aeffff,0x5dffffdc,0x7dc01ffd,0x36005fff,
    0x5f93ffff,0x2e2fffdc,0x7fdc4fff,0x3f6005ff,0x13f63fff,0xffffc800,
    0xfb05b801,0x7dc00009,0x001fefff,0x777fffe4,0x000fffff,0xf701bfea,
    0xfb805fff,0xffdbbfff,0x3fff2001,0xfffffeef,0x7ffdc000,0x01ffdbbf,
    0x2ffffee0,0xb001ffdb,0x7cc1dfff,0xffe803ff,0x3ffee005,0x24e8003f,
    0xfffa805d,0x7fffd401,0x3fff201f,0x805b801f,0xfe83fffd,0x7fffcc3f,
    0x7ffd4407,0xf9801eff,0x4c004fff,0x7901dffd,0x7ffffcc0,0x7ffdc05f,
    0x5007f22f,0x400dffff,0xf92ffffd,0x22fffdc5,0x7d44fffb,0x36006fff,
    0xff12ffff,0x579999bf,0x7fffe401,0xf885b801,0xbccccdff,0x7ff4000a,
    0xfc8004ff,0xffe88fff,0x3e6003ff,0x7ffdc07f,0x7ffdc02f,0x8007f22f,
    0xe88ffffc,0x4003ffff,0x322ffffb,0x3fee001f,0x007f22ff,0x5777ffec,
    0x7005ffea,0x7ec005ff,0xe8005fff,0x3ee01764,0xffd3005f,0x3ff201df,
    0x05c801ff,0x443fffd8,0xfff82fff,0xffd800ff,0xff3001ff,0x000009ff,
    0x3fea01e4,0x7dc05fff,0x00fc2fff,0x01ffffe2,0x90ffffe8,0x2fffdc5f,
    0xf113ffee,0x7400ffff,0xff30ffff,0xffffffff,0x3fff207f,0x985c801f,
    0xffffffff,0x2e003fff,0x8003ffff,0xf30ffffc,0x2003ffff,0x2e01fff8,
    0x5c02ffff,0x0fc2ffff,0x1ffff900,0x07ffffe6,0x2ffffb80,0xff7000fc,
    0x001f85ff,0xff77fffb,0x7c001bff,0xffec9806,0x00ceffff,0x402ec9d0,
    0x64002ffc,0xff504fff,0x099003ff,0x985fffb0,0xffd80fff,0xffd801ff,
    0xff3001ff,0x750009ff,0xc803c801,0x5c05ffff,0x0ec2ffff,0x3ffff20c,
    0xffff8800,0xffb8bf24,0x27ffdc5f,0x007fffe4,0x227fffc4,0xfffffffd,
    0xfa82ffff,0x4c801fff,0xffffffb0,0x005fffff,0x00ffffea,0x83ffff20,
    0x00effffc,0x5c05fff0,0x5c02ffff,0x0ec2ffff,0xffffc80c,0x3bffff20,
    0xffff7000,0x70181d85,0x1d85ffff,0x3fffd818,0x1e4000a6,0x000fe400,
    0x402ec9d0,0x0edc06ff,0x7cc1bfee,0x2e802fff,0x42fffd80,0xff107ffa,
    0xffb007ff,0x3e6001ff,0x54004fff,0x0f200fff,0x02fffec0,0x70bfffee,
    0xfff88d03,0xfffa803f,0xfb8bf20f,0x7ffdc5ff,0x3ffff884,0x0ffffa80,
    0xffffffd8,0xf984ffff,0x2e802fff,0x3fffff60,0x004fffff,0x007ffff5,
    0x81ffff90,0x004ffffe,0x7dc07ffd,0x7dc02fff,0x40dc2fff,0x1ffff906,
    0x04ffffe8,0x85ffff70,0xff70681b,0x681b85ff,0x003fffd8,0xc8001d00,
    0x2740004f,0x1ffa80bb,0x3e1bfe60,0x3fffe06f,0x4407d404,0x83fff91b,
    0x3ea07ff8,0xffd807ff,0xff3000ff,0xfa8009ff,0x013202ff,0x202fff44,
    0x802ffffb,0x7fffb869,0x1ffffc40,0xfffb8bf2,0x827ffdc5,0x4407fffb,
    0x6c43ffff,0x7dccc1bf,0x9ffff04f,0xd880fa80,0x7dccc1bf,0xfff5004f,
    0xff90007f,0xfff881ff,0xffd802ff,0x3fffee01,0x7fffdc02,0xf9069802,
    0xff881fff,0xfb802fff,0x69802fff,0x05ffff70,0xfffb0d30,0x23d98007,
    0x4ff80059,0xbb274000,0x4402fe80,0x04fe86ff,0x407ffff2,0x2df901f9,
    0xfd80fffb,0x3ffee01f,0x7fffec05,0xffff3000,0x1f310009,0xf3003740,
    0xfffb80bf,0x82f4402f,0x3203fffb,0x2fc82fff,0xf717ffee,0x7fdc09ff,
    0x3fff203f,0xd806fd82,0xffff901f,0x6c07e603,0x01fd806f,0x07ffff50,
    0x1ffff900,0x1fffff70,0x202ffc40,0x402ffffb,0x402ffffb,0xfff905e8,
    0xffff701f,0xfffb801f,0x82f4402f,0x402ffffb,0xfffd85e8,0x87ff4003,
    0x7fc4001d,0x93a0000f,0x00fee05d,0x3fe62fe4,0x7fffdc01,0x03fca89b,
    0x1ffddbf2,0x4c01bfb0,0xd80bdffe,0x3000ffff,0x000bffff,0x1ff981a6,
    0x9017ea00,0x4407ffff,0x3fa603fe,0x77fdc43f,0x7dc5f901,0x7ffe46ff,
    0x1fff4c05,0x407bfee2,0x3ea01ffb,0x7fffdc05,0x03fca89b,0xfa807fee,
    0x3ffee005,0xffd8004f,0xfffb01ff,0x3bf220df,0x7fffe400,0x7fffe403,
    0x40ffa203,0xb01ffffd,0xc80dffff,0x2203ffff,0xfff903fe,0x1ff4407f,
    0x001ffff4,0x016afffe,0x006ffe40,0x41764e80,0x3a2002fb,0x00efdbdf,
    0xfffffd50,0xff8805df,0xdb805feb,0x7ff5c03f,0xcfffedef,0x7ffdc001,
    0x0ba8006f,0xdffffea8,0xe80b7002,0x999effff,0x02fffca9,0x76ffee44,
    0x3200cdff,0x1ffff22f,0x100dfffb,0xffdbffb9,0xffc8019b,0x3fedbabd,
    0xffffd500,0xf9005dff,0xfdb757bf,0xfffd8007,0xffe8005f,0xfff103ff,
    0x3ffa89ff,0x9ffffd00,0xeffffe80,0xffca9999,0xffffd02f,0x3fffe207,
    0x3fffa04f,0xca9999ef,0xffd02fff,0x53333dff,0xf985fff9,0x2000efff,
    0x000dfffc,0x7dffff10,0x1764e800,0xba8000ee,0x260001ac,0x4c001aaa,
    0x008000ab,0x26aaa620,0xffdc8000,0x02ceffff,0x00000088,0xffec9818,
    0xffffffff,0x001fffff,0x50005544,0x3ffff639,0xffffd8ef,0x2a2000ef,
    0x7550000a,0x40001379,0x8001aaa9,0x009bcbaa,0x3fffb2a0,0x203cefff,
    0xfffffec9,0xfffa84df,0x20011eff,0xfffffec9,0xfd930cef,0xffffffff,
    0x43ffffff,0xfffffec9,0xfffa84df,0xfd931eff,0xffffffff,0x43ffffff,
    0xfffffec9,0xffffffff,0x333261ff,0x2002cccc,0x500001b9,0x570005bb,
    0x000001d4,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000144,
    0xbcddcba8,0x32600001,0x20140002,0x99880009,0x20000019,0x88007ffe,
    0x54400999,0xaaaaaaaa,0x1aaaaaaa,0x25407600,0x09988000,0x005b7000,
    0x00999980,0x6d40b6a0,0x03333002,0x04cccc00,0x54401c40,0x001abddb,
    0x54400000,0xaaaaaaaa,0x0000099a,0x5a800018,0x55500b20,0x51000355,
    0x55555555,0x55555305,0x55544155,0x0aaaaaaa,0x80404400,0x35c001db,
    0x3f6a0000,0xdca99abd,0x7c40003e,0x360003ff,0x000fc80e,0x003fffb0,
    0xffff7000,0xffe88007,0x3f26200f,0xeeeeffff,0x004fffff,0x7d4c2bba,
    0xff880004,0x7dc000ff,0xf30001ff,0x7dc00bff,0x7ffd41ff,0x27ffd402,
    0x6fff8800,0x2601eb80,0xfdbbdffe,0xfe8001ef,0x5fffffff,0x7ffe5440,
    0xfffeeeff,0x440000df,0x20000ffe,0xf9311cf8,0xffffa803,0xff730005,
    0x1037ffff,0x85bffff5,0xfffffc98,0x2a0009bf,0x87ff64ff,0x2000fffb,
    0x980002fe,0xd8800bef,0xff70000e,0x7cc000bf,0x007fd11e,0x004ffd80,
    0x7fffc400,0x744000ff,0xff9003ff,0xffb105ff,0x7ffd4009,0x0001ffff,
    0x05ffffc8,0x027fff40,0x00effb80,0xb13fffa0,0xfc809fff,0x3ee0005f,
    0x3ba200ef,0x07fff200,0x0013ffe2,0xfffffffd,0x7ff400bf,0x7ffdc0ff,
    0x3ee0002f,0x6c0004ff,0x06ffffff,0x00bfff90,0x4ffffc80,0x802ffc80,
    0x003ffffd,0x3e2fffb0,0x3fffa4ff,0x0bff5003,0x005fb800,0x10001f50,
    0x80005fff,0x06febffc,0x06fe8800,0x477e4000,0x88004fe8,0xff7005fe,
    0x27d405ff,0x3ffff200,0xf980003f,0x001ffdef,0x0007ffee,0x200077f4,
    0x7d42fffb,0x2ffc02ff,0x03bfa000,0x7f403fb0,0x3fe602ff,0x2aaa006f,
    0x01aaaaaa,0x03ffff60,0x00bfffea,0x01fffd40,0x3fffa200,0xff7001ef,
    0xfb8000bf,0x7cc03fff,0xfff9000e,0x3ee0005f,0xd8bffa6f,0xfd002fff,
    0x360003ff,0x3540003f,0x002c9800,0xfffff880,0xfd100002,0x3e600003,
    0x0007ec45,0x5c007f44,0x6c02ffff,0xbeb88004,0x9fb00000,0x2e002fe4,
    0xdf10002d,0x0b6e0001,0x3ea016d4,0x77c40005,0x9037ec00,0xf900bfff,
    0x000009ff,0x3ffff200,0x09fffd00,0x006fe400,0x02dd9800,0x02fffdc0,
    0x3fffee00,0x0017e603,0x005ffff9,0x57105d40,0x800fffc8,0x004ffff9,
    0x00003fb8,0x0000007b,0x0bfff900,0x04e88000,0x64075000,0x07f10003,
    0x85ffff70,0x00012a09,0x1fd40000,0x00000fdc,0x0001d700,0x1d900000,
    0x00eb8000,0xf9817fdc,0xfa802fff,0x2aa21fff,0xaaaaaaaa,0x2aaaaa20,
    0xffffc81a,0x0ffffb00,0x00000000,0x7ffdc000,0x7fdc0005,0x07f503ff,
    0x5ffff900,0x2a000000,0xffb006ff,0x4c001fff,0x8019805f,0x32a20058,
    0x14c0acdd,0x00aaa880,0x00000000,0x00000000,0x85ffff70,0x3100141d,
    0x8179bd97,0x4033000b,0x00000019,0x00000000,0x00000000,0x7ff40ffd,
    0xfff000ff,0xfffca8df,0x5441aeff,0xc80aeffd,0xfb00ffff,0x54403fff,
    0xaaaaaaaa,0x01aaaaaa,0xb8002880,0x40005fff,0xc83ffffb,0xff90001f,
    0x510005ff,0x55555555,0x4027fc15,0x3ffffcf8,0x9803fa00,0xffeacdff,
    0x7e4402c0,0xffdcefff,0x55533dad,0x33555555,0x28800001,0x55554400,
    0x88aaaaaa,0xaaaaaaaa,0x555510aa,0x01555555,0xf85ffff7,0xfff90001,
    0x7dfd9579,0x220001f7,0x7ff4c002,0x510003ff,0xfffe9800,0xffffd13f,
    0x2aaaaa29,0x000aaaaa,0x03555551,0x3e60bff5,0x3a006fff,0xfe81ffff,
    0xfd802fff,0x3ffff200,0x0fffff00,0xeeffffa8,0xfffffeee,0x06b8001f,
    0x25fffb80,0x0dffffd8,0x47ffff70,0x20000ed8,0x002ffffc,0xffffb988,
    0x17ec1bff,0x7ffc6640,0x07f3007f,0xfdd8ffdc,0x2a01c86f,0xb80befff,
    0xf9513fff,0xffddffff,0x000039df,0xb98800d7,0x1bffffff,0x3ffffee6,
    0xf73109bf,0x037fffff,0x98bfffee,0x7f54001f,0xffd300df,0x1ae0001f,
    0x1ffffc00,0x0006b800,0xfe87ffff,0xff9314ff,0x0137ffff,0x3fffee20,
    0x504ffe83,0x400dffff,0xd82ffffd,0xc802ffff,0x7fffe406,0x5ffff880,
    0x405ffdc0,0x04fffff8,0x8005fd00,0xfc85fffb,0x7ffdc00d,0x001fd33f,
    0x2ffffc80,0x7ffec000,0x801f703f,0xffffb0f8,0x201f9005,0x3ff24ffb,
    0xf703a84f,0xf9803fff,0xffffe83f,0x13fffa60,0x005fd000,0x13ffff20,
    0x04ffffc8,0x01ffffec,0x54bfffee,0x3f2001ff,0xffb006ff,0x0bfa0001,
    0x0ffffa00,0x0017f400,0x321fffec,0xffd84fff,0x3a0003ff,0x7fcc3fff,
    0xffff703f,0x7ffec00b,0xffffc84f,0x6405b801,0x7440ffff,0x6400ffff,
    0x3fff202f,0xfa8000ef,0x7fdc005f,0x7005e85f,0xff57ffff,0xfc80009f,
    0x40002fff,0x302ffffc,0x7ccb700d,0x7c406fff,0x41fff305,0x4982fffd,
    0x02ffffa8,0xffb07f30,0xffe881ff,0xfa8000ef,0xff70005f,0x7fdc07ff,
    0x7fe403ff,0x7fdc02ff,0x1ffffeff,0x5ffff500,0x003fa200,0x0017fea0,
    0x000ffff6,0x20017fea,0x7e43fffd,0xfffc84ff,0x3f60002f,0x7ffd43ff,
    0x9ffffb02,0x7fffe400,0x1ffffc85,0x7e405b80,0xecbabfff,0xc800cfff,
    0x3fffe603,0xffd0002f,0x7fdc003f,0x70026c5f,0xfffdffff,0x640005ff,
    0x0002ffff,0x017fffdc,0xfe83d001,0x3e601fff,0xe87ffd02,0x887507ff,
    0x4004ffff,0xffffd83d,0x5fffe880,0x1fffe800,0xffffb800,0x3fffea02,
    0x7fffdc03,0x7fffdc02,0x801ffdbb,0x005ffff8,0x740007cc,0x6c001fff,
    0xe8003fff,0x6c001fff,0x7fe43fff,0xffffc84f,0x3ff20002,0x17ffdc3f,
    0x04ffffd8,0x17ffff20,0x007ffff2,0xfff9016e,0xfffffddf,0xd006c001,
    0x000bffff,0x013fffe6,0x325fffb8,0x7ffdc005,0xfffffdef,0xfff90001,
    0xfb80005f,0x20002fff,0xffffb86a,0x2a07ea05,0x7ffc1fff,0xffc85905,
    0x1d4002ff,0x807fffec,0x003ffffb,0x013fffe6,0x0bfffee0,0x03ffffa8,
    0x017fffdc,0xc8bfffee,0xfffc801f,0x00d8001f,0x27fffcc0,0x0ffff600,
    0x9ffff300,0x3fffd800,0x6427ffe4,0x0002ffff,0xf90ffff2,0x3fee05ff,
    0x3f6005ff,0xffc83fff,0x05b801ff,0x447fffe4,0x003ffffe,0xffffb80a,
    0xffb0000f,0x2e001fff,0x0df95fff,0x3ffffb80,0x01dffffd,0x5ffff900,
    0xfffb8000,0x0ba0002f,0x807ffffc,0x6ffe80fb,0xe81fffd4,0x3ffffe21,
    0xfd808000,0xff100fff,0x7ec00dff,0x4000ffff,0x202ffffb,0x403ffffa,
    0x402ffffb,0x7c2ffffb,0x7fffc401,0x0088000f,0x7ffffec0,0x3fff6000,
    0x7ffec003,0x3f6000ff,0x7ffe43ff,0x2ffffc84,0x3fff2000,0x80fffec3,
    0x006ffffa,0x20bffffa,0x801ffffc,0x7ffe405b,0xfffff30f,0xff880003,
    0x10003fff,0x07ffff9f,0x377ffee0,0x2e004fff,0xff13ffff,0x9000bfff,
    0x4005ffff,0x2ffffb80,0xdddf3000,0xfffffddd,0x3e61f209,0x7fff43ff,
    0x7fd46880,0x200007ff,0x200ffffd,0x802ffffe,0x3ffffcf8,0x7fffdc00,
    0x3fffea02,0x7fffdc03,0x7fffdc02,0xf30c0ec2,0x0000ffff,0x3ff3e200,
    0x3f6003ff,0x3e2003ff,0x003ffffc,0xf90ffff6,0xfff909ff,0x7e40005f,
    0x7ffe43ff,0xfffff101,0x7ffffc00,0x1ffffc80,0x7e405b80,0x3ff20fff,
    0x20000eff,0x006ffffd,0x3ffe3320,0xfff7007f,0x03ffffdf,0x8ffffee0,
    0x04fffffa,0x17fffe40,0xffb82b80,0x7b0002ff,0xf3333333,0xf701ffff,
    0x545fff50,0x87706fff,0x006ffffb,0x3ffff600,0x3ffff600,0xff8cc804,
    0x7dc007ff,0x3ea02fff,0x7dc03fff,0x7dc02fff,0x40dc2fff,0x1bfffee6,
    0x66400000,0x007ffff8,0x800ffff6,0x7ffff8cc,0x0ffff600,0xf909fff9,
    0x40005fff,0x7dc3fffc,0x3ff202ff,0xff8800ff,0xfff904ff,0x80b7003f,
    0x740ffffc,0x0004ffff,0x03fffff5,0x7ec3e200,0xfb802fff,0xdfffb6ff,
    0x3fffee00,0x7ffffdc3,0x3fff2002,0x703d002f,0x0005ffff,0xffd801f3,
    0x41f983ff,0xfb11fffb,0xb0d309ff,0x0009ffff,0x07fffec0,0x0bffff90,
    0xfffb0f88,0x7fdc005f,0x3fea02ff,0x7fdc03ff,0x7fdc02ff,0x269802ff,
    0x005ffffc,0xb0f88000,0x2005ffff,0x1003fffd,0x3ffff61f,0x7fffb002,
    0xc84fffc8,0x0002ffff,0xf50ffff2,0x7fc405ff,0xffb803ff,0xfff900ff,
    0x80b7003f,0x440ffffc,0x002fffff,0x04ffffe8,0xff996e00,0xffb806ff,
    0x9ffff15f,0x7ffff700,0x3fffffb0,0x3ffff200,0xb80f9802,0x8002ffff,
    0xfff9804d,0x642f886f,0xff5b2fff,0xd81e885f,0x0005ffff,0x03ffff60,
    0x06ffffc8,0xffff32dc,0x7ffdc00d,0xffffffff,0x403fffff,0x402ffffb,
    0x402ffffb,0x3fff25e8,0x8000005f,0x3fffe65b,0x7fffb006,0xff996e00,
    0xffb006ff,0x4fffc87f,0x02ffffc8,0x0ffff200,0xb805fff3,0xfe807fff,
    0x3ff203ff,0x05b801ff,0x407fffe4,0x00fffffb,0x3fffff20,0xd07a0000,
    0xb803ffff,0x3fea5fff,0x7fdc02ff,0xffe883ff,0xfc800eff,0x7d802fff,
    0x05ffff70,0xd002f980,0x7d07ffff,0xbfffffb8,0x3621fff9,0x7ffe4623,
    0x3600006f,0x3200ffff,0x7405ffff,0x0fffff41,0xbffffb80,0xfb999999,
    0x7dc03fff,0x7e402fff,0x3a203fff,0x3fffee3f,0x33332206,0x402ccccc,
    0x7ffff41e,0x3fffe801,0xffe83d00,0xffd801ff,0x27ffe44f,0x017fffe4,
    0x07fff900,0xf7009fff,0x7fdc07ff,0x7ffe403f,0x405b801f,0xb01ffffd,
    0x200dffff,0x02fffff9,0x3ee1aa00,0x7dc05fff,0x7ffec6ff,0x3ffee00f,
    0xffff303f,0xffc801df,0x37ec03ff,0x02ffffb8,0x4017fa60,0x40fffffd,
    0x7fffc45d,0x3273ffa4,0xffb9642e,0x200007ff,0x200ffffd,0x204ffffc,
    0xffffb86a,0xffff7005,0x7fffd405,0x7fffdc03,0x7ffff402,0xfca9999e,
    0x3ffe62ff,0x7fd4407f,0x5401efff,0x5ffffb86,0x05ffff80,0xfffb86a8,
    0xfffe805f,0x427ffe45,0x002ffffc,0x20ffff20,0xf5005ffb,0xfff707ff,
    0xffff9005,0xe80b9003,0xf103ffff,0xd009ffff,0x300bffff,0xfff81740,
    0x3ff200ff,0x7fffc47f,0x3ffff605,0x3ffffa05,0x3ffa00ef,0x99999eff,
    0xf706ffeb,0x32005fff,0x904effff,0xfffffffb,0x3aa0fc49,0x5efe4c2e,
    0x3fe65881,0x00000fff,0x401ffffb,0x203ffffd,0xfffff02e,0xffff7001,
    0x7fffd405,0x7fffdc03,0xfffec982,0xffffffff,0x7fc1ffff,0xfd800fff,
    0x2e801fff,0x01fffff0,0x3fffffa6,0x7c0ba00d,0xd300ffff,0x21bfffff,
    0xfc84fffc,0x02002fff,0xf107fff9,0x75c400df,0xbeffddff,0xffff5000,
    0x93099003,0xbffffffd,0xfffff509,0x3ffea03d,0x834400ff,0xeeeeeef9,
    0xb04fffff,0x21dfffff,0x1efffffc,0xfffffd91,0x7fecc9df,0x0dffffff,
    0xfffffd93,0xffffffff,0x3fee0bff,0x000002ff,0x35c04e88,0x20ec0000,
    0x002ffffd,0x1ffffb00,0x0fffff40,0xeeeeef98,0x04fffffe,0x02ffffb8,
    0x00ffffea,0x005ffff7,0xfb01b600,0xfb003fff,0xf9803fff,0xffeeeeee,
    0x7cc04fff,0xdddf3004,0xfffffddd,0xffc80009,0xffffc83f,0xfc857002,
    0x5ff903ff,0xffff7000,0xfff3000d,0x005d005f,0x20000620,0x03fffff8,
    0x337b05b8,0xfff33333,0x00c001ff,0x00088000,0x00022000,0x02ffffb8,
    0x7fc40000,0x0004d800,0x3fea0f20,0x044006ff,0x807fffec,0x206ffff8,
    0x999999bd,0x00fffff9,0x017fffdc,0x807ffff5,0x002ffffb,0x4401fe80,
    0xd803ffff,0x6c00ffff,0x9999999b,0x300fffff,0x2f6001ff,0xf9999999,
    0x0000ffff,0x320ffff2,0xd002ffff,0x03fffc83,0x2000bfd1,0x004ffffe,
    0x404ffff8,0xf50000fa,0x7e40009f,0x9d006fff,0xfd801f30,0xf3003fff,
    0x400001bf,0x00002efe,0x8004ffb8,0x002ffffb,0x07fd4000,0x00017c40,
    0xfff901e4,0x03e6007f,0x403ffff6,0x301ffffb,0xfffd801f,0x7ffdc03f,
    0x3ffea02f,0x7ffdc03f,0x7cc0002f,0xfffa802f,0xffffd807,0xb003e600,
    0x3207ffff,0x01f3007f,0x03ffffd8,0xfffb8d40,0x2ffffc82,0x7e40f980,
    0x3fe203ff,0xfff98001,0x7e4002ff,0x3f301fff,0x7fec4000,0xfff98001,
    0x3fb801ff,0xff9804d8,0xf91006ff,0x5400007f,0x800006fe,0x4000ffd9,
    0x002ffffb,0x1ffdc000,0x000de880,0xfd803d88,0x7d401fff,0x1ffffb03,
    0x813fffe0,0xfff9804d,0x7ffdc06f,0x3ffea02f,0x7ffdc03f,0x7d40002f,
    0xfff7005f,0xffffd80b,0x26013600,0xfb06ffff,0x009b007f,0x00dffff3,
    0xfffab7dc,0x2ffffc81,0xffc87d80,0x02fcc03f,0xffffe880,0xff7000ac,
    0xf95137ff,0xff100007,0xfffd0003,0xffd880bf,0xe8017cc2,0x2003ffff,
    0x400003ff,0x000006fc,0xc8001ff3,0x0003ffff,0x1fffc400,0x2005d700,
    0x2e002ec8,0x261cffff,0x3fa01edb,0xffd81fff,0x00be603f,0x01fffff4,
    0x407ffff9,0x403ffffb,0x003ffffc,0x004ffe80,0x017bffd3,0x201ffffb,
    0xffd002f9,0xfff307ff,0x8017cc03,0x003ffffe,0x13feaff7,0x01ffffe4,
    0x3ff61bf6,0x0de9804f,0xfffb8800,0xa804efff,0xeffffffe,0xfd880002,
    0xfffb8005,0x99999aff,0x21ffffba,0xfb005fe9,0x8801ffff,0x400006fb,
    0x00002ff9,0x8004fd98,0x004ffffe,0xfffc8000,0xed8801df,0xdcba9acd,
    0xd710001d,0x9dffffff,0x7fffc401,0xffea99cf,0x17fa601e,0x7ffffec0,
    0x9ffffb00,0x2ffffec0,0x13ffffa0,0x3ffea000,0xfeb802df,0xfffedeff,
    0x17fa601c,0x7ffffec0,0xdefffd80,0x4017fa60,0x00fffffd,0xefdbff88,
    0xdffffd00,0xfd733333,0xbfffd0df,0x0002d400,0x0026aea6,0x006aaa60,
    0x04dedc00,0x3fffe200,0xffffffff,0x91ffffff,0x209dffff,0xffffffdc,
    0x159b504f,0x5e740000,0xdc800001,0xd930009b,0x9dffffff,0x44000001,
    0x88003deb,0x009abca9,0x2aa62000,0xffeca801,0xdeffffff,0x7ffe400b,
    0xffb904ef,0x269fffff,0xffffffec,0xffec88ce,0x31ceffff,0xffffffd9,
    0x4400019d,0x88003deb,0x8009aaa9,0x04effffc,0xffffffb9,0x17d9309f,
    0x277fffe4,0xfffffdc8,0x773004ff,0xfffd9301,0xffffffff,0x74cbffff,
    0x00dfffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xb9510000,
    0x0298159b,0x00000180,0xa8802200,0x4001aaaa,0xaa801808,0x1000aaaa,
    0x2a005555,0x0a21cddc,0x000440c0,0x000404c0,0x40050371,0xa8000880,
    0x00000aaa,0x5540072e,0x2aa62aaa,0x2201aaaa,0x00aaaaaa,0xceecb988,
    0x40005c0b,0x00002db8,0x20000000,0x00000019,0x51000000,0x55555555,
    0x00000001,0x02880000,0x440007b0,0xdceffffc,0x003dadff,0x7ff402d4,
    0x05ffffff,0x881ffe40,0x003ffffb,0xffe8bfee,0x2ffff600,0xfff7000a,
    0xbefd8807,0x03dbefca,0xff537f44,0x3faa0007,0x200b52df,0xc9befffc,
    0x25ff9804,0x54002ffc,0x00003fff,0x3001fff7,0x5c4fffd5,0x01ffffff,
    0x02fbffae,0x57bfff90,0x1f77dfd9,0xebcf8800,0x3fffa004,0x005fffff,
    0x2ffc8000,0x3fffff20,0xd8007fff,0xffffffff,0x3ffe6006,0x01ffffff,
    0x66ee5cc0,0x0004c81a,0x20bff100,0x1befffdb,0x3bffea00,0x3fffb80b,
    0x74016c00,0xffffffff,0x3ffe2005,0x1ffff407,0x26dffd00,0x3f603fff,
    0xffe8005f,0x427fc403,0x5403ffd8,0xfffd2fff,0xffff1000,0x1005ffff,
    0xffffffff,0x1fff9005,0x20017ffe,0x00006ffb,0x4005fffd,0xff887ffa,
    0x6c00ffff,0x7ff4c00f,0x3fffaa05,0xf125c000,0x3fffa001,0x005fffff,
    0x4ffd8000,0x3fffff20,0xd8007fff,0xffffffff,0x3ffe6006,0x01ffffff,
    0x77bffd50,0x3ae3dffd,0x2f2a6000,0x8fff101a,0x9be8bfe8,0x7dc02ffd,
    0x7cc01fff,0x01e2003f,0x55555554,0x3e2001aa,0x7fec06ff,0x3ff6003f,
    0x403fff14,0x44004ffd,0xffd803ff,0x100ff600,0x3ff21fff,0xfcea8005,
    0x800fffff,0xffffdadb,0x4dff5006,0x70003ffd,0x700001ff,0xfa800fff,
    0xffff907f,0x406b80df,0xb005fffc,0x2d8001ff,0xaaa800f4,0x02aaaaaa,
    0xfe880000,0x2aaaa602,0x8002aaaa,0xaaaaaaa9,0x0000002a,0x303fffb0,
    0x001fbfff,0xd77bffd3,0x6fa839ff,0x6c7d37f4,0x3ffea04f,0x07f3002f,
    0x000025c0,0x03dd5000,0x003fffc8,0x1c982ee2,0x0027fec0,0x3e2013ee,
    0x01f4407f,0x02ea0e4c,0xec986e00,0x4415000b,0x5d4001ca,0x0000ae20,
    0x200007f9,0x7cc000ba,0xfffd907f,0x02d409ff,0x001ffff5,0x50003fa2,
    0x000034cb,0x55555510,0x54415555,0xebaaaaaa,0x00000002,0x0d400000,
    0xfd1002a2,0x7fd403ff,0xfffb806f,0xceffe881,0x3fee0edb,0x209d0fa3,
    0x004ffff8,0x03d001ec,0x55e54c40,0x40000009,0x0003fffc,0x13ff6000,
    0x26009900,0x1dc03fff,0x00000000,0x00000000,0x99000000,0x80000000,
    0xb7907ff9,0x207fffff,0xfffd105a,0x00f98009,0x02fefd80,0x55555510,
    0x65415555,0x1bffffff,0x577fed44,0xaaaa8809,0xaaaaaaaa,0x0001aaaa,
    0xfe800051,0x80dff31f,0xd806fffd,0x3fa03fff,0x3fe201ff,0xbff901ff,
    0x6412e1f4,0x4002ffff,0x35d4c03a,0xbdffe980,0x201effeb,0xaaaaaaa8,
    0x7fe40aaa,0x55554c3f,0x5102aaaa,0x3f655555,0x8835004f,0xffff300a,
    0x5511c407,0x55555555,0x03555555,0x1000a200,0x55555555,0x28800155,
    0x441a8000,0x5555100a,0x55555555,0x26035555,0x3a7907ff,0xa81fffff,
    0x3ffff905,0x0001b000,0x731001f2,0x37ffffff,0x0bffffa0,0x31003fa0,
    0xddfffff9,0x9fffffdd,0x001ae000,0xf94fff88,0x3fea03ff,0x7f4402ff,
    0xffc81fff,0xfffc805f,0x29fff904,0x7c41c43e,0x8000ffff,0xfffdf900,
    0x1fffb807,0x104fff88,0xffffff73,0x7fff9037,0xfffffc98,0xfb7101bf,
    0x13ff65bf,0x7cc7ffa0,0x3fffe06f,0xc98801ef,0xeeefffff,0x04fffffe,
    0x8800d700,0xffffffb9,0x06b8001b,0x98fff400,0xf93106ff,0xddddffff,
    0x209fffff,0x27907ff9,0x0ffffff8,0x7ffc42d4,0x0110007f,0x000bfa00,
    0x01ffffec,0x00bffff6,0xff9001b2,0xffb105ff,0x0bfa0009,0x31ffe800,
    0x7ff40dff,0xffde807f,0x7ffcc6ff,0xfff9802f,0xffff981f,0xff5003ee,
    0x20000fff,0xfff15fd8,0x0bfffa09,0x406fffa8,0x203ffffd,0xf703fffc,
    0x3001ffff,0x04ffd8bf,0xfca7ffc4,0xfffb01ff,0x2003bfff,0x882ffffc,
    0xd0004ffd,0x3f60005f,0x20003fff,0xf10002fe,0x3fff29ff,0x7fffe401,
    0x04ffd882,0x8f20fff3,0x46fffff9,0xffff985a,0x40000006,0x90005ffa,
    0xc805ffff,0xb801ffff,0x7ffdc005,0x013ea02f,0x0017fea0,0x20288150,
    0x407ffff9,0x1ffffd5d,0x803ffff4,0xd06ffff8,0x009fffff,0x01bfffee,
    0xa9ffe400,0xffc87fff,0xfffd805f,0x3ffff204,0x0ffff202,0x04ffffe8,
    0x7fec0fb8,0x31ffe804,0x7f440dff,0x0cffffff,0x17fffdc0,0x50009f50,
    0x32000bff,0x0002ffff,0x4000bff5,0xdff31ffe,0x5ffff700,0xf9827d40,
    0xfb87907f,0x16a4ffff,0x01bfffee,0xffd00000,0xff70003f,0xffc805ff,
    0x05b801ff,0x17fffdc0,0x3a001360,0x00001fff,0x7fffdc00,0x7ec3b206,
    0xfff12fff,0x7ff400df,0xfffa80ff,0x6c00efff,0x0004ffff,0xdb1fff98,
    0x7fcc1fff,0xff9802ff,0xfff701ff,0x7ffe405f,0x3fffe603,0x20be200f,
    0x15004ffd,0xff980288,0x1fffffff,0x0bfffee0,0xfd0009b0,0xf70003ff,
    0x20005fff,0x0001fffe,0x2005102a,0x402ffffb,0x0fff304d,0x3fff20f2,
    0xf90b52ff,0x0000bfff,0x7fffcc00,0xfffb8004,0x7ffe402f,0x005b801f,
    0x217fffdc,0x30012a09,0x4009ffff,0xd14ffffd,0xfc89ffff,0x1f705fff,
    0xa9ffffec,0x2006ffff,0x302ffffd,0x7fffffff,0x2ffffec0,0xbffe4000,
    0xfe87db68,0xff000fff,0x3fee0dff,0x3ff202ff,0x7ffec03f,0x6c17204f,
    0x000004ff,0xfffffb10,0x3ee05fff,0x504c2fff,0xfff98009,0xffb8004f,
    0xf98002ff,0x00004fff,0x3ffee000,0x09504c2f,0x1e41ffe6,0x9fffffe8,
    0xffffc85a,0x20000005,0x00fffffd,0x17fffdc0,0x07ffff20,0xf70016e0,
    0x41d85fff,0x7ffec002,0x3f6000ff,0x7fff44ff,0x2ffffec4,0x3ff60fd4,
    0xffff95ff,0x7ffec00b,0x3ff6203f,0xf904ffff,0x0000dfff,0x812efffd,
    0x006ffff8,0x203ffffa,0x202ffffb,0x4c03fffc,0x880fffff,0x09ffb00f,
    0x453ffff6,0x804ffffe,0xffffffe9,0x5ffff706,0x200141d8,0x00fffffd,
    0x17fffdc0,0x7fffec00,0xfffb000f,0x3fffa29f,0x3ffee04f,0x40a0ec2f,
    0x07907ff9,0x3bffffa2,0xffffb85a,0x33332206,0x802ccccc,0x3ffffcf8,
    0x7fffdc00,0x7fffe402,0x4005b801,0x7c2ffffb,0x33e20001,0x2003ffff,
    0x7ec4fffc,0x7ffe44ff,0x6c17cc4f,0xffb5ffff,0x7e4009ff,0xfb805fff,
    0xb82fffff,0x0007ffff,0x0e9ffff8,0x1bfffea0,0x2ffffd80,0x02ffffb8,
    0x200ffff2,0xd85ffffc,0x813ff604,0x7f44fffd,0xd50044ff,0x703fffff,
    0x1f85ffff,0x3f3e2000,0x5c003fff,0x4002ffff,0x3ffffcf8,0x13fff600,
    0x5c09fffd,0x0fc2ffff,0x907ff980,0x7fffcc07,0xfff985ff,0x7fdc406f,
    0x9001dfff,0x0fffff19,0x2ffffb80,0x0ffffe40,0x2e002dc0,0x3e62ffff,
    0x23320001,0x2007ffff,0x7e44fffb,0x7ffdc4ff,0x740fa25f,0xffb4ffff,
    0x7e4009ff,0xfd004fff,0xf30fffff,0x0001ffff,0x06cffff8,0x02ffffdc,
    0x07ffffb0,0x405ffff7,0x8803fffc,0x2a1fffff,0x027fec06,0xfd89fff9,
    0x201544ff,0xb84ffffb,0x3e62ffff,0x23320001,0x4007ffff,0x002ffffb,
    0x7fffc664,0x3fff2007,0x027ffec4,0x4c5ffff7,0xfff3001f,0xff500f20,
    0xff10bfff,0x3f600fff,0xf1001fff,0x0bffff61,0x2ffffb80,0x0ffffe40,
    0x2e002dc0,0xff52ffff,0x43e20003,0x002ffffd,0xfc89fff7,0x7ffcc4ff,
    0xff813a6f,0xfff72fff,0x7fec00bf,0xb7d003ff,0xfb03ffff,0x80005fff,
    0x403ffffe,0x004ffffd,0x217ffff2,0x202ffffb,0x7003fffc,0x174bffff,
    0xb813ff60,0x7fe44fff,0x5402d44f,0xffb85fff,0x03ff52ff,0x7ec3e200,
    0x2e002fff,0x2002ffff,0xffffb0f8,0x3ffee005,0x027ffe44,0x2a5ffff7,
    0xff3001ff,0x3200f20f,0xfb05ffff,0xfb003fff,0x2e003fff,0x1bfffe65,
    0x2ffffb80,0x0ffffe40,0x2e002dc0,0xfffeffff,0x4b70001f,0x006ffff9,
    0xfc89fff7,0x7ffc44ff,0xff80bb7f,0xfff50fff,0x7fec00df,0x7404c2ff,
    0x505fffb3,0x800dffff,0x3ffff208,0x7fffec00,0x3fff2004,0xffffb84f,
    0x0ffff202,0x7ffffc40,0xffd805ca,0x13ffee04,0xfa89fff9,0x84ffe800,
    0xffeffffb,0xb70001ff,0x037fffcc,0x05ffff70,0xfff32dc0,0x3fee00df,
    0x27ffe44f,0xfdffff70,0x26003fff,0x007907ff,0x4417fff6,0xd804ffff,
    0xd000ffff,0x1ffffe83,0x5ffff700,0x1ffffc80,0x5c005b80,0xfdbbffff,
    0x83d0001f,0x801ffffe,0x7e44fffb,0xfffd84ff,0x7fc406df,0x3ffe25ff,
    0x3ffa007f,0x741dc0ff,0x203fff53,0x003ffffc,0x7ffd41f3,0xff71884f,
    0x7ec00bff,0xffb83fff,0x3ff202ff,0x3fee003f,0xd801feff,0x3fee04ff,
    0x27ffe44f,0x3f6017ea,0xffffb82f,0x001ffdbb,0xfffe83d0,0xfff7001f,
    0x20f4005f,0x801ffffe,0x7e44fffb,0x3fee04ff,0x1ffdbbff,0x20fff300,
    0xffd1004c,0x7fffcc0b,0x7fffec00,0xfb86a800,0xf7005fff,0xfc805fff,
    0x5b801fff,0x7fffdc00,0x20007f22,0xffffb86a,0x4fffb805,0x4427ffe4,
    0x400efffe,0x641ffffb,0x8800ffff,0x6b84ffff,0x0fff13e8,0x01ffffd8,
    0x7fec1fd4,0x0da89cff,0x00dffff5,0x417fffec,0x202ffffb,0x4004fffd,
    0x004ffffe,0x7dc09ffb,0x7ffe44ff,0x101ffd44,0x3fee0bff,0x007f22ff,
    0x3fee1aa0,0xff7005ff,0x1aa005ff,0x017fffee,0xf913ffee,0x7fdc09ff,
    0x007f22ff,0x6e83ffcc,0x017fe600,0x401bfff7,0x800ffffd,0xfffff02e,
    0xffff7001,0xffffc805,0x4005c801,0x7c2ffffb,0xf02e8001,0xb801ffff,
    0x7fe44fff,0xdfff304f,0x07fffd00,0x007ffff1,0x701ffff5,0xff53e87f,
    0xffff7007,0x0f6dcc39,0xfffffe88,0x3ffe20ff,0x3ffa007f,0xfffb80ff,
    0x3fffa02f,0x7ffdc005,0x9ffb003f,0x227ffdc0,0x7d44fffc,0x7ec40dff,
    0xffff700e,0xe8001f85,0x1fffff02,0x5ffff700,0x7fc0ba00,0x7dc00fff,
    0x7ffe44ff,0x3fffee04,0xf9800fc2,0x01ff987f,0x22017ea0,0xd881effd,
    0x4c00ffff,0xfeeeeeef,0xb804ffff,0x5402ffff,0xc801ffff,0x7ffdc004,
    0x00c0ec2f,0xddddddf3,0x809fffff,0x7e44fffb,0x3ff204ff,0x3ffee04f,
    0x1fffee04,0x07fffd10,0x5f433fee,0x22005fe9,0xffffffeb,0x7f6400ce,
    0xfc81dfff,0xf8800fff,0xff704fff,0xffd305ff,0x2001bfff,0x003ffffa,
    0x7dc09ffb,0x7ffe44ff,0x7edd7544,0x403ffece,0x6c2ffffb,0x3be60181,
    0xfffeeeee,0xffb804ff,0xef9802ff,0xfffeeeee,0x7fdc04ff,0x27ffe44f,
    0x85ffff70,0xff98181d,0x3ffffaa7,0x00b7002d,0x6f7ffedc,0x001cffff,
    0x3333337b,0x01fffff3,0x02ffffb8,0x017fffcc,0x3ee00174,0x40dc2fff,
    0x2666f606,0xffff9999,0x3ffee00f,0x827ffec5,0x0bfffcf8,0x00bffee2,
    0xc80fffee,0x32202fff,0xefefeffe,0x36620002,0x4474001c,0x7ffc401a,
    0xfffa803f,0xffff700f,0x0000c405,0x007ffff5,0xfb813ff6,0x7ffe44ff,
    0x3ea20444,0xfff7001b,0x0681b85f,0x266666f6,0x0fffff99,0x17fffdc0,
    0x4cccdec0,0xfffff999,0x13ffee00,0x5c09fff9,0x0dc2ffff,0x03ffcc34,
    0x00300220,0x266b7260,0x007cc000,0x00fffff6,0x005ffff7,0xa809ffff,
    0x7fdc000f,0x069802ff,0xffd801f3,0x3fea03ff,0x3fffee6f,0x3ae3e884,
    0xacefedff,0x3ffa6000,0x0f7fdc43,0x19d53100,0x3fe20000,0x0016a002,
    0x101fffee,0x5c07ffff,0x2e02ffff,0xfa8004ff,0xfb003fff,0x7ffdc09f,
    0x027ffec5,0x7000efb8,0x3005ffff,0xb003e60d,0xb807ffff,0x4c02ffff,
    0x7ffec00f,0x3ffee03f,0x027ffec5,0x005ffff7,0x0fff30d3,0x003efc80,
    0x01ffc400,0xf3009b00,0xfb80dfff,0xfc802fff,0x3f301fff,0xffff7000,
    0xb05e8805,0xffff3009,0xdfffe80d,0x85fffded,0x1553104b,0xfdc88000,
    0x0cdffedf,0x000fa000,0x006fea80,0x7dc000b6,0x3ff203ff,0x7ffdc02f,
    0x3ff6602f,0x7ffd4000,0x9ffb003f,0x737ffd40,0x2009ffff,0xf7004ffb,
    0xe8805fff,0xf3009b05,0xfb80dfff,0x26c02fff,0x37fffcc0,0x5cdfff50,
    0x2e04ffff,0x4402ffff,0x07ffa85e,0x003ff4c0,0x03ffa600,0x400be600,
    0x203ffffe,0x003ffffc,0x137ffff7,0x20007f95,0x203ffffc,0x2f983fe8,
    0x7ffffd00,0xaffff440,0x005ffffc,0x22000000,0x000000aa,0x3fdc0000,
    0x40007880,0x5c43ffe9,0xfc801eff,0x7cc03fff,0x7fdc001f,0xffb004ff,
    0xdfffe809,0x05fffded,0x64013fa0,0x2203ffff,0x02f983fe,0x07ffffd0,
    0x01ffffe4,0x3fa005f3,0x3fa03fff,0xffdeddff,0x3fff205f,0x0ffa203f,
    0x2001ffea,0x00000ffa,0x20007fd4,0xfb005fe9,0x3a01ffff,0x2004ffff,
    0xffffffea,0x3fa0002e,0x9999efff,0x4c2fffca,0xffb005fe,0xa9801fff,
    0x00000000,0x00000000,0xe9800000,0x0097003f,0xbffb9100,0x0019bffd,
    0x813ffffa,0xd8004fd9,0xb005ffff,0x74401dff,0xfff95fff,0xffa880bf,
    0xffffd001,0xf953333d,0x5fe985ff,0xfffffb00,0x3ffffa01,0x00bfd304,
    0x03fffff6,0xcaffff44,0xfd05ffff,0x3333dfff,0x885fff95,0x4c007ffd,
    0x400003fe,0x64003fe9,0x904effff,0xfffffffb,0x3fffb269,0x000cefff,
    0x0006aaa6,0x7ffff64c,0xffffffff,0x3ff21fff,0xfb904eff,0x09ffffff,
    0x00000000,0x00000000,0x9b000000,0x005c0037,0x05544000,0xfffd9300,
    0x5c19dfff,0x950009bd,0xdffffffd,0x6665c079,0x02a600cc,0x0bcd9800,
    0x7fff64c0,0xffffffff,0x3f21ffff,0xb904efff,0x9fffffff,0x3ffffb26,
    0xff90ceff,0x37209dff,0x4fffffff,0x98002a60,0xffffffec,0xffffffff,
    0x3333321f,0x06f36004,0x37b90000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x1500a200,0x00017100,0x00000000,0x00000000,0x55400000,
    0x9802a01a,0x002aa981,0x00055530,0x000cc015,0x00000000,0x02aa9800,
    0x00150054,0x54000000,0x000001aa,0x2000d554,0x2000aaa8,0x00054028,
    0x06a20000,0x00000000,0x000d4015,0xd8816400,0x5441a800,0x00660000,
    0x0bd10bd0,0x009fbf90,0x0017ffea,0x005fffb8,0x7fdd3fea,0xbfff7002,
    0x3ffe2000,0x7fdc001f,0x207ee06f,0x7ffc41fb,0x7fc4001f,0x7e4002ff,
    0x7d40fc81,0x2e0006ff,0xfc805fff,0xf88004ff,0x3b601fff,0xb000fd80,
    0xff907fff,0x7fdc009f,0x7fcc006f,0xfff300ef,0x7fe4001f,0x06f4005f,
    0x64001ba2,0xf7003fff,0x7dc00bfb,0x3fe205ff,0xd907ff55,0x2001f903,
    0x901ffff8,0x03f4c15f,0xff98fff4,0xdffff906,0x00bffff2,0xff9877d4,
    0xf887c401,0x1fff7001,0x17ff6000,0x7f4dfb00,0x17ff6004,0x1fffa800,
    0x7fffc400,0xd8bfa02f,0xffffd84f,0x7ffe4005,0x7fc4006f,0x2a09fb12,
    0xb0000fff,0x7e400bff,0xffc8006f,0x3fe205ff,0x2007fd11,0x3203fff8,
    0xff1007ff,0x64005fff,0x3fa00eff,0xf3004fff,0x4003ffff,0x3ff30efa,
    0x13ffe000,0x00ba0f80,0x2e02fff4,0x20bfb0ff,0x7fb11ff8,0x0fffd400,
    0xffffff10,0xfff8809f,0x203fff94,0xdedefffc,0xd000ffff,0x009ff7df,
    0x2003c897,0x88003ffb,0xff8005ff,0x4400df30,0x6c0005ff,0xfc8001ff,
    0x2e06febf,0x40ffecff,0x1ffcdff9,0xf9bff100,0xffb8005f,0x2e00ffeb,
    0xf88003ff,0xffd8005f,0x37fe6001,0x3f202ffc,0x2006ffbf,0xfc803ffa,
    0xbffc801f,0x3fa006fe,0x33fea00e,0xfd800ffd,0x4005ffbf,0x05ffbefe,
    0x009ff500,0x2016e2d4,0xfe805ff8,0x5c01ff12,0x006febff,0x5400ffec,
    0x005fffff,0x3fe63ffd,0x3fffee06,0x00ffff64,0x07ffffd4,0x007a34c0,
    0x7000bf70,0x7f5000df,0xf7000fdc,0x7c40001d,0xff98001f,0x7407fb11,
    0xfe83ffff,0x6c01bee3,0x001bea4f,0x00fffffe,0x2e0017ee,0x3f60006f,
    0xb93f6004,0x3ffe206f,0x3f6001ff,0x013f6004,0x3f623ff1,0x00ff9803,
    0x09f917f4,0xfd10efa8,0x7ffcc003,0xf90000ff,0x20f88009,0x06fb802d,
    0x0bea4f88,0x5fffff10,0x00ffc400,0x0039d710,0x201440a8,0x7e46fffa,
    0x3fa004ff,0x3ba003ff,0xf90006eb,0x00ed8001,0x01f45d80,0x00003b60,
    0x360005f5,0x2a07c80e,0x2fa86fff,0x7cc02fa8,0x4002f982,0x2006fffb,
    0x76c000fc,0x036c0000,0x2fa82fa8,0x017fff20,0xd8004f88,0x64076c07,
    0x400fc807,0x01fb81fb,0x01b6217a,0x007fffb0,0xc8002fc0,0xdd007dbe,
    0x5d8d7001,0x0dfff700,0x0002fa80,0x50000000,0xffb8dfff,0x2aa2005f,
    0x02ca8002,0x20004c00,0x81100009,0x00098001,0x20000880,0x55005401,
    0x4c011035,0x51004401,0x03555000,0x4c000980,0x00300000,0x20198022,
    0x4000aaa8,0x30060001,0x04400a80,0x03300440,0x8002a00c,0x40002aa8,
    0x164c0001,0x22001300,0x2aa00040,0x0044000a,0x0001a980,0x3ffea000,
    0x02fffdc6,0x00006a60,0x006a6000,0x00006a60,0x0aa88000,0x0351005c,
    0x980026a6,0x3531001a,0x30d4c40c,0x40000000,0x53000aa8,0xaa980015,
    0x00000000,0x26001551,0x544000aa,0x0353000a,0x000554c0,0xa98006a6,
    0x00000001,0x00000000,0x8800aa98,0x530061a9,0x03530003,0x3ee00000,
    0xb00cfedf,0x3a29ffff,0xfa84ffff,0x7ffdc6ff,0xf9ff5005,0xffffb03d,
    0x3ffffa29,0x3b7fee04,0x7fdc00cf,0xfb00cfed,0x3fa29fff,0x3ea04fff,
    0x5b9dfedf,0xfffedb88,0xffdfe98d,0x76ffdc03,0xdfd300cf,0xfe98fbff,
    0x3f27dffe,0xe99dffff,0xb13fffff,0xbff509ff,0xf9101bff,0x403bffdd,
    0xdffeefc8,0x9ffffb01,0x13ffffa2,0xdffdffa8,0xfeefc880,0x7fd401df,
    0xf500dffd,0x2203df9f,0x1dffeefc,0x77e7fd40,0x3f3fea01,0xffffd81e,
    0x9ffffd14,0x29ffffb0,0x84ffffe8,0xd14ffffd,0x2209ffff,0x1dffeefc,
    0xbffdfd30,0x3b7fee0f,0x7fdc00cf,0xf900cfed,0xfffddfff,0x45ffb0ff,
    0xffb00efe,0x4fffe89f,0x5c6fffa8,0xfc805fff,0xb03ff70f,0xffe89fff,
    0x45ffb04f,0xffb00efe,0xd8077f45,0x7ff44fff,0x47ff904f,0x7cc0effd,
    0x3fffee0f,0x20bff11f,0x3bfa2ffd,0x3ea3fe80,0xff51ff47,0x20ffffb8,
    0xf84ffff8,0xfb0ffb83,0x20ff989f,0xf980fffc,0x03fff20f,0x3a27ffec,
    0xff704fff,0xf313ff61,0x07ffe41f,0xffb0ffb8,0x2e1ff909,0x07fcc1ff,
    0x3201fff9,0x03ff70ff,0x3fee1ff9,0x44fffd81,0xfb04fffe,0xfffe89ff,
    0x89fffb04,0xf984fffe,0x03fff20f,0x87fa8ffa,0x3bfa2ffd,0x745ffb00,
    0x42fc80ef,0x5c3ffffa,0x2ffd47ff,0x6c4fffc8,0xffa84fff,0x2fffdc6f,
    0xff17fea0,0x89fff90d,0xfb84fffd,0x42ffd47f,0x7fd47ffb,0x89fff905,
    0xfa84fffd,0x3ffee0ff,0x3e07ffc0,0x7fe44fff,0x2a3ffdc1,0x1ffcc5ff,
    0x43ff99f2,0x3fffe87c,0x2237ffdc,0x2e4ffb87,0x3ffa1fff,0x217ffea1,
    0x3fea1ffe,0x9fff905f,0xb84fffd8,0x3ffee4ff,0xfa87ffa1,0x4ffb85ff,
    0xfa87ffee,0x3a37fc5f,0x3ffea1ff,0x7c5ffa85,0x22ffd46f,0xfffc86ff,
    0x827ffec4,0x7ec4fffc,0xfff904ff,0x84fffd89,0x3fea1ffe,0x21ffcc5f,
    0x23ffdc7c,0xffb85ffa,0x642ffd47,0x46fffe83,0x7cc5fff8,0xfffb83ff,
    0x427ffe44,0x7dc6fffa,0x3fe205ff,0x217ff43f,0x7e44fffb,0x7ffc44ff,
    0x11fffcc5,0xff98bfff,0x4fffb83f,0x7427ffe4,0x7ffcc7ff,0xd13ffe64,
    0xffb87fff,0x317ffe25,0x7fe47fff,0xfff9342f,0xfffb8685,0x0ffffec6,
    0x45ffd095,0xff32fff8,0x37ffccbf,0xf997ffe6,0xfff706ff,0x84fffc89,
    0x3fe22ffe,0x4bfff32f,0xfe86fff9,0x4bffe22f,0x7f43fff8,0x4bfff32f,
    0x7c46fff9,0x97ff43ff,0x7f43fff8,0x27ffdc2f,0x5c13fff2,0x7fe44fff,
    0x9fff704f,0x4c4fffc8,0x3fe65fff,0x17ffe46f,0x45fff89a,0x3e23fff9,
    0x7ffcc5ff,0x3fee0643,0x7ffdc1ff,0x42fffcc4,0x7e44fffb,0xfffa84ff,
    0x02fffdc6,0xfe83fff5,0x27ffdc4f,0xf713fff2,0xfff989ff,0x313ffee5,
    0xff70bfff,0x4fffc89f,0xd137ffd4,0xffe8ffff,0x20ffff43,0x3fee7ffa,
    0x2fffcc4f,0x0c9ffff7,0x0c9ffff7,0x88ffffc4,0x364fffde,0x20fffd41,
    0x1fff44eb,0xfd0ffff3,0x3fffcc7f,0x644fffb8,0x7fd44fff,0x3a275c1f,
    0x3ffe63ff,0x20fffd47,0x3ffea4eb,0xfd27ff41,0x3fffcc7f,0xfd07ffea,
    0x07ffea9f,0xffb89ffd,0x27ffe44f,0x644fffb8,0xff704fff,0x4fffc89f,
    0x3e63ffe8,0x7ffdc7ff,0xfffb864f,0x72fffcc4,0xff989fff,0x7ffc405f,
    0x4fffc84f,0x5c3fffc4,0x7fe44fff,0x6fffb84f,0x702fffdc,0xf9999fff,
    0xfffb8bff,0x227ffe44,0x7c44fffc,0x3fff27ff,0x43fffc44,0x7e44fffb,
    0x7ffdc4ff,0x3fffef65,0xff70ae20,0xf95557ff,0x3fff21ff,0x13fffc44,
    0x81dfffff,0x0efffff8,0x553fff60,0xd16fffac,0x003fff90,0xffd98aa2,
    0x262a887f,0xf707fffd,0xfffc89ff,0x00fffe44,0x3f662a88,0x7ffe47ff,
    0xcfffb801,0x25fffccc,0x3ff662a8,0x67ffdc7f,0x75fffccc,0xf9999fff,
    0xfffb8bff,0x827ffe44,0x7e44fffb,0xfff704ff,0x84fffc89,0x3ff662a8,
    0x7fffc47f,0x7ffe40ef,0x93fffc44,0xff889fff,0x7ffec07f,0x4fffd80f,
    0x207fffc4,0x7e44fffb,0xfffc84ff,0x02fffdc7,0x5557fffb,0xffb85555,
    0x27ffe44f,0xf113fff6,0x3ff61fff,0x7fffc44f,0x227ffdc0,0x7e44fffc,
    0x3fe995ff,0x33ee01ff,0xcccdfffe,0xffb0cccc,0xffff889f,0x3fffff60,
    0x7fffec1f,0xfff501ff,0x7fffc76f,0xfffd84b9,0xcfd98003,0x6cc07fff,
    0x707fffcf,0xffc89fff,0x1fffec4f,0x7e7ecc00,0x7ffec7ff,0xbfffd803,
    0x02aaaaaa,0xffff9fb3,0xaabfffd8,0xffb2aaaa,0x5555557f,0x44fffb85,
    0xf704fffc,0xfffc89ff,0x89fff704,0x4c04fffc,0x87fffcfd,0x1ffffffd,
    0xf113fff6,0x3ff61fff,0x7fffc44f,0x7ffff500,0x10ffffa0,0xfb81ffff,
    0x7ffe44ff,0x7ffffe44,0x0bfff70e,0x0017ffec,0xfc89fff7,0x7fff44ff,
    0x87fffc43,0x7c43fffe,0x7fdc0fff,0x27ffe44f,0x96f7fff2,0xfa81ffff,
    0x05fffb2f,0x10ffffa0,0xfd81ffff,0x6c0fffff,0x00ffffff,0x64d7ffff,
    0xd81ecfff,0x64004fff,0x7fff99ff,0x3e67ff20,0xfff707ff,0x44fffc89,
    0x4004fffd,0xfff99ffc,0x027ffec7,0x0017ffec,0x3fe67ff2,0x17ffec7f,
    0x017ffec0,0xc89fff70,0xff704fff,0x4fffc89f,0xc89fff70,0x3f204fff,
    0x07fff99f,0x1ffffffb,0xf10ffffa,0x3ffa1fff,0x7fffc43f,0x0dfffd00,
    0x261fffe4,0xffb87fff,0x27ffe44f,0x2fffdc00,0x009fff90,0x3227ffdc,
    0x7fe44fff,0x3fffcc3f,0xf987fff9,0xfffb87ff,0x227ffe44,0x7c6ffffb,
    0x1ffc87ff,0x4013fff2,0x7cc3fffc,0xfff707ff,0xfff707ff,0x3ff207ff,
    0x3ffe63ff,0xdfff906f,0x43ffa600,0xe987fff9,0xffff30ff,0x913ffee0,
    0xffc89fff,0xffd3006f,0x91fffe61,0xf900dfff,0x3a6009ff,0xffff30ff,
    0x804fffc8,0x2004fffc,0x7e44fffb,0xfff704ff,0x04fffc89,0xfc89fff7,
    0xffe984ff,0x40ffff30,0x93fffffb,0xff987fff,0x0ffff27f,0x2e0ffff3,
    0x2e01ffff,0x7fcc4fff,0x4fffb86f,0x0027ffe4,0x7027ffdc,0x5c00dfff,
    0x7fe44fff,0x27ffdc4f,0xfb9bffe6,0x7ffcc4ff,0x44fffb86,0x7d44fffc,
    0x3fe20fff,0x22ffe46f,0x7006fffb,0xff989fff,0xfe982a6f,0x74c155ff,
    0xff305fff,0xfffe81ff,0x5ffff703,0x25ffe880,0x7447fff9,0x3ffe65ff,
    0x89fff707,0x7dc4fffc,0x74402fff,0x3ffe65ff,0x17fffdc7,0x01bffee0,
    0xf997ffa2,0x7ffdc7ff,0x6fffb806,0x13ffee00,0x2e09fff9,0x7fe44fff,
    0x9fff704f,0x444fffc8,0x3fe65ffe,0xfd30547f,0x3ffeebff,0x737ffcc4,
    0xff989fff,0xffff886f,0x3ffe2384,0x41fffd44,0x7ec5fffb,0x1b8804ff,
    0x4c07fff7,0x4983ffff,0x362fffdc,0x7fc44fff,0x1fffd44f,0xfa89fff1,
    0xfffb83ff,0x427ffec5,0x7fcc6ffe,0x13ffe24f,0x207ffff3,0x89fff10d,
    0x12e3fffa,0x12e9ffd1,0x7409ffd1,0xfffb85ff,0xfffff100,0x3ffea501,
    0x51fffe64,0x7fcc9fff,0xbfff707f,0x444fffd8,0x280fffff,0x7cc9fff5,
    0x7ffc47ff,0xff3280ff,0x2a9307ff,0x3fe64fff,0x7fffcc7f,0xfff34983,
    0xfb89307f,0x7ffec5ff,0x8bfff704,0xf704fffd,0xfffd8bff,0x327ffd44,
    0x44b8ffff,0xff14ffe8,0x3fffa89f,0xf513ffe2,0xfffb07ff,0x7e45881f,
    0x83ffdc6f,0x3ee6fffa,0xfc804fff,0x805fff76,0x31dffffd,0x4dfff50b,
    0xc84ffffb,0x3ffdc6ff,0x3ee37fe4,0xdfff507f,0x427fffdc,0x3ea0fffb,
    0x3ffee0ef,0xffff711f,0x90f623bf,0x7ffb8dff,0x3fee0fdc,0xffb83f72,
    0x20bfee02,0x7e406ff8,0x3b31dfff,0x32ffffee,0x2e17ffff,0xffcbffff,
    0xffa817ff,0x3fffee6f,0xdffffc84,0x3fee3b31,0xffffcbff,0x7fffe417,
    0x7ec3b31d,0x4b31dfff,0xfcbffffb,0x7ec17fff,0x8b31dfff,0x31dffffd,
    0x4dfff50b,0x504ffffb,0x7fdcdfff,0xfff504ff,0x27fffdcd,0x32ffffee,
    0x2e17ffff,0x917fdc1f,0x7ffb8dff,0x7dc6ffc8,0xffffa87f,0xffd85d83,
    0xe807bfa1,0xfdeddfff,0x6fc805ff,0xd100dff9,0x1fffffff,0x377fffa0,
    0xb05fffde,0x0f7f43ff,0x3fa1ffd8,0x3fffa01e,0x5fffdedd,0x3a3ffde8,
    0x7ffcc0ff,0xfe9cffff,0x04feffff,0x77f43ffb,0xfb177dc1,0xd8bbee1d,
    0x3fe200ef,0x8807fd00,0xfffffffe,0x3ffffe62,0x3efffe9e,0x3dfffff3,
    0xd07dfffd,0xfbdbbfff,0xffd10bff,0x4c5fffff,0xe9efffff,0x3a23efff,
    0x2fffffff,0x7fffff44,0x3ffe60ff,0xfffe9eff,0x3fffa23e,0x7440ffff,
    0x0fffffff,0xdbbfffd0,0x740bfffb,0xfdeddfff,0x3ffa05ff,0xfffdeddf,
    0x7ffffcc5,0x3efffe9e,0x77ec5df7,0xfd0ffec0,0x87ff603d,0xffe81efe,
    0x13f6a26f,0x6ff6ffdc,0x7fff4400,0x0bffff95,0xefecff88,0xfffb1000,
    0x7f4403bf,0xffff95ff,0x3b7fee0b,0x7fdc00df,0x4400dfed,0xff95fffe,
    0xfa9ecbff,0x901dfeef,0x441bffff,0x03effffd,0x6ff6ffdc,0xeefdea80,
    0x3f7aa0df,0xd800dfee,0x4003ea05,0x82effffc,0x3aa3effb,0x77fdc3ef,
    0x40fbfaa3,0xf95fffe8,0x3f20bfff,0xfb82efff,0x3bfaa3ef,0xdffff903,
    0x3fff6205,0xeffb81df,0x20fbfaa3,0x1dffffd8,0xbffffb10,0x7fff4403,
    0x0bffff95,0x657fffa2,0xd105ffff,0x3ff2bfff,0x77fdc5ff,0xa8fbfaa3,
    0x0dfeefde,0xbfdbff70,0xedffb801,0xfffb80df,0xffffffff,0x000d4c04,
    0x8000054c,0x20000bb9,0x054c0029,0x006a6000,0x20006a60,0x202000a9,
    0x351001a9,0x80015300,0x304401a9,0x54c11015,0x88026000,0x00a98002,
    0x01002008,0x00a98004,0x40054c00,0x54c00200,0x400a6000,0x14c00200,
    0x3000a600,0xa9800015,0x054c0000,0x20200800,0x4002a608,0xa98001a9,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x32a00000,0x6c0001bd,0x4c00b101,0x6654001a,0x55555102,0x2db98155,
    0xb988e600,0x0001acec,0x55665cc4,0xaaaaaaaa,0x9101aaaa,0x2a605101,
    0xaaaaaaaa,0x2aa881aa,0x88000000,0x4c014c0a,0x014400aa,0x0029802a,
    0x80017b97,0x2ea001ec,0xa8801bcc,0x2aaaaaaa,0x00a88350,0x40cc1b98,
    0xa9801cc8,0x4c000c40,0x2a201cba,0x0002cddc,0x0a201980,0x55555551,
    0x554c1555,0x2aaaaaaa,0x55555300,0x40066443,0x42f442ea,0x7f4c002a,
    0x000effec,0x26213fb0,0xcffa805e,0x3f2201ef,0x441effff,0x2fffffb9,
    0x9ffdbfd1,0xfddfa801,0xffffdbcd,0x7ff5c002,0xffffffde,0xffffeeef,
    0x453ee05f,0xfffb02ec,0xffffffff,0x07fffd05,0x6c5fffd0,0x3e203fff,
    0x09ff70ff,0xbffddf91,0x2206f403,0x1bfee06e,0xff9bfe88,0x00bf3002,
    0x3f2bbfaa,0x3ff200df,0x86ffffff,0xfff13ffd,0x3fffa201,0xfe81e9be,
    0xffd980ff,0x04e98dfc,0x02fbfaa0,0xfeacffb8,0xffa801ef,0x307f305f,
    0xffb9887f,0x441bffff,0xffffffc9,0xff73001b,0x7fffcbff,0x2617e401,
    0x03ffec5f,0x3f63ff88,0xff30004f,0x805fffff,0x3ff70ffc,0x3fffff60,
    0xff900eff,0x419d15ff,0x7d405ffb,0xfff901df,0x3fff2009,0x7ffffd41,
    0x02ffe4c1,0xd00fbbea,0xffffffff,0xfff50fff,0x7fc401ff,0x05ffd82f,
    0x7f4bffea,0x907fcc7f,0x3ea01fff,0x403ff30e,0xfd02fffe,0x007ff61f,
    0xf5001fd1,0x0eff98df,0xfffffff0,0xbfff07ff,0x640bffea,0x7fffffff,
    0x43ffff98,0xff50dff9,0xfd3009ff,0xbff9003d,0x400effd8,0x7e406ffd,
    0xfb01bee4,0xfb007fff,0x20007fff,0xff55fffc,0x0fe809ff,0xfff11fdc,
    0x3ffb005f,0x0007ffd4,0x4fffffb8,0x3e2ffd40,0xdabeb86f,0x702fffff,
    0x07b5ffff,0xfa80fff6,0x6fffd806,0x07fffa20,0x80fffff4,0x7f5405fa,
    0x3ffe202f,0xffffffff,0xffbefe85,0x80ffee04,0xff100ffd,0xd13fee1f,
    0x7ffd43ff,0x3efbfa05,0x7ffe404f,0x327ffb80,0x17e406ff,0x41fffc40,
    0xffa84fff,0x0fffffff,0xff13ffc8,0x3aeba01f,0xf983ffff,0x3fa23fff,
    0x27ffec1f,0x003bfee0,0xf913ffe2,0xeff805ff,0x66ffc400,0x7fe402ff,
    0xffc802ff,0xf70002ff,0x3ffe2bff,0x643fc07f,0x3fffe21f,0x41fff801,
    0x440007ff,0x7c400ceb,0x17ff43ff,0xffff30b3,0x3fffee07,0x3ffee05e,
    0x2001f501,0xfd03ffff,0x7fec0bff,0x417201ff,0x2ffb9de9,0x9bdfff50,
    0xb85ff999,0x01ff30df,0xfd100ffa,0x26054407,0x32fffcc1,0x7cc0dfff,
    0x4400ffff,0xdff902dc,0xf303ffe4,0x3ffea00b,0xc86ffd84,0xccccccce,
    0x15106603,0x02ea21c0,0xd17fffc4,0xfff90dff,0x077fdc09,0x43fff980,
    0x2a04fffb,0xff9000ef,0xff700dff,0xff9005ff,0x2e0003ff,0x3bae5fff,
    0x217e607f,0x27fdc0fe,0x21fffcc0,0x000003ff,0x20fffd40,0xe8064ffe,
    0xff702fff,0x7cc01fff,0x009506ff,0x207fffe4,0x202ffffa,0x141ffffc,
    0xfd0b60b3,0x403d905f,0x427c47f9,0x04f884e8,0x0000bd10,0xff31fff4,
    0xfffd80ff,0xffd00003,0x807ffe4d,0xff7000fe,0x0bff90ff,0x0000005f,
    0x7ffc0000,0x0bfff10f,0x2609fff9,0x2e001fff,0x7fdc3fff,0x003b602f,
    0x01ffff88,0x02ffffb8,0x01ffffc8,0x0bfff700,0x83fb8136,0x2001106f,
    0x3ea6fff9,0x0000000f,0x6667ffdc,0x9005fffc,0x7fdc0fff,0x7fcc03ff,
    0x001981ff,0xd17fffe6,0xfc80ffff,0x122c1fff,0x40fffa80,0x22fe400d,
    0x220a2008,0x800c4001,0x8aa201a9,0x407fffd9,0x22002aa8,0x6ffd80aa,
    0x3203fff2,0x3fea002f,0x1ffec4ff,0x00006bea,0x98001553,0x7fec00aa,
    0x213ffea7,0xf884fffc,0x7e4006ff,0x3ffdc3ff,0x26000220,0xff7002aa,
    0xff9005ff,0x2a6003ff,0x10bfff70,0x6cccc43f,0xdfa999bf,0x3e200009,
    0x0dfcafff,0x7fffec00,0x9ffffd14,0xaabfffd8,0xd002aaaa,0x7fdc03ff,
    0x7fc402ff,0xf00004ff,0x7fd4ffff,0x7fe406ff,0x801661ff,0xfffceeca,
    0x02ff8005,0x00000000,0x0f7e7fd4,0x3ff3f660,0x5400007f,0x20dffdff,
    0x3ff27ffc,0x4005f986,0x14fffff8,0xffd81dff,0x8800ceff,0x1dffeefc,
    0x3fbbf220,0xbff701df,0x6427ffe4,0xffb84fff,0x7fe4003f,0x0177f43f,
    0x44001440,0x3fffee02,0xffffc802,0x7fffe401,0xb85fffbb,0x7ffffd46,
    0xffffffff,0xfd000c45,0x98839fff,0xfd809999,0x7fff44ff,0x017ffec4,
    0x007fea00,0x805ffff7,0x006ffff8,0x1fffff00,0x017fffee,0x6c3ffff9,
    0x19ff9005,0x003ffff5,0x74c07fcc,0xe983ffff,0xe983ffff,0xf903ffff,
    0x407fee1f,0xfff99ffc,0xffffd307,0xd87fdc07,0x9ffe24ff,0x0fe82ffd,
    0xffffc800,0x440dfcef,0xffffffff,0x41ff300c,0xf980fffc,0x03fff20f,
    0xffd8ffea,0x4fffc84f,0xedbfffe8,0x3ff201ce,0x20bff33f,0xb16ffffc,
    0x7ffe4bff,0x0bffb16f,0x00bfffee,0x807ffff2,0xfe98effc,0x07645fff,
    0x33ff3326,0x3cdfeccc,0xffb00254,0xffd307ff,0xfff905df,0x44fffd89,
    0x0004fffc,0x03ffff71,0x017fffdc,0x01ffffe2,0x7ffff400,0x0bffff92,
    0x89ffffc8,0xffc805fb,0x027ffe46,0xff80bf90,0x3ffe03ff,0x3fffe03f,
    0x7c5ffa83,0x87ff4c6f,0x7c07fff9,0xff703fff,0x70fffdc9,0x217fe3ff,
    0x360002fc,0x05ffffff,0xfffffff5,0xffd01fff,0x42fffd43,0x3fea1ffe,
    0x21ff885f,0xfc84fffd,0x7ffd44ff,0x3ffffeff,0x227fff90,0xfb83ffea,
    0xfffe8eff,0x3bffee0f,0x80ffffe8,0x802ffffb,0x501ffffc,0x7f443fff,
    0x002f65ff,0x01fd0bf3,0x37ee016e,0xf00fffff,0x7ffdc0bf,0x227ffe44,
    0x8006fffb,0xfffffffa,0x5ffff702,0x7ffff880,0x3ffffff6,0xffffffff,
    0xfd3fffff,0xfc809fff,0x5fffefff,0x227ffc40,0x2007fffa,0x7fec02ff,
    0x3fff603f,0x0ffff603,0xfe87fff1,0x4bffd12f,0x6c07fff9,0xffd03fff,
    0x217ffc45,0x983eeed9,0xfc80005f,0xd83fffff,0xffffffff,0x3fe60eff,
    0x1bffe65f,0x7ccbfff3,0xc8fd06ff,0xffc85fff,0x37ffdc4f,0x903ffff5,
    0xff887fff,0x77ffd41f,0x546ffddc,0xfddcefff,0xffff706f,0xffff9005,
    0x21fffe03,0x8005fffb,0x206f83fb,0x4bfa207c,0xf05ffffb,0x7ffdc01f,
    0x227ffe44,0x983ffff9,0x3ffee204,0xfff706ff,0xfff8805f,0x3ffff67f,
    0x9999999d,0x3ffffe99,0x807ffffd,0xfcaffffc,0x7ffdc05f,0x03fffcc3,
    0x6c00ff98,0x3f603fff,0x3ff603ff,0x0fffd43f,0x7fd53ffa,0x1fffe64f,
    0x507fffb0,0x4eb83fff,0x203fa000,0x200ceeec,0xfffffff9,0x3ff26603,
    0x7f44ffff,0x1fffe63f,0xff98fffa,0xf98db07f,0xfffc86ff,0x22fffe44,
    0xfc86fffc,0x6fff83ff,0x337fffd4,0xffffa819,0x7dc03266,0xfc802fff,
    0xff981fff,0x5fffb86f,0x4c2fc800,0x203fa05f,0x7ff46ff9,0x017cc4ff,
    0xf913ffee,0xfffb09ff,0x401663bf,0x80ffffe9,0x402ffffb,0x2e6ffff8,
    0xd004ffff,0x3f63ffff,0x7e404fff,0x0bf11fff,0x4c3fffd8,0xc800ffff,
    0xfffd805f,0x0ffff603,0x5c3fffd8,0xfccccfff,0xffff75ff,0x2fffff97,
    0x07fffb00,0x0003fff9,0x7442fc80,0x901df95f,0xffffd3df,0x3fea005f,
    0x315446ff,0x510ffffb,0x3fffecc5,0xfffe85b8,0x13fffa21,0xf98bfffb,
    0x7fe40fff,0x0fffe83f,0x00bfffea,0x00bfffea,0x02ffffb8,0x81ffffc8,
    0xfb85fffa,0xfe8005ff,0xff01fdc0,0x989ffd05,0x363fffff,0x4fffb804,
    0x4427ffe4,0xfffffffe,0x3ffe2000,0xffffb83f,0x7fffc402,0x17fffea5,
    0x87ffffc0,0x405ffffb,0x2e1ffffc,0x1ffff405,0x003fffe6,0x3f600bfa,
    0x3ff603ff,0x3fff603f,0x55fffec3,0xf32aaaaa,0xfd3dffff,0x3f607dff,
    0xfffd83ff,0x3e600003,0xf52ffd85,0x12ffe8bf,0x00bffffd,0x303fffcc,
    0x0ffff9fb,0xfffcfd98,0xff309507,0xffdd77ff,0x5fffd89f,0x20ffffc4,
    0xfe83fffc,0x3ffea2ff,0xfffa800f,0x3fee000f,0xffc802ff,0xfffc81ff,
    0x05fffb84,0xffffff50,0xbfffffff,0x3ea27fcc,0xfffc86ff,0x7006baff,
    0xffc89fff,0xfffb104f,0xf70003bf,0xfff707ff,0xfff8805f,0x3fffe64f,
    0xfffff005,0x02ffffcc,0x887ffff2,0xfffd0885,0x07fff987,0xd800ff98,
    0x3f603fff,0x3ff603ff,0x17ffec3f,0x23effb80,0x3603efea,0xffd83fff,
    0x3a00004f,0x8fffc40f,0xff51fff9,0x7fff441f,0x3ffc4007,0xff99ffc8,
    0x27ff207f,0x3107fff9,0x3ffffa60,0x644fffc9,0xfff86fff,0x1fffe41f,
    0xf51ffff4,0x3ea00fff,0x7dc007ff,0x64042fff,0xfd81ffff,0xfffb84ff,
    0xffff5005,0xffffffff,0x237fdcbf,0xd80ffffc,0x01ffffff,0xc89fff70,
    0x74404fff,0x7fc40005,0xffffb81f,0x7fffc402,0x037fff42,0x227fffc4,
    0x6406fffe,0x42c1ffff,0x87fff90d,0xc806fff9,0xfffb005f,0x1fffec07,
    0xc87fffb0,0x04004fff,0x7ec01f4c,0xfffc83ff,0x5f900006,0x263fff50,
    0xfff92fff,0x03ffff70,0x74c5fe80,0xffff30ff,0x261ffd30,0x20007fff,
    0x3fff20a8,0x437ffd44,0x7e40ffff,0xfffe83ff,0x01bffea2,0x0037ffd4,
    0x44bfffee,0x3ff20efe,0xfffc81ff,0x05fffb85,0x3e21fdc0,0xb1fff606,
    0xd109ffff,0x005fffff,0xf913ffee,0x0ff809ff,0x07fe8000,0x985ffff7,
    0x0dfff10a,0x700ffff5,0xff50dfff,0x7fe405ff,0x53c401ff,0xff989fff,
    0x02fe804f,0x407fffb0,0x3603fffd,0x7fdc3fff,0x7cc0006f,0x7fffb006,
    0x05ffff70,0x705f9800,0x3fe63fff,0x10fffd3f,0x8001ffff,0x3ffa23fc,
    0x11fffe65,0x7fccbffd,0x0005307f,0xf889fff9,0x6ffe87ff,0xd83fffc8,
    0x3fea1fff,0xfff5006f,0xfffb800d,0x47fff72f,0xb80ffffc,0xffb86fff,
    0x17e4005f,0xfff817e6,0x3fffee1f,0xffff883f,0x7dc2c4ff,0x7ffec5ff,
    0x003fea04,0x1ffc0175,0x22ffffb8,0xfff16ff9,0x0bfff605,0x205fffd0,
    0x3605fffc,0x6c01ffff,0x513ffe26,0xf9805fff,0xfffb000f,0x1fffec07,
    0x987fffb0,0x4983ffff,0xb007fc80,0xff107fff,0x00501fff,0x7fd403fa,
    0x25fff32f,0xffd07ffc,0xb005dc4d,0x27ffd41f,0xfa8ffff3,0x3ffe64ff,
    0x006ffc87,0x7427ffe4,0x7ffc1fff,0x53fffc84,0xa8fff519,0xf5006fff,
    0xfb800dff,0xfff92fff,0x837ffe47,0x640ffff8,0x74005fff,0x881fdc0f,
    0x3e23ffff,0x21cfffff,0xffffffea,0xffa83edf,0x3fffee6f,0x80ffee04,
    0xfa81fff9,0x3fffee05,0x223ffee3,0x3fe606ff,0x3ffee06f,0x17ffec04,
    0x01ffffe8,0xffb89fb1,0x402ffdc5,0x3f6005fc,0x3ff603ff,0x3fff603f,
    0xdffffd83,0x3f600b31,0xfffd802f,0xbffff903,0x32007663,0x3ffe202f,
    0x2a1fff52,0x7fc41fff,0x0bfff62f,0xfff707e2,0xfffff97f,0x5ffffdc2,
    0x217ffffc,0x002ffff8,0x2213fff2,0x3fe24fff,0xbfffd80e,0x4ff8bff8,
    0x8037ffd4,0x4006fffa,0xf53ffffc,0x3fffd8ff,0x993fff60,0x4006ffff,
    0x301fd86f,0xfa89ffff,0xffffffff,0xffffe9bf,0x3ffa05ff,0xfffdeddf,
    0x0fffe205,0x96ffffcc,0x3f600dea,0x3fe25fff,0x400dfaaf,0x5c0dffd8,
    0xf7001eff,0x3f2617ff,0x999dffff,0xc83fffba,0x01bfa1ff,0xfb001ff4,
    0x7fec09ff,0x3fff604f,0xffffe884,0xf3000fff,0xffd805ff,0xfffd104f,
    0x3005ffff,0x7ff900bf,0xff913fea,0x643ffb8d,0xb9aeffff,0xffff981e,
    0xefffe9ef,0xdfffff33,0x27dfffd3,0x002ffff8,0x4c17fff2,0x03fee7ff,
    0xff9ffff4,0xffa86f8b,0xfff5006f,0xfffe800d,0x443bf24f,0x74404fff,
    0xfdecbfff,0x9800bfff,0x300fe85f,0xd307ffff,0x19ffffff,0x05ffffc8,
    0xcaffff44,0x2e05ffff,0x641dffff,0x2effffff,0xffffd930,0xff719dff,
    0xea800bff,0x4effdeff,0xfeca8800,0xffffffff,0xffffffff,0xdbfd702f,
    0xff30019d,0x7fff4001,0x17fffa05,0x105fffe8,0x03bffffb,0xdffffd80,
    0x05fffe80,0x177fffe4,0xb000fe80,0x01bfd1df,0xdfd9dfd5,0x3ffff603,
    0x3ee00cef,0x3bfaa3ef,0x51f7fdc3,0xffc87dfd,0x3ffa6006,0xffb302ff,
    0xfd103bfb,0x3f6a7fff,0xfffb80ce,0xffff7007,0xfffd9300,0xf719dfff,
    0x007dffdf,0x27bfffa2,0x00bceffb,0x37c43fb8,0x803fffa0,0x44009aa9,
    0x2a6000aa,0x75c40000,0x3553103d,0x0d400000,0x0d544000,0x4ccc0000,
    0x51000001,0x02a88003,0xfffffd30,0x7fff4c1b,0x3fa60dff,0x200dffff,
    0x64c00029,0x7ff4c2de,0x4c00dfff,0x0baa000a,0x059d9500,0x00135310,
    0x10003531,0x08020040,0xca800620,0x01cccccc,0x080000cc,0x3fffff20,
    0x3fff202e,0x00002eff,0x000554c4,0x00661a88,0x2a2054c0,0x000ba801,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xa8000000,0xa8002a00,0x2b2e602e,
    0x55530000,0x00000355,0x0002f2a0,0xc812a000,0x01402882,0x2005b500,
    0x800d40b9,0x88350029,0x41b9800a,0x6c077019,0x32a62001,0x000009ab,
    0x5554c051,0x2a201aaa,0x300aaaaa,0x00000155,0x4c000000,0xaaaaaaaa,
    0x2e6000aa,0x176001bd,0x2aaaaa60,0x2aaaa2aa,0xa82aaaaa,0x4c00aaaa,
    0x5e54400b,0x017a2000,0x75c001b3,0x0006cc02,0x0ed80bd1,0x7e4007d8,
    0xfbcfe881,0x5cc000df,0x7ec4ffff,0x3ffa5fff,0x3bee04ff,0x4000dfca,
    0x2601fffe,0x07f260cf,0x02f442f4,0x2fffdc08,0x7bfffd30,0xff9003d3,
    0x13ffd80b,0x3a601fff,0x1e9befff,0x6cc17f70,0xffe9800f,0x1effebbd,
    0x3ffffa60,0x0dfffe9b,0x7ffffdc4,0x3ffae01f,0x7ff540be,0x4eeeeffc,
    0x7ffffff9,0x3637ff54,0x7ff43fff,0xfc98802f,0x01bfffff,0xeceffdb8,
    0x7e403dff,0x7fff4c02,0x3f262eff,0x81bfffff,0x200cffc9,0xf300fffc,
    0x2001ffff,0xfeb881fd,0x0df1000f,0x003ffae2,0x7cc01fd8,0x005fd11f,
    0x4fe886f8,0x40017fee,0xfd84fffc,0x7ffec5ff,0x743ff304,0x3fe6004f,
    0xfffe802f,0x3ea06fff,0x003ff30e,0xfffff895,0xfffff900,0x3fe00dff,
    0x3ffe01ff,0x205fff55,0xfffffffc,0x3fffe206,0xfb804fff,0xfff881ff,
    0x6ffffc04,0x06fffdce,0x1ffffff1,0xfb80fd80,0xdfff10ef,0x7fffdc9d,
    0xfd85f883,0x7fff43ff,0x7ffec002,0xcfe8803f,0x77e5440a,0x1009f300,
    0x205fffff,0x805ffffc,0x7ffc405e,0xc8ae883f,0x4fb804ff,0x01ffd350,
    0x4d407f60,0xf7000ffe,0x2fff2009,0x7cc006ff,0x7c2ffe84,0x665405ff,
    0xcefffecc,0x917fff21,0xfd109fff,0x002ffc8d,0x26005ff9,0x01effffe,
    0x27fdf7f4,0x3f627c40,0x75d03fff,0x007ffffd,0xf901fff6,0x03ffe27f,
    0x7fff5d74,0x7ffd403f,0x7f400eff,0x3fea02ff,0x3fffa06f,0x0fffee1f,
    0x37ffffe4,0x3fe61ae0,0x827fec4f,0xf885fffe,0x43fffd80,0x4002fffe,
    0x402ffffc,0xb1000df9,0x401fe03f,0x104ffffb,0x801fffff,0xfffe802f,
    0x02ff8802,0x7ec037c4,0x04fb800f,0x8800ffd8,0x3fe2006f,0x64001fff,
    0x17ffd41f,0xa80bfffa,0xfffecccc,0x3ffee1ce,0x427ffe45,0x7fdc5ffc,
    0x03fe800f,0x002dda80,0x01fffff5,0xfd889fb0,0x443882fe,0x322000bb,
    0x4419801d,0x7510e00a,0x0ef54001,0x02fffe40,0xd827ffec,0x7fc44fff,
    0xffec80ff,0x16a04fff,0xf90ffff2,0xfff501ff,0xfb05a81f,0xfffe87ff,
    0x7ffe4002,0x4c2f401f,0x36511aca,0x801fc80e,0x207ffff8,0x202ffffd,
    0xbff50069,0x2013f200,0xffd801fd,0x8037c400,0xfd800ffd,0x7ffe4001,
    0xc87e8005,0x7fec1fff,0x7fdc004f,0x5fffb84f,0x7c27ffe4,0x7ffd45ff,
    0x001fcc02,0x3ffa0000,0x4ffc803f,0x00003ea0,0x00000000,0x80000000,
    0x802ffff9,0xd81ffff9,0xffe83fff,0xffdbc81f,0x0b503fff,0xfc85fffb,
    0xfffd02ff,0xffb02d87,0x2fffe87f,0x7fffe400,0xd883b201,0x3efc9adf,
    0x09f509d1,0x0bffff60,0x037fffcc,0x80080079,0x203ffff9,0xffb004fa,
    0x001fd801,0xfa801ffb,0xaaa88004,0x427cc000,0x7e42fffd,0x854c05ff,
    0xfb84fffb,0x7ffe45ff,0x22fffc44,0x4403fffa,0x0d4c0000,0x00555300,
    0x6409fffb,0x30000005,0x0d4c0035,0x000d4c00,0x3a00554c,0xf000ffff,
    0xffb0dfff,0x7fffb07f,0x3fffa790,0xc85a81ff,0x7fe42fff,0xdfff701f,
    0xfffb03c4,0x02fffe87,0x0ffffe40,0x3fe62f88,0x3ea3f884,0xf3006f80,
    0x7f40bfff,0x01f00fff,0x3f660000,0x00df107f,0xf7007fec,0x07fec009,
    0x0000df10,0x7dc00351,0x42ffff82,0xc887fffb,0xffbbffff,0x5fffb84f,
    0x2a27ffe4,0x7fd45fff,0x06a2004f,0x77e7fd40,0x3a200001,0x6fffffff,
    0xfffb0be2,0x3fffa29f,0x33fea04f,0x3fee01ef,0x5c00cfed,0x00cfedff,
    0x3ffbbf22,0xffff881d,0x3fffa006,0x1fffec0f,0x6427ffec,0xffffff13,
    0xff985a81,0x037fe43f,0x2e5ffff1,0x0ffff604,0x8005fffd,0x701ffffc,
    0x703ff41f,0x7ec1fc47,0xffffd001,0xfffff101,0x5000b509,0x81ffd800,
    0x3f6001fd,0x00df100f,0x3600ffd8,0xfffd801f,0x3dfff95f,0x3fa0fd00,
    0x7ffd43ff,0x46ffec1f,0x84ffffea,0x7e45fffb,0x7ffdc4ff,0xb37ffd44,
    0x3f2bffff,0x3f201eff,0xc83ff70f,0xffeeffff,0x3f6a27ff,0xd32aadff,
    0x13fff607,0x3209fffd,0x03ff70ff,0x77f45ffb,0x745ffb00,0x0ff980ef,
    0xf503fff2,0x6c00dfff,0x7ec2ffff,0xfffd83ff,0x3fe63c84,0x82d46fff,
    0x7ff45ffd,0xafffe402,0x3fff601e,0x017fff43,0x07ffff20,0x09ff7374,
    0x7d437418,0xffff7003,0xffffd709,0x88005b0f,0x43fcc004,0x7ec004fa,
    0x003fb00f,0xf500ffd8,0x7ffe4009,0xefffdede,0x6c17e200,0x7fd45fff,
    0x3ffee0ff,0x13fffe21,0xf917ffee,0xfffc89ff,0x23fffd44,0xdedefffc,
    0xfa80efff,0x3237fc5f,0x7fffd42f,0x44fffc83,0x3ff201da,0x27ffec4f,
    0x3fe2ffd4,0x2a3ffdc6,0x7ffb85ff,0x7f42ffd4,0x17ffea1f,0x00bffff7,
    0x21ffffec,0xfd83fffd,0x5c3c83ff,0x2a4fffff,0x273fea05,0xf8801ffd,
    0x6c06afff,0x7ff43fff,0x7fe4002f,0x6c9f01ff,0x3e4003ff,0xf88037c4,
    0xdae87fff,0x1e22ffff,0xfb80ee00,0xdf10bea3,0x03ffd000,0xfd0009f7,
    0x00df103f,0x23ffffb8,0x2e03fffd,0xffff502f,0x13fffd41,0xff70dfff,
    0xbfff709f,0x6c4fffc8,0x7fd44fff,0x3ffee0ff,0x0ffff63f,0xfe87fff1,
    0x3fa0f22f,0xfff906ff,0xfff70009,0x44fffc89,0x7f43fff8,0x8bfff12f,
    0x3e23fff9,0x7ffcc5ff,0x997ffe63,0x7fec6fff,0x3f2004ff,0x7fec5fff,
    0x1fffe83f,0xfffc83c8,0xb80b52ff,0x000acede,0x00fffff6,0xfe87fffb,
    0x7e4002ff,0x45f01fff,0x4c003ffe,0x000fd80f,0x4c5ffffb,0x4bffff57,
    0x0fd4004b,0x3dbfff50,0x20c03fb0,0x22dfffc9,0x64c006f8,0x7ec2dfff,
    0x3fee0601,0x27ffe46f,0x7ec01fb0,0xffc89eff,0x17ffe66f,0x2a13ffee,
    0x7fe46fff,0x27fff44f,0xb83fffea,0x7fe46fff,0x0fffd44f,0x40c93ffa,
    0x901ffffb,0x70009fff,0xffc89fff,0x0fffd44f,0x7fdd3ffa,0x2fffcc4f,
    0xf989fff7,0x1fff45ff,0xfd8ffff3,0x32004fff,0x7ec4ffff,0xffff83ff,
    0xffd03c80,0x20b53fff,0xa80005d8,0x6c00ffff,0x7ff43fff,0xf900192f,
    0x8be03fff,0x54003ffe,0x003fb80f,0x64bffff3,0x43ffffe3,0x1bee001e,
    0xfa804c40,0x0007f204,0x7f5c43fb,0x4fa8001c,0xff707f20,0x4fffb8bf,
    0xd880bf10,0xffffffff,0x17ffee4f,0x2613ffee,0x3fea7fff,0x7ffec5ff,
    0x23fffd44,0x7dc5fffb,0x7ffdc4ff,0x5fffcccc,0x13fffe20,0x004fffc8,
    0x644fffb8,0x7fdc4fff,0xfffccccf,0x889fff95,0x3ff27fff,0x3fffc44f,
    0xffd98aa2,0x7fffdc7f,0x3fff6005,0x77ffec3f,0x40fffe60,0xfffd103c,
    0x3f60b5df,0xffd00004,0x9fffb00b,0x6a7fffe4,0x3ffff900,0x4ffd93a0,
    0xf883e400,0x3fffa005,0x3f20f88f,0x0069bfff,0x0000bff2,0xffa81be2,
    0xb13ee001,0x001fffff,0xff5037c4,0x45fffb83,0xf504fffb,0x2f2e6007,
    0x321fffe8,0xffb84fff,0xdfffd04f,0x8dfffbdb,0x7d44fffc,0x7ffdc6ff,
    0x227ffdc5,0xaaabfffd,0x3f602aaa,0x3f200fff,0xfb8004ff,0x7ffe44ff,
    0x55fffec4,0xfb2aaaaa,0xfff889ff,0x89fffb0f,0x300ffff8,0x8ffff9fb,
    0x006ffffa,0xb0bffff6,0xd55ddfff,0x01e40bff,0xbffffff3,0x99bfff10,
    0x20015799,0xfd802ffb,0xfbdedfff,0x9003ffff,0x3603ffff,0x001bfee6,
    0x007f40bd,0xbcffffb8,0x77fffcc5,0xfffb003c,0x07f60000,0x800fffcc,
    0x44f546f8,0x36004ffd,0x3fff301f,0x5c5fffb8,0x1fb04fff,0x3ffe6000,
    0x427ffec6,0xd104fffb,0xff91bfff,0x3fee1dff,0x2fffd45f,0xf717ffee,
    0xfffd89ff,0xfffa8002,0x7ffe403f,0xfffb8004,0x227ffe44,0xe802fffd,
    0x7fc43fff,0x7fffd0ff,0x80ffff88,0xfff99ffc,0x3ffffc47,0x1ffffd00,
    0xfbbfffd8,0x3200dfff,0x7fffd403,0xffff985f,0x3fffffff,0x3a00df00,
    0x363ffffe,0x90103eff,0x2a03ffff,0x407ffa0f,0xb80be20a,0xfff1002f,
    0xffd03dff,0xf9001fff,0x500007ff,0x3f3a209f,0x03fb001f,0x5002ffa8,
    0x3f3a209f,0x2fffdc1f,0x7c13ffee,0x3ff60006,0x27ffe41f,0x2027ffdc,
    0x40fea0a9,0x7d45fff9,0x7ffdc3ff,0x227ffdc5,0x8004fffc,0xc806fffe,
    0xb8004fff,0x7fe44fff,0x27ffe44f,0x21fffe40,0x3f27fff9,0x7ffcc3ff,
    0x987ff4c7,0xffc87fff,0xff8800ff,0xfffd84ff,0x1e400a63,0x2ffffe40,
    0xffffffd8,0x802fffff,0x51bf003c,0x6c40a203,0x3fff20ef,0xe88fe01f,
    0x89710cff,0x02fc407b,0x0dffffb0,0x017fffee,0x3217fff4,0x0df1004e,
    0x07fea7a2,0x2e013ee0,0x0df1007f,0x07fea7a2,0xfb8bfff7,0x03fa84ff,
    0x07fff100,0xf70bfff7,0xfa8009ff,0x22fffc06,0x7dc2fffa,0x7ffdc5ff,
    0x037ffdc4,0x07fffee0,0x013fff20,0x913ffee0,0xffb89fff,0xfffb806f,
    0x737ffcc4,0xff989fff,0x97ffa26f,0xf887fff9,0xfa803fff,0xffd80fff,
    0x0790003f,0x817fff60,0xfffffffd,0x0e804fff,0x0006f880,0xf927ffd4,
    0x7d401fff,0x6efff5c3,0x7401fdc1,0x3ffe6007,0xffff102f,0xffff1005,
    0x00fffc43,0x52d80fec,0x6f8803ff,0x2005fb00,0x2a5b01fd,0x7ffdc1ff,
    0x427ffdc5,0xe88001fc,0xfff304ff,0x0bfff90f,0x5c06fd80,0x37fdc6ff,
    0x2e2fffdc,0x7fcc4fff,0x444983ff,0x8384ffff,0x8004fffc,0x7ec5fffb,
    0x7ffcc4ff,0xff14983f,0x3fffa89f,0xf513ffe2,0x7ffd47ff,0x41fffe64,
    0x4407fffb,0xfb03ffff,0x320007ff,0xbffd1004,0x9837fb10,0x3664ffb9,
    0x7d401663,0x3f20000f,0x3fff23ff,0x003fd807,0xfc802fdc,0x1fffa002,
    0x200fff90,0x7c3ffff8,0x27d402ff,0xffcaaec8,0x007f600c,0x7d400fea,
    0xf955d904,0x7ffdc19f,0x427ffdc5,0xfe88006f,0x7ffec03f,0x17fffe63,
    0x405ffd00,0x7fec7ff8,0x45fffb82,0xfd84fffb,0x0b31dfff,0x881ffffb,
    0x15fffb85,0x3ffea007,0x13fffee6,0x477ffff6,0x237fe459,0xffc87ffb,
    0x2e3ffdc6,0xffcbffff,0xff7017ff,0x7ffe407f,0x0ffff602,0x30037400,
    0x0dfb0bff,0x7ff43fb0,0x3f2003b0,0x3e60002f,0x3fff60ff,0x007fb003,
    0x4c0037ee,0x3fee004f,0x027fcc04,0xd8bfffd0,0x3be200ff,0xfffffd00,
    0x13ea05ff,0x00a8be60,0x3fa01df1,0x22ffffff,0x7e46fffb,0x027cc5ff,
    0x0077faa0,0x32ffffa2,0x0bffffde,0x15dff700,0x7c4bfe60,0xdfff704f,
    0x885fffc8,0xfffffffe,0x1ffffd40,0x7ff442ec,0x3a000ecf,0xfdeddfff,
    0xffe885ff,0xd80fffff,0x07bfa1ff,0xdfd0ffec,0xfffff983,0x3efffe9e,
    0x887ffd30,0x7401effb,0x98003fff,0x3ea001ff,0x201ffb85,0x5fffc5fa,
    0x3ff6005a,0x77e40003,0x009fff10,0x10adffb8,0x0007ffb5,0x7fc400ff,
    0x001fe800,0xb83fffe6,0x00fec04f,0x9ff95555,0x100df101,0x40f975bd,
    0x2aaa01fd,0x320cffca,0x7fec7fff,0x400fe46f,0x000cffc9,0x477fff44,
    0x00bceffb,0x13ffffa0,0x17feff4c,0xd8ffff90,0xfb106fff,0xfd03bfff,
    0x7ed44dff,0x3bffb304,0xfffe8800,0x0bffff95,0x3bffffb1,0x7f6ffdc0,
    0x6ffdc00d,0xff700dfe,0x1f7f547d,0x37ff7220,0x400cdffe,0x00effffa,
    0xbffffd50,0x6416e005,0xedbabdff,0xdfffc83f,0x07ff2000,0x3bfee000,
    0x10004eff,0xfffffff9,0x3f200039,0x40176001,0xfea8006b,0x403eccff,
    0x7d4004fa,0x803fb01f,0x6fffffe8,0xa8009f50,0x3fff61ff,0xfffd8eff,
    0x00550eff,0x4400006a,0x0000661a,0x1002f766,0xfffd8035,0xfffd8eff,
    0x0a600eff,0xffffffb8,0x404fffff,0x0a980000,0x0014c000,0x260006a6,
    0x0802001a,0x01551000,0x666664c0,0x000002cc,0x97550060,0x1b980137,
    0x002b8800,0x02aa6200,0xaaa98000,0x1a880001,0x44002200,0x32ea0001,
    0x0dd800ab,0x40f75400,0xeec803e9,0xbb03eeee,0x1eea8001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0e6f65c4,0x1bdb9800,0xb9510000,
    0x0298159b,0xcdecb988,0x2a605c0b,0x2aaaaaaa,0x55555550,0x02aaaaa2,
    0xaaaaa880,0x220aaaaa,0x01aaaaaa,0x800e6dcc,0x221cddca,0x55553002,
    0xaaaa8835,0x20aaaaaa,0xa8800bc9,0xaaaa880a,0x002f261a,0x4417b951,
    0x2a29500d,0xaaaaaaaa,0x82b8000a,0x2aaaaa23,0x000aaaaa,0x01555551,
    0x8001a880,0x2aaa00a8,0x5540aaaa,0x555550aa,0xaaa88003,0x8aaaaaaa,
    0xaaaaaaa8,0x2f260aaa,0xa8000000,0x0000540b,0x55555553,0x55555555,
    0x51000555,0x3f6afee0,0xdb800dff,0xdffeceff,0xffc88003,0xdffdceff,
    0x7fe403da,0xefecabcf,0x7ecc0fbb,0x01beffff,0x25fffd53,0x03ffffb8,
    0x7fffe540,0x6d441aef,0x2a00aeff,0x01ffe9df,0xf957dfb1,0x26007b7d,
    0x444ffffb,0xffffffc9,0xffff109b,0x3f7fea03,0x3fee20df,0xffff13ff,
    0xf5bfd101,0x10efc1ff,0x3f2a27f5,0x0acfffff,0x3fffea00,0x32626aac,
    0x9bffffff,0xfff91000,0xffffd87f,0x03dfff95,0x403ffe60,0x0bfffffb,
    0xea877fdc,0x44005fff,0xffffffc9,0x3fff261c,0xf309cfff,0x00001fff,
    0x37fffa60,0x20000f9a,0xfffffca8,0xfffeeeff,0x7ffe46ff,0x8bffb16f,
    0x7ffe45fa,0x2b3fa205,0x077e5440,0xbefffa80,0x03fffb80,0x201bffd5,
    0xb00fffe9,0x2009ffff,0xffd80ef9,0xffd0003f,0x1fb005ff,0xf71ffa80,
    0x09ff10bf,0x8007ffb1,0x3604fffc,0xfb83ffff,0xffb83fff,0xfd09ffb0,
    0x3fff27ff,0xf2ffd83f,0x7ffe47ff,0xfd80ffff,0xf0003fff,0x7fffffff,
    0x0fffff60,0x3ffff800,0xedefffc8,0x800efffd,0x3203fffc,0x1b607fff,
    0x0017fff2,0x04ffffd8,0x217ffff6,0x003ffffc,0xffffb000,0x0000bfff,
    0x7ffff6fc,0x437fdc40,0xfe8efffb,0x3ffa0fff,0x0bfffea0,0x440037e6,
    0x7fdc01fd,0x7fcc01ff,0x06fffc83,0x2601ffb0,0x3006ffff,0x3fff603f,
    0xfffb0003,0x00d9005f,0x3fee1fff,0x007fec1f,0xfc8007fb,0x3ff204ff,
    0xfffa82ff,0x727fdc6f,0xffd83fff,0xdffff53f,0xf92fffb8,0xffffd81d,
    0xffff902f,0x95d30005,0x201fffff,0x002ffffc,0x20ffff60,0x363ffffb,
    0xfa803fff,0x3fe202ff,0xc87f02ff,0xcccefffd,0x7f664403,0xccccdfff,
    0xeffffdcc,0xffff50cc,0x3a00000d,0x1ffffeba,0xb1f30000,0x2601ffff,
    0xefffa86f,0x7c6ffddc,0x3ffe22ff,0xaa8de83f,0xd809aaaa,0xffff500e,
    0x50fe6005,0x2005ffff,0x3fa00fe8,0x5c801fff,0x00ffff60,0x0ffffe40,
    0x3ee02dc0,0x3fff31ff,0x2203ffc4,0x7fdc003e,0x3fff204f,0xdfbf702f,
    0x3e22ffe8,0x7ffec2ff,0x917f7f23,0x26005fff,0x3f200bec,0x98002fff,
    0x32015cc1,0x0002ffff,0x2e0ffff6,0x7fe46fff,0x07b7004f,0x10bfffb0,
    0xdfffb90f,0xc8807999,0xcdffffec,0xffdccccc,0x320ccdff,0x00005fdf,
    0x01dc4288,0x7ecfa000,0x1ae00fff,0x99bfffea,0x217ff40c,0x7643ffff,
    0xd97fff70,0x427443df,0x004ffff8,0xffff11ec,0x00f9800b,0x017fffea,
    0xfffd807e,0xfff90003,0x80b7003f,0x3ae2fffc,0x01fffcc3,0xff7000ee,
    0x7ffe409f,0x2a3e802f,0x275c1fff,0xf81fffec,0x017ffec3,0x7ffe4000,
    0x0000022f,0x0bffff20,0x3fffd800,0x5c5fffb8,0x00004fff,0x40ffffa8,
    0xbfff705b,0x7ffdc000,0x3ffea02f,0x002f803f,0x00000000,0xfffd9ae0,
    0x50d1140f,0x3005ffff,0xffff8879,0xfff0be20,0xa83ffe21,0x7fffe40f,
    0xf91d4002,0xb0003fff,0xffffe801,0xfb016e00,0x0054c7ff,0x00ffffe4,
    0x3ff602dc,0xfff9804f,0x300e203f,0x13ffee15,0x02ffffc8,0xfff907cc,
    0x7ffec003,0x7f40f983,0x800002ff,0xb52ffffc,0xf9000000,0x40005fff,
    0xfb83fffd,0x7ffdc5ff,0xff000004,0x702e85ff,0x0d44bfff,0x2ffffb80,
    0x0ffffea0,0x4c001f30,0x06a20001,0xd87e2000,0x22c0ffff,0x0ffffa83,
    0x3ffe6000,0x3fa07dc6,0x88fff60f,0x3fffe23f,0xf108000f,0x0001ffff,
    0xfffb8011,0xb007a04f,0xfff57fff,0x7fe401bf,0x05b801ff,0x802fffec,
    0x01efffff,0x3ffff220,0x204fffbb,0x402ffffc,0x1fffec6c,0x07fffb00,
    0x5fffd0bb,0xffffe980,0x3ffff203,0x26001eca,0x403ffffe,0x002ffffc,
    0x2affff60,0x717ffee0,0xff909fff,0xffffddff,0x97fff20f,0x3ffee079,
    0x03dfff95,0x02ffffb8,0x00ffffea,0x7fffe4bb,0x05ffff76,0x32bffffb,
    0x0001efff,0xffffb136,0x7d402cc1,0x6c0007ff,0x43740eff,0x3ffa0ffe,
    0xfff53742,0xf98000ff,0x00007fff,0x1ffffe20,0x7fec0354,0xfffcaeef,
    0xffff900e,0xc80b7003,0xfb006fff,0x03bfffff,0xd51bffb0,0x6409ffff,
    0x3602ffff,0x27ffec0e,0x47fffb00,0xffe80dd8,0xffff002f,0x7fffe407,
    0xff0000df,0xffc807ff,0x360002ff,0x7dc6efff,0x7ffdc5ff,0x7d42fc84,
    0xff303fff,0xb812e1ff,0xfdedefff,0x7fdc06ff,0x3fea02ff,0x0bb103ff,
    0xbdbdfff9,0xf901ffff,0xffbdbdff,0xf50001df,0x0ffffd81,0x3fea0176,
    0x3e20006f,0xe84f80df,0x0fff30ff,0x7fffdcf9,0x7fdc0006,0x000006ff,
    0x417fffe4,0xfffd802d,0x82fffd45,0x801ffffc,0xffee985b,0x01eeefff,
    0xffffffd1,0x3fee019f,0x3fffe21f,0x3ffff204,0x3f207b02,0x3f6006ff,
    0x407b13ff,0xb002fffe,0x7e407fff,0x40004fff,0x6403fffd,0x6cc2ffff,
    0x7ffec00c,0x45fffb85,0x3c84fffb,0x406fffe8,0x03d3fffe,0xb1ffffdc,
    0x7dc05fff,0x3ea02fff,0x3d883fff,0x49ffff50,0xfb84fffc,0x3ff63fff,
    0x82e8003f,0xd98ffffd,0xfffa805f,0x0ff20006,0xbffe82f8,0xf980dffc,
    0x09ffffb0,0xffffc800,0x4c000005,0x34c6ffff,0x83fffd80,0xfc80ffff,
    0x5b801fff,0xffffffa8,0x2601ffff,0xffffffff,0x37ffc41f,0x9027ffdc,
    0x0005ffff,0x005ffff7,0x800ffff6,0xb002fffe,0x7e407fff,0x40002fff,
    0x6403fffd,0x7f42ffff,0x7ffec04f,0x45fffb83,0x0c84fffb,0x00ffffdc,
    0x1e7bfff2,0xc8dfff70,0x3ee03fff,0xffffffff,0x3fffffff,0x7fffa800,
    0x5c2fffdc,0x7fe46fff,0x82e4004f,0xfffffffd,0xfffa805f,0x00fe0006,
    0xf5ffd05f,0x43ea01ff,0x005ffffd,0x2ffffe40,0x7f400000,0x00f61fff,
    0x741fffec,0xffc82fff,0x85b801ff,0xffffccc9,0x6c400ccd,0xffffffff,
    0x217ffe62,0x3204fffb,0x8002ffff,0x80fffff8,0x01fffec2,0x005fffd0,
    0xc80ffff6,0x0002ffff,0x201fffec,0x7c2ffffc,0x7fec04ff,0x5fffb83f,
    0x4027ffdc,0x984ffff8,0xffffa999,0x209999dd,0x7dc5fffb,0x3fee04ff,
    0x99999bff,0x03ffffb9,0x46fffa80,0xfb85fffb,0x7ffdc5ff,0x3bbe6004,
    0xffffeeee,0x805fea9f,0x0006fffa,0xd09d00b3,0x0bff71ff,0xffffc9f2,
    0x7fdc0006,0x332206ff,0x2ccccccc,0xaffffd40,0xffb000f8,0x9fffb07f,
    0x03ffff90,0xffd00b70,0xfd30003f,0x5cdfffff,0xffb85fff,0x3fff204f,
    0xff90002f,0x07663bff,0x4007fffb,0xb002fffe,0x3a207fff,0x0002ffff,
    0x201fffec,0x542ffffc,0x3ff200de,0xfffb83ff,0x02fffe46,0x407fffec,
    0xfffeeeee,0x1eeeeeff,0xf717ffee,0x7fdc09ff,0x3fea02ff,0xfa8003ff,
    0x7ffd46ff,0x45fffb85,0x2004fffb,0x999999be,0xd10ffffe,0xdfff500b,
    0x200e6000,0xd0ffe86d,0x5cbd03ff,0x0007ffff,0x03ffffcc,0x3ffffea2,
    0xfffd001e,0x6c00991f,0xffd83fff,0xffffc85f,0xb805b801,0x00400fff,
    0x3fffffd5,0x2e13fff2,0x3f204fff,0x82002fff,0xffffffe8,0x3fffd82f,
    0x0bfffa00,0x41fffec0,0x2ffffef9,0x3ff60200,0x7ffe403f,0x6d42002f,
    0xfc83fffd,0x7ffec7ff,0x7fffd406,0x3ffee003,0x5fffb807,0x7027ffdc,
    0x5405ffff,0x8003ffff,0x7d46fffa,0xfffb85ff,0x027ffdc5,0x7fec06b8,
    0x2016a0ff,0x0007fffb,0x81f50011,0xbff50ffe,0x3fe62f88,0x40000fff,
    0x800fffff,0x001ffffd,0x3f3fffee,0x3fff6000,0x83fffd83,0x801ffffc,
    0x7ff8805c,0x7dc02a80,0xfffb4fff,0x09fff709,0x017fffe4,0xfffc82b8,
    0xfffb02ef,0x7fff4007,0x7fffb002,0xfffcaf98,0xb035002f,0xfc807fff,
    0x57002fff,0x21fffec2,0x8efffffd,0x0efffffd,0x00dfffd0,0x806fffb8,
    0x7dc5fffb,0x3fee04ff,0x3fea02ff,0xfa8003ff,0x7ffd46ff,0x45fffb85,
    0x8804fffb,0x7ffec01f,0x4221620f,0x2efffffc,0x8fe00000,0x3fa2fff8,
    0x3f61ee3f,0x40002fff,0x801ffffd,0x001ffffd,0x17ffffe2,0x07fffb00,
    0xf503fffb,0x99003fff,0x0817fe00,0xfff500b5,0x213fff2b,0x3204fffb,
    0xd002ffff,0x2006dc03,0x2003fffd,0xb002fffe,0x90987fff,0x2005ffff,
    0x3fffd80d,0x17fffe40,0x7fec1e80,0x0003003f,0x807fffee,0xffdaaaaa,
    0x0aaaaaff,0xf717ffee,0x7fdc09ff,0x3fea02ff,0xfa8003ff,0x7ffd46ff,
    0x45fffb85,0xd804fffb,0xffffd804,0x980e4240,0x00310000,0x3bb66fea,
    0x5ddd34ee,0xfff507f7,0x208800df,0x803ffff8,0x000ffffd,0x00ffffe4,
    0x20ffff60,0xf980fffd,0x2e802fff,0x13ff36a0,0x800faa54,0xfff74ffe,
    0x09fff70b,0x017fffe4,0xfe8807cc,0x1fffec03,0x05fffd00,0x80ffff60,
    0x802ffffc,0xfffd80f8,0x7fffe403,0x6c0f9802,0xf9803fff,0xff1000df,
    0x664709ff,0xffffdccc,0x2e1ccccc,0x7fdc5fff,0x3ffee04f,0x3ffea02f,
    0xffa8003f,0x2fffd46f,0x2e2fffdc,0x75404fff,0xffffd800,0xff03c400,
    0x7fe4003d,0x007fb006,0x3f205fb8,0xf3003fff,0x07fffa81,0x00ffffd8,
    0x037ffcc0,0x41fffec0,0x3fe06fff,0x07d404ff,0xefffefe8,0x53fedccd,
    0x5ffb00bf,0x321fffe6,0x3f205fff,0x7d802fff,0x803ffa60,0x2003fffd,
    0xb002fffe,0x7e407fff,0x7d802fff,0x807fffb0,0x802ffffc,0x3fffd87d,
    0x03ffc880,0x81ffffb0,0x7ffdc058,0x5fffb807,0x7027ffdc,0x5405ffff,
    0x8003ffff,0x7d46fffa,0xfffb85ff,0x027ffdc5,0x3f6005d1,0x36400fff,
    0x200bff70,0x002ffff8,0x3ee007fb,0x7ffec00d,0x81fd401f,0x6c05fffb,
    0x8000ffff,0xd8002ffd,0x7fcc4fff,0x3fff200f,0x203f301f,0xffff50f9,
    0x2a3fffff,0x3fe203ff,0x31fffec5,0x640bffff,0x6c03ffff,0x0ffd406f,
    0x009fffb0,0x8017fffc,0x3204fffd,0x6403ffff,0x9fffb06f,0x3ffffc80,
    0x7ec37ec0,0x3fe003ff,0xffffa803,0x7e405d83,0xffb807ff,0x2fffe46f,
    0x07ffff90,0x01ffffdc,0x23fffd40,0xfb86fffb,0x7ffe46ff,0xe801f605,
    0x3600ffff,0x02fec05f,0x02ffff88,0x42b7fee0,0x003ffda8,0x873fffee,
    0x4c01edb9,0xd80bdffe,0x8000ffff,0xfb0006fa,0x7fec1fff,0xffffb801,
    0x03fca89b,0xffefd9a6,0x3ea4ffff,0x7ec40dff,0x7fff440e,0xffffdecb,
    0xffffe80b,0xeb99999e,0x3f6606ff,0x2ffff405,0x4ffff880,0x0bfffd00,
    0x4f7ffff4,0xffeb9999,0x0bfffd05,0x9effffe8,0xffeb9999,0x05ffff86,
    0xd006fb88,0x6d44dfff,0x7fff404f,0x7ffe401f,0x037ffec7,0x40bffffb,
    0x005ffffd,0x20ffffb8,0xfc87fffc,0x7ffec7ff,0x001ff906,0x39fffff1,
    0x9ffd9533,0x007fea20,0x8006ffc8,0xffffffc8,0xb88001cf,0xeffffffe,
    0x3fae000c,0xfffedeff,0x1f40001c,0xd89ed800,0x001dfedf,0x3fffffaa,
    0xffc802ef,0x9ffff73f,0xefdbaea8,0x2203ffec,0xfb8efffe,0xd930bcef,
    0xffffffff,0xbfffffff,0x980b3320,0x0dfffffe,0x3ffffb20,0xffd301df,
    0x3261bfff,0xfffffffe,0xffffffff,0x7ffff4c4,0x3fb260df,0xffffffff,
    0x25ffffff,0xdfffffe9,0x0159b500,0xffffff70,0x709fffff,0xffffffdb,
    0xffffb07b,0xffffb1df,0x3fb261df,0x8cefffff,0xfffffec8,0xfc801cef,
    0xfc8effff,0xfb0effff,0xfb1dffff,0x261dffff,0x40dffffe,0xffffedc9,
    0xffffffff,0xace883ff,0x00188000,0x01aaa980,0x2aa62000,0x53100001,
    0x00001355,0x1030000c,0x53000035,0xa8800355,0x44054c40,0x00d55440,
    0x00cc3510,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x26000000,0xaaaaaaaa,0x8800099a,0xaaa861a9,
    0xaaaaaaaa,0x0aaaaaaa,0x55544040,0x02aaaaaa,0xaaaaaa98,0x00099aaa,
    0x06aaaaa2,0x85302a20,0xaaaaaaa8,0xaaa982aa,0x0800aaaa,0xaaaaaa88,
    0x5554002a,0x510aaaaa,0x55555555,0x2aa20015,0xaaaaaaaa,0x55555510,
    0x55115555,0x55555555,0x2aaaaa21,0xaaaaaaaa,0x55512aaa,0x13555555,
    0xaaaaa880,0xaaaaaaaa,0x55441aaa,0x55541aaa,0x200001aa,0x416d4059,
    0x001aaaaa,0x01bdca80,0x0566e540,0x55555553,0x2aaa2055,0x555512aa,
    0xa8355555,0x10aaaaaa,0x55555555,0x40013355,0xaaaaaaaa,0xaaaaaaaa,
    0x310c40aa,0xddfffff9,0x0039dfff,0xfbffdfd3,0x777ffff4,0xfeefffff,
    0x12a02fff,0x3fffee62,0x98800aef,0xeefffffc,0x401cefff,0x03ffffb8,
    0xfb87ffc4,0x7ffdcc5f,0xa881bfff,0x802dffff,0xffb9884a,0x1001ffff,
    0x37ffffff,0x3fff2621,0x0009bfff,0xfffff731,0x7dcc437f,0x21bfffff,
    0xffffffb9,0x3fee609b,0xfeeeefff,0x2ea6ffff,0xffefffff,0xc9882eff,
    0xeeefffff,0x44fffffe,0x43ffffb8,0x005ffffa,0x207fea80,0x7541fffb,
    0x20005fff,0x5fffffe9,0xf9cfe980,0x3fff266f,0x7101bfff,0x2e25bffb,
    0xafffffff,0x6fffe540,0xfff9510a,0xfffdddff,0xffe801bf,0xffffeeff,
    0x2ffffeef,0x3f61bff2,0x3fa61fff,0x3fa00dff,0xdfe9fea3,0x13fffe60,
    0x3e205ff5,0x7fffec04,0xfffb0001,0x7fff4c3f,0x7fff400d,0x97ffd403,
    0xff907ffd,0xff9009ff,0x013e2005,0x0bfffffb,0x3fffff20,0x7fffec05,
    0x7fec0003,0x7fe403ff,0x3ff204ff,0x7fe404ff,0xdff703ff,0x23ffff90,
    0x00ffffc8,0x105ffff9,0x3fa09ffb,0xfffc83ff,0x3fae0005,0x3ffa07ff,
    0x5fffc84f,0xffff1000,0x440bffff,0xfff88fff,0x7ffffdc2,0x305f9800,
    0x80bfffff,0x7ff403ff,0x7ffdc0ff,0x833fa02f,0x544ffff9,0xffff12ff,
    0x1ffffc85,0x07ffff44,0x9f21ffcc,0xffff985e,0xfb02f984,0xffffc809,
    0xfff90000,0xfffe883f,0x3fff600f,0x50fff803,0x3fee0bff,0x77cc03ff,
    0x013f6000,0x1fffff99,0xffff7f00,0xffffc809,0x7fe40002,0x7fdc02ff,
    0x3fee03ff,0x7fdc03ff,0x1ba203ff,0xd07fffee,0xf701dfff,0x7d405fff,
    0x07fffb04,0x000bfff7,0xfffffdd7,0x417ffdc0,0x0005fffb,0xffffdffd,
    0x3ff205ff,0x3a0bfb0f,0xb804ffff,0x3fff200f,0x09f101ff,0x01ffffb0,
    0x205ffff5,0xffff985e,0xff32f984,0xfffc85ff,0xfffe881f,0x17ffe40e,
    0xff981e9a,0x905d04ff,0xffc809ff,0xf90000ff,0xfd103fff,0x3f201dff,
    0x0a8803ff,0xfff7014c,0x02fcc07f,0x7013ff20,0x07ffff99,0xffffaea8,
    0x7fffe404,0x7fdc0002,0x7fdc02ff,0x3fea02ff,0x7fdc03ff,0x435c03ff,
    0x541ffffa,0xfb83ffff,0x26c02fff,0xb83fffc8,0x08005fff,0x701ffff2,
    0x3ffee05b,0x21fa8005,0x04ffffea,0x2001fffd,0x00fffff9,0x3fa00be2,
    0x0bb06fff,0x03ffff20,0xe827fff4,0x4ffff980,0x37fec5d0,0x80ffffe4,
    0x5c4ffffa,0x5864ffff,0x09ffff30,0x9fffb0ae,0xeffffc80,0xc802bcce,
    0xf501ffff,0x3f209fff,0x000003ff,0x40ffffee,0x7ec003fa,0x465c04ff,
    0x7407ffff,0x04ffffaa,0x017fffe4,0x3fffee00,0x7fffdc02,0x3fffea02,
    0x7fffdc03,0x2a1a2083,0x7cc1ffff,0xffb85fff,0x9504c2ff,0x20ffff20,
    0x0005fffb,0x003fffd4,0x017ffee0,0x3fe20760,0xffff06ff,0x7ffec001,
    0x4017204f,0x44fffff9,0xff9000eb,0x3ff601ff,0x3e60b07f,0x85704fff,
    0xffff9029,0x3fffe203,0x3fffe20f,0xf98040ef,0x44204fff,0xfffffffe,
    0xbffffc86,0x01dfffcb,0x407ffff2,0x80fffff8,0x0003fffc,0x3fffee00,
    0x2001fc83,0xffffffe8,0xffb4b87f,0x55e605ff,0x6404ffff,0x0002ffff,
    0x017fffdc,0x80bfffee,0x403ffffa,0x583ffffb,0x7fffd414,0x2ffffcc1,
    0x217fffdc,0xffc8141d,0x5fffb83f,0x7ffd4000,0x7fdc0007,0x0006a25f,
    0xf04fffd8,0x4c001fff,0x880fffff,0x3ff2000f,0x01f51fff,0x07fffe40,
    0x81ffffd8,0x9ffff300,0xff900040,0x7fec03ff,0x7ffec3ff,0xf9801fff,
    0xa8804fff,0x2aadfffd,0x20ffffc8,0x902ffffa,0x6c03ffff,0xfc83ffff,
    0xfe9803ff,0x7dc03fff,0x3b623fff,0x7ed44000,0xb82aadff,0x0dffff34,
    0x7fffd4f2,0x7fffe404,0x7fdc0002,0x7fdc02ff,0x3fea02ff,0x7fdc03ff,
    0xa80783ff,0x7cc1ffff,0xffb82fff,0x800fc2ff,0xfb83fffc,0x3ff625ff,
    0xff500dff,0xfffd30ff,0xbfff707f,0x007bfff2,0xf07ffee0,0x3fffffff,
    0x3ffff200,0xe8004d85,0x1f9effff,0x7fffe400,0x0fffff00,0x4ffff980,
    0xfff90000,0x7ffe403f,0xffffd85f,0x7fcc00ff,0x3f2004ff,0x7fe404ff,
    0x7ffec0ff,0x3ffff906,0x2ffffe40,0x001fffe4,0xb807ffff,0xfd33ffff,
    0x7fe40001,0xfd25c04f,0x0f883fff,0x809ffff5,0x002ffffc,0x17fffdc0,
    0x0bfffee0,0x03ffffa8,0x21ffffdc,0xfffa807b,0x3fffe41f,0x22ffffb8,
    0xff9001f9,0xbfff707f,0xa801bf90,0x3fe07fff,0xfffb83ff,0x6fffdede,
    0x87ffc800,0xabffffaa,0xffff1000,0x8003543f,0x3ffffff9,0xffffc800,
    0x5ffff880,0x7fffcc00,0x26620004,0x99affffd,0x3fffee09,0xfffff706,
    0xfbaaa987,0xaaaadfff,0x09fff900,0x40ffffc8,0x311ffffb,0x35ffffb3,
    0x7ffdc133,0x3fffc86f,0x7fec17f6,0x7ffdc03f,0x04fffabf,0x13fff200,
    0x7ffd4970,0xff52dc4f,0xffc809ff,0x5c0002ff,0x5c02ffff,0x2a02ffff,
    0x5c03ffff,0xf713ffff,0xffff500f,0x1ffffd43,0x52ffffb8,0x3f2003ff,
    0xfffb83ff,0xf5005e85,0x7fec0fff,0xffffb83f,0x00bfff64,0x7c09fff0,
    0xb8000fff,0x0ba5ffff,0xffffb800,0xffc8001f,0x7ff440ff,0x7cc000ff,
    0x20004fff,0xfffffeea,0x3ee4eeee,0x982a7fff,0x7645fffe,0xfffffeee,
    0x4c41eeee,0x099cfffd,0x40ffffc8,0xd54ffffa,0xddfffffd,0x7ffdc9dd,
    0x3fffc87f,0xfb05fff5,0xffb807ff,0xfffffeff,0xfff90002,0x7fc4b809,
    0xa87a0fff,0x6404ffff,0x0002ffff,0x017fffdc,0x3fffffee,0xffffffff,
    0x7fdc03ff,0x7fffeeff,0xcffffa80,0x00dfffeb,0x3fbfffee,0xf9001fff,
    0xfff707ff,0x2a004d8b,0x3f607fff,0xfffb83ff,0x027ffe46,0x401dff30,
    0x8000ffff,0xcafffff8,0xffe80005,0xfc8006ff,0xecbabfff,0x8000cfff,
    0x004ffff9,0x3ff20371,0x3fee01ff,0xd112e6ff,0xff9809ff,0xffb804ff,
    0x86ffffff,0x540ffffc,0xfc83ffff,0x3ee01fff,0xffc86fff,0x03fff33f,
    0xb807fffb,0xffdeffff,0xc8001fff,0x25c04fff,0x4cfffff2,0x27fffd46,
    0x0bffff20,0xffff7000,0xffffb805,0xb999999b,0x5c03ffff,0xfdbcffff,
    0xfffa807f,0x01bceeef,0xbbffffb8,0xf9001ffd,0xfff707ff,0x2a002e4b,
    0x3f607fff,0xfffb83ff,0x027ffdc5,0xf803ff70,0x70000fff,0x03fdffff,
    0xffff1000,0xffc8009f,0xffffeeff,0x3e60000f,0xf8804fff,0x7fe40eff,
    0x3ff201ff,0x707ee5ff,0xff9805ff,0xd98804ff,0x8099cfff,0x640ffffc,
    0xfc81ffff,0x3f201fff,0xffc85fff,0x6c0b6a3f,0x7dc03fff,0xfffd3fff,
    0xfc8001df,0x225c04ff,0x7b6ffff8,0x04ffffa8,0x017fffe4,0x3fffee00,
    0x7fffdc02,0x3fffea02,0x7fffdc03,0x2a01fa23,0x0001ffff,0x645ffff7,
    0xfff9001f,0x2bfff707,0x7d4006fc,0x3ff607ff,0x5fffb83f,0x0027ffdc,
    0xfff007fd,0x7f40001f,0x00004fff,0x3ffffff5,0x7fffe400,0x3ffffe88,
    0x3ffe6000,0xfffb804f,0x7fffe42f,0x3ffff201,0xfd8bbee3,0x7ffcc00e,
    0x3ff2004f,0x7ffe404f,0x37fff40f,0x01ffffc8,0x20fffff2,0x2003fffc,
    0x5c03fffd,0xff13ffff,0xc800bfff,0x25c04fff,0x7dffffec,0x27fffd40,
    0x0bffff20,0xfffb8080,0x7ffdc02f,0x3ffea02f,0x7ffdc03f,0x5403cc3f,
    0x0001ffff,0xf85ffff7,0x7fff9001,0xfbbfff70,0x7d4009ff,0x3ff607ff,
    0x5fffb83f,0x8027ffdc,0xfff004fc,0x7dc0001f,0x80003fff,0xffffd9f8,
    0x3fff2006,0xfffff30f,0x3fe60003,0xffb804ff,0x7ffe45ff,0x3fff601f,
    0x3bf7aa2f,0xf9800dfe,0x32004fff,0x7e404fff,0xff910fff,0x3ff201bf,
    0x3ff601ff,0xfffc82ff,0x3fff6003,0x7fffdc03,0x3ffffea3,0x3fff2004,
    0x7cc25c04,0xfa84ffff,0x7e404fff,0x57002fff,0x05ffff70,0x02ffffb8,
    0x00ffffea,0xd07ffff7,0x3ffff500,0x3ffee000,0x40c0ec2f,0xfb83fffc,
    0xffffefff,0xffff5001,0x41fffec0,0x7dc5fffb,0x4fa804ff,0x03fffe00,
    0xffffa800,0x9f440003,0x04fffff8,0x41ffff90,0x00effffc,0x4ffff980,
    0x6fffd880,0x00ffffe4,0x088dffff,0xf98002f6,0x32004fff,0x7e404fff,
    0xffffefff,0x7ffe404f,0x3fffe01f,0x07fff906,0x01fffec0,0x70ffffee,
    0x005fffff,0x7013fff2,0x3ffffa09,0x4ffffa81,0x17fffe40,0xffb81e80,
    0x7fdc02ff,0x3fea02ff,0x7fdc03ff,0xa80483ff,0x0001ffff,0xb85ffff7,
    0xfffc8681,0xb6fffb83,0x2a00dfff,0x3f607fff,0xfffb83ff,0x027ffdc5,
    0xf83817e2,0x20000fff,0x003ffffa,0x3fea26c0,0xfc801fff,0x7ff40fff,
    0xf98004ff,0x42004fff,0x7fffe43f,0x5ffff501,0x000f7cc0,0x009ffff3,
    0x2027ffe4,0xaabffffc,0xfff90009,0x3ffea03f,0x7fff902f,0x1fffec00,
    0x0ffffee0,0x07fffff6,0x013fff20,0x3ffea097,0x9ffff505,0x2ffffc80,
    0xfb80f980,0x7dc02fff,0x3ea02fff,0x7dc03fff,0x50003fff,0x0003ffff,
    0x00bfffee,0x3fff21a6,0x15fffb83,0x5009ffff,0x7ec0ffff,0xfffb83ff,
    0x027ffdc5,0xf84c817a,0x20000fff,0x003ffffa,0x7fec1b20,0x7e400eff,
    0x7fc40fff,0x4c002fff,0x4004ffff,0x7ffe40f9,0xbfffd01f,0x006fea80,
    0x013fffe6,0x715fffb8,0x01ffff90,0x3ffff200,0x0bfffd01,0x001fffe4,
    0xb807fffb,0xe883ffff,0x400effff,0x0915fffb,0x17ffc097,0x04ffffa8,
    0x017fffe4,0xfffb83ec,0x7ffdc02f,0x3ffea02f,0x7ffdc03f,0xff50003f,
    0x2e0003ff,0x4402ffff,0x3fffc85e,0x2a5fffb8,0x5402ffff,0x3f607fff,
    0xfffb83ff,0x027ffdc5,0xfffffff9,0xffff05ff,0x7fd40001,0xf70003ff,
    0x3fffe201,0x7ffe404f,0xffffb80f,0x3fe6000f,0x364004ff,0x417fffe4,
    0x9004fffc,0x7fcc00df,0x3e2005ff,0xc80ddfff,0x0000ffff,0x905ffff9,
    0xfd809fff,0x3f6004ff,0x7fdc04ff,0xfff303ff,0x74401dff,0xc80ecfff,
    0xa81bf205,0x6404ffff,0x6c03ffff,0xffff906f,0xffffc807,0x3fffee03,
    0x7fffdc03,0xfff70003,0x3f20005f,0x3a203fff,0x4fffd83f,0x6c6fffb8,
    0x2a00ffff,0xfb00ffff,0xfff709ff,0x05fffc8d,0xfffffff7,0xfff03fff,
    0x7dc0003f,0xa8004fff,0x7ffdc03f,0x3ff602ff,0xfffb01ff,0x7fcc00df,
    0x3b2005ff,0xdffffe80,0x2effea99,0x03ffa880,0x3bfffee0,0x3ff66000,
    0xffffd01d,0x3ffa0005,0xfea99dff,0xffe802ef,0x3ffa005f,0x7ffec05f,
    0x3fffa05f,0x36600eff,0xff881dff,0x6407f101,0x7406ffff,0x999effff,
    0x06ffeb99,0x809ffffd,0x204ffffd,0x405ffffd,0x005ffffd,0x09ffffb0,
    0x3ffffa00,0xfca9999e,0xfffe82ff,0x47fffc85,0x205ffff8,0xd02ffffd,
    0xff90bfff,0x6fffd8ff,0xffffff98,0xf887ffff,0x20002fff,0x005ffffd,
    0x2201ffdc,0x01ffffff,0x207ffffd,0x04fffff8,0x0dffff70,0x64c19b10,
    0xfffffffe,0x2001bdef,0xb9001bcd,0x9dffffff,0xc9804005,0xdffffffe,
    0xffec9803,0xdeffffff,0xffe9801b,0x2600dfff,0x0dfffffe,0x3ffffb22,
    0x3f664eff,0xdfffffff,0xffc98000,0x40d82eff,0xfffffdc8,0xfd931cef,
    0xffffffff,0x4bffffff,0xfffffec9,0xfd930cef,0x19dfffff,0xfffffd91,
    0x3b2239df,0xceffffff,0x7ff64401,0x804effff,0xfffffec9,0xffffffff,
    0x3ffa61ff,0xffb0dfff,0x3f21dfff,0x951effff,0xbffffffd,0x3ffffa69,
    0xffffb0df,0xffffb1df,0x3ffe21df,0xffffffff,0x7ffff646,0xd95000df,
    0x9dffffff,0x7fffdc07,0xffec84df,0x935fffff,0xbffffffd,0xfffff509,
    0x3ff7203d,0x02ceffff,0x00000011,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x55554c00,0x099aaaaa,0x0f640000,0xaaaaaa88,0xaaaaaaaa,0x2aaaa21a,
    0x99aaaaaa,0x05100000,0xddddd100,0x4c05dddd,0xeeeeeeee,0xddddd01e,
    0x4c47dddd,0x99999999,0x22099999,0xeeeeeeee,0x77775c2e,0x0006eeee,
    0x551001a8,0x00a98000,0x80155300,0x4c004000,0x06a6001a,0x00000000,
    0x00001551,0x00000310,0x53100000,0x26a200c3,0x100aa880,0x00000001,
    0x05544030,0x01a8802e,0x44001353,0xefffffca,0x01cefffe,0x80ffdc00,
    0xeeeffffa,0xffffffee,0x3ffeea21,0xfffffeff,0x35c0003e,0x7fffcc00,
    0x202fffff,0xfffffff9,0xffff02ff,0x5c9fffff,0x99999999,0x23999999,
    0xfffffff8,0x7ffe43ff,0x407fffff,0x5ff901a9,0x000bf100,0x22002fc8,
    0x1dffeefc,0x5e544f98,0x7d413e60,0x2e01efcf,0x80cfedff,0x9dfffffc,
    0x3fffffe9,0xf509ffb1,0xd81bffbf,0xfd14ffff,0x9ff39fff,0x7fffffdc,
    0xb1bffa63,0x3a29ffff,0xe984ffff,0x707dffef,0x649fdbfb,0xfa84ffdf,
    0x0000001c,0xffa87ea8,0x85b9dfed,0xdfffedb8,0x3ffdfe98,0xffffe800,
    0x13fffa60,0x0fffcc00,0x880bffb8,0x204fffff,0x511ffffd,0x001bffff,
    0x1000bfa0,0x99999999,0x66644039,0x01cccccc,0x99999999,0x70001c59,
    0x66666644,0x66541ccc,0x04cccccc,0x19ddbff7,0x4401ffe4,0x7e40005f,
    0x41ff3002,0x7cc0fffc,0xfffffdcf,0xfc83ffbd,0xb03ff70f,0x077f45ff,
    0x107fffdc,0x7f09ffff,0x3f61ff70,0x4fffd84f,0x7d67fff4,0x7fffd47f,
    0xfb05f883,0xfffe89ff,0x3ea3fe84,0x3a2ffb87,0xfd15fdef,0xbefff98b,
    0x22000000,0x7e46fffc,0x03bff63f,0x7fdc1ff3,0xbff11fff,0xffffd800,
    0x77fff440,0x3ffa2000,0x405f901f,0x00effffc,0x307ffff2,0x000bffff,
    0x0000bff5,0x00000000,0x1c000700,0xb0000000,0x8fff45ff,0xf8802fe8,
    0x17e40005,0x2a1ffe80,0xff985fff,0xffca9adf,0x45ffa83f,0x3ffdc6ff,
    0x7f417fea,0x7ffdc3ff,0x7fdc3c46,0x907ffee4,0xffd89fff,0xfd0bf94f,
    0x01f30bff,0xfb13fff2,0x3ff989ff,0x1bfea3e4,0x5c3ffff5,0x7f5c42ff,
    0x00001cff,0x073fff6a,0x7dc1fff5,0x07ffc0ff,0xf913fffe,0x7fec003f,
    0xffe880ff,0x3ff6005f,0x407901ff,0x02fffff9,0x40ffffdc,0x000ffffe,
    0x000ffff4,0x00015530,0x06a60000,0x4070001c,0x800001a9,0x7fdc7ffb,
    0x1002fcdf,0xfc8000bf,0x5fff9802,0x741bffe6,0x81ff303f,0x7f43fff8,
    0x8bfff12f,0xfb83fff9,0x7ffec6ff,0x3fa12a1f,0x0bffe22f,0xfc89fff7,
    0x505dacff,0x0b70ffff,0x3227ffdc,0x7fe44fff,0xfff1342f,0x0ffff889,
    0xc981bfea,0x0002efff,0x17dffd71,0xf31fffa0,0x7ffcc9ff,0x21ffff44,
    0x36005ffb,0xf700ffff,0xd7007fff,0x3603ffff,0x3ffffa00,0xffffb805,
    0x2ffffc81,0x3fffe600,0x77e44004,0xfb01dffe,0x3fa29fff,0x3ea04fff,
    0x01c1efcf,0xbff70700,0x3a6019fd,0xf883ffff,0x7ffd45ff,0x05f88004,
    0x8017e400,0x3fe63ffe,0x405fb87f,0x7ffd43fa,0xfba7ff41,0x7ffcc4ff,
    0x1ffff885,0x49fffbd1,0x0fffd41d,0x3fee13ae,0x6fffe44f,0x3ffff801,
    0xfff700f4,0x44fffc89,0x864ffffb,0x7c43fffa,0x3ffd47ff,0x7fff5c40,
    0xffd9800c,0x7fd402df,0x3fffa26f,0x3a1fff47,0x7fd41fff,0x3fff6007,
    0xffff100f,0xfe9f980d,0x5c0501ff,0x800fffff,0xd81ffffb,0x2000ffff,
    0x00fffffd,0x7e41ff30,0xfffb00ff,0x04fffe89,0x3fee1ff9,0x438000e1,
    0x3bfa2ffd,0x0ffffe00,0xf313ffee,0xf1000bff,0x2fc8000b,0x6cc55100,
    0x1fd87fff,0x7fdc6f80,0xfffccccf,0x889fff95,0xffb07fff,0x3feb2a9f,
    0xff90d16f,0x7fdc003f,0x27ffe44f,0x26fffb80,0x7ffdc069,0x227ffe44,
    0x0efffff8,0x7c1fffe4,0xfcaaafff,0x36a000ff,0x5c42dfff,0x000cfffe,
    0x5ecbfff7,0x2e20ffff,0x5ffffdc2,0x0fffcaaa,0x1ffffb00,0x17ffff40,
    0x3fffa7d0,0x7ffc4001,0xff7003ff,0xffff03ff,0x7e7c400b,0xfd003fff,
    0x2fffd43f,0x6c4fffc8,0xffa84fff,0x00737fc5,0x8fff71c0,0x3f605ffa,
    0xfffc83ff,0x83fffc44,0xa9999998,0x999999ef,0x33333311,0x333337f9,
    0x33f66013,0x07e87fff,0x7fec1fb0,0xaaaaaabf,0x889fffb2,0xfa80ffff,
    0x3fe3b7ff,0xfd84b9ff,0x3ee003ff,0x7ffe44ff,0xffff1004,0xff700b23,
    0x4fffc89f,0xffffffd8,0x20ffffa1,0xccccffff,0x88000ccc,0xff36fffc,
    0xf90007df,0x7fd32bff,0x33ee01ff,0xcccdfffe,0xb000cccc,0x6c01ffff,
    0xb904ffff,0x000ffff4,0x01bffff6,0x41ffffb8,0x001ffffc,0x3fffe332,
    0x5fff9807,0x5c1bffe6,0x7fe44fff,0x1fffc44f,0x001cbffa,0x17ffe270,
    0x3607fff3,0xffd83fff,0x7fffc44f,0xfffffa80,0xffffffff,0xffffb7ff,
    0xffffffff,0xff909fff,0xb0ffff33,0x41fb001f,0xe802fffd,0x7fc43fff,
    0xffff00ff,0x67ffe4d7,0x4fffd81e,0x13ffee00,0x4009fff9,0x068dfffc,
    0x644fffb8,0xffb04fff,0x3fa1ffff,0xffff83ff,0x75400000,0xffd34fff,
    0xfc80019f,0x3fe5bdff,0x2ffa81ff,0x0005fffb,0x03ffff60,0x85ffffc8,
    0x3fffa0fa,0x3ffea001,0x3ee001ff,0xfebaafff,0x22000cff,0x5ffffb0f,
    0x4c7ffd00,0xff707fff,0x4fffc89f,0x3a0fffd4,0x400074ff,0x989fff73,
    0xffb05fff,0x7fffd07f,0x80ffff88,0xeeeeeeea,0xeeeeeeff,0xdddddd95,
    0xddddddfd,0x87ff4c7d,0xfb87fff9,0x7e45f801,0xffc804ff,0x3fffcc3f,
    0x47ffff90,0x906ffff9,0x5c00dfff,0x7fe44fff,0x3fe6004f,0xfb804cff,
    0x7ffe44ff,0x3fffee04,0x07fffb3f,0x0003ffff,0x7dfff910,0xbfffb501,
    0x3ffee005,0x43fffc6f,0x3ff21ffc,0xfb00004f,0x7e401fff,0x17c46fff,
    0x8007fffa,0x004ffffe,0x7fffffdc,0x001bffff,0xffff32dc,0x4c55100d,
    0xf707fffd,0xfffc89ff,0x667ffdc4,0x075fffcc,0xfffc9c00,0x83fffc44,
    0xfc83fffd,0x7ffcc3ff,0x05f88007,0x4017e400,0x3e65ffe8,0x06f887ff,
    0x3fee17e4,0xfffb806f,0x037ffcc4,0xe81ffff3,0xff703fff,0x3ee005ff,
    0x7ffe44ff,0x7fff4004,0xfffb800f,0x227ffe44,0x3fffa60a,0x887fff95,
    0x0004ffff,0x0b7fff66,0x7fffdc40,0x3ffea00b,0x1bffe20f,0xffb8bff9,
    0xfb00006f,0x7e401fff,0x42745fff,0x9001fffe,0x001fffff,0x89ffffb8,
    0x1effffb9,0xffe83d00,0x366001ff,0x707fffcf,0xffc89fff,0x5fffec4f,
    0x72aaaaaa,0xffd9c000,0x7fffc44f,0x83fffd80,0x7cc4fffb,0xf88006ff,
    0x17e40005,0x327ffd40,0x3f60ffff,0x40ffb80d,0x983ffff9,0xa89fff14,
    0x7f403fff,0x0fffb85f,0x1fffff10,0x5fffb850,0x0027ffec,0x4017ffea,
    0x7ec5fffb,0x2225c4ff,0xfff34ffe,0xfffff989,0xeb880c80,0x0000cfff,
    0x077fff6a,0x3e637ff4,0x3ffe24ff,0x1ffffcc4,0xffb000d8,0x7fe401ff,
    0x741b24ff,0xf9801fff,0x8002ffff,0x4c1ffffb,0x401ffffe,0xffffb86a,
    0x33ff9005,0x3ee0ffff,0x7ffe44ff,0x017ffec4,0x3a70001c,0x7fc43fff,
    0xfffd80ff,0x44fff883,0x8003fffa,0x640005f8,0xfffb802f,0x7ffffcbf,
    0x67fffd41,0x84fffecb,0x31dffffd,0x5c6ffc8b,0xffb807ff,0x406ff882,
    0x31dffffc,0x6fffa83b,0x013fffee,0x4007ffa0,0x3ee6fffa,0x0fdc4fff,
    0xffd8bfee,0x7ffffd45,0xc985913f,0x0002efff,0x77ffe440,0x83ffee0b,
    0x3ee0effa,0xff711fff,0x3623bfff,0x3fff6003,0x3fff600f,0x999bf33f,
    0x9bffff99,0x5ffffe80,0xfffb8180,0xffffa81f,0xff817406,0x3a600fff,
    0xffff30ff,0x913ffee0,0xffc89fff,0x0003804f,0x21fffe4e,0xfb07fff9,
    0x3ff207ff,0x003ffdc6,0x40005f88,0xff9802fc,0xffe9efff,0x97ff33ef,
    0xf5bfffff,0xfffe889f,0xfd80ffff,0x007bfa1f,0x7f403fe2,0x7fff4403,
    0xfd02ffff,0xffbddbff,0xdf7000bf,0xdfffe800,0x45fffded,0x3bf62efb,
    0xfd0ffec0,0xfdfffffd,0x1cfffa89,0xea800000,0x3ff7a7ff,0xf303ffa3,
    0x39ffffff,0xfdfffffd,0xfffd8009,0x3fffa00f,0xfffff31f,0xffffffff,
    0x3fffea01,0x5c34400f,0xf881ffff,0xf301ffff,0xffdddddd,0x3a209fff,
    0x3ffe65ff,0x89fff707,0x7dc4fffc,0x003806ff,0x27ffdce0,0x6c1bffe6,
    0x3f603fff,0x007bfa1f,0x0002fc40,0x7dc00bf2,0x3bfaa3ef,0xaa88ba23,
    0x2207a20a,0x01dffffd,0x37fb7fee,0xa8176000,0xfff9000f,0x7f4405df,
    0xffff95ff,0x03f8800b,0xaffff440,0x2a5ffffc,0x0dfeefde,0x9fdbff90,
    0x13bfffa2,0x00002faa,0x6df26000,0xbfddff53,0x3ffff203,0x3fff620d,
    0xfd8003ef,0xff100fff,0x7ffccdff,0xffffffff,0xfff880ff,0x85b803ff,
    0xf01ffffb,0x3605ffff,0x9999999b,0xa80fffff,0x3fe64fff,0xbfff707f,
    0x4c4fffd8,0x4983ffff,0xf89c0007,0x7ffd44ff,0x07fffb03,0xdfedffb8,
    0x17e20000,0x3fffff60,0xffffffff,0x020084ff,0x29800000,0x000d4c00,
    0x00a20098,0x98002a60,0xa800000a,0x01530000,0x01530440,0x22026a20,
    0x0000200a,0x80840000,0x351001a9,0x00015300,0x807fffec,0x221ffffb,
    0xfaaaaaaa,0xf902bfff,0x3a00dfff,0x1ffffb84,0x0fffff88,0x7ec00f98,
    0xffb83fff,0xffffcbff,0x6fffa817,0x213fffee,0x31dffffd,0x470001cb,
    0x7fdc6ffc,0x13fff607,0x0000d440,0xfd805f88,0xffffffff,0x04ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x07fffec0,0x004ffff8,0x980ffff4,0x801fffff,
    0xfffb83fb,0xffffa81f,0xf3009b06,0xff30dfff,0xffd3dfff,0xfffd07df,
    0xbfffbdbb,0xfffffd10,0x0001c1ff,0x3a1ffd87,0x3ffa01ef,0x0000005f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffffe800,0x03fffd81,0x01fffe80,
    0x80bffffd,0xfc82ffd8,0x7fc41fff,0x2f980fff,0x7ffffd00,0x547dff70,
    0xfd103efe,0x3fff2bff,0xfffd885f,0x0001c1df,0xfdbff707,0x3ffa601b,
    0x0000dfff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xff100000,0xd5339fff,
    0x20003dff,0xfb81fffe,0x999affff,0xffffba99,0xdffffe81,0xdffffb99,
    0x005fe981,0x01fffffb,0x53000802,0x02980001,0x2aaaaab2,0xaaaaaaaa,
    0x0006a603,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3fffb2a0,
    0xbdefffff,0x7ff40000,0x7fffc41f,0xffffffff,0x31ffffff,0xffffffd9,
    0x039bdfff,0x13bffff2,0x7ffffee4,0x000004ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00031000,0x51000000,0x00000003,0xa9800288,0x00015300,
    0xa80d8800,0x9800a805,0x00393000,0x02c825c0,0x6cc00b22,0x00acb880,
    0x20017951,0x32a2004c,0x179300ac,0xb881cb88,0x00b32a00,0x99307995,
    0x99999999,0x4c999999,0xcccccccc,0x4ccccccc,0x10100000,0x0de4c057,
    0x20ae2380,0x0001a828,0x00000000,0x00000000,0x80000000,0x3fa66ffc,
    0xffc83fff,0xffffeeff,0x57ffff67,0x881efffc,0x9dfffffe,0xf90efffb,
    0x3f62dfff,0x3ffff25f,0x49ffff76,0xc85ffffa,0xb1efffff,0xd81bffff,
    0x2a05f80e,0x3be600ef,0x006ff800,0x1f905f50,0x8807fec0,0x7cc1ffeb,
    0x7cc0ffff,0x5401ffff,0xfe8801ff,0xff81ffff,0x23ffec5f,0x7d44fffa,
    0x3f60bfb0,0x3ea0ee89,0xffffffff,0x27ffffff,0xfffffffa,0xffffffff,
    0x07fffa27,0xb307fffe,0x445fff88,0x0beffffd,0x3ffe2b50,0xfc9bfe65,
    0x0000003f,0x00000000,0x00000000,0x3fe20000,0x7fffc2ff,0x7d42fc83,
    0x7fe43fff,0xfffdedef,0xffff900e,0x7dc0fe43,0xfffe8eff,0x3bfff20f,
    0xaffffced,0x4fffecfb,0xc87fffc8,0x0df300ef,0x3fa209f7,0x03ff980e,
    0x5000bfb0,0x809f70df,0xd3500ffd,0xeace83ff,0x22ba24ff,0x7f404ffc,
    0x77f4406f,0x261ffeab,0x3fe27fff,0x3fffa1ff,0x7dcffe0f,0xf937d40f,
    0x5555544b,0xaaaaaaaa,0x2aaa22aa,0xaaaaaaaa,0x7447faaa,0x7ffd43ff,
    0xf71ff441,0x6fec1fff,0x2dffffec,0x7ffdcfaa,0x21fff70f,0x00005fff,
    0x00000000,0x00000000,0x22000000,0x7ec2ffff,0xe83c83ff,0xffb86fff,
    0x3fff63ff,0x97fffa03,0xdfff502e,0xa8dffbb9,0x3ea5ffff,0xff10efff,
    0xdfff70ff,0xbfb00bd0,0x3a209ff0,0x0ffe60df,0xf3000300,0x40ffa83f,
    0x2897ea28,0x8621ffd8,0x3e205ff9,0x3f7ee02f,0x213f202f,0x3ffe65fb,
    0xb07fffc6,0x6dc7ffff,0xfd81ff91,0x0003fee5,0xfd000000,0xfc8dfd10,
    0x27fe981f,0xf10ffffa,0xfffeb883,0x3fea6fff,0x4dff30ff,0x00003ffc,
    0x00000000,0x00000000,0x6c000000,0xfffd87ff,0x7fdc0c83,0xfffb81ff,
    0x027ffe46,0x993ffff5,0x37fffd40,0xfffa8193,0x07fffc46,0xf503fffe,
    0x005c8bff,0xffb8bff3,0x26bfd103,0x000003ff,0x7d45ff98,0x8f7fc43f,
    0xd85ff92e,0x3fe201ff,0x8813f202,0x207fb9ff,0x47f881fe,0x7fec5fff,
    0x1ffff4c6,0x20ffef5c,0x0bfee5ff,0x00000000,0x87fa20fd,0x3fea02ff,
    0x598fffa0,0x5f7fed40,0x221ffec0,0x00001982,0x00000000,0x00000000,
    0x30000000,0x0ffff605,0x13fffe20,0x2e2fffdc,0x7f404fff,0x7d406eff,
    0xfa802fff,0x7ffc46ff,0x40ffff87,0x1725fffa,0xe89ffb00,0xdfd102ff,
    0x266207ff,0x99999999,0x22099999,0x3fe61fff,0x7fffc40f,0x2fffd9da,
    0xf700ffec,0x3fffa60d,0x7f49f903,0x7f40ff03,0xf70fff61,0x87e6209f,
    0x1ffb8ee9,0x3ff72ff4,0x33333326,0xcccccccc,0xfd00004c,0x2f99fc40,
    0x2617f660,0x01000440,0x00000098,0x00000000,0x00000000,0x00000000,
    0x3fffd800,0x0ffffd80,0xb8bfff70,0x7cc04fff,0x7d403fff,0xfa800fff,
    0x7ffc46ff,0x41ffff87,0xdf95fffa,0x7ffcc001,0x40bffee3,0x3603ffe8,
    0xffffffff,0x4fffffff,0x7ccbffd1,0x999303ff,0x05999bf9,0x77403ffb,
    0x3fff6600,0xf507fcc0,0x103fd01f,0x41ffb8ff,0x1ae02ff9,0x07fee7fd,
    0x87fe4df7,0xfffffffa,0xffffffff,0x0fd00007,0x64011088,0x000002bc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fffd800,0x1ffffd40,
    0xb8bfff70,0xfd804fff,0x7fd406ff,0xfff5007f,0x87fff88d,0x7d41ffff,
    0x4fffceff,0x8fffe200,0xf302fffa,0x3b201dff,0xeeeeeeee,0x13eeeeee,
    0x7fccbffd,0xebd8803f,0x80ffec00,0xfc8020ec,0x6c1fec1f,0xc85fc84f,
    0xf83fcc5f,0xf98fa00f,0x0affecef,0x23fd9fe2,0x99999998,0x99999999,
    0x03100001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fec0000,0x7fff403f,0x2fffdc06,0x2013ffee,0x202ffff9,0x5006fffa,
    0xff88dfff,0x1ffff87f,0x7f7fffd4,0xf9002fff,0x03ffe89f,0x1dfd7ff3,
    0xe8800000,0x3ffe61ff,0x7e5fea00,0x207ff603,0x02d999eb,0x0df51fe6,
    0xff107fe6,0x01fff79f,0x441b60bf,0x8aefc85d,0xcde981ee,0x0000002f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x407fffb0,0x401ffffb,0x7dc5fffb,0xff8804ff,0x3fea06ff,0xfff5006f,
    0x87fff88d,0x7d41ffff,0xffff96ff,0x45ff8801,0xff303ffa,0x0037fa27,
    0xdff30000,0xf304ffa8,0x413feabf,0x7fdc1ffd,0x7f70ffff,0x0bfa17cc,
    0xfe985fc8,0x5b01efff,0x0fa612e0,0x44020000,0xcccccccc,0xdddddd31,
    0xdddddddd,0x2aaaa27d,0xaaaaaaaa,0x00001aaa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x17500000,0x207fffb0,0x384ffff8,0x2e2fffdc,
    0xcc804fff,0xf503ffff,0x3ea00dff,0x7ffc46ff,0x41ffff87,0xfd15fffa,
    0x5fd80bff,0xff304fe8,0x005fe887,0xf300076a,0x80ffa85f,0x1bfe2ffb,
    0x25bfff93,0x6ffffffa,0x0bb7ffea,0xff880df7,0x80577502,0x00202200,
    0x3e600000,0x3fffffff,0xfffffff3,0xffffffff,0x3ffffe69,0xffffffff,
    0x000004ff,0x00000000,0x00000000,0x00000000,0x00000000,0xfffe8000,
    0x81fffec0,0x440ffffd,0x22fffdc5,0x5404fffb,0x01ffff95,0x200dfff5,
    0x7c46fffa,0xffff87ff,0x32fffd41,0x2605ffff,0x304fa86f,0x3fa207ff,
    0x00dff005,0x9f70df50,0x1da87910,0x4c400000,0x00000000,0x00000000,
    0xfff30000,0x447fffff,0x88888888,0x22088888,0xcccccccc,0x2ccccccc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x21ffffcc,
    0xfa84fffd,0x45d83fff,0x7e46fffb,0x43e205ff,0xa84ffff8,0xf5006fff,
    0xfff88fff,0x17fffc0f,0xf91bffea,0x1db01fff,0x1f440bd0,0x6c017a20,
    0x5f50004f,0x00001f90,0x00000000,0x00000000,0x00000000,0xbbbbbb88,
    0x000001bb,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fc40000,0x7fff42ff,0x26fffe85,0x7e44fda8,0x7ffec7ff,0xfd8dd106,
    0x7fdc1fff,0xfff7007f,0x7fffd41f,0x0ffffe21,0xf88ffff9,0x06c46fff,
    0x800402d4,0x00004000,0x0016412e,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xc8000000,0x3ffa66ff,0xff70dfff,0xffffffff,0x7fffec9f,0xffffd8ef,
    0xfffb10ef,0xfffff919,0x3ffff29f,0x3ff202ef,0xffa9efff,0xff9affff,
    0xffb3ffff,0x3f23dfff,0x001fffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x00000018,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__times_bold_34_latin_ext_x[560]={ 0,2,2,0,1,2,1,2,1,0,1,0,0,0,
1,0,1,2,0,0,0,1,1,1,1,0,2,2,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,0,1,0,1,1,0,0,0,0,0,0,3,0,1,2,-1,0,1,0,1,1,1,0,1,1,0,
-1,1,0,1,1,1,0,1,1,1,0,0,0,0,0,0,0,2,2,1,0,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,2,1,0,0,0,
2,1,0,0,0,0,0,0,0,-1,0,0,0,0,3,1,0,1,2,1,0,0,1,1,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,2,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,1,1,1,1,1,1,1,0,1,0,0,0,0,0,0,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,1,0,1,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-1,0,1,1,0,0,0,
0,0,0,0,0,0,0,0,1,0,1,0,1,2,0,1,1,1,1,1,1,1,1,1,0,1,0,1,0,1,
1,1,1,1,1,1,1,1,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,
0,0,0,0,0,0,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,-1,4,4,4,
4,4,4,4,4,4,4,4,4,4,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,0,0,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,1,0,-1,1,
1,0,0,0,0,0,0,0,0,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,0,1,-1,1,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__times_bold_34_latin_ext_y[560]={ 27,6,6,6,6,6,6,6,6,6,6,8,22,18,
22,6,6,6,6,6,6,6,6,6,6,6,12,12,9,13,9,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,31,5,12,6,12,6,12,6,12,6,6,
6,6,6,12,12,12,12,12,12,12,7,12,12,12,12,12,12,6,6,6,16,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,27,12,6,6,9,6,
6,6,6,6,6,13,13,18,6,3,6,8,6,6,5,12,6,14,26,6,6,13,6,6,6,12,-1,-1,-1,0,
0,1,6,6,-1,-1,-1,0,-1,-1,-1,0,6,0,-1,-1,-1,0,0,10,5,-1,-1,-1,0,-1,6,6,5,5,
5,6,6,5,12,12,5,5,5,6,5,5,5,6,6,6,5,5,5,6,6,10,12,5,5,5,6,5,6,6,
1,8,0,6,6,12,-1,5,-1,5,0,6,-1,5,-1,6,6,6,1,8,-1,6,0,6,6,12,-1,5,-1,5,
0,6,0,6,6,5,-1,-1,6,6,0,6,1,8,-1,6,6,6,0,12,6,6,-1,5,6,6,12,-1,-1,6,
6,6,6,6,6,6,6,-1,5,6,12,-1,5,6,6,12,1,8,-1,6,-1,5,6,12,-1,5,6,12,-1,5,
-1,5,-1,5,6,12,-1,5,6,7,-1,6,6,7,0,6,1,8,-1,6,-1,5,-1,5,6,12,-1,5,-1,5,
0,-1,5,0,6,-1,5,6,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,6,7,7,6,7,7,7,
7,7,7,7,7,7,7,7,7,7,4,11,7,7,7,7,7,7,7,7,7,7,7,7,7,2,12,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,-1,5,-1,5,-1,
5,-1,5,-1,3,-1,1,-1,0,-1,1,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,-5,-1,-1,5,-1,5,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7, };
static unsigned short stb__times_bold_34_latin_ext_w[560]={ 0,6,13,15,14,27,24,5,9,10,13,17,7,10,
6,9,14,11,14,14,15,14,14,14,14,15,6,6,17,18,17,13,27,22,20,20,21,20,18,23,24,12,16,25,
20,29,22,22,18,22,23,15,19,22,22,31,22,22,20,7,9,7,14,17,7,14,16,12,16,12,13,14,16,9,
9,17,9,24,16,14,16,16,13,10,10,17,16,22,15,16,14,9,3,9,17,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,6,13,15,16,16,
3,13,10,23,10,15,18,10,23,17,12,17,9,9,7,17,17,6,6,7,10,15,22,22,23,13,22,22,22,22,
22,22,31,20,20,20,20,20,12,12,12,12,22,22,22,22,22,22,22,14,22,22,22,22,22,22,18,16,14,14,
14,14,14,14,21,12,12,12,12,12,10,9,11,11,14,16,14,14,14,14,14,17,14,17,17,17,17,16,16,16,
22,14,22,14,22,15,20,12,20,12,20,12,20,12,21,22,22,16,20,12,20,12,20,12,20,12,20,12,23,14,
23,14,23,14,23,14,24,16,24,16,12,11,12,11,12,10,12,9,12,9,26,15,16,11,25,17,17,20,9,20,
9,20,14,20,13,20,9,22,16,22,16,22,16,23,23,14,22,14,22,14,22,14,29,21,23,13,23,13,23,13,
15,10,15,10,15,10,15,10,19,10,19,16,19,10,22,17,22,17,22,17,22,17,22,17,22,16,31,22,22,16,
22,20,14,20,14,20,14,12,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,21,16,16,17,16,16,16,
16,16,16,16,16,16,16,16,16,16,24,17,16,16,16,16,16,16,16,16,16,16,16,16,16,26,20,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,22,14,12,11,22,
14,22,17,22,17,22,17,22,17,22,17,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,22,14,31,21,22,14,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16, };
static unsigned short stb__times_bold_34_latin_ext_h[560]={ 0,22,11,22,24,22,22,11,28,28,12,17,11,4,
6,22,22,21,21,22,21,22,22,22,22,22,16,21,16,8,16,22,28,21,21,22,21,21,21,22,21,21,22,21,
21,21,22,22,21,27,21,22,21,22,22,22,21,21,21,27,22,27,12,3,7,16,22,16,22,16,21,22,21,21,
28,21,21,15,15,16,22,22,15,16,21,16,16,16,15,22,15,28,28,28,6,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,22,27,22,16,21,
28,28,5,22,10,14,8,4,22,3,11,17,12,12,7,22,28,6,7,12,10,14,22,22,22,22,28,28,28,27,
27,26,21,27,28,28,28,27,28,28,28,27,21,28,29,29,29,28,28,14,24,29,29,29,28,28,21,22,23,23,
23,22,22,23,16,21,23,23,23,22,22,22,22,21,22,21,23,23,23,22,22,14,16,23,23,23,22,29,28,28,
26,20,27,22,28,22,29,23,29,23,28,22,29,23,28,22,21,22,26,20,28,22,27,22,28,22,28,23,29,29,
28,28,28,28,27,29,28,28,21,21,27,21,26,19,28,21,28,28,27,15,22,28,29,29,27,27,15,28,28,27,
27,21,21,21,21,21,21,29,22,27,21,29,22,21,22,22,27,20,29,22,29,23,22,16,28,22,27,21,28,22,
29,23,29,23,27,21,29,23,29,28,28,22,21,21,28,22,27,20,29,22,29,23,29,23,28,22,29,23,28,29,
27,28,22,27,21,28,22,21,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,22,20,20,28,20,20,20,
20,20,20,20,20,20,20,20,20,20,24,17,20,20,20,20,20,20,20,20,20,20,20,20,20,26,16,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,28,23,28,22,29,
23,29,23,29,25,29,27,29,28,29,27,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,32,29,28,23,30,23,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20, };
static unsigned short stb__times_bold_34_latin_ext_s[560]={ 511,353,361,487,494,265,1,506,304,499,291,
212,375,405,466,18,78,347,386,57,23,308,377,163,293,28,104,505,451,405,433,
1,24,81,60,39,1,298,260,60,235,222,344,134,201,171,271,231,279,314,461,
163,485,124,84,395,438,415,39,105,385,266,333,434,443,248,107,331,179,280,401,
294,369,359,38,329,319,183,136,293,254,360,169,400,160,382,365,308,153,309,121,
48,180,324,473,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,511,503,22,
147,263,365,508,1,498,361,383,275,424,405,15,416,348,230,313,323,451,326,481,
491,459,305,394,226,488,465,441,427,95,234,201,168,204,321,465,1,413,392,347,
147,143,482,495,493,85,113,47,70,129,157,201,242,446,213,259,305,239,277,66,
392,190,205,292,338,323,387,484,217,279,307,320,211,200,190,178,122,148,448,32,
47,117,201,186,257,469,220,369,333,473,351,434,451,405,104,405,216,1,224,391,
266,429,238,52,252,108,177,73,464,1,44,384,137,136,110,245,173,156,44,461,
1,1,496,177,262,58,224,297,175,118,184,399,382,191,290,344,182,334,258,468,
224,59,111,437,257,412,81,446,428,208,273,294,472,72,196,230,302,108,269,323,
93,93,274,333,139,1,424,72,491,36,167,450,458,25,413,118,411,368,409,360,
497,300,423,48,402,233,143,131,24,185,132,249,102,82,138,35,55,15,155,337,
119,162,26,473,14,116,62,347,61,201,154,370,64,82,326,443,384,350,305,123,
245,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,96,150,150,443,
150,150,150,150,150,150,150,150,150,150,150,150,150,469,194,150,150,150,150,150,
150,150,150,150,150,150,150,150,357,344,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,269,251,
292,240,368,428,328,351,282,428,236,113,190,425,152,227,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,1,93,393,95,24,80,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150, };
static unsigned short stb__times_bold_34_latin_ext_t[560]={ 1,174,286,174,122,174,174,93,93,64,286,
265,286,295,286,197,197,243,243,174,265,174,174,174,174,197,286,243,265,286,265,
220,93,265,265,220,265,243,243,220,243,243,197,243,243,243,197,197,243,93,243,
220,243,220,220,197,243,243,265,122,197,122,286,295,286,265,220,265,220,265,243,
197,243,243,64,243,243,286,286,265,197,174,286,265,243,265,265,265,286,197,286,
64,64,64,286,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,
265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,1,174,122,
220,265,220,34,64,286,197,286,286,286,295,220,295,286,265,286,286,286,197,64,
286,286,286,286,286,197,197,197,197,93,93,93,122,122,122,220,122,64,64,64,
122,93,34,34,93,243,64,1,1,1,64,64,286,122,1,1,1,64,64,243,
174,150,150,150,174,174,150,265,220,150,150,150,174,174,174,174,243,174,220,150,
150,150,197,197,286,265,150,150,150,150,1,64,64,122,265,93,197,93,174,1,
150,1,150,93,174,1,150,93,174,243,197,122,265,64,197,122,197,93,174,34,
150,34,1,93,64,64,64,122,1,93,64,220,220,122,220,122,265,64,220,64,
93,122,286,174,93,1,34,93,93,286,93,93,93,122,220,220,220,243,220,220,
34,197,122,220,34,197,220,174,150,122,265,1,150,34,150,174,265,64,174,93,
220,64,174,34,150,34,150,122,243,34,150,34,64,64,197,243,243,64,197,93,
265,34,174,1,150,34,150,34,197,34,150,34,34,122,34,150,93,220,34,197,
220,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,174,265,265,34,
265,265,265,265,265,265,265,265,265,265,265,265,265,122,265,265,265,265,265,265,
265,265,265,265,265,265,265,265,122,265,265,265,265,265,265,265,265,265,265,265,
265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,34,150,
34,174,1,150,1,150,1,122,1,122,1,34,1,122,265,265,265,265,265,265,
265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,
265,265,265,1,1,34,150,1,150,265,265,265,265,265,265,265,265,265,265,265,
265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,
265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,
265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,265,
265,265,265,265,265,265,265,265,265, };
static unsigned short stb__times_bold_34_latin_ext_a[560]={ 123,164,273,246,246,491,409,136,
164,164,246,280,123,164,123,136,246,246,246,246,246,246,246,246,
246,246,164,164,280,280,280,246,457,355,328,355,355,328,300,382,
382,191,246,382,328,464,355,382,300,382,355,273,328,355,355,491,
355,355,328,164,136,164,285,246,164,246,273,218,273,218,164,246,
273,136,164,273,136,409,273,246,273,273,218,191,164,273,246,355,
246,246,218,194,108,194,255,382,382,382,382,382,382,382,382,382,
382,382,382,382,382,382,382,382,382,382,382,382,382,382,382,382,
382,382,382,382,382,382,382,382,123,164,246,246,246,246,108,246,
164,367,147,246,280,164,367,246,196,270,147,147,164,283,265,123,
164,147,162,246,368,368,368,246,355,355,355,355,355,355,491,355,
328,328,328,328,191,191,191,191,355,355,382,382,382,382,382,280,
382,355,355,355,355,355,300,273,246,246,246,246,246,246,355,218,
218,218,218,218,136,136,136,136,246,273,246,246,246,246,246,270,
246,273,273,273,273,246,273,246,355,246,355,246,355,246,355,218,
355,218,355,218,355,218,355,360,355,273,328,218,328,218,328,218,
328,218,328,218,382,246,382,246,382,246,382,246,382,273,382,273,
191,136,191,136,191,136,191,136,191,136,404,271,246,164,382,273,
273,328,136,328,136,328,230,328,194,328,136,355,273,355,273,355,
273,358,378,273,382,246,382,246,382,246,491,355,355,218,355,218,
355,218,273,191,273,191,273,191,273,191,328,164,328,256,328,164,
355,273,355,273,355,273,355,273,355,273,355,273,491,355,355,246,
355,328,218,328,218,328,218,136,382,382,382,382,382,382,382,382,
382,382,382,382,382,382,382,363,382,382,246,382,382,382,382,382,
382,382,382,382,382,382,382,382,382,272,382,382,382,382,382,382,
382,382,382,382,382,382,382,391,295,382,382,382,382,382,382,382,
382,382,382,382,382,382,382,382,382,382,382,382,382,382,382,382,
382,382,382,382,382,355,246,191,136,382,246,355,273,355,273,355,
273,355,273,355,273,382,382,382,382,382,382,382,382,382,382,382,
382,382,382,382,382,382,382,382,382,382,382,382,382,382,382,382,
382,382,355,246,491,355,382,246,382,382,382,382,382,382,382,382,
382,382,382,382,382,382,382,382,382,382,382,382,382,382,382,382,
382,382,382,382,382,382,382,382,382,382,382,382,382,382,382,382,
382,382,382,382,382,382,382,382,382,382,382,382,382,382,382,382,
382,382,382,382,382,382,382,382,382,382,382,382,382,382,382,382,
382,382,382,382,382,382,382,382, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_34_latin_ext_BITMAP_HEIGHT or STB_FONT_times_bold_34_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_34_latin_ext(stb_fontchar font[STB_FONT_times_bold_34_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_34_latin_ext_BITMAP_HEIGHT][STB_FONT_times_bold_34_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_34_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_34_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_34_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_34_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_34_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_34_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_34_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_34_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_34_latin_ext_s[i] + stb__times_bold_34_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_34_latin_ext_t[i] + stb__times_bold_34_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_34_latin_ext_x[i];
            font[i].y0 = stb__times_bold_34_latin_ext_y[i];
            font[i].x1 = stb__times_bold_34_latin_ext_x[i] + stb__times_bold_34_latin_ext_w[i];
            font[i].y1 = stb__times_bold_34_latin_ext_y[i] + stb__times_bold_34_latin_ext_h[i];
            font[i].advance_int = (stb__times_bold_34_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_34_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_34_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_34_latin_ext_s[i] + stb__times_bold_34_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_34_latin_ext_t[i] + stb__times_bold_34_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_34_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_34_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_34_latin_ext_x[i] + stb__times_bold_34_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_34_latin_ext_y[i] + stb__times_bold_34_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_bold_34_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_34_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_34_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_34_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_34_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_34_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_34_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_34_latin_ext_LINE_SPACING
#endif

