// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_39_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_39_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_39_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_bold_39_latin_ext_BITMAP_HEIGHT        392
#define STB_FONT_times_bold_39_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_bold_39_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_bold_39_latin_ext_NUM_CHARS            560

#define STB_FONT_times_bold_39_latin_ext_LINE_SPACING          25

static unsigned int stb__times_bold_39_latin_ext_pixels[]={
    0x26666000,0x4c400000,0x00000099,0x00599993,0x00ccc400,0x00099980,
    0x09998000,0x00000000,0x3eeeb800,0x55300000,0x22000015,0x80004ccc,
    0x0000a80a,0x02cccc98,0x26666000,0x2aa60001,0x002aaaaa,0x00099980,
    0x2a006440,0x33300001,0x03a80033,0x8000014c,0x00000999,0x002aaa80,
    0x03331000,0x0005e980,0x00bfffee,0xdfffb000,0x3f200000,0x00000eff,
    0x0013fffa,0x001ffff5,0x7ffe4000,0x4c000006,0xf100001c,0x0001ffff,
    0x00fff200,0x7fffe400,0x6fdc0002,0x00005ea9,0x000bfffb,0x17fffd40,
    0xffff9000,0x8000ffff,0x000ffffa,0x6c40fec0,0xfa80000f,0x4c003fff,
    0x00bf505f,0xffff7000,0x44000001,0x00001eff,0x04ffff88,0x8001fe60,
    0x0002fffd,0x7ffffcc0,0xff800002,0x200000ef,0x00fffffb,0x13ffffe0,
    0x7fc40000,0x00003fff,0x80000790,0x04fffffd,0x17f20000,0x3ffe6000,
    0xc80006ff,0x0000ffff,0x005fff88,0x17ffe400,0x3bbae000,0x0005eeee,
    0x027ffff4,0x98bfe600,0x900004fe,0x20007fff,0x3ff20dfd,0x7c400000,
    0x0004ffff,0x003bea00,0x7ffe4000,0xff3000ff,0x3ffe2000,0xfe800002,
    0x0006ffff,0x0077fcc0,0xffff1000,0x3ee009ff,0x001fffff,0xffffd800,
    0x400000ff,0x4c000078,0x0fffbfff,0x12a00000,0x3bff6000,0x80002ffe,
    0x00001ccc,0x0000bff5,0x0007fff0,0xb8000000,0x01ffffff,0x55ffec00,
    0x00000fff,0x40009fff,0xffd9eff9,0xfc800003,0x000fffff,0x00095000,
    0x7fffcc00,0xff3005ff,0x0ffee000,0x3fea0000,0x003ffd8e,0x003bf200,
    0x19ff9000,0xf8803ffd,0x05ffb9ff,0x77fcc000,0x0003ffc8,0x00667640,
    0x98f7f400,0x200004fe,0x00ed43c8,0xe8a7fd40,0x7910006f,0x40001da8,
    0x00000efd,0x0001ffd4,0x0ed43c88,0x9fff8800,0x40005ffb,0x3ffffff9,
    0x9ff50000,0xfff90000,0x00000fff,0xff73dff3,0x64400009,0x0000ed43,
    0xfb15ffd0,0x0ff3003f,0x000ff600,0x3227f400,0x3e00007f,0x4c00000e,
    0x17f623ff,0x7d41dfb0,0x3a00001f,0x007fdc5f,0xbfff9000,0x0dfa8000,
    0x0000ff44,0x3fa1ffb8,0x83fe8006,0xfb8003fd,0x001bfa1f,0x0000ef88,
    0x0003fc80,0xfe87fee0,0x1df90006,0x0000ffd4,0x01bffff2,0x004fc800,
    0xfffff100,0xfb000005,0x007fd41b,0x21ffb800,0x500006fe,0x05fc83df,
    0x88007f98,0x7000003e,0x00fea07f,0x0002a200,0x6407f600,0x20bf301f,
    0x500005f9,0x013ea07f,0x4fff9800,0x2026c000,0xf300003d,0x001fe41d,
    0x0fc807ee,0x9077cc00,0x5440007f,0x79000000,0xef980000,0x2000ff20,
    0x0bd305f9,0xffff8800,0x13600002,0xfff90000,0xf500000d,0x0017e609,
    0xf9077cc0,0x3ba00007,0x9803f700,0x5710007f,0x03500000,0x00000298,
    0x15100100,0x05301a80,0x50000288,0x00029803,0x0005e4c0,0x00000000,
    0x00000000,0x00000000,0x00005910,0x00000000,0x2014c000,0x00000028,
    0x00000000,0x30000000,0x00028805,0x40000000,0x4c008801,0xefb8007f,
    0x000002ff,0x54400000,0x01bcdedc,0x000000d9,0x00000000,0x00000000,
    0xdba88000,0x1b81ccee,0xaaaaaa88,0x442aaaaa,0x2aaaaaaa,0x01377310,
    0xaaaaaa88,0x442aaaaa,0x2aaaaaaa,0x0bfb7f60,0x3b2e6000,0x12980acd,
    0x55555555,0xaa885555,0x002aaaaa,0xaaaa8800,0x2aaaaaaa,0x55555544,
    0x0000002a,0x35797530,0x00000001,0x55554400,0x2aaaaaaa,0x55555544,
    0x5555512a,0x85555555,0xaaaaaaa8,0x8800ff32,0x0001ae2f,0x337b2e60,
    0x4c02980a,0xfdcdfffd,0x07ee2eff,0x2aaaaaa0,0x00aaaaaa,0x82f3b72a,
    0x55554c38,0x510aaaaa,0x55555555,0x2aaaa055,0x3773102a,0x7fdc0001,
    0xfedccdff,0x881fa9cf,0xffffffca,0x65c42adf,0xc82befff,0xeeffcfff,
    0xf9515eee,0x5bffffff,0xfffcb885,0x41f302be,0x3ae0006c,0xfedfffff,
    0x513e9bdf,0xfffffff9,0xfcb8855b,0x5552beff,0x10003555,0xffffff95,
    0xcb8855bf,0xf92befff,0x89ffffff,0x400efffd,0xdbefffd8,0x8802ffff,
    0xaaaaaaaa,0x55512aaa,0x55555555,0x3fff2a23,0x42adffff,0xbefffcb8,
    0xffff9512,0x8855bfff,0x2befffcb,0x6b800ff3,0x700002f8,0xdbfffffd,
    0x07d37bff,0x206fffdc,0xfcefffa8,0xffb75002,0x159fffff,0xb7bffd30,
    0xa8995bfd,0xeffffffe,0xfffd710b,0x2057ffff,0xb83effdb,0xeeffdfff,
    0x36205eee,0xd500cfff,0xa803ffff,0x005fffff,0xfd101ff5,0x3ffa21df,
    0xffa86fff,0xf5005fff,0x444c801f,0x7f4c001f,0xfb81ceff,0xffa83fff,
    0xf5005fff,0xfffea81f,0x7d40005f,0x5005ffff,0xfff501ff,0x1bea05ff,
    0x037ffea0,0x8037ffa6,0xfffffba8,0x9512bdff,0xbfffffff,0xffff5037,
    0x3fea00bf,0x3fffea00,0x1ff5005f,0x5c007f98,0x40001f86,0x1cefffe9,
    0x83ffffb8,0x405fffe8,0x004ffffa,0x5fffffb0,0x4067fd40,0xfd04fffb,
    0x7407ffff,0x003fffff,0xffe881ff,0xffffd30e,0x3ffee0df,0xfff9002f,
    0xffff9803,0x0bf1003f,0xf70ffff6,0x7fcc03ff,0xf1003fff,0xf88b900b,
    0x3ffee000,0xffe8806f,0xfffff983,0x20bf1003,0x005ffff9,0x7ffffcc0,
    0x40bf1003,0x303ffffd,0x7fec403f,0x3fe200ef,0xff9803ff,0x7d406fff,
    0x4c05ffff,0x003fffff,0xff980bf1,0xf1003fff,0x800ff30b,0x001ae2f8,
    0x0dffff70,0xb07ffd10,0xb003ffff,0x0001ffff,0x03fffff9,0x9803ffe2,
    0xfff504ff,0x7fcc09ff,0x9d005fff,0xc87fffb0,0x3ea01fff,0x64003fff,
    0x7fc401ff,0x3e003fff,0x1ffff984,0x1037ffcc,0x007fffff,0x97c4027c,
    0x3ea005d8,0x1000ffff,0xfff107fd,0x27c007ff,0x05ffff88,0x7fffc400,
    0x813e003f,0x706ffff9,0xffffd80d,0xffffb800,0x7fffc401,0x7ffcc05f,
    0x7fc404ff,0x3e003fff,0x7fffc404,0x213e003f,0xfb8007f9,0x20002ffe,
    0x00fffffa,0xfb87fd10,0xf3006fff,0x7000dfff,0x201fffff,0xfb804ffc,
    0x3ffffa04,0x7ffff407,0x20fc400f,0x5c1ffff9,0xff106fff,0x36000fff,
    0x7ffc401f,0x0fa003ff,0x307fffee,0x2203ffff,0x003fffff,0x7fdc00fa,
    0xff1001df,0x98003fff,0xffff883f,0x80fa003f,0x0005ffff,0x1fffffc4,
    0xfd807d00,0x02e81fff,0x017fffea,0x806ffff8,0x404fffff,0x03fffff8,
    0x1fffffc4,0xf8807d00,0x2003ffff,0x007f983e,0x8000bf10,0x01fffff8,
    0xff11fcc0,0x3a005fff,0x003fffff,0x07ffffdc,0xb006ffe8,0x7fffdc09,
    0x3ffea02f,0x435c03ff,0x4c1ffffb,0xfd81ffff,0x30004fff,0xfff8803f,
    0x0fa003ff,0x103ffff2,0x2205ffff,0x003fffff,0x035000fa,0x4ffffe80,
    0xf107d000,0x4007ffff,0x3fffe03e,0x7fc40005,0x3a003fff,0x7fffcc03,
    0xff103c45,0x6c005fff,0x7c04ffff,0x4404ffff,0x403fffff,0x03fffff8,
    0xff100fa0,0x74007fff,0x0007f983,0xe8000ff5,0x0004ffff,0x7fffe47d,
    0xfced800f,0x2000ffff,0x80fffffb,0x803ffff8,0x3ffe204b,0x7ffc05ff,
    0x41f406ff,0x440ffffc,0x7d42ffff,0x0001ffff,0xfff10076,0x1f4007ff,
    0x20ffffcc,0x100ffff9,0x007fffff,0xa98801f4,0xfff5001b,0x2e0005ff,
    0xfffff883,0xf80fa003,0x40005fff,0x03fffff8,0x3fa00fa0,0x812e0fff,
    0x00fffffc,0x3ffffee0,0x3ffffe01,0x7fffc404,0x7ffc403f,0x0fa003ff,
    0x7fffff10,0x7cc1f400,0x7ffb0007,0x3ffea000,0x770002ff,0x03fffffc,
    0x7ffd47e4,0x3ee002ff,0xff00ffff,0x58807fff,0x7ffffec0,0x3ffff200,
    0x301f301f,0xf983ffff,0x7fec1fff,0x20000fff,0x7ffc4008,0x0fa003ff,
    0x260ffffc,0x3e205fff,0x2003ffff,0x77f4c03e,0x200dffff,0x01fffffd,
    0x3fe20200,0x3a003fff,0x97fffe03,0xf1001ba8,0x4007ffff,0xfffa803e,
    0xff807a4f,0x54006fff,0x203fffff,0x404fffff,0x03fffff8,0x1fffffc4,
    0xf8807d00,0x2003ffff,0x007f983e,0x006fff98,0x3fffffb0,0xff984000,
    0x7dc06fff,0x9fffff31,0x7fffdc00,0xffffb00f,0x4c0005df,0x203fffff,
    0x04fffffe,0x7fffc0b9,0x43fffcc3,0x007fffff,0xfff88000,0x0fa003ff,
    0x3227ffdc,0x3e202fff,0x2003ffff,0x83bf203e,0xf105fffb,0x000fffff,
    0xfffff100,0xf01f4007,0x3feabfff,0x7c401eff,0x2003ffff,0xffff003e,
    0x7c40d31f,0x4006ffff,0x04fffff9,0x013ffffe,0x07fffff1,0x3fffff88,
    0xf100fa00,0x4007ffff,0x007f983e,0x02ffffd8,0x7ffffc40,0xff500007,
    0x7d40dfff,0x3ffffe62,0x3ffee005,0xfff700ff,0x005dffff,0x1bffffa0,
    0x7ffff7cc,0x7dc05f07,0x7ffe44ff,0x7ffffc42,0x88000006,0x003fffff,
    0xffe980fa,0x803dff52,0x03fffff8,0x7fd40fa0,0x1ffffc46,0x37ffffcc,
    0x7fc40000,0x3a003fff,0x37fffe03,0x6ffffefc,0x7ffffc40,0x400fa003,
    0x3dbffffc,0x3ffffe60,0x7ffc4005,0x3ffe06ff,0x7fc404ff,0x7c403fff,
    0x2003ffff,0x7ffc403e,0x0fa003ff,0xf1001fe6,0x800bffff,0x06fffff9,
    0xffff7000,0x10fe60bf,0x00ffffff,0x07ffffdc,0xffffffd0,0xb8003bff,
    0xc82fffff,0x2fffffbd,0x7f4c03d4,0x05fff73f,0x0bfffff5,0xff100000,
    0x74007fff,0xffffd803,0xff8800bd,0x3a003fff,0x85fffd03,0xfa85ffff,
    0x0005ffff,0xfffff880,0xf80fa003,0xf50effff,0x7c407fff,0x2003ffff,
    0xfff1003e,0x7dc01fff,0x4004ffff,0x07fffff8,0x013ffffe,0x07fffff1,
    0x3fffff88,0xf100fa00,0x4007ffff,0x007f983e,0x7fffffe4,0x3ffea001,
    0x700005ff,0x109fffff,0xffff109f,0x3ee001ff,0x2200ffff,0xfffffffe,
    0x3e2004ff,0x7c45ffff,0x5fffff8a,0xffb0026c,0x2e019dff,0x004fffff,
    0xfff88000,0x0fa003ff,0x00063b70,0x0fffffe2,0xffd03e80,0x6ffff89f,
    0x4fffffc8,0xff880000,0x3a003fff,0x3ffffe03,0x027fffc0,0x07fffff1,
    0xfb001f40,0xfc80bfff,0x4004ffff,0x0ffffff8,0xdffffff0,0xfddddddd,
    0x8807ffff,0x003fffff,0xfff100fa,0x1f4007ff,0x3e003fcc,0x04fffffc,
    0x3fffff20,0xff500004,0x5e88bfff,0xffffff10,0x7fffdc00,0x7ff4400f,
    0xdfffffff,0xffffb000,0xffb35c1f,0x07e21fff,0x0018ee40,0x0bfffff5,
    0xff100000,0x74007fff,0x003fd103,0xfffff880,0x540fa003,0x7ffc0fff,
    0xffffb86f,0x8800005f,0x003fffff,0xffff80fa,0x05ffff85,0x0fffffe2,
    0x26003e80,0x5402ffff,0x005fffff,0x3fffffc4,0xdffffff0,0xfddddddd,
    0x8807ffff,0x003fffff,0xfff100fa,0x1f4007ff,0xf7003fcc,0x03fffff6,
    0x7ffffdc0,0xff100005,0x0ed8bfff,0xdfffff30,0x7fffdc00,0xfff7000f,
    0x0dffffff,0x3ffffe60,0xfff98fa3,0x100d73ff,0xf10003fd,0x880dffff,
    0xeeeeeeed,0xfff105ee,0x1f4007ff,0x0003ffc8,0x1fffffc4,0x41807d00,
    0x86ffffea,0x07fffffa,0xfff88000,0x0fa003ff,0xf85ffff8,0x3e206fff,
    0x2003ffff,0x7ff4003e,0xffff9807,0x7fc4005f,0x3fe05fff,0x7c404fff,
    0x4403ffff,0x003fffff,0xfff100fa,0x1f4007ff,0x7d003fcc,0x0fffffea,
    0x7ffffd40,0x3fe00007,0x03f26fff,0x5fffff98,0x3fffee00,0x3f22000f,
    0x2fffffff,0xdffffd00,0xfffd03e6,0x2e00fadf,0xff0003ff,0x2200ffff,
    0x1efffffe,0x3ffffe20,0x7c0fe003,0xeeeeffff,0x3e201bce,0x2003ffff,
    0x7fd5003f,0xf30dffff,0x000fffff,0xfffff100,0xf01fc007,0xfff0bfff,
    0x7ffc40df,0x0fe003ff,0x009ff500,0x0dfffff1,0xfffff980,0x3ffffe04,
    0x7fffc404,0x7ffc403f,0x0fe003ff,0x7fffff10,0x7cc1fc00,0x741f5007,
    0x3007ffff,0x00ffffff,0x7fffec00,0xfa803f77,0x2002ffff,0x00fffffb,
    0x7ffe4401,0xf7006fff,0x09b5ffff,0xf7fffff7,0xffffd001,0x19bddddd,
    0x1fffffb0,0x3fffea00,0x7ffc402f,0x0fe003ff,0x7ffffff4,0x04ffffff,
    0x07fffff1,0x3a201fc0,0xdffff1ff,0x3fffffe0,0x7c400001,0x2003ffff,
    0x3fffe03f,0x06ffff85,0x0fffffe2,0xf8003f80,0xffff001f,0xffa800ff,
    0x3fe02fff,0x7c404fff,0x4403ffff,0x003fffff,0xfff100fe,0x1fc007ff,
    0x4d803fcc,0x17ffffdc,0xffffff80,0xff700001,0x005f7fff,0x00fffff9,
    0x0fffffb8,0xfe880588,0xf1007fff,0x03fdffff,0xbffffff1,0x3ffffa00,
    0xffffffff,0x7ffffdc3,0xffff5001,0xffff005f,0x0be2007f,0x7fffffdc,
    0x3fffffff,0x07fffff0,0xfb80be20,0x3fffe1ff,0xfffff706,0xff000005,
    0x22007fff,0x3fffe02f,0x06ffff85,0x01fffffc,0xc8002f88,0x3ffee006,
    0x3f2000ff,0x7fc06fff,0x7c404fff,0xf803ffff,0x1003ffff,0xffff005f,
    0x0be2007f,0x3e601fe6,0x7ffffc40,0xffff7006,0x6c00005f,0x003fffff,
    0x707ffffd,0xfffb87df,0x001f107f,0x01ffffd1,0x3fffff60,0x3ffff606,
    0xfff7002f,0xffffffff,0x7ff445ff,0xff3003ff,0xff003fff,0x26007fff,
    0x3ffee01f,0xffffffff,0xfffff05f,0x407e6007,0x7fc4fffa,0xfff106ff,
    0x00000bff,0x007fffff,0xfff807e6,0x6ffff85f,0x1fffffc0,0x8001f980,
    0x7ff4002d,0x3fa003ff,0x7fc02fff,0x7c404fff,0xf803ffff,0x3003ffff,
    0xffff003f,0x07e6007f,0x17601fe6,0x0fffffe4,0x7ffffc40,0x3e200005,
    0xf3006fff,0xff30dfff,0x7ffdc1ff,0x005f107f,0x801fffe2,0x02fffff9,
    0x01ffffea,0xffffff70,0x8bffffff,0x007ffff9,0x03fffff3,0x0bffffb0,
    0xfd981f20,0xcbaaaabc,0xffb06fff,0x1f200bff,0x7c2ffff8,0x3ee06fff,
    0x8000ffff,0xffffb00d,0xf01f200b,0xfff0bfff,0xfffd80df,0x80f9005f,
    0x4003c429,0x006ffffa,0x00dffff3,0x809fffff,0x03fffff8,0x05ffffd8,
    0x3f600f90,0xf9005fff,0xf101fe60,0x3fffe603,0xfff7005f,0x1b0001ff,
    0x07ffff50,0x01ffffb0,0x5c5ffff7,0xf106ffff,0x2fff400d,0x1ffffa00,
    0x013fffe0,0xaabdfd98,0x6fffcbaa,0x03ffffa8,0x1fffff98,0xfffffa80,
    0x981fd400,0xff8804ff,0xfffff504,0x303fa801,0x7d4bffff,0x7ec06fff,
    0x6c006fff,0xffff500f,0x03fa801f,0x7c2ffffc,0x7d406fff,0x5400ffff,
    0x93fee03f,0xff90003b,0xffb005ff,0xfff001df,0xff8809ff,0xfa803fff,
    0x5400ffff,0xfff5003f,0x3fa801ff,0xfc80ff30,0xffffffff,0x000fffff,
    0x00dffffb,0xfff00fd8,0x7fdc03ff,0xfff501ef,0x7fffe41d,0x00bff104,
    0x8005fff1,0xc804fffb,0xf3001fff,0xbff3009f,0x0bfffea0,0x3fffff30,
    0x3ffff600,0x01df300e,0x7c00ffee,0x3fff601f,0x1df300ef,0x3ffffe60,
    0xffffffee,0x3fff2028,0x6f4c00df,0x7fffec00,0x01df300e,0x42ffffc4,
    0xd806ffff,0x300effff,0x7ff401df,0x40001d17,0x200efffa,0x2005fffa,
    0x404fffff,0x03fffff8,0x1dffffb0,0x8003be60,0x00effffd,0x3e601df3,
    0x55567c07,0xfffbaaaa,0x3f2004ff,0x4c00dfff,0xd5db00de,0x6d415dff,
    0x7c404fff,0x7ffec3ff,0x7fff100e,0x004ffb80,0x800fff88,0x32006ff9,
    0x5ff003ff,0x6fffe440,0x7ffdc41b,0xfb1000ef,0x7359dfff,0x7c401dfd,
    0x3f6601ff,0x7ffec403,0xfeb9acef,0x7fff400e,0xfffb8dff,0x7fd402ff,
    0xa89acfff,0xb1003fec,0x359dffff,0x8801dfd7,0x7c46ffff,0xd8806fff,
    0x9aceffff,0x6c00efeb,0x003dafff,0x1fffe880,0x01fffe4c,0xbfffff10,
    0xfffff980,0xfffb1004,0xfd7359df,0xfd88001d,0xb9acefff,0x3e600efe,
    0x7401ae07,0x000fffff,0x33ffffea,0x3feca89a,0xfd983f20,0xcffffeff,
    0x19ff3001,0x803bffe6,0x41effff8,0x0005ffb8,0xfe8017f6,0x3ffe6003,
    0x00ff6601,0x7ffffecc,0x0bdfffee,0xfffd7000,0x005dffff,0x337bff26,
    0x001dffec,0x3fffffae,0xb3002eff,0x7ec45bff,0xb51002ef,0xdfffffff,
    0xfd70003b,0x5dffffff,0x3fffea00,0x3fffea0f,0xffd7000f,0x05dfffff,
    0x17fffe60,0xfdb70000,0x39dfffdf,0xffffb800,0x3ff200ff,0x2000efff,
    0xffffffeb,0x5c0002ef,0xfffffffe,0x04c8802e,0x7fdc00fe,0x44003fff,
    0xffffffda,0x3e601def,0x2aeea601,0xffb10001,0x8019dfff,0xffeb9af8,
    0x001effed,0x7000fcc0,0xfe98001f,0xffeccdef,0x5530001d,0x00033579,
    0xaacaa980,0x75310001,0x80001379,0x01aacaa9,0x00100100,0x4ddd4c40,
    0x55300000,0x64003559,0x9fffffff,0xfffffffb,0x32aa6002,0x750001aa,
    0x88000003,0x88001ab9,0xffffffec,0xfdb34dff,0xbfffffff,0x6554c007,
    0x400001aa,0x01aacaa9,0x007ee000,0x07fffff8,0x2eea6200,0x00020009,
    0x2ea20000,0x20a2000a,0x000abba8,0x71000e00,0x65544000,0x0000aabc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x07f88000,0x7ffffe40,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ffe9800,0x3ffff200,0x000001ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ff20000,0xb105efff,0xfffffffd,0x000000df,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x99880000,0x20000099,0x00009999,0x03333100,0x43330000,0x40000998,
    0x00019999,0x09802880,0x08008800,0xaaaaa980,0xaaaaaaaa,0x0aaaaaaa,
    0x00c40198,0x01333220,0x13333100,0x66440000,0x9980004c,0x40000009,
    0x00002dd9,0x00266620,0x98028800,0x4c400000,0x00000999,0x99986662,
    0x00110000,0x26f6a001,0x372a0000,0x30772201,0x800a8807,0x000efffc,
    0x3ffff700,0x3fe00000,0x400005ff,0x3ffe6ffb,0x7fd40002,0x800002ff,
    0x03fb00ee,0x6c03f500,0xffffd805,0xffffffff,0xffffffff,0xd303fa81,
    0xfffc800b,0x7ec0002f,0x200007ff,0x002ffffc,0x03ffff20,0x67e40000,
    0x000006fb,0x0009fffd,0xd882fc40,0x6c00000f,0x0000efff,0x7ccfff60,
    0xf50000ef,0x5002ec01,0x98003dfd,0x7fc02efe,0x03be21ff,0x7fc01be6,
    0x200000ff,0x0001fffe,0x0bfff300,0x1ffb0000,0x00013fe6,0x0027ffd4,
    0x10f7d400,0x220009fd,0xf9310aef,0x39ffb009,0x1fffffc1,0x203fff53,
    0x0ffd44fe,0xfffff300,0xffb0000d,0xf300003f,0x000dffff,0x13ffffe2,
    0x87e20000,0x400001f8,0x00fffffb,0x83bf2000,0x00003fe9,0x000efff8,
    0xc9bfe200,0x220001ff,0xf9310aef,0x3ffb0009,0x017fe600,0x713fffea,
    0x0ffd41df,0x00fffd40,0x5fff1000,0x7e400000,0x8800005f,0x01bf23ff,
    0x0fff7000,0x3ffa0000,0x000fff99,0x3fffff60,0xfd800fff,0x7fffff03,
    0x2603fd10,0x4ffc8dff,0x777fec00,0xd80003ff,0xd80004ff,0x03ffedff,
    0xfffffd80,0x5400001f,0x00004d86,0x3fffffe2,0x3e200005,0x06ffa9ef,
    0xfffa8000,0x7d400000,0x0013fa0f,0x3fffff60,0xa8000fff,0xff8807ff,
    0xfff9801f,0x4fffc43f,0xf9005ffc,0xb800003f,0x000002ff,0x000037fc,
    0x0ff45fb8,0x7fdc0000,0xfa800002,0x003fffff,0x7ffffc40,0x0bb003ff,
    0x81fffffc,0x3ff601fa,0x2000ffff,0xffd14ffa,0xffd10000,0x4ff98000,
    0x4001ffd1,0xffa8dff9,0x7c400005,0x000017c0,0xffd19ff9,0x7dc00003,
    0x002fffff,0x01ffd800,0x22fd8000,0x100006f9,0x7fffffff,0x3ffe2000,
    0x07ffd401,0x80effc80,0x0ffffffb,0x0003ff00,0x0005fd00,0x00ef9800,
    0x41fb0000,0x000003f9,0x000013ee,0x037ffff4,0xfffd8800,0x80b6002f,
    0x203fffff,0x3ffe601f,0x7f4003ff,0x0003fd83,0x0001fe88,0x13f60ffa,
    0x7cc4fe80,0x6c00001f,0x0006d9ae,0xfb0ffe20,0xff80000b,0x00005fff,
    0x00003ff0,0x1fc8bf10,0x3f620000,0x20002fff,0x6404fff9,0x22001fff,
    0x7ffff401,0x00391004,0x000b2000,0x0032a000,0x4c1c8000,0xb8000004,
    0xf3000003,0x00005fff,0xd8001a88,0x3ffffe00,0xfb007203,0xfb800dff,
    0x0003f201,0x4000b220,0x03ee02fa,0x7440fea0,0x64400005,0x00001cff,
    0x0fe407f6,0xfff70000,0x1000003f,0x20000039,0x0015c0c9,0x001a8800,
    0x03fffa80,0x0017ffe4,0x3fffea00,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0cccc000,0x00000000,0x3ffffe00,0x4cc40003,0x00000009,
    0x00000000,0x00440000,0x80000062,0x0a800000,0x00000d40,0x00002666,
    0x00000000,0x00000000,0x7ffe4000,0x1fffd402,0x80000000,0x20bcedca,
    0xba980038,0x20009abc,0xaaaaaaa8,0x5442aaaa,0x02aaaaaa,0x2af2ea60,
    0x2aa20009,0xaaaaaaaa,0x5555442a,0x26002aaa,0x80acdecb,0x55555129,
    0x85555555,0xaaaaaaa8,0xfffff002,0x6e540007,0x00e20bce,0x53000000,
    0x00135797,0x26000000,0x009abcba,0x2aaaaa20,0x42aaaaaa,0xaaaaaaa8,
    0x80000002,0xaaaaaaa9,0xaaaaa802,0x555531aa,0x55005555,0x22355555,
    0xaaaaaaaa,0x55442aaa,0x002aaaaa,0x26af2ea6,0xfffb0000,0x4fff9803,
    0x3ffff620,0x5555513f,0x85555555,0xedbdffe9,0x1004cadf,0xfb7dfffb,
    0x51005fff,0xfffffff9,0xfcb8855b,0x4402beff,0xfdbefffd,0xa8802fff,
    0xfffffffc,0x7e5c42ad,0xb802beff,0xedfffffe,0x13e9bdff,0xffffff95,
    0xcb8855bf,0x002befff,0x007fffff,0xb7bffd30,0xc8995bfd,0x4fffffff,
    0x0077ffec,0x2fbfff62,0x002ffffd,0x3fffffa2,0x3ff62003,0xffffdbef,
    0xffca8802,0x2adfffff,0x77ffe5c4,0x5555532b,0x40355555,0x22aaaaaa,
    0xfffffeb9,0x7fe5402f,0xfd731cef,0x805fffff,0x1cefffca,0xfffff951,
    0xb8855bff,0x02befffc,0x5f7ffec4,0x002ffffd,0xf803fff4,0xffb805ff,
    0xff7513ff,0x57bfffff,0x5c067fd4,0xfa804fff,0xfe980dff,0xff5000df,
    0x2a00bfff,0xffa800ff,0xffe980df,0xfff5000d,0x3ea00bff,0xffe9800f,
    0xffb81cef,0xfffa83ff,0xff5005ff,0xffff8001,0x7fd4003f,0x4fffb80c,
    0x2fffffa8,0xf500df50,0xfd301bff,0x7dc001bf,0xf5003fff,0xfd301bff,
    0x3ea001bf,0x5005ffff,0xffd981ff,0x1adfffff,0x3bfff6e0,0xffffe883,
    0xff9801ff,0xffffd100,0xff3003ff,0x7fffd401,0x1ff5005f,0x1bfff500,
    0x01bffd30,0x401bffa0,0xf9805fff,0xff983fff,0xff886fff,0x13fe600f,
    0x0efffd88,0x0ffffe20,0x3ffffe60,0x80bf1003,0x00efffd8,0x00ffffe2,
    0x0fffffe6,0x5c02fc40,0x8806ffff,0xff983ffe,0xf1003fff,0xffff000b,
    0x7fc4007f,0x13fe600f,0x81ffffec,0x3f6201f9,0x3e200eff,0xf3003fff,
    0xd8807fff,0x2200efff,0x9803ffff,0x003fffff,0x7fd40bf1,0x2001ffff,
    0x7fc406fc,0x800effff,0x7ffc405e,0xe800efff,0x7fffcc05,0x0bf1003f,
    0x0efffd88,0x0ffffe20,0x4017fee0,0xf9802ffe,0xff883fff,0xffc85fff,
    0x204fb804,0x800ffffd,0x401ffffb,0x03fffff8,0xffb013e0,0xff7001ff,
    0xff8803ff,0x3e003fff,0x7fffd404,0x7fd1000f,0x7fffff10,0x40027c00,
    0x003fffff,0x2e013ff2,0xffff304f,0xfb01ae0d,0xf7001fff,0xf3003fff,
    0xfd807fff,0xfb800fff,0x7c401fff,0x2003ffff,0x7ffec04f,0x3f6004ff,
    0xfffff800,0x04d805ff,0xfffffff8,0x4404d805,0x003fffff,0xfffb013e,
    0xfff7001f,0xfff8803f,0x077fc400,0x1ffffcc0,0x84fffff8,0x9b006ffe,
    0x17fffea0,0x06ffff80,0x1fffffc4,0x7d407d00,0x3e005fff,0x7c406fff,
    0x2003ffff,0x3ffe203e,0x7cc001ff,0xfffff883,0x000fa003,0x00fffffe,
    0xb006ffe8,0x7fffec09,0x3ea02e81,0x3e005fff,0xf9806fff,0x3ea03fff,
    0x3e005fff,0x7c406fff,0x2003ffff,0x7ffc403e,0xf9800fff,0xfff9f002,
    0x3d809fff,0xffffcf80,0x01ec04ff,0x0fffffe2,0x3ea03e80,0x3e005fff,
    0xf9806fff,0x07fe403f,0x3ffff980,0x89fffff0,0x803ffff8,0xffff884b,
    0x3ff6002f,0x3fe204ff,0x3a003fff,0xfffff103,0x7ffec005,0x3ffe204f,
    0x0fa003ff,0x04ffffe8,0xff107d00,0x74007fff,0xffff8003,0xfff1003f,
    0x4097007f,0x445ffff9,0x3fffe207,0x3ff6002f,0x7fcc04ff,0xfff103ff,
    0x7ec005ff,0x3e204fff,0x2003ffff,0xfffb803e,0x06d804ff,0x3fff63e0,
    0x0f602fff,0x3fff63e0,0x0f602fff,0x7fffff10,0xf881f400,0x2002ffff,
    0x804ffffd,0x6cc1cfd9,0x3e6000df,0xfff03fff,0xffff09ff,0xc858807f,
    0x000fffff,0x07ffffee,0x1fffffc4,0x3f207d00,0x2000ffff,0x01fffffb,
    0x07fffff1,0xffa81f40,0x70002fff,0xfffff107,0x001f4007,0x01fffffc,
    0x07fffff0,0x7ff40588,0xc812e0ff,0x000fffff,0x07ffffee,0x03ffff98,
    0x01fffff9,0x7ffffdc0,0xfffff101,0x801f4007,0x00fffffe,0x0f8007ea,
    0x3ffffffd,0x43e00f60,0x1ffffffe,0xff8807b0,0x3a003fff,0xfffff903,
    0x7ffdc001,0xfd1001ff,0x00037e21,0x40ffffe6,0xd84fffff,0x02efffff,
    0x37ffffc0,0x3fffea00,0xffff103f,0x81f4007f,0x006fffff,0x1fffffd4,
    0x3fffff88,0x7ec0fa00,0x0001ffff,0x3fffe202,0x00fa003f,0x0fffffe0,
    0xfffffd80,0x3ea0002e,0x807a4fff,0x006fffff,0x1fffffd4,0x07ffff30,
    0x01bffffe,0x7fffff50,0x3ffffe20,0x400fa003,0x05fffffa,0x21f0013a,
    0xeffffff8,0x0f803d80,0xdffffff1,0xf8807b01,0x2003ffff,0xfffff03e,
    0xfffa800d,0xfeb803ff,0x001f7dc3,0x40ffffe6,0xb84fffff,0xefffffff,
    0xffff8802,0x7fcc006f,0xff104fff,0x74007fff,0xfffff883,0x7ffcc006,
    0xfff104ff,0x1f4007ff,0x3fffffc4,0x7fc40000,0x3a003fff,0xffff8003,
    0x3fee003f,0x02efffff,0x1fffff00,0x7ffc40d3,0x7cc006ff,0x2604ffff,
    0xf883ffff,0x4006ffff,0x04fffff9,0x07fffff1,0xfd001f40,0xf703ffff,
    0x260f8001,0x85ffffff,0x260f803d,0x85ffffff,0x7ffc403d,0x0fa003ff,
    0x1bffffe2,0xfffff300,0x027f4409,0xf9801bf6,0xfff03fff,0x3ffa09ff,
    0x1dffffff,0x3ffffe60,0x7ffc4005,0xfff106ff,0x1f4007ff,0x2fffffcc,
    0x3fffe200,0xffff106f,0x41f4007f,0x06fffff9,0xfff88000,0x0fa003ff,
    0x3ffffe00,0x7fff4003,0x01dfffff,0x5ffffe40,0x3ffe603d,0x7c4005ff,
    0x2606ffff,0xf983ffff,0x4005ffff,0x06fffff8,0x07fffff1,0xf5001f40,
    0xf88bffff,0x5c0f8002,0x43ffffff,0x5c0f803d,0x43ffffff,0x7ffc403d,
    0x0fa003ff,0x17ffffe6,0xfffff100,0x00ffec0d,0x4c017fe6,0xff03ffff,
    0x3a209fff,0xffffffff,0xffff704f,0xff88009f,0xff107fff,0x74007fff,
    0xfffffb83,0x7ffc4004,0xfff107ff,0x1f4007ff,0x2fffffd4,0x7fc40000,
    0x3a003fff,0xffff8003,0x7f44003f,0xffffffff,0x3ffe2004,0x3ee00fff,
    0x4004ffff,0x07fffff8,0x20ffffe6,0x04fffffb,0x7ffffc40,0xfffff107,
    0x001f4007,0x8bfffff6,0x01f0006d,0x5ffffff9,0x407c01ec,0x2ffffffc,
    0xfff100f6,0x1f4007ff,0x27ffffdc,0x3fffe200,0x0dff507f,0x200bffa0,
    0xf03ffff9,0x4409ffff,0xfffffffe,0x7fe40dff,0x44004fff,0x80ffffff,
    0x03fffff8,0x3ff20fa0,0x44004fff,0x80ffffff,0x03fffff8,0x3ff20fa0,
    0x00004fff,0x3fffff88,0x1000fa00,0x007fffff,0xfffffd10,0x001bffff,
    0x017ffff6,0x09fffff9,0xfffff880,0xffff300f,0xfffff907,0xfff88009,
    0xff880fff,0x3a003fff,0x7ffcc003,0x003f36ff,0x7fec03e0,0x07b0ffff,
    0x3ff601f0,0x07b0ffff,0x3fffff88,0x3f20fa00,0x4004ffff,0x0ffffff8,
    0xd006ffc8,0xff3009ff,0x3ffe07ff,0xffb804ff,0x6fffffff,0x2fffffd4,
    0x3fffe200,0xffff107f,0x41f4007f,0x05fffffa,0x7ffffc40,0xfffff107,
    0x5c1f4007,0x005fffff,0xffff8800,0x00fa003f,0x9fffff30,0x7ffdc000,
    0x06ffffff,0x05ffff30,0x5fffffa8,0x7fffc400,0x3ffe607f,0xffffa83f,
    0x7fc4005f,0xff107fff,0x74007fff,0xfffd8003,0x0004ebff,0x7ff4403e,
    0x007b6fff,0x3ffa201f,0x807b6fff,0x03fffff8,0x3fea0fa0,0x44005fff,
    0xd07fffff,0x3fe00fff,0xfff9806f,0xfffff03f,0x3ff22009,0x22ffffff,
    0x05fffff9,0x7ffffc40,0xfffff105,0x4c1f4007,0x005fffff,0x2fffffc4,
    0x3fffff88,0x3ea0fa00,0x0007ffff,0xfffff880,0x000fa003,0x1dfffff7,
    0x7fe44000,0x02ffffff,0x300fffd0,0x00bfffff,0x5fffff88,0x0ffffe60,
    0x17ffffe6,0xfffff100,0x3fffe20b,0x00fa003f,0x3ffffe20,0x3e0000ff,
    0x3fffe600,0xf803ddff,0x3fffe600,0x4403ddff,0x003fffff,0x3ffe60fa,
    0x7c4005ff,0xfb05ffff,0xff9801ff,0xfff9805f,0xfffff03f,0x7e440109,
    0x226fffff,0x006fffff,0x27ffffcc,0x3fffff88,0x3e20fe00,0x4006ffff,
    0x04fffff9,0x07fffff1,0x7fcc1fc0,0x00007fff,0x3fffff88,0x2600fe00,
    0xffffffec,0x00403dff,0xffffff91,0x13fea00d,0x3ffffe20,0x7ffcc006,
    0x3fe604ff,0xfff883ff,0x7cc006ff,0xf104ffff,0x4007ffff,0xff90003f,
    0x80007fff,0x7ffd400f,0xf803ffff,0x7fffd400,0x7c403fff,0x2003ffff,
    0xffff883f,0x7fcc006f,0xff904fff,0xfffa803f,0xffff9803,0x9fffff03,
    0xfe880588,0x7ffc7fff,0x7d4007ff,0xf102ffff,0x4007ffff,0xfffff03f,
    0xfffa800f,0xfff102ff,0x1fc007ff,0x1ffffff8,0x7fc40000,0x3e003fff,
    0x40000003,0xffe88058,0x3fe007ff,0xfffff001,0xfffa800f,0x3fe602ff,
    0xffff03ff,0xffa800ff,0xff102fff,0x7c007fff,0xfff10003,0xf80007ff,
    0xffffc800,0x00f803ff,0xffffffc8,0x7fffc403,0x40fe003f,0x007fffff,
    0x17ffffd4,0x403fffb8,0x9802fffb,0xff03ffff,0x0f889fff,0xffffe880,
    0x3ffffee0,0x3fff2000,0x7fffc06f,0x05f1003f,0x03ffffee,0x6ffffc80,
    0x1fffffc0,0xf702f880,0x0005ffff,0x7fffff00,0x000be200,0x7c400144,
    0xfffe8800,0x00d9000f,0x07ffffdc,0xdffff900,0x3ffff980,0x1fffff70,
    0x7fffe400,0x7ffffc06,0x005f1003,0x3ffffe20,0x007c0003,0x3fffffd8,
    0xfb000f80,0xf007ffff,0x2007ffff,0xfff702f8,0x7e4001ff,0x3ea06fff,
    0x7fe404ff,0xfff9801f,0xfffff03f,0x1002f889,0xffd0ffff,0x7f4007ff,
    0x7fc02fff,0xf3003fff,0x7ffff403,0x3fffa003,0x7fffc02f,0x03f3003f,
    0x17ffffe2,0x3ffe0000,0x3f3003ff,0x3fff5000,0x8017c400,0x2007fff8,
    0x7ff4002d,0x3fa003ff,0x7c402fff,0x3fa03fff,0x3a003fff,0x7c02ffff,
    0x3003ffff,0x3e20003f,0x0003ffff,0xfe88007c,0x0f803fff,0xffffd100,
    0xfffff007,0x807e6007,0x003ffffe,0x80bffffa,0x5c02fff8,0x44100fff,
    0xff02ffff,0x6f889fff,0x217ffa00,0x006ffffa,0x00dffff3,0x00bffffb,
    0xfff501f2,0x3fe600df,0xffd806ff,0x0f9005ff,0x0fffffb8,0xfb00d800,
    0x3200bfff,0xfff90007,0x037c4009,0x530bffd0,0xfa800788,0xf3006fff,
    0x8820dfff,0x2a02ffff,0x3006ffff,0xb00dffff,0x200bffff,0x3e20007c,
    0x0003ffff,0xff10007c,0x01f007ff,0x1ffffc40,0x2ffffec0,0x7d407c80,
    0xf3006fff,0xf980dfff,0x7fc400ff,0x3e6fa81f,0xfff01fff,0x5ff889ff,
    0x02fff880,0x005ffff9,0x001dfffb,0x01fffff5,0xfc803fa8,0xfd802fff,
    0xfa800eff,0x5400ffff,0xfffd803f,0x07ec006f,0x0fffffa8,0x8001fd40,
    0x2005fed9,0xf8805ff8,0x27fdc2ff,0x3f200077,0xfd802fff,0x6fa80eff,
    0x9007fffe,0xb005ffff,0x5001dfff,0x801fffff,0x220003fa,0x003fffff,
    0x50007e60,0xf9807fff,0x7ffd4001,0xffffa803,0x01fd400f,0x017fffe4,
    0x0077ffec,0x6400bff2,0x0ffe84ff,0x7fc0dfff,0x7fc44fff,0x27fdc03f,
    0x03bffea0,0x005fffa8,0x077fffec,0x5000ef98,0x5401dfff,0x6c005fff,
    0x300effff,0x3f2001df,0x4c00dfff,0x7fec00de,0xdf300eff,0x05b00001,
    0x01fffc40,0x3fa13fee,0x0001d17f,0x0077ffd4,0x740bfff5,0x1ffff0ff,
    0x1dfff500,0x02fffd40,0x3bffff60,0x001df300,0x7ffffc40,0x0bee0003,
    0x00ffee00,0xf70005f7,0x3ff6007f,0xdf300eff,0x3ffea001,0x3ffea00e,
    0x1ffe4405,0x833fee00,0x3fff1ffc,0x3ffffe20,0x77fffc45,0x02ffdc41,
    0x41fffe88,0x003fffc9,0xeffffd88,0x0efeb9ac,0x7fff4400,0x1fffe4c1,
    0x7ffec400,0xfeb9acef,0x7fd4000e,0xa89acfff,0xb1003fec,0x359dffff,
    0x0001dfd7,0x44001f10,0x441effff,0xffb05ffb,0x00007b5f,0x983fffd1,
    0x6403fffc,0x03fff1ff,0x0ffff440,0x00ffff26,0x3ffff620,0xefeb9ace,
    0x7fcc0000,0x30004fff,0xb0003ffd,0x7ff4c07f,0x03fd8001,0xdffffb10,
    0x1dfd7359,0xfffe8800,0x1fffe4c1,0x0033bea0,0x88ff64c0,0x03efdefe,
    0x3fffffee,0x3ae6be20,0x1effedff,0xffedb800,0x01cefffe,0x7fff5c00,
    0x002effff,0x77ff6dc0,0x001cefff,0x7ffff5c0,0x0002efff,0x3ffff6a2,
    0x001defff,0xfffffeb8,0x00002eff,0xf88001b7,0xedffeb9a,0x3e601eff,
    0x00005fff,0x7f7ff6dc,0x8801ceff,0x03ffddfe,0xdffdb700,0x0039dfff,
    0xffffeb80,0x0002efff,0xdfffff90,0x7ffd4001,0x4003efff,0xffffa83e,
    0x74003eff,0x7ff5c003,0x02efffff,0x7ff6dc00,0x01cefffe,0x02000000,
    0x32203771,0xfffffffe,0xa8828bdf,0x00000abb,0x00035731,0x2b2aa600,
    0x8800001a,0x00001ab9,0x35595530,0xa9880000,0x000009bb,0x03559553,
    0x00044000,0xbba88288,0x06ea000a,0x73100000,0x5c400035,0x2200001b,
    0x00001ab9,0x35595530,0xfd970000,0xbfffffff,0x00000019,0x00000288,
    0x53000288,0x00035595,0x03573100,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xaa800000,0xaaaaaaaa,0x5555442a,0x32a02aaa,
    0x00002cee,0x00066662,0x05440498,0xdb880000,0x3333002d,0x55555555,
    0x10151000,0xa9800003,0x1bcdeecc,0x33310000,0x00000013,0x004cccc4,
    0x18803300,0x22000000,0x0003cccc,0x01880330,0x88002f4c,0x00009999,
    0x004ccc40,0x00999800,0x22005440,0x18008800,0x00395000,0x00054000,
    0xa80e64c0,0x7fdd41cd,0x2bdfffff,0x7fffedc4,0xbefe982c,0x0001efeb,
    0x027fffc4,0x301df100,0x200000dd,0x81ff9bfb,0xfffffeb8,0x2cffffff,
    0x3fff2200,0x0007d0ad,0x79bfd710,0x7ddb9535,0xfffb0000,0x4000000d,
    0x001ffffc,0x74c0fe60,0x20000006,0x000efffb,0x2607f500,0x03fcc06e,
    0x0efffc80,0x7fe40000,0x5c0000ff,0x4001ffff,0x03f900ee,0x3e403f30,
    0x17ffe400,0x04e80000,0x7fffc400,0x07fffd40,0x2fffffd4,0x100ffa80,
    0xeff889ff,0x3fea0000,0xfb80004f,0x00bfea1e,0x65fe6000,0x7ff4c3ff,
    0x7f47ffff,0xfffd8000,0x00feffff,0x067fe400,0x000ee980,0x07fffa20,
    0x7f400000,0xd80001ff,0x00ffd45f,0xffd00000,0xe800001d,0x00ffd44f,
    0x7c001fe6,0x00000fff,0x27ffffcc,0xffff1000,0xffa800bf,0x8017f621,
    0xf7311aff,0xffff000b,0xf500000b,0xffb8000f,0x7ffec3ff,0xffff983f,
    0x81fe004f,0xfff80ffe,0x3ff60003,0x3fa00004,0x005ffb9f,0x2ebfd000,
    0x3ffe60ff,0x747fffff,0xfef98006,0x05ffffff,0x00ffa200,0x0002fc80,
    0x000fffa2,0x3ffe6000,0xff300001,0x00bff71b,0x7fc40000,0x9800000f,
    0x4ffb8dff,0x8007f980,0x0001fffa,0xfffffe80,0xff90000f,0x8003ffff,
    0xffe9affd,0x3fff2000,0x001fffff,0x004fffe8,0x03ffd800,0x3fffea00,
    0x2fffffc2,0x1fffffc4,0x3e20bd00,0x7ffc40ff,0xbff10004,0xffa80000,
    0x0001ffff,0x025ff980,0x3ffffffa,0x003747ff,0xfffb5354,0x3ea0003b,
    0xfa80002f,0x3fa20000,0xc8000006,0x400001ff,0x0ffffffd,0x2e000000,
    0x000001ff,0x3ffffff6,0x007f9800,0x0001ffc8,0xa8dffa80,0xf98004ff,
    0x05ff98ef,0x7ffffcc0,0xffe8004f,0x0004ffff,0x0001dff5,0x06fff980,
    0x437ff400,0x884ffffe,0x003fffff,0x7ffcc13a,0x001ffd83,0x0000bf50,
    0x13ffffa0,0x7fec0000,0x3fffee06,0x747fffff,0x30188006,0x77cc0001,
    0x17200000,0x01fd1000,0x2fe80000,0xff980000,0x00003fff,0x000ff400,
    0x3ffe6000,0xff3003ff,0x003ff000,0x313fa000,0xfe8001ff,0x000ff4c5,
    0x03fffff6,0x7fffe400,0x00180003,0xffffb000,0x01980005,0x105ffffb,
    0x007fffff,0xfff88274,0x0000981f,0x8000012a,0x000ffffa,0x6fff9800,
    0x3fffff60,0x3747ffff,0x00000000,0x00003ff1,0x40002f88,0x000001c8,
    0x00000b22,0x00ffffc8,0x0d400000,0xfd800000,0x3e6006ff,0x00e44007,
    0x02fb8000,0x7d400bd3,0x800dd103,0x003ffff9,0x0000cc40,0x22000000,
    0x005fffff,0x3ffee000,0xffff880f,0x813a003f,0x003ffffe,0x00000000,
    0x88000000,0x3a05fffe,0xffffffff,0xa883747f,0xaaaaaaaa,0x555442aa,
    0xfd82aaaa,0x00ba8803,0x00000b50,0x00000000,0x26662000,0x00000000,
    0x44000000,0x26000999,0x0000007f,0x22004400,0x20022001,0x19988001,
    0x00000000,0x2b37b2e6,0x32002980,0x01ffffff,0xfff30000,0x3fffe20f,
    0x813a003f,0x0dfffff8,0x2aaaaa00,0xaaaaaaaa,0x000aaaaa,0x000002a0,
    0xdfffffd7,0xffff8199,0x47ffffff,0xff95106e,0x55bfffff,0xefffcb88,
    0x402fd42b,0xffd7effa,0x0001f03f,0x00000054,0x530000a8,0x55555555,
    0x55555555,0x10001555,0x55555555,0x55555555,0x54055555,0xaaaaaaaa,
    0xaaaaaaaa,0x545fe60a,0xaaaaaaaa,0x000999aa,0x00054000,0xaaaaaa88,
    0x532aaaaa,0x55555555,0x88001335,0xaaaaaaaa,0xeb802aaa,0xfedfffff,
    0x003e9bdf,0x3fffff3e,0x3ffa6004,0xfff82fff,0xfffff105,0x20274007,
    0x2ffffff9,0xffffff00,0xffffffff,0x0001ffff,0x20000274,0xfffffffe,
    0xffffd87f,0x747fffff,0xffffa806,0x1ff5005f,0xf9007fa0,0x3ffeee5f,
    0x40003d07,0x0000004e,0x3f60009d,0xffffffff,0xffffffff,0x88001fff,
    0xfffffeaa,0xffffffff,0x3e07ffff,0xffffffff,0xffffffff,0x545fe60f,
    0xfffffffc,0xdfffffff,0x4e800001,0xff751000,0x57bfffff,0x3ffff2a6,
    0xffffffff,0x5d4401bd,0xdfffffff,0x3ffa602b,0xffb81cef,0x2f7003ff,
    0x00fffffd,0x17fffec0,0xf881fff4,0x2003ffff,0x7ffc404e,0x4404ffff,
    0xf102dfff,0x005fffff,0x0003fd40,0x3fffb320,0xffb83ccf,0x7fffffff,
    0x7fcc0374,0xf1003fff,0xb01be60b,0x7ffccbff,0x0005b05f,0x00001fea,
    0x4001fea0,0x3e09cffd,0x2a63ffff,0x40001fff,0xffffdff8,0x7ff5ccc6,
    0x5bfff107,0x3ffffe20,0x543fcc2f,0x222fffff,0x03ffffe9,0x01fea000,
    0x3fffe600,0x7ffdc06f,0xff9312ff,0xf30019ff,0x700dffff,0x100dffff,
    0x3a007ffd,0x7fffff53,0xffffb800,0x101ffc82,0x007fffff,0x19d10274,
    0x0bfffffd,0x32017fc4,0x005fffff,0x001ffec0,0x3ffff400,0x3ffffe60,
    0x3747ffff,0x7ffffc40,0x6413e003,0x3ffee03f,0x0ffffe61,0xfd8001dc,
    0x4000003f,0xd8003ffd,0xfffff03f,0x003fd107,0xffdafa80,0x3f6206ff,
    0x805ff107,0x85fffffc,0xfff887f9,0xfff902ff,0x360000bf,0x440003ff,
    0x405fffff,0x82fffffa,0x01fffff9,0x2fffffc4,0x3ffffea0,0x07fd1000,
    0x7ff41f50,0x7d4007ff,0x7fa82fff,0x3ffffe20,0x4413a003,0x7fffe46e,
    0x805f304f,0x0ffffff9,0x3ffe6000,0xff800006,0xfff806ff,0x47ffffff,
    0xfff8806e,0x0fa003ff,0xff9807fc,0x7fffd44f,0x30007700,0x0000dfff,
    0x037ffcc0,0xfff02ec0,0x07ea07ff,0x3f6bd000,0x7e806fff,0xf9805f30,
    0x980fffff,0xffff885e,0xffff102f,0xf980003f,0xf80006ff,0x4c04ffff,
    0x302fffff,0x801fffff,0x204fffff,0x01fffff8,0x6c01fcc0,0x7ffffdc4,
    0x3ffea002,0x206f882f,0x03fffff8,0x27ec13a0,0x0fffffd4,0x7ff40354,
    0x40003fff,0x002ffffd,0x3fffe600,0xffff9804,0x3747ffff,0x7ffffc40,
    0x7c0fa003,0x07fffa06,0x6c0dfff7,0xfffd8002,0xb000002f,0x8005ffff,
    0x3fffe02d,0x0007e03f,0xfffb0fb8,0x20f700df,0xfffe806a,0xf88003ff,
    0x3602ffff,0x0004ffff,0x017fffec,0x3ffffe00,0x7fffcc04,0x3fff202f,
    0x7fffc06f,0x3fffa04f,0x07d0004f,0x7fc40f98,0x2a006fff,0xbf02ffff,
    0x7ffffc40,0x7c13a003,0xfffd105f,0xfb80770b,0x0006ffff,0x2fffffc4,
    0xfff70000,0x3fa2005f,0x747fffff,0xffff8806,0x20fa003f,0xfff305f8,
    0x09fffb0d,0x3e2000fc,0x0005ffff,0xfffff880,0xf006c005,0x6407ffff,
    0x47f10001,0xa86ffffd,0x01dc1e21,0x1bffffee,0x7fffc400,0x3fff202f,
    0x3e20006f,0x0005ffff,0x027ffffc,0x0bffffe6,0x3fffff98,0x13ffffe0,
    0x17ffffd4,0x6c03b800,0xfffff905,0x3ffea003,0x4407d02f,0x003fffff,
    0x3ffe60fa,0x0dfff100,0x7ffc4015,0x40001fff,0x1ffffffc,0xfff90000,
    0x7ec4003f,0x3747ffff,0x7ffffc40,0x260fa003,0x7fffb04f,0x01ffff88,
    0xfc8001f1,0x001fffff,0x7fffe400,0x200001ff,0x003fffff,0xfd8db000,
    0x41c86fff,0x7c401503,0x001fffff,0x5fffff10,0x3ffffe40,0xffff9000,
    0x7c0003ff,0x4c04ffff,0x402fffff,0x206fffff,0xb04fffff,0x003fffff,
    0x03f10040,0x17ffffe6,0x17fffd40,0x7ffc02c8,0x0fe003ff,0x403bffea,
    0xd8006ff9,0x004fffff,0xffffcf80,0xfd00004f,0x4c000fff,0x03747eca,
    0x1fffffc4,0x7f507d00,0x83ffff10,0x2a07fffc,0xffcf8005,0x00004fff,
    0x7ffffe7c,0x3fe00004,0x00003fff,0x7fec1fa8,0x001e86ff,0xfffffb00,
    0x7fc40009,0x3fa02fff,0x20006fff,0x4fffffcf,0x3fffe000,0x7ffcc04f,
    0x7fe402ff,0xfff02fff,0xfff109ff,0x00000fff,0x7fffffe4,0xffffffff,
    0xffffa800,0xfe801302,0x3e003fff,0xeffff882,0x8009ff00,0x0ffffffa,
    0xfdbdc000,0x0000ffff,0x006ffff8,0x06e8fb00,0x3fffff88,0x3e60fa00,
    0x47fff983,0x205ffff8,0xdbdc002d,0x000fffff,0x3ff6f700,0x00000fff,
    0x007fffff,0xd84e8800,0x7d46ffff,0xffa80001,0x0000ffff,0x0bffffe2,
    0x27ffffc4,0xffb7b800,0x20001fff,0x404fffff,0x02fffff9,0x27ffffdc,
    0x84fffff8,0x06fffff9,0x2b3e0000,0xfbaaaaaa,0xa804ffff,0x0002ffff,
    0x013ffff6,0xffb80fcc,0x2ff81fff,0x3fffe200,0xe80002ff,0x7fffff53,
    0xfff98000,0xfb00004f,0xff8806e8,0x3a003fff,0xff509f03,0xffffd8df,
    0xd000d702,0x3ffffea7,0x27d00003,0x03fffffa,0xfffff000,0x6c800007,
    0x4dffffb0,0x40001fea,0x2ffffff8,0x7ffc4000,0xfff902ff,0x9f4000df,
    0x03fffffa,0x9fffff00,0xfffff980,0x7fffdc02,0xfffff05f,0xfffff509,
    0x2e00000b,0xffffd006,0xfffa801f,0x3f20002f,0xf9005fff,0x7fffec01,
    0x0013ea3f,0x0bfffff9,0x741f5000,0x0007ffff,0x017fffdc,0x3747d800,
    0x7ffffc40,0x740fa003,0x26fffb85,0x80ffffcb,0x7d4001f9,0x1fffffa0,
    0xe83ea000,0x0007ffff,0x07fffff0,0x80fcc000,0xfcfffffd,0x40001fff,
    0x05fffffc,0xff10ff30,0x6cc45fff,0x000dffff,0x7ff41f50,0xff0007ff,
    0xf9809fff,0x5402ffff,0xf06fffff,0xf909ffff,0x0009ffff,0x5c00fe00,
    0x403fffff,0xb82ffffa,0x3fe603ef,0x7cc00fff,0xffffc802,0x4003fadf,
    0x0ffffff9,0x5c4d8000,0x002fffff,0x03ffff20,0x3a3ec000,0xffff8806,
    0x40fa003f,0xffffb87d,0x7fff9eba,0xd8003f88,0x7ffffdc4,0x226c0002,
    0x02fffffb,0xfffff800,0x37a00003,0xfd999999,0xfffeffff,0x3e60001f,
    0x000fffff,0xfff10ff3,0xffffddff,0x80003bff,0x7fffdc4d,0xfff8002f,
    0x7fcc04ff,0x7cc02fff,0xff06ffff,0xff709fff,0x0000bfff,0x7c003f70,
    0x5407ffff,0x7d42ffff,0x3f200fff,0x3e206fff,0x3ffee005,0xe8004fff,
    0x003fffff,0x7c40f980,0x0006ffff,0x001ffffa,0x03747d80,0x1fffffc4,
    0x3ee07d00,0x7ffffcc0,0x88dfff1f,0x26024c3e,0x7fffc40f,0x3e60006f,
    0x7ffffc40,0xfff80006,0x700003ff,0xffffffff,0x54dfffff,0x3a0001ff,
    0x003fffff,0x3fe21fe6,0xfffacfff,0x40001fff,0x7ffc40f9,0xff8006ff,
    0x7cc04fff,0x5402ffff,0xf05fffff,0xf509ffff,0x000fffff,0x4007f880,
    0x03fffffc,0xb0ffffee,0xd809ffff,0x9adfffff,0x4000efeb,0x0ffffff9,
    0x3fffee00,0xbb00006f,0x3fffff20,0xffff0001,0x3ec0000b,0x3fe201ba,
    0x3e003fff,0xff05f303,0x7fe43fff,0xd82ecabf,0xfc82ec01,0x0001ffff,
    0x3fff20bb,0x7c0001ff,0x0003ffff,0x7ec02f88,0x0fdc6fff,0xffffb800,
    0x3fcc006f,0x97ffffc4,0x0ffffffa,0x64176000,0x001fffff,0x027ffffc,
    0x0bffffe6,0x9fffff70,0x13ffffe0,0x1fffffe6,0xffe98000,0x3fff2003,
    0xffb01fff,0xfffc8bff,0xffe9802f,0x01cfffff,0x3fffa200,0xfff1006f,
    0x06003fff,0xff301f88,0x1000bfff,0x0007ffff,0x01ba3ec0,0x0fffffe2,
    0x3b203f80,0x206fe440,0x02defdb8,0x01f88095,0x0bfffff3,0x2603f100,
    0x005fffff,0x1fffffc0,0x402ec000,0xf86ffffd,0xfff88001,0x23001fff,
    0xfff887f9,0x3fff22ff,0xf10005ff,0x3fffe603,0x7ffc005f,0x7fcc04ff,
    0x7e402fff,0xff02ffff,0x3fe09fff,0x0001ffff,0xefffffc8,0xfffdb105,
    0x4cdfffff,0xffffffff,0x00bffd11,0x0dfea988,0x3fee0000,0xffd803ff,
    0xb1005fff,0x7ffffe40,0xffffffff,0x7fc4000f,0x200001ff,0xf803747d,
    0x1003ffff,0x027c405f,0x003a0000,0xfffffff9,0x1fffffff,0xffffc800,
    0xffffffff,0x3e0000ff,0x0003ffff,0x7ec007d4,0x01d86fff,0x7fffec03,
    0x26b1005f,0xffff887f,0x7ffff42f,0xffc8002f,0xffffffff,0x2000ffff,
    0x404fffff,0x02fffff9,0x0fffffe4,0x04fffff8,0x05fffff7,0x40000000,
    0x5f9002fb,0x20001980,0x20001ff9,0x7ffd40ba,0x7fffd405,0x095000ff,
    0x5555567c,0xfffffbaa,0x7ffc4004,0x3ec00006,0x7ffc01ba,0x3f3003ff,
    0x0001fa80,0x9f007b00,0x75555555,0x009fffff,0xaaaaacf8,0xfffffbaa,
    0x3ffe0004,0x220003ff,0xfffb003e,0x750370df,0x3ffffea0,0x2695000f,
    0xffff887f,0x7fffcc2f,0x67c000ff,0xbaaaaaaa,0x004fffff,0x013ffffe,
    0x05fffff3,0x06ffffe8,0x413ffffe,0x05fffff8,0xb0000000,0x17f600bf,
    0x3fa00000,0x3ff20007,0x406ffc84,0x03fffffe,0x035c13a0,0x0fffffe8,
    0x13ffe200,0xe8fb0000,0xffffb006,0x401f200b,0xd800006d,0xd006b803,
    0x001fffff,0x7ff401ae,0xf0000fff,0x0007ffff,0xffb00364,0x3a010dff,
    0xfffffd02,0xf9a74007,0xfffff887,0xfffffb82,0x401ae006,0x00fffffe,
    0x09fffff0,0x2fffff98,0x3ffffe60,0x3ffffe01,0x3fffee04,0x00d8000f,
    0x07ff1000,0x0007ff30,0x2fff8800,0x0dfff000,0x7e409ff5,0x2006ffff,
    0x007f03fb,0x0fffffee,0x00fff880,0x3a3ec000,0xffff5006,0x03fa801f,
    0x0003db10,0x3e007d10,0xffff7003,0x00fe007f,0x1fffffdc,0xfffff800,
    0x03f30003,0x37fffec0,0xfc81f980,0x2006ffff,0x10ff33fb,0x205fffff,
    0x03fffffd,0x3ee007f0,0xf003ffff,0x9809ffff,0x202fffff,0x404ffffd,
    0x404fffff,0x006ffffd,0x800007ec,0xfc806ffb,0x8000006f,0xb0006fff,
    0x5ff709ff,0x3ffffe60,0x5ff7001f,0x7c003f70,0x2a07ffff,0x01ff88ef,
    0x747d8000,0x3fff6006,0x1df300ef,0x004fa800,0x5c00bee0,0x3ffe001f,
    0x1fb807ff,0x3ffffe00,0xfff88007,0xbd0003ff,0xffffd800,0x40ff9807,
    0x1ffffff9,0x265ff700,0xffff887f,0xffff102f,0x1fb803ff,0x3ffffe00,
    0xfffff007,0xffff9809,0xffff302f,0xffff801d,0xfffc804f,0x6f4c00df,
    0x3ea00000,0x7fdc03ff,0x4000002f,0x001efffc,0x3a62ffcc,0x3fffa04f,
    0xfe9804ff,0x03fc41ff,0x3fffff20,0xf53ffd03,0x36000007,0xb1003747,
    0x359dffff,0x0001dfd7,0x2002bb62,0x1000cfb8,0xffc800ff,0x3e203fff,
    0x7ffe4007,0x7cc003ff,0x8004ffff,0x7ec003fc,0x7d407fff,0xffffe87f,
    0xffe9804f,0xf30ff31f,0x5407ffff,0x00ffffff,0xfc800ff1,0x4403ffff,
    0x405fffff,0x83fffff9,0x804ffff9,0x05fffff8,0x9fffff50,0x7fd95135,
    0xff100000,0x3e6019ff,0x0000bfff,0x3ffff600,0x3faa004f,0x203ffece,
    0xbffffffb,0xdbaaaaaa,0x260fffff,0x32003ffe,0x81ffffff,0x003ecffc,
    0xdd1f6000,0xfffd7000,0x005dffff,0x37fb2a00,0xcfedcbac,0x3ffa6000,
    0x3fff2003,0xfe981fff,0x3ff2003f,0x2001ffff,0x0efffffb,0x01bfee00,
    0xffffff98,0xfedb99ad,0x7ffdc6ff,0xaaaabfff,0xffffdbaa,0xf90ff30f,
    0xd80bffff,0x40efffff,0x2003ffe9,0x1ffffffc,0x3ffffee0,0x3fff600f,
    0xfdbaaeff,0xf7002dff,0x001fffff,0x3ffff6a2,0x001defff,0x3ffe6000,
    0xffa82fff,0x0001ffff,0x039d7100,0x06b2ea00,0xffffff10,0xffffffff,
    0x4fffffff,0x5efffffc,0xffffdb10,0x730dffff,0x70000003,0x20003b89,
    0x01aacaa9,0x654c0000,0xc80009ab,0x05efffff,0xfffffdb1,0x7fe4dfff,
    0xb105efff,0xfffffffd,0x7f64c0df,0xdfffffff,0x3fffe603,0xecb80dff,
    0xffffffff,0xffffffff,0x3fffe24f,0xffffffff,0xffffffff,0x76cd3227,
    0xffffffff,0xfffe882e,0xfff93fff,0x3620bdff,0xfffffffe,0x3ffb226f,
    0x3dffffff,0xfffffdb5,0x5bddffff,0xffd91001,0x7bffffff,0x5dd4c400,
    0x00000009,0x00b7bb22,0x00017db5,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00002010,0x0062014c,0x99988000,0x02200009,0xaaa88060,
    0xaaaaaaaa,0xaaaaaaaa,0x2aaaaa20,0x02aaaaaa,0x00099998,0x0b882a80,
    0x101dc980,0x4c0005b7,0xa8000999,0x00004400,0x77774c6a,0x000002ee,
    0x54002666,0x99998001,0x26660000,0x80b60009,0x800001d8,0x000002b8,
    0x33000035,0x6c000333,0x00076202,0x00008044,0x00008040,0xb837f620,
    0x4c0002ff,0x00dd104f,0x7ffec000,0x3e60000e,0xa881b601,0xfffffffc,
    0xffffffff,0x3aea21ff,0xbdffffff,0x7fffd802,0x37fec000,0x4403fff3,
    0xfe80ffff,0xfb8002ff,0xd8001fff,0x005f701e,0xfd113aa0,0x00005fff,
    0x03ffff20,0x80037a20,0x0007fffd,0x003ffff5,0x7ec417e4,0x7c400000,
    0x200006ff,0x0005fff8,0x00bfffea,0xe881fd80,0xffc88007,0x0003e22d,
    0x15bff710,0x400003e2,0xff13fffc,0xfb0000df,0x001ffa8b,0xdfff1000,
    0xef880001,0x09f9310a,0x3ffffe60,0xfffea884,0xfffff301,0xfffb000d,
    0x3fe20003,0x9fff91ff,0x27fffdc0,0x017fffe6,0x007fffa0,0x3617fcc0,
    0x7fb0006f,0x0bffff20,0x3fe20000,0xb1004fff,0x7fec007f,0xffd8002f,
    0x7fd4002f,0x06ffeddf,0xfffb8000,0xf700001f,0x20001fff,0x0002fffc,
    0x7eefffd4,0x7c4005ff,0xedffffff,0x7fc40005,0x6edfffff,0x3ff20000,
    0x0ffff34f,0x1dff3000,0x0000bff7,0x0077fdc0,0xffffc800,0x2001ffff,
    0x404fffff,0x3fe01ffb,0xb0005fff,0x740009ff,0x3ffee7ff,0x3fffe603,
    0x27fffc42,0x0bffe200,0x17ffb000,0x90003ffd,0x7ffd409f,0xd800002f,
    0x01ffffff,0xd800bfa0,0x7c4004ff,0xfb0002ff,0x03ffffff,0xfff50000,
    0x2e00001f,0x0000ffff,0x00007fff,0x3ffffff6,0x7fe4000f,0x3fffffff,
    0x7ffdc000,0x03ffffff,0x3ffe6000,0x000fff60,0x7ffffec0,0x2000000f,
    0x00000efd,0x3fffffa2,0x7ffc003f,0x1fb804ff,0x13ffffe0,0x03ff4400,
    0x445dd300,0x7ec00cfc,0x1dff706f,0x02ffb800,0xffff8800,0xfc8005ff,
    0x3ffea00f,0x4c00002f,0x5ffa8dff,0x007fee00,0x54007fe8,0x220002ff,
    0x02fffffd,0x3ffa0000,0x3e200004,0xf50005ff,0x4400007f,0x01effffd,
    0xfda8cd80,0x0000dfff,0x7fed466c,0x00000dff,0x00013018,0x7ffffc40,
    0x22000004,0x800000ff,0x02ffffd8,0x4fffff80,0x7fc03f00,0x20004fff,
    0x00001fe8,0x40198000,0x5fd00028,0x7fe40000,0x5c000fff,0x7fd404ff,
    0x400002ff,0x0ffcc4fe,0x00fff880,0x4003fd10,0x300003fd,0x00001797,
    0x00001300,0xc80006a0,0x3000003f,0x5c000597,0x0000ba80,0x03730170,
    0x00000000,0x3fff2000,0x2000000f,0x000001c9,0xf0000d44,0x3709ffff,
    0x3ffe01d8,0x440004ff,0x0000002c,0x80000000,0x4400002c,0x4004ffff,
    0x5401fff8,0x0002ffff,0x7440fea0,0x17ff2005,0x2002c880,0x0000002c,
    0x00000000,0x20000000,0x0000003c,0x00000000,0x80000000,0xaaaaaaa8,
    0x5442aaaa,0x02aaaaaa,0x00099980,0x00000000,0x3e000000,0x1d84ffff,
    0xffff0054,0x0000009f,0x00000000,0x00000000,0x00333100,0x500dff70,
    0x5c45ffff,0x80110002,0x3fe20018,0x0000001f,0xdba88000,0x1b81ccee,
    0xdb751000,0x0370399d,0x01377310,0x80000000,0x4009bb98,0xaaaaaaa9,
    0xaaaaa802,0x2a6001aa,0x0009abcb,0xffffca88,0x442adfff,0x2befffcb,
    0x55555551,0x13335555,0xaaaa9800,0x01aaaaaa,0x8aaaaaaa,0xaaaaaaa8,
    0xaaaaaaaa,0x3e00aaaa,0x1f84ffff,0x7ffffc00,0xaaaaa884,0xaaaaaaaa,
    0x20aaaaaa,0xfffffffc,0x877ffec4,0x3fffffe8,0x57fffff6,0xaaaaaaa8,
    0xaaaaaaaa,0x2a20aaaa,0xaaaaaaaa,0xaaaaaaaa,0x4fff80aa,0xaffffa80,
    0x0cffffe8,0xaaaaaa88,0xaaaaaaaa,0x400aaaaa,0x55445ffe,0xaaaaaaaa,
    0x5555512a,0x05555555,0x9bffff70,0x539ffdb9,0xffb8003f,0xfedccdff,
    0x401fa9cf,0xeffcfffc,0x5515eeee,0x55555555,0x7e400055,0xeeeffcff,
    0xffd735ee,0xa805ffff,0x01cefffc,0x5f7ffec4,0x002ffffd,0xbfffff50,
    0x103fea00,0xffffff95,0xffffffff,0xffb3003b,0x35bfffff,0x77ffedc0,
    0x3fff2a23,0xffffffff,0x01ffffff,0x513ffffe,0xfff8003f,0xfca884ff,
    0xffffffff,0xffffffff,0x7ffffd41,0x360df502,0x7d43ffff,0xf9515fff,
    0xffffffff,0xffffffff,0x7ffe5443,0xffffffff,0x41ffffff,0xa803fffb,
    0xdeebffff,0xa885ffff,0xfffffffc,0xffffffff,0x7fec01ff,0x3feea20f,
    0x2bdfffff,0xfffff751,0x44057bff,0x500cfffd,0x003ffffd,0x033fff62,
    0x0fffff54,0x10effe88,0x2dfffffd,0xfffffca8,0x8002bdff,0xd10effe8,
    0x88dfffff,0x1ffffffe,0x800ff980,0x980dfffa,0x4000dffe,0x03fffff9,
    0xfa80bf10,0x2622ffff,0x003ffffe,0x3ffffff5,0x2037e400,0x84fffff9,
    0x01fffea8,0x993ffffe,0x7fc001ff,0x7cc04fff,0xa884ffff,0xfd81fffe,
    0x3f303fff,0x0ffffee0,0x30bffff1,0x109fffff,0x203fffd5,0x84fffff9,
    0x41fffea8,0xa801fffe,0x263fffff,0x2603ffff,0x884fffff,0x401fffea,
    0xf304fffc,0x980dffff,0x806fffff,0x002ffffb,0x7003fff9,0x2005ffff,
    0xfb01fffc,0xfffb87ff,0x3fffea01,0x7ec0006f,0x7ffdc3ff,0x3fffe201,
    0x5e800eff,0x77ffec40,0x3fffe200,0x3ffe2003,0x13e003ff,0x5fffff10,
    0x17ffff20,0x7ffffec0,0x003f6004,0x013ffffe,0x7fc03ff7,0xffdcdfff,
    0x7ffc001f,0xfff804ff,0x7fdc04ff,0x6ffff981,0x7fd40d70,0x7ffc43ff,
    0xfffff05f,0x01ffb809,0x013ffffe,0xfff83ff7,0xfffa801f,0xffffc85f,
    0x3ffffe00,0x00ffdc04,0x4417ffee,0x405fffff,0x05fffff8,0x01ffffd4,
    0x5007ff20,0x8007ffff,0xff981ffc,0x7ffcc1ff,0x3fffe206,0x3e60004f,
    0x7fcc1fff,0x7fffc06f,0x4d805fff,0x07fffec0,0x0ffffdc0,0xfffff880,
    0x100fa003,0x205fffff,0x01fffff8,0xffffff88,0x002f9800,0x009fffff,
    0x7ffc03f7,0xffffffff,0x7fffc001,0xffff804f,0x01fb804f,0xd03ffffb,
    0x7fffd405,0x2ffffc43,0x04fffff8,0x3fe01fb8,0xfb804fff,0x03fffe21,
    0x0bfffea0,0x80ffffea,0x804fffff,0x7fd401fb,0x3fffe06f,0xffff804f,
    0x3ffe204f,0x3fb0007f,0x3ffffc40,0xb81fd800,0x7cc1ffff,0xff101fff,
    0x40009fff,0x4c1ffffb,0x3e01ffff,0x4ffffffc,0xff501ec0,0x7fc00bff,
    0xff1006ff,0x74007fff,0x7fffc403,0x3fff602f,0xfff7004f,0x0db009ff,
    0x27ffffc0,0x3fe01f80,0xff914fff,0xffff8003,0xffff804f,0x203f004f,
    0x445ffff9,0x7fffd407,0x2ffffc43,0x04fffff8,0x7ffc03f0,0x43f004ff,
    0x800ffff9,0x982ffffa,0x3e04ffff,0xf004ffff,0x7fffa803,0x13ffffe0,
    0x13ffffe0,0x04ffffd8,0x6c03f300,0x0004ffff,0xfff903f3,0xffff881f,
    0x3ffffe02,0x3ff20003,0x7ffc40ff,0x3f63e02f,0x202fffff,0xffff103d,
    0x7fec005f,0xff8804ff,0x3a003fff,0x7fffc403,0x3fff202f,0x3ffa006f,
    0x3ea00fff,0x3fffe001,0x0ec1b84f,0x89fffff0,0x7fc001fd,0xff804fff,
    0x41b84fff,0x3fffa01d,0xf5012e0f,0xff887fff,0xffff05ff,0x1d83709f,
    0x13ffffe0,0x7dc3b06e,0xfa800fff,0xff882fff,0x3ffe05ff,0x6c1b84ff,
    0x7fffd401,0x9fffff00,0x9fffff00,0x3ffffea0,0x40760001,0x01fffffa,
    0x3e607600,0x7fcc1fff,0x3ffe00ff,0x260003ff,0x7cc1ffff,0x43e00fff,
    0x1ffffffe,0x3ff207b0,0x2e000fff,0x401fffff,0x03fffff8,0xff100fa0,
    0x7e405fff,0x2a007fff,0x205fffff,0x7ffc004e,0x541d84ff,0x3ffffe00,
    0x2000fc44,0x804fffff,0xd84fffff,0xff500541,0x200f49ff,0x443ffffa,
    0xff05ffff,0x83b09fff,0x3fffe00a,0x0541d84f,0x200ffff7,0xf02ffffa,
    0x7fc0ffff,0x41d84fff,0x7ffcc00a,0xfffff01f,0xfffff009,0x3ffff609,
    0x0220000f,0x07ffffec,0x3e011000,0x7fcc1fff,0x7fffc05f,0x7fc0003f,
    0x7ffcc1ff,0xff887c05,0xd80effff,0xdfffff03,0xffffa800,0x7ffc403f,
    0x0fa003ff,0x5fffff10,0x37ffff40,0x3ffffa00,0x000fb81f,0x427ffffc,
    0x7ffc001f,0x301e84ff,0x13ffffe0,0x13ffffe0,0x3fe0007e,0x80698fff,
    0x443ffffa,0xff05ffff,0x03f09fff,0x4fffff80,0x7fdc01f8,0xfff5007f,
    0x3fffe05f,0x3ffffe07,0xa8001f84,0xff01ffff,0xff009fff,0x3fe09fff,
    0x00007fff,0x1fffffe0,0xffb80000,0x17ffe44f,0x0fffffe0,0x9fff7000,
    0x402fffc8,0x3fffe60f,0x883d85ff,0x006fffff,0x27ffffcc,0x3ffffe20,
    0x100fa003,0x205fffff,0x04fffff8,0x7ffffd40,0x40017c45,0x544fffff,
    0x7ffc001f,0x881c84ff,0x9fffff05,0x9fffff00,0xc8001fa8,0x03dbffff,
    0x43ffffa8,0xf05ffff8,0xfa89ffff,0x7fffc001,0x200fd44f,0x800ffffa,
    0x882ffffa,0x3e05ffff,0x7d44ffff,0xfffa8001,0xfffff00f,0xfffff009,
    0xfffff109,0x2200000d,0x006fffff,0x7ff4c000,0x003dff52,0x007fffff,
    0x25ffd300,0xf801effa,0x7ffffdc0,0x7cc1ec3f,0x4005ffff,0x06fffff8,
    0x1fffffc4,0xf8807d00,0xf902ffff,0x2000dfff,0x22fffffd,0xfff0006d,
    0x0ffcc9ff,0x3ffffe00,0x20970084,0x804fffff,0x264fffff,0xf88001ff,
    0x800fffff,0x443ffffa,0xff05ffff,0x7fcc9fff,0x7fffc001,0x007fe64f,
    0x001ffff3,0x105ffff5,0x7c09ffff,0x3e64ffff,0xffa8001f,0x3fffe07f,
    0xffff804f,0xffffa84f,0x5000005f,0x00bfffff,0x3ff60000,0xf000bdff,
    0x0007ffff,0x6ffffec0,0x901f000b,0x45ffffff,0xffffb83d,0x7fc4004f,
    0x7c407fff,0x2003ffff,0x7ffc403e,0x3f6622ff,0x0000dfff,0x2dfffff3,
    0xff0001f9,0xffb9bfff,0xfff8003f,0x7f1004ff,0x13ffffe0,0x37ffffe0,
    0x001fffdc,0x0bffffb0,0x0ffffea0,0x20bffff1,0xdcdfffff,0x7c001fff,
    0xfdcdffff,0xfff801ff,0xfffa800f,0xffff982f,0x3ffffe02,0x01fffdcd,
    0x06fffb80,0x013ffffe,0x213ffffe,0x04fffffb,0xfff70000,0x000009ff,
    0x00063b70,0x01fffffc,0x031db800,0x7ec03e00,0x7b0fffff,0x9fffff90,
    0xffff8800,0x3fe200ff,0x3a003fff,0x7fffc403,0xfffffeef,0xd80001df,
    0x4ebfffff,0x3fffe000,0x1fffffff,0x7ffffc00,0x02fe8804,0x009fffff,
    0xffffffff,0x20003fff,0x002ffff9,0x887ffff5,0xff05ffff,0xffffffff,
    0xfff8003f,0xffffffff,0x1fffe801,0x3ffffa80,0x00ffffb8,0x3ffffffe,
    0x8001ffff,0x3e04fffb,0xf804ffff,0xfa84ffff,0x0005ffff,0xfffff500,
    0x4400000b,0xf80001fe,0x0003ffff,0x0000ff44,0xffe8807c,0x507b6fff,
    0x00bfffff,0x7fffff88,0x7ffffc40,0x100fa003,0xf59fffff,0x003fffff,
    0x3fffe200,0x20000fff,0x914fffff,0x7c4003ff,0x5405ffff,0xfff01ffe,
    0xfff00bff,0x3ff229ff,0x3ffa0001,0x3ffee007,0x7fffc44f,0x9fffff05,
    0x0007ff22,0x229fffff,0xfb801ffc,0xffa803ff,0x7ff41fff,0x7fffc02f,
    0x03ff914f,0x03fffb00,0x027ffffc,0x427ffffc,0x06fffff8,0x777776c4,
    0x3e25eeee,0x4406ffff,0xeeeeeeed,0x1ffe45ee,0x7fffc000,0x7e40003f,
    0x0f80003f,0x3ffffe60,0xff983ddf,0x44005fff,0x405fffff,0x03fffff8,
    0xff100fe0,0x3fea5fff,0x0000ffff,0x7fffff90,0xffff8000,0x000fec4f,
    0x9ffffff7,0xffd97535,0xfff501ff,0xff801fff,0x0fec4fff,0x09ff5000,
    0x37fffec0,0x417fffe2,0x6c4fffff,0x7ffc001f,0x00fec4ff,0x4027ffc4,
    0xcfdffffa,0x805fffea,0x6c4fffff,0xffe8001f,0x7ffffc06,0xfffff804,
    0xffffff04,0x3fffa200,0xfff81eff,0xfd1007ff,0xf03dffff,0xddddffff,
    0xff80379d,0x40003fff,0xeeefffff,0x7c01bcee,0x7fffd400,0xff883fff,
    0x4c006fff,0x404fffff,0x03fffff8,0xff100fe0,0x7fe45fff,0x00005fff,
    0x07fffff1,0xfffff800,0x2200fc44,0xffffffec,0xffffffff,0x3b227fff,
    0xffffffff,0xfffff04d,0x0001f889,0x74400ffc,0x1fffffff,0x20bffff1,
    0x444fffff,0x7ffc001f,0x00fc44ff,0xa805ffc8,0xff9affff,0xf800ceff,
    0x7c44ffff,0x2fff8001,0x27ffffc0,0x27ffffc0,0x0fffffd8,0xfffff500,
    0x3ffff605,0xfff5000f,0x3ffa05ff,0xffffffff,0x3ffe04ff,0x204003ff,
    0xfffffffe,0x204fffff,0xfffc800f,0xfff03fff,0xfa800fff,0xf802ffff,
    0x1003ffff,0xfff8805f,0x7fff42ff,0x880002ff,0x003fffff,0x27ffffc0,
    0x000180f4,0xb1000fc8,0x7ffc001f,0x301e84ff,0x0001b200,0x82ffffc0,
    0xe84fffff,0x3ffe0301,0x301e84ff,0x401fff88,0x262ffffa,0x7ffc001a,
    0x301e84ff,0x201bfea0,0x804fffff,0x704fffff,0x003fffff,0x0bffffea,
    0x0fffffdc,0xfffffa80,0xfffff702,0xffffffff,0x3ffffe07,0xf706c003,
    0xffffffff,0x3e07ffff,0xffffb000,0x3ffee07f,0x3f2000ff,0xff006fff,
    0x26007fff,0x7ffc401f,0x7ffcc2ff,0x40000fff,0x03fffff8,0x7ffffc00,
    0x05881c84,0x801ff400,0x7c004fe8,0x1c84ffff,0x05b00588,0x3ffe0000,
    0xfffff04f,0x0b103909,0x213ffffe,0xfc85881c,0x7ffd404f,0xff80002f,
    0x81c84fff,0x05ffd058,0x09fffff0,0x09fffff0,0x0fffffa2,0x7ffffcc0,
    0xffffd101,0x3ffe6007,0x3fee01ff,0xffffffff,0xffff05ff,0x43c4007f,
    0xfffffffb,0xf05fffff,0x3ffa2001,0x3ffa03ff,0x3fa003ff,0xfb002fff,
    0x3200bfff,0xffff8807,0xffffb82f,0x7c40006f,0x0003ffff,0x427ffffc,
    0x40009700,0xf7002ffa,0xfff8005f,0x970084ff,0x003c4298,0x7ffff000,
    0x13ffffe0,0xff825c02,0x70084fff,0x803ff609,0x002ffffa,0x4fffff80,
    0xf3097008,0x3ffe007f,0xfff804ff,0x3fe604ff,0xff3007ff,0x7cc03fff,
    0xf3007fff,0x2603ffff,0xaaaabcfd,0xf06fffcb,0x4007ffff,0x5e7ecc7c,
    0xffcbaaaa,0x4001f06f,0x203ffff8,0x006ffffa,0x00dffff3,0x07ffffd4,
    0x2200fea0,0xb02fffff,0x007fffff,0x7ffffc40,0x7ffc0003,0x7f1004ff,
    0x27fec000,0x005ffd80,0x027ffffc,0x3fee3f88,0x40000ee4,0xfffd0ff9,
    0x3ffffe07,0x207f1004,0x004fffff,0x1fec07f1,0x05ffff50,0xfffff000,
    0x20fe2009,0x3fe004fd,0xff804fff,0x7d404fff,0xf9803fff,0x5401ffff,
    0x9803ffff,0x981fffff,0xff8804ff,0x7fffff04,0xff337c00,0x09ff1009,
    0xfa8003f3,0x7fe403ff,0xffd802ff,0x7ec000ef,0xf300efff,0xfff1001d,
    0x3fe205ff,0x0001ffff,0x07fffff1,0xfffff800,0x02fe8804,0x07fff200,
    0x007fff60,0x04fffff8,0x3fa2fe88,0x0001d17f,0x7f4bff60,0xffff00ff,
    0x5fd1009f,0x13ffffe0,0x880bfa20,0xfff702fe,0xff00005f,0xd1009fff,
    0x004fc85f,0x027ffffc,0x027ffffc,0x017fffd4,0x07ffffe6,0x0bfffea0,
    0x3fffff30,0x2007ff70,0xfff881ff,0xbfb004ff,0xf801ffdc,0x002fb81f,
    0xa803ffb8,0x2a00efff,0x10005fff,0x59dffffb,0x001dfd73,0x0fffffe6,
    0xffffffa8,0xfff98000,0x220004ff,0x405fffff,0x0001ffea,0x02ffffe6,
    0x02ffffa8,0x5fffff88,0xb0fff540,0x007b5fff,0xe97fd400,0xfff102ff,
    0xfea80bff,0xffff881f,0x7ff5405f,0xc83fb801,0x0003ffff,0x2fffffc4,
    0xc87ffaa0,0x7fc4002e,0x7c405fff,0x1005ffff,0x837bfff9,0x0effffb8,
    0xbfff9100,0xfffb8837,0xfff880ef,0x40ff6601,0x05fffff8,0x3e24ffd8,
    0x3f6601ff,0x01ffe983,0x1003fd80,0xc983fffd,0x80003fff,0xffffffeb,
    0x7e4002ef,0x6c05ffff,0x00efffff,0x7ffffe40,0xff70000e,0x5359ffff,
    0x1ffffd97,0xfffb8000,0xff700fff,0x2e01dfff,0xacffffff,0xfffecba9,
    0x3fffe60f,0xfe800005,0x2e04ffce,0xacffffff,0xfffecba9,0xffffb80f,
    0xcba9acff,0x000ffffe,0x7ff54391,0x00009eff,0x9ffffff7,0xffd97535,
    0x000ee1ff,0x7fffffdc,0x3fffee00,0x366000ff,0xfeefffff,0x0000bdff,
    0xdfffffb3,0x017bfffd,0xcdeffc98,0x201dffec,0xcffffffb,0xffdbaaaa,
    0x7fe4c3ff,0xdffeccde,0x7ffffd41,0x1f4003ef,0x3ffb6e00,0x01cefffe,
    0x6554c000,0x366001aa,0xfffffffe,0xffe882ef,0x5c03ffff,0xffffffec,
    0x4400cdff,0xffffffec,0xffffffff,0x00007fff,0x803bddb3,0x440adda8,
    0xffffffec,0xffffffff,0x37507fff,0x54400000,0xffd9101b,0xffffffff,
    0xffffffff,0x7ffff644,0xffffffff,0x007fffff,0x33333260,0x22003ccc,
    0xffffffec,0xffffffff,0x20007fff,0xfffffec8,0xd913dfff,0xffffffff,
    0xaa98007b,0x00019abc,0xabcaa980,0x53100019,0x4c013797,0xffffffec,
    0xffffffff,0x3103ffff,0x00137975,0x01440000,0x03573100,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x33331000,0x00004001,0x00000800,
    0x37b2e620,0x2aa001ac,0x2a22aaaa,0x441aaaaa,0xaaaaaaaa,0x00002aaa,
    0x00002010,0x59bd9730,0x2aaa5301,0x00001aaa,0x00010080,0x00000200,
    0x2aaa2088,0xaaaaaaaa,0x00000999,0x00001008,0x0010012a,0x55510004,
    0x65403555,0x0e20bced,0x55555553,0x55555005,0x2aaa2355,0xaaaaaaaa,
    0xaaaaa980,0x44001aaa,0xa8001999,0x80025c05,0x800980a8,0x800ffffc,
    0x3ee0efd8,0x6c40003f,0x0ffee0ef,0x3fff6200,0x3ffffdbe,0xfffdba80,
    0x3ffff227,0x7fe5443f,0x2bdfffff,0x7f4c0000,0x000f7ec5,0x3ffffae0,
    0x9bdffedf,0xffffd53e,0x2200000b,0x3e22dffb,0x3aa00000,0x9000004f,
    0x7ffe544b,0xffffffff,0x0001dfff,0xf706fec4,0x7c40005f,0x0bbf2004,
    0x7d43dfb0,0x3fffea3f,0xffe981bc,0xcadfedbd,0x7fff5cc4,0x65402fff,
    0x511cefff,0xffffffd7,0xfb53017b,0x0039dfff,0x027fffc4,0x54067cc0,
    0x7e44004f,0x00ba2dff,0x4007fffa,0xff14fffb,0xfb8000ff,0xffff14ff,
    0xdfffb800,0x0dfff980,0x90fffd00,0x5407ffff,0x006fffff,0x3fff6000,
    0x00bfff52,0x3bfffa60,0xffffb81c,0x17fffe63,0x3fe20000,0x6edfffff,
    0x3fe20000,0x800001ff,0xffff501e,0x7ff4c45f,0x320003ff,0xfff13fff,
    0x27ec000d,0x07fffa80,0xff93ffea,0xbfff50ff,0x4067fd40,0xd104fffb,
    0x03ffffff,0x4c01ff30,0x007fffff,0x40013ffe,0x0005fffa,0x3fb3bffa,
    0x7f4001ff,0x7fffffff,0x01fff980,0x453fff20,0x0000ffff,0x7c57fff2,
    0xd8800fff,0x2a00efff,0xd803ffff,0xfffb87ff,0x3ffe203f,0x000004ff,
    0x7d4bfffa,0xfb8006ff,0xe8806fff,0x3ffe23ff,0xc800005f,0xffffffff,
    0x2600003f,0x0003ffff,0xff103540,0x3f205fff,0x90005fff,0x3fe69fff,
    0xff70007f,0x3fff2009,0xbfff701f,0x543fffe2,0xff104fff,0x27fcc01f,
    0xffffff10,0x00bd001d,0x00bfffff,0x8000bfe6,0x40005ffd,0xfffffff9,
    0x7f7d4004,0x04ffffff,0x4001ffc8,0x3f21fff8,0x7c40004f,0x13ff21ff,
    0x07fffec0,0x0ffffdc0,0x2a1fff60,0x2203ffff,0x004fffff,0x1bfea000,
    0xa8005ffd,0x000fffff,0x7fc47fd1,0x800005ff,0xfffda8cd,0x400000df,
    0x0001fffe,0xff101ec0,0x3e205fff,0x8001ffff,0x3f60fff9,0xffb8003f,
    0xfff3004f,0x0fff440d,0x7fd49ff9,0x09ff903f,0xff809f70,0x805fffff,
    0xffff804d,0x0ef9805f,0x17fe2000,0x7ffd4000,0x5b8004ff,0x19fffb51,
    0x0005fd00,0x0000880c,0x80044060,0x005ffffa,0x80dffff1,0xffa87ffd,
    0x7ffc03ff,0x000003ff,0x000980c4,0x0fffffc4,0xf88fe600,0x00005fff,
    0x0e5440b8,0xdc980000,0x7c400001,0x3fffe200,0x3fff602f,0x4060004f,
    0xffc80009,0x36a004ff,0x3101800c,0xd03fffa8,0x13600dff,0xfffff9f0,
    0x803d809f,0x404fffff,0x40000dfa,0x400005fa,0x0001bcb8,0x4002a013,
    0x000002c8,0x00000000,0x5fffff10,0x7fffec00,0x21fff604,0x403ffffa,
    0x003fffff,0x00000000,0x027ffff4,0x3fe23e80,0x000005ff,0x00000000,
    0x0b700000,0x2fffff88,0x1bffff20,0x40000000,0xfffffffd,0x000002ff,
    0x07fff500,0x007ffff1,0xfd8f8097,0x202fffff,0xffff803d,0x00ff204f,
    0x0006e400,0x00000000,0x80000000,0x09abcba9,0x2aaaa200,0xaaaaaaaa,
    0x0aaaaaaa,0x07ffffe4,0xfffff700,0x21fff603,0x403ffffa,0x003fffff,
    0x2aaaaa60,0x201aaaaa,0x42aaaaaa,0x02fffffa,0x7fc47700,0x000005ff,
    0x50000150,0x55555555,0x55555555,0xd5530015,0xffff8805,0x3fff202f,
    0x1500007f,0x3f726000,0x1cccefff,0x55555551,0x2a255555,0xaaaaaaaa,
    0x7fff52aa,0x0fffffe0,0xd0f80b10,0x03ffffff,0x3ffe00f6,0x2fd884ff,
    0x13018000,0x00540000,0xaaaaa880,0x82aaaaaa,0x1aaaaaa8,0xdfffb100,
    0x05ffffb7,0xffff9510,0xffffffff,0xf83fffff,0x4006ffff,0x03fffffa,
    0xff50fffb,0xfff807ff,0x260003ff,0xfffffffd,0x3f6e01ad,0x7fec3eff,
    0x20001fff,0x17fffe20,0x5dffffd7,0x00274000,0x7fffffc0,0xffffffff,
    0xb100ffff,0x03dffdff,0x17ffffc4,0x0dffffd0,0x0013a000,0x09ffff30,
    0x3fffeea2,0x512bdfff,0xfffffff7,0x3ffea57b,0xfffffb03,0x87c0005d,
    0xeffffff8,0xff803d80,0x774c4fff,0x7fc40000,0x013ff21f,0x80027400,
    0xfffffba8,0xc882bdff,0x803fffff,0x980dfffa,0x3000dffe,0x109fffff,
    0x443fffd5,0x006fffff,0x27ffffcc,0xfa87ffd8,0x7fc03fff,0x80003fff,
    0x1ffffffa,0x221bf200,0x007fffff,0x3fffe200,0x003dff05,0x0007fa80,
    0x816fffc4,0x2ffffff8,0x3a1bfd10,0xff102fff,0x3e205fff,0x0004ffff,
    0x40007fa8,0x804ffff9,0x06fffff9,0x37ffffcc,0xb81fffd4,0xefffffff,
    0x260f8002,0x85ffffff,0xffff803d,0x003bea4f,0x53fff200,0x000ffff8,
    0x0003fd40,0x37ffffcc,0x3ffffc80,0x3bfff620,0x3fffe200,0xfffff003,
    0x21ffb809,0x05fffff9,0x7ffffc40,0x50fffb06,0xf807ffff,0x0003ffff,
    0x9fffffb0,0x4c07ec00,0x006fffff,0x3fffe200,0x000ef885,0x003ffd80,
    0x900bfe20,0x40bfffff,0x3ffe1fff,0xffff106f,0x3fff205f,0xfb00006f,
    0x7cc0007f,0xf8804fff,0x4405ffff,0xa85fffff,0x3fa03fff,0xdfffffff,
    0xf703e001,0xd87fffff,0xfffff803,0x005fff74,0x29fff700,0x0007fff8,
    0x0003ffd8,0x2fffffc4,0x3ffffb80,0x03ffff60,0x07fffee0,0x13ffffe0,
    0xffb87ee0,0x44004fff,0xb07fffff,0xfff50fff,0xffff807f,0xf100003f,
    0x001fffff,0x3fea05f3,0x00005fff,0x217fffe2,0x980000ed,0x20006fff,
    0x7fcc02f9,0xf700ffff,0x7fffd4ff,0xffff880f,0x3ff6622f,0x80000dff,
    0x0006fff9,0x013fffe6,0x027ffffc,0x427ffffc,0x2203fffa,0xfffffffe,
    0x01f004ff,0x5ffffff9,0x7ffc01ec,0xffffddff,0x6c40001f,0x0ffee0df,
    0xdfff3000,0xffff0000,0x3fea009f,0xfff503ff,0x7ffc00bf,0xffff806f,
    0x643f004f,0x004fffff,0x0ffffff8,0xfa87ffd8,0x7fc03fff,0x00003fff,
    0x13ffffee,0xffc81b60,0x00004fff,0xb17fffe2,0x3600001b,0x0002ffff,
    0xfffd00d5,0x3fe207ff,0x3ffaf66f,0xfffff106,0xffffffdd,0x6c00003b,
    0x0002ffff,0x009ffff3,0x013ffffe,0x213ffffe,0x4403fffa,0xfffffffe,
    0x07c00dff,0xffffffd8,0xfff007b0,0xffffffff,0x100001df,0xfd800000,
    0x40002fff,0x004fffff,0x107ffff5,0x005fffff,0x027fffec,0x213ffffe,
    0xff70ec1b,0x8800bfff,0xb07fffff,0xfff50fff,0xffff807f,0x7400003f,
    0x200fffff,0x3fee01fa,0x00005fff,0xd97fffe2,0xf100000f,0x000bffff,
    0xfff700ee,0x7fd40dff,0x7711f16f,0x3fffe201,0xfffffacf,0x2200001f,
    0x005fffff,0x09ffff30,0x13ffffe0,0x13ffffe0,0x400fffea,0xfffffffb,
    0x807c06ff,0x6fffffe8,0xffff007b,0xffffd1df,0x000000bf,0xfff88000,
    0x7c0005ff,0x5004ffff,0xf907ffff,0x4001ffff,0x01fffffb,0x213ffffe,
    0xff30541d,0x9800bfff,0xb06fffff,0xfff50fff,0xffff807f,0x5400003f,
    0x205fffff,0x7ffd404e,0x200007ff,0xfb5ffff8,0x3200009f,0x01ffffff,
    0x3e200a80,0x201fffff,0x0b77fffb,0x7ffffc40,0xffffff52,0x3f200001,
    0x001fffff,0x04ffff98,0x09fffff0,0x09fffff0,0x4007fff5,0xffffffc8,
    0x803e02ff,0xdffffff9,0xffff803d,0xfffff34f,0x7fec009f,0x3ff24fff,
    0xc8005fff,0x01ffffff,0x3ffffe00,0xffff5004,0xdfffff07,0xffffa800,
    0x3fffe03f,0x4401f84f,0x006fffff,0x27ffffd4,0xfa87ffd8,0x7fc03fff,
    0x04003fff,0x7fffff40,0x4c00fb81,0x007fffff,0x3fffe200,0x02ffffdd,
    0xfffcf800,0x800004ff,0x04fffffd,0x747fffec,0x3ffe2002,0x3fff22ff,
    0xf00005ff,0x09fffff9,0x9ffff300,0x3ffffe00,0xfffff804,0x03fffa84,
    0x7ffe4401,0x03e06fff,0xffffff50,0xffff007f,0x7fffd49f,0x3ea002ff,
    0x7fd44fff,0xcf8005ff,0x004fffff,0x13ffffe0,0x1ffffd40,0x1bffffe2,
    0xfffff300,0x7ffffc09,0x7c00fd44,0x4007ffff,0x03fffffa,0xff50fffb,
    0xfff807ff,0x06c003ff,0x3ffffea0,0xf8017c45,0x001fffff,0xfffff100,
    0x01fffffd,0xffdbdc00,0x00000fff,0x3fffffea,0x7fffec00,0x7fc4007b,
    0x7ff42fff,0x40002fff,0xfffffb7b,0xfff98001,0xffff004f,0xffff009f,
    0x7fff509f,0xfd100b10,0x07c0ffff,0x7ffffe40,0xffff803f,0x7fffe44f,
    0xff3000ff,0xfff889ff,0xdbdc005f,0x000fffff,0x09fffff0,0x0ffffea0,
    0x0bfffff3,0xfffff880,0x3ffffe06,0x2007fe64,0x00fffffb,0x1bfffee0,
    0xfa87ffd8,0x7fc03fff,0x22003fff,0xffffb007,0x70036c5f,0x005fffff,
    0x3fffe200,0x0bffff96,0xffa9f400,0x00003fff,0x5ffffff1,0xfffff700,
    0xfff88009,0x7ffcc2ff,0x20000fff,0xfffff53e,0xfff98007,0xffff004f,
    0xffff009f,0x7fff509f,0xd1001f10,0x3e01ffff,0xffffb000,0xffff007f,
    0xffffd09f,0xff1001df,0xfff889ff,0xa9f4005f,0x003fffff,0x09fffff0,
    0x0ffffea0,0x09fffff7,0xfffff880,0x3ffffe07,0x01fffdcd,0x07ffffd0,
    0x17ffff40,0xf50fffb0,0xff807fff,0x32003fff,0xffff3007,0x8007e6df,
    0x05fffff8,0xffff1000,0x17ffff4b,0xfd07d400,0x0000ffff,0x17fffff2,
    0x7ffffd40,0x7ffc4001,0xfffb82ff,0xf50006ff,0x3fffff41,0x3fffe200,
    0x7ffc0224,0xfff804ff,0xfffa84ff,0x1002f883,0x07c0ffff,0xffffe880,
    0xfffff803,0xfffff884,0xfff8805f,0x7fffc44f,0xe83ea005,0x0007ffff,
    0x009fffff,0x90ffffea,0x009fffff,0xffffff88,0xffffff00,0x003fffff,
    0x01bfffea,0x037fffd4,0x3ea1fff6,0x7fc03fff,0x3e003fff,0x3fff6006,
    0x8004ebff,0x00fffffb,0x3fe20d80,0x3ffe65ff,0x26c000ff,0x0bffffee,
    0xffff3000,0x3e2001ff,0x4002ffff,0x02fffff8,0x07fffffb,0xffb89b00,
    0x7c002fff,0x01b16fff,0x013ffffe,0x213ffffe,0xf883fffa,0x17ffa006,
    0x3e2000f8,0xff803fff,0xff304fff,0x8807ffff,0x7c44ffff,0x36005fff,
    0x7ffffdc4,0xffff8002,0xfff5004f,0xffffa87f,0x7fc4005f,0x3fe07fff,
    0xff914fff,0x7ffdc003,0xfffe802f,0x3ffec00e,0x01ffffd4,0x09fffff1,
    0x88017f60,0x0fffffff,0xffffb000,0x20fd800d,0x645ffff8,0x2005ffff,
    0x7ffc40f9,0x740006ff,0x003fffff,0x0fffffec,0x7ffc4164,0xfff102ff,
    0x4c003fff,0x7fffc40f,0x7fd4006f,0x3e01feff,0xf804ffff,0xfa84ffff,
    0x5ff883ff,0x02fff880,0xfa8003f3,0xfff803ff,0x3fee05ff,0x2202ffff,
    0x7c44ffff,0xf3005fff,0xfffff881,0xffff8006,0xfff5004f,0xffff987f,
    0x7fc4005f,0x3fe05fff,0x0fec4fff,0x3bffea00,0x3bffee00,0x87ffd800,
    0x204ffffb,0x05fffff8,0x4004ffd8,0x03fffffc,0x7fffe400,0x06f4c00d,
    0x217fffe2,0x003ffffe,0x3fff20bb,0xf70001ff,0x000dffff,0x9fffffd1,
    0x3e609d75,0x2a03ffff,0x00ffffff,0x3ff20bb0,0x54001fff,0x7c02dffd,
    0xf804ffff,0xfa84ffff,0xfff883ff,0x027fdc03,0xf70005f7,0xffff007f,
    0xfffe80df,0xff102fff,0xfff889ff,0x20bb005f,0x01fffffc,0x27ffffc0,
    0x3ffffa80,0x37ffffc4,0x3fffe600,0x3fffe04f,0x000fc44f,0x217fffd4,
    0x00dfffc8,0xfb0fffb0,0x7dc0dfff,0xaacfffff,0xffffdbaa,0x7ffc4003,
    0xa80003ff,0x9acfffff,0x503feca8,0xf70fffff,0x8805ffff,0xffff301f,
    0xff1000bf,0x2003ffff,0x7ffffcc1,0x3f205fff,0x6c05ffff,0x00efffff,
    0xff980fc4,0x10005fff,0x7ffffc00,0xfffff804,0x83fffa84,0x41effff8,
    0x2605ffb8,0xd8001ffe,0x7ffd403f,0x3f201fff,0x83ffffff,0x444ffff8,
    0x8805ffff,0xffff301f,0xfff800bf,0xff5004ff,0xffff07ff,0xffa800ff,
    0x3fe02fff,0x01e84fff,0xfffb5003,0x039fffdd,0x227ffd80,0xfffffffe,
    0xffffd931,0xffffffff,0x07ffffff,0xfffff880,0xb5100003,0xdfffffff,
    0x3fff203b,0xfd32ffff,0x40bfffff,0xfffffffc,0x0fffffff,0x7fffec00,
    0xf0b1005f,0x07dffffd,0xfffffdb3,0xd105dfff,0x07ffffff,0x7fffffe4,
    0xffffffff,0x000cc000,0x009fffff,0x509fffff,0x5f107fff,0xfdbffd73,
    0x3fea03df,0x003effff,0x7f6441f4,0xefffffff,0x3ffffa62,0x24ffffff,
    0x444ffff8,0xc805ffff,0xffffffff,0x00ffffff,0x13ffffe0,0x1ffffd40,
    0x07ffffdc,0xdffff900,0x4fffff80,0x005881c8,0x3fffffe2,0xfffb0000,
    0x00000000,0x7ffc4000,0x800003ff,0x009cfa98,0xf0000000,0x55555559,
    0x09fffff7,0x7ffffd40,0xa895000f,0x00015516,0x7c000000,0xaaaaaaac,
    0x04fffffb,0x401bff60,0x804fffff,0xa84fffff,0x82883fff,0x000adea8,
    0x01440000,0x10000000,0xf889ffff,0xcf805fff,0xbaaaaaaa,0x004fffff,
    0x013ffffe,0x81ffffd4,0x003ffffe,0x00bffffa,0x109fffff,0xf70012e0,
    0x0007ffff,0x3e21fff6,0xf30001df,0x8000039f,0x03fffff8,0x37ea0000,
    0x7fcc0001,0x0d70001d,0x3fffffa0,0xffffd000,0x2274007f,0x2000003d,
    0x80002dff,0xfffd006b,0x3fe001ff,0xfff802ff,0xfff804ff,0xfffa84ff,
    0x0f7cc003,0x9ff30000,0x4c000003,0x20001cef,0x444ffff8,0x5c05ffff,
    0xffffd006,0x3ffe001f,0xff5004ff,0x3fea07ff,0xff3006ff,0xfff00dff,
    0x3e2009ff,0xfffe8003,0xfd8001ff,0x6ffe887f,0xbffd3000,0xff880000,
    0x00003fff,0x00dffd10,0x06ffe880,0x2e007f00,0x803fffff,0x06fffffc,
    0x0f88fee0,0x3fa00000,0x7c0000ff,0xffff7003,0x3baa007f,0xffff803f,
    0xffff804f,0x3fffa84f,0x07ffec00,0xffe98000,0x26000005,0x40005ffe,
    0x7dc5ffff,0x1fc05fff,0xfffffb80,0xfffff003,0x3ffea009,0x3fff203f,
    0xfffd802f,0xffff800e,0x2fe8804f,0xfffe8800,0x7f4001ff,0x07ff607f,
    0x00ffe800,0x3ffe2000,0x000003ff,0x00007ff4,0x20007ff4,0x3fe001fb,
    0x7cc07fff,0x001fffff,0x02dc5ff7,0x7fe40000,0x07ee0002,0x7fffff80,
    0x4007c400,0x804fffff,0xa84fffff,0xd8003fff,0x400002ff,0x00000ffe,
    0x0007ff40,0x21ffffd0,0x05fffffb,0xff8007ee,0xff007fff,0x2a009fff,
    0x5403ffff,0x2a00efff,0xf1005fff,0xa80bffff,0x20001ffe,0xbefffffd,
    0x3ffe019a,0x003ffa07,0x003ffc40,0x3fffe600,0x4000004f,0xd00006ff,
    0x7f8800ff,0x7fffe400,0x3fffa03f,0xfe9804ff,0x000ba1ff,0x07ff6000,
    0x003fc400,0x0ffffff2,0xf8805b80,0x4405ffff,0xa85fffff,0xd8004fff,
    0x200000ff,0x00007ff8,0x003ffc40,0x3ffffe60,0x7ffffaff,0xc800ff10,
    0x403fffff,0x05fffff8,0x09ffff70,0x83fffd10,0x003fffc9,0x3fffffee,
    0xfecba9ac,0x40000fff,0xffffffc9,0x7fe5445f,0x7fed447f,0xfdb88003,
    0x6400002f,0x00efffff,0x7edc4000,0x2e20001f,0x26002ffd,0x32003ffe,
    0x81ffffff,0xbffffffb,0xdbaaaaaa,0xf30fffff,0x54400000,0x30004ffc,
    0x64007ffd,0x01ffffff,0xfb8026c4,0x200fffff,0x0ffffffb,0x4d7fffd4,
    0x3ff2a200,0xb7100003,0x000005ff,0x007ff6e2,0x3fffee00,0xfffff88e,
    0x0fffa62f,0xfffffc80,0x3ffee01f,0xfd800fff,0x2e006fff,0xfffeffed,
    0xec8801ce,0xffffffff,0xffffffff,0x4400007f,0x2aaa01a9,0x664c2aaa,
    0x7950000a,0x2e000015,0xffffffec,0x0000cdff,0x000acca8,0x0055e540,
    0xdfffff90,0x3ffb620b,0x26ffffff,0xfffffff8,0xffffffff,0x267fffff,
    0x26000001,0x90000acc,0x0bdfffff,0x3ffffb62,0x2606ffff,0x7ff64400,
    0x3dffffff,0xfffffd91,0x2a27bfff,0x201aaaaa,0x0000acc9,0x002af2a0,
    0x2bca8000,0x0a980000,0x7fffe400,0xfdb105ef,0xdfffffff,0x7ffff644,
    0x883dffff,0xfffffffe,0x55cc4001,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x6dd44000,0x1b81cdee,
    0x00ae2000,0x04cccc40,0x201eb800,0x0000005b,0x77640000,0xeeeeeeee,
    0x5c400000,0xee800002,0xeeeeeeee,0x77640006,0xeeeeeeee,0xdddd7000,
    0x03dddddd,0xeeeeeec8,0xc801eeee,0xeeeeeeee,0x2ec001ee,0x20000000,
    0x000002ca,0x164c0010,0x5100ea00,0x2601d401,0x2201d402,0x09998002,
    0x03a81331,0x4ccc014c,0x00013310,0x800ccccc,0x2e000bc8,0xdcceffff,
    0x1faacffe,0xbfff3000,0xffff1000,0x0ffc0009,0x0000ff62,0x3fd88000,
    0xfffffd00,0x003fffff,0x7ff7dc00,0x3fe00002,0xffffffff,0x7ff40007,
    0xffffffff,0xffff9001,0x05ffffff,0xffffffd8,0xd801ffff,0xffffffff,
    0xfdb801ff,0x0001ceff,0x7ffc4000,0xdb951002,0x1b20379b,0x17f6fec0,
    0x980df880,0x827cc06f,0x2fcc05fa,0x54005f98,0x7ffd0eff,0xbf504f98,
    0xd0fffa80,0x2e0007ff,0x9802ffff,0xd8807fff,0xd500bfff,0x0003ffff,
    0x003ffff2,0x01fffe60,0xd12ffb80,0x000000df,0x01fffb80,0xffffffe8,
    0x0001ffff,0x035c5f10,0xfffff000,0x00ffffff,0xfffffe80,0x001fffff,
    0xfffffff9,0xfd805fff,0xffffffff,0xfffd801f,0x1fffffff,0x3673fa60,
    0x01dffead,0x55e5cc40,0x13ffe201,0x9bfffb30,0x5c5dfffb,0x20f9801f,
    0x3bf2006c,0x2007fea0,0x3fee0dfd,0x20efc800,0x6c001ffb,0x0bff31ff,
    0xffb837f6,0x88ffe400,0x360005ff,0xfb002fff,0x7dc05fff,0xf9003fff,
    0x2e0003ff,0x20007fff,0x0001fff9,0x3fff3ffa,0x00000002,0x0017ffd4,
    0xb8000000,0x00002f86,0x00000000,0x00000000,0x00000000,0x365ff980,
    0x2013ff25,0xdbdfffc8,0xfa82dfff,0x3ffee03f,0x7ffd440d,0x99002fce,
    0xf1001f88,0x0bff93ff,0x367bfe60,0xff1003ff,0x009ff93d,0x7fdc9ff0,
    0xb3dff300,0x9ff009ff,0x80007fdc,0x2003fff8,0x503ffffd,0x8007ffff,
    0x10001ffc,0x80007ffd,0x20004ff9,0x06fffffa,0x70000000,0x000001df,
    0x21ae0000,0x0000001f,0x00000000,0x00000000,0x26030000,0x87ffa200,
    0x2027e45d,0xd305fffa,0xf5339dff,0x3fffa209,0x7fffd405,0xf3172004,
    0x7ffdc001,0x36000fff,0x007fffff,0x7fffffe4,0x237d4000,0x7fec02fe,
    0x5400ffff,0x0017f46f,0x8007ff70,0x880ffffa,0x000fffff,0x40001fd8,
    0xf5000009,0xffe8000f,0x554401ff,0xaaaaaaaa,0x5555442a,0x0edbaaaa,
    0x5e5d4c00,0x4000009a,0x001ae2f8,0x55555551,0xa8855555,0x02aaaaaa,
    0x20001500,0xaaaaaaa8,0x5512aaaa,0x55555555,0x55555555,0x3ffe2015,
    0x5413ff21,0x21761fff,0xfffb104f,0xffff880b,0x3f602cce,0xfd801fff,
    0xf1000fff,0x20017625,0x004fffff,0x17ffffc4,0x3fffe200,0x0fd8003f,
    0x3e2013e2,0xc802ffff,0x0017e21f,0x20007fb0,0xffb00cda,0x26000bff,
    0x0000001f,0x000f5400,0x00799930,0xfffff951,0xb8855bff,0x9abefffc,
    0x3ff62000,0xffffdbef,0x3ee00002,0x44002ffe,0xffffffca,0x65c42adf,
    0x002befff,0x220009d0,0xffffffba,0xf9512bdf,0xffffffff,0xffffffff,
    0x53fff203,0xb80ffff8,0x21764fff,0xffffb04b,0xffff7001,0xffffb803,
    0xffff3006,0x7ffdc00d,0xffb8001d,0xfc8000ff,0xf90006ff,0x36000dff,
    0xf9002d42,0x0f600dff,0xe80001b5,0x2a000003,0x001fffff,0x2aa20760,
    0xaaaaaaaa,0xaaaaaaaa,0x0980c00a,0x00980c00,0xbfffff50,0x003fea00,
    0x06fffd40,0x006fff4c,0x005f8800,0xfffffa80,0x01ff5005,0x003fd400,
    0x7ffffcc0,0x7fffcc06,0xffea884f,0x9fff701f,0x5c1fffe2,0x0bb4ffff,
    0xffff5051,0x3ffe200b,0x3ffe206f,0xffd002ff,0xa8007fff,0x00000001,
    0x00000000,0x00000000,0x00000000,0x3f600000,0x40007fff,0xffca8808,
    0xffffffff,0x1fffffff,0x643fff10,0xff8804ff,0x013ff21f,0x0fffffe6,
    0x4002fc40,0x00efffd8,0x00ffffe2,0x001fea00,0x3ffffe60,0x00bf1003,
    0x003ffd80,0x7ffffc40,0xfffff805,0x80ffdc04,0x3ee0dfd8,0xffff503f,
    0x2200bddf,0x002fffff,0x413ffff6,0x00fffffc,0xffffced8,0x0000000f,
    0x0002ae62,0x53100000,0x00000037,0x330dd4c0,0x00ab9880,0x81aba880,
    0x4009bb98,0xfffff01a,0x3000000f,0x109fffff,0x203fffd5,0xff14fffc,
    0xffc801ff,0x1ffff14f,0xfffff880,0x0013e003,0x003ffff6,0x007fffee,
    0x007ffb00,0xfffff880,0x0013e003,0x006fff98,0x4fffff80,0x4fffff80,
    0x0401fb80,0xffffd000,0x3f200dff,0x5c007fff,0xf81fffff,0xc807ffff,
    0xfffffa8f,0x3fffff62,0x3fffff24,0x3bff6205,0xffb03efe,0x7fe49fff,
    0x3a605fff,0x0dffffef,0x9fffffb0,0x2fffffe4,0xdffeffc8,0xdffb102f,
    0xd5007dfd,0x27ffffdf,0x2fffdfe9,0x3fe20f60,0x00006fff,0x9fffff00,
    0x701ffb80,0x3fe29fff,0xfffb807f,0x00ffff14,0x07fffff1,0x2a001f40,
    0x2005ffff,0x0006ffff,0x001bffe6,0x7fffff10,0x0001f400,0x005ffffb,
    0x4fffff80,0x4fffff80,0x00003f00,0x7ffffcc0,0x7fc00eff,0x54006fff,
    0x4c3fffff,0x406fffff,0xffff31fb,0xffffa89f,0x2ffffd44,0x362ffe98,
    0xfff503ff,0xffffa89f,0x5c1df905,0x3ea05fff,0x7fd44fff,0x1ffb85ff,
    0xd307ff71,0x1ffec5ff,0x7dc1df90,0xb12ffdff,0x213a07ff,0x05fffffa,
    0xfff00000,0x3f7009ff,0xb837f620,0xfd8803ff,0x00ffee0d,0x0fffffe2,
    0x22003e80,0x002fffff,0x013ffff6,0x17fffec0,0xffff1000,0x01f4007f,
    0xfffff880,0x7ffc0005,0xfff804ff,0x6c1b84ff,0x3fffff61,0x3fffff24,
    0xfffff305,0x3e207fff,0x4006ffff,0x44fffff9,0x06fffffa,0xfff98bea,
    0x7ffcc5ff,0x7fffc44f,0x88ffff05,0xff982fff,0x7ffc44ff,0x46ffa85f,
    0x303ffff8,0xf889ffff,0x7fe85fff,0xfff83fa8,0x417ffc47,0xffd85ffb,
    0x7ffcc5ff,0xffb85f80,0x00004fff,0x9fffff00,0x01007e00,0x00004000,
    0x1fffffc4,0x64007d00,0x000fffff,0x07ffffee,0xfffff100,0x7fc4000b,
    0x3a003fff,0xfff90003,0x40003fff,0x804fffff,0xd84fffff,0x3fea0541,
    0x7ffd44ff,0x3ffa205f,0x985fffff,0x005fffff,0x37ffffc4,0x17ffffee,
    0x3fe21fcc,0x7fc47fff,0x7ffc44ff,0x4fffb85f,0x441fffe8,0x7c44ffff,
    0xffe85fff,0x2ffffc2f,0x44ffff88,0x4c5ffff8,0x43d84fff,0xfe84fffb,
    0x7fff41ff,0x1ffffe41,0x3e227ffc,0xfffffa87,0xf0000005,0x3709ffff,
    0x000001d8,0x7c400000,0x2003ffff,0x3ffe003e,0x7d4006ff,0x4003ffff,
    0x1ffffffc,0xffff1000,0x01f4007f,0xffffcf80,0x3fe0004f,0xff804fff,
    0x01f84fff,0x44ffff98,0x805ffff8,0xfffffffb,0x7ffffdc6,0x7ffc4004,
    0x7ffdc7ff,0x84f884ff,0x0ffffff8,0x113fffe2,0xf88bffff,0xffd83fff,
    0x7fffc44f,0x2ffffc44,0x3e27fff4,0xff106fff,0xfff889ff,0x7fffdc5f,
    0xff89260d,0xfffd83ff,0x227fff44,0xe82ffffb,0x07fd47ff,0x1bffffe6,
    0xdddddb10,0x7c0bdddd,0x1d84ffff,0xffffb054,0x7fffe49f,0x7fffec5f,
    0x3ffff24f,0x3ffe205f,0x0fa003ff,0x7ffffc40,0x7ffcc006,0x67c004ff,
    0x004fffff,0x7fffff10,0x4001f400,0xfffffb7b,0x3ffe0001,0xfff804ff,
    0x00fd44ff,0x227fffc4,0x005ffff8,0xffffffd3,0x7ffffe47,0x7ffc4004,
    0x3fea0fff,0x2f445fff,0x7fffff88,0x227fffc4,0x545ffff8,0xfd82ffff,
    0x7ffc46ff,0x7fffc44f,0x40fffa85,0xf106ffff,0xff889fff,0x7ffc45ff,
    0xff501eff,0xfffb05ff,0x40effa8d,0xd81ffffb,0x3ff20fff,0x7fffff82,
    0xffffd100,0xfff801df,0x801f84ff,0x544ffffa,0xfa85ffff,0x7fd44fff,
    0x3fe205ff,0x3a003fff,0xffff3003,0xff8800bf,0x2e006fff,0x1fffffb7,
    0xffff1000,0x01f4007f,0xfffa9f40,0xff0003ff,0xff009fff,0x7fcc9fff,
    0xffff8801,0x2ffffc44,0xfffffb00,0x3ffea1ff,0x7c4005ff,0x7c47ffff,
    0x76c5ffff,0xfffff300,0x4ffff88d,0x22ffffc4,0xd82ffffb,0x7fc47fff,
    0x7ffc44ff,0xfd50605f,0x3e20dfff,0x7fc44fff,0xfffe85ff,0xffb83fff,
    0xfffd82ff,0x7e441887,0xeeeeffff,0x3a1ffffe,0xfffe84ff,0x3fea007f,
    0xff803fff,0x0fd44fff,0x27fffcc0,0x217fffe2,0x444ffff9,0x2205ffff,
    0x003fffff,0x7fdc00fa,0x44004fff,0x007fffff,0x7fffd4fa,0xff88003f,
    0x3a003fff,0xd07d4003,0x000fffff,0x013ffffe,0x337ffffe,0x8801fffd,
    0x7c44ffff,0x36005fff,0x1fffffbd,0x0bfffff3,0xfffff880,0x6fffff85,
    0xff9803f2,0x7fc45fff,0x7ffc44ff,0x7fffe45f,0x1ffffd82,0x113fffe2,
    0x500bffff,0xdffff7fd,0x13fffe20,0x50bffff1,0xbfffffff,0x82ffffc8,
    0x201ffffd,0xfffbdfc8,0xaaaaaabf,0x1bffe0aa,0x07ffffee,0x7ffffcc0,
    0xfffff802,0x2007fe64,0x444ffff8,0xf885ffff,0x7fc44fff,0x3fe205ff,
    0x3a003fff,0xffff9003,0xff88009f,0xa800ffff,0x3ffffa0f,0xfff88007,
    0x0fa003ff,0xffb89b00,0xf8002fff,0xf804ffff,0xffffffff,0xff8801ff,
    0x7ffc44ff,0x5d80c45f,0x225ffff7,0x006fffff,0x27ffffcc,0xbbffffec,
    0x7ffd401f,0x7ffc42ff,0x7fffc44f,0x17fffe45,0x10ffffec,0xf889ffff,
    0x3a205fff,0xdffff1ff,0x13fffe20,0x20bffff1,0xfffffffa,0x0bffff23,
    0x407ffff6,0xfff52ffb,0x7fcc005f,0xfffe80ff,0xfff3004f,0xfff003ff,
    0xfffb9bff,0xffff1003,0x5ffff889,0x44ffff88,0x205ffff8,0x03fffff8,
    0x7d400fa0,0x4005ffff,0x07fffff8,0xfffb89b0,0x7c4002ff,0x2003ffff,
    0x03e6003e,0x0dfffff1,0x9fffff00,0x9fffff00,0x2007ff22,0x444ffff8,
    0x2cc5ffff,0x3fffa5d8,0x1fffffe2,0xfffff500,0xfffff705,0xff9005f7,
    0xfff10fff,0xffff889f,0x17fffdc5,0x107fffec,0xf889ffff,0xff705fff,
    0x37fffc3f,0x44ffff88,0x205ffff8,0x7fffffe8,0x20bfffee,0x440ffffd,
    0x3fea1ffe,0x3ee003ff,0xff881fff,0xf9800fff,0xf801ffff,0xffffffff,
    0xff8801ff,0x7ffc44ff,0xffff885f,0x2ffffc44,0x7fffff10,0x9801f400,
    0x005fffff,0x2fffffc4,0x3e207cc0,0x4006ffff,0x03fffff8,0x5d800fa0,
    0x3fffff90,0xfffff800,0xfffff804,0x4400fec4,0x7c44ffff,0x07cc5fff,
    0x1fff72ec,0x07ffffdc,0xdffff900,0x7ffffec0,0xffffd003,0x9ffff107,
    0x45ffff88,0xd82ffffa,0x7fc47fff,0x7ffc44ff,0x4fffa85f,0x8837fffc,
    0x7c44ffff,0x20445fff,0x51fffffc,0xfb05ffff,0xfff98fff,0x37fffcc5,
    0x7ffffb00,0x13fffea0,0x3ffffe60,0xfffff801,0x003ff914,0x889ffff1,
    0xf885ffff,0x7fc44fff,0x3fe205ff,0x3e003fff,0xffff1003,0xff9800df,
    0x5d804fff,0x3fffff90,0x7fffc400,0x00fe003f,0xff980fc4,0x7c005fff,
    0xf804ffff,0x7c44ffff,0xffff8801,0x2ffffc44,0xc9760fe6,0xfffe86ff,
    0x3ffa003f,0x3fe202ff,0xff3006ff,0x3fe20dff,0x7ffc44ff,0x7fffc45f,
    0x45fffe83,0x444ffff8,0xff85ffff,0x7fffc2ff,0x9ffff106,0x45ffff88,
    0xffffa85a,0x07ffff12,0xfe8bfffd,0xfffe82ff,0x7f42a01f,0x3ea04fff,
    0x7cc04fff,0xf801ffff,0x7ec4ffff,0xffff8801,0x2ffffc44,0x227fffc4,
    0x205ffff8,0x03fffff8,0xff800fe0,0x54007fff,0x402fffff,0xfff301f8,
    0x7c400bff,0x2003ffff,0xfff9003f,0xffffffff,0x7c001fff,0xf804ffff,
    0x1e84ffff,0x7fffc430,0x2ffffc44,0x4bb0bfe6,0xffa81ffe,0xff5006ff,
    0xff500dff,0xffb007ff,0x7ffc01ff,0x7fffdc5f,0x83fffb85,0xff81ffff,
    0x7ffdc5ff,0x7fffcc5f,0x1bfffea5,0x5c5ffff8,0x7cc5ffff,0x20fffc82,
    0xff83fffb,0x3ffe61ff,0xffffc84f,0x3fe6980e,0x64405fff,0x4c09dfff,
    0x00effffc,0x44fffff8,0xff8801f8,0x7ffc44ff,0xffff885f,0x2ffffc44,
    0x0fffffe0,0x70017c40,0x001fffff,0x037fffe4,0x7fffffe4,0xffffffff,
    0x3fffe000,0x05f1003f,0x2aaab3e0,0xffffbaaa,0x3ffe004f,0xfff804ff,
    0x881c84ff,0x13fffe25,0x98bffff1,0x3bb1bfff,0x7e405ffb,0xfe802fff,
    0xff000eff,0x7dc03fff,0x7f401eff,0xfff70fff,0xfff10bff,0x05fff98d,
    0x2e1ffffd,0x4c5fffff,0xfeefffff,0x828fffff,0xf70ffffe,0xf98bffff,
    0x446ffa86,0x7fcc6fff,0x7fffd45f,0xfffda9bf,0xc98affff,0x3ffff21f,
    0xffdb3002,0xbffffddf,0x7ffc0017,0x301e84ff,0x227fffc4,0x885ffff8,
    0x7c44ffff,0x7fc05fff,0xf3004fff,0xfffe8003,0x3ffa003f,0xacf802ff,
    0xfbaaaaaa,0x2004ffff,0x003fffff,0x0d7003f3,0x3fffffa0,0xfffff000,
    0xfffff009,0xf12e0109,0xffb8bfff,0xffdb85ff,0x0dffffff,0x0efffa80,
    0x017fff20,0xeffeaed8,0x3fff6a0a,0xffff3004,0xffff5fff,0x8bffa60f,
    0x3e604ffd,0xfaffffff,0xffe87fff,0xffb8dfff,0xff982fff,0xffafffff,
    0x77fcc7ff,0x303ffb12,0x7fec5ffd,0xfffffd04,0xfff319ff,0x85ffffff,
    0x000ffff9,0x9aadea88,0x3ffe0001,0x881c84ff,0x13fffe25,0x10bffff1,
    0xf889ffff,0x7ec05fff,0xf9005fff,0xffff5000,0x3ffe600d,0x006b806f,
    0x01fffffd,0x17ffff60,0x3f803e40,0xfffff700,0x3fffe007,0xffff804f,
    0x87f1004f,0xf70ffffe,0x980bffff,0x8000eeaa,0x541fffe8,0x2003fffd,
    0x3ff660fc,0x1cffffef,0x7fffdc00,0xfffff88e,0xeffd882f,0xfb803fff,
    0xff88efff,0x3662ffff,0x3f622dff,0x3fee02ef,0xfff88eff,0xdbf12fff,
    0x403dffff,0xfffeffd8,0x3fffaa03,0x7fecc1df,0x7101dfff,0xef980005,
    0xfff00002,0x2e0109ff,0x13fffe24,0x10bffff1,0xf889ffff,0x7d405fff,
    0x5400ffff,0xff90003f,0xffb005ff,0x07f001df,0x3ffffee0,0xffff5003,
    0x03fa801f,0x3e001fb8,0xf007ffff,0xf009ffff,0x1009ffff,0xfff985fd,
    0xfffaffff,0x0176007f,0xdffdb700,0x0039dfff,0x75300fcc,0x30000357,
    0x26000015,0xa98000aa,0x20020000,0x002a6000,0x00aa8860,0x000554c0,
    0x2a600353,0x20000000,0x0000fffd,0x04fffff8,0xfff87f10,0x7fffdc5f,
    0x8bffff05,0x805ffffb,0x00effffd,0x40001df3,0x200efffa,0x7005fffa,
    0x7ffc003f,0x3f6007ff,0xf300efff,0x07f8801d,0x7ffffe40,0x7fffc403,
    0x7ffc405f,0x7f5405ff,0xffffb81f,0xfffff88e,0x0019802f,0x06ae6200,
    0x00001000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x1ffd8000,0xffff8000,0x2fe8804f,0xb87ffff4,0xd05fffff,0x3ee1ffff,
    0x8805ffff,0xaceffffd,0x000efdb9,0x1fffe880,0x01fffe4c,0x64007f88,
    0x003fffff,0x9dffffb1,0x01dfd735,0x003ffe98,0x3ffffff2,0x3fffee01,
    0x3fee00ff,0xa9acffff,0x0ffffecb,0x00002a60,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00ffe800,
    0x7fffc400,0x7ff5405f,0x7ffffcc1,0x7ffffaff,0xffffff30,0x0fffff5f,
    0x7ffff5c0,0x0002efff,0xeffedb80,0x001cefff,0x4007ffd3,0x1ffffffc,
    0x3fffae00,0x802effff,0x5efffffc,0xffffdb10,0x644dffff,0xfffffffe,
    0xffd913df,0xffffffff,0xffffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00fff6a2,
    0x3fffee00,0xcba9acff,0xb80ffffe,0xf88effff,0xb82fffff,0xf88effff,
    0x002fffff,0x06ab2aa6,0x4c400000,0xfc8001ab,0x105effff,0xffffffdb,
    0xa9800dff,0x0001aaca,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x30000000,
    0x40001599,0xfffffec8,0xffffffff,0x4c07ffff,0xa980000a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x26000000,0x31001999,
    0x32201333,0x01cc04cc,0x910002a2,0x5c000799,0x30014c02,0x5c003333,
    0xb5000ccc,0x09d70001,0x09999880,0x01e66440,0x03ccc880,0x0ccccc00,
    0x01333310,0x0ccccc00,0x00999988,0x13333100,0x2b6e6000,0x04eb8000,
    0x00266662,0x40006d40,0x322001ed,0x99910002,0x99910009,0x26600007,
    0x17100199,0xa8800550,0x555400ab,0xaaaaaaaa,0x00f441aa,0x001a80d3,
    0x00ffffea,0x80ffffe4,0x203ffffc,0x6e980ef8,0xffffd800,0x07f70001,
    0x7d400fee,0xf5002fff,0x64c09fff,0x44000fff,0x7e4001ff,0x7e401fff,
    0xd8002fff,0x0002ffff,0x405ffff5,0x005fffe8,0x07ffff30,0x003fffec,
    0x06fffe88,0xfffffd80,0x07fe2000,0x00ffffd0,0x007ffe4c,0xd8017f20,
    0x4002fedf,0x002ffffc,0x00ffffec,0x3fffea00,0x1fff9802,0x64017ff6,
    0x504ffcff,0xffffffff,0xf07fffff,0x20df301d,0xb006fff9,0x7c007fff,
    0xff101fff,0xfb80dfff,0x00bfea0e,0xdfffff30,0x227f4000,0x3f6006fd,
    0x3fa003ff,0xcb80ffff,0x4000fffd,0xff8003fe,0x7fcc01ff,0x4c006fff,
    0x006fffff,0x007fffb0,0x001ffff1,0x809fff90,0x001fffe8,0x01fffd10,
    0x7fdd7640,0x0ffa004f,0x07fffa20,0x3fff72e0,0x03fe6000,0x0d907cc0,
    0x7ffffc40,0x3ffe6006,0x6c0006ff,0xf9002fff,0x3ffe2bff,0x3bfa200f,
    0xf70bff30,0xffffffff,0xf901ffff,0x9fffdbff,0x0bffff20,0x800fffe0,
    0x3601fffa,0x03ffeeff,0x7fdcfffc,0xdffe8005,0x50002fff,0x5ffd3bff,
    0x01fffc00,0xffbdff70,0x07ffcc0b,0x000df700,0xd003fff5,0x05ffdbff,
    0x7f6fff40,0xfff8002f,0x3ffe6003,0x4fff8002,0x09ffd100,0x1fff4400,
    0x7fdc2880,0x00df7004,0x0027ff44,0x4001fff3,0x132003fe,0x3f6003f1,
    0x003ffeef,0x5fffbffd,0x3ffe2000,0x3ffea003,0xd01fffe3,0x3ffd87ff,
    0x7fffffec,0x06ffffff,0xffffffd1,0x7ffff40d,0x027fd404,0x9807ff20,
    0x1ffb15ff,0x7ffffdc0,0x7fdc001f,0x000dfd14,0x2ffffff4,0x009ff500,
    0xfc877fc4,0x1fff301f,0x007fe200,0x2007ff20,0xdfd14ffa,0x453fea00,
    0x7d4006fe,0xff98004f,0x27fcc005,0x01ffa200,0x00dff100,0x40077e40,
    0x44001ff8,0x3e6006fe,0xbf9000ff,0x7c45c800,0x15ff9800,0xfb801ffb,
    0x00dfd13f,0x000ffea0,0xeea833f2,0x03ffee02,0x7fc1fff9,0xffffffff,
    0x3a203fff,0x200effff,0x401ffffb,0xff8004fc,0x6c1ff402,0x7fff403f,
    0x7fc4004f,0x0017ec42,0x1fffffa8,0x0013f600,0x0bf709f9,0x4003ffe6,
    0xff0003fe,0x20bfa005,0x2fe803fd,0xb001fec4,0x7cc0009f,0x17f2000f,
    0x00ff4400,0x003fe600,0x009ff710,0x44000ffa,0xff3001fe,0x1ff3001f,
    0xb12f8800,0x20ffa00b,0x3fe203fd,0x0017ec42,0x00001fec,0x87fff800,
    0xff32fffb,0x3333355b,0x95001ff9,0xdf910057,0x0009b007,0x2fa805d3,
    0xfa803f20,0x64000fff,0x001b601e,0x004fffe8,0x3e60026c,0x2607ea03,
    0xfb800fff,0x05d30006,0x7c807ee0,0xd900fdc0,0x00026c00,0x9b000f54,
    0x03d88000,0x002e9800,0x02fffff4,0x10001bee,0x3fe6007b,0x03fe800f,
    0x3bfff700,0x6405f500,0x403d900f,0x04e8006d,0xf3000000,0xfff70dff,
    0x3a003ee7,0x0000006f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x07ffcc00,0x0007fe20,0x00000000,0x00000000,0x00000000,0x00000000,
    0x1fffea80,0x0003ff10,0xfff98000,0x002fdc00,0x00000d40,0x00000000,
    0x80000000,0xeeeffffa,0x394fffee,0x007ff100,0x00037531,0x02aee600,
    0x4375301b,0x43753019,0xabb98019,0x00000000,0x00aba880,0x006ea620,
    0x00abb980,0xb003ffe6,0xb980007f,0x531000ab,0x26200037,0x988000ab,
    0xa88000ab,0x2a2000ab,0x262000ab,0x000001ba,0x05ffd000,0x88000ff6,
    0xf3000ab9,0x7fcc01ff,0x2a620000,0x7510001b,0x00000015,0xffd80000,
    0x3ff24fff,0x7fdc5fff,0xaaaaaaff,0x7dc001aa,0x3bfa601f,0x000dffff,
    0xfeeffc80,0xff90b93f,0x905fbffd,0x5fbffdff,0x7feffe40,0x7fffdc3f,
    0xffe89dff,0x3ae5ffff,0x3ff206ff,0x74c04ffc,0x0dffffef,0xffbff900,
    0x3ffe607f,0x001bee00,0xfffdffc8,0x3fbfa603,0x8800dfff,0x3efeeffd,
    0xeeffd880,0xff9003ef,0xf9009ff9,0x9809ff9f,0xdffffefe,0xfffffb00,
    0x7ffffe49,0x03ff7005,0x22000df7,0x3efeeffd,0x007ffcc0,0x260007fd,
    0xdffffefe,0xf9ff9000,0xffffb09f,0x7fffe49f,0x7fffec5f,0x3ffff24f,
    0xffffa85f,0x2ffffd44,0x003ffff2,0x40dfd000,0x3fee0efc,0x3a20005f,
    0x3ffee4ff,0x88ffdc0e,0x7fdc3ffb,0x107ff711,0x3ff21dfb,0x7fffd43f,
    0x5ffffd87,0xfd104f98,0x417fe61d,0x3fee0efc,0x77ec405f,0x507fff90,
    0x3e201fff,0xfd88001f,0x07fff90e,0x7fdc1df9,0x7ff4c05f,0x980fff62,
    0x3ff62ffe,0x43bfa203,0xfd105ff9,0x417fe61d,0x3fee0efc,0x3ffea05f,
    0x7fffd44f,0x3ea1ecc5,0x001ff884,0x362ffe98,0x3fea03ff,0x00bf700f,
    0xfb83bf20,0x7f4405ff,0x50bff30e,0xfa89ffff,0xffa85fff,0x7ffd44ff,
    0xffff985f,0x2ffffc44,0x00bfffee,0x03ff8800,0xff88dff5,0xfd0003ff,
    0x5fff88ff,0x3fa87fe8,0x1fd43ff4,0xff51fff4,0xfffd81ff,0x7fffc42f,
    0xfd00f987,0x43ffd87f,0x7fc46ffa,0x3ffa03ff,0x03fffea3,0x3605fff9,
    0xffd0003f,0x07fffd47,0xff88dff5,0x3ffe03ff,0x817ffc47,0x7fc47fff,
    0x87ffd02f,0xffe83ffd,0x2a1ffec3,0x7ffc46ff,0xffff303f,0x5ffff889,
    0x755f7fe4,0x0007fb05,0xff11fffe,0x3fff205f,0x000ff982,0x7c46ffa8,
    0x3fa03fff,0x21ffec3f,0x444ffff9,0xf985ffff,0x7fc44fff,0xfff885ff,
    0x7fffc44f,0x27fffd45,0x3ff70000,0xf0bfffa0,0x0440bfff,0x742fffd4,
    0x3fe62fff,0x3e63d84f,0x543d84ff,0x7ffc0fff,0x7fffcc1f,0x1fffff84,
    0xfffb82dc,0xd07ffe40,0xfff85fff,0x1fff505f,0x951ffff8,0xb8999999,
    0x20e4c06f,0x7fc0fffa,0x3fffa1ff,0x82ffffc2,0xfe84fffb,0x7ffdc1ff,
    0x41fffe84,0x7e40fffb,0x3ffee0ff,0xd07ffe40,0xfff85fff,0xffff105f,
    0x5ffff889,0x0e6f6544,0x64c06fb8,0x427ffdc1,0x32a1fffe,0x744ccccc,
    0x202b883f,0x7fc2fffe,0xfff705ff,0x20fffc81,0x444ffff8,0xf885ffff,
    0x7fc44fff,0xfff885ff,0x7fffc44f,0x7ffffc45,0x6c007100,0x3fffa06f,
    0x437fffc4,0x7f44ffd8,0x7ffc45ff,0x3fffee6f,0xffb9260d,0xd1260dff,
    0xffc81fff,0x8ffffd07,0x44fffffa,0x0ffff02e,0x7f45fff7,0x7fffc4ff,
    0x81fffd06,0x88007ffc,0x3fe201ff,0x207fff43,0x7ff47ffc,0x37fffc4f,
    0x41ffffc4,0x3e24fffd,0xffd83fff,0x43fffc4f,0x3fe2fffb,0x2fffb87f,
    0xff13fffa,0x3fe20dff,0x7ffc44ff,0x3e20005f,0x8ffe201f,0xd83ffff8,
    0xb8004fff,0x7fff445f,0x4fffe84f,0xf837fffc,0xfffb87ff,0x13fffe22,
    0x10bffff1,0xf889ffff,0xff885fff,0x7ffc44ff,0xffffd85f,0x22003d05,
    0x3fea04ff,0x37fffc0f,0x88ffffdc,0x3a24ffff,0xf10fffff,0x203dffff,
    0x1efffff8,0x20ffff30,0xfff700ba,0x7ffdec5f,0x7cc1e67f,0xfffb86ff,
    0xf03ffea3,0xff30dfff,0x002ea0ff,0xe880ff60,0x3ffe63ff,0xfa817507,
    0x7fffc0ff,0x2ffffa86,0x2a6fffd8,0xfd82ffff,0x3ffe66ff,0x33fffb86,
    0xff70dfff,0x07ffd47f,0x441bfffe,0x7c44ffff,0x20005fff,0x3fa203fd,
    0x3fffea3f,0x06fffd82,0x3207fcc0,0x42ffffef,0x7fc0fffa,0xfff986ff,
    0x23fffb86,0x444ffff8,0xf885ffff,0x7fc44fff,0xfff885ff,0x7fffc44f,
    0xfffff985,0x004eb9ae,0x06007fee,0x0dffffd5,0x269ffffd,0x3364ffff,
    0x3a1ffffc,0x03ffffff,0x7ffffffd,0x01ffff50,0xbffff100,0x3fff23e2,
    0x3ea0992f,0xeeeeefff,0x54184fff,0xa86ffffe,0x0000ffff,0xfb01bee0,
    0x7ffd47ff,0x5418000f,0xb86ffffe,0xfd82ffff,0x3ffee7ff,0x7fffd82f,
    0x3bbfffea,0x54fffeee,0xddddffff,0x8309fffd,0x06ffffea,0x889ffff1,
    0x0005ffff,0xffd80df7,0x3fffee3f,0x07fffd82,0x9661ff40,0x8305fff8,
    0x86ffffea,0xeeeffffa,0x224fffee,0x7c44ffff,0xff885fff,0x7ffc44ff,
    0xffff885f,0x2ffffc44,0xffffffa8,0x7ec005ff,0x5ff54006,0xfc86ffff,
    0xfff72fff,0x7fe5729f,0x3ffea2ff,0xfa85ffff,0x45ffffff,0x001ffffb,
    0x71ffffb0,0x57fffe6b,0xffff701e,0x55555555,0x7dff5403,0xffb86fff,
    0x100001ff,0x6f6403ff,0x3ffee3ff,0x3aa0001f,0x86ffffbf,0xd82ffffc,
    0xff91ffff,0xfffb05ff,0x3fffee3f,0xaaaaaaaa,0x55ffff71,0x03555555,
    0x7ffdff54,0xffff106f,0x5ffff889,0x01ff8800,0xc8fff7b2,0xfd82ffff,
    0xf7001fff,0x0fff200b,0xfff7fd50,0xffff70df,0x55555555,0x27fffc43,
    0x217fffe2,0x444ffff8,0xf885ffff,0x7fc44fff,0x3fa605ff,0x4003efff,
    0xd1004ff8,0x3fffe3ff,0x25ffe886,0xebcffffb,0x85ffff90,0xfffffffa,
    0xfffffa83,0x3fff23ff,0xff50003f,0x7f45d7ff,0x3206afff,0x8000ffff,
    0xfff1ffe8,0xffff90df,0x3f600007,0x3f23ae03,0x3ffff23f,0xffe88003,
    0x90dffff1,0xfb05ffff,0x3ff23fff,0xfffd82ff,0x1ffff91f,0x3ffff200,
    0xffe88000,0x20dffff1,0x444ffff8,0x8005ffff,0x23ae03fd,0x3ff23ffc,
    0xfffd82ff,0x0ff9801f,0x201ff900,0xfff1ffe8,0xffff90df,0x7ffc4001,
    0x7fffc44f,0x4ffff885,0x42ffffc4,0x444ffff8,0x9805ffff,0xf50000ee,
    0xfff7003f,0x037fffc3,0xffffa813,0x3fff20fe,0xfffe880f,0xffd107ff,
    0x7fdcffff,0xf10004ff,0xfb8fffff,0x2e04ffff,0x4002ffff,0x3fe1fffb,
    0xfffb86ff,0xfb80004f,0x7e43e606,0x3fffee3f,0x7ffdc004,0x21bfffe1,
    0xd82ffffb,0xff70ffff,0xfffb05ff,0x3fffee1f,0xffff7002,0xfffb8005,
    0x41bfffe1,0x444ffff8,0x4005ffff,0x43e606fb,0x3fee3ffc,0xfffd82ff,
    0x03fe800f,0x7dc13fe0,0x3fffe1ff,0x2ffffb86,0x3fffe200,0x2ffffc44,
    0x227fffc4,0x885ffff8,0x7c44ffff,0x7c405fff,0x3f60001f,0x4fffa807,
    0x0037fffc,0x07ffffe6,0x044dfff9,0x47fffff2,0x7fffe408,0xfffff51f,
    0x3ff60001,0x7ffc44ff,0x3fea01ff,0x3ea004ff,0x7fffc4ff,0xfffffa86,
    0x3fe20000,0x7e43f101,0x3fffea3f,0xfff5000f,0x86ffff89,0xd82ffffa,
    0x3fea7fff,0xfffd82ff,0x13fffea7,0x27fffd40,0x89fff500,0xf106ffff,
    0xff889fff,0x3e2005ff,0x643f101f,0x3ffea3ff,0x7fffd82f,0x2005fb80,
    0xfff505fa,0x86ffff89,0x004ffffa,0x113fffe2,0xf10bffff,0xff889fff,
    0xfff885ff,0x7fffc44f,0x007fe405,0x804ff880,0x7fc2ffff,0xfe8006ff,
    0xfffc84ff,0x3fea16a5,0xf50b52ff,0x3fe25fff,0x50005fff,0xfb03ffff,
    0xff880dff,0x47100fff,0x7fc2ffff,0xfff886ff,0x360005ff,0x3bbf604f,
    0xf14efffe,0x200bffff,0x7fc2ffff,0xfff886ff,0x5fffe83f,0x20ffffe2,
    0x3e25fffe,0x7100ffff,0x03ffffe2,0x5ffff1c4,0x106ffff8,0xf889ffff,
    0x36005fff,0x3bbf604f,0xf14efffe,0xffd07fff,0x0ff980bf,0x7c0bf300,
    0x7ffc2fff,0xffff886f,0x7c47100f,0x7fc44fff,0xfff885ff,0x7fffc44f,
    0x8bffff05,0x405ffffb,0x50002ffe,0xff9803ff,0x3ffea5ff,0xffa8006f,
    0x2fffe85f,0x3ff20be6,0xf905f30f,0x7ffe41ff,0x404b82ff,0xff506fff,
    0xfffb007f,0x7cc7a0bf,0x3fea5fff,0xfff906ff,0x409705ff,0x7fec06fb,
    0x25ffffff,0x82fffffc,0xbffff34b,0x837fffd4,0xff83fffb,0x7ffdc1ff,
    0x41ffff83,0xd05ffffd,0x2ffffec3,0xffff31e8,0x37fffd4b,0xb8bffff0,
    0x7005ffff,0xfffd80df,0x2e5fffff,0xfff83fff,0x01ff401f,0x995c4e88,
    0x3ea5ffff,0xffb06fff,0xf07a0bff,0xffb8bfff,0xffff05ff,0x5ffffb8b,
    0x21ffffd0,0x05fffffb,0x00077ff4,0x7cc03fec,0xffeeffff,0x0028ffff,
    0xf11fffe2,0x86f987ff,0x1be66ffa,0xff11bfea,0xb55bffff,0x07ff900b,
    0x4c007ffc,0x9aefffff,0x3ffe64eb,0xffffeeff,0x7fc428ff,0xdaadffff,
    0x007fe205,0xffb33331,0x7fffc417,0x25daadff,0xeefffff9,0x28ffffff,
    0x2637ffc4,0xff885fff,0x2fffcc6f,0x77ffffcc,0x7cc4eb9a,0xb9aeffff,
    0x3fffe64e,0xfffffeef,0xfffe828f,0xfffff70f,0x03ff100b,0xfd999988,
    0x3ffe20bf,0x02fffcc6,0x74401bee,0x31feeeef,0xfddfffff,0x851fffff,
    0xaefffff9,0xffe84eb9,0xffff70ff,0x3fffa0bf,0xfffff70f,0x3fffe60b,
    0xffffafff,0x77ffdc07,0x9ff1000a,0x3ffffa00,0xffffb8df,0x3b76002f,
    0x13ff24ff,0x6c4bbfe6,0x3bfe61ff,0x303ffb12,0xffffffff,0x03fe600d,
    0x2a006fc8,0xffffffff,0xfffffe85,0xfffffb8d,0xfffff982,0x7ec06fff,
    0x7ff90004,0xffffff30,0xfffd0dff,0xfff71bff,0xffd305ff,0x3027fec5,
    0x7fec5ffd,0x3fffea04,0xf505ffff,0xbfffffff,0xbfffffd0,0x5fffff71,
    0xffffff30,0x0fffff5f,0x20009fb0,0xfe983ffc,0x013ff62f,0x3a001ff3,
    0x47ffffff,0x8dfffffe,0x82fffffb,0xfffffffa,0xffff305f,0xffff5fff,
    0x3fffe60f,0xffffafff,0x3fffee07,0xfffff88e,0x3fff602f,0xffa806ff,
    0xbffb3001,0x177fec45,0x7fdcb900,0xf103efef,0x3dffffdb,0xfffedf88,
    0x3fa201ef,0x000cefff,0x07f301ba,0xffffe980,0xbffb303e,0x177fec45,
    0xdffffd10,0x037d4019,0x205dd700,0xceffffe8,0x2dffd980,0x80bbff62,
    0xfffeffd8,0xeffd8803,0xe9803fff,0x403effff,0x3effffe9,0x45bffb30,
    0x202effd8,0x88effffb,0x02ffffff,0x5c000df5,0xffb102ee,0xd007fffd,
    0x3bae007f,0x4c4eeeee,0x3622dffd,0x3a602eff,0x403effff,0x88effffb,
    0x82ffffff,0x88effffb,0x02ffffff,0x400002a6,0x800ceeda,0x008002a9,
    0x80880008,0x21800aa9,0x88600aa8,0x262000aa,0x0330000a,0x22000150,
    0x001000aa,0x054c4001,0x00000000,0x1000a988,0xa9800100,0x5530000a,
    0x15510001,0x00aa8800,0x40010010,0x000000a9,0xa9800000,0x0000000a,
    0x00800800,0x0002aa20,0x30000153,0x00000015,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x440aba88,0x7bb95003,
    0x00298003,0x0b32a600,0x801a80ae,0x0abccba8,0x00999900,0x260ccccc,
    0x53000999,0xa9801710,0xaaaaaaaa,0x9807a20a,0x2aa2000e,0x6cc2aaaa,
    0x81ba800c,0xbdb9800b,0x55440001,0x2202aaaa,0x4002a80b,0x000b81ba,
    0x80037531,0x002a80b8,0x2a200000,0x001ccedc,0x32201ca8,0x2e00d400,
    0x405e983e,0x000bcdc9,0xedca9819,0xa80001ac,0x5555514e,0x85555555,
    0xaaaaaaa9,0x3262aaaa,0xbffb501c,0x017ea7fd,0xffffffd3,0x3fff6009,
    0xff710000,0x3fa2017f,0x5007ba62,0xfff99fff,0xffffb807,0xffff9803,
    0x07fffe44,0xf99bff20,0x3ffa01ff,0x7fffffff,0x7e981fe8,0x7ff5c400,
    0x3ffee6ff,0xfffd502f,0x401f317d,0xeffbdffa,0xfd710002,0x3e20dfff,
    0x1bff62ff,0x3bfffaa0,0x4c00f98b,0xdffffefe,0x17ffc400,0xff90bffb,
    0xd89fffff,0x3200efff,0xfffdadff,0xfffb000d,0x440f7409,0x1ff400fe,
    0xfc882fdc,0x802ffdbe,0xceffcadd,0x03fffffd,0x544ff600,0xfffffffb,
    0x7e54c2bd,0xbdffffff,0x70ffff12,0x3fe21bff,0x3e605ffe,0xffffffff,
    0x7fffc403,0x7fec4003,0x37f6002e,0xffd803fd,0x827ff446,0x0ffffff8,
    0x827ffdc0,0x7c03fffd,0xfff91fff,0x3fffe60b,0x84ffffff,0xffddfffc,
    0xff10004f,0x7fff4dff,0xffff885f,0x205fffff,0x3fea4ffa,0x3e60002f,
    0xff706fff,0x3fffe2bf,0x3fffe201,0x405fffff,0x3fee0efc,0x7ffdc05f,
    0x03ffff15,0x05fffff5,0xfd881bea,0x37ffdc6f,0x3ffffc40,0x74c3ff50,
    0x81ff803f,0x3ffb03fd,0x3600ffe4,0xfd303fff,0xf0001bff,0xffff301f,
    0x3fea00df,0xffb86fff,0x3ffea2ff,0x2ffffd41,0xffdeff88,0x200fffff,
    0x003ffff8,0x0017ffa6,0x200bffa2,0xfa83fffb,0xeffc82ff,0x7f403ffe,
    0x2ffec05f,0x543fffa0,0xff903fff,0xffffffff,0x3ffffa01,0x20000eff,
    0x3fa6ffff,0x7e40ffff,0xfffffffd,0x83fff302,0x8801fffe,0xfff99999,
    0x7fd409ef,0x01fffa4f,0xfffffbf7,0x7fd407ff,0x1ffffc46,0x749fff50,
    0x3ff607ff,0x03f303ff,0x2227ffe4,0x4403ffff,0x7407ffff,0x06ffaaff,
    0x5fd07f98,0xf98dff90,0x077ec06f,0x3ffffa20,0x41bea001,0x05fffff8,
    0x9fffff10,0x25ffff70,0xf886fff9,0x1bb05fff,0x7ffffe44,0x07ffec02,
    0x05fffa80,0xffedfb80,0x17fffc02,0x262fffcc,0x03ff65ff,0xd802ffcc,
    0x3b6600ff,0xf8067e42,0xffffffff,0x3ffa205f,0x40000eff,0x3ee6ffff,
    0x1ec2ffff,0x405dfd93,0x7dc0ffff,0x7ec00eff,0xffffffff,0x0cfc85ff,
    0x7900bba6,0x0177f64c,0xff0bfffa,0xcfc80bff,0x980bbaa0,0xd706ffff,
    0x83fffd80,0xd804ffff,0x7cc04fff,0x802fffff,0x0ff886fa,0x2227ffc4,
    0x3f604fff,0xffff1001,0x0ff2001f,0x04fffff8,0x9fffff10,0x21ffff50,
    0xf884fffd,0x05985fff,0x00bffffa,0xff9800a6,0x7754005f,0x205fff11,
    0x884ffff9,0x1fec7fff,0x5fb827e4,0x001ff400,0x99afa800,0x00999999,
    0x0002cba8,0x98dffff0,0x0041feac,0xffff9801,0x17fffd40,0x26666620,
    0x009effff,0x04010000,0x44fffe80,0x0006ffff,0xffffd800,0x7fc02e81,
    0xffff83ff,0x02db8805,0x0dffffb0,0x3e613f20,0x84fffc87,0x9b00ffff,
    0xffffc800,0x403ff004,0x004fffff,0x213ffffe,0x3fe7fff8,0xffff04ff,
    0xfff7000b,0x8800001f,0x4001fffe,0x1fffb82a,0x87ffff98,0x3ea5fff8,
    0x3203ee02,0x04d88005,0x00db0000,0x80000000,0x3a06ffff,0x2a00000f,
    0x7cc0ffff,0xf0004fff,0x0000dfff,0xf5000000,0xffff81ff,0x98000006,
    0x3c45ffff,0x0ffffe60,0x0013fffe,0x7fffcc00,0x707fd001,0x9fffb0bf,
    0x205ffff0,0x7fcc001d,0x7cc01fff,0x7ffffc06,0x3fffe004,0x2bffd04f,
    0xf03ffff8,0x5000bfff,0x5100bfff,0xffd80157,0x2200006f,0xfff06fff,
    0xfff98bff,0x00000002,0xaba88000,0x04d77c00,0x2aea2000,0x86ea2000,
    0xf306ffff,0x0ab98809,0x07fffe40,0x01bfffe2,0x7ffc3751,0xba98806f,
    0x75310001,0x75418003,0x1006ffff,0xe8001573,0x12e0ffff,0x07ffff30,
    0x0003ffff,0xaa880000,0xaaacffaa,0x3e2adfda,0xfff83fff,0x2000703f,
    0x406ffffe,0x7ffc04fc,0x3fe004ff,0xff904fff,0x0bfffea7,0x002ffffc,
    0x6402ffe4,0x104ffcff,0x0007ffff,0x3b7bf6e2,0xffd84fff,0x3ff25fff,
    0x00000006,0xcffc8000,0xfff504ff,0x8003bdff,0x04ffcffc,0x77fffecc,
    0x906ffff8,0x3ff6201f,0xfd03efee,0xfff03fff,0x3ff660ff,0xffff8dff,
    0x3fbfa606,0x9800dfff,0xdffffefe,0x2ffaa000,0x4406ffff,0x3efeeffd,
    0x9ffff500,0x3fe600f4,0x7ffd43ff,0x0001c003,0x7ffffcc0,0xffffffff,
    0xffff16ff,0x0bffff07,0xfffd8000,0x07fa00ff,0x09fffff0,0x27ffffc0,
    0xff91ff98,0x3ffe05ff,0x7fc4005f,0x877f4405,0xffc85ff9,0x2cedcaff,
    0x4efff440,0x40ffffea,0xeffffffa,0xfd105ffa,0xd107ffff,0x207fffff,
    0x3fffffe8,0x261dfd10,0xfffd85ff,0x01dfffff,0xf9877f44,0xdfff105f,
    0xffffdb53,0x2603fb0d,0x3ff62ffe,0x1ffffd83,0x41ffffe8,0xda9efff8,
    0x906ffffe,0x7ffdc1df,0x7077e405,0xd100bfff,0x3fffe3ff,0x8bffa606,
    0xff003ffd,0x00d31fff,0x747ffff3,0x0d0002ff,0xfffffd10,0xfdddd307,
    0xffdddddf,0x3ffe6bdd,0x6ffff83f,0x7fe40000,0xff301fff,0x9fffff00,
    0x7ffffc00,0xffb9fe04,0xffff03ff,0x7ff4400b,0x0fffa03f,0xfff87ffb,
    0xffffffff,0x6ffe880e,0x41ffffd4,0xfffffffc,0xfffd803f,0x3fff603f,
    0x7ffec03f,0x87ffd03f,0x3fe23ffd,0xffffffff,0x0fffa04f,0xffb07ffb,
    0xffffd85f,0xf8037a26,0x7ffc47ff,0x1ffffe42,0x20fffff4,0x7f41fffe,
    0xffa86fff,0x1ffffc46,0x7c46ffa8,0x3ee03fff,0x3fffe1ff,0x11fffe06,
    0xf9005fff,0x007b7fff,0x5c7ffff3,0x2001cffe,0x3ff60069,0x4fc803ff,
    0xffa87f98,0xffff83ff,0x7dc00007,0xf703ffff,0xfffff009,0x7fffc009,
    0xfa97604f,0xfff03fff,0xffb500bf,0xf709ffff,0xfffc81ff,0x3dffff30,
    0x1fffff91,0xf83fffc8,0xff706fff,0x01bfffff,0x03ffffb8,0x00ffffee,
    0x707ffff7,0xffc81fff,0xfffff70f,0x7fffffff,0xc81fff70,0x3fee0fff,
    0xffff886f,0xff700266,0x3fffd09f,0x437fffd4,0x320fffff,0xff885fff,
    0xfffe86ff,0x82ffffc2,0x7fc2fffe,0xfff505ff,0x06ffff89,0xfd09fff7,
    0xff8803ff,0x9800ffff,0xfd83ffff,0x4e8800ff,0x3fffee00,0xb83fe803,
    0xffffb85f,0x0fffff83,0xddddddd7,0xdddddddd,0x9fffffdd,0x3e00bfa0,
    0x2004ffff,0x204fffff,0x3fffe61a,0x0bffff04,0xfffffd50,0x7fff89ff,
    0xf52fffb8,0xffb89fff,0x3ffe24ff,0x7fffe82f,0x3ffffea0,0x3ea00eff,
    0x3ea03fff,0x7d403fff,0xfff83fff,0x32fffb87,0xfffdd995,0xf83fffff,
    0xfffb87ff,0x413fffa2,0x2006ffff,0xd83ffff8,0x7fec4fff,0x7fffc1ff,
    0x827fff47,0xfe86ffff,0x7fffc4ff,0x89fffd06,0xff06ffff,0xffff85ff,
    0x3ffff886,0x804fffd8,0x005ffffd,0x507ffff3,0xe880bfff,0x3fea001f,
    0x1ff803ff,0xffd83fd8,0xffff83ff,0xfffff91f,0xdddddddf,0xffffdddd,
    0x00ff10bf,0x013ffffe,0x04fffff8,0x83ffff40,0x2005ffff,0x6fffffd8,
    0x2e1bffe6,0xfff73fff,0xffff889f,0x5ffff50f,0x01ffffd0,0xffffdff5,
    0x7fd40dff,0x3fea03ff,0x7fd403ff,0x7ffcc3ff,0x03fffb86,0x7ffffe4c,
    0x1bffe65f,0xff8fffee,0xffff03ff,0x7ffd400d,0x6fffd82f,0x6fffffcc,
    0x26ffffda,0xf03ffff8,0xff50dfff,0x6ffff81f,0xf81fff50,0xff986fff,
    0x3ffea5ff,0xffffa86f,0x06fffd82,0x02ffff98,0x07ffff30,0x203ffff5,
    0x54005ffa,0x4c03ffff,0x905fd07f,0xff07ffff,0x3fee1fff,0x2a004fff,
    0xb84fffff,0xffff005f,0x7ffc009f,0x7d4004ff,0x3f623fff,0xc8005fff,
    0xf51fffff,0xdddddfff,0x3ff29fff,0xfffd83ff,0x5ffff71f,0x83ffffd0,
    0xfffb3ffd,0x3ea07fff,0x3ea03fff,0x7d403fff,0x7fd43fff,0xfeeeeeff,
    0x3f2004ff,0x3fea7fff,0xfeeeeeff,0xffff34ff,0x1bfffe07,0x2ffffb80,
    0x887fffd8,0xfefffffe,0x3fe63fff,0xffff03ff,0x3faa0c0d,0x20c06fff,
    0x86ffffea,0xeefffff9,0x28ffffff,0x20bfffee,0xd007fffd,0x7cc00fff,
    0xff983fff,0xfffc82ff,0x7ffd4002,0x437dc03f,0xffb80ff8,0xffff83ff,
    0x3ffffe67,0x3ffee004,0x02fd82ff,0x09fffff0,0x27ffffc0,0x7fffdc00,
    0xffffdece,0xfffb0005,0x3fffee7f,0xaaaaaaaa,0x09ffff91,0x325ffff9,
    0xfd82ffff,0x3ff61fff,0x3ffff20f,0xffff505f,0x7fffd407,0x7fffd403,
    0x57fffdc3,0x1aaaaaaa,0x7fffdc00,0x55ffff70,0x23555555,0xf03ffffa,
    0x6400dfff,0xfd82ffff,0x97301fff,0x1ffff915,0x817fffdc,0xa806ffff,
    0x6ffffbfe,0xff7fd500,0x3ffa0dff,0xffb8dfff,0x3ff22fff,0xfffd82ff,
    0x4ffa801f,0x3fffe600,0x4ffff983,0x0037ffe4,0x41ffffd4,0xfffffff9,
    0xffffffff,0x07ffff56,0x7c4dffff,0x2004ffff,0x41fffffc,0xff000ff8,
    0x7c009fff,0x0004ffff,0x27fffff7,0x0005ffff,0x327ffff1,0x5000ffff,
    0xf909ffff,0x3ff25fff,0xfffd82ff,0x0dfff10f,0x20fffff9,0x203ffffa,
    0x403ffffa,0x643ffffa,0x0000ffff,0x90fffc80,0x2001ffff,0xf03ffffb,
    0x6400dfff,0xfd82ffff,0x3e001fff,0x7fe45fff,0xffff03ff,0x8fff440d,
    0x4406ffff,0xffff1ffe,0x37ff660d,0x0bbff622,0xb05ffff9,0x2003ffff,
    0x3e6001ff,0xff983fff,0x3ffe65ff,0xffa8003f,0xfff983ff,0xffffffff,
    0xff36ffff,0xffff07ff,0x5fffff8b,0x3ffff200,0x2005fa87,0x004fffff,
    0x00fffffe,0xff835300,0x320005ff,0xfff71fff,0x3fe2005f,0xfffb85ff,
    0x5ffff51f,0x54dfffd0,0xff885fff,0xffa81fff,0x3fea03ff,0x7fd403ff,
    0x7ffdc3ff,0x9800002f,0x3ffee6ff,0xfff5002f,0x3fffe07f,0x3ffee006,
    0xffffd82f,0xffff5000,0x3ffffb81,0x20dffff0,0x3fe1fffb,0x3fee06ff,
    0x1bfffe1f,0x80fdc010,0xd82ffffb,0x9000ffff,0xfff9800d,0xffff983f,
    0x0bfffee4,0x3ea05db1,0xf3303fff,0xfd33335f,0x3e213339,0xfff83fff,
    0x7fffec4f,0x3fffa006,0x003fd85f,0x993ffffe,0x7ffc0dfd,0x000003ff,
    0x000bffff,0xff53ffdc,0x7fc009ff,0xfffb86ff,0x0bfffe67,0xfd97fffa,
    0xfffb04ff,0xffff503f,0x7fffd407,0x7fffd403,0x27fffd43,0x3ff80000,
    0x013fffea,0x827fffcc,0x2006ffff,0xd82ffffa,0x36007fff,0xffa82fff,
    0xffff04ff,0x89fff50d,0xf506ffff,0xffff89ff,0x09fb0006,0x417fffd4,
    0x2007fffd,0x7fcc002d,0xfff883ff,0x3ffffa3f,0x407ffe41,0x203ffffa,
    0x05ff07f9,0x7c27fff4,0x7fc42fff,0xff1007ff,0x1ff01fff,0x7ffffc00,
    0x88ffff64,0x002fffff,0xbffff000,0x3fea0020,0x3ffffe24,0x7fec7100,
    0x5fffb87f,0x741ffffc,0x3ff24fff,0xffff505f,0x0ffffea0,0x03ffffa8,
    0x21ffffd4,0x00fffff8,0xfd000871,0x7ffffc43,0x3fe27100,0xffff06ff,
    0x7ffc400d,0x5fffe83f,0x0bfff700,0x417fffe2,0xff86ffff,0x7fffc2ff,
    0x85ffff06,0x8006ffff,0x3e203ff9,0xffe83fff,0x3c42985f,0x7fffcc00,
    0x2fffe823,0x907ffffe,0xff505fff,0x37dc07ff,0xf5007fc4,0xffff09ff,
    0x07ffff20,0x0ffffee0,0xff001bea,0x3fe29fff,0x3ffe25ff,0x000001ff,
    0xfb0bffff,0x437ec03d,0xd05ffffd,0x17fffc43,0xf90fffee,0xffff07ff,
    0x837ffd41,0xf505fffb,0x7d407fff,0x7d403fff,0xffd83fff,0x223d05ff,
    0x3e601efe,0x5ffffd85,0x7ffe43d0,0x7fffcc1f,0x7ffdc006,0x01ffff83,
    0x404fffb8,0x540ffffd,0x7cc6ffff,0x3fea5fff,0xfff986ff,0x3fffea5f,
    0x5ffc8006,0x41fffdc0,0x7dc1ffff,0x2000ee4f,0xfb3ffff9,0xd83ffeeb,
    0x7d42ffff,0xfffa81ff,0x213f203f,0xfff807fa,0x81fffcc5,0x805ffff8,
    0xf906fffe,0xffff8007,0x8bfffe4f,0x007ffff8,0x3fffe000,0x17fffcc6,
    0x7cc0ffc4,0xb9aeffff,0x5fffa84e,0xfd827fec,0x0fffcc5f,0x6c07fff4,
    0xff500eff,0x7fd407ff,0x7fd403ff,0xfff983ff,0x4eb9aeff,0x033ffff2,
    0x7ffcc136,0x4eb9aeff,0x12ffffcc,0x01ffffff,0x237ffc40,0xb805fff9,
    0xf9802fff,0x3fe65fff,0x3e60ffff,0xffeeffff,0x2628ffff,0xfeefffff,
    0x028fffff,0x80bffee0,0x7cc6fff8,0x7ffe85ff,0xf70001d1,0x3ffe7fff,
    0x7d43ff98,0x6ff85fff,0x07ffff50,0x2fdc17f4,0x2e3ffd40,0x7f4c07ff,
    0x3ff202ff,0x03ff00df,0x7ffffc40,0xf31bff25,0x00005fff,0x1ffffe20,
    0x7ffffff1,0x5403dd71,0xffffffff,0x43ffee05,0x3a205ff9,0x0fff61ff,
    0x2a37ffc4,0x3ee01fff,0x3ee04fff,0x7dc04fff,0xff504fff,0x8bffffff,
    0xcffffff9,0x7d404fba,0x5fffffff,0xbdffff50,0xdfffff7f,0x7ff4c007,
    0x5013ff62,0x40019ffb,0xfddffffa,0x2efffffa,0x37fffffa,0x2fffffb8,
    0x6ffffff4,0x2fffffb8,0x3fffe200,0x5ffd300b,0xfd827fec,0x0003daff,
    0x367ffffb,0x905fb8ff,0x7c47ffff,0xffff700f,0x6c0ffc09,0x7ff5003f,
    0x4003bfa2,0x260bfffc,0x2602fffc,0x7fdc006f,0x3f60ffff,0x7fffb11f,
    0xb3100000,0x439fffff,0xffffffea,0xffd3003f,0xb5007dff,0x007dfbff,
    0xbffdfd71,0xbfff7007,0xfb009fff,0x7ec0dfff,0x7ec06fff,0x3a606fff,
    0x503effff,0x9dfffffd,0x3ffa6005,0x7d403eff,0xfff2ffff,0x8800359d,
    0x3fffeffd,0x17dff910,0x3ffea000,0x9dfff2ff,0x6ffecc15,0x0bbff622,
    0x88b7ff66,0x8002effd,0x1ffffffa,0xffeffd88,0x3ffe603f,0xffd0005f,
    0x3f227fff,0x3ee00bdf,0x1dfdffff,0x1bffff60,0x2ff83fcc,0x3fbfaa00,
    0x6d4000df,0xefffefff,0x027e400d,0x7ffff644,0xf73dffff,0x05bfffff,
    0x33260000,0x83cccccc,0x0009aaa9,0x00015510,0x440002a6,0x5530001a,
    0xffd10035,0x443fffff,0xfffffffe,0x7ffff441,0x2a201fff,0x3553000a,
    0x55440001,0x20d44000,0x4c00001a,0x04d400aa,0x06a20000,0x20020035,
    0x00800800,0x6f764400,0x00aa9802,0x00006ea0,0x31000400,0x44015795,
    0xfffffffe,0xaa815441,0x01a88000,0x35731000,0x001cb800,0x5d4c4000,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x99300000,0x100179bd,
    0x00013773,0x4000ae20,0x220000a9,0x42aaaaaa,0x0aaaaaa8,0x99880000,
    0x71000099,0x0059bdb9,0x15100e60,0x51003d90,0x35555555,0x0079d930,
    0x300dcc00,0x002d401b,0xabccca88,0xaaaaaaaa,0x02aaaaaa,0x9bd97100,
    0x98800001,0x26000999,0x10001999,0x399ddb75,0x03220370,0x55500350,
    0x55555555,0x2e200015,0x55554c2d,0xaa802aaa,0x801aaaaa,0x803dedb9,
    0x0014c02b,0x55551000,0x9f910155,0x07ffffd7,0x7fe7ffe4,0xd35eeeee,
    0xd15fffff,0x0019ffff,0x0007ffee,0x7ffff5c4,0x7fffdc46,0xd800002f,
    0x4000ffff,0xfdefffda,0x2000cfff,0x6e980df8,0x51009f70,0x9fffffd7,
    0x7fff7f54,0x3ffee02f,0xffff56ff,0x01df105f,0x6d400bf5,0xfffeffff,
    0xffffffff,0x06ffffff,0xffdffb80,0x100003ff,0x400bffff,0x002ffffa,
    0x66ffffdc,0xa9cffedc,0x207f601f,0xba801fd8,0xfffffffd,0xff0000ac,
    0x7f5ccdff,0x402fffff,0x1cefffca,0x7e577dc0,0x0fee00ef,0x3ff21fdc,
    0x3fee5fff,0x7ec45fff,0xfd82ffff,0x1ffffdc3,0x443bffa2,0x46fffffe,
    0xeebffffd,0x005ffffd,0x0009ffff,0x06ffff88,0x005ffff7,0x3ffff000,
    0x677ec400,0x7ff5cc0a,0x83bf2002,0xff301ffa,0xffff9800,0xfb87f34f,
    0x3fe603ff,0xffefbeff,0xffd80fff,0x02fffedf,0x43dfff90,0x7fffffc8,
    0x37ffe54c,0x443ff600,0x0001fffe,0x005fffa8,0x001fffec,0x019fffb1,
    0x07ffffaa,0x3a22ff98,0xffd8004f,0x2a002fff,0x7ffffd43,0x7ffff441,
    0xff9801ff,0x12ffb800,0xfe80dfff,0xfa837ec4,0x7fd45fff,0xfff905ff,
    0x85ffa85f,0x360fffff,0x7fdc3fff,0xffff701f,0x7fffcc7f,0x4ffff803,
    0xffff8000,0x5ffff506,0xffa80000,0x3fa6001f,0x13fa2002,0x64fffc40,
    0x0ff405ff,0x3ffffe00,0xff901e8c,0x3ffe205f,0xfff50eff,0xffff109f,
    0xb100bfff,0x7f40bfff,0x3a607fff,0x3fea006f,0x02fffdc5,0x02ffec00,
    0x00fffe20,0x02ffffb8,0x803fff90,0xfffabffd,0xfffc8000,0x7f1001ff,
    0x4fffffa8,0xffffff88,0x805e800e,0x3fe1fff9,0x3fee01ff,0x302ffe9d,
    0xf88bffff,0xff705fff,0x7ffd85ff,0x32ffffd8,0xf983ffff,0xfff506ff,
    0xffff90bf,0x1fffc801,0xffff8000,0x5ffff506,0xffd80000,0x03be2001,
    0x801fe400,0x0ffffffb,0x20027e40,0x2edfffff,0x03fffe60,0x20fffffc,
    0xd305ffff,0x801bffff,0x00ffffe8,0x01fffff2,0x7f400df1,0x2fffc45f,
    0x3bfe2000,0x1ffd4000,0x7ffff500,0x01ffc800,0x7fffffcc,0xfff70003,
    0x3f6001ff,0x6fffff83,0xfffffff0,0xb009b00b,0x7ffc3fff,0x7fff402f,
    0x3fe205ff,0xffff85ff,0x5ffff505,0x642fffd8,0xff74ffff,0xfff983ff,
    0xffffa81f,0x3ffffa82,0x0000a980,0x20dffff0,0x002ffffa,0x000ffc00,
    0x3b6e03f6,0x3669acdf,0xffff001f,0x0df3009f,0xffffff80,0x4fffe805,
    0xf0dffff0,0xca80dfff,0xfff9001b,0xfffc80bf,0x006c807f,0xfd0dfff1,
    0xfa80009f,0x4fd8000e,0x3fffe200,0x03fb0007,0x0dffff90,0x7fffdc00,
    0x3ffb800f,0x05fbbb88,0xffffff9f,0xf803d809,0x3ff22fff,0xffffa807,
    0x3ffe201f,0x5ffff85f,0x85ffff50,0x7e40fffa,0xfff92fff,0xffff881f,
    0x2ffffa82,0x04ffff98,0xff800000,0xfff506ff,0x4c00005f,0x17dc002e,
    0xda87bfa6,0x401ba27f,0x000ffffb,0x7fc001ff,0xe801ffff,0xff80ffff,
    0xfffe86ff,0x7c400006,0x5c02ffff,0x1b87ffff,0x7fcc01a6,0x07ffc0ff,
    0x0036e000,0x360026c0,0x0004ffff,0xff1003f3,0x5c0005ff,0x400fffff,
    0x5403fffb,0xffb1f04f,0x6c05ffff,0x7fffc403,0xe8005d43,0x7c404fff,
    0xfff85fff,0xffff505f,0xfb039505,0x3fe61fff,0x7ffcc1ff,0xffffa80f,
    0x5ffff882,0x00abb980,0x7fc37510,0xfff506ff,0x0015cc5f,0x517a0000,
    0x23f40dff,0x000001fa,0xff001fe4,0x3600bfff,0xff83ffff,0xfffe86ff,
    0x02ae6206,0x1fffff60,0x1ffffee0,0x26007076,0x3ee3ffff,0x0000002f,
    0xffa80000,0x20001fff,0x0000001d,0x0fffffb8,0x0fffff20,0x43e01fb0,
    0x1ffffffe,0xffa807b0,0x000005ff,0x2ffffc40,0xa82ffffc,0x4002ffff,
    0x7fc5ffff,0x7ffcc1ff,0x5ffff505,0x81ffffe0,0x3fffdffc,0x3ffff660,
    0x06ffff8d,0xd35ffff5,0x001bffff,0xf300dcc0,0x017ffc45,0x000bf0f3,
    0xdf500373,0x7ffffc00,0xffff9004,0x0dffff0b,0xb10dfffd,0x07dfddff,
    0x1bffffe2,0x1ffffee0,0x7c40007a,0xefd9ffff,0x00000000,0x7ec15400,
    0x0000ffff,0x55000022,0xffffb800,0xffffb00f,0x445fffff,0x7c43e04f,
    0x80efffff,0x7ffcc03d,0x0000006f,0x42ffffc4,0xf505ffff,0x00335fff,
    0xb81dfff5,0x7fe44fff,0xffff502f,0x1ffffe05,0x7e43bf62,0xfff883ff,
    0xfffeda9e,0xffff506f,0xffff99fd,0xfffff90d,0x3bfffeab,0x7fe47c81,
    0x27c83807,0x55fffffc,0x803dffff,0xfff000ff,0x3f2009ff,0xfff87fff,
    0x6fffe86f,0xfb17ff4c,0xffff307f,0xfff700bf,0x001fa8ff,0x3fffffa0,
    0x3ee0001d,0xffffffff,0x3fae7fff,0x3fee6fff,0x7ffffc4f,0xd7000007,
    0x7dcdffff,0x3ee004ff,0xc980ffff,0xcceffffd,0xf809f31c,0x3ffffe60,
    0x4c03d85f,0x2007ffff,0xfffffffb,0x447fffff,0xff85ffff,0xfff505ff,
    0xfd003fbf,0x3fa601bf,0x03dff52f,0x417fffd4,0xe85ffff8,0x3ffea3ff,
    0x0ffff40f,0x41bffffa,0x20effffa,0x985fffe8,0xefcdffff,0x5d86ffff,
    0x80037ff4,0x3ffe60fa,0xfffefcdf,0x01fec06f,0x04fffff8,0x1fffff90,
    0xe86ffff8,0x7ffc6fff,0x217ffc47,0x05fffffa,0x27ffffb8,0x20001fe8,
    0x00fffffb,0x1ffffffd,0xf104f7dc,0xf885ffff,0xfff96fff,0x7fffc4ff,
    0x2000006f,0xf96ffff8,0x5c00ffff,0x200fffff,0xb83ffff9,0x5c0f803f,
    0x43ffffff,0xfbaa883d,0x2aabffff,0x8827bee0,0x442fffff,0xff85ffff,
    0xfff505ff,0xff3003df,0x3fff6007,0x7d400bdf,0xff882fff,0x7ffd44ff,
    0x90ffffc0,0xff10bfff,0x3fea0dff,0xfffc82ff,0x7fffc41f,0xffff50ef,
    0x7ffc4e87,0x43f30005,0x0efffff8,0x407ffff5,0xfff005fa,0x3f2009ff,
    0x7fc1ffff,0xfffe86ff,0x213ffee6,0x3f21fffe,0xb804ffff,0xfdbfffff,
    0xc88001ff,0x05ffffff,0x2e0bffee,0xbffffb07,0x2bbfffe0,0x2a6fffef,
    0x005fffff,0x7fffc000,0x6fffefae,0x3fffee00,0x3ffe600f,0x3e00283f,
    0xfffffc80,0x3e60f62f,0xffffffff,0x41ee07ff,0x885ffffd,0xff85ffff,
    0xfff505ff,0x0bf6005f,0x0018edc0,0x417fffd4,0x742ffff9,0x7fe40fff,
    0x827fff47,0xf506ffff,0xff305fff,0xfff887ff,0x3ffe20ff,0xff127c5f,
    0x3e2000bf,0x3ffffe22,0x17fffe20,0xf800ff88,0x9004ffff,0xf83fffff,
    0xffe86fff,0x7ffff16f,0x6c9fffb0,0x803fffff,0xfefffffb,0x64001fff,
    0xffffc9ef,0x07ff102f,0x3ffea12e,0xffff01ff,0x8bfaa3ff,0x04fffffb,
    0x7ffc0000,0x5fd51fff,0x7fffdc00,0x3ffe600f,0x07c0003f,0xffffffd8,
    0xfff307b0,0xffffffff,0x7d425c0f,0xff01ffff,0xffff0bff,0x3fffea0b,
    0x801f8802,0x20001fe8,0xb83ffffa,0x3e60ffff,0x417507ff,0xf03ffff8,
    0x3ea0dfff,0xff882fff,0xffff85ff,0x45ffff85,0x02fffc5e,0x7fc1f980,
    0xffff85ff,0x4017ec05,0x004fffff,0x83fffff9,0xfe86ffff,0xffff56ff,
    0x4dfffb05,0x03fffffc,0x37ffffb8,0x22003ffb,0x7fff47fe,0x05f980ff,
    0x3fffa026,0x3fffe04f,0xfffa804f,0x000005ff,0x027ffffc,0x7fffdc00,
    0x3ffe600f,0x07c0003f,0xfffffe88,0x266607b6,0x99bffffb,0x3fa02601,
    0x3fe04fff,0x7ffdc6ff,0xffff905f,0x200d3005,0x20003ffc,0x41fffffa,
    0x7d42fffe,0xf3000fff,0x3fe07fff,0xfff506ff,0xffff105f,0x0bffff0d,
    0x6d8bffff,0x80037ff4,0x7fffc0fa,0x05ffff85,0x7fc02fdc,0xf9004fff,
    0x7c41ffff,0xffe87fff,0x5ffff76f,0x5cffffb0,0x804fffff,0x647ffffb,
    0xfff8801f,0x7ffffd44,0x0007dc0e,0x03ffffee,0x01fffff8,0x6fffff88,
    0x77776c40,0xf85eeeee,0x0001ffff,0x0fffffb8,0x0ffffe60,0x4c01f000,
    0xddffffff,0xffff8803,0x3fee0002,0x3f600fff,0xfff51fff,0xfff90dff,
    0x093005ff,0x3bffffe0,0x01bceeee,0x9fbffff5,0x70bfffd5,0x2003ffff,
    0xf02ffffb,0x3ea0dfff,0xfff02fff,0xbffff0ff,0xb8dffff0,0x03fff20f,
    0x3fe1f200,0xffff85ff,0x403fc406,0x004fffff,0xa8fffff9,0x740fffff,
    0xfff96fff,0xffffb05f,0x3ffffe63,0xffffb805,0x6400fc47,0xffd82fff,
    0x0fe25fff,0xfffff100,0xfffff805,0xfffff000,0x3ffa200f,0xff01efff,
    0x00001fff,0x01fffff7,0x01ffffcc,0xf5003e00,0x07ffffff,0x007fffa0,
    0x7ffffc40,0x7fffcc02,0xffff9fff,0x3fef6a0f,0x008802ff,0xffffffd0,
    0x09ffffff,0xf35ffff5,0x9019dfff,0x2007ffff,0xf03ffffc,0x3ea0dfff,
    0xfff02fff,0xbffff0df,0x88dffff0,0x027ff43f,0xf84f8851,0xfff85fff,
    0x01fe806f,0x027ffffc,0x26ffffc8,0xfffffffb,0x65bfffa1,0xfd82ffff,
    0x3ffe1fff,0xffb805ff,0x881e87ff,0x09ffff11,0x9ffffff1,0x3f60017a,
    0xff805fff,0x3f6007ff,0x5000ffff,0x405fffff,0x0007ffff,0x1fffff70,
    0x1ffffcc0,0x2003e000,0x3ffffffc,0x01fff700,0x3ffff600,0xffff5005,
    0x3ffffe1d,0x3ffea12f,0x5c00002f,0xffffffff,0x543fffff,0x2a62ffff,
    0x7fffdc01,0xffff7004,0x1bfffe07,0x417fffd4,0xf84ffff8,0xfff85fff,
    0x7cc6d86f,0x41e983ff,0xffff80fb,0x06ffff85,0x7fc04fb8,0xf9004fff,
    0x20009fff,0xff76fffe,0xfffb05ff,0x7fffe41f,0xffffb806,0x52b81c87,
    0x2a0fffff,0xfeffffff,0x7ffd4000,0xfff801ff,0x3fee006f,0xf5001fff,
    0x7c05ffff,0x2e006fff,0x7ffdc3ef,0x7ffcc07f,0x07c0003f,0xfffffd80,
    0x0fff3003,0x3fffea00,0x054c001f,0xff500bf6,0x000005ff,0xfffffff7,
    0xa8bfffff,0x8002ffff,0x00fffffa,0x04ffffa8,0x2a0dffff,0xf882ffff,
    0xfff82fff,0x6ffff85f,0x7e444f98,0x40deccef,0xffff05f9,0x0dffff0b,
    0xff80ff30,0xc8104fff,0x0000ffff,0x3eadfffd,0xffd82fff,0x7fffc47f,
    0x7ffdc01f,0x23d0087f,0x02fffffb,0xbffffff7,0xffffd000,0x3fffe009,
    0x3ffa2006,0xff3003ff,0x7fc03fff,0xff3006ff,0x7ffdc1ff,0x7ffcc07f,
    0x07c0003f,0xffffe880,0x7fd54c03,0x7f416605,0x00004fff,0xff500bfd,
    0xfea805ff,0xbcfd9803,0xffcbaaaa,0x7fffd46f,0xfff88002,0xff8805ff,
    0xffff05ff,0x3fffea0d,0x0ffff982,0xf85ffff8,0x5f706fff,0x01355310,
    0x7ffc03ba,0x6ffff85f,0x7c03fd00,0x74c4ffff,0x13fff24f,0x7fff4080,
    0x07ffff15,0xf50bfffd,0xfc809fff,0xa800ffff,0xfffff50f,0x3fff203f,
    0x1440dfff,0x07ffffdc,0x37fffc14,0x3fffe600,0xffff3007,0x7fffc03f,
    0xffff7006,0x37fffdc5,0x0ffffe60,0x4001f000,0x503ffff8,0x5bfffffd,
    0x0bd73113,0x01fffff7,0x3ffa8005,0x2ffffa80,0x0ffffe20,0x8804ff98,
    0x7ffd44ff,0xff90002f,0x49705fff,0x540ffffd,0xf506ffff,0xff507fff,
    0x3fffe09f,0x06ffff85,0x22000ff6,0x3ffe01fe,0x6ffff85f,0x7c09f900,
    0x7e44ffff,0x1fff91ff,0xfe9bea00,0x3ffee4ff,0x01ffff83,0x401ffffb,
    0x00fffffd,0xfff13fcc,0x3a01ffff,0xaeffffff,0x7fc42e98,0x85882fff,
    0x8006ffff,0x803ffffa,0x01fffff9,0x401bfffe,0x320efffa,0x4c04ffff,
    0x0224ffff,0x4001f980,0xdd03fffa,0xffffff97,0x887fffff,0x882fffff,
    0x37fe4005,0x17fffd40,0x0dffff70,0xf801ffdc,0x7fffdc1f,0xfff10002,
    0xbb55bfff,0x25ffff98,0x0ffffff9,0x85ffffa8,0xff105ffe,0xffff0bff,
    0x06fec40d,0x201ffb80,0xf85ffff8,0xf3006fff,0x7ffffc0d,0xd9fffe45,
    0x3fa003ff,0x45ffff0f,0x7cc6fff8,0x7fe405ff,0xffff00ef,0x7fdc01ff,
    0x7ffffe46,0xfea9adff,0xffffffff,0xfffd85ff,0xff09705f,0x2a000dff,
    0x4c02ffff,0x201fffff,0x1006ffff,0xffd87fff,0xfff800ef,0xb800b16f,
    0xffb8002f,0x3ee0f983,0xffffffff,0x7fffec0f,0xb8009705,0x7d402fff,
    0x3e604fff,0x3e204fff,0x3f6601ff,0x3ffffc83,0x3ffe6000,0x506fffff,
    0x5fbbffff,0x85dfffff,0x22fffffa,0xf100effa,0xff88dfff,0xffb806ff,
    0xf93309ad,0xff8801bf,0x7ffc46ff,0x03fe006f,0x3fffffea,0x237ffe60,
    0x7dc002fe,0x309fff1f,0x7fec5ffd,0xdfff5004,0xfffd7137,0x7335dfff,
    0xd0bfffd9,0xffffffff,0x3fee5dff,0x40efffff,0x81fffffa,0xffff84fa,
    0x3f220006,0x5c41bdff,0x200effff,0x2006ffff,0xff30cff9,0x3ea001df,
    0x001fefff,0x0007ffa6,0xa9fc0ff6,0xfffffdff,0x7ffd43ff,0x04fa81ff,
    0x6ffffcc0,0xbffff902,0x00effd80,0x66f7fe4c,0x441dffec,0x9effffea,
    0xffd10000,0x54019dff,0xff2fffff,0xfa8159df,0xfeefd88c,0x3fea00be,
    0x3fea0fff,0xb8800fff,0xfffffffe,0xfff5001c,0x7ffd41ff,0x7f9000ff,
    0x3ffffb22,0xf74dffff,0x0005dfff,0xbffbdfd1,0x7f7fec40,0x5c4003ff,
    0xfffffffd,0xffffffff,0x3fffffff,0xffffff70,0xffd305df,0xffd01bff,
    0xd7333bff,0xfff987ff,0x4c0000ff,0xeefffffd,0x400bdfff,0x00fffff9,
    0x3ffff620,0x54000cef,0x5002dffd,0x7dffffff,0xf703e800,0x3fea3fff,
    0xffe83fff,0xeb999dff,0xfa8003ff,0xd11fffff,0x3dffffff,0x220014c0,
    0x009bcba9,0x33333326,0x440003cc,0x544000a9,0x0c400d41,0x6400554c,
    0x9fffffff,0xfffffffb,0x2eaa6002,0x3f20009a,0xb9ffffff,0x2fffffff,
    0x0003c980,0x00001550,0x98003751,0x100000aa,0x00133333,0x2ea62000,
    0x1573001a,0x3ffffee0,0xffffffff,0x3ffffee2,0x300005ff,0x03357955,
    0x7ffffdc0,0x544005ff,0x080000ab,0x80000000,0x440d4028,0xffb809a9,
    0xffffffff,0x20002fff,0x0000beda,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x03503750,0x02cedb88,0x0009d700,0x59bd9730,0x4c005301,
    0x009abcba,0x5401b300,0x3b72a005,0x530e20bc,0x55555555,0x2aaaaa21,
    0x502aaaaa,0x2a655555,0xaaaaaaaa,0x5555300a,0x00000555,0x55555544,
    0x442aaaaa,0x2aaaaaaa,0xbdb97100,0x554c0059,0xaaaaaaaa,0xaaaaaaaa,
    0xa88000aa,0xaaaaaaaa,0xaaaaaaaa,0x5b502aaa,0x26000000,0x000661ba,
    0x2aaa2154,0x9aaaaaaa,0x20000019,0x2aa201b9,0xaaaaaaaa,0x2200002a,
    0x5554400a,0x36e20aaa,0x376a2002,0xffea801b,0x01f88bef,0x3fe73fea,
    0x3fe2000d,0x3fae0000,0xffedffff,0x4403e9bd,0xfdbefffd,0x44002fff,
    0x05fa80ef,0xdbdffe98,0x544cadfe,0xeffffffe,0xfffd710b,0x2057ffff,
    0xd53effdb,0x9fffffff,0x3f6e6015,0x7fd44fff,0x7ffcc2ff,0xffca883f,
    0x2adfffff,0x77ffe5c4,0x7fed402b,0xcffffdef,0x7fffec00,0xffffffff,
    0xffffffff,0xeaa88001,0xffffffff,0xffffffff,0xffffd87f,0x32000000,
    0x2fdffeff,0x9bffffae,0x2a24fffb,0xfffffffc,0x1befffff,0xfffffc80,
    0x3dffff55,0xffff9510,0x0057bfff,0x0bffea00,0xfffffc88,0x03bfffa3,
    0xffadfe98,0x3ffe204f,0x06ffffff,0x7e43ffe6,0x0ffa005f,0x7fff4c00,
    0xfffb81ce,0x3ffea03f,0xdffe980d,0x3fff6000,0x402fffed,0xfb80cffa,
    0xfffd04ff,0x7ff407ff,0xff003fff,0xfffff901,0x1efd800b,0x42ffffa8,
    0x403ffff9,0x05fffffa,0x8801ff50,0x4c0acefd,0x3602ffeb,0x3fe0acff,
    0x3ee63fff,0x440001ff,0x6ffffdff,0x3fff5ccc,0x0fffffe2,0x7fdc0000,
    0x887ff711,0xff96ffff,0x3fea0fff,0xf7313fff,0x9801bfff,0xefcdffff,
    0x5406ffff,0x006fffff,0x6fffd800,0x3ffffc80,0x05fffff3,0x7f4bffe2,
    0xfbf701ff,0x07ffffff,0xff737ff4,0x0df7005f,0x3fffee00,0x3ffe8806,
    0x0efffd88,0x0ffffe20,0x7ffffc40,0x7fc405ff,0x13fe600f,0x27ffffd4,
    0xbfffff30,0x7c413a00,0x4006ffff,0xfff501fc,0xffff985f,0x7fffcc03,
    0x0bf1003f,0x2002fe98,0x9fb04fe8,0x0fffffe0,0x00007fa2,0xffffb5f5,
    0x23fec40d,0x06fffff8,0x0ffd0000,0xffff07f5,0xdfffdf5d,0x3ffffe60,
    0xffffe883,0x3fffe202,0xffff50ef,0x7fffc407,0xd800004f,0xfb806fff,
    0xfff33fff,0x3ffa0bff,0x40fffb1f,0x3bfb264c,0xbfff300b,0x202fffd4,
    0xa8000ff8,0x000fffff,0xffb07fd1,0xff7001ff,0x3a6003ff,0x400dffff,
    0xfb804ffc,0x3ffffa04,0x7ffff407,0x00fc400f,0x03fffff9,0xff502f40,
    0xfff985ff,0x7ffc403f,0x13e003ff,0x0000ef88,0x40bb07f9,0x503fffff,
    0x5e80003f,0x00dffffb,0xffffb0fd,0xf300000f,0xf07b09ff,0x2a3fffff,
    0xfff102fe,0x3fe207ff,0xff101fff,0x7fc41fff,0x3fe205ff,0x00004fff,
    0x802fffa8,0x3a3ffffa,0xf987ffff,0x17711fff,0x80080440,0x3ea5fffa,
    0x1ff406ff,0x7fffc400,0x1fcc001f,0x017fffea,0x006ffff8,0xe800de54,
    0x09b006ff,0x17ffffdc,0x7fffff50,0x7c406b80,0x3005ffff,0x7ffd403f,
    0x7fffcc2f,0x7fffc403,0x80fa003f,0xeeee98fd,0xd81bcdee,0xff01ec1f,
    0x0fc07fff,0x361f7000,0xb806ffff,0x0ff59507,0xfff70000,0x7c24c1bf,
    0x4004ffff,0x03fffff8,0x03ffffee,0x7c2ffffc,0x7fc05fff,0x00003fff,
    0x2a001710,0x5d43ffff,0xfffa86fa,0x0000001f,0xf52fffdc,0x37dc0fff,
    0xffffe800,0x447d0004,0x002fffff,0x013ffff6,0xfff88000,0x204b803f,
    0x05fffff8,0x037ffffc,0x3ff600fa,0x5c800fff,0x17fffd40,0x00ffffe6,
    0x07fffff1,0x2fb81f40,0x2a33ffe6,0x37445ffe,0xffff8036,0x0007203f,
    0xfffb1fc4,0x3c4350df,0x00017e20,0x3ffffe20,0x7fffc01e,0x7fc4001f,
    0x3e203fff,0xff04ffff,0xffff0bff,0xfffff80b,0x00000003,0x07ffff50,
    0x3fee17e6,0x000001ff,0x537ffd40,0x3e20dfff,0xffa8000f,0x70002fff,
    0x7ffffe47,0x3ffee000,0x000001ff,0x00fffffe,0xfffd80b1,0x3ff200ff,
    0x1f301fff,0xfffff300,0x401f8807,0x4c2ffffa,0x4403ffff,0x003fffff,
    0x742f40fa,0x3ffe24ff,0xf000fd44,0x0007ffff,0xffb1b600,0x38390dff,
    0x20017dc0,0x7ff402b9,0x3e03ffff,0x4000ffff,0x03fffff8,0x07fffff4,
    0x7c2ffffc,0x7fc06fff,0x00003fff,0xfff50000,0x207f207f,0x801ffffb,
    0x24fffffd,0x45fffffc,0x3ee6fff9,0x07fd04ff,0x3ffff600,0xf820001f,
    0x4006ffff,0x23fffffa,0x24fffffd,0x85fffffc,0x2efffffd,0x3ffe6000,
    0x3ffa03ff,0x0b904fff,0x3fffff40,0x3ea01ae0,0x7fcc2fff,0x7fc403ff,
    0x3a003fff,0xfd82f983,0x437ff44f,0x3ffe005f,0x800003ff,0x7ffec1fa,
    0x4001e86f,0x3fffea5e,0xffffd37f,0x3fffea07,0xfff05fff,0xff1000ff,
    0xfb807fff,0xff83ffff,0xffff85ff,0x7ffffc06,0x7fdc0003,0xffffffff,
    0xfffa87ff,0x705f883f,0x2003ffff,0x544ffffa,0xfe85ffff,0x07ffee7f,
    0x44001bee,0x007fffff,0xfffff100,0xfff9800d,0x7ffd44ff,0x7fffd44f,
    0xfffffb85,0xd0002eff,0x260dffff,0x07ffffef,0x7fdc005f,0x0be02fff,
    0x0bfffea0,0x807ffff3,0x03fffff8,0x41f20fa0,0x7ff44ffd,0x3e007c86,
    0x0003ffff,0x7ec27440,0x0fd46fff,0xf80de880,0xfefaffff,0xf501ffff,
    0x07ffffff,0x000dffff,0x07fffff1,0x5fffffa8,0xf85ffff8,0x7fc06fff,
    0x40003fff,0x3e209efb,0xfa82ffff,0x2f4c3fff,0x03ffff70,0x13fffe60,
    0x30bffff1,0x3ff21fff,0x001ff884,0xdfffff30,0x3fe60000,0x44005fff,
    0x4c6fffff,0x7c44ffff,0xffd05fff,0x3bffffff,0xffffb800,0xffbdc82f,
    0x03d42fff,0x37ffffc0,0xff5006a8,0xfff985ff,0x7ffc403f,0x0fa003ff,
    0x27fec176,0xf507fff3,0x3fffe001,0x6400003f,0xdffffb06,0x5400ff54,
    0x3fffa04f,0xffff11ff,0x7fff440b,0xffff87ff,0xfff88006,0x7fcc03ff,
    0xfff86fff,0x6ffff85f,0x1fffffc0,0x3dc015c4,0x05ffffd8,0x547ffff5,
    0x7ffdc03f,0xfff1001f,0xffff889f,0xf5bfd305,0x00ff607f,0xfffffa80,
    0xff700005,0x88009fff,0x447fffff,0x7c44ffff,0xfd105fff,0xffffffff,
    0x7ffc4009,0x457c45ff,0x6c5fffff,0xfffc8004,0x003e81ff,0x985ffff5,
    0x4403ffff,0x003fffff,0x6c13a0fa,0x9ffd54ff,0xf983f301,0xffffffff,
    0x05ffffff,0x3603f300,0xffcfffff,0x00a801ff,0x217fffec,0x0447fffd,
    0x07fffff2,0x200dffff,0xfffffffa,0x24ffffff,0x87fffff9,0xff85ffff,
    0x7ffc06ff,0x4fff83ff,0x7fd425c0,0xff501fff,0xb80147ff,0x1001ffff,
    0xf889ffff,0x5d405fff,0x0df700ac,0x6406ae62,0x004fffff,0xfffff900,
    0xfff88009,0x3fe20fff,0x7ffc44ff,0x3ffa205f,0xdfffffff,0xffffb000,
    0xffb35c1f,0x07e21fff,0x3fffe200,0x8007cc4f,0x4c2ffffa,0x0513ffff,
    0x07fffff1,0x827c1f40,0xfffefffd,0x510be201,0xffff7555,0x055555bf,
    0x26677a00,0xffffd999,0x01ffffef,0xffffb000,0xa8ffffb0,0x2ffffa85,
    0x8037fffc,0xffffbaa8,0x21aaaadf,0x87fffff8,0xff85ffff,0x7ffc06ff,
    0x7ffcc3ff,0x7f404c07,0x3ea04fff,0xb8003fff,0x1001ffff,0xf889ffff,
    0x80005fff,0xfe981ff8,0x7dc1efcc,0x0005ffff,0xbfffff50,0xffff8800,
    0x7fffc47f,0x2ffffc44,0x7ffffdc0,0x3006ffff,0x747fffff,0x3ffffe63,
    0x6c000d73,0x360fffff,0x3ffea004,0x7fffec3f,0xfff10754,0x1f4007ff,
    0xcffd82f4,0x2603fff9,0xffff001f,0x2e00007f,0xffffffff,0x2a6fffff,
    0xb00001ff,0xffb0ffff,0x417cc1ff,0x7fc0fffc,0xf88006ff,0x4c03ffff,
    0x446fffff,0xff85ffff,0x7ffc06ff,0x7ffc43ff,0xfffb8005,0x3fea00ff,
    0xfb8003ff,0xf1001fff,0xff889fff,0xd80005ff,0x26ffa83f,0x3fea1fff,
    0x00007fff,0x0bfffff3,0xfffff880,0x27fffc45,0x017fffe2,0x7ffffe44,
    0xfd002fff,0x03e6dfff,0x3adffffd,0x3fe60003,0x01f33fff,0xaffffd40,
    0xefffffc8,0xfff881d9,0x0fa003ff,0xa7fec1b6,0x3ea07ffc,0xfffff000,
    0x5f100007,0x6ffffd80,0x80000fdc,0xfd87fffd,0x1be60fff,0x3fe1bfea,
    0xf88006ff,0x5403ffff,0x445fffff,0x7c46ffff,0x7fc06fff,0xcd983fff,
    0x7ffc4000,0x7fd402ff,0xfb8003ff,0xf1001fff,0xff889fff,0x5c0005ff,
    0x4bffd06f,0x3fe66ffd,0x00007fff,0x0dfffff1,0xfffff980,0x27fffc44,
    0x217fffe2,0x3fff2200,0xf7006fff,0x09b5ffff,0xf7fffff7,0xffe80001,
    0x800b97ff,0xfffffffb,0xfffffd8e,0xfffff105,0x5c1fc007,0x14ffd80f,
    0x1f207fff,0x3fffff80,0x805d8000,0xf86ffffd,0xffb00001,0xffffb0ff,
    0x8977fcc1,0x7fcc1ffd,0x44000fff,0x403fffff,0x44fffffa,0x20fffffa,
    0x00fffffa,0x00fffffe,0xfffd8010,0xfffa805f,0xffb8003f,0xff1001ff,
    0xfff889ff,0x3e20005f,0x4fffa81f,0xff8bfff2,0x0001ffff,0x0ffffff0,
    0xfffffa80,0x27fffc42,0x117fffe2,0xfffd100b,0x3fe200ff,0x881fefff,
    0x05ffffff,0xffffa800,0x5c001fbf,0x25ffffef,0x00dffff8,0x07fffff1,
    0x1fc41fc0,0xff72fff4,0x004f881f,0x00fffffe,0xb001f500,0x3b0dffff,
    0xffb00060,0xffffb0ff,0x7ff6fc41,0x7fdc1eff,0x005fffff,0x0fffffe2,
    0x5fffff70,0x7fffffe4,0xfffffb9f,0xffff02ff,0x00d8007f,0x03fffff5,
    0x07ffff50,0x3ffff700,0x3fffe200,0x2ffffc44,0x207fb000,0x3f24fffc,
    0x3ffee4ff,0x700002ff,0x001fffff,0x437fffe4,0x444ffff8,0x7c45ffff,
    0xfffe8800,0xfffb000f,0x7fec0dff,0x00002fff,0x0dffffff,0x5533f900,
    0x2006a601,0x003fffff,0x21b605f1,0x7ffc6fff,0xf0007dc5,0x0007ffff,
    0xfd801f44,0x81b86fff,0x7fec003a,0xffffd87f,0x019d10c0,0xff100000,
    0xfd807fff,0x00006fff,0x3ffffe00,0xe81e2003,0x5004ffff,0x0007ffff,
    0x003ffff7,0x113fffe2,0x000bffff,0xffd81bee,0x97ffee3f,0x05fffff8,
    0x3fffa000,0x3ffa003f,0xfff882ff,0x7fffc44f,0x88017c45,0x26007fff,
    0x202fffff,0x007ffffa,0x3ffff200,0x2fe8002f,0xfff80000,0x3f3003ff,
    0x7ecd3e60,0xff52dfff,0x0017e6bf,0x007fffff,0xfb003640,0x2010dfff,
    0x7fec002e,0xffffd87f,0x0077ea00,0x000effc4,0x07fffff1,0x17ffffc4,
    0x01dff980,0x3fffff80,0x7dc1f200,0x8280ffff,0x003ffffa,0x01ffffb8,
    0x89ffff10,0x005ffff8,0x3201ff88,0x3ff24fff,0x7fffdc4f,0x40d8000f,
    0x006ffffa,0x20dffff3,0x444ffff8,0x7c45ffff,0x17ffa006,0x0ffffd00,
    0x009ffff0,0x7fffc400,0x4ff88006,0xffd80000,0x0f9005ff,0x9998afb8,
    0x26660999,0x4000ee89,0x003fffff,0x6c003f30,0x3006ffff,0xffd8003f,
    0xffffd87f,0x01bffa00,0x0037ff44,0x07fffff1,0x02ffffe4,0x00dffd10,
    0x07fffff0,0x7fc437c0,0x85882fff,0x003ffffa,0x01ffffb8,0x717fffe0,
    0x000bffff,0xffb807fb,0x0ffff24f,0x01bffff6,0xff901fb0,0xffb005ff,
    0x7ffc01df,0x7fffdc5f,0x402ffc45,0x4002fff8,0xc804fffb,0x00001fff,
    0x001fffec,0x00037fcc,0x7ffffd40,0x401fd400,0xe88003fd,0x7fc4001f,
    0xd0003fff,0xfffd800b,0x0ff9807f,0x3fffec00,0x007fffec,0xe8003ffa,
    0xff1001ff,0x3e207fff,0x8000efff,0x22000ffe,0x004fffff,0xfffb0bfb,
    0x2a12e0bf,0x8003ffff,0x001ffffb,0x5c3ffffa,0x005fffff,0x7c4037dc,
    0x3fff64ff,0xbffff900,0x00de9801,0x803bffea,0xe805fffa,0xff70ffff,
    0xff88bfff,0x27fdc03f,0x07ffc400,0x0037fcc0,0x03ffcc00,0x00fffb80,
    0xfffd8000,0x1df300ef,0x01bfb100,0x0007fee0,0x13ffffe2,0x000ff200,
    0x80fffffb,0xe8007ffa,0x7f41ffff,0x7fc00fff,0x07ff4006,0xfffff880,
    0x5fffe984,0x01ffa000,0xbfffff10,0xa89ffb00,0xa81fffff,0xffffb84f,
    0xfffd8004,0x3fe6002f,0xffafffff,0x3e2007ff,0xdff9001f,0x2a01fff4,
    0x9acfffff,0x003feca8,0x983fffd1,0x3003fffc,0x5fffffff,0xf88fffff,
    0x5c41efff,0x360005ff,0x0ffa005f,0x27f40000,0x0fffc800,0xfd880000,
    0xb9acefff,0x5c000efe,0x3309adff,0x0001bff9,0x3fffffee,0x1bfee000,
    0xfffff980,0xedb99adf,0x44006fff,0x222fffff,0x882fffff,0x8801ffdb,
    0x2002ffdb,0xbffffffc,0x2efffcba,0xffdb8800,0x7ffdc002,0xaaaacfff,
    0x43ffffdb,0x99dffffe,0xd83ffeb9,0x8006ffff,0x004ffffe,0x477fffdc,
    0x2ffffff8,0x4003fd80,0x4ffaaffc,0xfffb5100,0x03bdffff,0xdffdb700,
    0x0039dfff,0x8effffb8,0x2ffffff8,0xffd735f1,0x003dffdb,0x2001f980,
    0x000000fb,0x2a0001f5,0x000006ff,0x7fffff5c,0x20002eff,0xfffffeb8,
    0x98001cff,0xffffffec,0x3e603dff,0x80dfffff,0xfffffecb,0xffffffff,
    0x2004ffff,0xfffffffa,0xffffff9b,0x055e544f,0x00acca80,0xffffec98,
    0xdeffffff,0x32a0000b,0xd93000ab,0xffffffff,0xffffffff,0x7ffdc7ff,
    0xffffffff,0x3ffa22ff,0x801fffff,0xfffffffc,0x054c003e,0x06fb8000,
    0x39ddb500,0x2ea62000,0x2000009b,0x0001ab98,0x88001530,0x0abba882,
    0x000e0000,0x80000071,0x05d40003,0xa9800000,0x0001aaca,0x4d5d54c0,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x55400000,
    0x41aaaaaa,0x511aaaa8,0x55555555,0x1db88555,0xaaaaaa88,0x0199aaaa,
    0x540dcc00,0x2d401b11,0x03555555,0x55555100,0x03555555,0x2aaaaa20,
    0x12aaaaaa,0x55555555,0xb9803555,0x2ea000ab,0xaa880b80,0x8801aaaa,
    0xaaaaaaaa,0x50002aaa,0xaa885303,0xaaaaaaaa,0xaaaa980a,0x2a21aaaa,
    0xaaaaaaaa,0x544002aa,0xaaaaaaaa,0xaaaa8000,0x511aaaaa,0x55555555,
    0x2aaa2555,0xaaaaaaaa,0x55555512,0x80355555,0x001bddca,0x55540b22,
    0x9aaaaaaa,0x55551001,0x55555555,0x15555555,0x55555544,0xaaaaaaaa,
    0x510aaaaa,0xa8355555,0x001aaaaa,0xfffffc80,0x7fe4c1cf,0xfff9512f,
    0x457bffff,0x445ffff8,0xffffffca,0xbeffffff,0xfffd3001,0x7c3f117d,
    0x2a6f980e,0x005ffffe,0xffffd730,0x200159ff,0xfffffca8,0xb512beff,
    0xbfffffff,0x37ff2037,0x7dc03fff,0xfa8bdfff,0xffffc880,0xfcb8803f,
    0xbeffffff,0x3fff8002,0xba89ffee,0xdffffffe,0xffda980b,0x2a21ceff,
    0xfffffffc,0x544002bd,0xfffffffb,0x7ffcc004,0x11acffff,0xffffff75,
    0x2ea257bf,0xdfffffff,0xfff9512b,0x037bffff,0x3fa77faa,0x7fecc04f,
    0xfffd9503,0xffffffff,0x3f2a205b,0xffffffff,0xffffffff,0x3ffaea21,
    0xffffffff,0x13ffffff,0x87fffff9,0x05ffffea,0xffff7000,0x500fe80d,
    0x20dfffff,0x00fffffb,0x27fffff5,0xdffffb98,0x3fffe200,0x6c6fffff,
    0xfffedfff,0x2ffffcc3,0x3ffe6000,0x540003ff,0x407fffff,0x06fffffb,
    0x7e43bf62,0xfff303ff,0x0bffffff,0x03ffffc8,0x7ffffd40,0x3fea0006,
    0x0bfffe7f,0x1fffffe6,0x804fff80,0x06fffffa,0xffff3000,0xfc800fff,
    0x404fffff,0x06fffff9,0x37ffffcc,0x3ffffea0,0x8fffcc05,0xda80fffe,
    0x4403ffff,0x733fffff,0x403dffff,0x84fffff9,0x01fffea8,0x09fffff3,
    0x87fffb31,0x983ffffc,0x0005ffff,0x03ffffe0,0xff1027c4,0x3ee09fff,
    0xf303ffff,0xd107ffff,0x2e05ffff,0xffffffdf,0x7fffc43f,0x7cc46fff,
    0x9999efff,0x3ffe2000,0x330002ff,0x3bfffff3,0xf5333333,0x1339ffff,
    0x3ea3ffe8,0xdfc80fff,0x2fffffff,0x1ffffdc0,0x3fffe200,0x3e60004f,
    0x3fff65ff,0xbfffff00,0x00bfe600,0x27ffffc4,0xfdf88000,0x1002ffff,
    0x5fffff9f,0xfffff880,0x7fffc405,0x7ffcc05f,0x7ff404ff,0xa8fffb1f,
    0x3ffffffe,0x3fffff80,0x07ffffcc,0x09fffff0,0x3e01ffb8,0x5404ffff,
    0x7ffdc3fe,0xffff883f,0x3f200005,0x1f303fff,0x7ffffc40,0xfffff104,
    0x3fffe20b,0xffff103f,0x64c9903f,0xe980befe,0x6c0dffff,0xffffffff,
    0x3e2003ff,0x0002ffff,0xffffffff,0xffffffff,0xffffffff,0x07ffd49f,
    0x3607fffe,0x0bbfb2a2,0x0ffffea0,0x3ffffe00,0x6f5c0003,0xf80fb661,
    0x9805ffff,0x3e2000ef,0x0004ffff,0x3fffebe0,0xf5f7006f,0xf005ffff,
    0xf009ffff,0x8809ffff,0x203fffff,0x711ffff9,0x7dcdd417,0xe803ffff,
    0xfd83ffff,0x3fe06fff,0xfb804fff,0x3ffffe01,0x543f8804,0xf883ffff,
    0x00005fff,0x41bfffe6,0xffff805c,0x2eee203f,0xffff104f,0x7ffdc07f,
    0x080440ff,0x20579500,0x9effff98,0x7c000999,0x001bffff,0xffff9998,
    0x999999df,0xcfffff99,0x3fffa099,0x083ffe40,0xffa80020,0xff8003ff,
    0x00003fff,0x7fffc000,0x06fd404f,0x7ffffc00,0x27e00003,0x01fffffc,
    0xffff9be8,0xffff802f,0xffff804f,0x7ffc404f,0x3fee03ff,0x7e4001ff,
    0xfe803fff,0xffb83fff,0xfff00fff,0x07e009ff,0x04fffff8,0xfffa8790,
    0xffff883f,0x7f400005,0x03e80fff,0x03fffff8,0x3e207f70,0x2203ffff,
    0x004fffff,0x7fc00000,0xf80005ff,0xffffffff,0xff000cef,0xf8809fff,
    0xf983ffff,0x017507ff,0xffa80000,0xff8003ff,0x000c3fff,0x3ffe0000,
    0x0ff204ff,0xfffff800,0x27e00003,0x05fffff8,0x7ffcc7cc,0xfff802ff,
    0xfff804ff,0x7fc404ff,0x3ee03fff,0x64001fff,0xe803ffff,0xfa83ffff,
    0xff02ffff,0x83709fff,0x3fffe01d,0x43a8304f,0x883ffffa,0x0005ffff,
    0x1ffffdc0,0x3fe003e6,0xfd003fff,0x3fffe201,0x7fff403f,0x000000ff,
    0x17fffe00,0x7fc00173,0xfdaabfff,0xff803fff,0x7c404fff,0xfa83ffff,
    0x00000fff,0x7d400dcc,0xf8003fff,0x7d13ffff,0xf8000000,0xd884ffff,
    0x7fc0002f,0x00003fff,0x7fffec7e,0x7cd7600f,0xf802ffff,0xf804ffff,
    0x4404ffff,0x203fffff,0x001ffffb,0x01ffffdc,0x41fffff4,0x02fffffa,
    0xb09fffff,0x3fe00a83,0x88d04fff,0x1ffffd40,0x02ffffc4,0x3ffe2000,
    0xf802e46f,0x9803ffff,0x3ffe203f,0x7fdc03ff,0x7f443fff,0xd103ffff,
    0x407fffff,0xff75ffff,0xff003dff,0xffd85fff,0x3fe00eff,0x7c404fff,
    0xfb83ffff,0xf9001fff,0x3eabffff,0x2a01efff,0x8003ffff,0xf9bfffff,
    0x7f44000d,0xf803ffff,0x74c4ffff,0xff80000e,0x00003fff,0x7fffcc7e,
    0x263f103f,0x802fffff,0x804fffff,0x404fffff,0x83fffff8,0xfffffffe,
    0xfff7004f,0xfffd007f,0xffff707f,0x3fffe01f,0x4001f84f,0x884fffff,
    0xffffa807,0x5ffff883,0x77ffff5c,0xffffb002,0xff8017c3,0x7d403fff,
    0x7fffc404,0x7ffd403f,0xfffb05ff,0xfffd807f,0x3fffe03f,0xffffefcd,
    0xfffff806,0x4fffff82,0x13ffffe0,0x7fffff10,0x07ffff90,0x6ffffcc0,
    0x6ffffefc,0x0ffffea0,0x3ffffe00,0x6c0003fe,0xf803ffff,0x3ea4ffff,
    0xff00000e,0x00007fff,0xffffd0fc,0xff99ae0f,0xff802fff,0xff804fff,
    0x7c404fff,0xcb83ffff,0x2cdffffe,0x7ffff700,0x7ffffd00,0x0dffff90,
    0x227ffffc,0x7fc001fa,0x07b84fff,0x83ffffa8,0xf05ffff8,0xfa8003df,
    0x01f34fff,0x0fffffe0,0xf8802ec8,0x4c03ffff,0x706fffff,0xb807ffff,
    0x3e03ffff,0xf50effff,0xff807fff,0xffd82fff,0x3ffe07ff,0x7fc404ff,
    0xffb83fff,0x3e2004ff,0xf50effff,0x3ea07fff,0x37663fff,0x3ffffe01,
    0xfb80002f,0xff803fff,0xfff74fff,0x3fe00005,0x00003fff,0xffffb87e,
    0x3e63e82f,0xf802ffff,0xf804ffff,0x4404ffff,0x203fffff,0x001ffffb,
    0x01ffffdc,0x21fffff4,0x01fffff9,0x993ffffe,0x7fc001ff,0x3fdc4fff,
    0x1ffffd40,0x42ffffc4,0x88000ef8,0x0b97ffff,0x1fffffc0,0xfffa8050,
    0xffffffff,0x3ffe64ff,0xfff507ff,0xfffa807f,0x3fffe03f,0x3fffe20f,
    0x7ffffc04,0xfffffc82,0xffffff00,0xdddddddd,0x507fffff,0x001fffff,
    0x83ffffe2,0x505ffff8,0x7f47ffff,0x3fffe07f,0xf500003f,0xff007fff,
    0xfffbbfff,0xf00003ff,0x0007ffff,0x3ffe0fc0,0x307d46ff,0x005fffff,
    0x009fffff,0xddffffff,0xffdddddd,0x7dc07fff,0x5c001fff,0xe803ffff,
    0x3ea3ffff,0x7c01ffff,0xfdcdffff,0x7fc001ff,0xfecaefff,0xfffa807f,
    0xffff883f,0x0000ed85,0x3ebffff6,0x3fffe002,0x2a20003f,0xdfffffba,
    0x3e21aaaa,0xf507ffff,0xfa807fff,0x3fe03fff,0xffff85ff,0x7ffffc05,
    0xfffffb82,0xffffff01,0xdddddddd,0x107fffff,0x00bfffff,0x7c2ffffc,
    0xff505fff,0x3ffe27ff,0xfffff01f,0x3ea00007,0xff803fff,0xffffffff,
    0x40000eff,0x003fffff,0xff907e00,0x226c3fff,0x02fffff9,0x04fffff8,
    0xeffffff8,0xfeeeeeee,0x2e03ffff,0x4001ffff,0x803ffffb,0xfeeffffe,
    0x800befff,0xffffffff,0x7c001fff,0xffffffff,0xffa807ff,0xfff883ff,
    0x0006ec5f,0xffb99999,0x9999ffff,0x3fffe059,0xf100003f,0x9807ffff,
    0x506fffff,0xa807ffff,0x3e03ffff,0xfff85fff,0x7fffc05f,0xffffc82f,
    0x3ffffe07,0x7fffc404,0xffff903f,0xff89705f,0xffff85ff,0x7ffff505,
    0xff037fec,0x00007fff,0x00ffffea,0x23bffffe,0x05fffffe,0x7ffffc00,
    0x07e00003,0x29fffff1,0x7ffcc0f8,0xfff802ff,0xfff804ff,0x7fc404ff,
    0x3ee03fff,0x5c001fff,0xe803ffff,0xaaadffff,0x7ffc0009,0x3ff914ff,
    0xfffff800,0x00ffd934,0x107ffff5,0x7ecbffff,0x66664000,0xefffffcc,
    0xf02ccccc,0x0007ffff,0x3ffffe20,0x7fffd403,0xffff505f,0xffffa807,
    0x17fffe03,0xf01bfffe,0xfd05ffff,0x7fc09fff,0x7c404fff,0xf103ffff,
    0x55bfffff,0xbffff0bb,0x20dffff0,0x543ffffa,0xffffb102,0x2a00007f,
    0xf803ffff,0xff34ffff,0x0009ffff,0x01fffffc,0xfb03f000,0x0b91ffff,
    0x05fffff3,0x09fffff0,0x09fffff0,0x3fffff88,0x07fffee0,0x7ffff700,
    0x7ffffd00,0xffff0000,0x001fd89f,0x227ffffc,0xffa807e8,0xfff883ff,
    0x009ffb5f,0x3ffff600,0x7fffc002,0x8804003f,0x403fffff,0x04fffffa,
    0x807ffff5,0x203ffffa,0xff85ffff,0x7ffc06ff,0x7ffc42ff,0x3ffe02ff,
    0x7fc404ff,0x3e603fff,0x6fffffff,0xf0bffff0,0x3ea0dfff,0xd3003fff,
    0x07fffffd,0xfff50080,0xffff007f,0x7fffd49f,0xff0002ff,0x08007fff,
    0x3fe607e0,0x982fcfff,0x802fffff,0x804fffff,0x404fffff,0x03fffff8,
    0x007fffee,0x07ffff70,0x07ffffd0,0xfffff000,0x4001f889,0x984fffff,
    0xffffa807,0xdffff883,0x002ffffd,0x2ffffc80,0x7ffffc00,0x4406c003,
    0x403fffff,0x02fffffb,0x807ffff5,0x203ffffa,0xff85ffff,0x7ffc06ff,
    0x3ffa22ff,0x7ffc02ff,0x7fc404ff,0x74403fff,0x00ceffff,0xff0bffff,
    0x3fea0dff,0xcf8803ff,0x03fffff8,0x7fd40640,0xfff803ff,0x7ffe44ff,
    0xf8000fff,0x4003ffff,0x3a03f00d,0x306fffff,0x005fffff,0x009fffff,
    0x809fffff,0x03fffff8,0x007fffee,0x07ffff70,0x07ffffd0,0xfffff000,
    0x40603d09,0xf04fffff,0x7ffff500,0xdfffff10,0x001fffff,0x36666666,
    0x999bffff,0xffff0099,0x83c4007f,0x03fffff8,0x037fffec,0x807ffff5,
    0x203ffffa,0xff85ffff,0x7ffc06ff,0xfffecdff,0xfff801ef,0x7fc404ff,
    0x71003fff,0xffff001d,0x0dffff0b,0x00ffffea,0xfffff8e6,0xfa83c003,
    0xff803fff,0xffe84fff,0x4000efff,0x003fffff,0x701f81e2,0x207fffff,
    0x02fffff9,0x04fffff8,0x04fffff8,0x1fffffc4,0x03ffff70,0x3ffffb80,
    0x3ffffe80,0xffff8000,0x5881c84f,0x09fffff0,0x3ffea016,0xffff883f,
    0x0bffff96,0x3fffffe0,0xffffffff,0xfff04fff,0x3e4007ff,0x3fffff88,
    0x3ffffe20,0x3fffea02,0x7fffd403,0x17fffe03,0xf01bfffe,0x99bdffff,
    0x7fc00379,0x7c404fff,0x2003ffff,0xfff803fe,0x6ffff85f,0x07ffff50,
    0x7fffff00,0xfa83d400,0xff803fff,0xff884fff,0x4005ffff,0x003fffff,
    0x201f81f2,0x300fffff,0x005fffff,0x009fffff,0x809fffff,0x03fffff8,
    0x007fffee,0x07ffff70,0x07ffffd0,0xfffff000,0x412e0109,0x304fffff,
    0x7ffff500,0x4bffff10,0x002ffffe,0x0bffff60,0x7fffff00,0xf8837c00,
    0x3203ffff,0x5405ffff,0x5403ffff,0x3e03ffff,0xfff85fff,0x7fffc06f,
    0xff80002f,0x7c404fff,0x7003ffff,0xff805fff,0xffff85ff,0x7ffff506,
    0xfffff000,0xa8374007,0xf803ffff,0xf304ffff,0x007fffff,0x01fffffc,
    0x00fc0df0,0x4c09fff9,0x802fffff,0x804fffff,0x404fffff,0x03fffff8,
    0x007fffee,0x07ffff70,0x07ffffd0,0xfffff000,0x40fe2009,0x004fffff,
    0x0ffffea0,0x997fffe2,0x000fffff,0x05ffffb0,0x7ffffc40,0x20bfb004,
    0x03fffff8,0x01dffff1,0x03ffffa8,0x81ffffd4,0xf85ffff8,0x3e206fff,
    0x0002ffff,0x04fffff8,0x1fffffc4,0x409ff500,0xf85ffff8,0xff506fff,
    0xff0007ff,0x32009fff,0xffff505f,0xfffff007,0x7fffdc0b,0xff8802ff,
    0xfb004fff,0xf1017c0b,0x7fd403ff,0xff802fff,0xff804fff,0x7c404fff,
    0x2e03ffff,0x4001ffff,0x803ffffc,0x003ffffe,0x4fffff80,0xf02fe880,
    0x000bffff,0x41ffffd4,0x645ffff8,0x0005ffff,0x007ffffd,0x2fffffc4,
    0x8827fec0,0x984fffff,0x7005fffe,0xb809ffff,0xf304ffff,0xff88dfff,
    0x3fe207ff,0x40002fff,0x05fffff8,0x27ffffcc,0x405ff700,0x446ffff8,
    0xf706ffff,0x88009fff,0x405fffff,0xf704ffc8,0xff009fff,0xfe80dfff,
    0x402fffff,0x05fffff8,0xf304ffd8,0x406fd807,0x03fffffa,0x2fffffc4,
    0x3ffffe20,0x7fffcc05,0x3fff204f,0x7fe4002f,0xfff804ff,0x440004ff,
    0x405fffff,0xff01ffea,0x4000dfff,0x884ffffb,0xfe85ffff,0x4c003fff,
    0x00efffff,0xffffff70,0xfb755559,0x3f207fff,0xbabfffff,0x002efffc,
    0x01bffff6,0x20dffffb,0x20fffffa,0x00fffffa,0x0bfffff7,0xffffa800,
    0x3ff200ff,0x5400efff,0x7d405ffc,0x3ea0ffff,0xfd80ffff,0x5c006fff,
    0xabffffff,0xfffcb999,0xffffb03f,0xffffa80d,0x3ff201ff,0x203fffff,
    0xcffffffb,0xffdbaaaa,0x3ffb03ff,0x36017cc0,0x405fffff,0x0ffffffb,
    0x3ffffee0,0x3fff200f,0xffb00eff,0x7cc009ff,0x200fffff,0x0efffffa,
    0x3ffee000,0xba9acfff,0x80ffffec,0x0ffffffa,0xffffb000,0xfffff50d,
    0x5fffff70,0xfffed980,0x83dfffff,0xfffffec9,0xffffffff,0x263fffff,
    0xffffffec,0x0bdeffff,0x3fffa200,0x7441ffff,0x1fffffff,0x3ffffff2,
    0xfffffb9f,0xffd912ff,0x3bffffff,0x3ffb2200,0x4dffffff,0xfffffdb3,
    0x9107bfff,0xffc80379,0xfb9fffff,0x12ffffff,0xfffffffd,0x7ff64403,
    0xffffffff,0xffffffff,0x7ffff442,0x3b221fff,0xffffffff,0x3fffa62e,
    0x4fffffff,0xfffffd93,0xffffffff,0x447fffff,0x3efffffd,0x3ff6a0d0,
    0xdfffffff,0xffffd912,0x227bffff,0xffffffec,0xfdb34dff,0xbfffffff,
    0x3ffffb27,0xdb303fff,0xffffffff,0x7fff6c9d,0x03efffff,0xffffd910,
    0xffffffff,0x44ffffff,0xffffffec,0xd1004dff,0x3fffffff,0x3ffffff2,
    0xffffd32f,0x00000bff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x55544000,
    0xaaaaaaaa,0x20000999,0xaaa81dc9,0x98001aaa,0xaaaaaaaa,0x2aaa01aa,
    0x2aa22aaa,0xaaaaaaaa,0x5555540a,0x55501aaa,0x55555555,0x15555555,
    0x5555554c,0x0099aaaa,0x555554c0,0xaaaaaaaa,0x0aaaaaaa,0x06f72e20,
    0x000a8000,0x06e98000,0x555440d4,0xaaaaaaaa,0x00000999,0x3332e000,
    0x0ccccccc,0x333332a0,0x001ccccc,0x03a80095,0xcccccca8,0x9501cccc,
    0x99999999,0x66665439,0x01cccccc,0x00000000,0x66400000,0x30000000,
    0xb5001577,0x7ffe5441,0xffffffff,0x2001dfff,0x540ffff8,0x005ffffe,
    0xfffffd98,0x2e01adff,0x223efffd,0xfffffffb,0x7e540adf,0xf01befff,
    0xffffffff,0xffffffff,0x7fe54c1f,0xffffffff,0x6c01bdff,0xffffffff,
    0xffffffff,0xf701ffff,0x03ffffff,0x0009d000,0x07fe8800,0xa88dfff3,
    0xfffffffc,0x4effffff,0x33333620,0xcccccccc,0x7f43cccc,0xffffffff,
    0x3fff601f,0x2fffffff,0x2004f880,0xffd803f8,0xffffffff,0xfffffb02,
    0x645fffff,0xffffffff,0xbf7002ff,0x1ff80000,0x2ae62000,0x00dff900,
    0x0d815773,0xfffbff90,0x1fff9307,0x3ffffea0,0x3fffa622,0xfff7003f,
    0xffff309f,0x7fd4000b,0x2001ffff,0x3fe606fc,0xd807ffff,0x7fc403ff,
    0xfff102df,0x7dc05fff,0x9312ffff,0x2019ffff,0x3e09cffd,0x2a63ffff,
    0xffb81fff,0x1fffffff,0x01fea000,0xfffb0000,0x0bffff20,0x97ffffd4,
    0xeffffea8,0x80003880,0x7fffff43,0x201fffff,0xfffffffd,0xfd802fff,
    0x00ff6004,0x3ffffff6,0xfb02ffff,0xffffffff,0x7fffe45f,0x02ffffff,
    0x0000bf70,0x88001ff8,0x3dfeeffd,0xc807ffdc,0x93ffeeff,0x21dfb10b,
    0x32a3fffc,0xf100fffd,0x3205ffff,0x9805ffff,0xf882ffff,0x40005fff,
    0x04fffffd,0xf5003f60,0x805fffff,0xff8804fd,0x7fffe402,0x7ffd405f,
    0xfff982ff,0x03fd81ff,0x107fffff,0xfff983fd,0x7fffffff,0x0fff6000,
    0x7fdc0000,0xffffd07f,0x3fffe209,0xffffd82f,0x0001c40f,0x2666621c,
    0x40199999,0x99999998,0x7dc00999,0x7ff7004f,0x33333100,0x20133333,
    0x99999998,0x26620999,0x99999999,0x00bf7000,0x001ff800,0xfb17ff4c,
    0x40ffd8bf,0x3ee4ffe8,0xffe80eff,0x03fffea3,0x2201fff3,0x102fffff,
    0x003fffff,0x7fc0dffb,0x440005ff,0x00ffffff,0xfb002f98,0x201dffff,
    0x5f3005f8,0xfffff980,0x7ffcc00f,0xfff302ff,0x205d81ff,0x503fffff,
    0xbadfe83f,0x2ffffffe,0x6fff9800,0xff980000,0xfff707ff,0x7fffc03f,
    0xffff882f,0x0001c43f,0x0000001c,0x3ffee000,0x3fffb804,0x00000000,
    0xb8000000,0x7c00005f,0x3fe2001f,0x77ffc47f,0xfe81fd9a,0x2fffc47f,
    0x3e07ffd4,0x7fcc1fff,0xffff100f,0x7ffec05f,0x8033004f,0x0005ffff,
    0x4fffffb8,0x22006d80,0x04ffffff,0x035400dd,0x1ffffff4,0x7ffffcc0,
    0x3ffff202,0xfff016c6,0x30fc07ff,0xffff503f,0xffb0009f,0x400005ff,
    0x07ffffe8,0xf807df91,0xfd02ffff,0x0388dfff,0x26203800,0x310001ba,
    0x3f200157,0x7e404fff,0x00003fff,0x15751000,0x5c000000,0x7c00005f,
    0x3fee001f,0xdfffe84f,0xfffa80ab,0x42fffe85,0x7e40fffe,0x0fff987f,
    0x5fffff10,0x37fffe40,0xffff0000,0x3fa0000b,0x2a00ffff,0x7fd4001f,
    0x7e41ffff,0x700ee000,0x00dfffff,0x0bffffe6,0x3fffff98,0xffff8036,
    0x1b87203f,0x13ffffa0,0xfffff100,0x76c0000b,0x0007fffd,0x05fffff0,
    0x83fffff2,0x83800038,0xffffefe9,0xffd8800d,0x3603efee,0xffffffff,
    0x3ffff62f,0xfb2fffff,0x7e49ffff,0x6405ffff,0x104ffcff,0x07fffffd,
    0x000bf700,0x1001ff80,0xfb07ffff,0xffe809ff,0x7fffc45f,0x41fffe66,
    0xfff980ba,0xfffff100,0x7fffe405,0x3fe00007,0x06ea25ff,0xfffff500,
    0x8002740b,0x26fffffc,0x054001fa,0xffffff10,0x3ffe6003,0x7ffc02ff,
    0x3fe006ff,0x00003fff,0x00bfffee,0xffffff90,0x3f500003,0x000ffff9,
    0x0bffffe0,0x22fffff4,0x43800038,0x3fee0efc,0x7ff4c05f,0x260fff62,
    0xceffffdc,0xffb931cc,0x43999dff,0x544ffffa,0xd105ffff,0x17fe61df,
    0x03ffffd8,0x0005fb80,0xa800ffc0,0xfd82ffff,0x3fe206ff,0x3ffa24ff,
    0xfff50fff,0xff98001f,0xffff100f,0x7fff405f,0xfffd106f,0x3ffe07ff,
    0xdffff55f,0x7fff4003,0x00fb81ff,0xffffd100,0x0005f39f,0xfffffb00,
    0x7ffcc009,0x7fe402ff,0xff002fff,0x00007fff,0x007fffcc,0x3ffff3e0,
    0x7cc0004f,0x00ffff93,0x3ffffe00,0xfffff882,0x40001c42,0xf11bfea3,
    0x7fc07fff,0x17ffc47f,0x04ffff98,0x01ffffcc,0x889ffff3,0xfd05ffff,
    0x03ffd87f,0x007ffff7,0x0000bf70,0xf7001ff8,0xffb05fff,0x7ffcc0ff,
    0x3ff3364f,0xffff71ff,0xfff98003,0xfffff100,0x3fffe205,0x7ffec04f,
    0xbffff03f,0xdffffdf9,0x7fffd400,0x0017c45f,0x3ffffe60,0x800004ff,
    0x0ffffffa,0x3fffe600,0x7ffdc02f,0xfff004ff,0x400007ff,0x4006fffa,
    0xfffffb7b,0x92f40001,0x0000ffff,0x20bffffe,0x886ffffc,0x3a380003,
    0x7ffc2fff,0x9fff705f,0x303fffd0,0x9809ffff,0x2203ffff,0x7c44ffff,
    0xffb85fff,0x07ffe40f,0x41ffffd4,0xeeeeeeec,0xeeeeeffe,0x3bba66ee,
    0xeffeeeee,0x2eeeeeee,0xb05ffff9,0x2e03ffff,0x2b94ffff,0xf92ffffc,
    0x98007fff,0xff100fff,0x3f205fff,0xfb806fff,0xfff03fff,0x3fea1dff,
    0x3f6003ff,0x1b62ffff,0x7ffe4000,0x00000fff,0x7fffffc4,0x7ffcc002,
    0x7fdc02ff,0xff005fff,0x00007fff,0x001fffe4,0x7fffd4fa,0x1f90003f,
    0x003fffe4,0x2fffff80,0x13ffff66,0x1c0001c4,0xff89fffd,0xfff886ff,
    0x4fffd83f,0x04ffff98,0x01ffffcc,0x889ffff1,0xff85ffff,0x2fffb87f,
    0x83ffffa8,0xfffffffd,0xffffffff,0x3ffe67ff,0xffffffff,0x3fffffff,
    0xb05ffff9,0x2e03ffff,0x0ebcffff,0x2e5ffff9,0x4004ffff,0xf100fff9,
    0x4c45ffff,0x00dffffd,0x03ffffa8,0xf81fffff,0x26004fff,0xf36fffff,
    0x7f400003,0x0004ffff,0x7ffffe40,0xfff98005,0x7fd402ff,0xff006fff,
    0x00007fff,0x20037ffc,0x3fffa0fa,0x1fa8007f,0x203fffe4,0xfffff000,
    0x7fffffdd,0x80003880,0xf03ffea3,0xff50dfff,0xfffb05ff,0x9ffff30d,
    0x3fff2a20,0x220aaadf,0x7c44ffff,0x7fcc5fff,0x3fffb86f,0x83ffffa8,
    0xaaaaaaa9,0xaaaaaefd,0x2aaa22aa,0xbffaaaaa,0x1aaaaaaa,0xb05ffff7,
    0x2a01ffff,0x20feffff,0xf50ffffc,0x4001ffff,0xf102fffb,0xffddffff,
    0x003bffff,0x81ffffd4,0xff85ffff,0x7ec005ff,0x04ebffff,0x7ffcc000,
    0x00002fff,0x1ffffff3,0xffff3000,0xfff9805f,0xfff006ff,0x200007ff,
    0x4001fff9,0x7fffdc4d,0x13e2002f,0x541ffff2,0x7fc02efe,0xfeccdfff,
    0x7103efff,0x83070000,0x86ffffea,0xd82ffffb,0xff987fff,0xfff504ff,
    0x5fffffff,0x227fffc4,0x545ffff8,0xeeeeffff,0xfa84fffe,0xb8003fff,
    0x7c00005f,0xfff5001f,0xffffb05f,0x7ffffcc0,0x137ffe41,0x00bfffff,
    0x99999995,0xfffff881,0xffffffac,0x7ffd4001,0xbffff03f,0x00dffff0,
    0xffffff88,0xd800000f,0x00ffffff,0xffffe800,0xff30003f,0xfa805fff,
    0xf005ffff,0x0007ffff,0x000ffee0,0xfff881f3,0x1ba006ff,0xe83fffe4,
    0x3e01ffff,0x7442ffff,0x441effff,0x20380003,0xffffbfea,0x2ffffc86,
    0x41ffffd8,0x404ffff9,0x203ffff9,0x444ffff8,0x7dc5ffff,0xaaaaafff,
    0xffa81aaa,0xfb8003ff,0x7fc00005,0xffff1001,0x0bfffd07,0xc84fffe8,
    0x7fe45fff,0x04b82fff,0xfffff100,0x3ffffea5,0x3fea000f,0xffff03ff,
    0x0dffff0b,0xfffff900,0xf3000007,0x0bffffff,0xffffb800,0x3e60006f,
    0x5c02ffff,0x004fffff,0x007fffff,0x00bff100,0x3ff20bb0,0xfc801fff,
    0x0ffff900,0x09fffff3,0x417ffffc,0x0fffffe8,0x0e0000e2,0x7fc7ffa2,
    0xfffc86ff,0xffffd82f,0x27fffcc1,0x0ffffe60,0x44ffff88,0x645ffff8,
    0x8000ffff,0x003ffffa,0x00005fb8,0xf9000ffc,0xffff07ff,0x5fffa803,
    0x442fffe8,0xadffffff,0x220005da,0x322fffff,0x005fffff,0x40ffffea,
    0xff85ffff,0xf88006ff,0x0003ffff,0x7fce7c40,0x0002ffff,0x3ffffff1,
    0x3fe60600,0x7e402fff,0xf002ffff,0x0007ffff,0x1000bfb0,0x3ffe603f,
    0x7fc405ff,0xffeeeeee,0x3e0eefff,0x3e07ffff,0xf502ffff,0x1c4bffff,
    0x3ee1c000,0x3fffe1ff,0x2ffffb86,0x40ffffd8,0x404ffff9,0x203ffff9,
    0x444ffff8,0x7dc5ffff,0xa8002fff,0x8003ffff,0x400005fb,0x3e2001ff,
    0x7ffcc6ff,0x7fff8805,0x981fffc4,0xffffffff,0x7fc40006,0x7ff42fff,
    0xf5002fff,0x3fe07fff,0xffff85ff,0xfff88006,0x400003ff,0x3fffee5e,
    0xfd8000ff,0x1005ffff,0xfffff30b,0xffffc805,0xffff001f,0xfb80007f,
    0xfff90005,0xffffffff,0x7c401fff,0xffffffff,0x20ffffff,0x207ffffa,
    0x102fffff,0x44ffffff,0x2a380003,0x7ffc4fff,0xffffa86f,0x87fffd82,
    0x404ffff9,0x203ffff9,0x444ffff8,0x7d45ffff,0xa8004fff,0x8003ffff,
    0x400005fb,0x744001ff,0x13ff62ff,0x27ff6ec0,0xe8809ff9,0x00ceffff,
    0x7fffc400,0x7fffcc2f,0xffa800ff,0xffff03ff,0x0dffff0b,0xfffff100,
    0x76c00007,0x7fffff40,0x7ffd4005,0x95000fff,0x5fffff30,0x6ffffe80,
    0x3ffffe00,0x1be60003,0x5567c090,0xffbaaaaa,0x3e204fff,0xffffffff,
    0x80ffffff,0x7ffc0df0,0x3ffa02ff,0x00711fff,0x7fffc700,0x437fffc2,
    0xe83ffff8,0xff985fff,0x7fcc04ff,0x3fe204ff,0x7ffc44ff,0x7fffc45f,
    0xf507100f,0x99707fff,0xffb99999,0x99999999,0x001ff800,0xfffdff90,
    0xfb972007,0x003efeff,0x00002a62,0x2fffff88,0x6fffffb8,0x3ffffa80,
    0xf0bffff0,0x1000dfff,0x007fffff,0x2603ee00,0x02ffffff,0x3fffffa0,
    0x2613a003,0x202fffff,0x01fffff9,0x0fffffe0,0x00774400,0x401ae097,
    0x00fffffe,0xddddddd1,0xddfffffd,0xf813ea01,0x3e02ffff,0x0e27ffff,
    0x7fcce000,0x3ffea5ff,0x7fff706f,0x103ffff0,0x0449ffff,0x897fffe6,
    0x22ffffc0,0xd85ffffb,0x3d05ffff,0x07ffff50,0xfffffffb,0xffffffff,
    0xff800fff,0x554c0001,0x4c044000,0x000000aa,0x3ffe2000,0xfffb02ff,
    0xffa807ff,0xffff03ff,0x0dffff0b,0xfffff100,0x5f500007,0x7ffffdc0,
    0xfffc800f,0x3ee006ff,0xfffff983,0x3ffff602,0x7fffc004,0xbfb0003f,
    0xfb999999,0x5c00fe07,0x003fffff,0x01ffff20,0xfff803f2,0xfff302ff,
    0x001c4dff,0xffff99c0,0xfffffeef,0x7ffc428f,0x02fffcc6,0x362dffff,
    0xb7fffc40,0xffffe858,0xbfffff70,0xdfffff30,0x2e09d735,0xcb84ffff,
    0xcccccccc,0xcccccccc,0x00664004,0x00000000,0x00000000,0x5fffff10,
    0x3ffffe20,0x3ffea01f,0xffff883f,0x06ffff85,0xfffff880,0x27cc0003,
    0x7fffff40,0x7fffcc05,0xff7001ff,0xfffff305,0x3fffe605,0x3fe2000e,
    0xc8003fff,0xffffffff,0x1fb81fff,0x3ffffe00,0x3ff20007,0x01fd407f,
    0x40bffffe,0x21fffffc,0x23800038,0x8dfffffe,0x82fffffb,0x3f62ffe9,
    0x7ffd404f,0xff701fef,0xf303fdff,0xf5ffffff,0x3ea0ffff,0x5fffffff,
    0x1bffff60,0x00000000,0x00000000,0x00000000,0xffff3000,0x7ffd407f,
    0xff700fff,0xfff109ff,0xffff88df,0xfff98006,0x260004ff,0xff9801ff,
    0x3a03ffff,0x804fffff,0x981fffe9,0x983fffff,0x8004ffff,0x04fffff9,
    0x7ffffd40,0x0fffffff,0x32003fc4,0x003fffff,0x40ffff90,0x7fc402fb,
    0xffc84fff,0x01c43fff,0xffb31c00,0x77fec45b,0x3bff6202,0xb5003fff,
    0xeb805bff,0x3ee01dff,0xff88efff,0xe982ffff,0x103effff,0xfffffffd,
    0x00000003,0x00000000,0x00000000,0x3ff20000,0x7ec05fff,0xd80effff,
    0xfa86ffff,0x3ea0ffff,0x4000ffff,0x0efffffc,0x7ffdc400,0xffff9803,
    0xffb82fff,0xaaabffff,0xfffdbaaa,0xfffd80ff,0xfdbaaeff,0x70002dff,
    0x01dfffff,0x3ffffe60,0x6fffffff,0x001fff4c,0x3ffffff9,0xffff9000,
    0x2e003320,0xabffffff,0x1dffffec,0xcccccd88,0xcccccccc,0x80083ccc,
    0x0554c000,0x08000800,0x00054c00,0x00055440,0x00000000,0x00000000,
    0x00000000,0x3b660000,0xffffffff,0xfffe882e,0xffd13fff,0x323fffff,
    0x9fffffff,0xfffffffb,0x7ff65c02,0xcdffffff,0x7fffe400,0x6c40ceff,
    0xffffffff,0xffff10ef,0xffffffff,0xffffffff,0x7fff6d4f,0xeeffffff,
    0xc98000ad,0xfffffffe,0x7ff403df,0xffffffff,0x3fff25ff,0xdb105eff,
    0xffffffff,0xfffc800d,0xfdb10007,0xffffffff,0x00399ddf,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x10000000,0x10001573,
    0x53001575,0x2200cc37,0x00001ba9,0x00000000,0x01bb8800,0x00015751,
    0x200d4400,0x9881aba8,0x800009bb,0x000ecc2a,0x00000000,0x00000000,
    0x10000000,0xab980059,0x80375100,0x3201103b,0x01b98001,0x0fd40be2,
    0x40000000,0x00b900fb,0xd8800004,0x2f6e6003,0x2b36a200,0x7fffec00,
    0x3ffff24f,0x3ff6205f,0x9003efee,0x409ff9ff,0xfdffeffc,0xffdfd302,
    0x3ee01bff,0x44ffffff,0xf70efffc,0x13bfffff,0xbffffffd,0x8837ff5c,
    0x1ffedfec,0x0bffbff2,0x93fffff6,0xd5fffffc,0xdfd505ff,0x3a67ffff,
    0xb82fffdf,0x2e6ffffe,0x3fe64fff,0x440000be,0xeffffffe,0x1efffe8a,
    0x7fffffdc,0x27ffffff,0x3fffffe8,0x7fffffdc,0xffffd52f,0x2a00005d,
    0xfff73ffd,0x3ffeadff,0x3ff624ff,0xffa80eff,0x9ffffb52,0x7e43ff61,
    0xff55ffff,0x3f203dff,0x5001dd01,0x00f2001d,0x0fe40fee,0x0006fb80,
    0xd802ffd8,0xb80fffff,0x02ffffff,0x227fffd4,0x305ffffa,0x7fec5ffd,
    0x43bfa203,0xffb85ff9,0x907ff711,0x7ffdc1df,0x3fffe605,0x50df503f,
    0xfb0fffff,0x9f30bfff,0xf91fff40,0x2e1dfb7f,0xfffb83ff,0x7fffd44f,
    0xfc8bfff5,0x37ffee0e,0x7ffb12ff,0x2dffff10,0x227ffffc,0x01cffffd,
    0x7fffdc00,0xb80ffc1f,0x3fe209ef,0xffd82fff,0xfff983ff,0x1ffe80ff,
    0xffb88000,0x3fe61dff,0xfedfbeff,0xefe8afff,0xfb06ffff,0xffffffdf,
    0x985ffdff,0xefcdffff,0xf106ffff,0x01df503f,0x2006ffc4,0x3ea01ffc,
    0x400bf706,0x40002fff,0x76403ffe,0x5c5ffeba,0xfffccfff,0x3fffe602,
    0x2ffffc44,0x7c47fff8,0x7ffd02ff,0x7f43ffd8,0x7d43fa87,0x7fffc46f,
    0x3ffff603,0x3603f504,0x7c42ffff,0x0f987fff,0xf88dffb0,0x7fc2ffff,
    0x7fffd40f,0xaffffcc4,0x3fee5ffc,0x5ffffd85,0x7c07ffcc,0xfefaefff,
    0xffc886ff,0x20002eff,0x264ffffd,0x6c1ee02f,0xf705ffff,0xff107fff,
    0x1df10dff,0xffd98000,0xfff01cff,0x7ff43fff,0x3fee4fff,0xfffb02ff,
    0xffd51139,0xffff105f,0x3ffea1df,0x01ff903f,0xffa80dfd,0x80fff205,
    0xffb83ff9,0x03ff2001,0x03ff7000,0x97fee144,0x3220bff9,0xfff100ff,
    0xffff889f,0x84fffb85,0x7dc1fffe,0x7ffe40ff,0xb09fff30,0x42fffe87,
    0x2605ffff,0xb906ffff,0x27fffcc0,0x20fffffc,0x9fff905b,0x83ffffb0,
    0x7fcc5ffe,0x7ffc44ff,0xfe83ba5f,0x7ffe41ff,0x84fff83f,0x51ffffff,
    0xfda805fd,0x4001cfff,0xd1fffff8,0xfa84b807,0xf501ffff,0x3fe07fff,
    0x00ed86ff,0xfffd7100,0xfff8017d,0x7ffe41ff,0x7fffcc4f,0x403ff903,
    0xff881ffc,0x3fe20fff,0xdff105ff,0x405ffa81,0xffc85ffa,0x21bfe603,
    0x08005ffa,0x10cfa800,0x00774cdf,0x37dc1df9,0x3e207ff0,0x7fc44fff,
    0x7ffc45ff,0x4fffd83f,0x7dc3fffc,0xffff72ff,0x3fa24c1b,0x7fffc4ff,
    0x7fffec06,0x7f402f81,0x7ffd47ff,0xf81744ff,0xffc82fff,0x3ffec0ff,
    0x113fffe2,0x79bdffff,0x44fffe81,0xe82ffffb,0xffff87ff,0x64c0004f,
    0x002dffff,0x2f7fffee,0xfe809805,0x3ea04fff,0xfff03fff,0x000ec8bf,
    0xdffffc98,0x3fffe001,0x1ffffc86,0x427fffc4,0xfd802ff8,0x0bffff05,
    0x640bffff,0x5ffe86ff,0xf92ffd40,0x7ffc407f,0x007ffcc2,0xffe80000,
    0x3ff25b2f,0x4ffb883f,0xbf901ff4,0x13fffe20,0xa8bffff1,0xfd82ffff,
    0x3ffe66ff,0x13fffb86,0x03dfffff,0x3e07ffd4,0x7d406fff,0x03545fff,
    0xb17fffdc,0x4cfffff7,0x5ffff307,0xb0ffff90,0x7fc41fff,0x7ffc44ff,
    0x77fd405f,0x0ffffdc0,0x3e07ffec,0x0001ffff,0xffffd710,0xfff88019,
    0x70000fff,0x401fffff,0xf03ffffa,0x0fe4bfff,0x3fffaa00,0xff8000bf,
    0xfffc86ff,0x7fffc41f,0x3005fb84,0xffff01ff,0x0bffff0b,0x2a2fffc4,
    0x7d404fff,0x203ffcdf,0x7cc6ffe8,0x000004ff,0x33ffff20,0x1ffffdbc,
    0x26ffffd8,0x1bee02fe,0x227fffc4,0x5c5ffff8,0xfd82ffff,0x3ffea7ff,
    0xffeeeeef,0x3ffffa4f,0x2a0c03ff,0x806ffffe,0x360ffffe,0xffff8803,
    0xfff91f15,0x7dc1325f,0xffc81fff,0xfeccccff,0x3ffe22ff,0x7fffc44f,
    0x64418805,0xeeefffff,0x41ffffee,0x000fffff,0xfffc9800,0x3fee01df,
    0xf10006ff,0xa805ffff,0xff03ffff,0x17ff2bff,0x3ffff220,0x7fc0002e,
    0xfffc86ff,0x7fffc41f,0x2004fc85,0xffff81ff,0x06ffff85,0x3a2fffe4,
    0x7d403fff,0x3a203fff,0x3fe62fff,0xeeec80ff,0xeeeeeeee,0x86eeeeee,
    0xadfaaab9,0x36600baa,0x0dfb1fff,0xff8827f4,0x7ffc44ff,0x7fffe45f,
    0x1ffffd82,0x555ffff7,0x54355555,0x5fffffff,0xffbfea80,0xffb806ff,
    0x001f14ff,0x2e3ffff6,0x2bffff35,0xffff901e,0x5ffff903,0x15555555,
    0x227fffc4,0x005ffff8,0x7fdefe44,0xaaaaabff,0x7ffc0aaa,0x4000007f,
    0x403ffffa,0x002ffffe,0x05ffffd8,0x03ffffa8,0xff9dffff,0xff9805ff,
    0xf00003ff,0xff90dfff,0xfff883ff,0x003fd85f,0x3ffe0bfa,0x6ffff85f,
    0x22fffe40,0xd803fffd,0x7f400eff,0x3ffa23ff,0xffffd81f,0xffffffff,
    0x407fffff,0x8002ebd8,0x3ff73ffe,0x2205ff50,0x7c44ffff,0x7fe45fff,
    0xfffd82ff,0x1ffff91f,0xffffa800,0xfd103fff,0x1bfffe3f,0x5ffffe20,
    0x3fea004c,0x3fa2ebff,0x3606afff,0xfc81ffff,0x22000fff,0x7c44ffff,
    0x2e005fff,0xffff52ff,0xffff0005,0x7100000d,0x017dfffd,0x06ffffa8,
    0x7ffffd40,0xffffa801,0xdfffff03,0x801fffff,0x0befffeb,0x3fffe000,
    0x1ffffc86,0x42ffffc4,0x3fe004fc,0x85ffff81,0x2206ffff,0x7fcc5fff,
    0xfffc804f,0x3fa200ef,0x2fffcc7f,0x5555554c,0xaaaaaaaa,0x3ea02aaa,
    0x4001bf57,0x3ffa1ffb,0x05ffeaad,0x113fffe2,0xfb8bffff,0xffd82fff,
    0xffff70ff,0xffd10005,0xff70ffff,0x37fffc3f,0xbffffc80,0x3fe2001f,
    0x7fdc7fff,0x3f204fff,0xffc81fff,0x3e2002ff,0x7fc44fff,0xfe8805ff,
    0x3fffea1f,0xffff8003,0x32600006,0x001dffff,0x0fffffe2,0x4ffffe80,
    0x7ffff500,0x23bfffe0,0x005ffffc,0x3bffffb3,0xdffff000,0x83ffff90,
    0xb85ffff8,0x0ff5006f,0x3e17fffe,0x3f206fff,0x05ffe86f,0xffabffc8,
    0x3ffa200d,0x00fffcc3,0x3ee00000,0x83fff35f,0x22fd43d9,0xffffffe8,
    0x3ffe200d,0x7fffc44f,0x17fffd45,0xf53fffec,0x22009fff,0x7ffffe40,
    0xf13ffea1,0x2200dfff,0x005fffff,0x44ffffd8,0x01fffff8,0x207fffee,
    0x004ffffc,0x113fffe2,0x980bffff,0x7fcc5fff,0xff8006ff,0xa80006ff,
    0x00bffffe,0xffffec80,0xffff7007,0xff50501f,0x3ffe07ff,0x3ffffa5f,
    0x3fae2003,0xf000beff,0xff90dfff,0xfff883ff,0x03ff885f,0xfff04fe8,
    0xdffff0bf,0x503bfe20,0xff900bff,0x202ffd47,0x7d40fff8,0x0000005f,
    0xffd1fffc,0x9beffc89,0xffd700de,0xfff1007d,0xffff889f,0x1ffffc45,
    0xf12ffff4,0x2201ffff,0xfff50b53,0x17fffc5f,0x801bfffe,0x002ffffd,
    0x81ffffa8,0x4406fffd,0xfd82ffff,0x3300ffff,0x22ffffc4,0x405ffff8,
    0xfe82fffe,0x02a01fff,0x000dffff,0x37ffff22,0x23aa0002,0x403ffffd,
    0x82fffff8,0xffffa858,0x4bffff03,0x00fffff9,0xffffda80,0x7fffc01c,
    0x1ffffc86,0x82ffffc4,0xfb103ffb,0x3fffe01f,0x06ffff85,0xbfd01df9,
    0x507ff900,0xff980bff,0x001ffa83,0x6c000f66,0x0bfee0ff,0x00737b2a,
    0xffff8000,0x2ffffdc5,0x7c1fffdc,0x7fec1fff,0x263d05ff,0x0fffc82f,
    0x54bffff3,0x2006ffff,0x0006fffa,0x7d41bffe,0xffd803ff,0xffffe83f,
    0xff86984f,0x7ffdc5ff,0x3ffe605f,0xffffc84f,0xff86980e,0x6d4006ff,
    0x001cffff,0xff98fc40,0x3f600fff,0x09705fff,0x207ffff5,0x7dc6ffff,
    0x20006fff,0x2effffc8,0x90dffff0,0xf883ffff,0xfd885fff,0xfca9bdff,
    0xff883fff,0xffff85ff,0xa80ff886,0x7fe400ef,0x017fea03,0xbf701ff3,
    0x00fff400,0x01980980,0xd0000000,0x3ee1ffff,0xf885ffff,0x7ffcc6ff,
    0xfffff985,0x264eb9ae,0x26ffa86f,0xeefffff9,0x28ffffff,0x007ffd00,
    0xf01ffe40,0xff3001ff,0xffff88bf,0xeb89dfff,0x0ffffe82,0x0dfffff7,
    0x5fffffd4,0xfffffda9,0x1fc98aff,0x006ffff8,0x07dfffd1,0x362ec000,
    0xf504ffff,0xf503ffff,0x9ffff709,0x21bfffe0,0x004ffffe,0xffffda80,
    0x43ffffc2,0x4c2ffffc,0x7445ffff,0xfffffdff,0x43ffdeff,0x446ffff8,
    0xfc86ffff,0x8801dd01,0xffa803fe,0xc81fd401,0x3ffd001f,0x00000000,
    0x7cc00000,0xfaffffff,0xfd307fff,0x027fec5f,0xfffffff5,0x2eff98bf,
    0xfe83ffb1,0xfb8dffff,0x7002ffff,0x4c0001ff,0x1bf200ff,0x22ffe880,
    0xfffecffc,0xf303ffff,0xf5ffffff,0xfe80ffff,0x8cffffff,0xfffffff9,
    0xfff982ff,0xff9800ff,0x2200001d,0x7ffdc3fd,0xfffe82ff,0xfeb999df,
    0xffffd83f,0xfffffa86,0x7ffffdc0,0xf9300002,0x7fffcc7f,0x7ffff41f,
    0x37fffdc4,0x76447fe6,0x17f62def,0x41fffff5,0x20fffffa,0x01b301d8,
    0x1a800a20,0x2640b700,0x0002c980,0x00000000,0xffffb800,0xfffff88e,
    0xeffd882f,0xe9803fff,0x883effff,0xeffffedf,0x2dffd981,0x00bbff62,
    0x80004f88,0x01fcc06e,0x3fbff620,0xfffd11ef,0xffb805bf,0xfff88eff,
    0xfd502fff,0xd983bfff,0x81dfffff,0xfffffffb,0x0005cc05,0xffffd100,
    0x3fffff2b,0x3ffee6ff,0xffffffff,0x3ffa22ff,0xf91fffff,0x25ffffff,
    0xfffffff9,0x95400006,0xfffffffb,0xfffffe8b,0xfffffb6f,0x000cc3ff,
    0x3ffff21c,0xfffb9fff,0x0002ffff,0x00000000,0x00000000,0x00000000,
    0x00a98000,0x01553000,0x80155100,0x2002aa21,0x30000800,0x03300001,
    0x44000150,0x055101aa,0x00015300,0x4c006a60,0x0000000a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2cc98000,0x80075c00,0x017b5008,0x322019b3,
    0x6dc403dd,0xcccc882c,0xcccccccc,0x11cccccc,0x99999999,0x99999999,
    0x88060599,0x0a880888,0x00220020,0x88888220,0x2980a880,0x77777744,
    0x55515eee,0x55555555,0x25555555,0xccccccc9,0xcccccccc,0x000004cc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7f400000,0x8800ffff,0xffc805ff,0x13ffee0c,0xf50ffff3,
    0x883df31d,0x45ff88ce,0xfffffff9,0xffffffff,0xfff33fff,0xffffffff,
    0x7fffffff,0x3fe60990,0x7ffe43ff,0x40f7f542,0x0adfffe8,0x3ff61e80,
    0x17ffc47f,0x7fc4dff9,0x6fffffff,0xfffffff3,0xffffffff,0x3ffe6dff,
    0xffffffff,0x06ffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ffb3b20,0xfffd804f,
    0x3fffea01,0x91ffffa6,0x7cc5ffff,0xfb1bf63f,0x910ffecd,0x99999999,
    0x99999999,0x33332239,0xcccccccc,0x43fecccc,0xffc81ef9,0x7fffc43f,
    0x237fffc6,0xfffffff8,0x81f301cf,0x3ee2fffd,0x3fffe5ff,0xffffff11,
    0x3ba6dfff,0xeeeeeeee,0x5eeeeeee,0x99999991,0x99999999,0x00000799,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x12200000,0xf980fffb,0x3f606fff,0xffd0ffff,0xffffb8ff,
    0xfc8bff61,0xfd9bf63f,0x0000002f,0x43fd8000,0xffe87ffd,0xfffffa84,
    0x1fffff50,0x7e556fe4,0x88beffff,0x9ffb05eb,0xfd27ffcc,0x333221ff,
    0x04cccccc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fea0000,0x7d6ff404,
    0xffff702f,0x17fff67f,0xfe8ffff5,0x313fee1f,0x05fff911,0x00000000,
    0xffb07fb0,0xf027fcc3,0x7fc4dfff,0xa81fc6ff,0xfffffffd,0x8ffd101f,
    0x3ba60dfc,0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x500ffe40,
    0x41ffa1ff,0x74ffffd8,0xff889fff,0x70fffc6f,0xafc88bff,0x00002ffd,
    0xfd800000,0x7dc7fe83,0x0eff5404,0xf88bffee,0x7ffe4c00,0x7f4401ff,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x27f40000,0x7cc9ff10,
    0x97dc203f,0xfe82fff9,0x90fff44f,0x8ffcc9ff,0x3fe62ffd,0xffffffff,
    0xffffffff,0x3f600003,0x85ffb713,0x8802004d,0x44001882,0x0fa2001a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x405fa800,0x7fec0ffc,
    0xff07f400,0x85ff901f,0x3ff21ffc,0xffd9ffa2,0x3ffffe62,0xffffffff,
    0x003fffff,0x64cff600,0x000000ac,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x27c40000,0x220ffe20,0x13e204ff,0x3fea0dfb,
    0xfb1ffc40,0x6e7ffc4b,0x5511bfff,0x55555555,0x55555555,0x54c00003,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x44e88000,0x9037ec4b,0x03b603ff,0x1be209f5,0x27e5fec4,0x7ccf7fe4,
    0x000001ef,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffffffd1,0x1017fcc5,0x0ee88bff,0x13a01f88,
    0x44015530,0x00000c40,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fffffa0,0x017fa0ff,0x1744bfea,
    0x00350120,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x66666540,0x073264cc,0x0001e640,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__times_bold_39_latin_ext_x[560]={ 0,3,3,0,1,2,1,2,1,0,1,0,1,0,
1,0,1,2,0,0,0,1,1,1,1,1,3,2,0,0,0,2,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,0,1,0,1,1,0,0,0,0,0,0,3,0,1,2,-1,0,1,0,1,1,1,1,1,1,0,
-1,1,0,1,1,1,0,1,1,1,0,1,0,0,0,0,0,2,2,1,0,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,2,0,0,0,
2,1,0,1,0,0,0,0,1,-1,1,0,0,0,3,1,0,1,2,1,0,0,1,1,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,2,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,1,0,0,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,1,0,1,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-1,0,1,1,0,0,0,
0,0,0,0,0,0,0,0,1,0,1,0,1,2,0,1,1,1,1,1,1,1,1,1,0,1,0,1,0,1,
1,1,1,1,1,1,1,1,1,0,1,0,1,0,0,1,0,1,0,1,0,1,0,1,0,1,0,0,0,0,
0,0,0,0,0,0,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,-1,4,4,4,
4,4,4,4,4,4,4,4,4,4,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,0,1,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,1,0,-1,1,
1,0,1,0,1,0,1,0,1,0,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,0,1,-1,1,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__times_bold_39_latin_ext_y[560]={ 31,7,7,7,7,7,7,7,7,7,7,9,25,21,
25,7,7,7,7,7,7,7,7,7,7,7,14,14,11,15,11,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,36,6,14,7,14,7,14,7,14,7,7,
7,7,7,14,14,14,14,14,14,14,9,14,14,14,14,14,14,7,7,7,18,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,31,14,7,7,11,7,
7,7,7,7,7,15,15,21,7,3,7,9,7,7,6,14,7,16,30,7,7,15,7,7,7,14,-1,-1,-1,0,
0,1,7,7,-1,-1,-1,0,-1,-1,-1,0,7,0,-1,-1,-1,0,0,11,6,-1,-1,-1,0,-1,7,7,6,6,
6,7,7,6,14,14,6,6,6,7,6,6,6,7,7,7,6,6,6,7,7,11,13,6,6,6,7,6,7,7,
2,9,0,7,7,14,-1,6,-2,6,0,7,-1,6,-1,7,7,7,2,9,-1,7,0,7,7,14,-1,6,-1,6,
0,7,0,7,7,5,-2,-2,7,7,0,7,2,9,-1,7,7,7,0,14,7,7,-2,6,7,7,14,-1,-1,7,
7,7,7,7,7,7,7,-1,6,7,14,-1,6,7,7,14,2,9,-1,7,-1,6,7,14,-1,6,7,14,-1,6,
-1,6,-2,6,7,14,-1,6,7,9,-1,7,7,9,0,7,2,9,-1,7,-1,6,-1,6,7,14,-2,6,-2,6,
0,-1,6,0,7,-1,6,7,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,7,8,8,7,8,8,8,
8,8,8,8,8,8,8,8,8,8,5,13,8,8,8,8,8,8,8,8,8,8,8,8,8,2,14,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,-1,6,-1,6,-1,
6,-1,6,-1,4,-1,1,-1,1,-1,1,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,-6,-1,-1,6,-1,6,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__times_bold_39_latin_ext_w[560]={ 0,6,14,17,16,31,27,6,11,11,15,20,7,11,
7,10,16,13,16,16,17,16,16,16,16,16,6,8,20,20,20,14,31,26,23,23,24,22,21,27,27,13,18,28,
23,33,25,26,21,26,26,18,22,25,26,35,26,26,23,8,10,8,16,19,8,17,19,14,18,14,14,16,18,10,
10,19,10,28,18,16,19,18,15,12,12,18,18,26,18,18,16,11,3,11,20,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,6,14,17,18,18,
3,16,12,25,11,17,20,11,25,19,12,20,10,10,9,19,20,7,7,9,11,18,25,25,26,15,26,26,26,26,
26,26,35,23,22,22,22,22,13,13,13,13,25,25,26,26,26,26,26,16,26,25,25,25,25,26,21,18,17,17,
17,17,17,17,24,14,14,14,14,14,11,11,12,12,16,18,16,16,16,16,16,20,16,18,18,18,18,18,19,18,
26,17,26,17,26,17,23,14,23,14,23,14,23,14,24,25,25,18,22,14,22,14,22,14,22,14,22,14,27,16,
27,16,27,16,27,16,27,18,27,18,13,12,13,12,13,12,13,10,13,10,29,17,18,13,28,19,19,23,10,23,
10,23,17,23,15,23,10,25,18,25,18,25,18,26,26,16,26,16,26,16,26,16,33,24,26,15,26,15,26,15,
18,12,18,12,18,12,18,12,22,12,22,18,22,12,25,18,25,18,25,18,25,18,25,18,25,18,35,26,26,18,
26,23,16,23,16,23,16,14,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,24,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,27,20,19,19,19,19,19,19,19,19,19,19,19,19,19,30,21,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,26,17,13,12,26,
16,25,18,25,18,25,18,25,18,25,18,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,26,17,35,24,26,16,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19, };
static unsigned short stb__times_bold_39_latin_ext_h[560]={ 0,25,12,25,27,25,25,12,32,32,14,20,13,4,
7,25,25,24,24,25,24,25,25,25,25,25,18,24,17,9,17,25,32,24,24,25,24,24,24,25,24,24,25,24,
24,24,25,25,24,31,24,25,24,25,25,25,24,24,24,31,25,31,13,3,7,18,25,18,25,18,24,25,24,24,
32,24,24,17,17,18,25,25,17,18,23,18,18,18,17,25,17,32,32,32,7,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,25,31,25,17,24,
32,32,6,25,11,16,9,4,25,3,13,20,13,13,7,25,32,7,8,13,11,16,26,26,26,25,32,32,32,31,
31,30,24,31,32,32,32,31,32,32,32,31,24,32,33,33,33,32,32,16,27,33,33,33,32,32,24,25,26,26,
26,25,25,26,18,24,26,26,26,25,25,25,25,24,25,24,26,26,26,25,25,16,19,26,26,26,25,33,32,32,
29,23,31,25,32,25,33,26,34,26,32,25,33,26,32,25,24,25,29,23,32,25,31,25,32,25,32,26,33,33,
32,32,32,32,31,34,33,33,24,24,31,24,29,22,32,24,32,32,31,17,25,32,34,33,31,31,17,32,32,31,
31,24,24,24,24,24,24,33,25,31,24,33,25,24,25,25,30,23,33,25,33,26,25,18,32,25,31,24,32,25,
33,26,34,26,31,24,33,26,33,31,32,25,24,23,32,25,30,23,33,25,33,26,33,26,32,25,34,26,33,33,
31,32,25,31,24,32,25,24,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,25,23,23,32,23,23,23,
23,23,23,23,23,23,23,23,23,23,27,19,23,23,23,23,23,23,23,23,23,23,23,23,23,30,18,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,32,26,32,25,33,
26,33,26,33,28,33,31,33,31,33,31,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,37,33,32,26,34,26,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23, };
static unsigned short stb__times_bold_39_latin_ext_s[560]={ 510,504,237,404,284,20,277,505,247,302,468,
428,229,395,344,464,422,396,184,20,228,155,52,469,86,230,504,246,305,276,217,
1,162,201,255,52,136,432,455,338,353,339,382,252,281,305,420,76,410,62,1,
122,161,224,177,141,85,58,112,365,171,89,212,427,373,65,87,487,68,37,381,
16,39,28,487,488,477,326,374,20,33,1,201,52,334,1,83,102,238,337,257,
475,506,463,352,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,
279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,510,503,255,
446,355,1,331,27,382,126,264,429,297,395,250,407,495,407,201,484,326,204,115,
336,318,502,252,393,134,338,294,375,194,221,362,204,297,148,299,160,141,201,279,
39,314,328,389,351,391,456,237,20,278,482,12,412,329,100,47,480,1,54,115,
356,257,101,175,284,266,364,176,165,227,242,382,140,128,116,103,239,69,180,321,
210,193,213,320,447,470,275,416,397,435,380,259,164,201,299,467,486,466,302,285,
160,28,119,442,53,126,44,403,187,44,247,242,379,81,172,29,37,104,454,224,
86,170,224,342,439,370,398,1,153,426,335,137,96,494,70,228,394,428,83,127,
493,337,274,475,183,79,264,419,184,285,415,1,109,98,20,477,436,199,215,500,
384,107,393,417,358,152,335,182,209,121,317,436,226,73,461,243,129,335,322,270,
375,27,366,1,18,98,31,374,362,199,448,176,324,248,401,276,347,136,1,175,
360,150,103,305,356,410,429,1,481,117,59,331,218,133,44,305,231,460,307,464,
495,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,439,279,279,95,
279,279,279,279,279,279,279,279,279,279,279,279,279,301,449,279,279,279,279,279,
279,279,279,279,279,279,279,279,90,154,279,279,279,279,279,279,279,279,279,279,
279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,68,411,
498,391,399,375,354,392,309,265,454,448,241,71,198,52,279,279,279,279,279,279,
279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,
279,279,279,1,267,271,478,52,1,279,279,279,279,279,279,279,279,279,279,279,
279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,
279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,
279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,
279,279,279,279,279,279,279,279,279, };
static unsigned short stb__times_bold_39_latin_ext_t[560]={ 1,73,377,231,172,283,257,231,106,106,359,
334,377,377,377,231,231,309,334,231,334,231,231,204,231,231,204,334,359,377,359,
257,73,334,334,283,334,309,309,257,309,309,257,309,309,309,257,283,309,139,334,
283,334,283,283,283,334,334,334,139,257,139,377,377,377,359,257,334,257,359,309,
257,334,334,39,309,309,359,359,359,257,231,359,359,334,359,359,359,359,231,359,
39,1,39,377,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,1,172,139,
257,359,309,73,73,377,257,377,359,377,377,283,377,359,334,377,359,377,283,73,
377,377,334,377,359,204,204,204,231,73,73,73,139,139,172,283,139,106,106,106,
139,106,106,73,139,283,106,39,39,39,106,139,359,172,39,39,1,106,106,309,
231,204,204,204,231,231,204,359,309,204,204,204,231,231,231,231,309,231,309,204,
204,204,231,231,359,334,204,204,204,204,1,106,106,172,334,139,204,73,231,1,
204,1,204,73,257,39,204,73,231,309,231,172,334,106,231,172,231,106,204,106,
204,1,1,106,106,106,106,172,1,1,1,309,309,139,309,172,334,73,309,106,
73,139,359,231,106,1,39,139,139,359,106,139,139,139,309,283,283,309,309,257,
39,257,139,283,39,257,283,257,257,172,334,39,257,39,172,257,359,73,257,139,
283,106,257,39,204,1,204,139,283,39,172,39,139,73,257,283,334,73,283,172,
334,39,283,39,172,39,172,73,257,1,204,39,39,139,73,257,139,283,73,257,
283,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,231,334,334,73,
334,334,334,334,334,334,334,334,334,334,334,334,334,172,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,172,359,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,73,172,
39,231,1,172,1,172,1,172,1,139,1,172,1,172,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,1,1,73,172,1,204,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334, };
static unsigned short stb__times_bold_39_latin_ext_a[560]={ 141,188,313,282,282,563,469,157,
188,188,282,321,141,188,141,157,282,282,282,282,282,282,282,282,
282,282,188,188,321,321,321,282,524,407,376,407,407,376,344,438,
438,219,282,438,376,532,407,438,344,438,407,313,376,407,407,563,
407,407,376,188,157,188,327,282,188,282,313,250,313,250,188,282,
313,157,188,313,157,469,313,282,313,313,250,219,188,313,282,407,
282,282,250,222,124,222,293,438,438,438,438,438,438,438,438,438,
438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,
438,438,438,438,438,438,438,438,141,188,282,282,282,282,124,282,
188,421,169,282,321,188,421,282,225,309,169,169,188,325,304,141,
188,169,186,282,423,423,423,282,407,407,407,407,407,407,563,407,
376,376,376,376,219,219,219,219,407,407,438,438,438,438,438,321,
438,407,407,407,407,407,344,313,282,282,282,282,282,282,407,250,
250,250,250,250,157,157,157,157,282,313,282,282,282,282,282,309,
282,313,313,313,313,282,313,282,407,282,407,282,407,282,407,250,
407,250,407,250,407,250,407,413,407,313,376,250,376,250,376,250,
376,250,376,250,438,282,438,282,438,282,438,282,438,313,438,313,
219,157,219,157,219,157,219,157,219,157,464,311,282,188,438,313,
313,376,157,376,157,376,264,376,223,376,157,407,313,407,313,407,
313,411,433,313,438,282,438,282,438,282,563,407,407,250,407,250,
407,250,313,219,313,219,313,219,313,219,376,188,376,294,376,188,
407,313,407,313,407,313,407,313,407,313,407,313,563,407,407,282,
407,376,250,376,250,376,250,157,438,438,438,438,438,438,438,438,
438,438,438,438,438,438,438,416,438,438,282,438,438,438,438,438,
438,438,438,438,438,438,438,438,438,312,438,438,438,438,438,438,
438,438,438,438,438,438,438,448,338,438,438,438,438,438,438,438,
438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,
438,438,438,438,438,407,282,219,157,438,282,407,313,407,313,407,
313,407,313,407,313,438,438,438,438,438,438,438,438,438,438,438,
438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,
438,438,407,282,563,407,438,282,438,438,438,438,438,438,438,438,
438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,
438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,
438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,
438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,
438,438,438,438,438,438,438,438, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_39_latin_ext_BITMAP_HEIGHT or STB_FONT_times_bold_39_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_39_latin_ext(stb_fontchar font[STB_FONT_times_bold_39_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_39_latin_ext_BITMAP_HEIGHT][STB_FONT_times_bold_39_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_39_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_39_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_39_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_39_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_39_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_39_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_39_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_39_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_39_latin_ext_s[i] + stb__times_bold_39_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_39_latin_ext_t[i] + stb__times_bold_39_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_39_latin_ext_x[i];
            font[i].y0 = stb__times_bold_39_latin_ext_y[i];
            font[i].x1 = stb__times_bold_39_latin_ext_x[i] + stb__times_bold_39_latin_ext_w[i];
            font[i].y1 = stb__times_bold_39_latin_ext_y[i] + stb__times_bold_39_latin_ext_h[i];
            font[i].advance_int = (stb__times_bold_39_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_39_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_39_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_39_latin_ext_s[i] + stb__times_bold_39_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_39_latin_ext_t[i] + stb__times_bold_39_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_39_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_39_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_39_latin_ext_x[i] + stb__times_bold_39_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_39_latin_ext_y[i] + stb__times_bold_39_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_bold_39_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_39_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_39_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_39_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_39_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_39_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_39_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_39_latin_ext_LINE_SPACING
#endif

