// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_42_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_42_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_42_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_bold_42_latin_ext_BITMAP_HEIGHT        453
#define STB_FONT_times_bold_42_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_bold_42_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_bold_42_latin_ext_NUM_CHARS            560

#define STB_FONT_times_bold_42_latin_ext_LINE_SPACING          27

static unsigned int stb__times_bold_42_latin_ext_pixels[]={
    0x3ffea000,0x000000ef,0x00000000,0x1e665400,0x00000000,0x00799950,
    0x66440000,0x000000cc,0x0015554c,0x20355550,0x99999998,0x99999999,
    0x01999999,0x00006200,0x00aaaa60,0x26662000,0x64000000,0x00001ccc,
    0xd8800000,0x00016cc3,0x00f775c0,0x00039900,0x0002776c,0x777776c0,
    0x00001eee,0x00000260,0x3bfff600,0x19300000,0x3ea00000,0x0000efff,
    0x0fffffc4,0x3fffa000,0x7c40002f,0x0001ffff,0xffff9000,0x4400000b,
    0x000fffff,0x06ffff98,0xfffffff9,0xffffffff,0x0fffffff,0x5dffb300,
    0x3fe20000,0x00000fff,0x007ffff4,0xfffb8000,0xc980006f,0x800000cf,
    0x05fcbffb,0x3fee0000,0x0bfe0004,0x06ffcc00,0x7ff40000,0x01ffffff,
    0x00fa0000,0xff100000,0x100001df,0x8000005b,0x000efffd,0xfffffc80,
    0x3fe60006,0xc80002ff,0x006fffff,0xfff98000,0x00001fff,0xbfffff90,
    0xffffd000,0xbfff907f,0xffff9557,0xff9755bf,0x3bf000ff,0x00001f91,
    0x0bfffff9,0x7ffd4000,0x800004ff,0x2ffffff8,0x7fff4000,0xf9000004,
    0x00001dff,0x0006fa80,0x5c000bfe,0x2000004f,0xcccccccb,0x3000000c,
    0x000000df,0x000effa8,0x0000b900,0x01dfff00,0xdfff3000,0x20005fff,
    0x0003fffb,0xffefff98,0x4000002f,0x5ffffffd,0xff880000,0x001fffff,
    0x3fffffea,0x40ffe40f,0x84fffffa,0x54007fe8,0x0002740f,0x3fffffe2,
    0xfd00001f,0x001fffff,0xefffc800,0x260006ff,0x0007ffff,0x002aaa00,
    0x014c0000,0x0005ff00,0x000000a6,0x80000000,0x00002ffd,0x003ff600,
    0x00abf800,0xdff50000,0x3f600001,0x00dff54f,0x000fffa0,0xfaa7fec0,
    0x2000006f,0xfe89effa,0x6c00001f,0x5ffc8dff,0x22fffa00,0x17e44ffd,
    0x4fffffa8,0xc800ff10,0x40006b85,0xffc8dffd,0xffb80005,0x004ffeaf,
    0x27ffe200,0x0003ffd8,0x0017fffe,0xea89d300,0x74c00003,0x2001f544,
    0x3a6002ff,0x0001f544,0x7d513a60,0x3e200000,0x000006ff,0x0003ff10,
    0x0ffffcc0,0x77ec0000,0xff500000,0x002ff987,0x0001ffcc,0x7cc3ffa8,
    0xd000002f,0x37ec41bf,0x7ff30000,0xb801ffb8,0x07fe42ff,0x7ffd40b9,
    0x01f204ff,0x03e81f50,0x713fe600,0x440003ff,0x3ff60eff,0xdfb00000,
    0x0007fc81,0x0007ffee,0x741ffb00,0x200000ff,0x3ffa0ffd,0x00bfe000,
    0x3fa0ffd8,0x3600000f,0x03ffa0ff,0x3ff20000,0x000001ff,0x00001c98,
    0x004fffe8,0x000ff800,0x4c07fa00,0x27dc006e,0x03fd0000,0x00001ba6,
    0x2fc813ee,0x05fd0000,0xdf1017ea,0x2c93ee03,0x3ffffea0,0x2001e604,
    0x00fd9adf,0x540bfa00,0x3f20006f,0x000bf905,0x2e01bf30,0x0620003f,
    0x37dc0000,0x00001bf2,0x06fc8df7,0x70017fc0,0x006fc8df,0x3237dc00,
    0x8800006f,0x005fffff,0x39b50000,0x7fd40000,0x4400000f,0x2200000a,
    0x0054400a,0x40000550,0x054400a8,0x00aa0000,0x2600006a,0x0064c01c,
    0x0ca80193,0x7ffd4015,0x001c04ff,0x016ffecc,0x98039100,0x3e88000c,
    0x0000fdc0,0x00a600a6,0x80000000,0x00000100,0x7c000402,0x0804002f,
    0x20100000,0xf7000000,0x001fffff,0xddfe8000,0x0c00005f,0x00000000,
    0x00000000,0x00000373,0x00000000,0x00000000,0x00000000,0x13ffffea,
    0x01880000,0x00000000,0x00000000,0x51000000,0x54037997,0x26666661,
    0x80999999,0x99999999,0x26666660,0x80999999,0x99999999,0x9998bfe0,
    0x99999999,0x99999809,0x26660999,0x99999999,0x99999809,0x7c000999,
    0x04ffffff,0x83ea0000,0x000000fa,0x5d4c0000,0x36009acc,0xccb98805,
    0xe980281b,0x0000dfff,0x37997510,0x99988d40,0x21999999,0x99999998,
    0x33009999,0x22013333,0x999bdecb,0x2aa01999,0x000aaaaa,0x4fffffa8,
    0x26666600,0x09999999,0x99999998,0x55555309,0x55443555,0x88001aaa,
    0x01acccba,0x26620017,0x99999999,0xfb500099,0xdfffffff,0xec8ba239,
    0xffffffff,0xffec83de,0x3b23dfff,0xffffffff,0xffec83de,0x3fe3dfff,
    0x3ffffb22,0x83deffff,0xdfffffec,0x3ffffb23,0x83deffff,0xdfffffec,
    0x3ebea003,0x0007ffff,0x13a13600,0xdecb8800,0x1999999b,0xffff9100,
    0x85dffffd,0x7fd401fc,0x8beffeef,0x31ed8069,0xda80009d,0xffffffff,
    0x2e5d11ce,0xffffffff,0xfffb30df,0x7bffffff,0x3fffff20,0xbdfffc82,
    0xffffffff,0xffffd701,0xff50001f,0x64009fff,0xfffffffe,0xfec83def,
    0xf53dffff,0x3bffffff,0x177ff5c4,0xffffea80,0x1cefffee,0x32a001f3,
    0xfffffffe,0x74c03cef,0x109dffff,0x5fffff95,0xffffff50,0x3ffe6009,
    0x3fffea00,0xff3004ff,0x505ff01f,0x09ffffff,0x803ffe60,0x4ffffffa,
    0x01fff300,0x3ffa9d00,0x00003fff,0x009d09b0,0x7bfff710,0xfffffffd,
    0xefffc803,0x3fff2a0a,0x6c02fbae,0x7f4c1cff,0x17c406ff,0x260003ea,
    0x09dffffe,0xfffff951,0x7ffff445,0xffd101ff,0x2003ffff,0xffe80efd,
    0x3fffe23f,0x3e601fff,0x8000ffff,0x04fffffa,0xfffffa80,0xfff3004f,
    0xfffff101,0x8037cc0f,0x82efffd8,0xffffffa8,0xfffa8000,0xf7005fff,
    0x9803ffff,0xff02fffd,0x4003ffff,0xfff803fc,0x32001fff,0x205ff03f,
    0x01ffffff,0x3e00ff20,0x001fffff,0x26000ff2,0xfffff71f,0x2a00000d,
    0x0003ea0f,0xf88ffffa,0x01ffffff,0x01dfffd1,0x1fffffcc,0x9017ff20,
    0x0f980dff,0x2e000fcc,0x401fffff,0x542fffd9,0x00ffffff,0x3fffffe6,
    0x905f7001,0xffb0ffff,0x7ffc005f,0xfa8000ff,0x0004ffff,0x03ffffff,
    0xf701fe40,0x2601ffff,0xfffb802f,0xfff7004f,0x3fe0001f,0xc801ffff,
    0x001fffff,0x7f40bffa,0x2001ffff,0xffe801fb,0x2e001fff,0x205ff01f,
    0x01fffffe,0x3a007ee0,0x001fffff,0x360007ee,0x7fffffc5,0xfd000002,
    0x9000bfdb,0xffb0ffff,0xfff8805f,0xffb800ff,0x3fe604ff,0x06fd801f,
    0x003643e8,0x07fffff2,0xe82ffe80,0x403fffff,0x04fffffd,0xfff10d90,
    0xffff70bf,0x3fffe001,0xffa8000f,0xd0004fff,0x003fffff,0x3fe00fdc,
    0x0f703fff,0x09ffff90,0x00fffb80,0xfffffd00,0xffffa803,0x7f44003f,
    0xfffffd02,0x00fd4001,0x07fffff4,0x3e03f500,0xffffd02f,0x0fd4001f,
    0x7fffff40,0x007ea000,0xffc85f10,0x00005fff,0x0007be60,0x217fffe2,
    0x200ffffb,0x005ffffe,0x407ffffa,0x8800fffc,0xadfb806e,0x3ea002fd,
    0x4003ffff,0xffb82fe8,0x7d406fff,0xf007ffff,0xbffff507,0x05ffff50,
    0x03ffffe0,0x3fffea00,0xffd0004f,0x54001fff,0x7ffdc01f,0xa809b06f,
    0x0006ffff,0x20001ff7,0x01fffffe,0x13ffffe6,0xe817d400,0x000fffff,
    0x3fa007ea,0x2000ffff,0x05ff01fa,0x03fffffa,0xe801fa80,0x000fffff,
    0xd90007ea,0xffffff10,0x26000003,0xff50006f,0xfff50bff,0x3fff205f,
    0xfd1001ff,0x3fa0dfff,0x0f7003ff,0x00b7f6a0,0x4fffff98,0x105f5000,
    0x03ffffff,0x2ffffff8,0x7dc07cc0,0xffa84fff,0xfff003ff,0xf50001ff,
    0x0009ffff,0x03fffffa,0x4401fa80,0x442fffff,0x3ffe200f,0x3a0003ff,
    0xffd0000f,0x7f403fff,0x0001ffff,0x7fff40be,0x3ea000ff,0xffffe801,
    0x07ea000f,0xffe817fc,0x2a000fff,0xfffe801f,0x3ea000ff,0x40fe2001,
    0x04fffffd,0x5ffb0000,0xffff7000,0x7ffff509,0xdfffff10,0x7fffec00,
    0xffff84ff,0x0078802f,0xfffe8000,0x3e0001ff,0xfffff902,0xffffc809,
    0x982ec05f,0xfa84ffff,0xff002fff,0x50001fff,0x009fffff,0x3fffffa0,
    0x007ea000,0x717ffff2,0xffffd80d,0x3ea0000f,0xfffd0000,0x3fe603ff,
    0x40007fff,0xffffd02c,0x0fd4001f,0x7fffff40,0x407ea000,0xfffd02ff,
    0x7d4001ff,0xffffe801,0x07ea000f,0x3e607b80,0x000fffff,0x37ffc400,
    0x7fffcc00,0x2ffffa85,0x4fffffb8,0xfff3f900,0xffd81fff,0x03803fff,
    0x2cedca98,0xfffff980,0x81640007,0x07fffff9,0x7fffffcc,0x7405f100,
    0xffb85fff,0x3ffe007f,0xfa8000ff,0x0004ffff,0x01fffffd,0x4c00fd40,
    0x3a1fffff,0x3fffea02,0x0e80006f,0xffffd000,0x3fff203f,0x000006ff,
    0x03fffffa,0xe801fa80,0x000fffff,0x17fc07ea,0x0fffffe8,0x2007ea00,
    0x00fffffe,0xf8007ea0,0xccccccce,0x03ffffff,0x7ffe4000,0xffe8001f,
    0xffffb86f,0xfffffe81,0xfd2fb804,0xfb85ffff,0x02efffff,0xd9dfd300,
    0x6401dfff,0x006fffff,0x7fff4000,0x3ff202ff,0xf703ffff,0x86fffc80,
    0x2005fffc,0x000fffff,0x4fffffa8,0xffffd000,0x0fd4001f,0x4ffffd80,
    0x7fe401f3,0x80005fff,0x3ffa0000,0xfff01fff,0x00009fff,0x7fffff40,
    0x007ea000,0x03fffffa,0xff01fa80,0x3ffffa05,0x07ea000f,0x3fffffa0,
    0x007ea000,0x777777d4,0xffffeeee,0x2200007f,0x005fffff,0xc87fffc8,
    0xff885fff,0x5403ffff,0x3ffff63f,0x7fffcc4f,0x002effff,0xffb07fee,
    0x3ffe01df,0x00004fff,0x7ffffdc0,0x3fffbe06,0x009d06ff,0x7c45fffb,
    0x3e000dff,0x8000ffff,0x04fffffa,0xfffffd00,0x00fd4001,0x8fffffa8,
    0x7fff404c,0x000004ff,0x7ffff400,0xffff881f,0x000003ff,0x03fffffa,
    0xe801fa80,0x000fffff,0x17fc07ea,0x0fffffe8,0x2007ea00,0x00fffffe,
    0x74007ea0,0xffffd004,0x2e00005f,0x00ffffff,0x22fffc80,0xf306fff8,
    0x405fffff,0x7ffe44f9,0xfffc85ff,0x1effffff,0x217ffcc0,0x884ffff9,
    0x03ffffff,0x7fc40000,0xfa81ffff,0x1ffffff8,0xeb800fcc,0x3fffbcff,
    0xfffff800,0xfffa8000,0xfd0004ff,0x4001ffff,0x3fa001fa,0x401fbfff,
    0x03ffffff,0x74000000,0x981fffff,0x01ffffff,0x3ffa0000,0x2a000fff,
    0xfffe801f,0x3ea000ff,0x3a05ff01,0x000fffff,0x3fa007ea,0x2000ffff,
    0x1fa801fa,0xfffff700,0x3fe0000d,0x004fffff,0xf7bffd30,0x3ea019ff,
    0x101fffff,0xffff90bf,0x3fff60ff,0x4fffffff,0x31bfff20,0xf30dffff,
    0x003fffff,0xfff90000,0x32bd09ff,0x644fffff,0x76fd4006,0xf0000ace,
    0x0001ffff,0x09fffff5,0x3ffffa00,0x07ea000f,0xfffffb80,0x7fffcc06,
    0x000002ff,0x7ffff400,0xffffb81f,0x000001ff,0x03fffffa,0xe801fa80,
    0x000fffff,0x17fc07ea,0x0fffffe8,0x2007ea00,0x00fffffe,0x3a007ea0,
    0x3ffe2006,0x40002fff,0xfffffafa,0x37ea0007,0x5c00bcee,0x81ffffff,
    0xffc80ee8,0xfb00ffff,0xffffffff,0xfffb01df,0x7fffc41f,0xfffffb87,
    0x8000001f,0x47fffff9,0xffff31f9,0x1003f8ff,0x800001d9,0x000fffff,
    0x4fffffa8,0xffffd000,0x0fd4001f,0xfffff100,0xffffa807,0x000001ff,
    0x7ffff400,0xffffa81f,0x000002ff,0x03fffffa,0xe801fa80,0x000fffff,
    0x17fc07ea,0x0fffffe8,0x2007ea00,0x00fffffe,0xf5007ea0,0xfffc8007,
    0x740006ff,0x7fffffd4,0x00ed8800,0xfffff300,0x201db03f,0x07fffffc,
    0x7fffff54,0x540effff,0x7fc45fff,0xfffa87ff,0x00002fff,0xfffffd00,
    0x3ffa3645,0x01f52fff,0x0009fd10,0x1fffff00,0xffff7000,0x3fa000bf,
    0x2000ffff,0x7e4001fa,0x7d400fff,0x002fffff,0x7f400000,0xf981ffff,
    0x003fffff,0x3fffa000,0x3ea000ff,0xffffe800,0x03ea000f,0xffe817fc,
    0x2a000fff,0xfffe800f,0x3ea000ff,0x00ffa200,0xffffff50,0x47e60005,
    0x06fffffb,0x0013fe20,0xffffff88,0xf900fec2,0x200dffff,0xfffffffb,
    0x42b884ff,0x87ffffd9,0x3ffffff9,0xf7000000,0x3e2dffff,0x7ffffdc2,
    0x3ee00bb5,0x400001ef,0x000fffff,0x7fffff44,0xffe8001f,0x2a000fff,
    0x7fc4000f,0xfff9805f,0xcc803fff,0xcccccccc,0x7ff4004c,0xff881fff,
    0x0004ffff,0x3ffffa00,0x03ea000f,0x3fffffa0,0x403ea000,0xfffd02ff,
    0x7d4001ff,0xffffe800,0x03ea000f,0x007fff4c,0xffffff50,0x8bb0003f,
    0x02ffffff,0x003dff50,0x7fffff40,0xfb00bf23,0x400bffff,0xffffffb8,
    0x7ecc00ff,0x887ffffd,0x04ffffff,0xff100000,0x0f73ffff,0x3ffffff1,
    0x3ffa005f,0xefffffff,0x3fe002ce,0xd9000fff,0xffffffff,0x3a0019df,
    0x000fffff,0x360003ea,0xff8802ff,0x9804ffff,0xffffffea,0x7f4001bf,
    0xff01ffff,0x000bffff,0x7ffff400,0x03ee000f,0x3fffffa0,0x403ee000,
    0xfffd02ff,0x7dc001ff,0xffffe800,0x03ee000f,0x3ffffff2,0xfffb103e,
    0xdfffffff,0x3217c400,0x005fffff,0xfffffffd,0x203bdfff,0x54fffffd,
    0xfffd007f,0x880587ff,0x2ffffffc,0xf15ffb10,0x3fe0ffff,0x0005ffff,
    0x3fff2000,0xfb04ecff,0x00fdffff,0x7fffffec,0x5fffffff,0x1fffff00,
    0x00000000,0x01fffffd,0x40007dc0,0x3fa007fa,0x2005ffff,0x2ffffff8,
    0xffffd000,0x3fff203f,0x000006ff,0x07fffff6,0xd800fb80,0x001fffff,
    0x17fc03ee,0x1fffffd8,0x2003ee00,0x01fffffd,0x00003ee0,0x001dd100,
    0x7fc43640,0xd801ffff,0xffffffff,0x40cfffff,0x9cfffffb,0xffff004f,
    0x000f81ff,0x07fffff5,0x3e23fff7,0xff907fff,0x0000dfff,0x7fffcc00,
    0xff500fff,0x4009ffff,0xfffffffa,0x5fffffff,0x0ffffe80,0x00062000,
    0x3fffff60,0x003ee001,0xf7002740,0x800dffff,0x01ffffff,0x3ffa02ea,
    0xff100fff,0x0001ffff,0x3ffff600,0x01f2001f,0x0fffffec,0x7fc0f900,
    0xfffffb02,0x803e4003,0x01fffffd,0x00001f20,0x0003ff30,0xffd81fc4,
    0xfa804fff,0xffffffff,0xe84fffff,0x05feffff,0x9fffff30,0x7dc007f0,
    0x7fec3fff,0x3fffe22f,0xfffff107,0x0000001f,0x2ffffff4,0x3fffffe0,
    0x7ffd4001,0xffffffff,0xffe807ff,0xf70000ff,0x6c0001df,0x001fffff,
    0x7c4001f2,0x3ffe2000,0x7f4007ff,0xfd00ffff,0xfffe83ff,0x3ff200ff,
    0x20004fff,0x3ffff201,0x017a002f,0x17ffffe4,0x7fc0bd00,0xfffff902,
    0x802f4005,0x02fffffc,0x000017a0,0x8000ffb0,0x3ffe607b,0xfa800fff,
    0xffffffff,0xf986ffff,0x2006ffff,0x80fffffc,0x7ffc006f,0x1fffee1f,
    0x40fffff1,0x04fffffc,0xf7000600,0xc805ffff,0x8006ffff,0xccccdfea,
    0x1ffffecc,0x03ffff40,0x09ffff00,0x7fffe400,0x017a002f,0x20016e02,
    0x02fffffa,0x3fffffa0,0x4ffff980,0x03fffff4,0x07fffff4,0xf3035400,
    0x2007ffff,0xff3003f9,0x26007fff,0x40bfe03f,0x03fffff9,0x26007f30,
    0x003fffff,0x000007f3,0x000fffc4,0x99999df0,0xffffff99,0x9dfd7007,
    0xffdb9999,0xfff903ff,0x7ffc009f,0x07ff02ff,0x3e3ffec0,0x7fc46fff,
    0x7ff407ff,0xa8000fff,0x7ffc4006,0xfff9806f,0x3fe2003f,0x7ff9800f,
    0xfffb2f4c,0x7fe4000d,0x3e60006f,0x3003ffff,0x2ffcc07f,0x7e4000ba,
    0x3a006fff,0xb80fffff,0x7f45ffff,0xf8805fff,0x4006ffff,0x7ff404fb,
    0x7c400eff,0x7fff4007,0x3fc400ef,0xfe80bfe0,0x4400efff,0x7ff4007f,
    0x7c400eff,0x4c000007,0x50005fff,0xdddddddf,0xffffffdd,0x800fff80,
    0x3fa07ffb,0xfb802fff,0x3fe04fff,0xfff8801f,0x3ffffe63,0xfffffb33,
    0xfffff880,0x027dc006,0x01fffe40,0x000fffe8,0xe8017fea,0xd8fff44f,
    0x40005fff,0x40004d99,0x00effffe,0x3f603fc4,0x000d51ff,0x03ffffd8,
    0x1fffffd0,0x83ffff30,0x003fffff,0x1bffffd3,0x802fd880,0x0efffff9,
    0x8005fd10,0x0efffff9,0xf805fd10,0x3ffe602f,0xfd100eff,0xfff98005,
    0xfd100eff,0xf0000005,0xd000bfff,0x3fffa009,0xbff502ff,0xb02ff400,
    0x401fffff,0x403ffff9,0x6402ffff,0xffff85ff,0xfffdffff,0xd300caff,
    0x801bffff,0x30002fd8,0x2a001fff,0x7cc005ff,0xefa801ff,0xfc97ff41,
    0xf00001ff,0xff980003,0xd100efff,0xfffd805f,0x80002e8b,0x802ffffc,
    0x00fffffe,0xff88bffb,0xfc8005ff,0x99acffff,0x000efedb,0x3fffffea,
    0x1ffecabd,0xffff5000,0xfd957bff,0x05ff003f,0xffffffa8,0x1ffecabd,
    0xffff5000,0xfd957bff,0x0000003f,0x37bfffea,0x00fd400b,0x6fffffb8,
    0x003fff30,0x3ee01df5,0x0befffba,0x07bfff6a,0x37ffffe0,0x80dffb80,
    0x2ffffffc,0x07fffff9,0x9fffff90,0xdfdb7335,0x4fe80001,0x00bfe200,
    0x26fffee0,0xdfdca989,0xe8cffa80,0x880003ff,0xf500004c,0x57bfffff,
    0x5003ffd9,0x00bfffff,0x7fff4c00,0xfffa882d,0xfd100cff,0x3fff625f,
    0x3ae20005,0xffffffff,0xf910003d,0xffffffff,0xc8800017,0xffffffff,
    0x5ff000bf,0xffff9100,0x017fffff,0xfffc8800,0x0bffffff,0x54000000,
    0x01efffff,0xff100374,0x3205ffff,0x9899bfff,0x501efdca,0xfffea87f,
    0x02dffffe,0x3f2a33e0,0x2effeeff,0x33bff220,0x0fbff620,0xfffeb880,
    0x03dfffff,0x003f7000,0x220007c8,0xeffffeeb,0x7fdc02bc,0x80001cef,
    0x400002da,0xffffffc8,0x2000bfff,0x0004ffeb,0xffffd500,0x9fffffdf,
    0x7ffdc003,0x000cefff,0x57753100,0xa9800001,0x0001abcb,0x57975300,
    0x01330003,0xabcba980,0x53000001,0x00035797,0xba880000,0x03fa801b,
    0x7ffffe40,0x3ffae606,0x01ceffff,0x753013e2,0x70001357,0x02af2a60,
    0x00100100,0xabba9880,0x38800000,0x00029800,0x10000440,0x00000001,
    0x97530000,0x08000357,0x51000000,0x13557975,0x654c4000,0x0000000a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xa8007fd1,
    0x02ffffff,0x02000660,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fff4c00,0x3ffea000,
    0x0001ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfc800000,0x03efffff,0xffffffb1,
    0x000dffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4cc00000,0x99999999,0x99999999,0x32600099,0x006d4001,
    0x000000ee,0x80000000,0x00008801,0x83773000,0x2ea201cc,0x75000acc,
    0x8001c880,0x176201fb,0x00000000,0x00001800,0x66666440,0x017a0000,
    0x000005d5,0x00133326,0x8f32e000,0x00003ccb,0x0016665c,0x07999500,
    0x10132000,0x30000059,0x13333333,0x00060180,0xfffffd91,0xffffffff,
    0x00bfffff,0x8017ffee,0xfd881ff8,0x40000003,0x002ffffe,0x403f8800,
    0x4000005e,0x23ffadea,0xfff502ff,0x8019ffd9,0x07f602fb,0x4417f400,
    0x800002fe,0x00002eeb,0x002efea8,0xffff5000,0xefa80007,0x0006fb80,
    0x3ffffa00,0x22000003,0xfff12fff,0x7cc00003,0x0000ffff,0x1fffff88,
    0x0ef98000,0x8001fe88,0xffffedb8,0xefffffff,0x43fff302,0x8001eff9,
    0xcffffff9,0xffcbaaaa,0xfff005ff,0x7dc001ff,0x01bfa22f,0xff100000,
    0x000007ff,0xb310dff4,0x4000009f,0x4dff57f9,0x2ffc82ff,0x2602ffdc,
    0xecbaceff,0x3ea0007f,0x01bfe63f,0x3ffe6000,0x7400000f,0x00006fff,
    0x007fffb0,0xc87bfa00,0x000002ff,0x1ffffff5,0x3ea00000,0x00ffee4f,
    0xffffd000,0xf900009f,0x000dffff,0xfa87bf60,0xffb8004f,0x99efffff,
    0xfd804fe9,0x3fff65ff,0xfffb0004,0x7ec405ff,0xfff8805f,0x7fc001ff,
    0x02fff9bf,0x7dc00000,0x000003ff,0x7f7fffdc,0x00001fff,0x7fdd7fa0,
    0xff50bfe4,0x07fff10b,0xffffffc8,0x740002ff,0x1fffbcff,0xffd80000,
    0x200003ff,0x00fffff8,0x7ffc4000,0x3ea00003,0x05ffeaff,0x3ffe0000,
    0x0004fffe,0xfe8dfb00,0x7d400006,0x00fffeff,0x3bffe600,0x80002fff,
    0xffb9fff9,0x7fe4000f,0x46ffffff,0xffd800fd,0x17fffa6f,0x7fffec00,
    0x05fb802f,0x00dfff90,0xffffff70,0x0000000b,0x00007ffd,0x3ffffa00,
    0x00003fff,0x6457fe60,0xfd0bfe0c,0xbfff307f,0xffffe880,0xa80004ff,
    0x04ffffff,0xfff70000,0xd800003f,0x00005fff,0x0004ffa8,0xfffffe80,
    0x7000001f,0xfff31bff,0xf8800001,0x003fe21f,0x3fff8800,0x40009ff9,
    0xdff54ffd,0x3ff60000,0x4003ffff,0xfffffffb,0x803ec6ff,0x3ea2fffa,
    0xfb0002ff,0x2005ffff,0x9d71005e,0x3ffa0001,0x00001fff,0x027fc400,
    0xfb100000,0x0007ffff,0x05ffd800,0x3ffe17fc,0x04fff885,0x05dfff90,
    0x7fff4000,0x000000ff,0x000bffd1,0x03bfb300,0x09fb0000,0x3fe60000,
    0x00004fff,0xe889ff10,0x5400004f,0x0017dc3f,0x707ff200,0xf50001ff,
    0x02ff987f,0xffff9800,0x7fc4006f,0xffffffff,0x71003ec6,0x00017101,
    0x17ffffec,0x0016a044,0xfff50000,0x0000009f,0x00009f70,0x2f72a000,
    0x4c000001,0x7fc06fff,0x40ffffc2,0x44000dfb,0xfa800000,0x00003fff,
    0x00000980,0x20000000,0x4000004d,0x000ffffd,0x207fb000,0x00000fd8,
    0x00132172,0x201df100,0xfe8005fa,0x000dd301,0x0bffff20,0xfffff900,
    0xd8dfffff,0x00000007,0x3fffff60,0x02c42b82,0x4cc00000,0x00000019,
    0x00000530,0x00000000,0x02fffec0,0xfffb0bfe,0x0000003f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00d40000,0x000000d4,0x29800000,
    0x44002980,0x0054400a,0x0cccc400,0x7fffec00,0x46ffffff,0x0000007d,
    0x3ffff600,0x0182d82f,0x55555554,0x65d44000,0x006a01bc,0x00000000,
    0x99751000,0x002e0359,0x3ffff260,0x2e17fc04,0x003fffff,0x37bd9710,
    0x98333333,0x99999999,0x99980999,0x00099999,0xacccba88,0x71001701,
    0x33337bd9,0x51000333,0x54037997,0xaa988001,0x00000001,0x99998000,
    0x99999999,0x99999980,0x00000099,0x20000000,0x99999998,0x99988009,
    0xffd09999,0xffffffff,0x55307d8d,0x43555555,0x01aaaaa8,0x3fffff60,
    0xb8002f82,0x00fffffe,0xfffffb50,0x2239dfff,0x3310002e,0x33333333,
    0x33333333,0x80013333,0xeeffffea,0xf31cefff,0x7ffcc001,0x1eefffff,
    0xffc82ff8,0x2000efff,0xffbdfffc,0x21ffffff,0xffffffec,0xec83deff,
    0x03dfffff,0xdffffd50,0x239dfffd,0x7fe400f9,0xfffffbdf,0xb5001fff,
    0xffffffff,0x00ba239d,0x3bfffb22,0x003efffe,0x26666666,0x26199999,
    0x99999999,0x3fb20999,0xefffffff,0xfffec83d,0x33313dff,0x33333333,
    0x4cccc401,0x33331199,0x26000133,0xfffffffd,0x7fedc00e,0xffd1efff,
    0xffffffff,0xff507d8d,0x43bfffff,0x02effeb8,0x3fffff60,0x80017dc2,
    0x00fffff9,0x6fffff4c,0xfff95109,0x260005ff,0xffffffdc,0xffffffff,
    0x03ffffff,0x5dfffb10,0xfffff510,0x7fdc001f,0xffffffff,0xfb02ff80,
    0x005fffff,0x7c47fffd,0x81ffffff,0x4ffffffa,0x01fff300,0x3bfff620,
    0xffffa882,0x3ffa00ff,0x3fffe23f,0x74c01fff,0x109dffff,0x5fffff95,
    0xaefffa80,0x37ffee60,0x7fee4400,0xdfffffff,0xffffb914,0x07bdffff,
    0x9ffffff5,0x03ffe600,0xfffffff7,0x5c039dff,0x75fffffe,0x05ffffff,
    0xfffe8800,0xd1005fff,0xfffd81ff,0x6fffffff,0xfff103ec,0x37cc0fff,
    0x7fffec00,0x00bfe62f,0x0fffff80,0x3ffffee0,0x7ffecc01,0xff980002,
    0xadfffffe,0xfffdbaaa,0xfffb803f,0xfff7004f,0x5d4c001f,0x2abfffff,
    0x3f605ff0,0x05ffffff,0x361ffff2,0xff802fff,0x2001ffff,0xff7003fc,
    0x3ee009ff,0xff900fff,0x5fffb0ff,0x3fffee00,0x7fecc01f,0xfffb102f,
    0x7ffc401f,0xfff3003f,0xf980dfff,0x805fffff,0x01ffffff,0xfb80ff20,
    0x007fffff,0x22077fcc,0x002fffff,0xfffff880,0x7f7003ff,0xffffff70,
    0x7d8dffff,0x7ffffdc0,0x0005f300,0x99fffffb,0x0005fffb,0x807ffffc,
    0x01fffffc,0x000bffa0,0x3fefbe20,0x3a604fff,0x7fe403ff,0x7dc004ff,
    0xf98000ff,0xff807fff,0xffb8fd82,0xf885ffff,0xffb85fff,0x7ff400ff,
    0x2e001fff,0xfffc801f,0x7fdc004f,0xffff880f,0x0ffffb85,0x7ffffe40,
    0x0bffa001,0x07ffffe2,0x17fffea0,0x7ffffec0,0xffffe803,0xfffe802f,
    0x3ee001ff,0x7fffec01,0x3e2000ff,0xffffd00f,0x3f600005,0x01ffffff,
    0xff982f98,0xffffffff,0x7fc03ec6,0x0f703fff,0x3ffff600,0x2fffffff,
    0x3fffe000,0xffffa80f,0x7f44003f,0x9fc80002,0x04fffffb,0xf501ff44,
    0x2000dfff,0xb8000ffb,0xe805ffff,0xd317e41e,0xa89fffff,0xfa85ffff,
    0x7f402fff,0x2000ffff,0x7fd401fa,0xf70006ff,0xffff501f,0x5ffff50b,
    0x7ffffd40,0x17f44003,0x027fffec,0x05ffffd0,0x5fffffb0,0xfffffb00,
    0xffffd003,0x0fd4001f,0x3ffffe20,0x0bea004f,0x02ffffe8,0xffffb000,
    0x8801ffff,0xfffff01f,0xd8dfffff,0xffffb807,0x20009b06,0x8afffffd,
    0x0002ffea,0x303ffffe,0x009fffff,0x0000bea0,0x3ffee7f1,0x3fa804ff,
    0x7fffff10,0x007f4000,0x27fffe40,0x40ffa800,0x1fffffd8,0x213fffee,
    0x403ffffa,0x00fffffe,0xf8807ea0,0x0003ffff,0x3fee03fa,0xfffa84ff,
    0xffff303f,0x3ea0009f,0x7ffffd42,0x3ffea001,0x7fe400ff,0xfd802fff,
    0xe801ffff,0x000fffff,0x3ee007ea,0x000fffff,0xfffe80bd,0x9b00002f,
    0xdffffffb,0xf501f880,0xffffffff,0xf8807d8d,0x7c42ffff,0xfffb0000,
    0x17f445ff,0xfffff000,0xfffffe81,0x00be0001,0x7fdcdb00,0x40884fff,
    0xffffb03f,0x7d40001f,0xfffe8000,0xffb0002f,0x37fffdc0,0x509ffff3,
    0xe805ffff,0x000fffff,0xffd807ea,0x20000fff,0xfff980fa,0xffffa84f,
    0xfffffd02,0x117c0003,0x00ffffff,0x5fffff88,0x7ffffe40,0xffffd802,
    0xfffe801f,0x3ea000ff,0xffffd001,0x01f7009f,0x02ffffe8,0xfd19b000,
    0x409fffff,0x3ff201f8,0x46ffffff,0xfff9007d,0x0006b8bf,0x0bfffff6,
    0x7c0005f3,0x3e60ffff,0x0007ffff,0xf5000164,0x7ffffdc3,0x41e42b84,
    0x06fffffa,0x4000e800,0x00fffff8,0x405fff00,0x7f47fffb,0xfffb85ff,
    0xffffe807,0x07ea000f,0x37ffffd4,0xe8074000,0xffb85fff,0xffff307f,
    0x2c8000ff,0x13fffff2,0x3ffffe00,0x3fff201f,0xffd802ff,0xfe801fff,
    0x2000ffff,0xff5001fa,0x4403ffff,0xfffe804f,0x9b00002f,0x3fffffe2,
    0x803f103f,0xffffffea,0xf9803ec6,0x0ba1ffff,0xffffd800,0x0002f82f,
    0xc83ffffe,0x006fffff,0x3e200000,0x7ffffdc4,0x40442c84,0x05fffffc,
    0x98000800,0x0007ffff,0x401dfff3,0x3f21fffc,0xfffc86ff,0xffffe805,
    0x07ea000f,0x2fffffe4,0xf9004000,0xfff90dff,0x3ffff20b,0x6c00006f,
    0x003fffff,0x3fffffd8,0x3fffff20,0xffffd802,0xfffe801f,0x3ea000ff,
    0x3fffa001,0x01b605ff,0x517ffff4,0x6c0017b9,0x3ffffe64,0x01f881ff,
    0xdffdd930,0x3f6007d8,0x01f34fff,0x7fffec00,0x7302d82f,0x0fffff80,
    0x13fffffe,0xc8000000,0x7fffdc0f,0xd002e84f,0x009fffff,0x3ee00000,
    0x20005fff,0x100effff,0xfffb0fff,0x06fffc45,0x7fffff40,0x407ea000,
    0x04fffffe,0xffd80000,0x37ffe22f,0xffffff00,0xff800009,0x8002ffff,
    0x04fffffd,0x0bfffff2,0x3fffff60,0xffffe801,0x07ea000f,0xfffff980,
    0x002f981f,0xd15ffffd,0x007fffff,0xffff7136,0x1f881fff,0xfb1be000,
    0x7fffd400,0x40004c8f,0x82fffffd,0xf805b01a,0xff10ffff,0x0007ffff,
    0x0be60000,0x13ffffee,0x3fe005f5,0x0003ffff,0xfff90000,0x7ec0009f,
    0xff01efff,0x33ffae09,0x2003fffb,0x00fffffe,0x7fc07ea0,0x0003ffff,
    0x9ffd7000,0x4407fff7,0x03ffffff,0x3ffe2000,0xc8002fff,0x205fffff,
    0x02fffffc,0x1fffffd8,0xfffffe80,0x007ea000,0xdfffffb0,0x7f400bd0,
    0xfdfecfff,0xd801ffff,0xfffffd84,0x000fc46f,0x007d8df0,0x7dfffff4,
    0x7fec0001,0x22002fff,0x7fffc01f,0xfffff30f,0x0000003f,0x7fdc17a0,
    0x3fee4fff,0xffff9802,0x000002ff,0x5ffffd00,0xf882aa00,0x443fffff,
    0x37ea01ff,0x4000acee,0x00fffffe,0x3e607ea0,0x002fffff,0x37ea0000,
    0x4c00acee,0x01ffffff,0x3ffea000,0xc8001fff,0x207fffff,0x02fffffc,
    0x1fffffd8,0xfffffe80,0x007ea000,0xffffff30,0xd0007dc5,0x5c9fffff,
    0xd805ffff,0xfffffd04,0x000fc49f,0x007d8df0,0x37ffffdc,0x7ffec000,
    0x3f6002ff,0x7ffffc00,0xffffff70,0x00000003,0x3fee01f7,0xfffcdfff,
    0xfffa802f,0x00001fff,0xffff8800,0x85ff000f,0xdffffff9,0x32205fb0,
    0xfd00000e,0x4001ffff,0xfffa81fa,0x00001fff,0x000ec880,0xffffff70,
    0x7dc00003,0x001fffff,0xffffffc8,0xfffff900,0xdddddddd,0x3ffffffd,
    0xfffffd00,0x00fd4001,0x7ffffe40,0xe8009f16,0x7c45ffff,0x4d807fff,
    0xffffff10,0x0007e25f,0x003ec6f8,0x0fffffe2,0x3fff6000,0xffb002ff,
    0x1fffff00,0x3fffffea,0x40000002,0x99999cf8,0xffffffb9,0x802ffffe,
    0x2ffffffa,0x98000000,0x2006ffff,0xfff982ff,0x01fcefff,0x00009fd1,
    0x07fffff4,0xf503f500,0x005fffff,0x4fe88000,0x3ffea000,0x00002fff,
    0x3fffffea,0xfffc8001,0x3ff207ff,0xffffffff,0xffffffff,0xffe801ff,
    0x2a000fff,0xff88001f,0x0ecbffff,0x7ffff400,0x3ffffc42,0xff3026c0,
    0xf13fffff,0x237c0003,0xffc8007d,0xe80000ff,0x404fffff,0xf806ffea,
    0xff30ffff,0x0007ffff,0xfffd8000,0xffffffff,0xffb34fff,0xffff3005,
    0x999007ff,0x99999999,0xffff7009,0x817fc009,0xffffffe9,0x07bfee03,
    0x7fff4000,0x3ea000ff,0xfffff980,0xcccc803f,0x4ccccccc,0x000f7fdc,
    0xffffff98,0x3e200003,0x002fffff,0x6fffffc8,0x3fffff20,0xffffd802,
    0xfffe801f,0x3ea000ff,0xfff90000,0x0005ffff,0xf05ffffd,0xd801ffff,
    0x7fffdc04,0x001f9eff,0x00fb1be0,0x00bfff10,0xfffff300,0xb95579ff,
    0x00bffffd,0x221fffff,0x04ffffff,0x3ea00000,0x9999999a,0x44fffffb,
    0xff8802fd,0x9804ffff,0xffffffea,0xffc801bf,0x3fe003ff,0x3fff6202,
    0xffd00fff,0xdfffffff,0xffd0059d,0x54001fff,0xffff880f,0xea9804ff,
    0xbfffffff,0x7fffff41,0x2ceeffff,0xffffff88,0x7fc00004,0x8003ffff,
    0x04fffffd,0x0bfffff2,0x3fffff60,0xffffe801,0x03ea000f,0x7fffc400,
    0xfd0006ff,0xfff05fff,0x04d801ff,0xffffffc8,0x3e0001fe,0xd8003ec6,
    0x910002ff,0xfffffffd,0xffffffff,0xf009ffff,0x7fc1ffff,0x0005ffff,
    0x009f1000,0x89fffff7,0xffd002f8,0x4400bfff,0x02ffffff,0x07ffff60,
    0xa802ff80,0x80efffff,0xfffffffd,0x05ffffff,0x07fffff4,0x3a01f700,
    0x005fffff,0x3fffffe2,0xfffffb02,0xffffffff,0xffffff0b,0xfe80000b,
    0x8004ffff,0x03fffffd,0x0bfffff2,0x3fffff60,0xffffe801,0x03ee000f,
    0xffffb800,0xffd0004f,0xffff05ff,0x004d801f,0xfffffffb,0x237c0003,
    0xff50007d,0x40000000,0xff8003fb,0x3ff20fff,0x00006fff,0x7001f900,
    0xd09fffff,0x3ffee005,0x7fc006ff,0x2001ffff,0x4006fffd,0xfb1002ff,
    0xff509fff,0xffffffff,0x6c0bffff,0x001fffff,0x7fdc03ee,0x7c006fff,
    0x501fffff,0xffffffff,0x8bffffff,0x06fffffc,0x7ffdc000,0xff8004ff,
    0x3200ffff,0x802fffff,0x01fffffd,0x1fffffd8,0x0003ee00,0x4fffffa8,
    0xffffd000,0x1fffff05,0xd1004d80,0x03ffffff,0x1f637c00,0x0004e800,
    0x0bfb0000,0x3ffffe00,0x3ffffe20,0x4000000f,0xff7002f9,0x05909fff,
    0xffff8832,0x7ff4007f,0x3a000fff,0x7c004fff,0xc80b882f,0xff505fff,
    0xffffffff,0x7ec0ffff,0x2001ffff,0x3ffe207c,0x7f4007ff,0x2a00ffff,
    0xffffffff,0x447fffff,0x00ffffff,0x7fff4000,0x7fcc006f,0x7e404fff,
    0xd802ffff,0x801fffff,0x01fffffd,0x50001f20,0x009fffff,0x0bffffa0,
    0x003ffffe,0x7fcc009b,0x0001ffff,0x000fb1be,0x000003e2,0x013fe600,
    0x43ffff40,0x04fffffc,0x17a00600,0xfffffb80,0x87881984,0x02fffffa,
    0x3fffffa0,0x3fff6000,0x217fc001,0xfe80fff9,0x9bfd507f,0xffd99999,
    0x3ff203ff,0x3a002fff,0x7fffd405,0x3ffa002f,0x3aa00fff,0xccccccdf,
    0x641ffffe,0x004fffff,0x3ffea060,0x3ee002ff,0x6400ffff,0x802fffff,
    0x01fffffd,0x2fffffc8,0x00017a00,0x09fffff5,0x3ffffa00,0x0fffff82,
    0x2a0026c0,0x001fffff,0x00fb1be0,0x0000b701,0x1bff2000,0xffd97a60,
    0xffffd07f,0x0d50001f,0x2e000fb8,0x004fffff,0x7ffe41b2,0x3ffa006f,
    0x36000fff,0xff8006ff,0x417ffe42,0x7fc46ffb,0x7ff9800f,0x3ffffe60,
    0x007f3003,0x00dffff9,0x07fffff4,0x4007ffc4,0xffd07ff9,0x50001fff,
    0x3ffffa0d,0x3fffa005,0xfffc803f,0xffd802ff,0xf9801fff,0x3003ffff,
    0xfa80007f,0x0004ffff,0xf05ffffd,0xd801ffff,0xfffc8004,0x1be0001f,
    0x2ffcc0fb,0x000000ba,0x00fffe40,0x7fec7ffa,0xffff105f,0x4fb800df,
    0x7000fe20,0x009fffff,0xffd817e2,0xffd003ff,0x32201fff,0x001ffb0c,
    0xffc85ff0,0x43ffa81f,0x3a005ffa,0x7fff404f,0x3fc400ef,0x7ffffb00,
    0x3ffffa00,0x05ffa80f,0x7c413fa0,0x4006ffff,0xffd104fb,0xff7001ff,
    0x3f2009ff,0xd802ffff,0x001fffff,0x01dffffd,0x80007f88,0x05fffffa,
    0x5ffffd00,0x01fffff0,0xfb0005e8,0x7c0003ff,0xffb03ec6,0x0001aa3f,
    0xfffa8000,0x4bffa01f,0x2600fffc,0x00dffffe,0x3a017ec4,0xfffb8007,
    0xfe9804ff,0x7fffe404,0xffffe802,0x27ffb00f,0xff0002fe,0x80fff985,
    0x7fcc0ffe,0x1efa801f,0x7ffffcc0,0x05fd100e,0x2ffffc80,0xfffffe80,
    0x01fff980,0x2601efa8,0x00dffffe,0x64017ec4,0x2600efff,0x2004ffff,
    0x02fffffd,0x1fffffd8,0xfffff300,0x0bfa201d,0x3ffea000,0xfd0005ff,
    0xff885fff,0x3e200fff,0xffd10006,0x237c0003,0x3fff607d,0x00002e8b,
    0x7ffec000,0x7fd41cdf,0x003ffe8c,0x59fffff9,0x1dfdb733,0x8006fc80,
    0x05fffffb,0x401fffd4,0x82dfffe9,0xcfffffa8,0xf57ffb00,0x17fc0009,
    0x5cd6ffdc,0xff700efe,0x9531337f,0x2a001bfb,0xbdffffff,0x001ffeca,
    0x5bfffd30,0xfffff510,0x3ffee019,0xdca9899b,0xff9000df,0x73359fff,
    0x4001dfdb,0x20affffa,0x02ffffc9,0x7ffffec0,0xffffe803,0x3fea002f,
    0xcabdffff,0x00001ffe,0x0bfffff7,0x3ffffa00,0x7ffffc42,0x19ffb101,
    0x03ff1000,0x1f637c00,0x5fffffa8,0x80000000,0x4fffffc8,0x1cefffb8,
    0x7ff5c400,0x3dffffff,0x17ffe440,0xfffff100,0xb7557bff,0x005fffff,
    0x7fffff54,0x1cfffffe,0x0cffd980,0x817fc000,0xbdffffd9,0x7f75c400,
    0x02bcefff,0xffffc880,0x00bfffff,0xfffea800,0xfffffeff,0xdd71001c,
    0x579dffff,0xffd71000,0x7bffffff,0x3f6e2000,0xeffffeff,0x7fcc000b,
    0x200effff,0x6ffffffa,0x7ffe4400,0x0bffffff,0xffd10000,0x8003ffff,
    0x45fffff9,0x43fffffb,0xffffffea,0x0fd4001e,0x7d8df000,0x027ff5c0,
    0x20000000,0x4400aba8,0x53100000,0x2a001577,0x4fffffff,0xffffdb90,
    0xffffffff,0x1fffffff,0x97551000,0x00013557,0x99800002,0x00008800,
    0x80000088,0x01abcba9,0x75510000,0x00135579,0x00002200,0x2aeea620,
    0xa8800000,0x4000aabb,0xfffffec8,0xb14effff,0xfffffffd,0x98007bff,
    0x001abcba,0xfffd9300,0x9dffffff,0xffffc805,0xfff97fff,0x000dffff,
    0x00015000,0x4006204c,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4cc00000,0x99999999,0x99988099,0x00009999,0x5e66554c,0x4000001a,
    0x000cccc9,0x99910000,0x40000099,0x0002cccc,0x32200dc0,0xcccc8800,
    0x000004cc,0x02ffffdc,0x2ccccb80,0xa8039300,0x9999981c,0x19999999,
    0x65401e98,0x001ca800,0x07999930,0xcc880000,0x00000ccc,0x31ccc980,
    0x00001999,0x03999970,0x66540000,0x700003cc,0x00019005,0x1fcc0150,
    0xd9003720,0xffffffff,0xffd707bd,0x0007dfff,0x99dfff93,0x017dfdb9,
    0xfffd0000,0x0000009f,0x007ffff2,0x7ffdc000,0x200000ff,0x03f600fd,
    0x7ffff4c0,0x74000007,0x10005fff,0x200bffff,0xfb04fffd,0x7ee447ff,
    0xffffffff,0x205fd04d,0xffd805fc,0xffb0003f,0x000001ff,0x03ffffa8,
    0xffc80000,0x0013ff65,0x3fffe200,0x74000004,0x0000efff,0x7ec03f90,
    0x07cc0000,0x36213f60,0x3fe6004f,0x1005ffff,0x70003fff,0x88017dfd,
    0x00003fd9,0x3fffffee,0xe8000000,0x00002fff,0xffffff10,0x7dc00007,
    0xfdba9acf,0x7ffdc006,0x2000007f,0x0006fff8,0x4017ffea,0x40fffff8,
    0x307ffff8,0x0dffffff,0x6c49ff30,0x7fc400ff,0x360007ff,0x00003fff,
    0x06fffa80,0xfff80000,0x000dff10,0x17ffee00,0xff100000,0x400001df,
    0xba9acffa,0x440007fd,0x7fcc00fe,0x003ffa25,0x5fffffd0,0x002fdc00,
    0x000bbf62,0x00006fd4,0x3ffbffe2,0x4000004f,0x0002fff9,0x3bfff200,
    0x00000fff,0x3ffffffa,0x7cc002ff,0x00007fff,0x003bfee0,0x006ffd80,
    0x03ffffe6,0x01fffff3,0x0ffffff6,0x74effec0,0xff9804ff,0x20000fff,
    0x00005ffd,0x01fff700,0x7fd40000,0x0007fea2,0x02fff400,0x7fdc0000,
    0xe800000f,0xffffffff,0x7fe40002,0xaeffd800,0xe8003fff,0x001fffff,
    0xe9800fea,0xd880004f,0x7fe40006,0x001ffd15,0x17fe4000,0xff100000,
    0x013ff23f,0xffff9800,0x98004fff,0x0007ffff,0x003bfa00,0x00eff880,
    0x82ffff40,0x3604fffe,0x003fffff,0xfffffff3,0x3fffa001,0xffd80005,
    0x70000000,0x000007ff,0x0ff627e4,0x7fc40000,0xd0000005,0x000003ff,
    0x3fffffe6,0x7dc0005f,0xff8800ff,0x0006ffff,0x03fffffd,0xa800fcc0,
    0x400002ff,0xff10004e,0x004fe887,0x00ffa000,0x1dfb0000,0x0000ffb8,
    0x3ffffa20,0xfff30003,0x200000ff,0x40000ef8,0x88000efa,0xd9100cfc,
    0x7ffe4017,0x3f6002ff,0x2003ffff,0x0000cfc9,0x0003fe88,0x017f2000,
    0xf86f8000,0x2e000006,0x000000ef,0x0001ff88,0x7fff4400,0x7e40003f,
    0xf9000fff,0x0005ffff,0x07fffff6,0x8801f980,0x800001ff,0xfd8001f9,
    0x0007f602,0x000fa200,0x40bf3000,0x800004fa,0x4c0001a8,0x0007ffff,
    0x00015100,0x00001b70,0x7fe40000,0x22002fff,0x0006ffff,0x9b100000,
    0xc8000000,0x9800000e,0x00074c1e,0x001b9000,0x07aa0000,0xa8800000,
    0xffd80001,0x0aaabfff,0x0bffff10,0x7fffec00,0x07e6001f,0x0000ffa0,
    0x98005c80,0x0001a800,0x00000000,0x00a60062,0x80000000,0x007ffff9,
    0x00000000,0x00000000,0x5fffff90,0x09998800,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0xffffffd8,0x0001ffff,
    0xffffb000,0x0fcc003f,0x4c017f20,0x266663db,0x00007c40,0x00035531,
    0x35531000,0x4cccc000,0x99999999,0x99999980,0x26666099,0x99999999,
    0x99999980,0x7ffcc099,0x0736e27f,0xaaaaaa98,0x2aaa21aa,0x2e6201aa,
    0x44281bcc,0x22aaaaaa,0x2aaaaaa8,0x3fffff20,0x99731002,0xaa885037,
    0x0002aaaa,0x000d54c4,0x33333330,0x30133333,0x13333333,0x35531000,
    0x4cccc000,0x99999999,0x99999980,0x33331099,0x10013333,0x13333333,
    0x35531000,0x3f322000,0xccccffff,0x26666660,0x00999999,0x3fffff60,
    0x807e6001,0xfb800ff9,0xfffacdef,0x2003d80f,0xeefffec8,0x0003efff,
    0xefffec88,0x003efffe,0x3fffffb2,0xc83defff,0x3dfffffe,0x3fffffb2,
    0xc83defff,0x3dfffffe,0xcbffffcc,0x81efffff,0xfffffffa,0x3ffae21d,
    0xdfff502e,0xd317dffd,0xfffffc88,0x3ffff227,0x3fff207f,0xffa802ff,
    0x8beffeef,0x7ffe4469,0x644007ff,0xffeefffe,0x3b2003ef,0xffffffff,
    0xffec83de,0x8803dfff,0xfeefffec,0x32003eff,0xfffffffe,0xfec83def,
    0xb33dffff,0xdfffffff,0xfffdb801,0xc8801eff,0xffeefffe,0xff8003ef,
    0xb9100fff,0xffffffff,0x7ec007bf,0x2001ffff,0x13f201f9,0x747ffb10,
    0x9906fffc,0x3bffea00,0x3ffee60a,0xff50000d,0x7dcc15df,0x2a000dff,
    0x04ffffff,0x401fff30,0x4ffffffa,0x01fff300,0x33ffffe6,0xfffffdcf,
    0xfffff880,0xd81be607,0x7f4c1cff,0xfff706ff,0xffff50ff,0x7fffe40f,
    0x67fec02f,0x37fff4c1,0x07ffffb8,0x2bbffea0,0x37ffee60,0x3ffea000,
    0xf3004fff,0x3ea001ff,0x2e60aeff,0x2000dfff,0x4ffffffa,0x01fff300,
    0x3fffffa2,0xffd1005f,0x3ffea001,0x3fee60ae,0x3fe000df,0xf9800fff,
    0x006fffff,0x3fffffb0,0xf00fcc00,0x6ffd801f,0x81ffffec,0x7fec405a,
    0x3fe200ff,0x362003ff,0x2200ffff,0x2003ffff,0x01ffffff,0x3e00ff20,
    0x001fffff,0xff980ff2,0x3e60ffff,0xff705fff,0x3e601fff,0x80bff902,
    0xff306ffc,0xfff30fff,0x7ffe40ff,0x3ff202ff,0x837fe405,0x807ffffa,
    0x00ffffd8,0x00ffffe2,0x1ffffff8,0x200ff200,0x00ffffd8,0x00ffffe2,
    0x1ffffff8,0x100ff200,0x7fffffff,0x200fee00,0x00ffffd8,0x00ffffe2,
    0x007ffffc,0x2fffffd8,0xffffb000,0x0fcc003f,0x7dc06fa8,0x7ffec1ff,
    0x440d301f,0x801fffff,0x805ffffa,0x01fffff8,0x05ffffa8,0x3fffffd0,
    0x400fdc00,0x01fffffe,0xf9807ee0,0xfd82ffff,0xfff03fff,0x41ee07ff,
    0xd801fff9,0xffff106f,0xfffff10f,0x7ffffe40,0x03fff302,0x3e60dfb0,
    0x7c407fff,0xa801ffff,0xd005ffff,0x003fffff,0x3e200fdc,0xa801ffff,
    0xd005ffff,0x003fffff,0x7ec00fdc,0x01ffffff,0x7c402f98,0xa801ffff,
    0xf805ffff,0xb000ffff,0x005fffff,0x3fffff60,0x407e6001,0x3fe602fd,
    0x7ffff86f,0xffd81a60,0x3fa004ff,0x7ec02fff,0x3a004fff,0xe802ffff,
    0x000fffff,0x3fa007ea,0x2000ffff,0x3fe601fa,0xfff507ff,0x3ffee0bf,
    0x3209b06f,0xe8800fff,0xfffff106,0x0fffff10,0x17ffffe4,0x800fffc8,
    0xfff306e8,0xfffd80ff,0x3ffa004f,0xffe802ff,0x2a000fff,0x7ffec01f,
    0x3ffa004f,0xffe802ff,0x2a000fff,0xfffd801f,0x400fffff,0x7fec01f8,
    0x3fa004ff,0x7fc02fff,0xfb000fff,0x0005ffff,0x07fffff6,0xfd01f980,
    0x17fff401,0x813fffe2,0xffff505a,0x7fd4003f,0xff500fff,0x54003fff,
    0x400fffff,0x00fffffe,0x3a007ea0,0x000fffff,0xff9807ea,0xfff307ff,
    0x3ffe20ff,0x807c42ff,0x7003fffe,0x3fffe20f,0x7ffff887,0x3fffff20,
    0x07fffd02,0x7fcc1ee0,0x3fea07ff,0x2a001fff,0x400fffff,0x00fffffe,
    0xfa807ea0,0x2001ffff,0x00fffffa,0x07fffff4,0xb003f500,0xffffffb9,
    0x201f880d,0x01fffffa,0x3ffffea0,0x3ffffe00,0xffffb000,0x3f60005f,
    0x2001ffff,0x40ff01f9,0x4c0ffffa,0x3202ffff,0xfffff884,0x7ffc4007,
    0xfff885ff,0x7c4007ff,0x7405ffff,0x000fffff,0x3fa007ea,0x2000ffff,
    0x3fe601fa,0xfff107ff,0x3ff201ff,0xf035c5ff,0x1005ffff,0x3fffe20f,
    0x7ffff887,0x3fffff20,0x5fffff02,0x3e60f100,0xff107fff,0x8800ffff,
    0x405fffff,0x00fffffe,0x7c407ea0,0x4007ffff,0x05fffff8,0x07fffff4,
    0xb003f500,0xfffffd19,0x80fc409f,0x07fffff8,0x7ffffc40,0x3ffffe05,
    0xffffb000,0x3f60005f,0x2001ffff,0x06f881fa,0x3217fffa,0x3a00ffff,
    0xfffffc83,0xffff8004,0x7ffe41ff,0xff8004ff,0x3a01ffff,0x000fffff,
    0x3fa007ea,0x2000ffff,0x3fe601fa,0xfff107ff,0x3fe603ff,0x80ba1fff,
    0x03fffffd,0xffff1038,0xfffff10f,0x7ffffe40,0xfffffb02,0x3e607007,
    0xff907fff,0xf0009fff,0x403fffff,0x00fffffe,0x7e407ea0,0x8004ffff,
    0x01ffffff,0x03fffffa,0xd801fa80,0xffffff14,0x407e207f,0x04fffffc,
    0xffffff80,0x1fffff01,0x3ffff600,0xffb0002f,0x54003fff,0x305f980f,
    0xf885ffff,0x3e206fff,0xfffffd80,0xfffd8003,0x7ffec3ff,0xfd8003ff,
    0x3a03ffff,0x000fffff,0x3fa007ea,0x2000ffff,0x3fe601fa,0x3ffe07ff,
    0x3ff602ff,0x401f34ff,0xeffffffb,0xfff88002,0xffff887f,0x3ffff207,
    0xffff702f,0x30005dff,0x360fffff,0x003fffff,0x3fffffd8,0x3fffffa0,
    0x407ea000,0x03fffffd,0xfffffd80,0x3ffffa03,0x07ea000f,0xfff99360,
    0xf881ffff,0xfffffb01,0xfffb0007,0x3ffe07ff,0xffb000ff,0x20005fff,
    0x01fffffc,0x3e603ea0,0x1ffff705,0x03ffffc8,0x7fffc16a,0xfd8002ff,
    0x7fc4ffff,0x8002ffff,0x04fffffd,0x03fffffa,0xe801fa80,0x000fffff,
    0xff9807ea,0x3ffe07ff,0x3fea01ff,0x404c8fff,0xfffffff9,0x3e2002ef,
    0xff887fff,0x3ff207ff,0xff302fff,0x5dffffff,0x7fffcc00,0xffffff07,
    0xfffb0005,0x7ff409ff,0x2a000fff,0xfffff01f,0xffb0005f,0x7f409fff,
    0x2000ffff,0x44d801fa,0xfffffffb,0xff80fc40,0x8002ffff,0x04fffffd,
    0x001fffff,0x0bfffff6,0x7fffdc00,0x81f2001f,0xffff906f,0x1fffff88,
    0x3fe20b60,0x8002ffff,0x25fffffc,0x2ffffff8,0xffffc800,0x3fffa05f,
    0x3ea000ff,0xffffe801,0x07ea000f,0x07ffff98,0x00fffff1,0x3f7ffffd,
    0xfffff900,0x003dffff,0x10fffff1,0x640fffff,0x202fffff,0xfffffffc,
    0xf9801eff,0xff887fff,0x8002ffff,0x05fffffc,0x03fffffa,0xf881fa80,
    0x002fffff,0x5fffffc8,0x3fffffa0,0x007ea000,0x3fff6136,0x0fc46fff,
    0x7fffffc4,0xfffc8002,0xffff05ff,0x3ff6001f,0x50002fff,0x005fffff,
    0x20fd036c,0x76c6fffd,0x16a07fff,0x7fffffd4,0xfffc8001,0x3ffea7ff,
    0xc8001fff,0x207fffff,0x00fffffe,0x3a007ea0,0x000fffff,0xff9807ea,
    0xfff107ff,0xfff700df,0x7ec00dff,0xffffffff,0x7ffc404f,0xffff887f,
    0x3ffff207,0x7ffec02f,0x4fffffff,0x3ffffcc0,0x7fffffd4,0xfffc8001,
    0x3ffa07ff,0x2a000fff,0xffffa81f,0xfc8001ff,0x3a07ffff,0x000fffff,
    0x136007ea,0x7ffffff4,0x3ea07e24,0x001fffff,0x7fffffc8,0x43fffff0,
    0xffffb00a,0x3e60005f,0x3003ffff,0x407e407f,0x3327ffff,0xd105fffd,
    0x3fffee01,0xfc8001ff,0xf70fffff,0x003fffff,0xffffff90,0x3ffffa01,
    0x07ea000f,0x3fffffa0,0x807ea000,0x307ffff9,0x100bffff,0x007fffff,
    0xffffffd8,0x100effff,0xf10fffff,0x7e40ffff,0xd802ffff,0xffffffff,
    0xff300eff,0xfff70fff,0x90003fff,0x01ffffff,0x03fffffa,0xfb81fa80,
    0x001fffff,0xffffffc8,0xfffffd00,0x00fd4001,0xfff8826c,0x3f12ffff,
    0xffffff70,0xfff90003,0xff901fff,0xd812a7ff,0x002fffff,0x3fffff60,
    0x202fc400,0xfffe82fb,0xffe8edcf,0x202e883f,0x1ffffffa,0xffffc800,
    0x3fffea7f,0xfc8001ff,0x3a07ffff,0x000fffff,0x3fa007ea,0x2000ffff,
    0x3fe601fa,0xffc80fff,0xff9001ff,0xd50001ff,0xffffffff,0xfff101df,
    0xffff10ff,0x7fffec0f,0xffd5003f,0xdfffffff,0xfffff301,0xffffff50,
    0xfff90003,0x7ff40fff,0x2a000fff,0xffffa81f,0xfc8001ff,0x3a07ffff,
    0x000fffff,0x136007ea,0xffffff98,0xfa81f89f,0x001fffff,0x7fffffc8,
    0xfffffd10,0xffffd80d,0x3e20002f,0x300effff,0x3fa801fb,0xffffffb8,
    0xa87fff91,0xf887442e,0x002fffff,0x6fffffc8,0x3fffffe2,0xfffc8002,
    0x3ffa06ff,0x2a000fff,0xfffe800f,0x3ea000ff,0x3fffe600,0x3ffe20ff,
    0x3fe2003f,0x7dc0005f,0xffffffff,0xfffff984,0x3ffffc41,0x7fffffb0,
    0xffffb800,0xa84fffff,0x440fffff,0x02ffffff,0xfffffc80,0x3ffffa06,
    0x03ea000f,0x3fffffe2,0xfffc8002,0x3ffa06ff,0x2a000fff,0x404d800f,
    0xeffffffb,0xfff881f9,0xc8002fff,0x206fffff,0x00ceffc9,0x17ffffec,
    0x3ffe6000,0xecabefff,0x5f8802ff,0x1effff98,0x2effffe6,0x7c4b81dd,
    0x003fffff,0x4fffffd8,0x1ffffffc,0x7fffec00,0x3fffa04f,0x3ea000ff,
    0xffffe800,0x03ea000f,0xdfffff98,0x5ffffbcf,0x02ffd800,0xfffb8800,
    0x5c0fffff,0x443fffff,0xf307ffff,0x01dfffff,0xffffb880,0x7e40ffff,
    0xff82ffff,0x8003ffff,0x04fffffd,0x03fffffa,0xff00fa80,0x0007ffff,
    0x09fffffb,0x07fffff4,0xb001f500,0xffff9009,0x3e03fdff,0x003fffff,
    0x4fffffd8,0x7ec00100,0x0002ffff,0xffffff70,0x40019fff,0xced982fa,
    0xceeec980,0xfe81d101,0x8004ffff,0x43fffffd,0x04fffffe,0xfffffd80,
    0x3ffffa03,0x03ee000f,0x3fffffa0,0x803ee000,0xf77ffff9,0x0019dfff,
    0x2c00ff50,0x7fffe440,0xffff12ff,0x221dffff,0x3227ffff,0xfffffffe,
    0x20164eff,0xffffffc8,0xffffff32,0xfffe8dff,0xfd8004ff,0x3a03ffff,
    0x000fffff,0x7ff403ee,0xd8004fff,0x203fffff,0x00fffffe,0x36003ee0,
    0xffffb004,0x3fa03fff,0x8004ffff,0x03fffffd,0x7fec0018,0x00002fff,
    0x0f7f554c,0x001fb000,0x70590000,0x009fffff,0x1ffffff0,0x4fffffb8,
    0xfffff800,0x3fff600f,0x3ee001ff,0xffffd800,0x03ee001f,0x47ffff98,
    0xe80001b9,0x4003e004,0x03fffffa,0xfffff100,0xf805fb80,0xffff5000,
    0x80bf507f,0x04fffffb,0xffffff80,0x3ffff600,0x03ee001f,0x27ffffdc,
    0x7ffffc00,0x3fff600f,0x3ee001ff,0x1004d800,0x3ffffffd,0x3ffffee0,
    0xffff8004,0x3fe600ff,0xfffb002f,0x000005ff,0x0000bfe6,0x000009f1,
    0x3ffa06b8,0x7cc006ff,0xfd04ffff,0x9800dfff,0x404fffff,0x01fffffd,
    0x7ec01f20,0x2001ffff,0x7ffcc07c,0x1000007f,0x01fc001f,0x07ffff70,
    0x3fffe200,0x003ff206,0xffb800fe,0x0ffe43ff,0x37ffff40,0x3fffe600,
    0x7ffec04f,0x1f2001ff,0x0dffffd0,0xfffff980,0x7fffec04,0x01f2001f,
    0xff30026c,0x7403ffff,0x4006ffff,0x04fffff9,0x8037ffe4,0x02fffffd,
    0x0fff0000,0x00bea000,0x0075c000,0x05fffff5,0x7ffffdc0,0xfffff500,
    0x7ffdc005,0x7fe400ff,0x3a002fff,0xffff9005,0x02f4005f,0x01ffffe6,
    0x016e0200,0xff800df0,0x3e0001ff,0xff106fff,0x001be00b,0x7c43ffff,
    0xfff5005f,0x7dc005ff,0x6400ffff,0x002fffff,0xfff5017a,0x7dc005ff,
    0x6400ffff,0x002fffff,0x026c017a,0x3ffffea0,0x3fffea01,0x3fee002f,
    0x7d400fff,0xfd800fff,0x0002ffff,0x02fff980,0x005f9000,0x800dc800,
    0x005ffffe,0x00fffffa,0x00bffffd,0x01fffff4,0x1fffffcc,0x3003f980,
    0x007fffff,0xff300fe6,0x4c000fff,0x001745ff,0xfd800ffe,0x93aa007f,
    0xf705ffff,0x7ff001ff,0x23ffec00,0xd000fffa,0x400bffff,0x803ffffe,
    0x03fffff9,0xfd007f30,0x7400bfff,0x9803ffff,0x003fffff,0x136007f3,
    0x3ffff200,0x7ffff401,0x3fffa005,0xd731003f,0x3ffff600,0x9800002f,
    0x00006fff,0x000037ea,0x74400bb3,0xb800ffff,0x8804ffff,0x800ffffe,
    0x004ffffb,0x03bffffa,0xe800ff10,0x400effff,0xff9807f8,0x360007ff,
    0x00d51fff,0x1003fff0,0x22007fff,0xfffd0fff,0x13ffee07,0x2007ffe0,
    0x7dc3fff8,0xfd1004ff,0xf7001fff,0x74009fff,0x400effff,0xfd1007f8,
    0xf7001fff,0x74009fff,0x400effff,0x17a007f8,0x0fffec00,0x3ffffa20,
    0xffffb800,0x003d8004,0x05fffffb,0x3ffe0000,0x2200004f,0xd98003fc,
    0xff90003f,0x7fcc01df,0x7e4004ff,0x3e600eff,0x4c004fff,0x00efffff,
    0x98005fd1,0x00efffff,0xf3005fd1,0x4000ffff,0x2e8bfffd,0x2ffff800,
    0x002ffe40,0x3fa1fff1,0x3ffe606f,0x7fffc02f,0x42ffe402,0x002ffff9,
    0x803bfff2,0x004ffff9,0x77ffffcc,0x005fd100,0x00efffc8,0x013fffe6,
    0xdfffff30,0x00bfa201,0x880037c4,0xf9001ffe,0x7cc01dff,0xb8004fff,
    0xfffd000e,0x000005ff,0x33bfffea,0xdd500003,0xba981579,0xa80003ed,
    0x260affff,0x002ffffc,0x15ffff50,0x17fffe4c,0xffffa800,0xfecabdff,
    0xff50001f,0x957bffff,0x2e003ffd,0x001fffff,0xbfffff50,0x3fffe000,
    0xdffb80df,0x57fdc000,0x6401fff9,0x82cdffff,0x80dfffff,0xf900dffb,
    0x0059bfff,0x415ffff5,0x02ffffc9,0xfffff500,0xffd957bf,0x3fea0003,
    0x3f260aff,0x50002fff,0x7bffffff,0x003ffd95,0x0033ff62,0x8007fe20,
    0x20affffa,0x02ffffc9,0x3001ec40,0x1dffffff,0x3ea00000,0x000effff,
    0x3b72a600,0x02cdefef,0x7edc4000,0xeffffeff,0x5c40000b,0xfffefffd,
    0x40000bef,0xffffffc8,0x0000bfff,0x7ffffe44,0x800bffff,0xffffffe8,
    0xeb8002cf,0x3e0004ff,0xefffca8c,0x0002effe,0x37dfff91,0x3fffee00,
    0xca8cf84f,0xeffeefff,0xffffb802,0xfb71005f,0xdffffdff,0xc8800017,
    0xffffffff,0x440000bf,0xffefffdb,0x0000beff,0x7ffffe44,0x800bffff,
    0xffffffea,0x0fd4001e,0x3ff6e200,0xbeffffef,0x22000000,0xffffffec,
    0x0003efff,0x00377500,0x00220000,0x2a200000,0x0000aabb,0x2aeea200,
    0x3000000a,0x00357975,0x32ea6000,0x998001ab,0x09999999,0x00002000,
    0x55e54c0e,0x02200000,0x055d4400,0x57953038,0xaba88001,0x2ea20000,
    0x00000aab,0x35797530,0x54400000,0x0000aabb,0x57975300,0x00000003,
    0x100002a0,0x00155775,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x9807b100,0xca80001c,0x003440bd,0x13332a00,0x03d88000,
    0x00000e4c,0x01e6664c,0x66665400,0x6dc00003,0x0001dc00,0x1e6664c0,
    0x66540000,0x800003cc,0x0004ccca,0x66666400,0x99997000,0x65cc0003,
    0xccccb801,0x803b6002,0x200003d9,0x9995000a,0xc8000059,0x40002ccc,
    0x01bccba8,0x5730006a,0x20000660,0x00e4403d,0x99999988,0x504fc800,
    0xf90000df,0xb15bffff,0x7c40000d,0x0002ffff,0x7d413f20,0xfb000006,
    0x00001fff,0x001ffffa,0x103df100,0x000005fb,0x003ffffb,0xdfffd000,
    0xf8800001,0x0002ffff,0x7ffff300,0x7fffcc00,0xffea8004,0xffff800c,
    0x0f7cc005,0x00007fd4,0x3a002ecc,0x00007fff,0x03ffffea,0x3fff6a00,
    0x1cefffff,0x362005d1,0x3a1cffff,0x5fb80002,0x2001ff30,0x4ffffedb,
    0x645ff880,0x4c0002ff,0xffffffff,0x200003ff,0x06fffffc,0x17fe2000,
    0x00005ff9,0x03ffff10,0x7ff44000,0x6400002f,0x1bfa61ff,0x7ffc0000,
    0x8800001f,0x0000efff,0xfffffc80,0xf9000006,0xf30009ff,0xfa800fff,
    0xff5000df,0x3f6000bf,0x00ffee2f,0x0013f200,0x007fffa2,0x7ffff400,
    0x3fa6004f,0x5109dfff,0x05fffff9,0x3fffff20,0x000fffff,0x5c1dfd00,
    0xfb0003ff,0x3f2009ff,0x05ffd8ef,0xfeefc800,0x00ffffff,0xdfff3000,
    0x00007fff,0x7ec77fe4,0x5000005f,0x00003fff,0x009ffd10,0xafff8800,
    0x0001fffa,0x01fffa80,0xfff70000,0xf3000001,0x07fffdff,0x9fff0000,
    0x7ffd4000,0x1fff3001,0x077fec00,0xbfff8800,0x80007ffd,0x220003fd,
    0x80004ffe,0xfffdfffb,0xffffb800,0x7fecc01f,0xfff8802f,0x5fffffff,
    0x3fea0000,0x006ffc9e,0x013ffee0,0x7fffffc4,0x3d80001f,0x0bbfff6a,
    0x4ffd8000,0x0000fff3,0x7fffffc4,0xb000001f,0x000003ff,0x0003ff44,
    0x7ffffdc0,0xb000005f,0x000003ff,0x0000fff4,0xf34ffd80,0x980000ff,
    0xa80004ff,0xffb004ff,0x0eff800d,0x7ffe4000,0x40002fff,0x880007fd,
    0x440007fe,0x9ff71fff,0xfffffc80,0x0bffa001,0x7ed47e60,0x0001efff,
    0x7fffff40,0x3ee0002f,0x3ee004ff,0x0004ffff,0x00660150,0x85ff5000,
    0x00003fe8,0x13ffffee,0x7fc40000,0x88000002,0x800002fe,0x00ffffff,
    0x05ff0000,0x7fc40000,0xf5000001,0x03fe885f,0x017f2000,0x807fa800,
    0x2006fff8,0x80000efa,0x06fffff8,0x01ffe400,0x01fe8800,0x503bf200,
    0x3fea03ff,0x44003fff,0x838802fe,0x00001ca8,0xbfffff50,0xfffb8000,
    0x7fffc004,0x0000000f,0x3dd00000,0x0003fa20,0x0fffff80,0x5d300000,
    0x44000000,0xb800003d,0x0004ffff,0x0005d300,0x001ea800,0x407ba000,
    0x00000fe8,0x5000009b,0xfff9803d,0x0036e007,0xffffc800,0x3fea0001,
    0x2200000f,0xbf30003d,0x2617e601,0x004fffff,0x00005f50,0xfd000000,
    0x80003fff,0x4004fffb,0x40009998,0x99999999,0x99809999,0x00999999,
    0x01500130,0x4ccc4000,0x00000000,0x00000000,0x0cccc000,0x00000000,
    0x00000000,0x0a800980,0x00000000,0xfff10000,0x0000001f,0x74000000,
    0x000004ff,0x400c4000,0xffffe828,0x4be0001f,0x99999998,0x99988009,
    0x80009999,0x00009998,0x224fffb8,0x99999999,0x99999999,0x32199999,
    0xfffffffe,0xfec83def,0x003dffff,0x20000260,0x99999998,0x99999999,
    0x80001999,0x26600009,0x99999999,0x99999999,0x4ccc4099,0x09999999,
    0x99998000,0x99999999,0x99999999,0x99999980,0x00099999,0x33333300,
    0x33333333,0x01333333,0x4cccccc4,0x99999999,0x99819999,0x99999999,
    0xfffe8099,0x33333301,0x01333333,0x00004c00,0x0007ffea,0x40001300,
    0x99999999,0x3e609999,0x0007ffff,0xfffd9964,0x400effff,0xefffffdb,
    0x26666661,0x00099999,0x27ffdc00,0xfffffff9,0xffffffff,0x0fffffff,
    0x9ffffff5,0x03ffe600,0x000fa000,0x3fffff60,0xffffffff,0x005fffff,
    0x10003e80,0xffffffd9,0xffffffff,0xc98bffff,0xfffffffe,0x2ceeffff,
    0xfffd9100,0xffffffff,0xbfffffff,0xffffed88,0xffffffff,0x1000cdff,
    0xffffffd9,0xffffffff,0x6c0bffff,0xffffffff,0xffffffff,0x7ee445ff,
    0xffffffff,0x2fffd83d,0xffffdc88,0x03dfffff,0x0000fa00,0x0001fffd,
    0x10003e80,0xffffffb9,0x7e47bfff,0x0006ffff,0xffffe880,0xfd1005ff,
    0xffed881f,0xffffffff,0x00cdffff,0x24fffb80,0xaabdfffc,0xadfffffc,
    0x07fffcba,0x03ffffff,0x0001fe40,0x400037cc,0x9abefffe,0xfffe9999,
    0x40000fff,0x980006f9,0xacffffff,0xfffcbaaa,0x3ffee05f,0xecaabfff,
    0x2004ffff,0xcffffff9,0xffcbaaaa,0x3fea05ff,0xa999ffff,0x03fffffc,
    0x7ffffcc0,0xcbaaaacf,0x3a05ffff,0x99abefff,0xffffe999,0x3fe600ff,
    0x6406ffff,0x7cc03fff,0x006fffff,0x0006f980,0x001fffea,0x000df300,
    0xffffff30,0x3ffffe0d,0x1000004f,0x7fffffff,0x500fee00,0x33ffffff,
    0xfffff953,0xfffb8007,0x2a07ff24,0x884fffff,0xfffd07fe,0x7dc003ff,
    0xffd80001,0x7ffc0002,0x7fffd402,0xd80003ff,0xd80002ff,0x202fffff,
    0x7c05ffd8,0xf707ffff,0x2003dfff,0x02fffffd,0xd017ff62,0x220fffff,
    0x00dffffd,0x3fffff60,0x17ff6202,0x5402fff8,0x03ffffff,0x2fffffd8,
    0x01fffdc0,0x17ffffec,0x17fec000,0x5fffd800,0x7fec0000,0xffd80002,
    0xff882fff,0x0003ffff,0x3ffff600,0xf9801fff,0xffffe802,0xffffb107,
    0x3fee001b,0x540bf24f,0x104fffff,0x3fffa0ff,0x3ea000ff,0x7fc40001,
    0x7fc0006f,0x7fffc401,0x880006ff,0x80006fff,0x02fffffd,0x7fc05fb8,
    0x3ee07fff,0xd802ffff,0x802fffff,0x7ff405fb,0x3fe207ff,0x36006fff,
    0x802fffff,0x07fe05fb,0xffffff10,0x3fff600d,0x7fd402ff,0xfffd800f,
    0x440002ff,0xd0006fff,0x0000bfff,0x0037ffc4,0x7ffffec0,0xfffff982,
    0x2000001f,0xfffffffd,0x00fc400f,0x03fffff4,0x0dfffff1,0xc93ffee0,
    0x3fffea05,0x741f204f,0x000fffff,0x900007ea,0x0003ffff,0x3f200be2,
    0x001fffff,0x1ffffc80,0x7ffec000,0x0bd002ff,0x07fffff8,0x07ffffec,
    0x3fffff60,0xe80bd002,0x6407ffff,0x002fffff,0x05fffffb,0x17c417a0,
    0x7ffffe40,0xfffb001f,0xffd805ff,0xffffb005,0xfc80005f,0xf8001fff,
    0x00004fff,0x007ffff2,0xfffffb00,0xfffff705,0x4000003f,0xfffffdcd,
    0x00fc406f,0x03fffff4,0x0bfffff2,0xc93ffee0,0x3fffea02,0x741e604f,
    0x000fffff,0x880007ea,0x005fffff,0xff300f30,0x0009ffff,0xbfffff10,
    0xfffd8000,0x540882ff,0x7ffffc05,0x7fffcc07,0x7ffec06f,0x540882ff,
    0x7ffff405,0x7fffdc07,0xfffb004f,0xa81105ff,0xf300f305,0x009fffff,
    0x17ffffec,0x001dff10,0x0bfffff6,0xffff8800,0x7fc4005f,0x100004ff,
    0x00bfffff,0xfffffd80,0xfffffa82,0x2000002f,0xffffe8cd,0x07e204ff,
    0x1fffffa0,0x9fffff70,0x49fff700,0x3ffea00a,0xe81c04ff,0x000fffff,
    0xb80007ea,0x00ffffff,0xfe804980,0x000fffff,0xfffffb80,0x3f60000f,
    0x2b82ffff,0x3ffe02c4,0xffe807ff,0x3f602fff,0x2b82ffff,0x3ffa02c4,
    0x7fd407ff,0xfb005fff,0x5705ffff,0x00930588,0x1ffffffd,0x7fffec00,
    0x1bfd502f,0x7fffec00,0x3ee0002f,0x000fffff,0x013fffe6,0x7fffdc00,
    0x360000ff,0x982fffff,0x03ffffff,0x45360000,0x3fffffff,0xfd003f10,
    0xfa80ffff,0xb805ffff,0x2a004fff,0x004fffff,0x1fffffd0,0x000fd400,
    0xfffffff0,0x80110009,0x2ffffffb,0xffff0000,0x40009fff,0x82fffffd,
    0x7fc0182d,0xfb807fff,0x3605ffff,0xd82fffff,0x7ff40182,0x7fd407ff,
    0xfb004fff,0x5b05ffff,0x70022030,0x05ffffff,0xfffffd80,0x001cfd82,
    0x2fffffd8,0x3fffe000,0x2a004fff,0x0003ffff,0xfffffff0,0x7fec0009,
    0xff882fff,0x0004ffff,0xff993600,0x881fffff,0xfffe801f,0x7ffd407f,
    0xffb804ff,0x3fea004f,0xd0004fff,0x001fffff,0xa8000fd4,0x7fffffaf,
    0xff880000,0x0005ffff,0xffff5f50,0x7ec000ff,0x2f82ffff,0xfffff800,
    0xffff9807,0xfffb01ff,0x005f05ff,0x0fffffd0,0x3fffffc8,0xfffffb00,
    0x00005f05,0x7fffffc4,0xfffd8005,0x1cfd82ff,0xffffd800,0x5f50002f,
    0x00ffffff,0x01ffffd4,0x7fd7d400,0x20007fff,0x02fffffd,0x0bffffff,
    0x226c0000,0xfffffffb,0x7400fc40,0x6407ffff,0x803fffff,0x2004fffb,
    0x04fffffa,0xfffffd00,0x00fd4001,0xfffd4e80,0x800007ff,0x1ffffffd,
    0x3a9d0000,0x003fffff,0x5fffffb0,0xf8002fb8,0x8807ffff,0x02ffffff,
    0x85fffffb,0xfe8002fb,0x7f407fff,0xb001ffff,0xb85fffff,0x3600002f,
    0x01ffffff,0xfffffd80,0x01dfb302,0x7ffffec0,0x3a9d0002,0x003fffff,
    0x009ffff3,0x3ffa9d00,0xb0003fff,0x205fffff,0x06fffffc,0x21360000,
    0x6ffffffd,0x7f400fc4,0x7f407fff,0xb801ffff,0x2a004fff,0x004fffff,
    0x1fffffd0,0x000fd400,0xfffb8fcc,0x200006ff,0x4ffffffa,0x23f30000,
    0x06fffffb,0xfffffb00,0x0017fcc5,0x03fffffc,0x7fffffc4,0xfffffb03,
    0x0017fcc5,0x03fffff4,0x07fffff7,0x7ffffec0,0x000bfe62,0x7ffffd40,
    0xffb0004f,0xff805fff,0xfffb000e,0xf30005ff,0x3ffffee3,0xffff1006,
    0x1f980009,0x0dfffff7,0x3ffff600,0xffff102f,0x000001ff,0x7fff4136,
    0x07e24fff,0x1fffffa0,0x3fffffb8,0x09fff700,0x7ffffd40,0xfffd0004,
    0x7d4001ff,0x7c5d8001,0x002fffff,0xfffffd00,0x2ec0000d,0x0bfffffe,
    0x3ffff600,0x2fffdccf,0xfffff800,0xfffff007,0x3fff609f,0xfffdccff,
    0xfffe8002,0xfffc987f,0x7ec003ff,0xfdccffff,0xd00002ff,0x00dfffff,
    0x7ffffec0,0x037fe402,0x2fffffd8,0x7fc5d800,0xf002ffff,0x80009fff,
    0x7ffffc5d,0xffd8002f,0x3f202fff,0x0004ffff,0xf104d806,0x25ffffff,
    0xffe801f8,0xffc987ff,0x2e003fff,0x2a004fff,0x004fffff,0x1fffffd0,
    0x000fd400,0xfff90be2,0x90000bff,0x05ffffff,0x90be2000,0x00bfffff,
    0xffffffb0,0x005fffff,0x0ffffff0,0x3fffffa0,0xfffffb05,0x05ffffff,
    0xfffffd00,0xffffffdd,0xfb00017f,0xffffffff,0x900005ff,0x05ffffff,
    0x7fffec00,0x7ffd402f,0xffffd801,0x17c4002f,0x17fffff2,0x02ffff40,
    0xfc85f100,0x8005ffff,0x02fffffd,0x07fffff4,0x9b035400,0x7ffffcc0,
    0x801f89ff,0xeefffffe,0xbfffffff,0x7ffdc000,0x3ffea004,0xfd0004ff,
    0x4001ffff,0x364000fa,0x7fffffc4,0x3fe60001,0x0005ffff,0x3fe21b20,
    0x4001ffff,0x8afffffd,0x8002ffea,0x007fffff,0x09ffffff,0x2bfffff6,
    0x002ffea8,0xcfffffe8,0x3ffffffc,0x3fff6000,0xffea8aff,0x7fcc0002,
    0x0005ffff,0x17ffffec,0x00fffee0,0x0bfffff6,0xff10d900,0xb003ffff,
    0x4000dfff,0xffff886c,0x7ec001ff,0x4402ffff,0x006fffff,0x09b027dc,
    0xffffffb8,0xfe801f9e,0xffccffff,0x0003ffff,0x4009fff7,0x04fffffa,
    0xfffffd00,0x007d4001,0x3f607f10,0x0004ffff,0x3ffffffa,0x7f100000,
    0x3fffff60,0x7ffec004,0x0bfa22ff,0x3ffffe00,0xffff8807,0xfffb03ff,
    0x17f445ff,0x7ffff400,0x3fffff27,0xffb0001f,0x7f445fff,0x7ff40002,
    0x0000ffff,0x17ffffec,0x013fff20,0x0bfffff6,0xfb03f880,0x3009ffff,
    0x2000ffff,0xfffb03f8,0xfd8009ff,0x9802ffff,0x00dffffe,0x36017ec4,
    0xffffc804,0xe801feff,0x3f27ffff,0x001fffff,0x004fffb8,0x13ffffea,
    0x7ffff400,0x03ee000f,0x3e607b80,0x000fffff,0xffffffb8,0x1ee00003,
    0xffffff98,0x3fff6000,0x017cc2ff,0x3fffffc0,0x7ffffc40,0xffffb01f,
    0x002f985f,0x47ffffe8,0x06fffffe,0xfffffb00,0x0002f985,0x3fffffee,
    0xffd80003,0x7ec02fff,0xffd802ff,0x2e002fff,0x3fffe607,0xffd800ff,
    0x07b8000f,0x3fffffe6,0x3fff6000,0x3f2002ff,0x99acffff,0x800efedb,
    0xfffb004d,0xd003ffff,0xfe8fffff,0x8006ffff,0x2004fffb,0x04fffffa,
    0xfffffb00,0x007dc003,0x99999df0,0xffffff99,0xfff88007,0x26006fff,
    0x66677c04,0xffffcccc,0x3f6003ff,0x2f82ffff,0xfffff800,0xffff9807,
    0xfffb00ff,0x005f05ff,0x8fffffd0,0x4ffffff9,0xffffd800,0x0002f82f,
    0xdffffff1,0xfd824c00,0x7c02ffff,0xfd801fff,0x2002ffff,0xccccccef,
    0x3ffffffc,0x02fffa80,0xccccef80,0xfffffccc,0x3ff6003f,0x44002fff,
    0xffffffeb,0x36003dff,0xfffd1004,0xfd003fff,0xff98ffff,0x4004ffff,
    0x2004fffb,0x04fffffa,0xfffffb00,0x003e4003,0xddddddf5,0xfffffddd,
    0xfffd800f,0x32001fff,0x3bbbea03,0xffeeeeee,0x36007fff,0xd82fffff,
    0x3fe07302,0xfa807fff,0x3606ffff,0xd82fffff,0x3fa07302,0xffb87fff,
    0x4002ffff,0x82fffffd,0x6c07302d,0x01ffffff,0x7fec0f20,0x3e202fff,
    0xfd800fff,0x5002ffff,0xdddddddf,0xffffffdd,0x017ffa00,0xdddddf50,
    0xffffdddd,0x7fec00ff,0x20002fff,0x00acea98,0x4c009b00,0x01ffffff,
    0x87ffffe8,0x2ffffffb,0x13ffee00,0xfffffa80,0xfff90004,0x2f4005ff,
    0x3a009d00,0x002fffff,0x9ffffff3,0x3a02e800,0xffffd004,0x3ff6005f,
    0x01a82fff,0x3fffe05b,0xfffd807f,0x3ff601ff,0x01a82fff,0x3fffa05b,
    0xffffb07f,0x7ec001ff,0x1a82ffff,0x3fe605b0,0x4004ffff,0xffffb02e,
    0x7ffcc05f,0xffffb007,0x013a005f,0x17fffff4,0x007ffd40,0x3fa009d0,
    0xb002ffff,0x005fffff,0x001bf500,0x2a0026c0,0x801fffff,0xb07ffffe,
    0x01ffffff,0x013ffee0,0x4fffffa8,0xffff3000,0x0fe6007f,0xb800fd40,
    0x006fffff,0x1dfffffd,0xa80fdc00,0xfff7001f,0x3f600dff,0x2002ffff,
    0xffff01f8,0xfff880ff,0x7fec05ff,0x22002fff,0xffffd01f,0x3fffe20f,
    0x3f6005ff,0x2002ffff,0xfffd01f8,0x5c001dff,0xffffb01f,0x7ffc405f,
    0xffffb006,0x03f5005f,0x3ffffee0,0x09ff7006,0x5c007ea0,0x006fffff,
    0x05fffffb,0x7fff8800,0x00136000,0x007ffff2,0x41fffffa,0x5ffffff8,
    0x09fff700,0x7ffffd40,0x3ffa0004,0x7c400eff,0x801ba007,0x2ffffff8,
    0x7ffffdc0,0x3fe6002f,0x4400dd00,0x02ffffff,0x2fffffd8,0x7c03f600,
    0x6407ffff,0x400fffff,0x02fffffd,0x7f403f60,0xf500ffff,0x007fffff,
    0x0bfffff6,0xfb80fd80,0x002fffff,0x7ec03fe6,0x6c02ffff,0xffb006ff,
    0xdd005fff,0x7fffc400,0xff9002ff,0x400dd001,0x2ffffff8,0xfffffd80,
    0xff880002,0x0bd0002f,0x07fff600,0x3fffffa0,0xfffff500,0xfff7007f,
    0x7ffd4009,0x260004ff,0x00efffff,0x2a005fd1,0x7fe4003f,0x3e206fff,
    0x005fffff,0x7d41ffee,0x7ffe4003,0xffd806ff,0xfb002fff,0x7ffffc0f,
    0xffff300f,0xfffb003f,0x3f6005ff,0x3ffffa07,0x3fff600f,0xfd801fff,
    0xb002ffff,0xffff10ff,0x7dc00bff,0x3fff607f,0x7fd402ff,0xfffd801f,
    0x1fd402ff,0x3ffff200,0x13f2006f,0xc8007f50,0x806fffff,0x02fffffd,
    0x03ffd000,0x000df100,0x2007ffa2,0x00fffffe,0x3ffffff6,0x27ffe401,
    0xfffff700,0xffa8000b,0xcabdffff,0xd1001ffe,0xffa8007f,0xfb02ffff,
    0x001fffff,0x10ffffd3,0xfa8007fd,0x402fffff,0x04fffffe,0xf037ff54,
    0x503fffff,0x001bffff,0x13fffffa,0x40dffd50,0x00ffffff,0x3fffffa2,
    0x7fff400e,0x7f5404ff,0xffffd86f,0xfe9800ff,0x3ffa07ff,0xfa802fff,
    0x7ff400df,0x3a202fff,0x7fd4003f,0x2002ffff,0xfe880dfc,0x7ffd4003,
    0x7f402fff,0x0002ffff,0x0037fd44,0x0067fec4,0x400ffc40,0x00ffffff,
    0x3fffffa2,0x3fffa00e,0xfffd1004,0x80003fff,0xffffffc8,0x3000bfff,
    0x4001fffd,0xfffffffa,0x7ffffd41,0xaaaaaadf,0xfffffdcb,0x07fff4c6,
    0xfffff500,0x3fe603ff,0xabcfffff,0xffffedca,0xfffff705,0xffd977df,
    0x7cc007bf,0xbcffffff,0xfffedcaa,0xffff705f,0xff9809ff,0x300dffff,
    0x9fffffff,0xffdb9557,0xfffa8bff,0xaaaadfff,0xfffdcbaa,0xfff306ff,
    0x3001dfff,0xf3019ffd,0x01dfffff,0x001fffd3,0x7fffffd4,0x3b22001f,
    0x03fffa60,0xfffffa80,0xfff301ff,0x0001dfff,0x0013bff6,0xffffffd5,
    0x1fa8003d,0x7ffffdc0,0x7ffcc04f,0x3b20dfff,0x404fffff,0xffffffec,
    0x000cefff,0x55e5d4c0,0x7ffe4001,0xb103efff,0xffffffff,0x3ffe2dff,
    0xffffffff,0xffffffff,0x3ff25fff,0x103effff,0xfffffffb,0x3b22dfff,
    0xffffffff,0xffffffff,0x3f664fff,0xffffffff,0x00adeeff,0xffffd910,
    0xffffffff,0x9fffffff,0x7fffff4c,0x02efffff,0xfffffff9,0x3fffb229,
    0xffffffff,0xffffffff,0x3ffffe24,0xffffffff,0xffffffff,0x3ffb225f,
    0xefffffff,0x11ca8803,0xffffffd9,0x3f27dfff,0x03efffff,0xffffffb1,
    0x800dffff,0xfffff909,0x3f6207df,0xffffffff,0xfffd916f,0x7dffffff,
    0x00000800,0x01500000,0xffffffd3,0x205dffff,0xfffffffc,0x00000004,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x01793000,0x332e6200,0x4cc4281b,
    0x00999999,0x99999988,0x30018809,0x26666601,0x00999999,0x2e600000,
    0x0001880a,0x0a602a20,0x65400000,0x00002ccc,0x5e665d44,0x26601701,
    0x99999999,0x33330099,0x00133333,0x000c004c,0x03333333,0x26666666,
    0x00199999,0x0ccccc80,0x79999500,0x40009800,0x09999998,0x00644000,
    0x00dc0126,0x2e000322,0x001dc00d,0x80000000,0x20053029,0x001fffc8,
    0x3fbbffea,0x4c698bef,0xfffffffd,0x7fedc00e,0xf881efff,0x01fb100d,
    0xfffffdb1,0xffffffff,0x000019bf,0x16ffffe4,0x2e00009b,0x3fee1fff,
    0x4000000f,0x000efffe,0xffffea80,0x1cefffef,0xfb9101f3,0xffffffff,
    0xffd9103b,0x005dffff,0x03ee02f4,0x3ffffa20,0xffdc887f,0xdeffffff,
    0x7fd40004,0x3fa003ff,0x4c000eff,0xff7000cf,0x0005ffff,0x2fc40df0,
    0x3600fd80,0x3ff10007,0x0007fb10,0x0077f220,0x0fffc800,0x8801bff6,
    0xfd802ffd,0x7ff4c1cf,0xfffd106f,0x2200bfff,0x7dc00ffe,0x01ff4c0e,
    0x7fffffd4,0xfffca999,0xa80003ff,0xffffffff,0xd00001fe,0x7ffc9fff,
    0x2000004f,0x000efff9,0x77ffec40,0x7ffd440a,0x7c400fff,0x00efffff,
    0x01bfff90,0x983bf900,0x7dc006fb,0x7cc07fff,0x005fffff,0x0ffff600,
    0x0efff880,0x05fd1000,0x3ffffe20,0xefd80002,0x3feca9ab,0x359ff700,
    0x000dfb75,0xfd117fdc,0x7e40000d,0x100006ff,0x3e27ffff,0x26002fff,
    0x3f202fff,0x37fe405f,0xffffff10,0x0fee007f,0xfa8fff40,0x3ffa006f,
    0xffb107ff,0x40001bff,0xfffffffe,0x200006ff,0x3fa4fffe,0x000003ff,
    0x0003bff2,0x0bffff50,0x03fffee0,0x3fffff60,0x13ff2003,0xffff9800,
    0x003ffffe,0x03ffffd4,0x17fffff4,0x9fff0000,0x0fffb800,0x17f44000,
    0x2fffff80,0xfff98000,0x00ffffff,0xfffffd10,0x40005fff,0xffabfff8,
    0x3e00002f,0x0001ffff,0x227ffff0,0x4002ffff,0xff305ffe,0x0dfb003f,
    0xffffffd8,0x02f9801f,0xff9fff50,0x7ff4005f,0x3fe207ff,0x20006fff,
    0xffffb32f,0x5400005d,0x3fee0fff,0x2000000e,0x40000ffe,0x005ffffc,
    0x4007ffdc,0x03fffffc,0x0005ff30,0xffffff70,0xff1000df,0xffb00fff,
    0x00003fff,0x20013fea,0x00001ffe,0xfd003ff5,0x00005fff,0x3fffffee,
    0x7fcc002f,0x004fffff,0xfffffb80,0x6c00005f,0x0000ffff,0xfc8dff70,
    0xffe8006f,0x0fffc80f,0x6c06e880,0xffffffff,0x000fc400,0x0dfffffd,
    0x7ffffe80,0x7ffffe40,0x30488002,0x20000059,0x00031018,0x01ff9800,
    0x7fffd400,0x1ff70007,0xfffff900,0x01df5005,0x7ffdc000,0x88000dff,
    0xd807ffff,0x001fffff,0x0009fb00,0x00003ff1,0x7401fff8,0x0002ffff,
    0x3bfffea0,0xffd30001,0x400007ff,0x01fffffe,0x7ff4c000,0x0c400003,
    0xff000188,0xfffd03ff,0xb01ee007,0xffffffb9,0x001f880d,0x07ffffea,
    0xfffffd00,0xfffffb80,0x00000004,0x00000000,0x00f54000,0x3fffe200,
    0x3fa0004f,0xffffc800,0x06fdc02f,0x6dcc0000,0x3e20002c,0xfd807fff,
    0x0001ffff,0x2a0009b0,0xb800001e,0x3fa00eff,0x00002fff,0x00000a98,
    0x00000351,0x009ffff7,0x0004c000,0x80000000,0xf80ffff8,0x8802ffff,
    0x7f466c07,0x204fffff,0x76c001f8,0xfe8004ee,0x7d407fff,0x0005ffff,
    0x001aa988,0xaa988000,0x00000001,0x7ffec000,0x2a0001ff,0xfffc800f,
    0x0ff602ff,0x00000000,0x3ffffc40,0x7ffffec0,0x00000001,0x44000000,
    0x3fa03fff,0x00002fff,0x00000000,0x19998000,0x00000000,0x33333330,
    0x30133333,0x13333333,0xb07fff98,0x007fffff,0xff14d807,0x207fffff,
    0x000001f8,0x7ffffe80,0x7ffffd40,0xfec88004,0xefffeeff,0xec880003,
    0xfffeefff,0x3331003e,0x33333333,0x4cccc401,0x3ffea199,0xe80006ff,
    0xffffc800,0x02fe882f,0x01300000,0xffff8800,0xffffd807,0x4cc0001f,
    0x33019999,0x33333333,0xb0000333,0x7ff40fff,0x555542ff,0x99982aaa,
    0x99999999,0x26666609,0x99999999,0x09999999,0x99999998,0x99999999,
    0x98099999,0x99999999,0x99999999,0xfec80999,0xefffffff,0xfffec83d,
    0x7fd43dff,0xffff705f,0x40005dff,0x3fffe64d,0x1f881fff,0x5c3eea80,
    0xffd002ee,0xffc80fff,0x54003fff,0x260aefff,0x000dfffb,0x15dfff50,
    0x06fffdcc,0x3ffffee0,0x01ceffff,0x3fffffae,0x3fffff25,0x00080004,
    0x85fffff9,0x00000ef9,0x0000fa00,0x00fffff1,0x03fffffb,0x7fff4400,
    0xfdc887ff,0xefffffff,0xfb80004d,0xfffd03ff,0xfffda85f,0x7ee443df,
    0xffffffff,0xfffd913d,0xffffffff,0xbfffffff,0xffffec88,0xffffffff,
    0x45ffffff,0xfffffec8,0xffffffff,0x205fffff,0x4ffffffa,0x01fff300,
    0x4c13fff2,0xffffffff,0x44d8002e,0xfffffffb,0x2200fc40,0xff10ffff,
    0xffd001ff,0xffe80fff,0xb1001fff,0x4401ffff,0x2003ffff,0x00ffffd8,
    0x00ffffe2,0x3fffffee,0x77fcc007,0x7fffff40,0x20000003,0x22fffffc,
    0x00000ffb,0x001be600,0x0fffff10,0x3fffffb0,0xfff70000,0xfff980ff,
    0x00005fff,0xe837ffd4,0xff02ffff,0xfff3003f,0xf980dfff,0xaacfffff,
    0xffffcbaa,0x3fffe605,0xbaaaacff,0x205ffffc,0xcffffff9,0xffcbaaaa,
    0x7ffc05ff,0x32001fff,0x3ffee03f,0x3ffff203,0x01efffff,0x3ff61360,
    0x7c46ffff,0x7fffcc01,0x05ffff52,0x0fffffd0,0x1fffffdc,0xfffff880,
    0xffffa801,0xffff8805,0xfffa801f,0xfffd805f,0x22000fff,0xffff80ff,
    0x000003ff,0x3fffff20,0x009fffb2,0x7fec0000,0x3fe20002,0xffd807ff,
    0x80001fff,0x807ffffa,0x02fffffe,0x7ffc4000,0xffffe82f,0x000ef882,
    0x0bfffff6,0x3fffff60,0x17ff6202,0x5fffffb0,0x02ffec40,0x0bfffff6,
    0x405ffd88,0x01fffffe,0xf9807ee0,0x7fec02ff,0xffffffff,0x3a09b004,
    0x24ffffff,0xffe801f8,0x01fffe0f,0x43fffff4,0x3fffffc9,0x3ffff600,
    0x3fffa004,0x7ffec02f,0x3ffa004f,0x7fc402ff,0x2004ffff,0xfff982fa,
    0x00002fff,0x3ffff200,0xfffffebf,0x88000002,0x20006fff,0x807ffff8,
    0x01fffffd,0xffff8800,0xffffd807,0xf800001f,0xffe83fff,0x00ed82ff,
    0x7ffffec0,0xffffd802,0x05fb802f,0x17ffffec,0x3602fdc0,0x802fffff,
    0x7ff405fb,0x2a000fff,0x27fec01f,0x7ffffec0,0x00efffff,0xfff8826c,
    0x3f12ffff,0x98399100,0xffd000cc,0xfffddfff,0x0017ffff,0x0fffffd4,
    0xfffff500,0x3fffea01,0x3fea001f,0x7dc00fff,0x000fffff,0x3ffea0bd,
    0x00001fff,0x3ffff200,0xffffffff,0x4000001f,0x001ffffc,0x0fffff10,
    0x3fffffb0,0xfff10000,0xfffb00ff,0x000003ff,0xfd09ffff,0x0ed85fff,
    0xffffd800,0xfffd802f,0x0bd002ff,0x2fffffd8,0xfd80bd00,0xd002ffff,
    0xffffe80b,0x07ea000f,0x200ffd10,0xffffffea,0x3600efff,0x3fffe604,
    0x01f89fff,0xfe800000,0xffccffff,0x4003ffff,0x07fffff8,0x7ffffc40,
    0xfffff885,0x7ffc4007,0xffe805ff,0xfb804fff,0xfffff500,0x0000003f,
    0x6fffffe4,0xeffffffa,0xf1000000,0x000bffff,0x01ffffe2,0x07fffff6,
    0x3ffe2000,0xfffd807f,0x800001ff,0xfe85ffff,0x03f62fff,0x7fffec00,
    0xfffd802f,0x540882ff,0x7fffec05,0x2d40882f,0x3fffff60,0x02d40882,
    0x03fffffa,0x8801fa80,0xf7001dfd,0xffffffff,0x2e026c09,0x9effffff,
    0xaaaaa81f,0x2aaaa0aa,0x7ff402aa,0x3fff27ff,0x32001fff,0x004fffff,
    0x1ffffff8,0x27ffffe4,0x7ffffc00,0x7ffd401f,0x3e201fff,0x3fffe204,
    0xccc802ff,0xcccccccc,0x3ffff204,0xfffff72f,0x200000bf,0x0ffffffb,
    0xffff8800,0xffffd807,0xf880001f,0xfd807fff,0x0001ffff,0x86ffff80,
    0xfb2ffffe,0x3f60007f,0xd802ffff,0xb82fffff,0x3f602c42,0x2b82ffff,
    0x3ff602c4,0x42b82fff,0x7fff4058,0x3ea000ff,0x17f26001,0x7fffdc40,
    0x9b00ffff,0xfffff900,0xff703fdf,0x7e43ffff,0x7407ffff,0x7f47ffff,
    0x2006ffff,0x03fffffd,0xfffffd80,0x7ffffec3,0xfffd8003,0xffe803ff,
    0x1b605fff,0x3fffffe0,0xffea9803,0x01bfffff,0x8bfffff2,0x4ffffffd,
    0xfff80000,0x8004ffff,0x807ffff8,0x01fffffd,0xffff8800,0xffffd807,
    0xe800001f,0xffe87fff,0xffffdaff,0xfffd8000,0xffd802ff,0x82d82fff,
    0x7fffec01,0x0182d82f,0x17ffffec,0x3a00c16c,0x000fffff,0xc98007ea,
    0x3220165f,0x02ffffff,0x3ff6009b,0x101fffff,0xa83fffff,0x7407ffff,
    0x7cc7ffff,0x004fffff,0x05ffffff,0xfffffb00,0xffffff89,0xfffd8002,
    0xff9804ff,0xf981ffff,0xffffd802,0x3fe2004f,0xc802ffff,0x222fffff,
    0x2ffffffe,0x2bea0000,0x007fffff,0x07ffff88,0x1fffffd8,0x7fc44800,
    0xffd807ff,0x00001fff,0xe87fffe8,0xfffeffff,0xfd8006ff,0xd802ffff,
    0xf82fffff,0xfffd8002,0x002f82ff,0x2fffffd8,0xfe8002f8,0x2000ffff,
    0xfe8801fa,0xa8007c1e,0xb03fffff,0x3ffa2009,0x3e01ffff,0x7cc1ffff,
    0x7f407fff,0xffb87fff,0x4402ffff,0x02ffffff,0xfffffc80,0x3ffffe25,
    0xffc8002f,0xfb005fff,0xbd0dffff,0x3fffee00,0x7ff4005f,0xfc801fff,
    0x7c42ffff,0x01ffffff,0x3fa9d000,0x4003ffff,0x807ffff8,0x01fffffd,
    0x3fe234c0,0xffd807ff,0x00001fff,0xe87fffe8,0xffaeffff,0x6c003fff,
    0x802fffff,0x42fffffd,0xfd8002fb,0x7dc2ffff,0xfffd8002,0x017dc2ff,
    0x7fffff40,0x007ea000,0x7f01ffd1,0x7fffdc00,0x4c009b03,0x01ffffff,
    0x307ffffe,0xe80fffff,0xfb07ffff,0x401fffff,0x1ffffffa,0xffffc800,
    0x3fffea7f,0xfc8001ff,0x3007ffff,0x45ffffff,0xfd1000fb,0x4001ffff,
    0x00fffffe,0x2fffffc8,0xffffffa8,0x7cc0000e,0xdfffff71,0xffff8800,
    0xffffd807,0x22e4001f,0x807ffff8,0x01fffffd,0xffff8000,0x2ffffe85,
    0x03fffff9,0x7ffffec0,0xffffd802,0x00bfe62f,0x3fffff60,0x000bfe62,
    0x8bfffff6,0xe8002ff9,0x000fffff,0xffb007ea,0xf001be0b,0x13603fff,
    0xfffff500,0x7ffffc03,0x3ffffc41,0x1fffffa0,0x7fffffc4,0x3fffee05,
    0xfc8001ff,0xf70fffff,0x003fffff,0xffffff90,0x3fff2001,0x009f16ff,
    0x3fffff98,0x3ffffa00,0xfffc800f,0xfff902ff,0x8000bfff,0x7ffffc5d,
    0x3fe2002f,0xffd807ff,0x22001fff,0x7fffc44f,0xffffd807,0xf800001f,
    0xffe84fff,0x3fffa2ff,0x3ff6006f,0xfd802fff,0xfdccffff,0xfd8002ff,
    0xfdccffff,0xfd8002ff,0xfdccffff,0xfe8002ff,0x2000ffff,0x3fe201fa,
    0x007ff02f,0x9b03ffec,0xffff9000,0x7ffffc03,0x3ffffc41,0x3fffffa0,
    0xfffff500,0x3ffea07f,0xc8001fff,0x2a7fffff,0x01ffffff,0xfffffc80,
    0x3ffe2007,0x00ecbfff,0x6ffffc80,0x3ffffa00,0xfffc800f,0x3ff602ff,
    0x0004ffff,0xfffc85f1,0x3e2005ff,0xfd807fff,0x2001ffff,0x7ffc43fc,
    0xfffd807f,0x800001ff,0xfe83ffff,0x3fe62fff,0xfb004fff,0xb005ffff,
    0xffffffff,0xb0005fff,0xffffffff,0xb0005fff,0xffffffff,0xd0005fff,
    0x001fffff,0xff500fd4,0x07ffe07f,0x80fffe20,0xffb0005e,0x7fffc03f,
    0x7fffc41f,0x7ffff407,0x3fff600f,0xff881fff,0x8002ffff,0x26fffffc,
    0x2ffffff8,0xffffc800,0x7fe4006f,0x002fffff,0x0fffffa0,0x7fffff40,
    0xffffc800,0x3ffe203f,0x8003ffff,0xffff886c,0xff1001ff,0xfd801fff,
    0x7002ffff,0xfff885ff,0xfffd807f,0x400001ff,0xe82ffff8,0x7dc2ffff,
    0xd801ffff,0x802fffff,0x8afffffd,0x8002ffea,0x8afffffd,0x8002ffea,
    0x8afffffd,0x8002ffea,0x00fffffe,0xfb803ea0,0xffff04ff,0x05ffc805,
    0x44001be2,0x3fe01ffe,0x7fc41fff,0x7ffc07ff,0x3a200fff,0x80efffff,
    0x03ffffff,0xfffffd80,0x7fffffc4,0xfffd8003,0x7c4004ff,0x006fffff,
    0x4ffffb80,0xfffffe80,0xffffd800,0x7ffdc03f,0x2002ffff,0xfffb03f8,
    0x3e6009ff,0x7401ffff,0x803fffff,0x7c41fffc,0xfd807fff,0x0001ffff,
    0x837ffcc0,0xe82fffff,0x400effff,0x02fffffd,0x2fffffd8,0x2000bfa2,
    0x22fffffd,0xd8002fe8,0x222fffff,0xfe8002fe,0x2000ffff,0x3fea00fa,
    0xfffff05f,0x1bff701b,0x033ff620,0x807fe200,0x441fffff,0x2e07ffff,
    0x04ffffff,0x7fffffcc,0x7ffff40d,0xffd8004f,0x7ff43fff,0xd8004fff,
    0x003fffff,0x4fffffb8,0xffd10000,0xfb9835bf,0x400cffff,0xeffffff9,
    0x3fffea00,0x800cffff,0x3ffe607b,0xfb800fff,0x2a03ffff,0xcfffffff,
    0xffdcaaab,0x7fc40fff,0xffd807ff,0x00001fff,0x4c1fffdc,0xb84fffff,
    0x00dfffff,0x0bfffff6,0x3fffff60,0x40017cc2,0x42fffffd,0xfd8002f9,
    0x7cc2ffff,0xfffe8002,0x3ee000ff,0x1fffe600,0x7fe5467c,0x02effeef,
    0xffffffd5,0x1fa8003d,0x07ffffe0,0x98fffff1,0xfffffffe,0xf902efff,
    0x49ffffff,0x04fffffb,0xffffff80,0x7ffffdc0,0xffff8004,0xfa8000ff,
    0x0004ffff,0x7fffedc0,0xcfffffef,0x7ff64401,0xefffffff,0x3ffffa22,
    0x5fffffff,0x666677c0,0xfffffccc,0x3ffe203f,0x10efffff,0xffffffdb,
    0xffffffff,0x81ffffff,0x807ffff8,0x01fffffd,0x3ff20480,0xfffffc87,
    0xfff50fff,0x205fffff,0x02fffffd,0x2fffffd8,0xfd8002f8,0x2f82ffff,
    0xffffd800,0x8002f82f,0x01fffffd,0xf8803ee0,0x30380fff,0x000159f5,
    0x802a0000,0x441fffff,0x0007ffff,0x3fa00000,0x4c006fff,0xd04fffff,
    0x800dffff,0x04fffff9,0xfffff500,0x44000009,0x099abeea,0x00000000,
    0x3bbea000,0xfeeeeeee,0x0007ffff,0x00000000,0x00fffff1,0x03fffffb,
    0x3fe06980,0x0000003f,0x3fffff60,0xffffd802,0x7302d82f,0x3fffff60,
    0x07302d82,0x0bfffff6,0xd81cc0b6,0x001fffff,0x3ffe01f2,0x67dc001f,
    0x7d400000,0x3e0001be,0x7c41ffff,0x20007fff,0x0002cff8,0x17ffffd4,
    0xfffff700,0x3fffea01,0x3fee002f,0x50000fff,0x009fffff,0x1ef98000,
    0x2a000000,0x00001cef,0xffe80274,0xfe802fff,0x7dc0003d,0xf88000be,
    0xfd807fff,0x4001ffff,0x1dff505c,0x0bdfc800,0x3fff6000,0xffd802ff,
    0x01a82fff,0x3fff605b,0xb01a82ff,0x3ffff605,0x5b01a82f,0x3fffff20,
    0x2017a002,0x2000fffe,0x0006fff8,0x037ffdc0,0x3ffffd00,0x07ffff98,
    0x3fffe200,0x7ff40000,0x3fa005ff,0x7f403fff,0x3a005fff,0x0003ffff,
    0x13ffffea,0xffd00000,0x0000003f,0x001bffea,0x7001fa80,0x00dfffff,
    0x0005fffd,0x002fffdc,0x03ffffc4,0x0fffffec,0x3a09f100,0xfc8001ff,
    0x360004ff,0x802fffff,0x02fffffd,0x7ec07e20,0x2002ffff,0xfffb01f8,
    0x7c4005ff,0xfffff301,0x00fe6007,0x20017ffa,0x0001fff9,0x00fffcc0,
    0x2ffffd80,0x1fffffa2,0x9ffb1000,0xffe88000,0xffb800ff,0xfe8804ff,
    0xfb800fff,0x40004fff,0x05fffffa,0x7f440000,0x0000003f,0x0007ffe2,
    0xf1003740,0x005fffff,0x8000bff9,0x4000fff9,0x807ffff8,0x01fffffd,
    0x3ea0ff20,0x3ea0001f,0xfb0000ff,0xb005ffff,0x005fffff,0xffd807ec,
    0x36002fff,0xffffb00f,0x07ec005f,0x1dffffd0,0x8807f880,0xd0001fff,
    0x000001ff,0x20003ffd,0x98dffffb,0x07fffffd,0x03ffc800,0xdfff9000,
    0x7fffcc01,0x7ffe4004,0x3ffe600e,0xfa80004f,0x0005ffff,0x03ffc800,
    0x7f400000,0xfa80001f,0x7ffe4003,0xffa806ff,0xfff80005,0x7ffc4000,
    0x7fec00ff,0xf7002fff,0x02fe885f,0x03ffc400,0xfffffb00,0xffffb005,
    0x1ff6005f,0x2fffffd8,0x6c0ffb00,0x002fffff,0xff980ffb,0xd100efff,
    0xffd8805f,0xffb88002,0x5c400005,0x740005ff,0x9dffffff,0x002fffff,
    0x003ffe60,0xffffa800,0x3fff260a,0xff50002f,0x7e4c15ff,0x00002fff,
    0x0bfffff7,0xff980000,0x0000000f,0x000dff71,0x8007fd10,0x2ffffffa,
    0x00bffa20,0x05ffc880,0xfffff980,0x7ffff401,0xfffc803f,0x000bba61,
    0x009ff910,0x7fffff40,0xffffe802,0x7ff5404f,0x3ffffa06,0x7ff5404f,
    0x3ffffa06,0x7ff5404f,0xffffa806,0xfecabdff,0x3ff2201f,0xffe8001d,
    0x7400003e,0x80003eff,0x14ffffe8,0x0bffffff,0x1cfffb80,0xdb880000,
    0xffffefff,0x440000be,0xffefffdb,0x0000beff,0xfffffd10,0x7000003f,
    0x00019fff,0x3bff6000,0x74c0000b,0x2a000fff,0x1fffffff,0x00efffcc,
    0x07dffd00,0x3fffee00,0x3ffea03f,0xaabcffff,0xfffffdca,0x80007d30,
    0x003effe8,0x3ffffe60,0x3fe600ef,0xabcfffff,0xffffedca,0xfffff305,
    0xb95579ff,0x20bffffd,0xfffffff9,0xfedcaabc,0x91005fff,0xffffffff,
    0xac98017f,0x00020001,0x00013000,0x0006a200,0x00008800,0xbba88000,
    0x000000aa,0x02aaeea2,0x7f64c000,0xffffffff,0x100002ce,0x00000001,
    0xc8000022,0x3effffff,0xfffffb10,0x44dfffff,0x02600001,0xffff8800,
    0xb10effff,0xfffffffd,0xffffffff,0x261fffff,0x00300000,0xfffec880,
    0x3effffff,0xfffffd91,0xffffffff,0x49ffffff,0xfffffec8,0xffffffff,
    0x24ffffff,0xfffffec8,0xffffffff,0x04ffffff,0xabcba980,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x05300000,0x980000a6,0x88005302,
    0x000aaaaa,0xaaaaa800,0x000a2000,0x198154c0,0x2e620000,0x40001acc,
    0x0003501a,0x001540a6,0x640e6dc4,0x26666661,0x05300009,0x00000000,
    0xfff70000,0xffffffff,0xff880005,0xffffffff,0x5000005f,0x0000039b,
    0x3e600d50,0xffffffff,0xff9004ff,0xffffffff,0xfff9805f,0xffffffff,
    0xffff7004,0x7fffffff,0x00000000,0x83fff200,0x80006ffd,0x3f20fffc,
    0x7fe4006f,0x400002ff,0x004ffffa,0x0007fff2,0x1cffffd8,0xb10000fa,
    0xffddffff,0xfe8007df,0x13ffe25f,0xe8dffb00,0x3e6006ff,0xa8beffff,
    0x3ffffe0f,0xfe8001de,0x000000ef,0xbfd10000,0xffff7001,0x5fffffff,
    0xfff88000,0xffffffff,0xfe800005,0x00005fdd,0xf9801ec0,0xffffffff,
    0xff9004ff,0xffffffff,0xfff9805f,0xffffffff,0xffff7004,0x7fffffff,
    0x65d4c000,0x176009ac,0x3ffff880,0x005ffff1,0x9ffffc40,0x002ffff8,
    0x002fffe4,0x13fff600,0x5ffff880,0xffff9000,0x01ffffff,0x77ffd400,
    0x3ffee20a,0xfffa801e,0x1ffff70f,0x3fffe600,0x03ffff32,0x3fffffa0,
    0x7fc6ffff,0x2a0003ff,0x0003ffff,0xf7000000,0xff7007ff,0xffffffff,
    0xf880005f,0xffffffff,0x400005ff,0x003ea0fa,0x007c4000,0xffffff98,
    0x004fffff,0xfffffff9,0x9805ffff,0xffffffff,0xf7004fff,0xffffffff,
    0xc88007ff,0xfffeffff,0x00fe42ef,0x44ffffe0,0x0002ffff,0xf89ffffc,
    0xc8002fff,0x00000fff,0x800bfff1,0x006ffff9,0xffffff88,0x0005ffff,
    0x01ffffb1,0x01ffffd4,0x543fffea,0x1000ffff,0x3e63ffff,0xf9801fff,
    0xffffffee,0x07fffc3f,0xffff7000,0x00000009,0x13ffea00,0x00000000,
    0x00000000,0x0013a136,0x0002e400,0x00000000,0x00000000,0xffc80000,
    0x3f2a0aef,0x02fbaeff,0x646ffb80,0xb80006ff,0x3ff20eff,0x3ff60006,
    0xff500002,0x3ffa000b,0x1f98003f,0x3dffffb5,0xffff1000,0xfff7003f,
    0x4ffe80bf,0x2001fff4,0x7fec5ffc,0x644d5005,0xff83fffe,0x220000ff,
    0x0001ffff,0x2e000000,0x000002ff,0x00000000,0xe84d8000,0x5f000004,
    0x00000000,0x00000000,0x80000000,0x00efffe8,0x0fffffe6,0x31018800,
    0x80c40000,0xfd800018,0xbfb00005,0x1f644000,0xa8838800,0x3f60002c,
    0x3a004fff,0x4c02ffff,0x20001300,0x40033018,0x7c051019,0x40000fff,
    0x98002dd9,0x99999999,0x99980999,0xc9999999,0x4ccccc1f,0x09999999,
    0x99999998,0xa9880009,0x4000001a,0x003ea0fa,0x001ea000,0x300004c0,
    0x33333333,0x4ccc1333,0x99999999,0x99999999,0x1f754009,0x2200bbae,
    0x800fffff,0x004ffffb,0x00000000,0x6c000000,0x7c40000f,0x00000005,
    0x54000000,0x001fffff,0x03ffffee,0x00000000,0xf8000000,0x00000fff,
    0x7ff64000,0xdeffffff,0xffffec83,0xc80abcdf,0xfffffffe,0xfec83def,
    0x803dffff,0xeefffec8,0x0003efff,0x5fedfe80,0x09b00000,0x000fa000,
    0x7fffee44,0x13dfffff,0xffffffd9,0xffffffff,0x440bffff,0xff10ffff,
    0xffe801ff,0x3fa005ff,0x00001fff,0x4cc00013,0x99999999,0x99999999,
    0x00000099,0x99800000,0x99999999,0x26000099,0x3fe20000,0x4c007fff,
    0x985fffff,0x99999999,0x33310999,0x33333333,0x4cccc401,0x26666199,
    0x99999999,0x003fffe0,0x33333331,0x33333333,0x7d403333,0x005fffff,
    0x8001fff3,0x4ffffffa,0x01fff300,0x2bbffea0,0x37ffee60,0x7cc00000,
    0x5100001e,0x0005fbd9,0x0000df30,0xdffffff3,0xfffff980,0xcbaaaacf,
    0x2605ffff,0xff52ffff,0x7fe405ff,0xd1001fff,0x000dffff,0x44000fa0,
    0xffffffec,0xffffffff,0x5405ffff,0x1775c3ee,0x5c3eea80,0xfb9102ee,
    0xffffffff,0x1f40007b,0xffff9000,0xfff0009f,0x6e443fff,0xffffffff,
    0xffff73df,0x39dfffff,0x7ffff5c0,0xfffb915f,0x7bffffff,0x2007fffc,
    0xfffffffd,0xffffffff,0x7fc05fff,0x2001ffff,0xff0003fc,0x4003ffff,
    0xfd8803fc,0x3e200fff,0x00003fff,0x40001be6,0xfffecffc,0x7fec0002,
    0xffd80002,0xfd802fff,0x2202ffff,0x7f405ffd,0x1fffe0ff,0x6fffff88,
    0x3ffff600,0x4c0004ff,0xf980006f,0xaacfffff,0xffffcbaa,0x3fffe205,
    0x01ffff10,0x10ffff88,0x9801ffff,0x06ffffff,0x006f9800,0x3fffff60,
    0xfffe8003,0xfff303ff,0x7dc0dfff,0x007fffff,0x98077fcc,0x06ffffff,
    0xe801ffff,0x99abefff,0xffffe999,0x7ffc00ff,0x2e001fff,0xffd0001f,
    0x5c003fff,0x7ffc401f,0xffa801ff,0xb00005ff,0x440005ff,0xfff12ffd,
    0x3e20009f,0xd80006ff,0x802fffff,0x02fffffd,0x64405fb8,0x00664c1c,
    0x09fffff7,0x3ffe7f20,0x20000fff,0x80002ffd,0x02fffffd,0x9817ff62,
    0xff52ffff,0xff9805ff,0xffff52ff,0xffffb005,0xfb00005f,0x3fe0005f,
    0x8002ffff,0x04fffffd,0x0bfffff6,0xffffffb0,0x07fc4001,0x3fffff60,
    0x01ffff02,0x5402fff8,0x03ffffff,0x0fffffe8,0x0007ea00,0x07fffff4,
    0xd803f500,0x2004ffff,0x002ffffe,0x037ffc40,0x4cdffb00,0x0007ffff,
    0x003ffff9,0xfffffd80,0xffffd802,0x00bd002f,0xfffd0000,0x5f7009ff,
    0x0bfffffa,0x37ffc400,0x7ffec000,0x5fb802ff,0xf07fff40,0x3fa00fff,
    0x1fffe0ff,0x7ffffec0,0x7fc40002,0xff88006f,0x8002ffff,0x06fffffc,
    0x0bfffff6,0xffffff10,0x017d4009,0x17ffffec,0x400ffff8,0x7fc401ff,
    0xd006ffff,0x001fffff,0xe8000fd4,0x000fffff,0xffa807ea,0x2a001fff,
    0x000fffff,0x07ffff20,0x8fffe600,0x01fffffc,0x7ffffc40,0x7fec0005,
    0xfd802fff,0x0882ffff,0x2aaaa2d4,0x2aaa0aaa,0x7fc42aaa,0x5403ffff,
    0x3ffff63f,0xff90004f,0xd80003ff,0x002fffff,0x1cc880bd,0x8800664c,
    0x0664c1cc,0xfffffd80,0x7fe40002,0x7d4001ff,0x001fffff,0x7fffffc8,
    0x3fffff60,0xffffb802,0x0bd000ff,0x3fffff60,0x01ffff02,0x7e4017c4,
    0x001fffff,0x01fffffd,0x8000fd40,0x00fffffe,0x7c407ea0,0x4007ffff,
    0x05fffff8,0xfffff100,0xfffb000b,0x3fffdfc5,0x7fffdc00,0x360000ff,
    0x802fffff,0x82fffffd,0x3ee2c42b,0x321fffff,0x4c7fffff,0x02ffffff,
    0xfff913e6,0xf1000bff,0x000bffff,0x2fffffd8,0x002d4088,0x00000000,
    0x3fffff60,0x3fe20002,0x5c005fff,0x00ffffff,0xfffffb80,0xffffb00f,
    0x3ffa005f,0xfb804fff,0xffffb000,0x3fffe05f,0x2601e600,0x04ffffff,
    0x3fffffa0,0x007ea000,0x7fffff40,0x407ea000,0x04fffffc,0xffffff80,
    0xfffb8001,0x22000fff,0x2f52ffff,0xf8001dd9,0x04ffffff,0x3ffff600,
    0xfffd802f,0x182d82ff,0x1fffff88,0x23ffffd4,0x1ffffffa,0xff90bf10,
    0x7000ffff,0x01ffffff,0x7fffec00,0x2c42b82f,0x2aaaaaaa,0x2aaaaaa0,
    0x55555542,0x2aaaaa0a,0x7ffec02a,0x2e0002ff,0x00ffffff,0x3ffffea0,
    0xffc8001f,0x3f607fff,0x5002ffff,0x03ffffff,0xfb0027c4,0x3e05ffff,
    0x12600fff,0x3fffffa0,0x3ffa000f,0x2a000fff,0xffd0001f,0x54001fff,
    0xffffb01f,0xffb0007f,0xf0007fff,0x09ffffff,0x9ffffcc0,0xfa80004d,
    0x07fffffa,0x3ffff600,0xfffd802f,0x002f82ff,0x307ffffe,0xfb8fffff,
    0x881fffff,0xfffc80ee,0x7c000fff,0x04ffffff,0x3ffff600,0x4182d82f,
    0x1ffffffb,0x1ffffff2,0x3ffffff7,0x3fffffe4,0x3fffff60,0x3ffe0002,
    0x2004ffff,0x2ffffff9,0xffffc800,0x3fff606f,0x3fa002ff,0x3605ffff,
    0x7ffec006,0xffff02ff,0x2e004401,0x02ffffff,0x7fffff40,0x007ea000,
    0x7fffff40,0x407ea000,0x02ffffff,0xfffffd80,0x7d7d4004,0x2007ffff,
    0xf8cffffb,0xd4e80001,0x007fffff,0x3fffff60,0xffffd802,0x0017dc2f,
    0x983fffff,0x7cc7ffff,0xd81fffff,0xffff900e,0xafa800ff,0x007fffff,
    0x3fffff60,0xf1002f82,0xfa83ffff,0xff887fff,0x7fd41fff,0x7fec07ff,
    0x50002fff,0xffffff5f,0xfffff800,0xffd8003f,0x3f605fff,0x2002ffff,
    0x1ffffff9,0x6c002f98,0xf02fffff,0x40001fff,0x5ffffff8,0xffffe800,
    0x07ea000f,0x7ffff400,0x07ea000f,0x3fffffe2,0xfffc8002,0xa74005ff,
    0x03fffffe,0x7bffff90,0x3f30000d,0x1bffffee,0x7fffec00,0xfffd802f,
    0x0bfe62ff,0x1fffff80,0x23ffffc4,0x2ffffff8,0xff900fec,0xe800dfff,
    0x7fffffd4,0x3fff6000,0x017dc2ff,0x83fffff0,0xf07ffff9,0xf983ffff,
    0x7ec07fff,0x0002ffff,0x3ffffa9d,0x3ffa003f,0xe8004fff,0x203fffff,
    0x02fffffd,0x7ffffec0,0xd8005e86,0xf02fffff,0x40001fff,0x1ffffffd,
    0xffffe800,0x07ea000f,0x7ffff400,0x07ea000f,0x3fffffea,0xfffc8001,
    0x3e6007ff,0xdfffff71,0x3fffee00,0xd80003ee,0x7fffffc5,0xfffd8002,
    0xffd802ff,0xffdccfff,0x3ffe002f,0x7ffc41ff,0xffffe87f,0xb00bf23f,
    0x00bfffff,0xfffb8fcc,0xfb0006ff,0x7cc5ffff,0x3ffe002f,0x7ffcc1ff,
    0xfffff07f,0x7ffff983,0x7ffffec0,0x71f98002,0x00dfffff,0x27ffffdc,
    0x7ffffc00,0x3fff600f,0x7cc002ff,0x2e2fffff,0xffd8000f,0xfff02fff,
    0x3ea0001f,0x004fffff,0x1fffffd0,0x000fd400,0x0fffffe8,0x2e07ea00,
    0x01ffffff,0xfffffc80,0xf8bb000f,0x802fffff,0x0ffffff9,0x217c4000,
    0x05fffffc,0xfffffd80,0xffffd802,0x2fffffff,0x3ffffe00,0x3ffffc41,
    0xa7ffffec,0xffe803fa,0x36003fff,0x7fffffc5,0xfffd8002,0xfffdccff,
    0x3fffe002,0x7fffc41f,0x3fffff07,0x07ffff88,0x17ffffec,0x3fe2ec00,
    0x2002ffff,0x006ffffe,0x27ffffcc,0x3fffff60,0xfffc8002,0x009f16ff,
    0x3fffff60,0x01ffff02,0x3ffffa00,0x3fa0006f,0x2000ffff,0xfd0001fa,
    0x4001ffff,0xfffa81fa,0xc8001fff,0x007fffff,0xfffc85f1,0xff8805ff,
    0x80005fff,0xffff886c,0x7ec001ff,0xd802ffff,0xa8afffff,0x3e002ffe,
    0x7c41ffff,0xffb87fff,0x04f9cfff,0x1ffffff0,0xf90be200,0x000bffff,
    0xfffffffb,0x4005ffff,0x441fffff,0xff07ffff,0xff883fff,0x7fec07ff,
    0x44002fff,0x7fffe42f,0x3fea005f,0x32002fff,0x400fffff,0x02fffffd,
    0xfffff880,0x0000ecbf,0x05fffffb,0x0003fffe,0x3ffffff2,0x3ffa0002,
    0x2a000fff,0xffd0000f,0x54001fff,0xffff880f,0xfc8002ff,0x9006ffff,
    0xfffff10d,0xfffd003f,0x200c03ff,0xfffb03f8,0xfd8009ff,0xd802ffff,
    0x222fffff,0x3fe002fe,0x7fc41fff,0xfffd07ff,0x2600bfdf,0x004fffff,
    0x3ffe21b2,0x6c001fff,0xa8afffff,0x3e002ffe,0x7c41ffff,0xfff07fff,
    0xfff883ff,0x7ffec07f,0x364002ff,0x7fffffc4,0x3fffa001,0xfff1005f,
    0xffb007ff,0x20005fff,0xfffffffc,0x3ff60002,0xfff02fff,0xff98001f,
    0x0005ffff,0x07fffff4,0x0001f500,0x03fffffa,0xff00fa80,0x0007ffff,
    0x09fffffb,0x3f607f10,0x9804ffff,0x40ffffff,0x03dc02d8,0x1ffffff3,
    0x7fffec00,0xfffd802f,0x017cc2ff,0x83fffff0,0x307ffff8,0x00dfffff,
    0x07ffffe4,0xfb03f880,0x8009ffff,0x22fffffd,0x3e002fe8,0x7c41ffff,
    0xfff07fff,0xfff883ff,0x7ffec07f,0x3e2002ff,0xfffffb03,0x7ff44009,
    0xffb801ff,0xffb003ff,0x20005fff,0x6ffffff8,0x7ffec000,0xffff02ff,
    0xfffe8001,0x40000fff,0x00fffffe,0x40003ee0,0x00fffffe,0x7f403ee0,
    0x8004ffff,0x03fffffd,0x3fe607b8,0xb800ffff,0xbdffffff,0xcef803fd,
    0xffcccccc,0x2003ffff,0x02fffffd,0x2fffffd8,0x3fe002f8,0x7fc41fff,
    0x3ff207ff,0x3fe004ff,0x2e002fff,0x3fffe607,0x3f6000ff,0x7cc2ffff,
    0x3fffe002,0x7fffc41f,0x3fffff07,0x07ffff88,0x17ffffec,0x7cc0f700,
    0x000fffff,0x0077ffec,0x007ffff5,0x17ffffec,0xffff7000,0xfd80009f,
    0xff02ffff,0x7dc001ff,0x003fffff,0xfffffd80,0x003ee001,0x7ffffec0,
    0x403ee001,0x04fffffb,0xffffff80,0xcccef800,0xffffcccc,0xffb003ff,
    0x09ffffff,0xdddddf50,0xffffdddd,0x7fec00ff,0xfd802fff,0x2d82ffff,
    0xffff8730,0x7fffc41f,0x7ffff407,0xffffb802,0x6677c004,0xfffccccc,
    0x36003fff,0xf82fffff,0x3fffe002,0x7fffc41f,0x3fffff07,0x07ffff88,
    0x17ffffec,0x9999df00,0xfffff999,0xff90007f,0x7dc415ff,0x6c002fff,
    0x002fffff,0x3ffffea0,0x7fec0004,0xfff02fff,0x3fe2001f,0x2006ffff,
    0xffffb049,0x03e4003f,0xfffffb00,0x203e4003,0x006ffffe,0x27ffffcc,
    0x77777d40,0xfffeeeee,0xff9007ff,0x007bffff,0x7ff4013a,0xfb002fff,
    0xb005ffff,0x505fffff,0xffd0b603,0xfff983ff,0x7ffec07f,0x3fe600ff,
    0x7d4003ff,0xeeeeeeee,0x07fffffe,0x3fffff60,0x87302d82,0x441fffff,
    0xff07ffff,0xff883fff,0x7fec07ff,0xf5002fff,0xdddddddd,0x0ffffffd,
    0x7ffed400,0x02dffffe,0xfffffb00,0x7fd40005,0x40004fff,0x02fffffd,
    0x2001ffff,0x1ffffffd,0x7e40f200,0x2002ffff,0x3f20005e,0x2002ffff,
    0x7ffd405e,0x3ee002ff,0xe800ffff,0xffffd004,0x225f005f,0x0fd4002b,
    0xfffffb80,0xffffb006,0xfffb005f,0x7c4005ff,0x17fffec1,0x0fffffd1,
    0x7ffdd7dc,0x3ff6a0be,0x4e8001ef,0xfffffd00,0x3fff6005,0xb01a82ff,
    0x1fffff85,0x83ffffc4,0x441fffff,0x6c07ffff,0x002fffff,0x3ffa009d,
    0x40002fff,0x2ffffff9,0x7ffec000,0x2a0002ff,0x004fffff,0x7ffffec0,
    0x01ffff02,0xffffff30,0x302e8009,0x007fffff,0x98000fe6,0x003fffff,
    0xffd007f3,0x7f400bff,0xfa803fff,0xffff7001,0x007a80df,0x22006e80,
    0x02ffffff,0x2fffffd8,0xfffffd80,0x703f6002,0xb31bffff,0x20ffffff,
    0x7ff543fa,0x2dffffef,0x003f5000,0x1bffffee,0x7ffffec0,0xd07e2002,
    0xf983ffff,0xffd07fff,0xfff983ff,0x7ffec07f,0x1fa802ff,0xfffff700,
    0xff90000d,0x8000bfff,0x02fffffd,0x3fffea00,0x7ec0004f,0xff02ffff,
    0xffd001ff,0x4001dfff,0x3ffa01fb,0x7c400eff,0xffe80007,0x7c400eff,
    0xfffd1007,0xfff7001f,0x01ba009f,0xffffff88,0x00013602,0xfc8007f5,
    0xd806ffff,0x802fffff,0x02fffffd,0x3fa0ffb0,0xf9dfffff,0x7c42ffff,
    0x55dd4c04,0x37400009,0xfffff100,0xfffb005f,0x7ec005ff,0x17fffec0,
    0x0fffffd1,0x88bffff6,0x407ffffe,0x02fffffd,0x3e2006e8,0x002fffff,
    0x7ffffc40,0x3f60002f,0x0002ffff,0x17ffffea,0xffffb000,0x3fffe05f,
    0x7fffdc00,0x3e6002ff,0x3ffe600f,0xfd100eff,0xff300005,0x2201dfff,
    0x7e4002fe,0x3e600eff,0xf5004fff,0xfffc8007,0x03f106ff,0x01ff4400,
    0x3ffffea0,0x7fff402f,0xffe802ff,0x75404fff,0xffd106ff,0x3ffe29ff,
    0x00045fff,0x3fa80000,0x7fffe400,0xfffd806f,0xffb002ff,0x1bffff70,
    0xffffffb3,0x37fffee0,0xfffffd98,0x7fffec07,0x01fd402f,0x3fffff20,
    0xff980006,0x0002ffff,0x05fffffb,0x7fffd400,0x7ec0005f,0xff02ffff,
    0x7fc401ff,0x2005ffff,0xfa807ffb,0xabdfffff,0x0001ffec,0x3ffffea0,
    0xffecabdf,0xfff50001,0x7fe4c15f,0xfd1002ff,0xfffa8007,0x06b82fff,
    0x3fffa600,0x3ffea000,0xf301ffff,0x01dfffff,0x7fffffcc,0xedcaabcf,
    0x4405ffff,0x0000001a,0x7f440000,0x7ffd4003,0x7f402fff,0x5404ffff,
    0xffd06ffe,0xff3bffff,0x3fa05fff,0xf9dfffff,0x3a02ffff,0x202fffff,
    0x54003fe8,0x02ffffff,0xfffe8800,0x74001dff,0x002fffff,0x3ffffee0,
    0x7ff40005,0xfff02fff,0x7ffec01f,0xe9800fff,0x91007fff,0xffffffff,
    0x0000017f,0xffffff91,0x00017fff,0xefffdb88,0x00beffff,0x01fffd30,
    0x7ffffd40,0x001f41ff,0xffffffc8,0xfffb103e,0xdfffffff,0x3ffffb22,
    0x13efffff,0xffffffd9,0xffffffff,0x009fffff,0x00000000,0xfffd3000,
    0x7ffd4001,0xf301ffff,0x79ffffff,0xfffdb955,0x3ffa20bf,0xffff14ff,
    0xffd10bff,0x3ffe29ff,0xff985fff,0x980effff,0x2000fffe,0xfffffffa,
    0xfb880001,0xefffffff,0x3fffe606,0x88000eff,0x1ffffffe,0xffff3000,
    0xfff01dff,0x3ffea07f,0xaaaadfff,0xfffdcbaa,0xa98006ff,0x0001abcb,
    0x32ea6000,0x000001ab,0x02aaeea2,0xfffff900,0x3f6207df,0xffffffff,
    0x0001f36f,0x00000000,0x00000000,0x00000000,0x7e400000,0x03efffff,
    0xffffffb1,0x322dffff,0xfffffffe,0xffffffff,0x4404ffff,0x5100001a,
    0xfd910003,0xffffffff,0x3ffff27d,0xfb103eff,0xffffffff,0x540000df,
    0x0abcdecc,0x7ffff644,0x03efffff,0x7ffff64c,0x2cefffff,0x7fff6440,
    0x3effffff,0x3bfffffe,0xffffff12,0xffffffff,0xffffffff,0x0000000b,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x95000000,
    0x01744005,0xa8801510,0x20054400,0x02a200a8,0x730002a0,0x200a6003,
    0x2aaa6029,0xaa880001,0x5100002a,0x40001599,0x0a6003ca,0xab980a60,
    0x0b2e0000,0x00d554c0,0x0d400544,0x8000dcc0,0x2e0002b8,0x02b8802c,
    0x00199300,0x000aaaa2,0x0d554c00,0x35553000,0x5554c000,0x80000001,
    0x802cdcb8,0x0064402b,0x00000395,0x03fff980,0x37ffb2a2,0x077c402b,
    0xf8806e98,0x00dd300e,0x3fa203dd,0xfffb1000,0x05f9803d,0x7fc417ea,
    0x40000fff,0x002ffffe,0x7e5ffdc0,0xff88002f,0x813e6002,0xfffa84fb,
    0xfb8003ff,0xfff8800f,0x1fe800ff,0x4c01fd10,0x000dfffe,0x0009ff93,
    0xc9803fee,0xfd0004ff,0x7fff4009,0x2fb6602f,0xffff8800,0xff88000f,
    0x88000fff,0x000fffff,0x2003eda8,0x5ffbdffb,0xe880fec0,0x13fffe07,
    0x0d54c400,0x82fffcc0,0xedfbdffa,0xf700bfff,0x02ffa83f,0xfa83ff70,
    0x1ffa802f,0x9001ffcc,0x2017a63d,0x7fe40efd,0xfffffb00,0x7fd40009,
    0x20006fff,0xfff15ffd,0x05fe8007,0x640dfd80,0x6e74c0ff,0x2000ffff,
    0xf9002ff8,0x5009ffff,0x3ff985ff,0x4e98f6c0,0x7fff74c0,0x2ff88004,
    0x9fffdd30,0x00df9000,0x37ffffd4,0x04ffff88,0x4fffffc8,0xffffc800,
    0xffc8004f,0x4c004fff,0x4403ffff,0x3fee2ffd,0x2f7fee06,0x505fedba,
    0x200fffff,0xeefffdb8,0xfb01deff,0x27ffb0bf,0xdffd33f8,0xfb97ff40,
    0x7ff4005f,0x400bff72,0xdff72ffe,0x2a17c400,0x77fc400f,0x2609ffb0,
    0x0fffffff,0xffffd000,0xf50005ff,0x7ffec5ff,0x01ff7000,0x11dff300,
    0x41b07ffb,0x2002fff9,0xff3005fd,0x003fffff,0x3fea7ffb,0x2a17c406,
    0x7fc4200f,0x5fd8004f,0x27ffc420,0x007fe600,0xffffffe8,0xfffffb82,
    0x3fffe600,0x26000fff,0x0fffffff,0x3fffe600,0x32000fff,0x6407ffff,
    0x3fff87ff,0x3fffffa0,0xffb01fff,0xfa805fff,0x2e60aeff,0x220befff,
    0x37fdc0ef,0x37f447f1,0xffdfff50,0xffa8003f,0x001fffef,0x3ffbffea,
    0x07e6002f,0xff9003f1,0x201fffdf,0xffd8cffe,0xeffb8004,0x8006ffb8,
    0x3f22fffe,0xff8804ff,0x3ff60002,0x2006ffef,0xf7000fff,0x3ff6001f,
    0x805ffc8d,0xfffefff9,0x2607cc02,0x9fff001f,0x00ffb800,0x8009fff0,
    0x3ee004fe,0x86ffb8ef,0x00fffffb,0x3f237ff6,0x3ff6005f,0x005ffc8d,
    0x3f237ff6,0x3ff2005f,0x3fe606ff,0x0fffd84f,0xffffff30,0x7ffe407f,
    0xffb101ff,0x7fc401df,0x0deeefff,0xf11fffc4,0x7406f987,0x004fffff,
    0x9fffffd0,0xffffb000,0x89d000bf,0xfff1006b,0x3ea07fff,0x007fe43f,
    0xfa8bff10,0x3fe2003f,0x3fff21ff,0x005fd806,0x7ffffcc0,0x1ff7002f,
    0x00bfe200,0x3ee1ffd4,0xfffd801f,0x87d006ff,0x3ffe006c,0x0bfe2004,
    0x004fff80,0xf8801bee,0x21ffd45f,0x204ffff8,0x7fdc3ffa,0x43ffa801,
    0xfa801ffb,0x00ffdc3f,0x03ffff98,0x360ffff6,0x32202fff,0x5c01efff,
    0x880fffff,0x800fffff,0x405ffff9,0x3e25fff9,0x7d406d83,0x0000ffff,
    0x01fffff5,0xfffff300,0x5bf70003,0x7e4007fb,0x3fa06fff,0x400bf701,
    0x0fd303fc,0x0ffffcc0,0xb80ffff9,0xc80000ff,0xa805ffff,0xb005fffd,
    0x17f400bf,0xf9805fa8,0x7001ffff,0x005fb5bf,0xb0027ffc,0xfff800bf,
    0x03ff3004,0xe981fe40,0x00bed987,0x2fd40bfa,0xfa817f40,0x502fe805,
    0x76cc00bf,0x17fffc02,0x8027ffe4,0xfff50009,0x3fff60ff,0x3ffa004f,
    0x3fee02ff,0x307f12ff,0x5999900d,0xcccc8000,0x332e0002,0x36a0003c,
    0x644002df,0x19301ccc,0x8800c980,0x00e4402c,0x21ffff98,0x2207fffc,
    0x100002ff,0x50039999,0x80bffffd,0x93000ffb,0x800c9803,0x4003cccb,
    0x4002dfda,0xf7004fff,0xfff8001f,0x009fd004,0x32201644,0x03930001,
    0x32600c98,0x30064c01,0x00c98019,0x7ffcc000,0xfeccccdf,0x800005ff,
    0xa85ffff8,0x001fffff,0x03ffffee,0x5fffffd4,0x000503f8,0x00000000,
    0x00000000,0x00000000,0x10000000,0x7e45ffff,0x17f606ff,0x80000000,
    0x2207ffea,0x000002ff,0x00000000,0x027ffc00,0x40017fc4,0xfb804fff,
    0x0000000e,0x00000000,0x00000000,0x3fea0000,0xeeeeeeff,0x2a605eee,
    0xf802cedc,0x7fc43fff,0x44006fff,0x305fffff,0xfdffffff,0x32a60007,
    0x55402ced,0x2a0aaaaa,0x802aaaaa,0x401bdcb9,0x0aaaaaaa,0x0aaaaaaa,
    0x90bddc98,0x2f772603,0x5554c390,0x5512aaaa,0x43555555,0x7fc2aaaa,
    0x3fff62ff,0x001ff704,0x66e5c400,0x7ffd4002,0x000bfb00,0x02cdcb88,
    0x337b2a20,0xdb953001,0x7ffc0059,0x005fd804,0x9809fff0,0x440001ff,
    0x401cdeca,0xaaaaaa81,0x2aaaaa0a,0xdca9802a,0xb98002ce,0x40001bdc,
    0x7fffdc01,0xdfd30004,0x01dfffd9,0x320fffec,0x004fffff,0x1ffffff8,
    0xffffffb0,0xfe98009f,0x0efffece,0xffffff70,0x7ffffe43,0x67ffe407,
    0xff704ffe,0x7e43ffff,0xf907ffff,0x3ffffbdf,0xffbdff90,0x7ffd43ff,
    0xfb13efff,0x439fffff,0x7dc4fffb,0x3fff63ff,0x002ff880,0x2f7fee00,
    0x7f4005ff,0x001ff506,0x7deffdc0,0xdffb805f,0x2605fffd,0xfffecefe,
    0x4fff800e,0x0007fd40,0x7404fff8,0x7dc0004f,0x05fffddf,0xffff70d3,
    0x7ffe43ff,0x3fa607ff,0x0efffece,0xd9fff900,0x930009ff,0x5ffffa80,
    0x41ffb800,0x700efffd,0xfffb0fff,0xfb0007ff,0x2207ffff,0xfffffffe,
    0x1ffb800d,0x8077ffec,0x41fffff8,0x107ffffa,0xffe8bffd,0xfffff104,
    0x7ffffa83,0x3224ffb8,0x27fdc2ff,0xf885ff91,0xfd84ffff,0x5f707fff,
    0xff93ffa0,0x00bfb03f,0x8bff6200,0x26cc6ffb,0x7fc417f4,0xffb10002,
    0x9037fdc5,0x7fff47ff,0x6c1ffb85,0x7c00efff,0x3fe204ff,0x3ffe0002,
    0x003bee04,0x3a3ffc80,0x07a85fff,0x83fffff1,0x707ffffa,0xfffd83ff,
    0x3ffa200e,0x0027ff45,0xfff3012e,0xff9800ff,0x7fffcc2f,0xf0dff304,
    0x005fffff,0x9fffffb0,0x7ffff440,0x2602ffff,0x7fcc2fff,0x3ffe04ff,
    0x7ffcc1ff,0x3fffb07f,0xf04fff98,0xf983ffff,0x7fc47fff,0x222fc82f,
    0x2fc82fff,0x86ffffb8,0x81fffff9,0x3ff6206c,0xf702ffca,0x3200001f,
    0x3fff87ff,0x2e6ffff2,0x00bfb03f,0x7c3ffe40,0x7ffc83ff,0x30ffffdc,
    0xff985fff,0x3fe604ff,0x017f606f,0x06fff980,0x40005ff3,0x7fdc7ffc,
    0x80fdc1ff,0x4c1fffff,0xf987ffff,0x7ffcc2ff,0x3fff604f,0x027ffcc1,
    0xff8807b0,0x32002fff,0x7fcc6fff,0x13fe06ff,0x5ffffff1,0xffff9000,
    0xffd880bf,0x04ffffff,0xf98dfff9,0x3fe06fff,0x7fcc1fff,0xfff987ff,
    0x2ffff80f,0x41fffff8,0x547ffff9,0x2f80efff,0x203bffea,0xffff882f,
    0x7fffc41f,0xa803e84f,0xf100bcdb,0x0554405f,0x213ffe60,0xb710fffd,
    0x2a017bdd,0x0e5400ff,0x3613ffe6,0x3fe60fff,0x7fffcc4f,0x31bfff22,
    0xb30dffff,0x87dddddd,0x65400ffa,0x3bbbb661,0x827f43ee,0x3fe600a8,
    0x7fffcc4f,0xff817e42,0x7fcc1fff,0xfffc87ff,0x37fffcc6,0x80ffff98,
    0xd802ffff,0xfffe801f,0xfd96606f,0x3fe20fff,0x0bf607ff,0x3ffffff5,
    0xffff9000,0x3fea00ff,0x85ffffff,0x220ffffd,0x3e07ffff,0x7c41ffff,
    0xffe87fff,0xbfffd07f,0x83fffff0,0x547ffff8,0x5c1effff,0x3bfffea3,
    0xffd81dc1,0x7ffd44ff,0x007cc7ff,0x417f6000,0x1efddfe9,0xb07fffb0,
    0x20005fff,0x7cc02ff8,0x1fffec2f,0xfb17ffec,0xfffd09ff,0x07fffec1,
    0x00fffff1,0x402ff880,0x70002ff9,0xffea81df,0xfffd82df,0x40fffe84,
    0xffff03fe,0xffff883f,0x0ffffd87,0x41ffffe2,0xfd07fffe,0x7f440bff,
    0xffff5005,0x543f109f,0x7fc45fff,0x07f207ff,0x3ffffff7,0xffff9000,
    0x362001ff,0x4fffffff,0x222fffd4,0x3e07ffff,0x7c41ffff,0x7fc47fff,
    0xfffd06ff,0x3fffff0f,0x47ffff88,0x3ffffff8,0xfffff104,0xff50087f,
    0xffbd8fff,0x016e1fff,0x01ff7000,0x3fa1fff5,0x2ffff83f,0x004fffc8,
    0xf880bfb0,0x7fffc2ff,0x14fffc82,0x9107ffff,0x5fffa85b,0x03ffffc4,
    0x1017f600,0x30005fff,0xfff885ff,0x3e20ffff,0xdc883fff,0xff05ff82,
    0xff883fff,0xfffa87ff,0x3ffffc45,0x837fffc4,0xd307fffe,0x7f4005ff,
    0xcabeffff,0x4c2b884f,0x207ffffd,0x7ffd40fb,0xc8001fff,0x007fffff,
    0x7fffffc4,0x215c40ff,0x07ffffd9,0x107ffffe,0xfa8fffff,0xffd06fff,
    0xffff83ff,0x7fffc41f,0xfffffd87,0xfffb00df,0xf001bfff,0x3e25ffff,
    0x24ffffc8,0x2200002e,0xfff882ff,0x983fff25,0xcccdffff,0x005fffec,
    0x7400ffa8,0x3fe62fff,0xeccccdff,0xfff35fff,0x5710009f,0x7ffffd98,
    0x03fea000,0x005fffd0,0x17b09fd0,0x4c9fffb3,0x4004ffff,0xfff07ff9,
    0xfff883ff,0x9857107f,0xa87ffffd,0xfd06ffff,0xffb83fff,0x7f44006f,
    0x4fffffff,0xffbfb300,0x43cc0fff,0x2ffffff8,0xffffc800,0x67c4006f,
    0x03ffffff,0x7ffefecc,0x3fffe07f,0x7fffc41f,0x37fffdc7,0x42ffffe8,
    0x441fffff,0xfa87ffff,0x1fffffff,0xffffffa8,0x7fe401ff,0x3e6b75ff,
    0x00f37fff,0x905fd800,0x7fdc9fff,0x3fffea5f,0xeeeeeeee,0x7fc4005e,
    0x7ffeec03,0x3bfffea2,0xeeeeeeee,0x0bffff55,0xfbfb3000,0x2000ffff,
    0x6ec03ff8,0x5c002fff,0x221440ef,0x3fea4fff,0x7dc005ff,0xffff81ff,
    0x7fffc41f,0xfbfb3007,0xff70ffff,0x3ffa0dff,0x3ffea2ff,0xffb0003f,
    0x1007bfff,0xfff15ffb,0xf82440ff,0x003fffff,0x4fffffd8,0x745fc400,
    0xb104ffff,0xffff15ff,0x7ffffc0f,0x3ffffc41,0x41bffff2,0x7c4ffffe,
    0x7c41ffff,0xff707fff,0x01ffffff,0xfffffff7,0x7ffcc01f,0x3fa2e8ff,
    0x005cafff,0x403fee00,0x3ea3fffe,0x3ffee7ff,0xd800004f,0x7c76405f,
    0x3ffee2ff,0x3fee004f,0x220006ff,0xfff8affd,0xbfb0007f,0xfff8ec80,
    0x0bfe6002,0x2e1ffe80,0x4006ffff,0xff83fffd,0x7fc41fff,0x7ec407ff,
    0x7ffff8af,0x06ffffc8,0x7c9ffffd,0x80007fff,0x3ee004fc,0xffff11ff,
    0x3ffa000f,0xd8004fff,0x883fffff,0x3e27f104,0xffb85fff,0xfffff11f,
    0x0fffffc0,0x71ffffe2,0x3a0dffff,0x7fc3ffff,0x7fc41fff,0x3fea07ff,
    0x505fffff,0xbfffffff,0xdffffe80,0x6ffffe47,0xf100002f,0x7fffc05f,
    0x43fffea3,0x005ffffa,0x007fd400,0x8bffe1f7,0x005ffffa,0x01ffffea,
    0x88fffdc0,0x8007ffff,0x3ee00ffa,0x4005fff0,0x3e2004fe,0x7fffd46f,
    0x7fffc007,0x1fffff84,0x03ffffc4,0x3e23fff7,0xffb87fff,0xfffd06ff,
    0x3fffea7f,0x403ed886,0x3f6006fc,0x3ffe22ff,0xff70007f,0xf0009fff,
    0x101fffff,0x6c7f101f,0x7fec3fff,0x3fffe22f,0x3ffffe07,0x3ffffc41,
    0x41bfffea,0x7c2ffffe,0x7c41ffff,0x74407fff,0x207fffff,0x7fffffe8,
    0x7ffffdc0,0x7ffffc44,0x3f600007,0x3fffe205,0x47fffea3,0x007ffff9,
    0x80ffe200,0x8bffe1f9,0x007ffff9,0x07ffffe6,0x45fffb00,0x007ffff8,
    0xf301ffc4,0x8017ffc3,0x2e000ffb,0x7ffcc0ff,0xff1001ff,0xffff0dff,
    0xffff883f,0x45fffb07,0xa87ffff8,0xfd06ffff,0x3ff25fff,0xfffd86ff,
    0x00bff101,0xf11fffee,0x5440ffff,0xdffffd00,0xffff9800,0x107f104f,
    0x17ffdc7f,0xf88ffff7,0x3fe07fff,0x7fc41fff,0x7ffc47ff,0xfffff06f,
    0x1fffff81,0x23ffffc4,0xffffc839,0xff90731f,0x7c403fff,0xfe81ffff,
    0x00004fff,0xff801ff7,0x3ffea3ff,0xfffff10f,0x3f600005,0xff0be205,
    0x7fffc45f,0xfff1002f,0x7dc00dff,0x7ffc47ff,0x2fec007f,0xfff85f10,
    0x02ff9802,0x2207fe20,0x006fffff,0x81fffff5,0x441fffff,0xfb87ffff,
    0x7ffc47ff,0xffff887f,0x1fffff06,0x217ffffa,0xf703fffe,0x3ffe00ff,
    0x7fffc46f,0x05fffb07,0x05fffff5,0x7ffffdc0,0x881df100,0xf1bff63f,
    0xff88dfff,0x3ffa07ff,0x7ffcc1ff,0x7fffd87f,0xd0bffff0,0xf983ffff,
    0x07cc7fff,0x98ffffd4,0xffffa80f,0x37ffec01,0x01ffffb8,0x02ff8800,
    0x2a4fffd8,0x7ff46fff,0x016606ff,0xfb803fea,0xffffffff,0x1bffffa4,
    0x3fff6598,0xff8603ff,0x7ffc46ff,0x3fea007f,0x3fffee00,0x404fffff,
    0x7f4004fe,0x3ffff601,0x7fe4603f,0x7ff41fff,0x7ffcc1ff,0x6ffff87f,
    0x83ffffc4,0xff07fffd,0x7ffe4bff,0x3fffb86f,0x805fff70,0x33fffff9,
    0x30fffffb,0x3a0dffff,0x1005ffff,0x407fffff,0x3e20eff8,0x4c3fff13,
    0xb33fffff,0x6c0fffff,0x3a22ffff,0xf987ffff,0x7fc40fff,0xfffd81ff,
    0x3fffa22f,0xe82fc47f,0x417e27ff,0xfa807ffe,0xfff104ff,0x3f60000d,
    0x9fff5005,0x2a1fffdc,0x884fffff,0x1ffc401f,0x3ffffee0,0x3ea4ffff,
    0xf884ffff,0x3ffffe61,0xff33d81f,0x3f667fff,0xf1007fff,0xfffb807f,
    0x04ffffff,0xd8003fee,0xff316c0e,0x7b03ffff,0x0bfffff6,0x445ffffb,
    0x4c7ffffe,0xb33fffff,0x260fffff,0x7c40ffff,0x3fea1fff,0x7fcc0fff,
    0xffff301f,0xfffff805,0xffffdfff,0xfff70caf,0xffd103ff,0xffb001ff,
    0xff8809ff,0xabf89bef,0xfff82ffe,0xffdfffff,0x5c0cafff,0xd98dffff,
    0x907fffff,0xffb87fff,0xffff704f,0xffffb31b,0x82ff88ff,0x3fe25ffd,
    0x005ffd82,0x7ec03fff,0xfa80004f,0x3ff6000f,0x741bff66,0xabefffff,
    0x5fd804fc,0x0bffe000,0x3bfffffa,0xfd84fcab,0xcbefffff,0x7ffffc4e,
    0xffffdfff,0x3f600caf,0x3ffe0005,0x00bfe602,0xfeeeefc8,0x7fffec0f,
    0x24ecbeff,0x41fffffc,0x98dffffb,0x87fffffd,0xffffffff,0xcafffffd,
    0x21fffe40,0xfd84fffb,0x4ff84fff,0x77fffe40,0xffffc82c,0xffff92ff,
    0x7fffcc7f,0x77ffe406,0x3fffea00,0xfff95004,0x19ffffff,0x3fffff20,
    0xfffff92f,0x3ffffa07,0xffff9dff,0x3dff902f,0xd013ffe2,0x3bffffff,
    0x445fffff,0xff31dfff,0x1dfff88d,0x6400dff3,0x0ffd406f,0x0bfe2000,
    0x35ffb100,0x3a201dff,0xffffffff,0x00ffa804,0x20bffe00,0xffffffe8,
    0x3ff604ff,0x85ffffff,0x2ffffffc,0x07fffff9,0x00007fd4,0x7f405fff,
    0x3fff2005,0xfb07ffff,0xbfffffff,0x06ffff98,0xbffffffd,0x85fffff3,
    0x2ffffffc,0x07fffff9,0x7c47bff2,0xffb104ff,0x9f935dff,0x3ffff200,
    0xeffc885f,0x3bff620c,0x02fffd83,0x0affffa8,0x5ffffb51,0x2eaa6000,
    0xfc8800cf,0x3f620cef,0x3fa203ef,0xfff14fff,0x3ea0bfff,0x02effeff,
    0x4ffffe88,0xbffffff1,0x7fffeefc,0xfddf80df,0x000dffff,0x1be00fe6,
    0x017f6000,0x3dffdb80,0xfffffb00,0x7ff1007b,0x1eee8000,0x3fffff60,
    0xfffb803d,0xf9103eff,0x7ec419df,0x3fe203ef,0x77740003,0x001ff701,
    0x3bbbbba6,0x3fee04ee,0xd703efff,0x3fa203bf,0xfff14fff,0x7e44bfff,
    0x3f620cef,0x7fd403ef,0x802effef,0xdeffffd9,0x55d44001,0x00800800,
    0x71000544,0xfffdfffb,0x000017df,0x02000fe2,0x1a880020,0x2ea20000,
    0x1a88000a,0xab985000,0x15730a00,0x20032000,0x0000002a,0x26000000,
    0x0000002b,0x0ae60000,0x00554c00,0x00010010,0x00000000,0xa9800000,
    0x2001000a,0x080001a8,0x54400080,0x060000ab,0x00000000,0x88000000,
    0x000aabba,0x001c8800,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xbb510000,0x000d8837,0x017ffffc,0x0b3b72a6,
    0x322015c0,0x4ccc4000,0x4c001999,0x99998000,0x09999999,0x3ffff200,
    0xffffb004,0x44000007,0x4cc43ba9,0x99999999,0x02201999,0x35300044,
    0x08800260,0x7ffe4000,0x7ffec04f,0x5cc0004f,0x0a6001bc,0x54c00130,
    0x2a0019ab,0x98001aaa,0x40002bcb,0x19999998,0x01801c98,0x88044006,
    0xfff90000,0x3ffa209f,0x554402ff,0x2e22aaaa,0x2e0001cd,0xffea802c,
    0xff74febe,0x7ffcc001,0x3bfa602f,0x00efffec,0x7e880fec,0xfffea800,
    0xe8800fff,0x3ee003ff,0xffffffff,0x3fe001ff,0x7ec005ff,0x800006ff,
    0xf82cffda,0xffffffff,0x906fffff,0x4ffd8bff,0x77ffec40,0x2003f10b,
    0x20004ffd,0xb005ffff,0x2000dfff,0xdffdffd8,0x43fe8800,0xfb802fc8,
    0x1efffdff,0x3ffffcc0,0xffffd500,0x2a0003df,0x0ffffffe,0x2037fff6,
    0x3e61fff9,0x3ff201ef,0x0027fe45,0x202ffffc,0x404fffe8,0x7fffffc8,
    0x3dfffff9,0x01ff8800,0xf117ffdc,0x001fffff,0x7017ffe4,0xfffd83ff,
    0x37fee00e,0x05fedbab,0x3fffee00,0xfffc800f,0xfffb000f,0xdfffffff,
    0x2fffcc00,0x0fffe800,0xfff70000,0x3ffe6017,0xffffffff,0xff883fff,
    0xffff31ff,0x7fffec01,0x007fefff,0x003ffff5,0x00bfff30,0x001fffd8,
    0xff13ffcc,0x3bf6003f,0x4c00dfb9,0x3ee0dffe,0x3ff603ff,0xfc803fff,
    0xffffffff,0x3fea0001,0xfff30fff,0xfffb0bff,0x827ffecb,0xf31ffff8,
    0x4c001fff,0xd1005fff,0x3ee00fff,0xdcfcffff,0x000fffff,0xff501fea,
    0xffff70bf,0x7ffc001f,0x0bffe603,0x809ffff3,0xfffffffe,0x3e20001f,
    0xe800ffff,0x8802ffff,0xffffffff,0x32003fff,0x220005ff,0x40003ffe,
    0x400effe8,0xfffffffb,0x1fffffff,0x52ffff98,0x2603ffff,0xffffffff,
    0xff9004ff,0xf90007ff,0x3fa000bf,0x3fe2004f,0x07ffe44f,0x01fffc80,
    0x80fffe88,0xfa82fffd,0x00ffffff,0x3ffffff2,0x000fffff,0x43ffffe0,
    0x0ffffffb,0xfd37ffec,0x3fe60bff,0xffff52ff,0x2ffe4003,0x0bffe200,
    0x3ffffea0,0x3fffe60f,0x813f6005,0x983ffff8,0x000fffff,0xfc807ff3,
    0x7ffcc6ff,0x7ffcc06f,0x3003ffff,0xffdddddd,0x403ddfff,0x800ffffb,
    0xfffffffb,0x2000ffff,0x880005ff,0x2a0006fe,0xd800efff,0xffffffff,
    0x206fffff,0x7ff46ffe,0x2e27ea06,0x01efffff,0x03ffff50,0x000bff00,
    0x90037f44,0xffa83fff,0xffea804f,0xfffc804f,0x0dfff506,0xffb19ffd,
    0x22b7e607,0xffffffea,0x3ffe0002,0xffff10ff,0xfffa85ff,0x80bffea2,
    0x7ff46ffe,0x037fc006,0x804ff980,0x82fffff9,0x003ffffd,0x7fdc05ff,
    0xfff880ff,0x7f9000ff,0x1ffffb00,0x03ffffc4,0x0f7ffec4,0xddddd300,
    0xddfffffd,0x177e4403,0xccccee80,0x003ccccc,0x00003be6,0x40007f44,
    0x000efffa,0xdddfffff,0x07ffdddd,0x805502a8,0x02db984a,0x003eeb80,
    0x0000ef98,0x4400ff44,0x7cc0ffff,0xfb300fff,0x80bffd17,0xf307ffff,
    0x2ffb8fff,0x1f407fe4,0x3fffffb8,0x3fffe000,0x3fbfee0f,0x880b881f,
    0x502a800b,0x0ef98005,0x01fe6000,0x41ffffe6,0x805ffffa,0x7fec07f9,
    0xfff880ff,0x055000ff,0x117ffea0,0x800fffff,0x7c000009,0x0000ffff,
    0x0007f300,0x00015300,0x4000a880,0x001ffff8,0xc8015df3,0x000001ff,
    0x00000000,0x00015300,0x2e002a20,0x7c40ffff,0xcf982fff,0x417ffe60,
    0x81fffff8,0xf10ffff8,0x313ee03d,0x7fffc407,0x3fe0002f,0xff080fff,
    0x00000001,0x0054c000,0x20054c00,0x307ffff9,0x900fffff,0xffff80bf,
    0xfffff107,0x22000001,0x7ffecc2b,0x0000007f,0x0fffff80,0x1f700000,
    0x00000000,0xfd000000,0x75400bff,0x00dff000,0x00000000,0x00000000,
    0x3f200000,0xfff887ff,0x3f20304f,0xfff883ff,0xfff985ff,0x95003265,
    0xffff9000,0x7ffc0001,0x0df300ff,0x00000000,0x00000000,0x0fffff30,
    0x03ffffe2,0x7c405ff0,0xff107fff,0x51001fff,0x40039bd9,0xffffdfd9,
    0x9b971007,0x66dc4005,0x03ffffe2,0x0b372e20,0x1359bfd0,0x2aaaaa00,
    0x2aaaa0aa,0x555542aa,0x2aaa0aaa,0xff902aaa,0x0d4005ff,0x004ffa80,
    0x0037b973,0x037b9730,0x9bd95100,0x372e6003,0xcb98001b,0xffe801bd,
    0xffff887f,0x3fe63005,0xfffe81ff,0x7ffd43ff,0x20000003,0x8804fffc,
    0x3ffe3cdb,0x05f900ff,0x02cdcb88,0x15555555,0x15555554,0x166e5c40,
    0x59b97100,0x7ffff980,0x3fffff10,0x5007fcc0,0x220dffff,0x400fffff,
    0xfffddffb,0x57fec405,0x807ffff8,0x5ffbdffb,0x7ffff440,0xfffff8ef,
    0x5effdc00,0xfff305ff,0x805dffff,0x1ffffffb,0x1ffffff2,0x3ffffff7,
    0x3fffffe4,0x007ffff8,0x07ff2000,0x3b3fff20,0xff9004ff,0x009ffd9f,
    0x3ff77fee,0x7ffe405f,0x9004ffec,0x9ffd9fff,0x43ffffc0,0x206ffff8,
    0xffefffdb,0xfffc86ff,0x3ffa4fff,0x5555440e,0x740002aa,0x7f4404ff,
    0xff8effff,0x6e880fff,0x7deffdc0,0xffffb85f,0x3fff21ff,0x7fdc07ff,
    0xb805ffbd,0x05ffbdff,0x81ffffe6,0x202fffff,0x7fdc05fc,0xfff106ff,
    0x7fe401ff,0x417fffa3,0xff11fffb,0x7ec40fff,0x81bfee2f,0xda8bfffe,
    0x00ffffff,0x7dc5ffb1,0xffffc86f,0x01efffff,0x07ffffe2,0x10fffff5,
    0xa83fffff,0xfa87ffff,0xfedbdfff,0xff80003d,0x2fff4406,0xe8813ffa,
    0x27ff45ff,0xfe8fff20,0xffe885ff,0x1027ff45,0xffe8bffd,0x7ffff884,
    0x0fffff88,0xa8afffd8,0x441fffff,0xefffffff,0xf9104ffb,0x000fffff,
    0x6c027fdc,0xfd98bfff,0x4c0fffff,0x3ff6205f,0x221bfee2,0x541fffff,
    0xb107ffff,0x37fdc5ff,0x2e2ffd88,0xfff306ff,0x7fffc0ff,0x00ffa01f,
    0x20fffff5,0x00fffff8,0xffb8fff9,0x7ffec1ff,0x1ffffe22,0xff87ffc8,
    0x6fffc83f,0x7fffff44,0xf0fff900,0xffff87ff,0xffffffff,0x3ffffe05,
    0x3ffffcc1,0x41fffff8,0xe87ffff9,0xffffffff,0x0001efff,0xfd809ff3,
    0x7ffcc1ff,0x83fffb04,0xf904fff9,0xffffb8ff,0x20fffec1,0xfb04fff9,
    0xfff983ff,0x3ffffcc4,0x0fffffc4,0xf70ffff6,0xff30bfff,0x5fffffff,
    0xfffff700,0x3ffea000,0x3fff203f,0xfffffe86,0xf900fee0,0x07fff0ff,
    0x983fffff,0xf907ffff,0x07fff0ff,0xfff0fff9,0xfffff307,0x1ffffe20,
    0x4c00ff88,0xf107ffff,0xf301ffff,0xfff989ff,0x1fffee2f,0x20fffff1,
    0xfd84fff9,0x3ffea0ff,0xffff982f,0x4fff980f,0xf30fffd8,0xffffffff,
    0x3e09ffff,0x7cc1ffff,0xfff07fff,0xfff983ff,0x7fffc47f,0xfffe98cf,
    0xfc8000ff,0x3ffe601f,0x2ffff80f,0x407fffcc,0x7cc2ffff,0x7ffcc4ff,
    0x3fffe62f,0x42ffff80,0xf80ffff9,0x3fea2fff,0xfff887ff,0x3ffea2ff,
    0xfffff887,0xfffff980,0xf9805fff,0x22007fff,0xfffffffc,0x2ffffa84,
    0x0fffff88,0x3ffe600a,0x40fffd84,0x4c1fffff,0xf987ffff,0xfffd84ff,
    0x213ffe60,0x7cc0fffd,0xff107fff,0x37dc0dff,0x1fffff80,0x0fffff88,
    0xe84fffd8,0x3ffe0fff,0x7fffc46f,0x07fffb07,0x7ec5fffb,0xfff00fff,
    0xfffb01ff,0x25fffb07,0xfffedcca,0x2fffffff,0x41fffff8,0xf07ffff8,
    0xf883ffff,0x7fcc7fff,0x7fec0fff,0xff8005ff,0x3ffff406,0x745fffe8,
    0xffd07fff,0x4fffd8bf,0x3a0fffe8,0xffd07fff,0x7fffe8bf,0x64bfffd0,
    0xf887ffff,0x3fa3ffff,0xffff06ff,0x3ffa203f,0x00efffff,0x01ffffe2,
    0xfffffd88,0x7fe44fff,0xffff01ff,0xffd8001f,0x2fffd83f,0x20fffffc,
    0xd87ffff8,0xffd83fff,0x0ffff62f,0xf30bfff6,0x3e60ffff,0x3fa05fff,
    0xffff7003,0xfffff309,0x3ffff881,0x3e62dc88,0xfb33ffff,0x3fe0ffff,
    0xfffc82ff,0x81ffffe4,0xf80fffff,0xffc82fff,0x7fdc404f,0xf86fffff,
    0x7c41ffff,0xfff07fff,0xfff883ff,0x7fffd47f,0x7fffd40f,0x3fe6001f,
    0x3fffe204,0x4ffffd06,0xd06ffff8,0x7fc4ffff,0x2dc883ff,0x41bfffe2,
    0x3e27fffe,0xffd06fff,0x7fffdcff,0xfffff887,0x0dffff32,0x20bffffe,
    0xffffffc8,0x3e205fff,0x88007fff,0x7ffffffb,0xf03ffff4,0x8001ffff,
    0xfc82ffff,0x7fffc4ff,0x7fffc41f,0x82ffff87,0x3fe4fffc,0xfffc82ff,
    0x7ffffcc4,0x1ffffc80,0x2003ff10,0x22fffff8,0x0ffffff9,0x027fffcc,
    0x3fffffe0,0xfffffdff,0xffff30ca,0xffd9999b,0x3fffe2bf,0x3ffffe07,
    0x6ffffcc0,0xfffecccc,0x3ffaa005,0x7ffc0fff,0x7ffc41ff,0xfffff07f,
    0x7ffff883,0x83ffffdc,0x003fffff,0xfa807ff2,0xffd06fff,0x3ffea3ff,
    0xffffd06f,0x13fffe63,0x6ffffa80,0x23ffffd0,0xd06ffffa,0x3ea3ffff,
    0xff887fff,0xfff51fff,0x3fffe0df,0x4fffcc3f,0xfffffffa,0xfffff103,
    0x7ffcc000,0x3ffe1fff,0x3fffe07f,0x3fe6000f,0xeccccdff,0x7ffc5fff,
    0x7ffc41ff,0x7fffcc7f,0xffeccccd,0xbffff35f,0xfffd9999,0xfffff98b,
    0x3fffe20f,0x001bea03,0xdbfffff3,0x1fffff9f,0x05ffffa8,0x7ffffe40,
    0xfffff92f,0x77fffd47,0xeeeeeeee,0x0dffff35,0x207ffffc,0xeeeffffa,
    0x05eeeeee,0x7ffff440,0x0fffffc1,0x41ffffe2,0x441fffff,0x7dc7ffff,
    0xffb07fff,0x7fc009ff,0x7fffdc07,0x5ffffd06,0x41bfffee,0xf52ffffe,
    0x5c00bfff,0xfd06ffff,0x3fee5fff,0xfffd06ff,0x3fffe65f,0xfffff887,
    0x0dffff70,0x993ffffe,0x3fea5fff,0xf106ffff,0x8000ffff,0x34fffff8,
    0x7c0fffff,0x2000ffff,0xeeeffffa,0x45eeeeee,0x441fffff,0x7d47ffff,
    0xeeeeefff,0xff55eeee,0xddddddff,0xff98bddd,0xfbcfdfff,0x7ec05fff,
    0xffe98004,0xfff89fff,0x7ffdc0ff,0x7e44006f,0x3f620cef,0x7ffdc3ef,
    0x3fee004f,0x3ffe06ff,0x7ffdc0ff,0x1000004f,0xff85fffd,0x7fc41fff,
    0xffff07ff,0xffff883f,0x7ffffd47,0x5ffffd80,0x809ff300,0xd06ffffc,
    0x3f29ffff,0xffd06fff,0x3ffee9ff,0x3ff2006f,0xfffd06ff,0x3ffff29f,
    0x9ffffd06,0x21ffffe2,0x327ffff8,0xfd06ffff,0x7fec5fff,0x7fffcc2f,
    0xfff880ff,0xfb80007f,0xfff55fff,0x7fffc0ff,0x3fee000f,0xff8004ff,
    0x7fc41fff,0x7ffdc7ff,0x3fee004f,0xf98004ff,0xfff77fff,0x7c4019df,
    0x2a20001f,0x3fffe20a,0x7fffd40f,0xc8020007,0xffff501f,0x7ffdc00b,
    0x3fffe07f,0x7fffd40f,0x2a000005,0x7ffc0fff,0x7ffc41ff,0xfffff07f,
    0x7ffff883,0x0fffffc4,0x027fffe4,0x5c01ffc8,0xfd06ffff,0x3fee7fff,
    0xfffd06ff,0x3fffea7f,0x3ffee007,0xffffd06f,0x1bfffee7,0xf1fffff4,
    0xff10ffff,0x7ffd4dff,0xfffff06f,0x07fffe23,0x0bffffea,0x01ffffe2,
    0x9ffff400,0x207ffffa,0x000fffff,0x017fffea,0x07ffffe0,0xa8fffff1,
    0x2005ffff,0x005ffffa,0x47ffff98,0xff5001b9,0x3e200000,0x7cc0ffff,
    0x0001ffff,0x9813fa20,0x2007ffff,0x207ffffa,0x4c0fffff,0x0007ffff,
    0x21bfe200,0x441fffff,0xff07ffff,0xff883fff,0xfffe87ff,0xffffc81f,
    0x00ffd002,0x20dffff5,0xf52ffffe,0x3fa0dfff,0xfff32fff,0x3ea003ff,
    0xffd06fff,0x3ffea5ff,0xffffd06f,0x43ffff45,0x265ffff8,0xff06ffff,
    0x7ffd4fff,0xffff880f,0xffff884f,0xffb00007,0x3fffe63f,0xfffff00f,
    0x7ffcc001,0xfff8007f,0x7ffc41ff,0x7fffcc7f,0x3ffe6007,0xff98007f,
    0x6c0007ff,0x1000004f,0x881fffff,0x006fffff,0x80bfea00,0x02fffff8,
    0x1fffff30,0x03ffffe0,0x05fffff1,0x27f40000,0x20fffffc,0xf07ffff8,
    0xf883ffff,0xffd87fff,0xfffb82ff,0x4ff9800f,0x6ffff880,0x21fffff0,
    0xf06ffff8,0x3e21ffff,0x1006ffff,0x3e0dffff,0xff10ffff,0x3ffe0dff,
    0x3ffee0ff,0x7fffc40f,0x837fffc3,0x3f26ffff,0xffb00fff,0xfff105ff,
    0x2e0000ff,0xfff10fff,0x3ffe03ff,0x3e2000ff,0x4002ffff,0x441fffff,
    0x7c47ffff,0x1002ffff,0x005fffff,0x07ffff98,0x0017fc00,0xffff8800,
    0xffffd80f,0xd800603f,0x7ff404ff,0xe96606ff,0xf882ffff,0xfe80ffff,
    0x96606fff,0x5ff001a8,0x83ffffd0,0xd07ffff9,0xf983ffff,0xffb87fff,
    0xfffc84ff,0x03ff9006,0x41ffff60,0x7ec5ffff,0xffff07ff,0xfffffd8b,
    0xfffd8603,0x8bffff07,0xff07fffd,0xffff0bff,0x87fff983,0xf887fffd,
    0x3fea5fff,0xfff701ff,0xffff101f,0xc801a80f,0x7fff43ff,0xfffff02f,
    0xfffe8003,0xfd16606f,0xff983fff,0xfffe87ff,0xfe96606f,0x16606fff,
    0x00fffff3,0x0003fcc0,0xfffff100,0xfffff301,0x4007b03f,0x2a00fffe,
    0x884fffff,0x3fffee1f,0xfffffc86,0xfffffa80,0xff31f884,0x2fd403df,
    0x22ffffd8,0x07ffffe8,0x445ffffb,0xd07ffffe,0xff90dfff,0x1ffa007f,
    0x0ffff980,0x20ffffc4,0x440ffff9,0x7cc1ffff,0xd81fffff,0x03fffe63,
    0x983ffff1,0x7c40ffff,0xffc81fff,0x1fffdc1f,0x207fffcc,0x221ffff8,
    0xf902ffff,0x3fe20bff,0x3ffa07ff,0x5437f405,0xfc86ffff,0x4001ffff,
    0x84fffffa,0x7ffec1f8,0x3fffa22f,0xffffa87f,0x2a1f884f,0x884fffff,
    0x7fffcc1f,0x17f20007,0xff880000,0xffb01fff,0xd97dffff,0xfffc8009,
    0x3fffa01e,0x4fcabeff,0x22ffffe8,0x2ffffffb,0xdfffffd0,0x7dc9f957,
    0x440cffff,0x3ffee06e,0xfffd98df,0xfff707ff,0xfffb31bf,0x3fe60fff,
    0x27ff41ff,0x004ff980,0x2e1fffe4,0xff904fff,0x4fffb87f,0xffffffb0,
    0xf909d97d,0xfffb87ff,0x87fff904,0xd104fffb,0x6ffd89ff,0x70bffea0,
    0xff709fff,0x3fffe0bf,0xfffff100,0x3bfffe60,0xd00ff981,0x7dc7ffff,
    0x003fffff,0xefffffe8,0xfb84fcab,0xfd98dfff,0xfd07ffff,0x957dffff,
    0xffffd09f,0x09f957df,0x00fffff3,0x00017fc0,0xfffff500,0x7fffec07,
    0x8005ffff,0xcdffffe8,0x7ffff441,0xd104ffff,0x3ffdffff,0x1bffffff,
    0xfffffe88,0x7fc44fff,0xdacfffff,0xfffe804f,0xfff9dfff,0xfffd02ff,
    0xfff3bfff,0x3fe605ff,0x09ff70df,0x0017fe40,0xf88f7fe4,0x7fe404ff,
    0x09fff11e,0xffffffd8,0x3ff205ff,0x09fff11e,0xf11effc8,0xfe8809ff,
    0x01dff30f,0xf10effb8,0x7fec09ff,0x3bff223f,0x3fffe601,0xffffd01f,
    0x1bfb339f,0x7ffff440,0xffff9ffe,0x22001dff,0xfffffffe,0x3fffa04f,
    0xfff9dfff,0xffe882ff,0x04ffffff,0xffffffd1,0x3fee09ff,0x98001fff,
    0x800000ff,0xffffffda,0xfff701ef,0x40007dff,0x3fffffd8,0xbfffffb0,
    0xfffe8807,0x9dfff0ef,0x7ffec037,0xfb303dff,0x37bfffff,0x3fffa200,
    0xfffff14f,0xfffd10bf,0x3fffe29f,0xfd7105ff,0x8007bfdf,0x2a0007fe,
    0x2effefff,0xfdfff500,0x3ee005df,0x803effff,0xeffefffa,0xdfff5002,
    0x22005dff,0x04fffffc,0x3fbff6a0,0xfea802df,0x03fffdff,0x3fffffb8,
    0xfffffd30,0x22003dff,0xf1fffffd,0x00379dff,0x3fffff60,0x7ff4403d,
    0xffff14ff,0x3ff60bff,0xd803dfff,0x83dfffff,0xffffffe8,0x3f2002df,
    0x31000005,0x33333333,0x00aa9801,0x2aea6000,0x002b9800,0x0d41ba88,
    0x002b9800,0x0006eaa2,0x00003510,0x000006a2,0x10001551,0x10000799,
    0x20001575,0x0000aba8,0x10001553,0x20001575,0x0000aba8,0x300006e6,
    0x26200037,0xf8801aba,0xefffffff,0x35755300,0x0dd44000,0x2000006a,
    0xa88002b9,0x2e600001,0x05730002,0x33333330,0x65c00133,0x00000002,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xbb880000,0x26000001,0x1008801c,
    0x01a98001,0xf5000013,0x0000dfff,0x013ffff2,0x013ffff6,0x5e65cc00,
    0x0072000a,0x4cccc093,0x99999999,0x99999980,0x01999999,0x26f7b2e2,
    0x80199999,0xcc880cc8,0x372e2000,0x32a6001b,0x90001acc,0x5309ffff,
    0x35555555,0x0d555544,0x33333100,0x30198033,0x00037995,0x0d400544,
    0x19999998,0x80298000,0x99999829,0x95009999,0x55300157,0x5cc15555,
    0x00e401cd,0x2db88126,0x7f6ff640,0x200000ce,0x900dfffe,0x4ffc8bff,
    0xefffd880,0x0003f10b,0x01dfffb0,0x3fffe000,0x3fff6005,0x3f620006,
    0xbfffecef,0x100fd800,0x3f7220df,0xffffffff,0x7fee443d,0xdfffffff,
    0x7bfff904,0xffffffff,0x80ff9803,0x3f2007fa,0x404fffce,0xfffedfd9,
    0x7fc001df,0xfff505ff,0x443bffff,0x002effeb,0x3fffffaa,0x267ae00f,
    0xfffeffeb,0xe8003eff,0x01fd101f,0xffffffb1,0x09f50000,0x372227dc,
    0x2fffffff,0x3fffff26,0x7ff5403f,0xffd8bfff,0x3fa04fff,0x220df100,
    0xfb04ffff,0x07fff45f,0xff502e00,0xff10bfff,0x3ffe63ff,0x7ffec00f,
    0x07feffff,0xefff8800,0xff300000,0xffb000bf,0xfd30003f,0x5fffd8bf,
    0xabdffb80,0x9804ffdb,0x06ffffff,0xfffffd10,0x7fff401d,0x3ffffe23,
    0x3fdc01ff,0xfb006fc8,0x17ffea1f,0xfd507fcc,0x26003fff,0x7c405fff,
    0x2607ffff,0x3ee0006f,0x2e00ffff,0x4c1cffff,0x00dffffb,0xd30bfe60,
    0xfffa809f,0xfd00007f,0x00ffc81b,0x3fffffe6,0x7315df12,0xff00bfff,
    0xfdfd9fff,0x3205ffff,0xfdcabdff,0xffff704f,0x46ffc81f,0x000efff9,
    0xfffc81f3,0x7fcc0fff,0xffff52ff,0x7fffc403,0x04ffffff,0x0effa800,
    0x3ff20000,0x3ffa0005,0x7ffcc004,0x7fffcc1f,0x7fff4403,0x000fffff,
    0x05fffffb,0x7ffffe40,0x1ffff204,0x800bfff6,0x09fd05fd,0x7ccdff90,
    0x7f442fff,0xfffffa87,0x05ffc800,0x1fffff70,0x8000be60,0x00fffff8,
    0x3007bfee,0x005fffff,0xffa9ffec,0x7ffcc00f,0xf300007f,0x7ffb11df,
    0xfffffb00,0x7fdc13a5,0x7fff405f,0x3ffee4ff,0xffff106f,0x201fffff,
    0x21fffffc,0xfe84fffb,0xfe8805ff,0x7ffffcc0,0x46ffe81f,0x7d406ffe,
    0xfffffb89,0xfd80001e,0x7c00000e,0x7440005f,0x7fe4006f,0x7ffc40ff,
    0xfff9806f,0x2002ffff,0x02fffffd,0x3ffffee0,0xbffff103,0x01ffff70,
    0x7fc0ffa0,0x37ffc402,0xa89ffff3,0xfff82fff,0x6ff803ff,0x7ffffc00,
    0x8000f703,0x00fffff8,0x4c003fee,0x002fffff,0xfffdfff3,0xffff1005,
    0x7ec0000f,0x006ffeff,0xb5fffffb,0x3fffe80b,0x17ffff60,0x40fffff1,
    0xfffffffa,0x3fffe602,0x427fffc6,0x403ffffc,0xffc80ffd,0x05501ffe,
    0x212a00aa,0x00002db9,0x00001ff1,0x0000ef98,0x2001fe88,0xff07fffe,
    0x36200fff,0x4001efff,0x02fffffd,0x3ffffee0,0xbffff503,0x05ffff50,
    0xf305ff10,0xfffc803f,0x217fffc7,0xfe84fffc,0x7cc05fff,0x7fdc000e,
    0x009b06ff,0x1fffff00,0x20017dc0,0x00fffffb,0xdfffffb0,0x3fffe200,
    0x3e600007,0x002fffff,0xddfffff9,0x1ffff900,0x0fffff60,0x803ffffe,
    0x00dfffd8,0x221effc8,0xfb83ffff,0x3ee05fff,0x3e1100ff,0x00000007,
    0x2a200000,0xa9800000,0x2a200000,0x3fffe001,0x0fffff07,0x6c000300,
    0x002fffff,0x0fffffee,0x427fffdc,0x803ffffa,0x7fa80ff9,0x0ffffd80,
    0xf503bfee,0xfffd0dff,0x00a980bf,0xfffff880,0x00007c42,0x007ffffc,
    0xff1000d7,0x22009fff,0x001fffff,0x00fffff1,0xffffd800,0x3fff2005,
    0xfa802fff,0xffb05fff,0xffff07ff,0x0006001f,0x7fffd404,0x6ffffa84,
    0x01ffff90,0x00006fa8,0x00000000,0x00000000,0x7c000000,0xfff07fff,
    0x000000df,0x2fffffd8,0x3fffee00,0xffff303f,0x5ffff509,0x320ff700,
    0xffff806f,0xf880c41f,0xfffe82ff,0x0080003f,0x717ffff2,0x3fe0000d,
    0x0ee00fff,0x7fffec00,0x9997001f,0x7ffc4007,0x4400007f,0x2001cccc,
    0x06fffffc,0x1fffff30,0x07ffffb0,0x003fffff,0xff900000,0xfff309ff,
    0xfffd81ff,0x40aaabff,0x654c02fc,0x98002ced,0x002cedca,0x1acedc98,
    0x056765c4,0x9db95300,0xb9530005,0x3fe0059d,0xfff887ff,0x5555542f,
    0x2aaaa0aa,0x7fec02aa,0x2e002fff,0x203fffff,0xfb85fffe,0xccc887ff,
    0xccccffec,0x00ccefec,0x005fffff,0x3ffe0150,0x32a200ff,0x81f41bdd,
    0x21fffff9,0x36e2002e,0x3ffffe2c,0x40002200,0x06fffffa,0xff880000,
    0x336ea7ff,0x80000001,0x02fffffc,0x5fffff30,0x07ffffb0,0x403fffff,
    0x001bdcb9,0x5ffffd80,0x2fffff88,0xffffffb1,0x7c43ffff,0x33bfa605,
    0x800efffe,0xffecefe9,0xfea800ef,0x54ffffde,0x3dff9bff,0xecefe980,
    0x9800efff,0xfffecefe,0x7fffc00e,0x82effc87,0x1ffffffb,0x1ffffff2,
    0x5fffffb0,0x7fffdc00,0x3fff203f,0x85fffc86,0xfffffff9,0xffffffff,
    0xffff01ff,0x4c00009f,0x2e05ffff,0xdffeceff,0x7fec06d8,0x001f34ff,
    0xdfffffd1,0x01fffff1,0x3fe60000,0x2aa67fff,0x32a0aaaa,0x7fc400bd,
    0xfffd8fff,0x55102fff,0x55555555,0x32015555,0x002fffff,0x0bfffff1,
    0xf07ffffb,0x3203ffff,0x4ffecfff,0x3fff2000,0xfffff05f,0x3fff3267,
    0x50ccccff,0x0ffdc0bf,0x803bfff6,0x7fec1ffb,0x3fee00ef,0x7f7ffe42,
    0x0bffe64f,0x3f60ffdc,0x3ee00eff,0x77ffec1f,0x9ffffe00,0x4402fff9,
    0x541fffff,0x6c07ffff,0x002fffff,0x0fffffee,0x445fffb0,0xe980dfff,
    0xeeeffeee,0xeeeffeee,0xbffffd00,0x7fec0000,0xfffb00ef,0x077ffe41,
    0x3ffffea0,0xffd004c8,0xfffb517f,0x00001fff,0x3ffffe20,0xffffd50f,
    0xffffd15f,0x7ffc409f,0xffbbdeff,0xffa81fff,0xffeeeeff,0xf900ffff,
    0x2005ffff,0x87fffff8,0xf83ffffd,0x7441ffff,0x27ff45ff,0xffffb800,
    0x7fffff07,0x01fffff0,0x7fcc07f9,0x7fffcc2f,0x85fff304,0x504ffff9,
    0xffd01fff,0xdffb0dff,0x985fff30,0xf304ffff,0xfff985ff,0x3fffe04f,
    0x37ffae27,0x3ffffe02,0x3ffffcc1,0x3fffff60,0x3ffee002,0xfeb803ff,
    0x03fffbcf,0x2a03fe60,0xf999107f,0x999fffff,0x3fe20009,0xfff900df,
    0x06fff987,0xf7ffffd0,0xdfff9003,0xfffffe88,0x3e000000,0x7c2fffff,
    0xdfecffff,0x101fffff,0x889fffff,0x540effff,0xfffb81ef,0x3ff202ff,
    0xf1002fff,0xfb0fffff,0xfff07fff,0xfffd83ff,0x027ffcc1,0x7ffffcc0,
    0x7ffffc42,0x0fffff82,0xfffc8028,0x37fffcc6,0x4c6fffc8,0xfb06ffff,
    0xfffb0bff,0x7fff50bf,0x4c6fffc8,0xf906ffff,0xfff98dff,0x3fffe06f,
    0x03fffd07,0x307ffffe,0xd80fffff,0x002fffff,0x0fffffee,0x6776fd40,
    0x3fdc000a,0xff305fc8,0xffffffff,0x32000fff,0x3fe203ff,0xffff82ff,
    0xffffb803,0xfffa806f,0xffff982f,0x7777540f,0xeeeeeeee,0xffeeeeee,
    0x7f43ffff,0x3ee4ffff,0xff105fff,0x3ff20fff,0x407d44ff,0x06fffff8,
    0x17ffffe4,0xfffff880,0x7fffec0f,0x1fffff83,0x203fffe6,0xb882ffff,
    0xbffffb03,0x1fffff88,0x00fffff8,0x1ffffb00,0x83ffffc4,0x220ffffd,
    0xfb07ffff,0xffd81fff,0xfffa84ff,0x07fffec5,0x20fffff1,0x220ffffd,
    0x3e07ffff,0xff507fff,0x3fffe0df,0x7fffc41f,0x7fffec07,0x3fee002f,
    0x64403fff,0xfb00000e,0x4c13fa0b,0xffffffff,0x8007ffff,0x7e402ff8,
    0x7fcc1fff,0x7c400fff,0xd803ffff,0xff00ffff,0xffb81fff,0xffffffff,
    0xffffffff,0x44ffffff,0x445ffffe,0xf107ffff,0x3e60ffff,0x82d46fff,
    0x01fffffd,0x17ffffe4,0xfffff880,0x7fffec1f,0x1fffff83,0x741ffffa,
    0x7fd45fff,0x7ffc43ff,0xffc99eff,0xfff80fff,0xf50000ff,0xfff88bff,
    0xbfff507f,0x07ffff88,0xf90bfff5,0xff305fff,0x5fffa8ff,0x83ffffc4,
    0x7c45fffa,0x3fe07fff,0xfff307ff,0xfffff07f,0x7ffff883,0x7ffffec0,
    0x3ffee002,0x3fa203ff,0x3fa00004,0x2205ff04,0xffffbaaa,0x8002aabf,
    0xfff801fb,0x3ffe20ff,0xfc802fff,0xff800fff,0x3ffe07ff,0x7ffd40ff,
    0x7c000fff,0x743fffff,0x7c42ffff,0xff107fff,0x3fe60fff,0x4c14c7ff,
    0x804fffff,0x02fffffc,0xffffff10,0x3ffffd83,0x11fffff8,0x3a0dffff,
    0x7ff47fff,0x7f4c1fff,0xffffffff,0xffff05ff,0x5c40001f,0x7fffecc2,
    0xb30ae207,0x440fffff,0xffffb81b,0xfbaaaacf,0x15c40fff,0x1fffff66,
    0x7ecc2b88,0x3fe07fff,0xfff307ff,0xfffff0bf,0x7ffff883,0x7ffffec0,
    0x3ffee002,0x3fee03ff,0xf880001e,0x00ff982f,0x03ffffa0,0x10099000,
    0x741fffff,0x03ffffdc,0x805fff88,0x207ffff8,0x4c0fffff,0x01ffffff,
    0x7fffffc0,0x17ffff42,0x03ffffe2,0x41ffffe2,0x01fffff8,0x0fffffe8,
    0xfffffc80,0xffff1002,0xffffd0ff,0x3fffff09,0x41bfffea,0xf11ffffe,
    0x209fffff,0xfdadeedb,0xfff02fff,0x400001ff,0xffffdfd9,0x37f66007,
    0x4007ffff,0xffffdefb,0xeeeeeeee,0x7ecc00ee,0x007ffffd,0x3fff7f66,
    0x3fffe07f,0xdffff307,0x83fffff0,0x407ffff8,0x02fffffd,0x3ffffee0,
    0x3ffffa03,0xceefffff,0xffeee982,0xffeeeeee,0x2e00eeee,0x80007fff,
    0xfff9802c,0x3f6bb0ff,0xfb004fff,0xfff3005f,0x7fffc0df,0xfffff80f,
    0x3fe2001f,0x7f40ffff,0xfff82fff,0xfff880ff,0x3fffe07f,0x7ffdc02f,
    0xff9002ff,0x22005fff,0x447fffff,0x40efffff,0xf71fffff,0x3fa0dfff,
    0x3ff62fff,0x22005fff,0x3e07ffff,0x0000ffff,0xf8affd88,0xd8807fff,
    0xffff8aff,0x29ff7007,0x003ffffc,0x457fec40,0x8807ffff,0xfff8affd,
    0x3fffe07f,0xfffff307,0x1fffff81,0x03ffffc4,0x0bfffff6,0xfffffb80,
    0x3ffff603,0xffffffff,0x7fffcc5f,0xffffffff,0x201fffff,0x0006fff9,
    0xffa800c8,0xb0ec8fff,0x2009ffff,0xff7007fa,0x7ffc0dff,0xfffe80ff,
    0x3e6001ff,0xfe87ffff,0xfff82fff,0xfff880ff,0x3fffe07f,0x3ffe201f,
    0x3f2006ff,0x1002ffff,0x5cdfffff,0xffffffff,0x47ffffe0,0xd06ffffc,
    0x6cc9ffff,0x2005ffff,0x204ffffb,0x000fffff,0x88fffdc0,0x5c07ffff,
    0xfff11fff,0xffe880ff,0x13fffee2,0x1fffb800,0x80fffff1,0xff11fffb,
    0x7ffc0fff,0xffff307f,0xfffff81f,0x3ffffc41,0x3fffff60,0x7dc0e4c2,
    0x2a03ffff,0xffffffff,0x25ffffff,0xccefecc8,0xcceffccc,0x7ff400cc,
    0x20000005,0xfbfffff9,0x0fffff20,0xf7004e80,0x7fc0ffff,0xffd80fff,
    0x26002fff,0xe85fffff,0xff82ffff,0xff880fff,0x3ffe07ff,0x7ffec07f,
    0x3f2001ff,0x1002ffff,0x009fffff,0x8fffffc0,0xd06ffffb,0x2107ffff,
    0x3fa004fb,0x7ffc06ff,0x360000ff,0x3fe22fff,0x3ff607ff,0x3fffe22f,
    0x0fffea07,0x00dffff7,0x88bfff60,0x3607ffff,0x3fe22fff,0x3ffe07ff,
    0xffff307f,0x3fffff0f,0x07ffff88,0x17ffffec,0xfb87fff9,0x5402ffff,
    0xffffffff,0xd07fffff,0x00bfe07f,0x300fff60,0x7fc40000,0x7ec1ffff,
    0xf1001fff,0x3ffea001,0x3fffe07f,0xffff980f,0x3ff2003f,0xffe81fff,
    0xffff82ff,0xffff880f,0xdffff107,0x7ffffcc0,0x7ffe4004,0xff1002ff,
    0x40003fff,0xf50fffff,0x3fa0dfff,0x3f602fff,0xffff3002,0xfffff801,
    0xfff70000,0x7ffff88f,0x88ffff70,0xf307ffff,0xff981fff,0x5c001fff,
    0x7fc47fff,0xfff707ff,0x7ffff88f,0x81ffffe0,0xff85ffff,0x7fc41fff,
    0x7fec07ff,0x3ffe2fff,0x7fffdc7f,0x6ff5402f,0xfecccccc,0x7fc41fff,
    0x801ff982,0x2ffeddb8,0x06a01e60,0x17ffffc0,0x083fffec,0x3e6005b8,
    0xff00ffff,0x3f601fff,0x3a004fff,0xfd04ffff,0xfff05fff,0xfff101ff,
    0x3ffe20ff,0x3fffa04f,0x7e4000ff,0xb982ffff,0x17fffe20,0xfffff000,
    0x837fffc4,0x100fffff,0x3fe600df,0xfff802ff,0xff0000ff,0xfff88dff,
    0xdffff07f,0x07ffff88,0x3e0dfffd,0x6c05ffff,0x11bfffe0,0x3e0fffff,
    0x7fc46fff,0x3ffe07ff,0x7ec2e67f,0xfffe84ff,0x7fffcc1f,0x7fffec07,
    0xfffff32f,0x0fffffc8,0x001fff10,0xff30fff3,0x700ff701,0xdfffffff,
    0xffd95559,0x02fffcc0,0x407fffe4,0x7cc6fffe,0x2001745f,0x882ffffe,
    0x100fffff,0x001fffff,0x01dffff3,0x20bffffa,0x880fffff,0xf307ffff,
    0x3ee05fff,0x0902ffff,0x17ffffe4,0x7c47ffea,0x2e001fff,0x1bfffe3e,
    0x3e0ffffb,0x3f205fff,0xefff9801,0xfffff001,0xff980143,0xffb33fff,
    0xfff30fff,0x3ff667ff,0xfff887ff,0x7fec41ff,0x47b03fff,0x33fffff9,
    0x30fffffb,0x267fffff,0x107ffffd,0x3e2fffff,0x05fff56f,0x445ffffb,
    0x407ffffe,0x22fffffd,0x7e43ffff,0x3ea06fff,0x13fa005f,0x37e41bee,
    0x7e4cef40,0xffffffff,0x3ff605ff,0x7fc402ff,0xffff81ff,0xa8fffec3,
    0xfffb8006,0xffffc86f,0x3fff200f,0xfffd804f,0x3fffa02f,0xfffff82f,
    0xfffff880,0x05fffb80,0x0dfffff1,0xfffd81a2,0x7ffec3ff,0x00dfff14,
    0xfff37fcc,0xffff98bf,0x0ffffc40,0x4c00fec4,0x2000dfff,0x953ffffd,
    0x7ffffc00,0xffffdfff,0x3ffe0caf,0xffdfffff,0xf10cafff,0x959fffff,
    0xffffffbf,0xf0dd957b,0xbfffffff,0x195fffff,0x7ffffffc,0xafffffdf,
    0x3fffe60c,0x3e6fff57,0xffff704f,0xffffb31b,0xfffe80ff,0x1ffee2ff,
    0x803ffffa,0xa801fff9,0x05fd81ef,0x1f9809fd,0x3fffffe6,0x101fffff,
    0x00bfffff,0xf989fffd,0xfffd86ff,0xd0002e8b,0x7dc5ffff,0x402fffff,
    0x201ffffb,0x401efffc,0x442ffffe,0x880fffff,0xf83fffff,0x3ff606ff,
    0x0bb01fff,0x1fffffec,0x7cdbffee,0x3e2000ef,0x03fffe7f,0xf70ffff2,
    0x3bd109ff,0x2dffda80,0xffff8800,0x7e4006ff,0xf92fffff,0xfc87ffff,
    0xf92fffff,0xfd87ffff,0x2effffff,0xffffffd1,0xff901dff,0x3f25ffff,
    0x7e43ffff,0xf92fffff,0xfc87ffff,0x3ffa7fff,0x7f406fb8,0xf9dfffff,
    0xf302ffff,0x41dfffff,0xff70bffc,0xff7003ff,0x9531337f,0x3fa01bfb,
    0xd005ff03,0xfdbfd319,0x09ffffff,0x02ffffd8,0x97ffdf6c,0xa80effe8,
    0x005fffff,0x3ffffa20,0xffff9ffe,0x3a600dff,0x3261beff,0xfd004fff,
    0xff885fff,0xff880fff,0x3f21efef,0xfff300ef,0x17f209ff,0x7fffffcc,
    0x5fffe20e,0xc8000efc,0x2fffa9ff,0x447bff20,0x03304fff,0x0e77fdc4,
    0x3ff26000,0x644000ce,0x3620ceff,0xfc883eff,0x3f620cef,0xffd983ef,
    0xfd884eff,0x00cfffff,0x419dff91,0x883effd8,0x220ceffc,0x7f43effd,
    0x3267ffff,0x4400bdff,0xf14ffffe,0x22bfffff,0xffffffec,0xfd53efff,
    0x039dffff,0x7ff75c40,0x202bceff,0xff981ff8,0xffffa801,0x3ffffee4,
    0x5fff9803,0xfe8875c0,0x403dffef,0x0004ffeb,0xeffffe88,0x379dfff0,
    0x3fffae00,0x02dffffe,0xbfffff30,0x3fffffb8,0xff51ef88,0x4017dffd,
    0x99fffffe,0x24fffcaa,0xfffffec8,0xd54effff,0x001bffff,0x3bff6e20,
    0xfffa801b,0x0002effe,0x000006aa,0x01000008,0x20020010,0x00ab8800,
    0x00155730,0x08004004,0x10000080,0x00351000,0x2a600000,0x200000ab,
    0x66440008,0x4004c980,0xaba880aa,0x400d4000,0x01ba8808,0x80000080,
    0x00d41ba8,0x9bba8800,0x7ffe4000,0xffb6ffff,0x50dfffff,0x00155310,
    0xfffffff7,0x7fffffff,0x1b980000,0x00080000,0x00157510,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4dffb000,0x30005ffe,0x33335555,
    0x33333333,0x00033333,0x0accba88,0x001cb800,0x665d4400,0x3506a01b,
    0x6c003500,0x1bffa6ff,0x3ffffe20,0x65d44001,0x44001abc,0x8854400a,
    0x99999999,0x26666219,0x09999999,0x13333330,0x3301a880,0xcba88000,
    0x01701acc,0x332ea200,0x880001ab,0x99999999,0x33109999,0x01333333,
    0x33333310,0x2aaaa613,0x2aaaa0aa,0x220002aa,0x10001aa9,0x33333333,
    0x4cc01333,0x44199999,0xa882aaaa,0x26601aaa,0x99999999,0x99998099,
    0x44009999,0xfff11fff,0x3fb2a001,0xffffffff,0xffffffff,0x01ffffff,
    0xfffff500,0xfc8007ff,0xfb500005,0xdfffffff,0xf90ba239,0x8017ec05,
    0xff11fff8,0xfff7001f,0x7e4c003f,0xefffffff,0x01dd000b,0xfffb9fa2,
    0x0dffffff,0xffffffb3,0x3207bfff,0x202fffff,0x20befffc,0xfea8003e,
    0xfffeefff,0x001f31ce,0xfffffc98,0x000befff,0xffffd950,0x279dffff,
    0xffffffd9,0x7edc00ef,0xd51effff,0x643fffff,0x007fffff,0x3bfffb22,
    0x003efffe,0xfffffff7,0x22039dff,0x6fffffed,0x43ffffc4,0x205ffffa,
    0xffffffec,0xec83deff,0x03dfffff,0xff71ffd4,0x3fff2005,0xffeb99bf,
    0xaaaeffff,0x1ffffedb,0x52ffd800,0x4007fffd,0x20000ff9,0x9dffffe9,
    0xffff9510,0x43ff885f,0x2a005fe8,0x0ffee3ff,0x00fffec0,0x1adffd88,
    0x0bffae62,0xf507fea0,0xfffe885f,0xfd101fff,0x003fffff,0xfb803bf6,
    0xeeffffff,0x3f62000f,0xfa882eff,0x000fffff,0x435bffb1,0x02ffeb98,
    0x7fffd400,0x3fa205ff,0x005fffff,0xf101ffd1,0xfa83ffff,0xf5007fff,
    0x5cc15dff,0x8800dfff,0x3ffffffd,0x1fffd400,0x43ffffc4,0x805ffffa,
    0x4ffffffa,0x01fff300,0xbfd17f60,0xdfffd100,0x3ffffa01,0x3ffea05f,
    0x37fdc001,0x003fffea,0x70002ff8,0x803fffff,0xc82fffd9,0x3fff34ff,
    0x3637ec00,0xfff1005f,0x2ffea005,0x09fd3000,0x3ee5ffd0,0xffff506f,
    0x7fcc01ff,0x7001ffff,0xffff805f,0x05ffffff,0x13fffee0,0x07fffdc0,
    0x005ffd40,0x0004fe98,0x0ffffffc,0x3ffffe20,0x7f7003ff,0x0fffffc0,
    0x01ffffe6,0x01ffffb1,0x01ffffc4,0x7fffffc4,0x01ff8002,0x50fffff1,
    0x200bffff,0x01ffffff,0x4400ff20,0x03fe20ff,0x1fffff30,0x7ffffd40,
    0x00ffcc05,0x889fff10,0x2001ffff,0xfc8004fc,0x2001ffff,0xff882ffe,
    0x004fffef,0xff883fe2,0x05ff7000,0x0007bea0,0x3ea02fe4,0x01fffeff,
    0x0ffffffa,0x9fffffb0,0xf301b200,0xffffd715,0x3ff2005f,0x7dc004ff,
    0x77d400ff,0x0bf90001,0x7ffff400,0xfffd801f,0x9801ffff,0x3fffa02f,
    0x7fffc41f,0x3fffe207,0xfffa801f,0xfffc805f,0x7c4005ff,0x3fffe204,
    0x5ffffa87,0xfffffd00,0x00fdc003,0x17dc2fa8,0x3ffffe20,0x7fffcc04,
    0x01fb805f,0x217ffea0,0x2001fffd,0x7d4007fa,0x4003ffff,0xff702fe8,
    0x4001ffff,0x017d43fa,0x22005fb0,0x999988ef,0x27dc0199,0x3fffffa0,
    0x7fffdc05,0x7ffd406f,0x07f007ff,0x2db98598,0x3fffea00,0x1ff70006,
    0x88077c40,0x5c2209aa,0xffd0004f,0xfb003fff,0x1fffffff,0x3a01f880,
    0x7c41ffff,0x3f607fff,0x3a004fff,0x4402ffff,0x01ffffff,0xf8803ee0,
    0xffa87fff,0xffd005ff,0x54001fff,0x3053001f,0xffff9005,0xfff9803f,
    0x220885ff,0x3ff2001f,0x07ffc86f,0x3001ff80,0x009fffff,0xff80bea0,
    0x4c003fff,0x54002982,0x5c7fa001,0xffdeffff,0x01fd82df,0x03ffffea,
    0xffffff10,0xfffff803,0x007cc02f,0xff100000,0x40007fff,0x07fa00fe,
    0x3aefbfee,0x07f62ece,0x3ffffa00,0xfdcd801f,0x406fffff,0x3ffa01f8,
    0x7ffc41ff,0xffff507f,0x7fd4003f,0x7ec00fff,0x2004ffff,0x7ffc404e,
    0xffffa87f,0xffffd005,0x0fd4001f,0x7c400000,0x9806ffff,0xb85fffff,
    0xf9000ec2,0xffe83fff,0x04fd8002,0x3fffffd0,0x5017c000,0x00009999,
    0x54000000,0x9fffd43f,0x443fffb8,0x6665c06f,0xffff9002,0xfffc809f,
    0x02ec05ff,0x3f600000,0x0000ffff,0x1fd403ea,0x260fffa2,0x01be22fe,
    0x3fffffa0,0xfe8cd801,0x204fffff,0x3ffa01f8,0x7ffc41ff,0xffff887f,
    0x7fc4007f,0x7cc05fff,0x800fffff,0x7fc401f9,0xfffa87ff,0xfffd005f,
    0x7d4001ff,0x372e6001,0xfffc801b,0xff9803ff,0x42d85fff,0x3ff20009,
    0x0ffee4ff,0x4037d400,0x07fffff9,0x00016400,0x55555550,0x55555541,
    0x2f772602,0x987e8390,0x7ffc3fff,0x000fdc0f,0x7fffcc00,0x7ffcc07f,
    0x5f100fff,0x2aaaaaa0,0x2aaaaa0a,0xffffa82a,0x0e80006f,0x7ffd0fd0,
    0x3ee17d40,0x7fff4001,0x14d801ff,0x7fffffff,0xfe807e20,0x7fc41fff,
    0xfffc87ff,0xff8004ff,0x7401ffff,0x803fffff,0xfff8805d,0xffffa87f,
    0xffffd005,0x0fd4001f,0xecfffc80,0x3ffe04ff,0xf9803fff,0x2f85ffff,
    0x7ffd4000,0x01efeaff,0x007fe200,0x0dfffff9,0x5554c000,0x664c0aaa,
    0x3ffffee1,0x3ffff21f,0xbdff907f,0x7cc3ffff,0x43fff883,0x7c42fffc,
    0x55555444,0x3ffa002a,0x3f202fff,0x703fffff,0x7fffdc0f,0x3fff21ff,
    0xfffc87ff,0x080005ff,0xffc87f30,0x2216c00f,0x7ff4004f,0x4d801fff,
    0x3fffffe6,0x201f881f,0x441ffffe,0xfd87ffff,0x8003ffff,0x03fffffd,
    0x37ffffd4,0x22007e60,0xfa87ffff,0xfd005fff,0x4001ffff,0x7f4401fa,
    0x427ff45f,0x2ffffff8,0xfffff980,0x00017d45,0x3fffffe2,0xfb00001d,
    0xfffff807,0x2600004f,0x13fffffd,0xf88dfffd,0x7d41ffff,0xffb87fff,
    0xb8bff224,0x3fff880f,0x6c0fffec,0x7fffe447,0x3fee007f,0x3be06fff,
    0xd06fffff,0xffff8809,0x7fffd41f,0xfffffe87,0x2e000004,0x17ffe20f,
    0x01f60220,0x3fffffd0,0xffb89b00,0x440fffff,0x3fffa01f,0x7fffc41f,
    0xffffff87,0xfffd8002,0xfff804ff,0x1b202fff,0x3ffffc40,0x02ffffd4,
    0x0fffffe8,0xb007ea00,0xff983fff,0x7fffd44f,0xff9801ff,0x3fe65fff,
    0xffe80002,0xff501fff,0x703fffff,0x7ffc40df,0x00003fff,0x8bffffe8,
    0x40fffffe,0x4c1fffff,0x7c47ffff,0x22fc82ff,0x7fff107c,0xb837ffc4,
    0xffffb80f,0x3ffe2007,0x8fa81fff,0x41ffffff,0xfff801f9,0x7ffcc1ff,
    0xfffff87f,0x2000003f,0x27ffd47c,0x001f7000,0x0ffffff4,0x7fec26c0,
    0x7c46ffff,0x3ffffa01,0x3ffffc41,0x3fffffe2,0xfffc8002,0xffb805ff,
    0x5f105fff,0x3fffe200,0x5ffffa87,0xfffffd00,0x00fd4001,0xf01ffff3,
    0x7fdc5fff,0x9801ffff,0xdbefffff,0x20002fff,0xffffffea,0x3fffa206,
    0x403fe202,0x1ffffff9,0xffd80000,0xffefdbff,0xfffff87f,0x3ffffcc1,
    0x203bffea,0x7c41b62f,0xdffb33ff,0x2607ea03,0x4007ffff,0x84fffffc,
    0xfffff95e,0xff006c89,0xff983fff,0x7ffcc7ff,0x00002fff,0xfff91b60,
    0x0fd40007,0xfffffd00,0x3a09b003,0x24ffffff,0x3ffa01f8,0x7ffc41ff,
    0x7fffd47f,0xfc8001ff,0x8807ffff,0x80ffffff,0x3fe2006b,0xfffa87ff,
    0xfffd005f,0x7d4001ff,0x1ffffa01,0xf92ffff4,0x001fffff,0xfffffff3,
    0x0005ffff,0xffd3bfd3,0x7d407fff,0x03fe802f,0x3ffffff7,0xffb00000,
    0x3ee1fdff,0xfffff83f,0x3ffffc41,0x07bfffea,0xf882f477,0x3fffffff,
    0x7c417d40,0x4c007fff,0x4c7fffff,0xfffff31f,0xff003f8f,0xff883fff,
    0x7ffd47ff,0x00001fff,0xfffb17a0,0x17d40005,0xfffffd00,0x2209b003,
    0x2fffffff,0x7ff403f1,0x7ffc42ff,0x7fffdc7f,0xfc8001ff,0x800fffff,
    0x84fffffc,0x3fe2003f,0xfffa87ff,0x7f40365f,0x2000ffff,0xfff101fa,
    0x3fffa0df,0x3ffffee7,0xffff3007,0x5fff71bf,0x24ffb800,0x1ffffffa,
    0x2e00bf70,0xffff506f,0x000005ff,0x05fffff9,0x3ffffe01,0x3ffffc41,
    0x3fffffe2,0x220db043,0xfffabfff,0x440fd404,0x8007ffff,0x22fffffe,
    0x7ffff46c,0x2001f52f,0x441fffff,0x7d47ffff,0x002fffff,0xf91b6000,
    0x540007ff,0x3ffa001f,0x4d801fff,0x3ffffe60,0x201f89ff,0x6c3ffffd,
    0x2a0fffff,0x01ffffff,0xfffffc80,0xffff3007,0x007d41ff,0x1fffff30,
    0x3fffffc4,0x7ffff40f,0x07ea000f,0x837fffd4,0xf51ffffe,0x001fffff,
    0x8bfffff3,0x3f2002fe,0x7ffec1ff,0x0fe80eff,0x301ff300,0x07ffffff,
    0xfff90000,0xfff800ff,0x7ffc41ff,0xffffd87f,0x07c80dff,0x3f67fff1,
    0x03f200ff,0x01ffffe2,0x3ffffee0,0xffb85f16,0x00bb5fff,0x20fffffc,
    0x4c7ffff8,0x03ffffff,0xccccccc8,0x1f24cccc,0x0009fff7,0xfd0007e4,
    0xb003ffff,0xffffb809,0x201f9eff,0x99effffb,0x1ffffffd,0x3fffffe2,
    0xfffc8002,0x3fa006ff,0x13a3ffff,0xfffff300,0xfffdd519,0x740b99ff,
    0x000fffff,0x7fdc03ea,0xfffd06ff,0x3fffe65f,0xff9801ff,0x17cc5fff,
    0x86fff980,0x6ffffff8,0x3a0017cc,0xffff882f,0x800004ff,0x006ffffc,
    0x20fffffc,0xa87ffff8,0xffffffff,0x7c407dc1,0xbfff33ff,0xff883ec0,
    0xf88007ff,0x7b9fffff,0xffffff88,0x3fe002f9,0x7fc41fff,0x7ffc47ff,
    0xa9804fff,0xfffffffe,0xf983ee1b,0x360006ff,0x7fff4007,0x04d801ff,
    0xffffffc8,0x7ff401fe,0xff9effff,0x7ffc3fff,0xd8003fff,0x004fffff,
    0x5bffffea,0x7cc000f9,0x4fffffff,0x1ffffffb,0x7fffff40,0x403ea000,
    0xd06ffffc,0x7fc9ffff,0x9802ffff,0xf85fffff,0xffffd002,0xfffff701,
    0x0017a2bf,0x7ffc17f2,0x00005fff,0x05ffffc8,0x0fffffc0,0x41ffffe2,
    0xfffffffb,0x2213e20f,0x3ff23fff,0x104f881f,0x000fffff,0x33fffff2,
    0xffffb04e,0xff800fdf,0x7fc41fff,0xfffe87ff,0x3e2005ff,0x882fffff,
    0x0fffec4f,0x013e2020,0x3fffffd0,0x36009b00,0x1fffffff,0x7ffff440,
    0xffffff15,0x7fffff4d,0xfffd8004,0x7fc003ff,0x05d9ffff,0xfffefa80,
    0x3ffa23ff,0x7ff401ef,0x2e000fff,0xffff700f,0x3ffffa0d,0x3fffff23,
    0xffff9803,0x4b02d85f,0x02fffff8,0x9ffffffb,0xf30001fb,0xffff901f,
    0x900000df,0x8007ffff,0x441fffff,0x2a07ffff,0x5fffffff,0x7ffd43ec,
    0x21bffe25,0xfff101fb,0x3e6000ff,0x00ffffff,0x9ffffff5,0xfffff800,
    0x3ffffc41,0x37ffffdc,0x3ffffe00,0xf88fb01f,0x21a605ff,0x80ba81fb,
    0x00fffffe,0xfd1004d8,0x003fffff,0x0ff606a2,0x4fffffb8,0xfffff800,
    0x7fdc000f,0x001fefff,0x1ba8cfb8,0x2002ae60,0x01fffffd,0x7d403ee0,
    0xffd06fff,0x7ffc45ff,0xff9804ff,0x81a85fff,0x3fffea68,0x3fffa04f,
    0x0002ffff,0x3fe20bfe,0x0000ffff,0x1ffffe40,0x3ffffe00,0x3ffffc41,
    0x3ffffa20,0x321fd47f,0x3f20efff,0x81be24ff,0x007ffff8,0x3fffffa0,
    0x7ffffc05,0x7ffc001f,0x7ffc41ff,0xffff887f,0x7ff4007f,0x7f500fff,
    0x21effd88,0x37c40dc9,0x3a0ffff4,0x800fffff,0x3fe6004d,0x0001ffff,
    0x3a01bfa2,0x4006ffff,0x04fffff9,0xfffff880,0xbfb0005f,0x7ec00000,
    0x2001ffff,0x3ffe207c,0xfffff06f,0xfffffc81,0x7fffcc00,0xa96e005f,
    0x01ffffff,0xfffffff1,0x27e40009,0x4fffffc8,0x3f206000,0x7c003fff,
    0x7c41ffff,0x41cc7fff,0x41fffffc,0xddddb1fd,0x3bb627dd,0x4403fb3e,
    0x0007ffff,0x0bffffee,0x0dffff90,0x3fffff00,0x07ffff88,0x05fffff5,
    0x7fffff40,0x2a07f600,0x02defffd,0xfff983fb,0x7ffff44f,0x8009b007,
    0x01fffffa,0x00ffee00,0x0bffffea,0xfffffb80,0xfff90000,0x3a0005ff,
    0x2000007f,0x02fffffc,0xffb017a0,0x3fffe0ff,0x7ffffd05,0xfffffa80,
    0x4c9f3005,0x0fffffff,0xffffff30,0x404981df,0x3ffa07fa,0xa8000fff,
    0x3ffffc86,0x7ffff400,0x3ffffcc1,0x3fea03e6,0x07fc41ff,0x00ff2000,
    0x00fffff1,0x37fffc40,0x1ffffcc0,0x7ffff400,0x3ffffcc1,0x0dffff90,
    0x7fffff40,0x803fe200,0x41fe4008,0x745ffffb,0xb005ffff,0xfff90009,
    0x7ec0003f,0xfffd004f,0x7ff400bf,0x260003ff,0x0006ffff,0x0003fff1,
    0x3fffe600,0x07f3003f,0x40ffff98,0x101ffff8,0xb80dffff,0x806fffff,
    0x7ffc3ff8,0xb00effff,0xffffffff,0xf003f739,0x3ffe203f,0x7dc006ff,
    0x3ffffc84,0x7fffec00,0x3ffffa22,0xfe82fc47,0x05ff307f,0x00bfb100,
    0x00fffff1,0x03fffc80,0x001fffd0,0x45ffffb0,0x07ffffe8,0x01ffffec,
    0x0fffffe8,0x0017fcc0,0xf982fec4,0x7ffc1fff,0x0bd003ff,0x07fff600,
    0x0fffe800,0xffffe880,0xffffb800,0xffe80004,0xff30003f,0x4000005f,
    0x00effffe,0xfc803fc4,0x7ffdc3ff,0x7fff4404,0xffffd00e,0xfffb80df,
    0x7ffffcc2,0xfcabefff,0xffffffef,0xb004ffff,0x7ff4c09f,0x6c400dff,
    0xffffb02f,0xfffb8007,0xfffd98df,0x17fc47ff,0xd302ffec,0x3ea0039f,
    0xfff1003f,0xf98000ff,0xff5000ff,0x3fee000b,0xffd98dff,0xfc807fff,
    0xfe802fff,0x9800ffff,0xf5001cfe,0x5ffd807f,0x02ffffc4,0x10006f88,
    0x40003ffd,0x001efffc,0x401dfff9,0x004ffff9,0x00fff500,0x027ffdc0,
    0xfff30000,0x3a201dff,0x3ff2002f,0x09fff11e,0x5f7ffe40,0xffffd999,
    0xcaabdfff,0x81fffffd,0xfffffffb,0xd31effff,0xbfffffff,0x4037d400,
    0xacfffffc,0x0efedb99,0x0fffff60,0x3ffffa00,0xffff9dff,0x37ffe22f,
    0x100dff31,0x1337bffb,0x03fff953,0x7ffffcc0,0x27f40001,0x005ff100,
    0x7fffff40,0xfffff9df,0xfffe9802,0xfffa882d,0xb1000cff,0x31337bff,
    0x003fff95,0x3625ffd1,0xb1005fff,0x100019ff,0x440003ff,0x1bcffffe,
    0x57fffd40,0x3ffff260,0x7f400002,0x3fea0003,0x4000002f,0xdffffffa,
    0x01ffecab,0xfefffa80,0xb88002ef,0xfffffffe,0xffffffff,0xffffffff,
    0x3fff6607,0x902effff,0x009fffff,0x8801ff88,0xffffffeb,0x7c403dff,
    0x8005ffff,0x14ffffe8,0x4bffffff,0xfffffddf,0x3f22000d,0xdfffffff,
    0xfffb8002,0x5c0003ff,0x03e4001f,0x3fffa200,0xfffff14f,0x3faa00bf,
    0xfffeffff,0x20001cff,0xffffffc8,0xb8002dff,0xceffffff,0x7fff5400,
    0x4001efff,0x440001fa,0x03fffffd,0xefffdb88,0x00beffff,0x00fb8000,
    0x006ff400,0x7e440000,0xffffffff,0x5440000b,0x200000ab,0x01999a99,
    0xba980000,0x751001ab,0x0e5c0005,0x2eea6200,0xfff7000a,0x007dffff,
    0x20003510,0x00055cc2,0x26b2ea60,0xfff88000,0x00efffff,0x30007100,
    0x2a200005,0x22000001,0x9aabcbaa,0xa9800000,0x00009acb,0x005654c4,
    0x54000000,0x75300000,0x2a200015,0x0000aabb,0x0001c400,0x00000008,
    0x35797530,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xcb988000,
    0x260281bc,0x0390bddc,0x23ffffd8,0x003ffffd,0x3bfffea0,0x4ccccc40,
    0x00199999,0x4ccccc40,0x5c400009,0x00000003,0x33333100,0x33333333,
    0x33333333,0xaaaa9813,0x0e64c0aa,0x80003100,0x983ffffd,0x20aaaaaa,
    0x0000bdca,0x80bffffa,0x01999999,0x1bcba800,0x0a8054c0,0x33333333,
    0x33333103,0x4ccccccc,0x00199999,0x19999998,0x33301ca8,0x33333333,
    0x20593033,0x99999999,0x26619999,0x99999999,0x26666099,0x99999999,
    0x0d4c0000,0x00c88098,0x3fea01d4,0x8beffeef,0xbdff9069,0x4403ffff,
    0x7444ffff,0x20005fff,0x980efffd,0xffffffec,0xceffffff,0xfffb800a,
    0x20002fff,0x003ffffa,0x4c000000,0xffffffdc,0xffffffff,0x43ffffff,
    0x3fffffd9,0x00dfffd1,0x0003bff2,0x413fffe2,0xafffffea,0x4fffffe8,
    0xffff9800,0x3fffa202,0x2e0007ff,0x2fffddff,0x16ffff44,0x3fffa1f3,
    0x540effff,0xb916fffe,0xffffffff,0xe88009bd,0x747fffff,0x3220dfff,
    0xfffffffd,0x7fe44def,0x3fb221ef,0xffffffff,0xfffd914d,0x7bffffff,
    0x3ffff722,0x01ceffff,0xdfffb100,0x2207e217,0x813ea06f,0x74c1cffd,
    0xffb86fff,0x80bff224,0xd104fffa,0x20001fff,0xa800efff,0xabffffff,
    0xcffffeca,0x7fffc400,0x3fa0002f,0x0001ffff,0xf3000000,0xbfffffdf,
    0xffb75555,0x3ffa07ff,0xfffe8bff,0x7fc400ff,0xfa8003ff,0xfff804ff,
    0xffdfecff,0x64001fff,0xf7003fff,0x2000ffff,0xfff17ffb,0x7ffff41f,
    0x645fdfff,0x402fffff,0xfff304fe,0x0000bfff,0x54fffff7,0x305fffff,
    0x0bffffff,0x1bffffe2,0x7fffffcc,0x3ffea00e,0x2600efff,0x03ffffff,
    0xffffd800,0x207fefff,0xdcabdefe,0xbff902ff,0x446ffc80,0x2fc82fff,
    0x1013ff60,0x50007ffd,0x74001dff,0xb81fffff,0x402fffff,0x002fffff,
    0xffffff10,0x00000009,0x3efbe200,0x2604ffff,0xffb03ffe,0xffdfb7ff,
    0xfff500ff,0xffb000df,0x3fffa009,0x3ffee4ff,0x7ff4005f,0x3ffea003,
    0xffa8007f,0x1ffff16f,0x3fffffea,0x7c43ffff,0x7404ffff,0x7ffff406,
    0xfa80002f,0x3ff27fff,0x3fa07fff,0xf502ffff,0x203fffff,0x04fffffe,
    0x3ffffff8,0xfffffe80,0x7fcc0000,0xffffffff,0x3fffe604,0xf306ffff,
    0xdfb003ff,0x80efffa8,0x0bff102f,0x0017fa20,0xd0003ff6,0x203fffff,
    0x83fffff9,0xefffffec,0xb001eeee,0x00bfffff,0x20000000,0xffffb9fc,
    0x1ff4404f,0xfeffffd8,0x1007ff70,0x8007ffff,0x3a005ff8,0x7c45ffff,
    0x26007fff,0x7c4003ff,0xe8007fff,0x3bee6fff,0x3f267b23,0xc80effff,
    0x2206ffff,0x7ffec03f,0x880001ff,0x3e67ffff,0xb01fffff,0x203fffff,
    0x3ffffff8,0x3ffffbb6,0xeeeeeeff,0xfffffeee,0xfb03eeef,0x0000ffff,
    0xfff713f5,0xfb803dff,0x00ffffff,0x1001fff9,0xffffa8dd,0xfa81dc1e,
    0x07fc4005,0x0007fe00,0x07fffff6,0x1fffffc8,0x7fffff64,0x001eeeee,
    0x0bffffb3,0x00000000,0x3ffee7f1,0x3fa804ff,0x5fffff90,0x7f540010,
    0x2fd4000c,0x3ffffa00,0x3ffffc42,0x0009f900,0x00fffff1,0x00dffff0,
    0x03b93057,0x0fffffcc,0x7ec00fa8,0x0001ffff,0x47ffff88,0x00ffeffc,
    0x03fffffb,0x17ffff54,0xfffffddb,0xdddddddf,0xffffffdd,0x3f607ddd,
    0x80007fff,0x02db984a,0x33fffa60,0x0ffffa00,0x3fe23dc0,0x8043ffff,
    0x15100029,0x000d4400,0x1fffffd8,0x3ffffe20,0xffffe80f,0xf7080002,
    0x00000009,0x7fdcdb00,0x40884fff,0xffff903f,0x0000000f,0xfd000530,
    0xff885fff,0x55000fff,0x3ffe2000,0x7fcc007f,0x000006ff,0x09ffffd0,
    0x3ff60176,0x80001fff,0x887ffff8,0x3f607f88,0x0801ffff,0x3ff203fd,
    0xfd802fff,0xd801ffff,0xaccfffff,0x000009aa,0x800c4000,0x802fffff,
    0xffffd878,0x00000dff,0x00000000,0x0fffffec,0x3fffff60,0x2ffffe84,
    0x0bf60000,0x00000000,0x7ffdc3f5,0x642b84ff,0xdffff903,0x00000000,
    0x7fff4000,0xfffff82f,0x88000000,0x4007ffff,0x006ffffa,0xfff70000,
    0x200fe0ff,0x01fffffd,0xffff8800,0xd81bea07,0x001fffff,0x3f201ff1,
    0xd802ffff,0x801fffff,0xfffffffd,0x01dfffff,0x00000000,0x3fffffd8,
    0xfffa8380,0x441fffff,0x02aaaaaa,0x55555551,0x2aaaaa20,0xaaaaaaaa,
    0xffffb00a,0xfffa803f,0xfffe87ff,0x02f72a2f,0x2a66f880,0x2a0aaaaa,
    0x00000bdc,0xfff713e2,0x885909ff,0xbffff900,0x55554400,0xaaaaaaaa,
    0x555530aa,0x1cc98155,0x82ffffe8,0x260fffff,0x20aaaaaa,0x4400bdca,
    0x4007ffff,0x006ffffa,0x55555551,0xfffff100,0xd800fa83,0x001fffff,
    0x7ffff880,0xfd807f20,0x5001ffff,0x7ffe407f,0xffd802ff,0xfd801fff,
    0x3ee67fff,0x54c3ffff,0x2a0aaaaa,0x2a200bdc,0x402aaaaa,0xeffffffb,
    0xfffb8002,0x220fffff,0x07fffffc,0xffffff91,0x3bfffea0,0xfffffeee,
    0xffffb00f,0xfff8803f,0x7ff42fff,0xfffe8aff,0x3f9003ff,0x7fffff54,
    0xfffffd8a,0x1f900004,0x4fffffb8,0x3f2002e8,0x2a003fff,0xeeeeffff,
    0x30ffffff,0x27fffffb,0xe86fffe8,0xff82ffff,0x3faa0fff,0xfe8affff,
    0x2204ffff,0x4007ffff,0x006ffffa,0xffffff91,0x3ffff600,0xfd802ec4,
    0x0001ffff,0x07ffff88,0xffd80bf3,0xe8801fff,0x7fffe406,0xfffd802f,
    0xffd801ff,0xfffb87ff,0x3ffaa3ff,0xffe8afff,0xf9104fff,0x980fffff,
    0xffffffff,0x7fd4002e,0xb85fffff,0x5c07ffff,0xf507ffff,0xffff703d,
    0x7ffec05f,0xfff801ff,0x7ff44fff,0xffefecff,0x36200fff,0xfffff01f,
    0xffffbfd9,0xf980003f,0xfffffb82,0x90017d44,0x4007ffff,0xffb81efa,
    0xffe82fff,0xfffe8bff,0x7fff40ff,0xfffff82f,0xcfffff80,0xfffffdfe,
    0xfffff101,0xffffa800,0x7ffdc006,0xfff5007f,0x8017c4ff,0x01fffffd,
    0xffff8800,0xd804fa87,0x401fffff,0x7e400ee9,0xd802ffff,0x801fffff,
    0xd07ffffd,0xf81fffff,0xdfecffff,0x201fffff,0x807ffffb,0xfffffffc,
    0x22001eff,0x87fffffe,0x407ffff9,0x507ffff9,0xffff101f,0xfffd80df,
    0xfff801ff,0x7ff45fff,0x3fee4fff,0x3bd105ff,0x7fffff40,0x17fffee4,
    0x2e0bd000,0x2e4fffff,0x3f2002ff,0x2a003fff,0xffff880f,0xffffb06f,
    0xffffdfb7,0x05ffffd0,0xd01fffff,0x5c9fffff,0xf105ffff,0xdda8ffff,
    0x6ffffa81,0x7fffcc00,0xffff1007,0x4003ea5f,0x81fffffd,0xf8800bb8,
    0x1fe47fff,0xfffffd80,0x0033ea01,0x0bfffff2,0x3fffff60,0xffffd801,
    0xfffff907,0xfffffe89,0x17fffee4,0x07ffff98,0xffffffb0,0x2609ffff,
    0xfffffc83,0x3ffffc41,0x1ffffe20,0xfffd82d4,0x7ffd41ff,0xffffffff,
    0x7ff45fff,0x7ff46fff,0x7ffc45ff,0xd003307f,0xf88bffff,0x20007fff,
    0xfff700fb,0xffff9bff,0x7ffe4005,0x416a003f,0x01fffffd,0x1fdffffb,
    0x3fa0ffee,0xfff82fff,0xfffe80ff,0x7fffc45f,0xfffff107,0x543fffc4,
    0x4006ffff,0x007ffff8,0x6d7ffff6,0x3fff6005,0x7ffe81ff,0x7ffff880,
    0x3ff60014,0x02a01fff,0xfffffc80,0xeeeeeeee,0x1ffffffe,0x7ffffd80,
    0xbfffff70,0x45ffffe8,0x207ffff8,0x007ffff8,0x3ffffff6,0x4c0effff,
    0xffffa80f,0x3ffffc41,0x1ffffe20,0x7ffcc14c,0xaaa884ff,0xabfffffe,
    0x7fec2aaa,0x7ff46fff,0x7ffc42ff,0x7f40007f,0x7fc42fff,0xf10007ff,
    0x73333339,0xfdffffff,0x64005fff,0x2003ffff,0xffff9829,0x3fff204f,
    0xfd0082ff,0xfff05fff,0xfffd01ff,0xffff885f,0xfffff107,0x20ffffd4,
    0x006ffffa,0x03ffffc4,0x3fffff50,0x7fec005f,0x7fcc1fff,0x7fc402ff,
    0x6c0007ff,0x001fffff,0x3ffff200,0xffffffff,0xffffffff,0xffffd801,
    0xfffff507,0x2ffffe8b,0x03ffffc4,0x00fffff1,0xfffffea8,0x220effff,
    0x0fffd05f,0x80fffff1,0x007ffff8,0x07fffff4,0x7ffffec0,0xffffe801,
    0x7ffff45f,0x0fffff82,0x3fffa000,0xfffff82f,0xfffd8000,0xffffffff,
    0xffb34fff,0x7ffec005,0xfe80003f,0x3200ffff,0x4007ffff,0x442ffffe,
    0xe80fffff,0x7c42ffff,0xf880ffff,0x3fe27fff,0xffffa87f,0x7ffc4006,
    0x5555507f,0xfdfffff7,0x20555557,0x41fffffd,0x401ffff8,0x007ffff8,
    0x7ffffec0,0x3f200001,0xd802ffff,0x801fffff,0x707ffffd,0xe87fffff,
    0x7c42ffff,0xf100ffff,0x2000ffff,0xfffffffb,0x0bfe24ff,0x3e217ff6,
    0x7c407fff,0x2e007fff,0x002fffff,0x03fffffb,0x9ffffff0,0x82ffffe8,
    0x000fffff,0x0bffffa0,0x003ffffe,0x33335f50,0xffff7333,0x002fd89f,
    0x00fffff6,0xfffff700,0xffffc805,0x7fff4006,0x7fffc42f,0xffffe80f,
    0x0fffff82,0x47ffff88,0xffa81cd9,0x7c4006ff,0xfff07fff,0xffffffff,
    0xffffffff,0x3fffff60,0x803ffb81,0x007ffff8,0x7ffffec0,0x3f200001,
    0xd802ffff,0x801fffff,0xb07ffffd,0xe83fffff,0xff82ffff,0xff100fff,
    0x44000fff,0xfffffffb,0x3bfff10f,0x7c41bfe6,0x7c407fff,0xf1007fff,
    0x400dffff,0x01fffffd,0x2ffffff8,0x417ffff4,0x000fffff,0x0bffffa0,
    0x003ffffe,0xfb804f88,0x7c44ffff,0xffff1002,0x7c4000bf,0xc806ffff,
    0x2005ffff,0x45fffff9,0x83fffffb,0xf82ffffe,0xf880ffff,0x54007fff,
    0x4006ffff,0x007ffff8,0x17ffffcc,0x3ffff600,0xf880001f,0x40007fff,
    0x01fffffd,0x3fff2000,0xffd802ff,0xfd801fff,0xffd07fff,0xfffd0fff,
    0xfffff05f,0x3fffe201,0x64402c07,0x22ffffff,0xfffffddf,0xffff100d,
    0xffff880f,0xffffb007,0x7fec003f,0x7c401fff,0x741fffff,0xff82ffff,
    0x20000fff,0xf82ffffe,0x2000ffff,0xffb800fc,0x02e84fff,0xffffffb8,
    0xfd8003ef,0xc801ffff,0x9003ffff,0xdfffffff,0x3ffffff6,0x7ffff46f,
    0x0fffff82,0x07ffff88,0x37fffd40,0x3fffe200,0x7ffc4007,0x7ec001ff,
    0x8001ffff,0x3ffffc44,0x3fff6000,0x048001ff,0x05fffff9,0x3fffffb0,
    0xfffffb00,0x3fffff70,0x05ffffd0,0x201fffff,0x407ffff8,0xfff5000f,
    0x3ee147ff,0x7ffc400a,0x7ffc407f,0xfff9807f,0x7ec004ff,0x4c01ffff,
    0xe87fffff,0xff82ffff,0x20000fff,0xf82ffffe,0x3000ffff,0x3fee005f,
    0x02c84fff,0x40000019,0x04fffff9,0x07ffff90,0xe8000000,0xff82ffff,
    0xff880fff,0x7d4007ff,0x44006fff,0x4007ffff,0x01fffff8,0x7ffffec0,
    0x2234c001,0x0007ffff,0x0fffffec,0x7e41a600,0xd802ffff,0x801fffff,
    0x99fffffd,0x0effffca,0x05ffffd0,0x201fffff,0x407ffff8,0x3fee003f,
    0x0bfa03ff,0x1ffffe20,0x0fffff10,0x1fffffd0,0xffffd800,0x7ffe401f,
    0xfffe83ff,0xfffff82f,0x3ffa0000,0xffff82ff,0x00bd000f,0x27ffffdc,
    0x203c40cc,0x4000bdfd,0x00fffffe,0x07ffff90,0x17bf9000,0x7ffff400,
    0x0fffff82,0x07ffff88,0x37fffd40,0x3fffe200,0xdddddd07,0xddfffffd,
    0x360bdddd,0x001fffff,0x3ffe22e4,0x7ec0007f,0x4001ffff,0xffff905c,
    0xfffb005f,0xffb003ff,0xffffffff,0xffe807df,0xffff82ff,0xffff100f,
    0x4006f80f,0xf901ffff,0xff8807ff,0x7fc407ff,0x7fdc07ff,0x40902fff,
    0x01fffffd,0x1bffffe2,0x417ffff4,0x000fffff,0x0bffffa0,0x003ffffe,
    0xfb8003ee,0x2004ffff,0x7ffec06c,0x3ffee003,0xf90902ff,0x00007fff,
    0x4009fff9,0xf82ffffe,0xf880ffff,0x54007fff,0x4006ffff,0x907ffff8,
    0xffb99999,0x9999bfff,0x3fff6099,0x3e2001ff,0x3ffffc44,0x3fff6000,
    0x3e2001ff,0xfffff904,0xffffb005,0xfffb003f,0x033355ff,0x17ffff40,
    0x807ffffc,0x407ffff8,0x3f6003ff,0x37fe407f,0x1ffffe20,0x0fffff10,
    0x37ffffc4,0x3ff60688,0x3ee01fff,0xfd01ffff,0xfff05fff,0x740001ff,
    0xff82ffff,0x7c400fff,0x7ffdc003,0xbf1004ff,0x00fff700,0x1bffffe2,
    0x7ffe4344,0xf500003f,0x3fa001ff,0xfff82fff,0xfff880ff,0x7fd4007f,
    0x7c4006ff,0x4c007fff,0x001fffff,0x0fffffec,0xf887f900,0x40007fff,
    0x01fffffd,0x7e40ff20,0xd802ffff,0x801fffff,0x007ffffd,0x17ffff40,
    0x807ffffc,0x407ffff8,0xf8801fff,0x7fd403ff,0x7fffc405,0x7fffc407,
    0x3ffff607,0x740bb01f,0x101fffff,0x405ffffd,0x442ffffe,0x000fffff,
    0x0bffffa0,0x01fffff1,0xfb8007e8,0x9804ffff,0xff9804fe,0xffffb006,
    0x3617603f,0x0003ffff,0x400fff10,0x442ffffe,0x880fffff,0x000fffff,
    0x01bfffea,0x0fffff10,0xfffff980,0x7ffec001,0xff7002ff,0x7ffff885,
    0x7ffec000,0xff7002ff,0x3ffff605,0xfffe802f,0xffd802ff,0x740007ff,
    0x7c42ffff,0xf100ffff,0xff80ffff,0x7fe402ff,0x0fff4c05,0x3ffffe60,
    0x3fffe601,0xffff981f,0x40bf904f,0x82fffffe,0x00effff9,0x21fffff4,
    0x01fffff9,0x3ffffa00,0x7ffffc43,0x001bf201,0x17ffffee,0x807fff50,
    0x9803ffd8,0x904fffff,0xffffb0bf,0xf9100007,0x7ff4009f,0x7ffc42ff,
    0xfff980ff,0x3f2001ff,0x4c007fff,0x001fffff,0x0bffffea,0xfffffd00,
    0x3fff9007,0x1fffff98,0x3fffa000,0xffc803ff,0xffffb01f,0xfffd007f,
    0xffd005ff,0x40001fff,0x442ffffe,0x300fffff,0x403fffff,0x80dfffff,
    0xf300dffb,0xf7003bff,0x5c07ffff,0xe83fffff,0xa99fffff,0x504fffca,
    0x7dffffff,0x7dfffd95,0xfffff300,0xfffffb8b,0xfff30003,0xfffb8bff,
    0xffc883ff,0x3fe2002f,0xabdfffff,0xfffffdba,0x5bffd102,0x3ffffa00,
    0xffcaa99f,0x7fffc44f,0x3a20005f,0x26003eff,0x5c5fffff,0xb83fffff,
    0x003fffff,0x07fffff6,0xfffffb80,0xfffd1003,0x2a001dff,0xcfffffff,
    0xffdcaaab,0x7fdc0fff,0x50003fff,0x9fffffff,0xffb95557,0xff301fff,
    0x401dffff,0x6ffffffa,0x7ffffd40,0xff30004f,0xffb8bfff,0xff703fff,
    0x67c07fff,0xeefffca8,0x00002eff,0x7fffffc4,0x3fe20eff,0x0effffff,
    0xfffffff7,0x7fffffff,0x7ffff6cc,0xeeffffff,0xff9000bd,0x32ffffff,
    0x6fffffff,0x7fffe400,0xfff97fff,0x7d4dffff,0x04ffffff,0xfffffdb9,
    0xffffffff,0x01ffffff,0x7fdc000c,0xffffffff,0x3ee3ffff,0x3effffff,
    0x20003000,0xfffffffc,0xffffffb6,0x3fffe2df,0x200effff,0xfffffffc,
    0x3fe201ef,0x0effffff,0xffffed88,0x84efffff,0xfffffed8,0xffffffff,
    0x0fffffff,0xfffffff1,0xdb1001df,0xffffffff,0xffffffff,0x3221ffff,
    0xfffffffe,0xfdb14eff,0xffffffff,0x3ffb227d,0xdfffffff,0xffff9001,
    0x3ff6dfff,0x226fffff,0xffffffff,0x9530380e,0x00000157,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x039bd951,0x33333331,0x33333333,0x43333333,0x99999999,0x40019999,
    0x99999998,0x80001999,0x01999999,0x4c04c022,0x99999999,0x33300999,
    0x01333333,0x00377510,0x26666666,0x99999999,0x98099999,0x99999999,
    0x98001999,0x99999999,0x26660001,0x01999999,0x03799750,0x33333333,
    0x00001333,0x26666666,0x26199999,0x99999999,0x33310999,0x13333333,
    0x33330000,0x33333333,0x33333333,0x99999983,0x99999881,0x4cc00009,
    0x99999999,0x1c980001,0x33333310,0x26620001,0x99999999,0x26662009,
    0x36e21999,0xbbff7002,0xffc8bfff,0xffffffff,0xffffffff,0xfdd17fff,
    0xffffffff,0x64c001dd,0xfffffffe,0xacefffff,0xffff8800,0x9ffb07ff,
    0x3223ffd8,0xfffffffd,0xec881dff,0x2effffff,0x7ffffe40,0x3fb2205f,
    0xffffffff,0xffffffff,0x7fee445f,0xdeffffff,0x7ee44004,0x1fffffff,
    0xffffa800,0x404dffff,0xfffcdffa,0x3fffb623,0xffffffff,0x000cdfff,
    0xfffffb91,0x229bffff,0xffffffdc,0xd933deff,0xffffffff,0x059ddfff,
    0x3fff7220,0xffffffff,0x7fffffff,0x3fffffa2,0xfffffb87,0x7640002f,
    0xffffffff,0x01cdefff,0x709fffb0,0x05ffffff,0x3fffee00,0x1cefffff,
    0x3ffffae0,0x13fffe5f,0x7f47ff90,0x3fff25ff,0xfffcaacd,0xfcbaadff,
    0xfffa87ff,0x0000efff,0xffffffa8,0xfffecaab,0xffc800cf,0xfff987ff,
    0x1ffff50f,0xffffff10,0x3ff2001d,0x7f4400df,0x5fffffff,0xfffff980,
    0xcbaaaacf,0x2605ffff,0x05ffffff,0xffff3000,0xb000bfff,0x1fffffff,
    0x7cfff900,0xffa80fff,0xa999ffff,0x03fffffc,0x7ffffcc0,0x7ffcc06f,
    0x7dc05fff,0xaabfffff,0x04ffffec,0x3ffffe20,0xcaaaaacf,0xfb87ffff,
    0xff107fff,0x00005fff,0x3fffffe2,0xffffecab,0x3ffe201d,0xfff880ff,
    0x5c0002ff,0x07ffffff,0x5077fcc0,0x201fffff,0x7fdc7ffc,0x03ff91ff,
    0x09fffff5,0x3fa0ffd1,0x0002ffff,0x3fffffa0,0xfffffb81,0x7fffcc02,
    0x1ffffa87,0x201ffff7,0x03fffffd,0x4013ff20,0xfffffffd,0xfd805fff,
    0x2202ffff,0x7f405ffd,0x0002ffff,0x3ffffba0,0x3e2000ff,0x04fffffe,
    0xf16fffa8,0x3fa03fff,0xfb107fff,0x4001bfff,0x03fffffd,0x2fffffe8,
    0x7fffff80,0x3dffff70,0x3ffff600,0x3ffdc02f,0x03ffffd4,0x005fffff,
    0x7fffe400,0x7fffe41f,0xffff301f,0x3fffa01f,0xfd80002f,0x000fffff,
    0xff903fe2,0xff303fff,0xffff989f,0x3ea03f92,0xf104ffff,0x3ffff60f,
    0x3a00001f,0x301fffff,0x407fffff,0xf07ffff8,0x7ffc4bff,0x3ffff205,
    0x5ff3003f,0x3bffee00,0xffffffff,0x7fffec01,0x05fb802f,0x0fffffec,
    0xfb9b0000,0x4007ffff,0xfffffbec,0x6fffe804,0xfe80ffee,0x3e207fff,
    0x2006ffff,0x02fffffd,0x1fffffd8,0x7fffff80,0x3ffffee0,0xffffc802,
    0x87e8802f,0x207ffff8,0x002ffffe,0x3ffff200,0xffffe81f,0xbfffd00f,
    0x17ffff40,0x7ffc4000,0x2a004fff,0xffff982f,0x09fffb06,0x1b21fffd,
    0x4fffffa8,0x7fec1f20,0x00001fff,0x07fffff6,0x1fffffc8,0x0fffff10,
    0x401b8154,0x02fffffc,0x2000efa8,0x7ffd41ee,0x7ec04fff,0xd002ffff,
    0xffffd80b,0x3600001f,0x7fffffac,0x3feefe00,0x7c404fff,0xe8006fff,
    0x6407ffff,0x002fffff,0x05fffff9,0x3fffffb0,0xffffff00,0xfffffd80,
    0x7fffe400,0x10f5002f,0x740fffff,0x0002ffff,0x3fffff20,0xfffffa81,
    0x019f9103,0x017ffff4,0xffffb800,0x0bd000ff,0x44177fe4,0xc883ffff,
    0xfa80f22d,0x2604ffff,0xfffffb07,0x7ec00003,0x2201ffff,0x80ffffff,
    0x007ffff8,0x3fff2000,0x6fdc02ff,0x403a6000,0x06fffffa,0x17ffffec,
    0xb016a044,0x003fffff,0xffea6c00,0xfa802fff,0x4fffffb8,0x37fffcc0,
    0x7ffff400,0x7fffdc07,0xfff9004f,0xffb005ff,0xff003fff,0xf980ffff,
    0x6406ffff,0x002fffff,0x3fffe21e,0x3ffffa07,0x3f200002,0xf981ffff,
    0x0005ffff,0x02ffffe8,0x3fffa000,0x0fb804ff,0x3fe60180,0x02a004ff,
    0x4fffffa8,0xfffd81c0,0x000e61ff,0x1fffffd8,0x7ffffec0,0x7ffff884,
    0x3f200000,0x3602ffff,0x0098003f,0x02fffffc,0x0bfffff6,0xd80b10ae,
    0x001fffff,0x7fdd3600,0x5e806fff,0x09fffff7,0x06ffff98,0x7ffffe80,
    0x7ffffd40,0xffff9005,0xfffb005f,0xfff003ff,0xffd00fff,0x7e405fff,
    0x3502ffff,0xffff8868,0x3ffffa07,0x3f200002,0xf881ffff,0x0007ffff,
    0x02ffffe8,0x3ffea000,0x3e201fff,0xffa80004,0x200005ff,0x04fffffa,
    0xfffffb00,0x8000fea3,0x01fffffd,0x3fffffd4,0x83ffffc4,0x2aaaaaa8,
    0xfffff900,0x005fd105,0x7ffe4000,0x7ffec02f,0x182d82ff,0x7ffffec0,
    0x53600001,0x1ffffff8,0x7fdc7e60,0x95504fff,0x155fffff,0x3ffffa00,
    0x7fffd407,0xfff9004f,0xffb005ff,0xff003fff,0xf700ffff,0x640bffff,
    0xb02fffff,0xffff1003,0x7ffff40f,0x55555542,0x7ffe402a,0xfff981ff,
    0x2aaa26ff,0x3fa02aaa,0x372a2fff,0xffe8000b,0x1b605fff,0x7ffdc000,
    0x2a00006f,0x004fffff,0x5fffffb0,0xd80007f9,0x401fffff,0x2ffffff8,
    0x5bffffc4,0x7ffffe44,0xffff9007,0x00ef985f,0x7fd40000,0x7fec00ff,
    0x02f82fff,0xfffffd80,0x93600001,0x04fffffc,0xffffb9b2,0xffffb04f,
    0x005fffff,0x01fffffa,0x07fffff9,0x3fffff20,0xffffd802,0xffff801f,
    0xfff9807f,0xff901fff,0x07e05fff,0x1ffffe20,0x42ffffe8,0x3dffffda,
    0x7ffffe40,0xfffffa81,0x3ffff225,0x3fffa07f,0xffffe8af,0x7fcc003f,
    0xf981ffff,0xff500002,0x40000fff,0x04fffffa,0xfffffb00,0xb00005ff,
    0x003fffff,0x89ffffff,0x6efffff8,0x0fffff70,0x3fffff20,0x0003fee2,
    0x3ffee000,0xffffd806,0x0017dc2f,0x0fffffec,0x4c9b0000,0x80ffffff,
    0x3ffee2f8,0xf95504ff,0x0155ffff,0x1fffffa0,0x3fffffd0,0x3ffff200,
    0xfffd802f,0xfff801ff,0xff8807ff,0xf902ffff,0xf705ffff,0xffff1003,
    0x7ffff40f,0x003fff02,0x07fffff2,0x07fffff2,0x81ffffee,0xfecffffe,
    0x01fffffd,0x7ffffec0,0x00005e86,0x07ffffe6,0x7ffd4000,0xfb0004ff,
    0x001dffff,0x3ffff600,0xffff801f,0x7ffc45ff,0x3fe604ff,0xff9007ff,
    0x3ff65fff,0x8000004f,0xd804fffc,0x262fffff,0xfd8002ff,0x0001ffff,
    0xfffb1360,0xb8f707ff,0x404fffff,0x006ffff9,0x07ffffe8,0x0fffffee,
    0xfffffc80,0xffffd802,0xffff801f,0xfff8807f,0xff903fff,0xffb85fff,
    0xffff8801,0x3ffffa07,0x000ef882,0x07fffff2,0x0bfffff1,0x81ffffe6,
    0x24fffffe,0x005ffffb,0x7fffffcc,0x00003ee2,0x6fffff88,0xfffff800,
    0xffffffff,0x6c02ffff,0x001fffff,0x3ffffea0,0xffffffff,0x7ffff45f,
    0x7fffc46f,0x7fffc407,0xffff9007,0xfffffd7f,0xf8000005,0xffb006ff,
    0xffb99fff,0xffb0005f,0x00003fff,0x3ffea26c,0x5c4e87ff,0x404fffff,
    0x006ffff9,0x87ffffe8,0x3fffffc9,0x7fffe400,0xeeeeeeef,0xffffffee,
    0xfffff801,0xfffff007,0x3fff209f,0xffecacff,0xfff8801f,0x3fffa07f,
    0x000ed82f,0x0fffffe4,0x09fffff5,0x03ffffc4,0x88bffffd,0x8007ffff,
    0x16fffffc,0x1ca8009f,0x3fffff60,0x33320603,0xfffffdcc,0x01ccccce,
    0x0fffffec,0xd5551000,0x557fffff,0xfffd8555,0x7ffc46ff,0x7ffc407f,
    0xfff9007f,0xffffffff,0x000003ff,0x4007ffea,0xfffffffd,0x8002ffff,
    0x01fffffd,0x3a136000,0x262fffff,0x7fffdc0f,0x7ffcc04f,0xffe8006f,
    0xfffeefff,0x000bffff,0xffffffc8,0xffffffff,0x01ffffff,0x07fffff8,
    0xbfffffd0,0x3fffff20,0x1fffffff,0x7ffff880,0x0bffffa0,0xf90001db,
    0xffddffff,0x8805bfff,0x3a07ffff,0x7c42ffff,0x88007fff,0xcbffffff,
    0x3ffa000e,0xffff304f,0x007b03ff,0x13ffffea,0x7fffec00,0x3600001f,
    0x801fffff,0x45fffffe,0x407ffff9,0x007ffff8,0x5bfffff9,0x1dffffff,
    0xffb00000,0x7ffec007,0xffea8aff,0xfffd8002,0x200001ff,0xffffb84d,
    0x3ee1766f,0x4c04ffff,0x8006ffff,0xccfffffe,0x03ffffff,0x3ffff200,
    0xfffd802f,0xfff801ff,0xfff007ff,0x3f209fff,0xdb8affff,0xf8801fff,
    0x3fa07fff,0x03f62fff,0x7fffe400,0x09acccdf,0xfffff100,0x17ffff40,
    0x007ffffc,0x7ffffe40,0x3ea002ff,0xfb00ffff,0x97dfffff,0x7fd4009d,
    0xa8004fff,0x01ffffff,0x3fff6000,0xfff801ff,0x3fe64fff,0x7c407fff,
    0xf9007fff,0x3ee5ffff,0x005fffff,0x02ffd400,0x3fffff60,0x000bfa22,
    0x07fffff6,0x884d8000,0x89ffffff,0xffffb82f,0x7ffcc04f,0xffe8006f,
    0x3fff27ff,0x90001fff,0x005fffff,0x03fffffb,0x0ffffff0,0xffffff10,
    0x3ffff207,0x00ffc42f,0x03ffffc4,0x365ffffd,0xf90003ff,0x0003ffff,
    0x07ffff88,0x20bffffa,0x000fffff,0xffffff88,0x7ffe4006,0x3ff601ff,
    0x05ffffff,0x7ffffd40,0x7ffdc004,0x0001ffff,0x3fffff60,0xfffff801,
    0xfff9f32f,0xfff880ff,0xfff9007f,0x7ffec5ff,0x00004fff,0x360017fa,
    0x4c2fffff,0xffd8002f,0x00001fff,0x7ffe4136,0xf706bcff,0x9809ffff,
    0x8006ffff,0x747ffffe,0x006fffff,0x5fffff90,0xfffffb00,0xfffff003,
    0xffff100f,0x3ff203ff,0x1fa82fff,0x7ffff880,0x2bffffa0,0x000ffffd,
    0x1fffffc8,0x7ffc4000,0x3fffa07f,0xfffff82f,0xfff70000,0xf98009ff,
    0xfb806fff,0x003effff,0x4fffffa8,0x3f6ff600,0x8001ffff,0xfffffb04,
    0xffff8803,0xff1331ff,0xff880fff,0xff9007ff,0x7f445fff,0x002fffff,
    0x000efc80,0x2fffffd8,0xfd8002f8,0x8001ffff,0x3e609b04,0x03ffffff,
    0x09fffff7,0x06ffff98,0x7ffffe80,0x7fffffcc,0xfffc8004,0xffd802ff,
    0xff801fff,0xf9807fff,0x900fffff,0x205fffff,0xfff8801e,0x3fffa07f,
    0x6fffffef,0xffffc800,0x7c40001f,0x3fa07fff,0xfff82fff,0xf50000ff,
    0x0009ffff,0x4005fffb,0x20000de9,0x04fffffa,0x3ff63f30,0x4c001fff,
    0xfffffb05,0xffff9803,0xffff887f,0x7fffc407,0xffff9007,0xffff885f,
    0x20001fff,0x80200efa,0x82fffffd,0x3607302d,0x001fffff,0x204d834c,
    0x0ffffffd,0x9fffff70,0x6ffff980,0xffffe800,0xfffffb87,0x7fe4002f,
    0xfd802fff,0xf801ffff,0xa807ffff,0x206fffff,0x02fffffc,0xfff1003b,
    0x7fff40ff,0xfffffaef,0x7ffe4003,0x440001ff,0x3a07ffff,0xff82ffff,
    0x50000fff,0x009fffff,0x26000a20,0x2a0001df,0x004fffff,0x7fffec11,
    0x8264001f,0x01fffffd,0x1fffffe4,0x03ffffc4,0x01ffffe2,0x17ffffe4,
    0x7fffffd4,0xef88000e,0xfd81a200,0x1a82ffff,0x3ff605b0,0x64001fff,
    0x7d409b05,0x2e04ffff,0x404fffff,0x006ffff9,0x07ffffe8,0x1ffffffb,
    0x7fffe400,0xfffd802f,0xfff801ff,0xffd807ff,0x3f201fff,0x3502ffff,
    0xfffff100,0x97ffff40,0x01fffffc,0x3fffff20,0x7fc40001,0x3ffa07ff,
    0xffff82ff,0xff50000f,0x00009fff,0x7fff4400,0xfff50000,0x360009ff,
    0x001fffff,0xfffd827c,0x3fe201ff,0xff106fff,0xff880fff,0xff9007ff,
    0x3f205fff,0x005fffff,0xb1007744,0x7fffec0b,0x07e2002f,0x0fffffec,
    0x3609f100,0x7ffff404,0x3fffee01,0x7ffcc04f,0xffe8006f,0xfff107ff,
    0x6400bfff,0x802fffff,0x01fffffd,0x07fffff8,0x2fffffc4,0x3fffff20,
    0x7fc40002,0x3ffa07ff,0x3fffa2ff,0x3ff2006f,0x40001fff,0x207ffff8,
    0xf82ffffe,0x0000ffff,0x09fffff5,0xe8800000,0xf50002ff,0x0009ffff,
    0x07fffff6,0xfb03fc80,0x5c03ffff,0x101fffff,0x880fffff,0x9007ffff,
    0x405fffff,0x4ffffffd,0x3bbbf600,0x4ffeeeee,0x3fffff60,0x403f6002,
    0x01fffffd,0x2ec0ff20,0x01bffee0,0x09fffff7,0x06ffff98,0xfffffe80,
    0xfffff500,0x3ff2007f,0xfd802fff,0xf801ffff,0x6407ffff,0x400fffff,
    0x02fffffc,0x7fffc400,0x3ffffa07,0x3ffffe62,0xffff9004,0xf880003f,
    0x3fa07fff,0xfff82fff,0xf50000ff,0x000bffff,0x3ffb0000,0x3ffee000,
    0xfb0005ff,0x2005ffff,0xffd02ffa,0x3a203fff,0x2202ffff,0x4407ffff,
    0x9007ffff,0x407fffff,0xfffffff8,0xffffb803,0xffffffff,0x3ffff602,
    0x0ffb002f,0x17ffffec,0xb02ffb80,0x2fff880b,0x7ffffdc0,0x7fffcc04,
    0xfffe8006,0x3ff600ff,0xd801ffff,0x802fffff,0x01fffffd,0x0ffffff8,
    0x3fffff30,0xfffff900,0xff880007,0xffd00fff,0xfffb85ff,0xffc801ff,
    0x40001fff,0x207ffff8,0x442ffffe,0x000fffff,0xbfffff50,0xa8000000,
    0x2e0006ff,0x005fffff,0x7fffffd0,0x03fff900,0x0bfffffa,0x03bfffe6,
    0x0fffff30,0x1fffff98,0xfffffd80,0x7fffdc03,0x3ea02fff,0xffffffff,
    0x3a01ffff,0x404fffff,0x3a06ffea,0x803fffff,0xdf01fffc,0x807fc801,
    0x04fffffc,0x03ffffd4,0x7fffffc0,0x3fffa200,0x7ec00eff,0xe803ffff,
    0x802fffff,0x81ffffff,0x00dffffa,0x7fffffb0,0xfff98000,0xffff01ff,
    0xffffd05f,0xfffd801d,0x4c0002ff,0xd01fffff,0xf885ffff,0x0001ffff,
    0x0bfffff7,0x3f200000,0x220004ef,0x1ffffffe,0x7fffcc00,0xaaaabfff,
    0x0fffffdb,0xffffffa8,0xfffecabe,0xfff7003e,0x7fdc05ff,0x7cc03fff,
    0x00efffff,0x3fffffea,0x7fcc0cff,0xffffffff,0x3e607fff,0xbcffffff,
    0xfffedcaa,0xffff505f,0x55579fff,0x1fffffb9,0x4019ff90,0x7fc403f8,
    0x201fffff,0x02fffffc,0x3ffffee0,0x7ffcc04f,0xf300dfff,0x01dfffff,
    0x7fffffd4,0x7fffdc06,0xfecbbeff,0x26003dff,0x0effffff,0x3ffee000,
    0xfff983ff,0xfffb84ff,0xff300dff,0x000bffff,0x3fffffb8,0x5fffff98,
    0x1fffffdc,0x7fff4400,0x00001fff,0xc8000080,0xfffffffe,0x9100ceff,
    0xfffffffd,0xffffffff,0x6ccfffff,0xfffffffe,0x0bdeefff,0xffffd100,
    0xff88dfff,0x0effffff,0x3ffffb22,0x22efffff,0xffffffe8,0x3a5fffff,
    0xffffffff,0x446fffff,0xffffffec,0xffffffff,0x224fffff,0xffffffed,
    0xffffffff,0x10ffffff,0xdffffffb,0x76403603,0xffffffff,0x3ffb24ef,
    0x02ffffff,0xffffffd3,0x205dffff,0xfffffffc,0xffffd914,0x29dfffff,
    0xfffffed8,0xb33dffff,0xffffffff,0x15bddfff,0x3ffb2200,0xefffffff,
    0x3ffe2004,0x90efffff,0xffffffff,0x3ffffea1,0x3fb62fff,0xffffffff,
    0x3fe2003e,0x0effffff,0xfffffff9,0x3fffff2f,0xec9806ff,0xffffffff,
    0x00002cef,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x99999998,
    0x99999999,0x01999999,0x80002600,0x99999999,0x00009999,0x4c401993,
    0x99999999,0x99999999,0x0dc40019,0x33333330,0x00033333,0x26666666,
    0x98819999,0x09999999,0x98801700,0x99999999,0x33310099,0x33333333,
    0x99998801,0x09999999,0x31005400,0x33333333,0x66664133,0xcccccccc,
    0x0dcccccc,0x33333331,0x00003333,0x165c0000,0x13260000,0x00400000,
    0x80b372e2,0x01100008,0x2cedca98,0xdeca8800,0xb973001c,0x6e4c0037,
    0x640390bd,0xffffffff,0xffffffff,0x007fffff,0x44000fa0,0xffffffdc,
    0x8003dfff,0x3600ffe8,0xffffffff,0xffffffff,0xf91005ff,0x3fb2205f,
    0xffffffff,0x03dfffff,0x3fffff62,0x40ceffff,0xefffffeb,0x00f9801d,
    0x7fffffdc,0x902fffff,0xffffffff,0xfa805fff,0xffffffff,0x3e6003ff,
    0x3fffee00,0x2fffffff,0x8d400012,0xfffffffc,0x0001ffff,0x00037f60,
    0x800009fb,0x440007fa,0x741bddca,0xf7bff703,0x41fd10bf,0x442bcba8,
    0xefe980ee,0x00efffec,0xffbbff70,0xfffc80bf,0x6404ffec,0xffffdeff,
    0x37fff201,0xffffcaab,0xffcbaadf,0xdf30007f,0xfff30000,0x8000dfff,
    0x3a00fffd,0x99abefff,0xffffe999,0x7ecc00ff,0xf9802fff,0xbabfffff,
    0x0efffffd,0x3ffffe60,0xffb806ff,0x3fa2004f,0x7fffdc00,0x2fffffff,
    0xffffff90,0x805fffff,0xfffffffa,0x1003ffff,0x7fdc01fd,0xffffffff,
    0x4000122f,0xfffff91a,0x03ffffff,0x0e6f65cc,0x0027ffd4,0x000013f6,
    0x5c000ff5,0xdffeceff,0xffd886d8,0xf31bfee2,0xffff73ff,0xffd37fff,
    0x6c1ffb83,0x6400efff,0x3fffa3ff,0x45ffe885,0xff704ffe,0x017fe449,
    0xff503ff9,0xfd109fff,0x3ff6000f,0xffd80002,0x20002fff,0x200ffffb,
    0x7d402fff,0x203fffff,0xffffffda,0xffffd002,0xffff981f,0x3fea01ff,
    0x8806ffff,0x7e4003ff,0x7775400f,0xeeeeeeee,0xddddd702,0x03dddddd,
    0xeeeeee98,0x002eeeee,0x75401ff9,0xeeeeeeee,0x000121ee,0xeeeeb8d4,
    0x0eeeeeee,0xfd9fff90,0x7ffcc1bf,0x027ec004,0x01fea000,0x907ffec0,
    0xf901dfff,0x87fff0ff,0xeffffffa,0xfffffffe,0x217ffcc1,0x204ffff9,
    0x7fdc7ffc,0x7ffec1ff,0x227ffcc1,0xfc82fff8,0x540bf202,0x104fffff,
    0xff1000ff,0xfb0000df,0x0005ffff,0x03ffffe6,0x7c401ff8,0x306fffff,
    0xfffffbdd,0x3ff6005f,0xff880fff,0x7ec07fff,0x403fffff,0x7dc004fb,
    0x000000ff,0x00000000,0x3ffee000,0x09000000,0x0006a000,0x077ff440,
    0x7d41dffd,0x27ec003f,0x1fea0000,0x0ffff200,0xf30dfff3,0xfffb09ff,
    0x0cfffa81,0x40fffec4,0x7cc6fffc,0xff306fff,0xffff989f,0x03fffe62,
    0xfa8bfffe,0x02f80eff,0xfffa8172,0x01f204ff,0x07ffff20,0xffffb000,
    0x3fa0005f,0xf100ffff,0xffff9005,0xf50403ff,0x2005ffff,0x00fffffd,
    0x03fffffd,0x7fffffc4,0x00bf100f,0x00ffffc8,0x00000000,0x90000000,
    0x0001ffff,0x40001200,0xfb00001a,0xfff987ff,0x004fb9bf,0x00004fd8,
    0x22003fd4,0xff82ffff,0x7ffec3ff,0x42fffd83,0x7dc02ffb,0xffffd83f,
    0x1ffffe20,0x7427ffec,0x3ffa0fff,0xbfffd07f,0x0f7fffd4,0x202c80ee,
    0x04fffffa,0xff1001e6,0x8000bfff,0x02fffffd,0xfffffc80,0x300f300f,
    0x09ffffff,0x7ffffc40,0xffffb002,0x3fff201f,0x7fd404ff,0xdd06ffff,
    0x7ffec001,0x00aaabff,0x006f72e6,0x33b72a60,0x55555402,0x2aaaa0aa,
    0xfffb02aa,0x015557ff,0x8166e5c4,0x43500004,0x2aaaaaa8,0x03fffea0,
    0x2b3bfffe,0x09fb0001,0x07fa8000,0x0ffffe40,0x83ffffe6,0xfc82ffff,
    0x13fe24ff,0x7d43fec0,0x7ffc45ff,0xffff887f,0x222dc883,0xfd06ffff,
    0x7ffc4fff,0x50043fff,0x7fffd401,0x2001c04f,0x0ffffffb,0x3fff6000,
    0x7d4002ff,0x00fffffa,0xfffd0093,0xf8001fff,0xb002ffff,0x201fffff,
    0x05fffffb,0xffffffc8,0x8800fe43,0xfffffffd,0xff901fff,0x009ffd9f,
    0xffd9dfd3,0x3fee01df,0x3f21ffff,0x6c47ffff,0xffffffff,0xbff701ff,
    0x0090bff7,0xfc886a00,0x3a07ffff,0xfff07fff,0xfb0000bf,0xfa800009,
    0x7fffc007,0x3fffe20f,0xffff32ff,0xffd9999b,0x003fd4bf,0x57105ff1,
    0x7ffffd98,0x04ffff98,0x1bfffea0,0xb0fffff4,0x1bffffff,0xfff50000,
    0x800009ff,0x4fffffff,0x3fff6000,0x3e2002ff,0x01fffff4,0xfff70022,
    0xf0005fff,0x2005ffff,0x00fffffd,0x03fffffb,0xfffffd10,0x800bea1f,
    0xfffffcc9,0x7440cccc,0x27ff45ff,0xfd83ff70,0xff100eff,0xffa83fff,
    0x7e6447ff,0xccccffff,0x717fec40,0x00048dff,0xfff70350,0x3ffe20ff,
    0xffffd07f,0x09fb0000,0x07fa8000,0x3ffffe20,0x3fff73a0,0xdffff53f,
    0xdddddddd,0x20037dcb,0xfd9803ff,0xa87ffffd,0x2005ffff,0xd06ffffb,
    0x7d45ffff,0x1fffffff,0x7ffd4000,0x200004ff,0xfffffafa,0x3ff60007,
    0x3a002fff,0x03ffffe6,0x7fffc400,0xff0005ff,0x36005fff,0xf00fffff,
    0x400dffff,0xdffffffa,0x3e0003f9,0x6c00ffff,0x7fcc1fff,0x2fff984f,
    0x027fffcc,0x983fffff,0x3e07ffff,0x6400ffff,0x3fff87ff,0x0d400012,
    0x83ffffcc,0xd06ffffa,0x6403ffff,0xeeeeeeee,0xeeeeefff,0xddd32eee,
    0xffdddddd,0xdddddddd,0x3ffffe6b,0x3fff6bb0,0x9ffff74f,0x005fd800,
    0xfb1027f4,0xfffff15f,0x0dffff70,0x37fffe40,0x44ffffe8,0xfffffffb,
    0x3ea0000f,0x0004ffff,0x7fff53a0,0xfb0003ff,0x2005ffff,0x3fffe1fc,
    0xffb0000f,0x0003ffff,0x00bffffe,0x07ffffec,0x17ffffec,0x3ffff200,
    0x40005fff,0x200fffff,0xf80ffff9,0x7fe42fff,0x7fffcc6f,0x3ffffe06,
    0x3ffffcc1,0x01fffff0,0x6c27ffcc,0x00090fff,0x3fe206a0,0xfff707ff,
    0x3fffa0df,0x3fff602f,0xffffffff,0xffffffff,0xffffff33,0xffffffff,
    0x2affffff,0xec8fffff,0x29ffffb0,0x005ffffa,0x3e0037e4,0x3fff703f,
    0x21ffffe2,0x007ffffa,0x41bfffee,0xa83ffffe,0x5fffffff,0x3ffea000,
    0x300004ff,0x3fffee3f,0xffb0006f,0xf5005fff,0x0fffff87,0xffffa800,
    0x3e0004ff,0xb002ffff,0x4c1fffff,0x00dffffd,0xfffffd00,0xff80003f,
    0x3fa00fff,0xfffd07ff,0x0ffffd8b,0x81ffffe2,0x441fffff,0x3e07ffff,
    0x3600ffff,0xffd83fff,0x2000092f,0xffff881a,0xdffff907,0x13ffffa0,
    0xcccccca8,0xccceffcc,0x912ccccc,0xb9999999,0x999999ff,0x3ffe6999,
    0x3f20fbff,0xfff33fff,0x7fa800ff,0x20bfe200,0x3e22fffd,0xff987fff,
    0xf5001fff,0x3fa0dfff,0xfd102fff,0x000fffff,0x27ffffd4,0x7c5d8000,
    0x002fffff,0x2fffffd8,0x7fc2fc40,0xe8000fff,0x006fffff,0x17ffffc0,
    0xfffffd80,0xcfffffee,0x7fcc0000,0x8006ffff,0xfffff998,0x3fe21999,
    0xfffd06ff,0x45fffa8f,0x207ffff8,0x441fffff,0x3e07ffff,0x3e00ffff,
    0xffc82fff,0x2000094f,0xffff881a,0xdffff707,0x0fffffa0,0x009fb000,
    0x007fa800,0x3fffffe2,0x8ffffec1,0x02fffff8,0x4013fe20,0xfffb87fd,
    0x3ffffc47,0x37ffffc4,0x6ffff880,0x21fffff0,0xffffc839,0xff50001f,
    0x00009fff,0xfffc85f1,0xfd8005ff,0x6c02ffff,0xfffff80e,0x7ffe4000,
    0x40002fff,0x002fffff,0xb9fffffb,0x7dfffffd,0x7fe40001,0x4003ffff,
    0xfffffffa,0xff51ffff,0x3ffa0dff,0x215c41ff,0x07ffffd9,0x107ffffe,
    0x7c0fffff,0xf300ffff,0x9999bfff,0x012bfffd,0x7c40d400,0xff507fff,
    0x3ffa0dff,0x6c0002ff,0x5400004f,0x7ffc007f,0xfffd82ff,0x37ffff47,
    0x2ffc8b30,0x7c1ffdc0,0x7fc46fff,0xfffb07ff,0xfb0c07ff,0x3ffe0fff,
    0x2a03e65f,0x0001ffff,0x09fffff5,0xf10d9000,0x003fffff,0x2fffffd8,
    0x7fc07ee0,0x26000fff,0x05ffffff,0xfffff800,0xffffb002,0xffffa81f,
    0x3a0003ff,0x01ffffff,0x3ffe6620,0x2e1999ff,0xfd06ffff,0xd9805fff,
    0x07ffffdf,0x107ffffe,0x7c0fffff,0xf500ffff,0xdddddfff,0x012bdddd,
    0x7c40d400,0xff107fff,0x3ffe0dff,0x6c0000ff,0x5400004f,0x7fe4007f,
    0xfffe80ff,0x7ffffd46,0x7d41f884,0x7ec40cff,0x7ffcc1ff,0xfffb33ff,
    0x3ffe60ff,0x23d81fff,0x440ffff9,0x3e21ffff,0x00fffd05,0x7ffffd40,
    0x1fc40004,0x4fffffd8,0x7fffec00,0x407f302f,0x000fffff,0x3ffffffa,
    0xfff80000,0xffb002ff,0xfd301fff,0x0007ffff,0xfffffff3,0x3ffe000d,
    0xfff900ff,0x3fffa0df,0x5ffb104f,0x40fffff1,0x441fffff,0x3e07ffff,
    0xf700ffff,0x24009fff,0x881a8000,0x3607ffff,0xfff07fff,0xfb0000bf,
    0xfa800009,0x7ffc4007,0x3ffff81f,0xefffffe8,0x7cc4fcab,0xeeefffff,
    0x41ffffff,0xffffffff,0xcafffffd,0x7ffffec0,0xc84ecbef,0x7fdc3fff,
    0x417fc44f,0x20005ffd,0x04fffffa,0xf303dc00,0x001fffff,0x17ffffec,
    0xaaaaaff8,0xbfffffaa,0x7ffdc00a,0x00003fff,0x005fffff,0x03fffff6,
    0x7fffffcc,0x2f3e2001,0x03ffffff,0x0fffff80,0x0dffff70,0x20fffffa,
    0xff11fffb,0x7ffc0fff,0x7ffc41ff,0x3fffe07f,0xffff500f,0x0002400b,
    0xfff881a8,0x3ffe607f,0x7fffc40f,0x4fd80001,0x3fd40000,0x27fff400,
    0x441bffe6,0xfffffffe,0x4fffcc4f,0xfffffffb,0x320fffab,0x92ffffff,
    0x207fffff,0xfffffffd,0x3bff205f,0x109fff11,0x3e63bfff,0x7d40006f,
    0x0004ffff,0x6666677c,0xffffffcc,0x3fff6003,0xffff02ff,0xffffffff,
    0x4405ffff,0x06ffffff,0xfff81260,0xffb002ff,0x7fc01fff,0x2004ffff,
    0x3ffffa6e,0x7fc001ff,0xff500fff,0x3ffa0dff,0x7ffec2ff,0x1ffffe22,
    0x41fffff8,0x207ffff8,0x300fffff,0x400fffff,0x03500004,0x80fffff1,
    0x7dc2fffc,0xb00004ff,0xa800009f,0x5f6c007f,0xffd12fff,0xfffd801d,
    0x1fb03dff,0x215e5d44,0x7fe444f9,0x3ff620ce,0x7ffdc03e,0xfa803eff,
    0x02effeff,0x3ffff77e,0x540000df,0x004fffff,0x3bbbbea0,0xfffeeeee,
    0x3f6007ff,0xff02ffff,0xffffffff,0x05ffffff,0x7fffffec,0xf80f2001,
    0xb002ffff,0x401fffff,0x06fffffd,0x7fcc1fb0,0x4006ffff,0x100fffff,
    0x3e0dffff,0x3ee0ffff,0x7ffc47ff,0x3fffe07f,0x7fffc41f,0x3ffffe07,
    0xfffff100,0x00012005,0x7ffc40d4,0xeffc807f,0x009ffd10,0x3ffffff6,
    0xffffffff,0x003fffff,0xeb801fea,0xffdffd10,0x2b98007b,0x06000100,
    0x80010010,0x88000aa9,0x42800aba,0x00000ab9,0x09fffff5,0xe8027400,
    0x002fffff,0x05fffffb,0x3ffffffe,0xffffffff,0xffff302f,0x2e8009ff,
    0x0bffffe0,0x7ffffec0,0x3ffff200,0x81fb806f,0x4ffffffb,0x3ffffe00,
    0x1ffff600,0x3e2ffffc,0x7fc46fff,0x3ffa07ff,0x7ffcc1ff,0x3fffe07f,
    0x3fffa00f,0x0256606f,0xf881a800,0xd5007fff,0x05dffdff,0x7ffffec0,
    0xffffffff,0x03ffffff,0x8801fea0,0x001ba880,0x00000000,0x00000000,
    0x00000000,0x7fd40000,0x50004fff,0x3fee003f,0xfb006fff,0x2a05ffff,
    0xaaaaaaaa,0x0abfffff,0xdfffffd0,0x00fdc001,0x005fffff,0x03fffff6,
    0x4fffffe8,0xfd017d40,0x003fffff,0x287ffffe,0x207fffcc,0x261ffff8,
    0xb33fffff,0x6c0fffff,0x3a22ffff,0x3e07ffff,0x82a1ffff,0x84fffffa,
    0x000091f8,0x3ffe206a,0x5d44007f,0xaa98000a,0xaaaaaaaa,0xaaaaaaaa,
    0x0aa2001a,0x00000000,0x00000000,0x00000000,0x00000000,0xffff5000,
    0x1ba0009f,0xfffff880,0xfffd802f,0x3e0002ff,0x2e00ffff,0x02ffffff,
    0xf803fe60,0xb002ffff,0x201fffff,0x2ffffff8,0xf1013e60,0x00dfffff,
    0x553ffff6,0x43fffc84,0xff84fffb,0xfdffffff,0x40caffff,0x98dffffb,
    0x07fffffd,0x54fffff2,0xfffffe84,0x124fcabe,0x4c0d4000,0x001fffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4fffffa8,0x003fa800,0x37ffffe4,0x7ffffec0,0x3ffe0002,0xfff100ff,
    0x5c00bfff,0x3fe207ff,0xfb002fff,0x3201ffff,0x205fffff,0xff7007f8,
    0x1009ffff,0x0dffffff,0xf88f7fe4,0xfff904ff,0x3ff25fff,0xffd03fff,
    0xff3bffff,0x3a205fff,0x106fffff,0xfffffffd,0x0000489f,0xffff7035,
    0x0000007f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xff700000,0x8800bfff,0x7d4003fe,0x402fffff,0x02fffffe,0x3ffffe00,
    0xfffffb00,0xffd3001f,0x7ffcc0ff,0xffd003ff,0xff905fff,0x74c0dfff,
    0x3ffe004f,0x9802ffff,0x400ceffc,0xeffefffa,0x3bff2202,0x3bff620c,
    0x3fffa203,0xfffff14f,0x3ff260bf,0x7fec00ce,0xcd83dfff,0xcccccccc,
    0xcccccccc,0x3fffe21d,0x000effff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffffffd1,0x3ffa6003,0x3fea000f,
    0x301fffff,0x1dffffff,0x3fffe000,0xffffa80f,0xaaaaadff,0xffffdcba,
    0x3fff606f,0x7d400fff,0xbcffffff,0x2efffffd,0x3ffff710,0xfffff100,
    0x04005fff,0x055d4400,0x00200200,0x00001a88,0x15cc0004,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ffb2000,0xefffffff,0xffff900c,0x36207dff,0xffffffff,0xffd916ff,
    0xdfffffff,0xffff8007,0x7fffc40f,0xffffffff,0xffffffff,0x3fb625ff,
    0xffffffff,0x3fffa25e,0xffffffff,0x201cceef,0xfffffffc,0xfffe885e,
    0xefffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x55554c00,0x5541aaaa,0x55551aaa,
    0x55541555,0x554c2aaa,0x512aaaaa,0x35555555,0x55155554,0x54155555,
    0x322aaaaa,0x0000621c,0xbcdb9800,0x0bddb980,0x05000000,0x0d676e4c,
    0x02b3b2e2,0xaaaaaaa8,0xaaaa98aa,0x5555441a,0xaaaaaaaa,0x130060aa,
    0x2aaaa600,0x0e64c0aa,0x15555553,0x40566dcc,0x100addb8,0x05555555,
    0x21803100,0xaaaaaaa9,0x5555530a,0xaaaa9855,0x2f72a0aa,0x22001400,
    0x00e4c001,0x000e4c00,0x4002b2a2,0x55cc02a8,0x001ca800,0x5c400970,
    0xa877100b,0xdfffffff,0x977ff5c1,0x1ffffffb,0x1ffffff2,0xdffffff5,
    0x3ffff627,0x3fee1cff,0x3fffee4f,0x3fff21ff,0x3fff97ff,0x0000bbe6,
    0xdceffc80,0x33ff22ff,0x00002fff,0xd50fd710,0x9ffffbdf,0x3ff37fea,
    0xffff901e,0xfb317fff,0xffa85bff,0xffeeeeff,0x17a0ffff,0xd9800fc8,
    0xd13fffff,0x7f4cdfff,0xffb3ffff,0x7dc1dfff,0x881fffff,0x07fffffc,
    0xd9027c40,0x7fffff54,0xfffb50df,0xffea87bf,0xffe8afff,0x9f704fff,
    0x007fa200,0x0007ffc4,0x001fff10,0xbfffffb1,0x13ff2601,0x27ffffd4,
    0x3fffffb8,0x00ffe600,0x103fffe2,0x7c41ffff,0x2607ffff,0xffff886f,
    0x7fffd41f,0xfffff887,0x7ffffd84,0xff105f70,0xffa83fff,0x7fff97ff,
    0x073fffe6,0x6ffc8000,0x7fee7fec,0x005ffd11,0x7ffecc00,0x3217fdc7,
    0x24ffefff,0xf302fff9,0xf88dffff,0x03df501f,0x85fffff7,0x1df104fb,
    0x3ffffa00,0xfffffe8b,0x67ffffc0,0xffffecee,0xfffdbfb5,0x7ffdc0df,
    0x3fa2007f,0xff05f900,0x3fa09fff,0x7fffc02f,0xfffdfecf,0x4ffd81ff,
    0x01fff440,0x001fff98,0x00bffea0,0xffdfffd1,0x7f74c1df,0xdce984ff,
    0x7cc1ffff,0x00ffffff,0x801fffd0,0x643ffffb,0x7dc3ffff,0xf300ffff,
    0x3ffffe05,0x3ffffcc1,0x86ffffb8,0x81fffff9,0x3fffe06c,0x7fffcc1f,
    0x545fff37,0x02dffffd,0x17ffdc00,0x13ffffe2,0x8000fff7,0xcffffeb8,
    0x203ffea1,0xd86ffffe,0x3fea06ff,0x0bea2fff,0xff880fa8,0x7fd06fff,
    0x2003bf20,0xfdbffffd,0xfd87fffe,0x3e25ffff,0x20eeffff,0x302ffffe,
    0x200fffff,0xdf704fe8,0x0fffffa0,0x3a007fe2,0x2e4fffff,0xfb05ffff,
    0x3ffa209f,0x027ec003,0x03ffe200,0x2639ffd0,0xff826ffc,0x3e60d84f,
    0xc89743ff,0xfb804fff,0x7e404fff,0x7fec4fff,0x7ffc44ff,0x40d703ff,
    0x4c1fffff,0xf107ffff,0xf883ffff,0x3e84ffff,0x07ffffe0,0x5cfffff1,
    0xfff9104f,0xa80019ff,0xfe80ffff,0x7fcc3fff,0xfc98003f,0xd80befff,
    0xffd85fff,0xfffa85ff,0x3ffffa03,0x5a807f16,0x3fffffb0,0x220ffee0,
    0xffd805ff,0xff70feff,0xdffffb07,0x1dffffb0,0x04ffffb8,0x00fffff1,
    0x3ee03ffa,0xffffb02f,0x2001db05,0x445ffffe,0x3607ffff,0x7ff444ff,
    0x20000003,0x2a2fec2a,0x5c0ffe62,0x4fff81ff,0x081fff00,0x201fffc4,
    0x0ffedff8,0x0ffffee0,0x905ffff9,0x3a0dffff,0x3ffffe03,0x3ffffc41,
    0x89ffffb0,0x47fffffa,0x3ffe00f9,0x7ffc41ff,0x003dddff,0x5bffffd5,
    0x1ffffa00,0x217fffec,0x2006fff9,0x2dffffda,0x07fffec0,0x213ffff6,
    0x2605fffa,0x5cafffff,0xff982980,0x7f404fff,0x05ffc82f,0x17ffffe4,
    0xffffd804,0x4ffffc83,0x04ffffb8,0x00fffff1,0xff507ffb,0x7fffec0d,
    0xd0007642,0xf885ffff,0x7ec07fff,0x07ffd14f,0x7e400000,0x265f51ef,
    0x1ff93ffe,0x3e0ffe20,0xffb804ff,0x01fff000,0xffa8ffc8,0x3fffea05,
    0x07fffd41,0x0fffffc4,0xfff803e6,0x7ffc41ff,0x3ffea07f,0x7ffdec7f,
    0xf016e1ff,0xf883ffff,0x40007fff,0xbfffffc9,0x1bfffe00,0x20ffffec,
    0x4407fff8,0x0cfffffb,0x0bfff500,0x305ffff9,0xfd80ffff,0x000fffff,
    0x3fffffa0,0x0fffdc00,0xc813ffe2,0x4007ffff,0xc83ffffd,0xfb84ffff,
    0xff105fff,0xffd80fff,0x02fff987,0xc8bffff6,0x7ff4000f,0x7ffc42ff,
    0x7fec00ff,0x0003ffec,0x7ffec000,0x3ffe6f2f,0xc809fd5f,0x04fff86f,
    0x037fff66,0x880bff30,0x07ff64ff,0x443fffc4,0x3f607fff,0x026c5fff,
    0x107ffffe,0xf80fffff,0x1f12ffff,0x749ffff9,0x7ffffc02,0x3ffffc41,
    0xfeb88000,0x7cc1dfff,0xffb05fff,0xf75557ff,0xfb301fff,0x0005dfff,
    0x3fee06e2,0xaaaacfff,0x200ffffb,0x04fffff9,0x3fffee00,0xfffd002f,
    0x04fffc83,0x00dffff9,0x83ffffd8,0xb84ffffc,0xf105ffff,0x7e40ffff,
    0x7ffcc3ff,0x7fffec06,0x8007ff92,0xf82ffffe,0xd800ffff,0x3203ffff,
    0xeeeeeeee,0xeeeeeeee,0xffd32eee,0xfff9dbff,0x01bf63df,0x9fff0bfd,
    0x7ffff540,0x0077e405,0xff883ff6,0x41bffa06,0x3e605ffe,0x3f10ffff,
    0x1fffff80,0x03ffffc4,0x5d7ffff2,0x2fffff35,0xffff8079,0x7fffc41f,
    0xd9800007,0xf73effff,0x3f20bfff,0xeeeeefff,0x3ae1eeee,0x001cffff,
    0xfdefb800,0xeeeeefff,0x400eeeee,0x00fffffc,0xfffff880,0x3ffee006,
    0x3fffe20e,0x5ffffc83,0x7fffec00,0x4ffffc83,0x05ffffb8,0x20fffff1,
    0x7cc6fffc,0x7ec02fff,0xfffcafff,0x3ffa001f,0xffff82ff,0xfff8800f,
    0x7fffec06,0xffffffff,0x3fffffff,0x5f5ccccc,0x7fe40999,0xf09ff301,
    0xfd5009ff,0x3be601ff,0x41ffcc00,0xff902ffc,0x00fff207,0x2e9ffffd,
    0xfffff805,0x3ffffc41,0x3ffffe60,0x3fffa2e8,0xff805caf,0x7fc41fff,
    0x000007ff,0x65ffffe6,0xfb05ffff,0x4c005fff,0x000effff,0x94ffb800,
    0x0007ffff,0x3ffffe20,0xfffd8004,0x3e2001ff,0x7fec4fff,0x7ffe40ff,
    0x7fec003f,0xfffc83ff,0xffffb84f,0xfffff105,0x8bffff10,0x400ffffc,
    0xffeffffd,0x3a006fff,0xff82ffff,0x74400fff,0x2a04ffff,0xcccccccc,
    0xcccccccc,0x3ee02ccc,0x3fe602f8,0x0ffec40d,0xa8027ffc,0xee880fff,
    0x1bfa0220,0xf983ffc4,0x03ff501f,0x8fffffa8,0xffff802e,0x7fffc41f,
    0xffffe807,0x7fffe47d,0xfff802fd,0x7ffc41ff,0x9800007f,0x92effffd,
    0x360bffff,0x2003ffff,0xcfffffc8,0xfe880000,0x3fffee2f,0x3f200004,
    0x2000ffff,0x04fffff9,0x22fffdc0,0xc81ffff8,0x4003ffff,0xc83ffffd,
    0xfb84ffff,0xff105fff,0x3fe60fff,0x7ffec1ff,0x7fffec03,0x4fffffae,
    0x5ffffd00,0x01fffff0,0x7edfff44,0x0000004f,0x7e53fa60,0x9fff900d,
    0x209fff95,0x3a004fff,0x4c5e887f,0x017fdc1e,0x1fe07ff7,0xff007f88,
    0x200dbfff,0x441fffff,0xb807ffff,0x444fffff,0x007fffff,0x883fffff,
    0x0007ffff,0xffffd710,0xffffb839,0xbffffb05,0xffd71000,0x20005bff,
    0x7dc3fffa,0x00006fff,0x13fffff6,0xfffffe80,0x3ffe2000,0x17ffe40e,
    0x03ffffc8,0x1ffffec0,0x427fffe4,0x105ffffb,0x540fffff,0x7f445fff,
    0x3ff600ff,0xffff72ff,0xfffd003f,0xfffff05f,0x8fffa201,0x00004ffd,
    0x2fff9800,0x3603fff5,0x5fffffff,0xb317ffe0,0xd82fe819,0x0fffffff,
    0x3a017fe2,0x405d80ff,0xfff9005e,0x3fe007ff,0x7fc41fff,0xff8807ff,
    0xffe81fff,0xfff004ff,0xfff883ff,0x64c0007f,0x00beffff,0x20bffff3,
    0x00fffffd,0x3fff2600,0xf3000bef,0xff981fff,0x80001fff,0xfffffbeb,
    0xffffb801,0x3ee0902f,0x7ffc40ef,0x3ffff202,0x7ffec003,0xffffc83f,
    0x5ffffb84,0x0fffff10,0x441fffa8,0x3f603ffe,0x3ffa2fff,0x7f400eff,
    0xfff82fff,0xffe880ff,0x004ffd83,0x3f200030,0x13ffe27f,0x2efffea8,
    0x91bffe60,0x7f737fff,0xffffffb0,0x01ffc8df,0x2a84ff98,0xf8800d40,
    0xd000ffff,0xf983ffff,0xfb007fff,0x3fee0dff,0xffd001ff,0xfff983ff,
    0xfd50007f,0x2005bfff,0xfd06fffe,0x6c09ffff,0xffeb8800,0x7f401dff,
    0xffff06ff,0x200d80bf,0xffffd1f8,0xffff880b,0xf10d106f,0x7ffb01df,
    0x3ffffc80,0x7fffec00,0x4ffffc83,0x05ffffb8,0x00fffff1,0xff10bff7,
    0x3fff601f,0x3fffe22f,0x7fff404f,0xfffff82f,0x01fff440,0x44009ffb,
    0xfb8006ff,0x01ffec4f,0x776cc008,0xb714eeee,0xd5019bdd,0x7ddddddd,
    0x2e003cc8,0x000000cc,0x004fffd8,0x88bffff6,0x007ffffe,0x2209fff5,
    0x36006fff,0x3a22ffff,0x2007ffff,0xcfffffc8,0x7ffd4000,0xffffff07,
    0x0009905f,0x7dffffb3,0xfffff881,0x7fffec41,0xe807b03f,0x3ffffea4,
    0x3ffff602,0xf90bb01f,0x09ff303f,0x07ffffb0,0x3ffffd80,0x84ffffc8,
    0x105ffffb,0x200fffff,0xff981ffc,0x5ffffb04,0x2fffffb8,0x0bffffa0,
    0x81fffff1,0xfd803ffd,0xfff5004f,0x10550003,0x00000057,0x00000000,
    0x00000000,0x00fffcc0,0x1bffff70,0xffffffb3,0x00fffc00,0x5c009ffb,
    0xe98effff,0x00ffffff,0x77fffecc,0x7fec0002,0x7fffd42f,0xdb9cffff,
    0x2e20000e,0x11cfffff,0x59ffffff,0xfffffbf9,0x0dd957bf,0x7ffc0fc8,
    0xfff306ff,0x17f209ff,0x3f603ff1,0xffffb004,0xfffd8007,0xffffd84f,
    0x6ffffc84,0x3fffff30,0x4c17f200,0xfffe80ff,0xffffe83f,0xffffd00f,
    0xfffff885,0xb001fcc0,0x3fe2001f,0x00000006,0x00000000,0x00000000,
    0xfd000000,0xfffd000d,0xfff3bfff,0x3f2005ff,0x00ffd406,0x3fffffa0,
    0xfffff9df,0x3fffe602,0x3200001c,0xffd10eff,0xffffffd7,0x400001df,
    0x367fffda,0xefffffff,0xfffffd12,0x2201dfff,0xfffd87fd,0xfffe85ff,
    0xfcaa99ff,0x80fe44ff,0xff1005f9,0x4400bfff,0x20efffff,0x0effffe8,
    0x3fffffa2,0xfffffb80,0x407f6003,0x7ffcc4fa,0x7fdc0dff,0x7cc0efff,
    0x7dc5ffff,0x0083ffff,0x0c400080,0x00000000,0x00000000,0x00000000,
    0x5f500000,0xfffd1000,0x3fffe29f,0x3f9805ff,0x88006f80,0xf14ffffe,
    0x20bfffff,0x0000bef9,0xfdffd700,0x7ffe41df,0x00000cef,0x6ccff910,
    0x884effff,0xcffffffd,0xffffe880,0xffffe9be,0xff71ffff,0xffffffff,
    0x2d87ffff,0x7dc01720,0x3effffff,0x7ffffdc0,0xfffa9fff,0xf9afffff,
    0x3fffffff,0xfffffff1,0x136001df,0x3fff25b8,0xf51fffff,0x5fffffff,
    0x3ffffff2,0xfffffb6f,0x00000dff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x35100012,0x01900000,0x44000550,0x1880001a,0x22000000,
    0x75101ab9,0x80000003,0x000ab882,0x00015573,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2a000000,
    0x8032a00c,0x4400acb9,0xe980abca,0xeeeeeeee,0xeeeeeeee,0x982206ee,
    0xeeeeeeee,0xeeeeeeee,0x00406eee,0x02b88100,0xfffb0591,0x3fff605f,
    0x0880442f,0xccccccc8,0x33312ccc,0x33333333,0x33333333,0x2eeeee21,
    0xbbbbbbbb,0x00bbbbbb,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xe8000000,0x7ec0dfff,
    0x5fec42ff,0x5d903fe9,0xf983ffb3,0xffffffff,0xffffffff,0x41f107ff,
    0xfffffff9,0xffffffff,0xf907ffff,0x20037dff,0x1bffee5a,0xe81ffff7,
    0xff885fff,0x1ffec3ff,0xfff0fff6,0xbfffffff,0x3fffffe6,0xffffffff,
    0xf31fffff,0xffffffff,0xffffffff,0x000003ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffffa800,0x3fffe24f,0xff337f46,0x3e66fa87,0x6666446f,0xcccccccc,
    0x4ccccccc,0x66445fd0,0xcccccccc,0xdccccccc,0xffffd87f,0x7402efff,
    0x8bffffa4,0x443ffffe,0x7d40fffe,0x7ffcc4ff,0x8ffff50f,0xffffffff,
    0xffff35ff,0xffffffff,0x3fffffff,0x3fffffe6,0xffffffff,0x001fffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7e400000,0x3ea7ffff,0x3fee7fff,0xfb07ffc5,
    0x01ffe65f,0x3ee00000,0x400003ff,0x6ffd47fa,0xffffffdc,0x4cbee21c,
    0xf35fffff,0xd10bffff,0x4ffd85ff,0x70ffffa8,0x7fc1ffff,0xffffffff,
    0x26666665,0x99999999,0x00019999,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fffea00,0xffff30ff,0x3e27fecd,0xb93662ff,0x00000fff,0x06ffb800,
    0x23fd4000,0x7f5c40ee,0xffeeffff,0x17ffff46,0x205ffffd,0x3fe25fe8,
    0x897ffe04,0x4ccc4fff,0x09999999,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfeffc800,0x93fffe0f,0x7ffc4ffe,0xfff9d503,0x00000001,
    0x0000bff3,0x017c7fa8,0x3fffff66,0x7ffd41ef,0x02fffd46,0x05fa9fe2,
    0x01b882a8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x88800000,
    0x7ffec7f8,0xff13ffa2,0x99fe987f,0x33220fff,0xcccccccc,0xcccccccc,
    0x2ffd884c,0x3fd40000,0x654400b1,0x35100bdd,0xb8800540,0x00000730,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x50000000,0x0fffb8bf,
    0xfff13ff6,0xf997fd45,0x3ffe60ff,0xffffffff,0xffffffff,0x077ffe67,
    0x1fea0000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xdff307f6,0x3e24ffa8,0x47ffa0ef,0x3a60fff9,
    0xeeeeeeee,0xeeeeeeee,0x000226ee,0x01ba6000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x30000000,0x213fe09f,
    0x0bfea6fd,0xffbbffff,0x0000035f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3f604fa8,
    0xdd7df702,0x25dff703,0x00005ffd,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2a01f640,
    0x00d4c00f,0x00004404,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x38801400,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_42_latin_ext_x[560]={ 0,3,3,0,1,2,1,2,1,0,2,0,1,0,
1,0,1,2,0,0,0,1,1,1,1,1,3,2,0,0,0,2,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,0,1,0,1,1,0,0,0,0,0,0,3,0,1,2,-1,0,1,0,1,1,1,1,1,1,0,
-2,1,0,1,1,1,0,1,1,1,0,1,0,0,0,0,0,3,2,1,0,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,3,2,0,0,0,
2,1,0,1,0,0,0,0,1,-1,1,0,0,0,4,1,0,1,2,1,1,0,1,1,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,2,1,0,0,0,0,0,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,1,0,0,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,1,0,1,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-2,0,1,1,0,0,0,
0,0,0,0,0,0,0,0,1,0,1,0,1,2,0,1,1,1,1,1,1,1,1,1,0,1,0,1,0,1,
1,1,1,1,1,1,1,1,1,0,1,0,1,0,0,1,0,1,0,1,0,1,0,1,0,1,0,0,0,0,
0,0,0,0,0,0,0,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,1,5,5,-1,5,5,5,
5,5,5,5,5,5,5,5,5,5,1,1,5,5,5,5,5,5,5,5,5,5,5,5,5,0,1,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,1,0,-1,1,
1,0,1,0,1,0,1,0,1,0,1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,0,1,-1,1,1,1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static signed short stb__times_bold_42_latin_ext_y[560]={ 33,7,7,7,7,7,7,7,7,7,7,10,27,22,
27,7,7,7,7,7,7,7,7,7,7,7,15,15,11,16,11,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,38,7,15,7,15,7,15,7,15,7,7,
7,7,7,15,15,15,15,15,15,15,9,15,15,15,15,15,15,7,7,7,19,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,33,14,8,7,11,7,
7,7,7,7,7,15,16,22,7,3,7,10,7,7,7,15,7,17,32,7,7,15,7,7,7,14,-1,-1,-1,0,
0,1,7,7,-1,-1,-1,0,-1,-1,-1,0,7,0,-1,-1,-1,0,0,12,6,-1,-1,-1,0,-1,7,7,7,7,
6,7,7,6,15,15,7,7,6,7,7,7,6,7,7,7,7,7,6,7,7,12,14,7,7,6,7,7,7,7,
2,9,-1,7,7,15,-1,7,-2,6,-1,7,-1,6,-1,7,7,7,2,9,-1,7,-1,7,7,15,-1,6,-2,6,
-1,7,-1,7,7,5,-2,-2,7,7,0,7,2,9,-1,7,7,7,0,15,7,7,-2,6,7,7,15,-1,-1,7,
7,7,7,7,7,7,7,-1,7,7,15,-1,6,7,7,15,2,9,-1,7,-1,7,7,15,-1,7,7,15,-1,6,
-1,7,-2,6,7,15,-1,6,7,9,-1,7,7,9,0,7,2,9,-1,7,-2,6,-1,7,7,15,-2,6,-2,6,
0,-1,7,0,7,-1,6,7,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,7,9,9,7,9,9,9,
9,9,9,9,9,9,9,9,9,9,5,13,9,9,9,9,9,9,9,9,9,9,9,9,9,2,15,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,-1,6,-1,6,-1,
6,-1,6,-1,4,-1,1,-1,0,-1,1,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,-6,-2,-2,7,-2,7,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9, };
static unsigned short stb__times_bold_42_latin_ext_w[560]={ 0,7,15,19,17,34,29,7,12,12,15,21,8,12,
7,11,17,15,18,17,18,17,17,18,17,17,7,8,21,22,21,15,34,27,24,25,26,24,23,29,29,14,19,30,
24,36,27,28,23,28,28,19,23,27,28,38,28,27,25,9,11,8,18,21,9,18,20,15,20,15,15,18,20,11,
12,21,11,30,19,17,20,20,16,13,13,19,19,28,19,19,17,11,4,11,21,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,7,15,19,19,19,
4,17,13,27,12,19,22,12,27,21,13,21,11,11,8,21,21,7,7,9,11,19,27,27,28,15,27,27,27,27,
27,27,38,25,24,24,24,24,14,14,14,14,26,27,28,28,28,28,28,17,28,27,27,27,27,27,22,19,18,18,
18,18,18,18,26,15,15,15,15,15,12,11,13,13,17,19,17,17,17,17,17,21,17,19,19,19,19,19,20,19,
27,18,27,18,27,18,25,15,25,15,25,15,25,15,26,27,26,20,24,15,24,15,24,15,24,15,24,15,29,18,
29,18,29,18,29,18,29,20,29,20,14,13,14,13,14,12,14,11,14,11,32,19,19,15,30,21,21,24,11,24,
11,24,18,24,16,24,11,27,19,27,19,27,19,29,28,18,28,17,28,17,28,17,36,26,28,16,28,16,28,16,
19,13,19,13,19,13,19,13,23,13,23,20,23,13,27,19,27,19,27,19,27,19,27,19,27,19,38,28,27,19,
27,25,17,25,17,25,17,15,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,26,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,30,22,20,20,20,20,20,20,20,20,20,20,20,20,20,32,23,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,27,18,14,13,28,
17,27,19,27,19,27,19,27,19,27,19,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,27,18,38,26,28,17,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20, };
static unsigned short stb__times_bold_42_latin_ext_h[560]={ 0,27,13,27,29,28,27,13,34,34,15,21,13,5,
7,27,27,26,26,27,26,27,27,27,27,27,19,25,19,9,19,27,35,26,26,27,26,26,26,27,26,26,27,26,
26,26,27,27,26,33,26,27,26,27,27,27,26,26,26,33,27,33,14,4,7,19,27,19,27,19,26,27,26,26,
35,26,26,18,18,19,27,27,18,19,25,19,19,19,18,27,18,34,35,34,7,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,0,28,32,27,19,26,
35,35,6,27,12,18,9,5,27,3,14,21,14,14,7,27,35,7,9,14,12,18,28,28,28,28,34,34,34,33,
33,32,26,34,34,34,34,33,34,34,34,33,26,34,35,35,35,34,34,17,29,35,35,35,34,34,26,27,27,27,
28,27,27,28,19,26,27,27,28,27,26,26,27,26,27,26,27,27,28,27,27,17,20,27,27,28,27,35,35,35,
31,25,34,27,35,27,35,27,36,28,35,27,35,28,34,27,26,27,31,25,34,27,34,27,35,27,34,28,36,36,
35,35,35,35,34,37,35,35,26,26,33,26,31,24,34,26,35,35,33,18,27,35,36,36,34,34,18,34,34,34,
34,26,26,26,26,26,26,35,26,34,26,35,27,26,27,27,32,25,35,27,35,27,27,19,34,26,34,26,34,27,
35,27,36,28,34,26,35,28,36,34,34,27,26,25,34,27,32,25,35,27,36,28,35,27,35,27,36,28,35,36,
33,34,26,33,26,34,27,26,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,27,24,24,35,24,24,24,
24,24,24,24,24,24,24,24,24,24,29,21,24,24,24,24,24,24,24,24,24,24,24,24,24,32,19,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,34,28,34,27,35,
28,35,28,35,30,35,33,35,34,35,33,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,39,36,35,27,37,27,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24, };
static unsigned short stb__times_bold_42_latin_ext_s[560]={ 509,503,495,235,32,184,56,10,362,359,412,
364,1,168,127,496,293,113,150,361,68,110,168,186,329,1,501,502,143,43,94,
275,29,25,129,98,331,169,358,276,301,53,334,119,194,219,354,402,416,137,272,
1,1,482,431,217,154,473,87,224,86,501,476,181,135,440,397,459,329,404,256,
216,452,440,26,394,382,267,352,475,475,1,250,493,254,21,1,41,192,309,212,
307,420,1,97,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,
284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,509,387,378,
255,420,334,155,160,154,306,30,310,74,168,175,203,428,342,464,452,145,460,464,
119,66,442,18,230,315,343,235,452,375,107,53,109,1,350,156,418,135,187,241,
29,292,319,403,166,78,444,306,93,64,110,139,372,482,335,392,122,484,168,453,
143,124,105,415,59,40,296,165,1,459,443,264,407,47,35,347,105,311,476,275,
257,434,223,205,390,386,148,128,395,423,199,178,486,394,215,257,484,481,38,274,
22,116,371,338,241,39,280,160,379,66,73,437,268,409,57,459,94,1,468,434,
219,288,181,104,178,225,255,196,29,329,415,423,105,209,320,422,305,394,496,259,
294,94,298,183,239,318,200,226,372,330,334,322,297,285,398,379,354,287,41,93,
420,267,33,247,436,377,126,436,465,321,197,448,484,363,1,19,116,212,230,81,
195,472,124,219,161,77,141,13,21,274,127,216,477,1,19,17,183,25,256,293,
234,150,163,240,107,359,141,1,382,142,155,387,268,181,266,60,234,212,81,418,
304,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,350,284,284,134,
284,284,284,284,284,284,284,284,284,284,284,284,284,1,319,284,284,284,284,284,
284,284,284,284,284,284,284,284,260,70,284,284,284,284,284,284,284,284,284,284,
284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,334,50,
491,203,300,89,197,69,453,462,425,74,364,61,392,54,284,284,284,284,284,284,
284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,
284,284,284,1,97,65,78,48,291,284,284,284,284,284,284,284,284,284,284,284,
284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,
284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,
284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,284,
284,284,284,284,284,284,284,284,284, };
static unsigned short stb__times_bold_42_latin_ext_t[560]={ 1,217,413,275,217,217,303,433,113,148,413,
386,433,433,433,247,247,386,359,247,386,247,247,247,247,275,359,275,413,433,413,
275,77,386,386,303,359,359,359,303,359,386,303,359,359,359,303,303,359,183,359,
331,386,303,303,303,386,359,386,183,303,113,413,433,433,386,275,386,275,386,359,
275,359,359,41,359,359,413,413,386,247,247,413,386,386,413,413,413,413,275,413,
113,1,148,433,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,
386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,1,217,183,
275,386,331,41,41,433,303,433,413,433,433,303,433,413,386,413,413,433,303,41,
433,433,413,433,413,217,217,217,217,113,113,113,183,183,183,331,113,113,113,113,
183,113,113,113,183,331,113,77,77,77,148,148,413,183,77,77,77,148,148,331,
275,275,275,217,275,275,217,413,359,247,247,217,247,331,331,247,359,247,331,247,
247,217,247,247,413,386,247,247,217,247,77,77,41,183,386,148,217,1,247,41,
247,1,217,1,247,41,217,113,247,359,247,183,386,148,247,148,247,41,217,148,
217,1,1,41,41,41,41,148,1,41,41,331,331,183,331,183,386,148,331,77,
77,183,413,275,77,1,1,148,148,413,148,148,148,148,331,331,331,331,359,359,
77,331,148,331,41,275,331,275,275,183,386,77,275,77,303,303,413,113,331,148,
331,113,303,77,303,1,217,148,331,77,217,1,77,113,275,359,386,113,303,183,
386,77,275,1,217,41,303,77,303,1,217,41,1,183,113,331,183,331,113,275,
331,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,275,386,386,41,
386,386,386,386,386,386,386,386,386,386,386,386,386,217,386,386,386,386,386,386,
386,386,386,386,386,386,386,386,183,413,386,386,386,386,386,386,386,386,386,386,
386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,113,217,
77,303,41,217,41,217,1,183,1,183,1,148,1,183,386,386,386,386,386,386,
386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,
386,386,386,1,1,41,275,1,275,386,386,386,386,386,386,386,386,386,386,386,
386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,
386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,
386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,
386,386,386,386,386,386,386,386,386, };
static unsigned short stb__times_bold_42_latin_ext_a[560]={ 152,202,337,303,303,607,505,169,
202,202,303,346,152,202,152,169,303,303,303,303,303,303,303,303,
303,303,202,202,346,346,346,303,564,438,405,438,438,405,371,472,
472,236,303,472,405,573,438,472,371,472,438,337,405,438,438,607,
438,438,405,202,169,202,353,303,202,303,337,269,337,269,202,303,
337,169,202,337,169,505,337,303,337,337,269,236,202,337,303,438,
303,303,269,239,134,239,316,472,472,472,472,472,472,472,472,472,
472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,
472,472,472,472,472,472,472,472,152,202,303,303,303,303,134,303,
202,453,182,303,346,202,453,303,243,333,182,182,202,350,328,152,
202,182,200,303,455,455,455,303,438,438,438,438,438,438,607,438,
405,405,405,405,236,236,236,236,438,438,472,472,472,472,472,346,
472,438,438,438,438,438,371,337,303,303,303,303,303,303,438,269,
269,269,269,269,169,169,169,169,303,337,303,303,303,303,303,333,
303,337,337,337,337,303,337,303,438,303,438,303,438,303,438,269,
438,269,438,269,438,269,438,445,438,337,405,269,405,269,405,269,
405,269,405,269,472,303,472,303,472,303,472,303,472,337,472,337,
236,169,236,169,236,169,236,169,236,169,499,335,303,202,472,337,
337,405,169,405,169,405,284,405,240,405,169,438,337,438,337,438,
337,442,467,337,472,303,472,303,472,303,607,438,438,269,438,269,
438,269,337,236,337,236,337,236,337,236,405,202,405,316,405,202,
438,337,438,337,438,337,438,337,438,337,438,337,607,438,438,303,
438,405,269,405,269,405,269,169,472,472,472,472,472,472,472,472,
472,472,472,472,472,472,472,448,472,472,303,472,472,472,472,472,
472,472,472,472,472,472,472,472,472,336,472,472,472,472,472,472,
472,472,472,472,472,472,472,483,364,472,472,472,472,472,472,472,
472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,
472,472,472,472,472,438,303,236,169,472,303,438,337,438,337,438,
337,438,337,438,337,472,472,472,472,472,472,472,472,472,472,472,
472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,
472,472,438,303,607,438,472,303,472,472,472,472,472,472,472,472,
472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,
472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,
472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,
472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,
472,472,472,472,472,472,472,472, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_42_latin_ext_BITMAP_HEIGHT or STB_FONT_times_bold_42_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_42_latin_ext(stb_fontchar font[STB_FONT_times_bold_42_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_42_latin_ext_BITMAP_HEIGHT][STB_FONT_times_bold_42_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_42_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_42_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_42_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_42_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_42_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_42_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_42_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_42_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_42_latin_ext_s[i] + stb__times_bold_42_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_42_latin_ext_t[i] + stb__times_bold_42_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_42_latin_ext_x[i];
            font[i].y0 = stb__times_bold_42_latin_ext_y[i];
            font[i].x1 = stb__times_bold_42_latin_ext_x[i] + stb__times_bold_42_latin_ext_w[i];
            font[i].y1 = stb__times_bold_42_latin_ext_y[i] + stb__times_bold_42_latin_ext_h[i];
            font[i].advance_int = (stb__times_bold_42_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_42_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_42_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_42_latin_ext_s[i] + stb__times_bold_42_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_42_latin_ext_t[i] + stb__times_bold_42_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_42_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_42_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_42_latin_ext_x[i] + stb__times_bold_42_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_42_latin_ext_y[i] + stb__times_bold_42_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_bold_42_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_42_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_42_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_42_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_42_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_42_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_42_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_42_latin_ext_LINE_SPACING
#endif

