// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_44_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_44_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_44_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_bold_44_latin_ext_BITMAP_HEIGHT        486
#define STB_FONT_times_bold_44_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_bold_44_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_bold_44_latin_ext_NUM_CHARS            560

#define STB_FONT_times_bold_44_latin_ext_LINE_SPACING          28

static unsigned int stb__times_bold_44_latin_ext_pixels[]={
    0x77764000,0x8000005e,0x004cccca,0x19998800,0x13333000,0x00000000,
    0x33000000,0x00000033,0x00999880,0x00018000,0x19999930,0x4cc40000,
    0x20000009,0x018800a8,0x55544000,0x22000002,0x00002aaa,0xaaaaa980,
    0x00002aaa,0x33333100,0x0e440001,0x00001540,0x000540aa,0x10032a00,
    0x13fa0035,0x3fffe000,0x8000000e,0x001ffffe,0xffffd800,0x7ffdc002,
    0x8800005f,0x00002dfb,0x3fff2000,0x0000003f,0x0dffff30,0x00e4c000,
    0xffffc800,0x3e200003,0x0000ffff,0xa807fa00,0x5c00005f,0x00001eff,
    0x007ffdc0,0x3fee0000,0x0fffffff,0xfb800000,0x80005fff,0x0ff202fd,
    0x5df30000,0x00001baa,0x74c03be6,0x09fd000f,0xffffa800,0x98000000,
    0x0002ffff,0xfffffa80,0x3ffe2006,0x00001fff,0x17f73fe6,0x26000000,
    0x00ffffff,0xfe800000,0x0003ffff,0x400004d8,0x0003ffff,0x7ffffe40,
    0x26000004,0x0ffc82ff,0x77f40000,0x50000000,0x000007ff,0xffffffb8,
    0x00000fff,0x05fffe80,0x87ff3000,0x00007fe8,0x1fffff70,0x3f200000,
    0x027fd41f,0x80009fd0,0x0001fffd,0x5fff7000,0x3fa00000,0x002fffff,
    0xbffffff9,0x23640000,0x000001fa,0x7ffffec0,0x0000004f,0x7fffffd4,
    0x07cc0007,0xfff30000,0xf8800009,0x01ffffff,0x3ff60000,0x009ffb13,
    0x00df8800,0x7cc00000,0x00000005,0x30000000,0x0001dfff,0xe9affec0,
    0x000002ff,0x000bfff6,0x2fff8800,0x4001fff7,0x7c0004fe,0x000001ff,
    0x000bffa0,0x5fffdc00,0xf8806ffd,0x1fffbdff,0x82f88000,0x0000004e,
    0x3f33ffea,0x000000ff,0x3ebbffa0,0x320003ff,0x900002ae,0x000009ff,
    0xffd5fffb,0x4c00000b,0xfffedfff,0x03100000,0x88000006,0x00000301,
    0x000180c4,0x1dff7000,0xff980000,0x006fffef,0x06031000,0xffc80000,
    0x002fffef,0x500027f4,0x000003ff,0x001ffcc0,0x1fff8800,0xfb00fff2,
    0x037fd47f,0x7417c400,0x20000004,0x3fee2ffe,0x70000004,0x7ff4cbff,
    0xfffd0000,0x9ff0000d,0xff300000,0x07ffa21d,0xffd80000,0x0003ffff,
    0xfe87ff10,0xf8800005,0x002ff43f,0x21ffc400,0x000005fe,0x0000efe8,
    0xfffff900,0x1000003f,0x05fe87ff,0xfff10000,0xd000dfff,0x7ec0009f,
    0x40000001,0x000003fb,0x3ee03bf2,0x05ff300f,0x00005ff3,0x001f98db,
    0x3ff70000,0x0001ff50,0x83ff8800,0x90003fe8,0x0001ffff,0x00002fcc,
    0xbfb05fe8,0x7cc00000,0x0006ffff,0xf897fea0,0xa800007f,0x1ffe25ff,
    0x3fea0000,0x001ffe25,0x01df3000,0x7fc40000,0x00005fff,0x7c4bff50,
    0x2000007f,0x01fffffb,0x0004fe80,0x00000098,0x20000000,0x1fd405f9,
    0x3a201ee8,0xff980006,0x00006fdc,0x401df100,0x000005f9,0xfb1017e4,
    0xffd10001,0x00000009,0x201fdc00,0x000001fc,0x007ffff2,0xb83db000,
    0xb000003e,0x003eb83d,0xb83db000,0x4000003e,0x000000a8,0x00eeeeb8,
    0x07b60000,0x000007d7,0x027776c4,0x0004fe80,0x019fff91,0x00000000,
    0x4400000c,0x00c40000,0x2dfc8800,0x00000000,0x00000310,0x0004c000,
    0x20000130,0x00001cd9,0x00011000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0009fd00,0x17ae6ff2,
    0xcca80000,0x00abceee,0x000001fb,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7f440000,0x00005fee,0x00000000,0x33bb72e2,0x5547500a,
    0xaaaaaaaa,0xaaa81aaa,0x542aaaaa,0xaaaaaaaa,0xaa81aaaa,0x42aaaaaa,
    0xaaaaaaaa,0xa81aaaaa,0x2aaaaaaa,0xedcb8800,0x47500ace,0xaaaaaaaa,
    0xa81aaaaa,0x2aaaaaaa,0x55555554,0x81aaaaaa,0xaaaaaaaa,0xca988002,
    0x40009abc,0x7f0004fe,0x00000fa8,0x3bfffee2,0x0cfffffc,0x2a200bee,
    0xaaaaaaaa,0x7101aaaa,0x8839bdd9,0xaaaaaa84,0x1aaaaaaa,0xaaaaaaa8,
    0x2aaaa62a,0x21aaaaaa,0xaaaaaaa9,0x5102aaaa,0x00155555,0xceedcb88,
    0x4c07500a,0x0001bcca,0x01fa87ee,0x55555544,0x1aaaaaaa,0x55555553,
    0x01555555,0x3ffff6a0,0xbdfffeff,0x3b2e3e88,0xefffffff,0xffdb81bc,
    0x65c2cfff,0xfffffffe,0xfdb81bce,0x5c2cffff,0xffffffec,0xdb81bcef,
    0x02cfffff,0x3ffff6a0,0xbdfffeff,0x3b2e3e88,0xefffffff,0xffdb81bc,
    0x65c2cfff,0xfffffffe,0xfdb81bce,0x002cffff,0x33bffff2,0x004ffffe,
    0xf50009fd,0x00007f01,0x02ffffee,0x77ffff93,0x32a2007f,0xfffffffe,
    0xffa81bdf,0xbeffdcef,0xfecb85c9,0xceffffff,0xfffdb81b,0x3faa2cff,
    0xdfffffff,0x3ffff2a2,0x03cfffff,0x1bfffd93,0x3fff6a00,0xdfffefff,
    0xd983e88b,0xfffedfff,0x200fffff,0x4405d84e,0xfffffeca,0x731bdfff,
    0xfffffffb,0x880159df,0x0aeffffd,0x7ffffe4c,0xfffff883,0xfd1000ff,
    0xfff8801f,0x1000ffff,0xf8801ffd,0x00ffffff,0x001ffd10,0x77fffec4,
    0x7ffe4c0a,0xfff883ff,0x1000ffff,0xf8801ffd,0x00ffffff,0x001ffd10,
    0x05ffff4c,0x0bbffee2,0x10009fd0,0x001f985f,0x7fffec40,0x7fffcc02,
    0x3fa0004f,0x202fffff,0xfa81dffd,0x3e205fff,0x00ffffff,0x401ffd10,
    0x4ffffffd,0x3ffffe20,0xff1002ff,0x3ff62009,0x64c0aeff,0x5c3fffff,
    0x3f61efff,0x00ffffff,0x001b20fe,0x3ffffffd,0xfffff980,0xff3000ef,
    0xb1007fff,0x3f607fff,0x4005ffff,0xffb003fc,0xc800bfff,0xfffb003f,
    0xfc800bff,0x3ffe6003,0xfd8803ff,0xfffb03ff,0xfc800bff,0xffffb003,
    0x3fc800bf,0x3ffff200,0x7fffcc03,0x009fd00d,0x36c47b60,0x7fff4000,
    0xfff7004f,0x7dc000bf,0x2e07ffff,0x7ec407ff,0x7ffec05f,0x7e4005ff,
    0x7fffcc03,0x7fd404ff,0x2002ffff,0xfff3007e,0xfb1007ff,0x7ffcc7ff,
    0x77ffcc3f,0x23640199,0x7dc003f8,0xf007ffff,0x009fffff,0x0bffffea,
    0x207ffb00,0x05fffffd,0xd8017dc0,0x005fffff,0xfd8017dc,0x4005ffff,
    0xff5002fb,0xd8005fff,0xfffb03ff,0xfb800bff,0xffffb002,0x2fb800bf,
    0xbffffb00,0x3fffea00,0x0009fd06,0x0bbfbfa6,0xffff9000,0x7ffc003f,
    0xf50003ff,0x220fffff,0xe8803fff,0x7ffec05f,0x7dc005ff,0xffffd802,
    0xffff806f,0x13e005ff,0x3ffffea0,0x1ffec002,0xf01fffff,0x26009fff,
    0x007ebbef,0x6fffffb8,0xfffffd00,0xffff1007,0xfd10009f,0x3ffff207,
    0x17d4004f,0xfffffc80,0x017d4004,0x4fffffc8,0x4017d400,0x04fffff8,
    0x903fe880,0x009fffff,0xf9002fa8,0x8009ffff,0xffb802fa,0x7f4007ff,
    0x09884fff,0x01fdc000,0x7fffd400,0x7ff4005f,0xa8000fff,0x707fffff,
    0x26005fff,0x7ffe405f,0x7d4004ff,0xffffa802,0x7fdc01ff,0xa800ffff,
    0x7ffc400f,0xe88004ff,0xfffff33f,0x01ffffa0,0x00cffc98,0xfffffb80,
    0xffffd006,0xffe8807f,0x30000fff,0x3fff207f,0x7d4004ff,0xffff9001,
    0x1fa8009f,0xfffff900,0x01fa8009,0x7fffff44,0x07f30000,0x13fffff2,
    0x2003f500,0x04fffffc,0x2200fd40,0x005fffff,0x0fffffdc,0x5fd80000,
    0xfffe8000,0x3f6002ff,0x006fffff,0x7fffffa8,0x00bfffb0,0x3ff202ec,
    0x54004fff,0xfffd001f,0xff8809ff,0xd803ffff,0x7fff4405,0xf30000ff,
    0x1ffffea7,0x00fffff4,0xf7000020,0x200dffff,0x03fffffe,0x27ffffe4,
    0x640fa000,0x004fffff,0xfc800fd4,0x4004ffff,0xff9001fa,0xa8009fff,
    0x7ffe401f,0x740004ff,0xfffff903,0x01fa8009,0x9fffff90,0x401fa800,
    0x02fffffe,0x7ffffcc0,0xf8800006,0x260000ff,0x00ffffff,0xffff5f90,
    0xfa8005ff,0xfd07ffff,0x2a009fff,0x7fffe406,0x0fd4004f,0xfffffb80,
    0x7ffec00f,0x17c406ff,0x3fffff20,0xa9f40004,0xfb07ffff,0x26003fff,
    0x000accba,0x37ffffdc,0xfffffe80,0x7ffffc03,0x1dc0003f,0x4fffffc8,
    0x800fd400,0x04fffffc,0xc800fd40,0x004fffff,0x3fe00fd4,0x0003ffff,
    0xfffc81dc,0x7d4004ff,0xffff9001,0x1fa8009f,0x3ffffea0,0xfff8000f,
    0x00003fff,0x0027ffe4,0xffffffb0,0x7f4fee00,0x4004ffff,0x07fffffa,
    0x19fffffb,0xffc80900,0x54004fff,0xfff1001f,0xfa807fff,0x201fffff,
    0x7ffc00fb,0x40003fff,0xfffff33b,0x1ffffd01,0xffeffb80,0x2e003fff,
    0x006fffff,0x07fffffd,0x7fffffdc,0x90080001,0x009fffff,0xf9001fa8,
    0x8009ffff,0xff9001fa,0xa8009fff,0x3ffee01f,0x80001fff,0xfffff900,
    0x01fa8009,0x9fffff90,0x201fa800,0x06fffffc,0xfffffb00,0x7c40000b,
    0x20007fff,0x06ffffff,0x3ff64fa8,0x54006fff,0x707fffff,0x7fffffff,
    0xfffc8000,0x7d4004ff,0x3fff6001,0x7fe406ff,0x3a04ffff,0x7fffdc04,
    0x080001ff,0x207ffffa,0x2606ffff,0x3fee0dfe,0xff7002ff,0x3a00dfff,
    0x203fffff,0x0ffffffe,0x3f200000,0x4004ffff,0xff9001fa,0xa8009fff,
    0xfff9001f,0xfa8009ff,0x3ffffa01,0x000000ff,0x13fffff2,0x2003f500,
    0x04fffffc,0xfd00fd40,0x000dffff,0x1bfffff6,0xfffb8000,0xf88003ff,
    0x406fffff,0x7ffe45f9,0x7d4007ff,0xf307ffff,0xdfffffff,0x3ff20005,
    0x54004fff,0x3fe6001f,0xf101ffff,0x0fffffff,0xffd007e6,0x0001ffff,
    0x3ffff980,0x00ffffcc,0xffd07fff,0xff7003ff,0x3a00dfff,0x203fffff,
    0x07ffffff,0x7fe40000,0x54004fff,0xfff9001f,0xfa8009ff,0xffff9001,
    0x1fa8009f,0x3fffffe0,0x64000007,0x004fffff,0xfc800fd4,0x4004ffff,
    0x3ffe01fa,0x90005fff,0x01ffffff,0x3fffe000,0xf98006ff,0x205fffff,
    0xfffc86f8,0x2a001fff,0x207fffff,0xfffffffc,0x64001eff,0x004fffff,
    0x3a000fd4,0x704fffff,0xffffff3f,0xff00d905,0x000fffff,0x3bffe600,
    0x03fffb11,0x6c3fffd4,0xb804ffff,0x006fffff,0x07fffffd,0x3fffffe2,
    0x64000005,0x004fffff,0xfc800fd4,0x4004ffff,0xff9001fa,0xa8009fff,
    0xffff101f,0x00000bff,0x4fffffc8,0x800fd400,0x04fffffc,0xf980fd40,
    0x005fffff,0xffffff90,0x2000b2e3,0xfffffffa,0x7ffd4002,0xdd104fff,
    0xfffff901,0x7fd4005f,0x7ec07fff,0xffffffff,0xff9000df,0xa8009fff,
    0x7fdc001f,0x5e80ffff,0x0bfffffb,0xfff8807f,0x00005fff,0x37ffee20,
    0x6c00cfff,0x7e42ffff,0xfb805fff,0xaaafffff,0xfeaaaaaa,0xf303ffff,
    0x009fffff,0xfffc8000,0x7d4004ff,0xffff9001,0x1fa8009f,0xfffff900,
    0x01fa8009,0x9ffffff3,0xfc800000,0x4004ffff,0xff9001fa,0xa8009fff,
    0xffff501f,0x320009ff,0xd2ffffff,0xdbd0009f,0x00bfffff,0xffffff98,
    0x3203fb04,0x02ffffff,0x3ffffea0,0x7fff4407,0xffffffff,0xffffc801,
    0x0fd4004f,0x3fffe200,0xa8fcc3ff,0x20ffffff,0x7fcc00fa,0x0004ffff,
    0x5d5f5c00,0xff50009b,0xfffc83ff,0xfffb805f,0xffffffff,0xffffffff,
    0xfff503ff,0x0000bfff,0xfffffc80,0x00fd4004,0x4fffffc8,0x800fd400,
    0x04fffffc,0xfa80fd40,0x005fffff,0x7ffe4000,0x7d4004ff,0xffff9001,
    0x1fa8009f,0xffffff50,0x3fee0009,0x9fd2ffff,0xfa9f9800,0x001fffff,
    0x3fffffe2,0x3201fc85,0x01ffffff,0x3ffffea0,0xffff9007,0x5fffffff,
    0xfffffc80,0x00fd4004,0x7ffffec0,0x3ffe3646,0x01763fff,0x3fffffea,
    0xb1000005,0xd700001f,0xfffd887d,0xfffb805f,0xaaaaafff,0xfffeaaaa,
    0xfff303ff,0x0000dfff,0xfffffc80,0x00fd4004,0x4fffffc8,0x800fd400,
    0x04fffffc,0xf980fd40,0x006fffff,0x7ffe4000,0x7d4004ff,0xffff9001,
    0x1fa8009f,0xffffff10,0x3ff2000b,0x9fd1ffff,0x3fe6d800,0x4004ffff,
    0x46fffffe,0x7fe402fb,0x2000ffff,0x07fffffa,0x3ffff660,0x01ffffff,
    0x13fffff2,0x0003f500,0x3ffffff3,0xfff90fe2,0x00be2dff,0x3fffffe6,
    0xff000006,0x4400000d,0x5ffffffb,0xfffffb80,0xffffd006,0x3ffe207f,
    0x00007fff,0x7ffffe40,0x00fd4004,0x4fffffc8,0x800fd400,0x04fffffc,
    0xf880fd40,0x007fffff,0x7ffe4000,0x7d4004ff,0xffff9001,0x1fa8009f,
    0x3fffffe0,0xfff90006,0x13fa1fff,0x3ee2f880,0x000fffff,0x9ffffff6,
    0xffd804fa,0x54007fff,0x007fffff,0xfffffe98,0x3f205fff,0x4004ffff,
    0xfd0001fa,0x3ee9ffff,0x7ffffcc0,0xf1007b9f,0x00ffffff,0x7fff5000,
    0x5c400001,0xffffcbff,0xffffb805,0xfffd006f,0x7ffc07ff,0x0000ffff,
    0x3ffff200,0x0fd4004f,0xfffffc80,0x00fd4004,0x4fffffc8,0xf00fd400,
    0x01ffffff,0x7fe40000,0x54004fff,0xfff9001f,0xfa8009ff,0x3ffffa01,
    0xffb0006f,0x27f4dfff,0xff88f900,0x2003ffff,0x37fffffb,0x3ffa00bf,
    0x54004fff,0x307fffff,0xffffd500,0x3f201fff,0x4004ffff,0xf70001fa,
    0x9d1fffff,0x3fffffa0,0x3fe004ec,0x000fffff,0x7fffec00,0xefffffff,
    0xfffa800d,0x0bffff92,0xdfffff70,0x3ffffa00,0x3fff603f,0x00001fff,
    0x3fffff20,0x00fdc005,0x5fffffc8,0x800fdc00,0x05fffffc,0xfb00fdc0,
    0x003fffff,0x7ffe4000,0x7dc005ff,0xffff9001,0x1fb800bf,0x3fffff60,
    0xfffd0007,0x027f4bff,0xffd83f88,0x26007fff,0xf9ffffff,0xffff1005,
    0xfa8003ff,0x1f06ffff,0x3fffee00,0xfff902ff,0xfb800bff,0xfff10001,
    0x203fbfff,0xfffffffb,0x3fff6001,0x00001fff,0x7fffffe4,0xffffffff,
    0x3fffb104,0x02ffffe4,0x37ffffdc,0xfffffe80,0x3fffe603,0x000002ff,
    0x17ffffee,0x2001f700,0x05fffffb,0xb8007dc0,0x005fffff,0xff3007dc,
    0x0005ffff,0x7fffdc00,0x07dc005f,0xfffffb80,0x007dc005,0x1ffffff3,
    0xffff8800,0x013fa1ff,0x7fcc07dc,0x2002ffff,0xeffffffc,0xffff5000,
    0x19fb30df,0x6fffffa8,0x7d4005f0,0xf703ffff,0x800bffff,0x360000fb,
    0x05ffffff,0x3fffffe2,0x7ffcc006,0x00002fff,0x7fffffcc,0xffffffff,
    0x4fffe82f,0x02ffffe4,0x37ffffdc,0xfffffe80,0x7ffff403,0x2000005f,
    0x05fffffb,0xf7003ec0,0x800bffff,0x3fee007d,0x6c005fff,0xffffe807,
    0x2000005f,0x05fffffb,0xf7003ec0,0x800bffff,0xfffc807d,0x7cc003ff,
    0x7f44ffff,0x7409f004,0x006fffff,0x07fffff4,0xfffffb00,0x89ffff03,
    0x05fffffa,0xffb800bf,0xfff701ff,0x7d800bff,0x7ffcc000,0x7ec02fff,
    0x8003ffff,0x05fffffe,0xfffa8000,0xffffffff,0x7fe45fff,0x7ffe41ff,
    0xfffb805f,0xffd006ff,0xfa807fff,0x000fffff,0xfff980e0,0x2fc006ff,
    0xfffff300,0x005f800d,0x1bffffe6,0xf500bf00,0x001fffff,0xfff301c0,
    0x5f800dff,0x3fffe600,0x02fc006f,0x37ffffc4,0x3ffff200,0x4027f40f,
    0x3fea00fa,0x2001ffff,0x01fffff9,0x7fffff10,0x8fffff50,0x05fffffa,
    0x7c4001ff,0xff300fff,0xf800dfff,0xffe80005,0xffa807ff,0xa8000fff,
    0x00ffffff,0x3fa60e00,0xeeeedcef,0x7fc7ffff,0x7fe42fff,0xffb805ff,
    0xfd006fff,0x9007ffff,0x009fffff,0xfff01ee0,0x2e001fff,0x7ffc003f,
    0xf7000fff,0xffff8007,0x7f7000ff,0x3ffff200,0x0f70004f,0x0ffffff8,
    0x8007f700,0x00ffffff,0x2e007f70,0x001fffff,0x07fffff1,0xffd009fd,
    0xffffffff,0x00bfffff,0x05ffffb8,0x09ffffb0,0x71bfffee,0x207fffff,
    0x7fc006ff,0x7fffc06f,0x7f7000ff,0xfff70000,0x3ffe007f,0x3f20005f,
    0x0004ffff,0x03ffd8f7,0x7c4fff90,0xd99effff,0x806fffff,0x06fffffb,
    0x7fffffd0,0x3ffff600,0x27e4003f,0x3fffff20,0x006fa804,0x4fffffc8,
    0x8006fa80,0x04fffffc,0x6c006fa8,0x003fffff,0x3f2027e4,0xa804ffff,
    0xffc8006f,0xfa804fff,0x7ffe4006,0xfff9005f,0x013fa09f,0x999999f3,
    0xffffb999,0x7dc001ff,0x5c04ffff,0x2603ffff,0x7dc2ffff,0xff00ffff,
    0x3fee009f,0x7ffe401f,0x6fa804ff,0xfff10000,0x3ff2001f,0x7ec0002f,
    0x4003ffff,0x1bfe64fc,0x745ff880,0xefffffff,0x5afffffd,0x3ffffee0,
    0xffffd006,0x7fe4007f,0x4c00cfff,0xffd002fe,0x7cc09fff,0xffd0001f,
    0x7cc09fff,0xffd0001f,0x7cc09fff,0xffc8001f,0x4c00cfff,0xffd002fe,
    0x7cc09fff,0xffd0001f,0x7cc09fff,0xffc8001f,0x7fdc04ff,0x13fa04ff,
    0x3e200db0,0x004fffff,0xfffb37f5,0x3fae217b,0xfc801eff,0xffffd87f,
    0x33fffe02,0x01fffc00,0x4fffffe8,0x0007fe60,0x005ffd80,0x0001ffe6,
    0x67ffffe4,0x217f4c00,0x5002fffa,0xfffb83ff,0xfff14fff,0x7e403fff,
    0xf007ffff,0x009fffff,0xffffff98,0xffdb9aac,0x3f62000d,0xbbdfffff,
    0x0001fffd,0x3fffff62,0xfffdbbdf,0x3f620001,0xbbdfffff,0x0001fffd,
    0x3fffffe6,0xffdb9aac,0x3f62000d,0xbbdfffff,0x0001fffd,0x3fffff62,
    0xfffdbbdf,0x3faa0001,0xb7109dff,0xe805dfff,0x00be604f,0xffffffc8,
    0x2227cc00,0xfffffffc,0x6c001cff,0xffb88bff,0x7ffc02ff,0x6c40afff,
    0x362003ff,0xbdffffff,0x001fffdb,0x00ffcc00,0x00013fa0,0xffffff98,
    0xffdb9aac,0x5dffd00d,0x07ff2a20,0x216fff5c,0x201effea,0xfffffff9,
    0x7fffdc03,0xa8001fff,0xfffffffd,0x20003dff,0xffffffea,0x00003eff,
    0x3fffffaa,0x0003efff,0x3ffffaa0,0x003effff,0x3fff6a00,0x3dffffff,
    0x3ffaa000,0x3effffff,0x3faa0000,0xefffffff,0x36e00003,0xffffffff,
    0x597003df,0x26003ec0,0x03ffffff,0x2a6202f4,0x40001abc,0xfffffffa,
    0x98df802d,0xffeeffeb,0xd50000df,0xffffffff,0x4000007d,0x1fb8006e,
    0xfda80000,0xffffffff,0xffeb803d,0xefffeeef,0x8801800b,0xfffdd100,
    0xdfffffff,0x3ffffaa7,0xeeffffff,0x554c4000,0x000009bc,0x55e65d44,
    0x22000001,0x01abccba,0x2ea20000,0x0001abcc,0x32aa6200,0x4000009b,
    0x1abccba8,0x2a200000,0x001abccb,0x2eaa2000,0x0000aabc,0x4002fcc0,
    0x0ffffffd,0x00000220,0x37953000,0x75103800,0x00001379,0x2af32ea2,
    0xa8000001,0x00488001,0x554c4000,0x100009bc,0x33579755,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x017fa000,0x3ffffee0,0x0000004f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffd5000,0xfffc8005,0x0003ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7e400000,0x06efffff,0x3fffffaa,0x01ffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0004cccc,
    0x00999970,0x06666200,0x31000000,0x00003333,0x00399993,0x26001100,
    0x00544000,0x200000c4,0x00099999,0x7776c000,0x55530004,0x55555555,
    0x55555555,0x88005555,0x00009999,0x0ccc4000,0x00013331,0x01300298,
    0x99988000,0x33300009,0x80000133,0x00099998,0x06001100,0x99880000,
    0x98000009,0x0001cccc,0x4feaee4c,0x5ffffb80,0xffff3000,0xf900007f,
    0x00009fff,0x7fffec00,0xffe80004,0x980006ff,0x007dc02f,0xf500ff40,
    0x7d40000b,0x0000efff,0x3fffee00,0xffc8001f,0xffffffff,0xffffffff,
    0x4007ffff,0x007ffffa,0x7ff40000,0x003bff66,0x401df100,0x200002fc,
    0x02fffff8,0xeffffb80,0x3e200000,0x0001ffff,0xfb803f50,0xf8800000,
    0x0000ffff,0x37ffff40,0xcffd9800,0xf8809fd1,0x001fffff,0xffffffd8,
    0x3fe60000,0x0000ffff,0xffff8800,0xffa80004,0x0002ffff,0xff502ff8,
    0x0bfe6000,0x00003ff2,0x00efffd8,0x3fe20000,0x8005ffff,0x99adfffc,
    0xbffffff9,0x7fffba99,0xffffa800,0x30000002,0x7ffc1fff,0xdf900001,
    0x006fe881,0x7fffd400,0xfffb0002,0xa800001d,0x0002ffff,0x2207fe20,
    0x000006fb,0x0bfffff9,0x7ffd4000,0x4c002fff,0x27f40fff,0x3fffff20,
    0x7fd4005f,0x004fffff,0x3fffff60,0x8000004f,0x0005fffa,0xffffffd0,
    0xffb0000d,0xbfffdbdf,0x9ffec000,0x0004ffd8,0x03bffe20,0xff900000,
    0x003fffdf,0xff01ffc8,0xd105ffff,0x3ee000ff,0x000004ff,0x7d45ff90,
    0x2200004f,0xffd31fff,0xfd800003,0xf10002ff,0x00001dff,0x005fffb0,
    0xdfffd000,0x009fffdb,0xffff3000,0x00003fff,0x3ffffffa,0x3ffa2006,
    0x2204fe84,0xfffbdfff,0x53ffa001,0x8000fffb,0xffcbfffa,0x4000000f,
    0x00005ffd,0xfd13dff7,0xf880005f,0xffffffff,0x3fe60000,0x00fffedf,
    0x3ffea000,0x4c000000,0xdff92fff,0x203fc800,0x02ffffff,0xfb8001fa,
    0x0000007f,0x06fd8bfd,0xfffb8000,0x0005fffc,0x01fffc40,0x01dff500,
    0xfff10000,0x26000005,0xffffffff,0xfb000006,0x0bffd5df,0x3dff7000,
    0x2007ffd1,0xfe81fffb,0xa93ff604,0xff7006ff,0x004ffa87,0x3ea2ffe8,
    0x2000005f,0x00005ff8,0x7441bff1,0xf980006f,0x01ffffff,0xffffd800,
    0x400003ff,0x00001ffd,0x5c1efe80,0x1b2002ff,0x5ffffff0,0x20003d40,
    0x00002ffb,0x3e07fcc0,0x8800001f,0x0fffffff,0x7fd40000,0x7fec0003,
    0xf5000000,0x8000007f,0xeffffffa,0xfa800001,0x3ffb10df,0x77fc4000,
    0x401ff620,0xfe81fffd,0x305ff304,0x5ff005ff,0x8007fa60,0xff981efb,
    0xf5000001,0x7e40000d,0x000ff604,0x33bfb220,0xff100000,0x0000dfff,
    0x0001ff88,0x00dfa800,0x26400df5,0x3fffffe0,0x40003c02,0x000004fc,
    0x0fea0fe4,0xffb80000,0x00004fff,0x40003fd8,0x00001ff8,0x0000ff60,
    0x77fec400,0x3a000004,0x00df904f,0xfb027e40,0x7ffff007,0x3ba09fd0,
    0x301ba201,0x02c88039,0x4c01bf10,0x3000005e,0x22000015,0x005c802c,
    0x00000000,0x005ffff9,0x001a8800,0x00770000,0x06e00193,0x5ffffff0,
    0x50000480,0xa8000005,0x00002982,0x0ffffe80,0x03c80000,0x001a8800,
    0x00154000,0x00000000,0x403fb800,0x590002fb,0xfd00b700,0x09fd09ff,
    0x00018800,0x88000000,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fc00000,0x0002ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00022000,0x7e400000,0x04fe85ff,
    0x26600000,0x50099999,0x55555555,0x55035555,0x05555555,0x79953100,
    0x30000135,0x00037995,0xbcca9880,0x4400009a,0x41cdeecb,0xaaaaa848,
    0xaaaaaaaa,0xaaaaaa81,0x988002aa,0xacdeeecb,0xf0002b80,0x005fffff,
    0xaaaaaaa8,0x81aaaaaa,0xaaaaaaaa,0xca988002,0x40009abc,0xaaaaaaa8,
    0x5555002a,0x26235555,0x19999999,0x04ccccc4,0xcdeecb88,0x2aa22441,
    0x02aaaaaa,0x55555550,0x55555435,0xaaaaaaaa,0xaaaaaa81,0x988002aa,
    0x009abcca,0x4ccccc40,0x4cc41999,0xffb80999,0x534fe86f,0x00355555,
    0x3ffff600,0xfd9704ff,0x9dffffff,0xfffb7037,0x640059ff,0xfeceffff,
    0x98004fff,0xfffdfffe,0x00ffffff,0x9dffff90,0x009ffffd,0xb9dfff50,
    0x0b937dff,0xfffffd97,0x70379dff,0x59fffffb,0x7fff4c00,0xfffecdef,
    0x002f98ad,0x5ffffff0,0xffecb800,0xbcefffff,0xffffdb81,0x3f2002cf,
    0xffecefff,0xd91004ff,0x7fffffff,0xffff9500,0x3ffee5bf,0x545fffff,
    0xa82ffffe,0xffdcefff,0x6445c9be,0xfffffffe,0xfffca803,0x3b2e2dff,
    0xefffffff,0xffdb81bc,0x2002cfff,0xeceffffc,0x7004ffff,0xffffffff,
    0xffffea8b,0x87fffa82,0xfffd54fe,0x40000bff,0x04fffff8,0x7fffffc4,
    0xffd1000f,0x7ff4c001,0x7fdc40bf,0xff7002ef,0x7ffec3df,0x4c00ffff,
    0x440bfffe,0x002efffb,0xf503bffb,0x7c40bfff,0x00ffffff,0x001ffd10,
    0x03ffffc8,0x3fffffaa,0xffff0002,0x220005ff,0x0fffffff,0x01ffd100,
    0x5ffff4c0,0x77ffdc40,0x3fff6002,0x1002ffff,0xff501ffd,0x6c05ffff,
    0xdffd80ef,0x5ffffa81,0x3fffff60,0xfd1002ff,0x7ffc401f,0x1000ffff,
    0x4c001ffd,0x440bfffe,0x802efffb,0x2ffffffa,0x4403bf60,0x4fe87fff,
    0x02fffff4,0x3fffa000,0xfffd804f,0x7e4005ff,0x3fff2003,0x7ffcc03f,
    0x3fe600df,0x7ffcc3ff,0x7e40199e,0x7cc03fff,0x2e00dfff,0x7ec407ff,
    0x7ffec05f,0x7e4005ff,0x3ffa6003,0xff7000ef,0x3e0005ff,0x002fffff,
    0x3fffff60,0x01fe4005,0x07ffff90,0x0dffff98,0xfffffd00,0x3ea001ff,
    0x3ffff204,0x20bee02f,0x6c407ffb,0x7ff405ff,0x000fffff,0xffb009f5,
    0xc800bfff,0x3ff2003f,0x7fcc03ff,0x7e400dff,0x2e02ffff,0x2fffc02f,
    0x3ff627f4,0x400005ff,0x804ffffd,0x05fffffd,0xd8017dc0,0x5005ffff,
    0x7c0dffff,0xff80ffff,0xffd804ff,0xff5005ff,0x3fe20dff,0x5fe8803f,
    0x7ffffec0,0x017dc005,0x1fffffa8,0x17ffd400,0xfffff800,0x3f60002f,
    0x4005ffff,0xffb002fb,0x3ea00bff,0xf9006fff,0x0dffffff,0xf880fe60,
    0x3205ffff,0x03fff886,0x6405fe88,0x6fffffff,0xb007f300,0x00bfffff,
    0xfb002fb8,0x2a00bfff,0x4406ffff,0x205fffff,0x7ffcc06c,0x7ec4fe83,
    0x00005fff,0x027fffec,0x27ffffe4,0x200bea00,0x007ffffb,0x427ffff4,
    0xd07ffff9,0xfb80ffff,0x74007fff,0xfb84ffff,0xbf3002ff,0xfffffc80,
    0x017d4004,0x1fffffc4,0x02ffa800,0xffffff00,0x7fe40005,0x54004fff,
    0xfffb802f,0x7ff4007f,0xffc804ff,0x05ffffff,0x7e402f88,0x7f00ffff,
    0x005fff70,0xff9017e6,0x0bffffff,0xf9005f10,0x8009ffff,0xffb802fa,
    0x7f4007ff,0x7e404fff,0x7f00ffff,0xd05ffc80,0xffffc89f,0x7ec00005,
    0xfc804fff,0x4004ffff,0x7fc401fa,0x5c005fff,0x541fffff,0xfd07ffff,
    0x3e203fff,0x4005ffff,0x41fffffb,0x2005fffd,0x7ffe405d,0x7d4004ff,
    0xffffd801,0x17ec0007,0xfffff800,0x3f20002f,0x4004ffff,0x7fc401fa,
    0x5c005fff,0x401fffff,0xfffffbec,0x0fc403ff,0x3ffffe20,0xfd80f984,
    0x176005ff,0xffff7d90,0xf8807fff,0xffffc801,0x0fd4004f,0x3ffffe20,
    0x7ffdc005,0x3fe201ff,0x0f984fff,0xe817fe60,0x7fffe44f,0x7ec00005,
    0xfc804fff,0x4004ffff,0x7ff401fa,0x4c002fff,0x4c6fffff,0xfb07ffff,
    0x3fa03fff,0x4002ffff,0x46fffff9,0x004ffffe,0xfffc80d5,0x7d4004ff,
    0x7fffdc01,0x7cc0004f,0xffff0002,0x640005ff,0x004fffff,0x3fa00fd4,
    0x4002ffff,0x06fffff9,0xffffdb64,0x3e201fff,0xffffc801,0xffd05c87,
    0x1aa009ff,0x3fff6d90,0x2201ffff,0xfffc801f,0x7d4004ff,0x7ffff401,
    0x7fcc002f,0x7e406fff,0x05c87fff,0xe807dfb3,0x7fffe44f,0x7ec00005,
    0xfc804fff,0x4004ffff,0x3fea01fa,0x8000ffff,0x43ffffff,0xfd07ffff,
    0x3fea0fff,0x8000ffff,0x23ffffff,0x0cfffffd,0x7fe40480,0x54004fff,
    0x3ffe201f,0x80002fff,0xfff0002d,0x40005fff,0x04fffffc,0xf500fd40,
    0x001fffff,0x7ffffff0,0xfffd3640,0x2201ffff,0xfff9801f,0xd817c3ff,
    0x00cfffff,0xfd364048,0x01ffffff,0x3f2007e2,0x4004ffff,0x3fea01fa,
    0x8000ffff,0x03ffffff,0x0fffffe6,0x00bf605f,0x3ff227f4,0x0ddcc5ff,
    0x7fffec00,0xffffc804,0x0fd4004f,0xdfffff90,0x3fff6000,0x7ffe45ff,
    0x4ffff80f,0xdfffff90,0x3fff6000,0x3ffee5ff,0x0003ffff,0x27ffffe4,
    0xb807ea00,0x01ffffff,0x00008800,0x05ffffff,0x7fffe400,0x0fd4004f,
    0xdfffff90,0x3fff6000,0x89b205ff,0x6fffffff,0x3a003f10,0x1aa6ffff,
    0xffffffb8,0x3640003f,0xfffffff1,0x2007e20d,0x04fffffc,0xf900fd40,
    0x000dffff,0x17fffff6,0x4dffffd0,0x37f6606a,0x3227f402,0xff35ffff,
    0x4001dfff,0x804ffffd,0x04fffffc,0xfd00fd40,0x000dffff,0x1bfffff6,
    0x985ffff3,0xfd01ffff,0x000dffff,0x9bfffff6,0xfffffff9,0xf90002ef,
    0x8009ffff,0x3ff601fa,0x0000ffff,0x7ffc0000,0x20002fff,0x04fffffc,
    0xfd00fd40,0x000dffff,0x1bfffff6,0x7ffcc6c8,0xf884ffff,0xffff5001,
    0xf981365f,0xefffffff,0x98d90002,0x4fffffff,0xfc801f88,0x4004ffff,
    0x3ffa01fa,0xb0006fff,0x80dfffff,0xb2fffffa,0x0bff3009,0x3ff227f4,
    0xffffadff,0x36006fff,0xc804ffff,0x004fffff,0xfff00fd4,0x2000bfff,
    0x0ffffffc,0x88f7ffcc,0x3e00effd,0x005fffff,0xffffff90,0x7ffffe41,
    0x001effff,0x27ffffe4,0xe807ea00,0x007fffff,0xff800000,0x0002ffff,
    0x13fffff2,0x7c03f500,0x005fffff,0xffffff90,0x3ee1b201,0x43ffffff,
    0x3fa001f8,0x00f8dfff,0x7fffffe4,0x4001efff,0xffffb86c,0x0fc43fff,
    0x7ffffe40,0x00fd4004,0x0bffffff,0x3ffff200,0x7ff400ff,0x000f8dff,
    0x3fa09ff9,0x7ffffe44,0xffff88bf,0xfffb003f,0xfff9009f,0xfa8009ff,
    0xfffff301,0x3f2000bf,0x881fffff,0xfffdfffb,0x7fffcc04,0xf90005ff,
    0xd83fffff,0xffffffff,0xf9000dff,0x8009ffff,0xfff101fa,0x0000dfff,
    0xffff0000,0x640005ff,0x004fffff,0xff980fd4,0x0005ffff,0x3ffffff9,
    0x7fe41b20,0x221fffff,0x3fee001f,0xb005dfff,0xffffffff,0x32001bff,
    0xfffff906,0x00fc43ff,0x27ffffe4,0x4c07ea00,0x05ffffff,0xfffff900,
    0xfffb803f,0x26005dff,0x4fe83fff,0x1fffffe4,0x017ffff2,0x027fffec,
    0x27ffffe4,0x5407ea00,0x04ffffff,0xfffff900,0x2afaa05f,0xff5000bb,
    0x0009ffff,0x3ffffff2,0x7ffff442,0x1fffffff,0xfffffc80,0x80fd4004,
    0x5ffffff9,0x80000000,0x02ffffff,0x3ffff200,0x0fd4004f,0xffffffa8,
    0xfff90004,0x1b205fff,0xffffffd8,0x4003f10f,0x2ffffff8,0xffffd100,
    0x3fffffff,0x7ec0d900,0x10ffffff,0xfff9003f,0xfa8009ff,0xfffff501,
    0x3f20009f,0x402fffff,0x2ffffff8,0x42fffc00,0x7ffe44fe,0xffffb86f,
    0xffffb006,0xffff9009,0x1fa8009f,0xffffff50,0x3fee0009,0x6c42ffff,
    0x3ea0000f,0x004fffff,0xffffff70,0x3ffff205,0x2fffffff,0x7ffffe40,
    0x80fd4004,0x5ffffffa,0x80000000,0x02ffffff,0x3ffff200,0x0fd4004f,
    0xffffffa8,0xfff70004,0x1b205fff,0xfffffe88,0x8003f15f,0x007ffffc,
    0xffffffc8,0x402fffff,0x3ffa206c,0x3f15ffff,0xfffff900,0x01fa8009,
    0x9ffffff5,0x3ffee000,0xfc802fff,0x44007fff,0x4fe87fff,0x42ffffe4,
    0x007ffffb,0x009ffffb,0x09fffff9,0xf101fa80,0x00bfffff,0x3fffff20,
    0x0037fc1f,0x3ffffe20,0xff90005f,0x4c03ffff,0xfffffffd,0x3f201fff,
    0x4004ffff,0xfff301fa,0x0000dfff,0xffff0000,0x640007ff,0x004fffff,
    0xff880fd4,0x0005ffff,0x3ffffff9,0xff301b20,0xf19fffff,0xfff98003,
    0xfb30004f,0xffffffff,0x2036403f,0xfffffff9,0xfc801f8c,0x4004ffff,
    0xfff101fa,0x2000bfff,0x1ffffffc,0x4ffff980,0x3fffd400,0x3ff227f4,
    0xfffb85ff,0xfffb007f,0xfff9009f,0xfa8009ff,0x3ffffe01,0xff90006f,
    0x7d41ffff,0x20000bff,0x06ffffff,0xfffff900,0xffd3001f,0x0bffffff,
    0x27ffffe4,0x4407ea00,0x07ffffff,0xfffffd88,0x02efffff,0xffffff90,
    0x3f20001d,0x4004ffff,0x3ffe01fa,0x90006fff,0x01ffffff,0x3fea01b2,
    0x1fbfffff,0x1fffd800,0x7ff4c000,0x05ffffff,0x3fea01b2,0x1fbfffff,
    0xfffffc80,0x00fd4004,0x0dffffff,0x3ffff200,0xffb000ff,0xffb8003f,
    0x644fe86f,0xfb85ffff,0xfb007fff,0xf9009fff,0x8009ffff,0x3ffa01fa,
    0xb0006fff,0xd8dfffff,0xffffffff,0xd02cefff,0x00dfffff,0x3fffff60,
    0x3faa0066,0x00ffffff,0x09fffff9,0x3e01fa80,0x00ffffff,0x3ffffee0,
    0xfeb800ff,0xffffffff,0x32000eef,0x004fffff,0xffd00fd4,0x2000dfff,
    0x06fffffd,0x7fe401b2,0x01ffffff,0x006ffa80,0xfffd5003,0x3201ffff,
    0xffff9006,0x9003ffff,0x009fffff,0x3fa01fa8,0x0006ffff,0x0dfffffb,
    0x0037fd40,0x742fffe4,0x7fffe44f,0x7ffffb85,0x9ffffb00,0xfffff900,
    0x01fb800b,0x1ffffff6,0x7ffff400,0x7fffe45f,0xffffffff,0xfffd84ff,
    0xfd0007ff,0x07cbffff,0xfffffb80,0xffff902f,0x1fb800bf,0x3fffff20,
    0x7ffc001f,0x00003fff,0x3ff20000,0x5c005fff,0x3fff601f,0xfd0007ff,
    0x640bffff,0x3fff6006,0x0001ffff,0x03e007fd,0x7ffffdc0,0x400d902f,
    0xfffffffd,0xffffc801,0x0fdc005f,0xffffffb0,0x3fffa000,0x7f4005ff,
    0xfffe8003,0x7e44fe84,0xffb85fff,0xffb007ff,0xff7009ff,0xb800bfff,
    0x3ffe600f,0x44000fff,0x41ffffff,0xfffffff9,0xffffffff,0x7ffffcc4,
    0x7fc4000f,0x0be1ffff,0xfffffa80,0xfffff703,0x00fb800b,0x3fffffe6,
    0x7fffc002,0x040003ff,0xfff70000,0xfb800bff,0x3fffe600,0x7c4000ff,
    0x201fffff,0x3fa2006c,0x001fffff,0x3e001f70,0x3ffea002,0x00d903ff,
    0x7fffff44,0xfffb801f,0x7dc005ff,0x3fffe600,0x7c4000ff,0x001fffff,
    0x7c0007dc,0x4fe83fff,0x42ffffe4,0x007ffffb,0x007ffffb,0x0bfffff7,
    0xfc807d80,0x4003ffff,0x04fffff9,0xfffffff3,0xdfffffff,0x7fffff90,
    0xffff9800,0x2002fc4f,0x701ffffb,0x00bfffff,0xffd807d8,0x74003fff,
    0x002fffff,0x0013ffa0,0x3ffffee0,0x403ec005,0x03fffffc,0x7ffffcc0,
    0x20036404,0x1ffffff8,0x40099000,0x7fdc005f,0x00d901ff,0xffffff88,
    0xffffb801,0x03ec005f,0x1fffffe4,0x3fffe600,0x04c8004f,0x05fffd00,
    0xfffc89fd,0xffffb85f,0xffff9007,0xffff3007,0x05f800df,0x6fffff88,
    0x7fffe400,0xdffb300f,0xffdddb99,0xff881fff,0x64006fff,0x7c0fffff,
    0x3fe2000f,0xfff300ff,0x5f800dff,0xffffe880,0x7fff4006,0xf70002ff,
    0x80003fff,0x06fffff9,0x7c402fc0,0x4006ffff,0x00fffffc,0x7d400364,
    0x0401ffff,0x3fe001f8,0x3ffe2000,0x000d900f,0x03fffff5,0xdfffff30,
    0x8805f800,0x006fffff,0x07ffffe4,0x0007e010,0x740fffdc,0x7fffe44f,
    0x7ffffb85,0x3ff24d88,0xfff002ff,0x2e001fff,0xfff7003f,0x3e2003ff,
    0xfb03ffff,0xff91007f,0x3fffee0d,0xfff1001f,0x0dff07ff,0x406fff80,
    0x00ffffff,0x26007f70,0x002fffff,0x0bfffffa,0x7fffcc00,0xfff80004,
    0xf7000fff,0x3ffee007,0xff1001ff,0xd9007fff,0x3ffee000,0x1bfb101f,
    0x3fe00354,0x37ffc006,0x2e000d90,0xf001ffff,0x001fffff,0x7dc00fee,
    0x1001ffff,0x207fffff,0x1aa0dfd8,0x4fff9800,0x7fe44fe8,0xfffb85ff,
    0x72ffe87f,0x2003ffff,0x04fffffc,0x64006fa8,0x9005ffff,0x2609ffff,
    0x3e2006ff,0x3fff203f,0xfff9005f,0x13ffe09f,0x00fffdc0,0x13fffff2,
    0x5001bea0,0x001dffff,0x0bfffffa,0x2fbc9800,0xfffc8000,0x6fa804ff,
    0x7fffe400,0xffff9005,0x001f6009,0x701fffd8,0x01745fff,0x4013ffe0,
    0x3601fffb,0x3ff60007,0xfff9001f,0xdf5009ff,0xffffc800,0xffff9005,
    0x17ffdc09,0xfa80005d,0x227f40ff,0xb85ffffd,0xff87ffff,0x0bfff53f,
    0xfffffe80,0x007fe604,0x13ffff20,0x09ffff70,0x800fffcc,0x7e400ffa,
    0x7dc04fff,0x3fe04fff,0x7fc00cff,0xfffd003f,0x7fcc09ff,0xffe98001,
    0xffe800ef,0x80002fff,0xd00000f9,0x409fffff,0xc8001ff9,0x5c04ffff,
    0x2004ffff,0x3a0001fe,0xfffb01ff,0x3e001aa9,0x7c00cfff,0x0ff403ff,
    0x03ffd000,0x7fffff40,0x007fe604,0x13ffff20,0x09ffff70,0xd54fffd8,
    0x3fe60000,0xd89fd0cf,0xfb86ffff,0x7dc0ffff,0x01fff93f,0xffffd880,
    0xffdbbdff,0x3aa0001f,0x7109dfff,0x005dfffb,0x2205dffb,0x5000efca,
    0x213bfffd,0x2efffdb8,0x7fffffc0,0x1ffec40a,0xffffb100,0xffb77bff,
    0xfb80003f,0xb881cfff,0x00cfffff,0x0004d800,0x3ffff620,0xffdbbdff,
    0x3aa0001f,0x7109dfff,0x005dfffb,0x007bff22,0xa80ffc40,0x02fcffff,
    0xffffff80,0x1ffec40a,0x03dff910,0x007fe200,0xfffffd88,0xfffdbbdf,
    0x3faa0001,0xb7109dff,0x5005dfff,0x05f9ffff,0x76544000,0x7fcc9fd7,
    0x3a21ffff,0x443fffff,0x1dffdffe,0x3ffaa000,0x3effffff,0x3f6e0000,
    0xffffffff,0x7ed4003d,0xfffeeeff,0xfb70003e,0xffffffff,0x237e007b,
    0xfeeffeb9,0x50000dff,0xfffffffd,0x400007df,0xffffffc8,0x1cfffffe,
    0x07d50000,0x3faa0000,0xefffffff,0x36e00003,0xffffffff,0xfd5003df,
    0x0bffffff,0x7403f300,0x0002ffff,0xffd731bf,0x01bfffdd,0x3fffffaa,
    0xf98005ff,0xffea8001,0x3effffff,0x3f6e0000,0xffffffff,0x7ff4003d,
    0x000002ff,0x3fee5970,0x9bffffff,0xffffffff,0x001caa86,0x665d4400,
    0x000001ab,0x2af2eaa2,0x4c40000a,0x0009bcaa,0x32eaa200,0x1c000aab,
    0x09bcba88,0x97510000,0x00003579,0xbccaa980,0x000009aa,0x00000144,
    0xabccba88,0x22000001,0x0aabcbaa,0x00000000,0x1571002a,0xa881c000,
    0x00009bcb,0x002a0000,0xbccba880,0x2000001a,0xaabcbaa8,0x2ae20000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x13333000,
    0x26600000,0x00000999,0x304ccc00,0x54000133,0x20005501,0x008800a8,
    0x01cda800,0x40004800,0xfffffff9,0x00000002,0x1e6665c0,0xecb88000,
    0x88000cde,0x0008800a,0x262006a0,0x4cc40000,0xaaaaaa99,0x988001aa,
    0x00000600,0xddd99550,0x0000179b,0x03333310,0x00d40000,0x000004c4,
    0x4c5bd730,0x44000bde,0x80000cdb,0x004ffffb,0xffff9000,0x4000000b,
    0xff32fffa,0xff10007f,0x0fffe8bf,0x200ef800,0x540003fb,0x0001ffff,
    0x100007e6,0x05fffff9,0x40000000,0x00effff8,0xcfffa800,0x8004ffeb,
    0x0fee00ef,0x203fb800,0x44000fe9,0xffffffeb,0xcdffffff,0x7ffdc002,
    0x001ee0be,0x3bfee200,0xfdcaabcd,0x400002df,0x003ffffe,0x407f7000,
    0x00000fe9,0xffaafe88,0x017ffaa2,0x007fffd8,0x7ffffc40,0xb000001f,
    0x0000ffff,0x727fec00,0x2e000bff,0xff30ffff,0xf70007ff,0x00ffb03f,
    0x9ffffd00,0x02fec000,0x7fffc400,0x0000002f,0x3fffea00,0xffb80000,
    0x004ffe84,0x7ec0ffdc,0x4ff80007,0x4003ffa8,0xfffffffb,0x2ff999bf,
    0xffff7000,0x0bf9bfff,0x7fecc000,0xdf71001c,0x3a200001,0x00006fff,
    0x3ea13fe0,0xb000003f,0x217ff29f,0x4400dffb,0x002fffff,0x3fffff20,
    0x2000005f,0x0002fffd,0x46ff8800,0x70000ffe,0x3e63ffff,0xd0003fff,
    0x3ffa25ff,0xffe80002,0xf10005ff,0x880001ff,0x002fffff,0x36000000,
    0x80001fff,0xfc80fff9,0x7f4001ff,0x05ffd12f,0x1bff7000,0x9001bfee,
    0xffffffff,0x0007f85f,0xfffffff1,0x0007ffff,0x002ffee0,0x0017f440,
    0x0fffe880,0xff700000,0x01bfee1b,0x97fd4000,0xfff03ffd,0xffff880d,
    0xff30003f,0x03fff7bf,0x7fec0000,0xa8000005,0x0bfe61ff,0x5fff8800,
    0x0007fff4,0xffcfffa8,0xf700006f,0x20003fff,0x0004fffc,0x02fffff8,
    0x10000000,0x00003fff,0x7ec17ff2,0x7d4003ff,0x06fffcff,0x3bffa000,
    0x2001fffd,0xfffffffa,0x037c2fff,0xfdacfa80,0x006fffff,0x01efd880,
    0x005f7000,0x0fffa200,0xffe80000,0x002fffde,0x25ffd000,0x3ff203c8,
    0x7ffec01f,0xffb0000f,0x002ffd47,0x01ff6000,0x0ff60000,0x10000bf7,
    0x000aa057,0x3fffffa0,0x2e00001f,0xf10002de,0x0000ffff,0x005fffff,
    0x2a000000,0x200001ff,0xfc80fffe,0xfe8002ff,0x001fffff,0x3fffea00,
    0x3e2005ff,0xffffffff,0x0037c2ff,0x7edc46b8,0xf880002e,0x400000df,
    0x100000fc,0x00000dfd,0x7fffffd4,0xf3000005,0x7e4005ff,0x7e4403ff,
    0xff50001d,0x003ff305,0x17f44000,0xbf100000,0x00001fd0,0x54000000,
    0x005fffff,0xb8000000,0x003fffff,0x17ffffc0,0x80000000,0x400001fd,
    0xe883fffe,0xff50005f,0x0000bfff,0x1fffffd0,0x7fffdc00,0x2fffffff,
    0x0000037c,0x27f40000,0x0bd00000,0x07fc4000,0xffd00000,0x00003fff,
    0x00ffff60,0x005fffd8,0x03dd0000,0x00003744,0x00006a20,0x1a80a880,
    0x00000000,0xffffe800,0x00000000,0xffffff80,0x7ffc0006,0x000002ff,
    0x00000000,0x017fffe4,0xfffe8000,0xa800000f,0x4004ffff,0xfffffffd,
    0x37c2ffff,0x00000000,0x0001bf20,0x0003f300,0x00005440,0x9ffff500,
    0x3e600000,0x3a003fff,0x00004fff,0x00c40000,0x00000000,0x80000000,
    0x99999998,0x4cccc419,0x00000009,0x26666600,0x7d400099,0x02ffffff,
    0x3ffffe00,0x00072a22,0x00000000,0x7ffffd40,0x0000000d,0x00000000,
    0x3fffffa0,0x42ffffff,0x2aaaa06f,0xaaaaaaaa,0xaaaaa81a,0xff502aaa,
    0x072e2003,0x00264044,0x00000000,0x98000000,0x002ffffe,0x4c0bfffe,
    0x00999999,0x00000000,0x5e654c40,0xaa80009a,0xaaaaaaaa,0xaaa81aaa,
    0x2e2aaaaa,0xffffffff,0x7ffff545,0x55555532,0x33355555,0x7fec0000,
    0x4004ffff,0xfffffede,0x3ffe0005,0xfffe8aff,0x00000cff,0x55555555,
    0x55555555,0x55555555,0x7ffffe40,0xaaa8801e,0xaaaaaaaa,0xaaaaaaaa,
    0x2aa602aa,0xaaaaaaaa,0xaaaaaaaa,0x3fffe0aa,0xffffffff,0xd97037c2,
    0xdfffffff,0xffb70379,0x3e059fff,0xfff7003f,0x5ffff37f,0x40000f50,
    0x554c0004,0xaaaaaaaa,0xaaaaaaaa,0xb002aaaa,0xbfffffff,0x7fc40199,
    0xffe881ff,0x54c2ffff,0xaaaaaaaa,0x555402aa,0x000aaaaa,0xd9dffff9,
    0x4009ffff,0xfffffecb,0xb81bceff,0x2cfffffd,0x7fffffd4,0x983bf602,
    0xffffffcb,0xffffffff,0x220000bd,0x004fffff,0x3ffea7e6,0xf0001fff,
    0xdfd7ffff,0x009fffff,0x3ff2ea00,0xffffffff,0xffffffff,0x3f600fff,
    0x404fffff,0xffffeca8,0xffffffff,0x06ffffff,0x3ffffff2,0xffffffff,
    0x6c5fffff,0xffffffff,0x037c2fff,0x7fffffc4,0xffd1000f,0x803fd401,
    0xf7d14ffd,0x1f101fff,0x03f30000,0x7fffe400,0xffffffff,0xffffffff,
    0xff8807ff,0xffffffff,0x7fffd407,0x3fffee00,0x7ffed42f,0x2cffffff,
    0x7fffed40,0x7f4c00df,0x7dc40bff,0x22002eff,0x0fffffff,0x01ffd100,
    0x17ffffe4,0x7cc05f70,0x99cfffff,0xcfffffca,0xfffd0000,0xf36c009f,
    0x009fffff,0x3fffffe0,0xffffd30d,0xfb800005,0xdfffffef,0xfecaa999,
    0x3ea00fff,0x0effffff,0xfffffd00,0x9533333d,0x6c0dffff,0x999cffff,
    0xffffa999,0x7fdc0fff,0xffffffff,0xd8037c2f,0x005fffff,0x3f601fe4,
    0x46ffe804,0x206ffffe,0xfd80001f,0x3ff20005,0xff999adf,0xa99bffff,
    0x9807fffb,0xffffffee,0x7fd404ee,0x7ffc407f,0xfff302ff,0x8007ffff,
    0xc800eff8,0x4c03ffff,0x000dffff,0x0bfffffb,0x4403fc80,0x205fffff,
    0xfffe806c,0xffc884ff,0xd8002fff,0x1004ffff,0x7fffdc5f,0xff8000ff,
    0x7cc0ffff,0x0000ffff,0x3ff33ea0,0x7e405fff,0x9bf300ff,0x1dffffff,
    0xfffff900,0x6ffd880d,0x200fff60,0x3ffffffd,0xffffff98,0x7c2fffff,
    0xffffb006,0x2fb800bf,0xb003fe20,0xffd83fff,0x00ba04ff,0x01fff100,
    0x407ff200,0x82ffffff,0x74007fe8,0x2004ffff,0x4406fff8,0x202fffff,
    0x5ffffffb,0x801ff800,0x005ffffd,0x00dffff5,0x17fffff6,0x9005f700,
    0x201fffff,0xfffd803f,0x3ff204ff,0x6c002fff,0x9004ffff,0xfffff88f,
    0xfff8003f,0xfffd03ff,0x7400009f,0xbfffff96,0x101ff500,0x7fffd4df,
    0x7dc00eff,0x7006ffff,0x01ff40df,0x7fffffd4,0x3ffffe06,0x42ffffff,
    0xfff9006f,0xfa8009ff,0x7017ee02,0xffd0bfff,0x01e403ff,0x13fff200,
    0xf01fe400,0x405fffff,0x7ffc007e,0x7ec003ff,0xffff806f,0x7fff402f,
    0x2a000fff,0xfffb803f,0x7ff4007f,0xffc804ff,0x54004fff,0xfff8802f,
    0x00f984ff,0x4fffffd8,0x7fffff40,0x3fff6001,0x83f8804f,0x07fffffd,
    0x2fffff80,0x0bffff90,0x647ee000,0x005fffff,0x2fe881fd,0x7ffffec4,
    0x7fffdc05,0x81ba006f,0xfffd004f,0x7e403fff,0xffffffff,0xc8037c2f,
    0x004fffff,0x5fb00fd4,0x17fffc40,0x01ffffe2,0x7c40005b,0x90007fff,
    0xfffff80d,0x801ea02f,0x01fffff9,0x00fff440,0x00bffffe,0x9ffffff3,
    0x44037400,0x005fffff,0x0fffffdc,0x3fffff20,0x00fd4004,0x87ffffc8,
    0xfffb005c,0xffa809ff,0xb000efff,0x7009ffff,0xffff301f,0xff8005ff,
    0xff702fff,0x10000fff,0x7fffe4bf,0x0fb8105f,0xfb80ffdc,0x2e02ffff,
    0x106fffff,0x00fc0d70,0x7fffffe4,0xffffe804,0x7c2fffff,0xffff9006,
    0x1fa8009f,0xfc807fa0,0xfff987ff,0x000f405f,0x7fffff70,0xf8099000,
    0x402fffff,0x3ffee007,0xff10007f,0x7fffc01b,0xfffd802f,0xfb801fff,
    0xffffe801,0x7fcc002f,0x7e406fff,0x4004ffff,0xff3001fa,0x02f87fff,
    0x9fffffb0,0xfffff880,0xfffb003f,0x409f009f,0x06fffffe,0x17ffffc0,
    0x0fffffb8,0x907ec000,0x10bfffff,0x7ec0f88b,0x3ffea02f,0x3ffee05f,
    0x981b06ff,0xf300d106,0x01ffffff,0xfffffb10,0x06f85fff,0x9fffff90,
    0x201fa800,0xfff100ff,0xffff709f,0x0000f805,0x1bfffffe,0xff006e00,
    0x4805ffff,0x3ffff200,0x3f220006,0xffff80bf,0xfff9802f,0x7c405fff,
    0xffffa804,0xff8000ff,0x3203ffff,0x004fffff,0xfd000fd4,0x0354dfff,
    0x9fffffb0,0xfffffb00,0x3fff600d,0x007d404f,0x3ffffff5,0x7ffffc00,
    0xfffff502,0x17d40003,0x17fffff2,0xff10a166,0xfffb80bf,0x3fffee07,
    0x0501f06f,0x3ffa0062,0x4002ffff,0xffffffda,0xfc8037c2,0x4004ffff,
    0x0ff101fa,0x40ffffdc,0x200ffffe,0x3ea00069,0x02ffffff,0xffff8000,
    0x200002ff,0x004ffffe,0xff07f900,0x32005fff,0x01ffffff,0x3f2003f2,
    0x0006ffff,0x0bfffffb,0x27ffffe4,0x8007ea00,0xb2fffffa,0x7ffec009,
    0xffa804ff,0xd801ffff,0x7404ffff,0xffffffff,0x5fffffff,0x3ffffe00,
    0xfffff502,0x17a20003,0x17fffff2,0x3fe2016e,0x7fec04ff,0x3fffee07,
    0x000f886f,0x7fffdc00,0x220005ff,0x7c2fecaa,0xffff9006,0x1fa8009f,
    0x7fc0ff10,0xfffa87ff,0x001e406f,0xffffdbd0,0xf00000bf,0x005fffff,
    0x7ffffc00,0x3ae20003,0xffff80cf,0xfff1002f,0x3e60dfff,0xffffd003,
    0x3f6000df,0x3206ffff,0x004fffff,0x3a000fd4,0x0f8dffff,0x3ffff600,
    0xfff9804f,0xfd804fff,0x3e604fff,0xcccccccc,0xffffffdc,0xfffff000,
    0x3fffea05,0x1f90000f,0xbfffff90,0x3fa00bf0,0x3ea04fff,0x3ffee04f,
    0x00fc86ff,0x3ffe2000,0x0000ffff,0x0df0bee0,0x3fffff20,0x00fd4004,
    0x3ffe20df,0xffffe85f,0x80007c03,0xffffa9f9,0x400001ff,0x02ffffff,
    0xffff3000,0x3a20003f,0x3ffe00ef,0x3ee002ff,0xe82fffff,0x3fffe006,
    0xf90005ff,0x201fffff,0x04fffffc,0x2000fd40,0x5dfffffb,0x7fffec00,
    0xfff9804f,0xfd805fff,0x1b604fff,0x7ffffc40,0xffff004f,0x3ffee05f,
    0x7f30006f,0x3fffff20,0xa802fe45,0x80dfffff,0x3ee02ff9,0x7cc6ffff,
    0x3600000f,0x03ffffff,0x217dc000,0xfff9006f,0xfa8009ff,0x7cc1fa01,
    0x7fd44fff,0x16e01fff,0x3fe6d800,0x0004ffff,0x7fffffc0,0xff700002,
    0x22000fff,0x7fc02ffe,0x22002fff,0x46ffffff,0xff3001fb,0x000bffff,
    0x3ffffff2,0xfffff901,0x01fa8009,0x7ffffc40,0x7fec002f,0xf8804fff,
    0x806fffff,0x304ffffd,0x7fe4005f,0xf800ffff,0xf702ffff,0x2000bfff,
    0x3fff206e,0xffda9dff,0x3fff6005,0x77e41fff,0x3fffee00,0xfffb98ef,
    0xff300000,0x000dffff,0x6f85f700,0xfffff900,0x01fa8009,0x3fea07f6,
    0x3f7a63ff,0x03e207ff,0xf717c400,0x001fffff,0x7ffffc00,0xf900002f,
    0x2000dfff,0xff807ffc,0x5c002fff,0x13ffffff,0x7fd4009f,0x0004ffff,
    0x5ffffff9,0x3fffff20,0x00fd4004,0x3ffffe40,0x7fffec00,0xffff004f,
    0xffb00fff,0x01f609ff,0xffffff30,0xfffff007,0x3ffff605,0x01fb8003,
    0x3ffffff2,0x005fffff,0x3fffffa2,0x700bf33f,0xffffffff,0x0001ffff,
    0x3fffffa0,0xb800001f,0xc8037c2f,0x004fffff,0x5f700fd4,0x29ffff70,
    0x5fffeae8,0x40005d10,0x7fffc47c,0x200003ff,0x02ffffff,0xffffd000,
    0x3ffe0009,0xfffff805,0xfffe8002,0x001f97ff,0x7fffffd4,0xfff70004,
    0x3f205fff,0x4004ffff,0xf98001fa,0xd8004fff,0x004fffff,0x0fffffff,
    0x09ffffb0,0xfb000bf3,0x801fffff,0xf04fffff,0x8001ffff,0xeeeeeff8,
    0xffffffee,0x05ffec9d,0x7fffec40,0x7005fdff,0x97dfffff,0x0001fffd,
    0xffffff70,0x2e00000b,0xc8037c2f,0x004fffff,0x7f500fd4,0xbfffff50,
    0x13fffe9f,0x400613a2,0xfffd83f8,0x200007ff,0x02ffffff,0xffff8800,
    0xff98002f,0x7ffc406f,0xfa8002ff,0x3fdfffff,0x7fffc400,0xf90005ff,
    0x203fffff,0x04fffffc,0x8000fd40,0x8001fffd,0x04fffffd,0xffffff88,
    0xffffd805,0x8005fe84,0x4ffffffb,0x7fffffc0,0x0ffffdc4,0x6667ec00,
    0xffeccccc,0x2ff45fff,0xffffc800,0xf7000fff,0xfd8dffff,0x7c40000f,
    0x00ffffff,0x85f70000,0xfff9006f,0xfa8009ff,0x7c17e201,0x366fffff,
    0x1f544fff,0x0fb802dc,0xffffff98,0xfff00002,0x00005fff,0x01fffff3,
    0x0ffff300,0x3fffff98,0xffffd000,0x3e000dff,0x006fffff,0xffffff90,
    0x3ffff201,0x0fd4004f,0x06ffa800,0xfffffb00,0xffff3009,0xffb009ff,
    0x7ff549ff,0x7fe4002f,0x203fffff,0xefcfffff,0x03ffffdc,0xc802fa80,
    0x445fffff,0x3ea0005f,0x006fffff,0x0dfffff7,0xd80001fd,0x03ffffff,
    0x0bee0000,0x3ff200df,0x54004fff,0x407f401f,0x4c5ffffd,0xeebcffff,
    0xf000f882,0x7ffff409,0xff00006f,0x0005ffff,0x0fffff50,0x3fffe200,
    0x3ffff200,0xf98000df,0x003fffff,0xdfffffd0,0x3fff6000,0x3ff206ff,
    0x54004fff,0x3fa0001f,0xfffb0003,0xff5009ff,0xb005ffff,0x3f29ffff,
    0x06efffff,0x3fffffaa,0x81ffffff,0xe8afffff,0x003effff,0xf9005e88,
    0xbb0bffff,0xffd88000,0xfb805fff,0xfa86ffff,0x3fea0000,0x4006ffff,
    0x217dc003,0xfff9006f,0xfb800bff,0xb827cc01,0xfd9303ee,0x01e4039d,
    0x3ea00fa8,0x001fffff,0xffffff80,0xffb80002,0x3e0005ff,0xff982fff,
    0x3fffffff,0xffffe800,0xffb0003f,0x2000ffff,0x05fffffe,0x17fffff2,
    0x0003f700,0xd80007dc,0x804fffff,0x1ffffffb,0x4ffffd80,0xdd100000,
    0x3fffe001,0x002ea22f,0x9000fc80,0x50bfffff,0xf700040b,0xb803ffff,
    0x886fffff,0xf880600f,0x01ffffff,0xf7001660,0xf7006f85,0x800bffff,
    0x1fb800fb,0xd1000000,0x7ffff400,0xffffffff,0x80005fff,0x02ffffff,
    0xffffb800,0x3ffa0002,0x037cc03f,0xffffe800,0xff30003f,0x8001ffff,
    0x1ffffff8,0x3ffffee0,0x007dc005,0x40009900,0x04fffffd,0x6fffffc8,
    0x9ffffb00,0xff500000,0x7fffc003,0x4c00002f,0x3ff2003f,0x05885fff,
    0x2602a0d1,0x5c03ffff,0xd06fffff,0xfc812a01,0x004fffff,0x3ee00264,
    0xfb8037c2,0x4005ffff,0x01ba007d,0x0ba20000,0x66667cc0,0xffdccccc,
    0x0000ffff,0x17fffffc,0x7ffe4000,0x3f60000f,0x3fea04ff,0xffd00000,
    0x40007fff,0x03fffffc,0x7ffffcc0,0x7fffdc04,0x03ec005f,0x0003f008,
    0x27ffffec,0x7fffffc0,0xffff9001,0xfd000009,0xffff800f,0x7400002f,
    0x7ffe4006,0x320305ff,0x417ffc45,0x5c05fff9,0x306fffff,0xff981ec0,
    0x8006ffff,0x17dc003e,0x7fcc01be,0x7c006fff,0x013e6005,0x03e88000,
    0x7c401b60,0x004fffff,0x7fffffc0,0xffb80002,0x7e40005f,0x1ffe03ff,
    0xfffe8000,0x220003ff,0x006fffff,0x07ffffe4,0x3ffffe60,0x202fc006,
    0x1aa0dfd8,0xffffb000,0xfffb809f,0x49b104ff,0x003ffffc,0x0fffcc00,
    0x5fffff00,0x0fdc0000,0x3ffff200,0x0fe2005f,0x3e0bfff7,0x7fdc04ff,
    0x4c006fff,0xffffd02f,0xfc8005ff,0x217dc002,0x3ffe006f,0xf7000fff,
    0x03fb8007,0x03e88000,0xc800be60,0x00ffffff,0x3ffffe00,0xfb80002f,
    0x5c0002ff,0xff301fff,0x3a00005f,0x003fffff,0x7ffffdc0,0xffff1001,
    0x3ffe007f,0xf7000fff,0x2fffb807,0xfb0000ba,0xe809ffff,0xd00fffff,
    0x3ffee5ff,0x5400001f,0x3e004fff,0x0002ffff,0x90009f10,0x00bfffff,
    0x3fee17e4,0x05ffb04f,0x6fffffb8,0x203fa200,0x5ffffffb,0x00ffd400,
    0x0df0bee0,0x7ffffe40,0x006fa804,0x0003dd50,0xb000bea0,0xfff9800f,
    0x20003fff,0x02ffffff,0xff70aa80,0xffd00009,0x2fffdc0d,0xfffe8000,
    0xc80003ff,0x9005ffff,0x4009ffff,0x04fffffc,0xfd806fa8,0x000d54ff,
    0x9fffffb0,0x77fffdc0,0x54fffe00,0x00004fff,0x03ffff88,0x2fffff88,
    0x01fd0000,0xfffff900,0x07ff600b,0xf107fff3,0xffb801ff,0xd1006fff,
    0xffff10ff,0x22001fff,0x4000fffd,0x0037c2fb,0x13fffffa,0x0001ff98,
    0x8000ff22,0x4c002eea,0xffd8005f,0x0000ffff,0x05ffffff,0xf74ffc80,
    0xff30000d,0x7ffcc01d,0xfe80002f,0x0003ffff,0x09ffff90,0x04ffffb8,
    0xfffffe80,0x007fe604,0x3f3fffea,0xffe80002,0xffb05fff,0xff7009ff,
    0x003fff29,0x7ffe4000,0xff301adf,0x00007fff,0x36000ff9,0x406fffff,
    0xb80fffe9,0x3faa0dff,0xfffc800e,0x2e200fff,0xffd86fff,0x5003ffff,
    0x000fffff,0x006f85f7,0x7ffffec4,0xfffdbbdf,0xdd300001,0xea880157,
    0xbfd0002e,0xffff7000,0x3e0009ff,0x003fffff,0x0fea7ff4,0x3ff66000,
    0xfffd800d,0xf0000adf,0x009fffff,0x7fff5400,0xffb7109d,0x220005df,
    0xdffffffd,0x01fffdbb,0x0bffffa0,0x3ffee000,0xdcbdffff,0x002dffff,
    0xdffbffd1,0xd8000003,0x43ffffff,0xffffffeb,0xfc88001b,0x2a000cff,
    0xefffffff,0xfffdbabc,0x3faa07ff,0x00dfffef,0xffffff98,0xeccaacff,
    0x545fffff,0xafffffff,0xdccbaaaa,0x07fffffe,0x37c2fb80,0xfffea800,
    0x03efffff,0xfd950000,0xffdb99bf,0x3aa0005b,0x64002fff,0x3fffffff,
    0x7fffe400,0x2a000eff,0x001eeeff,0x0073be60,0xfffffd88,0x7fdc003f,
    0x001fffff,0x7ffedc00,0x3dffffff,0xffd50000,0x7dffffff,0x02ae2000,
    0xfffea800,0xffffffff,0x0001ceef,0x000ab2aa,0xeeda8000,0x6666442d,
    0x004ccccc,0x7fffffd4,0xfee980ef,0xffffffff,0xffffffff,0xa9806fff,
    0xee8801ac,0xffffffff,0xffffffff,0x3e24ffff,0xffffffff,0xffffffff,
    0x06ffffff,0x1e41ca80,0x32ea2000,0x00001abc,0x55dd4400,0x7e400009,
    0x06efffff,0x3fffffaa,0x01ffffff,0x3fffffae,0x0eefffff,0x001ba880,
    0xb5000000,0x3a005bdd,0xfffffffe,0x004eefff,0x32eaa200,0x00000aab,
    0x57997510,0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x22000000,0x80003000,0x01a800c9,0x55555510,0x55555555,0x55555555,
    0x55003910,0xaaaaaaa8,0x81aaaaaa,0xaaaaaaaa,0x40264002,0x4000005b,
    0x00999998,0x4cccc000,0x53000000,0x00002600,0x26666200,0x00000001,
    0x22003000,0x99880000,0x00000099,0x800003a8,0x1f70002a,0x5500fa80,
    0x55555555,0x31003555,0x00003333,0x000dc400,0x09999980,0x01fb8000,
    0x220003e4,0x3fd101ef,0x3fb2a200,0xffffffff,0xffffffff,0x405fd06f,
    0x7f65c3fd,0xcfffffff,0xfffdb81b,0x5c003eff,0x013ea03f,0xfff70000,
    0x980000bf,0x0006ffff,0x440bf500,0x000001fd,0x02fffff8,0xeffc8000,
    0x3e003e82,0x001fcc04,0x17ffffc0,0xff100000,0x100003ff,0x8001dfff,
    0x1be606f9,0xffffeca8,0x01bdffff,0x3ffffe88,0xfb800000,0xb80005ff,
    0x0006ffff,0xb881ef98,0xfb80005f,0x02ffcc2f,0xfffffd00,0x9533333d,
    0x2a0dffff,0x37f443ff,0xfffffd10,0x3fe2001f,0xff30000f,0xffd9559d,
    0xe8000005,0x00006fff,0x3fffffe8,0xbfb00000,0x004fe981,0xfff98000,
    0xe800003f,0xacffffff,0x3f6002fc,0x01fe980b,0x7fffd400,0x5c000002,
    0x0004ffff,0x03ffffc8,0xbcefff80,0xd004ffed,0x05ffffff,0xbfffd100,
    0xfd000000,0x00001fff,0x001ffff7,0xbbfffd00,0x0007fffd,0x7d4fffe0,
    0x320000ff,0x406fffff,0x3a06ffd8,0x5fff34ff,0xfffffd80,0x027dc006,
    0x3ffff600,0x0006ffff,0x77ffcc00,0x7d400000,0x007fffff,0x1dff3000,
    0x0003ffea,0x3fff2000,0xfa800003,0xffffffff,0x3ee000ff,0xfffedeff,
    0xffd80006,0x8000002f,0x005ffffc,0x5ffffd80,0xffffa800,0x000fffff,
    0x0ffffff7,0x7fff4400,0x22000000,0x002fffff,0x07fff900,0xffff3000,
    0x000dffff,0x7f7ffdc0,0x5c0004ff,0x006fffff,0x7fcc0df7,0x805fffef,
    0x05fffffc,0x0001fd40,0x3fffffa2,0x000001ff,0x00077fdc,0x37ffe200,
    0x0003fffa,0xf9fffb00,0x000007ff,0x000fffe0,0x7ee7ec00,0x04ffffff,
    0xfffffd80,0x80002fff,0x00003fff,0x5ffff300,0xfff50000,0x3f20005f,
    0x02ffffff,0x3ffffee0,0x7f440007,0x4000003f,0x0007fffd,0x0037fe40,
    0xfffffb80,0x400000ef,0x0ffffffe,0x7ffdc000,0x1ba006ff,0xffffffb0,
    0xffff9003,0x2f9800bf,0xffd88000,0x00000dff,0x000efe80,0x24ffc800,
    0x0000ffe8,0xfffff980,0x0000006f,0x00009ff3,0xfd711f40,0x220005df,
    0x3ffffffe,0x3ffa8000,0x5c000000,0x200003ee,0x40003ffc,0x00effffa,
    0x7ffffdc0,0xff880006,0x44000005,0x00001dfc,0x0000ffd8,0x09dffb30,
    0x3fea0000,0x80003fff,0x06fffffb,0xf980d701,0x9004ffff,0x00bfffff,
    0x00002f98,0x00002aa2,0x0077cc00,0x1ffc4000,0x00027f44,0xfffffd80,
    0x90000002,0x8000009f,0x0003100a,0x077ffae0,0x01fec000,0x00000000,
    0x00000000,0x5c000262,0x006fffff,0x001ff300,0x00000000,0x0007fb00,
    0x00000000,0x0017bbb6,0x7ffffdc0,0x06981b06,0x00deeec8,0xbfffff90,
    0x002f9800,0x00000000,0x00005440,0x6c01fd80,0x8800000f,0x0006ffff,
    0x000aa000,0x00000000,0x40000000,0x0000002a,0x00000000,0x80000000,
    0x06fffffb,0x002a6000,0x00000000,0x0000d400,0x00000000,0x3ee00000,
    0x1f06ffff,0x80000050,0x05fffffc,0x00017cc0,0x3bbb2e62,0x02b80acd,
    0x00000000,0x00026000,0x00000000,0x88000000,0xaaaaaaaa,0x55555002,
    0x00003555,0x00000000,0x76e5c400,0x07500ace,0x00de654c,0x37995300,
    0x3ffee000,0x000006ff,0x73100000,0x159bddd9,0x00000570,0x2aaaaaa2,
    0xaaaaaaaa,0x2aaaaaaa,0x00090000,0xfffffb80,0x8800f886,0xaaaaaaaa,
    0x901aaaaa,0x00bfffff,0x30002f98,0x9bdffffd,0x315bfffd,0xaaa9805f,
    0xaaaaaaaa,0xaaaaaaaa,0x0480000a,0x55554400,0xaaaaaaaa,0x00009999,
    0x00024000,0x3ffffb22,0xca803fff,0x12dfffff,0x55555555,0x22355555,
    0xaaaaaaaa,0x9999aaaa,0xb5000000,0xfdffffff,0x7d117bff,0xfbfffd30,
    0xffffffff,0xbfffd301,0xffffffff,0x3ffee01f,0x555106ff,0x55555555,
    0x55555555,0xe9800555,0xecdeffff,0xf98adfff,0xaaaaa882,0xaaaaaaaa,
    0x3ffb2a21,0xffffffff,0xffffffff,0x1f980006,0x3fee0000,0x0fc86fff,
    0xffeca880,0xbdffffff,0xfffff901,0x02f9800b,0x3ffffc80,0x3ffffaa0,
    0x7ffe402f,0xffffffff,0xffffffff,0x1f980005,0x3f2e2000,0xffffffff,
    0xdeffffff,0x4c000001,0xfb00001f,0x05ffffff,0x103ffa20,0xfffffd95,
    0x2237bfff,0xffffffcb,0xffffffff,0x80001def,0xaeffffd8,0x7fffe4c0,
    0x77ffdc3f,0x3fffff61,0x7ffdc0ff,0x3ffff61e,0xff700fff,0x2a20dfff,
    0xffffffec,0xffffffff,0x2006ffff,0x203ffffc,0x2fffffea,0xfffeca88,
    0x1bdfffff,0x3fffffa0,0xca99999e,0x0006ffff,0x00005fd8,0x1bffffee,
    0x88001ff3,0x1ffffffe,0xfffffc80,0x017cc005,0x1dfffd30,0x3fffee00,
    0x7fffec02,0xa999999c,0x0fffffff,0x05fd8000,0xffff1000,0x953339ff,
    0x009fffff,0x02fec000,0xffffd000,0x2a001fff,0x7ff4404f,0x4401ffff,
    0x9cffffff,0xffffca99,0x3e60004f,0x8803ffff,0x3e63fffd,0x7fcc3fff,
    0x7cc199ef,0x7fcc3fff,0x2e0199ef,0x006fffff,0x3dfffffd,0xff953333,
    0xfd300dff,0x2e001dff,0x4402ffff,0x1ffffffe,0xfffff900,0x6ffd880d,
    0x7ffc4000,0xff700000,0xf731dfff,0xf90001ff,0x200dffff,0x05fffffc,
    0xa8017cc0,0x001fffff,0x2017ffd4,0xfd803ffd,0x003fffff,0x00fff880,
    0xffffb000,0x3ffa209f,0x00001eff,0x0007ffc4,0xfffffc80,0x7f3006ff,
    0xfffff900,0x3fff600d,0xffd104ff,0xa8003dff,0x002fffff,0xfff1ffec,
    0xffff01ff,0x3ffffe09,0x04ffff80,0x6fffffb8,0xfffff900,0x6ffd880d,
    0x7ffffd40,0x7ffd4001,0xffffc802,0x3fee006f,0xf7006fff,0xffc8000d,
    0xf700004f,0xffffffff,0x70001fff,0x00dfffff,0x17fffff2,0x1005f300,
    0x007fffff,0xd00bfea0,0xfff5007f,0x0000dfff,0x0013fff2,0x7ffffe40,
    0x3fffe604,0x6400006f,0x00004fff,0xfffffff9,0x05f100bf,0xdfffff70,
    0x3ffff200,0x3ffe604f,0x3e2006ff,0x8004ffff,0xfff33fe8,0x3fffa0ff,
    0x7ffff987,0x00ffffd0,0x0dfffff7,0x3ffffee0,0x40df7006,0x03fffff8,
    0x005ff500,0x0dfffff7,0x7ffffdc0,0x001ba006,0x07ffff88,0xffff7000,
    0xfffd97df,0xfff70001,0x3f200dff,0x4005ffff,0xffd802f9,0x6c0007ff,
    0x8027c02f,0x1ffffffe,0xfff88000,0xf900007f,0xe809ffff,0x003fffff,
    0xfffff100,0x2fb20000,0x3fffffff,0x5c00fc40,0x006fffff,0x09fffff9,
    0x3fffffe8,0xffffe880,0x7f30000f,0x41ffffea,0x541ffffe,0xfd07ffff,
    0xfb803fff,0x7006ffff,0x00dfffff,0xfffb0374,0xfd8000ff,0xffffb802,
    0x3fee006f,0x70106fff,0x7fdc000d,0x80003fff,0x46fffffb,0xb8000ffd,
    0x006fffff,0x0bfffff9,0x5c02f980,0x004fffff,0x3e017cc0,0xffffc801,
    0x700004ff,0x007fffff,0xfffff900,0xffffc809,0xf700005f,0x0007ffff,
    0x3fff6d90,0x2201ffff,0xfffb801f,0xff9006ff,0xfc809fff,0xc805ffff,
    0x004fffff,0xfff99f40,0xffffb07f,0x7ffff983,0x03ffffb0,0x6fffffb8,
    0xfffff700,0x41ae020d,0x04fffffb,0x4017cc00,0x06fffffb,0x3ffffee0,
    0x06981b06,0x3ffffe00,0xfb80006f,0xfe86ffff,0xfffb8000,0xff9006ff,
    0x9800bfff,0x3ffe202f,0x80002fff,0x201a202d,0xfffffff9,0xfff00000,
    0x0000dfff,0x09fffff9,0x6fffffb8,0xffff0000,0x90000dff,0x7fffff4d,
    0x03f100ff,0xdfffff70,0x3ffff200,0x7ffdc04f,0xfff806ff,0x40003fff,
    0x1ffffe3b,0xf83ffff4,0xffd07fff,0xfff700ff,0x3ee00dff,0x1b06ffff,
    0xfff88698,0x80002fff,0xfffb802d,0x3ee006ff,0x1f06ffff,0x3ea00050,
    0x02ffffff,0x7fffdc00,0x000fa86f,0x6fffffb8,0xfffff900,0x01fa800b,
    0x3fffffee,0x00880001,0x3ffa0062,0x0002ffff,0xffffff50,0xfc80005f,
    0x5c04ffff,0x006fffff,0xfffffa80,0x640002ff,0x3ffffe26,0x03f106ff,
    0xdfffff70,0x3ffff200,0x7ffdc04f,0x7fdc06ff,0x0001ffff,0x3ffff208,
    0x04ffff80,0xf01ffff9,0xf7009fff,0x200dffff,0x06fffffb,0xff70501f,
    0x0003ffff,0xff700110,0x5c00dfff,0x886fffff,0x3a00000f,0x5fffffed,
    0x7ffdc000,0x00f886ff,0x7fffdc06,0xfff9006f,0xfa800bff,0x3ffff601,
    0x000000ff,0xffff7000,0x40000bff,0xfffffede,0x7fe40005,0x7ec04fff,
    0x0004ffff,0xffffede8,0x3640005f,0x3fffffe6,0x801f884f,0x06fffffb,
    0x9fffff90,0xfffffd80,0x7ffff404,0x400000ff,0x4c2ffff9,0xf301ffff,
    0xff985fff,0xffb801ff,0xf7006fff,0xf10dffff,0x3fff6001,0x00000fff,
    0x3fffee00,0x3fee006f,0x0fc86fff,0x53f30000,0x03ffffff,0x7fffdc00,
    0x2a01d06f,0xfffff704,0x3ffea00d,0x7dc005ff,0x3ffffa00,0x0000007f,
    0xfffff100,0x200001ff,0xffffa9f9,0x320001ff,0x404fffff,0x02ffffff,
    0x7d4fcc00,0x001fffff,0x3fee1b20,0x443fffff,0xfffb801f,0xff9006ff,
    0xff809fff,0x7c02ffff,0x007fffff,0xdfff3000,0x03bff623,0x23dfff30,
    0x000effd8,0x0dfffff7,0x3ffffee0,0xd000fc86,0x00ffffff,0xffb80000,
    0x2e006fff,0x4c6fffff,0xb00000ff,0x7fffffcd,0x3fee0004,0x40306fff,
    0xffff703d,0x3fe600df,0x64006fff,0x3fffe207,0x000006ff,0xffffb000,
    0x400007ff,0x3ffffe6d,0x3f20004f,0x2a04ffff,0x005fffff,0x3ffe6d80,
    0x20004fff,0xffff906c,0x0fc43fff,0x7ffffdc0,0xffff9006,0x7ffd409f,
    0x7fc405ff,0x0005ffff,0x3ffee200,0x2004fffd,0xffdfffb8,0x7fdc004f,
    0xf7006fff,0xf98dffff,0xfff8800f,0x00006fff,0x7fffdc00,0x3fee006f,
    0xfb98efff,0x880000ff,0x3fffee2f,0xf70000ff,0x800dffff,0xfff702f9,
    0x3e200dff,0x4006ffff,0x3ffe606e,0x00005fff,0xfff98000,0x00006fff,
    0xfffb8be2,0x90000fff,0x209fffff,0x0efffffb,0x717c4000,0x01ffffff,
    0xfd81b200,0x10ffffff,0xfff7003f,0x3f200dff,0xf704ffff,0x801dffff,
    0x4ffffff9,0x75400000,0x0000bbab,0x017757d5,0x3fffee00,0xfff7006f,
    0xff731dff,0xfff3001f,0x0000bfff,0xffffb800,0x3fee006f,0xffffffff,
    0xc80000ff,0x7ffffc47,0xff70003f,0x4400dfff,0xfff700fe,0x7fc00dff,
    0x7000ffff,0x7ffd407f,0x00005fff,0xfffe8000,0x00001fff,0xffff11f2,
    0x320007ff,0xaadfffff,0xeffffeca,0x8f900002,0x3ffffff8,0x440d9000,
    0x5ffffffe,0xff7003f1,0x3200dfff,0xaadfffff,0xeffffeca,0xffff5002,
    0x00000bff,0x00003f62,0x00003f62,0x6fffffb8,0xfffff700,0x1fffffff,
    0xfffff500,0x000000bf,0x6fffffb8,0x3fffee00,0xfffecbef,0x1fc40000,
    0x3fffffec,0xffffb800,0xffd1006f,0x7ffffdc0,0x3ffea006,0xff9805ff,
    0x3fffe600,0x000006ff,0x7fffdc00,0x200005ff,0xfffd83f8,0xf90007ff,
    0xffffffff,0x007fffff,0x6c1fc400,0x007fffff,0xff980d90,0xf8cfffff,
    0xffffb801,0xfff9006f,0xffffffff,0x98007fff,0x06ffffff,0x0dff0000,
    0x01bfe000,0xffff7000,0x3fee00ff,0xfecbefff,0xff9800ff,0x0006ffff,
    0x7ffdc000,0x3ee006ff,0x7ec6ffff,0x7dc0000f,0xfffff980,0xffc8002f,
    0x2200ffff,0x2e06fffb,0x006fffff,0x67ffffe4,0x803fd300,0x7ffffff8,
    0xffffd880,0x2effffff,0xfffff880,0x200000ff,0xfff980fb,0xc8002fff,
    0xf54fffff,0x00bfffff,0x4c07dc00,0x02ffffff,0xfa806c80,0xfbffffff,
    0xffffb801,0xfff9006f,0x3ffea9ff,0x44005fff,0x07ffffff,0xfffa8000,
    0x3ea0000b,0x00000bff,0x0ffffff9,0x3ffffee0,0x4007fec6,0x7ffffff8,
    0xffffd880,0x2effffff,0xdfffff70,0x7fffdc00,0x000fe86f,0xffd027c0,
    0x9800dfff,0xffffffff,0xffeccaac,0x3ee05fff,0x8006ffff,0xeffffffd,
    0x01efdcab,0xfffffff0,0x7ffdc001,0x2000ffff,0x3ffffffd,0x027c0000,
    0x0dfffffd,0xfffff900,0x7ffffe49,0x9f00003f,0x7fffff40,0x006c8006,
    0xfffffff9,0xfff7003f,0x3f200dff,0x3f24ffff,0x003fffff,0x7ffffffc,
    0x7ec00000,0xffffffff,0xfb02ceff,0xffffffff,0x88059dff,0x4fffffff,
    0xfffffb80,0xf000fe86,0x01ffffff,0x7ffffdc0,0x7fdc00ff,0x2e006fff,
    0xa86fffff,0x3ea0000f,0x3fffea00,0x774401ff,0xffffffff,0xffffffff,
    0x2e04ffff,0x006fffff,0xfffffb30,0x8009ffff,0x1ffffffc,0x7ffffc00,
    0x3fea003f,0x4006ffff,0x5007d403,0x03ffffff,0xfffffc80,0x3ffffa24,
    0x540001ff,0x3ffea00f,0x64001fff,0x3fff6006,0xb801ffff,0x006fffff,
    0x49fffff9,0xffffffe8,0x3fff6001,0x00001fff,0x7fffffe4,0xffffffff,
    0xfffffc84,0xffffffff,0x7ff7444f,0xffffffff,0xffff703e,0x001f50df,
    0x3ffffff2,0x7fffc001,0xffb803ff,0x2e006fff,0x886fffff,0xfd00600f,
    0xffffffff,0x0bffffff,0x5f900000,0x7fffdc00,0x4c40006f,0x001dffba,
    0xffffff30,0xffff8005,0xff1003ff,0x003fffff,0x3ffa02cc,0xffffffff,
    0x005fffff,0x27ffffe4,0x3fffffe6,0x7ff40006,0xffffffff,0x005fffff,
    0xfd100364,0x003fffff,0x0dfffff7,0x3fffff20,0x7ffffcc4,0x3fe6006f,
    0x0002ffff,0x7ffffcc0,0xffffffff,0x7ffcc4ff,0xffffffff,0x4c04ffff,
    0x7dc000ee,0xf886ffff,0xfff98600,0x7c002fff,0x803fffff,0x06fffffb,
    0x3ffffee0,0x12a01d06,0xcccccf98,0xfffdcccc,0x00000fff,0x8009fd10,
    0x06fffffb,0x03ff2000,0xffffb000,0xffe8007f,0xf9002fff,0x009fffff,
    0x33e604c8,0xcccccccc,0x0ffffffd,0x3ffff200,0xffffc84f,0xf30004ff,
    0x99999999,0xffffffb9,0x00364001,0x3fffffe2,0xffffb801,0xfff9006f,
    0xfff909ff,0x74009fff,0x005fffff,0xffff9800,0xffffffff,0xfff986ff,
    0xffffffff,0x3ea06fff,0xffb8001f,0x01d06fff,0xffffb12a,0xffe8007f,
    0xfb802fff,0x2006ffff,0x06fffffb,0xdb01ec03,0x3fffe200,0x000004ff,
    0xb8005ff7,0x006fffff,0x00bff300,0xffffd100,0xfffe800d,0xff9802ff,
    0x8006ffff,0x401b603e,0x4ffffff8,0x3ffff200,0xffffd04f,0xdb0003ff,
    0x3fffe200,0x1b2004ff,0x3fffea00,0xfffb801f,0xff9006ff,0x3fa09fff,
    0x001fffff,0x1ffffff5,0x6cc1c000,0xeedcceff,0x40fffffe,0xdcceffd9,
    0xfffffeee,0x000ffd00,0x1bffffee,0xe887b00c,0x4006ffff,0x02fffffe,
    0x6fffffb8,0x3fffee00,0x17cc006f,0x32002f98,0x00ffffff,0x4ffe8000,
    0x7fffdc00,0xf900006f,0x300001ff,0x005fffff,0x17fffff4,0x7fffff40,
    0x17e4002f,0x32002f98,0x00ffffff,0x9fffff90,0x3ffffe20,0x3e6000ff,
    0x3fff2002,0xd9000fff,0x3ffee000,0xfffb801f,0xff9006ff,0x3e209fff,
    0x00ffffff,0x9fffff90,0xfb1ee000,0xff91007f,0x803ffd8d,0xf306ffc8,
    0xf70005ff,0x800dffff,0xfff982f9,0x3fa002ff,0xb802ffff,0x006fffff,
    0x1bffffee,0xb00fe880,0xfff9800f,0x00003fff,0x4007fff8,0x06fffffb,
    0x7fffb000,0x3fea0000,0xfd000eff,0xb805ffff,0x05ffffff,0xd80ffd40,
    0x7ffcc007,0xf9003fff,0x5c09ffff,0x05ffffff,0xf3001f60,0x007fffff,
    0xfd8001f6,0xffb801ff,0xf9006fff,0x5c09ffff,0x05ffffff,0x3fffff60,
    0x327e4003,0x7c400dff,0x01bfe63f,0xf503ff88,0xf7000dff,0x400dffff,
    0xff500fe8,0x3a001dff,0x802fffff,0x06fffffb,0x3ffffee0,0x0ffd1006,
    0x360017e6,0x00ffffff,0x7fff4000,0xfff7000e,0x20000dff,0x000ffffb,
    0xdfffd300,0xffffd001,0x7ffc405f,0x1000ffff,0xf301fffb,0xfffb000b,
    0xf9001fff,0xd809ffff,0x03ffffff,0xd8005f98,0x00ffffff,0x20001fe8,
    0xfb801ffe,0x9006ffff,0x809fffff,0x3ffffffd,0x3ffff200,0x7f4c00cf,
    0x00fffcc2,0x3e60ffa8,0xff5001ff,0x3fffe201,0x7ffdc003,0xfd1006ff,
    0xfffe980f,0xfffe800e,0xffb802ff,0x32006fff,0x00ffffff,0x41bffee2,
    0xfb8005fe,0x004fffff,0x7fffcc00,0x3f2009be,0x0007ffff,0x7ffffd10,
    0xf7000013,0x71039fff,0x019fffff,0x7fffffec,0xffff5003,0x0017fa0f,
    0x3fffffee,0xffffd804,0x7ffc405f,0x7401ffff,0xffb8005f,0x2204ffff,
    0x0001effc,0xf9003ff1,0x200fffff,0x05fffffd,0x7fffffc4,0x3fe6001f,
    0x9aacffff,0xb00dffdb,0x2a205dff,0xffd80efc,0xdf95102e,0xffffc801,
    0xffc801ad,0x2200ffff,0x7006fffb,0x1039ffff,0x19fffff7,0xfffff900,
    0x3ffe600f,0xaacfffff,0xfffffecc,0x17fff545,0x3ffff200,0x00003fff,
    0x7fffffdc,0xfffff306,0x200007ff,0xffffffe9,0xfc880001,0xffefffff,
    0xa801cfff,0xafffffff,0xdccbaaaa,0x47fffffe,0x002fffea,0x7fffffe4,
    0x3ffea03f,0x5401ffff,0x1fffffff,0x02fffea8,0x7ffffe40,0x7ff543ff,
    0x005fffff,0x7cc01f98,0x03ffffff,0x7fffffd4,0x7ffd401f,0x4001ffff,
    0xffffffda,0xa803dfff,0xfeeefffd,0x6d403eff,0xffeeefff,0x3f6003ef,
    0x203fffff,0xfffffff9,0xfeccaacf,0x2005ffff,0xffffffc8,0x1cfffffe,
    0x3fffe600,0xdd103fff,0xffffffff,0xffffffff,0x7e49ffff,0x06efffff,
    0x3fffffaa,0x01ffffff,0x3fb22000,0x3fba20bd,0xffffffff,0xb80003ef,
    0x0000cefd,0xbccaa980,0x220009aa,0xffffffff,0xffffffff,0x6fffffff,
    0x3ffffff2,0x3ffaa06e,0xffffffff,0xffffd31f,0xdfffffff,0x3ffff201,
    0x3ff26fff,0x206effff,0xffffffea,0x001fffff,0x880a8000,0xffffffee,
    0xd33effff,0xffffffff,0x3201dfff,0x6fffffff,0xcaa98800,0x3100009b,
    0x00137955,0x37955310,0x76d40001,0xfee882de,0xffffffff,0xffffffff,
    0x30004fff,0x35579955,0x7f744001,0xffffffff,0x000003ef,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x44000000,0x00009999,0x26666200,0x26600001,
    0x00000099,0x30000000,0x00013333,0x99999880,0x80336a00,0x00002dc9,
    0x26200000,0x00000199,0x33100000,0x00000333,0x55440a60,0x02aaaaaa,
    0x55555550,0x00000035,0x00000000,0x2aaaaaa2,0x1aaaaaaa,0x4e600000,
    0xaaaaaaa8,0x999aaaaa,0x05500009,0xaaaaa980,0x54c0001a,0x2a2aaaaa,
    0x02aaaaaa,0x7ffc4000,0x000001ff,0x00bffffe,0x7fffd400,0x75c00006,
    0x01fed42e,0xffff5000,0xc800001d,0x3205ffff,0xf980ffff,0xb8003fff,
    0x2e40befe,0xffffd000,0x3f220005,0x01775c1d,0x3ffffe00,0x4c3eea82,
    0xe8800cfd,0xfffd9103,0x5007ffff,0x5bfffff9,0x83bf9100,0x00002eeb,
    0x7b05bfd9,0x3fb2a200,0xcfffffff,0x8800001b,0xff9711fc,0xffffffff,
    0x3bdfffff,0x00ef4400,0xfffffea8,0x6dcc0005,0xfd0fffff,0x0099dfff,
    0xffffa800,0x26000002,0x0002ffff,0x3fffffa0,0xff300003,0x7fffc1ff,
    0xff900002,0x000001ff,0x440bfffd,0xc83fffff,0x4006ffff,0xdffffffc,
    0x70004fba,0x00dfffff,0x99bffee0,0x0000ffff,0x105ffff5,0x7f43ffff,
    0x3fd803ff,0xfffffd80,0xfd1002ff,0x7fdc001f,0x3fffe66f,0x7fec0000,
    0xfb9cffff,0xffe88002,0x0001ffff,0x403bee00,0xcffffff8,0xfffca999,
    0x362004ff,0x3ffe004f,0x200005ff,0xfd0ffffb,0x00000bff,0x0017ffec,
    0x3fff2000,0x3ee00003,0x007fffff,0x5ffff900,0x013fffe6,0x0ffffc00,
    0x7fcc0000,0x3fe200ef,0xffc83fff,0x3e6006ff,0xffffffff,0xf88002ff,
    0x02ffffff,0x0ffffd80,0x005ffff7,0x40ffff20,0xf13ffffa,0xfa80dfff,
    0xfffd003f,0x2001ffff,0x7f4004fa,0xfff70fff,0x7d40005f,0xffffffff,
    0xf90000ff,0x000dffff,0x0077dc00,0x13fffff6,0x77ffff44,0x017f6001,
    0x02ffffec,0xffff3000,0x00ffffa1,0x7ffc4000,0xf8000002,0x200003ff,
    0xffadfff8,0xf980003f,0x3ffe0fff,0xfa80002f,0x000001ff,0xb001dff9,
    0xf301ffff,0x64007fff,0xfffffddf,0xf90006ff,0x0dffb5ff,0x4dfff700,
    0x000ffff9,0x4407fff0,0x3fa1ffff,0x3fe603ff,0xfff9003f,0x200dffff,
    0x7dc003f9,0x3ffe66ff,0x3f60000f,0xffffffed,0x3f20004f,0x0005ffff,
    0x005ff500,0x09fffff9,0x37ffffcc,0x009ff300,0x00bffffb,0x7fffcc00,
    0x007fffd0,0x0ffea000,0x3e600000,0x6400004f,0x3ffa64ff,0xeeb80000,
    0x001ff542,0x001ffc80,0x03bfa000,0x00efe440,0xc8007db5,0x3fff6e24,
    0xff98000b,0x00fff20e,0xb83bf910,0xf50002ee,0x7dd5007f,0x500cfd98,
    0x2007ffff,0xfffffffc,0x02f8805f,0x20efe440,0x40002eeb,0x3ffb263e,
    0x7e40003e,0x0005ffff,0x006ffa80,0x09fffff9,0x3fffffe8,0x00fff600,
    0x00bffffb,0x7fffcc00,0x007fffd0,0x00ff6000,0x27e40000,0x3fe20000,
    0x003fe883,0x00000000,0x00001ff8,0x0003be60,0x26000000,0x80003100,
    0x6fb80dfd,0x00000000,0x00004fc8,0xfffff700,0x32013339,0xffffffbe,
    0x00fc403f,0x00000000,0x000a2015,0x7ffffe40,0x7c400005,0xff9003ff,
    0xfc809fff,0x2005ffff,0x3602fffa,0x0005ffff,0x43fffe60,0x0003fffe,
    0x00005500,0x00015400,0x3600fec0,0x0000000f,0x06a20000,0x15100000,
    0x00000000,0x50000000,0x03fa809f,0x40000000,0x0000002a,0xfffffff9,
    0x5b20dfff,0xfffffffd,0x0007e201,0x00000000,0x3f200000,0x0005ffff,
    0x003ffe40,0x09fffff9,0x6fffffb8,0x037ff400,0x00bffffb,0x7fffcc00,
    0x007fffd0,0x00000000,0x00000000,0x00004c00,0x55e654c4,0x00000009,
    0x40000000,0x09999999,0x26666662,0xca988000,0x00009abc,0x2aa04400,
    0xaaaaaaaa,0xaaa81aaa,0x002aaaaa,0x55555440,0xaaaaaaaa,0xffffdd31,
    0x209ddddf,0x3ffffa6c,0x3f100fff,0x55555510,0x55555555,0x55555555,
    0x00120000,0xfffff900,0x7c40000b,0x3f2004ff,0x5c04ffff,0x006fffff,
    0xd817ffdc,0x9985ffff,0x20099999,0xfd0ffff9,0x553007ff,0x55555555,
    0xaaaa8055,0x5510aaaa,0x55555555,0x55555555,0xaa885555,0xaaaaaaaa,
    0xaaaaaaaa,0x64002aaa,0xfeceffff,0x51004fff,0x55555555,0x00035555,
    0x55555551,0x23555555,0xffffffe8,0x3ffffee2,0x3ff2006f,0xfffeceff,
    0x5551004f,0x55555555,0x7f65c355,0xceffffff,0xfffdb81b,0x2aa22cff,
    0x880aaaaa,0xfffffeca,0xe81bdfff,0x9003ffff,0x7ffffc4d,0x03f106ff,
    0xffffd951,0xffffffff,0x0dffffff,0x003f3000,0x7fffe400,0x3200005f,
    0x32003fff,0x404fffff,0x04fffffd,0x837ffcc0,0x445ffffd,0x4ffffffe,
    0x43fffe60,0xa803fffe,0xfffffffd,0x6d402cff,0x10dfffff,0xfffffd95,
    0xffffffff,0x88dfffff,0xfffffeca,0xffffffff,0x006fffff,0x817fffd3,
    0x02efffb8,0x7fff6544,0x1bcfffff,0xfeca8800,0xdfffffff,0x7fffd41b,
    0xffffe82f,0xfffe9806,0x7ffdc40b,0x7654402e,0xffffffff,0xfff881bd,
    0x1000ffff,0xf9101ffd,0x807fffff,0xffffffe8,0x7ffff401,0xf98d9003,
    0x84ffffff,0xffe801f8,0x9999efff,0x6ffffca9,0x05fd8000,0x3fff2000,
    0x100005ff,0x4005ffff,0x04fffffc,0x17fffffc,0x3fffe200,0x5ffffd81,
    0x007fff50,0x3a1ffff3,0x26003fff,0x3fffffff,0x077fc400,0x3fffffa0,
    0xca99999e,0x7406ffff,0x99efffff,0xfffca999,0xfffc806f,0x7ffcc03f,
    0xfe8800df,0x001fffff,0x3fffa200,0x3e201fff,0xfc82ffff,0x7e406fff,
    0x7cc03fff,0x8800dfff,0x1ffffffe,0xfffffd80,0x01fe4005,0x0fffffe6,
    0x3fffff20,0xffffe806,0xf70d9003,0x87ffffff,0xffc801f8,0x6c406fff,
    0x440006ff,0x00000fff,0x0bfffff9,0x3ffee000,0x3ff2000f,0x3ea04fff,
    0x0005ffff,0xfb0bffff,0x3e60bfff,0xfff3001f,0x0ffffa1f,0xfffff700,
    0x3ff000bf,0xfffff900,0x6ffd880d,0x7ffffe40,0x37fec406,0x17ffff60,
    0x37fffd40,0xfffffc80,0xfc800006,0xf806ffff,0xfc82ffff,0x3f606fff,
    0xf5005fff,0x3200dfff,0x006fffff,0x0bfffffb,0xf802fb80,0xb803ffff,
    0x806fffff,0x003ffffe,0x3fff20d9,0x3e21ffff,0xffffb801,0x0df7006f,
    0x4fffc800,0xfff90000,0x20000bff,0x4007fffd,0x04fffffc,0x1dfffff7,
    0x3fff6000,0x5ffffd87,0x4c001dd0,0xffd0ffff,0xffd0007f,0x4001ffff,
    0xff7003fa,0x2e00dfff,0x7ffdc06f,0xdf7006ff,0x3ffffdc0,0x3ffffa00,
    0xffffc804,0xb800005f,0x806fffff,0xc82fffff,0xf706ffff,0xe800ffff,
    0xb804ffff,0x006fffff,0x09fffff9,0xf802fa80,0xb803ffff,0x806fffff,
    0x003ffffe,0x7ffec0d9,0x3f10ffff,0xfffff700,0x0037400d,0x0fffff10,
    0x3fff2000,0xd00005ff,0xc800ffff,0xaadfffff,0xeffffeca,0x7fec0002,
    0x7ffec0ff,0x000ed85f,0xe87fffcc,0x98003fff,0x04ffffff,0xfb801ba0,
    0x2006ffff,0x7ffdc06e,0x1ba006ff,0x2fffffc4,0x3fffee00,0x7ffe401f,
    0x800005ff,0x06fffffb,0x82fffff8,0x886ffffc,0x005fffff,0x0fffffdc,
    0x3ffffee0,0xffff9006,0x1fa8009f,0x3fffff80,0xfffffb80,0xffffe806,
    0x440d9003,0x5ffffffe,0xff7003f1,0x2020dfff,0x3ee0006b,0x0003ffff,
    0x5fffffc8,0xffff0000,0xfffc800f,0xffffffff,0x00003fff,0xd83ffffb,
    0x76c5ffff,0xfff98000,0x07fffd0f,0x3ffff600,0x1fb801ff,0x3fffee00,
    0x0d70106f,0x6fffffb8,0x3a0d7010,0x002fffff,0x37ffffcc,0x3fffff20,
    0xfb800005,0xf806ffff,0xfc82ffff,0xffe86fff,0x4c002fff,0x406fffff,
    0x06fffffb,0x9fffff90,0x801fa800,0x803fffff,0x06fffffb,0x03ffffe8,
    0xff980d90,0xf8cfffff,0xffffb801,0x6981b06f,0x3fffe000,0xc80006ff,
    0x005fffff,0x6ffff880,0x7fffe400,0xfffff54f,0x320000bf,0x7ec2ffff,
    0x17f65fff,0x7fffcc00,0x007fffd0,0x3ffffe60,0x027c405f,0x3ffffee0,
    0x06981b06,0x37ffffdc,0x5434c0d8,0x00ffffff,0xffffff80,0x3ffff203,
    0xb800005f,0x806fffff,0xc82fffff,0x7d46ffff,0x000fffff,0x3ffffff8,
    0x3ffffee0,0xffff9006,0x1fa8009f,0x3fffff80,0xfffffb80,0xffffe806,
    0x500d9003,0x7fffffff,0xfff7003f,0x203e0dff,0xfff50002,0x0005ffff,
    0x5fffffc8,0xfff98000,0x7fe4006f,0x3ff24fff,0x0003ffff,0x43ffffc8,
    0xfb5ffffd,0xf30007ff,0x3ffa1fff,0x3f20003f,0x201fffff,0x7dc000fc,
    0x1f06ffff,0xfffb8050,0x501f06ff,0xdfffff90,0x3fff6000,0x3ff205ff,
    0x00005fff,0x6fffffb8,0x2fffff80,0x46ffffc8,0x06fffffc,0xfffffb00,
    0x7fffdc0b,0xfff9006f,0xfa8009ff,0xfffff801,0xffffb803,0xfffe806f,
    0x00d9003f,0x3ffffff2,0xffb801ff,0x0f886fff,0x3b7a0000,0x005fffff,
    0x7ffffe40,0x7d410005,0x64006fff,0x224fffff,0x1ffffffe,0x7ffe4000,
    0x7fffec4f,0x0fffffdd,0x7fffcc00,0x007fffd0,0x7ffffc40,0x007f306f,
    0xdfffff70,0x70001f10,0x10dfffff,0x3ffa001f,0xb0006fff,0x40dfffff,
    0x05fffffc,0xfffb8000,0xfff806ff,0xfffc82ff,0x7ffff46f,0xffb0006f,
    0x7dc0dfff,0x9006ffff,0x009fffff,0xff801fa8,0xfb803fff,0xe806ffff,
    0x9003ffff,0x7ffec00d,0xb801ffff,0xc86fffff,0xf300000f,0xffffff53,
    0x7fe40003,0xf0005fff,0x037fffcc,0x3fffff20,0x7ffffcc4,0x7e40006f,
    0x7fec3fff,0xffffefff,0x7fcc005f,0x7fffd0ff,0xfffb8000,0x06e82fff,
    0xfffff700,0x0001f90d,0x0dfffff7,0x3fe001f9,0x0005ffff,0x1ffffff9,
    0x3fffff20,0xfb800005,0xf806ffff,0xfc82ffff,0x7ffc6fff,0x90005fff,
    0x01ffffff,0x1bffffee,0x7ffffe40,0x00fd4004,0x01fffffc,0x37ffffdc,
    0x1fffff40,0x22006c80,0x1ffffffe,0xfffffb80,0x0007fcc6,0x3ffe6d80,
    0x20004fff,0x05fffffc,0x3fe26980,0x7e4006ff,0xfc84ffff,0x004fffff,
    0x0bffff20,0x91dffffb,0x007fffff,0xe87fffcc,0x40003fff,0x6ffffff8,
    0xb8000fdc,0x4c6fffff,0xfb8000ff,0x7cc6ffff,0xfff9800f,0x90005fff,
    0x03ffffff,0x17fffff2,0x3fee0000,0xff806fff,0xffc82fff,0x3ffe66ff,
    0x90005fff,0x03ffffff,0x1bffffee,0x7ffffe40,0x00fd4004,0x01fffffc,
    0x37ffffdc,0x27ffff40,0x44006c80,0x01ffffff,0xefffffb8,0x00fffb98,
    0x2e2f8800,0x00ffffff,0xfffff900,0xf8b9000b,0x64007fff,0xd04fffff,
    0x03ffffff,0x3ffff200,0x2ffffec1,0x01fffffd,0x43fffe60,0x0003fffe,
    0xffffffb8,0x40009f13,0x8efffffb,0x000fffb9,0xefffffb8,0x00fffb98,
    0xffffffa8,0xfff90004,0x3f205fff,0x0005ffff,0xfffffb80,0xfffff806,
    0x6ffffc82,0x3fffffea,0xfff90004,0x3ee05fff,0x9006ffff,0x009fffff,
    0xff801fa8,0xfb803fff,0xd806ffff,0x0e24ffff,0x7d400364,0xb801ffff,
    0xffffffff,0x0000ffff,0x7ffc47c8,0x90003fff,0x00bfffff,0x7ff45f88,
    0x7fe4007f,0xff104fff,0x001fffff,0x81ffffb0,0x265ffffd,0x006fffff,
    0x3a1ffff3,0x00003fff,0x2ffffffd,0x2e0000fc,0xffffffff,0x8000ffff,
    0xfffffffb,0x800fffff,0x4ffffffa,0xffff7000,0x3ff205ff,0x00005fff,
    0x6fffffb8,0x2fffff80,0x26ffffc8,0x4ffffffa,0xffff7000,0x3fee05ff,
    0xf9006fff,0x8009ffff,0xfff801fa,0xffb803ff,0xfb806fff,0x0d98ffff,
    0x2e000d90,0xb801ffff,0xcbefffff,0x0000fffe,0x7fec1fc4,0x90007fff,
    0x00bfffff,0x7fec4fd8,0x7fe4007f,0x3ee04fff,0x005fffff,0xd87fffd8,
    0x7dc5ffff,0x9804ffff,0xffd0ffff,0x2a00007f,0xfdffffff,0x7fdc0003,
    0xfecbefff,0xfb8000ff,0xecbeffff,0xf8800fff,0x005fffff,0xffffff90,
    0x3ffff203,0xb800005f,0x806fffff,0xc83fffff,0x3e26ffff,0x005fffff,
    0xffffff90,0x3fffee03,0xfff9006f,0xfa8009ff,0xfffff801,0xffffb803,
    0xfffb006f,0x3ec05fff,0x3fffb000,0xfffff700,0x000ffd8d,0x7cc07dc0,
    0x002fffff,0x6fffffc8,0x70fff600,0x4001ffff,0x04fffffc,0x7fffffec,
    0x7fff4003,0x5ffffd86,0x1fffffe8,0x87fffcc0,0x0003fffe,0x3fffffa0,
    0xfb80006f,0x7ec6ffff,0xffb8000f,0x7fec6fff,0xfffff000,0x3f2000df,
    0x900fffff,0x00bfffff,0xffff7000,0xfff880df,0xfffc83ff,0x7ffffc6f,
    0xff90006f,0x2e01ffff,0x006fffff,0x09fffff9,0xf801fa80,0xb803ffff,
    0x006fffff,0x05bffd71,0x20001fe8,0xfb801ffe,0xfe86ffff,0x027c0000,
    0x0dfffffd,0xfffffb00,0xffd8801f,0x7fffc42f,0x3fff6002,0x7fc405ff,
    0x001fffff,0x360bfffe,0xf985ffff,0x200effff,0xfd0ffff9,0x400007ff,
    0x3ffffff9,0xfffb8000,0x00fe86ff,0xfffffb80,0xd000fe86,0x00dfffff,
    0x3fffff60,0x3ffff206,0xb800005f,0x406fffff,0x0efffffb,0x237fffe4,
    0x06fffffe,0xfffffb00,0x7fffdc0d,0xfff9006f,0xfa8009ff,0xfffff801,
    0xffffb803,0x8008006f,0x001effc8,0x7003ff10,0x50dfffff,0x7d40001f,
    0x3fffea00,0x3e6001ff,0xceffffff,0xffedbaac,0xffc81fff,0xfff5003f,
    0xa803ffff,0x1fffffff,0x86fff980,0x0ffffff9,0xdfffffe8,0x1ffff300,
    0x000ffffa,0xfffffd00,0xff700007,0x1f50dfff,0xffff7000,0x001f50df,
    0x1ffffff6,0x7ffff400,0x3fff205f,0x010005ff,0x37ffffdc,0xffffff88,
    0x3fee3fff,0x7ffec6ff,0xfd0007ff,0x5c0bffff,0x006fffff,0x0bfffff9,
    0xf801fb80,0xb803ffff,0x006fffff,0x3ffaa004,0x005fffff,0xfb801f98,
    0xf886ffff,0xffd00600,0xffffffff,0x80bfffff,0xfffffee9,0xffffffff,
    0xffffffff,0x05fff880,0x3fffffa6,0x0effffff,0xffffff90,0xfffa80df,
    0x7ffffe42,0x3ff64fff,0x82ffffff,0xfd0ffff9,0x800007ff,0x03fffffe,
    0xffffb800,0x200f886f,0xfffff701,0x0c01f10d,0x1ffffff3,0xffff8800,
    0x3ff201ff,0xf0005fff,0x7ffffdc0,0x3ee00006,0x7fcc6fff,0x4000ffff,
    0x1ffffff8,0x3ffffee0,0xffff7006,0x0fb800bf,0x3fffff80,0xfffffb80,
    0x13ffa006,0x2a000000,0xffffb800,0x2a01d06f,0x3333e604,0xfdcccccc,
    0x000fffff,0xc8000000,0x00000fff,0xfb000000,0x000000df,0x87fffcc0,
    0x0003fffe,0x7fffff40,0xffb80003,0x01d06fff,0x7ffdc12a,0x201d06ff,
    0x7fffe44a,0x7fcc003f,0x7e404fff,0x8005ffff,0x3ffee069,0x200006ff,
    0xc86ffffb,0x003fffff,0x27ffffcc,0x3ffffee0,0xffff7006,0x07d800bf,
    0x07fffff0,0xdfffff70,0x3fffee00,0xdfd80001,0xff700002,0x8060dfff,
    0x401b603d,0x4ffffff8,0x59fd0000,0xfff88000,0xbf500003,0x44000017,
    0x44002fff,0x20002cee,0xfd0ffff9,0x800007ff,0x03fffffe,0xffffb800,
    0x1ec0306f,0x6fffffb8,0x221ec030,0x006fffff,0x07ffffe4,0x3fffff20,
    0x205c8005,0x06fffffb,0x3ffee000,0xffff885f,0x7fe4006f,0x7dc00fff,
    0x3006ffff,0x00dfffff,0xfff005f8,0xff7007ff,0x2600dfff,0x0004ffff,
    0x003fffe8,0xfffffb80,0x817cc006,0x3f2002f9,0x000fffff,0x02ffff80,
    0x03ffd400,0x6fffb800,0x3ff20000,0xfff98004,0xff30001f,0x3fffa1ff,
    0x7f400003,0x0003ffff,0x6fffffb8,0xb817cc00,0x006fffff,0x7fdc17cc,
    0xf1001fff,0x9007ffff,0x00bfffff,0x3ee05f88,0x0006ffff,0x3fea1b91,
    0xfff704ff,0x3e2003ff,0xb803ffff,0x006fffff,0x03fffffe,0xf801fdc0,
    0xb803ffff,0x006fffff,0x000bef26,0x01bff220,0x3fffee00,0x3fa2006f,
    0x9800fb00,0x03ffffff,0x6ffd8800,0x3ffa8000,0xffa88000,0xf880001f,
    0x3a60005f,0xf30004ff,0x3ffa1fff,0x7400003f,0x003fffff,0xfffffb80,
    0x03fa2006,0x37ffffdc,0x201fd100,0x005ffffc,0x009ffff9,0x17fffff2,
    0x5c09fb00,0x006fffff,0x3e67ff90,0x3f203fff,0xf9005fff,0x2e009fff,
    0x006fffff,0x13fffff2,0xf801bea0,0xb803ffff,0x006fffff,0x00000f98,
    0x0000fff3,0x0dfffff7,0x4c1ffa20,0xffd8005f,0x0000ffff,0x0006ffa8,
    0x0001df70,0x000bffa0,0x00017f20,0x40017ff2,0xfd0ffff9,0x800007ff,
    0x03fffffe,0xffffb800,0xffd1006f,0x7ffffdc0,0x0ffd1006,0x04ffffc8,
    0x027fffdc,0xdfffff90,0x01ffec00,0x0dfffff7,0x4d3ff600,0xfc806fff,
    0x7dc04fff,0x2e004fff,0x006fffff,0x27fffff4,0x4003ff30,0x803fffff,
    0x07fffffc,0x00004d80,0x00017ff6,0x3ffffff2,0x3ffee200,0x000bfd06,
    0x9ffffff7,0x9ffd0000,0x77dc0000,0x7fd40000,0x7ec0000f,0xff880005,
    0xff70002f,0x3fffa1ff,0x7fc00005,0x0004ffff,0xffffffc8,0x3ffee200,
    0x3ffff206,0x3ee200ff,0xfea806ff,0xb7109dff,0x8005dfff,0x0ffffffd,
    0x17ffec40,0xffffff90,0x57fe6000,0x5001fffa,0x213bfffd,0x2efffdb8,
    0x7fffe400,0x7ec4007f,0xbbdfffff,0x2001fffd,0x03fffff8,0x7fffffcc,
    0x07d5003f,0xffd93000,0xff300009,0x59ffffff,0xffffd995,0xfffea8bf,
    0x7ffe4002,0x8003ffff,0x004ffed9,0x01fd8800,0x1effec80,0x07b62000,
    0xfffb5000,0xfcb98007,0xffd0ffff,0x00059bff,0xffffffb8,0x3e60001f,
    0xcfffffff,0xfffeccaa,0xfff305ff,0x559fffff,0xfffffd99,0x7fedc00b,
    0xdfffffff,0xfff98003,0xacceffff,0xffffedba,0xffff301f,0x20007fff,
    0x2fffeffd,0xfffdb800,0x3dffffff,0xffff9800,0xa8003fff,0xfffffffe,
    0xfb8003ef,0x440effff,0xffffffee,0x103effff,0x54400005,0x2200009a,
    0xffffffee,0xffffffff,0x24ffffff,0xeffffffc,0x3fffaa06,0xffffffff,
    0x26aa6001,0x4c000000,0x0aaa8004,0x002a8000,0x00355300,0x26666620,
    0x26666219,0xee800199,0xffffffff,0x8804eeff,0xffffffee,0xffffffff,
    0x24ffffff,0xfffffee8,0xffffffff,0x4fffffff,0xcbaa8800,0x4c000aab,
    0xffffffee,0xffffffff,0x0fffffff,0x3ffffba2,0x3effffff,0x15e54c00,
    0x5d544000,0x4000aabc,0xfffffee8,0x03efffff,0x5e65d440,0xff88001a,
    0x3fffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2aa00000,0xaaaaaaaa,0x555102aa,0x05555555,0x00000000,0x00000000,
    0x777654c4,0x02b80ade,0xcdeecb88,0x00002441,0xedcb8800,0x07500ace,
    0x00000000,0x40001100,0x000000b9,0x59bdb953,0xda800003,0x00035400,
    0x2a218066,0x00aaaaaa,0x025c026c,0xaaaaaa80,0x00aaaaaa,0x7ffec000,
    0x5550006f,0x55555555,0x3f600035,0x00005fff,0x00001300,0x09999988,
    0xfffffd95,0x2207bfff,0xffffffcb,0x3220003d,0x800001df,0x75c1dfc8,
    0xd300002e,0xd9bfffff,0xf515bfff,0xefffa805,0xc9beffdc,0x1dfc8805,
    0x3ff6a000,0xfffeffff,0x003e88bd,0xeb83bf91,0x4000002e,0xffd0004d,
    0x6400005f,0xfeceffff,0x0000cfff,0x3e605f98,0xfff70006,0x913d417d,
    0x07ffffff,0xfb105fb8,0xfff10009,0xffffffff,0xf800005f,0x0000efff,
    0xfffffffb,0x000bffff,0x007ffff4,0xffc88000,0x900000cf,0x360bffff,
    0x02ffffff,0x03bffee0,0x3fff2000,0xfb800007,0x3ffe65ff,0xffc80007,
    0xfd500bff,0x6c05ffff,0xffa81dff,0xffc805ff,0xfd88007f,0x4c0aefff,
    0x03fffffc,0x4cdfff70,0x0000ffff,0x0003f100,0x00dffff3,0x7fffd300,
    0xffffa881,0x7fc40002,0xffdcabce,0xfffb8004,0x6fcdffff,0x3fffff98,
    0x220eff80,0x88000ffe,0xffffffff,0x0002ffff,0x03bffea0,0xffffd800,
    0x5fffffff,0x3ffa2000,0x9000002f,0x00bd737f,0x1bfffa00,0x7fffffb8,
    0x027fe400,0xfffff000,0xfe800005,0xfff90fff,0x3a60005f,0x7001ffff,
    0x2e05ffff,0x7ec407ff,0x7ffc405f,0x3e6002ff,0x8803ffff,0xb003fffd,
    0x3ee1ffff,0x00002fff,0x2e000d70,0x0007ffff,0x027fffe4,0x037fffea,
    0xffffb800,0x000fffff,0x7fffffc4,0xf04fffff,0x7007ffff,0xfff33dff,
    0x3ba20005,0xeeeeeeee,0x200001ee,0x0000effd,0x77777764,0x004eeeee,
    0x02fff440,0x543f8000,0x7cc0000f,0x3ea00eff,0x2007ffff,0x00002ffa,
    0x00fffff4,0x3fff2000,0x01fffea5,0x7ffffdc0,0x7ffd4001,0x03fff882,
    0xe805fe88,0x5001ffff,0x005fffff,0x7003ffd8,0x7fccdfff,0x000000ff,
    0x3e20007d,0x20004fff,0x005ffffe,0x00dffff7,0xfffffd80,0xf98002ff,
    0xfffffcac,0xffff00ef,0x3ffa007f,0x0006ffff,0x00000000,0x00003bfe,
    0x40000000,0x0000ffe8,0x1fc07d40,0x3bff2000,0x7fffd400,0x3df5007f,
    0xff500000,0x100000df,0xefb83bf9,0xfff88002,0xf50003ff,0x5fff705f,
    0x2017e600,0x1005fffb,0x009fffff,0x2007fd10,0x75c1dfc8,0x3000002e,
    0x6d40001f,0xf70000cf,0x4001ffff,0x004ffffe,0x77fffdc0,0x88d50001,
    0x7c02efdb,0x5003ffff,0x03ffffff,0x00000000,0x003fea00,0x00000000,
    0x005fd100,0x4c2f8800,0x7f40001f,0xfffa800e,0xdfc807ff,0x22000000,
    0x0000002b,0xffb00000,0x40001fff,0xfffd82fd,0x40176005,0xfd1002b8,
    0x0001ffff,0x00000fe6,0x5d800000,0x80000000,0x05fffff8,0x7ffffe40,
    0x54c40001,0x00000001,0x07fffff0,0x2fffff40,0xaaaaaa80,0x1aaaaaaa,
    0xaaaaaaa8,0x07ae002a,0x2a620000,0x0009abcc,0x004d8800,0xb11ed800,
    0xef98000d,0xffff5000,0x27ec40ff,0x00000000,0x00000000,0x3ffffee0,
    0x17cc0005,0x027ffff4,0x000006a8,0x09fffff9,0x0003e800,0x10000000,
    0x0000005f,0xfffffd00,0xfff98005,0x000006ff,0x80000000,0x003fffff,
    0x00333326,0x7ffff65c,0x81bcefff,0xcfffffdb,0x00200802,0xdffff900,
    0x09ffffd9,0x00200800,0xfefe9800,0x64c0002e,0x3ffea000,0x5fd107ff,
    0x55530000,0x55555555,0x55555555,0x55554c15,0x2aaaaaaa,0x55555540,
    0x3ffe20aa,0x80001fff,0xffffd82d,0x444800cf,0xaaaaaaaa,0x7c1aaaaa,
    0x003fffff,0x20001dc0,0x51000004,0x2a20fb99,0xaaaaaaaa,0xaaaaaaaa,
    0xfa82aaaa,0x000fffff,0x3ffffff8,0x00048000,0x55555544,0x1aaaaaaa,
    0x03fffff8,0x10004010,0x1fffffff,0x03ffa200,0x883bfaa0,0x4c002efd,
    0x440bfffe,0x002efffb,0xb1077f54,0x400005df,0x000003fb,0x3fffea00,
    0x01efa87f,0xffff9000,0xffffffff,0xbfffffff,0xfffffda8,0x402cffff,
    0xdfffffda,0x3ffffee0,0x01100007,0xfffffff7,0xeca88007,0xffffffff,
    0x3ffee1bd,0x80001fff,0x07e60000,0xffe88000,0xa884fffe,0xffffffec,
    0xffffffff,0xfc86ffff,0x0006ffff,0x0bfffffd,0x001f9800,0x3ffb2a20,
    0xbdffffff,0x3fffff81,0x1077f540,0x36005dfb,0x005fffff,0xfe801fe4,
    0x3fff24ff,0x3fff2006,0x7ffcc03f,0xffd000df,0x37ffe49f,0x0bfb0000,
    0x99999800,0x7fd40099,0x77dc7fff,0x3f600000,0x9999cfff,0xfffffa99,
    0xfff300ff,0x8007ffff,0xfc80eff8,0x0007ffff,0x7fffcc00,0x002effff,
    0xfffffe88,0xffffd01f,0x000001ff,0x005fd800,0x21dff300,0x200efffc,
    0x9efffffe,0xffca9999,0xfffe86ff,0xfb0006ff,0x000dffff,0x00005fd8,
    0xffffffd1,0xfffff803,0x27fff403,0x200dfff9,0x05fffffd,0x44017dc0,
    0x3fa6ffff,0xfd800fff,0xf5005fff,0xf100dfff,0x7ff4dfff,0x880000ff,
    0x10000fff,0x5ffffffd,0xfffffa80,0x003fff67,0x03ffd800,0xffffffd8,
    0x7fffdc03,0xff8005ff,0xfffffd01,0x9000000d,0xffffffff,0xfc8003df,
    0x3e06ffff,0x007fffff,0x7c400000,0x4c0000ff,0x3ff22fff,0x3ff204ff,
    0x6c406fff,0xffff86ff,0xf90005ff,0x001fffff,0x003ffe20,0x7fffe400,
    0xffff806f,0x3ffe203f,0x3ffffa6f,0xffffc800,0x17d4004f,0x23fffd80,
    0xb805fffb,0x4007ffff,0x804ffffe,0x3ee3fffd,0x900005ff,0x80009fff,
    0x02fffffa,0x7fffffd4,0x0effffe8,0x07fd0000,0xffffff50,0x3fffa00d,
    0x2a000fff,0x3fffe03f,0x000005ff,0xffffffb0,0x001bffff,0x1bffffee,
    0x7fffffc4,0x00000005,0x0027ffe4,0xff1fffa0,0x7dc0ffff,0x7006ffff,
    0xffff98df,0xf90004ff,0x003fffff,0x013fff20,0x7fffdc00,0xffff806f,
    0x7ffec03f,0x017ffee3,0x27ffffe4,0x4007ea00,0xbda83db8,0x7fffc400,
    0x7fdc005f,0x5c401fff,0x00bda83d,0xffff8800,0x7fc40007,0x7d402fff,
    0xffffffff,0x0005ffff,0x3fa009f0,0x001fffff,0x9ffffff3,0xf3037400,
    0x009fffff,0x3fa20000,0xffffffff,0xffb801ff,0xff306fff,0x0009ffff,
    0x7fc40000,0x2a0007ff,0x37ea6fff,0x3ee06fff,0x2006ffff,0x7fffd46e,
    0xf70004ff,0x007fffff,0x0fffff10,0x3ffee000,0xfff806ff,0x6dc403ff,
    0x000bda83,0x09fffff9,0x0001fa80,0xfffe8000,0x7cc002ff,0x0006ffff,
    0x7dc00000,0x0003ffff,0x017ffffc,0x3fffffea,0xfffffffe,0x01f80003,
    0xffffffc8,0x7ffec004,0xfb801fff,0x3fffea01,0x000004ff,0x7ffffe40,
    0x02ffffff,0x37ffffdc,0xffffffa8,0x00000005,0x0fffffee,0x2ffff400,
    0x07fff19b,0x37ffffdc,0x7d46b808,0x004fffff,0xffffff70,0xfff70005,
    0x700007ff,0x00dfffff,0x007fffff,0xff900000,0xa8009fff,0x3333101f,
    0x4ccc4133,0xffa80999,0x8000ffff,0x23ffffff,0x09999998,0x26666662,
    0x3ffe0000,0x40006fff,0x402fffff,0x57fffffa,0x5fffffff,0x40344000,
    0xfffffff9,0x7ffcc000,0x7c405fff,0x7fffc404,0x000005ff,0xffffd980,
    0x01ffffff,0x1bffffee,0x7fffffcc,0x00000006,0x1bfffffe,0x3fffe200,
    0x004c3f15,0x1bffffee,0xf11a606c,0x00bfffff,0x3fffff20,0xfff8001f,
    0x80006fff,0x06fffffb,0x43fffff8,0x09999998,0x26666662,0x7fffe400,
    0x0fd4004f,0xffffffc8,0x3ffffea4,0xffffc86f,0xffb0006f,0x7fe4bfff,
    0x3ea4ffff,0x006fffff,0xffffff50,0x7fc0005f,0x7d402fff,0x3ee7ffff,
    0x00ffffff,0xfd003100,0x005fffff,0x3fffff20,0x003f201f,0x1bfffffe,
    0x3ffff620,0x2effffff,0xffffe980,0x2e05ffff,0x106fffff,0x0fffffff,
    0x2a000000,0x2fffffff,0x7fffcc00,0xf7000d76,0x3e0dffff,0xffff8280,
    0xfb0006ff,0x001fffff,0xffffffa8,0x7dc0002f,0xf806ffff,0x7e43ffff,
    0x2a4fffff,0x06ffffff,0x27ffffe4,0x8807ea00,0xe84fffff,0xfe86ffff,
    0x0006ffff,0x8dfffffb,0x84fffff8,0x006ffffe,0xffffdbd0,0x7fc000bf,
    0x7d402fff,0x7ec7ffff,0x006fffff,0x3ffee000,0x20005fff,0x6ffffff8,
    0x36007f30,0x007fffff,0x7fffffdc,0x75400c0e,0x0fffffff,0xdfffff70,
    0x7fffffc0,0x0000000f,0xffffede8,0x7fd4005f,0x0007d7ff,0x0dfffff7,
    0x3fa001f1,0x0006ffff,0x0ffffffd,0xfffdbd00,0xb8000bff,0x806fffff,
    0x883fffff,0xe84fffff,0x6406ffff,0x004fffff,0x3fa00fd4,0xffc84fff,
    0xffff86ff,0xf90005ff,0xe81fffff,0xfc84ffff,0x98006fff,0xfffffa9f,
    0xfff0001f,0xffa805ff,0x7f447fff,0x005fffff,0xffff8800,0x40000fff,
    0x2ffffffb,0x3f2006e8,0x8007ffff,0x84ffffff,0xfff7000f,0x3ee05fff,
    0x3606ffff,0x01ffffff,0x7cc00000,0xffffffa9,0x3ffee001,0x8000faff,
    0x86fffffb,0xffb000fc,0x2000ffff,0x05fffffe,0x7fd4fcc0,0x0001ffff,
    0x1bffffee,0x0fffffe0,0x427ffff4,0x406ffffc,0x04fffffc,0x3a00fd40,
    0xfc84ffff,0x7fcc6fff,0x0005ffff,0x3ffffff9,0x84ffffe8,0x006ffffc,
    0x3fffe6d8,0xff0004ff,0xfa805fff,0xf987ffff,0x03ffffff,0x7ffec000,
    0x80003fff,0x6ffffff8,0xf3000fdc,0x003fffff,0x3ffffff8,0x3ea002f8,
    0xf703ffff,0x4c0dffff,0x02ffffff,0x36c00000,0x09ffffff,0x7ffffcc0,
    0xff70005e,0xff98dfff,0xffff3000,0xff0001ff,0x8003ffff,0x3ffffe6d,
    0x3ee0004f,0xf806ffff,0xfd03ffff,0xff909fff,0xffc80dff,0x54004fff,
    0x7fff401f,0xffffc84f,0x7ffffd46,0xff90004f,0xfe85ffff,0xffc84fff,
    0x7c4006ff,0x3ffffee2,0xfff8000f,0x7fd402ff,0xff507fff,0x003fffff,
    0x3fffe600,0x200006ff,0x3ffffffb,0xf90009f1,0x8009ffff,0x82fffffe,
    0x7fdc005f,0xfff701ff,0xffe80dff,0x00005fff,0xfb8be200,0x000fffff,
    0x5ffffff1,0x3ffee000,0xffb98eff,0x3ff2000f,0x54003fff,0x004fffff,
    0xfff717c4,0x20001fff,0x06fffffb,0x03fffff8,0x909ffffd,0xc80dffff,
    0x004fffff,0x3fa00fd4,0xffc84fff,0x7ffd46ff,0x70004fff,0x85ffffff,
    0xc84ffffe,0x4006ffff,0x7fffc47c,0xff8003ff,0x7d402fff,0x3207ffff,
    0x0fffffff,0xfffe8000,0x00001fff,0xbffffff4,0xfd0000fc,0x4001ffff,
    0x82fffffe,0x3e2000ff,0xff700fff,0xfa80dfff,0x000fffff,0x47c800e0,
    0x3ffffff8,0x3ffffa00,0xff70001f,0xffffffff,0x7c4001ff,0x4006ffff,
    0x00fffffd,0x3fe23e40,0x0003ffff,0x0dfffff7,0x07fffff0,0x213ffffa,
    0x406ffffc,0x04fffffc,0x3a00fd40,0xfc84ffff,0x7fc46fff,0x0005ffff,
    0x3ffffff9,0x84ffffe8,0x006ffffc,0x3ff60fe2,0xf8007fff,0x5402ffff,
    0x407fffff,0xeffffffd,0x3fee0000,0x0005ffff,0xfffffa80,0x20003fdf,
    0x03fffff9,0x3fffffa0,0x4006ff82,0x3ee06fff,0xc806ffff,0x004fffff,
    0x3e200f70,0xfffffd83,0x3fff2007,0x40a606ff,0xbefffffb,0x000fffec,
    0x17ffffdc,0xfffff980,0x41fc4003,0x07fffffd,0xfffff700,0xfffff00d,
    0x3ffffa07,0x6ffffc84,0x7ffffe40,0x00fd4004,0x213ffffa,0xf86ffffc,
    0x006fffff,0xffffff90,0x4ffffe81,0x06ffffc8,0x3e603ee0,0x002fffff,
    0x017ffffc,0x1fffffea,0xffffff10,0x3e2000bf,0x00ffffff,0xfffd0000,
    0x0000dfff,0x03fffff7,0x3fffffa0,0x004fff82,0x5c03fff7,0x006fffff,
    0x07fffffb,0x7004fc80,0xffff301f,0x3a2005ff,0x40dfffff,0xfff700ea,
    0x0ffd8dff,0xffffb800,0xffff9005,0x01f70007,0x5ffffff3,0xffff7000,
    0xffff00df,0x3fffa07f,0xffffc84f,0x7fffe406,0x0fd4004f,0x13ffffa0,
    0x21bffff2,0x06fffffe,0xfffffb00,0x9ffffd0d,0x0dffff90,0xffd027c0,
    0xf800dfff,0x5c02ffff,0x807fffff,0xfffffffb,0xfffd8005,0x00003fff,
    0x3ffffe60,0xd300003f,0xd005ffff,0xf05fffff,0xf8019fff,0x7fdc03ff,
    0x32006fff,0x00cfffff,0xf0017f4c,0x7ffff409,0x3fe6006f,0xecdfffff,
    0x3ffee01f,0x00fe86ff,0x9ffff500,0x2ffffb80,0x7409f000,0x006fffff,
    0x6fffffb8,0x7ffffc40,0x9ffffd03,0x0dffff90,0x5fffffc8,0x200fdc00,
    0xc84ffffe,0xfd86ffff,0x0007ffff,0x0bfffffd,0x909ffffd,0x200dffff,
    0x3fea00fa,0x2001ffff,0x203fffff,0xfffffff8,0x7fffdc04,0x001effff,
    0xdffffff5,0xe8003800,0x003fffff,0x7fffdc00,0x3eea20ac,0xf80cffff,
    0x40afffff,0xb803ffd8,0x006fffff,0x7fffffcc,0xffdb9aac,0x03ea000d,
    0xffffffa8,0x3ffee001,0x01ffffff,0x37ffffdc,0x300007d4,0x413bfffd,
    0x02ffffd9,0x5401f500,0x01ffffff,0x7ffffdc0,0x7fffdc06,0xfffe80ef,
    0xffffc84f,0x7fffdc06,0x07dc005f,0x13ffffa0,0x21bffff2,0x0ffffff9,
    0x7fffc400,0xfffe81ff,0xffffc84f,0xffffd006,0xffffffff,0x2200bfff,
    0x443fffff,0xffffffee,0x260effff,0xffffffff,0x201fffff,0xfffffff8,
    0x00166001,0x0ffffffa,0x3b220000,0xffffffff,0x7c01cfff,0xeffeb98d,
    0x000dfffe,0x0dfffff7,0x3fff6a00,0x3dffffff,0xffffe800,0xffffffff,
    0x2a005fff,0xceffffef,0xffffb801,0x200f886f,0xfff93001,0x3bffffdf,
    0xfffe8000,0xffffffff,0x4005ffff,0x06fffffb,0xfffffff1,0xfffe87ff,
    0xffffc84f,0x7fffdc06,0x03ec005f,0x427ffff4,0x906ffffc,0x007fffff,
    0x4fffff98,0x09ffffd0,0x00dffff9,0x999999f3,0xffffb999,0xff7001ff,
    0x0001dfff,0x90000000,0x09ffffff,0xe8004c80,0x003fffff,0xdfb98000,
    0x20009aab,0x37fb5103,0xfffb8001,0x440006ff,0x009bfba9,0x3333e600,
    0xfdcccccc,0x000fffff,0x006ea2bb,0xdfffff70,0x025403a0,0x7ffffec0,
    0xf980001f,0xcccccccc,0xffffffdc,0x3ffee000,0x400006ff,0xc84ffffe,
    0x4c06ffff,0x006fffff,0x7fec02fc,0xfffc84ff,0xffff106f,0xffc800df,
    0xffb00fff,0xfff909ff,0x00db00df,0x3fffffe2,0x3fffe204,0x003fffff,
    0x002f7f20,0xffff3000,0x7d000dff,0xffffd000,0x0000007f,0x000033ee,
    0x00177440,0x6fffffb8,0x0ff20000,0x401b6000,0x4ffffff8,0x0001f880,
    0x6fffffb8,0x001ec030,0x7fffffc4,0x06d80004,0xffffff10,0x7ffdc009,
    0xdfc806ff,0x3fff600b,0xffffc84f,0xfffff806,0x07f7000f,0x0bffffb0,
    0x40dffffb,0x01fffffb,0x7fffff10,0x2ffffec0,0x037fffec,0xfc800be6,
    0x000fffff,0x3fa00000,0x400004ff,0x2ffffffe,0x0017e400,0x1ffffff4,
    0x7cc00000,0x000007ff,0x0007fff9,0x0dfffff7,0x3ffea000,0x0be60005,
    0xfffffc80,0x0035c00f,0xfffffb80,0x017cc006,0xfffffb80,0x3e60001f,
    0x3fff2002,0xf7000fff,0xb00dffff,0x7ec0bfff,0xffd85fff,0xffc806ff,
    0xfa804fff,0xffff9006,0xfffffb8b,0x7fffe406,0xffff9005,0xffffc809,
    0x7ffffdc5,0x2003ec06,0x3ffffff9,0x20000000,0x0007ffc8,0x3ffffee0,
    0x7fd4005f,0xfffe8001,0x000003ff,0x02fffa88,0xffd98000,0xfffb8006,
    0x100006ff,0x0001fff9,0xff3001f6,0xe807ffff,0xff700003,0x4400dfff,
    0x360000fe,0x01ffffff,0x9800fb00,0x03ffffff,0xdfffff70,0x1fff7100,
    0x17ffff20,0x0dfffff7,0x3fffffa0,0x007fe604,0x57ffffcc,0xffffefb9,
    0xffffc807,0x7fffdc04,0xffff9804,0xffefb9af,0x17e607ff,0x3ffff600,
    0x000000ff,0x03ffe200,0x3ffe2000,0x1000ffff,0x0001fffb,0x07fffffd,
    0x7fc00000,0x5000002f,0xf7000dff,0x000dffff,0x007ffc40,0x4002fcc0,
    0x0ffffffd,0x00001f30,0x1bffffee,0x003ff440,0x7ffffe40,0x3e6000cf,
    0xfffd8005,0xfb800fff,0x1006ffff,0x3e601fff,0xfb9affff,0x007ffffe,
    0xffffffb1,0x3fffb77b,0xffffc800,0xfffcafff,0xfea801ff,0xb7109dff,
    0x4005dfff,0xfffffffc,0x1fffffca,0x7000bfd0,0x09ffffff,0x64000000,
    0xb00006ff,0x07ffffff,0x1ffffea0,0x7ffffc00,0x0000004f,0x0001fff5,
    0x00fff600,0x3fffff20,0x3ee00007,0xbfd0005f,0xffff7000,0x017209ff,
    0xffffc800,0x3ee200ff,0x500006ff,0xdffffffd,0x3fa0199b,0xfffb8005,
    0xfc804fff,0x7007ffff,0xffc80dff,0xfcafffff,0x2001ffff,0xffffffea,
    0x20003eff,0x91fffffd,0x0bffffff,0x3ffff6e0,0x03dfffff,0xfffffb00,
    0x3fffff23,0x3fffaa5f,0x7ffe4002,0x0003ffff,0x3fb22000,0xa80000df,
    0xafffffff,0xdccbaaaa,0x07fffffe,0xfffffb80,0x000001ff,0x007bffb2,
    0xfffb5000,0xfff30007,0x0007ffff,0x06fff644,0x3fffaa00,0x7ffe4002,
    0x2f83ffff,0xfff30000,0x559fffff,0xfffffd99,0xda80000b,0x3ceffffe,
    0x02fffea8,0x7ffffe40,0x3fe603ff,0x103fffff,0x001bffd9,0x23fffffb,
    0x5ffffffc,0x665d4400,0x100001ab,0x00000155,0x55e5d544,0xa880000a,
    0xffc8000a,0x206effff,0xffffffea,0x001fffff,0xaaa88000,0xff100000,
    0xffffffff,0xffffffff,0x00dfffff,0x3fffffba,0x4eefffff,0x55540000,
    0x53000000,0x74400135,0xfffffffe,0x4003efff,0x8000aaa8,0xeffffffc,
    0x3fffaa06,0xffffffff,0x88000511,0xffffffee,0xffffffff,0x04ffffff,
    0x00440000,0x3ffffff2,0x3ffaa06e,0xffffffff,0xfffdd11f,0xdfffffff,
    0x00555447,0x0002aa20,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x02540164,0x025c0164,0x00cccca8,0x26662000,0x03c80019,0x26000ca8,
    0x22009999,0x004b802c,0x5555554c,0x002aaaaa,0x2aaaaaaa,0x001aaaaa,
    0xaaaaaa80,0x01aaaaaa,0x40000000,0x2aa203b8,0xaaaaaaaa,0x000000aa,
    0x00000000,0x30000000,0x01dc9800,0x41333000,0x40001999,0x0003cccc,
    0x2c880193,0x19999880,0x1e76e4c0,0x07fea000,0x20999800,0x9f900999,
    0x64027e40,0x013f603f,0x13ffffe2,0xfffe8000,0x4fb8004f,0x98017f20,
    0x401fffff,0x0ff603fd,0xfffff700,0x0fffffff,0x7fffff40,0x04ffffff,
    0xfffff800,0x3fffffff,0x00000000,0x4c17ffa2,0xffffffff,0x0001ffff,
    0x3baa0000,0x001f6001,0xddd99500,0x3f601579,0xfddfd000,0xffa8000d,
    0x07fff32f,0x7fffd400,0xff88001f,0x003fd301,0x407ffffd,0xeff9cffb,
    0x4ff88001,0x3ffee000,0x207fff31,0x7ec45ff8,0x5ff8800f,0x4007ff44,
    0x0ffffffc,0xfff88000,0xff10004f,0x07fec41b,0x3ffff900,0x889ff100,
    0xfb8006fe,0xffffffff,0x3fa007ff,0xffffffff,0xf80004ff,0xffffffff,
    0x00003fff,0x3fe60000,0xfff980ff,0xffffffff,0x0000001f,0x40ffff10,
    0xefffeda8,0xfb88002c,0xfffcefff,0x0bee0cff,0x5f30fd40,0x27fec000,
    0x4000dff7,0x5ffffff8,0x85ff7000,0xf9804ffa,0x3f204fff,0x3fff70ff,
    0x006fd800,0xf927ff40,0xeffb80bf,0x003ffe98,0x3e637ff2,0xff8802ff,
    0x005fffff,0x04fffb80,0x477fdc00,0x4003ffe8,0x2001fffe,0xff98dffc,
    0xeea8002f,0xeeeeeeee,0x3bb6005e,0xeeeeeeee,0xed80003e,0xeeeeeeee,
    0x000002ee,0x7fff4000,0xeeeee880,0x0eeeeeee,0x65d4c000,0xfff801ab,
    0xbeffa80f,0xcfffebfd,0xffffb800,0x7ffe4c0b,0x2003fbbf,0x0006d85d,
    0x7f41dff1,0x3f20000f,0x01ffffff,0x2e7fff00,0xfb800fff,0x3fe604ff,
    0x1bffe65f,0x001ffa80,0xff1bfe20,0xfff8801f,0x4006fffe,0xfffefff8,
    0x1dffb006,0x0003fff3,0x0005ffe8,0xffffffd0,0x7fcc001f,0x7fc4002f,
    0x006fffef,0x00000000,0x00000000,0x00000000,0x00bfd100,0xeb800000,
    0xffecefff,0xfff502ef,0x363ffc81,0x813ffea7,0x02ffffd8,0x27ffffcc,
    0x1ee13a00,0x10ffd400,0x440007ff,0xdff93fff,0x3ffee000,0xd003fffe,
    0xffd809ff,0x3fffe25f,0x04ff8802,0x30ffdc00,0x3ee005ff,0x002fffff,
    0xffffffb8,0x44ff9801,0x20005fe9,0x00005ff8,0x3fffffea,0x17fe4002,
    0xffffc800,0x000001ff,0x00000000,0x00000000,0x55555555,0x50355555,
    0x55555555,0x10019f95,0xe9800040,0x5c40bfff,0x741cffff,0x237fd41f,
    0x027fd47d,0x009ffffd,0x017fffee,0x007d0f70,0xbf713f60,0x2ffd8000,
    0x80017fdc,0x06fffffe,0xf00bff10,0x7fc49fff,0x6fd803ff,0x43fe8000,
    0x7f4004fc,0x10005fff,0x00bfffff,0x7f440ffa,0x0bf70001,0xfffd0000,
    0x5fd000df,0x7ffc4000,0x510005ff,0x55555555,0x00035555,0x54400048,
    0xaaaaaaaa,0xaaaaaaaa,0xcb82aaaa,0xffffffff,0xfdb81bcf,0x1aacffff,
    0x41dfd500,0x2002efd8,0x402ffffc,0xfffffff9,0x5fff81df,0x827dc3ec,
    0x01fffffc,0x0fffffe0,0xebbef880,0x6f88000f,0x20000fe8,0xdf501ef9,
    0x3ffea000,0xbf7002ff,0x9ffff100,0x02ffffc4,0x00007fea,0x01dd0bf1,
    0x1eeeea80,0x3bbae000,0x01c8800e,0x970004c8,0x3aa00000,0x44001eee,
    0xeb80002c,0x10000eee,0xfffffd95,0x0037bfff,0x0000fcc0,0xffffd951,
    0xffffffff,0x0dffffff,0x7fffffc4,0xfff1000f,0x3ffa0001,0x1bfff24f,
    0x1ffffec0,0x6ffffa80,0x23fffcc0,0xa84f887d,0x005fffff,0x07fffff4,
    0x39ff9300,0x202a2000,0x6540001a,0x000f4c00,0x005eeed8,0x7fcc012e,
    0x3ffe24ff,0x13fe205f,0x202a2000,0x0000001a,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffffffd1,0x3f600003,0x3fa00005,0x999effff,
    0xffffca99,0x7fffec06,0x1fe4005f,0xffff8800,0x03ffffa6,0x0fffff70,
    0x3ffffe80,0x8ffffea0,0xfd09907d,0x4005ffff,0x6ffffffd,0x00008800,
    0x00000000,0x00000000,0xffff8000,0x13fffe25,0x00006fd8,0x2a600000,
    0x998801bc,0x26209999,0x20099999,0x710acca8,0x2b32ea00,0x1bcba880,
    0xbcba8800,0x65d44002,0x200f441b,0x00accba9,0xffffc800,0xf100006f,
    0x200001ff,0x06fffffc,0x2037fec4,0x05fffffd,0x00017dc0,0x7dc7fffb,
    0x7fc405ff,0x5c005fff,0x501fffff,0x369fffff,0xff985107,0x9000ffff,
    0xffffff5f,0x4ccccc45,0x26666209,0x4ccc4099,0x26620999,0x4c409999,
    0x09999999,0x33333331,0x0ccccc13,0x10acca88,0x56654407,0xfffd0710,
    0x17fffccb,0x0001ffa8,0x00de54c0,0x777ffcc0,0xff901dff,0x7d49ffff,
    0x506fffff,0xddffdfff,0x7ffdc40d,0xf30effff,0x01dffddf,0xffdffd10,
    0xfe8803df,0xb1effeef,0x7f7fdc0d,0x0003ffff,0x37ffffdc,0xfffc8000,
    0xff700004,0x2e00dfff,0x7ffe406f,0x7d4004ff,0x36e20002,0x400bda83,
    0x02fffffe,0x7ffffcc0,0xfffff106,0x6c00fddf,0x007fffff,0x3fffa7f7,
    0x3fff24ff,0x3fea4fff,0x7e46ffff,0x2a4fffff,0x46ffffff,0xfffffffb,
    0xfffff91e,0x7fec3bff,0x7ffd40ff,0x506eeffe,0xddffdfff,0x4dfff70d,
    0x880efff9,0x200004ff,0xffeefff9,0xfffa801d,0x40fffee2,0x84fffff8,
    0x986ffffe,0xff930fff,0x477fa20d,0xfcffffa8,0x0bffee4f,0xf71eff98,
    0x3e603fff,0x3ffea4ff,0xdfe980ee,0x0bfffee0,0xffffb800,0xf880006f,
    0x00007fff,0x0dfffff7,0x3f203740,0x4004ffff,0x000001fa,0xffffa800,
    0xfff0007f,0x3f607fff,0x07ffffff,0x3fffffe0,0x364fa806,0x446fffff,
    0xe84fffff,0xf886ffff,0xfe84ffff,0xff986fff,0xffa87fff,0xbf706fff,
    0x261fff30,0xff986ffc,0x0dff930f,0xffa9fffa,0x00dfb02f,0x17ffd400,
    0x5c07fff7,0xffe85fff,0xffffd02f,0xdffff909,0xf509ffd0,0x05fff10f,
    0x1dfffff7,0xf306ffe8,0x7ffc45ff,0x7fff986f,0xf04fffc8,0xfffd07ff,
    0x3ee0003f,0x0006ffff,0x3fffffb8,0xfffb8000,0xd70106ff,0xfffffc80,
    0x00fd4004,0x33333310,0x4ccccc41,0xffffc809,0xffd0006f,0x3e20bfff,
    0xefffffff,0x7fffc400,0x2fcc06ff,0x1ffffff2,0x213ffffa,0xd06ffffc,
    0xf909ffff,0x3f20dfff,0xfd80ffff,0x1f507fff,0xf509ffd0,0x509ffd0f,
    0x3ffa60ff,0x2a07ffd2,0x700001ff,0xffd0bfff,0x3fffe05f,0x0ffffb83,
    0x84ffffe8,0x446ffffc,0x7c80efff,0x986fffb8,0xb84fffff,0xffe83fff,
    0x0ffffe87,0x542fffec,0x7d40ffff,0xfffd87ff,0xff70004f,0x0000dfff,
    0x0dffffff,0xffff7000,0xd30360df,0xfffffc80,0x00fd4004,0xffffff90,
    0x7ffffd49,0xffffe86f,0xffb0006f,0x7cc0dfff,0xffffffff,0x3fffe603,
    0x1be205ff,0x3ffffff2,0x27ffff41,0x837fffe4,0xc84ffffe,0xf106ffff,
    0xf507ffff,0xb905ffff,0x01dfff10,0xefff88f9,0x76407c80,0xf101dfef,
    0x7c00009f,0xffb83fff,0x7ffdc0ff,0xffffa82f,0x4ffffe83,0x46ffffc8,
    0x40effffa,0xffffd878,0x7ffffc42,0x47fffa82,0xfb86fffa,0x7ffd47ff,
    0xffffa84f,0x17fffec4,0x017ffff2,0x7ffffdc0,0x7fd40006,0x002fffff,
    0x7ffffdc0,0x80501f06,0x04fffffc,0x2000fd40,0x84fffff8,0xf86ffffe,
    0x005fffff,0xffffff90,0xffffe880,0xa80dffff,0x04ffffff,0xff901dd1,
    0xfe85ffff,0xffc84fff,0xfffd06ff,0xffff909f,0x7fffec0d,0xfffffd86,
    0xffa82f85,0x23c40eff,0x40effffa,0x20020078,0x3b2606fc,0xff700cef,
    0xfff505ff,0xfffff87f,0x5ffffa81,0x84ffffe8,0x446ffffc,0x42ffffff,
    0x1ffffa82,0x0fffffc4,0xd07fffcc,0xfd10dfff,0xffffd87f,0x7ffffc43,
    0x3fffea0f,0x2ffffe41,0xffffb800,0x6f40006f,0x05fffffe,0x7fffdc00,
    0x000f886f,0x4fffffc8,0x000fd400,0x427ffff4,0x4c6ffffc,0x05ffffff,
    0xfffff900,0xfff9003f,0x81dfffff,0x4ffffff9,0x3f203fb0,0x742fffff,
    0xfc84ffff,0xffd06fff,0xfff909ff,0x7ffd40df,0x3f7e21ff,0x1ea0ffff,
    0x7fffffc4,0x3ffe2142,0x00142fff,0x203ff500,0xffd8dffc,0x1fffff83,
    0x25ffffa8,0x81fffff8,0xe86ffff9,0xfc84ffff,0xffe86fff,0xc804ffff,
    0xfff983ef,0xfff980ff,0xdffff11f,0x7ffc0440,0x3f7a23ff,0x75c1ffff,
    0x7ffec43e,0xff70005f,0x4000dfff,0xffffa9f9,0x2e0001ff,0xc86fffff,
    0xffc8000f,0x54004fff,0xffe8001f,0xfffc84ff,0x7fffd46f,0xf70004ff,
    0x005fffff,0x3fffffaa,0x3fe20fff,0xfc85ffff,0x3ffff201,0x7fff41ff,
    0xffffc84f,0x9ffffd06,0x0dffff90,0x24fffff8,0xfffff8ea,0xffe81322,
    0x7404ffff,0x04ffffff,0x4ff88000,0x261fff90,0x3fe23fff,0xff981fff,
    0x3ffea6ff,0xfff980ff,0x7fff40ff,0xffffc84f,0xfffffb86,0x98000eff,
    0xfffffffd,0xffffffff,0xfffff32f,0xffff8800,0x3fe3763f,0xb8802fff,
    0x05ffffff,0xfffff700,0xf36c000d,0x009fffff,0x7ffffdc0,0x0007fcc6,
    0x27ffffe4,0x0007ea00,0x213ffffa,0x546ffffc,0x04ffffff,0xfffff700,
    0x7f44005f,0x44ffffff,0x46fffffe,0x7fe402fb,0x7f40ffff,0xffc84fff,
    0xfffd06ff,0xffff909f,0xffffc80d,0x7fff4f67,0xfb80be5f,0x0effffff,
    0xffffff70,0x400001df,0xfff106fc,0x87fffc4f,0x80fffffa,0x70fffff9,
    0x301fffff,0xe85fffff,0xfc84ffff,0xfe886fff,0x1fffffff,0xf3bfb300,
    0x5557ffff,0x23555555,0x00fffffa,0x3ffffe60,0xfff11d93,0x7dc407ff,
    0x5ffffcbf,0xffff7000,0x3e2000df,0x3ffffee2,0xff70000f,0xf731dfff,
    0xf90001ff,0x8009ffff,0xfe8001fa,0xffc84fff,0x7ffc46ff,0x90005fff,
    0x03ffffff,0xfffffd80,0x3ff60fff,0x13ea7fff,0x3fffff60,0x4ffffe87,
    0x06ffffc8,0x909ffffd,0x980dffff,0xf8afffff,0x1fffff50,0xffe880f5,
    0x81ffffff,0xffffffe8,0xa80001ff,0xfff901ff,0x73ffff8d,0x301fffff,
    0x2e5fffff,0x980fffff,0x742fffff,0xfc84ffff,0xfd106fff,0x1fffffff,
    0xf1ffec40,0x8003ffff,0x01fffffb,0x3ffffe60,0xfff10fbb,0x3fea05ff,
    0xbffff92f,0x3ffee000,0xf90006ff,0xffffff88,0xfff70003,0xffffffff,
    0xff90001f,0xa8009fff,0xffe8001f,0xfffc84ff,0xfffff86f,0xff90006f,
    0x8001ffff,0xfffff9fd,0x3fffee2f,0x200bf37f,0x84fffffe,0xc84ffffe,
    0xfd06ffff,0xff909fff,0xffd00dff,0x7c4d7bff,0x04dbffff,0xfffffe88,
    0xfe880fff,0x0fffffff,0x13fa2000,0x746fffe8,0xfff75fff,0xfff301ff,
    0x3ffea5ff,0xfffa80ff,0x7fff41ff,0xffffc84f,0x7fffe406,0xff302fff,
    0xfffff85f,0x7ffcc003,0x3e2002ff,0x21fdffff,0x41fffff8,0x321fffd8,
    0x0005ffff,0x0dfffff7,0xfb07f100,0x000fffff,0x3bffffee,0x00fffecb,
    0xfffffc80,0x00fd4004,0x27ffff40,0x437fffe4,0x06fffffe,0xfffffb00,
    0x37d8020d,0x4c7fffff,0xf9ffffff,0xffff1005,0xfffd03ff,0xffff909f,
    0x3ffffa0d,0x6ffffc84,0xfffffb80,0x7fffec3e,0x3f2001fe,0x02ffffff,
    0x3ffffff2,0x3f20002f,0x37fffc06,0x7d5bfffa,0xfa80ffff,0xff11ffff,
    0xff501fff,0xffe81fff,0xfffc84ff,0xfffa806f,0xffb85fff,0xffffe85f,
    0x7ffc4005,0x7fc005ff,0x7c42ffff,0xffe87fff,0x7fffe44f,0xfff70005,
    0xf7000dff,0xfffff301,0xff70005f,0xffd8dfff,0xfffc8000,0x7d4004ff,
    0xfffe8001,0xffffc84f,0xfffffd86,0xfffd0007,0x403e0bff,0x3fffea7d,
    0x7ffffe43,0xff5000ef,0x3fa0dfff,0xffc84fff,0xfffd06ff,0xffff909f,
    0xffff100d,0xfffa81ff,0xfa8006ff,0x405fffff,0x5ffffffa,0x03ff5000,
    0x746ffff8,0xfff16fff,0xfff501ff,0x7fffc1ff,0xffffa81f,0x4ffffd86,
    0x46ffffc8,0xfffd8858,0x7fffcc7f,0xfffffc82,0x7fffc000,0x3fa002ff,
    0xff884fff,0x7ffe46ff,0x7fffe41f,0xfff70005,0x9f000dff,0x7fffff40,
    0xfffb8006,0x00fe86ff,0xfffffc80,0x00fd4004,0x27ffff40,0x437fffe4,
    0x0ffffff9,0x7fffc400,0x205f01ff,0x3fffe27d,0xfffffe82,0x3fff6000,
    0xfffb01ff,0xffff909f,0x3ffff60d,0x6ffffc84,0xbffffb00,0x13ffffe0,
    0xffb10b10,0x442c4fff,0x007ffffd,0xe804fe88,0x7ff46fff,0x3ffffe5f,
    0x6ffffa81,0x417fffdc,0xd83ffffb,0xfd85ffff,0x07c46fff,0x746fffd8,
    0xf981ffff,0x6c05ffff,0x3fffff21,0x7d45100f,0xff983fff,0x7fffc4ff,
    0x7fffe42f,0xfff70005,0xfa800dff,0x3fffea00,0x7dc001ff,0xfa86ffff,
    0xfffc8000,0x7dc005ff,0xfffe8001,0xffffc84f,0xfffff906,0xfff98007,
    0x417e04ff,0x07fff47d,0x0fffffcc,0xfffff880,0x3ffff603,0x6ffffd85,
    0x0bffffb0,0x00dffffb,0x40bfffea,0x401ffffc,0xfffb00f8,0xfd807c4d,
    0xfc8006ff,0xfffc800e,0x71ffffc6,0xf705ffff,0xfff07fff,0xdfff907f,
    0x17ffff20,0x0dfffff7,0x3ffea0bf,0x3ffffe23,0xfffffa84,0xf889b04f,
    0x40dfffff,0x7fff40e9,0x0ffffb84,0x3bffffe2,0xfffffd99,0xfff70006,
    0xfe800dff,0xffffffff,0x05ffffff,0x7ffffdc0,0x0600f886,0x2fffffdc,
    0x0003ee00,0x213ffffa,0x106ffffc,0x00dfffff,0x0fffffc8,0x9f607fe0,
    0x2e04fff8,0xb005ffff,0xc809ffff,0x7dc5ffff,0xf906ffff,0xffb8bfff,
    0x3e006fff,0x3fe607ff,0x20bf006f,0x2fc3fffa,0x003fffa8,0x9800ffcc,
    0x3fe27fff,0x7fffc0ff,0x06fffc83,0xff0dfff5,0x3fe605ff,0xefb9afff,
    0xff87ffff,0x21fff984,0xeffffff8,0xfffcffcb,0xfdabefff,0xffffb80e,
    0x1fecefff,0xe87fffe8,0xffe83fff,0xfdefffff,0x005affff,0x37ffffdc,
    0x9999f300,0xffb99999,0x4001ffff,0x06fffffb,0x5c12a01d,0x005fffff,
    0xfd8003ec,0xffc84fff,0x3fee06ff,0xf3001fff,0xf807ffff,0xf73ec2ff,
    0xfffb80df,0x7fdc04ff,0xff9803ff,0xefb9afff,0xf307ffff,0xf735ffff,
    0x00fffffd,0x3a027fe4,0x9ff003ff,0xf83fff30,0x1fff984f,0x013fa200,
    0x263fff90,0xffa83fff,0x2ffff86f,0xc8fffea0,0x7e401fff,0xcaffffff,
    0x7c1fffff,0xfd98beff,0xffffc82f,0xf50cffff,0xffffffff,0x7ffdc01d,
    0x82ffffff,0x0dffeaec,0x2e07fff7,0x14ffffff,0x03ffffff,0xfffffb80,
    0x401b6006,0x4ffffff8,0x3fffee00,0x1ec0306f,0x6fffff98,0x8002fc00,
    0xd85ffffd,0x6406ffff,0xd005ffff,0xf009ffff,0xfb159fff,0x401bffb1,
    0xfffd9bfa,0xffd710bd,0x7e4003df,0xcaffffff,0x901fffff,0x5fffffff,
    0x03fffff9,0x7007fe60,0x3fe001ff,0xffd98bef,0x8befff82,0x4002ffd9,
    0xc8000efc,0x3ffd8dff,0xc8fffea0,0xe9801fff,0x0dffffff,0xfffffb00,
    0x3fffff23,0x3ff7be5f,0xb102ffff,0x03bfffff,0xffffffb3,0xffd30019,
    0xf503bfff,0x7ffffe41,0x7f5c01ce,0x7ff542df,0xffb8001e,0xf3006fff,
    0x7ffe4005,0xf7000fff,0x800dffff,0x3ffe02f9,0xf7000fff,0x3ff20007,
    0x7ffdc5ff,0xffc806ff,0x7fe404ff,0xd93004ff,0xffffffff,0x44f9805d,
    0xffffffc8,0x0001cfff,0x23fffffb,0x5ffffffc,0x3fffffb0,0x3ffffff2,
    0x100dd005,0x6f7c00df,0x02ffffff,0xfffffbdf,0xff98005f,0x3b660002,
    0xe9801def,0x0dffffff,0x01bb9800,0x00155100,0x017510a0,0x8006aa20,
    0x8000aab9,0x81801ba8,0x8000ba98,0x00008801,0x1bffffee,0x26003ec0,
    0x03ffffff,0xdfffff70,0x007f4400,0x0bfffff9,0x4000df30,0x9afffff9,
    0x7ffffefb,0xbfffd500,0x3ffae213,0x310002ef,0x4003fd75,0x654c405e,
    0x100001ab,0x20000155,0x00000aa8,0x057002a8,0x02ea2140,0x00ba8850,
    0x00013100,0x2e600000,0x0000001b,0x00000000,0x00000000,0x00000000,
    0x00000000,0x6fffffb8,0x8005f980,0x0ffffffd,0xfffffb80,0x0ffd1006,
    0x9fffffd0,0x000ffcc0,0x3fffff20,0xffffcaff,0x3f6e001f,0xffffffff,
    0x6c00003d,0x00044007,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x1ffffff2,0x20017fa0,0x4ffffffb,0xfffffc80,0x3fee200f,0xffd8806f,
    0xdbbdffff,0x00001fff,0x23fffffb,0x5ffffffc,0x65d54400,0x00000aab,
    0x00000950,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffffff98,
    0xfffd503f,0xfffc8005,0x2603ffff,0xffffffff,0xffeccaac,0x2a005fff,
    0xfffffffe,0x800003ef,0x00000aa8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x22000000,0xffffffee,0xf93effff,0x0ddfffff,
    0x7fffff54,0x11ffffff,0xffffffdd,0xffffffff,0x09ffffff,0x79975100,
    0x00000035,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80193000,
    0x664402c8,0xc98002cc,0x40001ccc,0x00999998,0x98000000,0x88009999,
    0x76c0005b,0x99998804,0x33310000,0x30000013,0x10013333,0x00015bb5,
    0x4c00276c,0x710001cd,0x7754000b,0x4ccccc00,0x99930000,0x99300039,
    0x98000399,0x0001cccc,0x02666660,0x04cccc40,0x26660000,0x0b980099,
    0x26001b88,0x000b880b,0x024072ea,0x6e5d4400,0x55555542,0xaaaaaaaa,
    0x80ffc42a,0x7e401fe9,0x4000ffff,0x005ffffe,0x2ffffe40,0x3bf6e600,
    0x3e60001d,0x2a01ffff,0x20007ffd,0xfa800ffb,0x8000ffff,0x00fffffa,
    0x3ffe6000,0x7fd401ff,0x8000ffff,0x22000ffb,0x005feefe,0x001fff6a,
    0x5c027fc4,0x0006ffff,0x00bffffd,0x0dffffd0,0xffffe800,0xff300006,
    0x2a003fff,0x000fffff,0xfffff300,0x1fffb801,0x200fffe6,0x3ea1fffc,
    0xffd803ff,0x01ee2eff,0xadffd980,0xffffff80,0xffffffff,0x42ffb84f,
    0x7cc04ffa,0x003fffff,0x3fffffee,0x3ffe0002,0x7fdc005f,0x004fffcb,
    0x03ffff90,0x1ffffba6,0x017fcc00,0x05ffff50,0x3fffea00,0x3f200003,
    0x7cc01fff,0x04fffebc,0x0017fcc0,0x01fa87ee,0x3ffff74c,0x00efc800,
    0x01ffff90,0xfffffb80,0x3fee001f,0x0002ffff,0x5ffffff5,0xfff70000,
    0xffa8003f,0x900002ff,0xf003ffff,0x7fecbfff,0x7ffc407f,0x1bfff65f,
    0xffffff90,0x000dfdff,0x403bffd5,0xfffffff8,0xffffffff,0x2e7ffd02,
    0x7ec00fff,0x00ffffff,0xffffff88,0xff30006f,0x7e4001df,0x13fffa3f,
    0x07fffa00,0x003fff40,0xa8005fe8,0x20005fff,0x0005fffa,0x007fffa0,
    0x0dfff036,0x8005fe80,0x2005d84e,0xa8007ffe,0x7e4001ff,0x3e2003ff,
    0x06ffffff,0xffffff10,0x3fa000df,0x006fffff,0x01fffe80,0x0bfff500,
    0x3fffe000,0xbffff001,0x203fffec,0x3a5ffff8,0x3e207fff,0xffffffff,
    0x7ec003ff,0xffa803ff,0xffffffff,0x2e07ffff,0x3fffefff,0x457ffd40,
    0xfc804ffe,0x2ffe98ef,0x0effc800,0x87ffea00,0x000ffffc,0x8007ffe6,
    0xb8007ffe,0xf70000ff,0x5c0001ff,0x80000fff,0x0001fff9,0xb800fff6,
    0x3f8000ff,0x3fa006c8,0x7fc4007f,0xdffb0004,0x477fe400,0xc802ffe9,
    0xffe98eff,0x77fdc002,0x003ffe89,0x00bffe60,0x01fff700,0x1fff9800,
    0x8bfff200,0xc804fff9,0x3fea1fff,0x54be603f,0x05fffffd,0x0ffffa20,
    0x7ffffe40,0xffffffff,0x7fff404f,0xefe806ff,0x1007fec0,0x7f441bff,
    0x0eff8006,0x0ffff400,0x005ffff9,0x20017fe4,0x4c007ffe,0x5c0003ff,
    0x5c0002ff,0xc80002ff,0x260002ff,0x3e6003ff,0x8d90003f,0x3fa003f8,
    0x77e4007f,0x3ff60000,0x0dff8800,0xf101bfa2,0x37f441bf,0x41bff100,
    0x20006fe8,0x00002ffb,0x80005ff7,0x98002ffc,0x001b880b,0x06e202e6,
    0x9b510b30,0x7ffc4001,0x3ffa004f,0xeeeeefff,0x5402fffe,0x402fffff,
    0x9f900dfb,0xd8827ec0,0x3be6002f,0x7ffd4000,0x3fffea2f,0x00bfa001,
    0x001fffa0,0x20000bfd,0xb80005fc,0xfe80005f,0xff930002,0x3fa003df,
    0x3be60005,0x74007ebb,0x3ea007ff,0xfd80001f,0x104fd803,0x27ec05fb,
    0x32007fb0,0x00ff604f,0x00017f40,0x00017ee0,0x000005ff,0x00000000,
    0xffe80000,0x3fe2005f,0x07ff800b,0x00bdddb0,0x01d70079,0x0b900591,
    0x40006540,0x223ffffc,0x22005ffe,0xffd0002c,0x07fdc00f,0x00970000,
    0x00012e00,0x54000591,0x00fffffe,0x00007fdc,0x0033ff26,0x200fffd0,
    0x00004fe8,0x059100f2,0x0b220b90,0x32201720,0x8005c802,0x000002c8,
    0x64400097,0x00000002,0x00000000,0x7fffe400,0x007ea001,0x0002ffd4,
    0x00000000,0x80000000,0x984ffffd,0x40000001,0xf3007ffe,0x0000007f,
    0x00000000,0x7f540000,0x3fe603ff,0x00200003,0x007ffe80,0x00001df9,
    0x00000000,0x00000000,0x00000000,0x80000000,0x09999998,0x26666662,
    0x37953000,0x5e54c000,0x3ffea001,0x0154006f,0x2005ff90,0x0009bca9,
    0x015e5d44,0x006f2a60,0x2bcba880,0xdffffd00,0x32a60000,0x7ff4001b,
    0x00bfd007,0x06f2a600,0xccba9800,0x7530000a,0x20001599,0x3a04fff8,
    0x5300005f,0x40015997,0xfa807ffe,0xa980002f,0x4c0009bc,0x40009bca,
    0x00accba9,0x4cccccc4,0x26666620,0x4cccc409,0x26662099,0x4cc40999,
    0x26209999,0x00099999,0x20137953,0x4ffffffc,0x3fffffea,0x77ffcc06,
    0x3001dffe,0xbffddfff,0xffffd803,0x7c000003,0xffe8807f,0x8801efed,
    0xefffeffe,0x77ffcc01,0x1001dffe,0xdfffdffd,0xffffe803,0x7fcc0007,
    0x01dffeef,0xb807ffe8,0x4c0000ff,0xdffeefff,0xfdff7001,0x4007ffff,
    0xffffeffb,0xffb0003f,0x003fee05,0xffdff700,0x3a007fff,0x7f4407ff,
    0x7f440004,0x801efedf,0xefedffe8,0xfeffb801,0x3203ffff,0x24ffffff,
    0x6ffffffa,0x7fffffe4,0x3ffffea4,0x7fffe46f,0x3ffea4ff,0x74406fff,
    0x01efedff,0x09fffff1,0x40dffffd,0x3ee2fffa,0x7fd403ff,0x0fffee2f,
    0x47ffffcc,0x000acdca,0x405ffa80,0xff10effa,0x77fcc05f,0x03ffff71,
    0xfb8bffea,0x7fcc03ff,0x3ffff71e,0x7ffffec0,0xfff50000,0x01fffdc5,
    0xf301fffa,0xfa80007f,0x3ffee2ff,0x837fa603,0x402ffffb,0x3ee0dfe9,
    0x55102fff,0xf301df70,0x74c0007f,0x3ffee0df,0x7ffe802f,0x00077e40,
    0x221dff50,0x3ea02fff,0x5fff10ef,0xb837fa60,0x2202ffff,0xe84fffff,
    0xf886ffff,0xfe84ffff,0xff886fff,0xffe84fff,0x3fea06ff,0x05fff10e,
    0x213ffffa,0x706ffffc,0xffd0bfff,0x3ffee05f,0x82fffe85,0xfffffffc,
    0x002fffff,0x3017fe40,0xffb85fff,0x2fff980f,0x21bfffe2,0xfe85fffb,
    0xfff302ff,0x37fffc45,0x3fff6666,0x00999aff,0xe85fffb8,0x3fe02fff,
    0x17fa00ff,0xbfff7000,0x205fffd0,0xffe83fff,0x3ffe01ff,0x1ffffe83,
    0x3a1dffc8,0x00bfd01f,0xe83fff80,0x7c01ffff,0xff300fff,0x7fcc0005,
    0x07ffdc2f,0x2e17ffcc,0xfff80fff,0x1ffffe83,0x13ffffa0,0x41bffff2,
    0xc84ffffe,0xfd06ffff,0xff909fff,0x3fe60dff,0x07ffdc2f,0x427ffff4,
    0xf06ffffc,0xff707fff,0xffff01ff,0x1ffff707,0xcffffff8,0x4fffffca,
    0x03ffe000,0xf987ffe8,0x7ffe84ff,0x40ffffe8,0xfb83ffff,0xffe80fff,
    0x0ffffe87,0xfffffff1,0x09ffffff,0x707ffff0,0x64c1ffff,0x0cdffffd,
    0x00007fdc,0x2e0ffffe,0x7d40ffff,0xfffd87ff,0xffff504f,0x09ffffb0,
    0x9fdfffd3,0x003fee01,0x87fffa80,0x984ffffd,0xcdffffdc,0x0013fa20,
    0xf30fffd0,0xfffd09ff,0xa89fff30,0xffd87fff,0x3ffa04ff,0xfffc84ff,
    0xffffd06f,0xdffff909,0x13ffffa0,0x41bffff2,0xff987ffe,0xffffe84f,
    0x6ffffc84,0x82ffffb8,0x5c3ffffa,0xfa82ffff,0x3fe23fff,0x7fd43fff,
    0x98001fff,0x3fee05ff,0xffff886f,0x21bffea0,0x7dc7fffb,0xffa82fff,
    0x7ffd43ff,0x27fffb86,0xfffffff8,0x04ffffff,0x417fffdc,0x223ffffa,
    0x19999999,0x6c01ffc4,0xffffb84f,0x3ffffa82,0x217fffec,0xb05ffffc,
    0xfc85ffff,0x26205fff,0x1ffc401a,0x7ec27ec0,0x7fe42fff,0x999885ff,
    0x7e419999,0x6fed440f,0x6fffb80a,0x20ffff88,0xf886fffb,0x3ff60fff,
    0x7ffe42ff,0x3fffa05f,0xffffc84f,0x9ffffd06,0x0dffff90,0x213ffffa,
    0xb86ffffc,0xff886fff,0x7fff40ff,0xffffc84f,0x1fffff86,0x45ffffa8,
    0xa81fffff,0x3e65ffff,0xff83ffff,0xc8006fff,0x3ffa02ff,0xffff885f,
    0x21bfffa1,0x7fc3ffe8,0xffa81fff,0x7fff45ff,0x23ffe886,0xfffeeee8,
    0x03eeefff,0x40fffffc,0x005ffffa,0x2e017fa0,0xffff84ff,0xffffa81f,
    0x0ffffd45,0x417ffff2,0x641ffffa,0x0005ffff,0xf700bfd0,0xffff509f,
    0x5ffffc83,0x17fcc000,0x7ffffff4,0x42ffff40,0x3a1ffff8,0xff885fff,
    0x3ffea1ff,0x7fffe41f,0x3ffffa05,0x6ffffc84,0x09ffffd0,0x20dffff9,
    0xc84ffffe,0xfe86ffff,0xfff885ff,0x7ffff41f,0x6ffffc84,0x0fffffc4,
    0x137fffcc,0x303fffff,0x7d4dffff,0xfc82ffff,0x4000ffff,0x3fe00fff,
    0xfff884ff,0xdffff12f,0x3fe20440,0xff981fff,0x3ffe26ff,0x2002206f,
    0x004ffffd,0x07ffffe2,0x01bfffe6,0x2007fdc0,0x7c44fffa,0xf981ffff,
    0xeeb86fff,0x7fffec43,0x10fbae05,0x00bffffb,0x801ff700,0xd704fffa,
    0xfffd887d,0x3a20005f,0xfdcfb84f,0x7ffc4fff,0xffff884f,0x213fffe2,
    0x5c2ffff8,0x7fec43ee,0x3ffa05ff,0xfffc84ff,0xffffd06f,0xdffff909,
    0x13ffffa0,0x21bffff2,0xf884ffff,0x7ff42fff,0xfffc84ff,0x7fffd46f,
    0xffff980f,0xfffff50f,0xfffff301,0x3ffffee1,0xfffff982,0x17fe6002,
    0xffffff98,0xffffffff,0x0fffff34,0xfffffa80,0xfffff980,0x0fffff30,
    0xffff5000,0x7ffd4009,0xfff980ff,0x7c4000ff,0x7ffcc03f,0x7fffd44f,
    0xffff980f,0xffb8800f,0x4005ffff,0xffffffb8,0x7fc40005,0x7fffcc03,
    0x3fee2004,0x0005ffff,0x1d103ff2,0xf33fffcc,0xffffffff,0x269fffff,
    0xffffffff,0x04ffffff,0xfffffb88,0x3fffa05f,0xffffc84f,0x9ffffd06,
    0x0dffff90,0x213ffffa,0x4c6ffffc,0xffffffff,0x44ffffff,0xc84ffffe,
    0x7dc6ffff,0xf980ffff,0xff72ffff,0xff301fff,0x3fea5fff,0xff882fff,
    0x32003fff,0x3fea02ff,0x99999eff,0xff509999,0x5c001fff,0x980fffff,
    0xf52fffff,0x0001ffff,0x03ffff88,0x3ffffee0,0xfffff980,0x02ff4002,
    0x13ffefe2,0x01fffff7,0x05fffff3,0x7e5ffdc4,0x71005fff,0xffff97ff,
    0x5fe8000b,0x7ffdfc40,0xbffb8804,0x005ffffc,0x4005ff30,0x3fea5ffe,
    0x99999eff,0xff509999,0x33333dff,0x44013333,0xfffcbffb,0x3fffa05f,
    0xffffc84f,0x9ffffd06,0x0dffff90,0x213ffffa,0x546ffffc,0x999effff,
    0x40999999,0xc84ffffe,0x7dc6ffff,0xf980ffff,0xff72ffff,0xff301fff,
    0x3fe25fff,0xff883fff,0x3e003fff,0x3fea00ff,0x7dc007ff,0x2001ffff,
    0x80fffffb,0x72fffff9,0x003fffff,0x03fffd00,0x7ffffdc0,0xfffff980,
    0x03fee002,0x9fff5e88,0x0fffffb8,0x2fffff98,0x325fff50,0xa805ffff,
    0xfff92fff,0x7dc000bf,0x7d7a200f,0x7fd404ff,0xbffff92f,0x017fa000,
    0x7d45ffd0,0x54007fff,0x0007ffff,0xfc97ffd4,0x3fa05fff,0xffc84fff,
    0xfffd06ff,0xffff909f,0x3ffffa0d,0x6ffffc84,0x03ffffd4,0x4ffffe80,
    0x46ffffc8,0x80fffffa,0x51fffffa,0x501fffff,0x7c3fffff,0xff04ffff,
    0x26005fff,0x7fcc05ff,0x26000fff,0x002fffff,0x03ffffea,0x47ffffea,
    0x02fffff9,0x0fffb800,0x3fffea00,0xffffa80f,0x7ff1001f,0x3ffe6d80,
    0x7ffffd44,0xfffffa80,0x0fffec41,0x40bffff9,0x321fffd8,0x0005ffff,
    0x6d807ff1,0x6c413ffe,0x3ff21fff,0xfc8005ff,0x3fe2000f,0x7ffffcc6,
    0x3ffe6000,0xd88000ff,0x3ff21fff,0x3ffa05ff,0xfffc84ff,0xffffd06f,
    0xdffff909,0x13ffffa0,0x31bffff2,0x001fffff,0x09ffffd0,0x88dffff9,
    0xa80fffff,0xf10fffff,0xf501ffff,0x7ec1ffff,0xfff05fff,0x3f2001ff,
    0x7ffc402f,0x3e2002ff,0x2005ffff,0x80fffff8,0x10fffffa,0x00bfffff,
    0x3ffd4440,0xffff1240,0xffff501f,0x1bfa001f,0x7ffc1d90,0x7ffffc44,
    0xfffffa80,0x227fff40,0x205ffffc,0x7e44fffe,0xd0005fff,0x20ec80df,
    0xffd04fff,0xffffc89f,0x17fcc005,0x103fee00,0x005fffff,0x17ffffc4,
    0x27fff400,0x817ffff2,0xc84ffffe,0xfd06ffff,0xff909fff,0x3ffa0dff,
    0xfffc84ff,0x7fffc46f,0xffd8002f,0xfffc84ff,0xfffff86f,0x6ffffa81,
    0x40fffffc,0x646ffffa,0xff05ffff,0x7f400dff,0xffff800f,0x3fe0806f,
    0x2002ffff,0xa81fffff,0x7fc6ffff,0x4002ffff,0x5fffffda,0xfff1b620,
    0xfff503ff,0x3fee00df,0x266bee00,0x7c1cfff9,0xfa81ffff,0x7fe46fff,
    0x7ffe41ff,0xffff905f,0x5ffffc83,0x00ffb800,0x3e666bee,0x7fe41cff,
    0x7ffe41ff,0x2ff4005f,0x407fe600,0x806fffff,0x1bffffe0,0xffffc820,
    0x2ffffe41,0x09ffffb0,0x20dffff9,0xc84ffffd,0xfb06ffff,0xff909fff,
    0xffff0dff,0xfd8100df,0xffd85fff,0xfffb86ff,0xffffb82f,0x17fffdc3,
    0x21ffffdc,0xf07ffff9,0x26009fff,0xff9005ff,0x16c05fff,0x1ffffff9,
    0xfffb8a20,0xffffb82f,0x7ffffe43,0x7dc5100f,0xefffffff,0x5ffedccd,
    0x417fffdc,0x803ffffb,0x7e403ff8,0xffffffff,0x17fffdc7,0x21ffffdc,
    0x642fffff,0xff05ffff,0xffc85fff,0x7c4005ff,0x7ffe403f,0x47ffffff,
    0x642fffff,0x2005ffff,0x22000ffc,0xff9040ee,0x16c05fff,0x05fffff9,
    0xfffff16c,0x5ffffc85,0x17ffff60,0x41bffff6,0xd85ffffd,0xfb06ffff,
    0xffb0bfff,0xfff90dff,0x216c05ff,0x5c5ffffc,0xf06fffff,0xff907fff,
    0x3fffe0df,0x06fffc83,0x883ffff9,0x9000ffff,0x3e6007ff,0xc82fffff,
    0x7ffffc46,0x2074c0df,0xfc83ffff,0xfff886ff,0x74c0dfff,0x7f4c37a0,
    0xffffffff,0xffff83ff,0x06fffc83,0xf900dfb0,0xffffffff,0x07ffff0f,
    0xf88dfff9,0xd99effff,0x886fffff,0x99efffff,0x06fffffd,0x64037ec0,
    0xffffffff,0x3fffe27f,0xfffd99ef,0xff3006ff,0x40ee8005,0x3fffe64c,
    0x4c6c82ff,0x82ffffff,0x3fffe26c,0xfffd99ef,0x3ff206ff,0x7ffdc5ff,
    0xfff906ff,0xffffb8bf,0xffff906f,0xfffffb8b,0xfffff986,0xf986c82f,
    0xfb9affff,0x507ffffe,0xfff0dfff,0x3ffea05f,0x02ffff86,0xa89fffd1,
    0x3a001fff,0x3f2000ff,0xcbdfffff,0xfffb81fe,0xfeceffff,0x86fffa81,
    0xf702ffff,0x9dffffff,0x117cc3fd,0xffffffff,0x3ea0dfff,0xffff86ff,
    0x00ffb802,0x413ffe00,0xff86fffa,0xfffe82ff,0xffdeffff,0x7f45afff,
    0xdeffffff,0x05afffff,0x0000ffb8,0x3fa13ffe,0xdeffffff,0x05afffff,
    0x36002ff4,0x3fffffff,0x7fffffe4,0xc81fecbd,0xbdffffff,0x7ff41fec,
    0xfdefffff,0x985affff,0xb9afffff,0x07ffffef,0x35fffff3,0xfffffdf7,
    0x3ffffe60,0xfffefb9a,0xffff907f,0x3fd97bff,0x3fffff20,0xffffcaff,
    0x7fff501f,0x200fffe4,0x3f23fffa,0x7f4401ff,0x3ffd12ff,0x037fcc00,
    0x7ffffe40,0x2e01ffff,0xffffffff,0x3ffea02f,0x007fff23,0xfffffff7,
    0x33bd05ff,0xffff7dfb,0x5405ffff,0x3ff23fff,0x3ff8801f,0x27ffc000,
    0x647fff50,0xff701fff,0x3e29ffff,0x5c1fffff,0x14ffffff,0x03ffffff,
    0x0003ff88,0x7dc27ffc,0xf14fffff,0x403fffff,0x36000ffc,0xffffffff,
    0xfffffc81,0x3201ffff,0xffffffff,0xffffb81f,0xffff14ff,0x3ff203ff,
    0xfcafffff,0xf901ffff,0x95ffffff,0x203fffff,0xfffffffc,0x1fffffca,
    0xffffff90,0xfd803fff,0xff91ffff,0x260bffff,0xdffffffe,0xfffd3000,
    0x4001bfff,0xcffeffda,0x1ffe4001,0xffffb800,0xe9801cef,0x01dfffff,
    0xfffffe98,0xfd3000df,0x203bffff,0x30efffe9,0x03dffffd,0xfffffd30,
    0x3f6001bf,0xfff80006,0x7fff4c04,0x5c00dfff,0x7542dffe,0xfd701eff,
    0xffea85bf,0x06fd801e,0x04fff800,0xa85bffd7,0x2601effe,0x3ee002ff,
    0x7fffffff,0x3ffffee0,0xffb801ce,0x201cefff,0x542dffeb,0x6c01effe,
    0xf91fffff,0x20bfffff,0x91fffffd,0x0bffffff,0x47fffff6,0x5ffffffc,
    0xdfffff70,0x2aa20039,0x5cc00000,0x5cc0001b,0xb980001b,0x332e0001,
    0x5d440000,0x37510000,0x0ddcc000,0x03751000,0xb9805cc0,0x7730001b,
    0x01330003,0x4c000000,0x018001bb,0x00300088,0x04cc0011,0x06000000,
    0x26200220,0x00000001,0x20001751,0x0c000ba8,0x51000440,0x22000015,
    0x100000aa,0x40000155,0x00000ba8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x54000000,0xaaaaaaaa,0x1d880aaa,
    0xa8801220,0x001acdcb,0x9813332e,0x10009999,0x000aa035,0x91037951,
    0x4de54c00,0x00298000,0x01b60176,0x000e6dcc,0x55555500,0x017b7055,
    0x0b880b98,0x80e5d400,0x6e54000c,0x0db002cd,0xa8000d90,0x02aaaaaa,
    0x37b72a20,0xa98000bc,0x0000accb,0x391002a2,0x6dc47700,0xddc9800b,
    0x9999801c,0x32a20999,0x3fd40001,0x9bddb930,0x2aaaa203,0xaaaaaaaa,
    0x5555441a,0xaaaaaaaa,0x7ffcc01a,0xffffffff,0x83df700f,0xfb800efb,
    0xdfffcdff,0x7fffcc01,0xffff903f,0xbfff100b,0x4406ffe8,0xefedffeb,
    0xd100ff70,0x03dfdbff,0x00ffff40,0x9f7027dc,0xfceffc80,0x40000dff,
    0x7fffffdc,0x81fffff4,0x3e61fffc,0xffb003ff,0x07dc5dff,0xffffea80,
    0x7dc01eff,0x0013ee04,0xfffffd90,0xdffb100f,0x09fffd77,0x3ffbfee0,
    0xc8003fff,0x7f402fff,0x745fd102,0xb100ffff,0x19ffb9ff,0x3ffffa20,
    0xfffe8aff,0xd8000cff,0xbdfd985f,0x41dfffff,0xffffeca8,0x41bdffff,
    0xffffeca8,0x01bdffff,0x7fffffe4,0x404fffff,0x2eeacffa,0x0efff880,
    0x80bfff62,0x07fffffd,0x003ffff2,0x2a1ffff9,0xd102ffff,0x7fec1dff,
    0x7d407ffd,0x5fff10ef,0xbffff500,0x7bfff300,0x405fffb9,0x3fe64ffc,
    0xd80001ef,0x3e67ffff,0xf80fffff,0x3ff65fff,0xfffb807f,0x7fefffff,
    0xfffff700,0x401fffff,0xdbbdfff9,0x00002fff,0x80fffffb,0x220fffe8,
    0x2604fffe,0x3fee0dfe,0x3e2002ff,0x7cc06fff,0x337f4c3f,0x107fffff,
    0x7fd45ffd,0x3ffee00e,0xffefebff,0xf8004fff,0x10ffc42f,0x01fffff9,
    0x3fffffa2,0xffd1001f,0x4003ffff,0xffffffff,0x9801ffff,0x3a005fff,
    0xff883fff,0xfffa80ff,0x3603ffff,0x7e403fff,0xfff50fff,0xffff105f,
    0xfffff883,0x0bffe607,0xb801fff7,0x9007ffff,0xffffffff,0x07ffdc0b,
    0x003ffff6,0xfffff700,0x7fffffdc,0x2ffffc43,0xf00ffffb,0xffffffff,
    0xff7007ff,0xffffffff,0xfffc80bf,0x006fffff,0x3fffee00,0x3fffe207,
    0x2ffffc84,0xfd07fff0,0x2a003fff,0x400fffff,0xfff54ffd,0x7ffffdc3,
    0x437ff446,0x3e206fff,0x30dfffff,0x005ffffd,0x3fa07fd4,0xffffe81f,
    0x3ffff206,0x7fe4006f,0x26006fff,0xffffffff,0xd8806fff,0xc801ffff,
    0xfb00ffff,0xbffd09ff,0xd803ffee,0x7fc405ff,0x83fff45f,0xfb06fffd,
    0x7f40ffff,0x4fff987f,0x27fffc40,0xffffe880,0xff500eff,0xffff30ff,
    0xffa8000b,0x3ffe27ff,0xffc84fff,0x0fffea1f,0x3f6a5f10,0x8805ffff,
    0xffc98bdf,0x400fffff,0xeffffffd,0xeeed8000,0xfffffeee,0x7ffdc0ee,
    0xffffb83f,0x87fffa85,0x004ffffd,0x2017fffe,0xfffefff9,0x7ffffdc5,
    0x427ffdc5,0xf102fffe,0x981fffff,0x000fffff,0xfff98bf9,0xfffffb84,
    0xfffff701,0xfffb800d,0x3f2006ff,0xcccccccc,0x3f2202cc,0x02fffa9d,
    0x80fffff4,0x7dc6fffc,0x027fd43f,0x71003ff6,0x7cc0aa03,0xff904fff,
    0x3fee0fff,0xffff886f,0x067f5c00,0x3fffee00,0x37fff404,0x0fffffc4,
    0xffff5000,0xfffffb8f,0x71017304,0x510b3003,0x1760019b,0x7fffffc4,
    0xffffb801,0xddb0000c,0xffffdddd,0xffd81ddf,0xfffb83ff,0xffffd86f,
    0x2ffffe42,0x01bfd500,0x3fffff60,0x7fffd40f,0x1ffffc4f,0xf037ffec,
    0x3a07ffff,0xf004ffff,0x7fffb87f,0x3fffffa8,0xdfffff70,0xffffb800,
    0x017e006f,0xb0bbe200,0x3e205fff,0xf904ffff,0x17fc4fff,0x7400ff98,
    0x2000003f,0x703ffffb,0x3a0fffff,0xff885fff,0x000001ff,0x3fe00310,
    0xffff06ff,0x7d40009f,0x36307fff,0x0000003f,0x01220000,0x01fffff9,
    0x00000c40,0x0fffff70,0x417ffff4,0xa86ffffa,0x7e41ffff,0x00005fff,
    0xfffff980,0xfffff883,0x0bfffea2,0x407ffff2,0x902fffff,0x300bffff,
    0xfffa81ff,0x7fffcc0f,0xffff703f,0xffb800df,0xf5006fff,0x40a00005,
    0xf00ffff9,0x320fffff,0x03264fff,0xc8807b10,0x36000002,0xf702ffff,
    0x3fe0ffff,0xfff884ff,0x0000002f,0x7fffcc00,0xfffffd06,0x7ffd4000,
    0x00ffc07f,0x00000000,0x3ffe2000,0x0000006f,0x7fffdc00,0x3ffffa07,
    0x5ffffa82,0xd887dd70,0x0005ffff,0xbddd9000,0x07ffffc0,0x905ffff7,
    0x3e07ffff,0xf702ffff,0xf900ffff,0x21bffe0d,0x01fffffa,0x0dfffff7,
    0xfffffb80,0x379fb006,0x36000001,0xffb05fff,0xffd0bfff,0x0000003f,
    0x9bca9800,0x3ffffe00,0xfffff701,0xffffff30,0xffffffff,0x9bca9809,
    0x5e54c000,0xffff7009,0x3ffff60f,0x565c401f,0x0fffff50,0x54c02fd4,
    0x0000accb,0x01599753,0x3ffe2000,0x9753002f,0x22000159,0xfff70acb,
    0x7fffc0ff,0xffffb82f,0x3fee2001,0x2005ffff,0x002bcba8,0x7fffd800,
    0x417fffec,0xf05ffffc,0x2e05ffff,0x400fffff,0x40aa03fe,0x207ffffb,
    0x06fffffb,0x7ffffdc0,0xffff8806,0x8003efff,0xfddffdb9,0xffb83fff,
    0xf10dffff,0x26660dff,0x26009999,0x00999999,0x7f6fff44,0xffff981e,
    0xffff701f,0xdffff50f,0x33333333,0x3ffa2013,0x8801efed,0x1efedffe,
    0x07ffffc8,0x03fffff9,0x3fffffae,0x07ffffaa,0xffb807f6,0x03fffffe,
    0x3ffbfee0,0x80003fff,0xb803fffa,0xfffffeff,0x3ffae003,0xfffb9fff,
    0x3fffe07f,0x3fffe82f,0x97ff7100,0x100bffff,0xdfffdffd,0x26666603,
    0xfff70099,0x2ffffe8b,0x07ffffc8,0x205fffff,0x01fffffa,0x40007fe6,
    0x204ffffd,0x06fffffb,0x7ffffdc0,0xffffa806,0x02efffff,0x75bfff50,
    0x30fffffd,0xdfffffff,0x2209ff93,0x2ffffffe,0xfffffd10,0x77fd405f,
    0xa85fff10,0x701fffff,0xf50fffff,0x4000ffff,0xff10effa,0x77fd405f,
    0xc85fff10,0xb80fffff,0xa82fffff,0xfdabffff,0x887ffffd,0xbfd302fd,
    0x17fffdc1,0xb837fa60,0x0002ffff,0x26017fec,0x3fee0dfe,0xffb802ff,
    0xfdfdaaef,0x3fe07fff,0x3fae2fff,0xff5000be,0x3ffff25f,0x8f7fcc05,
    0x441ffffb,0x2ffffffe,0xf87fff30,0xfc82ffff,0xff80ffff,0xff502fff,
    0x7dc03fff,0xfff10006,0xfffb80df,0x7dc006ff,0xd806ffff,0xffffffff,
    0x2a01efff,0x3e20ffff,0xfa82ffff,0xffffffff,0xfffa802f,0x7fd402ff,
    0xff302fff,0x0fffb85f,0x07ffffea,0x43ffffdc,0x00fffff9,0x42fff980,
    0xf980fffb,0x7ffdc2ff,0x3ffffea0,0xfffffb81,0x17fffcc2,0x1fffffee,
    0x7fc03dd3,0xffffe83f,0x20fffe01,0x001ffffe,0x809fff90,0xffe83fff,
    0x3fe601ff,0x7ffe42ff,0x3ffe07ff,0x3fff22ff,0x7fec402d,0x3ffff21f,
    0x8bffe605,0x506ffff8,0x205fffff,0x3e21fff8,0xfc82ffff,0xff81ffff,
    0xff502fff,0x7f401fff,0xfff90004,0xfffb801b,0x7dc006ff,0x4406ffff,
    0xffffffff,0x80ffffff,0xd83ffff8,0xf505ffff,0xdfffffff,0xffff1001,
    0xfff8805f,0xfffd02ff,0x4c9fff30,0x702fffff,0xf10fffff,0x0005ffff,
    0xff30fffd,0x0fffd09f,0x7cc9fff3,0xfb84ffff,0x3a21ffff,0xffb06fff,
    0x402d8fff,0xfd87fffa,0xff504fff,0xffffb0ff,0x7f5c4009,0xa80effff,
    0xffd87fff,0xfff104ff,0x3fffa0df,0x3fffe07f,0x6fffb82f,0x913fffa0,
    0x740bffff,0xfffe87ff,0xffff880f,0x31ffa02f,0x905fffff,0xf03fffff,
    0x2e05ffff,0x2206ffff,0xff0001ff,0x3fee007f,0x5c006fff,0x406fffff,
    0xfffffffb,0x5fffffff,0x81ffffc8,0x207ffffb,0xfffffff9,0xfff801ff,
    0xfff802ff,0xfffb82ff,0x0ffff886,0x05fffff1,0x41ffffee,0x806fffff,
    0x21bffee0,0x2e0ffff8,0xff886fff,0x3fffa0ff,0xffffc86f,0x3fffee0f,
    0xfffff504,0xffffb000,0x5ffffc85,0x85ffffb0,0x005ffffc,0xfffffff1,
    0xffd83fff,0x7ffe42ff,0xffff905f,0x3fffee07,0x3ffffe07,0x07fffd02,
    0xc83ffff9,0xf505ffff,0xfff70dff,0x7ffffc0f,0xf717f202,0xf905ffff,
    0xff05ffff,0x3ee05fff,0x3ee05fff,0x3ff70007,0x7fffdc00,0x7fdc006f,
    0x22006fff,0xffffeba9,0x7fc3ffff,0xffa81fff,0x3f200fff,0xffffffff,
    0x7ffffc01,0xfffff802,0x85fffe82,0x361ffff8,0xf704ffff,0x3f20ffff,
    0x3602ffff,0x217fffa2,0x3a1ffff8,0xff885fff,0x3ffe61ff,0x7ffec3ff,
    0x7fffe47f,0xfffff503,0xffff5000,0x5ffffc83,0x83ffff50,0x005ffffc,
    0x3ffffaa2,0x7fd45fff,0x7ffe41ff,0xffffb05f,0x3fffee05,0x3ffffe07,
    0x3ffff902,0x42fffff8,0xd05ffffc,0xfd10dfff,0x7fffc07f,0x713ee02f,
    0x905fffff,0xf05fffff,0x3605ffff,0x3603ffff,0x3fd0004f,0xffffb800,
    0x7fdc006f,0x40006fff,0xffffffc9,0x3ffffe65,0xfffffa80,0xfceffa81,
    0x0effffff,0x0bffffe0,0x0bffffe0,0x2213fffe,0x3ea2ffff,0xffb07fff,
    0x3fe60fff,0x6c82ffff,0x4427fffc,0x3fe2ffff,0xfff884ff,0x7fffdc2f,
    0xfffffcef,0x7ffff45f,0xfffff502,0x0fbae000,0x0bffffb1,0x3621f75c,
    0x0005ffff,0xfffffff5,0x443eeb83,0xf05ffffd,0x2e03ffff,0x3e07ffff,
    0xf902ffff,0x7fc47fff,0xfd99efff,0xf886ffff,0x02206fff,0x05fffff0,
    0x3fea1fcc,0xffc82fff,0xfff80fff,0xffff04ff,0x0bfe201f,0x0007e200,
    0x1bffffee,0xfffff700,0x3a20000d,0x3ea7ffff,0xfa80ffff,0x7e42ffff,
    0xffff71ff,0x7fc07fff,0xff802fff,0x7fcc2fff,0xffffffff,0x7f44ffff,
    0x3f60dfff,0x3207ffff,0xbdffffff,0x3fe61fec,0xffffffff,0xff34ffff,
    0xffffffff,0xd309ffff,0xffbfffff,0xfff85fff,0xfff502ff,0x440000ff,
    0x5ffffffb,0x7ffdc400,0x20005fff,0x2ffffff9,0xffffb880,0xfff885ff,
    0xfff701ff,0x7fffc0ff,0xffff902f,0xfffffe8b,0xffffdeff,0x3ffe65af,
    0x7fc0007f,0x3e202fff,0x7ffffcc2,0x7ffffc82,0x9ffffff0,0x01ffffb8,
    0x4c001fea,0xfff70006,0xfb800dff,0x0006ffff,0x3ffffa20,0x1fffff71,
    0x5fffff50,0x2a37ffdc,0x06ffffff,0x00bffffe,0x50bffffe,0x333dffff,
    0x81333333,0xdfffffe8,0x7ffffcef,0x7ffffe40,0x7d41ffff,0x9999efff,
    0xf5099999,0x3333dfff,0x40133333,0xffa8aba8,0x7ffcc7ff,0xfff501ff,
    0x710000ff,0xffff97ff,0x3fee200b,0x05ffffcb,0x7fffd400,0x3fee203f,
    0x85ffffcb,0x01fffff9,0x40fffff7,0x902fffff,0xfb8dffff,0xf14fffff,
    0x543fffff,0x000fffff,0x0bffffe0,0xfff883f0,0xfffc82ff,0xfffff06f,
    0xfffb9df9,0x05fd807f,0x20009300,0x06fffffb,0x7ffffdc0,0x7c400006,
    0xfff70fff,0xfff501ff,0x7fff41ff,0xfffffa84,0xfffff00f,0xfffff005,
    0x7ffffa85,0x3ff62000,0xfff74fff,0xfff700ff,0xf5039dff,0xa800ffff,
    0x0007ffff,0x9ffffb00,0x2fffffa8,0x0fffff50,0x2fffa800,0x00bffff9,
    0x3f25fff5,0x80005fff,0x502ffffd,0x3ff25fff,0xfffa85ff,0xfff701ff,
    0x7fffc0ff,0xffff902f,0x5bffd70f,0x41effea8,0x01fffffb,0x3ffffe00,
    0xfff81402,0xfffc82ff,0xfffff05f,0xdffffd15,0x005ff007,0x5c000620,
    0x006fffff,0x37ffffdc,0x7fe40000,0x3ffffe66,0x7ffffa80,0x40ffffe2,
    0x02fffffd,0x005fffff,0x985fffff,0x000fffff,0x7dc1b980,0x26007fff,
    0x7fcc01ff,0x26000fff,0x000fffff,0x7fffc400,0x7fffcc0f,0xffff502f,
    0x3f62000f,0x3fff21ff,0x3ff6205f,0x3ffff21f,0xff980005,0x7fec41ff,
    0x3ffff21f,0xfffffa85,0xfffff701,0x17ffffc0,0x07ffffc8,0x00ee8806,
    0x05fffff3,0x7ffffc00,0xfffd0002,0xffff905f,0x3ffffe09,0x4002ea22,
    0x00000ffa,0xffffb800,0x05fed46f,0x17ffffee,0x3fea0000,0x07ffffc4,
    0x737fffd4,0x2a05ffff,0xf02fffff,0xf005ffff,0xf885ffff,0x0002ffff,
    0x3fffee00,0x05ff3007,0x5fffff10,0x7fffc400,0x5c00002f,0xf882ffff,
    0xf503ffff,0x2000ffff,0x7e44fffe,0x3fa05fff,0x7ffe44ff,0xff00005f,
    0x9fffd0ff,0x85ffffc8,0x02fffff9,0x40fffff7,0x702fffff,0x000bffff,
    0x7c403ff5,0x0005ffff,0x00bffffe,0x17fffe40,0x81ffffe4,0x002fffff,
    0x0002fe40,0xfffb8000,0x3ffe26ff,0x7fffdc3f,0x8800005f,0x7fff42ff,
    0xffffa81f,0x0bfffee4,0x07ffffc4,0x02fffff8,0x82fffff8,0x806fffff,
    0xfff70000,0x3ff600ff,0xfffff000,0x7ffc100d,0x000806ff,0x409fffd1,
    0x504fffff,0x000fffff,0xc83ffff9,0xf905ffff,0xffc83fff,0xd00005ff,
    0xfffc8bff,0x7fffe41f,0xfffff885,0xfffff703,0x17ffffc0,0x04ffff98,
    0xf807fe80,0x002fffff,0x05fffff0,0x7fcc16cc,0xfffc83ff,0xfffff00f,
    0x3ff80005,0x03971000,0xfffff700,0x37fffdcd,0x13ffffee,0x2002f260,
    0xfffc87fa,0xffffb82f,0x13fffe62,0x207fffe8,0x802fffff,0xc82fffff,
    0x202fffff,0xff70002d,0xff100fff,0x3ff2005f,0x8b602fff,0x02fffffc,
    0x3fa200b6,0x7fe405ff,0xfff706ff,0xfff000ff,0xfffc85ff,0xfffff05f,
    0x5ffffc85,0x88017710,0x7ffc0fff,0x7ffe42ff,0xffffb05f,0x3fffee0b,
    0x3ffffe07,0x7ffc9912,0x7fcc003f,0x7ffe401f,0x05100fff,0x40bffffe,
    0xfd87fffd,0xfffd84ff,0x3ffffe04,0x3fe60002,0xfff88000,0x7fdc003f,
    0x3fee6fff,0x7ffdc6ff,0x7fc402ff,0x17f404ff,0x41ffff44,0x7c46fffc,
    0xff105fff,0x7ffc05ff,0xfff802ff,0xfff982ff,0x06c82fff,0x3fffee00,
    0x5fff9807,0xfffff300,0xf98d905f,0xc82fffff,0xfffe8806,0xffff8803,
    0x7fffc42f,0x3e2000ff,0xd99effff,0x886fffff,0x99efffff,0x06fffffd,
    0x5403ffff,0x7ffc42ff,0xffd99eff,0xff306fff,0xff985fff,0x3fe07fff,
    0x9ffb2fff,0x0003fff2,0x8809fff5,0x0dffffff,0xfff8074c,0xfff882ff,
    0x7ffd42ff,0x00ffff84,0x00bffffe,0x0006fc80,0x00fffff7,0x6fffffb8,
    0x907fffe6,0x801fffff,0x2efffffa,0x3e203fb8,0xffff85ff,0x1ffffa81,
    0x405fffb8,0x803fffff,0x903fffff,0x7bffffff,0x40003fd9,0x807ffffb,
    0x004ffff8,0xbffffff9,0xf903fd97,0x97bfffff,0xfe8803fd,0x3f2002ff,
    0xfd30efff,0x005fffff,0xffffffe8,0xfffffdef,0x7ffff45a,0xfffdefff,
    0x3fe65aff,0xbfb03fff,0x3fffffa0,0xffffdeff,0xfffd85af,0x3fffa66f,
    0xfff02fff,0x53ffa5ff,0x88002ffb,0x5c03ffff,0xefffffff,0x3fe01fec,
    0xffa83fff,0xffc85fff,0x01fffcc7,0x05fffff1,0x001ff400,0x1fffffd8,
    0x3ffff200,0x437fec7f,0x001ffffe,0xbffffffd,0x3005ff97,0x7fe45fff,
    0x3ffee02f,0x37ffaa0e,0x3fffe200,0x7ffc403f,0x3ff203ff,0x1fffffff,
    0x7ffe4000,0xffc800ff,0x6401bdff,0xffffffff,0x3fff201f,0x01ffffff,
    0x02fbff66,0x3ffff200,0xfffadfef,0x7000dfff,0x29ffffff,0x1ffffff8,
    0x7fffffdc,0xffffff14,0xfffffd83,0x02ffc9be,0x3fffffee,0xffffff14,
    0x3ffff603,0xfffbcfef,0x3ee0dfff,0xff52ffff,0x0009fd3b,0x56ffffe4,
    0xfffff701,0x4405ffff,0x883fffff,0x902fffff,0x3ff627ff,0x7fffcc03,
    0xff30003f,0x3fee0003,0x3e6006ff,0x23ffffff,0xb88bffe8,0x2001ffff,
    0xffffffd8,0x26000bce,0xbeffffec,0xfffd8801,0x801efffe,0x0efffffb,
    0x3ffffee0,0x3ffee00e,0x0001ceff,0x3ffffeea,0x7ec00bef,0x404fffff,
    0xcefffffb,0xffffb801,0xeb881cef,0x80002dff,0x54fffffc,0x0359bfff,
    0x2dffeb80,0x80f7ff54,0x542dffeb,0xd981effe,0xffffffff,0xffeb800c,
    0x77ff542d,0x7fffe401,0x9bfff74f,0x7fffec35,0x3ff6e2ff,0xfd80002d,
    0x303fffff,0x3bfffffd,0xfffffb80,0x5fffb80e,0x7ffff5c0,0x7ff5c02e,
    0x001bffff,0x100037dc,0x8805fffd,0xffffffee,0xf73effff,0x3bffffff,
    0x2eaa2000,0x5100000a,0x26200015,0x88009aba,0xffffffff,0x7fffc43f,
    0x403fffff,0x80000ba8,0xaaaaaaa8,0xda800aaa,0x22002dee,0x510000ba,
    0x09aa8017,0x57300000,0x000054c1,0x00110030,0x20022006,0x009acaa8,
    0x01100300,0x260ab980,0x0400000a,0x76d40000,0xba8802de,0xffff8801,
    0x883fffff,0x2ae2000a,0xaaaa8800,0x002aaaaa,0x4000165c,0x00000029,
    0x002b2a62,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x704ec800,
    0x2e2000bd,0x00aceedc,0x51093075,0x0359bd97,0x4ccccc40,0x4cc41999,
    0x54000999,0x02aaaaaa,0x53002f6a,0x00003799,0x04ccccc4,0xaaaaaa88,
    0x7700000a,0x98019500,0x2164400c,0xaaaaaaaa,0xdedc882a,0x9998801c,
    0x65cc0999,0xd805e802,0x2e620005,0xaaaabccc,0xaaaaaaaa,0x002aaaaa,
    0x01999988,0x6f6e5400,0x3000001c,0x00013333,0x77765cc4,0x02b80acd,
    0x072600ee,0x55555551,0x2aaa0055,0x001aaaaa,0x000ee4c0,0xfb03ff80,
    0xffda800b,0xfffeffff,0x983e88bd,0xeffebabf,0x4ffffffe,0xfffffb80,
    0x7f545fff,0x64002fff,0x07fffffe,0x260ffffd,0xfffdfffe,0x00ffffff,
    0x3bfffee0,0xfffd9100,0x200005ff,0x17ee05fb,0x4c07fe20,0x7f6541fe,
    0x646fffff,0xcfffffff,0x3fffea00,0xfffd36ff,0x1fe403ff,0x98007f90,
    0xffffffed,0xffffffff,0xffffffff,0xff8007ff,0x30002fff,0xffffdffd,
    0xfa800009,0x8000efff,0xdeffffe9,0x8adfffec,0x37ea02f9,0x910df500,
    0xfffffffd,0xfff95007,0x40005bff,0x00effffa,0x40bfe600,0xfb1004ff,
    0x9815dfff,0x83fffffc,0x81dffff9,0x1effffb9,0x7ffffd40,0x03bf602f,
    0xffffd800,0xfffff987,0x0f7ffdc2,0xfffffffb,0x7fff4001,0xfff9800e,
    0x200002ff,0x7fec0efe,0x85ff7001,0x7f404ffa,0x3f66ffff,0xdfff710b,
    0x7fff4401,0xfffffaef,0xff500fff,0xfffb97bf,0x7ffdc003,0xfeb88acf,
    0x99efffff,0xfffedba9,0x7ffd4007,0xff50002f,0x3fffea1d,0x3f600004,
    0xc8000eff,0x2a03ffff,0x02fffffe,0x3f2077f4,0x7ffec01f,0x1002ffff,
    0x54001ffd,0xfffffd82,0x3fea0004,0x802ff880,0x03fffff9,0x83fffd88,
    0xa802fff9,0x403fffff,0x02fffffc,0x70000bee,0xf50fffff,0x7cc9ffff,
    0x7fcc3fff,0x200199ef,0x000efff8,0x05fffff1,0x77fd4000,0x004ffe89,
    0xffb9fffc,0x7ffdc00f,0x203fb6ff,0x200efffb,0xbffffffc,0x4ffffe98,
    0x3fffff60,0x32004fff,0xf103ffff,0x40dfffff,0x4007ffd8,0x0003fffd,
    0xfc85fff1,0x80000fff,0x000ffff8,0x077fff4c,0x2ffffb80,0x44fffcc0,
    0xfd005ffd,0x01ffffff,0x88013ea0,0xfffff83f,0x3f20007f,0x801ff507,
    0x02fffffa,0x4c1ffec0,0x3ea002ff,0x2203ffff,0x205fffff,0xfb80006c,
    0xff887fff,0x3ffe1fff,0xffff80ff,0xeffb8004,0x7fffc000,0x7400002f,
    0x0fffffff,0x77ffdc00,0xfb803fff,0x1faeffff,0x027fffc0,0x87fffff9,
    0x206ffffb,0xffffffe8,0xffe8800e,0x7fe403ff,0xfc806fff,0x1fffc007,
    0x1fffb000,0x02ffff98,0x1fffa800,0x7fffd400,0x7fd4001f,0xfffd802f,
    0x9000fffe,0xdfffffff,0x800fe600,0xfffc83fd,0xd0000fff,0x01fee0bf,
    0x09fffff1,0x307fd100,0xff90009f,0x7e401fff,0x7f00ffff,0xfff70000,
    0x3ffee0ff,0x1ffffe64,0x003ffff4,0x40007ff4,0x002fffff,0x7fffd400,
    0xfd0003ff,0x200dffff,0xfffffffb,0xffffc803,0xdffff901,0x0fffff50,
    0x09ffff90,0x7ffffec0,0x7fffdc00,0x00ff006f,0x00027fd4,0x3e07fffe,
    0x80001fff,0x44001ffd,0x003fffff,0x3005ff50,0x09ffffff,0x7ffffe40,
    0xf8805fff,0x07ff5002,0x1fffffb1,0x40ffe000,0x3fa205fd,0x0000ffff,
    0x01f307f3,0xfffff300,0x7fffc40b,0x000f984f,0x7ffffb80,0x3fea0540,
    0xfffd07ff,0x7fc4003f,0xffff0000,0xd000005f,0x000dffff,0x17ffffd4,
    0xfffffb80,0xfff5006f,0x3fff20df,0xffffa86f,0x00066007,0x0bfffff5,
    0xdfffff70,0x400f9020,0x440004fd,0xfd83ffff,0xf880007f,0xffd8001f,
    0x6c0007ff,0xfffb002f,0x764001ff,0xfffffffb,0x400fc403,0x2203fff9,
    0x30007f98,0x13fe05ff,0x4fffffc8,0x4c1f4000,0x3ffa0006,0x3f202fff,
    0x05c87fff,0xffff7000,0xfff3000f,0x3fff60ff,0x0726001f,0xfffff800,
    0xe9800002,0x40002eee,0x2004eeed,0x2ffffffb,0xfffff500,0xdffff903,
    0x0fffff50,0xffe80000,0xfb802fff,0x5886ffff,0x079003cc,0xffff3000,
    0x005fff0d,0x00039300,0x09fffff7,0x002f9800,0x005dddd3,0xffffb6c8,
    0x7c403fff,0x7fffd401,0x805fb803,0xffcaaaa8,0xffbaaaab,0xffff82ac,
    0x5c0003ff,0x20002883,0x07fffffb,0x0fffffe6,0xcb88005f,0xfffff70a,
    0x3fffe000,0x0ffffd07,0xff000000,0x65cc5fff,0x00000002,0x3ee00000,
    0x2007ffff,0x84fffff9,0xa86ffffc,0x9807ffff,0xf7001bca,0x200fffff,
    0x86fffffb,0x0000385a,0xffff8800,0x013fee1f,0xf1000000,0x005fffff,
    0x00005b00,0xffd36400,0x201fffff,0x3fee01f8,0x0999cfff,0xf9801fe8,
    0xffffffff,0xffffffff,0x7ffffdc7,0x0080001f,0xfffa8000,0x3fa01fff,
    0x01aa6fff,0xfffffeb8,0x07ffffb9,0x7ffe406c,0x4ffff80f,0x99999988,
    0x800ddcc0,0xe8afffff,0x80dfffff,0x09999998,0x4c00ddcc,0x99999999,
    0x70199999,0x00dfffff,0x3fffffc4,0x437fffe4,0x207ffffa,0xffeefff9,
    0x3fffa01d,0xff7006ff,0x0b70dfff,0x4cccccc0,0x99999999,0xfffff001,
    0x003dfd39,0x26666620,0xb82c9809,0x01ffffff,0x98808800,0x98099999,
    0xf136402c,0x0dffffff,0x7fe407e2,0xffffffff,0x9802fc46,0xffffffff,
    0xffffffff,0x7ffff47f,0x000000ff,0xfff30000,0x7d405fff,0x09b2ffff,
    0x2bbffee0,0xffffdfda,0x7cc0fc07,0x7fcc2fff,0xfffb81ff,0xfff35fff,
    0xff803dff,0xfcefdfff,0xfb85ffff,0xf35fffff,0x203dffff,0xfffffff9,
    0x6fffffff,0xdfffff70,0x7fffc400,0x7ffe41ff,0xffffa86f,0x45fff507,
    0xff03fffb,0x200bffff,0x86fffffb,0xfff3005f,0xffffffff,0x3600dfff,
    0x2effffff,0x7ff54000,0x3fa66fff,0x7ffec3ff,0x00000fff,0x3ffffaa0,
    0x3fffa66f,0xff31b203,0x109fffff,0xffdd303f,0x9ddddfff,0x20002fd4,
    0x0bfb03ff,0x3ffffffc,0x00000000,0xffffff10,0xffffe807,0xf9800f8d,
    0x7fe42fff,0x3e207fff,0x3dfff302,0x803bff62,0xadfffff8,0x6fffffff,
    0x7fffffc0,0x3ffff622,0xfffff884,0xffffffad,0x39ff306f,0xfffffe83,
    0xfffff702,0x7ffc400d,0x7fe42fff,0xfffa86ff,0x5fffb87f,0x442fffe8,
    0x05ffffff,0xdfffff70,0xf3005fc8,0xffe8339f,0xf7002fff,0x4c0dffff,
    0x4eeeeeee,0x36ffffe8,0xe8dfffff,0x007fffff,0xfffd0000,0x3fffe6df,
    0x2e1b206f,0x3fffffff,0x3fa00fc4,0x9f903fff,0x2ff98000,0x3e209ff0,
    0x005fffff,0x55554400,0xaaaaaaaa,0xfaaaaaaa,0x405fffff,0x5dfffffb,
    0x6ffff880,0x0fffffd0,0xf71027cc,0x09fffbff,0x3fffff60,0xffff98bf,
    0x3fffe03f,0xffff883f,0xffffd82f,0xfff98bff,0x03f983ff,0x0bfffff7,
    0x37ffffdc,0xfffff100,0xffffc85f,0x7ffffa86,0xb83ffff8,0x3ea0ffff,
    0x004fffff,0x2dfffff7,0x3005ffda,0x3ffee07f,0xfd3005ff,0x405fffff,
    0x0befffea,0x8effffc8,0x26ffffff,0x6ffffff8,0xf9000000,0xfff1dfff,
    0x3640dfff,0xffffffc8,0xd007e21f,0x9507ffff,0xff500001,0x205ff101,
    0x4ffffff9,0x7fd40000,0xffffffff,0xffffffff,0x6fffffff,0x7ffffc40,
    0xfffc802f,0xffff703f,0x202fdc0f,0x00bbabea,0x7ffffec0,0x2ffffe43,
    0x05fffff0,0x213ffff6,0x43fffffd,0x985ffffc,0xffff880f,0x3fee00ff,
    0x22006fff,0x43ffffff,0xa86ffffc,0x7dc7ffff,0xffa82fff,0x3ffee3ff,
    0xf7003fff,0xffffffff,0x3e600bff,0xfffff880,0x77f4c00f,0x0ffffffd,
    0x803bfea0,0xddeffffb,0x263fffb9,0x05ffffff,0xff700000,0xf73bbdff,
    0x036407ff,0xfffffffb,0xfd007e21,0x00007fff,0xf507fc80,0x3ffea01f,
    0x00005fff,0x7fffffd4,0xaaaaaaad,0xfffaaaaa,0xfc806fff,0xfb007fff,
    0x3ee05fff,0x3f207fff,0x001fb107,0xbffff900,0x0dffff70,0x817ffffc,
    0xc86ffffc,0xfb85ffff,0x04986fff,0x07fffffb,0x6fffffb8,0x3fffe200,
    0x7ffe43ff,0xffffa86f,0x0fffffc7,0x72ffffd4,0x07ffffff,0x3ffffee0,
    0x05fffebf,0x3ff60930,0x7e403fff,0xfffff13f,0x0ffcc0bf,0x3ffffee0,
    0xf50ae20f,0x00bfffff,0x3fee0000,0x2e20ffff,0xd1036402,0x2bffffff,
    0x7ff401f8,0x000003ff,0x7fb82ff4,0x3ffffe60,0x4400006f,0x04ffffff,
    0x7ffffc40,0xfff9804f,0xffff004f,0x3ffee03f,0x03ffa07f,0x40001bfe,
    0xb85ffffc,0x3e07ffff,0xf702ffff,0xff90ffff,0xfff70bff,0x3e6020ff,
    0xb806ffff,0x006fffff,0x3fffffe2,0x37fffe42,0x13ffffd4,0x303fffff,
    0x7d4dffff,0x003fffff,0x4dfffff7,0x02005fea,0x1bffffe6,0x5c5ffd88,
    0x03ffffff,0xff7009f9,0x26007fff,0x06ffffff,0xff700000,0x20007fff,
    0x7ffcc06c,0x1f8cffff,0x1fffff40,0x4ccc0000,0x99999cff,0x21999efd,
    0x7ffffff8,0xfff80000,0x44004fff,0x03ffffff,0x003fffb0,0x03fffff1,
    0x41ffffee,0x7d42fff8,0x40000bff,0xb85ffffc,0x3e07ffff,0xf502ffff,
    0xfc83ffff,0xffb85fff,0x3fa007ff,0xb802ffff,0x006fffff,0x3fffffe2,
    0x3ffffe41,0x53ffffd4,0x301fffff,0x261fffff,0x04ffffff,0xdfffff70,
    0x40005f98,0x02fffffe,0x3a0bfff6,0x82ffffff,0xffb800ee,0xf1002fff,
    0x00ffffff,0xffffffb1,0xb85dffff,0x002fffff,0xff500d90,0x3f7fffff,
    0x3ffffe80,0x7fcc0000,0xffffffff,0x7fffffff,0x7ffffffc,0x7f400000,
    0x4004ffff,0x2ffffff9,0x00dff500,0x07ffffe6,0x83ffffdc,0x7ec4fff9,
    0xffffffff,0x3202ceff,0xfb85ffff,0x3fe07fff,0xff502fff,0xffc83fff,
    0xfffb85ff,0xfff7007f,0x3ee00bff,0x2006ffff,0x0ffffff8,0x3fffffa2,
    0x3ffffd42,0x01fffff7,0x25fffff3,0x5ffffff8,0xfffff700,0x4000bb0d,
    0x05fffffb,0x207fffea,0xfffffff9,0x5c007ee1,0x000fffff,0x3ffffffe,
    0x3ffee000,0xf700ffff,0x0001ffff,0x7fe401b2,0x01ffffff,0x01fffff4,
    0x3ffe6000,0xffffffff,0x47ffffff,0x1ffffffd,0x7fec0000,0x54005fff,
    0x00ffffff,0x5400ffa0,0x701fffff,0x2e0fffff,0x7fe46fff,0xffffffff,
    0xf904ffff,0xff70bfff,0x7ffc0fff,0xfff502ff,0xfffc81ff,0xffffb85f,
    0xffff8807,0xff7000ff,0x4400dfff,0x2e7fffff,0xffffffff,0x9ffffea4,
    0x80fffffb,0x22fffff9,0x05fffffd,0xdfffff70,0x100c0b70,0x01ffffff,
    0x81fffffc,0xeffffffc,0x2e004f98,0x4007ffff,0x1ffffffc,0x7ffffc00,
    0x3ffee03f,0x1b20007f,0xfffffd80,0x7ff401ff,0x400003ff,0xaaffdaa8,
    0xabffcaaa,0x7ffcc2aa,0x00002fff,0x37ffffdc,0x3fffea00,0x07dc006f,
    0xfffffa80,0xfffff701,0x83ffff60,0xfffffff9,0xffffffff,0x5ffffc84,
    0x07ffffb8,0x40bffffe,0xc86ffffa,0xfb85ffff,0xfd807fff,0x2003ffff,
    0x06fffffb,0x3ffffe20,0x3fea0006,0x3ffea7ff,0xfffa80ff,0x3ffea1ff,
    0xff7006ff,0x0b30dfff,0xfffd8166,0x3fe203ff,0x3f606fff,0x6eefffff,
    0x7fffdc00,0x7ffcc006,0x7c002fff,0x203fffff,0x006ffffb,0xe8801b20,
    0x01ffffff,0x01fffff4,0x0bfd0000,0x7f401ff2,0x0005ffff,0x7fffff80,
    0x7fffec00,0x0264001f,0x5fffff30,0x1ffffee0,0x20fffffc,0xfffffff9,
    0x6fffffff,0x85ffffc8,0x207ffffb,0x702fffff,0xf909ffff,0xff70bfff,
    0xff980fff,0x5c006fff,0x006fffff,0x0bffffe2,0xffffa800,0x3ffffe27,
    0xfffffa80,0x7fffff40,0xffffb800,0x1320706f,0x37ffffcc,0x3ffffea0,
    0xfffd100f,0x8003ffff,0x006ffffb,0x3fffffd8,0x7ffff400,0x3ffee02f,
    0x1b20006f,0xfffff100,0xfffe803f,0x2000003f,0x0bfb03ff,0x3ffffea0,
    0x20e0000f,0x00fffffa,0x9fffff10,0x001f8040,0x0fffffe2,0x43ffffdc,
    0x43fffff9,0xdcceffd9,0xfffffeee,0x2ffffe40,0x03ffffdc,0x205fffff,
    0xc83ffffb,0xfb85ffff,0x7f407fff,0x0102ffff,0x1bffffee,0xff88b722,
    0x540006ff,0x7fc6ffff,0xffa81fff,0xfff986ff,0xffb804ff,0x22006fff,
    0xffffd02f,0x7fcc205f,0x2205ffff,0xefffffff,0xfff70101,0xfd1000df,
    0xe800dfff,0x202fffff,0x006ffffb,0x2a001b20,0x401fffff,0x003ffffe,
    0x05ff3000,0xfc8013fe,0x0004ffff,0x3fffa0f7,0xfff5003f,0xbfb101df,
    0x6c003541,0xf705ffff,0xff50ffff,0x7fec9fff,0x6ffc8803,0x85ffffc8,
    0x207ffffb,0xb02fffff,0xf903ffff,0xff70bfff,0x7fdc0fff,0x09105fff,
    0x1bffffee,0x7c47fff6,0x22002fff,0xffff50cc,0x2ffffb8b,0x03ffffb8,
    0x01fffff7,0x6fffffb8,0x2e07f600,0x105fffff,0x3ffffe29,0x3fe605ff,
    0x43ffffff,0x7ffdc0e8,0xff30006f,0x74005fff,0x202fffff,0x006ffffb,
    0x5c001b20,0x7401ffff,0x0003ffff,0x301ff500,0xfd8005ff,0x4003ffff,
    0xfff304fc,0xfe8801ff,0xff702fff,0x4001745f,0x42fffff9,0x87fffff9,
    0x35fffffb,0x7c400dff,0xffffc83f,0x7ffffb85,0x0fffffe0,0xc817fff4,
    0xfb85ffff,0xff107fff,0x2e01ffff,0xfffff704,0x4ffff88f,0x800dfff3,
    0xfff52ffd,0x7ffff09f,0x80dfff90,0x403ffffd,0x07fffffd,0xf881ffb0,
    0x700fffff,0x7ffffec9,0xfe980dff,0xefffffff,0xffb83fbb,0x2a0006ff,
    0x000effff,0x05fffffd,0x037fffdc,0x4000fb00,0x6c01fffd,0x0e24ffff,
    0x837e4000,0xc8000ffa,0x00cfffff,0x26017f4c,0x7405fffe,0x3601efff,
    0x00d54fff,0x37fffec0,0xffffffd3,0xfffffb85,0x003fff35,0x3f603fea,
    0xffb85fff,0x3ffe07ff,0xfffa86ff,0x3ffff604,0x7ffffb85,0x7fffffb0,
    0x7e40fe60,0xfe87ffff,0x1dff35ff,0x53ffe800,0xf501ffff,0xffff0dff,
    0xffff7005,0x3fffe209,0x3aa00fff,0xfffd87ff,0x47f303ff,0xfffffff8,
    0xffdcbeff,0xfffffffd,0xff906fff,0x98000dff,0x800efffe,0x02fffffe,
    0x01bffff2,0x0001fe80,0xf7007ffa,0x1b31dfff,0x17fa0000,0x30003fe4,
    0x59ffffff,0x1bffb735,0x6fffe400,0xfffd510b,0xffff5007,0xd80005f9,
    0xcfefffff,0xdffffffb,0x5fffff10,0x88177fec,0xfb00efca,0xff70dfff,
    0x7ffc0fff,0xfd30cffd,0xfffd80bf,0xffffb86f,0xfffff987,0x105ff306,
    0x9fffffff,0xc8efffa8,0xfa8000ef,0x05fff74f,0xf91fffd4,0x74c003ff,
    0xb99bdfff,0xfffffffe,0xfedcabce,0x7fcc6fff,0xff306fff,0xfffff985,
    0xcfffffff,0xfffffd30,0x3f201dff,0x00007fff,0x039ffff7,0x9fffff71,
    0x7fffe401,0xffc88007,0xff10001e,0xffffb003,0x400005ff,0x0bfb03ff,
    0xfffb5000,0x7bffffff,0x3fb66000,0xdeffffff,0x3fffa001,0xf900002f,
    0x3ee9ffff,0x641acdff,0xfda86fff,0xfffeeeff,0x3ffe603e,0x3fa21fff,
    0xdf02ffff,0x3fbff625,0x7fcc03df,0x3a21ffff,0x742fffff,0xa9bfffff,
    0x12fffeba,0xffffffdd,0x327dffff,0x00dfffff,0x3f7ff600,0xfe9803ef,
    0x00dfffff,0xffffb500,0xffffffff,0xffffffff,0xe8bfffff,0xa9bfffff,
    0x82fffeba,0xffffffc8,0xff900cff,0x2201bfff,0x01fffffe,0xfff91000,
    0xffffdfff,0xfd10039f,0x2003ffff,0xffffffea,0x1f98005f,0xdffeb880,
    0x32200002,0x0059901c,0x6554c400,0x4000009b,0x001acb98,0x00055c40,
    0x3055cc00,0x06e20015,0x37955310,0xffff7001,0xff37ffff,0x0dffffff,
    0x006ea607,0x7fffffdc,0xffff9bff,0xff76ffff,0xffffffff,0x003fffff,
    0x001ba800,0x02b2a600,0x00ddcc00,0x2aa62000,0x00001999,0x7fffffdc,
    0xffffffff,0x32a6201f,0x7310009b,0x7ffdc015,0x01efffff,0x32aa6000,
    0x0009aabc,0x3fffffee,0x00001eff,0x0002a000,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x98000bda,0x403701bb,0x88099999,
    0x00009999,0x37bb72a2,0x27f4002c,0x54c40000,0x0009abcc,0x36c02ec0,
    0x55555100,0x55555555,0x3bb2e203,0x542441cd,0xaaaaaaaa,0xaa81aaaa,
    0x02aaaaaa,0x776e5440,0x54c002cd,0xaaaaaaaa,0x2aaaa61a,0x2aaaaaaa,
    0x55555510,0x2aaaaa61,0x02aaaaaa,0x2aaaaaa2,0x333310aa,0x4ccc4133,
    0x55441999,0xaaaaaaaa,0x000002aa,0x55555554,0xaaaaaaaa,0xaaaaaaaa,
    0x005b9102,0x2aa60000,0x0001aaaa,0x10acca88,0x99999887,0xa82c9809,
    0x00aaaaaa,0x0ffffd80,0x3fffee00,0x403f30be,0xe82fffff,0x8004ffff,
    0xeeffffc9,0x800cffff,0x200006fb,0xeceffffc,0x0004ffff,0x27dc09f7,
    0xffd95100,0x7bffffff,0x9dfff503,0xb937dffb,0xffffd970,0x0379dfff,
    0x9fffffb7,0x3ff26005,0xffffeeff,0xffea800c,0x2dffffff,0x3fffff2a,
    0x303cffff,0x21bfffd9,0xffffffea,0x2202ceff,0xefffffdc,0xffffff70,
    0x7ffffd4b,0x7f65447f,0xbeffffff,0x54000002,0xffffffcb,0xffffffff,
    0x0fffffff,0x077fffcc,0x3aa00000,0x005fffff,0x7f7ffd40,0x7f546eef,
    0x3a66ffff,0x3fa23fff,0x002fffff,0x1fffffc4,0xfffffa80,0x00ffefff,
    0x20bffffe,0x004ffffe,0x4056ffe4,0x403ffeb9,0x40001ff9,0x40bfffe9,
    0x02efffb8,0x5efffcc0,0x002fffdc,0x3fffffa0,0x37ff602f,0x5ffffa81,
    0x3ffffe20,0xfd1000ff,0x7fe4001f,0xfeb980ad,0xfffb003f,0x7c409fff,
    0x02ffffff,0x2e09ff10,0x06ffffff,0x83fff980,0x85fffff8,0x407ffffd,
    0x06fffffe,0xf7000000,0xbfffffdf,0xfd955333,0xffd81fff,0x00005fff,
    0xbfffff00,0x7ffcc000,0x20dff930,0xf36ffffe,0xf50dffff,0x8005ffff,
    0x04fffffa,0xffffffd0,0xf80bffff,0xfe82ffff,0xd3004fff,0x74c001bf,
    0x0ffa00df,0xffffc800,0x7fffcc03,0x3ff2000d,0x05ffffff,0x7fffdc00,
    0x1ffee07f,0x80bffb10,0x05fffffd,0x9801fe40,0x26000dfe,0x7cc00dfe,
    0x404fffff,0x2ffffffa,0xfd01fa00,0x000dffff,0xffe80bfe,0xfffc85ff,
    0x7ffe407f,0x000004ff,0xff99f500,0xfc80bfff,0x7fffc0ff,0x00000fff,
    0x5ffffd80,0x13ffa000,0x7fe41fea,0xffff8eff,0xfff886ff,0xff8002ff,
    0x9f001fff,0xfffffb31,0xffff801d,0xffffe82f,0x03ff8804,0x403bf200,
    0xfb0006fc,0x2a00bfff,0x4006ffff,0xeffffffe,0x7fd40000,0xff107fff,
    0xbfd1007f,0xfffffd80,0x017dc005,0x0001ffc4,0xfd801df9,0xf806ffff,
    0x005fffff,0xfff5013e,0x88003fff,0x7ffec05f,0xffffb85f,0x7fffe407,
    0x0000003f,0x3fff2dd0,0xffa805ff,0x7ffffe40,0x2000001f,0xffffffeb,
    0x8806eeee,0x7c80efff,0xbdffff70,0x07fff73b,0x00bffffe,0x013ffaa0,
    0x6e5440e8,0xfffff001,0x9ffffd05,0x4c03fd00,0xfb8440aa,0x001ff305,
    0x07ffffb8,0x27ffff40,0x3fffee00,0xff500004,0x3ee0ffff,0xbf3002ff,
    0xfffffc80,0x017d4004,0x4ccc4ff4,0xfb801999,0x7fffd405,0x7fdc01ff,
    0xa800ffff,0xffff800f,0x7dc005ff,0x7fffec01,0x7ffffb85,0x7ffffe40,
    0x80000003,0xffff91fb,0x03fa00bf,0x3fffffb1,0x75c00000,0xeeffffff,
    0xffa806ee,0x83c40eff,0x0ffffffb,0xfff80ae2,0x260002ff,0x00000000,
    0x20bffffe,0x404ffffe,0xffd883fc,0x2ecdfdcd,0x1ffc0ff6,0xfffff100,
    0xfffb800b,0x188001ff,0x7fd40000,0xffb07fff,0x02ec00bf,0x13fffff2,
    0xc803f500,0xffffd33f,0x039fffdd,0xffe807fb,0x7c404fff,0x803fffff,
    0xfff7005d,0x74001fff,0xffffd805,0x7ffffb85,0x7ffffe40,0x009aaaad,
    0x4bf10000,0x05fffffc,0x1100fb81,0x00000ff1,0x17ffff20,0x7fffc400,
    0xfb8142ff,0x8003ffff,0x002fffff,0x00000000,0x0bffffe0,0x813ffffa,
    0xfffb85f9,0x117fdc41,0x0bf901fd,0x7fffff40,0x7ffcc002,0x000006ff,
    0xffff5000,0x3fffa0ff,0x80d5004f,0x04fffffc,0xf300fd40,0x21ffff0b,
    0x442fffd9,0x3fee00fe,0x6c00ffff,0x406fffff,0xff1002f8,0x2007ffff,
    0xffd801f9,0xfffb85ff,0x7ffe407f,0xffffffff,0x00000bff,0xfffc83f6,
    0x445885ff,0x037d400f,0xffc80000,0x3a0005ff,0x04ffffff,0x2fffffb8,
    0xfffff800,0x44000002,0x20999999,0x09999998,0x05fffff0,0x409ffffd,
    0x7ffdc1fc,0xf50bee00,0x001ff507,0x1ffffff5,0xfffff000,0x4cccc47f,
    0x26662099,0xa8000999,0xb07fffff,0x019fffff,0xfffc8090,0x7d4004ff,
    0x3a07f201,0x3fe60fff,0x203fa87f,0x3ffffff8,0x7ffffd40,0x003ee01f,
    0x7fffffc8,0x3600db00,0xfb85ffff,0x7e407fff,0xa98bffff,0x02fffffe,
    0x642fa800,0x985fffff,0x2fd80285,0x06666666,0x90015951,0xb98bffff,
    0x7ffdc02c,0x200effff,0x00fffffb,0x2fffff80,0x9002e000,0x49ffffff,
    0x6ffffffa,0x05fffff0,0x209ffffd,0x7ffc46f8,0x6f82f804,0xf9005ff0,
    0x000dffff,0x97fffff6,0x4ffffffc,0x3fffffea,0xfffa8006,0xfff707ff,
    0x0007ffff,0x4fffffc8,0x880fd400,0x1fffb06f,0xf81fffe8,0x7fffec06,
    0x7ffe406f,0x13a04fff,0xfffff300,0x02f8805f,0x0bffffb0,0x80fffff7,
    0x43fffffc,0x2fffffe8,0x217a2000,0x85fffffc,0x5f88005b,0x3fffffa2,
    0xfffff91f,0xffffc809,0xdfffff35,0x3fffa203,0x701fffff,0x000fffff,
    0x22bffffe,0x800e8002,0x84fffff8,0xf06ffffe,0xfd05ffff,0x3ea09fff,
    0x00fffec2,0x40fe40d4,0xffe805fd,0xb0006fff,0x88dfffff,0xe84fffff,
    0x8006ffff,0x07fffffa,0xfffffff3,0x320005df,0x004fffff,0x2fa80fd4,
    0xe81fffb0,0x1fc81fff,0x3ffffe60,0xffff101f,0x3e60ffff,0xfffd8001,
    0x036406ff,0x0bffffb0,0x80fffff7,0x83fffffc,0x0ffffff9,0x901f9000,
    0xf0bfffff,0x0ef9800b,0xafffffb8,0xfffffffd,0x3ffff202,0xffffffad,
    0x3ffa206f,0x80ffffff,0x006ffffb,0xf9fffff0,0x00f88007,0x09ffffd0,
    0x20dffff9,0xe82fffff,0xf704ffff,0x00ffff81,0x2a0bea00,0xffff807f,
    0xf90005ff,0xe81fffff,0xfc84ffff,0xa8006fff,0x207fffff,0xfffffffc,
    0x64001eff,0x004fffff,0x0fb80fd4,0x4c1fffb0,0x5f507fff,0xfffffe80,
    0xfff3f704,0x0d905fff,0x3fffea00,0x07f101ff,0x2ffffec0,0x03ffffdc,
    0x0ffffff2,0x1ffffffc,0xc81fcc00,0x645fffff,0x17ee005f,0xffffff98,
    0xfffff91d,0x7ffffe40,0xfffe98bf,0x7ffe402f,0xfb82ffff,0xf0006fff,
    0x007fffff,0x7f400f90,0xffc84fff,0xffff06ff,0xffffd05f,0xff31f209,
    0xf98000ff,0x202ff883,0x5ffffff9,0xffff9000,0xfffe83ff,0xffffc84f,
    0xfffa8006,0x7fec07ff,0xffffffff,0xfff9000d,0xfa8009ff,0x7ec0f901,
    0xfffb10ff,0x700fe607,0x01ffffff,0x3ffff6bd,0x0003f85f,0x13fffffa,
    0xfb0007dc,0xff70bfff,0xffc80fff,0xffd03fff,0xd000bfff,0x7fffe40d,
    0x5ffda9df,0x98019500,0x20efffff,0x01fffff8,0x87fffff9,0x805ffffc,
    0x5ffffffa,0x06ffffb8,0x7fffff00,0x009f9000,0x427ffff4,0xf06ffffc,
    0xfd05ffff,0xfb049fff,0x006fffa8,0xfd827c40,0x3fffea04,0xf90004ff,
    0xe85fffff,0xfc84ffff,0xa8006fff,0x407fffff,0xffffffe8,0x801fffff,
    0x04fffffc,0x7d80fd40,0x333fff60,0x2201efff,0x7ffc404f,0x8fcc3fff,
    0x0ffffffa,0xb80003ea,0x80ffffff,0x7fec004e,0xfffb85ff,0x7ffe407f,
    0xfff903ff,0xfb800dff,0x3ffff201,0x5fffffff,0x7fc40000,0xfff81fff,
    0xfff902ff,0xffff70df,0xfd88588d,0xffb87fff,0xff0006ff,0x44005fff,
    0x3a000ffd,0xfc84ffff,0xfff06fff,0xfffd05ff,0x47d8749f,0x0007fffa,
    0x7fb827c4,0x3ffffea0,0xff70004f,0xfe85ffff,0xffc84fff,0xfa8006ff,
    0x9007ffff,0xffffffff,0xfc805fff,0x4004ffff,0x40fb01fa,0xffebfffd,
    0x027c401f,0x37ffffec,0xfffff1b2,0x0002ec7f,0x3fffffe2,0x20007d43,
    0xc85ffffc,0x6407ffff,0xb03fffff,0x00bfffff,0x77777fc4,0xfffffeee,
    0x5ffec9df,0x7fc40000,0xfff81fff,0xfff902ff,0xffff70bf,0xfb00f88f,
    0xfff70dff,0x3fe000df,0xd3002fff,0xfe800bff,0xffc84fff,0xfff886ff,
    0x7ffe44ff,0x7e4f16ff,0x03fffe60,0x103f9800,0x3fe203ff,0x0005ffff,
    0x3ffffff9,0x84ffffe8,0x006ffffc,0x7fffffa8,0x3fff6600,0x1fffffff,
    0x3fffff20,0x80fd4004,0xfffb00fc,0x80bfff51,0xff9803f9,0x7f11ffff,
    0x6fffffc8,0x900005f1,0xe8dfffff,0xfffb8005,0x7fffd46f,0x7ffe407f,
    0xfffd03ff,0x7ec005ff,0xcccccccc,0x45fffffe,0x400005fe,0x81fffff8,
    0x903fffff,0xf70bffff,0x0bf0ffff,0x320fffea,0x8006ffff,0x02fffffb,
    0x01ffffa8,0x27ffff40,0x437fffe4,0xaefffff8,0xffffefd9,0x07ee4dcf,
    0x0001ffff,0x9fd017d4,0x7fffffc0,0xfff90006,0xffe81fff,0xfffc84ff,
    0xffa8006f,0x98007fff,0xfffffffe,0x3fff205f,0x7d4004ff,0x3603f701,
    0xfffd0fff,0x8017d403,0x74fffffe,0xffff981f,0x0007b9ff,0xffffff30,
    0x20007e65,0x9cfffff9,0x7ffffefb,0x7ffffe40,0xffffff03,0x00bea001,
    0x17fffff2,0x80000bf1,0x81fffff8,0x903fffff,0xf70bffff,0x9ff0ffff,
    0x903fff30,0x800fffff,0x2ffffffd,0x37fffd40,0x7ffff400,0x6ffffc84,
    0xffffff88,0xfff89eff,0x3ea0ffff,0x01fffec3,0x5c01fb00,0x3fffa06f,
    0xfb0006ff,0xfd0dffff,0xff909fff,0xf5000dff,0x060fffff,0x3ffffaa0,
    0xff900fff,0xa8009fff,0x207f501f,0xff30fffd,0x007ec0df,0xffffffb8,
    0xfffd04e8,0x0009d9ff,0x7ffffec0,0x64000db5,0xbfffffff,0x02fffffb,
    0x0ffffff2,0x17ffffea,0xc802f440,0xd85fffff,0x7c400005,0xff81ffff,
    0xff903fff,0xfff70bff,0x7dfff0ff,0x105ffb31,0x03fffffd,0x3ffe3a60,
    0x7ff402ff,0xfe8002ff,0xffc84fff,0xeef986ff,0x2a0dffff,0xe81effff,
    0x03fffc46,0x202fc41c,0xffb01ff9,0x2000ffff,0x85fffffe,0xc84ffffe,
    0x8006ffff,0x06fffffa,0x3fee001f,0xf902ffff,0x800bffff,0x41ba01fb,
    0x3f60fffd,0x05f882ff,0x3ffffe20,0xff701fdf,0x003fffff,0x7fffd400,
    0x0002faff,0x977fffec,0x6ffffffb,0x7fffff90,0x4fffff98,0x4003f200,
    0x85fffffc,0x2000205a,0x81fffff8,0x903fffff,0xf70bffff,0xbdf0ffff,
    0x05ffffff,0xfffffff7,0x3e0803df,0x2602ffff,0xa81fffff,0xfffe81de,
    0xffffc84f,0x5756fa86,0x700dd401,0x5fffa85f,0x0bee1360,0x7cc0ffa0,
    0x000fffff,0x7fffffc4,0x4ffffe81,0x86ffffc8,0x7d40cfd9,0x5f06ffff,
    0x7fffd400,0xffff703f,0x0fb800bf,0x3fe0bee0,0x3ffe22ff,0x0017dc0f,
    0x3ffffff6,0x3fffe205,0x800006ff,0x6ffffffe,0x15510000,0x9000ee88,
    0x99bfffff,0x07fffffb,0x9001fcc0,0x10bfffff,0x2001a20b,0x81fffff8,
    0x903fffff,0xf70bffff,0x8850ffff,0x000000cf,0x17ffffc0,0x1fffff70,
    0xe87fff88,0xfc84ffff,0x7fc86fff,0xef880000,0x5f7ff4c0,0xf882eca9,
    0x40df9006,0x03fffffc,0x7ffffcc0,0x9ffffd04,0x0dffff90,0xfa89ffff,
    0xbf05ffff,0xffffb800,0xfffff701,0x407d800b,0xff710ef8,0x3f215dff,
    0x0df10dff,0xfffff300,0xfffd805f,0x800003ff,0x3ffffffb,0x7cc00000,
    0x3ff2002f,0xefffffff,0x74000bde,0x7ffe4006,0x320305ff,0xfff88005,
    0xffff81ff,0xffff903f,0xfffff70b,0x0019f900,0x001beea8,0x017ffffc,
    0x81fffffb,0x6c1ffff9,0xfc84ffff,0xffd86fff,0xfa800000,0x9ddb9505,
    0x007fa015,0xf8807fcc,0x4006ffff,0x00fffffc,0x909ffffb,0xfa8dffff,
    0x7fd47fff,0x1ff05fff,0x7fffc400,0xfffff300,0x805f800d,0x999975fa,
    0x33223999,0x003fd2cc,0x1fffffa0,0x3ffffea0,0xf8800000,0x0007ffff,
    0x00ffe800,0x3fffff20,0x3ee00003,0x7ffe4001,0x3e2005ff,0xfff88003,
    0xffff81ff,0xffff903f,0xfffff70b,0x06fff980,0x03fffdc0,0x0bffffe0,
    0x1fffffb8,0x6c1ffff8,0xfd85ffff,0xfff86fff,0xfb000002,0x7fb00009,
    0x203ff800,0x01fffffb,0x7fffff10,0x2ffffec0,0x237fffec,0x5c6ffffb,
    0xf03fffff,0xfff800df,0x7ffffc06,0x07f7000f,0x00013f60,0xb8000ff6,
    0xf003ffff,0x0000bfff,0x27fffe40,0x3e200000,0x3f2001ff,0x0003ffff,
    0x90009f10,0x00bfffff,0x440017e4,0xf81fffff,0xf903ffff,0xff70bfff,
    0xfb880fff,0x7d4001ff,0x3fe002ff,0x3ea02fff,0xfc82ffff,0xffffc87f,
    0x7ffffdc5,0x027ffc46,0xdfe88000,0x5fe98000,0x405fc800,0x005ffffc,
    0x809ffff9,0x5c5ffffc,0x4c6fffff,0x7dc2ffff,0xff00ffff,0x3fee009f,
    0x7ffe401f,0x6fa804ff,0x037fa200,0x017fa600,0x1ffff100,0x0bfff200,
    0xff980000,0x000000ff,0x0027ffd4,0x07fffff9,0x003fa000,0x3fffff20,
    0x03ffb005,0xfffff300,0x7fffff03,0x1bffff60,0x01ffffee,0x4000fffc,
    0x3e003ffd,0x6c02ffff,0xf986ffff,0xffff983f,0xffefb9af,0x7ffd47ff,
    0x64000006,0xc8800bff,0xf50003ff,0xfffc801f,0x7ffdc04f,0xfff9804f,
    0xfefb9aff,0xffc87fff,0x2ffffd87,0x033fffe0,0x2007fff0,0x04fffffe,
    0x20007fe6,0x8800bffc,0x00003ffc,0x4c00bffb,0x000007ff,0x0004ffd8,
    0xffff8800,0xffff9003,0xf900009f,0x3ff6000f,0x74c06fff,0x98000fff,
    0xf82fffff,0xfb03ffff,0xff90ffff,0xfa801fff,0xff98006f,0xfff1001f,
    0xfe8807ff,0xfb11efff,0x7fffe40b,0xfffcafff,0x3ffea1ff,0xa8000005,
    0x99aadfff,0x01effdba,0x4017fc00,0x09dfffea,0x5dfffb71,0x7fffe400,
    0xfffcafff,0xbffd81ff,0x2ffffb88,0x7fffffc0,0x1ffec40a,0xffffb100,
    0xffb77bff,0x7d40003f,0xa99aadff,0x001effdb,0x007fe600,0x00009fd0,
    0x003ff500,0x3ff20000,0xf301adff,0x03ffffff,0x3fff2200,0x3fea000c,
    0xbcefffff,0xfffffdba,0xfff90007,0xfffb89ff,0x7fc40eff,0x3a21ffff,
    0x883fffff,0x000dffec,0x00bbff6e,0xdfffffb8,0xffffb800,0xd802efef,
    0xf91fffff,0x22bfffff,0x00002fff,0x3fff6a00,0x01dfffff,0x00bfb000,
    0x7ffffedc,0x003dffff,0x3fffffb0,0x3ffffff2,0xfffffa85,0xdf802dff,
    0xeeffeb98,0x0000dfff,0xffffffd5,0x00007dff,0x7ffffed4,0x0001dfff,
    0x7000dd00,0x0000003f,0x0000017a,0xffffffb0,0x3ffffa29,0xeeffffff,
    0xffff5000,0xd301dfff,0xfffffffd,0xffffffff,0x00dfffff,0xffffff88,
    0xffffb7ff,0x3ee5ffff,0xbfffffff,0xfffffff9,0x0555446f,0x00d55400,
    0xffffff10,0x31005fff,0x80035775,0x10000aa8,0x00000037,0x2af2a620,
    0x4c000009,0xaa88004c,0x000aabcb,0x000aa880,0x03795300,0x97510380,
    0x20000137,0x1abccba8,0x26200000,0x0009abca,0x000d4000,0x00000244,
    0x00000350,0x5bddb500,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x33333310,
    0x201bb981,0xaaaaaaa8,0x01aaaaaa,0x00a88000,0x55555544,0x2aaaaaaa,
    0xaaaaa800,0xaa81aaaa,0x55512aaa,0x55555555,0x44000335,0xaaaaaaaa,
    0x0019aaaa,0xeedb8800,0x00fcc0ac,0x555447e6,0x6cc0aaaa,0xaaaa881d,
    0xaaaaaaaa,0x05edc41a,0x26059510,0x55555533,0x55555555,0x55555555,
    0x79751005,0x2aaaa205,0xaaaaaaaa,0x5555531a,0x55555555,0x01cba801,
    0x55551019,0xa8001555,0xaa817302,0xaaaaaaaa,0x555102aa,0x05555555,
    0x2b3b2e20,0x2aaaa200,0xaaaaaaaa,0xaaaaaaaa,0x5555442a,0xaaaaaaaa,
    0xaa88001a,0xb80aaaaa,0x35ffffff,0x03dfffff,0xffffd951,0x0379ffff,
    0xfffa8000,0x3ff72204,0xefffffff,0xffd8003c,0x82dfffff,0x514fffeb,
    0xfffffff9,0xbfffffff,0x32a20017,0xffffffff,0xbdffffff,0x3fee0000,
    0x41ffffad,0x1ff100ff,0x3fffff22,0x3fffee2f,0x7ff65445,0xbcffffff,
    0x17ffff41,0x67ffff4c,0x7ffe57a1,0xffffffff,0xffffffff,0x3a207fff,
    0x1efffeff,0x7fffe544,0x1bdfffff,0xfffffb73,0x015bffff,0x177fffec,
    0xff9101f7,0x4007ffff,0x7fe46ffe,0x3ffb2a1f,0x3dffffff,0xffff9710,
    0xc8807bff,0x4fffffff,0xfffd9510,0xffffffff,0xdfffffff,0xfffeca88,
    0x1bcfffff,0xfffc8800,0xff103fff,0xfff5bfff,0x880dffff,0x1ffffffe,
    0x3fa00000,0xf8800fff,0x01ffffff,0xffffb800,0x17fc405f,0xffffff88,
    0xffeca99d,0x22000dff,0x9dffffff,0xffffeca9,0x7fd4000d,0x8bfff92f,
    0xecbceffd,0xfff986ff,0x3fffa2ff,0xffd104ff,0x2a03ffff,0x40ffffff,
    0xfffffffe,0xfff93fee,0xfff33579,0x95337fff,0x3e60fffd,0xffff71ef,
    0x7ffffc03,0x7fd402ff,0x7007ffff,0xffffffff,0xff980ffd,0xf5003fff,
    0x3fe25fff,0xfffb04ff,0x5c005fff,0xd000efff,0xffffffff,0xfffd009f,
    0x33333dff,0x0dffff95,0x7fffff44,0xf300001f,0x6c07ffff,0x8bffffff,
    0x03fffff9,0x37ffffe4,0xff100000,0x32005fff,0x006fffff,0x3ffffa00,
    0x202fc407,0x05fffffd,0x07fffff7,0x7ffffec0,0xfffff705,0x3ffea007,
    0x8dfff90f,0xfffffff8,0xfff881ff,0xffff12ff,0x7fe40dff,0x3f206fff,
    0x2a2fffff,0xffffffff,0x5ff90fff,0x3fffffe0,0x987fd882,0x3fe22fff,
    0x3ff206ff,0x4400ffff,0x05ffffff,0xfffffff0,0xf009ffff,0x2007ffff,
    0xf12ffffa,0x3ee09fff,0x4007ffff,0x32004ffc,0xffffffff,0x7e404fff,
    0x4406ffff,0x7e406ffd,0x0006ffff,0x1fffffc0,0x7fffffb0,0x05ffffc8,
    0x2fffffe4,0x3f600000,0x3f2007ff,0x0005ffff,0x3ffffee0,0x9007ea01,
    0x40bfffff,0x04fffffb,0xbfffff90,0x7ffffdc0,0xffffd804,0x503bfd10,
    0x7fffffff,0x17ffffc0,0x0ffffffb,0x2fffffe4,0xffffff30,0x7dc4f649,
    0x323fffff,0x3fffe03f,0x21fa02ff,0xffe87ffe,0x3bbb60ff,0xeeffffff,
    0xfeeeeeee,0xeeefffff,0x36a7f105,0x005fffff,0x007fffff,0x3f637ff4,
    0xfff501ff,0x7d400fff,0x3fea002f,0xfffffeef,0x7fdc07ff,0xf7006fff,
    0xffffc80d,0x7c00005f,0x3203ffff,0xfb85ffff,0x7e406fff,0x0005ffff,
    0x177ec400,0xfffff700,0x7c40000b,0x3204ffff,0xffffc806,0x7ffec05f,
    0xffc802ff,0x7ec05fff,0x7402ffff,0x4000ffff,0x01efffe9,0x317ffffc,
    0x40fffffd,0x05fffffc,0x1fffffe4,0x07b73077,0xffff80f9,0x51ee02ff,
    0xff70dfff,0xfeeed8ff,0xeeefffff,0xffeeeeee,0x5eeeffff,0x99510b30,
    0x7fffc001,0x8154003f,0x3fea00b9,0xf5007fff,0xafd8003d,0x3ffff620,
    0x3fee02ff,0x3a006fff,0x7fffe406,0x7c00005f,0x3203ffff,0xfb85ffff,
    0x7e407fff,0x0005ffff,0x2e000000,0x005fffff,0x7fffec00,0x3200fe07,
    0x405fffff,0x1ffffff9,0x7ffffe40,0x7fffcc05,0x3ffe01ff,0x310001ff,
    0x3fffe001,0x6fa8882f,0x3fffff20,0x5fb18805,0x80990000,0x02ffffff,
    0xdfffd1e2,0x407ffd10,0x06fffffb,0x7fffffd0,0x20000000,0x003fffff,
    0x7fd40000,0xfc807fff,0x0fc4000d,0x9fffffd0,0x7ffffdc0,0x80d70106,
    0x05fffffc,0x7fffc000,0x3fff203f,0xffffb85f,0x7fffe407,0x0000005f,
    0x3ffee000,0x000d45ff,0x5fffff50,0xf9003f50,0xd00bffff,0x809fffff,
    0x05fffffc,0x4fffffe8,0x3fffff30,0x3e000000,0x3202ffff,0x3fff204f,
    0x3e2005ff,0x1b80000f,0x7fffffc0,0xfff12402,0x200440df,0x06fffffb,
    0x7fffffd0,0x20000000,0x003fffff,0x7fd40000,0x36207fff,0x0330004f,
    0x4fffff98,0x3ffffee0,0x06981b06,0x2fffffe4,0x3ffe0000,0x3ff203ff,
    0xfffb85ff,0x7ffe407f,0x200005ff,0x99999999,0x01999999,0x4bfffff7,
    0x7c0001fb,0x6c85ffff,0xfffff900,0xffff900b,0x7fe401ff,0xfc805fff,
    0x980fffff,0x001fffff,0x26666666,0x7ffffc00,0xc803fe02,0x005fffff,
    0x4ccc17ea,0x00009999,0x05ffffff,0x3ffffcc0,0x3ffee000,0xffd006ff,
    0x26207fff,0x4c099999,0xfff001bb,0x998007ff,0x80099999,0x07fffffa,
    0x00005fd1,0x7fffff00,0x7ffffdc0,0x80501f06,0x05fffffc,0x7fffc000,
    0x3fff203f,0xffffb85f,0x7fffe407,0xf300005f,0xffffffff,0x20dfffff,
    0x8dfffffb,0xc80003fd,0x7c0fffff,0xffff9003,0xfff300bf,0x7e407fff,
    0x9805ffff,0x83ffffff,0x01fffff9,0xfffffd10,0xffff805f,0x809f502f,
    0x05fffffc,0x3a203f60,0x02ffffff,0xffffff00,0x7ffd4005,0x2e0000ff,
    0x006fffff,0x07fffffd,0x3fffffee,0xdfffff35,0xfffff803,0x3ffa2003,
    0xa802ffff,0xa87fffff,0x000001ef,0x03ffffd0,0x37ffffdc,0x640007c4,
    0x005fffff,0x7ffffc00,0x3ffff203,0x7ffffb85,0x7ffffe40,0xff300005,
    0xfffe8339,0xfff702ff,0x003fddff,0x3fffe600,0x4003ea2f,0x05fffffc,
    0xffffff88,0x3ffff205,0xfff8805f,0xff985fff,0x54001fff,0x402fffff,
    0xa82fffff,0xfffc804f,0xfd8805ff,0x7fffd401,0xfff0002f,0x5c005fff,
    0x001fffff,0x3ffffee0,0xffffd006,0x7ffc407f,0xffffadff,0x7fc06fff,
    0xa8003fff,0x802fffff,0x47fffffa,0x00000efb,0x1bfffe00,0xdfffff70,
    0x90001f90,0x00bfffff,0xfffff800,0x3ffff203,0x7ffffb85,0x7ffffe40,
    0x4c002605,0xffff703f,0x7ffdc0bf,0x0000efff,0x2fffffc0,0x7fe400db,
    0xff005fff,0x640dffff,0x005fffff,0x0dffffff,0x03fffff3,0xfffff880,
    0x7ffffc02,0xc801fe42,0x405fffff,0xf8801ee9,0x0002ffff,0x05ffffff,
    0x7ffffcc0,0x3fee0002,0xfd006fff,0xd807ffff,0x8bffffff,0x03fffff9,
    0x30fffffe,0x7ffc4059,0xffa802ff,0x3ff67fff,0x0000000f,0x807ffff1,
    0x46fffffb,0xc8000ff9,0x005fffff,0x7ffffc00,0x3ffff203,0x7ffffb85,
    0x7ffffe40,0x009ffd05,0xfff101f3,0x7dc01fff,0x0006ffff,0xfffff900,
    0xcc980fe1,0xefffffec,0x7c2ccccc,0x267fffff,0xffffeccc,0x2cccccef,
    0x3ffffffc,0x0fffffcc,0x7ffffc00,0x7ffffc02,0xc8002ee2,0x405fffff,
    0x7ffc002d,0x776402ff,0xfffffeee,0x1eeeeeef,0x5fffff88,0x3ffee000,
    0xaaaaafff,0xfffeaaaa,0x7fec03ff,0x7fe43fff,0x3ffe05ff,0x3ffea3ff,
    0x3ffffe04,0xffffa802,0xffffe8ff,0x8000000e,0xb806fffa,0x98efffff,
    0x8000fffb,0x05fffffc,0x7fffc000,0x3fff203f,0xffffb85f,0x7fffe407,
    0xffffa85f,0xfd824c00,0x5c03ffff,0x005fffff,0xffff3000,0x4c01f57f,
    0xfffffeee,0x2eeeeeff,0x7ffffff4,0xfffddd30,0xddddffff,0xffffe85d,
    0x7ffcc0ff,0xff8001ff,0x7fc02fff,0x40002fff,0x05fffffc,0xffff8000,
    0x7fff402f,0xffffffff,0x02ffffff,0x05ffffff,0x3fffee00,0xffffffff,
    0xffffffff,0x7ffe403f,0xffffb85f,0x3ffffe06,0x81ffffa3,0x802fffff,
    0xfffffffa,0x05ffffff,0xffd80000,0xfffb800f,0xffffffff,0xffc8000f,
    0x00005fff,0x01fffffc,0x70bffff9,0xc80fffff,0xb85fffff,0x0801ffff,
    0x6fffff98,0xfffffb80,0x3a000005,0x06deffff,0x7ffffe40,0xffffd005,
    0x3ff201ff,0xfd005fff,0x981fffff,0x001fffff,0x02fffff8,0x017ffffc,
    0x3ffff200,0xf800005f,0x0002ffff,0x05ffffff,0xfffffc80,0x2e05100f,
    0xaaffffff,0xeaaaaaaa,0x403fffff,0xb85ffffc,0x3e07ffff,0x3f63ffff,
    0x3ffe06ff,0xffa802ff,0xfffeffff,0x0003ffff,0x0bffe200,0x7ffffdc0,
    0x0fffecbe,0xffffc800,0x7c00005f,0x3603ffff,0xfb85ffff,0x7e407fff,
    0xf885ffff,0x3a0006ff,0x802fffff,0x05fffffc,0xfffff800,0xffffffff,
    0x06ffffff,0x0bfffff9,0x3fffffe0,0x3ffff206,0xffff005f,0xfff30dff,
    0xff0003ff,0xff805fff,0x40002fff,0x05fffffc,0xffff8000,0xfff0002f,
    0x88005fff,0x0dffffff,0xffb8074c,0xfd006fff,0xc807ffff,0xfb85ffff,
    0x3fe07fff,0x3fe63fff,0x3fffe02f,0xfffa802f,0xffff57ff,0x00005fff,
    0x8013ff20,0x46fffffb,0xc8000ffd,0x005fffff,0x7ffffc00,0x3ffff603,
    0x7ffffb86,0x7ffffe40,0x00177105,0x3ffffee0,0xffffd805,0xc80005ff,
    0xffcccccc,0xccccffff,0xfff903cc,0x3fe00bff,0x3205ffff,0x005fffff,
    0x0bffffff,0x03fffff3,0x5fffff00,0x2fffff80,0x7ffe4000,0x800005ff,
    0x002fffff,0x5ffffff0,0xffff7000,0x3fd9dfff,0x7ffffdc0,0xffffd006,
    0xfffc807f,0xffffb85f,0x3ffffe07,0x7fc00a83,0xfa802fff,0x3ee7ffff,
    0x00ffffff,0x37fcc000,0x3fffee00,0x000fe86f,0x5fffffc8,0x7ffc0000,
    0xfff303ff,0x7f443fff,0x3202ffff,0x005fffff,0xfff88010,0x3a200fff,
    0x5fffffef,0x3a001000,0x8006ffff,0x05fffffc,0xffffff88,0x3ffff204,
    0xfff8805f,0xff984fff,0xf8001fff,0x7c02ffff,0x0002ffff,0x2fffffe4,
    0x3fe00800,0xf0002fff,0x005fffff,0x3ffffee0,0x5c02ffff,0x006fffff,
    0x07fffffd,0x85ffffc8,0x207ffffb,0x003fffff,0x05fffff0,0xffffff50,
    0xffffffd8,0x7f400006,0x7fdc000e,0x0fa86fff,0xffffc800,0x2010005f,
    0xb83fffff,0xffffffff,0xffffff9b,0xfff906ff,0x1e000bff,0x7fffffb0,
    0x7dcf7c40,0x0005ffff,0x3fffa00d,0xffc8006f,0xf9805fff,0x202fffff,
    0x05fffffc,0xffffff98,0xfffff982,0xffff8001,0x7fffc02f,0x7e40002f,
    0x0005ffff,0x7ffffc0f,0xffff0002,0x4c0005ff,0x1dfffffe,0xfffffb80,
    0xffffd006,0xfffc807f,0xffffb85f,0x3ffffe07,0xffff0003,0xfff5005f,
    0xffe88fff,0x0005ffff,0x0001df90,0x0dfffff7,0xc80c01f1,0x005fffff,
    0x3fffe0f0,0x0000003f,0xbfffff90,0x4c0d3000,0x406fffff,0xffff70d8,
    0x0d3000bf,0x1bffffa0,0x3ffff200,0xfffa805f,0x3f200fff,0xa805ffff,
    0x80ffffff,0x01fffff9,0x2fffff80,0x17ffffc0,0x3fff2000,0x698005ff,
    0x0bffffe0,0x7ffffc00,0xb880002f,0x7fdc001f,0xfd006fff,0xc807ffff,
    0xfb85ffff,0x3fe07fff,0xf0003fff,0x5005ffff,0x30ffffff,0x7fffffff,
    0x0efa8000,0xfffb81c0,0x201d06ff,0xffff904a,0x0d3000bf,0x00fffffe,
    0x0059dd10,0x3fffff20,0x205c8005,0x02fffffe,0x3fffee01,0x25c8005f,
    0xffffffff,0xffffffff,0xff906fff,0xfd00bfff,0xc805ffff,0x805fffff,
    0x02fffffe,0x03fffff3,0x5fffff00,0x2fffff80,0x7ffe4000,0x5c8005ff,
    0x0bffffe0,0x7ffffc00,0xfd00002f,0xfffb8005,0xffd006ff,0xfc807fff,
    0xffb85fff,0x3ffe07ff,0xff0003ff,0xf5005fff,0x2a0fffff,0x1fffffff,
    0x01ff1000,0xfff705b8,0xd8060dff,0xfffff903,0x20b9000b,0x003fffff,
    0x00ffffcc,0x7ffffe40,0x82fc4005,0x05fffffb,0x3ffee091,0x7c4005ff,
    0x2aaaaaa4,0xaeffffea,0x902aaaaa,0x80bfffff,0x06fffff9,0x5fffffc8,
    0x7ffffcc0,0x3fffe606,0xfff8001f,0x7ffc02ff,0x640002ff,0x005fffff,
    0xfff02fc4,0x3e0005ff,0x002fffff,0x03fffc80,0x3ffffee0,0xffffd006,
    0xfffc807f,0xffffb85f,0x3ffffe07,0xffff0003,0xfff5005f,0x7fe40fff,
    0x000fffff,0x73301fe8,0x3ffee07f,0x7cc006ff,0xfffff902,0x05f8800b,
    0x007fffff,0x009ffd30,0xbfffff90,0x884fd800,0x00ffffff,0x3ffee097,
    0x7ec005ff,0xffffd004,0xfff9000d,0xffd80bff,0xfc801fff,0x6c05ffff,
    0x201fffff,0x01fffff9,0x2fffff80,0x17ffffc0,0x3fff2000,0x7ec005ff,
    0x3ffffe04,0xffff0002,0x100005ff,0x5c00dffb,0x006fffff,0x07fffffd,
    0x85ffffc8,0x207ffffb,0x003fffff,0x05fffff0,0xffffff50,0xfffffd80,
    0x3f6000ef,0xffffffff,0xff702fff,0x4400dfff,0xfff900fe,0xfd800bff,
    0x7fffff04,0x17ff2000,0x3ffff200,0x3ff6006f,0xfffffd83,0x3207f303,
    0x006fffff,0x7400ffee,0x8006ffff,0x05fffffc,0x07bfffea,0x7ffffe40,
    0x3fffea05,0x7ffcc01e,0xff8001ff,0x7fc03fff,0x40003fff,0x06fffffc,
    0xf80fff60,0x0003ffff,0x07ffffff,0x1bfea000,0xfffffb80,0xfffff007,
    0xfffd807f,0xffffb85f,0x3ffffe07,0xffff0003,0xfff5007f,0xff880fff,
    0x005fffff,0xfffffff7,0x01ffffff,0x1bffffee,0x903ff440,0x00dfffff,
    0xff81ffec,0x88003fff,0xd8002fff,0x00ffffff,0x217ffec4,0x06fffff9,
    0x3f205ff3,0x400fffff,0x002fffd8,0x00ffffff,0xdfffffb0,0x37ffff20,
    0x3fff6000,0xfff906ff,0xff7001bf,0x88007fff,0x203fffff,0x03fffff8,
    0x7fffec00,0x7ec400ff,0xfff102ff,0x3e0007ff,0x003fffff,0x009ffb00,
    0x3fffffe4,0xffffff80,0x7fffec04,0x7ffffb86,0x7fffff10,0xffff1000,
    0xfff7007f,0xff700fff,0x80bfffff,0xfffffffa,0x07ffffff,0x3ffffff2,
    0x3ffee200,0x3ffff606,0x7ec400ff,0xfff882ff,0x36a003ff,0x98003fff,
    0xefffffff,0xfedbaacc,0x7f41ffff,0xaa9bffff,0x982fffeb,0xefffffff,
    0xfecbaaab,0xd801ffff,0x04ffffff,0x3ffffea0,0xffdcbdff,0x54002dff,
    0xdfffffff,0xdffffdcb,0x3fff6002,0x7dc005ff,0x700effff,0x01dfffff,
    0x3fffe600,0xaaccefff,0xfffffedb,0xfffff701,0xffc8001d,0x001fffff,
    0x09fffb30,0x7ffffcc0,0x7fdc04ff,0x301fffff,0x43ffffff,0x2fffffe8,
    0xefffffb8,0x7ffdc000,0x3e200eff,0x04ffffff,0x7fffffdc,0xff881eff,
    0xffffffff,0xf305ffff,0x9fffffff,0xfffd9955,0x3fe60bff,0xccefffff,
    0xfffedbaa,0xfffb81ff,0x53000eff,0xee980035,0xffffffff,0xffffffff,
    0x2e0fffff,0xffffffff,0x1fffffff,0xfffffdd1,0xffffffff,0xffffffff,
    0xfffdd101,0xdfffffff,0xfffdd307,0xffffffff,0x98005bdd,0xffffffee,
    0xdeefffff,0x7ffec002,0x05ffffff,0x7fffffc4,0x3fe23fff,0x3fffffff,
    0xfffdd300,0xffffffff,0xffffffff,0xfff881ff,0x03ffffff,0x7fffff5c,
    0x0eefffff,0x026aa600,0x3fffba20,0xefffffff,0xfffffd53,0x1ddfffff,
    0x3fffffee,0xffff9bff,0xff16ffff,0x7fffffff,0xfffff100,0x7447ffff,
    0xfffffffe,0x3e60efff,0xffffffff,0x3fa1ffff,0xffffffff,0x224fffff,
    0xffffffee,0xffffffff,0x24ffffff,0xfffffee9,0xffffffff,0xffffffff,
    0x3ffffe20,0x0003ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xaa880000,
    0xaaaaaaaa,0x2aaa0001,0x2aaaaaaa,0xdeedcb80,0x55555441,0x9aaaaaaa,
    0x10000999,0x55555555,0x26355555,0xaaaaaaaa,0x530aaaaa,0x55555555,
    0x00033355,0xaaaaaaa8,0xaaaaaaaa,0x22aaaaaa,0x1aaaaaa9,0x55554000,
    0xaaaaaaaa,0x36a00009,0xaaaa980c,0x530001aa,0x55555555,0xaaa80555,
    0x530aaaaa,0x55555555,0x55555555,0x00555555,0x88000900,0xaaaaaaaa,
    0x001aaaaa,0x53017b20,0x55555555,0x55555555,0x44001555,0x5555105b,
    0x55555555,0x20013335,0xaaaaaaa8,0xa82aaaaa,0xaaaaaaaa,0x88053001,
    0xaaaaaaaa,0x2200aaaa,0xfffffeca,0xf30006ff,0xbfffffff,0x77f54057,
    0x222fffd9,0xffffffcb,0xffffffff,0x22001def,0xfffffeca,0x731bdfff,
    0xfffffffb,0x2e6159df,0xfffffffc,0xdfffffff,0x3b2a000b,0xffffffff,
    0xffffffff,0xffd50fff,0x8000bfff,0xfffffecb,0xefffffff,0xfff9001d,
    0xfffea81f,0xb50005ff,0xffffffff,0xfda8059f,0xf90dffff,0xffffffff,
    0xffffffff,0x00ffffff,0x0001f980,0x3fffb2a2,0x1bdfffff,0x0dff7000,
    0xffffffc8,0xffffffff,0x005fffff,0x220fff91,0xfffffecb,0xffffffff,
    0x32200cef,0xffffffff,0xfcb82cff,0x01ceffff,0x7cc03f88,0xffffffff,
    0xd1000fff,0x3fffffff,0xffff9000,0xf7007fff,0x3ffee5ff,0xfffff106,
    0xf953339f,0x0009ffff,0x3ffffffa,0x7fffcc01,0x7cc00eff,0x99cfffff,
    0xcfffffca,0x7ffec000,0x99999fff,0x0fffffba,0x02fffffc,0xffffb000,
    0xfff753bf,0x7c403dff,0xfd03ffff,0x8000bfff,0xfffffff9,0x77fc4003,
    0x56fffe40,0xfffff999,0xffba99bf,0x7ec0007f,0xfd100005,0x003fffff,
    0x06fff980,0x4e7fffec,0xffa99999,0x400fffff,0x07ffffc9,0xfffffe88,
    0xfffda99d,0x74400eff,0x2fffffff,0x03fffb80,0x2601fec0,0xffffffff,
    0x2000ffff,0xfffffefc,0x7efc4005,0x400fffff,0xf71ffff9,0x7fec0dff,
    0xfd104fff,0x8003dfff,0x07fffffb,0x9ffffff0,0x3ffffa00,0xfffc884f,
    0x3ee002ff,0xb807ffff,0x7fec0fff,0x200005ff,0x45fffffb,0x1fffffd8,
    0x7fffff10,0x17ffff60,0x3ffee000,0xf8005fff,0x01ffc81f,0x05ffffff,
    0x4000ffd1,0x0000fff8,0xdfffff90,0xffe88000,0x1ffec06f,0x7ffffec0,
    0x3ff6603f,0x9007ffff,0x509fffff,0x05ffffff,0xffffff98,0x3ff9803f,
    0x01ffd400,0x3bbbbba6,0x00eeeeee,0x3ffefee0,0x2e000fff,0xffffffaf,
    0x7fffe400,0x405dfb11,0x04fffffc,0x1bffffe6,0xfffff700,0x3fffa00d,
    0xffb003ff,0x7e409fff,0x5002ffff,0x00ffffff,0xffb03fe2,0x40000bff,
    0x85fffffa,0x0ffffff8,0x01ffffb0,0x017ffff6,0x7ffff400,0x3ea000ff,
    0x7c07f903,0x202fffff,0x3f20007e,0x700004ff,0x00dfffff,0x6ffffd80,
    0x5401ff40,0x06ffffff,0xffffbdd1,0x3ee00fff,0xf504ffff,0x700fffff,
    0x1fffffff,0x4004fc80,0x0003fff9,0x47dc0000,0x04ffffff,0x3ffe77a0,
    0x7f400fff,0xc8001fff,0x404fffff,0x03fffffe,0x3ffffee0,0xffffd006,
    0x3ff6007f,0x7f404fff,0xa801ffff,0x007fffff,0xfffb03ee,0x540000bf,
    0xb05fffff,0x209fffff,0x3201dfc8,0x0005ffff,0xffffff30,0x90374009,
    0xfffff80d,0x001ea02f,0x03ffffc4,0xffffb800,0x3ee0006f,0x7c06ffff,
    0xffffd004,0xf10403ff,0x200fffff,0x04fffffb,0x0bfffffe,0x3fffff60,
    0x017e605f,0x07ffff50,0xb8000000,0xffffff97,0x3e67e600,0xf807ffff,
    0x8001ffff,0x04fffffc,0x2fffffe4,0xfffff700,0x3fffa00d,0xffb003ff,
    0xfa809fff,0x400effff,0x07fffffa,0xffb03e20,0x40000bff,0x05fffffa,
    0x0bfffff7,0xffff9000,0x7ec0000b,0x801fffff,0x013201fb,0x05ffffff,
    0xff700078,0x00007fff,0x0dfffff7,0x3fffe600,0x00fc06ff,0x7fffffe4,
    0x7fff4004,0xfff7007f,0x7ff409ff,0xf8804fff,0x02ffffff,0x7dc001dd,
    0x999cffff,0x0de54c00,0x7c5ee000,0x802fffff,0xfffff36d,0xffff880f,
    0xffc8001f,0x7dc04fff,0x2006ffff,0x06fffffb,0x7fffffd0,0x3ffff600,
    0x7ffc404f,0x7d403fff,0x0a07ffff,0xffffb03a,0x7d40000b,0xf505ffff,
    0x000fffff,0x0bffff90,0x7ffcc000,0x7c405fff,0x3e00dc04,0x402fffff,
    0xffff0004,0x70000dff,0x00dfffff,0x3ffefba0,0x201a206f,0xfffffff9,
    0x7ffec000,0xfff7007f,0x7fec09ff,0xf7006fff,0x81ffffff,0x3f2001fd,
    0xffffffff,0xdfff306f,0x0003bffd,0x7fffecf7,0x99fc406f,0x107fffff,
    0x5fffff33,0x7fe40033,0x7dc04fff,0x2006ffff,0x06fffffb,0x7fffffd0,
    0x3ffff600,0xfffd804f,0x7fd406ff,0x03e07fff,0xbffffb01,0x33333330,
    0x7fffd401,0xffff705f,0x999998ff,0xfff90099,0x01bb98bf,0xfffffc80,
    0x003f201f,0x3ffffe00,0xa800002f,0x2fffffff,0x7ffdc000,0xfc8006ff,
    0x06ffffb9,0x3ffa0062,0x8002ffff,0x007ffffd,0x09fffff7,0x27fffff4,
    0xfffffb00,0x0017dcbf,0xfffffdd3,0xf509dddd,0x7ffdc5ff,0xf53dc003,
    0x403fffff,0x3fffe67b,0xffffb07f,0x00ffffff,0x27ffffe4,0x3fffff60,
    0x3ffee004,0xffd006ff,0x36007fff,0x804fffff,0x1ffffffa,0x3ffffea0,
    0xb001f307,0xe88bffff,0x04ffffff,0x17ffffea,0x2fffffe4,0xffffffd1,
    0x3ffff205,0xdfffff35,0x7ffc4001,0x7f306fff,0x3ffe0000,0x00002fff,
    0xffffede8,0x7dc0005f,0x4006ffff,0xffff73fa,0xffb8000d,0x0005ffff,
    0x00fffffb,0x13ffffee,0x7fffffc4,0x3ffe2001,0x3faaffff,0x3fffa000,
    0x7ffdc03f,0x02fffe85,0xfffd1ee0,0x327c0bff,0x20ffffff,0xfffffeec,
    0x3f2005ee,0x7c04ffff,0x002fffff,0x1bffffee,0x7fffff40,0xffffb003,
    0xfff3009f,0x7d409fff,0xf907ffff,0xffffb001,0x0fffea0b,0x3ffffea0,
    0xfffffb05,0xfffff507,0x3ffff205,0xffffffad,0x7fdc006f,0x6e82ffff,
    0x3ffe0000,0x00002fff,0x7ffd4fcc,0x20001fff,0x06fffffb,0xffb97e20,
    0x220006ff,0x0fffffff,0xffffb000,0x3ffee00f,0xfffb04ff,0xf50009ff,
    0xbfffffff,0xfffe8000,0x7fffc03f,0x0ffffb83,0xffb8f700,0xfa80ffff,
    0x3ffffe60,0x7fffc407,0xffc8001f,0x3ea04fff,0x4005ffff,0x06fffffb,
    0x7fffffd0,0x3ffff600,0xfff9804f,0x3ea05fff,0xfa87ffff,0xfffd800f,
    0x03ff305f,0x3ffffea0,0xfffff985,0xfffff106,0x3ffff205,0xfff88bff,
    0x3e2003ff,0x5c6fffff,0x3e00001f,0x002fffff,0xfff36c00,0x40009fff,
    0x06fffffb,0xffb83ba0,0x360006ff,0x03ffffff,0x3ffff600,0xffff7007,
    0xfffd889f,0x360002ff,0x07ffffff,0xffffe800,0x3fffee03,0x3ffffa82,
    0xff88f700,0x5d84ffff,0x3fffffcc,0x3ffffe20,0xfffc8001,0xfff704ff,
    0xb8001dff,0xaaffffff,0xeaaaaaaa,0x003fffff,0x09fffffb,0xffffff10,
    0x7fffd40d,0xfff9517f,0xffffb001,0x8003ba0b,0x45fffffa,0x0effffe9,
    0x0bffffe0,0x1fffffe4,0x017ffff2,0xffffff70,0x00013e27,0x5ffffff0,
    0x17c40000,0x1ffffff7,0x3ffee000,0x3f9006ff,0x06ffffb8,0xfffff300,
    0xfd8000df,0xf7007fff,0xb99bffff,0x015bffff,0xffff8800,0x40002fff,
    0x203ffffe,0xa81fffff,0x7005ffff,0xfffff90f,0x7cc2f88f,0x4407ffff,
    0x001fffff,0xdfffffc8,0xfffecaaa,0xf70002ef,0xffffffff,0xffffffff,
    0x2007ffff,0x04fffffd,0xfffffff0,0x7ffffd40,0xffffffff,0xffffd800,
    0x4000ed85,0xaefffffa,0xcfffffdb,0x7ffffc00,0xdffff902,0x0dffff70,
    0xfffffd00,0x00003f2f,0x5ffffff0,0x23e40000,0x3ffffff8,0xffff7000,
    0x07f500df,0x00dffff7,0x3fffffa0,0x7ec0001f,0xf7007fff,0xffffffff,
    0x015bffff,0xffff5000,0x98001fff,0xefffffee,0xfff14eee,0xfff303ff,
    0x21ee00df,0x2ffffff8,0x3ffe61b2,0x7fc407ff,0xc8001fff,0xffffffff,
    0x03ffffff,0x7fffdc00,0xaaaaaaff,0xffffeaaa,0xfffb003f,0x3fe009ff,
    0x2a07ffff,0xdbffffff,0x800fffff,0x6c5ffffd,0xffa8000e,0xffffffff,
    0xff000bde,0x3f205fff,0xffb85fff,0xfa8007ff,0x3fdfffff,0xfff80000,
    0x00002fff,0xfffb07f1,0x2e000fff,0x406fffff,0xfff705f8,0xff7000df,
    0x000bffff,0x0fffffb0,0x3ffffee0,0xfffd7334,0x800019ff,0x5ffffffd,
    0x7ff74c00,0x4eeeefff,0x01fffff5,0x01fffff3,0x3ff60f70,0x20fe6fff,
    0x07fffff9,0x0fffffc4,0x7fffe400,0xfffff54f,0xfb8000bf,0xd006ffff,
    0x007fffff,0x13fffff6,0x3ffffe20,0x3ffea05f,0x3faa27ff,0xfffd800f,
    0x0017f65f,0x2fffffd4,0xffff8000,0xffff902f,0xfffff70b,0x3fffa000,
    0x00006fff,0x5ffffff0,0x03ee0000,0x3fffffe6,0xfffb8002,0x07f406ff,
    0x06ffffb8,0x7ffffc40,0xd80000ff,0x7007ffff,0x109fffff,0x3ffffffd,
    0x7ffd4000,0x0002ffff,0x207ffffd,0x80fffffb,0x02fffff9,0xfff507b8,
    0x01f53fff,0x0ffffff3,0x1fffff88,0xffffc800,0x3ffff24f,0x2e0003ff,
    0x006fffff,0x07fffffd,0x3fffff60,0xffff9804,0x3fea04ff,0xfe887fff,
    0xffffd800,0x007fffb5,0xbfffff50,0x3ffe0000,0xfff902ff,0xffff70bf,
    0x3fe6000f,0x0003ffff,0xffffff00,0x13e00005,0x6fffffe8,0xffffb800,
    0x80bf206f,0x006ffffb,0x7fffffec,0xffb00003,0x3ee00fff,0x3604ffff,
    0x00efffff,0xfffef980,0x8000ffff,0x703ffffe,0x301fffff,0x005fffff,
    0x7fff40f7,0xf304edff,0x880fffff,0x001fffff,0x4fffffc8,0x3fffffa2,
    0xff70001f,0x3a00dfff,0x003fffff,0x09fffffb,0xffffff50,0x7fffd405,
    0x001f507f,0xfbbffffb,0x8001ffff,0x05fffffa,0xfffff000,0x3ffff205,
    0x7ffffb85,0x3fffa000,0x000003ff,0x05ffffff,0x401f5000,0x1ffffffa,
    0x7fffdc00,0x3fffe06f,0xffffffff,0x401fffff,0x6ffffffa,0xffb01c00,
    0x3ee00fff,0x2a04ffff,0x04ffffff,0xffcb7440,0x8005ffff,0x503ffffe,
    0x501fffff,0x003fffff,0x7ffdc0f7,0xf301ffff,0x880fffff,0x001fffff,
    0x4fffffc8,0x7fffffcc,0xfff70006,0x3fa00dff,0xb003ffff,0x009fffff,
    0x3ffffff7,0x7ffffd40,0x36003e07,0xffefffff,0x54005fff,0x005fffff,
    0x5fffff00,0x17ffff20,0x01ffffee,0xfffffe80,0xff000003,0x0005ffff,
    0xffffffd0,0xffffffff,0xffb800bf,0x3fe06fff,0xffffffff,0x1fffffff,
    0x3ffffe20,0x166001ff,0x07ffffd8,0x9fffff70,0x7ffffc40,0x07ec006f,
    0x7ffffffd,0xffffe800,0xfffff103,0xfffff501,0x440f7001,0x06ffffff,
    0x1fffffe6,0x3fffff10,0xffff9000,0xffff909f,0xf70009ff,0x200dffff,
    0x03fffffe,0x9fffffb0,0xfffff900,0xffffa80d,0x2003a07f,0xc8effffd,
    0x003fffff,0x17ffffea,0x7fffc000,0xffff902f,0xfffff70b,0x7fff4000,
    0x000003ff,0x05ffffff,0xcccf9800,0xfdcccccc,0x000fffff,0x1bffffee,
    0xfffffff8,0xffffffff,0x3ff201ff,0x4004ffff,0x3fff604c,0xfff7007f,
    0xffe809ff,0x32007fff,0x7fffcc1f,0x3a000fff,0x3e03ffff,0xfa81ffff,
    0xf7006fff,0xfffffc80,0x3fffe602,0x7ffc407f,0xfc8001ff,0xfd04ffff,
    0x003fffff,0x6fffffb8,0xfffffd00,0x3fff6007,0xfff804ff,0x7d401fff,
    0x0a07ffff,0x2ffffec0,0x01fffffd,0x3ffffea0,0xfff00005,0x3ff205ff,
    0xfffb85ff,0x3fa0007f,0x0003ffff,0xffffff00,0x06d80005,0xffffff10,
    0x7ffdc009,0x3ffe06ff,0xffffffff,0x01ffffff,0xdffffff3,0x6c07d000,
    0x7007ffff,0x809fffff,0x07fffffe,0x3f205f50,0x005fffff,0x813ffffa,
    0xb82ffffb,0x7003ffff,0xffff880f,0x7fffcc07,0x7ffc407f,0xfc8001ff,
    0xf104ffff,0x01ffffff,0x7ffffdc0,0xffffd006,0x3ff6007f,0x7dc04fff,
    0xa804ffff,0x007fffff,0x5ffffd80,0x1bffffe6,0x7ffffd40,0xfff00005,
    0x3ff205ff,0xfffb85ff,0x3fa0007f,0x0003ffff,0xffffff00,0x17cc0005,
    0xfffff900,0x3fee001f,0x26606fff,0xc9999999,0x019effff,0x3ffffffa,
    0x017e4002,0x00fffffb,0x13ffffee,0xffffff88,0x404f9805,0x3ffffffe,
    0xbffffb00,0x3fffe1c4,0x06fffc83,0x3f601ee0,0x7fcc04ff,0x2200ffff,
    0x001fffff,0x4fffffc8,0x3ffffee0,0x3fee005f,0xfd006fff,0x2007ffff,
    0x04fffffd,0x07fffff4,0x7ffffd40,0xffd80007,0x7ffdc5ff,0xffa804ff,
    0x00005fff,0x205fffff,0xb85ffffc,0x0007ffff,0x0ffffffa,0x7ffc0000,
    0x20002fff,0x7fcc007d,0x7003ffff,0x00dfffff,0x6ffffb80,0x7ffffdc0,
    0x7fd4005f,0x3ffff601,0xffff7007,0x7ffd409f,0x7cc02fff,0xffff9806,
    0xfc800fff,0x0d99ffff,0x7c37ffd4,0x2e002fff,0x0fff9807,0x7ffffcc0,
    0x3ffe200f,0xfc8001ff,0x6c04ffff,0x03ffffff,0xdfffff70,0x3ffffa00,
    0xfffb003f,0x7fdc09ff,0xf5000eff,0x000fffff,0x0bffffb0,0x03fffffd,
    0x5fffffa8,0xffff0000,0x3fff607f,0xffffb85f,0x3ffa0007,0x00003fff,
    0x5ffffff0,0x017e6000,0x3fffff60,0xfffb800f,0x5c0006ff,0x2206ffff,
    0x0fffffff,0x1fffb100,0x3ffffec0,0xfffffc80,0xffffd104,0x1fe8809f,
    0xfffff900,0x3ffa00df,0xf502ffff,0x7ffe47ff,0x017f4001,0x7d402ff4,
    0x201fffff,0x02fffff8,0xfffffd80,0x7fffc405,0xfc801fff,0xf007ffff,
    0x009fffff,0x17fffffa,0x027fffec,0x3ffffee0,0xffd80007,0xfff985ff,
    0x3ee00eff,0x0006ffff,0x3fffff88,0x0dffffb0,0x01fffff7,0x3ffffe00,
    0xf000004f,0x007fffff,0x20017fa0,0x4ffffffb,0xfffffc80,0x7fdc0007,
    0x3ff606ff,0x5003ffff,0xe80fffff,0x800fffff,0x87fffffc,0x5fffffe8,
    0x003ff440,0xfffffff1,0xffd71009,0xffe9805b,0x000dffff,0x200fffe4,
    0x7f4401fb,0x205fffff,0x0dfffffb,0x3fffea00,0x7d401fff,0x01ffffff,
    0x3fffffe6,0x7ffdc03f,0x5c01ffff,0xdfffffff,0xdffffdcb,0x7ffc4002,
    0x0004ffff,0x3fffffe6,0xfffffe80,0xfffe880d,0x40002fff,0x0efffffb,
    0x7fffffcc,0x3ffffa21,0xffb8003f,0x001fffff,0x7fffe400,0x2a000eff,
    0x4002fffe,0xfffffffc,0x3fffe603,0x20003fff,0x506ffffb,0x5fffffff,
    0xb9975555,0x0ffffffd,0x7fffffe4,0x7fffcc05,0xfecbefff,0x201dffff,
    0x03ffffb8,0xffffff50,0x020019ff,0x00ddcc00,0x3ffffa20,0x81a04fff,
    0xffffffed,0xd94effff,0xffffffff,0x7fff4c0d,0xffffffff,0xffff900e,
    0x7744dfff,0xffffffff,0xffd53eff,0xffffffff,0x3ffaa1dd,0xffffffff,
    0x001ceeff,0x7ffff744,0x3effffff,0x3ffff200,0x3f64ffff,0x2fffffff,
    0xfffffffb,0x003dffff,0x7fffffc4,0xfff73fff,0xf37fffff,0xdfffffff,
    0xffffdd00,0xddffffff,0x3fae0009,0xffffffff,0x3f200eef,0x06efffff,
    0x3fffffaa,0x11ffffff,0xffffffdd,0x007dffff,0x86ffffb8,0xfffffff8,
    0xffffffff,0xffffffff,0x7ffff746,0x4effffff,0xffffffd1,0xdfffffff,
    0xfc80379b,0xefffffff,0xfffffa81,0x2fffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x55555510,0x00555555,0xaa880393,
    0xaaaaaaaa,0x14c000aa,0x55555510,0xa8555555,0xcccccccc,0xcccccccc,
    0x55531ccc,0x55555555,0x00000003,0x000774c0,0x001f6c00,0x26000000,
    0x0c009bca,0x26003000,0x000accba,0x05797510,0x01bca980,0x85665440,
    0x4cccc438,0x4c419999,0x33109999,0x4c413333,0x44099999,0x99999999,
    0x33333310,0x4cccc133,0x26666621,0x26666209,0x882ea099,0x00000001,
    0x2600a000,0x95100acb,0x1c980137,0x99999998,0xffffa800,0x7fffffff,
    0x037ffec0,0xfffffff1,0x003fffff,0xff501f44,0xffffffff,0x0000b8ff,
    0x3fff6530,0xffffffff,0x7ec00005,0x0ffa8004,0x4fe80000,0xcba88000,
    0x880f441b,0x1efedffe,0xcb983fb0,0x02fcc0ac,0xffffdff7,0x7f44007f,
    0x01efffef,0x7f77ffcc,0x7fd401df,0x46eeffef,0xfffffffb,0x7fff4c5f,
    0xfffff92f,0x7fffd49f,0x7ffdc6ff,0xf91effff,0x3bffffff,0xc87fffec,
    0x24ffffff,0x6ffffffa,0x3e63fff9,0x000000be,0x7fb88000,0xfddffb30,
    0xfeffc8bf,0xfff901ef,0x7ffff44d,0xffa802ff,0xffffffff,0x3ffe207f,
    0xfff102ff,0xffffffff,0x1fec003f,0xffffff50,0xb8ffffff,0x25300000,
    0xfffffffd,0x4405ffff,0xf701bcca,0xfa8009ff,0xe800000f,0x3a20004f,
    0x1effeeff,0x3bfea0db,0x985fff10,0xffe99fff,0xfa9dffff,0x6ff4c1ff,
    0x0bfffee0,0x5c7bfe60,0xf501ffff,0x7ffdc5ff,0x21fff303,0xf986ffc9,
    0x203fffff,0x7fc40efc,0xffe84fff,0xfff986ff,0xfffa87ff,0x0bf706ff,
    0x09fffff1,0x36dffffd,0xfff33fff,0x0000039f,0xfffb3000,0x47fff30f,
    0xffd9effa,0x885fff31,0x542fffff,0x802fffff,0xeeeeeeea,0x2e06eeee,
    0x105fffff,0xdddddddd,0x2003dddd,0x3aa03ffa,0xeeeeeeee,0x0005c6ee,
    0xddd92980,0xdddddddd,0x3bffa609,0x7d41effe,0x7d4005ff,0xe800000f,
    0xff30004f,0x77ffd49f,0x2fff980e,0x2a07ffdc,0xffffffff,0xffffffff,
    0xe83fff81,0x2601ffff,0x3fe22fff,0xfffb86ff,0x82fffe85,0x7fa84ffe,
    0x5fffff70,0xfe817dc0,0xffc84fff,0xfff906ff,0xfffb01ff,0x403ea0ff,
    0xc84ffffe,0xff76ffff,0x7fff5c9f,0x000002ef,0x7fff5c40,0x7ffc42df,
    0xfffffd86,0x707ffe44,0x88bfffff,0x002fffff,0x7fcc0000,0x00002fff,
    0x1fffcc00,0x01700000,0x000a6000,0x23fffb80,0x7ec2fffb,0x7fd4004f,
    0xfe800000,0xfff98004,0x04fffc87,0xff30fffd,0xffff509f,0x7ffdc415,
    0x7fffa81f,0x04ffffd8,0x3fa1fffa,0x7ffc0fff,0xffffb83f,0x03bffe20,
    0x7ffc41f2,0x81b605ff,0xc84ffffe,0xf106ffff,0xf507ffff,0xb905ffff,
    0x27ffff40,0x737fffe4,0xffb301df,0x00039fff,0x7ffe4c00,0xfe880cff,
    0xfffa83ff,0x7ffcc2ff,0x3ffffe63,0x2fffff83,0xd8000000,0x00007fff,
    0x7fffd400,0x2e000003,0x05300000,0x3ffee000,0x0cfffe86,0xf5000df3,
    0xd000001f,0xffb0009f,0xffff50bf,0x86fffb81,0x4c0ffff8,0x3a200dff,
    0xfffd80ff,0x7fffe42f,0x0dfff505,0xfb8ffff7,0xffa82fff,0x3ffea3ff,
    0x903c40ef,0x101fffff,0x7fff405f,0xffffc84f,0x3ffff606,0xfffffd86,
    0x3fa02f85,0xffc84fff,0x0eebaeff,0x7fff5c40,0x200002df,0x2effffea,
    0x17fffe40,0x0fffffcc,0xfb1fffe6,0xfff01fff,0x530005ff,0x40015997,
    0x999882ca,0x26620999,0xf7009999,0x3339ffff,0x9bca9801,0x00001700,
    0x333330a6,0x3fe20133,0xfffb84ff,0x000cefff,0x0000ffa8,0x4004fe80,
    0xa84ffffa,0x7f44ffff,0xfff885ff,0x007ff41f,0x7d427fcc,0x7fe41fff,
    0xfffd05ff,0x87ffd10d,0xa81fffff,0x3e25ffff,0x142fffff,0x7fffff10,
    0xffe80f70,0xfffc84ff,0x3ffea06f,0x3f7e21ff,0x1ea0ffff,0x09ffffd0,
    0x35dffff9,0xffb50001,0x00019fff,0x9fffff91,0x3fffa003,0xffff881f,
    0x7fffc40f,0xff016d41,0x5c005fff,0xfffffeff,0xffc80003,0x3ea4ffff,
    0xc86fffff,0xffffffff,0xffd106ff,0x1703dfdb,0x88a60000,0x2ffffffe,
    0x05ffff90,0x007ffff5,0x001ff500,0x009fd000,0x43ffffd8,0x0ffffff8,
    0x2213fffe,0x3e62ffff,0x3ff2002f,0x443eeb80,0x885ffffd,0x2206ffff,
    0x7ffffc40,0x6ffff981,0x7ffffff4,0x3fff6004,0x7404e87f,0xfc84ffff,
    0x7fc06fff,0x23aa4fff,0x322fffff,0x7ffff404,0x6ffffc84,0xff910000,
    0x5005bfff,0x17dffffb,0x7fffc400,0xffff880f,0x2ffff887,0xfffff800,
    0x0dfe9802,0x00bfffee,0x3fffe200,0xffffe84f,0x7fff74c6,0x84eeeeff,
    0xff10effa,0x0000b85f,0xfff50530,0x3ffe05ff,0xfffa81ff,0xfa80005f,
    0xe800000f,0x7ffc004f,0x3f7a23ff,0xff31ffff,0xffffffff,0x7d49ffff,
    0x3fe6000f,0xfff71001,0xff30bfff,0xfa800fff,0xf980ffff,0x3ee0ffff,
    0x0effffff,0xfffff980,0xfd003e62,0xff909fff,0xffc80dff,0x7f4f67ff,
    0x00be5fff,0x909ffffd,0x000dffff,0xffffb500,0x7f5c417f,0x0002dfff,
    0x01fffff3,0xfffffff1,0x7fffffff,0xfffff000,0x07fff005,0x003ffffd,
    0x9ffffd00,0x0dffff90,0x01fffff4,0xf70bffe6,0x0005c1ff,0xff882980,
    0xff882fff,0xff981fff,0x554c07ff,0xfcaaaaaa,0xaaaaaabf,0x555511aa,
    0xbff55555,0x55555555,0x3ffffe25,0x3ffe3763,0xffff52ff,0x3333333d,
    0x037e4133,0x100bfe20,0xfff97ff7,0xffff50bf,0x7fdc001f,0xff980fff,
    0x3fa22fff,0x1fffffff,0x6ffffe80,0x3ffa0172,0xfffc84ff,0x7ffcc06f,
    0xf50f8aff,0x0f51ffff,0x09ffffd0,0x00dffff9,0x7fe4c000,0xffff17ff,
    0xb800019f,0x880fffff,0xaabfffff,0x01aaaaaa,0x2fffff80,0x43fffd40,
    0x004ffffd,0x4ffffe80,0x06ffffc8,0x00fffffa,0xff30fffd,0x00005c9f,
    0xffff0298,0xffff505f,0xffff301f,0x7ffec01f,0xffffffff,0xffffffff,
    0xfffff33f,0xffffffff,0xffffffff,0x4fffffe6,0xffff88ec,0xfffff53f,
    0x00ff9000,0x2a02ff88,0xfff92fff,0xffff70bf,0x7fdc003f,0xff980fff,
    0x7f442fff,0x0fffffff,0x7ffffd40,0xfe801f89,0xffc84fff,0xffe806ff,
    0x3e26bdff,0x04dbffff,0x84ffffe8,0x006ffffc,0x3ffaa000,0xffff16ff,
    0xc800039f,0xf107ffff,0x0003ffff,0x3ffffe00,0x7fffec02,0x2ffffe42,
    0x7fff4000,0xffffc84f,0x3ffffa06,0x1bffee03,0x5c3fffe2,0x05300000,
    0x20bffffe,0x80fffffb,0x02fffff9,0x3ffffff6,0xffffffff,0x33ffffff,
    0xffffffff,0xffffffff,0x3e6fffff,0x0fbbffff,0x25fffff1,0x00fffff9,
    0x0007fd40,0xfb103ff5,0x7ffe43ff,0xffff985f,0x3fea002f,0xffa80fff,
    0xff901fff,0x005fffff,0xd7bfffff,0x3ffffa00,0x6ffffc84,0xfffffb80,
    0x7fffec3e,0xffe801fe,0xfffc84ff,0x4400006f,0x1dfffffc,0x7ffff5c4,
    0xff70002e,0x3fe20fff,0x00002fff,0x05fffff0,0x41ffffa8,0x005ffffc,
    0x4ffffe80,0x06ffffc8,0x80fffffa,0xf885fffe,0x00171fff,0x7fc0a600,
    0xffb82fff,0xff980fff,0x26202fff,0xb9999999,0x99999aff,0x26660999,
    0xfe999999,0x9999999d,0xfffff119,0x7ffc43fb,0xffff11ff,0xff98005f,
    0x41ff2003,0x7e44fffe,0xff885fff,0x22005fff,0xa80fffff,0x200fffff,
    0x5ffffffa,0xfffffc80,0xfffd002e,0xffff909f,0xffff100d,0xfffa81ff,
    0xffd006ff,0xfff909ff,0x2a0000df,0x0bfffffd,0xffffd980,0x3ea001cf,
    0xf880ffff,0x0004ffff,0x5fffff00,0x887dd700,0x205ffffd,0x3fa02ec9,
    0xffc84fff,0x3ffa06ff,0x3ffe03ff,0xffff884f,0x20000172,0xfffff029,
    0xfffff505,0xfffff501,0xffa80003,0xfe800000,0x7fffc004,0x7ffc42ff,
    0x7ffffc7f,0x7fec0806,0x84ffa800,0x641ffffc,0xff05ffff,0x4005ffff,
    0xa81fffff,0x1626ffff,0x1fffff62,0x3ffffe20,0x3fff6007,0xffffc84f,
    0xffffb006,0x3ffffe0b,0xffffb004,0xdffff909,0x7f5c4000,0x0002dfff,
    0xbffffd71,0xffff1005,0xffff301f,0x5c4001ff,0xffff01ce,0x2e20005f,
    0x05ffffff,0x03fffff3,0x909ffffd,0x740dffff,0xf303ffff,0xffffffff,
    0x2e9fffff,0x05300000,0x20bffffe,0x80fffff8,0x00fffffa,0x007fd400,
    0x027f4000,0x13ffffa0,0x91bfffe2,0x405fffff,0x0f7fcc2d,0xf01fff50,
    0xfc85ffff,0xff905fff,0x2201ffff,0x0bfffee2,0x88ffffee,0xdfffb00f,
    0x3ffff600,0x3fff6004,0xffffd85f,0xffff5006,0x3ffff205,0xffffb001,
    0xdffffb0b,0xfff93000,0x000019ff,0x7ffffed4,0x3fff200b,0xffffa81f,
    0xe8b604ff,0xff80ffff,0x44002fff,0xfffcbffb,0xffffb05f,0xffffd0bf,
    0xdffff909,0x1fffff40,0x9effffa8,0x99999999,0x20000170,0xfffff029,
    0x3ffffe05,0x6ffffa81,0x0ffa8000,0x4fe80000,0x7fffd400,0x4ffff983,
    0x7fffffcc,0xffa86c82,0xca889bff,0x7c41ffff,0xd99effff,0x106fffff,
    0x1bffffff,0x7ffc0e98,0x6fffc83f,0xfff505f8,0x3ffe6007,0x3ff2000f,
    0x7ffdc5ff,0x3fe006ff,0x3ffe607f,0x3fff2006,0x7fffdc6f,0x3faa006f,
    0x0002efff,0x7ffdc400,0xff882dff,0xfffb82ff,0x5c82ffff,0x0fffffe6,
    0x00fffffe,0xf92fffa8,0x3fa0bfff,0x740fffff,0xfc84ffff,0x3fa06fff,
    0xff503fff,0x0b800fff,0x20530000,0x702fffff,0xf705ffff,0x00007fff,
    0x00001ff5,0xd0009fd0,0xff709fff,0xfff901ff,0xfd97bfff,0xfffffb83,
    0xffffffff,0x7ff41fff,0xfdefffff,0xb85affff,0xefffffff,0xffa81fec,
    0x2ffff86f,0xff984ff8,0x3ffa001f,0x7ffcc005,0xfefb9aff,0x32007fff,
    0x7ff404ff,0x3ffe6003,0xfefc9bff,0x64407fff,0x01cfffff,0xda800000,
    0x5c3effff,0xffe86fff,0xbdffffff,0x3fee0feb,0x7fc45fff,0xd8803fff,
    0x3ff21fff,0xfff905ff,0xffe83fff,0xfffc84ff,0x3fffa06f,0xffff303f,
    0x005c001f,0xff029800,0x3e205fff,0xffc83fff,0xf500006f,0xd000001f,
    0xffd0009f,0x7fffd0ff,0x7ffffe40,0x7cc1ffff,0xfffc88ef,0xffa8bfff,
    0x3fffee0f,0xffff14ff,0x3fee03ff,0x2fffffff,0xc8fffea0,0xfff01fff,
    0x5ffb317d,0x01ffa800,0xfffffc80,0xffffcaff,0x3ff3001f,0x000ffb80,
    0x7fffffe4,0xfffffcaf,0x3bffe601,0x0000000b,0x7fffc880,0x2e3fffa8,
    0xfffeaeff,0x441fffff,0x5c2fffff,0x00efffff,0x3227fff4,0xb105ffff,
    0xe83ffdff,0xfc84ffff,0x3fa06fff,0xff103fff,0x5c005fff,0x05300000,
    0x80bffffe,0xfe86fffa,0x998802ff,0xfb999999,0x999999af,0x7f400099,
    0x75764004,0xfff70dff,0xffff7007,0x3b2039df,0x04d54c40,0x3fae0be6,
    0x7ff542df,0x7ff4c01e,0x9801dfff,0xdffffffe,0x3ff7be00,0x0002ffff,
    0x7ec000df,0xff91ffff,0x200bffff,0x06f8806e,0xdffffb00,0x3fffff23,
    0x05bf305f,0x00000000,0xfd983f54,0x224fffff,0x0ceffffd,0x44bfff70,
    0xffffffff,0xffff903f,0x5ffffc83,0x43fc4440,0xc84ffffd,0x3a06ffff,
    0x3e03ffff,0x0806ffff,0x26000017,0x5fffff02,0x22fffa80,0xb001fffb,
    0xffffffff,0xffffffff,0x8007ffff,0x3ea004fe,0x3fffff20,0x544001ce,
    0x0001000b,0x22006004,0x0dd44000,0x03773000,0x017510a0,0x0002a800,
    0x00005544,0x2b801540,0x02aa2000,0x00022000,0x80000000,0x09bb9801,
    0x20037510,0x400000a8,0x642fffff,0x5005ffff,0xffffb0df,0xdffffb0b,
    0x27ffff40,0x5fffff90,0x000b96c0,0x3fe05300,0xe8802fff,0x0dffffff,
    0x3ffff600,0xffffffff,0xffffffff,0x027f4003,0x2ea62060,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x44000000,0x99efffff,0x06fffffd,0xff905fb0,
    0xfffb8bff,0x3ff606ff,0xf98e24ff,0xc82fffff,0x400002e6,0xfffff029,
    0x1bb98007,0x55553000,0x55555555,0x55555555,0x01aa8003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffffd00,0xffffbdff,0x2fc40b5f,
    0xafffff98,0xffffefb9,0x3fffee07,0x7e40d98f,0xcbdfffff,0x0002e1fe,
    0x7fc414c0,0x00003fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x70000000,0x29ffffff,0x1ffffff8,0x6401bf30,0xafffffff,
    0x01fffffc,0x3ffffff6,0xfffff902,0x0b83ffff,0x70530000,0x01dfffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x37ffae00,0x0f7ff542,0xfb004fb8,0x3f23ffff,0x105fffff,0x805bffd7,
    0xcefffffb,0xcccccb81,0xcccccccc,0x22dccccc,0xfffffff8,0x000003ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x06000000,
    0x0c980220,0x00554400,0x20002000,0x00000ba8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x05665d40,0x00de5d44,0x13333331,
    0x26605930,0x99999999,0x26619999,0x19999999,0x41333333,0x09999998,
    0x3100ddcc,0x98133333,0x2e600acb,0x4ccc401c,0x26099999,0x01999999,
    0x4002b880,0x0be604f8,0x007dc000,0x800130db,0x0cd88008,0x2035c400,
    0x4401cdb8,0x4000adda,0x730003ea,0x644015bb,0x0336a02d,0x71019d71,
    0x3b2a017b,0xedc9803d,0x5555102c,0x55555555,0x55555555,0x66666445,
    0xcccccccc,0x4ccccccc,0x004c0110,0x41333331,0x50099999,0x6dc405bb,
    0x24c001bd,0x3ffffee2,0xdff30eff,0xd501dffd,0x4cdfffff,0x7cc3fffe,
    0xffffffff,0x3a6fffff,0xefffffff,0x5dffff94,0x7fffffdc,0xdfffff35,
    0xfffff503,0x3fffa2df,0x7ffd44ff,0xff502fff,0x27ffffff,0xffffffd8,
    0x4ffd8005,0xb027dc00,0xfb80005f,0xf30bf204,0x3ba2001b,0x027fec00,
    0x207ffda8,0x0efffffc,0xffffffa8,0x03ffa000,0xffffe880,0xffff04ff,
    0x8ffff909,0x643fffff,0x7f446fff,0xb01efb8c,0x1bff513f,0xffffff98,
    0xffffffff,0x27ffffff,0xfffffff9,0xffffffff,0xd07fffff,0x1bffb307,
    0x8bffff90,0xb86ffffc,0xfa83ffff,0x0cefffff,0x3fa24d80,0xffff511d,
    0x7fdc9ff9,0xffffd02f,0x3ffffe6d,0x0ce7fcc6,0x0bfffffa,0x5ffffff5,
    0xf101ffb8,0xff5bffff,0x40dfffff,0xf9effffe,0x2fffffff,0xfffffff7,
    0x3ffe201f,0xff980fff,0x3fa0003f,0x3ff8006f,0x0003ff30,0x7dc03fea,
    0x805ffd86,0x7c03ffe8,0x774c06ff,0xdf307fff,0x989ffffd,0x5fffebcf,
    0x0bfff700,0x3bfffa20,0x7d44ffff,0x7fc47fff,0xfff52fff,0x3fe21fff,
    0x3ff61fff,0xf503ffa0,0x217ffc3f,0xfffffff9,0xffffffff,0x267fffff,
    0xffffffff,0xffffffff,0xfb87ffff,0x7fffec0c,0x0efffe84,0x40ffffc8,
    0x446ffffe,0xffffffff,0x7f102dff,0x2e0bffe2,0x40efffff,0xff906ffe,
    0xffff1dff,0x03f98dff,0x0bfffff7,0x13ffffee,0xffd803f9,0xf98bffff,
    0xf903ffff,0x219fffff,0xfdfffffc,0x9ffffd12,0x37fffec0,0x0001ff98,
    0x40017fdc,0xffb02ffb,0x4ffa8003,0x3605ff70,0x3fa205ff,0x4ffd803f,
    0x41fffa00,0x3fffea2e,0xdffd0360,0xfffff100,0x39ffd003,0xf727fed4,
    0xff88ffff,0xfff92fff,0x3fe65fff,0xdff52fff,0x7ec4ffc8,0x00fffa3f,
    0x07fb8000,0x7cc00000,0x3ffe26ff,0x3fe60fff,0x3ff600ef,0x3fffe23f,
    0x2b3f20ff,0xffffeb98,0xffcaacff,0x30dfff70,0x709fffff,0xff707fff,
    0xf73bbdff,0x80f987ff,0x0ffffff8,0x3fffffa0,0xfb005f30,0xfc87ffff,
    0xff905fff,0xff889fff,0x7dc1ffff,0x3f206fff,0x3fb06fff,0x00220000,
    0x981fff80,0xf3000fff,0xdff501ff,0x885ffd80,0x43a83ffe,0x80dc1ffa,
    0xb0107ffd,0xffb00fff,0xf9ff9007,0x4ff980df,0xffa9bfe0,0xffff86ff,
    0xfffff31f,0x7ffffc9f,0xfc8dff90,0x9866446f,0x00004fff,0x0001fee0,
    0xfff71000,0x3fffffc3,0x2003bfee,0x7fec6ffd,0x302f45ff,0xfffffff9,
    0x7ffec7ff,0x7fffc42f,0x7fffa82f,0xffffffb8,0x1260ae20,0x1fffffec,
    0x3ffffe60,0x3f2009d5,0xffb85fff,0xfff906ff,0x3fffe0df,0xffffa83f,
    0x3ffff207,0x0001fd85,0x3ee00000,0xeffd81ff,0x1fffcc00,0x4017ffd4,
    0x3fa25ffd,0x3fffb83f,0x2fffa9ba,0x2007ffd8,0x7cc04ffc,0x5ff9803f,
    0x7dc05ffb,0x47fee01f,0xd85ffff9,0x7fdc7fff,0x3ffa3ffe,0x91bffa7f,
    0x6ecc0fff,0x00004fff,0x0001fee0,0x0fffc000,0xe87ffff9,0x3f6000ef,
    0x3bffa60f,0x5c4017c1,0x43fffffe,0x441ffffa,0x981fffff,0x7dc0ffff,
    0x4003ffff,0xfffff980,0xffffb006,0x32001dbf,0xfb85ffff,0xff907fff,
    0x3ffe0dff,0xfffa83ff,0x3fff207f,0x0007e45f,0x7c000000,0x7fcc0fff,
    0xfff100ef,0x6fff981f,0x277ff600,0xff903ffe,0x7e4f27ff,0xffd83fff,
    0x03ffe007,0x0f7ffe44,0x7cc3ff60,0x01bf607f,0x7ffc7ff1,0x5fffb83f,
    0xfc8bfa10,0x17ffa5ff,0xfb10fff9,0x0013ffa7,0x4c7fb800,0x99999999,
    0x99999999,0xffa81999,0x21f75c46,0xd8000ff9,0x3881983f,0x0aba8800,
    0xf307df90,0xf301ffff,0xffb83fff,0x80002fff,0x02fffffe,0xffffff10,
    0x7ffe4005,0xffffb85f,0xdffff907,0x0fffffe0,0x03ffffea,0x92ffffe4,
    0x554c00df,0xaaaaaaaa,0xaaaaaaaa,0xfff701aa,0x5fffd81d,0x43fffe88,
    0x001ffff9,0x1fffffec,0xdfffff30,0xdffffd9b,0x00fffb01,0xe980bfe6,
    0x500fffff,0x3ffc87ff,0xf980ffb0,0x07fff23f,0x880fffe6,0x3ffea0ff,
    0xf91bff23,0x24ff98df,0x00004ffe,0xff99fee0,0xffffffff,0xffffffff,
    0xffd917ff,0x1c98001d,0x00791000,0x00000000,0xffffffb3,0xffffffff,
    0xfffb85ff,0x5c0000ff,0x005fffff,0x17ffffe4,0xbffff900,0x0fffff70,
    0x41bffff2,0xa83fffff,0x900fffff,0x3f2bffff,0xffb003ff,0xffffffff,
    0xffffffff,0x7ffc07ff,0x3ffe60ef,0x3fffa25f,0x2ffffc47,0x3fffd800,
    0xd7555500,0x4035555d,0xfd007ffd,0x3ffaa007,0x10ffd03f,0xff701fff,
    0x50ffe405,0x7ffc0fff,0xf113ea01,0x37fd43ff,0xffb13ff6,0x0027ff47,
    0x4cff7000,0xffffffff,0xffffffff,0x5517ffff,0x00000015,0x00000000,
    0x6fecc000,0xabfffff9,0xaaaaaaaa,0x3ffffdc1,0x3ffe2000,0x44000fff,
    0x006fffff,0x217ffff2,0x907ffffb,0x3e0dffff,0xfa83ffff,0xf900ffff,
    0xfff9dfff,0xffb003ff,0xffffffff,0xffffffff,0x7ffc07ff,0x7fffc45f,
    0x07fffec5,0x00dfffd1,0x1bfffd10,0x4ccd8800,0x01fff600,0xf1000ff2,
    0x5ff709ff,0x2613fee0,0xfff105ff,0x3605ff88,0x407ec07f,0x0ffd87fe,
    0xfff03bfa,0x3bfffd7f,0x2a600000,0x2aaaaa22,0xaaaaaaaa,0x2aaaaaaa,
    0x00000000,0x00000000,0x8fff6200,0x001fffff,0x0dffff70,0xffffd800,
    0xff90003f,0x32005fff,0xfb85ffff,0xff907fff,0x3ffe0dff,0xfffa83ff,
    0xfff900ff,0xffffffff,0x3333100d,0x33333333,0x33333333,0x3bffee01,
    0x82fffec0,0x7444fffd,0x22002fff,0x05ffeffe,0x3e63fee0,0x7ffd801e,
    0x1a617dc0,0xf10fff20,0x1ffe80df,0x98bfffc8,0xfe82fffc,0x4417ee03,
    0x0bf701fd,0xdf73bfb1,0x1bfff901,0x0007fff7,0x00000000,0x00000000,
    0x00000000,0x3ffe6000,0x1fffffc2,0xffffb800,0x3fe60006,0x20006fff,
    0x06fffff8,0x0bffff90,0x20fffff7,0xf06ffffc,0xf507ffff,0x3201ffff,
    0xfb8fffff,0x0004ffff,0xff100000,0xfff981df,0x3fffa205,0x037ffc40,
    0xfb3ffe88,0xdffb00bf,0x3601fffc,0x3fea07ff,0x2a4feeee,0x640ffa82,
    0x7fd401ff,0xffffe885,0xf904ffff,0x4c1fcc01,0x0fe600ef,0x402bcb98,
    0x80dcc1a9,0x1105302a,0x11111111,0x7ffffd41,0xffffffff,0x0fffffff,
    0xfffffff5,0xffffffff,0x001fffff,0x00000000,0x217ffee0,0x005ffffe,
    0x0dffff70,0x7ffff400,0xf900102f,0x007fffff,0x70bffff9,0x320fffff,
    0xff06ffff,0xff507fff,0x3f201fff,0x3ff65fff,0x00001fff,0xfffb8000,
    0x00effd80,0x4c2fff44,0x74402fff,0x2ffec3ff,0x6c7fff50,0x3fa01fff,
    0xfffa80ff,0xf92fffff,0x20fec3bf,0xfb005ff9,0x3ffee05f,0x1ea02fff,
    0x007607e0,0x000000fc,0x91bffa00,0x7ffc1fff,0xffffffff,0xffffff51,
    0xffffffff,0x21ffffff,0xfffffffa,0xffffffff,0x000fffff,0x00000000,
    0x82ffff98,0x00fffffc,0x6ffffb80,0xffff7000,0x301220bf,0xfffffd3f,
    0xffffc801,0x7ffffb85,0x0dffff90,0x20fffffe,0x00fffffa,0x44bffff9,
    0x006fffff,0x00066440,0x4c0fffc4,0xf1000eff,0xdff303ff,0x81fff440,
    0xff705ffd,0x0fffd41f,0x3ffff726,0xffff31cd,0x263fffff,0x0cfefffe,
    0x3000ffd8,0x5d440dff,0x0000009b,0x00000000,0x3ffea000,0x9ffff12f,
    0x7ffffffc,0x9931ffff,0x99999999,0x99999999,0x33326199,0xcccccccc,
    0xcccccccc,0x0000000c,0xffe80000,0xfff981ff,0x20ec05ff,0x006ffffb,
    0xffffff88,0x7c409700,0x9fffff53,0x5ffffc80,0x07ffffb8,0x20dffff9,
    0xa83fffff,0x900fffff,0xfb8bffff,0x0004ffff,0x20013ff6,0xffb01ffb,
    0x5ff98001,0xd105ff50,0xffd807ff,0xf907fb05,0x3333310b,0x26621333,
    0x81999999,0x00001a98,0x00000000,0x00000000,0x3ea00000,0xfff12fff,
    0x7ffffc9f,0x01ffffff,0x00000000,0x00000000,0xff100000,0xff509fff,
    0x3609ffff,0x6ffffc84,0xffffd800,0x407f303f,0x7ffff46d,0x3fff600f,
    0xffffb85f,0xfffff907,0x0fffffe0,0x03ffffea,0x437fffe4,0x02fffffd,
    0x00bfff00,0xf302ff88,0x3e60003f,0xb0df701f,0x3f6007ff,0x0000003f,
    0x00000000,0x00000000,0x00000000,0x20000000,0x7fec6ffe,0x3bbbba1f,
    0x01eeeeee,0x00000000,0x00000000,0xff100000,0xf97dffff,0xffffff9f,
    0x01dfb57d,0x00fffff9,0x6fffff98,0x3205ff30,0x7fffdc1f,0x3fff605f,
    0xffffb86f,0xfffff907,0x9fffff01,0x3fffff50,0x1bffff60,0x3fffffe2,
    0x1ffa8000,0xd017dc00,0xfa80003f,0x360ff205,0x002ec003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x98154000,0x0000000b,0x00000000,
    0x00000000,0xfff90000,0x219fffff,0xfffffffa,0xfe880eff,0x2001ffff,
    0x9bfffffe,0x2fffebaa,0x260ffe44,0x84ffffff,0x1ffffff9,0x3fffffa2,
    0x7ffff442,0x7fffd42f,0x3ff620ef,0xff983fff,0xfe81ffff,0x000effff,
    0x80f60000,0x500002e9,0x002e401d,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfb100000,
    0x303bffff,0x9ffffffb,0xfffff701,0xb803dfff,0xffffffff,0x1fffffff,
    0xdfffffd1,0x3ffffff6,0xfff70fff,0xf37fffff,0xdfffffff,0x3fffffea,
    0xffffb5ff,0xff35ffff,0x4fffffff,0xfffffffb,0x3ffff65f,0x0003ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xaa880000,0x2aae6001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_44_latin_ext_x[560]={ 0,3,3,0,1,2,1,2,1,0,2,0,1,0,
1,0,1,2,0,0,0,1,1,1,1,1,3,2,0,0,0,2,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,1,1,0,2,1,0,0,0,0,0,0,4,0,1,2,-1,0,1,0,1,1,1,1,1,1,0,
-2,1,0,1,1,1,0,1,1,1,0,1,0,0,0,0,0,3,3,1,0,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,3,2,0,0,0,
3,1,0,1,0,0,0,0,1,-1,1,0,0,0,4,1,0,1,2,1,1,0,1,1,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,2,1,0,0,0,0,0,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,1,0,0,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,1,0,1,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-2,0,1,1,0,0,0,
0,0,0,0,0,0,0,0,1,0,1,0,1,2,0,1,1,1,1,1,1,1,1,1,0,1,0,1,0,1,
2,1,2,1,2,1,2,1,1,0,1,0,1,0,0,1,0,1,0,1,0,1,0,1,0,1,0,0,0,0,
0,0,0,0,0,0,0,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,1,5,5,-1,5,5,5,
5,5,5,5,5,5,5,5,5,5,1,1,5,5,5,5,5,5,5,5,5,5,5,5,5,0,1,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,1,0,-1,1,
1,0,1,0,1,0,1,0,1,0,1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,0,1,-1,1,1,1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static signed short stb__times_bold_44_latin_ext_y[560]={ 35,8,8,8,7,8,8,8,8,8,8,11,29,23,
29,8,8,8,8,8,8,8,8,8,8,8,16,16,12,17,12,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,41,7,16,8,16,8,16,8,16,8,8,
8,8,8,16,16,16,16,16,16,16,10,16,16,16,16,16,16,8,8,8,21,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,35,16,8,7,12,8,
8,8,8,8,8,17,17,23,8,4,8,11,8,8,7,16,8,18,34,8,8,17,8,8,8,16,-1,-1,-1,0,
0,1,8,8,-1,-1,-1,0,-1,-1,-1,0,8,0,-1,-1,-1,0,0,13,7,-1,-1,-1,0,-1,8,8,7,7,
7,8,8,7,16,16,7,7,7,8,7,7,7,8,8,8,7,7,7,8,8,13,15,7,7,7,8,7,8,8,
2,10,0,8,8,16,-1,7,-2,7,0,8,-1,7,-1,8,8,8,2,10,-1,8,0,8,8,16,-1,7,-1,7,
0,8,0,8,8,6,-2,-2,8,8,0,8,2,10,-1,8,8,8,0,16,8,8,-2,7,8,8,16,-1,-1,8,
8,8,8,8,8,8,8,-1,7,8,16,-1,7,8,8,16,2,10,-1,8,-1,7,8,16,-1,7,8,16,-1,7,
-1,7,-2,7,8,16,-1,7,8,10,-1,8,8,10,0,8,2,10,-1,8,-2,7,-1,7,8,16,-2,7,-2,7,
0,-1,7,0,8,-1,7,8,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,8,10,10,8,10,10,10,
10,10,10,10,10,10,10,10,10,10,5,14,10,10,10,10,10,10,10,10,10,10,10,10,10,3,16,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,-1,7,-1,7,-1,
7,-1,7,-1,4,-1,2,-1,1,-1,2,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,-6,-1,-1,7,-1,7,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10, };
static unsigned short stb__times_bold_44_latin_ext_w[560]={ 0,7,16,20,18,35,31,7,12,12,16,22,8,13,
8,12,18,15,18,18,19,18,18,18,18,18,7,9,22,22,22,16,36,29,26,26,28,25,24,30,31,15,20,32,
26,37,28,29,23,29,30,19,25,29,29,40,29,29,26,8,12,9,19,22,9,19,21,16,21,16,16,19,20,11,
12,22,11,32,20,18,21,21,17,14,13,20,20,29,20,20,17,11,3,12,22,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,7,16,20,20,20,
3,18,13,28,13,20,23,13,28,22,14,22,11,11,9,22,22,8,8,10,12,20,29,28,30,16,29,29,29,29,
29,29,39,26,25,25,25,25,15,15,15,15,28,28,29,29,29,29,29,18,29,29,29,29,29,29,23,20,19,19,
19,19,19,19,27,16,16,16,16,16,12,12,13,13,18,20,18,18,18,18,18,22,18,20,20,20,20,20,21,20,
29,19,29,19,29,19,26,16,26,16,26,16,26,16,28,28,28,21,25,16,25,16,25,16,25,16,25,16,30,19,
30,19,30,19,30,19,31,20,31,20,15,13,15,13,15,13,15,11,15,11,33,20,20,15,32,22,22,26,12,26,
11,26,19,26,17,26,11,28,20,28,20,28,20,30,29,19,29,18,29,18,29,18,37,27,30,17,30,17,30,17,
19,14,19,14,19,14,19,14,25,13,25,21,25,13,29,20,29,20,29,20,29,20,29,20,29,20,40,29,29,20,
29,26,17,26,17,26,17,16,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,27,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,31,23,21,21,21,21,21,21,21,21,21,21,21,21,21,34,24,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,29,19,15,13,29,
18,29,20,29,20,29,20,29,20,29,20,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,29,19,39,27,29,18,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21, };
static unsigned short stb__times_bold_44_latin_ext_h[560]={ 0,28,14,28,31,29,28,13,35,35,16,22,13,5,
7,28,28,27,27,28,27,28,28,28,28,28,20,26,20,10,20,28,36,27,27,28,27,27,27,28,27,27,28,27,
27,27,28,28,27,35,27,28,27,28,28,28,27,27,27,35,28,35,15,3,8,20,28,20,28,20,27,28,27,27,
36,27,27,19,19,20,28,28,19,20,26,20,20,20,19,28,19,36,36,36,7,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,0,28,35,29,20,27,
36,36,6,28,12,18,10,5,28,3,14,22,15,15,8,28,36,8,9,15,12,18,29,29,29,28,36,36,36,35,
35,34,27,35,36,36,36,35,36,36,36,35,27,36,37,37,37,36,36,18,30,37,37,37,36,36,27,28,29,29,
29,28,28,29,20,27,29,29,29,28,28,28,28,27,28,27,29,29,29,28,28,18,21,29,29,29,28,37,36,36,
33,26,35,28,36,28,37,29,38,29,36,28,37,29,36,28,27,28,33,26,36,28,35,28,36,28,36,29,37,37,
36,36,36,36,35,38,37,37,27,27,35,27,33,25,36,27,36,36,35,19,28,36,38,37,35,35,19,36,36,35,
35,27,27,27,27,27,27,37,28,35,27,37,28,27,28,28,34,26,37,28,37,29,28,20,36,28,35,27,36,28,
37,29,38,29,35,27,37,29,37,35,36,28,27,26,36,28,34,26,37,28,38,29,37,29,36,28,38,29,37,37,
35,36,28,35,27,36,28,27,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,28,25,25,36,25,25,25,
25,25,25,25,25,25,25,25,25,25,31,22,25,25,25,25,25,25,25,25,25,25,25,25,25,33,20,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,36,29,36,28,37,
29,37,29,37,32,37,34,37,35,37,34,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,41,37,36,29,38,29,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25, };
static unsigned short stb__times_bold_44_latin_ext_s[560]={ 510,396,334,1,161,312,355,360,408,452,247,
166,351,409,480,445,404,402,426,263,355,1,473,492,39,175,488,21,437,419,414,
458,371,309,418,22,119,445,148,405,87,339,155,393,471,1,454,104,196,258,56,
176,283,196,296,255,445,253,375,498,91,488,299,423,470,246,169,266,98,208,39,
128,232,220,141,173,498,107,86,283,423,102,29,302,52,338,317,359,65,77,47,
495,507,486,489,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,
83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,510,120,215,
71,225,94,506,246,395,62,381,207,395,409,226,446,319,143,275,287,460,39,318,
451,442,264,368,186,111,251,200,1,408,248,187,351,185,469,371,158,437,31,57,
325,494,140,207,266,115,278,31,68,444,177,83,228,180,255,168,38,223,1,347,
324,160,180,314,243,223,231,1,291,280,397,297,85,72,499,58,379,20,340,141,
92,35,454,435,163,189,376,355,334,414,344,184,91,17,1,288,282,154,345,389,
54,173,18,354,365,272,450,112,194,144,302,47,66,1,158,232,141,57,124,265,
1,198,98,129,401,463,381,91,200,240,1,308,442,318,251,1,105,307,190,421,
499,142,496,475,156,61,22,1,465,140,113,253,381,334,224,204,22,361,67,496,
385,148,296,1,315,191,411,230,260,418,489,118,280,285,348,299,460,323,387,421,
478,217,436,365,297,82,407,122,463,148,282,229,282,438,483,265,475,341,18,367,
31,414,134,102,210,61,231,99,326,132,252,1,474,61,160,337,34,49,291,212,
173,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,49,83,83,464,
83,83,83,83,83,83,83,83,83,83,83,83,83,129,119,83,83,83,83,83,
83,83,83,83,83,83,83,83,73,389,83,83,83,83,83,83,83,83,83,83,
83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,27,486,
83,382,476,367,416,386,359,108,299,397,446,346,329,448,83,83,83,83,83,83,
83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,
83,83,83,1,220,206,422,31,467,83,83,83,83,83,83,83,83,83,83,83,
83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,
83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,
83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,83,
83,83,83,83,83,83,83,83,83, };
static unsigned short stb__times_bold_44_latin_ext_t[560]={ 1,293,463,322,229,229,322,463,156,156,463,
436,463,474,463,293,293,408,380,293,408,293,263,263,293,293,436,436,436,463,436,
293,81,408,408,322,408,380,408,322,408,408,351,380,380,408,322,351,408,193,408,
351,408,351,351,351,408,408,408,156,351,156,463,474,463,436,322,436,322,436,408,
322,408,408,81,408,380,463,463,436,293,293,463,436,436,436,436,436,463,322,463,
43,43,81,463,436,436,436,436,436,436,436,436,436,436,436,436,436,436,436,436,
436,436,436,436,436,436,436,436,436,436,436,436,436,436,436,436,436,1,322,193,
263,436,380,1,81,474,351,463,463,463,474,351,474,463,436,463,463,463,351,81,
463,463,463,463,463,263,263,263,351,81,119,119,156,193,193,351,193,119,156,156,
156,119,156,156,156,380,119,81,43,43,156,156,463,229,43,43,43,156,156,351,
293,263,263,263,293,293,263,463,380,263,263,263,293,293,193,293,380,293,380,263,
263,263,263,263,463,436,263,263,263,263,43,81,81,229,436,193,293,81,293,1,
263,1,263,119,293,1,228,81,293,380,293,229,436,119,293,193,293,119,293,81,
263,43,43,119,119,119,119,193,1,1,43,380,351,193,380,229,436,119,380,119,
81,193,436,293,156,1,43,193,156,463,156,156,156,193,380,380,380,380,380,351,
43,322,156,380,43,322,351,322,322,193,408,43,322,43,229,322,436,119,322,156,
351,119,322,43,229,1,228,193,351,43,229,43,156,81,322,380,408,81,351,193,
436,43,351,1,229,81,229,119,351,1,229,81,43,193,119,322,193,380,81,322,
380,436,436,436,436,436,436,436,436,436,436,436,436,436,436,436,322,436,436,81,
436,436,436,436,436,436,436,436,436,436,436,436,436,229,436,436,436,436,436,436,
436,436,436,436,436,436,436,436,229,436,436,436,436,436,436,436,436,436,436,436,
436,436,436,436,436,436,436,436,436,436,436,436,436,436,436,436,436,436,119,228,
119,293,1,228,1,228,1,229,1,193,1,193,1,193,436,436,436,436,436,436,
436,436,436,436,436,436,436,436,436,436,436,436,436,436,436,436,436,436,436,436,
436,436,436,1,1,81,228,1,228,436,436,436,436,436,436,436,436,436,436,436,
436,436,436,436,436,436,436,436,436,436,436,436,436,436,436,436,436,436,436,436,
436,436,436,436,436,436,436,436,436,436,436,436,436,436,436,436,436,436,436,436,
436,436,436,436,436,436,436,436,436,436,436,436,436,436,436,436,436,436,436,436,
436,436,436,436,436,436,436,436,436, };
static unsigned short stb__times_bold_44_latin_ext_a[560]={ 159,212,353,318,318,636,530,177,
212,212,318,362,159,212,159,177,318,318,318,318,318,318,318,318,
318,318,212,212,362,362,362,318,591,459,424,459,459,424,388,494,
494,247,318,494,424,600,459,494,388,494,459,354,424,459,459,636,
459,459,424,212,177,212,369,318,212,318,354,282,354,282,212,318,
354,177,212,354,177,530,354,318,354,354,282,247,212,354,318,459,
318,318,282,250,140,250,331,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,159,212,318,318,318,318,140,318,
212,475,191,318,362,212,475,318,254,349,191,191,212,366,343,159,
212,191,210,318,477,477,477,318,459,459,459,459,459,459,636,459,
424,424,424,424,247,247,247,247,459,459,494,494,494,494,494,362,
494,459,459,459,459,459,388,354,318,318,318,318,318,318,459,282,
282,282,282,282,177,177,177,177,318,354,318,318,318,318,318,349,
318,354,354,354,354,318,354,318,459,318,459,318,459,318,459,282,
459,282,459,282,459,282,459,466,459,354,424,282,424,282,424,282,
424,282,424,282,494,318,494,318,494,318,494,318,494,354,494,354,
247,177,247,177,247,177,247,177,247,177,523,351,318,212,494,354,
354,424,177,424,177,424,298,424,251,424,177,459,354,459,354,459,
354,463,489,354,494,318,494,318,494,318,636,459,459,282,459,282,
459,282,354,247,354,247,354,247,354,247,424,212,424,331,424,212,
459,354,459,354,459,354,459,354,459,354,459,354,636,459,459,318,
459,424,282,424,282,424,282,177,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,470,494,494,318,494,494,494,494,494,
494,494,494,494,494,494,494,494,494,352,494,494,494,494,494,494,
494,494,494,494,494,494,494,506,381,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,459,318,247,177,494,318,459,354,459,354,459,
354,459,354,459,354,494,494,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,
494,494,459,318,636,459,494,318,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_44_latin_ext_BITMAP_HEIGHT or STB_FONT_times_bold_44_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_44_latin_ext(stb_fontchar font[STB_FONT_times_bold_44_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_44_latin_ext_BITMAP_HEIGHT][STB_FONT_times_bold_44_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_44_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_44_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_44_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_44_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_44_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_44_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_44_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_44_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_44_latin_ext_s[i] + stb__times_bold_44_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_44_latin_ext_t[i] + stb__times_bold_44_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_44_latin_ext_x[i];
            font[i].y0 = stb__times_bold_44_latin_ext_y[i];
            font[i].x1 = stb__times_bold_44_latin_ext_x[i] + stb__times_bold_44_latin_ext_w[i];
            font[i].y1 = stb__times_bold_44_latin_ext_y[i] + stb__times_bold_44_latin_ext_h[i];
            font[i].advance_int = (stb__times_bold_44_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_44_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_44_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_44_latin_ext_s[i] + stb__times_bold_44_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_44_latin_ext_t[i] + stb__times_bold_44_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_44_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_44_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_44_latin_ext_x[i] + stb__times_bold_44_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_44_latin_ext_y[i] + stb__times_bold_44_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_bold_44_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_44_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_44_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_44_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_44_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_44_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_44_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_44_latin_ext_LINE_SPACING
#endif

