// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_45_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_45_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_45_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_bold_45_latin_ext_BITMAP_HEIGHT        513
#define STB_FONT_times_bold_45_latin_ext_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_times_bold_45_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_bold_45_latin_ext_NUM_CHARS            560

#define STB_FONT_times_bold_45_latin_ext_LINE_SPACING          29

static unsigned int stb__times_bold_45_latin_ext_pixels[]={
    0x6664c000,0x000001cc,0x0d555544,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4cc00000,0x00000019,0x00000000,0x00000000,
    0xa8000000,0x0001aaaa,0x4ccccccc,0x00000099,0x80000018,0x0013001a,
    0x80000000,0x65c00009,0xff900003,0x000009ff,0x1dffff70,0x88000000,
    0x0006ffff,0xffff1000,0x7dc0000d,0x40004fff,0xd000004a,0x0003ffff,
    0x7ffffc80,0x5c000000,0x00003fff,0x7ffffd40,0x20000001,0x003ffffc,
    0x7fcc0000,0x00002fff,0x03bfffea,0xffff9800,0x003fffff,0x002e8000,
    0x017e4000,0x00001fd1,0x7ffffc40,0x007fa003,0x0bfd03fb,0x3fffe000,
    0xb0000004,0x0001dfff,0xfffb0000,0x000007ff,0x7fffffb0,0xfff10000,
    0x30001fff,0x2000005b,0x05fffffa,0xfffc8000,0x0000002f,0x0002ffd4,
    0x7fffd400,0x30000004,0x00ffffff,0xffc80000,0x400002ff,0x000efffd,
    0x7ffffcc0,0x0003ffff,0x0037cc00,0x13fe2000,0x00013fe6,0x7ffff700,
    0x82ff9800,0xbfd04fe8,0xfff50000,0x20000009,0x000efff8,0xff980000,
    0x0007ffff,0x7fffcc00,0xc80007ff,0x04ffffff,0x00002e80,0xffffff10,
    0xb000003f,0x00009fff,0x00ff3000,0x3fea0000,0x0000007f,0x7ffffffb,
    0x7c000000,0x00002fff,0x000ffff8,0xaaaaa880,0x0001aaaa,0x00ffec00,
    0x3ff20000,0x003ffee5,0xfffb0000,0x3ff60009,0x403ffe63,0xc80005fe,
    0x000005ff,0x003bfee0,0x7f400000,0x03fffcff,0x3ffa0000,0x003fffcf,
    0x37bffe20,0x2a001fff,0x2e000007,0x6fffdfff,0xffb00000,0x0000000f,
    0x00000062,0x001fffb8,0x7ffd4000,0x000fffed,0xfff98000,0xfa800003,
    0x000001ff,0x20000000,0x0005fff8,0x6fffc400,0x0003fffc,0x27ffc400,
    0x9fff3000,0x7407fff7,0xff80005f,0x40000005,0x00000ffd,0x3dff5000,
    0x0003ffea,0x47bfea00,0x0000fffa,0x3f21bffb,0x3bf6005f,0x2200004f,
    0xffd13fff,0x36000005,0x000002ff,0x6f4c3fc8,0x5c000000,0x000004ff,
    0xffb27ff4,0x90000009,0x000007ff,0x00007ff6,0xde987f90,0x32000000,
    0x0000ffff,0x7fffe400,0x000006ff,0x0004ffb8,0xffffffd8,0x002ff406,
    0x00017ea0,0x03ff1000,0x74000000,0x27fcc0ef,0x3fe20000,0x01ffcc0e,
    0x5c27fcc0,0xff9001ff,0x200005ff,0x7f441ffd,0x3a000006,0x4000004f,
    0x7fec7ff8,0xc8000002,0x2000007f,0xffc82ffb,0x7c000000,0x2000003f,
    0x400001ff,0x7fec7ff8,0xf1000002,0x0009ffff,0xffff8800,0x000001ff,
    0x00005fd8,0x5ffffff1,0x0005fe80,0x000004c4,0x0006a200,0x4fb80000,
    0x0003fa20,0x2204fc80,0x7f4000fe,0x4017ea02,0x001ffff9,0x200ef980,
    0x000002fd,0x00000bb1,0xffb8bfd0,0x90000000,0x1000001d,0x27dc03df,
    0x7d300000,0x54400000,0xfd000001,0x000ffb8b,0xffff7000,0x000001ff,
    0x05ffffb8,0x4e880000,0x7fe40000,0x5fe806ff,0x77e44000,0x0000000b,
    0x00000000,0x05910055,0x40154000,0x2a2001c8,0x000c9801,0x00005bb3,
    0x01dc00a6,0x00000000,0x01101800,0x00000000,0x002a2000,0x000000a6,
    0x4c000000,0x03000002,0x80000022,0x3ffffffe,0x99800000,0x00000099,
    0x22000000,0xe800aaaa,0x3e60005f,0x000ffcbf,0x2ea62000,0x04d8009a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x01988000,0x00000000,
    0x00000000,0x19880000,0x88000000,0x50000019,0x0007fffd,0x00000000,
    0xffffff50,0x000000df,0x20000000,0x4009ba99,0x55d4c00b,0x05fe8501,
    0x7f11b200,0xeb880000,0xffffffff,0x002fc82e,0x00000000,0x0d5d4c00,
    0x00000028,0x00000000,0x80137533,0xd971000b,0x9bdfffff,0xfffe8005,
    0xffffffff,0xffffc84f,0x3fa3ffff,0xffffffff,0xffc84fff,0x03ffffff,
    0xfffd9710,0x0059bdff,0x7f65c400,0x2cdeffff,0x4efc4000,0xfe802fc8,
    0xffffffff,0xffc84fff,0x03ffffff,0x7ffd7740,0x74002fff,0xffffffff,
    0xfc84ffff,0x3fffffff,0x3fff2600,0x1bceffff,0x7fdc03e2,0x21cfffff,
    0x0017fa0e,0x03641fc4,0xffff9000,0xffd93159,0x20fee5df,0xfffffffc,
    0x3fea7fff,0xffffffff,0xfff903ff,0x3ee03fff,0x1cffffff,0xffd1003a,
    0xffffffff,0x32201dff,0xaabdeffe,0x2001aaaa,0xffffffc9,0x3e21bcef,
    0xffffa800,0xffdb88ad,0x7d4001ef,0x0cffffff,0x1fffe980,0x3ffffea0,
    0xe9800cff,0x2a001fff,0x88adffff,0x01efffdb,0x7fffd400,0xffdb88ad,
    0xf70001ef,0x7d400db0,0x0cffffff,0x1fffe980,0xff2f9800,0x000dffff,
    0x3fffffea,0xfe9800cf,0x3a6001ff,0xaacfffff,0xfceffdca,0x6fff4c0f,
    0xeffca88a,0x017fa0fe,0x3641fc40,0x7ff44000,0x3fe601ff,0x2a04feff,
    0xfffffffe,0xfffff301,0x91003fff,0xfd301bff,0xf95115bf,0x4001fddf,
    0xffffffe9,0x7ffe401f,0xffffea9d,0xe9803fff,0xaacfffff,0xfceffdca,
    0x3ff6200f,0x3fe601ff,0x7ec004ff,0x000fffff,0x36007fe6,0x00ffffff,
    0x4007fe60,0x01ffffd8,0x013fffe6,0x3ffff620,0x3fffe601,0xa84e8004,
    0x3ff6001f,0x2000ffff,0xb0001ff9,0x7ffffdcd,0xffb0001f,0x4001ffff,
    0x2e001ff9,0x00bfffff,0x83ffffa6,0x2602fff8,0x3fa0fffe,0x11b20005,
    0xfa80007f,0xa800ffff,0x400fffff,0x5ffffffa,0x7ffffcc0,0x3fe2006f,
    0x02fff880,0x003fffa6,0xffffff50,0x6fffd807,0x777fffcc,0x7ffdc02e,
    0x3a600bff,0xf300ffff,0x3005ffff,0x001dffff,0x1ffffff2,0x6401fe00,
    0x007fffff,0xff3007f8,0xf3005fff,0x2001dfff,0x02fffff9,0x0effff98,
    0x1f21b200,0xfffff900,0x00ff000f,0xff88fe20,0x0005ffff,0x0ffffff9,
    0x6c00ff00,0x001fffff,0xfd83fff2,0xffe8806f,0x80017fa0,0x07fccff9,
    0x7fffc400,0x3ff6004f,0xffe805ff,0xfd807fff,0x000fffff,0x3ff609f1,
    0x0ffe8806,0x7fffcc00,0x3fee02ff,0xfffe83ff,0xffffb003,0x7fe4003f,
    0xffff880f,0x3ff2003f,0xff9006ff,0xd000ffff,0x3fff200d,0x6e8007ff,
    0xfffff880,0x3fff2003,0xfff8806f,0x3f2003ff,0x26006fff,0x000fe63f,
    0x0ffffff9,0x2000dd00,0x7ffe40fc,0xc8000fff,0x007fffff,0xff9006e8,
    0xb0003fff,0x3ffea1ff,0x41ff3003,0x440005fe,0x0000bffc,0x0ffffff4,
    0xfffff500,0xffffb805,0x7fd402ff,0x5003ffff,0x7fff503f,0x003fe600,
    0xffffff10,0x7ffffc03,0x1ffffc81,0x7ffffe40,0x0ffd8001,0x0fffffd8,
    0x3fffe200,0xfffc803f,0x6e8006ff,0xfffff900,0x00dd000d,0x01fffffb,
    0x7ffffc40,0x7fffec03,0x3fe2000f,0x32003fff,0x000efeff,0x37ffffe4,
    0x40037400,0xfff984f8,0xc8004fff,0x006fffff,0xffa806e8,0x10004fff,
    0x3ffee1ff,0x007ee004,0x037cc000,0x7fffe400,0x7fec006f,0x7c00ffff,
    0x805fffff,0x06fffffe,0x3fee0db0,0x07ee004f,0xfffff100,0x3ffe603f,
    0xfffc81ff,0x3ffea03f,0xf10004ff,0xffffa81f,0xffe8005f,0x7e400fff,
    0x8006ffff,0xfff9006e,0xdd000dff,0xfffffa80,0xfffe8005,0xfff500ff,
    0xfd000bff,0x4001ffff,0x90001cb8,0x00dfffff,0xf7000dd0,0x3ffffa01,
    0xffc8007f,0xe8006fff,0x7fffcc06,0x2e0000ff,0x3ffffb0f,0x0007e200,
    0x00ffec00,0x3ffffe00,0x3bf6002f,0x405fffff,0x0ffffffc,0x7ffffdc0,
    0x81fc401f,0x001ffffd,0xf88003f1,0x501fffff,0x701fffff,0x260bffff,
    0x00ffffff,0xf883ee00,0x003fffff,0x6fffffc8,0x7ffffe40,0x006e8006,
    0x0dfffff9,0x7c40dd00,0x003fffff,0x6fffffc8,0xffffff88,0xfffc8003,
    0x000006ff,0x7ffffe40,0x006e8006,0x3fea05e8,0x4003ffff,0x06fffffc,
    0x7ec06e80,0x0005ffff,0xfffd87c4,0x03d001ff,0xfff10000,0x7fd4000b,
    0x7001ffff,0xfffff77f,0x7ffcc01f,0x7c403fff,0x404fffff,0xfffb00fb,
    0x07a003ff,0xfffff100,0x3ffea03f,0xfffb80ff,0xffffb04f,0xf88000bf,
    0x3ffffee0,0xffa8000f,0x3201ffff,0x006fffff,0xff9006e8,0xd000dfff,
    0x7fffdc0d,0xfa8000ff,0x5c1fffff,0x00ffffff,0xfffffa80,0x76e5401f,
    0x2000ceff,0x06fffffc,0x54006e80,0x999999bf,0x6ffffff9,0x7fffe400,
    0x06e8006f,0x3fffffe2,0x90c80002,0x07ffffff,0x00000130,0x001ffff9,
    0x3fffff60,0x34fa800f,0x05ffffff,0x6fffffe8,0xffffff80,0xf902f407,
    0x007fffff,0xff880013,0xf101ffff,0xf903ffff,0xff105fff,0x0005ffff,
    0x7ffe4190,0x98000fff,0x02ffffff,0x1bfffff2,0x6401ba00,0x006fffff,
    0x3ff206e8,0x8000ffff,0x2ffffff9,0x7fffffe4,0xfff98000,0xfb102fff,
    0xffffd77d,0x3fff2003,0x6e8006ff,0x7ffff400,0xffffffff,0x2002ffff,
    0x06fffffc,0x3ee06e80,0x000fffff,0x7fffd400,0x0003ffff,0x7ffc4000,
    0xff0004ff,0x801fffff,0x3ffe25f9,0x7d404fff,0x201fffff,0xfffffffa,
    0x5403f302,0xffffffff,0x7c400003,0x201fffff,0xd82ffffd,0xfb80ffff,
    0x000fffff,0xffffe800,0xff10007f,0x6409ffff,0x006fffff,0xff9006e8,
    0xd000dfff,0x7ffff40d,0xff10007f,0xfe89ffff,0x0007ffff,0x9ffffff1,
    0xfd09ff70,0xf9001fff,0x000dffff,0x5fcc00dd,0xaaaaaaaa,0x5ffffffa,
    0x3ffff200,0x06e8006f,0x1ffffffa,0x3fe20000,0xffffffff,0x70000002,
    0x01ffffff,0xfffff880,0x237cc07f,0x5ffffff8,0xffffff80,0x3fffb605,
    0x0d905fff,0xffffff88,0x0002ffff,0xffffff10,0x7fff4403,0x02ffff84,
    0x0ffffffd,0x3ffe0000,0x10007fff,0x0bffffff,0x37ffffe4,0xc8037400,
    0x006fffff,0x3ffe06e8,0x10007fff,0x8bffffff,0x07ffffff,0xfffff100,
    0x6fff88bf,0x06ffffb8,0x6fffffc8,0x2006e800,0x3ff2006d,0x9001ffff,
    0x00dfffff,0x7ffc0dd0,0x00006fff,0xffffff50,0x003dffff,0xfffe8000,
    0x4c003fff,0x06ffffff,0xff103ba2,0x900fffff,0x01ffffff,0xffff97f1,
    0x009f01ff,0xfffffff5,0x0003dfff,0xffffff88,0x7fff4401,0x05fffb11,
    0x37fffffc,0x7fcc0000,0x0006ffff,0xfffffff1,0x7ffffe40,0x006e8006,
    0x0dfffff9,0x3e60dd00,0x006fffff,0xffffff10,0x7ffffccf,0xff10006f,
    0xfb8fffff,0x7fd41fff,0xffc807ff,0xe8006fff,0x007f3006,0x7fffffc4,
    0xffff9004,0x0dd000df,0x3fffffe2,0x2a000006,0xffffffff,0xed80dfff,
    0xfff50004,0x800dffff,0x6ffffffa,0x3e203fa0,0x00ffffff,0x7fffffcc,
    0xff88fc83,0x7d43ffff,0xffff5000,0xbfffffff,0x3fe20001,0x5001ffff,
    0x9fffdffd,0x7fffc401,0x800006ff,0x5ffffffa,0x3fffe000,0xff900fff,
    0xd000dfff,0x3fff200d,0x6e8006ff,0xffffff50,0x7ffc000b,0xff50ffff,
    0x000bffff,0x7ffffffc,0x13ffff20,0x01fffff5,0x6fffffc8,0xb006e800,
    0xffd8001f,0xc800ffff,0x006fffff,0xfff506e8,0x0000bfff,0xfffffb80,
    0x0effffff,0xe8002ff4,0xffffffae,0x3ffe6002,0x3fb06fff,0x3ffffe20,
    0xfffd007f,0x6c9f0dff,0x6c6fffff,0x7ffdc006,0xffffffff,0xff88000e,
    0x7001ffff,0x0035557d,0x3fffffea,0xf9800005,0x006fffff,0x3fffffe0,
    0x3ffff207,0x06e8006f,0xdfffff90,0x260dd000,0x06ffffff,0x3ffffe00,
    0x3fffe67f,0x3e0006ff,0x4c7fffff,0x7d41ffff,0x6400ffff,0x006fffff,
    0x6f9806e8,0xffffa800,0xffc804ff,0xe8006fff,0xfffff506,0x000000ff,
    0xffffffd3,0x743fffff,0x2f98005f,0x0dffffff,0xffffff80,0x2202fc87,
    0x06ffffff,0xffffff50,0xff50fd43,0x3e23ffff,0xffe98002,0xffffffff,
    0x7fc4001f,0x4401ffff,0x2a0001fe,0x07ffffff,0xfff88000,0x10007fff,
    0x0dffffff,0x37ffffe4,0xc8037400,0x006fffff,0xfff106e8,0x2000ffff,
    0x6ffffff8,0x3fffffe2,0xfff10007,0xb930dfff,0xffffd885,0x7ffe400f,
    0x6e8006ff,0x0006fe80,0x3fffffff,0xfffffc80,0x306e8006,0x0fffffff,
    0x75400000,0xffffffff,0x0017fa5f,0xffffb9b6,0x3fa001ff,0x7dc7ffff,
    0x7fffc403,0x3fe005ff,0x17a5ffff,0x53fffffe,0x2a0000fb,0xfffffffe,
    0x7c4005ff,0x401fffff,0x4c0007fe,0x07ffffff,0xffff0000,0x22000fff,
    0x05ffffff,0x1bfffff2,0x6401ba00,0x006fffff,0x3ffe06e8,0x10007fff,
    0x8bffffff,0x07ffffff,0xfffff100,0x3f2200bf,0x00fffffe,0x37ffffe4,
    0xd5037400,0x98007fff,0xefffffff,0x3ffff201,0x06e8006f,0xfffffff1,
    0x80000003,0xfffffffb,0x00bfd2ff,0x3fe23f88,0x2005ffff,0x0ffffffc,
    0xff3009f5,0x4009ffff,0x8ffffffc,0xfffc82f9,0x004e8fff,0xfffff700,
    0x4005ffff,0x1ffffff8,0x473ffea0,0xff100098,0x003fffff,0xffffb000,
    0xf30001ff,0x407fffff,0x06fffffc,0xf9005e80,0x000dffff,0x7ffec0bd,
    0x98000fff,0x43ffffff,0x0ffffffd,0xffff9800,0x7e4403ff,0xfffffabf,
    0x7fffe400,0x05e8006f,0xfffffff9,0x3ffa203d,0xffffffff,0xffff906f,
    0x0bd000df,0x7ffffffc,0x01c00002,0xffffffb8,0x800bfd4f,0x7ffe40fc,
    0xf7000fff,0xf33fffff,0x3ffea00b,0x26001fff,0xcbffffff,0xfffff306,
    0x0e003fbf,0x7ffffdc0,0x3e2004ff,0x201fffff,0xfffffffd,0x02efffff,
    0x5fffffff,0xff900000,0x0003ffff,0x3ffffff5,0x7ffffdc0,0x005f8007,
    0x0ffffff7,0x7e40bf00,0x001fffff,0xffffffa8,0x7ffffe41,0xffa8001f,
    0x2e01ffff,0xfff52fff,0xffb801ff,0xf8007fff,0x20000005,0x3ee003fb,
    0x8007ffff,0x3fff205f,0x00003fff,0xfd880074,0xbfd6ffff,0x4c27c400,
    0x04ffffff,0xffffff10,0x32001df7,0x005fffff,0xefffffe8,0x3fffa03f,
    0x3a006fff,0xfffb1000,0x22010dff,0x01ffffff,0x3ffffff2,0xffffffff,
    0x7fffe41e,0x800003ff,0x2ffffff8,0xffffc800,0x7ffdc05f,0x4f8007ff,
    0xfffff700,0x409f000f,0x2ffffff8,0xffffc800,0xffff885f,0xfc8002ff,
    0xb105ffff,0x7fd43fff,0x7dc00fff,0x8007ffff,0x8000004f,0x5c006fd8,
    0x007fffff,0x3fe204f8,0x0004ffff,0x3a001f40,0xbfd6ffff,0xe807dc00,
    0x007fffff,0x3fffffea,0x3ffa000f,0xa8002fff,0x0fffffff,0x3ffffee0,
    0x00fa003f,0x4dffffd0,0x7c41efea,0x201fffff,0xfffffff9,0xffffffff,
    0x7ffffc46,0x7000004f,0x00bfffff,0x3fffffd0,0xfffffa80,0x01fcc007,
    0x7fffffa8,0x201fcc00,0x05fffffb,0xfffffe80,0xfffff701,0xfffd000b,
    0x3ffa03ff,0x7fffd45f,0x7ffd400f,0x7cc007ff,0xa8000003,0x7d4003ff,
    0x4007ffff,0x7fec03f9,0x00007fff,0x3e200374,0x0bfd5fff,0xff502f40,
    0x4007ffff,0x01fffffd,0x3ffffe60,0x3ffe0005,0x7c404fff,0x000fffff,
    0xff1001ba,0x7fffcbff,0x7ffffcc6,0x7ffcc00f,0xffffffff,0x7ec0ffff,
    0x0007ffff,0x3ffffa00,0x3fe2000f,0xf8805fff,0x000fffff,0x7c400bee,
    0x000fffff,0x3fa00bee,0x2000ffff,0x05fffff8,0x07fffff4,0xfffff100,
    0x3ffff20b,0x7ffffd42,0x7fffc400,0x3ee000ff,0xd8000002,0x7c4005ff,
    0x000fffff,0xff100bee,0x0007ffff,0x005fd1c4,0xfd3fffd8,0x26fea00b,
    0xff999999,0x2006ffff,0x03fffff8,0x3bffff60,0x3ff20000,0xfd801fff,
    0x74005fff,0x7fec002f,0xfffff53f,0x7ffffcc1,0xfffd8807,0xfffeeeee,
    0x7fc43fff,0x0003ffff,0x7ffd40e2,0x3f2004ff,0xd000ffff,0x005fffff,
    0xfd001be2,0x2005ffff,0xff5006f8,0x64009fff,0x400fffff,0x04fffffa,
    0x3fffff20,0x7fffff00,0x0fffffb8,0xfffffe80,0x00df1002,0x3ffe0000,
    0x7ff4000f,0xf1002fff,0x3ffea00d,0x88000eff,0x003ffa4e,0xfd1fffd8,
    0x3fffa00b,0xffffffff,0x002fffff,0x03ffffea,0x3ffffe60,0x7fcc0001,
    0xff5006ff,0xfe8005ff,0x3ff6000f,0xfffff51f,0x5fffff98,0x0067fe40,
    0x5417ffd4,0x00efffff,0x2e04e880,0x800fffff,0x01fffff9,0x3ffffea0,
    0x17f4400e,0x3fffea00,0x7f4400ef,0x3ffee002,0xff9800ff,0xf7001fff,
    0x3001ffff,0x203fffff,0xaffffff8,0xffffffc9,0xffffa801,0x7f4400ef,
    0xb0000002,0x4001dfff,0x0efffffa,0x0017f440,0x0dfffff9,0x3a1ee980,
    0xff1005ff,0x402ff49f,0xaaaaabf9,0xffffaaaa,0x3ea005ff,0x200effff,
    0x00dffff8,0x5fffd000,0x07fffc00,0x017ffa00,0xf127ffc4,0xffa85fff,
    0x3e203fff,0x3f6000ff,0xffff900f,0xee9800df,0x7fffdc01,0x3ffe200e,
    0xfc8001ff,0x300effff,0x320009fb,0x00efffff,0x70009fb3,0x401dffff,
    0x01fffff8,0x77fffdc0,0x3fffe200,0x7fff401f,0xffbfffff,0x402ccfff,
    0x0efffffc,0x0009fb30,0x7ffd4000,0xf9000aef,0x201dffff,0xa8004fd9,
    0x01efffff,0x3a06fe4c,0x6400dfff,0x02ff46ff,0xff90036c,0x3003ffff,
    0xdfff919f,0x3ff6a237,0x400003ff,0x64007ffa,0xfe8004ff,0x7e400dff,
    0x87ffc86f,0x404ffffc,0x2002fffa,0x7fd404ff,0x4c01efff,0xb3000dfc,
    0x2215dfff,0x0cffffca,0x3fff2000,0xfdbcefff,0x640004ff,0xceffffff,
    0x004fffdb,0x3bfff660,0xfff9510a,0x2600019f,0x10aefffd,0x19ffff95,
    0xfffff500,0x3fff61bf,0xff9004ff,0xb79dffff,0x00009fff,0xffff7000,
    0xf9001fff,0x79dfffff,0x0009fffb,0x7fffff44,0xffdb9abd,0xffffd03f,
    0xffc8817f,0x202ff40d,0x3e2003f9,0x404fffff,0x7fdc45f9,0xefffffff,
    0xf000000b,0xff98009f,0xfffe8001,0x7e440bff,0x9ffb00df,0x13fffea3,
    0x00ffff40,0x200bfd31,0xdfffffe8,0xfffdb9ab,0xffb50003,0xffffffff,
    0x26000039,0xfffffffe,0x00001cff,0xffffffd3,0x00039fff,0x3ffff6a0,
    0x1cffffff,0xffb50000,0xffffffff,0xfeb80039,0x7fecc2df,0x7f4c004e,
    0xffffffff,0x0000001c,0x37fff660,0x3ffa6002,0xcfffffff,0xf9300001,
    0xffffffff,0x46f4039d,0xeefffdb8,0x9db02eff,0x4000fd80,0x0ffffffd,
    0x98803ba0,0x000aacca,0x00fc8000,0xd0006e80,0xfffb711b,0x005dffdd,
    0xffffffd5,0xffc8007f,0xffecceef,0xc98002df,0xffffffff,0x00001cef,
    0x35799753,0x54400000,0x009abccb,0x97510000,0x00013579,0x665d4c00,
    0x000001ab,0x55e65d4c,0x80080001,0x54400008,0x009abccb,0x40000000,
    0x5d440000,0x0009abcc,0x32aa6000,0x02e001ac,0x06af2ea2,0x01be6000,
    0x3ffffea0,0x0002204f,0x10000000,0x00aa0007,0x5d4405c0,0x98001abc,
    0x0002acca,0x66f665cc,0x300001ab,0x00359955,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xf80037f4,0x01ffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0x003fffea,0x7fffffcc,0x000001ef,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fff2000,0x101effff,0xfffffffd,0x000dffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x88000000,0x0018800a,
    0x99998000,0x11000000,0x00000620,0x00000026,0x00000000,0x033332a0,
    0x00000000,0x00000000,0xaaaa8000,0x00000001,0x06aaaa00,0x0000d400,
    0x40000000,0x00000018,0x80000000,0x0002aaa9,0x00000000,0x00000000,
    0x401e5c00,0x3ea00ef8,0x44000005,0x00005fff,0xfb8b7e60,0xfd800003,
    0x0017e401,0x7ffffc00,0x22000004,0x004fffff,0xfff30000,0x000000df,
    0x00fffff2,0xffff7000,0xff88000d,0xa80006ff,0x4006ffff,0x0006fffa,
    0x0dffff10,0x1df10000,0x0007f440,0x9bffe200,0x0000fffd,0x007ffffd,
    0x3ffffe20,0xff900003,0x13ffe65f,0xffd80000,0xfd000eff,0x07fee00b,
    0x00003ff2,0x009ff700,0xdff50000,0x00000bfd,0x3a20bfe2,0xa800005f,
    0x0004ffff,0x7fffec00,0x000000ff,0x2fffffe8,0x7cc00000,0x0007ffff,
    0x3ffffe20,0x3f60003f,0x0003ffff,0x3fffffe2,0x3fffa003,0xfd80002f,
    0x0003ffff,0x980efb80,0x800002ff,0xff10fffa,0x3ee0007f,0x000fffff,
    0x03ffffb8,0x93ffa000,0x0000effb,0x3bfffe00,0x017fa000,0xd897ffc4,
    0x000004ff,0x00003fd8,0x3bfff200,0x32000000,0x3ffa64ff,0xfc800001,
    0x000004ff,0x7fffffcc,0x4000004f,0x6ffffffa,0x7ec00000,0x003fffff,
    0xfffff900,0x3e6000ff,0x007fffff,0x3fffff20,0xfff1007f,0x98000bff,
    0x0fffffff,0xfff80000,0x001bfee1,0x517fec00,0x22000bff,0x4fffffff,
    0x4fffd800,0x3fe60000,0x000fff46,0xdfff5000,0x05fe8001,0x3b3ffee0,
    0x00000fff,0x00000880,0x00999800,0x7fc40000,0x04fffadf,0xbfff0000,
    0xfd000000,0x1fff71df,0x7f400000,0x03fffcff,0xfff50000,0x001fffdb,
    0xbdfff880,0xe8003fff,0x3fffcfff,0xefff8800,0xd003fffa,0x0007ffff,
    0xffcfffe8,0xb800003f,0xfffcbfff,0xf8800001,0x007fec5f,0xdbfffc80,
    0x22000fff,0x00004fff,0xff10ffdc,0xd8000009,0xe8000eff,0x7ff4005f,
    0x0003ffff,0xd30ff200,0x9000001b,0x00de987f,0xfff90000,0x0001ffff,
    0x00bff500,0xbff50000,0x0027fd41,0x0effb800,0x0000fff5,0x6c53ffa0,
    0x6c0003ff,0x3ffe64ff,0x3bfea000,0x001fff51,0x3e64ffd8,0xffa800ff,
    0x7d40006f,0x1fff51ff,0xffd00000,0x000bffff,0xf03fea00,0x3e20005f,
    0x13ff21ff,0x004ffb80,0x5c3fe800,0x8000006f,0xd0000fff,0xffb800bf,
    0x00006fff,0xfb1ffe20,0x8800005f,0x17fec7ff,0xff880000,0x0003ffff,
    0x000bf900,0x413fa000,0x00001ff9,0x7cc2ffc4,0x5c00003f,0x0ffc83ff,
    0x07ff3000,0x74009fd1,0x27fcc0ef,0x107ff300,0x2e2009fd,0xefe80001,
    0x0027fcc0,0x7fffd400,0x000000ff,0x04fa83fb,0x203bf600,0xfb001ffb,
    0xf300000b,0x0003fd0d,0x01ffa800,0x0017fa00,0x00bffffa,0x8bfd0000,
    0x00000ffb,0x7fdc5fe8,0x2e000000,0x0006ffff,0x00037600,0x00baa000,
    0x80000bd3,0x3fa603fc,0xff100000,0x0027dc03,0x3a201fe8,0x04fb800f,
    0x74003fa2,0x03f6201f,0xfb800000,0x003fa205,0x3fffa000,0x2000004f,
    0x0005b83d,0xfa8037e6,0x004e8805,0x881d5000,0x8000003e,0x740001eb,
    0x9988005f,0x00000019,0x00002203,0x00110180,0xaaa88000,0x0000001a,
    0x00000000,0x35000000,0x00015100,0x2a002a20,0x00130004,0x00aa0026,
    0x04c00b22,0x00000980,0x2200aa00,0x9800002c,0x0000aaaa,0x80000000,
    0x00310018,0x00000000,0x00000000,0x005fe800,0x00003310,0x00000000,
    0x00000000,0x09ba9980,0x000005c0,0x44000000,0x2009aaba,0x00000003,
    0x00000000,0x00000000,0x00000000,0x33333220,0x000002cc,0x00000000,
    0x00000000,0x00000000,0x0a035753,0x00662000,0x00000000,0x4402ff40,
    0xfffffecb,0x74002cde,0xffffffff,0xfc84ffff,0x3fffffff,0x3ffffffa,
    0x84ffffff,0xfffffffc,0x3f26003f,0xceffffff,0xfe83e21b,0xffffffff,
    0xffc84fff,0x03ffffff,0x3fffb2a0,0x0befffff,0xfffe81e6,0xffffffff,
    0xffffc84f,0x0003ffff,0x91000000,0x557bdffd,0x00035555,0xcccca800,
    0x220ccccc,0x2e4ccccc,0x04fffffe,0x20000000,0xfffffffa,0xffa803ff,
    0x22ffffff,0xfffffffe,0xc84fffff,0xffffffff,0x99999703,0x3fee0079,
    0x21cfffff,0x32e2000e,0xdefffffe,0x3fea002c,0x3fffffff,0xfffffa80,
    0x0bfd2fff,0xadffffa8,0xefffdb88,0x7ffd4001,0x800cffff,0x201fffe9,
    0xfffffffa,0xffe9800c,0x3fa6001f,0xaaacffff,0xffceffdc,0xfffffa80,
    0xe9800cff,0x22001fff,0x1acffffd,0x9dfff953,0xfff500ff,0x0019ffff,
    0x883fffd3,0xfffffffe,0xd15fffff,0xffffffff,0xf70bffff,0xfff75dff,
    0x327fffff,0x07ffffff,0x3fffa600,0xea82efff,0x7fcc2eff,0xffc84fff,
    0xffffffff,0x3fe601ef,0x546fffff,0xffffffff,0xdffb1001,0x7fffd403,
    0x9800cfff,0x4c01fffe,0x06fffffd,0x456fff4c,0xfeeffca8,0xffff5000,
    0xffb7115b,0x7d4003df,0x1fffffff,0x3dffb100,0xfb105fe8,0x7cc03fff,
    0x6c004fff,0x00ffffff,0x2007fe60,0x0ffffffd,0x007fe600,0xbfffffb8,
    0x3fffa600,0xffffb00f,0x7cc001ff,0x3fea001f,0x64400dff,0xb007ffff,
    0x01ffffff,0x200ffcc0,0xfffffffa,0x3ffea00e,0xb00effff,0xff98dfff,
    0x262eeeff,0x007fffff,0xfffffe80,0x403fe603,0x104fffff,0xfffffff9,
    0x7f4c001d,0xfff302ef,0x001dffff,0x36007fe2,0x00ffffff,0x8007fe60,
    0x206ffffe,0x2602fff8,0x4400fffe,0x201ffffd,0x004ffff9,0x3fffffe6,
    0xff1000ef,0xf30bfd03,0x3005ffff,0x001dffff,0x1ffffff2,0x6401fe00,
    0x007fffff,0x3f6007f8,0x2001ffff,0xf900fffc,0x000fffff,0x3f6200ff,
    0x4c006fff,0xf9007fff,0x000fffff,0x3fee00ff,0xb801ffff,0x01ffffff,
    0xd07ffff7,0x7ec07fff,0x80007fff,0x05fffff9,0xfff813e2,0x7fec04ff,
    0x8005ffff,0x7dc00ffa,0x05ffffff,0x7e401f60,0x8007ffff,0x7fec007f,
    0x3ff606ff,0x0ffe8806,0x3ffffe60,0xffff9802,0xfff7000e,0x400bffff,
    0x88bfd07d,0x003fffff,0x01bffff2,0x3fffffe4,0xc8037400,0x007fffff,
    0xff9006e8,0xb0003fff,0x3ff201ff,0xe8007fff,0xffff9006,0xff50001d,
    0x3fff200f,0x6e8007ff,0xfffff500,0xfff5001f,0x3fe01fff,0xffc81fff,
    0xfff901ff,0x3a0000ff,0x500fffff,0x7fffc01f,0x7ffc404f,0x4000ffff,
    0xffb802fd,0x04ffffff,0x3f200f90,0x8007ffff,0x7fec006e,0xfff506ff,
    0x03fe6007,0x1fffffc4,0xdffff900,0x3fffee00,0x9004ffff,0xfb17fa0f,
    0x4001ffff,0x03fffff8,0x6fffffc8,0x9006e800,0x00dfffff,0xff500dd0,
    0x20009fff,0xff900ff8,0xd000dfff,0xffff500d,0x7dc0007f,0xffff9007,
    0x0dd000df,0x3ffffea0,0xfffa800f,0xff980fff,0xffc81fff,0xfff903ff,
    0x2a0000ff,0xb03fffff,0xfffff80b,0xffffb804,0x3e2004ff,0xffbf7005,
    0x005fffff,0x3ff200d9,0xe8006fff,0x7ffec006,0x9fff706f,0xd80fdc00,
    0x000fffff,0x0fffffe2,0x3fff7ee0,0xc802ffff,0x7d4bfd06,0x8005ffff,
    0x00fffffe,0x37ffffe4,0xc8037400,0x006fffff,0x7fcc06e8,0x0000ffff,
    0x7fe403ee,0xe8006fff,0x7fffc406,0x740000ff,0xffff9007,0x0dd000df,
    0x3ffffea0,0xfffa800f,0xffa80fff,0xffb80fff,0xfff905ff,0x740000ff,
    0xf886ffff,0x7ffffc02,0xffffd004,0x3f6001ff,0xfd1f7000,0x03ffffff,
    0xff9006c8,0xd000dfff,0xfffd800d,0xffffb06f,0x207e2003,0x05fffffa,
    0xfffffe80,0x7f47dc00,0x01ffffff,0x15fe8364,0x07ffffff,0xfffff900,
    0xffffc80d,0x06e8006f,0xdfffff90,0xd80dd000,0x005fffff,0xfc807c40,
    0x8006ffff,0x7ffec06e,0xa80004ff,0xffff9007,0x0dd000df,0x3ffffea0,
    0xfffa800f,0xff880fff,0xffb80fff,0xfff904ff,0x5c0000ff,0x542fffff,
    0xfffff807,0xffff5004,0x7f300bff,0xff9bdc00,0x00efffff,0x7fe401b2,
    0xe8006fff,0x7ffec006,0xffffb06f,0x107a003f,0x07ffffff,0xfffff900,
    0xff37b80d,0x01dfffff,0x75fe8364,0x01ffffff,0xfffff500,0x7ffe403f,
    0x6e8006ff,0xfffff900,0x40dd000d,0x2ffffff8,0x900c8000,0x00dfffff,
    0x7fcc0dd0,0x0003ffff,0x3ff200d0,0xe8006fff,0xffff5006,0xff5001ff,
    0x3a01ffff,0xfc81ffff,0xff901fff,0x40000fff,0x45fffff8,0xffff804e,
    0x3ffa004f,0x7401ffff,0xf53dc006,0x0bffffff,0xffc80364,0xe8006fff,
    0x7ffec006,0xffff906f,0x813007ff,0x0ffffffb,0xffffa800,0xa9ee01ff,
    0x5fffffff,0xaff41b20,0x0ffffffc,0xffff9800,0x3ff202ff,0xe8006fff,
    0xffff9006,0x0dd000df,0x7fffffdc,0x64000000,0x006fffff,0x3fee06e8,
    0x0002ffff,0x7ffe4000,0x6e8006ff,0xfffff500,0xfff5001f,0x3ee01fff,
    0xffd81fff,0x3fff207f,0x37fb267f,0x3ff2000a,0x03f11fff,0x09fffff0,
    0x7ffffcc0,0x007ee05f,0xfffb8f70,0xd904ffff,0x3ffff200,0x06e8006f,
    0x37fffec0,0xffffffa8,0x7e4003ff,0x000fffff,0xffffff98,0xff71ee02,
    0x209fffff,0x3abfd06c,0x007fffff,0xffffff10,0x7fffe409,0x06e8006f,
    0xdfffff90,0x740dd000,0x007fffff,0xfffc8000,0x6e8006ff,0x3fffff60,
    0x0000001f,0x37ffffe4,0xa8037400,0x00ffffff,0xffffffa8,0x9fffd100,
    0x405ffff0,0xf57ffffc,0x00bfffff,0xa7ffffc4,0xffff006c,0xffd8009f,
    0xf882ffff,0xd87b8005,0x2fffffff,0xff9006c8,0xd000dfff,0xfffd800d,
    0xffff106f,0x05ffffff,0x3fffffa0,0xfff10007,0x3dc09fff,0x7fffffec,
    0xfd06c82f,0x3fffffeb,0xfff10007,0x7e40bfff,0x8006ffff,0xfff9006e,
    0xdd000dff,0x7fffffc0,0xc8000006,0x006fffff,0x3ffa06e8,0x0000ffff,
    0x7ffe4000,0x6e8006ff,0xfffff500,0xfff5001f,0x74401fff,0xffb13fff,
    0xfffc803d,0xffddfcff,0x36003fff,0x2f8fffff,0x9fffff00,0xffff8800,
    0x00fc86ff,0xffd07b80,0xc81fffff,0xffff9006,0x0dd000df,0x6ffffd80,
    0x3ffffea0,0x01efffff,0x3ffffffc,0xffff8800,0x41ee05ff,0xfffffffe,
    0xdfe83640,0x6ffffff9,0xffff1000,0x7fe40fff,0xe8006fff,0xffff9006,
    0x0dd000df,0x3fffffe2,0xc8000006,0x006fffff,0xfff106e8,0x0000ffff,
    0xffff9000,0x0dd000df,0x3ffffea0,0xfffa800f,0xe9800fff,0x0ceffeff,
    0xfffffc80,0x3fffee1f,0x3ffe6007,0xf000feff,0x0009ffff,0x5ffffff9,
    0xb8001fcc,0xfffff107,0x03641dff,0x6fffffc8,0x4006e800,0x406ffffd,
    0xfffffffa,0x980dffff,0x06ffffff,0xfffff100,0x883dc0ff,0xefffffff,
    0x6ff41b20,0x5ffffffa,0x3fffe000,0xff900fff,0xd000dfff,0x3fff200d,
    0x6e8006ff,0xffffff50,0x9000000b,0x00dfffff,0x3fe60dd0,0x0006ffff,
    0xfffc8000,0x6e8006ff,0xfffff500,0x9999999f,0xfffffb99,0x57d7001f,
    0xfc800155,0x7cc2ffff,0x2001ffff,0x04fffffe,0x13ffffe0,0x3fffe200,
    0x001ba7ff,0x3fe607b8,0x325fffff,0xffff9006,0x0dd000df,0x6ffffd80,
    0xfffffb80,0x0effffff,0x7fffffd4,0x3ffe0005,0xf700ffff,0x7ffffcc0,
    0x741b25ff,0xfffff9df,0x3fe0006f,0x3207ffff,0x006fffff,0xff9006e8,
    0xd000dfff,0x3fffea0d,0x000007ff,0x6fffffc8,0xf306e800,0x00dfffff,
    0xff900000,0xd000dfff,0x3ffea00d,0xffffffff,0xffffffff,0x36200fff,
    0xfc80001f,0xff887fff,0x2a002fff,0x001fffff,0x013ffffe,0x7ffffdc0,
    0x0002fbbf,0xfff701ee,0x1b27ffff,0x7ffffe40,0x006e8006,0x037fffec,
    0xfffffe98,0x21ffffff,0x6ffffff9,0x3fffe000,0x01ee07ff,0xfffffff7,
    0x6ff41b27,0x7ffffff8,0xffff1000,0x7fe40dff,0xe8006fff,0xffff9006,
    0x0dd000df,0x3fffffe6,0xc8000007,0x006fffff,0xfff106e8,0x2200ffff,
    0x99999999,0x3f201999,0x8006ffff,0xfff5006e,0xf5001fff,0x401fffff,
    0x900007fe,0xf10fffff,0x8005ffff,0x2006ffff,0x04fffff8,0x3ffffe00,
    0x40005fff,0xfffc807b,0x06c9ffff,0xdfffff90,0x800dd000,0x006ffffd,
    0x7fffff54,0x3e25ffff,0x007fffff,0xffffff10,0x6403dc0d,0x9fffffff,
    0x3ebfd06c,0x007fffff,0xffffff10,0x7fffe40b,0x06e8006f,0xdfffff90,
    0x220dd000,0x1fffffff,0x7e400000,0x8006ffff,0xffff106e,0x95001fff,
    0xfffffffd,0x3f2019df,0x8006ffff,0xfff5006e,0xf5001fff,0x201fffff,
    0x311cfffa,0xfffc8003,0xffff887f,0x7fdc002f,0x3fee003f,0x0001efff,
    0xfffffff7,0x07b80001,0xffffffd0,0x3f200dbf,0x8006ffff,0x7fec006e,
    0xf70006ff,0xffffffff,0x7fffffc5,0xfff10007,0x3dc0bfff,0xfffffe80,
    0xbfd06dff,0x3ffffff6,0xfff98000,0x3f203fff,0x8006ffff,0xfff9005e,
    0xbd000dff,0x7fffffc0,0x4000002f,0x06fffffc,0x3fa05e80,0x001fffff,
    0x7ffffff4,0xffffc803,0x05e8006f,0xffffff50,0xffff5001,0x3ff601ff,
    0xffffffff,0xf900bdff,0xff10ffff,0x88005fff,0xf8800fff,0xffffffff,
    0xfffd0005,0x70000dff,0x3ffe200f,0x006fffff,0x0dfffff9,0xc800bd00,
    0x0706ffff,0x3ffffee0,0x3fff64ff,0x98000fff,0x03ffffff,0x7fc401ee,
    0x06ffffff,0x3fff2bfd,0xa8001fff,0x01ffffff,0x1fffffee,0x5c017e00,
    0x007fffff,0x3ff205f8,0x0003ffff,0x7fffdc00,0x05f8007f,0x3fffffee,
    0x7ffdc003,0xfb800fff,0x8007ffff,0xfff5005f,0xf5001fff,0x201fffff,
    0xfffffffc,0xefffffff,0x7ffffc80,0x2fffff88,0x005fd800,0x0000ee98,
    0xdfffff90,0x00f70000,0x7fffffcc,0xfff7006f,0xbf000fff,0xffffc800,
    0x22001d06,0x26fffffd,0x1ffffffc,0xffffa800,0x01ee01ff,0xffffff98,
    0x22bfd06f,0x02ffffff,0xfffffc80,0x7fffdc05,0x04f8007f,0xffffff70,
    0x4409f000,0x04ffffff,0x7fdc0000,0xf8007fff,0x3fffe204,0x7dc004ff,
    0x7007ffff,0x00ffffff,0x3ea009f0,0x800fffff,0x0ffffffa,0xffffff30,
    0xffffffff,0xffff90ff,0xfffff10f,0x05f30005,0x002ffa80,0x3ffff200,
    0x7b80006f,0x7fffd400,0xff7006ff,0xf000ffff,0xfffc8009,0x8007d06f,
    0x226ffffe,0x02ffffff,0xfffffc80,0x2003dc05,0x6ffffffa,0x7fdcbfd0,
    0xe8005fff,0x401fffff,0x07fffffa,0xa801fcc0,0x007fffff,0x3f601fcc,
    0x0007ffff,0x7fffd400,0x1fcc007f,0x3fffff20,0x7ffd4005,0xff5007ff,
    0x9800ffff,0xfff5003f,0xf5001fff,0x401fffff,0xfffffff9,0xffffffff,
    0x3ffffe41,0x17ffffc4,0x40035400,0x00000fff,0x1bfffff2,0x001ee000,
    0x1bfffff2,0x7ffffd40,0x01fcc007,0x17ffff20,0x3e200374,0x7fdc5fff,
    0xe8005fff,0x401fffff,0xffc8007b,0xbfd06fff,0x0fffffe8,0x3fffe200,
    0xfff8805f,0x2e000fff,0xfff1002f,0x5c001fff,0x7ffc402f,0x20003fff,
    0x3ffe2038,0x2e000fff,0xfffd802f,0x3ea001ff,0x1007ffff,0x01ffffff,
    0xa8017dc0,0x00ffffff,0xffffffa8,0x3bff6200,0xffeeeeee,0x7fe43fff,
    0xfff887ff,0x3d8002ff,0x17ffcc00,0xfff90000,0x70000dff,0x3ff6000f,
    0xff1006ff,0x4001ffff,0x7dc002fb,0x5fd04fff,0x3fffd800,0x0fffffe8,
    0x3fffe200,0x007b805f,0x0dffffb0,0xfff517fa,0x7e4009ff,0xd000ffff,
    0x005fffff,0xfd001be2,0x2005ffff,0xff5006f8,0x0001dfff,0xffe809d1,
    0xf1002fff,0x3ffe200d,0x3ea004ff,0x2007ffff,0x02fffffe,0x5400df10,
    0x00ffffff,0xffffffa8,0x00bff900,0xf90bffee,0xff10ffff,0xf9105fff,
    0x0007c41b,0x001bffea,0xfffffc80,0x07b80006,0xdfffd100,0x7ffff400,
    0x0df1002f,0x3fee4c88,0x1ffd04ff,0x0fffec00,0x27ffffd4,0xfffff900,
    0x000f7001,0x41bfffa2,0xfffb85fe,0xff9800ff,0x2a001fff,0x00efffff,
    0x20017f44,0x0efffffa,0x0017f440,0x0dfffff9,0x401ee980,0x0efffffa,
    0x0017f440,0x05fffff3,0x3ffffea0,0x3ffea007,0x74400eff,0x3fea002f,
    0xa800ffff,0x80ffffff,0x2000fff9,0xfffc87fd,0xffff887f,0x3fffb82f,
    0x3e600132,0x00002fff,0x0dfffff9,0x001f9000,0x01bffe60,0xefffffa8,
    0x017f4400,0x7fd4bff6,0xbffd03ff,0x13ffe200,0x0fffffb8,0xfffff980,
    0x001f9001,0x41bffe60,0xfff705fe,0x7fc401df,0xc8001fff,0x00efffff,
    0x20009fb3,0x0efffffc,0x0009fb30,0x3dfffff5,0x00dfc980,0xdfffff90,
    0x013f6601,0x3ffff620,0xffffa803,0x7fe4007f,0xb300efff,0xffa8009f,
    0xa800ffff,0x80ffffff,0x2002fff9,0xfffc84ff,0xffff887f,0x5fffd83f,
    0x360001f1,0x001cffff,0x7ffffe40,0x2fe80006,0x1bfea000,0xfffff900,
    0x13f6601d,0x7d4fffe0,0xffd00fff,0xffc801bf,0xffffb806,0x3ffe200e,
    0x3fa001ff,0x3fea0002,0x4c0bfd06,0x10aefffd,0x19ffff95,0x7ffe4000,
    0xfdbcefff,0x640004ff,0xceffffff,0x004fffdb,0x3ffffa20,0xfdb9abdf,
    0xfc8003ff,0xbcefffff,0x0004fffd,0x577fffd4,0x7ffed440,0xfc8003ef,
    0xbcefffff,0x8004fffd,0x1ffffffb,0xfffffb80,0x3dffb01f,0x81ff4c40,
    0x987ffffd,0xb83fffff,0x04ebffff,0x3fffa200,0xb0005fff,0x00ffffff,
    0x0afffc80,0x00df9000,0xffffff90,0x9fffb79d,0x553ff200,0x3fa02fff,
    0x440bffff,0x3000dffc,0x215dfffb,0xcffffca8,0x3fff2000,0xdf90000a,
    0x2a017fa0,0xfffffffd,0x0001cfff,0xfffffd30,0x0039ffff,0x3fffa600,
    0x1cffffff,0xff930000,0xdfffffff,0x74c00039,0xffffffff,0x100001cf,
    0xdfffffd9,0x17bfffff,0xffe98000,0xcfffffff,0xfff88001,0x4c05ffff,
    0x5fffffff,0x3bbffae0,0x1efffecc,0xffffff30,0xfffffc87,0xfffff80e,
    0xfd700005,0x500019ff,0x9fffffff,0xfffea800,0x000effff,0xd30006d8,
    0xffffffff,0x7c40039f,0x03ffecff,0x7edc46f4,0x2effeeff,0xfffb5000,
    0x9fffffff,0x3ffaa003,0x00efffff,0x9db06d80,0xccba9800,0x000001ab,
    0x2af32ea2,0x10000009,0x13579975,0x54c00000,0x0001acca,0xbccba880,
    0x0000009a,0x2f332aa2,0x0000019a,0x35799751,0xfee88001,0xffffffff,
    0xffdd15ef,0xffffffff,0x32eaa0bd,0x5c01abdd,0xffffffff,0xffffffd5,
    0x599305ff,0x01100000,0xffffdb00,0xdfffffff,0x0000001d,0x20001c40,
    0x9abccba8,0xb9710000,0x202e0037,0x01abcba8,0x32ea6000,0x00001abc,
    0x01c40000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x07726000,
    0x00000000,0x00544000,0x000000c4,0xffe81750,0xffffffff,0xfffb85ff,
    0x804fffff,0x0001aba9,0x55510000,0x80000355,0x88000008,0x0018800a,
    0x9d100be6,0x400d4000,0x026000a8,0x64000000,0x0005eeee,0x00000000,
    0x00000000,0x00008800,0x3ffffa20,0xffffffff,0xffffff75,0xffffffff,
    0xffffffff,0x2009309f,0xfb00001b,0x0001dfdd,0xffff1000,0x3a00005f,
    0x01bea01e,0x7db30000,0xfff509ff,0x001bffff,0x003dffd3,0xdffdfff7,
    0x80000005,0x005ffffb,0x403fb800,0x3fa004fb,0x001bea01,0x17ec01ff,
    0x77ffcc00,0x07fff900,0xe8803ba0,0xf100000f,0x0001ffff,0x416ffec4,
    0x3ff2002e,0x540007ff,0x401fffff,0x003ffffd,0x3ee01fdc,0x3ffe6004,
    0x5c0effff,0xccdeffff,0xcefffffe,0x4ffffedc,0x7e405f98,0x2f980002,
    0x00000fe6,0x0ffffee0,0x2ffa8000,0x0001ffb8,0x223fe200,0xffc80fff,
    0x2000ffff,0x74402ff8,0xffd10bff,0x40000009,0x000efffe,0x209fd000,
    0x2a000ffc,0x1ffb82ff,0x677fec00,0x00fffdca,0x3ffffd80,0x0fffff88,
    0x981ffa80,0x200003fe,0x001ffffa,0x3ffffe60,0x01fcabff,0x0ffffec0,
    0xffff9000,0xffff9805,0x4fe8007f,0x8001ff90,0x2ffffffb,0xd81dffb8,
    0x885fffff,0xbff04ffe,0x3ff2a635,0x86d80000,0x8000006c,0x0003fffe,
    0x363ffe80,0x000005ff,0xfffbb7f4,0xfffffb80,0x807e8007,0xffa82ffd,
    0x8000002f,0x000efff9,0x97fea000,0x8002ffd8,0x3ff23ffe,0xfff88005,
    0x03ffffff,0xfffff880,0xfffffb86,0x45ffd002,0x00006ffa,0x000fffec,
    0x3fffff60,0x00ffffff,0x04fffd80,0x0bfffe00,0x3fffffa0,0x7fd4003f,
    0x07ffb10d,0xfffff500,0x40df703f,0x05fffffd,0x3f209fb1,0xffffffff,
    0x09d00005,0x000001f5,0x0027ffc4,0xcfffa800,0x0000fffe,0x457fea00,
    0xfff704ff,0xfb000fff,0x506ffb80,0x0000bfff,0x01dff700,0xffd00000,
    0x00dffd5d,0x3b3ffea0,0x70000fff,0xdfffffff,0x7fff4000,0xffff883f,
    0xfff5000f,0x005fff97,0x0fffc400,0x33fe2000,0xfffffffe,0x3ff60004,
    0xfff50007,0xbfff5005,0x8001fffd,0xffeaeffe,0xfff50006,0x3f701fff,
    0x7ffffec0,0xe813e205,0xffffffff,0x0f900000,0x800000bb,0x00004ffb,
    0x7fffff40,0x4000004f,0x70045ffe,0x00ffffff,0xffd80db0,0x6fffa80f,
    0xfe800000,0x0000000e,0xfffffff5,0x7ff40003,0x0004ffff,0x1fffff4c,
    0x3ffea000,0x9fff900e,0xffffe800,0x400006ff,0x80002ffa,0x3ff6a1f9,
    0xd80004ff,0xfc8001ff,0x9ffd003f,0x0013ff62,0xfffffff5,0x3fea0005,
    0x5b80ffff,0x7ffffec0,0xb1026405,0x01dfffff,0x56fc4000,0x00002fc9,
    0x00027f40,0x7fffcc00,0x000000ff,0x8017ffe6,0x07fffffb,0x7f406d80,
    0xfff882ff,0x4c000003,0x000000ff,0x7fffff40,0x7fcc0005,0x0000ffff,
    0x00013530,0x2200ae20,0xff98000b,0x0001ffff,0x00017ec0,0x02a60288,
    0x27f44000,0x801ffc00,0xffc82ffb,0x7fff4000,0x2a0005ff,0x80ffffff,
    0x7ffec03b,0x025405ff,0x00167654,0xeffda800,0x44000003,0x0000004e,
    0x00fffff6,0xfffb0000,0x7ffdc00d,0x6d8007ff,0x077ffec0,0x0000164c,
    0x00005440,0x7ffcc000,0xd80000ff,0x0003ffff,0x00000000,0x3f600000,
    0x00005fff,0x00000000,0xbb100000,0x003e9800,0x7dc03df1,0x7ffcc004,
    0x2a0001ff,0x80ffffff,0x7ffec009,0x001805ff,0x98000000,0x00000001,
    0x22000000,0x00001999,0x2ffffd40,0xfffff700,0x80db000f,0x01effffb,
    0x00000000,0x2a000000,0x00002aaa,0x00033331,0x00000000,0xa8800000,
    0x00000aaa,0x00000000,0x00000000,0x0054c000,0x5540014c,0x540002aa,
    0x00ffffff,0xfffffb00,0x0000000b,0x00000000,0x00000000,0x00001800,
    0x3fff2a20,0x3ee004ff,0x8007ffff,0x7ffc406d,0x00003fff,0x00000000,
    0x00000000,0x7fff4000,0xffffffff,0xffffc84f,0x9913ffff,0x4c599999,
    0x0ccccccc,0xa8000000,0xcccccccc,0x3333220c,0x3ffffa4c,0xffffffff,
    0xfffffc84,0x00003fff,0x00000000,0x40000000,0x0ffffffa,0xffffb000,
    0x644000bf,0xaabdeffe,0x7f41aaaa,0xffffffff,0xffc84fff,0x83ffffff,
    0xfffffffb,0xffffffff,0x003fffff,0x00005d00,0x3fffffe0,0x403fffff,
    0x07fffffb,0xf9806d80,0x00efffff,0xffea8000,0xffffffff,0xffffffff,
    0x2e06ffff,0xffffffff,0xffffffff,0x7443ffff,0xffffffff,0xfa85ffff,
    0x0cffffff,0x1fffe980,0xfffffea8,0x3fffee24,0xfffd11ff,0xffffffff,
    0xffffffff,0xffe985ff,0xa82effff,0xfa82effe,0x0cffffff,0x1fffe980,
    0x7fffff44,0x5fffffff,0xffffffd1,0x2bffffff,0xffffffe8,0x75ffffff,
    0xffffffff,0xffffffff,0x9fffffff,0x3ffffea0,0xffb0000f,0x2000bfff,
    0xfbaefffb,0x3fffffff,0xffffff50,0xfd30019f,0x7fe403ff,0xccccdfff,
    0xfffffecc,0xf300006f,0xf100000d,0xffffffff,0xffb805ff,0xd8007fff,
    0xffff5006,0x00007fff,0x7ffffdc0,0xdccdffff,0x6fffffee,0x3fffff20,
    0xeccccccd,0x06ffffff,0x7fffffd4,0x7fec00ef,0x2000ffff,0x3e201ff9,
    0xfb84ffff,0xfa81ffff,0xccffffff,0xffffedcc,0xfffd02ff,0x7fcc07ff,
    0x3ffff600,0x3e6000ff,0x7ffd401f,0x200effff,0xfffffffa,0x3ffea00e,
    0x5c0effff,0xccdeffff,0xcefffffe,0x4ffffedc,0xffffff50,0x3ff60001,
    0xd8005fff,0x7fcc6fff,0x202eeeff,0x0ffffffd,0x007fe600,0x4017dff9,
    0xfffffff8,0xffb00001,0xa8800003,0xafffffda,0x7fdc00aa,0xd8007fff,
    0xffff7006,0x000bffff,0x7fdffc00,0x7101ffff,0x7e40dfff,0x3e200bef,
    0x01ffffff,0xffffffb8,0xffffc801,0x07f8007f,0x84fffff8,0x01fffff9,
    0x0ffffff7,0x02fffea8,0x0bfffff3,0x3f2027c4,0x8007ffff,0xfff7007f,
    0xf7003fff,0x003fffff,0x3ffffff7,0xb03bff70,0x10bfffff,0x3ea09ffd,
    0x000fffff,0xbfffffb0,0xffffb800,0x03fffe83,0xffffff90,0xb00ff000,
    0xffb001df,0x000bffff,0x017ffe20,0xfffd8000,0x7fdc006f,0xd8007fff,
    0xe8cfc806,0x05ffffff,0x8cf98000,0x01ffffff,0xfb037fcc,0xfffb001d,
    0x2e00bfff,0x00ffffff,0x7fffffc8,0xf806e800,0xf984ffff,0xf501ffff,
    0x200fffff,0x3fa02ffc,0xf500ffff,0xffffc801,0x06e8007f,0xffffff70,
    0xffff7001,0xff7001ff,0xf701ffff,0x7fffec0d,0x09fb105f,0x3fffffea,
    0xfffb0000,0xff800bff,0xffc81fff,0xffc801ff,0xe8007fff,0x800fe806,
    0xfffffffa,0xff900000,0x000001ff,0x017ffffa,0xffffff70,0xb80db000,
    0x7fffe46f,0x400005ff,0xffff88fe,0x6f9801ff,0x2a003fa0,0x0fffffff,
    0xfffff500,0xfff9001f,0xdd000dff,0x9fffff00,0x3fffff30,0x3ffffea0,
    0x80bf6007,0x03fffffa,0xfff900bb,0xdd000dff,0x3fffea00,0xffa800ff,
    0xa800ffff,0x80ffffff,0x3ff601fb,0x3e205fff,0xfffff504,0x3f60001f,
    0x2005ffff,0x81fffff9,0x803ffffc,0x06fffffc,0x3f806e80,0xfffffd00,
    0x2200007f,0x004fffff,0xffff8800,0x7fdc003f,0xd8007fff,0x20ffe206,
    0x2ffffffa,0x25f70000,0x1ffffff8,0x1fc0dd00,0xfffffe80,0x3fea003f,
    0xf9007fff,0x000dffff,0xffff00dd,0xffff309f,0x3ffea03f,0x3e2007ff,
    0x7ffff402,0xc802f886,0x006fffff,0xff5006e8,0x2a00ffff,0x007fffff,
    0x0ffffff5,0xfffb016e,0x04c80bff,0x1ffffff5,0x3fff6000,0x3ea005ff,
    0xfb80ffff,0xfc805fff,0x8006ffff,0x800f806e,0x6ffffffc,0x3fee0000,
    0x0000ffff,0x7ffffd40,0x7ffdc001,0x6d8007ff,0x440bfee0,0x006ffffe,
    0x3e25f880,0x981fffff,0x01f035c2,0xffffff90,0xfffa800d,0xff9007ff,
    0xd000dfff,0xfffff00d,0xfffff309,0x3fffea03,0x5d05307f,0xfffffb80,
    0xfc803d42,0x8006ffff,0xfff5006e,0x3ea00fff,0x5007ffff,0x20ffffff,
    0x7ffec03b,0x825405ff,0x0ffffffa,0xffffb000,0x7fc400bf,0xffb80fff,
    0xffc804ff,0xe8006fff,0x4c02c406,0x1fffffff,0x3ffa0000,0x0003ffff,
    0x7ffffdc0,0x7ffdc000,0x6e8007ff,0xd013ff60,0x0003ffff,0x3fe20fd8,
    0x3b81ffff,0x80588344,0xfffffff9,0x7ffd4001,0xff9007ff,0xd000dfff,
    0xfffff00d,0xfffff309,0x3fffea03,0x5907707f,0xfffff880,0xfc802745,
    0x8006ffff,0xfff5006e,0x3ea00fff,0x5007ffff,0x20ffffff,0x7ffec009,
    0x501805ff,0x01ffffff,0x3ffff600,0x7ff4005f,0xfffc81ff,0xfffc801f,
    0x6e8006ff,0xfffd0000,0x00009fff,0x7fffffd4,0x6c00006f,0x8006ffff,
    0x07fffffb,0xff106e80,0x7f4401ff,0x2a0002ff,0x7fffc43f,0x003d81ff,
    0xffffe800,0xfa8004ff,0x9007ffff,0x00dfffff,0xfff00dd0,0xfff309ff,
    0x3fea03ff,0x07907fff,0x7fffe400,0x2003f11f,0x06fffffc,0xf5006e80,
    0x200fffff,0x07fffffa,0xffffff50,0x7ffec000,0x2a0005ff,0x00ffffff,
    0xfffffb00,0xfffb800b,0x7fffd81f,0xfffff900,0x00dd000d,0xfffff500,
    0xe80000df,0xffffffae,0x3fa00002,0x98005fff,0x007fffff,0x3ffe05f8,
    0x3fe600ef,0x1ba0002f,0x3fffffe2,0x00003f81,0x7fffffd4,0xfff50006,
    0x3f200fff,0x8006ffff,0xffff806e,0xffff984f,0xffff501f,0x000fe0ff,
    0x4fffff88,0x7fe400d9,0xe8006fff,0xffff5006,0x3fea00ff,0xf5007fff,
    0x000fffff,0x2fffffec,0xffff5000,0x360001ff,0x005fffff,0x427fff44,
    0x9002ffff,0x00dfffff,0x88000dd0,0x2fffffff,0x4be60000,0x06ffffff,
    0xffff1000,0xff10007f,0x8800ffff,0x3fff604f,0x1ffe00ef,0x881fc800,
    0x41ffffff,0x200003fb,0xfffffff8,0xfff50002,0x3f200fff,0x8006ffff,
    0xffff806e,0xffff984f,0xffff501f,0x007f70ff,0xfffffd80,0x3f2002f8,
    0x8006ffff,0xfff5006e,0x3ea00fff,0x5007ffff,0x00ffffff,0x7ffffec0,
    0x3fea0005,0x0000ffff,0x0bfffffb,0x7fffd100,0x007bff62,0x6fffffc8,
    0x0006e800,0x7fffffe4,0x36c00005,0x3ffffff7,0xfff50000,0x3e0003ff,
    0x000fffff,0xff980bea,0xff02ffff,0x13e6000b,0x7fffffc4,0x000ffea1,
    0xfffffc80,0x3ea0005f,0x9007ffff,0x00dfffff,0xfff00dd0,0xfff309ff,
    0x3fea03ff,0x7fd47fff,0x7fcc0003,0x000fefff,0x1bfffff2,0x5401ba00,
    0x007fffff,0x0ffffff5,0x3ffffea0,0x3ff60007,0x20005fff,0x0ffffffa,
    0xffffb000,0x74c000bf,0x0ceffeff,0x7fffe400,0x06e8006f,0x3fffe600,
    0x00000fff,0xfff88fe2,0x80005fff,0x00fffffb,0xfffffb00,0x01fe2005,
    0x3ffffff2,0x000ffcc4,0x3fe206e8,0xfdbcffff,0x300003ff,0x1fffffff,
    0x7ffd4000,0xff9007ff,0xd000dfff,0xfffff00d,0xfffff309,0x3fffea03,
    0xfffdcbff,0xffe80003,0x64004fff,0x006fffff,0xff5006e8,0x2a00ffff,
    0x007fffff,0x0ffffff5,0x7fffec00,0x3ea0005f,0x000fffff,0xbfffffb0,
    0x55f5c000,0x320000aa,0x006fffff,0x3a0006e8,0x03ffffff,0x207e4000,
    0x0ffffffc,0x7ffec000,0x3e20006f,0x800fffff,0xff9003fd,0xd11dffff,
    0x3ee0005f,0x3fffe201,0xffffffff,0xffd00003,0x0007ffff,0x7fffffa8,
    0xfffff900,0x00dd000d,0x309fffff,0x203fffff,0xfffffffa,0x003fffff,
    0xfffffa80,0x7ffe4001,0x6e8006ff,0xfffff500,0x3ffea00f,0xff5007ff,
    0x4000ffff,0x05fffffd,0x3fffea00,0xfb0001ff,0x000bffff,0x00003fb1,
    0x6fffffc8,0x0006e800,0xdffffff7,0x4f880000,0xffffff98,0x7ffc0004,
    0x5c0004ff,0x01efffff,0xc800bf91,0xefffffff,0xff10001e,0xffffffff,
    0x13ffffff,0x0007ffd5,0xffffff70,0xff50000d,0x3200ffff,0x006fffff,
    0xfff806e8,0xfff984ff,0xfff501ff,0xff753fff,0x3e00007f,0xc8006fff,
    0x006fffff,0xff5006e8,0x2a00ffff,0x007fffff,0x0ffffff5,0x7fffec00,
    0x3ee0005f,0x001fffff,0xdfffffd0,0x00ffd000,0xffff9000,0x0dd000df,
    0xfffff100,0x800003ff,0xfffd00fb,0x44000fff,0x002fffff,0xfffffc80,
    0xffcbacff,0xfff70004,0x0007ffff,0x555557ec,0xffffbaaa,0x0ffa21ff,
    0xffff1000,0x00003fff,0x0ffffff5,0x3fffff20,0x806e8006,0x985fffff,
    0x501fffff,0x98ffffff,0x700003ff,0x90007fff,0x00dfffff,0x3ea00dd0,
    0x5007ffff,0x00ffffff,0x1fffffea,0xffffd800,0xff10005f,0x01dfffff,
    0xfffffb80,0x3ea003ff,0x03311cff,0x7fffe400,0x06e8006f,0xfffffd80,
    0xe800004f,0x3fffea05,0xf30003ff,0x0001ffff,0x3ffff220,0x01dfffff,
    0x7fff4c00,0xa8001fff,0xfff8802f,0x1fcc1fff,0x3fff6000,0x00004fff,
    0x0ffffff5,0x3fffff20,0x405e8006,0x0ffffffb,0x0fffffcc,0x7fffffa8,
    0x00003fa8,0x0001fff1,0x0dfffff9,0x2a00bd00,0x007fffff,0x0ffffff5,
    0x3ffffea0,0x3ff60007,0x22005fff,0xffffffee,0x205effff,0xffffffea,
    0x03efffff,0x7fffffec,0xbdffffff,0xffffc800,0x05e8006f,0x7ffffd40,
    0x06a000ff,0x33337f50,0xfffff333,0x3ea000df,0x00007fff,0xefeba988,
    0xfc800002,0x000fffff,0xff8802f4,0x3f81ffff,0x3ffea000,0x2000ffff,
    0xffff501a,0x3fee00ff,0xf8007fff,0xfffff105,0x7ccbffff,0xf501ffff,
    0x3e0fffff,0x3f600003,0xfff70005,0xbf000fff,0x3fffea00,0xfff5007f,
    0x3ea00fff,0x0007ffff,0x17fffff6,0x03fd1000,0x40000000,0xfffffffc,
    0xefffffff,0x7fffdc00,0x05f8007f,0x3ffffe20,0x0ec002ff,0x3fffffa0,
    0xffffffff,0xa8002fff,0x0004ffff,0x01ffcc00,0xffd30000,0x7e4009ff,
    0xffff1001,0x407b03ff,0x3fffe201,0x6c002fff,0xfffff501,0x3ffee00f,
    0x4f8007ff,0x3fe60000,0xff501fff,0x0f60ffff,0x3e6000a8,0xfff70002,
    0x9f000fff,0x3fffea00,0xfff5007f,0x3ea00fff,0x0007ffff,0x17fffff6,
    0x03ff9800,0x00044000,0xffffff30,0xffffffff,0xfffb80ff,0x4f8007ff,
    0x3ffff200,0x7c4005ff,0x2aafe600,0xfaaaaaaa,0x005fffff,0x02ffffb8,
    0x7ffc0000,0x01500000,0x00dfffd1,0xf88013e6,0xa81fffff,0x7e409503,
    0x005fffff,0xffa807c4,0xf5007fff,0x800fffff,0x200003f9,0x01fffff9,
    0x0ffffff5,0x000e80ee,0xfa8001aa,0x4007ffff,0xff5003f9,0x2a00ffff,
    0x007fffff,0x0ffffff5,0x7fffec00,0x3fa0005f,0x3200001f,0x30000cff,
    0xffffffff,0x3fffffff,0x7ffffd40,0x01fcc007,0xffffff98,0x03dc000f,
    0xffc801b6,0x4001ffff,0x0007fffa,0x17ffcc00,0x1fff4000,0x800ffff8,
    0x7fc4006e,0x1881ffff,0x3fe607d0,0x000fffff,0xfff503dc,0x3e200fff,
    0x000fffff,0x80000bee,0x01fffff8,0x0ffffff5,0x003d4062,0xf88000f6,
    0x000fffff,0x7d400bee,0x5007ffff,0x00ffffff,0x1fffffea,0xffffd800,
    0xff10005f,0x2600007f,0x0003ffff,0xddddffb1,0xfffffddd,0x7fffc407,
    0x3ee000ff,0xffffd002,0xf88007ff,0x800fe607,0x4ffffff8,0x27ffd400,
    0x3ee00000,0x540006ff,0xff906fff,0x003f700f,0xffffff88,0x40be6001,
    0x3ffffffe,0x503fc400,0x00ffffff,0x17fffff4,0x0006f880,0xffff0ed4,
    0x3ffea01f,0x6d8007ff,0xf106fe44,0xffe80001,0xf1002fff,0x7ffd400d,
    0xff5007ff,0x2a00ffff,0x007fffff,0x3fffff60,0xfff30005,0x3e20000f,
    0xc8006fff,0xff7005ff,0xfffe805f,0xdf1002ff,0x3fffee00,0x744006ff,
    0x003f606f,0xffffffb0,0xff514c01,0x3000000d,0x0005ffff,0xb837ffdc,
    0x2fc405ff,0x7fffc400,0xfd1001ff,0xfffff703,0xfe8800df,0x3fffea06,
    0xff5000ff,0x8801dfff,0x2a0002fe,0x3fffe5ff,0x3fffea06,0x3f2000ff,
    0x91fffdc5,0xff500009,0x8801dfff,0x3ea002fe,0x800fffff,0x0ffffffa,
    0xfffffa80,0xffb0000f,0x2000bfff,0x003ffff8,0x0dd99300,0x00fff980,
    0x2a01ff60,0x00efffff,0x44017f44,0x1fffffff,0x17ffee00,0x540037cc,
    0x04ffffff,0x3fea9ff9,0xb0000001,0x0039ffff,0x209fff30,0x7ec03ffe,
    0xfff98001,0xe9802fff,0x7ffc40ff,0x2001ffff,0x2a05fffb,0x00ffffff,
    0x3fffff20,0x09fb300e,0x26ffc800,0x2a02fffe,0x00ffffff,0xfd89ff70,
    0x001f15ff,0x3ffff200,0x9fb300ef,0xffffa800,0xffa800ff,0xa800ffff,
    0x00ffffff,0xfffffb00,0x7fe4000b,0x00001dff,0xff3000fa,0x27fc005f,
    0xfffffc80,0x09fb300e,0x3fffff60,0xffd1004f,0x1bfa09ff,0x7ffffc00,
    0x5ffe81ff,0x000005f9,0x7ffff440,0x7dc005ff,0x27fdc46f,0x0003fee0,
    0x3fffffea,0x3ffea203,0xfffffd87,0xffd1004f,0x7fdc09ff,0x4001ffff,
    0xeffffffc,0x04fffdbc,0x27ff8800,0x7dc05fff,0x402fffff,0x5c3fffea,
    0x04ebffff,0x7ffe4000,0xfdbcefff,0xfb8004ff,0x801fffff,0x1ffffffb,
    0xfffffb80,0xffd0001f,0x8000dfff,0x6ffffffe,0x007cc000,0x00f7fec0,
    0x8007fd31,0xeffffffc,0x04fffdbc,0xffffff50,0x999999bf,0xfffffdb9,
    0xfffea87f,0x7ffcc003,0x5c1effff,0x003fceff,0xfd700000,0x700019ff,
    0xfffbbfff,0x7ffe4405,0x3fa2000d,0xcdffffff,0xffffecaa,0x7fffd46f,
    0xccccdfff,0xfffedccc,0xff303fff,0x00bfffff,0xfffffd30,0x0039ffff,
    0x6effe400,0x3e600eff,0xdfffffff,0xffeecbab,0xfff81fff,0x000005ff,
    0xffffffd3,0x00039fff,0xfffffff3,0xffff980b,0x7cc05fff,0x05ffffff,
    0xfffffb80,0x5c0003ff,0x000cfffe,0x0003d910,0x6777ff5c,0x01efffec,
    0xffffd300,0x039fffff,0x3ffffa20,0xffffffff,0xffffffff,0x3ff22fff,
    0x01efffff,0xffffffd1,0x98dfffff,0x00000bdc,0x00088000,0xbcdca880,
    0x7fffd401,0xdd01ffff,0xffffffff,0xffffffff,0x44bfffff,0xfffffffe,
    0xffffffff,0xffffffff,0x3fffba22,0xefffffff,0x65d44005,0x00009abc,
    0x59bb9300,0x3fffba20,0xffffffff,0xffffffff,0x599300ff,0x51000000,
    0x01357997,0xfffee880,0xefffffff,0xffffdd15,0xbdffffff,0x3ffffba2,
    0x5effffff,0x3ffffaa0,0xefffffff,0x00040003,0x00000dc0,0x57bb9755,
    0x54400003,0x009abccb,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00cc0000,0x00000000,0x31000000,
    0x00335775,0x00fe2000,0x00080176,0x00009800,0x0014c000,0x00000300,
    0x40000062,0x000001b8,0x00000000,0x20000000,0x7f440001,0xffffffff,
    0xffffffff,0x0002ffff,0x00000000,0x401d4000,0x000001c8,0x00000000,
    0x0000a800,0x0037ff62,0x7e400000,0x0000efff,0xffffb500,0x39fffddd,
    0x1fe80000,0xa800ff20,0x3a00002f,0x03f6200e,0xeffe8800,0x3fee0001,
    0x4c00002f,0x02fcc05f,0x05dffb10,0xfffe8000,0x0000001f,0x03bffff2,
    0x0d910000,0x05ffffe8,0xfffffff5,0xffdb9999,0x0005ffff,0x1dffff90,
    0x67f5c000,0x9f500000,0x0001fd80,0x3661ffdc,0xfd0000df,0x0000bfff,
    0x000bfff5,0x00ffffee,0x7fc00000,0x00000eff,0x4df7fe4c,0xefca9880,
    0xff900000,0xfffb979d,0x1efa8003,0x1ffa8000,0x0003fe98,0x02ffffe4,
    0x6ffff880,0xdfd80000,0x001ffb80,0x004ffd98,0xfffff700,0x4000000b,
    0x000effff,0x017f2200,0x80dffff1,0x07fffffb,0x017fff54,0x77fffc00,
    0x3fe60000,0x100004ff,0x731359ff,0x98000ffb,0x3fa1ffff,0xd10004ff,
    0x0001ffff,0x01ffffe8,0x6ffffe80,0xa8000000,0x0000efff,0x00e7fe40,
    0x0017f4c0,0x7ffffc40,0x0005ffff,0x00005fd3,0x7fd45ffd,0xffe80007,
    0xf50007ff,0x0003ffff,0x20eff880,0x40004ffc,0x40004fff,0xfffffff8,
    0xa8000001,0x0000efff,0x2013fa20,0x400efffb,0x07fffffa,0x0005ff90,
    0x00ffff98,0x7fffe400,0x3f200007,0xffffffff,0x7fdc0003,0xffff13ff,
    0x7f44000f,0x220002ff,0x004fffff,0x03ffffb8,0xfc800000,0x200000ff,
    0x0000efe8,0x80004fb8,0xfffffffa,0x3e60000e,0x7d40002f,0x2fffbbff,
    0xfffc8000,0xff10005f,0x00000dff,0x3f6bfff2,0x640000ff,0x20001fff,
    0xfffcfffc,0xc8000005,0x00000fff,0xfd8037ec,0xffa800ef,0x36007fff,
    0x7e40002f,0xb80001ff,0x0005ffff,0x3ffffa20,0x80006fff,0x3a1ffff9,
    0x40004fff,0x0005ffe8,0x0fffffe2,0x3bffa200,0x80000000,0x00001fff,
    0x00013fea,0x00005f30,0x09ffffd3,0x07ff6000,0xffffb000,0x20000dff,
    0x001fffe8,0x00bffee0,0x7ffc4000,0x0003ffff,0x004fffa8,0x225fff10,
    0x00002ffe,0x000fffc0,0x00bff600,0x4003bfe2,0x07fffffa,0x0000be20,
    0x00003fff,0x0017fffc,0x3fff6200,0x00000dff,0xfd987dd7,0xe880000c,
    0x3a0000ff,0x0001ffff,0x00000066,0x000ffd40,0x007ff300,0x003f2000,
    0x004d4400,0x1fff3000,0x7ffcc000,0x00001fff,0x88000154,0xc8000002,
    0x006fffff,0x0dfff700,0x107bf600,0x00000dfd,0x0000ffcc,0x401bff20,
    0x2a000efb,0x307fffff,0x40005d05,0x00001ff9,0x00000ba8,0x00b372a0,
    0x00000000,0x00bfe200,0x0ffffd80,0x00000000,0x003d7000,0x01ffc400,
    0x017a0000,0x00000000,0x0001bffa,0x00bffffb,0x00000000,0x22000000,
    0x002fffff,0x0dfffb00,0x401bf300,0x000002fd,0x800003d7,0x9003fff9,
    0xffa8001b,0x07707fff,0x75c00059,0x00000001,0x00000000,0x00000000,
    0x0004e980,0x001bffee,0x09aaba88,0x000000e0,0x0bfb0000,0x1f300000,
    0x03310000,0xfff70000,0x55440003,0x000000aa,0x2a660000,0x005c009b,
    0x02aaa980,0x3fffa000,0x00298005,0x00000035,0xffd80000,0xa8000007,
    0x907fffff,0x00000007,0x00000000,0x2aaea200,0x0000e009,0x00000000,
    0x27ffc400,0xfffd9500,0x17dfffff,0x000003cc,0x1ff70000,0x4bbf6600,
    0xd80caaa9,0x765c4003,0xcdefffff,0x7fcc0002,0x0000005f,0xccccb800,
    0x64c003cc,0xefffffff,0x003e21bc,0x20000000,0x0004ffff,0x00000060,
    0x26000000,0x00005fff,0xfffffa80,0x00007f07,0x91000000,0x557bdffd,
    0x40035555,0xfffffeca,0x260befff,0x99999507,0x64419999,0x0004cccc,
    0xfe80000c,0xffd8801f,0x9531acff,0x0ff9dfff,0x3ffffff2,0x01efffff,
    0x3fffffe6,0x002ff86f,0xd1f7dff7,0x1ae0ffff,0xdffffa80,0xfffdb88a,
    0x3fe0001e,0x3ffaa1ff,0xffffffff,0x00acceef,0x3fff6600,0xfd3006ff,
    0x5559ffff,0xff9dffb9,0x3ffffe61,0xefffffff,0x00acdeee,0x5ffff100,
    0x01740000,0xfffff300,0xdfffffff,0x0159bddd,0x09fffb00,0xffffff88,
    0xfffa804f,0x03fb87ff,0xfffffd10,0xffffffff,0xffffffff,0x77ffdc05,
    0xffffffba,0xfd8803ff,0x531acfff,0xff9dfff9,0x3ffffa60,0xfea82eff,
    0x740002ef,0x7fc80002,0xdffffa80,0x7ffe4400,0x3ff2207f,0x00efffff,
    0x0bbffa60,0x36201bea,0x3ff2e5ff,0x00f504ff,0x03ffffb1,0x027fffcc,
    0x85fffe80,0xffffffb8,0xffffedcf,0x3e0003ef,0xb806ffff,0x00bfffff,
    0x03ffffa6,0x3fffffee,0xffedcccf,0x4001dfff,0x001ffff9,0x000df300,
    0x3ffffee0,0xfedcccff,0x001dffff,0x005ffff1,0x9fffff71,0xfffff500,
    0x003ffa8f,0xffffffa8,0xfedccccf,0xb02fffff,0xff98dfff,0x402eeeff,
    0x00dffffa,0x3ffffe44,0x3fffffa0,0x003fe603,0x000df300,0x6c40bf50,
    0x4006ffff,0xd807fff9,0x05ffffff,0xd00ffa80,0xfffd007f,0x7ffffcc1,
    0x4c01f102,0x802fffff,0x00effff9,0x07fffec0,0x5fffffe8,0xeffffe98,
    0xfffd8001,0x7ffec06f,0x3f2001ff,0xfffb00ff,0x3fea0bff,0x2001ffff,
    0x000ffff8,0x003ffb00,0x3ffff600,0xffff505f,0xff9003ff,0x7fc003ff,
    0xfa804fff,0xdcbfffff,0x70003fff,0x80ffffff,0xb82fffea,0xfe83ffff,
    0xfd8803ff,0x4c006fff,0x7cc07fff,0x2205ffff,0xfd80004f,0x7c40001f,
    0x3ffff203,0xffa8000e,0xffff8807,0x6c000fff,0x01ff302f,0x4c3fffc8,
    0x200fffff,0xffff101f,0x7fe4007f,0x7e4006ff,0xffb01fff,0x7e40bfff,
    0x4003ffff,0x206ffffd,0x01fffffc,0x900ffd80,0x40bfffff,0x1ffffff8,
    0x01fffa00,0x2fffc400,0xfffc8000,0x3fe205ff,0x6c01ffff,0x2000ffff,
    0x804fffff,0xfffffffa,0x003fffff,0xffffff50,0x20bff200,0xc81fffff,
    0x6401ffff,0x000effff,0xe807ffa8,0x500fffff,0xf880001f,0xb80005ff,
    0xfffff501,0x3fdc0007,0xfffffb80,0x17e2004f,0x7d405fb8,0xfffb87ff,
    0xd80f405f,0x000fffff,0x0fffffe2,0x2ffffc80,0xbfffffb0,0xfffffe80,
    0x3fff6002,0xffff506f,0x3e20009f,0xffff700f,0xfffc80bf,0x3ee005ff,
    0xc80001ff,0x0000ffff,0x5fffffb8,0x7ffffe40,0x7ffff405,0x3fffe000,
    0xfffa804f,0xffba9fff,0xff50003f,0x6c00ffff,0x7fffcc2f,0xffffc81f,
    0x3fffea03,0x3ee0003f,0xffffa807,0x000bb03f,0x01ffff90,0x3fe20000,
    0x0000ffff,0xffd003f4,0x2001ffff,0x0ff600fd,0x84ffff88,0x403ffffc,
    0xffffa80f,0xffe8005f,0xf7000fff,0x3f207fff,0x4c05ffff,0x01ffffff,
    0x0dffffb0,0x1ffffff3,0x807dc000,0x05fffffb,0x7fffffcc,0x13ff2000,
    0xffff1000,0xf700009f,0x980bffff,0x00ffffff,0x003ffffe,0x04fffff8,
    0x7fffffa8,0x8001ffcc,0x07fffffa,0xff50be20,0xff701fff,0x3fe20bff,
    0x0000ffff,0xffe803f4,0x02f886ff,0x7fffc400,0xb000004f,0x009fffff,
    0x5400f500,0x05ffffff,0x7f403f98,0x3fffee02,0x1ffffe81,0x3fe21e20,
    0x8003ffff,0x06fffffc,0x09ffff70,0x17fffff2,0x3fffffa0,0xffffb006,
    0xfffffb0d,0x0f88000b,0xbfffff70,0xfffff880,0x7fec002f,0x3fee0002,
    0x0000ffff,0x2fffffdc,0x3ffffe20,0xffff102f,0xffff800f,0xfffa804f,
    0x03fa87ff,0xfffff500,0x0ba0a60f,0x01fffff1,0x209ffff7,0x04fffffd,
    0x7007a800,0xa85fffff,0xffb80007,0x0000ffff,0x7ffffcc0,0x0d00003f,
    0xfffffe80,0x4037401f,0x3ffa01ff,0xffff886f,0x7dc34c06,0x000fffff,
    0xffffffa8,0xffffb801,0xfffff905,0xffff700b,0xffb003ff,0xfff88dff,
    0x80002fff,0xffff700c,0xffff00bf,0x930007ff,0xfd0005df,0x007fffff,
    0xfffffb80,0xfffff805,0xffff303f,0xffff800f,0xfffa804f,0x007f07ff,
    0x3ffffea0,0x05907707,0x903ffffd,0xf303ffff,0x007fffff,0x7c401a00,
    0x2745ffff,0x7fff4000,0x00003fff,0x7fffffdc,0x00000002,0xbffffff3,
    0x7c00fdc0,0xffff500f,0x9ffff907,0xffc84c80,0x8000ffff,0x2ffffff9,
    0x6ffffa80,0xbfffff90,0xfffff100,0xfffb009f,0xffffb8df,0x000000ff,
    0x2fffffdc,0x3ffffe60,0x3ee0002f,0x7ffd4006,0x0006ffff,0x2fffffdc,
    0x3ffffe60,0xffff502f,0xffff800f,0xfffa804f,0x407b07ff,0xffff500a,
    0x800f20ff,0xd81ffffb,0xff707fff,0x0005ffff,0xfff90000,0x007e23ff,
    0xfffff500,0x80000dff,0x1ffffffd,0x20000000,0x2ffffffd,0xf8805f88,
    0x3ffff607,0x7ffffc41,0x7f40f402,0x0007ffff,0x9ffffff1,0xbffff700,
    0x3fffff20,0xffffd005,0xffd801ff,0x7fff46ff,0x000007ff,0x5fffffb8,
    0x7ffffdc0,0x7e44000f,0x774000cf,0x2ffffffa,0x3ffee000,0x7fdc05ff,
    0xf300ffff,0xf800ffff,0xa804ffff,0x707fffff,0xfa807407,0x7f07ffff,
    0x7fff4400,0x02ffff84,0x3ffffffb,0x10000000,0x329fffff,0xaee80006,
    0x02ffffff,0x3fffa000,0x00000fff,0x3ffe2000,0x0fc86fff,0x3a07f880,
    0x7dc0ffff,0x34c07fff,0x7ffffff8,0xffff1000,0xff700bff,0x3ff209ff,
    0xfd005fff,0x803fffff,0x7c6ffffd,0x006fffff,0xfffb8000,0x7fec05ff,
    0x44005fff,0x98000efe,0xffffff2f,0x7fdc000d,0x7ec05fff,0x7c05ffff,
    0x7c007fff,0xa804ffff,0x107fffff,0xfa81ea03,0xfb87ffff,0x7ff44003,
    0x3dffb13f,0x7fffff40,0x0000000f,0x1fffffb0,0xf980005f,0xdffffff2,
    0x3fe20000,0x0007ffff,0xffc80000,0x3e62ffff,0x403fe003,0x7447ffff,
    0x7405ffff,0xfffff982,0xff10006f,0x700fffff,0x3207ffff,0x005fffff,
    0x5ffffffb,0x6ffffd80,0x3fffffe2,0xb8000006,0x205fffff,0x0ffffffa,
    0x0fffa200,0xff736c00,0x0003ffff,0x17ffffee,0xffffffa8,0x7ffffc00,
    0x3fffe000,0xfffa804f,0x6d8007ff,0x3ffffea0,0x001ffd47,0xffeffe98,
    0x3fe200ce,0x0007ffff,0x3fe60000,0x000fefff,0xfff736c0,0x00003fff,
    0xdffffff3,0x00000000,0xfffffff1,0x3fa00374,0x6ffff882,0x1ffffe74,
    0x3fea0b70,0x0005ffff,0x3ffffffe,0x7fffe400,0xfffff902,0x3fff200b,
    0x7ec03fff,0x3fea6fff,0x0005ffff,0xffffb800,0xffff705f,0xfc8003df,
    0xf88000ff,0x3ffffe23,0xff70005f,0x3ee0bfff,0x801effff,0x000ffffe,
    0x013ffffe,0x3fffffea,0x817f2000,0xbffffffa,0x003fffdc,0x15557d70,
    0x3fffe600,0x000006ff,0x7ffff400,0x7c40004f,0x3ffffe23,0xf980005f,
    0x006fffff,0xf7000000,0xf77fffff,0x83fd8005,0x367ffff9,0x01ffffbd,
    0x3fe601f5,0x0006ffff,0x1ffffffe,0x07ffff20,0x2fffffe4,0xfffffc80,
    0x7ffec04f,0x3fffea6f,0x000007ff,0xffffffb8,0xffffeedc,0xfd0002ef,
    0x3f2000ff,0x7ffffe40,0xffb8000f,0xeedcffff,0x02efffff,0x03ffff20,
    0x4fffff80,0xfffffa80,0x9ff7000f,0x7ffffd40,0x3fffffff,0x00fec400,
    0xfffff300,0x000000df,0xfffffa80,0x07e40001,0x3ffffff2,0x7fc40000,
    0x1007ffff,0x33333333,0xf0003333,0xbfffffff,0x309f7000,0xfddfffff,
    0x01ffff91,0xf10883f5,0x00ffffff,0x3ffffe20,0xfffd806f,0x3ffff207,
    0xfff9005f,0xfd807fff,0x3fe66fff,0x0007ffff,0xffffb800,0xffffeeff,
    0x220005ff,0x4000ffff,0xfff984f8,0xb8004fff,0xeeffffff,0x05ffffff,
    0x2ffffa80,0x3ffffe00,0xffffb804,0x7f5402ff,0x3fea03ff,0xfba9ffff,
    0x7f4003ff,0x7fc40007,0x1007ffff,0x33333333,0x7c003333,0x40006fff,
    0xfff984f8,0x40004fff,0xfffffff8,0xffeca800,0xceffffff,0x7ffdc000,
    0x8000ffff,0xfff886f8,0xff31ffff,0x0f6441ff,0xfffff1ec,0x3e2000ff,
    0x805fffff,0x3204ffff,0x005fffff,0x5ffffffb,0x6ffffd80,0x3fffffe2,
    0x4000001f,0x25fffffb,0x2ffffffe,0xffff1000,0x00fb8003,0x0ffffffd,
    0xfffff700,0x7fffff4b,0xfff8002f,0x3ffe003f,0x7fcc04ff,0xbdffffff,
    0xfffeecba,0x3fea01ff,0x7fcc7fff,0x3ffea003,0x2003311c,0xfffffff8,
    0xffeca800,0xceffffff,0x7fff7000,0x00fb8000,0x0ffffffd,0xffffd000,
    0xfe8003ff,0x003fffff,0x7fffff40,0x03fa0006,0x07bffff2,0xf97dfffd,
    0xfd8d3019,0x000fffff,0xffffff98,0x7fffc403,0x3ffff200,0xfffb005f,
    0xfc801fff,0x7ffc6fff,0x0002ffff,0x7fffdc00,0x3fffe65f,0xf0000fff,
    0xe8005fff,0x3fffea05,0x7dc003ff,0x3e65ffff,0x00ffffff,0x027ffdc0,
    0x09fffff0,0xfffffdd1,0xffffffff,0xffffffff,0x7fffd401,0x003fa87f,
    0x3ffffff6,0xbdffffff,0xfffffe80,0x7ff4001f,0x8003ffff,0x0000fff8,
    0xfff502f4,0x80007fff,0x3ffffffb,0x7fffdc00,0x640000ff,0x006fffff,
    0x6d417e60,0xfda880ce,0x0ba00bde,0x3ffffff9,0xffff5000,0xff9803ff,
    0x7ffe404f,0xffd005ff,0xf900ffff,0xffc8dfff,0x0003ffff,0x7fffdc00,
    0x7fffdc5f,0xfd0006ff,0x7d4009ff,0x9999999b,0x06ffffff,0x7ffffdc0,
    0x7ffffdc5,0x7fc4006f,0x3ffe006f,0x000004ff,0xfa800bf3,0x7f07ffff,
    0x7fffe400,0xffffffff,0x7fdc0eff,0x4003ffff,0x0ffffffb,0x00bfb000,
    0x999bfa80,0xffff9999,0x440006ff,0x04ffffff,0x7ffffdc0,0xffc80007,
    0x40006fff,0x000002fd,0x3fe216a0,0x8002ffff,0x05fffffc,0x400fffc8,
    0x05fffffc,0xbffffff0,0xdffff900,0xffffff88,0x5c000004,0xd85fffff,
    0x03ffffff,0x05fffd80,0x3fffffa0,0xffffffff,0x2e002fff,0xd85fffff,
    0x03ffffff,0x00fffe40,0x04fffff8,0x0ffb8000,0x7fffd400,0x5407b07f,
    0x3ffffe60,0xffffffff,0x7ffc47ff,0x5c004fff,0x007fffff,0x0000be60,
    0xfffffffd,0xffffffff,0xfc80005f,0x4005ffff,0x07fffffa,0xffffc800,
    0x7c40006f,0x8000000f,0xfff701f9,0xfd000bff,0x8803ffff,0xfc804fff,
    0x9805ffff,0x02ffffff,0x86ffffc8,0x07fffffd,0x7fdc0000,0xff885fff,
    0x001fffff,0x8037ffe4,0xaaaaabf9,0xffffaaaa,0x3ee005ff,0xf885ffff,
    0x01ffffff,0x017ffe20,0x027ffffc,0x1bfe2000,0x3fffea00,0x7407707f,
    0x7ffffcc0,0xffffffff,0x7ffe41ff,0x7d4005ff,0x0007ffff,0xf30001aa,
    0x55555557,0xffffff55,0xffb0000b,0x54003fff,0x007fffff,0xfffffc80,
    0x5fa80006,0x7cc00000,0x7ffff402,0x3fe2000f,0xfb805fff,0xfff9005f,
    0xff900bff,0x3200bfff,0xf885ffff,0x003fffff,0xffb80e20,0xff505fff,
    0x800dffff,0xb005fffb,0x7ffe400d,0xf7001fff,0x2a0bffff,0x06ffffff,
    0x007ffcc0,0x027ffffc,0x1ffee000,0x3fffea00,0x2a03107f,0xeeffd887,
    0xfffeeeee,0xfffd83ff,0x3ea001ff,0x0007ffff,0xdb0000f6,0x7fffe400,
    0x440001ff,0x004fffff,0x1fffffea,0x3fff2000,0x700006ff,0x2000009f,
    0xffa801fa,0x32004fff,0x800fffff,0xf9000eff,0x880bffff,0x80ffffff,
    0x3ffee3c8,0xffff505f,0xd10001df,0x7fffdc09,0x3fff605f,0x2a004fff,
    0xf9803fff,0x3ffe2003,0xf7004fff,0x6c0bffff,0x04ffffff,0x4027fd40,
    0x004fffff,0x17ffec00,0x3fffea00,0x46d8007f,0xf7005ffc,0xfff105ff,
    0x7d4009ff,0x2207ffff,0x03e20dfc,0x003f9800,0x3fffffe2,0xff980004,
    0xf5002fff,0x000fffff,0xdfffff90,0x77d40000,0x3ee00001,0x3ffee001,
    0xff9800ff,0xfb801fff,0x3ff6000e,0x7dc05fff,0xfb03ffff,0x3fffea5f,
    0x3ffff203,0x774c006f,0x3fffee01,0x3ffa206f,0xb002ffff,0xfb001fff,
    0xfffd8001,0xfb800fff,0x2206ffff,0x2ffffffe,0x007fdc00,0x013ffffe,
    0xffff7000,0x7ffd4003,0x32000fff,0x03ffe65f,0x2607fd80,0x002fffff,
    0x0ffffff5,0x991fffdc,0x00fd8000,0x7ffffec0,0xd880000f,0xa803ffff,
    0x007fffff,0xfffffc80,0x7cc00006,0x7540004f,0xffb8001e,0x3e200eff,
    0xb801ffff,0x7ec000ef,0x2606ffff,0x203fffff,0xfff53fff,0xffff500d,
    0xfc9803df,0x7ffe400d,0x7fcc06ff,0x400fffff,0x9801fff8,0xffa8006f,
    0xc804ffff,0x406fffff,0xfffffff9,0x0f7dc000,0x09fffff0,0xfff88000,
    0xfa801bff,0x000fffff,0x7fcc9ff7,0x13fe002f,0x7ffffb10,0xfffff500,
    0xafffec0f,0x260000f8,0xffa8006f,0x0004ffff,0x3bfffea0,0x7fed440a,
    0x80003eff,0x07fffffd,0xefc88000,0x3bee001b,0x7ecc0002,0x9510aeff,
    0x0019ffff,0x360007f9,0x707fffff,0x803dffff,0xfff74ffc,0x3ffa2003,
    0xb9abdfff,0xb003fffd,0x00ffffff,0xdffffff9,0x0bffee20,0x80037f40,
    0x1fffffff,0x7ffffec0,0xffffc807,0xd88006ff,0xfffff02f,0xf300000b,
    0x07ffffff,0x7fffffdc,0x7fff5402,0x00f7fec3,0x4007fd31,0x0aeffffa,
    0x7fffed44,0x3ffee03e,0x40004ebf,0xff0006fe,0x003fffff,0x7ff64400,
    0xffffefff,0x00000bdf,0xfffffff5,0x22000009,0xabdeffeb,0x02dffecb,
    0x7fed4000,0xffffffff,0x0197001c,0x3fffea00,0xfdccefff,0x800bdfff,
    0xfffcfff8,0xffc98003,0xefffffff,0xfff5001c,0xd007ffff,0x1bffffff,
    0x801f7fc4,0x003fffea,0x7fffffcc,0xfff501ef,0xd007ffff,0x1bffffff,
    0xf70d3000,0x003fffff,0xfffb1000,0x7ffcc07d,0xabdfffff,0xffffeecb,
    0xeffeb81f,0xefffecce,0xfec88001,0xfffeffff,0xf000bdff,0x000bffff,
    0x01ffff54,0x3ffffe60,0x00001eff,0xbcccaa88,0x2000019a,0xffffffed,
    0x0eefffff,0xca880000,0x01abcddc,0x75300000,0x00035799,0x3ffaa000,
    0xffffffff,0x00adefff,0xbcecb880,0xaa980000,0x26001acc,0xfffffffe,
    0x302effff,0xffffffff,0x3f200049,0x1effffff,0xfffffd10,0x2dffffff,
    0xffffffe9,0x02efffff,0xfffffff3,0xf880009f,0xffffffff,0x02000005,
    0xffffee88,0xffffffff,0xffffffff,0x32eaa00f,0x0001abdd,0x3332aa20,
    0x200019ab,0x20002cc9,0xfffffffc,0xfffd101e,0xffffffff,0x0000000d,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xcccccc88,
    0x1000002c,0x00000153,0x00000000,0x03b91000,0x000017b5,0x0079000c,
    0x98000351,0x05981dec,0x6ee44000,0x0000d882,0x280d5d4c,0x5d4cc000,
    0x0005c009,0x001ab988,0x0e64c000,0x0000b6e2,0x55775100,0x00001c01,
    0x54400003,0xffeeeedc,0x07ffffff,0xf8803f50,0x00000003,0x1fffffc4,
    0xf7000000,0x4001dfff,0x4fffffeb,0x7ecc0000,0xfe8800df,0x00005fff,
    0x0ffffe80,0x7ff40000,0x17ffee1f,0x002dc000,0x7fcc09f7,0x3fea0000,
    0xe88befff,0x3e600006,0x91cfffff,0x3ee0001f,0x1cffffff,0xf930003a,
    0x9dffffff,0x8007c437,0xfffffdc8,0x0003deff,0xb1fffe20,0x00007fff,
    0x7ffff654,0x20beffff,0xfa800079,0x220003ff,0xfffffffc,0xaffeccce,
    0x03be2000,0x26001fe8,0x7c41dffd,0xffff5002,0x80000009,0x000ffffe,
    0x4fffff98,0x3ff20000,0x7f44001d,0x000007ff,0x2fffffdc,0xfff30000,
    0x7ffff49f,0x2fcc0000,0x5037fe00,0x440007ff,0xffffffff,0x00005fff,
    0x3ffffffa,0x8007ffff,0x88adffe9,0x0feeffca,0xffffd300,0xfb95559f,
    0x001ff9df,0x15bffff5,0x3dfffb71,0xfff90000,0x3fffe25f,0xfd880006,
    0x531bdfff,0xff9dfff9,0xfffd0000,0xfd10001f,0x9fffffff,0xd0003fd8,
    0xfb959dff,0x7fcc00ff,0xdabeffff,0xfffb001f,0x80000009,0x001ffff9,
    0x13ffffe0,0x7ffdc000,0xffd10000,0x2000005f,0xfffffff8,0xff100001,
    0x7ffec7ff,0x5fe80007,0x877fdc00,0x40006ffc,0xfffffffb,0x0001ffff,
    0xffffff30,0x007fffff,0x202fff88,0x800fffe9,0x0bfffffb,0x3ffffa60,
    0x3fff6200,0x3ffea01f,0x7d40004f,0x3ffe1fff,0x7d40005f,0x4400efff,
    0x007ffffc,0x7ffffcc0,0x7ffc4002,0x4fffffff,0x98000fec,0xffffffff,
    0x3ffa003f,0xffffffff,0xbfff1007,0x70000000,0x80003fff,0x004fffff,
    0x04fff880,0x2fff4400,0xffc80000,0x005fffcf,0x83bff200,0x0003fff9,
    0x4002ffe4,0xfffdfffe,0x53640002,0x07fffffb,0x987d4000,0x05fffffd,
    0x806ffd80,0x6c00ffe8,0x001fffff,0x5403fff2,0x802fffff,0x00effffb,
    0x717ffa00,0x20003fff,0x0effffd8,0x1fffe600,0x3fffa000,0x7fec000f,
    0xffffffff,0x0000fec4,0xfffffff9,0x677cc00b,0xfffffffe,0x0bff5003,
    0x3a000000,0xf80001ff,0x0004ffff,0x003fffb8,0x007ff880,0x2fff9800,
    0x0003ffd3,0x01500c40,0x5fffc800,0xffffa800,0xb80006ff,0x01cca881,
    0x981cc000,0xfa8002cc,0xff3003ff,0x7fffe401,0xffd8001f,0xfffff880,
    0x3fff2004,0x0cc0006f,0x6c000288,0x000effff,0x0007ffa8,0x003fffa8,
    0x7fffffcc,0x6c4fffff,0x7d40001f,0x4003ffff,0x3ff6a0f9,0x3f6004ff,
    0x00000005,0x00003ff3,0x013ffffe,0x13fff600,0x17fcc000,0x3bf60000,
    0x0037f440,0x00000000,0x00bffff9,0x3fffffa0,0x00000001,0x00000000,
    0x09fff700,0xfa80fdc0,0x0004ffff,0xffb01ff1,0x4c001fff,0x003fffff,
    0x50000000,0x007fffff,0x0003fdc0,0xf9000150,0xffffffff,0x01fd89ff,
    0x00353000,0x0a980a20,0x0002ec00,0x05d50000,0x7fffc000,0xfd80004f,
    0x200005ff,0x200003e9,0x3f600dfa,0x98800002,0xfd880001,0xccceffff,
    0xfffa800c,0x0000005f,0x88000000,0x7ec00019,0xf1001fff,0xfffff303,
    0x7dc0001f,0x7ffffd40,0xffff8005,0x000000ff,0x7ffc4000,0x40000fff,
    0x0000007e,0xfffffd80,0x44ffffff,0x000001fd,0x00000000,0x00000000,
    0xff800000,0x80004fff,0x0006fffc,0x4c000000,0x00035002,0xfffecb88,
    0x002cdeff,0x3fffffa2,0x00ffffff,0x7fd40000,0x3fffffff,0xfffffa80,
    0x71002fff,0xdfffffd9,0x7ec0059b,0xd001ffff,0xfffffb03,0x0f88000b,
    0x3fffffe2,0xfffc8003,0xfffe86ff,0xffffffff,0xffffc84f,0x7ec3ffff,
    0x0005ffff,0x000007a8,0xffffe800,0x4fffffff,0x00000fec,0x00000000,
    0x00000000,0x20000180,0x714fffff,0x50017dfb,0x0000ffff,0x00000000,
    0x7fd40000,0xdb88adff,0x8801efff,0xeffffeaa,0x6d402aaa,0x00e64c0b,
    0x7fffffd4,0xfb1001ff,0x7d4003df,0xb88adfff,0x801efffd,0x3ffffffc,
    0x7fc40980,0x0002ffff,0x3ffee0c8,0xa8000fff,0x01ffffff,0xfffffff5,
    0xffd30019,0xffff303f,0x200005ff,0xffffd106,0xffffffff,0xffffffff,
    0xffffe85f,0x4fffffff,0xfe880fec,0xffffffff,0xffffffff,0x7442ffff,
    0xffffffff,0xfd35ffff,0xffffffff,0x0001dfff,0x000ba000,0x67ffffc0,
    0xfffffff8,0x7fffcc04,0xffffe880,0xffffffff,0xffffffff,0x7fff442f,
    0xffffffff,0xffffffff,0xfd8802ff,0x3e601fff,0x3a004fff,0x2005ffff,
    0x3e24fffb,0xf9800fff,0x0effffff,0x003ff100,0x07ffff62,0x04ffff98,
    0x7fffffd4,0x7dc003ff,0x000fffff,0xffffc800,0xf98000ff,0x203fffff,
    0x0ffffffd,0x407fe600,0x1ffffffb,0x2a000000,0xcfffffff,0xfffedccc,
    0x7fe42fff,0xffffffff,0x400fec4f,0xfffffffa,0xffedcccc,0x2a02ffff,
    0xefffffff,0x3fffea00,0x0000dfff,0x037cc000,0xfffff800,0xfffdbeed,
    0x3fe202ff,0x7fd402ff,0xcccfffff,0xfffffedc,0x3ffea02f,0xccccffff,
    0xffffffed,0x7fffcc02,0xfff9802f,0xffe800ef,0x3fe005ff,0xfff70fff,
    0x3fee007f,0x005fffff,0x7fcc01f6,0xf9802fff,0xf100efff,0xffffffff,
    0x3ffa005f,0x00007fff,0xffffffd0,0x3ffe6000,0x3f204fff,0x8007ffff,
    0x3fff607f,0x00000fff,0x7fffdc00,0x7ff5407f,0x7fffd42f,0x4fffffff,
    0xfb800fec,0x5407ffff,0x5c02fffe,0x01ffffff,0xffffffc8,0x80000000,
    0x80001ffd,0x45ffffff,0x00fffff9,0x2003fffe,0x07fffffb,0x017fff54,
    0x1fffffee,0x05fffd50,0x1fffffc4,0xdffff900,0xbffffd00,0x37ffec00,
    0x005ffff5,0x3fffffee,0x0f9004ff,0x7fffff10,0x7fffe400,0x3fffea06,
    0x1effffff,0x7fffffc0,0xff000006,0x000dffff,0x3fffffe2,0x3ffff206,
    0x06e8007f,0x1ffffffa,0x2a000000,0x007fffff,0xff885ff9,0xffffffff,
    0x800fec4f,0x07fffffa,0xb805ff90,0x00ffffff,0x7fffffb8,0x88000000,
    0x80005fff,0x80ffffff,0x205ffffd,0xf5006ffe,0x200fffff,0x7d402ffc,
    0x9007ffff,0x7fec05ff,0x22000fff,0x403fffff,0x005ffffe,0xfd0bffea,
    0x6fdc00df,0x2fffffff,0xfd806c80,0x2000ffff,0x03fffff8,0x3fffffea,
    0x80dfffff,0x6ffffff8,0xff980000,0x0006ffff,0x1ffffffe,0x6fffffc8,
    0xf106e800,0x00ffffff,0xff500000,0x6c00ffff,0xfffff82f,0x44ffffff,
    0xff5001fd,0x6c00ffff,0x7ffd402f,0xfb800fff,0x0007ffff,0xfffc8000,
    0x7fc0000f,0xff704fff,0xff301fff,0x3fea007f,0x36007fff,0x7ffd402f,
    0x3f6007ff,0xfffff502,0xfffd000b,0x7ff401ff,0x0a8005ff,0xfb800330,
    0xffffffe8,0x2036401f,0x05fffffa,0xfffffe80,0x3fffee00,0xefffffff,
    0x7ffffd40,0xa800005f,0x05ffffff,0x3ffffe00,0xfff900ff,0xdd000dff,
    0x3ffffe60,0x0000006f,0x7fffffa8,0x2a0be200,0xffffffff,0x00fec4ff,
    0x7fffffa8,0x500be200,0x00ffffff,0x1fffffee,0xf1000000,0x0009ffff,
    0x04fffff8,0x03fffff3,0x5400bff7,0x007fffff,0xff500be2,0x4400ffff,
    0xffff882f,0xfc8003ff,0x3a06ffff,0x0005ffff,0x37b80000,0xdfffffff,
    0xf1036401,0x007fffff,0xdfffff90,0xffffe980,0x1fffffff,0x3fffffea,
    0xf9800007,0x006fffff,0x3fffffe0,0x3ffff207,0x06e8006f,0xdffffff3,
    0x50000000,0x20ffffff,0xf902e829,0xffffffff,0x5001fd89,0x20ffffff,
    0x5402e829,0x007fffff,0x0ffffff7,0xfb800000,0x000fffff,0x13ffffe0,
    0x1fffffc4,0x50017fea,0x20ffffff,0x5402e829,0x307fffff,0xff705d05,
    0x0001ffff,0x3ffffff5,0x17ffffa0,0xccccccb8,0x33333223,0x53dc00cc,
    0xbfffffff,0xff703640,0x0001ffff,0x3ffffff5,0xffffd500,0x4cbfffff,
    0x07ffffff,0xfff88000,0x10007fff,0x0dffffff,0x37ffffe4,0xff037400,
    0x200fffff,0x99999998,0x2a019999,0x707fffff,0x7dc05907,0x4fffffff,
    0xfa800fec,0x7707ffff,0xffa80590,0xf7007fff,0x000fffff,0xfffe8000,
    0x20003fff,0x104fffff,0x2a9fffff,0xa8001dfe,0x707fffff,0xfa805907,
    0x7707ffff,0xfff90590,0x30001fff,0x05ffffff,0x817ffffa,0x6fffffd9,
    0x7fffffdc,0x3ee3dc01,0x04ffffff,0x7ffe40d9,0x98000fff,0x02ffffff,
    0x3ffffee0,0xff12ffff,0x003fffff,0xfffff000,0x3e6000ff,0x205fffff,
    0x06fffffc,0x3fa06e80,0x800fffff,0xfffffeca,0x500cdfff,0x20ffffff,
    0xd710003c,0xd89fffff,0xfff5001f,0x00f20fff,0x7ffffd40,0xffff7007,
    0x000000ff,0x7fffffd4,0x3fe0006f,0x3fe04fff,0x07fb5fff,0x7fffd400,
    0x0007907f,0x1fffffea,0xffd001e4,0x2000ffff,0x4ffffff8,0x0bffffd0,
    0x0dfffff0,0x03fffff7,0xfffd87b8,0x6c82ffff,0x3fffffa0,0xfff10007,
    0x801c9fff,0xfffffffb,0x3fffffe4,0xe800002f,0x00ffffff,0xfffffa80,
    0x3fff203f,0x6e8006ff,0x3fffff20,0x7ff4000f,0xa803ffff,0xf07fffff,
    0x53100007,0x01fd89f9,0xffffff50,0x54000fe0,0x007fffff,0x0ffffff7,
    0x77400000,0x2ffffffa,0xfffff000,0x7ffffc09,0x019ff715,0xfffffa80,
    0x20007f07,0x07fffffa,0x7ffc007f,0x10007fff,0x0bffffff,0x017ffffa,
    0x21bffffa,0x01fffffa,0xfffe83dc,0x3640ffff,0xfffffff0,0x3ffe2000,
    0x003a5fff,0x7ffffec4,0x3fffff26,0xc800003f,0x01ffffff,0xfffffa80,
    0x3fff201f,0x6e8006ff,0x3ffffee0,0x7fdc001f,0xa800ffff,0xb87fffff,
    0x4c00003f,0x800fec4f,0x87fffffa,0xf50003fb,0x200fffff,0x07fffffb,
    0x5f300000,0x1bfffffe,0x7ffffc00,0xfffff104,0x00ffe887,0x3ffffea0,
    0x0003fb87,0x0ffffff5,0x3e6007f7,0x006fffff,0xffffff10,0x3ffffa0f,
    0xffffd805,0xfffff986,0xf883dc01,0x0effffff,0x7ffcc1b2,0x10006fff,
    0x4fffffff,0x7ff4003e,0x3ffe26ff,0x00004fff,0xffffff88,0xfffb8002,
    0x7fe405ff,0xe8006fff,0x3fffe206,0x7dc003ff,0x5007ffff,0xa8ffffff,
    0x400003ff,0x00fec4f9,0x7fffffa8,0x8001ffd4,0x07fffffa,0xffffff70,
    0x36000000,0x3ffffee6,0xfff8001f,0xfff104ff,0xdff505ff,0x3ffea001,
    0x1ffd47ff,0xffffa800,0x01ffd47f,0xffffffa8,0x3ffe0005,0xfd80ffff,
    0xfd805fff,0xff986fff,0x3dc01fff,0xffffff30,0xfa8364bf,0x005fffff,
    0x3fffffe0,0x8800dd0f,0x7ec5ffff,0x0007ffff,0xfffff700,0xfffd000b,
    0xffc803ff,0xe8006fff,0x7fffdc06,0x7fd4006f,0xf5007fff,0xb97fffff,
    0x00007fff,0x0fec4f98,0xfffffa80,0x3fffdcbf,0xffff5000,0x3fee00ff,
    0x00007fff,0x3e23f880,0x005fffff,0x04fffff8,0x01fffff3,0x54017ffe,
    0xcbffffff,0x0003fffd,0x7ffffff5,0x007fffb9,0x3fffffe6,0x3ffe0006,
    0xffb07fff,0xfd858dff,0xff986fff,0x3dc01fff,0x3ffffee0,0x260d93ff,
    0x06ffffff,0x3ffffe00,0x000bfa7f,0xf887fffb,0x003fffff,0x7ff40e20,
    0x2a000fff,0x804fffff,0x06fffffc,0xfd806e80,0x2002ffff,0x07fffffa,
    0xffffff50,0x07ffffff,0x44f98000,0xff5001fd,0xffffffff,0x2a0007ff,
    0x007fffff,0x0ffffff7,0x1f900000,0xffffffc8,0x7fffc000,0xffff504f,
    0x03fff40f,0xffffffa8,0x03ffffff,0xfffff500,0x7fffffff,0x3fffe200,
    0xf10007ff,0x20dfffff,0x8afffffa,0xffffd82d,0xfffff986,0x6403dc01,
    0x9fffffff,0xffff106c,0x22000fff,0x26ffffff,0x36000ffe,0xffa81fff,
    0x8000efff,0xfff504e8,0x7ec009ff,0xc800ffff,0x006fffff,0xff8806e8,
    0x2a005fff,0x007fffff,0x3ffffff5,0x007fff75,0x6c4f9800,0xfff5001f,
    0xff753fff,0x3ea0007f,0x7007ffff,0x00ffffff,0x84f88000,0x4ffffff9,
    0x7ffffc00,0xffffd80e,0x07fffe02,0x3ffffea0,0x3fffba9f,0xffff5000,
    0xfff753ff,0x7fffc007,0xf10007ff,0x40bfffff,0x4ffffffc,0x0dffffb0,
    0x03fffff3,0xffd007b8,0x0dbfffff,0x3ffffffc,0xffff8800,0x17ffa5ff,
    0x027ffc40,0x0dfffff9,0x201ee980,0x00fffff9,0x0effff98,0xfffff900,
    0x00dd000d,0x0fffffe6,0x7ffffd40,0xffff5007,0x03ff98ff,0x227cc000,
    0xff5001fd,0xff98ffff,0xfff50003,0x3ee00fff,0x0007ffff,0xe807dc00,
    0x007fffff,0x77fffffc,0x13fffe60,0x01ffff88,0x7fffffa8,0x8001ffcc,
    0x47fffffa,0x36003ff9,0x00ffffff,0xfffff980,0x7ff5c03f,0x3fff603d,
    0xffff986f,0x803dc01f,0xfffffff8,0x3fff606f,0x98000fff,0x23ffffff,
    0x400dfffe,0xfa806ffc,0x401effff,0x9800dfc9,0x200effff,0x00effff9,
    0x3fffff20,0x005e8006,0x13ffff62,0x3ffffea0,0xffff5007,0x007f50ff,
    0x6c4f9800,0xfff5001f,0x07f50fff,0x3fffea00,0xfff7007f,0x00000fff,
    0x3fea05e8,0x2003ffff,0xfedfffff,0x06ffffdd,0x007fffd4,0x3fffffd4,
    0xa8001fd4,0xa87fffff,0x3ff2003f,0x8001ffff,0x1ffffffa,0xfb001100,
    0xff30dfff,0x7b803fff,0x3fffe600,0x3f206fff,0x001fffff,0xffffffa8,
    0x3fffffa1,0x6ffe440b,0xfffd1000,0xb7357bff,0x88007fff,0x20affffd,
    0x04ffffb9,0xfffffb80,0x005f8007,0xbeffffa8,0xffb73109,0x2a007dff,
    0xf07fffff,0xf9800007,0xa800fec4,0xf07fffff,0x3fea0007,0xf7007fff,
    0x000fffff,0x37f50062,0xff333333,0x400dffff,0xd8cfffff,0x00ceffff,
    0x803fffdc,0x07fffffa,0x3ea0007f,0x7f07ffff,0x7fffc400,0xfc8002ff,
    0x1005ffff,0x3fff6001,0xffff986f,0x003dc01f,0x3fffffea,0x3fffe206,
    0xfc8002ff,0x6f45ffff,0xefffdb88,0x0002effe,0xffffff93,0x0039dfff,
    0x7fff5c40,0x0befffff,0xffff7000,0x09f000ff,0x3ff6e200,0xffffffff,
    0x54000bef,0xb07fffff,0x20005407,0x00fec4f9,0x7fffffa8,0x805407b0,
    0x07fffffa,0xffffff70,0xd012e000,0xffffffff,0xffffffff,0x3fffe005,
    0x006ea24f,0x006fffc8,0x0ffffff5,0x500a80f6,0x20ffffff,0xf702a03d,
    0x000bffff,0x03fffffd,0xb009ffb0,0xf30dffff,0xb803ffff,0xfffc8007,
    0x7fdc06ff,0xe8005fff,0x5c1fffff,0xacfca880,0x2a600001,0x0001adea,
    0xfffff700,0xf500009f,0x800fffff,0x100003f9,0x33559dd5,0xfffa8000,
    0x407707ff,0x27cc000e,0x7d4007f6,0x7707ffff,0xffa80740,0xf7007fff,
    0x000fffff,0xabf980fa,0xaaaaaaaa,0x05ffffff,0x09fffff0,0xbfffd000,
    0x3fffea00,0x7407707f,0xfffff500,0x0e80ee0f,0x0fffffe8,0x3fffe200,
    0xfffa805f,0x7ffec02f,0xffff986f,0x003dc01f,0x06ffffd8,0x0fffffe8,
    0x3fffe200,0x3fd8005f,0x3ea00000,0x4000000d,0x0ffffffe,0x7ffc4000,
    0x2e000fff,0x2200002f,0x400001ef,0x07fffffa,0x001ea031,0x03fb13e6,
    0x3ffffea0,0x1ea03107,0x7fffffa8,0xfffff700,0x05f3000f,0xff90036c,
    0xf003ffff,0x0009ffff,0x009fffb0,0x1fffffea,0x207a80c4,0x07fffffa,
    0x541ea031,0x004fffff,0x03fffff2,0x17fffe60,0x0dffff90,0x03fffff5,
    0xd10007b8,0xf500dfff,0x4009ffff,0x00fffffc,0x02fffd40,0x7ffc4000,
    0x2000000f,0x4ffffff9,0xfffe8000,0xdf1002ff,0xffe80000,0x2a00002f,
    0x007fffff,0xf98006d8,0xa800fec4,0x007fffff,0x3fea06d8,0xf7007fff,
    0x000fffff,0x0fe603fb,0xfffff880,0xffff804f,0xfa80004f,0xff5003ff,
    0xb000ffff,0x7fffd40d,0x06d8007f,0x03ffffee,0x3ffffe60,0x3ef6a001,
    0x7fffdc05,0x7ffffcc7,0x007e402f,0x06fff980,0x1fffff70,0xfffff300,
    0xff930003,0x8800001f,0x0003fffa,0x7fffdc00,0x540003ff,0x00efffff,
    0x00017f44,0x017ffaa0,0xffffa800,0x3f2000ff,0x44f98005,0xff5001fd,
    0x4001ffff,0x3fea05fc,0xb800ffff,0x007fffff,0xfd807fd4,0x7ffec000,
    0x7fc00fff,0x80004fff,0x5006fff8,0x01ffffff,0xf502fe40,0x001fffff,
    0x3ee02fe4,0x2200efff,0x001fffff,0xff3007e0,0xdf739fff,0x805fffff,
    0x2a0002fe,0x3ee006ff,0x2200efff,0x001fffff,0x003ffe20,0x1ffec000,
    0x7d400000,0x01dfffff,0x3ffff200,0x9fb300ef,0x3f200000,0x2a00006f,
    0x00ffffff,0x0009ff70,0x01fd89f3,0xffffff50,0x13fee001,0xffffffa8,
    0xffffb800,0xff5000ff,0x001be60f,0x3fffffea,0x7ffffc04,0xff300004,
    0xfff5003f,0x2e001fff,0x3fea04ff,0x7000ffff,0xfb3009ff,0x2a215dff,
    0x00cffffc,0x5c01aa00,0xcfffffff,0x0dfffff9,0x015fff90,0x001bf200,
    0x15dfffb3,0x3ffff2a2,0x7dc0000c,0x1000006f,0x00003fff,0x3fffa600,
    0x3bccefff,0x3ffff200,0xffdbceff,0x2000004f,0x00003fff,0x3fffffee,
    0x7fff5402,0x44f98003,0xff7001fd,0xa805ffff,0x2e03fffe,0x01ffffff,
    0xffffffc8,0x7ffd4402,0x000dfd07,0x3ffffffe,0xfffff101,0x7cc0000b,
    0x3ee00cff,0x402fffff,0x203fffea,0x2ffffffb,0x1ffff540,0xffffb500,
    0x39ffffff,0x06e44000,0xfffff900,0x3ffffe67,0xfffd51ff,0x001dffff,
    0x2a000db0,0xfffffffd,0x0001cfff,0x03bff6e2,0xfd970000,0x0000005f,
    0xfffffb30,0x98007ddf,0xfffffffe,0x00001cff,0x04ffeca8,0x3ffe6000,
    0xabdfffff,0xffffeecb,0x4f98001f,0x7cc00fec,0xdfffffff,0xffeecbab,
    0xff301fff,0x80bfffff,0xfffffff9,0xeccccccf,0x546fffff,0x4003fffe,
    0xfffffff9,0x7ffecc1e,0x0000afff,0x03ffb710,0xfffffff3,0xdd9757bf,
    0x203fffff,0xfffffff9,0xeecbabdf,0x001fffff,0x57997530,0x07200003,
    0x001ba800,0x88000000,0xba980003,0x0001abcc,0x00379930,0x2b332000,
    0x00000000,0x0001a988,0x57997510,0x40000013,0x0000accb,0xffffee88,
    0xffffffff,0xffffffff,0x3e98000f,0xee880f64,0xffffffff,0xffffffff,
    0x220fffff,0xffffffee,0xd35effff,0xffffffff,0xffffffff,0x4bffffff,
    0xfffffffc,0xfffd101e,0xffffffff,0x3bbbba2d,0x001eeeee,0x3ba20800,
    0xffffffff,0xffffffff,0x220fffff,0xffffffee,0xffffffff,0x0fffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0c980000,0x7c002b80,0x3f26d803,
    0x006fffff,0x7ffffc40,0x6cc004ff,0x016dc40c,0x7fffff44,0x1fffffff,
    0xffffff90,0xffd89fff,0x001fffff,0x00039930,0xffffffd3,0x1dffffff,
    0x32600000,0xf300cccc,0xffffffff,0xbddddfff,0x00000159,0xdb8819b3,
    0x32600002,0x016dc41c,0x99999700,0x64c00000,0x005981ce,0xfffffff7,
    0x074c0003,0x6d40ee44,0x0bd9800b,0x26662000,0x99999999,0x00000001,
    0x33331000,0x33333333,0x405f8800,0x7ec002fb,0xf513ee02,0x000dffff,
    0xfffff710,0x7ffcc009,0x017ffec7,0xffffff30,0x3ea003df,0xd80affff,
    0x0002ffff,0x00ffffcc,0xfffff500,0x00001bff,0x7ffffb00,0x3fffee00,
    0xedcccfff,0x01dfffff,0xffff3000,0x002fffe8,0x47fff880,0x0003fffd,
    0x03ffffd1,0xfff50000,0xdb117dff,0xfffd8800,0x1720001f,0xf70ffff4,
    0xffa80bff,0xf90000ff,0xffffffff,0x00001fff,0x02fbf220,0x7fffdc00,
    0xffffffff,0x5effc001,0x0ffca989,0x677fdc00,0x82ffedbb,0x006ffffd,
    0x3ffffe00,0x3fff2004,0xbffff32f,0xffffb800,0x7f4002ff,0x3ff600df,
    0xfc80005f,0x40004fff,0x0ffffffc,0xff000000,0xfd8009ff,0xf505ffff,
    0x003fffff,0x5ffff900,0x017fffe6,0x3ffff200,0x0dffff12,0x7fff4400,
    0x7c400004,0xffffffff,0xf98005ff,0x10001fff,0xffff505f,0x07ffff49,
    0x07ffffd0,0x3ffff200,0xffffffff,0xf9800000,0x000ffcbf,0xffffffb8,
    0x01ffffff,0x7ffffdc0,0x0005ffff,0xfffffffd,0x3fff60bf,0x3e00006f,
    0x2004ffff,0xf11ffffb,0xa8009fff,0x01ffffff,0x200ffea0,0x0005fffd,
    0x05ffffd8,0x7fffdc00,0x0000007f,0x0009fff5,0x0bfffff9,0x7fffffc4,
    0x7fdc0001,0xffff11ff,0xff500009,0x7fffc3ff,0x7fc40005,0x5c00006f,
    0xffffffff,0x88001fff,0x0001ffff,0x3ffe20f5,0x1bfff63f,0x09ffffd0,
    0x3ffff200,0xffffffff,0x6c800000,0x5c001fc4,0xffffffff,0x8001ffff,
    0xfffffffd,0xff30000f,0x01ffffff,0x01bffff2,0xfffff800,0x3ffa2004,
    0x00fffdc5,0x3ffffe60,0x5ff5000f,0x17fff600,0x3ffea000,0x7dc0002f,
    0x0007ffff,0x09ffb000,0x3fffee00,0x7ffe405f,0x440005ff,0x7fdc5ffe,
    0xfd00001f,0x1fffb8bf,0xfff98000,0x3b200001,0xfffffd50,0x3fe20009,
    0x9d0001ff,0x3077fe40,0xfb807fff,0x00000fff,0x20000000,0x006c83f8,
    0x20000000,0xefffffd8,0x7ec40001,0x3200dfff,0x0006ffff,0x13ffffe0,
    0x14402600,0xffff9800,0xefb800ff,0x3fff6000,0xdd500004,0xff700005,
    0x0000ffff,0x0017fe00,0x5fffffb8,0x7ffffcc0,0x0980000f,0x00000510,
    0x000a2033,0x009ff300,0x54416400,0x220001cd,0x8001ffff,0x00c401f8,
    0x37ae0015,0x00000002,0x1fc40000,0x00000364,0x6e4c0000,0x4400002c,
    0xffc800aa,0x200006ff,0x004fffff,0x26000000,0x00ffffff,0x20006fe4,
    0x0004fffd,0xf7000000,0x000fffff,0x00bf5000,0xfffffb80,0x7fffc405,
    0x000002ff,0x00000000,0x3e600000,0x00000006,0x7ffc4000,0x06c8001f,
    0x00000000,0x00662000,0x46c80000,0x000003f8,0x00000000,0xfc800000,
    0x00006fff,0x013ffffe,0x98000000,0x00ffffff,0x20007fd1,0x0004fffd,
    0xf7000000,0x000fffff,0x00031000,0xbfffff70,0xffffff00,0x00000007,
    0x00600000,0x00c40000,0x000c0000,0x3ffff100,0x0007f000,0x00000000,
    0x3fffb2e2,0x002cdeff,0x99ff3000,0xfd1000ff,0xffffffff,0x0000bfff,
    0x00000003,0x1bffff20,0x33333332,0xfffff01c,0xffffe889,0xffffffff,
    0xffffffff,0x7ffcc02f,0xff980fff,0x3ff60002,0xfffb804f,0xffffffff,
    0xffffffff,0x7ffdc03f,0x000007ff,0xcc9817b5,0x3ffee001,0x7fcc05ff,
    0xf902ffff,0xffffffff,0x7cc03dff,0x06ffffff,0x00017400,0x9302f6a0,
    0xd0000039,0x3e200005,0x2e601fff,0x102ffffd,0xfffffffd,0x22bfffff,
    0xfffffffe,0x805fffff,0x8adffffa,0x1efffdb8,0xfc880000,0x540000bf,
    0xefffffff,0x0ba00000,0xfffe8800,0xffffffff,0x7fffe45f,0xffffc986,
    0xffff00bd,0x7ffd409f,0xccccffff,0xffffffed,0x7fffcc02,0x077d40ff,
    0x3fff6000,0xffffc804,0xccccccdf,0x6ffffffe,0xfffffb80,0xfb800007,
    0x3ffe24ff,0xfff7000f,0xffb80bff,0x2200ffff,0xfffffffc,0x3fa6000e,
    0x4c0002ef,0x2e00006f,0x3fe24fff,0x200000ff,0x100006f9,0x2a03ffff,
    0xfffebeff,0x7fffd404,0x2a00efff,0xefffffff,0xfffd8800,0x3ffe601f,
    0x9800004f,0x2e00006f,0x01ffffff,0x01be6000,0x7fffd400,0xf900efff,
    0x7f40dfff,0xffff802f,0x7ffdc04f,0x7f5407ff,0x7fcc02ff,0x3f20ffff,
    0xfd80000f,0xffc804ff,0x3fe200be,0x801fffff,0x07fffffb,0xffff8000,
    0x7ffff70f,0x3fffee00,0x7ffec05f,0xffb005ff,0x000bffff,0x00001ff5,
    0x00003ffb,0x5c3ffffe,0x0003ffff,0x0007ff60,0x07fffe20,0xff99bff2,
    0x7fdc05ff,0xb801ffff,0x01ffffff,0x2fffff98,0xeffff980,0x3f600000,
    0xf700001f,0x001fffff,0x00ffec00,0xffffb800,0x3ff201ff,0x3ff106ff,
    0x3ffffe00,0x7fffd404,0x5ff9007f,0xfffff980,0x5fffd88f,0xfffd8000,
    0x00efd804,0xffffffd8,0xffff7005,0xb00000ff,0x7fd4dfff,0xff7002ff,
    0x7d40bfff,0x000fffff,0xfffffff1,0x02fd8001,0x5fff8800,0xfffb0000,
    0x17fffd4d,0xfff88000,0xff880005,0x7ffd41ff,0x3ffffee2,0x3fffee00,
    0xffb800ff,0x4400ffff,0x003fffff,0x01bffff2,0x2fffc400,0xfffa8000,
    0x00000fff,0x000bfff1,0x3ffffee0,0x3fff200f,0x003db06f,0x027ffffc,
    0x1fffffea,0x4c02fd80,0xeaffffff,0x004fffff,0x027ffec0,0x7d4007f4,
    0x00ffffff,0xffffff70,0xff500000,0x06ffe85f,0x3ffffee0,0xfffff705,
    0xffb8003d,0x2004ffff,0x900005f8,0x0001ffff,0xe85fff50,0x200006ff,
    0x000ffffc,0x0ffffc40,0xfe83fffa,0x2a02ffff,0x00ffffff,0xffffffa8,
    0x7fffec00,0x3fe2000f,0x80003fff,0x000ffffc,0xfffffa80,0x3f200007,
    0x80000fff,0x0ffffffa,0x1bffff20,0xff0003b6,0xfa809fff,0x2007ffff,
    0x7fcc02f8,0xffffffff,0x0002ffff,0x2013fff6,0xfffd003f,0x5c007fff,
    0x007fffff,0x4c02a000,0x7ffdc001,0xfeedcfff,0x002effff,0x3fffffa0,
    0x01fb000f,0xffff1000,0x5400009f,0x00003300,0x27ffffc4,0x3ffe2000,
    0x9fffee1f,0x0ffffbf9,0x3ffffea0,0xffff5007,0xfffa80ff,0xfe8005ff,
    0x0000ffff,0x13ffffe2,0x3ffea000,0x100007ff,0x009fffff,0xfffff500,
    0xffffc80f,0x40007ec6,0x404fffff,0x07fffffa,0x9805d053,0xcdffffff,
    0x1fffffff,0x9fffb000,0xf9001f00,0x00dfffff,0x7fffffb8,0x00000000,
    0x3fffee00,0xffffeeff,0xa80005ff,0x05ffffff,0x00003f98,0x1ffffff7,
    0x00000000,0xffff7000,0x440001ff,0x3fa1ffff,0x75db26ff,0x7ffd403e,
    0xff5007ff,0x7c40ffff,0x003fffff,0x6fffffc8,0x3ffee000,0x40000fff,
    0x07fffffa,0xffff7000,0xa80001ff,0x407fffff,0x366ffffc,0xff8001ff,
    0x7d404fff,0x7707ffff,0xff980590,0xffd0ffff,0x001dffff,0x809fffb0,
    0xfff98058,0x4001ffff,0x07fffffb,0xccccb800,0x333223cc,0x5c00cccc,
    0x3a5fffff,0x02ffffff,0xffffe800,0x037401ff,0xffffd000,0xcb8007ff,
    0x223ccccc,0x0ccccccc,0x3fffa000,0x20003fff,0xf11ffff8,0x017cffff,
    0x7ffffd40,0xffff5007,0x7ffdc0ff,0xa8000fff,0x01ffffff,0xfffffd00,
    0xfa80007f,0x0007ffff,0xffffffd0,0xffa80007,0x7e407fff,0xfffb6fff,
    0xffff000d,0xfffa809f,0x007907ff,0x3ffffe60,0xfffff10f,0xfb000bff,
    0x200009ff,0x4ffffffe,0xffffb800,0xd980007f,0x5c6fffff,0x01ffffff,
    0x2fffffdc,0xfffffff3,0xff980001,0x2e05ffff,0xf500001f,0x0dffffff,
    0xffffd980,0x7fffdc6f,0xf50001ff,0x0dffffff,0x7fffc400,0x1fffff31,
    0xf50001f5,0x200fffff,0x07fffffa,0x3ffffff2,0xfff98000,0xa8002fff,
    0x6fffffff,0x7ffd4000,0xa80007ff,0x6fffffff,0x7ffd4000,0x7fe407ff,
    0xffffdfff,0x7ffc004f,0x7fd404ff,0x07f07fff,0x3fffe600,0x3ffe60ff,
    0x4004ffff,0x0004fffd,0xffffffa8,0xfff70006,0x22000fff,0x37ffffc1,
    0x0fffffdc,0x3ffffee0,0x7ffffdc5,0xfd80006f,0x882fffff,0x3a00005f,
    0xffffffae,0xffff8002,0xffffb86f,0x5dd0001f,0x05ffffff,0x3fffe200,
    0x3fffff51,0x3ea0009b,0x5007ffff,0x40ffffff,0x07fffffe,0xfffff100,
    0x5dd0009f,0x05ffffff,0x7fffd400,0xee80007f,0x2ffffffa,0x3ffea000,
    0x7fe407ff,0xfffeefff,0x3fe001ff,0x7d404fff,0xfb87ffff,0xfff30003,
    0xffb81fff,0x002fffff,0x0013fff6,0xffffff10,0x3ee0005f,0x0007ffff,
    0xffffe897,0xfffffa86,0x7fffdc01,0xffffd85f,0x440003ff,0x86ffffff,
    0x300000fc,0x3ffffe5f,0xffe8006f,0xfffa86ff,0xf98001ff,0xdffffff2,
    0x3ffe2000,0xfffff51f,0x2a0003f7,0x007fffff,0x0ffffff5,0x3ffffffc,
    0xffff8800,0x7cc005ff,0xdffffff2,0x7ffd4000,0x4c0007ff,0xffffff2f,
    0x7fd4000d,0x7e407fff,0xff98ffff,0xf000efff,0xa809ffff,0x547fffff,
    0xf30003ff,0x901fffff,0x3fffffff,0x13fff600,0xffff9000,0x5c000bff,
    0x007fffff,0xfffd87d0,0xffff986f,0x7ffdc01f,0xfff885ff,0x0001ffff,
    0x7fffffe4,0x0000fe62,0x3ffee6d8,0x6c001fff,0xf986ffff,0x8001ffff,
    0x3fffee6d,0xf88001ff,0xfff11fff,0x4000dfff,0x07fffffa,0xffffff50,
    0x3ffffe60,0xff10006f,0x800fffff,0x3fffee6d,0xf50001ff,0x000fffff,
    0x3ffee6d8,0x50001fff,0x80ffffff,0x2e6ffffc,0x004fffff,0x809fffff,
    0xbffffffa,0x003fffdc,0xffffff30,0x3ffffa01,0xfd800eff,0x260004ff,
    0x0fffffff,0x3ffee000,0xf98007ff,0x37fffec2,0x0fffffcc,0x3ffffee0,
    0xfffff505,0xf88000df,0x3a7fffff,0x3e200006,0x3ffffe23,0x7fec005f,
    0xfff986ff,0x7c4001ff,0x3ffffe23,0xff88005f,0x3fffe1ff,0x2a0003ff,
    0x007fffff,0x0ffffff5,0x3fffffea,0x3ffe0005,0x1000ffff,0x7fffc47f,
    0xf50005ff,0x000fffff,0xfff11fc4,0x2000bfff,0x07fffffa,0x237fffe4,
    0x02fffffe,0x04fffff8,0x7fffffd4,0x03ffffff,0xfffff300,0x3ffe201f,
    0xd805ffff,0x20004fff,0x3ffffffe,0x7ffdc000,0xfd8007ff,0x37fffec1,
    0x0fffffcc,0x3ffffee0,0x3ffff605,0x5c0004ff,0xbbffffff,0x3200002f,
    0x7fffe40f,0x3f6000ff,0xff986fff,0x64001fff,0x7fffe40f,0x7c4000ff,
    0x3ff61fff,0x20003fff,0x07fffffa,0xffffff50,0x3ffffe60,0x3fe0006f,
    0x2007ffff,0x7ffe40fc,0xa8000fff,0x007fffff,0xff903f20,0x0001ffff,
    0x0ffffff5,0x46ffffc8,0x0ffffff8,0x27ffffc0,0x3ffffea0,0x3fffba9f,
    0xffff3000,0x7fcc01ff,0x404fffff,0x0004fffd,0xdffffff7,0xfff70000,
    0xfa800fff,0x7fffec0f,0xfffff986,0x7fffdc01,0x3ffa206f,0x0002ffff,
    0x7ffffffc,0x2200005f,0xffff984f,0x3f6004ff,0xff986fff,0x22001fff,
    0xffff984f,0x7c4004ff,0x3fee1fff,0x9101ffff,0x7ffffd40,0xffff5007,
    0x3ffe20ff,0x10007fff,0x0dffffff,0x3e613e20,0x004fffff,0x7fffffa8,
    0x309f1000,0x09ffffff,0xfffff500,0xffffc80f,0xfffffb87,0x7ffffc05,
    0x7fffd404,0x01ffcc7f,0xfffffa80,0x7ffe401f,0x3603ffff,0x88004fff,
    0x1fffffff,0xfffb8000,0xf5000fff,0xffffb0ff,0xfffff30d,0xffffc803,
    0x7ffcc06f,0x0000ffff,0x3fffffee,0x2e00000f,0xffffd00f,0x7fec00ff,
    0xfff986ff,0x3ee001ff,0xfffffd00,0xfff8800f,0x7fffec1f,0x0174c1ef,
    0x0ffffff5,0x3ffffea0,0x3ffffe07,0xff10007f,0x200bffff,0xfffd00fb,
    0xf5000fff,0x000fffff,0x7ff403ee,0xa8007fff,0x407fffff,0xd07ffffd,
    0x407fffff,0x405fffff,0x87fffffa,0xf70003fa,0x803fffff,0xfffffff8,
    0x9fffb03f,0xffffb000,0x200009ff,0x2ffffffc,0x3fffd440,0x437fffec,
    0x01fffff9,0x3fffffec,0x7ffffe40,0x7f40006f,0x0006ffff,0xff502f40,
    0x2007ffff,0x986ffffd,0x001fffff,0xfffa817a,0x22003fff,0x7c41ffff,
    0xdfffffff,0x7fd403fe,0xf5007fff,0x6c0fffff,0x00ffffff,0xfffff980,
    0x40bd003f,0x3ffffffa,0x7fffd400,0x0bd0007f,0x7fffffd4,0x7ffd4003,
    0x3fe607ff,0xfb82ffff,0xb82fffff,0x01ffffff,0x1fffffea,0x744001fc,
    0x0effffff,0x3ffffe20,0x6c0cffff,0x54004fff,0x0fffffff,0x3e606a00,
    0xcfffffff,0xffeccccc,0xffd86fff,0xfff986ff,0x3fea01ff,0x803fffff,
    0xdffffffe,0xfff90000,0x40000dff,0x99999bfa,0xffffff99,0xffffb006,
    0xfffff30d,0x26fea003,0xff999999,0x2006ffff,0xa81ffff8,0xffffffff,
    0xfffa804f,0xff5007ff,0x7e40ffff,0x001fffff,0xffffffa8,0x99bfa801,
    0xfff99999,0x54006fff,0x007fffff,0x9999bfa8,0xfffff999,0x7fd4006f,
    0xff907fff,0x4dffffff,0xfffffffb,0xfffff16f,0x2a0bffff,0xb07fffff,
    0xee885407,0xffffffff,0x7ff42eff,0xffffffff,0x3fff66ff,0x3ffe2004,
    0x4002ffff,0xffffd31d,0xffffffff,0xffffffff,0xfffb0bff,0xffff30df,
    0xfffe983f,0xffffffff,0xffff302e,0x0009ffff,0x0dfffff9,0x7fff4000,
    0xffffffff,0x802fffff,0x986ffffd,0x001fffff,0xfffffffd,0xffffffff,
    0x3fe2005f,0xfef981ff,0x002dffff,0x0ffffff5,0x3ffffea0,0x3fffe207,
    0xfc8002ff,0xd005ffff,0xffffffff,0xffffffff,0x7ffd4005,0xfe8007ff,
    0xffffffff,0x2fffffff,0x3fffea00,0x0000007f,0xffa80000,0x07707fff,
    0x00000074,0x3fff6000,0x3fff2004,0x44005fff,0x0000000f,0x1bffff60,
    0x07ffffe6,0x00000000,0x7fffe400,0xf300006f,0x55555557,0xffffff55,
    0xffffb00b,0xfffff30d,0x557f3003,0xf5555555,0x00bfffff,0x207fffe2,
    0x0006e66c,0x1fffffea,0x7ffffd40,0x7fffdc07,0xffe8005f,0xf9801fff,
    0xaaaaaaab,0xffffffaa,0x3ffea005,0x7cc007ff,0xaaaaaaab,0xffffffaa,
    0x3ffea005,0xdd0007ff,0x75c00059,0xffa800bd,0x03107fff,0xd50001ea,
    0xb000037b,0x26009fff,0x0fffffff,0x8003dc00,0x0000bdec,0x30dffffb,
    0x003fffff,0x01bee980,0xff900000,0x0000dfff,0xffc801b6,0x6c01ffff,
    0xf986ffff,0xd801ffff,0x3fff2006,0xf8801fff,0x03f81fff,0xffff5000,
    0x3fea00ff,0xfe807fff,0x2000ffff,0x05fffff8,0x7e400db0,0x001fffff,
    0x0ffffff5,0x32006d80,0x01ffffff,0xffffff50,0x3fffe000,0xfff90003,
    0xffff500d,0x0db000ff,0x7fffb800,0xfffd8000,0xffffd004,0xf88007ff,
    0xfffb0007,0x3ff2000b,0xfffa86ff,0x4c0001ff,0x0001ffff,0xffffc800,
    0xf980006f,0x3ffe2003,0x7e404fff,0xffa86fff,0x7cc01fff,0x3ffe2003,
    0xf8804fff,0x07d41fff,0xfffa8000,0xff5007ff,0xf500ffff,0x4009ffff,
    0x00fffffc,0x22003f98,0x04ffffff,0xffffff50,0x00fe6001,0xffffff88,
    0xffff5004,0x366000ff,0x710006ff,0xfa803fff,0x000fffff,0x100017f2,
    0x0005fff5,0x804fffd8,0x6ffffffb,0x037f4400,0x0fffc880,0xffffb800,
    0x7ffffcc7,0xea80002f,0x000004ff,0x6fffffc8,0x00fd8000,0x7ffffec0,
    0x3ffee00f,0x7fffcc7f,0x07ec02ff,0x3ffff600,0x7fc400ff,0x002ec1ff,
    0xfffff500,0xfff5001f,0xf7001fff,0x3001ffff,0x003fffff,0xfb0003f6,
    0x001fffff,0x1ffffff5,0x0003f600,0x1ffffffb,0xfffff500,0x3ea0001f,
    0x7fc0007f,0x7ffd402f,0xf7000fff,0x3a00009f,0x6c0004ff,0x7c405fff,
    0x01ffffff,0x017ffee0,0x01fff880,0xfffff980,0xfffefb9c,0x900002ff,
    0x00000dff,0xdfffff90,0x06f98000,0xfffffa80,0x3ffe604f,0xfefb9cff,
    0x2602ffff,0xffa8006f,0x4404ffff,0x3e21ffff,0x3ea00001,0x800fffff,
    0x0ffffffa,0xdffff700,0x7fffc401,0x0df3001f,0xfffff500,0xfff7009f,
    0xf3003fff,0xfff5000d,0xf5009fff,0x001fffff,0x0017ff60,0x400fffa8,
    0x2ffffffb,0x1ffff540,0x7ffcc000,0x7fec0001,0x7ffec06f,0xd1004fff,
    0x0009ffff,0x0007ffdc,0xffffffb8,0xfffff9cf,0xfe80000d,0x8000003f,
    0x07fffffd,0x0037f400,0xfffffff8,0x3fffee01,0xfff9cfff,0xdfd00dff,
    0x3fffe000,0x3ea01fff,0x01ae1fff,0xffff7000,0xff7003ff,0x4003ffff,
    0x0aefffd9,0x9ffff951,0x037f4001,0xffffff80,0x3ffe601f,0xe805ffff,
    0xfff0006f,0xb803ffff,0x01ffffff,0x3bff6e60,0x7edc4000,0x7fcc02ff,
    0xbdffffff,0xfffeecba,0x2e0001ff,0x0003ffec,0xbdffffd8,0x7ffffd41,
    0xcccccdff,0xffffedcc,0x5c4003ff,0x0001fffd,0x9fffffe4,0xfffffff9,
    0xfeca8001,0x8000004f,0xfffffffa,0xffea8004,0x7fcc003f,0x01efffff,
    0x4ffffff2,0xfffffff9,0x0ffffaa1,0xfffff300,0x5d4c3dff,0x3a1fffff,
    0x3e600003,0x05ffffff,0x7fffffcc,0xfda8005f,0xffffffff,0x3aa001cf,
    0x4c003fff,0xefffffff,0x3fffba21,0xefffffff,0x1ffff545,0x3fffe600,
    0xf301efff,0x0bffffff,0x00d66540,0x02bcc880,0x3ffffba2,0xffffffff,
    0xffffffff,0x3320000f,0x300000ab,0x15555555,0x3fffffa2,0xffffffff,
    0xffffffff,0x64c002ff,0x400002bc,0x000001ba,0x000accb8,0x3ffb6000,
    0xffffffff,0x7e400eef,0x1effffff,0xfffffd10,0x0dffffff,0x90001ba8,
    0xdfffffff,0x3fffa203,0xffffffff,0x55555536,0x00005415,0x3ffffba2,
    0x5effffff,0xfffffdd1,0x0bdfffff,0x79975300,0xff900035,0x03dfffff,
    0x3fffffa2,0x06ffffff,0x3fff2000,0x101effff,0xfffffffd,0x3a2dffff,
    0xfffffffe,0x0005efff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fffffd4,0xfa803fff,0x2fffffff,0x33333300,
    0x01333333,0x00000000,0x31000988,0x33333333,0x88000133,0x99999999,
    0x00001999,0x00000000,0x000b2a00,0x00000193,0x00000000,0x2aaaa000,
    0xaba88001,0x4ca80000,0x4400a600,0x188014c1,0x02aaaa20,0xa8000000,
    0x40013000,0x260000a8,0xaaa8002a,0xaa80001a,0x151001aa,0xff503100,
    0x03ffffff,0x07bff620,0xffffff00,0x0bffffff,0x00000000,0x400fffc4,
    0xfffffffe,0x0006ffff,0x7fffffec,0x007fffff,0xffffff88,0x04ffffff,
    0x54000000,0xb9803fff,0x0009bdfe,0x35753100,0x3009b001,0x007bffb9,
    0x0dffff70,0x7e7fec40,0xf10000df,0x6fc4007f,0xf317ea00,0x02fd401b,
    0x00bffffb,0x77ff6e54,0x0fec000c,0x3001fd10,0x20001ffb,0x5c003ff9,
    0x0006ffff,0x037fffd4,0x2600ef88,0xffff306f,0x2001dfff,0xf8001ff8,
    0xffffffff,0x00005fff,0x3f200000,0xffe805ff,0xffffffff,0x7ec0006f,
    0xffffffff,0xf88007ff,0xffffffff,0x00004fff,0xfb800262,0x3fee05ff,
    0xdfffefef,0xfeb88001,0xefffffff,0x5402fc82,0xdffbaeff,0xffff1000,
    0xff3005ff,0x07ffee5f,0x001bf600,0x3ee03bf2,0x80efc81f,0xff300ffc,
    0x8803ffff,0xffebbefd,0x3e6001ff,0x04fe983f,0x3ffffae2,0x0bfd0000,
    0xfffff880,0x3fe0002f,0x7003ffff,0x3ff703df,0x7ffffdc0,0x1f6005ff,
    0x7ffffc00,0x5fffffff,0x00000000,0x01fffea0,0x3ffffffa,0x006fffff,
    0x7ffffec0,0x07ffffff,0xfffff880,0x4fffffff,0x3f72a000,0x1bdeffff,
    0x10dfff10,0x27ee5ffd,0x006fffc9,0x2b3ffff2,0xefffec98,0xfc807f72,
    0x077fe46f,0x7ffffe40,0x7ffe806f,0x001bffe2,0x10003ff7,0x7fec3fff,
    0x23dff104,0x3a04ffd8,0x05ffffff,0x3fa13fee,0x36000fff,0x3ffea4ff,
    0x3fa6a600,0xfb8000ff,0x7fe4000f,0x0006ffff,0xfffffff7,0x8bffe001,
    0x7dc05ffc,0x4fffffff,0x0000f900,0x00000000,0x3ff20000,0x00000005,
    0x00000000,0x26666666,0x00099999,0xacfffea8,0xdfffdb88,0x442ff882,
    0x87ee1ffe,0xe8807ffb,0x2601ffff,0x04feffff,0x2217ffd4,0x7cc04fff,
    0x3fffbdff,0xf1bffee0,0x22007fff,0x320003ff,0xfffebfff,0x2bfff200,
    0xf500fffe,0x3fff99ff,0x70dfff10,0x400dffff,0xffcdfff8,0x3ff6003f,
    0x7fcc000f,0x7ffcc003,0x003fffbd,0x7d77ffc4,0xff7003ff,0x01fffb7f,
    0xffffdfb8,0x6c802fff,0x00000000,0x80000000,0x0000efa8,0x00000000,
    0x00000000,0xffffb100,0x7fffc401,0x82fdbbdf,0x0fdc6ffc,0xff501fee,
    0xf5001fff,0x4401ffff,0xff80ffff,0x3ff600ff,0xe81ffe64,0x7ff46fff,
    0x0dfb006f,0xffff8800,0x7c403fff,0x03ffffff,0xffb8fffa,0x1ffffb85,
    0x03ffffd4,0x3fffff20,0x7fec006f,0x37f4000f,0x327fec00,0xfd800fff,
    0x03ffe64f,0x7fffff40,0xe8fb804f,0x1fffffff,0x00003640,0x7ff40000,
    0xffffffff,0xfffc84ff,0xcdefffff,0x00000002,0x00018000,0x4c0bda80,
    0x3e6001cc,0x9801ffff,0xaacfffff,0xb8ffff00,0x2207e81f,0x004fffff,
    0x817ffff6,0xfd07fffc,0x3fea07ff,0xf03fe982,0xffe8dfff,0x1ffb807f,
    0xfffb8000,0xff9006ff,0x7dc0dfff,0x42ffa81f,0x544ffffc,0x000fffff,
    0x3fffffe2,0x7ffec002,0x03fee000,0x305ff500,0x3e6007fd,0x04fe883f,
    0xffffff50,0x3e6f7001,0x0effffff,0xffe81b20,0xffffffff,0xfffc84ff,
    0xa83fffff,0xdfffffff,0xfffe9800,0xfffe8801,0xffffffff,0xffffffff,
    0xd00002ff,0x7dc00005,0x3ffe24ff,0xfff8800f,0x3f2002ff,0x7cc05fff,
    0x07ee2fff,0xfffe81ee,0x3ea001ff,0xfd02ffff,0x3ffa0dff,0x403fd04f,
    0x7fc40fe8,0x7fff45ff,0x0ffe200f,0xffff8000,0xfff1002f,0x3be205ff,
    0xf31be600,0xffa83fff,0x64000fff,0x8005ffff,0x3000fffd,0xfd0007ff,
    0x007f4403,0xfb100ff4,0x3fffa001,0x54f7003f,0x5fffffff,0x3ea01b20,
    0x0cffffff,0x1fffe980,0x7ffffec0,0x3fe6000f,0xfffa8001,0xccccffff,
    0xffffffed,0x6f980002,0x3ffe0000,0xffff70ff,0xffffb007,0x7fcc001f,
    0x3ea03fff,0x3f71ffff,0x3ff20f10,0x6c006fff,0x80ffffff,0x999effff,
    0x06fffe99,0x10260013,0xfe8dffff,0x37ec07ff,0x26620000,0x4cc40019,
    0x40062019,0x42dc9818,0x0fffffd8,0x09999800,0x0fffd800,0x000dfd00,
    0x004c0026,0x0098004c,0x00333310,0x3ffee3dc,0xd904ffff,0x3ffff600,
    0x3e6000ff,0xfffc801f,0x7f8007ff,0x3ffee000,0x7f5407ff,0xd80002ff,
    0xb00001ff,0x7fd4dfff,0x7fd402ff,0xe8005fff,0x300fffff,0x75ffffff,
    0x7fc0203f,0x2002ffff,0xfffffefd,0x7ffffc45,0xffffffff,0x2000007f,
    0x7f46fffe,0x3fee06ff,0x00000001,0x00000000,0xffefc880,0x00000fff,
    0x1fffb000,0x001ff700,0x00000000,0x80000000,0xffffd87b,0x06c82fff,
    0xffffff90,0x200ff000,0x07fffffc,0x20006e80,0x07fffffa,0x0005ff90,
    0x005fff88,0x85fff500,0x7c406ffe,0x002fffff,0x5fffffc8,0x3fffffe0,
    0x2a001fff,0x01ffffff,0xfff77f70,0x7fd41fff,0x300007ff,0x017bffb9,
    0x7c7fffd8,0xff104fff,0xc9800007,0x5003dffd,0xf339dffb,0x3bff6a01,
    0x4400f99c,0xfffabffc,0xcccb80ff,0x33223ccc,0x200ccccc,0x4c00fffd,
    0xa80003ff,0x0ceffedc,0x333332e0,0x3333223c,0xcc880ccc,0x002ccccc,
    0x3fffa0f7,0x3640ffff,0xfffffc80,0x006e8007,0x0dfffff9,0x4000dd00,
    0x07fffffa,0x0000bf60,0x001ffff9,0x19805400,0xfffffb80,0xffb8000f,
    0xf701ffff,0x7fffffff,0x7fffec00,0x4fa800ff,0x5ffffff3,0x07ffffd4,
    0x3ffee000,0x00effdbc,0x7c4ffff3,0xdfb00fff,0xffa80000,0x00dffbae,
    0x3f6fbff2,0xffc80fff,0x0ffffdbe,0x54bffee0,0x980fffff,0x46fffffd,
    0x1ffffffb,0x003fff60,0x88000dfd,0xffebbefd,0xffb301ff,0xffb8dfff,
    0xd501ffff,0x009fffff,0x7ffc41ee,0x320effff,0xffff9006,0x0dd000df,
    0x3fffff20,0x006e8006,0x3ffffea0,0x00be2007,0xfffff880,0x00000004,
    0x7ffffe40,0xff98000f,0x3602ffff,0xffffffff,0xffff800d,0x7cc00fff,
    0x3ffffe25,0x3fffe64f,0x3f60002f,0x3ffe21ff,0x3fff901f,0x5c0fffe6,
    0x200001ff,0x7fe46ffc,0x47ffb80e,0x7dc1ffd8,0x0ffec47f,0x50fffec4,
    0x401fffff,0xb86fffff,0x201fffff,0x2e01fffd,0x2e0000ff,0xfffe84ff,
    0x3fffe00f,0xffffb86f,0x3ffe201f,0x0f7004ff,0x7fffffcc,0x6401b25f,
    0x006fffff,0xff9006e8,0xd000dfff,0x7fd4000d,0x05307fff,0x7dc0005d,
    0x000fffff,0x6666665c,0x33333223,0xfffe80cc,0xf10007ff,0x809fffff,
    0xfffffffd,0x3fe202ff,0x4c07ffff,0x7fffc46f,0x3ffe25ff,0xf90004ff,
    0xfff50dff,0x37fee01f,0xf102ffd9,0x5400009f,0x7fc42fff,0x05fff84f,
    0x5fff83fd,0xffd03fd0,0xffffa8bf,0x3fffa00f,0xffffa86f,0x3fffa01f,
    0x007ff302,0x437ffc40,0x206ffffb,0xa86ffffe,0x401fffff,0x004fffff,
    0xfffb80f7,0x0d93ffff,0x3fffff20,0x006e8006,0x0dfffff9,0x4000dd00,
    0x07fffffa,0x00059077,0x7ffffff4,0x7fecc003,0x7fdc6fff,0xff81ffff,
    0x0007ffff,0xbffffff1,0xfffff700,0x2609ffff,0x06ffffff,0xff103ba2,
    0xff8fffff,0x0c00ffff,0x213fffe2,0x204ffff9,0x00bdedb9,0x06601bf6,
    0x03fffe20,0xf983fffe,0x1f982fff,0x20bfffe6,0x7ffe41f9,0x7fffd42f,
    0x3fff600f,0xffff986f,0x77764c1f,0x7f42ceee,0xf7006206,0xffa83fff,
    0x3ff607ff,0xfff986ff,0x7ffc01ff,0x0f7004ff,0xffffff90,0x3200d93f,
    0x006fffff,0xff9006e8,0xd000dfff,0x7fd4000d,0x07907fff,0xfffa8000,
    0x0006ffff,0x70dfffff,0x983fffff,0x06ffffff,0xfffff100,0x3fa600ff,
    0x5fffffff,0xffffffa8,0x2203fa06,0x0fffffff,0x13fffff2,0x7ffe45b8,
    0xfffff03f,0x7fdc0000,0xfdffb101,0x3fff203d,0x47fffd07,0x83fffffa,
    0x3fffea2d,0x7fc2d83f,0x7fdc3fff,0x3f600fff,0xff986fff,0x40001fff,
    0xfeb81ffb,0xffc80bef,0x7ffd44ff,0xfffb00ff,0xffff30df,0xffff803f,
    0x00f7004f,0x3ffffffa,0xff9006df,0xd000dfff,0x3fff200d,0x6e8006ff,
    0x3ffea000,0x007f07ff,0xffaee800,0x8002ffff,0xa86ffffe,0x541fffff,
    0x05ffffff,0x3ffffe00,0x3f2000ff,0x4fffffff,0x7fffffcc,0x2203fb06,
    0x47ffffff,0x4ffffff8,0x7ffc0fa8,0xffff02ff,0xf100001f,0x3ffea09f,
    0xfd09ffd1,0x3ffa0dff,0x7ffffc4f,0xff0220df,0x441bffff,0x3ffffe20,
    0xffffc9af,0x3ff601ff,0xfff986ff,0x260001ff,0xfffc83ff,0xff986fff,
    0x7ffd41ff,0xfffb00ff,0xffff30df,0xffff803f,0x00f7004f,0x3fffffe2,
    0xff9006ff,0xd000dfff,0x3fff200d,0x6e8006ff,0x3ffea000,0x03fb87ff,
    0x7cbe6000,0x006fffff,0x86ffffd8,0x41fffff9,0x6ffffff9,0x3fffe000,
    0xfb8007ff,0x1fffffff,0x3ffffffc,0xff1017e4,0xf70dffff,0x79dfffff,
    0xfff887fd,0xffff02ff,0xfb00005f,0x97ffe20d,0x7fc2fffb,0x99999eff,
    0x7e46fffe,0x01ffffff,0x3ffffff2,0x3fffa01f,0xffbfffff,0xd82ccfff,
    0xf986ffff,0x0001ffff,0x2fe61bfa,0x82ffffda,0x7ec42dc9,0xfb00ffff,
    0xff30dfff,0xff803fff,0xf7004fff,0x7fffcc00,0xf9006fff,0x000dffff,
    0x3ff200dd,0xe8006fff,0x3fea0006,0x7fd47fff,0x9b600003,0x1ffffffb,
    0x7fffec00,0xfffff986,0x7ffffc41,0xff10007f,0x000dffff,0xfffffdf7,
    0xffffe89f,0x201fdc7f,0x5ffffff8,0xffffff70,0xff507fff,0x3fe05fff,
    0x40004fff,0xffb01ffa,0x7fffd49f,0xffffff10,0xffffffff,0xfffff98f,
    0xff303fff,0x07ffffff,0x3fffffea,0xfffffb0d,0x3ffff609,0xfffff986,
    0x3ff70001,0xfffc8390,0xfdf91004,0x3601ffff,0xf986ffff,0x7c01ffff,
    0x7004ffff,0xfffa800f,0xf9006fff,0x000dffff,0x3ff200dd,0xe8006fff,
    0x3fea0006,0xfdcbffff,0x100003ff,0x7fffc47f,0x7ec005ff,0xff986fff,
    0xfff81fff,0x10007fff,0x0bffffff,0xffb3f700,0xffc8dfff,0x9f50ffff,
    0xfffff300,0x7ff5409f,0xf702dfff,0x3e03ffff,0x0006ffff,0x7c413fe2,
    0x3fe63fff,0xffff52ff,0x7fe4000f,0x04ffffff,0xfffffff9,0x3ffae09f,
    0x77fecc2d,0x3ffff604,0xfffff986,0x3ff98001,0x07ffe600,0xf57ff910,
    0x3601ffff,0xf986ffff,0x7c01ffff,0x7004ffff,0xfff9000f,0x3f200dff,
    0x8006ffff,0xfff9006e,0xdd000dff,0x7ffd4000,0xffffffff,0xf900003f,
    0xfffffc81,0x3ff6000f,0xfff986ff,0xfffd81ff,0x98000fff,0x03ffffff,
    0xfc8fdc05,0x7fdc7fff,0x5f99ffff,0xfffff500,0x5fd1003f,0xfffff500,
    0x3ffffe03,0x1bf60005,0x23ffff98,0xf54ffff8,0x0001ffff,0x7fffffe4,
    0xfff902ff,0x405fffff,0x4017e400,0x986ffffd,0x001fffff,0x54006fe8,
    0x7fdc06ff,0xfffff52f,0x3ffff601,0xfffff986,0x7ffffc01,0x000f7004,
    0x01bffff6,0x37ffffe4,0xc8037400,0x006fffff,0x2a0006e8,0xa9ffffff,
    0x0003fffb,0xff984f88,0x2004ffff,0x986ffffd,0xc81fffff,0x01ffffff,
    0xfffffa80,0x2e01f01f,0x1bfffe1f,0x7ffffff1,0x3f2001df,0x8805ffff,
    0xff3004fe,0x3fe03fff,0x50004fff,0x7fdc03ff,0x3ffe23ff,0xfffff35f,
    0xffa80005,0x205fffff,0xfffffffa,0x4fe88005,0xdffffb00,0x3fffff30,
    0x01ffb800,0x8817fe40,0x3ea1fffd,0xfb00ffff,0xff30dfff,0xff803fff,
    0xf7004fff,0x3ffa2000,0xfff9006f,0xdd000dff,0x3ffff200,0x06e8006f,
    0x3fffea00,0x01ffcc7f,0xe807dc00,0x007fffff,0x21bffff6,0x81fffff9,
    0x2ffffff8,0xffffc800,0x5c0fe05f,0x17fff61f,0x3fffffea,0x3ffa000f,
    0xfc802fff,0xfff1002f,0x3ffe05ff,0xf88003ff,0x7ffd404f,0x3fffe23f,
    0x9fffff15,0xfd881000,0x020fffff,0xffffffb1,0x2ffc8001,0xdffffb00,
    0x3fffff30,0x01ffc400,0xe80ffe20,0x7fd45fff,0xffb00fff,0xfff30dff,
    0xfff803ff,0x1f9004ff,0x3ffe6000,0xffff9006,0x0dd000df,0x3fffff20,
    0x005e8006,0x3ffffea0,0x0003fa87,0x3fea05e8,0xb003ffff,0xf30dffff,
    0x2e03ffff,0x005fffff,0x1fffffe8,0x0fdc1be0,0x3607fff9,0x001fffff,
    0x17ffffe6,0x001fffc0,0x105ffffd,0x003fffff,0xf300dfb0,0x7fcc7fff,
    0x3fffe3ff,0xd10c00ff,0x3ffffee0,0x3fee0d11,0x7c001fff,0xffb003ff,
    0xfff30dff,0x7f4003ff,0x04fd8006,0x50bffff2,0x201fffff,0x986ffffd,
    0x401fffff,0x004fffff,0x540005fd,0xff9006ff,0xd000dfff,0x3ffee00b,
    0x5f8007ff,0x3ffea000,0x007f07ff,0x999bfa80,0xffff9999,0xffb006ff,
    0xfff30dff,0x7ff403ff,0x22000fff,0x405fffff,0x21fb83ff,0x3e206ffe,
    0x2003ffff,0x00effffd,0x006fff88,0x20ffffea,0x005ffff9,0x8801ffa8,
    0x3e63ffff,0x3ff22fff,0x16e04fff,0x3ffee03f,0x7dc07e0f,0x22000fff,
    0xf9006fff,0xff50dfff,0x2e003fff,0x7dc001ff,0xffff04c3,0xffffb87f,
    0xffff900f,0xfffff50d,0xfffff803,0xafffc804,0x0df90000,0x3ffffee0,
    0x005f8007,0x0ffffff7,0x40009f00,0x07fffffa,0x2005407b,0xfffffffe,
    0xffffffff,0xfffd802f,0xffff986f,0x3ffea01f,0x3f2004ff,0x7c00ffff,
    0x98fdc3ff,0x7d401fff,0x9800ffff,0x001fffff,0x8017fffe,0xfa84fffe,
    0x44001fff,0x3f2004ff,0x3ffea4ff,0x7ffffc46,0x7c0fa84f,0x6fff880e,
    0x7fc4077c,0xfff8006f,0xfffb805f,0x7fffcc7f,0xff8802ff,0x217dc003,
    0xffff11f9,0xfff935ff,0x3ee03fff,0x7fcc7fff,0x7c02ffff,0xd504ffff,
    0xdfffffff,0x00db0001,0x1fffffee,0x54013e00,0x007fffff,0x50001fcc,
    0x20ffffff,0x9803a03b,0xaaaaaabf,0xfffffaaa,0xfffd805f,0xffff986f,
    0x7ffdc01f,0xff9800ff,0xff801fff,0xafb8bdff,0xa802effc,0x00efffff,
    0x037fffe2,0xbffff700,0xfff98015,0x27ffec0f,0x0037ec00,0xff937ff4,
    0xffff703f,0x7fd79dff,0xff10bff0,0x885ff87f,0xb8003fff,0x00adffff,
    0x39fffff3,0xfffffdf7,0x00dfd005,0xffffffa8,0x3fffa0ff,0xffbfffff,
    0x4c2ccfff,0xb9cfffff,0x2fffffef,0x2fffffc0,0x44000000,0xffff5003,
    0x3f9800ff,0xfffff100,0x17dc001f,0xffff5000,0x540620ff,0x90036c07,
    0x03ffffff,0x86ffffc8,0x01fffffa,0x0effffb8,0x3ffffe20,0xffd73001,
    0x9dffffff,0x919f3001,0x2237dfff,0x03ffffda,0x3ffff600,0x7fcc06ff,
    0x7fff50cf,0x03ff5000,0x15ffd100,0x7dc05fff,0xffffffff,0x19ffff03,
    0xff09ff91,0xff9119ff,0x7fec0009,0xf706ffff,0x39ffffff,0x01bfffff,
    0x3000ffdc,0xffffffff,0xfffffa8d,0xffffb0df,0x3ffee09f,0xff9cffff,
    0xf700dfff,0x001fffff,0x017bd700,0x3ffe2000,0x2e000fff,0x3ffa002f,
    0xf1002fff,0xffa8000d,0xd8007fff,0x800fe606,0x4ffffff8,0x3ffffdc0,
    0x3fffffe6,0xfffb3002,0x7fdc415d,0x10000cff,0x017fd553,0x2e22fcc0,
    0xffffffff,0x80000bef,0x01dfffea,0xfffffd88,0xf88002ef,0x75c0004f,
    0xa800ceff,0x2dfffffe,0x3ffb3ba0,0x9dd04fff,0x09fffffd,0xfffd5000,
    0x7ffe403b,0xffff33ff,0xff103fff,0x7ffc4007,0x84ffffff,0x4c2dffeb,
    0x6404effd,0xf33fffff,0x43ffffff,0xfffffff8,0x640005ff,0x00006fff,
    0x0bfffffa,0x20037c40,0x0efffffa,0x0002fe80,0x7fffffd4,0x817f2000,
    0x7ec000fd,0x200fffff,0x9cfffff9,0xfffffefb,0x7fed4002,0xffffffff,
    0x5c00001c,0x0774001f,0x55995310,0x04000001,0x13753000,0x00cc4000,
    0x88000000,0x885001ba,0x221401ba,0x000001ba,0x01ba8001,0x00198800,
    0x80080000,0x0dd40008,0x00000000,0x0fffdc40,0xfffa8000,0x74400eff,
    0xffc8002f,0xb100efff,0xf500009f,0x001fffff,0x7cc13fee,0xfffa8006,
    0x7dc04fff,0x9cffffff,0x00dfffff,0x79975300,0x40000035,0x044000ea,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0002fff8,0x3fffff20,0x09fb300e,
    0x7fffe400,0xfecbceff,0xf700004f,0x805fffff,0xd03fffea,0x3fe000df,
    0x401fffff,0x33fffffc,0x3fffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x0000fffa,0x7ffffe40,0xfffdbcef,0xfe980004,
    0xffffffff,0xf300001c,0xbfffffff,0xffdd9757,0xfea83fff,0x7cc003ff,
    0x1effffff,0x0001ba80,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x44000000,0x002fffdb,0xfffd3000,0x39ffffff,0xba880000,0x0009abcc,
    0xfffee880,0xffffffff,0xffffffff,0x3fff20ff,0x101effff,0xfffffffd,
    0x000dffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00af3220,0x5d440000,0x0009abcc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x04c006a0,0x09800544,0x00029800,
    0x800014c0,0x0001aaaa,0x015554c0,0x00151000,0x00055440,0x40035555,
    0x0013001a,0x51000053,0x1a880015,0xddd30000,0x014c05dd,0x54c00188,
    0x0000009a,0x00037300,0x00003991,0x03310000,0x75310000,0xeea80035,
    0x00001eee,0x0a035753,0xaba99800,0x00000009,0xfc806a00,0x407f6202,
    0x3fa201fe,0x3ffaa000,0x6d40003f,0x0000cfff,0x01fffff3,0x7fff4000,
    0x6cc0002f,0x360000ff,0x3fee006f,0x3f6006ff,0x407f6202,0x0dffffd8,
    0x00dfb000,0x3ffff6e2,0x3f20002c,0x7c404fff,0x017ea00d,0x7fffffd4,
    0x3f60000c,0x23ffffff,0x004fffe8,0x26007fd4,0x40001dfd,0xffffecb8,
    0x0002cdef,0xffffffd3,0x7fe4007f,0x5c0003ff,0xcfffffff,0xc88003a1,
    0xffffffff,0xfb30002d,0x02efc81b,0x101dfff7,0xbfd107ff,0x4c17fcc0,
    0x3e2003ff,0x002fc89d,0x3ee2bbe0,0xfffd0003,0x200009ff,0x06fffffb,
    0xfffeb880,0xff50000f,0x3ffe2003,0xf1002fff,0x09fd307f,0x7ffff7f4,
    0x1ffa8004,0x52eff880,0x0001dfff,0x2009fffd,0xffb80efc,0x7fff4401,
    0x00efffff,0x3fff6200,0x3fff23ff,0x3f6003ff,0x7fffe805,0x3ffea000,
    0xfdb88adf,0x32001eff,0xfffd50df,0x3f2001df,0xd30006ff,0x95115bff,
    0x001fddff,0x579dffb1,0x7fffb953,0x5fffd800,0x203fffea,0x903fffff,
    0x7ffcc9ff,0x71ffec00,0x7b800dff,0xf50006d8,0xa8007c81,0x0fffffff,
    0x7ffc4000,0x4003ffff,0x0fffe9a9,0x04ff8800,0x3fffff20,0x3ff2006f,
    0x403ffea4,0x3fffe64c,0x13fe2000,0xb0fffa20,0x4001dfff,0x2004fff9,
    0x3f61fff8,0x7ff4404f,0xffffffff,0x7fc40005,0x3ffe3fff,0x3e007fff,
    0x7ffcc03f,0x6c4002ff,0x2601ffff,0xb804ffff,0xfffe81ff,0x3ff6006f,
    0x7fc4001f,0x3ffa602f,0x6ffd400f,0xdffb8802,0xffff8800,0x0bffff27,
    0x0ffffff5,0x3ef7ffe2,0xff9804ff,0x02fffccf,0x0fd42740,0x7cc2ec00,
    0x3ffe2002,0x004fffae,0x6dfffe40,0xb0000fff,0xb0001fff,0x7fcc00df,
    0x02fffbdf,0xf7bfff10,0x640c07ff,0x7ec006ff,0xfffe8806,0x2ffffcc1,
    0x00bff900,0xfd7fff90,0xffe801ff,0xffffffdd,0x220002ff,0x3a3fffff,
    0x01ffffff,0x4400ffa8,0x001fffff,0x0bffffe6,0x3bfffe60,0x09fff100,
    0x07fffff5,0x001ffec0,0x2201bff6,0x3f200ffe,0xfd88002f,0xfffd800e,
    0x03fffea5,0x0ffffff7,0x7fffffdc,0xfffb000f,0x9000dfff,0x2000f90d,
    0x000fb87b,0x74437ff2,0xf30001ff,0x1ffe43ff,0x0fffd800,0x00ffd400,
    0x7d49ffb0,0x3ff2006f,0x8006ffff,0x2a001ffe,0xffc801ff,0xfffe80ff,
    0x0bfd002f,0x3fffe200,0x7d403fff,0x7fffdc42,0x220003ff,0x2e3fffff,
    0x01ffffff,0xf9006fc8,0x7c400bff,0x2003ffff,0x506ffffc,0xff10ffff,
    0xd800bfff,0x3fea006f,0x1ff3003f,0x0003bea0,0xb100df70,0x2efb81bf,
    0x6fffffa8,0x3ffffe20,0x3fe6003f,0x8001ffff,0x00fe63f9,0xe9867c40,
    0x13fe2004,0x40017fa2,0xffb80efd,0xfffd8000,0x13fe2000,0x982ffa80,
    0xff1003ff,0x4005ffff,0x2004ffb8,0xfd004ff8,0x3ff60fff,0x5f9806ff,
    0x7ffdc000,0x02e806ff,0x13fffff2,0xfffff000,0xffbcd987,0x003ff800,
    0xfb000b26,0x4001ffff,0x83fffff8,0xf81ffffa,0x8007ffff,0xff7001fd,
    0x0fdc009f,0x66447fcc,0xabcccccc,0x0009f701,0xffff9800,0x7ffdc05f,
    0xffc8006f,0x320005ff,0x000efeff,0x3bfbff20,0x00bf6001,0xfa8003fb,
    0x0027d405,0x0007ffec,0xee800dfb,0x801fa201,0x006ffffb,0x37ffffea,
    0x006fd800,0x20fffff1,0x01fffffc,0x3fe00000,0x01802fff,0x17ffffc4,
    0x3fffe000,0x01fe603f,0x00007fe6,0xfffff500,0xfffd000b,0xfff881ff,
    0xfffff80f,0xd8000006,0x1001ffff,0x543fd03f,0xfdabffff,0x2fd81eff,
    0x7fc00000,0x99803fff,0x98800099,0x40000999,0x00001cb8,0x30003b71,
    0x00026001,0x00220031,0x003fff60,0x2000ffd4,0x00130009,0x0004cccc,
    0x0fffff26,0x2003ff50,0x80fffffa,0x03fffffb,0x26200000,0x20000199,
    0x0007fffe,0x03fffff8,0x3f2017f2,0x44000006,0x03ffffff,0xfffffc80,
    0x884ffb86,0x003fffff,0xfffd8000,0x83d001ff,0xfffd84fa,0x07fffe22,
    0x00000df1,0x01ffffe8,0x00000000,0x00000000,0x00000000,0x80000000,
    0x8800fffd,0x000004ff,0x00000000,0x440dfff5,0x3ee004ff,0xfa80ffff,
    0x2604ffff,0x02dfffdb,0x40000000,0x9802ffff,0xff0cefeb,0x7f407fff,
    0x004fe800,0x5bfffb73,0x7ffffdc0,0xffa8000f,0x0101ffff,0x87ffffe6,
    0x3ccccccb,0x33333322,0x7fffe40c,0x409803ff,0xfffc80fd,0x427ffec2,
    0x6e4c01fc,0x6400bdff,0x2600ffff,0x02dfffdb,0x3ffb72a0,0x654000ce,
    0x00ceffed,0x3333332e,0x33333223,0xdb9800cc,0x9502dfff,0x59999999,
    0x3333332a,0x3332a3cc,0x0fffd84c,0x000efd80,0x6ffee4c0,0x7ee4c003,
    0xd0000bdf,0x77ec0dff,0x3fff2000,0xfff981ff,0xdff505ff,0x01dfffb5,
    0x99999991,0x99999999,0xfff98003,0xffffd802,0xffff9eff,0x007f703f,
    0xf5003ff3,0xdfffb5df,0xfffff901,0xff30001f,0x8005ffff,0x4c5ffffc,
    0x46fffffd,0x1ffffffb,0x7fffffd4,0x3e2003ff,0x85fff705,0xf986fffa,
    0x33ffee04,0x500effdb,0x7d40dfff,0xefffdaef,0x2fbf6200,0x01ffffeb,
    0xebbefd88,0xb301ffff,0xb8dfffff,0x01ffffff,0x7ed77fd4,0x7f4c0eff,
    0x30cfffff,0x9ffffffb,0x177fdc43,0x2007ffec,0x40001ffa,0xffbaeffa,
    0xfffb800d,0x00effdbc,0xa827fd40,0x7dc001ff,0xf981ffff,0xfb86ffff,
    0x3fffe26f,0xeffff985,0xffffdccc,0x7f4000ff,0xfffc803f,0xffffb30f,
    0x07fb07ff,0x2e01fee0,0x3ffe26ff,0xffffe85f,0xff10007f,0x4009ffff,
    0x206ffff8,0xb86fffff,0x441fffff,0xffffffff,0x2fa802ff,0xc85fff70,
    0x0dd04fff,0xf887fff6,0xff881fff,0x4dff704f,0x705ffff8,0xfffd09ff,
    0x27fdc01f,0x007ffff4,0x70dfffff,0x403fffff,0x3fe26ffb,0xfffd05ff,
    0xfffd01ff,0x03fa03ff,0x100fffec,0xc80009ff,0x77fe46ff,0x87fff600,
    0x4c1ffff8,0x077d40dd,0x40027fc4,0x83fffffa,0x45fffff9,0x7ec3fffb,
    0x7fcc1fff,0xfffffd02,0x7fec4007,0x3fea03ff,0x7ff442ff,0x3ba23fff,
    0x013fa002,0xfd87fff7,0x7ffc1fff,0x10007fff,0x0bffffff,0x027ffdc0,
    0x21bffffa,0x81fffffa,0xfffffffa,0x2e01efff,0x5fff701f,0xb02ffff8,
    0x0dfff90f,0xd01ffff5,0xfff705ff,0x1ffffd87,0x5c37ffc4,0xf106ffff,
    0xfff70dff,0x7fff40df,0xffffa86f,0x7fff701f,0x81ffffd8,0x83fffffa,
    0x04fffff9,0x7fff409d,0x003bf602,0x42fffa80,0xf904fff8,0xfff50dff,
    0x67ffe41f,0xfb01ee99,0xff10001d,0xff30dfff,0xfff89fff,0x7fffdc0f,
    0xfb817cc3,0x5006ffff,0xfffffffb,0xdffff109,0x3ffffe60,0xf1000663,
    0xffff805f,0x1ffffdc0,0xdffffff3,0x3ffe2000,0x3a007fff,0xffd802ff,
    0xfff986ff,0xfff501ff,0xffffffff,0x201fb01b,0xfb32fffb,0x07e409ff,
    0x309ffff1,0xf909ffff,0x1ffff01f,0x43ffffb8,0x541ffffb,0xf707ffff,
    0xffa83fff,0x3ff607ff,0xfff986ff,0xffff01ff,0x3ffffb81,0x0dffffd0,
    0x0dfffff1,0xeec983f1,0x542ceeee,0x0aa802ff,0x407fffc4,0x7c40ffff,
    0xff984fff,0x3f7224ff,0x3ea03eff,0x40aa802f,0x41fffffc,0x23fffff9,
    0xf887fffb,0x83cc1fff,0x1ffffff8,0xfffffb00,0xfb8bffff,0x3fe05fff,
    0x40003fff,0x7fdc07fb,0xffff887f,0x3ffffea1,0x3fe0005f,0x800fffff,
    0xfb001ffa,0xff30dfff,0x7dc03fff,0xffffffff,0x03ec0eff,0xffddfff7,
    0x1fb801bf,0x40fffff2,0xfb87ffff,0x87fffb87,0x641ffff8,0x7d44ffff,
    0xfc80ffff,0x7fd44fff,0xffb00fff,0xfff30dff,0xfff703ff,0x3ffff10f,
    0x3ffffee0,0x7ffffdc0,0x00035c1f,0x54027fc4,0x7ffe40ff,0x87fffd07,
    0xf03ffffc,0x8000ffff,0xfa804ff8,0x7fffc40f,0xfff910ef,0x7fff45ff,
    0x107dd507,0x3ffff607,0x75c4004f,0x2fffffff,0x813ffff2,0x003fffff,
    0x3a02fec0,0xdd507fff,0xfffff987,0x3fe0006f,0xb007ffff,0x7fec001d,
    0xfff986ff,0x7f4c01ff,0xffffffff,0xb81f61ff,0xfffbbfff,0x3e1fc805,
    0xff02ffff,0x5f981fff,0x507fffe8,0xfff307dd,0xffffa83f,0xffff980f,
    0x7ffffd41,0xdffffb00,0x3fffff30,0x20ffffd0,0x3e203eea,0x6743ffff,
    0x744fffff,0xefd80003,0x07ffcc00,0x741bfffa,0x7ffc4fff,0xffff02ff,
    0x7ec0001f,0x7ffcc00e,0xffffe980,0xffffffff,0xfffff10f,0xff980000,
    0x0000ffff,0xffffffb1,0x1fffff4b,0x07fffff0,0x017fc400,0x00fffff1,
    0xffffff10,0x3fe2000f,0xf006ffff,0xfffd8003,0xffff986f,0xffd5001f,
    0xbfffffff,0xffb807e4,0x03fffd2f,0xfff10fd8,0x3ffe05ff,0x227c42ff,
    0x007ffff8,0xb10b7260,0x201fffff,0x7ec42dc9,0xfb00ffff,0xff30dfff,
    0xff883fff,0xd80007ff,0x3e66ffff,0x27ffffd8,0x540000f9,0x7fc402ff,
    0x7fffc0ff,0xfe99999e,0x3ffe26ff,0xffff02ff,0x3ea0005f,0x7ffc402f,
    0x3fff200f,0xffffebff,0x3ffffe65,0x3fa00000,0x0003ffff,0x6fffffc8,
    0x80fffffe,0x003fffff,0x9803fea0,0x000fffff,0x7ffffff8,0xffff1000,
    0x03e00bff,0xdffffb00,0x3fffff30,0xffffb800,0xf72fffff,0x4bffee05,
    0x7406fffa,0x3ffffea7,0x9fffff02,0xfff987f0,0x200000ff,0xffffefc8,
    0x3f22000f,0x00fffffe,0x30dffffb,0x983fffff,0x000fffff,0x7ffffd40,
    0x3ffeab91,0x000b92ff,0xe804ff88,0x3e20ffff,0xffffffff,0x2a7fffff,
    0xf02fffff,0x0009ffff,0xfd009ff1,0x31001fff,0x3ffffe23,0x3ffffea2,
    0xff700001,0x0000dfff,0x9bfffff4,0x203fffff,0x003fffff,0xf5017f60,
    0x0003ffff,0x1ffffffb,0xffff3000,0x0d1007ff,0xdffffb00,0x3fffff30,
    0xfff70038,0x3e69ffff,0x45fff704,0xf302fffd,0x7ffffdcb,0xdfffff01,
    0xfffa85b0,0x880001ff,0xfffabffc,0xfc8800ff,0xfffffabf,0xdffffb00,
    0x3fffff30,0x1fffffa8,0xffff8000,0x7ffc5f4f,0x0007f5ff,0x6c00efd8,
    0x2a0fffbe,0x8007ffff,0x01fffffb,0x00dfffff,0xd801dfb0,0x000fffbe,
    0x46ffffb8,0x03fffffa,0xffff8800,0x200001ff,0xf35ffffa,0x7c07ffff,
    0x0003ffff,0xff500ffe,0x90007fff,0x03ffffff,0xfffff500,0x0002003f,
    0x21bffff6,0x41fffff9,0xffb1000e,0x07f4dfff,0xf31fffe4,0x87f20dff,
    0x01fffffa,0x10bfffff,0x7fffff50,0xfffb8000,0x1fffff52,0x52fffb80,
    0x201fffff,0x986ffffd,0x541fffff,0x003fffff,0xfffffc80,0x7fffe47a,
    0x20000faf,0x7e402ffa,0x2a0fffa8,0x000fffff,0x0fffffd4,0x05fffff8,
    0x2017fd40,0x0fffa8fc,0xffffe800,0x7ffffcc1,0xffd80004,0x00004fff,
    0xf14fffe8,0x7c07ffff,0x0003ffff,0xf9801ff5,0x8004ffff,0x2ffffff8,
    0xffffc800,0x4000005f,0x986ffffd,0x741fffff,0x7fff4003,0x3a0fea6f,
    0x7fec5fff,0x2637c44f,0xf01fffff,0x2009ffff,0x04fffff9,0x3fffb100,
    0x07ffffd4,0x21fffd88,0x00fffffa,0x30dffffb,0x983fffff,0x004fffff,
    0xfffff980,0x7fffcc4f,0x220005ff,0x8fd404ff,0x3e60fffa,0x4002ffff,
    0x01fffff9,0x009fffff,0x2a027fc4,0x01fff51f,0x4ffff980,0xffffff88,
    0x3fe60000,0x0000ffff,0x22fffd80,0x204fffff,0x003fffff,0xf100df90,
    0x001fffff,0xbfffff70,0xffffd000,0x8000003f,0x986ffffd,0x741fffff,
    0x7ffc4006,0xb98ff45f,0x11cfffff,0x7ec9ffff,0x7ffffc43,0x7fffff02,
    0x3fffe200,0xfe8000ff,0x7ffd45ff,0xfffd00ff,0xfffffa8b,0xdffffb00,
    0x3fffff30,0xffffff88,0xffe80000,0xffe81fff,0x20002fff,0x3e600ffd,
    0x883ffea2,0x004fffff,0x17ffffc4,0x03fffff8,0x9803ff60,0x03ffea2f,
    0x6fffe880,0x3fffffa0,0x3ffa0005,0x00303fff,0x20fffc80,0x206ffffe,
    0x003fffff,0x3a007ff0,0x005fffff,0x1fffffd0,0x7fffc400,0x5b71005f,
    0xffffd800,0xfffff986,0x20017f41,0x7cc3fffd,0x55555536,0x55554c55,
    0xffd05fb8,0xfff105ff,0x1cda83ff,0x2ffffff4,0x3ffff200,0x7ffffd42,
    0x2ffffc80,0x07ffffd4,0x86ffffd8,0x81fffff9,0x05fffffe,0xffffc800,
    0xfffff707,0x17fd4000,0x9555df10,0x7fc37fff,0x0c00ffff,0x20bffffa,
    0x01fffff8,0x4405ff50,0xffcaaaef,0xfe8801bf,0x3ee00eff,0x102fffff,
    0x3fffee09,0x9931606f,0x85ffb003,0x80fffffb,0x03fffff9,0x001ff980,
    0x5ffffff7,0x7fd41220,0x32004fff,0x000fffff,0x400dffff,0xa86ffffc,
    0x741fffff,0x3f6000ff,0x0dfb81ff,0x077d4000,0x83ffffa8,0x645ffff9,
    0x3ee1ffff,0x102fffff,0x3fffff89,0x07ffffdc,0x21fffffc,0x00fffffb,
    0x50dffff9,0x703fffff,0x05ffffff,0x3fe60122,0xfff104ff,0x3e2000bf,
    0x7ffcc04f,0x4fffffff,0x13fffff2,0x7ffd45b8,0xffff983f,0x09ff1005,
    0xffffff98,0x4404ffff,0xd004fffe,0x83dfffff,0xfff884e8,0x8f301fff,
    0x2202ffff,0xfff885ff,0xfffe84ff,0xfc8003ff,0x7fff4006,0x27441eff,
    0x1fffff70,0xfffff300,0x3ffea003,0xff7001ff,0xfff98fff,0x7ff42fff,
    0x9fff1005,0x000f7ec0,0x7401ffc8,0xffa84fff,0x3ffe21ff,0x7fff44ff,
    0x27441eff,0x5ffffff1,0xffffff93,0xfffff883,0xffffc9af,0xfff701ff,
    0xffff98ff,0xfffd02ff,0x4e883dff,0x03fffd00,0x0017ffec,0x4c00ffd8,
    0xffeeeeee,0x3ffe23ef,0x0fa84fff,0xa84fffe8,0xb001ffff,0xee9801ff,
    0xefffeeee,0x3fffa203,0x3ffea003,0xfecfffff,0xfffffb06,0xf99ba209,
    0xc80cffff,0xfff700ef,0x3fb623ff,0x8006ffff,0x7d4004fe,0xcfffffff,
    0xffb806fe,0x3e200eff,0x2001ffff,0x03fffffc,0x9fffff30,0xffffdf73,
    0xdfffe85f,0x037fe400,0x800e7fdc,0x9800efea,0x7ec0ffff,0x7ffcc4ff,
    0x7ffd46ff,0xfecfffff,0xfffffe86,0xffffbfff,0x3ffa2ccf,0xfbffffff,
    0x42ccffff,0x9cfffff9,0xfffffefb,0xfffff502,0x0dfd9fff,0x2037fdc0,
    0x50007ffa,0x540005ff,0xffb80fff,0xebceffff,0xffff303f,0x04fffd81,
    0x0005ff50,0x9807ffd4,0x000bfffd,0xffffffa8,0xf980dfff,0x880fffff,
    0x7ffec6fd,0xfeb9bfff,0xffffb803,0xfff8efef,0x3004ffff,0xf50003ff,
    0xffffffff,0x3f66001b,0x9510aeff,0x0019ffff,0x0fffff98,0x3fffee00,
    0xfff9cfff,0x3ffa0dff,0x6440bfff,0xd3000dff,0x53357dff,0x009fff95,
    0x50cfff98,0x3fa07fff,0xffa83fff,0xdfffffff,0xfffffa80,0xffffb0df,
    0xffffa89f,0xfffb0dff,0x3fee09ff,0xf9cfffff,0x500dffff,0xffffffff,
    0x7c4001bf,0x04ff803f,0x005ff880,0x807ffd40,0xfffffffb,0x7fcc03ff,
    0x7fff50cf,0x017fe200,0x41fff500,0x02dffeb8,0xfffe9800,0x3fa03dff,
    0xaa9cffff,0x445fffeb,0xfffffffd,0x3ee000df,0xff0effff,0x001379df,
    0x98001fee,0x3dfffffe,0xfffb5000,0x9fffffff,0x7fec0003,0xffc8004f,
    0xfff33fff,0x37a3ffff,0xefffdb88,0x0002effe,0xffffffb3,0x00017dff,
    0x3fffff62,0x3fea02ef,0xffd300ef,0xb807bfff,0x6cc2dffe,0xfd704eff,
    0xffd985bf,0x7ffe404e,0xffff33ff,0x3a603fff,0x03dfffff,0x9001fb00,
    0xffb0003f,0xffa80001,0x3ffaa00f,0x1002dfff,0xdffffffb,0x07fec005,
    0x3ffea000,0x00026aa0,0x015cc400,0x7fffffdc,0xffffffff,0x7955104f,
    0xb9800013,0x0000dc0a,0x20000b2e,0x00002b98,0x55e65d4c,0x2e200001,
    0x0dd40000,0xa880b800,0x0001abcb,0x55975310,0xa9800003,0x06a0009b,
    0x0015cc40,0x80044004,0x40008800,0x400001ba,0x80002b98,0x00930039,
    0x00002660,0x0dd44000,0x26ea6000,0x00998000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00c40000,
    0x401d4011,0x100000c8,0x40135575,0x4401d403,0x2a62000c,0x40140009,
    0x002cb808,0x00aaaa60,0x014c4000,0x00260035,0xa8800000,0xed80001a,
    0x76404eee,0x00005eee,0x13573100,0x00000000,0x00000000,0x88062000,
    0x3bb60000,0x6c0004ee,0xa804eeee,0x001eeeee,0x26aea200,0x00000001,
    0x032200ae,0x3bffa600,0xf701f40b,0x000fd807,0xffffd950,0x417dffff,
    0x017dc079,0x3f2201fa,0x0cffffff,0xf703fd80,0x000df907,0x01fffff4,
    0x7ff64400,0x00fee01c,0xdf9005f9,0x00dfe987,0xfffffe98,0xfff30002,
    0xffd100df,0xfd1003ff,0xffffffff,0x7fffe441,0xcca803ff,0x3264cccc,
    0x4400befe,0x7fdc1dfd,0x3bfb3003,0x3003efc8,0xe817dffd,0xfff10003,
    0x4c0001df,0x000effff,0x007ffff9,0xefffd980,0x1002efff,0x57bdffd9,
    0x90355555,0x03f4405f,0x7ffffcc0,0x02fdbdff,0x4c2b3fe6,0x88006fdb,
    0x1acffffd,0x9dfff953,0xcff980ff,0x6fdb988a,0x8efffdc0,0x802fffea,
    0x7fd52efc,0x0003fea0,0x1fffffee,0xeffda800,0x09ff1002,0xf500dfd1,
    0x7ff41fff,0x6ffdc04f,0x005ffb88,0x00efffc8,0x09fffd10,0xfffff980,
    0x79fd10ff,0x01dfffb7,0x7ffffe44,0xffffff57,0x7ffe401d,0x07fffe65,
    0xa97fff60,0x4c00ffff,0xdfffffff,0x70002fdb,0x0001dfff,0x00efffc8,
    0x037ffe40,0x49fff500,0x405ffff9,0xfbaefffb,0x3fffffff,0x88abffa8,
    0x8005feb9,0xfffffffd,0x6c00ffff,0xffffffff,0x7fd4003f,0x64400dff,
    0xe807ffff,0xffffffff,0x3ffee02f,0x1ffff886,0xcfeffb80,0x001ffc00,
    0x3fffffe2,0x7f44003f,0xfb8002ff,0x07ffa65f,0x4fffff20,0x206ffff9,
    0x7f41fffb,0x7ffc005f,0x7f44000e,0xffb8007f,0xee88ffff,0x0efffa81,
    0x7ffffec0,0xffffdefc,0x3fffe05f,0x7ffff70f,0x4fffff00,0x403ffffc,
    0xfffffffd,0x0000ffff,0x0001fffd,0x001dffd0,0x007fff60,0x21bfff20,
    0xb03ffffa,0xff98dfff,0xd02eeeff,0xffffffff,0x9df0003f,0xfffffffb,
    0xffff1009,0x400bffff,0x06ffffd8,0x03fffcc0,0x7fffffcc,0x3fe605ff,
    0xfff903ff,0xdffd100d,0x00bfb001,0xfdbfffc8,0xff3000ff,0x740003ff,
    0x5fffbeff,0x1ffff300,0x981ffff4,0xffc86fff,0xdff3003f,0x3fa20001,
    0x7fd4001f,0x0ed8ffff,0x01bfff20,0x5ffffff9,0x07ffffdc,0x265fffc8,
    0xd801ffff,0x3fe65fff,0x677c00ff,0xfffffffd,0xfff10004,0xff300003,
    0xfd80001d,0x7fc4003f,0xfff985ff,0xffffb87f,0x03fffe83,0xffffff98,
    0xf88004ff,0x3fffae20,0x3ffa6003,0x2000dfff,0x00effffc,0x007ffa80,
    0x9fffffd3,0x1ffffc80,0x01ffff50,0x3ff3bf22,0x07fd400e,0x21fff980,
    0xfb803ffc,0x40002fff,0xfffffffa,0x0bbee000,0x32019fb3,0xffb85fff,
    0xefc800ff,0x7f440000,0x7ffd4004,0x401fcfff,0x204ffffa,0x43fffffb,
    0x02fffff8,0xeb83bfb1,0xbfb1003e,0x402efb81,0x3fae21f8,0x2e0004ff,
    0x900001ff,0x200001ff,0x7e4006fd,0xff884fff,0x7ffc1fff,0xfffc81ff,
    0xfffa801f,0x20004fff,0x00026201,0x0016765c,0x0fffffea,0x007fb800,
    0x007376e2,0x413ffffa,0xb82ffff9,0x3fffa2ef,0x00bfe201,0x7dc077ec,
    0x3ffea00f,0xfd00002f,0x0007ffff,0xfff88000,0xffffa84f,0x000ff803,
    0x800ff100,0xfffffffa,0xfffff003,0x3fffee01,0xfffff887,0x00000002,
    0x88060000,0x7f400009,0x3fa00001,0x7f400001,0x3fff6001,0xffff884f,
    0x3fffe62f,0xffffc81f,0x9bb71003,0x00000003,0x22000000,0x00ffffff,
    0x0003f400,0x7ffffc00,0x3ffff307,0xff983e88,0x17f600ff,0xf5017ea0,
    0x3fffe209,0x3ea00004,0x00007fff,0xffffb800,0x5ffffa84,0x00000000,
    0x3fffea00,0x3fa006ff,0xff705fff,0x3ffe0fff,0x000003ff,0x00000000,
    0x00000000,0x00000000,0x7fffec00,0xfffff884,0x3ffffea1,0x5ffffb80,
    0x00000000,0x00000000,0x4fffffd8,0x007a8000,0xfffe8000,0xfffa83ff,
    0xfffd8006,0x201fee05,0x20310018,0x001ffffe,0x04cccc00,0x6c000000,
    0xf984ffff,0x00007fff,0x2a000000,0x02ffffff,0x3fffffa0,0x7ffffb80,
    0x07fffff0,0x00000000,0x00000000,0x00000000,0xe8000000,0xf884ffff,
    0x3e20ffff,0xfb80ffff,0x00004fff,0xfdc98000,0x54000bdf,0x0ceffedc,
    0x7ffffcc0,0x0d00003f,0x6ffee4c0,0x7fffe403,0x7ffe42ff,0xa8aa8804,
    0xf103ffff,0x0000005f,0x00dffff7,0x80000000,0x03dffdc9,0x41fffffc,
    0x01fffff9,0x0f7ff726,0xbffb9300,0x7ffd4007,0x36000fff,0xb82fffff,
    0xff07ffff,0x332e7fff,0x3223cccc,0x00cccccc,0xeffedca8,0x6e54000c,
    0x200ceffe,0x3ccccccb,0x33333322,0xedca800c,0x4000ceff,0xceffedca,
    0xffffe800,0x2ffff984,0x81ffffe8,0x801ffffc,0x0bdffdc9,0x7ffdc000,
    0x00effdbc,0x75df7ec4,0x2e01ffff,0x02ffffff,0x7d400000,0x0dffbaef,
    0xffffff50,0x37ffe29f,0x3fffae00,0x0fffffff,0x91009fd0,0x05999999,
    0x03ffffe8,0xccccca80,0x37fb264c,0xdff5000b,0x101bff75,0x307fffff,
    0x207fffff,0xffbaeffa,0xeffa800d,0x800dffba,0x0ffffffa,0x3ffff200,
    0xffffb85f,0x7fffff07,0x3fffff66,0x7ffffdc6,0x3bf6201f,0x1ffffebb,
    0xbbefd880,0x301ffffe,0x8dfffffb,0x1ffffffb,0x2efbf620,0x801ffffe,
    0xfebbefd8,0x7f401fff,0x7f4c4fff,0xfff702ff,0xffffb03f,0x79fff700,
    0x0001dffb,0x7c43fffb,0xff701fff,0x1ffffd09,0x3fffff60,0x0000001f,
    0xff91bff2,0x3fffa01d,0xffceffff,0x67ffe403,0x7fffff50,0x5401fee0,
    0x04fffffe,0x2bffffe6,0x00cefffd,0xffffff93,0x3fffffea,0x46ffc806,
    0x7cc0effc,0xf983ffff,0xfc84ffff,0x077fe46f,0xfc8dff90,0x7fd400ef,
    0x2000ffff,0x86fffffc,0xf07ffffb,0xff87ffff,0xffb86fff,0xff701fff,
    0x1ffffd09,0x7427fdc0,0x3e00ffff,0xfb86ffff,0xf701ffff,0xffffd09f,
    0x427fdc01,0x200ffffe,0x324ffffe,0x74403fff,0xfff84fff,0x7ffec02f,
    0x07fffe21,0x86fffc80,0x440ffffa,0xffb86fff,0xfffd06ff,0x00001fff,
    0x0bffea00,0x2209fff1,0xfffffffe,0x7fe401ff,0x7ffec0ff,0x03ff306f,
    0x3ffffe20,0x3ffff604,0xffffffff,0x3fffa01f,0xffdefcff,0x3ea03fff,
    0x7ffc42ff,0x7ffffd44,0xfffff983,0x217ffd44,0xf504fff8,0xfff885ff,
    0x7fffd404,0x3f2000ff,0xfb87ffff,0xfff07fff,0xfffe87ff,0xffffa86f,
    0x6fff881f,0x06ffffb8,0xf70dfff1,0x7f40dfff,0xffa86fff,0xff881fff,
    0xffffb86f,0x0dfff106,0x40dffff7,0x264ffffe,0x203effeb,0xb13fffe8,
    0xfc803dff,0xfffa86ff,0xfff8800f,0xffff984f,0x0ffffdc4,0x21ffffea,
    0x7ffffff8,0xf1000000,0xfff01fff,0x3ffa201f,0x04ffffff,0x213fffe6,
    0x01fffffa,0x7fc009fd,0x3fe04fff,0xd88aefff,0x901fffff,0x43ffffff,
    0x80fffffb,0xf80ffff8,0x3fea0fff,0xff983fff,0x3fe25fff,0xffff80ff,
    0x07fffc40,0x5007fffc,0x01ffffff,0x7ffffe40,0x7fffdc0f,0x7fffff07,
    0x86ffffd8,0x81fffff9,0x541ffffb,0xf707ffff,0xffa83fff,0x3ff607ff,
    0xfff986ff,0xfffb81ff,0x7fffd41f,0x3ffff707,0x07ffffa8,0x213ffffa,
    0x403fffe8,0xeffeffe9,0x7ffc400c,0xffff984f,0xffffc804,0x8fffff03,
    0x544ffffc,0x4c0fffff,0x06ffffff,0xff900000,0x3fffa0ff,0x7fffec03,
    0xc80dffff,0xf982ffff,0xf903ffff,0x7fffc00d,0xffff104f,0xffffd09f,
    0x3ffff20d,0x7fffcc2f,0x7fffc81f,0x5c7fffd0,0x983fffff,0x326fffff,
    0xffd07fff,0x7fffc87f,0x407fffd0,0x0ffffffa,0x3ffff200,0x7ffdc1ff,
    0xfffff07f,0x6ffffd87,0x1fffff98,0x44ffffc8,0x80fffffa,0x544ffffc,
    0xb00fffff,0xf30dffff,0xf903ffff,0xffa89fff,0xffc80fff,0x7ffd44ff,
    0xfffd00ff,0x3ffee09f,0x2afae00f,0x3f2000aa,0xfff03fff,0xffff00ff,
    0x3fffe05f,0x3fffe60f,0x7ffffd41,0x7ffffcc0,0x0000006f,0x3a0dfffd,
    0x36604fff,0xffffffff,0x7fffc45f,0xffff882f,0x03ff304f,0x13ffffe0,
    0x27ffffcc,0x17ffffe4,0x43ffffe4,0x82fffff8,0xfd06fffe,0x7ffdc9ff,
    0xfff983ff,0x3fffa5ff,0x89fffd06,0xfd06fffe,0x7fd409ff,0x2000ffff,
    0x0ffffffc,0x83ffffdc,0x6c3fffff,0xf986ffff,0xf981ffff,0x7fd41fff,
    0xff980fff,0x7ffd41ff,0xfffb00ff,0xffff30df,0xffff303f,0xfffffa83,
    0x1ffff980,0x07ffffd4,0x04ffffe8,0x10bffff5,0xf80003fb,0xff02ffff,
    0x7c401fff,0xff02ffff,0xdc985fff,0x7fffec42,0x7fffc40f,0x331007ff,
    0x33333333,0xeffff833,0xffe99999,0x3dff906f,0xfffffffd,0x7ffffcc9,
    0xfffff882,0x400ffe05,0x504fffff,0x307fffff,0x909fffff,0xf10fffff,
    0xff05ffff,0x33333dff,0x7d4dfffd,0xf983ffff,0x3fe3ffff,0x99999eff,
    0x7fc6fffe,0x99999eff,0x2a06fffe,0x00ffffff,0x3fffff20,0xfffffb87,
    0x3fffff80,0x437fffec,0x01fffff9,0xfd885b93,0x9300ffff,0xfffd885b,
    0xfffb00ff,0xffff30df,0x0b72603f,0x1fffffb1,0xb10b7260,0x201fffff,
    0x304ffffe,0xfd0fffff,0xff88000f,0xfff02fff,0x7fd405ff,0xfff02fff,
    0xf91009ff,0x81fffffd,0xfffffff8,0xffeca800,0xceffffff,0xffffff10,
    0xffffffff,0x25fffb0f,0xffffffe8,0x3ffffea7,0xdfffff01,0xf8037e40,
    0xf704ffff,0x3e07ffff,0xfc85ffff,0xff887fff,0x7fc42fff,0xffffffff,
    0x3e27ffff,0xf983ffff,0xff12ffff,0xffffffff,0x7c4fffff,0xffffffff,
    0x207fffff,0x0ffffffa,0x3ffff200,0xffffc86f,0xfffff80f,0x37fffec3,
    0x0fffffcc,0xffdf9100,0x44001fff,0xfffffefc,0xdffffb00,0x3fffff30,
    0x7f7e4400,0x2000ffff,0xffffefc8,0xffffd00f,0x3fffe609,0x33ffea1f,
    0x2a003311,0xf02fffff,0x5c09ffff,0xf01fffff,0x440dffff,0xfffabffc,
    0xfffe80ff,0x74001fff,0x83ffffff,0x007ffffa,0x88ffff70,0x1ffffffe,
    0x03fffff7,0x817ffffe,0xff800ffa,0xff304fff,0x3fa09fff,0xffc87fff,
    0xfff887ff,0x7ffd42ff,0xfff0007f,0xfff307ff,0x3ffea3ff,0xffa8007f,
    0xa80007ff,0x00ffffff,0x3fffff20,0x7ffff445,0xfffff83f,0x37fffec3,
    0x0fffffcc,0x55ffe440,0x800fffff,0xffabffc8,0xffb00fff,0xfff30dff,
    0xf91003ff,0xfffff57f,0x7ff91001,0x01fffff5,0x413ffffa,0x22fffff9,
    0xfffffffd,0x0bdfffff,0x0fffffdc,0x06fffff8,0x07ffffea,0x82fffffc,
    0xff52fffb,0xff701fff,0x8007ffff,0x0ffffffb,0x0fffffa8,0x5fffe800,
    0x7fffffd0,0x0bffffea,0x01fffffc,0x3fe00ffe,0xff104fff,0x3fa0bfff,
    0xffc87fff,0xfff887ff,0x7ffd42ff,0xfe8000ff,0xff983fff,0xfff50fff,
    0xfa8001ff,0x0000ffff,0x7fffffd4,0x3fff2000,0x3ffee4ff,0x7c6fffff,
    0x7ec3ffff,0xff986fff,0x7dc01fff,0xffff52ff,0xfffb801f,0x1fffff52,
    0x1bffff60,0x07ffffe6,0x2a5fff70,0x400fffff,0xff52fffb,0x3fa01fff,
    0xff304fff,0x7fe47fff,0xffffffff,0x2a0effff,0xf01fffff,0x4c0bffff,
    0xf01fffff,0xd889ffff,0x3fea1fff,0xff880fff,0x4004ffff,0x07fffffb,
    0x05fffff3,0x4ffff880,0xbfffff50,0x0bffffe2,0x0bffffe2,0xff00bfb0,
    0x7f409fff,0xffb05fff,0xfff90bff,0xffff10ff,0xffff985f,0xffd8002f,
    0xfff983ff,0x3fffe67f,0x7fcc002f,0x40002fff,0x0ffffffa,0x3ffff200,
    0x7fc0002f,0x7fec3fff,0xfff986ff,0xffb101ff,0x7fffd43f,0xfffb100f,
    0x7ffffd43,0xdffffb00,0x3fffff30,0x87fff620,0x00fffffa,0x543fffb1,
    0xd00fffff,0x2609ffff,0x262fffff,0xffffffff,0x7fffffff,0x07ffffe6,
    0x027ffffc,0x05fffff1,0xd0fffffe,0xffa8bfff,0xff900fff,0xa800bfff,
    0x107fffff,0x009fffff,0x03ffffb8,0x4bfffff1,0x882fffff,0x400fffff,
    0x7fc00ffa,0x3f204fff,0xff906fff,0xfff907ff,0xffff10ff,0xffff885f,
    0xffb8004f,0xfffa84ff,0x3fffe26f,0x7fc4004f,0x40004fff,0x0ffffffa,
    0x3ffff200,0xfff80006,0x7ffec2ff,0xffff986f,0xbfffd01f,0x0fffffa8,
    0xa8bfffd0,0xb00fffff,0xf30dffff,0x3a03ffff,0x7fd45fff,0xffd00fff,
    0xffffa8bf,0xffffd00f,0x3fffe209,0x7fffcc1f,0xffffffff,0xfff11fff,
    0x3ffe05ff,0x7ff403ff,0xfff882ff,0x3fff21ff,0x7fffd42f,0x3fff600f,
    0x3ea001ff,0x3e07ffff,0x400fffff,0x13fffea1,0x23ffffd8,0x882ffffd,
    0x8807ffff,0x7ffc02ff,0x3fee04ff,0xfff907ff,0xffff903f,0xfffff10f,
    0xffffff05,0x7fc41801,0xfffa84ff,0x7ffffc3f,0x3fe0c00f,0x0c00ffff,
    0xffffff50,0x6419f701,0x0002ffff,0x41fffff8,0x986ffffd,0xc81fffff,
    0x7d42ffff,0xfc80ffff,0x7fd42fff,0xffb00fff,0xfff30dff,0xfff903ff,
    0xffffa85f,0xffffc80f,0x7ffffd42,0x9ffffd00,0x43ffff40,0xeeeeffd8,
    0xfffffeee,0x0bffffa3,0x07ffffe2,0x07ffff50,0xf8bffff3,0x7dc3ffff,
    0x2200ffff,0x004fffff,0x1fffffea,0x4fffffc8,0xfff996e0,0x3ffee05f,
    0x3fffee2f,0x5ffff983,0xf80bfb00,0x2204ffff,0xd81fffff,0xff907fff,
    0xfff10fff,0xfff905ff,0x42dc09ff,0xfa85fffc,0xfffc86ff,0x916e04ff,
    0x409fffff,0x3ffea05b,0x7fdc0fff,0x1bfff25f,0xff832e00,0x7fe41fff,
    0xfffa86ff,0xffff81ff,0x7fffdc3f,0xfffff80f,0x7ffffdc3,0xdffff900,
    0x3fffff50,0x87fffff0,0x80fffffb,0x5c3fffff,0xd00fffff,0x3229ffff,
    0x8dfff91d,0xf7005ffc,0x7ffd45ff,0xffff983f,0x9fffd005,0x43ffff50,
    0xaffffff8,0xffffffc9,0x7fffcc01,0xfff5002f,0x7fc40fff,0xfa84ffff,
    0x037fff40,0xfd0bfffd,0xfff509ff,0x1fee003f,0x09fffff0,0x83ffffb8,
    0xf902fffe,0xff10ffff,0xff105fff,0xf509ffff,0x0dfff301,0xf107fff9,
    0x509fffff,0xffff881f,0x00fa84ff,0x3fffffea,0xb3fffec1,0xb8005fff,
    0x3fffe4ff,0x7fffdc0f,0x7ffffcc7,0x7fffc42f,0xfffc9aff,0x7fc41fff,
    0xfc9affff,0x701fffff,0xf98fffff,0x442fffff,0x9affffff,0x1ffffffc,
    0x7fffffc4,0xfffffc9a,0xffffd01f,0x7cdfff29,0x3ffe63ff,0x21ff6000,
    0xfa84fffe,0xf3001fff,0xffd81fff,0xffffe84f,0xfffbffff,0x2202ccff,
    0x803ffffd,0x07fffffa,0x7fffffdc,0x983febce,0xf882ffff,0xfe880fff,
    0x4fffd87f,0x80bfe200,0x804fffff,0x7c46fffe,0x3ff203ff,0xfff887ff,
    0xfff703ff,0xfd79dfff,0x0fffd407,0xfb81bffa,0xbcefffff,0xfff703fe,
    0xfd79dfff,0xffffb807,0x7ffdc1ff,0x007ffb0f,0x3e2bffb0,0xff984fff,
    0xefb9cfff,0xe82fffff,0xffffffff,0xccfffffb,0x3fffffa2,0xffffbfff,
    0x7fcc2ccf,0xefb9cfff,0xe82fffff,0xffffffff,0xccfffffb,0x3fffffa2,
    0xffffbfff,0x7ffc2ccf,0x2fff94ff,0x7fcc5ff8,0x13fe002f,0xb03fffe6,
    0x98009fff,0xff50cfff,0x3ffea07f,0xffb0dfff,0x2a009fff,0x40aeffff,
    0xeffffda8,0xffffb803,0x203fffff,0x2a1ffffa,0x2201effe,0xff50cfff,
    0x9fd0009f,0x2fffffc0,0x14fffd80,0xfd809ffb,0xff987fff,0x3ee03fff,
    0xffffffff,0x8dffa803,0xb805ffb8,0xffffffff,0x7ffdc03f,0x03ffffff,
    0x7fffffc4,0x7fffc0ef,0x0003ff9a,0x3fe2dff3,0x3ffee06f,0xff9cffff,
    0x7d40dfff,0xb0dfffff,0xa89fffff,0x0dffffff,0x09fffffb,0x3fffffee,
    0xfffff9cf,0x7fffd40d,0xfffb0dff,0xfffa89ff,0xffb0dfff,0xffb89fff,
    0xfff14fff,0xfb01df93,0x74c403df,0x3ffe603f,0x07fff50c,0x3fff6200,
    0x5c02efff,0x6cc2dffe,0x44004eff,0xefffffec,0x0bdfffff,0x7fff5400,
    0xc8802dff,0xfffeefff,0xffd71003,0x00059dff,0x7fdc1fee,0x7000ffff,
    0x7bfffffd,0xfffff980,0x7fffec3f,0x3faa00df,0x002dffff,0x3fffffaa,
    0x3ffaa004,0x5002dfff,0x5bfffffd,0x3fffba20,0xefffffff,0xdfffff55,
    0xffd80005,0x400effec,0x33fffffc,0x3fffffff,0x42dffeb8,0x704effd9,
    0xd985bffd,0x7e404eff,0xff33ffff,0xb83fffff,0x6cc2dffe,0xfd704eff,
    0xffd985bf,0x7fffec4e,0x3ff6a4ff,0x3fae00bd,0xffecceef,0xfd8801ef,
    0x02efffff,0x13753000,0x08800800,0xcaa88000,0x0019abcc,0x00375100,
    0x26eea620,0x2ea20000,0xcc880000,0x3ffffe20,0x2005ffff,0xf7001ba9,
    0xbfffffff,0x3ffffffa,0x5d4402ff,0x5d440001,0x2ea20001,0x2ea20001,
    0x10000001,0x00001595,0x00566e54,0x00006ea0,0x80044004,0x40008800,
    0x100001ba,0x02001100,0x80000220,0x65d54000,0x0001abdd,0x00026ea6,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0x3cccccca,0x33333322,
    0xddd1001c,0x006f76c9,0x00133300,0x00350000,0xee880022,0x03bbb25e,
    0x6f7775c0,0xa9805100,0x0000009b,0x75400000,0x0001eeee,0x13bbbb60,
    0x32200ea0,0x00000000,0x5440aa60,0x5100000a,0x26200005,0x000009ab,
    0x277776c0,0x01100c00,0x1ddddd50,0x26600000,0x05c009ba,0x55d4cc00,
    0x10000009,0x00015775,0x36600044,0x5c6fffff,0x02ffffff,0x221fff70,
    0x26002fff,0xfffffeca,0xffffffff,0xffffffff,0x07f705ff,0x2a003fc8,
    0xfff11fff,0x7fff4007,0x447e201f,0xfffffeda,0x40003def,0x0001dfd9,
    0x3ffffd80,0x3fe60000,0xfb800eff,0x8807f403,0x2ccccccc,0x017dfb71,
    0x2a0dfb00,0xc80001ff,0x0000efff,0xffffffd3,0x26000007,0x000effff,
    0x817fffb1,0xfff9005c,0x4c00007f,0xfffffffc,0x03e21bce,0x7fffe440,
    0x002dffff,0x3fbff600,0x6c4003ff,0x74000cff,0xfa86ffff,0xd002ffff,
    0x2ffdc5ff,0xdffffb00,0xfffffb79,0xdddddfff,0x0bffffff,0x7ec427f4,
    0x1ffec006,0x4c00dff5,0x4402ffff,0xabdffeff,0xffffeca9,0xfff0000e,
    0x880000bf,0x0003ffff,0x077ffdc0,0x0acff980,0xb80dfb73,0x8cfffffe,
    0x4fffffff,0xb827fc00,0x206000ff,0x06fffff9,0xc9dffc80,0x0005ffff,
    0x0efffc80,0x3ffffa00,0x04fbbdff,0x01bfff20,0x3fffa600,0xdcaaacff,
    0x00ffceff,0x5e77fec4,0xfffdca9a,0x3fa20003,0x013fff66,0x03ffffd8,
    0x37fffec0,0x17ffffcc,0x3a2ffc40,0xfe8800ff,0xfe881fff,0x303fffff,
    0x540bfff9,0xffd30dff,0x37fc4003,0xc8003ff6,0xf8802fff,0x7d402eff,
    0x4002ffff,0x00fffffa,0x3ffea000,0xfe800003,0x7ec000ef,0xffffffff,
    0xffff9803,0xffdbeedf,0xf1002fff,0x01bf607f,0xfffd85b8,0x2e002fff,
    0x7ffd46ff,0x7400003f,0x2e000eff,0xffffffff,0x6c002fff,0x20000fff,
    0x0bfffffb,0x3ffffa60,0x0b7fea00,0x037fee20,0x49ffd100,0x802ffffa,
    0x06fffff8,0x37fffec0,0x17ffffcc,0xf107fdc0,0xfff3005f,0x7fd403ff,
    0x5c03ffff,0x7ff405ff,0x005fffae,0x3fe07fd4,0x17ff4003,0x00eff880,
    0xbfffff50,0x7fffcc00,0x7ec00007,0x9800004f,0x88000fff,0xffffffff,
    0x3fffe005,0x7ffcc5ff,0xffa800ff,0x2009fd01,0xfffc85f9,0xf3003fff,
    0xffff07ff,0x7cc0000b,0x7f4000ef,0xffffffdc,0xffb0006f,0x3ff60007,
    0x32001fff,0xff900fff,0xdfb10005,0x7ffdc001,0x13fffea3,0x3ffffe20,
    0x7ffe4006,0xffff886f,0x41fe802f,0xffa804fb,0xff804fff,0xa803ffff,
    0x7ffd405f,0x4000ffff,0x02fd42fd,0x800ffe60,0x5c001ff8,0x002fffff,
    0x0013fff6,0x004ff880,0x03ff7000,0x7fff4c00,0x3e000dff,0xd80fffff,
    0xc805ffff,0x07ff107f,0x3e217fa0,0x004fffff,0xfb07fff9,0x40000dff,
    0xf8000ffc,0x3fff6e23,0x3f60000d,0xfffc8006,0xfd8001ff,0x00efa80f,
    0x8037dc00,0x264ffff8,0x9005ffff,0x8005ffff,0x886ffffc,0x402fffff,
    0x006e84f8,0x01ffffff,0x7ffffff0,0x3a017e00,0x004fffff,0x07ec2fc4,
    0x000ff200,0x3e0007f1,0x000fffff,0x0000072a,0x000009f5,0x80000ff4,
    0x8001cecb,0x704fffff,0x801fffff,0x3ff306fd,0x20bff900,0x03febdc8,
    0x509fffd0,0x00009fff,0xa8000ff4,0x00015100,0x4001fd10,0x04fffffa,
    0x981ff100,0xecb880ff,0x2688abdf,0xffa804fb,0x7fffc5ff,0x7df71002,
    0xffff9000,0xfffff10d,0x70000005,0x00bfffff,0x0ffffffe,0x300b90a6,
    0x001fffff,0x00000000,0x80007c40,0x04fffffc,0x00000000,0x00000000,
    0x3e000000,0xf304ffff,0xf803ffff,0x01ff704f,0x005fffc8,0x3fe005fd,
    0xfffb86ff,0x00000001,0x00000000,0xffff3000,0x5c0001ff,0x540ff40f,
    0xeb88afff,0x017ec6ff,0x31bfffee,0x000007db,0x6ffffc80,0x2fffff88,
    0x7c400000,0x002fffff,0x07ffffff,0x30059857,0x00001333,0x80000000,
    0x3e600058,0x001fffff,0x00000000,0x31000000,0x7c000000,0xf104ffff,
    0x4407ffff,0x0dfb03ff,0x05ffffd8,0xf000ff98,0xfd83ffff,0x0000004f,
    0x00000000,0x3ff60000,0x40005fff,0x213ea0f8,0xf700effd,0x6c06f88d,
    0x0007ffff,0x3f200000,0xff886fff,0xc9802fff,0x400bdffd,0x0ffffffc,
    0xffffff00,0x00105b07,0x3332e000,0x33223ccc,0x200ccccc,0x99ceffda,
    0x0000200f,0x0bffffff,0x3dffdc98,0x7ff6cc00,0x7f64c2ce,0x5cc003df,
    0x223dfffd,0x9999975e,0x66664479,0x3fe00ccc,0xff104fff,0x3ba29fff,
    0xeeeffeee,0xeefffeee,0x3ffff622,0xb84cccef,0x3ffe003f,0x7ff915ff,
    0x6e4c0000,0x2e00bdff,0x23cccccc,0xccccccc8,0xffdc9800,0x7fc400bd,
    0x0002ffff,0x703f60c8,0x6e803fff,0x3f601fc8,0x0000ffff,0xff900000,
    0xfff10dff,0xffb805ff,0x0effdbcf,0xffffffd0,0x7ffffc00,0xa802f83f,
    0x44cccccc,0x3663efc9,0x5c6fffff,0x01ffffff,0xffb7dff9,0x000001ff,
    0x37fffff4,0xf75dff50,0xfe9801bf,0xdfffecce,0xfdacffa8,0xffa801ef,
    0xaeffeacf,0xfffb30ed,0xfffb8dff,0x3fe01fff,0x3fe04fff,0xfff35fff,
    0xffffffff,0x7fffffff,0x3fffffa2,0x20ffffff,0x7ec006f9,0xdffbffff,
    0x3ee00001,0xeffdbcff,0xffffd980,0x7fffdc6f,0x7fdc01ff,0x0effdbcf,
    0xffffff70,0xf8800001,0x02fffcc5,0x027cc34c,0x03fffff9,0x001dc000,
    0x86ffffc8,0x02fffff8,0xf887fff6,0xfff81fff,0x3e007fff,0x5c3fffff,
    0xffb8802f,0x3fea7fff,0x7ffc0fff,0xfffb86ff,0x7ffb81ff,0x000ffec4,
    0xffffb000,0x1bff20ff,0x2a01dff9,0xfffd84ff,0x7fe45fff,0x3fff200f,
    0x07fffe44,0x437ffffc,0x01fffffb,0x813ffffe,0xd15fffff,0xddfffddd,
    0xddffdddd,0x3faaa25d,0x2aaaefff,0x2e0017ea,0x1cffffff,0x7fec0000,
    0x3fffe21f,0xdfffff01,0x3fffff70,0x10fffec0,0xfd03ffff,0x000fffff,
    0xfd85f500,0x201003ff,0x3fff206e,0x200003ff,0xff90002d,0xfff10dff,
    0x3ff205ff,0xffffa86f,0x3ffffe60,0x3ffe006f,0x3fea3fff,0x3fff2002,
    0xfffff57f,0xffffe85f,0xfffffa86,0xd05fff81,0x4000003f,0x1ffffffc,
    0x2217ffd4,0xff984fff,0xffff884f,0x7ffc40ff,0x1ffff505,0x80ffff98,
    0xa86ffffe,0x201fffff,0x104fffff,0x407fffff,0x1ff704ff,0x5ffffe80,
    0x20007f90,0x1ffffff9,0x3fffff60,0xfffc81ff,0x0ffffa86,0x86ffffe8,
    0x01fffffa,0xf50dfff9,0xfff81fff,0x00006fff,0x7ffc1fb8,0x3ec0002f,
    0xfffd9991,0x09999dff,0x80017c00,0x886ffffc,0x882fffff,0xf984ffff,
    0x3fea4fff,0x2005ffff,0xbdffffff,0x2002fffd,0xf9fffffb,0x40ffffef,
    0x986ffffd,0x4c1fffff,0xf982ffff,0x33333261,0xcccccccc,0xfecccccc,
    0x222fffff,0xff80ffff,0x7ffdc0ff,0xfffff81f,0x03fffd06,0x3e0dfffd,
    0xffd85fff,0xfff986ff,0x3ffe01ff,0xfff104ff,0x3fe205ff,0xd00dfb03,
    0x510bffff,0x3fee2000,0x00efffff,0x40bfffe6,0x984ffff8,0xfd84ffff,
    0xff986fff,0xff881fff,0xfff984ff,0x3fffe24f,0x800006ff,0x3ffe20fd,
    0x7e40001f,0xffffff10,0xffffffff,0x003ea000,0x3ffffe40,0x17ffffd4,
    0x81ffffe4,0x3ee7ffff,0x005fffff,0x3ffffffe,0x002fffff,0x3bffffee,
    0x3613ff25,0xf986ffff,0x7d41ffff,0x2d83ffff,0x3fffffea,0xffffffff,
    0xffffffff,0x3f23ffff,0xfffd07ff,0x4ffffc87,0x05ffffe8,0xfa89fffb,
    0xff985fff,0x7fec1fff,0xfff986ff,0x3ffe01ff,0xfff304ff,0x3fea01ff,
    0xd009fd01,0x000bffff,0x7d6ffdc0,0x404fffff,0x3f202ffd,0xfff03fff,
    0xffffb0ff,0xfffff30d,0x7ffff903,0xa9ffffe0,0x05ffffff,0x4c7d8000,
    0x0000ffff,0xfff88fdc,0xffffffff,0xfb8007ff,0x3fea0005,0x3fe60fff,
    0xff82ffff,0xfff02fff,0x3ffea1ff,0x3e004fff,0xdacfffff,0x2e002fff,
    0x40ffffff,0xffffb008,0xfffff30d,0xffffff03,0xff30441b,0x000bffff,
    0x5ffffff7,0xe837fff4,0x7fcc4fff,0xfffe82ff,0xbfffb04f,0x44ffffe8,
    0x3ffffff8,0x437fffec,0x01fffff9,0x413ffffe,0x207ffffa,0x7ff107fc,
    0xbffffd00,0xffb10000,0x7ffffe45,0x017f602f,0x205fffff,0x6c0fffff,
    0xf986ffff,0xff81ffff,0xfff02fff,0x3ffea1ff,0x00007fff,0x7ffcc7d8,
    0x7e40001f,0xfd555511,0x5555dfff,0x02ffd800,0x3fffe200,0xffeeb9df,
    0x7fc43fff,0xfff02fff,0x3ffe65ff,0x3e005fff,0x263fffff,0x3ee002ff,
    0x4004ffff,0x986ffffd,0xc81fffff,0x1fffffff,0xffffff10,0xfff9000d,
    0x7ffc3fff,0xe99999ef,0xdd986fff,0xfffffa81,0xfd99999c,0x7fffc6ff,
    0x3fb7a24f,0x7fec5fff,0xfff986ff,0x3ffe01ff,0xffd80eff,0x1bf602ff,
    0x7400ffcc,0x0005ffff,0x2237ff44,0x0fffffff,0x2200ff88,0xf02fffff,
    0xfd85ffff,0xff986fff,0x7fc41fff,0xfff02fff,0x3ffe65ff,0x00007fff,
    0x7ffc0fc8,0x7ec0002f,0x3fffee00,0xffd30006,0xff70000d,0xf39fffff,
    0x541bffff,0xf02fffff,0x3e29ffff,0x006fffff,0x0ffffffe,0x7dc005f7,
    0x4003ffff,0x986ffffd,0x981fffff,0xffffffff,0xffffff03,0xfffb000d,
    0x3fe21fff,0xffffffff,0x2007ffff,0xffffffea,0xffffffff,0xfff10fff,
    0xfeb6c9ff,0x7fec6fff,0xfff986ff,0x3ffe01ff,0x3e60efff,0x55444fff,
    0xaaaaeffa,0xaaabffda,0x5ffffe81,0x7fff4000,0xfffffb83,0x017dc0ef,
    0x0bffffea,0x227ffffc,0x986ffffd,0x541fffff,0xf02fffff,0x3e29ffff,
    0x01ffffff,0x217dc000,0x0003fffe,0x3fe603f4,0xfa8006ff,0x00003fff,
    0x27fffff9,0xfffffff8,0x3fffff71,0x9bffffe0,0x06ffffff,0x3fffffe0,
    0x2e002f83,0x002fffff,0x437fffec,0x01fffff9,0xfffffff9,0xffffd09f,
    0xffb000df,0x7fd4dfff,0x200007ff,0xffe8dfea,0xf98003ff,0x1d94ffff,
    0xb1fffffa,0xf30dffff,0x7c03ffff,0xdfedffff,0x986ffffd,0xffffffff,
    0xffffffff,0xfffe83ff,0x3ee0005f,0xffd03fff,0x7c4bffff,0xffffb805,
    0xfffff01f,0x6ffffd8d,0x1fffff98,0x0fffffdc,0x26fffff8,0x2fffffff,
    0x27cc0000,0x001bffea,0xfe805f98,0x7cc004ff,0x00007fff,0x2fd81ba8,
    0x3ffffea0,0xbfffff01,0x3fffffe4,0xffffff00,0x0a205b07,0x03fffff7,
    0x6ffffd80,0x1fffff98,0x3fffff20,0x7fe42fff,0xe8006fff,0x2a5fffff,
    0x000fffff,0xb1fff4c0,0x000bffff,0x79fffff3,0x7fffec3f,0x37fffec5,
    0x0fffffcc,0x19fffff0,0x19dffffb,0xffffff30,0xffffffff,0xfd07ffff,
    0x4000bfff,0x305fffff,0x9fffffff,0x3ea003ba,0xff01ffff,0xffd8bfff,
    0xfff986ff,0x7ffd41ff,0xffff01ff,0x7fffe4bf,0x800003ff,0x7ffec0fe,
    0x7e40d402,0x3fffc801,0x7ffff400,0x10000004,0xff980bfd,0xfff01fff,
    0x7ffc49ff,0xff000fff,0x5707ffff,0xfff70ee0,0xfd8001ff,0xff986fff,
    0x7d401fff,0x45ffffff,0x07fffffa,0xffffff80,0x3ffffe62,0x3fee0002,
    0x7fffe42f,0xfff88007,0x7f42feff,0x7fec4fff,0xfff986ff,0x3ffe01ff,
    0x06ea24ff,0x27ff6660,0xcffa9999,0xfe809999,0x10005fff,0x40ffffff,
    0xfffffffa,0xff3001fe,0x3fe03fff,0x7fec4fff,0xfff986ff,0x7ffcc1ff,
    0xffff01ff,0x7fffc49f,0x800004ff,0x7ff443fa,0x881d702f,0xfff5006f,
    0x7ffc4003,0x3ed983ff,0x7ff90000,0xfffff880,0x7fffff02,0x3fffffd8,
    0xffffff00,0x0ba01107,0x00fffff7,0x0dffffb0,0x03fffff3,0xffffd881,
    0x7fff40ff,0x3ea001ff,0x7c45ffff,0x0004ffff,0xf90dfff9,0x0001ffff,
    0x07ffffff,0xd85ffffd,0xf986ffff,0x3e01ffff,0x0004ffff,0xff506fd8,
    0x3fffa003,0xff30005f,0x5c05ffff,0x6fffffff,0x3fffe200,0xfffff02f,
    0x6ffffd87,0x1fffff98,0x17ffffc4,0x43fffff8,0x07fffffd,0x03fd0000,
    0xb77bfff7,0x00ff607f,0x01fff331,0xffff52b8,0x5fffb05f,0x9ffd0000,
    0x5ffffd00,0x3fffff10,0x6fffff88,0xffffff00,0x20fcc007,0x007ffffb,
    0x86ffffd8,0x41fffff9,0xffff7068,0xffff983f,0x3ff2002f,0xfff80fff,
    0x20c00fff,0x983ffffa,0x804fffff,0x2ffffec1,0x40ffffe8,0x986ffffd,
    0x201fffff,0x004fffff,0xf904ff80,0x3ffa001f,0xf30005ff,0x01ffffff,
    0x7fffffe4,0xfe8300df,0xff882fff,0x7fec1fff,0xfff986ff,0xfffe81ff,
    0xffff882f,0x7fffc41f,0x220003ff,0x5106f983,0x20159bb9,0x3fae05fb,
    0x2207ffff,0xffff91fb,0xbffff05f,0xdfff0000,0x7ffff500,0x0bffff30,
    0x07ffffea,0xffffff10,0x03fe2007,0x00fffff7,0x0dffff90,0x03fffff5,
    0x3ffee03f,0xffffc80f,0x3fffe006,0xffff903f,0x3a2dc09f,0xff02ffff,
    0x5403ffff,0x2ffffcc6,0xc87ffff8,0xfa86ffff,0x3e01ffff,0x0004ffff,
    0xfd817fc4,0x3fffa006,0x3fe0005f,0x00efffff,0x3ffffff6,0x2a35c1ef,
    0xf983ffff,0xffc85fff,0xfffa86ff,0xfffa81ff,0xffff983f,0xfffff505,
    0x9d10001d,0x00037ee0,0x2e01df50,0xfffffeff,0xfffddeef,0xfffff70f,
    0x0bfffb07,0xbfffd000,0x09fffd00,0x403ffff5,0x405ffffc,0x3ffffff9,
    0xb87fe880,0x8007ffff,0x4c7ffffb,0x82ffffff,0xfff880ef,0xfffff106,
    0xffff9007,0x7fffc40b,0x20fa84ff,0x86fffff8,0xffffffea,0xfd81f981,
    0xfff886ff,0xffffb83f,0x7ffffcc7,0x3fffe02f,0x7d40004f,0x009ff01f,
    0x237fffec,0x3fff2004,0x881effff,0xfffffffd,0x81fdbdff,0xfa84fffe,
    0xffb81fff,0x7ffcc7ff,0xffd02fff,0xffff509f,0x7fffe403,0x774c006f,
    0x007bf601,0xf00ffe40,0x3fff621b,0xffffffff,0x3ffffe66,0x03fffa84,
    0xffffa800,0xfff300ae,0x4fffd81f,0xeffffa80,0xfffffb00,0x7fe440bf,
    0xffffb86f,0x7fcc000f,0xefb9cfff,0xf82fffff,0x3fff885f,0x3ffff620,
    0x3fffee00,0xffffb803,0x3febceff,0xfffffff8,0xffecfecc,0xecbdffff,
    0xffffb03f,0x06fffc83,0x39fffff3,0xfffffdf7,0x7ffffc05,0x3fe40004,
    0x2003ff88,0x9afffffa,0x3fa2002d,0xffffffff,0xfddffdbc,0xffffffff,
    0xffff304f,0x04fffd81,0x39fffff3,0xfffffdf7,0x3fffe605,0x027ffec0,
    0x77ffffd4,0x06fe4c01,0x00e7fdc0,0x200efea8,0x7fff42f8,0xffffffff,
    0x3ffffec2,0x0000eff8,0xffffff90,0x9fff301f,0x00fffea1,0xcffffe88,
    0xffffda9a,0xbacdffff,0x5fffffec,0x0fffffc8,0xffffb800,0xfff9cfff,
    0x7ffc0dff,0x4ffc88cf,0x9dfff700,0x3fff2a23,0x3fee001e,0x3fffffff,
    0xffffff70,0x3fa21bff,0xffffffff,0xffd5f903,0x37ffe63d,0x3fffee00,
    0xfff9cfff,0xff880dff,0x40005fff,0x3ff505fd,0xffffc800,0xe98004ff,
    0xffffffff,0x3ee1dfff,0x5fffffff,0x867ffcc0,0x5c03fffa,0xcfffffff,
    0x0dfffff9,0x219fff30,0x2003fffa,0xdfffffe8,0xfffdb9ab,0x7ff4c003,
    0xcaa99abe,0xdb004fff,0xff7ffb33,0x0bffffff,0x3bfffff1,0x0000ffcc,
    0x37fffa60,0x3fff6201,0x0002efff,0xffffff93,0xffffffff,0xffffffff,
    0xe887ffff,0x003fffff,0x7fffff90,0x3fffffe6,0x3fb3ba1f,0x4004ffff,
    0xfffffed8,0x0003dfff,0xbfffffd5,0x7ffec405,0xfc882eff,0x02efffff,
    0x7ffdc3f5,0x9003dfff,0x267fffff,0x1fffffff,0x3fffff6a,0xff0000af,
    0x003ff209,0x0f7ffae0,0xffff7000,0x203dffff,0x4ffffff9,0xffffb100,
    0x32005dff,0xf33fffff,0x03ffffff,0x3fffff62,0x930002ef,0xffffffff,
    0x400039df,0xffffffd9,0x2000beff,0x10ffffe9,0x07fffffb,0x7ffffe44,
    0x0000dfed,0x4c000400,0x000009ba,0x2666a662,0x54000009,0xffffffff,
    0x3750002e,0x2a214000,0x5300001b,0x00001579,0x4000dd44,0x2e2001ba,
    0x301801ab,0x54000375,0x9910001b,0x99999999,0x1cc88003,0x80007970,
    0x22000008,0x001abca9,0x800072a6,0x00009ba9,0x00000375,0x00013753,
    0x566554c0,0x98800001,0x001aacba,0xa980dcc0,0x951000ab,0x000359bb,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00802000,0x02201880,
    0x04eeeed8,0x777774c0,0xfffffd11,0xbfffffff,0xffffffd0,0x3dffffff,
    0xffffe800,0x06442fff,0x400815c0,0x22000001,0x0000001b,0xddddd100,
    0x00000007,0x005cc000,0x76400000,0x9900deee,0x99305999,0x40000999,
    0x000001b8,0x04dd4c00,0xeeee8800,0x0000002e,0x7fe40000,0xffffffff,
    0x3ff600ef,0x006fffff,0x00015510,0x3ff6e200,0x4c174c3d,0xe9804ffd,
    0x1f40beff,0x1ffffd10,0x7fffe400,0xfffff503,0xb1001dff,0x5fffffff,
    0xffd88000,0x2fc42fff,0xff70bee0,0x407a839f,0x2dfffdb9,0x037fff60,
    0x50000000,0x2a0bffff,0x44cccccc,0x3a63efc9,0xffffffff,0x260effff,
    0x2a03fffe,0xf99ceffd,0x7fffc000,0x3fffe00f,0xffffb83f,0xfffff107,
    0x7fec49ff,0xf91000df,0xf910007d,0x03dfffdf,0x4ffffb80,0x66666540,
    0x37fb264c,0x0ffee00b,0xe981bfb3,0x2fffffff,0x7fffd400,0xffd0000d,
    0x05bf9103,0x56fff4c0,0xffc8dfea,0x2ffffe82,0x3ffffe20,0x02fcbdff,
    0x01ffffc4,0x807ffff0,0x1ffffffb,0x3fffe200,0x300004ff,0xd05fffff,
    0x32a637bf,0x3fff21ff,0x6ebbefff,0x36bbfea0,0x7d40efff,0x0005ffff,
    0x7fec0000,0x3fee205f,0x3fea7fff,0xffa80fff,0x00dfffff,0x05fffffb,
    0xffb7dff9,0x7d4001ff,0x7fc01fff,0xffb83fff,0x3f2207ff,0x3ee4ffff,
    0x7005ffff,0x8003ffff,0xfff74ffe,0xfffe800d,0xfffc9805,0xffff57ff,
    0x3fe20dff,0x3fff61ff,0xfffff885,0xff70007f,0x7fe40005,0xffffe81f,
    0x5fffa802,0x7fffffc4,0x7ffffcc2,0x3ffff605,0x0fffffff,0x05fff980,
    0x009fff50,0x1ffffff7,0xfffff800,0x5554003f,0xffffbaaa,0x3fee1acf,
    0x5fffffff,0x3fffffe6,0x704fffff,0x7ffc4dff,0x7ffff45f,0x000001ff,
    0x0bfff100,0x5fffff20,0x2ffffffa,0xffffff90,0x3fffe201,0x3ffdc6ff,
    0x8007ff62,0xf801fffd,0xfb83ffff,0x7c407fff,0x3fa4ffff,0x801fffff,
    0x004ffffe,0x7d4bfff6,0xf1001fff,0xfe800bff,0xdefcffff,0xb83fffff,
    0xff14ffff,0x3ff20fff,0x8001ffff,0x2a0004fb,0x7cc1ffff,0x4c05ffff,
    0xfb82ffff,0x7cc2ffff,0x3e05ffff,0xfffffdce,0x3e6004ff,0xffc800ff,
    0xffff5004,0xff8001ff,0x4003ffff,0xfffffffd,0x44ffffff,0xfffffffd,
    0x3f37ee0f,0x0fffffff,0x6c3fffb8,0x3f61ffff,0x002fffff,0xff500000,
    0x7ffdc00d,0xffeff9ff,0xfff700ff,0xfff80fff,0x7ffc7fff,0x4003fd05,
    0xff001fff,0xff707fff,0xfff00fff,0x7ffec9ff,0xfd802fff,0xf9003fff,
    0x3fe25fff,0x3fee006f,0xfffc8005,0x3fee1fff,0x7fc40fff,0x3fff61ff,
    0xfffff105,0x1fb000bf,0x3ffe2000,0x7ffd41ff,0x7ff406ff,0xffff507f,
    0xffffd05f,0xb887e203,0x8004fffe,0xff803ff9,0x3ffea004,0xff8007ff,
    0x4003ffff,0xfa999998,0x409bffff,0xefffffd8,0x3f6a2e41,0xfff01eff,
    0xffffb81f,0x3ffffe63,0x0000003f,0x4001dfb0,0x5efffffb,0xfb813ff2,
    0x6407ffff,0x30ffffff,0xf305ffff,0x0bfea003,0x3fffff80,0x07ffffb8,
    0x24fffff8,0x3ffffffa,0x0ffffa80,0x5ffffb00,0xd00055cc,0x3f2000df,
    0x7cc2ffff,0xeb81ffff,0x06fec43e,0xffffff90,0x027c4001,0xfffffd00,
    0x7fffff03,0x2ffffd40,0x2fffff98,0x402efc88,0x00026201,0x7d405f98,
    0x7ffd4005,0xff8007ff,0x0003ffff,0x5fffff10,0x03cdc980,0x700cc013,
    0xff10ffff,0xbdc983ff,0x000002ff,0x000ef880,0x7fffffdc,0x3ee00440,
    0xa807ffff,0x3ea7fccd,0x2d83ffff,0x8005fb00,0xb83fffff,0xf807ffff,
    0x64c4ffff,0x1002ffbd,0xffe80057,0x440002ff,0xf90000ef,0xff10ffff,
    0x00005fff,0x7ffffcc0,0x03ee004f,0x7fffe400,0xfffb81ff,0x3ffee00d,
    0xffff304f,0x0000005f,0x00000000,0xfffff500,0xffff000f,0x200007ff,
    0x02fffff8,0xd0000000,0x3aa0ffff,0x01ff803e,0x00000000,0x7ffffdc0,
    0xfff70004,0xfa800fff,0x7fffffc6,0x0000220d,0x7fffff00,0x0fffff70,
    0x09fffff0,0x00007fc4,0x3ffffe00,0x00000002,0x87ffffc8,0x02fffff8,
    0x7fec0000,0x3e007fff,0xfbf50004,0x5403ffff,0xffffd800,0xfffff103,
    0x00000005,0x00000000,0xffffff50,0xfffff000,0x75cc007f,0xffff14ef,
    0x0000005f,0xfffff100,0x0df50000,0x00000000,0xfffff700,0x3fee0007,
    0x6c007fff,0x7fffe43f,0x00001fff,0x3ffffe00,0x7ffffb83,0x4fffff80,
    0x0001bea0,0xfffff100,0x00000005,0x0fffff90,0x05fffff1,0xffa80000,
    0xa802ffff,0xef88000f,0x01fffff9,0xfffff800,0xfffff103,0x99950005,
    0x764c9999,0x32200bdf,0x42cccccc,0xccccccc8,0xffffa802,0xfff8007f,
    0xfd003fff,0xf3dfffff,0x9105ffff,0x05999999,0x33333322,0xffff302c,
    0xfd80001f,0x333332e2,0x37ff6a2c,0x33332a02,0x77e4c4cc,0xfffffb83,
    0xfff70002,0xff800fff,0x7ffffcc0,0x99103fff,0x99999999,0xf8399999,
    0xfb83ffff,0xff807fff,0x3f604fff,0x66666441,0xcccccccc,0x7ffc41cc,
    0xcca802ff,0x3264cccc,0x6400bdfe,0xf887ffff,0xc882ffff,0x02cccccc,
    0x7fffff40,0x0005e806,0xffff31fb,0xf980003f,0xf102ffff,0x6c05ffff,
    0xffffc981,0xfffff57f,0xffea80df,0xfea84fff,0xa804ffff,0x007fffff,
    0x3ffffff8,0x0efffc80,0xffffffd3,0x3fffaa05,0x3faa04ff,0xf504ffff,
    0x0003ffff,0x3f6a2fcc,0xff94ffff,0x2209ffff,0x27fffffb,0x40fffffa,
    0x01fffffb,0xfffff700,0x817e400f,0xfffffffc,0xffff984f,0xfffdccce,
    0x7ffc0fff,0xfffb83ff,0xffff807f,0x30bf504f,0x999dffff,0x1ffffffb,
    0x2fffff88,0xffffc980,0xfffff57f,0xfffc80df,0xffff887f,0xfffd502f,
    0xfb8009ff,0x201fffff,0xfb8001f9,0x3fffff32,0xfffa8000,0xfff102ff,
    0x01f405ff,0xf9fffffd,0x7fffffbd,0xfffff880,0xfffff104,0xffff5009,
    0xfff000ff,0xfb807fff,0x7fc42fff,0x2202ffff,0x404fffff,0x04fffff8,
    0x07fffff5,0x4413ee00,0xfddfffff,0x1fffffed,0x5fffff20,0x2ffffffa,
    0x07ffffdc,0xffffb800,0x2fd8807f,0x7ffffe40,0x7fcc2fff,0xfffffd02,
    0x7fffff07,0x0fffff70,0x09fffff0,0x3fe609f9,0xfffffd02,0xfffff107,
    0x7fff4005,0xffdefcff,0x3f203fff,0xff887fff,0x3e202fff,0x4004ffff,
    0x5ffffff8,0x26001b60,0x3fffe64f,0x7d40001f,0xf103ffff,0x7c05ffff,
    0x3ffff204,0x3ffee1ff,0x7ffc00ff,0x3ffe04ff,0xffa804ff,0xf8007fff,
    0x203fffff,0x506ffff9,0x805fffff,0x804fffff,0x304fffff,0x009fffff,
    0x7c03ed88,0x20efffff,0x206ffffe,0xf9fffffb,0x40ffffef,0x007ffffb,
    0x3ffffee0,0x00efcc07,0xffffffa8,0xb817cc5f,0xf06fffff,0xf707ffff,
    0xff00ffff,0x76c49fff,0x5c0be602,0x106fffff,0x005fffff,0x7fffffe4,
    0x3ffffee1,0xfffff900,0x5fffff10,0x4fffff80,0xffffc800,0x02f980ff,
    0x3e637c40,0x0001ffff,0x1fffffcc,0x2fffff88,0x7e40bf10,0x7cc2ffff,
    0x7c01ffff,0x3e04ffff,0xa804ffff,0x007fffff,0x3ffffff8,0x13ffff20,
    0x17ffffc4,0x13ffffe0,0x13ffffe0,0x7fffffc4,0x400a2000,0x40fffffe,
    0x207ffffb,0x5efffffb,0x3ee13ff2,0x20007fff,0x07fffffb,0x220400d4,
    0x0ffffffd,0x7ffc41e6,0xfff01fff,0xfff707ff,0xfff808ff,0x200a64ff,
    0xffff1079,0x3fe203ff,0x32002fff,0x4c2fffff,0x901fffff,0xf10fffff,
    0xf805ffff,0x8004ffff,0x3ffffff9,0xfd8006c8,0x7ffffcc1,0x7fc40001,
    0xff104fff,0x3ea05fff,0x3ffff207,0xfffff887,0x7ffffc02,0x3ffffe04,
    0xffffa804,0xfff8007f,0x3f603fff,0xff103fff,0xff805fff,0xff804fff,
    0x3fa04fff,0x0005ffff,0x9ffffd00,0x1fffff70,0x3ffffee0,0xfb80440f,
    0x20007fff,0x07fffffb,0xf7068800,0x1c43ffff,0x4fffffd8,0x13ffffe0,
    0x43fffff2,0xfffff84a,0xb0388004,0x409fffff,0x02fffff8,0x1fffff20,
    0x0bffffe2,0x43ffffe4,0x02fffff8,0x027ffffc,0xfffffd80,0x2001fc47,
    0xfff983fb,0xefd981ff,0x7fffec02,0xfffff106,0x403fee05,0x887ffffc,
    0x402fffff,0x204fffff,0x804fffff,0x07fffffa,0xffffff80,0x3ffffe03,
    0xfffff103,0xfffff805,0xfffff804,0x3fffee04,0x009102ff,0x13ffffa0,
    0x03ffffea,0x27ffffdc,0x3fffee00,0x3fee0007,0x00007fff,0x3ffee03f,
    0xfff9800f,0x3fe00fff,0x7fd45fff,0x0591ffff,0x009fffff,0x7fffcc00,
    0x3fe200ff,0x32002fff,0xf887ffff,0xf902ffff,0xff10ffff,0xff805fff,
    0x50004fff,0x45ffffff,0x3e6000fb,0xfffff305,0xfffff983,0x3fffe603,
    0xffffb81f,0x05ffb02f,0x21fffff2,0x02fffff8,0x027ffffc,0x009fffff,
    0x0ffffff5,0xffffff00,0x3fffe207,0xffff102f,0xffff805f,0xffff804f,
    0x7fff404f,0x27441eff,0xffffe800,0xfffffa84,0xfffff700,0xfffb8007,
    0xf70000ff,0x000fffff,0x3e203be0,0xffd006ff,0xff807fff,0xfc9bffff,
    0xcefffffd,0xfffff80f,0x3fa00004,0x4403ffff,0x002fffff,0x21fffff2,
    0x02fffff8,0x10fffff9,0x807fffff,0x004fffff,0x3fffffa0,0xe88013e6,
    0xffff300e,0xffffd83f,0x3ff600ff,0x3ff21eff,0xff02ffff,0x3fff209f,
    0xffff887f,0x7fffc02f,0x3fffe04f,0xfffa804f,0xff8007ff,0xf503ffff,
    0x2205ffff,0x402fffff,0x804fffff,0x404fffff,0xfffffffa,0x0006fecf,
    0x213ffffa,0x00fffffa,0x05fffff7,0xfffffc80,0xfff70000,0x20000fff,
    0xfff885ff,0xffffb803,0x7ffc406f,0xb2ffffff,0x07ffffff,0x013ffffe,
    0x7fffdc00,0xfff8806f,0x3f2002ff,0xff887fff,0xffb02fff,0xfff30fff,
    0xfff807ff,0x2e0004ff,0xa9ffffff,0x2ff6000f,0xfa999999,0xd09affff,
    0x05ffffff,0xefffffd8,0xfffffbff,0x06fff982,0x10fffff9,0x805fffff,
    0x204fffff,0x804fffff,0x07fffffa,0x7ffffc01,0xffff503f,0x3ffe205f,
    0x7ffc02ff,0xfff804ff,0xffa804ff,0xdfffffff,0x3ffa0000,0xfffa84ff,
    0xfff700ff,0x744003ff,0x003fffff,0xffffff70,0xff862000,0xffc88cff,
    0xffff8804,0x7fc401ff,0x21effffe,0x03ffffe8,0x013ffffe,0x3fffe200,
    0xff8801ff,0x32002fff,0xf887ffff,0xf982ffff,0x6c3fffff,0x00dfffff,
    0x013ffffe,0xfffff880,0x7c005ecf,0xffffffff,0xffffffff,0xffffff74,
    0xffff9007,0xffff11df,0xffff705f,0xfffff901,0x5fffff10,0x4fffff80,
    0x13ffffe0,0x3ffffea0,0x4177ecc7,0x02ffffff,0x07fffff3,0x0bffffe2,
    0x09fffff0,0x09fffff0,0x3ffffa60,0xe80003df,0xfa84ffff,0xf700ffff,
    0x2001ffff,0xfffffffa,0x7dc002ef,0x0007ffff,0x7f677497,0xb004ffff,
    0x009fffff,0x02aeaff3,0x7c00ab98,0x0004ffff,0x4fffffd8,0xfffff100,
    0x7ffe4005,0xffff887f,0x7fffdc2f,0xffd5ffff,0x05ffffff,0x013ffffe,
    0xfffff900,0xff8003ff,0xffffffff,0x4fffffff,0x5ffdff91,0x1055cc00,
    0xb05fffff,0xf903ffff,0xff10ffff,0xff805fff,0x3fe04fff,0xfa804fff,
    0x7f47ffff,0xffff87ff,0xfff102ff,0x3fe209ff,0x7fc02fff,0xff804fff,
    0x44004fff,0x400003fa,0xa84ffffe,0x700fffff,0x000fffff,0xff700000,
    0x2000ffff,0x3bd10a3e,0x7fffcc00,0x7fb800ff,0x3fe00000,0x40004fff,
    0x0ffffff9,0xfffff100,0x7ffe4005,0xffff887f,0x0000002f,0x09fffff0,
    0xffff8800,0xff8005ff,0xffffffff,0x4fffffff,0x001ff844,0xfffff880,
    0x3ffffe82,0x87ffffc8,0x02fffff8,0x027ffffc,0x009fffff,0x4ffffff5,
    0x42fffff9,0x01ffffff,0x417ffffe,0x02fffff8,0x027ffffc,0x027ffffc,
    0x0001fe40,0x13ffffa0,0x03ffffea,0x03ffffdc,0x06fba600,0x3fffee00,
    0x2f98007f,0x80037ea0,0x03fffffe,0x001ffd83,0xfffff000,0xffe80009,
    0x10303fff,0x005fffff,0x43ffffe4,0x02fffff8,0x00167740,0x09fffff0,
    0xffffb000,0xfff0005f,0xffffffff,0x09ffffff,0x00003fe6,0x0bffffe2,
    0x0bfffff1,0x10fffff9,0x805fffff,0x204fffff,0x804fffff,0x0ffffffa,
    0x83fffff3,0x407fffff,0x307ffffc,0x805fffff,0x804fffff,0x004fffff,
    0x002fffd4,0x9ffffd00,0x1fffff50,0x1ffffee0,0xffff3000,0xfffb8003,
    0xfd8007ff,0x1ffff101,0xfffff700,0x3ffa2c0d,0xff000003,0x40009fff,
    0x06fffffb,0x3fffe216,0x3ff2002f,0xfff887ff,0x7fc002ff,0xff0003ff,
    0x00009fff,0x00dffff5,0x7ffcc000,0x27dc01ff,0xfff88000,0x7ffcc2ff,
    0xfffc86ff,0xffff887f,0x7fffc02f,0x3fffe04f,0xfffa804f,0x3ffe0fff,
    0x7fffc44f,0x7ffc404f,0x7ff444ff,0x7fc03fff,0xff804fff,0x4c004fff,
    0x0000fffc,0x09ffffd0,0x01fffff5,0x01ffffee,0x13ffaa00,0xfffff700,
    0x0ffa800f,0x07fff510,0xffffff88,0x7fc4f301,0xf000005f,0x0009ffff,
    0x3fffffe2,0xff10f301,0x64005fff,0xf887ffff,0x4002ffff,0x0006ffd9,
    0x009fffff,0x0ffffa00,0xff980000,0x7f401fff,0xff100000,0xffa85fff,
    0xffc87fff,0xfff887ff,0x7ffc03ff,0x3ffe04ff,0xffb804ff,0x3ea1ffff,
    0x7ffd41ff,0xfff9005f,0x3fb663ff,0x7c06ffff,0xf804ffff,0x8004ffff,
    0x0001fff8,0x0bffffd0,0x01fffff7,0x03ffffee,0x17ff2000,0xfffff700,
    0x3fea001f,0x03ffe807,0x27ffffec,0x3fe66e88,0xf000007f,0x0009ffff,
    0x13fffff6,0x7fc43744,0x32003fff,0xf887ffff,0x8003ffff,0xf0007ffa,
    0x0009ffff,0x001ffee0,0xffff3000,0x07fa203f,0xfff98000,0x7ffdc2ff,
    0xfffd87ff,0xffff987f,0x7fffc03f,0x3fffe05f,0x7ffcc05f,0x7dc5ffff,
    0xfffd31df,0xfffc800b,0xff9efeff,0xf03fffff,0xf00bffff,0x000bffff,
    0x0000dff7,0x42fffffc,0x01fffffb,0x01fffff9,0x07fff000,0xfffffc80,
    0x7fd4402f,0x7ffc407f,0x3fffe600,0x6fd880ff,0x001fffea,0x7ffffc00,
    0xfff98005,0xfd880fff,0xfffff986,0x3fff6004,0xffff987f,0xffd8003f,
    0xffff0005,0x220000bf,0x000003ff,0x0fffffcc,0x000077d4,0x3ffffea0,
    0x7ffffc43,0x7ffffcc4,0x7fffec3f,0xfff700df,0xff701fff,0xe881ffff,
    0xfffffffe,0xfd35efff,0x19ffffff,0xffff9000,0x3bffe2bf,0xffb809bc,
    0x2e00ffff,0x00ffffff,0x0effdb88,0xfff50000,0x7f443fff,0xe884ffff,
    0x003fffff,0x09ffd950,0xfffff980,0xcccccfff,0x6fffffec,0x05fffb70,
    0xcfffffe8,0xfffebaa9,0x013ffe25,0x3ffee000,0x74000fff,0xa9cfffff,
    0x45fffeba,0xefffffc8,0xffff9800,0x7ffec3ff,0xb9800dff,0x8000effd,
    0x0ffffffb,0x01f90000,0xff980000,0x16cc1fff,0x3a620000,0x0bffffff,
    0xb87ffff6,0xffffffff,0xffffffd5,0x7ffc45ff,0x15ffffff,0xffffffff,
    0x300000bf,0x00157975,0x44157300,0xfff8801b,0x45ffffff,0xfffffff8,
    0x664c05ff,0x3600001b,0xffffffff,0xffffff9a,0xfff50fff,0x05dfffff,
    0x00accb80,0xfffffd30,0xffffffff,0xffffffff,0x2af320bf,0x7fffdc00,
    0xffffffff,0x164c4fff,0x3fe20000,0x5fffffff,0xfffff700,0xffffffff,
    0x7ffec9ff,0x0effffff,0xffffff70,0x3fffabff,0x402fffff,0x8001acca,
    0xfffffff8,0x880005ff,0x98000003,0x001fffff,0x99990000,0x87999999,
    0x00000bc9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffc8000,0x7fffffff,0x3fffffea,0x03ffffff,0x3ffffff9,
    0x7fffffc0,0x44ffffff,0xfffffffd,0xffffffff,0x01a98801,0x000c0000,
    0x333332a0,0x3220cccc,0x2204cccc,0xfffffffe,0x00efffff,0xfffe806a,
    0xffffffff,0xffffc84f,0x3003ffff,0xff505575,0x7fffffff,0xfffff500,
    0xe8005fff,0x2fffffff,0x22015000,0x4fffffff,0xffff7000,0xffffffff,
    0xffffffff,0x3ffe9fff,0x85ffffff,0x01fffffb,0x7ffc4030,0x74c4ffff,
    0xffffffff,0x000effff,0x7fffffe4,0x3fe20007,0xffffffff,0xbdeeefff,
    0x100c0001,0x9fffffff,0xfffd5000,0x2603ffff,0xffffffff,0xdffc8801,
    0x3fffe600,0xffffffff,0x7fffffc1,0xffffffff,0x7fe4406f,0x0002dfff,
    0x20002e80,0xffffffe9,0xeffea82e,0xfffd3002,0x9803ffff,0x2a00efff,
    0xcfffffff,0xfffe9800,0xdbff7001,0xff505fff,0x03ffffff,0x07bff620,
    0xfffd8800,0x2e2002ff,0x7fdc01ff,0x70004fff,0x99dfffff,0x9dfffffd,
    0x9fffffb9,0x3fffff62,0x3ffa201f,0x980b7003,0x04fffffd,0x3fffffea,
    0x4c0000df,0x007fffff,0xfffff500,0xfffd99ff,0x0001dfff,0xffb880b7,
    0xfc884fff,0xffffa82d,0x7fcc05ff,0x2006ffff,0x7e400ff8,0xffffffff,
    0x7ffcc6ff,0xffffffff,0x2a04ffff,0xffffffff,0x2600003f,0xfe80006f,
    0x2603ffff,0x7d4000ff,0x803fffff,0x403ffffd,0x0ffffffd,0x007fe600,
    0x7cd7ffa2,0xff980fff,0x00efffff,0x0003ff10,0x5fffff30,0xffff9100,
    0xfffff003,0x3fee0009,0xffffd80e,0x4ffe885f,0x1fffffe2,0x4c00bf60,
    0xfff8805f,0x7fe404ff,0x0000ffff,0x0fffffd0,0x7ffe4000,0xfffc86ff,
    0x26001fff,0xffff005f,0xffffd09f,0xfffffd05,0xffffb00f,0x3e2001ff,
    0xfffff804,0x3fffffff,0x7fffffdc,0xffffffff,0xffff301f,0x7fffffff,
    0x3ff60000,0x7fcc0001,0x3e205fff,0xfff98004,0x7c402fff,0x6406ffff,
    0x007fffff,0xffb007f8,0x3fffe67f,0xfffff702,0x3ec00bff,0xfff88000,
    0x3f6602ff,0x801fffff,0x004fffff,0x3601df70,0x205fffff,0x7ffe44fd,
    0x037401ff,0x3e00bfd0,0x5c04ffff,0x007fffff,0xfffea980,0x0aaaaaff,
    0xffffb800,0xffff506f,0x3fa003ff,0xfffff005,0xfffff989,0xfffffb85,
    0x7ffd402f,0xf5003fff,0xffffa803,0xffffffff,0x7ffffec0,0xffffffff,
    0xfffd106f,0xffffffff,0xf880003f,0xe80005ff,0x500fffff,0xff10001f,
    0xd003ffff,0xc807ffff,0x007fffff,0xffa806e8,0xffff13ff,0x3fffee01,
    0x9004ffff,0x3e20000f,0xda82ffff,0xffffffff,0xfffff801,0x03f70004,
    0x2fffffec,0xff989f10,0x3e204fff,0x0bff9003,0x13ffffe0,0xffffff70,
    0xfff90000,0xffffffff,0xff50005f,0x7ec0dfff,0xc805ffff,0xfff005ff,
    0xfffa89ff,0xffff07ff,0xffd00bff,0x3600dfff,0x999fd806,0x09999999,
    0xaacdfff8,0xffdaaaaa,0x559df704,0xfffffff7,0xffc80009,0x540000ff,
    0xb03fffff,0x3fe2000b,0xa801ffff,0x6400efff,0x006fffff,0xffc806e8,
    0x02ae23ff,0xffffdfb8,0x6c802fff,0xfff10000,0x9ac885ff,0x1ffffffb,
    0x4fffff80,0xd80d7000,0x405fffff,0xffffe84c,0x2003ee07,0xf005fffb,
    0xb809ffff,0x007fffff,0xfffd9880,0x099999ff,0xffffa800,0x3ffee06f,
    0x7fe407ff,0xffff005f,0xfffff09f,0x3ffff207,0x7fdc00ff,0x4401ffff,
    0x02fc403f,0x001bf100,0x2f407ffa,0xfffffe88,0x3fe20006,0x80004fff,
    0x886ffffe,0xff10002f,0x2003ffff,0xff9002b8,0xd000dfff,0xffffd00d,
    0xd1f70007,0x3fffffff,0x00006c80,0x05fffff1,0x3fffffb0,0x9fffff00,
    0xb00ee000,0x80bfffff,0xffffb84a,0x900bd02f,0x200bffff,0x404fffff,
    0x07fffffb,0x3fff2000,0x2a00007f,0x206fffff,0x2ffffffa,0x0bffff90,
    0x13ffffe0,0x403bffea,0x3ffffff9,0x7ffffc40,0x007dc04f,0xa8000bea,
    0xdff1000e,0xff501aa0,0x4000ffff,0x0ffffffb,0x7ffdc000,0x003d42ff,
    0xffffff10,0x32000003,0x006fffff,0xfff806e8,0x7b8003ff,0xfffffff3,
    0x0036401d,0xfffff880,0xffffc802,0xffff801f,0x0130004f,0x5fffffd8,
    0xfff88180,0x02f885ff,0x3fffff62,0xff04ccce,0xfb809fff,0x0007ffff,
    0x1fffff20,0xfffa8000,0x3fea06ff,0x6c42ffff,0xccefffff,0xffff80cc,
    0x2006a04f,0x06fffffe,0x7ffffff8,0x7ec02f40,0x001acdef,0x7fdc0013,
    0x3fa00204,0x20006fff,0x3ffffffe,0x7ffc4000,0x002745ff,0xffffff10,
    0x32000003,0x006fffff,0xfff806e8,0x7b8003ff,0x3fffffea,0x801b205f,
    0xf14efeb9,0x7005ffff,0x003fffff,0x229fffff,0x001befec,0x3fffff60,
    0x3ff60005,0x07dc0fff,0xfffffe88,0x80ffffff,0x014fffff,0x1fffffee,
    0xfffc8000,0x3ffb267f,0x3ffea004,0x3ff206ff,0x3a20ffff,0xffffffff,
    0xfff80fff,0xa80004ff,0x01ffffff,0x3fffffea,0x803f302f,0xfffffff8,
    0x400002ff,0x40001ffe,0x005ffffd,0xffffff50,0xf90000df,0x3e23ffff,
    0x3fe20001,0x9101ffff,0x05999999,0x6fffffc8,0x9506e800,0x9dfffff9,
    0x71ee0019,0x9fffffff,0x7f401b20,0xf9efffff,0xb802ffff,0x801fffff,
    0xfacfffff,0x04ffffff,0xfffffb00,0x7fd4000b,0x02f42fff,0xffffd551,
    0x3e05555d,0x05acffff,0x0ffffff7,0x7ffe4000,0xfffff57f,0x3fea00df,
    0x3fa06fff,0x5444ffff,0xaeffffea,0xffff02aa,0x3e00009f,0x205fffff,
    0xffffffed,0xf700d905,0xffffffff,0x100005df,0x90000fff,0x0007ffff,
    0x3fffebba,0x440002ff,0xd94fffff,0xfff88000,0x3aa01fff,0x404fffff,
    0x06fffffc,0xffb06e80,0xffffffff,0x361ee003,0x2fffffff,0xffc806c8,
    0xfffd30ef,0xf7005fff,0xf003ffff,0x37ffffff,0x07fffff7,0xfffffb00,
    0x7fc4000b,0x0be25fff,0x2fffff40,0xefffff80,0xffff703f,0x640000ff,
    0xefcfffff,0x03fffffd,0x6fffffa8,0xbfffffb0,0x5ffffe80,0x9fffff00,
    0x3ff20000,0xf880ffff,0xffffffcb,0xfe804f80,0xffffffff,0x40005fff,
    0x80004ffb,0x000ffffe,0xffff2f98,0xb0000dff,0x5f1fffff,0xfff88000,
    0x7c401fff,0x6404ffff,0x006fffff,0xf55306e8,0x155bffff,0x7f41ee00,
    0x40ffffff,0x7ffdc06c,0x7fffc42f,0xffb802ff,0xff801fff,0x7c41ffff,
    0x4002ffff,0x05fffffd,0x7fffec00,0x2001f70f,0x005ffffe,0x05ffffff,
    0x3fffffdc,0x32003950,0x21ffffff,0x00fffffc,0x37ffffd4,0x3bffffa6,
    0xffffe802,0xfffff005,0x3e600009,0xc83fffff,0xfffff88f,0x2007d43f,
    0xfffffff8,0x4fffffff,0x07ffa000,0x3fffe000,0x5cdb0004,0x01ffffff,
    0x7fffcc00,0x40000fef,0x1ffffff8,0x4fffff80,0x7ffffe40,0x806e8006,
    0x003fffff,0xfff107b8,0x641dffff,0x3fffe606,0xfffff506,0xffff7005,
    0xffff003f,0x3fff209f,0xffffb07f,0xffffffff,0x00dfffff,0x4fffffea,
    0x3ffa005e,0xfff005ff,0xffb809ff,0xffb07fff,0xfff9005f,0xfff985ff,
    0x7fd401ff,0xfffeffff,0x2001dfff,0x005ffffe,0x009fffff,0x7ffff400,
    0x3f64f86f,0x36c6ffff,0x7ff6e4c0,0xffffffff,0xf88002ff,0xf980007f,
    0xf10006ff,0x7ffffc47,0xfe80005f,0x0004ffff,0xffffff88,0xfffff801,
    0x7fffe404,0x06e8006f,0x03fffff8,0x3e607b80,0x25ffffff,0x3fff206c,
    0xffff104f,0xfff7005f,0xfff003ff,0x3fea09ff,0xcca80fff,0xffffeccc,
    0x3cccccef,0x3ffffe00,0x3a002f9e,0xf005ffff,0xb809ffff,0x887fffff,
    0xc805ffff,0xf887ffff,0x5402ffff,0xeeffffff,0xbefffffe,0xffffe800,
    0xfffff005,0x7d400009,0x2a1fffff,0x3fffea1f,0x005f11ff,0x7fff5cc0,
    0x8007ffff,0x80004ffb,0x0001fffc,0xfffc81f9,0x40000fff,0x01fffffa,
    0xffff8800,0xfff801ff,0x7fe404ff,0xe8006fff,0xfffff806,0x407b8003,
    0xfffffffb,0x7fec0d93,0xfff103ff,0xff7005ff,0xff003fff,0x3e609fff,
    0x2002ffff,0x05fffffd,0x26666660,0xfdfffffd,0x26199999,0xffffffff,
    0xff80ffff,0x7dc04fff,0xf887ffff,0xfc804fff,0xff887fff,0x7d402fff,
    0x5c46ffff,0x0cffffff,0x17ffffa0,0x27ffffc0,0x00177e44,0x4bffffff,
    0xfffff85e,0x0001f74f,0x3ffff660,0x7ec001ff,0xff80001f,0x9f10003f,
    0xffffff30,0xfff00009,0x220000df,0x01ffffff,0x04fffff8,0x37ffffe4,
    0x7c037400,0x8003ffff,0xfffc807b,0x06c9ffff,0x40fffffe,0x02fffff8,
    0x1fffffb8,0x4fffff80,0x7fffff10,0x7fffec00,0x3ffe005f,0xffffffff,
    0xffffffff,0xfff9911f,0x89999dff,0x4fffffd8,0x7ffffdc0,0x03fff907,
    0x0fffff90,0x05fffff1,0x6fffffa8,0xffffff30,0x3fffa01d,0xffff005f,
    0xffffd09f,0x3fff2005,0x82f98fff,0x8ffffffc,0xb800004e,0x003fffff,
    0x0001ffe2,0x80017fee,0xfffd00fb,0x70000fff,0x00007fff,0x3fffffe2,
    0xfffff801,0x7fffe404,0x06e8006f,0x03fffff8,0xfd007b80,0xdbffffff,
    0x3ffffe20,0xfffff102,0xffff7005,0xffff003f,0x3ffe209f,0x3f6005ff,
    0x2005ffff,0xe9999999,0x99afffff,0xffd01999,0x77440bff,0x404fffff,
    0x07fffffb,0xffc800a2,0xfff887ff,0x7fd402ff,0x3e606fff,0xd05fffff,
    0x200bffff,0x4c4fffff,0x005fffff,0x7ffffff3,0x3ffe60d9,0x001fdfff,
    0xffff7000,0x27fdc009,0x3bfe2000,0x817a0000,0x3ffffffa,0x7ffc4000,
    0xff100000,0xf003ffff,0xc809ffff,0x006fffff,0xfff805e8,0x7b8003ff,
    0xfffff100,0x3ea0dfff,0xf102ffff,0x7005ffff,0x003fffff,0x409fffff,
    0x005fffff,0x17fffff6,0x7ffec000,0x7f4000ff,0x56605fff,0x404fffff,
    0x07fffffb,0xffc83100,0xfff887ff,0x7fd402ff,0x7f406fff,0xe81fffff,
    0xf005ffff,0xfa89ffff,0x2007ffff,0xfefffffe,0x3ffffa03,0x000006ff,
    0x0027ffe4,0x80005ffb,0x20000efe,0x99999bfa,0xffffff99,0x5fd80006,
    0xff100800,0xf003ffff,0xb809ffff,0x007fffff,0xfff805f8,0x7b8003ff,
    0x3fffe600,0xff506fff,0x3e205fff,0xb802ffff,0x801fffff,0x204fffff,
    0x003fffff,0x17fffff6,0x7ffec000,0x7f4000ff,0xff005fff,0xfb809fff,
    0x0007ffff,0xffffc897,0xfffff887,0x7fffd402,0x7ffe406f,0xffe83fff,
    0xfff005ff,0xffff09ff,0x7fd4007f,0x200fffff,0x3ffffffb,0x7cc00000,
    0xff1003ff,0xefc8000f,0x7ff40000,0xffffffff,0x02ffffff,0x0017cc00,
    0xf883dfd5,0x801fffff,0x404fffff,0x07fffffb,0xff804f80,0xb8003fff,
    0x7ffd4007,0xff306fff,0x3e207fff,0xb802ffff,0x801fffff,0x104fffff,
    0x003fffff,0x2fffffec,0x33333300,0x3fffffb3,0x20333333,0x005ffffe,
    0x809fffff,0x07fffffb,0xffc87d00,0xfff887ff,0x7fd402ff,0x7d406fff,
    0xe84fffff,0xf005ffff,0xf709ffff,0xf8001bff,0x404fffff,0x0ffffff8,
    0xff800000,0x9ff5001f,0x077cc000,0xbf9806e0,0xaaaaaaaa,0x5ffffffa,
    0x00354000,0xf31bfffe,0x001fffff,0x809fffff,0x07fffffa,0x7c01fcc0,
    0x8003ffff,0xffc8007b,0xff106fff,0x3e209fff,0xb802ffff,0x801fffff,
    0x104fffff,0x001fffff,0x2fffffec,0xffffff00,0xffffffff,0x03ffffff,
    0x00bffffd,0x013ffffe,0x0ffffff7,0xfc85f300,0xff887fff,0x7d402fff,
    0x5c06ffff,0x83ffffff,0x005ffffe,0x409fffff,0xff90001a,0xfb003fff,
    0x0000bfff,0x801bfa00,0x10002ffd,0x0f8801ff,0xfc801b60,0x001fffff,
    0xfa800f60,0x3e60ffff,0xf007ffff,0x8809ffff,0x00ffffff,0x3e00bee0,
    0x8003ffff,0xffb0007b,0x7ffc0dff,0xfff105ff,0xff7005ff,0xff003fff,
    0x3e609fff,0x6c006fff,0x005fffff,0x26666666,0x99fffffd,0xfb019999,
    0x3e00bfff,0x5c04ffff,0x007fffff,0x7fe41fd8,0xfff887ff,0x7fd402ff,
    0x7ec06fff,0xd81fffff,0xf005ffff,0x0009ffff,0x3fffe600,0xffff5006,
    0x59b50005,0x005ff100,0x8001ffe2,0x99999afe,0x2606eb99,0x3fe2003f,
    0x2204ffff,0x03e20dfc,0x7ffffa80,0x2fffffcc,0x4fffff80,0xfffffe80,
    0x00df1002,0x00fffffe,0x44001ee0,0x3206fffe,0xf307ffff,0x7005ffff,
    0x003fffff,0x209fffff,0x004ffffa,0x2fffffec,0xfffd8000,0x7ec000ff,
    0xf8247fff,0x5c04ffff,0x007fffff,0x3f207fd4,0xff887fff,0x7d402fff,
    0x7c06ffff,0xb06fffff,0x058dffff,0x009fffff,0x7fff4000,0x3fffe002,
    0x7ffc4000,0x13ee00df,0x005ffa80,0xffffff90,0x0bffffff,0x360007ec,
    0x00ffffff,0x2647fff7,0x3fffe200,0x7ffffd42,0xfffff003,0xffff5009,
    0xfe8801df,0xfffff002,0x01f90007,0x1bffe600,0x4fffff88,0x7fffff44,
    0xffffc803,0xffff801f,0xdfff905f,0xfffd8001,0xb00006ff,0x003fffff,
    0xafffffb8,0xffff02d8,0xfffb809f,0xf5000fff,0xffff90ff,0xfffff30f,
    0xffffb807,0x3fff606f,0xff500fff,0x05b15fff,0x013ffffe,0x7ffa8000,
    0x027fe400,0x7ffffd40,0x005fa83f,0x40017fec,0xfffffffb,0x03ffffff,
    0xf5000df3,0x209fffff,0x1f15fffd,0x0fff9000,0x009ffff9,0x027ffffc,
    0xefffffc8,0x009fb300,0x01fffffc,0x00017f40,0xfc80dff5,0xdb31ffff,
    0x00dfffff,0x03fffff9,0x1ffffff0,0x02ffff88,0xfffffe80,0xffd00006,
    0xb0005fff,0x09ffffff,0x027ffffc,0x3ffffff2,0x7ffd4402,0x7ffffd87,
    0x3fffffa8,0x7ffffe40,0x7ffec41f,0x7e401fff,0x204fffff,0x005fffff,
    0x027fc000,0x0007fe60,0x7ffffff4,0x003ffbce,0x4003ffc4,0xfffffff9,
    0x2fffffff,0x2000dfd0,0x1fffffff,0xebffffb8,0x3ff60004,0x9ffff51c,
    0xfffff800,0x3fff2005,0xfdbcefff,0x3e2004ff,0x4004ffff,0x000afffc,
    0xf900df90,0x3dfdffff,0x7fffffff,0x7ffffec0,0xfdfff803,0xfffb11df,
    0xfff70005,0x0007ffff,0xffffffc8,0x75c4000e,0x3ee03dff,0x300fffff,
    0xffffffff,0xfd999999,0xf88dffff,0x643fffff,0x00efffff,0xfffffff3,
    0xffffd99f,0x75c007df,0x3ee03dff,0x001fffff,0x003f2000,0x88001ba0,
    0xfffffffc,0xfa8001bd,0x7fc4005f,0xffffffff,0x540fffff,0x4003fffe,
    0xfffffff9,0xfffff81e,0xfea80005,0x03ffffff,0x7ffffdc0,0x3fa6000f,
    0xffffffff,0x7fdc001c,0x5401efff,0xfffffffe,0x06d8000e,0xbfffff90,
    0x2f3bffe2,0xffff7009,0xff803fff,0xfffffb12,0x7540019f,0xffffffff,
    0xd003efff,0xfffffffd,0x000ddfff,0x7ffc4011,0x34ffffff,0xfffffffd,
    0xffffffff,0xbfffffff,0x7fffffdc,0xffffd5ff,0x3a25ffff,0xffffffff,
    0xceefffff,0x0220002b,0xffffff88,0x00005fff,0x2a000710,0xaa880002,
    0xa80000ac,0x7f4001cc,0xffffffff,0x647fffff,0xefffffff,0xffffd101,
    0xdfffffff,0x00059930,0x2acca980,0x7fffc400,0x005fffff,0x55e65d44,
    0x7f640009,0xffffffff,0x80000001,0x55cc0038,0x36006e20,0xfffffffe,
    0xb80effff,0x0abba880,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0xffffffe8,0x15ffffff,0xfffffffd,0x2abfffff,0xfffffffe,0xcceeffff,
    0x4000000a,0xffffffea,0xffffffff,0xffffffff,0x7ffff4c6,0xefffffff,
    0x2000bcde,0xffffffe8,0xffffffff,0x2fffffff,0x7fffff44,0xffffffff,
    0xffffffff,0xfffffd14,0xbfffffff,0x3fffffa2,0x5fffffff,0xdffffff9,
    0x7fdc0000,0xffffffff,0xffffffff,0x7ff443ff,0xffffffff,0xfff901ff,
    0x89ffffff,0x7ffffffc,0x3ffa2000,0xffffffff,0x3a6002ef,0xffffffff,
    0x000effff,0x7fffff44,0x0007ffff,0x3fffffee,0xfd33efff,0xffffffff,
    0x179bddff,0x7ffff400,0xefffffff,0x2600abcd,0xffffffff,0xeeeeffff,
    0x22000acd,0x2ccccccc,0x3fffea20,0x5101efff,0xdfffffff,0x3ffee203,
    0xfedcffff,0x003effff,0xfffb8000,0xcdffffff,0xffffeedc,0x3ffea06f,
    0xfedcffff,0x004effff,0x7fffffd4,0xfedccccf,0x202fffff,0xfffffff9,
    0xfeeccccc,0xfa84ffff,0x0effffff,0x3ffffea0,0xffa80eff,0x00006fff,
    0x37fffff2,0xfecccccc,0x406fffff,0xfffffff9,0xfff5001e,0x3e6015ff,
    0x0007ffff,0xffffff30,0xf500007f,0x1bffffff,0x3fea0000,0x02ffffff,
    0xfffffd00,0x7d4019ff,0xdcffffff,0x4efffffe,0x3fffe600,0xffedcfff,
    0x5c00cfff,0xcfffffff,0xffffedcc,0xfd5001df,0xb009ffff,0x07ffffff,
    0xffffffb0,0xffffd007,0xfffd30bf,0x000003df,0xffffbff8,0xff7101ff,
    0xfffc80df,0xffd987ff,0x2e002eff,0x407fffff,0x402fffea,0x0ffffffb,
    0x13fff620,0x7fffffdc,0xffffb801,0x3ff601ff,0x200006ff,0x200beffc,
    0xfffffff8,0xffffb801,0x7f4002ff,0xffd800df,0x200007ff,0x06fffffc,
    0x3fff2000,0x00000fff,0x7fffffe4,0xffa8006f,0x007fffff,0x0ffffff9,
    0x5dffffb3,0x3fffea00,0x7fff4c7f,0x7fec02ff,0xff505fff,0x2003ffff,
    0x04fffff8,0xffffb555,0x555557ff,0xffffb555,0x203557ff,0x05fffffd,
    0x0ffffff2,0x67cc0000,0x1ffffff8,0x2037fcc0,0x07fffffb,0x13ffffee,
    0x7ffffd40,0x05ff9007,0xffffffa8,0x04fe9800,0x1ffffff5,0xfffff500,
    0x7ffec01f,0x3600006f,0xffd800ef,0x5005ffff,0x03ffffff,0x001ffd40,
    0x00fffff9,0x7fffdc00,0x2e00005f,0x007fffff,0xffcfb800,0x4001ffff,
    0xfffffced,0xffff7006,0x7ffdc0ff,0xff9804ff,0xff887fff,0x3201ffff,
    0x205fffff,0x1ffffff8,0x9fffff00,0x3fffffa0,0xffffffff,0xffffffff,
    0x4fffffff,0xbfffffb0,0xfffffe80,0xfe800002,0xffffff88,0x406f9801,
    0x07fffffb,0x1fffffec,0x7ffffd40,0x00bf6007,0x1ffffff3,0x5413e600,
    0x00ffffff,0xffffffa8,0x3ffff200,0x3fa00006,0xffffa800,0xf3000fff,
    0x001fffff,0x9000bfea,0x000fffff,0x7ffffdc0,0x3ee00005,0x0007ffff,
    0xfff9fa80,0x22004fff,0xfffffcbf,0xffff7006,0xfffd80ff,0x7fcc03ff,
    0xff707fff,0x7dc0dfff,0x6405ffff,0x005fffff,0x209fffff,0xffffb998,
    0x999999ff,0xffffb999,0x900999ff,0x80bfffff,0x1ffffff9,0x4bee0000,
    0x1ffffff8,0xfb80dd00,0x4407ffff,0x02ffffff,0x3fffffd4,0x9805f100,
    0x00ffffff,0x7fd41360,0xa800ffff,0x00ffffff,0x01bffff2,0xd003f800,
    0x07ffffff,0x7ffffcc0,0x0efb800f,0xffffc800,0x3ee00007,0x0005ffff,
    0x3ffffee0,0xfa800007,0xffffffc8,0xf91f7000,0x200dffff,0x07fffffb,
    0x7fffffc4,0x3fffe602,0xffff307f,0x3fee01ff,0x7cc05fff,0x800fffff,
    0x804fffff,0x0ffffffa,0xfffffa80,0xfffc800f,0xffe805ff,0x00006fff,
    0x7ffc4bf1,0x42981fff,0x7ffdc06b,0xffc807ff,0x2a00ffff,0x307fffff,
    0xf9805d05,0x000fffff,0x7ffd412e,0xfa800fff,0x200fffff,0x006ffffc,
    0x32003e00,0x06ffffff,0x7ffffcc0,0x06fe400f,0xffffc800,0x3ee00007,
    0xeeffffff,0x2000bcee,0x07fffffb,0x98fa8000,0x03ffffff,0x3fff29f0,
    0xff7006ff,0xf900ffff,0x201fffff,0x07fffff9,0x5ffffff1,0x3ffffee0,
    0x7fffc405,0xfff802ff,0xffa804ff,0xa800ffff,0x00ffffff,0x5fffffc8,
    0xfffffb80,0xfd80001f,0x3ffffe20,0x3443b81f,0x3ffffee0,0xffffa807,
    0x3fea03ff,0x07707fff,0xfff98059,0x87500fff,0xffff5039,0xff5001ff,
    0x6401ffff,0x0006ffff,0xff300b10,0x003fffff,0xffffff98,0x007fd100,
    0x7ffffc80,0x3fee0000,0xffecefff,0x800dffff,0x07fffffb,0xd0fa8000,
    0x00ffffff,0x3fff23f5,0xff7006ff,0xf500ffff,0x207fffff,0x07fffff9,
    0x0ffffffe,0x2fffffdc,0x7fffffc0,0xfffff803,0xffffa804,0xffa800ff,
    0xc800ffff,0x805fffff,0x4ffffff8,0x21fd4000,0x1ffffff8,0xfb8003d8,
    0xf007ffff,0x40dfffff,0x07fffffa,0x3e600079,0x900fffff,0x7ffd4007,
    0xfa800fff,0x200fffff,0xc86ffffc,0x1ccccccc,0x3fffa000,0x98004fff,
    0x80ffffff,0x80002ff9,0x267ffffc,0x000adfec,0x8bfffff7,0x1ffffffa,
    0x7ffffdc0,0xfa800007,0xffffff50,0x3f26d805,0x7006ffff,0x00ffffff,
    0x1bfffffe,0x3fffffcc,0xffffff88,0xfffff702,0xffff980b,0xfff802ff,
    0xffa804ff,0xa800ffff,0x00ffffff,0x5fffffc8,0xfffffd00,0x3740001f,
    0x7fffffc4,0xb8003f81,0x007fffff,0x3ffffffb,0x3ffffea0,0x20007f07,
    0x0ffffff9,0x7d4007f0,0x800fffff,0x0ffffffa,0x1bffff20,0x37ffff26,
    0xff50000b,0x000dffff,0x3fffffe6,0x00077d40,0x7ffffc80,0xbffffff5,
    0x3fffee00,0xffffa85f,0x3fee00ff,0x00007fff,0x3ffe0fa8,0x3e206fff,
    0x3fffff22,0xffff7006,0x3ff600ff,0xf981ffff,0xf307ffff,0x203fffff,
    0x05fffffb,0x7fffffdc,0xfffff800,0xffffa804,0xffa800ff,0xc800ffff,
    0x005fffff,0x3ffffffd,0x207f2000,0x1ffffff8,0x5c001fdc,0x007fffff,
    0x5ffffff9,0x3ffffea0,0x0003fb87,0x1ffffff3,0x54007f50,0x00ffffff,
    0xffffffa8,0x3ffff200,0x00bffa06,0xfffff100,0x260005ff,0x20ffffff,
    0x00000ffc,0x33fffff2,0xfffffddf,0xffffb803,0xffffb05f,0x7ffdc0bf,
    0x800007ff,0x3ffee0fa,0x8f901fff,0x06fffffc,0xffffff70,0x3ffff200,
    0xfff982ff,0xfff907ff,0x7fdc0bff,0x7ec05fff,0xf005ffff,0x5009ffff,
    0x01ffffff,0xffffff50,0xffff9001,0x3ff600bf,0x8002ffff,0xfff104f9,
    0x7fd43fff,0xfffb8003,0xff9007ff,0x2a07ffff,0x547fffff,0xf30003ff,
    0xb81fffff,0x3ea003ff,0x800fffff,0x0ffffffa,0x1bffff20,0x0000ffc4,
    0x7fffffe4,0x3fe60005,0xfd88ffff,0x200005ff,0x1ffffffc,0x01ffffee,
    0x17ffffee,0x7fffffe4,0xfffff700,0xf500000f,0x7ffffc41,0xfc89f04f,
    0x7006ffff,0x00ffffff,0x3ffffff2,0xfffff983,0xfffff887,0x3ffee00f,
    0x3fea05ff,0xf000ffff,0x5009ffff,0x99ffffff,0xb9999999,0x01ffffff,
    0xbfffff90,0x3ffff200,0x6e8003ff,0x3ffffe20,0x3fffdbcf,0xfffff980,
    0xffffffff,0x7ffdc7ff,0xff504fff,0xfb97ffff,0x260007ff,0xabffffff,
    0x003fffec,0x3fffffea,0xcccccccc,0xffffffdc,0x3ffff200,0x0003db06,
    0xffffff30,0x7cc0001f,0xfeafffff,0x0004ffff,0x5fffff90,0x1fffff98,
    0x7ffffdc0,0xfffff505,0x3ffee03f,0x800007ff,0x7ffe40fa,0x07d40fff,
    0x1bfffff2,0x7fffffcc,0xffffffff,0x7fffdc7f,0xfff984ff,0x7ff547ff,
    0x7dc01eff,0xf705ffff,0x003dffff,0x027ffffc,0x7fffffd4,0xffffffff,
    0xffffffff,0xffffc800,0xfff9005f,0xb8009fff,0x3ffe201f,0xffffffff,
    0xccc8803f,0xcffffffe,0x7d44cccc,0x505fffff,0xffffffff,0x0007ffff,
    0x3fffffe6,0x3fffffff,0x3fffea00,0xffffffff,0xffffffff,0x3ff200ff,
    0x00ed86ff,0xffffd000,0x980007ff,0xffffffff,0x02ffffff,0xffffc800,
    0xfffff887,0x7fffdc02,0xffff305f,0x3fee05ff,0x00007fff,0x7fcc0fa8,
    0x2f43ffff,0x37ffffe4,0xffeccc88,0xccccffff,0x7fffd44c,0xfff985ff,
    0xfffedfff,0xb800cfff,0xdcffffff,0xefffffee,0xffff8002,0xfffa804f,
    0xfa800fff,0x800fffff,0x05fffffc,0xffffff90,0x7ffc4007,0xffffffff,
    0xa89fffff,0xb8003ffe,0x007fffff,0x9ffffff7,0x3ffffea0,0x3fffba9f,
    0xffff3000,0xfffb55ff,0x7fd4007f,0xa800ffff,0x00ffffff,0xb1bffff2,
    0x2e00001f,0x06ffffff,0xffff9800,0xffffcdff,0x40001fff,0x887ffffc,
    0x402fffff,0x05fffffb,0x1ffffff5,0x3ffffee0,0xfa800007,0xfffffe80,
    0x3f207e66,0x7006ffff,0x00ffffff,0x3fffffee,0xfffff984,0x2bcdeeef,
    0x7fffdc00,0xffffeeff,0x3e0005ff,0xa804ffff,0x00ffffff,0xffffffa8,
    0xffffc800,0xfffb005f,0x6c005fff,0xaaaaaaaf,0xffffffba,0x000ffa21,
    0x1fffffee,0x7ffffdc0,0xffff503f,0x03ff98ff,0xfffff300,0x03ffa81f,
    0x3ffffea0,0xfffa800f,0x3f200fff,0x3ff66fff,0xff880001,0x001fffff,
    0xfffff980,0xfffffd0f,0x640001df,0xf887ffff,0x5c02ffff,0x705fffff,
    0x40dfffff,0x07fffffb,0x80fa8000,0x2ffffffa,0x3fff20d9,0xff7006ff,
    0x2e00ffff,0x83ffffff,0x07fffff9,0x3ffee000,0x3fffa5ff,0xf0002fff,
    0x5009ffff,0x01ffffff,0xffffff50,0xffff9001,0x3ff600bf,0x5000ffff,
    0xfff1005f,0x3f983fff,0xffffb800,0xfff9007f,0x3ea03fff,0xfa87ffff,
    0xfff30003,0x7f701fff,0x7fffd400,0xffa800ff,0x3200ffff,0xffb6ffff,
    0xfb0000df,0x009fffff,0x3fffe600,0xffff10ff,0x4000bfff,0x887ffffc,
    0x402fffff,0x05fffffb,0x09fffffb,0x3fffffdc,0x07d40000,0xdffffff8,
    0xfff903f8,0x3ee00dff,0x9007ffff,0x03ffffff,0x0ffffff3,0x7ffdc000,
    0x3ffe65ff,0x8000ffff,0x805fffff,0x0ffffffa,0xfffffa80,0xfffc800f,
    0xffd005ff,0x7400ffff,0xffff1005,0x007f03ff,0xffffff70,0x3ffff600,
    0xfff500ff,0x00fe0fff,0x7ffffcc0,0x4007d00f,0x0ffffffa,0xfffffa80,
    0x3fff200f,0xfffffdff,0x3fea0004,0x000fffff,0x7ffcc06a,0x3fe60fff,
    0x004fffff,0x0fffff90,0x05fffff1,0x5fffffb8,0xefffff88,0x3fffee00,
    0x0310007f,0x7fdc03ea,0x00fcffff,0x0dfffff9,0x3ffffee0,0xffffb007,
    0xfff301ff,0x40000fff,0x45fffffb,0x6ffffffb,0x7fffdc00,0x7fd400ff,
    0xa800ffff,0x00ffffff,0x5fffffc8,0xffffff00,0x007f200b,0x7fffffc4,
    0x40603d81,0x07fffffb,0xffffffd0,0x7ffffd40,0x05407b07,0xffffff98,
    0x54007900,0x00ffffff,0xffffffa8,0x3ffff200,0xfffffeef,0xfff88001,
    0x4002ffff,0xffff301d,0xfffb81ff,0x8002ffff,0x887ffffc,0x402fffff,
    0x45fffffb,0x0effffe9,0x7ffffdc0,0x20970007,0xfff100fa,0x6409ffff,
    0x006fffff,0x0ffffff7,0x3fffffa0,0xfffff307,0x7dc0000f,0xfd85ffff,
    0x803fffff,0xfffffff8,0x3fea05ff,0xa800ffff,0x00ffffff,0x5fffffc8,
    0xfffff980,0x04f9802f,0x3ffffe20,0x9503a81f,0x3ffffee0,0xfffff007,
    0x7ffd407f,0x407707ff,0xffff300e,0x00ea01ff,0xffffffa8,0xffffa800,
    0x3ff200ff,0xfff98fff,0x64000eff,0x05ffffff,0xf9807c40,0xc80fffff,
    0x1fffffff,0x7fffe400,0xfffff887,0x7fffdc02,0xfffeecef,0xff7004ff,
    0x2000ffff,0x401f503e,0x1ffffffc,0x3fffff20,0xffff7006,0x3ffe00ff,
    0xff303fff,0x0000ffff,0x2fffffdc,0x7fffffc4,0x8000001f,0x0ffffffa,
    0xfffffa80,0xfffc800f,0xffc805ff,0xdd005fff,0xffff8800,0xd01881ff,
    0x3fffee07,0xfffb807f,0x7fd406ff,0x03107fff,0xfff981ea,0x03100fff,
    0x7ffffd40,0xfffa800f,0x3f200fff,0x3fee6fff,0x26004fff,0x0fffffff,
    0xf303dc00,0x201fffff,0xeffffffe,0x3fff2000,0xffff887f,0x7ffdc02f,
    0xeeeeffff,0x3ee000ac,0x8007ffff,0x01f502f9,0x2fffffcc,0x3fffff20,
    0xffff7006,0xfff700ff,0x7fcc0dff,0x00007fff,0x17ffffee,0x7fffffd4,
    0x01971006,0xfffffa80,0xfffa800f,0xfc800fff,0x4405ffff,0x00ffffff,
    0x44001fb8,0x01ffffff,0x7dc0be60,0xe807ffff,0x402fffff,0x07fffffa,
    0x3e606d80,0x000fffff,0xfffff500,0xfff5001f,0x7e401fff,0x7ff46fff,
    0xfd002fff,0x007fffff,0x3e607f88,0x100fffff,0xbfffffff,0x7fffe400,
    0xfffff887,0x7fffdc02,0x2e00005f,0x007fffff,0x1f501fd8,0x2ffffe80,
    0x7ffffe40,0xffff7006,0xfffd00ff,0x7fcc05ff,0x00007fff,0x17ffffee,
    0xffffffd8,0x7fffd404,0x3ffea003,0xfa800fff,0x800fffff,0x05fffffd,
    0x1fffffdc,0x4002fc40,0x1ffffff8,0x203fd100,0x07fffffb,0x2fffffd4,
    0x7ffffd40,0x17f2000f,0xffffff98,0xff500000,0x5001ffff,0x01ffffff,
    0x237fffe4,0x0ffffff8,0x7ffffdc0,0x7f44006f,0x3fffe606,0x3fe600ff,
    0x004fffff,0x10fffff9,0x805fffff,0x05fffffb,0x3ffee000,0x7d4007ff,
    0x801f500f,0xc806fffa,0x006fffff,0x0ffffff7,0x5fffffa8,0x7ffffcc0,
    0x3ee00007,0x2206ffff,0x2ffffffe,0x1fffff60,0xfffffa80,0xfffb800f,
    0xfd800fff,0x2606ffff,0x003fffff,0xf30003fb,0x005fffff,0x2e01ffd3,
    0x207fffff,0x04ffffe8,0xffffff50,0x13fee001,0xffffffa8,0xff500001,
    0x5001ffff,0x01ffffff,0x43ffffe4,0x05fffffb,0x3fffffe2,0x3fee001f,
    0x3ffea05f,0x7e401fff,0x03ffffff,0x87ffffc8,0x03fffff8,0x2fffffdc,
    0xfff70000,0x2a001fff,0x03ee07ff,0x200fffa0,0x06fffffc,0xffffff70,
    0x7ffff440,0xffff9804,0x3200007f,0x406fffff,0xfffffff9,0xfffff880,
    0xfff7001f,0xf9003fff,0x003fffff,0x0ffffffb,0x07bfffee,0x0007fdc0,
    0x7fffffd4,0x3ffea203,0x3ffff207,0xfffa80ff,0x3ee002ff,0x402fffff,
    0x203fffea,0x1ffffffb,0xfff70000,0xf7003fff,0x403fffff,0xd07ffffd,
    0x207fffff,0x4ffffffd,0xffffd100,0x7fffdc09,0x7fc401ff,0x03ffffff,
    0x43ffffec,0x03fffff9,0x37ffffe4,0xfff90000,0xa8805fff,0x3f607fff,
    0x00ffb803,0x7fffffd8,0xfffff900,0xffff501f,0x3fea005f,0x0000ffff,
    0xffffffb0,0xfffff900,0x3fffa0df,0xfff1007f,0x401dffff,0xfffffff9,
    0x3ffea00d,0xdcceffff,0x00bdffff,0x0dfffc88,0x3fffa200,0xaacdffff,
    0x6fffffec,0xffffff30,0xfffb79df,0x4c0017df,0xffffffff,0xfeecbabd,
    0xd101ffff,0x1dffffff,0xfff88000,0x4c05ffff,0x5fffffff,0xffffff30,
    0xfffff705,0xffffa85f,0xccccdfff,0xfffedccc,0xfd103fff,0x01dfffff,
    0x7fffffc4,0xf980cfff,0x643fffff,0x00efffff,0xfffffff3,0xff300007,
    0x99ffffff,0xfffd9999,0x3fee0dff,0x17e200af,0x3ffffea0,0x7fcc04ff,
    0xbcefffff,0x0beffffd,0xffffd100,0x50000bff,0x7fffffff,0xfffffd00,
    0xfffa81bf,0x3fba204f,0xffffffff,0xffdd15ef,0xffffffff,0x3fffaabd,
    0xffffffff,0x000adeff,0x3fffffea,0xffdd01ff,0xffffffff,0xffffffff,
    0x7f4cbfff,0xffffffff,0x0bdeffff,0x3ffba200,0xffffffff,0xffffffff,
    0x3ba20fff,0xffffffff,0x22005eff,0xffffffee,0xd15effff,0xfffffffd,
    0x3f2bdfff,0x6fffffff,0x3fffffee,0xfffd16ff,0xffffffff,0xffffffff,
    0x7445ffff,0xfffffffe,0x7f42efff,0xffffffff,0x3fee6fff,0xd5ffffff,
    0xffffffff,0x3ffffa25,0xefffffff,0x3ffa6002,0xffffffff,0xffffffff,
    0x3a25ffff,0x6fffffff,0x7f540720,0xffffffff,0xffd33eff,0xffffffff,
    0x017bdfff,0x7ffffec0,0x4effffff,0x3fffa600,0xffffffff,0xffff302e,
    0xc989ffff,0x0000001d,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffff7000,
    0xffffffff,0xffffffff,0x3fe29fff,0xffffffff,0x4000ffff,0xfffffff8,
    0xffff1004,0xffffffff,0xffffc81d,0x321fffff,0xffffffff,0x2601efff,
    0x6fffffff,0xffffffd1,0x2bffffff,0xaaaaaaa8,0xaaaaaaaa,0x3a62aaaa,
    0xeeeeeeee,0x77401eee,0xeeeeeeee,0x774c03ee,0xeeeeeeee,0x3ba202ee,
    0xeeeeeeee,0x777642ee,0xeeeeeeee,0x01988006,0x01330000,0x54000000,
    0x0c400002,0x00000000,0x00000000,0x00000000,0x00000000,0x05300000,
    0x9bdffff7,0xdfffffd9,0xffffdb99,0xffffb889,0x0001efff,0x7ffffdc4,
    0x7ffdc004,0x00dfffff,0x06ffffd4,0xfffffc88,0x26000eff,0xf502effe,
    0x1dffffff,0x99999aa8,0x99999999,0x2a599999,0xffffffff,0x7c02ffff,
    0xffffffff,0x7d404fff,0xffffffff,0x3e602fff,0xffffffff,0x7fec3fff,
    0xffffffff,0x7fc8007f,0xff880000,0x00000003,0xb9809ffb,0x223dfffd,
    0x3b72a05e,0x4000ceff,0x2ceffed9,0x1efff64c,0x77f65400,0xeffda81c,
    0x3726000c,0x00003dff,0x744f2600,0x44000002,0x70dffffd,0xffb03bff,
    0xfd10bfff,0x3fff209f,0x00001fff,0x013ffffe,0x3ffffee0,0xffb003ff,
    0x3fff6007,0xa8005fff,0x7fdc00ff,0x1a81ffff,0xfa920000,0xffffffff,
    0x7fc02fff,0xffffffff,0x7fd404ff,0xffffffff,0x3fe602ff,0xffffffff,
    0x7ffec3ff,0xffffffff,0x07fc8007,0x3ff88000,0xfdc98000,0xff882dff,
    0xfff501ff,0xb5dffd59,0x7dfb101d,0x03ffffd7,0xd99dfd30,0xff51bfff,
    0x03dffb59,0xb57fff90,0x5ffe49ff,0xa801effc,0xdffbaeff,0x2a000000,
    0xfff13ffe,0xb0000019,0x29ffffdf,0x3ff606fb,0xfb105fff,0x3fffee09,
    0x7c00007f,0x0004ffff,0xfffffffb,0x009fd001,0x7fffffc4,0x17ec000f,
    0x7ffffdc0,0x0001a80f,0xaaaa8920,0xaaaaaaaa,0x55555400,0x1aaaaaaa,
    0x55555440,0x0aaaaaaa,0x2aaaaa20,0x1aaaaaaa,0x5555554c,0x002aaaaa,
    0x00007fc8,0x0003ff88,0x6de7ffdc,0x7ff40eff,0x4fffc81f,0x407fffe4,
    0xffe84ffb,0x3fea00ff,0xfffffd84,0x07ffe45f,0x43fffd88,0x3ffddffe,
    0xc807ffea,0x77fe46ff,0x32600000,0xf12fffff,0x005bffff,0x7cc33200,
    0x01fb8fff,0x17fffff6,0xff704f88,0x0000ffff,0x04fffff8,0xfffff100,
    0x5fa80bff,0xffffb800,0x3e2004ff,0xffff5005,0x003501ff,0x00002400,
    0x00000000,0x00000000,0xfc800000,0xf8800007,0x3f60003f,0x3ffe22ff,
    0x03bfa21f,0x981ffff5,0x7c40ffff,0xfffb86ff,0x9fff306f,0xffffff10,
    0x05fff881,0xf30dfff9,0xfd0dffff,0x3ffea0bf,0x027ffc42,0x7ffed400,
    0xfea80bef,0x000bffff,0x5fff2060,0x7ffec05b,0x826405ff,0x07fffffb,
    0x7fffc000,0x3ea0004f,0x02ffffff,0x74000df1,0x00ffffff,0x2a001fb0,
    0x507fffff,0x02400003,0x00000000,0x00000000,0x00000000,0x00007fc8,
    0x0003ff88,0xf50ffff9,0xdf539fff,0x0dfffd01,0xf717fffe,0xffa83fff,
    0xfff707ff,0xfffff03f,0x07fffa0d,0x209ffff3,0xd85fffff,0x7fc42fff,
    0xffff80ff,0xffb88000,0x3002dfff,0x5bfffff9,0x3ffa0000,0xffd80772,
    0x25405fff,0x7fffffb8,0x3fe00008,0x40004fff,0xfffffffc,0x0000fe80,
    0x3fffffea,0x003f9805,0x1fffffea,0x900000d4,0x6ffee4c0,0x33332e03,
    0x333223cc,0xa800cccc,0x0ceffedc,0x7fee4c00,0x664400bd,0x002ccccc,
    0x0003fe40,0x001ffc40,0x42ffffc4,0xccfffff9,0xffffa80b,0xfffff985,
    0x13ffff21,0x01fffff5,0xd09ffff9,0x360bffff,0x7fe44fff,0xfffd03ff,
    0xbfffb09f,0xd07fffc8,0x4c007fff,0x0cfffffd,0xffd71000,0x00017dff,
    0x00997fee,0x2fffffec,0xfffb80c0,0x0025c7ff,0x09fffff0,0xffff8800,
    0x0fe44fff,0x7fff4000,0x37401fff,0x3fffea00,0x0003507f,0xeffa8240,
    0x980dffba,0x46fffffd,0x1ffffffb,0x2efbf620,0x001ffffe,0xfb79fff7,
    0x7f5401df,0x0004ffff,0x00003fe4,0x4001ffc4,0xf03ffffd,0xfd00ffff,
    0xff889fff,0x3e63ffff,0x7fd41fff,0xff980fff,0xfffe82ff,0xbfffb04f,
    0x02ffffe8,0x907ffffd,0xffe8dfff,0x9fffd06f,0xfffeb880,0x400002ef,
    0xdfffffd9,0xffff5001,0x3f6001df,0x0005ffff,0x5fffffee,0x20002fd8,
    0x004fffff,0xfffffa80,0x007f71ff,0x3fffe600,0x07ee05ff,0xfffff500,
    0x00006a0f,0x46ffc848,0xff00effc,0xff70dfff,0x3ee03fff,0xffffe84f,
    0x0fffec00,0x403ffff1,0x04fffff8,0x003fe400,0x01ffc400,0x17ffffc0,
    0x00fffff8,0x127ffffc,0xbffffdbd,0x6c42dc98,0x300fffff,0xfff503bb,
    0x333339ff,0x7c4dfffb,0xfd01ffff,0x33337fff,0xff8ffffb,0x99999eff,
    0x9306fffe,0x039fffff,0xeb880000,0x00beffff,0x1ffffe4c,0xfffffd80,
    0x3fee0005,0x2fe9ffff,0x7fffc000,0xf900004f,0xf5dfffff,0xfd800009,
    0x882fffff,0xffa8005f,0x03507fff,0x3ea24000,0x7ffc42ff,0xdffffd04,
    0x3fffff50,0x70dfff10,0x640dffff,0xffa86fff,0x3ffe00ff,0x640004ff,
    0x8800007f,0x7c4003ff,0xff02ffff,0x7c405fff,0x5b64ffff,0x806ffffe,
    0xffffefc8,0x7f54000f,0xffffffff,0xffffffff,0x3fffff30,0x3fffffa0,
    0xffffffff,0xfffff10f,0xffffffff,0xfffea8ff,0x00000bef,0xfffda800,
    0x7d400cff,0xffb006ff,0x4000bfff,0xfffffffb,0xff80000e,0x00004fff,
    0xffffffd1,0x100000bf,0x0dffffff,0xf50001f9,0x2a0fffff,0x89200001,
    0xff80ffff,0xfffd80ff,0xffff986f,0xffffb81f,0x3ffffd41,0x84ffff88,
    0x204ffff9,0x104fffff,0xdddddddd,0xddddfffd,0x2e5ddddd,0xeeeeeeee,
    0xeeeeeffe,0x3ea6eeee,0xff02ffff,0x7cc09fff,0x1d94ffff,0x81fffffa,
    0xffabffc8,0xd5000fff,0xffffd1bf,0xfff70007,0x3ff603ff,0x99999cff,
    0x3fea1999,0xf88007ff,0x0002ffff,0xfd300000,0xfb007fff,0x3ff600df,
    0x20005fff,0x5ffffffb,0x3ffe0000,0x1775c4ff,0x3fffe600,0x00002fff,
    0xffffff90,0x8001fcc5,0x07fffffa,0x24000035,0x3a0ffff9,0xffd83fff,
    0xfff986ff,0xfffc81ff,0x7fffd44f,0xffffc80f,0x0fffff03,0x827ffffc,
    0xfffffff9,0xffffffff,0x93ffffff,0xffffffff,0xffffffff,0x7dcfffff,
    0xff02ffff,0x7cc0bfff,0x1fbcffff,0x417ffff6,0xff52fffb,0xe9801fff,
    0x3fff63ff,0xffb8005f,0xffd01fff,0xfa800bff,0x4000ffff,0xcfffffd8,
    0x00000001,0xbfffff71,0x09ff5003,0x3fffff60,0x3fee0005,0x00007fff,
    0x327ffffc,0x8001ffff,0xfffffffc,0xf8800000,0x3a7fffff,0x3fea0006,
    0x03507fff,0xffd24000,0x3fffa0df,0x6ffffd84,0x1fffff98,0x41ffff98,
    0x80fffffa,0xf02fffff,0x3e01ffff,0xd104ffff,0xdddddddd,0xdddddfff,
    0x3ae5dddd,0xeeeeeeee,0xeeeeeeff,0x3fea6eee,0xfff01fff,0x7fc40bff,
    0x742fefff,0x6c44ffff,0x3fea1fff,0x3ee00fff,0x7ffe42ff,0xffa8007f,
    0xffd01fff,0xf9800dff,0x0002ffff,0xbfffff91,0x20000005,0xcfffffd9,
    0x2a06ecc1,0xffb000ef,0x4000bfff,0x07fffffb,0x7fffc000,0x3ffff24f,
    0xfffe8002,0x00005fff,0xffffff70,0x40005f77,0x07fffffa,0x24000035,
    0x333dffff,0x0dfffd33,0x30dffffb,0x203fffff,0x7ec42dc9,0x7c40ffff,
    0xff02ffff,0x3fe05fff,0x40004fff,0x800007fc,0x4c003ff8,0xf01fffff,
    0xf809ffff,0xe83fffff,0x7f42ffff,0x7ffd45ff,0xfff900ff,0xfffff90d,
    0xfff98001,0xfffd01ff,0x7c4001ff,0x0004ffff,0xfffffea8,0x4400000b,
    0xbeffffeb,0x39fff700,0x6c003dd3,0x005fffff,0x3ffffee0,0x7fc00007,
    0x3fea4fff,0xf98000ff,0x02ffffff,0xffff0000,0x000bffff,0x7fffffa8,
    0x40000350,0xffffff14,0xffffffff,0xdffffb0f,0x3fffff30,0x7f7e4400,
    0x7d40ffff,0xff02ffff,0x3fe09fff,0x40004fff,0x800007fc,0x44003ff8,
    0xf02fffff,0xd807ffff,0xfd05ffff,0x7fe41fff,0x7ffd42ff,0xfffa80ff,
    0xffff983f,0x3e21804f,0xff01ffff,0x1807ffff,0x07fffffc,0x7e4c0060,
    0x002dffff,0x7fffe4c0,0xdc8801df,0x8003efff,0x05fffffd,0x3ffff600,
    0x7c00007f,0x7e44ffff,0xff50003e,0x01ffffff,0xfff70000,0x0001ffff,
    0x7fffffa8,0x40000350,0x0fffff54,0x7fffec00,0xfffff986,0xbffc8801,
    0x40fffffa,0x01fffffb,0x20dfffff,0x004fffff,0x0003fe40,0x001ffc40,
    0x417ffffc,0x01fffff8,0x82ffffcc,0x7fc7ffff,0x7fdc3fff,0xffe80fff,
    0xffff02ff,0x235403ff,0xf02ffffc,0x01ffffff,0xffff91a6,0x002dc09f,
    0x3ffffae2,0x36a000be,0x00beffff,0x36000000,0x005fffff,0xfffffe88,
    0x7c00007f,0x0004ffff,0x7ff6fc40,0x0005ffff,0xfffffd00,0xff50000d,
    0x06a0ffff,0xff548000,0x20001fff,0x986ffffd,0x401fffff,0xff52fffb,
    0xffa81fff,0xfff01fff,0x3ffe0bff,0x640004ff,0x8800007f,0xfb8003ff,
    0xff983fff,0xffb005ff,0xffff10df,0x7ffffc47,0xffffc9af,0x7ffc41ff,
    0xffea86ff,0xf981ffff,0x27fffc41,0x7fffffcc,0x20fc40ef,0x4ffffff8,
    0x20000fa8,0xcfffffc9,0xffff7101,0x000005bf,0x3fff6000,0x7cc005ff,
    0x7fffffcf,0xff031000,0x00009fff,0x7fcc7744,0x002fffff,0xffffc800,
    0xfa80006f,0x3507ffff,0xf9a40000,0x0002ffff,0x30dffffb,0x203fffff,
    0x2a1fffd8,0x4c0fffff,0xf01fffff,0x3e09ffff,0x0004ffff,0x00003fe4,
    0x8001ffc4,0xfa84fffe,0xfb001fff,0xffc83fff,0xffffe86f,0xfffbffff,
    0x3fe2ccff,0xeccfffff,0xfffffecf,0x03fecbdf,0xc81ffff5,0xffffffff,
    0x704fdbcf,0x9dffffff,0x00007fd7,0x3ffffae2,0xffffb11e,0x0000019f,
    0xfffd8000,0x3e2005ff,0xfffffb8e,0xf0750007,0x0009ffff,0xff707ec0,
    0x001fffff,0xffffc800,0xfa80006f,0x3507ffff,0xf8a40000,0x0004ffff,
    0x30dffffb,0x203fffff,0x7d45fffe,0x7c40ffff,0xff02ffff,0x3fe07fff,
    0x40004fff,0x800007fc,0x30003ff8,0xffb0ffff,0x2bf2009f,0xff31effe,
    0xfff501bf,0x3f61bfff,0x7dc4ffff,0xdfffffff,0xfffffd10,0x9807ffff,
    0x3fea4fff,0xfffffdaf,0x7dc04fff,0xffffffff,0xb3000003,0x3fe27fff,
    0x000002ef,0x3ff60000,0x22005fff,0x3ffffee4,0xf05b0007,0x0009ffff,
    0x3fa0bf20,0x005fffff,0x7fffe400,0xfa80006f,0x3507ffff,0xff240000,
    0x1801ffff,0x86ffffd8,0x81fffff9,0x542ffffc,0xe80fffff,0xf882ffff,
    0xff01ffff,0x80009fff,0x4c4007fc,0xa9999999,0xaaaaadff,0xfd302aaa,
    0x3ffea19f,0x5c3f5003,0x3dffffff,0x16fff5c0,0x213bff66,0xefffffd8,
    0xffffc882,0xb1002eff,0x1bffffff,0x6fffffdc,0xfffd5003,0x00005bff,
    0x227f7100,0x000001cf,0xffd80000,0x20005fff,0x07fffffb,0xff82f880,
    0x80004fff,0xfff103fa,0x0005ffff,0x7ffffe40,0xffa80006,0x03507fff,
    0xff924000,0x2dc09fff,0x437fffe4,0x81fffffa,0x5c3fffff,0xa80fffff,
    0xf983ffff,0x3fe05fff,0x40004fff,0x7ec007fc,0xffffffff,0xffffffff,
    0x36207fff,0x2effffff,0xba980c00,0x88008001,0x00375000,0x000d5dc4,
    0x20157510,0x0000ab98,0x00003751,0x00104000,0x00000000,0x2fffffec,
    0xffff7000,0x3f9000ff,0x09fffff0,0x405f9800,0xfffffffb,0xff900000,
    0x0000dfff,0x0ffffff5,0x4800006a,0x3fffffe2,0xfb80fa84,0x7fcc7fff,
    0x7c42ffff,0xc9afffff,0x01ffffff,0xf509fffd,0x7fc03fff,0x40004fff,
    0x7ec007fc,0xffffffff,0xffffffff,0x53007fff,0x00000137,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfffd8000,0x2e0005ff,
    0x007fffff,0x7fc07fd4,0x20004fff,0xfe800ef8,0x005fffff,0xfffff900,
    0xff50000d,0x3501ffff,0x2e240000,0xceffffff,0xff303feb,0xdf739fff,
    0xd05fffff,0xffffffff,0x99fffff7,0x0ffff985,0x2027ffec,0x005fffff,
    0x200154c0,0xaaaaaaa9,0xaaaaaaaa,0x002aaaaa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfffffb00,0x7fdc000b,
    0x1000ffff,0x3ffe0fff,0xd10004ff,0x3fe6005f,0x003fffff,0xfffffc80,
    0xffa80006,0x1a80ffff,0x2e120000,0xffffffff,0x7ffdc03f,0xff9cffff,
    0x7d40dfff,0xb0dfffff,0x209fffff,0xf50cfff9,0xffb807ff,0x0000ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7f400000,0x0006ffff,0x3ffffff2,0x6fffb802,0x0bfffff0,
    0x01ffd100,0x7ffffe40,0x6c0001ff,0x007fffff,0xfffffb80,0x0001a81f,
    0x7ff54120,0x9002dfff,0x267fffff,0x1fffffff,0x216fff5c,0x404effd9,
    0xffffffd8,0x3ffe202e,0x05ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x70000000,0x7fffffff,
    0xffff1000,0x5599ffff,0xfffffb95,0xfffff70b,0x3ee2003f,0x8800dfff,
    0xfffffffe,0xff50002f,0x009fffff,0x7ffffcc0,0xccda85ff,0xcccccccc,
    0xcccccccc,0x00dd4406,0x00037500,0x00220020,0x0026ea60,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fff5400,0xffffffff,0x3fba203e,0xffffffff,0xffffffff,
    0x3e25ffff,0xffffffff,0x7fffe405,0xd03effff,0xffffffff,0x3600ffff,
    0xfffffffe,0x00eeffff,0x7ffff744,0x5effffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x99500000,0x19999999,0x74ccccc8,0x47999999,0xccccccc8,0x66666540,
    0x99952ccc,0x54799999,0x0004cccc,0x99999100,0x99999999,0x66664399,
    0xa8cccccc,0x543ccccc,0x0002a200,0x80000000,0xca8d401a,0x4ccccccc,
    0x3333332e,0x00a6001c,0x8000a880,0x06a0002a,0x00155100,0x3002a200,
    0x00aa9805,0x5401016a,0x7fedcc05,0x326002df,0x200bdffd,0x3ccccccb,
    0x33333322,0x203dd90c,0x99ceffda,0x3333260f,0x3fb224cc,0xfeb981ce,
    0x999501ce,0xfc989999,0x33332a3e,0x3fb264cc,0xffb300bd,0x505fffff,
    0x3665dffb,0x5c6fffff,0x41ffffff,0xffffffe9,0xffffb30c,0x7dc439ff,
    0x000f22ef,0xfff981b3,0xffdcccef,0x3aa0ffff,0x1dffffff,0x839fff93,
    0x03ba00fd,0x1ff4c000,0x07f60000,0xff910fc8,0x4c5dffff,0x0bdffffc,
    0x00bff500,0x001ffc98,0x3000ffdc,0x019dfffb,0x77fffed4,0x09ff9102,
    0xd107fff9,0xefa81dff,0x7cc0dfdb,0x3ffb665f,0x17fea2df,0x7ed77fd4,
    0x7dc00eff,0xeffdbcff,0xffffd980,0x7fffdc6f,0x6fff99ff,0xfdbeffc8,
    0x3f220fff,0xff37ffff,0x543fffff,0x1fffffff,0xfffffb88,0x3ffffea7,
    0xfffff930,0x3ffffeaf,0x7fff406f,0x3fe204ff,0x6fffff80,0x1fffffb8,
    0x1fffffd0,0x3fffffd0,0xffc83fa0,0x8dff3003,0xffd02ff9,0x3fa07fff,
    0x7c44ffff,0x01df301f,0x00003bea,0x0003fff2,0xf9027e40,0xfffffb09,
    0x00bffa01,0x003fff60,0x3ffffd71,0x2fffc400,0xfffffd00,0x3ffea09f,
    0xf83fffff,0x3e25ffff,0xffc87fff,0x8bfee4ff,0x7fec0efd,0xffffffdd,
    0x1fffceff,0x3e26ffb8,0x3f605fff,0x3ffe21ff,0xfffff01f,0xfffff70d,
    0x41ffff33,0x7ec47ffb,0xffffd81f,0xffecdfbf,0xcefb8fff,0x00effffe,
    0x2afffff9,0x42ffffff,0xfcfffffe,0x3fffffde,0x3ffffe60,0x7413e605,
    0xfa86ffff,0xf501ffff,0xf307ffff,0x3a09ffff,0x01fffcc4,0xf30fffe6,
    0x3fffee05,0x3ffe206f,0x07ee0fff,0x3a01dfb0,0xfc80006f,0xf900007f,
    0x03fee01f,0x41fffff2,0x90001ff8,0x35300fff,0x4003fffd,0x802ffffc,
    0xfffd9aec,0x6fffd40f,0x23fffdaa,0x2ffffffa,0x83fffff7,0xf16ffffe,
    0x27fdc1ff,0x6fffffec,0xffffedbb,0x3fffb81f,0x40ffffec,0xfa86fffc,
    0xffe80fff,0xfffa86ff,0x8fff91ff,0x3fd05fff,0xffffff70,0x7ffffc47,
    0x3ffe22ff,0xfff702ff,0xffdff3ff,0xfffc81ff,0x3fee1fff,0x3fa00fff,
    0xf700ffff,0x3ffff601,0xfffff986,0x3ffffa01,0xfffff886,0xf981f886,
    0xfff303ff,0x3e20f307,0x401fffff,0x14fffffc,0xbff3007f,0x0017fea0,
    0x0003b910,0x2e09ff70,0xfff704ff,0x007f60ff,0x005ffa80,0x800fffec,
    0x06ffeff9,0x7fff4244,0x4407ffc2,0xfff90ffe,0x3fea9fff,0x7fec0fff,
    0x8fff75ff,0x7c40fffa,0xff700dff,0x3fffe05f,0x1ffffdc0,0x213fffe2,
    0xd84ffff9,0xf986ffff,0x3fe1ffff,0x0bfffe61,0x3fee07e6,0xffd83fff,
    0xffe82fff,0xfff704ff,0x7fe4bdff,0xfffffc84,0x7ffffcc2,0x3fffea01,
    0x6c09d03f,0xf986ffff,0x2e01ffff,0x5c0fffff,0x41ffffff,0x3ffe606b,
    0x81fffcc3,0xffffb038,0xfff1009f,0x00bb1fff,0xfe82ffec,0x0000005f,
    0x01fff500,0x2e01fff5,0xfc87ffff,0x19fd1001,0x5fd317f4,0x007fff20,
    0x7fecffec,0x7ffb8003,0xf701ffd4,0x3fffe25f,0xffff35ff,0x7ffff90f,
    0xff51fff6,0x04ffb83f,0xfb85ffa8,0xfff887ff,0x7fffe41f,0x0fffff03,
    0x30dffffb,0xdbbfffff,0xffffa83b,0xfb82d83f,0xff907fff,0x3ff60dff,
    0xfff705ff,0x00881fff,0x10fffff9,0x805fffff,0x986ffffe,0x3fff601f,
    0xffff986f,0x3ffe201f,0x7fe743ff,0x01f44fff,0x7ccfffe6,0xf98003ff,
    0x000fffff,0xfdfffff7,0x7ffcc001,0x04fffa84,0x54000000,0xff984fff,
    0x3ffee04f,0x000fe47f,0x2e3ffff9,0x41bfff66,0xa801fffc,0x1fff34ff,
    0x44ffc800,0x3e200ffc,0x3fffee4f,0x17fffe5f,0x747fffea,0x7ffd46ff,
    0x90037fc2,0xfffe83ff,0xf07dd507,0x3e05ffff,0x7ec0ffff,0xff986fff,
    0xff802fff,0x220dffff,0x7ffffb80,0x0dffff90,0x417ffff6,0x04fffffb,
    0x3ffffe40,0x17ffffc4,0x3ffffee0,0x3f603642,0xff986fff,0x7ec01fff,
    0x23e66fff,0x267ffffd,0xfff9800f,0x0003fffc,0x07fffffd,0xfffffe80,
    0xfffd8003,0x03fffe83,0xf3000000,0xff981fff,0x3fee00ff,0x0bff27ff,
    0xfffffa80,0xfffd8daa,0x3fff905f,0x641ffd00,0x7fc004ff,0x4037ec0f,
    0x9f9086fe,0x441fffec,0x3ff67fff,0x30fffd46,0x7c4005ff,0x3fffe24f,
    0xfff88007,0xffff02ff,0xffffd85f,0xfffff986,0xffffc801,0x7dc01fff,
    0xff907fff,0x3ff60dff,0xfff705ff,0xfc8007ff,0xff887fff,0x7c402fff,
    0x3e25ffff,0x7fffec02,0xfffff986,0x7fffd401,0x3feab91f,0x00b92fff,
    0x1fffffcc,0xffffb800,0xffa8006f,0x98005fff,0x7d42ffff,0x3bae2fff,
    0xeeeeeeee,0xeeeeeeee,0x7ffcc6ee,0x7fffcc3f,0x7fffdc03,0x01ffff97,
    0x7f7ff5c0,0xcffffffe,0x03fff900,0x7c43ffb8,0xff5000ff,0x403ff903,
    0x3fa05ff8,0x407ffee2,0x3fee6ffe,0x707ffdc7,0xfe8001ff,0x3ffffe65,
    0x7ffd4000,0xffff02ff,0xffffd89f,0xfffff986,0xffff9801,0x2e03ffff,
    0xf907ffff,0x3f60dfff,0xff705fff,0xc8005fff,0xf887ffff,0xc802ffff,
    0xf70fffff,0xdffffb00,0x3fffff30,0x9fffff00,0xfffff8be,0xfb8007f5,
    0xf10005ff,0x003fffff,0x3fffffa0,0xfffd8002,0x7ffff41f,0xffffff91,
    0xffffffff,0x4fffffff,0x20fffff8,0x00ffffe8,0x6fffffdc,0x005fffff,
    0x000ef440,0x8807fff2,0xbff706ff,0x203ff100,0x3f204ffb,0x88df303f,
    0x3ff207ff,0xf91ffe24,0x007fc89f,0x3fea6fd8,0x5c001fff,0xf01fffff,
    0xfd8dffff,0xff986fff,0xf9001fff,0x9fffffff,0x1ffffee0,0x837fffe4,
    0x705ffffd,0x003fffff,0x87ffffc8,0x02fffff8,0x4fffff98,0xfffb007d,
    0xffff30df,0xfff9003f,0xffc8f5ff,0x000fafff,0x0fffffe6,0x3ffff600,
    0x3e60004f,0x8006ffff,0x740effff,0xdd70efff,0xdddddddd,0xdddddddd,
    0xfffb8ddd,0x7fffdc2f,0x7fffdc02,0xfffffeff,0x39d50002,0x7fe4007f,
    0x0bff201f,0x7401ffe8,0xff88541f,0x0fffa82f,0xbfd05f90,0x2a0ffd40,
    0x03bfa2ff,0xe8001ff7,0x3fffea5f,0x7fd4003f,0xfff01fff,0xfffd8bff,
    0xffff986f,0x3ff2001f,0x82ffffff,0x907ffffb,0x360dffff,0xf705ffff,
    0x8001ffff,0x887ffffc,0x002fffff,0xf5fffffb,0xffffb001,0xfffff30d,
    0xffff3003,0xfff989ff,0x26005fff,0x3fffcfff,0x3fffe600,0x7c0000ff,
    0x002fffff,0x703bffee,0x0001dfff,0xfff90000,0x0dfff90d,0x9fffffb8,
    0x0ffffff8,0xe8ffec00,0xffc800ef,0x0dff301f,0x3606ffa8,0xf51ee60e,
    0xfff79fff,0x40bf205f,0x3fe203fc,0xfdcfe980,0x003ff504,0x3fe64ff8,
    0x4c004fff,0xf01fffff,0xfd89ffff,0xff986fff,0x54001fff,0x5fffffff,
    0x07ffffb8,0x20dffff9,0x705ffffd,0x000fffff,0x10fffff9,0x005fffff,
    0x3fffffea,0xffffb004,0xfffff30d,0x3fffa003,0xfffe81ff,0xff3002ff,
    0x0fffe67f,0x7fffff40,0x3b200303,0x006fffff,0x3e03bffe,0x00000fff,
    0x3fff6000,0x02fffd82,0xb9ffffee,0x005fffff,0xffc9fffa,0x7ffec01f,
    0x003ffb01,0xffb05ffb,0x70dfffff,0xffffffff,0x405fd107,0x037401fa,
    0xff100662,0x17fdc00b,0x1ffffff1,0x7fffc400,0xfffff02f,0x6ffffd87,
    0x1fffff98,0x7fec4080,0x7dc0ffff,0xff907fff,0x3ff60dff,0xfff705ff,
    0xff9000ff,0xfff10fff,0x7f4005ff,0xb001ffff,0xf30dffff,0x2003ffff,
    0x707ffffc,0x200fffff,0x7cc3fff9,0x7fdc03ff,0x01606fff,0x3fff27e6,
    0xffb802ff,0x1fffb80f,0x80000000,0xffb06ffd,0x7fffdc0d,0x7ffffec7,
    0x4fffa803,0xd017ffea,0xff505fff,0x1ffe600b,0xfffffff9,0x3ff6209f,
    0x07d01dff,0x05500910,0x17fe4000,0x7437fc40,0x005fffff,0x417ffff4,
    0x41fffff8,0x986ffffd,0x401fffff,0xffff7068,0xffffb83f,0xdffff907,
    0x17ffff60,0x03ffffdc,0x3ffffe40,0x17ffffc4,0xdffff700,0x7fffe400,
    0xfffffa86,0xffff3001,0x3fffe209,0x3fff9805,0x207fff30,0x1ffffff8,
    0x4e880f30,0x1ffffff1,0x40fffc40,0x0001fff8,0x0000bb62,0xd107ffd1,
    0x3fee05ff,0x7ffc47ff,0x7cc00fff,0x1fffc1ff,0x77777644,0x03bb62de,
    0xd52eeb80,0xdddddddd,0x00031005,0x00000000,0x407fff10,0xfb82ffea,
    0x102fffff,0x3ffffa89,0x85ffff98,0xa87ffffc,0x801fffff,0xffff701f,
    0x7ffffb81,0x0dffff90,0x417ffff6,0x007ffffb,0x87ffffc8,0x02fffff8,
    0x0bfffe20,0x7ffffb80,0x7fffffcc,0x3fffa002,0x0bfff601,0x807fff30,
    0xfd83fff9,0xd104ffff,0x7e46d80d,0x2e04ffff,0x5ff901ff,0x7ffc8000,
    0x6fe88000,0x2e0dfd10,0xfa87ffff,0xa806ffff,0x00cd982d,0x00000000,
    0x00000000,0x00000000,0xbeffffb8,0xffffdb99,0xfffffd05,0xe84e883d,
    0xffa84fff,0xfffb81ff,0x3ffe60ff,0xef802fff,0x86fff880,0x80fffffb,
    0xb07ffffc,0x2e0dffff,0x000fffff,0x43ffffe4,0x03fffff8,0x003ffe40,
    0x33ffffe6,0xffffefb9,0x3fee002f,0x03ffd406,0x9801ffe4,0x7ffcc6ff,
    0xfd880fff,0xf30bee06,0x103fffff,0x3fe205ff,0xffd80002,0xff100007,
    0x20bfe207,0x80fffffd,0x04fffffe,0x00000000,0x00000000,0x00000000,
    0xff700000,0xfffffffd,0x0bffdfff,0xfffffff5,0x260dfd9f,0x7ec0ffff,
    0xfff304ff,0xfdf73bff,0xf005ffff,0x7fff10bf,0x3fffff90,0x0fffffb0,
    0x41bffffa,0x00fffffc,0x3ffffec0,0x1fffffcc,0x00ffe600,0x3ffffee0,
    0xffff9cff,0xff1000df,0x009ff007,0x1d3000f2,0xcfffffe8,0xfffebaa9,
    0x83ffc885,0x0effffff,0x7f9017dc,0x3fa60000,0x3e600002,0xf11be607,
    0x707fffff,0x07ffffff,0x00000000,0x00000000,0x00000000,0xff980000,
    0xfffff70e,0x0fff619f,0x3fffffea,0x2600dfff,0xff50cfff,0xfffb807f,
    0xff9cffff,0x7c00dfff,0xfc88cfff,0xfffe884f,0x7ffc44ff,0x7fd43fff,
    0x7441ffff,0x003fffff,0x3fffffe6,0x7ffffec3,0x07ec000d,0xffffc800,
    0xfffff33f,0x3f6003ff,0x001fc800,0x7fdc0000,0xffffffff,0x744fffff,
    0xb8efffff,0xffffffff,0xd880f63f,0x00000003,0x405d3000,0xffff71e9,
    0x7d4fffff,0x7fffffff,0x00000000,0x00000000,0x00000000,0x75400000,
    0xb0099880,0x7fff4c09,0xb1003dff,0x5dffffff,0x3ffff200,0xfffff32f,
    0x677403ff,0x84fffffe,0xfffffffa,0xfffff77f,0x3ff6ffff,0x55ffffff,
    0xffffffff,0xfffb805d,0xfd5fffff,0x5fffffff,0x0001cc00,0x00000dd4,
    0x09300398,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00ae6200,0x01375300,
    0x0006ea00,0x0dd44280,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x300d5440,0xffffffff,0xffffffff,0x227fffff,0xeeeeeeee,0xeeeeeeee,
    0x202eeeee,0x5eeeec81,0x00000000,0x777774c0,0x55500002,0x55555555,
    0x3bbbba63,0xeeeeeeee,0x3eeeeeee,0x99999993,0x99999999,0x00599999,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x37a60000,0xf984ffdb,0xffffffff,
    0xffffffff,0xff13ffff,0xffffffff,0xffffffff,0x13607fff,0x03ffffa2,
    0x1ceffda8,0x3ae0fc00,0xfffc80bf,0x21ff543f,0x7fc0dfd8,0xffffffff,
    0xfffff53f,0xffffffff,0x9fffffff,0x3fffffea,0xffffffff,0x04ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xff880000,0x910fffa0,0x99999999,
    0x99999999,0x32239999,0xcccccccc,0xcccccccc,0xfa83ffcc,0xfffe880c,
    0xfffff703,0xa8017fff,0x3fffee0f,0x44ffff85,0x361ffff8,0x7ffc5fff,
    0xffffffff,0xdddddd33,0xdddddddd,0x27dddddd,0xfffffffa,0xffffffff,
    0x004fffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4ffc8000,0x00017ff6,
    0x00000000,0xfff887ff,0x6fff880f,0xffefff88,0x82dfffff,0x7fff47e8,
    0x3ffe60ff,0x4ffffb84,0xff1ffffe,0xffffffff,0x0000007f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x1ffdc000,0x0000dffb,0x80000000,
    0x7fdc43ff,0x1fff302f,0x3260bfd8,0xcfffffff,0x3e23ffdb,0x321fffff,
    0xfff104ff,0x2fffec3f,0x37777776,0x0002dddd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x44000000,0x0dfff930,0x00000000,0xd03ff800,
    0x7fcc07ff,0x36a02f43,0xffffffff,0x6ffffd86,0x3ae02ffc,0x06fec43f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x36600000,
    0x446ffdaf,0xaaaaaaaa,0xaaaaaaaa,0x001aaaaa,0x107ff000,0xf9801fff,
    0x44007e26,0x04ffffeb,0x4c5dffd3,0x0000005f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fee0000,0xf98dffb1,0xffffffff,
    0xffffffff,0x0003ffff,0x6dc7ff00,0x10002ffe,0x06620005,0x000014c0,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x3ff64ffb,0x7ffffcc6,0xffffffff,0xffffffff,0xff000003,0x02af3227,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfd000000,0x1bffa2bf,0x26666666,0x99999999,0x00999999,
    0x01330000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0xfdeffffe,0x00001bff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x744fbfaa,0x000002ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000201,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_45_latin_ext_x[560]={ 0,3,3,0,1,2,1,2,1,0,2,0,1,0,
1,0,1,2,0,0,1,1,1,1,1,1,3,3,0,0,0,2,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,1,1,0,2,1,0,0,0,0,0,0,4,0,1,2,-1,0,1,0,1,1,1,1,1,1,0,
-2,1,0,1,1,1,0,1,1,1,0,1,0,0,0,0,0,3,3,1,0,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,3,2,0,0,0,
3,1,0,1,0,0,0,0,1,-1,1,0,0,0,4,1,0,1,2,1,1,0,1,1,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,3,1,0,0,0,0,0,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,1,0,0,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,1,0,1,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-2,0,1,1,0,0,0,
0,0,0,0,0,0,0,0,1,0,1,0,1,3,0,1,1,1,1,1,1,1,1,1,0,1,0,1,0,1,
2,1,2,1,2,1,2,1,1,0,1,0,1,0,0,1,0,1,0,1,0,1,0,1,1,1,0,0,0,0,
0,0,0,0,0,0,0,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,1,5,5,-1,5,5,5,
5,5,5,5,5,5,5,5,5,5,1,1,5,5,5,5,5,5,5,5,5,5,5,5,5,0,1,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,1,0,-1,1,
1,0,1,0,1,0,1,0,1,0,1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,0,1,-1,1,1,1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static signed short stb__times_bold_45_latin_ext_y[560]={ 36,8,8,8,8,8,8,8,8,8,8,11,29,24,
29,8,8,8,8,8,8,9,8,9,8,8,16,16,12,18,12,8,8,8,9,8,9,9,9,8,9,9,9,9,
9,9,9,8,9,8,9,8,9,9,9,9,9,9,9,9,8,9,8,42,8,16,9,16,9,16,8,16,9,8,
8,9,9,16,16,16,16,16,16,16,10,17,17,17,17,17,17,8,8,8,21,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,36,16,9,8,12,9,
8,8,8,8,8,17,18,24,8,4,8,11,8,8,8,17,9,19,35,8,8,17,8,8,8,16,-1,-1,-1,1,
1,1,9,8,-1,-1,-1,1,-1,-1,-1,1,9,1,-1,-1,-1,1,1,13,7,-1,-1,-1,1,-1,9,8,8,8,
7,8,8,7,16,16,8,8,7,8,8,8,7,8,8,8,8,8,7,8,8,13,16,8,8,7,8,8,8,8,
2,11,0,8,8,16,-1,8,-2,7,0,8,-1,7,-1,8,9,9,2,11,0,8,0,8,9,16,-1,7,-1,7,
0,8,0,8,8,6,-2,-2,9,9,0,8,2,11,0,8,9,8,1,17,9,8,-2,7,9,9,17,-1,-1,9,
9,8,8,9,9,9,9,-1,8,9,16,-1,7,8,8,16,2,11,0,8,-1,8,8,16,-1,8,9,16,-1,7,
-1,8,-2,7,8,16,-1,7,9,10,-1,8,9,10,0,8,2,11,0,8,-1,7,-1,8,9,17,-2,7,-2,7,
1,-1,8,1,8,-1,7,8,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,8,10,10,8,10,10,10,
10,10,10,10,10,10,10,10,10,10,6,15,10,10,10,10,10,10,10,10,10,10,10,10,10,3,16,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,-1,7,-1,7,-1,
7,-1,7,-1,4,-1,2,-1,1,-1,2,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,-6,-1,-1,8,-1,8,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10, };
static unsigned short stb__times_bold_45_latin_ext_w[560]={ 0,8,16,20,19,36,32,7,13,12,17,23,8,13,
8,12,18,16,19,18,18,18,19,19,18,18,8,8,23,23,23,17,36,29,26,27,28,26,24,31,31,15,21,33,
26,38,29,30,23,30,30,19,25,29,29,41,30,29,27,9,12,9,19,22,10,19,21,17,21,17,16,19,21,11,
13,22,11,32,21,18,21,21,17,14,14,21,20,29,20,20,18,12,3,12,23,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,8,17,20,20,21,
3,18,14,29,13,20,23,13,29,22,14,23,12,11,9,22,23,8,8,10,12,20,29,29,30,16,29,29,29,29,
29,29,40,27,26,26,26,26,15,15,15,15,28,29,30,30,30,30,30,18,30,29,29,29,29,29,24,20,19,19,
19,19,19,19,28,17,17,17,17,17,12,12,14,14,18,21,18,18,18,18,18,23,18,21,21,21,21,20,21,20,
29,19,29,19,29,20,27,17,27,17,27,17,27,17,28,29,28,21,26,17,26,17,26,17,26,17,26,17,31,19,
31,19,31,19,31,19,31,21,31,21,15,14,15,14,15,13,15,12,15,11,34,20,21,16,33,22,23,26,12,26,
11,26,19,26,17,26,11,29,21,29,21,29,21,30,30,19,30,18,30,18,30,18,38,28,30,17,30,17,30,17,
19,14,19,14,19,14,19,14,25,14,25,21,25,14,29,21,29,21,29,21,29,21,29,21,28,21,41,29,29,20,
29,27,18,27,18,27,18,16,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,28,21,21,22,21,21,21,
21,21,21,21,21,21,21,21,21,21,32,23,21,21,21,21,21,21,21,21,21,21,21,21,21,34,25,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,29,19,15,14,30,
18,29,21,29,21,29,21,29,21,29,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,29,19,40,28,30,18,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21, };
static unsigned short stb__times_bold_45_latin_ext_h[560]={ 0,29,14,29,31,30,29,14,37,37,16,23,15,5,
8,29,29,28,28,29,28,28,29,28,29,29,21,28,21,10,21,29,37,28,27,29,27,27,27,29,27,27,28,27,
27,27,28,29,27,36,27,29,27,28,28,28,27,27,27,35,29,35,15,3,8,21,28,21,28,21,28,29,27,28,
37,27,27,20,20,21,29,29,20,21,27,20,20,20,19,28,19,37,37,37,8,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,0,29,35,29,21,27,
37,37,7,29,13,19,10,5,29,3,15,23,15,16,8,28,36,7,9,15,13,19,30,30,30,29,37,37,37,35,
35,35,27,36,37,37,37,35,37,37,37,35,27,36,38,38,38,36,36,19,31,38,38,38,36,37,27,29,29,29,
30,29,29,30,21,28,29,29,30,29,28,28,29,28,29,28,29,29,30,29,29,19,21,29,29,30,29,37,37,37,
34,26,36,29,38,30,38,29,39,30,37,29,38,30,37,29,27,28,34,26,36,29,36,29,37,30,37,30,38,38,
37,37,37,37,36,39,38,38,27,27,36,28,34,25,36,28,37,38,35,19,28,37,39,38,35,35,19,37,37,35,
35,28,28,27,27,27,27,38,28,35,28,38,29,28,29,29,35,26,37,29,38,29,29,21,37,28,35,28,37,29,
38,29,39,30,36,28,38,30,37,36,37,29,27,27,37,29,35,26,37,29,38,30,38,29,37,29,39,30,38,38,
35,37,28,35,28,37,29,28,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,29,26,26,37,26,26,26,
26,26,26,26,26,26,26,26,26,26,31,22,26,26,26,26,26,26,26,26,26,26,26,26,26,34,21,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,37,30,37,29,38,
30,38,30,38,33,38,35,38,36,38,35,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,42,38,37,29,39,29,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26, };
static unsigned short stb__times_bold_45_latin_ext_s[560]={ 509,503,481,275,208,296,318,504,320,131,395,
265,472,240,206,332,216,286,82,283,480,43,156,62,90,227,503,499,452,114,476,
394,63,102,449,411,33,132,159,40,184,133,153,267,348,375,234,363,443,324,467,
434,1,187,450,1,72,103,239,143,128,373,424,254,171,356,303,22,264,434,217,
467,301,175,173,216,491,100,151,40,253,1,133,85,476,194,173,216,284,132,265,
80,508,246,182,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,509,23,383,
469,1,351,505,141,225,439,100,350,138,240,454,277,457,289,444,500,215,312,444,
498,162,413,498,305,129,424,196,490,474,28,259,343,291,464,62,296,93,374,120,
82,374,390,406,401,103,215,194,316,285,245,147,246,228,255,120,182,355,33,323,
446,426,406,454,364,344,39,376,166,253,235,159,198,54,67,141,435,109,32,392,
351,277,1,484,326,337,412,384,474,322,323,58,453,123,211,1,20,397,381,457,
246,166,81,187,345,92,1,144,302,414,115,96,171,468,72,417,165,347,259,296,
333,150,244,421,490,1,401,385,146,212,264,1,427,495,151,494,250,31,137,448,
307,417,498,80,275,124,410,109,47,371,1,334,181,70,251,335,400,54,27,388,
478,391,1,413,350,176,184,271,302,433,231,100,487,447,23,42,405,289,215,230,
233,215,81,427,121,104,366,276,278,485,351,464,178,422,296,325,373,344,370,31,
189,245,231,1,59,380,99,112,1,62,99,320,286,261,31,293,153,355,201,264,
374,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,136,149,149,89,
149,149,149,149,149,149,149,149,149,149,149,149,149,175,313,149,149,149,149,149,
149,149,149,149,149,149,149,149,61,59,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,59,19,
229,496,1,177,427,402,367,153,32,208,62,193,225,321,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,1,347,160,183,31,212,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149, };
static unsigned short stb__times_bold_45_latin_ext_t[560]={ 1,271,477,332,235,235,332,122,122,122,477,
449,477,498,498,271,302,392,392,271,362,392,302,392,302,271,392,362,449,498,449,
271,122,392,392,332,421,421,421,302,421,449,392,421,421,421,392,271,421,160,421,
271,449,392,362,392,449,449,421,198,302,198,477,498,498,449,392,477,392,449,392,
302,421,392,122,421,392,477,477,477,332,362,477,477,392,477,477,477,477,392,477,
160,44,122,498,449,449,449,449,449,449,449,449,449,449,449,449,449,449,449,449,
449,449,449,449,449,449,449,449,449,449,449,449,449,449,449,449,449,1,362,198,
332,477,392,1,83,498,332,498,477,498,498,271,498,477,449,477,449,498,362,160,
441,498,477,477,477,271,235,271,332,122,160,122,198,198,198,421,160,160,122,160,
198,83,83,83,198,421,160,1,1,1,160,160,477,235,1,44,44,160,122,421,
302,302,302,235,302,302,271,449,362,302,302,271,302,362,362,302,362,302,362,332,
332,235,302,271,477,449,271,302,235,302,83,160,122,235,449,198,302,1,235,1,
271,1,271,122,271,44,271,122,271,421,362,235,449,160,302,160,332,122,235,83,
235,44,44,122,83,122,122,160,1,44,44,421,392,160,362,198,449,198,362,83,
44,198,421,362,83,1,44,198,198,477,160,122,198,198,362,362,392,449,449,392,
44,362,235,362,44,302,362,302,302,198,449,122,302,44,332,332,449,122,362,198,
362,122,332,44,332,1,235,160,362,1,235,83,160,83,332,392,392,83,332,235,
449,83,332,83,271,44,332,83,332,1,271,44,44,198,83,362,198,362,83,271,
362,449,449,449,449,449,449,449,449,449,449,449,449,449,449,449,332,449,449,83,
449,449,449,449,449,449,449,449,449,449,449,449,449,235,449,449,449,449,449,449,
449,449,449,449,449,449,449,449,235,477,449,449,449,449,449,449,449,449,449,449,
449,449,449,449,449,449,449,449,449,449,449,449,449,449,449,449,449,449,83,271,
83,235,44,271,1,235,1,235,44,198,44,160,1,198,449,449,449,449,449,449,
449,449,449,449,449,449,449,449,449,449,449,449,449,449,449,449,449,449,449,449,
449,449,449,1,1,83,332,1,332,449,449,449,449,449,449,449,449,449,449,449,
449,449,449,449,449,449,449,449,449,449,449,449,449,449,449,449,449,449,449,449,
449,449,449,449,449,449,449,449,449,449,449,449,449,449,449,449,449,449,449,449,
449,449,449,449,449,449,449,449,449,449,449,449,449,449,449,449,449,449,449,449,
449,449,449,449,449,449,449,449,449, };
static unsigned short stb__times_bold_45_latin_ext_a[560]={ 163,217,361,325,325,650,542,181,
217,217,325,370,163,217,163,181,325,325,325,325,325,325,325,325,
325,325,217,217,370,370,370,325,605,470,434,470,470,434,397,506,
506,253,325,506,434,614,470,506,397,506,470,362,434,470,470,650,
470,470,434,217,181,217,378,325,217,325,362,289,362,289,217,325,
362,181,217,362,181,542,362,325,362,362,289,253,217,362,325,470,
325,325,289,256,143,256,338,506,506,506,506,506,506,506,506,506,
506,506,506,506,506,506,506,506,506,506,506,506,506,506,506,506,
506,506,506,506,506,506,506,506,163,217,325,325,325,325,143,325,
217,486,195,325,370,217,486,325,260,357,195,195,217,375,351,163,
217,195,215,325,488,488,488,325,470,470,470,470,470,470,650,470,
434,434,434,434,253,253,253,253,470,470,506,506,506,506,506,370,
506,470,470,470,470,470,397,362,325,325,325,325,325,325,470,289,
289,289,289,289,181,181,181,181,325,362,325,325,325,325,325,357,
325,362,362,362,362,325,362,325,470,325,470,325,470,325,470,289,
470,289,470,289,470,289,470,477,470,362,434,289,434,289,434,289,
434,289,434,289,506,325,506,325,506,325,506,325,506,362,506,362,
253,181,253,181,253,181,253,181,253,181,535,359,325,217,506,362,
362,434,181,434,181,434,305,434,257,434,181,470,362,470,362,470,
362,474,500,362,506,325,506,325,506,325,650,470,470,289,470,289,
470,289,362,253,362,253,362,253,362,253,434,217,434,339,434,217,
470,362,470,362,470,362,470,362,470,362,470,362,650,470,470,325,
470,434,289,434,289,434,289,181,506,506,506,506,506,506,506,506,
506,506,506,506,506,506,506,480,506,506,325,506,506,506,506,506,
506,506,506,506,506,506,506,506,506,360,506,506,506,506,506,506,
506,506,506,506,506,506,506,517,390,506,506,506,506,506,506,506,
506,506,506,506,506,506,506,506,506,506,506,506,506,506,506,506,
506,506,506,506,506,470,325,253,181,506,325,470,362,470,362,470,
362,470,362,470,362,506,506,506,506,506,506,506,506,506,506,506,
506,506,506,506,506,506,506,506,506,506,506,506,506,506,506,506,
506,506,470,325,650,470,506,325,506,506,506,506,506,506,506,506,
506,506,506,506,506,506,506,506,506,506,506,506,506,506,506,506,
506,506,506,506,506,506,506,506,506,506,506,506,506,506,506,506,
506,506,506,506,506,506,506,506,506,506,506,506,506,506,506,506,
506,506,506,506,506,506,506,506,506,506,506,506,506,506,506,506,
506,506,506,506,506,506,506,506, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_45_latin_ext_BITMAP_HEIGHT or STB_FONT_times_bold_45_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_45_latin_ext(stb_fontchar font[STB_FONT_times_bold_45_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_45_latin_ext_BITMAP_HEIGHT][STB_FONT_times_bold_45_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_45_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_45_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_45_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_45_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_45_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_45_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_45_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_45_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_45_latin_ext_s[i] + stb__times_bold_45_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_45_latin_ext_t[i] + stb__times_bold_45_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_45_latin_ext_x[i];
            font[i].y0 = stb__times_bold_45_latin_ext_y[i];
            font[i].x1 = stb__times_bold_45_latin_ext_x[i] + stb__times_bold_45_latin_ext_w[i];
            font[i].y1 = stb__times_bold_45_latin_ext_y[i] + stb__times_bold_45_latin_ext_h[i];
            font[i].advance_int = (stb__times_bold_45_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_45_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_45_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_45_latin_ext_s[i] + stb__times_bold_45_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_45_latin_ext_t[i] + stb__times_bold_45_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_45_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_45_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_45_latin_ext_x[i] + stb__times_bold_45_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_45_latin_ext_y[i] + stb__times_bold_45_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_bold_45_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_45_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_45_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_45_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_45_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_45_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_45_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_45_latin_ext_LINE_SPACING
#endif

